(function (root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(function () {
      return (root.cv = factory());
    });
  } else if (typeof module === 'object' && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals
    root.cv = factory();
  }
}(this, function () {
  var cv = function(cv) {
  cv = cv || {};
  var Module = cv;

var Module;if(!Module)Module=(typeof cv!=="undefined"?cv:null)||{};var moduleOverrides={};for(var key in Module){if(Module.hasOwnProperty(key)){moduleOverrides[key]=Module[key]}}var ENVIRONMENT_IS_WEB=false;var ENVIRONMENT_IS_WORKER=false;var ENVIRONMENT_IS_NODE=false;var ENVIRONMENT_IS_SHELL=false;if(Module["ENVIRONMENT"]){if(Module["ENVIRONMENT"]==="WEB"){ENVIRONMENT_IS_WEB=true}else if(Module["ENVIRONMENT"]==="WORKER"){ENVIRONMENT_IS_WORKER=true}else if(Module["ENVIRONMENT"]==="NODE"){ENVIRONMENT_IS_NODE=true}else if(Module["ENVIRONMENT"]==="SHELL"){ENVIRONMENT_IS_SHELL=true}else{throw new Error("The provided Module['ENVIRONMENT'] value is not valid. It must be one of: WEB|WORKER|NODE|SHELL.")}}else{ENVIRONMENT_IS_WEB=typeof window==="object";ENVIRONMENT_IS_WORKER=typeof importScripts==="function";ENVIRONMENT_IS_NODE=typeof process==="object"&&typeof require==="function"&&!ENVIRONMENT_IS_WEB&&!ENVIRONMENT_IS_WORKER;ENVIRONMENT_IS_SHELL=!ENVIRONMENT_IS_WEB&&!ENVIRONMENT_IS_NODE&&!ENVIRONMENT_IS_WORKER}if(ENVIRONMENT_IS_NODE){if(!Module["print"])Module["print"]=console.log;if(!Module["printErr"])Module["printErr"]=console.warn;var nodeFS;var nodePath;Module["read"]=function shell_read(filename,binary){if(!nodeFS)nodeFS=require("fs");if(!nodePath)nodePath=require("path");filename=nodePath["normalize"](filename);var ret=nodeFS["readFileSync"](filename);return binary?ret:ret.toString()};Module["readBinary"]=function readBinary(filename){var ret=Module["read"](filename,true);if(!ret.buffer){ret=new Uint8Array(ret)}assert(ret.buffer);return ret};Module["load"]=function load(f){globalEval(read(f))};if(!Module["thisProgram"]){if(process["argv"].length>1){Module["thisProgram"]=process["argv"][1].replace(/\\/g,"/")}else{Module["thisProgram"]="unknown-program"}}Module["arguments"]=process["argv"].slice(2);if(typeof module!=="undefined"){module["exports"]=Module}process["on"]("uncaughtException",(function(ex){if(!(ex instanceof ExitStatus)){throw ex}}));Module["inspect"]=(function(){return"[Emscripten Module object]"})}else if(ENVIRONMENT_IS_SHELL){if(!Module["print"])Module["print"]=print;if(typeof printErr!="undefined")Module["printErr"]=printErr;if(typeof read!="undefined"){Module["read"]=read}else{Module["read"]=function shell_read(){throw"no read() available"}}Module["readBinary"]=function readBinary(f){if(typeof readbuffer==="function"){return new Uint8Array(readbuffer(f))}var data=read(f,"binary");assert(typeof data==="object");return data};if(typeof scriptArgs!="undefined"){Module["arguments"]=scriptArgs}else if(typeof arguments!="undefined"){Module["arguments"]=arguments}if(typeof quit==="function"){Module["quit"]=(function(status,toThrow){quit(status)})}}else if(ENVIRONMENT_IS_WEB||ENVIRONMENT_IS_WORKER){Module["read"]=function shell_read(url){var xhr=new XMLHttpRequest;xhr.open("GET",url,false);xhr.send(null);return xhr.responseText};if(ENVIRONMENT_IS_WORKER){Module["readBinary"]=function readBinary(url){var xhr=new XMLHttpRequest;xhr.open("GET",url,false);xhr.responseType="arraybuffer";xhr.send(null);return new Uint8Array(xhr.response)}}Module["readAsync"]=function readAsync(url,onload,onerror){var xhr=new XMLHttpRequest;xhr.open("GET",url,true);xhr.responseType="arraybuffer";xhr.onload=function xhr_onload(){if(xhr.status==200||xhr.status==0&&xhr.response){onload(xhr.response)}else{onerror()}};xhr.onerror=onerror;xhr.send(null)};if(typeof arguments!="undefined"){Module["arguments"]=arguments}if(typeof console!=="undefined"){if(!Module["print"])Module["print"]=function shell_print(x){console.log(x)};if(!Module["printErr"])Module["printErr"]=function shell_printErr(x){console.warn(x)}}else{var TRY_USE_DUMP=false;if(!Module["print"])Module["print"]=TRY_USE_DUMP&&typeof dump!=="undefined"?(function(x){dump(x)}):(function(x){})}if(ENVIRONMENT_IS_WORKER){Module["load"]=importScripts}if(typeof Module["setWindowTitle"]==="undefined"){Module["setWindowTitle"]=(function(title){document.title=title})}}else{throw"Unknown runtime environment. Where are we?"}function globalEval(x){eval.call(null,x)}if(!Module["load"]&&Module["read"]){Module["load"]=function load(f){globalEval(Module["read"](f))}}if(!Module["print"]){Module["print"]=(function(){})}if(!Module["printErr"]){Module["printErr"]=Module["print"]}if(!Module["arguments"]){Module["arguments"]=[]}if(!Module["thisProgram"]){Module["thisProgram"]="./this.program"}if(!Module["quit"]){Module["quit"]=(function(status,toThrow){throw toThrow})}Module.print=Module["print"];Module.printErr=Module["printErr"];Module["preRun"]=[];Module["postRun"]=[];for(var key in moduleOverrides){if(moduleOverrides.hasOwnProperty(key)){Module[key]=moduleOverrides[key]}}moduleOverrides=undefined;var Runtime={setTempRet0:(function(value){tempRet0=value;return value}),getTempRet0:(function(){return tempRet0}),stackSave:(function(){return STACKTOP}),stackRestore:(function(stackTop){STACKTOP=stackTop}),getNativeTypeSize:(function(type){switch(type){case"i1":case"i8":return 1;case"i16":return 2;case"i32":return 4;case"i64":return 8;case"float":return 4;case"double":return 8;default:{if(type[type.length-1]==="*"){return Runtime.QUANTUM_SIZE}else if(type[0]==="i"){var bits=parseInt(type.substr(1));assert(bits%8===0);return bits/8}else{return 0}}}}),getNativeFieldSize:(function(type){return Math.max(Runtime.getNativeTypeSize(type),Runtime.QUANTUM_SIZE)}),STACK_ALIGN:16,prepVararg:(function(ptr,type){if(type==="double"||type==="i64"){if(ptr&7){assert((ptr&7)===4);ptr+=4}}else{assert((ptr&3)===0)}return ptr}),getAlignSize:(function(type,size,vararg){if(!vararg&&(type=="i64"||type=="double"))return 8;if(!type)return Math.min(size,8);return Math.min(size||(type?Runtime.getNativeFieldSize(type):0),Runtime.QUANTUM_SIZE)}),dynCall:(function(sig,ptr,args){if(args&&args.length){return Module["dynCall_"+sig].apply(null,[ptr].concat(args))}else{return Module["dynCall_"+sig].call(null,ptr)}}),functionPointers:[],addFunction:(function(func){for(var i=0;i<Runtime.functionPointers.length;i++){if(!Runtime.functionPointers[i]){Runtime.functionPointers[i]=func;return 2*(1+i)}}throw"Finished up all reserved function pointers. Use a higher value for RESERVED_FUNCTION_POINTERS."}),removeFunction:(function(index){Runtime.functionPointers[(index-2)/2]=null}),warnOnce:(function(text){if(!Runtime.warnOnce.shown)Runtime.warnOnce.shown={};if(!Runtime.warnOnce.shown[text]){Runtime.warnOnce.shown[text]=1;Module.printErr(text)}}),funcWrappers:{},getFuncWrapper:(function(func,sig){assert(sig);if(!Runtime.funcWrappers[sig]){Runtime.funcWrappers[sig]={}}var sigCache=Runtime.funcWrappers[sig];if(!sigCache[func]){if(sig.length===1){sigCache[func]=function dynCall_wrapper(){return Runtime.dynCall(sig,func)}}else if(sig.length===2){sigCache[func]=function dynCall_wrapper(arg){return Runtime.dynCall(sig,func,[arg])}}else{sigCache[func]=function dynCall_wrapper(){return Runtime.dynCall(sig,func,Array.prototype.slice.call(arguments))}}}return sigCache[func]}),getCompilerSetting:(function(name){throw"You must build with -s RETAIN_COMPILER_SETTINGS=1 for Runtime.getCompilerSetting or emscripten_get_compiler_setting to work"}),stackAlloc:(function(size){var ret=STACKTOP;STACKTOP=STACKTOP+size|0;STACKTOP=STACKTOP+15&-16;return ret}),staticAlloc:(function(size){var ret=STATICTOP;STATICTOP=STATICTOP+size|0;STATICTOP=STATICTOP+15&-16;return ret}),dynamicAlloc:(function(size){var ret=HEAP32[DYNAMICTOP_PTR>>2];var end=(ret+size+15|0)&-16;HEAP32[DYNAMICTOP_PTR>>2]=end;if(end>=TOTAL_MEMORY){var success=enlargeMemory();if(!success){HEAP32[DYNAMICTOP_PTR>>2]=ret;return 0}}return ret}),alignMemory:(function(size,quantum){var ret=size=Math.ceil(size/(quantum?quantum:16))*(quantum?quantum:16);return ret}),makeBigInt:(function(low,high,unsigned){var ret=unsigned?+(low>>>0)+ +(high>>>0)*+4294967296:+(low>>>0)+ +(high|0)*+4294967296;return ret}),GLOBAL_BASE:8,QUANTUM_SIZE:4,__dummy__:0};Module["Runtime"]=Runtime;var ABORT=0;var EXITSTATUS=0;function assert(condition,text){if(!condition){abort("Assertion failed: "+text)}}function getCFunc(ident){var func=Module["_"+ident];if(!func){try{func=eval("_"+ident)}catch(e){}}assert(func,"Cannot call unknown function "+ident+" (perhaps LLVM optimizations or closure removed it?)");return func}var cwrap,ccall;((function(){var JSfuncs={"stackSave":(function(){Runtime.stackSave()}),"stackRestore":(function(){Runtime.stackRestore()}),"arrayToC":(function(arr){var ret=Runtime.stackAlloc(arr.length);writeArrayToMemory(arr,ret);return ret}),"stringToC":(function(str){var ret=0;if(str!==null&&str!==undefined&&str!==0){var len=(str.length<<2)+1;ret=Runtime.stackAlloc(len);stringToUTF8(str,ret,len)}return ret})};var toC={"string":JSfuncs["stringToC"],"array":JSfuncs["arrayToC"]};ccall=function ccallFunc(ident,returnType,argTypes,args,opts){var func=getCFunc(ident);var cArgs=[];var stack=0;if(args){for(var i=0;i<args.length;i++){var converter=toC[argTypes[i]];if(converter){if(stack===0)stack=Runtime.stackSave();cArgs[i]=converter(args[i])}else{cArgs[i]=args[i]}}}var ret=func.apply(null,cArgs);if(returnType==="string")ret=Pointer_stringify(ret);if(stack!==0){if(opts&&opts.async){EmterpreterAsync.asyncFinalizers.push((function(){Runtime.stackRestore(stack)}));return}Runtime.stackRestore(stack)}return ret};var sourceRegex=/^function\s*[a-zA-Z$_0-9]*\s*\(([^)]*)\)\s*{\s*([^*]*?)[\s;]*(?:return\s*(.*?)[;\s]*)?}$/;function parseJSFunc(jsfunc){var parsed=jsfunc.toString().match(sourceRegex).slice(1);return{arguments:parsed[0],body:parsed[1],returnValue:parsed[2]}}var JSsource=null;function ensureJSsource(){if(!JSsource){JSsource={};for(var fun in JSfuncs){if(JSfuncs.hasOwnProperty(fun)){JSsource[fun]=parseJSFunc(JSfuncs[fun])}}}}cwrap=function cwrap(ident,returnType,argTypes){argTypes=argTypes||[];var cfunc=getCFunc(ident);var numericArgs=argTypes.every((function(type){return type==="number"}));var numericRet=returnType!=="string";if(numericRet&&numericArgs){return cfunc}var argNames=argTypes.map((function(x,i){return"$"+i}));var funcstr="(function("+argNames.join(",")+") {";var nargs=argTypes.length;if(!numericArgs){ensureJSsource();funcstr+="var stack = "+JSsource["stackSave"].body+";";for(var i=0;i<nargs;i++){var arg=argNames[i],type=argTypes[i];if(type==="number")continue;var convertCode=JSsource[type+"ToC"];funcstr+="var "+convertCode.arguments+" = "+arg+";";funcstr+=convertCode.body+";";funcstr+=arg+"=("+convertCode.returnValue+");"}}var cfuncname=parseJSFunc((function(){return cfunc})).returnValue;funcstr+="var ret = "+cfuncname+"("+argNames.join(",")+");";if(!numericRet){var strgfy=parseJSFunc((function(){return Pointer_stringify})).returnValue;funcstr+="ret = "+strgfy+"(ret);"}if(!numericArgs){ensureJSsource();funcstr+=JSsource["stackRestore"].body.replace("()","(stack)")+";"}funcstr+="return ret})";return eval(funcstr)}}))();Module["ccall"]=ccall;Module["cwrap"]=cwrap;function setValue(ptr,value,type,noSafe){type=type||"i8";if(type.charAt(type.length-1)==="*")type="i32";switch(type){case"i1":HEAP8[ptr>>0]=value;break;case"i8":HEAP8[ptr>>0]=value;break;case"i16":HEAP16[ptr>>1]=value;break;case"i32":HEAP32[ptr>>2]=value;break;case"i64":tempI64=[value>>>0,(tempDouble=value,+Math_abs(tempDouble)>=+1?tempDouble>+0?(Math_min(+Math_floor(tempDouble/+4294967296),+4294967295)|0)>>>0:~~+Math_ceil((tempDouble- +(~~tempDouble>>>0))/+4294967296)>>>0:0)],HEAP32[ptr>>2]=tempI64[0],HEAP32[ptr+4>>2]=tempI64[1];break;case"float":HEAPF32[ptr>>2]=value;break;case"double":HEAPF64[ptr>>3]=value;break;default:abort("invalid type for setValue: "+type)}}Module["setValue"]=setValue;function getValue(ptr,type,noSafe){type=type||"i8";if(type.charAt(type.length-1)==="*")type="i32";switch(type){case"i1":return HEAP8[ptr>>0];case"i8":return HEAP8[ptr>>0];case"i16":return HEAP16[ptr>>1];case"i32":return HEAP32[ptr>>2];case"i64":return HEAP32[ptr>>2];case"float":return HEAPF32[ptr>>2];case"double":return HEAPF64[ptr>>3];default:abort("invalid type for setValue: "+type)}return null}Module["getValue"]=getValue;var ALLOC_NORMAL=0;var ALLOC_STACK=1;var ALLOC_STATIC=2;var ALLOC_DYNAMIC=3;var ALLOC_NONE=4;Module["ALLOC_NORMAL"]=ALLOC_NORMAL;Module["ALLOC_STACK"]=ALLOC_STACK;Module["ALLOC_STATIC"]=ALLOC_STATIC;Module["ALLOC_DYNAMIC"]=ALLOC_DYNAMIC;Module["ALLOC_NONE"]=ALLOC_NONE;function allocate(slab,types,allocator,ptr){var zeroinit,size;if(typeof slab==="number"){zeroinit=true;size=slab}else{zeroinit=false;size=slab.length}var singleType=typeof types==="string"?types:null;var ret;if(allocator==ALLOC_NONE){ret=ptr}else{ret=[typeof _malloc==="function"?_malloc:Runtime.staticAlloc,Runtime.stackAlloc,Runtime.staticAlloc,Runtime.dynamicAlloc][allocator===undefined?ALLOC_STATIC:allocator](Math.max(size,singleType?1:types.length))}if(zeroinit){var ptr=ret,stop;assert((ret&3)==0);stop=ret+(size&~3);for(;ptr<stop;ptr+=4){HEAP32[ptr>>2]=0}stop=ret+size;while(ptr<stop){HEAP8[ptr++>>0]=0}return ret}if(singleType==="i8"){if(slab.subarray||slab.slice){HEAPU8.set(slab,ret)}else{HEAPU8.set(new Uint8Array(slab),ret)}return ret}var i=0,type,typeSize,previousType;while(i<size){var curr=slab[i];if(typeof curr==="function"){curr=Runtime.getFunctionIndex(curr)}type=singleType||types[i];if(type===0){i++;continue}if(type=="i64")type="i32";setValue(ret+i,curr,type);if(previousType!==type){typeSize=Runtime.getNativeTypeSize(type);previousType=type}i+=typeSize}return ret}Module["allocate"]=allocate;function getMemory(size){if(!staticSealed)return Runtime.staticAlloc(size);if(!runtimeInitialized)return Runtime.dynamicAlloc(size);return _malloc(size)}Module["getMemory"]=getMemory;function Pointer_stringify(ptr,length){if(length===0||!ptr)return"";var hasUtf=0;var t;var i=0;while(1){t=HEAPU8[ptr+i>>0];hasUtf|=t;if(t==0&&!length)break;i++;if(length&&i==length)break}if(!length)length=i;var ret="";if(hasUtf<128){var MAX_CHUNK=1024;var curr;while(length>0){curr=String.fromCharCode.apply(String,HEAPU8.subarray(ptr,ptr+Math.min(length,MAX_CHUNK)));ret=ret?ret+curr:curr;ptr+=MAX_CHUNK;length-=MAX_CHUNK}return ret}return Module["UTF8ToString"](ptr)}Module["Pointer_stringify"]=Pointer_stringify;function AsciiToString(ptr){var str="";while(1){var ch=HEAP8[ptr++>>0];if(!ch)return str;str+=String.fromCharCode(ch)}}Module["AsciiToString"]=AsciiToString;function stringToAscii(str,outPtr){return writeAsciiToMemory(str,outPtr,false)}Module["stringToAscii"]=stringToAscii;var UTF8Decoder=typeof TextDecoder!=="undefined"?new TextDecoder("utf8"):undefined;function UTF8ArrayToString(u8Array,idx){var endPtr=idx;while(u8Array[endPtr])++endPtr;if(endPtr-idx>16&&u8Array.subarray&&UTF8Decoder){return UTF8Decoder.decode(u8Array.subarray(idx,endPtr))}else{var u0,u1,u2,u3,u4,u5;var str="";while(1){u0=u8Array[idx++];if(!u0)return str;if(!(u0&128)){str+=String.fromCharCode(u0);continue}u1=u8Array[idx++]&63;if((u0&224)==192){str+=String.fromCharCode((u0&31)<<6|u1);continue}u2=u8Array[idx++]&63;if((u0&240)==224){u0=(u0&15)<<12|u1<<6|u2}else{u3=u8Array[idx++]&63;if((u0&248)==240){u0=(u0&7)<<18|u1<<12|u2<<6|u3}else{u4=u8Array[idx++]&63;if((u0&252)==248){u0=(u0&3)<<24|u1<<18|u2<<12|u3<<6|u4}else{u5=u8Array[idx++]&63;u0=(u0&1)<<30|u1<<24|u2<<18|u3<<12|u4<<6|u5}}}if(u0<65536){str+=String.fromCharCode(u0)}else{var ch=u0-65536;str+=String.fromCharCode(55296|ch>>10,56320|ch&1023)}}}}Module["UTF8ArrayToString"]=UTF8ArrayToString;function UTF8ToString(ptr){return UTF8ArrayToString(HEAPU8,ptr)}Module["UTF8ToString"]=UTF8ToString;function stringToUTF8Array(str,outU8Array,outIdx,maxBytesToWrite){if(!(maxBytesToWrite>0))return 0;var startIdx=outIdx;var endIdx=outIdx+maxBytesToWrite-1;for(var i=0;i<str.length;++i){var u=str.charCodeAt(i);if(u>=55296&&u<=57343)u=65536+((u&1023)<<10)|str.charCodeAt(++i)&1023;if(u<=127){if(outIdx>=endIdx)break;outU8Array[outIdx++]=u}else if(u<=2047){if(outIdx+1>=endIdx)break;outU8Array[outIdx++]=192|u>>6;outU8Array[outIdx++]=128|u&63}else if(u<=65535){if(outIdx+2>=endIdx)break;outU8Array[outIdx++]=224|u>>12;outU8Array[outIdx++]=128|u>>6&63;outU8Array[outIdx++]=128|u&63}else if(u<=2097151){if(outIdx+3>=endIdx)break;outU8Array[outIdx++]=240|u>>18;outU8Array[outIdx++]=128|u>>12&63;outU8Array[outIdx++]=128|u>>6&63;outU8Array[outIdx++]=128|u&63}else if(u<=67108863){if(outIdx+4>=endIdx)break;outU8Array[outIdx++]=248|u>>24;outU8Array[outIdx++]=128|u>>18&63;outU8Array[outIdx++]=128|u>>12&63;outU8Array[outIdx++]=128|u>>6&63;outU8Array[outIdx++]=128|u&63}else{if(outIdx+5>=endIdx)break;outU8Array[outIdx++]=252|u>>30;outU8Array[outIdx++]=128|u>>24&63;outU8Array[outIdx++]=128|u>>18&63;outU8Array[outIdx++]=128|u>>12&63;outU8Array[outIdx++]=128|u>>6&63;outU8Array[outIdx++]=128|u&63}}outU8Array[outIdx]=0;return outIdx-startIdx}Module["stringToUTF8Array"]=stringToUTF8Array;function stringToUTF8(str,outPtr,maxBytesToWrite){return stringToUTF8Array(str,HEAPU8,outPtr,maxBytesToWrite)}Module["stringToUTF8"]=stringToUTF8;function lengthBytesUTF8(str){var len=0;for(var i=0;i<str.length;++i){var u=str.charCodeAt(i);if(u>=55296&&u<=57343)u=65536+((u&1023)<<10)|str.charCodeAt(++i)&1023;if(u<=127){++len}else if(u<=2047){len+=2}else if(u<=65535){len+=3}else if(u<=2097151){len+=4}else if(u<=67108863){len+=5}else{len+=6}}return len}Module["lengthBytesUTF8"]=lengthBytesUTF8;var UTF16Decoder=typeof TextDecoder!=="undefined"?new TextDecoder("utf-16le"):undefined;function demangle(func){var __cxa_demangle_func=Module["___cxa_demangle"]||Module["__cxa_demangle"];if(__cxa_demangle_func){try{var s=func.substr(1);var len=lengthBytesUTF8(s)+1;var buf=_malloc(len);stringToUTF8(s,buf,len);var status=_malloc(4);var ret=__cxa_demangle_func(buf,0,0,status);if(getValue(status,"i32")===0&&ret){return Pointer_stringify(ret)}}catch(e){}finally{if(buf)_free(buf);if(status)_free(status);if(ret)_free(ret)}return func}Runtime.warnOnce("warning: build with  -s DEMANGLE_SUPPORT=1  to link in libcxxabi demangling");return func}function demangleAll(text){var regex=/__Z[\w\d_]+/g;return text.replace(regex,(function(x){var y=demangle(x);return x===y?x:x+" ["+y+"]"}))}function jsStackTrace(){var err=new Error;if(!err.stack){try{throw new Error(0)}catch(e){err=e}if(!err.stack){return"(no stack trace available)"}}return err.stack.toString()}function stackTrace(){var js=jsStackTrace();if(Module["extraStackTrace"])js+="\n"+Module["extraStackTrace"]();return demangleAll(js)}Module["stackTrace"]=stackTrace;var WASM_PAGE_SIZE=65536;var ASMJS_PAGE_SIZE=16777216;var MIN_TOTAL_MEMORY=16777216;function alignUp(x,multiple){if(x%multiple>0){x+=multiple-x%multiple}return x}var HEAP,buffer,HEAP8,HEAPU8,HEAP16,HEAPU16,HEAP32,HEAPU32,HEAPF32,HEAPF64;function updateGlobalBuffer(buf){Module["buffer"]=buffer=buf}function updateGlobalBufferViews(){Module["HEAP8"]=HEAP8=new Int8Array(buffer);Module["HEAP16"]=HEAP16=new Int16Array(buffer);Module["HEAP32"]=HEAP32=new Int32Array(buffer);Module["HEAPU8"]=HEAPU8=new Uint8Array(buffer);Module["HEAPU16"]=HEAPU16=new Uint16Array(buffer);Module["HEAPU32"]=HEAPU32=new Uint32Array(buffer);Module["HEAPF32"]=HEAPF32=new Float32Array(buffer);Module["HEAPF64"]=HEAPF64=new Float64Array(buffer)}var STATIC_BASE,STATICTOP,staticSealed;var STACK_BASE,STACKTOP,STACK_MAX;var DYNAMIC_BASE,DYNAMICTOP_PTR;STATIC_BASE=STATICTOP=STACK_BASE=STACKTOP=STACK_MAX=DYNAMIC_BASE=DYNAMICTOP_PTR=0;staticSealed=false;function abortOnCannotGrowMemory(){abort("Cannot enlarge memory arrays. Either (1) compile with  -s TOTAL_MEMORY=X  with X higher than the current value "+TOTAL_MEMORY+", (2) compile with  -s ALLOW_MEMORY_GROWTH=1  which allows increasing the size at runtime but prevents some optimizations, (3) set Module.TOTAL_MEMORY to a higher value before the program runs, or (4) if you want malloc to return NULL (0) instead of this abort, compile with  -s ABORTING_MALLOC=0 ")}if(!Module["reallocBuffer"])Module["reallocBuffer"]=(function(size){var ret;try{if(ArrayBuffer.transfer){ret=ArrayBuffer.transfer(buffer,size)}else{var oldHEAP8=HEAP8;ret=new ArrayBuffer(size);var temp=new Int8Array(ret);temp.set(oldHEAP8)}}catch(e){return false}var success=_emscripten_replace_memory(ret);if(!success)return false;return ret});function enlargeMemory(){var PAGE_MULTIPLE=Module["usingWasm"]?WASM_PAGE_SIZE:ASMJS_PAGE_SIZE;var LIMIT=2147483648-PAGE_MULTIPLE;if(HEAP32[DYNAMICTOP_PTR>>2]>LIMIT){return false}var OLD_TOTAL_MEMORY=TOTAL_MEMORY;TOTAL_MEMORY=Math.max(TOTAL_MEMORY,MIN_TOTAL_MEMORY);while(TOTAL_MEMORY<HEAP32[DYNAMICTOP_PTR>>2]){if(TOTAL_MEMORY<=536870912){TOTAL_MEMORY=alignUp(2*TOTAL_MEMORY,PAGE_MULTIPLE)}else{TOTAL_MEMORY=Math.min(alignUp((3*TOTAL_MEMORY+2147483648)/4,PAGE_MULTIPLE),LIMIT)}}var replacement=Module["reallocBuffer"](TOTAL_MEMORY);if(!replacement||replacement.byteLength!=TOTAL_MEMORY){TOTAL_MEMORY=OLD_TOTAL_MEMORY;return false}updateGlobalBuffer(replacement);updateGlobalBufferViews();return true}var byteLength;try{byteLength=Function.prototype.call.bind(Object.getOwnPropertyDescriptor(ArrayBuffer.prototype,"byteLength").get);byteLength(new ArrayBuffer(4))}catch(e){byteLength=(function(buffer){return buffer.byteLength})}var TOTAL_STACK=Module["TOTAL_STACK"]||5242880;var TOTAL_MEMORY=Module["TOTAL_MEMORY"]||134217728;if(TOTAL_MEMORY<TOTAL_STACK)Module.printErr("TOTAL_MEMORY should be larger than TOTAL_STACK, was "+TOTAL_MEMORY+"! (TOTAL_STACK="+TOTAL_STACK+")");if(Module["buffer"]){buffer=Module["buffer"]}else{{buffer=new ArrayBuffer(TOTAL_MEMORY)}}updateGlobalBufferViews();function getTotalMemory(){return TOTAL_MEMORY}HEAP32[0]=1668509029;HEAP16[1]=25459;if(HEAPU8[2]!==115||HEAPU8[3]!==99)throw"Runtime error: expected the system to be little-endian!";Module["HEAP"]=HEAP;Module["buffer"]=buffer;Module["HEAP8"]=HEAP8;Module["HEAP16"]=HEAP16;Module["HEAP32"]=HEAP32;Module["HEAPU8"]=HEAPU8;Module["HEAPU16"]=HEAPU16;Module["HEAPU32"]=HEAPU32;Module["HEAPF32"]=HEAPF32;Module["HEAPF64"]=HEAPF64;function callRuntimeCallbacks(callbacks){while(callbacks.length>0){var callback=callbacks.shift();if(typeof callback=="function"){callback();continue}var func=callback.func;if(typeof func==="number"){if(callback.arg===undefined){Module["dynCall_v"](func)}else{Module["dynCall_vi"](func,callback.arg)}}else{func(callback.arg===undefined?null:callback.arg)}}}var __ATPRERUN__=[];var __ATINIT__=[];var __ATMAIN__=[];var __ATEXIT__=[];var __ATPOSTRUN__=[];var runtimeInitialized=false;var runtimeExited=false;function preRun(){if(Module["preRun"]){if(typeof Module["preRun"]=="function")Module["preRun"]=[Module["preRun"]];while(Module["preRun"].length){addOnPreRun(Module["preRun"].shift())}}callRuntimeCallbacks(__ATPRERUN__)}function ensureInitRuntime(){if(runtimeInitialized)return;runtimeInitialized=true;callRuntimeCallbacks(__ATINIT__)}function preMain(){callRuntimeCallbacks(__ATMAIN__)}function exitRuntime(){callRuntimeCallbacks(__ATEXIT__);runtimeExited=true}function postRun(){if(Module["postRun"]){if(typeof Module["postRun"]=="function")Module["postRun"]=[Module["postRun"]];while(Module["postRun"].length){addOnPostRun(Module["postRun"].shift())}}callRuntimeCallbacks(__ATPOSTRUN__)}function addOnPreRun(cb){__ATPRERUN__.unshift(cb)}Module["addOnPreRun"]=addOnPreRun;function addOnInit(cb){__ATINIT__.unshift(cb)}Module["addOnInit"]=addOnInit;function addOnPreMain(cb){__ATMAIN__.unshift(cb)}Module["addOnPreMain"]=addOnPreMain;function addOnExit(cb){__ATEXIT__.unshift(cb)}Module["addOnExit"]=addOnExit;function addOnPostRun(cb){__ATPOSTRUN__.unshift(cb)}Module["addOnPostRun"]=addOnPostRun;function intArrayFromString(stringy,dontAddNull,length){var len=length>0?length:lengthBytesUTF8(stringy)+1;var u8array=new Array(len);var numBytesWritten=stringToUTF8Array(stringy,u8array,0,u8array.length);if(dontAddNull)u8array.length=numBytesWritten;return u8array}Module["intArrayFromString"]=intArrayFromString;function intArrayToString(array){var ret=[];for(var i=0;i<array.length;i++){var chr=array[i];if(chr>255){chr&=255}ret.push(String.fromCharCode(chr))}return ret.join("")}Module["intArrayToString"]=intArrayToString;function writeStringToMemory(string,buffer,dontAddNull){Runtime.warnOnce("writeStringToMemory is deprecated and should not be called! Use stringToUTF8() instead!");var lastChar,end;if(dontAddNull){end=buffer+lengthBytesUTF8(string);lastChar=HEAP8[end]}stringToUTF8(string,buffer,Infinity);if(dontAddNull)HEAP8[end]=lastChar}Module["writeStringToMemory"]=writeStringToMemory;function writeArrayToMemory(array,buffer){HEAP8.set(array,buffer)}Module["writeArrayToMemory"]=writeArrayToMemory;function writeAsciiToMemory(str,buffer,dontAddNull){for(var i=0;i<str.length;++i){HEAP8[buffer++>>0]=str.charCodeAt(i)}if(!dontAddNull)HEAP8[buffer>>0]=0}Module["writeAsciiToMemory"]=writeAsciiToMemory;if(!Math["imul"]||Math["imul"](4294967295,5)!==-5)Math["imul"]=function imul(a,b){var ah=a>>>16;var al=a&65535;var bh=b>>>16;var bl=b&65535;return al*bl+(ah*bl+al*bh<<16)|0};Math.imul=Math["imul"];if(!Math["clz32"])Math["clz32"]=(function(x){x=x>>>0;for(var i=0;i<32;i++){if(x&1<<31-i)return i}return 32});Math.clz32=Math["clz32"];if(!Math["trunc"])Math["trunc"]=(function(x){return x<0?Math.ceil(x):Math.floor(x)});Math.trunc=Math["trunc"];var Math_abs=Math.abs;var Math_cos=Math.cos;var Math_sin=Math.sin;var Math_tan=Math.tan;var Math_acos=Math.acos;var Math_asin=Math.asin;var Math_atan=Math.atan;var Math_atan2=Math.atan2;var Math_exp=Math.exp;var Math_log=Math.log;var Math_sqrt=Math.sqrt;var Math_ceil=Math.ceil;var Math_floor=Math.floor;var Math_pow=Math.pow;var Math_imul=Math.imul;var Math_fround=Math.fround;var Math_round=Math.round;var Math_min=Math.min;var Math_clz32=Math.clz32;var Math_trunc=Math.trunc;var runDependencies=0;var runDependencyWatcher=null;var dependenciesFulfilled=null;function getUniqueRunDependency(id){return id}function addRunDependency(id){runDependencies++;if(Module["monitorRunDependencies"]){Module["monitorRunDependencies"](runDependencies)}}Module["addRunDependency"]=addRunDependency;function removeRunDependency(id){runDependencies--;if(Module["monitorRunDependencies"]){Module["monitorRunDependencies"](runDependencies)}if(runDependencies==0){if(runDependencyWatcher!==null){clearInterval(runDependencyWatcher);runDependencyWatcher=null}if(dependenciesFulfilled){var callback=dependenciesFulfilled;dependenciesFulfilled=null;callback()}}}Module["removeRunDependency"]=removeRunDependency;Module["preloadedImages"]={};Module["preloadedAudios"]={};var ASM_CONSTS=[];STATIC_BASE=Runtime.GLOBAL_BASE;STATICTOP=STATIC_BASE+1163152;__ATINIT__.push({func:(function(){__GLOBAL__I_000101()})},{func:(function(){__GLOBAL__sub_I_function_pb_cc()})},{func:(function(){__GLOBAL__sub_I_iostream_cpp()})},{func:(function(){__GLOBAL__sub_I_bind_cpp()})},{func:(function(){__GLOBAL__sub_I_message_cc()})},{func:(function(){__GLOBAL__sub_I_descriptor_pb_cc()})},{func:(function(){__GLOBAL__sub_I_status_cc()})},{func:(function(){__GLOBAL__sub_I_tensor_shape_pb_cc()})},{func:(function(){__GLOBAL__sub_I_detection_output_layer_cpp()})},{func:(function(){__GLOBAL__sub_I_prior_box_layer_cpp()})},{func:(function(){__GLOBAL__sub_I_darknet_io_cpp()})},{func:(function(){__GLOBAL__sub_I_init_cpp()})},{func:(function(){__GLOBAL__sub_I_opencv_onnx_pb_cc()})},{func:(function(){__GLOBAL__sub_I_opencv_caffe_pb_cc()})},{func:(function(){__GLOBAL__sub_I_op_def_pb_cc()})},{func:(function(){__GLOBAL__sub_I_types_pb_cc()})},{func:(function(){__GLOBAL__sub_I_bindings_cpp()})},{func:(function(){__GLOBAL__sub_I_attr_value_pb_cc()})},{func:(function(){__GLOBAL__sub_I_tensor_pb_cc()})},{func:(function(){__GLOBAL__sub_I_versions_pb_cc()})},{func:(function(){__GLOBAL__sub_I_graph_pb_cc()})},{func:(function(){__GLOBAL__sub_I_dnn_cpp()})},{func:(function(){__GLOBAL__sub_I_haar_cpp()})},{func:(function(){__GLOBAL__sub_I_hog_cpp()})},{func:(function(){__GLOBAL__sub_I_imgwarp_cpp()})},{func:(function(){__GLOBAL__sub_I_histogram_cpp()})},{func:(function(){__GLOBAL__sub_I_color_lab_cpp()})},{func:(function(){__GLOBAL__sub_I_persistence_types_cpp()})},{func:(function(){__GLOBAL__sub_I_system_cpp()})},{func:(function(){__GLOBAL__sub_I_umatrix_cpp()})},{func:(function(){__GLOBAL__sub_I_kmeans_cpp()})});allocate([0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,49,244,70,62,15,206,131,63,71,85,215,212,68,5,132,63,150,24,1,83,20,61,132,63,240,209,204,101,127,117,132,63,186,20,239,190,135,174,132,63,248,121,213,20,47,232,132,63,157,202,179,34,119,34,133,63,157,78,145,168,97,93,133,63,12,65,86,107,240,152,133,63,195,105,217,52,37,213,133,63,241,220,237,211,1,18,134,63,251,224,112,28,136,79,134,63,26,251,87,231,185,141,134,63,41,35,191,18,153,204,134,63,3,31,247,129,39,12,135,63,238,5,148,29,103,76,135,63,113,236,123,211,89,141,135,63,28,185,245,150,1,207,135,63,164,34,184,96,96,17,136,63,192,215,248,46,120,84,136,63,87,209,123,5,75,152,136,63,90,207,162,237,218,220,136,63,197,0,125,246,41,34,137,63,87,215,214,52,58,104,137,63,85,7,74,195,13,175,137,63,241,179,77,194,166,246,137,63,199,200,70,88,7,63,138,63,236,128,152,177,49,136,138,63,15,28,181,0,40,210,138,63,43,194,46,126,236,28,139,63,87,150,200,104,129,104,139,63,34,249,135,5,233,180,139,63,22,251,197,159,37,2,140,63,215,255,64,137,57,80,140,63,117,146,46,26,39,159,140,63,103,107,77,177,240,238,140,63,204,168,247,179,152,63,141,63,114,57,53,142,33,145,141,63,62,123,206,178,141,227,141,63,105,13,95,155,223,54,142,63,71,215,104,200,25,139,142,63,18,68,103,193,62,224,142,63,77,180,226,20,81,54,143,63,95,37,132,88,83,141,143,63,249,15,41,41,72,229,143,63,242,190,123,21,25,31,144,63,223,43,185,4,10,76,144,63,173,245,198,59,120,121,144,63,177,85,226,23,101,167,144,63,92,20,22,250,209,213,144,63,48,35,69,71,192,4,145,63,65,84,53,104,49,52,145,63,151,47,154,201,38,100,145,63,190,230,31,220,161,148,145,63,229,102,118,20,164,197,145,63,208,137,92,235,46,247,145,63,8,102,171,221,67,41,146,63,142,190,97,108,228,91,146,63,109,146,175,28,18,143,146,63,136,204,1,120,206,194,146,63,5,20,14,12,27,247,146,63,151,189,222,106,249,43,147,63,33,222,222,42,107,97,147,63,249,126,230,230,113,151,147,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,192,11,177,162,10,240,111,63,32,224,31,224,31,224,239,63,136,103,16,107,42,224,127,63,240,7,252,1,127,192,239,63,118,10,129,95,71,220,135,63,18,250,1,170,28,161,239,63,227,3,252,176,168,192,143,63,32,248,129,31,248,129,239,63,116,165,70,67,164,206,147,63,181,219,160,172,16,99,239,63,26,177,213,7,27,185,151,63,113,66,74,158,101,68,239,63,151,145,175,39,192,159,155,63,181,10,35,68,246,37,239,63,0,51,120,14,155,130,159,63,8,31,124,240,193,7,239,63,127,217,35,137,217,176,161,63,2,142,69,248,199,233,238,63,95,189,254,185,135,158,163,63,192,236,1,179,7,204,238,63,212,228,200,175,91,138,165,63,235,1,186,122,128,174,238,63,252,220,50,246,88,116,167,63,103,183,240,171,49,145,238,63,235,227,200,14,131,92,169,63,228,80,151,165,26,116,238,63,190,113,25,113,221,66,171,63,116,229,1,201,58,87,238,63,82,11,219,138,107,39,173,63,115,26,220,121,145,58,238,63,166,98,17,192,48,10,175,63,30,30,30,30,30,30,238,63,113,228,152,53,152,117,176,63,30,224,1,30,224,1,238,63,224,122,163,238,54,101,177,63,138,134,248,227,214,229,237,63,22,20,10,47,246,83,178,63,202,29,160,220,1,202,237,63,208,209,27,150,215,65,179,63,219,129,185,118,96,174,237,63,240,70,166,190,220,46,180,63,138,127,30,35,242,146,237,63,63,24,6,63,7,27,181,63,52,44,184,84,182,119,237,63,195,80,55,169,88,6,182,63,178,114,117,128,172,92,237,63,75,107,229,138,210,240,182,63,29,212,65,29,212,65,237,63,204,18,123,109,118,218,183,63,26,91,252,163,44,39,237,63,32,155,49,214,69,195,184,63,116,192,110,143,181,12,237,63,172,51,32,70,66,171,185,63,198,191,68,92,110,242,236,63,99,213,74,58,109,146,186,63,11,155,3,137,86,216,236,63,161,237,176,43,200,120,187,63,231,203,1,150,109,190,236,63,67,199,91,143,84,94,188,63,145,225,94,5,179,164,236,63,93,179,108,214,19,67,189,63,66,138,251,90,38,139,236,63,229,242,42,110,7,39,190,63,28,199,113,28,199,113,236,63,166,98,17,192,48,10,191,63,134,73,13,209,148,88,236,63,186,234,219,49,145,236,191,63,240,248,195,1,143,63,236,63,110,89,202,18,21,103,192,63,28,160,46,57,181,38,236,63,89,142,208,124,126,215,192,63,224,192,129,3,7,14,236,63,172,66,103,132,133,71,193,63,139,141,134,238,131,245,235,63,160,103,47,213,42,183,193,63,247,6,148,137,43,221,235,63,203,90,10,25,111,38,194,63,123,62,136,101,253,196,235,63,35,245,31,248,82,149,194,63,208,186,193,20,249,172,235,63,210,127,228,24,215,3,195,63,35,255,24,43,30,149,235,63,116,143,30,32,252,113,195,63,139,51,218,61,108,125,235,63,41,198,236,176,194,223,195,63,5,238,190,227,226,101,235,63,30,125,203,108,43,77,196,63,79,27,232,180,129,78,235,63,229,85,154,243,54,186,196,63,206,6,216,74,72,55,235,63,55,180,161,227,229,38,197,63,217,128,108,64,54,32,235,63,133,32,152,217,56,147,197,63,164,34,217,49,75,9,235,63,211,147,167,112,48,255,197,63,40,175,161,188,134,242,234,63,80,173,114,66,205,106,198,63,94,144,148,127,232,219,234,63,28,210,25,231,15,214,198,63,27,112,197,26,112,197,234,63,164,55,64,245,248,64,199,63,253,235,135,47,29,175,234,63,9,217,16,2,137,171,199,63,190,99,106,96,239,152,234,63,234,87,67,161,192,21,200,63,89,225,48,81,230,130,234,63,16,201,32,101,160,127,200,63,109,26,208,166,1,109,234,63,64,109,136,222,40,233,200,63,74,138,104,7,65,87,234,63,180,86,244,156,90,82,201,63,26,164,65,26,164,65,234,63,131,251,125,46,54,187,201,63,160,28,197,135,42,44,234,63,99,181,226,31,188,35,202,63,2,75,122,249,211,22,234,63,24,47,136,252,236,139,202,63,26,160,1,26,160,1,234,63,242,191,128,78,201,243,202,63,217,51,16,149,142,236,233,63,164,181,143,158,81,91,203,63,45,104,107,23,159,215,233,63,214,140,45,116,134,194,203,63,2,161,228,78,209,194,233,63,192,24,140,85,104,41,204,63,218,16,85,234,36,174,233,63,33,154,154,199,247,143,204,63,154,153,153,153,153,153,233,63,220,197,9,78,53,246,204,63,255,192,142,13,47,133,233,63,145,187,79,107,33,92,205,63,114,184,12,248,228,112,233,63,125,236,171,160,188,193,205,63,174,119,227,11,187,92,233,63,229,242,42,110,7,39,206,63,224,233,214,252,176,72,233,63,95,90,170,82,2,140,206,63,230,44,155,127,198,52,233,63,54,89,220,203,173,240,206,63,41,226,208,73,251,32,233,63,55,123,75,86,10,85,207,63,213,144,1,18,79,13,233,63,42,62,94,109,24,185,207,63,250,24,156,143,193,249,232,63,28,80,173,69,108,14,208,63,63,55,241,122,82,230,232,63,64,208,180,148,37,64,208,63,211,24,48,141,1,211,232,63,13,89,205,95,184,113,208,63,58,255,98,128,206,191,232,63,227,144,115,226,36,163,208,63,170,243,107,15,185,172,232,63,75,183,154,87,107,212,208,63,156,137,1,246,192,153,232,63,213,74,174,249,139,5,209,63,74,176,171,240,229,134,232,63,176,168,147,2,135,54,209,63,185,146,192,188,39,116,232,63,14,166,171,171,92,103,209,63,24,134,97,24,134,97,232,63,111,35,212,45,13,152,209,63,20,6,120,194,0,79,232,63,250,153,105,193,152,200,209,63,221,190,178,122,151,60,232,63,242,162,72,158,255,248,209,63,160,164,130,1,74,42,232,63,101,121,207,251,65,41,210,63,24,24,24,24,24,24,232,63,57,118,223,16,96,89,210,63,6,24,96,128,1,6,232,63,163,134,222,19,90,137,210,63,64,127,1,253,5,244,231,63,36,157,184,58,48,185,210,63,29,79,90,81,37,226,231,63,48,29,225,186,226,232,210,63,244,5,125,65,95,208,231,63,132,65,84,201,113,24,211,63,124,1,46,146,179,190,231,63,84,125,152,154,221,71,211,63,195,236,224,8,34,173,231,63,90,216,191,98,38,119,211,63,139,57,182,107,170,155,231,63,233,69,105,85,76,166,211,63,200,164,120,129,76,138,231,63,15,247,193,165,79,213,211,63,13,198,154,17,8,121,231,63,227,167,134,134,48,4,212,63,177,169,52,228,220,103,231,63,19,232,4,42,239,50,212,63,109,117,1,194,202,86,231,63,194,94,28,194,139,97,212,63,70,23,93,116,209,69,231,63,208,9,64,128,6,144,212,63,141,254,65,197,240,52,231,63,160,120,119,149,95,190,212,63,188,222,70,127,40,36,231,63,105,2,96,50,151,236,212,63,9,124,156,109,120,19,231,63,45,248,45,135,173,26,213,63,112,129,11,92,224,2,231,63,98,210,173,195,162,72,213,63,23,96,242,22,96,242,230,63,108,90,69,23,119,118,213,63,199,55,67,107,247,225,230,63,225,207,244,176,42,164,213,63,97,200,129,38,166,209,230,63,202,9,88,191,189,209,213,63,23,108,193,22,108,193,230,63,211,147,167,112,48,255,213,63,61,26,163,10,73,177,230,63,149,199,185,242,130,44,214,63,144,114,83,209,60,161,230,63,242,225,3,115,181,89,214,63,192,208,136,58,71,145,230,63,174,20,155,30,200,134,214,63,23,104,129,22,104,129,230,63,61,148,53,34,187,179,214,63,26,103,1,54,159,113,230,63,227,161,43,170,142,224,214,63,249,34,81,106,236,97,230,63,53,146,120,226,66,13,215,63,163,74,59,133,79,82,230,63,6,208,187,246,215,57,215,63,100,33,11,89,200,66,230,63,206,219,57,18,78,102,215,63,222,192,138,184,86,51,230,63,162,71,221,95,165,146,215,63,64,98,1,119,250,35,230,63,191,175,55,10,222,190,215,63,148,174,49,104,179,20,230,63,195,175,130,59,248,234,215,63,6,22,88,96,129,5,230,63,149,212,160,29,244,22,216,63,252,45,41,52,100,246,229,63,23,139,30,218,209,66,216,63,231,21,208,184,91,231,229,63,160,11,51,154,145,110,216,63,165,226,236,195,103,216,229,63,90,66,193,134,51,154,216,63,87,16,147,43,136,201,229,63,138,180,88,200,183,197,216,63,145,250,71,198,188,186,229,63,199,98,54,135,30,241,216,63,192,90,1,107,5,172,229,63,61,168,69,235,103,28,217,63,170,204,35,241,97,157,229,63,250,22,33,28,148,71,217,63,237,88,129,48,210,142,229,63,88,81,19,65,163,114,217,63,96,5,88,1,86,128,229,63,138,224,23,129,149,157,217,63,58,107,80,60,237,113,229,63,98,8,220,2,107,200,217,63,226,82,124,186,151,99,229,63,75,152,191,236,35,243,217,63,85,85,85,85,85,85,229,63,149,185,213,100,192,29,218,63,254,130,187,230,37,71,229,63,10,187,229,144,64,72,218,63,235,15,244,72,9,57,229,63,234,217,107,150,164,114,218,63,75,5,168,86,255,42,229,63,73,8,154,154,236,156,218,63,21,248,226,234,7,29,229,63,228,176,88,194,24,199,218,63,197,196,17,225,34,15,229,63,107,120,71,50,41,241,218,63,21,80,1,21,80,1,229,63,91,252,189,14,30,27,219,63,155,76,221,98,143,243,228,63,98,143,204,123,247,68,219,63,57,5,47,167,224,229,228,63,93,243,60,157,181,110,219,63,76,44,220,190,67,216,228,63,251,16,147,150,88,152,219,63,110,175,37,135,184,202,228,63,10,173,13,139,224,193,219,63,225,143,166,221,62,189,228,63,123,27,167,157,77,235,219,63,91,191,82,160,214,175,228,63,38,240,21,241,159,20,220,63,74,1,118,173,127,162,228,63,77,173,205,167,215,61,220,63,103,208,178,227,57,149,228,63,247,111,255,227,244,102,220,63,128,72,1,34,5,136,228,63,33,154,154,199,247,143,220,63,123,20,174,71,225,122,228,63,201,122,77,116,224,184,220,63,102,96,89,52,206,109,228,63,235,243,133,11,175,225,220,63,154,207,245,199,203,96,228,63,100,30,114,174,99,10,221,63,202,118,199,226,217,83,228,63,213,235,0,126,254,50,221,63,251,217,98,101,248,70,228,63,131,198,226,154,127,91,221,63,77,238,171,48,39,58,228,63,62,47,138,37,231,131,221,63,135,31,213,37,102,45,228,63,84,89,44,62,53,172,221,63,81,89,94,38,181,32,228,63,160,196,193,4,106,212,221,63,20,20,20,20,20,20,228,63,181,213,6,153,133,252,221,63,102,101,14,209,130,7,228,63,38,108,124,26,136,36,222,63,251,19,176,63,1,251,227,63,4,119,104,168,113,76,222,63,7,175,165,66,143,238,227,63,135,135,214,97,66,116,222,63,2,169,228,188,44,226,227,63,245,97,152,101,250,155,222,63,198,117,170,145,217,213,227,63,192,140,70,210,153,195,222,63,231,171,123,164,149,201,227,63,244,221,64,198,32,235,222,63,85,41,35,217,96,189,227,63,236,6,175,95,143,18,223,63,20,59,177,19,59,177,227,63,91,30,129,188,229,57,223,63,34,200,122,56,36,165,227,63,172,40,112,250,35,97,223,63,99,127,24,44,28,153,227,63,194,158,254,54,74,136,223,63,142,8,102,211,34,141,227,63,30,243,120,143,88,175,223,63,20,56,129,19,56,129,227,63,113,21,246,32,79,214,223,63,238,69,201,209,91,117,227,63,152,244,87,8,46,253,223,63,72,7,222,243,141,105,227,63,138,255,37,177,250,17,224,63,248,42,159,95,206,93,227,63,254,208,165,165,82,37,224,63,193,120,43,251,28,82,227,63,59,99,206,239,158,56,224,63,70,19,224,172,121,70,227,63,210,38,169,157,223,75,224,63,178,188,87,91,228,58,227,63,156,69,38,189,20,95,224,63,250,29,106,237,92,47,227,63,64,223,28,92,62,114,224,63,191,16,43,74,227,35,227,63,14,69,75,136,92,133,224,63,182,235,233,88,119,24,227,63,32,53,87,79,111,152,224,63,144,209,48,1,25,13,227,63,209,20,206,190,118,171,224,63,96,2,196,42,200,1,227,63,130,42,37,228,114,190,224,63,104,47,161,189,132,246,226,63,183,214,185,204,99,209,224,63,75,209,254,161,78,235,226,63,139,204,209,133,73,228,224,63,151,128,75,192,37,224,226,63,125,73,155,28,36,247,224,63,160,80,45,1,10,213,226,63,150,76,45,158,243,9,225,63,160,44,129,77,251,201,226,63,248,204,135,23,184,28,225,63,17,55,90,142,249,190,226,63,188,239,147,149,113,47,225,63,64,43,1,173,4,180,226,63,68,61,36,37,32,66,225,63,5,193,243,146,28,169,226,63,233,213,244,210,195,84,225,63,158,18,228,41,65,158,226,63,14,166,171,171,92,103,225,63,165,4,184,91,114,147,226,63,160,153,216,187,234,121,225,63,19,176,136,18,176,136,226,63,6,207,245,15,110,140,225,63,77,206,161,56,250,125,226,63,110,201,103,180,230,158,225,63,53,39,129,184,80,115,226,63,158,162,125,181,84,177,225,63,39,1,214,124,179,104,226,63,36,60,113,31,184,195,225,63,241,146,128,112,34,94,226,63,3,112,103,254,16,214,225,63,178,119,145,126,157,83,226,63,208,64,112,94,95,232,225,63,146,36,73,146,36,73,226,63,76,9,135,75,163,250,225,63,91,96,23,151,183,62,226,63,109,171,146,209,220,12,226,63,223,188,154,120,86,52,226,63,235,190,101,252,11,31,226,63,42,18,160,34,1,42,226,63,66,191,190,215,48,49,226,63,120,251,33,129,183,31,226,63,51,57,72,111,75,67,226,63,230,85,72,128,121,21,226,63,203,247,152,206,91,85,226,63,217,192,103,12,71,11,226,63,223,48,52,1,98,103,226,63,18,32,1,18,32,1,226,63,26,177,137,18,94,121,226,63,112,31,193,125,4,247,225,63,130,7,246,13,80,139,226,63,76,184,127,60,244,236,225,63,138,176,194,254,55,157,226,63,116,184,63,59,239,226,225,63,173,64,38,240,21,175,226,63,189,74,46,103,245,216,225,63,139,142,68,237,233,192,226,63,29,129,162,173,6,207,225,63,157,220,46,1,180,210,226,63,89,224,28,252,34,197,225,63,104,2,228,54,116,228,226,63,41,237,70,64,74,187,225,63,70,149,80,153,42,246,226,63,227,186,242,103,124,177,225,63,190,16,79,51,215,7,227,63,150,123,26,97,185,167,225,63,106,254,167,15,122,25,227,63,158,17,224,25,1,158,225,63,113,29,18,57,19,43,227,63,156,162,140,128,83,148,225,63,148,137,50,186,162,60,227,63,219,43,144,131,176,138,225,63,211,225,156,157,40,78,227,63,18,24,129,17,24,129,225,63,160,110,211,237,164,95,227,63,132,214,27,25,138,119,225,63,181,71,71,181,23,113,227,63,121,115,66,137,6,110,225,63,126,121,88,254,128,130,227,63,1,50,252,80,141,100,225,63,25,42,86,211,224,147,227,63,13,39,117,95,30,91,225,63,249,189,126,62,55,165,227,63,201,213,253,163,185,81,225,63,34,252,255,73,132,182,227,63,59,205,10,14,95,72,225,63,5,50,247,255,199,199,227,63,36,71,52,141,14,63,225,63,250,86,113,106,2,217,227,63,17,200,53,17,200,53,225,63,91,47,107,147,51,234,227,63,172,192,237,137,139,44,225,63,66,111,209,132,91,251,227,63,51,48,93,231,88,35,225,63,233,220,128,72,122,12,228,63,38,72,167,25,48,26,225,63,174,114,70,232,143,29,228,63,17,17,17,17,17,17,225,63,191,128,223,109,156,46,228,63,128,16,1,190,251,7,225,63,103,206,249,226,159,63,228,63,17,240,254,16,240,254,224,63,10,187,51,81,154,80,228,63,162,37,179,250,237,245,224,63,194,94,28,194,139,97,228,63,144,156,230,107,245,236,224,63,173,170,51,63,116,114,228,63,17,96,130,85,6,228,224,63,223,136,234,209,83,131,228,63,150,70,143,168,32,219,224,63,7,252,162,131,42,148,228,63,58,158,53,86,68,210,224,63,187,62,176,93,248,164,228,63,59,218,188,79,113,201,224,63,115,226,86,105,189,181,228,63,113,65,139,134,167,192,224,63,57,238,204,175,121,198,228,63,200,157,37,236,230,183,224,63,0,253,57,58,45,215,228,63,181,236,46,114,47,175,224,63,176,91,183,17,216,231,228,63,167,16,104,10,129,166,224,63,232,38,80,63,122,248,228,63,96,131,175,166,219,157,224,63,107,104,1,204,19,9,229,63,84,9,1,57,63,149,224,63,70,52,186,192,164,25,229,63,226,101,117,179,171,140,224,63,170,197,91,38,45,42,229,63,132,16,66,8,33,132,224,63,124,155,185,5,173,58,229,63,226,234,184,41,159,123,224,63,151,148,153,103,36,75,229,63,198,247,71,10,38,115,224,63,205,11,180,84,147,91,229,63,251,18,121,156,181,106,224,63,153,243,179,213,249,107,229,63,252,169,241,210,77,98,224,63,144,241,54,243,87,124,229,63,134,117,114,160,238,89,224,63,137,121,205,181,173,140,229,63,4,52,215,247,151,81,224,63,125,232,250,37,251,156,229,63,197,100,22,204,73,73,224,63,44,159,53,76,64,173,229,63,16,4,65,16,4,65,224,63,115,28,231,48,125,189,229,63,252,71,130,183,198,56,224,63,100,23,108,220,177,205,229,63,26,94,31,181,145,48,224,63,35,153,20,87,222,221,229,63,233,41,119,252,100,40,224,63,117,22,36,169,2,238,229,63,8,4,2,129,64,32,224,63,24,137,209,218,30,254,229,63,55,122,81,54,36,24,224,63,216,136,71,244,50,14,230,63,16,16,16,16,16,16,224,63,239,57,250,254,66,46,230,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,192,11,177,162,10,240,111,63,32,224,31,224,31,224,239,63,136,103,16,107,42,224,127,63,240,7,252,1,127,192,239,63,118,10,129,95,71,220,135,63,18,250,1,170,28,161,239,63,227,3,252,176,168,192,143,63,32,248,129,31,248,129,239,63,116,165,70,67,164,206,147,63,181,219,160,172,16,99,239,63,26,177,213,7,27,185,151,63,113,66,74,158,101,68,239,63,151,145,175,39,192,159,155,63,181,10,35,68,246,37,239,63,0,51,120,14,155,130,159,63,8,31,124,240,193,7,239,63,127,217,35,137,217,176,161,63,2,142,69,248,199,233,238,63,95,189,254,185,135,158,163,63,192,236,1,179,7,204,238,63,212,228,200,175,91,138,165,63,235,1,186,122,128,174,238,63,252,220,50,246,88,116,167,63,103,183,240,171,49,145,238,63,235,227,200,14,131,92,169,63,228,80,151,165,26,116,238,63,190,113,25,113,221,66,171,63,116,229,1,201,58,87,238,63,82,11,219,138,107,39,173,63,115,26,220,121,145,58,238,63,166,98,17,192,48,10,175,63,30,30,30,30,30,30,238,63,113,228,152,53,152,117,176,63,30,224,1,30,224,1,238,63,224,122,163,238,54,101,177,63,138,134,248,227,214,229,237,63,22,20,10,47,246,83,178,63,202,29,160,220,1,202,237,63,208,209,27,150,215,65,179,63,219,129,185,118,96,174,237,63,240,70,166,190,220,46,180,63,138,127,30,35,242,146,237,63,63,24,6,63,7,27,181,63,52,44,184,84,182,119,237,63,195,80,55,169,88,6,182,63,178,114,117,128,172,92,237,63,75,107,229,138,210,240,182,63,29,212,65,29,212,65,237,63,204,18,123,109,118,218,183,63,26,91,252,163,44,39,237,63,32,155,49,214,69,195,184,63,116,192,110,143,181,12,237,63,172,51,32,70,66,171,185,63,198,191,68,92,110,242,236,63,99,213,74,58,109,146,186,63,11,155,3,137,86,216,236,63,161,237,176,43,200,120,187,63,231,203,1,150,109,190,236,63,67,199,91,143,84,94,188,63,145,225,94,5,179,164,236,63,93,179,108,214,19,67,189,63,66,138,251,90,38,139,236,63,229,242,42,110,7,39,190,63,28,199,113,28,199,113,236,63,166,98,17,192,48,10,191,63,134,73,13,209,148,88,236,63,186,234,219,49,145,236,191,63,240,248,195,1,143,63,236,63,110,89,202,18,21,103,192,63,28,160,46,57,181,38,236,63,89,142,208,124,126,215,192,63,224,192,129,3,7,14,236,63,172,66,103,132,133,71,193,63,139,141,134,238,131,245,235,63,160,103,47,213,42,183,193,63,247,6,148,137,43,221,235,63,203,90,10,25,111,38,194,63,123,62,136,101,253,196,235,63,35,245,31,248,82,149,194,63,208,186,193,20,249,172,235,63,210,127,228,24,215,3,195,63,35,255,24,43,30,149,235,63,116,143,30,32,252,113,195,63,139,51,218,61,108,125,235,63,41,198,236,176,194,223,195,63,5,238,190,227,226,101,235,63,30,125,203,108,43,77,196,63,79,27,232,180,129,78,235,63,229,85,154,243,54,186,196,63,206,6,216,74,72,55,235,63,55,180,161,227,229,38,197,63,217,128,108,64,54,32,235,63,133,32,152,217,56,147,197,63,164,34,217,49,75,9,235,63,211,147,167,112,48,255,197,63,40,175,161,188,134,242,234,63,80,173,114,66,205,106,198,63,94,144,148,127,232,219,234,63,28,210,25,231,15,214,198,63,27,112,197,26,112,197,234,63,164,55,64,245,248,64,199,63,253,235,135,47,29,175,234,63,9,217,16,2,137,171,199,63,190,99,106,96,239,152,234,63,234,87,67,161,192,21,200,63,89,225,48,81,230,130,234,63,16,201,32,101,160,127,200,63,109,26,208,166,1,109,234,63,64,109,136,222,40,233,200,63,74,138,104,7,65,87,234,63,180,86,244,156,90,82,201,63,26,164,65,26,164,65,234,63,131,251,125,46,54,187,201,63,160,28,197,135,42,44,234,63,99,181,226,31,188,35,202,63,2,75,122,249,211,22,234,63,24,47,136,252,236,139,202,63,26,160,1,26,160,1,234,63,242,191,128,78,201,243,202,63,217,51,16,149,142,236,233,63,164,181,143,158,81,91,203,63,45,104,107,23,159,215,233,63,214,140,45,116,134,194,203,63,2,161,228,78,209,194,233,63,192,24,140,85,104,41,204,63,218,16,85,234,36,174,233,63,33,154,154,199,247,143,204,63,154,153,153,153,153,153,233,63,220,197,9,78,53,246,204,63,255,192,142,13,47,133,233,63,145,187,79,107,33,92,205,63,114,184,12,248,228,112,233,63,125,236,171,160,188,193,205,63,174,119,227,11,187,92,233,63,229,242,42,110,7,39,206,63,224,233,214,252,176,72,233,63,95,90,170,82,2,140,206,63,230,44,155,127,198,52,233,63,54,89,220,203,173,240,206,63,41,226,208,73,251,32,233,63,55,123,75,86,10,85,207,63,213,144,1,18,79,13,233,63,42,62,94,109,24,185,207,63,250,24,156,143,193,249,232,63,28,80,173,69,108,14,208,63,63,55,241,122,82,230,232,63,64,208,180,148,37,64,208,63,211,24,48,141,1,211,232,63,13,89,205,95,184,113,208,63,58,255,98,128,206,191,232,63,227,144,115,226,36,163,208,63,170,243,107,15,185,172,232,63,75,183,154,87,107,212,208,63,156,137,1,246,192,153,232,63,213,74,174,249,139,5,209,63,74,176,171,240,229,134,232,63,176,168,147,2,135,54,209,63,185,146,192,188,39,116,232,63,14,166,171,171,92,103,209,63,24,134,97,24,134,97,232,63,111,35,212,45,13,152,209,63,20,6,120,194,0,79,232,63,250,153,105,193,152,200,209,63,221,190,178,122,151,60,232,63,242,162,72,158,255,248,209,63,160,164,130,1,74,42,232,63,101,121,207,251,65,41,210,63,24,24,24,24,24,24,232,63,57,118,223,16,96,89,210,63,6,24,96,128,1,6,232,63,163,134,222,19,90,137,210,63,64,127,1,253,5,244,231,63,36,157,184,58,48,185,210,63,29,79,90,81,37,226,231,63,48,29,225,186,226,232,210,63,244,5,125,65,95,208,231,63,132,65,84,201,113,24,211,63,124,1,46,146,179,190,231,63,84,125,152,154,221,71,211,63,195,236,224,8,34,173,231,63,90,216,191,98,38,119,211,63,139,57,182,107,170,155,231,63,233,69,105,85,76,166,211,63,200,164,120,129,76,138,231,63,15,247,193,165,79,213,211,63,13,198,154,17,8,121,231,63,227,167,134,134,48,4,212,63,177,169,52,228,220,103,231,63,19,232,4,42,239,50,212,63,109,117,1,194,202,86,231,63,194,94,28,194,139,97,212,63,70,23,93,116,209,69,231,63,208,9,64,128,6,144,212,63,141,254,65,197,240,52,231,63,160,120,119,149,95,190,212,63,188,222,70,127,40,36,231,63,105,2,96,50,151,236,212,63,9,124,156,109,120,19,231,63,45,248,45,135,173,26,213,63,112,129,11,92,224,2,231,63,98,210,173,195,162,72,213,63,23,96,242,22,96,242,230,63,108,90,69,23,119,118,213,63,199,55,67,107,247,225,230,63,225,207,244,176,42,164,213,63,97,200,129,38,166,209,230,63,202,9,88,191,189,209,213,63,23,108,193,22,108,193,230,63,211,147,167,112,48,255,213,63,61,26,163,10,73,177,230,63,149,199,185,242,130,44,214,63,144,114,83,209,60,161,230,63,242,225,3,115,181,89,214,63,192,208,136,58,71,145,230,63,174,20,155,30,200,134,214,63,23,104,129,22,104,129,230,63,61,148,53,34,187,179,214,63,26,103,1,54,159,113,230,63,227,161,43,170,142,224,214,63,249,34,81,106,236,97,230,63,53,146,120,226,66,13,215,63,163,74,59,133,79,82,230,63,6,208,187,246,215,57,215,63,100,33,11,89,200,66,230,63,206,219,57,18,78,102,215,63,222,192,138,184,86,51,230,63,162,71,221,95,165,146,215,63,64,98,1,119,250,35,230,63,191,175,55,10,222,190,215,63,148,174,49,104,179,20,230,63,195,175,130,59,248,234,215,63,6,22,88,96,129,5,230,63,149,212,160,29,244,22,216,63,252,45,41,52,100,246,229,63,23,139,30,218,209,66,216,63,231,21,208,184,91,231,229,63,160,11,51,154,145,110,216,63,165,226,236,195,103,216,229,63,90,66,193,134,51,154,216,63,87,16,147,43,136,201,229,63,138,180,88,200,183,197,216,63,145,250,71,198,188,186,229,63,199,98,54,135,30,241,216,63,192,90,1,107,5,172,229,63,61,168,69,235,103,28,217,63,170,204,35,241,97,157,229,63,250,22,33,28,148,71,217,63,237,88,129,48,210,142,229,63,88,81,19,65,163,114,217,63,96,5,88,1,86,128,229,63,138,224,23,129,149,157,217,63,58,107,80,60,237,113,229,63,98,8,220,2,107,200,217,63,226,82,124,186,151,99,229,63,75,152,191,236,35,243,217,63,85,85,85,85,85,85,229,63,149,185,213,100,192,29,218,63,254,130,187,230,37,71,229,63,10,187,229,144,64,72,218,63,235,15,244,72,9,57,229,63,234,217,107,150,164,114,218,63,75,5,168,86,255,42,229,63,73,8,154,154,236,156,218,63,21,248,226,234,7,29,229,63,228,176,88,194,24,199,218,63,197,196,17,225,34,15,229,63,107,120,71,50,41,241,218,63,21,80,1,21,80,1,229,63,91,252,189,14,30,27,219,63,155,76,221,98,143,243,228,63,98,143,204,123,247,68,219,63,57,5,47,167,224,229,228,63,93,243,60,157,181,110,219,63,76,44,220,190,67,216,228,63,251,16,147,150,88,152,219,63,110,175,37,135,184,202,228,63,10,173,13,139,224,193,219,63,225,143,166,221,62,189,228,63,123,27,167,157,77,235,219,63,91,191,82,160,214,175,228,63,38,240,21,241,159,20,220,63,74,1,118,173,127,162,228,63,77,173,205,167,215,61,220,63,103,208,178,227,57,149,228,63,247,111,255,227,244,102,220,63,128,72,1,34,5,136,228,63,33,154,154,199,247,143,220,63,123,20,174,71,225,122,228,63,201,122,77,116,224,184,220,63,102,96,89,52,206,109,228,63,235,243,133,11,175,225,220,63,154,207,245,199,203,96,228,63,100,30,114,174,99,10,221,63,202,118,199,226,217,83,228,63,213,235,0,126,254,50,221,63,251,217,98,101,248,70,228,63,131,198,226,154,127,91,221,63,77,238,171,48,39,58,228,63,62,47,138,37,231,131,221,63,135,31,213,37,102,45,228,63,84,89,44,62,53,172,221,63,81,89,94,38,181,32,228,63,160,196,193,4,106,212,221,63,20,20,20,20,20,20,228,63,181,213,6,153,133,252,221,63,102,101,14,209,130,7,228,63,38,108,124,26,136,36,222,63,251,19,176,63,1,251,227,63,4,119,104,168,113,76,222,63,7,175,165,66,143,238,227,63,135,135,214,97,66,116,222,63,2,169,228,188,44,226,227,63,245,97,152,101,250,155,222,63,198,117,170,145,217,213,227,63,192,140,70,210,153,195,222,63,231,171,123,164,149,201,227,63,244,221,64,198,32,235,222,63,85,41,35,217,96,189,227,63,236,6,175,95,143,18,223,63,20,59,177,19,59,177,227,63,91,30,129,188,229,57,223,63,34,200,122,56,36,165,227,63,172,40,112,250,35,97,223,63,99,127,24,44,28,153,227,63,194,158,254,54,74,136,223,63,142,8,102,211,34,141,227,63,30,243,120,143,88,175,223,63,20,56,129,19,56,129,227,63,113,21,246,32,79,214,223,63,238,69,201,209,91,117,227,63,152,244,87,8,46,253,223,63,72,7,222,243,141,105,227,63,138,255,37,177,250,17,224,63,248,42,159,95,206,93,227,63,254,208,165,165,82,37,224,63,193,120,43,251,28,82,227,63,59,99,206,239,158,56,224,63,70,19,224,172,121,70,227,63,210,38,169,157,223,75,224,63,178,188,87,91,228,58,227,63,156,69,38,189,20,95,224,63,250,29,106,237,92,47,227,63,64,223,28,92,62,114,224,63,191,16,43,74,227,35,227,63,14,69,75,136,92,133,224,63,182,235,233,88,119,24,227,63,32,53,87,79,111,152,224,63,144,209,48,1,25,13,227,63,209,20,206,190,118,171,224,63,96,2,196,42,200,1,227,63,130,42,37,228,114,190,224,63,104,47,161,189,132,246,226,63,183,214,185,204,99,209,224,63,75,209,254,161,78,235,226,63,139,204,209,133,73,228,224,63,151,128,75,192,37,224,226,63,125,73,155,28,36,247,224,63,160,80,45,1,10,213,226,63,150,76,45,158,243,9,225,63,160,44,129,77,251,201,226,63,248,204,135,23,184,28,225,63,17,55,90,142,249,190,226,63,188,239,147,149,113,47,225,63,64,43,1,173,4,180,226,63,68,61,36,37,32,66,225,63,5,193,243,146,28,169,226,63,233,213,244,210,195,84,225,63,158,18,228,41,65,158,226,63,14,166,171,171,92,103,225,63,165,4,184,91,114,147,226,63,160,153,216,187,234,121,225,63,19,176,136,18,176,136,226,63,6,207,245,15,110,140,225,63,77,206,161,56,250,125,226,63,110,201,103,180,230,158,225,63,53,39,129,184,80,115,226,63,158,162,125,181,84,177,225,63,39,1,214,124,179,104,226,63,36,60,113,31,184,195,225,63,241,146,128,112,34,94,226,63,3,112,103,254,16,214,225,63,178,119,145,126,157,83,226,63,208,64,112,94,95,232,225,63,146,36,73,146,36,73,226,63,76,9,135,75,163,250,225,63,91,96,23,151,183,62,226,63,109,171,146,209,220,12,226,63,223,188,154,120,86,52,226,63,235,190,101,252,11,31,226,63,42,18,160,34,1,42,226,63,66,191,190,215,48,49,226,63,120,251,33,129,183,31,226,63,51,57,72,111,75,67,226,63,230,85,72,128,121,21,226,63,203,247,152,206,91,85,226,63,217,192,103,12,71,11,226,63,223,48,52,1,98,103,226,63,18,32,1,18,32,1,226,63,26,177,137,18,94,121,226,63,112,31,193,125,4,247,225,63,130,7,246,13,80,139,226,63,76,184,127,60,244,236,225,63,138,176,194,254,55,157,226,63,116,184,63,59,239,226,225,63,173,64,38,240,21,175,226,63,189,74,46,103,245,216,225,63,139,142,68,237,233,192,226,63,29,129,162,173,6,207,225,63,157,220,46,1,180,210,226,63,89,224,28,252,34,197,225,63,104,2,228,54,116,228,226,63,41,237,70,64,74,187,225,63,70,149,80,153,42,246,226,63,227,186,242,103,124,177,225,63,190,16,79,51,215,7,227,63,150,123,26,97,185,167,225,63,106,254,167,15,122,25,227,63,158,17,224,25,1,158,225,63,113,29,18,57,19,43,227,63,156,162,140,128,83,148,225,63,148,137,50,186,162,60,227,63,219,43,144,131,176,138,225,63,211,225,156,157,40,78,227,63,18,24,129,17,24,129,225,63,160,110,211,237,164,95,227,63,132,214,27,25,138,119,225,63,181,71,71,181,23,113,227,63,121,115,66,137,6,110,225,63,126,121,88,254,128,130,227,63,1,50,252,80,141,100,225,63,25,42,86,211,224,147,227,63,13,39,117,95,30,91,225,63,249,189,126,62,55,165,227,63,201,213,253,163,185,81,225,63,34,252,255,73,132,182,227,63,59,205,10,14,95,72,225,63,5,50,247,255,199,199,227,63,36,71,52,141,14,63,225,63,250,86,113,106,2,217,227,63,17,200,53,17,200,53,225,63,91,47,107,147,51,234,227,63,172,192,237,137,139,44,225,63,66,111,209,132,91,251,227,63,51,48,93,231,88,35,225,63,233,220,128,72,122,12,228,63,38,72,167,25,48,26,225,63,174,114,70,232,143,29,228,63,17,17,17,17,17,17,225,63,191,128,223,109,156,46,228,63,128,16,1,190,251,7,225,63,103,206,249,226,159,63,228,63,17,240,254,16,240,254,224,63,10,187,51,81,154,80,228,63,162,37,179,250,237,245,224,63,194,94,28,194,139,97,228,63,144,156,230,107,245,236,224,63,173,170,51,63,116,114,228,63,17,96,130,85,6,228,224,63,223,136,234,209,83,131,228,63,150,70,143,168,32,219,224,63,7,252,162,131,42,148,228,63,58,158,53,86,68,210,224,63,187,62,176,93,248,164,228,63,59,218,188,79,113,201,224,63,115,226,86,105,189,181,228,63,113,65,139,134,167,192,224,63,57,238,204,175,121,198,228,63,200,157,37,236,230,183,224,63,0,253,57,58,45,215,228,63,181,236,46,114,47,175,224,63,176,91,183,17,216,231,228,63,167,16,104,10,129,166,224,63,232,38,80,63,122,248,228,63,96,131,175,166,219,157,224,63,107,104,1,204,19,9,229,63,84,9,1,57,63,149,224,63,70,52,186,192,164,25,229,63,226,101,117,179,171,140,224,63,170,197,91,38,45,42,229,63,132,16,66,8,33,132,224,63,124,155,185,5,173,58,229,63,226,234,184,41,159,123,224,63,151,148,153,103,36,75,229,63,198,247,71,10,38,115,224,63,205,11,180,84,147,91,229,63,251,18,121,156,181,106,224,63,153,243,179,213,249,107,229,63,252,169,241,210,77,98,224,63,144,241,54,243,87,124,229,63,134,117,114,160,238,89,224,63,137,121,205,181,173,140,229,63,4,52,215,247,151,81,224,63,125,232,250,37,251,156,229,63,197,100,22,204,73,73,224,63,44,159,53,76,64,173,229,63,16,4,65,16,4,65,224,63,115,28,231,48,125,189,229,63,252,71,130,183,198,56,224,63,100,23,108,220,177,205,229,63,26,94,31,181,145,48,224,63,35,153,20,87,222,221,229,63,233,41,119,252,100,40,224,63,117,22,36,169,2,238,229,63,8,4,2,129,64,32,224,63,24,137,209,218,30,254,229,63,55,122,81,54,36,24,224,63,216,136,71,244,50,14,230,63,16,16,16,16,16,16,224,63,239,57,250,254,66,46,230,63,0,0,0,0,0,0,224,63,4,0,0,0,0,0,0,0,40,99,0,0,61,0,0,0,62,0,0,0,252,255,255,255,252,255,255,255,40,99,0,0,63,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,56,133,2,0,204,201,2,0,56,133,2,0,220,201,2,0,56,133,2,0,239,201,2,0,56,133,2,0,92,202,2,0,16,134,2,0,48,202,2,0,0,0,0,0,1,0,0,0,136,34,0,0,0,0,0,0,16,134,2,0,12,202,2,0,0,0,0,0,1,0,0,0,144,34,0,0,0,0,0,0,244,133,2,0,129,202,2,0,0,0,0,0,168,34,0,0,244,133,2,0,166,202,2,0,1,0,0,0,168,34,0,0,56,133,2,0,227,202,2,0,16,134,2,0,37,203,2,0,0,0,0,0,1,0,0,0,136,34,0,0,0,0,0,0,16,134,2,0,1,203,2,0,0,0,0,0,1,0,0,0,232,34,0,0,0,0,0,0,244,133,2,0,81,203,2,0,0,0,0,0,0,35,0,0,244,133,2,0,118,203,2,0,1,0,0,0,0,35,0,0,16,134,2,0,209,203,2,0,0,0,0,0,1,0,0,0,136,34,0,0,0,0,0,0,16,134,2,0,173,203,2,0,0,0,0,0,1,0,0,0,56,35,0,0,0,0,0,0,244,133,2,0,253,203,2,0,0,0,0,0,80,35,0,0,244,133,2,0,34,204,2,0,1,0,0,0,80,35,0,0,16,134,2,0,141,204,2,0,0,0,0,0,1,0,0,0,136,34,0,0,0,0,0,0,16,134,2,0,89,204,2,0,0,0,0,0,1,0,0,0,136,35,0,0,0,0,0,0,244,133,2,0,201,204,2,0,0,0,0,0,160,35,0,0,244,133,2,0,254,204,2,0,1,0,0,0,160,35,0,0,56,133,2,0,52,205,2,0,16,134,2,0,114,205,2,0,0,0,0,0,1,0,0,0,136,34,0,0,0,0,0,0,16,134,2,0,68,205,2,0,0,0,0,0,1,0,0,0,224,35,0,0,0,0,0,0,244,133,2,0,168,205,2,0,0,0,0,0,248,35,0,0,244,133,2,0,215,205,2,0,1,0,0,0,248,35,0,0,56,133,2,0,7,206,2,0,16,134,2,0,68,206,2,0,0,0,0,0,1,0,0,0,136,34,0,0,0,0,0,0,16,134,2,0,17,206,2,0,0,0,0,0,1,0,0,0,56,36,0,0,0,0,0,0,244,133,2,0,127,206,2,0,0,0,0,0,80,36,0,0,244,133,2,0,179,206,2,0,1,0,0,0,80,36,0,0,244,133,2,0,232,206,2,0,0,0,0,0,48,36,0,0,244,133,2,0,243,206,2,0,1,0,0,0,48,36,0,0,56,133,2,0,255,206,2,0,56,133,2,0,48,207,2,0,96,133,2,0,31,207,2,0,176,36,0,0,0,0,0,0,96,133,2,0,14,207,2,0,184,36,0,0,0,0,0,0,56,133,2,0,85,207,2,0,56,133,2,0,116,207,2,0,56,133,2,0,147,207,2,0,56,133,2,0,178,207,2,0,56,133,2,0,209,207,2,0,56,133,2,0,240,207,2,0,56,133,2,0,15,208,2,0,56,133,2,0,68,208,2,0,56,133,2,0,116,208,2,0,56,133,2,0,140,208,2,0,56,133,2,0,159,208,2,0,56,133,2,0,174,208,2,0,56,133,2,0,202,208,2,0,56,133,2,0,227,208,2,0,56,133,2,0,48,209,2,0,16,134,2,0,241,208,2,0,0,0,0,0,1,0,0,0,72,37,0,0,0,0,0,0,56,133,2,0,93,209,2,0,56,133,2,0,9,212,2,0,244,133,2,0,47,212,2,0,0,0,0,0,184,69,0,0,244,133,2,0,69,212,2,0,1,0,0,0,184,69,0,0,96,133,2,0,143,212,2,0,184,46,0,0,0,0,0,0,244,133,2,0,171,212,2,0,0,0,0,0,152,37,0,0,244,133,2,0,200,212,2,0,1,0,0,0,152,37,0,0,96,133,2,0,230,212,2,0,152,37,0,0,0,0,0,0,244,133,2,0,6,213,2,0,0,0,0,0,200,37,0,0,244,133,2,0,39,213,2,0,1,0,0,0,200,37,0,0,56,133,2,0,73,213,2,0,96,133,2,0,115,213,2,0,184,46,0,0,0,0,0,0,244,133,2,0,127,213,2,0,0,0,0,0,0,38,0,0,244,133,2,0,140,213,2,0,1,0,0,0,0,38,0,0,56,133,2,0,154,213,2,0,244,133,2,0,185,213,2,0,0,0,0,0,184,46,0,0,244,133,2,0,202,213,2,0,1,0,0,0,184,46,0,0,244,133,2,0,220,213,2,0,0,0,0,0,112,37,0,0,244,133,2,0,3,214,2,0,1,0,0,0,112,37,0,0,56,133,2,0,43,214,2,0,244,133,2,0,68,214,2,0,0,0,0,0,120,38,0,0,244,133,2,0,94,214,2,0,1,0,0,0,120,38,0,0,96,133,2,0,201,214,2,0,176,38,0,0,0,0,0,0,56,133,2,0,20,215,2,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,205,59,127,102,158,160,230,63,204,59,127,102,158,160,230,63,70,141,50,207,107,144,237,63,99,169,174,166,226,125,216,63,176,92,247,207,151,98,239,63,10,166,105,60,184,248,200,63,38,37,209,163,141,216,239,63,44,180,41,188,166,23,185,63,126,109,121,227,33,246,239,63,21,216,13,241,101,31,169,63,13,205,132,96,136,253,239,63,127,102,163,247,85,33,153,63,219,146,155,22,98,255,239,63,135,199,222,252,209,33,137,63,146,138,142,133,216,255,239,63,118,0,103,254,240,33,121,63,2,29,98,33,246,255,239,63,195,164,204,190,248,33,105,63,230,110,88,136,253,255,239,63,66,71,230,174,250,33,89,63,52,26,22,98,255,255,239,63,55,179,236,42,251,33,73,63,117,134,133,216,255,255,239,63,248,78,238,73,251,33,57,63,156,97,33,246,255,255,239,63,2,181,174,81,251,33,41,63,103,88,136,253,255,255,239,63,245,207,158,83,251,33,25,63,26,22,98,255,255,255,239,63,106,215,26,84,251,33,9,63,134,133,216,255,255,255,239,63,72,217,57,84,251,33,249,62,98,33,246,255,255,255,239,63,78,152,65,84,251,33,233,62,88,136,253,255,255,255,239,63,136,124,67,84,251,33,217,62],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE);allocate([22,98,255,255,255,255,239,63,196,216,67,84,251,33,201,62,134,216,255,255,255,255,239,63,0,53,68,84,251,33,185,62,33,246,255,255,255,255,239,63,136,124,67,84,251,33,169,62,136,253,255,255,255,255,239,63,136,124,67,84,251,33,153,62,98,255,255,255,255,255,239,63,103,94,70,84,251,33,137,62,217,255,255,255,255,255,239,63,169,154,64,84,251,33,121,62,246,255,255,255,255,255,239,63,36,34,76,84,251,33,105,62,254,255,255,255,255,255,239,63,36,34,76,84,251,33,89,62,255,255,255,255,255,255,239,63,58,4,30,84,251,33,73,62,0,0,0,0,0,0,240,63,15,64,122,84,251,33,57,62,0,0,0,0,0,0,240,63,15,64,122,84,251,33,41,62,96,133,2,0,142,216,2,0,200,40,0,0,0,0,0,0,56,133,2,0,165,216,2,0,96,133,2,0,181,216,2,0,200,40,0,0,0,0,0,0,96,133,2,0,140,217,2,0,176,38,0,0,0,0,0,0,96,133,2,0,210,217,2,0,0,41,0,0,0,0,0,0,56,133,2,0,228,217,2,0,96,133,2,0,244,217,2,0,0,41,0,0,0,0,0,0,56,133,2,0,64,238,2,0,96,133,2,0,159,229,2,0,24,41,0,0,0,0,0,0,96,133,2,0,76,229,2,0,24,41,0,0,0,0,0,0,96,133,2,0,137,229,2,0,24,41,0,0,0,0,0,0,96,133,2,0,33,231,2,0,24,41,0,0,0,0,0,0,96,133,2,0,12,234,2,0,24,41,0,0,0,0,0,0,96,133,2,0,67,232,2,0,24,41,0,0,0,0,0,0,96,133,2,0,194,234,2,0,24,41,0,0,0,0,0,0,96,133,2,0,76,238,2,0,24,41,0,0,0,0,0,0,96,133,2,0,219,238,2,0,24,41,0,0,0,0,0,0,96,133,2,0,185,244,2,0,176,45,0,0,0,0,0,0,96,133,2,0,70,245,2,0,176,45,0,0,0,0,0,0,96,133,2,0,185,245,2,0,176,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,192,0,0,0,0,0,0,224,193,0,0,0,224,255,255,239,199,255,255,255,255,255,255,239,255,0,0,0,0,0,0,0,0,0,0,0,0,0,224,111,64,0,0,0,0,0,192,95,64,0,0,0,0,224,255,239,64,0,0,0,0,192,255,223,64,0,0,192,255,255,255,223,65,0,0,0,224,255,255,239,71,255,255,255,255,255,255,239,127,0,0,0,0,0,0,0,0,16,134,2,0,56,15,3,0,0,0,0,0,1,0,0,0,184,42,0,0,0,0,0,0,56,133,2,0,57,21,3,0,96,133,2,0,4,19,3,0,144,42,0,0,0,0,0,0,56,133,2,0,37,19,3,0,96,133,2,0,167,19,3,0,120,42,0,0,0,0,0,0,96,133,2,0,5,26,3,0,72,104,0,0,0,0,0,0,56,133,2,0,60,31,3,0,64,0,0,0,0,0,0,0,248,98,0,0,45,0,0,0,46,0,0,0,192,255,255,255,192,255,255,255,248,98,0,0,47,0,0,0,48,0,0,0,64,0,0,0,0,0,0,0,88,99,0,0,51,0,0,0,52,0,0,0,56,0,0,0,248,255,255,255,88,99,0,0,53,0,0,0,54,0,0,0,192,255,255,255,192,255,255,255,88,99,0,0,55,0,0,0,56,0,0,0,0,0,0,0,96,133,2,0,181,30,3,0,232,98,0,0,0,0,0,0,96,133,2,0,247,30,3,0,88,99,0,0,0,0,0,0,16,134,2,0,75,52,3,0,0,0,0,0,1,0,0,0,184,42,0,0,0,0,0,0,16,134,2,0,120,52,3,0,0,0,0,0,1,0,0,0,184,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,180,41,188,166,23,185,63,10,166,105,60,184,248,200,63,5,159,213,46,6,148,210,63,99,169,174,166,226,125,216,63,59,246,6,56,93,43,222,63,200,104,174,57,59,199,225,63,214,29,9,37,243,76,228,63,204,59,127,102,158,160,230,63,65,23,21,107,128,188,232,63,163,161,14,41,102,155,234,63,176,189,128,241,178,56,236,63,70,141,50,207,107,144,237,63,219,45,198,86,65,159,238,63,176,92,247,207,151,98,239,63,37,37,209,163,141,216,239,63,0,0,0,0,0,0,240,63,38,37,209,163,141,216,239,63,176,92,247,207,151,98,239,63,219,45,198,86,65,159,238,63,70,141,50,207,107,144,237,63,177,189,128,241,178,56,236,63,165,161,14,41,102,155,234,63,66,23,21,107,128,188,232,63,205,59,127,102,158,160,230,63,214,29,9,37,243,76,228,63,200,104,174,57,59,199,225,63,63,246,6,56,93,43,222,63,101,169,174,166,226,125,216,63,6,159,213,46,6,148,210,63,23,166,105,60,184,248,200,63,60,180,41,188,166,23,185,63,159,113,189,255,249,165,161,60,43,180,41,188,166,23,185,191,14,166,105,60,184,248,200,191,1,159,213,46,6,148,210,191,97,169,174,166,226,125,216,191,59,246,6,56,93,43,222,191,198,104,174,57,59,199,225,191,212,29,9,37,243,76,228,191,204,59,127,102,158,160,230,191,62,23,21,107,128,188,232,191,163,161,14,41,102,155,234,191,176,189,128,241,178,56,236,191,68,141,50,207,107,144,237,191,218,45,198,86,65,159,238,191,175,92,247,207,151,98,239,191,38,37,209,163,141,216,239,191,0,0,0,0,0,0,240,191,38,37,209,163,141,216,239,191,176,92,247,207,151,98,239,191,219,45,198,86,65,159,238,191,69,141,50,207,107,144,237,191,177,189,128,241,178,56,236,191,165,161,14,41,102,155,234,191,64,23,21,107,128,188,232,191,206,59,127,102,158,160,230,191,218,29,9,37,243,76,228,191,200,104,174,57,59,199,225,191,64,246,6,56,93,43,222,191,110,169,174,166,226,125,216,191,8,159,213,46,6,148,210,191,27,166,105,60,184,248,200,191,37,180,41,188,166,23,185,191,56,0,0,0,0,0,0,0,40,99,0,0,61,0,0,0,62,0,0,0,200,255,255,255,200,255,255,255,40,99,0,0,63,0,0,0,64,0,0,0,96,133,2,0,4,60,3,0,40,99,0,0,0,0,0,0,56,133,2,0,50,76,3,0,56,133,2,0,123,84,3,0,56,133,2,0,139,84,3,0,96,133,2,0,155,84,3,0,176,38,0,0,0,0,0,0,96,133,2,0,200,85,3,0,8,46,0,0,0,0,0,0,96,133,2,0,232,84,3,0,176,38,0,0,0,0,0,0,96,133,2,0,179,85,3,0,184,45,0,0,0,0,0,0,96,133,2,0,218,85,3,0,192,45,0,0,0,0,0,0,96,133,2,0,239,85,3,0,176,38,0,0,0,0,0,0,96,133,2,0,125,86,3,0,8,46,0,0,0,0,0,0,96,133,2,0,147,86,3,0,176,38,0,0,0,0,0,0,96,133,2,0,222,86,3,0,8,46,0,0,0,0,0,0,96,133,2,0,245,86,3,0,176,38,0,0,0,0,0,0,96,133,2,0,61,87,3,0,8,46,0,0,0,0,0,0,96,133,2,0,81,87,3,0,176,38,0,0,0,0,0,0,96,133,2,0,161,87,3,0,8,46,0,0,0,0,0,0,96,133,2,0,184,87,3,0,176,38,0,0,0,0,0,0,96,133,2,0,4,88,3,0,8,46,0,0,0,0,0,0,56,133,2,0,86,101,3,0,60,0,0,0,0,0,0,0,248,98,0,0,45,0,0,0,46,0,0,0,196,255,255,255,196,255,255,255,248,98,0,0,47,0,0,0,48,0,0,0,96,133,2,0,247,126,3,0,248,98,0,0,0,0,0,0,56,133,2,0,16,133,3,0,96,133,2,0,49,132,3,0,176,38,0,0,0,0,0,0,96,133,2,0,84,158,3,0,176,45,0,0,0,0,0,0,96,133,2,0,70,166,3,0,176,45,0,0,0,0,0,0,96,133,2,0,128,166,3,0,176,45,0,0,0,0,0,0,96,133,2,0,187,166,3,0,176,45,0,0,0,0,0,0,96,133,2,0,225,166,3,0,176,45,0,0,0,0,0,0,96,133,2,0,75,171,3,0,176,45,0,0,0,0,0,0,96,133,2,0,18,172,3,0,176,45,0,0,0,0,0,0,96,133,2,0,215,172,3,0,176,45,0,0,0,0,0,0,96,133,2,0,53,174,3,0,176,45,0,0,0,0,0,0,96,133,2,0,252,174,3,0,176,45,0,0,0,0,0,0,96,133,2,0,193,175,3,0,176,45,0,0,0,0,0,0,96,133,2,0,147,176,3,0,176,45,0,0,0,0,0,0,96,133,2,0,189,176,3,0,176,45,0,0,0,0,0,0,96,133,2,0,231,176,3,0,176,45,0,0,0,0,0,0,96,133,2,0,17,177,3,0,176,45,0,0,0,0,0,0,96,133,2,0,59,177,3,0,176,45,0,0,0,0,0,0,96,133,2,0,99,177,3,0,176,45,0,0,0,0,0,0,96,133,2,0,139,177,3,0,176,45,0,0,0,0,0,0,96,133,2,0,179,177,3,0,176,45,0,0,0,0,0,0,96,133,2,0,200,178,3,0,176,45,0,0,0,0,0,0,96,133,2,0,237,178,3,0,176,45,0,0,0,0,0,0,96,133,2,0,18,179,3,0,176,45,0,0,0,0,0,0,96,133,2,0,53,179,3,0,176,45,0,0,0,0,0,0,96,133,2,0,190,179,3,0,176,45,0,0,0,0,0,0,96,133,2,0,86,180,3,0,176,45,0,0,0,0,0,0,96,133,2,0,131,180,3,0,176,45,0,0,0,0,0,0,96,133,2,0,176,180,3,0,176,45,0,0,0,0,0,0,96,133,2,0,221,180,3,0,176,45,0,0,0,0,0,0,96,133,2,0,10,181,3,0,176,45,0,0,0,0,0,0,96,133,2,0,55,181,3,0,176,45,0,0,0,0,0,0,96,133,2,0,100,181,3,0,176,45,0,0,0,0,0,0,96,133,2,0,143,181,3,0,176,45,0,0,0,0,0,0,96,133,2,0,186,181,3,0,176,45,0,0,0,0,0,0,96,133,2,0,229,181,3,0,176,45,0,0,0,0,0,0,96,133,2,0,16,182,3,0,176,45,0,0,0,0,0,0,96,133,2,0,59,182,3,0,176,45,0,0,0,0,0,0,96,133,2,0,67,190,3,0,176,45,0,0,0,0,0,0,96,133,2,0,223,190,3,0,176,45,0,0,0,0,0,0,96,133,2,0,123,191,3,0,176,45,0,0,0,0,0,0,96,133,2,0,23,192,3,0,176,45,0,0,0,0,0,0,96,133,2,0,27,193,3,0,176,45,0,0,0,0,0,0,96,133,2,0,183,193,3,0,176,45,0,0,0,0,0,0,96,133,2,0,83,194,3,0,176,45,0,0,0,0,0,0,96,133,2,0,239,194,3,0,176,45,0,0,0,0,0,0,96,133,2,0,250,197,3,0,176,45,0,0,0,0,0,0,96,133,2,0,186,198,3,0,176,45,0,0,0,0,0,0,96,133,2,0,120,199,3,0,176,45,0,0,0,0,0,0,96,133,2,0,201,200,3,0,176,45,0,0,0,0,0,0,96,133,2,0,137,201,3,0,176,45,0,0,0,0,0,0,96,133,2,0,71,202,3,0,176,45,0,0,0,0,0,0,96,133,2,0,66,203,3,0,176,45,0,0,0,0,0,0,96,133,2,0,222,203,3,0,176,45,0,0,0,0,0,0,96,133,2,0,70,205,3,0,176,45,0,0,0,0,0,0,96,133,2,0,74,206,3,0,176,45,0,0,0,0,0,0,96,133,2,0,217,207,3,0,176,45,0,0,0,0,0,0,96,133,2,0,117,208,3,0,176,45,0,0,0,0,0,0,96,133,2,0,30,209,3,0,176,45,0,0,0,0,0,0,96,133,2,0,186,209,3,0,176,45,0,0,0,0,0,0,96,133,2,0,8,218,3,0,176,45,0,0,0,0,0,0,96,133,2,0,34,218,3,0,176,45,0,0,0,0,0,0,96,133,2,0,212,223,3,0,176,45,0,0,0,0,0,0,96,133,2,0,32,224,3,0,176,45,0,0,0,0,0,0,96,133,2,0,106,224,3,0,176,45,0,0,0,0,0,0,96,133,2,0,179,224,3,0,176,45,0,0,0,0,0,0,96,133,2,0,8,225,3,0,176,45,0,0,0,0,0,0,96,133,2,0,176,225,3,0,176,45,0,0,0,0,0,0,96,133,2,0,1,226,3,0,176,45,0,0,0,0,0,0,96,133,2,0,80,226,3,0,176,45,0,0,0,0,0,0,96,133,2,0,158,226,3,0,176,45,0,0,0,0,0,0,96,133,2,0,248,226,3,0,176,45,0,0,0,0,0,0,96,133,2,0,100,229,3,0,176,45,0,0,0,0,0,0,96,133,2,0,242,229,3,0,176,45,0,0,0,0,0,0,96,133,2,0,133,231,3,0,176,38,0,0,0,0,0,0,96,133,2,0,202,231,3,0,48,55,0,0,0,0,0,0,96,133,2,0,219,231,3,0,176,38,0,0,0,0,0,0,96,133,2,0,32,232,3,0,48,55,0,0,0,0,0,0,96,133,2,0,49,232,3,0,176,38,0,0,0,0,0,0,96,133,2,0,118,232,3,0,48,55,0,0,0,0,0,0,96,133,2,0,135,232,3,0,176,38,0,0,0,0,0,0,96,133,2,0,204,232,3,0,48,55,0,0,0,0,0,0,96,133,2,0,221,232,3,0,176,38,0,0,0,0,0,0,96,133,2,0,34,233,3,0,48,55,0,0,0,0,0,0,96,133,2,0,51,233,3,0,176,38,0,0,0,0,0,0,96,133,2,0,120,233,3,0,48,55,0,0,0,0,0,0,96,133,2,0,137,233,3,0,176,38,0,0,0,0,0,0,96,133,2,0,206,233,3,0,48,55,0,0,0,0,0,0,96,133,2,0,223,233,3,0,176,38,0,0,0,0,0,0,96,133,2,0,36,234,3,0,48,55,0,0,0,0,0,0,96,133,2,0,53,234,3,0,176,38,0,0,0,0,0,0,96,133,2,0,122,234,3,0,48,55,0,0,0,0,0,0,96,133,2,0,139,234,3,0,176,38,0,0,0,0,0,0,96,133,2,0,208,234,3,0,48,55,0,0,0,0,0,0,96,133,2,0,171,235,3,0,176,38,0,0,0,0,0,0,96,133,2,0,7,236,3,0,56,55,0,0,0,0,0,0,96,133,2,0,27,236,3,0,176,38,0,0,0,0,0,0,96,133,2,0,99,236,3,0,56,55,0,0,0,0,0,0,96,133,2,0,119,236,3,0,176,38,0,0,0,0,0,0,96,133,2,0,191,236,3,0,56,55,0,0,0,0,0,0,96,133,2,0,211,236,3,0,176,38,0,0,0,0,0,0,96,133,2,0,27,237,3,0,56,55,0,0,0,0,0,0,96,133,2,0,47,237,3,0,176,38,0,0,0,0,0,0,96,133,2,0,119,237,3,0,56,55,0,0,0,0,0,0,96,133,2,0,139,237,3,0,176,38,0,0,0,0,0,0,96,133,2,0,211,237,3,0,56,55,0,0,0,0,0,0,96,133,2,0,231,237,3,0,176,38,0,0,0,0,0,0,96,133,2,0,47,238,3,0,56,55,0,0,0,0,0,0,96,133,2,0,67,238,3,0,176,38,0,0,0,0,0,0,96,133,2,0,139,238,3,0,56,55,0,0,0,0,0,0,96,133,2,0,159,238,3,0,176,38,0,0,0,0,0,0,96,133,2,0,231,238,3,0,56,55,0,0,0,0,0,0,96,133,2,0,251,238,3,0,176,38,0,0,0,0,0,0,96,133,2,0,67,239,3,0,56,55,0,0,0,0,0,0,96,133,2,0,87,239,3,0,176,38,0,0,0,0,0,0,96,133,2,0,159,239,3,0,56,55,0,0,0,0,0,0,96,133,2,0,179,239,3,0,176,38,0,0,0,0,0,0,96,133,2,0,251,239,3,0,56,55,0,0,0,0,0,0,96,133,2,0,15,240,3,0,176,38,0,0,0,0,0,0,96,133,2,0,236,240,3,0,176,38,0,0,0,0,0,0,96,133,2,0,52,241,3,0,48,55,0,0,0,0,0,0,96,133,2,0,72,241,3,0,176,38,0,0,0,0,0,0,96,133,2,0,144,241,3,0,48,55,0,0,0,0,0,0,96,133,2,0,164,241,3,0,176,38,0,0,0,0,0,0,96,133,2,0,236,241,3,0,48,55,0,0,0,0,0,0,96,133,2,0,0,242,3,0,176,38,0,0,0,0,0,0,96,133,2,0,72,242,3,0,48,55,0,0,0,0,0,0,96,133,2,0,92,242,3,0,176,38,0,0,0,0,0,0,96,133,2,0,164,242,3,0,48,55,0,0,0,0,0,0,96,133,2,0,164,243,3,0,176,45,0,0,0,0,0,0,96,133,2,0,27,246,3,0,176,45,0,0,0,0,0,0,96,133,2,0,62,246,3,0,176,45,0,0,0,0,0,0,56,133,2,0,89,247,3,0,56,133,2,0,110,247,3,0,56,133,2,0,134,247,3,0,56,133,2,0,126,249,3,0,96,133,2,0,19,251,3,0,176,38,0,0,0,0,0,0,96,133,2,0,192,251,3,0,48,55,0,0,0,0,0,0,96,133,2,0,225,251,3,0,176,38,0,0,0,0,0,0,96,133,2,0,54,252,3,0,48,55,0,0,0,0,0,0,96,133,2,0,87,252,3,0,176,38,0,0,0,0,0,0,96,133,2,0,172,252,3,0,48,55,0,0,0,0,0,0,96,133,2,0,205,252,3,0,176,38,0,0,0,0,0,0,96,133,2,0,34,253,3,0,48,55,0,0,0,0,0,0,96,133,2,0,67,253,3,0,176,38,0,0,0,0,0,0,96,133,2,0,152,253,3,0,48,55,0,0,0,0,0,0,96,133,2,0,185,253,3,0,176,38,0,0,0,0,0,0,96,133,2,0,14,254,3,0,48,55,0,0,0,0,0,0,96,133,2,0,47,254,3,0,176,38,0,0,0,0,0,0,96,133,2,0,132,254,3,0,48,55,0,0,0,0,0,0,96,133,2,0,165,254,3,0,176,38,0,0,0,0,0,0,96,133,2,0,250,254,3,0,48,55,0,0,0,0,0,0,96,133,2,0,27,255,3,0,176,38,0,0,0,0,0,0,96,133,2,0,112,255,3,0,48,55,0,0,0,0,0,0,96,133,2,0,145,255,3,0,176,38,0,0,0,0,0,0,96,133,2,0,230,255,3,0,48,55,0,0,0,0,0,0,96,133,2,0,7,0,4,0,176,38,0,0,0,0,0,0,96,133,2,0,216,0,4,0,48,55,0,0,0,0,0,0,96,133,2,0,3,1,4,0,160,56,0,0,0,0,0,0,96,133,2,0,56,1,4,0,176,38,0,0,0,0,0,0,96,133,2,0,161,1,4,0,48,55,0,0,0,0,0,0,96,133,2,0,204,1,4,0,208,56,0,0,0,0,0,0,96,133,2,0,190,2,4,0,176,38,0,0,0,0,0,0,96,133,2,0,124,3,4,0,56,55,0,0,0,0,0,0,96,133,2,0,176,3,4,0,0,57,0,0,0,0,0,0,96,133,2,0,232,3,4,0,176,38,0,0,0,0,0,0,96,133,2,0,84,4,4,0,56,55,0,0,0,0,0,0,96,133,2,0,136,4,4,0,48,57,0,0,0,0,0,0,96,133,2,0,192,4,4,0,176,38,0,0,0,0,0,0,96,133,2,0,44,5,4,0,56,55,0,0,0,0,0,0,96,133,2,0,96,5,4,0,96,57,0,0,0,0,0,0,96,133,2,0,152,5,4,0,176,38,0,0,0,0,0,0,96,133,2,0,4,6,4,0,56,55,0,0,0,0,0,0,96,133,2,0,56,6,4,0,144,57,0,0,0,0,0,0,96,133,2,0,112,6,4,0,176,38,0,0,0,0,0,0,96,133,2,0,220,6,4,0,56,55,0,0,0,0,0,0,96,133,2,0,16,7,4,0,192,57,0,0,0,0,0,0,96,133,2,0,163,7,4,0,176,38,0,0,0,0,0,0,96,133,2,0,15,8,4,0,56,55,0,0,0,0,0,0,96,133,2,0,67,8,4,0,240,57,0,0,0,0,0,0,96,133,2,0,123,8,4,0,176,38,0,0,0,0,0,0,96,133,2,0,231,8,4,0,56,55,0,0,0,0,0,0,96,133,2,0,27,9,4,0,32,58,0,0,0,0,0,0,96,133,2,0,83,9,4,0,176,38,0,0,0,0,0,0,96,133,2,0,191,9,4,0,56,55,0,0,0,0,0,0,96,133,2,0,243,9,4,0,80,58,0,0,0,0,0,0,96,133,2,0,43,10,4,0,176,38,0,0,0,0,0,0,96,133,2,0,151,10,4,0,56,55,0,0,0,0,0,0,96,133,2,0,203,10,4,0,128,58,0,0,0,0,0,0,96,133,2,0,3,11,4,0,176,38,0,0,0,0,0,0,96,133,2,0,121,11,4,0,56,55,0,0,0,0,0,0,96,133,2,0,183,11,4,0,176,58,0,0,0,0,0,0,96,133,2,0,249,11,4,0,176,38,0,0,0,0,0,0,96,133,2,0,154,12,4,0,56,55,0,0,0,0,0,0,96,133,2,0,215,12,4,0,0,59,0,0,0,0,0,0,96,133,2,0,29,13,4,0,224,58,0,0,0,0,0,0,96,133,2,0,94,13,4,0,176,38,0,0,0,0,0,0,96,133,2,0,216,13,4,0,56,55,0,0,0,0,0,0,96,133,2,0,21,14,4,0,64,59,0,0,0,0,0,0,96,133,2,0,91,14,4,0,32,59,0,0,0,0,0,0,96,133,2,0,156,14,4,0,176,38,0,0,0,0,0,0,96,133,2,0,23,15,4,0,192,58,0,0,0,0,0,0,96,133,2,0,94,15,4,0,176,38,0,0,0,0,0,0,96,133,2,0,198,15,4,0,176,38,0,0,0,0,0,0,96,133,2,0,46,16,4,0,176,38,0,0,0,0,0,0,96,133,2,0,150,16,4,0,176,38,0,0,0,0,0,0,96,133,2,0,254,16,4,0,176,38,0,0,0,0,0,0,96,133,2,0,102,17,4,0,176,38,0,0,0,0,0,0,96,133,2,0,206,17,4,0,176,38,0,0,0,0,0,0,96,133,2,0,54,18,4,0,176,38,0,0,0,0,0,0,96,133,2,0,158,18,4,0,176,38,0,0,0,0,0,0,96,133,2,0,43,20,4,0,176,38,0,0,0,0,0,0,96,133,2,0,189,20,4,0,64,55,0,0,0,0,0,0,96,133,2,0,237,20,4,0,176,38,0,0,0,0,0,0,96,133,2,0,81,21,4,0,64,55,0,0,0,0,0,0,96,133,2,0,129,21,4,0,176,38,0,0,0,0,0,0,96,133,2,0,229,21,4,0,64,55,0,0,0,0,0,0,96,133,2,0,21,22,4,0,176,38,0,0,0,0,0,0,96,133,2,0,121,22,4,0,64,55,0,0,0,0,0,0,96,133,2,0,169,22,4,0,176,38,0,0,0,0,0,0,96,133,2,0,13,23,4,0,64,55,0,0,0,0,0,0,96,133,2,0,61,23,4,0,176,38,0,0,0,0,0,0,96,133,2,0,161,23,4,0,64,55,0,0,0,0,0,0,96,133,2,0,209,23,4,0,176,38,0,0,0,0,0,0,96,133,2,0,53,24,4,0,64,55,0,0,0,0,0,0,96,133,2,0,101,24,4,0,176,38,0,0,0,0,0,0,96,133,2,0,201,24,4,0,64,55,0,0,0,0,0,0,96,133,2,0,249,24,4,0,176,38,0,0,0,0,0,0,96,133,2,0,93,25,4,0,64,55,0,0,0,0,0,0,96,133,2,0,141,25,4,0,176,38,0,0,0,0,0,0,96,133,2,0,241,25,4,0,64,55,0,0,0,0,0,0,96,133,2,0,33,26,4,0,176,38,0,0,0,0,0,0,96,133,2,0,133,26,4,0,64,55,0,0,0,0,0,0,96,133,2,0,181,26,4,0,176,38,0,0,0,0,0,0,96,133,2,0,25,27,4,0,64,55,0,0,0,0,0,0,96,133,2,0,73,27,4,0,176,38,0,0,0,0,0,0,96,133,2,0,173,27,4,0,64,55,0,0,0,0,0,0,96,133,2,0,124,38,4,0,176,45,0,0,0,0,0,0,96,133,2,0,50,44,4,0,176,38,0,0,0,0,0,0,96,133,2,0,159,46,4,0,176,45,0,0,0,0,0,0,96,133,2,0,52,47,4,0,176,45,0,0,0,0,0,0,96,133,2,0,160,47,4,0,176,45,0,0,0,0,0,0,96,133,2,0,12,48,4,0,176,45,0,0,0,0,0,0,96,133,2,0,120,48,4,0,176,45,0,0,0,0,0,0,96,133,2,0,241,48,4,0,176,45,0,0,0,0,0,0,96,133,2,0,117,49,4,0,176,45,0,0,0,0,0,0,96,133,2,0,249,49,4,0,176,45,0,0,0,0,0,0,96,133,2,0,125,50,4,0,176,45,0,0,0,0,0,0,96,133,2,0,1,51,4,0,176,45,0,0,0,0,0,0,96,133,2,0,149,51,4,0,176,45,0,0,0,0,0,0,96,133,2,0,7,52,4,0,176,45,0,0,0,0,0,0,96,133,2,0,121,52,4,0,176,45,0,0,0,0,0,0,96,133,2,0,235,52,4,0,176,45,0,0,0,0,0,0,96,133,2,0,93,53,4,0,176,45,0,0,0,0,0,0,96,133,2,0,220,53,4,0,176,45,0,0,0,0,0,0,96,133,2,0,250,53,4,0,176,45,0,0,0,0,0,0,96,133,2,0,24,54,4,0,176,45,0,0,0,0,0,0,96,133,2,0,54,54,4,0,176,45,0,0,0,0,0,0,96,133,2,0,84,54,4,0,176,45,0,0,0,0,0,0,96,133,2,0,114,54,4,0,176,45,0,0,0,0,0,0,96,133,2,0,177,54,4,0,176,45,0,0,0,0,0,0,96,133,2,0,248,54,4,0,176,45,0,0,0,0,0,0,96,133,2,0,81,55,4,0,176,45,0,0,0,0,0,0,96,133,2,0,170,55,4,0,176,45,0,0,0,0,0,0,96,133,2,0,3,56,4,0,176,45,0,0,0,0,0,0,96,133,2,0,26,56,4,0,176,45,0,0,0,0,0,0,96,133,2,0,92,56,4,0,176,45,0,0,0,0,0,0,96,133,2,0,158,56,4,0,176,45,0,0,0,0,0,0,96,133,2,0,225,56,4,0,176,45,0,0,0,0,0,0,96,133,2,0,35,57,4,0,176,45,0,0,0,0,0,0,96,133,2,0,91,63,4,0,176,38,0,0,0,0,0,0,96,133,2,0,199,63,4,0,48,55,0,0,0,0,0,0,96,133,2,0,255,63,4,0,176,38,0,0,0,0,0,0,96,133,2,0,107,64,4,0,48,55,0,0,0,0,0,0,96,133,2,0,163,64,4,0,176,38,0,0,0,0,0,0,96,133,2,0,15,65,4,0,48,55,0,0,0,0,0,0,96,133,2,0,71,65,4,0,176,38,0,0,0,0,0,0,96,133,2,0,179,65,4,0,48,55,0,0,0,0,0,0,96,133,2,0,235,65,4,0,176,38,0,0,0,0,0,0,96,133,2,0,87,66,4,0,48,55,0,0,0,0,0,0,96,133,2,0,143,66,4,0,176,38,0,0,0,0,0,0,96,133,2,0,251,66,4,0,48,55,0,0,0,0,0,0,96,133,2,0,51,67,4,0,176,38,0,0,0,0,0,0,96,133,2,0,159,67,4,0,48,55,0,0,0,0,0,0,96,133,2,0,215,67,4,0,176,38,0,0,0,0,0,0,96,133,2,0,67,68,4,0,48,55,0,0,0,0,0,0,96,133,2,0,123,68,4,0,176,38,0,0,0,0,0,0,96,133,2,0,231,68,4,0,48,55,0,0,0,0,0,0,96,133,2,0,31,69,4,0,176,38,0,0,0,0,0,0,96,133,2,0,139,69,4,0,48,55,0,0,0,0,0,0,96,133,2,0,221,69,4,0,176,38,0,0,0,0,0,0,96,133,2,0,79,70,4,0,56,55,0,0,0,0,0,0,96,133,2,0,141,70,4,0,176,38,0,0,0,0,0,0,96,133,2,0,255,70,4,0,56,55,0,0,0,0,0,0,96,133,2,0,61,71,4,0,176,38,0,0,0,0,0,0,96,133,2,0,175,71,4,0,56,55,0,0,0,0,0,0,96,133,2,0,237,71,4,0,176,38,0,0,0,0,0,0,96,133,2,0,95,72,4,0,56,55,0,0,0,0,0,0,96,133,2,0,157,72,4,0,176,38,0,0,0,0,0,0,96,133,2,0,15,73,4,0,56,55,0,0,0,0,0,0,96,133,2,0,77,73,4,0,176,38,0,0,0,0,0,0,96,133,2,0,191,73,4,0,56,55,0,0,0,0,0,0,96,133,2,0,253,73,4,0,176,38,0,0,0,0,0,0,96,133,2,0,111,74,4,0,56,55,0,0,0,0,0,0,96,133,2,0,173,74,4,0,176,38,0,0,0,0,0,0,96,133,2,0,31,75,4,0,56,55,0,0,0,0,0,0,96,133,2,0,93,75,4,0,176,38,0,0,0,0,0,0,96,133,2,0,207,75,4,0,56,55,0,0,0,0,0,0,96,133,2,0,13,76,4,0,176,38,0,0,0,0,0,0,96,133,2,0,127,76,4,0,56,55,0,0,0,0,0,0,96,133,2,0,96,77,4,0,176,38,0,0,0,0,0,0,96,133,2,0,234,77,4,0,64,55,0,0,0,0,0,0,96,133,2,0,28,78,4,0,176,38,0,0,0,0,0,0,96,133,2,0,130,78,4,0,64,55,0,0,0,0,0,0,96,133,2,0,180,78,4,0,176,38,0,0,0,0,0,0,96,133,2,0,26,79,4,0,64,55,0,0,0,0,0,0,96,133,2,0,76,79,4,0,176,38,0,0,0,0,0,0,96,133,2,0,178,79,4,0,64,55,0,0,0,0,0,0,96,133,2,0,228,79,4,0,176,38,0,0,0,0,0,0,96,133,2,0,74,80,4,0,64,55,0,0,0,0,0,0,96,133,2,0,124,80,4,0,176,38,0,0,0,0,0,0,96,133,2,0,226,80,4,0,64,55,0,0,0,0,0,0,96,133,2,0,20,81,4,0,176,38,0,0,0,0,0,0,96,133,2,0,122,81,4,0,64,55,0,0,0,0,0,0,96,133,2,0,172,81,4,0,176,38,0,0,0,0,0,0,96,133,2,0,18,82,4,0,64,55,0,0,0,0,0,0,96,133,2,0,68,82,4,0,176,38,0,0,0,0,0,0,96,133,2,0,170,82,4,0,64,55,0,0,0,0,0,0,96,133,2,0,220,82,4,0,176,38,0,0,0,0,0,0,96,133,2,0,66,83,4,0,64,55,0,0,0,0,0,0,96,133,2,0,223,87,4,0,176,45,0,0,0,0,0,0,96,133,2,0,42,88,4,0,176,45,0,0,0,0,0,0,96,133,2,0,117,88,4,0,176,45,0,0,0,0,0,0,96,133,2,0,180,88,4,0,176,45,0,0,0,0,0,0,96,133,2,0,243,88,4,0,176,45,0,0,0,0,0,0,96,133,2,0,51,89,4,0,176,45,0,0,0,0,0,0,96,133,2,0,190,90,4,0,176,45,0,0,0,0,0,0,96,133,2,0,120,91,4,0,176,45,0,0,0,0,0,0,96,133,2,0,48,92,4,0,176,45,0,0,0,0,0,0,96,133,2,0,119,93,4,0,176,45,0,0,0,0,0,0,96,133,2,0,118,94,4,0,176,45,0,0,0,0,0,0,96,133,2,0,128,95,4,0,176,45,0,0,0,0,0,0,96,133,2,0,45,96,4,0,176,45,0,0,0,0,0,0,96,133,2,0,216,96,4,0,176,45,0,0,0,0,0,0,96,133,2,0,224,97,4,0,176,45,0,0,0,0,0,0,96,133,2,0,157,98,4,0,176,45,0,0,0,0,0,0,96,133,2,0,88,99,4,0,176,45,0,0,0,0,0,0,96,133,2,0,81,100,4,0,176,45,0,0,0,0,0,0,96,133,2,0,73,101,4,0,176,45,0,0,0,0,0,0,96,133,2,0,94,102,4,0,176,45,0,0,0,0,0,0,96,133,2,0,120,103,4,0,176,45,0,0,0,0,0,0,96,133,2,0,246,117,4,0,176,38,0,0,0,0,0,0,96,133,2,0,141,121,4,0,0,38,0,0,0,0,0,0,96,133,2,0,139,118,4,0,176,38,0,0,0,0,0,0,96,133,2,0,242,118,4,0,176,45,0,0,0,0,0,0,96,133,2,0,36,119,4,0,176,38,0,0,0,0,0,0,96,133,2,0,139,119,4,0,176,45,0,0,0,0,0,0,96,133,2,0,189,119,4,0,176,38,0,0,0,0,0,0,96,133,2,0,38,120,4,0,176,45,0,0,0,0,0,0,96,133,2,0,90,120,4,0,176,38,0,0,0,0,0,0,96,133,2,0,193,120,4,0,176,45,0,0,0,0,0,0,96,133,2,0,163,123,4,0,176,45,0,0,0,0,0,0,96,133,2,0,48,124,4,0,176,45,0,0,0,0,0,0,96,133,2,0,113,125,4,0,176,45,0,0,0,0,0,0,96,133,2,0,90,130,4,0,176,45,0,0,0,0,0,0,96,133,2,0,110,130,4,0,176,45,0,0,0,0,0,0,56,133,2,0,152,171,5,0,56,133,2,0,105,180,5,0,96,133,2,0,47,172,5,0,176,45,0,0,0,0,0,0,96,133,2,0,7,177,5,0,176,45,0,0,0,0,0,0,56,133,2,0,181,181,5,0,96,133,2,0,153,180,5,0,176,38,0,0,0,0,0,0,96,133,2,0,93,184,5,0,224,69,0,0,0,0,0,0,96,133,2,0,30,183,5,0,176,38,0,0,0,0,0,0,96,133,2,0,109,183,5,0,176,38,0,0,0,0,0,0,96,133,2,0,231,183,5,0,176,38,0,0,0,0,0,0,96,133,2,0,183,185,5,0,224,69,0,0,0,0,0,0,96,133,2,0,124,184,5,0,176,38,0,0,0,0,0,0,96,133,2,0,196,184,5,0,176,38,0,0,0,0,0,0,96,133,2,0,61,185,5,0,176,38,0,0,0,0,0,0,96,133,2,0,116,194,5,0,168,70,0,0,0,0,0,0,96,133,2,0,234,189,5,0,176,45,0,0,0,0,0,0,96,133,2,0,77,193,5,0,176,38,0,0,0,0,0,0,96,133,2,0,145,194,5,0,184,46,0,0,0,0,0,0,96,133,2,0,34,195,5,0,176,38,0,0,0,0,0,0,96,133,2,0,105,209,5,0,176,45,0,0,0,0,0,0,96,133,2,0,242,209,5,0,176,45,0,0,0,0,0,0,96,133,2,0,30,210,5,0,176,38,0,0,0,0,0,0,96,133,2,0,8,211,5,0,176,38,0,0,0,0,0,0,96,133,2,0,183,212,5,0,24,71,0,0,0,0,0,0,96,133,2,0,229,212,5,0,40,71,0,0,0,0,0,0,96,133,2,0,1,213,5,0,184,46,0,0,0,0,0,0,96,133,2,0,38,215,5,0,176,45,0,0,0,0,0,0,96,133,2,0,29,216,5,0,176,38,0,0,0,0,0,0,96,133,2,0,15,220,5,0,104,71,0,0,0,0,0,0,96,133,2,0,63,220,5,0,120,71,0,0,0,0,0,0,96,133,2,0,93,220,5,0,184,46,0,0,0,0,0,0,96,133,2,0,144,232,5,0,200,37,0,0,0,0,0,0,96,133,2,0,193,230,5,0,176,45,0,0,0,0,0,0,96,133,2,0,180,232,5,0,176,38,0,0,0,0,0,0,108,0,0,0,0,0,0,0,248,98,0,0,45,0,0,0,46,0,0,0,148,255,255,255,148,255,255,255,248,98,0,0,47,0,0,0,48,0,0,0,96,133,2,0,241,234,5,0,232,98,0,0,0,0,0,0,96,133,2,0,32,235,5,0,248,98,0,0,0,0,0,0,96,133,2,0,80,235,5,0,232,98,0,0,0,0,0,0,96,133,2,0,126,237,5,0,184,46,0,0,0,0,0,0,56,133,2,0,166,237,5,0,96,133,2,0,139,241,5,0,176,38,0,0,0,0,0,0,96,133,2,0,3,242,5,0,176,38,0,0,0,0,0,0,96,133,2,0,173,243,5,0,16,72,0,0,0,0,0,0,96,133,2,0,146,249,5,0,32,72,0,0,0,0,0,0,96,133,2,0,94,2,6,0,16,72,0,0,0,0,0,0,96,133,2,0,46,2,6,0,16,72,0,0,0,0,0,0,96,133,2,0,194,1,6,0,200,72,0,0,0,0,0,0,96,133,2,0,181,0,6,0,16,72,0,0,0,0,0,0,96,133,2,0,134,0,6,0,16,72,0,0,0,0,0,0,96,133,2,0,51,1,6,0,176,38,0,0,0,0,0,0,96,133,2,0,246,1,6,0,16,72,0,0,0,0,0,0,16,134,2,0,191,19,6,0,0,0,0,0,1,0,0,0,240,72,0,0,0,0,0,0,56,133,2,0,64,20,6,0,96,133,2,0,147,34,6,0,176,38,0,0,0,0,0,0,96,133,2,0,94,36,6,0,176,38,0,0,0,0,0,0,96,133,2,0,223,40,6,0,56,93,0,0,0,0,0,0,96,133,2,0,181,66,6,0,64,96,0,0,0,0,0,0,96,133,2,0,20,63,6,0,144,73,0,0,0,0,0,0,96,133,2,0,151,62,6,0,136,73,0,0,0,0,0,0,96,133,2,0,101,62,6,0,120,73,0,0,0,0,0,0,96,133,2,0,171,60,6,0,64,96,0,0,0,0,0,0,96,133,2,0,145,61,6,0,104,73,0,0,0,0,0,0,56,133,2,0,203,62,6,0,96,133,2,0,232,63,6,0,248,95,0,0,0,0,0,0,96,133,2,0,151,66,6,0,64,96,0,0,0,0,0,0,56,133,2,0,126,64,6,0,96,133,2,0,160,65,6,0,88,73,0,0,0,0,0,0,96,133,2,0,221,67,6,0,64,96,0,0,0,0,0,0,96,133,2,0,74,70,6,0,64,96,0,0,0,0,0,0,96,133,2,0,200,78,6,0,64,96,0,0,0,0,0,0,96,133,2,0,122,76,6,0,144,73,0,0,0,0,0,0,96,133,2,0,59,74,6,0,64,96,0,0,0,0,0,0,96,133,2,0,95,74,6,0,64,96,0,0,0,0,0,0,96,133,2,0,127,74,6,0,56,74,0,0,0,0,0,0,96,133,2,0,182,74,6,0,72,74,0,0,0,0,0,0,96,133,2,0,143,75,6,0,64,96,0,0,0,0,0,0,96,133,2,0,204,77,6,0,40,74,0,0,0,0,0,0,96,133,2,0,199,87,6,0,64,96,0,0,0,0,0,0,96,133,2,0,18,82,6,0,64,96,0,0,0,0,0,0,96,133,2,0,164,87,6,0,64,96,0,0,0,0,0,0,96,133,2,0,124,87,6,0,64,96,0,0,0,0,0,0,96,133,2,0,211,84,6,0,144,73,0,0,0,0,0,0,96,133,2,0,152,84,6,0,216,74,0,0,0,0,0,0,96,133,2,0,204,82,6,0,64,96,0,0,0,0,0,0,96,133,2,0,187,83,6,0,200,74,0,0,0,0,0,0,96,133,2,0,124,86,6,0,184,74,0,0,0,0,0,0,96,133,2,0,111,97,6,0,64,96,0,0,0,0,0,0,96,133,2,0,129,96,6,0,64,96,0,0,0,0,0,0,96,133,2,0,101,96,6,0,64,96,0,0,0,0,0,0,96,133,2,0,68,95,6,0,64,96,0,0,0,0,0,0,96,133,2,0,223,95,6,0,64,96,0,0,0,0,0,0,96,133,2,0,9,181,6,0,64,96,0,0,0,0,0,0,96,133,2,0,135,171,6,0,64,96,0,0,0,0,0,0,96,133,2,0,175,171,6,0,64,96,0,0,0,0,0,0,96,133,2,0,211,171,6,0,64,96,0,0,0,0,0,0,96,133,2,0,249,171,6,0,64,96,0,0,0,0,0,0,96,133,2,0,60,172,6,0,64,96,0,0,0,0,0,0,96,133,2,0,26,172,6,0,64,96,0,0,0,0,0,0,96,133,2,0,158,172,6,0,64,96,0,0,0,0,0,0,96,133,2,0,93,172,6,0,64,96,0,0,0,0,0,0,96,133,2,0,131,172,6,0,64,96,0,0,0,0,0,0,96,133,2,0,230,176,6,0,64,96,0,0,0,0,0,0,96,133,2,0,193,172,6,0,64,96,0,0,0,0,0,0,96,133,2,0,225,172,6,0,64,96,0,0,0,0,0,0,96,133,2,0,0,173,6,0,64,96,0,0,0,0,0,0,96,133,2,0,43,173,6,0,64,96,0,0,0,0,0,0,96,133,2,0,78,173,6,0,64,96,0,0,0,0,0,0,96,133,2,0,113,173,6,0,64,96,0,0,0,0,0,0,96,133,2,0,145,173,6,0,64,96,0,0,0,0,0,0,96,133,2,0,187,173,6,0,64,96,0,0,0,0,0,0,96,133,2,0,218,173,6,0,64,96,0,0,0,0,0,0,96,133,2,0,251,173,6,0,64,96,0,0,0,0,0,0,96,133,2,0,27,174,6,0,64,96,0,0,0,0,0,0,96,133,2,0,64,174,6,0,64,96,0,0,0,0,0,0,96,133,2,0,100,174,6,0,64,96,0,0,0,0,0,0,96,133,2,0,137,174,6,0,64,96,0,0,0,0,0,0,96,133,2,0,174,174,6,0,64,96,0,0,0,0,0,0,96,133,2,0,209,174,6,0,64,96,0,0,0,0,0,0,96,133,2,0,243,174,6,0,64,96,0,0,0,0,0,0,96,133,2,0,25,175,6,0,64,96,0,0,0,0,0,0,96,133,2,0,58,175,6,0,64,96,0,0,0,0,0,0,96,133,2,0,96,175,6,0,64,96,0,0,0,0,0,0,96,133,2,0,131,175,6,0,64,96,0,0,0,0,0,0,96,133,2,0,162,175,6,0,64,96,0,0,0,0,0,0,96,133,2,0,202,175,6,0,64,96,0,0,0,0,0,0,96,133,2,0,242,175,6,0,64,96,0,0,0,0,0,0,96,133,2,0,23,176,6,0,64,96,0,0,0,0,0,0,96,133,2,0,59,176,6,0,64,96,0,0,0,0,0,0,96,133,2,0,94,176,6,0,64,96,0,0,0,0,0,0,96,133,2,0,126,176,6,0,64,96,0,0,0,0,0,0,96,133,2,0,165,176,6,0,64,96,0,0,0,0,0,0,96,133,2,0,199,176,6,0,64,96,0,0,0,0,0,0,96,133,2,0,9,177,6,0,64,96,0,0,0,0,0,0,96,133,2,0,40,177,6,0,64,96,0,0,0,0,0,0,96,133,2,0,72,177,6,0,64,96,0,0,0,0,0,0,96,133,2,0,105,177,6,0,64,96,0,0,0,0,0,0,96,133,2,0,140,177,6,0,64,96,0,0,0,0,0,0,96,133,2,0,177,177,6,0,64,96,0,0,0,0,0,0,96,133,2,0,214,177,6,0,64,96,0,0,0,0,0,0,96,133,2,0,248,177,6,0,64,96,0,0,0,0,0,0,96,133,2,0,29,178,6,0,64,96,0,0,0,0,0,0,96,133,2,0,60,178,6,0,64,96,0,0,0,0,0,0,96,133,2,0,93,178,6,0,64,96,0,0,0,0,0,0,96,133,2,0,128,178,6,0,64,96,0,0,0,0,0,0,96,133,2,0,161,178,6,0,64,96,0,0,0,0,0,0,96,133,2,0,192,178,6,0,64,96,0,0,0,0,0,0,96,133,2,0,230,178,6,0,64,96,0,0,0,0,0,0,96,133,2,0,23,179,6,0,64,96,0,0,0,0,0,0,96,133,2,0,55,179,6,0,64,96,0,0,0,0,0,0,96,133,2,0,87,179,6,0,64,96,0,0,0,0,0,0,96,133,2,0,50,180,6,0,64,96,0,0,0,0,0,0,96,133,2,0,124,179,6,0,64,96,0,0,0,0,0,0,96,133,2,0,160,179,6,0,64,96,0,0,0,0,0,0,96,133,2,0,201,179,6,0,64,96,0,0,0,0,0,0,96,133,2,0,236,179,6,0,64,96,0,0,0,0,0,0,96,133,2,0,23,180,6,0,64,96,0,0,0,0,0,0,96,133,2,0,83,180,6,0,64,96,0,0,0,0,0,0,96,133,2,0,109,180,6,0,64,96,0,0,0,0,0,0,96,133,2,0,174,180,6,0,64,96,0,0,0,0,0,0,96,133,2,0,143,180,6,0,64,96,0,0,0,0,0,0,96,133,2,0,208,180,6,0,64,96,0,0,0,0,0,0,96,133,2,0,231,180,6,0,64,96,0,0,0,0,0,0,96,133,2,0,233,192,6,0,64,96,0,0,0,0,0,0,96,133,2,0,95,191,6,0,64,96,0,0,0,0,0,0,96,133,2,0,243,191,6,0,64,96,0,0,0,0,0,0,96,133,2,0,131,191,6,0,64,96,0,0,0,0,0,0,96,133,2,0,175,191,6,0,64,96],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+10240);allocate([96,133,2,0,209,191,6,0,64,96,0,0,0,0,0,0,96,133,2,0,50,192,6,0,64,96,0,0,0,0,0,0,96,133,2,0,13,192,6,0,64,96,0,0,0,0,0,0,96,133,2,0,79,192,6,0,64,96,0,0,0,0,0,0,96,133,2,0,205,192,6,0,64,96,0,0,0,0,0,0,96,133,2,0,119,192,6,0,64,96,0,0,0,0,0,0,96,133,2,0,151,192,6,0,64,96,0,0,0,0,0,0,96,133,2,0,177,192,6,0,64,96,0,0,0,0,0,0,96,133,2,0,54,200,6,0,176,38,0,0,0,0,0,0,56,133,2,0,11,200,6,0,96,133,2,0,15,201,6,0,152,80,0,0,0,0,0,0,96,133,2,0,73,201,6,0,176,38,0,0,0,0,0,0,96,133,2,0,27,203,6,0,152,80,0,0,0,0,0,0,96,133,2,0,86,203,6,0,176,38,0,0,0,0,0,0,96,133,2,0,211,203,6,0,152,80,0,0,0,0,0,0,96,133,2,0,13,204,6,0,176,38,0,0,0,0,0,0,96,133,2,0,199,204,6,0,152,80,0,0,0,0,0,0,96,133,2,0,9,205,6,0,176,38,0,0,0,0,0,0,96,133,2,0,179,205,6,0,152,80,0,0,0,0,0,0,96,133,2,0,246,205,6,0,176,38,0,0,0,0,0,0,96,133,2,0,134,206,6,0,152,80,0,0,0,0,0,0,96,133,2,0,189,206,6,0,176,38,0,0,0,0,0,0,96,133,2,0,41,207,6,0,152,80,0,0,0,0,0,0,96,133,2,0,97,207,6,0,176,38,0,0,0,0,0,0,96,133,2,0,217,207,6,0,152,80,0,0,0,0,0,0,96,133,2,0,15,208,6,0,176,38,0,0,0,0,0,0,96,133,2,0,151,208,6,0,152,80,0,0,0,0,0,0,96,133,2,0,207,208,6,0,176,38,0,0,0,0,0,0,96,133,2,0,67,209,6,0,152,80,0,0,0,0,0,0,96,133,2,0,123,209,6,0,176,38,0,0,0,0,0,0,96,133,2,0,226,209,6,0,152,80,0,0,0,0,0,0,96,133,2,0,21,210,6,0,176,38,0,0,0,0,0,0,96,133,2,0,102,211,6,0,152,80,0,0,0,0,0,0,96,133,2,0,162,211,6,0,176,38,0,0,0,0,0,0,96,133,2,0,170,212,6,0,152,80,0,0,0,0,0,0,96,133,2,0,240,212,6,0,176,38,0,0,0,0,0,0,96,133,2,0,25,215,6,0,96,82,0,0,0,0,0,0,96,133,2,0,139,214,6,0,176,45,0,0,0,0,0,0,96,133,2,0,49,215,6,0,16,72,0,0,0,0,0,0,96,133,2,0,92,215,6,0,176,38,0,0,0,0,0,0,96,133,2,0,181,216,6,0,144,82,0,0,0,0,0,0,96,133,2,0,207,216,6,0,16,72,0,0,0,0,0,0,96,133,2,0,253,216,6,0,176,38,0,0,0,0,0,0,96,133,2,0,18,219,6,0,192,82,0,0,0,0,0,0,96,133,2,0,52,219,6,0,16,72,0,0,0,0,0,0,96,133,2,0,106,219,6,0,176,38,0,0,0,0,0,0,96,133,2,0,42,226,6,0,32,83,0,0,0,0,0,0,96,133,2,0,194,223,6,0,104,72,0,0,0,0,0,0,96,133,2,0,140,223,6,0,104,72,0,0,0,0,0,0,96,133,2,0,94,223,6,0,176,45,0,0,0,0,0,0,96,133,2,0,74,226,6,0,136,72,0,0,0,0,0,0,96,133,2,0,239,226,6,0,176,38,0,0,0,0,0,0,96,133,2,0,206,228,6,0,32,83,0,0,0,0,0,0,96,133,2,0,248,227,6,0,176,45,0,0,0,0,0,0,96,133,2,0,41,228,6,0,176,45,0,0,0,0,0,0,96,133,2,0,240,228,6,0,176,38,0,0,0,0,0,0,96,133,2,0,61,229,6,0,16,72,0,0,0,0,0,0,96,133,2,0,180,230,6,0,128,83,0,0,0,0,0,0,96,133,2,0,66,233,6,0,176,38,0,0,0,0,0,0,96,133,2,0,252,235,6,0,192,83,0,0,0,0,0,0,96,133,2,0,24,236,6,0,16,72,0,0,0,0,0,0,96,133,2,0,72,236,6,0,176,38,0,0,0,0,0,0,96,133,2,0,241,237,6,0,240,83,0,0,0,0,0,0,96,133,2,0,11,238,6,0,16,72,0,0,0,0,0,0,96,133,2,0,57,238,6,0,176,38,0,0,0,0,0,0,96,133,2,0,113,240,6,0,32,84,0,0,0,0,0,0,96,133,2,0,140,240,6,0,16,72,0,0,0,0,0,0,96,133,2,0,187,240,6,0,176,38,0,0,0,0,0,0,96,133,2,0,10,241,6,0,16,84,0,0,0,0,0,0,96,133,2,0,37,241,6,0,176,38,0,0,0,0,0,0,96,133,2,0,19,245,6,0,128,84,0,0,0,0,0,0,96,133,2,0,94,244,6,0,176,45,0,0,0,0,0,0,96,133,2,0,47,245,6,0,16,72,0,0,0,0,0,0,96,133,2,0,95,245,6,0,176,38,0,0,0,0,0,0,96,133,2,0,158,247,6,0,176,84,0,0,0,0,0,0,96,133,2,0,188,247,6,0,16,72,0,0,0,0,0,0,96,133,2,0,238,247,6,0,176,38,0,0,0,0,0,0,96,133,2,0,138,251,6,0,224,84,0,0,0,0,0,0,96,133,2,0,168,251,6,0,104,72,0,0,0,0,0,0,96,133,2,0,224,251,6,0,16,72,0,0,0,0,0,0,96,133,2,0,12,252,6,0,176,38,0,0,0,0,0,0,96,133,2,0,128,0,7,0,240,84,0,0,0,0,0,0,96,133,2,0,153,0,7,0,176,38,0,0,0,0,0,0,96,133,2,0,83,4,7,0,80,85,0,0,0,0,0,0,96,133,2,0,171,3,7,0,176,45,0,0,0,0,0,0,96,133,2,0,118,4,7,0,16,72,0,0,0,0,0,0,96,133,2,0,171,4,7,0,176,38,0,0,0,0,0,0,96,133,2,0,247,7,7,0,128,85,0,0,0,0,0,0,96,133,2,0,20,8,7,0,16,72,0,0,0,0,0,0,96,133,2,0,69,8,7,0,176,38,0,0,0,0,0,0,96,133,2,0,202,9,7,0,16,72,0,0,0,0,0,0,96,133,2,0,118,11,7,0,160,85,0,0,0,0,0,0,96,133,2,0,144,11,7,0,176,38,0,0,0,0,0,0,96,133,2,0,137,15,7,0,120,72,0,0,0,0,0,0,96,133,2,0,224,13,7,0,176,45,0,0,0,0,0,0,96,133,2,0,165,15,7,0,176,38,0,0,0,0,0,0,96,133,2,0,1,18,7,0,16,86,0,0,0,0,0,0,96,133,2,0,30,18,7,0,16,72,0,0,0,0,0,0,96,133,2,0,79,18,7,0,176,38,0,0,0,0,0,0,96,133,2,0,102,19,7,0,16,72,0,0,0,0,0,0,96,133,2,0,148,21,7,0,48,86,0,0,0,0,0,0,96,133,2,0,176,21,7,0,176,38,0,0,0,0,0,0,96,133,2,0,60,24,7,0,112,86,0,0,0,0,0,0,96,133,2,0,87,24,7,0,16,72,0,0,0,0,0,0,96,133,2,0,134,24,7,0,176,38,0,0,0,0,0,0,96,133,2,0,83,26,7,0,160,86,0,0,0,0,0,0,96,133,2,0,111,26,7,0,16,72,0,0,0,0,0,0,96,133,2,0,175,26,7,0,176,38,0,0,0,0,0,0,96,133,2,0,68,32,7,0,208,86,0,0,0,0,0,0,96,133,2,0,104,32,7,0,16,72,0,0,0,0,0,0,96,133,2,0,160,32,7,0,176,38,0,0,0,0,0,0,96,133,2,0,14,34,7,0,0,87,0,0,0,0,0,0,96,133,2,0,49,34,7,0,16,72,0,0,0,0,0,0,96,133,2,0,222,34,7,0,176,38,0,0,0,0,0,0,96,133,2,0,152,35,7,0,48,87,0,0,0,0,0,0,96,133,2,0,178,35,7,0,16,72,0,0,0,0,0,0,96,133,2,0,224,35,7,0,176,38,0,0,0,0,0,0,96,133,2,0,7,37,7,0,96,87,0,0,0,0,0,0,96,133,2,0,31,37,7,0,16,72,0,0,0,0,0,0,96,133,2,0,74,37,7,0,176,38,0,0,0,0,0,0,96,133,2,0,157,39,7,0,144,87,0,0,0,0,0,0,96,133,2,0,183,39,7,0,16,72,0,0,0,0,0,0,96,133,2,0,250,39,7,0,176,38,0,0,0,0,0,0,96,133,2,0,254,41,7,0,240,82,0,0,0,0,0,0,96,133,2,0,38,41,7,0,176,45,0,0,0,0,0,0,96,133,2,0,100,42,7,0,176,38,0,0,0,0,0,0,96,133,2,0,164,43,7,0,0,88,0,0,0,0,0,0,96,133,2,0,201,42,7,0,176,45,0,0,0,0,0,0,96,133,2,0,213,43,7,0,104,72,0,0,0,0,0,0,96,133,2,0,3,44,7,0,176,38,0,0,0,0,0,0,96,133,2,0,63,45,7,0,64,88,0,0,0,0,0,0,96,133,2,0,103,44,7,0,176,45,0,0,0,0,0,0,96,133,2,0,111,45,7,0,104,72,0,0,0,0,0,0,96,133,2,0,155,45,7,0,176,38,0,0,0,0,0,0,96,133,2,0,227,46,7,0,128,88,0,0,0,0,0,0,96,133,2,0,2,46,7,0,176,45,0,0,0,0,0,0,96,133,2,0,22,47,7,0,104,72,0,0,0,0,0,0,96,133,2,0,70,47,7,0,176,38,0,0,0,0,0,0,96,133,2,0,126,48,7,0,192,88,0,0,0,0,0,0,96,133,2,0,169,47,7,0,176,45,0,0,0,0,0,0,96,133,2,0,173,48,7,0,104,72,0,0,0,0,0,0,96,133,2,0,216,48,7,0,176,38,0,0,0,0,0,0,96,133,2,0,28,50,7,0,0,89,0,0,0,0,0,0,96,133,2,0,62,49,7,0,176,45,0,0,0,0,0,0,96,133,2,0,78,50,7,0,104,72,0,0,0,0,0,0,96,133,2,0,121,50,7,0,176,38,0,0,0,0,0,0,96,133,2,0,181,51,7,0,64,89,0,0,0,0,0,0,96,133,2,0,221,50,7,0,176,45,0,0,0,0,0,0,96,133,2,0,229,51,7,0,104,72,0,0,0,0,0,0,96,133,2,0,35,52,7,0,176,38,0,0,0,0,0,0,96,133,2,0,99,53,7,0,128,89,0,0,0,0,0,0,96,133,2,0,136,52,7,0,176,45,0,0,0,0,0,0,96,133,2,0,148,53,7,0,104,72,0,0,0,0,0,0,96,133,2,0,226,53,7,0,176,38,0,0,0,0,0,0,96,133,2,0,170,55,7,0,0,83,0,0,0,0,0,0,96,133,2,0,183,54,7,0,176,45,0,0,0,0,0,0,96,133,2,0,227,55,7,0,176,38,0,0,0,0,0,0,96,133,2,0,140,57,7,0,224,89,0,0,0,0,0,0,96,133,2,0,174,57,7,0,16,72,0,0,0,0,0,0,96,133,2,0,228,57,7,0,176,38,0,0,0,0,0,0,96,133,2,0,145,60,7,0,168,72,0,0,0,0,0,0,96,133,2,0,243,59,7,0,176,45,0,0,0,0,0,0,96,133,2,0,172,60,7,0,176,38,0,0,0,0,0,0,96,133,2,0,58,62,7,0,64,90,0,0,0,0,0,0,96,133,2,0,86,62,7,0,16,72,0,0,0,0,0,0,96,133,2,0,134,62,7,0,176,38,0,0,0,0,0,0,96,133,2,0,205,67,7,0,152,72,0,0,0,0,0,0,96,133,2,0,21,67,7,0,176,45,0,0,0,0,0,0,96,133,2,0,4,73,7,0,64,96,0,0,0,0,0,0,96,133,2,0,176,72,7,0,64,96,0,0,0,0,0,0,49,244,70,62,15,206,131,63,254,130,43,101,71,21,87,64,0,0,0,0,0,0,144,63,0,0,0,0,0,0,240,63,97,128,119,62,154,44,240,63,116,133,21,211,176,89,240,63,200,155,117,24,69,135,240,63,15,137,249,108,88,181,240,63,162,209,211,50,236,227,240,63,81,91,18,208,1,19,241,63,224,45,169,174,154,66,241,63,123,81,125,60,184,114,241,63,117,203,111,235,91,163,241,63,170,185,104,49,135,212,241,63,214,140,98,136,59,6,242,63,56,98,117,110,122,56,242,63,221,124,226,101,69,107,242,63,225,222,31,245,157,158,242,63,11,3,228,166,133,210,242,63,21,183,49,10,254,6,243,63,255,22,100,178,8,60,243,63,203,169,58,55,167,113,243,63,247,159,229,52,219,167,243,63,34,52,18,76,166,222,243,63,42,46,247,33,10,22,244,63,45,137,97,96,8,78,244,63,208,60,193,181,162,134,244,63,39,42,54,213,218,191,244,63,167,44,157,118,178,249,244,63,130,79,157,86,43,52,245,63,218,39,181,54,71,111,245,63,41,84,72,221,7,171,245,63,72,33,173,21,111,231,245,63,133,85,58,176,126,36,246,63,37,34,85,130,56,98,246,63,205,59,127,102,158,160,246,63,47,26,101,60,178,223,246,63,116,95,236,232,117,31,247,63,201,103,66,86,235,95,247,63,135,1,235,115,20,161,247,63,98,78,207,54,243,226,247,63,19,206,76,153,137,37,248,63,237,146,68,155,217,104,248,63,219,160,42,66,229,172,248,63,54,119,21,153,174,241,248,63,229,197,205,176,55,55,249,63,80,78,222,159,130,125,249,63,144,240,163,130,145,196,249,63,101,229,93,123,102,12,250,63,93,37,62,178,3,85,250,63,191,253,121,85,107,158,250,63,173,211,90,153,159,232,250,63,251,21,79,184,162,51,251,63,71,94,251,242,118,127,251,63,210,193,75,144,30,204,251,63,156,82,133,221,155,25,252,63,75,209,87,46,241,103,252,63,105,144,239,220,32,183,252,63,124,137,7,74,45,7,253,63,135,164,251,220,24,88,253,63,133,50,219,3,230,169,253,63,95,155,123,51,151,252,253,63,246,63,139,231,46,80,254,63,218,144,164,162,175,164,254,63,39,90,97,238,27,250,254,63,64,69,110,91,118,80,255,63,216,144,158,129,193,167,255,63,239,57,250,254,66,46,230,63,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,96,133,2,0,44,85,7,0,224,92,0,0,0,0,0,0,56,133,2,0,84,85,7,0,96,133,2,0,127,85,7,0,96,98,0,0,0,0,0,0,96,133,2,0,59,86,7,0,96,98,0,0,0,0,0,0,96,133,2,0,149,87,7,0,224,92,0,0,0,0,0,0,56,133,2,0,198,87,7,0,56,133,2,0,114,88,7,0,96,133,2,0,177,91,7,0,72,104,0,0,0,0,0,0,56,133,2,0,212,91,7,0,96,133,2,0,239,91,7,0,56,93,0,0,0,0,0,0,56,133,2,0,124,95,7,0,96,133,2,0,42,116,7,0,200,97,0,0,0,0,0,0,96,133,2,0,125,116,7,0,208,95,0,0,0,0,0,0,96,133,2,0,14,118,7,0,56,93,0,0,0,0,0,0,96,133,2,0,14,133,7,0,56,93,0,0,0,0,0,0,96,133,2,0,102,134,7,0,56,93,0,0,0,0,0,0,96,133,2,0,244,134,7,0,56,93,0,0,0,0,0,0,96,133,2,0,71,163,7,0,64,96,0,0,0,0,0,0,96,133,2,0,89,159,7,0,64,96,0,0,0,0,0,0,96,133,2,0,40,159,7,0,64,96,0,0,0,0,0,0,96,133,2,0,171,159,7,0,64,96,0,0,0,0,0,0,96,133,2,0,127,159,7,0,64,96,0,0,0,0,0,0,96,133,2,0,255,159,7,0,64,96,0,0,0,0,0,0,96,133,2,0,206,159,7,0,64,96,0,0,0,0,0,0,96,133,2,0,39,160,7,0,64,96,0,0,0,0,0,0,96,133,2,0,73,160,7,0,64,96,0,0,0,0,0,0,96,133,2,0,108,160,7,0,64,96,0,0,0,0,0,0,96,133,2,0,145,160,7,0,64,96,0,0,0,0,0,0,96,133,2,0,177,160,7,0,64,96,0,0,0,0,0,0,96,133,2,0,210,160,7,0,64,96,0,0,0,0,0,0,96,133,2,0,243,160,7,0,64,96,0,0,0,0,0,0,96,133,2,0,22,161,7,0,64,96,0,0,0,0,0,0,96,133,2,0,54,161,7,0,64,96,0,0,0,0,0,0,96,133,2,0,96,161,7,0,64,96,0,0,0,0,0,0,96,133,2,0,139,161,7,0,64,96,0,0,0,0,0,0,96,133,2,0,242,161,7,0,64,96,0,0,0,0,0,0,96,133,2,0,184,161,7,0,64,96,0,0,0,0,0,0,96,133,2,0,26,162,7,0,64,96,0,0,0,0,0,0,96,133,2,0,67,162,7,0,64,96,0,0,0,0,0,0,96,133,2,0,108,162,7,0,64,96,0,0,0,0,0,0,96,133,2,0,251,162,7,0,64,96,0,0,0,0,0,0,96,133,2,0,150,162,7,0,64,96,0,0,0,0,0,0,96,133,2,0,200,162,7,0,64,96,0,0,0,0,0,0,96,133,2,0,31,163,7,0,64,96,0,0,0,0,0,0,56,133,2,0,109,163,7,0,96,133,2,0,148,163,7,0,104,95,0,0,0,0,0,0,96,133,2,0,158,165,7,0,64,96,0,0,0,0,0,0,96,133,2,0,193,165,7,0,160,97,0,0,0,0,0,0,96,133,2,0,192,166,7,0,0,98,0,0,0,0,0,0,96,133,2,0,251,166,7,0,136,73,0,0,0,0,0,0,96,133,2,0,217,178,7,0,80,96,0,0,0,0,0,0,56,133,2,0,244,179,7,0,96,133,2,0,67,184,7,0,224,92,0,0,0,0,0,0,96,133,2,0,109,184,7,0,24,93,0,0,0,0,0,0,56,133,2,0,178,184,7,0,96,133,2,0,183,187,7,0,16,96,0,0,0,0,0,0,96,133,2,0,228,187,7,0,248,95,0,0,0,0,0,0,16,134,2,0,57,188,7,0,0,0,0,0,1,0,0,0,56,96,0,0,0,0,0,0,56,133,2,0,121,188,7,0,96,133,2,0,20,190,7,0,32,93,0,0,0,0,0,0,56,133,2,0,242,195,7,0,96,133,2,0,242,190,7,0,104,96,0,0,0,0,0,0,96,133,2,0,47,191,7,0,120,96,0,0,0,0,0,0,96,133,2,0,115,191,7,0,136,96,0,0,0,0,0,0,56,133,2,0,178,191,7,0,96,133,2,0,229,191,7,0,120,96,0,0,0,0,0,0,96,133,2,0,19,192,7,0,176,96,0,0,0,0,0,0,96,133,2,0,79,192,7,0,120,96,0,0,0,0,0,0,96,133,2,0,198,192,7,0,208,96,0,0,0,0,0,0,96,133,2,0,5,193,7,0,120,96,0,0,0,0,0,0,96,133,2,0,58,193,7,0,240,96,0,0,0,0,0,0,96,133,2,0,121,193,7,0,120,96,0,0,0,0,0,0,96,133,2,0,174,193,7,0,16,97,0,0,0,0,0,0,96,133,2,0,237,193,7,0,120,96,0,0,0,0,0,0,96,133,2,0,34,194,7,0,48,97,0,0,0,0,0,0,96,133,2,0,97,194,7,0,120,96,0,0,0,0,0,0,96,133,2,0,150,194,7,0,80,97,0,0,0,0,0,0,96,133,2,0,213,194,7,0,120,96,0,0,0,0,0,0,96,133,2,0,10,195,7,0,112,97,0,0,0,0,0,0,96,133,2,0,73,195,7,0,120,96,0,0,0,0,0,0,96,133,2,0,126,195,7,0,144,97,0,0,0,0,0,0,96,133,2,0,189,195,7,0,120,96,0,0,0,0,0,0,56,133,2,0,17,196,7,0,96,133,2,0,175,196,7,0,160,97,0,0,0,0,0,0,56,133,2,0,21,199,7,0,56,133,2,0,83,199,7,0,56,133,2,0,137,199,7,0,96,133,2,0,241,200,7,0,184,97,0,0,0,0,0,0,96,133,2,0,82,205,7,0,208,95,0,0,0,0,0,0,96,133,2,0,154,205,7,0,80,93,0,0,0,0,0,0,56,133,2,0,176,207,7,0,96,133,2,0,221,207,7,0,0,98,0,0,0,0,0,0,56,133,2,0,207,208,7,0,56,133,2,0,244,208,7,0,56,133,2,0,25,209,7,0,56,133,2,0,62,209,7,0,56,133,2,0,99,209,7,0,56,133,2,0,136,209,7,0,56,133,2,0,173,209,7,0,96,133,2,0,210,209,7,0,136,73,0,0,0,0,0,0,56,133,2,0,77,211,7,0,16,134,2,0,22,227,7,0,0,0,0,0,1,0,0,0,72,37,0,0,0,0,0,0,16,134,2,0,215,226,7,0,0,0,0,0,1,0,0,0,72,37,0,0,0,0,0,0,56,133,2,0,184,226,7,0,56,133,2,0,153,226,7,0,56,133,2,0,122,226,7,0,56,133,2,0,91,226,7,0,56,133,2,0,60,226,7,0,96,133,2,0,101,238,7,0,208,98,0,0,0,0,0,0,56,133,2,0,83,238,7,0,96,133,2,0,143,238,7,0,208,98,0,0,0,0,0,0,56,133,2,0,185,238,7,0,56,133,2,0,234,238,7,0,16,134,2,0,27,239,7,0,0,0,0,0,1,0,0,0,192,98,0,0,3,244,255,255,16,134,2,0,74,239,7,0,0,0,0,0,1,0,0,0,216,98,0,0,3,244,255,255,16,134,2,0,121,239,7,0,0,0,0,0,1,0,0,0,192,98,0,0,3,244,255,255,16,134,2,0,168,239,7,0,0,0,0,0,1,0,0,0,216,98,0,0,3,244,255,255,16,134,2,0,215,239,7,0,3,0,0,0,2,0,0,0,248,98,0,0,2,0,0,0,40,99,0,0,2,8,0,0,12,0,0,0,0,0,0,0,248,98,0,0,45,0,0,0,46,0,0,0,244,255,255,255,244,255,255,255,248,98,0,0,47,0,0,0,48,0,0,0,96,133,2,0,7,240,7,0,240,98,0,0,0,0,0,0,96,133,2,0,32,240,7,0,232,98,0,0,0,0,0,0,96,133,2,0,95,240,7,0,240,98,0,0,0,0,0,0,96,133,2,0,119,240,7,0,232,98,0,0,0,0,0,0,96,133,2,0,143,240,7,0,240,99,0,0,0,0,0,0,96,133,2,0,163,240,7,0,64,104,0,0,0,0,0,0,96,133,2,0,185,240,7,0,240,99,0,0,0,0,0,0,16,134,2,0,243,240,7,0,0,0,0,0,2,0,0,0,240,99,0,0,2,0,0,0,48,100,0,0,0,0,0,0,16,134,2,0,55,241,7,0,0,0,0,0,1,0,0,0,72,100,0,0,0,0,0,0,56,133,2,0,77,241,7,0,16,134,2,0,102,241,7,0,0,0,0,0,2,0,0,0,240,99,0,0,2,0,0,0,112,100,0,0,0,0,0,0,16,134,2,0,170,241,7,0,0,0,0,0,1,0,0,0,72,100,0,0,0,0,0,0,16,134,2,0,206,241,7,0,0,0,0,0,2,0,0,0,240,99,0,0,2,0,0,0,168,100,0,0,0,0,0,0,16,134,2,0,18,242,7,0,0,0,0,0,1,0,0,0,192,100,0,0,0,0,0,0,56,133,2,0,40,242,7,0,16,134,2,0,65,242,7,0,0,0,0,0,2,0,0,0,240,99,0,0,2,0,0,0,232,100,0,0,0,0,0,0,16,134,2,0,133,242,7,0,0,0,0,0,1,0,0,0,192,100,0,0,0,0,0,0,16,134,2,0,219,243,7,0,0,0,0,0,3,0,0,0,240,99,0,0,2,0,0,0,40,101,0,0,2,0,0,0,48,101,0,0,0,8,0,0,56,133,2,0,66,244,7,0,56,133,2,0,32,244,7,0,16,134,2,0,85,244,7,0,0,0,0,0,3,0,0,0,240,99,0,0,2,0,0,0,40,101,0,0,2,0,0,0,96,101,0,0,0,8,0,0,56,133,2,0,154,244,7,0,16,134,2,0,188,244,7,0,0,0,0,0,2,0,0,0,240,99,0,0,2,0,0,0,136,101,0,0,0,8,0,0,56,133,2,0,1,245,7,0,16,134,2,0,22,245,7,0,0,0,0,0,2,0,0,0,240,99,0,0,2,0,0,0,136,101,0,0,0,8,0,0,16,134,2,0,91,245,7,0,0,0,0,0,2,0,0,0,240,99,0,0,2,0,0,0,208,101,0,0,2,0,0,0,56,133,2,0,119,245,7,0,16,134,2,0,140,245,7,0,0,0,0,0,2,0,0,0,240,99,0,0,2,0,0,0,208,101,0,0,2,0,0,0,16,134,2,0,168,245,7,0,0,0,0,0,2,0,0,0,240,99,0,0,2,0,0,0,208,101,0,0,2,0,0,0,16,134,2,0,196,245,7,0,0,0,0,0,2,0,0,0,240,99,0,0,2,0,0,0,208,101,0,0,2,0,0,0,16,134,2,0,239,245,7,0,0,0,0,0,2,0,0,0,240,99,0,0,2,0,0,0,88,102,0,0,0,0,0,0,56,133,2,0,53,246,7,0,16,134,2,0,89,246,7,0,0,0,0,0,2,0,0,0,240,99,0,0,2,0,0,0,128,102,0,0,0,0,0,0,56,133,2,0,159,246,7,0,16,134,2,0,190,246,7,0,0,0,0,0,2,0,0,0,240,99,0,0,2,0,0,0,168,102,0,0,0,0,0,0,56,133,2,0,4,247,7,0,16,134,2,0,29,247,7,0,0,0,0,0,2,0,0,0,240,99,0,0,2,0,0,0,208,102,0,0,0,0,0,0,56,133,2,0,99,247,7,0,16,134,2,0,124,247,7,0,0,0,0,0,2,0,0,0,240,99,0,0,2,0,0,0,248,102,0,0,2,0,0,0,56,133,2,0,145,247,7,0,16,134,2,0,40,248,7,0,0,0,0,0,2,0,0,0,240,99,0,0,2,0,0,0,248,102,0,0,2,0,0,0,96,133,2,0,169,247,7,0,48,103,0,0,0,0,0,0,16,134,2,0,204,247,7,0,0,0,0,0,2,0,0,0,240,99,0,0,2,0,0,0,80,103,0,0,2,0,0,0,56,133,2,0,239,247,7,0,96,133,2,0,6,248,7,0,48,103,0,0,0,0,0,0,16,134,2,0,61,248,7,0,0,0,0,0,2,0,0,0,240,99,0,0,2,0,0,0,80,103,0,0,2,0,0,0,16,134,2,0,95,248,7,0,0,0,0,0,2,0,0,0,240,99,0,0,2,0,0,0,80,103,0,0,2,0,0,0,16,134,2,0,129,248,7,0,0,0,0,0,2,0,0,0,240,99,0,0,2,0,0,0,80,103,0,0,2,0,0,0,96,133,2,0,164,248,7,0,240,99,0,0,0,0,0,0,16,134,2,0,186,248,7,0,0,0,0,0,2,0,0,0,240,99,0,0,2,0,0,0,248,103,0,0,2,0,0,0,56,133,2,0,204,248,7,0,16,134,2,0,225,248,7,0,0,0,0,0,2,0,0,0,240,99,0,0,2,0,0,0,248,103,0,0,2,0,0,0,96,133,2,0,243,248,7,0,240,99,0,0,0,0,0,0,96,133,2,0,8,249,7,0,240,99,0,0,0,0,0,0,56,133,2,0,29,249,7,0,56,133,2,0,199,249,7,0,96,133,2,0,39,250,7,0,96,104,0,0,0,0,0,0,96,133,2,0,212,249,7,0,112,104,0,0,0,0,0,0,56,133,2,0,245,249,7,0,96,133,2,0,2,250,7,0,80,104,0,0,0,0,0,0,96,133,2,0,9,251,7,0,72,104,0,0,0,0,0,0,96,133,2,0,25,251,7,0,136,104,0,0,0,0,0,0,96,133,2,0,42,251,7,0,136,104,0,0,0,0,0,0,96,133,2,0,73,251,7,0,72,104,0,0,0,0,0,0,96,133,2,0,121,251,7,0,96,104,0,0,0,0,0,0,96,133,2,0,85,251,7,0,200,104,0,0,0,0,0,0,96,133,2,0,155,251,7,0,96,104,0,0,0,0,0,0,216,133,2,0,195,251,7,0,216,133,2,0,197,251,7,0,216,133,2,0,200,251,7,0,216,133,2,0,220,251,6,0,216,133,2,0,218,251,6,0,216,133,2,0,202,251,7,0,216,133,2,0,204,251,7,0,216,133,2,0,210,202,7,0,216,133,2,0,206,251,7,0,216,133,2,0,208,251,7,0,216,133,2,0,36,1,8,0,216,133,2,0,210,251,7,0,216,133,2,0,218,202,7,0,216,133,2,0,212,251,7,0,96,133,2,0,214,251,7,0,80,104,0,0,0,0,0,0,248,104,0,0,56,105,0,0,248,104,0,0,64,105,0,0,248,104,0,0,112,34,0,0,248,104,0,0,120,34,0,0,248,104,0,0,128,34,0,0,248,104,0,0,56,105,0,0,192,34,0,0,248,104,0,0,192,34,0,0,56,105,0,0,248,104,0,0,192,34,0,0,64,105,0,0,56,105,0,0,64,105,0,0,208,34,0,0,224,34,0,0,168,34,0,0,64,105,0,0,8,105,0,0,168,34,0,0,64,105,0,0,56,105,0,0,24,35,0,0,248,104,0,0,24,35,0,0,88,105,0,0,248,104,0,0,24,35,0,0,64,105,0,0,88,105,0,0,64,105,0,0,40,35,0,0,224,34,0,0,0,35,0,0,64,105,0,0,8,105,0,0,0,35,0,0,64,105,0,0,88,105,0,0,104,35,0,0,248,104,0,0,104,35,0,0,96,105,0,0,248,104,0,0,104,35,0,0,64,105,0,0,96,105,0,0,64,105,0,0,120,35,0,0,224,34,0,0,80,35,0,0,64,105,0,0,8,105,0,0,80,35,0,0,64,105,0,0,96,105,0,0,184,35,0,0,248,104,0,0,184,35,0,0,216,35,0,0,248,104,0,0,184,35,0,0,64,105,0,0,216,35,0,0,64,105,0,0,200,35,0,0,224,34,0,0,160,35,0,0,64,105,0,0,8,105,0,0,160,35,0,0,64,105,0,0,216,35,0,0,16,36,0,0,248,104,0,0,16,36,0,0,48,36,0,0,248,104,0,0,16,36,0,0,64,105,0,0,48,36,0,0,64,105,0,0,32,36,0,0,224,34,0,0,248,35,0,0,64,105,0,0,8,105,0,0,248,35,0,0,64,105,0,0,48,36,0,0,104,36,0,0,248,104,0,0,104,36,0,0,128,34,0,0,248,104,0,0,104,36,0,0,64,105,0,0,128,34,0,0,64,105,0,0,120,36,0,0,224,34,0,0,80,36,0,0,64,105,0,0,8,105,0,0,80,36,0,0,64,105,0,0,128,34,0,0,136,36,0,0,136,36,0,0,48,36,0,0,136,36,0,0,168,36,0,0,56,105,0,0,136,36,0,0,56,105,0,0,56,105,0,0,56,105,0,0,136,36,0,0,56,105,0,0,56,105,0,0,56,105,0,0,200,36,0,0,136,36,0,0,56,105,0,0,56,105,0,0,56,105,0,0,56,105,0,0,64,105,0,0,48,36,0,0,168,36,0,0,56,105,0,0,48,36,0,0,56,105,0,0,56,105,0,0,56,105,0,0,64,105,0,0,152,36,0,0,56,105,0,0,152,36,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,96,105,0,0,96,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,96,105,0,0,48,36,0,0,152,36,0,0,56,105,0,0,248,104,0,0,136,36,0,0,56,105,0,0,56,105,0,0,56,105,0,0,248,104,0,0,136,36,0,0,168,36,0,0,56,105,0,0,48,36,0,0,152,36,0,0,56,105,0,0,56,105,0,0,48,36,0,0,152,36,0,0,16,37,0,0,248,104,0,0,48,36,0,0,48,36,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,8,105,0,0,152,36,0,0,64,105,0,0,152,36,0,0,56,105,0,0,48,36,0,0,152,36,0,0,96,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,96,105,0,0,48,36,0,0,48,36,0,0,56,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,152,36,0,0,128,34,0,0,248,104,0,0,48,36,0,0,200,36,0,0,248,104,0,0,48,36,0,0,200,36,0,0,48,36,0,0,168,36,0,0,48,36,0,0,224,34,0,0,48,36,0,0,56,105,0,0,224,34,0,0,48,36,0,0,56,105,0,0,56,105,0,0,16,105,0,0,136,36,0,0,56,105,0,0,16,105,0,0,136,36,0,0,56,105,0,0,56,105,0,0,16,105,0,0,136,36,0,0,56,105,0,0,56,105,0,0,56,105,0,0,24,105,0,0,136,36,0,0,56,105,0,0,24,105,0,0,136,36,0,0,56,105,0,0,56,105,0,0,24,105,0,0,136,36,0,0,56,105,0,0,56,105,0,0,56,105,0,0,40,105,0,0,136,36,0,0,56,105,0,0,40,105,0,0,136,36,0,0,56,105,0,0,56,105,0,0,40,105,0,0,136,36,0,0,56,105,0,0,56,105,0,0,56,105,0,0,48,105,0,0,136,36,0,0,56,105,0,0,48,105,0,0,136,36,0,0,56,105,0,0,56,105,0,0,48,105,0,0,136,36,0,0,56,105,0,0,56,105,0,0,56,105,0,0,56,105,0,0,136,36,0,0,56,105,0,0,56,105,0,0,136,36,0,0,56,105,0,0,56,105,0,0,56,105,0,0,136,36,0,0,56,105,0,0,56,105,0,0,56,105,0,0,88,105,0,0,136,36,0,0,56,105,0,0,88,105,0,0,136,36,0,0,56,105,0,0,56,105,0,0,88,105,0,0,136,36,0,0,56,105,0,0,56,105,0,0,56,105,0,0,96,105,0,0,136,36,0,0,56,105,0,0,56,105,0,0,56,105,0,0,96,105,0,0,136,36,0,0,56,105,0,0,96,105,0,0,136,36,0,0,56,105,0,0,56,105,0,0,224,34,0,0,120,34,0,0,128,34,0,0,120,34,0,0,40,37,0,0,120,34,0,0,168,42,0,0,56,105,0,0,56,37,0,0,48,36,0,0,48,37,0,0,48,36,0,0,48,36,0,0,48,37,0,0,48,36,0,0,200,36,0,0,56,105,0,0,56,105,0,0,224,34,0,0,48,36,0,0,128,34,0,0,24,37,0,0,80,37,0,0,248,104,0,0,48,36,0,0,48,36,0,0,96,105,0,0,96,105,0,0,56,105,0,0,8,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,96,105,0,0,96,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,96,105,0,0,96,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,96,105,0,0,96,105,0,0,8,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,96,105,0,0,96,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,168,36,0,0,96,105,0,0,96,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,168,36,0,0,96,105,0,0,96,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,168,36,0,0,96,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,96,105,0,0,96,105,0,0,96,105,0,0,96,105,0,0,56,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,96,105,0,0,96,105,0,0,96,105,0,0,96,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,96,105,0,0,96,105,0,0,96,105,0,0,96,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,96,105,0,0,96,105,0,0,96,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,96,105,0,0,96,105,0,0,56,105,0,0,96,105,0,0,96,105,0,0,96,105,0,0,96,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,96,105,0,0,96,105,0,0,56,105,0,0,96,105,0,0,96,105,0,0,96,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,96,105,0,0,96,105,0,0,56,105,0,0,96,105,0,0,96,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,96,105,0,0,96,105,0,0,56,105,0,0,96,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,56,105,0,0,96,105,0,0,96,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,56,105,0,0,96,105,0,0,96,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,56,105,0,0,96,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,56,105,0,0,56,105,0,0,96,105,0,0,96,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,56,105,0,0,56,105,0,0,96,105,0,0,96,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,56,105,0,0,56,105,0,0,96,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,56,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,56,105,0,0,56,105,0,0,56,105,0,0,96,105,0,0,96,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,56,105,0,0,56,105,0,0,56,105,0,0,96,105,0,0,96,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,56,105,0,0,56,105,0,0,56,105,0,0,96,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,56,105,0,0,56,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,248,104,0,0,48,36,0,0,48,36,0,0,96,105,0,0,56,105,0,0,56,105,0,0,56,105,0,0,96,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,248,104,0,0,48,36,0,0,96,105,0,0,48,36,0,0,96,105,0,0,96,105,0,0,48,36,0,0,56,105,0,0,248,104,0,0,48,36,0,0,96,105,0,0,48,36,0,0,96,105,0,0,96,105,0,0,48,36,0,0,248,104,0,0,48,36,0,0,48,36,0,0,96,105,0,0,8,105,0,0,96,105,0,0,48,36,0,0,8,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,96,105,0,0,96,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,168,36,0,0,216,35,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,168,36,0,0,216,35,0,0,248,104,0,0,48,36,0,0,48,36,0,0,168,36,0,0,128,34,0,0,48,36,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,168,36,0,0,216,35,0,0,8,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,168,36,0,0,216,35,0,0,8,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,168,36,0,0,216,35,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,168,36,0,0,248,104,0,0,248,35,0,0,224,34,0,0,48,36,0,0,48,36,0,0,224,34,0,0,96,105,0,0,248,104,0,0,248,35,0,0,224,34,0,0,48,36,0,0,48,36,0,0,224,34,0,0,224,34,0,0,8,105,0,0,248,104,0,0,248,35,0,0,224,34,0,0,48,36,0,0,48,36,0,0,224,34,0,0,224,34,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,96,105,0,0,56,105,0,0,56,105,0,0,56,105,0,0,56,105,0,0,96,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,36,0,0,56,105,0,0,24,37,0,0,56,105,0,0,96,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,36,0,0,56,105,0,0,24,37,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,36,0,0,56,105,0,0,24,37,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,36,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,36,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,8,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,248,104,0,0,48,36,0,0,216,35,0,0,56,105,0,0,200,36,0,0,56,105,0,0,56,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,216,35,0,0,56,105,0,0,200,36,0,0,56,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,216,35,0,0,56,105,0,0,200,36,0,0,56,105,0,0,248,104,0,0,48,36,0,0,216,35,0,0,56,105,0,0,200,36,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,56,105,0,0,96,105,0,0,48,36,0,0,48,36,0,0,56,105,0,0,56,105,0,0,48,36,0,0,48,36,0,0,56,105,0,0,56,105,0,0,56,105,0,0,48,36,0,0,48,36,0,0,56,105,0,0,56,105,0,0,48,36,0,0,48,36,0,0,56,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,56,105,0,0,56,105,0,0,56,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,56,105,0,0,56,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,96,105,0,0,48,36,0,0,248,104,0,0,48,36,0,0,48,36,0,0,96,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,8,105,0,0,8,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,8,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,56,105,0,0,56,105,0,0,56,105,0,0,56,105,0,0,200,36,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,56,105,0,0,56,105,0,0,56,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,56,105,0,0,96,105,0,0,56,105,0,0,56,105,0,0,48,36,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,216,35,0,0,56,105,0,0,56,105,0,0,200,36,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,216,35,0,0,56,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,216,35,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,216,35,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,56,105,0,0,56,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,56,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,96,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,96,105,0,0,248,104,0,0,96,105,0,0,48,36,0,0,48,36,0,0,56,105,0,0,248,104,0,0,96,105,0,0,48,36,0,0,48,36,0,0,248,104,0,0,48,36,0,0,248,35,0,0,56,105,0,0,200,36,0,0,56,105,0,0,56,105,0,0,48,36,0,0,56,105,0,0,216,35,0,0,248,104,0,0,48,36,0,0,248,35,0,0,56,105,0,0,200,36,0,0,56,105,0,0,56,105,0,0,48,36,0,0,56,105,0,0,248,104,0,0,48,36,0,0,248,35,0,0,56,105,0,0,200,36,0,0,56,105,0,0,56,105,0,0,48,36,0,0,248,104,0,0,48,36,0,0,248,35,0,0,56,105],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+20480);allocate([200,36,0,0,56,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,248,35,0,0,56,105,0,0,200,36,0,0,56,105,0,0,248,104,0,0,48,36,0,0,248,35,0,0,56,105,0,0,200,36,0,0,8,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,8,105,0,0,48,36,0,0,48,36,0,0,248,104,0,0,48,36,0,0,216,35,0,0,168,36,0,0,96,105,0,0,96,105,0,0,96,105,0,0,200,36,0,0,56,105,0,0,56,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,216,35,0,0,168,36,0,0,96,105,0,0,96,105,0,0,96,105,0,0,200,36,0,0,56,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,216,35,0,0,168,36,0,0,96,105,0,0,96,105,0,0,96,105,0,0,200,36,0,0,56,105,0,0,248,104,0,0,48,36,0,0,216,35,0,0,168,36,0,0,96,105,0,0,96,105,0,0,96,105,0,0,200,36,0,0,248,104,0,0,48,36,0,0,120,34,0,0,200,36,0,0,56,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,120,34,0,0,200,36,0,0,56,105,0,0,248,104,0,0,48,36,0,0,120,34,0,0,200,36,0,0,248,104,0,0,216,35,0,0,168,36,0,0,56,105,0,0,56,105,0,0,56,105,0,0,56,105,0,0,160,35,0,0,48,36,0,0,48,36,0,0,48,36,0,0,8,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,8,105,0,0,56,105,0,0,96,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,48,36,0,0,216,35,0,0,96,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,48,36,0,0,216,35,0,0,96,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,48,36,0,0,216,35,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,48,36,0,0,248,104,0,0,48,36,0,0,248,35,0,0,48,36,0,0,56,105,0,0,56,105,0,0,216,35,0,0,248,104,0,0,48,36,0,0,248,35,0,0,48,36,0,0,56,105,0,0,56,105,0,0,96,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,56,105,0,0,24,37,0,0,48,36,0,0,96,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,56,105,0,0,24,37,0,0,96,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,56,105,0,0,96,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,120,34,0,0,48,36,0,0,248,104,0,0,48,36,0,0,48,36,0,0,96,105,0,0,48,36,0,0,96,105,0,0,48,36,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,96,105,0,0,48,36,0,0,96,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,112,34,0,0,96,105,0,0,96,105,0,0,48,36,0,0,56,105,0,0,168,36,0,0,216,35,0,0,48,36,0,0,56,105,0,0,168,36,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,96,105,0,0,96,105,0,0,48,36,0,0,56,105,0,0,8,105,0,0,96,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,96,105,0,0,96,105,0,0,48,36,0,0,56,105,0,0,8,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,96,105,0,0,96,105,0,0,48,36,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,96,105,0,0,96,105,0,0,48,36,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,96,105,0,0,96,105,0,0,48,36,0,0,56,105,0,0,56,105,0,0,8,105,0,0,96,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,96,105,0,0,96,105,0,0,48,36,0,0,56,105,0,0,56,105,0,0,8,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,96,105,0,0,96,105,0,0,48,36,0,0,56,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,128,34,0,0,48,36,0,0,48,36,0,0,56,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,128,34,0,0,48,36,0,0,48,36,0,0,56,105,0,0,248,104,0,0,80,36,0,0,168,34,0,0,56,105,0,0,96,105,0,0,248,104,0,0,80,36,0,0,168,34,0,0,56,105,0,0,248,104,0,0,248,35,0,0,48,36,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,36,0,0,56,105,0,0,48,36,0,0,48,36,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,96,105,0,0,48,36,0,0,48,36,0,0,56,105,0,0,96,105,0,0,48,36,0,0,48,36,0,0,8,105,0,0,48,36,0,0,96,105,0,0,48,36,0,0,56,105,0,0,48,36,0,0,24,37,0,0,56,105,0,0,56,105,0,0,48,36,0,0,96,105,0,0,48,36,0,0,56,105,0,0,48,36,0,0,24,37,0,0,56,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,216,35,0,0,216,35,0,0,200,36,0,0,56,105,0,0,56,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,216,35,0,0,216,35,0,0,200,36,0,0,56,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,216,35,0,0,216,35,0,0,200,36,0,0,56,105,0,0,248,104,0,0,48,36,0,0,216,35,0,0,216,35,0,0,200,36,0,0,96,105,0,0,48,36,0,0,48,36,0,0,56,105,0,0,96,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,56,105,0,0,48,36,0,0,200,36,0,0,48,36,0,0,48,36,0,0,200,36,0,0,48,36,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,248,104,0,0,248,35,0,0,248,35,0,0,224,34,0,0,64,37,0,0,48,36,0,0,8,105,0,0,64,37,0,0,48,36,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,48,36,0,0,216,35,0,0,56,105,0,0,56,105,0,0,200,36,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,48,36,0,0,216,35,0,0,56,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,48,36,0,0,216,35,0,0,56,105,0,0,96,105,0,0,48,36,0,0,56,105,0,0,48,36,0,0,96,105,0,0,48,36,0,0,56,105,0,0,96,105,0,0,48,36,0,0,48,36,0,0,56,105,0,0,48,36,0,0,248,104,0,0,48,36,0,0,48,36,0,0,96,105,0,0,96,105,0,0,56,105,0,0,56,105,0,0,48,36,0,0,248,104,0,0,48,36,0,0,48,36,0,0,96,105,0,0,96,105,0,0,56,105,0,0,56,105,0,0,96,105,0,0,48,36,0,0,112,34,0,0,8,105,0,0,248,104,0,0,48,36,0,0,96,105,0,0,48,36,0,0,248,104,0,0,48,36,0,0,80,37,0,0,216,35,0,0,56,105,0,0,96,105,0,0,200,36,0,0,56,105,0,0,56,105,0,0,8,105,0,0,248,104,0,0,48,36,0,0,80,37,0,0,216,35,0,0,56,105,0,0,96,105,0,0,200,36,0,0,56,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,80,37,0,0,216,35,0,0,56,105,0,0,96,105,0,0,200,36,0,0,56,105,0,0,248,104,0,0,48,36,0,0,80,37,0,0,216,35,0,0,56,105,0,0,96,105,0,0,200,36,0,0,248,104,0,0,48,36,0,0,48,36,0,0,168,36,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,168,36,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,56,105,0,0,56,105,0,0,200,36,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,56,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,56,105,0,0,248,104,0,0,48,36,0,0,56,105,0,0,56,105,0,0,48,36,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,48,36,0,0,48,36,0,0,216,35,0,0,96,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,48,36,0,0,48,36,0,0,216,35,0,0,96,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,48,36,0,0,48,36,0,0,216,35,0,0,248,104,0,0,48,36,0,0,48,36,0,0,56,105,0,0,48,36,0,0,48,36,0,0,248,104,0,0,48,36,0,0,248,104,0,0,56,105,0,0,8,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,56,105,0,0,8,105,0,0,48,36,0,0,48,36,0,0,48,36,0,0,248,104,0,0,48,36,0,0,248,35,0,0,96,105,0,0,48,36,0,0,48,36,0,0,96,105,0,0,96,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,48,36,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,36,0,0,56,105,0,0,56,105,0,0,200,36,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,36,0,0,56,105,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,36,0,0,56,105,0,0,248,104,0,0,48,36,0,0,48,36,0,0,48,36,0,0,168,36,0,0,48,36,0,0,48,36,0,0,96,105,0,0,168,36,0,0,200,36,0,0,8,105,0,0,8,105,0,0,56,105,0,0,48,36,0,0,48,36,0,0,96,105,0,0,168,36,0,0,200,36,0,0,8,105,0,0,8,105,0,0,48,36,0,0,48,36,0,0,96,105,0,0,168,36,0,0,200,36,0,0,8,105,0,0,48,36,0,0,48,36,0,0,96,105,0,0,168,36,0,0,200,36,0,0,48,36,0,0,48,36,0,0,96,105,0,0,168,36,0,0,48,36,0,0,48,36,0,0,96,105,0,0,112,37,0,0,80,37,0,0,80,37,0,0,112,37,0,0,80,37,0,0,112,37,0,0,224,34,0,0,224,34,0,0,112,37,0,0,224,34,0,0,112,37,0,0,80,37,0,0,8,105,0,0,8,105,0,0,184,69,0,0,80,37,0,0,80,37,0,0,8,105,0,0,184,69,0,0,80,37,0,0,120,37,0,0,120,37,0,0,168,36,0,0,168,36,0,0,168,36,0,0,168,36,0,0,56,105,0,0,56,105,0,0,96,105,0,0,56,105,0,0,96,105,0,0,8,105,0,0,56,105,0,0,8,105,0,0,120,37,0,0,104,37,0,0,0,35,0,0,248,104,0,0,184,69,0,0,48,36,0,0,248,104,0,0,184,69,0,0,48,36,0,0,80,36,0,0,80,35,0,0,96,105,0,0,168,36,0,0,168,36,0,0,96,105,0,0,96,105,0,0,8,105,0,0,248,104,0,0,184,69,0,0,48,36,0,0,80,36,0,0,80,35,0,0,96,105,0,0,168,36,0,0,168,36,0,0,96,105,0,0,96,105,0,0,248,104,0,0,184,69,0,0,48,36,0,0,80,36,0,0,80,35,0,0,96,105,0,0,168,36,0,0,168,36,0,0,96,105,0,0,248,104,0,0,184,69,0,0,48,36,0,0,80,36,0,0,80,35,0,0,96,105,0,0,168,36,0,0,168,36,0,0,248,104,0,0,184,69,0,0,48,36,0,0,80,36,0,0,80,35,0,0,96,105,0,0,168,36,0,0,248,104,0,0,184,69,0,0,48,36,0,0,80,36,0,0,80,35,0,0,96,105,0,0,248,104,0,0,184,69,0,0,48,36,0,0,80,36,0,0,80,35,0,0,248,104,0,0,152,37,0,0,48,36,0,0,48,36,0,0,96,105,0,0,248,104,0,0,152,37,0,0,48,36,0,0,48,36,0,0,248,104,0,0,152,37,0,0,48,36,0,0,248,37,0,0,56,105,0,0,96,105,0,0,8,105,0,0,248,37,0,0,56,105,0,0,96,105,0,0,248,37,0,0,56,105,0,0,248,37,0,0,248,104,0,0,200,37,0,0,48,36,0,0,48,36,0,0,96,105,0,0,248,104,0,0,200,37,0,0,48,36,0,0,48,36,0,0,248,104,0,0,0,38,0,0,168,36,0,0,48,38,0,0,96,105,0,0,168,36,0,0,48,38,0,0,96,105,0,0,48,38,0,0,248,104,0,0,16,38,0,0,248,104,0,0,0,38,0,0,96,105,0,0,168,36,0,0,32,38,0,0,96,105,0,0,32,38,0,0,248,104,0,0,0,38,0,0,48,36,0,0,48,36,0,0,248,104,0,0,112,37,0,0,48,36,0,0,80,37,0,0,96,105,0,0,200,36,0,0,248,104,0,0,112,37,0,0,48,36,0,0,80,37,0,0,96,105,0,0,248,104,0,0,112,37,0,0,48,36,0,0,80,37,0,0,248,104,0,0,112,37,0,0,48,36,0,0,48,36,0,0,112,37,0,0,80,37,0,0,48,36,0,0,112,37,0,0,248,104,0,0,112,37,0,0,248,35,0,0,80,37,0,0,248,104,0,0,112,37,0,0,248,35,0,0,248,104,0,0,112,37,0,0,248,35,0,0,224,34,0,0,8,105,0,0,120,38,0,0,80,37,0,0,248,104,0,0,120,38,0,0,48,36,0,0,80,36,0,0,168,34,0,0,96,105,0,0,56,105,0,0,56,105,0,0,168,36,0,0,168,36,0,0,248,104,0,0,120,38,0,0,48,36,0,0,80,36,0,0,168,34,0,0,96,105,0,0,56,105,0,0,56,105,0,0,168,36,0,0,248,104,0,0,120,38,0,0,48,36,0,0,80,36,0,0,168,34,0,0,96,105,0,0,56,105,0,0,56,105,0,0,248,104,0,0,120,38,0,0,48,36,0,0,80,36,0,0,168,34,0,0,96,105,0,0,56,105,0,0,248,104,0,0,120,38,0,0,48,36,0,0,80,36,0,0,168,34,0,0,96,105,0,0,248,104,0,0,120,38,0,0,48,36,0,0,80,36,0,0,168,34,0,0,128,38,0,0,128,38,0,0,104,37,0,0,248,104,0,0,120,38,0,0,48,36,0,0,80,36,0,0,168,34,0,0,80,35,0,0,96,105,0,0,56,105,0,0,56,105,0,0,168,36,0,0,168,36,0,0,8,105,0,0,248,104,0,0,120,38,0,0,48,36,0,0,80,36,0,0,168,34,0,0,80,35,0,0,96,105,0,0,56,105,0,0,56,105,0,0,168,36,0,0,168,36,0,0,248,104,0,0,120,38,0,0,48,36,0,0,80,36,0,0,168,34,0,0,80,35,0,0,96,105,0,0,56,105,0,0,56,105,0,0,168,36,0,0,248,104,0,0,120,38,0,0,48,36,0,0,80,36,0,0,168,34,0,0,80,35,0,0,96,105,0,0,56,105,0,0,56,105,0,0,248,104,0,0,120,38,0,0,48,36,0,0,80,36,0,0,168,34,0,0,80,35,0,0,96,105,0,0,56,105,0,0,248,104,0,0,120,38,0,0,48,36,0,0,80,36,0,0,168,34,0,0,80,35,0,0,96,105,0,0,248,104,0,0,120,38,0,0,48,36,0,0,80,36,0,0,168,34,0,0,80,35,0,0,8,105,0,0,144,38,0,0,248,104,0,0,120,38,0,0,48,36,0,0,80,36,0,0,96,105,0,0,56,105,0,0,56,105,0,0,168,36,0,0,168,36,0,0,248,104,0,0,120,38,0,0,48,36,0,0,80,36,0,0,96,105,0,0,56,105,0,0,56,105,0,0,168,36,0,0,248,104,0,0,120,38,0,0,48,36,0,0,80,36,0,0,96,105,0,0,56,105,0,0,56,105,0,0,248,104,0,0,120,38,0,0,48,36,0,0,80,36,0,0,96,105,0,0,56,105,0,0,248,104,0,0,120,38,0,0,48,36,0,0,80,36,0,0,96,105,0,0,248,104,0,0,120,38,0,0,48,36,0,0,80,36,0,0,0,0,0,0,208,40,0,0,1,0,0,0,1,0,0,0,2,0,0,0,0,0,0,0,184,40,0,0,2,0,0,0,3,0,0,0,4,0,0,0,0,0,0,0,160,38,0,0,5,0,0,0,6,0,0,0,7,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,0,0,0,0,8,41,0,0,1,0,0,0,8,0,0,0,9,0,0,0,0,0,0,0,240,40,0,0,2,0,0,0,10,0,0,0,11,0,0,0,0,0,0,0,224,40,0,0,5,0,0,0,12,0,0,0,13,0,0,0,224,52,8,0,147,218,2,0,80,215,2,0,245,12,0,0,1,0,0,0,228,52,8,0,2,219,2,0,80,215,2,0,204,13,0,0,1,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,12,0,0,0,15,0,0,0,16,0,0,0,18,0,0,0,20,0,0,0,24,0,0,0,25,0,0,0,27,0,0,0,30,0,0,0,32,0,0,0,36,0,0,0,40,0,0,0,45,0,0,0,48,0,0,0,50,0,0,0,54,0,0,0,60,0,0,0,64,0,0,0,72,0,0,0,75,0,0,0,80,0,0,0,81,0,0,0,90,0,0,0,96,0,0,0,100,0,0,0,108,0,0,0,120,0,0,0,125,0,0,0,128,0,0,0,135,0,0,0,144,0,0,0,150,0,0,0,160,0,0,0,162,0,0,0,180,0,0,0,192,0,0,0,200,0,0,0,216,0,0,0,225,0,0,0,240,0,0,0,243,0,0,0,250,0,0,0,0,1,0,0,14,1,0,0,32,1,0,0,44,1,0,0,64,1,0,0,68,1,0,0,104,1,0,0,119,1,0,0,128,1,0,0,144,1,0,0,149,1,0,0,176,1,0,0,194,1,0,0,224,1,0,0,230,1,0,0,244,1,0,0,0,2,0,0,28,2,0,0,64,2,0,0,88,2,0,0,113,2,0,0,128,2,0,0,136,2,0,0,163,2,0,0,208,2,0,0,217,2,0,0,238,2,0,0,0,3,0,0,32,3,0,0,42,3,0,0,96,3,0,0,132,3,0,0,192,3,0,0,204,3,0,0,232,3,0,0,0,4,0,0,56,4,0,0,101,4,0,0,128,4,0,0,176,4,0,0,191,4,0,0,226,4,0,0,0,5,0,0,16,5,0,0,70,5,0,0,160,5,0,0,178,5,0,0,220,5,0,0,0,6,0,0,64,6,0,0,84,6,0,0,192,6,0,0,8,7,0,0,83,7,0,0,128,7,0,0,152,7,0,0,208,7,0,0,233,7,0,0,0,8,0,0,112,8,0,0,139,8,0,0,202,8,0,0,0,9,0,0,96,9,0,0,126,9,0,0,196,9,0,0,0,10,0,0,32,10,0,0,140,10,0,0,64,11,0,0,100,11,0,0,184,11,0,0,0,12,0,0,53,12,0,0,128,12,0,0,168,12,0,0,47,13,0,0,128,13,0,0,16,14,0,0,61,14,0,0,166,14,0,0,0,15,0,0,48,15,0,0,160,15,0,0,210,15,0,0,0,16,0,0,224,16,0,0,22,17,0,0,148,17,0,0,0,18,0,0,192,18,0,0,252,18,0,0,136,19,0,0,0,20,0,0,64,20,0,0,24,21,0,0,249,21,0,0,128,22,0,0,200,22,0,0,112,23,0,0,187,23,0,0,0,24,0,0,106,24,0,0,0,25,0,0,80,25,0,0,161,25,0,0,94,26,0,0,0,27,0,0,32,28,0,0,122,28,0,0,76,29,0,0,0,30,0,0,96,30,0,0,64,31,0,0,164,31,0,0,0,32,0,0,192,33,0,0,44,34,0,0,40,35,0,0,0,36,0,0,159,36,0,0,128,37,0,0,248,37,0,0,16,39,0,0,141,39,0,0,0,40,0,0,128,40,0,0,48,42,0,0,183,42,0,0,242,43,0,0,0,45,0,0,144,45,0,0,224,46,0,0,118,47,0,0,0,48,0,0,212,48,0,0,0,50,0,0,160,50,0,0,66,51,0,0,188,52,0,0,0,54,0,0,64,56,0,0,244,56,0,0,152,58,0,0,0,60,0,0,192,60,0,0,9,61,0,0,128,62,0,0,72,63,0,0,0,64,0,0,235,65,0,0,128,67,0,0,88,68,0,0,80,70,0,0,49,71,0,0,0,72,0,0,62,73,0,0,0,75,0,0,240,75,0,0,227,76,0,0,32,78,0,0,26,79,0,0,0,80,0,0,0,81,0,0,96,84,0,0,110,85,0,0,228,87,0,0,0,90,0,0,32,91,0,0,192,93,0,0,236,94,0,0,0,96,0,0,168,97,0,0,0,100,0,0,64,101,0,0,132,102,0,0,120,105,0,0,0,108,0,0,221,109,0,0,128,112,0,0,232,113,0,0,48,117,0,0,167,118,0,0,0,120,0,0,128,121,0,0,18,122,0,0,0,125,0,0,144,126,0,0,0,128,0,0,37,128,0,0,214,131,0,0,0,135,0,0,176,136,0,0,160,140,0,0,98,142,0,0,0,144,0,0,124,146,0,0,0,150,0,0,224,151,0,0,198,153,0,0,64,156,0,0,52,158,0,0,0,160,0,0,0,162,0,0,192,168,0,0,220,170,0,0,200,175,0,0,0,180,0,0,64,182,0,0,27,183,0,0,128,187,0,0,216,189,0,0,0,192,0,0,80,195,0,0,193,197,0,0,0,200,0,0,128,202,0,0,8,205,0,0,240,210,0,0,147,213,0,0,0,216,0,0,186,219,0,0,0,225,0,0,208,227,0,0,169,230,0,0,96,234,0,0,78,237,0,0,0,240,0,0,0,243,0,0,36,244,0,0,0,250,0,0,32,253,0,0,0,0,1,0,74,0,1,0,172,7,1,0,0,14,1,0,96,17,1,0,64,25,1,0,196,28,1,0,0,32,1,0,248,36,1,0,0,44,1,0,192,47,1,0,45,49,1,0,140,51,1,0,128,56,1,0,104,60,1,0,0,64,1,0,0,68,1,0,151,73,1,0,128,81,1,0,184,85,1,0,144,95,1,0,245,99,1,0,0,104,1,0,128,108,1,0,54,110,1,0,0,119,1,0,176,123,1,0,0,128,1,0,111,128,1,0,160,134,1,0,130,139,1,0,0,144,1,0,0,149,1,0,16,154,1,0,224,165,1,0,38,171,1,0,0,176,1,0,116,183,1,0,0,194,1,0,160,199,1,0,82,205,1,0,192,212,1,0,156,218,1,0,0,224,1,0,0,230,1,0,72,232,1,0,0,244,1,0,64,250,1,0,0,0,2,0,148,0,2,0,88,15,2,0,0,28,2,0,192,34,2,0,81,37,2,0,128,50,2,0,136,57,2,0,0,64,2,0,240,73,2,0,67,81,2,0,0,88,2,0,128,95,2,0,90,98,2,0,24,103,2,0,0,113,2,0,208,120,2,0,0,128,2,0,185,128,2,0,0,136,2,0,46,147,2,0,0,163,2,0,112,171,2,0,251,179,2,0,32,191,2,0,234,199,2,0,0,208,2,0,0,217,2,0,108,220,2,0,0,238,2,0,96,247,2,0,0,0,3,0,222,0,3,0,64,13,3,0,4,23,3,0,0,32,3,0,0,42,3,0,32,52,3,0,192,75,3,0,76,86,3,0,0,96,3,0,232,110,3,0,0,132,3,0,64,143,3,0,135,147,3,0,164,154,3,0,128,169,3,0,56,181,3,0,0,192,3,0,0,204,3,0,144,208,3,0,197,220,3,0,0,232,3,0,128,244,3,0,0,0,4,0,40,1,4,0,176,30,4,0,223,43,4,0,0,56,4,0,128,69,4,0,162,74,4,0,0,101,4,0,16,115,4,0,0,128,4,0,77,129,4,0,224,147,4,0,134,162,4,0,0,176,4,0,0,191,4,0,180,196,4,0,48,206,4,0,0,226,4,0,160,241,4,0,0,0,5,0,114,1,5,0,0,16,5,0,92,38,5,0,0,70,5,0,224,86,5,0,246,103,5,0,64,126,5,0,212,143,5,0,0,160,5,0,0,178,5,0,216,184,5,0,0,220,5,0,192,238,5,0,225,245,5,0,0,0,6,0,188,1,6,0,128,26,6,0,8,46,6,0,0,64,6,0,0,84,6,0,64,104,6,0,243,111,6,0,128,151,6,0,152,172,6,0,0,192,6,0,208,221,6,0,201,243,6,0,0,8,7,0,128,30,7,0,14,39,7,0,72,53,7,0,0,83,7,0,112,106,7,0,0,128,7,0,43,130,7,0,0,152,7,0,32,161,7,0,138,185,7,0,0,208,7,0,0,233,7,0,0,0,8,0,80,2,8,0,241,27,8,0,96,61,8,0,190,87,8,0,0,112,8,0,0,139,8,0,68,149,8,0,0,202,8,0,32,230,8,0,0,0,9,0,154,2,9,0,192,39,9,0,12,69,9,0,0,96,9,0,0,126,9,0,104,137,9,0,96,156,9,0,0,196,9,0,64,227,9,0,0,0,10,0,228,2,10,0,0,32,10,0,184,76,10,0,0,140,10,0,192,173,10,0,149,186,10,0,236,207,10,0,128,252,10,0,168,31,11,0,0,64,11,0,0,100,11,0,176,113,11,0,79,150,11,0,0,184,11,0,128,221,11,0,194,235,11,0,0,0,12,0,120,3,12,0,0,53,12,0,16,92,12,0,0,128,12,0,157,131,12,0,0,168,12,0,128,208,12,0,230,223,12,0,0,47,13,0,48,89,13,0,0,128,13,0,231,131,13,0,160,187,13,0,146,231,13,0,0,16,14,0,0,61,14,0,28,78,14,0,144,106,14,0,0,166,14,0,224,212,14,0,0,0,15,0,86,4,15,0,0,48,15,0,64,66,15,0,20,115,15,0,0,160,15,0,0,210,15,0,0,0,16,0,160,4,16,0,226,55,16,0,192,122,16,0,124,175,16,0,0,224,16,0,0,22,17,0,136,42,17,0,0,148,17,0,64,204,17,0,163,225,17,0,0,0,18,0,52,5,18,0,128,79,18,0,24,138,18,0,0,192,18,0,0,252,18,0,208,18,19,0,192,56,19,0,217,79,19,0,0,136,19,0,128,198,19,0,0,0,20,0,200,5,20,0,0,64,20,0,112,153,20,0,91,219,20,0,0,24,21,0,128,91,21,0,42,117,21,0,216,159,21,0,0,249,21,0,80,63,22,0,0,128,22,0,129,134,22,0,0,200,22,0,96,227,22,0,158,44,23,0,0,112,23,0,0,187,23,0,132,215,23,0,0,0,24,0,240,6,24,0,211,83,24,0,0,106,24,0,32,184,24,0,0,0,25,0,58,7,25,0,0,80,25,0,0,161,25,0,204,191,25,0,0,94,26,0,96,178,26,0,0,0,27,0,206,7,27,0,64,119,27,0,36,207,27,0,0,32,28,0,0,122,28,0,56,156,28,0,32,213,28,0,0,76,29,0,192,169,29,0,101,205,29,0,0,0,30,0,172,8,30,0,0,96,30,0,128,132,30,0,40,230,30,0,0,64,31,0,0,164,31,0,0,0,32,0,64,9,32,0,191,47,32,0,196,111,32,0,128,245,32,0,248,94,33,0,0,192,33,0,0,44,34,0,16,85,34,0,237,194,34,0,0,40,35,0,128,152,35,0,70,195,35,0,0,0,36,0,104,10,36,0,0,159,36,0,48,20,37,0,0,128,37,0,215,138,37,0,0,248,37,0,160,37,38,0,128,113,38,0,178,159,38,0,0,16,39,0,0,141,39,0,0,0,40,0,144,11,40,0,0,128,40,0,181,139,40,0,224,50,41,0,182,182,41,0,0,48,42,0,0,183,42,0,84,234,42,0,176,63,43,0,0,242,43,0,160,126,44,0,0,0,45,0,2,13,45,0,0,144,45,0,192,198,45,0,60,89,46,0,0,224,46,0,0,118,47,0,8,175,47,0,0,0,48,0,224,13,48,0,166,167,48,0,0,212,48,0,64,112,49,0,0,0,50,0,116,14,50,0,0,160,50,0,0,66,51,0,152,127,51,0,0,188,52,0,192,100,53,0,233,164,53,0,0,0,54,0,156,15,54,0,128,238,54,0,72,158,55,0,0,64,56,0,0,244,56,0,112,56,57,0,64,170,57,0,139,239,57,0,0,152,58,0,128,83,59,0,202,154,59,0,0,0,60,0,88,17,60,0,0,192,60,0,0,9,61,0,80,204,61,0,0,128,62,0,17,146,62,0,0,72,63,0,0,0,64,0,128,18,64,0,126,95,64,0,136,223,64,0,0,235,65,0,240,189,66,0,0,128,67,0,131,147,67,0,0,88,68,0,32,170,68,0,218,133,69,0,0,80,70,0,0,49,71,0,140,134,71,0,0,0,72,0,208,20,72,0,121,251,72,0,0,62,73,0,96,40,74,0,0,0,75,0,174,21,75,0,0,240,75,0,64,75,76,0,0,227,76,0,100,63,77,0,0,32,78,0,0,26,79,0,0,0,80,0,32,23,80,0,0,0,81,0,106,23,81,0,192,101,82,0,108,109,83,0,0,96,84,0,0,110,85,0,168,212,85,0,96,127,86,0,0,228,87,0,64,253,88,0,47,104,89,0,0,0,90,0,4,26,90,0,0,32,91,0,128,141,91,0,120,178,92,0,0,192,93,0,0,236,94,0,16,94,95,0,0,0,96,0,192,27,96,0,61,143,96,0,76,79,97,0,0,168,97,0,128,224,98,0,0,0,100,0,232,28,100,0,0,64,101,0,0,132,102,0,48,255,102,0,199,72,104,0,0,120,105,0,128,201,106,0,210,73,107,0,0,0,108,0,56,31,108,0,0,221,109,0,144,60,111,0,0,128,112,0,133,160,112,0,0,232,113,0,224,112,114,0,128,84,115,0,22,223,115,0,0,48,117,0,0,167,118,0,148,53,119,0,0,0,120,0,176,34,120,0,0,128,121,0,31,163,121,0,0,18,122,0,160,152,123,0,0,0,125,0,34,36,125,0,0,144,126,0,0,0,128,0,0,37,128,0,252,190,128,0,16,191,129,0,0,214,131,0,224,123,133,0,0,0,135,0,6,39,135,0,0,176,136,0,64,84,137,0,180,11,139,0,0,160,140,0,0,98,142,0,24,13,143,0,0,0,144,0,160,41,144,0,242,246,145,0,0,124,146,0,192,80,148,0,249,2,149,0,0,0,150,0,92,43,150,0,0,224,151,0,128,150,152,0,0,198,153,0,200,126,154,0,0,64,156,0,0,52,158,0,0,0,160,0,64,46,160,0,187,238,160,0,0,0,162,0,212,46,162,0,128,203,164,0,216,218,166,0,0,192,168,0,0,220,170,0,80,169,171,0,192,254,172,0,161,206,173,0,0,200,175,0,128,250,177,0,94,208,178,0,0,0,180,0,8,52,180,0,0,64,182,0,0,27,183,0,240,100,185,0,0,128,187,0,51,182,187,0,0,216,189,0,32,188,190,0,0,0,192,0,128,55,192,0,122,30,193,0,152,158,194,0,0,80,195,0,0,193,197,0,0,0,200,0,208,57,200,0,0,128,202,0,137,186,202,0,0,8,205,0,96,254,205,0,142,145,208,0,0,240,210,0,0,147,213,0,164,147,214,0,0,0,216,0,112,62,216,0,0,186,219,0,32,121,222,0,0,0,225,0,10,65,225,0,0,208,227,0,192,225,228,0,0,169,230,0,44,190,231,0,0,96,234,0,0,78,237,0,40,107,238,0,0,0,240,0,96,69,240,0,0,0,243,0,62,70,243,0,0,36,244,0,64,49,247,0,0,0,250,0,68,72,250,0,0,32,253,0,0,0,0,1,0,74,0,1,248,125,1,1,32,126,3,1,0,172,7,1,192,247,10,1,141,56,12,1,0,0,14,1,12,78,14,1,0,96,17,1,128,168,18,1,104,23,22,1,0,64,25,1,0,196,28,1,48,26,30,1,0,0,32,1,64,83,32,1,183,173,33,1,228,237,35,1,0,248,36,1,128,161,40,1,242,5,42,1,0,0,44,1,184,86,44,1,0,192,47,1,0,45,49,1,0,140,51,1,144,253,52,1,0,128,56,1,85,218,56,1,0,104,60,1,0,0,64,1,128,92,64,1,118,221,65,1,0,0,68,1,168,93,68,1,0,151,73,1,176,181,77,1,0,128,81,1,143,225,81,1,0,184,85,1,160,82,87,1,128,253,89,1,66,157,91,1,0,144,95,1,0,245,99,1,188,160,101,1,0,0,104,1,16,104,104,1,0,128,108,1,93,233,108,1,0,54,110,1,224,201,114,1,0,0,119,1,102,108,119,1,0,176,123,1,64,120,125,1,0,0,128,1,0,111,128,1,244,60,130,1,48,61,133,1,0,160,134,1,0,130,139,1,0,0,144,1,160,115,144,1,0,0,149,1,18,117,149,1,0,16,154,1,192,252,155,1,28,35,161,1,0,224,165,1,0,38,171,1,72,39,173,1,0,0,176,1,224,124,176,1,0,116,183,1,64,242,188,1,235,8,191,1,0,0,194,1,20,130,194,1,0,160,199,1,128,195,201,1,0,82,205,1,88,124,207,1,0,192,212,1,0,156,218,1,80,214,220,1,0,0,224,1,192,138,224,1,49,204,226,1,0,0,230,1,124,140,230,1,0,72,232,1,128,98,238,1,0,0,244,1,136,144,244,1,0,64,250,1,0,0,0,2,0,148,0,2,240,251,2,2,64,252,6,2,227,107,9,2,0,88,15,2,128,239,21,2,26,113,24,2,0,0,28,2,24,156,28,2,0,192,34,2,0,81,37,2,208,46,44,2,0,128,50,2,153,34,51,2,0,136,57,2,96,52,60,2,0,0,64,2,128,166,64,2,110,91,67,2,200,219,71,2,0,240,73,2,0,67,81,2,228,11,84,2,0,0,88,2,112,173,88,2,0,128,95,2,155,47,96,2,0,90,98,2,0,24,103,2,32,251,105,2,0,0,113,2,170,180,113,2,0,208,120,2,0,0,128,2,0,185,128,2,236,186,131,2,0,0,136,2,80,187,136,2,0,46,147,2,96,107,155,2,0,0,163,2,30,195,163,2,0,112,171,2,64,165,174,2,0,251,179,2,132,58,183,2,0,32,191,2,0,234,199,2,120,65,203,2,0,0,208,2,32,208,208,2,0,0,217,2,186,210,217,2,0,108,220,2,192,147,229,2,221,14,233,2,0,0,238,2,204,216,238,2,0,96,247,2,128,240,250,2,0,0,0,3,0,222,0,3,232,121,4,3,96,122,10,3,0,64,13,3,0,4,23,3,0,0,32,3,64,231,32,3,167,169,36,3,0,0,42,3,36,234,42,3,0,32,52,3,128,249,55,3,56,70,66,3,0,192,75,3,0,76,86,3,144,78,90,3,0,0,96,3,192,249,96,3,37,9,101,3,0,232,110,3,128,228,121,3,214,17,126,3,0,0,132,3,40,4,133,3,0,64,143,3,0,135,147,3,0,164,154,3,176,248,158,3,0,128,169,3,255,142,170,3,0,56,181,3,160,172,185,3,0,0,192,3,128,21,193,3,98,152,197,3,0,0,204,3,248,24,205,3,0,144,208,3,0,197,220,3,0,0,232,3,16,33,233,3,0,128,244,3,173,164,245,3,0,0,0,4,0,40,1,4,224,247,5,4,128,248,13,4,198,215,18,4,0,176,30,4,0,223,43,4,52,226,48,4,0,0,56,4,48,56,57,4,0,128,69,4,0,162,74,4,160,93,88,4,0,0,101,4,50,69,102,4,0,16,115,4,192,104,120,4,0,0,128,4,0,77,129,4,220,182,134,4,144,183,143,4,0,224,147,4,0,134,162,4,200,23,168,4,0,0,176,4,224,90,177,4,0,0,191,4,54,95,192,4,0,180,196,4,0,48,206,4,64,246,211,4,0,0,226,4,84,105,227,4,0,160,241,4,0,0,0,5,0,114,1,5,216,117,7,5,0,0,16,5,160,118,17,5,0,92,38,5,192,214,54,5,193,26,61,5,0,0,70,5,60,134,71,5,0,224,86,5,128,74,93,5,0,246,103,5,8,117,110,5,0,64,126,5,0,212,143,5,240,130,150,5,0,0,160,5,64,160,161,5,147,100,168,5,0,0,178,5,116,165,179,5,0,216,184,5,128,39,203,5,186,29,210,5,0,0,220,5,152,177,221,5,0,192,238,5,0,225,245,5,0,0,0,6,0,188,1,6,208,243,8,6,192,244,20,6,0,128,26,6,169,67,28,6,0,8,46,6,0,0,64,6,128,206,65,6,78,83,73,6,0,0,84,6,72,212,85,6,0,64,104,6,0,243,111,6,112,140,132,6,0,128,151,6,203,103,153,6,0,152,172,6,32,157,180,6,0,0,192,6,128,243,193,6,74,18,202,6,0,208,221,6,0,201,243,6,172,35,252,6,0,0,8,7,80,8,10,7,0,128,30,7,209,142,32,7,0,14,39,7,0,72,53,7,96,241,61,7,0,0,83,7,254,29,85,7,0,112,106,7,64,89,115,7,0,0,128,7,0,43,130,7,196,48,139,7,0,0,152,7,240,49,154,7,0,32,161,7,0,138,185,7,0,0,208,7,32,66,210,7,0,0,233,7,90,73,235,7,0,0,0,8,0,80,2,8,192,239,11,8,0,241,27,8,140,175,37,8,0,96,61,8,0,190,87,8,104,196,97,8,0,0,112,8,96,112,114,8,0,0,139,8,0,68,149,8,64,187,176,8,151,44,187,8,0,0,202,8,100,138,204,8,0,32,230,8,128,209,240,8,0,0,0,9,0,154,2,9,184,109,13,9,32,111,31,9,0,192,39,9,0,12,69,9,144,47,80,9,0,0,96,9,192,181,98,9,245,252,109,9,0,0,126,9,108,190,128,9,0,104,137,9,0,96,156,9,128,236,167,9,0,0,196,9,168,210,198,9,0,64,227,9,0,0,0,10,0,228,2,10,176,235,14,10,0,0,32,10,64,237,34,10,111,27,47,10,0,184,76,10,128,173,109,10,130,53,122,10,0,0,140,10,120,12,143,10,0,192,173,10,0,149,186,10,0,236,207,10,16,234,220,10,0,128,252,10,253,172,255,10,0,168,31,11,224,5,45,11,0,0,64,11,128,64,67,11,38,201,80,11,0,0,100,11,232,74,103,11,0,176,113,11,0,79,150,11,116,59,164,11,0,0,184,11,48,99,187,11,0,128,221,11,7,238,224,11,0,194,235,11,0,0,0,12,0,120,3,12,160,231,17,12,128,233,41,12,0,0,53,12,82,135,56,12,0,16,92,12,0,0,128,12,0,157,131,12,156,166,146,12,0,0,168,12,144,168,171,12,0,128,208,12,0,230,223,12,224,24,9,13,0,0,47,13,150,207,50,13,0,48,89,13,64,58,105,13,0,0,128,13,0,231,131,13,148,36,148,13,0,160,187,13,0,146,231,13,88,71,248,13,0,0,16,14,160,16,20,14,0,0,61,14,162,29,65,14,0,28,78,14,0,144,106,14,192,226,123,14,81,74,141,14,0,0,166,14,252,59,170,14,0,224,212,14,128,178,230,14,0,0,0,15,0,86,4,15,136,97,22,15,0,0,48,15,224,99,52,15,0,64,66,15,0,20,115,15,0,0,160,15,64,132,164,15,67,80,183,15,0,0,210,15,180,146,214,15,0,0,0,16,0,160,4,16,128,223,23,16,0,226,55,16,24,95,75,16,0,192,122,16,0,124,175,16,208,136,195,16,0,0,224,16,192,224,228,16,185,45,249,16,0,0,22,17,0,136,42,17,128,118,97,17,46,89,118,17,0,0,148,17,200,20,153,17,0,64,204,17,0,163,225,17,0,0,0,18,0,52,5,18,112,219,26,18,64,222,62,18,0,128,79,18,251,202,84,18,0,24,138,18,32,95,160,18,0,0,192,18,128,107,197,18,234,249,219,18,0,0,252,18,216,124,1,19,0,208,18,19,0,192,56,19,0,217,79,19,0,0,136,19,80,165,141,19,0,128,198,19,97,55,204,19,0,0,0,20,0,200,5,20,96,215,29,20,0,0,64,20,128,218,69,20,222,54,94,20,0,112,153,20,0,91,219,20,4,107,244,20,0,0,24,21,240,24,30,21,0,128,91,21,0,42,117,21,0,216,159,21,32,212,185,21,0,0,249,21,250,89,255,21,0,80,63,22,192,11,90,22,0,0,128,22,0,129,134,22,76,146,161,22,0,0,200,22,208,149,206,22,0,96,227,22,0,158,44,23,232,118,72,23,0,0,112,23,96,198,118,23,0,0,187,23,14,220,193,23,0,132,215,23,0,0,0,24,0,240,6,24,64,207,35,24,0,211,83,24,0,0,106,24,164,14,113,24,0,32,184,24,0,0,0,25,0,58,7,25,56,77,37,25,0,0,80,25,32,81,87,25,0,0,161,25,0,204,191,25,192,49,18,26,197,133,49,26,0,0,94,26,44,159,101,26,0,96,178,26,128,116,210,26,0,0,0,27,0,206,7,27,40,73,40,27,0,64,119,27,0,36,207,27,176,142,240,27,0,0,32,28,64,33,40,28,223,246,73,28,0,0,122,28,68,59,130,28,0,56,156,28,0,32,213,28,128,197,247,28,162,148,26,29,0,0,76,29,248,119,84,29,0,192,169,29,0,101,205,29,0,0,0,30,0,172,8,30,16,195,44,30,0,0,96,30,192,199,104,30,0,128,132,30,77,82,141,30,0,40,230,30,0,0,64,31,128,8,73,31,134,160,110,31,0,0,164,31,104,37,173,31,0,0,0,32,0,64,9,32,0,191,47,32,0,196,111,32,48,190,150,32,0,128,245,32,247,6,255,32,0,248,94,33,160,17,135,33,0,0,192,33,128,193,201,33,114,91,242,33,0,0,44,34,0,16,85,34,0,237,194,34,92,178,236,34,0,0,40,35,144,41,50,35,0,128,152,35,21,202,162,35,0,70,195,35,0,0,0,36,0,104,10,36,224,182,53,36,128,188,125,36,0,0,159,36,246,149,169,36,0,48,20,37,64,190,64,37,0,0,128,37,0,215,138,37,212,243,183,37,0,0,248,37,176,249,2,38,0,160,37,38,0,128,113,38,0,178,159,38,0,0,16,39,160,74,27,39,0,0,141,39,194,110,152,39,0,0,0,40,0,144,11,40,192,174,59,40,0,0,128,40,0,181,139,40,188,109,188,40,0,224,50,41,0,182,182,41,8,214,232,41,0,0,48,42,224,49,60,42,0,0,183,42,0,84,234,42,0,176,63,43,64,168,115,43,243,222,167,43,0,0,242,43,244,179,254,43,0,160,126,44,128,23,180,44,0,0,0,45,0,2,13,45,152,36,67,45,0,0,144,45,160,43,157,45,0,192,198,45,0,60,89,46,208,237,144,46,0,0,224,46,192,140,237,46,201,240,37,47,0,0,118,47,28,184,131,47,0,8,175,47,0,0,0,48,0,224,13,48,128,158,71,48,0,166,167,48,0,0,212,48,72,29,226,48,0,64,112,49,0,0,0,50,0,116,14,50,112,154,74,50,0,0,160,50,64,162,174,50,43,137,235,50,0,0,66,51,0,152,127,51,128,99,36,52,138,11,99,52,0,0,188,52,88,62,203,52,0,192,100,53,0,233,164,53,0,0,0,54,0,156,15,54,80,146,80,54,0,128,238,54,241,96,254,54,0,72,158,55,96,29,225,55,0,0,64,56,128,66,80,56,190,237,147,56,0,0,244,56,136,118,4,57,0,112,56,57,0,64,170,57,0,139,239,57,68,41,53,58,0,0,152,58,240,239,168,58,0,128,83,59,35,166,100,59,0,202,154,59,0,0,0,60,0,88,17,60,32,134,89,60,0,0,192,60,128,143,209,60,0,0,9,61,154,164,26,61,0,80,204,61,0,0,128,62,0,17,146,62,12,65,221,62,0,0,72,63,208,74,90,63,0,0,0,64,0,128,18,64,0,126,95,64,0,136,223,64,96,124,45,65,0,0,235,65,238,13,254,65,0,240,189,66,64,35,14,67,0,0,128,67,0,131,147,67,228,182,228,67,0,0,88,68,0,32,170,68,0,218,133,69,184,100,217,69,0,0,80,70,32,83,100,70,0,0,49,71,42,148,69,71,0,140,134,71,0,0,0,72,0,208,20,72,192,109,107,72,149,115,194,72,0,121,251,72,0,0,62,73],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+30720);allocate([236,43,83,73,0,96,40,74,128,124,129,74,0,0,0,75,0,174,21,75,168,231,111,75,0,0,240,75,96,243,5,76,0,64,75,76,0,0,227,76,0,100,63,77,0,0,32,78,64,149,54,78,79,145,148,78,0,0,26,79,132,221,48,79,0,0,0,80,0,32,23,80,128,93,119,80,0,0,0,81,0,106,23,81,120,219,120,81,0,192,101,82,0,108,109,83,16,172,209,83,0,0,96,84,192,99,120,84,157,228,221,84,0,0,110,85,0,168,212,85,0,96,127,86,128,80,231,86,230,189,79,87,0,0,228,87,232,103,253,87,0,64,253,88,0,47,104,89,0,0,0,90,0,4,26,90,48,73,134,90,0,0,32,91,64,87,58,91,0,128,141,91,231,246,167,91,0,120,178,92,160,219,33,93,0,0,192,93,128,25,219,93,146,225,75,94,0,0,236,94,56,112,7,95,0,16,94,95,0,0,0,96,0,192,27,96,0,61,143,96,0,76,79,97,0,0,168,97,144,58,196,97,0,128,224,98,229,20,253,98,0,0,0,100,0,232,28,100,224,52,149,100,0,0,64,101,128,68,93,101,86,18,215,101,0,0,132,102,0,48,255,102,0,199,72,104,20,23,198,104,0,0,120,105,176,124,150,105,0,128,201,106,0,210,73,107,0,0,0,108,0,56,31,108,160,36,161,108,0,0,221,109,226,193,252,109,0,144,60,111,192,58,194,111,0,0,128,112,0,133,160,112,124,219,39,113,0,0,232,113,16,237,8,114,0,224,112,114,0,128,84,115,0,22,223,115,136,82,106,116,0,0,48,117,224,223,81,117,0,0,167,118,70,76,201,118,0,148,53,119,0,0,0,120,0,176,34,120,64,12,179,120,0,0,128,121,0,31,163,121,0,0,18,122,52,73,53,122,0,160,152,123,0,0,0,125,0,34,36,125,24,130,186,125,0,0,144,126,160,149,180,126,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,232,52,8,0,200,228,2,0,255,228,2,0,64,2,0,0,1,0,0,0,232,161,0,0,0,0,0,0,32,41,0,0,14,0,0,0,15,0,0,0,1,0,0,0,1,0,0,0,3,0,0,0,2,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,16,0,0,0,17,0,0,0,7,0,0,0,8,0,0,0,18,0,0,0,2,0,0,0,216,162,0,0,100,162,0,0,0,0,0,0,48,41,0,0,14,0,0,0,16,0,0,0,3,0,0,0,9,0,0,0,3,0,0,0,2,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,16,0,0,0,17,0,0,0,10,0,0,0,8,0,0,0,18,0,0,0,2,0,0,0,0,0,0,0,64,41,0,0,14,0,0,0,17,0,0,0,4,0,0,0,11,0,0,0,3,0,0,0,2,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,16,0,0,0,17,0,0,0,10,0,0,0,8,0,0,0,18,0,0,0,2,0,0,0,168,165,0,0,28,164,0,0,88,163,0,0,0,0,0,0,80,41,0,0,14,0,0,0,18,0,0,0,5,0,0,0,12,0,0,0,3,0,0,0,2,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,13,0,0,0,4,0,0,0,14,0,0,0,6,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,1,0,0,0,16,0,0,0,19,0,0,0,10,0,0,0,8,0,0,0,18,0,0,0,2,0,0,0,236,52,8,0,179,229,2,0,255,228,2,0,250,5,0,0,1,0,0,0,240,52,8,0,4,230,2,0,255,228,2,0,241,5,0,0,1,0,0,0,244,52,8,0,92,230,2,0,255,228,2,0,222,5,0,0,1,0,0,0,248,52,8,0,193,230,2,0,255,228,2,0,203,5,0,0,1,0,0,0,0,0,0,0,96,41,0,0,14,0,0,0,19,0,0,0,6,0,0,0,15,0,0,0,3,0,0,0,2,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,3,0,0,0,16,0,0,0,5,0,0,0,17,0,0,0,1,0,0,0,3,0,0,0,2,0,0,0,2,0,0,0,20,0,0,0,21,0,0,0,10,0,0,0,8,0,0,0,18,0,0,0,2,0,0,0,252,52,8,0,51,231,2,0,255,228,2,0,27,5,0,0,1,0,0,0,8,53,8,0,83,232,2,0,255,228,2,0,37,5,0,0,1,0,0,0,188,164,0,0,0,0,0,0,112,41,0,0,14,0,0,0,20,0,0,0,7,0,0,0,18,0,0,0,3,0,0,0,2,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,1,0,0,0,4,0,0,0,2,0,0,0,3,0,0,0,16,0,0,0,17,0,0,0,10,0,0,0,8,0,0,0,18,0,0,0,2,0,0,0,0,53,8,0,133,231,2,0,255,228,2,0,112,5,0,0,1,0,0,0,4,53,8,0,218,231,2,0,255,228,2,0,99,5,0,0,1,0,0,0,12,53,8,0,159,232,2,0,255,228,2,0,16,5,0,0,1,0,0,0,16,53,8,0,246,232,2,0,255,228,2,0,6,5,0,0,1,0,0,0,20,53,8,0,79,233,2,0,255,228,2,0,252,4,0,0,1,0,0,0,24,53,8,0,176,233,2,0,255,228,2,0,243,4,0,0,1,0,0,0,0,0,0,0,128,41,0,0,14,0,0,0,21,0,0,0,8,0,0,0,19,0,0,0,3,0,0,0,2,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,1,0,0,0,5,0,0,0,2,0,0,0,1,0,0,0,16,0,0,0,22,0,0,0,10,0,0,0,8,0,0,0,18,0,0,0,2,0,0,0,28,53,8,0,31,234,2,0,255,228,2,0,177,5,0,0,1,0,0,0,32,53,8,0,109,234,2,0,255,228,2,0,169,5,0,0,1,0,0,0,36,53,8,0,208,234,2,0,255,228,2,0,254,1,0,0,1,0,0,0,40,53,8,0,28,235,2,0,255,228,2,0,244,1,0,0,1,0,0,0,44,53,8,0,98,235,2,0,255,228,2,0,234,1,0,0,1,0,0,0,48,53,8,0,179,235,2,0,255,228,2,0,192,1,0,0,1,0,0,0,52,53,8,0,25,236,2,0,255,228,2,0,182,1,0,0,1,0,0,0,56,53,8,0,108,236,2,0,255,228,2,0,129,1,0,0,1,0,0,0,60,53,8,0,212,236,2,0,255,228,2,0,119,1,0,0,1,0,0,0,64,53,8,0,47,237,2,0,255,228,2,0,86,1,0,0,1,0,0,0,68,53,8,0,143,237,2,0,255,228,2,0,76,1,0,0,1,0,0,0,72,53,8,0,229,237,2,0,255,228,2,0,43,1,0,0,1,0,0,0,0,0,0,0,144,41,0,0,14,0,0,0,22,0,0,0,9,0,0,0,20,0,0,0,3,0,0,0,2,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,16,0,0,0,17,0,0,0,10,0,0,0,8,0,0,0,18,0,0,0,2,0,0,0,0,0,0,0,160,41,0,0,14,0,0,0,23,0,0,0,10,0,0,0,21,0,0,0,3,0,0,0,2,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,1,0,0,0,6,0,0,0,2,0,0,0,1,0,0,0,16,0,0,0,17,0,0,0,10,0,0,0,8,0,0,0,18,0,0,0,2,0,0,0,76,53,8,0,92,238,2,0,255,228,2,0,75,6,0,0,1,0,0,0,12,167,0,0,80,53,8,0,244,238,2,0,255,228,2,0,126,4,0,0,1,0,0,0,88,53,8,0,25,239,2,0,255,228,2,0,159,4,0,0,1,0,0,0,92,53,8,0,55,239,2,0,255,228,2,0,95,6,0,0,1,0,0,0,96,53,8,0,86,239,2,0,255,228,2,0,104,6,0,0,1,0,0,0,100,53,8,0,122,239,2,0,255,228,2,0,114,6,0,0,1,0,0,0,104,53,8,0,173,239,2,0,255,228,2,0,129,6,0,0,1,0,0,0,108,53,8,0,222,239,2,0,255,228,2,0,138,6,0,0,1,0,0,0,112,53,8,0,11,240,2,0,255,228,2,0,156,6,0,0,1,0,0,0,116,53,8,0,59,240,2,0,255,228,2,0,165,6,0,0,1,0,0,0,120,53,8,0,103,240,2,0,255,228,2,0,183,6,0,0,1,0,0,0,124,53,8,0,150,240,2,0,255,228,2,0,192,6,0,0,1,0,0,0,128,53,8,0,162,241,2,0,95,241,2,0,97,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,3,0,0,0,3,0,0,0,4,0,0,0,0,0,0,0,132,53,8,0,37,242,2,0,95,241,2,0,52,1,0,0,1,0,0,0,136,53,8,0,166,242,2,0,95,241,2,0,166,1,0,0,1,0,0,0,160,53,8,0,37,246,2,0,49,243,2,0,231,0,0,0,1,0,0,0,156,53,8,0,217,245,2,0,49,243,2,0,98,0,0,0,1,0,0,0,0,0,0,0,208,41,0,0,24,0,0,0,25,0,0,0,1,0,0,0,0,0,0,0,192,41,0,0,24,0,0,0,26,0,0,0,2,0,0,0,0,0,0,0,176,41,0,0,24,0,0,0,27,0,0,0,3,0,0,0,144,53,8,0,78,244,2,0,49,243,2,0,177,0,0,0,1,0,0,0,148,53,8,0,221,244,2,0,49,243,2,0,177,0,0,0,1,0,0,0,152,53,8,0,106,245,2,0,49,243,2,0,71,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,0,0,0,0,164,53,8,0,193,246,2,0,131,246,2,0,88,2,0,0,1,0,0,0,168,53,8,0,44,248,2,0,247,246,2,0,116,1,0,0,1,0,0,0,172,53,8,0,114,248,2,0,247,246,2,0,124,1,0,0,1,0,0,0,176,53,8,0,183,248,2,0,247,246,2,0,132,1,0,0,1,0,0,0,180,53,8,0,253,248,2,0,247,246,2,0,140,1,0,0,1,0,0,0,184,53,8,0,55,249,2,0,247,246,2,0,148,1,0,0,1,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,0,0,0,0,188,53,8,0,105,249,2,0,247,246,2,0,155,1,0,0,1,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,0,0,0,0,192,53,8,0,155,249,2,0,247,246,2,0,162,1,0,0,1,0,0,0,196,53,8,0,213,249,2,0,247,246,2,0,170,1,0,0,1,0,0,0,200,53,8,0,181,251,2,0,247,246,2,0,156,3,0,0,1,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,0,0,0,0,204,53,8,0,248,251,2,0,247,246,2,0,164,3,0,0,1,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,25,0,0,0,26,0,0,0,27,0,0,0,28,0,0,0,0,0,0,0,208,53,8,0,64,252,2,0,247,246,2,0,224,3,0,0,1,0,0,0,29,0,0,0,30,0,0,0,31,0,0,0,32,0,0,0,33,0,0,0,34,0,0,0,35,0,0,0,0,0,0,0,212,53,8,0,118,252,2,0,247,246,2,0,21,4,0,0,1,0,0,0,36,0,0,0,37,0,0,0,38,0,0,0,39,0,0,0,40,0,0,0,41,0,0,0,42,0,0,0,0,0,0,0,216,53,8,0,186,252,2,0,247,246,2,0,30,4,0,0,1,0,0,0,43,0,0,0,44,0,0,0,45,0,0,0,46,0,0,0,47,0,0,0,48,0,0,0,49,0,0,0,0,0,0,0,220,53,8,0,252,252,2,0,247,246,2,0,38,4,0,0,1,0,0,0,50,0,0,0,51,0,0,0,52,0,0,0,53,0,0,0,54,0,0,0,55,0,0,0,56,0,0,0,0,0,0,0,224,53,8,0,50,253,2,0,247,246,2,0,67,4,0,0,1,0,0,0,57,0,0,0,58,0,0,0,59,0,0,0,60,0,0,0,61,0,0,0,62,0,0,0,63,0,0,0,0,0,0,0,228,53,8,0,153,254,2,0,247,246,2,0,207,4,0,0,1,0,0,0,64,0,0,0,65,0,0,0,66,0,0,0,67,0,0,0,68,0,0,0,69,0,0,0,70,0,0,0,0,0,0,0,232,53,8,0,205,255,2,0,247,246,2,0,224,6,0,0,1,0,0,0,71,0,0,0,72,0,0,0,73,0,0,0,74,0,0,0,75,0,0,0,76,0,0,0,77,0,0,0,0,0,0,0,236,53,8,0,79,0,3,0,15,0,3,0,34,1,0,0,1,0,0,0,22,0,0,0,22,0,0,0,23,0,0,0,23,0,0,0,24,0,0,0,24,0,0,0,25,0,0,0,0,0,0,0,240,53,8,0,181,0,3,0,15,0,3,0,134,1,0,0,1,0,0,0,244,53,8,0,138,1,3,0,62,1,3,0,50,0,0,0,1,0,0,0,248,53,8,0,193,1,3,0,62,1,3,0,86,0,0,0,1,0,0,0,252,53,8,0,68,2,3,0,62,1,3,0,95,0,0,0,5,0,0,0,0,54,8,0,123,2,3,0,62,1,3,0,131,0,0,0,1,0,0,0,4,54,8,0,192,2,3,0,62,1,3,0,182,0,0,0,1,0,0,0,8,54,8,0,253,2,3,0,62,1,3,0,229,0,0,0,1,0,0,0,12,54,8,0,131,3,3,0,62,1,3,0,239,1,0,0,1,0,0,0,0,0,0,0,23,0,0,0,24,0,0,0,25,0,0,0,26,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,0,0,0,16,54,8,0,220,3,3,0,62,1,3,0,31,2,0,0,1,0,0,0,20,54,8,0,164,4,3,0,62,1,3,0,199,3,0,0,1,0,0,0,24,54,8,0,6,5,3,0,62,1,3,0,127,5,0,0,1,0,0,0,33,0,0,0,34,0,0,0,35,0,0,0,36,0,0,0,37,0,0,0,38,0,0,0,39,0,0,0,0,0,0,0,28,54,8,0,209,5,3,0,145,5,3,0,26,1,0,0,1,0,0,0,26,0,0,0,26,0,0,0,27,0,0,0,27,0,0,0,28,0,0,0,28,0,0,0,29,0,0,0,0,0,0,0,32,54,8,0,6,6,3,0,145,5,3,0,174,1,0,0,1,0,0,0,14,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,0,0,0,0,21,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,0,0,0,0,36,60,8,0,180,8,3,0,68,6,3,0,16,3,0,0,1,0,0,0,40,60,8,0,237,8,3,0,68,6,3,0,23,3,0,0,1,0,0,0,44,60,8,0,28,13,3,0,221,12,3,0,116,2,0,0,1,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,0,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,0,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,25,0,0,0,26,0,0,0,27,0,0,0,28,0,0,0,0,0,0,0,48,60,8,0,49,14,3,0,221,12,3,0,66,4,0,0,1,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,0,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,0,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,96,42,0,0,28,0,0,0,29,0,0,0,1,0,0,0,4,0,0,0,184,60,8,0,40,16,3,0,130,14,3,0,107,3,0,0,1,0,0,0,180,60,8,0,231,15,3,0,130,14,3,0,210,3,0,0,1,0,0,0,188,60,8,0,81,16,3,0,130,14,3,0,19,4,0,0,1,0,0,0,192,60,8,0,65,17,3,0,110,17,3,0,14,0,0,0,1,0,0,0,196,60,8,0,182,17,3,0,110,17,3,0,22,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,0,0,0,0,8,0,0,0,1,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,0,0,0,0,14,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,0,0,0,0,21,0,0,0,22,0,0,0,23,0,0,0,16,0,0,0,24,0,0,0,25,0,0,0,26,0,0,0,0,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,30,0,0,0,31,0,0,0,32,0,0,0,33,0,0,0,0,0,0,0,34,0,0,0,35,0,0,0,36,0,0,0,37,0,0,0,38,0,0,0,31,0,0,0,39,0,0,0,0,0,0,0,40,0,0,0,41,0,0,0,42,0,0,0,43,0,0,0,44,0,0,0,45,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,60,8,0,62,18,3,0,252,17,3,0,161,1,0,0,1,0,0,0,204,60,8,0,214,18,3,0,252,17,3,0,217,1,0,0,1,0,0,0,0,0,0,0,128,42,0,0,2,0,0,0,3,0,0,0,5,0,0,0,30,0,0,0,31,0,0,0,32,0,0,0,220,60,8,0,132,20,3,0,67,20,3,0,88,0,0,0,1,0,0,0,0,0,0,0,152,42,0,0,33,0,0,0,34,0,0,0,1,0,0,0,1,0,0,0,6,0,0,0,40,0,0,0,7,0,0,0,47,0,0,0,48,0,0,0,1,0,0,0,11,0,0,0,49,0,0,0,50,0,0,0,51,0,0,0,52,0,0,0,53,0,0,0,54,0,0,0,55,0,0,0,0,0,0,0,56,0,0,0,57,0,0,0,58,0,0,0,59,0,0,0,60,0,0,0,61,0,0,0,62,0,0,0,0,0,0,0,63,0,0,0,64,0,0,0,65,0,0,0,66,0,0,0,67,0,0,0,68,0,0,0,69,0,0,0,0,0,0,0,70,0,0,0,71,0,0,0,72,0,0,0,73,0,0,0,74,0,0,0,75,0,0,0,76,0,0,0,0,0,0,0,77,0,0,0,78,0,0,0,79,0,0,0,80,0,0,0,81,0,0,0,82,0,0,0,83,0,0,0,0,0,0,0,84,0,0,0,85,0,0,0,86,0,0,0,87,0,0,0,88,0,0,0,89,0,0,0,90,0,0,0,0,0,0,0,91,0,0,0,92,0,0,0,93,0,0,0,94,0,0,0,95,0,0,0,96,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,60,8,0,68,25,3,0,252,24,3,0,159,1,0,0,1,0,0,0,98,0,0,0,99,0,0,0,100,0,0,0,101,0,0,0,102,0,0,0,103,0,0,0,104,0,0,0,0,0,0,0,228,60,8,0,174,25,3,0,252,24,3,0,31,2,0,0,1,0,0,0,0,0,0,0,168,42,0,0,35,0,0,0,36,0,0,0,4,0,0,0,0,0,0,0,184,42,0,0,37,0,0,0,38,0,0,0,1,0,0,0,1,0,0,0,64,0,0,0,0,0,0,0,56,43,0,0,39,0,0,0,40,0,0,0,56,0,0,0,248,255,255,255,56,43,0,0,41,0,0,0,42,0,0,0,192,255,255,255,192,255,255,255,56,43,0,0,43,0,0,0,44,0,0,0,0,0,0,0,40,43,0,0,49,0,0,0,50,0,0,0,8,0,0,0,1,0,0,0,5,0,0,0,30,0,0,0,5,0,0,0,6,0,0,0,2,0,0,0,7,0,0,0,8,0,0,0,12,0,0,0,3,0,0,0,13,0,0,0,64,180,0,0,244,42,0,0,204,42,0,0,224,42,0,0,132,45,0,0,152,45,0,0,28,43,0,0,8,43,0,0,104,180,0,0,84,180,0,0,92,171,17,0,0,0,0,0,72,43,0,0,57,0,0,0,58,0,0,0,9,0,0,0,9,0,0,0,0,0,0,0,96,43,0,0,59,0,0,0,60,0,0,0,10,0,0,0,10,0,0,0,16,69,8,0,82,53,3,0,19,53,3,0,109,0,0,0,1,0,0,0,20,69,8,0,14,54,3,0,19,53,3,0,19,3,0,0,1,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,25,0,0,0,26,0,0,0,27,0,0,0,28,0,0,0,0,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,24,69,8,0,84,54,3,0,110,54,3,0,105,0,0,0,1,0,0,0,28,69,8,0,12,55,3,0,110,54,3,0,148,0,0,0,1,0,0,0,32,69,8,0,157,55,3,0,110,54,3,0,14,1,0,0,1,0,0,0,36,69,8,0,106,56,3,0,110,54,3,0,51,2,0,0,1,0,0,0,40,69,8,0,187,56,3,0,110,54,3,0,154,2,0,0,1,0,0,0,44,69,8,0,229,56,3,0,110,54,3,0,187,2,0,0,1,0,0,0,48,69,8,0,11,57,3,0,110,54,3,0,181,4,0,0,1,0,0,0,31,0,0,0,32,0,0,0,33,0,0,0,34,0,0,0,35,0,0,0,36,0,0,0,37,0,0,0,0,0,0,0,52,69,8,0,57,57,3,0,110,54,3,0,76,5,0,0,1,0,0,0,56,69,8,0,168,57,3,0,110,54,3,0,163,5,0,0,1,0,0,0,60,69,8,0,6,58,3,0,110,54,3,0,46,6,0,0,1,0,0,0,64,69,8,0,228,58,3,0,110,54,3,0,203,6,0,0,1,0,0,0,68,69,8,0,120,59,3,0,110,54,3,0,94,7,0,0,1,0,0,0,72,69,8,0,171,59,3,0,198,59,3,0,74,3,0,0,1,0,0,0,56,0,0,0,0,0,0,0,160,45,0,0,65,0,0,0,66,0,0,0,200,255,255,255,200,255,255,255,160,45,0,0,67,0,0,0,68,0,0,0,152,182,0,0,132,45,0,0,152,45,0,0,172,182,0,0,0,0,0,0,105,0,0,0,106,0,0,0,107,0,0,0,108,0,0,0,0,0,0,0,109,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,0,0,0,76,69,8,0,219,60,3,0,156,60,3,0,239,0,0,0,1,0,0,0,84,69,8,0,139,61,3,0,156,60,3,0,108,1,0,0,1,0,0,0,80,69,8,0,95,61,3,0,156,60,3,0,164,1,0,0,1,0,0,0,88,69,8,0,90,62,3,0,156,60,3,0,10,2,0,0,1,0,0,0,92,69,8,0,160,62,3,0,156,60,3,0,234,2,0,0,1,0,0,0,96,69,8,0,3,63,3,0,156,60,3,0,98,3,0,0,1,0,0,0,100,69,8,0,239,63,3,0,156,60,3,0,161,4,0,0,1,0,0,0,152,73,3,0,152,73,3,0,138,191,17,0,138,191,17,0,157,73,3,0,161,73,3,0,157,73,3,0,165,73,3,0,124,69,8,0,210,74,3,0,250,64,3,0,166,12,0,0,1,0,0,0,0,0,0,195,0,0,254,194,0,0,252,194,0,0,250,194,0,0,248,194,0,0,246,194,0,0,244,194,0,0,242,194,0,0,240,194,0,0,238,194,0,0,236,194,0,0,234,194,0,0,232,194,0,0,230,194,0,0,228,194,0,0,226,194,0,0,224,194,0,0,222,194,0,0,220,194,0,0,218,194,0,0,216,194,0,0,214,194,0,0,212,194,0,0,210,194,0,0,208,194,0,0,206,194,0,0,204,194,0,0,202,194,0,0,200,194,0,0,198,194,0,0,196,194,0,0,194,194,0,0,192,194,0,0,190,194,0,0,188,194,0,0,186,194,0,0,184,194,0,0,182,194,0,0,180,194,0,0,178,194,0,0,176,194,0,0,174,194,0,0,172,194,0,0,170,194,0,0,168,194,0,0,166,194,0,0,164,194,0,0,162,194,0,0,160,194,0,0,158,194,0,0,156,194,0,0,154,194,0,0,152,194,0,0,150,194,0,0,148,194,0,0,146,194,0,0,144,194,0,0,142,194,0,0,140,194,0,0,138,194,0,0,136,194,0,0,134,194,0,0,132,194,0,0,130,194,0,0,128,194,0,0,124,194,0,0,120,194,0,0,116,194,0,0,112,194,0,0,108,194,0,0,104,194,0,0,100,194,0,0,96,194,0,0,92,194,0,0,88,194,0,0,84,194,0,0,80,194,0,0,76,194,0,0,72,194,0,0,68,194,0,0,64,194,0,0,60,194,0,0,56,194,0,0,52,194,0,0,48,194,0,0,44,194,0,0,40,194,0,0,36,194,0,0,32,194,0,0,28,194,0,0,24,194,0,0,20,194,0,0,16,194,0,0,12,194,0,0,8,194,0,0,4,194,0,0,0,194,0,0,248,193,0,0,240,193,0,0,232,193,0,0,224,193,0,0,216,193,0,0,208,193,0,0,200,193,0,0,192,193,0,0,184,193,0,0,176,193,0,0,168,193,0,0,160,193,0,0,152,193,0,0,144,193,0,0,136,193,0,0,128,193,0,0,112,193,0,0,96,193,0,0,80,193,0,0,64,193,0,0,48,193,0,0,32,193,0,0,16,193,0,0,0,193,0,0,224,192,0,0,192,192,0,0,160,192,0,0,128,192,0,0,64,192,0,0,0,192,0,0,128,191,0,0,0,0,0,0,128,63,0,0,0,64,0,0,64,64,0,0,128,64,0,0,160,64,0,0,192,64,0,0,224,64,0,0,0,65,0,0,16,65,0,0,32,65,0,0,48,65,0,0,64,65,0,0,80,65,0,0,96,65,0,0,112,65,0,0,128,65,0,0,136,65,0,0,144,65,0,0,152,65,0,0,160,65,0,0,168,65,0,0,176,65,0,0,184,65,0,0,192,65,0,0,200,65,0,0,208,65,0,0,216,65,0,0,224,65,0,0,232,65,0,0,240,65,0,0,248,65,0,0,0,66,0,0,4,66,0,0,8,66,0,0,12,66,0,0,16,66,0,0,20,66,0,0,24,66,0,0,28,66,0,0,32,66,0,0,36,66,0,0,40,66,0,0,44,66,0,0,48,66,0,0,52,66,0,0,56,66,0,0,60,66,0,0,64,66,0,0,68,66,0,0,72,66,0,0,76,66,0,0,80,66,0,0,84,66,0,0,88,66,0,0,92,66,0,0,96,66,0,0,100,66,0,0,104,66,0,0,108,66,0,0,112,66,0,0,116,66,0,0,120,66,0,0,124,66,0,0,128,66,0,0,130,66,0,0,132,66,0,0,134,66,0,0,136,66,0,0,138,66,0,0,140,66,0,0,142,66,0,0,144,66,0,0,146,66,0,0,148,66,0,0,150,66,0,0,152,66,0,0,154,66,0,0,156,66,0,0,158,66,0,0,160,66,0,0,162,66,0,0,164,66,0,0,166,66,0,0,168,66,0,0,170,66,0,0,172,66,0,0,174,66,0,0,176,66,0,0,178,66,0,0,180,66,0,0,182,66,0,0,184,66,0,0,186,66,0,0,188,66,0,0,190,66,0,0,192,66,0,0,194,66,0,0,196,66,0,0,198,66,0,0,200,66,0,0,202,66,0,0,204,66,0,0,206,66,0,0,208,66,0,0,210,66,0,0,212,66,0,0,214,66,0,0,216,66,0,0,218,66,0,0,220,66,0,0,222,66,0,0,224,66,0,0,226,66,0,0,228,66,0,0,230,66,0,0,232,66,0,0,234,66,0,0,236,66,0,0,238,66,0,0,240,66,0,0,242,66,0,0,244,66,0,0,246,66,0,0,248,66,0,0,250,66,0,0,252,66,0,0,254,66,0,0,0,67,0,0,1,67,0,0,2,67,0,0,3,67,0,0,4,67,0,0,5,67,0,0,6,67,0,0,7,67,0,0,8,67,0,0,9,67,0,0,10,67,0,0,11,67,0,0,12,67,0,0,13,67,0,0,14,67,0,0,15,67,0,0,16,67,0,0,17,67,0,0,18,67,0,0,19,67,0,0,20,67,0,0,21,67,0,0,22,67,0,0,23,67,0,0,24,67,0,0,25,67,0,0,26,67,0,0,27,67,0,0,28,67,0,0,29,67,0,0,30,67,0,0,31,67,0,0,32,67,0,0,33,67,0,0,34,67,0,0,35,67,0,0,36,67,0,0,37,67,0,0,38,67,0,0,39,67,0,0,40,67,0,0,41,67,0,0,42,67,0,0,43,67,0,0,44,67,0,0,45,67,0,0,46,67,0,0,47,67,0,0,48,67,0,0,49,67,0,0,50,67,0,0,51,67,0,0,52,67,0,0,53,67,0,0,54,67,0,0,55,67,0,0,56,67,0,0,57,67,0,0,58,67,0,0,59,67,0,0,60,67,0,0,61,67,0,0,62,67,0,0,63,67,0,0,64,67,0,0,65,67,0,0,66,67,0,0,67,67,0,0,68,67,0,0,69,67,0,0,70,67,0,0,71,67,0,0,72,67,0,0,73,67,0,0,74,67,0,0,75,67,0,0,76,67,0,0,77,67,0,0,78,67,0,0,79,67,0,0,80,67,0,0,81,67,0,0,82,67,0,0,83,67,0,0,84,67,0,0,85,67,0,0,86,67,0,0,87,67,0,0,88,67,0,0,89,67,0,0,90,67,0,0,91,67,0,0,92,67,0,0,93,67,0,0,94,67,0,0,95,67,0,0,96,67,0,0,97,67,0,0,98,67,0,0,99,67,0,0,100,67,0,0,101,67,0,0,102,67,0,0,103,67,0,0,104,67,0,0,105,67,0,0,106,67,0,0,107,67,0,0,108,67,0,0,109,67,0,0,110,67,0,0,111,67,0,0,112,67,0,0,113,67,0,0,114,67,0,0,115,67,0,0,116,67,0,0,117,67,0,0,118,67,0,0,119,67,0,0,120,67,0,0,121,67,0,0,122,67,0,0,123,67,0,0,124,67,0,0,125,67,0,0,126,67,0,0,127,67,128,69,8,0,93,80,3,0,200,79,3,0,252,2,0,0,1,0,0,0,140,69,8,0,154,82,3,0,200,79,3,0,74,3,0,0,1,0,0,0,136,69,8,0,69,82,3,0,200,79,3,0,17,6,0,0,1,0,0,0,132,69,8,0,251,80,3,0,200,79,3,0,121,5,0,0,1,0,0,0,144,69,8,0,158,83,3,0,200,79,3,0,78,4,0,0,1,0,0,0,158,83,3,0,200,79,3,0,90,4,0,0,0,0,0,0,215,83,3,0,252,83,3,0,3,84,3,0,0,0,0,0,168,46,0,0,69,0,0,0,70,0,0,0,41,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,0,0,0,0,152,46,0,0,5,0,0,0,71,0,0,0,72,0,0,0,0,0,0,0,136,46,0,0,69,0,0,0,73,0,0,0,42,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,0,0,0,0,120,46,0,0,5,0,0,0,74,0,0,0,75,0,0,0,0,0,0,0,104,46,0,0,69,0,0,0,76,0,0,0,43,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,0,0,0,0,88,46,0,0,5,0,0,0,77,0,0,0,78,0,0,0,0,0,0,0,72,46,0,0,69,0,0,0,79,0,0,0,44,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,0,0,0,0,56,46,0,0,5,0,0,0,80,0,0,0,81,0,0,0,0,0,0,0,40,46,0,0,69,0,0,0,82,0,0,0,45,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,0,0,0,0,24,46,0,0,5,0,0,0,83,0,0,0,84,0,0,0,0,0,0,0,216,45,0,0,69,0,0,0,85,0,0,0,46,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,0,0,0,0,200,45,0,0,5,0,0,0,86,0,0,0,87,0,0,0,0,0,0,0,232,45,0,0,5,0,0,0,88,0,0,0,89,0,0,0,0,0,0,0,248,45,0,0,11,0,0,0,90,0,0,0,91,0,0,0,92,0,0,0,85,86,3,0,91,86,3,0,96,86,3,0,103,86,3,0,222,96,7,0,109,86,3,0,117,86,3,0,215,96,7,0,148,69,8,0,208,88,3,0,143,88,3,0,237,2,0,0,1,0,0,0,115,0,0,0,116,0,0,0,117,0,0,0,118,0,0,0,119,0,0,0,120,0,0,0,121,0,0,0,0,0,0,0,152,69,8,0,56,89,3,0,143,88,3,0,53,3,0,0,1,0,0,0,172,69,8,0,87,95,3,0,22,95,3,0,131,3,0,0,1,0,0,0,176,69,8,0,145,97,3,0,22,95,3,0,36,8,0,0,1,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,0,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,0,0,0,0,180,69,8,0,19,98,3,0,22,95,3,0,216,8,0,0,1,0,0,0,184,69,8,0,139,98,3,0,22,95,3,0,107,9,0,0,1,0,0,0,188,69,8,0,90,99,3,0,22,95,3,0,65,11,0,0,1,0,0,0,192,69,8,0,211,99,3,0,22,95,3,0,217,12,0,0,1,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,0,0,0,0,196,69,8,0,79,100,3,0,6,100,3,0,39,1,0,0,1,0,0,0,14,0,0,0,14,0,0,0,15,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,184,46,0,0,93,0,0,0,94,0,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,200,69,8,0,122,100,3,0,179,100,3,0,82,0,0,0,1,0,0,0,204,69,8,0,247,100,3,0,179,100,3,0,73,0,0,0,1,0,0,0,208,69,8,0,50,101,3,0,179,100,3,0,55,0,0,0,1,0,0,0,212,69,8,0,102,101,3,0,179,100,3,0,50,0,0,0,1,0,0,0,216,69,8,0,136,101,3,0,179,100,3,0,88,0,0,0,1,0,0,0,220,69,8,0,193,101,3,0,27,102,3,0,152,0,0,0,1,0,0,0,224,69,8,0,105,102,3,0,27,102,3,0,158,0,0,0,1,0,0,0,228,69,8,0,198,102,3,0,27,102,3,0,185,0,0,0,1,0,0,0,232,69,8,0,27,103,3,0,27,102,3,0,218,0,0,0,1,0,0,0,236,69,8,0,115,103,3,0,27,102,3,0,252,0,0,0,1,0,0,0,240,69,8,0,183,103,3,0,27,102,3,0,25,1,0,0,1,0,0,0,244,69,8,0,253,103,3,0,27,102,3,0,52,1,0,0,1,0,0,0,248,69,8,0,62,104,3,0,27,102,3,0,81,1,0,0,1,0,0,0,252,69,8,0,129,104,3,0,27,102,3,0,171,1,0,0,1,0,0,0,0,70,8,0,193,104,3,0,27,102,3,0,28,2,0,0,1,0,0,0,4,70,8,0,3,105,3,0,27,102,3,0,162,2,0,0,1,0,0,0,8,70,8,0,67,105,3,0,27,102,3,0,233,2,0,0,1,0,0,0,12,70,8,0,133,105,3,0,209,105,3,0,16,0,0,0,1,0,0,0,16,70,8,0,35,106,3,0,209,105,3,0,26,0,0,0,1,0,0,0,20,70,8,0,114,106,3,0,209,105,3,0,44,0,0,0,1,0,0,0,24,70,8,0,185,106,3,0,209,105,3,0,56,0,0,0,1,0,0,0,28,70,8,0,3,107,3,0,209,105,3,0,69,0,0,0,1,0,0,0,32,70,8,0,57,107,3,0,209,105,3,0,81,0,0,0,1,0,0,0,36,70,8,0,113,107,3,0,209,105,3,0,93,0,0,0,1,0,0,0,40,70,8,0,164,107,3,0,209,105,3,0,104,0,0,0,1,0,0,0,44,70,8,0,217,107,3,0,209,105,3,0,114,0,0,0,1,0,0,0,48,70,8,0,11,108,3,0,209,105,3,0,125,0,0,0,1,0,0,0,52,70,8,0,63,108,3,0,209,105,3,0,136,0,0,0,1,0,0,0,56,70,8,0,113,108,3,0,209,105,3,0,147,0,0,0,1,0,0,0,72,109,3,0,78,109,3,0,84,109,3,0,91,109,3,0,98,109,3,0,105,109,3,0,112,109,3,0,119,109,3,0,166,109,3,0,154,252,7,0,188,252,7,0,163,252,7,0,85,252,7,0,157,252,7,0,87,252,7,0,201,109,3,0,216,109,3,0,225,109,3,0,238,109,3,0,4,110,3,0,14,110,3,0,39,110,3,0,60,0,0,0,0,0,0,0,232,46,0,0,96,0,0,0,97,0,0,0,196,255,255,255,196,255,255,255,232,46,0,0,98,0,0,0,99,0,0,0,48,196,0,0,204,46,0,0,224,46,0,0,68,196,0,0,0,0,0,0,248,46,0,0,100,0,0,0,101,0,0,0,7,0,0,0,13,0,0,0,102,0,0,0,18,0,0,0,68,70,8,0,118,132,3,0,198,132,3,0,59,0,0,0,1,0,0,0,0,0,0,0,0,47,0,0,5,0,0,0,103,0,0,0,104,0,0,0,72,70,8,0,241,133,3,0,48,134,3,0,75,0,0,0,1,0,0,0,76,70,8,0,120,134,3,0,48,134,3,0,86,0,0,0,1,0,0,0,80,70,8,0,185,134,3,0,48,134,3,0,175,0,0,0,1,0,0,0,84,70,8,0,255,134,3,0,48,134,3,0,184,0,0,0,1,0,0,0,88,70,8,0,71,135,3,0,48,134,3,0,40,1,0,0,1,0,0,0,92,70,8,0,148,135,3,0,48,134,3,0,50,1,0,0,1,0,0,0,132,70,8,0,202,154,3,0,59,154,3,0,131,0,0,0,1,0,0,0,136,70,8,0,105,155,3,0,59,154,3,0,14,1,0,0,1,0,0,0,0,0,0,0,16,47,0,0,24,0,0,0,105,0,0,0,19,0,0,0,140,70,8,0,202,158,3,0,15,156,3,0,20,1,0,0,1,0,0,0,144,70,8,0,102,159,3,0,26,159,3,0,179,0,0,0,1,0,0,0,148,70,8,0,206,160,3,0,136,160,3,0,60,5,0,0,1,0,0,0,152,70,8,0,173,161,3,0,136,160,3,0,172,5,0,0,1,0,0,0,156,70,8,0,171,163,3,0,13,162,3,0,130,3,0,0,1,0,0,0,171,163,3,0,13,162,3,0,136,3,0,0,0,0,0,0,13,164,3,0,65,246,5,0,212,162,3,0,93,162,3,0,13,162,3,0,239,0,0,0,0,0,0,0,197,162,3,0,65,246,5,0,212,162,3,0,12,163,3,0,13,162,3,0,113,0,0,0,0,0,0,0,197,162,3,0,65,246,5,0,212,162,3,0,12,163,3,0,13,162,3,0,131,0,0,0,5,0,0,0,110,163,3,0,151,163,3,0,161,163,3,0,160,70,8,0,88,164,3,0,13,162,3,0,153,3,0,0,1,0,0,0,164,70,8,0,1,167,3,0,13,162,3,0,191,6,0,0,1,0,0,0,1,167,3,0,13,162,3,0,197,6,0,0,0,0,0,0,108,167,3,0,65,246,5,0,137,167,3,0,0,0,0,0,80,47,0,0,24,0,0,0,106,0,0,0,20,0,0,0,0,0,0,0,64,47,0,0,24,0,0,0,107,0,0,0,21,0,0,0,0,0,0,0,32,47,0,0,24,0,0,0,108,0,0,0,22,0,0,0,0,0,0,0,48,47,0,0,24,0,0,0,109,0,0,0,23,0,0,0,168,70,8,0,148,168,3,0,190,167,3,0,161,1,0,0,1,0,0,0,172,70,8,0,229,168,3,0,190,167,3,0,213,1,0,0,1,0,0,0,176,70,8,0,50,169,3,0,190,167,3,0,18,3,0,0,1,0,0,0,0,0,0,0,0,0,128,63,0,0,0,0,0,0,128,63,0,0,128,192,0,0,128,63,0,0,0,0,0,0,128,63,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,193,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,64,180,70,8,0,89,170,3,0,201,169,3,0,110,1,0,0,1,0,0,0,196,70,8,0,9,173,3,0,107,173,3,0,223,8,0,0,1,0,0,0,35,19,0,0,145,37,0,0,76,7,0,0,162,45,0,0,25,36,0,0,35,19,0,0,145,37,0,0,76,7,0,0,33,56,0,0,125,31,0,0,0,0,0,0,128,47,0,0,24,0,0,0,110,0,0,0,24,0,0,0,35,19,0,0,145,37,0,0,76,7,0,0,162,45,0,0,25,36,0,0,35,19,0,0,145,37,0,0,76,7,0,0,33,56,0,0,125,31,0,0,0,0,0,0,112,47,0,0,24,0,0,0,111,0,0,0,25,0,0,0,135,22,153,62,162,69,22,63,213,120,233,61,43,135,54,63,78,98,16,63,135,22,153,62,162,69,22,63,213,120,233,61,18,131,96,63],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+40960);allocate([109,231,251,62,0,0,0,0,96,47,0,0,24,0,0,0,112,0,0,0,26,0,0,0,184,70,8,0,200,170,3,0,123,90,4,0,143,1,0,0,1,0,0,0,188,70,8,0,125,171,3,0,123,90,4,0,143,1,0,0,1,0,0,0,192,70,8,0,68,172,3,0,123,90,4,0,143,1,0,0,1,0,0,0,212,70,8,0,243,175,3,0,107,173,3,0,20,9,0,0,1,0,0,0,203,89,0,0,78,210,255,255,252,233,255,255,121,113,0,0,246,72,0,0,209,218,255,255,184,230,255,255,12,130,0,0,0,0,0,0,176,47,0,0,24,0,0,0,113,0,0,0,27,0,0,0,203,89,0,0,78,210,255,255,252,233,255,255,121,113,0,0,246,72,0,0,209,218,255,255,184,230,255,255,12,130,0,0,0,0,0,0,160,47,0,0,24,0,0,0,114,0,0,0,28,0,0,0,129,149,179,63,180,200,54,191,197,32,176,190,170,241,226,63,133,235,145,63,106,188,20,191,113,61,202,190,74,12,2,64,0,0,0,0,144,47,0,0,24,0,0,0,115,0,0,0,29,0,0,0,200,70,8,0,178,173,3,0,123,90,4,0,143,1,0,0,1,0,0,0,204,70,8,0,103,174,3,0,123,90,4,0,143,1,0,0,1,0,0,0,208,70,8,0,46,175,3,0,123,90,4,0,143,1,0,0,1,0,0,0,220,70,8,0,78,178,3,0,107,173,3,0,74,9,0,0,1,0,0,0,216,70,8,0,219,177,3,0,107,173,3,0,86,9,0,0,1,0,0,0,0,0,0,0,48,48,0,0,24,0,0,0,116,0,0,0,30,0,0,0,0,0,0,0,32,48,0,0,24,0,0,0,117,0,0,0,31,0,0,0,0,0,0,0,16,48,0,0,24,0,0,0,118,0,0,0,32,0,0,0,0,0,0,0,0,48,0,0,24,0,0,0,119,0,0,0,33,0,0,0,0,0,0,0,240,47,0,0,24,0,0,0,120,0,0,0,34,0,0,0,0,0,0,0,224,47,0,0,24,0,0,0,121,0,0,0,35,0,0,0,0,0,0,0,208,47,0,0,24,0,0,0,122,0,0,0,36,0,0,0,0,0,0,0,192,47,0,0,24,0,0,0,123,0,0,0,37,0,0,0,224,70,8,0,88,179,3,0,107,173,3,0,109,9,0,0,1,0,0,0,0,0,0,0,112,48,0,0,24,0,0,0,124,0,0,0,38,0,0,0,0,0,0,0,96,48,0,0,24,0,0,0,125,0,0,0,39,0,0,0,0,0,0,0,80,48,0,0,24,0,0,0,126,0,0,0,40,0,0,0,0,0,0,0,64,48,0,0,24,0,0,0,127,0,0,0,41,0,0,0,228,70,8,0,220,179,3,0,107,173,3,0,136,9,0,0,1,0,0,0,0,0,0,0,128,48,0,0,24,0,0,0,128,0,0,0,42,0,0,0,232,70,8,0,102,182,3,0,107,173,3,0,159,9,0,0,1,0,0,0,0,0,0,0,64,49,0,0,24,0,0,0,129,0,0,0,43,0,0,0,0,0,0,0,48,49,0,0,24,0,0,0,130,0,0,0,44,0,0,0,0,0,0,0,32,49,0,0,24,0,0,0,131,0,0,0,45,0,0,0,0,0,0,0,16,49,0,0,24,0,0,0,132,0,0,0,46,0,0,0,0,0,0,0,0,49,0,0,24,0,0,0,133,0,0,0,47,0,0,0,0,0,0,0,240,48,0,0,24,0,0,0,134,0,0,0,48,0,0,0,0,0,0,0,224,48,0,0,24,0,0,0,135,0,0,0,49,0,0,0,0,0,0,0,208,48,0,0,24,0,0,0,136,0,0,0,50,0,0,0,0,0,0,0,192,48,0,0,24,0,0,0,137,0,0,0,51,0,0,0,0,0,0,0,176,48,0,0,24,0,0,0,138,0,0,0,52,0,0,0,0,0,0,0,160,48,0,0,24,0,0,0,139,0,0,0,53,0,0,0,0,0,0,0,144,48,0,0,24,0,0,0,140,0,0,0,54,0,0,0,207,182,3,0,123,90,4,0,255,0,0,0,0,0,0,0,147,105,4,0,189,105,4,0,193,105,4,0,207,182,3,0,123,90,4,0,0,1,0,0,0,0,0,0,80,105,4,0,123,105,4,0,127,105,4,0,207,182,3,0,123,90,4,0,1,1,0,0,0,0,0,0,17,105,4,0,50,105,4,0,56,105,4,0,201,183,3,0,123,90,4,0,255,0,0,0,0,0,0,0,147,105,4,0,189,105,4,0,193,105,4,0,201,183,3,0,123,90,4,0,0,1,0,0,0,0,0,0,80,105,4,0,123,105,4,0,127,105,4,0,201,183,3,0,123,90,4,0,1,1,0,0,0,0,0,0,17,105,4,0,50,105,4,0,56,105,4,0,195,184,3,0,123,90,4,0,255,0,0,0,0,0,0,0,147,105,4,0,189,105,4,0,193,105,4,0,195,184,3,0,123,90,4,0,0,1,0,0,0,0,0,0,80,105,4,0,123,105,4,0,127,105,4,0,195,184,3,0,123,90,4,0,1,1,0,0,0,0,0,0,17,105,4,0,50,105,4,0,56,105,4,0,43,186,3,0,123,90,4,0,255,0,0,0,0,0,0,0,147,105,4,0,189,105,4,0,193,105,4,0,43,186,3,0,123,90,4,0,0,1,0,0,0,0,0,0,80,105,4,0,123,105,4,0,127,105,4,0,43,186,3,0,123,90,4,0,1,1,0,0,0,0,0,0,17,105,4,0,50,105,4,0,56,105,4,0,85,187,3,0,123,90,4,0,255,0,0,0,0,0,0,0,147,105,4,0,189,105,4,0,193,105,4,0,85,187,3,0,123,90,4,0,0,1,0,0,0,0,0,0,80,105,4,0,123,105,4,0,127,105,4,0,85,187,3,0,123,90,4,0,1,1,0,0,0,0,0,0,17,105,4,0,50,105,4,0,56,105,4,0,93,188,3,0,123,90,4,0,255,0,0,0,0,0,0,0,147,105,4,0,189,105,4,0,193,105,4,0,93,188,3,0,123,90,4,0,0,1,0,0,0,0,0,0,80,105,4,0,123,105,4,0,127,105,4,0,93,188,3,0,123,90,4,0,1,1,0,0,0,0,0,0,17,105,4,0,50,105,4,0,56,105,4,0,252,82,8,0,67,192,3,0,140,189,3,0,218,4,0,0,1,0,0,0,0,0,0,0,128,49,0,0,24,0,0,0,141,0,0,0,55,0,0,0,0,0,0,0,112,49,0,0,24,0,0,0,142,0,0,0,56,0,0,0,0,0,0,0,96,49,0,0,24,0,0,0,143,0,0,0,57,0,0,0,0,0,0,0,80,49,0,0,24,0,0,0,144,0,0,0,58,0,0,0,236,70,8,0,211,189,3,0,123,90,4,0,143,1,0,0,1,0,0,0,240,70,8,0,111,190,3,0,123,90,4,0,143,1,0,0,1,0,0,0,244,70,8,0,11,191,3,0,123,90,4,0,143,1,0,0,1,0,0,0,248,82,8,0,167,191,3,0,123,90,4,0,143,1,0,0,1,0,0,0,16,83,8,0,27,195,3,0,140,189,3,0,49,5,0,0,1,0,0,0,0,0,0,0,192,49,0,0,24,0,0,0,145,0,0,0,59,0,0,0,0,0,0,0,176,49,0,0,24,0,0,0,146,0,0,0,60,0,0,0,0,0,0,0,160,49,0,0,24,0,0,0,147,0,0,0,61,0,0,0,0,0,0,0,144,49,0,0,24,0,0,0,148,0,0,0,62,0,0,0,0,83,8,0,171,192,3,0,123,90,4,0,143,1,0,0,1,0,0,0,1,0,0,0,3,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,2,0,0,0,3,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,2,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,3,0,0,0,2,0,0,0,1,0,0,0,0,0,0,0,4,83,8,0,71,193,3,0,123,90,4,0,143,1,0,0,1,0,0,0,8,83,8,0,227,193,3,0,123,90,4,0,143,1,0,0,1,0,0,0,1,0,0,0,3,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,2,0,0,0,3,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,2,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,3,0,0,0,2,0,0,0,1,0,0,0,0,0,0,0,12,83,8,0,127,194,3,0,123,90,4,0,143,1,0,0,1,0,0,0,131,195,3,0,123,90,4,0,255,0,0,0,0,0,0,0,147,105,4,0,189,105,4,0,193,105,4,0,131,195,3,0,123,90,4,0,0,1,0,0,0,0,0,0,80,105,4,0,123,105,4,0,127,105,4,0,131,195,3,0,123,90,4,0,1,1,0,0,0,0,0,0,17,105,4,0,50,105,4,0,56,105,4,0,127,196,3,0,123,90,4,0,255,0,0,0,0,0,0,0,147,105,4,0,189,105,4,0,193,105,4,0,127,196,3,0,123,90,4,0,0,1,0,0,0,0,0,0,80,105,4,0,123,105,4,0,127,105,4,0,127,196,3,0,123,90,4,0,1,1,0,0,0,0,0,0,17,105,4,0,50,105,4,0,56,105,4,0,76,83,8,0,167,199,3,0,3,200,3,0,1,16,0,0,1,0,0,0,153,6,0,0,185,5,0,0,227,2,0,0,103,3,0,0,113,11,0,0,40,1,0,0,79,0,0,0,232,1,0,0,52,15,0,0,0,0,0,0,240,49,0,0,24,0,0,0,149,0,0,0,63,0,0,0,0,0,0,0,224,49,0,0,24,0,0,0,150,0,0,0,64,0,0,0,0,0,0,0,208,49,0,0,24,0,0,0,151,0,0,0,65,0,0,0,64,83,8,0,123,197,3,0,123,90,4,0,143,1,0,0,1,0,0,0,68,83,8,0,41,198,3,0,123,90,4,0,143,1,0,0,1,0,0,0,72,83,8,0,233,198,3,0,123,90,4,0,143,1,0,0,1,0,0,0,92,83,8,0,118,202,3,0,3,200,3,0,52,16,0,0,1,0,0,0,217,51,0,0,104,231,255,255,6,248,255,255,126,240,255,255,4,30,0,0,170,0,0,0,228,0,0,0,188,252,255,255,235,16,0,0,0,0,0,0,32,50,0,0,24,0,0,0,152,0,0,0,66,0,0,0,0,0,0,0,16,50,0,0,24,0,0,0,153,0,0,0,67,0,0,0,0,0,0,0,0,50,0,0,24,0,0,0,154,0,0,0,68,0,0,0,80,83,8,0,74,200,3,0,123,90,4,0,143,1,0,0,1,0,0,0,84,83,8,0,248,200,3,0,123,90,4,0,143,1,0,0,1,0,0,0,88,83,8,0,184,201,3,0,123,90,4,0,143,1,0,0,1,0,0,0,236,83,8,0,1,207,3,0,3,200,3,0,104,16,0,0,1,0,0,0,0,0,0,0,96,50,0,0,24,0,0,0,155,0,0,0,69,0,0,0,0,0,0,0,80,50,0,0,24,0,0,0,156,0,0,0,70,0,0,0,0,0,0,0,64,50,0,0,24,0,0,0,157,0,0,0,71,0,0,0,0,0,0,0,48,50,0,0,24,0,0,0,158,0,0,0,72,0,0,0,104,83,8,0,210,202,3,0,123,90,4,0,143,1,0,0,1,0,0,0,132,83,8,0,110,203,3,0,123,90,4,0,143,1,0,0,1,0,0,0,228,83,8,0,214,204,3,0,123,90,4,0,143,1,0,0,1,0,0,0,232,83,8,0,218,205,3,0,123,90,4,0,143,1,0,0,1,0,0,0,3,0,0,0,12,84,8,0,230,209,3,0,3,200,3,0,201,16,0,0,1,0,0,0,0,0,0,0,160,50,0,0,24,0,0,0,159,0,0,0,73,0,0,0,0,0,0,0,144,50,0,0,24,0,0,0,160,0,0,0,74,0,0,0,0,0,0,0,128,50,0,0,24,0,0,0,161,0,0,0,75,0,0,0,0,0,0,0,112,50,0,0,24,0,0,0,162,0,0,0,76,0,0,0,240,83,8,0,105,207,3,0,123,90,4,0,143,1,0,0,1,0,0,0,0,84,8,0,5,208,3,0,123,90,4,0,143,1,0,0,1,0,0,0,4,84,8,0,174,208,3,0,123,90,4,0,143,1,0,0,1,0,0,0,8,84,8,0,74,209,3,0,123,90,4,0,143,1,0,0,1,0,0,0,20,84,8,0,250,213,3,0,139,211,3,0,97,3,0,0,1,0,0,0,24,84,8,0,222,214,3,0,139,211,3,0,165,4,0,0,1,0,0,0,28,84,8,0,171,215,3,0,139,211,3,0,242,5,0,0,1,0,0,0,32,84,8,0,182,216,3,0,139,211,3,0,79,7,0,0,1,0,0,0,36,84,8,0,176,217,3,0,139,211,3,0,134,7,0,0,1,0,0,0,40,84,8,0,65,218,3,0,139,211,3,0,4,13,0,0,1,0,0,0,0,0,0,0,192,50,0,0,24,0,0,0,163,0,0,0,77,0,0,0,0,0,0,0,176,50,0,0,24,0,0,0,164,0,0,0,78,0,0,0,44,84,8,0,63,219,3,0,151,218,3,0,87,2,0,0,1,0,0,0,48,84,8,0,214,219,3,0,143,219,3,0,241,1,0,0,1,0,0,0,52,84,8,0,37,220,3,0,143,219,3,0,23,2,0,0,1,0,0,0,56,84,8,0,85,220,3,0,143,219,3,0,30,2,0,0,1,0,0,0,0,0,0,0,224,50,0,0,24,0,0,0,165,0,0,0,79,0,0,0,0,0,0,0,208,50,0,0,24,0,0,0,166,0,0,0,80,0,0,0,0,0,0,0,16,51,0,0,24,0,0,0,167,0,0,0,81,0,0,0,0,0,0,0,0,51,0,0,24,0,0,0,168,0,0,0,82,0,0,0,0,0,0,0,240,50,0,0,24,0,0,0,169,0,0,0,83,0,0,0,0,0,0,0,48,51,0,0,24,0,0,0,170,0,0,0,84,0,0,0,0,0,0,0,32,51,0,0,24,0,0,0,171,0,0,0,85,0,0,0,0,0,0,0,96,51,0,0,24,0,0,0,172,0,0,0,86,0,0,0,0,0,0,0,80,51,0,0,24,0,0,0,173,0,0,0,87,0,0,0,0,0,0,0,64,51,0,0,24,0,0,0,174,0,0,0,88,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,3,0,0,0,2,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,3,0,0,0,2,0,0,0,1,0,0,0,60,84,8,0,55,228,3,0,139,227,3,0,166,2,0,0,1,0,0,0,88,84,8,0,7,230,3,0,144,228,3,0,177,3,0,0,1,0,0,0,0,0,0,0,128,51,0,0,175,0,0,0,176,0,0,0,89,0,0,0,68,84,8,0,126,229,3,0,144,228,3,0,8,4,0,0,0,0,0,0,64,84,8,0,116,229,3,0,144,228,3,0,27,4,0,0,0,0,0,128,0,0,0,0,112,51,0,0,24,0,0,0,177,0,0,0,90,0,0,0,84,84,8,0,174,229,3,0,144,228,3,0,105,1,0,0,1,0,0,0,80,84,8,0,165,229,3,0,144,228,3,0,116,1,0,0,0,0,0,0,76,84,8,0,155,229,3,0,144,228,3,0,132,1,0,0,0,0,0,128,72,84,8,0,144,229,3,0,144,228,3,0,248,2,0,0,0,0,0,128,100,84,8,0,182,230,3,0,144,228,3,0,35,4,0,0,1,0,0,0,96,84,8,0,126,229,3,0,144,228,3,0,80,4,0,0,0,0,0,0,92,84,8,0,116,229,3,0,144,228,3,0,99,4,0,0,0,0,0,128,0,0,0,0,192,52,0,0,178,0,0,0,179,0,0,0,26,0,0,0,0,0,0,0,176,52,0,0,5,0,0,0,180,0,0,0,181,0,0,0,0,0,0,0,160,52,0,0,178,0,0,0,182,0,0,0,27,0,0,0,0,0,0,0,144,52,0,0,5,0,0,0,183,0,0,0,184,0,0,0,0,0,0,0,128,52,0,0,178,0,0,0,185,0,0,0,28,0,0,0,0,0,0,0,112,52,0,0,5,0,0,0,186,0,0,0,187,0,0,0,0,0,0,0,96,52,0,0,178,0,0,0,188,0,0,0,29,0,0,0,0,0,0,0,80,52,0,0,5,0,0,0,189,0,0,0,190,0,0,0,0,0,0,0,64,52,0,0,178,0,0,0,191,0,0,0,30,0,0,0,0,0,0,0,48,52,0,0,5,0,0,0,192,0,0,0,193,0,0,0,0,0,0,0,32,52,0,0,178,0,0,0,194,0,0,0,31,0,0,0,0,0,0,0,16,52,0,0,5,0,0,0,195,0,0,0,196,0,0,0,0,0,0,0,0,52,0,0,178,0,0,0,197,0,0,0,32,0,0,0,0,0,0,0,240,51,0,0,5,0,0,0,198,0,0,0,199,0,0,0,0,0,0,0,224,51,0,0,178,0,0,0,200,0,0,0,33,0,0,0,0,0,0,0,208,51,0,0,5,0,0,0,201,0,0,0,202,0,0,0,0,0,0,0,192,51,0,0,178,0,0,0,203,0,0,0,34,0,0,0,0,0,0,0,176,51,0,0,5,0,0,0,204,0,0,0,205,0,0,0,0,0,0,0,160,51,0,0,178,0,0,0,206,0,0,0,35,0,0,0,0,0,0,0,144,51,0,0,5,0,0,0,207,0,0,0,208,0,0,0,0,0,0,0,64,54,0,0,209,0,0,0,210,0,0,0,20,0,0,0,211,0,0,0,0,0,0,0,48,54,0,0,5,0,0,0,212,0,0,0,213,0,0,0,0,0,0,0,32,54,0,0,214,0,0,0,215,0,0,0,21,0,0,0,216,0,0,0,0,0,0,0,16,54,0,0,5,0,0,0,217,0,0,0,218,0,0,0,0,0,0,0,0,54,0,0,219,0,0,0,220,0,0,0,22,0,0,0,221,0,0,0,0,0,0,0,240,53,0,0,5,0,0,0,222,0,0,0,223,0,0,0,0,0,0,0,224,53,0,0,224,0,0,0,225,0,0,0,23,0,0,0,226,0,0,0,0,0,0,0,208,53,0,0,5,0,0,0,227,0,0,0,228,0,0,0,0,0,0,0,192,53,0,0,229,0,0,0,230,0,0,0,24,0,0,0,231,0,0,0,0,0,0,0,176,53,0,0,5,0,0,0,232,0,0,0,233,0,0,0,0,0,0,0,160,53,0,0,234,0,0,0,235,0,0,0,25,0,0,0,236,0,0,0,0,0,0,0,144,53,0,0,5,0,0,0,237,0,0,0,238,0,0,0,0,0,0,0,128,53,0,0,239,0,0,0,240,0,0,0,26,0,0,0,241,0,0,0,0,0,0,0,112,53,0,0,5,0,0,0,242,0,0,0,243,0,0,0,0,0,0,0,96,53,0,0,244,0,0,0,245,0,0,0,27,0,0,0,246,0,0,0,0,0,0,0,80,53,0,0,5,0,0,0,247,0,0,0,248,0,0,0,0,0,0,0,64,53,0,0,249,0,0,0,250,0,0,0,28,0,0,0,251,0,0,0,0,0,0,0,48,53,0,0,5,0,0,0,252,0,0,0,253,0,0,0,0,0,0,0,32,53,0,0,254,0,0,0,255,0,0,0,29,0,0,0,0,1,0,0,0,0,0,0,16,53,0,0,5,0,0,0,1,1,0,0,2,1,0,0,0,0,0,0,0,53,0,0,3,1,0,0,4,1,0,0,30,0,0,0,5,1,0,0,0,0,0,0,240,52,0,0,5,0,0,0,6,1,0,0,7,1,0,0,0,0,0,0,224,52,0,0,8,1,0,0,9,1,0,0,31,0,0,0,10,1,0,0,0,0,0,0,208,52,0,0,5,0,0,0,11,1,0,0,12,1,0,0,0,0,0,0,80,54,0,0,5,0,0,0,13,1,0,0,14,1,0,0,104,84,8,0,87,240,3,0,225,234,3,0,252,5,0,0,1,0,0,0,108,84,8,0,160,240,3,0,225,234,3,0,45,6,0,0,1,0,0,0,112,84,8,0,184,242,3,0,225,234,3,0,127,6,0,0,1,0,0,0,0,0,0,0,240,54,0,0,178,0,0,0,15,1,0,0,36,0,0,0,0,0,0,0,224,54,0,0,5,0,0,0,16,1,0,0,17,1,0,0,0,0,0,0,208,54,0,0,178,0,0,0,18,1,0,0,37,0,0,0,0,0,0,0,192,54,0,0,5,0,0,0,19,1,0,0,20,1,0,0,0,0,0,0,176,54,0,0,178,0,0,0,21,1,0,0,38,0,0,0,0,0,0,0,160,54,0,0,5,0,0,0,22,1,0,0,23,1,0,0,0,0,0,0,144,54,0,0,178,0,0,0,24,1,0,0,39,0,0,0,0,0,0,0,128,54,0,0,5,0,0,0,25,1,0,0,26,1,0,0,0,0,0,0,112,54,0,0,178,0,0,0,27,1,0,0,40,0,0,0,0,0,0,0,96,54,0,0,5,0,0,0,28,1,0,0,29,1,0,0,0,0,128,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,62,0,0,0,63,0,0,128,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,61,0,0,128,62,0,0,192,62,0,0,128,62,0,0,128,61,0,0,0,0,0,0,0,0,0,0,0,61,0,0,224,61,0,0,96,62,0,0,144,62,0,0,96,62,0,0,224,61,0,0,0,61,116,84,8,0,224,243,3,0,225,234,3,0,240,15,0,0,1,0,0,0,0,0,0,0,0,55,0,0,24,0,0,0,30,1,0,0,91,0,0,0,120,84,8,0,216,244,3,0,225,234,3,0,16,20,0,0,1,0,0,0,124,84,8,0,96,246,3,0,225,234,3,0,57,23,0,0,1,0,0,0,0,0,0,0,32,55,0,0,24,0,0,0,31,1,0,0,92,0,0,0,0,0,0,0,16,55,0,0,24,0,0,0,32,1,0,0,93,0,0,0,128,84,8,0,29,247,3,0,210,246,3,0,46,0,0,0,1,0,0,0,0,0,0,0,48,55,0,0,178,0,0,0,33,1,0,0,1,0,0,0,0,0,0,0,56,55,0,0,34,1,0,0,35,1,0,0,1,0,0,0,36,1,0,0,0,0,0,0,64,55,0,0,37,1,0,0,38,1,0,0,1,0,0,0,39,1,0,0,0,0,0,0,72,55,0,0,40,1,0,0,41,1,0,0,8,0,0,0,9,0,0,0,29,0,0,0,41,0,0,0,132,84,8,0,11,248,3,0,199,247,3,0,130,1,0,0,1,0,0,0,0,0,0,0,192,56,0,0,5,0,0,0,42,1,0,0,43,1,0,0,0,0,0,0,144,56,0,0,5,0,0,0,44,1,0,0,45,1,0,0,0,0,0,0,112,56,0,0,5,0,0,0,46,1,0,0,47,1,0,0,0,0,0,0,80,56,0,0,5,0,0,0,48,1,0,0,49,1,0,0,0,0,0,0,48,56,0,0,5,0,0,0,50,1,0,0,51,1,0,0,0,0,0,0,16,56,0,0,5,0,0,0,52,1,0,0,53,1,0,0,0,0,0,0,240,55,0,0,5,0,0,0,54,1,0,0,55,1,0,0,0,0,0,0,208,55,0,0,5,0,0,0,56,1,0,0,57,1,0,0,0,0,0,0,176,55,0,0,5,0,0,0,58,1,0,0,59,1,0,0,0,0,0,0,144,55,0,0,5,0,0,0,60,1,0,0,61,1,0,0,0,0,0,0,112,55,0,0,5,0,0,0,62,1,0,0,63,1,0,0,0,0,0,0,80,55,0,0,5,0,0,0,64,1,0,0,65,1,0,0,0,0,0,0,96,55,0,0,66,1,0,0,67,1,0,0,42,0,0,0,0,0,0,0,128,55,0,0,68,1,0,0,69,1,0,0,43,0,0,0,0,0,0,0,160,55,0,0,70,1,0,0,71,1,0,0,44,0,0,0,0,0,0,0,192,55,0,0,72,1,0,0,73,1,0,0,45,0,0,0,0,0,0,0,224,55,0,0,74,1,0,0,75,1,0,0,46,0,0,0,0,0,0,0,0,56,0,0,76,1,0,0,77,1,0,0,47,0,0,0,0,0,0,0,32,56,0,0,78,1,0,0,79,1,0,0,48,0,0,0,0,0,0,0,64,56,0,0,80,1,0,0,81,1,0,0,49,0,0,0,0,0,0,0,96,56,0,0,82,1,0,0,83,1,0,0,50,0,0,0,0,0,0,0,128,56,0,0,84,1,0,0,85,1,0,0,51,0,0,0,0,0,0,0,176,56,0,0,86,1,0,0,87,1,0,0,52,0,0,0,0,0,0,0,160,56,0,0,86,1,0,0,88,1,0,0,53,0,0,0,0,0,0,0,224,56,0,0,89,1,0,0,90,1,0,0,54,0,0,0,0,0,0,0,208,56,0,0,89,1,0,0,91,1,0,0,55,0,0,0,0,0,0,0,240,59,0,0,5,0,0,0,92,1,0,0,93,1,0,0,0,0,0,0,224,59,0,0,5,0,0,0,94,1,0,0,95,1,0,0,0,0,0,0,208,59,0,0,5,0,0,0,96,1,0,0,97,1,0,0,0,0,0,0,192,59,0,0,5,0,0,0,98,1,0,0,99,1,0,0,0,0,0,0,176,59,0,0,5,0,0,0,100,1,0,0,101,1,0,0,0,0,0,0,160,59,0,0,5,0,0,0,102,1,0,0,103,1,0,0,0,0,0,0,144,59,0,0,5,0,0,0,104,1,0,0,105,1,0,0,0,0,0,0,128,59,0,0,5,0,0,0,106,1,0,0,107,1,0,0,0,0,0,0,112,59,0,0,5,0,0,0,108,1,0,0,109,1,0,0,0,0,0,0,80,59,0,0,5,0,0,0,110,1,0,0,111,1,0,0,0,0,0,0,16,59,0,0,5,0,0,0,112,1,0,0,113,1,0,0,0,0,0,0,208,58,0,0,5,0,0,0,114,1,0,0,115,1,0,0,0,0,0,0,160,58,0,0,5,0,0,0,116,1,0,0,117,1,0,0,0,0,0,0,112,58,0,0,5,0,0,0,118,1,0,0,119,1,0,0,0,0,0,0,64,58,0,0,5,0,0,0,120,1,0,0,121,1,0,0,0,0,0,0,16,58,0,0,5,0,0,0,122,1,0,0,123,1,0,0,0,0,0,0,224,57,0,0,5,0,0,0,124,1,0,0,125,1,0,0,0,0,0,0,176,57,0,0,5,0,0,0,126,1,0,0,127,1,0,0,0,0,0,0,128,57,0,0,5,0,0,0,128,1,0,0,129,1,0,0,0,0,0,0,80,57,0,0,5,0,0,0,130,1,0,0,131,1,0,0,0,0,0,0,32,57,0,0,5,0,0,0,132,1,0,0,133,1,0,0,0,0,0,0,240,56,0,0,5,0,0,0,134,1,0,0,135,1,0,0,0,0,0,0,16,57,0,0,136,1,0,0,137,1,0,0,32,0,0,0,36,1,0,0,0,0,0,0,0,57,0,0,136,1,0,0,138,1,0,0,33,0,0,0,36,1,0,0,0,0,0,0,64,57,0,0,139,1,0,0,140,1,0,0,34,0,0,0,36,1,0,0,0,0,0,0,48,57,0,0,139,1,0,0,141,1,0,0,35,0,0,0,36,1,0,0,0,0,0,0,112,57,0,0,142,1,0,0,143,1,0,0,36,0,0,0,36,1,0,0,0,0,0,0,96,57,0,0,142,1,0,0,144,1,0,0,37,0,0,0,36,1,0,0,0,0,0,0,160,57,0,0,145,1,0,0,146,1,0,0,38,0,0,0,36,1,0,0,0,0,0,0,144,57,0,0,145,1,0,0,147,1,0,0,39,0,0,0,36,1,0,0,0,0,0,0,208,57,0,0,148,1,0,0,149,1,0,0,40,0,0,0,36,1,0,0,0,0,0,0,192,57,0,0,148,1,0,0,150,1,0,0,41,0,0,0,36,1,0,0,0,0,0,0,0,58,0,0,151,1,0,0,152,1,0,0,42,0,0,0,36,1,0,0,0,0,0,0,240,57,0,0,151,1,0,0,153,1,0,0,43,0,0,0,36,1,0,0,0,0,0,0,48,58,0,0,154,1,0,0,155,1,0,0,44,0,0,0,36,1,0,0,0,0,0,0,32,58,0,0,154,1,0,0,156,1,0,0,45,0,0,0,36,1,0,0,0,0,0,0,96,58,0,0,157,1,0,0,158,1,0,0,46,0,0,0,36,1,0,0,0,0,0,0,80,58,0,0,157,1,0,0,159,1,0,0,47,0,0,0,36,1,0,0,0,0,0,0,144,58,0,0,160,1,0,0,161,1,0,0,48,0,0,0,36,1,0,0,0,0,0,0,128,58,0,0,160,1,0,0,162,1,0,0,49,0,0,0,36,1,0,0,0,0,0,0,192,58,0,0,163,1,0,0,164,1,0,0,50,0,0,0,36,1,0,0,0,0,0,0,176,58,0,0,163,1,0,0,165,1,0,0,51,0,0,0,36,1,0,0,0,0,0,0,240,58,0,0,166,1,0,0,167,1,0,0,52,0,0,0,36,1,0,0,0,0,0,0,224,58,0,0,166,1,0,0,168,1,0,0,53,0,0,0,36,1,0,0,0,0,0,0,0,59,0,0,166,1,0,0,169,1,0,0,54,0,0,0,36,1,0,0,0,0,0,0,48,59,0,0,170,1,0,0,171,1,0,0,55,0,0,0,36,1,0,0,0,0,0,0,32,59,0,0,170,1,0,0,172,1,0,0,56,0,0,0,36,1,0,0,0,0,0,0,64,59,0,0,170,1,0,0,173,1,0,0,57,0,0,0,36,1,0,0,0,0,0,0,96,59,0,0,163,1,0,0,174,1,0,0,58,0,0,0,36,1,0,0,0,0,0,0,128,61,0,0,5,0,0,0,175,1,0,0,176,1,0,0,0,0,0,0,96,61,0,0,5,0,0,0,177,1,0,0,178,1,0,0,0,0,0,0,64,61,0,0,5,0,0,0,179,1,0,0,180,1,0,0,0,0,0,0,32,61,0,0,5,0,0,0,181,1,0,0,182,1,0,0,0,0,0,0,0,61,0,0,5,0,0,0,183,1,0,0,184,1,0,0,0,0,0,0,224,60,0,0,5,0,0,0,185,1,0,0,186,1,0,0,0,0,0,0,192,60,0,0,5,0,0,0,187,1,0,0,188,1,0,0,0,0,0,0,160,60,0,0,5,0,0,0,189,1,0,0,190,1,0,0,0,0,0,0,128,60,0,0,5,0,0,0,191,1,0,0,192,1,0,0,0,0,0,0,96,60,0,0,5,0,0,0,193,1,0,0,194,1,0,0,0,0,0,0,64,60,0,0,5,0,0,0,195,1,0,0,196,1,0,0,0,0,0,0,32,60,0,0,5,0,0,0,197,1,0,0,198,1,0,0,0,0,0,0,0,60,0,0,5,0,0,0,199,1,0,0,200,1,0,0,0,0,0,0,16,60,0,0,201,1,0,0,202,1,0,0,8,0,0,0,39,1,0,0,0,0,0,0,48,60,0,0,203,1,0,0,204,1,0,0,9,0,0,0,39,1,0,0,0,0,0,0,80,60,0,0,205,1,0,0,206,1,0,0,10,0,0,0,39,1,0,0,0,0,0,0,112,60,0,0,207,1,0,0,208,1,0,0,11,0,0,0,39,1,0,0,0,0,0,0,144,60,0,0,209,1,0,0,210,1,0,0,12,0,0,0,39,1,0,0,0,0,0,0,176,60,0,0,211,1,0,0,212,1,0,0,13,0,0,0,39,1,0,0,0,0,0,0,208,60,0,0,213,1,0,0,214,1,0,0,14,0,0,0,39,1,0,0,0,0,0,0,240,60,0,0,215,1,0,0,216,1,0,0,15,0,0,0,39,1,0,0,0,0,0,0,16,61,0,0,217,1,0,0,218,1,0,0,16,0,0,0,39,1,0,0,0,0,0,0,48,61,0,0,219,1,0,0,220,1,0,0,17,0,0,0,39,1,0,0,0,0,0,0,80,61,0,0,221,1,0,0,222,1,0,0,18,0,0,0,39,1,0,0,0,0,0,0,112,61,0,0,223,1,0,0,224,1,0,0,19,0,0,0,39,1,0,0,0,0,0,0,144,61,0,0,225,1,0,0,226,1,0,0,20,0,0,0,39,1,0,0,136,84,8,0,240,27,4,0,199,247,3,0,34,19,0,0,1,0,0,0,140,84,8,0,197,28,4,0,199,247,3,0,65,19,0,0,1,0,0,0,144,84,8,0,150,31,4,0,97,29,4,0,68,4,0,0,1,0,0,0,148,84,8,0,248,34,4,0,48,32,4,0,22,2,0,0,1,0,0,0,152,84,8,0,233,35,4,0,161,35,4,0,153,0,0,0,1,0,0,0,156,84,8,0,47,36,4,0,161,35,4,0,232,0,0,0,1,0,0,0,160,84,8,0,151,36,4,0,161,35,4,0,11,1,0,0,1,0,0,0,164,84,8,0,47,37,4,0,161,35,4,0,44,1,0,0,1,0,0,0,168,84,8,0,172,37,4,0,161,35,4,0,186,3,0,0,1,0,0,0,172,84,8,0,215,38,4,0,147,38,4,0,114,5,0,0,1,0,0,0,0,0,0,0,160,61,0,0,227,1,0,0,228,1,0,0,94,0,0,0,176,84,8,0,161,39,4,0,147,38,4,0,241,5,0,0,1,0,0,0,180,84,8,0,249,40,4,0,181,40,4,0,56,2,0,0,1,0,0,0,184,84,8,0,60,41,4,0,181,40,4,0,140,2,0,0,1,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,255,255,255,255,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,255,255,255,255,1,0,0,0,0,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,176,61,0,0,5,0,0,0,229,1,0,0,230,1,0,0,188,84,8,0,129,45,4,0,153,41,4,0,88,7,0,0,1,0,0,0,192,84,8,0,102,57,4,0,45,46,4,0,13,15,0,0,1,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,60,0,0,0,61,0,0,0,0,0,0,0,62,0,0,0,63,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,22,0,0,0,23,0,0,0,0,0,0,0,24,0,0,0,25,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,79,0,0,0,80,0,0,0,0,0,0,0,81,0,0,0,82,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,84,0,0,0,85,0,0,0,0,0,0,0,86,0,0,0,87,0,0,0,0,0,0,0,88,0,0,0,0,0,0,0,89,0,0,0,90,0,0,0,0,0,0,0,91,0,0,0,92,0,0,0,0,0,0,0,0,0,0,0,192,61,0,0,231,1,0,0,232,1,0,0,95,0,0,0,0,0,0,0,208,61,0,0,233,1,0,0,234,1,0,0,96,0,0,0,0,0,0,0,224,61,0,0,235,1,0,0,236,1,0,0,97,0,0,0,0,0,0,0,240,61,0,0,237,1,0,0,238,1,0,0,98,0,0,0,0,0,0,0,0,62,0,0,239,1,0,0,240,1,0,0,99,0,0,0,0,0,0,0,16,62,0,0,241,1,0,0,242,1,0,0,100,0,0,0,0,0,0,0,32,62,0,0,243,1,0,0,244,1,0,0,101,0,0,0,0,0,0,0,48,62,0,0,245,1,0,0,246,1,0,0,102,0,0,0,0,0,0,0,64,62,0,0,247,1,0,0,248,1,0,0,103,0,0,0,0,0,0,0,80,62,0,0,249,1,0,0,250,1,0,0,104,0,0,0,0,0,0,0,96,62,0,0,251,1,0,0,252,1,0,0,105,0,0,0,0,0,0,0,112,62,0,0,253,1,0,0,254,1,0,0,106,0,0,0,0,0,0,0,128,62,0,0,255,1,0,0,0,2,0,0,107,0,0,0,0,0,0,0,144,62,0,0,1,2,0,0,2,2,0,0,108,0,0,0,0,0,0,0,160,62,0,0,3,2,0,0,4,2,0,0,109,0,0,0,0,0,0,0,176,62,0,0,24,0,0,0,5,2,0,0,110,0,0,0,0,0,0,0,192,62,0,0,24,0,0,0,6,2,0,0,111,0,0,0,0,0,0,0,208,62,0,0,24,0,0,0,7,2,0,0,112,0,0,0,0,0,0,0,224,62,0,0,24,0,0,0,8,2,0,0,113,0,0,0,0,0,0,0,240,62,0,0,24,0,0,0,9,2,0,0,114,0,0,0,0,0,0,0,0,63,0,0,10,2,0,0,11,2,0,0,115,0,0,0,0,0,0,0,16,63,0,0,12,2,0,0,13,2,0,0,116,0,0,0,0,0,0,0,32,63,0,0,14,2,0,0,15,2,0,0,117,0,0,0,0,0,0,0,48,63,0,0,16,2,0,0,17,2,0,0,118,0,0,0,0,0,0,0,64,63,0,0,18,2,0,0,19,2,0,0,119,0,0,0,0,0,0,0,80,63,0,0,20,2,0,0,21,2,0,0,120,0,0,0,0,0,0,0,96,63,0,0,24,0,0,0,22,2,0,0,121,0,0,0,0,0,0,0,112,63,0,0,24,0,0,0,23,2,0,0,122,0,0,0,0,0,0,0,128,63,0,0,24,0,0,0,24,2,0,0,123,0,0,0,0,0,0,0,144,63,0,0,24,0,0,0,25,2,0,0,124,0,0,0,0,0,0,0,160,63,0,0,24,0,0,0,26,2,0,0,125,0,0,0,196,84,8,0,23,58,4,0,45,46,4,0,124,16,0,0,1,0,0,0,200,84,8,0,238,58,4,0,100,58,4,0,97,0,0,0,1,0,0,0,204,84,8,0,144,59,4,0,71,59,4,0,93,1,0,0,1,0,0,0,0,0,0,0,224,64,0,0,178,0,0,0,27,2,0,0,56,0,0,0,0,0,0,0,208,64,0,0,5,0,0,0,28,2,0,0,29,2,0,0,0,0,0,0,192,64,0,0,178,0,0,0,30,2,0,0,57,0,0,0,0,0,0,0,176,64,0,0,5,0,0,0,31,2,0,0,32,2,0,0,0,0,0,0,160,64,0,0,178,0,0,0,33,2,0,0,58,0,0,0,0,0,0,0,144,64,0,0,5,0,0,0,34,2,0,0,35,2,0,0,0,0,0,0,128,64,0,0,178,0,0,0,36,2,0,0,59,0,0,0,0,0,0,0,112,64,0,0,5,0,0,0,37,2,0,0,38,2,0,0,0,0,0,0,96,64,0,0,178,0,0,0,39,2,0,0,60,0,0,0,0,0,0,0,80,64,0,0,5,0,0,0,40,2,0,0,41,2,0,0,0,0,0,0,64,64,0,0,178,0,0,0,42,2,0,0,61,0,0,0,0,0,0,0,48,64,0,0,5,0,0,0,43,2,0,0,44,2,0,0,0,0,0,0,32,64,0,0,178,0,0,0,45,2,0,0,62,0,0,0,0,0,0,0,16,64,0,0,5,0,0,0,46,2,0,0,47,2,0,0,0,0,0,0,0,64,0,0,178,0,0,0,48,2,0,0,63,0,0,0,0,0,0,0,240,63,0,0,5,0,0,0,49,2,0,0,50,2,0,0,0,0,0,0,224,63,0,0,178,0,0,0,51,2,0,0,64,0,0,0,0,0,0,0,208,63,0,0,5,0,0,0,52,2,0,0,53,2,0,0,0,0,0,0,192,63,0,0,178,0,0,0,54,2,0,0,65,0,0,0,0,0,0,0,176,63,0,0,5,0,0,0,55,2,0,0,56,2,0,0,0,0,0,0,32,66,0,0,34,1,0,0,57,2,0,0,64,0,0,0,36,1,0,0,0,0,0,0,16,66,0,0,5,0,0,0,58,2,0,0,59,2,0,0,0,0,0,0,0,66,0,0,34,1,0,0,60,2,0,0,65,0,0,0,36,1,0,0,0,0,0,0,240,65,0,0,5,0,0,0,61,2,0,0,62,2,0,0,0,0,0,0,224,65,0,0,34,1,0,0,63,2,0,0,66,0,0,0,36,1,0,0,0,0,0,0,208,65,0,0,5,0,0,0,64,2,0,0,65,2,0,0,0,0,0,0,192,65,0,0,34,1,0,0,66,2,0,0,67,0,0,0,36,1,0,0,0,0,0,0,176,65,0,0,5,0,0,0,67,2,0,0,68,2,0,0,0,0,0,0,160,65,0,0,34,1,0,0,69,2,0,0,68,0,0,0,36,1,0,0,0,0,0,0,144,65,0,0,5,0,0,0,70,2,0,0,71,2,0,0,0,0,0,0,128,65,0,0,34,1,0,0,72,2,0,0,69,0,0,0,36,1,0,0,0,0,0,0,112,65,0,0,5,0,0,0,73,2,0,0,74,2,0,0,0,0,0,0,96,65,0,0,34,1,0,0,75,2,0,0,70,0,0,0,36,1,0,0,0,0,0,0,80,65,0,0,5,0,0,0,76,2,0,0,77,2,0,0,0,0,0,0,64,65,0,0,34,1,0,0,78,2,0,0,71,0,0,0,36,1,0,0,0,0,0,0,48,65,0,0,5,0,0,0,79,2,0,0,80,2,0,0,0,0,0,0,32,65,0,0,34,1,0,0,81,2,0,0,72,0,0,0,36,1,0,0,0,0,0,0,16,65,0,0,5,0,0,0,82,2,0,0,83,2,0,0,0,0,0,0,0,65,0,0,34,1,0,0,84,2,0,0,73,0,0,0,36,1,0,0,0,0,0,0,240,64,0,0,5,0,0,0,85,2,0,0,86,2,0,0,0,0,0,0,80,67,0,0,5,0,0,0,87,2,0,0,88,2,0,0,0,0,0,0,48,67,0,0,5,0,0,0,89,2,0,0,90,2,0,0,0,0,0,0,16,67,0,0,5,0,0,0,91,2,0,0,92,2,0,0,0,0,0,0,240,66,0,0,5,0,0,0,93,2,0,0,94,2,0,0,0,0,0,0,208,66,0,0,5,0,0,0,95,2,0,0,96,2,0,0,0,0,0,0,176,66,0,0,5,0,0,0,97,2,0,0,98,2,0,0,0,0,0,0,144,66,0,0,5,0,0,0,99,2,0,0,100,2,0,0,0,0,0,0,112,66,0,0,5,0,0,0,101,2,0,0,102,2,0,0,0,0,0,0,80,66,0,0,5,0,0,0,103,2,0,0,104,2,0,0,0,0,0,0,48,66,0,0,5,0,0,0,105,2,0,0,106,2,0,0,0,0,0,0,64,66,0,0,107,2,0,0,108,2,0,0,26,0,0,0,39,1,0,0,0,0,0,0,96,66,0,0,109,2,0,0,110,2,0,0,27,0,0,0,39,1,0,0,0,0,0,0,128,66,0,0,111,2,0,0,112,2,0,0,28,0,0,0,39,1,0,0,0,0,0,0,160,66,0,0,113,2,0,0,114,2,0,0,29,0,0,0,39,1,0,0,0,0,0,0,192,66,0,0,115,2,0,0,116,2,0,0,30,0,0,0,39,1,0,0,0,0,0,0,224,66,0,0,117,2,0,0,118,2,0,0,31,0,0,0,39,1,0,0,0,0,0,0,0,67,0,0,119,2,0,0,120,2,0,0,32,0,0,0,39,1,0,0,0,0,0,0,32,67,0,0,121,2,0,0,122,2,0,0,33,0,0,0,39,1,0,0,0,0,0,0,64,67,0,0,123,2,0,0,124,2,0,0,34,0,0,0,39,1,0,0,0,0,0,0,96,67,0,0,125,2,0,0,126,2,0,0,35,0,0,0,39,1,0,0,212,84,8,0,158,84,4,0,252,62,4,0,99,7,0,0,1,0,0,0,208,84,8,0,66,84,4,0,252,62,4,0,31,7,0,0,1,0,0,0,216,84,8,0,243,84,4,0,252,62,4,0,109,7,0,0,1,0,0,0,220,84,8,0,118,85,4,0,252,62,4,0,253,7,0,0,1,0,0,0,224,84,8,0,91,86,4,0,17,86,4,0,90,0,0,0,1,0,0,0,228,84,8,0,200,89,4,0,127,89,4,0,128,6,0,0,1,0,0,0,0,0,0,0,0,0,0,63,0,0,128,62,171,170,42,62,0,0,0,62,205,204,204,61,171,170,170,61,40,73,146,61,0,0,128,61,0,0,0,0,112,67,0,0,127,2,0,0,128,2,0,0,126,0,0,0,0,0,0,0,128,67,0,0,129,2,0,0,130,2,0,0,127,0,0,0,0,0,0,0,144,67,0,0,131,2,0,0,132,2,0,0,128,0,0,0,0,0,0,0,160,67,0,0,133,2,0,0,134,2,0,0,129,0,0,0,0,0,0,0,176,67,0,0,135,2,0,0,136,2,0,0,130,0,0,0,0,0,0,0,192,67,0,0,137,2,0,0,138,2,0,0,131,0,0,0,244,84,8,0,93,92,4,0,190,92,4,0,94,5,0,0,1,0,0,0,0,0,0,0,240,67,0,0,24,0,0,0,139,2,0,0,132,0,0,0,0,0,0,0,224,67,0,0,24,0,0,0,140,2,0,0,133,0,0,0,0,0,0,0,208,67,0,0,24,0,0,0,141,2],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+51200);allocate([134,0,0,0,232,84,8,0,0,90,4,0,123,90,4,0,143,1,0,0,1,0,0,0,236,84,8,0,235,90,4,0,123,90,4,0,143,1,0,0,1,0,0,0,240,84,8,0,165,91,4,0,123,90,4,0,143,1,0,0,1,0,0,0,252,84,8,0,165,93,4,0,190,92,4,0,157,5,0,0,1,0,0,0,0,0,0,0,0,68,0,0,24,0,0,0,142,2,0,0,135,0,0,0,248,84,8,0,5,93,4,0,123,90,4,0,143,1,0,0,1,0,0,0,4,85,8,0,164,94,4,0,190,92,4,0,170,5,0,0,1,0,0,0,0,0,0,0,16,68,0,0,24,0,0,0,143,2,0,0,136,0,0,0,0,85,8,0,4,94,4,0,123,90,4,0,143,1,0,0,1,0,0,0,20,85,8,0,6,97,4,0,190,92,4,0,183,5,0,0,1,0,0,0,35,19,0,0,145,37,0,0,76,7,0,0,0,0,0,0,64,68,0,0,24,0,0,0,144,2,0,0,137,0,0,0,0,0,0,0,48,68,0,0,24,0,0,0,145,2,0,0,138,0,0,0,135,22,153,62,162,69,22,63,213,120,233,61,0,0,0,0,32,68,0,0,24,0,0,0,146,2,0,0,139,0,0,0,8,85,8,0,3,95,4,0,123,90,4,0,143,1,0,0,1,0,0,0,12,85,8,0,174,95,4,0,123,90,4,0,143,1,0,0,1,0,0,0,16,85,8,0,91,96,4,0,123,90,4,0,143,1,0,0,1,0,0,0,36,85,8,0,134,99,4,0,190,92,4,0,232,5,0,0,1,0,0,0,0,0,0,0,112,68,0,0,24,0,0,0,147,2,0,0,140,0,0,0,0,0,0,0,96,68,0,0,24,0,0,0,148,2,0,0,141,0,0,0,0,0,0,0,80,68,0,0,24,0,0,0,149,2,0,0,142,0,0,0,24,85,8,0,99,97,4,0,123,90,4,0,143,1,0,0,1,0,0,0,28,85,8,0,14,98,4,0,123,90,4,0,143,1,0,0,1,0,0,0,32,85,8,0,203,98,4,0,123,90,4,0,143,1,0,0,1,0,0,0,44,85,8,0,128,100,4,0,190,92,4,0,25,6,0,0,1,0,0,0,0,0,0,0,128,68,0,0,24,0,0,0,150,2,0,0,143,0,0,0,40,85,8,0,221,99,4,0,123,90,4,0,143,1,0,0,1,0,0,0,52,85,8,0,120,101,4,0,190,92,4,0,37,6,0,0,1,0,0,0,0,0,0,0,144,68,0,0,24,0,0,0,151,2,0,0,144,0,0,0,48,85,8,0,213,100,4,0,123,90,4,0,143,1,0,0,1,0,0,0,60,85,8,0,143,102,4,0,190,92,4,0,47,6,0,0,1,0,0,0,0,0,0,0,160,68,0,0,24,0,0,0,152,2,0,0,145,0,0,0,56,85,8,0,205,101,4,0,123,90,4,0,143,1,0,0,1,0,0,0,68,85,8,0,169,103,4,0,190,92,4,0,67,6,0,0,1,0,0,0,0,0,0,0,176,68,0,0,24,0,0,0,153,2,0,0,146,0,0,0,64,85,8,0,231,102,4,0,123,90,4,0,143,1,0,0,1,0,0,0,25,104,4,0,123,90,4,0,255,0,0,0,0,0,0,0,147,105,4,0,189,105,4,0,193,105,4,0,25,104,4,0,123,90,4,0,0,1,0,0,0,0,0,0,80,105,4,0,123,105,4,0,127,105,4,0,25,104,4,0,123,90,4,0,1,1,0,0,0,0,0,0,17,105,4,0,50,105,4,0,56,105,4,0,213,105,4,0,123,90,4,0,255,0,0,0,0,0,0,0,147,105,4,0,189,105,4,0,193,105,4,0,213,105,4,0,123,90,4,0,0,1,0,0,0,0,0,0,80,105,4,0,123,105,4,0,127,105,4,0,213,105,4,0,123,90,4,0,1,1,0,0,0,0,0,0,17,105,4,0,50,105,4,0,56,105,4,0,211,106,4,0,123,90,4,0,255,0,0,0,0,0,0,0,147,105,4,0,189,105,4,0,193,105,4,0,211,106,4,0,123,90,4,0,0,1,0,0,0,0,0,0,80,105,4,0,123,105,4,0,127,105,4,0,211,106,4,0,123,90,4,0,1,1,0,0,0,0,0,0,17,105,4,0,50,105,4,0,56,105,4,0,205,107,4,0,123,90,4,0,255,0,0,0,0,0,0,0,147,105,4,0,189,105,4,0,193,105,4,0,205,107,4,0,123,90,4,0,0,1,0,0,0,0,0,0,80,105,4,0,123,105,4,0,127,105,4,0,205,107,4,0,123,90,4,0,1,1,0,0,0,0,0,0,17,105,4,0,50,105,4,0,56,105,4,0,199,108,4,0,123,90,4,0,255,0,0,0,0,0,0,0,147,105,4,0,189,105,4,0,193,105,4,0,199,108,4,0,123,90,4,0,0,1,0,0,0,0,0,0,80,105,4,0,123,105,4,0,127,105,4,0,199,108,4,0,123,90,4,0,1,1,0,0,0,0,0,0,17,105,4,0,50,105,4,0,56,105,4,0,199,109,4,0,123,90,4,0,255,0,0,0,0,0,0,0,147,105,4,0,189,105,4,0,193,105,4,0,199,109,4,0,123,90,4,0,0,1,0,0,0,0,0,0,80,105,4,0,123,105,4,0,127,105,4,0,199,109,4,0,123,90,4,0,1,1,0,0,0,0,0,0,17,105,4,0,50,105,4,0,56,105,4,0,199,110,4,0,123,90,4,0,255,0,0,0,0,0,0,0,147,105,4,0,189,105,4,0,193,105,4,0,199,110,4,0,123,90,4,0,0,1,0,0,0,0,0,0,80,105,4,0,123,105,4,0,127,105,4,0,199,110,4,0,123,90,4,0,1,1,0,0,0,0,0,0,17,105,4,0,50,105,4,0,56,105,4,0,72,85,8,0,199,111,4,0,247,111,4,0,94,0,0,0,1,0,0,0,76,85,8,0,112,112,4,0,247,111,4,0,194,3,0,0,1,0,0,0,0,0,0,0,86,248,142,60,199,242,14,61,70,94,86,61,127,220,142,61,176,126,178,61,10,19,214,61,157,150,249,61,101,131,14,62,94,48,32,62,213,208,49,62,111,99,67,62,206,230,84,62,149,89,102,62,96,186,119,62,237,131,132,62,88,32,141,62,190,177,149,62,122,55,158,62,224,176,166,62,66,29,175,62,255,123,183,62,112,204,191,62,232,13,200,62,200,63,208,62,109,97,216,62,45,114,224,62,113,113,232,62,149,94,240,62,247,56,248,62,0,0,0,63,137,217,3,63,203,168,7,63,118,109,11,63,68,39,15,63,231,213,18,63,25,121,22,63,140,16,26,63,254,155,29,63,36,27,33,63,186,141,36,63,124,243,39,63,37,76,43,63,114,151,46,63,34,213,49,63,244,4,53,63,167,38,56,63,255,57,59,63,189,62,62,63,166,52,65,63,124,27,68,63,10,243,70,63,19,187,73,63,96,115,76,63,189,27,79,63,242,179,81,63,207,59,84,63,30,179,86,63,174,25,89,63,81,111,91,63,215,179,93,63,20,231,95,63,219,8,98,63,1,25,100,63,93,23,102,63,202,3,104,63,30,222,105,63,54,166,107,63,237,91,109,63,32,255,110,63,178,143,112,63,130,13,114,63,112,120,115,63,100,208,116,63,63,21,118,63,234,70,119,63,77,101,120,63,82,112,121,63,226,103,122,63,236,75,123,63,93,28,124,63,36,217,124,63,54,130,125,63,130,23,126,63,253,152,126,63,158,6,127,63,92,96,127,63,47,166,127,63,19,216,127,63,5,246,127,63,0,0,128,63,5,246,127,63,19,216,127,63,47,166,127,63,92,96,127,63,158,6,127,63,253,152,126,63,130,23,126,63,54,130,125,63,36,217,124,63,93,28,124,63,236,75,123,63,226,103,122,63,82,112,121,63,77,101,120,63,234,70,119,63,63,21,118,63,100,208,116,63,112,120,115,63,130,13,114,63,178,143,112,63,32,255,110,63,237,91,109,63,54,166,107,63,30,222,105,63,202,3,104,63,93,23,102,63,1,25,100,63,219,8,98,63,20,231,95,63,215,179,93,63,81,111,91,63,174,25,89,63,30,179,86,63,207,59,84,63,242,179,81,63,189,27,79,63,96,115,76,63,19,187,73,63,10,243,70,63,124,27,68,63,166,52,65,63,189,62,62,63,255,57,59,63,167,38,56,63,244,4,53,63,34,213,49,63,114,151,46,63,37,76,43,63,124,243,39,63,186,141,36,63,36,27,33,63,254,155,29,63,140,16,26,63,25,121,22,63,231,213,18,63,68,39,15,63,118,109,11,63,203,168,7,63,137,217,3,63,0,0,0,63,247,56,248,62,149,94,240,62,113,113,232,62,45,114,224,62,109,97,216,62,200,63,208,62,232,13,200,62,112,204,191,62,255,123,183,62,66,29,175,62,224,176,166,62,122,55,158,62,190,177,149,62,88,32,141,62,237,131,132,62,96,186,119,62,149,89,102,62,206,230,84,62,111,99,67,62,213,208,49,62,94,48,32,62,101,131,14,62,157,150,249,61,10,19,214,61,176,126,178,61,127,220,142,61,70,94,86,61,199,242,14,61,86,248,142,60,0,0,0,0,86,248,142,188,199,242,14,189,70,94,86,189,127,220,142,189,176,126,178,189,10,19,214,189,157,150,249,189,101,131,14,190,94,48,32,190,213,208,49,190,111,99,67,190,206,230,84,190,149,89,102,190,96,186,119,190,237,131,132,190,88,32,141,190,190,177,149,190,122,55,158,190,224,176,166,190,66,29,175,190,255,123,183,190,112,204,191,190,232,13,200,190,200,63,208,190,109,97,216,190,45,114,224,190,113,113,232,190,149,94,240,190,247,56,248,190,0,0,0,191,137,217,3,191,203,168,7,191,118,109,11,191,68,39,15,191,231,213,18,191,25,121,22,191,140,16,26,191,254,155,29,191,36,27,33,191,186,141,36,191,124,243,39,191,37,76,43,191,114,151,46,191,34,213,49,191,244,4,53,191,167,38,56,191,255,57,59,191,189,62,62,191,166,52,65,191,124,27,68,191,10,243,70,191,19,187,73,191,96,115,76,191,189,27,79,191,242,179,81,191,207,59,84,191,30,179,86,191,174,25,89,191,81,111,91,191,215,179,93,191,20,231,95,191,219,8,98,191,1,25,100,191,93,23,102,191,202,3,104,191,30,222,105,191,54,166,107,191,237,91,109,191,32,255,110,191,178,143,112,191,130,13,114,191,112,120,115,191,100,208,116,191,63,21,118,191,234,70,119,191,77,101,120,191,82,112,121,191,226,103,122,191,236,75,123,191,93,28,124,191,36,217,124,191,54,130,125,191,130,23,126,191,253,152,126,191,158,6,127,191,92,96,127,191,47,166,127,191,19,216,127,191,5,246,127,191,0,0,128,191,5,246,127,191,19,216,127,191,47,166,127,191,92,96,127,191,158,6,127,191,253,152,126,191,130,23,126,191,54,130,125,191,36,217,124,191,93,28,124,191,236,75,123,191,226,103,122,191,82,112,121,191,77,101,120,191,234,70,119,191,63,21,118,191,100,208,116,191,112,120,115,191,130,13,114,191,178,143,112,191,32,255,110,191,237,91,109,191,54,166,107,191,30,222,105,191,202,3,104,191,93,23,102,191,1,25,100,191,219,8,98,191,20,231,95,191,215,179,93,191,81,111,91,191,174,25,89,191,30,179,86,191,207,59,84,191,242,179,81,191,189,27,79,191,96,115,76,191,19,187,73,191,10,243,70,191,124,27,68,191,166,52,65,191,189,62,62,191,255,57,59,191,167,38,56,191,244,4,53,191,34,213,49,191,114,151,46,191,37,76,43,191,124,243,39,191,186,141,36,191,36,27,33,191,254,155,29,191,140,16,26,191,25,121,22,191,231,213,18,191,68,39,15,191,118,109,11,191,203,168,7,191,137,217,3,191,0,0,0,191,247,56,248,190,149,94,240,190,113,113,232,190,45,114,224,190,109,97,216,190,200,63,208,190,232,13,200,190,112,204,191,190,255,123,183,190,66,29,175,190,224,176,166,190,122,55,158,190,190,177,149,190,88,32,141,190,237,131,132,190,96,186,119,190,149,89,102,190,206,230,84,190,111,99,67,190,213,208,49,190,94,48,32,190,101,131,14,190,157,150,249,189,10,19,214,189,176,126,178,189,127,220,142,189,70,94,86,189,199,242,14,189,86,248,142,188,0,0,0,128,86,248,142,60,199,242,14,61,70,94,86,61,127,220,142,61,176,126,178,61,10,19,214,61,157,150,249,61,101,131,14,62,94,48,32,62,213,208,49,62,111,99,67,62,206,230,84,62,149,89,102,62,96,186,119,62,237,131,132,62,88,32,141,62,190,177,149,62,122,55,158,62,224,176,166,62,66,29,175,62,255,123,183,62,112,204,191,62,232,13,200,62,200,63,208,62,109,97,216,62,45,114,224,62,113,113,232,62,149,94,240,62,247,56,248,62,0,0,0,63,137,217,3,63,203,168,7,63,118,109,11,63,68,39,15,63,231,213,18,63,25,121,22,63,140,16,26,63,254,155,29,63,36,27,33,63,186,141,36,63,124,243,39,63,37,76,43,63,114,151,46,63,34,213,49,63,244,4,53,63,167,38,56,63,255,57,59,63,189,62,62,63,166,52,65,63,124,27,68,63,10,243,70,63,19,187,73,63,96,115,76,63,189,27,79,63,242,179,81,63,207,59,84,63,30,179,86,63,174,25,89,63,81,111,91,63,215,179,93,63,20,231,95,63,219,8,98,63,1,25,100,63,93,23,102,63,202,3,104,63,30,222,105,63,54,166,107,63,237,91,109,63,32,255,110,63,178,143,112,63,130,13,114,63,112,120,115,63,100,208,116,63,63,21,118,63,234,70,119,63,77,101,120,63,82,112,121,63,226,103,122,63,236,75,123,63,93,28,124,63,36,217,124,63,54,130,125,63,130,23,126,63,253,152,126,63,158,6,127,63,92,96,127,63,47,166,127,63,19,216,127,63,5,246,127,63,0,0,128,63,80,85,8,0,111,113,4,0,247,111,4,0,12,7,0,0,1,0,0,0,168,0,0,0,177,0,0,0,185,0,0,0,194,0,0,0,202,0,0,0,210,0,0,0,218,0,0,0,224,0,0,0,231,0,0,0,236,0,0,0,241,0,0,0,246,0,0,0,249,0,0,0,252,0,0,0,254,0,0,0,254,0,0,0,254,0,0,0,254,0,0,0,252,0,0,0,249,0,0,0,246,0,0,0,241,0,0,0,236,0,0,0,231,0,0,0,224,0,0,0,218,0,0,0,210,0,0,0,202,0,0,0,194,0,0,0,185,0,0,0,177,0,0,0,168,0,0,0,158,0,0,0,149,0,0,0,140,0,0,0,131,0,0,0,122,0,0,0,114,0,0,0,105,0,0,0,97,0,0,0,89,0,0,0,82,0,0,0,75,0,0,0,68,0,0,0,62,0,0,0,56,0,0,0,50,0,0,0,45,0,0,0,40,0,0,0,36,0,0,0,32,0,0,0,28,0,0,0,25,0,0,0,22,0,0,0,19,0,0,0,16,0,0,0,14,0,0,0,12,0,0,0,11,0,0,0,9,0,0,0,8,0,0,0,7,0,0,0,5,0,0,0,5,0,0,0,84,85,8,0,225,113,4,0,247,111,4,0,51,7,0,0,1,0,0,0,88,85,8,0,135,114,4,0,247,111,4,0,96,7,0,0,1,0,0,0,92,85,8,0,65,115,4,0,247,111,4,0,128,7,0,0,1,0,0,0,96,85,8,0,242,115,4,0,247,111,4,0,158,7,0,0,1,0,0,0,100,85,8,0,102,116,4,0,247,111,4,0,220,8,0,0,1,0,0,0,69,17,0,0,199,0,0,0,214,0,0,0,217,0,0,0,233,0,0,0,219,0,0,0,197,0,0,0,234,0,0,0,216,0,0,0,221,0,0,0,222,0,0,0,228,0,0,0,225,0,0,0,211,0,0,0,224,0,0,0,210,0,0,0,220,0,0,0,200,0,0,0,201,0,0,0,202,0,0,0,203,0,0,0,204,0,0,0,205,0,0,0,206,0,0,0,207,0,0,0,208,0,0,0,209,0,0,0,212,0,0,0,213,0,0,0,191,0,0,0,226,0,0,0,192,0,0,0,215,0,0,0,190,0,0,0,51,0,0,0,52,0,0,0,53,0,0,0,54,0,0,0,55,0,0,0,56,0,0,0,57,0,0,0,58,0,0,0,59,0,0,0,60,0,0,0,61,0,0,0,62,0,0,0,63,0,0,0,64,0,0,0,65,0,0,0,66,0,0,0,67,0,0,0,68,0,0,0,69,0,0,0,70,0,0,0,71,0,0,0,72,0,0,0,73,0,0,0,74,0,0,0,75,0,0,0,76,0,0,0,193,0,0,0,84,0,0,0,194,0,0,0,85,0,0,0,86,0,0,0,87,0,0,0,151,0,0,0,152,0,0,0,153,0,0,0,154,0,0,0,155,0,0,0,156,0,0,0,157,0,0,0,158,0,0,0,159,0,0,0,160,0,0,0,161,0,0,0,162,0,0,0,163,0,0,0,164,0,0,0,165,0,0,0,166,0,0,0,167,0,0,0,168,0,0,0,169,0,0,0,170,0,0,0,171,0,0,0,172,0,0,0,173,0,0,0,174,0,0,0,175,0,0,0,176,0,0,0,195,0,0,0,223,0,0,0,196,0,0,0,88,0,0,0,69,16,0,0,199,0,0,0,214,0,0,0,217,0,0,0,233,0,0,0,219,0,0,0,197,0,0,0,234,0,0,0,216,0,0,0,221,0,0,0,222,0,0,0,228,0,0,0,225,0,0,0,211,0,0,0,224,0,0,0,210,0,0,0,220,0,0,0,200,0,0,0,201,0,0,0,202,0,0,0,203,0,0,0,204,0,0,0,205,0,0,0,206,0,0,0,207,0,0,0,208,0,0,0,209,0,0,0,212,0,0,0,213,0,0,0,191,0,0,0,226,0,0,0,192,0,0,0,215,0,0,0,190,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,25,0,0,0,26,0,0,0,193,0,0,0,84,0,0,0,194,0,0,0,85,0,0,0,86,0,0,0,87,0,0,0,101,0,0,0,102,0,0,0,103,0,0,0,104,0,0,0,105,0,0,0,106,0,0,0,107,0,0,0,108,0,0,0,109,0,0,0,110,0,0,0,111,0,0,0,112,0,0,0,113,0,0,0,114,0,0,0,115,0,0,0,116,0,0,0,117,0,0,0,118,0,0,0,119,0,0,0,120,0,0,0,121,0,0,0,122,0,0,0,123,0,0,0,124,0,0,0,125,0,0,0,126,0,0,0,195,0,0,0,223,0,0,0,196,0,0,0,88,0,0,0,201,55,0,0,151,8,0,0,204,10,0,0,218,10,0,0,222,10,0,0,209,10,0,0,223,10,0,0,208,10,0,0,217,10,0,0,211,10,0,0,212,10,0,0,171,8,0,0,184,8,0,0,163,8,0,0,183,8,0,0,162,8,0,0,172,8,0,0,190,10,0,0,191,10,0,0,192,10,0,0,193,10,0,0,194,10,0,0,195,10,0,0,196,10,0,0,197,10,0,0,198,10,0,0,199,10,0,0,164,8,0,0,165,8,0,0,193,8,0,0,190,8,0,0,194,8,0,0,205,10,0,0,225,8,0,0,3,8,0,0,4,8,0,0,5,8,0,0,6,8,0,0,7,8,0,0,8,8,0,0,9,8,0,0,10,8,0,0,11,8,0,0,12,8,0,0,13,8,0,0,14,8,0,0,15,8,0,0,16,8,0,0,17,8,0,0,18,8,0,0,19,8,0,0,20,8,0,0,21,8,0,0,22,8,0,0,23,8,0,0,24,8,0,0,25,8,0,0,26,8,0,0,27,8,0,0,28,8,0,0,175,8,0,0,36,8,0,0,176,8,0,0,199,8,0,0,75,2,0,0,201,8,0,0,103,8,0,0,104,8,0,0,105,8,0,0,106,8,0,0,107,8,0,0,108,8,0,0,109,8,0,0,110,8,0,0,111,8,0,0,112,8,0,0,113,8,0,0,114,8,0,0,115,8,0,0,116,8,0,0,117,8,0,0,118,8,0,0,119,8,0,0,120,8,0,0,121,8,0,0,122,8,0,0,123,8,0,0,124,8,0,0,125,8,0,0,126,8,0,0,127,8,0,0,128,8,0,0,177,8,0,0,181,8,0,0,178,8,0,0,198,8,0,0,201,48,0,0,151,8,0,0,166,8,0,0,169,8,0,0,227,8,0,0,226,8,0,0,223,8,0,0,224,8,0,0,168,8,0,0,173,8,0,0,174,8,0,0,171,8,0,0,184,8,0,0,163,8,0,0,183,8,0,0,162,8,0,0,172,8,0,0,152,8,0,0,153,8,0,0,154,8,0,0,155,8,0,0,156,8,0,0,157,8,0,0,158,8,0,0,159,8,0,0,160,8,0,0,161,8,0,0,164,8,0,0,165,8,0,0,193,8,0,0,190,8,0,0,194,8,0,0,167,8,0,0,225,8,0,0,209,7,0,0,210,7,0,0,211,7,0,0,212,7,0,0,213,7,0,0,214,7,0,0,215,7,0,0,216,7,0,0,217,7,0,0,218,7,0,0,219,7,0,0,220,7,0,0,221,7,0,0,222,7,0,0,223,7,0,0,224,7,0,0,225,7,0,0,226,7,0,0,227,7,0,0,228,7,0,0,229,7,0,0,230,7,0,0,231,7,0,0,232,7,0,0,233,7,0,0,234,7,0,0,175,8,0,0,36,8,0,0,176,8,0,0,199,8,0,0,75,2,0,0,201,8,0,0,53,8,0,0,54,8,0,0,55,8,0,0,56,8,0,0,57,8,0,0,58,8,0,0,59,8,0,0,60,8,0,0,61,8,0,0,62,8,0,0,63,8,0,0,64,8,0,0,65,8,0,0,66,8,0,0,67,8,0,0,68,8,0,0,69,8,0,0,70,8,0,0,71,8,0,0,72,8,0,0,73,8,0,0,74,8,0,0,75,8,0,0,76,8,0,0,77,8,0,0,78,8,0,0,177,8,0,0,181,8,0,0,178,8,0,0,198,8,0,0,241,10,0,0,242,10,0,0,243,10,0,0,244,10,0,0,245,10,0,0,246,10,0,0,247,10,0,0,248,10,0,0,249,10,0,0,250,10,0,0,251,10,0,0,252,10,0,0,253,10,0,0,254,10,0,0,255,10,0,0,0,11,0,0,1,11,0,0,2,11,0,0,3,11,0,0,4,11,0,0,5,11,0,0,6,11,0,0,7,11,0,0,8,11,0,0,9,11,0,0,10,11,0,0,11,11,0,0,12,11,0,0,13,11,0,0,14,11,0,0,15,11,0,0,16,11,0,0,85,11,0,0,86,11,0,0,87,11,0,0,88,11,0,0,89,11,0,0,90,11,0,0,91,11,0,0,92,11,0,0,93,11,0,0,94,11,0,0,95,11,0,0,96,11,0,0,97,11,0,0,98,11,0,0,99,11,0,0,100,11,0,0,101,11,0,0,102,11,0,0,103,11,0,0,104,11,0,0,105,11,0,0,106,11,0,0,107,11,0,0,108,11,0,0,109,11,0,0,110,11,0,0,111,11,0,0,112,11,0,0,113,11,0,0,114,11,0,0,115,11,0,0,116,11,0,0,201,23,0,0,151,8,0,0,192,12,0,0,206,12,0,0,210,12,0,0,197,12,0,0,161,12,0,0,196,12,0,0,205,12,0,0,199,12,0,0,200,12,0,0,151,12,0,0,153,12,0,0,189,12,0,0,152,12,0,0,188,12,0,0,198,12,0,0,178,12,0,0,179,12,0,0,180,12,0,0,181,12,0,0,182,12,0,0,183,12,0,0,184,12,0,0,185,12,0,0,186,12,0,0,187,12,0,0,190,12,0,0,191,12,0,0,158,12,0,0,154,12,0,0,159,12,0,0,193,12,0,0,162,12,0,0,235,11,0,0,236,11,0,0,237,11,0,0,238,11,0,0,239,11,0,0,240,11,0,0,241,11,0,0,242,11,0,0,243,11,0,0,244,11,0,0,245,11,0,0,246,11,0,0,247,11,0,0,16,8,0,0,249,11,0,0,250,11,0,0,251,11,0,0,252,11,0,0,253,11,0,0,254,11,0,0,255,11,0,0,0,12,0,0,1,12,0,0,2,12,0,0,3,12,0,0,4,12,0,0,175,8,0,0,36,8,0,0,176,8,0,0,199,8,0,0,75,2,0,0,201,8,0,0,79,12,0,0,80,12,0,0,81,12,0,0,82,12,0,0,83,12,0,0,84,12,0,0,85,12,0,0,86,12,0,0,87,12,0,0,88,12,0,0,89,12,0,0,90,12,0,0,91,12,0,0,92,12,0,0,93,12,0,0,94,12,0,0,95,12,0,0,96,12,0,0,97,12,0,0,98,12,0,0,99,12,0,0,100,12,0,0,101,12,0,0,102,12,0,0,103,12,0,0,104,12,0,0,177,8,0,0,181,8,0,0,178,8,0,0,198,8,0,0,201,16,0,0,151,8,0,0,142,12,0,0,156,12,0,0,160,12,0,0,147,12,0,0,161,12,0,0,146,12,0,0,155,12,0,0,149,12,0,0,150,12,0,0,151,12,0,0,153,12,0,0,139,12,0,0,152,12,0,0,138,12,0,0,148,12,0,0,128,12,0,0,129,12,0,0,130,12,0,0,131,12,0,0,132,12,0,0,133,12,0,0,134,12,0,0,135,12,0,0,136,12,0,0,137,12,0,0,140,12,0,0,141,12,0,0,158,12,0,0,154,12,0,0,159,12,0,0,143,12,0,0,162,12,0,0,185,11,0,0,186,11,0,0,187,11,0,0,188,11,0,0,189,11,0,0,190,11,0,0,191,11,0,0,192,11,0,0,193,11,0,0,194,11,0,0,195,11,0,0,196,11,0,0,197,11,0,0,222,7,0,0,199,11,0,0,200,11,0,0,201,11,0,0,202,11,0,0,203,11,0,0,204,11,0,0,205,11,0,0,206,11,0,0,207,11,0,0,208,11,0,0,209,11,0,0,210,11,0,0,175,8,0,0,36,8,0,0,176,8,0,0,199,8,0,0,75,2,0,0,201,8,0,0,29,12,0,0,30,12,0,0,31,12,0,0,32,12,0,0,33,12,0,0,34,12,0,0,35,12,0,0,36,12,0,0,37,12,0,0,38,12,0,0,39,12,0,0,40,12,0,0,41,12,0,0,42,12,0,0,43,12,0,0,44,12,0,0,45,12,0,0,46,12,0,0,47,12,0,0,48,12,0,0,49,12,0,0,50,12,0,0,51,12,0,0,52,12,0,0,53,12,0,0,54,12,0,0,177,8,0,0,181,8,0,0,178,8,0,0,198,8,0,0,118,17,0,0,175,4,0,0,190,4,0,0,193,4,0,0,251,4,0,0,250,4,0,0,247,4,0,0,248,4,0,0,192,4,0,0,197,4,0,0,198,4,0,0,195,4,0,0,208,4,0,0,187,4,0,0,207,4,0,0,186,4,0,0,196,4,0,0,176,4,0,0,177,4,0,0,178,4,0,0,179,4,0,0,180,4,0,0,181,4,0,0,182,4,0,0,183,4,0,0,184,4,0,0,185,4,0,0,188,4,0,0,189,4,0,0,217,4,0,0,214,4,0,0,218,4,0,0,191,4,0,0,249,4,0,0,27,4,0,0,28,4,0,0,29,4,0,0,30,4,0,0,31,4,0,0,32,4,0,0,33,4,0,0,34,4,0,0,35,4,0,0,36,4,0,0,37,4,0,0,38,4,0,0,39,4,0,0,40,4,0,0,41,4,0,0,42,4,0,0,43,4,0,0,44,4,0,0,45,4,0,0,46,4,0,0,47,4,0,0,48,4,0,0,49,4,0,0,50,4,0,0,51,4,0,0,52,4,0,0,199,4,0,0,60,4,0,0,200,4,0,0,223,4,0,0,74,2,0,0,225,4,0,0,127,4,0,0,128,4,0,0,129,4,0,0,130,4,0,0,131,4,0,0,132,4,0,0,133,4,0,0,134,4,0,0,135,4,0,0,136,4,0,0,137,4,0,0,138,4,0,0,139,4,0,0,140,4,0,0,141,4,0,0,142,4,0,0,143,4,0,0,144,4,0,0,145,4,0,0,146,4,0,0,147,4,0,0,148,4,0,0,149,4,0,0,150,4,0,0,151,4,0,0,152,4,0,0,201,4,0,0,205,4,0,0,202,4,0,0,222,4,0,0,118,16,0,0,175,4,0,0,190,4,0,0,193,4,0,0,251,4,0,0,250,4,0,0,247,4,0,0,248,4,0,0,192,4,0,0,197,4,0,0,198,4,0,0,195,4,0,0,208,4,0,0,187,4,0,0,207,4,0,0,186,4,0,0,196,4,0,0,176,4,0,0,177,4,0,0,178,4,0,0,179,4,0,0,180,4,0,0,181,4,0,0,182,4,0,0,183,4,0,0,184,4,0,0,185,4,0,0,188,4,0,0,165,8,0,0,217,4,0,0,214,4,0,0,218,4,0,0,191,4,0,0,249,4,0,0,233,3,0,0,234,3,0,0,235,3,0,0,236,3,0,0,237,3,0,0,238,3,0,0,239,3,0,0,240,3,0,0,241,3,0,0,242,3,0,0,243,3,0,0,244,3,0,0,245,3,0,0,246,3,0,0,247,3,0,0,248,3,0,0,249,3,0,0,250,3,0,0,251,3,0,0,252,3,0,0,253,3,0,0,254,3,0,0,255,3,0,0,0,4,0,0,1,4,0,0,2,4,0,0,199,4,0,0,60,4,0,0,200,4,0,0,223,4,0,0,74,2,0,0,225,4,0,0,77,4,0,0,78,4,0,0,79,4,0,0,80,4,0,0,81,4,0,0,82,4,0,0,83,4,0,0,84,4,0,0,85,4,0,0,86,4,0,0,87,4,0,0,88,4,0,0,89,4,0,0,90,4,0,0,91,4,0,0,92,4,0,0,93,4,0,0,94,4,0,0,95,4,0,0,96,4,0,0,97,4,0,0,98,4,0,0,99,4,0,0,100,4,0,0,101,4,0,0,102,4,0,0,201,4,0,0,205,4,0,0,202,4,0,0,222,4,0,0,201,23,0,0,151,8,0,0,204,10,0,0,218,10,0,0,222,10,0,0,209,10,0,0,223,10,0,0,208,10,0,0,217,10,0,0,211,10,0,0,212,10,0,0,171,8,0,0,184,8,0,0,163,8,0,0,183,8,0,0,162,8,0,0,172,8,0,0,190,10,0,0,191,10,0,0,192,10,0,0,193,10,0,0,194,10,0,0,195,10,0,0,196,10,0,0,197,10,0,0,198,10,0,0,199,10,0,0,164,8,0,0,165,8,0,0,193,8,0,0,190,8,0,0,194,8,0,0,167,8,0,0,225,8,0,0,247,9,0,0,248,9,0,0,249,9,0,0,250,9,0,0,251,9,0,0,252,9,0,0,253,9,0,0,254,9,0,0,255,9,0,0,0,10,0,0,1,10,0,0,2,10,0,0,3,10,0,0,4,10,0,0,5,10,0,0,6,10,0,0,7,10,0,0,8,10,0,0,9,10,0,0,10,10,0,0,11,10,0,0,12,10,0,0,13,10,0,0,14,10,0,0,15,10,0,0,16,10,0,0,175,8,0,0,36,8,0,0,176,8,0,0,199,8,0,0,74,2,0,0,201,8,0,0,91,10,0,0,92,10,0,0,93,10,0,0,94,10,0,0,95,10,0,0,96,10,0,0,97,10,0,0,98,10,0,0,99,10,0,0,100,10,0,0,101,10,0,0,102,10,0,0,103,10,0,0,104,10,0,0,105,10,0,0,106,10,0,0,107,10,0,0,108,10,0,0,109,10,0,0,110,10,0,0,111,10,0,0,112,10,0,0,113,10,0,0,114,10,0,0,115,10,0,0,116,10,0,0,177,8,0,0,181,8,0,0,178,8,0,0,198,8,0,0,201,17,0,0,151,8,0,0,202,2,0,0,205,2,0,0,221,2,0,0,207,2,0,0,185,2,0,0,222,2,0,0,204,2,0,0,209,2,0,0,210,2,0,0,216,2,0,0,213,2,0,0,199,2,0,0,212,2,0,0,198,2,0,0,208,2,0,0,188,2,0,0,189,2,0,0,190,2,0,0,191,2,0,0,192,2,0,0,193,2,0,0,194,2,0,0,195,2,0,0,196,2,0,0,197,2,0,0,200,2,0,0,201,2,0,0,179,2,0,0,214,2,0,0,180,2,0,0,203,2,0,0,178,2,0,0,39,2,0,0,40,2,0,0,41,2,0,0,42,2,0,0,43,2,0,0,44,2,0,0,45,2,0,0,46,2,0,0,47,2,0,0,48,2,0,0,49,2,0,0,50,2,0,0,51,2,0,0,52,2,0,0,53,2,0,0,54,2,0,0,55,2,0,0,56,2,0,0,57,2,0,0,58,2,0,0,59,2,0,0,60,2,0,0,61,2,0,0,62,2,0,0,63,2,0,0,64,2,0,0,181,2,0,0,72,2,0,0,182,2,0,0,199,8,0,0,74,2,0,0,201,8,0,0,139,2,0,0,140,2,0,0,141,2,0,0,142,2,0,0,143,2,0,0,144,2,0,0,145,2,0,0,146,2,0,0,147,2,0,0,148,2,0,0,149,2,0,0,150,2,0,0,151,2,0,0,152,2,0,0,153,2,0,0,154,2,0,0,155,2,0,0,156,2,0,0,157,2,0,0,158,2,0,0,159,2,0,0,160,2,0,0,161,2,0,0,162,2,0,0,163,2,0,0,164,2,0,0,183,2,0,0,211,2,0,0,184,2,0,0,198,8,0,0,201,16,0,0,151,8,0,0,154,10,0,0,168,10,0,0,172,10,0,0,159,10,0,0,173,10,0,0,158,10,0,0,167,10,0,0,161,10,0,0,162,10,0,0,163,10,0,0,165,10,0,0,151,10,0,0,164,10,0,0,150,10,0,0,160,10,0,0,140,10,0,0,141,10,0,0,142,10,0,0,143,10,0,0,144,10,0,0,145,10,0,0,146,10,0,0,147,10,0,0,148,10,0,0,149,10,0,0,152,10,0,0,153,10,0,0,170,10,0,0,166,10,0,0,171,10,0,0,155,10,0,0,174,10,0,0,197,9,0,0,198,9,0,0,199,9,0,0,200,9,0,0,201,9,0,0,202,9,0,0,203,9,0,0,204,9,0,0,205,9,0,0,206,9,0,0,207,9,0,0,208,9,0,0,209,9,0,0,210,9,0,0,211,9,0,0,212,9,0,0,213,9,0,0,214,9,0,0,215,9,0,0,216,9,0,0,217,9,0,0,218,9,0,0,219,9,0,0,220,9,0,0,221,9,0,0,222,9,0,0,175,8,0,0,36,8,0,0,176,8,0,0,199,8,0,0,75,2,0,0,201,8,0,0,41,10,0,0,42,10,0,0,43,10,0,0,44,10,0,0,45,10,0,0,46,10,0,0,47,10,0,0,48,10,0,0,49,10,0,0,50,10,0,0,51,10,0,0,52,10,0,0,53,10,0,0,54,10,0,0,55,10,0,0,56,10,0,0,57,10,0,0,58,10,0,0,59,10,0,0,60,10,0,0,61,10,0,0,62,10,0,0,63,10,0,0,64,10,0,0,65,10,0,0,66,10,0,0,177,8,0,0,181,8,0,0,178,8,0,0,198,8,0,0,201,16,0,0,151,8,0,0,202,2,0,0,205,2,0,0,221,2,0,0,207,2,0,0,185,2,0,0,222,2,0,0,204,2,0,0,209,2,0,0,210,2,0,0,216,2,0,0,213,2,0,0,199,2,0,0,212,2,0,0,198,2,0,0,208,2,0,0,188,2,0,0,189,2,0,0,190,2,0,0,191,2,0,0,192,2,0,0,193,2,0,0,194,2,0,0,195,2,0,0,196,2,0,0,197,2,0,0,200,2,0,0,201,2,0,0,179,2,0,0,214,2,0,0,180,2,0,0,203,2,0,0,178,2,0,0,245,1,0,0,246,1,0,0,247,1,0,0,248,1,0,0,249,1,0,0,250,1,0,0,251,1,0,0,252,1,0,0,253,1,0,0,254,1,0,0,255,1,0,0,0,2,0,0,1,2,0,0,2,2,0,0,3,2,0,0,4,2,0,0,5,2,0,0,6,2,0,0,7,2,0,0,8,2,0,0,9,2,0,0,10,2,0,0,11,2,0,0,12,2,0,0,13,2,0,0,14,2,0,0,181,2,0,0,72,2,0,0,182,2,0,0,199,8,0,0,74,2,0,0,201,8,0,0,89,2,0,0,90,2,0,0,91,2,0,0,92,2,0,0,93,2,0,0,94,2,0,0,95,2,0,0,96,2,0,0,97,2,0,0,98,2,0,0,99,2,0,0,100,2,0,0,101,2,0,0,102,2,0,0,103,2,0,0,104,2,0,0,105,2,0,0,106,2,0,0,107,2,0,0,108,2,0,0,109,2,0,0,110,2,0,0,111,2,0,0,112,2,0,0,113,2,0,0,114,2,0,0,183,2,0,0,211,2,0,0,184,2,0,0,198,8,0,0,104,85,8,0,131,117,4,0,247,111,4,0,175,9,0,0,1,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,255,255,255,255,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,255,255,255,255,1,0,0,0,0,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,208,68,0,0,154,2,0,0,155,2,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,47,0,0,0,1,0,0,0,1,0,0,0,147,0,0,0,148,0,0,0,156,2,0,0,0,0,0,0,192,68,0,0,5,0,0,0,157,2,0,0,158,2,0,0,108,85,8,0,54,121,4,0,243,120,4,0,93,1,0,0,1,0,0,0,0,0,0,0,80,69,0,0,159,2,0,0,160,2,0,0,149,0,0,0,0,0,0,0,64,69,0,0,5,0,0,0,161,2,0,0,162,2,0,0,0,0,0,0,48,69,0,0,163,2,0,0,164,2,0,0,150,0,0,0,0,0,0,0,32,69,0,0,5,0,0,0,165,2,0,0,166,2,0,0,0,0,0,0,16,69,0,0,167,2,0,0,168,2,0,0,151,0,0,0,0,0,0,0,0,69,0,0,5,0,0,0,169,2,0,0,170,2,0,0,0,0,0,0,240,68,0,0,171,2,0,0,172,2,0,0,152,0,0,0,0,0,0,0,224,68,0,0,5,0,0,0,173,2,0,0,174,2,0,0,112,149,13,0,214,123,4,0,224,121,4,0,137,6,0,0,1,0,0,0,66,0,0,0,67,0,0,0,68,0,0,0,69,0,0,0,70,0,0,0,71,0,0,0,72,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,37,0,0,0,38,0,0,0,0,0,0,0,39,0,0,0,40,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,42,0,0,0,43,0,0,0,0,0,0,0,44,0,0,0,45,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,47,0,0,0,48,0,0,0,0,0,0,0,49,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,96,69,0,0,24,0,0,0,175,2,0,0,153,0,0,0,0,0,0,0,112,69,0,0,176,2,0,0,177,2,0,0,154,0,0,0,116,149,13,0,24,125,4,0,224,121,4,0,33,10,0,0,1,0,0,0,0,0,0,0,128,69,0,0,178,2,0,0,179,2,0,0,155,0,0,0,120,149,13,0,253,125,4,0,224,121,4,0,85,11,0,0,1,0,0,0,124,149,13,0,91,126,4,0,224,121,4,0,183,11,0,0,1,0,0,0,132,149,13,0,233,126,4,0,224,121,4,0,228,11,0,0,1,0,0,0,136,149,13,0,159,128,4,0,38,128,4,0,148,2,0,0,1,0,0,0,140,149,13,0,201,128,4,0,38,128,4,0,2,3,0,0,1,0,0,0,144,149,13,0,207,130,4,0,133,130,4,0,207,2,0,0,1,0,0,0,0,0,0,0,160,69,0,0,24,0,0,0,180,2,0,0,156,0,0,0,0,0,0,0,144,69,0,0,24,0,0,0,181,2,0,0,157,0,0,0,152,149,13,0,178,131,4,0,133,130,4,0,93,3,0,0,1,0,0,0,148,149,13,0,120,131,4,0,133,130,4,0,176,2,0,0,1,0,0,0,138,191,17,0,245,131,4,0,6,132,4,0,37,132,4,0,60,132,4,0,84,132,4,0,106,132,4,0,123,132,4,0,153,132,4,0,170,132,4,0,177,132,4,0,192,132,4,0,209,132,4,0,221,132,4,0,243,132,4,0,4,133,4,0,33,133,4,0,53,133,4,0,87,133,4,0,112,133,4,0,139,133,4,0,151,133,4,0,170,133,4,0,182,133,4,0,204,133,4,0,216,133,4,0,230,133,4,0,245,131,4,0,6,132,4,0,247,133,4,0,3,134,4,0,84,132,4,0,230,133,4,0,153,132,4,0,20,134,4,0,170,132,4,0,192,132,4,0,59,134,4,0,221,132,4,0,243,132,4,0,71,134,4,0,4,133,4,0,93,134,4,0,33,133,4,0,110,134,4,0,139,133,4,0,129,134,4,0,159,134,4,0,204,133,4,0,185,134,4,0,209,134,4,0,236,134,4,0,253,134,4,0,30,135,4,0,59,135,4,0,83,135,4,0,105,135,4,0,122,135,4,0,153,135,4,0,170,135,4,0,177,135,4,0,194,135,4,0,211,135,4,0,223,135,4,0,245,135,4,0,6,136,4,0,39,136,4,0,61,136,4,0,113,136,4,0,146,136,4,0,173,136,4,0,185,136,4,0,204,136,4,0,216,136,4,0,238,136,4,0,250,136,4,0,8,137,4,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,19,137,4,0,36,137,4,0,43,137,4,0,55,137,4,0,62,137,4,0,69,137,4,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,84,137,4,0,110,137,4,0,136,137,4,0,157,137,4,0,183,137,4,0,204,137,4,0,222,137,4,0,254,137,4,0,18,138,4,0,36,138,4,0,60,138,4,0,170,132,4,0,77,138,4,0,114,138,4,0,134,138,4,0,155,138,4,0,181,138,4,0,207,138,4,0,223,138,4,0,250,138,4,0,12,139,4,0,32,139,4,0,44,139,4,0,66,139,4,0,78,139,4,0,96,139,4,0,107,139,4,0,132,139,4,0,169,139,4,0,195,139,4,0,226,139,4,0,0,140,4,0,32,140,4,0,64,140,4,0,103,140,4,0,118,140,4,0,143,140,4,0,161,140,4,0,194,140,4,0,212,140,4,0,134,138,4,0,255,140,4,0,22,141,4,0,45,141,4,0,68,141,4,0,82,141,4,0,105,141,4,0,136,141,4,0,160,141,4,0,188,141,4,0,218,141,4,0,250,141,4,0,17,142,4,0,36,142,4,0,68,142,4,0,93,142,4,0,117,142,4,0,151,142,4,0,179,142,4,0,209,142,4,0,241,142,4,0,10,143,4,0,23,143,4,0,72,143,4,0,134,138,4,0,106,143,4,0,138,143,4,0,164,143,4,0,188,143,4,0,215,143,4,0,233,143,4,0,11,144,4,0,36,144,4,0,76,144,4,0,112,144,4,0,148,144,4,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,173,144,4,0,202,144,4,0,228,144,4,0,6,145,4,0,36,145,4,0,138,191,17,0,138,191,17,0,61,145,4,0,119,145,4,0,128,145,4,0,137,145,4,0,148,145,4,0,159,145,4,0,184,145,4,0,209,145,4,0,1,146,4,0,4,146,4,0,7,146,4,0,32,146,4,0,41,146,4,0,60,146,4,0,90,146,4,0,104,146,4,0,132,146,4,0,161,146,4,0,173,146,4,0,211,146,4,0,240,146,4,0,253,146,4,0,12,147,4,0,36,147,4,0,62,147,4,0,85,147,4,0,119,147,4,0,126,147,4,0,138,147,4,0,159,147,4,0,191,147,4,0,198,147,4,0,213,147,4,0,228,147,4,0,235,147,4,0,242,147,4,0,254,147,4,0,10,148,4,0,22,148,4,0,39,148,4,0,52,148,4,0,67,148,4,0,82,148,4,0,96,148,4,0,118,148,4,0,161,148,4,0,199,148,4,0,138,191,17,0,236,148,4,0,4,149,4,0,66,149,4,0,138,191,17,0,73,149,4,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,86,149,4,0,138,191,17,0,172,149,4,0,138,191,17,0,226,149,4,0,138,191,17,0,242,149,4,0,138,191,17,0,255,149,4,0,138,191,17,0,53,150,4,0,60,150,4,0,138,191,17,0,72,150,4,0,162,150,4,0,4,151,4,0,97,151,4,0,217,151,4],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+61440);allocate([108,152,4,0,29,153,4,0,193,153,4,0,79,154,4,0,216,154,4,0,6,155,4,0,109,155,4,0,187,155,4,0,43,156,4,0,134,156,4,0,156,156,4,0,138,191,17,0,191,156,4,0,234,156,4,0,21,157,4,0,53,157,4,0,85,157,4,0,138,191,17,0,117,157,4,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,134,157,4,0,151,157,4,0,198,157,4,0,237,157,4,0,13,158,4,0,35,158,4,0,52,158,4,0,98,158,4,0,115,158,4,0,122,158,4,0,145,158,4,0,162,158,4,0,174,158,4,0,196,158,4,0,213,158,4,0,2,159,4,0,30,159,4,0,80,159,4,0,113,159,4,0,156,159,4,0,168,159,4,0,191,159,4,0,203,159,4,0,225,159,4,0,237,159,4,0,251,159,4,0,134,157,4,0,151,157,4,0,12,160,4,0,24,160,4,0,13,158,4,0,251,159,4,0,98,158,4,0,41,160,4,0,115,158,4,0,145,158,4,0,91,160,4,0,174,158,4,0,196,158,4,0,103,160,4,0,213,158,4,0,120,160,4,0,2,159,4,0,137,160,4,0,156,159,4,0,156,160,4,0,194,160,4,0,236,160,4,0,248,160,4,0,28,161,4,0,63,161,4,0,104,161,4,0,186,161,4,0,235,161,4,0,50,162,4,0,107,162,4,0,162,162,4,0,221,162,4,0,41,163,4,0,92,163,4,0,143,163,4,0,220,163,4,0,23,164,4,0,112,164,4,0,176,164,4,0,235,164,4,0,42,165,4,0,107,165,4,0,184,165,4,0,241,165,4,0,35,166,4,0,101,166,4,0,166,166,4,0,214,166,4,0,30,167,4,0,106,167,4,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,187,167,4,0,204,167,4,0,211,167,4,0,223,167,4,0,230,167,4,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,243,167,4,0,23,168,4,0,59,168,4,0,90,168,4,0,126,168,4,0,163,168,4,0,181,168,4,0,227,168,4,0,249,168,4,0,11,169,4,0,35,169,4,0,115,158,4,0,52,169,4,0,89,169,4,0,111,169,4,0,148,169,4,0,184,169,4,0,220,169,4,0,238,169,4,0,19,170,4,0,37,170,4,0,59,170,4,0,71,170,4,0,93,170,4,0,105,170,4,0,125,170,4,0,142,170,4,0,190,170,4,0,251,170,4,0,29,171,4,0,78,171,4,0,116,171,4,0,162,171,4,0,200,171,4,0,255,171,4,0,18,172,4,0,55,172,4,0,73,172,4,0,114,172,4,0,142,172,4,0,199,172,4,0,236,172,4,0,5,173,4,0,44,173,4,0,81,173,4,0,97,173,4,0,130,173,4,0,173,173,4,0,201,173,4,0,241,173,4,0,31,174,4,0,76,174,4,0,123,174,4,0,152,174,4,0,200,174,4,0,235,174,4,0,28,175,4,0,84,175,4,0,142,175,4,0,174,175,4,0,214,175,4,0,23,176,4,0,60,176,4,0,125,176,4,0,171,176,4,0,218,176,4,0,9,177,4,0,63,177,4,0,94,177,4,0,126,177,4,0,157,177,4,0,195,177,4,0,229,177,4,0,22,178,4,0,62,178,4,0,108,178,4,0,155,178,4,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,200,178,4,0,253,178,4,0,29,179,4,0,75,179,4,0,117,179,4,0,138,191,17,0,138,191,17,0,150,179,4,0,238,179,4,0,247,179,4,0,0,180,4,0,17,180,4,0,34,180,4,0,67,180,4,0,100,180,4,0,4,146,4,0,163,180,4,0,166,180,4,0,203,180,4,0,214,180,4,0,245,180,4,0,22,181,4,0,36,181,4,0,73,181,4,0,122,181,4,0,134,181,4,0,195,181,4,0,244,181,4,0,1,182,4,0,20,182,4,0,44,182,4,0,74,182,4,0,92,182,4,0,134,182,4,0,141,182,4,0,153,182,4,0,182,182,4,0,235,182,4,0,242,182,4,0,9,183,4,0,32,183,4,0,39,183,4,0,46,183,4,0,58,183,4,0,70,183,4,0,82,183,4,0,99,183,4,0,112,183,4,0,129,183,4,0,146,183,4,0,164,183,4,0,186,183,4,0,1,184,4,0,55,184,4,0,108,184,4,0,120,184,4,0,132,184,4,0,141,184,4,0,176,184,4,0,239,184,4,0,35,185,4,0,73,185,4,0,165,185,4,0,13,186,4,0,138,191,17,0,138,191,17,0,138,191,17,0,118,186,4,0,154,186,4,0,186,186,4,0,203,186,4,0,253,186,4,0,45,187,4,0,71,187,4,0,91,187,4,0,114,187,4,0,141,187,4,0,164,187,4,0,179,187,4,0,192,187,4,0,207,187,4,0,222,187,4,0,9,188,4,0,52,188,4,0,115,188,4,0,155,188,4,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,215,188,4,0,222,188,4,0,229,188,4,0,236,188,4,0,243,188,4,0,250,188,4,0,1,189,4,0,138,191,17,0,8,189,4,0,15,189,4,0,22,189,4,0,29,189,4,0,138,191,17,0,36,189,4,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,43,189,4,0,62,189,4,0,81,189,4,0,100,189,4,0,119,189,4,0,130,189,4,0,141,189,4,0,152,189,4,0,163,189,4,0,210,189,4,0,1,190,4,0,48,190,4,0,95,190,4,0,138,190,4,0,177,190,4,0,138,191,17,0,228,190,4,0,245,190,4,0,0,191,4,0,12,191,4,0,29,191,4,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,46,191,4,0,83,191,4,0,96,191,4,0,107,191,4,0,120,191,4,0,145,191,4,0,157,191,4,0,169,191,4,0,138,191,17,0,138,191,17,0,186,191,4,0,250,191,4,0,42,192,4,0,73,192,4,0,104,192,4,0,135,192,4,0,166,192,4,0,138,191,17,0,138,191,17,0,138,191,17,0,206,192,4,0,231,192,4,0,252,192,4,0,22,193,4,0,54,193,4,0,91,193,4,0,112,193,4,0,141,193,4,0,205,193,4,0,225,193,4,0,35,194,4,0,149,194,4,0,65,195,4,0,143,195,4,0,205,195,4,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,232,195,4,0,245,195,4,0,10,196,4,0,39,196,4,0,46,191,4,0,76,196,4,0,121,196,4,0,190,196,4,0,3,197,4,0,104,197,4,0,172,197,4,0,237,197,4,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,42,198,4,0,74,198,4,0,140,198,4,0,188,198,4,0,238,198,4,0,22,199,4,0,58,199,4,0,126,199,4,0,173,199,4,0,195,199,4,0,232,199,4,0,23,200,4,0,49,200,4,0,101,200,4,0,138,200,4,0,201,200,4,0,248,200,4,0,83,201,4,0,152,201,4,0,216,201,4,0,246,201,4,0,28,202,4,0,55,202,4,0,97,202,4,0,134,202,4,0,170,202,4,0,42,198,4,0,74,198,4,0,200,202,4,0,226,202,4,0,238,198,4,0,170,202,4,0,126,199,4,0,253,202,4,0,173,199,4,0,232,199,4,0,80,203,4,0,49,200,4,0,101,200,4,0,107,203,4,0,138,200,4,0,169,203,4,0,201,200,4,0,206,203,4,0,216,201,4,0,243,203,4,0,50,204,4,0,97,202,4,0,125,204,4,0,186,204,4,0,253,204,4,0,29,205,4,0,93,205,4,0,143,205,4,0,193,205,4,0,233,205,4,0,13,206,4,0,77,206,4,0,124,206,4,0,146,206,4,0,183,206,4,0,230,206,4,0,0,207,4,0,52,207,4,0,89,207,4,0,152,207,4,0,197,207,4,0,30,208,4,0,95,208,4,0,151,208,4,0,181,208,4,0,219,208,4,0,246,208,4,0,32,209,4,0,69,209,4,0,105,209,4,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,135,209,4,0,142,209,4,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,154,209,4,0,216,209,4,0,15,210,4,0,63,210,4,0,123,210,4,0,174,210,4,0,212,210,4,0,36,211,4,0,87,211,4,0,120,211,4,0,164,211,4,0,211,211,4,0,233,211,4,0,57,212,4,0,108,212,4,0,163,212,4,0,223,212,4,0,22,213,4,0,63,213,4,0,115,213,4,0,142,213,4,0,193,213,4,0,220,213,4,0,6,214,4,0,43,214,4,0,86,214,4,0,116,214,4,0,178,214,4,0,254,214,4,0,35,215,4,0,111,215,4,0,163,215,4,0,219,215,4,0,13,216,4,0,82,216,4,0,108,216,4,0,157,216,4,0,185,216,4,0,234,216,4,0,14,217,4,0,83,217,4,0,138,217,4,0,174,217,4,0,230,217,4,0,29,218,4,0,55,218,4,0,103,218,4,0,171,218,4,0,204,218,4,0,2,219,4,0,72,219,4,0,134,219,4,0,195,219,4,0,239,219,4,0,50,220,4,0,96,220,4,0,141,220,4,0,207,220,4,0,6,221,4,0,57,221,4,0,108,221,4,0,168,221,4,0,199,221,4,0,31,222,4,0,83,217,4,0,95,222,4,0,162,222,4,0,215,222,4,0,2,223,4,0,50,223,4,0,81,223,4,0,55,218,4,0,145,223,4,0,217,223,4,0,35,224,4,0,103,224,4,0,154,224,4,0,227,224,4,0,24,225,4,0,73,225,4,0,161,225,4,0,245,225,4,0,138,191,17,0,11,226,4,0,52,226,4,0,120,226,4,0,185,226,4,0,138,191,17,0,138,191,17,0,138,191,17,0,229,226,4,0,60,227,4,0,133,227,4,0,205,227,4,0,68,228,4,0,186,228,4,0,138,191,17,0,226,228,4,0,229,228,4,0,232,228,4,0,31,229,4,0,50,229,4,0,118,229,4,0,194,229,4,0,218,229,4,0,25,230,4,0,96,230,4,0,137,230,4,0,235,230,4,0,50,231,4,0,63,231,4,0,80,231,4,0,104,231,4,0,132,231,4,0,161,231,4,0,218,231,4,0,230,231,4,0,252,231,4,0,17,232,4,0,34,232,4,0,41,232,4,0,73,232,4,0,105,232,4,0,127,232,4,0,149,232,4,0,198,232,4,0,247,232,4,0,0,233,4,0,9,233,4,0,16,233,4,0,28,233,4,0,35,233,4,0,47,233,4,0,64,233,4,0,81,233,4,0,93,233,4,0,106,233,4,0,135,233,4,0,147,233,4,0,164,233,4,0,181,233,4,0,190,233,4,0,199,233,4,0,218,233,4,0,237,233,4,0,24,234,4,0,56,234,4,0,72,234,4,0,86,234,4,0,100,234,4,0,128,234,4,0,145,234,4,0,162,234,4,0,179,234,4,0,138,191,17,0,196,234,4,0,219,234,4,0,242,234,4,0,9,235,4,0,32,235,4,0,60,235,4,0,85,235,4,0,110,235,4,0,135,235,4,0,160,235,4,0,233,235,4,0,4,236,4,0,23,236,4,0,75,236,4,0,154,236,4,0,207,236,4,0,2,237,4,0,83,237,4,0,141,237,4,0,207,237,4,0,229,237,4,0,51,238,4,0,106,238,4,0,188,238,4,0,138,191,17,0,210,238,4,0,2,239,4,0,64,239,4,0,108,239,4,0,155,239,4,0,203,239,4,0,250,239,4,0,45,240,4,0,97,240,4,0,147,240,4,0,198,240,4,0,238,240,4,0,26,241,4,0,48,241,4,0,116,241,4,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,184,241,4,0,221,241,4,0,2,242,4,0,42,242,4,0,82,242,4,0,104,242,4,0,126,242,4,0,177,242,4,0,228,242,4,0,20,243,4,0,68,243,4,0,92,243,4,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,156,243,4,0,188,243,4,0,18,244,4,0,82,244,4,0,140,244,4,0,180,244,4,0,216,244,4,0,37,245,4,0,84,245,4,0,106,245,4,0,145,245,4,0,192,245,4,0,218,245,4,0,14,246,4,0,51,246,4,0,138,246,4,0,193,246,4,0,62,247,4,0,147,247,4,0,215,247,4,0,245,247,4,0,33,248,4,0,60,248,4,0,102,248,4,0,139,248,4,0,175,248,4,0,156,243,4,0,188,243,4,0,205,248,4,0,231,248,4,0,140,244,4,0,175,248,4,0,37,245,4,0,2,249,4,0,84,245,4,0,145,245,4,0,109,249,4,0,218,245,4,0,14,246,4,0,136,249,4,0,51,246,4,0,198,249,4,0,138,246,4,0,235,249,4,0,215,247,4,0,16,250,4,0,79,250,4,0,102,248,4,0,170,250,4,0,247,250,4,0,74,251,4,0,106,251,4,0,184,251,4,0,252,251,4,0,54,252,4,0,94,252,4,0,130,252,4,0,212,252,4,0,3,253,4,0,25,253,4,0,66,253,4,0,113,253,4,0,139,253,4,0,191,253,4,0,228,253,4,0,55,254,4,0,106,254,4,0,225,254,4,0,48,255,4,0,118,255,4,0,148,255,4,0,196,255,4,0,223,255,4,0,9,0,5,0,46,0,5,0,82,0,5,0,112,0,5,0,197,0,5,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,0,1,5,0,7,1,5,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,19,1,5,0,95,1,5,0,158,1,5,0,214,1,5,0,26,2,5,0,87,2,5,0,129,2,5,0,245,2,5,0,40,3,5,0,73,3,5,0,121,3,5,0,168,3,5,0,190,3,5,0,14,4,5,0,65,4,5,0,136,4,5,0,204,4,5,0,11,5,5,0,54,5,5,0,118,5,5,0,149,5,5,0,200,5,5,0,227,5,5,0,13,6,5,0,50,6,5,0,91,6,5,0,121,6,5,0,199,6,5,0,53,7,5,0,107,7,5,0,194,7,5,0,0,8,5,0,62,8,5,0,124,8,5,0,211,8,5,0,241,8,5,0,40,9,5,0,84,9,5,0,137,9,5,0,182,9,5,0,13,10,5,0,76,10,5,0,116,10,5,0,177,10,5,0,245,10,5,0,19,11,5,0,80,11,5,0,153,11,5,0,198,11,5,0,8,12,5,0,94,12,5,0,170,12,5,0,239,12,5,0,33,13,5,0,114,13,5,0,166,13,5,0,235,13,5,0,63,14,5,0,122,14,5,0,173,14,5,0,236,14,5,0,44,15,5,0,79,15,5,0,179,15,5,0,13,10,5,0,251,15,5,0,76,16,5,0,139,16,5,0,190,16,5,0,246,16,5,0,25,17,5,0,97,17,5,0,149,17,5,0,229,17,5,0,55,18,5,0,135,18,5,0,194,18,5,0,19,19,5,0,80,19,5,0,144,19,5,0,244,19,5,0,91,20,5,0,138,191,17,0,113,20,5,0,162,20,5,0,246,20,5,0,71,21,5,0,138,191,17,0,138,191,17,0,125,21,5,0,214,21,5,0,93,22,5,0,194,22,5,0,42,23,5,0,209,23,5,0,123,24,5,0,138,191,17,0,4,146,4,0,163,180,4,0,163,24,5,0,242,24,5,0,7,25,5,0,95,25,5,0,187,25,5,0,211,25,5,0,30,26,5,0,125,26,5,0,184,26,5,0,50,27,5,0,244,181,4,0,145,27,5,0,20,182,4,0,162,27,5,0,190,27,5,0,219,27,5,0,26,28,5,0,38,28,5,0,153,182,4,0,60,28,5,0,235,182,4,0,2,242,4,0,42,242,4,0,82,242,4,0,104,242,4,0,126,242,4,0,177,242,4,0,77,28,5,0,86,28,5,0,32,183,4,0,95,28,5,0,39,183,4,0,46,183,4,0,107,28,5,0,124,28,5,0,70,183,4,0,141,28,5,0,164,28,5,0,58,183,4,0,193,28,5,0,210,28,5,0,238,179,4,0,247,179,4,0,227,28,5,0,246,28,5,0,9,29,5,0,52,29,5,0,100,29,5,0,116,29,5,0,130,29,5,0,144,29,5,0,129,183,4,0,112,183,4,0,180,29,5,0,197,29,5,0,214,29,5,0,233,29,5,0,4,30,5,0,31,30,5,0,58,30,5,0,85,30,5,0,117,30,5,0,138,30,5,0,159,30,5,0,180,30,5,0,201,30,5,0,32,31,5,0,59,31,5,0,92,243,4,0,78,31,5,0,177,31,5,0,230,31,5,0,37,32,5,0,134,32,5,0,244,32,5,0,164,183,4,0,70,33,5,0,160,33,5,0,216,33,5,0,63,34,5,0,138,191,17,0,85,34,5,0,160,34,5,0,244,34,5,0,40,35,5,0,95,35,5,0,155,35,5,0,208,35,5,0,9,36,5,0,94,36,5,0,163,36,5,0,222,36,5,0,14,37,5,0,66,37,5,0,88,37,5,0,184,37,5,0,24,38,5,0,49,38,5,0,74,38,5,0,99,38,5,0,138,191,17,0,124,38,5,0,202,38,5,0,45,39,5,0,101,39,5,0,193,39,5,0,32,40,5,0,122,40,5,0,201,40,5,0,1,41,5,0,60,41,5,0,125,41,5,0,191,41,5,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,25,42,5,0,48,42,5,0,83,42,5,0,118,42,5,0,118,42,5,0,185,42,5,0,248,42,5,0,24,43,5,0,56,43,5,0,104,43,5,0,136,43,5,0,168,43,5,0,1,44,5,0,49,44,5,0,219,44,5,0,156,45,5,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,25,42,5,0,48,42,5,0,83,42,5,0,208,45,5,0,118,42,5,0,185,42,5,0,248,42,5,0,24,43,5,0,56,43,5,0,104,43,5,0,136,43,5,0,15,46,5,0,83,46,5,0,49,44,5,0,131,46,5,0,40,47,5,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,201,47,5,0,238,47,5,0,24,48,5,0,80,48,5,0,136,48,5,0,162,48,5,0,188,48,5,0,7,49,5,0,82,49,5,0,146,49,5,0,210,49,5,0,236,49,5,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,91,50,5,0,127,50,5,0,211,50,5,0,31,51,5,0,93,51,5,0,141,51,5,0,179,51,5,0,11,52,5,0,51,52,5,0,67,52,5,0,107,52,5,0,147,52,5,0,173,52,5,0,219,52,5,0,255,52,5,0,79,53,5,0,131,53,5,0,225,53,5,0,33,54,5,0,119,54,5,0,147,54,5,0,195,54,5,0,221,54,5,0,11,55,5,0,41,55,5,0,73,55,5,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,109,55,5,0,183,55,5,0,63,56,5,0,145,56,5,0,231,56,5,0,71,57,5,0,161,57,5,0,9,58,5,0,117,58,5,0,183,58,5,0,251,58,5,0,109,59,5,0,189,59,5,0,27,60,5,0,101,60,5,0,169,60,5,0,17,61,5,0,103,61,5,0,229,61,5,0,45,62,5,0,120,62,5,0,196,62,5,0,12,63,5,0,90,63,5,0,193,63,5,0,19,64,5,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,106,64,5,0,176,64,5,0,246,64,5,0,54,65,5,0,124,65,5,0,196,65,5,0,241,65,5,0,79,66,5,0,127,66,5,0,173,66,5,0,219,66,5,0,51,52,5,0,3,67,5,0,83,67,5,0,131,67,5,0,203,67,5,0,17,68,5,0,87,68,5,0,127,68,5,0,221,68,5,0,251,68,5,0,43,69,5,0,69,69,5,0,115,69,5,0,145,69,5,0,177,69,5,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,213,69,5,0,21,70,5,0,66,70,5,0,110,70,5,0,174,70,5,0,220,70,5,0,18,71,5,0,92,71,5,0,149,71,5,0,186,71,5,0,233,71,5,0,35,72,5,0,68,72,5,0,154,72,5,0,216,72,5,0,18,73,5,0,75,73,5,0,143,73,5,0,189,73,5,0,232,73,5,0,14,74,5,0,66,74,5,0,111,74,5,0,180,74,5,0,4,75,5,0,66,75,5,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,4,146,4,0,163,180,4,0,140,75,5,0,221,75,5,0,245,75,5,0,55,76,5,0,145,76,5,0,178,76,5,0,21,77,5,0,140,77,5,0,163,77,5,0,40,78,5,0,159,78,5,0,191,78,5,0,237,78,5,0,43,79,5,0,119,79,5,0,165,79,5,0,19,80,5,0,65,80,5,0,111,80,5,0,250,80,5,0,93,81,5,0,109,81,5,0,157,81,5,0,205,81,5,0,20,82,5,0,36,82,5,0,66,82,5,0,96,82,5,0,117,82,5,0,157,82,5,0,216,82,5,0,236,82,5,0,0,83,5,0,58,83,5,0,182,83,5,0,89,84,5,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,4,146,4,0,163,180,4,0,191,84,5,0,18,85,5,0,46,85,5,0,128,85,5,0,226,85,5,0,245,85,5,0,64,86,5,0,155,86,5,0,212,86,5,0,78,87,5,0,169,87,5,0,182,87,5,0,199,87,5,0,221,87,5,0,249,87,5,0,25,88,5,0,92,88,5,0,109,88,5,0,126,88,5,0,235,88,5,0,59,89,5,0,66,89,5,0,106,89,5,0,146,89,5,0,39,183,4,0,46,183,4,0,58,183,4,0,163,89,5,0,175,89,5,0,197,89,5,0,238,179,4,0,247,179,4,0,226,89,5,0,248,89,5,0,134,32,5,0,177,31,5,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,156,243,4,0,55,90,5,0,188,243,4,0,205,248,4,0,114,90,5,0,140,244,4,0,169,90,5,0,48,91,5,0,136,91,5,0,183,91,5,0,249,91,5,0,74,92,5,0,218,245,4,0,37,245,4,0,51,246,4,0,198,249,4,0,138,246,4,0,18,244,4,0,215,247,4,0,121,92,5,0,166,92,5,0,102,248,4,0,1,93,5,0,48,93,5,0,99,93,5],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+71680);allocate([151,93,5,0,213,93,5,0,16,94,5,0,91,94,5,0,146,94,5,0,223,94,5,0,79,95,5,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,19,1,5,0,164,95,5,0,2,96,5,0,72,96,5,0,98,96,5,0,26,2,5,0,139,96,5,0,250,96,5,0,76,97,5,0,123,97,5,0,189,97,5,0,4,98,5,0,45,98,5,0,97,98,5,0,65,4,5,0,144,98,5,0,136,4,5,0,158,1,5,0,181,98,5,0,211,98,5,0,252,98,5,0,13,6,5,0,94,99,5,0,135,99,5,0,186,99,5,0,238,99,5,0,38,100,5,0,89,100,5,0,156,100,5,0,203,100,5,0,14,101,5,0,110,101,5,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,185,101,5,0,247,101,5,0,132,102,5,0,205,102,5,0,61,103,5,0,203,103,5,0,67,104,5,0,179,104,5,0,60,105,5,0,127,105,5,0,210,105,5,0,71,106,5,0,160,106,5,0,11,107,5,0,78,107,5,0,183,107,5,0,32,108,5,0,180,108,5,0,68,109,5,0,155,109,5,0,252,109,5,0,77,110,5,0,136,110,5,0,231,110,5,0,67,111,5,0,150,111,5,0,185,101,5,0,247,101,5,0,221,111,5,0,54,112,5,0,61,103,5,0,150,111,5,0,179,104,5,0,91,112,5,0,60,105,5,0,210,105,5,0,0,113,5,0,160,106,5,0,11,107,5,0,57,113,5,0,78,107,5,0,229,113,5,0,183,107,5,0,100,114,5,0,155,109,5,0,163,114,5,0,21,115,5,0,231,110,5,0,167,115,5,0,63,116,5,0,172,116,5,0,238,116,5,0,123,117,5,0,204,117,5,0,62,118,5,0,199,118,5,0,63,119,5,0,185,119,5,0,66,120,5,0,133,120,5,0,220,120,5,0,86,121,5,0,170,121,5,0,30,122,5,0,104,122,5,0,213,122,5,0,64,123,5,0,214,123,5,0,98,124,5,0,185,124,5,0,21,125,5,0,108,125,5,0,169,125,5,0,12,126,5,0,104,126,5,0,192,126,5,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,253,126,5,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,31,127,5,0,135,127,5,0,223,127,5,0,34,128,5,0,130,128,5,0,209,128,5,0,26,129,5,0,196,129,5,0,54,130,5,0,129,130,5,0,205,130,5,0,53,131,5,0,107,131,5,0,25,132,5,0,139,132,5,0,228,132,5,0,81,133,5,0,182,133,5,0,3,134,5,0,86,134,5,0,128,134,5,0,206,134,5,0,4,135,5,0,82,135,5,0,164,135,5,0,236,135,5,0,51,136,5,0,154,136,5,0,28,137,5,0,122,137,5,0,239,137,5,0,79,138,5,0,180,138,5,0,4,139,5,0,127,139,5,0,178,139,5,0,27,140,5,0,81,140,5,0,161,140,5,0,234,140,5,0,139,132,5,0,109,141,5,0,179,141,5,0,12,142,5,0,115,142,5,0,165,142,5,0,243,142,5,0,102,143,5,0,172,143,5,0,19,144,5,0,125,144,5,0,221,144,5,0,64,145,5,0,131,145,5,0,241,145,5,0,50,146,5,0,138,146,5,0,248,146,5,0,68,147,5,0,134,147,5,0,220,147,5,0,55,148,5,0,104,148,5,0,219,148,5,0,43,149,5,0,132,149,5,0,255,149,5,0,104,150,5,0,162,150,5,0,253,150,5,0,41,151,5,0,121,151,5,0,178,151,5,0,14,152,5,0,113,152,5,0,207,152,5,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,24,153,5,0,139,153,5,0,224,153,5,0,75,154,5,0,188,154,5,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,4,146,4,0,163,180,4,0,12,155,5,0,109,155,5,0,158,155,5,0,21,156,5,0,167,156,5,0,216,156,5,0,65,157,5,0,199,157,5,0,24,158,5,0,174,158,5,0,159,78,5,0,191,78,5,0,237,78,5,0,43,79,5,0,52,159,5,0,116,159,5,0,19,80,5,0,65,80,5,0,216,159,5,0,102,160,5,0,93,81,5,0,211,160,5,0,8,161,5,0,205,81,5,0,20,82,5,0,36,82,5,0,66,82,5,0,96,82,5,0,117,82,5,0,157,82,5,0,216,82,5,0,236,82,5,0,0,83,5,0,61,161,5,0,197,161,5,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,4,146,4,0,163,180,4,0,73,162,5,0,186,162,5,0,223,162,5,0,67,163,5,0,191,163,5,0,219,163,5,0,56,164,5,0,175,164,5,0,248,164,5,0,185,165,5,0,48,166,5,0,80,166,5,0,123,166,5,0,185,166,5,0,2,167,5,0,66,167,5,0,180,167,5,0,223,167,5,0,10,168,5,0,150,168,5,0,251,168,5,0,11,169,5,0,73,169,5,0,135,169,5,0,20,82,5,0,36,82,5,0,66,82,5,0,206,169,5,0,227,169,5,0,11,170,5,0,216,82,5,0,236,82,5,0,70,170,5,0,128,170,5,0,8,171,5,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,138,191,17,0,0,0,0,0,0,0,0,0,176,69,0,0,182,2,0,0,183,2,0,0,51,0,0,0,158,0,0,0,0,0,0,0,184,69,0,0,184,2,0,0,185,2,0,0,159,0,0,0,19,0,0,0,48,0,0,0,4,0,0,0,49,0,0,0,160,0,0,0,74,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,75,0,0,0,1,0,0,0,1,0,0,0,164,149,13,0,69,172,5,0,236,171,5,0,79,14,0,0,1,0,0,0,0,0,0,0,192,69,0,0,186,2,0,0,187,2,0,0,161,0,0,0,160,149,13,0,167,171,5,0,236,171,5,0,179,13,0,0,1,0,0,0,168,149,13,0,251,173,5,0,236,171,5,0,223,13,0,0,1,0,0,0,172,149,13,0,7,175,5,0,236,171,5,0,240,0,0,0,1,0,0,0,176,149,13,0,112,175,5,0,236,171,5,0,61,8,0,0,1,0,0,0,184,149,13,0,25,177,5,0,236,171,5,0,6,8,0,0,1,0,0,0,0,0,0,0,208,69,0,0,188,2,0,0,189,2,0,0,162,0,0,0,180,149,13,0,156,176,5,0,236,171,5,0,199,14,0,0,1,0,0,0,188,149,13,0,178,177,5,0,236,171,5,0,234,6,0,0,1,0,0,0,192,149,13,0,127,178,5,0,236,171,5,0,121,6,0,0,1,0,0,0,196,149,13,0,26,179,5,0,236,171,5,0,54,6,0,0,1,0,0,0,24,15,8,0,60,133,91,61,105,191,22,190,2,153,98,189,108,247,79,61,246,123,236,61,167,217,46,189,62,226,61,61,57,250,95,189,212,151,168,61,35,124,213,61,136,247,187,188,168,158,53,60,147,226,97,60,59,62,229,61,79,209,79,60,24,169,174,61,149,54,129,189,240,173,5,62,38,231,165,61,19,100,85,189,154,195,48,189,193,79,191,61,81,255,225,61,15,146,155,189,76,255,97,189,6,230,54,189,19,114,241,60,66,152,58,61,65,71,105,187,217,33,160,61,168,84,158,61,18,154,161,61,195,227,126,61,40,89,184,61,26,104,18,189,208,217,11,61,93,138,104,61,160,134,67,189,86,118,25,61,50,58,16,189,138,114,142,61,23,168,29,189,94,104,44,60,232,56,142,60,25,146,222,61,48,45,179,61,33,25,88,59,61,96,223,61,226,18,162,61,158,217,212,61,161,93,171,60,17,114,237,61,236,252,6,62,68,84,202,61,23,168,91,61,71,37,138,189,4,202,229,187,53,239,171,59,152,142,4,61,71,172,102,60,194,224,180,60,128,219,207,60,177,72,58,61,179,120,147,61,81,51,0,61,72,128,128,189,73,155,172,60,190,51,119,61,192,222,176,61,41,126,148,59,40,174,179,60,10,56,189,60,116,18,100,61,159,175,216,188,243,55,54,61,22,115,232,60,125,210,183,61,99,190,54,61,182,208,183,61,13,229,153,61,235,252,188,60,210,50,213,61,174,108,130,61,189,113,115,61,27,55,150,59,51,211,85,61,176,184,136,61,249,46,171,61,189,118,137,61,18,84,134,61,23,254,32,189,43,17,22,188,31,148,113,189,77,185,230,60,254,31,78,61,63,222,138,61,58,89,10,61,73,193,31,186,241,14,147,188,138,157,252,188,195,101,85,188,236,125,243,188,194,56,1,60,97,108,16,189,197,25,36,187,177,214,86,61,86,124,241,61,186,143,177,188,134,15,89,61,120,255,135,61,224,151,84,61,44,140,7,188,73,121,248,60,160,75,111,61,138,106,131,187,176,213,204,187,146,37,112,61,119,248,201,188,55,50,99,61,112,131,168,189,36,39,148,189,151,19,62,61,38,88,86,188,162,78,205,188,91,3,254,60,230,26,63,189,56,17,60,189,116,168,241,60,104,54,119,61,163,225,183,60,11,39,139,188,123,102,42,60,181,84,57,60,104,252,93,61,38,131,174,188,138,4,49,189,99,32,22,189,106,144,56,60,4,134,213,188,109,139,182,188,10,201,184,188,45,97,12,189,146,1,254,187,175,193,125,189,2,158,6,60,249,75,195,61,243,245,23,189,179,46,142,189,24,75,21,62,111,40,95,189,111,107,168,188,104,105,107,61,83,226,227,60,227,242,144,189,143,26,84,189,14,150,213,189,104,26,230,189,217,49,154,61,131,208,154,189,209,243,179,189,185,111,244,60,80,135,218,60,161,117,98,60,57,64,147,188,220,169,0,189,94,224,171,188,8,235,184,61,33,245,74,61,218,122,12,62,186,15,233,61,101,244,235,58,184,127,59,189,210,161,145,186,226,244,193,189,219,124,237,189,42,226,55,61,158,41,146,60,0,25,73,59,8,208,220,61,17,135,92,59,89,14,222,189,116,78,152,189,28,194,215,189,189,237,152,188,204,110,36,62,200,60,166,187,61,243,47,189,202,125,193,187,233,129,16,60,28,142,116,188,208,255,77,189,89,217,3,190,106,97,102,58,215,135,84,188,1,128,155,189,113,161,218,188,73,223,53,186,30,40,197,60,193,68,145,188,107,238,29,189,202,193,112,189,97,132,5,61,31,88,3,62,75,223,128,61,220,150,134,187,126,53,225,61,178,101,90,60,243,27,171,60,76,96,37,61,199,110,85,189,253,236,158,61,2,15,131,61,92,153,107,189,249,226,205,189,239,179,153,61,123,74,175,188,138,36,147,60,241,157,25,59,108,95,44,189,172,161,150,61,165,159,80,61,8,127,245,188,80,201,181,188,47,111,9,61,222,253,52,61,239,149,100,189,200,86,78,189,29,75,58,189,3,5,98,60,215,46,176,60,241,191,179,188,98,28,12,190,99,216,95,61,236,187,131,60,30,118,89,61,202,141,64,61,14,59,175,58,76,38,155,61,83,32,197,61,91,64,18,60,75,241,230,188,124,141,222,61,240,223,12,189,115,64,145,189,175,244,117,189,3,49,222,188,170,210,231,187,204,26,134,188,9,5,91,60,0,57,211,189,62,249,72,61,11,205,106,189,225,186,223,188,129,194,42,60,31,209,170,189,196,255,22,61,150,50,122,61,19,184,88,60,108,240,159,189,218,156,26,61,128,206,11,189,179,182,121,189,82,135,44,189,151,121,163,189,154,29,165,186,201,124,249,188,70,150,74,188,33,71,129,189,72,46,68,61,41,128,60,189,237,165,175,61,225,134,206,60,245,200,244,60,31,62,211,61,235,150,144,61,87,41,57,61,213,80,53,189,215,158,6,62,92,193,171,61,190,82,177,60,183,30,11,187,54,254,22,189,187,250,169,188,8,224,28,189,217,197,122,188,68,87,220,60,92,11,243,61,96,138,119,189,42,38,228,188,72,150,67,189,89,213,71,61,77,17,130,61,130,37,15,61,56,107,112,60,98,133,154,58,149,99,51,61,37,124,5,59,6,37,34,189,204,191,47,188,243,237,210,59,41,121,245,60,165,5,12,189,158,150,160,188,6,191,71,188,65,50,143,187,232,217,208,188,80,201,216,60,71,188,133,188,198,217,211,59,117,21,158,188,68,221,156,59,59,66,75,61,108,5,28,61,82,205,148,61,81,218,107,61,10,65,25,189,209,13,135,60,217,125,10,188,194,181,35,61,121,163,167,189,56,45,216,60,30,238,36,189,252,215,224,188,243,196,38,189,122,192,137,58,108,51,66,189,54,229,137,189,176,156,14,60,246,156,179,188,44,104,177,58,100,109,250,188,51,193,243,188,35,145,236,188,252,92,70,188,196,198,69,189,68,173,185,189,146,45,204,189,8,32,22,189,47,208,104,186,104,207,139,189,1,224,152,188,144,150,20,189,225,187,102,188,164,137,153,60,106,13,170,188,14,75,187,61,11,76,17,189,87,13,93,61,130,253,43,61,177,78,85,60,134,159,10,189,127,229,249,189,178,229,139,61,117,49,24,189,46,155,28,60,251,179,165,59,0,206,103,61,179,11,128,59,78,18,230,60,113,5,98,189,43,7,24,189,28,74,232,188,237,15,53,189,255,18,41,188,37,75,154,60,174,47,11,188,255,231,192,189,243,249,79,188,8,196,174,188,56,181,208,189,104,167,160,189,188,172,31,59,151,56,134,187,165,6,69,60,150,36,132,189,30,246,216,189,120,233,201,188,8,51,180,188,110,151,151,189,7,55,149,61,11,168,104,58,251,116,35,60,132,188,10,60,96,203,24,61,232,252,237,188,39,93,18,61,43,247,51,189,111,14,246,189,149,28,2,61,197,227,52,187,231,175,221,61,50,132,80,61,228,98,88,187,43,223,81,189,107,104,165,59,165,0,104,189,167,106,196,187,228,205,90,189,239,28,72,188,205,145,83,60,117,125,34,60,184,12,248,187,157,171,125,189,24,41,19,187,50,210,162,60,37,98,165,188,235,219,142,189,254,50,135,189,252,45,9,189,174,122,182,189,15,24,10,189,115,177,151,189,246,40,184,188,197,79,124,189,250,6,54,59,138,109,106,189,171,76,68,189,216,250,153,61,188,183,53,59,95,133,44,61,61,254,253,60,138,52,88,61,209,251,33,61,34,82,246,188,111,196,29,189,239,192,228,188,27,140,235,188,138,226,122,60,187,39,179,60,189,1,163,188,9,73,36,59,72,25,210,189,39,6,68,189,79,133,236,188,238,90,124,59,143,58,54,60,246,219,7,60,159,140,69,189,163,119,56,189,173,22,24,189,74,29,143,189,182,83,225,189,208,109,48,187,112,252,242,58,179,134,114,189,31,16,122,189,139,56,173,189,89,115,57,189,253,100,105,58,21,164,112,189,22,8,48,187,199,89,130,188,205,194,20,61,5,0,97,61,193,130,149,61,246,80,181,59,145,20,131,61,235,93,151,60,233,213,188,187,124,132,3,189,14,81,139,59,101,31,63,60,93,224,189,186,112,160,184,60,101,234,9,189,14,4,143,61,17,99,138,187,47,184,17,188,66,174,162,189,26,251,84,61,62,110,120,61,206,78,41,61,103,201,188,58,61,78,196,189,56,101,34,189,239,88,45,61,233,101,143,60,16,211,55,189,19,243,248,187,80,193,164,60,123,110,63,61,128,140,184,61,53,41,161,189,98,203,63,189,30,21,80,189,188,222,130,187,88,252,90,189,134,226,49,60,190,109,19,189,123,93,145,189,177,120,17,61,202,147,219,60,159,49,14,61,67,171,146,60,117,26,96,61,59,159,29,60,249,66,2,189,4,53,112,61,133,236,190,60,131,201,133,60,43,15,102,189,142,211,209,189,97,7,170,189,135,83,149,61,54,152,161,188,176,153,214,188,22,153,203,188,210,139,61,189,234,26,195,58,108,220,97,61,187,55,80,188,101,167,159,188,242,135,130,61,213,228,76,61,10,144,246,188,45,143,15,60,136,176,202,188,247,122,97,189,76,28,228,58,8,140,8,189,151,218,121,60,180,223,238,61,156,119,173,186,83,87,135,189,66,242,104,61,66,193,52,186,2,82,52,189,81,138,193,61,13,246,44,189,251,149,91,189,120,199,145,60,51,212,209,60,12,211,226,189,57,209,15,188,138,36,52,188,125,150,212,189,54,60,254,60,151,128,172,188,7,249,150,189,42,207,82,61,46,181,216,61,249,126,176,189,225,235,236,188,37,242,50,60,255,1,21,62,205,2,19,187,127,78,110,189,198,92,151,189,14,134,105,61,159,121,4,62,211,64,76,189,46,137,208,61,56,249,77,61,246,40,0,62,164,231,187,61,143,44,131,61,199,151,121,60,151,192,193,61,171,32,122,61,20,24,18,190,105,193,239,188,237,70,226,60,137,73,177,60,15,67,123,186,12,81,45,189,236,16,202,189,3,10,49,61,189,132,112,61,253,50,70,189,22,107,129,61,41,50,200,60,214,188,19,189,126,205,25,60,209,183,47,61,190,84,40,188,146,13,167,61,92,57,179,61,88,20,7,190,209,179,5,60,12,236,109,188,32,226,241,60,238,27,20,61,2,14,9,187,145,12,184,60,189,21,197,61,162,194,192,61,159,152,239,188,21,14,160,189,234,121,180,188,26,193,4,187,110,92,51,60,202,79,108,188,240,136,232,60,216,89,243,61,9,208,238,59,167,226,211,189,142,218,154,61,130,232,167,188,78,140,145,59,116,214,131,60,123,108,72,189,107,94,179,189,234,119,251,187,98,128,181,61,111,199,121,61,40,120,134,61,250,46,240,59,154,192,17,61,134,177,30,189,61,252,203,188,239,171,138,189,39,142,203,61,131,170,46,188,4,151,98,60,198,71,149,189,93,214,244,59,227,134,217,61,219,209,235,188,36,66,195,60,39,33,6,189,78,16,175,60,231,44,29,61,7,201,200,60,103,255,47,189,141,43,237,188,134,53,90,61,117,153,117,60,129,191,76,61,234,125,4,62,115,88,192,61,249,208,47,61,180,151,9,189,89,117,139,189,79,115,56,60,228,13,49,62,216,133,12,189,112,27,128,189,194,135,148,188,129,42,240,61,136,252,122,189,60,185,177,189,209,124,12,189,35,229,63,61,88,37,167,61,188,242,16,61,86,59,150,60,33,223,231,61,236,154,5,61,106,175,69,189,163,142,143,60,136,41,147,188,96,80,214,189,215,75,88,187,13,124,112,57,66,195,110,60,224,187,174,188,64,59,213,188,132,196,33,188,204,14,47,61,188,77,172,188,236,183,163,189,165,55,214,60,217,252,172,188,52,164,142,189,132,195,9,190,1,136,140,189,64,171,199,187,87,253,168,61,59,223,31,62,27,145,33,59,59,143,17,60,90,27,42,189,100,85,168,60,89,47,88,61,156,243,252,188,234,208,230,60,116,188,14,62,22,125,156,61,109,150,20,189,48,255,246,188,158,138,37,189,122,239,94,188,250,16,127,189,179,80,224,188,228,8,11,62,166,3,28,62,227,228,92,189,48,226,228,189,70,182,176,60,230,214,59,60,222,166,87,189,181,17,135,189,97,54,225,188,59,234,241,61,239,55,50,62,122,95,123,189,234,89,225,189,24,115,93,188,131,6,143,188,126,170,175,189,101,22,55,189,66,27,122,189,139,67,216,61,208,15,85,62,39,231,187,189,236,5,58,58,117,156,18,61,251,195,147,61,79,1,182,60,135,186,149,60,238,143,1,188,108,12,116,60,52,175,20,62,220,153,131,189,54,249,244,60,210,42,236,186,88,160,101,188,131,217,42,189,163,212,114,187,77,44,186,189,245,251,194,61,251,39,181,61,75,59,217,188,106,33,247,188,110,234,209,60,82,249,17,61,98,97,28,189,134,216,106,60,93,228,184,60,185,72,235,60,40,40,36,60,72,175,129,189,124,179,49,61,162,101,143,61,18,191,64,189,39,228,149,189,174,124,215,60,141,121,254,60,118,40,136,61,126,128,223,61,171,152,133,188,149,105,238,60,214,42,237,60,22,170,164,61,66,187,142,61,180,55,139,61,108,112,199,59,1,130,136,59,193,209,182,61,166,227,255,188,42,50,221,60,66,124,63,60,2,169,133,188,207,16,151,59,155,124,11,60,226,43,17,189,18,79,18,61,100,211,140,59,130,99,161,188,52,37,16,188,135,197,196,61,93,1,125,60,13,183,32,189,10,174,149,61,240,68,120,61,106,20,10,57,220,199,2,188,38,140,196,60,113,55,121,189,224,189,224,188,5,71,96,189,240,55,41,189,191,206,17,61,42,75,250,60,47,61,244,60,243,43,24,62,53,188,144,60,132,70,241,60,192,161,72,61,59,64,40,60,190,84,230,60,94,79,169,61,108,209,223,60,155,200,74,188,22,217,240,61,133,187,27,61,73,145,7,189,163,4,172,59,162,144,201,188,210,123,220,60,250,46,93,61,194,136,207,189,20,198,130,61,84,238,148,188,54,25,185,60,9,91,18,61,55,220,42,60,148,31,42,189,59,154,37,189,68,164,134,60,197,135,170,61,200,229,241,57,105,107,89,189,101,210,174,189,139,10,211,186,127,64,177,188,154,23,146,188,58,23,30,61,162,14,174,61,103,84,141,188,135,164,176,61,236,45,225,61,73,245,187,61,208,11,174,61,161,153,156,61,206,147,100,61,32,167,220,60,157,188,204,61,163,194,185,61,84,139,136,61,244,142,112,61,170,36,184,188,89,45,159,61,241,31,254,61,212,82,1,62,134,185,92,186,182,30,114,60,48,184,187,61,128,143,67,187,206,110,132,189,150,136,144,189,199,177,91,57,113,15,181,60,130,217,176,188,232,45,176,189,124,44,187,188,213,175,131,59,62,189,28,60,121,230,169,188,242,218,61,189,11,217,248,187,13,172,97,188,88,192,58,189,38,9,8,190,36,151,177,189,28,175,21,189,102,63,59,60,9,172,6,61,196,239,51,189,152,157,123,61,9,92,53,62,168,176,212,61,12,196,89,60,100,47,206,61,52,254,254,61,178,93,55,189,147,83,185,61,109,250,59,61,255,183,228,61,110,223,175,61,187,71,67,61,8,35,219,58,163,80,193,60,181,2,28,189,86,13,0,61,244,52,157,188,125,109,105,189,254,191,193,188,129,130,133,189,134,89,101,189,86,90,145,189,2,62,7,189,95,75,65,189,38,59,210,188,176,239,88,60,78,11,189,189,219,6,98,189,246,9,65,189,86,123,10,189,108,157,137,189,179,248,65,60,248,2,191,189,96,149,134,60,163,59,27,61,85,200,216,187,132,171,159,61,235,104,148,61,160,197,64,61,79,184,206,188,27,1,139,188,25,64,165,189,114,6,119,61,29,152,215,61,165,104,135,189,121,231,243,60,195,199,214,60,115,200,156,60,76,168,173,189,174,123,129,189,142,246,10,190,37,143,156,189,187,174,24,60,229,201,165,189,98,218,208,189,40,40,85,189,217,135,103,60,158,192,159,189,224,109,154,188,201,202,153,189,138,151,207,189,129,127,85,189,138,167,203,189,240,30,175,186,148,229,129,189,70,39,43,189,242,105,253,189,200,14,232,188,128,29,120,189,183,204,110,61,87,188,155,61,145,90,132,189,22,121,3,60,53,41,237,61,79,144,252,61,91,19,162,60,121,129,50,187,149,165,111,61,124,119,63,189,88,221,82,61,97,15,44,187,253,119,230,61,145,159,202,61,18,102,200,61,218,215,62,189,57,159,52,188,67,104,143,189,51,11,253,60,118,43,210,188,125,28,157,189,62,10,80,59,171,216,220,189,194,149,189,188,53,29,227,189,227,229,39,188,178,67,255,60,247,91,75,189,87,237,186,60,210,57,180,59,61,154,172,189,37,97,22,190,192,25,158,189,1,161,8,190,108,93,57,189,3,11,203,189,79,20,212,60,7,26,14,61,203,9,63,61,199,95,239,61,129,147,197,61,57,94,222,61,249,91,109,188,59,30,48,61,100,130,138,189,212,169,174,58,94,193,18,62,91,31,155,61,80,185,187,61,233,113,104,61,132,242,231,61,185,73,53,188,167,238,168,60,163,53,235,189,96,112,153,189,148,164,234,188,35,0,81,188,54,65,142,189,192,225,206,189,39,125,40,189,94,111,181,188,0,185,80,188,206,50,153,189,14,48,216,189,210,25,156,189,242,143,204,189,190,147,234,189,6,70,247,189,40,198,192,189,180,92,146,189,231,18,38,189,31,247,122,189,172,229,44,61,219,115,157,61,209,231,39,61,56,173,1,62,181,92,22,62,47,215,94,62,101,66,0,62,214,189,60,62,95,27,218,186,103,212,27,59,158,211,108,60,229,190,15,61,8,121,217,60,160,162,140,60,151,30,92,61,206,47,241,60,254,233,231,61,138,96,115,188,10,0,132,188,166,53,243,186,223,246,139,188,0,166,94,189,143,44,89,189,16,119,87,61,231,193,18,189,243,194,179,185,194,91,178,58,153,179,53,189,83,50,45,189,212,102,6,61,187,126,96,189,178,217,208,189,168,149,147,189,21,250,219,189,117,230,193,188,208,128,210,61,2,21,52,187,214,207,4,189,76,38,189,60,124,80,232,60,131,241,211,61,188,128,72,62,38,246,209,61,98,168,164,61,162,83,98,61,89,176,7,190,141,104,19,190,38,131,77,59,3,188,10,189,40,149,18,60,170,111,93,61,155,246,162,187,14,211,66,188,205,84,148,57,202,206,31,189,165,166,72,189,70,81,177,60,72,147,98,188,9,150,151,188,12,35,153,60,123,181,200,188,249,187,187,60,18,221,167,61,252,138,7,61,174,179,217,189,242,169,202,60,8,232,90,61,203,0,197,188,16,220,4,189,75,241,181,187,115,11,164,189,63,82,230,60,249,126,45,61,36,74,152,60,124,202,72,61,169,164,107,188,219,40,122,188,224,117,167,60,155,39,77,189,192,214,45,61,214,227,155,61,113,197,74,61,8,154,118,189,167,153,139,187,183,124,6,62,12,185,107,188,41,119,160,188,2,166,37,189,5,119,254,189,146,90,58,59,87,141,78,189,217,206,186,189,99,161,240,59,153,72,192,61,161,171,241,61,252,194,154,59,39,157,145,59,246,135,163,189,199,4,20,189,168,242,55,61,42,8,184,188,150,188,63,61,132,170,86,61,228,183,176,60,121,142,60,189,201,68,68,188,19,46,225,188,195,122,11,62,18,121,180,61,52,201,159,189,26,103,159,59,5,250,130,188,140,216,39,60,156,221,13,189,101,195,188,188,153,6,178,189,10,76,136,61,139,252,108,61,254,112,1,190,50,7,189,60,30,69,150,61,243,30,154,61,29,127,74,61,228,149,183,188,180,90,204,189,104,91,20,62,116,144,134,189,89,225,160,189,15,218,231,60,23,213,10,186,102,71,63,189,112,33,242,189,174,206,250,189,40,88,29,190,27,59,243,188,10,113,165,61,119,94,10,62,237,162,235,61,143,45,66,61,140,114,97,60,236,188,111,189,98,244,123,188,216,246,98,189,107,17,204,60,191,44,235,188,232,45,226,60,27,21,116,62,114,214,100,62,145,19,211,61,219,179,141,189,17,129,207,189,190,212,78,190,26,118,78,189,48,19,139,62,156,95,189,62,225,216,176,62,108,248,148,62,118,105,103,61,125,253,40,61,114,184,153,61,149,72,224,188,19,48,10,188,144,230,150,61,75,124,135,60,145,146,192,189,55,21,196,189,45,142,113,60,49,254,145,189,117,192,13,189,255,68,234,61,158,211,12,62,41,198,130,189,88,60,129,189,89,70,6,60,55,7,238,61,163,133,165,59,84,180,155,189,139,32,137,61,222,180,131,62,160,24,185,61,42,151,147,62,65,208,6,62,204,154,89,189,74,20,175,188,107,254,12,189,198,29,128,189,249,186,31,61,250,82,60,62,139,52,133,62,204,55,10,61,199,104,152,60,191,90,67,62,198,246,57,62,73,52,97,59,239,197,248,188,231,141,73,62,231,34,181,62,97,173,127,62,237,255,3,189,174,86,148,62,17,161,220,62,207,149,157,62,20,78,191,60,5,74,202,189,137,138,224,187,210,50,183,61,18,237,166,189,211,194,228,60,166,5,126,62,205,139,49,62,43,65,127,61,187,167,213,189,175,135,42,190,128,37,7,190,7,186,174,189,39,87,69,190,197,156,10,190,89,189,99,62,230,205,200,62,41,46,136,62,26,203,73,188,163,125,38,60,138,2,9,62,175,34,246,61,231,198,70,189,208,26,162,189,247,24,144,61,37,25,126,59,53,244,122,189,94,193,25,190,253,154,233,189,222,60,175,189,26,39,152,189,203,5,37,190,223,79,7,62,49,138,131,62,61,97,105,61,46,136,140,61,59,143,197,187,94,46,2,188,38,151,68,61,242,29,137,61,206,216,157,188,219,53,126,61,242,188,9,62,106,177,130,189,53,138,67,187,153,169,14,189,104,17,247,59,113,144,31,61,191,201,234,61,213,205,136,60,59,161,7,60,29,124,245,187,143,223,239,189,238,31,218,189,38,12,212,189,255,142,76,189,207,179,72,186,253,180,247,60,144,240,66,189,27,143,149,189,174,151,110,189,148,184,6,190,235,230,217,189,97,151,70,190,211,66,204,189,226,45,162,189,166,214,242,57,153,96,45,186,247,87,34,62,87,85,175,61,243,224,156,189,19,39,164,189,253,122,124,189,128,56,154,60,83,87,63,186,250,25,140,61,201,112,29,61,129,157,79,62,55,147,97,62,146,100,172,187,138,247,109,60,241,171,129,189,191,180,234,60,122,101,104,61,13,70,249,61,235,43,29,61,198,161,17,61,91,37,218,188,116,137,210,189,135,168,133,189,141,163,226,189,58,21,184,189,95,236,206,189,243,203,4,60,62,12,195,59,151,113,214,60,1,188,139,188,173,48,223,189,53,241,163,189,181,217,230,189,54,93,125,189,15,2,122,189,97,212,130,60,131,161,114,189,79,187,192,61,93,18,106,62,5,171,5,61,249,181,138,61,91,100,184,189,144,196,38,60,111,62,158,60,113,181,176,61,237,74,106,188,118,91,224,61,140,28,42,62,23,112,199,188,148,148,7,189,65,136,45,189,104,163,70,60,213,137,201,187,1,108,142,61,17,3,247,60,45,120,146,60,201,223,227,60,234,200,99,189,53,215,18,188,215,161,75,189,133,207,153,61,93,110,145,60,12,64,113,61,170,117,163,189,79,104,21,61,211,254,116,187,48,41,182,189,194,172,131,189,1,61,165,189,23,34,18,61,226,15,146,189,52,142,236,187,228,236,195,189,80,39,55,62,49,178,24,62,184,147,169,60,81,128,77,189,112,127,76,189,73,160,128,60,180,228,202,189,12,57,132,61,98,249,28,62,131,185,64,62,138,104,239,61,107,22,65,188,13,73,182,188,106,21,156,188,203,90,210,61,158,59,238,187,45,226,238,61,49,133,23,62,26,43,159,61,236,155,196,60,132,158,91,189,118,158,161,188,12,121,97,60,57,9,138,61,221,163,133,189,84,139,106,61,27,4,197,188,213,140,15,190,162,251,169,188,222,80,61,189,209,11,64,189,199,230,150,188,85,41,158,61,43,198,70,189,19,131,122,60,194,27,73,190,158,136,221,61,122,122,27,61,167,59,193,189,35,133,163,189,241,149,10,189,25,242,226,61,247,72,183,60,211,20,2,62,134,83,93,62,118,27,239,60,136,218,152,59,190,106,210,189,65,211,70,189,117,244,98,187,206,50,177,61,88,114,184,60,170,88,197,61,81,238,47,62,5,230,189,189,85,189,240,57,137,22,240,189,38,16,250,189,240,52,31,190,21,212,147,61,241,255,88,189,139,211,26,61,215,250,82,61,28,190,27,189,168,138,30,61,203,42,28,190,179,26,178,189,48,155,165,188,18,182,40,61,38,108,27,190,168,61,129,60,219,231,209,61,19,198,245,59,228,12,141,60,138,219,139,189,60,105,196,188,165,37,135,189,62,217,48,189,185,43,165,189,49,113,218,59,29,138,8,61,0,71,145,61,123,146,168,61,40,183,134,189,60,49,137,189,96,8,143,189,201,72,133,189,129,216,16,190,220,13,196,188,170,209,132,61,193,182,16,60,77,118,189,61,123,199,154,189,173,146,79,189,169,173,200,189,97,72,137,189,187,239,15,190,183,244,4,61,239,141,0,62,223,79,144,60,38,235,4,62,89,50,39,189,127,218,243,189,110,175,23,190,227,142,171,189,181,222,249,189,104,80,76,61,90,45,94,61,124,27,128,187,214,90,5,61,12,59,2,190,182,207,152,189,102,162,105,189,134,58,142,188,160,97,164,189,130,146,94,189,146,217,140,188,147,113,236,60,58,55,145,60,58,171,187,189,34,123,106,59,86,118,207,189,119,101,217,188,8,136,166,189,15,157,29,189,135,203,71,186,184,216,132,61,150,122,73,62,23,125,73,189,43,146,144,189,145,249,70,189,182,200,42,188,33,146,170,189,12,237,21,61,61,108,23,189,117,138,75,61,108,199,168,61,243,38,0,190,233,200,122,189,184,155,25,189,189,248,213,59,232,220,209,189,31,102,210,60,44,10,148,59,59,244,24,189,167,88,57,188,182,173,93,189,247,34,105,58,235,185,253,189,33,23,116,189,70,85,254,189,167,248,123,189,209,182,149,189,138,3,200,60,132,215,143,61,198,150,154,189,87,123,70,186,143,147,185,189,92,39,166,189,85,186,141,189,50,94,28,60,102,222,71,188,138,244,158,58,238,166,17,188,171,44,170,189,28,122,58,189,234,243,219,189,209,26,105,189,127,159,14,190,104,227,184,61,75,220,26,62,134,22,2,61,39,230,53,62,53,248,172,57,118,5,83,61,76,155,201,189,203,13,194,189,5,138,175,189,82,80,38,62,54,0,70,62,64,124,12,60,165,0,235,61,34,196,116,188,62,80,9,61,236,160,183,189,95,62,190,188,18,51,218,60,73,46,95,61,232,222,16,189,152,171,147,189,189,105,139,189,35,185,255,188,206,253,114,189,251,249,48,190,108,139,34,190,100,3,75,189,65,89,131,60,7,170,253,189,226,29,14,62,65,213,91,62,218,87,10,62,106,246,86,62,224,41,181,61,94,248,165,61,99,197,25,61,45,78,249,61,75,100,227,61,157,248,217,61,191,194,14,62,35,101,238,61,213,106,23,62,155,152,71,60,130,45,62,60,217,82,17,61,132,27,180,61,200,226,138,188,154,137,157,189,48,173,168,189,238,142,222,59,115,100,201,188,188,90,5,62,63,82,224,61,31,227,201,61,211,251,65,61,188,81,50,189,30,96,27,190,108,87,55,190,1,6,214,189,235,102,9,190,137,216,135,189,219,219,1,189,14,16,140,189,89,115,232,189,209,7,143,189,93,106,67,62,42,68,52,62,199,82,158,61,142,67,205,61,13,131,186,62,202,218,144,62,120,238,1,62,23,63,35,62,170,5,16,62,249,105,229,189,46,11,15,190,178,31,186,189,199,116,16,190,142,155,81,61,122,150,44,187,216,18,221,189,247,248,198,189,0,121,88,189,112,66,128,60,245,19,78,61,218,202,143,61,51,187,242,188,214,191,144,60,76,172,170,61,200,137,3,189,76,152,160,59,56,114,84,61,99,172,78,189,128,29,197,189,255,237,206,188,68,167,141,61,84,227,70,60,252,121,90,61,104,9,13,189,236,239,205,189,144,215,128,189,180,225,177,59,115,142,206,187,189,250,185,60,58,251,144,188,27,23,6,61,194,163,158,61,209,163,254,59,88,126,78,61,58,3,135,60,25,46,190,188,198,94,203,189,150,233,187,188,213,180,166,60,205,122,170,189,63,73,174,61,159,229,24,189,88,105,132,189,65,82,121,189,159,22,12,62,160,228,234,189,199,152,31,189,229,72,146,189,175,92,47,59,79,20,21,189,113,181,201,189,213,146,225,189,192,22,51,62,241,85,52,62,20,199,36,190,21,117,148,189,84,97,128,60,215,32,115,62,137,171,154,61,176,106,128,189,189,146,149,189,149,67,130,62,129,22,45,62,187,75,167,189,178,59,114,189,180,245,33,189,151,103,223,59,227,0,102,189,242,144,149,189,79,95,249,189,163,165,253,61,25,37,98,62,186,12,99,189,99,152,7,189,28,196,106,61,155,126,71,62,82,131,36,61,214,185,132,189,181,255,252,189,152,212,63,62,77,63,197,189,182,54,229,189,195,11,254,61,140,122,32,62,201,46,69,62,106,36,223,61,55,234,10,61,158,114,5,190,101,122,102,189,45,216,184,189,9,125,112,62,46,102,142,62,163,213,136,62,60,154,148,61,131,160,41,62,8,66,101,62,158,100,152,61,116,18,87,190,9,98,165,189,81,237,25,190,30,217,143,61,206,168,222,61,57,236,57,62,117,46,77,62,25,250,10,62,126,8,244,189,167,251,227,189,147,79,65,190,2,209,120,61,83,186,82,62,113,56,254,61,53,251,32,61,150,97,149,62,212,13,151,62,183,159,142,62,65,192,147,188,128,117,42,62,190,78,69,62,49,180,155,60,51,214,118,61,40,148,26,59,154,75,127,60,186,198,221,60,199,31,233,61,199,227,247,61,137,11,32,61,44,242,61,61,255,191,184,61,177,29,244,61,129,230,109,187,6,224,181,60,196,178,211,61,235,174,49,62,76,20,251,61,185,99,66,62,63,37,33,62,86,44,62,60,8,129,138,188,147,43,126,186,40,189,147,61,149,81,62,60,168,239,54,62,247,188,122,62,199,117,58,62,24,158,78,62,127,162,116,61,86,118,18,188,17,206,189,188,181,212,19,62,79,136,16,62,91,35,98,61,28,31,130,61,213,214,67,190,205,96,208,61,185,154,150,62,23,106,135,62,129,98,191,61,47,130,28,62,250,185,74,62,117,218,232,61,239,71,2,190,75,25,91,190,190,131,164,188,101,124,134,189,208,41,136,188,120,66,33,189,143,184,67,61,238,129,77,61,211,86,188,188,92,239,78,190,237,252,130,189,208,130,12,62,52,219,102,62,239,116,24,62,151,233,177,61,232,176,138,62,218,229,164,62,231,86,200,61,146,173,61,190,33,117,48,190,250,164,42,188,201,49,36,61,17,5,44,61,72,129,165,189,113,210,25,189,203,0,69,189,125,229,85,189,94,77,94,190,72,163,135,189,5,71,241,60,15,111,60,189,246,73,87,189,231,180,172,189,252,80,233,60,55,249,14,61,233,194,7,60,91,84,226,189,209,151,229,189,40,179,163,188,75,238,91,189,164,164,181,189,199,129,64,190,221,174,94,189,203,70,77,189,215,253,93,189,229,250,123,189,226,192,221,189,210,10,50,61,175,127,36,61,208,43,121,60,60,79,249,189,127,229,71,189,81,116,52,188,154,39,5,61,182,38,118,189,197,141,252,188,115,4,188,188,143,109,140,189,148,183,179,189,241,164,115,190,4,229,187,189,132,217,98,189,75,253,48,189,240,49,243,189,62,237,44,189,120,165,120,189,128,180,67,60,147,177,213,60,12,108,31,189,96,155,134,188,156,40,213,188,119,227,85,188,58,145,32,61,125,105,133,189,94,162,56,60,50,176,205,187,133,211,222,188,79,4,228,189,120,46,7,61,155,123,196,60,99,26,39,61,34,92,216,189,182,95,116,61,52,211,67,60,219,58,2,189,47,168,138,188,92,11,125,189,166,220,150,60,202,147,180,187,178,181,139,189,95,189,2,189,201,125,195,189,61,67,248,60,224,139,72,189,24,196,238,188,125,5,8,190,201,237,67,189,14,45,199,59,8,126,109,188,192,201,8,190,214,103,198,189,132,129,230,188,204,209,70,60,54,49,136,61,86,10,167,188,121,196,8,62,28,52,117,61,245,139,21,188,16,79,64,190,231,156,245,189,150,227,129,189,101,114,73,60,26,75,146,61,5,103,219,61,86,9,227,61,122,137,134,61,46,48,242,188,222,202,38,190,64,75,15,190,2,196,83,188,14,0,29,61,130,253,186,61,69,85,80,189,247,21,102,61,132,155,31,189,103,169,128,189,190,80,235,189,130,16,18,190,186,145,57,189,116,236,130,60,169,193,187,61,156,108,177,61,216,25,72,61,11,41,107,189,107,242,154,189,54,122,47,190,67,149,214,188,153,246,202,188,3,131,219,60,128,4,238,61,123,252,179,61,109,238,30,62,51,231,64,61,237,128,56,61,42,47,209,189,173,196,251,189,23,115,69,189,167,168,96,189,121,52,96,61,136,116,150,61,253,113,100,61,220,35,168,189,237,215,13,61,61,167,86,190,192,247,190,189,118,178,120,59,162,45,20,61,56,113,43,62,207,140,144,61,97,255,208,61,47,43,139,189,20,142,83,59,30,234,0,190,59,43,51,190,103,65,170,60,107,148,157,189,155,138,249,61,13,67,184,61,118,87,68,61,177,33,233,189,24,202,164,189,146,171,131,190,132,127,165,189,57,14,223,59,109,12,240,188,40,216,71,187,237,116,227,189,29,153,61,189,248,47,160,189,250,90,252,59,126,223,209,189,50,167,158,58,35,173,82,62,103,192,4,189,210,28,10,60,79,116,159,60,161,70,68,188,136,76,21,190,169,104,45,61,243,176,135,187,230,159,140,189,216,55,199,188,211,137,10,190,58,2,165,58,124,252,233,189,13,71,48,189,217,214,138,188,192,76,106,61,113,64,36,190,216,39,227,60,83,54,97,61,77,181,25,190,187,181,109,60,109,137,192,60,76,43,48,189,104,211,74,189,26,59,94,62,36,102,1,189,115,213,160,188,202,179,58,62,54,176,5,189,100,14,61,187,151,13,130,60,146,173,254,186,98,135,159,189,20,116,63,61,38,253,204,187,191,205,182,61,145,169,90,62,248,144,77,60,9,92,143,189,123,242,114,189,52,93,154,188,137,98,48,189,61,139,241,61,236,101,29,61,46,8,32,189,240,218,102,61,3,2,200,189,20,92,172,188,43,252,14,60,121,52,224,188,20,102,81,189,33,12,46,62,78,35,242,60,168,138,171,60,48,83,172,61,0,162,8,189,201,43,20,189,229,231,109,189,92,179,181,189,109,214,239,60,119,163,138,62,32,214,120,61,160,39,153,61,6,127,28,62,28,23,32,189,16,248,80,189,177,249,27,188,197,9,6,189,213,231,178,189,54,85,156,61,187,39,147,189,26,188,13,62,196,0,160,61,97,28,4,190,7,208,96,189,177,51,103,189,134,201,6,189,87,16,229,189,16,170,25,61,122,221,116,189,3,128,187,189,63,185,103,61],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+81920);allocate([82,72,49,189,202,175,249,188,46,135,103,188,249,129,208,189,182,193,98,188,59,40,78,62,32,205,123,188,187,125,156,189,14,241,113,61,61,108,160,189,217,168,121,188,71,167,153,189,135,199,193,189,74,188,25,190,219,91,36,62,5,194,184,61,41,136,173,61,149,179,10,61,103,86,187,189,115,208,187,189,155,12,174,189,145,174,81,189,177,160,213,189,160,168,42,60,226,19,251,188,156,73,191,61,212,16,132,61,205,247,30,189,22,52,76,189,161,125,23,190,32,255,84,189,82,173,175,188,166,223,35,61,201,96,254,61,240,175,151,188,16,159,40,189,88,197,244,189,94,216,71,189,25,163,178,189,39,39,173,189,2,12,216,189,195,112,230,61,168,126,220,61,217,160,68,62,80,10,123,61,8,5,224,188,113,240,180,189,6,20,46,190,32,87,17,189,175,170,175,187,45,241,169,61,8,255,147,61,211,206,43,61,150,58,63,61,31,46,15,60,8,244,142,61,140,134,103,61,115,210,112,61,13,236,202,60,17,210,200,60,65,164,254,61,163,98,101,61,105,8,141,61,74,59,30,61,239,194,152,61,112,122,185,60,132,4,117,60,252,237,129,61,228,60,142,61,97,46,240,60,65,3,240,61,131,113,57,61,195,11,5,61,40,126,8,59,234,126,167,60,234,138,233,61,148,73,48,61,150,252,131,61,35,31,75,61,203,103,167,61,130,61,189,61,3,124,72,61,131,143,184,60,17,96,135,188,204,97,155,61,66,100,120,61,156,228,14,62,128,38,227,60,244,67,145,61,248,26,174,61,222,94,139,60,16,118,185,61,37,30,171,62,37,122,78,62,123,34,201,61,19,216,162,61,121,19,178,61,160,163,2,190,212,252,13,190,203,95,135,189,177,251,224,189,14,139,11,61,135,230,54,188,112,33,149,189,218,128,10,190,168,135,3,190,139,108,183,61,167,213,187,61,207,176,206,61,88,119,111,62,25,150,176,62,173,201,202,61,82,20,164,60,30,164,252,61,87,198,155,61,179,145,24,190,57,25,32,190,129,2,133,189,89,57,144,188,110,112,11,61,50,66,7,190,250,212,247,189,33,86,59,190,232,148,41,190,110,231,178,60,123,126,225,188,191,146,148,60,234,230,163,60,160,65,88,60,152,117,164,61,243,248,71,60,66,115,67,59,125,38,86,188,26,139,116,61,93,241,90,189,167,134,10,189,150,204,33,188,95,175,140,189,82,17,34,61,45,159,254,188,220,208,106,189,61,246,177,60,76,98,42,61,212,55,44,59,93,38,69,61,6,172,191,61,185,21,6,188,240,70,141,60,103,176,208,188,202,117,75,189,209,209,195,188,94,255,135,61,146,40,129,189,247,94,58,60,224,240,100,61,187,181,168,189,26,29,201,60,187,160,250,188,162,96,183,189,148,81,140,61,182,65,147,61,130,222,155,189,39,251,0,60,34,192,0,188,117,11,118,61,102,154,56,188,187,67,59,187,110,127,67,189,36,106,154,60,244,168,25,62,173,98,128,189,221,241,162,188,234,131,58,60,254,105,179,61,86,226,30,61,218,107,30,188,254,26,164,189,190,94,131,61,68,78,95,188,115,24,187,189,90,200,143,60,249,168,54,61,154,166,197,61,31,207,85,61,16,208,15,187,18,35,144,189,152,254,130,188,143,45,6,62,172,49,204,188,222,43,41,188,195,214,237,188,65,224,55,61,152,221,82,61,182,56,152,60,166,36,239,188,55,248,169,61,103,5,60,189,59,60,33,190,121,183,185,189,220,128,243,188,114,247,4,62,208,143,100,62,39,113,120,62,244,51,21,61,5,139,97,189,119,64,47,59,189,10,29,189,142,21,132,61,124,19,29,61,13,88,28,61,121,51,128,62,96,42,175,62,189,15,166,62,125,195,64,62,237,31,176,189,203,55,52,190,163,216,28,190,123,5,203,189,44,248,233,188,205,71,89,189,157,130,139,186,59,6,136,189,89,202,153,189,207,193,111,60,205,169,154,189,176,190,56,189,239,97,10,188,57,45,145,60,137,162,38,61,238,210,79,62,150,247,32,62,190,247,105,61,0,164,134,62,108,24,22,62,46,131,125,60,50,246,78,189,210,250,30,189,47,149,107,188,167,240,73,189,74,4,240,61,142,196,118,62,236,132,135,62,246,75,162,62,1,236,206,61,77,161,51,188,174,248,95,188,184,37,47,62,4,120,77,62,154,99,47,59,165,249,66,188,145,104,59,62,112,188,193,61,60,52,130,189,93,149,132,189,145,193,97,60,163,120,205,189,102,215,130,189,93,75,121,59,114,51,126,61,50,243,211,61,251,60,137,62,255,1,6,60,117,151,189,188,130,24,25,60,2,98,188,61,128,201,22,61,75,190,15,188,230,226,197,189,134,120,222,188,169,70,10,62,130,142,183,61,39,79,215,187,1,31,3,189,181,249,145,62,127,84,164,62,235,145,61,62,87,185,17,190,111,219,15,190,176,18,147,189,214,159,175,189,38,100,177,189,53,87,50,190,1,190,69,58,215,113,101,61,74,29,11,62,244,45,75,189,45,222,157,189,188,166,218,61,120,136,52,189,85,164,147,189,74,16,22,61,115,56,148,62,36,146,210,62,149,114,140,62,151,81,141,189,77,229,91,190,115,134,31,190,135,63,72,190,28,191,27,190,244,202,230,189,55,225,151,61,162,120,66,62,139,131,137,62,215,237,159,60,190,198,38,60,49,239,176,60,124,65,162,187,144,235,50,189,25,69,2,190,193,174,136,189,200,234,230,189,243,197,52,61,215,124,100,61,155,156,31,61,152,20,18,61,116,130,112,189,223,78,151,189,165,247,55,190,227,132,175,189,220,101,28,190,149,172,118,189,92,91,143,189,64,81,223,187,15,232,128,61,177,173,43,186,46,235,56,188,150,145,187,188,126,160,70,61,122,155,41,61,200,128,114,62,196,242,20,62,151,4,163,60,206,109,246,61,133,237,125,59,142,117,197,187,87,121,114,189,89,68,251,188,97,126,159,189,44,229,221,61,254,110,176,60,221,143,226,60,151,214,34,61,132,129,249,189,105,181,72,189,192,146,203,189,130,43,132,189,183,223,12,190,133,109,24,189,95,158,231,60,39,58,50,189,124,57,156,60,104,158,210,189,108,74,104,189,200,96,220,189,134,25,197,189,70,231,195,189,54,151,85,188,150,91,252,60,199,20,104,60,62,117,111,61,193,235,177,187,231,212,126,61,34,0,8,189,148,24,139,189,159,54,109,189,24,153,3,62,75,128,25,62,44,221,20,61,76,13,18,62,113,95,49,61,80,34,78,61,230,174,102,189,34,147,131,60,94,179,51,61,16,208,100,62,242,255,32,62,66,64,64,189,136,76,246,60,171,186,37,187,154,49,106,61,112,53,154,189,56,91,233,188,18,172,140,189,205,5,148,187,175,108,132,61,243,28,115,189,0,182,64,189,90,208,150,189,35,97,70,61,84,111,9,190,86,124,200,189,38,7,210,189,119,195,15,61,138,159,66,61,246,143,28,189,26,124,199,61,203,22,67,61,109,99,33,61,34,164,169,189,13,165,195,61,2,99,78,61,52,176,89,62,5,146,197,61,95,194,4,61,70,171,83,61,70,3,61,61,73,92,49,61,140,224,218,188,244,51,128,189,77,146,188,188,138,207,64,62,180,129,215,61,19,171,48,61,82,226,136,60,36,123,172,189,179,33,114,61,80,187,216,189,113,225,70,189,88,127,171,189,48,64,159,61,19,132,24,61,199,186,246,189,159,93,159,59,212,119,215,189,16,151,134,61,30,45,154,189,30,241,4,189,84,30,202,189,237,255,238,188,182,82,59,190,1,170,23,62,201,100,23,60,149,96,50,189,6,180,185,60,75,39,243,189,253,132,36,189,52,218,231,60,195,204,102,62,154,151,82,62,194,6,43,62,97,186,184,61,77,25,85,60,168,229,199,61,226,143,22,189,73,141,158,188,203,52,141,189,50,108,165,61,250,11,67,62,165,172,231,61,251,46,40,61,14,29,229,189,12,167,48,61,253,239,61,190,76,41,231,189,199,28,180,189,182,64,170,60,51,160,28,190,119,203,241,61,81,192,52,188,83,139,35,190,247,106,176,60,10,79,86,189,68,232,221,189,49,113,14,190,150,131,114,61,150,79,207,189,150,149,78,62,153,124,186,61,186,30,154,188,190,196,195,61,69,155,24,189,39,100,193,189,38,243,199,189,102,204,111,61,179,184,169,61,156,76,4,62,40,3,176,61,151,182,35,187,239,122,196,60,28,27,186,59,244,242,128,189,20,13,5,190,138,239,29,61,6,113,84,61,86,0,222,61,185,118,10,189,226,149,1,190,44,40,93,189,28,183,152,189,254,254,65,189,216,41,208,189,91,133,153,61,134,103,166,61,107,204,156,61,163,200,76,189,237,78,3,190,78,138,157,189,108,200,231,189,4,192,186,189,107,75,105,189,192,146,214,61,224,244,152,61,150,136,133,60,196,58,3,188,79,205,134,189,68,159,36,189,215,207,63,189,89,74,156,188,186,59,225,189,211,43,73,61,39,28,240,60,113,240,43,61,146,128,108,189,3,14,198,189,203,63,19,189,211,89,11,189,235,106,146,189,82,101,216,189,69,29,217,61,121,219,129,61,11,208,120,188,218,109,195,187,192,56,156,189,133,50,103,187,127,220,219,188,193,60,210,189,196,156,219,188,22,78,39,62,109,61,254,60,20,43,188,60,12,17,133,60,226,212,221,189,252,148,189,188,119,50,68,189,152,137,98,189,229,83,132,189,112,237,214,61,224,43,62,61,244,128,155,189,191,221,125,189,238,46,185,189,140,213,108,188,227,9,48,189,101,165,230,189,206,24,234,189,122,7,2,61,63,161,22,189,128,207,242,188,83,96,135,189,79,28,8,190,215,145,144,189,118,239,172,189,14,80,216,188,129,38,146,189,184,198,58,61,0,52,111,60,190,53,56,62,201,171,53,61,21,71,255,189,165,51,235,188,139,52,220,189,247,1,11,189,203,75,27,189,178,192,208,60,87,61,160,60,82,19,69,62,213,251,14,62,58,219,113,189,108,14,152,189,66,60,213,189,237,20,202,58,209,62,147,60,120,98,5,62,124,69,58,61,89,229,105,189,238,19,219,189,192,33,10,190,82,113,133,189,137,54,131,189,149,225,133,187,41,248,90,188,135,241,50,61,92,153,230,189,250,137,105,189,72,129,132,189,60,240,170,189,192,171,42,189,172,98,109,189,182,232,168,189,210,55,107,189,39,26,173,61,165,57,9,189,252,41,15,62,11,180,7,62,116,111,155,61,65,107,154,61,99,243,248,61,47,116,67,62,164,30,26,62,62,154,89,62,70,122,17,62,147,190,84,60,190,148,152,61,143,84,134,61,68,79,139,60,238,217,56,61,62,147,45,62,56,40,210,61,91,213,39,62,186,124,97,61,35,112,13,189,137,150,176,61,65,135,162,61,28,222,34,61,236,203,166,60,125,173,129,59,169,209,5,61,12,4,28,62,216,148,84,60,136,19,166,189,67,157,102,60,11,104,144,59,67,54,27,190,233,70,233,189,147,88,153,189,10,3,0,188,35,62,225,188,230,131,208,189,201,219,12,62,16,111,15,62,186,15,10,62,100,227,140,62,157,93,175,62,206,117,156,61,111,220,148,61,30,255,74,62,2,59,37,62,63,122,43,189,197,232,2,190,231,166,201,189,206,205,1,61,204,191,224,61,182,33,26,190,83,157,182,189,179,51,146,189,5,31,42,189,231,239,204,59,82,135,79,60,143,184,215,61,30,141,2,62,182,29,27,62,49,132,117,60,85,37,129,61,33,84,76,188,26,200,179,189,123,36,175,189,101,215,244,189,199,242,173,189,98,179,237,188,213,47,196,188,229,126,9,190,154,94,226,189,127,151,19,190,128,174,27,190,104,185,34,61,21,26,195,185,212,17,44,189,168,16,122,61,57,14,156,60,3,61,53,188,147,94,238,187,185,23,121,188,141,122,144,58,253,183,74,189,183,27,164,189,204,116,187,59,55,89,172,61,26,152,133,189,173,20,22,61,193,249,218,188,102,29,247,189,15,163,23,189,142,7,118,61,240,107,133,60,134,110,202,187,115,199,167,61,249,227,95,187,0,39,235,60,73,220,109,61,57,41,75,61,223,41,61,61,78,197,72,189,112,171,216,189,130,82,186,60,154,54,247,61,111,137,18,59,196,90,201,61,205,98,247,188,186,1,229,189,164,52,75,189,82,182,204,60,129,42,24,189,150,174,132,188,235,141,216,60,22,2,250,187,1,30,236,188,88,178,127,189,46,217,172,189,71,226,147,61,7,196,148,61,41,217,127,60,69,75,253,60,74,250,139,60,4,136,27,189,176,197,80,187,48,10,133,60,122,183,231,188,252,26,231,61,11,98,173,186,22,111,159,189,114,164,147,189,133,32,10,61,189,236,248,61,78,159,186,60,160,21,88,189,135,41,157,188,167,2,5,62,248,46,94,61,92,32,191,60,92,7,37,61,149,206,253,61,182,119,194,61,218,55,188,61,234,134,162,61,93,168,15,60,159,153,47,62,57,122,11,188,4,18,164,189,25,48,139,189,80,21,72,61,18,60,54,60,146,119,160,189,84,124,150,186,252,238,12,189,18,21,233,60,206,154,157,61,183,200,144,189,83,181,60,188,129,230,11,188,38,55,136,188,71,141,42,189,102,52,93,61,254,56,234,60,173,91,239,60,172,237,76,61,51,178,224,187,86,190,133,188,190,86,159,61,239,151,37,61,49,77,71,188,108,135,108,59,197,123,129,189,13,231,194,61,93,220,3,62,159,201,30,188,200,242,40,60,159,53,84,61,115,34,25,188,91,184,134,188,23,161,70,189,33,230,49,189,191,87,215,61,139,203,164,61,239,9,61,189,254,213,34,189,111,99,115,188,142,28,6,62,112,179,120,188,172,151,134,189,182,130,36,189,211,136,151,60,151,219,199,60,170,55,165,61,113,37,229,58,243,117,144,61,173,159,180,61,180,147,166,187,99,41,134,189,138,74,169,189,199,88,159,189,29,34,110,60,83,87,179,189,150,166,51,60,198,193,14,188,243,15,207,61,53,79,198,60,63,99,137,189,217,122,164,60,155,91,194,59,208,35,93,61,142,97,154,61,104,223,167,60,128,182,183,60,30,75,36,61,66,228,189,186,238,85,137,187,217,104,130,61,55,94,205,60,236,111,199,60,8,210,112,61,37,213,6,188,193,143,75,188,143,13,45,61,103,195,143,188,217,11,116,61,236,107,28,61,127,241,149,188,69,126,48,189,25,34,53,189,219,73,199,188,175,137,185,60,209,135,5,59,30,31,68,60,107,212,53,61,231,57,249,61,47,145,19,61,63,238,212,188,227,232,1,187,199,162,167,60,15,49,216,188,90,170,250,186,141,44,191,189,233,65,19,189,68,231,33,188,147,65,140,189,188,33,63,189,187,228,203,189,158,75,44,189,69,188,213,60,114,238,20,60,145,50,146,189,236,105,221,185,59,185,144,60,251,205,225,60,19,89,86,60,164,1,38,61,210,149,195,60,160,157,90,61,8,218,204,60,44,155,75,189,81,85,255,189,227,68,52,62,228,2,251,61,217,217,153,189,93,157,14,60,31,95,105,189,86,138,20,189,63,160,15,188,180,100,70,188,50,145,193,189,2,105,153,61,213,126,164,188,122,166,219,188,219,94,132,189,219,160,120,188,16,112,240,59,66,243,198,59,185,207,190,189,203,103,59,189,123,204,7,62,95,243,29,62,30,167,135,188,59,29,227,188,152,199,86,189,119,10,193,188,214,167,192,188,70,34,209,189,228,209,3,190,101,253,20,62,13,52,0,62,21,198,143,59,52,12,229,60,193,198,83,61,53,230,188,61,73,65,113,61,8,179,194,60,43,133,227,188,148,179,194,61,84,201,190,60,107,12,190,188,121,214,3,189,76,82,122,188,61,147,38,188,236,28,219,188,58,107,82,61,148,65,162,60,192,7,134,61,220,11,143,188,127,41,40,60,228,226,127,60,18,238,80,58,97,175,155,61,238,61,156,60,238,143,252,188,91,62,117,189,205,74,189,61,32,11,21,62,188,181,41,60,89,84,253,60,35,216,195,189,146,190,27,189,240,89,207,60,186,68,252,60,50,108,145,189,36,109,8,61,81,94,48,187,138,189,1,61,174,80,107,61,122,134,5,61,137,178,250,58,148,217,2,61,181,87,151,61,169,16,180,60,141,84,156,61,181,226,6,61,86,113,186,189,78,65,65,61,39,247,121,61,131,87,36,188,189,217,191,59,98,117,121,188,223,87,190,60,115,196,216,61,56,212,142,59,177,45,122,61,195,96,112,61,108,57,255,188,84,3,71,60,7,116,175,61,246,20,129,59,112,143,206,188,0,249,246,186,18,245,166,60,132,83,36,186,92,153,72,61,48,85,47,189,26,106,69,189,145,34,69,189,39,195,109,188,200,244,80,61,241,163,19,188,12,142,8,189,188,122,32,61,242,226,43,61,76,206,47,61,24,40,230,60,149,188,245,60,9,44,39,61,206,25,21,60,226,184,198,61,189,147,212,61,85,104,192,60,179,233,154,187,34,81,40,60,227,11,213,61,31,59,247,61,236,14,201,61,77,250,213,188,137,7,21,61,74,132,113,61,124,69,71,61,202,91,68,61,22,5,31,189,25,168,242,188,163,65,72,188,202,197,38,61,142,131,157,60,7,108,187,188,155,84,8,61,252,75,152,60,246,212,184,61,154,212,27,61,72,100,105,188,224,12,160,60,124,150,205,60,79,228,10,189,186,254,103,189,204,130,134,188,236,142,111,61,119,10,62,61,218,98,171,60,124,55,4,62,53,246,75,62,34,131,158,61,6,213,237,187,198,231,38,61,150,106,2,61,253,132,182,58,224,16,106,188,243,209,152,60,92,175,174,61,252,185,10,62,13,42,229,61,132,203,35,61,126,29,196,61,53,138,215,188,105,166,13,189,52,143,66,189,18,168,120,189,128,160,154,59,128,2,132,61,5,181,200,188,143,157,96,189,171,194,62,189,57,91,166,188,122,146,14,189,45,119,192,189,244,16,131,189,228,212,147,188,50,69,184,59,110,216,217,187,104,124,133,189,89,34,228,59,34,98,152,188,193,232,45,189,139,161,111,189,41,156,84,187,214,181,157,61,80,61,231,61,65,57,203,61,250,89,243,188,174,16,101,61,58,46,69,61,235,238,200,189,218,166,191,189,140,48,6,189,61,190,85,61,119,161,41,61,94,197,128,59,170,190,78,189,103,110,35,62,183,240,60,61,94,27,255,188,63,119,62,189,146,28,5,189,97,181,198,188,213,151,48,189,20,113,48,61,242,140,192,189,181,67,66,189,128,137,77,188,104,36,135,189,79,184,95,59,163,54,102,189,197,151,238,187,96,177,117,189,25,31,6,189,9,20,151,189,230,17,81,59,142,95,158,189,193,55,110,61,29,110,202,188,165,184,29,61,139,181,13,62,208,177,29,62,111,212,141,60,115,22,114,188,10,219,212,61,197,88,83,61,63,97,159,188,249,99,12,189,197,93,71,189,0,47,189,61,92,206,219,61,196,175,120,61,204,3,94,188,243,22,151,60,221,146,14,189,251,130,27,189,94,26,98,57,124,212,94,189,34,209,154,60,33,125,108,188,171,163,213,188,89,174,240,188,252,224,222,60,122,29,127,189,11,97,243,188,106,86,12,189,102,141,210,189,93,5,138,189,251,33,86,189,55,163,9,61,131,251,230,189,217,170,142,189,37,184,14,190,69,63,21,60,167,33,132,57,206,123,133,187,52,31,252,61,139,88,191,61,48,142,149,61,24,250,3,61,251,69,154,61,15,86,27,61,103,49,76,189,63,213,147,60,93,181,220,60,240,12,10,62,87,119,60,61,212,56,40,61,115,78,174,61,74,52,252,61,160,103,88,60,113,155,78,61,76,48,181,187,64,43,184,189,67,67,184,188,19,144,167,189,242,134,124,61,245,99,5,189,193,33,47,188,123,214,88,188,125,38,245,189,232,21,61,189,129,147,247,189,136,127,138,189,153,179,177,189,180,199,131,189,161,52,145,60,141,29,14,61,242,198,223,189,127,229,246,60,216,171,15,62,28,44,37,62,36,44,56,62,203,13,231,61,224,170,215,61,209,100,182,61,50,99,158,61,84,30,137,61,215,122,175,60,66,222,131,61,36,151,200,61,114,81,107,61,71,112,228,60,114,174,215,60,161,140,163,61,114,59,139,59,25,235,10,60,122,128,219,188,6,72,173,187,151,40,177,188,235,104,153,189,197,252,168,189,134,121,168,188,178,33,40,188,2,97,151,186,250,235,22,186,67,172,147,189,6,239,149,189,61,5,72,189,116,44,223,189,94,34,153,189,82,153,181,189,33,224,188,189,182,188,223,189,175,156,213,189,62,227,162,61,79,192,226,60,4,86,233,61,114,77,64,62,189,183,7,61,166,156,175,60,214,178,111,61,10,251,10,187,108,15,119,187,128,66,227,60,210,247,255,188,120,12,112,60,15,98,132,60,16,13,100,188,91,100,52,189,220,254,94,189,36,95,22,190,21,197,25,190,51,181,56,61,33,210,169,58,13,27,101,60,90,205,101,61,34,109,71,189,127,167,67,189,43,214,5,188,205,208,22,187,117,75,187,188,133,107,245,61,68,165,64,189,14,133,180,189,141,88,155,189,11,45,221,189,227,98,4,189,4,93,119,60,103,99,70,189,226,133,34,189,40,100,196,61,122,154,93,60,242,229,110,188,246,42,44,60,81,243,248,188,87,194,131,60,195,196,146,58,81,232,76,188,79,146,59,59,11,130,49,61,49,138,21,190,247,117,159,188,189,171,190,188,155,180,161,188,137,179,162,61,18,60,182,188,198,64,137,189,21,102,14,61,115,162,235,61,143,59,222,188,243,103,136,188,139,88,129,61,87,14,168,189,20,53,152,61,171,89,73,61,67,10,55,189,254,47,116,188,207,143,151,61,71,156,238,189,219,254,80,61,209,189,58,61,42,82,114,189,11,15,181,61,184,20,130,188,192,121,24,190,107,237,160,61,152,238,64,61,47,114,92,189,130,40,150,189,108,165,19,189,216,221,31,62,188,171,156,61,75,24,116,189,171,117,227,188,23,77,227,61,169,246,25,61,221,36,54,189,55,16,74,61,212,115,92,60,131,190,141,61,175,212,150,61,115,14,98,61,180,136,237,60,103,4,192,61,227,106,215,61,150,13,53,189,96,230,156,60,201,143,105,187,160,94,21,62,203,168,210,61,122,156,50,189,52,73,2,190,103,226,185,61,255,187,227,61,179,49,119,189,232,35,198,61,35,14,183,61,203,181,144,61,164,64,213,60,227,161,191,59,90,145,114,189,158,35,253,61,248,186,107,59,122,129,68,59,171,119,23,61,83,94,167,60,64,192,42,61,131,24,40,60,178,209,94,188,186,37,131,188,171,112,211,60,234,207,190,60,255,92,67,59,150,130,133,60,62,60,136,61,179,216,111,61,246,190,74,60,201,133,84,188,40,79,144,60,151,133,80,61,106,33,134,61,102,73,53,189,184,98,31,59,12,105,73,59,65,199,136,61,254,72,48,189,218,86,49,60,31,161,132,189,175,6,39,61,206,207,254,61,174,181,168,61,2,12,152,61,242,137,38,61,239,108,141,61,200,182,195,61,127,77,2,62,0,169,174,188,176,94,174,61,125,5,43,189,20,122,218,188,129,120,155,60,69,225,7,61,181,231,26,60,86,254,74,188,214,197,45,189,68,145,104,188,65,54,17,189,215,244,199,188,203,217,177,61,254,143,44,61,224,193,201,60,184,3,53,188,57,102,164,187,17,56,243,60,5,201,212,60,9,135,128,188,19,238,56,61,185,214,142,61,58,145,177,61,243,214,139,61,45,177,209,61,145,109,93,61,216,28,134,61,243,43,26,189,248,209,95,60,19,201,144,61,249,178,91,61,239,135,68,61,94,191,239,61,242,231,95,61,52,33,153,188,213,238,129,61,238,124,254,60,158,178,172,61,81,216,168,188,3,131,28,61,46,209,226,187,69,222,209,59,71,94,80,188,50,127,144,56,48,4,58,61,56,156,155,188,5,161,77,189,127,213,245,60,157,167,50,60,125,66,148,59,250,212,210,60,131,169,195,188,252,12,44,189,168,120,226,58,193,223,116,189,82,222,222,188,51,161,134,61,144,31,61,60,190,91,79,60,116,15,151,61,102,180,22,188,72,72,73,189,240,16,174,60,123,52,132,61,73,29,51,61,81,148,7,189,109,177,19,61,114,47,222,187,44,99,25,60,191,41,143,60,137,51,131,189,103,135,139,189,192,126,165,61,186,148,227,188,143,18,224,60,81,240,130,61,215,60,136,61,150,135,104,61,148,242,176,61,80,197,248,187,118,228,164,188,168,50,66,189,65,191,135,188,30,18,133,188,171,60,99,61,226,230,24,187,151,129,55,60,176,138,123,61,134,183,128,189,158,214,178,189,7,189,190,189,118,207,46,189,202,169,182,59,15,3,69,61,243,75,145,60,28,21,176,59,132,252,23,62,185,251,128,189,126,114,240,188,200,92,234,61,127,51,78,189,25,77,185,59,232,27,170,60,164,131,59,189,216,249,65,189,41,146,242,60,38,156,190,189,66,245,52,189,58,100,76,189,48,98,33,189,72,250,85,60,217,93,128,61,55,245,25,61,97,67,173,61,252,233,13,62,213,41,71,61,0,110,129,189,98,166,103,189,110,124,154,60,22,148,6,189,113,25,10,61,190,50,144,189,60,229,56,189,173,23,100,60,241,157,167,61,174,19,148,189,80,136,195,60,50,246,178,60,213,118,213,60,45,103,41,188,236,89,24,60,21,114,251,59,176,137,27,62,144,127,169,60,184,112,199,189,186,38,182,189,157,26,159,189,52,15,191,60,59,188,145,188,235,123,5,189,17,139,167,189,182,239,173,189,13,156,187,60,243,209,232,189,68,151,17,189,205,180,57,189,175,107,234,188,111,231,138,61,195,95,54,60,165,0,201,60,209,69,2,62,182,147,165,61,121,198,19,189,243,183,53,60,218,192,68,61,143,242,14,189,184,62,11,61,60,188,104,189,119,211,12,60,61,55,140,187,78,86,4,61,66,6,85,188,159,22,42,188,161,104,162,189,164,126,8,60,117,43,188,60,149,14,86,188,143,36,154,188,135,197,52,61,38,178,106,61,190,18,26,189,135,29,159,60,188,170,215,58,148,28,28,189,38,166,43,61,46,96,25,190,212,233,56,189,255,43,70,60,113,16,179,187,47,240,134,188,117,10,250,59,56,125,153,189,88,88,172,61,102,54,205,61,149,73,73,188,236,56,134,61,52,136,58,61,130,152,161,61,73,33,249,60,64,134,143,60,200,149,188,61,181,77,196,185,231,13,216,61,216,249,63,61,135,57,155,60,36,52,217,188,205,111,142,187,30,145,178,59,13,170,108,60,224,238,112,61,51,170,8,189,76,147,60,61,150,168,213,189,178,155,157,60,67,247,150,60,196,66,140,188,200,22,182,188,18,61,64,61,181,18,126,189,172,1,105,188,251,213,178,61,50,210,157,189,62,254,217,60,67,35,48,189,202,84,253,188,89,127,17,189,34,130,154,188,101,250,75,189,149,1,32,61,35,197,60,61,115,105,75,61,125,31,47,61,195,78,61,189,227,89,217,188,168,105,12,60,1,70,29,61,42,86,110,61,24,245,30,61,155,193,144,185,29,7,252,60,60,208,5,189,81,36,92,189,134,63,76,61,44,230,26,188,58,189,18,61,150,98,45,187,26,218,140,186,53,172,242,60,193,8,115,188,19,191,250,60,35,145,200,60,230,49,151,60,101,120,6,61,69,197,16,189,187,156,49,188,247,91,55,188,146,244,242,186,122,226,27,186,175,88,54,189,23,131,67,59,226,117,128,61,78,76,176,188,121,133,72,187,124,179,79,189,193,246,122,60,41,45,82,60,127,165,83,61,80,9,27,60,147,65,91,187,139,86,234,61,187,4,32,189,184,49,47,187,116,109,251,60,84,210,57,188,180,158,241,60,150,235,235,60,138,236,29,61,16,88,13,189,251,62,187,61,80,172,176,188,164,213,120,61,252,205,126,189,229,78,159,60,35,3,219,59,200,84,136,189,84,171,14,60,236,142,13,61,100,107,199,60,81,138,7,190,99,23,43,189,57,139,169,188,221,255,46,60,101,166,118,60,199,244,153,189,164,96,123,187,82,254,128,189,103,8,236,188,155,39,6,190,200,229,147,189,86,9,190,187,198,117,12,188,16,238,26,61,199,70,226,60,104,113,74,61,176,140,240,188,7,141,196,61,233,102,157,60,160,231,121,61,166,24,68,189,178,7,98,188,135,142,242,187,160,223,181,188,236,62,87,188,76,202,254,59,135,215,251,61,58,216,240,60,121,54,19,61,210,130,159,189,129,167,57,188,97,91,209,57,235,117,121,189,220,214,55,188,241,147,153,187,109,83,156,61,202,55,138,189,208,6,103,189,171,174,87,189,61,162,58,188,7,17,133,188,216,39,65,189,66,19,52,188,214,203,43,60,39,73,87,59,4,252,109,189,182,177,157,189,190,108,8,189,109,108,43,61,24,123,14,61,171,97,186,60,114,206,188,60,142,63,218,59,175,160,224,61,154,81,194,187,88,255,70,189,226,41,44,189,202,206,190,189,115,228,200,187,167,116,208,188,160,214,95,60,6,127,22,60,140,69,151,188,38,75,102,189,166,103,35,189,114,244,159,189,105,132,226,59,239,5,116,61,116,204,31,189,69,199,128,60,236,155,67,188,35,231,225,187,97,104,253,188,34,106,41,189,189,7,128,188,133,154,60,189,80,184,234,60,14,188,177,189,13,103,4,189,214,187,91,189,93,192,108,188,102,112,143,189,112,142,177,189,195,43,57,189,107,17,47,61,7,99,255,60,59,112,167,61,255,32,49,60,55,168,130,61,99,235,125,61,32,200,234,60,11,92,193,60,133,188,137,61,237,17,5,189,28,162,25,188,28,73,169,61,168,250,183,188,133,243,81,61,65,145,152,188,79,170,161,60,146,99,163,188,94,150,220,189,166,68,2,61,77,75,84,59,172,122,175,188,99,85,46,189,168,1,67,61,19,109,47,61,64,217,102,61,140,66,153,188,162,241,98,61,85,65,249,188,190,110,110,60,60,201,135,189,194,92,111,189,102,45,25,189,57,117,199,189,151,230,3,189,225,51,102,189,113,156,212,189,107,142,151,61,240,216,137,59,55,120,5,61,20,115,12,59,181,203,81,61,145,201,80,188,16,92,195,60,173,192,129,61,17,232,161,189,102,136,171,61,0,197,161,189,110,75,133,189,43,172,204,188,120,218,133,61,20,162,34,61,180,132,72,61,39,159,63,188,160,11,35,189,41,191,104,61,252,180,114,61,136,1,63,188,41,139,162,189,21,102,44,189,120,143,90,60,86,94,185,61,31,210,206,61,24,201,34,189,210,245,74,60,186,162,153,189,17,186,21,189,202,48,48,189,228,194,188,61,136,12,243,57,55,144,233,60,105,136,175,60,65,121,6,57,106,231,235,60,66,52,175,189,37,51,70,189,195,156,166,61,160,201,107,189,68,167,103,60,150,99,13,61,46,145,135,189,199,28,250,188,217,158,242,60,193,60,151,189,96,18,58,60,208,109,88,61,77,75,159,189,26,165,172,188,136,194,97,189,162,248,9,190,0,59,248,60,191,170,137,61,6,185,126,189,182,170,110,189,102,24,128,61,190,56,237,60,156,80,136,188,99,73,20,189,236,19,132,188,37,126,191,186,81,127,15,62,151,212,18,188,77,33,5,189,184,236,93,59,160,134,45,59,88,157,9,61,30,151,197,188,236,63,45,189,120,113,218,61,42,78,213,192,11,181,150,62,143,85,202,189,106,161,4,190,65,73,161,61,240,105,198,62,33,231,133,62,9,113,21,62,101,252,123,61,60,75,168,62,124,153,104,62,218,31,136,189,212,155,177,189,58,205,66,61,223,140,218,61,226,57,27,61,170,69,228,61,23,239,199,188,175,10,156,62,229,100,130,62,20,203,141,189,93,24,169,61,83,203,22,62,123,104,167,62,25,118,24,62,204,98,98,61,123,49,180,189,42,0,134,62,118,226,18,62,215,164,219,60,217,237,115,62,46,173,70,62,210,197,102,61,197,203,211,188,39,21,13,189,224,99,32,190,34,25,82,62,212,73,182,61,157,42,15,190,223,25,205,189,161,243,26,189,193,115,239,188,209,231,99,189,14,47,8,61,44,68,135,188,72,248,30,62,37,64,125,62,145,95,255,189,194,77,70,189,90,217,126,189,214,84,70,62,126,225,149,59,1,165,97,61,2,159,191,61,178,188,43,62,91,154,43,62,176,201,154,60,152,108,92,62,109,26,251,61,141,98,185,61,29,170,137,189,162,210,72,189,243,2,204,189,120,155,119,62,67,87,194,189,91,122,52,190,129,92,226,58,74,179,9,190,176,229,213,61,143,168,80,61,214,57,166,61,134,198,147,61,138,33,249,61,73,16,46,59,12,144,152,190,8,203,8,190,112,65,118,189,129,120,189,189,246,152,72,189,129,147,173,189,5,111,56,190,140,16,30,189,36,181,176,61,5,222,9,190,93,165,219,189,81,20,8,62,14,244,16,62,68,105,127,62,73,102,5,62,146,3,246,188,44,240,149,61,141,156,5,188,86,70,163,60,40,209,146,61,82,73,157,57,229,242,159,188,161,248,177,188,71,232,39,189,178,217,177,189,44,157,143,61,54,203,117,62,245,219,135,62,223,250,48,61,144,193,42,62,182,75,187,61,14,131,121,61,244,111,23,189,193,116,186,189,117,148,163,61,69,14,97,62,126,229,33,62,42,254,15,190,140,49,48,189,49,152,255,61,2,213,191,61,183,94,211,61,64,76,194,61,174,242,164,61,29,4,13,62,106,107,36,62,228,74,45,190,244,24,101,60,213,119,158,62,195,46,138,187,140,74,106,189,207,18,132,189,20,117,102,60,44,214,184,62,16,174,128,62,106,218,165,189,60,249,52,189,81,164,123,61,210,28,25,189,142,90,161,189,8,229,253,60,162,207,135,61,125,89,26,61,22,251,27,62,76,196,187,189,151,198,143,61,165,21,95,62,222,60,21,61,28,152,156,189,91,238,204,59,10,101,193,189,126,139,30,62,48,186,188,188,37,176,73,190,91,121,201,188,135,191,54,62,141,94,77,189,49,35,60,189,14,248,124,186,29,118,223,61,131,23,61,61,173,50,35,190,249,192,14,188,135,49,41,61,146,235,198,61,21,86,106,189,123,76,132,189,175,8,158,61,31,101,52,62,72,164,13,62,130,169,134,61,7,240,214,189,58,232,146,60,110,134,11,62,138,5,62,188,105,138,64,61,102,247,164,61,30,136,140,61,191,98,173,61,28,97,17,189,214,2,187,189,149,158,41,189,186,188,121,61,61,183,208,189,226,146,163,189,182,20,176,189,254,215,185,188,228,103,163,61,199,213,200,189,101,167,95,189,165,104,37,61,172,1,154,62,129,176,3,62,146,61,194,61,216,45,66,61,160,137,208,61,141,67,125,61,69,13,38,190,87,118,81,190,45,9,16,189,5,197,207,61,181,82,136,188,181,84,222,188,14,158,9,190,205,62,15,188,234,146,209,61,13,56,235,61,222,1,30,60,88,169,128,61,255,8,115,62,9,223,43,62,188,91,89,61,173,78,78,188,113,198,48,61,124,15,23,59,63,31,133,61,4,116,31,189,160,193,166,188,206,255,27,62,141,12,50,61,91,125,245,188,62,234,47,189,204,10,5,61,112,67,140,61,21,0,227,189,124,127,227,189,197,85,229,61,100,202,7,187,112,65,182,187,27,213,169,61,106,106,217,59,82,127,221,189,41,151,198,60,10,20,177,189,244,112,66,190,98,75,143,188,11,13,68,62,173,193,251,187,5,220,3,190,183,183,27,189,159,142,7,190,179,67,188,61,168,55,163,61,54,148,218,189,47,223,250,187,206,227,48,62,67,169,61,60,78,236,33,60,44,131,170,61,21,56,217,188,221,6,21,62,65,158,29,62,190,106,5,190,142,30,223,189,157,244,254,61,54,204,80,187,20,203,205,189,57,39,118,60,110,219,119,189,239,89,215,60,150,150,177,189,123,17,45,190,242,180,156,61,232,244,92,62,210,255,50,61,41,205,6,190,81,49,78,188,182,15,57,189,238,9,242,189,79,87,119,190,219,78,43,190,111,183,164,188,250,40,163,188,173,138,208,189,38,85,219,189,198,20,44,188,233,16,56,61,121,59,66,62,113,84,94,62,172,196,60,189,5,78,54,61,90,130,76,62,238,120,19,189,82,128,24,190,238,206,90,60,190,80,160,189,96,116,249,60,225,155,102,61,208,152,201,188,88,113,170,61,245,215,203,61,115,131,33,189,143,54,14,190,89,162,179,59,78,151,197,188,216,214,15,190,195,242,135,189,31,187,139,188,65,183,23,60,154,149,109,189,121,91,233,188,196,90,124,189,244,51,245,59,193,27,34,190,177,77,26,190,63,169,54,189,174,73,215,189,252,113,59,189,207,219,216,187,91,10,200,188,131,19,241,189,41,118,244,189,225,41,52,190,157,132,146,189,110,196,243,61,195,17,228,61,167,116,48,61,197,231,14,61,91,120,190,61,187,123,0,60,181,250,106,61,92,228,222,189,67,198,163,189,132,128,108,62,245,132,165,60,171,236,59,60,6,128,202,61,158,123,207,61,115,133,247,188,124,154,147,188,204,236,115,189,215,104,217,189,83,32,179,60,158,98,21,189,199,241,163,61,162,156,40,61,146,36,168,189,84,26,241,61,236,161,253,60,43,79,96,189,171,61,172,189,151,60,62,190,244,26,123,189,54,3,28,189,93,197,226,189,82,44,135,190,200,7,157,61,95,236,157,189,140,242,12,190,1,104,20,61,92,85,142,62,40,153,156,60,190,165,220,61,134,117,19,62,108,118,164,61,102,50,92,62,250,99,106,62,142,234,148,61,115,71,159,61,164,26,246,61,120,67,154,61,150,120,128,61,191,213,250,61,157,188,72,189,177,222,40,62,75,89,38,62,145,241,40,61,220,13,34,60,134,89,200,189,228,131,30,189,30,163,188,188,12,205,245,189,167,62,80,62,248,111,126,62,203,103,25,62,37,150,20,189,99,154,169,189,192,5,185,189,255,90,222,188,214,2,155,189,172,255,163,190,111,18,3,186,38,198,18,190,23,71,133,189,39,108,63,190,24,122,4,62,96,115,238,61,77,15,58,62,198,134,46,62,8,116,214,62,5,139,235,62,55,221,170,62,32,12,108,62,0,225,67,61,175,33,56,189,172,112,139,189,21,139,15,62,58,150,55,189,215,52,175,61,186,103,189,61,1,190,219,189,91,206,5,190,141,150,83,190,238,179,234,61,186,191,162,190,126,1,157,189,235,110,30,61,236,219,89,62,42,142,131,188,8,144,1,190,72,135,39,190,156,50,87,62,142,145,204,61,23,102,1,190,125,151,242,61,232,45,158,60,141,9,177,188,69,161,197,189,30,252,228,189,253,76,77,190,82,72,18,62,8,85,106,62,196,233,180,190,92,115,55,190,170,70,239,61,34,57,129,62,56,245,1,189,118,166,64,190,95,208,34,190,88,230,197,62,73,128,250,61,143,251,86,62,98,189,201,62,200,210,183,62,179,124,133,62,76,108,46,62,169,46,96,60,176,4,18,190,92,31,214,188,241,155,66,188,167,33,26,190,204,41,65,61,82,67,219,189,34,226,22,190,140,49,64,190,221,125,62,190,137,10,85,190,36,124,111,61,168,142,149,189,188,59,114,190,228,103,163,189,166,185,21,190,194,223,111,189,91,150,207,189,151,2,146,189,53,153,145,189,59,115,239,61,99,237,111,62,102,18,157,62,159,203,164,62,143,194,117,62,221,9,150,61,67,113,71,188,125,234,216,60,52,130,77,61,50,29,42,62,46,115,106,62,25,144,125,61,13,55,32,62,11,239,82,62,226,34,247,61,80,252,24,61,201,233,43,62,219,135,148,62,52,128,215,62,109,116,78,188,40,101,66,62,148,221,156,62,201,114,242,61,226,200,195,189,123,49,148,189,8,173,7,190,39,164,101,190,166,11,1,190,182,18,186,60,143,109,145,62,77,104,82,61,235,1,115,186,29,148,112,189,128,181,170,189,227,164,16,190,114,20,64,190,118,136,79,190,119,77,72,61,237,131,124,62,222,59,226,62,166,94,175,62,73,44,137,61,239,115,92,62,36,181,64,62,145,242,147,189,45,35,85,190,154,93,247,188,152,106,54,62,204,69,12,62,239,168,49,189,193,113,57,190,129,9,188,61,53,238,237,61,6,187,1,190,182,243,197,190,31,128,188,62,230,205,137,62,93,79,180,189,54,30,236,188,86,98,190,61,68,107,197,60,240,223,60,61,134,255,52,62,0,28,11,62,104,232,255,61,128,40,72,62,231,113,24,189,239,58,43,62,247,120,65,62,45,64,91,61,34,81,136,189,40,238,8,62,98,132,144,189,238,91,237,61,236,23,28,62,7,154,239,189,15,126,226,189,22,77,55,190,217,118,218,60,234,236,164,61,164,197,153,61,102,46,144,189,56,192,76,60,173,252,178,60,75,30,15,190,73,99,180,188,117,57,197,189,154,6,133,189,52,129,2,190,144,50,98,188,65,212,221,189,45,9,32,62,188,118,25,62,145,123,58,188,90,41,132,61,187,241,238,60,73,103,224,60,67,199,142,61,181,108,29,62,47,135,29,61,74,64,108,62,81,247,129,62,87,205,115,61,127,137,56,189,98,188,102,60,115,158,145,61,58,203,140,61,103,96,196,61,93,26,191,59,66,93,20,62,163,234,215,60,132,243,137,189,174,215,52,189,204,123,252,189,101,28,163,188,158,66,174,59,114,168,223,61,222,199,81,187,128,11,178,188,0,111,17,62,138,6,137,189,67,231,245,189,149,42,65,190,92,87,76,60,216,125,71,189,195,154,74,188,141,67,61,190,30,163,44,62,251,201,136,62,131,107,110,61,64,163,52,189,76,55,9,61,233,215,54,62,79,30,214,61,74,182,250,61,215,51,164,61,102,103,49,62,215,217,152,62,34,109,131,61,208,182,90,61,114,134,50,62,18,135,108,62,206,170,239,61,88,59,42,62,108,63,105,62,49,9,247,61,232,50,53,62,181,169,58,188,0,30,177,189,229,126,7,188,97,195,83,61,195,12,29,190,17,255,112,189,223,22,108,189,37,59,118,189,220,217,215,60,86,154,36,190,189,54,27,189,148,246,70,189,36,38,40,61,58,36,181,188,74,65,119,61,99,155,84,61,142,143,38,62,237,215,13,62,201,142,77,189,142,147,194,187,66,6,146,61,30,192,2,62,83,90,127,61,152,221,19,62,79,175,148,61,207,50,75,62,213,32,124,62,117,31,160,189,242,37,20,189,73,131,155,61,1,219,65,61,187,214,94,188,137,152,178,61,83,5,163,60,56,48,185,60,123,189,123,188,201,115,189,189,199,41,154,61,4,86,238,189,23,217,78,61,167,205,56,61,138,144,42,62,2,155,147,61,149,71,119,61,176,232,6,62,145,240,45,190,144,47,33,189,174,128,66,189,46,2,35,189,42,55,81,190,43,217,177,60,181,140,4,62,0,115,173,188,247,147,49,62,114,252,144,189,24,11,131,189,27,185,142,61,86,70,131,189,206,80,252,189,185,79,142,188,187,213,83,190,46,227,134,61,8,227,231,61,86,102,202,60,59,27,146,189,108,36,137,189,250,69,201,189,223,223,128,189,0,82,155,61,97,27,113,60,157,190,158,60,63,226,7,62,115,241,151,189,169,105,183,189,76,168,160,189,75,58,74,190,61,213,49,190,70,97,87,61,225,179,53,61,97,140,232,61,44,182,201,61,226,120,158,61,182,157,54,188,25,55,69,190,166,97,40,190,131,165,58,61,194,162,82,62,79,120,73,61,241,130,168,189,105,28,10,62,115,243,61,62,155,58,15,61,102,220,244,189,75,35,230,189,213,180,235,189,37,91,93,189,67,58,60,190,229,242,159,189,141,69,67,62,178,161,187,61,78,126,139,59,44,125,40,189,36,182,123,189,126,253,16,190,3,124,71,190,14,17,247,189,93,55,165,60,183,155,224,61,246,7,138,61,206,168,121,188,109,226,116,190,245,130,135,190,199,158,61,190,186,187,78,61,21,86,170,60,24,35,18,61,219,24,187,60,160,55,85,189,11,10,3,190,60,134,231,189,226,229,105,190,104,61,132,190,193,224,90,189,48,132,156,61,255,178,123,61,111,45,115,62,248,27,109,59,179,210,100,189,184,92,221,189,74,13,237,188,86,183,58,61,57,99,88,61,146,206,192,186,151,253,186,60,110,250,115,61,101,223,213,189,163,61,158,189,152,247,88,190,250,42,89,190,114,251,229,60,38,85,155,61,45,62,133,60,156,195,37,62,87,180,9,62,27,100,18,60,164,198,68,189,31,248,152,61,15,123,161,59,245,19,206,188,195,128,69,62,69,100,152,61,31,18,158,62,167,232,136,62,32,240,192,61,149,16,172,187,47,51,44,61,159,173,3,189,208,100,127,60,12,120,129,62,94,130,51,62,1,136,187,60,44,68,167,61,50,115,129,61,110,135,38,62,156,23,71,62,220,128,111,62,35,75,134,62,148,106,63,62,156,49,172,61,115,161,146,190,150,37,90,190,195,40,72,189,47,167,84,190,150,33,46,190,28,64,63,60,196,96,190,189,177,105,69,190,233,12,140,190,25,114,108,62,25,145,136,62,17,27,164,62,179,36,152,62,206,84,12,63],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+92160);allocate([189,30,156,62,26,223,7,62,221,68,125,62,116,150,89,62,97,254,138,190,249,131,17,190,191,41,44,187,254,38,244,189,213,118,3,62,56,246,204,61,162,122,107,189,193,167,249,189,170,98,106,190,162,37,79,62,238,177,204,190,113,30,190,190,170,69,196,189,89,78,130,189,125,63,37,190,252,82,159,190,162,239,150,190,212,238,119,62,117,34,65,60,199,187,195,61,188,33,165,62,242,7,3,63,135,80,165,62,124,99,160,62,175,125,49,62,175,151,38,59,83,35,244,188,187,71,166,62,193,255,166,190,45,92,174,190,95,155,13,190,228,46,66,187,74,152,233,189,10,47,193,190,137,152,226,190,114,139,89,62,54,63,254,187,67,169,61,188,184,200,45,62,124,12,158,62,112,123,162,62,119,21,10,63,169,106,170,62,233,211,106,61,245,161,139,189,59,226,208,61,146,179,136,62,133,153,86,62,62,34,182,62,34,171,187,61,223,82,46,62,92,56,0,62,234,93,140,62,20,209,143,61,213,4,209,60,45,148,76,61,224,45,16,186,128,14,51,61,75,63,17,190,9,193,170,60,231,252,4,62,129,95,131,62,27,18,215,61,46,230,23,62,67,199,46,62,51,221,235,60,182,160,151,61,13,226,35,62,30,110,207,62,114,24,124,62,81,78,180,62,126,1,45,62,233,152,99,62,140,100,135,62,44,14,135,61,192,235,179,60,164,197,153,189,214,173,190,61,0,202,223,60,53,121,202,61,83,202,107,61,228,106,164,189,7,121,61,62,135,251,160,62,68,222,170,62,49,209,0,62,160,255,150,62,14,162,197,62,132,215,94,62,225,235,59,190,139,167,142,190,61,124,25,187,222,232,227,188,7,125,9,190,83,231,169,190,242,235,7,188,105,27,255,61,29,1,92,61,170,239,188,190,60,162,194,189,249,103,86,62,18,247,216,62,84,87,190,62,172,230,217,61,12,35,189,62,157,161,248,62,244,191,108,62,113,3,14,190,100,203,178,190,173,135,143,189,137,126,237,60,161,45,167,189,119,191,202,190,97,80,22,190,127,21,224,188,195,213,129,61,6,131,139,190,239,202,110,61,120,41,173,62,207,217,226,61,35,159,87,189,218,117,111,190,161,218,224,188,109,114,248,60,68,78,31,62,217,39,192,189,12,92,158,60,14,17,247,61,31,45,206,59,11,66,217,189,1,246,113,190,190,80,16,190,121,92,180,189,53,238,205,188,128,101,85,190,146,233,208,188,17,167,19,62,204,13,70,189,7,98,217,189,210,56,156,190,231,197,233,189,207,74,186,61,213,203,167,62,153,215,17,61,52,15,192,189,102,188,45,59,220,47,47,190,106,165,64,190,202,196,93,190,147,30,86,190,162,212,94,189,37,235,32,62,0,254,105,189,49,93,136,61,104,66,19,60,229,183,40,61,188,33,13,61,40,68,160,189,195,101,85,61,144,46,182,188,86,45,137,61,83,174,240,189,181,194,148,189,75,6,128,61,0,227,25,61,66,179,107,189,133,237,159,190,237,185,12,61,134,57,1,189,86,42,40,59,29,90,84,190,11,179,144,189,25,229,153,188,239,143,55,189,208,241,81,188,169,77,156,189,105,30,160,61,179,153,195,60,151,198,239,61,182,157,182,60,171,90,82,190,115,133,119,189,87,176,141,188,208,43,158,187,213,94,164,190,195,187,188,189,140,19,31,61,164,228,149,61,65,68,138,189,145,66,217,60,90,18,48,62,200,211,178,61,161,74,13,61,232,160,11,189,168,29,30,62,18,159,123,189,77,161,243,59,64,133,227,189,17,143,196,189,60,132,113,60,241,127,7,190,163,205,241,188,151,197,68,190,237,17,202,61,18,21,170,60,152,76,53,62,210,29,132,189,85,249,94,189,88,88,112,189,34,136,243,186,220,159,43,62,176,230,128,60,134,145,94,61,198,250,134,60,169,218,62,62,164,196,46,188,184,4,96,61,168,200,1,62,40,73,87,60,254,10,185,61,137,208,8,190,99,152,147,188,40,72,28,190,101,25,226,60,95,7,14,190,28,236,77,189,197,229,56,61,61,41,243,189,238,36,194,61,165,160,43,190,162,153,199,61,49,154,21,188,212,183,76,62,93,253,88,189,156,253,33,62,136,218,54,62,100,93,220,189,29,115,30,60,241,45,172,189,147,229,36,189,241,155,82,190,132,184,210,61,17,224,100,62,38,229,46,61,75,201,242,61,208,70,174,188,101,82,227,61,10,216,30,190,185,226,226,60,54,145,25,190,49,40,83,61,252,81,4,190,71,176,49,62,162,126,151,61,3,149,65,190,253,103,13,189,240,109,218,189,36,9,66,188,63,30,74,190,205,173,96,62,255,151,59,62,203,243,96,189,21,111,20,62,218,146,21,61,125,236,174,189,83,145,106,190,183,40,19,190,213,177,74,189,170,100,32,62,51,25,14,188,84,170,132,189,249,163,168,61,78,43,21,62,65,215,62,59,246,41,87,190,27,185,238,189,73,157,160,61,181,53,98,62,185,110,138,189,72,27,71,61,88,230,173,61,234,148,135,189,68,110,230,189,80,254,94,190,41,63,169,189,206,167,142,188,151,202,107,62,131,221,144,189,72,81,135,61,18,108,92,62,195,186,145,61,102,160,178,189,177,22,79,190,183,67,67,188,41,231,203,61,192,232,50,62,43,193,130,189,175,235,247,189,145,99,107,60,222,228,7,62,91,206,165,187,255,121,122,190,113,1,56,190,45,236,9,190,183,95,190,60,51,192,69,190,18,165,157,189,32,96,173,188,125,4,254,186,237,186,39,190,21,57,228,189,35,105,87,190,120,94,42,190,54,90,14,61,9,110,36,60,72,139,179,188,237,74,139,61,245,244,177,189,218,228,128,190,163,202,136,190,235,30,25,61,56,245,129,59,191,129,9,61,100,36,27,190,65,97,208,60,219,247,168,188,175,237,157,190,112,176,175,190,98,244,188,189,79,33,215,188,198,51,232,188,124,154,19,61,95,13,16,61,201,147,4,62,157,70,250,61,127,75,128,60,6,157,144,189,169,49,193,189,216,71,135,189,166,70,40,189,43,247,34,62,126,225,149,61,192,94,225,61,135,168,50,62,164,226,159,61,112,207,115,188,249,248,4,60,144,106,88,60,234,90,155,61,173,76,72,62,51,112,128,61,254,43,139,61,174,154,103,61,15,154,29,190,166,38,17,190,24,149,148,189,106,79,9,61,65,14,202,188,246,182,9,62,153,242,161,61,122,196,8,62,196,148,104,62,251,229,147,60,15,123,161,59,206,56,45,62,105,110,133,61,159,200,147,61,71,202,6,62,130,58,197,61,24,93,94,61,191,156,217,61,47,196,234,61,50,202,243,61,38,228,3,63,7,94,125,62,201,233,75,62,65,11,89,62,144,158,2,62,210,224,150,190,63,145,71,190,56,192,76,189,193,225,229,189,35,18,5,188,11,96,202,187,3,178,23,61,148,21,227,189,30,253,127,190,169,23,28,62,125,64,112,62,41,5,29,62,57,213,178,62,77,220,46,63,57,242,32,62,54,174,255,61,209,7,203,61,209,231,131,61,146,92,126,190,254,12,31,190,85,18,217,188,55,26,192,188,180,233,72,61,224,218,233,189,9,196,235,59,157,17,53,190,114,252,192,190,49,121,187,62,171,65,56,190,123,18,24,190,92,4,198,59,16,33,46,62,248,109,200,61,92,62,210,189,21,87,133,190,65,215,126,62,60,161,23,61,46,228,241,189,189,26,160,61,195,212,70,62,94,102,88,62,182,186,188,62,233,240,184,62,33,34,5,62,220,215,193,61,127,218,104,62,214,84,54,190,211,18,235,189,129,152,4,188,60,160,108,62,36,9,66,188,181,136,200,189,175,205,166,190,187,72,17,62,50,57,245,61,14,245,107,190,95,121,240,189,12,201,233,189,45,64,27,61,54,90,238,61,8,6,96,62,143,168,208,189,159,146,115,61,247,59,244,61,221,40,50,60,171,208,0,189,77,102,60,61,98,158,245,61,69,42,140,62,36,151,159,62,221,9,134,62,3,124,71,62,17,254,173,62,30,50,117,62,213,91,131,61,45,235,158,61,106,190,202,61,148,250,18,62,79,8,61,62,241,160,25,61,230,231,102,62,25,230,196,61,41,232,22,190,45,210,84,190,145,239,50,190,196,237,176,189,166,129,31,189,39,104,35,62,75,59,181,189,85,161,129,186,216,127,221,61,68,23,212,188,142,234,148,189,169,247,212,60,179,235,222,187,158,237,177,189,177,249,56,188,149,212,137,190,152,221,211,189,208,208,255,189,170,67,238,189,161,218,16,62,171,207,85,62,54,33,45,61,137,178,135,62,164,55,4,63,45,208,94,62,163,92,154,188,135,108,160,190,90,103,44,190,87,10,65,61,148,77,185,61,22,250,224,189,171,176,153,188,157,185,87,62,126,2,144,62,122,140,50,189,186,221,11,189,129,122,115,190,73,20,10,190,235,112,148,189,89,165,212,189,34,26,29,61,79,3,158,62,87,147,23,62,9,223,59,189,127,217,253,189,175,235,87,190,144,16,133,189,179,183,20,189,1,105,63,189,246,8,181,188,53,38,196,61,228,159,209,62,104,92,120,61,123,133,133,189,153,73,84,61,105,56,229,60,17,111,29,188,64,252,12,190,33,149,194,189,67,4,156,188,93,136,53,62,54,228,31,60,227,168,188,189,129,235,138,188,153,18,9,190,182,134,242,189,84,59,3,189,207,158,203,187,213,35,173,189,58,3,131,61,158,209,150,189,248,166,41,62,241,47,226,61,181,194,52,61,22,190,62,61,182,72,90,61,81,48,99,189,11,38,126,60,214,111,190,62,38,172,109,62,26,162,138,188,241,242,212,61,158,235,187,189,130,143,193,59,79,30,86,62,30,54,33,62,226,0,250,60,249,47,128,62,90,69,127,61,182,103,22,61,126,229,193,61,80,197,141,60,198,54,41,188,11,209,161,189,79,120,137,60,82,68,230,189,193,28,125,61,146,65,46,61,153,215,1,190,47,110,35,188,44,125,104,189,24,39,62,61,149,98,71,190,157,190,14,190,210,139,26,189,222,199,33,62,202,53,133,188,78,156,252,61,181,24,108,62,49,153,170,61,132,72,134,188,135,252,115,61,213,91,131,188,144,164,132,189,253,130,109,62,90,99,32,62,212,186,13,61,130,31,21,62,235,57,41,61,146,116,13,61,213,145,163,60,51,168,182,189,84,25,70,188,111,159,157,62,141,122,88,62,164,139,205,188,150,206,23,190,61,125,4,190,42,31,130,61,187,127,140,189,167,36,139,189,54,201,15,189,88,228,87,62,209,174,130,61,105,138,128,61,185,23,184,189,98,76,250,188,243,85,114,60,29,146,90,189,12,231,26,189,255,91,73,190,210,109,9,60,128,70,169,189,70,125,18,62,77,134,131,61,174,240,142,61,253,159,67,62,60,80,199,61,57,240,234,188,226,57,155,61,185,85,160,62,153,158,176,61,94,160,84,62,46,228,145,60,178,161,251,61,223,249,101,62,177,107,43,62,97,168,195,188,39,74,66,61,178,44,176,62,58,64,64,62,252,113,11,62,196,35,17,62,13,169,130,61,61,70,57,61,124,101,158,189,176,3,103,187,130,0,41,190,165,216,209,188,158,7,151,189,178,98,40,62,52,128,55,60,195,101,21,190,201,255,228,188,21,230,125,189,235,82,35,189,156,51,18,190,193,170,26,62,115,159,28,189,233,181,89,61,231,0,161,61,192,64,176,61,180,3,206,61,126,30,3,62,152,107,145,189,246,181,238,189,155,114,85,62,142,63,81,61,221,95,157,61,13,251,189,60,169,161,173,189,216,42,65,188,184,90,23,62,143,224,70,189,46,85,233,189,149,15,145,62,52,132,67,62,41,8,190,61,226,61,7,61,165,216,17,190,71,230,17,190,146,204,202,189,150,4,40,189,28,37,47,189,145,44,80,62,154,8,91,189,202,196,45,61,232,47,100,62,29,4,157,188,74,95,8,190,47,108,141,190,86,16,3,189,189,53,240,61,72,24,54,62,64,166,117,189,129,152,132,189,171,178,239,189,172,54,31,190,233,214,203,189,86,15,40,62,54,148,218,188,117,31,192,189,149,186,116,62,73,48,213,187,102,73,0,60,29,204,134,61,202,135,80,190,196,177,206,189,51,194,91,189,146,232,5,190,221,66,215,60,136,245,6,62,122,28,6,61,12,61,2,62,68,253,238,61,42,253,36,190,104,62,143,190,165,73,129,190,76,226,44,187,163,91,47,61,127,50,198,61,58,122,252,189,69,212,132,61,115,75,43,188,196,8,97,190,48,19,117,190,69,188,213,189,122,168,109,189,229,122,91,189,41,206,209,60,44,17,168,59,244,167,205,189,130,60,59,189,131,21,71,190,23,102,1,190,13,26,250,188,137,149,81,61,91,36,93,62,38,138,48,62,27,13,96,189,121,117,62,190,52,133,142,190,117,87,70,190,13,27,37,189,231,198,116,59,124,155,254,187,238,10,253,61,73,190,66,62,84,87,158,189,252,112,240,61,120,13,90,62,189,58,71,60,106,250,236,56,67,229,223,60,218,170,36,61,62,94,8,61,91,180,96,62,28,152,60,62,100,201,132,62,101,86,159,62,103,14,169,61,147,24,68,189,24,153,160,189,254,15,48,60,173,52,169,61,108,181,159,62,103,126,157,62,99,42,125,59,138,89,175,60,166,43,216,188,117,85,160,188,149,155,168,60,34,28,115,189,34,110,206,60,155,203,133,62,113,198,176,61,140,15,19,62,195,187,220,61,36,151,127,59,37,235,64,190,60,244,29,189,31,46,217,189,95,40,0,190,241,45,44,188,32,69,93,61,237,240,119,62,3,237,142,62,23,184,92,62,84,169,177,62,225,183,225,62,158,38,115,62,17,198,111,62,88,113,154,62,185,251,44,62,205,91,85,190,113,228,1,190,143,25,40,60,73,216,247,61,9,249,128,189,37,119,88,189,93,50,78,61,36,71,122,189,84,112,136,190,85,132,219,61,24,150,15,62,174,100,143,62,48,102,147,62,207,19,191,62,251,59,27,62,45,181,94,60,21,200,236,61,242,119,111,60,75,60,144,190,161,76,115,190,155,61,240,189,57,155,14,184,79,5,12,190,80,252,72,190,83,5,195,189,68,81,0,190,95,67,128,190,191,124,114,62,128,14,147,189,195,70,25,189,210,140,69,61,59,168,164,62,126,81,130,61,112,237,196,60,84,168,238,188,207,134,108,62,126,114,36,62,61,15,30,190,170,102,86,188,209,177,163,189,225,237,193,61,138,61,36,62,147,144,56,62,1,193,92,61,188,90,206,61,113,199,147,62,43,110,28,61,120,13,58,62,194,49,107,62,112,93,225,62,98,216,129,61,189,141,205,59,20,237,170,60,110,105,173,62,106,50,131,62,204,236,51,189,155,200,236,61,180,1,88,59,226,35,50,62,22,163,174,60,130,172,39,189,159,146,243,189,211,193,58,62,137,149,113,62,217,10,90,189,220,160,118,188,249,246,206,189,36,66,195,61,197,89,81,61,7,183,37,62,66,150,5,61,235,82,35,62,88,57,148,61,114,135,205,60,42,139,194,60,20,206,238,60,162,39,37,62,156,21,241,189,4,61,20,189,212,16,53,190,231,228,37,190,160,250,103,62,244,106,160,189,155,115,48,61,115,16,244,189,238,178,95,61,116,152,207,189,18,46,132,189,129,36,236,189,1,106,10,62,192,5,153,62,174,211,200,61,7,38,183,61,101,169,245,187,173,20,226,61,79,32,236,188,41,174,170,60,203,191,22,189,190,107,0,62,44,183,68,62,223,107,72,189,125,62,74,59,92,255,46,188,68,251,152,61,252,57,133,188,174,188,196,61,136,218,118,61,231,115,238,187,116,122,14,62,246,35,165,189,62,7,22,61,45,63,176,61,129,37,7,62,39,135,175,61,11,68,207,60,47,133,103,62,231,110,71,62,145,210,44,61,98,162,33,190,89,22,140,189,69,216,16,190,195,185,230,189,204,69,156,189,112,124,141,189,229,38,234,189,255,231,208,189,154,93,7,62,81,77,137,189,165,103,218,61,56,189,75,62,27,188,47,62,45,64,43,62,120,40,10,189,77,45,219,188,125,65,171,61,200,11,25,62,109,111,55,187,61,185,166,185,168,143,64,60,208,240,134,61,61,10,183,189,219,51,75,189,10,248,101,62,194,190,93,62,177,251,14,189,67,60,146,188,215,132,180,189,56,190,246,59,209,8,118,62,149,14,150,61,14,77,89,60,223,135,51,62,149,243,69,60,103,127,192,61,91,97,122,60,251,201,216,61,220,41,221,61,143,84,159,61,174,242,196,189,255,8,163,189,114,22,54,62,53,207,17,62,97,140,8,61,229,242,159,189,74,38,167,189,187,123,64,189,87,206,14,62,119,17,166,60,214,59,252,189,183,121,51,62,3,124,215,61,196,208,106,61,158,179,165,61,144,162,78,188,103,210,198,189,19,15,168,61,10,19,198,189,3,233,130,189,174,186,78,62,243,61,3,62,163,145,15,189,117,0,4,189,118,140,139,189,216,100,237,189,78,185,194,61,112,36,176,189,252,83,138,189,243,29,252,60,5,253,5,61,154,36,182,61,109,143,94,61,114,23,33,189,94,132,233,189,201,202,47,62,141,8,230,189,152,222,94,190,61,128,133,61,100,172,118,61,67,201,68,62,219,167,99,61,234,64,6,190,87,205,19,190,183,93,104,61,237,40,14,189,74,38,167,189,143,139,10,190,216,244,32,186,37,144,178,61,143,111,111,60,4,171,138,61,13,140,220,61,223,50,103,62,118,197,172,61,34,252,11,188,231,141,83,61,147,30,70,189,54,148,26,189,13,171,120,189,187,238,45,59,69,187,138,60,167,59,175,61,165,192,130,188,162,209,157,188,27,241,228,61,250,125,127,61,18,222,78,62,181,110,67,61,223,25,45,61,67,199,142,61,47,190,120,62,62,117,172,60,117,30,149,189,126,169,31,190,79,144,216,188,83,231,17,61,10,104,162,189,183,210,235,188,161,244,69,189,161,128,173,61,1,19,120,189,31,133,171,189,71,3,40,190,21,225,38,189,150,147,176,189,55,51,122,60,81,134,170,187,32,98,131,188,143,169,59,61,213,146,78,189,3,8,159,189,216,214,239,61,117,119,29,60,123,49,20,188,159,117,13,188,205,206,98,189,254,15,176,189,117,177,233,60,219,50,96,189,134,31,44,190,36,15,52,62,237,211,145,61,20,91,193,188,95,68,27,61,113,116,149,187,240,106,185,188,27,155,253,61,247,120,193,61,21,87,149,189,115,217,8,190,121,230,101,188,27,46,18,190,2,45,221,188,223,49,76,190,7,98,89,60,206,111,104,62,57,69,71,61,122,23,47,190,166,96,77,189,30,27,1,60,226,117,125,61,119,73,156,60,216,126,50,189,164,55,28,189,174,12,10,62,209,148,93,61,154,66,167,189,5,21,53,62,195,71,68,61,112,94,28,189,134,118,78,61,182,129,219,189,74,153,20,189,239,172,221,60,193,26,167,61,192,207,56,187,188,91,185,61,109,141,8,189,185,0,116,189,115,156,91,60,102,131,204,189,137,67,150,61,35,132,175,62,34,84,201,61,39,136,26,190,230,146,170,188,228,78,105,189,57,125,61,61,212,209,49,189,160,253,24,190,26,52,4,190,184,145,50,188,192,32,105,188,141,68,56,190,157,131,231,189,245,158,74,189,174,43,134,189,244,222,184,61,233,71,67,188,155,232,179,61,177,48,196,61,81,162,21,62,35,19,208,61,17,225,159,61,165,190,172,189,217,205,204,189,15,240,164,188,2,126,77,189,163,115,126,61,156,220,111,60,200,209,156,60,29,174,21,61,36,68,57,62,152,251,100,188,169,189,136,189,85,222,142,186,214,55,144,189,121,144,158,187,222,33,197,186,12,62,13,61,175,33,56,189,31,45,78,189,215,135,181,189,13,250,50,190,102,188,237,189,109,112,82,190,158,96,127,60,242,119,47,189,127,104,198,189,42,142,19,190,210,229,77,189,228,132,73,190,105,138,224,61,98,246,138,62,205,230,49,62,206,83,221,61,5,49,32,62,104,121,254,61,208,38,199,61,240,107,116,62,66,233,171,61,113,114,223,61,135,80,101,62,222,204,136,62,130,86,224,60,94,130,211,60,90,18,0,62,181,249,191,61,48,73,37,61,56,74,30,61,125,145,80,188,64,133,19,62,45,206,88,61,141,183,21,188,97,109,172,61,88,30,36,62,101,111,41,189,33,206,67,60,174,184,248,189,88,140,218,189,145,212,66,189,223,138,68,61,184,172,130,190,181,226,155,189,92,27,202,61,29,119,26,190,27,161,47,190,33,89,32,190,125,236,110,61,42,254,63,62,24,119,211,62,80,228,13,63,129,150,190,62,84,167,115,62,21,31,255,61,81,250,226,61,155,29,41,60,25,170,50,190,6,128,138,189,28,178,1,187,201,87,18,62,10,73,38,61,1,20,163,60,91,176,212,60,47,134,50,189,87,66,247,189,197,171,204,61,36,125,186,61,12,62,125,62,159,32,81,62,197,29,47,189,172,115,140,189,82,183,243,189,25,232,218,60,5,194,14,61,238,149,121,189,12,62,205,188,106,132,190,189,59,226,16,189,87,206,110,190,112,67,76,189,205,92,32,189,115,130,182,188,243,229,133,189,67,5,17,193,0,0,0,0,224,69,0,0,190,2,0,0,191,2,0,0,5,0,0,0,163,0,0,0,14,0,0,0,6,0,0,0,7,0,0,0,164,0,0,0,192,2,0,0,1,0,0,0,20,0,0,0,50,0,0,0,193,2,0,0,200,149,13,0,20,181,5,0,104,181,5,0,230,1,0,0,1,0,0,0,0,0,0,0,232,69,0,0,5,0,0,0,194,2,0,0,195,2,0,0,0,0,0,0,248,69,0,0,196,2,0,0,197,2,0,0,8,0,0,0,165,0,0,0,15,0,0,0,6,0,0,0,9,0,0,0,164,0,0,0,192,2,0,0,2,0,0,0,20,0,0,0,51,0,0,0,198,2,0,0,204,149,13,0,205,181,5,0,104,181,5,0,167,2,0,0,1,0,0,0,208,149,13,0,80,182,5,0,104,181,5,0,123,2,0,0,1,0,0,0,0,0,0,0,8,70,0,0,5,0,0,0,199,2,0,0,200,2,0,0,0,0,0,0,40,70,0,0,5,0,0,0,201,2,0,0,202,2,0,0,0,0,0,0,24,70,0,0,5,0,0,0,203,2,0,0,204,2,0,0,0,0,0,0,56,70,0,0,205,2,0,0,206,2,0,0,10,0,0,0,166,0,0,0,16,0,0,0,6,0,0,0,11,0,0,0,164,0,0,0,192,2,0,0,1,0,0,0,21,0,0,0,52,0,0,0,207,2,0,0,0,0,0,0,72,70,0,0,5,0,0,0,208,2,0,0,209,2,0,0,0,0,0,0,104,70,0,0,5,0,0,0,210,2,0,0,211,2,0,0,0,0,0,0,88,70,0,0,5,0,0,0,212,2,0,0,213,2,0,0,0,0,0,0,120,70,0,0,214,2,0,0,215,2,0,0,95,0,0,0,14,0,0,0,167,0,0,0,17,0,0,0,16,0,0,0,17,0,0,0,22,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,18,0,0,0,168,0,0,0,19,0,0,0,20,0,0,0,169,0,0,0,170,0,0,0,252,149,13,0,39,191,5,0,104,181,5,0,94,5,0,0,1,0,0,0,220,149,13,0,168,186,5,0,104,181,5,0,123,1,0,0,1,0,0,0,212,149,13,0,7,186,5,0,104,181,5,0,108,1,0,0,1,0,0,0,216,149,13,0,66,186,5,0,104,181,5,0,63,0,0,0,1,0,0,0,248,149,13,0,10,190,5,0,104,181,5,0,223,4,0,0,1,0,0,0,0,0,0,0,136,70,0,0,216,2,0,0,217,2,0,0,171,0,0,0,244,149,13,0,155,189,5,0,104,181,5,0,234,3,0,0,1,0,0,0,240,149,13,0,67,189,5,0,104,181,5,0,164,3,0,0,1,0,0,0,224,149,13,0,14,187,5,0,209,182,5,0,17,2,0,0,1,0,0,0,228,149,13,0,136,187,5,0,209,182,5,0,231,1,0,0,1,0,0,0,232,149,13,0,52,188,5,0,209,182,5,0,100,2,0,0,1,0,0,0,236,149,13,0,199,188,5,0,209,182,5,0,61,2,0,0,1,0,0,0,4,150,13,0,73,192,5,0,104,181,5,0,141,5,0,0,1,0,0,0,0,150,13,0,250,191,5,0,104,181,5,0,115,1,0,0,1,0,0,0,8,150,13,0,213,192,5,0,104,181,5,0,128,5,0,0,1,0,0,0,0,0,0,0,152,70,0,0,5,0,0,0,218,2,0,0,219,2,0,0,12,150,13,0,174,194,5,0,104,181,5,0,131,1,0,0,1,0,0,0,0,0,0,0,184,70,0,0,5,0,0,0,220,2,0,0,221,2,0,0,16,150,13,0,157,195,5,0,104,181,5,0,160,6,0,0,1,0,0,0,20,150,13,0,9,196,5,0,104,181,5,0,174,6,0,0,1,0,0,0,24,150,13,0,137,196,5,0,104,181,5,0,191,6,0,0,1,0,0,0,32,150,13,0,59,208,5,0,128,197,5,0,157,3,0,0,1,0,0,0,44,150,13,0,90,210,5,0,128,197,5,0,195,4,0,0,1,0,0,0,0,0,0,0,232,70,0,0,5,0,0,0,222,2,0,0,223,2,0,0,0,0,0,0,200,70,0,0,24,0,0,0,224,2,0,0,172,0,0,0,36,150,13,0,12,209,5,0,128,197,5,0,118,4,0,0,1,0,0,0,0,0,0,0,216,70,0,0,225,2,0,0,226,2,0,0,173,0,0,0,40,150,13,0,151,209,5,0,128,197,5,0,194,3,0,0,1,0,0,0,52,150,13,0,25,213,5,0,1,212,5,0,165,4,0,0,1,0,0,0,0,0,0,0,8,71,0,0,93,0,0,0,227,2,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,38,0,0,0,228,2,0,0,21,0,0,0,174,0,0,0,2,0,0,0,2,0,0,0,22,0,0,0,175,0,0,0,23,0,0,0,176,0,0,0,24,0,0,0,177,0,0,0,25,0,0,0,178,0,0,0,3,0,0,0,3,0,0,0,26,0,0,0,179,0,0,0,0,0,0,0,248,70,0,0,5,0,0,0,229,2,0,0,230,2,0,0,48,150,13,0,70,212,5,0,1,212,5,0,75,4,0,0,1,0,0,0,41,92,15,62,41,92,15,62,102,247,228,62,102,247,228,62,102,247,228,62,56,150,13,0,8,214,5,0,196,213,5,0,46,0,0,0,1,0,0,0,60,150,13,0,64,214,5,0,196,213,5,0,113,0,0,0,1,0,0,0,0,0,0,0,56,71,0,0,24,0,0,0,231,2,0,0,180,0,0,0,64,150,13,0,215,214,5,0,146,214,5,0,183,0,0,0,1,0,0,0,68,150,13,0,187,215,5,0,146,214,5,0,191,2,0,0,1,0,0,0,0,0,0,0,88,71,0,0,93,0,0,0,232,2,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,52,0,0,0,181,0,0,0,182,0,0,0,27,0,0,0,183,0,0,0,184,0,0,0,185,0,0,0,28,0,0,0,186,0,0,0,4,0,0,0,4,0,0,0,0,0,0,0,72,71,0,0,5,0,0,0,233,2,0,0,234,2,0,0,72,150,13,0,118,219,5,0,146,214,5,0,203,4,0,0,1,0,0,0,76,150,13,0,134,221,5,0,146,214,5,0,218,5,0,0,1,0,0,0,0,0,0,0,136,71,0,0,235,2,0,0,236,2,0,0,95,0,0,0,187,0,0,0,188,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,1,0,0,0,189,0,0,0,29,0,0,0,190,0,0,0,30,0,0,0,191,0,0,0,5,0,0,0,5,0,0,0,6,0,0,0,6,0,0,0,7,0,0,0,7,0,0,0,8,0,0,0,8,0,0,0,9,0,0,0,9,0,0,0,10,0,0,0,10,0,0,0,11,0,0,0,11,0,0,0,31,0,0,0,192,0,0,0,32,0,0,0,193,0,0,0,12,0,0,0,12,0,0,0,80,150,13,0,255,228,5,0,181,228,5,0,119,3,0,0,1,0,0,0,84,150,13,0,103,229,5,0,181,228,5,0,119,3,0,0,1,0,0,0,88,150,13,0,207,229,5,0,181,228,5,0,119,3,0,0,1,0,0,0,92,150,13,0,63,230,5,0,181,228,5,0,119,3,0,0,1,0,0,0,96,150,13,0,7,231,5,0,181,228,5,0,79,3,0,0,1,0,0,0,0,0,0,0,152,71,0,0,24,0,0,0,237,2,0,0,194,0,0,0,0,0,0,0,168,71,0,0,5,0,0,0,238,2,0,0,239,2,0,0,108,0,0,0,0,0,0,0,240,71,0,0,240,2,0,0,241,2,0,0,148,255,255,255,148,255,255,255,240,71,0,0,242,2,0,0,243,2,0,0,168,169,1,0,196,71,0,0,216,71,0,0,188,169,1,0,104,150,13,0,15,234,5,0,189,233,5,0,80,0,0,0,1,0,0,0,100,150,13,0,61,233,5,0,189,233,5,0,99,0,0,0,1,0,0,0,108,150,13,0,120,234,5,0,189,233,5,0,72,0,0,0,1,0,0,0,0,0,0,0,224,71,0,0,244,2,0,0,245,2,0,0,195,0,0,0,12,0,0,0,76,0,0,0,39,0,0,0,33,0,0,0,6,0,0,0,2,0,0,0,34,0,0,0,8,0,0,0,23,0,0,0,3,0,0,0,24,0,0,0,0,0,0,0,0,72,0,0,246,2,0,0,247,2,0,0,8,0,0,0,1,0,0,0,77,0,0,0,40,0,0,0,5,0,0,0,6,0,0,0,2,0,0,0,35,0,0,0,8,0,0,0,25,0,0,0,3,0,0,0,26,0,0,0,0,0,0,0,16,72,0,0,248,2,0,0,249,2,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,54,0,0,0,41,0,0,0,42,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,55,0,0,0,56,0,0,0,73,0,0,0,57,0,0,0,30,0,0,0,31,0,0,0,58,0,0,0,250,2,0,0,29,0,0,0,13,0,0,0,124,150,13,0,156,236,5,0,128,235,5,0,153,12,0,0,1,0,0,0,120,150,13,0,65,67,7,0,0,0,0,0,116,150,13,0,32,236,5,0,128,235,5,0,161,12,0,0,1,0,0,0,112,150,13,0,65,67,7,0,0,0,0,0,128,150,13,0,23,237,5,0,128,235,5,0,127,12,0,0,1,0,0,0,144,150,13,0,17,241,5,0,128,235,5,0,106,0,0,0,1,0,0,0,140,150,13,0,141,240,5,0,128,235,5,0,115,0,0,0,1,0,0,0,136,150,13,0,122,239,5,0,128,235,5,0,132,0,0,0,1,0,0,0,122,239,5,0,128,235,5,0,133,0,0,0,0,0,0,0,61,240,5,0,98,240,5,0,105,240,5,0,122,239,5,0,128,235,5,0,136,0,0,0,1,0,0,0,255,239,5,0,45,240,5,0,57,240,5,0,0,0,0,0,40,72,0,0,5,0,0,0,251,2,0,0,252,2,0,0,0,0,0,0,72,72,0,0,253,2,0,0,254,2,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,59,0,0,0,41,0,0,0,43,0,0,0,27,0,0,0,32,0,0,0,33,0,0,0,55,0,0,0,60,0,0,0,73,0,0,0,57,0,0,0,30,0,0,0,31,0,0,0,58,0,0,0,250,2,0,0,30,0,0,0,13,0,0,0,0,0,0,0,56,72,0,0,5,0,0,0,255,2,0,0,0,3,0,0,152,150,13,0,179,242,5,0,128,235,5,0,179,1,0,0,1,0,0,0,148,150,13,0,65,67,7,0,0,0,0,0,179,242,5,0,128,235,5,0,204,1,0,0,1,0,0,0,138,191,17,0,50,243,5,0,242,38,7,0,160,150,13,0,144,244,5,0,128,235,5,0,129,9,0,0,1,0,0,0,156,150,13,0,253,243,5,0,128,235,5,0,114,1,0,0,1,0,0,0,164,150,13,0,160,245,5,0,128,235,5,0,156,9,0,0,1,0,0,0,200,150,13,0,0,247,5,0,128,235,5,0,147,1,0,0,1,0,0,0,196,150,13,0,65,246,5,0,0,0,0,0,192,150,13,0,70,246,5,0,128,235,5,0,58,13,0,0,1,0,0,0,188,150,13,0,65,246,5,0,0,0,0,0,4,151,13,0,82,7,6,0,128,235,5,0,175,9,0,0,1,0,0,0,204,150,13,0,18,248,5,0,128,235,5,0,38,9,0,0,1,0,0,0,212,150,13,0,71,250,5,0,128,235,5,0,200,8,0,0,1,0,0,0,208,150,13,0,219,249,5,0,128,235,5,0,14,8,0,0,1,0,0,0,0,151,13,0,249,6,6,0,128,235,5,0,30,4,0,0,1,0,0,0,224,150,13,0,0,255,5,0,128,235,5,0,211,4,0,0,1,0,0,0,216,150,13,0,253,253,5,0,128,235,5,0,61,5,0,0,1,0,0,0,220,150,13,0,187,254,5,0,128,235,5,0,224,4,0,0,1,0,0,0,248,150,13,0,97,6,6,0,128,235,5,0,220,7,0,0,1,0,0,0,244,150,13,0,38,6,6,0,128,235,5,0,70,3,0,0,1,0,0,0,228,150,13,0,145,2,6,0,128,235,5,0,135,6,0,0,1,0,0,0,0,0,0,0,184,72,0,0,5,0,0,0,1,3,0,0,2,3,0,0,0,0,0,0,88,72,0,0,3,3,0,0,4,3,0,0,5,3,0,0,6,3,0,0,240,150,13,0,201,5,6,0,128,235,5,0,18,6,0,0,1,0,0,0,236,150,13,0,230,4,6,0,128,235,5,0,248,2,0,0,1,0,0,0,232,150,13,0,246,3,6,0,128,235,5,0,116,12,0,0,1,0,0,0,252,150,13,0,192,6,6,0,128,235,5,0,255,3,0,0,1,0,0,0,8,151,13,0,191,7,6,0,128,235,5,0,191,9,0,0,1,0,0,0,12,151,13,0,27,8,6,0,128,235,5,0,7,10,0,0,1,0,0,0,16,151,13,0,128,8,6,0,128,235,5,0,104,10,0,0,1,0,0,0,24,151,13,0,241,8,6,0,128,235,5,0,111,10,0,0,1,0,0,0,20,151,13,0,65,67,7,0,0,0,0,0,32,151,13,0,7,10,6,0,128,235,5,0,22,13,0,0,1,0,0,0,28,151,13,0,65,246,5,0,0,0,0,0,240,16,6,0,162,10,6,0,66,5,0,0,1,0,0,0,138,191,17,0,122,18,6,0,160,202,6,0,240,16,6,0,162,10,6,0,67,5,0,0,1,0,0,0,138,191,17,0,109,18,6,0,160,202,6,0,240,16,6,0,162,10,6,0,155,6,0,0,1,0,0,0,138,191,17,0,46,18,6,0,160,202,6,0,240,16,6,0,162,10,6,0,155,6,0,0,1,0,0,0,138,191,17,0,30,18,6,0,188,202,6,0,240,16,6,0,162,10,6,0,163,6,0,0,1,0,0,0,138,191,17,0,10,18,6,0,160,202,6,0,240,16,6,0,162,10,6,0,163,6,0,0,1,0,0,0,138,191,17,0,245,17,6,0,237,7,7,0,240,16,6,0,162,10,6,0,164,6,0,0,1,0,0,0,138,191,17,0,226,17,6,0,160,202,6,0,240,16,6,0,162,10,6,0,164,6,0,0,1,0,0,0,138,191,17,0,206,17,6,0,237,7,7,0,240,16,6,0,162,10,6,0,6,7,0,0,1,0,0,0,138,191,17,0,190,17,6,0,160,202,6,0,240,16,6,0,162,10,6,0,6,7,0,0,1,0,0,0,138,191,17,0,173,17,6,0,188,202,6,0,240,16,6,0,162,10,6,0,60,7,0,0,1,0,0,0,138,191,17,0,156,17,6,0,237,7,7,0,240,16,6,0,162,10,6,0,60,7,0,0,1,0,0,0,138,191,17,0,140,17,6,0,242,38,7,0,240,16,6,0,162,10,6,0,61,7,0,0,1,0,0,0,138,191,17,0,123,17,6,0,237,7,7,0,240,16,6,0,162,10,6,0,61,7,0,0,1,0,0,0,138,191,17,0,107,17,6,0,242,38,7,0,0,0,0,0,248,72,0,0,5,0,0,0,7,3,0,0,8,3,0,0,255,34,6,0,3,35,6,0,9,35,6,0,16,35,6,0,0,0,0,0,36,151,13,0,145,36,6,0,232,25,6,0,135,0,0,0,1,0,0,0,0,0,0,0,8,73,0,0,5,0,0,0,9,3,0,0,10,3,0,0,44,151,13,0,54,38,6,0,232,25,6,0,231,4,0,0,1,0,0,0,40,151,13,0,207,37,6,0,232,25,6,0,201,4,0,0,1,0,0,0,64,151,13,0,165,41,6,0,224,38,6,0,87,0,0,0,1,0,0,0,60,151,13,0,39,41,6,0,224,38,6,0,61,1,0,0,1,0,0,0,0,0,0,0,24,73,0,0,11,3,0,0,12,3,0,0,13,3,0,0,68,151,13,0,22,42,6,0,224,38,6,0,98,0,0,0,1,0,0,0,255,255,255,255,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,8,0,0,0,28,0,0,0,32,0,0,0,24,0,0,0,16,0,0,0,20,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,4,0,0,0,8,0,0,0,0,0,0,0,1,0,0,0,255,255,255,255,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,60,0,0,0,64,0,0,0,8,0,0,0,68,0,0,0,24,0,0,0,0,0,0,0,40,73,0,0,14,3,0,0,15,3,0,0,196,0,0,0,36,0,0,0,34,0,0,0,37,0,0,0,38,0,0,0,16,3,0,0,39,0,0,0,197,0,0,0,198,0,0,0,35,0,0,0,40,0,0,0,199,0,0,0,36,0,0,0,41,0,0,0,14,0,0,0,42,0,0,0,200,0,0,0,201,0,0,0,17,3,0,0,43,0,0,0,202,0,0,0,44,0,0,0,203,0,0,0,0,0,0,0,255,255,255,255,40,0,0,0,9,0,0,0,16,0,0,0,24,0,0,0,18,0,0,0,255,255,255,255,76,0,0,0,192,15,8,0,232,15,8,0,0,16,8,0,0,0,0,0,160,73,0,0,18,3,0,0,19,3,0,0,196,0,0,0,45,0,0,0,37,0,0,0,46,0,0,0,47,0,0,0,20,3,0,0,48,0,0,0,197,0,0,0,198,0,0,0,38,0,0,0,49,0,0,0,204,0,0,0,36,0,0,0,50,0,0,0,15,0,0,0,42,0,0,0,205,0,0,0,206,0,0,0,17,3,0,0,43,0,0,0,207,0,0,0,44,0,0,0,208,0,0,0,0,0,0,0,56,73,0,0,21,3,0,0,22,3,0,0,39,0,0,0,16,0,0,0,40,0,0,0,17,0,0,0,209,0,0,0,210,0,0,0,51,0,0,0,52,0,0,0,23,3,0,0,24,3,0,0,211,0,0,0,212,0,0,0,61,0,0,0,213,0,0,0,53,0,0,0,54,0,0,0,214,0,0,0,0,0,0,0,88,73,0,0,25,3,0,0,26,3,0,0,215,0,0,0,55,0,0,0,41,0,0,0,56,0,0,0,57,0,0,0,27,3,0,0,58,0,0,0,197,0,0,0,216,0,0,0,42,0,0,0,59,0,0,0,217,0,0,0,36,0,0,0,60,0,0,0,18,0,0,0,42,0,0,0,218,0,0,0,219,0,0,0,17,3,0,0,61,0,0,0,220,0,0,0,44,0,0,0,221,0,0,0,62,0,0,0,63,0,0,0,0,0,0,0,120,73,0,0,25,3,0,0,28,3,0,0,215,0,0,0,55,0,0,0,41,0,0,0,56,0,0,0,57,0,0,0,27,3,0,0,58,0,0,0,197,0,0,0,216,0,0,0,42,0,0,0,59,0,0,0,217,0,0,0,36,0,0,0,60,0,0,0,18,0,0,0,42,0,0,0,218,0,0,0,222,0,0,0,17,3,0,0,61,0,0,0,220,0,0,0,44,0,0,0,1,0,0,0,62,0,0,0,63,0,0,0,0,0,0,0,104,73,0,0,29,3,0,0,30,3,0,0,215,0,0,0,55,0,0,0,41,0,0,0,56,0,0,0,57,0,0,0,27,3,0,0,58,0,0,0,197,0,0,0,216,0,0,0,42,0,0,0,59,0,0,0,217,0,0,0,36,0,0,0,60,0,0,0,18,0,0,0,42,0,0,0,218,0,0,0,222,0,0,0,17,3,0,0,61,0,0,0,220,0,0,0,44,0,0,0,1,0,0,0,62,0,0,0,63,0,0,0,0,0,0,0,184,73,0,0,25,3,0,0,31,3,0,0,215,0,0,0,55,0,0,0,41,0,0,0,56,0,0,0,57,0,0,0,27,3,0,0,58,0,0,0,197,0,0,0,216,0,0,0,42,0,0,0,59,0,0,0,217,0,0,0,36,0,0,0,60,0,0,0,18,0,0,0,42,0,0,0,218,0,0,0,219,0,0,0,17,3,0,0,61,0,0,0,220,0,0,0,44,0,0,0,221,0,0,0,64,0,0,0,65,0,0,0,255,255,255,255,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,24,0,0,0,28,0,0,0,8,0,0,0,0,0,0,0,200,73,0,0,32,3,0,0,33,3,0,0,196,0,0,0,66,0,0,0,43,0,0,0,67,0,0,0,68,0,0,0,34,3,0,0,69,0,0,0,197,0,0,0,198,0,0,0,44,0,0,0,70,0,0,0,223,0,0,0,36,0,0,0,71,0,0,0,19,0,0,0,42,0,0,0,224,0,0,0,225,0,0,0,17,3,0,0,43,0,0,0,226,0,0,0,44,0,0,0,227,0,0,0,0,0,0,0,255,255,255,255,36,0,0,0,104,16,8,0,255,255,255,255,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,160,0,0,0,156,0,0,0,164,0,0,0,152,0,0,0,136,0,0,0,8,0,0,0,24,0,0,0,40,0,0,0,56,0,0,0,72,0,0,0,88,0,0,0,104,0,0,0,120,0,0,0,0,0,0,0,216,73,0,0,35,3,0,0,36,3,0,0,196,0,0,0,72,0,0,0,45,0,0,0,73,0,0,0,74,0,0,0,37,3,0,0,75,0,0,0,197,0,0,0,198,0,0,0,46,0,0,0,76,0,0,0,228,0,0,0,36,0,0,0,77,0,0,0,20,0,0,0,42,0,0,0,229,0,0,0,230,0,0,0,17,3,0,0,43,0,0,0,231,0,0,0,44,0,0,0,232,0,0,0,0,0,0,0,255,255,255,255,172,0,0,0,152,16,8,0,255,255,255,255,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,8,0,0,0,24,0,0,0,40,0,0,0,56,0,0,0,72,0,0,0,88,0,0,0,104,0,0,0,255,255,255,255,4,0,0,0,255,255,255,255,20,0,0,0,255,255,255,255,24,0,0,0,32,0,0,0,40,0,0,0,44,0,0,0,48,0,0,0,52,0,0,0,56,0,0,0,60,0,0,0,64,0,0,0,68,0,0,0,8,0,0,0,16,0,0,0,20,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,4,0,0,0,8,0,0,0,0,0,0,0,1,0,0,0,255,255,255,255,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,44,0,0,0,8,0,0,0,0,0,0,0,232,73,0,0,38,3,0,0,39,3,0,0,196,0,0,0,78,0,0,0,47,0,0,0,79,0,0,0,80,0,0,0,40,3,0,0,81,0,0,0,197,0,0,0,198,0,0,0,48,0,0,0,82,0,0,0,233,0,0,0,36,0,0,0,83,0,0,0,21,0,0,0,42,0,0,0,234,0,0,0,235,0,0,0,17,3,0,0,43,0,0,0,236,0,0,0,44,0,0,0,237,0,0,0,0,0,0,0,255,255,255,255,124,0,0,0,12,0,0,0,255,255,255,255,24,0,0,0,28,0,0,0,35,0,0,0,24,0,0,0,37,0,0,0,255,255,255,255,52,0,0,0,80,17,8,0,208,17,8,0,24,18,8,0,48,18,8,0,0,0,0,0,24,74,0,0,41,3,0,0,42,3,0,0,196,0,0,0,84,0,0,0,49,0,0,0,85,0,0,0,86,0,0,0,43,3,0,0,87,0,0,0,197,0,0,0,198,0,0,0,50,0,0,0,88,0,0,0,238,0,0,0,36,0,0,0,89,0,0,0,22,0,0,0,42,0,0,0,239,0,0,0,240,0,0,0,17,3,0,0,43,0,0,0,241,0,0,0,44,0,0,0,242,0,0,0,0,0,0,0,40,74,0,0,44,3,0,0,45,3],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+102400);allocate([243,0,0,0,90,0,0,0,51,0,0,0,91,0,0,0,57,0,0,0,46,3,0,0,92,0,0,0,197,0,0,0,244,0,0,0,52,0,0,0,93,0,0,0,245,0,0,0,36,0,0,0,94,0,0,0,23,0,0,0,42,0,0,0,218,0,0,0,246,0,0,0,17,3,0,0,95,0,0,0,220,0,0,0,44,0,0,0,247,0,0,0,96,0,0,0,97,0,0,0,0,0,0,0,8,74,0,0,47,3,0,0,48,3,0,0,196,0,0,0,98,0,0,0,53,0,0,0,99,0,0,0,100,0,0,0,49,3,0,0,101,0,0,0,197,0,0,0,198,0,0,0,54,0,0,0,102,0,0,0,248,0,0,0,36,0,0,0,103,0,0,0,24,0,0,0,42,0,0,0,249,0,0,0,250,0,0,0,17,3,0,0,43,0,0,0,251,0,0,0,44,0,0,0,252,0,0,0,0,0,0,0,248,73,0,0,50,3,0,0,51,3,0,0,55,0,0,0,25,0,0,0,56,0,0,0,17,0,0,0,209,0,0,0,210,0,0,0,104,0,0,0,105,0,0,0,52,3,0,0,53,3,0,0,211,0,0,0,212,0,0,0,61,0,0,0,213,0,0,0,106,0,0,0,107,0,0,0,253,0,0,0,0,0,0,0,88,74,0,0,44,3,0,0,54,3,0,0,243,0,0,0,90,0,0,0,51,0,0,0,91,0,0,0,57,0,0,0,46,3,0,0,92,0,0,0,197,0,0,0,244,0,0,0,52,0,0,0,93,0,0,0,245,0,0,0,36,0,0,0,94,0,0,0,23,0,0,0,42,0,0,0,218,0,0,0,246,0,0,0,17,3,0,0,95,0,0,0,220,0,0,0,44,0,0,0,247,0,0,0,108,0,0,0,109,0,0,0,0,0,0,0,56,74,0,0,44,3,0,0,55,3,0,0,243,0,0,0,90,0,0,0,51,0,0,0,91,0,0,0,57,0,0,0,46,3,0,0,92,0,0,0,197,0,0,0,244,0,0,0,52,0,0,0,93,0,0,0,245,0,0,0,36,0,0,0,94,0,0,0,23,0,0,0,42,0,0,0,218,0,0,0,222,0,0,0,17,3,0,0,95,0,0,0,220,0,0,0,44,0,0,0,1,0,0,0,96,0,0,0,97,0,0,0,0,0,0,0,72,74,0,0,56,3,0,0,57,3,0,0,243,0,0,0,90,0,0,0,51,0,0,0,91,0,0,0,57,0,0,0,46,3,0,0,92,0,0,0,197,0,0,0,244,0,0,0,52,0,0,0,93,0,0,0,245,0,0,0,36,0,0,0,94,0,0,0,23,0,0,0,42,0,0,0,218,0,0,0,222,0,0,0,17,3,0,0,95,0,0,0,220,0,0,0,44,0,0,0,1,0,0,0,96,0,0,0,97,0,0,0,255,255,255,255,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,8,0,0,0,24,0,0,0,16,0,0,0,20,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,4,0,0,0,8,0,0,0,0,0,0,0,1,0,0,0,255,255,255,255,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,8,0,0,0,92,0,0,0,24,0,0,0,40,0,0,0,56,0,0,0,255,255,255,255,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,24,0,0,0,8,0,0,0,255,255,255,255,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,8,0,0,0,12,0,0,0,0,0,0,0,104,74,0,0,58,3,0,0,59,3,0,0,196,0,0,0,110,0,0,0,57,0,0,0,111,0,0,0,112,0,0,0,60,3,0,0,113,0,0,0,197,0,0,0,198,0,0,0,58,0,0,0,114,0,0,0,254,0,0,0,36,0,0,0,115,0,0,0,26,0,0,0,42,0,0,0,255,0,0,0,0,1,0,0,17,3,0,0,43,0,0,0,1,1,0,0,44,0,0,0,2,1,0,0,0,0,0,0,255,255,255,255,44,0,0,0,7,0,0,0,14,0,0,0,24,0,0,0,16,0,0,0,255,255,255,255,100,0,0,0,26,0,0,0,255,255,255,255,32,0,0,0,33,0,0,0,255,255,255,255,20,0,0,0,136,18,8,0,184,18,8,0,208,18,8,0,56,19,8,0,88,19,8,0,0,0,0,0,120,74,0,0,61,3,0,0,62,3,0,0,196,0,0,0,116,0,0,0,59,0,0,0,117,0,0,0,118,0,0,0,63,3,0,0,119,0,0,0,197,0,0,0,198,0,0,0,60,0,0,0,120,0,0,0,3,1,0,0,36,0,0,0,121,0,0,0,27,0,0,0,42,0,0,0,4,1,0,0,5,1,0,0,17,3,0,0,43,0,0,0,6,1,0,0,44,0,0,0,7,1,0,0,0,0,0,0,136,74,0,0,64,3,0,0,65,3,0,0,196,0,0,0,122,0,0,0,61,0,0,0,123,0,0,0,124,0,0,0,66,3,0,0,125,0,0,0,197,0,0,0,198,0,0,0,62,0,0,0,126,0,0,0,8,1,0,0,36,0,0,0,127,0,0,0,28,0,0,0,42,0,0,0,9,1,0,0,10,1,0,0,17,3,0,0,43,0,0,0,11,1,0,0,44,0,0,0,12,1,0,0,0,0,0,0,152,74,0,0,67,3,0,0,68,3,0,0,196,0,0,0,128,0,0,0,63,0,0,0,129,0,0,0,130,0,0,0,69,3,0,0,131,0,0,0,197,0,0,0,198,0,0,0,64,0,0,0,132,0,0,0,13,1,0,0,36,0,0,0,133,0,0,0,29,0,0,0,42,0,0,0,14,1,0,0,15,1,0,0,17,3,0,0,43,0,0,0,16,1,0,0,44,0,0,0,17,1,0,0,0,0,0,0,168,74,0,0,70,3,0,0,71,3,0,0,65,0,0,0,30,0,0,0,66,0,0,0,17,0,0,0,209,0,0,0,210,0,0,0,134,0,0,0,135,0,0,0,72,3,0,0,73,3,0,0,211,0,0,0,212,0,0,0,61,0,0,0,213,0,0,0,136,0,0,0,137,0,0,0,18,1,0,0,0,0,0,0,184,74,0,0,74,3,0,0,75,3,0,0,19,1,0,0,138,0,0,0,67,0,0,0,139,0,0,0,57,0,0,0,76,3,0,0,140,0,0,0,197,0,0,0,20,1,0,0,68,0,0,0,141,0,0,0,21,1,0,0,36,0,0,0,142,0,0,0,31,0,0,0,42,0,0,0,218,0,0,0,22,1,0,0,17,3,0,0,143,0,0,0,220,0,0,0,44,0,0,0,23,1,0,0,144,0,0,0,145,0,0,0,0,0,0,0,216,74,0,0,74,3,0,0,77,3,0,0,19,1,0,0,138,0,0,0,67,0,0,0,139,0,0,0,57,0,0,0,76,3,0,0,140,0,0,0,197,0,0,0,20,1,0,0,68,0,0,0,141,0,0,0,21,1,0,0,36,0,0,0,142,0,0,0,31,0,0,0,42,0,0,0,218,0,0,0,222,0,0,0,17,3,0,0,143,0,0,0,220,0,0,0,44,0,0,0,1,0,0,0,144,0,0,0,145,0,0,0,0,0,0,0,200,74,0,0,78,3,0,0,79,3,0,0,19,1,0,0,138,0,0,0,67,0,0,0,139,0,0,0,57,0,0,0,76,3,0,0,140,0,0,0,197,0,0,0,20,1,0,0,68,0,0,0,141,0,0,0,21,1,0,0,36,0,0,0,142,0,0,0,31,0,0,0,42,0,0,0,218,0,0,0,222,0,0,0,17,3,0,0,143,0,0,0,220,0,0,0,44,0,0,0,1,0,0,0,144,0,0,0,145,0,0,0,0,0,0,0,232,74,0,0,74,3,0,0,80,3,0,0,19,1,0,0,138,0,0,0,67,0,0,0,139,0,0,0,57,0,0,0,76,3,0,0,140,0,0,0,197,0,0,0,20,1,0,0,68,0,0,0,141,0,0,0,21,1,0,0,36,0,0,0,142,0,0,0,31,0,0,0,42,0,0,0,218,0,0,0,22,1,0,0,17,3,0,0,143,0,0,0,220,0,0,0,44,0,0,0,23,1,0,0,146,0,0,0,147,0,0,0,255,255,255,255,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,8,0,0,0,12,0,0,0,28,0,0,0,16,0,0,0,20,0,0,0,24,0,0,0,32,0,0,0,255,255,255,255,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,8,0,0,0,12,0,0,0,20,0,0,0,16,0,0,0,40,0,0,0,32,0,0,0,24,0,0,0,255,255,255,255,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,56,0,0,0,8,0,0,0,24,0,0,0,40,0,0,0,68,0,0,0,60,0,0,0,64,0,0,0,72,0,0,0,73,0,0,0,74,0,0,0,75,0,0,0,255,255,255,255,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,12,0,0,0,8,0,0,0,255,255,255,255,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,8,0,0,0,0,0,0,0,248,74,0,0,81,3,0,0,82,3,0,0,196,0,0,0,148,0,0,0,69,0,0,0,149,0,0,0,150,0,0,0,83,3,0,0,151,0,0,0,197,0,0,0,198,0,0,0,70,0,0,0,152,0,0,0,24,1,0,0,36,0,0,0,153,0,0,0,32,0,0,0,42,0,0,0,25,1,0,0,26,1,0,0,17,3,0,0,43,0,0,0,27,1,0,0,44,0,0,0,28,1,0,0,0,0,0,0,255,255,255,255,40,0,0,0,12,0,0,0,255,255,255,255,48,0,0,0,24,0,0,0,255,255,255,255,80,0,0,0,40,0,0,0,255,255,255,255,20,0,0,0,47,0,0,0,255,255,255,255,28,0,0,0,152,19,8,0,192,19,8,0,240,19,8,0,64,20,8,0,88,20,8,0,0,0,0,0,8,75,0,0,84,3,0,0,85,3,0,0,196,0,0,0,154,0,0,0,71,0,0,0,155,0,0,0,156,0,0,0,86,3,0,0,157,0,0,0,197,0,0,0,198,0,0,0,72,0,0,0,158,0,0,0,29,1,0,0,36,0,0,0,159,0,0,0,33,0,0,0,42,0,0,0,30,1,0,0,31,1,0,0,17,3,0,0,43,0,0,0,32,1,0,0,44,0,0,0,33,1,0,0,0,0,0,0,24,75,0,0,87,3,0,0,88,3,0,0,196,0,0,0,160,0,0,0,73,0,0,0,161,0,0,0,162,0,0,0,89,3,0,0,163,0,0,0,197,0,0,0,198,0,0,0,74,0,0,0,164,0,0,0,34,1,0,0,36,0,0,0,165,0,0,0,34,0,0,0,42,0,0,0,35,1,0,0,36,1,0,0,17,3,0,0,43,0,0,0,37,1,0,0,44,0,0,0,38,1,0,0,0,0,0,0,40,75,0,0,90,3,0,0,91,3,0,0,196,0,0,0,166,0,0,0,75,0,0,0,167,0,0,0,168,0,0,0,92,3,0,0,169,0,0,0,197,0,0,0,198,0,0,0,76,0,0,0,170,0,0,0,39,1,0,0,36,0,0,0,171,0,0,0,35,0,0,0,42,0,0,0,40,1,0,0,41,1,0,0,17,3,0,0,43,0,0,0,42,1,0,0,44,0,0,0,43,1,0,0,0,0,0,0,56,75,0,0,93,3,0,0,94,3,0,0,196,0,0,0,172,0,0,0,77,0,0,0,173,0,0,0,174,0,0,0,95,3,0,0,175,0,0,0,197,0,0,0,198,0,0,0,78,0,0,0,176,0,0,0,44,1,0,0,36,0,0,0,177,0,0,0,36,0,0,0,42,0,0,0,45,1,0,0,46,1,0,0,17,3,0,0,43,0,0,0,47,1,0,0,44,0,0,0,48,1,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,84,0,0,0,16,0,0,0,32,0,0,0,48,0,0,0,64,0,0,0,104,0,0,0,80,0,0,0,88,0,0,0,92,0,0,0,96,0,0,0,100,0,0,0,1,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,6,0,0,0,0,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,20,0,0,0,16,0,0,0,21,0,0,0,24,0,0,0,1,0,0,0,0,0,0,0,2,0,0,0,3,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,88,0,0,0,92,0,0,0,16,0,0,0,120,0,0,0,121,0,0,0,28,0,0,0,96,0,0,0,100,0,0,0,104,0,0,0,108,0,0,0,112,0,0,0,116,0,0,0,124,0,0,0,40,0,0,0,52,0,0,0,64,0,0,0,76,0,0,0,0,0,0,0,1,0,0,0,255,255,255,255,8,0,0,0,9,0,0,0,255,255,255,255,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,10,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,24,0,0,0,48,0,0,0,28,0,0,0,16,0,0,0,20,0,0,0,44,0,0,0,32,0,0,0,40,0,0,0,36,0,0,0,49,0,0,0,2,0,0,0,8,0,0,0,3,0,0,0,0,0,0,0,1,0,0,0,7,0,0,0,4,0,0,0,6,0,0,0,5,0,0,0,9,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,32,0,0,0,36,0,0,0,40,0,0,0,28,0,0,0,44,0,0,0,16,0,0,0,48,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,0,0,0,0,4,0,0,0,255,255,255,255,5,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,24,0,0,0,40,0,0,0,28,0,0,0,44,0,0,0,36,0,0,0,32,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,6,0,0,0,3,0,0,0,7,0,0,0,5,0,0,0,4,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,92,0,0,0,32,0,0,0,60,0,0,0,48,0,0,0,100,0,0,0,96,0,0,0,101,0,0,0,76,0,0,0,16,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,2,0,0,0,1,0,0,0,3,0,0,0,255,255,255,255,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,100,0,0,0,116,0,0,0,88,0,0,0,16,0,0,0,112,0,0,0,44,0,0,0,120,0,0,0,60,0,0,0,32,0,0,0,124,0,0,0,168,0,0,0,196,0,0,0,128,0,0,0,132,0,0,0,204,0,0,0,136,0,0,0,212,0,0,0,92,0,0,0,140,0,0,0,144,0,0,0,148,0,0,0,152,0,0,0,104,0,0,0,156,0,0,0,76,0,0,0,208,0,0,0,160,0,0,0,96,0,0,0,169,0,0,0,216,0,0,0,192,0,0,0,164,0,0,0,184,0,0,0,108,0,0,0,200,0,0,0,176,0,0,0,220,0,0,0,170,0,0,0,197,0,0,0,172,0,0,0,3,0,0,0,7,0,0,0,0,0,0,0,255,255,255,255,6,0,0,0,255,255,255,255,8,0,0,0,255,255,255,255,255,255,255,255,9,0,0,0,20,0,0,0,27,0,0,0,10,0,0,0,11,0,0,0,30,0,0,0,12,0,0,0,32,0,0,0,1,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,16,0,0,0,4,0,0,0,17,0,0,0,255,255,255,255,31,0,0,0,18,0,0,0,2,0,0,0,21,0,0,0,33,0,0,0,26,0,0,0,19,0,0,0,25,0,0,0,5,0,0,0,29,0,0,0,24,0,0,0,34,0,0,0,22,0,0,0,28,0,0,0,23,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,36,0,0,0,32,0,0,0,16,0,0,0,40,0,0,0,1,0,0,0,0,0,0,0,255,255,255,255,2,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,36,0,0,0,32,0,0,0,16,0,0,0,1,0,0,0,0,0,0,0,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,48,0,0,0,52,0,0,0,56,0,0,0,16,0,0,0,32,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,255,255,255,255,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,24,0,0,0,28,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,136,0,0,0,140,0,0,0,16,0,0,0,32,0,0,0,104,1,0,0,48,0,0,0,60,0,0,0,76,0,0,0,124,0,0,0,92,0,0,0,108,0,0,0,144,0,0,0,148,0,0,0,152,0,0,0,156,0,0,0,44,1,0,0,52,1,0,0,160,0,0,0,164,0,0,0,168,0,0,0,64,1,0,0,172,0,0,0,76,1,0,0,176,0,0,0,180,0,0,0,184,0,0,0,48,1,0,0,36,1,0,0,188,0,0,0,28,1,0,0,192,0,0,0,196,0,0,0,200,0,0,0,204,0,0,0,208,0,0,0,212,0,0,0,60,1,0,0,24,1,0,0,216,0,0,0,220,0,0,0,224,0,0,0,84,1,0,0,80,1,0,0,68,1,0,0,228,0,0,0,232,0,0,0,12,1,0,0,88,1,0,0,92,1,0,0,96,1,0,0,8,1,0,0,72,1,0,0,32,1,0,0,236,0,0,0,20,1,0,0,100,1,0,0,56,1,0,0,240,0,0,0,244,0,0,0,16,1,0,0,248,0,0,0,252,0,0,0,0,1,0,0,40,1,0,0,4,1,0,0,0,0,0,0,1,0,0,0,255,255,255,255,255,255,255,255,56,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,41,0,0,0,43,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,46,0,0,0,9,0,0,0,49,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,42,0,0,0,39,0,0,0,13,0,0,0,37,0,0,0,14,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,45,0,0,0,36,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,51,0,0,0,50,0,0,0,47,0,0,0,23,0,0,0,24,0,0,0,33,0,0,0,52,0,0,0,53,0,0,0,54,0,0,0,32,0,0,0,48,0,0,0,38,0,0,0,25,0,0,0,35,0,0,0,55,0,0,0,44,0,0,0,26,0,0,0,27,0,0,0,34,0,0,0,28,0,0,0,29,0,0,0,30,0,0,0,40,0,0,0,31,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,40,0,0,0,36,0,0,0,32,0,0,0,28,0,0,0,16,0,0,0,37,0,0,0,38,0,0,0,5,0,0,0,2,0,0,0,1,0,0,0,0,0,0,0,255,255,255,255,3,0,0,0,4,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,24,0,0,0,20,0,0,0,0,0,0,0,2,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,20,0,0,0,24,0,0,0,16,0,0,0,1,0,0,0,2,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,24,0,0,0,20,0,0,0,0,0,0,0,2,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,20,0,0,0,16,0,0,0,1,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,24,0,0,0,17,0,0,0,0,0,0,0,2,0,0,0,3,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,20,0,0,0,24,0,0,0,16,0,0,0,1,0,0,0,2,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,20,0,0,0,16,0,0,0,1,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,72,0,0,0,112,0,0,0,16,0,0,0,28,0,0,0,40,0,0,0,52,0,0,0,76,0,0,0,80,0,0,0,84,0,0,0,88,0,0,0,92,0,0,0,96,0,0,0,116,0,0,0,64,0,0,0,68,0,0,0,100,0,0,0,108,0,0,0,104,0,0,0,2,0,0,0,12,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,13,0,0,0,0,0,0,0,1,0,0,0,9,0,0,0,11,0,0,0,10,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,28,0,0,0,16,0,0,0,0,0,0,0,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,24,0,0,0,32,0,0,0,40,0,0,0,44,0,0,0,20,0,0,0,28,0,0,0,36,0,0,0,37,0,0,0,48,0,0,0,0,0,0,0,2,0,0,0,4,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,5,0,0,0,6,0,0,0,9,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,20,0,0,0,16,0,0,0,24,0,0,0,1,0,0,0,0,0,0,0,2,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,24,0,0,0,28,0,0,0,32,0,0,0,36,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,0,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,80,0,0,0,32,0,0,0,44,0,0,0,56,0,0,0,68,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,28,0,0,0,16,0,0,0,32,0,0,0,0,0,0,0,255,255,255,255,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,24,0,0,0,28,0,0,0,32,0,0,0,16,0,0,0,20,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,0,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,20,0,0,0,24,0,0,0,16,0,0,0,1,0,0,0,2,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,0,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,24,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,56,0,0,0,32,0,0,0,36,0,0,0,40,0,0,0,44,0,0,0,48,0,0,0,52,0,0,0,20,0,0,0,28,0,0,0,37,0,0,0,24,0,0,0,0,0,0,0,11,0,0,0,4,0,0,0,5,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,1,0,0,0,3,0,0,0,6,0,0,0,2,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,24,0,0,0,29,0,0,0,16,0,0,0,20,0,0,0,32,0,0,0,28,0,0,0,2,0,0,0,4,0,0,0,0,0,0,0,1,0,0,0,5,0,0,0,3,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,20,0,0,0,24,0,0,0,16,0,0,0,1,0,0,0,2,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,24,0,0,0,28,0,0,0,32,0,0,0,16,0,0,0,36,0,0,0,20,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,0,0,0,0,5,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,24,0,0,0,28,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,17,0,0,0,16,0,0,0,20,0,0,0,1,0,0,0,0,0,0,0,2,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,24,0,0,0,44,0,0,0,48,0,0,0,20,0,0,0,28,0,0,0,32,0,0,0,60,0,0,0,36,0,0,0,40,0,0,0,52,0,0,0,56,0,0,0,64,0,0,0,0,0,0,0,2,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,4,0,0,0,11,0,0,0,5,0,0,0,6,0,0,0,9,0,0,0,10,0,0,0,12,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,20,0,0,0,24,0,0,0,16,0,0,0,1,0,0,0,2,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,24,0,0,0,28,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,24,0,0,0,16,0,0,0,20,0,0,0,28,0,0,0,29,0,0,0,2,0,0,0,0,0,0,0,1,0,0,0,3,0,0,0,4,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,20,0,0,0,16,0,0,0,24,0,0,0,1,0,0,0,0,0,0,0,2,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,0,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,24,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,28,0,0,0,32,0,0,0,16,0,0,0,24,0,0,0,20,0,0,0,3,0,0,0,4,0,0,0,0,0,0,0,2,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,32,0,0,0,16,0,0,0,28,0,0,0,1,0,0,0,255,255,255,255,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,0,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,20,0,0,0,16,0,0,0,1,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,48,0,0,0,20,0,0,0,32,0,0,0,36,0,0,0,40,0,0,0,52,0,0,0,56,0,0,0,60,0,0,0,44,0,0,0,24,0,0,0,41,0,0,0,28,0,0,0,0,0,0,0,9,0,0,0,1,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,8,0,0,0,2,0,0,0,7,0,0,0,3,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,24,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,32,0,0,0,160,0,0,0,88,0,0,0,104,0,0,0,32,1,0,0,48,0,0,0,132,0,0,0,148,0,0,0,64,0,0,0,76,0,0,0,120,0,0,0,240,0,0,0,224,0,0,0,168,0,0,0,20,1,0,0,172,0,0,0,176,0,0,0,180,0,0,0,236,0,0,0,228,0,0,0,24,1,0,0,184,0,0,0,188,0,0,0,244,0,0,0,192,0,0,0,196,0,0,0,200,0,0,0,204,0,0,0,220,0,0,0,0,1,0,0,208,0,0,0,216,0,0,0,248,0,0,0,12,1,0,0,16,1,0,0,252,0,0,0,8,1,0,0,232,0,0,0,212,0,0,0,4,1,0,0,28,1,0,0,164,0,0,0,255,255,255,255,255,255,255,255,0,0,0,0,255,255,255,255,255,255,255,255,32,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,20,0,0,0,16,0,0,0,2,0,0,0,29,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,19,0,0,0,17,0,0,0,30,0,0,0,6,0,0,0,7,0,0,0,21,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,15,0,0,0,24,0,0,0,12,0,0,0,14,0,0,0,22,0,0,0,27,0,0,0,28,0,0,0,23,0,0,0,26,0,0,0,18,0,0,0,13,0,0,0,25,0,0,0,31,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,56,0,0,0,60,0,0,0,88,0,0,0,144,0,0,0,76,0,0,0,80,0,0,0,92,0,0,0,96,0,0,0,148,0,0,0,152,0,0,0,100,0,0,0,156,0,0,0,160,0,0,0,164,0,0,0,168,0,0,0,176,0,0,0,64,0,0,0,172,0,0,0,68,0,0,0,104,0,0,0,108,0,0,0,116,0,0,0,16,0,0,0,32,0,0,0,44,0,0,0,120,0,0,0,180,0,0,0,184,0,0,0,188,0,0,0,124,0,0,0,72,0,0,0,128,0,0,0,132,0,0,0,136,0,0,0,112,0,0,0,117,0,0,0,140,0,0,0,84,0,0,0,0,0,0,0,1,0,0,0,8,0,0,0,23,0,0,0,5,0,0,0,6,0,0,0,9,0,0,0,10,0,0,0,24,0,0,0,25,0,0,0,11,0,0,0,26,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,31,0,0,0,2,0,0,0,30,0,0,0,3,0,0,0,12,0,0,0,13,0,0,0,15,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,17,0,0,0,32,0,0,0,33,0,0,0,34,0,0,0,18,0,0,0,4,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,14,0,0,0,16,0,0,0,22,0,0,0,7,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,0,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,24,0,0,0,28,0,0,0,32,0,0,0,36,0,0,0,40,0,0,0,44,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,24,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,40,0,0,0,44,0,0,0,48,0,0,0,16,0,0,0,28,0,0,0,52,0,0,0,56,0,0,0,60,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,255,255,255,255,255,255,255,255,3,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,24,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,0,0,0,0,72,75,0,0,96,3,0,0,97,3,0,0,196,0,0,0,178,0,0,0,79,0,0,0,179,0,0,0,57,0,0,0,98,3,0,0,180,0,0,0,197,0,0,0,198,0,0,0,80,0,0,0,181,0,0,0,49,1,0,0,36,0,0,0,182,0,0,0,37,0,0,0,42,0,0,0,50,1,0,0,51,1,0,0,17,3,0,0,43,0,0,0,52,1,0,0,44,0,0,0,53,1,0,0,0,0,0,0,6,0,0,0,32,0,0,0,7,0,0,0,23,0,0,0,108,0,0,0,34,0,0,0,40,0,0,0,32,0,0,0,41,0,0,0,47,0,0,0,28,0,0,0,48,0,0,0,57,0,0,0,28,0,0,0,61,0,0,0,83,0,0,0,128,0,0,0,100,0,0,0,115,0,0,0,52,0,0,0,125,0,0,0,137,0,0,0,52,0,0,0,144,0,0,0,157,0,0,0,48,0,0,0,165,0,0,0,179,0,0,0,104,0,0,0,188,0,0,0,233,0,0,0,232,0,0,0,17,1,0,0,26,1,0,0,44,0,0,0,30,1,0,0,38,1,0,0,40,0,0,0,41,1,0,0,51,1,0,0,60,0,0,0,56,1,0,0,65,1,0,0,32,0,0,0,69,1,0,0,139,1,0,0,112,1,0,0,204,1,0,0,216,1,0,0,44,0,0,0,223,1,0,0,231,1,0,0,28,0,0,0,234,1,0,0,242,1,0,0,28,0,0,0,245,1,0,0,253,1,0,0,28,0,0,0,0,2,0,0,7,2,0,0,24,0,0,0,9,2,0,0,18,2,0,0,28,0,0,0,22,2,0,0,30,2,0,0,28,0,0,0,33,2,0,0,40,2,0,0,24,0,0,0,42,2,0,0,65,2,0,0,120,0,0,0,83,2,0,0,90,2,0,0,32,0,0,0,92,2,0,0,107,2,0,0,52,0,0,0,117,2,0,0,125,2,0,0,28,0,0,0,128,2,0,0,139,2,0,0,40,0,0,0,145,2,0,0,152,2,0,0,24,0,0,0,154,2,0,0,165,2,0,0,96,0,0,0,171,2,0,0,179,2,0,0,36,0,0,0,182,2,0,0,188,2,0,0,20,0,0,0,189,2,0,0,199,2,0,0,36,0,0,0,204,2,0,0,212,2,0,0,28,0,0,0,215,2,0,0,222,2,0,0,24,0,0,0,224,2,0,0,232,2,0,0,28,0,0,0,235,2,0,0,241,2,0,0,20,0,0,0,242,2,0,0,248,2,0,0,20,0,0,0,249,2,0,0,10,3,0,0,60,0,0,0,22,3,0,0,28,3,0,0,20,0,0,0,29,3,0,0,40,3,0,0,36,0,0,0,46,3,0,0,52,3,0,0,32,0,0,0,53,3,0,0,61,3,0,0,28,0,0,0,64,3,0,0,75,3,0,0,40,0,0,0,81,3,0,0,90,3,0,0,32,0,0,0,94,3,0,0,102,3,0,0,24,0,0,0,105,3,0,0,111,3,0,0,20,0,0,0,112,3,0,0,130,3,0,0,68,0,0,0,143,3,0,0,151,3,0,0,28,0,0,0,154,3,0,0,163,3,0,0,32,0,0,0,167,3,0,0,177,3,0,0,32,0,0,0,182,3,0,0,190,3,0,0,28,0,0,0,193,3,0,0,200,3,0,0,24,0,0,0,202,3,0,0,210,3,0,0,28,0,0,0,213,3,0,0,223,3,0,0,36,0,0,0,228,3,0,0,234,3,0,0,20,0,0,0,235,3,0,0,243,3,0,0,36,0,0,0,246,3,0,0,253,3,0,0,24,0,0,0,255,3,0,0,5,4,0,0,20,0,0,0,6,4,0,0,13,4,0,0,24,0,0,0,15,4,0,0,21,4,0,0,20,0,0,0,22,4,0,0,40,4,0,0,64,0,0,0,53,4,0,0,61,4,0,0,28,0,0,0,64,4,0,0,112,4,0,0,40,1,0,0,155,4,0,0,198,4,0,0,196,0,0,0,236,4,0,0,243,4,0,0,24,0,0,0,245,4,0,0,2,5,0,0,48,0,0,0,10,5,0,0,18,5,0,0,28,0,0,0,21,5,0,0,34,5,0,0,64,0,0,0,42,5,0,0,50,5,0,0,28,0,0,0,160,20,8,0,192,20,8,0,48,21,8,0,80,21,8,0,112,21,8,0,144,21,8,0,16,22,8,0,72,22,8,0,128,22,8,0,176,22,8,0,24,23,8,0,0,24,8,0,48,24,8,0,88,24,8,0,152,24,8,0,184,24,8,0,40,26,8,0,88,26,8,0,120,26,8,0,152,26,8,0,184,26,8,0,208,26,8,0,240,26,8,0,16,27,8,0,40,27,8,0,160,27,8,0,192,27,8,0,248,27,8,0,24,28,8,0,64,28,8,0,88,28,8,0,184,28,8,0,224,28,8,0,248,28,8,0,32,29,8,0,64,29,8,0,88,29,8,0,120,29,8,0,144,29,8,0,168,29,8,0,232,29,8,0,0,30,8,0,40,30,8,0,72,30,8,0,104,30,8,0,144,30,8,0,176,30,8,0,200,30,8,0,224,30,8,0,40,31,8,0,72,31,8,0,104,31,8,0,136,31,8,0,168,31,8,0,192,31,8,0,224,31,8,0,8,32,8,0,32,32,8,0,72,32,8,0,96,32,8,0,120,32,8,0,144,32,8,0,168,32,8,0,232,32,8,0,8,33,8,0,48,34,8,0,248,34,8,0,16,35,8,0,64,35,8,0,96,35,8,0,160,35,8,0,0,0,0,0,88,75,0,0,99,3,0,0,100,3,0,0,196,0,0,0,183,0,0,0,81,0,0,0,179,0,0,0,57,0,0,0,101,3,0,0,184,0,0,0,197,0,0,0,198,0,0,0,82,0,0,0,185,0,0,0,54,1,0,0,36,0,0,0,186,0,0,0,38,0,0,0,42,0,0,0,55,1,0,0,56,1,0,0,17,3,0,0,43,0,0,0,57,1,0,0,44,0,0,0,58,1,0,0,0,0,0,0,104,75,0,0,102,3,0,0,103,3,0,0,196,0,0,0,187,0,0,0,83,0,0,0,179,0,0,0,57,0,0,0,104,3,0,0,188,0,0,0,197,0,0,0,198,0,0,0,84,0,0,0,189,0,0,0,59,1,0,0,36,0,0,0,190,0,0,0,39,0,0,0,42,0,0,0,60,1,0,0,61,1,0,0,17,3,0,0,43,0,0,0,62,1,0,0,44,0,0,0,63,1,0,0,0,0,0,0,120,75,0,0,105,3,0,0,106,3,0,0,196,0,0,0,191,0,0,0,85,0,0,0,179,0,0,0,57,0,0,0,107,3,0,0,192,0,0,0,197,0,0,0,198,0,0,0,86,0,0,0,193,0,0,0,64,1,0,0,36,0,0,0,194,0,0,0,40,0,0,0,42,0,0,0,65,1,0,0,66,1,0,0,17,3,0,0,43,0,0,0,67,1,0,0,44,0,0,0,68,1,0,0,0,0,0,0,136,75,0,0,108,3,0,0,109,3,0,0,196,0,0,0,195,0,0,0,87,0,0,0,179,0,0,0,57,0,0,0,110,3,0,0,196,0,0,0,197,0,0,0,198,0,0,0,88,0,0,0,197,0,0,0,69,1,0,0,36,0,0,0,198,0,0,0,41,0,0,0,42,0,0,0,70,1,0,0,71,1,0,0,17,3,0,0,43,0,0,0,72,1,0,0,44,0,0,0,73,1,0,0,0,0,0,0,152,75,0,0,111,3,0,0,112,3,0,0,196,0,0,0,199,0,0,0,89,0,0,0,179,0,0,0,57,0,0,0,113,3,0,0,200,0,0,0,197,0,0,0,198,0,0,0,90,0,0,0,201,0,0,0,74,1,0,0,36,0,0,0,202,0,0,0,42,0,0,0,42,0,0,0,75,1,0,0,76,1,0,0,17,3,0,0,43,0,0,0,77,1,0,0,44,0,0,0,78,1,0,0,0,0,0,0,168,75,0,0,114,3,0,0,115,3,0,0,196,0,0,0,203,0,0,0,91,0,0,0,179,0,0,0,57,0,0,0,116,3,0,0,204,0,0,0,197,0,0,0,198,0,0,0,92,0,0,0,205,0,0,0,79,1,0,0,36,0,0,0,206,0,0,0,43,0,0,0,42,0,0,0,80,1,0,0,81,1,0,0,17,3,0,0,43,0,0,0,82,1,0,0,44,0,0,0,83,1,0,0,0,0,0,0,184,75,0,0,117,3,0,0,118,3,0,0,196,0,0,0,207,0,0,0,93,0,0,0,179,0,0,0,57,0,0,0,119,3,0,0,208,0,0,0,197,0,0,0,198,0,0,0,94,0,0,0,209,0,0,0,84,1,0,0,36,0,0,0,210,0,0,0,44,0,0,0,42,0,0,0,85,1,0,0,86,1,0,0,17,3,0,0,43,0,0,0,87,1,0,0,44,0,0,0,88,1,0,0,0,0,0,0,200,75,0,0,120,3,0,0,121,3,0,0,196,0,0,0,211,0,0,0,95,0,0,0,179,0,0,0,57,0,0,0,122,3,0,0,212,0,0,0,197,0,0,0,198,0,0,0,96,0,0,0,213,0,0,0,89,1,0,0,36,0,0,0,214,0,0,0,45,0,0,0,42,0,0,0,90,1,0,0,91,1,0,0,17,3,0,0,43,0,0,0,92,1,0,0,44,0,0,0,93,1,0,0,0,0,0,0,216,75,0,0,123,3,0,0,124,3,0,0,196,0,0,0,215,0,0,0,97,0,0,0,179,0,0,0,57,0,0,0,125,3,0,0,216,0,0,0,197,0,0,0,198,0,0,0,98,0,0,0,217,0,0,0,94,1,0,0,36,0,0,0,218,0,0,0,46,0,0,0,42,0,0,0,95,1,0,0,96,1,0,0,17,3,0,0,43,0,0,0,97,1,0,0,44,0,0,0,98,1],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+112640);allocate([232,75,0,0,126,3,0,0,127,3,0,0,196,0,0,0,219,0,0,0,99,0,0,0,179,0,0,0,57,0,0,0,128,3,0,0,220,0,0,0,197,0,0,0,198,0,0,0,100,0,0,0,221,0,0,0,99,1,0,0,36,0,0,0,222,0,0,0,47,0,0,0,42,0,0,0,100,1,0,0,101,1,0,0,17,3,0,0,43,0,0,0,102,1,0,0,44,0,0,0,103,1,0,0,0,0,0,0,248,75,0,0,129,3,0,0,130,3,0,0,196,0,0,0,223,0,0,0,101,0,0,0,179,0,0,0,57,0,0,0,131,3,0,0,224,0,0,0,197,0,0,0,198,0,0,0,102,0,0,0,225,0,0,0,104,1,0,0,36,0,0,0,226,0,0,0,48,0,0,0,42,0,0,0,105,1,0,0,106,1,0,0,17,3,0,0,43,0,0,0,107,1,0,0,44,0,0,0,108,1,0,0,0,0,0,0,8,76,0,0,132,3,0,0,133,3,0,0,196,0,0,0,227,0,0,0,103,0,0,0,179,0,0,0,57,0,0,0,134,3,0,0,228,0,0,0,197,0,0,0,198,0,0,0,104,0,0,0,229,0,0,0,109,1,0,0,36,0,0,0,230,0,0,0,49,0,0,0,42,0,0,0,110,1,0,0,111,1,0,0,17,3,0,0,43,0,0,0,112,1,0,0,44,0,0,0,113,1,0,0,0,0,0,0,24,76,0,0,135,3,0,0,136,3,0,0,196,0,0,0,231,0,0,0,105,0,0,0,179,0,0,0,57,0,0,0,137,3,0,0,232,0,0,0,197,0,0,0,198,0,0,0,106,0,0,0,233,0,0,0,114,1,0,0,36,0,0,0,234,0,0,0,50,0,0,0,42,0,0,0,115,1,0,0,116,1,0,0,17,3,0,0,43,0,0,0,117,1,0,0,44,0,0,0,118,1,0,0,0,0,0,0,40,76,0,0,138,3,0,0,139,3,0,0,196,0,0,0,235,0,0,0,107,0,0,0,179,0,0,0,57,0,0,0,140,3,0,0,236,0,0,0,197,0,0,0,198,0,0,0,108,0,0,0,237,0,0,0,119,1,0,0,36,0,0,0,238,0,0,0,51,0,0,0,42,0,0,0,120,1,0,0,121,1,0,0,17,3,0,0,43,0,0,0,122,1,0,0,44,0,0,0,123,1,0,0,0,0,0,0,56,76,0,0,141,3,0,0,142,3,0,0,196,0,0,0,239,0,0,0,109,0,0,0,179,0,0,0,57,0,0,0,143,3,0,0,240,0,0,0,197,0,0,0,198,0,0,0,110,0,0,0,241,0,0,0,124,1,0,0,36,0,0,0,242,0,0,0,52,0,0,0,42,0,0,0,125,1,0,0,126,1,0,0,17,3,0,0,43,0,0,0,127,1,0,0,44,0,0,0,128,1,0,0,0,0,0,0,72,76,0,0,144,3,0,0,145,3,0,0,196,0,0,0,243,0,0,0,111,0,0,0,179,0,0,0,57,0,0,0,146,3,0,0,244,0,0,0,197,0,0,0,198,0,0,0,112,0,0,0,245,0,0,0,129,1,0,0,36,0,0,0,246,0,0,0,53,0,0,0,42,0,0,0,130,1,0,0,131,1,0,0,17,3,0,0,43,0,0,0,132,1,0,0,44,0,0,0,133,1,0,0,0,0,0,0,88,76,0,0,147,3,0,0,148,3,0,0,196,0,0,0,247,0,0,0,113,0,0,0,179,0,0,0,57,0,0,0,149,3,0,0,248,0,0,0,197,0,0,0,198,0,0,0,114,0,0,0,249,0,0,0,134,1,0,0,36,0,0,0,250,0,0,0,54,0,0,0,42,0,0,0,135,1,0,0,136,1,0,0,17,3,0,0,43,0,0,0,137,1,0,0,44,0,0,0,138,1,0,0,0,0,0,0,104,76,0,0,150,3,0,0,151,3,0,0,196,0,0,0,251,0,0,0,115,0,0,0,179,0,0,0,57,0,0,0,152,3,0,0,252,0,0,0,197,0,0,0,198,0,0,0,116,0,0,0,253,0,0,0,139,1,0,0,36,0,0,0,254,0,0,0,55,0,0,0,42,0,0,0,140,1,0,0,141,1,0,0,17,3,0,0,43,0,0,0,142,1,0,0,44,0,0,0,143,1,0,0,0,0,0,0,120,76,0,0,153,3,0,0,154,3,0,0,196,0,0,0,255,0,0,0,117,0,0,0,179,0,0,0,57,0,0,0,155,3,0,0,0,1,0,0,197,0,0,0,198,0,0,0,118,0,0,0,1,1,0,0,144,1,0,0,36,0,0,0,2,1,0,0,56,0,0,0,42,0,0,0,145,1,0,0,146,1,0,0,17,3,0,0,43,0,0,0,147,1,0,0,44,0,0,0,148,1,0,0,0,0,0,0,136,76,0,0,156,3,0,0,157,3,0,0,196,0,0,0,3,1,0,0,119,0,0,0,179,0,0,0,57,0,0,0,158,3,0,0,4,1,0,0,197,0,0,0,198,0,0,0,120,0,0,0,5,1,0,0,149,1,0,0,36,0,0,0,6,1,0,0,57,0,0,0,42,0,0,0,150,1,0,0,151,1,0,0,17,3,0,0,43,0,0,0,152,1,0,0,44,0,0,0,153,1,0,0,0,0,0,0,152,76,0,0,159,3,0,0,160,3,0,0,196,0,0,0,7,1,0,0,121,0,0,0,179,0,0,0,57,0,0,0,161,3,0,0,8,1,0,0,197,0,0,0,198,0,0,0,122,0,0,0,9,1,0,0,154,1,0,0,36,0,0,0,10,1,0,0,58,0,0,0,42,0,0,0,155,1,0,0,156,1,0,0,17,3,0,0,43,0,0,0,157,1,0,0,44,0,0,0,158,1,0,0,0,0,0,0,168,76,0,0,162,3,0,0,163,3,0,0,196,0,0,0,11,1,0,0,123,0,0,0,179,0,0,0,57,0,0,0,164,3,0,0,12,1,0,0,197,0,0,0,198,0,0,0,124,0,0,0,13,1,0,0,159,1,0,0,36,0,0,0,14,1,0,0,59,0,0,0,42,0,0,0,160,1,0,0,161,1,0,0,17,3,0,0,43,0,0,0,162,1,0,0,44,0,0,0,163,1,0,0,0,0,0,0,184,76,0,0,165,3,0,0,166,3,0,0,196,0,0,0,15,1,0,0,125,0,0,0,179,0,0,0,57,0,0,0,167,3,0,0,16,1,0,0,197,0,0,0,198,0,0,0,126,0,0,0,17,1,0,0,164,1,0,0,36,0,0,0,18,1,0,0,60,0,0,0,42,0,0,0,165,1,0,0,166,1,0,0,17,3,0,0,43,0,0,0,167,1,0,0,44,0,0,0,168,1,0,0,0,0,0,0,200,76,0,0,168,3,0,0,169,3,0,0,196,0,0,0,19,1,0,0,127,0,0,0,179,0,0,0,57,0,0,0,170,3,0,0,20,1,0,0,197,0,0,0,198,0,0,0,128,0,0,0,21,1,0,0,169,1,0,0,36,0,0,0,22,1,0,0,61,0,0,0,42,0,0,0,170,1,0,0,171,1,0,0,17,3,0,0,43,0,0,0,172,1,0,0,44,0,0,0,173,1,0,0,0,0,0,0,216,76,0,0,171,3,0,0,172,3,0,0,196,0,0,0,23,1,0,0,129,0,0,0,179,0,0,0,57,0,0,0,173,3,0,0,24,1,0,0,197,0,0,0,198,0,0,0,130,0,0,0,25,1,0,0,174,1,0,0,36,0,0,0,26,1,0,0,62,0,0,0,42,0,0,0,175,1,0,0,176,1,0,0,17,3,0,0,43,0,0,0,177,1,0,0,44,0,0,0,178,1,0,0,0,0,0,0,232,76,0,0,174,3,0,0,175,3,0,0,196,0,0,0,27,1,0,0,131,0,0,0,179,0,0,0,57,0,0,0,176,3,0,0,28,1,0,0,197,0,0,0,198,0,0,0,132,0,0,0,29,1,0,0,179,1,0,0,36,0,0,0,30,1,0,0,63,0,0,0,42,0,0,0,180,1,0,0,181,1,0,0,17,3,0,0,43,0,0,0,182,1,0,0,44,0,0,0,183,1,0,0,0,0,0,0,248,76,0,0,177,3,0,0,178,3,0,0,196,0,0,0,31,1,0,0,133,0,0,0,179,0,0,0,57,0,0,0,179,3,0,0,32,1,0,0,197,0,0,0,198,0,0,0,134,0,0,0,33,1,0,0,184,1,0,0,36,0,0,0,34,1,0,0,64,0,0,0,42,0,0,0,185,1,0,0,186,1,0,0,17,3,0,0,43,0,0,0,187,1,0,0,44,0,0,0,188,1,0,0,0,0,0,0,8,77,0,0,180,3,0,0,181,3,0,0,196,0,0,0,35,1,0,0,135,0,0,0,179,0,0,0,57,0,0,0,182,3,0,0,36,1,0,0,197,0,0,0,198,0,0,0,136,0,0,0,37,1,0,0,189,1,0,0,36,0,0,0,38,1,0,0,65,0,0,0,42,0,0,0,190,1,0,0,191,1,0,0,17,3,0,0,43,0,0,0,192,1,0,0,44,0,0,0,193,1,0,0,0,0,0,0,24,77,0,0,183,3,0,0,184,3,0,0,196,0,0,0,39,1,0,0,137,0,0,0,179,0,0,0,57,0,0,0,185,3,0,0,40,1,0,0,197,0,0,0,198,0,0,0,138,0,0,0,41,1,0,0,194,1,0,0,36,0,0,0,42,1,0,0,66,0,0,0,42,0,0,0,195,1,0,0,196,1,0,0,17,3,0,0,43,0,0,0,197,1,0,0,44,0,0,0,198,1,0,0,0,0,0,0,40,77,0,0,186,3,0,0,187,3,0,0,196,0,0,0,43,1,0,0,139,0,0,0,179,0,0,0,57,0,0,0,188,3,0,0,44,1,0,0,197,0,0,0,198,0,0,0,140,0,0,0,45,1,0,0,199,1,0,0,36,0,0,0,46,1,0,0,67,0,0,0,42,0,0,0,200,1,0,0,201,1,0,0,17,3,0,0,43,0,0,0,202,1,0,0,44,0,0,0,203,1,0,0,0,0,0,0,56,77,0,0,189,3,0,0,190,3,0,0,196,0,0,0,47,1,0,0,141,0,0,0,179,0,0,0,57,0,0,0,191,3,0,0,48,1,0,0,197,0,0,0,198,0,0,0,142,0,0,0,49,1,0,0,204,1,0,0,36,0,0,0,50,1,0,0,68,0,0,0,42,0,0,0,205,1,0,0,206,1,0,0,17,3,0,0,43,0,0,0,207,1,0,0,44,0,0,0,208,1,0,0,0,0,0,0,72,77,0,0,192,3,0,0,193,3,0,0,196,0,0,0,51,1,0,0,143,0,0,0,179,0,0,0,57,0,0,0,194,3,0,0,52,1,0,0,197,0,0,0,198,0,0,0,144,0,0,0,53,1,0,0,209,1,0,0,36,0,0,0,54,1,0,0,69,0,0,0,42,0,0,0,210,1,0,0,211,1,0,0,17,3,0,0,43,0,0,0,212,1,0,0,44,0,0,0,213,1,0,0,0,0,0,0,88,77,0,0,195,3,0,0,196,3,0,0,196,0,0,0,55,1,0,0,145,0,0,0,179,0,0,0,57,0,0,0,197,3,0,0,56,1,0,0,197,0,0,0,198,0,0,0,146,0,0,0,57,1,0,0,214,1,0,0,36,0,0,0,58,1,0,0,70,0,0,0,42,0,0,0,215,1,0,0,216,1,0,0,17,3,0,0,43,0,0,0,217,1,0,0,44,0,0,0,218,1,0,0,0,0,0,0,104,77,0,0,198,3,0,0,199,3,0,0,196,0,0,0,59,1,0,0,147,0,0,0,179,0,0,0,57,0,0,0,200,3,0,0,60,1,0,0,197,0,0,0,198,0,0,0,148,0,0,0,61,1,0,0,219,1,0,0,36,0,0,0,62,1,0,0,71,0,0,0,42,0,0,0,220,1,0,0,221,1,0,0,17,3,0,0,43,0,0,0,222,1,0,0,44,0,0,0,223,1,0,0,0,0,0,0,120,77,0,0,201,3,0,0,202,3,0,0,196,0,0,0,63,1,0,0,149,0,0,0,179,0,0,0,57,0,0,0,203,3,0,0,64,1,0,0,197,0,0,0,198,0,0,0,150,0,0,0,65,1,0,0,224,1,0,0,36,0,0,0,66,1,0,0,72,0,0,0,42,0,0,0,225,1,0,0,226,1,0,0,17,3,0,0,43,0,0,0,227,1,0,0,44,0,0,0,228,1,0,0,0,0,0,0,136,77,0,0,204,3,0,0,205,3,0,0,196,0,0,0,67,1,0,0,151,0,0,0,179,0,0,0,57,0,0,0,206,3,0,0,68,1,0,0,197,0,0,0,198,0,0,0,152,0,0,0,69,1,0,0,229,1,0,0,36,0,0,0,70,1,0,0,73,0,0,0,42,0,0,0,230,1,0,0,231,1,0,0,17,3,0,0,43,0,0,0,232,1,0,0,44,0,0,0,233,1,0,0,0,0,0,0,152,77,0,0,207,3,0,0,208,3,0,0,196,0,0,0,71,1,0,0,153,0,0,0,179,0,0,0,57,0,0,0,209,3,0,0,72,1,0,0,197,0,0,0,198,0,0,0,154,0,0,0,73,1,0,0,234,1,0,0,36,0,0,0,74,1,0,0,74,0,0,0,42,0,0,0,235,1,0,0,236,1,0,0,17,3,0,0,43,0,0,0,237,1,0,0,44,0,0,0,238,1,0,0,0,0,0,0,168,77,0,0,210,3,0,0,211,3,0,0,196,0,0,0,75,1,0,0,155,0,0,0,179,0,0,0,57,0,0,0,212,3,0,0,76,1,0,0,197,0,0,0,198,0,0,0,156,0,0,0,77,1,0,0,239,1,0,0,36,0,0,0,78,1,0,0,75,0,0,0,42,0,0,0,240,1,0,0,241,1,0,0,17,3,0,0,43,0,0,0,242,1,0,0,44,0,0,0,243,1,0,0,0,0,0,0,184,77,0,0,213,3,0,0,214,3,0,0,196,0,0,0,79,1,0,0,157,0,0,0,179,0,0,0,57,0,0,0,215,3,0,0,80,1,0,0,197,0,0,0,198,0,0,0,158,0,0,0,81,1,0,0,244,1,0,0,36,0,0,0,82,1,0,0,76,0,0,0,42,0,0,0,245,1,0,0,246,1,0,0,17,3,0,0,43,0,0,0,247,1,0,0,44,0,0,0,248,1,0,0,0,0,0,0,200,77,0,0,216,3,0,0,217,3,0,0,196,0,0,0,83,1,0,0,159,0,0,0,179,0,0,0,57,0,0,0,218,3,0,0,84,1,0,0,197,0,0,0,198,0,0,0,160,0,0,0,85,1,0,0,249,1,0,0,36,0,0,0,86,1,0,0,77,0,0,0,42,0,0,0,250,1,0,0,251,1,0,0,17,3,0,0,43,0,0,0,252,1,0,0,44,0,0,0,253,1,0,0,0,0,0,0,216,77,0,0,219,3,0,0,220,3,0,0,196,0,0,0,87,1,0,0,161,0,0,0,179,0,0,0,57,0,0,0,221,3,0,0,88,1,0,0,197,0,0,0,198,0,0,0,162,0,0,0,89,1,0,0,254,1,0,0,36,0,0,0,90,1,0,0,78,0,0,0,42,0,0,0,255,1,0,0,0,2,0,0,17,3,0,0,43,0,0,0,1,2,0,0,44,0,0,0,2,2,0,0,0,0,0,0,232,77,0,0,222,3,0,0,223,3,0,0,196,0,0,0,91,1,0,0,163,0,0,0,179,0,0,0,57,0,0,0,224,3,0,0,92,1,0,0,197,0,0,0,198,0,0,0,164,0,0,0,93,1,0,0,3,2,0,0,36,0,0,0,94,1,0,0,79,0,0,0,42,0,0,0,4,2,0,0,5,2,0,0,17,3,0,0,43,0,0,0,6,2,0,0,44,0,0,0,7,2,0,0,0,0,0,0,248,77,0,0,225,3,0,0,226,3,0,0,196,0,0,0,95,1,0,0,165,0,0,0,179,0,0,0,57,0,0,0,227,3,0,0,96,1,0,0,197,0,0,0,198,0,0,0,166,0,0,0,97,1,0,0,8,2,0,0,36,0,0,0,98,1,0,0,80,0,0,0,42,0,0,0,9,2,0,0,10,2,0,0,17,3,0,0,43,0,0,0,11,2,0,0,44,0,0,0,12,2,0,0,0,0,0,0,8,78,0,0,228,3,0,0,229,3,0,0,196,0,0,0,99,1,0,0,167,0,0,0,179,0,0,0,57,0,0,0,230,3,0,0,100,1,0,0,197,0,0,0,198,0,0,0,168,0,0,0,101,1,0,0,13,2,0,0,36,0,0,0,102,1,0,0,81,0,0,0,42,0,0,0,14,2,0,0,15,2,0,0,17,3,0,0,43,0,0,0,16,2,0,0,44,0,0,0,17,2,0,0,0,0,0,0,24,78,0,0,231,3,0,0,232,3,0,0,196,0,0,0,103,1,0,0,169,0,0,0,179,0,0,0,57,0,0,0,233,3,0,0,104,1,0,0,197,0,0,0,198,0,0,0,170,0,0,0,105,1,0,0,18,2,0,0,36,0,0,0,106,1,0,0,82,0,0,0,42,0,0,0,19,2,0,0,20,2,0,0,17,3,0,0,43,0,0,0,21,2,0,0,44,0,0,0,22,2,0,0,0,0,0,0,40,78,0,0,234,3,0,0,235,3,0,0,196,0,0,0,107,1,0,0,171,0,0,0,179,0,0,0,57,0,0,0,236,3,0,0,108,1,0,0,197,0,0,0,198,0,0,0,172,0,0,0,109,1,0,0,23,2,0,0,36,0,0,0,110,1,0,0,83,0,0,0,42,0,0,0,24,2,0,0,25,2,0,0,17,3,0,0,43,0,0,0,26,2,0,0,44,0,0,0,27,2,0,0,0,0,0,0,56,78,0,0,237,3,0,0,238,3,0,0,196,0,0,0,111,1,0,0,173,0,0,0,179,0,0,0,57,0,0,0,239,3,0,0,112,1,0,0,197,0,0,0,198,0,0,0,174,0,0,0,113,1,0,0,28,2,0,0,36,0,0,0,114,1,0,0,84,0,0,0,42,0,0,0,29,2,0,0,30,2,0,0,17,3,0,0,43,0,0,0,31,2,0,0,44,0,0,0,32,2,0,0,0,0,0,0,72,78,0,0,240,3,0,0,241,3,0,0,196,0,0,0,115,1,0,0,175,0,0,0,179,0,0,0,57,0,0,0,242,3,0,0,116,1,0,0,197,0,0,0,198,0,0,0,176,0,0,0,117,1,0,0,33,2,0,0,36,0,0,0,118,1,0,0,85,0,0,0,42,0,0,0,34,2,0,0,35,2,0,0,17,3,0,0,43,0,0,0,36,2,0,0,44,0,0,0,37,2,0,0,0,0,0,0,88,78,0,0,243,3,0,0,244,3,0,0,196,0,0,0,119,1,0,0,177,0,0,0,179,0,0,0,57,0,0,0,245,3,0,0,120,1,0,0,197,0,0,0,198,0,0,0,178,0,0,0,121,1,0,0,38,2,0,0,36,0,0,0,122,1,0,0,86,0,0,0,42,0,0,0,39,2,0,0,40,2,0,0,17,3,0,0,43,0,0,0,41,2,0,0,44,0,0,0,42,2,0,0,0,0,0,0,104,78,0,0,246,3,0,0,247,3,0,0,196,0,0,0,123,1,0,0,179,0,0,0,179,0,0,0,57,0,0,0,248,3,0,0,124,1,0,0,197,0,0,0,198,0,0,0,180,0,0,0,125,1,0,0,43,2,0,0,36,0,0,0,126,1,0,0,87,0,0,0,42,0,0,0,44,2,0,0,45,2,0,0,17,3,0,0,43,0,0,0,46,2,0,0,44,0,0,0,47,2,0,0,0,0,0,0,120,78,0,0,249,3,0,0,250,3,0,0,196,0,0,0,127,1,0,0,181,0,0,0,179,0,0,0,57,0,0,0,251,3,0,0,128,1,0,0,197,0,0,0,198,0,0,0,182,0,0,0,129,1,0,0,48,2,0,0,36,0,0,0,130,1,0,0,88,0,0,0,42,0,0,0,49,2,0,0,50,2,0,0,17,3,0,0,43,0,0,0,51,2,0,0,44,0,0,0,52,2,0,0,0,0,0,0,136,78,0,0,252,3,0,0,253,3,0,0,196,0,0,0,131,1,0,0,183,0,0,0,179,0,0,0,57,0,0,0,254,3,0,0,132,1,0,0,197,0,0,0,198,0,0,0,184,0,0,0,133,1,0,0,53,2,0,0,36,0,0,0,134,1,0,0,89,0,0,0,42,0,0,0,54,2,0,0,55,2,0,0,17,3,0,0,43,0,0,0,56,2,0,0,44,0,0,0,57,2,0,0,0,0,0,0,152,78,0,0,255,3,0,0,0,4,0,0,196,0,0,0,135,1,0,0,185,0,0,0,179,0,0,0,57,0,0,0,1,4,0,0,136,1,0,0,197,0,0,0,198,0,0,0,186,0,0,0,137,1,0,0,58,2,0,0,36,0,0,0,138,1,0,0,90,0,0,0,42,0,0,0,59,2,0,0,60,2,0,0,17,3,0,0,43,0,0,0,61,2,0,0,44,0,0,0,62,2,0,0,0,0,0,0,168,78,0,0,2,4,0,0,3,4,0,0,196,0,0,0,139,1,0,0,187,0,0,0,179,0,0,0,57,0,0,0,4,4,0,0,140,1,0,0,197,0,0,0,198,0,0,0,188,0,0,0,141,1,0,0,63,2,0,0,36,0,0,0,142,1,0,0,91,0,0,0,42,0,0,0,64,2,0,0,65,2,0,0,17,3,0,0,43,0,0,0,66,2,0,0,44,0,0,0,67,2,0,0,0,0,0,0,184,78,0,0,5,4,0,0,6,4,0,0,196,0,0,0,143,1,0,0,189,0,0,0,179,0,0,0,57,0,0,0,7,4,0,0,144,1,0,0,197,0,0,0,198,0,0,0,190,0,0,0,145,1,0,0,68,2,0,0,36,0,0,0,146,1,0,0,92,0,0,0,42,0,0,0,69,2,0,0,70,2,0,0,17,3,0,0,43,0,0,0,71,2,0,0,44,0,0,0,72,2,0,0,0,0,0,0,200,78,0,0,8,4,0,0,9,4,0,0,196,0,0,0,147,1,0,0,191,0,0,0,179,0,0,0,57,0,0,0,10,4,0,0,148,1,0,0,197,0,0,0,198,0,0,0,192,0,0,0,149,1,0,0,73,2,0,0,36,0,0,0,150,1,0,0,93,0,0,0,42,0,0,0,74,2,0,0,75,2,0,0,17,3,0,0,43,0,0,0,76,2,0,0,44,0,0,0,77,2,0,0,0,0,0,0,216,78,0,0,11,4,0,0,12,4,0,0,196,0,0,0,151,1,0,0,193,0,0,0,179,0,0,0,57,0,0,0,13,4,0,0,152,1,0,0,197,0,0,0,198,0,0,0,194,0,0,0,153,1,0,0,78,2,0,0,36,0,0,0,154,1,0,0,94,0,0,0,42,0,0,0,79,2,0,0,80,2,0,0,17,3,0,0,43,0,0,0,81,2,0,0,44,0,0,0,82,2,0,0,0,0,0,0,232,78,0,0,14,4,0,0,15,4,0,0,196,0,0,0,155,1,0,0,195,0,0,0,179,0,0,0,57,0,0,0,16,4,0,0,156,1,0,0,197,0,0,0,198,0,0,0,196,0,0,0,157,1,0,0,83,2,0,0,36,0,0,0,158,1,0,0,95,0,0,0,42,0,0,0,84,2,0,0,85,2,0,0,17,3,0,0,43,0,0,0,86,2,0,0,44,0,0,0,87,2,0,0,0,0,0,0,248,78,0,0,17,4,0,0,18,4,0,0,196,0,0,0,159,1,0,0,197,0,0,0,179,0,0,0,57,0,0,0,19,4,0,0,160,1,0,0,197,0,0,0,198,0,0,0,198,0,0,0,161,1,0,0,88,2,0,0,36,0,0,0,162,1,0,0,96,0,0,0,42,0,0,0,89,2,0,0,90,2,0,0,17,3,0,0,43,0,0,0,91,2,0,0,44,0,0,0,92,2,0,0,0,0,0,0,8,79,0,0,20,4,0,0,21,4,0,0,196,0,0,0,163,1,0,0,199,0,0,0,179,0,0,0,57,0,0,0,22,4,0,0,164,1,0,0,197,0,0,0,198,0,0,0,200,0,0,0,165,1,0,0,93,2,0,0,36,0,0,0,166,1,0,0,97,0,0,0,42,0,0,0,94,2,0,0,95,2,0,0,17,3,0,0,43,0,0,0,96,2,0,0,44,0,0,0,97,2,0,0,0,0,0,0,24,79,0,0,23,4,0,0,24,4,0,0,196,0,0,0,167,1,0,0,201,0,0,0,179,0,0,0,57,0,0,0,25,4,0,0,168,1,0,0,197,0,0,0,198,0,0,0,202,0,0,0,169,1,0,0,98,2,0,0,36,0,0,0,170,1,0,0,98,0,0,0,42,0,0,0,99,2,0,0,100,2,0,0,17,3,0,0,43,0,0,0,101,2,0,0,44,0,0,0,102,2,0,0,0,0,0,0,40,79,0,0,26,4,0,0,27,4,0,0,196,0,0,0,171,1,0,0,203,0,0,0,179,0,0,0,57,0,0,0,28,4,0,0,172,1,0,0,197,0,0,0,198,0,0,0,204,0,0,0,173,1,0,0,103,2,0,0,36,0,0,0,174,1,0,0,99,0,0,0,42,0,0,0,104,2,0,0,105,2,0,0,17,3,0,0,43,0,0,0,106,2,0,0,44,0,0,0,107,2,0,0,0,0,0,0,56,79,0,0,29,4,0,0,30,4,0,0,196,0,0,0,175,1,0,0,205,0,0,0,179,0,0,0,57,0,0,0,31,4,0,0,176,1,0,0,197,0,0,0,198,0,0,0,206,0,0,0,177,1,0,0,108,2,0,0,36,0,0,0,178,1,0,0,100,0,0,0,42,0,0,0,109,2,0,0,110,2,0,0,17,3,0,0,43,0,0,0,111,2,0,0,44,0,0,0,112,2,0,0,0,0,0,0,72,79,0,0,32,4,0,0,33,4,0,0,196,0,0,0,179,1,0,0,207,0,0,0,179,0,0,0,57,0,0,0,34,4,0,0,180,1,0,0,197,0,0,0,198,0,0,0,208,0,0,0,181,1,0,0,113,2,0,0,36,0,0,0,182,1,0,0,101,0,0,0,42,0,0,0,114,2,0,0,115,2,0,0,17,3,0,0,43,0,0,0,116,2,0,0,44,0,0,0,117,2,0,0,0,0,0,0,88,79,0,0,35,4,0,0,36,4,0,0,196,0,0,0,183,1,0,0,209,0,0,0,179,0,0,0,57,0,0,0,37,4,0,0,184,1,0,0,197,0,0,0,198,0,0,0,210,0,0,0,185,1,0,0,118,2,0,0,36,0,0,0,186,1,0,0,102,0,0,0,42,0,0,0,119,2,0,0,120,2,0,0,17,3,0,0,43,0,0,0,121,2,0,0,44,0,0,0,122,2,0,0,0,0,0,0,104,79,0,0,38,4,0,0,39,4,0,0,196,0,0,0,187,1,0,0,211,0,0,0,179,0,0,0,57,0,0,0,40,4,0,0,188,1,0,0,197,0,0,0,198,0,0,0,212,0,0,0,189,1,0,0,123,2,0,0,36,0,0,0,190,1,0,0,103,0,0,0,42,0,0,0,124,2,0,0,125,2,0,0,17,3,0,0,43,0,0,0,126,2,0,0,44,0,0,0,127,2,0,0,0,0,0,0,120,79,0,0,41,4,0,0,42,4,0,0,196,0,0,0,191,1,0,0,213,0,0,0,179,0,0,0,57,0,0,0,43,4,0,0,192,1,0,0,197,0,0,0,198,0,0,0,214,0,0,0,193,1,0,0,128,2,0,0,36,0,0,0,194,1,0,0,104,0,0,0,42,0,0,0,129,2,0,0,130,2,0,0,17,3,0,0,43,0,0,0,131,2,0,0,44,0,0,0,132,2,0,0,0,0,0,0,136,79,0,0,44,4,0,0,45,4,0,0,196,0,0,0,195,1,0,0,215,0,0,0,179,0,0,0,57,0,0,0,46,4,0,0,196,1,0,0,197,0,0,0,198,0,0,0,216,0,0,0,197,1,0,0,133,2,0,0,36,0,0,0,198,1,0,0,105,0,0,0,42,0,0,0,134,2,0,0,135,2,0,0,17,3,0,0,43,0,0,0,136,2,0,0,44,0,0,0,137,2,0,0,0,0,0,0,152,79,0,0,47,4,0,0,48,4,0,0,196,0,0,0,199,1,0,0,217,0,0,0,179,0,0,0,57,0,0,0,49,4,0,0,200,1,0,0,197,0,0,0,198,0,0,0,218,0,0,0,201,1,0,0,138,2,0,0,36,0,0,0,202,1,0,0,106,0,0,0,42,0,0,0,139,2,0,0,140,2,0,0,17,3,0,0,43,0,0,0,141,2,0,0,44,0,0,0,142,2,0,0,0,0,0,0,168,79,0,0,50,4,0,0,51,4,0,0,196,0,0,0,203,1,0,0,219,0,0,0,179,0,0,0,57,0,0,0,52,4,0,0,204,1,0,0,197,0,0,0,198,0,0,0,220,0,0,0,205,1,0,0,143,2,0,0,36,0,0,0,206,1,0,0,107,0,0,0,42,0,0,0,144,2,0,0,145,2,0,0,17,3,0,0,43,0,0,0,146,2,0,0,44,0,0,0,147,2,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,88,0,0,0,100,0,0,0,96,0,0,0,124,0,0,0,120,0,0,0,112,0,0,0,92,0,0,0,104,0,0,0,108,0,0,0,16,0,0,0,28,0,0,0,40,0,0,0,56,0,0,0,72,0,0,0,0,0,0,0,3,0,0,0,2,0,0,0,8,0,0,0,7,0,0,0,6,0,0,0,1,0,0,0,4,0,0,0,5,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,24,0,0,0,20,0,0,0,0,0,0,0,2,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,32,0,0,0,64,0,0,0,68,0,0,0,76,0,0,0,48,0,0,0,72,0,0,0,255,255,255,255,255,255,255,255,0,0,0,0,1,0,0,0,3,0,0,0,255,255,255,255,2,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,72,0,0,0,16,0,0,0,48,0,0,0,52,0,0,0,56,0,0,0,80,0,0,0,60,0,0,0,64,0,0,0,32,0,0,0,5,0,0,0,255,255,255,255,0,0,0,0,1,0,0,0,2,0,0,0,6,0,0,0,3,0,0,0,4,0,0,0,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,0,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,96,0,0,0,32,0,0,0,100,0,0,0,48,0,0,0,64,0,0,0,80,0,0,0,255,255,255,255,0,0,0,0,255,255,255,255,1,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,24,0,0,0,0,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,140,0,0,0,136,0,0,0,28,0,0,0,44,0,0,0,60,0,0,0,76,0,0,0,124,0,0,0,132,0,0,0,128,0,0,0,92,0,0,0,108,0,0,0,255,255,255,255,4,0,0,0,3,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,2,0,0,0,1,0,0,0,255,255,255,255,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,32,0,0,0,255,255,255,255,40,0,0,0,48,0,0,0,16,0,0,0,24,0,0,0,255,255,255,255,255,255,255,255,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,20,0,0,0,16,0,0,0,1,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,24,0,0,0,255,255,255,255,32,0,0,0,16,0,0,0,20,0,0,0,255,255,255,255,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,24,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,184,79,0,0,53,4,0,0,54,4,0,0,196,0,0,0,207,1,0,0,221,0,0,0,179,0,0,0,57,0,0,0,55,4,0,0,208,1,0,0,197,0,0,0,198,0,0,0,222,0,0,0,209,1,0,0,148,2,0,0,36,0,0,0,210,1,0,0,108,0,0,0,42,0,0,0,149,2,0,0,150,2,0,0,17,3,0,0,43,0,0,0,151,2,0,0,44,0,0,0,152,2,0,0,0,0,0,0,19,0,0,0,128,0,0,0,33,0,0,0,41,0,0,0,28,0,0,0,44,0,0,0,56,0,0,0,80,0,0,0,63,0,0,0,77,0,0,0,88,0,0,0,86,0,0,0,93,0,0,0,24,0,0,0,95,0,0,0,107,0,0,0,104,0,0,0,114,0,0,0,121,0,0,0,32,0,0,0,123,0,0,0,140,0,0,0,144,0,0,0,152,0,0,0,161,0,0,0,40,0,0,0,164,0,0,0,170,0,0,0,32,0,0,0,171,0,0,0,178,0,0,0,24,0,0,0,180,0,0,0,188,0,0,0,28,0,0,0,190,0,0,0,197,0,0,0,32,0,0,0,72,38,8,0,200,38,8,0,232,38,8,0,56,39,8,0,144,39,8,0,168,39,8,0,16,40,8,0,48,40,8,0,192,40,8,0,248,40,8,0,24,41,8,0,48,41,8,0,88,41,8,0,0,0,0,0,200,79,0,0,56,4,0,0,57,4,0,0,196,0,0,0,211,1,0,0,223,0,0,0,179,0,0,0,57,0,0,0,58,4,0,0,212,1,0,0,197,0,0,0,198,0,0,0,224,0,0,0,213,1,0,0,153,2,0,0,36,0,0,0,214,1,0,0,109,0,0,0,42,0,0,0,154,2,0,0,155,2,0,0,17,3,0,0,43,0,0,0,156,2,0,0,44,0,0,0,157,2,0,0,0,0,0,0,216,79,0,0,59,4,0,0,60,4,0,0,196,0,0,0,215,1,0,0,225,0,0,0,179,0,0,0,57,0,0,0,61,4,0,0,216,1,0,0,197,0,0,0,198,0,0,0,226,0,0,0,217,1,0,0,158,2,0,0,36,0,0,0,218,1,0,0,110,0,0,0,42,0,0,0,159,2,0,0,160,2,0,0,17,3,0,0,43,0,0,0,161,2,0,0,44,0,0,0,162,2,0,0,0,0,0,0,232,79,0,0,62,4,0,0,63,4,0,0,196,0,0,0,219,1,0,0,227,0,0,0,179,0,0,0,57,0,0,0,64,4,0,0,220,1,0,0,197,0,0,0,198,0,0,0,228,0,0,0,221,1,0,0,163,2,0,0,36,0,0,0,222,1,0,0,111,0,0,0,42,0,0,0,164,2,0,0,165,2,0,0,17,3,0,0,43,0,0,0,166,2,0,0,44,0,0,0,167,2,0,0,0,0,0,0,248,79,0,0,65,4,0,0,66,4,0,0,196,0,0,0,223,1,0,0,229,0,0,0,179,0,0,0,57,0,0,0,67,4,0,0,224,1,0,0,197,0,0,0,198,0,0,0,230,0,0,0,225,1,0,0,168,2,0,0,36,0,0,0,226,1,0,0,112,0,0,0,42,0,0,0,169,2,0,0,170,2,0,0,17,3,0,0,43,0,0,0,171,2,0,0,44,0,0,0,172,2,0,0,0,0,0,0,8,80,0,0,68,4,0,0,69,4,0,0,196,0,0,0,227,1,0,0,231,0,0,0,179,0,0,0,57,0,0,0,70,4,0,0,228,1,0,0,197,0,0,0,198,0,0,0,232,0,0,0,229,1,0,0,173,2,0,0,36,0,0,0,230,1,0,0,113,0,0,0,42,0,0,0,174,2,0,0,175,2,0,0,17,3,0,0,43,0,0,0,176,2,0,0,44,0,0,0,177,2,0,0,0,0,0,0,24,80,0,0,71,4,0,0,72,4,0,0,196,0,0,0,231,1,0,0,233,0,0,0,179,0,0,0,57,0,0,0,73,4,0,0,232,1,0,0,197,0,0,0,198,0,0,0,234,0,0,0,233,1,0,0,178,2,0,0,36,0,0,0,234,1,0,0,114,0,0,0,42,0,0,0,179,2,0,0,180,2,0,0,17,3,0,0,43,0,0,0,181,2,0,0,44,0,0,0,182,2,0,0,0,0,0,0,40,80,0,0,74,4,0,0,75,4,0,0,196,0,0,0,235,1,0,0,235,0,0,0,179,0,0,0,57,0,0,0,76,4,0,0,236,1,0,0,197,0,0,0,198,0,0,0,236,0,0,0,237,1,0,0,183,2,0,0,36,0,0,0,238,1,0,0,115,0,0,0,42,0,0,0,184,2,0,0,185,2,0,0,17,3,0,0,43,0,0,0,186,2,0,0,44,0,0,0,187,2,0,0,0,0,0,0,56,80,0,0,77,4,0,0,78,4,0,0,196,0,0,0,239,1,0,0,237,0,0,0,179,0,0,0,57,0,0,0,79,4,0,0,240,1,0,0,197,0,0,0,198,0,0,0,238,0,0,0,241,1,0,0,188,2,0,0,36,0,0,0,242,1,0,0,116,0,0,0,42,0,0,0,189,2,0,0,190,2,0,0,17,3,0,0,43,0,0,0,191,2,0,0,44,0,0,0,192,2,0,0,0,0,0,0,72,80,0,0,80,4,0,0,81,4,0,0,196,0,0,0,243,1,0,0,239,0,0,0,179,0,0,0,57,0,0,0,82,4,0,0,244,1,0,0,197,0,0,0,198,0,0,0,240,0,0,0,245,1,0,0,193,2,0,0,36,0,0,0,246,1,0,0,117,0,0,0,42,0,0,0,194,2,0,0,195,2,0,0,17,3,0,0,43,0,0,0,196,2,0,0,44,0,0,0,197,2,0,0,0,0,0,0,88,80,0,0,83,4,0,0,84,4,0,0,196,0,0,0,247,1,0,0,241,0,0,0,179,0,0,0,57,0,0,0,85,4,0,0,248,1,0,0,197,0,0,0,198,0,0,0,242,0,0,0,249,1,0,0,198,2,0,0,36,0,0,0,250,1,0,0,118,0,0,0,42,0,0,0,199,2,0,0,200,2,0,0,17,3,0,0,43,0,0,0,201,2,0,0,44,0,0,0,202,2,0,0,0,0,0,0,104,80,0,0,86,4,0,0,87,4,0,0,196,0,0,0,251,1,0,0,243,0,0,0,179,0,0,0,57,0,0,0,88,4,0,0,252,1,0,0,197,0,0,0,198,0,0,0,244,0,0,0,253,1,0,0,203,2,0,0,36,0,0,0,254,1,0,0,119,0,0,0,42,0,0,0,204,2,0,0,205,2,0,0,17,3,0,0,43,0,0,0,206,2,0,0,44,0,0,0,207,2,0,0,0,0,0,0,120,80,0,0,89,4,0,0,90,4,0,0,196,0,0,0,255,1,0,0,245,0,0,0,179,0,0,0,57,0,0,0,91,4,0,0,0,2,0,0,197,0,0,0,198,0,0,0,246,0,0,0,1,2,0,0,208,2,0,0,36,0,0,0,2,2,0,0,120,0,0,0,42,0,0,0,209,2,0,0,210,2,0,0,17,3,0,0,43,0,0,0,211,2,0,0,44,0,0,0,212,2,0,0,164,153,13,0,235,193,6,0,42,194,6,0,77,0,0,0,1,0,0,0,0,0,0,0,16,82,0,0,5,0,0,0,92,4,0,0,93,4,0,0,0,0,0,0,240,81,0,0,5,0,0,0,94,4,0,0,95,4,0,0,0,0,0,0,208,81,0,0,5,0,0,0,96,4,0,0,97,4,0,0,0,0,0,0,176,81,0,0,5,0,0,0,98,4,0,0,99,4,0,0,0,0,0,0,144,81,0,0,5,0,0,0,100,4,0,0,101,4,0,0,0,0,0,0,112,81,0,0,5,0,0,0,102,4,0,0,103,4,0,0,0,0,0,0,80,81,0,0,5,0,0,0,104,4,0,0,105,4,0,0,0,0,0,0,48,81,0,0,5,0,0,0,106,4,0,0,107,4,0,0,0,0,0,0,16,81,0,0,5,0,0,0,108,4,0,0,109,4,0,0,0,0,0,0,240,80,0,0,5,0,0,0,110,4,0,0,111,4,0,0,0,0,0,0,208,80,0,0,5,0,0,0,112,4,0,0,113,4,0,0,0,0,0,0,176,80,0,0,5,0,0,0,114,4,0,0,115,4,0,0,0,0,0,0,136,80,0,0,5,0,0,0,116,4,0,0,117,4,0,0,0,0,0,0,152,80,0,0,10,0,0,0,44,0,0,0,0,0,0,0,160,80,0,0,10,0,0,0,44,0,0,0,0,0,0,0,192,80,0,0,10,0,0,0,45,0,0,0,233,201,6,0,95,199,6,0,84,2,0,0,1,0,0,0,138,191,17,0,169,202,6,0,188,202,6,0,233,201,6,0,95,199,6,0,84,2,0,0,1,0,0,0,138,191,17,0,142,202,6,0,160,202,6,0,0,0,0,0,224,80,0,0,10,0,0,0,44,0,0,0,0,0,0,0,0,81,0,0,10,0,0,0,46,0,0,0,0,0,0,0,32,81,0,0,10,0,0,0,47,0,0,0,0,0,0,0,64,81,0,0,10,0,0,0,44,0,0,0,0,0,0,0,96,81,0,0,10,0,0,0,48,0,0,0,0,0,0,0,128,81,0,0,11,0,0,0,44,0,0,0,0,0,0,0,160,81,0,0,10,0,0,0,44,0,0,0,0,0,0,0,192,81,0,0,10,0,0,0,44,0,0,0,0,0,0,0,224,81,0,0,10,0,0,0,44,0,0,0,0,0,0,0,0,82,0,0,10,0,0,0,49,0,0,0,163,210,6,0,95,199,6,0,3,1,0,0,1,0,0,0,138,191,17,0,87,211,6,0,237,7,7,0,163,210,6,0,95,199,6,0,3,1,0,0,1,0,0,0,138,191,17,0,73,211,6,0,242,38,7,0,0,0,0,0,32,82,0,0,10,0,0,0,50,0,0,0,11,212,6,0,95,199,6,0,224,0,0,0,1,0,0,0,138,191,17,0,87,211,6,0,237,7,7,0,11,212,6,0,95,199,6,0,224,0,0,0,1,0,0,0,138,191,17,0,73,211,6,0,242,38,7,0,0,0,0,0,48,82,0,0,5,0,0,0,118,4,0,0,119,4,0,0,0,0,0,0,64,82,0,0,248,2,0,0,120,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,54,0,0,0,41,0,0,0,51,0,0,0,27,0,0,0,28,0,0,0,247,0,0,0,62,0,0,0,63,0,0,0,74,0,0,0,57,0,0,0,30,0,0,0,31,0,0,0,58,0,0,0,250,2,0,0,29,0,0,0,121,0,0,0,184,153,13,0,175,214,6,0,138,213,6,0,146,0,0,0,1,0,0,0,180,153,13,0,65,67,7,0,0,0,0,0,0,0,0,0,80,82,0,0,24,0,0,0,121,4,0,0,213,2,0,0,0,0,0,0,112,82,0,0,5,0,0,0,122,4,0,0,123,4,0,0,0,0,0,0,128,82,0,0,248,2,0,0,124,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,54,0,0,0,41,0,0,0,52,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,55,0,0,0,56,0,0,0,73,0,0,0,57,0,0,0,30,0,0,0,31,0,0,0,58,0,0,0,250,2,0,0,31,0,0,0,13,0,0,0,192,153,13,0,73,216,6,0,213,215,6,0,83,0,0,0,1,0,0,0,188,153,13,0,65,67,7,0,0,0,0,0,0,0,0,0,160,82,0,0,5,0,0,0,125,4,0,0,126,4,0,0,0,0,0,0,176,82,0,0,248,2,0,0,127,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,64,0,0,0,41,0,0,0,53,0,0,0,27,0,0,0,28,0,0,0,248,0,0,0,55,0,0,0,65,0,0,0,73,0,0,0,57,0,0,0,30,0,0,0,31,0,0,0,58,0,0,0,250,2,0,0,32,0,0,0,13,0,0,0,200,153,13,0,158,218,6,0,189,217,6,0,184,0,0,0,1,0,0,0,196,153,13,0,65,67,7,0,0,0,0,0,0,0,0,0,224,82,0,0,128,4,0,0,129,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,66,0,0,0,41,0,0,0,54,0,0,0,27,0,0,0,28,0,0,0,249,0,0,0,67,0,0,0,68],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+122884);allocate([75,0,0,0,57,0,0,0,250,0,0,0,251,0,0,0,58,0,0,0,250,2,0,0,33,0,0,0,122,0,0,0,55,0,0,0,0,0,0,0,208,82,0,0,5,0,0,0,130,4,0,0,131,4,0,0,208,153,13,0,238,223,6,0,222,219,6,0,236,3,0,0,1,0,0,0,204,153,13,0,65,67,7,0,0,0,0,0,0,0,0,0,16,83,0,0,132,4,0,0,133,4,0,0,214,2,0,0,0,0,0,0,200,72,0,0,134,4,0,0,135,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,54,0,0,0,41,0,0,0,42,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,55,0,0,0,56,0,0,0,73,0,0,0,57,0,0,0,30,0,0,0,31,0,0,0,58,0,0,0,250,2,0,0,29,0,0,0,13,0,0,0,0,0,0,0,32,83,0,0,134,4,0,0,136,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,69,0,0,0,41,0,0,0,42,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,55,0,0,0,56,0,0,0,75,0,0,0,57,0,0,0,30,0,0,0,31,0,0,0,58,0,0,0,250,2,0,0,29,0,0,0,13,0,0,0,1,0,0,0,0,0,0,0,64,83,0,0,137,4,0,0,138,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,70,0,0,0,41,0,0,0,56,0,0,0,27,0,0,0,28,0,0,0,252,0,0,0,71,0,0,0,72,0,0,0,75,0,0,0,57,0,0,0,30,0,0,0,31,0,0,0,58,0,0,0,250,2,0,0,34,0,0,0,123,0,0,0,57,0,0,0,0,0,0,0,48,83,0,0,5,0,0,0,139,4,0,0,140,4,0,0,216,153,13,0,90,228,6,0,222,219,6,0,249,5,0,0,1,0,0,0,212,153,13,0,65,67,7,0,0,0,0,0,0,0,0,0,96,83,0,0,24,0,0,0,141,4,0,0,215,2,0,0,0,0,0,0,80,83,0,0,24,0,0,0,142,4,0,0,216,2,0,0,0,0,0,0,112,83,0,0,5,0,0,0,143,4,0,0,144,4,0,0,0,0,0,0,144,83,0,0,145,4,0,0,146,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,73,0,0,0,41,0,0,0,58,0,0,0,27,0,0,0,28,0,0,0,253,0,0,0,55,0,0,0,74,0,0,0,73,0,0,0,57,0,0,0,30,0,0,0,31,0,0,0,58,0,0,0,250,2,0,0,35,0,0,0,13,0,0,0,0,0,0,0,128,83,0,0,147,4,0,0,148,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,54,0,0,0,41,0,0,0,42,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,55,0,0,0,56,0,0,0,73,0,0,0,57,0,0,0,30,0,0,0,31,0,0,0,58,0,0,0,250,2,0,0,29,0,0,0,13,0,0,0,224,153,13,0,180,229,6,0,105,229,6,0,137,0,0,0,1,0,0,0,220,153,13,0,65,67,7,0,0,0,0,0,0,0,0,0,160,83,0,0,5,0,0,0,149,4,0,0,150,4,0,0,0,0,0,0,176,83,0,0,151,4,0,0,152,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,75,0,0,0,41,0,0,0,59,0,0,0,27,0,0,0,28,0,0,0,254,0,0,0,76,0,0,0,56,0,0,0,73,0,0,0,57,0,0,0,30,0,0,0,31,0,0,0,58,0,0,0,250,2,0,0,36,0,0,0,13,0,0,0,232,153,13,0,89,235,6,0,197,233,6,0,99,0,0,0,1,0,0,0,228,153,13,0,65,67,7,0,0,0,0,0,89,235,6,0,197,233,6,0,135,0,0,0,4,0,0,0,138,191,17,0,245,235,6,0,235,235,6,0,89,235,6,0,197,233,6,0,135,0,0,0,4,0,0,0,138,191,17,0,225,235,6,0,235,235,6,0,89,235,6,0,197,233,6,0,136,0,0,0,4,0,0,0,138,191,17,0,217,235,6,0,208,235,6,0,89,235,6,0,197,233,6,0,136,0,0,0,4,0,0,0,138,191,17,0,199,235,6,0,208,235,6,0,0,0,0,0,208,83,0,0,5,0,0,0,153,4,0,0,154,4,0,0,0,0,0,0,224,83,0,0,155,4,0,0,156,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,77,0,0,0,41,0,0,0,60,0,0,0,27,0,0,0,28,0,0,0,255,0,0,0,55,0,0,0,78,0,0,0,73,0,0,0,57,0,0,0,30,0,0,0,31,0,0,0,58,0,0,0,250,2,0,0,37,0,0,0,124,0,0,0,240,153,13,0,133,237,6,0,194,236,6,0,160,0,0,0,1,0,0,0,236,153,13,0,65,67,7,0,0,0,0,0,0,0,0,0,0,84,0,0,5,0,0,0,157,4,0,0,158,4,0,0,0,0,0,0,16,84,0,0,159,4,0,0,160,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,79,0,0,0,41,0,0,0,61,0,0,0,27,0,0,0,28,0,0,0,0,1,0,0,55,0,0,0,80,0,0,0,73,0,0,0,57,0,0,0,30,0,0,0,31,0,0,0,58,0,0,0,250,2,0,0,38,0,0,0,13,0,0,0,248,153,13,0,4,240,6,0,253,238,6,0,84,0,0,0,1,0,0,0,244,153,13,0,65,67,7,0,0,0,0,0,0,0,0,0,64,84,0,0,159,4,0,0,161,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,81,0,0,0,41,0,0,0,61,0,0,0,27,0,0,0,28,0,0,0,1,1,0,0,55,0,0,0,82,0,0,0,73,0,0,0,57,0,0,0,30,0,0,0,31,0,0,0,58,0,0,0,250,2,0,0,39,0,0,0,13,0,0,0,0,0,0,0,48,84,0,0,5,0,0,0,162,4,0,0,163,4,0,0,0,0,0,0,80,84,0,0,5,0,0,0,164,4,0,0,165,4,0,0,0,0,0,0,96,84,0,0,166,4,0,0,167,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,83,0,0,0,41,0,0,0,62,0,0,0,27,0,0,0,28,0,0,0,2,1,0,0,55,0,0,0,84,0,0,0,73,0,0,0,57,0,0,0,30,0,0,0,31,0,0,0,58,0,0,0,250,2,0,0,40,0,0,0,13,0,0,0,0,154,13,0,138,244,6,0,201,241,6,0,48,1,0,0,1,0,0,0,252,153,13,0,65,67,7,0,0,0,0,0,0,0,0,0,112,84,0,0,24,0,0,0,168,4,0,0,217,2,0,0,0,0,0,0,144,84,0,0,5,0,0,0,169,4,0,0,170,4,0,0,0,0,0,0,160,84,0,0,248,2,0,0,171,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,54,0,0,0,41,0,0,0,63,0,0,0,27,0,0,0,28,0,0,0,3,1,0,0,85,0,0,0,56,0,0,0,73,0,0,0,57,0,0,0,30,0,0,0,31,0,0,0,58,0,0,0,250,2,0,0,41,0,0,0,13,0,0,0,8,154,13,0,46,247,6,0,227,245,6,0,62,0,0,0,1,0,0,0,4,154,13,0,65,67,7,0,0,0,0,0,0,0,0,0,192,84,0,0,5,0,0,0,172,4,0,0,173,4,0,0,0,0,0,0,208,84,0,0,174,4,0,0,175,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,54,0,0,0,41,0,0,0,64,0,0,0,27,0,0,0,28,0,0,0,4,1,0,0,86,0,0,0,87,0,0,0,73,0,0,0,88,0,0,0,30,0,0,0,5,1,0,0,89,0,0,0,250,2,0,0,42,0,0,0,125,0,0,0,53,0,0,0,68,250,6,0,101,248,6,0,51,0,0,0,1,0,0,0,138,191,17,0,170,250,6,0,242,38,7,0,16,154,13,0,26,251,6,0,101,248,6,0,230,0,0,0,1,0,0,0,12,154,13,0,65,67,7,0,0,0,0,0,0,0,0,0,0,85,0,0,5,0,0,0,176,4,0,0,177,4,0,0,0,0,0,0,16,85,0,0,178,4,0,0,179,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,90,0,0,0,41,0,0,0,65,0,0,0,6,1,0,0,7,1,0,0,29,0,0,0,55,0,0,0,56,0,0,0,73,0,0,0,57,0,0,0,30,0,0,0,31,0,0,0,58,0,0,0,250,2,0,0,43,0,0,0,13,0,0,0,66,0,0,0,218,2,0,0,219,2,0,0,220,2,0,0,24,154,13,0,135,255,6,0,121,252,6,0,3,1,0,0,1,0,0,0,20,154,13,0,65,67,7,0,0,0,0,0,0,0,0,0,32,85,0,0,5,0,0,0,180,4,0,0,181,4,0,0,0,0,0,0,48,85,0,0,182,4,0,0,183,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,54,0,0,0,41,0,0,0,67,0,0,0,27,0,0,0,28,0,0,0,8,1,0,0,91,0,0,0,92,0,0,0,73,0,0,0,57,0,0,0,9,1,0,0,31,0,0,0,58,0,0,0,250,2,0,0,44,0,0,0,126,0,0,0,32,154,13,0,222,3,7,0,47,1,7,0,133,1,0,0,1,0,0,0,28,154,13,0,65,67,7,0,0,0,0,0,0,0,0,0,64,85,0,0,24,0,0,0,184,4,0,0,221,2,0,0,0,0,0,0,96,85,0,0,5,0,0,0,185,4,0,0,186,4,0,0,0,0,0,0,112,85,0,0,187,4,0,0,188,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,93,0,0,0,41,0,0,0,68,0,0,0,27,0,0,0,28,0,0,0,10,1,0,0,55,0,0,0,94,0,0,0,73,0,0,0,57,0,0,0,30,0,0,0,31,0,0,0,58,0,0,0,250,2,0,0,45,0,0,0,127,0,0,0,40,154,13,0,3,7,7,0,34,5,7,0,146,1,0,0,1,0,0,0,36,154,13,0,65,67,7,0,0,0,0,0,114,7,7,0,34,5,7,0,49,1,0,0,6,0,0,0,138,191,17,0,113,12,7,0,237,7,7,0,114,7,7,0,34,5,7,0,50,1,0,0,1,0,0,0,138,191,17,0,222,7,7,0,220,7,7,0,114,7,7,0,34,5,7,0,50,1,0,0,1,0,0,0,138,191,17,0,205,7,7,0,220,7,7,0,0,0,0,0,144,85,0,0,5,0,0,0,189,4,0,0,190,4,0,0,0,0,0,0,176,85,0,0,191,4,0,0,192,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,95,0,0,0,41,0,0,0,69,0,0,0,27,0,0,0,28,0,0,0,11,1,0,0,55,0,0,0,96,0,0,0,73,0,0,0,57,0,0,0,30,0,0,0,31,0,0,0,58,0,0,0,250,2,0,0,46,0,0,0,13,0,0,0,0,0,0,0,160,85,0,0,191,4,0,0,193,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,54,0,0,0,41,0,0,0,42,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,55,0,0,0,56,0,0,0,73,0,0,0,57,0,0,0,30,0,0,0,31,0,0,0,58,0,0,0,250,2,0,0,29,0,0,0,13,0,0,0,48,154,13,0,225,10,7,0,250,8,7,0,239,0,0,0,1,0,0,0,44,154,13,0,65,67,7,0,0,0,0,0,0,0,0,0,192,85,0,0,5,0,0,0,194,4,0,0,195,4,0,0,0,0,0,0,208,85,0,0,196,4,0,0,197,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,54,0,0,0,41,0,0,0,70,0,0,0,27,0,0,0,28,0,0,0,12,1,0,0,97,0,0,0,98,0,0,0,73,0,0,0,57,0,0,0,13,1,0,0,31,0,0,0,58,0,0,0,250,2,0,0,47,0,0,0,128,0,0,0,56,154,13,0,27,15,7,0,29,12,7,0,98,1,0,0,1,0,0,0,52,154,13,0,65,67,7,0,0,0,0,0,12,14,7,0,29,12,7,0,142,0,0,0,0,0,0,0,138,191,17,0,244,14,7,0,253,14,7,0,12,14,7,0,29,12,7,0,142,0,0,0,1,0,0,0,138,191,17,0,233,14,7,0,242,38,7,0,0,0,0,0,224,85,0,0,24,0,0,0,198,4,0,0,222,2,0,0,0,0,0,0,240,85,0,0,5,0,0,0,199,4,0,0,200,4,0,0,0,0,0,0,0,86,0,0,201,4,0,0,202,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,99,0,0,0,41,0,0,0,71,0,0,0,27,0,0,0,28,0,0,0,14,1,0,0,55,0,0,0,100,0,0,0,73,0,0,0,57,0,0,0,30,0,0,0,31,0,0,0,58,0,0,0,250,2,0,0,48,0,0,0,13,0,0,0,64,154,13,0,125,17,7,0,82,16,7,0,250,0,0,0,1,0,0,0,60,154,13,0,65,67,7,0,0,0,0,0,0,0,0,0,32,86,0,0,5,0,0,0,203,4,0,0,204,4,0,0,0,0,0,0,64,86,0,0,205,4,0,0,206,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,54,0,0,0,41,0,0,0,72,0,0,0,27,0,0,0,28,0,0,0,15,1,0,0,55,0,0,0,101,0,0,0,73,0,0,0,57,0,0,0,30,0,0,0,31,0,0,0,58,0,0,0,250,2,0,0,49,0,0,0,13,0,0,0,0,0,0,0,48,86,0,0,205,4,0,0,207,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,54,0,0,0,41,0,0,0,42,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,55,0,0,0,56,0,0,0,73,0,0,0,57,0,0,0,30,0,0,0,31,0,0,0,58,0,0,0,250,2,0,0,29,0,0,0,13,0,0,0,72,154,13,0,38,21,7,0,190,18,7,0,233,0,0,0,1,0,0,0,68,154,13,0,65,67,7,0,0,0,0,0,0,0,0,0,80,86,0,0,5,0,0,0,208,4,0,0,209,4,0,0,0,0,0,0,96,86,0,0,248,2,0,0,210,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,54,0,0,0,41,0,0,0,73,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,55,0,0,0,56,0,0,0,73,0,0,0,57,0,0,0,30,0,0,0,31,0,0,0,58,0,0,0,250,2,0,0,50,0,0,0,129,0,0,0,80,154,13,0,207,23,7,0,33,22,7,0,196,0,0,0,1,0,0,0,76,154,13,0,65,67,7,0,0,0,0,0,0,0,0,0,128,86,0,0,5,0,0,0,211,4,0,0,212,4,0,0,0,0,0,0,144,86,0,0,248,2,0,0,213,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,54,0,0,0,41,0,0,0,74,0,0,0,27,0,0,0,28,0,0,0,16,1,0,0,102,0,0,0,103,0,0,0,73,0,0,0,57,0,0,0,30,0,0,0,31,0,0,0,58,0,0,0,250,2,0,0,51,0,0,0,130,0,0,0,88,154,13,0,229,25,7,0,110,25,7,0,187,0,0,0,1,0,0,0,84,154,13,0,65,67,7,0,0,0,0,0,0,0,0,0,176,86,0,0,5,0,0,0,214,4,0,0,215,4,0,0,0,0,0,0,192,86,0,0,216,4,0,0,217,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,54,0,0,0,41,0,0,0,75,0,0,0,27,0,0,0,28,0,0,0,17,1,0,0,55,0,0,0,104,0,0,0,73,0,0,0,57,0,0,0,30,0,0,0,31,0,0,0,58,0,0,0,250,2,0,0,52,0,0,0,13,0,0,0,108,154,13,0,206,31,7,0,230,27,7,0,157,1,0,0,1,0,0,0,104,154,13,0,65,67,7,0,0,0,0,0,0,0,0,0,224,86,0,0,5,0,0,0,218,4,0,0,219,4,0,0,0,0,0,0,240,86,0,0,220,4,0,0,221,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,105,0,0,0,41,0,0,0,76,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,55,0,0,0,56,0,0,0,73,0,0,0,57,0,0,0,30,0,0,0,31,0,0,0,58,0,0,0,250,2,0,0,53,0,0,0,13,0,0,0,116,154,13,0,147,33,7,0,35,33,7,0,92,0,0,0,1,0,0,0,112,154,13,0,65,67,7,0,0,0,0,0,0,0,0,0,32,87,0,0,248,2,0,0,222,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,54,0,0,0,41,0,0,0,77,0,0,0,27,0,0,0,28,0,0,0,18,1,0,0,55,0,0,0,106,0,0,0,73,0,0,0,57,0,0,0,30,0,0,0,31,0,0,0,58,0,0,0,250,2,0,0,54,0,0,0,13,0,0,0,0,0,0,0,16,87,0,0,5,0,0,0,223,4,0,0,224,4,0,0,124,154,13,0,44,35,7,0,140,34,7,0,95,0,0,0,1,0,0,0,120,154,13,0,65,67,7,0,0,0,0,0,0,0,0,0,64,87,0,0,5,0,0,0,225,4,0,0,226,4,0,0,0,0,0,0,80,87,0,0,227,4,0,0,228,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,107,0,0,0,41,0,0,0,78,0,0,0,27,0,0,0,28,0,0,0,19,1,0,0,55,0,0,0,108,0,0,0,73,0,0,0,57,0,0,0,20,1,0,0,31,0,0,0,58,0,0,0,250,2,0,0,29,0,0,0,131,0,0,0,132,154,13,0,83,36,7,0,189,36,7,0,14,1,0,0,1,0,0,0,128,154,13,0,65,67,7,0,0,0,0,0,0,0,0,0,112,87,0,0,5,0,0,0,229,4,0,0,230,4,0,0,0,0,0,0,128,87,0,0,248,2,0,0,231,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,109,0,0,0,41,0,0,0,79,0,0,0,27,0,0,0,28,0,0,0,21,1,0,0,110,0,0,0,111,0,0,0,73,0,0,0,112,0,0,0,30,0,0,0,31,0,0,0,113,0,0,0,250,2,0,0,55,0,0,0,132,0,0,0,140,154,13,0,119,38,7,0,162,37,7,0,59,0,0,0,1,0,0,0,136,154,13,0,65,67,7,0,0,0,0,0,119,38,7,0,162,37,7,0,86,0,0,0,1,0,0,0,10,39,7,0,42,39,7,0,58,39,7,0,119,38,7,0,162,37,7,0,96,0,0,0,1,0,0,0,138,191,17,0,251,38,7,0,242,38,7,0,119,38,7,0,162,37,7,0,96,0,0,0,1,0,0,0,138,191,17,0,227,38,7,0,242,38,7,0,0,0,0,0,176,87,0,0,248,2,0,0,232,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,54,0,0,0,41,0,0,0,80,0,0,0,27,0,0,0,28,0,0,0,22,1,0,0,114,0,0,0,115,0,0,0,73,0,0,0,116,0,0,0,30,0,0,0,23,1,0,0,117,0,0,0,250,2,0,0,56,0,0,0,133,0,0,0,54,0,0,0,0,0,0,0,160,87,0,0,5,0,0,0,233,4,0,0,234,4,0,0,144,154,13,0,92,41,7,0,211,40,7,0,185,0,0,0,1,0,0,0,0,0,0,0,192,87,0,0,24,0,0,0,235,4,0,0,223,2,0,0,0,0,0,0,224,87,0,0,248,2,0,0,236,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,54,0,0,0,41,0,0,0,81,0,0,0,27,0,0,0,28,0,0,0,24,1,0,0,118,0,0,0,119,0,0,0,73,0,0,0,120,0,0,0,30,0,0,0,25,1,0,0,121,0,0,0,250,2,0,0,57,0,0,0,134,0,0,0,55,0,0,0,0,0,0,0,208,87,0,0,5,0,0,0,237,4,0,0,238,4,0,0,148,154,13,0,0,43,7,0,211,40,7,0,185,0,0,0,1,0,0,0,0,0,0,0,240,87,0,0,24,0,0,0,239,4,0,0,224,2,0,0,0,0,0,0,32,88,0,0,248,2,0,0,240,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,54,0,0,0,41,0,0,0,82,0,0,0,27,0,0,0,28,0,0,0,26,1,0,0,122,0,0,0,123,0,0,0,73,0,0,0,124,0,0,0,30,0,0,0,27,1,0,0,125,0,0,0,250,2,0,0,58,0,0,0,135,0,0,0,56,0,0,0,0,0,0,0,16,88,0,0,5,0,0,0,241,4,0,0,242,4,0,0,152,154,13,0,157,44,7,0,211,40,7,0,185,0,0,0,1,0,0,0,0,0,0,0,48,88,0,0,24,0,0,0,243,4,0,0,225,2,0,0,0,0,0,0,96,88,0,0,248,2,0,0,244,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,54,0,0,0,41,0,0,0,83,0,0,0,27,0,0,0,28,0,0,0,28,1,0,0,126,0,0,0,127,0,0,0,73,0,0,0,128,0,0,0,30,0,0,0,29,1,0,0,129,0,0,0,250,2,0,0,59,0,0,0,136,0,0,0,57,0,0,0,0,0,0,0,80,88,0,0,5,0,0,0,245,4,0,0,246,4,0,0,156,154,13,0,59,46,7,0,211,40,7,0,185,0,0,0,1,0,0,0,0,0,0,0,112,88,0,0,24,0,0,0,247,4,0,0,226,2,0,0,0,0,0,0,160,88,0,0,248,2,0,0,248,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,54,0,0,0,41,0,0,0,84,0,0,0,27,0,0,0,28,0,0,0,30,1,0,0,130,0,0,0,131,0,0,0,73,0,0,0,132,0,0,0,30,0,0,0,31,1,0,0,133,0,0,0,250,2,0,0,60,0,0,0,137,0,0,0,58,0,0,0,0,0,0,0,144,88,0,0,5,0,0,0,249,4,0,0,250,4,0,0,160,154,13,0,222,47,7,0,211,40,7,0,185,0,0,0,1,0,0,0,0,0,0,0,176,88,0,0,24,0,0,0,251,4,0,0,227,2,0,0,0,0,0,0,224,88,0,0,248,2,0,0,252,4,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,54,0,0,0,41,0,0,0,85,0,0,0,27,0,0,0,28,0,0,0,32,1,0,0,134,0,0,0,135,0,0,0,73,0,0,0,136,0,0,0,30,0,0,0,33,1,0,0,137,0,0,0,250,2,0,0,61,0,0,0,138,0,0,0,59,0,0,0,0,0,0,0,208,88,0,0,5,0,0,0,253,4,0,0,254,4,0,0,164,154,13,0,118,49,7,0,211,40,7,0,185,0,0,0,1,0,0,0,0,0,0,0,240,88,0,0,24,0,0,0,255,4,0,0,228,2,0,0,0,0,0,0,32,89,0,0,248,2,0,0,0,5,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,54,0,0,0,41,0,0,0,86,0,0,0,27,0,0,0,28,0,0,0,34,1,0,0,138,0,0,0,139,0,0,0,73,0,0,0,140,0,0,0,30,0,0,0,35,1,0,0,141,0,0,0,250,2,0,0,62,0,0,0,139,0,0,0,60,0,0,0,0,0,0,0,16,89,0,0,5,0,0,0,1,5,0,0,2,5,0,0,168,154,13,0,19,51,7,0,211,40,7,0,185,0,0,0,1,0,0,0,0,0,0,0,48,89,0,0,24,0,0,0,3,5,0,0,229,2,0,0,0,0,0,0,96,89,0,0,248,2,0,0,4,5,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,54,0,0,0,41,0,0,0,87,0,0,0,27,0,0,0,28,0,0,0,36,1,0,0,142,0,0,0,143,0,0,0,73,0,0,0,144,0,0,0,30,0,0,0,37,1,0,0,145,0,0,0,250,2,0,0,63,0,0,0,140,0,0,0,61,0,0,0,0,0,0,0,80,89,0,0,5,0,0,0,5,5,0,0,6,5,0,0,172,154,13,0,191,52,7,0,211,40,7,0,185,0,0,0,1,0,0,0,0,0,0,0,112,89,0,0,24,0,0,0,7,5,0,0,230,2,0,0,0,0,0,0,144,89,0,0,5,0,0,0,8,5,0,0,9,5,0,0,0,0,0,0,160,89,0,0,10,5,0,0,11,5,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,54,0,0,0,41,0,0,0,88,0,0,0,27,0,0,0,28,0,0,0,38,1,0,0,146,0,0,0,147,0,0,0,73,0,0,0,148,0,0,0,30,0,0,0,39,1,0,0,149,0,0,0,250,2,0,0,64,0,0,0,141,0,0,0,62,0,0,0,176,154,13,0,246,54,7,0,211,40,7,0,185,0,0,0,1,0,0,0,0,0,0,0,176,89,0,0,24,0,0,0,12,5,0,0,231,2,0,0,0,0,0,0,192,89,0,0,5,0,0,0,13,5,0,0,14,5,0,0,0,0,0,0,208,89,0,0,248,2,0,0,15,5,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,54,0,0,0,41,0,0,0,89,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,55,0,0,0,56,0,0,0,73,0,0,0,57,0,0,0,30,0,0,0,31,0,0,0,58,0,0,0,250,2,0,0,65,0,0,0,13,0,0,0,184,154,13,0,24,57,7,0,106,56,7,0,40,0,0,0,1,0,0,0,180,154,13,0,65,67,7,0,0,0,0,0,0,0,0,0,240,89,0,0,5,0,0,0,16,5,0,0,17,5,0,0,0,0,0,0,0,90,0,0,248,2,0,0,18,5,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,54,0,0,0,41,0,0,0,90,0,0,0,27,0,0,0,28,0,0,0,40,1,0,0,150,0,0,0,151,0,0,0,73,0,0,0,57,0,0,0,30,0,0,0,31,0,0,0,58,0,0,0,250,2,0,0,66,0,0,0,13,0,0,0,192,154,13,0,36,60,7,0,59,58,7,0,237,0,0,0,1,0,0,0,188,154,13,0,65,67,7,0,0,0,0,0,0,0,0,0,16,90,0,0,19,5,0,0,20,5,0,0,232,2,0,0,0,0,0,0,32,90,0,0,5,0,0,0,21,5,0,0,22,5,0,0,0,0,0,0,48,90,0,0,248,2,0,0,23,5,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,54,0,0,0,41,0,0,0,91,0,0,0,27,0,0,0,28,0,0,0,41,1,0,0,55,0,0,0,152,0,0,0,73,0,0,0,57,0,0,0,30,0,0,0,31,0,0,0,58,0,0,0,250,2,0,0,67,0,0,0,13,0,0,0,200,154,13,0,204,61,7,0,14,61,7,0,134,0,0,0,1,0,0,0,196,154,13,0,65,67,7,0,0,0,0,0,0,0,0,0,80,90,0,0,5,0,0,0,24,5,0,0,25,5,0,0,0,0,0,0,96,90,0,0,26,5,0,0,27,5,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,153,0,0,0,41,0,0,0,92,0,0,0,27,0,0,0,28,0,0,0,42,1,0,0,154,0,0,0,155,0,0,0,76,0,0,0,57,0,0,0,30,0,0,0,31,0,0,0,58,0,0,0,250,2,0,0,68,0,0,0,142,0,0,0,156,0,0,0,157,0,0,0,0,0,0,0,152,72,0,0,26,5,0,0,28,5,0,0,95,0,0,0,14,0,0,0,15,0,0,0,12,0,0,0,16,0,0,0,17,0,0,0,53,0,0,0,54,0,0,0,41,0,0,0,42,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,55,0,0,0,56,0,0,0,73,0,0,0,57,0,0,0,30,0,0,0,31,0,0,0,58,0,0,0,250,2,0,0,29,0,0,0,13,0,0,0,208,154,13,0,70,67,7,0,29,63,7,0,211,0,0,0,1,0,0,0,204,154,13,0,65,67,7,0,0,0,0,0,0,0,0,0,112,90,0,0,29,5,0,0,30,5,0,0,233,2,0,0,3,2,0,0,143,0,0,0,144,0,0,0,145,0,0,0,146,0,0,0,147,0,0,0,148,0,0,0,149,0,0,0,150,0,0,0,234,2,0,0,31,5,0,0,4,2,0,0,32,5,0,0,33,5,0,0,255,255,255,255,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,8,0,0,0,255,255,255,255,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,8,0,0,0,24,0,0,0,0,0,0,0,128,90,0,0,34,5,0,0,35,5,0,0,196,0,0,0,5,2,0,0,43,1,0,0,6,2,0,0,7,2,0,0,36,5,0,0,8,2,0,0,197,0,0,0,198,0,0,0,44,1,0,0,9,2,0,0,235,2,0,0,36,0,0,0,10,2,0,0,151,0,0,0,42,0,0,0,236,2,0,0,237,2,0,0,17,3,0,0,43,0,0,0,238,2,0,0,44,0,0,0,239,2,0,0,0,0,0,0,255,255,255,255,32,0,0,0,7,0,0,0,255,255,255,255,32,0,0,0,248,41,8,0,24,42,8,0,0,0,0,0,144,90,0,0,37,5,0,0,38,5,0,0,196,0,0,0,11,2,0,0,45,1,0,0,12,2,0,0,13,2,0,0,39,5,0,0,14,2,0,0,197,0,0,0,198,0,0,0,46,1,0,0,15,2,0,0,240,2,0,0,36,0,0,0,16,2,0,0,152,0,0,0,42,0,0,0,241,2,0,0,242,2,0,0,17,3,0,0,43,0,0,0,243,2,0,0,44,0,0,0,244,2,0,0,250,77,7,0,10,78,7,0,138,191,17,0,21,78,7,0,32,78,7,0,45,78,7,0,56,78,7,0,76,78,7,0,89,78,7,0,138,191,17,0,0,0,0,0,150,48,7,119,44,97,14,238,186,81,9,153,25,196,109,7,143,244,106,112,53,165,99,233,163,149,100,158,50,136,219,14,164,184,220,121,30,233,213,224,136,217,210,151,43,76,182,9,189,124,177,126,7,45,184,231,145,29,191,144,100,16,183,29,242,32,176,106,72,113,185,243,222,65,190,132,125,212,218,26,235,228,221,109,81,181,212,244,199,133,211,131,86,152,108,19,192,168,107,100,122,249,98,253,236,201,101,138,79,92,1,20,217,108,6,99,99,61,15,250,245,13,8,141,200,32,110,59,94,16,105,76,228,65,96,213,114,113,103,162,209,228,3,60,71,212,4,75,253,133,13,210,107,181,10,165,250,168,181,53,108,152,178,66,214,201,187,219,64,249,188,172,227,108,216,50,117,92,223,69,207,13,214,220,89,61,209,171,172,48,217,38,58,0,222,81,128,81,215,200,22,97,208,191,181,244,180,33,35,196,179,86,153,149,186,207,15,165,189,184,158,184,2,40,8,136,5,95,178,217,12,198,36,233,11,177,135,124,111,47,17,76,104,88,171,29,97,193,61,45,102,182,144,65,220,118,6,113,219,1,188,32,210,152,42,16,213,239,137,133,177,113,31,181,182,6,165,228,191,159,51,212,184,232,162,201,7,120,52,249,0,15,142,168,9,150,24,152,14,225,187,13,106,127,45,61,109,8,151,108,100,145,1,92,99,230,244,81,107,107,98,97,108,28,216,48,101,133,78,0,98,242,237,149,6,108,123,165,1,27,193,244,8,130,87,196,15,245,198,217,176,101,80,233,183,18,234,184,190,139,124,136,185,252,223,29,221,98,73,45,218,21,243,124,211,140,101,76,212,251,88,97,178,77,206,81,181,58,116,0,188,163,226,48,187,212,65,165,223,74,215,149,216,61,109,196,209,164,251,244,214,211,106,233,105,67,252,217,110,52,70,136,103,173,208,184,96,218,115,45,4,68,229,29,3,51,95,76,10,170,201,124,13,221,60,113,5,80,170,65,2,39,16,16,11,190,134,32,12,201,37,181,104,87,179,133,111,32,9,212,102,185,159,228,97,206,14,249,222,94,152,201,217,41,34,152,208,176,180,168,215,199,23,61,179,89,129,13,180,46,59,92,189,183,173,108,186,192,32,131,184,237,182,179,191,154,12,226,182,3,154,210,177,116,57,71,213,234,175,119,210,157,21,38,219,4,131,22,220,115,18,11,99,227,132,59,100,148,62,106,109,13,168,90,106,122,11,207,14,228,157,255,9,147,39,174,0,10,177,158,7,125,68,147,15,240,210,163,8,135,104,242,1,30,254,194,6,105,93,87,98,247,203,103,101,128,113,54,108,25,231,6,107,110,118,27,212,254,224,43,211,137,90,122,218,16,204,74,221,103,111,223,185,249,249,239,190,142,67,190,183,23,213,142,176,96,232,163,214,214,126,147,209,161,196,194,216,56,82,242,223,79,241,103,187,209,103,87,188,166,221,6,181,63,75,54,178,72,218,43,13,216,76,27,10,175,246,74,3,54,96,122,4,65,195,239,96,223,85,223,103,168,239,142,110,49,121,190,105,70,140,179,97,203,26,131,102,188,160,210,111,37,54,226,104,82,149,119,12,204,3,71,11,187,185,22,2,34,47,38,5,85,190,59,186,197,40,11,189,178,146,90,180,43,4,106,179,92,167,255,215,194,49,207,208,181,139,158,217,44,29,174,222,91,176,194,100,155,38,242,99,236,156,163,106,117,10,147,109,2,169,6,9,156,63,54,14,235,133,103,7,114,19,87,0,5,130,74,191,149,20,122,184,226,174,43,177,123,56,27,182,12,155,142,210,146,13,190,213,229,183,239,220,124,33,223,219,11,212,210,211,134,66,226,212,241,248,179,221,104,110,131,218,31,205,22,190,129,91,38,185,246,225,119,176,111,119,71,183,24,230,90,8,136,112,106,15,255,202,59,6,102,92,11,1,17,255,158,101,143,105,174,98,248,211,255,107,97,69,207,108,22,120,226,10,160,238,210,13,215,84,131,4,78,194,179,3,57,97,38,103,167,247,22,96,208,77,71,105,73,219,119,110,62,74,106,209,174,220,90,214,217,102,11,223,64,240,59,216,55,83,174,188,169,197,158,187,222,127,207,178,71,233,255,181,48,28,242,189,189,138,194,186,202,48,147,179,83,166,163,180,36,5,54,208,186,147,6,215,205,41,87,222,84,191,103,217,35,46,122,102,179,184,74,97,196,2,27,104,93,148,43,111,42,55,190,11,180,161,142,12,195,27,223,5,90,141,239,2,45,0,0,0,0,65,49,27,25,130,98,54,50,195,83,45,43,4,197,108,100,69,244,119,125,134,167,90,86,199,150,65,79,8,138,217,200,73,187,194,209,138,232,239,250,203,217,244,227,12,79,181,172,77,126,174,181,142,45,131,158,207,28,152,135,81,18,194,74,16,35,217,83,211,112,244,120,146,65,239,97,85,215,174,46,20,230,181,55,215,181,152,28,150,132,131,5,89,152,27,130,24,169,0,155,219,250,45,176,154,203,54,169,93,93,119,230,28,108,108,255,223,63,65,212,158,14,90,205,162,36,132,149,227,21,159,140,32,70,178,167,97,119,169,190,166,225,232,241,231,208,243,232,36,131,222,195,101,178,197,218,170,174,93,93,235,159,70,68,40,204,107,111,105,253,112,118,174,107,49,57,239,90,42,32,44,9,7,11,109,56,28,18,243,54,70,223,178,7,93,198,113,84,112,237,48,101,107,244,247,243,42,187,182,194,49,162,117,145,28,137,52,160,7,144,251,188,159,23,186,141,132,14,121,222,169,37,56,239,178,60,255,121,243,115,190,72,232,106,125,27,197,65,60,42,222,88,5,79,121,240,68,126,98,233,135,45,79,194,198,28,84,219,1,138,21,148,64,187,14,141,131,232,35,166,194,217,56,191,13,197,160,56,76,244,187,33,143,167,150,10,206,150,141,19,9,0,204,92,72,49,215,69,139,98,250,110,202,83,225,119,84,93,187,186,21,108,160,163,214,63,141,136,151,14,150,145,80,152,215,222,17,169,204,199,210,250,225,236,147,203,250,245,92,215,98,114,29,230,121,107,222,181,84,64,159,132,79,89,88,18,14,22,25,35,21,15,218,112,56,36,155,65,35,61,167,107,253,101,230,90,230,124,37,9,203,87,100,56,208,78,163,174,145,1,226,159,138,24,33,204,167,51,96,253,188,42,175,225,36,173,238,208,63,180,45,131,18,159,108,178,9,134,171,36,72,201,234,21,83,208,41,70,126,251,104,119,101,226,246,121,63,47,183,72,36,54,116,27,9,29,53,42,18,4,242,188,83,75,179,141,72,82,112,222,101,121,49,239,126,96,254,243,230,231,191,194,253,254,124,145,208,213,61,160,203,204,250,54,138,131,187,7,145,154,120,84,188,177,57,101,167,168,75,152,131,59,10,169,152,34,201,250,181,9,136,203,174,16,79,93,239,95,14,108,244,70,205,63,217,109,140,14,194,116,67,18,90,243,2,35,65,234,193,112,108,193,128,65,119,216,71,215,54,151,6,230,45,142,197,181,0,165,132,132,27,188,26,138,65,113,91,187,90,104,152,232,119,67,217,217,108,90,30,79,45,21,95,126,54,12,156,45,27,39,221,28,0,62,18,0,152,185,83,49,131,160,144,98,174,139,209,83,181,146,22,197,244,221,87,244,239,196,148,167,194,239,213,150,217,246,233,188,7,174,168,141,28,183,107,222,49,156,42,239,42,133,237,121,107,202,172,72,112,211,111,27,93,248,46,42,70,225,225,54,222,102,160,7,197,127,99,84,232,84,34,101,243,77,229,243,178,2,164,194,169,27,103,145,132,48,38,160,159,41,184,174,197,228,249,159,222,253,58,204,243,214,123,253,232,207,188,107,169,128,253,90,178,153,62,9,159,178,127,56,132,171,176,36,28,44,241,21,7,53,50,70,42,30,115,119,49,7,180,225,112,72,245,208,107,81,54,131,70,122,119,178,93,99,78,215,250,203,15,230,225,210,204,181,204,249,141,132,215,224,74,18,150,175,11,35,141,182,200,112,160,157,137,65,187,132,70,93,35,3,7,108,56,26,196,63,21,49,133,14,14,40,66,152,79,103,3,169,84,126,192,250,121,85,129,203,98,76,31,197,56,129,94,244,35,152,157,167,14,179,220,150,21,170,27,0,84,229,90,49,79,252,153,98,98,215,216,83,121,206,23,79,225,73,86,126,250,80,149,45,215,123,212,28,204,98,19,138,141,45,82,187,150,52,145,232,187,31,208,217,160,6,236,243,126,94,173,194,101,71,110,145,72,108,47,160,83,117,232,54,18,58,169,7,9,35,106,84,36,8,43,101,63,17,228,121,167,150,165,72,188,143,102,27,145,164,39,42,138,189,224,188,203,242,161,141,208,235,98,222,253,192,35,239,230,217,189,225,188,20,252,208,167,13,63,131,138,38,126,178,145,63,185,36,208,112,248,21,203,105,59,70,230,66,122,119,253,91,181,107,101,220,244,90,126,197,55,9,83,238,118,56,72,247,177,174,9,184,240,159,18,161,51,204,63,138,114,253,36,147,0,0,0,0,55,106,194,1,110,212,132,3,89,190,70,2,220,168,9,7,235,194,203,6,178,124,141,4,133,22,79,5,184,81,19,14,143,59,209,15,214,133,151,13,225,239,85,12,100,249,26,9,83,147,216,8,10,45,158,10,61,71,92,11,112,163,38,28,71,201,228,29,30,119,162,31,41,29,96,30,172,11,47,27,155,97,237,26,194,223,171,24,245,181,105,25,200,242,53,18,255,152,247,19,166,38,177,17,145,76,115,16,20,90,60,21,35,48,254,20,122,142,184,22,77,228,122,23,224,70,77,56,215,44,143,57,142,146,201,59,185,248,11,58,60,238,68,63,11,132,134,62,82,58,192,60,101,80,2,61,88,23,94,54,111,125,156,55,54,195,218,53,1,169,24,52,132,191,87,49,179,213,149,48,234,107,211,50,221,1,17,51,144,229,107,36,167,143,169,37,254,49,239,39,201,91,45,38,76,77,98,35,123,39,160,34,34,153,230,32,21,243,36,33,40,180,120,42,31,222,186,43,70,96,252,41,113,10,62,40,244,28,113,45,195,118,179,44,154,200,245,46,173,162,55,47,192,141,154,112,247,231,88,113,174,89,30,115,153,51,220,114,28,37,147,119,43,79,81,118,114,241,23,116,69,155,213,117,120,220,137,126,79,182,75,127,22,8,13,125,33,98,207,124,164,116,128,121,147,30,66,120,202,160,4,122,253,202,198,123,176,46,188,108,135,68,126,109,222,250,56,111,233,144,250,110,108,134,181,107,91,236,119,106,2,82,49,104,53,56,243,105,8,127,175,98,63,21,109,99,102,171,43,97,81,193,233,96,212,215,166,101,227,189,100,100,186,3,34,102,141,105,224,103,32,203,215,72,23,161,21,73,78,31,83,75,121,117,145,74,252,99,222,79,203,9,28,78,146,183,90,76,165,221,152,77,152,154,196,70,175,240,6,71,246,78,64,69,193,36,130,68,68,50,205,65,115,88,15,64,42,230,73,66,29,140,139,67,80,104,241,84,103,2,51,85,62,188,117,87,9,214,183,86,140,192,248,83,187,170,58,82,226,20,124,80,213,126,190,81,232,57,226,90,223,83,32,91,134,237,102,89,177,135,164,88,52,145,235,93,3,251,41,92,90,69,111,94,109,47,173,95,128,27,53,225,183,113,247,224,238,207,177,226,217,165,115,227,92,179,60,230,107,217,254,231,50,103,184,229,5,13,122,228,56,74,38,239,15,32,228,238,86,158,162,236,97,244,96,237,228,226,47,232,211,136,237,233,138,54,171,235,189,92,105,234,240,184,19,253,199,210,209,252,158,108,151,254,169,6,85,255,44,16,26,250,27,122,216,251,66,196,158,249,117,174,92,248,72,233,0,243,127,131,194,242,38,61,132,240,17,87,70,241,148,65,9,244,163,43,203,245,250,149,141,247,205,255,79,246,96,93,120,217,87,55,186,216,14,137,252,218,57,227,62,219,188,245,113,222],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+133124);allocate([139,159,179,223,210,33,245,221,229,75,55,220,216,12,107,215,239,102,169,214,182,216,239,212,129,178,45,213,4,164,98,208,51,206,160,209,106,112,230,211,93,26,36,210,16,254,94,197,39,148,156,196,126,42,218,198,73,64,24,199,204,86,87,194,251,60,149,195,162,130,211,193,149,232,17,192,168,175,77,203,159,197,143,202,198,123,201,200,241,17,11,201,116,7,68,204,67,109,134,205,26,211,192,207,45,185,2,206,64,150,175,145,119,252,109,144,46,66,43,146,25,40,233,147,156,62,166,150,171,84,100,151,242,234,34,149,197,128,224,148,248,199,188,159,207,173,126,158,150,19,56,156,161,121,250,157,36,111,181,152,19,5,119,153,74,187,49,155,125,209,243,154,48,53,137,141,7,95,75,140,94,225,13,142,105,139,207,143,236,157,128,138,219,247,66,139,130,73,4,137,181,35,198,136,136,100,154,131,191,14,88,130,230,176,30,128,209,218,220,129,84,204,147,132,99,166,81,133,58,24,23,135,13,114,213,134,160,208,226,169,151,186,32,168,206,4,102,170,249,110,164,171,124,120,235,174,75,18,41,175,18,172,111,173,37,198,173,172,24,129,241,167,47,235,51,166,118,85,117,164,65,63,183,165,196,41,248,160,243,67,58,161,170,253,124,163,157,151,190,162,208,115,196,181,231,25,6,180,190,167,64,182,137,205,130,183,12,219,205,178,59,177,15,179,98,15,73,177,85,101,139,176,104,34,215,187,95,72,21,186,6,246,83,184,49,156,145,185,180,138,222,188,131,224,28,189,218,94,90,191,237,52,152,190,0,0,0,0,101,103,188,184,139,200,9,170,238,175,181,18,87,151,98,143,50,240,222,55,220,95,107,37,185,56,215,157,239,40,180,197,138,79,8,125,100,224,189,111,1,135,1,215,184,191,214,74,221,216,106,242,51,119,223,224,86,16,99,88,159,87,25,80,250,48,165,232,20,159,16,250,113,248,172,66,200,192,123,223,173,167,199,103,67,8,114,117,38,111,206,205,112,127,173,149,21,24,17,45,251,183,164,63,158,208,24,135,39,232,207,26,66,143,115,162,172,32,198,176,201,71,122,8,62,175,50,160,91,200,142,24,181,103,59,10,208,0,135,178,105,56,80,47,12,95,236,151,226,240,89,133,135,151,229,61,209,135,134,101,180,224,58,221,90,79,143,207,63,40,51,119,134,16,228,234,227,119,88,82,13,216,237,64,104,191,81,248,161,248,43,240,196,159,151,72,42,48,34,90,79,87,158,226,246,111,73,127,147,8,245,199,125,167,64,213,24,192,252,109,78,208,159,53,43,183,35,141,197,24,150,159,160,127,42,39,25,71,253,186,124,32,65,2,146,143,244,16,247,232,72,168,61,88,20,155,88,63,168,35,182,144,29,49,211,247,161,137,106,207,118,20,15,168,202,172,225,7,127,190,132,96,195,6,210,112,160,94,183,23,28,230,89,184,169,244,60,223,21,76,133,231,194,209,224,128,126,105,14,47,203,123,107,72,119,195,162,15,13,203,199,104,177,115,41,199,4,97,76,160,184,217,245,152,111,68,144,255,211,252,126,80,102,238,27,55,218,86,77,39,185,14,40,64,5,182,198,239,176,164,163,136,12,28,26,176,219,129,127,215,103,57,145,120,210,43,244,31,110,147,3,247,38,59,102,144,154,131,136,63,47,145,237,88,147,41,84,96,68,180,49,7,248,12,223,168,77,30,186,207,241,166,236,223,146,254,137,184,46,70,103,23,155,84,2,112,39,236,187,72,240,113,222,47,76,201,48,128,249,219,85,231,69,99,156,160,63,107,249,199,131,211,23,104,54,193,114,15,138,121,203,55,93,228,174,80,225,92,64,255,84,78,37,152,232,246,115,136,139,174,22,239,55,22,248,64,130,4,157,39,62,188,36,31,233,33,65,120,85,153,175,215,224,139,202,176,92,51,59,182,89,237,94,209,229,85,176,126,80,71,213,25,236,255,108,33,59,98,9,70,135,218,231,233,50,200,130,142,142,112,212,158,237,40,177,249,81,144,95,86,228,130,58,49,88,58,131,9,143,167,230,110,51,31,8,193,134,13,109,166,58,181,164,225,64,189,193,134,252,5,47,41,73,23,74,78,245,175,243,118,34,50,150,17,158,138,120,190,43,152,29,217,151,32,75,201,244,120,46,174,72,192,192,1,253,210,165,102,65,106,28,94,150,247,121,57,42,79,151,150,159,93,242,241,35,229,5,25,107,77,96,126,215,245,142,209,98,231,235,182,222,95,82,142,9,194,55,233,181,122,217,70,0,104,188,33,188,208,234,49,223,136,143,86,99,48,97,249,214,34,4,158,106,154,189,166,189,7,216,193,1,191,54,110,180,173,83,9,8,21,154,78,114,29,255,41,206,165,17,134,123,183,116,225,199,15,205,217,16,146,168,190,172,42,70,17,25,56,35,118,165,128,117,102,198,216,16,1,122,96,254,174,207,114,155,201,115,202,34,241,164,87,71,150,24,239,169,57,173,253,204,94,17,69,6,238,77,118,99,137,241,206,141,38,68,220,232,65,248,100,81,121,47,249,52,30,147,65,218,177,38,83,191,214,154,235,233,198,249,179,140,161,69,11,98,14,240,25,7,105,76,161,190,81,155,60,219,54,39,132,53,153,146,150,80,254,46,46,153,185,84,38,252,222,232,158,18,113,93,140,119,22,225,52,206,46,54,169,171,73,138,17,69,230,63,3,32,129,131,187,118,145,224,227,19,246,92,91,253,89,233,73,152,62,85,241,33,6,130,108,68,97,62,212,170,206,139,198,207,169,55,126,56,65,127,214,93,38,195,110,179,137,118,124,214,238,202,196,111,214,29,89,10,177,161,225,228,30,20,243,129,121,168,75,215,105,203,19,178,14,119,171,92,161,194,185,57,198,126,1,128,254,169,156,229,153,21,36,11,54,160,54,110,81,28,142,167,22,102,134,194,113,218,62,44,222,111,44,73,185,211,148,240,129,4,9,149,230,184,177,123,73,13,163,30,46,177,27,72,62,210,67,45,89,110,251,195,246,219,233,166,145,103,81,31,169,176,204,122,206,12,116,148,97,185,102,241,6,5,222,0,0,0,0,119,7,48,150,238,14,97,44,153,9,81,186,7,109,196,25,112,106,244,143,233,99,165,53,158,100,149,163,14,219,136,50,121,220,184,164,224,213,233,30,151,210,217,136,9,182,76,43,126,177,124,189,231,184,45,7,144,191,29,145,29,183,16,100,106,176,32,242,243,185,113,72,132,190,65,222,26,218,212,125,109,221,228,235,244,212,181,81,131,211,133,199,19,108,152,86,100,107,168,192,253,98,249,122,138,101,201,236,20,1,92,79,99,6,108,217,250,15,61,99,141,8,13,245,59,110,32,200,76,105,16,94,213,96,65,228,162,103,113,114,60,3,228,209,75,4,212,71,210,13,133,253,165,10,181,107,53,181,168,250,66,178,152,108,219,187,201,214,172,188,249,64,50,216,108,227,69,223,92,117,220,214,13,207,171,209,61,89,38,217,48,172,81,222,0,58,200,215,81,128,191,208,97,22,33,180,244,181,86,179,196,35,207,186,149,153,184,189,165,15,40,2,184,158,95,5,136,8,198,12,217,178,177,11,233,36,47,111,124,135,88,104,76,17,193,97,29,171,182,102,45,61,118,220,65,144,1,219,113,6,152,210,32,188,239,213,16,42,113,177,133,137,6,182,181,31,159,191,228,165,232,184,212,51,120,7,201,162,15,0,249,52,150,9,168,142,225,14,152,24,127,106,13,187,8,109,61,45,145,100,108,151,230,99,92,1,107,107,81,244,28,108,97,98,133,101,48,216,242,98,0,78,108,6,149,237,27,1,165,123,130,8,244,193,245,15,196,87,101,176,217,198,18,183,233,80,139,190,184,234,252,185,136,124,98,221,29,223,21,218,45,73,140,211,124,243,251,212,76,101,77,178,97,88,58,181,81,206,163,188,0,116,212,187,48,226,74,223,165,65,61,216,149,215,164,209,196,109,211,214,244,251,67,105,233,106,52,110,217,252,173,103,136,70,218,96,184,208,68,4,45,115,51,3,29,229,170,10,76,95,221,13,124,201,80,5,113,60,39,2,65,170,190,11,16,16,201,12,32,134,87,104,181,37,32,111,133,179,185,102,212,9,206,97,228,159,94,222,249,14,41,217,201,152,176,208,152,34,199,215,168,180,89,179,61,23,46,180,13,129,183,189,92,59,192,186,108,173,237,184,131,32,154,191,179,182,3,182,226,12,116,177,210,154,234,213,71,57,157,210,119,175,4,219,38,21,115,220,22,131,227,99,11,18,148,100,59,132,13,109,106,62,122,106,90,168,228,14,207,11,147,9,255,157,10,0,174,39,125,7,158,177,240,15,147,68,135,8,163,210,30,1,242,104,105,6,194,254,247,98,87,93,128,101,103,203,25,108,54,113,110,107,6,231,254,212,27,118,137,211,43,224,16,218,122,90,103,221,74,204,249,185,223,111,142,190,239,249,23,183,190,67,96,176,142,213,214,214,163,232,161,209,147,126,56,216,194,196,79,223,242,82,209,187,103,241,166,188,87,103,63,181,6,221,72,178,54,75,216,13,43,218,175,10,27,76,54,3,74,246,65,4,122,96,223,96,239,195,168,103,223,85,49,110,142,239,70,105,190,121,203,97,179,140,188,102,131,26,37,111,210,160,82,104,226,54,204,12,119,149,187,11,71,3,34,2,22,185,85,5,38,47,197,186,59,190,178,189,11,40,43,180,90,146,92,179,106,4,194,215,255,167,181,208,207,49,44,217,158,139,91,222,174,29,155,100,194,176,236,99,242,38,117,106,163,156,2,109,147,10,156,9,6,169,235,14,54,63,114,7,103,133,5,0,87,19,149,191,74,130,226,184,122,20,123,177,43,174,12,182,27,56,146,210,142,155,229,213,190,13,124,220,239,183,11,219,223,33,134,211,210,212,241,212,226,66,104,221,179,248,31,218,131,110,129,190,22,205,246,185,38,91,111,176,119,225,24,183,71,119,136,8,90,230,255,15,106,112,102,6,59,202,17,1,11,92,143,101,158,255,248,98,174,105,97,107,255,211,22,108,207,69,160,10,226,120,215,13,210,238,78,4,131,84,57,3,179,194,167,103,38,97,208,96,22,247,73,105,71,77,62,110,119,219,174,209,106,74,217,214,90,220,64,223,11,102,55,216,59,240,169,188,174,83,222,187,158,197,71,178,207,127,48,181,255,233,189,189,242,28,202,186,194,138,83,179,147,48,36,180,163,166,186,208,54,5,205,215,6,147,84,222,87,41,35,217,103,191,179,102,122,46,196,97,74,184,93,104,27,2,42,111,43,148,180,11,190,55,195,12,142,161,90,5,223,27,45,2,239,141,0,0,0,0,25,27,49,65,50,54,98,130,43,45,83,195,100,108,197,4,125,119,244,69,86,90,167,134,79,65,150,199,200,217,138,8,209,194,187,73,250,239,232,138,227,244,217,203,172,181,79,12,181,174,126,77,158,131,45,142,135,152,28,207,74,194,18,81,83,217,35,16,120,244,112,211,97,239,65,146,46,174,215,85,55,181,230,20,28,152,181,215,5,131,132,150,130,27,152,89,155,0,169,24,176,45,250,219,169,54,203,154,230,119,93,93,255,108,108,28,212,65,63,223,205,90,14,158,149,132,36,162,140,159,21,227,167,178,70,32,190,169,119,97,241,232,225,166,232,243,208,231,195,222,131,36,218,197,178,101,93,93,174,170,68,70,159,235,111,107,204,40,118,112,253,105,57,49,107,174,32,42,90,239,11,7,9,44,18,28,56,109,223,70,54,243,198,93,7,178,237,112,84,113,244,107,101,48,187,42,243,247,162,49,194,182,137,28,145,117,144,7,160,52,23,159,188,251,14,132,141,186,37,169,222,121,60,178,239,56,115,243,121,255,106,232,72,190,65,197,27,125,88,222,42,60,240,121,79,5,233,98,126,68,194,79,45,135,219,84,28,198,148,21,138,1,141,14,187,64,166,35,232,131,191,56,217,194,56,160,197,13,33,187,244,76,10,150,167,143,19,141,150,206,92,204,0,9,69,215,49,72,110,250,98,139,119,225,83,202,186,187,93,84,163,160,108,21,136,141,63,214,145,150,14,151,222,215,152,80,199,204,169,17,236,225,250,210,245,250,203,147,114,98,215,92,107,121,230,29,64,84,181,222,89,79,132,159,22,14,18,88,15,21,35,25,36,56,112,218,61,35,65,155,101,253,107,167,124,230,90,230,87,203,9,37,78,208,56,100,1,145,174,163,24,138,159,226,51,167,204,33,42,188,253,96,173,36,225,175,180,63,208,238,159,18,131,45,134,9,178,108,201,72,36,171,208,83,21,234,251,126,70,41,226,101,119,104,47,63,121,246,54,36,72,183,29,9,27,116,4,18,42,53,75,83,188,242,82,72,141,179,121,101,222,112,96,126,239,49,231,230,243,254,254,253,194,191,213,208,145,124,204,203,160,61,131,138,54,250,154,145,7,187,177,188,84,120,168,167,101,57,59,131,152,75,34,152,169,10,9,181,250,201,16,174,203,136,95,239,93,79,70,244,108,14,109,217,63,205,116,194,14,140,243,90,18,67,234,65,35,2,193,108,112,193,216,119,65,128,151,54,215,71,142,45,230,6,165,0,181,197,188,27,132,132,113,65,138,26,104,90,187,91,67,119,232,152,90,108,217,217,21,45,79,30,12,54,126,95,39,27,45,156,62,0,28,221,185,152,0,18,160,131,49,83,139,174,98,144,146,181,83,209,221,244,197,22,196,239,244,87,239,194,167,148,246,217,150,213,174,7,188,233,183,28,141,168,156,49,222,107,133,42,239,42,202,107,121,237,211,112,72,172,248,93,27,111,225,70,42,46,102,222,54,225,127,197,7,160,84,232,84,99,77,243,101,34,2,178,243,229,27,169,194,164,48,132,145,103,41,159,160,38,228,197,174,184,253,222,159,249,214,243,204,58,207,232,253,123,128,169,107,188,153,178,90,253,178,159,9,62,171,132,56,127,44,28,36,176,53,7,21,241,30,42,70,50,7,49,119,115,72,112,225,180,81,107,208,245,122,70,131,54,99,93,178,119,203,250,215,78,210,225,230,15,249,204,181,204,224,215,132,141,175,150,18,74,182,141,35,11,157,160,112,200,132,187,65,137,3,35,93,70,26,56,108,7,49,21,63,196,40,14,14,133,103,79,152,66,126,84,169,3,85,121,250,192,76,98,203,129,129,56,197,31,152,35,244,94,179,14,167,157,170,21,150,220,229,84,0,27,252,79,49,90,215,98,98,153,206,121,83,216,73,225,79,23,80,250,126,86,123,215,45,149,98,204,28,212,45,141,138,19,52,150,187,82,31,187,232,145,6,160,217,208,94,126,243,236,71,101,194,173,108,72,145,110,117,83,160,47,58,18,54,232,35,9,7,169,8,36,84,106,17,63,101,43,150,167,121,228,143,188,72,165,164,145,27,102,189,138,42,39,242,203,188,224,235,208,141,161,192,253,222,98,217,230,239,35,20,188,225,189,13,167,208,252,38,138,131,63,63,145,178,126,112,208,36,185,105,203,21,248,66,230,70,59,91,253,119,122,220,101,107,181,197,126,90,244,238,83,9,55,247,72,56,118,184,9,174,177,161,18,159,240,138,63,204,51,147,36,253,114,0,0,0,0,1,194,106,55,3,132,212,110,2,70,190,89,7,9,168,220,6,203,194,235,4,141,124,178,5,79,22,133,14,19,81,184,15,209,59,143,13,151,133,214,12,85,239,225,9,26,249,100,8,216,147,83,10,158,45,10,11,92,71,61,28,38,163,112,29,228,201,71,31,162,119,30,30,96,29,41,27,47,11,172,26,237,97,155,24,171,223,194,25,105,181,245,18,53,242,200,19,247,152,255,17,177,38,166,16,115,76,145,21,60,90,20,20,254,48,35,22,184,142,122,23,122,228,77,56,77,70,224,57,143,44,215,59,201,146,142,58,11,248,185,63,68,238,60,62,134,132,11,60,192,58,82,61,2,80,101,54,94,23,88,55,156,125,111,53,218,195,54,52,24,169,1,49,87,191,132,48,149,213,179,50,211,107,234,51,17,1,221,36,107,229,144,37,169,143,167,39,239,49,254,38,45,91,201,35,98,77,76,34,160,39,123,32,230,153,34,33,36,243,21,42,120,180,40,43,186,222,31,41,252,96,70,40,62,10,113,45,113,28,244,44,179,118,195,46,245,200,154,47,55,162,173,112,154,141,192,113,88,231,247,115,30,89,174,114,220,51,153,119,147,37,28,118,81,79,43,116,23,241,114,117,213,155,69,126,137,220,120,127,75,182,79,125,13,8,22,124,207,98,33,121,128,116,164,120,66,30,147,122,4,160,202,123,198,202,253,108,188,46,176,109,126,68,135,111,56,250,222,110,250,144,233,107,181,134,108,106,119,236,91,104,49,82,2,105,243,56,53,98,175,127,8,99,109,21,63,97,43,171,102,96,233,193,81,101,166,215,212,100,100,189,227,102,34,3,186,103,224,105,141,72,215,203,32,73,21,161,23,75,83,31,78,74,145,117,121,79,222,99,252,78,28,9,203,76,90,183,146,77,152,221,165,70,196,154,152,71,6,240,175,69,64,78,246,68,130,36,193,65,205,50,68,64,15,88,115,66,73,230,42,67,139,140,29,84,241,104,80,85,51,2,103,87,117,188,62,86,183,214,9,83,248,192,140,82,58,170,187,80,124,20,226,81,190,126,213,90,226,57,232,91,32,83,223,89,102,237,134,88,164,135,177,93,235,145,52,92,41,251,3,94,111,69,90,95,173,47,109,225,53,27,128,224,247,113,183,226,177,207,238,227,115,165,217,230,60,179,92,231,254,217,107,229,184,103,50,228,122,13,5,239,38,74,56,238,228,32,15,236,162,158,86,237,96,244,97,232,47,226,228,233,237,136,211,235,171,54,138,234,105,92,189,253,19,184,240,252,209,210,199,254,151,108,158,255,85,6,169,250,26,16,44,251,216,122,27,249,158,196,66,248,92,174,117,243,0,233,72,242,194,131,127,240,132,61,38,241,70,87,17,244,9,65,148,245,203,43,163,247,141,149,250,246,79,255,205,217,120,93,96,216,186,55,87,218,252,137,14,219,62,227,57,222,113,245,188,223,179,159,139,221,245,33,210,220,55,75,229,215,107,12,216,214,169,102,239,212,239,216,182,213,45,178,129,208,98,164,4,209,160,206,51,211,230,112,106,210,36,26,93,197,94,254,16,196,156,148,39,198,218,42,126,199,24,64,73,194,87,86,204,195,149,60,251,193,211,130,162,192,17,232,149,203,77,175,168,202,143,197,159,200,201,123,198,201,11,17,241,204,68,7,116,205,134,109,67,207,192,211,26,206,2,185,45,145,175,150,64,144,109,252,119,146,43,66,46,147,233,40,25,150,166,62,156,151,100,84,171,149,34,234,242,148,224,128,197,159,188,199,248,158,126,173,207,156,56,19,150,157,250,121,161,152,181,111,36,153,119,5,19,155,49,187,74,154,243,209,125,141,137,53,48,140,75,95,7,142,13,225,94,143,207,139,105,138,128,157,236,139,66,247,219,137,4,73,130,136,198,35,181,131,154,100,136,130,88,14,191,128,30,176,230,129,220,218,209,132,147,204,84,133,81,166,99,135,23,24,58,134,213,114,13,169,226,208,160,168,32,186,151,170,102,4,206,171,164,110,249,174,235,120,124,175,41,18,75,173,111,172,18,172,173,198,37,167,241,129,24,166,51,235,47,164,117,85,118,165,183,63,65,160,248,41,196,161,58,67,243,163,124,253,170,162,190,151,157,181,196,115,208,180,6,25,231,182,64,167,190,183,130,205,137,178,205,219,12,179,15,177,59,177,73,15,98,176,139,101,85,187,215,34,104,186,21,72,95,184,83,246,6,185,145,156,49,188,222,138,180,189,28,224,131,191,90,94,218,190,152,52,237,0,0,0,0,184,188,103,101,170,9,200,139,18,181,175,238,143,98,151,87,55,222,240,50,37,107,95,220,157,215,56,185,197,180,40,239,125,8,79,138,111,189,224,100,215,1,135,1,74,214,191,184,242,106,216,221,224,223,119,51,88,99,16,86,80,25,87,159,232,165,48,250,250,16,159,20,66,172,248,113,223,123,192,200,103,199,167,173,117,114,8,67,205,206,111,38,149,173,127,112,45,17,24,21,63,164,183,251,135,24,208,158,26,207,232,39,162,115,143,66,176,198,32,172,8,122,71,201,160,50,175,62,24,142,200,91,10,59,103,181,178,135,0,208,47,80,56,105,151,236,95,12,133,89,240,226,61,229,151,135,101,134,135,209,221,58,224,180,207,143,79,90,119,51,40,63,234,228,16,134,82,88,119,227,64,237,216,13,248,81,191,104,240,43,248,161,72,151,159,196,90,34,48,42,226,158,87,79,127,73,111,246,199,245,8,147,213,64,167,125,109,252,192,24,53,159,208,78,141,35,183,43,159,150,24,197,39,42,127,160,186,253,71,25,2,65,32,124,16,244,143,146,168,72,232,247,155,20,88,61,35,168,63,88,49,29,144,182,137,161,247,211,20,118,207,106,172,202,168,15,190,127,7,225,6,195,96,132,94,160,112,210,230,28,23,183,244,169,184,89,76,21,223,60,209,194,231,133,105,126,128,224,123,203,47,14,195,119,72,107,203,13,15,162,115,177,104,199,97,4,199,41,217,184,160,76,68,111,152,245,252,211,255,144,238,102,80,126,86,218,55,27,14,185,39,77,182,5,64,40,164,176,239,198,28,12,136,163,129,219,176,26,57,103,215,127,43,210,120,145,147,110,31,244,59,38,247,3,131,154,144,102,145,47,63,136,41,147,88,237,180,68,96,84,12,248,7,49,30,77,168,223,166,241,207,186,254,146,223,236,70,46,184,137,84,155,23,103,236,39,112,2,113,240,72,187,201,76,47,222,219,249,128,48,99,69,231,85,107,63,160,156,211,131,199,249,193,54,104,23,121,138,15,114,228,93,55,203,92,225,80,174,78,84,255,64,246,232,152,37,174,139,136,115,22,55,239,22,4,130,64,248,188,62,39,157,33,233,31,36,153,85,120,65,139,224,215,175,51,92,176,202,237,89,182,59,85,229,209,94,71,80,126,176,255,236,25,213,98,59,33,108,218,135,70,9,200,50,233,231,112,142,142,130,40,237,158,212,144,81,249,177,130,228,86,95,58,88,49,58,167,143,9,131,31,51,110,230,13,134,193,8,181,58,166,109,189,64,225,164,5,252,134,193,23,73,41,47,175,245,78,74,50,34,118,243,138,158,17,150,152,43,190,120,32,151,217,29,120,244,201,75,192,72,174,46,210,253,1,192,106,65,102,165,247,150,94,28,79,42,57,121,93,159,150,151,229,35,241,242,77,107,25,5,245,215,126,96,231,98,209,142,95,222,182,235,194,9,142,82,122,181,233,55,104,0,70,217,208,188,33,188,136,223,49,234,48,99,86,143,34,214,249,97,154,106,158,4,7,189,166,189,191,1,193,216,173,180,110,54,21,8,9,83,29,114,78,154,165,206,41,255,183,123,134,17,15,199,225,116,146,16,217,205,42,172,190,168,56,25,17,70,128,165,118,35,216,198,102,117,96,122,1,16,114,207,174,254,202,115,201,155,87,164,241,34,239,24,150,71,253,173,57,169,69,17,94,204,118,77,238,6,206,241,137,99,220,68,38,141,100,248,65,232,249,47,121,81,65,147,30,52,83,38,177,218,235,154,214,191,179,249,198,233,11,69,161,140,25,240,14,98,161,76,105,7,60,155,81,190,132,39,54,219,150,146,153,53,46,46,254,80,38,84,185,153,158,232,222,252,140,93,113,18,52,225,22,119,169,54,46,206,17,138,73,171,3,63,230,69,187,131,129,32,227,224,145,118,91,92,246,19,73,233,89,253,241,85,62,152,108,130,6,33,212,62,97,68,198,139,206,170,126,55,169,207,214,127,65,56,110,195,38,93,124,118,137,179,196,202,238,214,89,29,214,111,225,161,177,10,243,20,30,228,75,168,121,129,19,203,105,215,171,119,14,178,185,194,161,92,1,126,198,57,156,169,254,128,36,21,153,229,54,160,54,11,142,28,81,110,134,102,22,167,62,218,113,194,44,111,222,44,148,211,185,73,9,4,129,240,177,184,230,149,163,13,73,123,27,177,46,30,67,210,62,72,251,110,89,45,233,219,246,195,81,103,145,166,204,176,169,31,116,12,206,122,102,185,97,148,222,5,6,241,0,0,0,0,0,0,0,0,47,1,0,0,4,0,4,0,8,0,4,0,48,1,0,0,4,0,5,0,16,0,8,0,48,1,0,0,4,0,6,0,32,0,32,0,48,1,0,0,4,0,4,0,16,0,16,0,49,1,0,0,8,0,16,0,32,0,32,0,49,1,0,0,8,0,16,0,128,0,128,0,49,1,0,0,8,0,32,0,128,0,0,1,49,1,0,0,32,0,128,0,2,1,0,4,49,1,0,0,32,0,2,1,2,1,0,16,49,1,0,0,74,144,2,0,240,70,2,0,1,1,0,0,30,1,0,0,15,0,0,0,210,143,2,0,120,70,2,0,0,0,0,0,30,0,0,0,15,0,0,0,0,0,0,0,44,70,2,0,0,0,0,0,19,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,3,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,3,0,0,0,3,0,0,0,4,0,0,0,4,0,0,0,5,0,0,0,5,0,0,0,6,0,0,0,6,0,0,0,7,0,0,0,7,0,0,0,8,0,0,0,8,0,0,0,9,0,0,0,9,0,0,0,10,0,0,0,10,0,0,0,11,0,0,0,11,0,0,0,12,0,0,0,12,0,0,0,13,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,5,0,0,0,5,0,0,0,5,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,10,0,0,0,12,0,0,0,14,0,0,0,16,0,0,0,20,0,0,0,24,0,0,0,28,0,0,0,32,0,0,0,40,0,0,0,48,0,0,0,56,0,0,0,64,0,0,0,80,0,0,0,96,0,0,0,112,0,0,0,128,0,0,0,160,0,0,0,192,0,0,0,224,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,6,0,0,0,8,0,0,0,12,0,0,0,16,0,0,0,24,0,0,0,32,0,0,0,48,0,0,0,64,0,0,0,96,0,0,0,128,0,0,0,192,0,0,0,0,1,0,0,128,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,6,0,0,0,8,0,0,0,12,0,0,0,16,0,0,0,24,0,0,0,32,0,0,0,48,0,0,0,64,0,0,0,96,0,0,100,0,0,0,0,0,0,0,208,92,0,0,40,5,0,0,41,5,0,0,153,0,0,0,245,2,0,0,50,1,0,0,17,2,0,0,0,0,0,0,232,92,0,0,42,5,0,0,43,5,0,0,154,0,0,0,246,2,0,0,18,2,0,0,155,0,0,0,19,2,0,0,0,0,0,0,248,92,0,0,42,5,0,0,44,5,0,0,156,0,0,0,247,2,0,0,20,2,0,0,155,0,0,0,19,2,0,0,0,0,0,0,8,93,0,0,45,5,0,0,46,5,0,0,157,0,0,0,248,2,0,0,51,1,0,0,21,2,0,0,0,0,0,0,40,93,0,0,47,5,0,0,48,5,0,0,22,2,0,0,0,0,0,0,64,93,0,0,11,3,0,0,49,5,0,0,50,5,0,0,93,0,0,0,58,95,7,0,63,95,7,0,203,96,7,0,71,95,7,0,4,0,0,0,0,0,0,0,5,0,0,0,6,0,0,0,2,0,0,0,4,0,0,0,1,0,0,0,4,0,0,0,3,0,0,0,7,0,0,0,9,0,0,0,10,0,0,0,10,0,0,0,9,0,0,0,3,0,0,0,8,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,255,255,255,255,1,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,5,0,0,0,0,0,0,0,2,0,0,0,3,0,0,0,2,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,5,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,0,0,0,6,0,0,0,2,0,0,0,4,0,0,0,1,0,0,0,4,0,0,0,3,0,0,0,7,0,0,0,9,0,0,0,10,0,0,0,10,0,0,0,9,0,0,0,3,0,0,0,8,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,203,96,7,0,120,2,8,0,8,2,8,0,209,96,7,0,215,96,7,0,222,96,7,0,228,96,7,0,236,96,7,0,213,1,8,0,244,96,7,0,251,96,7,0,1,97,7,0,9,97,7,0,15,97,7,0,22,97,7,0,27,97,7,0,36,97,7,0,45,97,7,0,52,97,7,0,203,96,7,0,222,96,7,0,209,96,7,0,15,97,7,0,215,96,7,0,120,2,8,0,8,2,8,0,213,1,8,0,22,97,7,0,244,96,7,0,1,97,7,0,203,96,7,0,59,97,7,0,68,97,7,0,77,97,7,0,0,0,0,0,136,93,0,0,11,3,0,0,51,5,0,0,52,5,0,0,213,105,7,0,225,105,7,0,240,105,7,0,253,105,7,0,9,106,7,0,26,106,7,0,41,106,7,0,55,106,7,0,0,0,0,0,104,93,0,0,53,5,0,0,54,5,0,0,94,0,0,0,95,0,0,0,0,0,0,0,88,93,0,0,55,5,0,0,56,5,0,0,158,0,0,0,0,0,0,0,120,93,0,0,11,3,0,0,57,5,0,0,58,5,0,0,0,0,0,0,152,93,0,0,11,3,0,0,59,5,0,0,60,5,0,0,0,0,0,0,168,93,0,0,11,3,0,0,61,5,0,0,62,5,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,120,0,0,0,124,0,0,0,16,0,0,0,96,0,0,0,108,0,0,0,32,0,0,0,48,0,0,0,64,0,0,0,80,0,0,0,132,0,0,0,136,0,0,0,128,0,0,0,0,0,0,0,1,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,3,0,0,0,4,0,0,0,2,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,20,0,0,0,24,0,0,0,16,0,0,0,1,0,0,0,2,0,0,0,0,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,0,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,144,0,0,0,16,0,0,0,80,0,0,0,32,0,0,0,48,0,0,0,64,0,0,0,96,0,0,0,148,0,0,0,112,0,0,0,128,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,1,0,0,0,255,255,255,255,255,255,255,255,24,0,0,0,20,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,32,0,0,0,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,40,0,0,0,48,0,0,0,52,0,0,0,24,0,0,0,20,0,0,0,28,0,0,0,44,0,0,0,32,0,0,0,36,0,0,0,0,0,0,0,6,0,0,0,8,0,0,0,9,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,7,0,0,0,4,0,0,0,5,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,0,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,0,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,64,0,0,0,16,0,0,0,68,0,0,0,32,0,0,0,48,0,0,0,0,0,0,0,255,255,255,255,1,0,0,0,255,255,255,255,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,24,0,0,0,20,0,0,0,0,0,0,0,2,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,32,0,0,0,16,0,0,0,36,0,0,0,0,0,0,0,255,255,255,255,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,24,0,0,0,28,0,0,0,32,0,0,0,33,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,24,0,0,0,20,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,48,0,0,0,52,0,0,0,81,0,0,0,82,0,0,0,83,0,0,0,92,0,0,0,56,0,0,0,84,0,0,0,85,0,0,0,86,0,0,0,87,0,0,0,88,0,0,0,80,0,0,0,60,0,0,0,64,0,0,0,68,0,0,0,72,0,0,0,76,0,0,0,32,0,0,0,0,0,0,0,1,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,17,0,0,0,2,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,16,0,0,0,8,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,255,255,255,255,24,0,0,0,20,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,48,0,0,0,49,0,0,0,50,0,0,0,51,0,0,0,32,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,255,255,255,255,24,0,0,0,20,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,48,0,0,0,52,0,0,0,56,0,0,0,53,0,0,0,54,0,0,0,55,0,0,0,32,0,0,0,0,0,0,0,1,0,0,0,5,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,255,255,255,255,24,0,0,0,20,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,32,0,0,0,255,255,255,255,24,0,0,0,20,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,48,0,0,0,49,0,0,0,32,0,0,0,0,0,0,0,1,0,0,0,255,255,255,255,24,0,0,0,20,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,48,0,0,0,32,0,0,0,0,0,0,0,255,255,255,255,24,0,0,0,20,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,48,0,0,0,32,0,0,0,0,0,0,0,255,255,255,255,24,0,0,0,20,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,48,0,0,0,52,0,0,0,32,0,0,0,0,0,0,0,1,0,0,0,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,20,0,0,0,0,0,0,0,1,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,32,0,0,0,48,0,0,0,56,0,0,0,64,0,0,0,36,0,0,0,40,0,0,0,255,255,255,255,0,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,1,0,0,0,2,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,32,0,0,0,64,0,0,0,68,0,0,0,48,0,0,0,255,255,255,255,255,255,255,255,0,0,0,0,1,0,0,0,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,255,255,255,255,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,32,0,0,0,36,0,0,0,40,0,0,0,255,255,255,255,0,0,0,0,1,0,0,0,2,0,0,0,8,0,0,0,4,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,16,0,0,0,255,255,255,255,0,0,0,0,184,93,0,0,63,5,0,0,64,5,0,0,196,0,0,0,23,2,0,0,52,1,0,0,24,2,0,0,25,2,0,0,65,5,0,0,26,2,0,0,197,0,0,0,198,0,0,0,53,1,0,0,27,2,0,0,249,2,0,0,36,0,0,0,28,2,0,0,159,0,0,0,42,0,0,0,250,2,0,0,251,2,0,0,17,3,0,0,43,0,0,0,252,2,0,0,44,0,0,0,253,2,0,0,0,0,0,0,6,0,0,0,32,0,0,0,7,0,0,0,24,0,0,0,140,0,0,0,36,0,0,0,44,0,0,0,28,0,0,0,47,0,0,0,54,0,0,0,24,0,0,0,56,0,0,0,71,0,0,0,152,0,0,0,81,0,0,0,87,0,0,0,48,0,0,0,88,0,0,0,103,0,0,0,56,0,0,0,113,0,0,0,120,0,0,0,24,0,0,0,122,0,0,0,129,0,0,0,24,0,0,0,131,0,0,0,141,0,0,0,72,0,0,0,146,0,0,0,154,0,0,0,28,0,0,0,157,0,0,0,165,0,0,0,40,0,0,0,168,0,0,0,179,0,0,0,36,0,0,0,185,0,0,0,209,0,0,0,96,0,0,0,228,0,0,0,238,0,0,0,52,0,0,0,243,0,0,0,255,0,0,0,60,0,0,0,6,1,0,0,12,1,0,0,48,0,0,0,13,1,0,0,21,1,0,0,52,0,0,0,24,1,0,0,31,1,0,0,52,0,0,0,33,1,0,0,40,1,0,0,52,0,0,0,42,1,0,0,50,1,0,0,56,0,0,0,53,1,0,0,60,1,0,0,24,0,0,0,62,1,0,0,74,1,0,0,72,0,0,0,81,1,0,0,91,1,0,0,72,0,0,0,96,1,0,0,102,1,0,0,32,0,0,0,103,1,0,0,112,1,0,0,44,0,0,0,116,1,0,0,122,1,0,0,32,0,0,0,136,43,8,0,168,43,8,0,56,44,8,0,88,44,8,0,112,44,8,0,8,45,8,0,56,45,8,0,112,45,8,0,136,45,8,0,160,45,8,0,232,45,8,0,8,46,8,0,48,46,8,0,88,46,8,0,184,46,8,0,240,46,8,0,48,47,8,0,96,47,8,0,152,47,8,0,208,47,8,0,8,48,8,0,64,48,8,0,88,48,8,0,160,48,8,0,232,48,8,0,8,49,8,0,56,49,8,0,0,0,0,0,200,93,0,0,66,5,0,0,67,5,0,0,196,0,0,0,29,2,0,0,54,1,0,0,30,2,0,0,31,2,0,0,68,5,0,0,32,2,0,0,197,0,0,0,198,0,0,0,55,1,0,0,33,2,0,0,254,2,0,0,36,0,0,0,34,2,0,0,160,0,0,0,42,0,0,0,255,2,0,0,0,3,0,0,17,3,0,0,43,0,0,0,1,3,0,0,44,0,0,0,2,3,0,0,0,0,0,0,216,93,0,0,69,5,0,0,70,5,0,0,196,0,0,0,35,2,0,0,56,1,0,0,36,2,0,0,37,2,0,0,71,5,0,0,38,2,0,0,197,0,0,0,198,0,0,0,57,1,0,0,39,2,0,0,3,3,0,0,36,0,0,0,40,2,0,0,161,0,0,0,42,0,0,0,4,3,0,0,5,3,0,0,17,3,0,0,43,0,0,0,6,3,0,0,44,0,0,0,7,3,0,0,0,0,0,0,232,93,0,0,72,5,0,0,73,5,0,0,196,0,0,0,41,2,0,0,58,1,0,0,42,2,0,0,43,2,0,0,74,5,0,0,44,2,0,0,197,0,0,0,198,0,0,0,59,1,0,0,45,2,0,0,8,3,0,0,36,0,0,0,46,2,0,0,162,0,0,0,42,0,0,0,9,3,0,0,10,3,0,0,17,3,0,0,43,0,0,0,11,3,0,0,44,0,0,0,12,3,0,0,0,0,0,0,248,93,0,0,75,5,0,0,76,5,0,0,196,0,0,0,47,2,0,0,60,1,0,0,48,2,0,0,49,2,0,0,77,5,0,0,50,2,0,0,197,0,0,0,198,0,0,0,61,1,0,0,51,2,0,0,13,3,0,0,36,0,0,0,52,2,0,0,163,0,0,0,42,0,0,0,14,3,0,0,15,3,0,0,17,3,0,0,43,0,0,0,16,3,0,0,44,0,0,0,17,3,0,0,0,0,0,0,8,94,0,0,78,5,0,0,79,5,0,0,196,0,0,0,53,2,0,0,62,1,0,0,54,2,0,0,55,2,0,0,80,5,0,0,56,2,0,0,197,0,0,0,198,0,0,0,63,1,0,0,57,2,0,0,18,3,0,0,36,0,0,0,58,2,0,0,164,0,0,0,42,0,0,0,19,3,0,0,20,3,0,0,17,3,0,0,43,0,0,0,21,3,0,0,44,0,0,0,22,3,0,0,0,0,0,0,24,94,0,0,81,5,0,0,82,5,0,0,196,0,0,0,59,2,0,0,64,1,0,0,60,2,0,0,61,2,0,0,83,5,0,0,62,2,0,0,197,0,0,0,198,0,0,0,65,1,0,0,63,2,0,0,23,3,0,0,36,0,0,0,64,2,0,0,165,0,0,0,42,0,0,0,24,3,0,0,25,3,0,0,17,3,0,0,43,0,0,0,26,3,0,0,44,0,0,0,27,3,0,0,0,0,0,0,40,94,0,0,84,5,0,0,85,5,0,0,196,0,0,0,65,2,0,0,66,1,0,0,66,2,0,0,67,2,0,0,86,5,0,0,68,2,0,0,197,0,0,0,198,0,0,0,67,1,0,0,69,2,0,0,28,3,0,0,36,0,0,0,70,2,0,0,166,0,0,0,42,0,0,0,29,3,0,0,30,3,0,0,17,3,0,0,43,0,0,0,31,3,0,0,44,0,0,0,32,3,0,0,0,0,0,0,56,94,0,0,87,5,0,0,88,5,0,0,196,0,0,0,71,2,0,0,68,1,0,0,72,2,0,0,73,2,0,0,89,5,0,0,74,2,0,0,197,0,0,0,198,0,0,0,69,1,0,0,75,2,0,0,33,3,0,0,36,0,0,0,76,2,0,0,167,0,0,0,42,0,0,0,34,3,0,0,35,3,0,0,17,3,0,0,43,0,0,0,36,3,0,0,44,0,0,0,37,3,0,0,0,0,0,0,72,94,0,0,90,5,0,0,91,5,0,0,196,0,0,0,77,2,0,0,70,1,0,0,78,2,0,0,79,2,0,0,92,5,0,0,80,2,0,0,197,0,0,0,198,0,0,0,71,1,0,0,81,2,0,0,38,3,0,0,36,0,0,0,82,2,0,0,168,0,0,0,42,0,0,0,39,3,0,0,40,3,0,0,17,3,0,0,43,0,0,0,41,3,0,0,44,0,0,0,42,3,0,0,0,0,0,0,88,94,0,0,93,5,0,0,94,5,0,0,196,0,0,0,83,2,0,0,72,1,0,0,84,2,0,0,85,2,0,0,95,5,0,0,86,2,0,0,197,0,0,0,198,0,0,0,73,1,0,0,87,2,0,0,43,3,0,0,36,0,0,0,88,2,0,0,169,0,0,0,42,0,0,0,44,3,0,0,45,3,0,0,17,3,0,0,43,0,0,0,46,3,0,0,44,0,0,0,47,3,0,0,0,0,0,0,104,94,0,0,96,5,0,0,97,5,0,0,196,0,0,0,89,2,0,0,74,1,0,0,90,2,0,0,91,2,0,0,98,5,0,0,92,2,0,0,197,0,0,0,198,0,0,0,75,1,0,0,93,2,0,0,48,3,0,0,36,0,0,0,94,2,0,0,170,0,0,0,42,0,0,0,49,3,0,0,50,3,0,0,17,3,0,0,43,0,0,0,51,3,0,0,44,0,0,0,52,3,0,0,0,0,0,0,120,94,0,0,99,5,0,0,100,5,0,0,196,0,0,0,95,2,0,0,76,1,0,0,96,2,0,0,97,2,0,0,101,5,0,0,98,2,0,0,197,0,0,0,198,0,0,0,77,1,0,0,99,2],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+143364);allocate([53,3,0,0,36,0,0,0,100,2,0,0,171,0,0,0,42,0,0,0,54,3,0,0,55,3,0,0,17,3,0,0,43,0,0,0,56,3,0,0,44,0,0,0,57,3,0,0,0,0,0,0,136,94,0,0,102,5,0,0,103,5,0,0,196,0,0,0,101,2,0,0,78,1,0,0,102,2,0,0,103,2,0,0,104,5,0,0,104,2,0,0,197,0,0,0,198,0,0,0,79,1,0,0,105,2,0,0,58,3,0,0,36,0,0,0,106,2,0,0,172,0,0,0,42,0,0,0,59,3,0,0,60,3,0,0,17,3,0,0,43,0,0,0,61,3,0,0,44,0,0,0,62,3,0,0,0,0,0,0,152,94,0,0,105,5,0,0,106,5,0,0,196,0,0,0,107,2,0,0,80,1,0,0,108,2,0,0,109,2,0,0,107,5,0,0,110,2,0,0,197,0,0,0,198,0,0,0,81,1,0,0,111,2,0,0,63,3,0,0,36,0,0,0,112,2,0,0,173,0,0,0,42,0,0,0,64,3,0,0,65,3,0,0,17,3,0,0,43,0,0,0,66,3,0,0,44,0,0,0,67,3,0,0,0,0,0,0,168,94,0,0,108,5,0,0,109,5,0,0,196,0,0,0,113,2,0,0,82,1,0,0,114,2,0,0,115,2,0,0,110,5,0,0,116,2,0,0,197,0,0,0,198,0,0,0,83,1,0,0,117,2,0,0,68,3,0,0,36,0,0,0,118,2,0,0,174,0,0,0,42,0,0,0,69,3,0,0,70,3,0,0,17,3,0,0,43,0,0,0,71,3,0,0,44,0,0,0,72,3,0,0,0,0,0,0,184,94,0,0,111,5,0,0,112,5,0,0,196,0,0,0,119,2,0,0,84,1,0,0,120,2,0,0,121,2,0,0,113,5,0,0,122,2,0,0,197,0,0,0,198,0,0,0,85,1,0,0,123,2,0,0,73,3,0,0,36,0,0,0,124,2,0,0,175,0,0,0,42,0,0,0,74,3,0,0,75,3,0,0,17,3,0,0,43,0,0,0,76,3,0,0,44,0,0,0,77,3,0,0,0,0,0,0,200,94,0,0,114,5,0,0,115,5,0,0,196,0,0,0,125,2,0,0,86,1,0,0,126,2,0,0,127,2,0,0,116,5,0,0,128,2,0,0,197,0,0,0,198,0,0,0,87,1,0,0,129,2,0,0,78,3,0,0,36,0,0,0,130,2,0,0,176,0,0,0,42,0,0,0,79,3,0,0,80,3,0,0,17,3,0,0,43,0,0,0,81,3,0,0,44,0,0,0,82,3,0,0,0,0,0,0,216,94,0,0,117,5,0,0,118,5,0,0,196,0,0,0,131,2,0,0,88,1,0,0,132,2,0,0,133,2,0,0,119,5,0,0,134,2,0,0,197,0,0,0,198,0,0,0,89,1,0,0,135,2,0,0,83,3,0,0,36,0,0,0,136,2,0,0,177,0,0,0,42,0,0,0,84,3,0,0,85,3,0,0,17,3,0,0,43,0,0,0,86,3,0,0,44,0,0,0,87,3,0,0,0,0,0,0,232,94,0,0,120,5,0,0,121,5,0,0,196,0,0,0,137,2,0,0,90,1,0,0,138,2,0,0,139,2,0,0,122,5,0,0,140,2,0,0,197,0,0,0,198,0,0,0,91,1,0,0,141,2,0,0,88,3,0,0,36,0,0,0,142,2,0,0,178,0,0,0,42,0,0,0,89,3,0,0,90,3,0,0,17,3,0,0,43,0,0,0,91,3,0,0,44,0,0,0,92,3,0,0,0,0,0,0,248,94,0,0,123,5,0,0,124,5,0,0,196,0,0,0,143,2,0,0,92,1,0,0,144,2,0,0,145,2,0,0,125,5,0,0,146,2,0,0,197,0,0,0,198,0,0,0,93,1,0,0,147,2,0,0,93,3,0,0,36,0,0,0,148,2,0,0,179,0,0,0,42,0,0,0,94,3,0,0,95,3,0,0,17,3,0,0,43,0,0,0,96,3,0,0,44,0,0,0,97,3,0,0,0,0,0,0,8,95,0,0,126,5,0,0,127,5,0,0,196,0,0,0,149,2,0,0,94,1,0,0,150,2,0,0,151,2,0,0,128,5,0,0,152,2,0,0,197,0,0,0,198,0,0,0,95,1,0,0,153,2,0,0,98,3,0,0,36,0,0,0,154,2,0,0,180,0,0,0,42,0,0,0,99,3,0,0,100,3,0,0,17,3,0,0,43,0,0,0,101,3,0,0,44,0,0,0,102,3,0,0,0,0,0,0,24,95,0,0,129,5,0,0,130,5,0,0,196,0,0,0,155,2,0,0,96,1,0,0,156,2,0,0,157,2,0,0,131,5,0,0,158,2,0,0,197,0,0,0,198,0,0,0,97,1,0,0,159,2,0,0,103,3,0,0,36,0,0,0,160,2,0,0,181,0,0,0,42,0,0,0,104,3,0,0,105,3,0,0,17,3,0,0,43,0,0,0,106,3,0,0,44,0,0,0,107,3,0,0,0,0,0,0,40,95,0,0,132,5,0,0,133,5,0,0,196,0,0,0,161,2,0,0,98,1,0,0,162,2,0,0,163,2,0,0,134,5,0,0,164,2,0,0,197,0,0,0,198,0,0,0,99,1,0,0,165,2,0,0,108,3,0,0,36,0,0,0,166,2,0,0,182,0,0,0,42,0,0,0,109,3,0,0,110,3,0,0,17,3,0,0,43,0,0,0,111,3,0,0,44,0,0,0,112,3,0,0,0,0,0,0,56,95,0,0,135,5,0,0,136,5,0,0,196,0,0,0,167,2,0,0,100,1,0,0,168,2,0,0,169,2,0,0,137,5,0,0,170,2,0,0,197,0,0,0,198,0,0,0,101,1,0,0,171,2,0,0,113,3,0,0,36,0,0,0,172,2,0,0,183,0,0,0,42,0,0,0,114,3,0,0,115,3,0,0,17,3,0,0,43,0,0,0,116,3,0,0,44,0,0,0,117,3,0,0,0,0,0,0,72,95,0,0,138,5,0,0,139,5,0,0,196,0,0,0,173,2,0,0,102,1,0,0,174,2,0,0,175,2,0,0,140,5,0,0,176,2,0,0,197,0,0,0,198,0,0,0,103,1,0,0,177,2,0,0,118,3,0,0,36,0,0,0,178,2,0,0,184,0,0,0,42,0,0,0,119,3,0,0,120,3,0,0,17,3,0,0,43,0,0,0,121,3,0,0,44,0,0,0,122,3,0,0,0,0,0,0,88,95,0,0,141,5,0,0,142,5,0,0,196,0,0,0,179,2,0,0,104,1,0,0,180,2,0,0,181,2,0,0,143,5,0,0,182,2,0,0,197,0,0,0,198,0,0,0,105,1,0,0,183,2,0,0,123,3,0,0,36,0,0,0,184,2,0,0,185,0,0,0,42,0,0,0,124,3,0,0,125,3,0,0,17,3,0,0,43,0,0,0,126,3,0,0,44,0,0,0,127,3,0,0,4,0,0,0,5,0,0,0,7,0,0,0,2,0,0,0,6,0,0,0,3,0,0,0,4,0,0,0,8,0,0,0,2,0,0,0,0,0,0,0,112,95,0,0,144,5,0,0,145,5,0,0,186,0,0,0,187,0,0,0,12,0,0,0,188,0,0,0,106,1,0,0,0,0,0,0,128,95,0,0,146,5,0,0,147,5,0,0,196,0,0,0,185,2,0,0,107,1,0,0,186,2,0,0,57,0,0,0,148,5,0,0,187,2,0,0,197,0,0,0,198,0,0,0,108,1,0,0,188,2,0,0,128,3,0,0,36,0,0,0,189,2,0,0,189,0,0,0,42,0,0,0,218,0,0,0,222,0,0,0,17,3,0,0,43,0,0,0,129,3,0,0,44,0,0,0,130,3,0,0,0,0,0,0,144,95,0,0,149,5,0,0,150,5,0,0,109,1,0,0,0,0,0,0,160,95,0,0,151,5,0,0,152,5,0,0,190,0,0,0,0,0,0,0,192,95,0,0,153,5,0,0,154,5,0,0,110,1,0,0,111,1,0,0,112,1,0,0,191,0,0,0,192,0,0,0,158,0,0,0,193,0,0,0,159,0,0,0,194,0,0,0,160,0,0,0,195,0,0,0,161,0,0,0,96,0,0,0,77,0,0,0,162,0,0,0,196,0,0,0,197,0,0,0,198,0,0,0,199,0,0,0,8,0,0,0,9,0,0,0,200,0,0,0,97,0,0,0,201,0,0,0,202,0,0,0,13,0,0,0,14,0,0,0,98,0,0,0,78,0,0,0,99,0,0,0,79,0,0,0,2,0,0,0,3,0,0,0,100,0,0,0,101,0,0,0,102,0,0,0,103,0,0,0,15,0,0,0,104,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,1,0,0,0,2,0,0,0,21,0,0,0,80,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,69,0,0,0,81,0,0,0,78,0,0,0,82,0,0,0,79,0,0,0,3,0,0,0,4,0,0,0,83,0,0,0,84,0,0,0,85,0,0,0,86,0,0,0,25,0,0,0,105,0,0,0,87,0,0,0,106,0,0,0,88,0,0,0,4,0,0,0,5,0,0,0,107,0,0,0,108,0,0,0,109,0,0,0,110,0,0,0,26,0,0,0,111,0,0,0,113,1,0,0,114,1,0,0,190,2,0,0,191,2,0,0,30,0,0,0,31,0,0,0,70,0,0,0,115,1,0,0,27,0,0,0,71,0,0,0,28,0,0,0,112,0,0,0,113,0,0,0,203,0,0,0,204,0,0,0,128,171,7,0,144,171,7,0,158,171,7,0,172,171,7,0,187,171,7,0,202,171,7,0,217,171,7,0,231,171,7,0,244,171,7,0,1,172,7,0,16,172,7,0,0,0,0,0,216,95,0,0,155,5,0,0,156,5,0,0,205,0,0,0,131,3,0,0,116,1,0,0,192,2,0,0,0,0,0,0,232,95,0,0,157,5,0,0,158,5,0,0,206,0,0,0,117,1,0,0,0,0,0,0,248,95,0,0,159,5,0,0,160,5,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,193,2,0,0,161,5,0,0,162,5,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,96,0,0,163,5,0,0,164,5,0,0,118,1,0,0,207,0,0,0,119,1,0,0,208,0,0,0,132,3,0,0,133,3,0,0,194,2,0,0,195,2,0,0,165,5,0,0,166,5,0,0,134,3,0,0,135,3,0,0,163,0,0,0,136,3,0,0,196,2,0,0,197,2,0,0,137,3,0,0,0,0,0,0,88,96,0,0,167,5,0,0,168,5,0,0,120,1,0,0,121,1,0,0,29,0,0,0,138,3,0,0,114,0,0,0,164,0,0,0,139,3,0,0,115,0,0,0,116,0,0,0,122,1,0,0,123,1,0,0,209,0,0,0,210,0,0,0,30,0,0,0,165,0,0,0,31,0,0,0,124,1,0,0,166,0,0,0,211,0,0,0,0,0,0,0,144,96,0,0,167,5,0,0,169,5,0,0,125,1,0,0,126,1,0,0,32,0,0,0,140,3,0,0,117,0,0,0,167,0,0,0,141,3,0,0,118,0,0,0,119,0,0,0,122,1,0,0,123,1,0,0,209,0,0,0,210,0,0,0,30,0,0,0,165,0,0,0,31,0,0,0,127,1,0,0,168,0,0,0,212,0,0,0,0,0,0,0,160,96,0,0,167,5,0,0,170,5,0,0,128,1,0,0,129,1,0,0,33,0,0,0,142,3,0,0,120,0,0,0,169,0,0,0,143,3,0,0,121,0,0,0,122,0,0,0,122,1,0,0,123,1,0,0,209,0,0,0,210,0,0,0,30,0,0,0,165,0,0,0,31,0,0,0,130,1,0,0,170,0,0,0,213,0,0,0,0,0,0,0,192,96,0,0,167,5,0,0,171,5,0,0,131,1,0,0,132,1,0,0,34,0,0,0,144,3,0,0,123,0,0,0,171,0,0,0,145,3,0,0,124,0,0,0,125,0,0,0,122,1,0,0,123,1,0,0,209,0,0,0,210,0,0,0,30,0,0,0,165,0,0,0,31,0,0,0,133,1,0,0,214,0,0,0,0,0,0,0,224,96,0,0,167,5,0,0,172,5,0,0,134,1,0,0,135,1,0,0,35,0,0,0,146,3,0,0,126,0,0,0,172,0,0,0,147,3,0,0,127,0,0,0,128,0,0,0,122,1,0,0,123,1,0,0,209,0,0,0,210,0,0,0,30,0,0,0,165,0,0,0,31,0,0,0,3,0,0,0,215,0,0,0,0,0,0,0,0,97,0,0,167,5,0,0,173,5,0,0,136,1,0,0,137,1,0,0,36,0,0,0,148,3,0,0,129,0,0,0,173,0,0,0,149,3,0,0,130,0,0,0,131,0,0,0,122,1,0,0,123,1,0,0,209,0,0,0,210,0,0,0,30,0,0,0,165,0,0,0,31,0,0,0,4,0,0,0,216,0,0,0,0,0,0,0,32,97,0,0,167,5,0,0,174,5,0,0,138,1,0,0,139,1,0,0,37,0,0,0,150,3,0,0,132,0,0,0,174,0,0,0,151,3,0,0,133,0,0,0,134,0,0,0,122,1,0,0,123,1,0,0,209,0,0,0,210,0,0,0,30,0,0,0,165,0,0,0,31,0,0,0,140,1,0,0,217,0,0,0,0,0,0,0,64,97,0,0,167,5,0,0,175,5,0,0,141,1,0,0,142,1,0,0,38,0,0,0,152,3,0,0,135,0,0,0,175,0,0,0,153,3,0,0,136,0,0,0,137,0,0,0,122,1,0,0,123,1,0,0,209,0,0,0,210,0,0,0,30,0,0,0,165,0,0,0,31,0,0,0,143,1,0,0,218,0,0,0,0,0,0,0,96,97,0,0,167,5,0,0,176,5,0,0,144,1,0,0,145,1,0,0,39,0,0,0,154,3,0,0,138,0,0,0,176,0,0,0,155,3,0,0,139,0,0,0,140,0,0,0,122,1,0,0,123,1,0,0,209,0,0,0,210,0,0,0,30,0,0,0,165,0,0,0,31,0,0,0,146,1,0,0,219,0,0,0,0,0,0,0,128,97,0,0,167,5,0,0,177,5,0,0,147,1,0,0,148,1,0,0,40,0,0,0,156,3,0,0,141,0,0,0,177,0,0,0,157,3,0,0,142,0,0,0,143,0,0,0,122,1,0,0,123,1,0,0,209,0,0,0,210,0,0,0,30,0,0,0,165,0,0,0,31,0,0,0,149,1,0,0,220,0,0,0,0,0,0,0,168,97,0,0,178,5,0,0,179,5,0,0,150,1,0,0,0,0,0,0,192,97,0,0,180,5,0,0,181,5,0,0,178,0,0,0,179,0,0,0,180,0,0,0,144,0,0,0,145,0,0,0,1,0,0,0,2,0,0,0,181,0,0,0,182,0,0,0,146,0,0,0,89,0,0,0,80,0,0,0,81,0,0,0,0,0,0,0,208,97,0,0,182,5,0,0,183,5,0,0,183,0,0,0,0,0,0,0,224,97,0,0,184,5,0,0,185,5,0,0,147,0,0,0,148,0,0,0,0,0,0,0,240,97,0,0,186,5,0,0,187,5,0,0,221,0,0,0,151,1,0,0,184,0,0,0,0,0,0,0,8,98,0,0,151,5,0,0,188,5,0,0,222,0,0,0,0,0,0,0,0,1,0,0,0,9,0,0,0,0,0,0,8,0,0,0,1,0,0,0,32,32,32,32,0,0,0,0,121,211,7,0,84,170,17,0,138,191,17,0,121,220,7,0,220,101,2,0,5,0,0,0,0,0,0,0,0,0,0,0,198,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,0,0,0,224,0,0,0,120,183,17,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,100,158,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,103,2,0,9,0,0,0,0,0,0,0,0,0,0,0,198,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,0,0,0,0,0,0,0,224,0,0,0,128,183,17,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,103,2,0,5,0,0,0,0,0,0,0,0,0,0,0,198,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,226,0,0,0,224,0,0,0,136,187,17,0,0,4,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,103,2,0,108,104,2,0,20,0,0,0,67,46,85,84,70,45,56,0,0,0,0,0,0,0,0,0,0,0,0,0,222,18,4,149,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,80,104,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,192,3,0,0,192,4,0,0,192,5,0,0,192,6,0,0,192,7,0,0,192,8,0,0,192,9,0,0,192,10,0,0,192,11,0,0,192,12,0,0,192,13,0,0,192,14,0,0,192,15,0,0,192,16,0,0,192,17,0,0,192,18,0,0,192,19,0,0,192,20,0,0,192,21,0,0,192,22,0,0,192,23,0,0,192,24,0,0,192,25,0,0,192,26,0,0,192,27,0,0,192,28,0,0,192,29,0,0,192,30,0,0,192,31,0,0,192,0,0,0,179,1,0,0,195,2,0,0,195,3,0,0,195,4,0,0,195,5,0,0,195,6,0,0,195,7,0,0,195,8,0,0,195,9,0,0,195,10,0,0,195,11,0,0,195,12,0,0,195,13,0,0,211,14,0,0,195,15,0,0,195,0,0,12,187,1,0,12,195,2,0,12,195,3,0,12,195,4,0,12,211,10,0,0,0,100,0,0,0,232,3,0,0,16,39,0,0,160,134,1,0,64,66,15,0,128,150,152,0,0,225,245,5,95,112,137,0,255,9,47,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,227,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,202,149,2,0,16,108,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,25,0,0,0,26,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,30,0,0,0,31,0,0,0,32,0,0,0,33,0,0,0,34,0,0,0,35,0,0,0,36,0,0,0,37,0,0,0,38,0,0,0,39,0,0,0,40,0,0,0,41,0,0,0,42,0,0,0,43,0,0,0,44,0,0,0,45,0,0,0,46,0,0,0,47,0,0,0,48,0,0,0,49,0,0,0,50,0,0,0,51,0,0,0,52,0,0,0,53,0,0,0,54,0,0,0,55,0,0,0,56,0,0,0,57,0,0,0,58,0,0,0,59,0,0,0,60,0,0,0,61,0,0,0,62,0,0,0,63,0,0,0,64,0,0,0,65,0,0,0,66,0,0,0,67,0,0,0,68,0,0,0,69,0,0,0,70,0,0,0,71,0,0,0,72,0,0,0,73,0,0,0,74,0,0,0,75,0,0,0,76,0,0,0,77,0,0,0,78,0,0,0,79,0,0,0,80,0,0,0,81,0,0,0,82,0,0,0,83,0,0,0,84,0,0,0,85,0,0,0,86,0,0,0,87,0,0,0,88,0,0,0,89,0,0,0,90,0,0,0,91,0,0,0,92,0,0,0,93,0,0,0,94,0,0,0,95,0,0,0,96,0,0,0,65,0,0,0,66,0,0,0,67,0,0,0,68,0,0,0,69,0,0,0,70,0,0,0,71,0,0,0,72,0,0,0,73,0,0,0,74,0,0,0,75,0,0,0,76,0,0,0,77,0,0,0,78,0,0,0,79,0,0,0,80,0,0,0,81,0,0,0,82,0,0,0,83,0,0,0,84,0,0,0,85,0,0,0,86,0,0,0,87,0,0,0,88,0,0,0,89,0,0,0,90,0,0,0,123,0,0,0,124,0,0,0,125,0,0,0,126,0,0,0,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,114,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,25,0,0,0,26,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,30,0,0,0,31,0,0,0,32,0,0,0,33,0,0,0,34,0,0,0,35,0,0,0,36,0,0,0,37,0,0,0,38,0,0,0,39,0,0,0,40,0,0,0,41,0,0,0,42,0,0,0,43,0,0,0,44,0,0,0,45,0,0,0,46,0,0,0,47,0,0,0,48,0,0,0,49,0,0,0,50,0,0,0,51,0,0,0,52,0,0,0,53,0,0,0,54,0,0,0,55,0,0,0,56,0,0,0,57,0,0,0,58,0,0,0,59,0,0,0,60,0,0,0,61,0,0,0,62,0,0,0,63,0,0,0,64,0,0,0,97,0,0,0,98,0,0,0,99,0,0,0,100,0,0,0,101,0,0,0,102,0,0,0,103,0,0,0,104,0,0,0,105,0,0,0,106,0,0,0,107,0,0,0,108,0,0,0,109,0,0,0,110,0,0,0,111,0,0,0,112,0,0,0,113,0,0,0,114,0,0,0,115,0,0,0,116,0,0,0,117,0,0,0,118,0,0,0,119,0,0,0,120,0,0,0,121,0,0,0,122,0,0,0,91,0,0,0,92,0,0,0,93,0,0,0,94,0,0,0,95,0,0,0,96,0,0,0,97,0,0,0,98,0,0,0,99,0,0,0,100,0,0,0,101,0,0,0,102,0,0,0,103,0,0,0,104,0,0,0,105,0,0,0,106,0,0,0,107,0,0,0,108,0,0,0,109,0,0,0,110,0,0,0,111,0,0,0,112,0,0,0,113,0,0,0,114,0,0,0,115,0,0,0,116,0,0,0,117,0,0,0,118,0,0,0,119,0,0,0,120,0,0,0,121,0,0,0,122,0,0,0,123,0,0,0,124,0,0,0,125,0,0,0,126,0,0,0,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,3,0,0,0,5,0,0,0,7,0,0,0,11,0,0,0,13,0,0,0,17,0,0,0,19,0,0,0,23,0,0,0,29,0,0,0,31,0,0,0,37,0,0,0,41,0,0,0,43,0,0,0,47,0,0,0,53,0,0,0,59,0,0,0,61,0,0,0,67,0,0,0,71,0,0,0,73,0,0,0,79,0,0,0,83,0,0,0,89,0,0,0,97,0,0,0,101,0,0,0,103,0,0,0,107,0,0,0,109,0,0,0,113,0,0,0,127,0,0,0,131,0,0,0,137,0,0,0,139,0,0,0,149,0,0,0,151,0,0,0,157,0,0,0,163,0,0,0,167,0,0,0,173,0,0,0,179,0,0,0,181,0,0,0,191,0,0,0,193,0,0,0,197,0,0,0,199,0,0,0,211,0,0,0,1,0,0,0,11,0,0,0,13,0,0,0,17,0,0,0,19,0,0,0,23,0,0,0,29,0,0,0,31,0,0,0,37,0,0,0,41,0,0,0,43,0,0,0,47,0,0,0,53,0,0,0,59,0,0,0,61,0,0,0,67,0,0,0,71,0,0,0,73,0,0,0,79,0,0,0,83,0,0,0,89,0,0,0,97,0,0,0,101,0,0,0,103,0,0,0,107,0,0,0,109,0,0,0,113,0,0,0,121,0,0,0,127,0,0,0,131,0,0,0,137,0,0,0,139,0,0,0,143,0,0,0,149,0,0,0,151,0,0,0,157,0,0,0,163,0,0,0,167,0,0,0,169,0,0,0,173,0,0,0,179,0,0,0,181,0,0,0,187,0,0,0,191,0,0,0,193,0,0,0,197,0,0,0,199,0,0,0,209,0,0,0,0,0,0,0,208,98,0,0,189,5,0,0,190,5,0,0,0,0,0,0,232,98,0,0,191,5,0,0,192,5,0,0,8,0,0,0,1,0,0,0,77,0,0,0,40,0,0,0,5,0,0,0,6,0,0,0,2,0,0,0,35,0,0,0,8,0,0,0,25,0,0,0,3,0,0,0,26,0,0,0,0,0,0,0,240,98,0,0,193,5,0,0,194,5,0,0,158,3,0,0,228,0,0,0,82,0,0,0,149,0,0,0,199,2,0,0,200,2,0,0,229,0,0,0,201,2,0,0,202,2,0,0,152,1,0,0,230,0,0,0,153,1,0,0,8,0,0,0,0,0,0,0,248,98,0,0,45,0,0,0,46,0,0,0,248,255,255,255,248,255,255,255,248,98,0,0,47,0,0,0,48,0,0,0,48,120,2,0,68,120,2,0,8,0,0,0,0,0,0,0,16,99,0,0,195,5,0,0,196,5,0,0,248,255,255,255,248,255,255,255,16,99,0,0,197,5,0,0,198,5,0,0,96,120,2,0,116,120,2,0,76,34,0,0,96,34,0,0,4,0,0,0,0,0,0,0,64,99,0,0,199,5,0,0,200,5,0,0,252,255,255,255,252,255,255,255,64,99,0,0,201,5,0,0,202,5,0,0,152,120,2,0,172,120,2,0,12,0,0,0,0,0,0,0,88,99,0,0,51,0,0,0,52,0,0,0,4,0,0,0,248,255,255,255,88,99,0,0,53,0,0,0,54,0,0,0,244,255,255,255,244,255,255,255,88,99,0,0,55,0,0,0,56,0,0,0,200,120,2,0,132,99,0,0,152,99,0,0,76,34,0,0,96,34,0,0,240,120,2,0,220,120,2,0,0,0,0,0,160,99,0,0,203,5,0,0,204,5,0,0,159,3,0,0,228,0,0,0,82,0,0,0,149,0,0,0,203,2,0,0,200,2,0,0,229,0,0,0,201,2,0,0,202,2,0,0,152,1,0,0,231,0,0,0,154,1,0,0,0,0,0,0,176,99,0,0,205,5,0,0,206,5,0,0,160,3,0,0,1,0,0,0,77,0,0,0,40,0,0,0,204,2,0,0,6,0,0,0,2,0,0,0,35,0,0,0,8,0,0,0,25,0,0,0,232,0,0,0,155,1,0,0,0,0,0,0,192,99,0,0,207,5,0,0,208,5,0,0,161,3,0,0,228,0,0,0,82,0,0,0,149,0,0,0,199,2,0,0,200,2,0,0,229,0,0,0,205,2,0,0,206,2,0,0,156,1,0,0,230,0,0,0,153,1,0,0,0,0,0,0,208,99,0,0,209,5,0,0,210,5,0,0,162,3,0,0,1,0,0,0,77,0,0,0,40,0,0,0,5,0,0,0,6,0,0,0,2,0,0,0,207,2,0,0,208,2,0,0,157,1,0,0,3,0,0,0,26,0,0,0,0,0,0,0,224,99,0,0,211,5,0,0,212,5,0,0,213,5,0,0,72,0,0,0,150,0,0,0,233,0,0,0,0,0,0,0,0,100,0,0,214,5,0,0,215,5,0,0,213,5,0,0,73,0,0,0,151,0,0,0,234,0,0,0,0,0,0,0,16,100,0,0,216,5,0,0,217,5,0,0,213,5,0,0,32,0,0,0,33,0,0,0,34,0,0,0,35,0,0,0,36,0,0,0,37,0,0,0,38,0,0,0,39,0,0,0,40,0,0,0,41,0,0,0,42,0,0,0,0,0,0,0,80,100,0,0,218,5,0,0,219,5,0,0,213,5,0,0,43,0,0,0,44,0,0,0,45,0,0,0,46,0,0,0,47,0,0,0,48,0,0,0,49,0,0,0,50,0,0,0,51,0,0,0,52,0,0,0,53,0,0,0,0,0,0,0,136,100,0,0,220,5,0,0,221,5,0,0,213,5,0,0,74,0,0,0,75,0,0,0,54,0,0,0,76,0,0,0,55,0,0,0,1,0,0,0,2,0,0,0,77,0,0,0,0,0,0,0,200,100,0,0,222,5,0,0,223,5,0,0,213,5,0,0,78,0,0,0,79,0,0,0,56,0,0,0,80,0,0,0,57,0,0,0,3,0,0,0,4,0,0,0,81,0,0,0,0,0,0,0,0,101,0,0,224,5,0,0,225,5,0,0,213,5,0,0,209,2,0,0,58,0,0,0,59,0,0,0,60,0,0,0,61,0,0,0,62,0,0,0,2,0,0,0,248,255,255,255,0,101,0,0,210,2,0,0,211,2,0,0,212,2,0,0,213,2,0,0,214,2,0,0,215,2,0,0,216,2,0,0,0,0,0,0,56,101,0,0,226,5,0,0,227,5,0,0,213,5,0,0,217,2,0,0,63,0,0,0,64,0,0,0,65,0,0,0,66,0,0,0,67,0,0,0,3,0,0,0,248,255,255,255,56,101,0,0,218,2,0,0,219,2,0,0,220,2,0,0,221,2,0,0,222,2,0,0,223,2,0,0,224,2,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,0,0,0,0,37,0,0,0,109,0,0,0,47,0,0,0,37,0,0,0,100,0,0,0,47,0,0,0,37,0,0,0,121,0,0,0,0,0,0,0,37,0,0,0,73,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,112,0,0,0,0,0,0,0,37,0,0,0,97,0,0,0,32,0,0,0,37,0,0,0,98,0,0,0,32,0,0,0,37,0,0,0,100,0,0,0,32,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,89,0,0,0,0,0,0,0,65,0,0,0,77,0,0,0,0,0,0,0,80,0,0,0,77,0,0,0,0,0,0,0,74,0,0,0,97,0,0,0,110,0,0,0,117,0,0,0,97,0,0,0,114,0,0,0,121,0,0,0,0,0,0,0,70,0,0,0,101,0,0,0,98,0,0,0,114,0,0,0,117,0,0,0,97,0,0,0,114,0,0,0,121,0,0,0,0,0,0,0,77,0,0,0,97,0,0,0,114,0,0,0,99,0,0,0,104,0,0,0,0,0,0,0,65,0,0,0,112,0,0,0,114,0,0,0,105,0,0,0,108,0,0,0,0,0,0,0,77,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,74,0,0,0,117,0,0,0,110,0,0,0,101,0,0,0,0,0,0,0,74,0,0,0,117,0,0,0,108,0,0,0,121,0,0,0,0,0,0,0,65,0,0,0,117,0,0,0,103,0,0,0,117,0,0,0,115,0,0,0,116,0,0,0,0,0,0,0,83,0,0,0,101,0,0,0,112,0,0,0,116,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,79,0,0,0,99,0,0,0,116,0,0,0,111,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,78,0,0,0,111,0,0,0,118,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,68,0,0,0,101,0,0,0,99,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,74,0,0,0,97,0,0,0,110,0,0,0,0,0,0,0,70,0,0,0,101,0,0,0,98,0,0,0,0,0,0,0,77,0,0,0,97,0,0,0,114,0,0,0,0,0,0,0,65,0,0,0,112,0,0,0,114,0,0,0,0,0,0,0,74,0,0,0,117,0,0,0,110,0,0,0,0,0,0,0,74,0,0,0,117,0,0,0,108,0,0,0,0,0,0,0,65,0,0,0,117,0,0,0,103,0,0,0,0,0,0,0,83,0,0,0,101,0,0,0,112,0,0,0,0,0,0,0,79,0,0,0,99,0,0,0,116,0,0,0,0,0,0,0,78,0,0,0,111,0,0,0,118,0,0,0,0,0,0,0,68,0,0,0,101,0,0,0,99,0,0,0,0,0,0,0,83,0,0,0,117,0,0,0,110,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,77,0,0,0,111,0,0,0,110,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,84,0,0,0,117,0,0,0,101,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,87,0,0,0,101,0,0,0,100,0,0,0,110,0,0,0,101,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,84,0,0,0,104,0,0,0,117,0,0,0,114,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,70,0,0,0,114,0,0,0,105,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,83,0,0,0,97,0,0,0,116,0,0,0,117,0,0,0,114,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,83,0,0,0,117,0,0,0,110,0,0,0,0,0,0,0,77,0,0,0,111,0,0,0,110,0,0,0,0,0,0,0,84,0,0,0,117,0,0,0,101,0,0,0,0,0,0,0,87,0,0,0,101,0,0,0,100,0,0,0,0,0,0,0,84,0,0,0,104,0,0,0,117,0,0,0,0,0,0,0,70,0,0,0,114],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+153604);allocate([105,0,0,0,0,0,0,0,83,0,0,0,97,0,0,0,116,0,0,0,0,0,0,0,37,0,0,0,109,0,0,0,47,0,0,0,37,0,0,0,100,0,0,0,47,0,0,0,37,0,0,0,121,0,0,0,37,0,0,0,89,0,0,0,45,0,0,0,37,0,0,0,109,0,0,0,45,0,0,0,37,0,0,0,100,0,0,0,37,0,0,0,73,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,112,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,0,0,0,0,104,101,0,0,228,5,0,0,229,5,0,0,213,5,0,0,1,0,0,0,0,0,0,0,144,101,0,0,230,5,0,0,231,5,0,0,213,5,0,0,2,0,0,0,0,0,0,0,176,101,0,0,232,5,0,0,233,5,0,0,213,5,0,0,225,2,0,0,226,2,0,0,163,3,0,0,164,3,0,0,165,3,0,0,166,3,0,0,227,2,0,0,167,3,0,0,168,3,0,0,0,0,0,0,216,101,0,0,234,5,0,0,235,5,0,0,213,5,0,0,228,2,0,0,229,2,0,0,169,3,0,0,170,3,0,0,171,3,0,0,172,3,0,0,230,2,0,0,173,3,0,0,174,3,0,0,0,0,0,0,248,101,0,0,236,5,0,0,237,5,0,0,213,5,0,0,231,2,0,0,232,2,0,0,175,3,0,0,176,3,0,0,177,3,0,0,178,3,0,0,233,2,0,0,179,3,0,0,180,3,0,0,0,0,0,0,24,102,0,0,238,5,0,0,239,5,0,0,213,5,0,0,234,2,0,0,235,2,0,0,181,3,0,0,182,3,0,0,183,3,0,0,184,3,0,0,236,2,0,0,185,3,0,0,186,3,0,0,0,0,0,0,56,102,0,0,240,5,0,0,241,5,0,0,213,5,0,0,3,0,0,0,4,0,0,0,0,0,0,0,96,102,0,0,242,5,0,0,243,5,0,0,213,5,0,0,5,0,0,0,6,0,0,0,0,0,0,0,136,102,0,0,244,5,0,0,245,5,0,0,213,5,0,0,1,0,0,0,68,0,0,0,0,0,0,0,176,102,0,0,246,5,0,0,247,5,0,0,213,5,0,0,2,0,0,0,69,0,0,0,0,0,0,0,216,102,0,0,248,5,0,0,249,5,0,0,213,5,0,0,235,0,0,0,83,0,0,0,187,3,0,0,0,0,0,0,0,103,0,0,250,5,0,0,251,5,0,0,213,5,0,0,236,0,0,0,84,0,0,0,188,3,0,0,0,0,0,0,88,103,0,0,252,5,0,0,253,5,0,0,213,5,0,0,4,0,0,0,5,0,0,0,82,0,0,0,237,2,0,0,238,2,0,0,83,0,0,0,239,2,0,0,0,0,0,0,32,103,0,0,252,5,0,0,254,5,0,0,213,5,0,0,4,0,0,0,5,0,0,0,82,0,0,0,237,2,0,0,238,2,0,0,83,0,0,0,239,2,0,0,0,0,0,0,136,103,0,0,255,5,0,0,0,6,0,0,213,5,0,0,6,0,0,0,7,0,0,0,84,0,0,0,240,2,0,0,241,2,0,0,85,0,0,0,242,2,0,0,0,0,0,0,200,103,0,0,1,6,0,0,2,6,0,0,213,5,0,0,0,0,0,0,216,103,0,0,3,6,0,0,4,6,0,0,213,5,0,0,158,1,0,0,237,0,0,0,159,1,0,0,238,0,0,0,160,1,0,0,41,0,0,0,239,0,0,0,86,0,0,0,0,0,0,0,32,104,0,0,5,6,0,0,6,6,0,0,213,5,0,0,243,2,0,0,244,2,0,0,189,3,0,0,190,3,0,0,191,3,0,0,0,0,0,0,48,104,0,0,7,6,0,0,8,6,0,0,213,5,0,0,245,2,0,0,246,2,0,0,192,3,0,0,193,3,0,0,194,3,0,0,102,0,0,0,97,0,0,0,108,0,0,0,115,0,0,0,101,0,0,0,0,0,0,0,116,0,0,0,114,0,0,0,117,0,0,0,101,0,0,0,0,0,0,0,0,0,0,0,240,99,0,0,252,5,0,0,9,6,0,0,213,5,0,0,0,0,0,0,0,104,0,0,252,5,0,0,10,6,0,0,213,5,0,0,240,0,0,0,42,0,0,0,43,0,0,0,44,0,0,0,161,1,0,0,241,0,0,0,162,1,0,0,242,0,0,0,163,1,0,0,45,0,0,0,243,0,0,0,87,0,0,0,0,0,0,0,104,103,0,0,252,5,0,0,11,6,0,0,213,5,0,0,8,0,0,0,9,0,0,0,88,0,0,0,247,2,0,0,248,2,0,0,89,0,0,0,249,2,0,0,0,0,0,0,168,103,0,0,252,5,0,0,12,6,0,0,213,5,0,0,10,0,0,0,11,0,0,0,90,0,0,0,250,2,0,0,251,2,0,0,91,0,0,0,252,2,0,0,0,0,0,0,48,103,0,0,252,5,0,0,13,6,0,0,213,5,0,0,4,0,0,0,5,0,0,0,82,0,0,0,237,2,0,0,238,2,0,0,83,0,0,0,239,2,0,0,0,0,0,0,48,101,0,0,210,2,0,0,211,2,0,0,212,2,0,0,213,2,0,0,214,2,0,0,215,2,0,0,216,2,0,0,0,0,0,0,96,101,0,0,218,2,0,0,219,2,0,0,220,2,0,0,221,2,0,0,222,2,0,0,223,2,0,0,224,2,0,0,2,0,0,0,190,249,7,0,0,0,0,0,80,104,0,0,14,6,0,0,15,6,0,0,16,6,0,0,17,6,0,0,244,0,0,0,85,0,0,0,90,0,0,0,152,0,0,0,0,0,0,0,120,104,0,0,14,6,0,0,18,6,0,0,16,6,0,0,17,6,0,0,244,0,0,0,86,0,0,0,91,0,0,0,153,0,0,0,0,0,0,0,136,104,0,0,19,6,0,0,20,6,0,0,253,2,0,0,0,0,0,0,152,104,0,0,19,6,0,0,21,6,0,0,253,2,0,0,0,0,0,0,168,104,0,0,19,6,0,0,22,6,0,0,253,2,0,0,0,0,0,0,184,104,0,0,23,6,0,0,24,6,0,0,254,2,0,0,0,0,0,0,232,104,0,0,14,6,0,0,25,6,0,0,16,6,0,0,17,6,0,0,245,0,0,0,0,0,0,0,216,104,0,0,14,6,0,0,26,6,0,0,16,6,0,0,17,6,0,0,246,0,0,0,0,0,0,0,104,105,0,0,14,6,0,0,27,6,0,0,16,6,0,0,17,6,0,0,244,0,0,0,87,0,0,0,92,0,0,0,154,0,0,0,96,7,0,0,0,8,80,0,0,8,16,0,20,8,115,0,18,7,31,0,0,8,112,0,0,8,48,0,0,9,192,0,16,7,10,0,0,8,96,0,0,8,32,0,0,9,160,0,0,8,0,0,0,8,128,0,0,8,64,0,0,9,224,0,16,7,6,0,0,8,88,0,0,8,24,0,0,9,144,0,19,7,59,0,0,8,120,0,0,8,56,0,0,9,208,0,17,7,17,0,0,8,104,0,0,8,40,0,0,9,176,0,0,8,8,0,0,8,136,0,0,8,72,0,0,9,240,0,16,7,4,0,0,8,84,0,0,8,20,0,21,8,227,0,19,7,43,0,0,8,116,0,0,8,52,0,0,9,200,0,17,7,13,0,0,8,100,0,0,8,36,0,0,9,168,0,0,8,4,0,0,8,132,0,0,8,68,0,0,9,232,0,16,7,8,0,0,8,92,0,0,8,28,0,0,9,152,0,20,7,83,0,0,8,124,0,0,8,60,0,0,9,216,0,18,7,23,0,0,8,108,0,0,8,44,0,0,9,184,0,0,8,12,0,0,8,140,0,0,8,76,0,0,9,248,0,16,7,3,0,0,8,82,0,0,8,18,0,21,8,163,0,19,7,35,0,0,8,114,0,0,8,50,0,0,9,196,0,17,7,11,0,0,8,98,0,0,8,34,0,0,9,164,0,0,8,2,0,0,8,130,0,0,8,66,0,0,9,228,0,16,7,7,0,0,8,90,0,0,8,26,0,0,9,148,0,20,7,67,0,0,8,122,0,0,8,58,0,0,9,212,0,18,7,19,0,0,8,106,0,0,8,42,0,0,9,180,0,0,8,10,0,0,8,138,0,0,8,74,0,0,9,244,0,16,7,5,0,0,8,86,0,0,8,22,0,64,8,0,0,19,7,51,0,0,8,118,0,0,8,54,0,0,9,204,0,17,7,15,0,0,8,102,0,0,8,38,0,0,9,172,0,0,8,6,0,0,8,134,0,0,8,70,0,0,9,236,0,16,7,9,0,0,8,94,0,0,8,30,0,0,9,156,0,20,7,99,0,0,8,126,0,0,8,62,0,0,9,220,0,18,7,27,0,0,8,110,0,0,8,46,0,0,9,188,0,0,8,14,0,0,8,142,0,0,8,78,0,0,9,252,0,96,7,0,0,0,8,81,0,0,8,17,0,21,8,131,0,18,7,31,0,0,8,113,0,0,8,49,0,0,9,194,0,16,7,10,0,0,8,97,0,0,8,33,0,0,9,162,0,0,8,1,0,0,8,129,0,0,8,65,0,0,9,226,0,16,7,6,0,0,8,89,0,0,8,25,0,0,9,146,0,19,7,59,0,0,8,121,0,0,8,57,0,0,9,210,0,17,7,17,0,0,8,105,0,0,8,41,0,0,9,178,0,0,8,9,0,0,8,137,0,0,8,73,0,0,9,242,0,16,7,4,0,0,8,85,0,0,8,21,0,16,8,2,1,19,7,43,0,0,8,117,0,0,8,53,0,0,9,202,0,17,7,13,0,0,8,101,0,0,8,37,0,0,9,170,0,0,8,5,0,0,8,133,0,0,8,69,0,0,9,234,0,16,7,8,0,0,8,93,0,0,8,29,0,0,9,154,0,20,7,83,0,0,8,125,0,0,8,61,0,0,9,218,0,18,7,23,0,0,8,109,0,0,8,45,0,0,9,186,0,0,8,13,0,0,8,141,0,0,8,77,0,0,9,250,0,16,7,3,0,0,8,83,0,0,8,19,0,21,8,195,0,19,7,35,0,0,8,115,0,0,8,51,0,0,9,198,0,17,7,11,0,0,8,99,0,0,8,35,0,0,9,166,0,0,8,3,0,0,8,131,0,0,8,67,0,0,9,230,0,16,7,7,0,0,8,91,0,0,8,27,0,0,9,150,0,20,7,67,0,0,8,123,0,0,8,59,0,0,9,214,0,18,7,19,0,0,8,107,0,0,8,43,0,0,9,182,0,0,8,11,0,0,8,139,0,0,8,75,0,0,9,246,0,16,7,5,0,0,8,87,0,0,8,23,0,64,8,0,0,19,7,51,0,0,8,119,0,0,8,55,0,0,9,206,0,17,7,15,0,0,8,103,0,0,8,39,0,0,9,174,0,0,8,7,0,0,8,135,0,0,8,71,0,0,9,238,0,16,7,9,0,0,8,95,0,0,8,31,0,0,9,158,0,20,7,99,0,0,8,127,0,0,8,63,0,0,9,222,0,18,7,27,0,0,8,111,0,0,8,47,0,0,9,190,0,0,8,15,0,0,8,143,0,0,8,79,0,0,9,254,0,96,7,0,0,0,8,80,0,0,8,16,0,20,8,115,0,18,7,31,0,0,8,112,0,0,8,48,0,0,9,193,0,16,7,10,0,0,8,96,0,0,8,32,0,0,9,161,0,0,8,0,0,0,8,128,0,0,8,64,0,0,9,225,0,16,7,6,0,0,8,88,0,0,8,24,0,0,9,145,0,19,7,59,0,0,8,120,0,0,8,56,0,0,9,209,0,17,7,17,0,0,8,104,0,0,8,40,0,0,9,177,0,0,8,8,0,0,8,136,0,0,8,72,0,0,9,241,0,16,7,4,0,0,8,84,0,0,8,20,0,21,8,227,0,19,7,43,0,0,8,116,0,0,8,52,0,0,9,201,0,17,7,13,0,0,8,100,0,0,8,36,0,0,9,169,0,0,8,4,0,0,8,132,0,0,8,68,0,0,9,233,0,16,7,8,0,0,8,92,0,0,8,28,0,0,9,153,0,20,7,83,0,0,8,124,0,0,8,60,0,0,9,217,0,18,7,23,0,0,8,108,0,0,8,44,0,0,9,185,0,0,8,12,0,0,8,140,0,0,8,76,0,0,9,249,0,16,7,3,0,0,8,82,0,0,8,18,0,21,8,163,0,19,7,35,0,0,8,114,0,0,8,50,0,0,9,197,0,17,7,11,0,0,8,98,0,0,8,34,0,0,9,165,0,0,8,2,0,0,8,130,0,0,8,66,0,0,9,229,0,16,7,7,0,0,8,90,0,0,8,26,0,0,9,149,0,20,7,67,0,0,8,122,0,0,8,58,0,0,9,213,0,18,7,19,0,0,8,106,0,0,8,42,0,0,9,181,0,0,8,10,0,0,8,138,0,0,8,74,0,0,9,245,0,16,7,5,0,0,8,86,0,0,8,22,0,64,8,0,0,19,7,51,0,0,8,118,0,0,8,54,0,0,9,205,0,17,7,15,0,0,8,102,0,0,8,38,0,0,9,173,0,0,8,6,0,0,8,134,0,0,8,70,0,0,9,237,0,16,7,9,0,0,8,94,0,0,8,30,0,0,9,157,0,20,7,99,0,0,8,126,0,0,8,62,0,0,9,221,0,18,7,27,0,0,8,110,0,0,8,46,0,0,9,189,0,0,8,14,0,0,8,142,0,0,8,78,0,0,9,253,0,96,7,0,0,0,8,81,0,0,8,17,0,21,8,131,0,18,7,31,0,0,8,113,0,0,8,49,0,0,9,195,0,16,7,10,0,0,8,97,0,0,8,33,0,0,9,163,0,0,8,1,0,0,8,129,0,0,8,65,0,0,9,227,0,16,7,6,0,0,8,89,0,0,8,25,0,0,9,147,0,19,7,59,0,0,8,121,0,0,8,57,0,0,9,211,0,17,7,17,0,0,8,105,0,0,8,41,0,0,9,179,0,0,8,9,0,0,8,137,0,0,8,73,0,0,9,243,0,16,7,4,0,0,8,85,0,0,8,21,0,16,8,2,1,19,7,43,0,0,8,117,0,0,8,53,0,0,9,203,0,17,7,13,0,0,8,101,0,0,8,37,0,0,9,171,0,0,8,5,0,0,8,133,0,0,8,69,0,0,9,235,0,16,7,8,0,0,8,93,0,0,8,29,0,0,9,155,0,20,7,83,0,0,8,125,0,0,8,61,0,0,9,219,0,18,7,23,0,0,8,109,0,0,8,45,0,0,9,187,0,0,8,13,0,0,8,141,0,0,8,77,0,0,9,251,0,16,7,3,0,0,8,83,0,0,8,19,0,21,8,195,0,19,7,35,0,0,8,115,0,0,8,51,0,0,9,199,0,17,7,11,0,0,8,99,0,0,8,35,0,0,9,167,0,0,8,3,0,0,8,131,0,0,8,67,0,0,9,231,0,16,7,7,0,0,8,91,0,0,8,27,0,0,9,151,0,20,7,67,0,0,8,123,0,0,8,59,0,0,9,215,0,18,7,19,0,0,8,107,0,0,8,43,0,0,9,183,0,0,8,11,0,0,8,139,0,0,8,75,0,0,9,247,0,16,7,5,0,0,8,87,0,0,8,23,0,64,8,0,0,19,7,51,0,0,8,119,0,0,8,55,0,0,9,207,0,17,7,15,0,0,8,103,0,0,8,39,0,0,9,175,0,0,8,7,0,0,8,135,0,0,8,71,0,0,9,239,0,16,7,9,0,0,8,95,0,0,8,31,0,0,9,159,0,20,7,99,0,0,8,127,0,0,8,63,0,0,9,223,0,18,7,27,0,0,8,111,0,0,8,47,0,0,9,191,0,0,8,15,0,0,8,143,0,0,8,79,0,0,9,255,0,16,5,1,0,23,5,1,1,19,5,17,0,27,5,1,16,17,5,5,0,25,5,1,4,21,5,65,0,29,5,1,64,16,5,3,0,24,5,1,2,20,5,33,0,28,5,1,32,18,5,9,0,26,5,1,8,22,5,129,0,64,5,0,0,16,5,2,0,23,5,129,1,19,5,25,0,27,5,1,24,17,5,7,0,25,5,1,6,21,5,97,0,29,5,1,96,16,5,4,0,24,5,1,3,20,5,49,0,28,5,1,48,18,5,13,0,26,5,1,12,22,5,193,0,64,5,0,0,16,0,17,0,18,0,0,0,8,0,7,0,9,0,6,0,10,0,5,0,11,0,4,0,12,0,3,0,13,0,2,0,14,0,1,0,15,0,1,0,2,0,3,0,4,0,5,0,7,0,9,0,13,0,17,0,25,0,33,0,49,0,65,0,97,0,129,0,193,0,1,1,129,1,1,2,1,3,1,4,1,6,1,8,1,12,1,16,1,24,1,32,1,48,1,64,1,96,0,0,0,0,3,0,4,0,5,0,6,0,7,0,8,0,9,0,10,0,11,0,13,0,15,0,17,0,19,0,23,0,27,0,31,0,35,0,43,0,51,0,59,0,67,0,83,0,99,0,115,0,131,0,163,0,195,0,227,0,2,1,0,0,0,0,16,0,16,0,16,0,16,0,17,0,17,0,18,0,18,0,19,0,19,0,20,0,20,0,21,0,21,0,22,0,22,0,23,0,23,0,24,0,24,0,25,0,25,0,26,0,26,0,27,0,27,0,28,0,28,0,29,0,29,0,64,0,64,0,16,0,16,0,16,0,16,0,16,0,16,0,16,0,16,0,17,0,17,0,17,0,17,0,18,0,18,0,18,0,18,0,19,0,19,0,19,0,19,0,20,0,20,0,20,0,20,0,21,0,21,0,21,0,21,0,16,0,77,0,202,0,0,0,5,0,16,0,5,0,8,0,5,0,24,0,5,0,4,0,5,0,20,0,5,0,12,0,5,0,28,0,5,0,2,0,5,0,18,0,5,0,10,0,5,0,26,0,5,0,6,0,5,0,22,0,5,0,14,0,5,0,30,0,5,0,1,0,5,0,17,0,5,0,9,0,5,0,25,0,5,0,5,0,5,0,21,0,5,0,13,0,5,0,29,0,5,0,3,0,5,0,19,0,5,0,11,0,5,0,27,0,5,0,7,0,5,0,23,0,5,0,12,0,8,0,140,0,8,0,76,0,8,0,204,0,8,0,44,0,8,0,172,0,8,0,108,0,8,0,236,0,8,0,28,0,8,0,156,0,8,0,92,0,8,0,220,0,8,0,60,0,8,0,188,0,8,0,124,0,8,0,252,0,8,0,2,0,8,0,130,0,8,0,66,0,8,0,194,0,8,0,34,0,8,0,162,0,8,0,98,0,8,0,226,0,8,0,18,0,8,0,146,0,8,0,82,0,8,0,210,0,8,0,50,0,8,0,178,0,8,0,114,0,8,0,242,0,8,0,10,0,8,0,138,0,8,0,74,0,8,0,202,0,8,0,42,0,8,0,170,0,8,0,106,0,8,0,234,0,8,0,26,0,8,0,154,0,8,0,90,0,8,0,218,0,8,0,58,0,8,0,186,0,8,0,122,0,8,0,250,0,8,0,6,0,8,0,134,0,8,0,70,0,8,0,198,0,8,0,38,0,8,0,166,0,8,0,102,0,8,0,230,0,8,0,22,0,8,0,150,0,8,0,86,0,8,0,214,0,8,0,54,0,8,0,182,0,8,0,118,0,8,0,246,0,8,0,14,0,8,0,142,0,8,0,78,0,8,0,206,0,8,0,46,0,8,0,174,0,8,0,110,0,8,0,238,0,8,0,30,0,8,0,158,0,8,0,94,0,8,0,222,0,8,0,62,0,8,0,190,0,8,0,126,0,8,0,254,0,8,0,1,0,8,0,129,0,8,0,65,0,8,0,193,0,8,0,33,0,8,0,161,0,8,0,97,0,8,0,225,0,8,0,17,0,8,0,145,0,8,0,81,0,8,0,209,0,8,0,49,0,8,0,177,0,8,0,113,0,8,0,241,0,8,0,9,0,8,0,137,0,8,0,73,0,8,0,201,0,8,0,41,0,8,0,169,0,8,0,105,0,8,0,233,0,8,0,25,0,8,0,153,0,8,0,89,0,8,0,217,0,8,0,57,0,8,0,185,0,8,0,121,0,8,0,249,0,8,0,5,0,8,0,133,0,8,0,69,0,8,0,197,0,8,0,37,0,8,0,165,0,8,0,101,0,8,0,229,0,8,0,21,0,8,0,149,0,8,0,85,0,8,0,213,0,8,0,53,0,8,0,181,0,8,0,117,0,8,0,245,0,8,0,13,0,8,0,141,0,8,0,77,0,8,0,205,0,8,0,45,0,8,0,173,0,8,0,109,0,8,0,237,0,8,0,29,0,8,0,157,0,8,0,93,0,8,0,221,0,8,0,61,0,8,0,189,0,8,0,125,0,8,0,253,0,8,0,19,0,9,0,19,1,9,0,147,0,9,0,147,1,9,0,83,0,9,0,83,1,9,0,211,0,9,0,211,1,9,0,51,0,9,0,51,1,9,0,179,0,9,0,179,1,9,0,115,0,9,0,115,1,9,0,243,0,9,0,243,1,9,0,11,0,9,0,11,1,9,0,139,0,9,0,139,1,9,0,75,0,9,0,75,1,9,0,203,0,9,0,203,1,9,0,43,0,9,0,43,1,9,0,171,0,9,0,171,1,9,0,107,0,9,0,107,1,9,0,235,0,9,0,235,1,9,0,27,0,9,0,27,1,9,0,155,0,9,0,155,1,9,0,91,0,9,0,91,1,9,0,219,0,9,0,219,1,9,0,59,0,9,0,59,1,9,0,187,0,9,0,187,1,9,0,123,0,9,0,123,1,9,0,251,0,9,0,251,1,9,0,7,0,9,0,7,1,9,0,135,0,9,0,135,1,9,0,71,0,9,0,71,1,9,0,199,0,9,0,199,1,9,0,39,0,9,0,39,1,9,0,167,0,9,0,167,1,9,0,103,0,9,0,103,1,9,0,231,0,9,0,231,1,9,0,23,0,9,0,23,1,9,0,151,0,9,0,151,1,9,0,87,0,9,0,87,1,9,0,215,0,9,0,215,1,9,0,55,0,9,0,55,1,9,0,183,0,9,0,183,1,9,0,119,0,9,0,119,1,9,0,247,0,9,0,247,1,9,0,15,0,9,0,15,1,9,0,143,0,9,0,143,1,9,0,79,0,9,0,79,1,9,0,207,0,9,0,207,1,9,0,47,0,9,0,47,1,9,0,175,0,9,0,175,1,9,0,111,0,9,0,111,1,9,0,239,0,9,0,239,1,9,0,31,0,9,0,31,1,9,0,159,0,9,0,159,1,9,0,95,0,9,0,95,1,9,0,223,0,9,0,223,1,9,0,63,0,9,0,63,1,9,0,191,0,9,0,191,1,9,0,127,0,9,0,127,1,9,0,255,0,9,0,255,1,9,0,0,0,7,0,64,0,7,0,32,0,7,0,96,0,7,0,16,0,7,0,80,0,7,0,48,0,7,0,112,0,7,0,8,0,7,0,72,0,7,0,40,0,7,0,104,0,7,0,24,0,7,0,88,0,7,0,56,0,7,0,120,0,7,0,4,0,7,0,68,0,7,0,36,0,7,0,100,0,7,0,20,0,7,0,84,0,7,0,52,0,7,0,116,0,7,0,3,0,8,0,131,0,8,0,67,0,8,0,195,0,8,0,35,0,8,0,163,0,8,0,99,0,8,0,227,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,3,32,2,32,2,32,2,32,2,32,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,1,96,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,8,216,8,216,8,216,8,216,8,216,8,216,8,216,8,216,8,216,8,216,4,192,4,192,4,192,4,192,4,192,4,192,4,192,8,213,8,213,8,213,8,213,8,213,8,213,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,4,192,4,192,4,192,4,192,4,192,4,192,8,214,8,214,8,214,8,214,8,214,8,214,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,4,192,4,192,4,192,4,192,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,117,115,104,0,73,110,116,86,101,99,116,111,114,0,70,108,111,97,116,86,101,99,116,111,114,0,68,111,117,98,108,101,86,101,99,116,111,114,0,80,111,105,110,116,86,101,99,116,111,114,0,77,97,116,86,101,99,116,111,114,0,82,101,99,116,86,101,99,116,111,114,0,101,121,101,0,111,110,101,115,0,122,101,114,111,115,0,109,97,116,83,105,122,101,0,115,116,101,112,0,100,97,116,97,56,83,0,100,97,116,97,49,54,85,0,100,97,116,97,49,54,83,0,100,97,116,97,51,50,83,0,100,97,116,97,51,50,70,0,100,97,116,97,54,52,70,0,101,108,101,109,83,105,122,101,0,101,108,101,109,83,105,122,101,49,0,99,104,97,110,110,101,108,115,0,114,111,119,0,114,111,119,82,97,110,103,101,0,99,111,108,82,97,110,103,101,0,115,116,101,112,49,0,99,108,111,110,101,0,99,111,108,0,109,117,108,0,105,110,118,0,117,99,104,97,114,80,116,114,0,99,104,97,114,80,116,114,0,115,104,111,114,116,80,116,114,0,117,115,104,111,114,116,80,116,114,0,105,110,116,80,116,114,0,102,108,111,97,116,80,116,114,0,100,111,117,98,108,101,80,116,114,0,99,104,97,114,65,116,0,117,99,104,97,114,65,116,0,115,104,111,114,116,65,116,0,117,115,104,111,114,116,65,116,0,105,110,116,65,116,0,102,108,111,97,116,65,116,0,100,111,117,98,108,101,65,116,0,82,97,110,103,101,0,84,101,114,109,67,114,105,116,101,114,105,97,0,109,97,120,67,111,117,110,116,0,35,116,121,112,101,0,82,101,99,116,0,82,101,99,116,50,102,0,82,111,116,97,116,101,100,82,101,99,116,0,99,101,110,116,101,114,0,97,110,103,108,101,0,114,111,116,97,116,101,100,82,101,99,116,80,111,105,110,116,115,0,114,111,116,97,116,101,100,82,101,99,116,66,111,117,110,100,105,110,103,82,101,99,116,0,114,111,116,97,116,101,100,82,101,99,116,66,111,117,110,100,105,110,103,82,101,99,116,50,102,0,83,99,97,108,97,114,0,77,105,110,77,97,120,76,111,99,0,109,105,110,86,97,108,0,109,97,120,86,97,108,0,109,105,110,76,111,99,0,109,97,120,76,111,99,0,67,105,114,99,108,101,0,114,97,100,105,117,115,0,77,111,109,101,110,116,115,0,109,48,48,0,109,49,48,0,109,48,49,0,109,50,48,0,109,49,49,0,109,48,50,0,109,51,48,0,109,50,49,0,109,49,50,0,109,48,51,0,109,117,50,48,0,109,117,49,49,0,109,117,48,50,0,109,117,51,48,0,109,117,50,49,0,109,117,49,50,0,109,117,48,51,0,110,117,50,48,0,110,117,49,49,0,110,117,48,50,0,110,117,51,48,0,110,117,50,49,0,110,117,49,50,0,110,117,48,51,0,69,120,99,101,112,116,105,111,110,0,99,111,100,101,0,109,115,103,0,101,120,99,101,112,116,105,111,110,70,114,111,109,80,116,114,0,109,111,114,112,104,111,108,111,103,121,68,101,102,97,117,108,116,66,111,114,100,101,114,86,97,108,117,101,0,67,86,95,77,65,84,95,68,69,80,84,72,0,67,97,109,83,104,105,102,116,0,103,101,116,66,117,105,108,100,73,110,102,111,114,109,97,116,105,111,110,0,67,86,95,56,85,67,49,0,67,86,95,56,85,67,50,0,67,86,95,56,85,67,51,0,67,86,95,56,85,67,52,0,67,86,95,56,83,67,49,0,67,86,95,56,83,67,50,0,67,86,95,56,83,67,51,0,67,86,95,56,83,67,52,0,67,86,95,49,54,85,67,49,0,67,86,95,49,54,85,67,50,0,67,86,95,49,54,85,67,51,0,67,86,95,49,54,85,67,52,0,67,86,95,49,54,83,67,49,0,67,86,95,49,54,83,67,50,0,67,86,95,49,54,83,67,51,0,67,86,95,49,54,83,67,52,0,67,86,95,51,50,83,67,50,0,67,86,95,51,50,83,67,51,0,67,86,95,51,50,83,67,52,0,67,86,95,51,50,70,67,50,0,67,86,95,51,50,70,67,51,0,67,86,95,51,50,70,67,52,0,67,86,95,54,52,70,67,49,0,67,86,95,54,52,70,67,50,0,67,86,95,54,52,70,67,51,0,67,86,95,54,52,70,67,52,0,73,78,84,95,77,73,78,0,73,78,84,95,77,65,88,0,67,97,110,110,121,49,0,71,97,117,115,115,105,97,110,66,108,117,114,0,72,111,117,103,104,76,105,110,101,115,0,72,111,117,103,104,76,105,110,101,115,80,0,76,97,112,108,97,99,105,97,110,0,83,99,104,97,114,114,0,83,111,98,101,108,0,97,98,115,100,105,102,102,0,97,100,100,0,97,100,100,87,101,105,103,104,116,101,100,0,98,105,116,119,105,115,101,95,97,110,100,0,98,105,116,119,105,115,101,95,110,111,116,0,98,105,116,119,105,115,101,95,111,114,0,98,105,116,119,105,115,101,95,120,111,114,0,98,108,117,114,0,98,111,117,110,100,105,110,103,82,101,99,116,0,98,111,120,70,105,108,116,101,114,0,99,97,108,99,79,112,116,105,99,97,108,70,108,111,119,70,97,114,110,101,98,97,99,107,0,99,97,108,99,79,112,116,105,99,97,108,70,108,111,119,80,121,114,76,75,0,99,111,114,110,101,114,72,97,114,114,105,115,0,99,111,114,110,101,114,77,105,110,69,105,103,101,110,86,97,108,0,100,105,108,97,116,101,0,100,105,115,116,97,110,99,101,84,114,97,110,115,102,111,114,109,87,105,116,104,76,97,98,101,108,115,0,100,105,118,105,100,101,0,100,105,118,105,100,101,49,0,101,108,108,105,112,115,101,49,0,101,108,108,105,112,115,101,50,80,111,108,121,0,101,114,111,100,101,0,101,115,116,105,109,97,116,101,82,105,103,105,100,84,114,97,110,115,102,111,114,109,49,0,102,105,108,116,101,114,50,68,0,103,101,116,79,112,116,105,109,97,108,68,70,84,83,105,122,101,0,103,101,116,82,111,116,97,116,105,111,110,77,97,116,114,105,120,50,68,0,103,111,111,100,70,101,97,116,117,114,101,115,84,111,84,114,97,99,107,49,0,105,110,116,101,103,114,97,108,50,0,109,105,110,0,109,105,110,65,114,101,97,82,101,99,116,0,109,117,108,116,105,112,108,121,0,110,111,114,109,49,0,112,117,116,84,101,120,116,0,114,97,110,100,110,0,114,97,110,100,117,0,115,101,116,82,78,71,83,101,101,100,0,115,113,114,116,0,115,117,98,116,114,97,99,116,0,98,108,111,98,70,114,111,109,73,109,97,103,101,0,114,101,97,100,78,101,116,70,114,111,109,67,97,102,102,101,0,114,101,97,100,78,101,116,70,114,111,109,67,97,102,102,101,49,0,114,101,97,100,78,101,116,70,114,111,109,68,97,114,107,110,101,116,49,0,114,101,97,100,78,101,116,70,114,111,109,84,101,110,115,111,114,102,108,111,119,0,114,101,97,100,78,101,116,70,114,111,109,84,101,110,115,111,114,102,108,111,119,49,0,114,101,97,100,78,101,116,70,114,111,109,84,111,114,99,104,0,72,79,71,68,101,115,99,114,105,112,116,111,114,0,108,111,97,100,0,103,101,116,68,101,102,97,117,108,116,80,101,111,112,108,101,68,101,116,101,99,116,111,114,0,103,101,116,68,97,105,109,108,101,114,80,101,111,112,108,101,68,101,116,101,99,116,111,114,0,115,118,109,68,101,116,101,99,116,111,114,0,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,0,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,77,79,71,50,0,80,116,114,60,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,77,79,71,50,62,0,67,76,65,72,69,0,115,101,116,84,105,108,101,115,71,114,105,100,83,105,122,101,0,99,111,108,108,101,99,116,71,97,114,98,97,103,101,0,115,101,116,67,108,105,112,76,105,109,105,116,0,103,101,116,84,105,108,101,115,71,114,105,100,83,105,122,101,0,103,101,116,67,108,105,112,76,105,109,105,116,0,80,116,114,60,67,76,65,72,69,62,0,65,108,103,111,114,105,116,104,109,0,100,110,110,95,78,101,116,0,102,111,114,119,97,114,100,49,0,102,111,114,119,97,114,100,50,0,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,0,100,101,116,101,99,116,77,117,108,116,105,83,99,97,108,101,50,0,100,101,116,101,99,116,77,117,108,116,105,83,99,97,108,101,51,0,65,67,67,69,83,83,95,70,65,83,84,0,65,67,67,69,83,83,95,77,65,83,75,0,65,67,67,69,83,83,95,82,69,65,68,0,65,67,67,69,83,83,95,82,87,0,65,67,67,69,83,83,95,87,82,73,84,69,0,65,68,65,80,84,73,86,69,95,84,72,82,69,83,72,95,71,65,85,83,83,73,65,78,95,67,0,65,68,65,80,84,73,86,69,95,84,72,82,69,83,72,95,77,69,65,78,95,67,0,66,79,82,68,69,82,95,67,79,78,83,84,65,78,84,0,66,79,82,68,69,82,95,68,69,70,65,85,76,84,0,66,79,82,68,69,82,95,73,83,79,76,65,84,69,68,0,66,79,82,68,69,82,95,82,69,70,76,69,67,84,0,66,79,82,68,69,82,95,82,69,70,76,69,67,84,49,48,49,0,66,79,82,68,69,82,95,82,69,70,76,69,67,84,95,49,48,49,0,66,79,82,68,69,82,95,82,69,80,76,73,67,65,84,69,0,66,79,82,68,69,82,95,84,82,65,78,83,80,65,82,69,78,84,0,66,79,82,68,69,82,95,87,82,65,80,0,67,65,83,67,65,68,69,95,68,79,95,67,65,78,78,89,95,80,82,85,78,73,78,71,0,67,65,83,67,65,68,69,95,68,79,95,82,79,85,71,72,95,83,69,65,82,67,72,0,67,65,83,67,65,68,69,95,70,73,78,68,95,66,73,71,71,69,83,84,95,79,66,74,69,67,84,0,67,65,83,67,65,68,69,95,83,67,65,76,69,95,73,77,65,71,69,0,67,67,76,95,68,69,70,65,85,76,84,0,67,67,76,95,71,82,65,78,65,0,67,67,76,95,87,85,0,67,67,95,83,84,65,84,95,65,82,69,65,0,67,67,95,83,84,65,84,95,72,69,73,71,72,84,0,67,67,95,83,84,65,84,95,76,69,70,84,0,67,67,95,83,84,65,84,95,77,65,88,0,67,67,95,83,84,65,84,95,84,79,80,0,67,67,95,83,84,65,84,95,87,73,68,84,72,0,67,72,65,73,78,95,65,80,80,82,79,88,95,78,79,78,69,0,67,72,65,73,78,95,65,80,80,82,79,88,95,83,73,77,80,76,69,0,67,72,65,73,78,95,65,80,80,82,79,88,95,84,67,56,57,95,75,67,79,83,0,67,72,65,73,78,95,65,80,80,82,79,88,95,84,67,56,57,95,76,49,0,67,77,80,95,69,81,0,67,77,80,95,71,69,0,67,77,80,95,71,84,0,67,77,80,95,76,69,0,67,77,80,95,76,84,0,67,77,80,95,78,69,0,67,79,76,79,82,77,65,80,95,65,85,84,85,77,78,0,67,79,76,79,82,77,65,80,95,66,79,78,69,0,67,79,76,79,82,77,65,80,95,67,79,79,76,0,67,79,76,79,82,77,65,80,95,72,79,84,0,67,79,76,79,82,77,65,80,95,72,83,86,0,67,79,76,79,82,77,65,80,95,74,69,84,0,67,79,76,79,82,77,65,80,95,79,67,69,65,78,0,67,79,76,79,82,77,65,80,95,80,65,82,85,76,65,0,67,79,76,79,82,77,65,80,95,80,73,78,75,0,67,79,76,79,82,77,65,80,95,82,65,73,78,66,79,87,0,67,79,76,79,82,77,65,80,95,83,80,82,73,78,71,0,67,79,76,79,82,77,65,80,95,83,85,77,77,69,82,0,67,79,76,79,82,77,65,80,95,87,73,78,84,69,82,0,67,79,76,79,82,95,66,71,82,50,66,71,82,53,53,53,0,67,79,76,79,82,95,66,71,82,50,66,71,82,53,54,53,0,67,79,76,79,82,95,66,71,82,50,66,71,82,65,0,67,79,76,79,82,95,66,71,82,50,71,82,65,89,0,67,79,76,79,82,95,66,71,82,50,72,76,83,0,67,79,76,79,82,95,66,71,82,50,72,76,83,95,70,85,76,76,0,67,79,76,79,82,95,66,71,82,50,72,83,86,0,67,79,76,79,82,95,66,71,82,50,72,83,86,95,70,85,76,76,0,67,79,76,79,82,95,66,71,82,50,76,97,98,0,67,79,76,79,82,95,66,71,82,50,76,117,118,0,67,79,76,79,82,95,66,71,82,50,82,71,66,0,67,79,76,79,82,95,66,71,82,50,82,71,66,65,0,67,79,76,79,82,95,66,71,82,50,88,89,90,0,67,79,76,79,82,95,66,71,82,50,89,67,114,67,98,0,67,79,76,79,82,95,66,71,82,50,89,85,86,0,67,79,76,79,82,95,66,71,82,50,89,85,86,95,73,52,50,48,0,67,79,76,79,82,95,66,71,82,50,89,85,86,95,73,89,85,86,0,67,79,76,79,82,95,66,71,82,50,89,85,86,95,89,86,49,50,0,67,79,76,79,82,95,66,71,82,53,53,53,50,66,71,82,0,67,79,76,79,82,95,66,71,82,53,53,53,50,66,71,82,65,0,67,79,76,79,82,95,66,71,82,53,53,53,50,71,82,65,89,0,67,79,76,79,82,95,66,71,82,53,53,53,50,82,71,66,0,67,79,76,79,82,95,66,71,82,53,53,53,50,82,71,66,65,0,67,79,76,79,82,95,66,71,82,53,54,53,50,66,71,82,0,67,79,76,79,82,95,66,71,82,53,54,53,50,66,71,82,65,0,67,79,76,79,82,95,66,71,82,53,54,53,50,71,82,65,89,0,67,79,76,79,82,95,66,71,82,53,54,53,50,82,71,66,0,67,79,76,79,82,95,66,71,82,53,54,53,50,82,71,66,65,0,67,79,76,79,82,95,66,71,82,65,50,66,71,82,0,67,79,76,79,82,95,66,71,82,65,50,66,71,82,53,53,53,0,67,79,76,79,82,95,66,71,82,65,50,66,71,82,53,54,53,0,67,79,76,79,82,95,66,71,82,65,50,71,82,65,89,0,67,79,76,79,82,95,66,71,82,65,50,82,71,66,0,67,79,76,79,82,95,66,71,82,65,50,82,71,66,65,0,67,79,76,79,82,95,66,71,82,65,50,89,85,86,95,73,52,50,48,0,67,79,76,79,82,95,66,71,82,65,50,89,85,86,95,73,89,85,86,0,67,79,76,79,82,95,66,71,82,65,50,89,85,86,95,89,86,49,50,0,67,79,76,79,82,95,66,97,121,101,114,66,71,50,66,71,82,0,67,79,76,79,82,95,66,97,121,101,114,66,71,50,66,71,82,65,0,67,79,76,79,82,95,66,97,121,101,114,66,71,50,66,71,82,95,69,65,0,67,79,76,79,82,95,66,97,121,101,114,66,71,50,66,71,82,95,86,78,71,0,67,79,76,79,82,95,66,97,121,101,114,66,71,50,71,82,65,89,0,67,79,76,79,82,95,66,97,121,101,114,66,71,50,82,71,66,0,67,79,76,79,82,95,66,97,121,101,114,66,71,50,82,71,66,65,0,67,79,76,79,82,95,66,97,121,101,114,66,71,50,82,71,66,95,69,65,0,67,79,76,79,82,95,66,97,121,101,114,66,71,50,82,71,66,95,86,78,71,0,67,79,76,79,82,95,66,97,121,101,114,71,66,50,66,71,82,0,67,79,76,79,82,95,66,97,121,101,114,71,66,50,66,71,82,65,0,67,79,76,79,82,95,66,97,121,101,114,71,66,50,66,71,82,95,69,65,0,67,79,76,79,82,95,66,97,121,101,114,71,66,50,66,71,82,95,86,78,71,0,67,79,76,79,82,95,66,97,121,101,114,71,66,50,71,82,65,89,0,67,79,76,79,82,95,66,97,121,101,114,71,66,50,82,71,66,0,67,79,76,79,82,95,66,97,121,101,114,71,66,50,82,71,66,65,0,67,79,76,79,82,95,66,97,121,101,114,71,66,50,82,71,66,95,69,65,0,67,79,76,79,82,95,66,97,121,101,114,71,66,50,82,71,66,95,86,78,71,0,67,79,76,79,82,95,66,97,121,101,114,71,82,50,66,71,82,0,67,79,76,79,82,95,66,97,121,101,114,71,82,50,66,71,82,65,0,67,79,76,79,82,95,66,97,121,101,114,71,82,50,66,71,82,95,69,65,0,67,79,76,79,82,95,66,97,121,101,114,71,82,50,66,71,82,95,86,78,71,0,67,79,76,79,82,95,66,97,121,101,114,71,82,50,71,82,65,89,0,67,79,76,79,82,95,66,97,121,101,114,71,82,50,82,71,66,0,67,79,76,79,82,95,66,97,121,101,114,71,82,50,82,71,66,65,0,67,79,76,79,82,95,66,97,121,101,114,71,82,50,82,71,66,95,69,65,0,67,79,76,79,82,95,66,97,121,101,114,71,82,50,82,71,66,95,86,78,71,0,67,79,76,79,82,95,66,97,121,101,114,82,71,50,66,71,82,0,67,79,76,79,82,95,66,97,121,101,114,82,71,50,66,71,82,65,0,67,79,76,79,82,95,66,97,121,101,114,82,71,50,66,71,82,95,69,65,0,67,79,76,79,82,95,66,97,121,101,114,82,71,50,66,71,82,95,86,78,71,0,67,79,76,79,82,95,66,97,121,101,114,82,71,50,71,82,65,89,0,67,79,76,79,82,95,66,97,121,101,114,82,71,50,82,71,66,0,67,79,76,79,82,95,66,97,121,101,114,82,71,50,82,71,66,65,0,67,79,76,79,82,95,66,97,121,101,114,82,71,50,82,71,66,95,69,65,0,67,79,76,79,82,95,66,97,121,101,114,82,71,50,82,71,66,95,86,78,71,0,67,79,76,79,82,95,67,79,76,79,82,67,86,84,95,77,65,88,0,67,79,76,79,82,95,71,82,65,89,50,66,71,82,0,67,79,76,79,82,95,71,82,65,89,50,66,71,82,53,53,53,0,67,79,76,79,82,95,71,82,65,89,50,66,71,82,53,54,53,0,67,79,76,79],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+163844);allocate([82,95,71,82,65,89,50,66,71,82,65,0,67,79,76,79,82,95,71,82,65,89,50,82,71,66,0,67,79,76,79,82,95,71,82,65,89,50,82,71,66,65,0,67,79,76,79,82,95,72,76,83,50,66,71,82,0,67,79,76,79,82,95,72,76,83,50,66,71,82,95,70,85,76,76,0,67,79,76,79,82,95,72,76,83,50,82,71,66,0,67,79,76,79,82,95,72,76,83,50,82,71,66,95,70,85,76,76,0,67,79,76,79,82,95,72,83,86,50,66,71,82,0,67,79,76,79,82,95,72,83,86,50,66,71,82,95,70,85,76,76,0,67,79,76,79,82,95,72,83,86,50,82,71,66,0,67,79,76,79,82,95,72,83,86,50,82,71,66,95,70,85,76,76,0,67,79,76,79,82,95,76,66,71,82,50,76,97,98,0,67,79,76,79,82,95,76,66,71,82,50,76,117,118,0,67,79,76,79,82,95,76,82,71,66,50,76,97,98,0,67,79,76,79,82,95,76,82,71,66,50,76,117,118,0,67,79,76,79,82,95,76,97,98,50,66,71,82,0,67,79,76,79,82,95,76,97,98,50,76,66,71,82,0,67,79,76,79,82,95,76,97,98,50,76,82,71,66,0,67,79,76,79,82,95,76,97,98,50,82,71,66,0,67,79,76,79,82,95,76,117,118,50,66,71,82,0,67,79,76,79,82,95,76,117,118,50,76,66,71,82,0,67,79,76,79,82,95,76,117,118,50,76,82,71,66,0,67,79,76,79,82,95,76,117,118,50,82,71,66,0,67,79,76,79,82,95,82,71,66,50,66,71,82,0,67,79,76,79,82,95,82,71,66,50,66,71,82,53,53,53,0,67,79,76,79,82,95,82,71,66,50,66,71,82,53,54,53,0,67,79,76,79,82,95,82,71,66,50,66,71,82,65,0,67,79,76,79,82,95,82,71,66,50,71,82,65,89,0,67,79,76,79,82,95,82,71,66,50,72,76,83,0,67,79,76,79,82,95,82,71,66,50,72,76,83,95,70,85,76,76,0,67,79,76,79,82,95,82,71,66,50,72,83,86,0,67,79,76,79,82,95,82,71,66,50,72,83,86,95,70,85,76,76,0,67,79,76,79,82,95,82,71,66,50,76,97,98,0,67,79,76,79,82,95,82,71,66,50,76,117,118,0,67,79,76,79,82,95,82,71,66,50,82,71,66,65,0,67,79,76,79,82,95,82,71,66,50,88,89,90,0,67,79,76,79,82,95,82,71,66,50,89,67,114,67,98,0,67,79,76,79,82,95,82,71,66,50,89,85,86,0,67,79,76,79,82,95,82,71,66,50,89,85,86,95,73,52,50,48,0,67,79,76,79,82,95,82,71,66,50,89,85,86,95,73,89,85,86,0,67,79,76,79,82,95,82,71,66,50,89,85,86,95,89,86,49,50,0,67,79,76,79,82,95,82,71,66,65,50,66,71,82,0,67,79,76,79,82,95,82,71,66,65,50,66,71,82,53,53,53,0,67,79,76,79,82,95,82,71,66,65,50,66,71,82,53,54,53,0,67,79,76,79,82,95,82,71,66,65,50,66,71,82,65,0,67,79,76,79,82,95,82,71,66,65,50,71,82,65,89,0,67,79,76,79,82,95,82,71,66,65,50,82,71,66,0,67,79,76,79,82,95,82,71,66,65,50,89,85,86,95,73,52,50,48,0,67,79,76,79,82,95,82,71,66,65,50,89,85,86,95,73,89,85,86,0,67,79,76,79,82,95,82,71,66,65,50,89,85,86,95,89,86,49,50,0,67,79,76,79,82,95,82,71,66,65,50,109,82,71,66,65,0,67,79,76,79,82,95,88,89,90,50,66,71,82,0,67,79,76,79,82,95,88,89,90,50,82,71,66,0,67,79,76,79,82,95,89,67,114,67,98,50,66,71,82,0,67,79,76,79,82,95,89,67,114,67,98,50,82,71,66,0,67,79,76,79,82,95,89,85,86,50,66,71,82,0,67,79,76,79,82,95,89,85,86,50,66,71,82,65,95,73,52,50,48,0,67,79,76,79,82,95,89,85,86,50,66,71,82,65,95,73,89,85,86,0,67,79,76,79,82,95,89,85,86,50,66,71,82,65,95,78,86,49,50,0,67,79,76,79,82,95,89,85,86,50,66,71,82,65,95,78,86,50,49,0,67,79,76,79,82,95,89,85,86,50,66,71,82,65,95,85,89,78,86,0,67,79,76,79,82,95,89,85,86,50,66,71,82,65,95,85,89,86,89,0,67,79,76,79,82,95,89,85,86,50,66,71,82,65,95,89,52,50,50,0,67,79,76,79,82,95,89,85,86,50,66,71,82,65,95,89,85,78,86,0,67,79,76,79,82,95,89,85,86,50,66,71,82,65,95,89,85,89,50,0,67,79,76,79,82,95,89,85,86,50,66,71,82,65,95,89,85,89,86,0,67,79,76,79,82,95,89,85,86,50,66,71,82,65,95,89,86,49,50,0,67,79,76,79,82,95,89,85,86,50,66,71,82,65,95,89,86,89,85,0,67,79,76,79,82,95,89,85,86,50,66,71,82,95,73,52,50,48,0,67,79,76,79,82,95,89,85,86,50,66,71,82,95,73,89,85,86,0,67,79,76,79,82,95,89,85,86,50,66,71,82,95,78,86,49,50,0,67,79,76,79,82,95,89,85,86,50,66,71,82,95,78,86,50,49,0,67,79,76,79,82,95,89,85,86,50,66,71,82,95,85,89,78,86,0,67,79,76,79,82,95,89,85,86,50,66,71,82,95,85,89,86,89,0,67,79,76,79,82,95,89,85,86,50,66,71,82,95,89,52,50,50,0,67,79,76,79,82,95,89,85,86,50,66,71,82,95,89,85,78,86,0,67,79,76,79,82,95,89,85,86,50,66,71,82,95,89,85,89,50,0,67,79,76,79,82,95,89,85,86,50,66,71,82,95,89,85,89,86,0,67,79,76,79,82,95,89,85,86,50,66,71,82,95,89,86,49,50,0,67,79,76,79,82,95,89,85,86,50,66,71,82,95,89,86,89,85,0,67,79,76,79,82,95,89,85,86,50,71,82,65,89,95,52,50,48,0,67,79,76,79,82,95,89,85,86,50,71,82,65,89,95,73,52,50,48,0,67,79,76,79,82,95,89,85,86,50,71,82,65,89,95,73,89,85,86,0,67,79,76,79,82,95,89,85,86,50,71,82,65,89,95,78,86,49,50,0,67,79,76,79,82,95,89,85,86,50,71,82,65,89,95,78,86,50,49,0,67,79,76,79,82,95,89,85,86,50,71,82,65,89,95,85,89,78,86,0,67,79,76,79,82,95,89,85,86,50,71,82,65,89,95,85,89,86,89,0,67,79,76,79,82,95,89,85,86,50,71,82,65,89,95,89,52,50,50,0,67,79,76,79,82,95,89,85,86,50,71,82,65,89,95,89,85,78,86,0,67,79,76,79,82,95,89,85,86,50,71,82,65,89,95,89,85,89,50,0,67,79,76,79,82,95,89,85,86,50,71,82,65,89,95,89,85,89,86,0,67,79,76,79,82,95,89,85,86,50,71,82,65,89,95,89,86,49,50,0,67,79,76,79,82,95,89,85,86,50,71,82,65,89,95,89,86,89,85,0,67,79,76,79,82,95,89,85,86,50,82,71,66,0,67,79,76,79,82,95,89,85,86,50,82,71,66,65,95,73,52,50,48,0,67,79,76,79,82,95,89,85,86,50,82,71,66,65,95,73,89,85,86,0,67,79,76,79,82,95,89,85,86,50,82,71,66,65,95,78,86,49,50,0,67,79,76,79,82,95,89,85,86,50,82,71,66,65,95,78,86,50,49,0,67,79,76,79,82,95,89,85,86,50,82,71,66,65,95,85,89,78,86,0,67,79,76,79,82,95,89,85,86,50,82,71,66,65,95,85,89,86,89,0,67,79,76,79,82,95,89,85,86,50,82,71,66,65,95,89,52,50,50,0,67,79,76,79,82,95,89,85,86,50,82,71,66,65,95,89,85,78,86,0,67,79,76,79,82,95,89,85,86,50,82,71,66,65,95,89,85,89,50,0,67,79,76,79,82,95,89,85,86,50,82,71,66,65,95,89,85,89,86,0,67,79,76,79,82,95,89,85,86,50,82,71,66,65,95,89,86,49,50,0,67,79,76,79,82,95,89,85,86,50,82,71,66,65,95,89,86,89,85,0,67,79,76,79,82,95,89,85,86,50,82,71,66,95,73,52,50,48,0,67,79,76,79,82,95,89,85,86,50,82,71,66,95,73,89,85,86,0,67,79,76,79,82,95,89,85,86,50,82,71,66,95,78,86,49,50,0,67,79,76,79,82,95,89,85,86,50,82,71,66,95,78,86,50,49,0,67,79,76,79,82,95,89,85,86,50,82,71,66,95,85,89,78,86,0,67,79,76,79,82,95,89,85,86,50,82,71,66,95,85,89,86,89,0,67,79,76,79,82,95,89,85,86,50,82,71,66,95,89,52,50,50,0,67,79,76,79,82,95,89,85,86,50,82,71,66,95,89,85,78,86,0,67,79,76,79,82,95,89,85,86,50,82,71,66,95,89,85,89,50,0,67,79,76,79,82,95,89,85,86,50,82,71,66,95,89,85,89,86,0,67,79,76,79,82,95,89,85,86,50,82,71,66,95,89,86,49,50,0,67,79,76,79,82,95,89,85,86,50,82,71,66,95,89,86,89,85,0,67,79,76,79,82,95,89,85,86,52,50,48,112,50,66,71,82,0,67,79,76,79,82,95,89,85,86,52,50,48,112,50,66,71,82,65,0,67,79,76,79,82,95,89,85,86,52,50,48,112,50,71,82,65,89,0,67,79,76,79,82,95,89,85,86,52,50,48,112,50,82,71,66,0,67,79,76,79,82,95,89,85,86,52,50,48,112,50,82,71,66,65,0,67,79,76,79,82,95,89,85,86,52,50,48,115,112,50,66,71,82,0,67,79,76,79,82,95,89,85,86,52,50,48,115,112,50,66,71,82,65,0,67,79,76,79,82,95,89,85,86,52,50,48,115,112,50,71,82,65,89,0,67,79,76,79,82,95,89,85,86,52,50,48,115,112,50,82,71,66,0,67,79,76,79,82,95,89,85,86,52,50,48,115,112,50,82,71,66,65,0,67,79,76,79,82,95,109,82,71,66,65,50,82,71,66,65,0,67,79,78,84,79,85,82,83,95,77,65,84,67,72,95,73,49,0,67,79,78,84,79,85,82,83,95,77,65,84,67,72,95,73,50,0,67,79,78,84,79,85,82,83,95,77,65,84,67,72,95,73,51,0,67,79,86,65,82,95,67,79,76,83,0,67,79,86,65,82,95,78,79,82,77,65,76,0,67,79,86,65,82,95,82,79,87,83,0,67,79,86,65,82,95,83,67,65,76,69,0,67,79,86,65,82,95,83,67,82,65,77,66,76,69,68,0,67,79,86,65,82,95,85,83,69,95,65,86,71,0,68,67,84,95,73,78,86,69,82,83,69,0,68,67,84,95,82,79,87,83,0,68,69,67,79,77,80,95,67,72,79,76,69,83,75,89,0,68,69,67,79,77,80,95,69,73,71,0,68,69,67,79,77,80,95,76,85,0,68,69,67,79,77,80,95,78,79,82,77,65,76,0,68,69,67,79,77,80,95,81,82,0,68,69,67,79,77,80,95,83,86,68,0,68,70,84,95,67,79,77,80,76,69,88,95,73,78,80,85,84,0,68,70,84,95,67,79,77,80,76,69,88,95,79,85,84,80,85,84,0,68,70,84,95,73,78,86,69,82,83,69,0,68,70,84,95,82,69,65,76,95,79,85,84,80,85,84,0,68,70,84,95,82,79,87,83,0,68,70,84,95,83,67,65,76,69,0,68,73,83,84,95,67,0,68,73,83,84,95,70,65,73,82,0,68,73,83,84,95,72,85,66,69,82,0,68,73,83,84,95,76,49,0,68,73,83,84,95,76,49,50,0,68,73,83,84,95,76,50,0,68,73,83,84,95,76,65,66,69,76,95,67,67,79,77,80,0,68,73,83,84,95,76,65,66,69,76,95,80,73,88,69,76,0,68,73,83,84,95,77,65,83,75,95,51,0,68,73,83,84,95,77,65,83,75,95,53,0,68,73,83,84,95,77,65,83,75,95,80,82,69,67,73,83,69,0,68,73,83,84,95,85,83,69,82,0,68,73,83,84,95,87,69,76,83,67,72,0,70,73,76,76,69,68,0,70,76,79,79,68,70,73,76,76,95,70,73,88,69,68,95,82,65,78,71,69,0,70,76,79,79,68,70,73,76,76,95,77,65,83,75,95,79,78,76,89,0,70,79,78,84,95,72,69,82,83,72,69,89,95,67,79,77,80,76,69,88,0,70,79,78,84,95,72,69,82,83,72,69,89,95,67,79,77,80,76,69,88,95,83,77,65,76,76,0,70,79,78,84,95,72,69,82,83,72,69,89,95,68,85,80,76,69,88,0,70,79,78,84,95,72,69,82,83,72,69,89,95,80,76,65,73,78,0,70,79,78,84,95,72,69,82,83,72,69,89,95,83,67,82,73,80,84,95,67,79,77,80,76,69,88,0,70,79,78,84,95,72,69,82,83,72,69,89,95,83,67,82,73,80,84,95,83,73,77,80,76,69,88,0,70,79,78,84,95,72,69,82,83,72,69,89,95,83,73,77,80,76,69,88,0,70,79,78,84,95,72,69,82,83,72,69,89,95,84,82,73,80,76,69,88,0,70,79,78,84,95,73,84,65,76,73,67,0,70,105,108,101,78,111,100,101,95,69,77,80,84,89,0,70,105,108,101,78,111,100,101,95,70,76,79,65,84,0,70,105,108,101,78,111,100,101,95,70,76,79,87,0,70,105,108,101,78,111,100,101,95,73,78,84,0,70,105,108,101,78,111,100,101,95,77,65,80,0,70,105,108,101,78,111,100,101,95,78,65,77,69,68,0,70,105,108,101,78,111,100,101,95,78,79,78,69,0,70,105,108,101,78,111,100,101,95,82,69,65,76,0,70,105,108,101,78,111,100,101,95,82,69,70,0,70,105,108,101,78,111,100,101,95,83,69,81,0,70,105,108,101,78,111,100,101,95,83,84,82,0,70,105,108,101,78,111,100,101,95,83,84,82,73,78,71,0,70,105,108,101,78,111,100,101,95,84,89,80,69,95,77,65,83,75,0,70,105,108,101,78,111,100,101,95,85,83,69,82,0,70,105,108,101,83,116,111,114,97,103,101,95,65,80,80,69,78,68,0,70,105,108,101,83,116,111,114,97,103,101,95,66,65,83,69,54,52,0,70,105,108,101,83,116,111,114,97,103,101,95,70,79,82,77,65,84,95,65,85,84,79,0,70,105,108,101,83,116,111,114,97,103,101,95,70,79,82,77,65,84,95,74,83,79,78,0,70,105,108,101,83,116,111,114,97,103,101,95,70,79,82,77,65,84,95,77,65,83,75,0,70,105,108,101,83,116,111,114,97,103,101,95,70,79,82,77,65,84,95,88,77,76,0,70,105,108,101,83,116,111,114,97,103,101,95,70,79,82,77,65,84,95,89,65,77,76,0,70,105,108,101,83,116,111,114,97,103,101,95,73,78,83,73,68,69,95,77,65,80,0,70,105,108,101,83,116,111,114,97,103,101,95,77,69,77,79,82,89,0,70,105,108,101,83,116,111,114,97,103,101,95,78,65,77,69,95,69,88,80,69,67,84,69,68,0,70,105,108,101,83,116,111,114,97,103,101,95,82,69,65,68,0,70,105,108,101,83,116,111,114,97,103,101,95,85,78,68,69,70,73,78,69,68,0,70,105,108,101,83,116,111,114,97,103,101,95,86,65,76,85,69,95,69,88,80,69,67,84,69,68,0,70,105,108,101,83,116,111,114,97,103,101,95,87,82,73,84,69,0,70,105,108,101,83,116,111,114,97,103,101,95,87,82,73,84,69,95,66,65,83,69,54,52,0,70,111,114,109,97,116,116,101,114,95,70,77,84,95,67,0,70,111,114,109,97,116,116,101,114,95,70,77,84,95,67,83,86,0,70,111,114,109,97,116,116,101,114,95,70,77,84,95,68,69,70,65,85,76,84,0,70,111,114,109,97,116,116,101,114,95,70,77,84,95,77,65,84,76,65,66,0,70,111,114,109,97,116,116,101,114,95,70,77,84,95,78,85,77,80,89,0,70,111,114,109,97,116,116,101,114,95,70,77,84,95,80,89,84,72,79,78,0,71,67,95,66,71,68,0,71,67,95,69,86,65,76,0,71,67,95,69,86,65,76,95,70,82,69,69,90,69,95,77,79,68,69,76,0,71,67,95,70,71,68,0,71,67,95,73,78,73,84,95,87,73,84,72,95,77,65,83,75,0,71,67,95,73,78,73,84,95,87,73,84,72,95,82,69,67,84,0,71,67,95,80,82,95,66,71,68,0,71,67,95,80,82,95,70,71,68,0,71,69,77,77,95,49,95,84,0,71,69,77,77,95,50,95,84,0,71,69,77,77,95,51,95,84,0,72,73,83,84,67,77,80,95,66,72,65,84,84,65,67,72,65,82,89,89,65,0,72,73,83,84,67,77,80,95,67,72,73,83,81,82,0,72,73,83,84,67,77,80,95,67,72,73,83,81,82,95,65,76,84,0,72,73,83,84,67,77,80,95,67,79,82,82,69,76,0,72,73,83,84,67,77,80,95,72,69,76,76,73,78,71,69,82,0,72,73,83,84,67,77,80,95,73,78,84,69,82,83,69,67,84,0,72,73,83,84,67,77,80,95,75,76,95,68,73,86,0,72,79,71,68,101,115,99,114,105,112,116,111,114,95,68,69,70,65,85,76,84,95,78,76,69,86,69,76,83,0,72,79,71,68,101,115,99,114,105,112,116,111,114,95,76,50,72,121,115,0,72,79,85,71,72,95,71,82,65,68,73,69,78,84,0,72,79,85,71,72,95,77,85,76,84,73,95,83,67,65,76,69,0,72,79,85,71,72,95,80,82,79,66,65,66,73,76,73,83,84,73,67,0,72,79,85,71,72,95,83,84,65,78,68,65,82,68,0,72,97,109,109,105,110,103,95,110,111,114,109,84,121,112,101,0,73,78,84,69,82,83,69,67,84,95,70,85,76,76,0,73,78,84,69,82,83,69,67,84,95,78,79,78,69,0,73,78,84,69,82,83,69,67,84,95,80,65,82,84,73,65,76,0,73,78,84,69,82,95,65,82,69,65,0,73,78,84,69,82,95,66,73,84,83,0,73,78,84,69,82,95,66,73,84,83,50,0,73,78,84,69,82,95,67,85,66,73,67,0,73,78,84,69,82,95,76,65,78,67,90,79,83,52,0,73,78,84,69,82,95,76,73,78,69,65,82,0,73,78,84,69,82,95,76,73,78,69,65,82,95,69,88,65,67,84,0,73,78,84,69,82,95,77,65,88,0,73,78,84,69,82,95,78,69,65,82,69,83,84,0,73,78,84,69,82,95,84,65,66,95,83,73,90,69,0,73,78,84,69,82,95,84,65,66,95,83,73,90,69,50,0,75,77,69,65,78,83,95,80,80,95,67,69,78,84,69,82,83,0,75,77,69,65,78,83,95,82,65,78,68,79,77,95,67,69,78,84,69,82,83,0,75,77,69,65,78,83,95,85,83,69,95,73,78,73,84,73,65,76,95,76,65,66,69,76,83,0,76,73,78,69,95,52,0,76,73,78,69,95,56,0,76,73,78,69,95,65,65,0,76,83,68,95,82,69,70,73,78,69,95,65,68,86,0,76,83,68,95,82,69,70,73,78,69,95,78,79,78,69,0,76,83,68,95,82,69,70,73,78,69,95,83,84,68,0,77,65,82,75,69,82,95,67,82,79,83,83,0,77,65,82,75,69,82,95,68,73,65,77,79,78,68,0,77,65,82,75,69,82,95,83,81,85,65,82,69,0,77,65,82,75,69,82,95,83,84,65,82,0,77,65,82,75,69,82,95,84,73,76,84,69,68,95,67,82,79,83,83,0,77,65,82,75,69,82,95,84,82,73,65,78,71,76,69,95,68,79,87,78,0,77,65,82,75,69,82,95,84,82,73,65,78,71,76,69,95,85,80,0,77,79,82,80,72,95,66,76,65,67,75,72,65,84,0,77,79,82,80,72,95,67,76,79,83,69,0,77,79,82,80,72,95,67,82,79,83,83,0,77,79,82,80,72,95,68,73,76,65,84,69,0,77,79,82,80,72,95,69,76,76,73,80,83,69,0,77,79,82,80,72,95,69,82,79,68,69,0,77,79,82,80,72,95,71,82,65,68,73,69,78,84,0,77,79,82,80,72,95,72,73,84,77,73,83,83,0,77,79,82,80,72,95,79,80,69,78,0,77,79,82,80,72,95,82,69,67,84,0,77,79,82,80,72,95,84,79,80,72,65,84,0,77,79,84,73,79,78,95,65,70,70,73,78,69,0,77,79,84,73,79,78,95,69,85,67,76,73,68,69,65,78,0,77,79,84,73,79,78,95,72,79,77,79,71,82,65,80,72,89,0,77,79,84,73,79,78,95,84,82,65,78,83,76,65,84,73,79,78,0,77,97,116,95,65,85,84,79,95,83,84,69,80,0,77,97,116,95,67,79,78,84,73,78,85,79,85,83,95,70,76,65,71,0,77,97,116,95,68,69,80,84,72,95,77,65,83,75,0,77,97,116,95,77,65,71,73,67,95,77,65,83,75,0,77,97,116,95,77,65,71,73,67,95,86,65,76,0,77,97,116,95,83,85,66,77,65,84,82,73,88,95,70,76,65,71,0,77,97,116,95,84,89,80,69,95,77,65,83,75,0,78,79,82,77,95,72,65,77,77,73,78,71,0,78,79,82,77,95,72,65,77,77,73,78,71,50,0,78,79,82,77,95,73,78,70,0,78,79,82,77,95,76,49,0,78,79,82,77,95,76,50,0,78,79,82,77,95,76,50,83,81,82,0,78,79,82,77,95,77,73,78,77,65,88,0,78,79,82,77,95,82,69,76,65,84,73,86,69,0,78,79,82,77,95,84,89,80,69,95,77,65,83,75,0,79,80,84,70,76,79,87,95,70,65,82,78,69,66,65,67,75,95,71,65,85,83,83,73,65,78,0,79,80,84,70,76,79,87,95,76,75,95,71,69,84,95,77,73,78,95,69,73,71,69,78,86,65,76,83,0,79,80,84,70,76,79,87,95,85,83,69,95,73,78,73,84,73,65,76,95,70,76,79,87,0,80,67,65,95,68,65,84,65,95,65,83,95,67,79,76,0,80,67,65,95,68,65,84,65,95,65,83,95,82,79,87,0,80,67,65,95,85,83,69,95,65,86,71,0,80,82,79,74,95,83,80,72,69,82,73,67,65,76,95,69,81,82,69,67,84,0,80,82,79,74,95,83,80,72,69,82,73,67,65,76,95,79,82,84,72,79,0,80,97,114,97,109,95,65,76,71,79,82,73,84,72,77,0,80,97,114,97,109,95,66,79,79,76,69,65,78,0,80,97,114,97,109,95,70,76,79,65,84,0,80,97,114,97,109,95,73,78,84,0,80,97,114,97,109,95,77,65,84,0,80,97,114,97,109,95,77,65,84,95,86,69,67,84,79,82,0,80,97,114,97,109,95,82,69,65,76,0,80,97,114,97,109,95,83,67,65,76,65,82,0,80,97,114,97,109,95,83,84,82,73,78,71,0,80,97,114,97,109,95,85,67,72,65,82,0,80,97,114,97,109,95,85,73,78,84,54,52,0,80,97,114,97,109,95,85,78,83,73,71,78,69,68,95,73,78,84,0,82,69,68,85,67,69,95,65,86,71,0,82,69,68,85,67,69,95,77,65,88,0,82,69,68,85,67,69,95,77,73,78,0,82,69,68,85,67,69,95,83,85,77,0,82,69,84,82,95,67,67,79,77,80,0,82,69,84,82,95,69,88,84,69,82,78,65,76,0,82,69,84,82,95,70,76,79,79,68,70,73,76,76,0,82,69,84,82,95,76,73,83,84,0,82,69,84,82,95,84,82,69,69,0,82,78,71,95,78,79,82,77,65,76,0,82,78,71,95,85,78,73,70,79,82,77,0,82,79,84,65,84,69,95,49,56,48,0,82,79,84,65,84,69,95,57,48,95,67,76,79,67,75,87,73,83,69,0,82,79,84,65,84,69,95,57,48,95,67,79,85,78,84,69,82,67,76,79,67,75,87,73,83,69,0,83,79,76,86,69,76,80,95,77,85,76,84,73,0,83,79,76,86,69,76,80,95,83,73,78,71,76,69,0,83,79,76,86,69,76,80,95,85,78,66,79,85,78,68,69,68,0,83,79,76,86,69,76,80,95,85,78,70,69,65,83,73,66,76,69,0,83,79,82,84,95,65,83,67,69,78,68,73,78,71,0,83,79,82,84,95,68,69,83,67,69,78,68,73,78,71,0,83,79,82,84,95,69,86,69,82,89,95,67,79,76,85,77,78,0,83,79,82,84,95,69,86,69,82,89,95,82,79,87,0,83,86,68,95,70,85,76,76,95,85,86,0,83,86,68,95,77,79,68,73,70,89,95,65,0,83,86,68,95,78,79,95,85,86,0,83,112,97,114,115,101,77,97,116,95,72,65,83,72,95,66,73,84,0,83,112,97,114,115,101,77,97,116,95,72,65,83,72,95,83,67,65,76,69,0,83,112,97,114,115,101,77,97,116,95,77,65,71,73,67,95,86,65,76,0,83,112,97,114,115,101,77,97,116,95,77,65,88,95,68,73,77,0,83,117,98,100,105,118,50,68,95,78,69,88,84,95,65,82,79,85,78,68,95,68,83,84,0,83,117,98,100,105,118,50,68,95,78,69,88,84,95,65,82,79,85,78,68,95,76,69,70,84,0,83,117,98,100,105,118,50,68,95,78,69,88,84,95,65,82,79,85,78,68,95,79,82,71,0,83,117,98,100,105,118,50,68,95,78,69,88,84,95,65,82,79,85,78,68,95,82,73,71,72,84,0,83,117,98,100,105,118,50,68,95,80,82,69,86,95,65,82,79,85,78,68,95,68,83,84,0,83,117,98,100,105,118,50,68,95,80,82,69,86,95,65,82,79,85,78,68,95,76,69,70,84,0,83,117,98,100,105,118,50,68,95,80,82,69,86,95,65,82,79,85,78,68,95,79,82,71,0,83,117,98,100,105,118,50,68,95,80,82,69,86,95,65,82,79,85,78,68,95,82,73,71,72,84,0,83,117,98,100,105,118,50,68,95,80,84,76,79,67,95,69,82,82,79,82,0,83,117,98,100,105,118,50,68,95,80,84,76,79,67,95,73,78,83,73,68,69,0,83,117,98,100,105,118,50,68,95,80,84,76,79,67,95,79,78,95,69,68,71,69,0,83,117,98,100,105,118,50,68,95,80,84,76,79,67,95,79,85,84,83,73,68,69,95,82,69,67,84,0,83,117,98,100,105,118,50,68,95,80,84,76,79,67,95,86,69,82,84,69,88,0,84,72,82,69,83,72,95,66,73,78,65,82,89,0,84,72,82,69,83,72,95,66,73,78,65,82,89,95,73,78,86,0,84,72,82,69,83,72,95,77,65,83,75,0,84,72,82,69,83,72,95,79,84,83,85,0,84,72,82,69,83,72,95,84,79,90,69,82,79,0,84,72,82,69,83,72,95,84,79,90,69,82,79,95,73,78,86,0,84,72,82,69,83,72,95,84,82,73,65,78,71,76,69,0,84,72,82,69,83,72,95,84,82,85,78,67,0,84,77,95,67,67,79,69,70,70,0,84,77,95,67,67,79,69,70,70,95,78,79,82,77,69,68,0,84,77,95,67,67,79,82,82,0,84,77,95,67,67,79,82,82,95,78,79,82,77,69,68,0,84,77,95,83,81,68,73,70,70,0,84,77,95,83,81,68,73,70,70,95,78,79,82,77,69,68,0,84,101,114,109,67,114,105,116,101,114,105,97,95,67,79,85,78,84,0,84,101,114,109,67,114,105,116,101,114,105,97,95,69,80,83,0,84,101,114,109,67,114,105,116,101,114,105,97,95,77,65,88,95,73,84,69,82,0,85,77,97,116,68,97,116,97,95,65,83,89,78,67,95,67,76,69,65,78,85,80,0,85,77,97,116,68,97,116,97,95,67,79,80,89,95,79,78,95,77,65,80,0,85,77,97,116,68,97,116,97,95,68,69,86,73,67,69,95,67,79,80,89,95,79,66,83,79,76,69,84,69,0,85,77,97,116,68,97,116,97,95,68,69,86,73,67,69,95,77,69,77,95,77,65,80,80,69,68,0,85,77,97,116,68,97,116,97,95,72,79,83,84,95,67,79,80,89,95,79,66,83,79,76,69,84,69,0,85,77,97,116,68,97,116,97,95,84,69,77,80,95,67,79,80,73,69,68,95,85,77,65,84,0,85,77,97,116,68,97,116,97,95,84,69,77,80,95,85,77,65,84,0,85,77,97,116,68,97,116,97,95,85,83,69,82,95,65,76,76,79,67,65,84,69,68,0,85,77,97,116,95,65,85,84,79,95,83,84,69,80,0,85,77,97,116,95,67,79,78,84,73,78,85,79,85,83,95,70,76,65,71,0,85,77,97,116,95,68,69,80,84,72,95,77,65,83,75,0,85,77,97,116,95,77,65,71,73,67,95,77,65,83,75,0,85,77,97,116,95,77,65,71,73,67,95,86,65,76,0,85,77,97,116,95,83,85,66,77,65,84,82,73,88,95,70,76,65,71,0,85,77,97,116,95,84,89,80,69,95,77,65,83,75,0,85,83,65,71,69,95,65,76,76,79,67,65,84,69,95,68,69,86,73,67,69,95,77,69,77,79,82,89,0,85,83,65,71,69,95,65,76,76,79,67,65,84,69,95,72,79,83,84,95,77,69,77,79,82,89,0,85,83,65,71,69,95,65,76,76,79,67,65,84,69,95,83,72,65,82,69,68,95,77,69,77,79,82,89,0,85,83,65,71,69,95,68,69,70,65,85,76,84,0,87,65,82,80,95,70,73,76,76,95,79,85,84,76,73,69,82,83,0,87,65,82,80,95,73,78,86,69,82,83,69,95,77,65,80,0,87,65,82,80,95,80,79,76,65,82,95,76,73,78,69,65,82,0,87,65,82,80,95,80,79,76,65,82,95,76,79,71,0,95,73,110,112,117,116,65,114,114,97,121,95,67,85,68,65,95,71,80,85,95,77,65,84,0,95,73,110,112,117,116,65,114,114,97,121,95,67,85,68,65,95,72,79,83,84,95,77,69,77,0,95,73,110,112,117,116,65,114,114,97,121,95,69,88,80,82,0,95,73,110,112,117,116,65,114,114,97,121,95,70,73,88,69,68,95,83,73,90,69,0,95,73,110,112,117,116,65,114,114,97,121,95,70,73,88,69,68,95,84,89,80,69,0,95,73,110,112,117,116,65,114,114,97,121,95,75,73,78,68,95,77,65,83,75,0,95,73,110,112,117,116,65,114,114,97,121,95,75,73,78,68,95,83,72,73,70,84,0,95,73,110,112,117,116,65,114,114,97,121,95,77,65,84,0,95,73,110,112,117,116,65,114,114,97,121,95,77,65,84,88,0,95,73,110,112,117,116,65,114,114,97,121,95,78,79,78,69,0,95,73,110,112,117,116,65,114,114,97,121,95,79,80,69,78,71,76,95,66,85,70,70,69,82,0,95,73,110,112,117,116,65,114,114,97,121,95,83,84,68,95,65,82,82,65,89,0,95,73,110,112,117,116,65,114,114,97,121,95,83,84,68,95,65,82,82,65,89,95,77,65,84,0,95,73,110,112,117,116,65,114,114,97,121,95,83,84,68,95,66,79,79,76,95,86,69,67,84,79,82,0,95,73,110,112,117,116,65,114,114,97,121,95,83,84,68,95,86,69,67,84,79,82,0,95,73,110,112,117,116,65,114,114,97,121,95,83,84,68,95,86,69,67,84,79,82,95,67,85,68,65,95,71,80,85,95,77,65,84,0,95,73,110,112,117,116,65,114,114,97,121,95,83,84,68,95,86,69,67,84,79,82,95,77,65,84,0,95,73,110,112,117,116,65,114,114,97,121,95,83,84,68,95,86,69,67,84,79,82,95,85,77,65,84,0,95,73,110,112,117,116,65,114,114,97,121,95,83,84,68,95,86,69,67,84,79,82,95,86,69,67,84,79,82,0,95,73,110,112,117,116,65,114,114,97,121,95,85,77,65,84,0,95,79,117,116,112,117,116,65,114,114,97,121,95,68,69,80,84,72,95,77,65,83,75,95,49,54,83,0,95,79,117,116,112,117,116,65,114,114,97,121,95,68,69,80,84,72,95,77,65,83,75,95,49,54,85,0,95,79,117,116,112,117,116,65,114,114,97,121,95,68,69,80,84,72,95,77,65,83,75,95,51,50,70,0,95,79,117,116,112,117,116,65,114,114,97,121,95,68,69,80,84,72,95,77,65,83,75,95,51,50,83,0,95,79,117,116,112,117,116,65,114,114,97,121,95,68,69,80,84,72,95,77,65,83,75,95,54,52,70,0,95,79,117,116,112,117,116,65,114,114,97,121,95,68,69,80,84,72,95,77,65,83,75,95,56,83,0,95,79,117,116,112,117,116,65,114,114,97,121,95,68,69,80,84,72,95,77,65,83,75,95,56,85,0,95,79,117,116,112,117,116,65,114,114,97,121,95,68,69,80,84,72,95,77,65,83,75,95,65,76,76,0,95,79,117,116,112,117,116,65,114,114,97,121,95,68,69,80,84,72,95,77,65,83,75,95,65,76,76,95,66,85,84,95,56,83,0,95,79,117,116,112,117,116,65,114,114,97,121,95,68,69,80,84,72,95,77,65,83,75,95,70,76,84,0,95,95,85,77,65,84,95,85,83,65,71,69,95,70,76,65,71,83,95,51,50,66,73,84,0,66,97,100,65,108,105,103,110,0,66,97,100,65,108,112,104,97,67,104,97,110,110,101,108,0,66,97,100,67,79,73,0,66,97,100,67,97,108,108,66,97,99,107,0,66,97,100,68,97,116,97,80,116,114,0,66,97,100,68,101,112,116,104,0,66,97,100,73,109,97,103,101,83,105,122,101,0,66,97,100,77,111,100,101,108,79,114,67,104,83,101,113,0,66,97,100,78,117,109,67,104,97,110,110,101,108,49,85,0,66,97,100,78,117,109,67,104,97,110,110,101,108,115,0,66,97,100,79,102,102,115,101,116,0,66,97,100,79,114,100,101,114,0,66,97,100,79,114,105,103,105,110,0,66,97,100,82,79,73,83,105,122,101,0,66,97,100,83,116,101,112,0,66,97,100,84,105,108,101,83,105,122,101,0,71,112,117,65,112,105,67,97,108,108,69,114,114,111,114,0,71,112,117,78,111,116,83,117,112,112,111,114,116,101,100,0,72,101,97,100,101,114,73,115,78,117,108,108,0,77,97,115,107,73,115,84,105,108,101,100,0,79,112,101,110,67,76,65,112,105,67,97,108,108,69,114,114,111,114,0,79,112,101,110,67,76,68,111,117,98,108,101,78,111,116,83,117,112,112,111,114,116,101,100,0,79,112,101,110,67,76,73,110,105,116,69,114,114,111,114,0,79,112,101,110,67,76,78,111,65,77,68,66,108,97,115,70,102,116,0,79,112,101,110,71,108,65,112,105,67,97,108,108,69,114,114,111,114,0,79,112,101,110,71,108,78,111,116,83,117,112,112,111,114,116,101,100,0,83,116,115,65,115,115,101,114,116,0,83,116,115,65,117,116,111,84,114,97,99,101,0,83,116,115,66,97,99,107,84,114,97,99,101,0,83,116,115,66,97,100,65,114,103,0,83,116,115,66,97,100,70,108,97,103,0,83,116,115,66,97,100,70,117,110,99,0,83,116,115,66,97,100,77,97,115,107,0,83,116,115,66,97,100,77,101,109,66,108,111,99,107,0,83,116,115,66,97,100,80,111,105,110,116,0,83,116,115,66,97,100,83,105,122,101,0,83,116,115,68,105,118,66,121,90,101,114,111,0,83,116,115,69,114,114,111,114,0,83,116,115,70,105,108,116,101,114,79,102,102,115,101,116,69,114,114,0,83,116,115,70,105,108,116,101,114,83,116,114,117,99,116,67,111,110,116,101,110,116,69,114,114,0,83,116,115,73,110,112,108,97,99,101,78,111,116,83,117,112,112,111,114,116,101,100,0,83,116,115,73,110,116,101,114,110,97,108,0,83,116,115,75,101,114,110,101,108,83,116,114,117,99,116,67,111,110,116,101,110,116,69,114,114,0,83,116,115,78,111,67,111,110,118,0,83,116,115,78,111,77,101,109,0,83,116,115,78,111,116,73,109,112,108,101,109,101,110,116,101,100,0,83,116,115,78,117,108,108,80,116,114,0,83,116,115,79,98,106,101,99,116,78,111,116,70,111,117,110,100,0,83,116,115,79,107,0,83,116,115,79,117,116,79,102,82,97,110,103,101,0,83,116,115,80,97,114,115,101,69,114,114,111,114,0,83,116,115,85,110,109,97,116,99,104,101,100,70,111,114,109,97,116,115,0,83,116,115,85,110,109,97,116,99,104,101,100,83,105,122,101,115,0,83,116,115,85,110,115,117,112,112,111,114,116,101,100,70,111,114,109,97,116,0,83,116,115,86,101,99,76,101,110,103,116,104,69,114,114,0,84,69,83,84,95,67,85,83,84,79,77,0,84,69,83,84,95,69,81,0,84,69,83,84,95,71,69,0,84,69,83,84,95,71,84,0,84,69,83,84,95,76,69,0,84,69,83,84,95,76,84,0,84,69,83,84,95,78,69,0,68,78,78,95,66,65,67,75,69,78,68,95,68,69,70,65,85,76,84,0,68,78,78,95,66,65,67,75,69,78,68,95,72,65,76,73,68,69,0,68,78,78,95,66,65,67,75,69,78,68,95,73,78,70,69,82,69,78,67,69,95,69,78,71,73,78,69,0,68,78,78,95,66,65,67,75,69,78,68,95,79,80,69,78,67,86,0,68,78,78,95,84,65,82,71,69,84,95,67,80,85,0,68,78,78,95,84,65,82,71,69,84,95,77,89,82,73,65,68,0,68,78,78,95,84,65,82,71,69,84,95,79,80,69,78,67,76,0,68,78,78,95,84,65,82,71,69,84,95,79,80,69,78,67,76,95,70,80,49,54,0,70,76,65,71,83,95,69,88,80,65,78,68,95,83,65,77,69,95,78,65,77,69,83,0,70,76,65,71,83,95,77,65,80,80,73,78,71,0,70,76,65,71,83,95,78,79,78,69,0,73,77,80,76,95,73,80,80,0,73,77,80,76,95,79,80,69,78,67,76,0,73,77,80,76,95,80,76,65,73,78,0,84,89,80,69,95,70,85,78,0,84,89,80,69,95,71,69,78,69,82,65,76,0,84,89,80,69,95,77,65,82,75,69,82,0,84,89,80,69,95,87,82,65,80,80,69,82,0,78,50,99,118,54,80,111,105,110,116,95,73,102,69,69,0,78,50,99,118,49,49,82,111,116,97,116,101,100,82,101,99,116,69,0,78,50,99,118,53,82,101,99,116,95,73,105,69,69,0,112,117,115,104,95,98,97,99,107,0,115,101,116,0,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,105,78,83,95,57,97,108,108,111,99,97,116,111,114,73,105,69,69,69,69,0,78,83,116,51,95,95,50,49,51,95,95,118,101,99,116,111,114,95,98,97,115,101,73,105,78,83,95,57,97,108,108,111,99,97,116,111,114,73,105,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,118,101,99,116,111,114,95,98,97,115,101,95,99,111,109,109,111,110,73,76,98,49,69,69,69,0,80,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,105,78,83,95,57,97,108,108,111,99,97,116,111,114,73,105,69,69,69,69,0,80,75,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,105,78,83,95,57,97,108,108,111,99,97,116,111,114,73,105,69,69,69,69,0,105,105,0,118,0,118,105,0,118,105,105,105,0,118,105,105,105,105,0,105,105,105,0,78,49,48,101,109,115,99,114,105,112,116,101,110,51,118,97,108,69,0,105,105,105,105,0,105,105,105,105,105,0,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,102,78,83,95,57,97,108,108,111,99,97,116,111,114,73,102,69,69,69,69,0,78,83,116,51,95,95,50,49,51,95,95,118,101,99,116,111,114,95,98,97,115,101,73,102,78,83,95,57,97,108,108,111,99,97,116,111,114,73,102,69,69,69,69,0,80,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,102,78,83,95,57,97,108,108,111,99,97,116,111,114,73,102,69,69,69,69,0,80,75,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,102,78,83,95,57,97,108,108,111,99,97,116,111,114,73,102,69,69,69,69,0,118,105,105,102,0,118,105,105,105,102,0,105,105,105,105,102,0,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,100,78,83,95,57,97,108,108,111,99,97,116,111,114,73,100,69,69,69,69,0,78,83,116,51,95,95,50,49,51,95,95,118,101,99,116,111,114,95,98,97,115,101,73,100,78,83,95,57,97,108,108,111,99,97,116,111,114,73,100,69,69,69,69,0,80,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,100,78,83,95,57,97,108,108,111,99,97,116,111,114,73,100,69,69,69,69,0,80,75,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,100,78,83,95,57,97,108,108,111,99,97,116,111,114,73,100,69,69,69,69,0,118,105,105,100,0,118,105,105,105,100,0,105,105,105,105,100,0,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,78,50,99,118,54,80,111,105,110,116,95,73,105,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,78,83,116,51,95,95,50,49,51,95,95,118,101,99,116,111,114,95,98,97,115,101,73,78,50,99,118,54,80,111,105,110,116,95,73,105,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,80,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,78,50,99,118,54,80,111,105,110,116,95,73,105,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,80,75,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,78,50,99,118,54,80,111,105,110,116,95,73,105,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,78,50,99,118,54,80,111,105,110,116,95,73,105,69,69,0,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,78,50,99,118,51,77,97,116,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,50,95,69,69,69,69,0,78,83,116,51,95,95,50,49,51,95,95,118,101,99,116,111,114,95,98,97,115,101,73,78,50,99,118,51,77,97,116,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,50,95,69,69,69,69,0,80,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,78,50,99,118,51,77,97,116,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,50,95,69,69,69,69,0,80,75,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,78,50,99,118,51,77,97,116,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,50,95,69,69,69,69,0,78,50,99,118,51,77,97,116,69,0,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,78,50,99,118,53,82,101,99,116,95,73,105,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,78,83,116,51,95,95,50,49,51,95,95,118,101,99,116,111,114,95,98,97,115,101,73,78,50,99,118,53,82,101,99,116,95,73,105,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,80,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,78,50,99,118,53,82,101,99,116,95,73,105,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,80,75,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,78,50,99,118,53,82,101,99,116,95,73,105,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,0,80,78,50,99,118,51,77,97,116,69,0,80,75,78,50,99,118,51,77,97,116,69,0,78,50,99,118,53,83,105,122,101,95,73,105,69,69,0,78,50,99,118,55,83,99,97,108,97,114,95,73,100,69,69,0,78,50,99,118,51,86,101,99,73,100,76,105,52,69,69,69,0,78,50,99,118,52,77,97,116,120,73,100,76,105,52,69,76,105,49,69,69,69,0,105,105,105,105,105,105,0,105,105,105,105,105,105,105,0,78,49,48,101,109,115,99,114,105,112,116,101,110,49,49,109,101,109,111,114,121,95,118,105,101,119,73,104,69,69,0,78,49,48,101,109,115,99,114,105,112,116,101,110,49,49,109,101,109,111,114,121,95,118,105,101,119,73,99,69,69,0,78,49,48,101,109,115,99,114,105,112,116,101,110,49,49,109,101,109,111,114,121,95,118,105,101,119,73,116,69,69,0,78,49,48,101,109,115,99,114,105,112,116,101,110,49,49,109,101,109,111,114,121,95,118,105,101,119,73,115,69,69,0,78,49,48,101,109,115,99,114,105,112,116,101,110,49,49,109,101,109,111,114,121,95,118,105,101,119,73,105,69,69,0,78,49,48,101,109,115,99,114,105,112,116,101,110,49,49,109,101,109,111,114,121,95,118,105,101,119,73,102],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+174084);allocate([69,69,0,78,49,48,101,109,115,99,114,105,112,116,101,110,49,49,109,101,109,111,114,121,95,118,105,101,119,73,100,69,69,0,118,105,105,105,105,100,100,0,118,105,105,105,105,100,0,118,105,105,105,105,105,0,78,50,99,118,53,82,97,110,103,101,69,0,100,105,105,105,0,102,105,105,105,0,102,105,105,105,105,0,102,105,105,105,105,105,0,100,105,105,105,105,105,0,100,105,105,105,105,0,78,50,99,118,49,50,84,101,114,109,67,114,105,116,101,114,105,97,69,0,100,105,105,0,78,50,99,118,53,83,105,122,101,95,73,102,69,69,0,102,105,105,0,78,50,99,118,53,82,101,99,116,95,73,102,69,69,0,78,49,51,98,105,110,100,105,110,103,95,117,116,105,108,115,57,77,105,110,77,97,120,76,111,99,69,0,78,49,51,98,105,110,100,105,110,103,95,117,116,105,108,115,54,67,105,114,99,108,101,69,0,78,50,99,118,55,77,111,109,101,110,116,115,69,0,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,78,83,116,51,95,95,50,50,49,95,95,98,97,115,105,99,95,115,116,114,105,110,103,95,99,111,109,109,111,110,73,76,98,49,69,69,69,0,108,101,110,103,116,104,0,78,50,99,118,54,83,116,114,105,110,103,69,0,118,105,105,105,100,100,105,105,0,118,105,105,105,100,100,105,0,118,105,105,105,100,100,0,118,105,105,105,105,100,100,105,0,118,105,105,105,105,100,100,100,100,105,105,0,118,105,105,105,105,100,100,100,100,105,0,118,105,105,105,105,100,100,100,100,0,118,105,105,105,105,100,100,100,0,118,105,105,105,100,100,105,100,100,100,100,0,118,105,105,105,100,100,105,100,100,100,0,118,105,105,105,100,100,105,100,100,0,118,105,105,105,100,100,105,100,0,118,105,105,105,105,105,100,100,105,0,118,105,105,105,105,105,100,100,0,118,105,105,105,105,105,100,0,118,105,105,105,105,105,105,100,100,105,0,118,105,105,105,105,105,105,100,100,0,118,105,105,105,105,105,105,100,0,118,105,105,105,105,105,105,0,118,105,105,105,105,105,105,105,100,100,105,0,118,105,105,105,105,105,105,105,100,100,0,118,105,105,105,105,105,105,105,100,0,118,105,105,105,105,105,105,105,0,118,105,105,105,100,105,105,105,100,0,118,105,105,100,105,100,100,105,105,0,118,105,105,100,105,100,100,105,0,118,105,105,105,100,105,0,118,105,105,105,105,105,105,105,105,0,118,105,105,105,105,100,105,105,105,105,100,105,0,118,105,105,105,105,105,105,105,105,105,105,105,100,0,118,105,105,105,105,105,105,105,105,105,105,105,0,118,105,105,105,105,105,105,105,105,105,105,0,118,105,105,105,105,105,105,105,105,105,0,105,105,105,105,105,105,105,105,0,118,105,105,105,105,105,100,105,0,118,105,105,105,105,100,105,0,118,105,100,105,105,105,0,118,105,100,105,105,0,118,105,105,105,105,100,100,100,105,105,105,105,0,118,105,105,105,105,100,100,100,105,105,105,0,118,105,105,105,105,100,100,100,105,105,0,118,105,105,105,105,100,100,100,105,0,105,105,105,105,105,105,100,105,0,118,105,105,105,105,105,105,100,105,0,100,105,105,105,105,105,105,105,0,100,105,105,105,105,105,105,0,118,105,105,105,100,105,100,105,105,0,118,105,105,105,100,105,100,105,0,105,105,105,100,100,0,118,105,105,105,105,100,100,105,105,105,100,0,118,105,105,105,105,100,100,105,105,105,0,118,105,105,105,105,100,100,105,105,0,118,105,105,105,105,100,100,105,105,105,105,100,0,118,105,105,105,105,100,100,105,105,105,105,0,100,105,105,105,105,105,105,105,105,0,100,105,105,105,105,100,0,118,105,105,105,100,100,105,105,105,0,118,105,105,100,105,0,118,105,105,105,105,105,100,105,105,105,105,0,118,105,105,105,105,105,100,105,105,105,0,118,105,105,105,105,105,100,105,105,0,118,105,105,105,105,105,105,105,100,105,0,118,105,105,0,100,105,105,105,100,100,105,0,105,105,105,100,105,105,105,105,105,0,105,105,105,100,105,105,105,105,0,105,105,105,100,105,105,105,0,105,105,105,100,105,105,0,105,105,105,100,105,0,105,105,105,100,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,51,78,101,116,69,0,80,78,50,99,118,49,51,72,79,71,68,101,115,99,114,105,112,116,111,114,69,0,80,75,78,50,99,118,49,51,72,79,71,68,101,115,99,114,105,112,116,111,114,69,0,105,105,105,105,105,105,105,105,100,105,100,105,105,105,0,118,105,105,105,105,105,100,105,105,100,100,105,0,118,105,105,105,105,105,100,105,105,100,100,0,118,105,105,105,105,105,100,105,105,100,0,78,50,99,118,50,48,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,69,0,80,78,50,99,118,50,48,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,69,0,80,75,78,50,99,118,50,48,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,69,0,78,50,99,118,50,52,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,77,79,71,50,69,0,80,78,50,99,118,50,52,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,77,79,71,50,69,0,80,75,78,50,99,118,50,52,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,77,79,71,50,69,0,78,50,99,118,51,80,116,114,73,78,83,95,50,52,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,77,79,71,50,69,69,69,0,78,50,99,118,53,67,76,65,72,69,69,0,80,78,50,99,118,53,67,76,65,72,69,69,0,80,75,78,50,99,118,53,67,76,65,72,69,69,0,78,50,99,118,51,80,116,114,73,78,83,95,53,67,76,65,72,69,69,69,69,0,105,105,100,105,0,105,105,100,0,80,78,50,99,118,57,65,108,103,111,114,105,116,104,109,69,0,80,75,78,50,99,118,57,65,108,103,111,114,105,116,104,109,69,0,80,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,51,78,101,116,69,0,80,75,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,51,78,101,116,69,0,78,50,99,118,49,55,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,69,0,80,78,50,99,118,49,55,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,69,0,80,75,78,50,99,118,49,55,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,69,0,118,105,105,105,105,105,105,100,105,105,105,105,105,0,118,105,105,105,105,105,105,100,105,105,105,105,0,118,105,105,105,105,105,105,100,105,105,105,0,118,105,105,105,105,105,105,100,105,105,0,118,105,105,105,105,100,105,105,105,105,0,118,105,105,105,105,100,105,105,105,0,118,105,105,105,105,100,105,105,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,53,79,99,118,68,102,116,66,97,115,105,99,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,50,95,69,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,56,80,116,114,79,119,110,101,114,69,0,99,46,102,97,99,116,111,114,115,91,48,93,32,61,61,32,99,46,102,97,99,116,111,114,115,91,99,46,110,102,45,49,93,0,68,70,84,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,100,120,116,46,99,112,112,0,0,128,64,192,32,160,96,224,16,144,80,208,48,176,112,240,8,136,72,200,40,168,104,232,24,152,88,216,56,184,120,248,4,132,68,196,36,164,100,228,20,148,84,212,52,180,116,244,12,140,76,204,44,172,108,236,28,156,92,220,60,188,124,252,2,130,66,194,34,162,98,226,18,146,82,210,50,178,114,242,10,138,74,202,42,170,106,234,26,154,90,218,58,186,122,250,6,134,70,198,38,166,102,230,22,150,86,214,54,182,118,246,14,142,78,206,46,174,110,238,30,158,94,222,62,190,126,254,1,129,65,193,33,161,97,225,17,145,81,209,49,177,113,241,9,137,73,201,41,169,105,233,25,153,89,217,57,185,121,249,5,133,69,197,37,165,101,229,21,149,85,213,53,181,117,245,13,141,77,205,45,173,109,237,29,157,93,221,61,189,125,253,3,131,67,195,35,163,99,227,19,147,83,211,51,179,115,243,11,139,75,203,43,171,107,235,27,155,91,219,59,187,123,251,7,135,71,199,39,167,103,231,23,151,87,215,55,183,119,247,15,143,79,207,47,175,111,239,31,159,95,223,63,191,127,255,78,50,99,118,49,53,79,99,118,68,102,116,66,97,115,105,99,73,109,112,108,69,0,78,50,99,118,51,104,97,108,53,68,70,84,49,68,69,0,78,50,99,118,49,54,82,101,112,108,97,99,101,109,101,110,116,68,70,84,49,68,69,0,84,104,105,115,32,109,111,100,101,32,40,117,115,105,110,103,32,110,111,110,122,101,114,111,95,114,111,119,115,32,119,105,116,104,32,97,32,115,105,110,103,108,101,45,99,111,108,117,109,110,32,109,97,116,114,105,120,41,32,98,114,101,97,107,115,32,116,104,101,32,102,117,110,99,116,105,111,110,39,115,32,108,111,103,105,99,44,32,115,111,32,105,116,32,105,115,32,112,114,111,104,105,98,105,116,101,100,46,10,70,111,114,32,102,97,115,116,32,99,111,110,118,111,108,117,116,105,111,110,47,99,111,114,114,101,108,97,116,105,111,110,32,117,115,101,32,50,45,99,111,108,117,109,110,32,109,97,116,114,105,120,32,111,114,32,115,105,110,103,108,101,45,114,111,119,32,109,97,116,114,105,120,32,105,110,115,116,101,97,100,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,48,79,99,118,68,102,116,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,50,95,69,69,69,69,0,78,50,99,118,49,48,79,99,118,68,102,116,73,109,112,108,69,0,78,50,99,118,51,104,97,108,53,68,70,84,50,68,69,0,78,50,99,118,49,54,82,101,112,108,97,99,101,109,101,110,116,68,70,84,50,68,69,0,116,121,112,101,32,61,61,32,67,86,95,51,50,70,67,49,32,124,124,32,116,121,112,101,32,61,61,32,67,86,95,51,50,70,67,50,32,124,124,32,116,121,112,101,32,61,61,32,67,86,95,54,52,70,67,49,32,124,124,32,116,121,112,101,32,61,61,32,67,86,95,54,52,70,67,50,0,100,102,116,0,33,40,40,102,108,97,103,115,32,38,32,68,70,84,95,67,79,77,80,76,69,88,95,73,78,80,85,84,41,32,38,38,32,115,114,99,46,99,104,97,110,110,101,108,115,40,41,32,33,61,32,50,41,0,118,111,105,100,32,99,118,58,58,100,102,116,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,41,0,116,121,112,101,32,61,61,32,115,114,99,66,46,116,121,112,101,40,41,32,38,38,32,115,114,99,65,46,115,105,122,101,40,41,32,61,61,32,115,114,99,66,46,115,105,122,101,40,41,0,109,117,108,83,112,101,99,116,114,117,109,115,0,118,111,105,100,32,99,118,58,58,109,117,108,83,112,101,99,116,114,117,109,115,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,98,111,111,108,41,0,105,32,60,32,48,0,103,101,116,77,97,116,95,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,109,97,116,114,105,120,95,119,114,97,112,46,99,112,112,0,48,32,60,61,32,105,32,38,38,32,105,32,60,32,40,105,110,116,41,118,118,46,115,105,122,101,40,41,0,48,32,60,61,32,105,32,38,38,32,105,32,60,32,40,105,110,116,41,118,46,115,105,122,101,40,41,0,48,32,60,61,32,105,32,38,38,32,105,32,60,32,115,122,46,104,101,105,103,104,116,0,89,111,117,32,115,104,111,117,108,100,32,101,120,112,108,105,99,105,116,108,121,32,99,97,108,108,32,109,97,112,72,111,115,116,47,117,110,109,97,112,72,111,115,116,32,109,101,116,104,111,100,115,32,102,111,114,32,111,103,108,58,58,66,117,102,102,101,114,32,111,98,106,101,99,116,0,89,111,117,32,115,104,111,117,108,100,32,101,120,112,108,105,99,105,116,108,121,32,99,97,108,108,32,100,111,119,110,108,111,97,100,32,109,101,116,104,111,100,32,102,111,114,32,99,117,100,97,58,58,71,112,117,77,97,116,32,111,98,106,101,99,116,0,85,110,107,110,111,119,110,47,117,110,115,117,112,112,111,114,116,101,100,32,97,114,114,97,121,32,116,121,112,101,0,40,102,108,97,103,115,32,38,32,70,73,88,69,68,95,84,89,80,69,41,32,33,61,32,48,0,105,32,60,32,40,105,110,116,41,118,118,46,115,105,122,101,40,41,0,105,32,60,32,115,122,46,104,101,105,103,104,116,0,103,101,116,77,97,116,86,101,99,116,111,114,0,100,105,109,115,0,101,109,112,116,121,0,105,32,62,61,32,48,32,38,38,32,40,115,105,122,101,95,116,41,105,32,60,32,118,118,46,115,105,122,101,40,41,0,105,115,67,111,110,116,105,110,117,111,117,115,0,105,32,62,32,48,32,38,38,32,105,32,60,32,115,122,46,104,101,105,103,104,116,0,33,102,105,120,101,100,83,105,122,101,40,41,0,33,102,105,120,101,100,83,105,122,101,40,41,32,124,124,32,40,40,77,97,116,42,41,111,98,106,41,45,62,115,105,122,101,46,111,112,101,114,97,116,111,114,40,41,40,41,32,61,61,32,95,115,122,0,33,102,105,120,101,100,84,121,112,101,40,41,32,124,124,32,40,40,77,97,116,42,41,111,98,106,41,45,62,116,121,112,101,40,41,32,61,61,32,109,116,121,112,101,0,33,102,105,120,101,100,83,105,122,101,40,41,32,124,124,32,40,40,85,77,97,116,42,41,111,98,106,41,45,62,115,105,122,101,46,111,112,101,114,97,116,111,114,40,41,40,41,32,61,61,32,95,115,122,0,33,102,105,120,101,100,84,121,112,101,40,41,32,124,124,32,40,40,85,77,97,116,42,41,111,98,106,41,45,62,116,121,112,101,40,41,32,61,61,32,109,116,121,112,101,0,33,102,105,120,101,100,83,105,122,101,40,41,32,124,124,32,40,40,99,117,100,97,58,58,71,112,117,77,97,116,42,41,111,98,106,41,45,62,115,105,122,101,40,41,32,61,61,32,95,115,122,0,33,102,105,120,101,100,84,121,112,101,40,41,32,124,124,32,40,40,99,117,100,97,58,58,71,112,117,77,97,116,42,41,111,98,106,41,45,62,116,121,112,101,40,41,32,61,61,32,109,116,121,112,101,0,33,102,105,120,101,100,83,105,122,101,40,41,32,124,124,32,40,40,111,103,108,58,58,66,117,102,102,101,114,42,41,111,98,106,41,45,62,115,105,122,101,40,41,32,61,61,32,95,115,122,0,33,102,105,120,101,100,84,121,112,101,40,41,32,124,124,32,40,40,111,103,108,58,58,66,117,102,102,101,114,42,41,111,98,106,41,45,62,116,121,112,101,40,41,32,61,61,32,109,116,121,112,101,0,33,102,105,120,101,100,83,105,122,101,40,41,32,124,124,32,40,40,99,117,100,97,58,58,72,111,115,116,77,101,109,42,41,111,98,106,41,45,62,115,105,122,101,40,41,32,61,61,32,95,115,122,0,33,102,105,120,101,100,84,121,112,101,40,41,32,124,124,32,40,40,99,117,100,97,58,58,72,111,115,116,77,101,109,42,41,111,98,106,41,45,62,116,121,112,101,40,41,32,61,61,32,109,116,121,112,101,0,33,102,105,120,101,100,84,121,112,101,40,41,32,38,38,32,33,102,105,120,101,100,83,105,122,101,40,41,0,67,86,95,77,65,84,95,84,89,80,69,40,109,116,121,112,101,41,32,61,61,32,109,46,116,121,112,101,40,41,0,109,46,100,105,109,115,32,61,61,32,100,0,109,46,115,105,122,101,91,106,93,32,61,61,32,115,105,122,101,115,91,106,93,0,109,116,121,112,101,32,61,61,32,116,121,112,101,48,32,124,124,32,40,67,86,95,77,65,84,95,67,78,40,109,116,121,112,101,41,32,61,61,32,49,32,38,38,32,40,40,49,32,60,60,32,116,121,112,101,48,41,32,38,32,102,105,120,101,100,68,101,112,116,104,77,97,115,107,41,32,33,61,32,48,41,0,100,32,61,61,32,50,32,38,38,32,40,40,115,105,122,101,115,91,48,93,32,61,61,32,115,122,46,104,101,105,103,104,116,32,38,38,32,115,105,122,101,115,91,49,93,32,61,61,32,115,122,46,119,105,100,116,104,41,32,124,124,32,40,97,108,108,111,119,84,114,97,110,115,112,111,115,101,100,32,38,38,32,115,105,122,101,115,91,48,93,32,61,61,32,115,122,46,119,105,100,116,104,32,38,38,32,115,105,122,101,115,91,49,93,32,61,61,32,115,122,46,104,101,105,103,104,116,41,41,0,100,32,61,61,32,50,32,38,38,32,115,122,46,97,114,101,97,40,41,32,61,61,32,115,105,122,101,115,91,48,93,42,115,105,122,101,115,91,49,93,0,100,32,61,61,32,50,32,38,38,32,40,115,105,122,101,115,91,48,93,32,61,61,32,49,32,124,124,32,115,105,122,101,115,91,49,93,32,61,61,32,49,32,124,124,32,115,105,122,101,115,91,48,93,42,115,105,122,101,115,91,49,93,32,61,61,32,48,41,0,33,102,105,120,101,100,83,105,122,101,40,41,32,124,124,32,108,101,110,32,61,61,32,118,118,46,115,105,122,101,40,41,0,109,116,121,112,101,32,61,61,32,116,121,112,101,48,32,124,124,32,40,67,86,95,77,65,84,95,67,78,40,109,116,121,112,101,41,32,61,61,32,67,86,95,77,65,84,95,67,78,40,116,121,112,101,48,41,32,38,38,32,40,40,49,32,60,60,32,116,121,112,101,48,41,32,38,32,102,105,120,101,100,68,101,112,116,104,77,97,115,107,41,32,33,61,32,48,41,0,33,102,105,120,101,100,83,105,122,101,40,41,32,124,124,32,108,101,110,32,61,61,32,40,40,115,116,100,58,58,118,101,99,116,111,114,60,117,99,104,97,114,62,42,41,118,41,45,62,115,105,122,101,40,41,32,47,32,101,115,122,0,86,101,99,116,111,114,115,32,119,105,116,104,32,101,108,101,109,101,110,116,32,115,105,122,101,32,37,100,32,97,114,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,46,32,80,108,101,97,115,101,44,32,109,111,100,105,102,121,32,79,117,116,112,117,116,65,114,114,97,121,58,58,99,114,101,97,116,101,40,41,10,0,99,114,101,97,116,101,40,41,32,99,97,108,108,101,100,32,102,111,114,32,116,104,101,32,109,105,115,115,105,110,103,32,111,117,116,112,117,116,32,97,114,114,97,121,0,33,102,105,120,101,100,83,105,122,101,40,41,32,124,124,32,108,101,110,32,61,61,32,108,101,110,48,0,118,91,106,93,46,101,109,112,116,121,40,41,0,105,32,60,32,40,105,110,116,41,118,46,115,105,122,101,40,41,0,108,101,110,32,61,61,32,108,101,110,48,0,103,101,116,77,97,116,82,101,102,0,107,32,61,61,32,83,84,68,95,86,69,67,84,79,82,95,77,65,84,32,124,124,32,107,32,61,61,32,83,84,68,95,65,82,82,65,89,95,77,65,84,0,33,102,105,120,101,100,83,105,122,101,40,41,32,124,124,32,40,40,77,97,116,42,41,111,98,106,41,45,62,115,105,122,101,46,111,112,101,114,97,116,111,114,40,41,40,41,32,61,61,32,83,105,122,101,40,95,99,111,108,115,44,32,95,114,111,119,115,41,0,33,102,105,120,101,100,83,105,122,101,40,41,32,124,124,32,40,40,85,77,97,116,42,41,111,98,106,41,45,62,115,105,122,101,46,111,112,101,114,97,116,111,114,40,41,40,41,32,61,61,32,83,105,122,101,40,95,99,111,108,115,44,32,95,114,111,119,115,41,0,33,102,105,120,101,100,83,105,122,101,40,41,32,124,124,32,40,40,99,117,100,97,58,58,71,112,117,77,97,116,42,41,111,98,106,41,45,62,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,95,99,111,108,115,44,32,95,114,111,119,115,41,0,33,102,105,120,101,100,83,105,122,101,40,41,32,124,124,32,40,40,111,103,108,58,58,66,117,102,102,101,114,42,41,111,98,106,41,45,62,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,95,99,111,108,115,44,32,95,114,111,119,115,41,0,33,102,105,120,101,100,83,105,122,101,40,41,32,124,124,32,40,40,99,117,100,97,58,58,72,111,115,116,77,101,109,42,41,111,98,106,41,45,62,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,95,99,111,108,115,44,32,95,114,111,119,115,41,0,99,108,101,97,114,0,99,104,101,99,107,83,99,97,108,97,114,40,118,97,108,117,101,44,32,116,121,112,101,40,41,44,32,97,114,114,46,107,105,110,100,40,41,44,32,95,73,110,112,117,116,65,114,114,97,121,58,58,67,85,68,65,95,71,80,85,95,77,65,84,41,0,116,104,105,115,95,118,46,115,105,122,101,40,41,32,61,61,32,118,46,115,105,122,101,40,41,0,70,97,105,108,101,100,32,116,111,32,97,108,108,111,99,97,116,101,32,37,108,108,117,32,98,121,116,101,115,0,79,117,116,79,102,77,101,109,111,114,121,69,114,114,111,114,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,97,108,108,111,99,46,99,112,112,0,118,105,114,116,117,97,108,32,105,110,116,32,99,118,58,58,77,97,116,79,112,58,58,116,121,112,101,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,109,97,116,114,105,120,95,101,120,112,114,101,115,115,105,111,110,115,46,99,112,112,0,78,50,99,118,49,49,77,97,116,79,112,95,83,111,108,118,101,69,0,67,86,95,77,65,84,95,67,78,40,95,116,121,112,101,41,32,61,61,32,101,46,97,46,99,104,97,110,110,101,108,115,40,41,0,97,115,115,105,103,110,0,78,50,99,118,49,52,77,97,116,79,112,95,73,100,101,110,116,105,116,121,69,0,78,50,99,118,49,50,77,97,116,79,112,95,73,110,118,101,114,116,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,95,71,69,77,77,58,58,116,114,97,110,115,112,111,115,101,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,95,71,69,77,77,58,58,109,117,108,116,105,112,108,121,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,100,111,117,98,108,101,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,95,71,69,77,77,58,58,115,117,98,116,114,97,99,116,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,95,71,69,77,77,58,58,97,100,100,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,78,50,99,118,49,48,77,97,116,79,112,95,71,69,77,77,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,95,65,100,100,69,120,58,58,116,114,97,110,115,112,111,115,101,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,95,66,105,110,58,58,100,105,118,105,100,101,40,100,111,117,98,108,101,44,32,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,95,66,105,110,58,58,109,117,108,116,105,112,108,121,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,100,111,117,98,108,101,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,85,110,107,110,111,119,110,32,111,112,101,114,97,116,105,111,110,0,78,50,99,118,57,77,97,116,79,112,95,66,105,110,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,95,65,100,100,69,120,58,58,97,98,115,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,95,65,100,100,69,120,58,58,100,105,118,105,100,101,40,100,111,117,98,108,101,44,32,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,95,65,100,100,69,120,58,58,109,117,108,116,105,112,108,121,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,100,111,117,98,108,101,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,95,65,100,100,69,120,58,58,115,117,98,116,114,97,99,116,40,99,111,110,115,116,32,83,99,97,108,97,114,32,38,44,32,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,95,65,100,100,69,120,58,58,97,100,100,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,78,50,99,118,49,49,77,97,116,79,112,95,65,100,100,69,120,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,95,84,58,58,116,114,97,110,115,112,111,115,101,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,95,84,58,58,109,117,108,116,105,112,108,121,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,100,111,117,98,108,101,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,78,50,99,118,55,77,97,116,79,112,95,84,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,58,58,116,114,97,110,115,112,111,115,101,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,58,58,97,98,115,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,58,58,100,105,118,105,100,101,40,100,111,117,98,108,101,44,32,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,58,58,100,105,118,105,100,101,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,100,111,117,98,108,101,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,58,58,109,117,108,116,105,112,108,121,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,100,111,117,98,108,101,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,58,58,109,117,108,116,105,112,108,121,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,100,111,117,98,108,101,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,58,58,115,117,98,116,114,97,99,116,40,99,111,110,115,116,32,83,99,97,108,97,114,32,38,44,32,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,58,58,115,117,98,116,114,97,99,116,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,58,58,97,100,100,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,58,58,97,100,100,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,78,50,99,118,53,77,97,116,79,112,69,0,78,50,99,118,57,77,97,116,79,112,95,67,109,112,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,79,112,95,73,110,105,116,105,97,108,105,122,101,114,58,58,109,117,108,116,105,112,108,121,40,99,111,110,115,116,32,99,118,58,58,77,97,116,69,120,112,114,32,38,44,32,100,111,117,98,108,101,44,32,99,118,58,58,77,97,116,69,120,112,114,32,38,41,32,99,111,110,115,116,0,73,110,118,97,108,105,100,32,109,97,116,114,105,120,32,105,110,105,116,105,97,108,105,122,101,114,32,116,121,112,101,0,78,50,99,118,49,55,77,97,116,79,112,95,73,110,105,116,105,97,108,105,122,101,114,69,0,99,118,58,58,77,97,116,69,120,112,114,32,99,118,58,58,97,98,115,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,38,41,0,105,110,116,32,99,118,58,58,77,97,116,69,120,112,114,58,58,116,121,112,101,40,41,32,99,111,110,115,116,0,99,118,58,58,77,97,116,69,120,112,114,32,99,118,58,58,77,97,116,58,58,116,40,41,32,99,111,110,115,116,0,99,118,58,58,77,97,116,69,120,112,114,32,99,118,58,58,77,97,116,58,58,105,110,118,40,105,110,116,41,32,99,111,110,115,116,0,99,118,58,58,77,97,116,69,120,112,114,32,99,118,58,58,77,97,116,58,58,109,117,108,40,73,110,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,41,32,99,111,110,115,116,0,115,116,97,116,105,99,32,99,118,58,58,77,97,116,69,120,112,114,32,99,118,58,58,77,97,116,58,58,122,101,114,111,115,40,105,110,116,44,32,105,110,116,44,32,105,110,116,41,0,115,116,97,116,105,99,32,99,118,58,58,77,97,116,69,120,112,114,32,99,118,58,58,77,97,116,58,58,122,101,114,111,115,40,83,105,122,101,44,32,105,110,116,41,0,115,116,97,116,105,99,32,99,118,58,58,77,97,116,69,120,112,114,32,99,118,58,58,77,97,116,58,58,111,110,101,115,40,105,110,116,44,32,105,110,116,44,32,105,110,116,41,0,115,116,97,116,105,99,32,99,118,58,58,77,97,116,69,120,112,114,32,99,118,58,58,77,97,116,58,58,111,110,101,115,40,83,105,122,101,44,32,105,110,116,41,0,115,116,97,116,105,99,32,99,118,58,58,77,97,116,69,120,112,114,32,99,118,58,58,77,97,116,58,58,101,121,101,40,105,110,116,44,32,105,110,116,44,32,105,110,116,41,0,115,116,97,116,105,99,32,99,118,58,58,77,97,116,69,120,112,114,32,99,118,58,58,77,97,116,58,58,101,121,101,40,83,105,122,101,44,32,105,110,116,41,0,115,114,99,32,38,38,32,110,115,114,99,115,32,62,32,48,32,38,38,32,100,115,116,32,38,38,32,110,100,115,116,115,32,62,32,48,32,38,38,32,102,114,111,109,84,111,32,38,38,32,110,112,97,105,114,115,32,62,32,48,0,109,105,120,67,104,97,110,110,101,108,115,0,106,32,60,32,110,115,114,99,115,32,38,38,32,115,114,99,91,106,93,46,100,101,112,116,104,40,41,32,61,61,32,100,101,112,116,104,0,105,49,32,62,61,32,48,32,38,38,32,106,32,60,32,110,100,115,116,115,32,38,38,32,100,115,116,91,106,93,46,100,101,112,116,104,40,41,32,61,61,32,100,101,112,116,104,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,99,104,97,110,110,101,108,115,46,99,112,112,0,118,111,105,100,32,99,118,58,58,109,105,120,67,104,97,110,110,101,108,115,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,42,44,32,115,105,122,101,95,116,44,32,99,118,58,58,77,97,116,32,42,44,32,115,105,122,101,95,116,44,32,99,111,110,115,116,32,105,110,116,32,42,44,32,115,105,122,101,95,116,41,0,102,114,111,109,84,111,46,115,105,122,101,40,41,37,50,32,61,61,32,48,32,38,38,32,110,115,114,99,32,62,32,48,32,38,38,32,110,100,115,116,32,62,32,48,0,118,111,105,100,32,99,118,58,58,109,105,120,67,104,97,110,110,101,108,115,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,105,110,116,62,32,38,41,0,48,32,60,61,32,99,111,105,32,38,38,32,99,111,105,32,60,32,99,110,0,101,120,116,114,97,99,116,67,104,97,110,110,101,108,0,118,111,105,100,32,99,118,58,58,101,120,116,114,97,99,116,67,104,97,110,110,101,108,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,0,79,80,69,78,67,86,95,75,77,69,65,78,83,95,80,65,82,65,76,76,69,76,95,71,82,65,78,85,76,65,82,73,84,89,0,100,97,116,97,48,46,100,105,109,115,32,60,61,32,50,32,38,38,32,116,121,112,101,32,61,61,32,67,86,95,51,50,70,32,38,38,32,75,32,62,32,48,0,107,109,101,97,110,115,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,107,109,101,97,110,115,46,99,112,112,0,78,32,62,61,32,75,0,40,98,101,115,116,95,108,97,98,101,108,115,46,99,111,108,115,32,61,61,32,49,32,124,124,32,98,101,115,116,95,108,97,98,101,108,115,46,114,111,119,115,32,61,61,32,49,41,32,38,38,32,98,101,115,116,95,108,97,98,101,108,115,46,99,111,108,115,42,98,101,115,116,95,108,97,98,101,108,115,46,114,111,119,115,32,61,61,32,78,32,38,38,32,98,101,115,116,95,108,97,98,101,108,115,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,83,32,38,38,32,98,101,115,116,95,108,97,98,101,108,115,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,40,117,110,115,105,103,110,101,100,41,95,108,97,98,101,108,115,46,97,116,60,105,110,116,62,40,105,41,32,60,32,40,117,110,115,105,103,110,101,100,41,75,0,99,111,117,110,116,101,114,115,91,107,93,32,33,61,32,48,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,75,77,101,97,110,115,68,105,115,116,97,110,99,101,67,111,109,112,117,116,101,114,60,102,97,108,115,101,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,111,110,108,121,68,105,115,116,97,110,99,101,32,61,32,102,97,108,115,101,93,0,78,50,99,118,50,50,75,77,101,97,110,115,68,105,115,116,97,110,99,101,67,111,109,112,117,116,101,114,73,76,98,48,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,75,77,101,97,110,115,68,105,115,116,97,110,99,101,67,111,109,112,117,116,101,114,60,116,114,117,101,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,111,110,108,121,68,105,115,116,97,110,99,101,32,61,32,116,114,117,101,93,0,78,50,99,118,50,50,75,77,101,97,110,115,68,105,115,116,97,110,99,101,67,111,109,112,117,116,101,114,73,76,98,49,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,75,77,101,97,110,115,80,80,68,105,115,116,97,110,99,101,67,111,109,112,117,116,101,114,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,0,78,50,99,118,50,52,75,77,101,97,110,115,80,80,68,105,115,116,97,110,99,101,67,111,109,112,117,116,101,114,69,0,118,111,105,100,32,99,118,58,58,103,101,110,101,114,97,116,101,67,101,110,116,101,114,115,80,80,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,38,44,32,99,118,58,58,77,97,116,32,38,44,32,105,110,116,44,32,99,118,58,58,82,78,71,32,38,44,32,105,110,116,41,0,100,111,117,98,108,101,32,99,118,58,58,107,109,101,97,110,115,40,73,110,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,99,118,58,58,84,101,114,109,67,114,105,116,101,114,105,97,44,32,105,110,116,44,32,105,110,116,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,115,117,109,46,99,112,112,0,99,118,58,58,83,99,97,108,97,114,32,99,118,58,58,115,117,109,40,73,110,112,117,116,65,114,114,97,121,41,0,99,111,110,118,101,114,116,65,110,100,85,110,114,111,108,108,83,99,97,108,97,114,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,97,114,105,116,104,109,46,99,112,112,0,84,104,101,32,111,112,101,114,97,116,105,111,110,32,105,115,32,110,101,105,116,104,101,114,32,39,97,114,114,97,121,32,111,112,32,97,114,114,97,121,39,32,40,119,104,101,114,101,32,97,114,114,97,121,115,32,104,97,118,101,32,116,104,101,32,115,97,109,101,32,115,105,122,101,32,97,110,100,32,116,121,112,101,41,44,32,110,111,114,32,39,97,114,114,97,121,32,111,112,32,115,99,97,108,97,114,39,44,32,110,111,114,32,39,115,99,97,108,97,114,32,111,112,32,97,114,114,97,121,39,0,98,105,110,97,114,121,95,111,112,0,112,115,114,99,49,45,62,115,97,109,101,83,105,122,101,40,42,112,115,114,99,50,41,32,38,38,32,116,121,112,101,49,32,61,61,32,116,121,112,101,50,0,40,109,116,121,112,101,32,61,61,32,67,86,95,56,85,32,124,124,32,109,116,121,112,101,32,61,61,32,67],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+184324);allocate([86,95,56,83,41,32,38,38,32,95,109,97,115,107,46,115,97,109,101,83,105,122,101,40,42,112,115,114,99,49,41,0,118,111,105,100,32,99,118,58,58,98,105,116,119,105,115,101,95,97,110,100,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,41,0,118,111,105,100,32,99,118,58,58,98,105,116,119,105,115,101,95,111,114,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,41,0,118,111,105,100,32,99,118,58,58,98,105,116,119,105,115,101,95,120,111,114,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,41,0,118,111,105,100,32,99,118,58,58,98,105,116,119,105,115,101,95,110,111,116,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,41,0,118,111,105,100,32,99,118,58,58,109,97,120,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,118,111,105,100,32,99,118,58,58,109,105,110,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,118,111,105,100,32,99,118,58,58,109,97,120,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,38,44,32,99,111,110,115,116,32,99,118,58,58,77,97,116,32,38,44,32,99,118,58,58,77,97,116,32,38,41,0,118,111,105,100,32,99,118,58,58,109,105,110,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,38,44,32,99,111,110,115,116,32,99,118,58,58,77,97,116,32,38,44,32,99,118,58,58,77,97,116,32,38,41,0,84,104,101,32,111,112,101,114,97,116,105,111,110,32,105,115,32,110,101,105,116,104,101,114,32,39,97,114,114,97,121,32,111,112,32,97,114,114,97,121,39,32,40,119,104,101,114,101,32,97,114,114,97,121,115,32,104,97,118,101,32,116,104,101,32,115,97,109,101,32,115,105,122,101,32,97,110,100,32,116,104,101,32,115,97,109,101,32,110,117,109,98,101,114,32,111,102,32,99,104,97,110,110,101,108,115,41,44,32,110,111,114,32,39,97,114,114,97,121,32,111,112,32,115,99,97,108,97,114,39,44,32,110,111,114,32,39,115,99,97,108,97,114,32,111,112,32,97,114,114,97,121,39,0,97,114,105,116,104,109,95,111,112,0,116,121,112,101,50,32,61,61,32,67,86,95,54,52,70,32,38,38,32,40,115,122,50,46,104,101,105,103,104,116,32,61,61,32,49,32,124,124,32,115,122,50,46,104,101,105,103,104,116,32,61,61,32,52,41,0,87,104,101,110,32,116,104,101,32,105,110,112,117,116,32,97,114,114,97,121,115,32,105,110,32,97,100,100,47,115,117,98,116,114,97,99,116,47,109,117,108,116,105,112,108,121,47,100,105,118,105,100,101,32,102,117,110,99,116,105,111,110,115,32,104,97,118,101,32,100,105,102,102,101,114,101,110,116,32,116,121,112,101,115,44,32,116,104,101,32,111,117,116,112,117,116,32,97,114,114,97,121,32,116,121,112,101,32,109,117,115,116,32,98,101,32,101,120,112,108,105,99,105,116,108,121,32,115,112,101,99,105,102,105,101,100,0,40,109,116,121,112,101,32,61,61,32,67,86,95,56,85,67,49,32,124,124,32,109,116,121,112,101,32,61,61,32,67,86,95,56,83,67,49,41,32,38,38,32,95,109,97,115,107,46,115,97,109,101,83,105,122,101,40,42,112,115,114,99,49,41,0,118,111,105,100,32,99,118,58,58,97,100,100,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,115,117,98,116,114,97,99,116,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,97,98,115,100,105,102,102,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,118,111,105,100,32,99,118,58,58,109,117,108,116,105,112,108,121,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,100,105,118,105,100,101,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,100,105,118,105,100,101,40,100,111,117,98,108,101,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,97,100,100,87,101,105,103,104,116,101,100,40,73,110,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,73,110,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,0,111,112,32,61,61,32,67,77,80,95,76,84,32,124,124,32,111,112,32,61,61,32,67,77,80,95,76,69,32,124,124,32,111,112,32,61,61,32,67,77,80,95,69,81,32,124,124,32,111,112,32,61,61,32,67,77,80,95,78,69,32,124,124,32,111,112,32,61,61,32,67,77,80,95,71,69,32,124,124,32,111,112,32,61,61,32,67,77,80,95,71,84,0,99,111,109,112,97,114,101,0,95,115,114,99,49,46,101,109,112,116,121,40,41,32,61,61,32,95,115,114,99,50,46,101,109,112,116,121,40,41,0,84,104,101,32,111,112,101,114,97,116,105,111,110,32,105,115,32,110,101,105,116,104,101,114,32,39,97,114,114,97,121,32,111,112,32,97,114,114,97,121,39,32,40,119,104,101,114,101,32,97,114,114,97,121,115,32,104,97,118,101,32,116,104,101,32,115,97,109,101,32,115,105,122,101,32,97,110,100,32,116,104,101,32,115,97,109,101,32,116,121,112,101,41,44,32,110,111,114,32,39,97,114,114,97,121,32,111,112,32,115,99,97,108,97,114,39,44,32,110,111,114,32,39,115,99,97,108,97,114,32,111,112,32,97,114,114,97,121,39,0,118,111,105,100,32,99,118,58,58,99,111,109,112,97,114,101,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,0,33,32,95,115,114,99,46,101,109,112,116,121,40,41,0,105,110,82,97,110,103,101,0,84,104,101,32,108,111,119,101,114,32,98,111,117,110,100,97,114,121,32,105,115,32,110,101,105,116,104,101,114,32,97,110,32,97,114,114,97,121,32,111,102,32,116,104,101,32,115,97,109,101,32,115,105,122,101,32,97,110,100,32,115,97,109,101,32,116,121,112,101,32,97,115,32,115,114,99,44,32,110,111,114,32,97,32,115,99,97,108,97,114,0,84,104,101,32,117,112,112,101,114,32,98,111,117,110,100,97,114,121,32,105,115,32,110,101,105,116,104,101,114,32,97,110,32,97,114,114,97,121,32,111,102,32,116,104,101,32,115,97,109,101,32,115,105,122,101,32,97,110,100,32,115,97,109,101,32,116,121,112,101,32,97,115,32,115,114,99,44,32,110,111,114,32,97,32,115,99,97,108,97,114,0,108,98,83,99,97,108,97,114,32,61,61,32,117,98,83,99,97,108,97,114,0,108,98,46,116,121,112,101,40,41,32,61,61,32,117,98,46,116,121,112,101,40,41,0,118,111,105,100,32,99,118,58,58,105,110,82,97,110,103,101,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,115,112,108,105,116,46,99,112,112,0,118,111,105,100,32,99,118,58,58,115,112,108,105,116,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,38,44,32,99,118,58,58,77,97,116,32,42,41,0,33,95,109,118,46,102,105,120,101,100,84,121,112,101,40,41,32,124,124,32,95,109,118,46,101,109,112,116,121,40,41,32,124,124,32,95,109,118,46,116,121,112,101,40,41,32,61,61,32,109,46,100,101,112,116,104,40,41,0,118,111,105,100,32,99,118,58,58,115,112,108,105,116,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,115,114,99,91,105,93,46,100,105,109,115,32,60,61,32,50,32,38,38,32,115,114,99,91,105,93,46,114,111,119,115,32,61,61,32,115,114,99,91,48,93,46,114,111,119,115,32,38,38,32,115,114,99,91,105,93,46,116,121,112,101,40,41,32,61,61,32,115,114,99,91,48,93,46,116,121,112,101,40,41,0,104,99,111,110,99,97,116,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,109,97,116,114,105,120,95,111,112,101,114,97,116,105,111,110,115,46,99,112,112,0,118,111,105,100,32,99,118,58,58,104,99,111,110,99,97,116,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,42,44,32,115,105,122,101,95,116,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,118,111,105,100,32,99,118,58,58,104,99,111,110,99,97,116,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,115,114,99,91,105,93,46,100,105,109,115,32,60,61,32,50,32,38,38,32,115,114,99,91,105,93,46,99,111,108,115,32,61,61,32,115,114,99,91,48,93,46,99,111,108,115,32,38,38,32,115,114,99,91,105,93,46,116,121,112,101,40,41,32,61,61,32,115,114,99,91,48,93,46,116,121,112,101,40,41,0,118,99,111,110,99,97,116,0,118,111,105,100,32,99,118,58,58,118,99,111,110,99,97,116,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,42,44,32,115,105,122,101,95,116,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,118,111,105,100,32,99,118,58,58,118,99,111,110,99,97,116,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,95,109,46,100,105,109,115,40,41,32,60,61,32,50,0,115,101,116,73,100,101,110,116,105,116,121,0,118,111,105,100,32,99,118,58,58,115,101,116,73,100,101,110,116,105,116,121,40,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,41,0,116,114,97,99,101,0,99,118,58,58,83,99,97,108,97,114,32,99,118,58,58,116,114,97,99,101,40,73,110,112,117,116,65,114,114,97,121,41,0,95,115,114,99,46,100,105,109,115,40,41,32,60,61,32,50,32,38,38,32,101,115,122,32,60,61,32,51,50,0,116,114,97,110,115,112,111,115,101,0,115,114,99,46,115,105,122,101,40,41,32,61,61,32,100,115,116,46,115,105,122,101,40,41,32,38,38,32,40,115,114,99,46,99,111,108,115,32,61,61,32,49,32,124,124,32,115,114,99,46,114,111,119,115,32,61,61,32,49,41,0,118,111,105,100,32,99,118,58,58,116,114,97,110,115,112,111,115,101,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,109,46,100,105,109,115,32,60,61,32,50,32,38,38,32,109,46,114,111,119,115,32,61,61,32,109,46,99,111,108,115,0,99,111,109,112,108,101,116,101,83,121,109,109,0,118,111,105,100,32,99,118,58,58,99,111,109,112,108,101,116,101,83,121,109,109,40,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,98,111,111,108,41,0,114,101,100,117,99,101,0,111,112,32,61,61,32,67,86,95,82,69,68,85,67,69,95,83,85,77,32,124,124,32,111,112,32,61,61,32,67,86,95,82,69,68,85,67,69,95,77,65,88,32,124,124,32,111,112,32,61,61,32,67,86,95,82,69,68,85,67,69,95,77,73,78,32,124,124,32,111,112,32,61,61,32,67,86,95,82,69,68,85,67,69,95,65,86,71,0,85,110,115,117,112,112,111,114,116,101,100,32,99,111,109,98,105,110,97,116,105,111,110,32,111,102,32,105,110,112,117,116,32,97,110,100,32,111,117,116,112,117,116,32,97,114,114,97,121,32,102,111,114,109,97,116,115,0,118,111,105,100,32,99,118,58,58,114,101,100,117,99,101,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,41,0,115,114,99,46,100,105,109,115,32,60,61,32,50,32,38,38,32,115,114,99,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,49,0,115,111,114,116,0,118,111,105,100,32,99,118,58,58,115,111,114,116,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,0,109,118,32,38,38,32,110,32,62,32,48,0,109,101,114,103,101,0,109,118,91,105,93,46,115,105,122,101,32,61,61,32,109,118,91,48,93,46,115,105,122,101,32,38,38,32,109,118,91,105,93,46,100,101,112,116,104,40,41,32,61,61,32,100,101,112,116,104,0,48,32,60,32,99,110,32,38,38,32,99,110,32,60,61,32,67,86,95,67,78,95,77,65,88,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,109,101,114,103,101,46,99,112,112,0,118,111,105,100,32,99,118,58,58,109,101,114,103,101,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,42,44,32,115,105,122,101,95,116,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,118,111,105,100,32,99,118,58,58,109,101,114,103,101,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,33,95,109,97,116,46,101,109,112,116,121,40,41,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,114,97,110,100,46,99,112,112,0,95,112,97,114,97,109,49,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,49,32,38,38,32,40,95,112,97,114,97,109,49,46,114,111,119,115,32,61,61,32,49,32,124,124,32,95,112,97,114,97,109,49,46,99,111,108,115,32,61,61,32,49,41,32,38,38,32,40,95,112,97,114,97,109,49,46,114,111,119,115,32,43,32,95,112,97,114,97,109,49,46,99,111,108,115,32,45,32,49,32,61,61,32,99,110,32,124,124,32,95,112,97,114,97,109,49,46,114,111,119,115,32,43,32,95,112,97,114,97,109,49,46,99,111,108,115,32,45,32,49,32,61,61,32,49,32,124,124,32,40,95,112,97,114,97,109,49,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,49,44,32,52,41,32,38,38,32,95,112,97,114,97,109,49,46,116,121,112,101,40,41,32,61,61,32,67,86,95,54,52,70,32,38,38,32,99,110,32,60,61,32,52,41,41,0,95,112,97,114,97,109,50,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,49,32,38,38,32,40,40,40,95,112,97,114,97,109,50,46,114,111,119,115,32,61,61,32,49,32,124,124,32,95,112,97,114,97,109,50,46,99,111,108,115,32,61,61,32,49,41,32,38,38,32,40,95,112,97,114,97,109,50,46,114,111,119,115,32,43,32,95,112,97,114,97,109,50,46,99,111,108,115,32,45,32,49,32,61,61,32,99,110,32,124,124,32,95,112,97,114,97,109,50,46,114,111,119,115,32,43,32,95,112,97,114,97,109,50,46,99,111,108,115,32,45,32,49,32,61,61,32,49,32,124,124,32,40,95,112,97,114,97,109,49,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,49,44,32,52,41,32,38,38,32,95,112,97,114,97,109,49,46,116,121,112,101,40,41,32,61,61,32,67,86,95,54,52,70,32,38,38,32,99,110,32,60,61,32,52,41,41,41,32,124,124,32,40,95,112,97,114,97,109,50,46,114,111,119,115,32,61,61,32,99,110,32,38,38,32,95,112,97,114,97,109,50,46,99,111,108,115,32,61,61,32,99,110,32,38,38,32,100,105,115,116,116,121,112,101,32,61,61,32,78,79,82,77,65,76,41,41,0,115,99,97,108,101,70,117,110,99,32,33,61,32,48,0,85,110,107,110,111,119,110,32,100,105,115,116,114,105,98,117,116,105,111,110,32,116,121,112,101,0,118,111,105,100,32,99,118,58,58,114,97,110,100,117,40,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,41,0,118,111,105,100,32,99,118,58,58,114,97,110,100,110,40,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,41,0,0,1,1,2,1,2,2,3,1,2,2,3,2,3,3,4,1,2,2,3,2,3,3,4,2,3,3,4,3,4,4,5,1,2,2,3,2,3,3,4,2,3,3,4,3,4,4,5,2,3,3,4,3,4,4,5,3,4,4,5,4,5,5,6,1,2,2,3,2,3,3,4,2,3,3,4,3,4,4,5,2,3,3,4,3,4,4,5,3,4,4,5,4,5,5,6,2,3,3,4,3,4,4,5,3,4,4,5,4,5,5,6,3,4,4,5,4,5,5,6,4,5,5,6,5,6,6,7,1,2,2,3,2,3,3,4,2,3,3,4,3,4,4,5,2,3,3,4,3,4,4,5,3,4,4,5,4,5,5,6,2,3,3,4,3,4,4,5,3,4,4,5,4,5,5,6,3,4,4,5,4,5,5,6,4,5,5,6,5,6,6,7,2,3,3,4,3,4,4,5,3,4,4,5,4,5,5,6,3,4,4,5,4,5,5,6,4,5,5,6,5,6,6,7,3,4,4,5,4,5,5,6,4,5,5,6,5,6,6,7,4,5,5,6,5,6,6,7,5,6,6,7,6,7,7,8,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,1,1,1,2,2,2,1,2,2,2,1,2,2,2,1,2,2,2,2,3,3,3,2,3,3,3,2,3,3,3,1,2,2,2,2,3,3,3,2,3,3,3,2,3,3,3,1,2,2,2,2,3,3,3,2,3,3,3,2,3,3,3,1,2,2,2,2,3,3,3,2,3,3,3,2,3,3,3,2,3,3,3,3,4,4,4,3,4,4,4,3,4,4,4,2,3,3,3,3,4,4,4,3,4,4,4,3,4,4,4,2,3,3,3,3,4,4,4,3,4,4,4,3,4,4,4,1,2,2,2,2,3,3,3,2,3,3,3,2,3,3,3,2,3,3,3,3,4,4,4,3,4,4,4,3,4,4,4,2,3,3,3,3,4,4,4,3,4,4,4,3,4,4,4,2,3,3,3,3,4,4,4,3,4,4,4,3,4,4,4,1,2,2,2,2,3,3,3,2,3,3,3,2,3,3,3,2,3,3,3,3,4,4,4,3,4,4,4,3,4,4,4,2,3,3,3,3,4,4,4,3,4,4,4,3,4,4,4,2,3,3,3,3,4,4,4,3,4,4,4,3,4,4,4,110,111,114,109,84,121,112,101,32,61,61,32,78,79,82,77,95,73,78,70,32,124,124,32,110,111,114,109,84,121,112,101,32,61,61,32,78,79,82,77,95,76,49,32,124,124,32,110,111,114,109,84,121,112,101,32,61,61,32,78,79,82,77,95,76,50,32,124,124,32,110,111,114,109,84,121,112,101,32,61,61,32,78,79,82,77,95,76,50,83,81,82,32,124,124,32,40,40,110,111,114,109,84,121,112,101,32,61,61,32,78,79,82,77,95,72,65,77,77,73,78,71,32,124,124,32,110,111,114,109,84,121,112,101,32,61,61,32,78,79,82,77,95,72,65,77,77,73,78,71,50,41,32,38,38,32,95,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,41,0,110,111,114,109,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,110,111,114,109,46,99,112,112,0,100,111,117,98,108,101,32,99,118,58,58,110,111,114,109,40,73,110,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,73,110,112,117,116,65,114,114,97,121,41,0,95,115,114,99,49,46,115,97,109,101,83,105,122,101,40,95,115,114,99,50,41,32,38,38,32,95,115,114,99,49,46,116,121,112,101,40,41,32,61,61,32,95,115,114,99,50,46,116,121,112,101,40,41,0,110,111,114,109,84,121,112,101,32,61,61,32,78,79,82,77,95,73,78,70,32,124,124,32,110,111,114,109,84,121,112,101,32,61,61,32,78,79,82,77,95,76,49,32,124,124,32,110,111,114,109,84,121,112,101,32,61,61,32,78,79,82,77,95,76,50,32,124,124,32,110,111,114,109,84,121,112,101,32,61,61,32,78,79,82,77,95,76,50,83,81,82,32,124,124,32,40,40,110,111,114,109,84,121,112,101,32,61,61,32,78,79,82,77,95,72,65,77,77,73,78,71,32,124,124,32,110,111,114,109,84,121,112,101,32,61,61,32,78,79,82,77,95,72,65,77,77,73,78,71,50,41,32,38,38,32,115,114,99,49,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,41,0,100,111,117,98,108,101,32,99,118,58,58,110,111,114,109,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,73,110,112,117,116,65,114,114,97,121,41,0,109,97,112,99,111,117,110,116,32,61,61,32,48,0,126,85,77,97,116,68,97,116,97,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,117,109,97,116,114,105,120,46,99,112,112,0,117,115,97,103,101,95,99,111,117,110,116,32,61,61,32,48,0,108,111,99,107,0,112,116,114,0,103,101,116,82,101,102,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,105,110,99,108,117,100,101,47,111,112,101,110,99,118,50,47,99,111,114,101,47,117,116,105,108,105,116,121,46,104,112,112,0,78,50,99,118,55,84,76,83,68,97,116,97,73,78,83,95,49,56,85,77,97,116,68,97,116,97,65,117,116,111,76,111,99,107,101,114,69,69,69,0,117,115,97,103,101,95,99,111,117,110,116,32,61,61,32,49,0,114,101,108,101,97,115,101,0,100,97,116,97,32,61,61,32,100,97,116,97,115,116,97,114,116,0,103,101,116,85,77,97,116,0,97,108,108,111,99,97,116,101,100,0,85,77,97,116,0,100,115,116,46,117,0,117,45,62,100,97,116,97,32,33,61,32,48,32,38,38,32,34,69,114,114,111,114,32,109,97,112,112,105,110,103,32,111,102,32,85,77,97,116,32,116,111,32,104,111,115,116,32,109,101,109,111,114,121,46,34,0,103,101,116,77,97,116,0,118,111,105,100,32,99,118,58,58,85,77,97,116,58,58,99,111,110,118,101,114,116,84,111,40,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,41,32,99,111,110,115,116,0,118,111,105,100,32,99,118,58,58,85,77,97,116,58,58,99,111,112,121,84,111,40,79,117,116,112,117,116,65,114,114,97,121,41,32,99,111,110,115,116,0,99,118,58,58,85,77,97,116,32,38,99,118,58,58,85,77,97,116,58,58,115,101,116,84,111,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,41,0,95,97,114,114,97,121,115,32,38,38,32,40,95,112,116,114,115,32,124,124,32,95,112,108,97,110,101,115,41,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,109,97,116,114,105,120,95,105,116,101,114,97,116,111,114,46,99,112,112,0,110,97,114,114,97,121,115,32,60,61,32,49,48,48,48,0,97,114,114,97,121,115,91,105,93,32,33,61,32,48,0,65,46,115,105,122,101,32,61,61,32,97,114,114,97,121,115,91,105,48,93,45,62,115,105,122,101,0,65,46,115,116,101,112,91,100,45,49,93,32,61,61,32,65,46,101,108,101,109,83,105,122,101,40,41,0,105,110,116,32,99,118,58,58,104,97,108,58,58,110,111,114,109,72,97,109,109,105,110,103,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,105,110,116,41,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,115,116,97,116,46,100,105,115,112,97,116,99,104,46,99,112,112,0,105,110,116,32,99,118,58,58,104,97,108,58,58,110,111,114,109,72,97,109,109,105,110,103,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,105,110,116,41,0,99,111,110,118,101,114,116,84,111,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,99,111,110,118,101,114,116,46,99,112,112,0,118,111,105,100,32,99,118,58,58,77,97,116,58,58,99,111,110,118,101,114,116,84,111,40,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,41,32,99,111,110,115,116,0,100,100,101,112,116,104,32,61,61,32,67,86,95,49,54,83,0,99,111,110,118,101,114,116,70,112,49,54,0,95,100,115,116,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,95,115,114,99,46,99,104,97,110,110,101,108,115,40,41,0,85,110,115,117,112,112,111,114,116,101,100,32,105,110,112,117,116,32,100,101,112,116,104,0,118,111,105,100,32,99,118,58,58,99,111,110,118,101,114,116,70,112,49,54,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,78,50,99,118,50,53,68,117,109,109,121,66,117,102,102,101,114,80,111,111,108,67,111,110,116,114,111,108,108,101,114,69,0,78,50,99,118,50,48,66,117,102,102,101,114,80,111,111,108,67,111,110,116,114,111,108,108,101,114,69,0,115,122,91,105,93,32,60,61,32,40,115,105,122,101,95,116,41,73,78,84,95,77,65,88,0,99,111,112,121,0,117,45,62,117,114,101,102,99,111,117,110,116,32,61,61,32,48,0,100,101,97,108,108,111,99,97,116,101,0,117,45,62,114,101,102,99,111,117,110,116,32,61,61,32,48,0,116,111,116,97,108,32,60,61,32,115,116,101,112,91,105,93,0,97,108,108,111,99,97,116,101,0,78,50,99,118,49,53,83,116,100,77,97,116,65,108,108,111,99,97,116,111,114,69,0,48,32,60,61,32,95,100,105,109,115,32,38,38,32,95,100,105,109,115,32,60,61,32,67,86,95,77,65,88,95,68,73,77,0,115,101,116,83,105,122,101,0,115,32,62,61,32,48,0,83,116,101,112,32,109,117,115,116,32,98,101,32,97,32,109,117,108,116,105,112,108,101,32,111,102,32,101,115,122,49,0,84,104,101,32,116,111,116,97,108,32,109,97,116,114,105,120,32,115,105,122,101,32,100,111,101,115,32,110,111,116,32,102,105,116,32,116,111,32,34,115,105,122,101,95,116,34,32,116,121,112,101,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,109,97,116,114,105,120,46,99,112,112,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,77,97,116,65,108,108,111,99,97,116,111,114,58,58,99,111,112,121,40,99,118,58,58,85,77,97,116,68,97,116,97,32,42,44,32,99,118,58,58,85,77,97,116,68,97,116,97,32,42,44,32,105,110,116,44,32,99,111,110,115,116,32,115,105,122,101,95,116,32,42,44,32,99,111,110,115,116,32,115,105,122,101,95,116,32,42,44,32,99,111,110,115,116,32,115,105,122,101,95,116,32,42,44,32,99,111,110,115,116,32,115,105,122,101,95,116,32,42,44,32,99,111,110,115,116,32,115,105,122,101,95,116,32,42,44,32,98,111,111,108,41,32,99,111,110,115,116,0,117,112,108,111,97,100,0,100,111,119,110,108,111,97,100,0,78,50,99,118,49,50,77,97,116,65,108,108,111,99,97,116,111,114,69,0,48,32,60,61,32,100,32,38,38,32,100,32,60,61,32,67,86,95,77,65,88,95,68,73,77,32,38,38,32,95,115,105,122,101,115,0,117,32,33,61,32,48,0,115,116,101,112,91,100,105,109,115,45,49,93,32,61,61,32,40,115,105,122,101,95,116,41,67,86,95,69,76,69,77,95,83,73,90,69,40,102,108,97,103,115,41,0,109,46,100,105,109,115,32,62,61,32,50,0,48,32,60,61,32,95,114,111,119,82,97,110,103,101,46,115,116,97,114,116,32,38,38,32,95,114,111,119,82,97,110,103,101,46,115,116,97,114,116,32,60,61,32,95,114,111,119,82,97,110,103,101,46,101,110,100,32,38,38,32,95,114,111,119,82,97,110,103,101,46,101,110,100,32,60,61,32,109,46,114,111,119,115,0,48,32,60,61,32,95,99,111,108,82,97,110,103,101,46,115,116,97,114,116,32,38,38,32,95,99,111,108,82,97,110,103,101,46,115,116,97,114,116,32,60,61,32,95,99,111,108,82,97,110,103,101,46,101,110,100,32,38,38,32,95,99,111,108,82,97,110,103,101,46,101,110,100,32,60,61,32,109,46,99,111,108,115,0,114,97,110,103,101,115,0,114,32,61,61,32,82,97,110,103,101,58,58,97,108,108,40,41,32,124,124,32,40,48,32,60,61,32,114,46,115,116,97,114,116,32,38,38,32,114,46,115,116,97,114,116,32,60,32,114,46,101,110,100,32,38,38,32,114,46,101,110,100,32,60,61,32,109,46,115,105,122,101,91,105,93,41,0,48,32,60,61,32,114,111,105,46,120,32,38,38,32,48,32,60,61,32,114,111,105,46,119,105,100,116,104,32,38,38,32,114,111,105,46,120,32,43,32,114,111,105,46,119,105,100,116,104,32,60,61,32,109,46,99,111,108,115,32,38,38,32,48,32,60,61,32,114,111,105,46,121,32,38,38,32,48,32,60,61,32,114,111,105,46,104,101,105,103,104,116,32,38,38,32,114,111,105,46,121,32,43,32,114,111,105,46,104,101,105,103,104,116,32,60,61,32,109,46,114,111,119,115,0,40,105,110,116,41,114,97,110,103,101,115,46,115,105,122,101,40,41,32,61,61,32,100,0,100,105,109,115,32,60,61,32,50,0,100,105,97,103,0,40,105,110,116,41,110,101,108,101,109,115,32,62,61,32,48,0,114,101,115,101,114,118,101,0,100,105,109,115,32,60,61,32,50,32,38,38,32,115,116,101,112,91,48,93,32,62,32,48,0,108,111,99,97,116,101,82,79,73,0,97,100,106,117,115,116,82,79,73,0,114,101,115,104,97,112,101,0,95,99,110,32,62,61,32,48,32,38,38,32,95,110,101,119,110,100,105,109,115,32,62,32,48,32,38,38,32,95,110,101,119,110,100,105,109,115,32,60,61,32,67,86,95,77,65,88,95,68,73,77,32,38,38,32,95,110,101,119,115,122,0,95,99,110,32,60,61,32,67,86,95,67,78,95,77,65,88,0,95,110,101,119,115,122,91,105,93,32,62,61,32,48,0,67,111,112,121,32,100,105,109,101,110,115,105,111,110,32,40,119,104,105,99,104,32,104,97,115,32,122,101,114,111,32,115,105,122,101,41,32,105,115,32,110,111,116,32,112,114,101,115,101,110,116,32,105,110,32,115,111,117,114,99,101,32,109,97,116,114,105,120,0,82,101,113,117,101,115,116,101,100,32,97,110,100,32,115,111,117,114,99,101,32,109,97,116,114,105,99,101,115,32,104,97,118,101,32,100,105,102,102,101,114,101,110,116,32,99,111,117,110,116,32,111,102,32,101,108,101,109,101,110,116,115,0,82,101,115,104,97,112,105,110,103,32,111,102,32,110,45,100,105,109,101,110,115,105,111,110,97,108,32,110,111,110,45,99,111,110,116,105,110,117,111,117,115,32,109,97,116,114,105,99,101,115,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,121,101,116,0,101,109,112,116,121,40,41,0,100,46,99,111,108,115,32,61,61,32,49,32,124,124,32,100,46,114,111,119,115,32,61,61,32,49,0,99,111,110,118,101,114,116,83,99,97,108,101,65,98,115,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,99,111,110,118,101,114,116,95,115,99,97,108,101,46,99,112,112,0,118,111,105,100,32,99,118,58,58,99,111,110,118,101,114,116,83,99,97,108,101,65,98,115,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,41,0,85,110,107,110,111,119,110,47,117,110,115,117,112,112,111,114,116,101,100,32,110,111,114,109,32,116,121,112,101,0,110,111,114,109,97,108,105,122,101,0,118,111,105,100,32,99,118,58,58,110,111,114,109,97,108,105,122,101,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,105,110,116,44,32,105,110,116,44,32,73,110,112,117,116,65,114,114,97,121,41,0,78,50,99,118,57,69,120,99,101,112,116,105,111,110,69,0,107,101,121,95,32,61,61,32,45,49,0,126,84,76,83,68,97,116,97,67,111,110,116,97,105,110,101,114,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,115,121,115,116,101,109,46,99,112,112,0,115,116,97,116,117,115,0,85,110,107,110,111,119,110,32,37,115,32,99,111,100,101,32,37,100,0,79,112,101,110,71,76,32,65,80,73,32,99,97,108,108,0,78,111,32,79,112,101,110,71,76,32,115,117,112,112,111,114,116,0,71,112,117,32,65,80,73,32,99,97,108,108,0,78,111,32,67,85,68,65,32,115,117,112,112,111,114,116,0,65,115,115,101,114,116,105,111,110,32,102,97,105,108,101,100,0,77,101,109,111,114,121,32,98,108,111,99,107,32,104,97,115,32,98,101,101,110,32,99,111,114,114,117,112,116,101,100,0,84,104,101,32,102,117,110,99,116,105,111,110,47,102,101,97,116,117,114,101,32,105,115,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,0,80,97,114,115,105,110,103,32,101,114,114,111,114,0,66,97,100,32,116,121,112,101,32,111,102,32,109,97,115,107,32,97,114,103,117,109,101,110,116,0,66,97,100,32,112,97,114,97,109,101,116,101,114,32,111,102,32,116,121,112,101,32,67,118,80,111,105,110,116,0,66,97,100,32,102,108,97,103,32,40,112,97,114,97,109,101,116,101,114,32,111,114,32,115,116,114,117,99,116,117,114,101,32,102,105,101,108,100,41,0,66,97,100,32,110,117,109,98,101,114,32,111,102,32,99,104,97,110,110,101,108,115,0,73,110,112,117,116,32,67,79,73,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,85,110,115,117,112,112,111,114,116,101,100,32,102,111,114,109,97,116,32,111,114,32,99,111,109,98,105,110,97,116,105,111,110,32,111,102,32,102,111,114,109,97,116,115,0,79,110,101,32,111,102,32,97,114,103,117,109,101,110,116,115,39,32,118,97,108,117,101,115,32,105,115,32,111,117,116,32,111,102,32,114,97,110,103,101,0,83,105,122,101,115,32,111,102,32,105,110,112,117,116,32,97,114,103,117,109,101,110,116,115,32,100,111,32,110,111,116,32,109,97,116,99,104,0,70,111,114,109,97,116,115,32,111,102,32,105,110,112,117,116,32,97,114,103,117,109,101,110,116,115,32,100,111,32,110,111,116,32,109,97,116,99,104,0,73,110,112,117,116,32,105,109,97,103,101,32,100,101,112,116,104,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,98,121,32,102,117,110,99,116,105,111,110,0,82,101,113,117,101,115,116,101,100,32,111,98,106,101,99,116,32,119,97,115,32,110,111,116,32,102,111,117,110,100,0,73,110,112,108,97,99,101,32,111,112,101,114,97,116,105,111,110,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,73,109,97,103,101,32,115,116,101,112,32,105,115,32,119,114,111,110,103,0,68,105,118,105,115,105,111,110,32,98,121,32,122,101,114,111,32,111,99,99,117,114,114,101,100,0,78,117,108,108,32,112,111,105,110,116,101,114,0,73,110,99,111,114,114,101,99,116,32,115,105,122,101,32,111,102,32,105,110,112,117,116,32,97,114,114,97,121,0,65,117,116,111,116,114,97,99,101,32,99,97,108,108,0,73,116,101,114,97,116,105,111,110,115,32,100,111,32,110,111,116,32,99,111,110,118,101,114,103,101,0,66,97,100,32,97,114,103,117,109,101,110,116,0,73,110,115,117,102,102,105,99,105,101,110,116,32,109,101,109,111,114,121,0,85,110,115,112,101,99,105,102,105,101,100,32,101,114,114,111,114,0,66,97,99,107,116,114,97,99,101,0,78,111,32,69,114,114,111,114,0,117,110,107,110,111,119,110,32,102,117,110,99,116,105,111,110,0,79,112,101,110,67,86,40,37,115,41,32,69,114,114,111,114,58,32,37,115,32,40,37,115,41,32,105,110,32,37,115,44,32,102,105,108,101,32,37,115,44,32,108,105,110,101,32,37,100,0,51,46,52,46,51,45,100,101,118,0,37,115,10,0,62,32,0,79,112,101,110,67,86,40,37,115,41,32,37,115,58,37,100,58,32,101,114,114,111,114,58,32,40,37,100,58,37,115,41,32,105,110,32,102,117,110,99,116,105,111,110,32,39,37,115,39,10,37,115,0,79,112,101,110,67,86,40,37,115,41,32,37,115,58,37,100,58,32,101,114,114,111,114,58,32,40,37,100,58,37,115,41,32,37,115,32,105,110,32,102,117,110,99,116,105,111,110,32,39,37,115,39,10,0,79,112,101,110,67,86,40,37,115,41,32,37,115,58,37,100,58,32,101,114,114,111,114,58,32,40,37,100,58,37,115,41,32,37,115,37,115,0,108,101,110,32,62,61,32,48,32,38,38,32,34,67,104,101,99,107,32,102,111,114,109,97,116,32,115,116,114,105,110,103,32,102,111,114,32,101,114,114,111,114,115,34,0,78,83,116,51,95,95,50,49,53,98,97,115,105,99,95,115,116,114,105,110,103,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,78,83,116,51,95,95,50,49,56,98,97,115,105,99,95,115,116,114,105,110,103,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,78,50,99,118,49,54,84,76,83,68,97,116,97,67,111,110,116,97,105,110,101,114,69,0,79,80,69,78,67,86,95,68,85,77,80,95,69,82,82,79,82,83,0,79,80,69,78,67,86,95,68,85,77,80,95,67,79,78,70,73,71,0,10,71,101,110,101,114,97,108,32,99,111,110,102,105,103,117,114,97,116,105,111,110,32,102,111,114,32,79,112,101,110,67,86,32,51,46,52,46,51,45,100,101,118,32,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,10,32,32,86,101,114,115,105,111,110,32,99,111,110,116,114,111,108,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,51,46,52,46,51,45,50,48,49,45,103,48,97,50,51,99,49,98,10,10,32,32,80,108,97,116,102,111,114,109,58],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+194564);allocate([10,32,32,32,32,84,105,109,101,115,116,97,109,112,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,50,48,49,56,45,48,57,45,50,52,84,48,51,58,51,51,58,53,51,90,10,32,32,32,32,72,111,115,116,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,76,105,110,117,120,32,52,46,49,53,46,48,45,51,51,45,103,101,110,101,114,105,99,32,120,56,54,95,54,52,10,32,32,32,32,84,97,114,103,101,116,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,69,109,115,99,114,105,112,116,101,110,32,49,32,120,56,54,10,32,32,32,32,67,77,97,107,101,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,51,46,53,46,49,10,32,32,32,32,67,77,97,107,101,32,103,101,110,101,114,97,116,111,114,58,32,32,32,32,32,32,32,32,32,32,32,32,32,85,110,105,120,32,77,97,107,101,102,105,108,101,115,10,32,32,32,32,67,77,97,107,101,32,98,117,105,108,100,32,116,111,111,108,58,32,32,32,32,32,32,32,32,32,32,32,32,47,117,115,114,47,98,105,110,47,109,97,107,101,10,32,32,32,32,67,111,110,102,105,103,117,114,97,116,105,111,110,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,82,101,108,101,97,115,101,10,10,32,32,67,80,85,47,72,87,32,102,101,97,116,117,114,101,115,58,10,32,32,32,32,66,97,115,101,108,105,110,101,58,10,10,32,32,67,47,67,43,43,58,10,32,32,32,32,66,117,105,108,116,32,97,115,32,100,121,110,97,109,105,99,32,108,105,98,115,63,58,32,32,32,32,32,32,78,79,10,32,32,32,32,67,43,43,32,67,111,109,112,105,108,101,114,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,47,111,112,116,47,101,109,115,100,107,45,112,111,114,116,97,98,108,101,47,101,109,115,99,114,105,112,116,101,110,47,49,46,51,55,46,50,49,47,101,109,43,43,32,32,40,118,101,114,32,52,46,48,46,48,41,10,32,32,32,32,67,43,43,32,102,108,97,103,115,32,40,82,101,108,101,97,115,101,41,58,32,32,32,32,32,32,32,32,32,45,102,115,105,103,110,101,100,45,99,104,97,114,32,45,87,32,45,87,97,108,108,32,45,87,101,114,114,111,114,61,114,101,116,117,114,110,45,116,121,112,101,32,45,87,101,114,114,111,114,61,110,111,110,45,118,105,114,116,117,97,108,45,100,116,111,114,32,45,87,101,114,114,111,114,61,97,100,100,114,101,115,115,32,45,87,101,114,114,111,114,61,115,101,113,117,101,110,99,101,45,112,111,105,110,116,32,45,87,102,111,114,109,97,116,32,45,87,101,114,114,111,114,61,102,111,114,109,97,116,45,115,101,99,117,114,105,116,121,32,45,87,109,105,115,115,105,110,103,45,100,101,99,108,97,114,97,116,105,111,110,115,32,45,87,109,105,115,115,105,110,103,45,112,114,111,116,111,116,121,112,101,115,32,45,87,115,116,114,105,99,116,45,112,114,111,116,111,116,121,112,101,115,32,45,87,117,110,100,101,102,32,45,87,105,110,105,116,45,115,101,108,102,32,45,87,112,111,105,110,116,101,114,45,97,114,105,116,104,32,45,87,115,104,97,100,111,119,32,45,87,115,105,103,110,45,112,114,111,109,111,32,45,87,117,110,105,110,105,116,105,97,108,105,122,101,100,32,45,87,105,110,105,116,45,115,101,108,102,32,45,87,110,111,45,110,97,114,114,111,119,105,110,103,32,45,87,110,111,45,100,101,108,101,116,101,45,110,111,110,45,118,105,114,116,117,97,108,45,100,116,111,114,32,45,87,110,111,45,117,110,110,97,109,101,100,45,116,121,112,101,45,116,101,109,112,108,97,116,101,45,97,114,103,115,32,45,87,110,111,45,99,111,109,109,101,110,116,32,45,102,100,105,97,103,110,111,115,116,105,99,115,45,115,104,111,119,45,111,112,116,105,111,110,32,45,112,116,104,114,101,97,100,32,45,81,117,110,117,115,101,100,45,97,114,103,117,109,101,110,116,115,32,45,102,102,117,110,99,116,105,111,110,45,115,101,99,116,105,111,110,115,32,45,102,100,97,116,97,45,115,101,99,116,105,111,110,115,32,32,45,102,118,105,115,105,98,105,108,105,116,121,61,104,105,100,100,101,110,32,45,102,118,105,115,105,98,105,108,105,116,121,45,105,110,108,105,110,101,115,45,104,105,100,100,101,110,32,45,68,78,68,69,66,85,71,32,45,79,50,32,32,45,68,78,68,69,66,85,71,10,32,32,32,32,67,43,43,32,102,108,97,103,115,32,40,68,101,98,117,103,41,58,32,32,32,32,32,32,32,32,32,32,32,45,102,115,105,103,110,101,100,45,99,104,97,114,32,45,87,32,45,87,97,108,108,32,45,87,101,114,114,111,114,61,114,101,116,117,114,110,45,116,121,112,101,32,45,87,101,114,114,111,114,61,110,111,110,45,118,105,114,116,117,97,108,45,100,116,111,114,32,45,87,101,114,114,111,114,61,97,100,100,114,101,115,115,32,45,87,101,114,114,111,114,61,115,101,113,117,101,110,99,101,45,112,111,105,110,116,32,45,87,102,111,114,109,97,116,32,45,87,101,114,114,111,114,61,102,111,114,109,97,116,45,115,101,99,117,114,105,116,121,32,45,87,109,105,115,115,105,110,103,45,100,101,99,108,97,114,97,116,105,111,110,115,32,45,87,109,105,115,115,105,110,103,45,112,114,111,116,111,116,121,112,101,115,32,45,87,115,116,114,105,99,116,45,112,114,111,116,111,116,121,112,101,115,32,45,87,117,110,100,101,102,32,45,87,105,110,105,116,45,115,101,108,102,32,45,87,112,111,105,110,116,101,114,45,97,114,105,116,104,32,45,87,115,104,97,100,111,119,32,45,87,115,105,103,110,45,112,114,111,109,111,32,45,87,117,110,105,110,105,116,105,97,108,105,122,101,100,32,45,87,105,110,105,116,45,115,101,108,102,32,45,87,110,111,45,110,97,114,114,111,119,105,110,103,32,45,87,110,111,45,100,101,108,101,116,101,45,110,111,110,45,118,105,114,116,117,97,108,45,100,116,111,114,32,45,87,110,111,45,117,110,110,97,109,101,100,45,116,121,112,101,45,116,101,109,112,108,97,116,101,45,97,114,103,115,32,45,87,110,111,45,99,111,109,109,101,110,116,32,45,102,100,105,97,103,110,111,115,116,105,99,115,45,115,104,111,119,45,111,112,116,105,111,110,32,45,112,116,104,114,101,97,100,32,45,81,117,110,117,115,101,100,45,97,114,103,117,109,101,110,116,115,32,45,102,102,117,110,99,116,105,111,110,45,115,101,99,116,105,111,110,115,32,45,102,100,97,116,97,45,115,101,99,116,105,111,110,115,32,32,45,102,118,105,115,105,98,105,108,105,116,121,61,104,105,100,100,101,110,32,45,102,118,105,115,105,98,105,108,105,116,121,45,105,110,108,105,110,101,115,45,104,105,100,100,101,110,32,45,103,32,32,45,79,48,32,45,68,68,69,66,85,71,32,45,68,95,68,69,66,85,71,10,32,32,32,32,67,32,67,111,109,112,105,108,101,114,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,47,111,112,116,47,101,109,115,100,107,45,112,111,114,116,97,98,108,101,47,101,109,115,99,114,105,112,116,101,110,47,49,46,51,55,46,50,49,47,101,109,99,99,10,32,32,32,32,67,32,102,108,97,103,115,32,40,82,101,108,101,97,115,101,41,58,32,32,32,32,32,32,32,32,32,32,32,45,102,115,105,103,110,101,100,45,99,104,97,114,32,45,87,32,45,87,97,108,108,32,45,87,101,114,114,111,114,61,114,101,116,117,114,110,45,116,121,112,101,32,45,87,101,114,114,111,114,61,110,111,110,45,118,105,114,116,117,97,108,45,100,116,111,114,32,45,87,101,114,114,111,114,61,97,100,100,114,101,115,115,32,45,87,101,114,114,111,114,61,115,101,113,117,101,110,99,101,45,112,111,105,110,116,32,45,87,102,111,114,109,97,116,32,45,87,101,114,114,111,114,61,102,111,114,109,97,116,45,115,101,99,117,114,105,116,121,32,45,87,109,105,115,115,105,110,103,45,100,101,99,108,97,114,97,116,105,111,110,115,32,45,87,109,105,115,115,105,110,103,45,112,114,111,116,111,116,121,112,101,115,32,45,87,115,116,114,105,99,116,45,112,114,111,116,111,116,121,112,101,115,32,45,87,117,110,100,101,102,32,45,87,105,110,105,116,45,115,101,108,102,32,45,87,112,111,105,110,116,101,114,45,97,114,105,116,104,32,45,87,115,104,97,100,111,119,32,45,87,115,105,103,110,45,112,114,111,109,111,32,45,87,117,110,105,110,105,116,105,97,108,105,122,101,100,32,45,87,105,110,105,116,45,115,101,108,102,32,45,87,110,111,45,110,97,114,114,111,119,105,110,103,32,45,87,110,111,45,100,101,108,101,116,101,45,110,111,110,45,118,105,114,116,117,97,108,45,100,116,111,114,32,45,87,110,111,45,117,110,110,97,109,101,100,45,116,121,112,101,45,116,101,109,112,108,97,116,101,45,97,114,103,115,32,45,87,110,111,45,99,111,109,109,101,110,116,32,45,102,100,105,97,103,110,111,115,116,105,99,115,45,115,104,111,119,45,111,112,116,105,111,110,32,45,112,116,104,114,101,97,100,32,45,81,117,110,117,115,101,100,45,97,114,103,117,109,101,110,116,115,32,45,102,102,117,110,99,116,105,111,110,45,115,101,99,116,105,111,110,115,32,45,102,100,97,116,97,45,115,101,99,116,105,111,110,115,32,32,45,102,118,105,115,105,98,105,108,105,116,121,61,104,105,100,100,101,110,32,45,102,118,105,115,105,98,105,108,105,116,121,45,105,110,108,105,110,101,115,45,104,105,100,100,101,110,32,45,68,78,68,69,66,85,71,32,45,79,50,32,32,45,68,78,68,69,66,85,71,10,32,32,32,32,67,32,102,108,97,103,115,32,40,68,101,98,117,103,41,58,32,32,32,32,32,32,32,32,32,32,32,32,32,45,102,115,105,103,110,101,100,45,99,104,97,114,32,45,87,32,45,87,97,108,108,32,45,87,101,114,114,111,114,61,114,101,116,117,114,110,45,116,121,112,101,32,45,87,101,114,114,111,114,61,110,111,110,45,118,105,114,116,117,97,108,45,100,116,111,114,32,45,87,101,114,114,111,114,61,97,100,100,114,101,115,115,32,45,87,101,114,114,111,114,61,115,101,113,117,101,110,99,101,45,112,111,105,110,116,32,45,87,102,111,114,109,97,116,32,45,87,101,114,114,111,114,61,102,111,114,109,97,116,45,115,101,99,117,114,105,116,121,32,45,87,109,105,115,115,105,110,103,45,100,101,99,108,97,114,97,116,105,111,110,115,32,45,87,109,105,115,115,105,110,103,45,112,114,111,116,111,116,121,112,101,115,32,45,87,115,116,114,105,99,116,45,112,114,111,116,111,116,121,112,101,115,32,45,87,117,110,100,101,102,32,45,87,105,110,105,116,45,115,101,108,102,32,45,87,112,111,105,110,116,101,114,45,97,114,105,116,104,32,45,87,115,104,97,100,111,119,32,45,87,115,105,103,110,45,112,114,111,109,111,32,45,87,117,110,105,110,105,116,105,97,108,105,122,101,100,32,45,87,105,110,105,116,45,115,101,108,102,32,45,87,110,111,45,110,97,114,114,111,119,105,110,103,32,45,87,110,111,45,100,101,108,101,116,101,45,110,111,110,45,118,105,114,116,117,97,108,45,100,116,111,114,32,45,87,110,111,45,117,110,110,97,109,101,100,45,116,121,112,101,45,116,101,109,112,108,97,116,101,45,97,114,103,115,32,45,87,110,111,45,99,111,109,109,101,110,116,32,45,102,100,105,97,103,110,111,115,116,105,99,115,45,115,104,111,119,45,111,112,116,105,111,110,32,45,112,116,104,114,101,97,100,32,45,81,117,110,117,115,101,100,45,97,114,103,117,109,101,110,116,115,32,45,102,102,117,110,99,116,105,111,110,45,115,101,99,116,105,111,110,115,32,45,102,100,97,116,97,45,115,101,99,116,105,111,110,115,32,32,45,102,118,105,115,105,98,105,108,105,116,121,61,104,105,100,100,101,110,32,45,102,118,105,115,105,98,105,108,105,116,121,45,105,110,108,105,110,101,115,45,104,105,100,100,101,110,32,45,103,32,32,45,79,48,32,45,68,68,69,66,85,71,32,45,68,95,68,69,66,85,71,10,32,32,32,32,76,105,110,107,101,114,32,102,108,97,103,115,32,40,82,101,108,101,97,115,101,41,58,32,32,32,32,32,32,45,79,50,32,10,32,32,32,32,76,105,110,107,101,114,32,102,108,97,103,115,32,40,68,101,98,117,103,41,58,32,32,32,32,32,32,32,32,10,32,32,32,32,99,99,97,99,104,101,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,78,79,10,32,32,32,32,80,114,101,99,111,109,112,105,108,101,100,32,104,101,97,100,101,114,115,58,32,32,32,32,32,32,32,32,32,78,79,10,32,32,32,32,69,120,116,114,97,32,100,101,112,101,110,100,101,110,99,105,101,115,58,10,32,32,32,32,51,114,100,112,97,114,116,121,32,100,101,112,101,110,100,101,110,99,105,101,115,58,32,32,32,32,32,32,32,108,105,98,112,114,111,116,111,98,117,102,32,122,108,105,98,10,10,32,32,79,112,101,110,67,86,32,109,111,100,117,108,101,115,58,10,32,32,32,32,84,111,32,98,101,32,98,117,105,108,116,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,99,111,114,101,32,100,110,110,32,105,109,103,112,114,111,99,32,106,97,118,97,95,98,105,110,100,105,110,103,115,95,103,101,110,101,114,97,116,111,114,32,106,115,32,111,98,106,100,101,116,101,99,116,32,112,121,116,104,111,110,95,98,105,110,100,105,110,103,115,95,103,101,110,101,114,97,116,111,114,32,118,105,100,101,111,10,32,32,32,32,68,105,115,97,98,108,101,100,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,99,97,108,105,98,51,100,32,102,101,97,116,117,114,101,115,50,100,32,102,108,97,110,110,32,104,105,103,104,103,117,105,32,105,109,103,99,111,100,101,99,115,32,109,108,32,112,104,111,116,111,32,115,104,97,112,101,32,115,116,105,116,99,104,105,110,103,32,115,117,112,101,114,114,101,115,32,118,105,100,101,111,105,111,32,118,105,100,101,111,115,116,97,98,32,119,111,114,108,100,10,32,32,32,32,68,105,115,97,98,108,101,100,32,98,121,32,100,101,112,101,110,100,101,110,99,121,58,32,32,32,32,32,32,45,10,32,32,32,32,85,110,97,118,97,105,108,97,98,108,101,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,99,117,100,97,97,114,105,116,104,109,32,99,117,100,97,98,103,115,101,103,109,32,99,117,100,97,99,111,100,101,99,32,99,117,100,97,102,101,97,116,117,114,101,115,50,100,32,99,117,100,97,102,105,108,116,101,114,115,32,99,117,100,97,105,109,103,112,114,111,99,32,99,117,100,97,108,101,103,97,99,121,32,99,117,100,97,111,98,106,100,101,116,101,99,116,32,99,117,100,97,111,112,116,102,108,111,119,32,99,117,100,97,115,116,101,114,101,111,32,99,117,100,97,119,97,114,112,105,110,103,32,99,117,100,101,118,32,106,97,118,97,32,112,121,116,104,111,110,50,32,112,121,116,104,111,110,51,32,116,115,32,118,105,122,10,32,32,32,32,65,112,112,108,105,99,97,116,105,111,110,115,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,45,10,32,32,32,32,68,111,99,117,109,101,110,116,97,116,105,111,110,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,106,115,10,32,32,32,32,78,111,110,45,102,114,101,101,32,97,108,103,111,114,105,116,104,109,115,58,32,32,32,32,32,32,32,32,32,78,79,10,10,32,32,71,85,73,58,32,10,10,32,32,77,101,100,105,97,32,73,47,79,58,32,10,32,32,32,32,90,76,105,98,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,98,117,105,108,100,32,40,118,101,114,32,49,46,50,46,49,49,41,10,32,32,32,32,72,68,82,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,89,69,83,10,32,32,32,32,83,85,78,82,65,83,84,69,82,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,89,69,83,10,32,32,32,32,80,88,77,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,89,69,83,10,10,32,32,86,105,100,101,111,32,73,47,79,58,10,10,32,32,80,97,114,97,108,108,101,108,32,102,114,97,109,101,119,111,114,107,58,32,32,32,32,32,32,32,32,32,32,32,32,110,111,110,101,10,10,32,32,79,116,104,101,114,32,116,104,105,114,100,45,112,97,114,116,121,32,108,105,98,114,97,114,105,101,115,58,10,32,32,32,32,67,117,115,116,111,109,32,72,65,76,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,78,79,10,32,32,32,32,80,114,111,116,111,98,117,102,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,98,117,105,108,100,32,40,51,46,53,46,49,41,10,10,32,32,80,121,116,104,111,110,32,40,102,111,114,32,98,117,105,108,100,41,58,32,32,32,32,32,32,32,32,32,32,32,32,47,117,115,114,47,98,105,110,47,112,121,116,104,111,110,50,46,55,10,10,32,32,73,110,115,116,97,108,108,32,116,111,58,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,98,117,105,108,100,47,106,115,47,105,110,115,116,97,108,108,10,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,10,10,0,10,79,112,101,110,67,86,32,98,117,105,108,100,32,99,111,110,102,105,103,117,114,97,116,105,111,110,32,105,115,58,10,37,115,10,0,77,77,88,0,83,83,69,0,83,83,69,50,0,83,83,69,51,0,83,83,83,69,51,0,83,83,69,52,46,49,0,83,83,69,52,46,50,0,80,79,80,67,78,84,0,70,80,49,54,0,65,86,88,0,65,86,88,50,0,70,77,65,51,0,65,86,88,53,49,50,70,0,65,86,88,53,49,50,66,87,0,65,86,88,53,49,50,67,68,0,65,86,88,53,49,50,68,81,0,65,86,88,53,49,50,69,82,0,65,86,88,53,49,50,73,70,77,65,0,65,86,88,53,49,50,80,70,0,65,86,88,53,49,50,86,66,77,73,0,65,86,88,53,49,50,86,76,0,78,69,79,78,0,86,83,88,0,65,86,88,53,49,50,45,83,75,88,0,79,80,69,78,67,86,95,67,80,85,95,68,73,83,65,66,76,69,0,102,101,97,116,117,114,101,46,115,105,122,101,40,41,32,62,32,48,0,114,101,97,100,83,101,116,116,105,110,103,115,0,79,80,69,78,67,86,58,32,84,114,121,105,110,103,32,116,111,32,100,105,115,97,98,108,101,32,98,97,115,101,108,105,110,101,32,67,80,85,32,102,101,97,116,117,114,101,58,32,39,37,115,39,46,32,84,104,105,115,32,104,97,115,32,118,101,114,121,32,108,105,109,105,116,101,100,32,101,102,102,101,99,116,44,32,98,101,99,97,117,115,101,32,99,111,100,101,32,111,112,116,105,109,105,122,97,116,105,111,110,115,32,102,111,114,32,116,104,105,115,32,102,101,97,116,117,114,101,32,97,114,101,32,101,120,101,99,117,116,101,100,32,117,110,99,111,110,100,105,116,105,111,110,97,108,108,121,32,105,110,32,116,104,101,32,109,111,115,116,32,99,97,115,101,115,46,10,0,85,110,107,110,111,119,110,32,102,101,97,116,117,114,101,0,79,80,69,78,67,86,58,32,84,114,121,105,110,103,32,116,111,32,100,105,115,97,98,108,101,32,117,110,97,118,97,105,108,97,98,108,101,32,67,80,85,32,102,101,97,116,117,114,101,32,111,110,32,116,104,101,32,99,117,114,114,101,110,116,32,112,108,97,116,102,111,114,109,58,32,39,37,115,39,46,10,0,79,80,69,78,67,86,58,32,84,114,121,105,110,103,32,116,111,32,100,105,115,97,98,108,101,32,117,110,107,110,111,119,110,32,67,80,85,32,102,101,97,116,117,114,101,58,32,39,37,115,39,46,10,0,49,0,84,82,85,69,0,73,110,118,97,108,105,100,32,118,97,108,117,101,32,102,111,114,32,37,115,32,112,97,114,97,109,101,116,101,114,58,32,37,115,0,103,101,116,67,111,110,102,105,103,117,114,97,116,105,111,110,80,97,114,97,109,101,116,101,114,66,111,111,108,0,107,101,121,95,32,33,61,32,45,49,32,38,38,32,34,67,97,110,39,116,32,102,101,116,99,104,32,100,97,116,97,32,102,114,111,109,32,116,101,114,109,105,110,97,116,101,100,32,84,76,83,32,99,111,110,116,97,105,110,101,114,46,34,0,103,101,116,68,97,116,97,0,116,108,115,83,108,111,116,115,83,105,122,101,32,62,32,115,108,111,116,73,100,120,0,115,101,116,68,97,116,97,0,112,116,104,114,101,97,100,95,115,101,116,115,112,101,99,105,102,105,99,40,116,108,115,75,101,121,44,32,112,68,97,116,97,41,32,61,61,32,48,0,83,101,116,68,97,116,97,0,112,116,104,114,101,97,100,95,107,101,121,95,99,114,101,97,116,101,40,38,116,108,115,75,101,121,44,32,78,85,76,76,41,32,61,61,32,48,0,84,108,115,65,98,115,116,114,97,99,116,105,111,110,0,116,108,115,83,108,111,116,115,83,105,122,101,32,61,61,32,116,108,115,83,108,111,116,115,46,115,105,122,101,40,41,0,114,101,108,101,97,115,101,83,108,111,116,0,78,50,99,118,55,84,76,83,68,97,116,97,73,78,83,95,49,49,67,111,114,101,84,76,83,68,97,116,97,69,69,69,0,114,101,115,101,114,118,101,83,108,111,116,0,78,50,99,118,55,84,76,83,68,97,116,97,73,78,83,95,49,50,95,71,76,79,66,65,76,95,95,78,95,49,56,84,104,114,101,97,100,73,68,69,69,69,0,77,66,0,77,98,0,109,98,0,75,66,0,75,98,0,107,98,0,103,101,116,67,111,110,102,105,103,117,114,97,116,105,111,110,80,97,114,97,109,101,116,101,114,83,105,122,101,84,0,109,97,115,107,46,101,109,112,116,121,40,41,32,124,124,32,109,97,115,107,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,0,109,101,97,110,0,99,110,32,60,61,32,52,32,38,38,32,102,117,110,99,32,33,61,32,48,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,109,101,97,110,46,99,112,112,0,99,118,58,58,83,99,97,108,97,114,32,99,118,58,58,109,101,97,110,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,41,0,109,101,97,110,83,116,100,68,101,118,0,95,109,97,115,107,46,101,109,112,116,121,40,41,32,124,124,32,95,109,97,115,107,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,49,0,100,115,116,46,116,121,112,101,40,41,32,61,61,32,67,86,95,54,52,70,32,38,38,32,100,115,116,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,32,38,38,32,40,100,115,116,46,99,111,108,115,32,61,61,32,49,32,124,124,32,100,115,116,46,114,111,119,115,32,61,61,32,49,41,32,38,38,32,100,99,110,32,62,61,32,99,110,0,118,111,105,100,32,99,118,58,58,109,101,97,110,83,116,100,68,101,118,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,41,0,102,108,111,97,116,32,99,118,58,58,99,117,98,101,82,111,111,116,40,102,108,111,97,116,41,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,109,97,116,104,102,117,110,99,115,46,99,112,112,0,115,114,99,49,46,115,105,122,101,40,41,32,61,61,32,115,114,99,50,46,115,105,122,101,40,41,32,38,38,32,116,121,112,101,32,61,61,32,115,114,99,50,46,116,121,112,101,40,41,32,38,38,32,40,100,101,112,116,104,32,61,61,32,67,86,95,51,50,70,32,124,124,32,100,101,112,116,104,32,61,61,32,67,86,95,54,52,70,41,0,118,111,105,100,32,99,118,58,58,109,97,103,110,105,116,117,100,101,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,88,46,115,105,122,101,32,61,61,32,89,46,115,105,122,101,32,38,38,32,116,121,112,101,32,61,61,32,89,46,116,121,112,101,40,41,32,38,38,32,40,100,101,112,116,104,32,61,61,32,67,86,95,51,50,70,32,124,124,32,100,101,112,116,104,32,61,61,32,67,86,95,54,52,70,41,0,99,97,114,116,84,111,80,111,108,97,114,0,118,111,105,100,32,99,118,58,58,99,97,114,116,84,111,80,111,108,97,114,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,98,111,111,108,41,0,40,100,101,112,116,104,32,61,61,32,67,86,95,51,50,70,32,124,124,32,100,101,112,116,104,32,61,61,32,67,86,95,54,52,70,41,32,38,38,32,40,115,114,99,49,46,101,109,112,116,121,40,41,32,124,124,32,115,114,99,49,46,116,121,112,101,40,41,32,61,61,32,116,121,112,101,41,0,112,111,108,97,114,84,111,67,97,114,116,0,77,97,103,46,101,109,112,116,121,40,41,32,124,124,32,65,110,103,108,101,46,115,105,122,101,32,61,61,32,77,97,103,46,115,105,122,101,0,118,111,105,100,32,99,118,58,58,112,111,108,97,114,84,111,67,97,114,116,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,98,111,111,108,41,0,101,120,112,0,118,111,105,100,32,99,118,58,58,101,120,112,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,108,111,103,0,118,111,105,100,32,99,118,58,58,108,111,103,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,118,111,105,100,32,99,118,58,58,112,111,119,40,73,110,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,118,111,105,100,32,99,118,58,58,115,113,114,116,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,112,116,32,61,61,32,78,85,76,76,0,99,104,101,99,107,82,97,110,103,101,0,116,104,101,32,118,97,108,117,101,32,97,116,32,40,37,100,44,32,37,100,41,61,37,115,32,105,115,32,111,117,116,32,111,102,32,114,97,110,103,101,32,91,37,102,44,32,37,102,41,0,98,111,111,108,32,99,118,58,58,99,104,101,99,107,82,97,110,103,101,40,73,110,112,117,116,65,114,114,97,121,44,32,98,111,111,108,44,32,80,111,105,110,116,32,42,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,41,0,95,97,46,100,101,112,116,104,40,41,32,61,61,32,67,86,95,51,50,70,0,112,97,116,99,104,78,97,78,115,0,118,111,105,100,32,99,118,58,58,112,97,116,99,104,78,97,78,115,40,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,41,0,99,116,121,112,101,32,61,61,32,67,86,95,51,50,70,32,124,124,32,99,116,121,112,101,32,61,61,32,67,86,95,54,52,70,0,115,111,108,118,101,67,117,98,105,99,0,40,99,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,110,48,44,32,49,41,32,124,124,32,99,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,110,48,43,49,44,32,49,41,32,124,124,32,99,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,49,44,32,110,48,41,32,124,124,32,99,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,49,44,32,110,48,43,49,41,41,0,105,110,116,32,99,118,58,58,115,111,108,118,101,67,117,98,105,99,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,67,86,95,77,65,84,95,68,69,80,84,72,40,99,116,121,112,101,41,32,62,61,32,67,86,95,51,50,70,32,38,38,32,67,86,95,77,65,84,95,67,78,40,99,116,121,112,101,41,32,60,61,32,50,0,115,111,108,118,101,80,111,108,121,0,99,111,101,102,102,115,48,46,114,111,119,115,32,61,61,32,49,32,124,124,32,99,111,101,102,102,115,48,46,99,111,108,115,32,61,61,32,49,0,100,111,117,98,108,101,32,99,118,58,58,115,111,108,118,101,80,111,108,121,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,0,98,111,111,108,32,99,118,58,58,111,99,108,58,58,104,97,118,101,79,112,101,110,67,76,40,41,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,111,99,108,46,99,112,112,0,78,83,116,51,95,95,50,49,57,98,97,115,105,99,95,111,115,116,114,105,110,103,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,99,104,97,110,110,101,108,115,40,41,32,61,61,32,67,86,95,77,65,84,95,67,78,40,100,116,121,112,101,41,0,99,111,112,121,84,111,0,100,115,116,46,117,32,33,61,32,78,85,76,76,0,100,105,109,115,32,62,32,48,32,38,38,32,100,105,109,115,32,60,32,67,86,95,77,65,88,95,68,73,77,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,99,111,112,121,46,99,112,112,0,118,111,105,100,32,99,118,58,58,77,97,116,58,58,99,111,112,121,84,111,40,79,117,116,112,117,116,65,114,114,97,121,41,32,99,111,110,115,116,0,109,97,115,107,46,100,101,112,116,104,40,41,32,61,61,32,67,86,95,56,85,32,38,38,32,40,109,99,110,32,61,61,32,49,32,124,124,32,109,99,110,32,61,61,32,99,110,41,0,115,105,122,101,40,41,32,61,61,32,109,97,115,107,46,115,105,122,101,40,41,0,115,122,32,60,61,32,115,105,122,101,111,102,40,115,99,97,108,97,114,41,0,99,118,58,58,77,97,116,32,38,99,118,58,58,77,97,116,58,58,111,112,101,114,97,116,111,114,61,40,99,111,110,115,116,32,83,99,97,108,97,114,32,38,41,0,118,111,105,100,32,99,118,58,58,77,97,116,58,58,99,111,112,121,84,111,40,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,41,32,99,111,110,115,116,0,99,104,101,99,107,83,99,97,108,97,114,40,118,97,108,117,101,44,32,116,121,112,101,40,41,44,32,95,118,97,108,117,101,46,107,105,110,100,40,41,44,32,95,73,110,112,117,116,65,114,114,97,121,58,58,77,65,84,32,41,0,115,101,116,84,111,0,109,97,115,107,46,101,109,112,116,121,40,41,32,124,124,32,40,109,97,115,107,46,100,101,112,116,104,40,41,32,61,61,32,67,86,95,56,85,32,38,38,32,40,109,99,110,32,61,61,32,49,32,124,124,32,109,99,110,32,61,61,32,99,110,41,32,38,38,32,115,105,122,101,32,61,61,32,109,97,115,107,46,115,105,122,101,41,0,99,118,58,58,77,97,116,32,38,99,118,58,58,77,97,116,58,58,115,101,116,84,111,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,41,0,95,115,114,99,46,100,105,109,115,40,41,32,60,61,32,50,0,102,108,105,112,0,118,111,105,100,32,99,118,58,58,102,108,105,112,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,0,95,115,114,99,46,103,101,116,79,98,106,40,41,32,33,61,32,95,100,115,116,46,103,101,116,79,98,106,40,41,0,114,101,112,101,97,116,0,110,121,32,62,32,48,32,38,38,32,110,120,32,62,32,48,0,118,111,105,100,32,99,118,58,58,114,101,112,101,97,116,40,73,110,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,98,111,114,100,101,114,73,110,116,101,114,112,111,108,97,116,101,0,85,110,107,110,111,119,110,47,117,110,115,117,112,112,111,114,116,101,100,32,98,111,114,100,101,114,32,116,121,112,101,0,116,111,112,32,62,61,32,48,32,38,38,32,98,111,116,116,111,109,32,62,61,32,48,32,38,38,32,108,101,102,116,32,62,61,32,48,32,38,38,32,114,105,103,104,116,32,62,61,32,48,0,99,111,112,121,77,97,107,101,66,111,114,100,101,114,0,118,97,108,117,101,91,48,93,32,61,61,32,118,97,108,117,101,91,49,93,32,38,38,32,118,97,108,117,101,91,48,93,32,61,61,32,118,97,108,117,101,91,50,93,32,38,38,32,118,97,108,117,101,91,48,93,32,61,61,32,118,97,108,117,101,91,51,93,0,118,111,105,100,32,99,118,58,58,99,111,112,121,77,97,107,101,66,111,114,100,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,41,0,109,97,115,107,97,114,114,32,61,61,32,48,0,99,118,67,111,112,121,0,115,114,99,46,100,101,112,116,104,40,41,32,61,61,32,100,115,116,46,100,101,112,116,104,40,41,32,38,38,32,115,114,99,46,115,105,122,101,32,61,61,32,100,115,116,46,115,105,122,101,0,40,99,111,105,49,32,33,61,32,48,32,124,124,32,115,114,99,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,49,41,32,38,38,32,40,99,111,105,50,32,33,61,32,48,32,124,124,32,100,115,116,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,49,41,0,115,114,99,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,100,115,116,46,99,104,97,110,110,101,108,115,40,41,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,97,114,114,97,121,46,99,112,112,0,68,97,116,97,32,105,115,32,97,108,114,101,97,100,121,32,97,108,108,111,99,97,116,101,100,0,99,118,67,114,101,97,116,101,68,97,116,97,0,84,111,111,32,98,105,103,32,98,117,102,102,101,114,32,105,115,32,97,108,108,111,99,97,116,101,100,0,79,118,101,114,102,108,111,119,32,102,111,114,32,105,109,97,103,101,83,105,122,101,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,114,32,117,110,115,117,112,112,111,114,116,101,100,32,97,114,114,97,121,32,116,121,112,101,0,78,111,110,45,112,111,115,105,116,105,118,101,32,119,105,100,116,104,32,111,114,32,104,101,105,103,104,116,0,99,118,67,114,101,97,116,101,77,97,116,72,101,97,100,101,114,0,73,110,118,97,108,105,100,32,109,97,116,114,105,120,32,116,121,112,101,0,99,118,73,110,105,116,77,97,116,72,101,97,100,101,114,0,78,111,110,45,112,111,115,105,116,105,118,101,32,99,111,108,115,32,111,114,32,114,111,119,115,0,99,118,82,101,108,101,97,115,101,77,97,116,0,66,97,100,32,67,118,77,97,116,32,104,101,97,100,101,114,0,99,118,67,108,111,110,101,77,97,116,0,78,85,76,76,32,109,97,116,114,105,120,32,104,101,97,100,101,114,32,112,111,105,110,116,101,114,0,99,118,73,110,105,116,77,97,116,78,68,72,101,97,100,101,114,0,105,110,118,97,108,105,100,32,97,114,114,97,121,32,100,97,116,97,32,116,121,112,101,0,78,85,76,76,32,60,115,105,122,101,115,62,32,112,111,105,110,116,101,114,0,110,111,110,45,112,111,115,105,116,105,118,101,32,111,114,32,116,111,111,32,108,97,114,103,101,32,110,117,109,98,101,114,32,111,102,32,100,105,109,101,110,115,105,111,110,115,0,111,110,101,32,111,102,32,100,105,109,101,115,105,111,110,32,115,105,122,101,115,32,105,115,32,110,111,110,45,112,111,115,105,116,105,118,101,0,84,104,101,32,97,114,114,97,121,32,105,115,32,116,111,111,32,98,105,103,0,99,118,67,114,101,97,116,101,77,97,116,78,68,72,101,97,100,101,114,0,66,97,100,32,67,118,77,97,116,78,68,32,104,101,97,100,101,114,0,99,118,67,108,111,110,101,77,97,116,78,68,0,115,114,99,45,62,100,105,109,115,32,60,61,32,67,86,95,77,65,88,95,68,73,77,0,95,100,115,116,46,100,97,116,97,32,61,61,32,100,97,116,97,48,0,73,110,99,111,114,114,101,99,116,32,110,117,109,98,101,114,32,111,102,32,97,114,114,97,121,115,0,99,118,73,110,105,116,78,65,114,114,97,121,73,116,101,114,97,116,111,114,0,83,111,109,101,32,111,102,32,114,101,113,117,105,114,101,100,32,97,114,114,97,121,32,112,111,105,110,116,101,114,115,32,105,115,32,78,85,76,76,0,73,116,101,114,97,116,111,114,32,112,111,105,110,116,101,114,32,105,115,32,78,85,76,76,0,73,116,101,114,97,116,111,114,32,119,105,116,104,32,109,97,115,107,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,67,79,73,32,115,101,116,32,105,115,32,110,111,116,32,97,108,108,111,119,101,100,32,104,101,114,101,0,78,117,109,98,101,114,32,111,102,32,100,105,109,101,110,115,105,111,110,115,32,105,115,32,116,104,101,32,115,97,109,101,32,102,111,114,32,97,108,108,32,97,114,114,97,121,115,0,68,97,116,97,32,116,121,112,101,32,105,115,32,110,111,116,32,116,104,101,32,115,97,109,101,32,102,111,114,32,97,108,108,32,97,114,114,97,121,115,0,78,117,109,98,101,114,32,111,102,32,99,104,97,110,110,101,108,115,32,105,115,32,110,111,116,32,116,104,101,32,115,97,109,101,32,102,111,114,32,97,108,108,32,97,114,114,97,121,115,0,68,101,112,116,104,32,105,115,32,110,111,116,32,116,104,101,32,115,97,109,101,32,102,111,114,32,97,108,108,32,97,114,114,97,121,115,0,68,105,109,101,110,115,105,111,110,32,115,105,122,101,115,32,97,114,101,32,116,104,101,32,115,97,109,101,32,102,111,114,32,97,108,108,32,97,114,114,97,121,115,0,78,85,76,76,32,97,114,114,97,121,32,112,111,105,110,116,101,114,32,105,115,32,112,97,115,115,101,100,0,99,118,71,101,116,77,97,116,78,68,0,84,104,101,32,109,97,116,114,105,120,32,104,97,115,32,78,85,76,76,32,100,97,116,97,32,112,111,105,110,116,101,114,0,85,110,114,101,99,111,103,110,105,122,101,100,32,111,114,32,117,110,115,117,112,112,111,114,116,101,100,32,97,114,114,97,121,32,116,121,112,101,0,73,110,112,117,116,32,97,114,114,97,121,32,104,97,115,32,78,85,76,76,32,100,97,116,97,32,112,111,105,110,116,101,114,0,99,118,71,101,116,77,97,116,0,84,104,101,32,105,109,97,103,101,32,104,97,115,32,78,85,76,76,32,100,97,116,97,32,112,111,105,110,116,101,114,0,73,109,97,103,101,115,32,119,105,116,104,32,112,108,97,110,97,114,32,100,97,116,97,32,108,97,121,111,117,116,32,115,104,111,117,108,100,32,98,101,32,117,115,101,100,32,119,105,116,104,32,67,79,73,32,115,101,108,101,99,116,101,100,0,84,104,101,32,105,109,97,103,101,32,105,115,32,105,110,116,101,114,108,101,97,118,101,100,32,97,110,100,32,104,97,115,32,111,118,101,114,32,67,86,95,67,78,95,77,65,88,32,99,104,97,110,110,101,108,115,0,80,105,120,101,108,32,111,114,100,101,114,32,115,104,111,117,108,100,32,98,101,32,117,115,101,100,32,119,105,116,104,32,99,111,105,32,61,61,32,48,0,79,110,108,121,32,99,111,110,116,105,110,117,111,117,115,32,110,68,32,97,114,114,97,121,115,32,97,114,101,32,115,117,112,112,111,114,116,101,100,32,104,101,114,101,0,99,118,67,114,101,97,116,101,83,112,97,114,115,101,77,97,116,0,98,97,100,32,110,117,109,98,101,114,32,111,102,32,100,105,109,101,110,115,105,111,110,115,0,99,118,82,101,108,101,97,115,101,83,112,97,114,115,101,77,97,116,0,73,110,118,97,108,105,100,32,115,112,97,114,115,101,32,97,114,114,97,121,32,104,101,97,100,101,114,0,99,118,67,108,111,110,101,83,112,97,114,115,101,77,97,116,0,73,110,118,97,108,105,100,32,115,112,97,114,115,101,32,109,97,116,114,105,120,32,104,101,97,100,101,114,0,99,118,73,110,105,116,83,112,97,114,115,101,77,97,116,73,116,101,114,97,116,111,114,0,99,118,82,101,108,101,97,115,101,68,97,116,97,0,105,110,100,101,120,32,105,115,32,111,117,116,32,111,102,32,114,97,110,103,101,0,99,118,80,116,114,50,68,0,67,79,73,32,109,117,115,116,32,98,101,32,110,111,110,45,110,117,108,108,32,105,110,32,99,97,115,101,32,111,102,32,112,108,97,110,97,114,32,105,109,97,103,101,115,0,40,40,67,118,83,112,97,114,115,101,77,97,116,42,41,97,114,114,41,45,62,100,105,109,115,32,61,61,32,50,0,79,110,101,32,111,102,32,105,110,100,105,99,101,115,32,105,115,32,111,117,116,32,111,102,32,114,97,110,103,101,0,105,99,118,71,101,116,78,111,100,101,80,116,114,0,99,118,71,101,116,69,108,101,109,84,121,112,101,0,99,118,71,101,116,68,105,109,115,0,65,114,114,97,121,32,115,104,111,117,108,100,32,98,101,32,67,118,77,97,116,32,111,114,32,73,112,108,73,109,97,103,101,0,99],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+204804);allocate([118,71,101,116,83,105,122,101,0,78,85,76,76,32,112,111,105,110,116,101,114,32,116,111,32,105,110,100,105,99,101,115,0,99,118,80,116,114,78,68,0,84,104,101,32,116,111,116,97,108,32,110,117,109,98,101,114,32,111,102,32,109,97,116,114,105,120,32,101,108,101,109,101,110,116,115,32,105,115,32,110,111,116,32,100,105,118,105,115,105,98,108,101,32,98,121,32,116,104,101,32,110,101,119,32,110,117,109,98,101,114,32,111,102,32,114,111,119,115,0,99,118,82,101,115,104,97,112,101,0,84,104,101,32,109,97,116,114,105,120,32,105,115,32,110,111,116,32,99,111,110,116,105,110,117,111,117,115,44,32,116,104,117,115,32,105,116,115,32,110,117,109,98,101,114,32,111,102,32,114,111,119,115,32,99,97,110,32,110,111,116,32,98,101,32,99,104,97,110,103,101,100,0,66,97,100,32,110,101,119,32,110,117,109,98,101,114,32,111,102,32,114,111,119,115,0,84,104,101,32,116,111,116,97,108,32,119,105,100,116,104,32,105,115,32,110,111,116,32,100,105,118,105,115,105,98,108,101,32,98,121,32,116,104,101,32,110,101,119,32,110,117,109,98,101,114,32,111,102,32,99,104,97,110,110,101,108,115,0,110,117,108,108,32,112,111,105,110,116,101,114,32,116,111,32,104,101,97,100,101,114,0,99,118,73,110,105,116,73,109,97,103,101,72,101,97,100,101,114,0,66,97,100,32,105,110,112,117,116,32,114,111,105,0,85,110,115,117,112,112,111,114,116,101,100,32,102,111,114,109,97,116,0,66,97,100,32,105,110,112,117,116,32,111,114,105,103,105,110,0,66,97,100,32,105,110,112,117,116,32,97,108,105,103,110,0,71,82,65,89,0,82,71,66,0,66,71,82,0,66,71,82,65,0,99,118,82,101,108,101,97,115,101,73,109,97,103,101,0,99,118,83,101,116,73,109,97,103,101,82,79,73,0,114,101,99,116,46,119,105,100,116,104,32,62,61,32,48,32,38,38,32,114,101,99,116,46,104,101,105,103,104,116,32,62,61,32,48,32,38,38,32,114,101,99,116,46,120,32,60,32,105,109,97,103,101,45,62,119,105,100,116,104,32,38,38,32,114,101,99,116,46,121,32,60,32,105,109,97,103,101,45,62,104,101,105,103,104,116,32,38,38,32,114,101,99,116,46,120,32,43,32,114,101,99,116,46,119,105,100,116,104,32,62,61,32,40,105,110,116,41,40,114,101,99,116,46,119,105,100,116,104,32,62,32,48,41,32,38,38,32,114,101,99,116,46,121,32,43,32,114,101,99,116,46,104,101,105,103,104,116,32,62,61,32,40,105,110,116,41,40,114,101,99,116,46,104,101,105,103,104,116,32,62,32,48,41,0,99,118,83,101,116,73,109,97,103,101,67,79,73,0,99,118,71,101,116,73,109,97,103,101,67,79,73,0,66,97,100,32,105,109,97,103,101,32,104,101,97,100,101,114,0,99,118,67,108,111,110,101,73,109,97,103,101,0,99,110,32,60,61,32,52,0,115,99,97,108,97,114,84,111,82,97,119,68,97,116,97,0,118,111,105,100,32,99,118,58,58,115,99,97,108,97,114,84,111,82,97,119,68,97,116,97,40,99,111,110,115,116,32,83,99,97,108,97,114,32,38,44,32,118,111,105,100,32,42,44,32,105,110,116,44,32,105,110,116,41,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,109,97,116,114,105,120,95,99,46,99,112,112,0,67,79,73,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,98,121,32,116,104,101,32,102,117,110,99,116,105,111,110,0,99,118,97,114,114,84,111,77,97,116,0,105,109,103,45,62,100,97,116,97,79,114,100,101,114,32,61,61,32,73,80,76,95,68,65,84,65,95,79,82,68,69,82,95,80,73,88,69,76,0,105,112,108,73,109,97,103,101,84,111,77,97,116,0,105,109,103,45,62,100,97,116,97,79,114,100,101,114,32,61,61,32,73,80,76,95,68,65,84,65,95,79,82,68,69,82,95,80,73,88,69,76,32,124,124,32,105,109,103,45,62,114,111,105,45,62,99,111,105,32,33,61,32,48,0,116,111,116,97,108,32,62,32,48,32,38,38,32,67,86,95,69,76,69,77,95,83,73,90,69,40,115,101,113,45,62,102,108,97,103,115,41,32,61,61,32,101,115,122,0,85,110,107,110,111,119,110,32,97,114,114,97,121,32,116,121,112,101,0,78,50,99,118,49,54,80,97,114,97,108,108,101,108,76,111,111,112,66,111,100,121,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,84,104,101,32,108,105,98,114,97,114,121,32,105,115,32,99,111,109,112,105,108,101,100,32,119,105,116,104,111,117,116,32,79,112,101,110,71,76,32,115,117,112,112,111,114,116,0,116,104,114,111,119,95,110,111,95,111,103,108,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,111,112,101,110,103,108,46,99,112,112,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,108,97,112,97,99,107,46,99,112,112,0,33,109,97,116,46,101,109,112,116,121,40,41,0,100,101,116,101,114,109,105,110,97,110,116,0,109,97,116,46,114,111,119,115,32,61,61,32,109,97,116,46,99,111,108,115,32,38,38,32,40,116,121,112,101,32,61,61,32,67,86,95,51,50,70,32,124,124,32,116,121,112,101,32,61,61,32,67,86,95,54,52,70,41,0,100,111,117,98,108,101,32,99,118,58,58,100,101,116,101,114,109,105,110,97,110,116,40,73,110,112,117,116,65,114,114,97,121,41,0,116,121,112,101,32,61,61,32,67,86,95,51,50,70,32,124,124,32,116,121,112,101,32,61,61,32,67,86,95,54,52,70,0,105,110,118,101,114,116,0,109,32,61,61,32,110,0,109,101,116,104,111,100,32,61,61,32,68,69,67,79,77,80,95,76,85,32,124,124,32,109,101,116,104,111,100,32,61,61,32,68,69,67,79,77,80,95,67,72,79,76,69,83,75,89,0,115,114,99,46,114,111,119,115,32,61,61,32,115,114,99,46,99,111,108,115,0,101,105,103,101,110,0,98,111,111,108,32,99,118,58,58,101,105,103,101,110,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,119,46,116,121,112,101,40,41,32,61,61,32,117,46,116,121,112,101,40,41,32,38,38,32,117,46,116,121,112,101,40,41,32,61,61,32,118,116,46,116,121,112,101,40,41,32,38,38,32,117,46,100,97,116,97,32,38,38,32,118,116,46,100,97,116,97,32,38,38,32,119,46,100,97,116,97,0,98,97,99,107,83,117,98,115,116,0,117,46,99,111,108,115,32,62,61,32,110,109,32,38,38,32,118,116,46,114,111,119,115,32,62,61,32,110,109,32,38,38,32,40,119,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,110,109,44,32,49,41,32,124,124,32,119,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,49,44,32,110,109,41,32,124,124,32,119,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,118,116,46,114,111,119,115,44,32,117,46,99,111,108,115,41,41,0,114,104,115,46,100,97,116,97,32,61,61,32,48,32,124,124,32,40,114,104,115,46,116,121,112,101,40,41,32,61,61,32,116,121,112,101,32,38,38,32,114,104,115,46,114,111,119,115,32,61,61,32,109,41,0,95,83,86,68,99,111,109,112,117,116,101,0,115,116,97,116,105,99,32,118,111,105,100,32,99,118,58,58,83,86,68,58,58,99,111,109,112,117,116,101,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,0,100,111,117,98,108,101,32,99,118,58,58,105,110,118,101,114,116,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,0,116,121,112,101,32,61,61,32,95,115,114,99,50,46,116,121,112,101,40,41,32,38,38,32,40,116,121,112,101,32,61,61,32,67,86,95,51,50,70,32,124,124,32,116,121,112,101,32,61,61,32,67,86,95,54,52,70,41,0,115,111,108,118,101,0,40,109,101,116,104,111,100,32,33,61,32,68,69,67,79,77,80,95,76,85,32,38,38,32,109,101,116,104,111,100,32,33,61,32,68,69,67,79,77,80,95,67,72,79,76,69,83,75,89,41,32,124,124,32,105,115,95,110,111,114,109,97,108,32,124,124,32,115,114,99,46,114,111,119,115,32,61,61,32,115,114,99,46,99,111,108,115,0,84,104,101,32,102,117,110,99,116,105,111,110,32,99,97,110,32,110,111,116,32,115,111,108,118,101,32,117,110,100,101,114,45,100,101,116,101,114,109,105,110,101,100,32,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,98,111,111,108,32,99,118,58,58,115,111,108,118,101,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,0,85,110,115,117,112,112,111,114,116,101,100,32,109,101,116,104,111,100,44,32,115,101,101,32,35,68,101,99,111,109,112,84,121,112,101,115,0,109,101,116,104,111,100,0,109,101,116,104,111,100,32,61,61,32,68,69,67,79,77,80,95,76,85,32,124,124,32,109,101,116,104,111,100,32,61,61,32,68,69,67,79,77,80,95,83,86,68,32,124,124,32,109,101,116,104,111,100,32,61,61,32,68,69,67,79,77,80,95,69,73,71,32,124,124,32,109,101,116,104,111,100,32,61,61,32,68,69,67,79,77,80,95,67,72,79,76,69,83,75,89,32,124,124,32,109,101,116,104,111,100,32,61,61,32,68,69,67,79,77,80,95,81,82,0,78,50,99,118,57,70,111,114,109,97,116,116,101,100,69,0,78,50,99,118,57,70,111,114,109,97,116,116,101,114,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,48,67,70,111,114,109,97,116,116,101,114,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,50,95,69,69,69,69,0,0,0,44,0,0,123,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,51,70,111,114,109,97,116,116,101,100,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,50,95,69,69,69,69,0,109,46,100,105,109,115,32,60,61,32,50,0,70,111,114,109,97,116,116,101,100,73,109,112,108,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,111,117,116,46,99,112,112,0,37,37,46,37,100,103,0,37,51,100,0,10,40,58,44,32,58,44,32,37,100,41,32,61,32,10,0,40,58,44,32,58,44,32,37,100,41,32,61,32,10,0,78,50,99,118,49,51,70,111,114,109,97,116,116,101,100,73,109,112,108,69,0,78,50,99,118,49,48,67,70,111,114,109,97,116,116,101,114,69,0,78,50,99,118,49,51,70,111,114,109,97,116,116,101,114,66,97,115,101,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,52,78,117,109,112,121,70,111,114,109,97,116,116,101,114,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,50,95,69,69,69,69,0,91,93,44,91,93,93,44,32,100,116,121,112,101,61,39,37,115,39,41,0,97,114,114,97,121,40,91,0,117,105,110,116,56,0,105,110,116,56,0,117,105,110,116,49,54,0,105,110,116,49,54,0,102,108,111,97,116,51,50,0,102,108,111,97,116,54,52,0,78,50,99,118,49,52,78,117,109,112,121,70,111,114,109,97,116,116,101,114,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,53,80,121,116,104,111,110,70,111,114,109,97,116,116,101,114,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,50,95,69,69,69,69,0,78,50,99,118,49,53,80,121,116,104,111,110,70,111,114,109,97,116,116,101,114,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,50,67,83,86,70,111,114,109,97,116,116,101,114,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,50,95,69,69,69,69,0,78,50,99,118,49,50,67,83,86,70,111,114,109,97,116,116,101,114,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,53,77,97,116,108,97,98,70,111,114,109,97,116,116,101,114,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,50,95,69,69,69,69,0,0,0,59,0,0,78,50,99,118,49,53,77,97,116,108,97,98,70,111,114,109,97,116,116,101,114,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,54,68,101,102,97,117,108,116,70,111,114,109,97,116,116,101,114,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,50,95,69,69,69,69,0,78,50,99,118,49,54,68,101,102,97,117,108,116,70,111,114,109,97,116,116,101,114,69,0,40,99,110,32,61,61,32,49,32,38,38,32,40,95,109,97,115,107,46,101,109,112,116,121,40,41,32,124,124,32,95,109,97,115,107,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,41,41,32,124,124,32,40,99,110,32,62,32,49,32,38,38,32,95,109,97,115,107,46,101,109,112,116,121,40,41,32,38,38,32,33,109,105,110,73,100,120,32,38,38,32,33,109,97,120,73,100,120,41,0,109,105,110,77,97,120,73,100,120,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,109,105,110,109,97,120,46,99,112,112,0,118,111,105,100,32,99,118,58,58,109,105,110,77,97,120,73,100,120,40,73,110,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,32,42,44,32,100,111,117,98,108,101,32,42,44,32,105,110,116,32,42,44,32,105,110,116,32,42,44,32,73,110,112,117,116,65,114,114,97,121,41,0,95,105,109,103,46,100,105,109,115,40,41,32,60,61,32,50,0,109,105,110,77,97,120,76,111,99,0,118,111,105,100,32,99,118,58,58,109,105,110,77,97,120,76,111,99,40,73,110,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,32,42,44,32,100,111,117,98,108,101,32,42,44,32,80,111,105,110,116,32,42,44,32,80,111,105,110,116,32,42,44,32,73,110,112,117,116,65,114,114,97,121,41,0,105,99,118,73,110,105,116,77,101,109,83,116,111,114,97,103,101,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,100,97,116,97,115,116,114,117,99,116,115,46,99,112,112,0,99,118,67,114,101,97,116,101,67,104,105,108,100,77,101,109,83,116,111,114,97,103,101,0,99,118,82,101,108,101,97,115,101,77,101,109,83,116,111,114,97,103,101,0,99,118,67,108,101,97,114,77,101,109,83,116,111,114,97,103,101,0,99,118,83,97,118,101,77,101,109,83,116,111,114,97,103,101,80,111,115,0,99,118,82,101,115,116,111,114,101,77,101,109,83,116,111,114,97,103,101,80,111,115,0,99,118,77,101,109,83,116,111,114,97,103,101,65,108,108,111,99,0,84,111,111,32,108,97,114,103,101,32,109,101,109,111,114,121,32,98,108,111,99,107,32,105,115,32,114,101,113,117,101,115,116,101,100,0,114,101,113,117,101,115,116,101,100,32,115,105,122,101,32,105,115,32,110,101,103,97,116,105,118,101,32,111,114,32,116,111,111,32,98,105,103,0,105,99,118,71,111,78,101,120,116,77,101,109,66,108,111,99,107,0,99,118,67,114,101,97,116,101,83,101,113,0,83,112,101,99,105,102,105,101,100,32,101,108,101,109,101,110,116,32,115,105,122,101,32,100,111,101,115,110,39,116,32,109,97,116,99,104,32,116,111,32,116,104,101,32,115,105,122,101,32,111,102,32,116,104,101,32,115,112,101,99,105,102,105,101,100,32,101,108,101,109,101,110,116,32,116,121,112,101,32,40,116,114,121,32,116,111,32,117,115,101,32,48,32,102,111,114,32,101,108,101,109,101,110,116,32,116,121,112,101,41,0,99,118,83,101,116,83,101,113,66,108,111,99,107,83,105,122,101,0,83,116,111,114,97,103,101,32,98,108,111,99,107,32,115,105,122,101,32,105,115,32,116,111,111,32,115,109,97,108,108,32,116,111,32,102,105,116,32,116,104,101,32,115,101,113,117,101,110,99,101,32,101,108,101,109,101,110,116,115,0,0,1,255,2,255,255,255,3,255,255,255,255,255,255,255,4,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,5,99,118,67,118,116,83,101,113,84,111,65,114,114,97,121,0,99,118,83,101,116,83,101,113,82,101,97,100,101,114,80,111,115,0,99,118,83,116,97,114,116,82,101,97,100,83,101,113,0,99,118,77,97,107,101,83,101,113,72,101,97,100,101,114,70,111,114,65,114,114,97,121,0,69,108,101,109,101,110,116,32,115,105,122,101,32,100,111,101,115,110,39,116,32,109,97,116,99,104,32,116,111,32,116,104,101,32,115,105,122,101,32,111,102,32,112,114,101,100,101,102,105,110,101,100,32,101,108,101,109,101,110,116,32,116,121,112,101,32,40,116,114,121,32,116,111,32,117,115,101,32,48,32,102,111,114,32,115,101,113,117,101,110,99,101,32,101,108,101,109,101,110,116,32,116,121,112,101,41,0,99,118,83,116,97,114,116,65,112,112,101,110,100,84,111,83,101,113,0,99,118,83,116,97,114,116,87,114,105,116,101,83,101,113,0,99,118,70,108,117,115,104,83,101,113,87,114,105,116,101,114,0,99,118,69,110,100,87,114,105,116,101,83,101,113,0,99,118,67,114,101,97,116,101,83,101,113,66,108,111,99,107,0,105,99,118,71,114,111,119,83,101,113,0,84,104,101,32,115,101,113,117,101,110,99,101,32,104,97,115,32,78,85,76,76,32,115,116,111,114,97,103,101,32,112,111,105,110,116,101,114,0,99,118,67,104,97,110,103,101,83,101,113,66,108,111,99,107,0,99,118,71,101,116,83,101,113,82,101,97,100,101,114,80,111,115,0,99,118,83,101,113,80,117,115,104,0,99,118,83,101,113,80,111,112,0,78,85,76,76,32,115,101,113,117,101,110,99,101,32,112,111,105,110,116,101,114,0,99,118,83,101,113,80,117,115,104,77,117,108,116,105,0,110,117,109,98,101,114,32,111,102,32,114,101,109,111,118,101,100,32,101,108,101,109,101,110,116,115,32,105,115,32,110,101,103,97,116,105,118,101,0,99,118,83,101,113,80,111,112,77,117,108,116,105,0,99,118,67,108,101,97,114,83,101,113,0,73,110,118,97,108,105,100,32,115,101,113,117,101,110,99,101,32,104,101,97,100,101,114,0,99,118,83,101,113,83,108,105,99,101,0,66,97,100,32,115,101,113,117,101,110,99,101,32,115,108,105,99,101,0,66,97,100,32,105,110,112,117,116,32,115,101,113,117,101,110,99,101,0,99,118,83,101,113,83,111,114,116,0,78,117,108,108,32,99,111,109,112,97,114,101,32,102,117,110,99,116,105,111,110,0,99,118,67,114,101,97,116,101,83,101,116,0,99,118,83,101,116,65,100,100,0,99,118,67,114,101,97,116,101,71,114,97,112,104,0,99,118,71,114,97,112,104,65,100,100,86,116,120,0,99,118,70,105,110,100,71,114,97,112,104,69,100,103,101,66,121,80,116,114,0,103,114,97,112,104,32,112,111,105,110,116,101,114,32,105,115,32,78,85,76,76,0,99,118,71,114,97,112,104,65,100,100,69,100,103,101,66,121,80,116,114,0,118,101,114,116,101,120,32,112,111,105,110,116,101,114,115,32,99,111,105,110,99,105,100,101,32,40,111,114,32,115,101,116,32,116,111,32,78,85,76,76,41,0,73,110,118,97,108,105,100,32,103,114,97,112,104,32,112,111,105,110,116,101,114,0,99,118,67,108,111,110,101,71,114,97,112,104,0,99,118,84,114,101,101,84,111,78,111,100,101,83,101,113,0,99,118,73,110,105,116,84,114,101,101,78,111,100,101,73,116,101,114,97,116,111,114,0,78,85,76,76,32,105,116,101,114,97,116,111,114,32,112,111,105,110,116,101,114,0,99,118,78,101,120,116,84,114,101,101,78,111,100,101,0,99,118,73,110,115,101,114,116,78,111,100,101,73,110,116,111,84,114,101,101,0,116,121,112,101,32,61,61,32,67,86,95,54,52,70,67,50,0,103,101,109,109,73,109,112,108,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,109,97,116,109,117,108,46,99,112,112,0,118,111,105,100,32,99,118,58,58,103,101,109,109,73,109,112,108,40,99,118,58,58,77,97,116,44,32,99,118,58,58,77,97,116,44,32,100,111,117,98,108,101,44,32,99,118,58,58,77,97,116,44,32,100,111,117,98,108,101,44,32,99,118,58,58,77,97,116,44,32,105,110,116,41,0,116,121,112,101,32,61,61,32,66,46,116,121,112,101,40,41,0,103,101,109,109,0,40,116,121,112,101,32,61,61,32,40,40,40,53,41,32,38,32,40,40,49,32,60,60,32,51,41,32,45,32,49,41,41,32,43,32,40,40,40,49,41,45,49,41,32,60,60,32,51,41,41,32,124,124,32,116,121,112,101,32,61,61,32,40,40,40,54,41,32,38,32,40,40,49,32,60,60,32,51,41,32,45,32,49,41,41,32,43,32,40,40,40,49,41,45,49,41,32,60,60,32,51,41,41,32,124,124,32,116,121,112,101,32,61,61,32,40,40,40,53,41,32,38,32,40,40,49,32,60,60,32,51,41,32,45,32,49,41,41,32,43,32,40,40,40,50,41,45,49,41,32,60,60,32,51,41,41,32,124,124,32,116,121,112,101,32,61,61,32,40,40,40,54,41,32,38,32,40,40,49,32,60,60,32,51,41,32,45,32,49,41,41,32,43,32,40,40,40,50,41,45,49,41,32,60,60,32,51,41,41,41,0,97,95,115,105,122,101,46,119,105,100,116,104,32,61,61,32,108,101,110,0,97,95,115,105,122,101,46,104,101,105,103,104,116,32,61,61,32,108,101,110,0,67,46,116,121,112,101,40,41,32,61,61,32,116,121,112,101,0,40,40,40,102,108,97,103,115,38,71,69,77,77,95,51,95,84,41,32,61,61,32,48,32,38,38,32,67,46,114,111,119,115,32,61,61,32,100,95,115,105,122,101,46,104,101,105,103,104,116,32,38,38,32,67,46,99,111,108,115,32,61,61,32,100,95,115,105,122,101,46,119,105,100,116,104,41,32,124,124,32,40,40,102,108,97,103,115,38,71,69,77,77,95,51,95,84,41,32,33,61,32,48,32,38,38,32,67,46,114,111,119,115,32,61,61,32,100,95,115,105,122,101,46,119,105,100,116,104,32,38,38,32,67,46,99,111,108,115,32,61,61,32,100,95,115,105,122,101,46,104,101,105,103,104,116,41,41,0,115,99,110,32,61,61,32,109,46,99,111,108,115,32,124,124,32,115,99,110,32,43,32,49,32,61,61,32,109,46,99,111,108,115,0,116,114,97,110,115,102,111,114,109,0,118,111,105,100,32,99,118,58,58,116,114,97,110,115,102,111,114,109,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,41,0,115,99,110,32,43,32,49,32,61,61,32,109,46,99,111,108,115,0,112,101,114,115,112,101,99,116,105,118,101,84,114,97,110,115,102,111,114,109,0,100,101,112,116,104,32,61,61,32,67,86,95,51,50,70,32,124,124,32,100,101,112,116,104,32,61,61,32,67,86,95,54,52,70,0,118,111,105,100,32,99,118,58,58,112,101,114,115,112,101,99,116,105,118,101,84,114,97,110,115,102,111,114,109,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,41,0,116,121,112,101,32,61,61,32,95,115,114,99,50,46,116,121,112,101,40,41,0,115,99,97,108,101,65,100,100,0,115,114,99,49,46,115,105,122,101,32,61,61,32,115,114,99,50,46,115,105,122,101,0,118,111,105,100,32,99,118,58,58,115,99,97,108,101,65,100,100,40,73,110,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,115,114,99,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,49,0,109,117,108,84,114,97,110,115,112,111,115,101,100,0,100,101,108,116,97,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,49,0,40,100,101,108,116,97,46,114,111,119,115,32,61,61,32,115,114,99,46,114,111,119,115,32,124,124,32,100,101,108,116,97,46,114,111,119,115,32,61,61,32,49,41,0,40,100,101,108,116,97,46,99,111,108,115,32,61,61,32,115,114,99,46,99,111,108,115,32,124,124,32,100,101,108,116,97,46,99,111,108,115,32,61,61,32,49,41,0,118,111,105,100,32,99,118,58,58,109,117,108,84,114,97,110,115,112,111,115,101,100,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,98,111,111,108,44,32,73,110,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,105,110,116,41,0,109,97,116,46,116,121,112,101,40,41,32,61,61,32,116,121,112,101,40,41,0,100,111,116,0,109,97,116,46,115,105,122,101,32,61,61,32,115,105,122,101,0,100,111,117,98,108,101,32,99,118,58,58,77,97,116,58,58,100,111,116,40,73,110,112,117,116,65,114,114,97,121,41,32,99,111,110,115,116,0,99,111,117,110,116,78,111,110,90,101,114,111,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,99,111,117,110,116,95,110,111,110,95,122,101,114,111,46,99,112,112,0,105,110,116,32,99,118,58,58,99,111,117,110,116,78,111,110,90,101,114,111,40,73,110,112,117,116,65,114,114,97,121,41,0,109,121,95,111,98,106,101,99,116,0,118,105,114,116,117,97,108,32,99,118,58,58,83,116,114,105,110,103,32,99,118,58,58,65,108,103,111,114,105,116,104,109,58,58,103,101,116,68,101,102,97,117,108,116,78,97,109,101,40,41,32,99,111,110,115,116,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,97,108,103,111,114,105,116,104,109,46,99,112,112,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,65,108,103,111,114,105,116,104,109,58,58,115,97,118,101,40,99,111,110,115,116,32,99,118,58,58,83,116,114,105,110,103,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,99,118,58,58,65,108,103,111,114,105,116,104,109,58,58,126,65,108,103,111,114,105,116,104,109,40,41,0,78,50,99,118,57,65,108,103,111,114,105,116,104,109,69,0,99,118,58,58,65,108,103,111,114,105,116,104,109,58,58,65,108,103,111,114,105,116,104,109,40,41,0,102,111,114,109,97,116,0,118,111,105,100,32,99,118,58,58,65,108,103,111,114,105,116,104,109,58,58,119,114,105,116,101,70,111,114,109,97,116,40,99,118,58,58,70,105,108,101,83,116,111,114,97,103,101,32,38,41,32,99,111,110,115,116,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,112,117,95,98,97,115,101,108,105,110,101,58,58,102,97,115,116,65,116,97,110,51,50,102,40,99,111,110,115,116,32,102,108,111,97,116,32,42,44,32,99,111,110,115,116,32,102,108,111,97,116,32,42,44,32,102,108,111,97,116,32,42,44,32,105,110,116,44,32,98,111,111,108,41,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,109,97,116,104,102,117,110,99,115,95,99,111,114,101,46,115,105,109,100,46,104,112,112,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,112,117,95,98,97,115,101,108,105,110,101,58,58,102,97,115,116,65,116,97,110,54,52,102,40,99,111,110,115,116,32,100,111,117,98,108,101,32,42,44,32,99,111,110,115,116,32,100,111,117,98,108,101,32,42,44,32,100,111,117,98,108,101,32,42,44,32,105,110,116,44,32,98,111,111,108,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,112,117,95,98,97,115,101,108,105,110,101,58,58,109,97,103,110,105,116,117,100,101,51,50,102,40,99,111,110,115,116,32,102,108,111,97,116,32,42,44,32,99,111,110,115,116,32,102,108,111,97,116,32,42,44,32,102,108,111,97,116,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,112,117,95,98,97,115,101,108,105,110,101,58,58,109,97,103,110,105,116,117,100,101,54,52,102,40,99,111,110,115,116,32,100,111,117,98,108,101,32,42,44,32,99,111,110,115,116,32,100,111,117,98,108,101,32,42,44,32,100,111,117,98,108,101,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,112,117,95,98,97,115,101,108,105,110,101,58,58,105,110,118,83,113,114,116,51,50,102,40,99,111,110,115,116,32,102,108,111,97,116,32,42,44,32,102,108,111,97,116,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,112,117,95,98,97,115,101,108,105,110,101,58,58,105,110,118,83,113,114,116,54,52,102,40,99,111,110,115,116,32,100,111,117,98,108,101,32,42,44,32,100,111,117,98,108,101,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,112,117,95,98,97,115,101,108,105,110,101,58,58,115,113,114,116,51,50,102,40,99,111,110,115,116,32,102,108,111,97,116,32,42,44,32,102,108,111,97,116,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,112,117,95,98,97,115,101,108,105,110,101,58,58,115,113,114,116,54,52,102,40,99,111,110,115,116,32,100,111,117,98,108,101,32,42,44,32,100,111,117,98,108,101,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,112,117,95,98,97,115,101,108,105,110,101,58,58,101,120,112,51,50,102,40,99,111,110,115,116,32,102,108,111,97,116,32,42,44,32,102,108,111,97,116,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,112,117,95,98,97,115,101,108,105,110,101,58,58,101,120,112,54,52,102,40,99,111,110,115,116,32,100,111,117,98,108,101,32,42,44,32,100,111,117,98,108,101,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,112,117,95,98,97,115,101,108,105,110,101,58,58,108,111,103,51,50,102,40,99,111,110,115,116,32,102,108,111,97,116,32,42,44,32,102,108,111,97,116,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,112,117,95,98,97,115,101,108,105,110,101,58,58,108,111,103,54,52,102,40,99,111,110,115,116,32,100,111,117,98,108,101,32,42,44,32,100,111,117,98,108,101,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,102,97,115,116,65,116,97,110,51,50,102,40,99,111,110,115,116,32,102,108,111,97,116,32,42,44,32,99,111,110,115,116,32,102,108,111,97,116,32,42,44,32,102,108,111,97,116,32,42,44,32,105,110,116,44,32,98,111,111,108,41,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,109,97,116,104,102,117,110,99,115,95,99,111,114,101,46,100,105,115,112,97,116,99,104,46,99,112,112,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,102,97,115,116,65,116,97,110,54,52,102,40,99,111,110,115,116,32,100,111,117,98,108,101,32,42,44,32,99,111,110,115,116,32,100,111,117,98,108,101,32,42,44,32,100,111,117,98,108,101,32,42,44,32,105,110,116,44,32,98,111,111,108,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,109,97,103,110,105,116,117,100,101,51,50,102,40,99,111,110,115,116,32,102,108,111,97,116,32,42,44,32,99,111,110,115,116,32,102,108,111,97,116,32,42,44,32,102,108,111,97,116,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,109,97,103,110,105,116,117,100,101,54,52,102,40,99,111,110,115,116,32,100,111,117,98,108,101,32,42,44,32,99,111,110,115,116,32,100,111,117,98,108,101,32,42,44,32,100,111,117,98,108,101,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,105,110,118,83,113,114,116,51,50,102,40,99,111,110,115,116,32,102,108,111,97,116,32,42,44,32,102,108,111,97,116,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,105,110,118,83,113,114,116,54,52,102,40,99,111,110,115,116,32,100,111,117,98,108,101,32,42,44,32,100,111,117,98,108,101,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,115,113,114,116,51,50,102,40,99,111,110,115,116,32,102,108,111,97,116,32,42,44,32,102,108,111,97,116,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,115,113,114,116,54,52,102,40,99,111,110,115,116,32,100,111,117,98,108,101,32,42,44,32,100,111,117,98,108,101,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,101,120,112,51,50,102,40,99,111,110,115,116,32,102,108,111,97,116,32,42,44,32,102,108,111,97,116,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,101,120,112,54,52,102,40,99,111,110,115,116,32,100,111,117,98,108,101,32,42,44,32,100,111,117,98,108,101,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,108,111,103,51,50,102,40,99,111,110,115,116,32,102,108,111,97,116,32,42,44,32,102,108,111,97,116,32,42,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,108,111,103,54,52,102,40,99,111,110,115,116,32,100,111,117,98,108,101,32,42,44,32,100,111,117,98,108,101,32,42,44,32,105,110,116,41,0,84,104,101,32,108,105,98,114,97,114,121,32,105,115,32,99,111,109,112,105,108,101,100,32,119,105,116,104,111,117,116,32,67,85,68,65,32,115,117,112,112,111,114,116,0,116,104,114,111,119,95,110,111,95,99,117,100,97,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,105,110,99,108,117,100,101,47,111,112,101,110,99,118,50,47,99,111,114,101,47,112,114,105,118,97,116,101,46,99,117,100,97,46,104,112,112,0,60,105,110,118,97,108,105,100,32,100,101,112,116,104,62,0,67,86,95,56,85,0,67,86,95,56,83,0,67,86,95,49,54,85,0,67,86,95,49,54,83,0,67,86,95,51,50,83,0,67,86,95,51,50,70,0,67,86,95,54,52,70,0,67,86,95,85,83,82,84,89,80,69,49,0,37,115,67,37,100,0,60,105,110,118,97,108,105,100,32,116,121,112,101,62,0,32,40,101,120,112,101,99,116,101,100,58,32,39,0,63,63,63,0,39,41,44,32,119,104,101,114,101,0,32,32,32,32,39,0,39,32,105,115,32,0,109,117,115,116,32,98,101,32,0,123,99,117,115,116,111,109,32,99,104,101,99,107,125,0,101,113,117,97,108,32,116,111,0,110,111,116,32,101,113,117,97,108,32,116,111,0,108,101,115,115,32,116,104,97,110,32,111,114,32,101,113,117,97,108,32,116,111,0,108,101,115,115,32,116,104,97,110,0,103,114,101,97,116,101,114,32,116,104,97,110,32,111,114,32,101,113,117,97,108,32,116,111,0,103,114,101,97,116,101,114,32,116,104,97,110,0,39,0,119,104,101,114,101,0,98,97,115,101,54,52,0,78,85,76,76,32,111,114,32,101,109,112,116,121,32,102,105,108,101,110,97,109,101,0,78,85,76,76,32,111,114,32,101,109,112,116,121,32,98,117,102,102,101,114,0,99,118,79,112,101,110,70,105,108,101,83,116,111,114,97,103,101,0,67,86,95,83,84,79,82,65,71,69,95,65,80,80,69,78,68,32,97,110,100,32,67,86,95,83,84,79,82,65,71,69,95,77,69,77,79,82,89,32,97,114,101,32,110,111,116,32,99,117,114,114,101,110,116,108,121,32,99,111,109,112,97,116,105,98,108,101,0,65,112,112,101,110,100,105,110,103,32,100,97,116,97,32,116,111,32,99,111,109,112,114,101,115,115,101,100,32,102,105,108,101,32,105,115,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,0,97,43,116,0,119,116,0,114,116,0,85,84,70,45,49,54,0,117,116,102,45,49,54,0,85,116,102,45,49,54,0,85,84,70,45,49,54,32,88,77,76,32,101,110,99,111,100,105,110,103,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,33,32,85,115,101,32,56,45,98,105,116,32,101,110,99,111,100,105,110,103,10,0,115,116,114,108,101,110,40,101,110,99,111,100,105,110,103,41,32,60,32,49,48,48,48,0,60,63,120,109,108,32,118,101,114,115,105,111,110,61,34,49,46,48,34,32,101,110,99,111,100,105,110,103,61,34,37,115,34,63,62,10,0,60,63,120,109,108,32,118,101,114,115,105,111,110,61,34,49,46,48,34,63,62,10,0,60,111,112,101,110,99,118,95,115,116,111,114,97,103,101,62,10,0,60,47,111,112,101,110,99,118,95,115,116,111,114,97,103,101,62,0,67,111,117,108,100,32,110,111,116,32,102,105,110,100,32,60,47,111,112,101,110,99,118,95,115,116,111,114,97,103,101,62,32,105,110,32,116,104,101,32,101,110,100,32,111,102,32,102,105,108,101,46,10,0,114,43,116,0,32,60,33,45,45,32],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+215044);allocate([114,101,115,117,109,101,100,32,45,45,62,0,37,89,65,77,76,58,49,46,48,10,45,45,45,10,0,46,46,46,10,45,45,45,10,0,67,111,117,108,100,32,110,111,116,32,102,105,110,100,32,39,125,39,32,105,110,32,116,104,101,32,101,110,100,32,111,102,32,102,105,108,101,46,10,0,73,110,112,117,116,32,102,105,108,101,32,105,115,32,101,109,112,116,121,0,85,110,115,117,112,112,111,114,116,101,100,32,102,105,108,101,32,115,116,111,114,97,103,101,32,102,111,114,109,97,116,0,99,118,82,101,108,101,97,115,101,70,105,108,101,83,116,111,114,97,103,101,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,112,101,114,115,105,115,116,101,110,99,101,95,99,46,99,112,112,0,110,111,100,101,32,33,61,32,78,85,76,76,0,99,118,76,111,97,100,0,67,111,117,108,100,32,110,111,116,32,102,105,110,100,32,116,104,101,47,97,110,32,111,98,106,101,99,116,32,105,110,32,102,105,108,101,32,115,116,111,114,97,103,101,0,78,85,76,76,32,109,101,109,111,114,121,32,115,116,111,114,97,103,101,32,105,115,32,112,97,115,115,101,100,32,45,32,116,104,101,32,108,111,97,100,101,100,32,100,121,110,97,109,105,99,32,115,116,114,117,99,116,117,114,101,32,99,97,110,32,110,111,116,32,98,101,32,115,116,111,114,101,100,0,99,118,82,101,108,101,97,115,101,0,85,110,107,110,111,119,110,32,111,98,106,101,99,116,32,116,121,112,101,0,114,101,108,101,97,115,101,32,102,117,110,99,116,105,111,110,32,112,111,105,110,116,101,114,32,105,115,32,78,85,76,76,0,99,118,82,101,97,100,0,84,104,101,32,110,111,100,101,32,100,111,101,115,32,110,111,116,32,114,101,112,114,101,115,101,110,116,32,97,32,117,115,101,114,32,111,98,106,101,99,116,32,40,117,110,107,110,111,119,110,32,116,121,112,101,63,41,0,99,118,71,101,116,70,105,108,101,78,111,100,101,66,121,78,97,109,101,0,78,117,108,108,32,101,108,101,109,101,110,116,32,110,97,109,101,0,84,104,101,32,110,111,100,101,32,105,115,32,110,101,105,116,104,101,114,32,97,32,109,97,112,32,110,111,114,32,97,110,32,101,109,112,116,121,32,99,111,108,108,101,99,116,105,111,110,0,99,118,71,101,116,70,105,108,101,78,111,100,101,0,78,117,108,108,32,107,101,121,32,101,108,101,109,101,110,116,0,109,97,112,95,110,111,100,101,32,33,61,32,78,85,76,76,0,68,117,112,108,105,99,97,116,101,100,32,107,101,121,0,99,118,71,101,116,82,111,111,116,70,105,108,101,78,111,100,101,0,99,118,83,116,97,114,116,87,114,105,116,101,83,116,114,117,99,116,0,109,117,115,116,32,115,101,116,32,39,115,116,114,117,99,116,95,102,108,97,103,115,32,124,61,32,67,86,95,78,79,68,69,95,83,69,81,39,32,105,102,32,117,115,105,110,103,32,66,97,115,101,54,52,46,0,102,117,110,99,116,105,111,110,32,39,99,118,83,116,97,114,116,87,114,105,116,101,83,116,114,117,99,116,39,32,99,97,108,108,115,32,99,97,110,110,111,116,32,98,101,32,110,101,115,116,101,100,32,105,102,32,117,115,105,110,103,32,66,97,115,101,54,52,46,0,65,116,32,116,104,101,32,101,110,100,32,111,102,32,116,104,101,32,111,117,116,112,117,116,32,66,97,115,101,54,52,44,32,96,99,118,69,110,100,87,114,105,116,101,83,116,114,117,99,116,96,32,105,115,32,110,101,101,100,101,100,46,0,99,118,69,110,100,87,114,105,116,101,83,116,114,117,99,116,0,99,118,87,114,105,116,101,73,110,116,0,99,118,87,114,105,116,101,82,101,97,108,0,99,118,87,114,105,116,101,83,116,114,105,110,103,0,99,118,87,114,105,116,101,67,111,109,109,101,110,116,0,99,118,87,114,105,116,101,82,97,119,68,97,116,97,0,78,101,103,97,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,101,108,101,109,101,110,116,115,0,78,117,108,108,32,100,97,116,97,32,112,111,105,110,116,101,114,0,99,118,83,116,97,114,116,82,101,97,100,82,97,119,68,97,116,97,0,78,117,108,108,32,112,111,105,110,116,101,114,32,116,111,32,115,111,117,114,99,101,32,102,105,108,101,32,110,111,100,101,32,111,114,32,114,101,97,100,101,114,0,84,104,101,32,102,105,108,101,32,110,111,100,101,32,115,104,111,117,108,100,32,98,101,32,97,32,110,117,109,101,114,105,99,97,108,32,115,99,97,108,97,114,32,111,114,32,97,32,115,101,113,117,101,110,99,101,0,99,118,82,101,97,100,82,97,119,68,97,116,97,83,108,105,99,101,0,78,117,108,108,32,112,111,105,110,116,101,114,32,116,111,32,114,101,97,100,101,114,32,111,114,32,100,101,115,116,105,110,97,116,105,111,110,32,97,114,114,97,121,0,84,104,101,32,114,101,97,100,32,115,101,113,117,101,110,99,101,32,105,115,32,97,32,115,99,97,108,97,114,44,32,116,104,117,115,32,108,101,110,32,109,117,115,116,32,98,101,32,49,0,84,104,101,32,115,101,113,117,101,110,99,101,32,101,108,101,109,101,110,116,32,105,115,32,110,111,116,32,97,32,110,117,109,101,114,105,99,97,108,32,115,99,97,108,97,114,0,84,104,101,32,115,101,113,117,101,110,99,101,32,115,108,105,99,101,32,100,111,101,115,32,110,111,116,32,102,105,116,32,97,110,32,105,110,116,101,103,101,114,32,110,117,109,98,101,114,32,111,102,32,114,101,99,111,114,100,115,0,78,117,108,108,32,112,111,105,110,116,101,114,115,32,116,111,32,115,111,117,114,99,101,32,102,105,108,101,32,110,111,100,101,32,111,114,32,100,101,115,116,105,110,97,116,105,111,110,32,97,114,114,97,121,0,99,118,82,101,97,100,82,97,119,68,97,116,97,0,73,110,118,97,108,105,100,32,116,121,112,101,32,105,110,102,111,0,99,118,82,101,103,105,115,116,101,114,84,121,112,101,0,83,111,109,101,32,111,102,32,114,101,113,117,105,114,101,100,32,102,117,110,99,116,105,111,110,32,112,111,105,110,116,101,114,115,32,40,105,115,95,105,110,115,116,97,110,99,101,44,32,114,101,108,101,97,115,101,44,32,114,101,97,100,32,111,114,32,119,114,105,116,101,41,32,97,114,101,32,78,85,76,76,0,84,121,112,101,32,110,97,109,101,32,115,104,111,117,108,100,32,115,116,97,114,116,32,119,105,116,104,32,97,32,108,101,116,116,101,114,32,111,114,32,95,0,84,121,112,101,32,110,97,109,101,32,115,104,111,117,108,100,32,99,111,110,116,97,105,110,32,111,110,108,121,32,108,101,116,116,101,114,115,44,32,100,105,103,105,116,115,44,32,45,32,97,110,100,32,95,0,99,118,87,114,105,116,101,0,78,117,108,108,32,112,111,105,110,116,101,114,32,116,111,32,116,104,101,32,119,114,105,116,116,101,110,32,111,98,106,101,99,116,0,85,110,107,110,111,119,110,32,111,98,106,101,99,116,0,84,104,101,32,111,98,106,101,99,116,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,119,114,105,116,101,32,102,117,110,99,116,105,111,110,0,60,63,120,109,108,0,105,99,118,88,77,76,80,97,114,115,101,0,86,97,108,105,100,32,88,77,76,32,115,104,111,117,108,100,32,115,116,97,114,116,32,119,105,116,104,32,39,60,63,120,109,108,32,46,46,46,63,62,39,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,112,101,114,115,105,115,116,101,110,99,101,95,120,109,108,46,99,112,112,0,111,112,101,110,99,118,95,115,116,111,114,97,103,101,0,60,111,112,101,110,99,118,95,115,116,111,114,97,103,101,62,32,116,97,103,32,105,115,32,109,105,115,115,105,110,103,0,60,47,111,112,101,110,99,118,95,115,116,111,114,97,103,101,62,32,116,97,103,32,105,115,32,109,105,115,115,105,110,103,0,102,115,45,62,100,117,109,109,121,95,101,111,102,32,33,61,32,48,0,105,99,118,88,77,76,80,97,114,115,101,86,97,108,117,101,0,68,105,114,101,99,116,105,118,101,32,116,97,103,115,32,97,114,101,32,110,111,116,32,97,108,108,111,119,101,100,32,104,101,114,101,0,69,109,112,116,121,32,116,97,103,115,32,97,114,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,116,97,103,95,116,121,112,101,32,61,61,32,67,86,95,88,77,76,95,79,80,69,78,73,78,71,95,84,65,71,0,77,97,112,32,101,108,101,109,101,110,116,32,115,104,111,117,108,100,32,104,97,118,101,32,97,32,110,97,109,101,0,105,99,118,88,77,76,71,101,116,77,117,108,116,105,108,105,110,101,83,116,114,105,110,103,67,111,110,116,101,110,116,0,105,99,118,88,77,76,80,97,114,115,101,66,97,115,101,54,52,0,100,97,116,97,32,115,105,122,101,32,110,111,116,32,109,97,116,99,104,101,115,32,101,108,101,109,101,109,116,32,115,105,122,101,0,77,105,115,109,97,116,99,104,101,100,32,99,108,111,115,105,110,103,32,116,97,103,0,84,104,101,114,101,32,115,104,111,117,108,100,32,98,101,32,115,112,97,99,101,32,98,101,116,119,101,101,110,32,108,105,116,101,114,97,108,115,0,76,105,116,101,114,97,108,32,34,32,105,115,32,110,111,116,32,97,108,108,111,119,101,100,32,119,105,116,104,105,110,32,97,32,115,116,114,105,110,103,46,32,85,115,101,32,38,113,117,111,116,59,0,67,108,111,115,105,110,103,32,34,32,105,115,32,101,120,112,101,99,116,101,100,0,76,105,116,101,114,97,108,32,39,32,111,114,32,62,32,97,114,101,32,110,111,116,32,97,108,108,111,119,101,100,46,32,85,115,101,32,38,97,112,111,115,59,32,111,114,32,38,103,116,59,0,73,110,118,97,108,105,100,32,110,117,109,101,114,105,99,32,118,97,108,117,101,32,105,110,32,116,104,101,32,115,116,114,105,110,103,0,73,110,118,97,108,105,100,32,99,104,97,114,97,99,116,101,114,32,105,110,32,116,104,101,32,115,121,109,98,111,108,32,101,110,116,105,116,121,32,110,97,109,101,0,108,116,0,103,116,0,97,109,112,0,97,112,111,115,0,113,117,111,116,0,84,104,101,32,97,99,116,117,97,108,32,116,121,112,101,32,105,115,32,100,105,102,102,101,114,101,110,116,32,102,114,111,109,32,116,104,101,32,115,112,101,99,105,102,105,101,100,32,116,121,112,101,0,105,99,118,88,77,76,80,97,114,115,101,84,97,103,0,80,114,101,108,105,109,105,110,97,114,121,32,101,110,100,32,111,102,32,116,104,101,32,115,116,114,101,97,109,0,84,97,103,32,115,104,111,117,108,100,32,115,116,97,114,116,32,119,105,116,104,32,39,60,39,0,85,110,107,110,111,119,110,32,116,97,103,32,116,121,112,101,0,78,97,109,101,32,115,104,111,117,108,100,32,115,116,97,114,116,32,119,105,116,104,32,97,32,108,101,116,116,101,114,32,111,114,32,117,110,100,101,114,115,99,111,114,101,0,67,108,111,115,105,110,103,32,116,97,103,32,115,104,111,117,108,100,32,110,111,116,32,99,111,110,116,97,105,110,32,97,110,121,32,97,116,116,114,105,98,117,116,101,115,0,65,116,116,114,105,98,117,116,101,32,110,97,109,101,32,115,104,111,117,108,100,32,98,101,32,102,111,108,108,111,119,101,100,32,98,121,32,39,61,39,0,65,116,116,114,105,98,117,116,101,32,118,97,108,117,101,32,115,104,111,117,108,100,32,98,101,32,112,117,116,32,105,110,116,111,32,115,105,110,103,108,101,32,111,114,32,100,111,117,98,108,101,32,113,117,111,116,101,115,0,73,110,118,97,108,105,100,32,99,108,111,115,105,110,103,32,116,97,103,32,102,111,114,32,60,63,120,109,108,32,46,46,46,0,84,104,101,114,101,32,115,104,111,117,108,100,32,98,101,32,115,112,97,99,101,32,98,101,116,119,101,101,110,32,97,116,116,114,105,98,117,116,101,115,0,105,99,118,88,77,76,83,107,105,112,83,112,97,99,101,115,0,67,111,109,109,101,110,116,115,32,97,114,101,32,110,111,116,32,97,108,108,111,119,101,100,32,104,101,114,101,0,83,111,109,101,32,99,111,108,108,101,99,116,105,111,110,32,116,121,112,101,58,32,67,86,95,78,79,68,69,95,83,69,81,32,111,114,32,67,86,95,78,79,68,69,95,77,65,80,32,109,117,115,116,32,98,101,32,115,112,101,99,105,102,105,101,100,0,105,99,118,88,77,76,83,116,97,114,116,87,114,105,116,101,83,116,114,117,99,116,0,105,99,118,88,77,76,87,114,105,116,101,84,97,103,0,65,32,115,105,110,103,108,101,32,95,32,105,115,32,97,32,114,101,115,101,114,118,101,100,32,116,97,103,32,110,97,109,101,0,67,108,111,115,105,110,103,32,116,97,103,32,115,104,111,117,108,100,32,110,111,116,32,105,110,99,108,117,100,101,32,97,110,121,32,97,116,116,114,105,98,117,116,101,115,0,75,101,121,32,115,104,111,117,108,100,32,115,116,97,114,116,32,119,105,116,104,32,97,32,108,101,116,116,101,114,32,111,114,32,95,0,75,101,121,32,110,97,109,101,32,109,97,121,32,111,110,108,121,32,99,111,110,116,97,105,110,32,97,108,112,104,97,110,117,109,101,114,105,99,32,99,104,97,114,97,99,116,101,114,115,32,91,97,45,122,65,45,90,48,45,57,93,44,32,39,45,39,32,97,110,100,32,39,95,39,0,65,110,32,101,120,116,114,97,32,99,108,111,115,105,110,103,32,116,97,103,0,105,99,118,88,77,76,69,110,100,87,114,105,116,101,83,116,114,117,99,116,0,10,60,33,45,45,32,110,101,120,116,32,115,116,114,101,97,109,32,45,45,62,10,0,67,117,114,114,101,110,116,108,121,32,111,110,108,121,32,66,97,115,101,54,52,32,100,97,116,97,32,105,115,32,97,108,108,111,119,101,100,46,0,105,99,118,88,77,76,87,114,105,116,101,83,99,97,108,97,114,0,101,108,101,109,101,110,116,115,32,119,105,116,104,32,107,101,121,115,32,99,97,110,32,110,111,116,32,98,101,32,119,114,105,116,116,101,110,32,116,111,32,115,101,113,117,101,110,99,101,0,105,99,118,88,77,76,87,114,105,116,101,83,116,114,105,110,103,0,35,120,37,48,50,120,0,105,99,118,88,77,76,87,114,105,116,101,67,111,109,109,101,110,116,0,68,111,117,98,108,101,32,104,121,112,104,101,110,32,39,45,45,39,32,105,115,32,110,111,116,32,97,108,108,111,119,101,100,32,105,110,32,116,104,101,32,99,111,109,109,101,110,116,115,0,60,33,45,45,0,60,33,45,45,32,37,115,32,45,45,62,0,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,48,49,50,51,52,53,54,55,56,57,43,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,62,0,0,0,63,52,53,54,55,56,57,58,59,60,61,0,0,0,0,0,0,0,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,0,0,0,0,0,0,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,0,0,0,0,98,117,102,102,101,114,46,115,105,122,101,40,41,32,60,32,72,69,65,68,69,82,95,83,73,90,69,0,109,97,107,101,95,98,97,115,101,54,52,95,104,101,97,100,101,114,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,112,101,114,115,105,115,116,101,110,99,101,95,98,97,115,101,54,52,46,99,112,112,0,78,83,116,51,95,95,50,49,57,98,97,115,105,99,95,105,115,116,114,105,110,103,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,102,108,117,115,104,0,100,115,116,95,99,117,114,32,43,32,108,101,110,32,60,32,100,115,116,95,101,110,100,0,102,108,117,115,104,40,41,0,73,110,118,97,108,105,100,32,112,111,105,110,116,101,114,32,116,111,32,102,105,108,101,32,115,116,111,114,97,103,101,0,66,97,115,101,54,52,87,114,105,116,101,114,0,84,104,101,32,102,105,108,101,32,115,116,111,114,97,103,101,32,105,115,32,111,112,101,110,101,100,32,102,111,114,32,114,101,97,100,105,110,103,0,66,97,115,101,54,52,67,111,110,116,101,120,116,69,109,105,116,116,101,114,0,34,36,98,97,115,101,54,52,36,0,115,114,99,0,82,97,119,68,97,116,97,84,111,66,105,110,97,114,121,67,111,110,118,101,114,116,111,114,0,33,100,116,46,101,109,112,116,121,40,41,0,108,101,110,32,62,32,48,0,109,97,107,101,95,116,111,95,98,105,110,97,114,121,95,102,117,110,99,115,0,116,121,112,101,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,105,115,115,46,101,111,102,40,41,0,73,110,118,97,108,105,100,32,39,100,116,39,46,0,99,104,101,99,107,95,100,116,0,39,100,116,39,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,46,0,66,105,110,97,114,121,84,111,67,118,83,101,113,67,111,110,118,101,114,116,111,114,0,109,97,107,101,95,102,117,110,99,115,0,98,105,110,97,114,121,95,116,111,95,102,117,110,99,115,46,115,105,122,101,40,41,0,99,118,87,114,105,116,101,82,97,119,68,97,116,97,66,97,115,101,54,52,0,66,97,115,101,54,52,32,115,104,111,117,108,100,32,110,111,116,32,98,101,32,117,115,101,100,32,97,116,32,112,114,101,115,101,110,116,46,0,105,99,118,74,83,79,78,80,97,114,115,101,0,108,101,102,116,45,98,114,97,99,101,32,111,102,32,116,111,112,32,108,101,118,101,108,32,105,115,32,109,105,115,115,105,110,103,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,112,101,114,115,105,115,116,101,110,99,101,95,106,115,111,110,46,99,112,112,0,85,110,101,120,112,101,99,116,101,100,32,69,110,100,45,79,102,45,70,105,108,101,0,105,99,118,74,83,79,78,80,97,114,115,101,83,101,113,0,112,116,114,32,105,115,32,78,85,76,76,0,39,91,39,32,45,32,108,101,102,116,45,98,114,97,99,101,32,111,102,32,115,101,113,32,105,115,32,109,105,115,115,105,110,103,0,85,110,101,120,112,101,99,116,101,100,32,99,104,97,114,97,99,116,101,114,0,39,93,39,32,45,32,114,105,103,104,116,45,98,114,97,99,101,32,111,102,32,115,101,113,32,105,115,32,109,105,115,115,105,110,103,0,105,99,118,74,83,79,78,80,97,114,115,101,86,97,108,117,101,0,36,98,97,115,101,54,52,36,0,39,34,39,32,45,32,114,105,103,104,116,45,113,117,111,116,101,32,111,102,32,115,116,114,105,110,103,32,105,115,32,109,105,115,115,105,110,103,0,39,92,117,88,88,88,88,39,32,99,117,114,114,101,110,116,108,121,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,73,110,118,97,108,105,100,32,101,115,99,97,112,101,32,99,104,97,114,97,99,116,101,114,0,110,117,108,108,0,86,97,108,117,101,32,39,110,117,108,108,39,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,98,121,32,116,104,105,115,32,112,97,114,115,101,114,0,85,110,114,101,99,111,103,110,105,122,101,100,32,118,97,108,117,101,0,105,99,118,74,83,79,78,80,97,114,115,101,77,97,112,0,39,123,39,32,45,32,108,101,102,116,45,98,114,97,99,101,32,111,102,32,109,97,112,32,105,115,32,109,105,115,115,105,110,103,0,105,99,118,74,83,79,78,80,97,114,115,101,75,101,121,0,75,101,121,32,109,117,115,116,32,101,110,100,32,119,105,116,104,32,39,34,39,0,77,105,115,115,105,110,103,32,39,58,39,32,98,101,116,119,101,101,110,32,107,101,121,32,97,110,100,32,118,97,108,117,101,0,75,101,121,32,105,115,32,101,109,112,116,121,0,116,121,112,101,95,105,100,0,34,116,121,112,101,95,105,100,34,32,115,104,111,117,108,100,32,98,101,32,111,102,32,116,121,112,101,32,115,116,114,105,110,103,0,39,125,39,32,45,32,114,105,103,104,116,45,98,114,97,99,101,32,111,102,32,109,97,112,32,105,115,32,109,105,115,115,105,110,103,0,105,99,118,74,83,79,78,83,107,105,112,83,112,97,99,101,115,0,78,111,116,32,115,117,112,112,111,114,116,101,100,32,101,115,99,97,112,101,32,99,104,97,114,97,99,116,101,114,0,73,110,118,97,108,105,100,32,99,104,97,114,97,99,116,101,114,32,105,110,32,116,104,101,32,115,116,114,101,97,109,0,105,99,118,74,83,79,78,87,114,105,116,101,0,105,99,118,74,83,79,78,83,116,97,114,116,87,114,105,116,101,83,116,114,117,99,116,0,105,99,118,74,83,79,78,69,110,100,87,114,105,116,101,83,116,114,117,99,116,0,105,99,118,74,83,79,78,87,114,105,116,101,83,116,114,105,110,103,0,105,99,118,74,83,79,78,87,114,105,116,101,67,111,109,109,101,110,116,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,49,51,67,118,70,105,108,101,83,116,111,114,97,103,101,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,50,95,69,69,69,69,0,118,105,114,116,117,97,108,32,98,111,111,108,32,99,118,58,58,70,105,108,101,83,116,111,114,97,103,101,58,58,111,112,101,110,40,99,111,110,115,116,32,99,118,58,58,83,116,114,105,110,103,32,38,44,32,105,110,116,44,32,99,111,110,115,116,32,99,118,58,58,83,116,114,105,110,103,32,38,41,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,112,101,114,115,105,115,116,101,110,99,101,95,99,112,112,46,99,112,112,0,78,50,99,118,49,49,70,105,108,101,83,116,111,114,97,103,101,69,0,69,120,116,114,97,32,99,108,111,115,105,110,103,32,39,37,99,39,0,84,104,101,32,99,108,111,115,105,110,103,32,39,37,99,39,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,116,104,101,32,111,112,101,110,105,110,103,32,39,37,99,39,0,73,110,99,111,114,114,101,99,116,32,101,108,101,109,101,110,116,32,110,97,109,101,32,37,115,0,73,110,118,97,108,105,100,32,102,115,46,115,116,97,116,101,0,108,101,110,32,37,32,101,108,101,109,83,105,122,101,32,61,61,32,48,0,119,114,105,116,101,82,97,119,0,46,103,122,0,73,110,118,97,108,105,100,32,102,105,108,101,110,97,109,101,0,103,101,116,68,101,102,97,117,108,116,79,98,106,101,99,116,78,97,109,101,0,95,0,101,108,101,109,95,115,105,122,101,32,62,32,48,0,114,101,97,100,82,97,119,0,105,110,116,32,99,118,58,58,104,97,108,58,58,76,85,51,50,102,40,102,108,111,97,116,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,102,108,111,97,116,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,41,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,109,97,116,114,105,120,95,100,101,99,111,109,112,46,99,112,112,0,105,110,116,32,99,118,58,58,104,97,108,58,58,76,85,54,52,102,40,100,111,117,98,108,101,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,100,111,117,98,108,101,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,41,0,98,111,111,108,32,99,118,58,58,104,97,108,58,58,67,104,111,108,101,115,107,121,51,50,102,40,102,108,111,97,116,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,102,108,111,97,116,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,41,0,98,111,111,108,32,99,118,58,58,104,97,108,58,58,67,104,111,108,101,115,107,121,54,52,102,40,100,111,117,98,108,101,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,100,111,117,98,108,101,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,41,0,105,110,116,32,99,118,58,58,104,97,108,58,58,81,82,51,50,102,40,102,108,111,97,116,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,102,108,111,97,116,32,42,44,32,115,105,122,101,95,116,44,32,102,108,111,97,116,32,42,41,0,105,110,116,32,99,118,58,58,104,97,108,58,58,81,82,54,52,102,40,100,111,117,98,108,101,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,100,111,117,98,108,101,32,42,44,32,115,105,122,101,95,116,44,32,100,111,117,98,108,101,32,42,41,0,45,45,45,0,37,89,65,77,76,0,37,89,65,77,76,58,49,46,0,37,89,65,77,76,32,49,46,0,105,99,118,89,77,76,80,97,114,115,101,0,85,110,115,117,112,112,111,114,116,101,100,32,89,65,77,76,32,118,101,114,115,105,111,110,32,40,105,116,32,109,117,115,116,32,98,101,32,49,46,120,41,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,112,101,114,115,105,115,116,101,110,99,101,95,121,109,108,46,99,112,112,0,84,104,101,32,89,65,77,76,32,115,116,114,101,97,109,115,32,109,117,115,116,32,115,116,97,114,116,32,119,105,116,104,32,39,45,45,45,39,44,32,101,120,99,101,112,116,32,116,104,101,32,102,105,114,115,116,32,111,110,101,0,73,110,118,97,108,105,100,32,111,114,32,117,110,115,117,112,112,111,114,116,101,100,32,115,121,110,116,97,120,0,79,110,108,121,32,99,111,108,108,101,99,116,105,111,110,115,32,97,115,32,89,65,77,76,32,115,116,114,101,97,109,115,32,97,114,101,32,115,117,112,112,111,114,116,101,100,32,98,121,32,116,104,105,115,32,112,97,114,115,101,114,0,60,116,97,103,58,121,97,109,108,46,111,114,103,44,50,48,48,50,58,0,105,99,118,89,77,76,80,97,114,115,101,86,97,108,117,101,0,69,109,112,116,121,32,116,121,112,101,32,110,97,109,101,0,115,116,114,0,109,97,112,0,105,99,118,89,77,76,71,101,116,77,117,108,116,105,108,105,110,101,83,116,114,105,110,103,67,111,110,116,101,110,116,0,85,110,101,120,112,101,99,116,101,100,32,101,110,100,32,111,102,32,108,105,110,101,0,105,99,118,89,77,76,80,97,114,115,101,66,97,115,101,54,52,0,85,110,114,101,99,111,103,110,105,122,101,100,32,66,97,115,101,54,52,32,104,101,97,100,101,114,0,73,110,118,97,108,105,100,32,96,100,116,96,32,105,110,32,66,97,115,101,54,52,32,104,101,97,100,101,114,0,73,110,118,97,108,105,100,32,66,97,115,101,54,52,32,100,97,116,97,46,0,66,121,116,101,32,115,105,122,101,32,110,111,116,32,109,97,116,99,104,32,101,108,101,109,101,109,116,32,115,105,122,101,0,73,110,118,97,108,105,100,32,110,117,109,101,114,105,99,32,118,97,108,117,101,32,40,105,110,99,111,110,115,105,115,116,101,110,116,32,101,120,112,108,105,99,105,116,32,116,121,112,101,32,115,112,101,99,105,102,105,99,97,116,105,111,110,63,41,0,40,112,116,114,91,48,93,32,33,61,32,48,32,124,124,32,112,116,114,32,33,61,32,102,115,45,62,98,117,102,102,101,114,95,101,110,100,32,45,32,49,41,32,38,38,32,34,79,112,101,110,67,86,32,112,101,114,115,105,115,116,101,110,99,101,32,100,111,101,115,110,39,116,32,115,117,112,112,111,114,116,32,118,101,114,121,32,108,111,110,103,32,108,105,110,101,115,34,0,73,110,118,97,108,105,100,32,99,104,97,114,97,99,116,101,114,0,84,111,111,32,108,111,110,103,32,115,116,114,105,110,103,32,108,105,116,101,114,97,108,0,84,104,101,32,119,114,111,110,103,32,99,108,111,115,105,110,103,32,98,114,97,99,107,101,116,0,77,105,115,115,105,110,103,32,44,32,98,101,116,119,101,101,110,32,116,104,101,32,101,108,101,109,101,110,116,115,0,67,111,109,112,108,101,120,32,107,101,121,115,32,97,114,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,77,117,108,116,105,45,108,105,110,101,32,116,101,120,116,32,108,105,116,101,114,97,108,115,32,97,114,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,66,108,111,99,107,32,115,101,113,117,101,110,99,101,32,101,108,101,109,101,110,116,115,32,109,117,115,116,32,98,101,32,112,114,101,99,101,100,101,100,32,119,105,116,104,32,39,45,39,0,73,110,99,111,114,114,101,99,116,32,105,110,100,101,110,116,97,116,105,111,110,0,105,99,118,89,77,76,80,97,114,115,101,75,101,121,0,75,101,121,32,109,97,121,32,110,111,116,32,115,116,97,114,116,32,119,105,116,104,32,39,45,39,0,77,105,115,115,105,110,103,32,39,58,39,0,65,110,32,101,109,112,116,121,32,107,101,121,0,105,99,118,89,77,76,83,107,105,112,83,112,97,99,101,115,0,84,111,111,32,108,111,110,103,32,115,116,114,105,110,103,32,111,114,32,97,32,108,97,115,116,32,115,116,114,105,110,103,32,119,47,111,32,110,101,119,108,105,110,101,0,84,97,98,115,32,97,114,101,32,112,114,111,104,105,98,105,116,101,100,32,105,110,32,89,65,77,76,33,0,65,116,32,112,114,101,115,101,110,116,44,32,111,117,116,112,117,116,32,66,97,115,101,54,52,32,100,97,116,97,32,111,110,108,121,46,0,105,99,118,89,77,76,87,114,105,116,101,0,65,110,32,97,116,116,101,109,112,116,32,116,111,32,97,100,100,32,101,108,101,109,101,110,116,32,119,105,116,104,111,117,116,32,97,32,107,101,121,32,116,111,32,97,32,109,97,112,44,32,111,114,32,97,100,100,32,101,108,101,109,101,110,116,32,119,105,116,104,32,107,101,121,32,116,111,32,115,101,113,117,101,110,99,101,0,84,104,101,32,107,101,121,32,105,115,32,97,110,32,101,109,112,116,121,0,84,104,101,32,107,101,121,32,105,115,32,116,111,111,32,108,111,110,103,0,75,101,121,32,109,117,115,116,32,115,116,97,114,116,32,119,105,116,104,32,97,32,108,101,116,116,101,114,32,111,114,32,95,0,75,101,121,32,110,97,109,101,115,32,109,97,121,32,111,110,108,121,32,99,111,110,116,97,105,110,32,97,108,112,104,97,110,117,109,101,114,105,99,32,99,104,97,114,97,99,116,101,114,115,32,91,97,45,122,65,45,90,48,45,57,93,44,32,39,45,39,44,32,39,95,39,32,97,110,100,32,39,32,39,0,83,111,109,101,32,99,111,108,108,101,99,116,105,111,110,32,116,121,112,101,32,45,32,67,86,95,78,79,68,69,95,83,69,81,32,111,114,32,67,86,95,78,79,68,69,95,77,65,80,44,32,109,117,115,116,32,98,101,32,115,112,101,99,105,102,105,101,100,0,105,99,118,89,77,76,83,116,97,114,116,87,114,105,116,101,83,116,114,117,99,116,0,33,33,98,105,110,97,114,121,32,124,0,33,33,37,115,32,37,99,0,33,33,37,115,0,69,110,100,87,114,105,116,101,83,116,114,117,99,116,32,119,47,111,32,109,97,116,99,104,105,110,103,32,83,116,97,114,116,87,114,105,116,101,83,116,114,117,99,116,0,105,99,118,89,77,76,69,110,100,87,114,105,116,101,83,116,114,117,99,116,0,46,46,46,10,0,45,45,45,10,0,78,117,108,108,32,115,116,114,105,110,103,32,112,111,105,110,116,101,114,0,105,99,118,89,77,76,87,114,105,116,101,83,116,114,105,110,103,0,84,104,101,32,119,114,105,116,116,101,110,32,115,116,114,105,110,103,32,105,115,32,116,111,111,32,108,111,110,103,0,120,37,48,50,120,0,78,117,108,108,32,99,111,109,109,101,110,116,0,105,99,118,89,77,76,87,114,105,116,101,67,111,109,109,101,110,116,0,84,104,101,32,115,116,111,114,97,103,101,32,105,115,32,110,111,116,32,111,112,101,110,101,100,0,105,99,118,80,117,116,115,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,112,101,114,115,105,115,116,101,110,99,101,46,99,112,112,0,106,32,60,32,109,97,120,67,111,117,110,116,32,45,32,49,32,38,38,32,34,79,112,101,110,67,86,32,112,101,114,115,105,115,116,101,110,99,101,32,100,111,101,115,110,39,116,32,115,117,112,112,111,114,116,32,118,101,114,121,32,108,111,110,103,32,108,105,110,101,115,34,0,105,99,118,71,101,116,115,0,115,122,32,60,32,40,115,105,122,101,95,116,41,40,109,97,120,67,111,117,110,116,32,45,32,49,41,32,38,38,32,34,79,112,101,110,67,86,32,112,101,114,115,105,115,116,101,110,99,101,32,100,111,101,115,110,39,116,32,115,117,112,112,111,114,116,32,118,101,114,121,32,108,111,110,103,32,108,105,110,101,115,34,0,84,111,111,32,115,109,97,108,108,32,109,97,112,32,104,101,97,100,101,114,95,115,105,122,101,0,99,118,67,114,101,97,116,101,77,97,112,0,37,115,40,37,100,41,58,32,37,115,0,105,99,118,70,83,67,114,101,97,116,101,67,111,108,108,101,99,116,105,111,110,0,83,101,113,117,101,110,99,101,32,101,108,101,109,101,110,116,32,115,104,111,117,108,100,32,110,111,116,32,104,97,118,101,32,110,97,109,101,32,40,117,115,101,32,60,95,62,60,47,95,62,41,0,78,85,76,76,32,100,111,117,98,108,101,32,112,111,105,110,116,101,114,32,116,111,32,102,105,108,101,32,115,116,111,114,97,103,101,0,105,99,118,67,108,111,115,101,0,60,47,111,112,101,110,99,118,95,115,116,111,114,97,103,101,62,10,0,37,100,46,0,37,46,49,54,101,0,46,78,97,110,0,45,46,73,110,102,0,46,73,110,102,0,37,46,56,101,0,105,99,118,80,114,111,99,101,115,115,83,112,101,99,105,97,108,68,111,117,98,108,101,0,66,97,100,32,102,111,114,109,97,116,32,111,102,32,102,108,111,97,116,105,110,103,45,112,111,105,110,116,32,99,111,110,115,116,97,110,116,0,85,110,101,120,112,101,99,116,101,100,32,101,114,114,111,114,44,32,117,110,97,98,108,101,32,116,111,32,100,101,116,101,114,109,105,110,101,32,116,104,101,32,66,97,115,101,54,52,32,115,116,97,116,101,46,0,115,119,105,116,99,104,95,116,111,95,66,97,115,101,54,52,95,115,116,97,116,101,0,85,110,101,120,112,101,99,116,101,100,32,101,114,114,111,114,44,32,117,110,97,98,108,101,32,116,111,32,115,119,105,116,99,104,32,116,111,32,116,104,105,115,32,115,116,97,116,101,46,0,98,105,110,97,114,121,0,102,115,45,62,105,115,95,119,114,105,116,101,95,115,116,114,117,99,116,95,100,101,108,97,121,101,100,32,61,61,32,102,97,108,115,101,0,109,97,107,101,95,119,114,105,116,101,95,115,116,114,117,99,116,95,100,101,108,97,121,101,100,0,100,101,112,116,104,32,62,61,48,32,38,38,32,100,101,112,116,104,32,60,32,57,0,105,99,118,84,121,112,101,83,121,109,98,111,108,0,117,99,119,115,105,102,100,114,0,73,110,118,97,108,105,100,32,100,97,116,97,32,116,121,112,101,32,115,112,101,99,105,102,105,99,97,116,105,111,110,0,105,99,118,68,101,99,111,100,101,70,111,114,109,97,116,0,105,99,118,83,121,109,98,111,108,84,111,84,121,112,101,0,84,111,111,32,108,111,110,103,32,100,97,116,97,32,116,121,112,101,32,115,112,101,99,105,102,105,99,97,116,105,111,110,0,84,111,111,32,99,111,109,112,108,101,120,32,102,111,114,109,97,116,32,102,111,114,32,116,104,101,32,109,97,116,114,105,120,0,105,99,118,68,101,99,111,100,101,83,105,109,112,108,101,70,111,114,109,97,116,0,111,112,101,110,99,118,45,115,101,113,117,101,110,99,101,0,111,112,101,110,99,118,45,115,101,113,117,101,110,99,101,45,116,114,101,101,0,111,112,101,110,99,118,45,103,114,97,112,104,0,111,112,101,110,99,118,45,115,112,97,114,115,101,45,109,97,116,114,105,120,0,111,112,101,110,99,118,45,105,109,97,103,101,0,111,112,101,110,99,118,45,109,97,116,114,105,120,0,111,112,101,110,99,118,45,110,100,45,109,97,116,114,105,120,0,115,105,122,101,115,0,105,0,100,116,0,83,111,109,101,32,111,102,32,101,115,115,101,110,116,105,97,108,32,109,97,116,114,105,120,32,97,116,116,114,105,98,117,116,101,115,32,97,114,101,32,97,98,115,101,110,116,0,105,99,118,82,101,97,100,77,97,116,78,68,0,67,111,117,108,100,32,110,111,116,32,100,101,116,101,114,109,105,110,101,32,116,104,101,32,109,97,116,114,105,120,32,100,105,109,101,110,115,105,111,110,97,108,105,116,121,0,84,104,101,32,109,97,116,114,105,120,32,100,97,116,97,32,105,115,32,110,111,116,32,102,111,117,110,100,32,105,110,32,102,105,108,101,32,115,116,111,114,97,103,101,0,84,104,101,32,109,97,116,114,105,120,32,115,105,122,101,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,116,111,32,116,104,101,32,110,117,109,98,101,114,32,111,102,32,115,116,111,114,101,100,32,101,108,101,109,101,110,116,115,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,115,114,99,47,112,101,114,115,105,115,116,101,110,99,101,95,116,121,112,101,115,46,99,112,112,0,114,111,119,115,0,99,111,108,115,0,105,99,118,82,101,97,100,77,97,116,0,73,109,97,103,101,115,32,119,105,116,104,32,112,108,97,110,97,114,32,100,97,116,97,32,108,97,121,111,117,116,32,97,114,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,105,99,118,87,114,105,116,101,73,109,97,103,101,0,116,111,112,45,108,101,102,116,0,98,111,116,116,111,109,45,108,101,102,116,0,111,114,105,103,105,110,0,112,108,97,110,97,114,0,105,110,116,101,114,108,101,97,118,101,100,0,108,97,121,111,117,116,0,114,111,105,0,121,0,99,111,105,0,37,100,37,99,0,83,111,109,101,32,111,102,32,101,115,115,101,110,116,105,97,108,32,105,109,97,103,101,32,97,116,116,114,105,98,117,116,101,115,32,97,114,101,32,97,98,115,101,110,116,0,105,99,118,82,101,97,100,73,109,97,103,101,0,79,110,108,121,32,105,110,116,101,114,108,101,97,118,101,100,32,105,109,97,103,101,115,32,99,97,110,32,98,101,32,114,101,97,100,0,84,104,101,32,105,109,97,103,101,32,100,97,116,97,32,105,115,32,110,111,116,32,102,111,117,110,100,32,105,110,32,102,105,108,101,32,115,116,111,114,97,103,101,0,105,99,118,82,101,97,100,83,112,97,114,115,101,77,97,116,0,67,111,117,108,100,32,110,111,116,32,100,101,116,101,114,109,105,110,101,32,115,112,97,114,115,101,32,109,97,116,114,105,120,32,100,105,109,101,110,115,105,111,110,97,108,105,116,121,0,83,112,97,114,115,101,32,109,97,116,114,105,120,32,100,97,116,97,32,105,115,32,99,111,114,114,117,112,116,101,100,0,111,114,105,101,110,116,101,100,0,102,108,97,103,115,0,118,101,114,116,101,120,95,99,111,117,110,116,0,118,101,114,116,101,120,95,100,116,0,101,100,103,101,95,99,111,117,110,116,0,101,100,103,101,95,100,116,0,50,105,102,37,115,0,118,101,114,116,105,99,101,115,0,101,100,103,101,115,0,104,101,97,100,101,114,95,100,116,0,84,104,101,32,115,105,122,101,32,111,102,32,104,101,97,100,101,114,32,99,97,108,99,117,108,97,116,101,100,32,102,114,111,109,32,34,104,101,97,100,101,114,95,100,116,34,32,105,115,32,103,114,101,97,116,101,114,32,116,104,97,110,32,104,101,97,100,101,114,95,115,105,122,101,0,105,99,118,87,114,105,116,101,72,101,97,100,101,114,68,97,116,97,0,99,111,108,111,114,0,37,117,105,0,37,117,117,0,104,101,97,100,101,114,95,117,115,101,114,95,100,97,116,97,0,84,104,101,32,115,105,122,101,32,111,102,32,101,108,101,109,101,110,116,32,99,97,108,99,117,108,97,116,101,100,32,102,114,111,109,32,34,100,116,34,32,97,110,100,32,116,104,101,32,101,108,101,109,95,115,105,122,101,32,100,111,32,110,111,116,32,109,97,116,99,104,0,105,99,118,71,101,116,70,111,114,109,97,116,0,83,105,122,101,32,111,102,32,115,101,113,117,101,110,99,101,32,101,108,101,109,101,110,116,32,40,101,108,101,109,95,115,105,122,101,41,32,105,115,32,105,110,99,111,110,115,105,115,116,101,110,116,32,119,105,116,104,32,115,101,113,45,62,102,108,97,103,115,0,83,111,109,101,32,111,102,32,101,115,115,101,110,116,105,97,108,32,103,114,97,112,104,32,97,116,116,114,105,98,117,116,101,115,32,97,114,101,32,97,98,115,101,110,116,0,105,99,118,82,101,97,100,71,114,97,112,104,0,84,104,101,32,115,101,113,117,101,110,99,101,32,102,108,97,103,115,32,97,114,101,32,105,110,118,97,108,105,100,0,79,110,101,32,111,102,32,34,104,101,97,100,101,114,95,100,116,34,32,97,110,100,32,34,104,101,97,100,101,114,95,117,115,101,114,95,100,97,116,97,34,32,105,115,32,116,104,101,114,101,44,32,119,104,105,108,101,32,116,104,101,32,111,116,104,101,114,32,105,115,32,110,111,116,0,71,114,97,112,104,32,101,100,103,101,115,32,115,104,111,117,108,100,32,115,116,97,114,116,32,119,105,116,104,32,50,32,105,110,116,101,103,101,114,115,32,97,110,100,32,97,32,102,108,111,97,116,0,37,100,102,37,115,0,78,111,32,101,100,103,101,115,32,100,97,116,97,0,78,111,32,118,101,114,116,105,99,101,115,32,100,97,116,97,0,83,111,109,101,32,111,102,32,115,116,111,114,101,100,32,118,101,114,116,101,120,32,105,110,100,105,99,101,115,32,97,114,101,32,111,117,116,32,111,102,32,114,97,110,103,101,0,68,117],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+225284);allocate([112,108,105,99,97,116,101,100,32,101,100,103,101,32,104,97,115,32,111,99,99,117,114,114,101,100,0,78,85,76,76,32,100,111,117,98,108,101,32,112,111,105,110,116,101,114,0,105,99,118,82,101,108,101,97,115,101,71,114,97,112,104,0,115,101,113,117,101,110,99,101,115,0,111,112,101,110,99,118,45,115,101,113,117,101,110,99,101,45,116,114,101,101,32,105,110,115,116,97,110,99,101,32,115,104,111,117,108,100,32,99,111,110,116,97,105,110,32,97,32,102,105,101,108,100,32,34,115,101,113,117,101,110,99,101,115,34,32,116,104,97,116,32,115,104,111,117,108,100,32,98,101,32,97,32,115,101,113,117,101,110,99,101,0,105,99,118,82,101,97,100,83,101,113,84,114,101,101,0,115,101,113,0,108,101,118,101,108,0,65,108,108,32,116,104,101,32,115,101,113,117,101,110,99,101,32,116,114,101,101,32,110,111,100,101,115,32,115,104,111,117,108,100,32,99,111,110,116,97,105,110,32,34,108,101,118,101,108,34,32,102,105,101,108,100,0,114,101,99,117,114,115,105,118,101,0,70,65,76,83,69,0,32,104,111,108,101,0,32,99,117,114,118,101,0,32,117,110,116,121,112,101,100,0,99,111,117,110,116,0,83,111,109,101,32,111,102,32,101,115,115,101,110,116,105,97,108,32,115,101,113,117,101,110,99,101,32,97,116,116,114,105,98,117,116,101,115,32,97,114,101,32,97,98,115,101,110,116,0,105,99,118,82,101,97,100,83,101,113,0,99,117,114,118,101,0,99,108,111,115,101,100,0,104,111,108,101,0,117,110,116,121,112,101,100,0,79,110,108,121,32,111,110,101,32,111,102,32,34,104,101,97,100,101,114,95,117,115,101,114,95,100,97,116,97,34,44,32,34,114,101,99,116,34,32,97,110,100,32,34,111,114,105,103,105,110,34,32,116,97,103,115,32,109,97,121,32,111,99,99,117,114,0,84,104,101,32,110,117,109,98,101,114,32,111,102,32,115,116,111,114,101,100,32,101,108,101,109,101,110,116,115,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,116,111,32,34,99,111,117,110,116,34,0,105,99,118,82,101,108,101,97,115,101,83,101,113,0,95,112,111,105,110,116,115,46,103,101,116,79,98,106,40,41,32,33,61,32,95,104,117,108,108,46,103,101,116,79,98,106,40,41,0,99,111,110,118,101,120,72,117,108,108,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,99,111,110,118,104,117,108,108,46,99,112,112,0,116,111,116,97,108,32,62,61,32,48,32,38,38,32,40,100,101,112,116,104,32,61,61,32,67,86,95,51,50,70,32,124,124,32,100,101,112,116,104,32,61,61,32,67,86,95,51,50,83,41,0,112,111,105,110,116,115,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,118,111,105,100,32,99,118,58,58,99,111,110,118,101,120,72,117,108,108,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,98,111,111,108,44,32,98,111,111,108,41,0,110,112,111,105,110,116,115,32,62,61,32,48,0,99,111,110,118,101,120,105,116,121,68,101,102,101,99,116,115,0,104,112,111,105,110,116,115,32,62,32,48,0,48,32,60,61,32,104,99,117,114,114,32,38,38,32,104,99,117,114,114,32,60,32,110,112,111,105,110,116,115,0,48,32,60,61,32,104,110,101,120,116,32,38,38,32,104,110,101,120,116,32,60,32,110,112,111,105,110,116,115,0,118,111,105,100,32,99,118,58,58,99,111,110,118,101,120,105,116,121,68,101,102,101,99,116,115,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,105,115,67,111,110,116,111,117,114,67,111,110,118,101,120,0,109,49,116,121,112,101,32,61,61,32,67,86,95,49,54,83,67,50,32,124,124,32,109,49,116,121,112,101,32,61,61,32,67,86,95,51,50,70,67,49,32,124,124,32,109,49,116,121,112,101,32,61,61,32,67,86,95,51,50,70,67,50,0,105,110,105,116,85,110,100,105,115,116,111,114,116,82,101,99,116,105,102,121,77,97,112,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,117,110,100,105,115,116,111,114,116,46,99,112,112,0,65,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,51,44,51,41,32,38,38,32,65,46,115,105,122,101,40,41,32,61,61,32,82,46,115,105,122,101,40,41,0,65,114,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,51,44,51,41,32,124,124,32,65,114,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,52,44,32,51,41,0,100,105,115,116,67,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,49,44,32,52,41,32,124,124,32,100,105,115,116,67,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,52,44,32,49,41,32,124,124,32,100,105,115,116,67,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,49,44,32,53,41,32,124,124,32,100,105,115,116,67,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,53,44,32,49,41,32,124,124,32,100,105,115,116,67,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,49,44,32,56,41,32,124,124,32,100,105,115,116,67,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,56,44,32,49,41,32,124,124,32,100,105,115,116,67,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,49,44,32,49,50,41,32,124,124,32,100,105,115,116,67,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,49,50,44,32,49,41,32,124,124,32,100,105,115,116,67,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,49,44,32,49,52,41,32,124,124,32,100,105,115,116,67,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,83,105,122,101,40,49,52,44,32,49,41,0,109,49,32,33,61,32,78,85,76,76,32,38,38,32,109,50,32,33,61,32,78,85,76,76,0,109,49,102,32,33,61,32,78,85,76,76,32,38,38,32,109,50,102,32,33,61,32,78,85,76,76,0,109,49,32,33,61,32,78,85,76,76,0,51,49,105,110,105,116,85,110,100,105,115,116,111,114,116,82,101,99,116,105,102,121,77,97,112,67,111,109,112,117,116,101,114,0,68,97,116,97,84,121,112,101,60,95,84,112,62,58,58,99,104,97,110,110,101,108,115,32,61,61,32,109,46,99,104,97,110,110,101,108,115,40,41,32,124,124,32,109,46,101,109,112,116,121,40,41,0,100,115,116,46,100,97,116,97,32,33,61,32,115,114,99,46,100,97,116,97,0,117,110,100,105,115,116,111,114,116,0,118,111,105,100,32,99,118,58,58,117,110,100,105,115,116,111,114,116,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,41,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,99,111,108,111,114,46,99,112,112,0,99,118,116,67,111,108,111,114,0,118,111,105,100,32,99,118,58,58,99,118,116,67,111,108,111,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,41,0,115,114,99,46,100,101,112,116,104,40,41,32,61,61,32,100,115,116,46,100,101,112,116,104,40,41,0,99,118,67,118,116,67,111,108,111,114,0,100,115,116,46,100,97,116,97,32,61,61,32,100,115,116,48,46,100,97,116,97,0,98,111,114,100,101,114,84,121,112,101,32,33,61,32,66,79,82,68,69,82,95,67,79,78,83,84,65,78,84,0,112,121,114,68,111,119,110,0,112,121,114,68,111,119,110,95,0,115,115,105,122,101,46,119,105,100,116,104,32,62,32,48,32,38,38,32,115,115,105,122,101,46,104,101,105,103,104,116,32,62,32,48,32,38,38,32,115,116,100,58,58,97,98,115,40,100,115,105,122,101,46,119,105,100,116,104,42,50,32,45,32,115,115,105,122,101,46,119,105,100,116,104,41,32,60,61,32,50,32,38,38,32,115,116,100,58,58,97,98,115,40,100,115,105,122,101,46,104,101,105,103,104,116,42,50,32,45,32,115,115,105,122,101,46,104,101,105,103,104,116,41,32,60,61,32,50,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,112,121,114,97,109,105,100,115,46,99,112,112,0,118,111,105,100,32,99,118,58,58,112,121,114,68,111,119,110,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,99,111,110,115,116,32,83,105,122,101,32,38,44,32,105,110,116,41,0,98,111,114,100,101,114,84,121,112,101,32,61,61,32,66,79,82,68,69,82,95,68,69,70,65,85,76,84,0,112,121,114,85,112,0,115,116,100,58,58,97,98,115,40,100,115,105,122,101,46,119,105,100,116,104,32,45,32,115,115,105,122,101,46,119,105,100,116,104,42,50,41,32,61,61,32,100,115,105,122,101,46,119,105,100,116,104,32,37,32,50,32,38,38,32,115,116,100,58,58,97,98,115,40,100,115,105,122,101,46,104,101,105,103,104,116,32,45,32,115,115,105,122,101,46,104,101,105,103,104,116,42,50,41,32,61,61,32,100,115,105,122,101,46,104,101,105,103,104,116,32,37,32,50,0,112,121,114,85,112,95,0,118,111,105,100,32,99,118,58,58,112,121,114,85,112,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,99,111,110,115,116,32,83,105,122,101,32,38,44,32,105,110,116,41,0,105,109,103,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,49,0,72,111,117,103,104,76,105,110,101,115,83,68,105,118,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,104,111,117,103,104,46,99,112,112,0,108,105,110,101,115,77,97,120,32,62,32,48,0,118,111,105,100,32,99,118,58,58,72,111,117,103,104,76,105,110,101,115,83,68,105,118,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,102,108,111,97,116,44,32,102,108,111,97,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,41,0,73,110,116,101,114,110,97,108,32,101,114,114,111,114,0,116,121,112,101,32,61,61,32,67,86,95,51,50,70,67,50,32,124,124,32,116,121,112,101,32,61,61,32,67,86,95,51,50,70,67,51,0,72,111,117,103,104,76,105,110,101,115,83,116,97,110,100,97,114,100,0,118,111,105,100,32,99,118,58,58,72,111,117,103,104,76,105,110,101,115,83,116,97,110,100,97,114,100,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,102,108,111,97,116,44,32,102,108,111,97,116,44,32,105,110,116,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,41,0,109,97,120,95,116,104,101,116,97,32,109,117,115,116,32,98,101,32,103,114,101,97,116,101,114,32,116,104,97,110,32,109,105,110,95,116,104,101,116,97,0,109,97,120,95,116,104,101,116,97,0,109,105,110,95,116,104,101,116,97,0,118,111,105,100,32,99,118,58,58,72,111,117,103,104,76,105,110,101,115,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,41,0,87,114,111,110,103,32,116,121,112,101,32,111,102,32,111,117,116,112,117,116,32,108,105,110,101,115,0,105,109,97,103,101,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,49,0,72,111,117,103,104,76,105,110,101,115,80,114,111,98,97,98,105,108,105,115,116,105,99,0,118,111,105,100,32,99,118,58,58,72,111,117,103,104,76,105,110,101,115,80,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,41,0,33,95,105,109,97,103,101,46,101,109,112,116,121,40,41,32,38,38,32,95,105,109,97,103,101,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,49,32,38,38,32,40,95,105,109,97,103,101,46,105,115,77,97,116,40,41,32,124,124,32,95,105,109,97,103,101,46,105,115,85,77,97,116,40,41,41,0,72,111,117,103,104,67,105,114,99,108,101,115,0,95,99,105,114,99,108,101,115,46,105,115,77,97,116,40,41,32,124,124,32,95,99,105,114,99,108,101,115,46,105,115,86,101,99,116,111,114,40,41,0,100,112,44,32,109,105,110,95,100,105,115,116,44,32,99,97,110,110,121,95,116,104,114,101,115,104,111,108,100,32,97,110,100,32,97,99,99,95,116,104,114,101,115,104,111,108,100,32,109,117,115,116,32,98,101,32,97,108,108,32,112,111,115,105,116,105,118,101,32,110,117,109,98,101,114,115,0,107,101,114,110,101,108,83,105,122,101,32,61,61,32,45,49,32,124,124,32,107,101,114,110,101,108,83,105,122,101,32,61,61,32,51,32,124,124,32,107,101,114,110,101,108,83,105,122,101,32,61,61,32,53,32,124,124,32,107,101,114,110,101,108,83,105,122,101,32,61,61,32,55,0,72,111,117,103,104,67,105,114,99,108,101,115,71,114,97,100,105,101,110,116,0,85,110,114,101,99,111,103,110,105,122,101,100,32,109,101,116,104,111,100,32,105,100,46,32,65,99,116,117,97,108,108,121,32,111,110,108,121,32,67,86,95,72,79,85,71,72,95,71,82,65,68,73,69,78,84,32,105,115,32,115,117,112,112,111,114,116,101,100,46,0,72,111,117,103,104,67,105,114,99,108,101,69,115,116,105,109,97,116,101,82,97,100,105,117,115,73,110,118,111,107,101,114,0,78,50,99,118,51,50,72,111,117,103,104,67,105,114,99,108,101,69,115,116,105,109,97,116,101,82,97,100,105,117,115,73,110,118,111,107,101,114,73,78,83,95,49,48,78,90,80,111,105,110,116,83,101,116,69,69,69,0,78,50,99,118,51,50,72,111,117,103,104,67,105,114,99,108,101,69,115,116,105,109,97,116,101,82,97,100,105,117,115,73,110,118,111,107,101,114,73,78,83,95,49,49,78,90,80,111,105,110,116,76,105,115,116,69,69,69,0,78,50,99,118,51,48,72,111,117,103,104,67,105,114,99,108,101,115,70,105,110,100,67,101,110,116,101,114,115,73,110,118,111,107,101,114,69,0,78,50,99,118,50,52,72,111,117,103,104,67,105,114,99,108,101,115,65,99,99,117,109,73,110,118,111,107,101,114,69,0,118,111,105,100,32,99,118,58,58,72,111,117,103,104,67,105,114,99,108,101,115,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,100,111,117,98,108,101,41,0,87,114,111,110,103,32,116,121,112,101,32,111,102,32,111,117,116,112,117,116,32,99,105,114,99,108,101,115,0,116,121,112,101,32,61,61,32,67,86,95,51,50,70,67,51,32,124,124,32,116,121,112,101,32,61,61,32,67,86,95,51,50,70,67,52,0,103,101,116,83,111,98,101,108,75,101,114,110,101,108,115,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,100,101,114,105,118,46,99,112,112,0,84,104,101,32,107,101,114,110,101,108,32,115,105,122,101,32,109,117,115,116,32,98,101,32,111,100,100,32,97,110,100,32,110,111,116,32,108,97,114,103,101,114,32,116,104,97,110,32,51,49,0,100,120,32,62,61,32,48,32,38,38,32,100,121,32,62,61,32,48,32,38,38,32,100,120,43,100,121,32,62,32,48,0,107,115,105,122,101,32,62,32,111,114,100,101,114,0,103,101,116,83,99,104,97,114,114,75,101,114,110,101,108,115,0,100,120,32,62,61,32,48,32,38,38,32,100,121,32,62,61,32,48,32,38,38,32,100,120,43,100,121,32,61,61,32,49,0,118,111,105,100,32,99,118,58,58,83,111,98,101,108,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,83,99,104,97,114,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,76,97,112,108,97,99,105,97,110,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,105,110,116,41,0,113,117,97,108,105,116,121,76,101,118,101,108,32,62,32,48,32,38,38,32,109,105,110,68,105,115,116,97,110,99,101,32,62,61,32,48,32,38,38,32,109,97,120,67,111,114,110,101,114,115,32,62,61,32,48,0,103,111,111,100,70,101,97,116,117,114,101,115,84,111,84,114,97,99,107,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,102,101,97,116,117,114,101,115,101,108,101,99,116,46,99,112,112,0,95,109,97,115,107,46,101,109,112,116,121,40,41,32,124,124,32,40,95,109,97,115,107,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,49,32,38,38,32,95,109,97,115,107,46,115,97,109,101,83,105,122,101,40,95,105,109,97,103,101,41,41,0,118,111,105,100,32,99,118,58,58,103,111,111,100,70,101,97,116,117,114,101,115,84,111,84,114,97,99,107,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,73,110,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,44,32,100,111,117,98,108,101,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,89,67,114,67,98,95,102,60,102,108,111,97,116,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,89,67,114,67,98,95,102,60,102,108,111,97,116,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,49,49,82,71,66,50,89,67,114,67,98,95,102,73,102,69,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,89,67,114,67,98,95,105,60,117,110,115,105,103,110,101,100,32,115,104,111,114,116,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,89,67,114,67,98,95,105,60,117,110,115,105,103,110,101,100,32,115,104,111,114,116,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,49,49,82,71,66,50,89,67,114,67,98,95,105,73,116,69,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,89,67,114,67,98,95,105,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,89,67,114,67,98,95,105,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,49,49,82,71,66,50,89,67,114,67,98,95,105,73,104,69,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,66,71,82,116,111,89,85,86,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,44,32,98,111,111,108,41,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,99,111,108,111,114,95,121,117,118,46,99,112,112,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,89,67,114,67,98,50,82,71,66,95,102,60,102,108,111,97,116,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,89,67,114,67,98,50,82,71,66,95,102,60,102,108,111,97,116,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,49,49,89,67,114,67,98,50,82,71,66,95,102,73,102,69,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,89,67,114,67,98,50,82,71,66,95,105,60,117,110,115,105,103,110,101,100,32,115,104,111,114,116,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,89,67,114,67,98,50,82,71,66,95,105,60,117,110,115,105,103,110,101,100,32,115,104,111,114,116,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,49,49,89,67,114,67,98,50,82,71,66,95,105,73,116,69,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,89,67,114,67,98,50,82,71,66,95,105,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,89,67,114,67,98,50,82,71,66,95,105,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,49,49,89,67,114,67,98,50,82,71,66,95,105,73,104,69,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,89,85,86,116,111,66,71,82,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,44,32,98,111,111,108,41,0,85,110,107,110,111,119,110,47,117,110,115,117,112,112,111,114,116,101,100,32,99,111,108,111,114,32,99,111,110,118,101,114,115,105,111,110,32,99,111,100,101,0,99,118,116,84,119,111,80,108,97,110,101,89,85,86,116,111,66,71,82,0,78,50,99,118,50,52,89,85,86,52,50,48,115,112,50,82,71,66,65,56,56,56,56,73,110,118,111,107,101,114,73,76,105,50,69,76,105,49,69,69,69,0,78,50,99,118,50,52,89,85,86,52,50,48,115,112,50,82,71,66,65,56,56,56,56,73,110,118,111,107,101,114,73,76,105,50,69,76,105,48,69,69,69,0,78,50,99,118,50,52,89,85,86,52,50,48,115,112,50,82,71,66,65,56,56,56,56,73,110,118,111,107,101,114,73,76,105,48,69,76,105,49,69,69,69,0,78,50,99,118,50,52,89,85,86,52,50,48,115,112,50,82,71,66,65,56,56,56,56,73,110,118,111,107,101,114,73,76,105,48,69,76,105,48,69,69,69,0,78,50,99,118,50,50,89,85,86,52,50,48,115,112,50,82,71,66,56,56,56,73,110,118,111,107,101,114,73,76,105,50,69,76,105,49,69,69,69,0,78,50,99,118,50,50,89,85,86,52,50,48,115,112,50,82,71,66,56,56,56,73,110,118,111,107,101,114,73,76,105,50,69,76,105,48,69,69,69,0,78,50,99,118,50,50,89,85,86,52,50,48,115,112,50,82,71,66,56,56,56,73,110,118,111,107,101,114,73,76,105,48,69,76,105,49,69,69,69,0,78,50,99,118,50,50,89,85,86,52,50,48,115,112,50,82,71,66,56,56,56,73,110,118,111,107,101,114,73,76,105,48,69,76,105,48,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,84,119,111,80,108,97,110,101,89,85,86,116,111,66,71,82,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,84,119,111,80,108,97,110,101,89,85,86,116,111,66,71,82,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,44,32,105,110,116,41,0,99,118,116,84,104,114,101,101,80,108,97,110,101,89,85,86,116,111,66,71,82,0,78,50,99,118,50,51,89,85,86,52,50,48,112,50,82,71,66,65,56,56,56,56,73,110,118,111,107,101,114,73,76,105,50,69,69,69,0,78,50,99,118,50,51,89,85,86,52,50,48,112,50,82,71,66,65,56,56,56,56,73,110,118,111,107,101,114,73,76,105,48,69,69,69,0,78,50,99,118,50,49,89,85,86,52,50,48,112,50,82,71,66,56,56,56,73,110,118,111,107,101,114,73,76,105,50,69,69,69,0,78,50,99,118,50,49,89,85,86,52,50,48,112,50,82,71,66,56,56,56,73,110,118,111,107,101,114,73,76,105,48,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,84,104,114,101,101,80,108,97,110,101,89,85,86,116,111,66,71,82,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,44,32,105,110,116,41,0,78,50,99,118,50,50,82,71,66,56,56,56,116,111,89,85,86,52,50,48,112,73,110,118,111,107,101,114,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,66,71,82,116,111,84,104,114,101,101,80,108,97,110,101,89,85,86,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,44,32,105,110,116,41,0,99,118,116,79,110,101,80,108,97,110,101,89,85,86,116,111,66,71,82,0,78,50,99,118,50,51,89,85,86,52,50,50,116,111,82,71,66,65,56,56,56,56,73,110,118,111,107,101,114,73,76,105,50,69,76,105,49,69,76,105,48,69,69,69,0,78,50,99,118,50,51,89,85,86,52,50,50,116,111,82,71,66,65,56,56,56,56,73,110,118,111,107,101,114,73,76,105,50,69,76,105,48,69,76,105,49,69,69,69,0,78,50,99,118,50,51,89,85,86,52,50,50,116,111,82,71,66,65,56,56,56,56,73,110,118,111,107,101,114,73,76,105,50,69,76,105,48,69,76,105,48,69,69,69,0,78,50,99,118,50,51,89,85,86,52,50,50,116,111,82,71,66,65,56,56,56,56,73,110,118,111,107,101,114,73,76,105,48,69,76,105,49,69,76,105,48,69,69,69,0,78,50,99,118,50,51,89,85,86,52,50,50,116,111,82,71,66,65,56,56,56,56,73,110,118,111,107,101,114,73,76,105,48,69,76,105,48,69,76,105,49,69,69,69,0,78,50,99,118,50,51,89,85,86,52,50,50,116,111,82,71,66,65,56,56,56,56,73,110,118,111,107,101,114,73,76,105,48,69,76,105,48,69,76,105,48,69,69,69,0,78,50,99,118,50,49,89,85,86,52,50,50,116,111,82,71,66,56,56,56,73,110,118,111,107,101,114,73,76,105,50,69,76,105,49,69,76,105,48,69,69,69,0,78,50,99,118,50,49,89,85,86,52,50,50,116,111,82,71,66,56,56,56,73,110,118,111,107,101,114,73,76,105,50,69,76,105,48,69,76,105,49,69,69,69,0,78,50,99,118,50,49,89,85,86,52,50,50,116,111,82,71,66,56,56,56,73,110,118,111,107,101,114,73,76,105,50,69,76,105,48,69,76,105,48,69,69,69,0,78,50,99,118,50,49,89,85,86,52,50,50,116,111,82,71,66,56,56,56,73,110,118,111,107,101,114,73,76,105,48,69,76,105,49,69,76,105,48,69,69,69,0,78,50,99,118,50,49,89,85,86,52,50,50,116,111,82,71,66,56,56,56,73,110,118,111,107,101,114,73,76,105,48,69,76,105,48,69,76,105,49,69,69,69,0,78,50,99,118,50,49,89,85,86,52,50,50,116,111,82,71,66,56,56,56,73,110,118,111,107,101,114,73,76,105,48,69,76,105,48,69,76,105,48,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,79,110,101,80,108,97,110,101,89,85,86,116,111,66,71,82,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,44,32,105,110,116,44,32,105,110,116,41,0,99,118,58,58,67,118,116,72,101,108,112,101,114,60,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,51,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,48,44,32,50,44,32,53,62,44,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,62,58,58,67,118,116,72,101,108,112,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,32,91,86,83,99,110,32,61,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,86,68,99,110,32,61,32,99,118,58,58,83,101,116,60,51,44,32,45,49,44,32,45,49,62,44,32,86,68,101,112,116,104,32,61,32,99,118,58,58,83,101,116,60,48,44,32,50,44,32,53,62,44,32,115,105,122,101,80,111,108,105,99,121,32,61,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,93,0,99,118,58,58,67,118,116,72,101,108,112,101,114,60,99,118,58,58,83,101,116,60,51,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,48,44,32,50,44,32,53,62,44,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,62,58,58,67,118,116,72,101,108,112,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,32,91,86,83,99,110,32,61,32,99,118,58,58,83,101,116,60,51,44,32,45,49,44,32,45,49,62,44,32,86,68,99,110,32,61,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,86,68,101,112,116,104,32,61,32,99,118,58,58,83,101,116,60,48,44,32,50,44,32,53,62,44,32,115,105,122,101,80,111,108,105,99,121,32,61,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,93,0,99,118,58,58,67,118,116,72,101,108,112,101,114,60,99,118,58,58,83,101,116,60,50,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,48,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,62,58,58,67,118,116,72,101,108,112,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,32,91,86,83,99,110,32,61,32,99,118,58,58,83,101,116,60,50,44,32,45,49,44,32,45,49,62,44,32,86,68,99,110,32,61,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,86,68,101,112,116,104,32,61,32,99,118,58,58,83,101,116,60,48,44,32,45,49,44,32,45,49,62,44,32,115,105,122,101,80,111,108,105,99,121,32,61,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,93,0,95,115,114,99,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,50,32,38,38,32,95,115,114,99,46,100,101,112,116,104,40,41,32,61,61,32,67,86,95,56,85,0,99,118,116,67,111,108,111,114,89,85,86,50,71,114,97,121,95,99,104,0,115,122,46,119,105,100,116,104,32,37,32,50,32,61,61,32,48,32,38,38,32,115,122,46,104,101,105,103,104,116,32,37,32,50,32,61,61,32,48,0,99,118,58,58,67,118,116,72,101,108,112,101,114,60,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,49,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,48,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,84,79,95,89,85,86,62,58,58,67,118,116,72,101,108,112,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,32,91,86,83,99,110,32,61,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,86,68,99,110,32,61,32,99,118,58,58,83,101,116,60,49,44,32,45,49,44,32,45,49,62,44,32,86,68,101,112,116,104,32,61,32,99,118,58,58,83,101,116,60,48,44,32,45,49,44,32,45,49,62,44,32,115,105,122,101,80,111,108,105,99,121,32,61,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,84,79,95,89,85,86,93,0,115,122,46,119,105,100,116,104,32,37,32,50,32,61,61,32,48,32,38,38,32,115,122,46,104,101,105,103,104,116,32,37,32,51,32,61,61,32,48,0,99,118,58,58,67,118,116,72,101,108,112,101,114,60,99,118,58,58,83,101,116,60,49,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,49,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,48,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,70,82,79,77,95,89,85,86,62,58,58,67,118,116,72,101,108,112,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,32,91,86,83,99,110,32,61,32,99,118,58,58,83,101,116,60,49,44,32,45,49,44,32,45,49,62,44,32,86,68,99,110,32,61,32,99,118,58,58,83,101,116,60,49,44,32,45,49,44,32,45,49,62,44,32,86,68,101,112,116,104,32,61,32,99,118,58,58,83,101,116,60,48,44,32,45,49,44,32,45,49,62,44,32,115,105,122,101,80,111,108,105,99,121,32,61,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,70,82,79,77,95,89,85,86,93,0,99,118,58,58,67,118,116,72,101,108,112,101,114,60,99,118,58,58,83,101,116,60,49,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,48,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,70,82,79,77,95,89,85,86,62,58,58,67,118,116,72,101,108,112,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,32,91,86,83,99,110,32,61,32,99,118,58,58,83,101,116,60,49,44,32,45,49,44,32,45,49,62,44,32,86,68,99,110,32,61,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,86,68,101,112,116,104,32,61,32,99,118,58,58,83,101,116,60,48,44,32,45,49,44,32,45,49,62,44,32,115,105,122,101,80,111,108,105,99,121,32,61,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,70,82,79,77,95,89,85,86,93,0,104,114,97,110,103,101,32,61,61,32,49,56,48,32,124,124,32,104,114,97,110,103,101,32,61,61,32,50,53,54,0,82,71,66,50,72,83,86,95,98,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,99,111,108,111,114,95,104,115,118,46,99,112,112,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,72,76,83,95,102,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,72,76,83,95,102,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,82,71,66,50,72,76,83,95,102,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,72,76,83,95,98,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,72,76,83,95,98,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,82,71,66,50,72,76,83,95,98,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,72,83,86,95,102,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,72,83,86,95,102,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,82,71,66,50,72,83,86,95,102,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,72,83,86,95,98,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+235524);allocate([82,71,66,50,72,83,86,95,98,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,82,71,66,50,72,83,86,95,98,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,66,71,82,116,111,72,83,86,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,44,32,98,111,111,108,44,32,98,111,111,108,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,72,76,83,50,82,71,66,95,102,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,72,76,83,50,82,71,66,95,102,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,72,76,83,50,82,71,66,95,102,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,72,76,83,50,82,71,66,95,98,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,72,76,83,50,82,71,66,95,98,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,72,76,83,50,82,71,66,95,98,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,72,83,86,50,82,71,66,95,102,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,72,83,86,50,82,71,66,95,102,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,72,83,86,50,82,71,66,95,102,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,72,83,86,50,82,71,66,95,98,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,72,83,86,50,82,71,66,95,98,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,72,83,86,50,82,71,66,95,98,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,72,83,86,116,111,66,71,82,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,44,32,98,111,111,108,44,32,98,111,111,108,41,0,99,118,58,58,67,118,116,72,101,108,112,101,114,60,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,51,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,48,44,32,53,44,32,45,49,62,44,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,62,58,58,67,118,116,72,101,108,112,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,32,91,86,83,99,110,32,61,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,86,68,99,110,32,61,32,99,118,58,58,83,101,116,60,51,44,32,45,49,44,32,45,49,62,44,32,86,68,101,112,116,104,32,61,32,99,118,58,58,83,101,116,60,48,44,32,53,44,32,45,49,62,44,32,115,105,122,101,80,111,108,105,99,121,32,61,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,93,0,99,118,58,58,67,118,116,72,101,108,112,101,114,60,99,118,58,58,83,101,116,60,51,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,48,44,32,53,44,32,45,49,62,44,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,62,58,58,67,118,116,72,101,108,112,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,32,91,86,83,99,110,32,61,32,99,118,58,58,83,101,116,60,51,44,32,45,49,44,32,45,49,62,44,32,86,68,99,110,32,61,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,86,68,101,112,116,104,32,61,32,99,118,58,58,83,101,116,60,48,44,32,53,44,32,45,49,62,44,32,115,105,122,101,80,111,108,105,99,121,32,61,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,93,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,88,89,90,95,102,60,102,108,111,97,116,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,88,89,90,95,102,60,102,108,111,97,116,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,82,71,66,50,88,89,90,95,102,73,102,69,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,88,89,90,95,105,60,117,110,115,105,103,110,101,100,32,115,104,111,114,116,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,88,89,90,95,105,60,117,110,115,105,103,110,101,100,32,115,104,111,114,116,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,82,71,66,50,88,89,90,95,105,73,116,69,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,88,89,90,95,105,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,88,89,90,95,105,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,82,71,66,50,88,89,90,95,105,73,104,69,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,66,71,82,116,111,88,89,90,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,41,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,99,111,108,111,114,95,108,97,98,46,99,112,112,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,88,89,90,50,82,71,66,95,102,60,102,108,111,97,116,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,88,89,90,50,82,71,66,95,102,60,102,108,111,97,116,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,88,89,90,50,82,71,66,95,102,73,102,69,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,88,89,90,50,82,71,66,95,105,60,117,110,115,105,103,110,101,100,32,115,104,111,114,116,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,88,89,90,50,82,71,66,95,105,60,117,110,115,105,103,110,101,100,32,115,104,111,114,116,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,88,89,90,50,82,71,66,95,105,73,116,69,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,88,89,90,50,82,71,66,95,105,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,88,89,90,50,82,71,66,95,105,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,88,89,90,50,82,71,66,95,105,73,104,69,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,88,89,90,116,111,66,71,82,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,76,117,118,95,102,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,76,117,118,95,102,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,82,71,66,50,76,117,118,95,102,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,76,117,118,95,98,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,76,117,118,95,98,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,82,71,66,50,76,117,118,95,98,69,69,69,0,99,111,101,102,102,115,91,105,42,51,93,32,62,61,32,48,32,38,38,32,99,111,101,102,102,115,91,105,42,51,43,49,93,32,62,61,32,48,32,38,38,32,99,111,101,102,102,115,91,105,42,51,43,50,93,32,62,61,32,48,32,38,38,32,115,111,102,116,102,108,111,97,116,40,99,111,101,102,102,115,91,105,42,51,93,41,32,43,32,115,111,102,116,102,108,111,97,116,40,99,111,101,102,102,115,91,105,42,51,43,49,93,41,32,43,32,115,111,102,116,102,108,111,97,116,40,99,111,101,102,102,115,91,105,42,51,43,50,93,41,32,60,32,115,111,102,116,102,108,111,97,116,40,49,46,53,102,41,0,82,71,66,50,76,117,118,102,108,111,97,116,0,119,104,105,116,101,80,116,91,49,93,32,61,61,32,115,111,102,116,100,111,117,98,108,101,58,58,111,110,101,40,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,76,97,98,95,102,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,76,97,98,95,102,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,82,71,66,50,76,97,98,95,102,69,69,69,0,99,91,48,93,32,62,61,32,48,32,38,38,32,99,91,49,93,32,62,61,32,48,32,38,38,32,99,91,50,93,32,62,61,32,48,32,38,38,32,99,91,48,93,32,43,32,99,91,49,93,32,43,32,99,91,50,93,32,60,32,115,111,102,116,102,108,111,97,116,40,40,105,110,116,41,76,65,66,95,67,66,82,84,95,84,65,66,95,83,73,90,69,41,0,82,71,66,50,76,97,98,95,102,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,76,97,98,95,98,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,76,97,98,95,98,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,82,71,66,50,76,97,98,95,98,69,69,69,0,99,111,101,102,102,115,91,105,42,51,93,32,62,61,32,48,32,38,38,32,99,111,101,102,102,115,91,105,42,51,43,49,93,32,62,61,32,48,32,38,38,32,99,111,101,102,102,115,91,105,42,51,43,50,93,32,62,61,32,48,32,38,38,32,99,111,101,102,102,115,91,105,42,51,93,32,43,32,99,111,101,102,102,115,91,105,42,51,43,49,93,32,43,32,99,111,101,102,102,115,91,105,42,51,43,50,93,32,60,32,50,42,40,49,32,60,60,32,108,97,98,95,115,104,105,102,116,41,0,82,71,66,50,76,97,98,95,98,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,66,71,82,116,111,76,97,98,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,44,32,98,111,111,108,44,32,98,111,111,108,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,76,117,118,50,82,71,66,95,102,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,76,117,118,50,82,71,66,95,102,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,76,117,118,50,82,71,66,95,102,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,76,117,118,50,82,71,66,95,98,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,76,117,118,50,82,71,66,95,98,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,76,117,118,50,82,71,66,95,98,69,69,69,0,76,117,118,50,82,71,66,102,108,111,97,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,76,97,98,50,82,71,66,95,102,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,76,97,98,50,82,71,66,95,102,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,76,97,98,50,82,71,66,95,102,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,76,97,98,50,82,71,66,95,98,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,76,97,98,50,82,71,66,95,98,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,57,76,97,98,50,82,71,66,95,98,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,76,97,98,116,111,66,71,82,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,44,32,98,111,111,108,44,32,98,111,111,108,41,0,111,112,101,110,99,118,45,104,105,115,116,0,68,101,115,116,105,110,97,116,105,111,110,32,100,111,117,98,108,101,32,112,111,105,110,116,101,114,32,105,115,32,78,85,76,76,0,99,118,67,111,112,121,72,105,115,116,0,73,110,118,97,108,105,100,32,104,105,115,116,111,103,114,97,109,32,104,101,97,100,101,114,91,115,93,0,78,85,76,76,32,114,97,110,103,101,115,32,112,111,105,110,116,101,114,0,99,118,83,101,116,72,105,115,116,66,105,110,82,97,110,103,101,115,0,73,110,118,97,108,105,100,32,104,105,115,116,111,103,114,97,109,32,104,101,97,100,101,114,0,79,110,101,32,111,102,32,60,114,97,110,103,101,115,62,32,101,108,101,109,101,110,116,115,32,105,115,32,78,85,76,76,0,66,105,110,32,114,97,110,103,101,115,32,115,104,111,117,108,100,32,103,111,32,105,110,32,97,115,99,101,110,116,105,110,103,32,111,114,100,101,114,0,78,117,109,98,101,114,32,111,102,32,100,105,109,101,110,115,105,111,110,115,32,105,115,32,111,117,116,32,111,102,32,114,97,110,103,101,0,99,118,67,114,101,97,116,101,72,105,115,116,0,78,117,108,108,32,60,115,105,122,101,115,62,32,112,111,105,110,116,101,114,0,73,110,118,97,108,105,100,32,104,105,115,116,111,103,114,97,109,32,116,121,112,101,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,104,105,115,116,111,103,114,97,109,46,99,112,112,0,105,115,95,117,110,105,102,111,114,109,0,104,97,118,101,95,114,97,110,103,101,115,0,109,97,116,0,98,105,110,115,0,69,120,112,101,99,116,101,100,32,67,118,77,97,116,78,68,0,105,99,118,82,101,97,100,72,105,115,116,0,85,110,107,110,111,119,110,32,72,105,115,116,111,103,114,97,109,32,116,121,112,101,0,39,116,104,114,101,115,104,39,32,110,111,100,101,32,105,115,32,109,105,115,115,105,110,103,0,99,118,82,101,108,101,97,115,101,72,105,115,116,0,100,105,109,115,32,62,32,48,32,38,38,32,104,105,115,116,83,105,122,101,0,99,97,108,99,72,105,115,116,0,109,97,115,107,46,101,109,112,116,121,40,41,32,124,124,32,109,97,115,107,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,49,0,69,105,116,104,101,114,32,114,97,110,103,101,115,44,32,101,105,116,104,101,114,32,117,110,105,102,111,114,109,32,114,97,110,103,101,115,32,115,104,111,117,108,100,32,98,101,32,112,114,111,118,105,100,101,100,0,99,97,108,99,72,105,115,116,95,0,99,97,108,99,72,105,115,116,76,111,111,107,117,112,84,97,98,108,101,115,95,56,117,0,99,104,97,110,110,101,108,115,32,33,61,32,48,32,124,124,32,110,105,109,97,103,101,115,32,61,61,32,100,105,109,115,0,104,105,115,116,80,114,101,112,97,114,101,73,109,97,103,101,115,0,105,109,97,103,101,115,91,106,93,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,49,0,99,32,62,61,32,48,0,106,32,60,32,110,105,109,97,103,101,115,0,105,109,97,103,101,115,91,106,93,46,115,105,122,101,40,41,32,61,61,32,105,109,115,105,122,101,32,38,38,32,105,109,97,103,101,115,91,106,93,46,100,101,112,116,104,40,41,32,61,61,32,100,101,112,116,104,0,109,97,115,107,46,115,105,122,101,40,41,32,61,61,32,105,109,115,105,122,101,32,38,38,32,109,97,115,107,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,49,0,114,97,110,103,101,115,91,105,93,32,38,38,32,114,97,110,103,101,115,91,105,93,91,48,93,32,60,32,114,97,110,103,101,115,91,105,93,91,49,93,0,114,97,110,103,101,115,91,105,93,91,107,93,32,60,32,114,97,110,103,101,115,91,105,93,91,107,43,49,93,0,118,111,105,100,32,99,118,58,58,99,97,108,99,72,105,115,116,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,42,44,32,105,110,116,44,32,99,111,110,115,116,32,105,110,116,32,42,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,99,111,110,115,116,32,105,110,116,32,42,44,32,99,111,110,115,116,32,102,108,111,97,116,32,42,42,44,32,98,111,111,108,44,32,98,111,111,108,41,0,110,105,109,97,103,101,115,32,62,32,48,32,38,38,32,100,105,109,115,32,62,32,48,0,114,115,122,32,61,61,32,100,105,109,115,42,50,32,124,124,32,40,114,115,122,32,61,61,32,48,32,38,38,32,105,109,97,103,101,115,46,100,101,112,116,104,40,48,41,32,61,61,32,67,86,95,56,85,41,0,99,115,122,32,61,61,32,48,32,124,124,32,99,115,122,32,61,61,32,100,105,109,115,0,118,111,105,100,32,99,118,58,58,99,97,108,99,72,105,115,116,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,105,110,116,62,32,38,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,105,110,116,62,32,38,44,32,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,102,108,111,97,116,62,32,38,44,32,98,111,111,108,41,0,100,105,109,115,32,62,32,48,32,38,38,32,33,104,105,115,116,46,101,109,112,116,121,40,41,0,99,97,108,99,66,97,99,107,80,114,111,106,101,99,116,0,99,97,108,99,66,97,99,107,80,114,111,106,95,0,118,111,105,100,32,99,118,58,58,99,97,108,99,66,97,99,107,80,114,111,106,101,99,116,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,42,44,32,105,110,116,44,32,99,111,110,115,116,32,105,110,116,32,42,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,99,111,110,115,116,32,102,108,111,97,116,32,42,42,44,32,100,111,117,98,108,101,44,32,98,111,111,108,41,0,72,48,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,110,105,109,97,103,101,115,32,62,32,48,0,114,115,122,32,61,61,32,100,105,109,115,42,50,32,124,124,32,40,114,115,122,32,61,61,32,50,32,38,38,32,95,49,100,41,32,124,124,32,40,114,115,122,32,61,61,32,48,32,38,38,32,105,109,97,103,101,115,46,100,101,112,116,104,40,48,41,32,61,61,32,67,86,95,56,85,41,0,99,115,122,32,61,61,32,48,32,124,124,32,99,115,122,32,61,61,32,100,105,109,115,32,124,124,32,40,99,115,122,32,61,61,32,49,32,38,38,32,95,49,100,41,0,118,111,105,100,32,99,118,58,58,99,97,108,99,66,97,99,107,80,114,111,106,101,99,116,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,105,110,116,62,32,38,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,102,108,111,97,116,62,32,38,44,32,100,111,117,98,108,101,41,0,72,49,46,116,121,112,101,40,41,32,61,61,32,72,50,46,116,121,112,101,40,41,32,38,38,32,72,49,46,100,101,112,116,104,40,41,32,61,61,32,67,86,95,51,50,70,0,99,111,109,112,97,114,101,72,105,115,116,0,105,116,46,112,108,97,110,101,115,91,48,93,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,32,38,38,32,105,116,46,112,108,97,110,101,115,91,49,93,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,100,111,117,98,108,101,32,99,118,58,58,99,111,109,112,97,114,101,72,105,115,116,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,105,110,116,41,0,95,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,49,0,101,113,117,97,108,105,122,101,72,105,115,116,0,50,51,69,113,117,97,108,105,122,101,72,105,115,116,76,117,116,95,73,110,118,111,107,101,114,0,50,56,69,113,117,97,108,105,122,101,72,105,115,116,67,97,108,99,72,105,115,116,95,73,110,118,111,107,101,114,0,118,111,105,100,32,99,118,58,58,101,113,117,97,108,105,122,101,72,105,115,116,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,110,112,111,105,110,116,115,50,32,62,61,32,48,32,124,124,32,110,112,111,105,110,116,115,51,32,62,61,32,48,0,102,105,116,76,105,110,101,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,108,105,110,101,102,105,116,46,99,112,112,0,85,110,107,110,111,119,110,32,100,105,115,116,97,110,99,101,32,116,121,112,101,0,102,105,116,76,105,110,101,50,68,0,85,110,107,110,111,119,110,32,100,105,115,116,97,110,99,101,0,102,105,116,76,105,110,101,51,68,0,99,111,117,110,116,32,62,32,48,0,102,105,116,76,105,110,101,51,68,95,119,111,100,115,0,102,105,116,76,105,110,101,50,68,95,119,111,100,115,0,118,111,105,100,32,99,118,58,58,102,105,116,76,105,110,101,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,41,0,105,110,116,101,103,114,97,108,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,115,117,109,112,105,120,101,108,115,46,99,112,112,0,118,111,105,100,32,99,118,58,58,105,110,116,101,103,114,97,108,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,105,110,116,101,103,114,97,108,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,105,110,116,101,103,114,97,108,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,41,0,115,117,109,46,100,97,116,97,32,61,61,32,115,117,109,48,46,100,97,116,97,32,38,38,32,115,113,115,117,109,46,100,97,116,97,32,61,61,32,115,113,115,117,109,48,46,100,97,116,97,32,38,38,32,116,105,108,116,101,100,46,100,97,116,97,32,61,61,32,116,105,108,116,101,100,48,46,100,97,116,97,0,99,118,73,110,116,101,103,114,97,108,0,97,114,114,32,33,61,32,48,32,38,38,32,99,111,110,116,111,117,114,95,104,101,97,100,101,114,32,33,61,32,48,32,38,38,32,98,108,111,99,107,32,33,61,32,48,0,99,118,80,111,105,110,116,83,101,113,70,114,111,109,77,97,116,0,73,110,112,117,116,32,97,114,114,97,121,32,105,115,32,110,111,116,32,97,32,118,97,108,105,100,32,109,97,116,114,105,120,0,84,104,101,32,109,97,116,114,105,120,32,99,97,110,32,110,111,116,32,98,101,32,99,111,110,118,101,114,116,101,100,32,116,111,32,112,111,105,110,116,32,115,101,113,117,101,110,99,101,32,98,101,99,97,117,115,101,32,111,102,32,105,110,97,112,112,114,111,112,114,105,97,116,101,32,101,108,101,109,101,110,116,32,116,121,112,101,0,84,104,101,32,109,97,116,114,105,120,32,99,111,110,118,101,114,116,101,100,32,116,111,32,112,111,105,110,116,32,115,101,113,117,101,110,99,101,32,109,117,115,116,32,98,101,32,49,45,100,105,109,101,110,115,105,111,110,97,108,32,97,110,100,32,99,111,110,116,105,110,117,111,117,115,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,117,116,105,108,115,46,99,112,112,0,116,104,101,32,116,121,112,101,32,111,102,32,108,97,98,101,108,115,32,109,117,115,116,32,98,101,32,49,54,117,32,111,114,32,51,50,115,0,99,111,110,110,101,99,116,101,100,67,111,109,112,111,110,101,110,116,115,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,99,111,110,110,101,99,116,101,100,99,111,109,112,111,110,101,110,116,115,46,99,112,112,0,76,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,49,32,38,38,32,73,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,49,0,99,111,110,110,101,99,116,101,100,67,111,109,112,111,110,101,110,116,115,95,115,117,98,49,0,99,99,108,116,121,112,101,32,61,61,32,67,67,76,95,71,82,65,78,65,32,124,124,32,99,99,108,116,121,112,101,32,61,61,32,67,67,76,95,87,85,32,124,124,32,99,99,108,116,121,112,101,32,61,61,32,67,67,76,95,68,69,70,65,85,76,84,0,105,68,101,112,116,104,32,61,61,32,67,86,95,56,85,32,124,124,32,105,68,101,112,116,104,32,61,61,32,67,86,95,56,83,0,117,110,115,117,112,112,111,114,116,101,100,32,108,97,98,101,108,47,105,109,97,103,101,32,116,121,112,101,0,105,109,103,46,114,111,119,115,32,61,61,32,105,109,103,76,97,98,101,108,115,46,114,111,119,115,0,105,109,103,46,99,111,108,115,32,61,61,32,105,109,103,76,97,98,101,108,115,46,99,111,108,115,0,99,111,110,110,101,99,116,105,118,105,116,121,32,61,61,32,56,0,78,50,99,118,49,57,99,111,110,110,101,99,116,101,100,99,111,109,112,111,110,101,110,116,115,50,49,76,97,98,101,108,105,110,103,71,114,97,110,97,80,97,114,97,108,108,101,108,73,105,104,78,83,48,95,52,78,111,79,112,69,69,49,48,83,101,99,111,110,100,83,99,97,110,69,0,78,50,99,118,49,57,99,111,110,110,101,99,116,101,100,99,111,109,112,111,110,101,110,116,115,50,49,76,97,98,101,108,105,110,103,71,114,97,110,97,80,97,114,97,108,108,101,108,73,105,104,78,83,48,95,52,78,111,79,112,69,69,57,70,105,114,115,116,83,99,97,110,69,0,78,50,99,118,49,57,99,111,110,110,101,99,116,101,100,99,111,109,112,111,110,101,110,116,115,49,56,76,97,98,101,108,105,110,103,87,117,80,97,114,97,108,108,101,108,73,105,104,78,83,48,95,52,78,111,79,112,69,69,49,48,83,101,99,111,110,100,83,99,97,110,69,0,78,50,99,118,49,57,99,111,110,110,101,99,116,101,100,99,111,109,112,111,110,101,110,116,115,49,56,76,97,98,101,108,105,110,103,87,117,80,97,114,97,108,108,101,108,73,105,104,78,83,48,95,52,78,111,79,112,69,69,50,50,70,105,114,115,116,83,99,97,110,52,67,111,110,110,101,99,116,105,118,105,116,121,69,0,78,50,99,118,49,57,99,111,110,110,101,99,116,101,100,99,111,109,112,111,110,101,110,116,115,49,56,76,97,98,101,108,105,110,103,87,117,80,97,114,97,108,108,101,108,73,105,104,78,83,48,95,52,78,111,79,112,69,69,50,50,70,105,114,115,116,83,99,97,110,56,67,111,110,110,101,99,116,105,118,105,116,121,69,0,105,109,103,76,97,98,101,108,115,46,114,111,119,115,32,61,61,32,105,109,103,46,114,111,119,115,0,105,109,103,76,97,98,101,108,115,46,99,111,108,115,32,61,61,32,105,109,103,46,99,111,108,115,0,99,111,110,110,101,99,116,101,100,67,111,109,112,111,110,101,110,116,115,87,105,116,104,83,116,97,116,115,0,78,50,99,118,49,57,99,111,110,110,101,99,116,101,100,99,111,109,112,111,110,101,110,116,115,50,49,76,97,98,101,108,105,110,103,71,114,97,110,97,80,97,114,97,108,108,101,108,73,105,104,78,83,48,95,57,67,67,83,116,97,116,115,79,112,69,69,49,48,83,101,99,111,110,100,83,99,97,110,69,0,78,50,99,118,49,57,99,111,110,110,101,99,116,101,100,99,111,109,112,111,110,101,110,116,115,50,49,76,97,98,101,108,105,110,103,71,114,97,110,97,80,97,114,97,108,108,101,108,73,105,104,78,83,48,95,57,67,67,83,116,97,116,115,79,112,69,69,57,70,105,114,115,116,83,99,97,110,69,0,78,50,99,118,49,57,99,111,110,110,101,99,116,101,100,99,111,109,112,111,110,101,110,116,115,49,56,76,97,98,101,108,105,110,103,87,117,80,97,114,97,108,108,101,108,73,105,104,78,83,48,95,57,67,67,83,116,97,116,115,79,112,69,69,49,48,83,101,99,111,110,100,83,99,97,110,69,0,78,50,99,118,49,57,99,111,110,110,101,99,116,101,100,99,111,109,112,111,110,101,110,116,115,49,56,76,97,98,101,108,105,110,103,87,117,80,97,114,97,108,108,101,108,73,105,104,78,83,48,95,57,67,67,83,116,97,116,115,79,112,69,69,50,50,70,105,114,115,116,83,99,97,110,52,67,111,110,110,101,99,116,105,118,105,116,121,69,0,78,50,99,118,49,57,99,111,110,110,101,99,116,101,100,99,111,109,112,111,110,101,110,116,115,49,56,76,97,98,101,108,105,110,103,87,117,80,97,114,97,108,108,101,108,73,105,104,78,83,48,95,57,67,67,83,116,97,116,115,79,112,69,69,50,50,70,105,114,115,116,83,99,97,110,56,67,111,110,110,101,99,116,105,118,105,116,121,69,0,67,86,95,73,83,95,83,69,81,95,67,72,65,73,78,95,67,79,78,84,79,85,82,40,32,99,104,97,105,110,32,41,0,105,99,118,65,112,112,114,111,120,105,109,97,116,101,67,104,97,105,110,84,67,56,57,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,97,112,112,114,111,120,46,99,112,112,0,104,101,97,100,101,114,95,115,105,122,101,32,62,61,32,40,105,110,116,41,115,105,122,101,111,102,40,67,118,67,111,110,116,111,117,114,41,0,110,112,111,105,110,116,115,32,62,61,32,48,32,38,38,32,40,100,101,112,116,104,32,61,61,32,67,86,95,51,50,83,32,124,124,32,100,101,112,116,104,32,61,61,32,67,86,95,51,50,70,41,0,97,112,112,114,111,120,80,111,108,121,68,80,0,118,111,105,100,32,99,118,58,58,97,112,112,114,111,120,80,111,108,121,68,80,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,98,111,111,108,41,0,95,115,114,99,46,100,101,112,116,104,40,41,32,61,61,32,67,86,95,56,85,0,67,97,110,110,121,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,99,97,110,110,121,46,99,112,112,0,40,95,100,115,116,46,103,101,116,79,98,106,40,41,32,33,61,32,95,115,114,99,46,103,101,116,79,98,106,40,41,32,124,124,32,95,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,49,41,32,38,38,32,34,73,110,112,108,97,99,101,32,112,97,114,97,109,101,116,101,114,115,32,97,114,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,34,0,65,112,101,114,116,117,114,101,32,115,105,122,101,32,115,104,111,117,108,100,32,98,101,32,111,100,100,32,98,101,116,119,101,101,110,32,51,32,97,110,100,32,55,0,78,50,99,118,57,102,105,110,97,108,80,97,115,115,69,0,102,105,110,97,108,80,97,115,115,0,103,108,111,98,97,108,95,104,121,115,116,101,114,101,115,105,115,0,104,121,115,116,101,114,101,115,105,115,0,109,97,103,110,105,116,117,100,101,0,103,114,97,100,105,101,110,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,112,97,114,97,108,108,101,108,67,97,110,110,121,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,0,78,50,99,118,49,51,112,97,114,97,108,108,101,108,67,97,110,110,121,69,0,118,111,105,100,32,99,118,58,58,67,97,110,110,121,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,105,110,116,44,32,98,111,111,108,41,0,95,100,120,46,100,105,109,115,40,41,32,61,61,32,50,0,95,100,120,46,116,121,112,101,40,41,32,61,61,32,67,86,95,49,54,83,67,49,32,124,124,32,95,100,120,46,116,121,112,101,40,41,32,61,61,32,67,86,95,49,54,83,67,51,0,95,100,121,46,116,121,112,101,40,41,32,61,61,32,95,100,120,46,116,121,112,101,40,41,0,95,100,120,46,115,97,109,101,83,105,122,101,40,95,100,121,41,0,118,111,105,100,32,99,118,58,58,67,97,110,110,121,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,98,111,111,108,41,0,115,114,99,46,115,105,122,101,32,61,61,32,100,115,116,46,115,105,122,101,32,38,38,32,115,114,99,46,100,101,112,116,104,40,41,32,61,61,32,67,86,95,56,85,32,38,38,32,100,115,116,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,0,99,118,67,97,110,110,121,0,67,86,95,77,65,84,95,67,78,40,115,117,109,84,121,112,101,41,32,61,61,32,67,86,95,77,65,84,95,67,78,40,115,114,99,84,121,112,101,41,0,103,101,116,82,111,119,83,117,109,70,105,108,116,101,114,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,54,82,111,119,83,117,109,73,100,100,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,78,50,99,118,54,82,111,119,83,117,109,73,100,100,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,54,82,111,119,83,117,109,73,102,100,69,69,78,83,95,49,52,68,101,102],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+245764);allocate([97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,78,50,99,118,54,82,111,119,83,117,109,73,102,100,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,54,82,111,119,83,117,109,73,115,100,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,78,50,99,118,54,82,111,119,83,117,109,73,115,100,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,54,82,111,119,83,117,109,73,105,105,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,78,50,99,118,54,82,111,119,83,117,109,73,105,105,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,54,82,111,119,83,117,109,73,115,105,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,78,50,99,118,54,82,111,119,83,117,109,73,115,105,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,54,82,111,119,83,117,109,73,116,100,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,78,50,99,118,54,82,111,119,83,117,109,73,116,100,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,54,82,111,119,83,117,109,73,116,105,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,78,50,99,118,54,82,111,119,83,117,109,73,116,105,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,54,82,111,119,83,117,109,73,104,100,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,78,50,99,118,54,82,111,119,83,117,109,73,104,100,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,54,82,111,119,83,117,109,73,104,116,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,78,50,99,118,54,82,111,119,83,117,109,73,104,116,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,54,82,111,119,83,117,109,73,104,105,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,78,50,99,118,54,82,111,119,83,117,109,73,104,105,69,69,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,115,109,111,111,116,104,46,99,112,112,0,67,86,95,77,65,84,95,67,78,40,115,117,109,84,121,112,101,41,32,61,61,32,67,86,95,77,65,84,95,67,78,40,100,115,116,84,121,112,101,41,0,103,101,116,67,111,108,117,109,110,83,117,109,70,105,108,116,101,114,0,85,110,115,117,112,112,111,114,116,101,100,32,99,111,109,98,105,110,97,116,105,111,110,32,111,102,32,115,117,109,32,102,111,114,109,97,116,32,40,61,37,100,41,44,32,97,110,100,32,100,101,115,116,105,110,97,116,105,111,110,32,102,111,114,109,97,116,32,40,61,37,100,41,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,57,67,111,108,117,109,110,83,117,109,73,100,100,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,115,117,109,67,111,117,110,116,32,61,61,32,107,115,105,122,101,45,49,0,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,100,100,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,57,67,111,108,117,109,110,83,117,109,73,105,100,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,105,100,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,57,67,111,108,117,109,110,83,117,109,73,100,102,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,100,102,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,57,67,111,108,117,109,110,83,117,109,73,105,102,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,105,102,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,57,67,111,108,117,109,110,83,117,109,73,105,105,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,105,105,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,57,67,111,108,117,109,110,83,117,109,73,100,115,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,100,115,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,57,67,111,108,117,109,110,83,117,109,73,105,115,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,105,115,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,57,67,111,108,117,109,110,83,117,109,73,100,116,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,100,116,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,57,67,111,108,117,109,110,83,117,109,73,105,116,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,105,116,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,57,67,111,108,117,109,110,83,117,109,73,100,104,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,100,104,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,57,67,111,108,117,109,110,83,117,109,73,116,104,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,116,104,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,57,67,111,108,117,109,110,83,117,109,73,105,104,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,78,50,99,118,57,67,111,108,117,109,110,83,117,109,73,105,104,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,50,70,105,108,116,101,114,69,110,103,105,110,101,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,50,95,69,69,69,69,0,118,111,105,100,32,99,118,58,58,98,111,120,70,105,108,116,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,83,105,122,101,44,32,80,111,105,110,116,44,32,98,111,111,108,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,98,108,117,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,83,105,122,101,44,32,80,111,105,110,116,44,32,105,110,116,41,0,103,101,116,83,113,114,82,111,119,83,117,109,70,105,108,116,101,114,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,57,83,113,114,82,111,119,83,117,109,73,100,100,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,78,50,99,118,57,83,113,114,82,111,119,83,117,109,73,100,100,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,57,83,113,114,82,111,119,83,117,109,73,102,100,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,78,50,99,118,57,83,113,114,82,111,119,83,117,109,73,102,100,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,57,83,113,114,82,111,119,83,117,109,73,115,100,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,78,50,99,118,57,83,113,114,82,111,119,83,117,109,73,115,100,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,57,83,113,114,82,111,119,83,117,109,73,116,100,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,78,50,99,118,57,83,113,114,82,111,119,83,117,109,73,116,100,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,57,83,113,114,82,111,119,83,117,109,73,104,105,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,78,50,99,118,57,83,113,114,82,111,119,83,117,109,73,104,105,69,69,0,118,111,105,100,32,99,118,58,58,115,113,114,66,111,120,70,105,108,116,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,83,105,122,101,44,32,80,111,105,110,116,44,32,98,111,111,108,44,32,105,110,116,41,0,103,101,116,71,97,117,115,115,105,97,110,75,101,114,110,101,108,0,107,116,121,112,101,32,61,61,32,67,86,95,51,50,70,32,124,124,32,107,116,121,112,101,32,61,61,32,67,86,95,54,52,70,0,107,115,105,122,101,46,119,105,100,116,104,32,62,32,48,32,38,38,32,107,115,105,122,101,46,119,105,100,116,104,32,37,32,50,32,61,61,32,49,32,38,38,32,107,115,105,122,101,46,104,101,105,103,104,116,32,62,32,48,32,38,38,32,107,115,105,122,101,46,104,101,105,103,104,116,32,37,32,50,32,61,61,32,49,0,99,114,101,97,116,101,71,97,117,115,115,105,97,110,75,101,114,110,101,108,115,0,78,50,99,118,49,56,102,105,120,101,100,83,109,111,111,116,104,73,110,118,111,107,101,114,73,104,78,49,50,95,71,76,79,66,65,76,95,95,78,95,49,49,51,117,102,105,120,101,100,112,111,105,110,116,49,54,69,69,69,0,118,111,105,100,32,99,118,58,58,71,97,117,115,115,105,97,110,66,108,117,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,83,105,122,101,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,105,110,116,41,0,40,107,115,105,122,101,32,37,32,50,32,61,61,32,49,41,32,38,38,32,40,95,115,114,99,48,46,100,105,109,115,40,41,32,60,61,32,50,32,41,0,109,101,100,105,97,110,66,108,117,114,0,115,114,99,46,100,101,112,116,104,40,41,32,61,61,32,67,86,95,56,85,32,38,38,32,40,99,110,32,61,61,32,49,32,124,124,32,99,110,32,61,61,32,51,32,124,124,32,99,110,32,61,61,32,52,41,0,99,110,32,62,32,48,32,38,38,32,99,110,32,60,61,32,52,0,109,101,100,105,97,110,66,108,117,114,95,56,117,95,79,109,0,109,101,100,105,97,110,66,108,117,114,95,56,117,95,79,49,0,107,32,60,32,49,54,0,98,32,60,32,49,54,0,118,111,105,100,32,99,118,58,58,109,101,100,105,97,110,66,108,117,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,0,40,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,49,32,124,124,32,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,51,41,32,38,38,32,115,114,99,46,100,97,116,97,32,33,61,32,100,115,116,46,100,97,116,97,0,98,105,108,97,116,101,114,97,108,70,105,108,116,101,114,95,56,117,0,40,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,67,49,32,124,124,32,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,67,51,41,32,38,38,32,115,114,99,46,100,97,116,97,32,33,61,32,100,115,116,46,100,97,116,97,0,98,105,108,97,116,101,114,97,108,70,105,108,116,101,114,95,51,50,102,0,66,105,108,97,116,101,114,97,108,32,102,105,108,116,101,114,105,110,103,32,105,115,32,111,110,108,121,32,105,109,112,108,101,109,101,110,116,101,100,32,102,111,114,32,56,117,32,97,110,100,32,51,50,102,32,105,109,97,103,101,115,0,98,105,108,97,116,101,114,97,108,70,105,108,116,101,114,0,99,110,32,61,61,32,51,0,78,50,99,118,50,55,66,105,108,97,116,101,114,97,108,70,105,108,116,101,114,95,51,50,102,95,73,110,118,111,107,101,114,69,0,78,50,99,118,50,54,66,105,108,97,116,101,114,97,108,70,105,108,116,101,114,95,56,117,95,73,110,118,111,107,101,114,69,0,118,111,105,100,32,99,118,58,58,98,105,108,97,116,101,114,97,108,70,105,108,116,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,105,110,116,41,0,85,110,107,110,111,119,110,32,99,111,109,112,97,114,105,115,111,110,32,109,101,116,104,111,100,0,109,97,116,99,104,83,104,97,112,101,115,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,109,97,116,99,104,99,111,110,116,111,117,114,115,46,99,112,112,0,100,111,117,98,108,101,32,99,118,58,58,109,97,116,99,104,83,104,97,112,101,115,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,100,111,117,98,108,101,41,0,78,50,99,118,49,51,66,97,115,101,82,111,119,70,105,108,116,101,114,69,0,78,50,99,118,49,54,66,97,115,101,67,111,108,117,109,110,70,105,108,116,101,114,69,0,78,50,99,118,49,48,66,97,115,101,70,105,108,116,101,114,69,0,115,114,99,46,116,121,112,101,40,41,32,61,61,32,115,114,99,84,121,112,101,32,38,38,32,100,115,116,46,116,121,112,101,40,41,32,61,61,32,100,115,116,84,121,112,101,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,102,105,108,116,101,114,46,99,112,112,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,70,105,108,116,101,114,69,110,103,105,110,101,58,58,97,112,112,108,121,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,38,44,32,99,118,58,58,77,97,116,32,38,44,32,99,111,110,115,116,32,83,105,122,101,32,38,44,32,99,111,110,115,116,32,80,111,105,110,116,32,38,41,0,119,104,111,108,101,83,105,122,101,46,119,105,100,116,104,32,62,32,48,32,38,38,32,119,104,111,108,101,83,105,122,101,46,104,101,105,103,104,116,32,62,32,48,0,112,114,111,99,101,101,100,0,115,114,99,32,38,38,32,100,115,116,32,38,38,32,99,111,117,110,116,32,62,32,48,0,115,114,99,89,32,62,61,32,115,116,97,114,116,89,0,100,115,116,89,32,60,61,32,114,111,105,46,104,101,105,103,104,116,0,114,111,105,46,120,32,62,61,32,48,32,38,38,32,114,111,105,46,121,32,62,61,32,48,32,38,38,32,114,111,105,46,119,105,100,116,104,32,62,61,32,48,32,38,38,32,114,111,105,46,104,101,105,103,104,116,32,62,61,32,48,32,38,38,32,114,111,105,46,120,32,43,32,114,111,105,46,119,105,100,116,104,32,60,61,32,119,104,111,108,101,83,105,122,101,46,119,105,100,116,104,32,38,38,32,114,111,105,46,121,32,43,32,114,111,105,46,104,101,105,103,104,116,32,60,61,32,119,104,111,108,101,83,105,122,101,46,104,101,105,103,104,116,0,115,116,97,114,116,0,99,111,110,115,116,86,97,108,32,33,61,32,78,85,76,76,0,78,50,99,118,49,50,70,105,108,116,101,114,69,110,103,105,110,101,69,0,99,111,108,117,109,110,66,111,114,100,101,114,84,121,112,101,32,33,61,32,66,79,82,68,69,82,95,87,82,65,80,0,105,110,105,116,0,114,111,119,70,105,108,116,101,114,32,38,38,32,99,111,108,117,109,110,70,105,108,116,101,114,0,98,117,102,84,121,112,101,32,61,61,32,115,114,99,84,121,112,101,0,48,32,60,61,32,97,110,99,104,111,114,46,120,32,38,38,32,97,110,99,104,111,114,46,120,32,60,32,107,115,105,122,101,46,119,105,100,116,104,32,38,38,32,48,32,60,61,32,97,110,99,104,111,114,46,121,32,38,38,32,97,110,99,104,111,114,46,121,32,60,32,107,115,105,122,101,46,104,101,105,103,104,116,0,95,107,101,114,110,101,108,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,49,0,103,101,116,75,101,114,110,101,108,84,121,112,101,0,99,110,32,61,61,32,67,86,95,77,65,84,95,67,78,40,98,117,102,84,121,112,101,41,32,38,38,32,100,100,101,112,116,104,32,62,61,32,115,116,100,58,58,109,97,120,40,115,100,101,112,116,104,44,32,67,86,95,51,50,83,41,32,38,38,32,107,101,114,110,101,108,46,116,121,112,101,40,41,32,61,61,32,100,100,101,112,116,104,0,103,101,116,76,105,110,101,97,114,82,111,119,70,105,108,116,101,114,0,85,110,115,117,112,112,111,114,116,101,100,32,99,111,109,98,105,110,97,116,105,111,110,32,111,102,32,115,111,117,114,99,101,32,102,111,114,109,97,116,32,40,61,37,100,41,44,32,97,110,100,32,98,117,102,102,101,114,32,102,111,114,109,97,116,32,40,61,37,100,41,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,57,82,111,119,70,105,108,116,101,114,73,100,100,78,83,95,56,82,111,119,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,52,95,69,69,69,69,0,107,101,114,110,101,108,46,116,121,112,101,40,41,32,61,61,32,68,97,116,97,84,121,112,101,60,68,84,62,58,58,116,121,112,101,32,38,38,32,40,107,101,114,110,101,108,46,114,111,119,115,32,61,61,32,49,32,124,124,32,107,101,114,110,101,108,46,99,111,108,115,32,61,61,32,49,41,0,82,111,119,70,105,108,116,101,114,0,78,50,99,118,57,82,111,119,70,105,108,116,101,114,73,100,100,78,83,95,56,82,111,119,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,57,82,111,119,70,105,108,116,101,114,73,102,100,78,83,95,56,82,111,119,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,52,95,69,69,69,69,0,78,50,99,118,57,82,111,119,70,105,108,116,101,114,73,102,100,78,83,95,56,82,111,119,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,57,82,111,119,70,105,108,116,101,114,73,102,102,78,83,95,56,82,111,119,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,52,95,69,69,69,69,0,78,50,99,118,57,82,111,119,70,105,108,116,101,114,73,102,102,78,83,95,56,82,111,119,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,57,82,111,119,70,105,108,116,101,114,73,115,100,78,83,95,56,82,111,119,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,52,95,69,69,69,69,0,78,50,99,118,57,82,111,119,70,105,108,116,101,114,73,115,100,78,83,95,56,82,111,119,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,57,82,111,119,70,105,108,116,101,114,73,115,102,78,83,95,56,82,111,119,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,52,95,69,69,69,69,0,78,50,99,118,57,82,111,119,70,105,108,116,101,114,73,115,102,78,83,95,56,82,111,119,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,57,82,111,119,70,105,108,116,101,114,73,116,100,78,83,95,56,82,111,119,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,52,95,69,69,69,69,0,78,50,99,118,57,82,111,119,70,105,108,116,101,114,73,116,100,78,83,95,56,82,111,119,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,57,82,111,119,70,105,108,116,101,114,73,116,102,78,83,95,56,82,111,119,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,52,95,69,69,69,69,0,78,50,99,118,57,82,111,119,70,105,108,116,101,114,73,116,102,78,83,95,56,82,111,119,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,57,82,111,119,70,105,108,116,101,114,73,104,100,78,83,95,56,82,111,119,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,52,95,69,69,69,69,0,78,50,99,118,57,82,111,119,70,105,108,116,101,114,73,104,100,78,83,95,56,82,111,119,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,57,82,111,119,70,105,108,116,101,114,73,104,102,78,83,95,56,82,111,119,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,52,95,69,69,69,69,0,78,50,99,118,57,82,111,119,70,105,108,116,101,114,73,104,102,78,83,95,56,82,111,119,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,57,82,111,119,70,105,108,116,101,114,73,104,105,78,83,95,56,82,111,119,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,52,95,69,69,69,69,0,78,50,99,118,57,82,111,119,70,105,108,116,101,114,73,104,105,78,83,95,56,82,111,119,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,56,83,121,109,109,82,111,119,83,109,97,108,108,70,105,108,116,101,114,73,102,102,78,83,95,49,55,83,121,109,109,82,111,119,83,109,97,108,108,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,52,95,69,69,69,69,0,40,115,121,109,109,101,116,114,121,84,121,112,101,32,38,32,40,75,69,82,78,69,76,95,83,89,77,77,69,84,82,73,67,65,76,32,124,32,75,69,82,78,69,76,95,65,83,89,77,77,69,84,82,73,67,65,76,41,41,32,33,61,32,48,32,38,38,32,116,104,105,115,45,62,107,115,105,122,101,32,60,61,32,53,0,83,121,109,109,82,111,119,83,109,97,108,108,70,105,108,116,101,114,0,78,50,99,118,57,82,111,119,70,105,108,116,101,114,73,102,102,78,83,95,49,55,83,121,109,109,82,111,119,83,109,97,108,108,78,111,86,101,99,69,69,69,0,78,50,99,118,49,56,83,121,109,109,82,111,119,83,109,97,108,108,70,105,108,116,101,114,73,102,102,78,83,95,49,55,83,121,109,109,82,111,119,83,109,97,108,108,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,56,83,121,109,109,82,111,119,83,109,97,108,108,70,105,108,116,101,114,73,104,105,78,83,95,49,55,83,121,109,109,82,111,119,83,109,97,108,108,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,52,95,69,69,69,69,0,78,50,99,118,57,82,111,119,70,105,108,116,101,114,73,104,105,78,83,95,49,55,83,121,109,109,82,111,119,83,109,97,108,108,78,111,86,101,99,69,69,69,0,78,50,99,118,49,56,83,121,109,109,82,111,119,83,109,97,108,108,70,105,108,116,101,114,73,104,105,78,83,95,49,55,83,121,109,109,82,111,119,83,109,97,108,108,78,111,86,101,99,69,69,69,0,99,110,32,61,61,32,67,86,95,77,65,84,95,67,78,40,98,117,102,84,121,112,101,41,32,38,38,32,115,100,101,112,116,104,32,62,61,32,115,116,100,58,58,109,97,120,40,100,100,101,112,116,104,44,32,67,86,95,51,50,83,41,32,38,38,32,107,101,114,110,101,108,46,116,121,112,101,40,41,32,61,61,32,115,100,101,112,116,104,0,103,101,116,76,105,110,101,97,114,67,111,108,117,109,110,70,105,108,116,101,114,0,85,110,115,117,112,112,111,114,116,101,100,32,99,111,109,98,105,110,97,116,105,111,110,32,111,102,32,98,117,102,102,101,114,32,102,111,114,109,97,116,32,40,61,37,100,41,44,32,97,110,100,32,100,101,115,116,105,110,97,116,105,111,110,32,102,111,114,109,97,116,32,40,61,37,100,41,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,100,100,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,40,115,121,109,109,101,116,114,121,84,121,112,101,32,38,32,40,75,69,82,78,69,76,95,83,89,77,77,69,84,82,73,67,65,76,32,124,32,75,69,82,78,69,76,95,65,83,89,77,77,69,84,82,73,67,65,76,41,41,32,33,61,32,48,0,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,0,78,50,99,118,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,100,100,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,100,100,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,102,102,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,102,102,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,102,102,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,100,115,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,100,115,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,100,115,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,102,115,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,102,115,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,102,115,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,105,115,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,105,115,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,105,115,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,107,101,114,110,101,108,46,116,121,112,101,40,41,32,61,61,32,68,97,116,97,84,121,112,101,60,83,84,62,58,58,116,121,112,101,32,38,38,32,40,107,101,114,110,101,108,46,114,111,119,115,32,61,61,32,49,32,124,124,32,107,101,114,110,101,108,46,99,111,108,115,32,61,61,32,49,41,0,67,111,108,117,109,110,70,105,108,116,101,114,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,100,116,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,100,116,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,100,116,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,102,116,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,102,116,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,102,116,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,100,104,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,100,104,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,100,104,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,102,104,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,102,104,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,102,104,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,49,51,70,105,120,101,100,80,116,67,97,115,116,69,120,73,105,104,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,49,51,70,105,120,101,100,80,116,67,97,115,116,69,120,73,105,104,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,49,51,70,105,120,101,100,80,116,67,97,115,116,69,120,73,105,104,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,50,49,83,121,109,109,67,111,108,117,109,110,83,109,97,108,108,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,102,102,69,69,78,83,95,50,48,83,121,109,109,67,111,108,117,109,110,83,109,97,108,108,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,116,104,105,115,45,62,107,115,105,122,101,32,61,61,32,51,0,83,121,109,109,67,111,108,117,109,110,83,109,97,108,108,70,105,108,116,101,114,0,78,50,99,118,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,102,102,69,69,78,83,95,50,48,83,121,109,109,67,111,108,117,109,110,83,109,97,108,108,78,111,86,101,99,69,69,69,0,78,50,99,118,50,49,83,121,109,109,67,111,108,117,109,110,83,109,97,108,108,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,102,102,69,69,78,83,95,50,48,83,121,109,109,67,111,108,117,109,110,83,109,97,108,108,78,111,86,101,99,69,69,69,0,78,50,99,118,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,102,102,69,69,78,83,95,50,48,83,121,109,109,67,111,108,117,109,110,83,109,97,108,108,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,50,49,83,121,109,109,67,111,108,117,109,110,83,109,97,108,108,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,105,115,69,69,78,83,95,50,48,83,121,109,109,67,111,108,117,109,110,83,109,97,108,108,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,105,115,69,69,78,83,95,50,48,83,121,109,109,67,111,108,117,109,110,83,109,97,108,108,78,111,86,101,99,69,69,69,0,78,50,99,118,50,49,83,121,109,109,67,111,108,117,109,110,83,109,97,108,108,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,105,115,69,69,78,83,95,50,48,83,121,109,109,67,111,108,117,109,110,83,109,97,108,108,78,111,86,101,99,69,69,69,0,78,50,99,118,49,54,83,121,109,109,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,105,115,69,69,78,83,95,50,48,83,121,109,109,67,111,108,117,109,110,83,109,97,108,108,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,50,49,83,121,109,109,67,111,108,117,109,110,83,109,97,108,108,70,105,108,116,101,114,73,78,83,95,49,51,70,105,120,101,100,80,116,67,97,115,116,69,120,73,105,104,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,50,49,83,121,109,109,67,111,108,117,109,110,83,109,97,108,108,70,105,108,116,101,114,73,78,83,95,49,51,70,105,120,101,100,80,116,67,97,115,116,69,120,73,105,104,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,100,100,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,102,102,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+256004);allocate([86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,100,115,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,102,115,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,100,116,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,102,116,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,100,104,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,52,67,97,115,116,73,102,104,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,50,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,49,51,70,105,120,101,100,80,116,67,97,115,116,69,120,73,105,104,69,69,78,83,95,49,49,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,99,110,32,61,61,32,67,86,95,77,65,84,95,67,78,40,95,100,115,116,84,121,112,101,41,0,99,114,101,97,116,101,83,101,112,97,114,97,98,108,101,76,105,110,101,97,114,70,105,108,116,101,114,0,107,116,121,112,101,32,61,61,32,67,86,95,56,85,32,124,124,32,107,116,121,112,101,32,61,61,32,67,86,95,51,50,83,32,124,124,32,107,116,121,112,101,32,61,61,32,67,86,95,51,50,70,32,124,124,32,107,116,121,112,101,32,61,61,32,67,86,95,54,52,70,0,112,114,101,112,114,111,99,101,115,115,50,68,75,101,114,110,101,108,0,99,110,32,61,61,32,67,86,95,77,65,84,95,67,78,40,100,115,116,84,121,112,101,41,32,38,38,32,100,100,101,112,116,104,32,62,61,32,115,100,101,112,116,104,0,103,101,116,76,105,110,101,97,114,70,105,108,116,101,114,0,85,110,115,117,112,112,111,114,116,101,100,32,99,111,109,98,105,110,97,116,105,111,110,32,111,102,32,115,111,117,114,99,101,32,102,111,114,109,97,116,32,40,61,37,100,41,44,32,97,110,100,32,100,101,115,116,105,110,97,116,105,111,110,32,102,111,114,109,97,116,32,40,61,37,100,41,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,56,70,105,108,116,101,114,50,68,73,100,78,83,95,52,67,97,115,116,73,100,100,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,95,107,101,114,110,101,108,46,116,121,112,101,40,41,32,61,61,32,68,97,116,97,84,121,112,101,60,75,84,62,58,58,116,121,112,101,0,70,105,108,116,101,114,50,68,0,78,50,99,118,56,70,105,108,116,101,114,50,68,73,100,78,83,95,52,67,97,115,116,73,100,100,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,56,70,105,108,116,101,114,50,68,73,102,78,83,95,52,67,97,115,116,73,102,102,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,56,70,105,108,116,101,114,50,68,73,102,78,83,95,52,67,97,115,116,73,102,102,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,56,70,105,108,116,101,114,50,68,73,115,78,83,95,52,67,97,115,116,73,100,100,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,56,70,105,108,116,101,114,50,68,73,115,78,83,95,52,67,97,115,116,73,100,100,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,56,70,105,108,116,101,114,50,68,73,115,78,83,95,52,67,97,115,116,73,102,102,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,56,70,105,108,116,101,114,50,68,73,115,78,83,95,52,67,97,115,116,73,102,102,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,56,70,105,108,116,101,114,50,68,73,115,78,83,95,52,67,97,115,116,73,102,115,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,56,70,105,108,116,101,114,50,68,73,115,78,83,95,52,67,97,115,116,73,102,115,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,56,70,105,108,116,101,114,50,68,73,116,78,83,95,52,67,97,115,116,73,100,100,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,56,70,105,108,116,101,114,50,68,73,116,78,83,95,52,67,97,115,116,73,100,100,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,56,70,105,108,116,101,114,50,68,73,116,78,83,95,52,67,97,115,116,73,102,102,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,56,70,105,108,116,101,114,50,68,73,116,78,83,95,52,67,97,115,116,73,102,102,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,56,70,105,108,116,101,114,50,68,73,116,78,83,95,52,67,97,115,116,73,102,116,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,56,70,105,108,116,101,114,50,68,73,116,78,83,95,52,67,97,115,116,73,102,116,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,56,70,105,108,116,101,114,50,68,73,104,78,83,95,52,67,97,115,116,73,100,100,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,56,70,105,108,116,101,114,50,68,73,104,78,83,95,52,67,97,115,116,73,100,100,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,56,70,105,108,116,101,114,50,68,73,104,78,83,95,52,67,97,115,116,73,102,102,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,56,70,105,108,116,101,114,50,68,73,104,78,83,95,52,67,97,115,116,73,102,102,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,56,70,105,108,116,101,114,50,68,73,104,78,83,95,52,67,97,115,116,73,102,115,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,56,70,105,108,116,101,114,50,68,73,104,78,83,95,52,67,97,115,116,73,102,115,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,56,70,105,108,116,101,114,50,68,73,104,78,83,95,52,67,97,115,116,73,102,116,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,56,70,105,108,116,101,114,50,68,73,104,78,83,95,52,67,97,115,116,73,102,116,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,56,70,105,108,116,101,114,50,68,73,104,78,83,95,52,67,97,115,116,73,102,104,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,56,70,105,108,116,101,114,50,68,73,104,78,83,95,52,67,97,115,116,73,102,104,69,69,78,83,95,49,49,70,105,108,116,101,114,78,111,86,101,99,69,69,69,0,99,114,101,97,116,101,76,105,110,101,97,114,70,105,108,116,101,114,0,118,111,105,100,32,99,118,58,58,102,105,108,116,101,114,50,68,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,73,110,112,117,116,65,114,114,97,121,44,32,80,111,105,110,116,44,32,100,111,117,98,108,101,44,32,105,110,116,41,0,107,101,114,110,101,108,88,46,116,121,112,101,40,41,32,61,61,32,107,101,114,110,101,108,89,46,116,121,112,101,40,41,32,38,38,32,40,107,101,114,110,101,108,88,46,99,111,108,115,32,61,61,32,49,32,124,124,32,107,101,114,110,101,108,88,46,114,111,119,115,32,61,61,32,49,41,32,38,38,32,40,107,101,114,110,101,108,89,46,99,111,108,115,32,61,61,32,49,32,124,124,32,107,101,114,110,101,108,89,46,114,111,119,115,32,61,61,32,49,41,0,115,101,112,70,105,108,116,101,114,50,68,0,118,111,105,100,32,99,118,58,58,115,101,112,70,105,108,116,101,114,50,68,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,80,111,105,110,116,44,32,100,111,117,98,108,101,44,32,105,110,116,41,0,105,109,103,46,100,105,109,115,32,60,61,32,50,32,38,38,32,116,101,109,112,108,46,100,105,109,115,32,60,61,32,50,32,38,38,32,99,111,114,114,46,100,105,109,115,32,60,61,32,50,0,99,114,111,115,115,67,111,114,114,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,116,101,109,112,108,109,97,116,99,104,46,99,112,112,0,100,101,112,116,104,32,61,61,32,116,100,101,112,116,104,32,124,124,32,116,100,101,112,116,104,32,61,61,32,67,86,95,51,50,70,0,99,111,114,114,115,105,122,101,46,104,101,105,103,104,116,32,60,61,32,105,109,103,46,114,111,119,115,32,43,32,116,101,109,112,108,46,114,111,119,115,32,45,32,49,32,38,38,32,99,111,114,114,115,105,122,101,46,119,105,100,116,104,32,60,61,32,105,109,103,46,99,111,108,115,32,43,32,116,101,109,112,108,46,99,111,108,115,32,45,32,49,0,99,99,110,32,61,61,32,49,32,124,124,32,100,101,108,116,97,32,61,61,32,48,0,116,104,101,32,105,110,112,117,116,32,97,114,114,97,121,115,32,97,114,101,32,116,111,111,32,98,105,103,0,67,86,95,84,77,95,83,81,68,73,70,70,32,60,61,32,109,101,116,104,111,100,32,38,38,32,109,101,116,104,111,100,32,60,61,32,67,86,95,84,77,95,67,67,79,69,70,70,95,78,79,82,77,69,68,0,109,97,116,99,104,84,101,109,112,108,97,116,101,77,97,115,107,0,40,100,101,112,116,104,32,61,61,32,67,86,95,56,85,32,124,124,32,100,101,112,116,104,32,61,61,32,67,86,95,51,50,70,41,32,38,38,32,116,121,112,101,32,61,61,32,95,116,101,109,112,108,46,116,121,112,101,40,41,32,38,38,32,95,105,109,103,46,100,105,109,115,40,41,32,60,61,32,50,0,109,97,116,99,104,84,101,109,112,108,97,116,101,0,95,105,109,103,46,115,105,122,101,40,41,46,104,101,105,103,104,116,32,60,61,32,95,116,101,109,112,108,46,115,105,122,101,40,41,46,104,101,105,103,104,116,32,38,38,32,95,105,109,103,46,115,105,122,101,40,41,46,119,105,100,116,104,32,60,61,32,95,116,101,109,112,108,46,115,105,122,101,40,41,46,119,105,100,116,104,0,115,113,115,117,109,46,100,97,116,97,32,33,61,32,78,85,76,76,0,99,111,109,109,111,110,95,109,97,116,99,104,84,101,109,112,108,97,116,101,0,115,117,109,46,100,97,116,97,32,33,61,32,78,85,76,76,0,118,111,105,100,32,99,118,58,58,109,97,116,99,104,84,101,109,112,108,97,116,101,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,73,110,112,117,116,65,114,114,97,121,41,0,95,109,111,100,101,108,32,109,117,115,116,32,104,97,118,101,32,67,86,95,54,52,70,67,49,32,116,121,112,101,44,32,114,111,119,115,32,61,61,32,49,32,97,110,100,32,99,111,108,115,32,61,61,32,49,51,42,99,111,109,112,111,110,101,110,116,115,67,111,117,110,116,0,71,77,77,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,103,114,97,98,99,117,116,46,99,112,112,0,100,116,114,109,32,62,32,115,116,100,58,58,110,117,109,101,114,105,99,95,108,105,109,105,116,115,60,100,111,117,98,108,101,62,58,58,101,112,115,105,108,111,110,40,41,0,99,97,108,99,73,110,118,101,114,115,101,67,111,118,65,110,100,68,101,116,101,114,109,0,99,111,118,68,101,116,101,114,109,115,91,99,105,93,32,62,32,115,116,100,58,58,110,117,109,101,114,105,99,95,108,105,109,105,116,115,60,100,111,117,98,108,101,62,58,58,101,112,115,105,108,111,110,40,41,0,116,111,116,97,108,83,97,109,112,108,101,67,111,117,110,116,32,62,32,48,0,101,110,100,76,101,97,114,110,105,110,103,0,105,109,97,103,101,32,105,115,32,101,109,112,116,121,0,103,114,97,98,67,117,116,0,105,109,97,103,101,32,109,117,115,116,32,104,97,118,101,32,67,86,95,56,85,67,51,32,116,121,112,101,0,33,98,103,100,83,97,109,112,108,101,115,46,101,109,112,116,121,40,41,32,38,38,32,33,102,103,100,83,97,109,112,108,101,115,46,101,109,112,116,121,40,41,0,105,110,105,116,71,77,77,115,0,105,62,61,48,32,38,38,32,105,60,40,105,110,116,41,118,116,99,115,46,115,105,122,101,40,41,0,97,100,100,84,101,114,109,87,101,105,103,104,116,115,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,103,99,103,114,97,112,104,46,104,112,112,0,105,110,83,111,117,114,99,101,83,101,103,109,101,110,116,0,109,105,110,87,101,105,103,104,116,32,62,32,48,0,109,97,120,70,108,111,119,0,97,100,100,69,100,103,101,115,0,106,62,61,48,32,38,38,32,106,60,40,105,110,116,41,118,116,99,115,46,115,105,122,101,40,41,0,119,62,61,48,32,38,38,32,114,101,118,119,62,61,48,0,105,32,33,61,32,106,0,109,97,115,107,32,105,115,32,101,109,112,116,121,0,99,104,101,99,107,77,97,115,107,0,109,97,115,107,32,109,117,115,116,32,104,97,118,101,32,67,86,95,56,85,67,49,32,116,121,112,101,0,109,97,115,107,32,109,117,115,116,32,104,97,118,101,32,97,115,32,109,97,110,121,32,114,111,119,115,32,97,110,100,32,99,111,108,115,32,97,115,32,105,109,103,0,109,97,115,107,32,101,108,101,109,101,110,116,32,118,97,108,117,101,32,109,117,115,116,32,98,101,32,101,113,117,97,108,32,71,67,95,66,71,68,32,111,114,32,71,67,95,70,71,68,32,111,114,32,71,67,95,80,82,95,66,71,68,32,111,114,32,71,67,95,80,82,95,70,71,68,0,118,111,105,100,32,99,118,58,58,103,114,97,98,67,117,116,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,82,101,99,116,44,32,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,41,0,99,111,117,110,116,32,62,61,32,48,32,38,38,32,40,100,101,112,116,104,32,61,61,32,67,86,95,51,50,70,32,124,124,32,100,101,112,116,104,32,61,61,32,67,86,95,51,50,83,41,0,109,105,110,69,110,99,108,111,115,105,110,103,67,105,114,99,108,101,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,115,104,97,112,101,100,101,115,99,114,46,99,112,112,0,118,111,105,100,32,99,118,58,58,109,105,110,69,110,99,108,111,115,105,110,103,67,105,114,99,108,101,40,73,110,112,117,116,65,114,114,97,121,44,32,80,111,105,110,116,50,102,32,38,44,32,102,108,111,97,116,32,38,41,0,97,114,99,76,101,110,103,116,104,0,100,111,117,98,108,101,32,99,118,58,58,97,114,99,76,101,110,103,116,104,40,73,110,112,117,116,65,114,114,97,121,44,32,98,111,111,108,41,0,110,112,111,105,110,116,115,32,62,61,32,48,32,38,38,32,40,100,101,112,116,104,32,61,61,32,67,86,95,51,50,70,32,124,124,32,100,101,112,116,104,32,61,61,32,67,86,95,51,50,83,41,0,99,111,110,116,111,117,114,65,114,101,97,0,100,111,117,98,108,101,32,99,118,58,58,99,111,110,116,111,117,114,65,114,101,97,40,73,110,112,117,116,65,114,114,97,121,44,32,98,111,111,108,41,0,110,32,62,61,32,48,32,38,38,32,40,100,101,112,116,104,32,61,61,32,67,86,95,51,50,70,32,124,124,32,100,101,112,116,104,32,61,61,32,67,86,95,51,50,83,41,0,102,105,116,69,108,108,105,112,115,101,0,84,104,101,114,101,32,115,104,111,117,108,100,32,98,101,32,97,116,32,108,101,97,115,116,32,53,32,112,111,105,110,116,115,32,116,111,32,102,105,116,32,116,104,101,32,101,108,108,105,112,115,101,0,99,118,58,58,82,111,116,97,116,101,100,82,101,99,116,32,99,118,58,58,102,105,116,69,108,108,105,112,115,101,40,73,110,112,117,116,65,114,114,97,121,41,0,112,111,105,110,116,83,101,116,66,111,117,110,100,105,110,103,82,101,99,116,0,105,109,103,46,100,101,112,116,104,40,41,32,60,61,32,67,86,95,56,83,32,38,38,32,105,109,103,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,49,0,109,97,115,107,66,111,117,110,100,105,110,103,82,101,99,116,0,99,118,58,58,82,101,99,116,32,99,118,58,58,98,111,117,110,100,105,110,103,82,101,99,116,40,73,110,112,117,116,65,114,114,97,121,41,0,85,110,115,117,112,112,111,114,116,101,100,32,115,101,113,117,101,110,99,101,32,116,121,112,101,0,99,118,66,111,117,110,100,105,110,103,82,101,99,116,0,84,104,101,32,105,109,97,103,101,47,109,97,116,114,105,120,32,102,111,114,109,97,116,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,98,121,32,116,104,101,32,102,117,110,99,116,105,111,110,0,97,117,116,111,109,97,116,105,99,95,116,104,114,101,115,104,32,33,61,32,40,67,86,95,84,72,82,69,83,72,95,79,84,83,85,32,124,32,67,86,95,84,72,82,69,83,72,95,84,82,73,65,78,71,76,69,41,0,116,104,114,101,115,104,71,101,110,101,114,105,99,0,78,50,99,118,49,53,84,104,114,101,115,104,111,108,100,82,117,110,110,101,114,69,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,116,104,114,101,115,104,46,99,112,112,0,100,111,117,98,108,101,32,99,118,58,58,116,104,114,101,115,104,111,108,100,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,105,110,116,41,0,97,100,97,112,116,105,118,101,84,104,114,101,115,104,111,108,100,0,98,108,111,99,107,83,105,122,101,32,37,32,50,32,61,61,32,49,32,38,38,32,98,108,111,99,107,83,105,122,101,32,62,32,49,0,85,110,107,110,111,119,110,47,117,110,115,117,112,112,111,114,116,101,100,32,97,100,97,112,116,105,118,101,32,116,104,114,101,115,104,111,108,100,32,109,101,116,104,111,100,0,85,110,107,110,111,119,110,47,117,110,115,117,112,112,111,114,116,101,100,32,116,104,114,101,115,104,111,108,100,32,116,121,112,101,0,118,111,105,100,32,99,118,58,58,97,100,97,112,116,105,118,101,84,104,114,101,115,104,111,108,100,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,100,111,117,98,108,101,41,0,115,114,99,46,115,105,122,101,32,61,61,32,100,115,116,46,115,105,122,101,32,38,38,32,115,114,99,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,100,115,116,46,99,104,97,110,110,101,108,115,40,41,32,38,38,32,40,115,114,99,46,100,101,112,116,104,40,41,32,61,61,32,100,115,116,46,100,101,112,116,104,40,41,32,124,124,32,100,115,116,46,100,101,112,116,104,40,41,32,61,61,32,67,86,95,56,85,41,0,99,118,84,104,114,101,115,104,111,108,100,0,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,49,32,124,124,32,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,67,49,0,99,111,114,110,101,114,69,105,103,101,110,86,97,108,115,86,101,99,115,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,99,111,114,110,101,114,46,99,112,112,0,118,111,105,100,32,99,118,58,58,99,111,114,110,101,114,77,105,110,69,105,103,101,110,86,97,108,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,41,0,118,111,105,100,32,99,118,58,58,99,111,114,110,101,114,72,97,114,114,105,115,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,105,110,116,41,0,99,118,83,116,97,114,116,82,101,97,100,67,104,97,105,110,80,111,105,110,116,115,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,99,111,110,116,111,117,114,115,46,99,112,112,0,99,118,83,116,97,114,116,70,105,110,100,67,111,110,116,111,117,114,115,95,73,109,112,108,0,91,83,116,97,114,116,93,70,105,110,100,67,111,110,116,111,117,114,115,32,115,117,112,112,111,114,116,115,32,111,110,108,121,32,67,86,95,56,85,67,49,32,105,109,97,103,101,115,32,119,104,101,110,32,109,111,100,101,32,33,61,32,67,86,95,82,69,84,82,95,70,76,79,79,68,70,73,76,76,32,111,116,104,101,114,119,105,115,101,32,115,117,112,112,111,114,116,115,32,67,86,95,51,50,83,67,49,32,105,109,97,103,101,115,32,111,110,108,121,0,115,116,101,112,32,62,61,32,48,0,115,105,122,101,46,104,101,105,103,104,116,32,62,61,32,49,0,99,118,70,105,110,100,78,101,120,116,67,111,110,116,111,117,114,0,115,99,97,110,110,101,114,45,62,105,109,103,95,115,116,101,112,32,62,61,32,48,0,112,116,114,32,33,61,32,78,85,76,76,0,105,99,118,84,114,97,99,101,67,111,110,116,111,117,114,95,51,50,115,0,105,52,32,33,61,32,78,85,76,76,0,105,99,118,84,114,97,99,101,67,111,110,116,111,117,114,0,112,97,114,95,105,110,102,111,32,33,61,32,48,0,105,99,118,70,101,116,99,104,67,111,110,116,111,117,114,0,108,95,99,105,110,102,111,0,105,99,118,70,101,116,99,104,67,111,110,116,111,117,114,69,120,95,51,50,115,0,105,99,118,70,101,116,99,104,67,111,110,116,111,117,114,69,120,0,99,118,69,110,100,70,105,110,100,67,111,110,116,111,117,114,115,0,78,85,76,76,32,100,111,117,98,108,101,32,67,118,83,101,113,32,112,111,105,110,116,101,114,0,99,118,70,105,110,100,67,111,110,116,111,117,114,115,95,73,109,112,108,0,78,111,110,122,101,114,111,32,111,102,102,115,101,116,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,105,110,32,67,86,95,76,73,78,75,95,82,85,78,83,32,121,101,116,0,78,85,76,76,32,115,116,111,114,97,103,101,32,112,111,105,110,116,101,114,0,105,99,118,70,105,110,100,67,111,110,116,111,117,114,115,73,110,73,110,116,101,114,118,97,108,0,67,111,110,116,111,117,114,32,104,101,97,100,101,114,32,115,105,122,101,32,109,117,115,116,32,98,101,32,62,61,32,115,105,122,101,111,102,40,67,118,67,111,110,116,111,117,114,41,0,73,110,112,117,116,32,97,114,114,97,121,32,109,117,115,116,32,98,101,32,56,117,67,49,32,111,114,32,56,115,67,49,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,49,50,67,118,77,101,109,83,116,111,114,97,103,101,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,50,95,69,69,69,69,0,40,95,99,111,110,116,111,117,114,115,46,107,105,110,100,40,41,32,61,61,32,95,73,110,112,117,116,65,114,114,97,121,58,58,83,84,68,95,86,69,67,84,79,82,95,86,69,67,84,79,82,32,124,124,32,95,99,111,110,116,111,117,114,115,46,107,105,110,100,40,41,32,61,61,32,95,73,110,112,117,116,65,114,114,97,121,58,58,83,84,68,95,86,69,67,84,79,82,95,77,65,84,32,124,124,32,95,99,111,110,116,111,117,114,115,46,107,105,110,100,40,41,32,61,61,32,95,73,110,112,117,116,65,114,114,97,121,58,58,83,84,68,95,86,69,67,84,79,82,95,85,77,65,84,41,0,102,105,110,100,67,111,110,116,111,117,114,115,0,95,99,111,110,116,111,117,114,115,46,101,109,112,116,121,40,41,32,124,124,32,40,95,99,111,110,116,111,117,114,115,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,50,32,38,38,32,95,99,111,110,116,111,117,114,115,46,100,101,112,116,104,40,41,32,61,61,32,67,86,95,51,50,83,41,0,99,105,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,118,111,105,100,32,99,118,58,58,102,105,110,100,67,111,110,116,111,117,114,115,40,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,44,32,80,111,105,110,116,41,0,40,100,115,116,95,119,105,100,116,104,32,62,32,48,32,38,38,32,100,115,116,95,104,101,105,103,104,116,32,62,32,48,41,32,124,124,32,40,105,110,118,95,115,99,97,108,101,95,120,32,62,32,48,32,38,38,32,105,110,118,95,115,99,97,108,101,95,121,32,62,32,48,41,0,114,101,115,105,122,101,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,114,101,115,105,122,101,46,99,112,112,0,33,100,115,105,122,101,46,101,109,112,116,121,40,41,0,102,117,110,99,32,33,61,32,48,0,102,117,110,99,32,33,61,32,48,32,38,38,32,99,110,32,60,61,32,52,0,78,50,99,118,50,49,114,101,115,105,122,101,71,101,110,101,114,105,99,95,73,110,118,111,107,101,114,73,78,83,95,49,50,72,82,101,115,105,122,101,67,117,98,105,99,73,100,100,102,69,69,78,83,95,49,50,86,82,101,115,105,122,101,67,117,98,105,99,73,100,100,102,78,83,95,52,67,97,115,116,73,100,100,69,69,78,83,95,49,50,86,82,101,115,105,122,101,78,111,86,101,99,69,69,69,69,69,0,107,115,105,122,101,32,60,61,32,77,65,88,95,69,83,73,90,69,0,114,101,115,105,122,101,71,101,110,101,114,105,99,95,73,110,118,111,107,101,114,0,78,50,99,118,50,49,114,101,115,105,122,101,71,101,110,101,114,105,99,95,73,110,118,111,107,101,114,73,78,83,95,49,50,72,82,101,115,105,122,101,67,117,98,105,99,73,102,102,102,69,69,78,83,95,49,50,86,82,101,115,105,122,101,67,117,98,105,99,73,102,102,102,78,83,95,52,67,97,115,116,73,102,102,69,69,78,83,95,49,50,86,82,101,115,105,122,101,78,111,86,101,99,69,69,69,69,69,0,78,50,99,118,50,49,114,101,115,105,122,101,71,101,110,101,114,105,99,95,73,110,118,111,107,101,114,73,78,83,95,49,50,72,82,101,115,105,122,101,67,117,98,105,99,73,115,102,102,69,69,78,83,95,49,50,86,82,101,115,105,122,101,67,117,98,105,99,73,115,102,102,78,83,95,52,67,97,115,116,73,102,115,69,69,78,83,95,49,50,86,82,101,115,105,122,101,78,111,86,101,99,69,69,69,69,69,0,78,50,99,118,50,49,114,101,115,105,122,101,71,101,110,101,114,105,99,95,73,110,118,111,107,101,114,73,78,83,95,49,50,72,82,101,115,105,122,101,67,117,98,105,99,73,116,102,102,69,69,78,83,95,49,50,86,82,101,115,105,122,101,67,117,98,105,99,73,116,102,102,78,83,95,52,67,97,115,116,73,102,116,69,69,78,83,95,49,50,86,82,101,115,105,122,101,78,111,86,101,99,69,69,69,69,69,0,78,50,99,118,50,49,114,101,115,105,122,101,71,101,110,101,114,105,99,95,73,110,118,111,107,101,114,73,78,83,95,49,50,72,82,101,115,105,122,101,67,117,98,105,99,73,104,105,115,69,69,78,83,95,49,50,86,82,101,115,105,122,101,67,117,98,105,99,73,104,105,115,78,83,95,49,49,70,105,120,101,100,80,116,67,97,115,116,73,105,104,76,105,50,50,69,69,69,78,83,95,49,50,86,82,101,115,105,122,101,78,111,86,101,99,69,69,69,69,69,0,78,50,99,118,50,49,114,101,115,105,122,101,71,101,110,101,114,105,99,95,73,110,118,111,107,101,114,73,78,83,95,49,51,72,82,101,115,105,122,101,76,105,110,101,97,114,73,100,100,102,76,105,49,69,78,83,95,49,50,72,82,101,115,105,122,101,78,111,86,101,99,69,69,69,78,83,95,49,51,86,82,101,115,105,122,101,76,105,110,101,97,114,73,100,100,102,78,83,95,52,67,97,115,116,73,100,100,69,69,78,83,95,49,50,86,82,101,115,105,122,101,78,111,86,101,99,69,69,69,69,69,0,78,50,99,118,50,49,114,101,115,105,122,101,71,101,110,101,114,105,99,95,73,110,118,111,107,101,114,73,78,83,95,49,51,72,82,101,115,105,122,101,76,105,110,101,97,114,73,102,102,102,76,105,49,69,78,83,95,49,50,72,82,101,115,105,122,101,78,111,86,101,99,69,69,69,78,83,95,49,51,86,82,101,115,105,122,101,76,105,110,101,97,114,73,102,102,102,78,83,95,52,67,97,115,116,73,102,102,69,69,78,83,95,49,50,86,82,101,115,105,122,101,78,111,86,101,99,69,69,69,69,69,0,78,50,99,118,50,49,114,101,115,105,122,101,71,101,110,101,114,105,99,95,73,110,118,111,107,101,114,73,78,83,95,49,51,72,82,101,115,105,122,101,76,105,110,101,97,114,73,115,102,102,76,105,49,69,78,83,95,49,50,72,82,101,115,105,122,101,78,111,86,101,99,69,69,69,78,83,95,49,51,86,82,101,115,105,122,101,76,105,110,101,97,114,73,115,102,102,78,83,95,52,67,97,115,116,73,102,115,69,69,78,83,95,49,50,86,82,101,115,105,122,101,78,111,86,101,99,69,69,69,69,69,0,78,50,99,118,50,49,114,101,115,105,122,101,71,101,110,101,114,105,99,95,73,110,118,111,107,101,114,73,78,83,95,49,51,72,82,101,115,105,122,101,76,105,110,101,97,114,73,116,102,102,76,105,49,69,78,83,95,49,50,72,82,101,115,105,122,101,78,111,86,101,99,69,69,69,78,83,95,49,51,86,82,101,115,105,122,101,76,105,110,101,97,114,73,116,102,102,78,83,95,52,67,97,115,116,73,102,116,69,69,78,83,95,49,50,86,82,101,115,105,122,101,78,111,86,101,99,69,69,69,69,69,0,78,50,99,118,50,49,114,101,115,105,122,101,71,101,110,101,114,105,99,95,73,110,118,111,107,101,114,73,78,83,95,49,51,72,82,101,115,105,122,101,76,105,110,101,97,114,73,104,105,115,76,105,50,48,52,56,69,78,83,95,49,50,72,82,101,115,105,122,101,78,111,86,101,99,69,69,69,78,83,95,49,51,86,82,101,115,105,122,101,76,105,110,101,97,114,73,104,105,115,78,83,95,49,49,70,105,120,101,100,80,116,67,97,115,116,73,105,104,76,105,50,50,69,69,69,78,83,95,49,50,86,82,101,115,105,122,101,78,111,86,101,99,69,69,69,69,69,0,78,50,99,118,50,49,114,101,115,105,122,101,71,101,110,101,114,105,99,95,73,110,118,111,107,101,114,73,78,83,95,49,53,72,82,101,115,105,122,101,76,97,110,99,122,111,115,52,73,100,100,102,69,69,78,83,95,49,53,86,82,101,115,105,122,101,76,97,110,99,122,111,115,52,73,100,100,102,78,83,95,52,67,97,115,116,73,100,100,69,69,78,83,95,49,50,86,82,101,115,105,122,101,78,111,86,101,99,69,69,69,69,69,0,78,50,99,118,50,49,114,101,115,105,122,101,71,101,110,101,114,105,99,95,73,110,118,111,107,101,114,73,78,83,95,49,53,72,82,101,115,105,122,101,76,97,110,99,122,111,115,52,73,102,102,102,69,69,78,83,95,49,53,86,82,101,115,105,122,101,76,97,110,99,122,111,115,52,73,102,102,102,78,83,95,52,67,97,115,116,73,102,102,69,69,78,83,95,49,50,86,82,101,115,105,122,101,78,111,86,101,99,69,69,69,69,69,0,78,50,99,118,50,49,114,101,115,105,122,101,71,101,110,101,114,105,99,95,73,110,118,111,107,101,114,73,78,83,95,49,53,72,82,101,115,105,122,101,76,97,110,99,122,111,115,52,73,115,102,102,69,69,78,83,95,49,53,86,82,101,115,105,122,101,76,97,110,99,122,111,115,52,73,115,102,102,78,83,95,52,67,97,115,116,73,102,115,69,69,78,83,95,49,50,86,82,101,115,105,122,101,78,111,86,101,99,69,69,69,69,69,0,78,50,99,118,50,49,114,101,115,105,122,101,71,101,110,101,114,105,99,95,73,110,118,111,107,101,114,73,78,83,95,49,53,72,82,101,115,105,122,101,76,97,110,99,122,111,115,52,73,116,102,102,69,69,78,83,95,49,53,86,82,101,115,105,122,101,76,97,110,99,122,111,115,52,73,116,102,102,78,83,95,52,67,97,115,116,73,102,116,69,69,78,83,95,49,50,86,82,101,115,105,122,101,78,111,86,101,99,69,69,69,69,69,0,78,50,99,118,50,49,114,101,115,105,122,101,71,101,110,101,114,105,99,95,73,110,118,111,107,101,114,73,78,83,95,49,53,72,82,101,115,105,122,101,76,97,110,99,122,111,115,52,73,104,105,115,69,69,78,83,95,49,53,86,82,101,115,105,122,101,76,97,110,99,122,111,115,52,73,104,105,115,78,83,95,49,49,70,105,120,101,100,80,116,67,97,115,116,73,105,104,76,105,50,50,69,69,69,78,83,95,49,50,86,82,101,115,105,122,101,78,111,86,101,99,69,69,69,69,69,0,78,50,99,118,49,56,82,101,115,105,122,101,65,114,101,97,95,73,110,118,111,107,101,114,73,100,100,69,69,0,78,50,99,118,49,56,82,101,115,105,122,101,65,114,101,97,95,73,110,118,111,107,101,114,73,102,102,69,69,0,78,50,99,118,49,56,82,101,115,105,122,101,65,114,101,97,95,73,110,118,111,107,101,114,73,115,102,69,69,0,78,50,99,118,49,56,82,101,115,105,122,101,65,114,101,97,95,73,110,118,111,107,101,114,73,116,102,69,69,0,78,50,99,118,49,56,82,101,115,105,122,101,65,114,101,97,95,73,110,118,111,107,101,114,73,104,102,69,69,0,78,50,99,118,50,50,114,101,115,105,122,101,65,114,101,97,70,97,115,116,95,73,110,118,111,107,101,114,73,100,100,78,83,95,49,57,82,101,115,105,122,101,65,114,101,97,70,97,115,116,78,111,86,101,99,73,100,100,69,69,69,69,0,78,50,99,118,50,50,114,101,115,105,122,101,65,114,101,97,70,97,115,116,95,73,110,118,111,107,101,114,73,102,102,78,83,95,49,57,82,101,115,105,122,101,65,114,101,97,70,97,115,116,78,111,86,101,99,73,102,102,69,69,69,69,0,99,110,32,61,61,32,52,0,78,50,99,118,50,50,114,101,115,105,122,101,65,114,101,97,70,97,115,116,95,73,110,118,111,107,101,114,73,115,102,78,83,95,49,55,82,101,115,105,122,101,65,114,101,97,70,97,115,116,86,101,99,73,115,78,83,95,49,57,82,101,115,105,122,101,65,114,101,97,70,97,115,116,78,111,86,101,99,73,115,115,69,69,69,69,69,69,0,78,50,99,118,50,50,114,101,115,105,122,101,65,114,101,97,70,97,115,116,95,73,110,118,111,107,101,114,73,116,102,78,83,95,49,55,82,101,115,105,122,101,65,114,101,97,70,97,115,116,86,101,99,73,116,78,83,95,49,57,82,101,115,105,122,101,65,114,101,97,70,97,115,116,78,111,86,101,99,73,116,116,69,69,69,69,69,69,0,78,50,99,118,50,50,114,101,115,105,122,101,65,114,101,97,70,97,115,116,95,73,110,118,111,107,101,114,73,104,105,78,83,95,49,55,82,101,115,105,122,101,65,114,101,97,70,97,115,116,86,101,99,73,104,78,83,95,49,57,82,101,115,105,122,101,65,114,101,97,70,97,115,116,78,111,86,101,99,73,104,104,69,69,69,69,69,69,0,78,50,99,118,49,53,114,101,115],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+266244);allocate([105,122,101,78,78,73,110,118,111,107,101,114,69,0,78,49,50,95,71,76,79,66,65,76,95,95,78,95,49,50,50,114,101,115,105,122,101,95,98,105,116,69,120,97,99,116,73,110,118,111,107,101,114,73,105,78,83,95,49,50,102,105,120,101,100,112,111,105,110,116,54,52,69,76,105,50,69,69,69,0,78,49,50,95,71,76,79,66,65,76,95,95,78,95,49,50,50,114,101,115,105,122,101,95,98,105,116,69,120,97,99,116,73,110,118,111,107,101,114,73,115,78,83,95,49,50,102,105,120,101,100,112,111,105,110,116,51,50,69,76,105,50,69,69,69,0,78,49,50,95,71,76,79,66,65,76,95,95,78,95,49,50,50,114,101,115,105,122,101,95,98,105,116,69,120,97,99,116,73,110,118,111,107,101,114,73,116,78,83,95,49,51,117,102,105,120,101,100,112,111,105,110,116,51,50,69,76,105,50,69,69,69,0,78,49,50,95,71,76,79,66,65,76,95,95,78,95,49,50,50,114,101,115,105,122,101,95,98,105,116,69,120,97,99,116,73,110,118,111,107,101,114,73,97,78,83,95,49,50,102,105,120,101,100,112,111,105,110,116,51,50,69,76,105,50,69,69,69,0,78,49,50,95,71,76,79,66,65,76,95,95,78,95,49,50,50,114,101,115,105,122,101,95,98,105,116,69,120,97,99,116,73,110,118,111,107,101,114,73,104,78,83,95,49,51,117,102,105,120,101,100,112,111,105,110,116,49,54,69,76,105,50,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,114,101,115,105,122,101,40,105,110,116,44,32,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,105,110,116,41,0,33,115,115,105,122,101,46,101,109,112,116,121,40,41,0,33,100,115,105,122,101,46,101,109,112,116,121,40,41,32,124,124,32,40,105,110,118,95,115,99,97,108,101,95,120,32,62,32,48,32,38,38,32,105,110,118,95,115,99,97,108,101,95,121,32,62,32,48,41,0,118,111,105,100,32,99,118,58,58,114,101,115,105,122,101,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,83,105,122,101,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,105,110,116,41,0,99,118,82,101,115,105,122,101,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,103,101,111,109,101,116,114,121,46,99,112,112,0,116,111,116,97,108,32,62,61,32,48,32,38,38,32,40,100,101,112,116,104,32,61,61,32,67,86,95,51,50,83,32,124,124,32,100,101,112,116,104,32,61,61,32,67,86,95,51,50,70,41,0,112,111,105,110,116,80,111,108,121,103,111,110,84,101,115,116,0,100,111,117,98,108,101,32,99,118,58,58,112,111,105,110,116,80,111,108,121,103,111,110,84,101,115,116,40,73,110,112,117,116,65,114,114,97,121,44,32,80,111,105,110,116,50,102,44,32,98,111,111,108,41,0,111,114,105,101,110,116,97,116,105,111,110,32,33,61,32,48,0,114,111,116,97,116,105,110,103,67,97,108,105,112,101,114,115,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,114,111,116,99,97,108,105,112,101,114,115,46,99,112,112,0,99,118,58,58,82,111,116,97,116,101,100,82,101,99,116,32,99,118,58,58,109,105,110,65,114,101,97,82,101,99,116,40,73,110,112,117,116,65,114,114,97,121,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,111,112,32,61,61,32,77,79,82,80,72,95,69,82,79,68,69,32,124,124,32,111,112,32,61,61,32,77,79,82,80,72,95,68,73,76,65,84,69,0,103,101,116,77,111,114,112,104,111,108,111,103,121,82,111,119,70,105,108,116,101,114,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,109,111,114,112,104,46,99,112,112,0,85,110,115,117,112,112,111,114,116,101,100,32,100,97,116,97,32,116,121,112,101,32,40,61,37,100,41,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,100,69,69,78,83,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,100,69,69,78,83,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,102,69,69,78,83,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,102,69,69,78,83,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,115,69,69,78,83,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,115,69,69,78,83,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,116,69,69,78,83,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,116,69,69,78,83,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,104,69,69,78,83,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,104,69,69,78,83,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,100,69,69,78,83,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,100,69,69,78,83,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,102,69,69,78,83,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,102,69,69,78,83,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,115,69,69,78,83,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,115,69,69,78,83,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,116,69,69,78,83,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,116,69,69,78,83,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,104,69,69,78,83,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,52,77,111,114,112,104,82,111,119,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,104,69,69,78,83,95,49,51,77,111,114,112,104,82,111,119,78,111,86,101,99,69,69,69,0,103,101,116,77,111,114,112,104,111,108,111,103,121,67,111,108,117,109,110,70,105,108,116,101,114,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,100,69,69,78,83,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,100,69,69,78,83,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,102,69,69,78,83,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,102,69,69,78,83,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,115,69,69,78,83,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,115,69,69,78,83,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,116,69,69,78,83,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,116,69,69,78,83,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,104,69,69,78,83,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,104,69,69,78,83,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,100,69,69,78,83,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,100,69,69,78,83,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,102,69,69,78,83,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,102,69,69,78,83,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,115,69,69,78,83,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,115,69,69,78,83,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,116,69,69,78,83,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,116,69,69,78,83,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,104,69,69,78,83,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,55,77,111,114,112,104,67,111,108,117,109,110,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,104,69,69,78,83,95,49,54,77,111,114,112,104,67,111,108,117,109,110,78,111,86,101,99,69,69,69,0,97,110,99,104,111,114,46,105,110,115,105,100,101,40,82,101,99,116,40,48,44,32,48,44,32,107,115,105,122,101,46,119,105,100,116,104,44,32,107,115,105,122,101,46,104,101,105,103,104,116,41,41,0,110,111,114,109,97,108,105,122,101,65,110,99,104,111,114,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,102,105,108,116,101,114,101,110,103,105,110,101,46,104,112,112,0,103,101,116,77,111,114,112,104,111,108,111,103,121,70,105,108,116,101,114,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,100,69,69,78,83,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,95,107,101,114,110,101,108,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,0,77,111,114,112,104,70,105,108,116,101,114,0,78,50,99,118,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,100,69,69,78,83,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,102,69,69,78,83,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,102,69,69,78,83,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,115,69,69,78,83,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,115,69,69,78,83,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,116,69,69,78,83,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,116,69,69,78,83,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,104,69,69,78,83,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,95,53,77,97,120,79,112,73,104,69,69,78,83,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,100,69,69,78,83,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,100,69,69,78,83,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,102,69,69,78,83,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,102,69,69,78,83,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,115,69,69,78,83,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,115,69,69,78,83,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,116,69,69,78,83,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,116,69,69,78,83,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,104,69,69,78,83,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,54,95,69,69,69,69,0,78,50,99,118,49,49,77,111,114,112,104,70,105,108,116,101,114,73,78,83,95,53,77,105,110,79,112,73,104,69,69,78,83,95,49,48,77,111,114,112,104,78,111,86,101,99,69,69,69,0,100,101,112,116,104,32,61,61,32,67,86,95,56,85,32,124,124,32,100,101,112,116,104,32,61,61,32,67,86,95,49,54,85,32,124,124,32,100,101,112,116,104,32,61,61,32,67,86,95,49,54,83,32,124,124,32,100,101,112,116,104,32,61,61,32,67,86,95,51,50,70,32,124,124,32,100,101,112,116,104,32,61,61,32,67,86,95,54,52,70,0,99,114,101,97,116,101,77,111,114,112,104,111,108,111,103,121,70,105,108,116,101,114,0,115,104,97,112,101,32,61,61,32,77,79,82,80,72,95,82,69,67,84,32,124,124,32,115,104,97,112,101,32,61,61,32,77,79,82,80,72,95,67,82,79,83,83,32,124,124,32,115,104,97,112,101,32,61,61,32,77,79,82,80,72,95,69,76,76,73,80,83,69,0,103,101,116,83,116,114,117,99,116,117,114,105,110,103,69,108,101,109,101,110,116,0,118,111,105,100,32,99,118,58,58,109,111,114,112,104,79,112,40,105,110,116,44,32,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,80,111,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,41,0,118,111,105,100,32,99,118,58,58,101,114,111,100,101,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,80,111,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,41,0,118,111,105,100,32,99,118,58,58,100,105,108,97,116,101,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,80,111,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,41,0,109,111,114,112,104,111,108,111,103,121,69,120,0,117,110,107,110,111,119,110,32,109,111,114,112,104,111,108,111,103,105,99,97,108,32,111,112,101,114,97,116,105,111,110,0,118,111,105,100,32,99,118,58,58,109,111,114,112,104,111,108,111,103,121,69,120,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,73,110,112,117,116,65,114,114,97,121,44,32,80,111,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,41,0,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,51,32,38,38,32,100,115,116,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,83,67,49,0,119,97,116,101,114,115,104,101,100,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,115,101,103,109,101,110,116,97,116,105,111,110,46,99,112,112,0,118,111,105,100,32,99,118,58,58,119,97,116,101,114,115,104,101,100,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,41,0,100,101,112,116,104,32,61,61,32,67,86,95,56,85,32,124,124,32,100,101,112,116,104,32,61,61,32,67,86,95,49,54,85,0,115,99,110,32,61,61,32,49,32,38,38,32,100,99,110,32,61,61,32,49,0,66,97,121,101,114,45,62,71,114,97,121,32,100,101,109,111,115,97,105,99,105,110,103,32,111,110,108,121,32,115,117,112,112,111,114,116,115,32,56,117,32,97,110,100,32,49,54,117,32,116,121,112,101,115,0,115,99,110,32,61,61,32,49,32,38,38,32,40,100,99,110,32,61,61,32,51,32,124,124,32,100,99,110,32,61,61,32,52,41,0,66,97,121,101,114,45,62,82,71,66,32,100,101,109,111,115,97,105,99,105,110,103,32,111,110,108,121,32,115,117,112,112,111,114,116,115,32,56,117,32,97,110,100,32,49,54,117,32,116,121,112,101,115,0,115,99,110,32,61,61,32,49,32,38,38,32,100,99,110,32,61,61,32,51,0,66,97,121,101,114,45,62,82,71,66,32,69,100,103,101,45,65,119,97,114,101,32,100,101,109,111,115,97,105,99,105,110,103,32,111,110,108,121,32,99,117,114,114,101,110,116,108,121,32,115,117,112,112,111,114,116,115,32,56,117,32,97,110,100,32,49,54,117,32,116,121,112,101,115,0,85,110,107,110,111,119,110,32,47,32,117,110,115,117,112,112,111,114,116,101,100,32,99,111,108,111,114,32,99,111,110,118,101,114,115,105,111,110,32,99,111,100,101,0,78,50,99,118,50,57,66,97,121,101,114,50,82,71,66,95,69,100,103,101,65,119,97,114,101,95,84,95,73,110,118,111,107,101,114,73,116,78,83,95,50,54,83,73,77,68,66,97,121,101,114,83,116,117,98,73,110,116,101,114,112,111,108,97,116,111,114,95,73,116,69,69,69,69,0,78,50,99,118,50,57,66,97,121,101,114,50,82,71,66,95,69,100,103,101,65,119,97,114,101,95,84,95,73,110,118,111,107,101,114,73,104,78,83,95,50,54,83,73,77,68,66,97,121,101,114,83,116,117,98,73,110,116,101,114,112,111,108,97,116,111,114,95,73,104,69,69,69,69,0,78,50,99,118,49,55,66,97,121,101,114,50,82,71,66,95,73,110,118,111,107,101,114,73,116,78,83,95,50,54,83,73,77,68,66,97,121,101,114,83,116,117,98,73,110,116,101,114,112,111,108,97,116,111,114,95,73,116,69,69,69,69,0,78,50,99,118,49,55,66,97,121,101,114,50,82,71,66,95,73,110,118,111,107,101,114,73,104,78,83,95,50,54,83,73,77,68,66,97,121,101,114,83,116,117,98,73,110,116,101,114,112,111,108,97,116,111,114,95,73,104,69,69,69,69,0,78,50,99,118,49,56,66,97,121,101,114,50,71,114,97,121,95,73,110,118,111,107,101,114,73,116,78,83,95,50,54,83,73,77,68,66,97,121,101,114,83,116,117,98,73,110,116,101,114,112,111,108,97,116,111,114,95,73,116,69,69,69,69,0,78,50,99,118,49,56,66,97,121,101,114,50,71,114,97,121,95,73,110,118,111,107,101,114,73,104,78,83,95,50,54,83,73,77,68,66,97,121,101,114,83,116,117,98,73,110,116,101,114,112,111,108,97,116,111,114,95,73,104,69,69,69,69,0,100,101,109,111,115,97,105,99,105,110,103,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,100,101,109,111,115,97,105,99,105,110,103,46,99,112,112,0,118,111,105,100,32,99,118,58,58,100,101,109,111,115,97,105,99,105,110,103,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,82,71,66,60,102,108,111,97,116,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,82,71,66,60,102,108,111,97,116,62,93,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,99,111,108,111,114,46,104,112,112,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,55,82,71,66,50,82,71,66,73,102,69,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,82,71,66,60,117,110,115,105,103,110,101,100,32,115,104,111,114,116,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,82,71,66,60,117,110,115,105,103,110,101,100,32,115,104,111,114,116,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,55,82,71,66,50,82,71,66,73,116,69,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,82,71,66,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,82,71,66,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,55,82,71,66,50,82,71,66,73,104,69,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,66,71,82,116,111,66,71,82,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,41,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,99,111,108,111,114,95,114,103,98,46,99,112,112,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,82,71,66,53,120,53,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,82,71,66,53,120,53,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,49,48,82,71,66,50,82,71,66,53,120,53,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,66,71,82,116,111,66,71,82,53,120,53,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,44,32,105,110,116,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,53,120,53,50,82,71,66,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,53,120,53,50,82,71,66,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,49,48,82,71,66,53,120,53,50,82,71,66,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,66,71,82,53,120,53,116,111,66,71,82,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,44,32,105,110,116,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,71,114,97,121,60,102,108,111,97,116,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,71,114,97,121,60,102,108,111,97,116,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,56,82,71,66,50,71,114,97,121,73,102,69,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,71,114,97,121,60,117,115,104,111,114,116,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+276484);allocate([110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,71,114,97,121,60,117,115,104,111,114,116,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,56,82,71,66,50,71,114,97,121,73,116,69,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,50,71,114,97,121,60,117,99,104,97,114,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,50,71,114,97,121,60,117,99,104,97,114,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,56,82,71,66,50,71,114,97,121,73,104,69,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,66,71,82,116,111,71,114,97,121,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,71,114,97,121,50,82,71,66,60,102,108,111,97,116,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,71,114,97,121,50,82,71,66,60,102,108,111,97,116,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,56,71,114,97,121,50,82,71,66,73,102,69,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,71,114,97,121,50,82,71,66,60,117,110,115,105,103,110,101,100,32,115,104,111,114,116,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,71,114,97,121,50,82,71,66,60,117,110,115,105,103,110,101,100,32,115,104,111,114,116,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,56,71,114,97,121,50,82,71,66,73,116,69,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,71,114,97,121,50,82,71,66,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,71,114,97,121,50,82,71,66,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,56,71,114,97,121,50,82,71,66,73,104,69,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,71,114,97,121,116,111,66,71,82,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,53,120,53,50,71,114,97,121,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,53,120,53,50,71,114,97,121,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,49,49,82,71,66,53,120,53,50,71,114,97,121,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,66,71,82,53,120,53,116,111,71,114,97,121,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,71,114,97,121,50,82,71,66,53,120,53,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,71,114,97,121,50,82,71,66,53,120,53,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,49,49,71,114,97,121,50,82,71,66,53,120,53,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,71,114,97,121,116,111,66,71,82,53,120,53,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,82,71,66,65,50,109,82,71,66,65,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,82,71,66,65,50,109,82,71,66,65,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,49,48,82,71,66,65,50,109,82,71,66,65,73,104,69,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,82,71,66,65,116,111,77,117,108,116,105,112,108,105,101,100,82,71,66,65,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,60,99,118,58,58,109,82,71,66,65,50,82,71,66,65,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,32,62,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,32,91,67,118,116,32,61,32,99,118,58,58,109,82,71,66,65,50,82,71,66,65,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,93,0,78,50,99,118,50,48,67,118,116,67,111,108,111,114,76,111,111,112,95,73,110,118,111,107,101,114,73,78,83,95,49,48,109,82,71,66,65,50,82,71,66,65,73,104,69,69,69,69,0,118,111,105,100,32,99,118,58,58,104,97,108,58,58,99,118,116,77,117,108,116,105,112,108,105,101,100,82,71,66,65,116,111,82,71,66,65,40,99,111,110,115,116,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,117,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,105,110,116,44,32,105,110,116,41,0,33,95,115,114,99,46,101,109,112,116,121,40,41,0,67,118,116,72,101,108,112,101,114,0,99,118,58,58,67,118,116,72,101,108,112,101,114,60,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,48,44,32,50,44,32,53,62,44,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,62,58,58,67,118,116,72,101,108,112,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,32,91,86,83,99,110,32,61,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,86,68,99,110,32,61,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,86,68,101,112,116,104,32,61,32,99,118,58,58,83,101,116,60,48,44,32,50,44,32,53,62,44,32,115,105,122,101,80,111,108,105,99,121,32,61,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,93,0,85,110,115,117,112,112,111,114,116,101,100,32,100,101,112,116,104,32,111,102,32,105,110,112,117,116,32,105,109,97,103,101,0,100,101,112,116,104,0,86,68,101,112,116,104,58,58,99,111,110,116,97,105,110,115,40,100,101,112,116,104,41,0,73,110,118,97,108,105,100,32,110,117,109,98,101,114,32,111,102,32,99,104,97,110,110,101,108,115,32,105,110,32,111,117,116,112,117,116,32,105,109,97,103,101,0,100,99,110,0,86,68,99,110,58,58,99,111,110,116,97,105,110,115,40,100,99,110,41,0,73,110,118,97,108,105,100,32,110,117,109,98,101,114,32,111,102,32,99,104,97,110,110,101,108,115,32,105,110,32,105,110,112,117,116,32,105,109,97,103,101,0,115,99,110,0,86,83,99,110,58,58,99,111,110,116,97,105,110,115,40,115,99,110,41,0,99,118,58,58,67,118,116,72,101,108,112,101,114,60,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,50,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,48,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,62,58,58,67,118,116,72,101,108,112,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,32,91,86,83,99,110,32,61,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,86,68,99,110,32,61,32,99,118,58,58,83,101,116,60,50,44,32,45,49,44,32,45,49,62,44,32,86,68,101,112,116,104,32,61,32,99,118,58,58,83,101,116,60,48,44,32,45,49,44,32,45,49,62,44,32,115,105,122,101,80,111,108,105,99,121,32,61,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,93,0,99,118,58,58,67,118,116,72,101,108,112,101,114,60,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,49,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,48,44,32,50,44,32,53,62,44,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,62,58,58,67,118,116,72,101,108,112,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,32,91,86,83,99,110,32,61,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,86,68,99,110,32,61,32,99,118,58,58,83,101,116,60,49,44,32,45,49,44,32,45,49,62,44,32,86,68,101,112,116,104,32,61,32,99,118,58,58,83,101,116,60,48,44,32,50,44,32,53,62,44,32,115,105,122,101,80,111,108,105,99,121,32,61,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,93,0,99,118,58,58,67,118,116,72,101,108,112,101,114,60,99,118,58,58,83,101,116,60,49,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,48,44,32,50,44,32,53,62,44,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,62,58,58,67,118,116,72,101,108,112,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,32,91,86,83,99,110,32,61,32,99,118,58,58,83,101,116,60,49,44,32,45,49,44,32,45,49,62,44,32,86,68,99,110,32,61,32,99,118,58,58,83,101,116,60,51,44,32,52,44,32,45,49,62,44,32,86,68,101,112,116,104,32,61,32,99,118,58,58,83,101,116,60,48,44,32,50,44,32,53,62,44,32,115,105,122,101,80,111,108,105,99,121,32,61,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,93,0,99,118,58,58,67,118,116,72,101,108,112,101,114,60,99,118,58,58,83,101,116,60,50,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,49,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,48,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,62,58,58,67,118,116,72,101,108,112,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,32,91,86,83,99,110,32,61,32,99,118,58,58,83,101,116,60,50,44,32,45,49,44,32,45,49,62,44,32,86,68,99,110,32,61,32,99,118,58,58,83,101,116,60,49,44,32,45,49,44,32,45,49,62,44,32,86,68,101,112,116,104,32,61,32,99,118,58,58,83,101,116,60,48,44,32,45,49,44,32,45,49,62,44,32,115,105,122,101,80,111,108,105,99,121,32,61,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,93,0,99,118,58,58,67,118,116,72,101,108,112,101,114,60,99,118,58,58,83,101,116,60,49,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,50,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,48,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,62,58,58,67,118,116,72,101,108,112,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,32,91,86,83,99,110,32,61,32,99,118,58,58,83,101,116,60,49,44,32,45,49,44,32,45,49,62,44,32,86,68,99,110,32,61,32,99,118,58,58,83,101,116,60,50,44,32,45,49,44,32,45,49,62,44,32,86,68,101,112,116,104,32,61,32,99,118,58,58,83,101,116,60,48,44,32,45,49,44,32,45,49,62,44,32,115,105,122,101,80,111,108,105,99,121,32,61,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,93,0,99,118,58,58,67,118,116,72,101,108,112,101,114,60,99,118,58,58,83,101,116,60,52,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,52,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,101,116,60,48,44,32,45,49,44,32,45,49,62,44,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,62,58,58,67,118,116,72,101,108,112,101,114,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,41,32,91,86,83,99,110,32,61,32,99,118,58,58,83,101,116,60,52,44,32,45,49,44,32,45,49,62,44,32,86,68,99,110,32,61,32,99,118,58,58,83,101,116,60,52,44,32,45,49,44,32,45,49,62,44,32,86,68,101,112,116,104,32,61,32,99,118,58,58,83,101,116,60,48,44,32,45,49,44,32,45,49,62,44,32,115,105,122,101,80,111,108,105,99,121,32,61,32,99,118,58,58,83,105,122,101,80,111,108,105,99,121,58,58,78,79,78,69,93,0,98,111,111,108,32,99,118,58,58,99,108,105,112,76,105,110,101,40,83,105,122,101,50,108,44,32,80,111,105,110,116,50,108,32,38,44,32,80,111,105,110,116,50,108,32,38,41,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,100,114,97,119,105,110,103,46,99,112,112,0,99,111,110,110,101,99,116,105,118,105,116,121,32,61,61,32,56,32,124,124,32,99,111,110,110,101,99,116,105,118,105,116,121,32,61,61,32,52,0,76,105,110,101,73,116,101,114,97,116,111,114,0,118,111,105,100,32,99,118,58,58,101,108,108,105,112,115,101,50,80,111,108,121,40,80,111,105,110,116,50,100,44,32,83,105,122,101,50,100,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,115,116,100,58,58,118,101,99,116,111,114,60,80,111,105,110,116,50,100,62,32,38,41,0,48,32,60,32,116,104,105,99,107,110,101,115,115,32,38,38,32,116,104,105,99,107,110,101,115,115,32,60,61,32,77,65,88,95,84,72,73,67,75,78,69,83,83,0,108,105,110,101,0,48,32,60,61,32,115,104,105,102,116,32,38,38,32,115,104,105,102,116,32,60,61,32,88,89,95,83,72,73,70,84,0,48,32,60,61,32,115,104,105,102,116,32,38,38,32,115,104,105,102,116,32,60,61,32,88,89,95,83,72,73,70,84,32,38,38,32,116,104,105,99,107,110,101,115,115,32,62,61,32,48,0,80,111,108,121,76,105,110,101,0,181,181,181,182,182,183,184,185,187,188,190,192,194,196,198,201,203,206,209,211,214,218,221,224,227,231,235,238,242,246,250,254,118,111,105,100,32,99,118,58,58,108,105,110,101,40,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,80,111,105,110,116,44,32,80,111,105,110,116,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,41,0,116,104,105,99,107,110,101,115,115,32,60,61,32,77,65,88,95,84,72,73,67,75,78,69,83,83,0,114,101,99,116,97,110,103,108,101,0,118,111,105,100,32,99,118,58,58,114,101,99,116,97,110,103,108,101,40,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,80,111,105,110,116,44,32,80,111,105,110,116,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,41,0,114,97,100,105,117,115,32,62,61,32,48,32,38,38,32,116,104,105,99,107,110,101,115,115,32,60,61,32,77,65,88,95,84,72,73,67,75,78,69,83,83,32,38,38,32,48,32,60,61,32,115,104,105,102,116,32,38,38,32,115,104,105,102,116,32,60,61,32,88,89,95,83,72,73,70,84,0,99,105,114,99,108,101,0,118,111,105,100,32,99,118,58,58,99,105,114,99,108,101,40,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,80,111,105,110,116,44,32,105,110,116,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,41,0,97,120,101,115,46,119,105,100,116,104,32,62,61,32,48,32,38,38,32,97,120,101,115,46,104,101,105,103,104,116,32,62,61,32,48,32,38,38,32,116,104,105,99,107,110,101,115,115,32,60,61,32,77,65,88,95,84,72,73,67,75,78,69,83,83,32,38,38,32,48,32,60,61,32,115,104,105,102,116,32,38,38,32,115,104,105,102,116,32,60,61,32,88,89,95,83,72,73,70,84,0,101,108,108,105,112,115,101,0,118,111,105,100,32,99,118,58,58,101,108,108,105,112,115,101,40,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,80,111,105,110,116,44,32,83,105,122,101,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,41,0,98,111,120,46,115,105,122,101,46,119,105,100,116,104,32,62,61,32,48,32,38,38,32,98,111,120,46,115,105,122,101,46,104,101,105,103,104,116,32,62,61,32,48,32,38,38,32,116,104,105,99,107,110,101,115,115,32,60,61,32,77,65,88,95,84,72,73,67,75,78,69,83,83,0,118,111,105,100,32,99,118,58,58,101,108,108,105,112,115,101,40,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,99,111,110,115,116,32,99,118,58,58,82,111,116,97,116,101,100,82,101,99,116,32,38,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,44,32,105,110,116,44,32,105,110,116,41,0,85,110,107,110,111,119,110,32,102,111,110,116,32,116,121,112,101,0,103,101,116,70,111,110,116,68,97,116,97,0,118,111,105,100,32,99,118,58,58,112,117,116,84,101,120,116,40,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,99,111,110,115,116,32,99,118,58,58,83,116,114,105,110,103,32,38,44,32,80,111,105,110,116,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,83,99,97,108,97,114,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,41,0,48,32,60,61,32,99,111,110,116,111,117,114,73,100,120,32,38,38,32,99,111,110,116,111,117,114,73,100,120,32,60,32,40,105,110,116,41,108,97,115,116,0,100,114,97,119,67,111,110,116,111,117,114,115,0,110,112,111,105,110,116,115,32,62,32,48,0,104,105,101,114,97,114,99,104,121,46,116,111,116,97,108,40,41,32,61,61,32,110,99,111,110,116,111,117,114,115,32,38,38,32,104,105,101,114,97,114,99,104,121,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,83,67,52,0,99,118,68,114,97,119,67,111,110,116,111,117,114,115,0,114,101,97,100,101,114,46,112,116,114,32,33,61,32,78,85,76,76,0,101,108,101,109,95,116,121,112,101,32,61,61,32,67,86,95,51,50,83,67,50,0,118,111,105,100,32,99,118,58,58,100,114,97,119,67,111,110,116,111,117,114,115,40,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,105,110,116,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,44,32,105,110,116,44,32,105,110,116,44,32,73,110,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,80,111,105,110,116,41,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,49,50,95,71,76,79,66,65,76,95,95,78,95,49,49,48,67,76,65,72,69,95,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,95,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,49,32,124,124,32,95,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,49,54,85,67,49,0,85,110,115,117,112,112,111,114,116,101,100,32,116,121,112,101,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,49,50,95,71,76,79,66,65,76,95,95,78,95,49,50,52,67,76,65,72,69,95,73,110,116,101,114,112,111,108,97,116,105,111,110,95,66,111,100,121,73,116,76,105,48,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,52,95,69,69,69,69,0,78,49,50,95,71,76,79,66,65,76,95,95,78,95,49,50,52,67,76,65,72,69,95,73,110,116,101,114,112,111,108,97,116,105,111,110,95,66,111,100,121,73,116,76,105,48,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,49,50,95,71,76,79,66,65,76,95,95,78,95,49,50,52,67,76,65,72,69,95,73,110,116,101,114,112,111,108,97,116,105,111,110,95,66,111,100,121,73,104,76,105,48,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,52,95,69,69,69,69,0,78,49,50,95,71,76,79,66,65,76,95,95,78,95,49,50,52,67,76,65,72,69,95,73,110,116,101,114,112,111,108,97,116,105,111,110,95,66,111,100,121,73,104,76,105,48,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,49,50,95,71,76,79,66,65,76,95,95,78,95,49,49,56,67,76,65,72,69,95,67,97,108,99,76,117,116,95,66,111,100,121,73,116,76,105,54,53,53,51,54,69,76,105,48,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,52,95,69,69,69,69,0,78,49,50,95,71,76,79,66,65,76,95,95,78,95,49,49,56,67,76,65,72,69,95,67,97,108,99,76,117,116,95,66,111,100,121,73,116,76,105,54,53,53,51,54,69,76,105,48,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,49,50,95,71,76,79,66,65,76,95,95,78,95,49,49,56,67,76,65,72,69,95,67,97,108,99,76,117,116,95,66,111,100,121,73,104,76,105,50,53,54,69,76,105,48,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,52,95,69,69,69,69,0,78,49,50,95,71,76,79,66,65,76,95,95,78,95,49,49,56,67,76,65,72,69,95,67,97,108,99,76,117,116,95,66,111,100,121,73,104,76,105,50,53,54,69,76,105,48,69,69,69,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,99,108,97,104,101,46,99,112,112,0,118,105,114,116,117,97,108,32,118,111,105,100,32,40,97,110,111,110,121,109,111,117,115,32,110,97,109,101,115,112,97,99,101,41,58,58,67,76,65,72,69,95,73,109,112,108,58,58,97,112,112,108,121,40,99,118,58,58,73,110,112,117,116,65,114,114,97,121,44,32,99,118,58,58,79,117,116,112,117,116,65,114,114,97,121,41,0,78,49,50,95,71,76,79,66,65,76,95,95,78,95,49,49,48,67,76,65,72,69,95,73,109,112,108,69,0,85,110,107,110,111,119,110,47,117,110,115,117,112,112,111,114,116,101,100,32,105,110,116,101,114,112,111,108,97,116,105,111,110,32,116,121,112,101,0,105,110,105,116,73,110,116,101,114,84,97,98,50,68,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,105,109,103,119,97,114,112,46,99,112,112,0,85,110,107,110,111,119,110,32,105,110,116,101,114,112,111,108,97,116,105,111,110,32,109,101,116,104,111,100,0,105,110,105,116,73,110,116,101,114,84,97,98,49,68,0,95,109,97,112,49,46,115,105,122,101,40,41,46,97,114,101,97,40,41,32,62,32,48,0,114,101,109,97,112,0,95,109,97,112,50,46,101,109,112,116,121,40,41,32,124,124,32,40,95,109,97,112,50,46,115,105,122,101,40,41,32,61,61,32,95,109,97,112,49,46,115,105,122,101,40,41,41,0,100,115,116,46,99,111,108,115,32,60,32,83,72,82,84,95,77,65,88,32,38,38,32,100,115,116,46,114,111,119,115,32,60,32,83,72,82,84,95,77,65,88,32,38,38,32,115,114,99,46,99,111,108,115,32,60,32,83,72,82,84,95,77,65,88,32,38,38,32,115,114,99,46,114,111,119,115,32,60,32,83,72,82,84,95,77,65,88,0,110,110,102,117,110,99,32,33,61,32,48,0,95,115,114,99,46,99,104,97,110,110,101,108,115,40,41,32,60,61,32,52,0,105,102,117,110,99,32,33,61,32,48,0,40,40,109,97,112,49,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,67,50,32,124,124,32,109,97,112,49,46,116,121,112,101,40,41,32,61,61,32,67,86,95,49,54,83,67,50,41,32,38,38,32,109,97,112,50,46,101,109,112,116,121,40,41,41,32,124,124,32,40,109,97,112,49,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,67,49,32,38,38,32,109,97,112,50,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,67,49,41,0,78,50,99,118,49,50,82,101,109,97,112,73,110,118,111,107,101,114,69,0,115,115,105,122,101,46,97,114,101,97,40,41,32,62,32,48,0,114,101,109,97,112,66,105,108,105,110,101,97,114,0,118,111,105,100,32,99,118,58,58,114,101,109,97,112,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,41,0,78,50,99,118,49,55,87,97,114,112,65,102,102,105,110,101,73,110,118,111,107,101,114,69,0,95,115,114,99,46,99,104,97,110,110,101,108,115,40,41,32,60,61,32,52,32,124,124,32,40,105,110,116,101,114,112,111,108,97,116,105,111,110,32,33,61,32,73,78,84,69,82,95,76,65,78,67,90,79,83,52,32,38,38,32,105,110,116,101,114,112,111,108,97,116,105,111,110,32,33,61,32,73,78,84,69,82,95,67,85,66,73,67,41,0,119,97,114,112,65,102,102,105,110,101,0,115,114,99,46,99,111,108,115,32,62,32,48,32,38,38,32,115,114,99,46,114,111,119,115,32,62,32,48,0,40,77,48,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,32,124,124,32,77,48,46,116,121,112,101,40,41,32,61,61,32,67,86,95,54,52,70,41,32,38,38,32,77,48,46,114,111,119,115,32,61,61,32,50,32,38,38,32,77,48,46,99,111,108,115,32,61,61,32,51,0,118,111,105,100,32,99,118,58,58,119,97,114,112,65,102,102,105,110,101,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,83,105,122,101,44,32,105,110,116,44,32,105,110,116,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,41,0,78,50,99,118,50,50,87,97,114,112,80,101,114,115,112,101,99,116,105,118,101,73,110,118,111,107,101,114,69,0,95,115,114,99,46,116,111,116,97,108,40,41,32,62,32,48,0,119,97,114,112,80,101,114,115,112,101,99,116,105,118,101,0,40,77,48,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,32,124,124,32,77,48,46,116,121,112,101,40,41,32,61,61,32,67,86,95,54,52,70,41,32,38,38,32,77,48,46,114,111,119,115,32,61,61,32,51,32,38,38,32,77,48,46,99,111,108,115,32,61,61,32,51,0,118,111,105,100,32,99,118,58,58,119,97,114,112,80,101,114,115,112,101,99,116,105,118,101,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,83,105,122,101,44,32,105,110,116,44,32,105,110,116,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,41,0,99,118,58,58,77,97,116,32,99,118,58,58,103,101,116,82,111,116,97,116,105,111,110,77,97,116,114,105,120,50,68,40,80,111,105,110,116,50,102,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,41,0,116,111,116,97,108,40,41,32,61,61,32,48,32,124,124,32,100,97,116,97,32,33,61,32,78,85,76,76,0,77,97,116,0,79,80,69,78,67,86,95,73,77,71,80,82,79,67,95,71,69,84,80,69,82,83,80,69,67,84,73,86,69,84,82,65,78,83,70,79,82,77,95,83,79,76,86,69,95,77,69,84,72,79,68,0,99,118,58,58,77,97,116,32,99,118,58,58,103,101,116,80,101,114,115,112,101,99,116,105,118,101,84,114,97,110,115,102,111,114,109,40,99,111,110,115,116,32,80,111,105,110,116,50,102,32,42,44,32,99,111,110,115,116,32,80,111,105,110,116,50,102,32,42,41,0,115,114,99,46,99,104,101,99,107,86,101,99,116,111,114,40,50,44,32,67,86,95,51,50,70,41,32,61,61,32,52,32,38,38,32,100,115,116,46,99,104,101,99,107,86,101,99,116,111,114,40,50,44,32,67,86,95,51,50,70,41,32,61,61,32,52,0,103,101,116,80,101,114,115,112,101,99,116,105,118,101,84,114,97,110,115,102,111,114,109,0,115,114,99,46,99,104,101,99,107,86,101,99,116,111,114,40,50,44,32,67,86,95,51,50,70,41,32,61,61,32,51,32,38,38,32,100,115,116,46,99,104,101,99,107,86,101,99,116,111,114,40,50,44,32,67,86,95,51,50,70,41,32,61,61,32,51,0,103,101,116,65,102,102,105,110,101,84,114,97,110,115,102,111,114,109,0,99,111,110,116,111,117,114,46,100,101,112,116,104,40,41,32,61,61,32,67,86,95,51,50,83,32,124,124,32,99,111,110,116,111,117,114,46,100,101,112,116,104,40,41,32,61,61,32,67,86,95,51,50,70,0,99,111,110,116,111,117,114,77,111,109,101,110,116,115,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,109,111,109,101,110,116,115,46,99,112,112,0,73,110,118,97,108,105,100,32,105,109,97,103,101,32,116,121,112,101,32,40,109,117,115,116,32,98,101,32,115,105,110,103,108,101,45,99,104,97,110,110,101,108,41,0,109,111,109,101,110,116,115,0,99,118,58,58,77,111,109,101,110,116,115,32,99,118,58,58,109,111,109,101,110,116,115,40,73,110,112,117,116,65,114,114,97,121,44,32,98,111,111,108,41,0,118,111,105,100,32,99,118,58,58,72,117,77,111,109,101,110,116,115,40,99,111,110,115,116,32,99,118,58,58,77,111,109,101,110,116,115,32,38,44,32,100,111,117,98,108,101,32,42,41,0,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,49,0,100,105,115,116,97,110,99,101,84,114,97,110,115,102,111,114,109,0,108,97,98,101,108,84,121,112,101,32,61,61,32,68,73,83,84,95,76,65,66,69,76,95,80,73,88,69,76,32,124,124,32,108,97,98,101,108,84,121,112,101,32,61,61,32,68,73,83,84,95,76,65,66,69,76,95,67,67,79,77,80,0,77,97,115,107,32,115,105,122,101,32,115,104,111,117,108,100,32,98,101,32,51,32,111,114,32,53,32,111,114,32,48,32,40,112,114,101,99,105,115,101,41,0,115,114,99,46,115,105,122,101,40,41,32,61,61,32,100,115,116,46,115,105,122,101,40,41,0,116,114,117,101,68,105,115,116,84,114,97,110,115,0,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,49,32,38,38,32,100,115,116,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,67,49,0,100,105,115,116,84,121,112,101,32,61,61,32,67,86,95,68,73,83,84,95,67,32,124,124,32,100,105,115,116,84,121,112,101,32,61,61,32,67,86,95,68,73,83,84,95,76,49,32,124,124,32,100,105,115,116,84,121,112,101,32,61,61,32,67,86,95,68,73,83,84,95,76,50,0,85,110,107,110,111,119,110,32,109,101,116,114,105,99,32,116,121,112,101,0,103,101,116,68,105,115,116,97,110,99,101,84,114,97,110,115,102,111,114,109,77,97,115,107,0,78,50,99,118,49,50,68,84,82,111,119,73,110,118,111,107,101,114,69,0,78,50,99,118,49,53,68,84,67,111,108,117,109,110,73,110,118,111,107,101,114,69,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,105,109,103,112,114,111,99,47,115,114,99,47,100,105,115,116,114,97,110,115,102,111,114,109,46,99,112,112,0,118,111,105,100,32,99,118,58,58,100,105,115,116,97,110,99,101,84,114,97,110,115,102,111,114,109,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,41,0,100,105,115,116,97,110,99,101,84,114,97,110,115,102,111,114,109,95,76,49,95,56,85,0,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,49,32,38,38,32,100,115,116,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,49,0,100,105,115,116,97,110,99,101,65,84,83,95,76,49,95,56,117,0,118,111,105,100,32,99,118,58,58,100,105,115,116,97,110,99,101,84,114,97,110,115,102,111,114,109,95,76,49,95,56,85,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,118,111,105,100,32,99,118,58,58,100,105,115,116,97,110,99,101,84,114,97,110,115,102,111,114,109,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,41,0,77,87,82,77,78,86,32,82,77,86,86,32,80,83,84,83,0,77,87,79,77,79,86,32,79,77,83,77,85,78,85,80,83,81,32,79,81,83,81,85,82,85,85,83,86,79,86,0,77,88,86,78,84,77,82,77,80,78,79,80,79,83,80,85,82,86,84,86,86,85,0,77,87,79,77,79,86,32,79,77,82,77,84,78,85,80,85,83,84,85,82,86,79,86,0,77,87,79,77,79,86,32,79,77,85,77,32,79,81,83,81,32,79,86,85,86,0,77,86,79,77,79,86,32,79,77,85,77,32,79,81,83,81,0,77,88,86,78,84,77,82,77,80,78,79,80,79,83,80,85,82,86,84,86,86,85,86,82,32,83,82,86,82,0,77,87,79,77,79,86,32,85,77,85,86,32,79,81,85,81,0,80,84,82,77,82,86,0,78,85,83,77,83,84,82,86,80,86,79,84,79,83,0,77,87,79,77,79,86,32,85,77,79,83,32,81,81,85,86,0,77,86,79,77,79,86,32,79,86,85,86,0,76,88,78,77,78,86,32,78,77,82,86,32,86,77,82,86,32,86,77,86,86,0,77,87,79,77,79,86,32,79,77,85,86,32,85,77,85,86,0,77,88,82,77,80,78,79,80,79,83,80,85,82,86,83,86,85,85,86,83,86,80,85,78,83,77,82,77,0,77,87,79,77,79,86,32,79,77,83,77,85,78,85,81,83,82,79,82,0,77,88,82,77,80,78,79,80,79,83,80,85,82,86,83,86,85,85,86,83,86,80,85,78,83,77,82,77,32,83,84,86,87,0,77,87,79,77,79,86,32,79,77,83,77,85,78,85,81,83,82,79,82,32,82,82,85,86,0,77,87,85,78,83,77,81,77,79,78,79,79,80,80,84,82,85,83,85,85,83,86,81,86,79,85,0,77,87,82,77,82,86,32,78,77,86,77,0,77,88,79,77,79,83,80,85,82,86,83,86,85,85,86,83,86,77,0,77,87,78,77,82,86,32,86,77,82,86,0,76,88,78,77,80,86,32,82,77,80,86,32,82,77,84,86,32,86,77,84,86,0,77,87,79,77,85,86,32,85,77,79,86,0,77,87,78,77,82,81,82,86,32,86,77,82,81,0,77,87,85,77,79,86,32,79,77,85,77,32,79,86,85,86,0,77,86,79,77,79,86,32,79,77,85,77,0,77,87,82,77,78,86,32,82,77,86,86,32,78,86,86,86,0,77,88,82,77,80,78,79,80,79,83,80,85,82,86,83,86,85,85,86,83,86,80,85,78,83,77,82,77,32,81,81,84,82,32,84,81,81,82,0,77,87,82,77,78,86,32,82,77,86,86,0,77,87,79,77,85,77,32,80,81,84,82,32,84,81,80,82,32,79,86,85,86,0,77,87,79,77,79,86,32,85,77,85,86,32,79,77,85,77,0,77,87,79,77,82,81,79,86,32,79,77,85,77,32,79,86,85,86,0,77,87,78,79,78,78,79,77,80,77,81,78,82,80,82,86,32,86,79,86,78,85,77,84,77,83,78,82,80,0,76,88,82,77,82,86,32,80,79,78,80,78,83,80,84,84,84,86,83,86,80,84,79,80,79,0,76,88,82,77,82,86,32,78,79,79,80,79,83,81,84,83,84,85,83,85,80,86,79,0,77,88,79,86,81,86,79,82,79,80,80,78,82,77,83,77,85,78,86,80,86,82,84,86,86,86,0,77,87,83,77,77,86,32,83,77,85,86,32,79,83,84,83,0,77,87,81,77,78,86,32,81,77,84,77,86,78,86,80,83,81,80,81,32,83,81,85,82,85,84,84,85,82,86,78,86,0,76,88,86,80,85,78,84,77,82,77,80,78,79,79,78,81,78,83,79,85,80,86,82,86,84,85,85,84,0,77,88,81,77,78,86,32,81,77,85,77,86,79,86,81,85,84,84,85,82,86,78,86,0,77,86,81,77,78,86,32,81,77,86,77,32,80,81,83,81,32,78,86,83,86,0,77,86,81,77,78,86,32,81,77,86,77,32,80,81,83,81,0,76,88,86,80,85,78,84,77,82,77,80,78,79,79,78,81,78,83,79,85,80,86,82,86,84,85,85,83,82,83,0,77,88,81,77,78,86,32,87,77,84,86,32,80,81,85,81,0,80,85,84,77,81,86,0,79,86,85,77,83,83,82,85,81,86,80,86,79,85,79,84,0,77,86,81,77,78,86,32,86,77,79,83,32,82,81,84,86,0,78,86,82,77,79,86,32,79,86,84,86,0,76,89,80,77,77,86,32,80,77,81,86,32,88,77,81,86,32,88,77,85,86,0,77,88,81,77,78,86,32,81,77,84,86,32,87,77,84,86,0,76,88,82,77,80,78],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+286724);allocate([79,79,78,81,78,83,79,85,80,86,82,86,84,85,85,84,86,82,86,80,85,78,84,77,82,77,0,77,87,81,77,78,86,32,81,77,85,77,86,78,86,80,85,81,83,82,80,82,0,76,88,82,77,80,78,79,79,78,81,78,83,79,85,80,86,82,86,84,85,85,84,86,82,86,80,85,78,84,77,82,77,32,81,86,80,85,80,84,81,83,82,83,83,84,84,86,85,87,86,87,0,77,87,81,77,78,86,32,81,77,85,77,86,78,86,80,85,81,83,82,80,82,32,81,82,82,85,83,86,84,86,85,85,0,77,87,86,78,84,77,82,77,80,78,80,80,81,81,84,82,85,83,85,85,83,86,80,86,78,85,0,77,86,83,77,80,86,32,80,77,86,77,0,76,88,80,77,78,83,78,85,79,86,82,86,84,85,85,83,87,77,0,77,87,79,77,81,86,32,87,77,81,86,0,75,88,78,77,78,86,32,83,77,78,86,32,83,77,83,86,32,88,77,83,86,0,78,87,81,77,84,86,32,87,77,78,86,0,78,87,81,77,83,81,81,86,32,87,77,83,81,0,77,87,81,77,87,77,78,86,84,86,0,76,88,78,77,82,86,32,86,77,82,86,32,78,77,86,77,0,77,87,78,76,86,88,0,76,88,82,79,78,85,32,82,79,86,85,0,77,87,78,86,86,86,0,80,86,82,77,85,81,0,77,87,77,77,79,75,81,75,84,77,86,77,87,75,0,78,87,81,80,84,80,85,81,85,86,32,85,82,81,83,80,84,80,85,81,86,83,86,85,85,0,77,87,79,77,79,86,32,79,83,80,85,82,86,84,85,85,83,84,81,82,80,80,81,79,83,0,77,87,85,81,83,80,82,80,80,81,79,83,80,85,82,86,83,86,85,85,0,77,87,85,77,85,86,32,85,83,84,81,82,80,80,81,79,83,80,85,82,86,84,85,85,83,0,77,87,79,83,85,83,84,81,82,80,80,81,79,83,80,85,82,86,84,86,0,78,86,85,78,84,77,83,77,82,78,82,86,32,80,80,84,80,0,77,87,85,80,85,86,84,88,82,89,80,89,32,85,83,84,81,82,80,80,81,79,83,80,85,82,86,84,85,85,83,0,77,87,79,77,79,86,32,79,83,80,81,82,80,84,81,85,83,85,86,0,80,84,82,76,81,77,82,78,83,77,82,76,32,82,80,82,86,0,80,85,83,76,82,77,83,78,84,77,83,76,32,83,80,83,88,82,89,81,89,80,88,0,78,87,80,77,80,86,32,85,80,80,84,32,82,83,85,86,0,75,89,77,80,77,86,32,77,83,78,81,79,80,80,80,81,81,82,83,82,86,32,82,83,83,81,84,80,85,80,86,81,87,83,87,86,0,77,87,79,80,79,86,32,79,83,80,81,82,80,84,81,85,83,85,86,0,77,87,82,80,80,81,79,83,80,85,82,86,84,85,85,83,84,81,82,80,0,77,87,79,80,79,89,32,79,83,80,85,82,86,84,85,85,83,84,81,82,80,80,81,79,83,0,77,87,85,80,85,89,32,85,83,84,81,82,80,80,81,79,83,80,85,82,86,84,85,85,83,0,78,86,80,80,80,86,32,80,83,81,81,83,80,84,80,0,78,87,85,81,84,80,81,80,80,81,80,82,81,83,84,83,85,84,85,85,84,86,81,86,80,85,0,78,86,82,77,82,85,83,86,84,86,85,85,32,80,80,84,80,0,77,87,85,80,85,86,32,79,80,79,83,80,85,82,86,84,85,85,83,0,78,86,79,80,82,86,32,85,80,82,86,0,76,88,78,80,80,86,32,82,80,80,86,32,82,80,84,86,32,86,80,84,86,0,77,87,79,80,85,86,32,85,80,79,86,0,77,87,79,80,82,86,32,85,80,82,86,81,88,80,89,79,89,0,77,87,79,80,85,80,79,86,85,86,0,77,88,86,80,85,83,84,85,82,86,80,85,79,83,80,81,82,80,84,81,85,85,86,86,0,77,87,79,84,81,86,83,86,84,85,84,83,83,82,80,81,82,81,84,80,85,79,85,78,84,77,82,77,81,78,80,80,79,84,78,89,0,77,88,78,81,79,80,81,80,82,81,82,83,81,87,32,86,80,85,82,83,84,81,87,80,89,0,77,87,84,78,83,77,82,77,81,78,81,79,82,80,84,81,85,83,84,85,82,86,80,85,79,83,80,81,82,80,0,78,87,85,81,83,80,81,80,80,81,80,82,81,83,32,83,83,81,83,80,84,80,85,81,86,83,86,85,85,0,78,87,84,77,83,78,83,79,84,80,32,85,80,83,80,81,81,80,83,80,85,81,86,83,87,83,88,82,89,81,89,0,76,88,78,81,79,80,80,80,81,81,81,83,80,86,32,81,83,82,81,84,80,85,80,86,81,86,83,85,86,84,89,0,76,88,78,81,79,80,80,80,81,81,81,85,82,86,83,86,84,85,85,83,86,80,86,78,85,77,84,77,83,78,83,80,84,82,85,83,87,84,0,79,86,82,80,81,83,81,85,82,86,83,86,84,85,0,77,87,81,80,79,86,32,85,80,84,80,82,81,80,83,32,80,83,81,85,83,86,84,86,0,77,87,79,77,80,77,81,78,82,80,85,86,32,82,80,79,86,0,76,89,80,80,77,89,32,85,80,84,83,83,85,81,86,80,86,79,85,79,83,32,84,83,84,85,85,86,86,86,87,85,0,77,87,78,80,79,80,79,86,32,85,80,84,83,82,85,79,86,0,78,87,84,77,83,78,83,79,84,80,32,85,80,83,80,81,81,81,82,82,83,84,83,32,83,83,81,84,80,85,80,86,81,87,83,88,83,89,82,90,81,90,0,77,88,79,81,81,80,86,80,32,81,80,81,82,80,86,32,84,80,84,82,85,86,0,77,87,79,83,80,85,82,86,84,85,85,83,84,81,82,80,80,81,79,83,78,89,0,77,88,86,80,82,80,80,81,79,83,80,85,82,86,84,85,85,83,84,81,82,80,0,77,88,79,81,81,80,86,80,32,83,80,82,86,0,75,88,77,81,78,80,79,80,80,81,80,85,81,86,83,86,84,85,85,83,86,80,0,77,88,80,80,79,81,79,83,80,85,82,86,83,86,85,85,86,83,86,81,85,80,84,80,83,81,82,83,81,89,0,77,87,79,80,80,80,81,81,83,88,84,89,85,89,32,85,80,84,82,80,87,79,89,0,75,89,84,77,82,89,32,77,81,78,80,79,80,80,81,80,85,81,86,84,86,85,85,86,83,87,80,0,76,88,79,80,78,82,78,84,79,86,81,86,82,84,82,82,32,85,80,86,82,86,84,85,86,83,86,82,84,0,76,87,84,83,83,81,81,80,79,81,78,83,79,85,81,86,83,85,84,83,32,85,80,84,83,84,85,85,86,86,86,0,77,87,81,77,79,83,80,85,82,86,84,85,85,83,84,81,82,80,80,81,79,83,0,77,87,85,81,83,80,82,80,80,81,79,83,80,85,82,86,84,86,0,76,87,84,83,83,81,81,80,79,81,78,83,79,85,81,86,83,85,84,83,32,86,77,84,83,84,85,85,86,86,86,0,77,87,79,83,84,83,85,82,85,81,83,80,82,80,80,81,79,83,80,85,82,86,84,86,0,79,86,86,77,85,77,84,78,83,80,81,86,80,88,79,89,78,89,32,81,80,85,80,0,77,88,85,83,84,81,82,80,80,81,79,83,80,85,82,86,84,85,85,83,32,86,80,84,86,83,88,82,89,80,89,79,88,0,77,86,81,77,78,86,32,79,83,80,81,81,80,83,80,84,81,84,82,83,84,83,85,84,86,85,86,0,80,85,83,77,83,78,84,78,84,77,83,77,32,81,80,82,80,83,81,83,82,82,84,82,85,83,86,84,86,0,79,85,83,77,83,78,84,78,84,77,83,77,32,81,80,82,80,83,81,83,82,82,86,81,88,80,89,79,89,78,88,0,78,86,82,77,79,86,32,85,80,84,80,82,81,80,83,32,80,83,81,85,83,86,84,86,0,79,84,83,77,81,83,81,85,82,86,83,86,0,74,89,75,80,76,80,77,81,77,83,76,86,32,77,83,78,81,79,80,81,80,82,81,82,83,81,86,32,82,83,83,81,84,80,86,80,87,81,87,82,86,84,86,85,87,86,88,86,0,77,87,78,80,79,80,80,81,80,83,79,86,32,80,83,81,81,82,80,84,80,85,81,85,82,84,84,84,85,85,86,86,86,0,77,88,78,80,79,80,80,81,80,83,78,89,32,80,83,81,85,83,86,85,85,86,83,85,81,83,80,81,81,80,83,0,77,88,85,83,84,81,82,80,80,81,79,83,80,85,82,86,84,85,85,83,32,86,80,83,89,0,77,86,79,80,80,80,81,81,81,83,80,86,32,85,81,84,80,83,80,82,81,81,83,0,78,86,84,81,83,80,81,80,80,81,80,82,81,83,82,83,83,84,83,85,82,86,80,86,79,85,0,78,85,83,77,81,83,81,85,82,86,83,86,32,80,80,84,80,0,77,87,78,80,79,80,80,81,80,82,79,84,79,85,80,86,82,86,83,85,84,83,32,85,80,84,83,84,85,85,86,86,86,0,77,87,78,80,79,80,80,81,80,82,79,84,79,85,80,86,82,86,84,85,85,82,85,80,0,75,89,76,80,77,80,78,81,78,82,77,84,77,85,78,86,80,86,81,85,82,83,83,80,32,82,83,82,85,83,86,85,86,86,85,87,82,87,80,0,77,87,79,81,80,80,81,80,82,81,82,85,83,86,84,86,85,85,32,86,81,85,80,84,80,83,81,81,85,80,86,79,86,78,85,0,77,87,78,80,79,80,80,81,80,82,79,84,79,85,80,86,82,86,83,85,84,83,32,85,80,83,86,82,88,81,89,79,89,78,88,0,78,86,85,80,79,86,32,80,81,81,80,83,80,84,81,32,80,85,81,86,83,86,84,85,0,77,87,85,83,84,81,82,80,80,81,79,83,80,85,82,86,84,85,85,83,85,80,84,78,82,77,81,77,0,77,87,85,81,83,80,82,80,80,81,79,83,80,85,82,86,83,86,85,85,32,79,83,83,83,0,77,87,82,77,81,78,80,80,79,83,79,86,80,87,82,87,83,86,84,84,85,81,85,78,84,77,82,77,32,80,82,84,82,0,77,87,84,77,81,89,32,82,80,80,81,79,83,80,85,82,86,83,86,85,85,86,83,85,81,83,80,82,80,0,77,87,85,81,83,80,81,80,79,81,79,83,80,84,82,85,83,86,83,87,82,88,81,88,0,75,89,84,80,84,83,85,84,86,84,87,83,87,81,86,79,85,78,83,77,81,77,79,78,78,79,77,81,77,83,78,85,79,86,81,87,83,87,85,86,32,84,81,83,80,81,80,80,81,80,83,81,84,83,84,84,83,0,77,87,85,78,79,82,85,86,0,77,87,79,78,85,82,79,86,0,79,85,84,75,81,75,81,89,84,89,0,79,85,80,75,83,75,83,89,80,89,0,79,85,84,75,83,76,82,78,82,79,83,81,81,82,83,83,82,85,82,86,83,88,84,89,0,79,85,80,75,81,76,82,78,82,79,81,81,83,82,81,83,82,85,82,86,81,88,80,89,0,76,89,80,77,81,78,81,79,80,80,79,80,78,79,78,78,79,77,80,77,83,78,85,78,87,77,78,86,32,85,83,84,84,84,85,85,86,86,86,87,85,87,84,86,83,85,83,0,80,84,0,78,86,0,77,87,82,77,80,78,79,80,79,83,80,85,82,86,84,85,85,83,85,80,84,78,82,77,0,77,87,80,79,82,77,82,86,0,77,87,79,78,81,77,83,77,85,78,85,80,84,82,79,86,85,86,0,77,87,79,78,81,77,83,77,85,78,85,80,83,81,32,82,81,83,81,85,82,85,85,83,86,81,86,79,85,0,77,87,83,77,83,86,32,83,77,78,83,86,83,0,77,87,80,77,79,81,81,80,82,80,84,81,85,83,84,85,82,86,81,86,79,85,32,80,77,84,77,0,77,87,84,77,82,77,80,78,79,80,79,83,80,85,82,86,84,85,85,83,84,81,82,80,80,81,79,83,0,77,87,85,77,81,86,32,79,77,85,77,0,77,87,81,77,79,78,79,80,81,81,83,81,85,80,85,78,83,77,81,77,32,81,81,79,82,79,85,81,86,83,86,85,85,85,82,83,81,0,77,87,85,80,84,82,82,83,80,82,79,80,80,78,82,77,84,78,85,80,85,83,84,85,82,86,80,86,0,80,85,82,85,82,86,83,86,83,85,82,85,0,80,85,83,86,82,86,82,85,83,85,83,87,82,89,0,80,85,82,80,82,81,83,81,83,80,82,80,32,82,85,82,86,83,86,83,85,82,85,0,80,85,82,80,82,81,83,81,83,80,82,80,32,83,86,82,86,82,85,83,85,83,87,82,89,0,80,85,82,77,82,82,32,83,77,83,82,32,82,85,82,86,83,86,83,85,82,85,0,78,87,80,78,82,77,83,77,85,78,85,80,82,81,82,82,83,82,83,81,85,80,32,82,85,82,86,83,86,83,85,82,85,0,80,84,82,77,82,81,0,78,86,80,77,80,81,32,84,77,84,81,0,78,86,81,77,80,78,80,80,81,81,83,81,84,80,84,78,83,77,81,77,0,77,87,82,75,82,88,32,85,78,83,77,81,77,79,78,79,80,81,81,84,82,85,83,85,85,83,86,81,86,79,85,0,77,87,86,76,78,88,0,79,85,84,75,82,78,81,81,81,83,82,86,84,89,0,79,85,80,75,82,78,83,81,83,83,82,86,80,89,0,80,84,82,75,82,89,0,76,88,78,82,86,82,0,76,88,82,78,82,86,32,78,82,86,82,0,76,88,78,80,86,80,32,78,84,86,84,0,77,87,79,79,85,85,32,85,79,79,85,0,77,87,82,79,82,85,32,79,80,85,84,32,85,80,79,84,0,80,85,82,81,82,82,83,82,83,81,82,81,0,80,85,83,77,82,79,82,81,83,81,83,80,82,80,0,80,85,83,78,82,78,82,77,83,77,83,79,82,81,0,76,88,83,79,86,82,83,85,32,78,82,86,82,0,77,88,81,76,81,89,32,84,76,84,89,32,79,81,86,81,32,79,84,86,84,0,76,88,86,82,85,82,84,83,83,85,82,86,79,86,78,85,78,83,79,82,82,81,83,80,83,78,82,77,80,77,79,78,79,80,81,83,83,85,85,86,86,86,0,76,88,78,78,79,81,79,83,78,86,32,86,78,85,81,85,83,86,86,32,78,78,81,79,83,79,86,78,32,78,86,81,85,83,85,86,86,0,76,89,82,81,81,80,79,80,78,81,78,83,79,84,81,84,82,83,83,81,84,80,86,80,87,81,87,83,86,84,84,84,83,83,82,81,0,72,92,78,82,77,81,76,82,77,83,78,82,32,86,82,87,81,88,82,87,83,86,82,0,72,92,77,80,76,81,76,82,77,83,78,83,79,82,79,81,78,80,77,80,32,77,81,77,82,78,82,78,81,77,81,32,87,80,86,81,86,82,87,83,88,83,89,82,89,81,88,80,87,80,32,87,81,87,82,88,82,88,81,87,81,0,73,91,75,82,89,82,0,72,92,82,85,74,80,82,84,90,80,82,85,0,70,94,73,83,74,81,76,80,78,80,80,81,84,84,86,85,88,85,90,84,91,81,32,73,83,74,80,76,79,78,79,80,80,84,83,86,84,88,84,90,83,91,81,32,73,89,74,87,76,86,78,86,80,87,84,90,86,91,88,91,90,90,91,87,32,73,89,74,86,76,85,78,85,80,86,84,89,86,90,88,90,90,89,91,87,0,70,94,73,83,74,81,76,80,78,80,80,81,84,84,86,85,88,85,90,84,91,81,32,73,83,74,80,76,79,78,79,80,80,84,83,86,84,88,84,90,83,91,81,32,73,87,91,87,32,73,91,91,91,0,67,97,71,79,93,79,88,73,32,76,91,71,85,93,85,0,68,96,70,94,94,94,94,70,70,70,70,94,0,75,89,81,86,79,85,78,83,78,81,79,79,81,78,83,78,85,79,86,81,86,83,85,85,83,86,81,86,32,83,86,86,83,32,81,86,86,81,32,79,85,85,79,32,78,83,83,78,32,78,81,81,78,0,72,92,73,82,91,82,0,72,92,73,82,91,82,32,73,81,91,81,0,76,89,80,70,83,67,83,80,32,82,68,82,80,32,79,80,86,80,32,77,82,88,82,32,79,86,79,87,78,87,78,86,79,85,81,84,84,84,86,85,87,87,86,89,84,90,81,91,79,92,78,94,78,97,32,84,84,85,85,86,87,85,89,84,90,32,78,96,79,95,80,95,83,96,86,96,87,95,32,80,95,83,97,86,97,87,95,87,94,0,76,89,80,70,83,67,83,80,32,82,68,82,80,32,79,80,86,80,32,77,82,88,82,32,79,86,79,87,78,87,78,86,79,85,81,84,84,84,86,85,87,87,86,89,84,90,32,84,84,85,85,86,87,85,89,84,90,32,82,90,84,90,86,91,87,93,87,94,86,96,84,97,81,97,79,96,78,95,78,94,79,94,79,95,32,84,90,85,91,86,93,86,94,85,96,84,97,0,76,89,80,70,83,67,83,80,32,82,68,82,80,32,79,80,86,80,32,77,82,88,82,32,86,86,86,87,87,87,87,86,86,85,84,84,82,84,80,85,79,86,78,89,78,94,79,96,81,97,84,97,86,96,87,94,87,92,86,90,84,89,81,89,78,91,32,82,84,80,86,79,89,79,94,80,96,81,97,32,84,97,85,96,86,94,86,92,85,90,84,89,0,76,89,80,70,83,67,83,80,32,82,68,82,80,32,79,80,86,80,32,77,82,88,82,32,81,84,79,85,78,87,79,89,81,90,84,90,86,89,87,87,86,85,84,84,81,84,32,81,84,80,85,79,87,80,89,81,90,32,84,90,85,89,86,87,85,85,84,84,32,81,90,79,91,78,93,78,94,79,96,81,97,84,97,86,96,87,94,87,93,86,91,84,90,32,81,90,80,91,79,93,79,94,80,96,81,97,32,84,97,85,96,86,94,86,93,85,91,84,90,0,76,89,79,69,79,70,78,70,78,69,79,68,81,67,84,67,86,68,87,70,86,72,84,73,81,74,79,75,78,77,78,80,32,84,67,85,68,86,70,85,72,84,73,32,78,79,79,78,80,78,83,79,86,79,87,78,32,80,78,83,80,86,80,87,78,87,77,32,77,82,88,82,32,79,86,79,87,78,87,78,86,79,85,81,84,84,84,86,85,87,87,86,89,84,90,32,84,84,85,85,86,87,85,89,84,90,32,82,90,84,90,86,91,87,93,87,94,86,96,84,97,81,97,79,96,78,95,78,94,79,94,79,95,32,84,90,85,91,86,93,86,94,85,96,84,97,0,76,89,79,69,79,70,78,70,78,69,79,68,81,67,84,67,86,68,87,70,86,72,84,73,32,84,67,85,68,86,70,85,72,84,73,32,82,73,84,73,86,74,87,76,87,77,86,79,84,80,81,80,79,79,78,78,78,77,79,77,79,78,32,84,73,85,74,86,76,86,77,85,79,84,80,32,77,82,88,82,32,81,84,79,85,78,87,79,89,81,90,84,90,86,89,87,87,86,85,84,84,81,84,32,81,84,80,85,79,87,80,89,81,90,32,84,90,85,89,86,87,85,85,84,84,32,81,90,79,91,78,93,78,94,79,96,81,97,84,97,86,96,87,94,87,93,86,91,84,90,32,81,90,80,91,79,93,79,94,80,96,81,97,32,84,97,85,96,86,94,86,93,85,91,84,90,0,76,89,79,67,78,73,32,79,67,86,67,32,79,68,83,68,86,67,32,78,73,79,72,81,71,84,71,86,72,87,74,87,77,86,79,84,80,81,80,79,79,78,78,78,77,79,77,79,78,32,84,71,85,72,86,74,86,77,85,79,84,80,32,77,82,88,82,32,81,84,79,85,78,87,79,89,81,90,84,90,86,89,87,87,86,85,84,84,81,84,32,81,84,80,85,79,87,80,89,81,90,32,84,90,85,89,86,87,85,85,84,84,32,81,90,79,91,78,93,78,94,79,96,81,97,84,97,86,96,87,94,87,93,86,91,84,90,32,81,90,80,91,79,93,79,94,80,96,81,97,32,84,97,85,96,86,94,86,93,85,91,84,90,0,76,89,78,67,78,71,32,86,69,82,76,80,80,32,87,67,84,73,81,80,32,78,69,80,67,82,67,85,69,32,78,69,80,68,82,68,85,69,86,69,32,77,82,88,82,32,81,84,79,85,78,87,79,89,81,90,84,90,86,89,87,87,86,85,84,84,81,84,32,81,84,80,85,79,87,80,89,81,90,32,84,90,85,89,86,87,85,85,84,84,32,81,90,79,91,78,93,78,94,79,96,81,97,84,97,86,96,87,94,87,93,86,91,84,90,32,81,90,80,91,79,93,79,94,80,96,81,97,32,84,97,85,96,86,94,86,93,85,91,84,90,0,76,89,79,67,78,73,32,79,67,86,67,32,79,68,83,68,86,67,32,78,73,79,72,81,71,84,71,86,72,87,74,87,77,86,79,84,80,81,80,79,79,78,78,78,77,79,77,79,78,32,84,71,85,72,86,74,86,77,85,79,84,80,32,77,82,88,82,32,86,86,86,87,87,87,87,86,86,85,84,84,82,84,80,85,79,86,78,89,78,94,79,96,81,97,84,97,86,96,87,94,87,92,86,90,84,89,81,89,78,91,32,82,84,80,86,79,89,79,94,80,96,81,97,32,84,97,85,96,86,94,86,92,85,90,84,89,0,76,89,80,70,83,67,83,80,32,82,68,82,80,32,79,80,86,80,32,77,82,88,82,32,83,86,83,97,32,84,84,84,97,32,84,84,77,93,88,93,32,81,97,86,97,0,76,89,79,69,79,70,78,70,78,69,79,68,81,67,84,67,86,68,87,70,86,72,84,73,32,84,67,85,68,86,70,85,72,84,73,32,82,73,84,73,86,74,87,76,87,77,86,79,84,80,81,80,79,79,78,78,78,77,79,77,79,78,32,84,73,85,74,86,76,86,77,85,79,84,80,32,77,82,88,82,32,83,86,83,97,32,84,84,84,97,32,84,84,77,93,88,93,32,81,97,86,97,0,70,94,89,88,87,90,85,91,82,91,80,90,77,88,75,87,73,87,72,88,72,90,73,91,75,91,77,90,79,87,80,85,82,81,84,75,87,71,89,70,90,70,91,71,92,72,91,73,90,72,91,71,91,70,90,70,89,70,87,71,86,72,84,76,82,80,80,86,78,90,77,90,32,79,80,85,80,0,69,94,80,91,77,90,74,88,72,85,71,82,71,79,72,76,74,73,77,71,80,70,84,70,87,71,89,73,91,76,92,79,92,82,91,85,89,88,86,90,83,91,80,91,32,78,74,78,87,32,79,74,79,87,32,76,74,83,74,86,75,87,77,87,78,86,80,83,81,79,81,32,83,74,85,75,86,77,86,78,85,80,83,81,32,76,87,81,87,32,83,81,84,82,85,86,86,87,87,87,88,86,32,83,81,85,82,86,86,87,87,0,69,94,80,91,77,90,74,88,72,85,71,82,71,79,72,76,74,73,77,71,80,70,84,70,87,71,89,73,91,76,92,79,92,82,91,85,89,88,86,90,83,91,80,91,32,85,75,86,74,86,78,85,75,83,74,80,74,78,75,77,76,76,79,76,82,77,85,78,86,80,87,83,87,85,86,86,84,32,80,74,78,76,77,79,77,82,78,85,80,87,0,69,95,73,77,91,77,32,73,82,91,82,32,73,87,91,87,32,75,91,89,73,0,67,97,72,81,71,82,72,83,73,82,72,81,32,82,81,81,82,82,83,83,82,82,81,32,92,81,91,82,92,83,93,82,92,81,0,69,95,78,87,76,84,73,82,76,80,78,77,32,76,80,74,82,76,84,32,74,82,90,82,32,86,87,88,84,91,82,88,80,86,77,32,88,80,90,82,88,84,0,74,90,87,78,84,76,82,73,80,76,77,78,32,80,76,82,74,84,76,32,82,74,82,90,32,87,86,84,88,82,91,80,88,77,86,32,80,88,82,90,84,88,0,70,94,90,74,83,74,79,75,77,76,75,78,74,81,74,83,75,86,77,88,79,89,83,90,90,90,32,83,70,83,94,0,70,94,74,74,81,74,85,75,87,76,89,78,90,81,90,83,89,86,87,88,85,89,81,90,74,90,32,81,70,81,94,0,70,94,74,74,81,74,85,75,87,76,89,78,90,81,90,83,89,86,87,88,85,89,81,90,74,90,32,79,82,90,82,0,72,92,76,66,76,91,32,82,66,82,91,32,88,66,88,91,0,73,91,82,70,74,91,32,82,70,90,91,32,77,84,87,84,0,71,92,75,70,75,91,32,75,70,84,70,87,71,88,72,89,74,89,76,88,78,87,79,84,80,32,75,80,84,80,87,81,88,82,89,84,89,87,88,89,87,90,84,91,75,91,0,72,93,90,75,89,73,87,71,85,70,81,70,79,71,77,73,76,75,75,78,75,83,76,86,77,88,79,90,81,91,85,91,87,90,89,88,90,86,0,71,92,75,70,75,91,32,75,70,82,70,85,71,87,73,88,75,89,78,89,83,88,86,87,88,85,90,82,91,75,91,0,72,91,76,70,76,91,32,76,70,89,70,32,76,80,84,80,32,76,91,89,91,0,72,90,76,70,76,91,32,76,70,89,70,32,76,80,84,80,0,72,93,90,75,89,73,87,71,85,70,81,70,79,71,77,73,76,75,75,78,75,83,76,86,77,88,79,90,81,91,85,91,87,90,89,88,90,86,90,83,32,85,83,90,83,0,71,93,75,70,75,91,32,89,70,89,91,32,75,80,89,80,0,78,86,82,70,82,91,0,74,90,86,70,86,86,85,89,84,90,82,91,80,91,78,90,77,89,76,86,76,84,0,71,92,75,70,75,91,32,89,70,75,84,32,80,79,89,91,0,72,89,76,70,76,91,32,76,91,88,91,0,70,94,74,70,74,91,32,74,70,82,91,32,90,70,82,91,32,90,70,90,91,0,71,93,75,70,75,91,32,75,70,89,91,32,89,70,89,91,0,71,93,80,70,78,71,76,73,75,75,74,78,74,83,75,86,76,88,78,90,80,91,84,91,86,90,88,88,89,86,90,83,90,78,89,75,88,73,86,71,84,70,80,70,0,71,92,75,70,75,91,32,75,70,84,70,87,71,88,72,89,74,89,77,88,79,87,80,84,81,75,81,0,71,93,80,70,78,71,76,73,75,75,74,78,74,83,75,86,76,88,78,90,80,91,84,91,86,90,88,88,89,86,90,83,90,78,89,75,88,73,86,71,84,70,80,70,32,83,87,89,93,0,71,92,75,70,75,91,32,75,70,84,70,87,71,88,72,89,74,89,76,88,78,87,79,84,80,75,80,32,82,80,89,91,0,72,92,89,73,87,71,84,70,80,70,77,71,75,73,75,75,76,77,77,78,79,79,85,81,87,82,88,83,89,85,89,88,87,90,84,91,80,91,77,90,75,88,0,74,90,82,70,82,91,32,75,70,89,70,0,71,93,75,70,75,85,76,88,78,90,81,91,83,91,86,90,88,88,89,85,89,70,0,73,91,74,70,82,91,32,90,70,82,91,0,70,94,72,70,77,91,32,82,70,77,91,32,82,70,87,91,32,92,70,87,91,0,72,92,75,70,89,91,32,89,70,75,91,0,73,91,74,70,82,80,82,91,32,90,70,82,80,0,72,92,89,70,75,91,32,75,70,89,70,32,75,91,89,91,0,72,89,76,70,76,91,32,76,70,88,70,0,73,91,82,70,74,91,32,82,70,90,91,32,74,91,90,91,0,71,93,80,70,78,71,76,73,75,75,74,78,74,83,75,86,76,88,78,90,80,91,84,91,86,90,88,88,89,86,90,83,90,78,89,75,88,73,86,71,84,70,80,70,32,79,80,85,80,0,73,91,82,70,74,91,32,82,70,90,91,0,73,91,75,70,89,70,32,79,80,85,80,32,75,91,89,91,0,71,93,75,70,75,91,32,89,70,89,91,32,75,70,89,70,0,73,91,75,70,82,80,75,91,32,75,70,89,70,32,75,91,89,91,0,73,91,75,75,75,73,76,71,77,70,79,70,80,71,81,73,82,77,82,91,32,89,75,89,73,88,71,87,70,85,70,84,71,83,73,82,77,0,72,92,82,70,82,91,32,80,75,77,76,76,77,75,79,75,82,76,84,77,85,80,86,84,86,87,85,88,84,89,82,89,79,88,77,87,76,84,75,80,75,0,72,92,75,70,89,91,32,75,91,89,70,0,71,93,82,70,82,91,32,73,76,74,76,75,77,76,81,77,83,78,84,81,85,83,85,86,84,87,83,88,81,89,77,90,76,91,76,0,72,92,75,91,79,91,76,84,75,80,75,76,76,73,78,71,81,70,83,70,86,71,88,73,89,76,89,80,88,84,85,91,89,91,0,71,91,71,91,73,90,76,87,79,83,83,76,86,70,86,91,85,88,83,85,81,83,78,81,76,81,75,82,75,84,76,86,78,88,81,90,84,91,89,91,0,70,93,83,72,84,73,84,76,83,80,82,83,81,85,79,88,77,90,75,91,74,91,73,90,73,87,74,82,75,79,76,77,78,74,80,72,82,71,85,70,88,70,90,71,91,73,91,75,90,77,89,78,87,79,84,80,32,83,80,84,80,87,81,88,82,89,84,89,87,88,89,87,90,85,91,82,91,80,90,79,88,0,72,92,84,76,84,77,85,78,87,78,89,77,90,75,90,73,89,71,87,70,84,70,81,71,79,73,77,76,76,78,75,82,75,86,76,89,77,90,79,91,81,91,84,90,86,88,87,86,0,71,94,84,70,82,71,81,73,80,77,79,83,78,86,77,88,75,90,73,91,71,91,70,90,70,88,71,87,73,87,75,88,77,90,80,91,83,91,86,90,88,88,90,84,91,79,91,75,90,72,89,71,87,70,84,70,82,72,82,74,83,77,85,80,87,82,90,84,92,85,0,72,92,86,74,86,75,87,76,89,76,90,75,90,73,89,71,86,70,82,70,79,71,78,73,78,76,79,78,80,79,83,80,80,80,77,81,76,82,75,84,75,87,76,89,77,90,80,91,83,91,86,90,88,88,89,86,0,72,92,82,76,80,76,78,75,77,73,78,71,81,70,84,70,88,71,91,71,93,70,32,88,71,86,78,84,84,82,88,80,90,78,91,76,91,74,90,73,88,73,86,74,85,76,85,78,86,32,81,80,90,80,0,71,94,71,91,73,90,77,86,80,81,81,78,82,74,82,71,81,70,80,70,79,71,78,73,78,76,79,78,81,79,85,79,88,78,89,77,90,75,90,81,89,86,88,88,86,90,83,91,79,91,76,90,74,88,73,86,73,84,0,70,94,77,77,75,76,74,74,74,73,75,71,77,70,78,70,80,71,81,73,81,75,80,79,78,85,76,89,74,91,72,91,71,90,71,88,32,77,82,86,79,88,78,91,76,93,74,94,72,94,71,93,70,92,70,90,72,88,76,86,82,85,87,85,90,86,91,87,91,89,90,90,89,92,86,0,73,90,87,86,85,84,83,81,82,79,81,76,81,73,82,71,83,70,85,70,86,71,87,73,87,76,86,81,84,86,83,88,81,90,79,91,77,91,75,90,74,88,74,86,75,85,77,85,79,86,0,74,89,84,94,82,91,80,86,79,80,79,74,80,71,82,70,84,70,85,71,86,74,86,77,85,82,82,91,80,97,79,100,78,102,76,103,75,102,75,100,76,97,78,94,80,92,83,90,87,88,0,70,94,77,77,75,76,74,74,74,73,75,71,77,70,78,70,80,71,81,73,81,75,80,79,78,85,76,89,74,91,72,91,71,90,71,88,32,94,73,94,71,93,70,92,70,90,71,88,73,86,76,84,78,82,79,80,79,32,82,79,83,81,83,88,84,90,85,91,86,91,88,90,89,89,91,86,0,73,92,77,82,79,82,83,81,86,79,88,77,89,75,89,72,88,70,86,70,85,71,84,73,83,78,82,83,81,86,80,88,78,90,76,91,74,91,73,90,73,88,74,87,76,87,78,88,81,90,84,91,86,91,89,90,91,88,0,64,97,69,77,67,76,66,74,66,73,67,71,69,70,70,70,72,71,73,73,73,75,72,80,71,84,69,91,32,71,84,74,76,76,72,77,71,79,70,80,70,82,71,83,73,83,75,82,80,81,84,79,91,32,81,84,84,76,86,72,87,71,89,70,90,70,92,71,93,73,93,75,92,80,90,87,90,90,91,91,92,91,94,90,95,89,97,86,0,69,93,74,77,72,76,71,74,71,73,72,71,74,70,75,70,77,71,78,73,78,75,77,80,76,84,74,91,32,76,84,79,76,81,72,82,71,84,70,86,70,88,71,89,73,89,75,88,80,86,87,86,90,87,91,88,91,90,90,91,89,93,86,0,72,93,84,70,81,71,79,73,77,76,76,78,75,82,75,86,76,89,77,90,79,91,81,91,84,90,86,88,88,85,89,83,90,79,90,75,89,72,88,71,86,70,84,70,82,72,82,75,83,78,85,81,87,83,90,85,92,86,0,70,95,83,72,84,73,84,76,83,80,82,83,81,85,79,88,77,90,75,91,74,91,73,90,73,87,74,82,75,79,76,77,78,74,80,72,82,71,85,70,90,70,92,71,93,72,94,74,94,77,93,79,92,80,90,81,87,81,85,80,84,79,0,72,94,85,76,84,78,83,79,81,80,79,80,78,78,78,76,79,73,81,71,84,70,87,70,89,71,90,73,90,77,89,80,87,83,83,87,80,89,78,90,75,91,73,91,72,90,72,88,73,87,75,87,77,88,80,90,83,91,86,91,89,90,91,88,0,70,95,83,72,84,73,84,76,83,80,82,83,81,85,79,88,77,90,75,91,74,91,73,90,73,87,74,82,75,79,76,77,78,74,80,72,82,71,85,70,89,70,91,71,92,72,93,74,93,77,92,79,91,80,89,81,86,81,83,80,84,81,85,83,85,88,86,90,88,91,90,90,91,89,93,86,0,72,92,72,91,74,90,76,88,79,84,81,81,83,77,84,74,84,71,83,70,82,70,81,71,80,73,80,75,81,77,83,79,86,81,88,83,89,85,89,87,88,89,87,90,84,91,80,91,77,90,75,88,74,86,74,84,0,72,91,82,76,80,76,78,75,77,73,78,71,81,70,84,70,88,71,91,71,93,70,32,88,71,86,78,84,84,82,88,80,90,78,91,76,91,74,90,73,88,73,86,74,85,76,85,78,86,0,69,93,74,77,72,76,71,74,71,73,72,71,74,70,75,70,77,71,78,73,78,75,77,79,76,82,75,86,75,88,76,90,78,91,80,91,82,90,83,89,85,85,88,77,90,70,32,88,77,87,81,86,87,86,90,87,91,88,91,90,90,91,89,93,86,0,70,93,75,77,73,76,72,74,72,73,73,71,75,70,76,70,78,71,79,73,79,75,78,79,77,82,76,86,76,89,77,91,79,91,81,90,84,87,86,84,88,80,89,77,90,73,90,71,89,70,88,70,87,71,86,73,86,75,87,78,89,80,91,81,0,67,95,72,77,70,76,69,74,69,73,70,71,72,70,73,70,75,71,76,73,76,76,75,91,32,85,70,75,91,32,85,70,83,91,32,97,70,95,71,92,74,89,78,86,84,83,91,0,70,94,78,76,76,76,75,75,75,73,76,71,78,70,80,70,82,71,83,73,83,76,81,85,81,88,82,90,84,91,86,91,88,90,89,88,89,86,88,85,86,85,32,93,73,93,71,92,70,90,70,88,71,86,73,84,76,80,85,78,88,76,90,74,91,72,91,71,90,71,88,0,70,93,75,77,73,76,72,74,72,73,73,71,75,70,76,70,78,71,79,73,79,75,78,79,77,82,76,86,76,88,77,90,78,91,80,91,82,90,84,88,86,85,87,83,89,77,32,91,70,89,77,86,87,84,93,82,98,80,102,78,103,77,102,77,100,78,97,80,94,83,91,86,89,91,86,0,72,93,85,76,84,78,83,79,81,80,79,80,78,78,78,76,79,73,81,71,84,70,87,70,89,71,90,73,90,77,89,80,87,84,84,87,80,90,78,91,75,91,74,90,74,88,75,87,78,87,80,88,81,89,82,91,82,94,81,97,80,99,78,102,76,103,75,102,75,100,76,97,78,94,81,91,84,89,90,86,0,73,91,74,70,82,91,32,90,70,82,91,32,74,70,90,70,0,71,93,73,76,91,98,0,69,95,82,74,73,90,32,82,74,91,90,0,73,91,74,91,90,91,0,73,91,74,91,90,91,90,90,74,90,74,91,0,73,92,88,77,88,91,32,88,80,86,78,84,77,81,77,79,78,77,80,76,83,76,85,77,88,79,90,81,91,84,91,86,90,88,88,0,72,91,76,70,76,91,32,76,80,78,78,80,77,83,77,85,78,87,80,88,83,88,85,87,88,85,90,83,91,80,91,78,90,76,88,0,73,91,88,80,86,78,84,77,81,77,79,78,77,80,76,83,76,85,77,88,79,90,81,91,84,91,86,90,88,88,0,73,92,88,70,88,91,32,88,80,86,78,84,77,81,77,79,78,77,80,76,83,76,85,77,88,79,90,81,91,84,91,86,90,88,88,0,73,91,76,83,88,83,88,81,87,79,86,78,84,77,81,77,79,78,77,80,76,83,76,85,77,88,79,90,81,91,84,91,86,90,88,88,0,77,89,87,70,85,70,83,71,82,74,82,91,32,79,77,86,77,0,73,92,88,77,88,93,87,96,86,97,84,98,81,98,79,97,32,88,80,86,78,84,77,81,77,79,78,77,80,76,83,76,85,77,88,79,90,81,91,84,91,86,90,88,88,0,73,92,77,70,77,91,32,77,81,80,78,82,77,85,77,87,78,88,81,88,91,0,78,86,81,70,82,71,83,70,82,69,81,70,32,82,77,82,91,0,77,87,82,70,83,71,84,70,83,69,82,70,32,83,77,83,94,82,97,80,98,78,98,0,73,90,77,70,77,91,32,87,77,77,87,32,81,83,88,91,0,67,97,71,77,71,91,32,71,81,74,78,76,77,79,77,81,78,82,81,82,91,32,82,81,85,78,87,77,90,77,92,78,93,81,93,91,0,73,92,77,77,77,91,32,77,81,80,78,82,77,85,77,87,78,88,81,88,91,0,73,92,81,77,79,78,77,80,76,83,76,85,77,88,79,90,81,91,84,91,86,90,88,88,89,85,89,83,88,80,86,78,84,77,81,77,0,72,91,76,77,76,98,32,76,80,78,78,80,77,83,77,85,78,87,80,88,83,88,85,87,88,85,90,83,91,80,91,78,90,76,88,0,73,92,88,77,88,98,32,88,80,86,78,84,77,81,77,79,78,77,80,76,83,76,85,77,88,79,90,81,91,84,91,86,90,88,88,0,75,88,79,77,79,91,32,79,83,80,80,82,78,84,77,87,77,0,74,91,88,80,87,78,84,77,81,77,78,78,77,80,78,82,80,83,85,84,87,85,88,87,88,88,87,90,84,91,81,91,78,90,77,88,0,77,89,82,70,82,87,83,90,85,91,87,91,32,79,77,86,77,0,73,92,77,77,77,87,78,90,80,91,83,91,85,90,88,87,32,88,77,88,91,0,74,90,76,77,82,91,32,88,77,82,91,0,71,93,74,77,78,91,32,82,77,78,91,32,82,77,86,91,32,90,77,86,91,0,74,91,77,77,88,91,32,88,77,77,91,0,74,90,76,77,82,91,32,88,77,82,91,80,95,78,97,76,98,75,98,0,74,91,88,77,77,91,32,77,77,88,77,32,77,91,88,91,0,72,93,81,77,79,78,77,80,76,82,75,85,75,88,76,90,78,91,80,91,82,90,85,87,87,84,89,80,90,77,32,81,77,83,77,84,78,85,80,87,88,88,90,89,91,90,91,0,73,92,85,70,83,71,81,73,79,77,78,80,77,84,76,90,75,98,32,85,70,87,70,89,72,89,75,88,77,87,78,85,79,82,79,32,82,79,84,80,86,82,87,84,87,87,86,89,85,90,83,91,81,91,79,90,78,89,77,86,0,73,92,74,80,76,78,78,77,79,77,81,78,82,79,83,82,83,86,82,91,32,90,77,89,80,88,82,82,91,80,95,79,98,0,73,91,84,77,81,77,79,78,77,80,76,83,76,86,77,89,78,90,80,91,82,91,84,90,86,88,87,85,87,82,86,79,84,77,82,75,81,73,81,71,82,70,84,70,86,71,88,73,0,74,90,87,79,86,78,84,77,81,77,79,78,79,80,80,82,83,83,32,83,83,79,84,77,86,77,88,78,90,80,91,83,91,85,90,87,88,0,74,89,84,70,82,71,81,72,81,73,82,74,85,75,88,75,32,88,75,84,77,81,79,78,82,77,85,77,87,78,89,80,91,83,93,84,95,84,97,83,98,81,98,80,96,0,72,92,73,81,74,79,76,77,78,77,79,78,79,80,78,84,76,91,32,78,84,80,80,82,78,84,77,86,77,88,79,88,82,87,87,84,98,0,71,92,72,81,73,79,75,77,77,77,78,78,78,80,77,85,77,88,78,90,79,91,81,91,83,90,85,87,86,85,87,82,88,77,88,74,87,71,85,70,83,70,82,72,82,74,83,77,85,80,87,82,90,84,0,76,87,82,77,80,84,79,88,79,90,80,91,82,91,84,89,85,87,0,73,91,79,77,75,91,32,89,78,88,77,87,77,85,78,81,82,79,83,78,83,32,78,83,80,84,81,85,83,90,84,91,85,91,86,90,0,74,90,75,70,77,70,79,71,80,72,88,91,32,82,77,76,91,0,72,93,79,77,73,98,32,78,81,77,86,77,89,79,91,81,91,83,90,85,88,87,84,32,89,77,87,84,86,88,86,90,87,91,89,91,91,89,92,87,0,73,91,76,77,79,77,78,83,77,88,76,91,32,89,77,88,80,87,82,85,85,82,88,79,90,76,91,0,74,90,84,70,82,71,81,72,81,73,82,74,85,75,88,75,32,85,75,82,76,80,77,79,79,79,81,81,83,84,84,86,84,32,84,84,80,85,78,86,77,88,77,90,79,92,83,94,84,95,84,97,82,98,80,98,0,74,91,82,77,80,78,78,80,77,83,77,86,78,89,79,90,81,91,83,91,85,90,87,88,88,85,88,82,87,79,86,78,84,77,82,77,0,71,93,80,77,76,91,32,85,77,86,83,87,88,88,91,32,73,80,75,78,78,77,91,77,0,73,91,77,83,77,86,78,89,79,90,81,91,83,91,85,90,87,88,88,85,88,82,87,79,86,78,84,77,82,77,80,78,78,80,77,83,73,98,0,73,93,91,77,81,77,79,78,77,80,76,83,76,86,77,89,78,90,80,91,82,91,84,90,86,88,87,85,87,82,86,79,85,78,83,77,0,72,92,83,77,80,91,32,74,80,76,78,79,77,90,77,0,72,92,73,81,74,79,76,77,78,77,79,78,79,80,77,86,77,89,79,91,81,91,84,90,86,88,88,84,89,80,89,77,0,71,93,79,78,77,79,75,81,74,84,74,87,75,89,76,90,78,91,81,91,84,90,87,88,89,85,90,82,90,79,88,77,86,77,84,79,82,83,80,88,77,98,0,73,91,75,77,77,77,79,79,85,96,87,98,89,98,32,90,77,89,79,87,82,77,93,75,96,74,98,0,70,93,86,70,78,98,32,71,81,72,79,74,77,76,77,77,78,77,80,76,85,76,88,77,90,79,91,81,91,84,90,86,88,88,85,90,80,91,77,0,70,93,78,77,76,78,74,81,73,84,73,87,74,90,75,91,77,91,79,90,81,87,32,82,83,81,87,82,90,83,91,85,91,87,90,89,87,90,84,90,81,89,78,88,77,0,76,92,85,85,84,83,82,82,80,82,78,83,77,84,76,86,76,88,77,90,79,91,81,91,83,90,84,88,86,82,85,87,85,90,86,91,87,91,89,90,90,89,92,86,0,77,91,77,86,79,83,82,78,83,76,84,73,84,71,83,70,81,71,80,73,79,77,78,84,78,90,79,91,80,91,82,90,84,88,85,85,85,82,86,86,87,87,89,87,91,86,0,77,88,84,84,84,83,83,82,81,82,79,83,78,84,77,86,77,88,78,90,80,91,83,91,86,89,88,86,0,76,92,85,85,84,83,82,82,80,82,78,83,77,84,76,86,76,88,77,90,79,91,81,91,83,90,84,88,90,70,32,86,82,85,87,85,90,86,91,87,91,89,90,90,89,92,86,0,78,88,79,89,81,88,82,87,83,85,83,83,82,82,81,82,79,83,78,85,78,88,79,90,81,91,83,91,85,90,86,89,88,86,0,79,87,79,86,83,81,85,78,86,76,87,73,87,71,86,70,84,71,83,73,81,81,78,90,75,97,74,100,74,102,75,103,77,102,78,99,79,90,80,91,82,91,84,90,85,89,87,86,0,76,91,85,85,84,83,82,82,80,82,78,83,77,84,76,86,76,88,77,90,79,91,81,91,83,90,84,89,32,86,82,84,89,80,100,79,102,77,103,76,102,76,100,77,97,80,94,83,92,85,91,88,89,91,86,0,77,92,77,86,79,83,82,78,83,76,84,73,84,71,83,70,81,71,80,73,79,77,78,83,77,91,32,77,91,78,88,79,86,81,83,83,82,85,82,86,83,86,85,85,88,85,90,86,91,87,91,89,90,90,89,92,86,0,80,87,83,77,83,78,84,78,84,77,83,77,32,80,86,82,82,80,88,80,90,81,91,82,91,84,90,85,89,87,86,0,80,87,83,77,83,78,84,78,84,77,83,77,32,80,86,82,82,76,100,75,102,73,103,72,102,72,100,73,97,76,94,79,92,81,91,84,89,87,86,0,77,91,77,86,79,83,82,78,83,76,84,73,84,71,83,70,81,71,80,73,79,77,78,83,77,91,32,77,91,78,88,79,86,81,83,83,82,85,82,86,83,86,85,84,86,81,86,32,81,86,83,87,84,90],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+296964);allocate([85,91,86,91,88,90,89,89,91,86,0,79,87,79,86,81,83,84,78,85,76,86,73,86,71,85,70,83,71,82,73,81,77,80,84,80,90,81,91,82,91,84,90,85,89,87,86,0,69,94,69,86,71,83,73,82,74,83,74,84,73,88,72,91,32,73,88,74,86,76,83,78,82,80,82,81,83,81,84,80,88,79,91,32,80,88,81,86,83,83,85,82,87,82,88,83,88,85,87,88,87,90,88,91,89,91,91,90,92,89,94,86,0,74,92,74,86,76,83,78,82,79,83,79,84,78,88,77,91,32,78,88,79,86,81,83,83,82,85,82,86,83,86,85,85,88,85,90,86,91,87,91,89,90,90,89,92,86,0,76,90,82,82,80,82,78,83,77,84,76,86,76,88,77,90,79,91,81,91,83,90,84,89,85,87,85,85,84,83,82,82,81,83,81,85,82,87,84,88,87,88,89,87,90,86,0,75,90,75,86,77,83,78,81,77,85,71,103,32,77,85,78,83,80,82,82,82,84,83,85,85,85,87,84,89,83,90,81,91,32,77,90,79,91,82,91,85,90,87,89,90,86,0,76,91,85,85,84,83,82,82,80,82,78,83,77,84,76,86,76,88,77,90,79,91,81,91,83,90,32,86,82,85,85,83,90,80,97,79,100,79,102,80,103,82,102,83,99,83,92,85,91,88,89,91,86,0,77,90,77,86,79,83,80,81,80,83,83,83,84,84,84,86,83,89,83,90,84,91,85,91,87,90,88,89,90,86,0,78,89,78,86,80,83,81,81,81,83,83,86,84,88,84,90,82,91,32,78,90,80,91,84,91,86,90,87,89,89,86,0,79,88,79,86,81,83,83,79,32,86,70,80,88,80,90,81,91,83,91,85,90,86,89,88,86,32,80,78,87,78,0,76,91,76,86,78,82,76,88,76,90,77,91,79,91,81,90,83,88,85,85,32,86,82,84,88,84,90,85,91,86,91,88,90,89,89,91,86,0,76,91,76,86,78,82,77,87,77,90,78,91,79,91,82,90,84,88,85,85,85,82,32,85,82,86,86,87,87,89,87,91,86,0,73,94,76,82,74,84,73,87,73,89,74,91,76,91,78,90,80,88,32,82,82,80,88,80,90,81,91,83,91,85,90,87,88,88,85,88,82,32,88,82,89,86,90,87,92,87,94,86,0,74,90,74,86,76,83,78,82,80,82,81,83,81,90,82,91,85,91,88,89,90,86,32,87,83,86,82,84,82,83,83,79,90,78,91,76,91,75,90,0,76,91,76,86,78,82,76,88,76,90,77,91,79,91,81,90,83,88,85,85,32,86,82,80,100,79,102,77,103,76,102,76,100,77,97,80,94,83,92,85,91,88,89,91,86,0,76,90,76,86,78,83,80,82,82,82,84,84,84,86,83,88,81,90,78,91,80,92,81,94,81,97,80,100,79,102,77,103,76,102,76,100,77,97,80,94,83,92,87,89,90,86,0,74,92,75,91,78,90,81,88,83,86,85,83,87,79,88,75,88,73,87,71,85,70,83,71,82,72,81,74,80,79,80,84,81,88,82,90,84,91,86,91,88,90,89,89,0,73,91,87,85,87,82,86,79,85,78,83,77,81,77,79,78,77,80,76,83,76,86,77,89,78,90,80,91,82,91,84,90,86,88,87,85,88,80,88,75,87,72,86,71,84,70,82,70,80,71,78,73,0,74,90,87,78,85,77,82,77,80,78,78,80,77,83,77,86,78,89,79,90,81,91,84,91,86,90,32,77,84,85,84,0,74,91,84,70,82,71,80,74,79,76,78,79,77,84,77,88,78,90,79,91,81,91,83,90,85,87,86,85,87,82,88,77,88,73,87,71,86,70,84,70,32,78,80,87,80,0,72,92,86,70,78,98,32,81,77,78,78,76,80,75,83,75,86,76,88,78,90,81,91,83,91,86,90,88,88,89,85,89,82,88,80,86,78,83,77,81,77,0,73,91,88,79,87,78,84,77,81,77,78,78,77,79,76,81,76,83,77,85,79,87,83,90,84,92,84,94,83,95,81,95,0,68,97,87,78,86,76,84,75,81,75,79,76,78,77,77,79,77,82,78,84,79,85,81,86,84,86,86,85,87,83,32,87,75,87,83,88,85,89,86,91,86,92,85,93,83,93,79,92,76,91,74,89,72,87,71,84,70,81,70,78,71,76,72,74,74,73,76,72,79,72,82,73,85,74,87,76,89,78,90,81,91,84,91,87,90,89,89,0,70,94,90,73,74,82,90,91,0,70,94,74,73,90,82,74,91,0,75,89,79,66,79,98,32,79,66,86,66,32,79,98,86,98,0,75,89,85,66,85,98,32,78,66,85,66,32,78,98,85,98,0,75,89,84,66,81,69,80,72,80,74,81,77,83,79,83,80,79,82,83,84,83,85,81,87,80,90,80,92,81,95,84,98,0,75,89,80,66,83,69,84,72,84,74,83,77,81,79,81,80,85,82,81,84,81,85,83,87,84,90,84,92,83,95,80,98,0,70,94,91,70,89,71,86,72,83,72,80,71,78,70,76,70,74,71,73,73,73,75,75,77,77,77,79,76,80,74,80,72,78,70,32,91,70,73,91,32,89,84,87,84,85,85,84,87,84,89,86,91,88,91,90,90,91,88,91,86,89,84,0,74,90,0,72,92,81,70,78,71,76,74,75,79,75,82,76,87,78,90,81,91,83,91,86,90,88,87,89,82,89,79,88,74,86,71,83,70,81,70,0,72,92,78,74,80,73,83,70,83,91,0,72,92,76,75,76,74,77,72,78,71,80,70,84,70,86,71,87,72,88,74,88,76,87,78,85,81,75,91,89,91,0,72,92,77,70,88,70,82,78,85,78,87,79,88,80,89,83,89,85,88,88,86,90,83,91,80,91,77,90,76,89,75,87,0,72,92,85,70,75,84,90,84,32,85,70,85,91,0,72,92,87,70,77,70,76,79,77,78,80,77,83,77,86,78,88,80,89,83,89,85,88,88,86,90,83,91,80,91,77,90,76,89,75,87,0,72,92,88,73,87,71,84,70,82,70,79,71,77,74,76,79,76,84,77,88,79,90,82,91,83,91,86,90,88,88,89,85,89,84,88,81,86,79,83,78,82,78,79,79,77,81,76,84,0,72,92,89,70,79,91,32,75,70,89,70,0,72,92,80,70,77,71,76,73,76,75,77,77,79,78,83,79,86,80,88,82,89,84,89,87,88,89,87,90,84,91,80,91,77,90,76,89,75,87,75,84,76,82,78,80,81,79,85,78,87,77,88,75,88,73,87,71,84,70,80,70,0,72,92,88,77,87,80,85,82,82,83,81,83,78,82,76,80,75,77,75,76,76,73,78,71,81,70,82,70,85,71,87,73,88,77,88,82,87,87,85,90,82,91,80,91,77,90,76,88,0,77,87,82,89,81,90,82,91,83,90,82,89,0,77,87,83,90,82,91,81,90,82,89,83,90,83,92,82,94,81,95,0,77,87,82,77,81,78,82,79,83,78,82,77,32,82,89,81,90,82,91,83,90,82,89,0,77,87,82,77,81,78,82,79,83,78,82,77,32,83,90,82,91,81,90,82,89,83,90,83,92,82,94,81,95,0,77,87,82,70,82,84,32,82,89,81,90,82,91,83,90,82,89,0,73,91,76,75,76,74,77,72,78,71,80,70,84,70,86,71,87,72,88,74,88,76,87,78,86,79,82,81,82,84,32,82,89,81,90,82,91,83,90,82,89,0,78,86,82,70,82,77,0,74,90,78,70,78,77,32,86,70,86,77,0,75,89,81,70,79,71,78,73,78,75,79,77,81,78,83,78,85,77,86,75,86,73,85,71,83,70,81,70,0,72,92,80,66,80,95,32,84,66,84,95,32,89,73,87,71,84,70,80,70,77,71,75,73,75,75,76,77,77,78,79,79,85,81,87,82,88,83,89,85,89,88,87,90,84,91,80,91,77,90,75,88,0,71,93,91,66,73,98,0,75,89,86,66,84,68,82,71,80,75,79,80,79,84,80,89,82,93,84,96,86,98,0,75,89,78,66,80,68,82,71,84,75,85,80,85,84,84,89,82,93,80,96,78,98,0,78,86,82,66,82,98,0,69,95,73,82,91,82,0,69,95,82,73,82,91,32,73,82,91,82,0,69,95,73,79,91,79,32,73,85,91,85,0,71,93,75,75,89,89,32,89,75,75,89,0,74,90,82,76,82,88,32,77,79,87,85,32,87,79,77,85,0,77,87,82,81,81,82,82,83,83,82,82,81,0,77,87,83,70,82,71,81,73,81,75,82,76,83,75,82,74,0,77,87,82,72,81,71,82,70,83,71,83,73,82,75,81,76,0,69,95,85,77,88,80,91,82,88,84,85,87,32,73,82,91,82,0,71,93,79,70,79,98,32,85,70,85,98,32,74,81,90,81,32,74,87,90,87,0,69,95,92,79,92,78,91,77,90,77,89,78,88,80,86,85,84,88,82,90,80,91,76,91,74,90,73,89,72,87,72,85,73,83,74,82,81,78,82,77,83,75,83,73,82,71,80,70,78,71,77,73,77,75,78,78,80,81,85,88,87,90,89,91,91,91,92,90,92,89,0,71,93,73,73,74,75,75,79,75,85,74,89,73,91,32,91,73,90,75,89,79,89,85,90,89,91,91,32,73,73,75,74,79,75,85,75,89,74,91,73,32,73,91,75,90,79,89,85,89,89,90,91,91,0,70,95,92,81,91,79,89,78,87,78,85,79,84,80,81,84,80,85,78,86,76,86,74,85,73,83,73,81,74,79,76,78,78,78,80,79,81,80,84,84,85,85,87,86,89,86,91,85,92,83,92,81,0,75,89,79,66,79,91,32,85,66,85,91,0,70,94,82,66,82,91,32,73,91,91,91,0,70,94,91,66,73,91,91,91,0,69,95,82,73,81,74,82,75,83,74,82,73,32,73,89,72,90,73,91,74,90,73,89,32,91,89,90,90,91,91,92,90,91,89,0,70,94,82,72,78,76,75,80,74,83,74,85,75,87,77,88,79,88,81,87,82,85,32,82,72,86,76,89,80,90,83,90,85,89,87,87,88,85,88,83,87,82,85,32,82,85,81,89,80,92,32,82,85,83,89,84,92,32,80,92,84,92,0,70,94,82,78,81,75,80,73,78,72,77,72,75,73,74,75,74,79,75,82,76,84,78,87,82,92,32,82,78,83,75,84,73,86,72,87,72,89,73,90,75,90,79,89,82,88,84,86,87,82,92,0,70,94,82,71,80,74,76,79,73,82,32,82,71,84,74,88,79,91,82,32,73,82,76,85,80,90,82,93,32,91,82,88,85,84,90,82,93,0,70,94,82,84,84,87,86,88,88,88,90,87,91,85,91,83,90,81,88,80,86,80,83,81,32,83,81,85,79,86,77,86,75,85,73,83,72,81,72,79,73,78,75,78,77,79,79,81,81,32,81,81,78,80,76,80,74,81,73,83,73,85,74,87,76,88,78,88,80,87,82,84,32,82,84,81,89,80,92,32,82,84,83,89,84,92,32,80,92,84,92,0,70,94,82,82,82,91,81,92,32,82,86,81,92,32,82,73,81,72,79,72,78,73,78,75,79,78,82,82,32,82,73,83,72,85,72,86,73,86,75,85,78,82,82,32,82,82,78,79,76,78,74,78,73,79,73,81,74,82,32,82,82,86,79,88,78,90,78,91,79,91,81,90,82,32,82,82,78,85,76,86,74,86,73,85,73,83,74,82,32,82,82,86,85,88,86,90,86,91,85,91,83,90,82,0,70,94,73,83,74,83,76,84,77,86,77,88,76,90,32,73,83,73,82,74,81,76,81,77,82,78,84,78,87,77,89,76,90,32,82,71,80,73,79,76,79,79,81,85,81,88,80,90,82,92,32,82,71,84,73,85,76,85,79,83,85,83,88,84,90,82,92,32,91,83,91,82,90,81,88,81,87,82,86,84,86,87,87,89,88,90,32,91,83,90,83,88,84,87,86,87,88,88,90,32,75,86,89,86,0,80,83,83,82,82,83,81,83,80,82,80,81,81,80,82,80,83,81,83,83,82,85,81,86,32,81,81,81,82,82,82,82,81,81,81,0,80,84,81,80,80,81,80,83,81,84,83,84,84,83,84,81,83,80,81,80,32,82,81,81,82,82,83,83,82,82,81,0,78,86,80,79,84,85,32,84,79,80,85,32,78,82,86,82,0,77,87,82,75,81,77,79,80,77,82,32,82,75,83,77,85,80,87,82,32,82,77,79,81,32,82,77,85,81,32,82,79,80,81,32,82,79,84,81,32,81,81,83,81,32,77,82,87,82,0,77,87,77,82,77,81,78,79,79,78,81,77,83,77,85,78,86,79,87,81,87,82,32,80,78,84,78,32,79,79,85,79,32,78,80,86,80,32,78,81,86,81,32,77,82,87,82,0,76,82,76,70,76,82,82,82,76,70,32,76,73,80,81,32,76,76,79,82,32,76,79,77,81,0,77,87,82,75,81,77,79,80,77,82,32,82,75,83,77,85,80,87,82,0,77,87,87,82,87,81,86,79,85,78,83,77,81,77,79,78,78,79,77,81,77,82,0,71,93,93,82,93,80,92,77,90,74,87,72,84,71,80,71,77,72,74,74,72,77,71,80,71,82,0,77,87,77,82,77,83,78,85,79,86,81,87,83,87,85,86,86,85,87,83,87,82,0,76,88,76,80,78,82,81,83,83,83,86,82,88,80,0,82,85,82,85,84,84,85,82,84,80,82,79,0,82,86,82,82,85,80,86,78,86,76,85,75,84,75,0,78,82,82,82,79,80,78,78,78,76,79,75,80,75,0,77,87,87,72,86,71,84,70,81,70,79,71,78,72,77,74,77,76,78,78,79,79,85,83,86,84,87,86,87,88,86,90,85,91,83,92,80,92,78,91,77,90,0,71,93,73,87,72,86,71,84,71,81,72,79,73,78,75,77,77,77,79,78,80,79,84,85,85,86,87,87,89,87,91,86,92,85,93,83,93,80,92,78,91,77,0,71,93,82,82,84,85,85,86,87,87,89,87,91,86,92,85,93,83,93,81,92,79,91,78,89,77,87,77,85,78,84,79,80,85,79,86,77,87,75,87,73,86,72,85,71,83,71,81,72,79,73,78,75,77,77,77,79,78,80,79,82,82,0,72,92,75,70,75,91,32,72,70,91,70,81,80,91,90,32,90,86,91,89,92,91,32,90,86,90,89,32,87,89,90,89,32,87,89,90,90,92,91,0,75,89,85,65,82,66,80,67,78,69,76,72,75,76,75,82,76,85,78,87,81,88,83,88,86,87,88,85,89,82,32,75,80,76,77,78,75,81,74,83,74,86,75,88,77,89,80,89,86,88,90,86,93,84,95,82,96,79,97,0,62,102,62,82,102,82,0,68,96,68,96,96,68,0,82,82,82,62,82,102,0,68,96,68,68,96,96,0,68,96,68,82,96,82,0,70,94,70,89,94,75,0,75,89,75,94,89,70,0,75,89,75,70,89,94,0,70,94,70,75,94,89,0,75,89,75,82,89,82,0,77,87,77,87,87,77,0,77,87,77,77,87,87,0,68,96,68,79,71,81,75,83,80,84,84,84,89,83,93,81,96,79,0,80,85,85,68,83,71,81,75,80,80,80,84,81,89,83,93,85,96,0,79,84,79,68,81,71,83,75,84,80,84,84,83,89,81,93,79,96,0,68,96,68,85,71,83,75,81,80,80,84,80,89,81,93,83,96,85,0,75,89,82,74,89,78,75,86,82,90,0,74,90,74,82,78,75,86,89,90,82,0,75,89,75,86,75,78,89,86,89,78,0,74,90,76,88,74,80,90,84,88,76,0,74,90,74,93,76,93,79,92,81,91,84,88,85,86,86,83,86,79,85,76,84,74,83,73,81,73,80,74,79,76,78,79,78,83,79,86,80,88,83,91,85,92,88,93,90,93,0,73,93,93,90,93,88,92,85,91,83,88,80,86,79,83,78,79,78,76,79,74,80,73,81,73,83,74,84,76,85,79,86,83,86,86,85,88,84,91,81,92,79,93,76,93,74,0,74,90,90,71,88,71,85,72,83,73,80,76,79,78,78,81,78,85,79,88,80,90,81,91,83,91,84,90,85,88,86,85,86,81,85,78,84,76,81,73,79,72,76,71,74,71,0,71,91,71,74,71,76,72,79,73,81,76,84,78,85,81,86,85,86,88,85,90,84,91,83,91,81,90,80,88,79,85,78,81,78,78,79,76,80,73,83,72,85,71,88,71,90,0,69,91,69,80,70,82,72,84,74,85,77,86,81,86,85,85,88,83,90,80,91,78,90,76,87,76,83,77,81,78,78,80,76,83,75,86,75,89,76,92,77,94,0,69,89,69,84,72,86,75,87,80,87,83,86,86,84,88,81,89,78,89,76,88,75,86,75,83,76,80,78,78,81,77,84,77,89,78,92,80,95,0,79,85,81,79,79,81,79,83,81,85,83,85,85,83,85,81,83,79,81,79,32,81,80,80,81,80,83,81,84,83,84,84,83,84,81,83,80,81,80,32,82,81,81,82,82,83,83,82,82,81,0,68,96,68,82,74,82,32,79,82,85,82,32,90,82,96,82,0,68,96,68,85,68,79,96,79,96,85,0,74,90,82,68,74,82,32,82,68,90,82,0,68,96,68,82,96,82,32,74,89,90,89,32,80,96,84,96,0,68,96,68,82,96,82,32,68,82,82,98,32,96,82,82,98,0,75,89,81,75,78,76,76,78,75,81,75,83,76,86,78,88,81,89,83,89,86,88,88,86,89,83,89,81,88,78,86,76,83,75,81,75,0,76,88,76,76,76,88,88,88,88,76,76,76,0,75,89,82,74,75,86,89,86,82,74,0,76,88,82,72,76,82,82,92,88,82,82,72,0,74,90,82,73,80,79,74,79,79,83,77,89,82,85,87,89,85,83,90,79,84,79,82,73,0,75,89,82,75,82,89,32,75,82,89,82,0,77,87,77,77,87,87,32,87,77,77,87,0,77,87,82,76,82,88,32,77,79,87,85,32,87,79,77,85,0,78,86,81,78,79,79,78,81,78,83,79,85,81,86,83,86,85,85,86,83,86,81,85,79,83,78,81,78,32,79,81,79,83,32,80,80,80,84,32,81,79,81,85,32,82,79,82,85,32,83,79,83,85,32,84,80,84,84,32,85,81,85,83,0,78,86,78,78,78,86,86,86,86,78,78,78,32,79,79,79,85,32,80,79,80,85,32,81,79,81,85,32,82,79,82,85,32,83,79,83,85,32,84,79,84,85,32,85,79,85,85,0,77,87,82,76,77,85,87,85,82,76,32,82,79,79,84,32,82,79,85,84,32,82,82,81,84,32,82,82,83,84,0,76,85,76,82,85,87,85,77,76,82,32,79,82,84,85,32,79,82,84,79,32,82,82,84,83,32,82,82,84,81,0,77,87,82,88,87,79,77,79,82,88,32,82,85,85,80,32,82,85,79,80,32,82,82,83,80,32,82,82,81,80,0,79,88,88,82,79,77,79,87,88,82,32,85,82,80,79,32,85,82,80,85,32,82,82,80,81,32,82,82,80,83,0,76,88,82,76,78,87,88,80,76,80,86,87,82,76,32,82,82,82,76,32,82,82,76,80,32,82,82,78,87,32,82,82,86,87,32,82,82,88,80,0,77,87,82,76,82,88,32,79,79,85,79,32,77,85,79,87,81,88,83,88,85,87,87,85,0,76,88,82,76,82,88,32,76,81,77,79,87,79,88,81,32,80,87,84,87,0,75,89,77,78,87,88,32,87,78,77,88,32,79,76,76,79,75,81,32,85,76,88,79,89,81,0,73,91,78,73,73,91,32,86,73,91,91,32,77,77,91,91,32,87,77,73,91,32,78,73,86,73,32,77,77,87,77,0,73,91,82,71,82,86,32,77,74,87,80,32,87,74,77,80,32,73,86,76,92,32,91,86,88,92,32,73,86,91,86,32,76,92,88,92,0,71,91,77,74,83,86,32,75,80,83,76,32,71,92,91,92,91,82,71,92,0,76,88,80,76,80,80,76,80,76,84,80,84,80,88,84,88,84,84,88,84,88,80,84,80,84,76,80,76,0,75,89,89,80,88,78,86,76,83,75,81,75,78,76,76,78,75,81,75,83,76,86,78,88,81,89,83,89,86,88,88,86,89,84,32,89,80,87,78,85,77,83,77,81,78,80,79,79,81,79,83,80,85,81,86,83,87,85,87,87,86,89,84,0,75,89,82,74,75,86,89,86,82,74,32,82,90,89,78,75,78,82,90,0,71,93,80,73,80,71,81,70,83,70,84,71,84,73,32,71,90,72,88,74,86,75,84,76,80,76,75,77,74,79,73,85,73,87,74,88,75,88,80,89,84,90,86,92,88,93,90,32,71,90,93,90,32,81,90,80,91,81,92,83,92,84,91,83,90,0,74,90,82,77,82,83,32,82,83,81,92,32,82,83,83,92,32,81,92,83,92,32,82,77,81,74,80,72,78,71,32,81,74,78,71,32,82,77,83,74,84,72,86,71,32,83,74,86,71,32,82,77,78,75,76,75,74,77,32,80,76,76,76,74,77,32,82,77,86,75,88,75,90,77,32,84,76,88,76,90,77,32,82,77,80,78,79,79,79,82,32,82,77,80,79,79,82,32,82,77,84,78,85,79,85,82,32,82,77,84,79,85,82,0,74,90,82,73,82,75,32,82,78,82,80,32,82,83,82,85,32,82,89,81,92,32,82,89,83,92,32,81,92,83,92,32,82,71,81,73,80,74,32,82,71,83,73,84,74,32,80,74,82,73,84,74,32,82,75,80,78,78,79,77,78,32,82,75,84,78,86,79,87,78,32,78,79,80,79,82,78,84,79,86,79,32,82,80,80,83,78,84,76,84,75,82,75,83,76,84,32,82,80,84,83,86,84,88,84,89,82,89,83,88,84,32,78,84,80,84,82,83,84,84,86,84,32,82,85,80,88,79,89,77,90,76,90,75,89,74,87,74,89,76,90,32,82,85,84,88,85,89,87,90,88,90,89,89,90,87,90,89,88,90,32,77,90,79,90,82,89,85,90,87,90,0,74,90,82,89,81,92,32,82,89,83,92,32,81,92,83,92,32,82,89,85,90,88,90,90,88,90,85,89,84,87,84,89,82,90,79,89,77,87,76,85,77,86,74,85,72,83,71,81,71,79,72,78,74,79,77,77,76,75,77,74,79,75,82,77,84,75,84,74,85,74,88,76,90,79,90,82,89,0,74,90,82,89,81,92,32,82,89,83,92,32,81,92,83,92,32,82,89,86,88,86,86,88,85,88,82,90,81,90,76,89,73,88,72,86,72,84,71,80,71,78,72,76,72,75,73,74,76,74,81,76,82,76,85,78,86,78,88,82,89,0,73,91,73,80,75,82,32,76,75,78,80,32,82,71,82,79,32,88,75,86,80,32,91,80,89,82,0,81,83,82,81,81,82,82,83,83,82,82,81,0,80,84,81,80,80,81,80,83,81,84,83,84,84,83,84,81,83,80,81,80,0,78,86,81,78,79,79,78,81,78,83,79,85,81,86,83,86,85,85,86,83,86,81,85,79,83,78,81,78,0,77,87,81,77,79,78,78,79,77,81,77,83,78,85,79,86,81,87,83,87,85,86,86,85,87,83,87,81,86,79,85,78,83,77,81,77,0,71,93,80,71,77,72,74,74,72,77,71,80,71,84,72,87,74,90,77,92,80,93,84,93,87,92,90,90,92,87,93,84,93,80,92,77,90,74,87,72,84,71,80,71,0,65,99,80,65,76,66,74,67,71,69,69,71,67,74,66,76,65,80,65,84,66,88,67,90,69,93,71,95,74,97,76,98,80,99,84,99,88,98,90,97,93,95,95,93,97,90,98,88,99,84,99,80,98,76,97,74,95,71,93,69,90,67,88,66,84,65,80,65,0,60,104,80,60,75,61,71,63,68,65,65,68,63,71,61,75,60,80,60,84,61,89,63,93,65,96,68,99,71,101,75,103,80,104,84,104,89,103,93,101,96,99,99,96,101,93,103,89,104,84,104,80,103,75,101,71,99,68,96,65,93,63,89,61,84,60,80,60,0,41,123,79,41,73,42,69,43,64,45,59,48,55,51,51,55,48,59,45,64,43,69,42,73,41,79,41,85,42,91,43,95,45,100,48,105,51,109,55,113,59,116,64,119,69,121,73,122,79,123,85,123,91,122,95,121,100,119,105,116,109,113,113,109,116,105,119,100,121,95,122,91,123,85,123,79,122,73,121,69,119,64,116,59,113,55,109,51,105,48,100,45,95,43,91,42,85,41,79,41,0,62,102,82,65,80,67,77,68,74,68,71,67,69,65,62,72,64,74,65,77,65,90,66,93,68,95,71,96,77,96,80,97,82,99,32,82,65,84,67,87,68,90,68,93,67,95,65,102,72,100,74,99,77,99,90,98,93,96,95,93,96,87,96,84,97,82,99,0,65,99,82,65,80,67,77,68,74,68,71,67,69,65,66,71,65,75,65,80,66,84,68,88,71,92,76,96,82,99,32,82,65,84,67,87,68,90,68,93,67,95,65,98,71,99,75,99,80,98,84,96,88,93,92,88,96,82,99,32,66,72,98,72,0,72,91,87,80,86,81,87,82,88,81,88,80,86,78,84,77,81,77,78,78,76,80,75,83,75,85,76,88,78,90,81,91,83,91,86,90,88,88,32,81,77,79,78,77,80,76,83,76,85,77,88,79,90,81,91,32,76,98,88,70,0,75,89,82,75,77,88,32,82,78,86,88,32,82,75,87,88,32,79,84,84,84,32,75,88,80,88,32,84,88,89,88,0,74,90,78,75,78,88,32,79,75,79,88,32,76,75,83,75,86,76,87,78,86,80,83,81,32,83,75,85,76,86,78,85,80,83,81,32,79,81,83,81,86,82,87,84,87,85,86,87,83,88,76,88,32,83,81,85,82,86,84,86,85,85,87,83,88,0,75,89,86,76,87,75,87,79,86,76,84,75,81,75,79,76,78,77,77,80,77,83,78,86,79,87,81,88,84,88,86,87,87,85,32,81,75,79,77,78,80,78,83,79,86,81,88,0,74,90,78,75,78,88,32,79,75,79,88,32,76,75,83,75,86,76,87,77,88,80,88,83,87,86,86,87,83,88,76,88,32,83,75,85,76,86,77,87,80,87,83,86,86,85,87,83,88,0,74,89,78,75,78,88,32,79,75,79,88,32,83,79,83,83,32,76,75,86,75,86,79,85,75,32,79,81,83,81,32,76,88,86,88,86,84,85,88,0,74,88,78,75,78,88,32,79,75,79,88,32,83,79,83,83,32,76,75,86,75,86,79,85,75,32,79,81,83,81,32,76,88,81,88,0,75,91,86,76,87,75,87,79,86,76,84,75,81,75,79,76,78,77,77,80,77,83,78,86,79,87,81,88,84,88,86,87,32,81,75,79,77,78,80,78,83,79,86,81,88,32,84,88,85,87,86,85,32,86,83,86,88,32,87,83,87,88,32,84,83,89,83,0,74,91,78,75,78,88,32,79,75,79,88,32,86,75,86,88,32,87,75,87,88,32,76,75,81,75,32,84,75,89,75,32,79,81,86,81,32,76,88,81,88,32,84,88,89,88,0,78,87,82,75,82,88,32,83,75,83,88,32,80,75,85,75,32,80,88,85,88,0,76,88,83,75,83,85,82,87,81,88,32,84,75,84,85,83,87,81,88,80,88,78,87,77,85,78,84,79,85,78,86,32,81,75,86,75,0,74,90,78,75,78,88,32,79,75,79,88,32,87,75,79,83,32,81,81,86,88,32,82,81,87,88,32,76,75,81,75,32,84,75,89,75,32,76,88,81,88,32,84,88,89,88,0,75,88,79,75,79,88,32,80,75,80,88,32,77,75,82,75,32,77,88,87,88,87,84,86,88,0,73,92,77,75,77,88,32,78,78,82,88,32,78,75,82,85,32,87,75,82,88,32,87,75,87,88,32,88,75,88,88,32,75,75,78,75,32,87,75,90,75,32,75,88,79,88,32,85,88,90,88,0,74,90,78,75,78,88,32,79,77,86,88,32,79,75,86,86,32,86,75,86,88,32,76,75,79,75,32,84,75,88,75,32,76,88,80,88,0,75,90,81,75,79,76,78,77,77,80,77,83,78,86,79,87,81,88,84,88,86,87,87,86,88,83,88,80,87,77,86,76,84,75,81,75,32,81,75,79,77,78,80,78,83,79,86,81,88,32,84,88,86,86,87,83,87,80,86,77,84,75,0,74,89,78,75,78,88,32,79,75,79,88,32,76,75,83,75,86,76,87,78,87,79,86,81,83,82,79,82,32,83,75,85,76,86,78,86,79,85,81,83,82,32,76,88,81,88,0,75,90,81,75,79,76,78,77,77,80,77,83,78,86,79,87,81,88,84,88,86,87,87,86,88,83,88,80,87,77,86,76,84,75,81,75,32,81,75,79,77,78,80,78,83,79,86,81,88,32,84,88,86,86,87,83,87,80,86,77,84,75,32,80,87,80,85,81,84,83,84,84,85,85,90,86,91,87,91,88,90,32,84,85,85,88,86,90,87,91,0,74,90,78,75,78,88,32,79,75,79,88,32,76,75,83,75,86,76,87,78,87,79,86,81,83,82,79,82,32,83,75,85,76,86,78,86,79,85,81,83,82,32,76,88,81,88,32,83,82,84,83,85,87,86,88,87,88,88,87,32,83,82,85,83,86,87,87,88,0,75,90,86,77,87,75,87,79,86,77,85,76,83,75,81,75,79,76,78,77,78,79,79,80,81,81,84,82,86,83,87,84,32,78,78,79,79,81,80,84,81,86,82,87,83,87,86,86,87,84,88,82,88,80,87,79,86,78,84,78,88,79,86,0,75,90,82,75,82,88,32,83,75,83,88,32,78,75,77,79,77,75,88,75,88,79,87,75,32,80,88,85,88,0,74,91,78,75,78,85,79,87,81,88,84,88,86,87,87,85,87,75,32,79,75,79,85,80,87,81,88,32,76,75,81,75,32,85,75,89,75,0,75,89,77,75,82,88,32,78,75,82,85,32,87,75,82,88,32,75,75,80,75,32,84,75,89,75,0,73,91,76,75,79,88,32,77,75,79,84,32,82,75,79,88,32,82,75,85,88,32,83,75,85,84,32,88,75,85,88,32,74,75,79,75,32,86,75,90,75,0,75,90,78,75,86,88,32,79,75,87,88,32,87,75,78,88,32,76,75,81,75,32,84,75,89,75,32,76,88,81,88,32,84,88,89,88,0,76,89,78,75,82,82,82,88,32,79,75,83,82,32,87,75,83,82,83,88,32,76,75,81,75,32,84,75,89,75,32,80,88,85,88,0,76,89,86,75,78,88,32,87,75,79,88,32,79,75,78,79,78,75,87,75,32,78,88,87,88,87,84,86,88,0,75,88,79,75,79,88,32,80,75,80,88,32,77,75,87,75,87,79,86,75,32,77,88,82,88,0,75,89,82,75,76,88,32,82,77,87,88,32,82,75,88,88,32,77,87,86,87,32,76,88,88,88,0,75,90,81,75,79,76,78,77,77,80,77,83,78,86,79,87,81,88,84,88,86,87,87,86,88,83,88,80,87,77,86,76,84,75,81,75,32,81,75,79,77,78,80,78,83,79,86,81,88,32,84,88,86,86,87,83,87,80,86,77,84,75,32,81,79,81,84,32,84,79,84,84,32,81,81,84,81,32,81,82,84,82,0,75,89,82,75,77,88,32,82,78,86,88,32,82,75,87,88,32,75,88,80,88,32,84,88,89,88,0,74,90,77,74,76,77,32,88,74,87,77,32,80,80,79,83,32,85,80,84,83,32,77,86,76,89,32,88,86,87,89,32,77,75,87,75,32,77,76,87,76,32,80,81,84,81,32,80,82,84,82,32,77,87,87,87,32,77,88,87,88,0,74,91,78,75,78,88,32,79,75,79,88,32,86,75,86,88,32,87,75,87,88,32,76,75,89,75,32,76,88,81,88,32,84,88,89,88,0,75,91,77,75,82,81,32,78,75,83,81,77,88,32,77,75,87,75,88,79,86,75,32,78,87,87,87,32,77,88,87,88,88,84,86,88,0,75,90,77,79,78,76,79,75,80,75,81,76,82,79,82,88,32,88,79,87,76,86,75,85,75,84,76,83,79,83,88,32,77,79,78,77,79,76,80,76,81,77,82,79,32,88,79,87,77,86,76,85,76,84,77,83,79,32,80,88,85,88,0,75,90,82,75,82,88,32,83,75,83,88,32,81,78,78,79,77,81,77,82,78,84,81,85,84,85,87,84,88,82,88,81,87,79,84,78,81,78,32,81,78,79,79,78,81,78,82,79,84,81,85,32,84,85,86,84,87,82,87,81,86,79,84,78,32,80,75,85,75,32,80,88,85,88,0,74,91,82,75,82,88,32,83,75,83,88,32,76,80,77,79,78,79,79,83,81,85,32,84,85,86,83,87,79,88,79,89,80,32,77,79,78,82,79,84,81,85,84,85,86,84,87,82,88,79,32,80,75,85,75,32,80,88,85,88,0,75,90,77,86,78,88,81,88,77,82,77,79,78,77,79,76,81,75,84,75,86,76,87,77,88,79,88,82,84,88,87,88,88,86,32,79,85,78,82,78,79,79,77,81,75,32,84,75,86,77,87,79,87,82,86,85,32,78,87,80,87,32,85,87,87,87,0,75,89,84,75,75,88,32,83,77,84,88,32,84,75,85,88,32,78,84,84,84,32,73,88,78,88,32,82,88,87,88,0,74,89,80,75,76,88,32,81,75,77,88,32,78,75,85,75,87,76,87,78,86,80,83,81,32,85,75,86,76,86,78,85,80,83,81,32,79,81,82,81,84,82,85,83,85,85,84,87,81,88,74,88,32,82,81,84,83,84,85,83,87,81,88,0,75,88,86,76,87,76,88,75,87,78,86,76,84,75,82,75,80,76,79,77,78,79,77,82,77,85,78,87,80,88,82,88,84,87,85,85,32,82,75,80,77,79,79,78,82,78,86,80,88,0,74,89,80,75,76,88,32,81,75,77,88,32,78,75,84,75,86,76,87,78,87,81,86,84,85,86,84,87,81,88,74,88,32,84,75,85,76,86,78,86,81,85,84,84,86,83,87,81,88,0,74,89,80,75,76,88,32,81,75,77,88,32,83,79,82,83,32,78,75,88,75,87,78,87,75,32,79,81,82,81,32,74,88,84,88,85,85,83,88,0,74,88,80,75,76,88,32,81,75,77,88,32,83,79,82,83,32,78,75,88,75,87,78,87,75,32,79,81,82,81,32,74,88,79,88,0,75,89,86,76,87,76,88,75,87,78,86,76,84,75,82,75,80,76,79,77,78,79,77,82,77,85,78,87,80,88,82,88,84,87,85,86,86,83,32,82,75,80,77,79,79,78,82,78,86,80,88,32,82,88,84,86,85,83,32,83,83,88,83,0,74,91,80,75,76,88,32,81,75,77,88,32,88,75,84,88,32,89,75,85,88,32,78,75,83,75,32,86,75,91,75,32,79,81,86,81,32,74,88,79,88,32,82,88,87,88,0,78,87,84,75,80,88,32,85,75,81,88,32,82,75,87,75,32,78,88,83,88,0,76,88,85,75,82,85,81,87,80,88,32,86,75,83,85,82,87,80,88,79,88,77,87,76,85,77,84,78,85,77,86,32,83,75,88,75,0,74,90,80,75,76,88,32,81,75,77,88,32,89,75,79,82,32,82,80,84,88,32,83,80,85,88,32,78,75,83,75,32,86,75,91,75,32,74,88,79,88,32,82,88,87,88,0,75,88,81,75,77,88,32,82,75,78,88,32,79,75,84,75,32,75,88,85,88,86,85,84,88,0,73,92,79,75,75,88,32,79,77,80,88,32,80,75,81,86,32,89,75,80,88,32,89,75,85,88,32,90,75,86,88,32,77,75,80,75,32,89,75,92,75,32,73,88,77,88,32,83,88,88,88,0,74,90,80,75,76,88,32,80,75,84,88,32,81,75,84,85,32,88,75,84,88,32,78,75,81,75,32,86,75,90,75,32,74,88,78,88,0,75,89,82,75,80,76,79,77,78,79,77,82,77,85,78,87,80,88,82,88,84,87,85,86,86,84,87,81,87,78,86,76,84,75,82,75,32,82,75,80,77,79,79,78,82,78,86,80,88,32,82,88,84,86,85,84,86,81,86,77,84,75,0,74,89,80,75,76,88,32,81,75,77,88,32,78,75,85,75,87,76,88,77,88,79,87,81,84,82,79,82,32,85,75,87,77,87,79,86,81,84,82,32,74,88,79,88,0,75,89,82,75,80,76,79,77,78,79,77,82,77,85,78,87,80,88,82,88,84,87,85,86,86,84,87,81,87,78,86,76,84,75,82,75,32,82,75,80,77,79,79,78,82,78,86,80,88,32,82,88,84,86,85,84,86,81,86,77,84,75,32,79,87,79,86,80,85,81,85,82,86,82,90,83,91,84,91,85,90,32,82,86,83,90,84,91,0,74,90,80,75,76,88,32,81,75,77,88,32,78,75,85,75,87,76,88,77,88,79,87,81,84,82,79,82,32,85,75,87,77,87,79,86,81,84,82,32,83,82,84,87,85,88,86,88,87,87,32,83,82,84,83,85,87,86,88,32,74,88,79,88,0,75,90,87,76,88,76,89,75,88,78,87,76,85,75,82,75,80,76,79,77,79,79,80,80,85,83,86,84,32,79,78,80,79,85,82,86,83,86,86,85,87,83,88,80,88,78,87,77,85,76,88,77,87,78,87,0,75,90,84,75,80,88,32,85,75,81,88,32,80,75,78,78,79,75,90,75,89,78,89,75,32,78,88,83,88,0,74,91,80,75,77,85,77,87,79,88,83,88,85,87,86,85,89,75,32,81,75,78,85,78,87,79,88,32,78,75,83,75,32,87,75,91,75,0,75,89,79,75,80,88,32,80,75,81,86,32,89,75,80,88,32,77,75,82,75,32,86,75,91,75,0,73,91,78,75,77,88,32,79,75,78,86,32,84,75,77,88,32,84,75,83,88,32,85,75,84,86,32,90,75,83,88,32,76,75,81,75,32,88,75,92,75,0,75,90,80,75,84,88,32,81,75,85,88,32,89,75,76,88,32,78,75,83,75,32,86,75,91,75,32,74,88,79,88,32,82,88,87,88,0,76,89,80,75,82,81,80,88,32,81,75,83,81,32,89,75,83,81,81,88,32,78,75,83,75,32,86,75,91,75,32,78,88,83,88,0,76,89,88,75,76,88,32,89,75,77,88,32,81,75,79,78,80,75,89,75,32,76,88,85,88,86,85,84,88,0,75,90,77,72,88,92,0,74,90,82,77,76,87,32,82,77,88,87,0,76,90,81,79,80,80,80,81,79,81,79,80,81,79,84,79,86,81,86,87,87,88,88,88,32,84,79,85,81,85,87,87,88,32,85,82,82,83,80,84,79,85,79,87,80,88,83,88,84,87,85,85,32,82,83,80,85,80,87,81,88,0,74,89,78,75,78,88,32,79,75,79,88,32,79,82,80,80,82,79,84,79,86,80,87,82,87,85,86,87,84,88,82,88,80,87,79,85,32,84,79,85,80,86,82,86,85,85,87,84,88,32,76,75,79,75,0,76,88,86,81,85,81,85,82,86,82,86,81,85,80,83,79,81,79,79,80,78,82,78,85,79,87,81,88,83,88,85,87,86,86,32,81,79,80,80,79,82,79,85,80,87,81,88,0,76,91,86,75,86,88,32,87,75,87,88,32,86,82,85,80,83,79,81,79,79,80,78,82,78,85,79,87,81,88,83,88,85,87,86,85,32,81,79,80,80,79,82,79,85,80,87,81,88,32,84,75,87,75,32,86,88,89,88,0,76,88,79,83,86,83,86,82,85,80,83,79,81,79,79,80,78,82,78,85,79,87,81,88,83,88,85,87,86,86,32,85,83,85,81,83,79,32,81,79,80,80,79,82,79,85,80,87,81,88,0,76,87,84,75,85,76,85,77,86,77,86,76,84,75,82,75,80,77,80,88,32,82,75,81,77,81,88,32,78,79,83,79,32,78,88,83,88,0,76,89,81,79,79,81,79,83,81,85,83,85,85,83,85,81,83,79,81,79,32,81,79,80,81,80,83,81,85,32,83,85,84,83,84,81,83,79,32,84,80,85,79,86,79,32,80,84,79,85,79,88,80,89,84,89,86,90,32,79,87,80,88,84,88,86,89,86,91,84,92,80,92,78,91,78,89,80,88,0,74,91,78,75,78,88,32,79,75,79,88,32,79,82,80,80,82,79,84,79,86,80,87,82,87,88,32,84,79,85,80,86,82,86,88,32,76,75,79,75,32,76,88,81,88,32,84,88,89,88,0,78,87,82,75,82,76,83,76,83,75,82,75,32,82,79,82,88,32,83,79,83,88,32,80,79,83,79,32,80,88,85,88,0,78,87,83,75,83,76,84,76,84,75,83,75,32,83,79,83,90,82,92,32,84,79,84,90,82,92,80,92,79,91,79,90,80,90,80,91,79,91,32,81,79,84,79,0,74,90,78,75,78,88,32,79,75,79,88,32,87,79,79,85,32,82,83,86,88,32,83,83,87,88,32,76,75,79,75,32,84,79,89,79,32,76,88,81,88,32,84,88,89,88,0,78,87,82,75,82,88,32,83,75,83,88,32,80,75,83,75,32,80,88,85,88,0,70,95,74,79,74,88,32,75,79,75,88,32,75,82,76,80,78,79,80,79,82,80,83,82,83,88,32,80,79,81,80,82,82,82,88,32,83,82,84,80,86,79,88,79,90,80,91,82,91,88,32,88,79,89,80,90,82,90,88,32,72,79,75,79,32,72,88,77,88,32,80,88,85,88,32,88,88,93,88,0,74,91,78,79,78,88,32,79,79,79,88,32,79,82,80,80,82,79,84,79,86,80,87,82,87,88,32,84,79,85,80,86,82,86,88,32,76,79,79,79,32,76,88,81,88,32,84,88,89,88,0,76,89,81,79,79,80,78,82,78,85,79,87,81,88,84,88,86,87,87,85,87,82,86,80,84,79,81,79,32,81,79,80,80,79,82,79,85,80,87,81,88,32,84,88,85,87,86,85,86,82,85,80,84,79,0,74,89,78,79,78,92,32,79,79,79,92,32,79,82,80,80,82,79,84,79,86,80,87,82,87,85,86,87,84,88,82,88,80,87,79,85,32,84,79,85,80,86,82,86,85,85,87,84,88,32,76,79,79,79,32,76,92,81,92,0,75,89,85,79,85,92,32,86,79,86,92,32,85,82,84,80,82,79,80,79,78,80,77,82,77,85,78,87,80,88,82,88,84,87,85,85,32,80,79,79,80,78,82,78,85,79,87,80,88,32,83,92,88,92,0,75,88,79,79,79,88,32,80,79,80,88,32,80,82,81,80,83,79,85,79,86,80,86,81,85,81,85,80,86,80,32,77,79,80,79,32,77,88,82,88,0,76,89,84,79,85,80,85,81,86,81,86,80,84,79,81,79,79,80,79,82,81,83,84,84,86,85,32,79,81,81,82,84,83,86,84,86,87,84,88,81,88,79,87,79,86,80,86,80,87,81,88,0,76,87,80,75,80,86,82,88,84,88,85,87,85,86,32,81,75,81,86,82,88,32,78,79,84,79,0,74,91,78,79,78,85,79,87,81,88,83,88,85,87,86,85,32,79,79,79,85,80,87,81,88,32,86,79,86,88,32,87,79,87,88,32,76,79,79,79,32,84,79,87,79,32,86,88,89,88,0,75,89,78,79,82,88,32,79,79,82,86,32,86,79,82,88,32,76,79,81,79,32,84,79,88,79,0,73,91,76,79,79,88,32,77,79,79,85,32,82,79,79,88,32,82,79,85,88,32,83,79,85,85,32,88,79,85,88,32,74,79,79,79,32,86,79,90,79,0,75,89,78,79,85,88,32,79,79,86,88,32,86,79,78,88,32,76,79,81,79,32,84,79,88,79,32,76,88,80,88,32,83,88,88,88,0,75,89,78,79,82,88,32,79,79,82,86,32,86,79,82,88,80,91,78,92,77,92,76,91,76,90,77,90,77,91,76,91,32,76,79,81,79,32,84,79,88,79,0,76,88,85,79,78,88,32,86,79,79,88,32,79,79,78,81,78,79,86,79,32,78,88,86,88,86,86,85,88,0,75,91,81,79,79,80,78,81,77,83,77,85,78,87,80,88,81,88,83,87,85,85,87,82,88,79,32,81,79,79,81,78,83,78,85,79,87,80,88,32,81,79,83,79,85,80,87,87,88,88,32,83,79,84,80,86,87,88,88,89,88,0,75,88,82,75,80,77,79,79,77,85,75,92,32,81,76,80,78,78,84,76,92,32,82,75,84,75,86,76,86,78,85,80,82,81,32,84,75,85,76,85,78,84,80,82,81,32,82,81,84,82,85,84,85,86,84,87,82,88,81,88,79,87,78,84,32,82,81,83,82,84,84,84,86,82,88,0,75,89,76,81,78,79,80,79,82,80,83,83,83,88,82,92,32,76,81,78,80,80,80,82,81,83,83,32,87,79,86,82,83,88,81,92,0,75,89,83,79,81,79,79,80,78,81,77,83,77,85,78,87,80,88,82,88,84,87,85,86,86,84,86,82,85,80,82,78,81,76,81,75,82,74,84,74,85,75,86,77,32,81,79,79,81,78,83,78,86,80,88,32,82,88,84,86,85,84,85,81,83,79,32,81,76,82,75,84,75,86,77,0,76,88,86,80,84,79,81,79,79,80,79,81,80,82,82,83,32,81,79,80,80,80,81,82,83,32,82,83,79,84,78,85,78,87,80,88,83,88,85,87,32,82,83,80,84,79,85,79,87,80,88,0,76,87,82,75,81,76,81,77,83,78,86,78,86,77,83,78,80,79,79,80,78,82,78,84,79,86,80,87,82,88,83,89,83,91,82,92,80,92,79,91,32,83,78,81,79,80,80,79,82,79,84,80,86,82,88,0,73,89,74,82,75,80,76,79,78,79,79,80,79,81,77,88,32,77,79,78,80,78,81,76,88,32,79,81,80,80,82,79,84,79,86,80,86,82,83,92,32,84,79,85,80,85,82,82,92],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+307204);allocate([0,73,89,74,83,75,81,76,80,78,80,79,81,79,86,80,88,32,77,80,78,81,78,85,79,87,80,88,81,88,83,87,84,86,85,84,86,81,86,78,85,76,84,75,82,75,81,76,81,78,82,80,85,82,87,83,32,81,88,83,86,84,84,85,81,85,78,84,75,0,78,87,82,79,80,86,80,87,81,88,83,88,85,87,86,85,32,83,79,81,86,81,87,82,88,0,75,89,79,79,76,88,32,80,79,77,88,32,85,79,86,80,87,80,86,79,84,79,82,81,79,82,32,79,82,80,83,82,87,84,88,86,87,87,85,32,79,82,81,83,83,87,84,88,0,76,88,76,75,78,75,80,76,87,88,32,78,75,79,76,86,88,32,82,80,77,88,32,82,80,78,88,0,75,90,79,79,75,92,32,80,79,76,92,32,78,85,78,87,79,88,81,88,83,87,84,86,32,86,79,84,86,84,87,85,88,87,88,88,87,89,85,32,87,79,85,86,85,87,86,88,0,74,89,78,79,77,88,32,79,79,78,85,77,88,32,86,82,86,79,87,79,86,82,84,85,81,87,78,88,77,88,32,76,79,79,79,0,77,88,82,75,81,76,81,77,83,78,86,78,32,84,78,81,79,80,80,80,82,82,83,85,83,32,84,78,82,79,81,80,81,82,82,83,32,83,83,80,84,79,85,79,87,81,88,83,89,84,90,84,91,83,92,81,92,32,83,83,81,84,80,85,80,87,81,88,0,75,88,81,79,79,80,78,81,77,83,77,85,78,87,80,88,82,88,84,87,85,86,86,84,86,82,85,80,83,79,81,79,32,81,79,79,81,78,83,78,86,80,88,32,82,88,84,86,85,84,85,81,83,79,0,73,90,80,80,77,88,32,80,80,78,88,32,84,80,83,88,32,84,80,84,88,32,75,81,77,79,88,79,32,75,81,77,80,88,80,0,74,88,83,79,81,79,79,80,78,81,77,83,74,92,32,81,79,79,81,78,83,75,92,32,83,79,85,80,86,82,86,84,85,86,84,87,82,88,80,88,78,87,77,85,32,83,79,85,81,85,84,84,86,82,88,0,75,91,89,79,81,79,79,80,78,81,77,83,77,85,78,87,80,88,82,88,84,87,85,86,86,84,86,82,85,80,89,80,32,81,79,79,81,78,83,78,86,80,88,32,82,88,84,86,85,84,85,81,83,79,0,75,90,83,80,81,88,32,83,80,82,88,32,77,81,79,79,88,79,32,77,81,79,80,88,80,0,74,88,75,82,76,80,77,79,79,79,80,80,80,82,79,85,79,87,80,88,32,78,79,79,80,79,82,78,85,78,87,80,88,81,88,83,87,85,85,86,82,86,79,85,79,86,80,0,75,90,79,80,78,81,77,83,77,85,78,87,80,88,82,88,85,87,87,85,88,82,88,80,87,79,85,79,84,80,83,82,82,85,79,92,32,77,85,78,86,80,87,82,87,85,86,87,84,88,82,32,88,81,87,80,85,80,83,82,32,82,85,81,88,80,92,0,75,88,77,79,78,79,80,80,83,91,84,92,32,78,79,79,80,82,91,84,92,85,92,32,86,79,84,82,78,89,76,92,0,73,91,84,75,81,92,32,85,75,80,92,32,74,82,75,80,76,79,78,79,79,80,79,86,80,87,83,87,85,86,87,84,32,77,79,78,80,78,84,79,87,80,88,83,88,85,87,87,84,88,82,89,79,0,74,90,78,80,80,80,80,79,78,80,77,81,76,83,76,85,77,87,78,88,80,88,81,87,82,85,83,82,32,76,85,78,87,80,87,82,85,32,82,82,82,87,83,88,85,88,87,86,88,84,88,82,87,80,86,79,86,80,87,80,32,82,85,83,87,85,87,87,86,0,75,90,86,79,84,86,84,87,85,88,87,88,88,87,89,85,32,87,79,85,86,85,87,86,88,32,85,83,85,81,83,79,81,79,79,80,78,81,77,83,77,85,78,87,80,88,82,88,84,86,32,81,79,79,81,78,83,78,86,80,88,0,74,88,79,75,77,82,32,80,75,78,82,78,86,80,88,32,78,82,79,80,81,79,83,79,85,80,86,82,86,84,85,86,84,87,82,88,80,88,78,87,77,85,77,82,32,83,79,85,81,85,84,84,86,82,88,32,77,75,80,75,0,75,88,85,80,85,81,86,81,85,80,83,79,81,79,79,80,78,81,77,83,77,85,78,87,80,88,82,88,84,87,85,86,32,81,79,79,81,78,83,78,86,80,88,0,75,90,87,75,84,86,84,87,85,88,87,88,88,87,89,85,32,88,75,85,86,85,87,86,88,32,85,83,85,81,83,79,81,79,79,80,78,81,77,83,77,85,78,87,80,88,82,88,84,86,32,81,79,79,81,78,83,78,86,80,88,32,85,75,88,75,0,75,87,78,85,82,84,84,83,85,82,85,80,83,79,81,79,79,80,78,81,77,83,77,85,78,87,80,88,82,88,84,87,85,86,32,81,79,79,81,78,83,78,86,80,88,0,77,88,87,75,88,76,88,75,86,75,84,76,83,78,80,89,79,91,78,92,32,86,75,85,76,84,78,81,89,80,91,78,92,76,92,76,91,77,92,32,80,79,86,79,0,75,89,86,79,84,86,83,89,82,91,32,87,79,85,86,84,89,82,91,80,92,77,92,76,91,77,91,78,92,32,85,83,85,81,83,79,81,79,79,80,78,81,77,83,77,85,78,87,80,88,82,88,84,86,32,81,79,79,81,78,83,78,86,80,88,0,75,90,80,75,76,88,32,81,75,77,88,32,79,81,80,80,82,79,84,79,86,80,86,82,85,85,85,87,86,88,32,84,79,85,80,85,82,84,85,84,87,85,88,87,88,88,87,89,85,32,78,75,81,75,0,77,87,83,75,83,76,84,76,84,75,83,75,32,78,82,79,80,80,79,82,79,83,80,83,82,82,85,82,87,83,88,32,81,79,82,80,82,82,81,85,81,87,82,88,84,88,85,87,86,85,0,77,87,84,75,84,76,85,76,85,75,84,75,32,79,82,80,80,81,79,83,79,84,80,84,82,82,89,81,91,79,92,77,92,77,91,78,92,32,82,79,83,80,83,82,81,89,80,91,79,92,0,75,88,80,75,76,88,32,81,75,77,88,32,86,80,85,81,86,81,86,80,85,79,84,79,82,81,80,82,79,82,32,79,82,80,83,81,87,82,88,84,88,85,87,86,85,32,79,82,81,83,82,87,83,88,32,78,75,81,75,0,78,86,83,75,80,86,80,87,81,88,83,88,84,87,85,85,32,84,75,81,86,81,87,82,88,32,81,75,84,75,0,70,94,71,82,72,80,73,79,75,79,76,80,76,81,74,88,32,74,79,75,80,75,81,73,88,32,76,81,77,80,79,79,81,79,83,80,83,81,81,88,32,81,79,82,80,82,81,80,88,32,83,81,84,80,86,79,88,79,90,80,90,82,89,85,89,87,90,88,32,88,79,89,80,89,82,88,85,88,87,89,88,91,88,92,87,93,85,0,74,91,75,82,76,80,77,79,79,79,80,80,80,81,78,88,32,78,79,79,80,79,81,77,88,32,80,81,81,80,83,79,85,79,87,80,87,82,86,85,86,87,87,88,32,85,79,86,80,86,82,85,85,85,87,86,88,88,88,89,87,90,85,0,74,89,75,82,76,80,77,79,79,79,80,80,80,81,77,92,32,78,79,79,80,79,81,76,92,32,80,81,82,79,84,79,86,80,87,82,87,84,86,86,85,87,83,88,81,88,79,86,79,84,32,84,79,86,81,86,84,85,86,83,88,32,74,92,79,92,0,75,89,86,79,82,92,32,87,79,83,92,32,85,83,85,81,83,79,81,79,79,80,78,81,77,83,77,85,78,87,80,88,82,88,84,86,32,81,79,79,81,78,83,78,86,80,88,32,80,92,85,92,0,76,88,77,82,78,80,79,79,81,79,82,80,82,81,80,88,32,80,79,81,80,81,81,79,88,32,82,81,83,80,85,79,86,79,87,80,87,81,86,81,87,80,0,76,89,86,80,86,81,87,81,86,80,84,79,81,79,79,80,79,82,81,83,84,84,86,85,32,79,81,81,82,84,83,86,84,86,87,84,88,81,88,79,87,78,86,79,86,79,87,0,78,87,83,75,80,86,80,87,81,88,83,88,84,87,85,85,32,84,75,81,86,81,87,82,88,32,80,79,85,79,0,73,90,74,82,75,80,76,79,78,79,79,80,79,82,78,85,78,87,79,88,32,77,79,78,80,78,82,77,85,77,87,79,88,81,88,83,87,84,86,32,86,79,84,86,84,87,85,88,87,88,88,87,89,85,32,87,79,85,86,85,87,86,88,0,72,92,73,82,74,80,75,79,77,79,78,80,78,82,77,85,77,87,78,88,32,76,79,77,80,77,82,76,85,76,87,78,88,79,88,81,87,82,86,32,84,79,82,86,82,87,84,88,32,85,79,83,86,83,87,84,88,85,88,87,87,89,85,90,82,90,79,89,79,90,80,0,74,90,77,82,78,80,80,79,82,79,83,80,83,82,32,81,79,82,80,82,82,81,85,80,87,78,88,77,88,76,87,76,86,77,86,76,87,32,88,80,87,81,88,81,88,80,87,79,86,79,84,80,83,82,82,85,82,87,83,88,32,81,85,81,87,82,88,84,88,86,87,87,85,0,73,89,74,82,75,80,76,79,78,79,79,80,79,82,78,85,78,87,79,88,32,77,79,78,80,78,82,77,85,77,87,79,88,81,88,83,87,84,86,32,86,79,84,86,83,89,82,91,32,87,79,85,86,84,89,82,91,80,92,77,92,76,91,77,91,78,92,0,75,89,87,79,87,80,86,81,78,86,77,87,77,88,32,78,81,79,79,82,79,85,81,32,79,80,82,80,85,81,86,81,32,78,86,79,86,82,87,85,87,32,79,86,82,88,85,88,86,86,0,72,91,82,75,83,76,83,77,84,77,84,76,82,75,79,75,77,76,76,78,76,88,32,79,75,78,76,77,78,77,88,32,88,75,89,76,89,77,90,77,90,76,88,75,86,75,84,77,84,88,32,86,75,85,77,85,88,32,74,79,87,79,32,74,88,79,88,32,82,88,87,88,0,74,91,85,75,86,76,87,76,87,75,81,75,79,76,78,78,78,88,32,81,75,80,76,79,78,79,88,32,86,79,86,88,32,87,79,87,88,32,76,79,87,79,32,76,88,81,88,32,84,88,89,88,0,74,91,87,75,81,75,79,76,78,78,78,88,32,81,75,80,76,79,78,79,88,32,85,75,86,76,86,88,32,87,75,87,88,32,76,79,86,79,32,76,88,81,88,32,84,88,89,88,0,70,95,80,75,81,76,81,77,82,77,82,76,80,75,77,75,75,76,74,78,74,88,32,77,75,76,76,75,78,75,88,32,89,75,90,76,91,76,91,75,85,75,83,76,82,78,82,88,32,85,75,84,76,83,78,83,88,32,90,79,90,88,32,91,79,91,88,32,72,79,91,79,32,72,88,77,88,32,80,88,85,88,32,88,88,93,88,0,70,95,80,75,81,76,81,77,82,77,82,76,80,75,77,75,75,76,74,78,74,88,32,77,75,76,76,75,78,75,88,32,91,75,85,75,83,76,82,78,82,88,32,85,75,84,76,83,78,83,88,32,89,75,90,76,90,88,32,91,75,91,88,32,72,79,90,79,32,72,88,77,88,32,80,88,85,88,32,88,88,93,88,0,78,87,82,79,82,88,32,83,79,83,88,32,80,79,83,79,32,80,88,85,88,0,76,88,86,80,84,79,82,79,80,80,79,81,78,83,78,85,79,87,81,88,83,88,85,87,32,82,79,80,81,79,83,79,86,81,88,32,79,83,83,83,0,76,89,83,75,81,76,80,77,79,79,78,82,78,85,79,87,80,88,82,88,84,87,85,86,86,84,87,81,87,78,86,76,85,75,83,75,32,83,75,81,77,80,79,79,83,79,86,80,88,32,82,88,84,86,85,84,86,80,86,77,85,75,32,79,81,86,81,0,75,90,84,75,81,92,32,85,75,80,92,32,81,79,78,80,77,82,77,85,78,87,81,88,84,88,87,87,88,85,88,82,87,80,84,79,81,79,32,81,79,79,80,78,82,78,85,79,87,81,88,32,84,88,86,87,87,85,87,82,86,80,84,79,0,76,88,85,80,86,82,86,81,85,80,83,79,81,79,79,80,78,82,78,84,79,86,82,88,32,81,79,79,81,79,84,80,86,82,88,83,89,83,91,82,92,80,92,0,73,91,86,75,87,76,88,76,86,75,83,75,81,76,80,77,79,79,76,89,75,91,74,92,32,83,75,81,77,80,79,77,89,76,91,74,92,72,92,72,91,73,92,32,90,75,91,76,91,75,89,75,87,76,86,78,83,89,82,91,81,92,32,89,75,88,76,87,78,84,89,83,91,81,92,79,92,79,91,80,92,32,76,79,89,79,0,73,90,86,75,87,76,88,76,88,75,83,75,81,76,80,77,79,79,76,89,75,91,74,92,32,83,75,81,77,80,79,77,89,76,91,74,92,72,92,72,91,73,92,32,86,79,84,86,84,87,85,88,87,88,88,87,89,85,32,87,79,85,86,85,87,86,88,32,76,79,87,79,0,73,90,86,75,87,76,32,88,75,83,75,81,76,80,77,79,79,76,89,75,91,74,92,32,83,75,81,77,80,79,77,89,76,91,74,92,72,92,72,91,73,92,32,87,75,84,86,84,87,85,88,87,88,88,87,89,85,32,88,75,85,86,85,87,86,88,32,76,79,86,79,0,70,94,83,75,84,76,84,77,32,85,76,83,75,80,75,78,76,77,77,76,79,73,89,72,91,71,92,32,80,75,78,77,77,79,74,89,73,91,71,92,69,92,69,91,70,92,32,90,75,91,76,92,76,92,75,87,75,85,76,32,84,77,83,79,80,89,79,91,78,92,32,87,75,85,77,84,79,81,89,80,91,78,92,76,92,76,91,77,92,32,90,79,88,86,88,87,89,88,91,88,92,87,93,85,32,91,79,89,86,89,87,90,88,32,73,79,91,79,0,70,94,83,75,84,76,84,77,32,85,76,83,75,80,75,78,76,77,77,76,79,73,89,72,91,71,92,32,80,75,78,77,77,79,74,89,73,91,71,92,69,92,69,91,70,92,32,90,75,91,76,32,92,75,87,75,85,76,32,84,77,83,79,80,89,79,91,78,92,32,87,75,85,77,84,79,81,89,80,91,78,92,76,92,76,91,77,92,32,91,75,88,86,88,87,89,88,91,88,92,87,93,85,32,92,75,89,86,89,87,90,88,32,73,79,90,79,0,77,87,78,82,79,80,80,79,82,79,83,80,83,82,82,85,82,87,83,88,32,81,79,82,80,82,82,81,85,81,87,82,88,84,88,85,87,86,85,0,79,85,0,76,88,0,76,89,81,75,79,76,78,79,78,84,79,87,81,88,84,88,86,87,87,84,87,79,86,76,84,75,81,75,32,81,75,80,76,79,79,79,84,80,87,81,88,32,84,88,85,87,86,84,86,79,85,76,84,75,0,76,89,80,78,83,75,83,88,32,82,76,82,88,32,79,88,86,88,0,76,89,79,77,79,78,78,78,78,77,79,76,81,75,84,75,86,76,87,78,86,80,84,81,81,82,79,83,78,85,78,88,32,84,75,85,76,86,78,85,80,84,81,32,78,87,79,86,80,86,83,87,86,87,87,86,32,80,86,83,88,86,88,87,86,87,85,0,76,89,79,77,79,78,78,78,78,77,79,76,81,75,84,75,86,76,87,78,86,80,84,81,32,84,75,85,76,86,78,85,80,84,81,32,82,81,84,81,86,82,87,84,87,85,86,87,84,88,81,88,79,87,78,86,78,85,79,85,79,86,32,84,81,85,82,86,84,86,85,85,87,84,88,0,76,89,83,77,83,88,32,84,75,84,88,32,84,75,77,84,88,84,32,81,88,86,88,0,76,89,79,75,78,81,32,79,75,86,75,32,79,76,83,76,86,75,32,78,81,79,80,81,79,84,79,86,80,87,82,87,85,86,87,84,88,81,88,79,87,78,86,78,85,79,85,79,86,32,84,79,85,80,86,82,86,85,85,87,84,88,0,76,89,86,77,86,78,87,78,87,77,86,76,84,75,82,75,80,76,79,77,78,80,78,85,79,87,81,88,84,88,86,87,87,85,87,83,86,81,84,80,81,80,78,82,32,82,75,80,77,79,80,79,85,80,87,81,88,32,84,88,85,87,86,85,86,83,85,81,84,80,0,76,89,78,75,78,79,32,86,77,82,84,80,88,32,87,75,84,81,81,88,32,78,77,80,75,82,75,85,77,32,78,77,80,76,82,76,85,77,86,77,0,76,89,81,75,79,76,78,78,79,80,81,81,84,81,86,80,87,78,86,76,84,75,81,75,32,81,75,80,76,79,78,80,80,81,81,32,84,81,85,80,86,78,85,76,84,75,32,81,81,79,82,78,84,78,85,79,87,81,88,84,88,86,87,87,85,87,84,86,82,84,81,32,81,81,80,82,79,84,79,85,80,87,81,88,32,84,88,85,87,86,85,86,84,85,82,84,81,0,76,89,79,86,79,85,78,85,78,86,79,87,81,88,83,88,85,87,86,86,87,83,87,78,86,76,84,75,81,75,79,76,78,78,78,80,79,82,81,83,84,83,87,81,32,83,88,85,86,86,83,86,78,85,76,84,75,32,81,75,80,76,79,78,79,80,80,82,81,83,0,78,86,82,86,81,87,82,88,83,87,82,86,0,78,86,83,87,82,88,81,87,82,86,83,87,83,89,81,91,0,78,86,82,79,81,80,82,81,83,80,82,79,32,82,86,81,87,82,88,83,87,82,86,0,78,86,82,79,81,80,82,81,83,80,82,79,32,83,87,82,88,81,87,82,86,83,87,83,89,81,91,0,78,86,82,75,81,76,82,83,83,76,82,75,32,82,76,82,79,32,82,86,81,87,82,88,83,87,82,86,0,76,89,78,78,79,78,79,79,78,79,78,78,79,76,81,75,84,75,86,76,87,78,87,79,86,81,83,82,82,83,82,84,83,84,32,84,75,86,77,86,80,85,81,83,82,32,82,87,82,88,83,88,83,87,82,87,0,79,86,82,75,82,80,32,83,75,82,80,0,76,88,79,75,79,80,32,80,75,79,80,32,85,75,85,80,32,86,75,85,80,0,77,87,81,75,80,76,80,78,81,79,83,79,84,78,84,76,83,75,81,75,0,77,87,82,74,82,80,32,79,75,85,79,32,85,75,79,79,0,75,90,88,72,77,92,0,77,87,85,72,83,74,81,77,80,80,80,84,81,87,83,90,85,92,32,83,74,82,76,81,80,81,84,82,88,83,90,0,77,87,79,72,81,74,83,77,84,80,84,84,83,87,81,90,79,92,32,81,74,82,76,83,80,83,84,82,88,81,90,0,77,87,80,72,80,92,32,81,72,81,92,32,80,72,85,72,32,80,92,85,92,0,77,87,83,72,83,92,32,84,72,84,92,32,79,72,84,72,32,79,92,84,92,0,76,87,83,72,82,73,81,75,81,77,82,79,82,80,80,82,82,84,82,85,81,87,81,89,82,91,83,92,32,82,73,81,77,32,81,75,82,79,32,82,85,81,89,32,81,87,82,91,0,77,88,81,72,82,73,83,75,83,77,82,79,82,80,84,82,82,84,82,85,83,87,83,89,82,91,81,92,32,82,73,83,77,32,83,75,82,79,32,82,85,83,89,32,83,87,82,91,0,77,87,84,72,80,82,84,92,0,77,87,80,72,84,82,80,92,0,79,85,82,72,82,92,0,77,87,80,72,80,92,32,84,72,84,92,0,73,91,76,82,88,82,0,73,91,82,76,82,88,32,76,82,88,82,0,74,90,82,77,82,88,32,77,82,87,82,32,77,88,87,88,0,74,90,82,77,82,88,32,77,77,87,77,32,77,82,87,82,0,74,90,77,77,87,87,32,87,77,77,87,0,78,86,82,81,81,82,82,83,83,82,82,81,0,73,91,82,76,81,77,82,78,83,77,82,76,32,76,82,88,82,32,82,86,81,87,82,88,83,87,82,86,0,73,91,76,80,88,80,32,76,84,88,84,0,73,91,87,76,77,88,32,76,80,88,80,32,76,84,88,84,0,73,91,76,78,88,78,32,76,82,88,82,32,76,86,88,86,0,74,90,87,76,77,82,87,88,0,74,90,77,76,87,82,77,88,0,74,90,87,75,77,79,87,83,32,77,84,87,84,32,77,88,87,88,0,74,90,77,75,87,79,77,83,32,77,84,87,84,32,77,88,87,88,0,72,91,89,85,87,85,85,84,84,83,82,80,81,79,79,78,78,78,76,79,75,81,75,82,76,84,78,85,79,85,81,84,82,83,84,80,85,79,87,78,89,78,0,74,90,76,84,76,82,77,80,79,80,85,83,87,83,88,82,32,76,82,77,81,79,81,85,84,87,84,88,82,88,80,0,74,90,77,83,82,80,87,83,32,77,83,82,81,87,83,0,78,86,83,75,80,79,32,83,75,84,76,80,79,0,78,86,81,75,84,79,32,81,75,80,76,84,79,0,76,88,78,75,79,77,81,78,83,78,85,77,86,75,32,78,75,79,78,81,79,83,79,85,78,86,75,0,78,86,83,76,82,77,81,76,82,75,83,76,83,78,81,80,0,78,86,83,75,81,77,81,79,82,80,83,79,82,78,81,79,0,78,86,81,76,82,77,83,76,82,75,81,76,81,78,83,80,0,78,86,81,75,83,77,83,79,82,80,81,79,82,78,83,79,0,74,90,87,77,81,77,79,78,78,79,77,81,77,83,78,85,79,86,81,87,87,87,0,74,90,77,77,77,83,78,85,79,86,81,87,83,87,85,86,86,85,87,83,87,77,0,74,90,77,77,83,77,85,78,86,79,87,81,87,83,86,85,85,86,83,87,77,87,0,74,90,77,87,77,81,78,79,79,78,81,77,83,77,85,78,86,79,87,81,87,87,0,74,90,87,77,81,77,79,78,78,79,77,81,77,83,78,85,79,86,81,87,87,87,32,77,82,85,82,0,73,91,84,79,85,80,88,82,85,84,84,85,32,85,80,87,82,85,84,32,76,82,87,82,0,77,87,82,77,82,88,32,79,80,80,79,82,76,84,79,85,80,32,80,79,82,77,84,79,0,73,91,80,79,79,80,76,82,79,84,80,85,32,79,80,77,82,79,84,32,77,82,88,82,0,77,87,82,76,82,87,32,79,84,80,85,82,88,84,85,85,84,32,80,85,82,87,84,85,0,75,89,86,83,85,80,83,79,81,79,79,80,78,81,77,83,77,85,78,87,80,88,82,88,84,87,85,86,86,84,87,81,87,78,86,76,84,75,81,75,80,76,81,76,82,75,32,81,79,79,81,78,83,78,86,80,88,32,82,88,84,86,85,84,86,81,86,78,85,76,84,75,0,74,90,76,75,82,88,32,77,75,82,86,32,88,75,82,88,32,76,75,88,75,32,78,76,87,76,0,71,91,73,79,76,79,82,87,32,75,79,82,88,32,91,70,82,88,0,73,91,88,73,88,74,89,74,89,73,88,72,86,72,84,74,83,76,82,79,81,85,80,89,79,91,32,85,73,84,75,83,79,82,85,81,88,80,90,78,92,76,92,75,91,75,90,76,90,76,91,0,73,91,88,73,88,74,89,74,89,73,88,72,86,72,84,74,83,76,82,79,81,85,80,89,79,91,32,85,73,84,75,83,79,82,85,81,88,80,90,78,92,76,92,75,91,75,90,76,90,76,91,32,81,78,79,79,78,81,78,83,79,85,81,86,83,86,85,85,86,83,86,81,85,79,83,78,81,78,0,72,92,90,82,89,84,87,85,86,85,84,84,83,83,81,80,80,79,78,78,77,78,75,79,74,81,74,82,75,84,77,85,78,85,80,84,81,83,83,80,84,79,86,78,87,78,89,79,90,81,90,82,0,74,90,88,75,76,88,32,79,75,80,76,80,78,79,79,77,79,76,78,76,76,77,75,79,75,83,76,86,76,88,75,32,85,84,84,85,84,87,85,88,87,88,88,87,88,85,87,84,85,84,0,74,91,89,80,88,80,88,81,89,81,89,80,88,79,87,79,86,80,85,84,84,86,83,87,81,88,79,88,77,87,76,86,76,84,77,83,79,82,82,80,83,78,83,76,82,75,80,75,79,76,79,78,80,81,85,87,87,88,88,88,89,87,32,79,88,77,86,77,84,79,82,32,79,78,80,80,86,87,87,88,0,74,91,85,80,83,79,81,79,80,81,80,82,81,84,83,84,85,83,32,85,79,85,83,86,84,88,84,89,82,89,81,88,78,86,76,83,75,82,75,79,76,77,78,76,81,76,82,77,85,79,87,82,88,83,88,86,87,0,75,90,81,72,81,92,32,84,72,84,92,32,87,76,86,76,86,77,87,77,87,76,85,75,80,75,78,76,78,78,79,80,86,83,87,84,32,78,78,79,79,86,82,87,84,87,86,86,87,84,88,81,88,79,87,78,86,78,85,79,85,79,86,78,86,0,75,89,80,75,80,91,32,84,75,84,91,32,77,81,87,81,32,77,85,87,85,0,76,88,84,76,83,76,83,77,84,77,84,76,83,75,81,75,80,76,80,78,81,80,84,82,85,83,32,80,78,81,79,84,81,85,83,85,85,83,87,32,81,80,79,82,79,84,80,86,83,88,84,89,32,79,84,80,85,83,87,84,89,84,91,83,92,81,92,80,91,80,90,81,90,81,91,80,91,0,76,88,82,75,81,76,82,77,83,76,82,75,32,82,77,82,81,32,82,81,81,83,82,86,83,83,82,81,32,82,86,82,92,32,80,79,79,78,78,79,79,80,80,79,84,79,85,78,86,79,85,80,84,79,0,76,88,82,77,83,76,82,75,81,76,82,77,82,81,81,82,83,85,82,86,32,82,81,83,82,81,85,82,86,82,90,81,91,82,92,83,91,82,90,32,80,79,79,78,78,79,79,80,80,79,84,79,85,78,86,79,85,80,84,79,32,80,88,79,87,78,88,79,89,80,88,84,88,85,87,86,88,85,89,84,88,0,76,89,86,75,86,88,32,78,75,86,75,32,81,81,86,81,32,78,88,86,88,0,72,92,81,75,78,76,76,78,75,81,75,83,76,86,78,88,81,89,83,89,86,88,88,86,89,83,89,81,88,78,86,76,83,75,81,75,32,82,81,81,82,82,83,83,82,82,81,0,76,89,81,75,80,76,80,77,81,78,32,84,75,85,76,85,77,84,78,32,82,78,80,79,79,81,79,82,80,84,82,85,83,85,85,84,86,82,86,81,85,79,83,78,82,78,32,82,85,82,89,32,83,85,83,89,32,79,87,86,87,0,76,89,82,75,80,76,79,78,79,79,80,81,82,82,83,82,85,81,86,79,86,78,85,76,83,75,82,75,32,82,82,82,88,32,83,82,83,88,32,79,85,86,85,0,72,92,81,75,78,76,76,78,75,81,75,83,76,86,78,88,81,89,83,89,86,88,88,86,89,83,89,81,88,78,86,76,83,75,81,75,32,82,75,82,89,32,75,82,89,82,0,74,89,82,82,80,81,79,81,77,82,76,84,76,85,77,87,79,88,80,88,82,87,83,85,83,84,82,82,32,87,77,82,82,32,82,77,87,77,87,82,32,82,77,86,78,87,82,0,74,90,76,76,77,75,79,75,81,76,82,78,82,80,81,82,80,83,78,84,32,79,75,80,76,81,78,81,81,80,83,32,86,75,85,88,32,87,75,84,88,32,78,84,88,84,0,74,89,78,75,78,85,32,79,75,78,82,32,78,82,79,80,81,79,83,79,85,80,86,81,86,84,84,86,84,88,85,89,86,89,87,88,32,83,79,85,81,85,84,84,86,32,76,75,79,75,0,76,89,79,78,82,75,82,81,32,86,78,83,75,83,81,32,82,81,80,82,79,84,79,85,80,87,82,88,83,88,85,87,86,85,86,84,85,82,83,81,32,82,84,82,85,83,85,83,84,82,84,0,74,90,82,75,82,89,32,77,75,77,80,78,82,80,83,84,83,86,82,87,80,87,75,32,76,77,77,75,78,77,32,81,77,82,75,83,77,32,86,77,87,75,88,77,32,79,86,85,86,0,74,89,78,75,78,88,32,79,75,79,88,32,76,75,83,75,86,76,87,78,87,79,86,81,83,82,79,82,32,83,75,85,76,86,78,86,79,85,81,83,82,32,76,88,86,88,86,85,85,88,0,76,89,87,75,84,75,81,76,79,78,78,81,78,83,79,86,81,88,84,89,87,89,32,87,75,84,76,82,78,81,81,81,83,82,86,84,88,87,89,0,74,90,82,82,80,81,79,81,77,82,76,84,76,85,77,87,79,88,80,88,82,87,83,85,83,84,82,82,32,83,76,81,81,32,87,77,82,82,32,88,81,83,83,0,75,89,80,77,84,87,32,84,77,80,87,32,77,80,87,84,32,87,80,77,84,0,74,91,79,85,77,85,76,86,76,88,77,89,79,89,80,88,80,86,78,84,77,82,77,79,78,77,79,76,81,75,84,75,86,76,87,77,88,79,88,82,87,84,85,86,85,88,86,89,88,89,89,88,89,86,88,85,86,85,32,78,77,80,76,85,76,87,77,0,74,91,79,79,77,79,76,78,76,76,77,75,79,75,80,76,80,78,78,80,77,82,77,85,78,87,79,88,81,89,84,89,86,88,87,87,88,85,88,82,87,80,85,78,85,76,86,75,88,75,89,76,89,78,88,79,86,79,32,78,87,80,88,85,88,87,87,0,70,94,75,72,75,92,32,76,72,76,92,32,88,72,88,92,32,89,72,89,92,32,72,72,92,72,32,72,92,79,92,32,85,92,92,92,0,72,93,75,72,82,81,74,92,32,74,72,81,81,32,74,72,89,72,90,77,88,72,32,75,91,88,91,32,74,92,89,92,90,87,88,92,0,75,89,86,66,84,68,82,71,80,75,79,80,79,84,80,89,82,93,84,96,86,98,32,84,68,82,72,81,75,80,80,80,84,81,89,82,92,84,96,0,75,89,78,66,80,68,82,71,84,75,85,80,85,84,84,89,82,93,80,96,78,98,32,80,68,82,72,83,75,84,80,84,84,83,89,82,92,80,96,0,75,89,79,66,79,98,32,80,66,80,98,32,79,66,86,66,32,79,98,86,98,0,75,89,84,66,84,98,32,85,66,85,98,32,78,66,85,66,32,78,98,85,98,0,74,89,84,66,81,69,80,72,80,74,81,77,83,79,83,80,79,82,83,84,83,85,81,87,80,90,80,92,81,95,84,98,32,82,68,81,71,81,75,82,78,32,82,86,81,89,81,93,82,96,0,75,90,80,66,83,69,84,72,84,74,83,77,81,79,81,80,85,82,81,84,81,85,83,87,84,90,84,92,83,95,80,98,32,82,68,83,71,83,75,82,78,32,82,86,83,89,83,93,82,96,0,75,89,85,64,82,67,80,70,79,73,79,76,80,79,83,86,84,89,84,92,83,95,82,97,32,82,67,81,69,80,72,80,75,81,78,84,85,85,88,85,91,84,94,82,97,79,100,0,75,89,79,64,82,67,84,70,85,73,85,76,84,79,81,86,80,89,80,92,81,95,82,97,32,82,67,83,69,84,72,84,75,83,78,80,85,79,88,79,91,80,94,82,97,85,100,0,65,88,67,82,71,82,82,96,32,71,83,82,97,32,70,83,82,98,32,88,58,82,98,0,70,94,91,67,90,68,91,69,92,68,92,67,91,66,89,66,87,67,85,69,84,71,83,74,82,78,80,90,79,94,78,96,32,86,68,85,70,84,74,82,86,81,90,80,93,79,95,77,97,75,98,73,98,72,97,72,96,73,95,74,96,73,97,0,72,92,82,70,75,91,32,82,70,89,91,32,82,73,88,91,32,77,85,86,85,32,73,91,79,91,32,85,91,91,91,0,71,93,76,70,76,91,32,77,70,77,91,32,73,70,85,70,88,71,89,72,90,74,90,76,89,78,88,79,85,80,32,85,70,87,71,88,72,89,74,89,76,88,78,87,79,85,80,32,77,80,85,80,88,81,89,82,90,84,90,87,89,89,88,90,85,91,73,91,32,85,80,87,81,88,82,89,84,89,87,88,89,87,90,85,91,0,71,92,88,73,89,76,89,70,88,73,86,71,83,70,81,70,78,71,76,73,75,75,74,78,74,83,75,86,76,88,78,90,81,91,83,91,86,90,88,88,89,86,32,81,70,79,71,77,73,76,75,75,78,75,83,76,86,77,88,79,90,81,91,0,71,93,76,70,76,91,32,77,70,77,91,32,73,70,83,70,86,71,88,73,89,75,90,78,90,83,89,86,88,88,86,90,83,91,73,91,32,83,70,85,71,87,73,88,75,89,78,89,83,88,86,87,88,85,90,83,91,0,71,92,76,70,76,91,32,77,70,77,91,32,83,76,83,84,32,73,70,89,70,89,76,88,70,32,77,80,83,80,32,73,91,89,91,89,85,88,91,0,71,91,76,70,76,91,32,77,70,77,91,32,83,76,83,84,32,73,70,89,70,89,76,88,70,32,77,80,83,80,32,73,91,80,91,0,71,94,88,73,89,76,89,70,88,73,86,71,83,70,81,70,78,71,76,73,75,75,74,78,74,83,75,86,76,88,78,90,81,91,83,91,86,90,88,88,32,81,70,79,71,77,73,76,75,75,78,75,83,76,86,77,88,79,90,81,91,32,88,83,88,91,32,89,83,89,91,32,85,83,92,83,0,70,94,75,70,75,91,32,76,70,76,91,32,88,70,88,91,32,89,70,89,91,32,72,70,79,70,32,85,70,92,70,32,76,80,88,80,32,72,91,79,91,32,85,91,92,91,0,77,88,82,70,82,91,32,83,70,83,91,32,79,70,86,70,32,79,91,86,91,0,75,90,85,70,85,87,84,90,82,91,80,91,78,90,77,88,77,86,78,85,79,86,78,87,32,84,70,84,87,83,90,82,91,32,81,70,88,70,0,70,92,75,70,75,91,32,76,70,76,91,32,89,70,76,83,32,81,79,89,91,32,80,79,88,91,32,72,70,79,70,32,85,70,91,70,32,72,91,79,91,32,85,91,91,91,0,73,91,78,70,78,91,32,79,70,79,91,32,75,70,82,70,32,75,91,90,91,90,85,89,91,0,70,95,75,70,75,91,32,76,70,82,88,32,75,70,82,91,32,89,70,82,91,32,89,70,89,91,32,90,70,90,91,32,72,70,76,70,32,89,70,93,70,32,72,91,78,91,32,86,91,93,91,0,71,94,76,70,76,91,32,77,70,89,89,32,77,72,89,91,32,89,70,89,91,32,73,70,77,70,32,86,70,92,70,32,73,91,79,91,0,71,93,81,70,78,71,76,73,75,75,74,79,74,82,75,86,76,88,78,90,81,91,83,91,86,90,88,88,89,86,90,82,90,79,89,75,88,73,86,71,83,70,81,70,32,81,70,79,71,77,73,76,75,75,79,75,82,76,86,77,88,79,90,81,91,32,83,91,85,90,87,88,88,86,89,82,89,79,88,75,87,73,85,71,83,70,0,71,93,76,70,76,91,32,77,70,77,91,32,73,70,85,70,88,71,89,72,90,74,90,77,89,79,88,80,85,81,77,81,32,85,70,87,71,88,72,89,74,89,77,88,79,87,80,85,81,32,73,91,80,91,0,71,93,81,70,78,71,76,73,75,75,74,79,74,82,75,86,76,88,78,90,81,91,83,91,86,90,88,88,89,86,90,82,90,79,89,75,88,73,86,71,83,70,81,70,32,81,70,79,71,77,73,76,75,75,79,75,82,76,86,77,88,79,90,81,91,32,83,91,85,90,87,88,88,86,89,82,89,79,88,75,87,73,85,71,83,70,32,78,89,78,88,79,86,81,85,82,85,84,86,85,88,86,95,87,96,89,96,90,94,90,93,32,85,88,86,92,87,94,88,95,89,95,90,94,0,71,93,76,70,76,91,32,77,70,77,91,32,73,70,85,70,88,71,89,72,90,74,90,76,89,78,88,79,85,80,77,80,32,85,70,87,71,88,72,89,74,89,76,88,78,87,79,85,80,32,73,91,80,91,32,82,80,84,81,85,82,88,89,89,90,90,90,91,89,32,84,81,85,83,87,90,88,91,90,91,91,89,91,88,0,72,92,88,73,89,70,89,76,88,73,86,71,83,70,80,70,77,71,75,73,75,75,76,77,77,78,79,79,85,81,87,82,89,84,32,75,75,77,77,79,78,85,80,87,81,88,82,89,84,89,88,87,90,84,91,81,91,78,90,76,88,75,85,75,91,76,88,0,73,92,82,70,82,91,32,83,70,83,91,32,76,70,75,76,75,70,90,70,90,76,89,70,32,79,91,86,91,0,70,94,75,70,75,85,76,88,78,90,81,91,83,91,86,90,88,88,89,85,89,70,32,76,70,76,85,77,88,79,90,81,91,32,72,70,79,70,32,86,70,92,70,0,72,92,75,70,82,91,32,76,70,82,88,32,89,70,82,91,32,73,70,79,70,32,85,70,91,70,0,70,94,74,70,78,91,32,75,70,78,86,32,82,70,78,91,32,82,70,86,91,32,83,70,86,86,32,90,70,86,91,32,71,70,78,70,32,87,70,93,70,0,72,92,75,70,88,91,32,76,70,89,91,32,89,70,75,91,32,73,70,79,70,32,85,70,91,70,32,73,91,79,91,32,85,91,91,91,0,72,93,75,70,82,81,82,91,32,76,70,83,81,83,91,32,90,70,83,81,32,73,70,79,70,32,86,70,92,70,32,79,91,86,91,0,72,92,88,70,75,91,32,89,70,76,91,32,76,70,75,76,75,70,89,70,32,75,91,89,91,89,85,88,91,0,73,91,78,70,78,91,32,79,70,79,91,32,75,70,90,70,90,76,89,70,32,75,91,82,91,0,72,92,82,70,74,91,32,82,70,90,91,32,82,73,89,91,32,75,90,89,90,32,74,91,90,91,0,71,93,81,70,78,71,76,73,75,75,74,79,74,82,75,86,76,88,78,90,81,91,83,91,86,90,88,88,89,86,90,82,90,79,89,75,88,73,86,71,83,70,81,70,32,81,70,79,71,77,73,76,75,75,79,75,82,76,86,77,88,79,90,81,91,32,83,91,85,90,87,88,88,86,89,82,89,79,88,75,87,73,85,71,83,70,32,79,77,79,84,32,85,77,85,84,32,79,80,85,80,32,79,81,85,81,0,72,92,82,70,75,91,32,82,70,89,91,32,82,73,88,91,32,73,91,79,91,32,85,91,91,91,0,71,93,75,69,74,74,32,90,69,89,74,32,79,78,78,83,32,86,78,85,83,32,75,87,74,92,32,90,87,89,92,32,75,71,89,71,32,75,72,89,72,32,79,80,85,80,32,79,81,85,81,32,75,89,89,89,32,75,90,89,90,0,70,94,75,70,75,91,32,76,70,76,91,32,88,70,88,91,32,89,70,89,91,32,72,70,92,70,32,72,91,79,91,32,85,91,92,91,0,72,93,75,70,82,80,74,91,32,74,70,81,80,32,74,70,89,70,90,76,88,70,32,75,90,88,90,32,74,91,89,91,90,85,88,91,0,73,92,75,75,75,73,76,71,77,70,79,70,80,71,81,73,82,77,82,91,32,75,73,77,71,79,71,81,73,32,90,75,90,73,89,71,88,70,86,70,85,71,84,73,83,77,83,91,32,90,73,88,71,86,71,84,73,32,79,91,86,91,0,72,93,82,70,82,91,32,83,70,83,91,32,80,75,77,76,76,77,75,79,75,82,76,84,77,85,80,86,85,86,88,85,89,84,90,82,90,79,89,77,88,76,85,75,80,75,32,80,75,78,76,77,77,76,79,76,82,77,84,78,85,80,86,32,85,86,87,85,88,84,89,82,89,79,88,77,87,76,85,75,32,79,70,86,70,32,79,91,86,91,0,71,94,82,70,82,91,32,83,70,83,91,32,73,77,74,76,76,77,77,81,78,83,79,84,81,85,32,74,76,75,77,76,81,77,83,78,84,81,85,84,85,87,84,88,83,89,81,90,77,91,76,32,84,85,86,84,87,83,88,81,89,77,91,76,92,77,32,79,70,86,70,32,79,91,86,91,0,71,93,74,88,75,91,79,91,77,87,75,83,74,80,74,76,75,73,77,71,80,70,84,70,87,71,89,73,90,76,90,80,89,83,87,87,85,91,89,91,90,88,32,77,87,76,84,75,80,75,76,76,73,78,71,80,70,32,84,70,86,71,88,73,89,76,89,80,88,84,87,87,32,75,90,78,90,32,86,90,89,90,0,72,92,85,70,72,91,32,85,70,86,91,32,84,72,85,91,32,76,85,85,85,32,70,91,76,91,32,82,91,88,91,0,70,94,79,70,73,91,32,80,70,74,91,32,76,70,87,70,90,71,91,73,91,75,90,78,89,79,86,80,32,87,70,89,71,90,73,90,75,89,78,88,79,86,80,32,77,80,86,80,88,81,89,83,89,85,88,88,86,90,82,91,70,91,32,86,80,87,81,88,83,88,85,87,88,85,90,82,91,0,72,93,90,72,91,72,92,70,91,76,91,74,90,72,89,71,87,70,84,70,81,71,79,73,77,76,76,79,75,83,75,86,76,89,77,90,80,91,83,91,85,90,87,88,88,86,32,84,70,82,71,80,73,78,76,77,79,76,83,76,86,77,89,78,90,80,91,0,70,93,79,70,73,91,32,80,70,74,91,32,76,70,85,70,88,71,89,72,90,75,90,79,89,83,87,87,85,89,83,90,79,91,70,91,32,85,70,87,71,88,72,89,75,89,79,88,83,86,87,84,89,82,90,79,91,0,70,93,79,70,73,91,32,80,70,74,91,32,84,76,82,84,32,76,70,91,70,90,76,90,70,32,77,80,83,80,32,70,91,85,91,87,86,84,91,0,70,92,79,70,73,91,32,80,70,74,91,32,84,76,82,84,32,76,70,91,70,90,76,90,70,32,77,80,83,80,32,70,91,77,91,0,72,94,90,72,91,72,92,70,91,76,91,74,90,72,89,71,87,70,84,70,81,71,79,73,77,76,76,79,75,83,75,86,76,89,77,90,80,91,82,91,85,90,87,88,89,84,32,84,70,82,71,80,73,78,76,77,79,76,83,76,86,77,89,78,90,80,91,32,82,91,84,90,86,88,88,84,32,85,84,92,84,0,69,95,78,70,72,91,32,79,70,73,91,32,91,70,85,91,32,92,70,86,91,32,75,70,82,70,32,88,70,95,70,32,76,80,88,80,32,69,91,76,91,32,82,91,89,91,0,76,89,85,70,79,91,32,86,70,80,91,32,82,70,89,70,32,76,91,83,91,0,73,91,88,70,83,87,82,89,81,90,79,91,77,91,75,90,74,88,74,86,75,85,76,86,75,87,32,87,70,82,87,81,89,79,91,32,84,70,91,70,0,70,93,79,70,73,91,32,80,70,74,91,32,93,70,76,83,32,83,79,87,91,32,82,79,86,91,32,76,70,83,70,32,89,70,95,70,32,70,91,77,91,32,83,91,89,91,0,72,92,81,70,75,91,32,82,70,76,91,32,78,70,85,70,32,72,91,87,91,89,85,86,91,0,69,96,78,70,72,91,32,78,70,79,91,32,79,70,80,89,32,92,70,79,91,32,92,70,86,91,32,93,70,87,91,32,75,70,79,70,32,92,70,96,70,32,69,91,75,91,32,83,91,90,91,0,70,95,79,70,73,91,32,79,70,86,88,32,79,73,86,91,32,92,70,86,91,32,76,70,79,70,32,89,70,95,70,32,70,91,76,91,0,71,93,83,70,80,71,78,73,76,76,75,79,74,83,74,86,75,89,76,90,78,91,81,91,84,90,86,88,88,85,89,82,90,78,90,75,89,72,88,71,86,70,83,70,32,83,70,81,71,79,73,77,76,76,79,75,83,75,86,76,89,78,91,32,81,91,83,90,85,88,87,85,88,82,89,78,89,75,88,72,86,70,0,70,93,79,70,73,91,32,80,70,74,91,32,76,70,88,70,91,71,92,73,92,75,91,78,89,80,85,81,77,81,32,88,70,90,71,91,73,91,75,90,78,88,80,85,81,32,70,91,77,91,0,71,93,83,70,80,71,78,73,76,76,75,79,74,83,74,86,75,89,76,90,78,91,81,91,84,90,86,88,88,85,89,82,90,78,90,75,89,72,88,71,86,70,83,70,32,83,70,81,71,79,73,77,76,76,79,75,83,75,86,76,89,78,91,32,81,91,83,90,85,88,87,85,88,82,89,78,89,75,88,72,86,70,32,76,89,76,88,77,86,79,85,80,85,82,86,83,88,83,95,84,96,86,96,87,94,87,93,32,83,88,84,94,85,95,86,95,87,94,0,70,94,79,70,73,91,32,80,70,74,91,32,76,70,87,70,90,71,91,73,91,75,90,78,89,79,86,80,77,80,32,87,70,89,71,90,73,90,75,89,78,88,79,86,80,32,82,80,84,81,85,82,86,90,87,91,89,91,90,89,90,88,32,85,82,87,89,88,90,89,90,90,89,32,70,91,77,91,0,71,94,90,72,91,72,92,70,91,76,91,74,90,72,89,71,86,70,82,70,79,71,77,73,77,75,78,77,79,78,86,82,88,84,32,77,75,79,77,86,81,87,82,88,84,88,87,87,89,86,90,83,91,79,91,76,90,75,89,74,87,74,85,73,91,74,89,75,89,0,72,93,85,70,79,91,32,86,70,80,91,32,79,70,76,76,78,70,93,70,92,76,92,70,32,76,91,83,91,0,70,95,78,70,75,81,74,85,74,88,75,90,78,91,82,91,85,90,87,88,88,85,92,70,32,79,70,76,81,75,85,75,88,76,90,78,91,32,75,70,82,70,32,89,70,95,70,0,72,92,78,70,79,91,32,79,70,80,89,32,92,70,79,91,32,76,70,82,70,32,88,70,94,70,0,69,95,77,70,75,91,32,78,70,76,89,32,85,70,75,91,32,85,70,83,91,32,86,70,84,89,32,93,70,83,91,32,74,70,81,70,32,90,70,96,70,0,71,93,78],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+317444);allocate([70,85,91,32,79,70,86,91,32,92,70,72,91,32,76,70,82,70,32,88,70,94,70,32,70,91,76,91,32,82,91,88,91,0,72,93,78,70,82,80,79,91,32,79,70,83,80,80,91,32,93,70,83,80,32,76,70,82,70,32,89,70,95,70,32,76,91,83,91,0,71,93,91,70,72,91,32,92,70,73,91,32,79,70,76,76,78,70,92,70,32,72,91,86,91,88,85,85,91,0,72,92,75,73,76,75,88,87,89,89,89,91,32,76,76,88,88,32,75,73,75,75,76,77,88,89,89,91,32,80,80,76,84,75,86,75,88,76,90,75,91,32,75,86,77,90,32,76,84,76,86,77,88,77,90,75,91,32,83,83,88,78,32,86,73,86,76,87,78,89,78,89,76,87,75,86,73,32,86,73,87,76,89,78,0,72,92,81,73,75,91,32,83,73,89,91,32,82,73,88,91,32,77,85,86,85,32,73,91,79,91,32,85,91,91,91,32,81,66,79,67,78,69,78,71,79,73,81,74,83,74,85,73,86,71,86,69,85,67,83,66,81,66,0,71,93,73,66,91,98,0,70,94,82,74,73,90,32,82,74,91,90,0,73,93,78,79,78,80,77,80,77,79,78,78,80,77,84,77,86,78,87,79,88,81,88,88,89,90,90,91,32,87,79,87,88,88,90,90,91,91,91,32,87,81,86,82,80,83,77,84,76,86,76,88,77,90,80,91,83,91,85,90,87,88,32,80,83,78,84,77,86,77,88,78,90,80,91,0,71,92,76,70,76,91,32,77,70,77,91,32,77,80,79,78,81,77,83,77,86,78,88,80,89,83,89,85,88,88,86,90,83,91,81,91,79,90,77,88,32,83,77,85,78,87,80,88,83,88,85,87,88,85,90,83,91,32,73,70,77,70,0,72,91,87,80,86,81,87,82,88,81,88,80,86,78,84,77,81,77,78,78,76,80,75,83,75,85,76,88,78,90,81,91,83,91,86,90,88,88,32,81,77,79,78,77,80,76,83,76,85,77,88,79,90,81,91,0,72,93,87,70,87,91,32,88,70,88,91,32,87,80,85,78,83,77,81,77,78,78,76,80,75,83,75,85,76,88,78,90,81,91,83,91,85,90,87,88,32,81,77,79,78,77,80,76,83,76,85,77,88,79,90,81,91,32,84,70,88,70,32,87,91,91,91,0,72,91,76,83,88,83,88,81,87,79,86,78,84,77,81,77,78,78,76,80,75,83,75,85,76,88,78,90,81,91,83,91,86,90,88,88,32,87,83,87,80,86,78,32,81,77,79,78,77,80,76,83,76,85,77,88,79,90,81,91,0,75,88,85,71,84,72,85,73,86,72,86,71,85,70,83,70,81,71,80,73,80,91,32,83,70,82,71,81,73,81,91,32,77,77,85,77,32,77,91,84,91,0,73,92,81,77,79,78,78,79,77,81,77,83,78,85,79,86,81,87,83,87,85,86,86,85,87,83,87,81,86,79,85,78,83,77,81,77,32,79,78,78,80,78,84,79,86,32,85,86,86,84,86,80,85,78,32,86,79,87,78,89,77,89,78,87,78,32,78,85,77,86,76,88,76,89,77,91,80,92,85,92,88,93,89,94,32,76,89,77,90,80,91,85,91,88,92,89,94,89,95,88,97,85,98,79,98,76,97,75,95,75,94,76,92,79,91,0,71,93,76,70,76,91,32,77,70,77,91,32,77,80,79,78,82,77,84,77,87,78,88,80,88,91,32,84,77,86,78,87,80,87,91,32,73,70,77,70,32,73,91,80,91,32,84,91,91,91,0,77,88,82,70,81,71,82,72,83,71,82,70,32,82,77,82,91,32,83,77,83,91,32,79,77,83,77,32,79,91,86,91,0,77,88,83,70,82,71,83,72,84,71,83,70,32,84,77,84,95,83,97,81,98,79,98,78,97,78,96,79,95,80,96,79,97,32,83,77,83,95,82,97,81,98,32,80,77,84,77,0,71,92,76,70,76,91,32,77,70,77,91,32,87,77,77,87,32,82,83,88,91,32,81,83,87,91,32,73,70,77,70,32,84,77,90,77,32,73,91,80,91,32,84,91,90,91,0,77,88,82,70,82,91,32,83,70,83,91,32,79,70,83,70,32,79,91,86,91,0,66,99,71,77,71,91,32,72,77,72,91,32,72,80,74,78,77,77,79,77,82,78,83,80,83,91,32,79,77,81,78,82,80,82,91,32,83,80,85,78,88,77,90,77,93,78,94,80,94,91,32,90,77,92,78,93,80,93,91,32,68,77,72,77,32,68,91,75,91,32,79,91,86,91,32,90,91,97,91,0,71,93,76,77,76,91,32,77,77,77,91,32,77,80,79,78,82,77,84,77,87,78,88,80,88,91,32,84,77,86,78,87,80,87,91,32,73,77,77,77,32,73,91,80,91,32,84,91,91,91,0,72,92,81,77,78,78,76,80,75,83,75,85,76,88,78,90,81,91,83,91,86,90,88,88,89,85,89,83,88,80,86,78,83,77,81,77,32,81,77,79,78,77,80,76,83,76,85,77,88,79,90,81,91,32,83,91,85,90,87,88,88,85,88,83,87,80,85,78,83,77,0,71,92,76,77,76,98,32,77,77,77,98,32,77,80,79,78,81,77,83,77,86,78,88,80,89,83,89,85,88,88,86,90,83,91,81,91,79,90,77,88,32,83,77,85,78,87,80,88,83,88,85,87,88,85,90,83,91,32,73,77,77,77,32,73,98,80,98,0,72,92,87,77,87,98,32,88,77,88,98,32,87,80,85,78,83,77,81,77,78,78,76,80,75,83,75,85,76,88,78,90,81,91,83,91,85,90,87,88,32,81,77,79,78,77,80,76,83,76,85,77,88,79,90,81,91,32,84,98,91,98,0,73,90,78,77,78,91,32,79,77,79,91,32,79,83,80,80,82,78,84,77,87,77,88,78,88,79,87,80,86,79,87,78,32,75,77,79,77,32,75,91,82,91,0,74,91,87,79,88,77,88,81,87,79,86,78,84,77,80,77,78,78,77,79,77,81,78,82,80,83,85,85,87,86,88,87,32,77,80,78,81,80,82,85,84,87,85,88,86,88,89,87,90,85,91,81,91,79,90,78,89,77,87,77,91,78,89,0,75,90,80,70,80,87,81,90,83,91,85,91,87,90,88,88,32,81,70,81,87,82,90,83,91,32,77,77,85,77,0,71,93,76,77,76,88,77,90,80,91,82,91,85,90,87,88,32,77,77,77,88,78,90,80,91,32,87,77,87,91,32,88,77,88,91,32,73,77,77,77,32,84,77,88,77,32,87,91,91,91,0,73,91,76,77,82,91,32,77,77,82,89,32,88,77,82,91,32,74,77,80,77,32,84,77,90,77,0,70,94,74,77,78,91,32,75,77,78,88,32,82,77,78,91,32,82,77,86,91,32,83,77,86,88,32,90,77,86,91,32,71,77,78,77,32,87,77,93,77,0,72,92,76,77,87,91,32,77,77,88,91,32,88,77,76,91,32,74,77,80,77,32,84,77,90,77,32,74,91,80,91,32,84,91,90,91,0,72,91,76,77,82,91,32,77,77,82,89,32,88,77,82,91,80,95,78,97,76,98,75,98,74,97,75,96,76,97,32,74,77,80,77,32,84,77,90,77,0,73,91,87,77,76,91,32,88,77,77,91,32,77,77,76,81,76,77,88,77,32,76,91,88,91,88,87,87,91,0,71,94,81,77,78,78,76,80,75,82,74,85,74,88,75,90,78,91,80,91,82,90,85,87,87,84,89,80,90,77,32,81,77,79,78,77,80,76,82,75,85,75,88,76,90,78,91,32,81,77,83,77,85,78,86,80,88,88,89,90,90,91,32,83,77,84,78,85,80,87,88,88,90,90,91,91,91,0,71,92,84,70,81,71,79,73,77,77,76,80,75,84,74,90,73,98,32,84,70,82,71,80,73,78,77,77,80,76,84,75,90,74,98,32,84,70,86,70,88,71,89,72,89,75,88,77,87,78,84,79,80,79,32,86,70,88,72,88,75,87,77,86,78,84,79,32,80,79,84,80,86,82,87,84,87,87,86,89,85,90,82,91,80,91,78,90,77,89,76,86,32,80,79,83,80,85,82,86,84,86,87,85,89,84,90,82,91,0,72,92,73,80,75,78,77,77,79,77,81,78,82,79,83,82,83,86,82,90,79,98,32,74,79,76,78,80,78,82,79,32,90,77,89,80,88,82,83,89,80,94,78,98,32,89,77,88,80,87,82,83,89,0,73,92,86,78,84,77,82,77,79,78,77,81,76,84,76,87,77,89,78,90,80,91,82,91,85,90,87,87,88,84,88,81,87,79,83,74,82,72,82,70,83,69,85,69,87,70,89,72,32,82,77,80,78,78,81,77,84,77,88,78,90,32,82,91,84,90,86,87,87,84,87,80,86,78,84,75,83,73,83,71,84,70,86,70,89,72,0,73,91,88,80,86,78,84,77,80,77,78,78,78,80,80,82,83,83,32,80,77,79,78,79,80,81,82,83,83,32,83,83,78,84,76,86,76,88,77,90,80,91,83,91,85,90,87,88,32,83,83,79,84,77,86,77,88,78,90,80,91,0,73,91,84,70,82,71,81,72,81,73,82,74,85,75,90,75,90,74,87,75,83,77,80,79,77,82,76,85,76,87,77,89,80,91,83,93,84,95,84,97,83,98,81,98,80,97,32,85,76,81,79,78,82,77,85,77,87,78,89,80,91,0,71,93,72,81,73,79,75,77,78,77,79,78,79,80,78,84,76,91,32,77,77,78,78,78,80,77,84,75,91,32,78,84,80,80,82,78,84,77,86,77,88,78,89,79,89,82,88,87,85,98,32,86,77,88,79,88,82,87,87,84,98,0,70,93,71,81,72,79,74,77,77,77,78,78,78,80,77,85,77,88,78,90,79,91,32,76,77,77,78,77,80,76,85,76,88,77,90,79,91,81,91,83,90,85,88,87,85,88,82,89,77,89,73,88,71,86,70,84,70,82,72,82,74,83,77,85,80,87,82,90,84,32,83,90,85,87,86,85,87,82,88,77,88,73,87,71,86,70,0,76,88,82,77,80,84,79,88,79,90,80,91,83,91,85,89,86,87,32,83,77,81,84,80,88,80,90,81,91,0,72,92,78,77,74,91,32,79,77,75,91,32,88,77,89,78,90,78,89,77,87,77,85,78,81,82,79,83,77,83,32,79,83,81,84,83,90,84,91,32,79,83,80,84,82,90,83,91,85,91,87,90,89,87,0,72,92,75,70,77,70,79,71,80,72,81,74,87,88,88,90,89,91,32,77,70,79,72,80,74,86,88,87,90,89,91,90,91,32,82,77,74,91,32,82,77,75,91,0,70,93,77,77,71,98,32,78,77,72,98,32,77,80,76,86,76,89,78,91,80,91,82,90,84,88,86,85,32,88,77,85,88,85,90,86,91,89,91,91,89,92,87,32,89,77,86,88,86,90,87,91,0,72,92,78,77,76,91,32,79,77,78,83,77,88,76,91,32,89,77,88,81,86,85,32,90,77,89,80,88,82,86,85,84,87,81,89,79,90,76,91,32,75,77,79,77,0,73,90,84,70,82,71,81,72,81,73,82,74,85,75,88,75,32,85,75,81,76,79,77,78,79,78,81,80,83,83,84,86,84,32,85,75,82,76,80,77,79,79,79,81,81,83,83,84,32,83,84,79,85,77,86,76,88,76,90,78,92,83,94,84,95,84,97,82,98,80,98,32,83,84,80,85,78,86,77,88,77,90,79,92,83,94,0,73,91,82,77,79,78,77,81,76,84,76,87,77,89,78,90,80,91,82,91,85,90,87,87,88,84,88,81,87,79,86,78,84,77,82,77,32,82,77,80,78,78,81,77,84,77,88,78,90,32,82,91,84,90,86,87,87,84,87,80,86,78,0,71,93,80,78,76,91,32,80,78,77,91,32,86,78,86,91,32,86,78,87,91,32,73,80,75,78,78,77,91,77,32,73,80,75,79,78,78,91,78,0,72,91,76,86,77,89,78,90,80,91,82,91,85,90,87,87,88,84,88,81,87,79,86,78,84,77,82,77,79,78,77,81,76,84,72,98,32,82,91,84,90,86,87,87,84,87,80,86,78,32,82,77,80,78,78,81,77,84,73,98,0,72,93,91,77,81,77,78,78,76,81,75,84,75,87,76,89,77,90,79,91,81,91,84,90,86,87,87,84,87,81,86,79,85,78,83,77,32,81,77,79,78,77,81,76,84,76,88,77,90,32,81,91,83,90,85,87,86,84,86,80,85,78,32,85,78,91,78,0,72,92,83,78,80,91,32,83,78,81,91,32,74,80,76,78,79,77,90,77,32,74,80,76,79,79,78,90,78,0,72,92,73,81,74,79,76,77,79,77,80,78,80,80,78,86,78,89,80,91,32,78,77,79,78,79,80,77,86,77,89,78,90,80,91,81,91,84,90,86,88,88,85,89,82,89,79,88,77,87,78,88,79,89,82,32,88,85,89,79,0,71,93,79,78,77,79,75,81,74,84,74,87,75,89,76,90,78,91,81,91,84,90,87,88,89,85,90,82,90,79,88,77,86,77,84,79,82,83,80,88,77,98,32,74,87,76,89,78,90,81,90,84,89,87,87,89,85,32,90,79,88,78,86,78,84,80,82,83,80,89,78,98,0,73,91,75,77,77,77,79,78,80,80,85,95,86,97,87,98,32,77,77,78,78,79,80,84,95,85,97,87,98,89,98,32,90,77,89,79,87,82,77,93,75,96,74,98,0,70,93,85,70,79,98,32,86,70,78,98,32,71,81,72,79,74,77,77,77,78,78,78,80,77,85,77,88,79,90,82,90,84,89,87,86,89,83,32,76,77,77,78,77,80,76,85,76,88,77,90,79,91,82,91,84,90,86,88,88,85,89,83,91,77,0,70,93,74,81,76,79,79,78,78,77,76,78,74,81,73,84,73,87,74,90,75,91,77,91,79,90,81,87,82,84,32,73,87,74,89,75,90,77,90,79,89,81,87,32,81,84,81,87,82,90,83,91,85,91,87,90,89,87,90,84,90,81,89,78,88,77,87,78,89,79,90,81,32,81,87,82,89,83,90,85,90,87,89,89,87,0,72,93,88,77,86,84,85,88,85,90,86,91,89,91,91,89,92,87,32,89,77,87,84,86,88,86,90,87,91,32,86,84,86,81,85,78,83,77,81,77,78,78,76,81,75,84,75,87,76,89,77,90,79,91,81,91,83,90,85,87,86,84,32,81,77,79,78,77,81,76,84,76,88,77,90,0,72,91,80,70,76,83,76,86,77,89,78,90,32,81,70,77,83,32,77,83,78,80,80,78,82,77,84,77,86,78,87,79,88,81,88,84,87,87,85,90,82,91,80,91,78,90,77,87,77,83,32,86,78,87,80,87,84,86,87,84,90,82,91,32,77,70,81,70,0,73,91,87,80,87,81,88,81,88,80,87,78,85,77,82,77,79,78,77,81,76,84,76,87,77,89,78,90,80,91,82,91,85,90,87,87,32,82,77,80,78,78,81,77,84,77,88,78,90,0,72,93,90,70,86,84,85,88,85,90,86,91,89,91,91,89,92,87,32,91,70,87,84,86,88,86,90,87,91,32,86,84,86,81,85,78,83,77,81,77,78,78,76,81,75,84,75,87,76,89,77,90,79,91,81,91,83,90,85,87,86,84,32,81,77,79,78,77,81,76,84,76,88,77,90,32,87,70,91,70,0,73,91,77,86,81,85,84,84,87,82,88,80,87,78,85,77,82,77,79,78,77,81,76,84,76,87,77,89,78,90,80,91,82,91,85,90,87,88,32,82,77,80,78,78,81,77,84,77,88,78,90,0,75,90,90,71,89,72,90,73,91,72,91,71,90,70,88,70,86,71,85,72,84,74,83,77,80,91,79,95,78,97,32,88,70,86,72,85,74,84,78,82,87,81,91,80,94,79,96,78,97,76,98,74,98,73,97,73,96,74,95,75,96,74,97,32,79,77,89,77,0,72,92,89,77,85,91,84,94,82,97,79,98,76,98,74,97,73,96,73,95,74,94,75,95,74,96,32,88,77,84,91,83,94,81,97,79,98,32,86,84,86,81,85,78,83,77,81,77,78,78,76,81,75,84,75,87,76,89,77,90,79,91,81,91,83,90,85,87,86,84,32,81,77,79,78,77,81,76,84,76,88,77,90,0,72,93,80,70,74,91,32,81,70,75,91,32,77,84,79,80,81,78,83,77,85,77,87,78,88,79,88,81,86,87,86,90,87,91,32,85,77,87,79,87,81,85,87,85,90,86,91,89,91,91,89,92,87,32,77,70,81,70,0,76,89,85,70,84,71,85,72,86,71,85,70,32,77,81,78,79,80,77,83,77,84,78,84,81,82,87,82,90,83,91,32,82,77,83,78,83,81,81,87,81,90,82,91,85,91,87,89,88,87,0,76,89,86,70,85,71,86,72,87,71,86,70,32,78,81,79,79,81,77,84,77,85,78,85,81,82,91,81,94,80,96,79,97,77,98,75,98,74,97,74,96,75,95,76,96,75,97,32,83,77,84,78,84,81,81,91,80,94,79,96,77,98,0,72,92,80,70,74,91,32,81,70,75,91,32,88,78,87,79,88,80,89,79,89,78,88,77,87,77,85,78,81,82,79,83,77,83,32,79,83,81,84,83,90,84,91,32,79,83,80,84,82,90,83,91,85,91,87,90,89,87,32,77,70,81,70,0,77,89,85,70,81,84,80,88,80,90,81,91,84,91,86,89,87,87,32,86,70,82,84,81,88,81,90,82,91,32,82,70,86,70,0,65,98,66,81,67,79,69,77,72,77,73,78,73,80,72,84,70,91,32,71,77,72,78,72,80,71,84,69,91,32,72,84,74,80,76,78,78,77,80,77,82,78,83,79,83,81,80,91,32,80,77,82,79,82,81,79,91,32,82,84,84,80,86,78,88,77,90,77,92,78,93,79,93,81,91,87,91,90,92,91,32,90,77,92,79,92,81,90,87,90,90,91,91,94,91,96,89,97,87,0,70,93,71,81,72,79,74,77,77,77,78,78,78,80,77,84,75,91,32,76,77,77,78,77,80,76,84,74,91,32,77,84,79,80,81,78,83,77,85,77,87,78,88,79,88,81,86,87,86,90,87,91,32,85,77,87,79,87,81,85,87,85,90,86,91,89,91,91,89,92,87,0,71,92,72,81,73,79,75,77,78,77,79,78,79,80,78,84,74,98,32,77,77,78,78,78,80,77,84,73,98,32,78,84,79,81,81,78,83,77,85,77,87,78,88,79,89,81,89,84,88,87,86,90,83,91,81,91,79,90,78,87,78,84,32,87,78,88,80,88,84,87,87,85,90,83,91,32,70,98,77,98,0,72,92,88,77,82,98,32,89,77,83,98,32,86,84,86,81,85,78,83,77,81,77,78,78,76,81,75,84,75,87,76,89,77,90,79,91,81,91,83,90,85,87,86,84,32,81,77,79,78,77,81,76,84,76,88,77,90,32,79,98,86,98,0,73,90,74,81,75,79,77,77,80,77,81,78,81,80,80,84,78,91,32,79,77,80,78,80,80,79,84,77,91,32,80,84,82,80,84,78,86,77,88,77,89,78,89,79,88,80,87,79,88,78,0,74,91,88,79,88,80,89,80,89,79,88,78,85,77,82,77,79,78,78,79,78,81,79,82,86,86,87,87,32,78,80,79,81,86,85,87,86,87,89,86,90,83,91,80,91,77,90,76,89,76,88,77,88,77,89,0,75,89,84,70,80,84,79,88,79,90,80,91,83,91,85,89,86,87,32,85,70,81,84,80,88,80,90,81,91,32,78,77,87,77,0,70,93,71,81,72,79,74,77,77,77,78,78,78,81,76,87,76,89,78,91,32,76,77,77,78,77,81,75,87,75,89,76,90,78,91,80,91,82,90,84,88,86,84,32,88,77,86,84,85,88,85,90,86,91,89,91,91,89,92,87,32,89,77,87,84,86,88,86,90,87,91,0,72,92,73,81,74,79,76,77,79,77,80,78,80,81,78,87,78,89,80,91,32,78,77,79,78,79,81,77,87,77,89,78,90,80,91,81,91,84,90,86,88,88,85,89,81,89,77,88,77,89,79,0,67,96,68,81,69,79,71,77,74,77,75,78,75,81,73,87,73,89,75,91,32,73,77,74,78,74,81,72,87,72,89,73,90,75,91,77,91,79,90,81,88,82,86,32,84,77,82,86,82,89,83,90,85,91,87,91,89,90,91,88,92,86,93,82,93,77,92,77,93,79,32,85,77,83,86,83,89,85,91,0,72,92,75,81,77,78,79,77,82,77,83,79,83,82,32,81,77,82,79,82,82,81,86,80,88,78,90,76,91,75,91,74,90,74,89,75,88,76,89,75,90,32,81,86,81,89,82,91,85,91,87,90,89,87,32,89,78,88,79,89,80,90,79,90,78,89,77,88,77,86,78,84,80,83,82,82,86,82,89,83,91,0,71,92,72,81,73,79,75,77,78,77,79,78,79,81,77,87,77,89,79,91,32,77,77,78,78,78,81,76,87,76,89,77,90,79,91,81,91,83,90,85,88,87,84,32,90,77,86,91,85,94,83,97,80,98,77,98,75,97,74,96,74,95,75,94,76,95,75,96,32,89,77,85,91,84,94,82,97,80,98,0,72,92,89,77,88,79,86,81,78,87,76,89,75,91,32,76,81,77,79,79,77,82,77,86,79,32,77,79,79,78,82,78,86,79,88,79,32,76,89,78,89,82,90,85,90,87,89,32,78,89,82,91,85,91,87,89,88,87,0,71,94,86,71,85,72,86,73,87,72,87,71,85,70,82,70,79,71,77,73,76,76,76,91,32,82,70,80,71,78,73,77,76,77,91,32,92,71,91,72,92,73,93,72,93,71,92,70,90,70,88,71,87,73,87,91,32,90,70,89,71,88,73,88,91,32,73,77,91,77,32,73,91,80,91,32,84,91,91,91,0,71,93,87,71,86,72,87,73,88,72,87,71,85,70,82,70,79,71,77,73,76,76,76,91,32,82,70,80,71,78,73,77,76,77,91,32,87,77,87,91,32,88,77,88,91,32,73,77,88,77,32,73,91,80,91,32,84,91,91,91,0,71,93,86,71,85,72,86,73,87,72,87,71,85,70,32,88,70,82,70,79,71,77,73,76,76,76,91,32,82,70,80,71,78,73,77,76,77,91,32,87,72,87,91,32,88,70,88,91,32,73,77,87,77,32,73,91,80,91,32,84,91,91,91,0,66,99,82,71,81,72,82,73,83,72,82,71,80,70,77,70,74,71,72,73,71,76,71,91,32,77,70,75,71,73,73,72,76,72,91,32,93,71,92,72,93,73,94,72,93,71,91,70,88,70,85,71,83,73,82,76,82,91,32,88,70,86,71,84,73,83,76,83,91,32,93,77,93,91,32,94,77,94,91,32,68,77,94,77,32,68,91,75,91,32,79,91,86,91,32,90,91,97,91,0,66,99,82,71,81,72,82,73,83,72,82,71,80,70,77,70,74,71,72,73,71,76,71,91,32,77,70,75,71,73,73,72,76,72,91,32,92,71,91,72,92,73,93,72,93,71,91,70,32,94,70,88,70,85,71,83,73,82,76,82,91,32,88,70,86,71,84,73,83,76,83,91,32,93,72,93,91,32,94,70,94,91,32,68,77,93,77,32,68,91,75,91,32,79,91,86,91,32,90,91,97,91,0,77,88,82,77,82,91,32,83,77,83,91,32,79,77,83,77,32,79,91,86,91,0,73,90,87,78,85,77,82,77,79,78,77,80,76,83,76,86,77,89,78,90,81,91,84,91,86,90,32,82,77,80,78,78,80,77,83,77,86,78,89,79,90,81,91,32,77,84,85,84,0,73,92,84,70,81,71,79,74,78,76,77,79,76,84,76,88,77,90,79,91,81,91,84,90,86,87,87,85,88,82,89,77,89,73,88,71,86,70,84,70,32,84,70,82,71,80,74,79,76,78,79,77,84,77,88,78,90,79,91,32,81,91,83,90,85,87,86,85,87,82,88,77,88,73,87,71,86,70,32,78,80,87,80,0,71,93,85,70,79,98,32,86,70,78,98,32,81,77,77,78,75,80,74,83,74,86,75,88,77,90,80,91,83,91,87,90,89,88,90,85,90,82,89,80,87,78,84,77,81,77,32,81,77,78,78,76,80,75,83,75,86,76,88,78,90,80,91,32,83,91,86,90,88,88,89,85,89,82,88,80,86,78,84,77,0,73,91,84,77,86,78,88,80,88,79,87,78,84,77,81,77,78,78,77,79,76,81,76,83,77,85,79,87,83,90,32,81,77,79,78,78,79,77,81,77,83,78,85,83,90,84,92,84,94,83,95,81,95,0,71,93,76,77,75,78,74,80,74,82,75,85,79,89,80,91,32,74,82,75,84,79,88,80,91,80,93,79,96,77,98,76,98,75,97,74,95,74,92,75,88,77,84,79,81,82,78,84,77,86,77,89,78,90,80,90,84,89,88,87,90,85,91,84,91,83,90,83,88,84,87,85,88,84,89,32,86,77,88,78,89,80,89,84,88,88,87,90,0,69,95,89,71,88,72,89,73,90,72,89,71,87,70,84,70,81,71,79,73,78,75,77,78,76,82,74,91,73,95,72,97,32,84,70,82,71,80,73,79,75,78,78,76,87,75,91,74,94,73,96,72,97,70,98,68,98,67,97,67,96,68,95,69,96,68,97,32,95,71,94,72,95,73,96,72,96,71,95,70,93,70,91,71,90,72,89,74,88,77,85,91,84,95,83,97,32,93,70,91,72,90,74,89,78,87,87,86,91,85,94,84,96,83,97,81,98,79,98,78,97,78,96,79,95,80,96,79,97,32,73,77,94,77,0,70,94,91,71,90,72,91,73,92,72,91,71,88,70,85,70,82,71,80,73,79,75,78,78,77,82,75,91,74,95,73,97,32,85,70,83,71,81,73,80,75,79,78,77,87,76,91,75,94,74,96,73,97,71,98,69,98,68,97,68,96,69,95,70,96,69,97,32,89,77,87,84,86,88,86,90,87,91,90,91,92,89,93,87,32,90,77,88,84,87,88,87,90,88,91,32,74,77,90,77,0,70,94,89,71,88,72,89,73,90,72,90,71,88,70,32,92,70,85,70,82,71,80,73,79,75,78,78,77,82,75,91,74,95,73,97,32,85,70,83,71,81,73,80,75,79,78,77,87,76,91,75,94,74,96,73,97,71,98,69,98,68,97,68,96,69,95,70,96,69,97,32,91,70,87,84,86,88,86,90,87,91,90,91,92,89,93,87,32,92,70,88,84,87,88,87,90,88,91,32,74,77,89,77,0,64,99,84,71,83,72,84,73,85,72,84,71,82,70,79,70,76,71,74,73,73,75,72,78,71,82,69,91,68,95,67,97,32,79,70,77,71,75,73,74,75,73,78,71,87,70,91,69,94,68,96,67,97,65,98,63,98,62,97,62,96,63,95,64,96,63,97,32,96,71,95,72,96,73,97,72,96,71,93,70,90,70,87,71,85,73,84,75,83,78,82,82,80,91,79,95,78,97,32,90,70,88,71,86,73,85,75,84,78,82,87,81,91,80,94,79,96,78,97,76,98,74,98,73,97,73,96,74,95,75,96,74,97,32,94,77,92,84,91,88,91,90,92,91,95,91,97,89,98,87,32,95,77,93,84,92,88,92,90,93,91,32,68,77,95,77,0,64,99,84,71,83,72,84,73,85,72,84,71,82,70,79,70,76,71,74,73,73,75,72,78,71,82,69,91,68,95,67,97,32,79,70,77,71,75,73,74,75,73,78,71,87,70,91,69,94,68,96,67,97,65,98,63,98,62,97,62,96,63,95,64,96,63,97,32,94,71,93,72,94,73,95,72,95,71,93,70,32,97,70,90,70,87,71,85,73,84,75,83,78,82,82,80,91,79,95,78,97,32,90,70,88,71,86,73,85,75,84,78,82,87,81,91,80,94,79,96,78,97,76,98,74,98,73,97,73,96,74,95,75,96,74,97,32,96,70,92,84,91,88,91,90,92,91,95,91,97,89,98,87,32,97,70,93,84,92,88,92,90,93,91,32,68,77,94,77,0,76,89,77,81,78,79,80,77,83,77,84,78,84,81,82,87,82,90,83,91,32,82,77,83,78,83,81,81,87,81,90,82,91,85,91,87,89,88,87,0,72,92,81,70,78,71,76,74,75,79,75,82,76,87,78,90,81,91,83,91,86,90,88,87,89,82,89,79,88,74,86,71,83,70,81,70,32,81,70,79,71,78,72,77,74,76,79,76,82,77,87,78,89,79,90,81,91,32,83,91,85,90,86,89,87,87,88,82,88,79,87,74,86,72,85,71,83,70,0,72,92,78,74,80,73,83,70,83,91,32,82,71,82,91,32,78,91,87,91,0,72,92,76,74,77,75,76,76,75,75,75,74,76,72,77,71,80,70,84,70,87,71,88,72,89,74,89,76,88,78,85,80,80,82,78,83,76,85,75,88,75,91,32,84,70,86,71,87,72,88,74,88,76,87,78,84,80,80,82,32,75,89,76,88,78,88,83,90,86,90,88,89,89,88,32,78,88,83,91,87,91,88,90,89,88,89,86,0,72,92,76,74,77,75,76,76,75,75,75,74,76,72,77,71,80,70,84,70,87,71,88,73,88,76,87,78,84,79,81,79,32,84,70,86,71,87,73,87,76,86,78,84,79,32,84,79,86,80,88,82,89,84,89,87,88,89,87,90,84,91,80,91,77,90,76,89,75,87,75,86,76,85,77,86,76,87,32,87,81,88,84,88,87,87,89,86,90,84,91,0,72,92,84,72,84,91,32,85,70,85,91,32,85,70,74,85,90,85,32,81,91,88,91,0,72,92,77,70,75,80,32,75,80,77,78,80,77,83,77,86,78,88,80,89,83,89,85,88,88,86,90,83,91,80,91,77,90,76,89,75,87,75,86,76,85,77,86,76,87,32,83,77,85,78,87,80,88,83,88,85,87,88,85,90,83,91,32,77,70,87,70,32,77,71,82,71,87,70,0,72,92,87,73,86,74,87,75,88,74,88,73,87,71,85,70,82,70,79,71,77,73,76,75,75,79,75,85,76,88,78,90,81,91,83,91,86,90,88,88,89,85,89,84,88,81,86,79,83,78,82,78,79,79,77,81,76,84,32,82,70,80,71,78,73,77,75,76,79,76,85,77,88,79,90,81,91,32,83,91,85,90,87,88,88,85,88,84,87,81,85,79,83,78,0,72,92,75,70,75,76,32,75,74,76,72,78,70,80,70,85,73,87,73,88,72,89,70,32,76,72,78,71,80,71,85,73,32,89,70,89,73,88,76,84,81,83,83,82,86,82,91,32,88,76,83,81,82,83,81,86,81,91,0,72,92,80,70,77,71,76,73,76,76,77,78,80,79,84,79,87,78,88,76,88,73,87,71,84,70,80,70,32,80,70,78,71,77,73,77,76,78,78,80,79,32,84,79,86,78,87,76,87,73,86,71,84,70,32,80,79,77,80,76,81,75,83,75,87,76,89,77,90,80,91,84,91,87,90,88,89,89,87,89,83,88,81,87,80,84,79,32,80,79,78,80,77,81,76,83,76,87,77,89,78,90,80,91,32,84,91,86,90,87,89,88,87,88,83,87,81,86,80,84,79,0,72,92,88,77,87,80,85,82,82,83,81,83,78,82,76,80,75,77,75,76,76,73,78,71,81,70,83,70,86,71,88,73,89,76,89,82,88,86,87,88,85,90,82,91,79,91,77,90,76,88,76,87,77,86,78,87,77,88,32,81,83,79,82,77,80,76,77,76,76,77,73,79,71,81,70,32,83,70,85,71,87,73,88,76,88,82,87,86,86,88,84,90,82,91,0,77,87,82,91,81,90,82,89,83,90,83,92,82,94,81,95,0,77,87,82,77,81,78,82,79,83,78,82,77,32,82,91,81,90,82,89,83,90,83,92,82,94,81,95,0,77,87,82,70,81,72,82,84,83,72,82,70,32,82,72,82,78,32,82,89,81,90,82,91,83,90,82,89,0,73,91,77,74,78,75,77,76,76,75,76,74,77,72,78,71,80,70,83,70,86,71,87,72,88,74,88,76,87,78,86,79,82,81,82,84,32,83,70,85,71,86,72,87,74,87,76,86,78,84,80,32,82,89,81,90,82,91,83,90,82,89,0,78,86,82,70,81,77,32,83,70,81,77,0,74,90,78,70,77,77,32,79,70,77,77,32,86,70,85,77,32,87,70,85,77,0,74,90,82,70,82,82,32,77,73,87,79,32,87,73,77,79,0,75,89,85,66,78,82,85,98,0,75,89,79,66,86,82,79,98,0,75,89,79,66,79,98,32,85,66,85,98,0,70,94,82,74,82,91,32,74,82,90,82,32,74,91,90,91,0,70,94,82,74,82,91,32,74,74,90,74,32,74,82,90,82,0,77,87,81,81,81,83,83,83,83,81,81,81,32,82,81,82,83,32,81,82,83,82,0,69,95,82,73,81,74,82,75,83,74,82,73,32,73,82,91,82,32,82,89,81,90,82,91,83,90,82,89,0,69,95,89,73,75,91,32,73,79,91,79,32,73,85,91,85,0,69,95,73,77,91,77,32,73,82,91,82,32,73,87,91,87,0,70,94,90,70,74,77,90,84,32,74,86,90,86,32,74,91,90,91,0,70,94,74,70,90,77,74,84,32,74,86,90,86,32,74,91,90,91,0,70,95,91,87,89,87,87,86,85,84,82,80,81,79,79,78,77,78,75,79,74,81,74,83,75,85,77,86,79,86,81,85,82,84,85,80,87,78,89,77,91,77,0,70,94,73,85,73,83,74,80,76,79,78,79,80,80,84,83,86,84,88,84,90,83,91,81,32,73,83,74,81,76,80,78,80,80,81,84,84,86,85,88,85,90,84,91,81,91,79,0,71,93,74,84,82,79,90,84,32,74,84,82,80,90,84,0,76,88,84,70,79,76,32,84,70,85,71,79,76,0,76,88,80,70,85,76,32,80,70,79,71,85,76,0,72,92,75,70,76,72,78,74,81,75,83,75,86,74,88,72,89,70,32,75,70,76,73,78,75,81,76,83,76,86,75,88,73,89,70,0,77,87,82,72,83,71,82,70,81,71,81,73,82,75,83,76,0,77,87,81,70,82,71,83,73,83,75,82,76,81,75,82,74,0,69,91,72,77,76,77,82,89,32,75,77,82,91,32,91,66,82,91,0,70,94,90,74,83,74,79,75,77,76,75,78,74,81,74,83,75,86,77,88,79,89,83,90,90,90,0,70,94,74,74,74,81,75,85,76,87,78,89,81,90,83,90,86,89,88,87,89,85,90,81,90,74,0,70,94,74,74,81,74,85,75,87,76,89,78,90,81,90,83,89,86,87,88,85,89,81,90,74,90,0,70,94,74,90,74,83,75,79,76,77,78,75,81,74,83,74,86,75,88,77,89,79,90,83,90,90,0,70,94,90,74,83,74,79,75,77,76,75,78,74,81,74,83,75,86,77,88,79,89,83,90,90,90,32,74,82,86,82,0,69,95,88,80,91,82,88,84,32,85,77,90,82,85,87,32,73,82,90,82,0,74,90,80,76,82,73,84,76,32,77,79,82,74,87,79,32,82,74,82,91,0,69,95,76,80,73,82,76,84,32,79,77,74,82,79,87,32,74,82,91,82,0,74,90,80,88,82,91,84,88,32,77,85,82,90,87,85,32,82,73,82,90,0,73,92,88,82,87,79,86,78,84,77,82,77,79,78,77,81,76,84,76,87,77,89,78,90,80,91,82,91,85,90,87,88,88,85,89,80,89,75,88,72,87,71,85,70,82,70,80,71,79,72,79,73,80,73,80,72,32,82,77,80,78,78,81,77,84,77,88,78,90,32,82,91,84,90,86,88,87,85,88,80,88,75,87,72,85,70,0,72,92,74,70,82,91,32,75,70,82,89,32,90,70,82,91,32,74,70,90,70,32,75,71,89,71,0,65,98,68,77,73,77,82,89,32,72,78,82,91,32,98,58,82,91,0,70,94,91,67,90,68,91,69,92,68,92,67,91,66,89,66,87,67,85,69,84,71,83,74,82,78,80,90,79,94,78,96,32,86,68,85,70,84,74,82,86,81,90,80,93,79,95,77,97,75,98,73,98,72,97,72,96,73,95,74,96,73,97,32,81,75,78,76,76,78,75,81,75,83,76,86,78,88,81,89,83,89,86,88,88,86,89,83,89,81,88,78,86,76,83,75,81,75,0,70,95,92,83,91,85,89,86,87,86,85,85,84,84,81,80,80,79,78,78,76,78,74,79,73,81,73,83,74,85,76,86,78,86,80,85,81,84,84,80,85,79,87,78,89,78,91,79,92,81,92,83,0,70,94,91,70,73,91,32,78,70,80,72,80,74,79,76,77,77,75,77,73,75,73,73,74,71,76,70,78,70,80,71,83,72,86,72,89,71,91,70,32,87,84,85,85,84,87,84,89,86,91,88,91,90,90,91,88,91,86,89,84,87,84,0,70,95,91,78,90,79,91,80,92,79,92,78,91,77,90,77,89,78,88,80,86,85,84,88,82,90,80,91,77,91,74,90,73,88,73,85,74,83,80,79,82,77,83,75,83,73,82,71,80,70,78,71,77,73,77,75,78,78,80,81,85,88,87,90,90,91,91,91,92,90,92,89,32,77,91,75,90,74,88,74,85,75,83,77,81,32,77,75,78,77,86,88,88,90,90,91,0,69,96,87,78,86,76,84,75,81,75,79,76,78,77,77,80,77,83,78,85,80,86,83,86,85,85,86,83,32,81,75,79,77,78,80,78,83,79,85,80,86,32,87,75,86,83,86,85,88,86,90,86,92,84,93,81,93,79,92,76,91,74,89,72,87,71,84,70,81,70,78,71,76,72,74,74,73,76,72,79,72,82,73,85,74,87,76,89,78,90,81,91,84,91,87,90,89,89,90,88,32,88,75,87,83,87,85,88,86,0,72,92,80,66,80,95,32,84,66,84,95,32,88,73,87,74,88,75,89,74,89,73,87,71,84,70,80,70,77,71,75,73,75,75,76,77,77,78,79,79,85,81,87,82,89,84,32,75,75,77,77,79,78,85,80,87,81,88,82,89,84,89,88,87,90,84,91,80,91,77,90,75,88,75,87,76,86,77,87,76,88,0,74,90,85,73,84,74,85,75,86,74,86,73,85,71,83,70,81,70,79,71,78,73,78,75,79,77,81,79,86,82,32,79,77,84,80,86,82,87,84,87,86,86,88,84,90,32,80,78,78,80,77,82,77,84,78,86,80,88,85,91,32,78,86,83,89,85,91,86,93,86,95,85,97,83,98,81,98,79,97,78,95,78,94,79,93,80,94,79,95,0,74,90,82,70,81,72,82,74,83,72,82,70,32,82,70,82,98,32,82,81,81,84,82,98,83,84,82,81,32,76,77,78,78,80,77,78,76,76,77,32,76,77,88,77,32,84,77,86,78,88,77,86,76,84,77,0,74,90,82,70,81,72,82,74,83,72,82,70,32,82,70,82,84,32,82,80,81,82,83,86,82,88,81,86,83,82,82,80,32,82,84,82,98,32,82,94,81,96,82,98,83,96,82,94,32,76,77,78,78,80,77,78,76,76,77,32,76,77,88,77,32,84,77,86,78,88,77,86,76,84,77,32,76,91,78,92,80,91,78,90,76,91,32,76,91,88,91,32,84,91,86,92,88,91,86,90,84,91,0,73,92,88,70,88,91,32,75,70,88,70,32,80,80,88,80,32,75,91,88,91,0,69,96,81,70,78,71,75,73,73,76,72,79,72,82,73,85,75,88,78,90,81,91,84,91,87,90,90,88,92,85,93,82,93,79,92,76,90,73,87,71,84,70,81,70,32,82,79,81,80,81,81,82,82,83,82,84,81,84,80,83,79,82,79,32,82,80,82,81,83,81,83,80,82,80,0,74,91,80,70,78,71,79,73,81,74,32,80,70,79,71,79,73,32,85,70,87,71,86,73,84,74,32,85,70,86,71,86,73,32,81,74,79,75,78,76,77,78,77,81,78,83,79,84,81,85,84,85,86,84,87,83,88,81,88,78,87,76,86,75,84,74,81,74,32,82,85,82,91,32,83,85,83,91,32,78,88,87,88,0,73,92,82,70,79,71,77,73,76,76,76,77,77,80,79,82,82,83,83,83,86,82,88,80,89,77,89,76,88,73,86,71,83,70,82,70,32,82,83,82,91,32,83,83,83,91,32,78,87,87,87,0,68,96,80,70,77,71,74,73,72,76,71,79,71,83,72,86,74,89,77,91,80,92,84,92,87,91,90,89,92,86,93,83,93,79,92,76,90,73,87,71,84,70,80,70,32,82,70,82,92,32,71,81,93,81,0,71,96,80,77,77,78,75,80,74,83,74,84,75,87,77,89,80,90,81,90,84,89,86,87,87,84,87,83,86,80,84,78,81,77,80,77,32,93,71,87,71,91,72,85,78,32,93,71,93,77,92,73,86,79,32,92,72,86,78,0,70,92,73,73,74,71,76,70,79,70,81,71,82,73,82,76,81,79,80,81,78,83,75,85,32,79,70,80,71,81,73,81,77,80,80,78,83,32,86,70,84,91,32,87,70,83,91,32,75,85,89,85,0,73,92,77,70,77,85,32,78,70,77,81,32,77,81,78,79,79,78,81,77,84,77,87,78,88,80,88,82,87,84,85,86,32,84,77,86,78,87,80,87,82,84,88,84,90,85,91,87,91,89,89,32,75,70,78,70,0,73,92,82,78,79,79,77,81,76,84,76,85,77,88,79,90,82,91,83,91,86,90,88,88,89,85,89,84,88,81,86,79,83,78,82,78,32,82,72,78,74,82,70,82,78,32,83,72,87,74,83,70,83,78,32,82,83,81,84,81,85,82,86,83,86,84,85,84,84,83,83,82,83,32,82,84,82,85,83,85,83,84,82,84,0,71,94,81,72,82,70,82,91,32,84,72,83,70,83,91,32,74,72,75,70,75,77,76,80,78,82,81,83,82,83,32,77,72,76,70,76,78,77,81,32,91,72,90,70,90,77,89,80,87,82,84,83,83,83,32,88,72,89,70,89,78,88,81,32,78,87,87,87,0,71,93,76,70,76,91,32,77,70,77,91,32,73,70,85,70,88,71,89,72,90,74,90,77,89,79,88,80,85,81,77,81,32,85,70,87,71,88,72,89,74,89,77,88,79,87,80,85,81,32,73,91,89,91,89,86,88,91,0,72,91,89,71,85,71,81,72,78,74,76,77,75,80,75,83,76,86,78,89,81,91,85,92,89,92,32,89,71,86,72,83,74,81,77,80,80,80,83,81,86,83,89,86,91,89,92,0,70,95,79,81,77,81,75,82,74,83,73,85,73,87,74,89,75,90,77,91,79,91,81,90,82,89,83,87,83,85,82,83,81,82,79,81,32,83,72,80,81,32,90,74,82,82,32,92,81,83,84,0,72,92,79,75,85,89,32,85,75,79,89,32,75,79,89,85,32,89,79,75,85,0,70,94,78,86,76,85,75,85,73,86,72,88,72,89,73,91,75,92,76,92,78,91,79,89,79,88,78,86,75,82,74,79,74,77,75,74,77,72,80,71,84,71,87,72,89,74,90,77,90,79,89,82,86,86,85,88,85,89,86,91,88,92,89,92,91,91,92,89,92,88,91,86,89,85,88,85,86,86,32,74,77,75,75,77,73,80,72,84,72,87,73,89,75,90,77,0,70,94,78,77,76,78,75,78,73,77,72,75,72,74,73,72,75,71,76,71,78,72,79,74,79,75,78,77,75,81,74,84,74,86,75,89,77,91,80,92,84,92,87,91,89,89,90,86,90,84,89,81,86,77,85,75,85,74,86,72,88,71,89,71,91,72,92,74,92,75,91,77,89,78,88,78,86,77,32,74,86,75,88,77,90,80,91,84,91,87,90,89,88,90,86,0,73,91,75,89,89,75,32,81,76,85,76,89,75,88,79,88,83,32,85,76,88,76,88,79,0,73,91,89,75,75,89,32,76,81,76,85,75,89,79,88,83,88,32,76,85,76,88,79,88,0,73,91,89,89,75,75,32,83,76,79,76,75,75,76,79,76,83,32,79,76,76,76,76,79,0,73,91,75,75,89,89,32,81,88,85,88,89,89,88,85,88,81,32,85,88,88,88,88,85,0,70,95,74,77,73,76,73,74,74,72,76,71,78,71,80,72,81,73,82,75,83,80,32,73,74,75,72,77,72,79,73,80,74,81,76,82,80,82,91,32,91,77,92,76,92,74,91,72,89,71,87,71,85,72,84,73,83,75,82,80,32,92,74,90,72,88,72,86,73,85,74,84,76,83,80,83,91,0,70,94,73,71,74,75,75,77,77,79,80,80,84,80,87,79,89,77,90,75,91,71,32,73,71,74,74,75,76,77,78,80,79,84,79,87,78,89,76,90,74,91,71,32,80,79,78,80,77,81,76,83,76,86,77,88,79,90,81,91,83,91,85,90,87,88,88,86,88,83,87,81,86,80,84,79,32,80,80,78,81,77,83,77,86,78,89,32,86,89,87,86,87,83,86,81,84,80,0,70,94,77,74,77,86,32,78,75,78,85,32,86,75,86,85,32,87,74,87,86,32,73,71,75,73,77,74,80,75,84,75,87,74,89,73,91,71,32,73,89,75,87,77,86,80,85,84,85,87,86,89,87,91,89,0,70,94,91,73,76,73,74,74,73,76,73,78,74,80,76,81,78,81,80,80,81,78,81,76,80,74,91,74,32,73,77,74,79,75,80,77,81,32,81,77,80,75,79,74,77,73,32,73,88,88,88,90,87,91,85,91,83,90,81,88,80,86,80,84,81,83,83,83,85,84,87,73,87,32,91,84,90,82,89,81,87,80,32,83,84,84,86,85,87,87,88,0,70,93,79,85,77,84,76,84,74,85,73,87,73,88,74,90,76,91,77,91,79,90,80,88,80,87,79,85,74,80,73,78,73,75,74,73,76,72,79,71,83,71,87,72,89,74,90,76,90,79,89,82,86,85,85,87,85,89,86,91,88,91,89,90,90,88,32,77,83,75,80,74,78,74,75],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+327684);allocate([75,73,76,72,32,83,71,86,72,88,74,89,76,89,79,88,82,86,85,0,71,95,72,75,75,72,77,75,77,86,32,74,73,76,76,76,86,32,77,75,80,72,82,75,82,85,32,79,73,81,76,81,85,32,82,75,85,72,87,75,87,91,32,84,73,86,76,86,91,32,87,75,90,72,91,74,92,77,92,80,91,83,90,85,88,87,85,89,80,91,32,89,73,90,74,91,77,91,80,90,83,89,85,87,87,84,89,80,91,0,70,94,73,83,77,83,76,82,75,79,75,77,76,74,78,72,81,71,83,71,86,72,88,74,89,77,89,79,88,82,87,83,91,83,32,73,84,79,84,77,82,76,79,76,77,77,74,79,72,81,71,32,83,71,85,72,87,74,88,77,88,79,87,82,85,84,91,84,32,75,88,89,88,32,75,89,89,89,0,70,95,71,76,74,73,77,76,77,88,32,73,74,76,77,76,88,32,77,76,80,73,83,76,83,88,32,79,74,82,77,82,88,32,83,76,86,73,89,76,89,87,91,89,32,85,74,88,77,88,88,90,90,93,87,0,71,93,90,73,74,89,32,90,73,87,74,81,74,32,88,75,85,75,81,74,32,90,73,89,76,89,82,32,88,75,88,78,89,82,32,81,82,74,82,32,80,83,77,83,74,82,32,81,82,81,89,32,80,83,80,86,81,89,0,70,94,72,79,74,75,79,85,32,74,77,79,87,82,80,87,80,90,79,91,77,91,75,90,73,88,72,87,72,85,73,84,75,84,77,85,80,86,82,87,85,87,88,85,90,32,87,72,86,73,85,75,85,77,87,81,88,84,88,87,87,89,85,90,0,70,94,73,79,76,76,80,78,32,75,77,79,79,82,76,85,78,32,81,77,84,79,87,76,89,78,32,86,77,88,79,91,76,32,73,85,76,82,80,84,32,75,83,79,85,82,82,85,84,32,81,83,84,85,87,82,89,84,32,86,83,88,85,91,82,0,70,94,74,72,78,74,80,76,81,79,81,82,80,85,78,87,74,89,32,74,72,77,73,79,74,81,76,82,79,32,82,82,81,85,79,87,77,88,74,89,32,90,72,87,73,85,74,83,76,82,79,32,82,82,83,85,85,87,87,88,90,89,32,90,72,86,74,84,76,83,79,83,82,84,85,86,87,90,89,32,73,80,91,80,32,73,81,91,81,0,78,86,81,81,81,83,83,83,83,81,81,81,32,81,81,83,83,32,83,81,81,83,0,74,90,77,80,81,82,84,84,86,86,87,89,87,91,86,93,85,94,32,77,81,83,84,32,77,82,80,83,84,85,86,87,87,89,0,74,90,87,75,86,77,84,79,80,81,77,82,32,83,80,77,83,32,85,70,86,71,87,73,87,75,86,78,84,80,81,82,77,84,0,72,92,83,77,79,78,76,80,75,82,75,84,76,86,78,87,81,87,85,86,88,84,89,82,89,80,88,78,86,77,83,77,32,88,78,83,77,32,86,77,81,78,76,80,32,79,78,75,82,32,76,86,81,87,32,78,87,83,86,88,84,32,85,86,89,82,0,74,91,83,77,80,78,78,80,77,82,77,84,78,86,80,87,82,87,85,86,87,84,88,82,88,80,87,78,85,77,83,77,32,79,80,85,77,32,78,82,86,78,32,77,84,87,79,32,78,85,88,80,32,79,86,87,82,32,80,87,86,84,0,74,90,79,71,79,94,32,85,70,85,93,32,77,78,87,76,32,77,79,87,77,32,77,87,87,85,32,77,88,87,86,0,74,90,78,70,78,88,32,86,76,86,94,32,78,78,86,76,32,78,79,86,77,32,78,87,86,85,32,78,88,86,86,0,74,90,78,66,78,87,32,78,78,81,76,84,76,86,77,87,79,87,81,86,83,83,85,81,86,78,87,32,78,78,81,77,84,77,86,78,32,85,77,86,79,86,81,85,83,83,85,0,69,95,72,73,72,76,32,92,73,92,76,32,72,73,92,73,32,72,74,92,74,32,72,75,92,75,32,72,76,92,76,0,74,90,77,78,77,81,32,87,78,87,81,32,77,78,87,78,32,77,79,87,79,32,77,80,87,80,32,77,81,87,81,0,74,90,77,76,87,88,32,77,76,79,78,81,79,84,79,86,78,87,77,87,75,85,75,85,77,84,79,32,79,78,84,79,32,81,79,87,77,32,86,75,86,78,32,85,76,87,76,32,87,88,85,86,83,85,80,85,78,86,77,87,77,89,79,89,79,87,80,85,32,85,86,80,85,32,83,85,77,87,32,78,86,78,89,32,77,88,79,88,0,74,90,80,79,79,77,79,75,77,75,77,77,78,78,80,79,83,79,85,78,87,76,32,78,75,78,78,32,77,76,79,76,32,77,77,83,79,32,80,79,85,78,32,87,76,87,89,0,65,94,71,102,72,102,73,101,73,100,72,99,71,99,70,100,70,102,71,104,73,105,75,105,78,104,80,102,81,100,82,96,82,85,81,59,81,52,82,47,83,45,85,44,86,44,88,45,89,47,89,51,88,54,87,56,85,59,80,63,74,67,72,69,70,72,69,74,68,78,68,82,69,86,71,89,74,91,78,92,82,92,86,91,88,90,90,87,91,84,91,80,90,77,89,75,87,73,84,72,80,72,77,73,75,75,74,78,74,82,75,85,77,87,32,71,100,71,101,72,101,72,100,71,100,32,85,59,81,63,76,67,73,70,71,73,70,75,69,78,69,82,70,86,71,88,74,91,32,82,92,85,91,87,90,89,87,90,84,90,80,89,77,88,75,86,73,84,72,0,69,102,78,83,79,85,81,86,83,86,85,85,86,83,86,81,85,79,83,78,81,78,79,79,78,80,77,83,77,86,78,89,80,91,83,92,86,92,89,91,91,89,92,87,93,84,93,80,92,77,90,74,88,73,85,72,82,72,79,73,77,74,75,76,73,79,72,83,72,88,73,93,75,97,77,99,80,101,84,102,89,102,93,101,96,99,98,97,32,75,76,74,78,73,82,73,88,74,92,76,96,78,98,81,100,85,101,89,101,93,100,95,99,98,97,32,80,79,84,79,32,79,80,85,80,32,78,81,86,81,32,78,82,86,82,32,78,83,86,83,32,79,84,85,84,32,80,85,84,85,32,97,76,97,78,99,78,99,76,97,76,32,98,76,98,78,32,97,77,99,77,32,97,86,97,88,99,88,99,86,97,86,32,98,86,98,88,32,97,87,99,87,0,68,96,72,64,72,100,32,77,64,77,100,32,87,64,87,100,32,92,64,92,100,32,77,77,87,75,32,77,78,87,76,32,77,79,87,77,32,77,87,87,85,32,77,88,87,86,32,77,89,87,87,0,72,92,80,77,77,78,76,79,75,81,75,83,76,85,77,86,80,87,84,87,87,86,88,85,89,83,89,81,88,79,87,78,84,77,80,77,32,77,78,76,80,76,83,77,85,78,86,80,87,32,87,86,88,84,88,81,87,79,86,78,84,77,0,74,90,81,67,86,77,82,84,82,85,32,85,76,81,83,32,84,73,84,75,80,82,82,85,85,89,32,87,92,85,89,83,88,81,88,79,89,78,91,78,93,79,95,82,97,32,87,92,85,90,83,89,79,89,79,93,80,95,82,97,32,83,88,80,90,78,93,0,74,90,80,79,79,77,79,75,77,75,77,77,78,78,80,79,83,79,85,78,87,76,32,78,75,78,78,32,77,76,79,76,32,77,77,83,79,32,80,79,85,78,32,87,76,83,89,0,73,106,78,81,79,79,81,78,83,78,85,79,86,81,86,83,85,85,83,86,81,86,79,85,78,84,77,81,77,78,78,75,80,73,83,72,87,72,91,73,94,75,96,78,97,82,97,87,96,91,95,93,93,96,90,99,86,102,81,105,77,107,32,87,72,90,73,93,75,95,78,96,82,96,87,95,91,94,93,92,96,89,99,84,103,81,105,32,80,79,84,79,32,79,80,85,80,32,78,81,86,81,32,78,82,86,82,32,78,83,86,83,32,79,84,85,84,32,80,85,84,85,32,101,76,101,78,103,78,103,76,101,76,32,102,76,102,78,32,101,77,103,77,32,101,86,101,88,103,88,103,86,101,86,32,102,86,102,88,32,101,87,103,87,0,68,96,72,62,72,102,32,73,62,73,102,32,77,62,77,102,32,81,66,83,66,83,68,81,68,81,65,82,63,84,62,87,62,89,63,91,65,92,68,92,73,91,76,89,78,87,79,85,79,83,78,82,76,81,78,79,81,78,82,79,83,81,86,82,88,83,86,85,85,87,85,89,86,91,88,92,91,92,96,91,99,89,101,87,102,84,102,82,101,81,99,81,96,83,96,83,98,81,98,32,82,66,82,68,32,81,67,83,67,32,89,63,90,65,91,68,91,73,90,76,89,78,32,82,76,82,78,80,81,78,82,80,83,82,86,82,88,32,89,86,90,88,91,91,91,96,90,99,89,101,32,82,96,82,98,32,81,97,83,97,0,65,99,72,66,72,98,32,73,66,73,98,32,91,66,91,98,32,92,66,92,98,32,68,66,96,66,32,68,98,77,98,32,87,98,96,98,0,66,97,71,66,81,80,70,98,32,70,66,80,80,32,69,66,80,81,32,69,66,92,66,94,73,91,66,32,71,97,92,97,32,70,98,92,98,94,91,91,98,0,73,91,88,43,85,49,82,56,80,61,79,65,78,70,77,78,77,86,78,94,79,99,80,103,82,108,85,115,88,121,32,85,49,83,54,81,60,80,64,79,70,78,78,78,86,79,94,80,100,81,104,83,110,85,115,0,73,91,76,43,79,49,82,56,84,61,85,65,86,70,87,78,87,86,86,94,85,99,84,103,82,108,79,115,76,121,32,79,49,81,54,83,60,84,64,85,70,86,78,86,86,85,94,84,100,83,104,81,110,79,115,0,73,91,77,43,77,82,77,121,32,78,43,78,82,78,121,32,77,43,88,43,32,77,121,88,121,0,73,91,86,43,86,82,86,121,32,87,43,87,82,87,121,32,76,43,87,43,32,76,121,87,121,0,72,91,86,43,82,49,80,53,79,58,79,62,80,66,84,74,84,76,83,78,82,79,77,82,82,85,83,86,84,88,84,90,80,98,79,102,79,106,80,111,82,115,86,121,32,84,46,82,50,81,53,80,58,80,62,81,67,82,70,32,82,94,81,97,80,102,80,106,81,111,82,114,84,118,0,73,92,78,43,82,49,84,53,85,58,85,62,84,66,80,74,80,76,81,78,82,79,87,82,82,85,81,86,80,88,80,90,84,98,85,102,85,106,84,111,82,115,78,121,32,80,46,82,50,83,53,84,58,84,62,83,67,82,70,32,82,94,83,97,84,102,84,106,83,111,82,114,80,118,0,73,91,86,46,83,49,81,52,79,56,78,61,78,67,79,73,80,77,83,88,84,92,85,98,85,103,84,108,83,111,81,115,32,83,49,81,53,80,56,79,61,79,66,80,72,81,76,84,87,85,91,86,97,86,103,85,108,83,112,81,115,78,118,0,73,91,78,46,81,49,83,52,85,56,86,61,86,67,85,73,84,77,81,88,80,92,79,98,79,103,80,108,81,111,83,115,32,81,49,83,53,84,56,85,61,85,66,84,72,83,76,80,87,79,91,78,97,78,103,79,108,81,112,83,115,86,118,0,55,90,58,82,65,82,82,111,32,64,82,81,111,32,63,82,82,114,32,90,34,86,74,82,114,0,67,97,93,46,92,46,91,47,91,48,92,49,93,49,94,48,94,46,93,44,91,43,89,43,87,44,85,46,84,48,83,51,82,58,81,74,81,106,80,115,79,118,32,92,47,92,48,93,48,93,47,92,47,32,82,58,82,106,32,85,46,84,49,83,58,83,90,82,106,81,113,80,116,79,118,77,120,75,121,73,121,71,120,70,118,70,116,71,115,72,115,73,116,73,117,72,118,71,118,32,71,116,71,117,72,117,72,116,71,116,0,72,92,82,70,74,91,32,82,73,75,91,74,91,32,82,73,89,91,90,91,32,82,70,90,91,32,77,85,87,85,32,76,86,88,86,0,72,92,76,70,76,91,32,77,71,77,90,32,76,70,84,70,87,71,88,72,89,74,89,77,88,79,87,80,84,81,32,77,71,84,71,87,72,88,74,88,77,87,79,84,80,32,77,80,84,80,87,81,88,82,89,84,89,87,88,89,87,90,84,91,76,91,32,77,81,84,81,87,82,88,84,88,87,87,89,84,90,77,90,0,72,93,90,75,89,73,87,71,85,70,81,70,79,71,77,73,76,75,75,78,75,83,76,86,77,88,79,90,81,91,85,91,87,90,89,88,90,86,32,90,75,89,75,88,73,87,72,85,71,81,71,79,72,77,75,76,78,76,83,77,86,79,89,81,90,85,90,87,89,88,88,89,86,90,86,0,72,93,76,70,76,91,32,77,71,77,90,32,76,70,83,70,86,71,88,73,89,75,90,78,90,83,89,86,88,88,86,90,83,91,76,91,32,77,71,83,71,86,72,87,73,88,75,89,78,89,83,88,86,87,88,86,89,83,90,77,90,0,73,92,77,70,77,91,32,78,71,78,90,32,77,70,89,70,32,78,71,89,71,89,70,32,78,80,84,80,84,81,32,78,81,84,81,32,78,90,89,90,89,91,32,77,91,89,91,0,73,91,77,70,77,91,32,78,71,78,91,77,91,32,77,70,89,70,32,78,71,89,71,89,70,32,78,80,84,80,84,81,32,78,81,84,81,0,72,93,90,75,89,73,87,71,85,70,81,70,79,71,77,73,76,75,75,78,75,83,76,86,77,88,79,90,81,91,85,91,87,90,89,88,90,86,90,82,85,82,32,90,75,89,75,88,73,87,72,85,71,81,71,79,72,78,73,77,75,76,78,76,83,77,86,78,88,79,89,81,90,85,90,87,89,88,88,89,86,89,83,85,83,85,82,0,71,93,75,70,75,91,32,75,70,76,70,76,91,75,91,32,89,70,88,70,88,91,89,91,32,89,70,89,91,32,76,80,88,80,32,76,81,88,81,0,78,87,82,70,82,91,83,91,32,82,70,83,70,83,91,0,74,91,86,70,86,86,85,89,83,90,81,90,79,89,78,86,77,86,32,86,70,87,70,87,86,86,89,85,90,83,91,81,91,79,90,78,89,77,86,0,72,93,76,70,76,91,77,91,32,76,70,77,70,77,91,32,90,70,89,70,77,82,32,90,70,77,83,32,80,79,89,91,90,91,32,81,79,90,91,0,73,90,77,70,77,91,32,77,70,78,70,78,90,32,78,90,89,90,89,91,32,77,91,89,91,0,70,94,74,70,74,91,32,75,75,75,91,74,91,32,75,75,82,91,32,74,70,82,88,32,90,70,82,88,32,89,75,82,91,32,89,75,89,91,90,91,32,90,70,90,91,0,71,93,75,70,75,91,32,76,73,76,91,75,91,32,76,73,89,91,32,75,70,88,88,32,88,70,88,88,32,88,70,89,70,89,91,0,71,93,80,70,78,71,76,73,75,75,74,78,74,83,75,86,76,88,78,90,80,91,84,91,86,90,88,88,89,86,90,83,90,78,89,75,88,73,86,71,84,70,80,70,32,81,71,78,72,76,75,75,78,75,83,76,86,78,89,81,90,83,90,86,89,88,86,89,83,89,78,88,75,86,72,83,71,81,71,0,72,92,76,70,76,91,32,77,71,77,91,76,91,32,76,70,85,70,87,71,88,72,89,74,89,77,88,79,87,80,85,81,77,81,32,77,71,85,71,87,72,88,74,88,77,87,79,85,80,77,80,0,71,93,80,70,78,71,76,73,75,75,74,78,74,83,75,86,76,88,78,90,80,91,84,91,86,90,88,88,89,86,90,83,90,78,89,75,88,73,86,71,84,70,80,70,32,81,71,78,72,76,75,75,78,75,83,76,86,78,89,81,90,83,90,86,89,88,86,89,83,89,78,88,75,86,72,83,71,81,71,32,83,88,88,93,89,93,32,83,88,84,88,89,93,0,72,92,76,70,76,91,32,77,71,77,91,76,91,32,76,70,84,70,87,71,88,72,89,74,89,77,88,79,87,80,84,81,77,81,32,77,71,84,71,87,72,88,74,88,77,87,79,84,80,77,80,32,82,81,88,91,89,91,32,83,81,89,91,0,72,92,89,73,87,71,84,70,80,70,77,71,75,73,75,75,76,77,77,78,79,79,84,81,86,82,87,83,88,85,88,88,87,89,84,90,80,90,78,89,77,88,75,88,32,89,73,87,73,86,72,84,71,80,71,77,72,76,73,76,75,77,77,79,78,84,80,86,81,88,83,89,85,89,88,87,90,84,91,80,91,77,90,75,88,0,74,91,82,71,82,91,32,83,71,83,91,82,91,32,76,70,89,70,89,71,32,76,70,76,71,89,71,0,71,93,75,70,75,85,76,88,78,90,81,91,83,91,86,90,88,88,89,85,89,70,32,75,70,76,70,76,85,77,88,78,89,81,90,83,90,86,89,87,88,88,85,88,70,89,70,0,72,92,74,70,82,91,32,74,70,75,70,82,88,32,90,70,89,70,82,88,32,90,70,82,91,0,69,95,71,70,77,91,32,71,70,72,70,77,88,32,82,70,77,88,32,82,73,77,91,32,82,73,87,91,32,82,70,87,88,32,93,70,92,70,87,88,32,93,70,87,91,0,72,92,75,70,88,91,89,91,32,75,70,76,70,89,91,32,89,70,88,70,75,91,32,89,70,76,91,75,91,0,73,92,75,70,82,80,82,91,83,91,32,75,70,76,70,83,80,32,90,70,89,70,82,80,32,90,70,83,80,83,91,0,72,92,88,70,75,91,32,89,70,76,91,32,75,70,89,70,32,75,70,75,71,88,71,32,76,90,89,90,89,91,32,75,91,89,91,0,69,92,88,70,86,72,84,75,81,80,79,83,76,87,73,90,71,91,69,91,68,90,68,88,69,87,70,88,69,89,32,88,70,87,74,85,84,84,91,32,88,70,85,91,32,84,91,84,89,83,86,82,84,80,82,78,81,76,81,75,82,75,84,76,87,79,90,82,91,86,91,88,90,0,70,94,85,71,84,72,83,74,81,79,79,85,78,87,76,90,74,91,32,84,72,83,75,81,83,80,86,79,88,77,90,74,91,72,91,71,90,71,88,72,87,73,88,72,89,32,79,76,78,78,77,79,75,79,74,78,74,76,75,74,77,72,79,71,82,70,88,70,90,71,91,73,91,75,90,77,88,78,84,79,82,79,32,88,70,89,71,90,73,90,75,89,77,88,78,32,84,79,87,80,88,81,89,83,89,86,88,89,87,90,85,91,83,91,82,90,82,88,83,85,32,84,79,86,80,87,81,88,83,88,86,87,89,85,91,0,72,93,75,72,74,74,74,76,75,78,78,79,81,79,85,78,87,77,89,75,90,73,90,71,89,70,87,70,84,71,81,74,79,77,77,81,76,85,76,88,77,90,80,91,82,91,85,90,87,88,88,86,88,84,87,82,85,82,83,83,82,85,32,87,70,85,71,82,74,80,77,78,81,77,85,77,88,78,90,80,91,0,70,93,85,71,84,72,83,74,81,79,79,85,78,87,76,90,74,91,32,84,72,83,75,81,83,80,86,79,88,77,90,74,91,72,91,71,90,71,88,72,87,74,87,76,88,78,90,80,91,83,91,85,90,87,88,89,84,90,79,90,76,89,73,87,71,85,70,80,70,77,71,75,73,74,75,74,77,75,78,77,78,78,77,79,75,0,73,92,87,73,86,74,86,76,87,77,89,77,90,75,90,73,89,71,87,70,84,70,82,71,81,72,80,74,80,76,81,78,83,79,32,84,70,82,72,81,74,81,77,83,79,32,83,79,81,79,78,80,76,82,75,84,75,87,76,89,77,90,79,91,82,91,85,90,87,88,88,86,88,84,87,82,85,82,83,83,82,85,32,81,79,79,80,77,82,76,84,76,88,77,90,0,71,92,87,72,86,74,84,79,82,85,81,87,79,90,77,91,32,81,76,80,78,78,79,76,79,75,77,75,75,76,73,78,71,81,70,91,70,88,71,87,72,86,75,84,83,83,86,82,88,80,90,77,91,75,91,73,90,72,89,72,88,73,87,74,88,73,89,32,83,70,87,71,88,71,32,79,83,80,82,82,81,86,81,88,80,90,77,88,84,0,71,93,74,73,73,75,73,77,74,79,76,80,79,80,82,79,84,78,87,75,88,72,88,71,87,70,86,70,84,71,82,73,81,75,80,78,80,81,81,83,83,84,85,84,87,83,89,81,90,79,32,87,70,85,71,83,73,82,75,81,78,81,82,83,84,32,90,79,89,83,87,87,85,89,83,90,79,91,76,91,74,90,73,88,73,87,74,86,75,87,74,88,32,89,83,87,86,85,88,82,90,79,91,0,70,94,76,76,75,75,75,73,76,71,79,70,82,70,79,81,77,87,76,89,75,90,73,91,71,91,70,90,70,88,71,87,72,88,71,89,32,82,70,79,79,78,82,76,87,75,89,73,91,32,74,84,75,83,77,82,86,79,88,78,91,76,93,74,94,72,94,71,93,70,92,70,90,71,88,74,87,76,85,82,84,86,84,89,86,91,87,91,89,90,91,88,32,92,70,90,72,88,76,86,82,85,86,85,89,86,91,0,73,89,87,72,85,75,83,80,81,85,80,87,78,90,76,91,32,89,76,87,78,84,79,81,79,79,78,78,76,78,74,79,72,81,71,85,70,89,70,87,72,86,74,84,80,82,86,81,88,79,90,76,91,74,91,73,90,73,88,74,87,75,88,74,89,0,73,90,89,70,87,72,85,75,83,80,80,89,78,93,32,89,77,87,79,84,80,81,80,79,79,78,77,78,75,79,73,81,71,85,70,89,70,87,73,86,75,83,84,81,88,80,90,78,93,77,94,75,95,74,94,74,92,75,90,77,88,79,87,82,86,86,85,0,70,94,76,76,75,75,75,73,77,71,80,70,82,70,79,81,77,87,76,89,75,90,73,91,71,91,70,90,70,88,71,87,72,88,71,89,32,82,70,79,79,78,82,76,87,75,89,73,91,32,90,71,87,75,85,77,83,78,80,79,32,93,71,92,72,93,73,94,72,94,71,93,70,92,70,90,71,87,76,86,77,84,78,80,79,32,80,79,83,80,84,82,85,89,86,91,32,80,79,82,80,83,82,84,89,86,91,87,91,89,90,91,88,0,73,91,77,73,76,75,76,77,77,79,79,80,82,80,85,79,87,78,90,75,91,72,91,71,90,70,89,70,87,71,86,72,84,75,80,85,79,87,77,90,75,91,32,86,72,84,76,82,83,81,86,80,88,78,90,75,91,73,91,72,90,72,88,73,87,75,87,77,88,80,90,82,91,85,91,87,90,89,88,0,68,96,82,70,78,79,75,85,73,88,71,90,69,91,67,91,66,90,66,88,67,87,68,88,67,89,32,82,70,80,77,79,81,78,86,78,90,80,91,32,82,70,81,74,80,79,79,86,79,90,80,91,32,91,70,87,79,82,88,80,91,32,91,70,89,77,88,81,87,86,87,90,89,91,90,91,92,90,94,88,32,91,70,90,74,89,79,88,86,88,90,89,91,0,71,94,82,70,81,74,79,80,77,85,76,87,74,90,72,91,70,91,69,90,69,88,70,87,71,88,70,89,32,82,70,82,75,83,86,84,91,32,82,70,83,75,84,86,84,91,32,96,71,95,72,96,73,97,72,97,71,96,70,94,70,92,71,90,74,89,76,87,81,85,87,84,91,0,72,93,83,70,81,71,79,73,77,76,76,78,75,82,75,86,76,89,77,90,79,91,81,91,84,90,86,88,88,85,89,83,90,79,90,75,89,72,88,71,87,71,85,72,83,74,81,78,80,83,80,86,32,81,71,79,74,77,78,76,82,76,86,77,89,79,91,0,70,93,85,71,84,72,83,74,81,79,79,85,78,87,76,90,74,91,32,84,72,83,75,81,83,80,86,79,88,77,90,74,91,72,91,71,90,71,88,72,87,73,88,72,89,32,79,76,78,78,77,79,75,79,74,78,74,76,75,74,77,72,79,71,82,70,86,70,89,71,90,72,91,74,91,77,90,79,89,80,86,81,84,81,82,80,32,86,70,88,71,89,72,90,74,90,77,89,79,88,80,86,81,0,72,93,85,74,85,76,84,78,83,79,81,80,79,80,78,78,78,76,79,73,81,71,84,70,87,70,89,71,90,73,90,77,89,80,87,83,83,87,80,89,78,90,75,91,73,91,72,90,72,88,73,87,75,87,77,88,80,90,83,91,86,91,88,90,90,88,32,87,70,88,71,89,73,89,77,88,80,86,83,83,86,79,89,75,91,0,70,94,85,71,84,72,83,74,81,79,79,85,78,87,76,90,74,91,32,84,72,83,75,81,83,80,86,79,88,77,90,74,91,72,91,71,90,71,88,72,87,73,88,72,89,32,79,76,78,78,77,79,75,79,74,78,74,76,75,74,77,72,79,71,82,70,87,70,90,71,91,73,91,75,90,77,89,78,86,79,82,79,32,87,70,89,71,90,73,90,75,89,77,88,78,86,79,32,82,79,85,80,86,82,87,89,88,91,32,82,79,84,80,85,82,86,89,88,91,89,91,91,90,93,88,0,72,92,78,73,77,75,77,77,78,79,80,80,83,80,86,79,88,78,91,75,92,72,92,71,91,70,90,70,88,71,87,72,86,74,85,77,83,84,82,87,80,90,78,91,32,86,74,85,78,84,85,83,88,81,90,78,91,75,91,73,90,72,88,72,87,73,86,74,87,73,88,0,73,91,89,72,88,74,86,79,84,85,83,87,81,90,79,91,32,83,76,82,78,80,79,78,79,77,77,77,75,78,73,80,71,83,70,92,70,90,71,89,72,88,75,86,83,85,86,84,88,82,90,79,91,77,91,75,90,74,89,74,88,75,87,76,88,75,89,32,85,70,89,71,90,71,0,71,93,72,74,74,71,76,70,77,70,79,72,79,75,78,78,75,86,75,89,76,91,32,77,70,78,72,78,75,75,83,74,86,74,89,76,91,78,91,80,90,83,87,85,84,86,82,32,90,70,86,82,85,86,85,89,87,91,88,91,90,90,92,88,32,91,70,87,82,86,86,86,89,87,91,0,71,92,72,74,74,71,76,70,77,70,79,72,79,75,78,79,76,86,76,89,77,91,32,77,70,78,72,78,75,76,82,75,86,75,89,77,91,78,91,81,90,84,87,86,84,88,80,89,77,90,73,90,71,89,70,88,70,87,71,86,73,86,76,87,78,89,80,91,81,93,81,0,70,93,73,76,72,76,71,75,71,73,72,71,74,70,78,70,77,72,76,76,75,85,74,91,32,76,76,76,85,75,91,32,86,70,84,72,82,76,79,85,77,89,75,91,32,86,70,85,72,84,76,83,85,82,91,32,84,76,84,85,83,91,32,96,70,94,71,92,73,90,76,87,85,85,89,83,91,0,72,92,80,75,79,76,77,76,76,75,76,73,77,71,79,70,81,70,83,71,84,73,84,76,83,80,81,85,79,88,77,90,74,91,72,91,71,90,71,88,72,87,73,88,72,89,32,81,70,82,71,83,73,83,76,82,80,80,85,78,88,76,90,74,91,32,93,71,92,72,93,73,94,72,94,71,93,70,91,70,89,71,87,73,85,76,83,80,82,85,82,88,83,90,84,91,85,91,87,90,89,88,0,71,93,74,74,76,71,78,70,79,70,81,71,81,73,79,79,79,82,80,84,32,79,70,80,71,80,73,78,79,78,82,80,84,82,84,85,83,87,81,89,78,90,76,32,92,70,90,76,87,84,85,88,32,93,70,91,76,89,81,87,85,85,88,83,90,80,91,76,91,74,90,73,88,73,87,74,86,75,87,74,88,0,71,92,90,72,89,74,87,79,86,82,85,84,83,87,81,89,79,90,76,91,32,83,76,82,78,80,79,78,79,77,77,77,75,78,73,80,71,83,70,93,70,91,71,90,72,89,75,88,79,86,85,84,88,81,90,76,91,72,91,71,90,71,88,72,87,74,87,76,88,79,90,81,91,84,91,87,90,89,88,32,86,70,90,71,91,71,0,72,92,87,77,87,91,88,91,32,87,77,88,77,88,91,32,87,80,85,78,83,77,80,77,78,78,76,80,75,83,75,85,76,88,78,90,80,91,83,91,85,90,87,88,32,87,80,83,78,80,78,78,79,77,80,76,83,76,85,77,88,78,89,80,90,83,90,87,88,0,72,92,76,70,76,91,77,91,32,76,70,77,70,77,91,32,77,80,79,78,81,77,84,77,86,78,88,80,89,83,89,85,88,88,86,90,84,91,81,91,79,90,77,88,32,77,80,81,78,84,78,86,79,87,80,88,83,88,85,87,88,86,89,84,90,81,90,77,88,0,73,91,88,80,86,78,84,77,81,77,79,78,77,80,76,83,76,85,77,88,79,90,81,91,84,91,86,90,88,88,32,88,80,87,81,86,79,84,78,81,78,79,79,78,80,77,83,77,85,78,88,79,89,81,90,84,90,86,89,87,87,88,88,0,72,92,87,70,87,91,88,91,32,87,70,88,70,88,91,32,87,80,85,78,83,77,80,77,78,78,76,80,75,83,75,85,76,88,78,90,80,91,83,91,85,90,87,88,32,87,80,83,78,80,78,78,79,77,80,76,83,76,85,77,88,78,89,80,90,83,90,87,88,0,73,91,77,84,88,84,88,81,87,79,86,78,84,77,81,77,79,78,77,80,76,83,76,85,77,88,79,90,81,91,84,91,86,90,88,88,32,77,83,87,83,87,81,86,79,84,78,81,78,79,79,78,80,77,83,77,85,78,88,79,89,81,90,84,90,86,89,87,87,88,88,0,76,90,87,70,85,70,83,71,82,74,82,91,83,91,32,87,70,87,71,85,71,83,72,32,84,71,83,74,83,91,32,79,77,86,77,86,78,32,79,77,79,78,86,78,0,72,92,88,77,87,77,87,92,86,95,85,96,83,97,81,97,79,96,78,95,76,95,32,88,77,88,92,87,95,85,97,83,98,80,98,78,97,76,95,32,87,80,85,78,83,77,80,77,78,78,76,80,75,83,75,85,76,88,78,90,80,91,83,91,85,90,87,88,32,87,80,83,78,80,78,78,79,77,80,76,83,76,85,77,88,78,89,80,90,83,90,87,88,0,72,92,76,70,76,91,77,91,32,76,70,77,70,77,91,32,77,81,80,78,82,77,85,77,87,78,88,81,88,91,32,77,81,80,79,82,78,84,78,86,79,87,81,87,91,88,91,0,78,87,82,70,81,71,81,72,82,73,83,73,84,72,84,71,83,70,82,70,32,82,71,82,72,83,72,83,71,82,71,32,82,77,82,91,83,91,32,82,77,83,77,83,91,0,78,87,82,70,81,71,81,72,82,73,83,73,84,72,84,71,83,70,82,70,32,82,71,82,72,83,72,83,71,82,71,32,82,77,82,98,83,98,32,82,77,83,77,83,98,0,72,91,76,70,76,91,77,91,32,76,70,77,70,77,91,32,88,77,87,77,77,87,32,88,77,77,88,32,80,84,86,91,88,91,32,81,83,88,91,0,67,98,71,77,71,91,72,91,32,71,77,72,77,72,91,32,72,81,75,78,77,77,80,77,82,78,83,81,83,91,32,72,81,75,79,77,78,79,78,81,79,82,81,82,91,83,91,32,83,81,86,78,88,77,91,77,93,78,94,81,94,91,32,83,81,86,79,88,78,90,78,92,79,93,81,93,91,94,91,0,72,92,76,77,76,91,77,91,32,76,77,77,77,77,91,32,77,81,80,78,82,77,85,77,87,78,88,81,88,91,32,77,81,80,79,82,78,84,78,86,79,87,81,87,91,88,91,0,73,92,81,77,79,78,77,80,76,83,76,85,77,88,79,90,81,91,84,91,86,90,88,88,89,85,89,83,88,80,86,78,84,77,81,77,32,81,78,79,79,78,80,77,83,77,85,78,88,79,89,81,90,84,90,86,89,87,88,88,85,88,83,87,80,86,79,84,78,81,78,0,72,92,76,77,76,98,77,98,32,76,77,77,77,77,98,32,77,80,79,78,81,77,84,77,86,78,88,80,89,83,89,85,88,88,86,90,84,91,81,91,79,90,77,88,32,77,80,81,78,84,78,86,79,87,80,88,83,88,85,87,88,86,89,84,90,81,90,77,88,0,72,92,87,77,87,98,88,98,32,87,77,88,77,88,98,32,87,80,85,78,83,77,80,77,78,78,76,80,75,83,75,85,76,88,78,90,80,91,83,91,85,90,87,88,32,87,80,83,78,80,78,78,79,77,80,76,83,76,85,77,88,78,89,80,90,83,90,87,88,0,75,89,79,77,79,91,80,91,32,79,77,80,77,80,91,32,80,83,81,80,83,78,85,77,88,77,32,80,83,81,81,83,79,85,78,88,78,88,77,0,74,91,88,80,87,78,84,77,81,77,78,78,77,80,78,82,80,83,85,85,87,86,32,86,85,87,87,87,88,86,90,32,87,89,84,90,81,90,78,89,32,79,90,78,88,77,88,32,88,80,87,80,86,78,32,87,79,84,78,81,78,78,79,32,79,78,78,80,79,82,32,78,81,80,82,85,84,87,85,88,87,88,88,87,90,84,91,81,91,78,90,77,88,0,77,88,82,70,82,91,83,91,32,82,70,83,70,83,91,32,79,77,86,77,86,78,32,79,77,79,78,86,78,0,72,92,76,77,76,87,77,90,79,91,82,91,84,90,87,87,32,76,77,77,77,77,87,78,89,80,90,82,90,84,89,87,87,32,87,77,87,91,88,91,32,87,77,88,77,88,91,0,74,90,76,77,82,91,32,76,77,77,77,82,89,32,88,77,87,77,82,89,32,88,77,82,91,0,70,94,73,77,78,91,32,73,77,74,77,78,88,32,82,77,78,88,32,82,80,78,91,32,82,80,86,91,32,82,77,86,88,32,91,77,90,77,86,88,32,91,77,86,91,0,73,91,76,77,87,91,88,91,32,76,77,77,77,88,91,32,88,77,87,77,76,91,32,88,77,77,91,76,91,0,74,90,76,77,82,91,32,76,77,77,77,82,89,32,88,77,87,77,82,89,78,98,32,88,77,82,91,79,98,78,98,0,73,91,86,78,76,91,32,88,77,78,90,32,76,77,88,77,32,76,77,76,78,86,78,32,78,90,88,90,88,91,32,76,91,88,91,0,75,91,85,85,84,83,82,82,80,82,78,83,77,84,76,86,76,88,77,90,79,91,81,91,83,90,84,88,32,80,82,78,84,77,86,77,89,79,91,32,86,82,84,88,84,90,86,91,88,90,89,89,91,86,32,87,82,85,88,85,90,86,91,0,76,90,76,86,78,83,80,79,32,83,70,77,88,77,90,79,91,80,91,82,90,84,88,85,85,85,82,86,86,87,87,88,87,90,86,32,84,70,78,88,78,90,79,91,0,76,88,84,83,83,84,84,84,84,83,83,82,81,82,79,83,78,84,77,86,77,88,78,90,80,91,83,91,86,89,88,86,32,81,82,79,84,78,86,78,89,80,91,0,75,91,85,85,84,83,82,82,80,82,78,83,77,84,76,86,76,88,77,90,79,91,81,91,83,90,84,88,32,80,82,78,84,77,86,77,89,79,91,32,90,70,84,88,84,90,86,91,88,90,89,89,91,86,32,91,70,85,88,85,90,86,91,0,76,88,79,89,81,88,82,87,83,85,83,83,82,82,81,82,79,83,78,84,77,86,77,88,78,90,80,91,83,91,86,89,88,86,32,81,82,79,84,78,86,78,89,80,91,0,79,88,82,82,85,79,87,76,88,73,88,71,87,70,85,71,84,73,75,100,75,102,76,103,78,102,79,99,80,90,81,91,83,91,85,90,86,89,88,86,32,84,73,83,78,82,82,79,91,77,96,75,100,0,75,91,85,85,84,83,82,82,80,82,78,83,77,84,76,86,76,88,77,90,79,91,81,91,83,90,84,88,32,80,82,78,84,77,86,77,89,79,91,32,86,82,80,100,32,87,82,84,91,82,96,80,100,79,102,77,103,76,102,76,100,77,97,79,95,82,93,86,91,89,89,91,86,0,76,91,76,86,78,83,80,79,32,83,70,76,91,32,84,70,77,91,32,79,85,81,83,83,82,84,82,86,83,86,85,85,88,85,90,86,91,32,84,82,85,83,85,85,84,88,84,90,86,91,88,90,89,89,91,86,0,78,86,83,76,82,77,83,78,84,77,83,76,32,81,82,79,88,79,90,81,91,83,90,84,89,86,86,32,82,82,80,88,80,90,81,91,0,78,86,83,76,82,77,83,78,84,77,83,76,32,81,82,75,100,32,82,82,79,91,77,96,75,100,74,102,72,103,71,102,71,100,72,97,74,95,77,93,81,91,84,89,86,86,0,76,90,76,86,78,83,80,79,32,83,70,76,91,32,84,70,77,91,32,85,82,85,83,86,83,85,82,84,82,82,84,79,85,32,79,85,82,86,83,90,84,91,32,79,85,81,86,82,90,84,91,85,91,88,89,90,86,0,78,86,78,86,80,83,82,79,32,85,70,79,88,79,90,81,91,83,90,84,89,86,86,32,86,70,80,88,80,90,81,91,0,69,94,69,86,71,83,73,82,75,83,75,85,73,91,32,73,82,74,83,74,85,72,91,32,75,85,77,83,79,82,80,82,82,83,82,85,80,91,32,80,82,81,83,81,85,79,91,32,82,85,84,83,86,82,87,82,89,83,89,85,88,88,88,90,89,91,32,87,82,88,83,88,85,87,88,87,90,89,91,91,90,92,89,94,86,0,73,91,73,86,75,83,77,82,79,83,79,85,77,91,32,77,82,78,83,78,85,76,91,32,79,85,81,83,83,82,84,82,86,83,86,85,85,88,85,90,86,91,32,84,82,85,83,85,85,84,88,84,90,86,91,88,90,89,89,91,86,0,75,89,82,82,80,82,78,83,77,84,76,86,76,88,77,90,79,91,81,91,83,90,84,89,85,87,85,85,84,83,82,82,81,83,81,85,82,87,84,88,86,88,88,87,89,86,32,80,82,78,84,77,86,77,89,79,91,0,76,91,76,86,78,83,80,79,32,81,76,72,103,32,82,76,73,103,32,79,85,81,83,83,82,84,82,86,83,86,85,85,88,85,90,86,91,32,84,82,85,83,85,85,84,88,84,90,86,91,88,90,89,89,91,86,0,75,91,85,85,84,83,82,82,80,82,78,83,77,84,76,86,76,88,77,90,79,91,81,91,83,90,32,80,82,78,84,77,86,77,89,79,91,32,86,82,80,100,80,102,81,103,83,102,84,99,84,91,86,91,89,89,91,86,32,87,82,84,91,82,96,80,100,0,76,90,76,86,78,83,80,82,82,83,82,85,80,91,32,80,82,81,83,81,85,79,91,32,82,85,84,83,86,82,87,82,86,85,32,86,82,86,85,87,87,88,87,90,86,0,78,90,78,86,80,83,81,81,81,83,84,85,85,87,85,89,84,90,82,91,32,81,83,83,85,84,87,84,89,82,91,32,78,90,80,91,85,91,88,89,90,86,0,78,86,78,86,80,83,82,79,32,85,70,79,88,79,90,81,91,83,90,84,89,86,86,32,86,70,80,88,80,90,81,91,32,80,78,86,78,0,75,91,78,82,76,88,76,90,78,91,79,91,81,90,83,88,85,85,32,79,82,77,88,77,90,78,91,32,86,82,84,88,84,90,86,91,88,90,89,89,91,86,32,87,82,85,88,85,90,86,91,0,75,90,78,82,77,84,76,87,76,90,78,91,79,91,82,90,84,88,85,85,85,82,32,79,82,78,84,77,87,77,90,78,91,32,85,82,86,86,87,87,88,87,90,86,0,72,93,76,82,74,84,73,87,73,90,75,91,76,91,78,90,80,88,32,77,82,75,84,74,87,74,90,75,91,32,82,82,80,88,80,90,82,91,83,91,85,90,87,88,88,85,88,82,32,83,82,81,88,81,90,82,91,32,88,82,89,86,90,87,91,87,93,86,0,74,90,74,86,76,83,78,82,80,82,81,83,81,85,80,88,79,90,77,91,76,91,75,90,75,89,76,89,75,90,32,87,83,86,84,87,84,87,83,86,82,85,82,83,83,82,85,81,88,81,90,82,91,85,91,88,89,90,86,32,81,83,82,85,32,83,83,81,85,32,80,88,81,90,32,81,88,79,90,0,75,91,78,82,76,88,76,90,78,91,79,91,81,90,83,88,85,85,32,79,82,77,88,77,90,78,91,32,86,82,80,100,32,87,82,84,91,82,96,80,100,79,102,77,103,76,102,76,100,77,97,79,95,82,93,86,91,89,89,91,86,0,76,89,76,86,78,83,80,82,82,82,84,83,84,86,83,88,80,90,78,91,32,82,82,83,83,83,86,82,88,80,90,32,78,91,80,92,81,94,81,97,80,100,78,102,76,103,75,102,75,100,76,97,79,94,82,92,86,89,89,86,32,78,91,79,92,80,94,80,97,79,100,78,102,0,72,92,81,70,78,71,76,74,75,79,75,82,76,87,78,90,81,91,83,91,86,90,88,87,89,82,89,79,88,74,86,71,83,70,81,70,32,79,71,77,74,76,79,76,82,77,87,79,90,32,78,89,81,90,83,90,86,89,32,85,90,87,87,88,82,88,79,87,74,85,71,32,86,72,83,71,81,71,78,72,0,72,92,78,74,80,73,83,70,83,91,32,78,74,78,75,80,74,82,72,82,91,83,91,0,72,92,76,75,76,74,77,72,78,71,80,70,84,70,86,71,87,72,88,74,88,76,87,78,85,81,76,91,32,76,75,77,75,77,74,78,72,80,71,84,71,86,72,87,74,87,76,86,78,84,81,75,91,32,76,90,89,90,89,91,32,75,91,89,91,0,72,92,77,70,88,70,81,79,32,77,70,77,71,87,71,32,87,70,80,79,32,81,78,83,78,86,79,88,81,89,84,89,85,88,88,86,90,83,91,80,91,77,90,76,89,75,87,76,87,32,80,79,83,79,86,80,88,83,32,84,79,87,81,88,84,88,85,87,88,84,90,32,88,86,86,89,83,90,80,90,77,89,76,87,32,79,90,76,88,0,72,92,85,73,85,91,86,91,32,86,70,86,91,32,86,70,75,86,90,86,32,85,73,76,86,32,76,85,90,85,90,86,0,72,92,77,70,76,79,32,78,71,77,78,32,77,70,87,70,87,71,32,78,71,87,71,32,77,78,80,77,83,77,86,78,88,80,89,83,89,85,88,88,86,90,83,91,80,91,77,90,76,89,75,87,76,87,32,76,79,77,79,79,78,83,78,86,79,88,82,32,84,78,87,80,88,83,88,85,87,88,84,90,32,88,86,86,89,83,90,80,90,77,89,76,87,32,79,90,76,88,0,72,92,86,71,87,73,88,73,87,71,84,70,82,70,79,71,77,74,76,79,76,84,77,88,79,90,82,91,83,91,86,90,88,88,89,85,89,84,88,81,86,79,83,78,82,78,79,79,77,81,32,87,72,84,71,82,71,79,72,32,80,71,78,74,77,79,77,84,78,88,81,90,32,77,86,79,89,82,90,83,90,86,89,88,86,32,84,90,87,88,88,85,88,84,87,81,84,79,32,88,83,86,80,83,79,82,79,79,80,77,83,32,81,79,78,81,77,84,0,72,92,75,70,89,70,79,91,32,75,70,75,71,88,71,32,88,70,78,91,79,91,0,72,92,80,70,77,71,76,73,76,75,77,77,78,78,80,79,84,80,86,81,87,82,88,84,88,87,87,89,84,90,80,90,77,89,76,87,76,84,77,82,78,81,80,80,84,79,86,78,87,77,88,75,88,73,87,71,84,70,80,70,32,78,71,77,73,77,75,78,77,80,78,84,79,86,80,88,82,89,84,89,87,88,89,87,90,84,91,80,91,77,90,76,89,75,87,75,84,76,82,78,80,80,79,84,78,86,77,87,75,87,73,86,71,32,87,72,84,71,80,71,77,72,32,76,88,79,90,32,85,90,88,88,0,72,92,87,80,85,82,82,83,81,83,78,82,76,80,75,77,75,76,76,73,78,71,81,70,82,70,85,71,87,73,88,77,88,82,87,87,85,90,82,91,80,91,77,90,76,88,77,88,78,90,32,87,77,86,80,83,82,32,87,78,85,81,82,82,81,82,78,81,76,78,32,80,82,77,80,76,77,76,76,77,73,80,71,32,76,75,78,72,81,71,82,71,85,72,87,75,32,83,71,86,73,87,77,87,82,86,87,84,90,32,85,89,82,90,80,90,77,89,0,77,88,82,88,81,89,81,90,82,91,83,91,84,90,84,89,83,88,82,88,32,82,89,82,90,83,90,83,89,82,89,0,77,88,84,90,83,91,82,91,81,90,81,89,82,88,83,88,84,89,84,92,83,94,81,95,32,82,89,82,90,83,90,83,89,82,89,32,83,91,84,92,32,84,90,83,94,0,77,88,82,77,81,78,81,79,82,80,83,80,84,79,84,78,83,77,82,77,32,82,78,82,79,83,79,83,78,82,78,32,82,88,81,89,81,90,82,91,83,91,84,90,84,89,83,88,82,88,32,82,89,82,90,83,90,83,89,82,89,0,77,88,82,77,81,78,81,79,82,80,83,80,84,79,84,78,83,77,82,77,32,82,78,82,79,83,79,83,78,82,78,32,84,90,83,91,82,91,81,90,81,89,82,88,83,88,84,89,84,92,83,94,81,95,32,82,89,82,90,83,90,83,89,82,89,32,83,91,84,92,32,84,90,83,94,0,77,88,82,70,82,84,83,84,32,82,70,83,70,83,84,32,82,88,81,89,81,90,82,91,83,91,84,90,84,89,83,88,82,88,32,82,89,82,90,83,90,83,89,82,89,0,73,92,76,75,76,74,77,72,78,71,81,70,84,70,87,71,88,72,89,74,89,76,88,78,87,79,85,80,82,81,32,76,75,77,75,77,74,78,72,81,71,84,71,87,72,88,74,88,76,87,78,85,79,82,80,32,77,73,80,71,32,85,71,88,73,32,88,77,84,80,32,82,80,82,84,83,84,83,80,32,82,88,81,89,81,90,82,91,83,91,84,90,84,89,83,88,82,88,32,82,89,82,90],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+337924);allocate([83,90,83,89,82,89,0,77,88,84,70,82,71,81,73,81,76,82,77,83,77,84,76,84,75,83,74,82,74,81,75,32,82,75,82,76,83,76,83,75,82,75,32,82,71,81,75,32,81,73,82,74,0,77,88,84,72,83,73,82,73,81,72,81,71,82,70,83,70,84,71,84,74,83,76,81,77,32,82,71,82,72,83,72,83,71,82,71,32,83,73,84,74,32,84,72,83,76,0,70,95,92,77,90,77,88,78,87,80,85,86,84,88,83,89,81,90,77,90,75,89,74,87,74,85,75,83,76,82,81,79,83,77,84,75,84,73,83,71,81,70,80,70,78,71,77,73,77,75,78,78,80,81,85,87,88,90,90,91,92,91,32,92,77,92,78,90,78,87,80,32,90,77,88,80,86,86,85,88,83,90,81,91,77,91,75,90,74,89,73,87,73,85,74,83,76,81,81,78,82,77,83,75,83,73,82,71,32,83,72,81,71,80,71,78,72,32,79,71,78,73,78,75,79,78,81,81,86,87,88,89,90,90,92,90,92,91,0,73,92,82,66,82,95,83,95,32,82,66,83,66,83,95,32,87,73,89,73,87,71,84,70,81,70,78,71,76,73,76,75,77,77,78,78,86,82,87,83,88,85,88,87,87,89,84,90,81,90,79,89,78,88,32,87,73,86,72,84,71,81,71,78,72,77,73,77,75,78,77,86,81,88,83,89,85,89,87,88,89,87,90,84,91,81,91,78,90,76,88,78,88,32,88,88,85,90,0,71,94,91,66,73,98,74,98,32,91,66,92,66,74,98,0,75,89,85,66,83,68,81,71,79,75,78,80,78,84,79,89,81,93,83,96,85,98,86,98,32,85,66,86,66,84,68,82,71,80,75,79,80,79,84,80,89,82,93,84,96,86,98,0,75,89,78,66,80,68,82,71,84,75,85,80,85,84,84,89,82,93,80,96,78,98,79,98,32,78,66,79,66,81,68,83,71,85,75,86,80,86,84,85,89,83,93,81,96,79,98,0,74,90,82,70,81,71,83,81,82,82,32,82,70,82,82,32,82,70,83,71,81,81,82,82,32,77,73,78,73,86,79,87,79,32,77,73,87,79,32,77,73,77,74,87,78,87,79,32,87,73,86,73,78,79,77,79,32,87,73,77,79,32,87,73,87,74,77,78,77,79,0,70,95,74,81,91,81,91,82,32,74,81,74,82,91,82,0,70,95,82,73,82,90,83,90,32,82,73,83,73,83,90,32,74,81,91,81,91,82,32,74,81,74,82,91,82,0,70,95,74,77,91,77,91,78,32,74,77,74,78,91,78,32,74,85,91,85,91,86,32,74,85,74,86,91,86,0,78,87,83,70,82,71,82,77,32,83,71,82,77,32,83,70,84,71,82,77,0,73,91,78,70,77,71,77,77,32,78,71,77,77,32,78,70,79,71,77,77,32,87,70,86,71,86,77,32,87,71,86,77,32,87,70,88,71,86,77,0,75,89,81,70,79,71,78,73,78,75,79,77,81,78,83,78,85,77,86,75,86,73,85,71,83,70,81,70,32,81,70,78,73,79,77,83,78,86,75,85,71,81,70,32,83,70,79,71,78,75,81,78,85,77,86,73,83,70,0,70,94,90,73,74,82,90,91,32,90,73,90,74,76,82,90,90,90,91,0,70,94,74,73,90,82,74,91,32,74,73,74,74,88,82,74,90,74,91,0,71,94,79,70,79,98,80,98,32,79,70,80,70,80,98,32,85,70,85,98,86,98,32,85,70,86,70,86,98,32,74,80,91,80,91,81,32,74,80,74,81,91,81,32,74,87,91,87,91,88,32,74,87,74,88,91,88,0,70,94,91,70,89,71,86,72,83,72,80,71,78,70,76,70,74,71,73,73,73,75,75,77,77,77,79,76,80,74,80,72,78,70,32,91,70,72,91,73,91,32,91,70,92,70,73,91,32,89,84,87,84,85,85,84,87,84,89,86,91,88,91,90,90,91,88,91,86,89,84,32,78,70,74,71,73,75,77,77,80,74,78,70,32,76,70,73,73,75,77,79,76,80,72,76,70,32,89,84,85,85,84,89,88,91,91,88,89,84,32,87,84,84,87,86,91,90,90,91,86,87,84,0,69,96,87,77,84,75,81,75,79,76,78,77,77,79,77,82,78,84,79,85,81,86,84,86,87,84,32,87,77,84,76,81,76,79,77,78,79,78,82,79,84,81,85,84,85,87,84,32,86,75,86,83,87,85,89,86,90,86,92,85,93,83,93,79,92,76,91,74,89,72,87,71,84,70,81,70,78,71,76,72,74,74,73,76,72,79,72,82,73,85,74,87,76,89,78,90,81,91,85,91,89,90,32,86,75,87,75,87,83,88,85,90,86,32,89,86,91,85,92,83,92,79,91,76,90,74,89,73,87,72,84,71,81,71,78,72,76,73,75,74,74,76,73,79,73,82,74,85,75,87,76,88,78,89,81,90,85,90,89,89,89,90,0,69,95,74,80,76,79,78,79,80,80,83,84,84,85,86,86,88,86,90,85,91,83,91,81,90,79,88,78,86,78,84,79,83,80,80,84,78,85,76,85,74,84,32,90,80,88,79,86,79,84,80,81,84,80,85,78,86,76,86,74,85,73,83,73,81,74,79,76,78,78,78,80,79,81,80,84,84,86,85,88,85,90,84,32,75,79,74,81,74,83,75,85,32,89,85,90,83,90,81,89,79,0,72,93,84,70,81,71,79,73,77,76,76,79,75,83,75,86,76,89,77,90,79,91,81,91,84,90,86,88,88,85,89,82,90,78,90,75,89,72,88,71,86,70,84,70,32,84,70,82,71,80,73,78,76,77,79,76,83,76,86,77,89,79,91,32,81,91,83,90,85,88,87,85,88,82,89,78,89,75,88,72,86,70,0,72,93,84,74,79,91,32,86,70,80,91,32,86,70,83,73,80,75,78,76,32,85,73,81,75,78,76,0,72,93,79,74,80,75,79,76,78,75,78,74,79,72,80,71,83,70,86,70,89,71,90,73,90,75,89,77,87,79,84,81,80,83,77,85,75,87,73,91,32,86,70,88,71,89,73,89,75,88,77,86,79,80,83,32,74,89,75,88,77,88,82,90,85,90,87,89,88,87,32,77,88,82,91,85,91,87,90,88,87,0,72,93,79,74,80,75,79,76,78,75,78,74,79,72,80,71,83,70,86,70,89,71,90,73,90,75,89,77,86,79,83,80,32,86,70,88,71,89,73,89,75,88,77,86,79,32,81,80,83,80,86,81,87,82,88,84,88,87,87,89,86,90,83,91,79,91,76,90,75,89,74,87,74,86,75,85,76,86,75,87,32,83,80,85,81,86,82,87,84,87,87,86,89,85,90,83,91,0,72,93,88,71,82,91,32,89,70,83,91,32,89,70,74,85,90,85,0,72,93,81,70,76,80,32,81,70,91,70,32,81,71,86,71,91,70,32,76,80,77,79,80,78,83,78,86,79,87,80,88,82,88,85,87,88,85,90,82,91,79,91,76,90,75,89,74,87,74,86,75,85,76,86,75,87,32,83,78,85,79,86,80,87,82,87,85,86,88,84,90,82,91,0,72,93,89,73,88,74,89,75,90,74,90,73,89,71,87,70,84,70,81,71,79,73,77,76,76,79,75,83,75,87,76,89,77,90,79,91,82,91,85,90,87,88,88,86,88,83,87,81,86,80,84,79,81,79,79,80,77,82,76,84,32,84,70,82,71,80,73,78,76,77,79,76,83,76,88,77,90,32,82,91,84,90,86,88,87,86,87,82,86,80,0,72,93,78,70,76,76,32,91,70,90,73,88,76,83,82,81,85,80,87,79,91,32,88,76,82,82,80,85,79,87,78,91,32,77,73,80,70,82,70,87,73,32,78,72,80,71,82,71,87,73,89,73,90,72,91,70,0,72,93,83,70,80,71,79,72,78,74,78,77,79,79,81,80,84,80,88,79,89,78,90,76,90,73,89,71,86,70,83,70,32,83,70,81,71,80,72,79,74,79,77,80,79,81,80,32,84,80,87,79,88,78,89,76,89,73,88,71,86,70,32,81,80,77,81,75,83,74,85,74,88,75,90,78,91,82,91,86,90,87,89,88,87,88,84,87,82,86,81,84,80,32,81,80,78,81,76,83,75,85,75,88,76,90,78,91,32,82,91,85,90,86,89,87,87,87,83,86,81,0,72,93,89,77,88,79,86,81,84,82,81,82,79,81,78,80,77,78,77,75,78,73,80,71,83,70,86,70,88,71,89,72,90,74,90,78,89,82,88,85,86,88,84,90,81,91,78,91,76,90,75,88,75,87,76,86,77,87,76,88,32,79,81,78,79,78,75,79,73,81,71,83,70,32,88,71,89,73,89,78,88,82,87,85,85,88,83,90,81,91,0,77,88,80,89,79,90,80,91,81,90,80,89,0,77,88,80,91,79,90,80,89,81,90,81,91,80,93,78,95,0,77,88,83,77,82,78,83,79,84,78,83,77,32,80,89,79,90,80,91,81,90,0,77,88,83,77,82,78,83,79,84,78,83,77,32,80,91,79,90,80,89,81,90,81,91,80,93,78,95,0,77,88,85,70,84,71,82,83,32,85,71,82,83,32,85,70,86,71,82,83,32,80,89,79,90,80,91,81,90,80,89,0,72,93,79,74,80,75,79,76,78,75,78,74,79,72,80,71,83,70,87,70,90,71,91,73,91,75,90,77,89,78,83,80,81,81,81,83,82,84,84,84,32,87,70,89,71,90,73,90,75,89,77,88,78,86,79,32,80,89,79,90,80,91,81,90,80,89,0,77,88,86,70,84,72,83,74,83,75,84,76,85,75,84,74,0,77,88,85,72,84,71,85,70,86,71,86,72,85,74,83,76,0,69,95,92,78,91,79,92,80,93,79,93,78,92,77,91,77,89,78,87,80,82,88,80,90,78,91,75,91,72,90,71,88,71,86,72,84,73,83,75,82,80,80,82,79,84,77,85,75,85,73,84,71,82,70,80,71,79,73,79,76,80,82,81,85,83,88,85,90,87,91,89,91,90,89,90,88,32,75,91,73,90,72,88,72,86,73,84,74,83,80,80,32,79,76,80,81,81,84,83,87,85,89,87,90,89,90,90,89,0,72,93,84,66,76,95,32,89,66,81,95,32,90,74,89,75,90,76,91,75,91,74,90,72,89,71,86,70,82,70,79,71,77,73,77,75,78,77,79,78,86,82,88,84,32,77,75,79,77,86,81,87,82,88,84,88,87,87,89,86,90,83,91,79,91,76,90,75,89,74,87,74,86,75,85,76,86,75,87,0,71,93,95,66,69,98,0,75,90,90,66,86,69,83,72,81,75,79,79,78,84,78,88,79,93,80,96,81,98,32,86,69,83,73,81,77,80,80,79,85,79,90,80,95,81,98,0,74,89,83,66,84,68,85,71,86,76,86,80,85,85,83,89,81,92,78,95,74,98,32,83,66,84,69,85,74,85,79,84,84,83,87,81,91,78,95,0,74,91,84,70,84,82,32,79,73,89,79,32,89,73,79,79,0,78,87,85,70,83,77,32,86,70,83,77,0,73,91,80,70,78,77,32,81,70,78,77,32,89,70,87,77,32,90,70,87,77,0,75,90,83,70,81,71,80,73,80,75,81,77,83,78,85,78,87,77,88,75,88,73,87,71,85,70,83,70,0,72,93,83,70,76,98,32,89,70,82,98,32,76,81,90,81,32,75,87,89,87,0,69,95,94,70,92,71,88,72,85,72,81,71,79,70,77,70,75,71,74,73,74,75,76,77,78,77,80,76,81,74,81,72,79,70,32,94,70,70,91,32,88,84,86,84,84,85,83,87,83,89,85,91,87,91,89,90,90,88,90,86,88,84,0,71,93,76,70,76,91,32,77,70,77,91,32,73,70,89,70,89,76,88,70,32,77,80,85,80,88,81,89,82,90,84,90,87,89,89,88,90,85,91,73,91,32,85,80,87,81,88,82,89,84,89,87,88,89,87,90,85,91,0,70,94,78,70,78,76,77,84,76,88,75,90,74,91,32,88,70,88,91,32,89,70,89,91,32,75,70,92,70,32,71,91,92,91,32,71,91,71,98,32,72,91,71,98,32,91,91,92,98,32,92,91,92,98,0,67,98,82,70,82,91,32,83,70,83,91,32,79,70,86,70,32,71,71,72,72,71,73,70,72,70,71,71,70,72,70,73,71,74,73,75,77,76,79,78,80,87,80,89,79,90,77,91,73,92,71,93,70,94,70,95,71,95,72,94,73,93,72,94,71,32,78,80,76,81,75,83,74,88,73,90,72,91,32,78,80,77,81,76,83,75,88,74,90,73,91,71,91,70,90,69,88,32,87,80,89,81,90,83,91,88,92,90,93,91,32,87,80,88,81,89,83,90,88,91,90,92,91,94,91,95,90,96,88,32,79,91,86,91,0,72,92,76,73,75,70,75,76,76,73,78,71,80,70,84,70,87,71,88,73,88,76,87,78,84,79,81,79,32,84,70,86,71,87,73,87,76,86,78,84,79,32,84,79,86,80,88,82,89,84,89,87,88,89,87,90,84,91,79,91,77,90,76,89,75,87,75,86,76,85,77,86,76,87,32,87,81,88,84,88,87,87,89,86,90,84,91,0,70,94,75,70,75,91,32,76,70,76,91,32,88,70,88,91,32,89,70,89,91,32,72,70,79,70,32,85,70,92,70,32,88,72,76,89,32,72,91,79,91,32,85,91,92,91,0,70,94,75,70,75,91,32,76,70,76,91,32,88,70,88,91,32,89,70,89,91,32,72,70,79,70,32,85,70,92,70,32,88,72,76,89,32,72,91,79,91,32,85,91,92,91,32,78,64,78,63,77,63,77,64,78,66,80,67,84,67,86,66,87,64,0,70,94,75,70,75,91,32,76,70,76,91,32,72,70,79,70,32,76,80,83,80,85,79,86,77,87,73,88,71,89,70,90,70,91,71,91,72,90,73,89,72,90,71,32,83,80,85,81,86,83,87,88,88,90,89,91,32,83,80,84,81,85,83,86,88,87,90,88,91,90,91,91,90,92,88,32,72,91,79,91,0,69,94,77,70,77,76,76,84,75,88,74,90,73,91,72,91,71,90,71,89,72,88,73,89,72,90,32,88,70,88,91,32,89,70,89,91,32,74,70,92,70,32,85,91,92,91,0,72,93,75,70,82,86,32,76,70,83,86,32,90,70,83,86,81,89,80,90,78,91,77,91,76,90,76,89,77,88,78,89,77,90,32,73,70,79,70,32,86,70,92,70,0,70,95,82,70,82,91,32,83,70,83,91,32,79,70,86,70,32,80,73,76,74,74,76,73,79,73,82,74,85,76,87,80,88,85,88,89,87,91,85,92,82,92,79,91,76,89,74,85,73,80,73,32,80,73,77,74,75,76,74,79,74,82,75,85,77,87,80,88,32,85,88,88,87,90,85,91,82,91,79,90,76,88,74,85,73,32,79,91,86,91,0,70,94,75,70,75,91,32,76,70,76,91,32,88,70,88,91,32,89,70,89,91,32,72,70,79,70,32,85,70,92,70,32,72,91,92,91,32,91,91,92,98,32,92,91,92,98,0,70,93,75,70,75,81,76,83,79,84,82,84,85,83,87,81,32,76,70,76,81,77,83,79,84,32,87,70,87,91,32,88,70,88,91,32,72,70,79,70,32,84,70,91,70,32,84,91,91,91,0,66,99,71,70,71,91,32,72,70,72,91,32,82,70,82,91,32,83,70,83,91,32,93,70,93,91,32,94,70,94,91,32,68,70,75,70,32,79,70,86,70,32,90,70,97,70,32,68,91,97,91,0,66,99,71,70,71,91,32,72,70,72,91,32,82,70,82,91,32,83,70,83,91,32,93,70,93,91,32,94,70,94,91,32,68,70,75,70,32,79,70,86,70,32,90,70,97,70,32,68,91,97,91,32,96,91,97,98,32,97,91,97,98,0,70,96,80,70,80,91,32,81,70,81,91,32,73,70,72,76,72,70,84,70,32,81,80,88,80,91,81,92,82,93,84,93,87,92,89,91,90,88,91,77,91,32,88,80,90,81,91,82,92,84,92,87,91,89,90,90,88,91,0,67,97,72,70,72,91,32,73,70,73,91,32,69,70,76,70,32,73,80,80,80,83,81,84,82,85,84,85,87,84,89,83,90,80,91,69,91,32,80,80,82,81,83,82,84,84,84,87,83,89,82,90,80,91,32,91,70,91,91,32,92,70,92,91,32,88,70,95,70,32,88,91,95,91,0,72,93,77,70,77,91,32,78,70,78,91,32,74,70,81,70,32,78,80,85,80,88,81,89,82,90,84,90,87,89,89,88,90,85,91,74,91,32,85,80,87,81,88,82,89,84,89,87,88,89,87,90,85,91,0,72,93,76,73,75,70,75,76,76,73,78,71,81,70,83,70,86,71,88,73,89,75,90,78,90,83,89,86,88,88,86,90,83,91,80,91,77,90,76,89,75,87,75,86,76,85,77,86,76,87,32,83,70,85,71,87,73,88,75,89,78,89,83,88,86,87,88,85,90,83,91,32,80,80,89,80,0,67,98,72,70,72,91,32,73,70,73,91,32,69,70,76,70,32,69,91,76,91,32,86,70,83,71,81,73,80,75,79,79,79,82,80,86,81,88,83,90,86,91,88,91,91,90,93,88,94,86,95,82,95,79,94,75,93,73,91,71,88,70,86,70,32,86,70,84,71,82,73,81,75,80,79,80,82,81,86,82,88,84,90,86,91,32,88,91,90,90,92,88,93,86,94,82,94,79,93,75,92,73,90,71,88,70,32,73,80,79,80,0,71,93,87,70,87,91,32,88,70,88,91,32,91,70,79,70,76,71,75,72,74,74,74,76,75,78,76,79,79,80,87,80,32,79,70,77,71,76,72,75,74,75,76,76,78,77,79,79,80,32,82,80,80,81,79,82,76,89,75,90,74,90,73,89,32,80,81,79,83,77,90,76,91,74,91,73,89,73,88,32,84,91,91,91,0,72,92,88,70,87,71,81,73,78,75,76,78,75,81,75,85,76,88,78,90,81,91,83,91,86,90,88,88,89,85,89,83,88,80,86,78,83,77,81,77,78,78,76,80,75,83,32,88,70,87,72,85,73,81,74,78,76,76,78,32,81,77,79,78,77,80,76,83,76,85,77,88,79,90,81,91,32,83,91,85,90,87,88,88,85,88,83,87,80,85,78,83,77,0,72,92,77,77,77,91,32,78,77,78,91,32,74,77,85,77,88,78,89,80,89,81,88,83,85,84,32,85,77,87,78,88,80,88,81,87,83,85,84,32,78,84,85,84,88,85,89,87,89,88,88,90,85,91,74,91,32,85,84,87,85,88,87,88,88,87,90,85,91,0,72,90,77,77,77,91,32,78,77,78,91,32,74,77,88,77,88,82,87,77,32,74,91,81,91,0,70,93,78,77,78,81,77,87,76,90,75,91,32,87,77,87,91,32,88,77,88,91,32,75,77,91,77,32,73,91,72,96,72,91,91,91,91,96,90,91,0,69,96,82,77,82,91,32,83,77,83,91,32,79,77,86,77,32,74,78,73,79,72,78,73,77,74,77,75,78,77,82,78,83,80,84,85,84,87,83,88,82,90,78,91,77,92,77,93,78,92,79,91,78,32,80,84,78,85,77,86,75,90,74,91,32,80,84,78,86,76,90,75,91,73,91,72,90,71,88,32,85,84,87,85,88,86,90,90,91,91,32,85,84,87,86,89,90,90,91,92,91,93,90,94,88,32,79,91,86,91,0,73,91,77,79,76,77,76,81,77,79,78,78,80,77,84,77,87,78,88,80,88,81,87,83,84,84,32,84,77,86,78,87,80,87,81,86,83,84,84,32,81,84,84,84,87,85,88,87,88,88,87,90,84,91,80,91,77,90,76,88,76,87,77,86,78,87,77,88,32,84,84,86,85,87,87,87,88,86,90,84,91,0,71,93,76,77,76,91,32,77,77,77,91,32,87,77,87,91,32,88,77,88,91,32,73,77,80,77,32,84,77,91,77,32,73,91,80,91,32,84,91,91,91,32,87,78,77,90,0,71,93,76,77,76,91,32,77,77,77,91,32,87,77,87,91,32,88,77,88,91,32,73,77,80,77,32,84,77,91,77,32,73,91,80,91,32,84,91,91,91,32,87,78,77,90,32,79,71,79,70,78,70,78,71,79,73,81,74,83,74,85,73,86,71,0,72,92,77,77,77,91,32,78,77,78,91,32,74,77,81,77,32,78,84,80,84,83,83,84,82,86,78,87,77,88,77,89,78,88,79,87,78,32,80,84,83,85,84,86,86,90,87,91,32,80,84,82,85,83,86,85,90,86,91,88,91,89,90,90,88,32,74,91,81,91,0,71,93,78,77,78,81,77,87,76,90,75,91,74,91,73,90,74,89,75,90,32,87,77,87,91,32,88,77,88,91,32,75,77,91,77,32,84,91,91,91,0,71,94,76,77,76,91,32,76,77,82,91,32,77,77,82,89,32,88,77,82,91,32,88,77,88,91,32,89,77,89,91,32,73,77,77,77,32,88,77,92,77,32,73,91,79,91,32,85,91,92,91,0,71,93,76,77,76,91,32,77,77,77,91,32,87,77,87,91,32,88,77,88,91,32,73,77,80,77,32,84,77,91,77,32,77,84,87,84,32,73,91,80,91,32,84,91,91,91,0,71,93,76,77,76,91,32,77,77,77,91,32,87,77,87,91,32,88,77,88,91,32,73,77,91,77,32,73,91,80,91,32,84,91,91,91,0,73,92,82,77,82,91,32,83,77,83,91,32,77,77,76,82,76,77,89,77,89,82,88,77,32,79,91,86,91,0,73,91,76,77,82,91,32,77,77,82,89,32,88,77,82,91,80,95,78,97,76,98,75,98,74,97,75,96,76,97,32,74,77,80,77,32,84,77,90,77,0,72,93,82,70,82,98,32,83,70,83,98,32,79,70,83,70,32,82,80,81,78,80,77,78,77,76,78,75,81,75,87,76,90,78,91,80,91,81,90,82,88,32,78,77,77,78,76,81,76,87,77,90,78,91,32,87,77,88,78,89,81,89,87,88,90,87,91,32,83,80,84,78,85,77,87,77,89,78,90,81,90,87,89,90,87,91,85,91,84,90,83,88,32,79,98,86,98,0,71,93,76,77,76,91,32,77,77,77,91,32,87,77,87,91,32,88,77,88,91,32,73,77,80,77,32,84,77,91,77,32,73,91,91,91,91,96,90,91,0,71,93,76,77,76,84,77,86,80,87,82,87,85,86,87,84,32,77,77,77,84,78,86,80,87,32,87,77,87,91,32,88,77,88,91,32,73,77,80,77,32,84,77,91,77,32,84,91,91,91,0,67,98,72,77,72,91,32,73,77,73,91,32,82,77,82,91,32,83,77,83,91,32,92,77,92,91,32,93,77,93,91,32,69,77,76,77,32,79,77,86,77,32,89,77,96,77,32,69,91,96,91,0,67,98,72,77,72,91,32,73,77,73,91,32,82,77,82,91,32,83,77,83,91,32,92,77,92,91,32,93,77,93,91,32,69,77,76,77,32,79,77,86,77,32,89,77,96,77,32,69,91,96,91,96,96,95,91,0,72,93,81,77,81,91,32,82,77,82,91,32,76,77,75,82,75,77,85,77,32,82,84,86,84,89,85,90,87,90,88,89,90,86,91,78,91,32,86,84,88,85,89,87,89,88,88,90,86,91,0,69,95,74,77,74,91,32,75,77,75,91,32,71,77,78,77,32,75,84,79,84,82,85,83,87,83,88,82,90,79,91,71,91,32,79,84,81,85,82,87,82,88,81,90,79,91,32,89,77,89,91,32,90,77,90,91,32,86,77,93,77,32,86,91,93,91,0,74,91,79,77,79,91,32,80,77,80,91,32,76,77,83,77,32,80,84,84,84,87,85,88,87,88,88,87,90,84,91,76,91,32,84,84,86,85,87,87,87,88,86,90,84,91,0,73,92,77,79,76,77,76,81,77,79,78,78,80,77,83,77,86,78,88,80,89,83,89,85,88,88,86,90,83,91,80,91,78,90,76,88,76,87,77,86,78,87,77,88,32,83,77,85,78,87,80,88,83,88,85,87,88,85,90,83,91,32,82,84,88,84,0,68,97,73,77,73,91,32,74,77,74,91,32,70,77,77,77,32,70,91,77,91,32,86,77,83,78,81,80,80,83,80,85,81,88,83,90,86,91,88,91,91,90,93,88,94,85,94,83,93,80,91,78,88,77,86,77,32,86,77,84,78,82,80,81,83,81,85,82,88,84,90,86,91,32,88,91,90,90,92,88,93,85,93,83,92,80,90,78,88,77,32,74,84,80,84,0,71,92,86,77,86,91,32,87,77,87,91,32,90,77,79,77,76,78,75,80,75,81,76,83,79,84,86,84,32,79,77,77,78,76,80,76,81,77,83,79,84,32,84,84,81,85,80,86,78,90,77,91,32,84,84,82,85,81,86,79,90,78,91,76,91,75,90,74,88,32,83,91,90,91,0,72,92,82,70,75,90,32,81,73,87,91,32,82,73,88,91,32,82,70,89,91,32,77,85,86,85,32,73,91,79,91,32,84,91,91,91,32,75,90,74,91,32,75,90,77,91,32,87,90,85,91,32,87,89,86,91,32,88,89,90,91,0,71,93,76,70,76,91,32,77,71,77,90,32,78,70,78,91,32,73,70,85,70,88,71,89,72,90,74,90,76,89,78,88,79,85,80,32,88,72,89,74,89,76,88,78,32,85,70,87,71,88,73,88,77,87,79,85,80,32,78,80,85,80,88,81,89,82,90,84,90,87,89,89,88,90,85,91,73,91,32,88,82,89,84,89,87,88,89,32,85,80,87,81,88,83,88,88,87,90,85,91,32,74,70,76,71,32,75,70,76,72,32,79,70,78,72,32,80,70,78,71,32,76,90,74,91,32,76,89,75,91,32,78,89,79,91,32,78,90,80,91,0,71,92,88,73,89,70,89,76,88,73,86,71,84,70,81,70,78,71,76,73,75,75,74,78,74,83,75,86,76,88,78,90,81,91,84,91,86,90,88,88,89,86,32,77,73,76,75,75,78,75,83,76,86,77,88,32,81,70,79,71,77,74,76,78,76,83,77,87,79,90,81,91,0,71,93,76,70,76,91,32,77,71,77,90,32,78,70,78,91,32,73,70,83,70,86,71,88,73,89,75,90,78,90,83,89,86,88,88,86,90,83,91,73,91,32,87,73,88,75,89,78,89,83,88,86,87,88,32,83,70,85,71,87,74,88,78,88,83,87,87,85,90,83,91,32,74,70,76,71,32,75,70,76,72,32,79,70,78,72,32,80,70,78,71,32,76,90,74,91,32,76,89,75,91,32,78,89,79,91,32,78,90,80,91,0,71,92,76,70,76,91,32,77,71,77,90,32,78,70,78,91,32,73,70,89,70,89,76,32,78,80,84,80,32,84,76,84,84,32,73,91,89,91,89,85,32,74,70,76,71,32,75,70,76,72,32,79,70,78,72,32,80,70,78,71,32,84,70,89,71,32,86,70,89,72,32,87,70,89,73,32,88,70,89,76,32,84,76,83,80,84,84,32,84,78,82,80,84,82,32,84,79,80,80,84,81,32,76,90,74,91,32,76,89,75,91,32,78,89,79,91,32,78,90,80,91,32,84,91,89,90,32,86,91,89,89,32,87,91,89,88,32,88,91,89,85,0,71,91,76,70,76,91,32,77,71,77,90,32,78,70,78,91,32,73,70,89,70,89,76,32,78,80,84,80,32,84,76,84,84,32,73,91,81,91,32,74,70,76,71,32,75,70,76,72,32,79,70,78,72,32,80,70,78,71,32,84,70,89,71,32,86,70,89,72,32,87,70,89,73,32,88,70,89,76,32,84,76,83,80,84,84,32,84,78,82,80,84,82,32,84,79,80,80,84,81,32,76,90,74,91,32,76,89,75,91,32,78,89,79,91,32,78,90,80,91,0,71,94,88,73,89,70,89,76,88,73,86,71,84,70,81,70,78,71,76,73,75,75,74,78,74,83,75,86,76,88,78,90,81,91,84,91,86,90,88,90,89,91,89,83,32,77,73,76,75,75,78,75,83,76,86,77,88,32,81,70,79,71,77,74,76,78,76,83,77,87,79,90,81,91,32,88,84,88,89,32,87,83,87,89,86,90,32,84,83,92,83,32,85,83,87,84,32,86,83,87,85,32,90,83,89,85,32,91,83,89,84,0,70,94,75,70,75,91,32,76,71,76,90,32,77,70,77,91,32,87,70,87,91,32,88,71,88,90,32,89,70,89,91,32,72,70,80,70,32,84,70,92,70,32,77,80,87,80,32,72,91,80,91,32,84,91,92,91,32,73,70,75,71,32,74,70,75,72,32,78,70,77,72,32,79,70,77,71,32,85,70,87,71,32,86,70,87,72,32,90,70,89,72,32,91,70,89,71,32,75,90,73,91,32,75,89,74,91,32,77,89,78,91,32,77,90,79,91,32,87,90,85,91,32,87,89,86,91,32,89,89,90,91,32,89,90,91,91,0,76,88,81,70,81,91,32,82,71,82,90,32,83,70,83,91,32,78,70,86,70,32,78,91,86,91,32,79,70,81,71,32,80,70,81,72,32,84,70,83,72,32,85,70,83,71,32,81,90,79,91,32,81,89,80,91,32,83,89,84,91,32,83,90,85,91,0,74,90,83,70,83,87,82,90,81,91,32,84,71,84,87,83,90,32,85,70,85,87,84,90,81,91,79,91,77,90,76,88,76,86,77,85,78,85,79,86,79,87,78,88,77,88,32,77,86,77,87,78,87,78,86,77,86,32,80,70,88,70,32,81,70,83,71,32,82,70,83,72,32,86,70,85,72,32,87,70,85,71,0,70,92,75,70,75,91,32,76,71,76,90,32,77,70,77,91,32,88,71,77,82,32,80,80,87,91,32,81,80,88,91,32,81,78,89,91,32,72,70,80,70,32,85,70,91,70,32,72,91,80,91,32,84,91,91,91,32,73,70,75,71,32,74,70,75,72,32,78,70,77,72,32,79,70,77,71,32,87,70,88,71,32,90,70,88,71,32,75,90,73,91,32,75,89,74,91,32,77,89,78,91,32,77,90,79,91,32,87,89,85,91,32,87,89,90,91,0,73,91,78,70,78,91,32,79,71,79,90,32,80,70,80,91,32,75,70,83,70,32,75,91,90,91,90,85,32,76,70,78,71,32,77,70,78,72,32,81,70,80,72,32,82,70,80,71,32,78,90,76,91,32,78,89,77,91,32,80,89,81,91,32,80,90,82,91,32,85,91,90,90,32,87,91,90,89,32,88,91,90,88,32,89,91,90,85,0,69,95,74,70,74,90,32,74,70,81,91,32,75,70,81,88,32,76,70,82,88,32,88,70,81,91,32,88,70,88,91,32,89,71,89,90,32,90,70,90,91,32,71,70,76,70,32,88,70,93,70,32,71,91,77,91,32,85,91,93,91,32,72,70,74,71,32,91,70,90,72,32,92,70,90,71,32,74,90,72,91,32,74,90,76,91,32,88,90,86,91,32,88,89,87,91,32,90,89,91,91,32,90,90,92,91,0,70,94,75,70,75,90,32,75,70,89,91,32,76,70,88,88,32,77,70,89,88,32,89,71,89,91,32,72,70,77,70,32,86,70,92,70,32,72,91,78,91,32,73,70,75,71,32,87,70,89,71,32,91,70,89,71,32,75,90,73,91,32,75,90,77,91,0,71,93,81,70,78,71,76,73,75,75,74,79,74,82,75,86,76,88,78,90,81,91,83,91,86,90,88,88,89,86,90,82,90,79,89,75,88,73,86,71,83,70,81,70,32,77,73,76,75,75,78,75,83,76,86,77,88,32,87,88,88,86,89,83,89,78,88,75,87,73,32,81,70,79,71,77,74,76,78,76,83,77,87,79,90,81,91,32,83,91,85,90,87,87,88,83,88,78,87,74,85,71,83,70,0,71,93,76,70,76,91,32,77,71,77,90,32,78,70,78,91,32,73,70,85,70,88,71,89,72,90,74,90,77,89,79,88,80,85,81,78,81,32,88,72,89,74,89,77,88,79,32,85,70,87,71,88,73,88,78,87,80,85,81,32,73,91,81,91,32,74,70,76,71,32,75,70,76,72,32,79,70,78,72,32,80,70,78,71,32,76,90,74,91,32,76,89,75,91,32,78,89,79,91,32,78,90,80,91,0,71,93,81,70,78,71,76,73,75,75,74,79,74,82,75,86,76,88,78,90,81,91,83,91,86,90,88,88,89,86,90,82,90,79,89,75,88,73,86,71,83,70,81,70,32,77,73,76,75,75,78,75,83,76,86,77,88,32,87,88,88,86,89,83,89,78,88,75,87,73,32,81,70,79,71,77,74,76,78,76,83,77,87,79,90,81,91,32,83,91,85,90,87,87,88,83,88,78,87,74,85,71,83,70,32,78,88,79,86,81,85,82,85,84,86,85,88,86,94,87,96,89,96,90,94,90,92,32,86,92,87,94,88,95,89,95,32,85,88,87,93,88,94,89,94,90,93,0,71,93,76,70,76,91,32,77,71,77,90,32,78,70,78,91,32,73,70,85,70,88,71,89,72,90,74,90,76,89,78,88,79,85,80,78,80,32,88,72,89,74,89,76,88,78,32,85,70,87,71,88,73,88,77,87,79,85,80,32,82,80,84,81,85,83,87,89,88,91,90,91,91,89,91,87,32,87,87,88,89,89,90,90,90,32,84,81,85,82,88,88,89,89,90,89,91,88,32,73,91,81,91,32,74,70,76,71,32,75,70,76,72,32,79,70,78,72,32,80,70,78,71,32,76,90,74,91,32,76,89,75,91,32,78,89,79,91,32,78,90,80,91,0,72,92,88,73,89,70,89,76,88,73,86,71,83,70,80,70,77,71,75,73,75,76,76,78,79,80,85,82,87,83,88,85,88,88,87,90,32,76,76,77,78,79,79,85,81,87,82,88,84,32,77,71,76,73,76,75,77,77,79,78,85,80,88,82,89,84,89,87,88,89,87,90,84,91,81,91,78,90,76,88,75,85,75,91,76,88,0,72,92,74,70,74,76,32,81,70,81,91,32,82,71,82,90,32,83,70,83,91,32,90,70,90,76,32,74,70,90,70,32,78,91,86,91,32,75,70,74,76,32,76,70,74,73,32,77,70,74,72,32,79,70,74,71,32,85,70,90,71,32,87,70,90,72,32,88,70,90,73,32,89,70,90,76,32,81,90,79,91,32,81,89,80,91,32,83,89,84,91,32,83,90,85,91,0,70,94,75,70,75,85,76,88,78,90,81,91,83,91,86,90,88,88,89,85,89,71,32,76,71,76,86,77,88,32,77,70,77,86,78,89,79,90,81,91,32,72,70,80,70,32,86,70,92,70,32,73,70,75,71,32,74,70,75,72,32,78,70,77,72,32,79,70,77,71,32,87,70,89,71,32,91,70,89,71,0,72,92,75,70,82,91,32,76,70,82,88,82,91,32,77,70,83,88,32,89,71,82,91,32,73,70,80,70,32,85,70,91,70,32,74,70,76,72,32,78,70,77,72,32,79,70,77,71,32,87,70,89,71,32,90,70,89,71,0,70,94,74,70,78,91,32,75,70,78,86,78,91,32,76,70,79,86,32,82,70,79,86,78,91,32,82,70,86,91,32,83,70,86,86,86,91,32,84,70,87,86,32,90,71,87,86,86,91,32,71,70,79,70,32,82,70,84,70,32,87,70,93,70,32,72,70,75,71,32,73,70,75,72,32,77,70,76,72,32,78,70,76,71,32,88,70,90,71,32,92,70,90,71,0,72,92,75,70,87,91,32,76,70,88,91,32,77,70,89,91,32,88,71,76,90,32,73,70,80,70,32,85,70,91,70,32,73,91,79,91,32,84,91,91,91,32,74,70,77,72,32,78,70,77,72,32,79,70,77,71,32,86,70,88,71,32,90,70,88,71,32,76,90,74,91,32,76,90,78,91,32,87,90,85,91,32,87,89,86,91,32,87,89,90,91,0,71,93,74,70,81,81,81,91,32,75,70,82,81,82,90,32,76,70,83,81,83,91,32,89,71,83,81,32,72,70,79,70,32,86,70,92,70,32,78,91,86,91,32,73,70,75,71,32,78,70,76,71,32,87,70,89,71,32,91,70,89,71,32,81,90,79,91,32,81,89,80,91,32,83,89,84,91,32,83,90,85,91,0,72,92,89,70,75,70,75,76,32,87,70,75,91,32,88,70,76,91,32,89,70,77,91,32,75,91,89,91,89,85,32,76,70,75,76,32,77,70,75,73,32,78,70,75,72,32,80,70,75,71,32,84,91,89,90,32,86,91,89,89,32,87,91,89,88,32,88,91,89,85,0,73,91,78,70,78,91,32,79,71,79,90,32,80,70,80,91,32,75,70,90,70,90,76,32,75,91,83,91,32,76,70,78,71,32,77,70,78,72,32,81,70,80,72,32,82,70,80,71,32,85,70,90,71,32,87,70,90,72,32,88,70,90,73,32,89,70,90,76,32,78,89,77,91,32,78,90,76,91,32,80,89,81,91,32,80,90,82,91,0,72,92,82,70,74,91,32,81,73,88,91,32,82,73,89,91,32,82,70,90,91,32,75,89,88,89,32,75,90,88,90,32,74,91,90,91,0,71,93,81,70,78,71,76,73,75,75,74,79,74,82,75,86,76,88,78,90,81,91,83,91,86,90,88,88,89,86,90,82,90,79,89,75,88,73,86,71,83,70,81,70,32,77,73,76,75,75,78,75,83,76,86,77,88,32,87,88,88,86,89,83,89,78,88,75,87,73,32,81,70,79,71,77,74,76,78,76,83,77,87,79,90,81,91,32,83,91,85,90,87,87,88,83,88,78,87,74,85,71,83,70,32,79,77,79,84,32,85,77,85,84,32,79,80,85,80,32,79,81,85,81,32,79,78,80,80,32,79,79,81,80,32,85,78,84,80,32,85,79,83,80,32,80,81,79,83,32,81,81,79,82,32,83,81,85,82,32,84,81,85,83,0,72,92,82,70,75,90,32,81,73,87,91,32,82,73,88,91,32,82,70,89,91,32,73,91,79,91,32,84,91,91,91,32,75,90,74,91,32,75,90,77,91,32,87,90,85,91,32,87,89,86,91,32,88,89,90,91,0,71,93,74,69,74,76,32,90,69,90,76,32,79,77,79,84,32,85,77,85,84,32,74,85,74,92,32,90,85,90,92,32,74,71,90,71,32,74,72,90,72,32,74,73,90,73,32,79,80,85,80,32,79,81,85,81,32,74,88,90,88,32,74,89,90,89,32,74,90,90,90,32,74,70,77,72,32,90,70,87,72,32,75,73,74,75,32,76,73,74,74,32,88,73,90,74,32,89,73,90,75,32,79,78,80,80,32,79,79,81,80,32,85,78,84,80,32,85,79,83,80,32,80,81,79,83,32,81,81,79,82,32,83,81,85,82,32,84,81,85,83,32,74,86,75,88,32,74,87,76,88,32,90,87,88,88,32,90,86,89,88,32,77,89,74,91,32,87,89,90,91,0,70,94,75,70,75,91,32,76,71,76,90,32,77,70,77,91,32,87,70,87,91,32,88,71,88,90,32,89,70,89,91,32,72,70,92,70,32,72,91,80,91,32,84,91,92,91,32,73,70,75,71,32,74,70,75,72,32,78,70,77,72,32,79,70,77,71,32,85,70,87,71,32,86,70,87,72,32,90,70,89,72,32,91,70,89,71,32,75,90,73,91,32,75,89,74,91,32,77,89,78,91,32,77,90,79,91,32,87,90,85,91,32,87,89,86,91,32,89,89,90,91,32,89,90,91,91,0,71,93,73,70,80,80,81,81,32,74,70,81,80,32,75,70,82,80,73,91,32,73,70,89,70,90,76,89,73,87,70,32,86,70,89,72,32,84,70,89,71,32,75,89,89,89,32,74,90,89,90,32,73,91,89,91,90,85,89,88,87,89,0,72,92,74,77,75,73,76,71,77,70,79,70,80,71,81,73,82,77,32,76,72,77,71,79,71,80,72,32,74,77,75,74,77,72,79,72,80,73,81,77,81,91,32,82,77,82,91,32,90,77,89,74,87,72,85,72,84,73,83,77,83,91,32,88,72,87,71,85,71,84,72,32,90,77,89,73,88,71,87,70,85,70,84,71,83,73,82,77,32,78,91,86,91,32,81,89,80,91,32,81,90,79,91,32,83,90,85,91,32,83,89,84,91,0,71,93,81,70,81,91,32,82,71,82,90,32,83,70,83,91,32,78,70,86,70,32,78,91,86,91,32,79,70,81,71,32,80,70,81,72,32,84,70,83,72,32,85,70,83,71,32,81,90,79,91,32,81,89,80,91,32,83,89,84,91,32,83,90,85,91,32,79,75,76,76,75,77,74,79,74,82,75,84,76,85,79,86,85,86,88,85,89,84,90,82,90,79,89,77,88,76,85,75,79,75,32,76,77,75,79,75,82,76,84,32,88,84,89,82,89,79,88,77,32,79,75,77,76,76,79,76,82,77,85,79,86,32,85,86,87,85,88,82,88,79,87,76,85,75,0,70,94,81,70,81,91,32,82,71,82,90,32,83,70,83,91,32,78,70,86,70,32,78,91,86,91,32,79,70,81,71,32,80,70,81,72,32,84,70,83,72,32,85,70,83,71,32,81,90,79,91,32,81,89,80,91,32,83,89,84,91,32,83,90,85,91,32,72,77,73,77,74,78,75,81,76,83,77,84,80,85,84,85,87,84,88,83,89,81,90,78,91,77,92,77,32,76,82,75,78,74,76,73,76,75,78,32,72,77,73,75,74,75,75,76,76,80,77,83,78,84,80,85,32,89,78,91,76,90,76,89,78,88,82,32,84,85,86,84,87,83,88,80,89,76,90,75,91,75,92,77,0,71,93,78,89,75,89,74,87,75,91,79,91,77,86,75,82,74,79,74,76,75,73,77,71,80,70,84,70,87,71,89,73,90,76,90,79,89,82,87,86,85,91,89,91,90,87,89,89,86,89,32,76,83,75,79,75,76,76,73,32,88,73,89,76,89,79,88,83,32,79,91,77,85,76,80,76,75,77,72,78,71,80,70,32,84,70,86,71,87,72,88,75,88,80,87,85,85,91,32,75,90,78,90,32,86,90,89,90,0,72,92,85,70,73,90,32,83,74,84,91,32,84,72,85,90,32,85,70,85,72,86,89,86,91,32,76,85,84,85,32,70,91,76,91,32,81,91,88,91,32,73,90,71,91,32,73,90,75,91,32,84,90,82,91,32,84,89,83,91,32,86,89,87,91,0,70,94,79,70,73,91,32,80,70,74,91,32,81,70,75,91,32,76,70,87,70,90,71,91,73,91,75,90,78,89,79,86,80,32,89,71,90,73,90,75,89,78,88,79,32,87,70,88,71,89,73,89,75,88,78,86,80,32,78,80,86,80,88,81,89,83,89,85,88,88,86,90,82,91,70,91,32,87,81,88,83,88,85,87,88,85,90,32,86,80,87,82,87,85,86,88,84,90,82,91,32,77,70,80,71,32,78,70,79,72,32,82,70,80,72,32,83,70,80,71,32,74,90,71,91,32,74,89,72,91,32,75,89,76,91,32,74,90,77,91,0,72,93,90,72,91,72,92,70,91,76,91,74,90,72,89,71,87,70,84,70,81,71,79,73,77,76,76,79,75,83,75,86,76,89,77,90,80,91,83,91,85,90,87,88,88,86,32,81,72,79,74,78,76,77,79,76,83,76,87,77,89,32,84,70,82,71,80,74,79,76,78,79,77,83,77,88,78,90,80,91,0,70,93,79,70,73,91,32,80,70,74,91,32,81,70,75,91,32,76,70,85,70,88,71,89,72,90,75,90,79,89,83,87,87,85,89,83,90,79,91,70,91,32,87,71,88,72,89,75,89,79,88,83,86,87,84,89,32,85,70,87,72,88,75,88,79,87,83,85,87,82,90,79,91,32,77,70,80,71,32,78,70,79,72,32,82,70,80,72,32,83,70,80,71,32,74,90,71,91,32,74,89,72,91,32,75,89,76,91,32,74,90,77,91,0,70,93,79,70,73,91,32,80,70,74,91,32,81,70,75,91,32,85,76,83,84,32,76,70,91,70,90,76,32,78,80,84,80,32,70,91,85,91,87,86,32,77,70,80,71,32,78,70,79,72,32,82,70,80,72,32,83,70,80,71,32,87,70,90,71,32,88,70,90,72,32,89,70,90,73,32,90,70,90,76,32,85,76,83,80,83,84,32,84,78,82,80,83,82,32,84,79,81,80,83,81,32,74,90,71,91,32,74,89,72,91,32,75,89,76,91,32,74,90,77,91,32,80,91,85,90,32,82,91,85,89,32,85,89,87,86,0,70,92,79,70,73,91,32,80,70,74,91,32,81,70,75,91,32,85,76,83,84,32,76,70,91,70,90,76,32,78,80,84,80,32,70,91,78,91,32,77,70,80,71,32,78,70,79,72,32,82,70,80,72,32,83,70,80,71,32,87,70,90,71,32,88,70,90,72,32,89,70,90,73,32,90,70,90,76,32,85,76,83,80,83,84,32,84,78,82,80,83,82,32,84,79,81,80,83,81,32,74,90,71,91,32,74,89,72,91,32,75,89,76,91,32,74,90,77,91,0,72,94,90,72,91,72,92,70,91,76,91,74,90,72,89,71,87,70,84,70,81,71,79,73,77,76,76,79,75,83,75,86,76,89,77,90,80,91,82,91,85,90,87,88,89,84,32,81,72,79,74,78,76,77,79,76,83,76,87,77,89,32,86,88,87,87,88,84,32,84,70,82,71,80,74,79,76,78,79,77,83,77,88,78,90,80,91,32,82,91,84,90,86,87,87,84,32,84,84,92,84,32,85,84,87,85,32,86,84,87,87,32,90,84,88,86,32,91,84,88,85,0,69,95,78,70,72,91,32,79,70,73,91,32,80,70,74,91,32,90,70,84,91,32,91,70,85,91,32,92,70,86,91,32,75,70,83,70,32,87,70,95,70,32,76,80,88,80,32,69,91,77,91,32,81,91,89,91,32,76,70,79,71,32,77,70,78,72,32,81,70,79,72,32,82,70,79,71,32,88,70,91,71,32,89],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+348164);allocate([70,90,72,32,93,70,91,72,32,94,70,91,71,32,73,90,70,91,32,73,89,71,91,32,74,89,75,91,32,73,90,76,91,32,85,90,82,91,32,85,89,83,91,32,86,89,87,91,32,85,90,88,91,0,75,89,84,70,78,91,32,85,70,79,91,32,86,70,80,91,32,81,70,89,70,32,75,91,83,91,32,82,70,85,71,32,83,70,84,72,32,87,70,85,72,32,88,70,85,71,32,79,90,76,91,32,79,89,77,91,32,80,89,81,91,32,79,90,82,91,0,73,92,87,70,82,87,81,89,79,91,32,88,70,84,83,83,86,82,88,32,89,70,85,83,83,88,81,90,79,91,77,91,75,90,74,88,74,86,75,85,76,85,77,86,77,87,76,88,75,88,32,75,86,75,87,76,87,76,86,75,86,32,84,70,92,70,32,85,70,88,71,32,86,70,87,72,32,90,70,88,72,32,91,70,88,71,0,70,93,79,70,73,91,32,80,70,74,91,32,81,70,75,91,32,92,71,77,82,32,81,79,85,91,32,82,79,86,91,32,83,78,87,90,32,76,70,84,70,32,89,70,95,70,32,70,91,78,91,32,82,91,89,91,32,77,70,80,71,32,78,70,79,72,32,82,70,80,72,32,83,70,80,71,32,90,70,92,71,32,94,70,92,71,32,74,90,71,91,32,74,89,72,91,32,75,89,76,91,32,74,90,77,91,32,85,90,83,91,32,85,89,84,91,32,86,89,88,91,0,72,92,81,70,75,91,32,82,70,76,91,32,83,70,77,91,32,78,70,86,70,32,72,91,87,91,89,85,32,79,70,82,71,32,80,70,81,72,32,84,70,82,72,32,85,70,82,71,32,76,90,73,91,32,76,89,74,91,32,77,89,78,91,32,76,90,79,91,32,82,91,87,90,32,84,91,88,88,32,86,91,89,85,0,68,96,77,70,71,90,32,77,71,78,89,78,91,32,78,70,79,89,32,79,70,80,88,32,91,70,80,88,78,91,32,91,70,85,91,32,92,70,86,91,32,93,70,87,91,32,74,70,79,70,32,91,70,96,70,32,68,91,74,91,32,82,91,90,91,32,75,70,77,71,32,76,70,77,72,32,94,70,92,72,32,95,70,92,71,32,71,90,69,91,32,71,90,73,91,32,86,90,83,91,32,86,89,84,91,32,87,89,88,91,32,86,90,89,91,0,70,95,79,70,73,90,32,79,70,86,91,32,80,70,86,88,32,81,70,87,88,32,92,71,87,88,86,91,32,76,70,81,70,32,89,70,95,70,32,70,91,76,91,32,77,70,80,71,32,78,70,80,72,32,90,70,92,71,32,94,70,92,71,32,73,90,71,91,32,73,90,75,91,0,71,93,83,70,80,71,78,73,76,76,75,79,74,83,74,86,75,89,76,90,78,91,81,91,84,90,86,88,88,85,89,82,90,78,90,75,89,72,88,71,86,70,83,70,32,79,73,77,76,76,79,75,83,75,87,76,89,32,85,88,87,85,88,82,89,78,89,74,88,72,32,83,70,81,71,79,74,78,76,77,79,76,83,76,88,77,90,78,91,32,81,91,83,90,85,87,86,85,87,82,88,78,88,73,87,71,86,70,0,70,93,79,70,73,91,32,80,70,74,91,32,81,70,75,91,32,76,70,88,70,91,71,92,73,92,75,91,78,89,80,85,81,77,81,32,90,71,91,73,91,75,90,78,88,80,32,88,70,89,71,90,73,90,75,89,78,87,80,85,81,32,70,91,78,91,32,77,70,80,71,32,78,70,79,72,32,82,70,80,72,32,83,70,80,71,32,74,90,71,91,32,74,89,72,91,32,75,89,76,91,32,74,90,77,91,0,71,93,83,70,80,71,78,73,76,76,75,79,74,83,74,86,75,89,76,90,78,91,81,91,84,90,86,88,88,85,89,82,90,78,90,75,89,72,88,71,86,70,83,70,32,79,73,77,76,76,79,75,83,75,87,76,89,32,85,88,87,85,88,82,89,78,89,74,88,72,32,83,70,81,71,79,74,78,76,77,79,76,83,76,88,77,90,78,91,32,81,91,83,90,85,87,86,85,87,82,88,78,88,73,87,71,86,70,32,76,88,77,86,79,85,80,85,82,86,83,88,84,93,85,94,86,94,87,93,32,84,94,85,95,86,95,32,83,88,83,95,84,96,86,96,87,93,87,92,0,70,94,79,70,73,91,32,80,70,74,91,32,81,70,75,91,32,76,70,87,70,90,71,91,73,91,75,90,78,89,79,86,80,78,80,32,89,71,90,73,90,75,89,78,88,79,32,87,70,88,71,89,73,89,75,88,78,86,80,32,82,80,84,81,85,82,87,88,88,89,89,89,90,88,32,87,89,88,90,89,90,32,85,82,86,90,87,91,89,91,90,88,90,87,32,70,91,78,91,32,77,70,80,71,32,78,70,79,72,32,82,70,80,72,32,83,70,80,71,32,74,90,71,91,32,74,89,72,91,32,75,89,76,91,32,74,90,77,91,0,71,94,90,72,91,72,92,70,91,76,91,74,90,72,89,71,86,70,82,70,79,71,77,73,77,76,78,78,80,80,86,83,87,85,87,88,86,90,32,78,76,79,78,86,82,87,84,32,79,71,78,73,78,75,79,77,85,80,87,82,88,84,88,87,87,89,86,90,83,91,79,91,76,90,75,89,74,87,74,85,73,91,74,89,75,89,0,71,93,84,70,78,91,32,85,70,79,91,32,86,70,80,91,32,77,70,75,76,32,93,70,92,76,32,77,70,93,70,32,75,91,83,91,32,78,70,75,76,32,80,70,76,73,32,82,70,77,71,32,89,70,92,71,32,90,70,92,72,32,91,70,92,73,32,92,70,92,76,32,79,90,76,91,32,79,89,77,91,32,80,89,81,91,32,79,90,82,91,0,70,95,78,70,75,81,74,85,74,88,75,90,78,91,82,91,85,90,87,88,88,85,92,71,32,79,70,76,81,75,85,75,89,76,90,32,80,70,77,81,76,85,76,89,78,91,32,75,70,83,70,32,89,70,95,70,32,76,70,79,71,32,77,70,78,72,32,81,70,79,72,32,82,70,79,71,32,90,70,92,71,32,94,70,92,71,0,72,92,78,70,78,72,79,89,79,91,32,79,71,80,88,32,80,70,81,87,32,91,71,79,91,32,76,70,83,70,32,88,70,94,70,32,77,70,78,72,32,81,70,80,72,32,82,70,79,71,32,89,70,91,71,32,93,70,91,71,0,69,95,77,70,77,72,75,89,75,91,32,78,71,76,88,32,79,70,77,87,32,85,70,77,87,75,91,32,85,70,85,72,83,89,83,91,32,86,71,84,88,32,87,70,85,87,32,93,71,85,87,83,91,32,74,70,82,70,32,85,70,87,70,32,90,70,96,70,32,75,70,78,71,32,76,70,77,72,32,80,70,78,73,32,81,70,78,71,32,91,70,93,71,32,95,70,93,71,0,71,93,78,70,84,91,32,79,70,85,91,32,80,70,86,91,32,91,71,73,90,32,76,70,83,70,32,88,70,94,70,32,70,91,76,91,32,81,91,88,91,32,77,70,79,72,32,81,70,80,72,32,82,70,80,71,32,89,70,91,71,32,93,70,91,71,32,73,90,71,91,32,73,90,75,91,32,84,90,82,91,32,84,89,83,91,32,85,89,87,91,0,71,93,77,70,81,80,78,91,32,78,70,82,80,79,91,32,79,70,83,80,80,91,32,92,71,83,80,32,75,70,82,70,32,89,70,95,70,32,75,91,83,91,32,76,70,78,71,32,80,70,79,72,32,81,70,78,71,32,90,70,92,71,32,94,70,92,71,32,79,90,76,91,32,79,89,77,91,32,80,89,81,91,32,79,90,82,91,0,71,93,90,70,72,91,32,91,70,73,91,32,92,70,74,91,32,92,70,78,70,76,76,32,72,91,86,91,88,85,32,79,70,76,76,32,80,70,77,73,32,82,70,78,71,32,82,91,86,90,32,84,91,87,88,32,85,91,88,85,0,72,92,74,70,82,91,32,75,70,82,88,32,76,70,83,88,32,74,70,90,70,82,91,32,76,71,89,71,32,76,72,89,72,0,73,93,78,80,78,79,79,79,79,81,77,81,77,79,78,78,80,77,84,77,86,78,87,79,88,81,88,88,89,90,90,91,32,86,79,87,81,87,88,88,90,32,84,77,85,78,86,80,86,88,87,90,90,91,91,91,32,86,82,85,83,80,84,77,85,76,87,76,88,77,90,80,91,83,91,85,90,86,88,32,78,85,77,87,77,88,78,90,32,85,83,81,84,79,85,78,87,78,88,79,90,80,91,0,71,92,76,70,76,91,77,90,79,90,32,77,71,77,89,32,73,70,78,70,78,90,32,78,80,79,78,81,77,83,77,86,78,88,80,89,83,89,85,88,88,86,90,83,91,81,91,79,90,78,88,32,87,80,88,82,88,86,87,88,32,83,77,85,78,86,79,87,82,87,86,86,89,85,90,83,91,32,74,70,76,71,32,75,70,76,72,0,72,91,87,81,87,80,86,80,86,82,88,82,88,80,86,78,84,77,81,77,78,78,76,80,75,83,75,85,76,88,78,90,81,91,83,91,86,90,88,88,32,77,80,76,82,76,86,77,88,32,81,77,79,78,78,79,77,82,77,86,78,89,79,90,81,91,0,72,93,86,70,86,91,91,91,32,87,71,87,90,32,83,70,88,70,88,91,32,86,80,85,78,83,77,81,77,78,78,76,80,75,83,75,85,76,88,78,90,81,91,83,91,85,90,86,88,32,77,80,76,82,76,86,77,88,32,81,77,79,78,78,79,77,82,77,86,78,89,79,90,81,91,32,84,70,86,71,32,85,70,86,72,32,88,89,89,91,32,88,90,90,91,0,72,91,77,83,88,83,88,81,87,79,86,78,83,77,81,77,78,78,76,80,75,83,75,85,76,88,78,90,81,91,83,91,86,90,88,88,32,87,82,87,81,86,79,32,77,80,76,82,76,86,77,88,32,86,83,86,80,85,78,83,77,32,81,77,79,78,78,79,77,82,77,86,78,89,79,90,81,91,0,75,89,87,72,87,71,86,71,86,73,88,73,88,71,87,70,84,70,82,71,81,72,80,75,80,91,32,82,72,81,75,81,90,32,84,70,83,71,82,73,82,91,32,77,77,86,77,32,77,91,85,91,32,80,90,78,91,32,80,89,79,91,32,82,89,83,91,32,82,90,84,91,0,73,92,88,78,89,79,90,78,89,77,88,77,86,78,85,79,32,81,77,79,78,78,79,77,81,77,83,78,85,79,86,81,87,83,87,85,86,86,85,87,83,87,81,86,79,85,78,83,77,81,77,32,79,79,78,81,78,83,79,85,32,85,85,86,83,86,81,85,79,32,81,77,80,78,79,80,79,84,80,86,81,87,32,83,87,84,86,85,84,85,80,84,78,83,77,32,78,85,77,86,76,88,76,89,77,91,78,92,81,93,85,93,88,94,89,95,32,78,91,81,92,85,92,88,93,32,76,89,77,90,80,91,85,91,88,92,89,94,89,95,88,97,85,98,79,98,76,97,75,95,75,94,76,92,79,91,32,79,98,77,97,76,95,76,94,77,92,79,91,0,71,94,76,70,76,91,32,77,71,77,90,32,73,70,78,70,78,91,32,78,81,79,79,80,78,82,77,85,77,87,78,88,79,89,82,89,91,32,87,79,88,82,88,90,32,85,77,86,78,87,81,87,91,32,73,91,81,91,32,84,91,92,91,32,74,70,76,71,32,75,70,76,72,32,76,90,74,91,32,76,89,75,91,32,78,89,79,91,32,78,90,80,91,32,87,90,85,91,32,87,89,86,91,32,89,89,90,91,32,89,90,91,91,0,76,88,81,70,81,72,83,72,83,70,81,70,32,82,70,82,72,32,81,71,83,71,32,81,77,81,91,32,82,78,82,90,32,78,77,83,77,83,91,32,78,91,86,91,32,79,77,81,78,32,80,77,81,79,32,81,90,79,91,32,81,89,80,91,32,83,89,84,91,32,83,90,85,91,0,75,88,82,70,82,72,84,72,84,70,82,70,32,83,70,83,72,32,82,71,84,71,32,82,77,82,94,81,97,80,98,32,83,78,83,93,82,96,32,79,77,84,77,84,93,83,96,82,97,80,98,77,98,76,97,76,95,78,95,78,97,77,97,77,96,32,80,77,82,78,32,81,77,82,79,0,71,93,76,70,76,91,32,77,71,77,90,32,73,70,78,70,78,91,32,87,78,78,87,32,82,83,89,91,32,82,84,88,91,32,81,84,87,91,32,84,77,91,77,32,73,91,81,91,32,84,91,91,91,32,74,70,76,71,32,75,70,76,72,32,85,77,87,78,32,90,77,87,78,32,76,90,74,91,32,76,89,75,91,32,78,89,79,91,32,78,90,80,91,32,87,89,85,91,32,86,89,90,91,0,76,88,81,70,81,91,32,82,71,82,90,32,78,70,83,70,83,91,32,78,91,86,91,32,79,70,81,71,32,80,70,81,72,32,81,90,79,91,32,81,89,80,91,32,83,89,84,91,32,83,90,85,91,0,65,99,70,77,70,91,32,71,78,71,90,32,67,77,72,77,72,91,32,72,81,73,79,74,78,76,77,79,77,81,78,82,79,83,82,83,91,32,81,79,82,82,82,90,32,79,77,80,78,81,81,81,91,32,83,81,84,79,85,78,87,77,90,77,92,78,93,79,94,82,94,91,32,92,79,93,82,93,90,32,90,77,91,78,92,81,92,91,32,67,91,75,91,32,78,91,86,91,32,89,91,97,91,32,68,77,70,78,32,69,77,70,79,32,70,90,68,91,32,70,89,69,91,32,72,89,73,91,32,72,90,74,91,32,81,90,79,91,32,81,89,80,91,32,83,89,84,91,32,83,90,85,91,32,92,90,90,91,32,92,89,91,91,32,94,89,95,91,32,94,90,96,91,0,71,94,76,77,76,91,32,77,78,77,90,32,73,77,78,77,78,91,32,78,81,79,79,80,78,82,77,85,77,87,78,88,79,89,82,89,91,32,87,79,88,82,88,90,32,85,77,86,78,87,81,87,91,32,73,91,81,91,32,84,91,92,91,32,74,77,76,78,32,75,77,76,79,32,76,90,74,91,32,76,89,75,91,32,78,89,79,91,32,78,90,80,91,32,87,90,85,91,32,87,89,86,91,32,89,89,90,91,32,89,90,91,91,0,72,92,81,77,78,78,76,80,75,83,75,85,76,88,78,90,81,91,83,91,86,90,88,88,89,85,89,83,88,80,86,78,83,77,81,77,32,77,80,76,82,76,86,77,88,32,87,88,88,86,88,82,87,80,32,81,77,79,78,78,79,77,82,77,86,78,89,79,90,81,91,32,83,91,85,90,86,89,87,86,87,82,86,79,85,78,83,77,0,71,92,76,77,76,98,32,77,78,77,97,32,73,77,78,77,78,98,32,78,80,79,78,81,77,83,77,86,78,88,80,89,83,89,85,88,88,86,90,83,91,81,91,79,90,78,88,32,87,80,88,82,88,86,87,88,32,83,77,85,78,86,79,87,82,87,86,86,89,85,90,83,91,32,73,98,81,98,32,74,77,76,78,32,75,77,76,79,32,76,97,74,98,32,76,96,75,98,32,78,96,79,98,32,78,97,80,98,0,72,92,86,78,86,98,32,87,79,87,97,32,85,78,87,78,88,77,88,98,32,86,80,85,78,83,77,81,77,78,78,76,80,75,83,75,85,76,88,78,90,81,91,83,91,85,90,86,88,32,77,80,76,82,76,86,77,88,32,81,77,79,78,78,79,77,82,77,86,78,89,79,90,81,91,32,83,98,91,98,32,86,97,84,98,32,86,96,85,98,32,88,96,89,98,32,88,97,90,98,0,73,90,78,77,78,91,32,79,78,79,90,32,75,77,80,77,80,91,32,87,79,87,78,86,78,86,80,88,80,88,78,87,77,85,77,83,78,81,80,80,83,32,75,91,83,91,32,76,77,78,78,32,77,77,78,79,32,78,90,76,91,32,78,89,77,91,32,80,89,81,91,32,80,90,82,91,0,74,91,87,79,88,77,88,81,87,79,86,78,84,77,80,77,78,78,77,79,77,81,78,83,80,84,85,85,87,86,88,89,32,78,78,77,81,32,78,82,80,83,85,84,87,85,32,88,86,87,90,32,77,79,78,81,80,82,85,83,87,84,88,86,88,89,87,90,85,91,81,91,79,90,78,89,77,87,77,91,78,89,0,75,90,80,72,80,86,81,89,82,90,84,91,86,91,88,90,89,88,32,81,72,81,87,82,89,32,80,72,82,70,82,87,83,90,84,91,32,77,77,86,77,0,71,94,76,77,76,86,77,89,78,90,80,91,83,91,85,90,86,89,87,87,32,77,78,77,87,78,89,32,73,77,78,77,78,87,79,90,80,91,32,87,77,87,91,92,91,32,88,78,88,90,32,84,77,89,77,89,91,32,74,77,76,78,32,75,77,76,79,32,89,89,90,91,32,89,90,91,91,0,73,91,76,77,82,91,32,77,77,82,89,32,78,77,83,89,32,88,78,83,89,82,91,32,74,77,81,77,32,84,77,90,77,32,75,77,78,79,32,80,77,78,78,32,86,77,88,78,32,89,77,88,78,0,70,94,74,77,78,91,32,75,77,78,88,32,76,77,79,88,32,82,77,79,88,78,91,32,82,77,86,91,32,83,77,86,88,32,82,77,84,77,87,88,32,90,78,87,88,86,91,32,71,77,79,77,32,87,77,93,77,32,72,77,75,78,32,78,77,76,78,32,88,77,90,78,32,92,77,90,78,0,72,92,76,77,86,91,32,77,77,87,91,32,78,77,88,91,32,87,78,77,90,32,74,77,81,77,32,84,77,90,77,32,74,91,80,91,32,83,91,90,91,32,75,77,77,78,32,80,77,78,78,32,85,77,87,78,32,89,77,87,78,32,77,90,75,91,32,77,90,79,91,32,86,90,84,91,32,87,90,89,91,0,72,91,76,77,82,91,32,77,77,82,89,32,78,77,83,89,32,88,78,83,89,80,95,78,97,76,98,74,98,73,97,73,95,75,95,75,97,74,97,74,96,32,74,77,81,77,32,84,77,90,77,32,75,77,78,79,32,80,77,78,78,32,86,77,88,78,32,89,77,88,78,0,73,91,86,77,76,91,32,87,77,77,91,32,88,77,78,91,32,88,77,76,77,76,81,32,76,91,88,91,88,87,32,77,77,76,81,32,78,77,76,80,32,79,77,76,79,32,81,77,76,78,32,83,91,88,90,32,85,91,88,89,32,86,91,88,88,32,87,91,88,87,0,71,94,91,77,90,81,89,84,87,88,85,90,82,91,80,91,77,90,75,88,74,85,74,83,75,80,77,78,80,77,82,77,85,78,86,79,87,81,89,88,90,90,91,91,92,91,32,90,77,89,81,88,84,87,86,85,89,84,90,82,91,32,76,88,75,86,75,82,76,80,32,80,91,78,90,77,89,76,86,76,82,77,79,78,78,80,77,32,82,77,84,78,85,79,86,81,88,88,89,90,91,91,0,71,92,81,70,78,71,77,72,76,74,75,78,75,98,32,78,72,77,74,76,78,76,97,32,81,70,79,71,78,73,77,78,77,98,32,81,70,83,70,86,71,87,72,88,74,88,76,87,78,86,79,83,80,32,80,80,84,80,87,81,88,82,89,84,89,87,88,89,87,90,84,91,81,91,79,90,78,89,77,87,32,86,72,87,74,87,76,86,78,32,87,82,88,84,88,87,87,89,32,83,70,85,71,86,73,86,77,85,79,83,80,32,84,80,86,81,87,83,87,88,86,90,84,91,32,75,98,77,98,0,70,92,72,82,73,78,75,77,77,77,79,78,80,79,81,82,82,89,83,98,32,73,79,75,78,77,78,79,79,80,80,32,72,82,73,80,75,79,77,79,79,80,80,81,81,84,82,89,82,97,32,88,77,87,80,86,82,84,85,83,87,82,91,81,98,32,89,77,87,81,32,90,77,89,79,87,82,84,86,83,88,82,91,32,88,77,90,77,32,81,98,83,98,0,72,92,83,77,81,77,78,78,76,80,75,83,75,85,76,88,78,90,81,91,83,91,86,90,88,88,89,85,89,83,88,80,86,78,83,77,80,76,78,75,77,74,77,72,78,71,80,70,83,70,87,72,32,77,80,76,83,76,85,77,88,32,87,88,88,85,88,83,87,80,32,81,77,79,78,78,79,77,82,77,86,78,89,79,90,81,91,32,83,91,85,90,86,89,87,86,87,82,86,79,85,78,79,75,78,74,78,73,79,72,81,71,84,71,87,72,0,73,91,83,77,85,78,86,79,87,79,86,78,83,77,81,77,77,78,76,79,76,81,77,82,81,83,32,83,83,81,83,77,84,75,86,75,88,77,90,80,91,83,91,86,90,88,88,87,88,86,90,32,78,78,77,79,77,81,78,82,32,77,85,76,86,76,88,77,89,32,81,77,79,78,78,79,78,81,79,82,81,83,32,81,83,78,84,77,86,77,88,78,90,80,91,0,73,91,81,72,82,71,82,70,81,70,80,71,80,73,81,74,84,75,88,75,89,75,89,74,88,74,85,75,83,76,80,78,78,80,77,82,76,85,76,87,77,89,78,90,80,91,83,92,85,93,86,95,86,97,85,98,83,98,82,97,82,96,83,96,83,97,32,80,79,79,80,78,82,77,85,77,87,78,89,79,90,32,85,75,82,77,81,78,79,81,78,84,78,87,79,89,81,91,83,92,0,71,93,74,77,75,78,76,80,76,91,32,75,77,76,78,77,80,77,90,32,72,80,73,78,74,77,76,77,77,78,78,80,78,91,32,85,77,86,78,87,81,87,98,32,87,79,88,82,88,97,32,78,81,79,79,80,78,82,77,85,77,87,78,88,79,89,82,89,98,32,76,91,78,91,32,87,98,89,98,0,70,93,73,77,74,78,75,80,75,84,76,87,77,89,78,90,81,91,83,91,86,90,87,89,88,87,89,82,89,79,88,74,86,71,84,70,82,70,80,71,79,73,79,75,80,77,83,79,86,80,91,81,32,74,77,75,78,76,80,76,84,77,87,78,89,32,86,89,87,87,88,82,88,79,87,74,86,72,84,71,32,71,80,72,78,73,77,75,77,76,78,77,80,77,84,78,88,79,90,81,91,32,83,91,85,90,86,88,87,83,87,78,86,74,85,72,83,71,81,71,79,73,0,75,90,78,77,79,78,80,80,80,88,81,90,83,91,85,91,87,90,88,88,32,79,77,80,78,81,80,81,88,82,90,32,76,80,77,78,78,77,80,77,81,78,82,80,82,88,83,90,84,91,0,71,93,74,77,75,78,76,80,76,91,32,75,77,76,78,77,80,77,90,32,72,80,73,78,74,77,76,77,77,78,78,80,78,91,32,83,79,85,78,87,78,88,79,88,80,90,80,90,78,88,77,86,77,84,78,81,81,79,84,78,87,32,88,78,89,79,89,80,32,80,83,81,83,87,89,89,89,90,88,32,84,87,87,90,89,90,32,82,84,85,90,86,91,88,91,89,90,90,88,32,76,91,78,91,0,72,92,74,71,75,70,77,70,79,71,81,73,88,88,89,90,90,91,32,79,72,80,73,87,88,88,89,32,77,70,78,71,79,73,86,88,88,90,90,91,91,91,32,82,77,74,90,74,91,75,91,82,77,0,71,93,75,77,75,98,32,76,78,76,97,32,77,77,77,98,32,86,77,86,88,87,90,88,91,90,91,91,90,92,88,32,87,78,87,88,88,90,89,91,32,88,77,88,88,89,90,90,91,32,77,88,78,90,80,91,82,91,84,90,85,89,86,87,32,75,77,77,77,32,86,77,88,77,32,75,98,77,98,0,71,93,74,77,75,78,76,80,77,84,78,91,32,75,77,76,78,77,80,78,84,79,90,32,72,80,73,78,74,77,76,77,77,78,78,80,79,84,80,90,32,86,86,87,84,88,81,88,77,89,77,90,78,89,81,88,83,86,86,84,88,81,90,78,91,32,88,82,89,79,89,77,0,74,90,80,71,83,70,82,70,80,71,79,72,79,73,80,74,83,75,86,76,87,75,86,74,83,75,80,76,78,77,77,79,77,81,78,82,80,83,83,84,86,85,87,84,86,83,83,84,79,85,77,86,76,88,76,90,77,91,79,92,83,93,85,94,86,95,86,97,84,98,82,98,79,97,80,97,82,98,32,79,77,78,79,78,81,79,82,32,78,86,77,88,77,90,78,91,32,86,75,83,75,81,76,80,77,79,79,79,81,81,83,83,84,32,86,84,83,84,80,85,79,86,78,88,78,90,80,92,83,93,0,71,93,73,81,74,79,75,78,77,77,91,77,32,75,79,77,78,90,78,32,73,81,74,80,76,79,91,79,32,79,79,78,90,77,91,76,90,77,87,79,79,32,85,79,86,90,87,91,88,90,87,87,85,79,32,91,77,91,79,32,79,79,77,90,32,85,79,87,90,0,71,92,81,77,78,78,76,80,75,84,75,98,32,77,80,76,84,76,97,32,81,77,79,78,78,79,77,83,77,98,32,77,87,78,89,79,90,81,91,83,91,86,90,88,88,89,85,89,83,88,80,86,78,83,77,81,77,32,87,88,88,86,88,82,87,80,32,83,91,85,90,86,89,87,86,87,82,86,79,85,78,83,77,32,75,98,77,98,0,71,93,80,77,77,78,75,80,74,83,74,85,75,88,77,90,80,91,82,91,85,90,87,88,88,85,88,83,87,80,85,78,82,77,32,76,80,75,82,75,86,76,88,32,86,88,87,86,87,82,86,80,32,80,77,78,78,77,79,76,82,76,86,77,89,78,90,80,91,32,82,91,84,90,85,89,86,86,86,82,85,79,84,78,82,77,32,82,77,90,79,91,78,91,77,80,77,32,82,77,90,78,0,72,92,74,81,75,79,76,78,78,77,90,77,32,76,79,78,78,89,78,32,74,81,75,80,77,79,90,79,32,82,79,81,90,82,91,83,90,82,79,32,90,77,90,79,32,82,79,82,90,0,71,92,74,77,75,78,76,80,76,85,77,88,79,90,81,91,83,91,85,90,87,88,88,86,89,82,89,78,88,77,87,77,88,80,88,83,87,87,85,90,32,75,77,76,78,77,80,77,85,78,88,32,87,77,88,78,88,79,32,72,80,73,78,74,77,76,77,77,78,78,80,78,86,79,89,81,91,0,71,93,82,81,81,78,80,77,78,77,76,78,75,79,74,82,74,85,75,88,77,90,80,91,84,91,87,90,89,88,90,85,90,82,89,79,88,78,86,77,84,77,83,78,82,81,32,76,79,75,82,75,85,76,88,32,88,88,89,85,89,82,88,79,32,78,77,77,78,76,81,76,86,77,89,78,90,80,91,32,84,91,86,90,87,89,88,86,88,81,87,78,86,77,32,82,81,81,98,32,82,81,82,97,32,82,81,83,98,32,81,98,83,98,0,72,92,76,77,77,78,78,80,84,95,86,97,88,98,90,98,91,97,32,78,79,79,80,85,95,86,96,32,73,78,74,77,76,77,78,78,80,80,86,95,87,97,88,98,32,86,83,88,80,89,77,90,77,89,79,86,83,78,92,75,96,74,98,75,98,76,95,78,92,0,70,93,72,78,73,78,74,80,74,85,75,88,77,90,80,91,84,91,86,90,88,88,89,86,90,82,90,78,89,77,88,77,89,80,89,83,88,87,86,90,32,74,78,75,80,75,85,76,88,32,88,77,89,78,89,79,32,71,80,72,78,73,77,74,77,75,78,76,80,76,86,77,89,78,90,80,91,32,81,70,83,98,32,82,71,82,97,32,83,70,81,98,32,81,70,83,70,32,81,98,83,98,0,70,94,78,77,76,78,74,80,73,83,73,87,74,89,75,90,77,91,79,91,81,90,82,89,83,87,83,84,82,83,81,84,81,87,82,89,83,90,85,91,87,91,89,90,90,89,91,87,91,83,90,80,88,78,86,77,32,75,80,74,83,74,87,75,89,32,82,84,82,88,32,89,89,90,87,90,83,89,80,32,78,77,76,79,75,82,75,87,76,90,77,91,32,87,91,88,90,89,87,89,82,88,79,86,77,0,71,93,87,77,85,84,85,88,86,90,87,91,89,91,91,89,92,87,32,88,77,86,84,86,90,32,87,77,89,77,87,84,86,88,32,85,84,85,81,84,78,82,77,80,77,77,78,75,81,74,84,74,86,75,89,76,90,78,91,80,91,82,90,83,89,84,87,85,84,32,78,78,76,81,75,84,75,87,76,89,32,80,77,78,79,77,81,76,84,76,87,77,90,78,91,0,73,92,80,70,78,77,77,83,77,87,78,89,79,90,81,91,83,91,86,90,88,87,89,84,89,82,88,79,87,78,85,77,83,77,81,78,80,79,79,81,78,84,32,81,70,79,77,78,81,78,87,79,90,32,86,89,87,87,88,84,88,81,87,79,32,77,70,82,70,80,77,78,84,32,83,91,85,89,86,87,87,84,87,81,86,78,85,77,32,78,70,81,71,32,79,70,80,72,0,73,91,87,81,87,80,86,80,86,82,88,82,88,80,87,78,85,77,82,77,79,78,77,81,76,84,76,86,77,89,78,90,80,91,82,91,85,90,87,87,32,79,79,78,81,77,84,77,87,78,89,32,82,77,80,79,79,81,78,84,78,87,79,90,80,91,0,71,93,89,70,86,81,85,85,85,88,86,90,87,91,89,91,91,89,92,87,32,90,70,87,81,86,85,86,90,32,86,70,91,70,87,84,86,88,32,85,84,85,81,84,78,82,77,80,77,77,78,75,81,74,84,74,86,75,89,76,90,78,91,80,91,82,90,83,89,84,87,85,84,32,77,79,76,81,75,84,75,87,76,89,32,80,77,78,79,77,81,76,84,76,87,77,90,78,91,32,87,70,90,71,32,88,70,89,72,0,73,91,77,86,81,85,84,84,87,82,88,80,87,78,85,77,82,77,79,78,77,81,76,84,76,86,77,89,78,90,80,91,82,91,85,90,87,88,32,79,79,78,81,77,84,77,87,78,89,32,82,77,80,79,79,81,78,84,78,87,79,90,80,91,0,74,90,90,72,90,71,89,71,89,73,91,73,91,71,90,70,88,70,86,71,84,73,83,75,82,78,81,82,79,91,78,94,77,96,75,98,32,84,74,83,77,82,82,80,91,79,94,32,88,70,86,72,85,74,84,77,83,82,81,90,80,93,79,95,77,97,75,98,73,98,72,97,72,95,74,95,74,97,73,97,73,96,32,78,77,89,77,0,72,93,88,77,84,91,83,94,81,97,79,98,32,89,77,85,91,83,95,32,88,77,90,77,86,91,84,95,82,97,79,98,76,98,74,97,73,96,73,94,75,94,75,96,74,96,74,95,32,86,84,86,81,85,78,83,77,81,77,78,78,76,81,75,84,75,86,76,89,77,90,79,91,81,91,83,90,84,89,85,87,86,84,32,78,79,77,81,76,84,76,87,77,89,32,81,77,79,79,78,81,77,84,77,87,78,90,79,91,0,71,93,79,70,73,91,75,91,32,80,70,74,91,32,76,70,81,70,75,91,32,77,84,79,80,81,78,83,77,85,77,87,78,88,80,88,83,86,88,32,87,78,87,82,86,86,86,90,32,87,80,85,85,85,88,86,90,87,91,89,91,91,89,92,87,32,77,70,80,71,32,78,70,79,72,0,75,88,84,70,84,72,86,72,86,70,84,70,32,85,70,85,72,32,84,71,86,71,32,76,81,77,79,79,77,81,77,82,78,83,80,83,83,81,88,32,82,78,82,82,81,86,81,90,32,82,80,80,85,80,88,81,90,82,91,84,91,86,89,87,87,0,75,88,85,70,85,72,87,72,87,70,85,70,32,86,70,86,72,32,85,71,87,71,32,77,81,78,79,80,77,82,77,83,78,84,80,84,83,82,90,81,93,80,95,78,97,76,98,74,98,73,97,73,95,75,95,75,97,74,97,74,96,32,83,78,83,83,81,90,80,93,79,95,32,83,80,82,84,80,91,79,94,78,96,76,98,0,71,93,79,70,73,91,75,91,32,80,70,74,91,32,76,70,81,70,75,91,32,89,79,89,78,88,78,88,80,90,80,90,78,89,77,87,77,85,78,81,82,79,83,32,77,83,79,83,81,84,82,85,84,89,85,90,87,90,32,81,85,83,89,84,90,32,79,83,80,84,82,90,83,91,85,91,87,90,89,87,32,77,70,80,71,32,78,70,79,72,0,76,88,84,70,81,81,80,85,80,88,81,90,82,91,84,91,86,89,87,87,32,85,70,82,81,81,85,81,90,32,81,70,86,70,82,84,81,88,32,82,70,85,71,32,83,70,84,72,0,64,99,65,81,66,79,68,77,70,77,71,78,72,80,72,83,70,91,32,71,78,71,83,69,91,32,71,80,70,84,68,91,70,91,32,72,83,74,80,76,78,78,77,80,77,82,78,83,80,83,83,81,91,32,82,78,82,83,80,91,32,82,80,81,84,79,91,81,91,32,83,83,85,80,87,78,89,77,91,77,93,78,94,80,94,83,92,88,32,93,78,93,82,92,86,92,90,32,93,80,91,85,91,88,92,90,93,91,95,91,97,89,98,87,0,70,94,71,81,72,79,74,77,76,77,77,78,78,80,78,83,76,91,32,77,78,77,83,75,91,32,77,80,76,84,74,91,76,91,32,78,83,80,80,82,78,84,77,86,77,88,78,89,80,89,83,87,88,32,88,78,88,82,87,86,87,90,32,88,80,86,85,86,88,87,90,88,91,90,91,92,89,93,87,0,72,92,81,77,78,78,76,81,75,84,75,86,76,89,77,90,80,91,83,91,86,90,88,87,89,84,89,82,88,79,87,78,84,77,81,77,32,78,79,77,81,76,84,76,87,77,89,32,86,89,87,87,88,84,88,81,87,79,32,81,77,79,79,78,81,77,84,77,87,78,90,80,91,32,83,91,85,89,86,87,87,84,87,81,86,78,84,77,0,71,93,72,81,73,79,75,77,77,77,78,78,79,80,79,83,78,87,75,98,32,78,78,78,83,77,87,74,98,32,78,80,77,84,73,98,32,79,84,80,81,81,79,82,78,84,77,86,77,88,78,89,79,90,82,90,84,89,87,87,90,84,91,82,91,80,90,79,87,79,84,32,88,79,89,81,89,84,88,87,87,89,32,86,77,87,78,88,81,88,84,87,87,86,89,84,91,32,70,98,78,98,32,74,97,71,98,32,74,96,72,98,32,75,96,76,98,32,74,97,77,98,0,71,92,87,77,81,98,32,88,77,82,98,32,87,77,89,77,83,98,32,85,84,85,81,84,78,82,77,80,77,77,78,75,81,74,84,74,86,75,89,76,90,78,91,80,91,82,90,83,89,84,87,85,84,32,77,79,76,81,75,84,75,87,76,89,32,80,77,78,79,77,81,76,84,76,87,77,90,78,91,32,78,98,86,98,32,82,97,79,98,32,82,96,80,98,32,83,96,84,98,32,82,97,85,98,0,73,91,74,81,75,79,77,77,79,77,80,78,81,80,81,84,79,91,32,80,78,80,84,78,91,32,80,80,79,84,77,91,79,91,32,89,79,89,78,88,78,88,80,90,80,90,78,89,77,87,77,85,78,83,80,81,84,0,74,91,88,80,88,79,87,79,87,81,89,81,89,79,88,78,85,77,82,77,79,78,78,79,78,81,79,83,81,84,84,85,86,86,87,88,32,79,78,78,81,32,79,82,81,83,84,84,86,85,32,87,86,86,90,32,78,79,79,81,81,82,84,83,86,84,87,86,87,88,86,90,83,91,80,91,77,90,76,89,76,87,78,87,78,89,77,89,77,88,0,75,89,84,70,81,81,80,85,80,88,81,90,82,91,84,91,86,89,87,87,32,85,70,82,81,81,85,81,90,32,84,70,86,70,82,84,81,88,32,78,77,88,77,0,70,94,71,81,72,79,74,77,76,77,77,78,78,80,78,83,76,88,32,77,78,77,82,76,86,76,90,32,77,80,75,85,75,88,76,90,78,91,80,91,82,90,84,88,86,85,32,88,77,86,85,86,88,87,90,88,91,90,91,92,89,93,87,32,89,77,87,85,87,90,32,88,77,90,77,88,84,87,88,0,72,92,73,81,74,79,76,77,78,77,79,78,80,80,80,83,78,88,32,79,78,79,82,78,86,78,90,32,79,80,77,85,77,88,78,90,80,91,82,91,84,90,86,88,88,85,89,81,89,77,88,77,88,78,89,80,0,67,97,68,81,69,79,71,77,73,77,74,78,75,80,75,83,73,88,32,74,78,74,82,73,86,73,90,32,74,80,72,85,72,88,73,90,75,91,77,91,79,90,81,88,82,85,32,84,77,82,85,82,88,83,90,85,91,87,91,89,90,91,88,93,85,94,81,94,77,93,77,93,78,94,80,32,85,77,83,85,83,90,32,84,77,86,77,84,84,83,88,0,71,93,74,81,76,78,78,77,80,77,82,78,83,80,83,82,32,80,77,81,78,81,82,80,86,79,88,77,90,75,91,73,91,72,90,72,88,74,88,74,90,73,90,73,89,32,82,79,82,82,81,86,81,89,32,90,79,90,78,89,78,89,80,91,80,91,78,90,77,88,77,86,78,84,80,83,82,82,86,82,90,83,91,32,80,86,80,88,81,90,83,91,85,91,87,90,89,87,0,71,93,72,81,73,79,75,77,77,77,78,78,79,80,79,83,77,88,32,78,78,78,82,77,86,77,90,32,78,80,76,85,76,88,77,90,79,91,81,91,83,90,85,88,87,84,32,89,77,85,91,84,94,82,97,80,98,32,90,77,86,91,84,95,32,89,77,91,77,87,91,85,95,83,97,80,98,77,98,75,97,74,96,74,94,76,94,76,96,75,96,75,95,0,72,92,89,77,88,79,86,81,78,87,76,89,75,91,32,88,79,79,79,77,80,76,82,32,86,79,82,78,79,78,78,79,32,86,79,82,77,79,77,77,79,76,82,32,76,89,85,89,87,88,88,86,32,78,89,82,90,85,90,86,89,32,78,89,82,91,85,91,87,89,88,86,0,72,92,87,81,86,79,85,78,83,77,81,77,78,78,76,80,75,83,75,85,76,88,78,90,81,91,83,91,86,90,87,89,88,87,89,83,89,78,88,74,87,72,86,71,83,70,81,70,78,71,77,72,78,72,79,71,81,70,32,77,80,76,82,76,86,77,88,32,86,89,87,87,88,83,88,78,87,74,86,72,32,81,77,79,78,78,79,77,82,77,86,78,89,79,90,81,91,32,83,91,85,90,86,88,87,84,87,77,86,73,85,71,83,70,0,73,91,85,77,87,78,88,79,89,79,88,78,85,77,82,77,79,78,77,80,76,83,76,85,77,88,79,90,82,91,85,91,88,90,89,89,88,89,87,90,85,91,32,78,80,77,83,77,85,78,88,32,82,77,80,78,79,79,78,82,78,86,79,89,80,90,82,91,32,78,84,84,85,85,84,84,83,78,84,32,78,84,84,84,0,72,92,81,70,78,71,76,74,75,79,75,82,76,87,78,90,81,91,83,91,86,90,88,87,89,82,89,79,88,74,86,71,83,70,81,70,32,78,72,77,74,76,78,76,83,77,87,78,89,32,86,89,87,87,88,83,88,78,87,74,86,72,32,81,70,79,71,78,73,77,78,77,83,78,88,79,90,81,91,32,83,91,85,90,86,88,87,83,87,78,86,73,85,71,83,70,32,76,80,88,81,32,76,81,88,80,0,71,93,80,77,77,78,75,80,74,83,74,85,75,88,77,90,80,91,84,91,87,90,89,88,90,85,90,83,89,80,87,78,84,77,80,77,32,76,80,75,83,75,85,76,88,32,88,88,89,85,89,83,88,80,32,80,77,78,78,77,79,76,82,76,86,77,89,78,90,80,91,84,91,86,90,87,89,88,86,88,82,87,79,86,78,84,77,32,81,70,83,98,32,82,71,82,97,32,83,70,81,98,32,81,70,83,70,32,81,98,83,98,0,72,92,84,77,86,78,88,80,89,80,89,79,87,78,84,77,80,77,77,78,76,79,75,81,75,83,76,85,78,87,80,88,82,89,83,90,84,92,84,94,83,95,81,95,79,94,80,94,81,95,32,77,79,76,81,76,83,77,85,79,87,32,80,77,78,78,77,80,77,83,78,85,82,89,32,89,80,88,79,0,72,92,81,70,78,71,76,74,75,79,75,82,76,87,78,90,81,91,83,91,86,90,88,87,89,82,89,79,88,74,86,71,83,70,81,70,32,78,72,77,74,76,78,76,83,77,87,78,89,32,86,89,87,87,88,83,88,78,87,74,86,72,32,81,70,79,71,78,73,77,78,77,83,78,88,79,90,81,91,32,83,91,85,90,86,88,87,83,87,78,86,73,85,71,83,70,0,72,92,81,72,81,91,32,82,72,82,90,32,83,70,83,91,32,83,70,80,73,78,74,32,77,91,87,91,32,81,90,79,91,32,81,89,80,91,32,83,89,84,91,32,83,90,85,91,0,72,92,76,74,76,75,77,75,77,74,76,74,32,76,73,77,73,78,74,78,75,77,76,76,76,75,75,75,74,76,72,77,71,80,70,84,70,87,71,88,72,89,74,89,76,88,78,85,80,80,82,78,83,76,85,75,88,75,91,32,87,72,88,74,88,76,87,78,32,84,70,86,71,87,74,87,76,86,78,84,80,80,82,32,75,89,76,88,78,88,83,89,87,89,89,88,32,78,88,83,90,87,90,88,89,32,78,88,83,91,87,91,88,90,89,88,89,86,0,72,92,76,74,76,75,77,75,77,74,76,74,32,76,73,77,73,78,74,78,75,77,76,76,76,75,75,75,74,76,72,77,71,80,70,84,70,87,71,88,73,88,76,87,78,84,79,32,86,71,87,73,87,76,86,78,32,83,70,85,71,86,73,86,76,85,78,83,79,32,81,79,84,79,86,80,88,82,89,84,89,87,88,89,87,90,84,91,80,91,77,90,76,89,75,87,75,86,76,85,77,85,78,86,78,87,77,88,76,88,32,87,82,88,84,88,87,87,89,32,83,79,85,80,86,81,87,84,87,87,86,90,84,91,32,76,86,76,87,77,87,77,86,76,86,0,72,92,83,73,83,91,32,84,72,84,90,32,85,70,85,91,32,85,70,74,85,90,85,32,80,91,88,91,32,83,90,81,91,32,83,89,82,91,32,85,89,86,91,32,85,90,87,91,0,72,92,77,70,75,80,77,78,80,77,83,77,86,78,88,80,89,83,89,85,88,88,86,90,83,91,80,91,77,90,76,89,75,87,75,86,76,85,77,85,78,86,78,87,77,88,76,88,32,87,80,88,82,88,86,87,88,32,83,77,85,78,86,79,87,82,87,86,86,89,85,90,83,91,32,76,86,76,87,77,87,77,86,76,86,32,77,70,87,70,32,77,71,85,71,32,77,72,81,72,85,71,87,70,0,72,92,86,73,86,74,87,74,87,73,86,73,32,87,72,86,72,85,73,85,74,86,75,87,75,88,74,88,73,87,71,85,70,82,70,79,71,77,73,76,75,75,79,75,85,76,88,78,90,81,91,83,91,86,90,88,88,89,85,89,84,88,81,86,79,83,78,81,78,79,79,78,80,77,82,32,78,73,77,75,76,79,76,85,77,88,78,89,32,87,88,88,86,88,83,87,81,32,82,70,80,71,79,72,78,74,77,78,77,85,78,88,79,90,81,91,32,83,91,85,90,86,89,87,86,87,83,86,80,85,79,83,78,0,72,92,75,70,75,76,32,89,70,89,73,88,76,84,81,83,83,82,87,82,91,32,83,82,82,84,81,87,81,91,32,88,76,83,81,81,84,80,87,80,91,82,91,32,75,74,76,72,78,70,80,70,85,73,87,73,88,72,89,70,32,77,72,78,71,80,71,82,72,32,75,74,76,73,78,72,80,72,85,73,0,72,92,80,70,77,71,76,73,76,76,77,78,80,79,84,79,87,78,88,76,88,73,87,71,84,70,80,70,32,78,71,77,73,77,76,78,78,32,86,78,87,76,87,73,86,71,32,80,70,79,71,78,73,78,76,79,78,80,79,32,84,79,85,78,86,76,86,73,85,71,84,70,32,80,79,77,80,76,81,75,83,75,87,76,89,77,90,80,91,84,91,87,90,88,89,89,87,89,83,88,81,87,80,84,79,32,77,81,76,83,76,87,77,89,32,87,89,88,87,88,83,87,81,32,80,79,78,80,77,83,77,87,78,90,80,91,32,84,91,86,90,87,87,87,83,86,80,84,79,0,72,92,77,87,77,88,78,88,78,87,77,87,32,87,79,86,81,85,82,83,83,81,83,78,82,76,80,75,77,75,76,76,73,78,71,81,70,83,70,86,71,88,73,89,76,89,82,88,86,87,88,85,90,82,91,79,91,77,90,76,88,76,87,77,86,78,86,79,87,79,88,78,89,77,89,32,77,80,76,78,76,75,77,73,32,86,72,87,73,88,76,88,82,87,86,86,88,32,81,83,79,82,78,81,77,78,77,75,78,72,79,71,81,70,32,83,70,85,71,86,73,87,76,87,83,86,87,85,89,84,90,82,91,0,77,88,82,70,81,71,81,73,82,81,32,82,70,82,84,83,84,32,82,70,83,70,83,84,32,83,70,84,71,84,73,83,81,32,82,88,81,89,81,90,82,91,83,91,84,90,84,89,83,88,82,88,32,82,89,82,90,83,90,83,89,82,89,0,73,92,77,75,77,74,78,74,78,76,76,76,76,74,77,72,78,71,80,70,84,70,87,71,88,72,89,74,89,76,88,78,87,79,83,81,32,87,72,88,73,88,77,87,78,32,84,70,86,71,87,73,87,77,86,79,85,80,32,82,81,82,84,83,84,83,81,82,81,32,82,88,81,89,81,90,82,91,83,91,84,90,84,89,83,88,82,88,32,82,89,82,90,83,90,83,89,82,89,0,69,95,91,79,91,78,90,78,90,80,92,80,92,78,91,77,90,77,89,78,88,80,86,85,84,88,82,90,80,91,76,91,74,90,73,88,73,85,74,83,80,79,82,77,83,75,83,73,82,71,80,70],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+358404);allocate([78,71,77,73,77,76,78,79,80,82,84,87,87,90,89,91,91,91,92,89,92,88,32,75,90,74,88,74,85,75,83,76,82,32,82,77,83,73,32,83,75,82,71,32,78,71,77,75,32,78,78,80,81,84,86,87,89,89,90,32,78,91,76,90,75,88,75,85,76,83,80,79,32,77,73,78,77,81,81,85,86,88,89,90,90,91,90,92,89,0,72,92,80,66,80,95,32,84,66,84,95,32,88,75,88,74,87,74,87,76,89,76,89,74,88,72,87,71,84,70,80,70,77,71,75,73,75,76,76,78,79,80,85,82,87,83,88,85,88,88,87,90,32,76,76,77,78,79,79,85,81,87,82,88,84,32,77,71,76,73,76,75,77,77,79,78,85,80,88,82,89,84,89,87,88,89,87,90,84,91,80,91,77,90,76,89,75,87,75,85,77,85,77,87,76,87,76,86,0,75,89,85,66,83,68,81,71,79,75,78,80,78,84,79,89,81,93,83,96,85,98,32,81,72,80,75,79,79,79,85,80,89,81,92,32,83,68,82,70,81,73,80,79,80,85,81,91,82,94,83,96,0,75,89,79,66,81,68,83,71,85,75,86,80,86,84,85,89,83,93,81,96,79,98,32,83,72,84,75,85,79,85,85,84,89,83,92,32,81,68,82,70,83,73,84,79,84,85,83,91,82,94,81,96,0,70,94,91,70,89,71,86,72,83,72,80,71,78,70,76,70,74,71,73,73,73,75,75,77,77,77,79,76,80,74,80,72,78,70,32,91,70,72,91,32,91,70,73,91,32,91,70,74,91,32,89,84,87,84,85,85,84,87,84,89,86,91,88,91,90,90,91,88,91,86,89,84,32,79,71,76,70,73,73,74,76,77,77,80,74,79,71,32,78,70,74,71,73,75,32,75,77,79,76,80,72,32,90,85,87,84,84,87,85,90,88,91,91,88,90,85,32,89,84,85,85,84,89,32,86,91,90,90,91,86,32,72,91,74,91,0,69,96,86,78,85,76,83,75,81,75,79,76,78,77,77,79,77,82,78,84,79,85,81,86,83,86,85,85,86,83,32,79,77,78,79,78,82,79,84,32,81,75,80,76,79,79,79,82,80,85,81,86,32,86,75,86,83,87,85,89,86,90,86,92,85,93,82,93,79,92,76,91,74,89,72,87,71,84,70,81,70,78,71,76,72,74,74,73,76,72,79,72,82,73,85,74,87,76,89,78,90,81,91,84,91,87,90,89,89,88,89,87,90,32,87,76,87,83,88,85,32,86,75,88,75,88,83,89,85,90,86,0,72,93,84,70,81,71,79,73,77,76,76,79,75,83,75,86,76,89,77,90,79,91,81,91,84,90,86,88,88,85,89,82,90,78,90,75,89,72,88,71,86,70,84,70,32,81,72,79,74,78,76,77,79,76,83,76,87,77,89,32,84,89,86,87,87,85,88,82,89,78,89,74,88,72,32,84,70,82,71,80,74,79,76,78,79,77,83,77,88,78,90,79,91,32,81,91,83,90,85,87,86,85,87,82,88,78,88,73,87,71,86,70,0,72,93,84,74,79,91,81,91,32,87,70,85,74,80,91,32,87,70,81,91,32,87,70,84,73,81,75,79,76,32,84,74,82,75,79,76,0,72,93,79,75,79,74,80,74,80,76,78,76,78,74,79,72,80,71,83,70,86,70,89,71,90,73,90,75,89,77,87,79,77,85,75,87,73,91,32,88,71,89,73,89,75,88,77,86,79,83,81,32,86,70,87,71,88,73,88,75,87,77,85,79,77,85,32,74,89,75,88,77,88,82,89,87,89,88,88,32,77,88,82,90,87,90,32,77,88,82,91,85,91,87,90,88,88,88,87,0,72,93,79,75,79,74,80,74,80,76,78,76,78,74,79,72,80,71,83,70,86,70,89,71,90,73,90,75,89,77,88,78,86,79,83,80,32,88,71,89,73,89,75,88,77,87,78,32,86,70,87,71,88,73,88,75,87,77,85,79,83,80,32,81,80,83,80,86,81,87,82,88,84,88,87,87,89,85,90,82,91,79,91,76,90,75,89,74,87,74,85,76,85,76,87,75,87,75,86,32,86,82,87,84,87,87,86,89,32,83,80,85,81,86,83,86,87,85,89,84,90,82,91,0,72,93,87,74,82,91,84,91,32,90,70,88,74,83,91,32,90,70,84,91,32,90,70,74,85,90,85,0,72,93,81,70,76,80,32,81,70,91,70,32,81,71,89,71,32,80,72,85,72,89,71,91,70,32,76,80,77,79,80,78,83,78,86,79,87,80,88,82,88,85,87,88,85,90,81,91,78,91,76,90,75,89,74,87,74,85,76,85,76,87,75,87,75,86,32,86,80,87,82,87,85,86,88,84,90,32,83,78,85,79,86,81,86,85,85,88,83,90,81,91,0,72,93,89,74,89,73,88,73,88,75,90,75,90,73,89,71,87,70,84,70,81,71,79,73,77,76,76,79,75,83,75,86,76,89,77,90,79,91,82,91,85,90,87,88,88,86,88,83,87,81,86,80,84,79,81,79,79,80,78,81,77,83,32,80,73,78,76,77,79,76,83,76,87,77,89,32,86,88,87,86,87,83,86,81,32,84,70,82,71,80,74,79,76,78,79,77,83,77,88,78,90,79,91,32,82,91,84,90,85,89,86,86,86,82,85,80,84,79,0,72,93,78,70,76,76,32,91,70,90,73,88,76,84,81,82,84,81,87,80,91,32,82,83,80,87,79,91,32,88,76,82,82,80,85,79,87,78,91,80,91,32,77,73,80,70,82,70,87,73,32,79,71,82,71,87,73,32,77,73,79,72,82,72,87,73,89,73,90,72,91,70,0,72,93,83,70,80,71,79,72,78,74,78,77,79,79,81,80,84,80,87,79,89,78,90,76,90,73,89,71,87,70,83,70,32,85,70,80,71,32,80,72,79,74,79,78,80,79,32,79,79,82,80,32,83,80,87,79,32,88,78,89,76,89,73,88,71,32,89,71,85,70,32,83,70,81,72,80,74,80,78,81,80,32,84,80,86,79,87,78,88,76,88,72,87,70,32,81,80,77,81,75,83,74,85,74,88,75,90,78,91,82,91,86,90,87,89,88,87,88,84,87,82,86,81,84,80,32,82,80,77,81,32,78,81,76,83,75,85,75,88,76,90,32,75,90,80,91,86,90,32,86,89,87,87,87,84,86,82,32,86,81,83,80,32,81,80,79,81,77,83,76,85,76,88,77,90,78,91,32,82,91,84,90,85,89,86,87,86,83,85,81,84,80,0,72,93,88,78,87,80,86,81,84,82,81,82,79,81,78,80,77,78,77,75,78,73,80,71,83,70,86,70,88,71,89,72,90,75,90,78,89,82,88,85,86,88,84,90,81,91,78,91,76,90,75,88,75,86,77,86,77,88,76,88,76,87,32,79,80,78,78,78,75,79,73,32,88,72,89,74,89,78,88,82,87,85,85,88,32,81,82,80,81,79,79,79,75,80,72,81,71,83,70,32,86,70,87,71,88,73,88,78,87,82,86,85,85,87,83,90,81,91,0,77,88,80,88,79,89,79,90,80,91,81,91,82,90,82,89,81,88,80,88,32,80,89,80,90,81,90,81,89,80,89,0,77,88,81,91,80,91,79,90,79,89,80,88,81,88,82,89,82,91,81,93,80,94,78,95,32,80,89,80,90,81,90,81,89,80,89,32,81,91,81,92,80,94,0,77,88,83,77,82,78,82,79,83,80,84,80,85,79,85,78,84,77,83,77,32,83,78,83,79,84,79,84,78,83,78,32,80,88,79,89,79,90,80,91,81,91,82,90,82,89,81,88,80,88,32,80,89,80,90,81,90,81,89,80,89,0,77,88,83,77,82,78,82,79,83,80,84,80,85,79,85,78,84,77,83,77,32,83,78,83,79,84,79,84,78,83,78,32,81,91,80,91,79,90,79,89,80,88,81,88,82,89,82,91,81,93,80,94,78,95,32,80,89,80,90,81,90,81,89,80,89,32,81,91,81,92,80,94,0,77,88,86,70,85,70,84,71,82,84,32,86,71,85,71,82,84,32,86,71,86,72,82,84,32,86,70,87,71,87,72,82,84,32,80,88,79,89,79,90,80,91,81,91,82,90,82,89,81,88,80,88,32,80,89,80,90,81,90,81,89,80,89,0,72,93,79,75,79,74,80,74,80,76,78,76,78,74,79,72,80,71,83,70,87,70,90,71,91,73,91,75,90,77,89,78,87,79,83,80,81,81,81,83,83,84,84,84,32,85,70,90,71,32,89,71,90,73,90,75,89,77,88,78,86,79,32,87,70,88,71,89,73,89,75,88,77,87,78,83,80,82,81,82,83,83,84,32,80,88,79,89,79,90,80,91,81,91,82,90,82,89,81,88,80,88,32,80,89,80,90,81,90,81,89,80,89,0,77,88,87,70,85,71,84,72,83,74,83,76,84,77,85,77,86,76,86,75,85,74,84,74,32,85,71,84,73,84,74,32,84,75,84,76,85,76,85,75,84,75,0,77,88,86,73,85,73,84,72,84,71,85,70,86,70,87,71,87,73,86,75,85,76,83,77,32,85,71,85,72,86,72,86,71,85,71,32,86,73,86,74,85,76,0,69,95,92,79,92,78,91,78,91,80,93,80,93,78,92,77,91,77,89,78,87,80,82,88,80,90,78,91,75,91,72,90,71,88,71,86,72,84,73,83,75,82,80,80,82,79,84,77,85,75,85,73,84,71,82,70,80,71,79,73,79,76,80,82,81,85,82,87,84,90,86,91,88,91,89,89,89,88,32,76,91,72,90,32,73,90,72,88,72,86,73,84,74,83,76,82,32,80,80,81,83,84,89,86,90,32,75,91,74,90,73,88,73,86,74,84,75,83,77,82,82,79,32,79,76,80,79,81,82,83,86,85,89,87,90,88,90,89,89,0,72,93,84,66,76,95,32,89,66,81,95,32,90,75,90,74,89,74,89,76,91,76,91,74,90,72,89,71,86,70,82,70,79,71,77,73,77,76,78,78,80,80,86,83,87,85,87,88,86,90,32,78,76,79,78,86,82,87,84,32,79,71,78,73,78,75,79,77,85,80,87,82,88,84,88,87,87,89,86,90,83,91,79,91,76,90,75,89,74,87,74,85,76,85,76,87,75,87,75,86,0,71,94,95,66,69,98,70,98,32,95,66,96,66,70,98,0,74,90,90,66,88,67,85,69,82,72,80,75,78,79,77,83,77,88,78,92,79,95,81,98,32,83,72,81,75,79,79,78,84,78,92,32,90,66,87,68,84,71,82,74,81,76,80,79,79,83,78,92,32,78,84,79,93,80,96,81,98,0,74,90,83,66,85,69,86,72,87,76,87,81,86,85,84,89,82,92,79,95,76,97,74,98,32,86,72,86,80,85,85,83,89,81,92,32,83,66,84,68,85,71,86,80,32,86,72,85,81,84,85,83,88,82,90,80,93,77,96,74,98,0,74,91,84,70,83,71,85,81,84,82,32,84,70,84,82,32,84,70,85,71,83,81,84,82,32,79,73,80,73,88,79,89,79,32,79,73,89,79,32,79,73,79,74,89,78,89,79,32,89,73,88,73,80,79,79,79,32,89,73,79,79,32,89,73,89,74,79,78,79,79,0,77,87,85,70,84,71,82,77,32,85,71,82,77,32,85,70,86,71,82,77,0,72,92,80,70,79,71,77,77,32,80,71,77,77,32,80,70,81,71,77,77,32,90,70,89,71,87,77,32,90,71,87,77,32,90,70,91,71,87,77,0,75,90,83,70,81,71,80,73,80,75,81,77,83,78,85,78,87,77,88,75,88,73,87,71,85,70,83,70,32,83,70,80,73,81,77,85,78,88,75,87,71,83,70,32,85,70,81,71,80,75,83,78,87,77,88,73,85,70,0,71,94,83,70,75,98,76,98,32,83,70,84,70,76,98,32,89,70,81,98,82,98,32,89,70,90,70,82,98,32,75,80,92,80,92,81,32,75,80,75,81,92,81,32,73,87,90,87,90,88,32,73,87,73,88,90,88,0,69,94,94,70,92,71,88,72,85,72,81,71,79,70,77,70,75,71,74,73,74,75,76,77,78,77,80,76,81,74,81,72,79,70,32,94,70,69,91,32,94,70,70,91,32,94,70,71,91,32,88,84,86,84,84,85,83,87,83,89,85,91,87,91,89,90,90,88,90,86,88,84,32,80,71,77,70,74,73,75,76,78,77,81,74,80,71,32,79,70,75,71,74,75,32,76,77,80,76,81,72,32,89,85,86,84,83,87,84,90,87,91,90,88,89,85,32,88,84,84,85,83,89,32,85,91,89,90,90,86,32,69,91,71,91,0,69,96,85,81,85,78,84,76,82,75,80,75,78,76,77,77,76,80,76,83,77,85,79,86,81,86,83,85,84,84,85,81,32,79,76,78,77,77,80,77,83,78,85,32,82,75,80,76,79,77,78,80,78,83,79,85,80,86,32,86,75,85,81,85,83,86,85,88,86,90,86,92,85,93,82,93,79,92,76,91,74,89,72,87,71,84,70,81,70,78,71,76,72,74,74,73,76,72,79,72,82,73,85,74,87,76,89,78,90,81,91,84,91,87,90,89,89,88,89,87,90,32,87,75,86,81,86,83,87,85,32,86,75,88,75,87,81,87,83,88,85,90,86,0,78,50,99,118,56,72,79,71,67,97,99,104,101,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,72,79,71,67,111,110,102,73,110,118,111,107,101,114,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,111,98,106,100,101,116,101,99,116,47,115,114,99,47,104,111,103,46,99,112,112,0,78,50,99,118,49,52,72,79,71,67,111,110,102,73,110,118,111,107,101,114,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,72,79,71,68,101,115,99,114,105,112,116,111,114,58,58,100,101,116,101,99,116,77,117,108,116,105,83,99,97,108,101,82,79,73,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,99,118,58,58,82,101,99,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,68,101,116,101,99,116,105,111,110,82,79,73,62,32,38,44,32,100,111,117,98,108,101,44,32,105,110,116,41,32,99,111,110,115,116,0,112,116,46,120,32,37,32,99,97,99,104,101,83,116,114,105,100,101,46,119,105,100,116,104,32,61,61,32,48,32,38,38,32,112,116,46,121,32,37,32,99,97,99,104,101,83,116,114,105,100,101,46,104,101,105,103,104,116,32,61,61,32,48,0,103,101,116,66,108,111,99,107,0,98,108,111,99,107,83,105,122,101,46,119,105,100,116,104,32,37,32,99,101,108,108,83,105,122,101,46,119,105,100,116,104,32,61,61,32,48,32,38,38,32,98,108,111,99,107,83,105,122,101,46,104,101,105,103,104,116,32,37,32,99,101,108,108,83,105,122,101,46,104,101,105,103,104,116,32,61,61,32,48,0,103,101,116,68,101,115,99,114,105,112,116,111,114,83,105,122,101,0,40,119,105,110,83,105,122,101,46,119,105,100,116,104,32,45,32,98,108,111,99,107,83,105,122,101,46,119,105,100,116,104,41,32,37,32,98,108,111,99,107,83,116,114,105,100,101,46,119,105,100,116,104,32,61,61,32,48,32,38,38,32,40,119,105,110,83,105,122,101,46,104,101,105,103,104,116,32,45,32,98,108,111,99,107,83,105,122,101,46,104,101,105,103,104,116,41,32,37,32,98,108,111,99,107,83,116,114,105,100,101,46,104,101,105,103,104,116,32,61,61,32,48,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,72,79,71,68,101,115,99,114,105,112,116,111,114,58,58,100,101,116,101,99,116,82,79,73,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,38,44,32,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,99,118,58,58,80,111,105,110,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,99,118,58,58,80,111,105,110,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,100,111,117,98,108,101,62,32,38,44,32,100,111,117,98,108,101,44,32,99,118,58,58,83,105,122,101,44,32,99,118,58,58,83,105,122,101,41,32,99,111,110,115,116,0,105,109,103,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,32,124,124,32,105,109,103,46,116,121,112,101,40,41,32,61,61,32,67,86,95,56,85,67,51,0,99,111,109,112,117,116,101,71,114,97,100,105,101,110,116,0,40,117,110,115,105,103,110,101,100,41,104,105,100,120,32,60,32,40,117,110,115,105,103,110,101,100,41,110,98,105,110,115,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,72,79,71,68,101,115,99,114,105,112,116,111,114,58,58,99,111,109,112,117,116,101,71,114,97,100,105,101,110,116,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,38,44,32,99,118,58,58,77,97,116,32,38,44,32,99,118,58,58,77,97,116,32,38,44,32,83,105,122,101,44,32,83,105,122,101,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,72,79,71,68,101,115,99,114,105,112,116,111,114,58,58,100,101,116,101,99,116,77,117,108,116,105,83,99,97,108,101,40,73,110,112,117,116,65,114,114,97,121,44,32,115,116,100,58,58,118,101,99,116,111,114,60,82,101,99,116,62,32,38,44,32,100,111,117,98,108,101,44,32,83,105,122,101,44,32,83,105,122,101,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,98,111,111,108,41,32,99,111,110,115,116,0,114,101,99,116,76,105,115,116,46,115,105,122,101,40,41,32,61,61,32,119,101,105,103,104,116,115,46,115,105,122,101,40,41,0,103,114,111,117,112,82,101,99,116,97,110,103,108,101,115,0,110,111,100,101,115,91,114,111,111,116,93,91,80,65,82,69,78,84,93,32,60,32,48,0,112,97,114,116,105,116,105,111,110,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,105,110,99,108,117,100,101,47,111,112,101,110,99,118,50,47,99,111,114,101,47,111,112,101,114,97,116,105,111,110,115,46,104,112,112,0,118,111,105,100,32,99,118,58,58,72,79,71,68,101,115,99,114,105,112,116,111,114,58,58,103,114,111,117,112,82,101,99,116,97,110,103,108,101,115,40,115,116,100,58,58,118,101,99,116,111,114,60,99,118,58,58,82,101,99,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,100,111,117,98,108,101,62,32,38,44,32,105,110,116,44,32,100,111,117,98,108,101,41,32,99,111,110,115,116,0,78,50,99,118,49,48,72,79,71,73,110,118,111,107,101,114,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,72,79,71,68,101,115,99,114,105,112,116,111,114,58,58,100,101,116,101,99,116,77,117,108,116,105,83,99,97,108,101,40,73,110,112,117,116,65,114,114,97,121,44,32,115,116,100,58,58,118,101,99,116,111,114,60,82,101,99,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,100,111,117,98,108,101,62,32,38,44,32,100,111,117,98,108,101,44,32,83,105,122,101,44,32,83,105,122,101,44,32,100,111,117,98,108,101,44,32,100,111,117,98,108,101,44,32,98,111,111,108,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,72,79,71,68,101,115,99,114,105,112,116,111,114,58,58,100,101,116,101,99,116,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,80,111,105,110,116,62,32,38,44,32,100,111,117,98,108,101,44,32,83,105,122,101,44,32,83,105,122,101,44,32,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,80,111,105,110,116,62,32,38,41,32,99,111,110,115,116,0,112,116,48,46,120,32,37,32,99,97,99,104,101,83,116,114,105,100,101,46,119,105,100,116,104,32,61,61,32,48,32,38,38,32,112,116,48,46,121,32,37,32,99,97,99,104,101,83,116,114,105,100,101,46,104,101,105,103,104,116,32,61,61,32,48,0,100,101,116,101,99,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,72,79,71,68,101,115,99,114,105,112,116,111,114,58,58,100,101,116,101,99,116,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,80,111,105,110,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,100,111,117,98,108,101,62,32,38,44,32,100,111,117,98,108,101,44,32,83,105,122,101,44,32,83,105,122,101,44,32,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,80,111,105,110,116,62,32,38,41,32,99,111,110,115,116,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,72,79,71,68,101,115,99,114,105,112,116,111,114,58,58,99,111,109,112,117,116,101,40,73,110,112,117,116,65,114,114,97,121,44,32,115,116,100,58,58,118,101,99,116,111,114,60,102,108,111,97,116,62,32,38,44,32,83,105,122,101,44,32,83,105,122,101,44,32,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,80,111,105,110,116,62,32,38,41,32,99,111,110,115,116,0,123,111,112,101,110,99,118,45,111,98,106,101,99,116,45,100,101,116,101,99,116,111,114,45,104,111,103,0,119,105,110,83,105,122,101,0,98,108,111,99,107,83,105,122,101,0,98,108,111,99,107,83,116,114,105,100,101,0,110,98,105,110,115,0,100,101,114,105,118,65,112,101,114,116,117,114,101,0,104,105,115,116,111,103,114,97,109,78,111,114,109,84,121,112,101,0,76,50,72,121,115,84,104,114,101,115,104,111,108,100,0,103,97,109,109,97,67,111,114,114,101,99,116,105,111,110,0,110,108,101,118,101,108,115,0,115,105,103,110,101,100,71,114,97,100,105,101,110,116,0,83,86,77,68,101,116,101,99,116,111,114,0,99,101,108,108,83,105,122,101,0,119,105,110,83,105,103,109,97,0,99,104,101,99,107,68,101,116,101,99,116,111,114,83,105,122,101,40,41,0,115,101,116,83,86,77,68,101,116,101,99,116,111,114,0,78,50,99,118,49,51,72,79,71,68,101,115,99,114,105,112,116,111,114,69,0,111,112,101,110,99,118,45,111,98,106,101,99,116,45,100,101,116,101,99,116,111,114,45,104,111,103,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,78,83,95,49,54,70,101,97,116,117,114,101,69,118,97,108,117,97,116,111,114,57,83,99,97,108,101,68,97,116,97,69,78,83,50,95,57,97,108,108,111,99,97,116,111,114,73,83,53,95,69,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,56,95,69,69,69,69,0,118,105,114,116,117,97,108,32,98,111,111,108,32,99,118,58,58,70,101,97,116,117,114,101,69,118,97,108,117,97,116,111,114,58,58,115,101,116,73,109,97,103,101,40,73,110,112,117,116,65,114,114,97,121,44,32,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,102,108,111,97,116,62,32,38,41,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,111,98,106,100,101,116,101,99,116,47,115,114,99,47,99,97,115,99,97,100,101,100,101,116,101,99,116,46,99,112,112,0,78,50,99,118,49,54,70,101,97,116,117,114,101,69,118,97,108,117,97,116,111,114,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,72,97,97,114,69,118,97,108,117,97,116,111,114,58,58,99,111,109,112,117,116,101,79,112,116,70,101,97,116,117,114,101,115,40,41,0,115,113,115,117,109,46,117,32,61,61,32,117,32,38,38,32,115,113,115,117,109,46,115,105,122,101,40,41,32,61,61,32,115,46,115,122,105,32,38,38,32,115,113,115,117,109,46,116,121,112,101,40,41,61,61,67,86,95,51,50,83,0,99,111,109,112,117,116,101,67,104,97,110,110,101,108,115,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,72,97,97,114,69,118,97,108,117,97,116,111,114,58,58,99,111,109,112,117,116,101,67,104,97,110,110,101,108,115,40,105,110,116,44,32,73,110,112,117,116,65,114,114,97,121,41,0,48,32,60,61,32,115,99,97,108,101,73,100,120,32,38,38,32,115,99,97,108,101,73,100,120,32,60,32,40,105,110,116,41,115,99,97,108,101,68,97,116,97,45,62,115,105,122,101,40,41,0,103,101,116,83,99,97,108,101,68,97,116,97,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,111,98,106,100,101,116,101,99,116,47,115,114,99,47,99,97,115,99,97,100,101,100,101,116,101,99,116,46,104,112,112,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,51,72,97,97,114,69,118,97,108,117,97,116,111,114,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,50,95,69,69,69,69,0,110,32,62,32,48,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,78,83,95,49,51,72,97,97,114,69,118,97,108,117,97,116,111,114,49,48,79,112,116,70,101,97,116,117,114,101,69,78,83,50,95,57,97,108,108,111,99,97,116,111,114,73,83,53,95,69,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,56,95,69,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,78,83,95,49,51,72,97,97,114,69,118,97,108,117,97,116,111,114,55,70,101,97,116,117,114,101,69,78,83,50,95,57,97,108,108,111,99,97,116,111,114,73,83,53,95,69,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,56,95,69,69,69,69,0,78,50,99,118,49,51,72,97,97,114,69,118,97,108,117,97,116,111,114,69,0,115,101,116,87,105,110,100,111,119,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,50,76,66,80,69,118,97,108,117,97,116,111,114,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,50,95,69,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,78,83,95,49,50,76,66,80,69,118,97,108,117,97,116,111,114,49,48,79,112,116,70,101,97,116,117,114,101,69,78,83,50,95,57,97,108,108,111,99,97,116,111,114,73,83,53,95,69,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,56,95,69,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,116,51,95,95,50,54,118,101,99,116,111,114,73,78,83,95,49,50,76,66,80,69,118,97,108,117,97,116,111,114,55,70,101,97,116,117,114,101,69,78,83,50,95,57,97,108,108,111,99,97,116,111,114,73,83,53,95,69,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,56,95,69,69,69,69,0,114,101,99,116,0,78,50,99,118,49,50,76,66,80,69,118,97,108,117,97,116,111,114,69,0,115,99,97,108,101,70,97,99,116,111,114,32,62,32,49,32,38,38,32,95,105,109,97,103,101,46,100,101,112,116,104,40,41,32,61,61,32,67,86,95,56,85,0,100,101,116,101,99,116,77,117,108,116,105,83,99,97,108,101,0,118,111,105,100,32,99,118,58,58,103,114,111,117,112,82,101,99,116,97,110,103,108,101,115,40,115,116,100,58,58,118,101,99,116,111,114,60,82,101,99,116,62,32,38,44,32,105,110,116,44,32,100,111,117,98,108,101,41,0,118,111,105,100,32,99,118,58,58,103,114,111,117,112,82,101,99,116,97,110,103,108,101,115,40,115,116,100,58,58,118,101,99,116,111,114,60,82,101,99,116,62,32,38,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,115,116,100,58,58,118,101,99,116,111,114,60,105,110,116,62,32,42,44,32,115,116,100,58,58,118,101,99,116,111,114,60,100,111,117,98,108,101,62,32,42,41,0,118,111,105,100,32,99,118,58,58,103,114,111,117,112,82,101,99,116,97,110,103,108,101,115,40,115,116,100,58,58,118,101,99,116,111,114,60,82,101,99,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,105,110,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,100,111,117,98,108,101,62,32,38,44,32,105,110,116,44,32,100,111,117,98,108,101,41,0,105,110,116,32,99,118,58,58,112,114,101,100,105,99,116,67,97,116,101,103,111,114,105,99,97,108,40,99,118,58,58,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,73,109,112,108,32,38,44,32,80,116,114,60,99,118,58,58,70,101,97,116,117,114,101,69,118,97,108,117,97,116,111,114,62,32,38,44,32,100,111,117,98,108,101,32,38,41,32,91,70,69,118,97,108,32,61,32,99,118,58,58,76,66,80,69,118,97,108,117,97,116,111,114,93,0,105,110,116,32,99,118,58,58,112,114,101,100,105,99,116,79,114,100,101,114,101,100,40,99,118,58,58,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,73,109,112,108,32,38,44,32,80,116,114,60,99,118,58,58,70,101,97,116,117,114,101,69,118,97,108,117,97,116,111,114,62,32,38,44,32,100,111,117,98,108,101,32,38,41,32,91,70,69,118,97,108,32,61,32,99,118,58,58,72,97,97,114,69,118,97,108,117,97,116,111,114,93,0,33,99,97,115,99,97,100,101,46,100,97,116,97,46,115,116,117,109,112,115,46,101,109,112,116,121,40,41,0,112,114,101,100,105,99,116,67,97,116,101,103,111,114,105,99,97,108,83,116,117,109,112,0,105,110,116,32,99,118,58,58,112,114,101,100,105,99,116,67,97,116,101,103,111,114,105,99,97,108,83,116,117,109,112,40,99,118,58,58,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,73,109,112,108,32,38,44,32,80,116,114,60,99,118,58,58,70,101,97,116,117,114,101,69,118,97,108,117,97,116,111,114,62,32,38,44,32,100,111,117,98,108,101,32,38,41,32,91,70,69,118,97,108,32,61,32,99,118,58,58,76,66,80,69,118,97,108,117,97,116,111,114,93,0,112,114,101,100,105,99,116,79,114,100,101,114,101,100,83,116,117,109,112,0,105,110,116,32,99,118,58,58,112,114,101,100,105,99,116,79,114,100,101,114,101,100,83,116,117,109,112,40,99,118,58,58,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,73,109,112,108,32,38,44,32,80,116,114,60,99,118,58,58,70,101,97,116,117,114,101,69,118,97,108,117,97,116,111,114,62,32,38,44,32,100,111,117,98,108,101,32,38,41,32,91,70,69,118,97,108,32,61,32,99,118,58,58,72,97,97,114,69,118,97,108,117,97,116,111,114,93,0,105,110,116,32,99,118,58,58,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,73,109,112,108,58,58,114,117,110,65,116,40,80,116,114,60,99,118,58,58,70,101,97,116,117,114,101,69,118,97,108,117,97,116,111,114,62,32,38,44,32,80,111,105,110,116,44,32,105,110,116,44,32,100,111,117,98,108,101,32,38,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,73,110,118,111,107,101,114,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,0,78,50,99,118,50,52,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,73,110,118,111,107,101,114,69,0,118,111,105,100,32,99,118,58,58,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,73,109,112,108,58,58,100,101,116,101,99,116,77,117,108,116,105,83,99,97,108,101,78,111,71,114,111,117,112,105,110,103,40,73,110,112,117,116,65,114,114,97,121,44,32,115,116,100,58,58,118,101,99,116,111,114,60,82,101,99,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,105,110,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,100,111,117,98,108,101,62,32,38,44,32,100,111,117,98,108,101,44,32,83,105,122,101,44,32,83,105,122,101,44,32,98,111,111,108,41,0,33,95,115,101,113,32,124,124,32,95,115,101,113,45,62,101,108,101,109,95,115,105,122,101,32,61,61,32,115,105,122,101,111,102,40,95,84,112,41,0,83,101,113,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,105,110,99,108,117,100,101,47,111,112,101,110,99,118,50,47,99,111,114,101,47,99,111,114,101,95,99,46,104,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,73,109,112,108,58,58,100,101,116,101,99,116,77,117,108,116,105,83,99,97,108,101,40,73,110,112,117,116,65,114,114,97,121,44,32,115,116,100,58,58,118,101,99,116,111,114,60,82,101,99,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,105,110,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,100,111,117,98,108,101,62,32,38,44,32,100,111,117,98,108,101,44,32,105,110,116,44,32,105,110,116,44,32,83,105,122,101,44,32,83,105,122,101,44,32,98,111,111,108,41,0,115,99,97,108,101,70,97,99,116,111,114,32,62,32,49,32,38,38,32,105,109,97,103,101,46,100,101,112,116,104,40,41,32,61,61,32,67,86,95,56,85,0,118,111,105,100,32,99,118,58,58,103,114,111,117,112,82,101,99,116,97,110,103,108,101,115,40,115,116,100,58,58,118,101,99,116,111,114,60,82,101,99,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,105,110,116,62,32,38,44,32,105,110,116,44,32,100,111,117,98,108,101,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,73,109,112,108,58,58,100,101,116,101,99,116,77,117,108,116,105,83,99,97,108,101,40,73,110,112,117,116,65,114,114,97,121,44,32,115,116,100,58,58,118,101,99,116,111,114,60,82,101,99,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,105,110,116,62,32,38,44,32,100,111,117,98,108,101,44,32,105,110,116,44,32,105,110,116,44,32,83,105,122,101,44,32,83,105,122,101,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,73,109,112,108,58,58,100,101,116,101,99,116,77,117,108,116,105,83,99,97,108,101,40,73,110,112,117,116,65,114,114,97,121,44,32,115,116,100,58,58,118,101,99,116,111,114,60,82,101,99,116,62,32,38,44,32,100,111,117,98,108,101,44,32,105,110,116,44,32,105,110,116,44,32,83,105,122,101,44,32,83,105,122,101,41,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,50,51,67,118,72,97,97,114,67,108,97,115,115,105,102,105,101,114,67,97,115,99,97,100,101,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,50,95,69,69,69,69,0,102,101,97,116,117,114,101,115,0,115,116,97,103,101,84,121,112,101,0,66,79,79,83,84,0,102,101,97,116,117,114,101,84,121,112,101,0,72,65,65,82,0,76,66,80,0,72,79,71,0,72,79,71,32,99,97,115,99,97,100,101,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,105,110,32,51,46,48,0,111,114,105,103,87,105,110,83,105,122,101,46,104,101,105,103,104,116,32,62,32,48,32,38,38,32,111,114,105,103,87,105,110,83,105,122,101,46,119,105,100,116,104,32,62,32,48,0,102,101,97,116,117,114,101,80,97,114,97,109,115,0,109,97,120,67,97,116,67,111,117,110,116,0,115,116,97,103,101,84,104,114,101,115,104,111,108,100,0,119,101,97,107,67,108,97,115,115,105,102,105,101,114,115,0,105,110,116,101,114,110,97,108,78,111,100,101,115,0,108,101,97,102,86,97,108,117,101,115,0,78,50,99,118,50,49,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,73,109,112,108,69,0,78,50,99,118,50,49,66,97,115,101,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,69,0,118,111,105,100,32,99,118,58,58,103,114,111,117,112,82,101,99,116,97,110,103,108,101,115,95,109,101,97,110,115,104,105,102,116,40,115,116,100,58,58,118,101,99,116,111,114,60,82,101,99,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,100,111,117,98,108,101,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,100,111,117,98,108,101,62,32,38,44,32,100,111,117,98,108,101,44,32,83,105,122,101,41,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,50,49,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,50,95,69,69,69,69,0,97,45,62,115,105,122,101,40,41,32,61,61,32,110,0,99,108,105,112,79,98,106,101,99,116,115,0,98,45,62,115,105,122,101,40,41,32,61,61,32,110,0,118,111,105,100,32,99,118,58,58,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,58,58,100,101,116,101,99,116,77,117,108,116,105,83,99,97,108,101,40,73,110,112,117,116,65,114,114,97,121,44,32,115,116,100,58,58,118,101,99,116,111,114,60,82,101,99,116,62,32,38,44,32,100,111,117,98,108,101,44,32,105,110,116,44,32,105,110,116,44,32,83,105,122,101,44,32,83,105,122,101,41,0,118,111,105,100,32,99,118,58,58,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,58,58,100,101,116,101,99,116,77,117,108,116,105,83,99,97,108,101,40,73,110,112,117,116,65,114,114,97,121,44,32,115,116,100,58,58,118,101,99,116,111,114,60,82,101,99,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,105,110,116,62,32,38,44,32,100,111,117,98,108,101,44,32,105,110,116,44,32,105,110,116,44,32,83,105,122,101,44,32,83,105,122,101,41,0,118,111,105,100,32,99,118,58,58,67,97,115,99,97,100,101,67,108,97,115,115,105,102,105,101,114,58,58,100,101,116,101,99,116,77,117,108,116,105,83,99,97,108,101,40,73,110,112,117,116,65,114,114,97,121,44,32,115,116,100,58,58,118,101,99,116,111,114,60,82,101,99,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,105,110,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,100,111,117,98,108,101,62,32,38,44,32,100,111,117,98,108,101,44,32,105,110,116,44,32,105,110,116,44,32,83,105,122,101,44,32,83,105,122,101,44,32,98,111,111,108,41,0,111,112,101,110,99,118,45,104,97,97,114,45,99,108,97,115,115,105,102,105,101,114,0,78,117,109,98,101,114,32,111,102,32,115,116,97,103,101,115,32,115,104,111,117,108,100,32,98,101,32,112,111,115,105,116,105,118,101,0,105,99,118,67,114,101,97,116,101,72,97,97,114,67,108,97,115,115,105,102,105,101,114,67,97,115,99,97,100,101,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,111,98,106,100,101,116,101,99,116,47,115,114,99,47,104,97,97,114,46,99,112,112,0,115,116,97,103,101,115,0,115,116,97,103,101,32,37,100,0,116,114,101,101,115,0,116,114,101,101,32,37,100,0,110,111,100,101,32,37,100,0,114,111,111,116,32,110,111,100,101,0,102,101,97,116,117,114,101,0,114,101,99,116,115,0,116,105,108,116,101,100,0,116,104,114,101,115,104,111,108,100,0,108,101,102,116,95,110,111,100,101,0,108,101,102,116,95,118,97,108,0,114,105,103,104,116,95,110,111,100,101,0,114,105,103,104,116,95,118,97,108,0,115,116,97,103,101,95,116,104,114,101,115,104,111,108,100,0,112,97,114,101,110,116,0,110,101,120,116,0,73,110,118,97,108,105,100,32,115,116,97,103,101,115,32,110,111,100,101,0,105,99,118,82,101,97,100,72,97,97,114,67,108,97,115,115,105,102,105,101,114,0,115,105,122,101,32,110,111,100,101,32,105,115,32,110,111,116,32,97,32,118,97,108,105,100,32,115,101,113,117,101,110,99,101,46,0,73,110,118,97,108,105,100,32,115,105,122,101,32,110,111,100,101,58,32,119,105,100,116,104,32,109,117,115,116,32,98,101,32,112,111,115,105,116,105,118,101,32,105,110,116,101,103,101,114,0,73,110,118,97,108,105,100,32,115,105,122,101,32,110,111,100,101,58,32,104,101,105,103,104,116,32,109,117,115,116,32,98,101,32,112,111,115,105,116,105,118,101,32,105,110,116,101,103,101,114,0,73,110,118,97,108,105,100,32,115,116,97,103,101,32,37,100,0,84,114,101,101,115,32,110,111,100,101,32,105,115,32,110,111,116,32,97,32,118,97,108,105,100,32,115,101,113,117,101,110,99,101,46,32,40,115,116,97,103,101,32,37,100,41,0,84,114,101,101,32,110,111,100,101,32,105,115,32,110,111,116,32,97,32,118,97,108,105,100,32,115,101,113,117,101,110,99,101,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,41,0,84,114,101,101,32,110,111,100,101,32,37,100,32,105,115,32,110,111,116,32,97,32,118,97,108,105,100,32,109,97,112,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,41,0,70,101,97,116,117,114,101,32,110,111,100,101,32,105,115,32,110,111,116,32,97,32,118,97,108,105,100,32,109,97,112,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,44,32,110,111,100,101,32,37,100,41,0,82,101,99,116,115,32,110,111,100,101,32,105,115,32,110,111,116,32,97,32,118,97,108,105,100],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+368644);allocate([32,115,101,113,117,101,110,99,101,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,44,32,110,111,100,101,32,37,100,41,0,82,101,99,116,32,37,100,32,105,115,32,110,111,116,32,97,32,118,97,108,105,100,32,115,101,113,117,101,110,99,101,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,44,32,110,111,100,101,32,37,100,41,0,120,32,99,111,111,114,100,105,110,97,116,101,32,109,117,115,116,32,98,101,32,110,111,110,45,110,101,103,97,116,105,118,101,32,105,110,116,101,103,101,114,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,44,32,110,111,100,101,32,37,100,44,32,114,101,99,116,32,37,100,41,0,121,32,99,111,111,114,100,105,110,97,116,101,32,109,117,115,116,32,98,101,32,110,111,110,45,110,101,103,97,116,105,118,101,32,105,110,116,101,103,101,114,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,44,32,110,111,100,101,32,37,100,44,32,114,101,99,116,32,37,100,41,0,119,105,100,116,104,32,109,117,115,116,32,98,101,32,112,111,115,105,116,105,118,101,32,105,110,116,101,103,101,114,32,97,110,100,32,40,120,32,43,32,119,105,100,116,104,41,32,109,117,115,116,32,110,111,116,32,101,120,99,101,101,100,32,119,105,110,100,111,119,32,119,105,100,116,104,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,44,32,110,111,100,101,32,37,100,44,32,114,101,99,116,32,37,100,41,0,104,101,105,103,104,116,32,109,117,115,116,32,98,101,32,112,111,115,105,116,105,118,101,32,105,110,116,101,103,101,114,32,97,110,100,32,40,121,32,43,32,104,101,105,103,104,116,41,32,109,117,115,116,32,110,111,116,32,101,120,99,101,101,100,32,119,105,110,100,111,119,32,104,101,105,103,104,116,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,44,32,110,111,100,101,32,37,100,44,32,114,101,99,116,32,37,100,41,0,119,101,105,103,104,116,32,109,117,115,116,32,98,101,32,114,101,97,108,32,110,117,109,98,101,114,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,44,32,110,111,100,101,32,37,100,44,32,114,101,99,116,32,37,100,41,0,116,105,108,116,101,100,32,109,117,115,116,32,98,101,32,48,32,111,114,32,49,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,44,32,110,111,100,101,32,37,100,41,0,116,104,114,101,115,104,111,108,100,32,109,117,115,116,32,98,101,32,114,101,97,108,32,110,117,109,98,101,114,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,44,32,110,111,100,101,32,37,100,41,0,108,101,102,116,32,110,111,100,101,32,109,117,115,116,32,98,101,32,118,97,108,105,100,32,110,111,100,101,32,110,117,109,98,101,114,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,44,32,110,111,100,101,32,37,100,41,0,108,101,102,116,32,110,111,100,101,32,111,114,32,108,101,102,116,32,118,97,108,117,101,32,109,117,115,116,32,98,101,32,115,112,101,99,105,102,105,101,100,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,44,32,110,111,100,101,32,37,100,41,0,108,101,102,116,32,118,97,108,117,101,32,109,117,115,116,32,98,101,32,114,101,97,108,32,110,117,109,98,101,114,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,44,32,110,111,100,101,32,37,100,41,0,84,114,101,101,32,115,116,114,117,99,116,117,114,101,32,105,115,32,98,114,111,107,101,110,58,32,116,111,111,32,109,97,110,121,32,118,97,108,117,101,115,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,44,32,110,111,100,101,32,37,100,41,0,114,105,103,104,116,32,110,111,100,101,32,109,117,115,116,32,98,101,32,118,97,108,105,100,32,110,111,100,101,32,110,117,109,98,101,114,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,44,32,110,111,100,101,32,37,100,41,0,114,105,103,104,116,32,110,111,100,101,32,111,114,32,114,105,103,104,116,32,118,97,108,117,101,32,109,117,115,116,32,98,101,32,115,112,101,99,105,102,105,101,100,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,44,32,110,111,100,101,32,37,100,41,0,114,105,103,104,116,32,118,97,108,117,101,32,109,117,115,116,32,98,101,32,114,101,97,108,32,110,117,109,98,101,114,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,44,32,110,111,100,101,32,37,100,41,0,84,114,101,101,32,115,116,114,117,99,116,117,114,101,32,105,115,32,98,114,111,107,101,110,58,32,116,111,111,32,102,101,119,32,118,97,108,117,101,115,46,32,40,115,116,97,103,101,32,37,100,44,32,116,114,101,101,32,37,100,41,0,115,116,97,103,101,32,116,104,114,101,115,104,111,108,100,32,109,117,115,116,32,98,101,32,114,101,97,108,32,110,117,109,98,101,114,46,32,40,115,116,97,103,101,32,37,100,41,0,112,97,114,101,110,116,32,109,117,115,116,32,98,101,32,105,110,116,101,103,101,114,32,110,117,109,98,101,114,46,32,40,115,116,97,103,101,32,37,100,41,0,110,101,120,116,32,109,117,115,116,32,98,101,32,105,110,116,101,103,101,114,32,110,117,109,98,101,114,46,32,40,115,116,97,103,101,32,37,100,41,0,73,110,118,97,108,105,100,32,99,108,97,115,115,105,102,105,101,114,32,112,111,105,110,116,101,114,0,99,118,83,101,116,73,109,97,103,101,115,70,111,114,72,97,97,114,67,108,97,115,115,105,102,105,101,114,67,97,115,99,97,100,101,0,83,99,97,108,101,32,109,117,115,116,32,98,101,32,112,111,115,105,116,105,118,101,0,67,79,73,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,65,108,108,32,105,110,116,101,103,114,97,108,32,105,109,97,103,101,115,32,109,117,115,116,32,104,97,118,101,32,116,104,101,32,115,97,109,101,32,115,105,122,101,0,79,110,108,121,32,40,51,50,115,44,32,54,52,102,44,32,51,50,115,41,32,99,111,109,98,105,110,97,116,105,111,110,32,111,102,32,40,115,117,109,44,115,113,115,117,109,44,116,105,108,116,101,100,95,115,117,109,41,32,102,111,114,109,97,116,115,32,105,115,32,97,108,108,111,119,101,100,0,83,117,109,32,97,110,100,32,116,105,108,116,101,100,95,115,117,109,32,109,117,115,116,32,104,97,118,101,32,116,104,101,32,115,97,109,101,32,115,116,114,105,100,101,32,40,115,116,101,112,44,32,119,105,100,116,104,83,116,101,112,41,0,97,114,101,97,48,32,62,32,48,0,105,99,118,67,114,101,97,116,101,72,105,100,72,97,97,114,67,108,97,115,115,105,102,105,101,114,67,97,115,99,97,100,101,0,104,105,100,95,99,97,115,99,97,100,101,32,104,97,115,32,98,101,101,110,32,97,108,114,101,97,100,121,32,99,114,101,97,116,101,100,0,78,101,103,97,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,99,97,115,99,97,100,101,32,115,116,97,103,101,115,0,104,101,97,100,101,114,32,111,102,32,116,104,101,32,115,116,97,103,101,32,99,108,97,115,115,105,102,105,101,114,32,35,37,100,32,105,115,32,105,110,118,97,108,105,100,32,40,104,97,115,32,110,117,108,108,32,112,111,105,110,116,101,114,115,32,111,114,32,110,111,110,45,112,111,115,105,116,105,118,101,32,99,108,97,115,115,102,105,101,114,32,99,111,117,110,116,41,0,114,101,99,116,97,110,103,108,101,32,35,37,100,32,111,102,32,116,104,101,32,99,108,97,115,115,105,102,105,101,114,32,35,37,100,32,111,102,32,116,104,101,32,115,116,97,103,101,32,99,108,97,115,115,105,102,105,101,114,32,35,37,100,32,105,115,32,110,111,116,32,105,110,115,105,100,101,32,116,104,101,32,114,101,102,101,114,101,110,99,101,32,40,111,114,105,103,105,110,97,108,41,32,99,97,115,99,97,100,101,32,119,105,110,100,111,119,0,73,110,118,97,108,105,100,32,99,97,115,99,97,100,101,32,112,111,105,110,116,101,114,0,99,118,82,117,110,72,97,97,114,67,108,97,115,115,105,102,105,101,114,67,97,115,99,97,100,101,83,117,109,0,72,105,100,100,101,110,32,99,97,115,99,97,100,101,32,104,97,115,32,110,111,116,32,98,101,101,110,32,99,114,101,97,116,101,100,46,10,85,115,101,32,99,118,83,101,116,73,109,97,103,101,115,70,111,114,72,97,97,114,67,108,97,115,115,105,102,105,101,114,67,97,115,99,97,100,101,0,105,110,116,32,99,118,82,117,110,72,97,97,114,67,108,97,115,115,105,102,105,101,114,67,97,115,99,97,100,101,40,99,111,110,115,116,32,67,118,72,97,97,114,67,108,97,115,115,105,102,105,101,114,67,97,115,99,97,100,101,32,42,44,32,67,118,80,111,105,110,116,44,32,105,110,116,41,0,73,110,118,97,108,105,100,32,99,108,97,115,115,105,102,105,101,114,32,99,97,115,99,97,100,101,0,99,118,72,97,97,114,68,101,116,101,99,116,79,98,106,101,99,116,115,70,111,114,82,79,67,0,78,117,108,108,32,115,116,111,114,97,103,101,32,112,111,105,110,116,101,114,0,79,110,108,121,32,56,45,98,105,116,32,105,109,97,103,101,115,32,97,114,101,32,115,117,112,112,111,114,116,101,100,0,115,99,97,108,101,32,102,97,99,116,111,114,32,109,117,115,116,32,98,101,32,62,32,49,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,72,97,97,114,68,101,116,101,99,116,79,98,106,101,99,116,115,95,83,99,97,108,101,67,97,115,99,97,100,101,95,73,110,118,111,107,101,114,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,0,78,50,99,118,51,56,72,97,97,114,68,101,116,101,99,116,79,98,106,101,99,116,115,95,83,99,97,108,101,67,97,115,99,97,100,101,95,73,110,118,111,107,101,114,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,72,97,97,114,68,101,116,101,99,116,79,98,106,101,99,116,115,95,83,99,97,108,101,73,109,97,103,101,95,73,110,118,111,107,101,114,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,0,78,50,99,118,51,54,72,97,97,114,68,101,116,101,99,116,79,98,106,101,99,116,115,95,83,99,97,108,101,73,109,97,103,101,95,73,110,118,111,107,101,114,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,53,67,118,77,97,116,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,50,95,69,69,69,69,0,67,118,83,101,113,32,42,99,118,72,97,97,114,68,101,116,101,99,116,79,98,106,101,99,116,115,70,111,114,82,79,67,40,99,111,110,115,116,32,67,118,65,114,114,32,42,44,32,67,118,72,97,97,114,67,108,97,115,115,105,102,105,101,114,67,97,115,99,97,100,101,32,42,44,32,67,118,77,101,109,83,116,111,114,97,103,101,32,42,44,32,115,116,100,58,58,118,101,99,116,111,114,60,105,110,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,100,111,117,98,108,101,62,32,38,44,32,100,111,117,98,108,101,44,32,105,110,116,44,32,105,110,116,44,32,67,118,83,105,122,101,44,32,67,118,83,105,122,101,44,32,98,111,111,108,41,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,50,95,71,76,79,66,65,76,95,95,78,95,49,50,52,70,97,114,110,101,98,97,99,107,79,112,116,105,99,97,108,70,108,111,119,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,112,114,101,118,48,46,115,105,122,101,40,41,32,61,61,32,110,101,120,116,48,46,115,105,122,101,40,41,32,38,38,32,112,114,101,118,48,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,110,101,120,116,48,46,99,104,97,110,110,101,108,115,40,41,32,38,38,32,112,114,101,118,48,46,99,104,97,110,110,101,108,115,40,41,32,61,61,32,49,32,38,38,32,112,121,114,83,99,97,108,101,95,32,60,32,49,0,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,67,49,0,70,97,114,110,101,98,97,99,107,80,111,108,121,69,120,112,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,118,105,100,101,111,47,115,114,99,47,111,112,116,102,108,111,119,103,102,46,99,112,112,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,40,97,110,111,110,121,109,111,117,115,32,110,97,109,101,115,112,97,99,101,41,58,58,70,97,114,110,101,98,97,99,107,79,112,116,105,99,97,108,70,108,111,119,73,109,112,108,58,58,99,97,108,99,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,41,0,78,50,99,118,49,50,95,71,76,79,66,65,76,95,95,78,95,49,50,52,70,97,114,110,101,98,97,99,107,79,112,116,105,99,97,108,70,108,111,119,73,109,112,108,69,0,78,50,99,118,50,48,70,97,114,110,101,98,97,99,107,79,112,116,105,99,97,108,70,108,111,119,69,0,78,50,99,118,49,54,68,101,110,115,101,79,112,116,105,99,97,108,70,108,111,119,69,0,118,111,105,100,32,99,118,58,58,99,97,108,99,79,112,116,105,99,97,108,70,108,111,119,70,97,114,110,101,98,97,99,107,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,105,110,116,41,0,99,110,32,61,61,32,49,0,73,110,112,117,116,32,119,105,110,100,111,119,32,104,97,115,32,110,111,110,45,112,111,115,105,116,105,118,101,32,115,105,122,101,115,0,109,101,97,110,83,104,105,102,116,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,118,105,100,101,111,47,115,114,99,47,99,97,109,115,104,105,102,116,46,99,112,112,0,105,110,116,32,99,118,58,58,109,101,97,110,83,104,105,102,116,40,73,110,112,117,116,65,114,114,97,121,44,32,82,101,99,116,32,38,44,32,99,118,58,58,84,101,114,109,67,114,105,116,101,114,105,97,41,0,99,118,58,58,82,111,116,97,116,101,100,82,101,99,116,32,99,118,58,58,67,97,109,83,104,105,102,116,40,73,110,112,117,116,65,114,114,97,121,44,32,82,101,99,116,32,38,44,32,99,118,58,58,84,101,114,109,67,114,105,116,101,114,105,97,41,0,115,116,97,116,117,115,32,33,61,32,78,85,76,76,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,118,105,100,101,111,47,115,114,99,47,108,107,112,121,114,97,109,105,100,46,99,112,112,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,101,116,97,105,108,58,58,76,75,84,114,97,99,107,101,114,73,110,118,111,107,101,114,58,58,111,112,101,114,97,116,111,114,40,41,40,99,111,110,115,116,32,99,118,58,58,82,97,110,103,101,32,38,41,32,99,111,110,115,116,0,78,50,99,118,54,100,101,116,97,105,108,49,54,76,75,84,114,97,99,107,101,114,73,110,118,111,107,101,114,69,0,105,109,103,46,100,101,112,116,104,40,41,32,61,61,32,67,86,95,56,85,32,38,38,32,119,105,110,83,105,122,101,46,119,105,100,116,104,32,62,32,50,32,38,38,32,119,105,110,83,105,122,101,46,104,101,105,103,104,116,32,62,32,50,0,98,117,105,108,100,79,112,116,105,99,97,108,70,108,111,119,80,121,114,97,109,105,100,0,100,101,112,116,104,32,61,61,32,67,86,95,56,85,0,99,97,108,99,83,104,97,114,114,68,101,114,105,118,0,105,110,116,32,99,118,58,58,98,117,105,108,100,79,112,116,105,99,97,108,70,108,111,119,80,121,114,97,109,105,100,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,83,105,122,101,44,32,105,110,116,44,32,98,111,111,108,44,32,105,110,116,44,32,105,110,116,44,32,98,111,111,108,41,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,49,50,95,71,76,79,66,65,76,95,95,78,95,49,50,54,83,112,97,114,115,101,80,121,114,76,75,79,112,116,105,99,97,108,70,108,111,119,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,109,97,120,76,101,118,101,108,32,62,61,32,48,32,38,38,32,119,105,110,83,105,122,101,46,119,105,100,116,104,32,62,32,50,32,38,38,32,119,105,110,83,105,122,101,46,104,101,105,103,104,116,32,62,32,50,0,99,97,108,99,0,40,110,112,111,105,110,116,115,32,61,32,112,114,101,118,80,116,115,77,97,116,46,99,104,101,99,107,86,101,99,116,111,114,40,50,44,32,67,86,95,51,50,70,44,32,116,114,117,101,41,41,32,62,61,32,48,0,110,101,120,116,80,116,115,77,97,116,46,99,104,101,99,107,86,101,99,116,111,114,40,50,44,32,67,86,95,51,50,70,44,32,116,114,117,101,41,32,61,61,32,110,112,111,105,110,116,115,0,115,116,97,116,117,115,77,97,116,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,101,114,114,77,97,116,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,108,101,118,101,108,115,49,32,62,61,32,48,0,111,102,115,46,120,32,62,61,32,119,105,110,83,105,122,101,46,119,105,100,116,104,32,38,38,32,111,102,115,46,121,32,62,61,32,119,105,110,83,105,122,101,46,104,101,105,103,104,116,32,38,38,32,111,102,115,46,120,32,43,32,112,114,101,118,80,121,114,91,108,118,108,83,116,101,112,49,93,46,99,111,108,115,32,43,32,119,105,110,83,105,122,101,46,119,105,100,116,104,32,60,61,32,102,117,108,108,83,105,122,101,46,119,105,100,116,104,32,38,38,32,111,102,115,46,121,32,43,32,112,114,101,118,80,121,114,91,108,118,108,83,116,101,112,49,93,46,114,111,119,115,32,43,32,119,105,110,83,105,122,101,46,104,101,105,103,104,116,32,60,61,32,102,117,108,108,83,105,122,101,46,104,101,105,103,104,116,0,108,101,118,101,108,115,50,32,62,61,32,48,0,111,102,115,46,120,32,62,61,32,119,105,110,83,105,122,101,46,119,105,100,116,104,32,38,38,32,111,102,115,46,121,32,62,61,32,119,105,110,83,105,122,101,46,104,101,105,103,104,116,32,38,38,32,111,102,115,46,120,32,43,32,110,101,120,116,80,121,114,91,108,118,108,83,116,101,112,50,93,46,99,111,108,115,32,43,32,119,105,110,83,105,122,101,46,119,105,100,116,104,32,60,61,32,102,117,108,108,83,105,122,101,46,119,105,100,116,104,32,38,38,32,111,102,115,46,121,32,43,32,110,101,120,116,80,121,114,91,108,118,108,83,116,101,112,50,93,46,114,111,119,115,32,43,32,119,105,110,83,105,122,101,46,104,101,105,103,104,116,32,60,61,32,102,117,108,108,83,105,122,101,46,104,101,105,103,104,116,0,112,114,101,118,80,121,114,91,108,101,118,101,108,32,42,32,108,118,108,83,116,101,112,49,93,46,115,105,122,101,40,41,32,61,61,32,110,101,120,116,80,121,114,91,108,101,118,101,108,32,42,32,108,118,108,83,116,101,112,50,93,46,115,105,122,101,40,41,0,112,114,101,118,80,121,114,91,108,101,118,101,108,32,42,32,108,118,108,83,116,101,112,49,93,46,116,121,112,101,40,41,32,61,61,32,110,101,120,116,80,121,114,91,108,101,118,101,108,32,42,32,108,118,108,83,116,101,112,50,93,46,116,121,112,101,40,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,40,97,110,111,110,121,109,111,117,115,32,110,97,109,101,115,112,97,99,101,41,58,58,83,112,97,114,115,101,80,121,114,76,75,79,112,116,105,99,97,108,70,108,111,119,73,109,112,108,58,58,99,97,108,99,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,79,117,116,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,41,0,78,50,99,118,49,50,95,71,76,79,66,65,76,95,95,78,95,49,50,54,83,112,97,114,115,101,80,121,114,76,75,79,112,116,105,99,97,108,70,108,111,119,73,109,112,108,69,0,78,50,99,118,50,50,83,112,97,114,115,101,80,121,114,76,75,79,112,116,105,99,97,108,70,108,111,119,69,0,78,50,99,118,49,55,83,112,97,114,115,101,79,112,116,105,99,97,108,70,108,111,119,69,0,114,97,110,115,97,99,83,105,122,101,48,32,115,104,111,117,108,100,32,104,97,118,101,32,118,97,108,117,101,32,98,105,103,103,101,114,32,116,104,97,110,32,50,46,0,101,115,116,105,109,97,116,101,82,105,103,105,100,84,114,97,110,115,102,111,114,109,0,114,97,110,115,97,99,71,111,111,100,82,97,116,105,111,32,115,104,111,117,108,100,32,104,97,118,101,32,118,97,108,117,101,32,98,101,116,119,101,101,110,32,48,32,97,110,100,32,49,0,66,111,116,104,32,105,110,112,117,116,32,105,109,97,103,101,115,32,109,117,115,116,32,104,97,118,101,32,116,104,101,32,115,97,109,101,32,115,105,122,101,0,99,110,32,61,61,32,49,32,124,124,32,99,110,32,61,61,32,51,32,124,124,32,99,110,32,61,61,32,52,0,66,111,116,104,32,105,110,112,117,116,32,105,109,97,103,101,115,32,109,117,115,116,32,104,97,118,101,32,101,105,116,104,101,114,32,56,117,67,49,32,111,114,32,56,117,67,51,32,116,121,112,101,0,77,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,103,101,116,82,84,77,97,116,114,105,120,0,99,118,58,58,77,97,116,32,99,118,58,58,101,115,116,105,109,97,116,101,82,105,103,105,100,84,114,97,110,115,102,111,114,109,40,73,110,112,117,116,65,114,114,97,121,44,32,73,110,112,117,116,65,114,114,97,121,44,32,98,111,111,108,44,32,105,110,116,44,32,100,111,117,98,108,101,44,32,99,111,110,115,116,32,105,110,116,41,0,33,115,114,99,46,101,109,112,116,121,40,41,0,102,105,110,100,84,114,97,110,115,102,111,114,109,69,67,67,0,33,100,115,116,46,101,109,112,116,121,40,41,0,66,111,116,104,32,105,110,112,117,116,32,105,109,97,103,101,115,32,109,117,115,116,32,104,97,118,101,32,116,104,101,32,115,97,109,101,32,100,97,116,97,32,116,121,112,101,0,73,109,97,103,101,115,32,109,117,115,116,32,104,97,118,101,32,56,117,67,49,32,111,114,32,51,50,102,67,49,32,116,121,112,101,0,119,97,114,112,77,97,116,114,105,120,32,109,117,115,116,32,98,101,32,115,105,110,103,108,101,45,99,104,97,110,110,101,108,32,102,108,111,97,116,105,110,103,45,112,111,105,110,116,32,109,97,116,114,105,120,0,109,97,112,46,99,111,108,115,32,61,61,32,51,0,109,97,112,46,114,111,119,115,32,61,61,32,50,32,124,124,32,109,97,112,46,114,111,119,115,32,61,61,51,0,109,111,116,105,111,110,84,121,112,101,32,61,61,32,77,79,84,73,79,78,95,65,70,70,73,78,69,32,124,124,32,109,111,116,105,111,110,84,121,112,101,32,61,61,32,77,79,84,73,79,78,95,72,79,77,79,71,82,65,80,72,89,32,124,124,32,109,111,116,105,111,110,84,121,112,101,32,61,61,32,77,79,84,73,79,78,95,69,85,67,76,73,68,69,65,78,32,124,124,32,109,111,116,105,111,110,84,121,112,101,32,61,61,32,77,79,84,73,79,78,95,84,82,65,78,83,76,65,84,73,79,78,0,109,97,112,46,114,111,119,115,32,61,61,51,0,99,114,105,116,101,114,105,97,46,116,121,112,101,32,38,32,84,101,114,109,67,114,105,116,101,114,105,97,58,58,67,79,85,78,84,32,124,124,32,99,114,105,116,101,114,105,97,46,116,121,112,101,32,38,32,84,101,114,109,67,114,105,116,101,114,105,97,58,58,69,80,83,0,115,114,99,49,46,115,105,122,101,40,41,32,61,61,32,115,114,99,50,46,115,105,122,101,40,41,0,105,109,97,103,101,95,106,97,99,111,98,105,97,110,95,97,102,102,105,110,101,95,69,67,67,0,115,114,99,49,46,115,105,122,101,40,41,32,61,61,32,115,114,99,51,46,115,105,122,101,40,41,0,115,114,99,49,46,115,105,122,101,40,41,32,61,61,32,115,114,99,52,46,115,105,122,101,40,41,0,115,114,99,49,46,114,111,119,115,32,61,61,32,100,115,116,46,114,111,119,115,0,100,115,116,46,99,111,108,115,32,61,61,32,40,54,42,115,114,99,49,46,99,111,108,115,41,0,100,115,116,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,67,49,0,105,109,97,103,101,95,106,97,99,111,98,105,97,110,95,104,111,109,111,95,69,67,67,0,100,115,116,46,99,111,108,115,32,61,61,32,40,115,114,99,49,46,99,111,108,115,42,56,41,0,115,114,99,53,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,115,114,99,49,46,115,105,122,101,40,41,61,61,115,114,99,50,46,115,105,122,101,40,41,0,105,109,97,103,101,95,106,97,99,111,98,105,97,110,95,116,114,97,110,115,108,97,116,105,111,110,95,69,67,67,0,100,115,116,46,99,111,108,115,32,61,61,32,40,115,114,99,49,46,99,111,108,115,42,50,41,0,105,109,97,103,101,95,106,97,99,111,98,105,97,110,95,101,117,99,108,105,100,101,97,110,95,69,67,67,0,115,114,99,49,46,115,105,122,101,40,41,61,61,115,114,99,51,46,115,105,122,101,40,41,0,115,114,99,49,46,115,105,122,101,40,41,61,61,115,114,99,52,46,115,105,122,101,40,41,0,100,115,116,46,99,111,108,115,32,61,61,32,40,115,114,99,49,46,99,111,108,115,42,51,41,0,78,97,78,32,101,110,99,111,117,110,116,101,114,101,100,46,0,84,104,101,32,97,108,103,111,114,105,116,104,109,32,115,116,111,112,112,101,100,32,98,101,102,111,114,101,32,105,116,115,32,99,111,110,118,101,114,103,101,110,99,101,46,32,84,104,101,32,99,111,114,114,101,108,97,116,105,111,110,32,105,115,32,103,111,105,110,103,32,116,111,32,98,101,32,109,105,110,105,109,105,122,101,100,46,32,73,109,97,103,101,115,32,109,97,121,32,98,101,32,117,110,99,111,114,114,101,108,97,116,101,100,32,111,114,32,110,111,110,45,111,118,101,114,108,97,112,112,101,100,0,109,97,112,95,109,97,116,114,105,120,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,67,49,0,117,112,100,97,116,101,95,119,97,114,112,105,110,103,95,109,97,116,114,105,120,95,69,67,67,0,117,112,100,97,116,101,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,67,49,0,109,111,116,105,111,110,84,121,112,101,32,61,61,32,77,79,84,73,79,78,95,84,82,65,78,83,76,65,84,73,79,78,32,124,124,32,109,111,116,105,111,110,84,121,112,101,32,61,61,32,77,79,84,73,79,78,95,69,85,67,76,73,68,69,65,78,32,124,124,32,109,111,116,105,111,110,84,121,112,101,32,61,61,32,77,79,84,73,79,78,95,65,70,70,73,78,69,32,124,124,32,109,111,116,105,111,110,84,121,112,101,32,61,61,32,77,79,84,73,79,78,95,72,79,77,79,71,82,65,80,72,89,0,109,97,112,95,109,97,116,114,105,120,46,114,111,119,115,32,61,61,32,51,32,38,38,32,117,112,100,97,116,101,46,114,111,119,115,32,61,61,32,56,0,109,97,112,95,109,97,116,114,105,120,46,114,111,119,115,32,61,61,32,50,32,38,38,32,117,112,100,97,116,101,46,114,111,119,115,32,61,61,32,54,0,109,97,112,95,109,97,116,114,105,120,46,114,111,119,115,32,61,61,32,50,32,38,38,32,117,112,100,97,116,101,46,114,111,119,115,32,61,61,32,51,0,109,97,112,95,109,97,116,114,105,120,46,114,111,119,115,32,61,61,32,50,32,38,38,32,117,112,100,97,116,101,46,114,111,119,115,32,61,61,32,50,0,117,112,100,97,116,101,46,99,111,108,115,32,61,61,32,49,0,109,97,112,95,109,97,116,114,105,120,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,117,112,100,97,116,101,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,115,114,99,49,46,114,111,119,115,32,61,61,32,115,114,99,50,46,114,111,119,115,0,112,114,111,106,101,99,116,95,111,110,116,111,95,106,97,99,111,98,105,97,110,95,69,67,67,0,40,115,114,99,49,46,99,111,108,115,32,37,32,115,114,99,50,46,99,111,108,115,41,32,61,61,32,48,0,100,115,116,46,99,111,108,115,32,61,61,32,100,115,116,46,114,111,119,115,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,118,105,100,101,111,47,115,114,99,47,101,99,99,46,99,112,112,0,102,114,97,109,101,84,121,112,101,32,61,61,32,67,86,95,56,85,67,49,32,124,124,32,102,114,97,109,101,84,121,112,101,32,61,61,32,67,86,95,56,85,67,51,32,124,124,32,102,114,97,109,101,84,121,112,101,32,61,61,32,67,86,95,51,50,70,67,49,32,124,124,32,102,114,97,109,101,84,121,112,101,32,61,61,32,67,86,95,51,50,70,67,51,0,103,101,116,66,97,99,107,103,114,111,117,110,100,73,109,97,103,101,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,118,105,100,101,111,47,115,114,99,47,98,103,102,103,95,103,97,117,115,115,109,105,120,50,46,99,112,112,0,118,111,105,100,32,99,118,58,58,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,77,79,71,50,73,109,112,108,58,58,103,101,116,66,97,99,107,103,114,111,117,110,100,73,109,97,103,101,95,105,110,116,101,114,110,40,79,117,116,112,117,116,65,114,114,97,121,41,32,99,111,110,115,116,32,91,84,32,61,32,102,108,111,97,116,44,32,67,78,32,61,32,51,93,0,118,111,105,100,32,99,118,58,58,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,77,79,71,50,73,109,112,108,58,58,103,101,116,66,97,99,107,103,114,111,117,110,100,73,109,97,103,101,95,105,110,116,101,114,110,40,79,117,116,112,117,116,65,114,114,97,121,41,32,99,111,110,115,116,32,91,84,32,61,32,102,108,111,97,116,44,32,67,78,32,61,32,49,93,0,118,111,105,100,32,99,118,58,58,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,77,79,71,50,73,109,112,108,58,58,103,101,116,66,97,99,107,103,114,111,117,110,100,73,109,97,103,101,95,105,110,116,101,114,110,40,79,117,116,112,117,116,65,114,114,97,121,41,32,99,111,110,115,116,32,91,84,32,61,32,117,110,115,105,103,110,101,100,32,99,104,97,114,44,32,67,78,32,61,32,51,93,0,118,111,105,100,32,99,118,58,58,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,77,79,71,50,73,109,112,108,58,58,103,101,116,66,97,99,107,103,114,111,117,110,100,73,109,97,103,101,95,105,110,116,101,114,110,40,79,117,116,112,117,116,65,114,114,97,121,41,32,99,111,110,115,116,32,91,84,32,61,32,117,110,115,105,103,110,101,100,32,99,104,97,114,44,32,67,78,32,61,32,49,93,0,108,101,97,114,110,105,110,103,82,97,116,101,32,62,61,32,48,0,78,50,99,118,49,49,77,79,71,50,73,110,118,111,107,101,114,69,0,110,99,104,97,110,110,101,108,115,32,60,61,32,67,86,95,67,78,95,77,65,88,0,105,110,105,116,105,97,108,105,122,101,0,110,109,105,120,116,117,114,101,115,32,60,61,32,50,53,53,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,77,79,71,50,73,109,112,108,58,58,97,112,112,108,121,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,41,0,40,83,116,114,105,110,103,41,102,110,91,34,110,97,109,101,34,93,32,61,61,32,110,97,109,101,95,0,114,101,97,100,0,104,105,115,116,111,114,121,0,110,109,105,120,116,117,114,101,115,0,98,97,99,107,103,114,111,117,110,100,82,97,116,105,111,0,118,97,114,84,104,114,101,115,104,111,108,100,0,118,97,114,84,104,114,101,115,104,111,108,100,71,101,110,0,118,97,114,73,110,105,116,0,118,97,114,77,105,110,0,118,97,114,77,97,120,0,99,111,109,112,108,101,120,105,116,121,82,101,100,117,99,116,105,111,110,84,104,114,101,115,104,111,108,100,0,100,101,116,101,99,116,83,104,97,100,111,119,115,0,115,104,97,100,111,119,86,97,108,117,101,0,115,104,97,100,111,119,84,104,114,101,115,104,111,108,100,0,78,111,32,101,108,101,109,101,110,116,32,110,97,109,101,32,104,97,115,32,98,101,101,110,32,103,105,118,101,110,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,105,110,99,108,117,100,101,47,111,112,101,110,99,118,50,47,99,111,114,101,47,112,101,114,115,105,115,116,101,110,99,101,46,104,112,112,0,78,50,99,118,50,56,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,77,79,71,50,73,109,112,108,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,50,56,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,77,79,71,50,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,50,95,69,69,69,69,0,66,97,99,107,103,114,111,117,110,100,83,117,98,116,114,97,99,116,111,114,46,77,79,71,50,0,114,101,97,100,78,101,116,70,114,111,109,68,97,114,107,110,101,116,0,95,37,100,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,40,97,110,111,110,121,109,111,117,115,32,110,97,109,101,115,112,97,99,101,41,58,58,68,97,114,107,110,101,116,73,109,112,111,114,116,101,114,58,58,112,111,112,117,108,97,116,101,78,101,116,40,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,78,101,116,41,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,100,97,114,107,110,101,116,47,100,97,114,107,110,101,116,95,105,109,112,111,114,116,101,114,46,99,112,112,0,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,40,97,110,111,110,121,109,111,117,115,32,110,97,109,101,115,112,97,99,101,41,58,58,68,97,114,107,110,101,116,73,109,112,111,114,116,101,114,58,58,68,97,114,107,110,101,116,73,109,112,111,114,116,101,114,40,115,116,100,58,58,105,115,116,114,101,97,109,32,38,41,0,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,40,97,110,111,110,121,109,111,117,115,32,110,97,109,101,115,112,97,99,101,41,58,58,68,97,114,107,110,101,116,73,109,112,111,114,116,101,114,58,58,68,97,114,107,110,101,116,73,109,112,111,114,116,101,114,40,115,116,100,58,58,105,115,116,114,101,97,109,32,38,44,32,115,116,100,58,58,105,115,116,114,101,97,109,32,38,41,0,78,83,116,51,95,95,50,49,51,98,97,115,105,99,95,102,105,108,101,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,50,49,52,98,97,115,105,99,95,105,102,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,50,66,117,102,102,101,114,83,116,114,101,97,109,69,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,100,110,110,46,99,112,112,0,73,110,102,101,114,101,110,99,101,32,69,110,103,105,110,101,32,112,105,112,101,108,105,110,101,32,111,102,32,0,32,108,97,121,101,114,115,32,105,115,32,110,111,116,32,100,101,102,105,110,101,100,46,0,105,110,105,116,73,110,102,69,110,103,105,110,101,0,72,97,108,105,100,101,32,112,105,112,101,108,105,110,101,32,111,102,32,0,105,110,105,116,72,97,108,105,100,101,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,76,97,121,101,114,58,58,102,111,114,119,97,114,100,95,102,97,108,108,98,97,99,107,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,76,97,121,101,114,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,76,97,121,101,114,58,58,102,105,110,97,108,105,122,101,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,53,76,97,121,101,114,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,52,66,97,99,107,101,110,100,87,114,97,112,112,101,114,69,0,79,80,69,78,67,86,95,68,78,78,95,68,73,83,65,66,76,69,95,77,69,77,79,82,89,95,79,80,84,73,77,73,90,65,84,73,79,78,83,0,79,80,69,78,67,86,95,68,78,78,95,66,65,67,75,69,78,68,95,68,69,70,65,85,76,84,0,79,80,69,78,67,86,95,68,78,78,95,67,72,69,67,75,95,78,65,78,95,73,78,70,0,79,80,69,78,67,86,95,68,78,78,95,67,72,69,67,75,95,78,65,78,95,73,78,70,95,68,85,77,80,0,79,80,69,78,67,86,95,68,78,78,95,67,72,69,67,75,95,78,65,78,95,73,78,70,95,82,65,73,83,69,95,69,82,82,79,82,0,109,101,97,110,95,32,61,61,32,83,99,97,108,97,114,40,41,32,38,38,32,34,77,101,97,110,32,115,117,98,116,114,97,99,116,105,111,110,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,102,111,114,32,67,86,95,56,85,32,98,108,111,98,32,100,101,112,116,104,34,0,98,108,111,98,70,114,111,109,73,109,97,103,101,115,0,33,105,109,97,103,101,115,46,101,109,112,116,121,40,41,0,105,109,97,103,101,48,46,100,105,109,115,32,61,61,32,50,0,105,109,97,103,101,46,100,101,112,116,104,40,41,32,61,61,32,98,108,111,98,95,46,100,101,112,116,104,40,41,0,105,109,97,103,101,46,100,105,109,115,32,61,61,32,50,32,38,38,32,40,110,99,104,32,61,61,32,51,32,124,124,32,110,99,104,32,61,61,32,52,41,0,105,109,97,103,101,46,115,105,122,101,40,41,32,61,61,32,105,109,97,103,101,48,46,115,105,122,101,40,41,0,105,109,97,103,101,46,100,105,109,115,32,61,61,32,50,32,38,38,32,40,110,99,104,32,61,61,32,49,41,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,98,108,111,98,70,114,111,109,73,109,97,103,101,115,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,83,105,122,101,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,44,32,98,111,111,108,44,32,98,111,111,108,44,32,105,110,116,41,0,83,99,97,108,105,110,103,32,105,115,32,110,111],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+378884);allocate([116,32,115,117,112,112,111,114,116,101,100,32,102,111,114,32,67,86,95,56,85,32,98,108,111,98,32,100,101,112,116,104,0,115,99,97,108,101,102,97,99,116,111,114,0,49,46,48,0,66,108,111,98,32,100,101,112,116,104,32,115,104,111,117,108,100,32,98,101,32,67,86,95,51,50,70,32,111,114,32,67,86,95,56,85,0,100,100,101,112,116,104,0,100,100,101,112,116,104,32,61,61,32,67,86,95,51,50,70,32,124,124,32,100,100,101,112,116,104,32,61,61,32,67,86,95,56,85,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,98,108,111,98,70,114,111,109,73,109,97,103,101,40,73,110,112,117,116,65,114,114,97,121,44,32,79,117,116,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,99,111,110,115,116,32,83,105,122,101,32,38,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,44,32,98,111,111,108,44,32,98,111,111,108,44,32,105,110,116,41,0,99,118,58,58,77,97,116,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,98,108,111,98,70,114,111,109,73,109,97,103,101,40,73,110,112,117,116,65,114,114,97,121,44,32,100,111,117,98,108,101,44,32,99,111,110,115,116,32,83,105,122,101,32,38,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,44,32,98,111,111,108,44,32,98,111,111,108,44,32,105,110,116,41,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,51,78,101,116,52,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,53,95,69,69,69,69,0,95,105,110,112,117,116,0,95,95,78,101,116,73,110,112,117,116,76,97,121,101,114,95,95,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,57,68,97,116,97,76,97,121,101,114,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,52,95,69,69,69,69,0,105,110,112,117,116,115,46,115,105,122,101,40,41,32,61,61,32,114,101,113,117,105,114,101,100,79,117,116,112,117,116,115,0,109,101,97,110,32,61,61,32,83,99,97,108,97,114,40,41,32,124,124,32,105,110,112,117,116,115,68,97,116,97,91,105,93,46,115,105,122,101,91,49,93,32,60,61,32,52,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,68,97,116,97,76,97,121,101,114,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,111,117,116,112,117,116,115,91,105,93,46,116,121,112,101,40,41,0,111,117,116,112,117,116,115,46,115,105,122,101,40,41,32,61,61,32,115,99,97,108,101,70,97,99,116,111,114,115,46,115,105,122,101,40,41,0,111,117,116,112,117,116,115,46,115,105,122,101,40,41,32,61,61,32,109,101,97,110,115,46,115,105,122,101,40,41,0,105,110,112,117,116,115,68,97,116,97,46,115,105,122,101,40,41,32,61,61,32,111,117,116,112,117,116,115,46,115,105,122,101,40,41,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,57,68,97,116,97,76,97,121,101,114,69,0,76,97,121,101,114,32,34,0,34,32,97,108,114,101,97,100,121,32,105,110,116,111,32,110,101,116,0,97,100,100,76,97,121,101,114,0,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,76,97,121,101,114,68,97,116,97,58,58,76,97,121,101,114,68,97,116,97,40,105,110,116,44,32,99,111,110,115,116,32,99,118,58,58,83,116,114,105,110,103,32,38,44,32,99,111,110,115,116,32,99,118,58,58,83,116,114,105,110,103,32,38,44,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,76,97,121,101,114,80,97,114,97,109,115,32,38,41,0,105,110,116,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,78,101,116,58,58,97,100,100,76,97,121,101,114,40,99,111,110,115,116,32,99,118,58,58,83,116,114,105,110,103,32,38,44,32,99,111,110,115,116,32,99,118,58,58,83,116,114,105,110,103,32,38,44,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,76,97,121,101,114,80,97,114,97,109,115,32,38,41,0,111,117,116,76,97,121,101,114,73,100,32,60,32,105,110,76,97,121,101,114,73,100,0,76,97,121,101,114,32,119,105,116,104,32,114,101,113,117,101,115,116,101,100,32,105,100,61,37,100,32,110,111,116,32,102,111,117,110,100,0,103,101,116,76,97,121,101,114,68,97,116,97,0,73,110,112,117,116,32,35,37,100,32,111,102,32,108,97,121,101,114,32,34,37,115,34,32,97,108,114,101,97,100,121,32,119,97,115,32,99,111,110,110,101,99,116,101,100,0,97,100,100,76,97,121,101,114,73,110,112,117,116,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,78,101,116,58,58,99,111,110,110,101,99,116,40,105,110,116,44,32,105,110,116,44,32,105,110,116,44,32,105,110,116,41,0,67,97,110,39,116,32,99,114,101,97,116,101,32,108,97,121,101,114,32,34,0,34,32,111,102,32,116,121,112,101,32,34,0,103,101,116,76,97,121,101,114,73,110,115,116,97,110,99,101,0,33,105,116,45,62,115,101,99,111,110,100,46,101,109,112,116,121,40,41,0,99,114,101,97,116,101,76,97,121,101,114,73,110,115,116,97,110,99,101,0,116,121,112,101,0,115,116,97,116,105,99,32,80,116,114,60,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,76,97,121,101,114,62,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,76,97,121,101,114,70,97,99,116,111,114,121,58,58,99,114,101,97,116,101,76,97,121,101,114,73,110,115,116,97,110,99,101,40,99,111,110,115,116,32,99,118,58,58,83,116,114,105,110,103,32,38,44,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,76,97,121,101,114,80,97,114,97,109,115,32,38,41,0,80,116,114,60,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,76,97,121,101,114,62,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,76,97,121,101,114,68,97,116,97,58,58,103,101,116,76,97,121,101,114,73,110,115,116,97,110,99,101,40,41,0,82,101,113,117,101,115,116,101,100,32,98,108,111,98,32,110,111,116,32,102,111,117,110,100,0,103,101,116,66,108,111,98,0,76,97,121,101,114,32,34,37,115,34,32,112,114,111,100,117,99,101,32,111,110,108,121,32,37,100,32,111,117,116,112,117,116,115,44,32,116,104,101,32,35,37,100,32,119,97,115,32,114,101,113,117,101,115,116,101,100,0,33,108,100,46,111,117,116,112,117,116,66,108,111,98,115,87,114,97,112,112,101,114,115,46,101,109,112,116,121,40,41,32,38,38,32,33,108,100,46,111,117,116,112,117,116,66,108,111,98,115,87,114,97,112,112,101,114,115,91,112,105,110,46,111,105,100,93,46,101,109,112,116,121,40,41,0,99,118,58,58,77,97,116,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,78,101,116,58,58,73,109,112,108,58,58,103,101,116,66,108,111,98,40,99,111,110,115,116,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,76,97,121,101,114,80,105,110,32,38,41,0,87,65,82,78,73,78,71,58,32,78,97,78,32,100,101,116,101,99,116,101,100,32,105,110,32,108,97,121,101,114,32,111,117,116,112,117,116,58,32,105,100,61,0,32,110,97,109,101,61,0,111,117,116,112,117,116,32,105,100,61,0,32,111,117,116,112,117,116,32,115,104,97,112,101,61,0,87,65,82,78,73,78,71,58,32,73,110,102,32,100,101,116,101,99,116,101,100,32,105,110,32,108,97,121,101,114,32,111,117,116,112,117,116,58,32,105,100,61,0,73,78,80,85,84,32,0,79,85,84,80,85,84,32,0,73,78,84,69,82,78,65,76,32,0,33,102,97,105,108,0,102,111,114,119,97,114,100,76,97,121,101,114,0,32,105,115,32,78,85,76,76,0,33,110,111,100,101,46,101,109,112,116,121,40,41,0,85,110,107,110,111,119,110,32,98,97,99,107,101,110,100,32,105,100,101,110,116,105,102,105,101,114,0,119,114,97,112,112,101,114,115,46,115,105,122,101,40,41,32,61,61,32,117,109,97,116,115,46,115,105,122,101,40,41,0,117,112,100,97,116,101,0,33,117,109,97,116,87,114,97,112,112,101,114,46,101,109,112,116,121,40,41,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,50,48,79,112,101,110,67,76,66,97,99,107,101,110,100,87,114,97,112,112,101,114,69,0,32,93,0,103,101,116,85,77,97,116,86,101,99,116,111,114,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,78,101,116,58,58,73,109,112,108,58,58,102,111,114,119,97,114,100,76,97,121,101,114,40,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,76,97,121,101,114,68,97,116,97,32,38,41,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,78,101,116,58,58,73,109,112,108,58,58,102,111,114,119,97,114,100,84,111,76,97,121,101,114,40,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,76,97,121,101,114,68,97,116,97,32,38,44,32,98,111,111,108,41,0,82,101,113,117,101,115,116,101,100,32,108,97,121,101,114,32,34,0,34,32,110,111,116,32,102,111,117,110,100,0,112,114,101,102,101,114,97,98,108,101,66,97,99,107,101,110,100,32,33,61,32,68,78,78,95,66,65,67,75,69,78,68,95,79,80,69,78,67,86,32,124,124,32,112,114,101,102,101,114,97,98,108,101,84,97,114,103,101,116,32,61,61,32,68,78,78,95,84,65,82,71,69,84,95,67,80,85,32,124,124,32,112,114,101,102,101,114,97,98,108,101,84,97,114,103,101,116,32,61,61,32,68,78,78,95,84,65,82,71,69,84,95,79,80,69,78,67,76,32,124,124,32,112,114,101,102,101,114,97,98,108,101,84,97,114,103,101,116,32,61,61,32,68,78,78,95,84,65,82,71,69,84,95,79,80,69,78,67,76,95,70,80,49,54,0,115,101,116,85,112,78,101,116,0,112,114,101,102,101,114,97,98,108,101,66,97,99,107,101,110,100,32,33,61,32,68,78,78,95,66,65,67,75,69,78,68,95,72,65,76,73,68,69,32,124,124,32,112,114,101,102,101,114,97,98,108,101,84,97,114,103,101,116,32,61,61,32,68,78,78,95,84,65,82,71,69,84,95,67,80,85,32,124,124,32,112,114,101,102,101,114,97,98,108,101,84,97,114,103,101,116,32,61,61,32,68,78,78,95,84,65,82,71,69,84,95,79,80,69,78,67,76,0,112,114,101,102,101,114,97,98,108,101,66,97,99,107,101,110,100,32,33,61,32,68,78,78,95,66,65,67,75,69,78,68,95,73,78,70,69,82,69,78,67,69,95,69,78,71,73,78,69,32,124,124,32,112,114,101,102,101,114,97,98,108,101,84,97,114,103,101,116,32,61,61,32,68,78,78,95,84,65,82,71,69,84,95,67,80,85,32,124,124,32,112,114,101,102,101,114,97,98,108,101,84,97,114,103,101,116,32,61,61,32,68,78,78,95,84,65,82,71,69,84,95,79,80,69,78,67,76,32,124,124,32,112,114,101,102,101,114,97,98,108,101,84,97,114,103,101,116,32,61,61,32,68,78,78,95,84,65,82,71,69,84,95,79,80,69,78,67,76,95,70,80,49,54,32,124,124,32,112,114,101,102,101,114,97,98,108,101,84,97,114,103,101,116,32,61,61,32,68,78,78,95,84,65,82,71,69,84,95,77,89,82,73,65,68,0,68,78,78,58,32,79,112,101,110,67,76,32,116,97,114,103,101,116,32,105,115,32,110,111,116,32,97,118,97,105,108,97,98,108,101,32,105,110,32,116,104,105,115,32,79,112,101,110,67,86,32,98,117,105,108,100,44,32,115,119,105,116,99,104,105,110,103,32,116,111,32,67,80,85,46,0,105,116,32,33,61,32,108,97,121,101,114,115,46,101,110,100,40,41,0,112,114,101,102,101,114,97,98,108,101,66,97,99,107,101,110,100,32,33,61,32,68,78,78,95,66,65,67,75,69,78,68,95,72,65,76,73,68,69,0,112,114,101,102,101,114,97,98,108,101,84,97,114,103,101,116,32,61,61,32,68,78,78,95,84,65,82,71,69,84,95,67,80,85,32,124,124,32,73,83,95,68,78,78,95,79,80,69,78,67,76,95,84,65,82,71,69,84,40,112,114,101,102,101,114,97,98,108,101,84,97,114,103,101,116,41,0,105,110,105,116,66,97,99,107,101,110,100,0,112,114,101,102,101,114,97,98,108,101,66,97,99,107,101,110,100,32,61,61,32,68,78,78,95,66,65,67,75,69,78,68,95,73,78,70,69,82,69,78,67,69,95,69,78,71,73,78,69,0,105,110,105,116,73,110,102,69,110,103,105,110,101,66,97,99,107,101,110,100,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,78,101,116,58,58,73,109,112,108,58,58,105,110,105,116,73,110,102,69,110,103,105,110,101,66,97,99,107,101,110,100,40,41,0,112,114,101,102,101,114,97,98,108,101,66,97,99,107,101,110,100,32,61,61,32,68,78,78,95,66,65,67,75,69,78,68,95,72,65,76,73,68,69,0,105,110,105,116,72,97,108,105,100,101,66,97,99,107,101,110,100,0,104,97,118,101,72,97,108,105,100,101,40,41,0,33,108,100,66,111,116,46,98,97,99,107,101,110,100,78,111,100,101,115,91,112,114,101,102,101,114,97,98,108,101,66,97,99,107,101,110,100,93,46,101,109,112,116,121,40,41,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,78,101,116,58,58,73,109,112,108,58,58,105,110,105,116,72,97,108,105,100,101,66,97,99,107,101,110,100,40,41,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,78,101,116,58,58,73,109,112,108,58,58,105,110,105,116,66,97,99,107,101,110,100,40,41,0,33,108,97,121,101,114,115,91,48,93,46,111,117,116,112,117,116,66,108,111,98,115,46,101,109,112,116,121,40,41,0,97,108,108,111,99,97,116,101,76,97,121,101,114,115,0,105,110,112,46,116,111,116,97,108,40,41,0,102,105,114,115,116,67,111,110,118,76,97,121,101,114,68,97,116,97,45,62,111,117,116,112,117,116,66,108,111,98,115,87,114,97,112,112,101,114,115,46,115,105,122,101,40,41,32,61,61,32,49,32,38,38,32,108,100,46,105,110,112,117,116,66,108,111,98,115,87,114,97,112,112,101,114,115,46,115,105,122,101,40,41,32,61,61,32,49,0,102,117,115,101,76,97,121,101,114,115,0,108,100,46,111,117,116,112,117,116,66,108,111,98,115,46,115,105,122,101,40,41,32,61,61,32,49,0,108,100,46,111,117,116,112,117,116,66,108,111,98,115,87,114,97,112,112,101,114,115,46,115,105,122,101,40,41,32,61,61,32,49,0,111,117,116,112,117,116,95,115,108,105,99,101,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,32,38,38,32,111,117,116,112,117,116,95,115,108,105,99,101,46,115,105,122,101,32,61,61,32,99,117,114,114,95,111,117,116,112,117,116,46,115,105,122,101,0,99,117,114,114,95,111,117,116,112,117,116,46,100,97,116,97,32,61,61,32,111,117,116,112,117,116,95,115,108,105,99,101,46,100,97,116,97,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,49,67,111,110,99,97,116,76,97,121,101,114,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,50,80,111,111,108,105,110,103,76,97,121,101,114,69,0,73,83,95,68,78,78,95,79,80,69,78,67,76,95,84,65,82,71,69,84,40,112,114,101,102,101,114,97,98,108,101,84,97,114,103,101,116,41,0,119,114,97,112,0,85,110,107,110,111,119,110,32,116,97,114,103,101,116,32,105,100,101,110,116,105,102,105,101,114,0,119,114,97,112,77,97,116,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,50,48,79,112,101,110,67,76,66,97,99,107,101,110,100,87,114,97,112,112,101,114,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,52,95,69,69,69,69,0,33,98,97,115,101,46,101,109,112,116,121,40,41,0,79,112,101,110,67,76,66,97,99,107,101,110,100,87,114,97,112,112,101,114,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,54,67,111,110,118,111,108,117,116,105,111,110,76,97,121,101,114,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,50,48,66,97,115,101,67,111,110,118,111,108,117,116,105,111,110,76,97,121,101,114,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,50,69,108,116,119,105,115,101,76,97,121,101,114,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,53,65,99,116,105,118,97,116,105,111,110,76,97,121,101,114,69,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,78,101,116,58,58,73,109,112,108,58,58,102,117,115,101,76,97,121,101,114,115,40,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,76,97,121,101,114,80,105,110,62,32,38,41,0,102,114,111,109,46,118,97,108,105,100,40,41,0,97,108,108,111,99,97,116,101,76,97,121,101,114,0,108,97,121,101,114,83,104,97,112,101,115,73,116,32,33,61,32,108,97,121,101,114,115,83,104,97,112,101,115,46,101,110,100,40,41,0,108,100,46,114,101,113,117,105,114,101,100,79,117,116,112,117,116,115,46,115,105,122,101,40,41,32,60,61,32,111,117,116,83,104,97,112,101,115,46,115,105,122,101,40,41,0,97,108,108,111,99,97,116,101,66,108,111,98,115,70,111,114,76,97,121,101,114,0,108,100,46,105,110,112,117,116,66,108,111,98,115,91,48,93,45,62,116,111,116,97,108,40,41,32,61,61,32,116,111,116,97,108,40,115,104,97,112,101,115,91,105,110,100,101,120,93,41,0,109,97,112,73,116,32,33,61,32,114,101,117,115,101,77,97,112,46,101,110,100,40,41,0,114,101,108,101,97,115,101,82,101,102,101,114,101,110,99,101,0,114,101,102,73,116,32,33,61,32,114,101,102,67,111,117,110,116,101,114,46,101,110,100,40,41,0,114,101,102,73,116,45,62,115,101,99,111,110,100,32,62,32,48,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,76,97,121,101,114,58,58,102,105,110,97,108,105,122,101,40,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,77,97,116,62,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,77,97,116,62,32,38,41,0,109,101,109,72,111,115,116,115,46,102,105,110,100,40,108,112,41,32,61,61,32,109,101,109,72,111,115,116,115,46,101,110,100,40,41,0,97,100,100,72,111,115,116,0,114,101,117,115,101,77,97,112,46,102,105,110,100,40,117,115,101,114,41,32,61,61,32,114,101,117,115,101,77,97,112,46,101,110,100,40,41,0,114,101,117,115,101,0,114,101,117,115,101,77,97,112,46,102,105,110,100,40,104,111,115,116,41,32,33,61,32,114,101,117,115,101,77,97,112,46,101,110,100,40,41,0,110,117,109,82,101,102,101,114,101,110,99,101,115,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,66,108,111,98,77,97,110,97,103,101,114,58,58,97,108,108,111,99,97,116,101,66,108,111,98,115,70,111,114,76,97,121,101,114,40,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,76,97,121,101,114,68,97,116,97,32,38,44,32,99,111,110,115,116,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,40,97,110,111,110,121,109,111,117,115,32,110,97,109,101,115,112,97,99,101,41,58,58,76,97,121,101,114,83,104,97,112,101,115,32,38,44,32,115,116,100,58,58,118,101,99,116,111,114,60,76,97,121,101,114,80,105,110,62,32,38,44,32,98,111,111,108,41,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,78,101,116,58,58,73,109,112,108,58,58,97,108,108,111,99,97,116,101,76,97,121,101,114,40,105,110,116,44,32,99,111,110,115,116,32,76,97,121,101,114,115,83,104,97,112,101,115,77,97,112,32,38,41,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,66,108,111,98,77,97,110,97,103,101,114,58,58,114,101,115,101,116,40,41,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,78,101,116,58,58,73,109,112,108,58,58,97,108,108,111,99,97,116,101,76,97,121,101,114,115,40,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,76,97,121,101,114,80,105,110,62,32,38,41,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,78,101,116,58,58,73,109,112,108,58,58,99,108,101,97,114,40,41,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,78,101,116,58,58,73,109,112,108,58,58,115,101,116,85,112,78,101,116,40,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,76,97,121,101,114,80,105,110,62,32,38,41,0,99,118,58,58,77,97,116,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,78,101,116,58,58,102,111,114,119,97,114,100,40,99,111,110,115,116,32,99,118,58,58,83,116,114,105,110,103,32,38,41,0,33,108,100,46,111,117,116,112,117,116,66,108,111,98,115,87,114,97,112,112,101,114,115,91,105,93,46,101,109,112,116,121,40,41,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,78,101,116,58,58,102,111,114,119,97,114,100,40,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,99,111,110,115,116,32,99,118,58,58,83,116,114,105,110,103,32,38,41,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,78,101,116,58,58,102,111,114,119,97,114,100,40,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,83,116,114,105,110,103,62,32,38,41,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,78,101,116,58,58,115,101,116,73,110,112,117,116,115,78,97,109,101,115,40,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,83,116,114,105,110,103,62,32,38,41,0,82,101,113,117,101,115,116,101,100,32,98,108,111,98,32,34,0,115,101,116,73,110,112,117,116,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,78,101,116,58,58,115,101,116,73,110,112,117,116,40,73,110,112,117,116,65,114,114,97,121,44,32,99,111,110,115,116,32,99,118,58,58,83,116,114,105,110,103,32,38,44,32,100,111,117,98,108,101,44,32,99,111,110,115,116,32,83,99,97,108,97,114,32,38,41,0,105,115,83,116,114,105,110,103,40,41,0,40,105,100,120,32,61,61,32,45,49,32,38,38,32,112,115,45,62,115,105,122,101,40,41,32,61,61,32,49,41,32,124,124,32,40,105,100,120,32,62,61,32,48,32,38,38,32,105,100,120,32,60,32,40,105,110,116,41,112,115,45,62,115,105,122,101,40,41,41,0,102,114,97,99,112,97,114,116,32,61,61,32,48,46,48,0,105,115,73,110,116,40,41,32,124,124,32,105,115,82,101,97,108,40,41,32,124,124,32,105,115,83,116,114,105,110,103,40,41,0,34,32,97,108,114,101,97,100,121,32,119,97,115,32,114,101,103,105,115,116,101,114,101,100,0,114,101,103,105,115,116,101,114,76,97,121,101,114,0,115,116,97,116,105,99,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,76,97,121,101,114,70,97,99,116,111,114,121,58,58,114,101,103,105,115,116,101,114,76,97,121,101,114,40,99,111,110,115,116,32,99,118,58,58,83,116,114,105,110,103,32,38,44,32,67,111,110,115,116,114,117,99,116,111,114,41,0,105,116,32,33,61,32,100,97,116,97,95,108,97,121,111,117,116,115,46,101,110,100,40,41,0,112,114,101,100,105,99,116,79,117,116,112,117,116,68,97,116,97,76,97,121,111,117,116,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,116,101,110,115,111,114,102,108,111,119,47,116,102,95,105,109,112,111,114,116,101,114,46,99,112,112,0,67,111,110,118,50,68,0,83,112,97,99,101,84,111,66,97,116,99,104,78,68,0,68,101,112,116,104,119,105,115,101,67,111,110,118,50,100,78,97,116,105,118,101,0,80,97,100,0,108,97,121,101,114,46,105,110,112,117,116,95,115,105,122,101,40,41,32,61,61,32,51,0,116,101,110,115,111,114,46,100,116,121,112,101,40,41,32,61,61,32,116,101,110,115,111,114,102,108,111,119,58,58,68,84,95,73,78,84,51,50,0,112,97,114,115,101,68,105,109,115,0,100,105,109,115,32,61,61,32,49,0,118,97,108,117,101,115,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,83,67,49,0,100,105,108,97,116,105,111,110,46,115,105,122,101,40,41,32,61,61,32,50,0,115,105,122,101,32,61,61,32,40,105,110,116,41,100,115,116,66,108,111,98,46,116,111,116,97,108,40,41,0,112,97,114,115,101,84,101,110,115,111,114,0,100,115,116,95,105,32,60,32,116,111,116,97,108,0,115,114,99,95,105,32,60,32,116,111,116,97,108,0,110,101,120,116,95,108,97,121,101,114,115,46,115,105,122,101,40,41,32,61,61,32,49,0,112,97,100,100,105,110,103,115,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,83,67,49,0,66,105,97,115,65,100,100,0,110,117,109,87,101,105,103,104,116,115,32,37,32,52,32,61,61,32,48,0,33,108,111,99,80,114,101,100,84,114,97,110,115,112,111,115,101,100,0,66,97,116,99,104,84,111,83,112,97,99,101,78,68,0,33,104,97,118,101,67,111,110,115,116,32,124,124,32,108,97,121,101,114,46,105,110,112,117,116,95,115,105,122,101,40,41,32,61,61,32,50,0,118,97,108,117,101,115,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,67,49,0,73,110,112,117,116,32,108,97,121,101,114,32,110,111,116,32,102,111,117,110,100,58,32,0,104,97,118,101,67,111,110,115,116,0,77,97,116,77,117,108,0,108,97,121,101,114,46,105,110,112,117,116,95,115,105,122,101,40,41,32,61,61,32,50,0,47,110,99,104,119,0,108,97,121,101,114,95,105,100,46,102,105,110,100,40,112,101,114,109,78,97,109,101,41,32,61,61,32,108,97,121,101,114,95,105,100,46,101,110,100,40,41,0,83,113,117,101,101,122,101,0,115,113,117,101,101,122,101,95,100,105,109,115,0,104,97,115,76,97,121,101,114,65,116,116,114,40,108,97,121,101,114,44,32,34,115,113,117,101,101,122,101,95,100,105,109,115,34,41,0,85,110,115,117,112,112,111,114,116,101,100,32,115,113,117,101,101,122,101,32,99,111,110,102,105,103,117,114,97,116,105,111,110,0,84,114,97,110,115,112,111,115,101,0,112,101,114,109,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,83,67,49,0,79,110,108,121,32,78,72,87,67,32,60,45,62,32,78,67,72,87,32,112,101,114,109,117,116,97,116,105,111,110,115,32,97,114,101,32,97,108,108,111,119,101,100,46,0,100,101,112,116,104,95,114,97,100,105,117,115,0,67,111,110,99,97,116,86,50,0,45,52,32,60,61,32,105,100,120,32,38,38,32,105,100,120,32,60,32,52,0,116,111,78,67,72,87,0,77,97,120,80,111,111,108,0,65,118,103,80,111,111,108,0,80,108,97,99,101,104,111,108,100,101,114,0,100,116,121,112,101,0,33,98,101,103,105,110,115,46,101,109,112,116,121,40,41,0,33,115,105,122,101,115,46,101,109,112,116,121,40,41,0,115,99,97,108,101,77,97,116,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,67,49,0,110,101,116,46,110,111,100,101,40,109,97,120,105,109,117,109,76,97,121,101,114,73,100,120,41,46,105,110,112,117,116,95,115,105,122,101,40,41,32,61,61,32,50,0,69,120,112,101,99,116,101,100,32,103,97,109,109,97,44,32,98,101,116,97,44,32,109,101,97,110,32,97,110,100,32,115,116,100,0,105,115,95,116,114,97,105,110,105,110,103,0,67,97,110,110,111,116,32,100,101,116,101,114,109,105,110,101,32,110,117,109,98,101,114,32,111,102,32,112,97,114,97,109,101,116,101,114,115,32,102,111,114,32,98,97,116,99,104,32,110,111,114,109,97,108,105,122,97,116,105,111,110,32,108,97,121,101,114,46,0,108,97,121,101,114,95,105,100,46,102,105,110,100,40,109,118,110,78,97,109,101,41,32,61,61,32,108,97,121,101,114,95,105,100,46,101,110,100,40,41,0,69,120,112,101,99,116,101,100,32,111,117,116,112,117,116,32,115,104,97,112,101,44,32,119,101,105,103,104,116,115,32,97,110,100,32,105,110,112,117,116,32,110,111,100,101,115,0,66,108,111,99,107,76,83,84,77,0,85,110,101,120,112,101,99,116,101,100,32,110,117,109,98,101,114,32,111,102,32,105,110,112,117,116,32,110,111,100,101,115,0,108,97,121,101,114,46,105,110,112,117,116,95,115,105,122,101,40,41,32,61,61,32,50,32,124,124,32,108,97,121,101,114,46,105,110,112,117,116,95,115,105,122,101,40,41,32,61,61,32,51,0,114,101,100,117,99,116,105,111,110,73,110,100,105,99,101,115,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,83,67,49,0,114,101,100,117,99,116,105,111,110,73,110,100,105,99,101,115,46,97,116,60,105,110,116,62,40,105,41,32,61,61,32,114,101,100,117,99,116,105,111,110,73,110,100,105,99,101,115,46,97,116,60,105,110,116,62,40,105,32,45,32,49,41,32,43,32,49,0,114,101,100,117,99,116,105,111,110,73,110,100,105,99,101,115,46,97,116,60,105,110,116,62,40,105,41,32,42,32,114,101,100,117,99,116,105,111,110,73,110,100,105,99,101,115,46,97,116,60,105,110,116,62,40,105,32,45,32,49,41,32,62,61,32,48,0,80,114,105,111,114,66,111,120,0,115,99,97,108,101,115,0,77,101,97,110,0,105,110,100,105,99,101,115,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,83,67,49,0,85,110,115,117,112,112,111,114,116,101,100,32,109,111,100,101,32,111,102,32,114,101,100,117,99,101,95,109,101,97,110,32,111,112,101,114,97,116,105,111,110,46,0,107,101,101,112,95,100,105,109,115,0,108,97,121,101,114,95,105,100,46,102,105,110,100,40,102,108,97,116,116,101,110,78,97,109,101,41,32,61,61,32,108,97,121,101,114,95,105,100,46,101,110,100,40,41,0,67,108,105,112,66,121,86,97,108,117,101,0,65,98,115,0,82,101,108,117,0,69,108,117,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,40,97,110,111,110,121,109,111,117,115,32,110,97,109,101,115,112,97,99,101,41,58,58,84,70,73,109,112,111,114,116,101,114,58,58,112,111,112,117,108,97,116,101,78,101,116,40,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,78,101,116,41,0,109,97,120,86,97,108,117,101,46,116,121,112,101,40,41,0,109,97,120,86,97,108,117,101,46,116,111,116,97,108,40,41,0,109,105,110,86,97,108,117,101,46,116,121,112,101,40,41,0,109,105,110,86,97,108,117,101,46,116,111,116,97,108,40,41,0,99,114,111,112,83,105,122,101,46,116,111,116,97,108,40,41,0,99,114,111,112,83,105,122,101,46,116,121,112,101,40,41,0,102,97,99,116,111,114,87,105,100,116,104,46,116,111,116,97,108,40,41,0,102,97,99,116,111,114,87,105,100,116,104,46,116,121,112,101,40,41,0,102,97,99,116,111,114,72,101,105,103,104,116,46,116,111,116,97,108,40,41,0,102,97,99,116,111,114,72,101,105,103,104,116,46,116,121,112,101,40,41,0,111,117,116,83,105,122,101,46,116,111,116,97,108,40,41,0,111,117,116,83,105,122,101,46,116,121,112,101,40,41,0,82,101,113,117,105,114,101,100,32,97,114,103,117,109,101,110,116,32,34,0,34,32,110,111,116,32,102,111,117,110,100,32,105,110,116,111,32,100,105,99,116,105,111,110,97,114,121,0,115,105,122,101,115,46,116,121,112,101,40,41,0,98,101,103,105,110,115,46,116,121,112,101,40,41,0,107,115,105,122,101,0,85,110,115,117,112,112,111,114,116,101,100,32,107,115,105,122,101,0,115,101,116,75,83,105,122,101,0,85,110,115,117,112,112,111,114,116,101,100,32,115,116,114,105,100,101,115,0,115,101,116,83,116,114,105,100,101,115,0,116,101,110,115,111,114,46,100,116,121,112,101,40,41,32,61,61,32,116,101,110,115,111,114,102,108,111,119,58,58,68,84,95,70,76,79,65,84,32,124,124,32,116,101,110,115,111,114,46,100,116,121,112,101,40,41,32,61,61,32,116,101,110,115,111,114,102,108,111,119,58,58,68,84,95,72,65,76,70,0,107,101,114,110,101,108,70,114,111,109,84,101,110,115,111,114,0,100,105,109,115,32,61,61,32,52,0,98,108,111,98,70,114,111,109,84,101,110,115,111,114,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,109,97,112,46,104,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,105,116,32,33,61,32,101,110,100,40,41,58,32,0,107,101,121,32,110,111,116,32,102,111,117,110,100,58,32,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,51,77,97,112,73,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,50,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,50,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,57,65,116,116,114,86,97,108,117,101,69,69,56,73,110,110,101,114,77,97,112,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,52,104,97,115,104,73,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,50,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,50,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,69,69,0,99,111,110,110,101,99,116,0,85,110,107,110,111,119,110,32,115,104,97,112,101,32,111,102,32,105,110,112,117,116,32,116,101,110,115,111,114,0,98,108,111,98,83,104,97,112,101,70,114,111,109,84,101,110,115,111,114,0,77,111,114,101,32,116,104,97,110,32,111,110,101,32,105,110,112,117,116,32,105,115,32,67,111,110,115,116,32,111,112,0,103,101,116,67,111,110,115,116,66,108,111,98,0,67,111,110,115,116,32,105,110,112,117,116,32,98,108,111,98,32,102,111,114,32,119,101,105,103,104,116,115,32,110,111,116,32,102,111,117,110,100,0,73,110,112,117,116,32,91,0,93,32,102,111,114,32,110,111,100,101,32,91,0,93,32,110,111,116,32,102,111,117,110,100,0,85,110,115,117,112,112,111,114,116,101,100,32,107,101,114,110,101,108,32,105,110,112,117,116,0,110,111,100,101,73,100,120,32,60,32,110,101,116,84,120,116,46,110,111,100,101,95,115,105,122,101,40,41,0,110,101,116,84,120,116,46,110,111,100,101,40,110,111,100,101,73,100,120,41,46,110,97,109,101,40,41,32,61,61,32,107,101,114,110,101,108,95,105,110,112,46,110,97,109,101,0,109,97,112,58,58,97,116,58,32,32,107,101,121,32,110,111,116,32,102,111,117,110,100,0,68,101,113,117,97,110,116,105,122,101,0,97,100,100,67,111,110,115,116,78,111,100,101,115,0,99,111,110,115,116,95,108,97,121,101,114,115,46,102,105,110,100,40,108,97,121,101,114,46,105,110,112,117,116,40,105,41,41,32,33,61,32,99,111,110,115,116,95,108,97,121,101,114,115,46,101,110,100,40,41,0,77,73,78,95,70,73,82,83,84,0,104,97,115,76,97,121,101,114,65,116,116,114,40,108,97,121,101,114,44,32,34,109,111,100,101,34,41,32,38,38,32,103,101,116,76,97,121,101,114,65,116,116,114,40,108,97,121,101,114,44,32,34,109,111,100,101,34,41,46,115,40,41,32,61,61,32,34,77,73,78,95,70,73,82,83,84,34,0,116,101,110,115,111,114,45,62,100,116,121,112,101,40,41,32,61,61,32,116,101,110,115,111,114,102,108,111,119,58,58,68,84,95,81,85,73,78,84,56,0,113,77,105,110,46,116,111,116,97,108,40,41,32,61,61,32,49,0,113,77,105,110,46,116,121,112,101,40,41,32,61,61,32,40,40,40,53,41,32,38,32,40,40,49,32,60,60,32,51,41,32,45,32,49,41,41,32,43,32,40,40,40,49,41,45,49,41,32,60,60,32,51,41,41,0,113,77,97,120,46,116,111,116,97,108,40,41,32,61,61,32,49,0,113,77,97,120,46,116,121,112,101,40,41,32,61,61,32,40,40,40,53,41,32,38,32,40,40,49,32,60,60,32,51,41,32,45,32,49,41,41,32,43,32,40,40,40,49,41,45,49,41,32,60,60,32,51,41,41,0,114,97,110,103,101,83,99,97,108,101,32,62,61,32,48,0,99,111,110,115,116,95,108,97,121,101,114,115,46,105,110,115,101,114,116,40,115,116,100,58,58,109,97,107,101,95,112,97,105,114,40,110,97,109,101,44,32,116,101,110,115,111,114,73,100,41,41,46,115,101,99,111,110,100,0,99,111,110,115,116,95,108,97,121,101,114,115,46,105,110,115,101,114,116,40,115,116,100,58,58,109,97,107,101,95,112,97,105,114,40,110,97,109,101,44,32,108,105,41,41,46,115,101,99,111,110,100,0,100,97,116,97,95,102,111,114,109,97,116,0,78,72,87,67,0,99,104,97,110,110,101,108,115,95,108,97,115,116,0,78,67,72,87,0,99,104,97,110,110,101,108,115,95,102,105,114,115,116,0,85,110,107,110,111,119,110,32,100,97,116,97,95,102,111,114,109,97,116,32,118,97,108,117,101,58,32,0,103,101,116,68,97,116,97,76,97,121,111,117,116,0,47],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+389124);allocate([98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,116,101,110,115,111,114,102,108,111,119,47,116,102,95,105,111,46,99,112,112,0,82,101,97,100,84,70,78,101,116,80,97,114,97,109,115,70,114,111,109,66,105,110,97,114,121,70,105,108,101,79,114,68,105,101,0,70,97,105,108,101,100,32,116,111,32,112,97,114,115,101,32,71,114,97,112,104,68,101,102,32,102,105,108,101,58,32,0,82,101,97,100,84,70,78,101,116,80,97,114,97,109,115,70,114,111,109,66,105,110,97,114,121,66,117,102,102,101,114,79,114,68,105,101,0,70,97,105,108,101,100,32,116,111,32,112,97,114,115,101,32,71,114,97,112,104,68,101,102,32,98,117,102,102,101,114,0,82,101,97,100,84,70,78,101,116,80,97,114,97,109,115,70,114,111,109,84,101,120,116,70,105,108,101,79,114,68,105,101,0,82,101,97,100,84,70,78,101,116,80,97,114,97,109,115,70,114,111,109,84,101,120,116,66,117,102,102,101,114,79,114,68,105,101,0,104,97,118,101,73,110,102,69,110,103,105,110,101,40,41,0,102,111,114,119,97,114,100,73,110,102,69,110,103,105,110,101,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,111,112,95,105,110,102,95,101,110,103,105,110,101,46,99,112,112,0,40,105,100,120,32,61,61,32,45,49,32,38,38,32,115,105,122,101,40,41,32,61,61,32,49,41,32,124,124,32,40,105,100,120,32,62,61,32,48,32,38,38,32,105,100,120,32,60,32,115,105,122,101,40,41,41,0,103,101,116,0,105,115,82,101,97,108,40,41,32,124,124,32,105,115,73,110,116,40,41,32,124,124,32,105,115,83,116,114,105,110,103,40,41,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,116,111,114,99,104,47,116,111,114,99,104,95,105,109,112,111,114,116,101,114,46,99,112,112,0,85,110,115,117,112,112,111,114,116,101,100,32,76,117,97,32,116,121,112,101,0,114,101,97,100,79,98,106,101,99,116,0,84,101,110,115,111,114,0,116,111,114,99,104,46,0,83,116,111,114,97,103,101,0,116,111,114,99,104,95,105,110,100,101,120,0,83,101,113,117,101,110,116,105,97,108,0,80,97,114,97,108,108,101,108,0,67,111,110,99,97,116,84,97,98,108,101,0,74,111,105,110,84,97,98,108,101,0,68,101,112,116,104,67,111,110,99,97,116,0,73,110,99,101,112,116,105,111,110,0,105,110,112,117,116,68,105,109,101,110,115,105,111,110,0,111,117,116,112,117,116,68,105,109,101,110,115,105,111,110,0,100,105,109,101,110,115,105,111,110,0,83,112,97,116,105,97,108,67,111,110,118,111,108,117,116,105,111,110,0,83,112,97,116,105,97,108,67,111,110,118,111,108,117,116,105,111,110,77,77,0,119,101,105,103,104,116,0,116,101,110,115,111,114,80,97,114,97,109,115,46,99,111,117,110,116,40,34,119,101,105,103,104,116,34,41,0,114,101,97,100,84,111,114,99,104,79,98,106,101,99,116,0,110,79,117,116,112,117,116,80,108,97,110,101,0,108,97,121,101,114,80,97,114,97,109,115,46,98,108,111,98,115,91,48,93,46,100,105,109,115,32,61,61,32,50,0,83,112,97,116,105,97,108,76,80,80,111,111,108,105,110,103,0,83,112,97,116,105,97,108,77,97,120,80,111,111,108,105,110,103,0,83,112,97,116,105,97,108,65,118,101,114,97,103,101,80,111,111,108,105,110,103,0,77,65,88,0,105,110,100,105,99,101,115,95,98,108,111,98,95,105,100,0,105,110,100,105,99,101,115,0,65,86,69,0,99,111,117,110,116,95,105,110,99,108,117,100,101,95,112,97,100,0,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,99,101,105,108,95,109,111,100,101,34,41,0,76,105,110,101,97,114,0,86,105,101,119,0,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,115,105,122,101,34,41,0,98,97,116,99,104,77,111,100,101,0,84,97,110,104,0,83,112,97,116,105,97,108,66,97,116,99,104,78,111,114,109,97,108,105,122,97,116,105,111,110,0,73,110,115,116,97,110,99,101,78,111,114,109,97,108,105,122,97,116,105,111,110,0,66,97,116,99,104,78,111,114,109,97,108,105,122,97,116,105,111,110,0,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,101,112,115,34,41,0,114,117,110,110,105,110,103,95,109,101,97,110,0,110,79,117,116,112,117,116,0,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,110,79,117,116,112,117,116,34,41,0,114,117,110,110,105,110,103,95,118,97,114,0,114,117,110,110,105,110,103,95,115,116,100,0,116,101,110,115,111,114,80,97,114,97,109,115,91,34,119,101,105,103,104,116,34,93,46,115,101,99,111,110,100,46,116,111,116,97,108,40,41,32,61,61,32,111,117,116,112,117,116,67,104,97,110,110,101,108,115,0,116,101,110,115,111,114,80,97,114,97,109,115,91,34,119,101,105,103,104,116,34,93,46,115,101,99,111,110,100,46,116,111,116,97,108,40,41,32,61,61,32,49,0,83,112,97,116,105,97,108,68,114,111,112,111,117,116,0,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,112,34,41,0,84,111,116,97,108,86,97,114,105,97,116,105,111,110,0,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,112,97,100,34,41,32,38,38,32,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,100,105,109,34,41,0,105,110,100,101,120,0,80,97,100,100,105,110,103,32,119,105,116,104,32,111,102,102,115,101,116,32,105,115,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,0,110,73,110,112,117,116,68,105,109,0,67,65,100,100,84,97,98,108,101,0,83,112,97,116,105,97,108,68,105,108,97,116,101,100,67,111,110,118,111,108,117,116,105,111,110,0,100,105,108,97,116,105,111,110,87,0,100,105,108,97,116,105,111,110,72,0,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,112,97,100,87,34,41,32,38,38,32,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,112,97,100,72,34,41,38,38,32,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,100,87,34,41,38,38,32,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,100,72,34,41,38,38,32,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,100,105,108,97,116,105,111,110,87,34,41,38,38,32,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,100,105,108,97,116,105,111,110,72,34,41,38,38,32,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,107,87,34,41,38,38,32,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,107,72,34,41,38,38,32,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,110,79,117,116,112,117,116,80,108,97,110,101,34,41,0,112,97,100,95,119,0,112,97,100,95,104,0,100,105,108,97,116,105,111,110,95,119,0,100,105,108,97,116,105,111,110,95,104,0,83,112,97,116,105,97,108,70,117,108,108,67,111,110,118,111,108,117,116,105,111,110,0,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,112,97,100,87,34,41,32,38,38,32,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,112,97,100,72,34,41,38,38,32,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,100,87,34,41,38,38,32,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,100,72,34,41,38,38,32,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,97,100,106,87,34,41,38,38,32,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,97,100,106,72,34,41,38,38,32,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,107,87,34,41,38,38,32,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,107,72,34,41,38,38,32,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,110,79,117,116,112,117,116,80,108,97,110,101,34,41,0,83,112,97,116,105,97,108,77,97,120,85,110,112,111,111,108,105,110,103,0,116,101,110,115,111,114,80,97,114,97,109,115,46,99,111,117,110,116,40,34,105,110,100,105,99,101,115,34,41,0,83,111,102,116,77,97,120,0,76,111,103,83,111,102,116,77,97,120,0,83,112,97,116,105,97,108,67,114,111,115,115,77,97,112,76,82,78,0,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,97,108,112,104,97,34,41,0,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,98,101,116,97,34,41,0,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,107,34,41,0,83,113,114,116,0,112,111,119,0,77,117,108,67,111,110,115,116,97,110,116,0,99,111,110,115,116,97,110,116,95,115,99,97,108,97,114,0,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,99,111,110,115,116,97,110,116,95,115,99,97,108,97,114,34,41,0,83,112,97,116,105,97,108,90,101,114,111,80,97,100,100,105,110,103,0,83,112,97,116,105,97,108,82,101,102,108,101,99,116,105,111,110,80,97,100,100,105,110,103,0,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,112,97,100,95,108,34,41,0,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,112,97,100,95,114,34,41,0,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,112,97,100,95,116,34,41,0,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,112,97,100,95,98,34,41,0,83,112,97,116,105,97,108,90,101,114,111,80,97,100,100,105,110,103,32,105,110,32,99,114,111,112,112,105,110,103,32,109,111,100,101,32,105,115,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,0,83,104,97,118,101,73,109,97,103,101,0,83,112,97,116,105,97,108,85,112,83,97,109,112,108,105,110,103,78,101,97,114,101,115,116,0,115,99,97,108,101,95,102,97,99,116,111,114,0,115,99,97,108,97,114,80,97,114,97,109,115,46,104,97,115,40,34,115,99,97,108,101,95,102,97,99,116,111,114,34,41,0,85,110,115,117,112,112,111,114,116,101,100,32,84,111,114,99,104,32,99,108,97,115,115,32,34,0,108,117,97,84,121,112,101,32,61,61,32,84,89,80,69,95,84,65,66,76,69,32,38,38,32,114,101,97,100,101,100,73,110,100,101,120,101,115,46,99,111,117,110,116,40,105,110,100,101,120,41,32,61,61,32,48,0,114,101,97,100,84,111,114,99,104,84,97,98,108,101,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,51,84,111,114,99,104,73,109,112,111,114,116,101,114,54,77,111,100,117,108,101,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,53,95,69,69,69,69,0,110,110,46,0,99,117,110,110,46,0,99,117,100,110,110,46,0,102,98,99,117,110,110,46,0,114,101,97,100,84,111,114,99,104,83,116,111,114,97,103,101,0,116,121,112,101,105,100,120,32,61,61,32,84,89,80,69,95,84,79,82,67,72,32,124,124,32,40,116,121,112,101,105,100,120,32,61,61,32,84,89,80,69,95,78,73,76,32,38,38,32,110,100,105,109,115,32,61,61,32,48,41,0,114,101,97,100,84,111,114,99,104,84,101,110,115,111,114,0,116,121,112,101,83,116,111,114,97,103,101,32,62,61,32,48,32,38,38,32,116,121,112,101,84,101,110,115,111,114,32,61,61,32,116,121,112,101,83,116,111,114,97,103,101,0,83,116,111,114,97,103,101,32,104,97,115,32,105,110,115,117,102,102,105,99,105,101,110,116,32,110,117,109,98,101,114,32,111,102,32,101,108,101,109,101,110,116,115,32,102,111,114,32,114,101,113,117,101,115,116,101,100,32,84,101,110,115,111,114,0,68,111,117,98,108,101,0,70,108,111,97,116,0,67,117,100,97,0,66,121,116,101,0,67,104,97,114,0,83,104,111,114,116,0,73,110,116,0,76,111,110,103,0,34,32,111,102,32,116,111,114,99,104,32,99,108,97,115,115,32,34,0,112,97,114,115,101,84,111,114,99,104,84,121,112,101,0,102,105,108,101,32,38,38,32,84,72,70,105,108,101,95,105,115,79,112,101,110,101,100,40,102,105,108,101,41,0,84,111,114,99,104,73,109,112,111,114,116,101,114,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,50,84,72,56,84,72,70,105,108,101,95,95,69,80,70,118,80,83,51,95,69,69,69,0,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,84,111,114,99,104,73,109,112,111,114,116,101,114,58,58,84,111,114,99,104,73,109,112,111,114,116,101,114,40,99,118,58,58,83,116,114,105,110,103,44,32,98,111,111,108,41,0,114,111,111,116,77,111,100,117,108,101,32,61,61,32,78,85,76,76,0,116,111,114,99,104,77,101,114,103,101,0,116,111,114,99,104,83,112,108,105,116,0,116,111,114,99,104,82,101,115,104,97,112,101,0,33,110,117,109,85,110,99,111,110,110,101,99,116,101,100,76,97,121,101,114,115,46,101,109,112,116,121,40,41,0,102,105,108,108,0,110,117,109,73,110,112,117,116,115,32,60,61,32,105,100,115,46,115,105,122,101,40,41,0,116,111,114,99,104,67,65,100,100,84,97,98,108,101,0,109,111,100,117,108,101,45,62,112,97,114,97,109,115,46,104,97,115,40,34,105,110,100,105,99,101,115,95,98,108,111,98,95,105,100,34,41,0,116,111,114,99,104,77,97,120,85,110,112,111,111,108,105,110,103,0,112,111,111,108,105,110,103,76,97,121,101,114,46,102,105,114,115,116,32,33,61,32,45,49,0,85,110,101,120,112,101,99,116,101,100,32,116,111,114,99,104,32,99,111,110,116,97,105,110,101,114,58,32,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,84,111,114,99,104,73,109,112,111,114,116,101,114,58,58,112,111,112,117,108,97,116,101,78,101,116,40,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,78,101,116,41,0,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,78,101,116,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,114,101,97,100,78,101,116,70,114,111,109,84,111,114,99,104,40,99,111,110,115,116,32,99,118,58,58,83,116,114,105,110,103,32,38,44,32,98,111,111,108,41,0,112,98,66,108,111,98,46,100,97,116,97,95,115,105,122,101,40,41,32,61,61,32,40,105,110,116,41,100,115,116,66,108,111,98,46,116,111,116,97,108,40,41,0,98,108,111,98,70,114,111,109,80,114,111,116,111,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,99,97,102,102,101,47,99,97,102,102,101,95,105,109,112,111,114,116,101,114,46,99,112,112,0,112,98,66,108,111,98,46,114,97,119,95,100,97,116,97,95,116,121,112,101,40,41,32,61,61,32,99,97,102,102,101,58,58,70,76,79,65,84,49,54,0,114,97,119,95,100,97,116,97,46,115,105,122,101,40,41,32,47,32,50,32,61,61,32,40,105,110,116,41,100,115,116,66,108,111,98,46,116,111,116,97,108,40,41,0,110,117,109,66,108,111,98,115,32,61,61,32,98,105,110,76,97,121,101,114,45,62,98,108,111,98,115,40,41,46,67,108,101,97,114,101,100,67,111,117,110,116,40,41,0,101,120,116,114,97,99,116,66,105,110,97,114,121,76,97,121,101,114,80,97,114,97,109,115,0,73,110,112,117,116,0,108,97,121,101,114,46,98,111,116,116,111,109,95,115,105,122,101,40,41,32,61,61,32,49,0,112,111,112,117,108,97,116,101,78,101,116,0,108,97,121,101,114,46,116,111,112,95,115,105,122,101,40,41,32,61,61,32,49,0,67,97,110,39,116,32,102,105,110,100,32,111,117,116,112,117,116,32,98,108,111,98,32,34,0,97,100,100,73,110,112,117,116,0,68,117,112,108,105,99,97,116,101,32,98,108,111,98,115,32,112,114,111,100,117,99,101,100,32,98,121,32,109,117,108,116,105,112,108,101,32,115,111,117,114,99,101,115,0,97,100,100,79,117,116,112,117,116,0,95,112,97,114,97,109,0,102,105,101,108,100,46,116,121,112,101,40,41,32,61,61,32,103,111,111,103,108,101,58,58,112,114,111,116,111,98,117,102,58,58,85,110,107,110,111,119,110,70,105,101,108,100,58,58,84,89,80,69,95,71,82,79,85,80,0,101,120,116,114,97,99,116,67,117,115,116,111,109,80,97,114,97,109,115,0,85,110,107,110,111,119,110,32,116,121,112,101,32,34,0,34,32,105,110,32,112,114,111,116,111,116,120,116,0,97,100,100,80,97,114,97,109,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,49,54,70,117,110,99,116,105,111,110,67,108,111,115,117,114,101,49,73,80,75,78,83,48,95,49,53,70,105,101,108,100,68,101,115,99,114,105,112,116,111,114,69,69,69,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,40,97,110,111,110,121,109,111,117,115,32,110,97,109,101,115,112,97,99,101,41,58,58,67,97,102,102,101,73,109,112,111,114,116,101,114,58,58,112,111,112,117,108,97,116,101,78,101,116,40,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,78,101,116,41,0,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,40,97,110,111,110,121,109,111,117,115,32,110,97,109,101,115,112,97,99,101,41,58,58,67,97,102,102,101,73,109,112,111,114,116,101,114,58,58,67,97,102,102,101,73,109,112,111,114,116,101,114,40,99,111,110,115,116,32,99,104,97,114,32,42,44,32,99,111,110,115,116,32,99,104,97,114,32,42,41,0,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,40,97,110,111,110,121,109,111,117,115,32,110,97,109,101,115,112,97,99,101,41,58,58,67,97,102,102,101,73,109,112,111,114,116,101,114,58,58,67,97,102,102,101,73,109,112,111,114,116,101,114,40,99,111,110,115,116,32,99,104,97,114,32,42,44,32,115,105,122,101,95,116,44,32,99,111,110,115,116,32,99,104,97,114,32,42,44,32,115,105,122,101,95,116,41,0,118,48,95,108,97,121,101,114,95,99,111,110,110,101,99,116,105,111,110,95,32,33,61,32,78,85,76,76,0,85,112,103,114,97,100,101,86,48,76,97,121,101,114,80,97,114,97,109,101,116,101,114,0,99,111,110,118,0,105,110,110,101,114,112,114,111,100,117,99,116,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,99,97,102,102,101,47,99,97,102,102,101,95,105,111,46,99,112,112,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,110,117,109,95,111,117,116,112,117,116,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,98,105,97,115,116,101,114,109,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,119,101,105,103,104,116,95,102,105,108,108,101,114,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,98,105,97,115,95,102,105,108,108,101,114,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,112,111,111,108,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,112,97,100,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,107,101,114,110,101,108,115,105,122,101,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,103,114,111,117,112,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,115,116,114,105,100,101,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,111,111,108,32,109,101,116,104,111,100,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,112,111,111,108,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,100,114,111,112,111,117,116,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,100,114,111,112,111,117,116,95,114,97,116,105,111,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,108,114,110,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,108,111,99,97,108,95,115,105,122,101,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,97,108,112,104,97,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,98,101,116,97,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,107,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,100,97,116,97,0,104,100,102,53,95,100,97,116,97,0,105,109,97,103,101,115,0,119,105,110,100,111,119,95,100,97,116,97,0,105,110,102,111,103,97,105,110,95,108,111,115,115,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,115,111,117,114,99,101,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,98,97,116,99,104,115,105,122,101,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,114,97,110,100,95,115,107,105,112,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,115,104,117,102,102,108,101,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,110,101,119,95,104,101,105,103,104,116,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,110,101,119,95,119,105,100,116,104,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,99,111,110,99,97,116,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,99,111,110,99,97,116,95,100,105,109,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,100,101,116,95,102,103,95,116,104,114,101,115,104,111,108,100,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,100,101,116,95,98,103,95,116,104,114,101,115,104,111,108,100,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,100,101,116,95,102,103,95,102,114,97,99,116,105,111,110,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,100,101,116,95,99,111,110,116,101,120,116,95,112,97,100,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,100,101,116,95,99,114,111,112,95,109,111,100,101,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,104,100,102,53,95,111,117,116,112,117,116,0,85,110,107,110,111,119,110,32,112,97,114,97,109,101,116,101,114,32,104,100,102,53,95,111,117,116,112,117,116,95,112,97,114,97,109,32,102,111,114,32,108,97,121,101,114,32,116,121,112,101,32,0,97,99,99,117,114,97,99,121,0,98,110,108,108,0,101,117,99,108,105,100,101,97,110,95,108,111,115,115,0,102,108,97,116,116,101,110,0,105,109,50,99,111,108,0,109,117,108,116,105,110,111,109,105,97,108,95,108,111,103,105,115,116,105,99,95,108,111,115,115,0,114,101,108,117,0,115,105,103,109,111,105,100,0,115,111,102,116,109,97,120,95,108,111,115,115,0,115,112,108,105,116,0,85,112,103,114,97,100,101,86,48,76,97,121,101,114,84,121,112,101,0,85,110,107,110,111,119,110,32,108,97,121,101,114,32,110,97,109,101,58,32,0,85,112,103,114,97,100,101,86,48,80,97,100,100,105,110,103,76,97,121,101,114,115,0,85,110,107,110,111,119,110,32,98,108,111,98,32,105,110,112,117,116,32,0,32,116,111,32,108,97,121,101,114,32,0,67,72,69,67,75,0,40,108,97,121,101,114,95,112,97,114,97,109,46,116,121,112,101,40,41,32,61,61,32,34,99,111,110,118,34,41,32,124,124,32,40,108,97,121,101,114,95,112,97,114,97,109,46,116,121,112,101,40,41,32,61,61,32,34,112,111,111,108,34,41,0,80,97,100,100,105,110,103,32,108,97,121,101,114,32,105,110,112,117,116,32,116,111,32,110,111,110,45,99,111,110,118,111,108,117,116,105,111,110,97,108,32,47,32,110,111,110,45,112,111,111,108,105,110,103,32,108,97,121,101,114,32,116,121,112,101,32,0,108,97,121,101,114,95,99,111,110,110,101,99,116,105,111,110,46,98,111,116,116,111,109,95,115,105,122,101,40,41,61,49,0,67,111,110,118,32,76,97,121,101,114,32,116,97,107,101,115,32,97,32,115,105,110,103,108,101,32,98,108,111,98,32,97,115,32,105,110,112,117,116,46,0,115,111,117,114,99,101,95,108,97,121,101,114,46,98,111,116,116,111,109,95,115,105,122,101,40,41,61,49,0,80,97,100,100,105,110,103,32,76,97,121,101,114,32,116,97,107,101,115,32,97,32,115,105,110,103,108,101,32,98,108,111,98,32,97,115,32,105,110,112,117,116,46,0,115,111,117,114,99,101,95,108,97,121,101,114,46,116,111,112,95,115,105,122,101,40,41,61,49,0,80,97,100,100,105,110,103,32,76,97,121,101,114,32,112,114,111,100,117,99,101,115,32,97,32,115,105,110,103,108,101,32,98,108,111,98,32,97,115,32,111,117,116,112,117,116,46,0,85,112,103,114,97,100,101,78,101,116,65,115,78,101,101,100,101,100,0,65,116,116,101,109,112,116,105,110,103,32,116,111,32,117,112,103,114,97,100,101,32,105,110,112,117,116,32,102,105,108,101,32,115,112,101,99,105,102,105,101,100,32,117,115,105,110,103,32,100,101,112,114,101,99,97,116,101,100,32,0,86,48,76,97,121,101,114,80,97,114,97,109,101,116,101,114,58,32,0,87,97,114,110,105,110,103,58,32,104,97,100,32,111,110,101,32,111,114,32,109,111,114,101,32,112,114,111,98,108,101,109,115,32,117,112,103,114,97,100,105,110,103,32,0,86,48,78,101,116,80,97,114,97,109,101,116,101,114,32,116,111,32,78,101,116,80,97,114,97,109,101,116,101,114,32,40,115,101,101,32,97,98,111,118,101,41,59,32,99,111,110,116,105,110,117,105,110,103,32,97,110,121,119,97,121,46,0,83,117,99,99,101,115,115,102,117,108,108,121,32,117,112,103,114,97,100,101,100,32,102,105,108,101,32,115,112,101,99,105,102,105,101,100,32,117,115,105,110,103,32,100,101,112,114,101,99,97,116,101,100,32,0,86,48,76,97,121,101,114,80,97,114,97,109,101,116,101,114,0,78,111,116,101,32,116,104,97,116,32,102,117,116,117,114,101,32,67,97,102,102,101,32,114,101,108,101,97,115,101,115,32,119,105,108,108,32,110,111,116,32,115,117,112,112,111,114,116,32,0,86,48,78,101,116,80,97,114,97,109,101,116,101,114,59,32,117,115,101,32,46,47,98,117,105,108,100,47,116,111,111,108,115,47,117,112,103,114,97,100,101,95,110,101,116,95,112,114,111,116,111,95,116,101,120,116,32,102,111,114,32,0,112,114,111,116,111,116,120,116,32,97,110,100,32,46,47,98,117,105,108,100,47,116,111,111,108,115,47,117,112,103,114,97,100,101,95,110,101,116,95,112,114,111,116,111,95,98,105,110,97,114,121,32,102,111,114,32,109,111,100,101,108,32,0,119,101,105,103,104,116,115,32,117,112,103,114,97,100,101,32,116,104,105,115,32,97,110,100,32,97,110,121,32,111,116,104,101,114,32,110,101,116,32,112,114,111,116,111,115,32,116,111,32,116,104,101,32,110,101,119,32,102,111,114,109,97,116,46,0,116,114,97,110,115,102,111,114,109,97,116,105,111,110,32,112,97,114,97,109,101,116,101,114,115,58,32,0,100,97,116,97,32,116,114,97,110,115,102,111,114,109,97,116,105,111,110,32,112,97,114,97,109,101,116,101,114,115,46,0,78,111,116,101,32,116,104,97,116,32,102,117,116,117,114,101,32,67,97,102,102,101,32,114,101,108,101,97,115,101,115,32,119,105,108,108,32,111,110,108,121,32,115,117,112,112,111,114,116,32,0,116,114,97,110,115,102,111,114,109,95,112,97,114,97,109,32,109,101,115,115,97,103,101,115,32,102,111,114,32,116,114,97,110,115,102,111,114,109,97,116,105,111,110,32,102,105,101,108,100,115,46,0,86,49,76,97,121,101,114,80,97,114,97,109,101,116,101,114,58,32,0,86,49,76,97,121,101,114,80,97,114,97,109,101,116,101,114,32,40,115,101,101,32,97,98,111,118,101,41,59,32,99,111,110,116,105,110,117,105,110,103,32,97,110,121,119,97,121,46,0,86,49,76,97,121,101,114,80,97,114,97,109,101,116,101,114,0,65,116,116,101,109,112,116,105,110,103,32,116,111,32,117,112,103,114,97,100,101,32,98,97,116,99,104,32,110,111,114,109,32,108,97,121,101,114,115,32,117,115,105,110,103,32,100,101,112,114,101,99,97,116,101,100,32,0,112,97,114,97,109,115,58,32,0,83,117,99,99,101,115,115,102,117,108,108,121,32,117,112,103,114,97,100,101,100,32,98,97,116,99,104,32,110,111,114,109,32,108,97,121,101,114,115,32,117,115,105,110,103,32,100,101,112,114,101,99,97,116,101,100,32,0,112,97,114,97,109,115,46,0,110,101,116,95,112,97,114,97,109,32,33,61,32,78,85,76,76,0,85,112,103,114,97,100,101,86,49,78,101,116,0,73,110,112,117,116,32,78,101,116,80,97,114,97,109,101,116,101,114,32,116,111,32,98,101,32,117,112,103,114,97,100,101,100,32,97,108,114,101,97,100,121,32,115,112,101,99,105,102,105,101,115,32,39,108,97,121,101,114,39,32,0,102,105,101,108,100,115,59,32,116,104,101,115,101,32,119,105,108,108,32,98,101,32,105,103,110,111,114,101,100,32,102,111,114,32,116,104,101,32,117,112,103,114,97,100,101,46,0,85,112,103,114,97,100,101,32,111,102,32,105,110,112,117,116,32,108,97,121,101,114,32,0,32,102,97,105,108,101,100,46,0,118,49,95,108,97,121,101,114,95,112,97,114,97,109,95,32,33,61,32,78,85,76,76,0,85,112,103,114,97,100,101,86,49,76,97,121,101,114,80,97,114,97,109,101,116,101,114,0,85,110,107,110,111,119,110,32,98,108,111,98,95,115,104,97,114,101,95,109,111,100,101,58,32,0,73,110,112,117,116,32,78,101,116,80,97,114,97,109,101,116,101,114,32,104,97,115,32,86,48,32,108,97,121,101,114,32,45,45,32,105,103,110,111,114,105,110,103,46,0,85,112,103,114,97,100,101,86,49,76,97,121,101,114,84,121,112,101,0,85,110,107,110,111,119,110,32,86,49,76,97,121,101,114,80,97,114,97,109,101,116,101,114,32,108,97,121,101,114,32,116,121,112,101,58,32,0,84,104,114,101,115,104,111,108,100,0,87,105,110,100,111,119,68,97,116,97,0,84,97,110,72,0,83,111,102,116,109,97,120,87,105,116,104,76,111,115,115,0,83,105,103,109,111,105,100,67,114,111,115,115,69,110,116,114,111,112,121,76,111,115,115,0,82,101,76,85,0,77,117,108,116,105,110,111,109,105,97,108,76,111,103,105,115,116,105,99,76,111,115,115,0,77,101,109,111,114,121,68,97,116,97,0,73,110,102,111,103,97,105,110,76,111,115,115,0,73,109,97,103,101,68,97,116,97,0,73,109,50,99,111,108,0,72,105,110,103,101,76,111,115,115,0,72,68,70,53,79,117,116,112,117,116,0,72,68,70,53,68,97,116,97,0,69,117,99,108,105,100,101,97,110,76,111,115,115,0,68,117,109,109,121,68,97,116,97,0,68,97,116,97,0,67,111,110,116,114,97,115,116,105,118,101,76,111,115,115,0,66,78,76,76,0,65,114,103,77,97,120,0,65,99,99,117,114,97,99,121,0,114,0,82,101,97,100,80,114,111,116,111,70,114,111,109,84,101,120,116,70,105,108,101,0,102,115,46,105,115,95,111,112,101,110,40,41,0,67,97,110,39,116,32,111,112,101,110,32,34,0,82,101,97,100,80,114,111,116,111,70,114,111,109,66,105,110,97,114,121,70,105,108,101,0,82,101,97,100,78,101,116,80,97,114,97,109,115,70,114,111,109,84,101,120,116,70,105,108,101,79,114,68,105,101,0,82,101,97,100,80,114,111,116,111,70,114,111,109,84,101,120,116,70,105,108,101,40,112,97,114,97,109,95,102,105,108,101,44,32,112,97,114,97,109,41,0,70,97,105,108,101,100,32,116,111,32,112,97,114,115,101,32,78,101,116,80,97,114,97,109,101,116,101,114,32,102,105,108,101,58,32,0,82,101,97,100,78,101,116,80,97,114,97,109,115,70,114,111,109,84,101,120,116,66,117,102,102,101,114,79,114,68,105,101,0,82,101,97,100,80,114,111,116,111,70,114,111,109,84,101,120,116,66,117,102,102,101,114,40,100,97,116,97,44,32,108,101,110,44,32,112,97,114,97,109,41,0,109,101,109,111,114,121,32,98,117,102,102,101,114,0,70,97,105,108,101,100,32,116,111,32,112,97,114,115,101,32,78,101,116,80,97,114,97,109,101,116,101,114,32,98,117,102,102,101,114,0,82,101,97,100,78,101,116,80,97,114,97,109,115,70,114,111,109,66,105,110,97,114,121,70,105,108,101,79,114,68,105,101,0,82,101,97,100,80,114,111,116,111,70,114,111,109,66,105,110,97,114,121,70,105,108,101,40,112,97,114,97,109,95,102,105,108,101,44,32,112,97,114,97,109,41,0,82,101,97,100,78,101,116,80,97,114,97,109,115,70,114,111,109,66,105,110,97,114,121,66,117,102,102,101,114,79,114,68,105,101,0,82,101,97,100,80,114,111,116,111,70,114,111,109,66,105,110,97,114,121,66,117,102,102,101,114,40,100,97,116,97,44,32,108,101,110,44,32,112,97,114,97,109,41,0,103,114,97,112,104,46,112,114,111,116,111,0,10,11,103,114,97,112,104,46,112,114,111,116,111,18,17,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,26,16,97,116,116,114,95,118,97,108,117,101,46,112,114,111,116,111,26,14,102,117,110,99,116,105,111,110,46,112,114,111,116,111,26,14,118,101,114,115,105,111,110,115,46,112,114,111,116,111,34,178,1,10,8,71,114,97,112,104,68,101,102,18,40,10,4,110,111,100,101,24,1,32,3,40,11,50,26,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,78,111,100,101,68,101,102,18,47,10,8,118,101,114,115,105,111,110,115,24,4,32,1,40,11,50,29,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,86,101,114,115,105,111,110,68,101,102,18,19,10,7,118,101,114,115,105,111,110,24,3,32,1,40,5,66,2,24,1,18,54,10,7,108,105,98,114,97,114,121,24,2,32,1,40,11,50,37,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,70,117,110,99,116,105,111,110,68,101,102,76,105,98,114,97,114,121,34,193,1,10,7,78,111,100,101,68,101,102,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,10,10,2,111,112,24,2,32,1,40,9,18,13,10,5,105,110,112,117,116,24,3,32,3,40,9,18,14,10,6,100,101,118,105,99,101,24,4,32,1,40,9,18,50,10,4,97,116,116,114,24,5,32,3,40,11,50,36,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,78,111,100,101,68,101,102,46,65,116,116,114,69,110,116,114,121,26,73,10,9,65,116,116,114,69,110,116,114,121,18,11,10,3,107,101,121,24,1,32,1,40,9,18,43,10,5,118,97,108,117,101,24,2,32,1,40,11,50,28,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,65,116,116,114,86,97,108,117,101,58,2,56,1,66,44,10,24,111,114,103,46,116,101,110,115,111,114,102,108,111,119,46,102,114,97,109,101,119,111,114,107,66,11,71,114,97,112,104,80,114,111,116,111,115,80,1,248,1,1,98,6,112,114,111,116,111,51,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,109,105,115,99,47,116,101,110,115,111,114,102,108,111,119,47,103,114,97,112,104,46,112,98,46,99,99,0,77,97,112,75,101,121,58,58,116,121,112,101,32,77,97,112,75,101,121,32,105,115,32,110,111,116,32,105,110,105,116,105,97,108,105,122,101,100,46,32,0,67,97,108,108,32,115,101,116,32,109,101,116,104,111,100,115,32,116,111,32,105,110,105,116,105,97,108,105,122,101,32,77,97,112,75,101,121,46,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,49,50,77,97,112,69,110,116,114,121,73,109,112,108,73,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,50,54,78,111,100,101,68,101,102,95,65,116,116,114,69,110,116,114,121,95,68,111,78,111,116,85,115,101,69,78,83,48,95,55,77,101,115,115,97,103,101,69,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,54,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,54,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,78,83,51,95,57,65,116,116,114,86,97,108,117,101,69,76,78,83,49,95,49,52,87,105,114,101,70,111,114,109,97,116,76,105,116,101,57,70,105,101,108,100,84,121,112,101,69,57,69,76,83,70,95,49,49,69,76,105,48,69,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,56,77,97,112,69,110,116,114,121,73,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,50,54,78,111,100,101,68,101,102,95,65,116,116,114,69,110,116,114,121,95,68,111,78,111,116,85,115,101,69,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,53,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,53,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,78,83,51,95,57,65,116,116,114,86,97,108,117,101,69,76,78,83,49,95,49,52,87,105,114,101,70,111,114,109,97,116,76,105,116,101,57,70,105,101,108,100,84,121,112,101,69,57,69,76,83,69,95,49,49,69,76,105,48,69,69,69,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,50,54,78,111,100,101,68,101,102,95,65,116,116,114,69,110,116,114,121,95,68,111,78,111,116,85,115,101,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,54,82,101,112,101,97,116,101,100,80,116,114,70,105,101,108,100,73,78,83,48,95,55,77,101,115,115,97,103,101,69,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,48,82,101,112,101,97,116,101,100,80,116,114,70,105,101,108,100,66,97,115,101,69,0,77,97,112,75,101,121,58,58,71,101,116,83,116,114,105,110,103,86,97,108,117,101,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,56,77,97,112,70,105,101,108,100,73,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,50,54,78,111,100,101,68,101,102,95,65,116,116,114,69,110,116,114,121,95,68,111,78,111,116,85,115,101,69,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,53,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,53,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,78,83,51,95,57,65,116,116,114,86,97,108,117,101,69,76,78,83,49,95,49,52,87,105,114,101,70,111,114,109,97,116,76,105,116,101,57,70,105,101,108,100,84,121,112,101,69,57,69,76,83,69,95,49,49,69,76,105,48,69,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,51,84,121,112,101,68,101,102,105],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+399364);allocate([110,101,100,77,97,112,70,105,101,108,100,66,97,115,101,73,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,51,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,51,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,57,65,116,116,114,86,97,108,117,101,69,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,57,73,110,116,101,114,110,97,108,77,101,116,97,100,97,116,97,87,105,116,104,65,114,101,110,97,66,97,115,101,73,78,83,48,95,49,53,85,110,107,110,111,119,110,70,105,101,108,100,83,101,116,69,78,83,49,95,50,53,73,110,116,101,114,110,97,108,77,101,116,97,100,97,116,97,87,105,116,104,65,114,101,110,97,69,69,57,67,111,110,116,97,105,110,101,114,69,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,78,111,100,101,68,101,102,46,110,97,109,101,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,78,111,100,101,68,101,102,46,111,112,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,78,111,100,101,68,101,102,46,105,110,112,117,116,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,78,111,100,101,68,101,102,46,100,101,118,105,99,101,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,78,111,100,101,68,101,102,46,65,116,116,114,69,110,116,114,121,46,107,101,121,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,49,50,77,97,112,69,110,116,114,121,73,109,112,108,73,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,50,54,78,111,100,101,68,101,102,95,65,116,116,114,69,110,116,114,121,95,68,111,78,111,116,85,115,101,69,78,83,48,95,55,77,101,115,115,97,103,101,69,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,54,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,54,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,78,83,51,95,57,65,116,116,114,86,97,108,117,101,69,76,78,83,49,95,49,52,87,105,114,101,70,111,114,109,97,116,76,105,116,101,57,70,105,101,108,100,84,121,112,101,69,57,69,76,83,70,95,49,49,69,76,105,48,69,69,49,53,77,97,112,69,110,116,114,121,87,114,97,112,112,101,114,69,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,55,78,111,100,101,68,101,102,69,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,56,71,114,97,112,104,68,101,102,69,0,118,101,114,115,105,111,110,115,46,112,114,111,116,111,0,10,14,118,101,114,115,105,111,110,115,46,112,114,111,116,111,18,17,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,34,75,10,10,86,101,114,115,105,111,110,68,101,102,18,16,10,8,112,114,111,100,117,99,101,114,24,1,32,1,40,5,18,20,10,12,109,105,110,95,99,111,110,115,117,109,101,114,24,2,32,1,40,5,18,21,10,13,98,97,100,95,99,111,110,115,117,109,101,114,115,24,3,32,3,40,5,66,47,10,24,111,114,103,46,116,101,110,115,111,114,102,108,111,119,46,102,114,97,109,101,119,111,114,107,66,14,86,101,114,115,105,111,110,115,80,114,111,116,111,115,80,1,248,1,1,98,6,112,114,111,116,111,51,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,109,105,115,99,47,116,101,110,115,111,114,102,108,111,119,47,118,101,114,115,105,111,110,115,46,112,98,46,99,99,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,49,48,86,101,114,115,105,111,110,68,101,102,69,0,116,101,110,115,111,114,46,112,114,111,116,111,0,10,12,116,101,110,115,111,114,46,112,114,111,116,111,18,17,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,26,18,116,101,110,115,111,114,95,115,104,97,112,101,46,112,114,111,116,111,26,11,116,121,112,101,115,46,112,114,111,116,111,34,243,2,10,11,84,101,110,115,111,114,80,114,111,116,111,18,42,10,5,100,116,121,112,101,24,1,32,1,40,14,50,27,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,68,97,116,97,84,121,112,101,18,57,10,12,116,101,110,115,111,114,95,115,104,97,112,101,24,2,32,1,40,11,50,35,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,84,101,110,115,111,114,83,104,97,112,101,80,114,111,116,111,18,22,10,14,118,101,114,115,105,111,110,95,110,117,109,98,101,114,24,3,32,1,40,5,18,22,10,14,116,101,110,115,111,114,95,99,111,110,116,101,110,116,24,4,32,1,40,12,18,20,10,8,104,97,108,102,95,118,97,108,24,13,32,3,40,5,66,2,16,1,18,21,10,9,102,108,111,97,116,95,118,97,108,24,5,32,3,40,2,66,2,16,1,18,22,10,10,100,111,117,98,108,101,95,118,97,108,24,6,32,3,40,1,66,2,16,1,18,19,10,7,105,110,116,95,118,97,108,24,7,32,3,40,5,66,2,16,1,18,18,10,10,115,116,114,105,110,103,95,118,97,108,24,8,32,3,40,12,18,24,10,12,115,99,111,109,112,108,101,120,95,118,97,108,24,9,32,3,40,2,66,2,16,1,18,21,10,9,105,110,116,54,52,95,118,97,108,24,10,32,3,40,3,66,2,16,1,18,20,10,8,98,111,111,108,95,118,97,108,24,11,32,3,40,8,66,2,16,1,18,24,10,12,100,99,111,109,112,108,101,120,95,118,97,108,24,12,32,3,40,1,66,2,16,1,66,45,10,24,111,114,103,46,116,101,110,115,111,114,102,108,111,119,46,102,114,97,109,101,119,111,114,107,66,12,84,101,110,115,111,114,80,114,111,116,111,115,80,1,248,1,1,98,6,112,114,111,116,111,51,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,109,105,115,99,47,116,101,110,115,111,114,102,108,111,119,47,116,101,110,115,111,114,46,112,98,46,99,99,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,49,49,84,101,110,115,111,114,80,114,111,116,111,69,0,97,116,116,114,95,118,97,108,117,101,46,112,114,111,116,111,0,10,16,97,116,116,114,95,118,97,108,117,101,46,112,114,111,116,111,18,17,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,26,12,116,101,110,115,111,114,46,112,114,111,116,111,26,18,116,101,110,115,111,114,95,115,104,97,112,101,46,112,114,111,116,111,26,11,116,121,112,101,115,46,112,114,111,116,111,34,182,4,10,9,65,116,116,114,86,97,108,117,101,18,11,10,1,115,24,2,32,1,40,12,72,0,18,11,10,1,105,24,3,32,1,40,3,72,0,18,11,10,1,102,24,4,32,1,40,2,72,0,18,11,10,1,98,24,5,32,1,40,8,72,0,18,43,10,4,116,121,112,101,24,6,32,1,40,14,50,27,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,68,97,116,97,84,121,112,101,72,0,18,52,10,5,115,104,97,112,101,24,7,32,1,40,11,50,35,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,84,101,110,115,111,114,83,104,97,112,101,80,114,111,116,111,72,0,18,48,10,6,116,101,110,115,111,114,24,8,32,1,40,11,50,30,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,84,101,110,115,111,114,80,114,111,116,111,72,0,18,54,10,4,108,105,115,116,24,1,32,1,40,11,50,38,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,65,116,116,114,86,97,108,117,101,46,76,105,115,116,86,97,108,117,101,72,0,18,47,10,4,102,117,110,99,24,10,32,1,40,11,50,31,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,78,97,109,101,65,116,116,114,76,105,115,116,72,0,18,21,10,11,112,108,97,99,101,104,111,108,100,101,114,24,9,32,1,40,9,72,0,26,214,1,10,9,76,105,115,116,86,97,108,117,101,18,9,10,1,115,24,2,32,3,40,12,18,13,10,1,105,24,3,32,3,40,3,66,2,16,1,18,13,10,1,102,24,4,32,3,40,2,66,2,16,1,18,13,10,1,98,24,5,32,3,40,8,66,2,16,1,18,45,10,4,116,121,112,101,24,6,32,3,40,14,50,27,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,68,97,116,97,84,121,112,101,66,2,16,1,18,50,10,5,115,104,97,112,101,24,7,32,3,40,11,50,35,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,84,101,110,115,111,114,83,104,97,112,101,80,114,111,116,111,18,46,10,6,116,101,110,115,111,114,24,8,32,3,40,11,50,30,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,84,101,110,115,111,114,80,114,111,116,111,66,7,10,5,118,97,108,117,101,34,160,1,10,12,78,97,109,101,65,116,116,114,76,105,115,116,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,55,10,4,97,116,116,114,24,2,32,3,40,11,50,41,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,78,97,109,101,65,116,116,114,76,105,115,116,46,65,116,116,114,69,110,116,114,121,26,73,10,9,65,116,116,114,69,110,116,114,121,18,11,10,3,107,101,121,24,1,32,1,40,9,18,43,10,5,118,97,108,117,101,24,2,32,1,40,11,50,28,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,65,116,116,114,86,97,108,117,101,58,2,56,1,66,48,10,24,111,114,103,46,116,101,110,115,111,114,102,108,111,119,46,102,114,97,109,101,119,111,114,107,66,15,65,116,116,114,86,97,108,117,101,80,114,111,116,111,115,80,1,248,1,1,98,6,112,114,111,116,111,51,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,109,105,115,99,47,116,101,110,115,111,114,102,108,111,119,47,97,116,116,114,95,118,97,108,117,101,46,112,98,46,99,99,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,49,50,78,97,109,101,65,116,116,114,76,105,115,116,69,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,57,65,116,116,114,86,97,108,117,101,69,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,51,49,78,97,109,101,65,116,116,114,76,105,115,116,95,65,116,116,114,69,110,116,114,121,95,68,111,78,111,116,85,115,101,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,56,77,97,112,69,110,116,114,121,73,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,51,49,78,97,109,101,65,116,116,114,76,105,115,116,95,65,116,116,114,69,110,116,114,121,95,68,111,78,111,116,85,115,101,69,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,53,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,53,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,78,83,51,95,57,65,116,116,114,86,97,108,117,101,69,76,78,83,49,95,49,52,87,105,114,101,70,111,114,109,97,116,76,105,116,101,57,70,105,101,108,100,84,121,112,101,69,57,69,76,83,69,95,49,49,69,76,105,48,69,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,49,50,77,97,112,69,110,116,114,121,73,109,112,108,73,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,51,49,78,97,109,101,65,116,116,114,76,105,115,116,95,65,116,116,114,69,110,116,114,121,95,68,111,78,111,116,85,115,101,69,78,83,48,95,55,77,101,115,115,97,103,101,69,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,54,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,54,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,78,83,51,95,57,65,116,116,114,86,97,108,117,101,69,76,78,83,49,95,49,52,87,105,114,101,70,111,114,109,97,116,76,105,116,101,57,70,105,101,108,100,84,121,112,101,69,57,69,76,83,70,95,49,49,69,76,105,48,69,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,56,77,97,112,70,105,101,108,100,73,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,51,49,78,97,109,101,65,116,116,114,76,105,115,116,95,65,116,116,114,69,110,116,114,121,95,68,111,78,111,116,85,115,101,69,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,53,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,53,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,78,83,51,95,57,65,116,116,114,86,97,108,117,101,69,76,78,83,49,95,49,52,87,105,114,101,70,111,114,109,97,116,76,105,116,101,57,70,105,101,108,100,84,121,112,101,69,57,69,76,83,69,95,49,49,69,76,105,48,69,69,69,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,78,97,109,101,65,116,116,114,76,105,115,116,46,110,97,109,101,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,78,97,109,101,65,116,116,114,76,105,115,116,46,65,116,116,114,69,110,116,114,121,46,107,101,121,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,65,116,116,114,86,97,108,117,101,46,112,108,97,99,101,104,111,108,100,101,114,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,49,50,77,97,112,69,110,116,114,121,73,109,112,108,73,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,51,49,78,97,109,101,65,116,116,114,76,105,115,116,95,65,116,116,114,69,110,116,114,121,95,68,111,78,111,116,85,115,101,69,78,83,48,95,55,77,101,115,115,97,103,101,69,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,54,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,54,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,78,83,51,95,57,65,116,116,114,86,97,108,117,101,69,76,78,83,49,95,49,52,87,105,114,101,70,111,114,109,97,116,76,105,116,101,57,70,105,101,108,100,84,121,112,101,69,57,69,76,83,70,95,49,49,69,76,105,48,69,69,49,53,77,97,112,69,110,116,114,121,87,114,97,112,112,101,114,69,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,49,57,65,116,116,114,86,97,108,117,101,95,76,105,115,116,86,97,108,117,101,69,0,102,117,110,99,116,105,111,110,46,112,114,111,116,111,0,10,14,102,117,110,99,116,105,111,110,46,112,114,111,116,111,18,17,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,26,16,97,116,116,114,95,118,97,108,117,101,46,112,114,111,116,111,26,12,111,112,95,100,101,102,46,112,114,111,116,111,34,120,10,18,70,117,110,99,116,105,111,110,68,101,102,76,105,98,114,97,114,121,18,48,10,8,102,117,110,99,116,105,111,110,24,1,32,3,40,11,50,30,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,70,117,110,99,116,105,111,110,68,101,102,18,48,10,8,103,114,97,100,105,101,110,116,24,2,32,3,40,11,50,30,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,71,114,97,100,105,101,110,116,68,101,102,34,177,2,10,11,70,117,110,99,116,105,111,110,68,101,102,18,43,10,9,115,105,103,110,97,116,117,114,101,24,1,32,1,40,11,50,24,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,102,18,49,10,4,110,111,100,101,24,2,32,3,40,11,50,35,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,70,117,110,99,116,105,111,110,68,101,102,46,78,111,100,101,26,193,1,10,4,78,111,100,101,18,11,10,3,114,101,116,24,1,32,3,40,9,18,10,10,2,111,112,24,2,32,1,40,9,18,11,10,3,97,114,103,24,3,32,3,40,9,18,11,10,3,100,101,112,24,4,32,3,40,9,18,59,10,4,97,116,116,114,24,5,32,3,40,11,50,45,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,70,117,110,99,116,105,111,110,68,101,102,46,78,111,100,101,46,65,116,116,114,69,110,116,114,121,26,73,10,9,65,116,116,114,69,110,116,114,121,18,11,10,3,107,101,121,24,1,32,1,40,9,18,43,10,5,118,97,108,117,101,24,2,32,1,40,11,50,28,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,65,116,116,114,86,97,108,117,101,58,2,56,1,34,59,10,11,71,114,97,100,105,101,110,116,68,101,102,18,21,10,13,102,117,110,99,116,105,111,110,95,110,97,109,101,24,1,32,1,40,9,18,21,10,13,103,114,97,100,105,101,110,116,95,102,117,110,99,24,2,32,1,40,9,66,47,10,24,111,114,103,46,116,101,110,115,111,114,102,108,111,119,46,102,114,97,109,101,119,111,114,107,66,14,70,117,110,99,116,105,111,110,80,114,111,116,111,115,80,1,248,1,1,98,6,112,114,111,116,111,51,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,109,105,115,99,47,116,101,110,115,111,114,102,108,111,119,47,102,117,110,99,116,105,111,110,46,112,98,46,99,99,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,71,114,97,100,105,101,110,116,68,101,102,46,102,117,110,99,116,105,111,110,95,110,97,109,101,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,71,114,97,100,105,101,110,116,68,101,102,46,103,114,97,100,105,101,110,116,95,102,117,110,99,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,49,49,71,114,97,100,105,101,110,116,68,101,102,69,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,109,97,112,95,102,105,101,108,100,95,105,110,108,46,104,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,116,104,105,115,45,62,77,97,112,70,105,101,108,100,66,97,115,101,58,58,114,101,112,101,97,116,101,100,95,102,105,101,108,100,95,32,33,61,32,78,85,76,76,58,32,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,49,50,77,97,112,69,110,116,114,121,73,109,112,108,73,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,51,53,70,117,110,99,116,105,111,110,68,101,102,95,78,111,100,101,95,65,116,116,114,69,110,116,114,121,95,68,111,78,111,116,85,115,101,69,78,83,48,95,55,77,101,115,115,97,103,101,69,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,54,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,54,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,78,83,51,95,57,65,116,116,114,86,97,108,117,101,69,76,78,83,49,95,49,52,87,105,114,101,70,111,114,109,97,116,76,105,116,101,57,70,105,101,108,100,84,121,112,101,69,57,69,76,83,70,95,49,49,69,76,105,48,69,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,56,77,97,112,69,110,116,114,121,73,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,51,53,70,117,110,99,116,105,111,110,68,101,102,95,78,111,100,101,95,65,116,116,114,69,110,116,114,121,95,68,111,78,111,116,85,115,101,69,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,53,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,53,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,78,83,51,95,57,65,116,116,114,86,97,108,117,101,69,76,78,83,49,95,49,52,87,105,114,101,70,111,114,109,97,116,76,105,116,101,57,70,105,101,108,100,84,121,112,101,69,57,69,76,83,69,95,49,49,69,76,105,48,69,69,69,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,51,53,70,117,110,99,116,105,111,110,68,101,102,95,78,111,100,101,95,65,116,116,114,69,110,116,114,121,95,68,111,78,111,116,85,115,101,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,56,77,97,112,70,105,101,108,100,73,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,51,53,70,117,110,99,116,105,111,110,68,101,102,95,78,111,100,101,95,65,116,116,114,69,110,116,114,121,95,68,111,78,111,116,85,115,101,69,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,53,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,53,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,78,83,51,95,57,65,116,116,114,86,97,108,117,101,69,76,78,83,49,95,49,52,87,105,114,101,70,111,114,109,97,116,76,105,116,101,57,70,105,101,108,100,84,121,112,101,69,57,69,76,83,69,95,49,49,69,76,105,48,69,69,69,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,70,117,110,99,116,105,111,110,68,101,102,46,78,111,100,101,46,114,101,116,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,70,117,110,99,116,105,111,110,68,101,102,46,78,111,100,101,46,111,112,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,70,117,110,99,116,105,111,110,68,101,102,46,78,111,100,101,46,97,114,103,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,70,117,110,99,116,105,111,110,68,101,102,46,78,111,100,101,46,100,101,112,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,70,117,110,99,116,105,111,110,68,101,102,46,78,111,100,101,46,65,116,116,114,69,110,116,114,121,46,107,101,121,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,49,50,77,97,112,69,110,116,114,121,73,109,112,108,73,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,51,53,70,117,110,99,116,105,111,110,68,101,102,95,78,111,100,101,95,65,116,116,114,69,110,116,114,121,95,68,111,78,111,116,85,115,101,69,78,83,48,95,55,77,101,115,115,97,103,101,69,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,54,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,54,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,78,83,51,95,57,65,116,116,114,86,97,108,117,101,69,76,78,83,49,95,49,52,87,105,114,101,70,111,114,109,97,116,76,105,116,101,57,70,105,101,108,100,84,121,112,101,69,57,69,76,83,70,95,49,49,69,76,105,48,69,69,49,53,77,97,112,69,110,116,114,121,87,114,97,112,112,101,114,69,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,49,54,70,117,110,99,116,105,111,110,68,101,102,95,78,111,100,101,69,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,49,49,70,117,110,99,116,105,111,110,68,101,102,69,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,49,56,70,117,110,99,116,105,111,110,68,101,102,76,105,98,114,97,114,121,69,0,10,11,116,121,112,101,115,46,112,114,111,116,111,18,17,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,42,156,5,10,8,68,97,116,97,84,121,112,101,18,14,10,10,68,84,95,73,78,86,65,76,73,68,16,0,18,12,10,8,68,84,95,70,76,79,65,84,16,1,18,13,10,9,68,84,95,68,79,85,66,76,69,16,2,18,12,10,8,68,84,95,73,78,84,51,50,16,3,18,12,10,8,68,84,95,85,73,78,84,56,16,4,18,12,10,8,68,84,95,73,78,84,49,54,16,5,18,11,10,7,68,84,95,73,78,84,56,16,6,18,13,10,9,68,84,95,83,84,82,73,78,71,16,7,18,16,10,12,68,84,95,67,79,77,80,76,69,88,54,52,16,8,18,12,10,8,68,84,95,73,78,84,54,52,16,9,18,11,10,7,68,84,95,66,79,79,76,16,10,18,12,10,8,68,84,95,81,73,78,84,56,16,11,18,13,10,9,68,84,95,81,85,73,78,84,56,16,12,18,13,10,9,68,84,95,81,73,78,84,51,50,16,13,18,15,10,11,68,84,95,66,70,76,79,65,84,49,54,16,14,18,13,10,9,68,84,95,81,73,78,84,49,54,16,15,18,14,10,10,68,84,95,81,85,73,78,84,49,54,16,16,18,13,10,9,68,84,95,85,73,78,84,49,54,16,17,18,17,10,13,68,84,95,67,79,77,80,76,69,88,49,50,56,16,18,18,11,10,7,68,84,95,72,65,76,70,16,19,18,16,10,12,68,84,95,70,76,79,65,84,95,82,69,70,16,101,18,17,10,13,68,84,95,68,79,85,66,76,69,95,82,69,70,16,102,18,16,10,12,68,84,95,73,78,84,51,50,95,82,69,70,16,103,18,16,10,12,68,84,95,85,73,78,84,56,95,82,69,70,16,104,18,16,10,12,68,84,95,73,78,84,49,54,95,82,69,70,16,105,18,15,10,11,68,84,95,73,78,84,56,95,82,69,70,16,106,18,17,10,13,68,84,95,83,84,82,73,78,71,95,82,69,70,16,107,18,20,10,16,68,84,95,67,79,77,80,76,69,88,54,52,95,82,69,70,16,108,18,16,10,12,68,84,95,73,78,84,54,52,95,82,69,70,16,109,18,15,10,11,68,84,95,66,79,79,76,95,82,69,70,16,110,18,16,10,12,68,84,95,81,73,78,84,56,95,82,69,70,16,111,18,17,10,13,68,84,95,81,85,73,78,84,56,95,82,69,70,16,112,18,17,10,13,68,84,95,81,73,78,84,51,50,95,82,69,70,16,113,18,19,10,15,68,84,95,66,70,76,79,65,84,49,54,95,82,69,70,16,114,18,17,10,13,68,84,95,81,73,78,84,49,54,95,82,69,70,16,115,18,18,10,14,68,84,95,81,85,73,78,84,49,54,95,82,69,70,16,116,18,17,10,13,68,84,95,85,73,78,84,49,54,95,82,69,70,16,117,18,21,10,17,68,84,95,67,79,77,80,76,69,88,49,50,56,95,82,69,70,16,118,18,15,10,11,68,84,95,72,65,76,70,95,82,69,70,16,119,66,44,10,24,111,114,103,46,116,101,110,115,111,114,102,108,111,119,46,102,114,97,109,101,119,111,114,107,66,11,84,121,112,101,115,80,114,111,116,111,115,80,1,248,1,1,98,6,112,114,111,116,111,51,0,116,121,112,101,115,46,112,114,111,116,111,0,111,112,95,100,101,102,46,112,114,111,116,111,0,10,12,111,112,95,100,101,102,46,112,114,111,116,111,18,17,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,26,16,97,116,116,114,95,118,97,108,117,101,46,112,114,111,116,111,26,11,116,121,112,101,115,46,112,114,111,116,111,34,233,5,10,5,79,112,68,101,102,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,50,10,9,105,110,112,117,116,95,97,114,103,24,2,32,3,40,11,50,31,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,102,46,65,114,103,68,101,102,18,51,10,10,111,117,116,112,117,116,95,97,114,103,24,3,32,3,40,11,50,31,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,102,46,65,114,103,68,101,102,18,46,10,4,97,116,116,114,24,4,32,3,40,11,50,32,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,102,46,65,116,116,114,68,101,102,18,53,10,11,100,101,112,114,101,99,97,116,105,111,110,24,8,32,1,40,11,50,32,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,112,114,101,99,97,116,105,111,110,18,15,10,7,115,117,109,109,97,114,121,24,5,32,1,40,9,18,19,10,11,100,101,115,99,114,105,112,116,105,111,110,24,6,32,1,40,9,18,22,10,14,105,115,95,99,111,109,109,117,116,97,116,105,118,101,24,18,32,1,40,8,18,20,10,12,105,115,95,97,103,103,114,101,103,97,116,101,24,16,32,1,40,8,18,19,10,11,105,115,95,115,116,97,116,101,102,117,108,24,17,32,1,40,8,18,34,10,26,97,108,108,111,119,115,95,117,110,105,110,105,116,105,97,108,105,122,101,100,95,105,110,112,117,116,24,19,32,1,40,8,26,166,1,10,6,65,114,103,68,101,102,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,19,10,11,100,101,115,99,114,105,112,116,105,111,110,24,2,32,1,40,9,18,41,10,4,116,121,112,101,24,3,32,1,40,14,50,27,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,68,97,116,97,84,121,112,101,18,17,10,9,116,121,112,101,95,97,116,116,114,24,4,32,1,40,9,18,19,10,11,110,117,109,98,101,114,95,97,116,116,114,24,5,32,1,40,9,18,22,10,14,116,121,112,101,95,108,105,115,116,95,97,116,116,114,24,6,32,1,40,9,18,14,10,6,105,115,95,114,101,102,24,16,32,1,40,8,26,203,1,10,7,65,116,116,114,68,101,102,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,12,10,4,116,121,112,101,24,2,32,1,40,9,18,51,10,13,100,101,102,97,117,108,116,95,118,97,108,117,101,24,3,32,1,40,11,50,28,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,65,116,116,114,86,97,108,117,101,18,19,10,11,100,101,115,99,114,105,112,116,105,111,110,24,4,32,1,40,9,18,19,10,11,104,97,115,95,109,105,110,105,109,117,109,24,5,32,1,40,8,18,15,10,7,109,105,110,105,109,117,109,24,6,32,1,40,3,18,52,10,14,97,108,108,111,119,101,100,95,118,97,108,117,101,115,24,7,32,1,40,11,50,28,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,65,116,116,114,86,97,108,117,101,34,53,10,13,79,112,68,101,112,114,101,99,97,116,105,111,110,18,15,10,7,118,101,114,115,105,111,110,24,1,32,1,40,5,18,19,10,11,101,120,112,108,97,110,97,116,105,111,110,24,2,32,1,40,9,34,46,10,6,79,112,76,105,115,116,18,36,10,2,111,112,24,1,32,3,40,11,50,24,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,102,66,44,10,24,111,114,103,46,116,101,110,115,111,114,102,108,111,119,46,102,114,97,109,101,119,111,114,107,66,11,79,112,68,101,102,80,114,111,116,111,115,80,1,248,1,1,98,6,112,114,111,116,111,51,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,109,105,115,99,47,116,101,110,115,111,114,102,108,111,119,47,111,112,95,100,101,102,46,112,98,46,99,99,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,112,114,101,99,97,116,105,111,110,46,101,120,112,108,97,110,97,116,105,111,110,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,49,51,79,112,68,101,112,114,101,99,97,116,105,111,110,69,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,102,46,65,116,116,114,68,101,102,46,110,97,109,101,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,102,46,65,116,116,114,68,101,102,46,116,121,112,101,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,102,46,65,116,116,114,68,101,102,46,100,101,115,99,114,105,112,116,105,111,110,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,49,51,79,112,68,101,102,95,65,116,116,114,68,101,102,69,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,102,46,110,97,109,101,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,102,46,115,117,109,109,97,114,121,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,102,46,100,101,115,99,114,105,112,116,105,111,110,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,53,79,112,68,101,102,69,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,54,79,112,76,105,115,116,69,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,102,46,65,114,103,68,101,102,46,110,97,109,101,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,102,46,65,114,103,68,101,102,46,100,101,115,99,114,105,112,116,105,111,110,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,102,46,65,114,103,68,101,102,46,116,121,112,101,95,97,116,116,114,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,102,46,65,114,103,68,101,102,46,110,117,109,98,101,114,95,97,116,116,114,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,79,112,68,101,102,46,65,114,103,68,101,102,46,116,121,112,101,95,108,105,115,116,95,97,116,116,114,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,49,50,79,112,68,101,102,95,65,114,103,68,101,102,69,0,111,112,101,110,99,118,45,99,97,102,102,101,46,112,114,111,116,111,0,10,18,111,112,101,110,99,118,45,99,97,102,102,101,46,112,114,111,116,111,18,12,111,112,101,110,99,118,95,99,97,102,102,101,34,28,10,9,66,108,111,98,83,104,97,112,101,18,15,10,3,100,105,109,24,1,32,3,40,3,66,2,16,1,34,148,2,10,9,66,108,111,98,80,114,111,116,111,18,38,10,5,115,104,97,112,101,24,7,32,1,40,11,50,23,46,111,112,101,110,99,118,95,99,97,102,102,101,46,66,108,111,98,83,104,97,112,101,18,16,10,4,100,97,116,97,24,5,32,3,40,2,66,2,16,1,18,16,10,4,100,105,102,102,24,6,32,3,40,2,66,2,16,1,18,23,10,11,100,111,117,98,108,101,95,100,97,116,97,24,8,32,3,40,1,66,2,16,1,18,23,10,11,100,111,117,98,108,101,95,100,105,102,102,24,9,32,3,40,1,66,2,16,1,18,41,10,13,114,97,119,95,100,97,116,97,95,116,121,112,101,24,10,32,1,40,14,50,18,46,111,112,101,110,99,118,95,99,97,102,102,101,46,84,121,112,101,18,20,10,8,114,97,119,95,100,97,116,97,24,12,32,1,40,12,66,2,16,0,18,14,10,3,110,117,109,24,1,32,1,40,5,58,1,48,18,19,10,8,99,104,97,110,110,101,108,115,24,2,32,1,40,5,58,1,48,18,17,10,6,104,101,105,103,104,116,24,3,32,1,40,5,58,1,48,18,16,10,5,119,105,100,116,104,24,4,32,1,40,5,58,1,48,34,57,10,15,66,108,111,98,80,114,111,116,111,86,101,99,116,111,114,18,38,10,5,98,108,111,98,115,24,1,32,3,40,11,50,23,46,111,112,101,110,99,118,95,99,97,102,102,101,46,66,108,111,98,80,114,111,116,111,34,33,10,16,80,101,114,109,117,116,101,80,97,114,97,109,101,116,101,114,18,13,10,5,111,114,100,101,114,24,1,32,3,40,13,34,157,1,10,22,78,111,114,109,97,108,105,122,101,66,66,111,120,80,97,114,97,109,101,116,101,114,18,28,10,14,97,99,114,111,115,115,95,115,112,97,116,105,97,108,24,1,32,1,40,8,58,4,116,114,117,101,18,51,10,12,115,99,97,108,101,95,102,105,108,108,101,114,24,2,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,18,28,10,14,99,104,97,110,110,101,108,95,115,104,97,114,101,100,24,3,32,1,40,8,58,4,116,114,117,101,18,18,10,3,101,112,115,24,4,32,1,40,2,58,5,49,101,45,49,48,34,230,2,10,17,80,114,105,111,114,66,111,120,80,97,114,97,109,101,116,101,114,18,16,10,8,109,105,110,95,115,105,122,101,24,1,32,1,40,2,18,16,10,8,109,97,120,95,115,105,122,101,24,2,32,1,40,2,18,20,10,12,97,115,112,101,99,116,95,114,97,116,105,111,24,3,32,3,40,2,18,18,10,4,102,108,105,112,24,4,32,1,40,8,58,4,116,114,117,101,18,18,10,4,99,108,105,112,24,5,32,1,40,8,58,4,116,114,117,101,18,16,10,8,118,97,114,105,97,110,99,101,24,6,32,3,40,2,18,16,10,8,105,109,103,95,115,105,122,101,24,7,32,1,40,13,18,13,10,5,105,109,103,95,104,24,8,32,1,40,13,18,13,10,5,105,109,103,95,119,24,9,32,1,40,13,18,12,10,4,115,116,101,112,24,10,32,1,40,2,18,14,10,6,115,116,101,112,95,104,24,11,32,1,40,2,18,14,10,6,115,116,101,112,95,119,24,12,32,1,40,2,18,19,10,6,111,102,102,115,101,116,24,13,32,1,40,2,58,3,48,46,53,18,16,10,8,111,102,102,115,101,116,95,104,24,14,32,3,40,2,18,16,10,8,111,102,102,115,101,116,95,119,24,15,32,3,40,2,18,13,10,5,119,105,100,116,104,24,16,32,3,40,2,18,14,10,6,104,101,105,103,104,116,24,17,32,3,40,2,34,39,10,8,67,111,100,101,84,121,112,101,18,10,10,6,67,79,82,78,69,82,16,1,18,15,10,11,67,69,78,84,69,82,95,83,73,90,69,16,2,34,177,3,10,24,68,101,116,101,99,116,105,111,110,79,117,116,112,117,116,80,97,114,97,109,101,116,101,114,18,19,10,11,110,117,109,95,99,108,97,115,115,101,115,24,1,32,1,40,13,18,28,10,14,115,104,97,114,101,95,108,111,99,97,116,105,111,110,24,2,32,1,40,8,58,4,116,114,117,101,18,30,10,19,98,97,99,107,103,114,111,117,110,100,95,108,97,98,101,108,95,105,100,24,3,32,1,40,5,58,1,48,18,63,10,9,110,109,115,95,112,97,114,97,109,24,4,32,1,40,11,50,44,46,111,112,101,110,99,118,95,99,97,102,102,101,46,78,111,110,77,97,120,105,109,117,109,83,117,112,112,114,101,115,115,105,111,110,80,97,114,97,109,101,116,101,114,18,60,10,17,115,97,118,101,95,111,117,116,112,117,116,95,112,97,114,97,109,24,5,32,1,40,11,50,33,46,111,112,101,110,99,118,95,99,97,102,102,101,46,83,97,118,101,79,117,116,112,117,116,80,97,114,97,109,101,116,101,114,18,67,10,9,99,111,100,101,95,116,121,112,101,24,6,32,1,40,14,50,40,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,114,105,111,114,66,111,120,80,97,114,97,109,101,116,101,114,46,67,111,100,101,84,121,112,101,58,6,67,79,82,78,69,82,18,41,10,26,118,97,114,105,97,110,99,101,95,101,110,99,111,100,101,100,95,105,110,95,116,97,114,103,101,116,24,8,32,1,40,8,58,5,102,97,108,115,101,18,22,10,10,107,101,101,112,95,116,111,112,95,107,24,7,32,1,40,5,58,2,45,49,18,28,10,20,99,111,110,102,105,100,101,110,99,101,95,116,104,114,101,115,104,111,108,100,24,9,32,1,40,2,18,29,10,15,110,111,114,109,97,108,105,122,101,100,95,98,98,111,120,24,10,32,1,40,8,58,4,116,114,117,101,34,129,1,10,5,68,97,116,117,109,18,16,10,8,99,104,97,110,110,101,108,115,24,1,32,1,40,5,18,14,10,6,104,101,105,103,104,116,24,2,32,1,40,5,18,13,10,5,119,105,100,116,104,24,3,32,1,40,5,18,12,10,4,100,97,116,97,24,4,32,1,40,12,18,13,10,5,108,97,98,101,108,24,5,32,1,40,5,18,18,10,10,102,108,111,97,116,95,100,97,116,97,24,6,32,3,40,2,18,22,10,7,101,110,99,111,100,101,100,24,7,32,1,40,8,58,5,102,97,108,115,101,34,145,2,10,15,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,18,22,10,4,116,121,112,101,24,1,32,1,40,9,58,8,99,111,110,115,116,97,110,116,18,16,10,5,118,97,108,117,101,24,2,32,1,40,2,58,1,48,18,14,10,3,109,105,110,24,3,32,1,40,2,58,1,48,18,14,10,3,109,97,120,24,4,32,1,40,2,58,1,49,18,15,10,4,109,101,97,110,24,5,32,1,40,2,58,1,48,18],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+409604);allocate([14,10,3,115,116,100,24,6,32,1,40,2,58,1,49,18,18,10,6,115,112,97,114,115,101,24,7,32,1,40,5,58,2,45,49,18,73,10,13,118,97,114,105,97,110,99,101,95,110,111,114,109,24,8,32,1,40,14,50,42,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,46,86,97,114,105,97,110,99,101,78,111,114,109,58,6,70,65,78,95,73,78,34,52,10,12,86,97,114,105,97,110,99,101,78,111,114,109,18,10,10,6,70,65,78,95,73,78,16,0,18,11,10,7,70,65,78,95,79,85,84,16,1,18,11,10,7,65,86,69,82,65,71,69,16,2,34,170,2,10,12,78,101,116,80,97,114,97,109,101,116,101,114,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,13,10,5,105,110,112,117,116,24,3,32,3,40,9,18,44,10,11,105,110,112,117,116,95,115,104,97,112,101,24,8,32,3,40,11,50,23,46,111,112,101,110,99,118,95,99,97,102,102,101,46,66,108,111,98,83,104,97,112,101,18,17,10,9,105,110,112,117,116,95,100,105,109,24,4,32,3,40,5,18,29,10,14,102,111,114,99,101,95,98,97,99,107,119,97,114,100,24,5,32,1,40,8,58,5,102,97,108,115,101,18,37,10,5,115,116,97,116,101,24,6,32,1,40,11,50,22,46,111,112,101,110,99,118,95,99,97,102,102,101,46,78,101,116,83,116,97,116,101,18,25,10,10,100,101,98,117,103,95,105,110,102,111,24,7,32,1,40,8,58,5,102,97,108,115,101,18,43,10,5,108,97,121,101,114,24,100,32,3,40,11,50,28,46,111,112,101,110,99,118,95,99,97,102,102,101,46,76,97,121,101,114,80,97,114,97,109,101,116,101,114,18,46,10,6,108,97,121,101,114,115,24,2,32,3,40,11,50,30,46,111,112,101,110,99,118,95,99,97,102,102,101,46,86,49,76,97,121,101,114,80,97,114,97,109,101,116,101,114,34,218,10,10,15,83,111,108,118,101,114,80,97,114,97,109,101,116,101,114,18,11,10,3,110,101,116,24,24,32,1,40,9,18,45,10,9,110,101,116,95,112,97,114,97,109,24,25,32,1,40,11,50,26,46,111,112,101,110,99,118,95,99,97,102,102,101,46,78,101,116,80,97,114,97,109,101,116,101,114,18,17,10,9,116,114,97,105,110,95,110,101,116,24,1,32,1,40,9,18,16,10,8,116,101,115,116,95,110,101,116,24,2,32,3,40,9,18,51,10,15,116,114,97,105,110,95,110,101,116,95,112,97,114,97,109,24,21,32,1,40,11,50,26,46,111,112,101,110,99,118,95,99,97,102,102,101,46,78,101,116,80,97,114,97,109,101,116,101,114,18,50,10,14,116,101,115,116,95,110,101,116,95,112,97,114,97,109,24,22,32,3,40,11,50,26,46,111,112,101,110,99,118,95,99,97,102,102,101,46,78,101,116,80,97,114,97,109,101,116,101,114,18,43,10,11,116,114,97,105,110,95,115,116,97,116,101,24,26,32,1,40,11,50,22,46,111,112,101,110,99,118,95,99,97,102,102,101,46,78,101,116,83,116,97,116,101,18,42,10,10,116,101,115,116,95,115,116,97,116,101,24,27,32,3,40,11,50,22,46,111,112,101,110,99,118,95,99,97,102,102,101,46,78,101,116,83,116,97,116,101,18,17,10,9,116,101,115,116,95,105,116,101,114,24,3,32,3,40,5,18,24,10,13,116,101,115,116,95,105,110,116,101,114,118,97,108,24,4,32,1,40,5,58,1,48,18,32,10,17,116,101,115,116,95,99,111,109,112,117,116,101,95,108,111,115,115,24,19,32,1,40,8,58,5,102,97,108,115,101,18,33,10,19,116,101,115,116,95,105,110,105,116,105,97,108,105,122,97,116,105,111,110,24,32,32,1,40,8,58,4,116,114,117,101,18,15,10,7,98,97,115,101,95,108,114,24,5,32,1,40,2,18,15,10,7,100,105,115,112,108,97,121,24,6,32,1,40,5,18,23,10,12,97,118,101,114,97,103,101,95,108,111,115,115,24,33,32,1,40,5,58,1,49,18,16,10,8,109,97,120,95,105,116,101,114,24,7,32,1,40,5,18,20,10,9,105,116,101,114,95,115,105,122,101,24,36,32,1,40,5,58,1,49,18,17,10,9,108,114,95,112,111,108,105,99,121,24,8,32,1,40,9,18,13,10,5,103,97,109,109,97,24,9,32,1,40,2,18,13,10,5,112,111,119,101,114,24,10,32,1,40,2,18,16,10,8,109,111,109,101,110,116,117,109,24,11,32,1,40,2,18,20,10,12,119,101,105,103,104,116,95,100,101,99,97,121,24,12,32,1,40,2,18,31,10,19,114,101,103,117,108,97,114,105,122,97,116,105,111,110,95,116,121,112,101,24,29,32,1,40,9,58,2,76,50,18,16,10,8,115,116,101,112,115,105,122,101,24,13,32,1,40,5,18,17,10,9,115,116,101,112,118,97,108,117,101,24,34,32,3,40,5,18,26,10,14,99,108,105,112,95,103,114,97,100,105,101,110,116,115,24,35,32,1,40,2,58,2,45,49,18,19,10,8,115,110,97,112,115,104,111,116,24,14,32,1,40,5,58,1,48,18,23,10,15,115,110,97,112,115,104,111,116,95,112,114,101,102,105,120,24,15,32,1,40,9,18,28,10,13,115,110,97,112,115,104,111,116,95,100,105,102,102,24,16,32,1,40,8,58,5,102,97,108,115,101,18,82,10,15,115,110,97,112,115,104,111,116,95,102,111,114,109,97,116,24,37,32,1,40,14,50,44,46,111,112,101,110,99,118,95,99,97,102,102,101,46,83,111,108,118,101,114,80,97,114,97,109,101,116,101,114,46,83,110,97,112,115,104,111,116,70,111,114,109,97,116,58,11,66,73,78,65,82,89,80,82,79,84,79,18,66,10,11,115,111,108,118,101,114,95,109,111,100,101,24,17,32,1,40,14,50,40,46,111,112,101,110,99,118,95,99,97,102,102,101,46,83,111,108,118,101,114,80,97,114,97,109,101,116,101,114,46,83,111,108,118,101,114,77,111,100,101,58,3,71,80,85,18,20,10,9,100,101,118,105,99,101,95,105,100,24,18,32,1,40,5,58,1,48,18,23,10,11,114,97,110,100,111,109,95,115,101,101,100,24,20,32,1,40,3,58,2,45,49,18,17,10,4,116,121,112,101,24,40,32,1,40,9,58,3,83,71,68,18,20,10,5,100,101,108,116,97,24,31,32,1,40,2,58,5,49,101,45,48,56,18,24,10,9,109,111,109,101,110,116,117,109,50,24,39,32,1,40,2,58,5,48,46,57,57,57,18,23,10,9,114,109,115,95,100,101,99,97,121,24,38,32,1,40,2,58,4,48,46,57,57,18,25,10,10,100,101,98,117,103,95,105,110,102,111,24,23,32,1,40,8,58,5,102,97,108,115,101,18,34,10,20,115,110,97,112,115,104,111,116,95,97,102,116,101,114,95,116,114,97,105,110,24,28,32,1,40,8,58,4,116,114,117,101,18,66,10,11,115,111,108,118,101,114,95,116,121,112,101,24,30,32,1,40,14,50,40,46,111,112,101,110,99,118,95,99,97,102,102,101,46,83,111,108,118,101,114,80,97,114,97,109,101,116,101,114,46,83,111,108,118,101,114,84,121,112,101,58,3,83,71,68,34,43,10,14,83,110,97,112,115,104,111,116,70,111,114,109,97,116,18,8,10,4,72,68,70,53,16,0,18,15,10,11,66,73,78,65,82,89,80,82,79,84,79,16,1,34,30,10,10,83,111,108,118,101,114,77,111,100,101,18,7,10,3,67,80,85,16,0,18,7,10,3,71,80,85,16,1,34,85,10,10,83,111,108,118,101,114,84,121,112,101,18,7,10,3,83,71,68,16,0,18,12,10,8,78,69,83,84,69,82,79,86,16,1,18,11,10,7,65,68,65,71,82,65,68,16,2,18,11,10,7,82,77,83,80,82,79,80,16,3,18,12,10,8,65,68,65,68,69,76,84,65,16,4,18,8,10,4,65,68,65,77,16,5,34,115,10,11,83,111,108,118,101,114,83,116,97,116,101,18,12,10,4,105,116,101,114,24,1,32,1,40,5,18,19,10,11,108,101,97,114,110,101,100,95,110,101,116,24,2,32,1,40,9,18,40,10,7,104,105,115,116,111,114,121,24,3,32,3,40,11,50,23,46,111,112,101,110,99,118,95,99,97,102,102,101,46,66,108,111,98,80,114,111,116,111,18,23,10,12,99,117,114,114,101,110,116,95,115,116,101,112,24,4,32,1,40,5,58,1,48,34,85,10,8,78,101,116,83,116,97,116,101,18,40,10,5,112,104,97,115,101,24,1,32,1,40,14,50,19,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,104,97,115,101,58,4,84,69,83,84,18,16,10,5,108,101,118,101,108,24,2,32,1,40,5,58,1,48,18,13,10,5,115,116,97,103,101,24,3,32,3,40,9,34,122,10,12,78,101,116,83,116,97,116,101,82,117,108,101,18,34,10,5,112,104,97,115,101,24,1,32,1,40,14,50,19,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,104,97,115,101,18,17,10,9,109,105,110,95,108,101,118,101,108,24,2,32,1,40,5,18,17,10,9,109,97,120,95,108,101,118,101,108,24,3,32,1,40,5,18,13,10,5,115,116,97,103,101,24,4,32,3,40,9,18,17,10,9,110,111,116,95,115,116,97,103,101,24,5,32,3,40,9,34,170,1,10,9,80,97,114,97,109,83,112,101,99,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,56,10,10,115,104,97,114,101,95,109,111,100,101,24,2,32,1,40,14,50,36,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,97,114,97,109,83,112,101,99,46,68,105,109,67,104,101,99,107,77,111,100,101,18,18,10,7,108,114,95,109,117,108,116,24,3,32,1,40,2,58,1,49,18,21,10,10,100,101,99,97,121,95,109,117,108,116,24,4,32,1,40,2,58,1,49,34,42,10,12,68,105,109,67,104,101,99,107,77,111,100,101,18,10,10,6,83,84,82,73,67,84,16,0,18,14,10,10,80,69,82,77,73,83,83,73,86,69,16,1,34,163,26,10,14,76,97,121,101,114,80,97,114,97,109,101,116,101,114,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,12,10,4,116,121,112,101,24,2,32,1,40,9,18,14,10,6,98,111,116,116,111,109,24,3,32,3,40,9,18,11,10,3,116,111,112,24,4,32,3,40,9,18,34,10,5,112,104,97,115,101,24,10,32,1,40,14,50,19,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,104,97,115,101,18,19,10,11,108,111,115,115,95,119,101,105,103,104,116,24,5,32,3,40,2,18,38,10,5,112,97,114,97,109,24,6,32,3,40,11,50,23,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,97,114,97,109,83,112,101,99,18,38,10,5,98,108,111,98,115,24,7,32,3,40,11,50,23,46,111,112,101,110,99,118,95,99,97,102,102,101,46,66,108,111,98,80,114,111,116,111,18,22,10,14,112,114,111,112,97,103,97,116,101,95,100,111,119,110,24,11,32,3,40,8,18,43,10,7,105,110,99,108,117,100,101,24,8,32,3,40,11,50,26,46,111,112,101,110,99,118,95,99,97,102,102,101,46,78,101,116,83,116,97,116,101,82,117,108,101,18,43,10,7,101,120,99,108,117,100,101,24,9,32,3,40,11,50,26,46,111,112,101,110,99,118,95,99,97,102,102,101,46,78,101,116,83,116,97,116,101,82,117,108,101,18,62,10,15,116,114,97,110,115,102,111,114,109,95,112,97,114,97,109,24,100,32,1,40,11,50,37,46,111,112,101,110,99,118,95,99,97,102,102,101,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,80,97,114,97,109,101,116,101,114,18,47,10,10,108,111,115,115,95,112,97,114,97,109,24,101,32,1,40,11,50,27,46,111,112,101,110,99,118,95,99,97,102,102,101,46,76,111,115,115,80,97,114,97,109,101,116,101,114,18,55,10,14,97,99,99,117,114,97,99,121,95,112,97,114,97,109,24,102,32,1,40,11,50,31,46,111,112,101,110,99,118,95,99,97,102,102,101,46,65,99,99,117,114,97,99,121,80,97,114,97,109,101,116,101,114,18,51,10,12,97,114,103,109,97,120,95,112,97,114,97,109,24,103,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,65,114,103,77,97,120,80,97,114,97,109,101,116,101,114,18,59,10,16,98,97,116,99,104,95,110,111,114,109,95,112,97,114,97,109,24,139,1,32,1,40,11,50,32,46,111,112,101,110,99,118,95,99,97,102,102,101,46,66,97,116,99,104,78,111,114,109,80,97,114,97,109,101,116,101,114,18,48,10,10,98,105,97,115,95,112,97,114,97,109,24,141,1,32,1,40,11,50,27,46,111,112,101,110,99,118,95,99,97,102,102,101,46,66,105,97,115,80,97,114,97,109,101,116,101,114,18,51,10,12,99,111,110,99,97,116,95,112,97,114,97,109,24,104,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,67,111,110,99,97,116,80,97,114,97,109,101,116,101,114,18,70,10,22,99,111,110,116,114,97,115,116,105,118,101,95,108,111,115,115,95,112,97,114,97,109,24,105,32,1,40,11,50,38,46,111,112,101,110,99,118,95,99,97,102,102,101,46,67,111,110,116,114,97,115,116,105,118,101,76,111,115,115,80,97,114,97,109,101,116,101,114,18,61,10,17,99,111,110,118,111,108,117,116,105,111,110,95,112,97,114,97,109,24,106,32,1,40,11,50,34,46,111,112,101,110,99,118,95,99,97,102,102,101,46,67,111,110,118,111,108,117,116,105,111,110,80,97,114,97,109,101,116,101,114,18,48,10,10,99,114,111,112,95,112,97,114,97,109,24,144,1,32,1,40,11,50,27,46,111,112,101,110,99,118,95,99,97,102,102,101,46,67,114,111,112,80,97,114,97,109,101,116,101,114,18,47,10,10,100,97,116,97,95,112,97,114,97,109,24,107,32,1,40,11,50,27,46,111,112,101,110,99,118,95,99,97,102,102,101,46,68,97,116,97,80,97,114,97,109,101,116,101,114,18,71,10,22,100,101,116,101,99,116,105,111,110,95,111,117,116,112,117,116,95,112,97,114,97,109,24,147,1,32,1,40,11,50,38,46,111,112,101,110,99,118,95,99,97,102,102,101,46,68,101,116,101,99,116,105,111,110,79,117,116,112,117,116,80,97,114,97,109,101,116,101,114,18,53,10,13,100,114,111,112,111,117,116,95,112,97,114,97,109,24,108,32,1,40,11,50,30,46,111,112,101,110,99,118,95,99,97,102,102,101,46,68,114,111,112,111,117,116,80,97,114,97,109,101,116,101,114,18,58,10,16,100,117,109,109,121,95,100,97,116,97,95,112,97,114,97,109,24,109,32,1,40,11,50,32,46,111,112,101,110,99,118,95,99,97,102,102,101,46,68,117,109,109,121,68,97,116,97,80,97,114,97,109,101,116,101,114,18,53,10,13,101,108,116,119,105,115,101,95,112,97,114,97,109,24,110,32,1,40,11,50,30,46,111,112,101,110,99,118,95,99,97,102,102,101,46,69,108,116,119,105,115,101,80,97,114,97,109,101,116,101,114,18,46,10,9,101,108,117,95,112,97,114,97,109,24,140,1,32,1,40,11,50,26,46,111,112,101,110,99,118,95,99,97,102,102,101,46,69,76,85,80,97,114,97,109,101,116,101,114,18,50,10,11,101,109,98,101,100,95,112,97,114,97,109,24,137,1,32,1,40,11,50,28,46,111,112,101,110,99,118,95,99,97,102,102,101,46,69,109,98,101,100,80,97,114,97,109,101,116,101,114,18,45,10,9,101,120,112,95,112,97,114,97,109,24,111,32,1,40,11,50,26,46,111,112,101,110,99,118,95,99,97,102,102,101,46,69,120,112,80,97,114,97,109,101,116,101,114,18,54,10,13,102,108,97,116,116,101,110,95,112,97,114,97,109,24,135,1,32,1,40,11,50,30,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,108,97,116,116,101,110,80,97,114,97,109,101,116,101,114,18,56,10,15,104,100,102,53,95,100,97,116,97,95,112,97,114,97,109,24,112,32,1,40,11,50,31,46,111,112,101,110,99,118,95,99,97,102,102,101,46,72,68,70,53,68,97,116,97,80,97,114,97,109,101,116,101,114,18,60,10,17,104,100,102,53,95,111,117,116,112,117,116,95,112,97,114,97,109,24,113,32,1,40,11,50,33,46,111,112,101,110,99,118,95,99,97,102,102,101,46,72,68,70,53,79,117,116,112,117,116,80,97,114,97,109,101,116,101,114,18,58,10,16,104,105,110,103,101,95,108,111,115,115,95,112,97,114,97,109,24,114,32,1,40,11,50,32,46,111,112,101,110,99,118,95,99,97,102,102,101,46,72,105,110,103,101,76,111,115,115,80,97,114,97,109,101,116,101,114,18,58,10,16,105,109,97,103,101,95,100,97,116,97,95,112,97,114,97,109,24,115,32,1,40,11,50,32,46,111,112,101,110,99,118,95,99,97,102,102,101,46,73,109,97,103,101,68,97,116,97,80,97,114,97,109,101,116,101,114,18,64,10,19,105,110,102,111,103,97,105,110,95,108,111,115,115,95,112,97,114,97,109,24,116,32,1,40,11,50,35,46,111,112,101,110,99,118,95,99,97,102,102,101,46,73,110,102,111,103,97,105,110,76,111,115,115,80,97,114,97,109,101,116,101,114,18,64,10,19,105,110,110,101,114,95,112,114,111,100,117,99,116,95,112,97,114,97,109,24,117,32,1,40,11,50,35,46,111,112,101,110,99,118,95,99,97,102,102,101,46,73,110,110,101,114,80,114,111,100,117,99,116,80,97,114,97,109,101,116,101,114,18,50,10,11,105,110,112,117,116,95,112,97,114,97,109,24,143,1,32,1,40,11,50,28,46,111,112,101,110,99,118,95,99,97,102,102,101,46,73,110,112,117,116,80,97,114,97,109,101,116,101,114,18,46,10,9,108,111,103,95,112,97,114,97,109,24,134,1,32,1,40,11,50,26,46,111,112,101,110,99,118,95,99,97,102,102,101,46,76,111,103,80,97,114,97,109,101,116,101,114,18,45,10,9,108,114,110,95,112,97,114,97,109,24,118,32,1,40,11,50,26,46,111,112,101,110,99,118,95,99,97,102,102,101,46,76,82,78,80,97,114,97,109,101,116,101,114,18,60,10,17,109,101,109,111,114,121,95,100,97,116,97,95,112,97,114,97,109,24,119,32,1,40,11,50,33,46,111,112,101,110,99,118,95,99,97,102,102,101,46,77,101,109,111,114,121,68,97,116,97,80,97,114,97,109,101,116,101,114,18,45,10,9,109,118,110,95,112,97,114,97,109,24,120,32,1,40,11,50,26,46,111,112,101,110,99,118,95,99,97,102,102,101,46,77,86,78,80,97,114,97,109,101,116,101,114,18,57,10,10,110,111,114,109,95,112,97,114,97,109,24,149,1,32,1,40,11,50,36,46,111,112,101,110,99,118,95,99,97,102,102,101,46,78,111,114,109,97,108,105,122,101,66,66,111,120,80,97,114,97,109,101,116,101,114,18,54,10,13,112,101,114,109,117,116,101,95,112,97,114,97,109,24,148,1,32,1,40,11,50,30,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,101,114,109,117,116,101,80,97,114,97,109,101,116,101,114,18,58,10,15,112,97,114,97,109,101,116,101,114,95,112,97,114,97,109,24,145,1,32,1,40,11,50,32,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,97,114,97,109,101,116,101,114,80,97,114,97,109,101,116,101,114,18,53,10,13,112,111,111,108,105,110,103,95,112,97,114,97,109,24,121,32,1,40,11,50,30,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,111,111,108,105,110,103,80,97,114,97,109,101,116,101,114,18,49,10,11,112,111,119,101,114,95,112,97,114,97,109,24,122,32,1,40,11,50,28,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,111,119,101,114,80,97,114,97,109,101,116,101,114,18,50,10,11,112,114,101,108,117,95,112,97,114,97,109,24,131,1,32,1,40,11,50,28,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,82,101,76,85,80,97,114,97,109,101,116,101,114,18,57,10,15,112,114,105,111,114,95,98,111,120,95,112,97,114,97,109,24,150,1,32,1,40,11,50,31,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,114,105,111,114,66,111,120,80,97,114,97,109,101,116,101,114,18,56,10,14,112,114,111,112,111,115,97,108,95,112,97,114,97,109,24,201,1,32,1,40,11,50,31,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,114,111,112,111,115,97,108,80,97,114,97,109,101,116,101,114,18,65,10,19,112,115,114,111,105,95,112,111,111,108,105,110,103,95,112,97,114,97,109,24,146,78,32,1,40,11,50,35,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,83,82,79,73,80,111,111,108,105,110,103,80,97,114,97,109,101,116,101,114,18,52,10,12,112,121,116,104,111,110,95,112,97,114,97,109,24,130,1,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,121,116,104,111,110,80,97,114,97,109,101,116,101,114,18,58,10,15,114,101,99,117,114,114,101,110,116,95,112,97,114,97,109,24,146,1,32,1,40,11,50,32,46,111,112,101,110,99,118,95,99,97,102,102,101,46,82,101,99,117,114,114,101,110,116,80,97,114,97,109,101,116,101,114,18,58,10,15,114,101,100,117,99,116,105,111,110,95,112,97,114,97,109,24,136,1,32,1,40,11,50,32,46,111,112,101,110,99,118,95,99,97,102,102,101,46,82,101,100,117,99,116,105,111,110,80,97,114,97,109,101,116,101,114,18,47,10,10,114,101,108,117,95,112,97,114,97,109,24,123,32,1,40,11,50,27,46,111,112,101,110,99,118,95,99,97,102,102,101,46,82,101,76,85,80,97,114,97,109,101,116,101,114,18,54,10,13,114,101,115,104,97,112,101,95,112,97,114,97,109,24,133,1,32,1,40,11,50,30,46,111,112,101,110,99,118,95,99,97,102,102,101,46,82,101,115,104,97,112,101,80,97,114,97,109,101,116,101,114,18,63,10,17,114,111,105,95,112,111,111,108,105,110,103,95,112,97,114,97,109,24,215,199,248,3,32,1,40,11,50,33,46,111,112,101,110,99,118,95,99,97,102,102,101,46,82,79,73,80,111,111,108,105,110,103,80,97,114,97,109,101,116,101,114,18,50,10,11,115,99,97,108,101,95,112,97,114,97,109,24,142,1,32,1,40,11,50,28,46,111,112,101,110,99,118,95,99,97,102,102,101,46,83,99,97,108,101,80,97,114,97,109,101,116,101,114,18,53,10,13,115,105,103,109,111,105,100,95,112,97,114,97,109,24,124,32,1,40,11,50,30,46,111,112,101,110,99,118,95,99,97,102,102,101,46,83,105,103,109,111,105,100,80,97,114,97,109,101,116,101,114,18,53,10,13,115,111,102,116,109,97,120,95,112,97,114,97,109,24,125,32,1,40,11,50,30,46,111,112,101,110,99,118,95,99,97,102,102,101,46,83,111,102,116,109,97,120,80,97,114,97,109,101,116,101,114,18,46,10,9,115,112,112,95,112,97,114,97,109,24,132,1,32,1,40,11,50,26,46,111,112,101,110,99,118,95,99,97,102,102,101,46,83,80,80,80,97,114,97,109,101,116,101,114,18,49,10,11,115,108,105,99,101,95,112,97,114,97,109,24,126,32,1,40,11,50,28,46,111,112,101,110,99,118,95,99,97,102,102,101,46,83,108,105,99,101,80,97,114,97,109,101,116,101,114,18,47,10,10,116,97,110,104,95,112,97,114,97,109,24,127,32,1,40,11,50,27,46,111,112,101,110,99,118,95,99,97,102,102,101,46,84,97,110,72,80,97,114,97,109,101,116,101,114,18,58,10,15,116,104,114,101,115,104,111,108,100,95,112,97,114,97,109,24,128,1,32,1,40,11,50,32,46,111,112,101,110,99,118,95,99,97,102,102,101,46,84,104,114,101,115,104,111,108,100,80,97,114,97,109,101,116,101,114,18,48,10,10,116,105,108,101,95,112,97,114,97,109,24,138,1,32,1,40,11,50,27,46,111,112,101,110,99,118,95,99,97,102,102,101,46,84,105,108,101,80,97,114,97,109,101,116,101,114,18,61,10,17,119,105,110,100,111,119,95,100,97,116,97,95,112,97,114,97,109,24,129,1,32,1,40,11,50,33,46,111,112,101,110,99,118,95,99,97,102,102,101,46,87,105,110,100,111,119,68,97,116,97,80,97,114,97,109,101,116,101,114,34,182,1,10,23,84,114,97,110,115,102,111,114,109,97,116,105,111,110,80,97,114,97,109,101,116,101,114,18,16,10,5,115,99,97,108,101,24,1,32,1,40,2,58,1,49,18,21,10,6,109,105,114,114,111,114,24,2,32,1,40,8,58,5,102,97,108,115,101,18,20,10,9,99,114,111,112,95,115,105,122,101,24,3,32,1,40,13,58,1,48,18,17,10,9,109,101,97,110,95,102,105,108,101,24,4,32,1,40,9,18,18,10,10,109,101,97,110,95,118,97,108,117,101,24,5,32,3,40,2,18,26,10,11,102,111,114,99,101,95,99,111,108,111,114,24,6,32,1,40,8,58,5,102,97,108,115,101,18,25,10,10,102,111,114,99,101,95,103,114,97,121,24,7,32,1,40,8,58,5,102,97,108,115,101,34,201,1,10,13,76,111,115,115,80,97,114,97,109,101,116,101,114,18,20,10,12,105,103,110,111,114,101,95,108,97,98,101,108,24,1,32,1,40,5,18,75,10,13,110,111,114,109,97,108,105,122,97,116,105,111,110,24,3,32,1,40,14,50,45,46,111,112,101,110,99,118,95,99,97,102,102,101,46,76,111,115,115,80,97,114,97,109,101,116,101,114,46,78,111,114,109,97,108,105,122,97,116,105,111,110,77,111,100,101,58,5,86,65,76,73,68,18,17,10,9,110,111,114,109,97,108,105,122,101,24,2,32,1,40,8,34,66,10,17,78,111,114,109,97,108,105,122,97,116,105,111,110,77,111,100,101,18,8,10,4,70,85,76,76,16,0,18,9,10,5,86,65,76,73,68,16,1,18,14,10,10,66,65,84,67,72,95,83,73,90,69,16,2,18,8,10,4,78,79,78,69,16,3,34,76,10,17,65,99,99,117,114,97,99,121,80,97,114,97,109,101,116,101,114,18,16,10,5,116,111,112,95,107,24,1,32,1,40,13,58,1,49,18,15,10,4,97,120,105,115,24,2,32,1,40,5,58,1,49,18,20,10,12,105,103,110,111,114,101,95,108,97,98,101,108,24,3,32,1,40,5,34,77,10,15,65,114,103,77,97,120,80,97,114,97,109,101,116,101,114,18,26,10,11,111,117,116,95,109,97,120,95,118,97,108,24,1,32,1,40,8,58,5,102,97,108,115,101,18,16,10,5,116,111,112,95,107,24,2,32,1,40,13,58,1,49,18,12,10,4,97,120,105,115,24,3,32,1,40,5,34,57,10,15,67,111,110,99,97,116,80,97,114,97,109,101,116,101,114,18,15,10,4,97,120,105,115,24,2,32,1,40,5,58,1,49,18,21,10,10,99,111,110,99,97,116,95,100,105,109,24,1,32,1,40,13,58,1,49,34,133,1,10,18,66,97,116,99,104,78,111,114,109,80,97,114,97,109,101,116,101,114,18,24,10,16,117,115,101,95,103,108,111,98,97,108,95,115,116,97,116,115,24,1,32,1,40,8,18,38,10,23,109,111,118,105,110,103,95,97,118,101,114,97,103,101,95,102,114,97,99,116,105,111,110,24,2,32,1,40,2,58,5,48,46,57,57,57,18,18,10,3,101,112,115,24,3,32,1,40,2,58,5,49,101,45,48,53,18,25,10,10,115,99,97,108,101,95,98,105,97,115,24,7,32,1,40,8,58,5,102,97,108,115,101,34,100,10,13,66,105,97,115,80,97,114,97,109,101,116,101,114,18,15,10,4,97,120,105,115,24,1,32,1,40,5,58,1,49,18,19,10,8,110,117,109,95,97,120,101,115,24,2,32,1,40,5,58,1,49,18,45,10,6,102,105,108,108,101,114,24,3,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,34,76,10,24,67,111,110,116,114,97,115,116,105,118,101,76,111,115,115,80,97,114,97,109,101,116,101,114,18,17,10,6,109,97,114,103,105,110,24,1,32,1,40,2,58,1,49,18,29,10,14,108,101,103,97,99,121,95,118,101,114,115,105,111,110,24,2,32,1,40,8,58,5,102,97,108,115,101,34,145,4,10,20,67,111,110,118,111,108,117,116,105,111,110,80,97,114,97,109,101,116,101,114,18,18,10,10,110,117,109,95,111,117,116,112,117,116,24,1,32,1,40,13,18,23,10,9,98,105,97,115,95,116,101,114,109,24,2,32,1,40,8,58,4,116,114,117,101,18,11,10,3,112,97,100,24,3,32,3,40,13,18,19,10,11,107,101,114,110,101,108,95,115,105,122,101,24,4,32,3,40,13,18,14,10,6,115,116,114,105,100,101,24,6,32,3,40,13,18,16,10,8,100,105,108,97,116,105,111,110,24,18,32,3,40,13,18,16,10,5,112,97,100,95,104,24,9,32,1,40,13,58,1,48,18,16,10,5,112,97,100,95,119,24,10,32,1,40,13,58,1,48,18,16,10,8,107,101,114,110,101,108,95,104,24,11,32,1,40,13,18,16,10,8,107,101,114,110,101,108,95,119,24,12,32,1,40,13,18,16,10,8,115,116,114,105,100,101,95,104,24,13,32,1,40,13,18,16,10,8,115,116,114,105,100,101,95,119,24,14,32,1,40,13,18,16,10,5,103,114,111,117,112,24,5,32,1,40,13,58,1,49,18,52,10,13,119,101,105,103,104,116,95,102,105,108,108,101,114,24,7,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,18,50,10,11,98,105,97,115,95,102,105,108,108,101,114,24,8,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,18,66,10,6,101,110,103,105,110,101,24,15,32,1,40,14,50,41,46,111,112,101,110,99,118,95,99,97,102,102,101,46,67,111,110,118,111,108,117,116,105,111,110,80,97,114,97,109,101,116,101,114,46,69,110,103,105,110,101,58,7,68,69,70,65,85,76,84,18,15,10,4,97,120,105,115,24,16,32,1,40,5,58,1,49,18,30,10,15,102,111,114,99,101,95,110,100,95,105,109,50,99,111,108,24,17,32,1,40,8,58,5,102,97,108,115,101,34,43,10,6,69,110,103,105,110,101,18,11,10,7,68,69,70,65,85,76,84,16,0,18,9,10,5,67,65,70,70,69,16,1,18,9,10,5,67,85,68,78,78,16,2,34,48,10,13,67,114,111,112,80,97,114,97,109,101,116,101,114,18,15,10,4,97,120,105,115,24,1,32,1,40,5,58,1,50,18,14,10,6,111,102,102,115,101,116,24,2,32,3,40,13,34,171,2,10,13,68,97,116,97,80,97,114,97,109,101,116,101,114,18,14,10,6,115,111,117,114,99,101,24,1,32,1,40,9,18,18,10,10,98,97,116,99,104,95,115,105,122,101,24,4,32,1,40,13,18,20,10,9,114,97,110,100,95,115,107,105,112,24,7,32,1,40,13,58,1,48,18,56,10,7,98,97,99,107,101,110,100,24,8,32,1,40,14,50,30,46,111,112,101,110,99,118,95,99,97,102,102,101,46,68,97,116,97,80,97,114,97,109,101,116,101,114,46,68,66,58,7,76,69,86,69,76,68,66,18,16,10,5,115,99,97,108,101,24,2,32,1,40,2,58,1,49,18,17,10,9,109,101,97,110,95,102,105,108,101,24,3,32,1,40,9,18,20,10,9,99,114,111,112,95,115,105,122,101,24,5,32,1,40,13,58,1,48,18,21,10,6,109,105,114,114,111,114,24,6,32,1,40,8,58,5,102,97,108,115,101,18,34,10,19,102,111,114,99,101,95,101,110,99,111,100,101,100,95,99,111,108,111,114,24,9,32,1,40,8,58,5,102,97,108,115,101,18,19,10,8,112,114,101,102,101,116,99,104,24,10,32,1,40,13,58,1,52,34,27,10,2,68,66,18,11,10,7,76,69,86,69,76,68,66,16,0,18,8,10,4,76,77,68,66,16,1,34,91,10,30,78,111,110,77,97,120,105,109,117,109,83,117,112,112,114,101,115,115,105,111,110,80,97,114,97,109,101,116,101,114,18,26,10,13,110,109,115,95,116,104,114,101,115,104,111,108,100,24,1,32,1,40,2,58,3,48,46,51,18,13,10,5,116,111,112,95,107,24,2,32,1,40,5,18,14,10,3,101,116,97,24,3,32,1,40,2,58,1,49,34,170,1,10,19,83,97,118,101,79,117,116,112,117,116,80,97,114,97,109,101,116,101,114,18,24,10,16,111,117,116,112,117,116,95,100,105,114,101,99,116,111,114,121,24,1,32,1,40,9,18,26,10,18,111,117,116,112,117,116,95,110,97,109,101,95,112,114,101,102,105,120,24,2,32,1,40,9,18,21,10,13,111,117,116,112,117,116,95,102,111,114,109,97,116,24,3,32,1,40,9,18,22,10,14,108,97,98,101,108,95,109,97,112,95,102,105,108,101,24,4,32,1,40,9,18,22,10,14,110,97,109,101,95,115,105,122,101,95,102,105,108,101,24,5,32,1,40,9,18,22,10,14,110,117,109,95,116,101,115,116,95,105,109,97,103,101,24,6,32,1,40,13,34,73,10,16,68,114,111,112,111,117,116,80,97,114,97,109,101,116,101,114,18,26,10,13,100,114,111,112,111,117,116,95,114,97,116,105,111,24,1,32,1,40,2,58,3,48,46,53,18,25,10,11,115,99,97,108,101,95,116,114,97,105,110,24,2,32,1,40,8,58,4,116,114,117,101,34,174,1,10,18,68,117,109,109,121,68,97,116,97,80,97,114,97,109,101,116,101,114,18,50,10,11,100,97,116,97,95,102,105,108,108,101,114,24,1,32,3,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,18,38,10,5,115,104,97,112,101,24,6,32,3,40,11,50,23,46,111,112,101,110,99,118,95,99,97,102,102,101,46,66,108,111,98,83,104,97,112,101,18,11,10,3,110,117,109,24,2,32,3,40,13,18,16,10,8,99,104,97,110,110,101,108,115,24,3,32,3,40,13,18,14,10,6,104,101,105,103,104,116,24,4,32,3,40,13,18,13,10,5,119,105,100,116,104,24,5,32,3,40,13,34,172,1,10,16,69,108,116,119,105,115,101,80,97,114,97,109,101,116,101,114,18,64,10,9,111,112,101,114,97,116,105,111,110,24,1,32,1,40,14,50,40,46,111,112,101,110,99,118,95,99,97,102,102,101,46,69,108,116,119,105,115,101,80,97,114,97,109,101,116,101,114,46,69,108,116,119,105,115,101,79,112,58,3,83,85,77,18,13,10,5,99,111,101,102,102,24,2,32,3,40,2,18,30,10,16,115,116,97,98,108,101,95,112,114,111,100,95,103,114,97,100,24,3,32,1,40,8,58,4,116,114,117,101,34,39,10,9,69,108,116,119,105,115,101,79,112,18,8,10,4,80,82,79,68,16,0,18,7,10,3,83,85,77,16,1,18,7,10,3,77,65,88,16,2,34,32,10,12,69,76,85,80,97,114,97,109,101,116,101,114,18,16,10,5,97,108,112,104,97,24,1,32,1,40,2,58,1,49,34,186,1,10,14,69,109,98,101,100,80,97,114,97,109,101,116,101,114,18,18,10,10,110,117,109,95,111,117,116,112,117,116,24,1,32,1,40,13,18,17,10,9,105,110,112,117,116,95,100,105,109,24,2,32,1,40,13,18,23,10,9,98,105,97,115,95,116,101,114,109,24,3,32,1,40,8,58,4,116,114,117,101,18,52,10,13,119,101,105,103,104,116,95,102,105,108,108,101,114,24,4,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,18,50,10,11,98,105,97,115,95,102,105,108,108,101,114,24,5,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,34,68,10,12,69,120,112,80,97,114,97,109,101,116,101,114,18,16,10,4,98,97,115,101,24,1,32,1,40,2,58,2,45,49,18,16,10,5,115,99,97,108,101,24,2,32,1,40,2,58,1,49,18,16,10,5,115,104,105,102,116,24,3,32,1,40,2,58,1,48,34,57,10,16,70,108,97,116,116,101,110,80,97,114,97,109,101,116,101,114,18,15,10,4,97,120,105,115,24,1,32,1,40,5,58,1,49,18,20,10,8,101,110,100,95,97,120,105,115,24,2,32,1,40,5,58,2,45,49,34,79,10,17,72,68,70,53,68,97,116,97,80,97,114,97,109,101,116,101,114,18,14,10,6,115,111,117,114,99,101,24,1,32,1,40,9,18,18,10,10,98,97,116,99,104,95,115,105,122,101,24,2,32,1,40,13,18,22,10,7,115,104,117,102,102,108,101,24,3,32,1,40,8,58,5,102,97,108,115,101,34,40,10,19,72,68,70,53,79,117,116,112,117,116,80,97,114,97,109,101,116,101,114,18,17,10,9,102,105,108,101,95,110,97,109,101,24,1,32,1,40,9,34,101,10,18,72,105,110,103,101,76,111,115,115,80,97,114,97,109,101,116,101,114,18,55,10,4,110,111,114,109,24,1,32,1,40,14,50,37,46,111,112,101,110,99,118,95,99,97,102,102,101,46,72,105,110,103,101,76,111,115,115,80,97,114,97,109,101,116,101,114,46,78,111,114,109,58,2,76,49,34,22,10,4,78,111,114,109,18,6,10,2,76,49,16,1,18,6,10,2,76,50,16,2,34,151,2,10,18,73,109,97,103,101,68,97,116,97,80,97,114,97,109,101,116,101,114,18,14,10,6,115,111,117,114,99,101,24,1,32,1,40,9,18,21,10,10,98,97,116,99,104,95,115,105,122,101,24,4,32,1,40,13,58,1,49,18,20,10,9,114,97,110,100,95,115,107,105,112,24,7,32,1,40,13,58,1,48,18,22,10,7,115,104,117,102,102,108,101,24,8,32,1,40,8,58,5,102,97,108,115,101,18,21,10,10,110,101,119,95,104,101,105,103,104,116,24,9,32,1,40,13,58,1,48,18,20,10,9,110,101,119,95,119,105,100,116,104,24,10,32,1,40,13,58,1,48,18,22,10,8,105,115,95,99,111,108,111,114,24,11,32,1,40,8,58,4,116,114,117,101,18,16,10,5,115,99,97,108,101,24,2,32,1,40,2,58,1,49,18,17,10,9,109,101,97,110,95,102,105,108,101,24,3,32,1,40,9,18,20,10,9,99,114,111,112,95,115,105,122,101,24,5,32,1,40,13,58,1,48,18,21,10,6,109,105,114,114,111,114,24,6,32,1,40,8,58,5,102,97,108,115,101,18,21,10,11,114,111,111,116,95,102,111,108,100,101,114,24,12,32,1,40,9,58,0,34,39,10,21,73,110,102,111,103,97,105,110,76,111,115,115,80,97,114,97,109,101,116,101,114,18,14,10,6,115,111,117,114,99,101,24,1,32,1,40,9,34,217,1,10,21,73,110,110,101,114,80,114,111,100,117,99,116,80,97,114,97,109,101,116,101,114,18,18,10,10,110,117,109,95,111,117,116,112,117,116,24,1,32,1,40,13,18,23,10,9,98,105,97,115,95,116,101,114,109,24,2,32,1,40,8,58,4,116,114,117,101,18,52,10,13,119,101,105,103,104,116,95,102,105,108,108,101,114,24,3,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,18,50,10,11,98,105,97,115,95,102,105,108,108,101,114,24,4,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,18,15,10,4,97,120,105,115,24,5,32,1,40,5,58,1,49,18,24,10,9,116,114,97,110,115,112,111,115,101,24,6,32,1,40,8,58,5,102,97,108,115,101,34,56,10,14,73,110,112,117,116,80,97,114,97,109,101,116,101,114,18,38,10,5,115,104,97,112,101,24,1,32,3,40,11,50,23,46,111,112,101,110,99,118,95,99,97,102,102,101,46,66,108,111,98,83,104,97,112,101,34,68,10,12,76,111,103,80,97,114,97,109,101,116,101,114,18,16,10,4,98,97,115,101,24,1,32,1,40,2,58,2,45,49,18,16,10,5,115,99,97,108,101,24,2,32,1,40,2,58,1,49,18,16,10,5,115,104,105,102,116,24,3,32,1,40,2,58,1,48,34,198,2,10,12,76,82,78,80,97,114,97,109,101,116,101,114,18,21,10,10,108,111,99,97,108,95,115,105,122,101,24,1,32,1,40,13,58,1,53,18,16,10,5,97,108,112,104,97,24,2,32,1,40,2,58,1,49,18,18,10,4,98,101,116,97,24,3,32,1,40,2,58,4,48,46,55,53,18,75,10,11,110,111,114,109,95,114,101,103,105,111,110,24,4,32,1,40,14,50,37,46,111,112,101,110,99,118,95,99,97,102,102,101,46,76,82,78,80,97,114,97,109,101,116,101,114,46,78,111,114,109,82,101,103,105,111,110,58,15,65,67,82,79,83,83,95,67,72,65,78,78,69,76,83,18,12,10,1,107,24,5,32,1,40,2,58,1,49,18,58,10,6,101,110,103,105,110,101,24,6,32,1,40,14,50,33,46,111,112,101,110,99,118,95,99,97,102,102,101,46,76,82,78,80,97,114,97,109,101,116,101,114,46,69,110,103,105,110,101,58,7,68,69,70,65,85,76,84,34,53,10,10,78,111,114,109,82,101,103,105,111,110,18,19,10,15,65,67,82,79,83,83,95,67,72,65,78,78,69,76,83,16,0,18,18,10,14,87,73,84,72,73,78,95,67,72,65,78,78,69,76,16,1,34,43,10,6,69,110,103,105,110,101,18,11,10,7,68,69,70,65,85,76,84,16,0,18,9,10,5,67,65,70,70,69,16,1,18,9,10,5,67,85,68,78,78,16,2,34,90,10,19,77,101,109,111,114,121,68,97,116,97,80,97,114,97,109,101,116,101,114,18,18,10,10,98,97,116,99,104,95,115,105,122,101,24,1,32,1,40,13,18,16,10,8,99,104,97,110,110,101,108,115,24,2,32,1,40,13,18,14,10,6,104,101,105,103,104,116,24,3,32,1,40,13,18,13,10,5,119,105,100,116,104,24,4,32,1,40,13,34,100,10,12,77,86,78,80,97,114,97,109,101,116,101,114,18,32,10,18,110,111,114,109,97,108,105,122,101,95,118,97,114,105,97,110,99,101,24,1,32,1,40,8,58,4,116,114,117,101,18,30,10,15,97,99,114,111,115,115,95,99,104,97,110,110,101,108,115,24,2,32,1,40,8,58,5,102,97,108,115,101,18,18,10,3,101,112,115,24,3,32,1,40,2,58,5,49,101,45,48,57,34,60,10,18,80,97,114,97,109,101,116,101,114,80,97,114,97,109,101,116,101,114,18,38,10,5,115,104,97,112,101,24,1,32,1,40,11,50,23,46,111,112,101,110,99,118,95,99,97,102,102,101,46,66,108,111,98,83,104,97,112,101,34,201,3,10,16,80,111,111,108,105,110,103,80,97,114,97,109,101,116,101,114,18,60,10,4,112,111,111,108,24,1,32,1,40,14,50,41,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,111,111,108,105,110,103,80,97,114,97,109,101,116,101,114,46,80,111,111,108,77,101,116,104,111,100,58,3,77,65,88,18,14,10,3,112,97,100,24,4,32,1,40,13,58,1,48,18,16,10,5,112,97,100,95,104,24,9,32,1,40,13,58,1,48,18,16,10,5,112,97,100,95,119,24,10,32,1,40,13,58,1,48,18,19,10,11,107,101,114,110,101,108,95,115,105,122,101,24,2,32,1,40,13,18,16,10,8,107,101,114,110,101,108,95,104,24,5,32,1,40,13,18,16,10,8,107,101,114,110,101,108,95,119,24,6,32,1,40,13,18,17,10,6,115,116,114,105,100,101,24],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+419844);allocate([3,32,1,40,13,58,1,49,18,16,10,8,115,116,114,105,100,101,95,104,24,7,32,1,40,13,18,16,10,8,115,116,114,105,100,101,95,119,24,8,32,1,40,13,18,62,10,6,101,110,103,105,110,101,24,11,32,1,40,14,50,37,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,111,111,108,105,110,103,80,97,114,97,109,101,116,101,114,46,69,110,103,105,110,101,58,7,68,69,70,65,85,76,84,18,29,10,14,103,108,111,98,97,108,95,112,111,111,108,105,110,103,24,12,32,1,40,8,58,5,102,97,108,115,101,18,23,10,9,99,101,105,108,95,109,111,100,101,24,13,32,1,40,8,58,4,116,114,117,101,34,46,10,10,80,111,111,108,77,101,116,104,111,100,18,7,10,3,77,65,88,16,0,18,7,10,3,65,86,69,16,1,18,14,10,10,83,84,79,67,72,65,83,84,73,67,16,2,34,43,10,6,69,110,103,105,110,101,18,11,10,7,68,69,70,65,85,76,84,16,0,18,9,10,5,67,65,70,70,69,16,1,18,9,10,5,67,85,68,78,78,16,2,34,70,10,14,80,111,119,101,114,80,97,114,97,109,101,116,101,114,18,16,10,5,112,111,119,101,114,24,1,32,1,40,2,58,1,49,18,16,10,5,115,99,97,108,101,24,2,32,1,40,2,58,1,49,18,16,10,5,115,104,105,102,116,24,3,32,1,40,2,58,1,48,34,103,10,15,80,121,116,104,111,110,80,97,114,97,109,101,116,101,114,18,14,10,6,109,111,100,117,108,101,24,1,32,1,40,9,18,13,10,5,108,97,121,101,114,24,2,32,1,40,9,18,19,10,9,112,97,114,97,109,95,115,116,114,24,3,32,1,40,9,58,0,18,32,10,17,115,104,97,114,101,95,105,110,95,112,97,114,97,108,108,101,108,24,4,32,1,40,8,58,5,102,97,108,115,101,34,206,1,10,18,82,101,99,117,114,114,101,110,116,80,97,114,97,109,101,116,101,114,18,21,10,10,110,117,109,95,111,117,116,112,117,116,24,1,32,1,40,13,58,1,48,18,52,10,13,119,101,105,103,104,116,95,102,105,108,108,101,114,24,2,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,18,50,10,11,98,105,97,115,95,102,105,108,108,101,114,24,3,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,18,25,10,10,100,101,98,117,103,95,105,110,102,111,24,4,32,1,40,8,58,5,102,97,108,115,101,18,28,10,13,101,120,112,111,115,101,95,104,105,100,100,101,110,24,5,32,1,40,8,58,5,102,97,108,115,101,34,180,1,10,18,82,101,100,117,99,116,105,111,110,80,97,114,97,109,101,116,101,114,18,68,10,9,111,112,101,114,97,116,105,111,110,24,1,32,1,40,14,50,44,46,111,112,101,110,99,118,95,99,97,102,102,101,46,82,101,100,117,99,116,105,111,110,80,97,114,97,109,101,116,101,114,46,82,101,100,117,99,116,105,111,110,79,112,58,3,83,85,77,18,15,10,4,97,120,105,115,24,2,32,1,40,5,58,1,48,18,16,10,5,99,111,101,102,102,24,3,32,1,40,2,58,1,49,34,53,10,11,82,101,100,117,99,116,105,111,110,79,112,18,7,10,3,83,85,77,16,1,18,8,10,4,65,83,85,77,16,2,18,9,10,5,83,85,77,83,81,16,3,18,8,10,4,77,69,65,78,16,4,34,148,1,10,13,82,101,76,85,80,97,114,97,109,101,116,101,114,18,25,10,14,110,101,103,97,116,105,118,101,95,115,108,111,112,101,24,1,32,1,40,2,58,1,48,18,59,10,6,101,110,103,105,110,101,24,2,32,1,40,14,50,34,46,111,112,101,110,99,118,95,99,97,102,102,101,46,82,101,76,85,80,97,114,97,109,101,116,101,114,46,69,110,103,105,110,101,58,7,68,69,70,65,85,76,84,34,43,10,6,69,110,103,105,110,101,18,11,10,7,68,69,70,65,85,76,84,16,0,18,9,10,5,67,65,70,70,69,16,1,18,9,10,5,67,85,68,78,78,16,2,34,97,10,16,82,101,115,104,97,112,101,80,97,114,97,109,101,116,101,114,18,38,10,5,115,104,97,112,101,24,1,32,1,40,11,50,23,46,111,112,101,110,99,118,95,99,97,102,102,101,46,66,108,111,98,83,104,97,112,101,18,15,10,4,97,120,105,115,24,2,32,1,40,5,58,1,48,18,20,10,8,110,117,109,95,97,120,101,115,24,3,32,1,40,5,58,2,45,49,34,179,1,10,14,83,99,97,108,101,80,97,114,97,109,101,116,101,114,18,15,10,4,97,120,105,115,24,1,32,1,40,5,58,1,49,18,19,10,8,110,117,109,95,97,120,101,115,24,2,32,1,40,5,58,1,49,18,45,10,6,102,105,108,108,101,114,24,3,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,18,24,10,9,98,105,97,115,95,116,101,114,109,24,4,32,1,40,8,58,5,102,97,108,115,101,18,50,10,11,98,105,97,115,95,102,105,108,108,101,114,24,5,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,34,127,10,16,83,105,103,109,111,105,100,80,97,114,97,109,101,116,101,114,18,62,10,6,101,110,103,105,110,101,24,1,32,1,40,14,50,37,46,111,112,101,110,99,118,95,99,97,102,102,101,46,83,105,103,109,111,105,100,80,97,114,97,109,101,116,101,114,46,69,110,103,105,110,101,58,7,68,69,70,65,85,76,84,34,43,10,6,69,110,103,105,110,101,18,11,10,7,68,69,70,65,85,76,84,16,0,18,9,10,5,67,65,70,70,69,16,1,18,9,10,5,67,85,68,78,78,16,2,34,76,10,14,83,108,105,99,101,80,97,114,97,109,101,116,101,114,18,15,10,4,97,120,105,115,24,3,32,1,40,5,58,1,49,18,19,10,11,115,108,105,99,101,95,112,111,105,110,116,24,2,32,3,40,13,18,20,10,9,115,108,105,99,101,95,100,105,109,24,1,32,1,40,13,58,1,49,34,144,1,10,16,83,111,102,116,109,97,120,80,97,114,97,109,101,116,101,114,18,62,10,6,101,110,103,105,110,101,24,1,32,1,40,14,50,37,46,111,112,101,110,99,118,95,99,97,102,102,101,46,83,111,102,116,109,97,120,80,97,114,97,109,101,116,101,114,46,69,110,103,105,110,101,58,7,68,69,70,65,85,76,84,18,15,10,4,97,120,105,115,24,2,32,1,40,5,58,1,49,34,43,10,6,69,110,103,105,110,101,18,11,10,7,68,69,70,65,85,76,84,16,0,18,9,10,5,67,65,70,70,69,16,1,18,9,10,5,67,85,68,78,78,16,2,34,121,10,13,84,97,110,72,80,97,114,97,109,101,116,101,114,18,59,10,6,101,110,103,105,110,101,24,1,32,1,40,14,50,34,46,111,112,101,110,99,118,95,99,97,102,102,101,46,84,97,110,72,80,97,114,97,109,101,116,101,114,46,69,110,103,105,110,101,58,7,68,69,70,65,85,76,84,34,43,10,6,69,110,103,105,110,101,18,11,10,7,68,69,70,65,85,76,84,16,0,18,9,10,5,67,65,70,70,69,16,1,18,9,10,5,67,85,68,78,78,16,2,34,47,10,13,84,105,108,101,80,97,114,97,109,101,116,101,114,18,15,10,4,97,120,105,115,24,1,32,1,40,5,58,1,49,18,13,10,5,116,105,108,101,115,24,2,32,1,40,5,34,42,10,18,84,104,114,101,115,104,111,108,100,80,97,114,97,109,101,116,101,114,18,20,10,9,116,104,114,101,115,104,111,108,100,24,1,32,1,40,2,58,1,48,34,193,2,10,19,87,105,110,100,111,119,68,97,116,97,80,97,114,97,109,101,116,101,114,18,14,10,6,115,111,117,114,99,101,24,1,32,1,40,9,18,16,10,5,115,99,97,108,101,24,2,32,1,40,2,58,1,49,18,17,10,9,109,101,97,110,95,102,105,108,101,24,3,32,1,40,9,18,18,10,10,98,97,116,99,104,95,115,105,122,101,24,4,32,1,40,13,18,20,10,9,99,114,111,112,95,115,105,122,101,24,5,32,1,40,13,58,1,48,18,21,10,6,109,105,114,114,111,114,24,6,32,1,40,8,58,5,102,97,108,115,101,18,25,10,12,102,103,95,116,104,114,101,115,104,111,108,100,24,7,32,1,40,2,58,3,48,46,53,18,25,10,12,98,103,95,116,104,114,101,115,104,111,108,100,24,8,32,1,40,2,58,3,48,46,53,18,25,10,11,102,103,95,102,114,97,99,116,105,111,110,24,9,32,1,40,2,58,4,48,46,50,53,18,22,10,11,99,111,110,116,101,120,116,95,112,97,100,24,10,32,1,40,13,58,1,48,18,23,10,9,99,114,111,112,95,109,111,100,101,24,11,32,1,40,9,58,4,119,97,114,112,18,27,10,12,99,97,99,104,101,95,105,109,97,103,101,115,24,12,32,1,40,8,58,5,102,97,108,115,101,18,21,10,11,114,111,111,116,95,102,111,108,100,101,114,24,13,32,1,40,9,58,0,34,249,1,10,12,83,80,80,80,97,114,97,109,101,116,101,114,18,22,10,14,112,121,114,97,109,105,100,95,104,101,105,103,104,116,24,1,32,1,40,13,18,56,10,4,112,111,111,108,24,2,32,1,40,14,50,37,46,111,112,101,110,99,118,95,99,97,102,102,101,46,83,80,80,80,97,114,97,109,101,116,101,114,46,80,111,111,108,77,101,116,104,111,100,58,3,77,65,88,18,58,10,6,101,110,103,105,110,101,24,6,32,1,40,14,50,33,46,111,112,101,110,99,118,95,99,97,102,102,101,46,83,80,80,80,97,114,97,109,101,116,101,114,46,69,110,103,105,110,101,58,7,68,69,70,65,85,76,84,34,46,10,10,80,111,111,108,77,101,116,104,111,100,18,7,10,3,77,65,88,16,0,18,7,10,3,65,86,69,16,1,18,14,10,10,83,84,79,67,72,65,83,84,73,67,16,2,34,43,10,6,69,110,103,105,110,101,18,11,10,7,68,69,70,65,85,76,84,16,0,18,9,10,5,67,65,70,70,69,16,1,18,9,10,5,67,85,68,78,78,16,2,34,220,21,10,16,86,49,76,97,121,101,114,80,97,114,97,109,101,116,101,114,18,14,10,6,98,111,116,116,111,109,24,2,32,3,40,9,18,11,10,3,116,111,112,24,3,32,3,40,9,18,12,10,4,110,97,109,101,24,4,32,1,40,9,18,43,10,7,105,110,99,108,117,100,101,24,32,32,3,40,11,50,26,46,111,112,101,110,99,118,95,99,97,102,102,101,46,78,101,116,83,116,97,116,101,82,117,108,101,18,43,10,7,101,120,99,108,117,100,101,24,33,32,3,40,11,50,26,46,111,112,101,110,99,118,95,99,97,102,102,101,46,78,101,116,83,116,97,116,101,82,117,108,101,18,54,10,4,116,121,112,101,24,5,32,1,40,14,50,40,46,111,112,101,110,99,118,95,99,97,102,102,101,46,86,49,76,97,121,101,114,80,97,114,97,109,101,116,101,114,46,76,97,121,101,114,84,121,112,101,18,38,10,5,98,108,111,98,115,24,6,32,3,40,11,50,23,46,111,112,101,110,99,118,95,99,97,102,102,101,46,66,108,111,98,80,114,111,116,111,18,14,10,5,112,97,114,97,109,24,233,7,32,3,40,9,18,69,10,15,98,108,111,98,95,115,104,97,114,101,95,109,111,100,101,24,234,7,32,3,40,14,50,43,46,111,112,101,110,99,118,95,99,97,102,102,101,46,86,49,76,97,121,101,114,80,97,114,97,109,101,116,101,114,46,68,105,109,67,104,101,99,107,77,111,100,101,18,16,10,8,98,108,111,98,115,95,108,114,24,7,32,3,40,2,18,20,10,12,119,101,105,103,104,116,95,100,101,99,97,121,24,8,32,3,40,2,18,19,10,11,108,111,115,115,95,119,101,105,103,104,116,24,35,32,3,40,2,18,55,10,14,97,99,99,117,114,97,99,121,95,112,97,114,97,109,24,27,32,1,40,11,50,31,46,111,112,101,110,99,118,95,99,97,102,102,101,46,65,99,99,117,114,97,99,121,80,97,114,97,109,101,116,101,114,18,51,10,12,97,114,103,109,97,120,95,112,97,114,97,109,24,23,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,65,114,103,77,97,120,80,97,114,97,109,101,116,101,114,18,51,10,12,99,111,110,99,97,116,95,112,97,114,97,109,24,9,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,67,111,110,99,97,116,80,97,114,97,109,101,116,101,114,18,70,10,22,99,111,110,116,114,97,115,116,105,118,101,95,108,111,115,115,95,112,97,114,97,109,24,40,32,1,40,11,50,38,46,111,112,101,110,99,118,95,99,97,102,102,101,46,67,111,110,116,114,97,115,116,105,118,101,76,111,115,115,80,97,114,97,109,101,116,101,114,18,61,10,17,99,111,110,118,111,108,117,116,105,111,110,95,112,97,114,97,109,24,10,32,1,40,11,50,34,46,111,112,101,110,99,118,95,99,97,102,102,101,46,67,111,110,118,111,108,117,116,105,111,110,80,97,114,97,109,101,116,101,114,18,47,10,10,100,97,116,97,95,112,97,114,97,109,24,11,32,1,40,11,50,27,46,111,112,101,110,99,118,95,99,97,102,102,101,46,68,97,116,97,80,97,114,97,109,101,116,101,114,18,53,10,13,100,114,111,112,111,117,116,95,112,97,114,97,109,24,12,32,1,40,11,50,30,46,111,112,101,110,99,118,95,99,97,102,102,101,46,68,114,111,112,111,117,116,80,97,114,97,109,101,116,101,114,18,58,10,16,100,117,109,109,121,95,100,97,116,97,95,112,97,114,97,109,24,26,32,1,40,11,50,32,46,111,112,101,110,99,118,95,99,97,102,102,101,46,68,117,109,109,121,68,97,116,97,80,97,114,97,109,101,116,101,114,18,53,10,13,101,108,116,119,105,115,101,95,112,97,114,97,109,24,24,32,1,40,11,50,30,46,111,112,101,110,99,118,95,99,97,102,102,101,46,69,108,116,119,105,115,101,80,97,114,97,109,101,116,101,114,18,45,10,9,101,120,112,95,112,97,114,97,109,24,41,32,1,40,11,50,26,46,111,112,101,110,99,118,95,99,97,102,102,101,46,69,120,112,80,97,114,97,109,101,116,101,114,18,56,10,15,104,100,102,53,95,100,97,116,97,95,112,97,114,97,109,24,13,32,1,40,11,50,31,46,111,112,101,110,99,118,95,99,97,102,102,101,46,72,68,70,53,68,97,116,97,80,97,114,97,109,101,116,101,114,18,60,10,17,104,100,102,53,95,111,117,116,112,117,116,95,112,97,114,97,109,24,14,32,1,40,11,50,33,46,111,112,101,110,99,118,95,99,97,102,102,101,46,72,68,70,53,79,117,116,112,117,116,80,97,114,97,109,101,116,101,114,18,58,10,16,104,105,110,103,101,95,108,111,115,115,95,112,97,114,97,109,24,29,32,1,40,11,50,32,46,111,112,101,110,99,118,95,99,97,102,102,101,46,72,105,110,103,101,76,111,115,115,80,97,114,97,109,101,116,101,114,18,58,10,16,105,109,97,103,101,95,100,97,116,97,95,112,97,114,97,109,24,15,32,1,40,11,50,32,46,111,112,101,110,99,118,95,99,97,102,102,101,46,73,109,97,103,101,68,97,116,97,80,97,114,97,109,101,116,101,114,18,64,10,19,105,110,102,111,103,97,105,110,95,108,111,115,115,95,112,97,114,97,109,24,16,32,1,40,11,50,35,46,111,112,101,110,99,118,95,99,97,102,102,101,46,73,110,102,111,103,97,105,110,76,111,115,115,80,97,114,97,109,101,116,101,114,18,64,10,19,105,110,110,101,114,95,112,114,111,100,117,99,116,95,112,97,114,97,109,24,17,32,1,40,11,50,35,46,111,112,101,110,99,118,95,99,97,102,102,101,46,73,110,110,101,114,80,114,111,100,117,99,116,80,97,114,97,109,101,116,101,114,18,45,10,9,108,114,110,95,112,97,114,97,109,24,18,32,1,40,11,50,26,46,111,112,101,110,99,118,95,99,97,102,102,101,46,76,82,78,80,97,114,97,109,101,116,101,114,18,60,10,17,109,101,109,111,114,121,95,100,97,116,97,95,112,97,114,97,109,24,22,32,1,40,11,50,33,46,111,112,101,110,99,118,95,99,97,102,102,101,46,77,101,109,111,114,121,68,97,116,97,80,97,114,97,109,101,116,101,114,18,45,10,9,109,118,110,95,112,97,114,97,109,24,34,32,1,40,11,50,26,46,111,112,101,110,99,118,95,99,97,102,102,101,46,77,86,78,80,97,114,97,109,101,116,101,114,18,53,10,13,112,111,111,108,105,110,103,95,112,97,114,97,109,24,19,32,1,40,11,50,30,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,111,111,108,105,110,103,80,97,114,97,109,101,116,101,114,18,49,10,11,112,111,119,101,114,95,112,97,114,97,109,24,21,32,1,40,11,50,28,46,111,112,101,110,99,118,95,99,97,102,102,101,46,80,111,119,101,114,80,97,114,97,109,101,116,101,114,18,47,10,10,114,101,108,117,95,112,97,114,97,109,24,30,32,1,40,11,50,27,46,111,112,101,110,99,118,95,99,97,102,102,101,46,82,101,76,85,80,97,114,97,109,101,116,101,114,18,53,10,13,115,105,103,109,111,105,100,95,112,97,114,97,109,24,38,32,1,40,11,50,30,46,111,112,101,110,99,118,95,99,97,102,102,101,46,83,105,103,109,111,105,100,80,97,114,97,109,101,116,101,114,18,53,10,13,115,111,102,116,109,97,120,95,112,97,114,97,109,24,39,32,1,40,11,50,30,46,111,112,101,110,99,118,95,99,97,102,102,101,46,83,111,102,116,109,97,120,80,97,114,97,109,101,116,101,114,18,49,10,11,115,108,105,99,101,95,112,97,114,97,109,24,31,32,1,40,11,50,28,46,111,112,101,110,99,118,95,99,97,102,102,101,46,83,108,105,99,101,80,97,114,97,109,101,116,101,114,18,47,10,10,116,97,110,104,95,112,97,114,97,109,24,37,32,1,40,11,50,27,46,111,112,101,110,99,118,95,99,97,102,102,101,46,84,97,110,72,80,97,114,97,109,101,116,101,114,18,57,10,15,116,104,114,101,115,104,111,108,100,95,112,97,114,97,109,24,25,32,1,40,11,50,32,46,111,112,101,110,99,118,95,99,97,102,102,101,46,84,104,114,101,115,104,111,108,100,80,97,114,97,109,101,116,101,114,18,60,10,17,119,105,110,100,111,119,95,100,97,116,97,95,112,97,114,97,109,24,20,32,1,40,11,50,33,46,111,112,101,110,99,118,95,99,97,102,102,101,46,87,105,110,100,111,119,68,97,116,97,80,97,114,97,109,101,116,101,114,18,62,10,15,116,114,97,110,115,102,111,114,109,95,112,97,114,97,109,24,36,32,1,40,11,50,37,46,111,112,101,110,99,118,95,99,97,102,102,101,46,84,114,97,110,115,102,111,114,109,97,116,105,111,110,80,97,114,97,109,101,116,101,114,18,47,10,10,108,111,115,115,95,112,97,114,97,109,24,42,32,1,40,11,50,27,46,111,112,101,110,99,118,95,99,97,102,102,101,46,76,111,115,115,80,97,114,97,109,101,116,101,114,18,45,10,5,108,97,121,101,114,24,1,32,1,40,11,50,30,46,111,112,101,110,99,118,95,99,97,102,102,101,46,86,48,76,97,121,101,114,80,97,114,97,109,101,116,101,114,34,216,4,10,9,76,97,121,101,114,84,121,112,101,18,8,10,4,78,79,78,69,16,0,18,10,10,6,65,66,83,86,65,76,16,35,18,12,10,8,65,67,67,85,82,65,67,89,16,1,18,10,10,6,65,82,71,77,65,88,16,30,18,8,10,4,66,78,76,76,16,2,18,10,10,6,67,79,78,67,65,84,16,3,18,20,10,16,67,79,78,84,82,65,83,84,73,86,69,95,76,79,83,83,16,37,18,15,10,11,67,79,78,86,79,76,85,84,73,79,78,16,4,18,8,10,4,68,65,84,65,16,5,18,17,10,13,68,69,67,79,78,86,79,76,85,84,73,79,78,16,39,18,11,10,7,68,82,79,80,79,85,84,16,6,18,14,10,10,68,85,77,77,89,95,68,65,84,65,16,32,18,18,10,14,69,85,67,76,73,68,69,65,78,95,76,79,83,83,16,7,18,11,10,7,69,76,84,87,73,83,69,16,25,18,7,10,3,69,88,80,16,38,18,11,10,7,70,76,65,84,84,69,78,16,8,18,13,10,9,72,68,70,53,95,68,65,84,65,16,9,18,15,10,11,72,68,70,53,95,79,85,84,80,85,84,16,10,18,14,10,10,72,73,78,71,69,95,76,79,83,83,16,28,18,10,10,6,73,77,50,67,79,76,16,11,18,14,10,10,73,77,65,71,69,95,68,65,84,65,16,12,18,17,10,13,73,78,70,79,71,65,73,78,95,76,79,83,83,16,13,18,17,10,13,73,78,78,69,82,95,80,82,79,68,85,67,84,16,14,18,7,10,3,76,82,78,16,15,18,15,10,11,77,69,77,79,82,89,95,68,65,84,65,16,29,18,29,10,25,77,85,76,84,73,78,79,77,73,65,76,95,76,79,71,73,83,84,73,67,95,76,79,83,83,16,16,18,7,10,3,77,86,78,16,34,18,11,10,7,80,79,79,76,73,78,71,16,17,18,9,10,5,80,79,87,69,82,16,26,18,8,10,4,82,69,76,85,16,18,18,11,10,7,83,73,71,77,79,73,68,16,19,18,30,10,26,83,73,71,77,79,73,68,95,67,82,79,83,83,95,69,78,84,82,79,80,89,95,76,79,83,83,16,27,18,11,10,7,83,73,76,69,78,67,69,16,36,18,11,10,7,83,79,70,84,77,65,88,16,20,18,16,10,12,83,79,70,84,77,65,88,95,76,79,83,83,16,21,18,9,10,5,83,80,76,73,84,16,22,18,9,10,5,83,76,73,67,69,16,33,18,8,10,4,84,65,78,72,16,23,18,15,10,11,87,73,78,68,79,87,95,68,65,84,65,16,24,18,13,10,9,84,72,82,69,83,72,79,76,68,16,31,34,42,10,12,68,105,109,67,104,101,99,107,77,111,100,101,18,10,10,6,83,84,82,73,67,84,16,0,18,14,10,10,80,69,82,77,73,83,83,73,86,69,16,1,34,160,8,10,16,86,48,76,97,121,101,114,80,97,114,97,109,101,116,101,114,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,12,10,4,116,121,112,101,24,2,32,1,40,9,18,18,10,10,110,117,109,95,111,117,116,112,117,116,24,3,32,1,40,13,18,22,10,8,98,105,97,115,116,101,114,109,24,4,32,1,40,8,58,4,116,114,117,101,18,52,10,13,119,101,105,103,104,116,95,102,105,108,108,101,114,24,5,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,18,50,10,11,98,105,97,115,95,102,105,108,108,101,114,24,6,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,18,14,10,3,112,97,100,24,7,32,1,40,13,58,1,48,18,18,10,10,107,101,114,110,101,108,115,105,122,101,24,8,32,1,40,13,18,16,10,5,103,114,111,117,112,24,9,32,1,40,13,58,1,49,18,17,10,6,115,116,114,105,100,101,24,10,32,1,40,13,58,1,49,18,60,10,4,112,111,111,108,24,11,32,1,40,14,50,41,46,111,112,101,110,99,118,95,99,97,102,102,101,46,86,48,76,97,121,101,114,80,97,114,97,109,101,116,101,114,46,80,111,111,108,77,101,116,104,111,100,58,3,77,65,88,18,26,10,13,100,114,111,112,111,117,116,95,114,97,116,105,111,24,12,32,1,40,2,58,3,48,46,53,18,21,10,10,108,111,99,97,108,95,115,105,122,101,24,13,32,1,40,13,58,1,53,18,16,10,5,97,108,112,104,97,24,14,32,1,40,2,58,1,49,18,18,10,4,98,101,116,97,24,15,32,1,40,2,58,4,48,46,55,53,18,12,10,1,107,24,22,32,1,40,2,58,1,49,18,14,10,6,115,111,117,114,99,101,24,16,32,1,40,9,18,16,10,5,115,99,97,108,101,24,17,32,1,40,2,58,1,49,18,16,10,8,109,101,97,110,102,105,108,101,24,18,32,1,40,9,18,17,10,9,98,97,116,99,104,115,105,122,101,24,19,32,1,40,13,18,19,10,8,99,114,111,112,115,105,122,101,24,20,32,1,40,13,58,1,48,18,21,10,6,109,105,114,114,111,114,24,21,32,1,40,8,58,5,102,97,108,115,101,18,38,10,5,98,108,111,98,115,24,50,32,3,40,11,50,23,46,111,112,101,110,99,118,95,99,97,102,102,101,46,66,108,111,98,80,114,111,116,111,18,16,10,8,98,108,111,98,115,95,108,114,24,51,32,3,40,2,18,20,10,12,119,101,105,103,104,116,95,100,101,99,97,121,24,52,32,3,40,2,18,20,10,9,114,97,110,100,95,115,107,105,112,24,53,32,1,40,13,58,1,48,18,29,10,16,100,101,116,95,102,103,95,116,104,114,101,115,104,111,108,100,24,54,32,1,40,2,58,3,48,46,53,18,29,10,16,100,101,116,95,98,103,95,116,104,114,101,115,104,111,108,100,24,55,32,1,40,2,58,3,48,46,53,18,29,10,15,100,101,116,95,102,103,95,102,114,97,99,116,105,111,110,24,56,32,1,40,2,58,4,48,46,50,53,18,26,10,15,100,101,116,95,99,111,110,116,101,120,116,95,112,97,100,24,58,32,1,40,13,58,1,48,18,27,10,13,100,101,116,95,99,114,111,112,95,109,111,100,101,24,59,32,1,40,9,58,4,119,97,114,112,18,18,10,7,110,101,119,95,110,117,109,24,60,32,1,40,5,58,1,48,18,23,10,12,110,101,119,95,99,104,97,110,110,101,108,115,24,61,32,1,40,5,58,1,48,18,21,10,10,110,101,119,95,104,101,105,103,104,116,24,62,32,1,40,5,58,1,48,18,20,10,9,110,101,119,95,119,105,100,116,104,24,63,32,1,40,5,58,1,48,18,29,10,14,115,104,117,102,102,108,101,95,105,109,97,103,101,115,24,64,32,1,40,8,58,5,102,97,108,115,101,18,21,10,10,99,111,110,99,97,116,95,100,105,109,24,65,32,1,40,13,58,1,49,18,61,10,17,104,100,102,53,95,111,117,116,112,117,116,95,112,97,114,97,109,24,233,7,32,1,40,11,50,33,46,111,112,101,110,99,118,95,99,97,102,102,101,46,72,68,70,53,79,117,116,112,117,116,80,97,114,97,109,101,116,101,114,34,46,10,10,80,111,111,108,77,101,116,104,111,100,18,7,10,3,77,65,88,16,0,18,7,10,3,65,86,69,16,1,18,14,10,10,83,84,79,67,72,65,83,84,73,67,16,2,34,94,10,14,80,82,101,76,85,80,97,114,97,109,101,116,101,114,18,45,10,6,102,105,108,108,101,114,24,1,32,1,40,11,50,29,46,111,112,101,110,99,118,95,99,97,102,102,101,46,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,18,29,10,14,99,104,97,110,110,101,108,95,115,104,97,114,101,100,24,2,32,1,40,8,58,5,102,97,108,115,101,34,135,1,10,14,78,111,114,109,97,108,105,122,101,100,66,66,111,120,18,12,10,4,120,109,105,110,24,1,32,1,40,2,18,12,10,4,121,109,105,110,24,2,32,1,40,2,18,12,10,4,120,109,97,120,24,3,32,1,40,2,18,12,10,4,121,109,97,120,24,4,32,1,40,2,18,13,10,5,108,97,98,101,108,24,5,32,1,40,5,18,17,10,9,100,105,102,102,105,99,117,108,116,24,6,32,1,40,8,18,13,10,5,115,99,111,114,101,24,7,32,1,40,2,18,12,10,4,115,105,122,101,24,8,32,1,40,2,34,89,10,19,82,79,73,80,111,111,108,105,110,103,80,97,114,97,109,101,116,101,114,18,19,10,8,112,111,111,108,101,100,95,104,24,1,32,1,40,13,58,1,48,18,19,10,8,112,111,111,108,101,100,95,119,24,2,32,1,40,13,58,1,48,18,24,10,13,115,112,97,116,105,97,108,95,115,99,97,108,101,24,3,32,1,40,2,58,1,49,34,200,1,10,17,80,114,111,112,111,115,97,108,80,97,114,97,109,101,116,101,114,18,23,10,11,102,101,97,116,95,115,116,114,105,100,101,24,1,32,1,40,13,58,2,49,54,18,21,10,9,98,97,115,101,95,115,105,122,101,24,2,32,1,40,13,58,2,49,54,18,20,10,8,109,105,110,95,115,105,122,101,24,3,32,1,40,13,58,2,49,54,18,13,10,5,114,97,116,105,111,24,4,32,3,40,2,18,13,10,5,115,99,97,108,101,24,5,32,3,40,2,18,26,10,12,112,114,101,95,110,109,115,95,116,111,112,110,24,6,32,1,40,13,58,4,54,48,48,48,18,26,10,13,112,111,115,116,95,110,109,115,95,116,111,112,110,24,7,32,1,40,13,58,3,51,48,48,18,23,10,10,110,109,115,95,116,104,114,101,115,104,24,8,32,1,40,2,58,3,48,46,55,34,86,10,21,80,83,82,79,73,80,111,111,108,105,110,103,80,97,114,97,109,101,116,101,114,18,21,10,13,115,112,97,116,105,97,108,95,115,99,97,108,101,24,1,32,2,40,2,18,18,10,10,111,117,116,112,117,116,95,100,105,109,24,2,32,2,40,5,18,18,10,10,103,114,111,117,112,95,115,105,122,101,24,3,32,2,40,5,42,61,10,4,84,121,112,101,18,10,10,6,68,79,85,66,76,69,16,0,18,9,10,5,70,76,79,65,84,16,1,18,11,10,7,70,76,79,65,84,49,54,16,2,18,7,10,3,73,78,84,16,3,18,8,10,4,85,73,78,84,16,4,42,28,10,5,80,104,97,115,101,18,9,10,5,84,82,65,73,78,16,0,18,8,10,4,84,69,83,84,16,1,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,109,105,115,99,47,99,97,102,102,101,47,111,112,101,110,99,118,45,99,97,102,102,101,46,112,98,46,99,99,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,50,49,80,83,82,79,73,80,111,111,108,105,110,103,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,55,80,114,111,112,111,115,97,108,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,57,82,79,73,80,111,111,108,105,110,103,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,52,78,111,114,109,97,108,105,122,101,100,66,66,111,120,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,53,70,105,108,108,101,114,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,52,80,82,101,76,85,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,57,72,68,70,53,79,117,116,112,117,116,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,57,66,108,111,98,80,114,111,116,111,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,54,86,48,76,97,121,101,114,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,51,76,111,115,115,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,50,69,120,112,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,50,52,67,111,110,116,114,97,115,116,105,118,101,76,111,115,115,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,54,83,111,102,116,109,97,120,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,54,83,105,103,109,111,105,100,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,51,84,97,110,72,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,50,51,84,114,97,110,115,102,111,114,109,97,116,105,111,110,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,50,77,86,78,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,52,83,108,105,99,101,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,51,82,101,76,85,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,56,72,105,110,103,101,76,111,115,115,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,55,65,99,99,117,114,97,99,121,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,56,68,117,109,109,121,68,97,116,97,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,56,84,104,114,101,115,104,111,108,100,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,54,69,108,116,119,105,115,101,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,53,65,114,103,77,97,120,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,57,77,101,109,111,114,121,68,97,116,97,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,52,80,111,119,101,114,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,57,87,105,110,100,111,119,68,97,116,97,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,54,80,111,111,108,105,110,103,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,50,76,82,78,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,50,49,73,110,110,101,114,80,114,111,100,117,99,116,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,50,49,73,110,102,111,103,97,105,110,76,111,115,115,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,56,73,109,97,103,101,68,97,116,97,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,55,72,68,70,53,68,97,116,97,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,54,68,114,111,112,111,117,116,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,51,68,97,116,97,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,50,48,67,111,110,118,111,108,117,116,105,111,110,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,53,67,111,110,99,97,116,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,50,78,101,116,83,116,97,116,101,82,117,108,101,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,54,86,49,76,97,121,101,114,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,50,83,80,80,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,51,84,105,108,101,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,52,83,99,97,108,101,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,54,82,101,115,104,97,112,101,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,56,82,101,100,117,99,116,105,111,110,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,56,82,101,99,117,114,114,101,110,116,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,53,80,121,116,104,111,110,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,56,80,97,114,97,109,101,116,101,114,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,50,76,111,103,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,52,73,110,112,117,116,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,54,70,108,97,116,116,101,110,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,52,69,109,98,101,100,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,50,69,76,85,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,57,83,97,118,101,79,117,116,112,117,116,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,51,48,78,111,110,77,97,120,105,109,117,109,83,117,112,112,114,101,115,115,105,111,110,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,51,67,114,111,112,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,51,66,105,97,115,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,56,66,97,116,99,104,78,111,114,109,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,55,80,114,105,111,114,66,111,120,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,50,50,78,111,114,109,97,108,105,122,101,66,66,111,120,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,54,80,101,114,109,117,116,101,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,50,52,68,101,116,101,99,116,105,111,110,79,117,116,112,117,116,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,57,80,97,114,97,109,83,112,101,99,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,52,76,97,121,101,114,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,56,78,101,116,83,116,97,116,101,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,49,83,111,108,118,101,114,83,116,97,116,101,69,0,83,71,68,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,50,78,101,116,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,53,83,111,108,118,101,114,80,97,114,97,109,101,116,101,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,53,68,97,116,117,109,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,49,53,66,108,111,98,80,114,111,116,111,86,101,99,116,111,114,69,0,78,49,50,111,112,101,110,99,118,95,99,97,102,102,101,57,66,108,111,98,83,104,97,112,101,69,0,111,112,101,110,99,118,45,111,110,110,120,46,112,114,111,116,111,0,10,17,111,112,101,110,99,118,45,111,110,110,120,46,112,114,111,116,111,18,11,111,112,101,110,99,118,95,111,110,110,120,34,131,4,10,14,65,116,116,114,105,98,117,116,101,80,114,111,116,111,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,21,10,13,114,101,102,95,97,116,116,114,95,110,97,109,101,24,21,32,1,40,9,18,18,10,10,100,111,99,95,115,116,114,105,110,103,24,13,32,1,40,9,18,55,10,4,116,121,112,101,24,20,32,1,40,14,50,41,46,111,112,101,110,99,118,95,111,110,110,120,46,65,116,116,114,105,98,117,116,101,80,114,111,116,111,46,65,116,116,114,105,98,117,116,101,84,121,112,101,18,9,10,1,102,24,2,32,1,40,2,18,9,10,1,105,24,3,32,1,40,3,18,9,10,1,115,24,4,32,1,40,12,18,35,10,1,116,24,5,32,1,40,11,50,24,46,111,112,101,110,99,118,95,111,110,110,120,46,84,101,110,115,111,114,80,114,111,116,111,18,34,10,1,103,24,6,32,1,40,11,50,23,46,111,112,101,110,99,118,95,111,110,110,120,46,71,114,97,112,104,80,114,111,116,111,18,14,10,6,102,108,111,97,116,115,24,7,32,3,40,2,18,12,10,4,105,110,116,115,24,8,32,3,40,3,18,15,10,7,115,116,114,105,110,103,115,24,9,32,3,40,12,18,41,10,7,116,101,110,115,111,114,115,24,10,32,3,40,11,50,24,46,111,112,101,110,99,118,95,111,110,110,120,46,84,101,110,115,111,114,80,114,111,116,111,18,39,10,6,103,114,97,112,104,115,24,11,32,3,40,11,50,23,46,111,112,101,110,99,118,95,111,110,110,120,46,71,114,97,112,104,80,114,111,116,111,34,145,1,10,13,65,116,116,114,105,98,117,116,101,84,121,112,101,18,13,10,9,85,78,68,69,70,73,78,69,68,16,0,18,9,10,5,70,76,79,65,84,16,1,18,7,10,3,73,78,84,16,2,18,10,10,6,83,84,82,73,78,71,16,3,18,10,10,6,84,69,78,83,79,82,16,4,18,9,10,5,71,82,65,80,72,16,5,18,10,10,6,70,76,79,65,84,83,16,6,18,8,10,4,73,78,84,83,16,7,18,11,10,7,83,84,82,73,78,71,83,16,8,18,11,10,7,84,69,78,83,79,82,83,16,9,18,10,10,6,71,82,65,80,72,83,16,10,34,88,10,14,86,97,108,117,101,73,110,102,111,80,114,111,116,111,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,36,10,4,116,121,112,101,24,2,32,1,40,11,50,22,46,111,112,101,110,99,118,95,111,110,110,120,46,84,121,112,101,80,114,111,116,111,18,18,10,10,100,111,99,95,115,116,114,105,110,103,24,3,32,1,40,9,34,157,1,10,9,78,111,100,101,80,114,111,116,111,18,13,10,5,105,110,112,117,116,24,1,32,3,40,9,18,14,10,6,111,117,116,112,117,116,24,2,32,3,40,9,18,12,10,4,110,97,109,101,24,3,32,1,40,9,18,15,10,7,111,112,95,116,121,112,101,24,4,32,1,40,9,18,14,10,6,100,111,109,97,105,110],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+430084);allocate([24,7,32,1,40,9,18,46,10,9,97,116,116,114,105,98,117,116,101,24,5,32,3,40,11,50,27,46,111,112,101,110,99,118,95,111,110,110,120,46,65,116,116,114,105,98,117,116,101,80,114,111,116,111,18,18,10,10,100,111,99,95,115,116,114,105,110,103,24,6,32,1,40,9,34,168,2,10,10,77,111,100,101,108,80,114,111,116,111,18,18,10,10,105,114,95,118,101,114,115,105,111,110,24,1,32,1,40,3,18,53,10,12,111,112,115,101,116,95,105,109,112,111,114,116,24,8,32,3,40,11,50,31,46,111,112,101,110,99,118,95,111,110,110,120,46,79,112,101,114,97,116,111,114,83,101,116,73,100,80,114,111,116,111,18,21,10,13,112,114,111,100,117,99,101,114,95,110,97,109,101,24,2,32,1,40,9,18,24,10,16,112,114,111,100,117,99,101,114,95,118,101,114,115,105,111,110,24,3,32,1,40,9,18,14,10,6,100,111,109,97,105,110,24,4,32,1,40,9,18,21,10,13,109,111,100,101,108,95,118,101,114,115,105,111,110,24,5,32,1,40,3,18,18,10,10,100,111,99,95,115,116,114,105,110,103,24,6,32,1,40,9,18,38,10,5,103,114,97,112,104,24,7,32,1,40,11,50,23,46,111,112,101,110,99,118,95,111,110,110,120,46,71,114,97,112,104,80,114,111,116,111,18,59,10,14,109,101,116,97,100,97,116,97,95,112,114,111,112,115,24,14,32,3,40,11,50,35,46,111,112,101,110,99,118,95,111,110,110,120,46,83,116,114,105,110,103,83,116,114,105,110,103,69,110,116,114,121,80,114,111,116,111,34,52,10,22,83,116,114,105,110,103,83,116,114,105,110,103,69,110,116,114,121,80,114,111,116,111,18,11,10,3,107,101,121,24,1,32,1,40,9,18,13,10,5,118,97,108,117,101,24,2,32,1,40,9,34,141,2,10,10,71,114,97,112,104,80,114,111,116,111,18,36,10,4,110,111,100,101,24,1,32,3,40,11,50,22,46,111,112,101,110,99,118,95,111,110,110,120,46,78,111,100,101,80,114,111,116,111,18,12,10,4,110,97,109,101,24,2,32,1,40,9,18,45,10,11,105,110,105,116,105,97,108,105,122,101,114,24,5,32,3,40,11,50,24,46,111,112,101,110,99,118,95,111,110,110,120,46,84,101,110,115,111,114,80,114,111,116,111,18,18,10,10,100,111,99,95,115,116,114,105,110,103,24,10,32,1,40,9,18,42,10,5,105,110,112,117,116,24,11,32,3,40,11,50,27,46,111,112,101,110,99,118,95,111,110,110,120,46,86,97,108,117,101,73,110,102,111,80,114,111,116,111,18,43,10,6,111,117,116,112,117,116,24,12,32,3,40,11,50,27,46,111,112,101,110,99,118,95,111,110,110,120,46,86,97,108,117,101,73,110,102,111,80,114,111,116,111,18,47,10,10,118,97,108,117,101,95,105,110,102,111,24,13,32,3,40,11,50,27,46,111,112,101,110,99,118,95,111,110,110,120,46,86,97,108,117,101,73,110,102,111,80,114,111,116,111,34,189,4,10,11,84,101,110,115,111,114,80,114,111,116,111,18,12,10,4,100,105,109,115,24,1,32,3,40,3,18,52,10,9,100,97,116,97,95,116,121,112,101,24,2,32,1,40,14,50,33,46,111,112,101,110,99,118,95,111,110,110,120,46,84,101,110,115,111,114,80,114,111,116,111,46,68,97,116,97,84,121,112,101,18,49,10,7,115,101,103,109,101,110,116,24,3,32,1,40,11,50,32,46,111,112,101,110,99,118,95,111,110,110,120,46,84,101,110,115,111,114,80,114,111,116,111,46,83,101,103,109,101,110,116,18,22,10,10,102,108,111,97,116,95,100,97,116,97,24,4,32,3,40,2,66,2,16,1,18,22,10,10,105,110,116,51,50,95,100,97,116,97,24,5,32,3,40,5,66,2,16,1,18,19,10,11,115,116,114,105,110,103,95,100,97,116,97,24,6,32,3,40,12,18,22,10,10,105,110,116,54,52,95,100,97,116,97,24,7,32,3,40,3,66,2,16,1,18,12,10,4,110,97,109,101,24,8,32,1,40,9,18,18,10,10,100,111,99,95,115,116,114,105,110,103,24,12,32,1,40,9,18,16,10,8,114,97,119,95,100,97,116,97,24,9,32,1,40,12,18,23,10,11,100,111,117,98,108,101,95,100,97,116,97,24,10,32,3,40,1,66,2,16,1,18,23,10,11,117,105,110,116,54,52,95,100,97,116,97,24,11,32,3,40,4,66,2,16,1,26,37,10,7,83,101,103,109,101,110,116,18,13,10,5,98,101,103,105,110,24,1,32,1,40,3,18,11,10,3,101,110,100,24,2,32,1,40,3,34,204,1,10,8,68,97,116,97,84,121,112,101,18,13,10,9,85,78,68,69,70,73,78,69,68,16,0,18,9,10,5,70,76,79,65,84,16,1,18,9,10,5,85,73,78,84,56,16,2,18,8,10,4,73,78,84,56,16,3,18,10,10,6,85,73,78,84,49,54,16,4,18,9,10,5,73,78,84,49,54,16,5,18,9,10,5,73,78,84,51,50,16,6,18,9,10,5,73,78,84,54,52,16,7,18,10,10,6,83,84,82,73,78,71,16,8,18,8,10,4,66,79,79,76,16,9,18,11,10,7,70,76,79,65,84,49,54,16,10,18,10,10,6,68,79,85,66,76,69,16,11,18,10,10,6,85,73,78,84,51,50,16,12,18,10,10,6,85,73,78,84,54,52,16,13,18,13,10,9,67,79,77,80,76,69,88,54,52,16,14,18,14,10,10,67,79,77,80,76,69,88,49,50,56,16,15,34,156,1,10,16,84,101,110,115,111,114,83,104,97,112,101,80,114,111,116,111,18,52,10,3,100,105,109,24,1,32,3,40,11,50,39,46,111,112,101,110,99,118,95,111,110,110,120,46,84,101,110,115,111,114,83,104,97,112,101,80,114,111,116,111,46,68,105,109,101,110,115,105,111,110,26,82,10,9,68,105,109,101,110,115,105,111,110,18,19,10,9,100,105,109,95,118,97,108,117,101,24,1,32,1,40,3,72,0,18,19,10,9,100,105,109,95,112,97,114,97,109,24,2,32,1,40,9,72,0,18,18,10,10,100,101,110,111,116,97,116,105,111,110,24,3,32,1,40,9,66,7,10,5,118,97,108,117,101,34,204,1,10,9,84,121,112,101,80,114,111,116,111,18,52,10,11,116,101,110,115,111,114,95,116,121,112,101,24,1,32,1,40,11,50,29,46,111,112,101,110,99,118,95,111,110,110,120,46,84,121,112,101,80,114,111,116,111,46,84,101,110,115,111,114,72,0,18,18,10,10,100,101,110,111,116,97,116,105,111,110,24,6,32,1,40,9,26,108,10,6,84,101,110,115,111,114,18,52,10,9,101,108,101,109,95,116,121,112,101,24,1,32,1,40,14,50,33,46,111,112,101,110,99,118,95,111,110,110,120,46,84,101,110,115,111,114,80,114,111,116,111,46,68,97,116,97,84,121,112,101,18,44,10,5,115,104,97,112,101,24,2,32,1,40,11,50,29,46,111,112,101,110,99,118,95,111,110,110,120,46,84,101,110,115,111,114,83,104,97,112,101,80,114,111,116,111,66,7,10,5,118,97,108,117,101,34,53,10,18,79,112,101,114,97,116,111,114,83,101,116,73,100,80,114,111,116,111,18,14,10,6,100,111,109,97,105,110,24,1,32,1,40,9,18,15,10,7,118,101,114,115,105,111,110,24,2,32,1,40,3,42,99,10,7,86,101,114,115,105,111,110,18,18,10,14,95,83,84,65,82,84,95,86,69,82,83,73,79,78,16,0,18,25,10,21,73,82,95,86,69,82,83,73,79,78,95,50,48,49,55,95,49,48,95,49,48,16,1,18,25,10,21,73,82,95,86,69,82,83,73,79,78,95,50,48,49,55,95,49,48,95,51,48,16,2,18,14,10,10,73,82,95,86,69,82,83,73,79,78,16,3,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,109,105,115,99,47,111,110,110,120,47,111,112,101,110,99,118,45,111,110,110,120,46,112,98,46,99,99,0,78,49,49,111,112,101,110,99,118,95,111,110,110,120,49,56,79,112,101,114,97,116,111,114,83,101,116,73,100,80,114,111,116,111,69,0,78,49,49,111,112,101,110,99,118,95,111,110,110,120,50,54,84,101,110,115,111,114,83,104,97,112,101,80,114,111,116,111,95,68,105,109,101,110,115,105,111,110,69,0,78,49,49,111,112,101,110,99,118,95,111,110,110,120,49,54,84,101,110,115,111,114,83,104,97,112,101,80,114,111,116,111,69,0,78,49,49,111,112,101,110,99,118,95,111,110,110,120,49,54,84,121,112,101,80,114,111,116,111,95,84,101,110,115,111,114,69,0,78,49,49,111,112,101,110,99,118,95,111,110,110,120,57,84,121,112,101,80,114,111,116,111,69,0,78,49,49,111,112,101,110,99,118,95,111,110,110,120,49,57,84,101,110,115,111,114,80,114,111,116,111,95,83,101,103,109,101,110,116,69,0,78,49,49,111,112,101,110,99,118,95,111,110,110,120,49,49,84,101,110,115,111,114,80,114,111,116,111,69,0,78,49,49,111,112,101,110,99,118,95,111,110,110,120,50,50,83,116,114,105,110,103,83,116,114,105,110,103,69,110,116,114,121,80,114,111,116,111,69,0,78,49,49,111,112,101,110,99,118,95,111,110,110,120,49,52,86,97,108,117,101,73,110,102,111,80,114,111,116,111,69,0,78,49,49,111,112,101,110,99,118,95,111,110,110,120,57,78,111,100,101,80,114,111,116,111,69,0,78,49,49,111,112,101,110,99,118,95,111,110,110,120,49,48,71,114,97,112,104,80,114,111,116,111,69,0,78,49,49,111,112,101,110,99,118,95,111,110,110,120,49,48,77,111,100,101,108,80,114,111,116,111,69,0,78,49,49,111,112,101,110,99,118,95,111,110,110,120,49,52,65,116,116,114,105,98,117,116,101,80,114,111,116,111,69,0,83,108,105,99,101,0,83,112,108,105,116,0,73,110,116,101,114,112,0,67,114,111,112,65,110,100,82,101,115,105,122,101,0,68,101,99,111,110,118,111,108,117,116,105,111,110,0,82,79,73,80,111,111,108,105,110,103,0,80,83,82,79,73,80,111,111,108,105,110,103,0,76,82,78,0,73,110,110,101,114,80,114,111,100,117,99,116,0,77,86,78,0,82,101,76,85,54,0,67,104,97,110,110,101,108,115,80,82,101,76,85,0,80,82,101,76,85,0,83,105,103,109,111,105,100,0,69,76,85,0,65,98,115,86,97,108,0,77,97,120,85,110,112,111,111,108,0,83,105,108,101,110,99,101,0,83,104,117,102,102,108,101,67,104,97,110,110,101,108,0,80,114,105,111,114,66,111,120,67,108,117,115,116,101,114,101,100,0,78,111,114,109,97,108,105,122,101,66,66,111,120,0,78,111,114,109,97,108,105,122,101,0,83,104,105,102,116,0,80,97,100,100,105,110,103,0,118,111,105,100,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,105,110,105,116,105,97,108,105,122,101,76,97,121,101,114,70,97,99,116,111,114,121,40,41,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,105,110,105,116,46,99,112,112,0,91,110,101,116,93,0,108,97,121,101,114,95,116,121,112,101,95,115,105,122,101,32,60,32,108,105,110,101,46,115,105,122,101,40,41,0,82,101,97,100,68,97,114,107,110,101,116,70,114,111,109,67,102,103,83,116,114,101,97,109,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,100,97,114,107,110,101,116,47,100,97,114,107,110,101,116,95,105,111,46,99,112,112,0,115,101,112,97,114,97,116,111,114,95,105,110,100,101,120,32,60,32,108,105,110,101,46,115,105,122,101,40,41,0,110,101,116,45,62,119,105,100,116,104,32,62,32,48,32,38,38,32,110,101,116,45,62,104,101,105,103,104,116,32,62,32,48,32,38,38,32,110,101,116,45,62,99,104,97,110,110,101,108,115,32,62,32,48,0,99,111,110,118,111,108,117,116,105,111,110,97,108,0,102,105,108,116,101,114,115,0,97,99,116,105,118,97,116,105,111,110,0,108,105,110,101,97,114,0,98,97,116,99,104,95,110,111,114,109,97,108,105,122,101,0,108,101,97,107,121,0,85,110,115,117,112,112,111,114,116,101,100,32,97,99,116,105,118,97,116,105,111,110,58,32,0,102,108,105,112,112,101,100,0,84,114,97,110,115,112,111,115,101,32,116,104,101,32,99,111,110,118,111,108,117,116,105,111,110,97,108,32,119,101,105,103,104,116,115,32,105,115,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,0,107,101,114,110,101,108,95,115,105,122,101,32,62,32,48,32,38,38,32,102,105,108,116,101,114,115,32,62,32,48,0,99,117,114,114,101,110,116,95,99,104,97,110,110,101,108,115,32,62,32,48,0,109,97,120,112,111,111,108,0,97,118,103,112,111,111,108,0,103,114,111,117,112,115,0,83,111,102,116,109,97,120,32,102,114,111,109,32,68,97,114,107,110,101,116,32,119,105,116,104,32,103,114,111,117,112,115,32,33,61,32,49,0,114,111,117,116,101,0,108,97,121,101,114,115,0,33,98,111,116,116,111,109,95,108,97,121,101,114,115,46,101,109,112,116,121,40,41,0,114,101,111,114,103,0,114,101,103,105,111,110,0,110,117,109,0,33,97,110,99,104,111,114,115,95,118,97,108,117,101,115,46,101,109,112,116,121,40,41,0,99,108,97,115,115,101,115,32,62,32,48,32,38,38,32,110,117,109,95,111,102,95,97,110,99,104,111,114,115,32,62,32,48,32,38,38,32,40,110,117,109,95,111,102,95,97,110,99,104,111,114,115,32,42,32,50,41,32,61,61,32,97,110,99,104,111,114,115,95,118,101,99,46,115,105,122,101,40,41,0,115,104,111,114,116,99,117,116,0,33,98,111,116,116,111,109,95,108,97,121,101,114,46,101,109,112,116,121,40,41,0,117,112,115,97,109,112,108,101,0,121,111,108,111,0,33,109,97,115,107,95,118,97,108,117,101,115,46,101,109,112,116,121,40,41,0,85,110,107,110,111,119,110,32,108,97,121,101,114,32,116,121,112,101,58,32,0,82,101,103,105,111,110,45,110,97,109,101,0,82,101,103,105,111,110,0,121,111,108,111,95,37,100,0,85,112,115,97,109,112,108,101,45,110,97,109,101,0,82,101,115,105,122,101,0,117,112,115,97,109,112,108,101,95,37,100,0,83,104,111,114,116,99,117,116,45,110,97,109,101,0,69,108,116,119,105,115,101,0,115,104,111,114,116,99,117,116,95,37,100,0,100,101,116,101,99,116,105,111,110,95,111,117,116,0,80,101,114,109,117,116,101,45,110,97,109,101,0,80,101,114,109,117,116,101,0,112,101,114,109,117,116,101,95,37,100,0,82,101,111,114,103,45,110,97,109,101,0,82,101,111,114,103,0,114,101,111,114,103,95,37,100,0,67,111,110,99,97,116,45,110,97,109,101,0,67,111,110,99,97,116,0,99,111,110,99,97,116,95,37,100,0,73,100,101,110,116,105,116,121,45,110,97,109,101,0,105,100,101,110,116,105,116,121,95,37,100,0,83,111,102,116,109,97,120,45,110,97,109,101,0,115,111,102,116,109,97,120,95,37,100,0,80,111,111,108,105,110,103,45,110,97,109,101,0,80,111,111,108,105,110,103,0,97,118,103,112,111,111,108,95,37,100,0,112,111,111,108,95,37,100,0,99,111,110,118,95,37,100,0,66,97,116,99,104,78,111,114,109,45,110,97,109,101,0,66,97,116,99,104,78,111,114,109,0,98,110,95,37,100,0,82,101,76,85,45,110,97,109,101,0,114,101,108,117,95,37,100,0,67,111,110,118,111,108,117,116,105,111,110,45,110,97,109,101,0,67,111,110,118,111,108,117,116,105,111,110,0,84,114,97,110,115,112,111,115,101,32,116,104,101,32,119,101,105,103,104,116,115,32,40,101,120,99,101,112,116,32,102,111,114,32,99,111,110,118,111,108,117,116,105,111,110,97,108,41,32,105,115,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,0,82,101,97,100,68,97,114,107,110,101,116,70,114,111,109,87,101,105,103,104,116,115,83,116,114,101,97,109,0,119,101,105,103,104,116,115,66,108,111,98,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,110,111,100,101,46,105,110,112,117,116,95,115,105,122,101,40,41,32,61,61,32,105,110,112,73,110,100,105,99,101,115,46,115,105,122,101,40,41,0,114,101,112,108,97,99,101,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,116,101,110,115,111,114,102,108,111,119,47,116,102,95,103,114,97,112,104,95,115,105,109,112,108,105,102,105,101,114,46,99,112,112,0,33,105,110,112,78,97,109,101,46,101,109,112,116,121,40,41,0,105,110,112,73,100,32,60,32,110,111,100,101,46,105,110,112,117,116,95,115,105,122,101,40,41,0,103,101,116,73,110,112,117,116,78,111,100,101,0,73,110,112,117,116,32,110,111,100,101,32,119,105,116,104,32,110,97,109,101,32,0,67,111,110,115,116,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,56,83,117,98,103,114,97,112,104,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,50,50,82,101,115,104,97,112,101,65,115,83,104,97,112,101,83,117,98,103,114,97,112,104,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,52,95,69,69,69,69,0,83,104,97,112,101,0,82,101,115,104,97,112,101,0,110,111,100,101,73,110,112,117,116,115,91,105,93,32,60,32,40,105,110,116,41,110,111,100,101,115,46,115,105,122,101,40,41,0,115,101,116,70,117,115,101,100,78,111,100,101,0,105,110,112,117,116,115,95,91,105,93,32,60,32,40,105,110,116,41,110,111,100,101,115,46,115,105,122,101,40,41,0,97,100,100,78,111,100,101,84,111,77,97,116,99,104,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,50,50,82,101,115,104,97,112,101,65,115,83,104,97,112,101,83,117,98,103,114,97,112,104,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,50,51,85,112,115,97,109,112,108,105,110,103,75,101,114,97,115,83,117,98,103,114,97,112,104,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,52,95,69,69,69,69,0,83,116,114,105,100,101,100,83,108,105,99,101,0,77,117,108,0,82,101,115,105,122,101,78,101,97,114,101,115,116,78,101,105,103,104,98,111,114,0,47,102,97,99,116,111,114,95,121,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,85,112,115,97,109,112,108,105,110,103,75,101,114,97,115,83,117,98,103,114,97,112,104,58,58,102,105,110,97,108,105,122,101,40,116,101,110,115,111,114,102,108,111,119,58,58,71,114,97,112,104,68,101,102,32,38,44,32,116,101,110,115,111,114,102,108,111,119,58,58,78,111,100,101,68,101,102,32,42,44,32,115,116,100,58,58,118,101,99,116,111,114,60,116,101,110,115,111,114,102,108,111,119,58,58,78,111,100,101,68,101,102,32,42,62,32,38,41,0,102,97,99,116,111,114,115,77,97,116,46,116,121,112,101,40,41,0,67,86,95,51,50,83,67,49,0,102,97,99,116,111,114,115,77,97,116,46,116,111,116,97,108,40,41,0,40,115,105,122,101,95,116,41,50,0,33,102,105,101,108,100,46,101,109,112,116,121,40,41,0,103,101,116,84,101,110,115,111,114,67,111,110,116,101,110,116,0,33,99,111,110,116,101,110,116,46,101,109,112,116,121,40,41,0,84,101,110,115,111,114,39,115,32,100,97,116,97,32,116,121,112,101,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,50,51,85,112,115,97,109,112,108,105,110,103,75,101,114,97,115,83,117,98,103,114,97,112,104,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,50,50,82,101,115,105,122,101,66,105,108,105,110,101,97,114,83,117,98,103,114,97,112,104,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,52,95,69,69,69,69,0,82,101,115,105,122,101,66,105,108,105,110,101,97,114,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,50,50,82,101,115,105,122,101,66,105,108,105,110,101,97,114,83,117,98,103,114,97,112,104,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,51,48,68,101,99,111,110,118,111,108,117,116,105,111,110,83,97,109,101,75,101,114,97,115,83,117,98,103,114,97,112,104,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,52,95,69,69,69,69,0,67,111,110,118,50,68,66,97,99,107,112,114,111,112,73,110,112,117,116,0,112,97,100,77,111,100,101,32,61,61,32,34,83,65,77,69,34,0,115,116,114,105,100,101,115,0,115,116,114,105,100,101,115,46,105,95,115,105,122,101,40,41,32,61,61,32,52,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,51,48,68,101,99,111,110,118,111,108,117,116,105,111,110,83,97,109,101,75,101,114,97,115,83,117,98,103,114,97,112,104,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,51,49,68,101,99,111,110,118,111,108,117,116,105,111,110,86,97,108,105,100,75,101,114,97,115,83,117,98,103,114,97,112,104,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,52,95,69,69,69,69,0,65,100,100,0,112,97,100,77,111,100,101,32,61,61,32,34,86,65,76,73,68,34,0,107,101,114,110,101,108,83,104,97,112,101,46,100,105,109,95,115,105,122,101,40,41,32,61,61,32,52,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,51,49,68,101,99,111,110,118,111,108,117,116,105,111,110,86,97,108,105,100,75,101,114,97,115,83,117,98,103,114,97,112,104,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,57,76,50,78,111,114,109,97,108,105,122,101,83,117,98,103,114,97,112,104,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,52,95,69,69,69,69,0,83,113,117,97,114,101,0,83,117,109,0,77,97,120,105,109,117,109,0,82,115,113,114,116,0,76,50,78,111,114,109,97,108,105,122,101,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,57,76,50,78,111,114,109,97,108,105,122,101,83,117,98,103,114,97,112,104,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,50,48,82,101,115,104,97,112,101,75,101,114,97,115,83,117,98,103,114,97,112,104,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,52,95,69,69,69,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,50,48,82,101,115,104,97,112,101,75,101,114,97,115,83,117,98,103,114,97,112,104,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,56,82,101,76,85,54,75,101,114,97,115,83,117,98,103,114,97,112,104,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,52,95,69,69,69,69,0,77,105,110,105,109,117,109,0,82,101,108,117,54,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,56,82,101,76,85,54,75,101,114,97,115,83,117,98,103,114,97,112,104,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,50,48,83,111,102,116,77,97,120,75,101,114,97,115,83,117,98,103,114,97,112,104,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,52,95,69,69,69,69,0,77,97,120,0,83,117,98,0,69,120,112,0,82,101,97,108,68,105,118,0,83,111,102,116,109,97,120,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,50,48,83,111,102,116,77,97,120,75,101,114,97,115,83,117,98,103,114,97,112,104,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,50,48,70,108,97,116,116,101,110,83,104,97,112,101,83,117,98,103,114,97,112,104,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,52,95,69,69,69,69,0,70,108,97,116,116,101,110,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,50,48,70,108,97,116,116,101,110,83,104,97,112,101,83,117,98,103,114,97,112,104,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,53,70,108,97,116,116,101,110,83,117,98,103,114,97,112,104,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,52,95,69,69,69,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,53,70,108,97,116,116,101,110,83,117,98,103,114,97,112,104,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,50,52,66,97,116,99,104,78,111,114,109,78,111,71,97,109,109,97,83,117,98,103,114,97,112,104,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,52,95,69,69,69,69,0,70,117,115,101,100,66,97,116,99,104,78,111,114,109,0,101,112,115,105,108,111,110,0,47,103,97,109,109,97,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,66,97,116,99,104,78,111,114,109,78,111,71,97,109,109,97,83,117,98,103,114,97,112,104,58,58,102,105,110,97,108,105,122,101,40,116,101,110,115,111,114,102,108,111,119,58,58,71,114,97,112,104,68,101,102,32,38,44,32,116,101,110,115,111,114,102,108,111,119,58,58,78,111,100,101,68,101,102,32,42,44,32,115,116,100,58,58,118,101,99,116,111,114,60,116,101,110,115,111,114,102,108,111,119,58,58,78,111,100,101,68,101,102,32,42,62,32,38,41,0,101,112,115,77,97,116,46,116,121,112,101,40,41,0,101,112,115,77,97,116,46,116,111,116,97,108,40,41,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,50,52,66,97,116,99,104,78,111,114,109,78,111,71,97,109,109,97,83,117,98,103,114,97,112,104,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,55,66,97,116,99,104,78,111,114,109,83,117,98,103,114,97,112,104,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,52,95,69,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,66,97,116,99,104,78,111,114,109,83,117,98,103,114,97,112,104,58,58,102,105,110,97,108,105,122,101,40,116,101,110,115,111,114,102,108,111,119,58,58,71,114,97,112,104,68,101,102,32,38,44,32,116,101,110,115,111,114,102,108,111,119,58,58,78,111,100,101,68,101,102,32,42,44,32,115,116,100,58,58,118,101,99,116,111,114,60,116,101,110,115,111,114,102,108,111,119,58,58,78,111,100,101,68,101,102,32,42,62,32,38,41,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,55,66,97,116,99,104,78,111,114,109,83,117,98,103,114,97,112,104,69,0,73,100,101,110,116,105,116,121,0,68,114,111,112,111,117,116,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,49,50,76,82,78,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,110,111,114,109,95,114,101,103,105,111,110,0,65,67,82,79,83,83,95,67,72,65,78,78,69,76,83,0,87,73,84,72,73,78,95,67,72,65,78,78,69,76,0,85,110,107,110,111,119,110,32,114,101,103,105,111,110,32,116,121,112,101,32,34,0,76,82,78,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,108,114,110,95,108,97,121,101,114,46,99,112,112,0,108,111,99,97,108,95,115,105,122,101,0,76,82,78,32,108,97,121,101,114,32,115,117,112,112,111,114,116,115,32,111,110,108,121,32,112,111,115,105,116,105,118,101,32,111,100,100,32,118,97,108,117,101,115,32,102,111,114,32,108,111,99,97,108,95,115,105,122,101,0,97,108,112,104,97,0,110,111,114,109,95,98,121,95,115,105,122,101,0,105,110,112,117,116,115,95,97,114,114,46,116,111,116,97,108,40,41,32,61,61,32,111,117,116,112,117,116,115,95,97,114,114,46,116,111,116,97,108,40,41,0,105,110,112,117,116,115,91,105,93,46,100,105,109,115,32,61,61,32,52,0,85,110,105,109,112,108,101,109,101,110,116,101,100,32,109,111,100,101,32,111,102,32,76,82,78,32,108,97,121,101,114,0,78,50,99,118,51,100,110,110,49,50,76,82,78,76,97,121,101,114,73,109,112,108,49,48,67,104,97,110,110,101,108,76,82,78,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,76,82,78,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,49,50,76,82,78,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,56,76,82,78,76,97,121,101,114,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,49,52,83,112,108,105,116,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,116,111,112,95,99,111,117,110,116,0,111,117,116,112,117,116,115,67,111,117,110,116,32,62,61,32,48,0,83,112,108,105,116,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,115,112,108,105,116,95,108,97,121,101,114,46,99,112,112,0,105,110,112,117,116,115,91,48,93,46,116,111,116,97,108,40,41,32,61,61,32,111,117,116,112,117,116,115,91,105,93,46,116,111,116,97,108,40,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,83,112,108,105,116,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,49,52,83,112,108,105,116,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,48,83,112,108,105,116,76,97,121,101,114,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,50,50,78,111,114,109,97,108,105,122,101,66,66,111,120,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,97,99,114,111,115,115,95,115,112,97,116,105,97,108,0,115,116,97,114,116,95,97,120,105,115,0,33,112,97,114,97,109,115,46,104,97,115,40,34,97,99,114,111,115,115,95,115,112,97,116,105,97,108,34,41,32,124,124,32,33,112,97,114,97,109,115,46,104,97,115,40,34,101,110,100,95,97,120,105,115,34,41,0,78,111,114,109,97,108,105,122,101,66,66,111,120,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,110,111,114,109,97,108,105,122,101,95,98,98,111,120,95,108,97,121,101,114,46,99,112,112,0,112,110,111,114,109,32,62,32,48,0,105,110,112,117,116,115,46,115,105,122,101,40,41,32,61,61,32,49,32,38,38,32,111,117,116,112,117,116,115,46,115,105,122,101,40,41,32,61,61,32,49,0,105,110,112,117,116,115,91,48,93,46,116,111,116,97,108,40,41,32,61,61,32,111,117,116,112,117,116,115,91,48,93,46,116,111,116,97,108,40,41,0,110,117,109,32,42,32,110,117,109,80,108,97,110,101,115,32,33,61,32,48,0,115,99,97,108,101,46,116,111,116,97,108,40,41,32,61,61,32,110,117,109,80,108,97,110,101,115,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,78,111,114,109,97,108,105,122,101,66,66,111,120,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,50,50,78,111,114,109,97,108,105,122,101,66,66,111,120,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,56,78,111,114,109,97,108,105,122,101,66,66,111,120,76,97,121,101,114,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,50,48,67,111,110,118,111,108,117,116,105,111,110,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,105,110,112,117,116,115,46,115,105,122,101,40,41,32,61,61,32,111,117,116,112,117,116,115,46,115,105,122,101,40,41,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,99,111,110,118,111,108,117,116,105,111,110,95,108,97,121,101,114,46,99,112,112,0,98,108,111,98,115,46,115,105,122,101,40,41,32,33,61,32,48,0,33,104,97,115,66,105,97,115,40,41,32,124,124,32,98,108,111,98,115,91,49,93,46,116,111,116,97,108,40,41,32,61,61,32,40,115,105,122,101,95,116,41,98,108,111,98,115,91,48,93,46,115,105,122,101,91,48,93,0,105,110,112,117,116,115,46,115,105,122,101,40,41,32,61,61,32,40,115,105,122,101,95,116,41,49,0,110,103,114,111,117,112,115,32,62,32,48,32,38,38,32,105,110,112,67,110,32,37,32,110,103,114,111,117,112,115,32,61,61,32,48,32,38,38,32,111,117,116,67,110,32,37,32,110,103,114,111,117,112,115,32,61,61,32,48,0,33,119,101,105,103,104,116,115,77,97,116,46,101,109,112,116,121,40,41,0,102,117,115,101,87,101,105,103,104,116,115,0,98,105,97,115,118,101,99,46,115,105,122,101,40,41,32,61,61,32,111,117,116,67,110,32,43,32,50,0,119,46,101,109,112,116,121,40,41,32,124,124,32,111,117,116,67,110,32,61,61,32,119,46,116,111,116,97,108,40,41,0,98,46,101,109,112,116,121,40,41,32,124,124,32,111,117,116,67,110,32,61,61,32,98,46,116,111,116,97,108,40,41,0,105,110,112,117,116,115,91,48,93,46,115,105,122,101,91,49,93,32,37,32,98,108,111,98,115,91,48,93,46,115,105,122,101,91,49,93,32,61,61,32,48,0,105,110,112,117,116,115,91,48,93,46,100,97,116,97,32,33,61,32,111,117,116,112,117,116,115,91,48,93,46,100,97,116,97,0,111,117,116,112,117,116,115,91,48,93,46,115,105,122,101,91,49,93,32,37,32,110,103,114,111,117,112,115,32,61,61,32,48,0,109,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,32,38,38,32,109,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,32,38,38,32,40,105,110,116,41,109,46,116,111,116,97,108,40,41,32,61,61,32,111,117,116,67,110,0,105,110,112,117,116,46,100,105,109,115,32,61,61,32,52,32,38,38,32,111,117,116,112,117,116,46,100,105,109,115,32,61,61,32,52,0,105,110,112,117,116,46,115,105,122,101,91,48,93,32,61,61,32,111,117,116,112,117,116,46,115,105,122,101,91,48,93,0,119,101,105,103,104,116,115,46,114,111,119,115,32,61,61,32,111,117,116,112,117,116,46,115,105,122,101,91,49,93,0,119,101,105,103,104,116,115,46,99,111,108,115,32,61,61,32,40,105,110,112,117,116,46,115,105,122,101,91,49,93,47,110,103,114,111,117,112,115,41,42,107,101,114,110,101,108,46,119,105,100,116,104,42,107,101,114,110,101,108,46,104,101,105,103,104,116,0,105,110,112,117,116,46,116,121,112,101,40,41,32,61,61,32,111,117,116,112,117,116,46,116,121,112,101,40,41,0,105,110,112,117,116,46,116,121,112,101,40,41,32,61,61,32,119,101,105,103,104,116,115,46,116,121,112,101,40,41,0,105,110,112,117,116,46,116,121,112,101,40,41,32,61,61,32,40,40,40,53,41,32,38,32,40,40,49,32,60,60,32,51,41,32,45,32,49,41,41,32,43,32,40,40,40,49,41,45,49,41,32,60,60,32,51,41,41,0,111,117,116,112,117,116,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,98,105,97,115,118,101,99,46,115,105,122,101,40,41,32,61,61,32,40,115,105,122,101,95,116,41,111,117,116,112,117,116,46,115,105,122,101,91,49,93,43,50,0,78,50,99,118,51,100,110,110,50,48,67,111,110,118,111,108,117,116,105,111,110,76,97,121,101,114,73,109,112,108,49,50,80,97,114,97,108,108,101,108,67,111,110,118,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,56,67,104,97,110,110,101,108,115,80,82,101,76,85,76,97,121,101,114,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,57,82,101,76,85,76,97,121,101,114,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,67,111,110,118,111,108,117,116],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+440324);allocate([105,111,110,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,33,98,108,111,98,115,46,101,109,112,116,121,40,41,0,98,108,111,98,115,46,115,105,122,101,40,41,32,62,61,32,49,32,38,38,32,98,108,111,98,115,46,115,105,122,101,40,41,32,60,61,32,50,0,98,108,111,98,115,91,48,93,46,100,105,109,115,32,61,61,32,52,32,38,38,32,98,108,111,98,115,91,48,93,46,115,105,122,101,91,51,93,32,61,61,32,107,101,114,110,101,108,46,119,105,100,116,104,32,38,38,32,98,108,111,98,115,91,48,93,46,115,105,122,101,91,50,93,32,61,61,32,107,101,114,110,101,108,46,104,101,105,103,104,116,0,105,110,112,117,116,46,100,105,109,115,32,61,61,32,52,32,38,38,32,40,105,110,112,117,116,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,32,124,124,32,105,110,112,117,116,46,116,121,112,101,40,41,32,61,61,32,67,86,95,54,52,70,32,124,124,32,105,110,112,117,116,46,116,121,112,101,40,41,32,61,61,32,67,86,95,49,54,83,41,0,105,110,112,117,116,115,91,105,93,46,116,121,112,101,40,41,32,61,61,32,105,110,112,117,116,46,116,121,112,101,40,41,0,105,110,112,117,116,115,91,105,93,46,100,105,109,115,32,61,61,32,52,32,38,38,32,105,110,112,117,116,115,91,105,93,46,115,105,122,101,91,49,93,32,61,61,32,105,110,112,117,116,46,115,105,122,101,91,49,93,0,105,110,112,117,116,115,91,105,93,46,115,105,122,101,91,50,93,32,61,61,32,105,110,112,117,116,46,115,105,122,101,91,50,93,32,38,38,32,105,110,112,117,116,115,91,105,93,46,115,105,122,101,91,51,93,32,61,61,32,105,110,112,117,116,46,115,105,122,101,91,51,93,0,85,110,115,117,112,112,111,114,116,101,100,32,97,115,121,109,109,101,116,114,105,99,32,112,97,100,100,105,110,103,32,105,110,32,99,111,110,118,111,108,117,116,105,111,110,32,108,97,121,101,114,0,78,50,99,118,51,100,110,110,50,48,67,111,110,118,111,108,117,116,105,111,110,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,50,52,66,97,115,101,67,111,110,118,111,108,117,116,105,111,110,76,97,121,101,114,73,109,112,108,69,0,66,97,115,101,67,111,110,118,111,108,117,116,105,111,110,76,97,121,101,114,73,109,112,108,0,97,100,106,95,104,0,97,100,106,95,119,0,110,117,109,79,117,116,112,117,116,32,37,32,110,103,114,111,117,112,115,32,61,61,32,48,0,97,100,106,117,115,116,80,97,100,46,119,105,100,116,104,32,60,32,115,116,114,105,100,101,46,119,105,100,116,104,32,38,38,32,97,100,106,117,115,116,80,97,100,46,104,101,105,103,104,116,32,60,32,115,116,114,105,100,101,46,104,101,105,103,104,116,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,50,50,68,101,67,111,110,118,111,108,117,116,105,111,110,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,33,104,97,115,66,105,97,115,40,41,32,124,124,32,98,108,111,98,115,91,49,93,46,116,111,116,97,108,40,41,32,61,61,32,40,115,105,122,101,95,116,41,110,117,109,79,117,116,112,117,116,0,85,110,115,117,112,112,111,114,116,101,100,32,112,97,100,100,105,110,103,32,109,111,100,101,32,0,111,117,116,67,110,32,37,32,98,108,111,98,115,91,48,93,46,115,105,122,101,91,49,93,32,61,61,32,48,0,105,110,112,67,110,32,37,32,110,103,114,111,117,112,115,32,61,61,32,48,32,38,38,32,111,117,116,67,110,32,37,32,110,103,114,111,117,112,115,32,61,61,32,48,0,98,108,111,98,115,91,48,93,46,115,105,122,101,91,48,93,32,61,61,32,105,110,112,67,110,0,78,50,99,118,51,100,110,110,50,50,68,101,67,111,110,118,111,108,117,116,105,111,110,76,97,121,101,114,73,109,112,108,49,51,67,111,108,50,73,109,73,110,118,111,107,101,114,69,0,78,50,99,118,51,100,110,110,50,50,68,101,67,111,110,118,111,108,117,116,105,111,110,76,97,121,101,114,73,109,112,108,49,51,77,97,116,77,117,108,73,110,118,111,107,101,114,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,68,101,67,111,110,118,111,108,117,116,105,111,110,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,50,50,68,101,67,111,110,118,111,108,117,116,105,111,110,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,49,51,67,114,111,112,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,57,67,114,111,112,76,97,121,101,114,69,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,99,114,111,112,95,108,97,121,101,114,46,99,112,112,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,67,114,111,112,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,50,32,61,61,32,105,110,112,117,116,115,46,115,105,122,101,40,41,0,110,117,109,98,101,114,32,111,102,32,111,102,102,115,101,116,32,118,97,108,117,101,115,32,115,112,101,99,105,102,105,101,100,32,109,117,115,116,32,98,101,32,101,113,117,97,108,32,116,111,32,116,104,101,32,110,117,109,98,101,114,32,111,102,32,100,105,109,101,110,115,105,111,110,115,32,102,111,108,108,111,119,105,110,103,32,97,120,105,115,46,0,105,110,118,97,108,105,100,32,99,114,111,112,32,112,97,114,97,109,101,116,101,114,115,32,111,114,32,98,108,111,98,32,115,105,122,101,115,0,78,50,99,118,51,100,110,110,49,51,67,114,111,112,76,97,121,101,114,73,109,112,108,69,0,107,101,114,110,101,108,0,107,101,114,110,101,108,95,115,105,122,101,32,40,111,114,32,107,101,114,110,101,108,95,104,32,97,110,100,32,107,101,114,110,101,108,95,119,41,32,110,111,116,32,115,112,101,99,105,102,105,101,100,0,103,101,116,75,101,114,110,101,108,83,105,122,101,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,108,97,121,101,114,115,95,99,111,109,109,111,110,46,99,112,112,0,107,101,114,110,101,108,72,32,62,32,48,32,38,38,32,107,101,114,110,101,108,87,32,62,32,48,0,112,97,100,95,108,0,112,97,100,95,116,0,112,97,100,95,114,0,112,97,100,95,98,0,112,97,100,0,115,116,114,105,100,101,0,112,97,100,84,32,62,61,32,48,32,38,38,32,112,97,100,76,32,62,61,32,48,32,38,38,32,112,97,100,66,32,62,61,32,48,32,38,38,32,112,97,100,82,32,62,61,32,48,32,38,38,32,115,116,114,105,100,101,72,32,62,32,48,32,38,38,32,115,116,114,105,100,101,87,32,62,32,48,0,103,101,116,83,116,114,105,100,101,65,110,100,80,97,100,100,105,110,103,0,103,108,111,98,97,108,95,112,111,111,108,105,110,103,0,73,110,32,103,108,111,98,97,108,95,112,111,111,108,105,110,103,32,109,111,100,101,44,32,107,101,114,110,101,108,95,115,105,122,101,32,40,111,114,32,107,101,114,110,101,108,95,104,32,97,110,100,32,107,101,114,110,101,108,95,119,41,32,99,97,110,110,111,116,32,98,101,32,115,112,101,99,105,102,105,101,100,0,103,101,116,80,111,111,108,105,110,103,75,101,114,110,101,108,80,97,114,97,109,115,0,73,110,32,103,108,111,98,97,108,95,112,111,111,108,105,110,103,32,109,111,100,101,44,32,112,97,100,115,32,109,117,115,116,32,98,101,32,61,32,48,44,32,97,110,100,32,115,116,114,105,100,101,95,104,32,97,110,100,32,115,116,114,105,100,101,95,119,32,109,117,115,116,32,98,101,32,61,32,49,0,100,105,108,97,116,105,111,110,72,32,62,32,48,32,38,38,32,100,105,108,97,116,105,111,110,87,32,62,32,48,0,103,101,116,67,111,110,118,111,108,117,116,105,111,110,75,101,114,110,101,108,80,97,114,97,109,115,0,86,65,76,73,68,0,83,65,77,69,0,85,110,115,117,112,112,111,114,116,101,100,32,112,97,100,100,105,110,103,32,109,111,100,101,0,103,101,116,67,111,110,118,80,111,111,108,79,117,116,80,97,114,97,109,115,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,49,54,80,97,100,100,105,110,103,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,105,110,112,117,116,95,100,105,109,115,0,112,97,114,97,109,115,46,104,97,115,40,34,112,97,100,100,105,110,103,115,34,41,0,80,97,100,100,105,110,103,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,112,97,100,100,105,110,103,95,108,97,121,101,114,46,99,112,112,0,40,112,97,100,100,105,110,103,115,80,97,114,97,109,46,115,105,122,101,40,41,32,38,32,49,41,32,61,61,32,48,0,112,97,100,100,105,110,103,115,91,105,93,46,102,105,114,115,116,32,62,61,32,48,0,112,97,100,100,105,110,103,115,91,105,93,46,115,101,99,111,110,100,32,62,61,32,48,0,105,110,112,83,104,97,112,101,46,115,105,122,101,40,41,32,62,61,32,112,97,100,100,105,110,103,115,46,115,105,122,101,40,41,0,105,110,112,117,116,68,105,109,115,32,61,61,32,45,49,32,124,124,32,105,110,112,83,104,97,112,101,46,115,105,122,101,40,41,32,61,61,32,105,110,112,117,116,68,105,109,115,32,124,124,32,105,110,112,83,104,97,112,101,46,115,105,122,101,40,41,32,62,32,112,97,100,100,105,110,103,115,46,115,105,122,101,40,41,0,99,111,110,115,116,97,110,116,0,114,101,102,108,101,99,116,0,105,110,112,117,116,115,91,48,93,46,100,105,109,115,32,61,61,32,52,0,111,117,116,112,117,116,115,91,48,93,46,100,105,109,115,32,61,61,32,52,0,79,110,108,121,32,115,112,97,116,105,97,108,32,114,101,102,108,101,99,116,105,111,110,32,112,97,100,100,105,110,103,32,105,115,32,115,117,112,112,111,114,116,101,100,46,0,85,110,107,110,111,119,110,32,112,97,100,100,105,110,103,32,116,121,112,101,58,32,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,80,97,100,100,105,110,103,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,112,97,100,82,105,103,104,116,0,105,110,112,87,105,100,116,104,0,112,97,100,76,101,102,116,0,112,97,100,66,111,116,116,111,109,0,105,110,112,72,101,105,103,104,116,0,112,97,100,84,111,112,0,78,50,99,118,51,100,110,110,49,54,80,97,100,100,105,110,103,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,50,80,97,100,100,105,110,103,76,97,121,101,114,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,49,52,82,101,111,114,103,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,114,101,111,114,103,95,115,116,114,105,100,101,0,114,101,111,114,103,83,116,114,105,100,101,32,62,32,48,0,82,101,111,114,103,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,114,101,111,114,103,95,108,97,121,101,114,46,99,112,112,0,111,117,116,112,117,116,115,91,48,93,91,48,93,32,62,32,48,32,38,38,32,111,117,116,112,117,116,115,91,48,93,91,49,93,32,62,32,48,32,38,38,32,111,117,116,112,117,116,115,91,48,93,91,50,93,32,62,32,48,32,38,38,32,111,117,116,112,117,116,115,91,48,93,91,51,93,32,62,32,48,0,116,111,116,97,108,40,111,117,116,112,117,116,115,91,48,93,41,32,61,61,32,116,111,116,97,108,40,105,110,112,117,116,115,91,48,93,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,82,101,111,114,103,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,49,52,82,101,111,114,103,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,48,82,101,111,114,103,76,97,121,101,114,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,49,53,82,101,115,105,122,101,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,122,111,111,109,95,102,97,99,116,111,114,0,122,111,111,109,95,102,97,99,116,111,114,95,120,0,122,111,111,109,95,102,97,99,116,111,114,95,121,0,33,112,97,114,97,109,115,46,104,97,115,40,34,122,111,111,109,95,102,97,99,116,111,114,95,120,34,41,32,38,38,32,33,112,97,114,97,109,115,46,104,97,115,40,34,122,111,111,109,95,102,97,99,116,111,114,95,121,34,41,0,82,101,115,105,122,101,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,114,101,115,105,122,101,95,108,97,121,101,114,46,99,112,112,0,112,97,114,97,109,115,46,104,97,115,40,34,122,111,111,109,95,102,97,99,116,111,114,95,120,34,41,32,38,38,32,112,97,114,97,109,115,46,104,97,115,40,34,122,111,111,109,95,102,97,99,116,111,114,95,121,34,41,0,105,110,116,101,114,112,111,108,97,116,105,111,110,0,110,101,97,114,101,115,116,0,98,105,108,105,110,101,97,114,0,105,110,116,101,114,112,111,108,97,116,105,111,110,32,61,61,32,34,110,101,97,114,101,115,116,34,32,124,124,32,105,110,116,101,114,112,111,108,97,116,105,111,110,32,61,61,32,34,98,105,108,105,110,101,97,114,34,0,97,108,105,103,110,95,99,111,114,110,101,114,115,0,85,110,107,110,111,119,110,32,105,110,116,101,114,112,111,108,97,116,105,111,110,58,32,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,82,101,115,105,122,101,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,49,53,82,101,115,105,122,101,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,49,82,101,115,105,122,101,76,97,121,101,114,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,49,53,73,110,116,101,114,112,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,78,50,99,118,51,100,110,110,49,53,73,110,116,101,114,112,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,49,54,80,101,114,109,117,116,101,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,79,114,100,101,114,115,32,111,102,32,100,105,109,101,110,115,105,111,110,115,32,105,110,32,80,101,114,109,117,116,101,32,108,97,121,101,114,32,112,97,114,97,109,101,116,101,114,109,117,115,116,32,98,101,32,105,110,32,91,48,46,46,46,37,100,93,0,80,101,114,109,117,116,101,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,112,101,114,109,117,116,101,95,108,97,121,101,114,46,99,112,112,0,80,101,114,109,117,116,101,32,108,97,121,101,114,32,112,97,114,97,109,101,116,101,114,32,99,111,110,116,97,105,110,115,32,100,117,112,108,105,99,97,116,101,100,32,111,114,100,101,114,115,46,0,40,105,110,116,41,95,110,117,109,65,120,101,115,32,61,61,32,105,110,112,117,116,115,91,48,93,46,115,105,122,101,40,41,0,105,110,112,117,116,115,91,105,93,46,115,105,122,101,40,41,32,61,61,32,52,0,105,110,112,117,116,115,91,105,93,91,50,93,32,61,61,32,115,104,97,112,101,66,101,102,111,114,101,91,50,93,32,38,38,32,105,110,112,117,116,115,91,105,93,91,51,93,32,61,61,32,115,104,97,112,101,66,101,102,111,114,101,91,51,93,0,116,111,116,97,108,40,105,110,112,117,116,115,91,105,93,41,32,61,61,32,116,111,116,97,108,40,115,104,97,112,101,65,102,116,101,114,41,0,111,117,116,112,117,116,115,91,107,93,46,116,111,116,97,108,40,41,32,61,61,32,105,110,112,117,116,115,91,107,93,46,116,111,116,97,108,40,41,0,105,110,112,46,100,105,109,115,32,61,61,32,110,117,109,65,120,101,115,32,38,38,32,105,110,112,46,115,105,122,101,32,61,61,32,105,110,112,117,116,115,91,48,93,46,115,105,122,101,0,111,117,116,46,100,105,109,115,32,61,61,32,110,117,109,65,120,101,115,32,38,38,32,111,117,116,46,115,105,122,101,32,61,61,32,111,117,116,112,117,116,115,91,48,93,46,115,105,122,101,0,105,110,112,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,32,38,38,32,111,117,116,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,105,110,112,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,32,38,38,32,111,117,116,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,0,111,117,116,46,115,105,122,101,91,48,93,32,61,61,32,105,110,112,46,115,105,122,101,91,111,114,100,101,114,91,48,93,93,32,38,38,32,111,117,116,46,115,105,122,101,91,49,93,32,61,61,32,105,110,112,46,115,105,122,101,91,111,114,100,101,114,91,49,93,93,32,38,38,32,111,117,116,46,115,105,122,101,91,50,93,32,61,61,32,105,110,112,46,115,105,122,101,91,111,114,100,101,114,91,50,93,93,32,38,38,32,111,117,116,46,115,105,122,101,91,51,93,32,61,61,32,105,110,112,46,115,105,122,101,91,111,114,100,101,114,91,51,93,93,0,78,50,99,118,51,100,110,110,49,54,80,101,114,109,117,116,101,76,97,121,101,114,73,109,112,108,49,52,80,101,114,109,117,116,101,73,110,118,111,107,101,114,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,80,101,114,109,117,116,101,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,40,105,110,116,41,95,110,117,109,65,120,101,115,32,61,61,32,105,110,112,48,46,100,105,109,115,0,78,50,99,118,51,100,110,110,49,54,80,101,114,109,117,116,101,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,50,80,101,114,109,117,116,101,76,97,121,101,114,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,49,56,77,97,120,85,110,112,111,111,108,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,112,111,111,108,95,112,97,100,95,119,0,112,111,111,108,95,112,97,100,95,104,0,112,111,111,108,95,115,116,114,105,100,101,95,119,0,112,111,111,108,95,115,116,114,105,100,101,95,104,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,109,97,120,95,117,110,112,111,111,108,105,110,103,95,108,97,121,101,114,46,99,112,112,0,105,110,112,117,116,46,116,111,116,97,108,40,41,32,61,61,32,105,110,100,105,99,101,115,46,116,111,116,97,108,40,41,0,105,110,112,117,116,46,115,105,122,101,91,48,93,32,61,61,32,49,0,105,110,112,117,116,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,105,110,112,117,116,46,115,105,122,101,91,49,93,32,61,61,32,111,117,116,66,108,111,98,46,115,105,122,101,91,49,93,0,109,46,100,105,109,115,32,62,32,50,0,103,101,116,80,108,97,110,101,0,105,95,110,61,0,105,95,99,61,0,105,95,119,104,61,0,105,110,100,101,120,61,0,109,97,120,118,97,108,61,0,111,117,116,80,108,97,110,101,84,111,116,97,108,61,0,105,110,112,117,116,46,115,105,122,101,61,0,32,120,32,0,105,110,100,105,99,101,115,46,115,105,122,101,61,0,111,117,116,66,108,111,98,61,0,48,32,60,61,32,105,110,100,101,120,32,38,38,32,105,110,100,101,120,32,60,32,111,117,116,80,108,97,110,101,84,111,116,97,108,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,77,97,120,85,110,112,111,111,108,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,49,56,77,97,120,85,110,112,111,111,108,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,52,77,97,120,85,110,112,111,111,108,76,97,121,101,114,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,49,56,66,97,116,99,104,78,111,114,109,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,98,108,111,98,115,46,115,105,122,101,40,41,32,62,61,32,50,0,66,97,116,99,104,78,111,114,109,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,98,97,116,99,104,95,110,111,114,109,95,108,97,121,101,114,46,99,112,112,0,104,97,115,95,119,101,105,103,104,116,0,117,115,101,95,103,108,111,98,97,108,95,115,116,97,116,115,0,115,99,97,108,101,95,98,105,97,115,0,98,108,111,98,115,91,49,93,46,116,111,116,97,108,40,41,32,61,61,32,110,32,38,38,32,98,108,111,98,115,91,48,93,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,32,38,38,32,98,108,111,98,115,91,49,93,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,32,38,38,32,98,108,111,98,115,91,48,93,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,32,38,38,32,98,108,111,98,115,91,49,93,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,0,98,108,111,98,115,46,115,105,122,101,40,41,32,61,61,32,51,0,40,115,105,122,101,95,116,41,119,101,105,103,104,116,115,66,108,111,98,73,110,100,101,120,32,60,32,98,108,111,98,115,46,115,105,122,101,40,41,0,119,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,32,38,38,32,119,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,32,38,38,32,119,46,116,111,116,97,108,40,41,32,61,61,32,40,115,105,122,101,95,116,41,110,0,40,115,105,122,101,95,116,41,98,105,97,115,66,108,111,98,73,110,100,101,120,32,60,32,98,108,111,98,115,46,115,105,122,101,40,41,0,98,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,32,38,38,32,98,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,32,38,38,32,98,46,116,111,116,97,108,40,41,32,61,61,32,40,115,105,122,101,95,116,41,110,0,99,118,58,58,100,110,110,58,58,66,97,116,99,104,78,111,114,109,76,97,121,101,114,73,109,112,108,58,58,66,97,116,99,104,78,111,114,109,76,97,121,101,114,73,109,112,108,40,99,111,110,115,116,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,76,97,121,101,114,80,97,114,97,109,115,32,38,41,0,98,108,111,98,115,91,50,93,46,116,121,112,101,40,41,0,66,97,116,99,104,32,110,111,114,109,97,108,105,122,97,116,105,111,110,32,105,110,32,116,114,97,105,110,105,110,103,32,109,111,100,101,32,119,105,116,104,32,98,97,116,99,104,32,115,105,122,101,32,62,32,49,0,105,110,112,66,108,111,98,46,100,105,109,115,32,61,61,32,50,32,124,124,32,105,110,112,66,108,111,98,46,100,105,109,115,32,61,61,32,52,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,66,97,116,99,104,78,111,114,109,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,49,56,66,97,116,99,104,78,111,114,109,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,52,66,97,116,99,104,78,111,114,109,76,97,121,101,114,69,0,104,0,99,0,120,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,57,76,83,84,77,76,97,121,101,114,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,49,51,76,83,84,77,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,98,108,111,98,115,46,115,105,122,101,40,41,32,62,61,32,51,0,76,83,84,77,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,114,101,99,117,114,114,101,110,116,95,108,97,121,101,114,115,46,99,112,112,0,87,104,46,100,105,109,115,32,61,61,32,50,32,38,38,32,87,120,46,100,105,109,115,32,61,61,32,50,0,87,104,46,114,111,119,115,32,61,61,32,87,120,46,114,111,119,115,0,87,104,46,114,111,119,115,32,61,61,32,52,42,87,104,46,99,111,108,115,0,87,104,46,114,111,119,115,32,61,61,32,40,105,110,116,41,98,105,97,115,46,116,111,116,97,108,40,41,0,87,104,46,116,121,112,101,40,41,32,61,61,32,87,120,46,116,121,112,101,40,41,32,38,38,32,87,120,46,116,121,112,101,40,41,32,61,61,32,98,105,97,115,46,116,121,112,101,40,41,0,98,108,111,98,115,46,115,105,122,101,40,41,32,61,61,32,54,0,98,108,111,98,115,91,105,93,46,114,111,119,115,32,61,61,32,78,32,38,38,32,98,108,111,98,115,91,105,93,46,99,111,108,115,32,61,61,32,78,0,98,108,111,98,115,91,105,93,46,116,121,112,101,40,41,32,61,61,32,98,105,97,115,46,116,121,112,101,40,41,0,117,115,101,95,116,105,109,101,115,116,97,109,112,95,100,105,109,0,112,114,111,100,117,99,101,95,99,101,108,108,95,111,117,116,112,117,116,0,102,111,114,103,101,116,95,98,105,97,115,0,99,101,108,108,95,99,108,105,112,0,117,115,101,95,99,101,108,108,95,99,108,105,112,0,117,115,101,95,112,101,101,112,104,111,108,101,0,33,97,108,108,111,99,97,116,101,100,0,115,101,116,80,114,111,100,117,99,101,67,101,108,108,79,117,116,112,117,116,0,115,101,116,85,115,101,84,105,109,115,116,97,109,112,115,68,105,109,0,33,97,108,108,111,99,97,116,101,100,32,124,124,32,116,111,116,97,108,40,111,117,116,84,97,105,108,83,104,97,112,101,41,32,61,61,32,116,111,116,97,108,40,111,117,116,84,97,105,108,83,104,97,112,101,95,41,0,115,101,116,79,117,116,83,104,97,112,101,0,115,101,116,87,101,105,103,104,116,115,0,33,117,115,101,80,101,101,112,104,111,108,101,32,38,38,32,98,108,111,98,115,46,115,105,122,101,40,41,32,61,61,32,51,32,124,124,32,117,115,101,80,101,101,112,104,111,108,101,32,38,38,32,98,108,111,98,115,46,115,105,122,101,40,41,32,61,61,32,54,0,116,111,116,97,108,40,111,117,116,84,97,105,108,83,104,97,112,101,95,41,32,61,61,32,95,110,117,109,79,117,116,0,105,110,112,48,46,115,105,122,101,40,41,32,62,61,32,50,32,38,38,32,116,111,116,97,108,40,105,110,112,48,44,32,50,41,32,61,61,32,95,110,117,109,73,110,112,0,105,110,112,48,46,115,105,122,101,40,41,32,62,61,32,50,32,38,38,32,116,111,116,97,108,40,105,110,112,48,44,32,49,41,32,61,61,32,95,110,117,109,73,110,112,0,70,117,110,99,116,105,111,110,32,115,117,112,112,111,114,116,115,32,111,110,108,121,32,102,108,111,97,116,105,110,103,32,112,111,105,110,116,32,116,121,112,101,115,0,116,97,110,104,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,76,83,84,77,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,105,110,112,117,116,46,115,105,122,101,40,41,32,61,61,32,49,0,116,111,116,97,108,40,111,117,116,84,97,105,108,83,104,97,112,101,41,32,61,61,32,110,117,109,79,117,116,0,105,110,112,48,46,100,105,109,115,32,62,61,32,50,32,38,38,32,40,105,110,116,41,105,110,112,48,46,116,111,116,97,108,40,50,41,32,61,61,32,110,117,109,73,110,112,0,105,110,112,48,46,100,105,109,115,32,62,61,32,50,32,38,38,32,40,105,110,116,41,105,110,112,48,46,116,111,116,97,108,40,49,41,32,61,61,32,110,117,109,73,110,112,0,78,50,99,118,51,100,110,110,49,51,76,83,84,77,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,50,51,70,117,108,108,121,67,111,110,110,101,99,116,101,100,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,49,32,60,61,32,98,108,111,98,115,46,115,105,122,101,40,41,32,38,38,32,98,108,111,98,115,46,115,105,122,101,40,41,32,60,61,32,50,0,70,117,108,108,121,67,111,110,110,101,99,116,101,100,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,102,117,108,108,121,95,99,111,110,110,101,99,116,101,100,95,108,97,121,101,114,46,99,112,112,0,110,117,109,95,111,117,116,112,117,116,0,98,108,111,98,115,91,48,93,46,100,105,109,115,32,62,61,32,50,32,38,38,32,40,115,105,122,101,95,116,41,40,105,110,110,101,114,83,105,122,101,32,42,32,110,117,109,79,117,116,112,117,116,41,32,61,61,32,98,108,111,98,115,91,48,93,46,116,111,116,97,108,40,41,0,33,98,105,97,115,32,124,124,32,40,98,108,111,98,115,46,115,105,122,101,40,41,32,61,61,32,50,32,38,38,32,40,115,105,122,101,95,116,41,110,117,109,79,117,116,112,117,116,32,61,61,32,98,108,111,98,115,91,49,93,46,116,111,116,97,108,40,41,41,0,98,108,111,98,115,91,48,93,46,100,105,109,115,32,61,61,32,50,0,33,98,105,97,115,32,124,124,32,40,115,105,122,101,95,116,41,110,117,109,79,117,116,112,117,116,32,61,61,32,98,108,111,98,115,91,49,93,46,116,111,116,97,108,40,41,0,115,114,99,77,97,116,46,100,105,109,115,32,61,61,32,50,32,38,38,32,115,114,99,77,97,116,46,99,111,108,115,32,61,61,32,119,101,105,103,104,116,115,46,99,111,108,115,32,38,38,32,100,115,116,77,97,116,46,114,111,119,115,32,61,61,32,115,114,99,77,97,116,46,114,111,119,115,32,38,38,32,100,115,116,77,97,116,46,99,111,108,115,32,61,61,32,119,101,105,103,104,116,115,46,114,111,119,115,32,38,38,32,115,114,99,77,97,116,46,116,121,112,101,40,41,32,61,61,32,119,101,105,103,104,116,115,46,116,121,112,101,40,41,32,38,38,32,119,101,105,103,104,116,115,46,116,121,112,101,40,41,32,61,61,32,100,115,116,77,97,116,46,116,121,112,101,40,41,32,38,38,32,115,114,99,77,97,116,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,32,38,38,32,40,98,105,97,115,77,97,116,46,101,109,112,116,121,40,41,32,124,124,32,40,98,105,97,115,77,97,116,46,116,121,112,101,40,41,32,61,61,32,115,114,99,77,97,116,46,116,121,112,101,40,41,32,38,38,32,98,105,97,115,77,97,116,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,32,38,38,32,40,105,110,116,41,98,105,97,115,77,97,116,46,116,111,116,97,108,40,41,32,61,61,32,100,115,116,77,97,116,46,99,111,108,115,41,41,0,78,50,99,118,51,100,110,110,50,51,70,117,108,108,121,67,111,110,110,101,99,116,101,100,76,97,121,101,114,73,109,112,108,49,52,70,117,108,108,121,67,111,110,110,101,99,116,101,100,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,70,117,108,108,121,67,111,110,110,101,99,116,101,100,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,50,51,70,117,108,108,121,67,111,110,110,101,99,116,101,100,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,55,73,110,110,101,114,80,114,111,100,117,99,116,76,97,121,101,114,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,49,55,80,114,105,111,114,66,111,120,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,95,109,97,120,83,105,122,101,32,62,32,95,109,105,110,83,105,122,101,0,80,114,105,111,114,66,111,120,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,112,114,105,111,114,95,98,111,120,95,108,97,121,101,114,46,99,112,112,0,119,105,100,116,104,115,46,115,105,122,101,40,41,32,61,61,32,104,101,105,103,104,116,115,46,115,105,122,101,40,41,0,95,97,115,112,101,99,116,82,97,116,105,111,115,46,101,109,112,116,121,40,41,0,33,112,97,114,97,109,115,46,104,97,115,40,34,109,105,110,95,115,105,122,101,34,41,0,33,112,97,114,97,109,115,46,104,97,115,40,34,109,97,120,95,115,105,122,101,34,41,0,95,109,105,110,83,105,122,101,32,62,32,48,0,95,98,111,120,87,105,100,116,104,115,46,115,105,122,101,40,41,32,61,61,32,95,98,111,120,72,101,105,103,104,116,115,46,115,105,122,101,40,41,0,115,116,101,112,95,104,0,115,116,101,112,95,119,0,33,112,97,114,97,109,115,46,104,97,115,40,34,115,116,101,112,34,41,0,95,115,116,101,112,89,32,62,32,48,46,0,95,115,116,101,112,88,32,62,32,48,46,0,33,112,97,114,97,109,115,46,104,97,115,40,34,111,102,102,115,101,116,34,41,0,112,97,114,97,109,115,46,104,97,115,40,34,111,102,102,115,101,116,95,104,34,41,0,112,97,114,97,109,115,46,104,97,115,40,34,111,102,102,115,101,116,95,119,34,41,0,95,111,102,102,115,101,116,115,88,46,115,105,122,101,40,41,32,61,61,32,95,111,102,102,115,101,116,115,89,46,115,105,122,101,40,41,0,118,97,114,105,97,110,99,101,80,97,114,97,109,101,116,101,114,82,101,116,114,105,101,118,101,100,0,103,101,116,86,97,114,105,97,110,99,101,0,118,97,114,105,97,110,99,101,83,105,122,101,32,61,61,32,52,0,118,97,114,105,97,110,99,101,32,62,32,48,0,97,115,112,101,99,116,95,114,97,116,105,111,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,80,114,105,111,114,66,111,120,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,80,114,105,111,114,66,111,120,76,97,121,101,114,73,109,112,108,58,58,102,105,110,97,108,105,122,101,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,105,110,112,117,116,115,91,49,93,46,100,105,109,115,0,52,0,105,110,112,117,116,115,91,48,93,46,100,105,109,115,0,40,115,105,122,101,95,116,41,49,0,78,50,99,118,51,100,110,110,49,55,80,114,105,111,114,66,111,120,76,97,121],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+450564);allocate([101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,51,80,114,105,111,114,66,111,120,76,97,121,101,114,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,49,52,83,108,105,99,101,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,115,108,105,99,101,95,112,111,105,110,116,0,98,101,103,105,110,0,101,110,100,0,33,112,97,114,97,109,115,46,104,97,115,40,34,98,101,103,105,110,34,41,32,38,38,32,33,112,97,114,97,109,115,46,104,97,115,40,34,115,105,122,101,34,41,32,38,38,32,33,112,97,114,97,109,115,46,104,97,115,40,34,101,110,100,34,41,0,83,108,105,99,101,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,115,108,105,99,101,95,108,97,121,101,114,46,99,112,112,0,112,97,114,97,109,115,46,104,97,115,40,34,115,105,122,101,34,41,32,94,32,112,97,114,97,109,115,46,104,97,115,40,34,101,110,100,34,41,0,98,101,103,105,110,115,46,115,105,122,101,40,41,32,61,61,32,115,105,122,101,115,79,114,69,110,100,115,46,115,105,122,101,40,41,0,115,116,97,114,116,32,62,61,32,48,0,115,105,122,101,32,61,61,32,45,49,32,124,124,32,115,105,122,101,32,62,32,48,0,101,110,100,32,60,32,48,32,124,124,32,101,110,100,32,62,32,115,116,97,114,116,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,48,83,108,105,99,101,76,97,121,101,114,69,0,115,108,105,99,101,82,97,110,103,101,115,91,105,93,46,115,105,122,101,40,41,32,60,61,32,105,110,112,83,104,97,112,101,46,115,105,122,101,40,41,0,48,32,60,61,32,97,120,105,115,32,38,38,32,97,120,105,115,32,60,32,105,110,112,83,104,97,112,101,46,115,105,122,101,40,41,0,114,101,113,117,105,114,101,100,79,117,116,112,117,116,115,32,62,32,48,32,38,38,32,105,110,112,83,104,97,112,101,91,97,120,105,115,93,32,37,32,114,101,113,117,105,114,101,100,79,117,116,112,117,116,115,32,61,61,32,48,0,99,108,97,109,112,101,100,46,115,116,97,114,116,32,60,32,99,108,97,109,112,101,100,46,101,110,100,0,99,108,97,109,112,0,99,108,97,109,112,101,100,46,101,110,100,32,60,61,32,97,120,105,115,83,105,122,101,0,111,117,116,112,117,116,115,46,115,105,122,101,40,41,32,61,61,32,115,108,105,99,101,82,97,110,103,101,115,46,115,105,122,101,40,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,83,108,105,99,101,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,115,108,105,99,101,82,97,110,103,101,115,91,105,93,46,115,105,122,101,40,41,32,60,61,32,105,110,112,83,104,97,112,101,46,100,105,109,115,40,41,0,78,50,99,118,51,100,110,110,49,52,83,108,105,99,101,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,49,54,69,108,116,119,105,115,101,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,111,112,101,114,97,116,105,111,110,0,112,114,111,100,0,115,117,109,0,85,110,107,110,111,119,110,32,111,112,101,114,97,116,105,111,110,32,116,121,112,101,32,34,0,69,108,116,119,105,115,101,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,101,108,116,119,105,115,101,95,108,97,121,101,114,46,99,112,112,0,99,111,101,102,102,0,105,110,112,117,116,115,46,115,105,122,101,40,41,0,103,101,116,70,76,79,80,83,0,105,110,112,117,116,115,46,115,105,122,101,40,41,32,62,61,32,50,0,99,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,48,32,124,124,32,99,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,105,110,112,117,116,115,46,115,105,122,101,40,41,0,111,112,32,61,61,32,83,85,77,32,124,124,32,99,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,48,0,105,110,112,117,116,115,91,48,93,32,61,61,32,105,110,112,117,116,115,91,105,93,0,99,111,101,102,102,115,46,101,109,112,116,121,40,41,32,124,124,32,99,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,40,115,105,122,101,95,116,41,110,115,114,99,115,0,115,114,99,115,91,105,93,46,115,105,122,101,32,61,61,32,100,115,116,46,115,105,122,101,32,38,38,32,115,114,99,115,91,105,93,46,116,121,112,101,40,41,32,61,61,32,100,115,116,46,116,121,112,101,40,41,32,38,38,32,115,114,99,115,91,105,93,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,100,115,116,46,116,111,116,97,108,40,41,32,61,61,32,100,115,116,46,115,105,122,101,91,48,93,32,42,32,112,46,99,104,97,110,110,101,108,115,32,42,32,112,46,112,108,97,110,101,83,105,122,101,0,99,111,101,102,102,115,46,115,105,122,101,40,41,32,61,61,32,40,115,105,122,101,95,116,41,110,115,114,99,115,0,78,50,99,118,51,100,110,110,49,54,69,108,116,119,105,115,101,76,97,121,101,114,73,109,112,108,49,52,69,108,116,119,105,115,101,73,110,118,111,107,101,114,69,0,115,116,97,116,105,99,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,69,108,116,119,105,115,101,76,97,121,101,114,73,109,112,108,58,58,69,108,116,119,105,115,101,73,110,118,111,107,101,114,58,58,114,117,110,40,99,111,110,115,116,32,99,118,58,58,77,97,116,32,42,44,32,105,110,116,44,32,99,118,58,58,77,97,116,32,38,44,32,99,111,110,115,116,32,115,116,100,58,58,118,101,99,116,111,114,60,102,108,111,97,116,62,32,38,44,32,99,118,58,58,100,110,110,58,58,69,108,116,119,105,115,101,76,97,121,101,114,73,109,112,108,58,58,69,108,116,119,105,115,101,79,112,44,32,99,111,110,115,116,32,99,118,58,58,100,110,110,58,58,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,58,58,65,99,116,105,118,97,116,105,111,110,76,97,121,101,114,32,42,44,32,105,110,116,41,0,100,115,116,46,116,121,112,101,40,41,0,100,115,116,46,100,105,109,115,0,49,32,60,32,100,115,116,46,100,105,109,115,32,38,38,32,100,115,116,46,100,105,109,115,32,60,61,32,52,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,69,108,116,119,105,115,101,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,49,54,69,108,116,119,105,115,101,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,49,55,80,114,111,112,111,115,97,108,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,102,101,97,116,95,115,116,114,105,100,101,0,98,97,115,101,95,115,105,122,101,0,112,114,101,95,110,109,115,95,116,111,112,110,0,112,111,115,116,95,110,109,115,95,116,111,112,110,0,110,109,115,95,116,104,114,101,115,104,0,114,97,116,105,111,0,111,102,102,115,101,116,0,105,110,112,117,116,115,46,115,105,122,101,40,41,32,61,61,32,51,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,112,114,111,112,111,115,97,108,95,108,97,121,101,114,46,99,112,112,0,108,97,121,101,114,79,117,116,112,117,116,115,46,115,105,122,101,40,41,32,61,61,32,49,0,108,97,121,101,114,73,110,116,101,114,110,97,108,115,46,101,109,112,116,121,40,41,0,115,99,111,114,101,115,46,115,105,122,101,40,41,32,61,61,32,52,0,40,115,99,111,114,101,115,91,49,93,32,38,32,49,41,32,61,61,32,48,0,105,110,116,101,114,110,97,108,115,46,115,105,122,101,40,41,32,61,61,32,51,0,105,109,73,110,102,111,46,116,111,116,97,108,40,41,32,62,61,32,50,0,110,117,109,68,101,116,115,32,60,61,32,107,101,101,112,84,111,112,65,102,116,101,114,78,77,83,0,109,46,100,105,109,115,32,61,61,32,52,0,103,101,116,79,98,106,101,99,116,83,99,111,114,101,115,0,109,46,115,105,122,101,91,48,93,32,61,61,32,49,0,40,99,104,97,110,110,101,108,115,32,38,32,49,41,32,61,61,32,48,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,80,114,111,112,111,115,97,108,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,98,98,111,120,68,101,108,116,97,115,46,100,105,109,115,32,61,61,32,52,0,78,50,99,118,51,100,110,110,49,55,80,114,111,112,111,115,97,108,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,51,80,114,111,112,111,115,97,108,76,97,121,101,114,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,49,54,82,101,115,104,97,112,101,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,110,117,109,65,120,101,115,32,62,61,32,45,49,0,82,101,115,104,97,112,101,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,114,101,115,104,97,112,101,95,108,97,121,101,114,46,99,112,112,0,100,105,109,0,115,105,122,101,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,105,110,99,108,117,100,101,47,111,112,101,110,99,118,50,47,100,110,110,47,100,110,110,46,105,110,108,46,104,112,112,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,50,82,101,115,104,97,112,101,76,97,121,101,114,69,0,116,111,116,97,108,40,115,114,99,83,104,97,112,101,44,32,115,114,99,82,97,110,103,101,46,115,116,97,114,116,44,32,115,114,99,82,97,110,103,101,46,101,110,100,41,32,61,61,32,109,97,115,107,84,111,116,97,108,0,99,111,109,112,117,116,101,83,104,97,112,101,66,121,82,101,115,104,97,112,101,77,97,115,107,0,48,32,60,61,32,115,114,99,82,97,110,103,101,46,115,116,97,114,116,32,38,38,32,115,114,99,82,97,110,103,101,46,115,116,97,114,116,32,60,61,32,115,114,99,82,97,110,103,101,46,101,110,100,32,38,38,32,115,114,99,82,97,110,103,101,46,101,110,100,32,60,61,32,115,114,99,83,104,97,112,101,83,105,122,101,0,67,111,112,121,32,100,105,109,91,37,100,93,32,40,119,104,105,99,104,32,104,97,115,32,122,101,114,111,32,115,105,122,101,41,32,105,115,32,111,117,116,32,111,102,32,116,104,101,32,115,111,117,114,99,101,32,115,104,97,112,101,32,98,111,117,110,100,115,0,68,117,112,108,105,99,97,116,101,32,111,102,32,105,110,102,101,114,114,101,100,32,100,105,109,32,40,119,104,105,99,104,32,105,115,32,100,101,110,111,116,101,100,32,98,121,32,45,49,41,0,109,97,115,107,83,104,97,112,101,91,105,93,32,62,61,32,45,49,0,67,97,110,39,116,32,105,110,102,101,114,32,97,32,100,105,109,32,100,101,110,111,116,101,100,32,98,121,32,45,49,0,115,114,99,84,111,116,97,108,32,61,61,32,100,115,116,84,111,116,97,108,0,116,111,116,97,108,40,105,110,112,117,116,115,91,48,93,41,32,61,61,32,116,111,116,97,108,40,105,110,112,117,116,115,91,49,93,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,82,101,115,104,97,112,101,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,49,54,82,101,115,104,97,112,101,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,49,53,82,101,103,105,111,110,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,98,108,111,98,115,46,115,105,122,101,40,41,32,61,61,32,49,0,82,101,103,105,111,110,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,114,101,103,105,111,110,95,108,97,121,101,114,46,99,112,112,0,116,104,114,101,115,104,0,99,111,111,114,100,115,0,99,108,97,115,115,101,115,0,97,110,99,104,111,114,115,0,115,111,102,116,109,97,120,0,110,109,115,84,104,114,101,115,104,111,108,100,32,62,61,32,48,46,0,99,111,111,114,100,115,32,61,61,32,52,0,99,108,97,115,115,101,115,32,62,61,32,49,0,97,110,99,104,111,114,115,32,62,61,32,49,0,117,115,101,76,111,103,105,115,116,105,99,32,124,124,32,117,115,101,83,111,102,116,109,97,120,0,115,111,102,116,109,97,120,95,116,114,101,101,0,89,111,108,111,57,48,48,48,32,105,115,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,0,105,110,112,117,116,115,91,48,93,91,51,93,32,61,61,32,40,49,32,43,32,99,111,111,114,100,115,32,43,32,99,108,97,115,115,101,115,41,42,97,110,99,104,111,114,115,0,105,110,112,117,116,115,46,115,105,122,101,40,41,32,62,61,32,49,0,115,97,109,112,108,101,95,115,105,122,101,42,98,97,116,99,104,95,115,105,122,101,32,61,61,32,105,110,112,66,108,111,98,46,116,111,116,97,108,40,41,0,115,97,109,112,108,101,95,115,105,122,101,42,98,97,116,99,104,95,115,105,122,101,32,61,61,32,111,117,116,66,108,111,98,46,116,111,116,97,108,40,41,0,105,110,112,117,116,115,46,115,105,122,101,40,41,32,60,32,50,32,124,124,32,105,110,112,117,116,115,91,49,93,46,100,105,109,115,32,61,61,32,52,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,82,101,103,105,111,110,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,49,53,82,101,103,105,111,110,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,49,82,101,103,105,111,110,76,97,121,101,114,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,49,54,83,111,102,116,77,97,120,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,108,111,103,95,115,111,102,116,109,97,120,0,48,32,60,61,32,115,116,97,114,116,68,105,109,32,38,38,32,115,116,97,114,116,68,105,109,32,60,61,32,101,110,100,68,105,109,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,99,111,114,101,47,105,110,99,108,117,100,101,47,111,112,101,110,99,118,50,47,99,111,114,101,47,109,97,116,46,105,110,108,46,104,112,112,0,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,115,111,102,116,109,97,120,95,108,97,121,101,114,46,99,112,112,0,115,114,99,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,32,38,38,32,100,115,116,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,83,111,102,116,77,97,120,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,49,54,83,111,102,116,77,97,120,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,50,83,111,102,116,109,97,120,76,97,121,101,114,69,0,68,101,116,101,99,116,105,111,110,79,117,116,112,117,116,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,50,52,68,101,116,101,99,116,105,111,110,79,117,116,112,117,116,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,110,117,109,95,99,108,97,115,115,101,115,0,115,104,97,114,101,95,108,111,99,97,116,105,111,110,0,98,97,99,107,103,114,111,117,110,100,95,108,97,98,101,108,95,105,100,0,118,97,114,105,97,110,99,101,95,101,110,99,111,100,101,100,95,105,110,95,116,97,114,103,101,116,0,107,101,101,112,95,116,111,112,95,107,0,99,111,110,102,105,100,101,110,99,101,95,116,104,114,101,115,104,111,108,100,0,116,111,112,95,107,0,108,111,99,95,112,114,101,100,95,116,114,97,110,115,112,111,115,101,100,0,110,111,114,109,97,108,105,122,101,100,95,98,98,111,120,0,103,114,111,117,112,95,98,121,95,99,108,97,115,115,101,115,0,110,109,115,95,116,104,114,101,115,104,111,108,100,0,95,110,109,115,84,104,114,101,115,104,111,108,100,32,62,32,48,46,0,68,101,116,101,99,116,105,111,110,79,117,116,112,117,116,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,100,101,116,101,99,116,105,111,110,95,111,117,116,112,117,116,95,108,97,121,101,114,46,99,112,112,0,99,111,100,101,95,116,121,112,101,0,99,101,110,116,101,114,95,115,105,122,101,0,67,69,78,84,69,82,95,83,73,90,69,0,67,79,82,78,69,82,0,32,108,97,121,101,114,32,112,97,114,97,109,101,116,101,114,32,100,111,101,115,32,110,111,116,32,99,111,110,116,97,105,110,32,0,32,112,97,114,97,109,101,116,101,114,46,0,103,101,116,80,97,114,97,109,101,116,101,114,0,105,110,112,117,116,115,46,115,105,122,101,40,41,32,62,61,32,51,0,105,110,112,117,116,115,91,48,93,91,48,93,32,61,61,32,105,110,112,117,116,115,91,49,93,91,48,93,0,40,110,117,109,80,114,105,111,114,115,32,42,32,95,110,117,109,76,111,99,67,108,97,115,115,101,115,32,42,32,52,41,32,61,61,32,116,111,116,97,108,40,105,110,112,117,116,115,91,48,93,44,32,49,41,0,105,110,116,40,110,117,109,80,114,105,111,114,115,32,42,32,95,110,117,109,67,108,97,115,115,101,115,41,32,61,61,32,116,111,116,97,108,40,105,110,112,117,116,115,91,49,93,44,32,49,41,0,105,110,112,117,116,115,91,50,93,91,49,93,32,61,61,32,49,32,43,32,40,105,110,116,41,40,33,95,118,97,114,105,97,110,99,101,69,110,99,111,100,101,100,73,110,84,97,114,103,101,116,41,0,95,98,98,111,120,101,115,78,111,114,109,97,108,105,122,101,100,32,124,124,32,105,110,112,117,116,115,46,115,105,122,101,40,41,32,62,61,32,52,0,105,110,112,117,116,115,91,51,93,46,100,105,109,115,32,61,61,32,52,0,99,111,117,110,116,32,61,61,32,110,117,109,75,101,112,116,0,67,111,117,108,100,32,110,111,116,32,102,105,110,100,32,99,111,110,102,105,100,101,110,99,101,32,112,114,101,100,105,99,116,105,111,110,115,32,102,111,114,32,108,97,98,101,108,32,37,100,0,111,117,116,112,117,116,68,101,116,101,99,116,105,111,110,115,95,0,67,111,117,108,100,32,110,111,116,32,102,105,110,100,32,108,111,99,97,116,105,111,110,32,112,114,101,100,105,99,116,105,111,110,115,32,102,111,114,32,108,97,98,101,108,32,37,100,0,112,114,111,99,101,115,115,68,101,116,101,99,116,105,111,110,115,95,0,78,77,83,70,97,115,116,95,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,46,46,47,110,109,115,46,105,110,108,46,104,112,112,0,105,100,120,32,60,32,115,99,111,114,101,115,46,115,105,122,101,40,41,0,97,108,108,95,108,111,99,95,112,114,101,100,115,46,115,105,122,101,40,41,32,61,61,32,110,117,109,0,68,101,99,111,100,101,66,66,111,120,101,115,65,108,108,0,112,114,105,111,114,95,98,98,111,120,101,115,46,115,105,122,101,40,41,32,61,61,32,112,114,105,111,114,95,118,97,114,105,97,110,99,101,115,46,115,105,122,101,40,41,0,68,101,99,111,100,101,66,66,111,120,101,115,0,112,114,105,111,114,95,98,98,111,120,101,115,46,115,105,122,101,40,41,32,61,61,32,98,98,111,120,101,115,46,115,105,122,101,40,41,0,110,117,109,95,98,98,111,120,101,115,32,61,61,32,48,32,124,124,32,112,114,105,111,114,95,118,97,114,105,97,110,99,101,115,91,48,93,46,115,105,122,101,40,41,32,61,61,32,52,0,112,114,105,111,114,95,119,105,100,116,104,32,62,32,48,0,68,101,99,111,100,101,66,66,111,120,0,112,114,105,111,114,95,104,101,105,103,104,116,32,62,32,48,0,85,110,107,110,111,119,110,32,116,121,112,101,46,0,110,117,109,76,111,99,67,108,97,115,115,101,115,32,61,61,32,49,0,71,101,116,76,111,99,80,114,101,100,105,99,116,105,111,110,115,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,68,101,116,101,99,116,105,111,110,79,117,116,112,117,116,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,50,52,68,101,116,101,99,116,105,111,110,79,117,116,112,117,116,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,50,48,68,101,116,101,99,116,105,111,110,79,117,116,112,117,116,76,97,121,101,114,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,50,51,83,104,117,102,102,108,101,67,104,97,110,110,101,108,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,105,110,112,117,116,115,46,115,105,122,101,40,41,32,61,61,32,49,32,38,38,32,105,110,112,117,116,115,91,48,93,46,115,105,122,101,40,41,32,61,61,32,52,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,115,104,117,102,102,108,101,95,99,104,97,110,110,101,108,95,108,97,121,101,114,46,99,112,112,0,105,110,112,117,116,115,91,48,93,91,49,93,32,37,32,103,114,111,117,112,32,61,61,32,48,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,83,104,117,102,102,108,101,67,104,97,110,110,101,108,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,111,114,100,101,114,0,78,50,99,118,51,100,110,110,50,51,83,104,117,102,102,108,101,67,104,97,110,110,101,108,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,57,83,104,117,102,102,108,101,67,104,97,110,110,101,108,76,97,121,101,114,69,0,115,99,97,108,101,95,116,114,97,105,110,0,100,114,111,112,111,117,116,95,114,97,116,105,111,0,115,99,97,108,101,32,62,32,48,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,98,108,97,110,107,95,108,97,121,101,114,46,99,112,112,0,80,111,119,101,114,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,49,52,66,108,97,110,107,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,66,108,97,110,107,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,49,52,66,108,97,110,107,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,48,66,108,97,110,107,76,97,121,101,114,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,49,50,77,86,78,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,110,111,114,109,97,108,105,122,101,95,118,97,114,105,97,110,99,101,0,97,99,114,111,115,115,95,99,104,97,110,110,101,108,115,0,101,112,115,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,77,86,78,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,109,118,110,95,108,97,121,101,114,46,99,112,112,0,78,50,99,118,51,100,110,110,49,50,77,86,78,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,56,77,86,78,76,97,121,101,114,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,49,52,83,99,97,108,101,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,98,105,97,115,95,116,101,114,109,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,115,99,97,108,101,95,108,97,121,101,114,46,99,112,112,0,33,98,108,111,98,115,46,101,109,112,116,121,40,41,32,124,124,32,105,110,112,117,116,115,46,115,105,122,101,40,41,32,61,61,32,50,0,110,117,109,87,101,105,103,104,116,115,32,33,61,32,48,0,116,111,116,97,108,40,105,110,112,83,104,97,112,101,44,32,97,120,105,115,44,32,101,110,100,65,120,105,115,41,32,61,61,32,110,117,109,87,101,105,103,104,116,115,0,33,104,97,115,66,105,97,115,32,124,124,32,110,117,109,87,101,105,103,104,116,115,32,61,61,32,98,105,97,115,46,116,111,116,97,108,40,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,83,99,97,108,101,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,111,117,116,66,108,111,98,46,116,121,112,101,40,41,0,67,86,95,51,50,70,67,49,0,105,110,112,66,108,111,98,46,116,121,112,101,40,41,0,73,110,99,111,109,112,97,116,105,98,108,101,32,119,101,105,103,104,116,115,47,98,105,97,115,32,98,108,111,98,115,0,119,101,105,103,104,116,115,46,116,111,116,97,108,40,41,0,98,105,97,115,46,116,111,116,97,108,40,41,0,105,110,112,117,116,115,46,115,105,122,101,40,41,32,61,61,32,50,32,38,38,32,98,108,111,98,115,46,101,109,112,116,121,40,41,32,124,124,32,98,108,111,98,115,46,115,105,122,101,40,41,32,61,61,32,40,105,110,116,41,104,97,115,87,101,105,103,104,116,115,32,43,32,40,105,110,116,41,104,97,115,66,105,97,115,0,78,50,99,118,51,100,110,110,49,52,83,99,97,108,101,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,48,83,99,97,108,101,76,97,121,101,114,69,0,83,99,97,108,101,0,110,101,103,97,116,105,118,101,95,115,108,111,112,101,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,50,95,49,49,82,101,76,85,70,117,110,99,116,111,114,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,53,95,69,69,69,69,0,115,114,99,46,115,105,122,101,32,61,61,32,100,115,116,46,115,105,122,101,32,38,38,32,115,114,99,46,116,121,112,101,40,41,32,61,61,32,100,115,116,46,116,121,112,101,40,41,32,38,38,32,115,114,99,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,32,38,38,32,100,115,116,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,32,38,38,32,115,114,99,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,101,108,101,109,101,110,116,119,105,115,101,95,108,97,121,101,114,115,46,99,112,112,0,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,49,49,82,101,76,85,70,117,110,99,116,111,114,69,69,53,80,66,111,100,121,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,60,99,118,58,58,100,110,110,58,58,82,101,76,85,70,117,110,99,116,111,114,62,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,32,91,70,117,110,99,32,61,32,99,118,58,58,100,110,110,58,58,82,101,76,85,70,117,110,99,116,111,114,93,0,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,49,49,82,101,76,85,70,117,110,99,116,111,114,69,69,69,0,109,105,110,95,118,97,108,117,101,0,109,97,120,95,118,97,108,117,101,0,109,105,110,86,97,108,117,101,32,60,61,32,109,97,120,86,97,108,117,101,0,82,101,76,85,54,70,117,110,99,116,111,114,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,50,95,49,50,82,101,76,85,54,70,117,110,99,116,111,114,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,53,95,69,69,69,69,0,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,49,50,82,101,76,85,54,70,117,110,99,116,111,114,69,69,53,80,66,111,100,121,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,60,99,118,58,58,100,110,110,58,58,82,101,76,85,54,70,117,110,99,116,111,114,62,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,32,91,70,117,110,99,32,61,32,99,118,58,58,100,110,110,58,58,82,101,76,85,54,70,117,110,99,116,111,114,93,0,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,49,50,82,101,76,85,54,70,117,110,99,116,111,114,69,69,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,48,82,101,76,85,54,76,97,121,101,114,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,50,95,49,49,84,97,110,72,70,117,110,99,116,111,114,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,53,95,69,69,69,69,0,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,49,49,84,97,110,72,70,117,110,99,116,111,114,69,69,53,80,66,111,100,121,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,60,99,118,58,58,100,110,110,58,58,84,97,110,72,70,117,110,99,116,111,114,62,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,32,91,70,117,110,99,32,61,32,99,118,58,58,100,110,110,58,58,84,97,110,72,70,117,110,99,116,111,114,93,0,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,49,49,84,97,110,72,70,117,110,99,116,111,114,69,69,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,57,84,97,110,72,76,97,121,101,114,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,50,95,49,52,83,105,103,109,111,105,100,70,117,110,99,116,111,114,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,53,95,69,69,69,69,0,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,49,52,83,105,103,109,111,105,100,70,117,110,99,116,111,114,69,69,53,80,66,111,100,121,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,60,99,118,58,58,100,110,110,58,58,83,105,103,109,111,105,100,70,117,110,99,116,111,114,62,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,32,91,70,117,110,99,32,61,32,99,118,58,58,100,110,110,58,58,83,105,103,109,111,105,100,70,117,110,99,116,111,114,93,0,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,49,52,83,105,103,109,111,105,100,70,117,110,99,116,111,114,69,69,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,50,83,105,103,109,111,105,100,76,97,121,101,114,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,50,95,49,48,69,76,85,70,117,110,99,116,111,114,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,53,95,69,69,69,69,0,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,49,48,69,76,85,70,117,110,99,116,111,114,69,69,53,80,66,111,100,121,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,60,99,118,58,58,100,110,110],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+460804);allocate([58,58,69,76,85,70,117,110,99,116,111,114,62,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,32,91,70,117,110,99,32,61,32,99,118,58,58,100,110,110,58,58,69,76,85,70,117,110,99,116,111,114,93,0,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,49,48,69,76,85,70,117,110,99,116,111,114,69,69,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,56,69,76,85,76,97,121,101,114,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,50,95,49,51,65,98,115,86,97,108,70,117,110,99,116,111,114,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,53,95,69,69,69,69,0,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,49,51,65,98,115,86,97,108,70,117,110,99,116,111,114,69,69,53,80,66,111,100,121,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,60,99,118,58,58,100,110,110,58,58,65,98,115,86,97,108,70,117,110,99,116,111,114,62,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,32,91,70,117,110,99,32,61,32,99,118,58,58,100,110,110,58,58,65,98,115,86,97,108,70,117,110,99,116,111,114,93,0,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,49,51,65,98,115,86,97,108,70,117,110,99,116,111,114,69,69,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,56,65,98,115,76,97,121,101,114,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,50,95,49,49,66,78,76,76,70,117,110,99,116,111,114,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,53,95,69,69,69,69,0,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,49,49,66,78,76,76,70,117,110,99,116,111,114,69,69,53,80,66,111,100,121,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,60,99,118,58,58,100,110,110,58,58,66,78,76,76,70,117,110,99,116,111,114,62,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,32,91,70,117,110,99,32,61,32,99,118,58,58,100,110,110,58,58,66,78,76,76,70,117,110,99,116,111,114,93,0,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,49,49,66,78,76,76,70,117,110,99,116,111,114,69,69,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,57,66,78,76,76,76,97,121,101,114,69,0,112,111,119,101,114,0,115,99,97,108,101,0,115,104,105,102,116,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,50,95,49,50,80,111,119,101,114,70,117,110,99,116,111,114,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,53,95,69,69,69,69,0,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,49,50,80,111,119,101,114,70,117,110,99,116,111,114,69,69,53,80,66,111,100,121,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,60,99,118,58,58,100,110,110,58,58,80,111,119,101,114,70,117,110,99,116,111,114,62,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,32,91,70,117,110,99,32,61,32,99,118,58,58,100,110,110,58,58,80,111,119,101,114,70,117,110,99,116,111,114,93,0,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,49,50,80,111,119,101,114,70,117,110,99,116,111,114,69,69,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,48,80,111,119,101,114,76,97,121,101,114,69,0,112,97,114,97,109,115,46,98,108,111,98,115,46,115,105,122,101,40,41,32,61,61,32,49,0,99,114,101,97,116,101,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,50,95,50,48,67,104,97,110,110,101,108,115,80,82,101,76,85,70,117,110,99,116,111,114,69,69,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,53,95,69,69,69,69,0,115,99,97,108,101,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,32,38,38,32,115,99,97,108,101,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,0,97,112,112,108,121,0,48,32,60,61,32,99,110,48,32,38,38,32,99,110,48,32,60,32,99,110,49,32,38,38,32,99,110,49,32,60,61,32,40,105,110,116,41,115,99,97,108,101,46,116,111,116,97,108,40,41,0,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,50,48,67,104,97,110,110,101,108,115,80,82,101,76,85,70,117,110,99,116,111,114,69,69,53,80,66,111,100,121,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,60,99,118,58,58,100,110,110,58,58,67,104,97,110,110,101,108,115,80,82,101,76,85,70,117,110,99,116,111,114,62,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,32,91,70,117,110,99,32,61,32,99,118,58,58,100,110,110,58,58,67,104,97,110,110,101,108,115,80,82,101,76,85,70,117,110,99,116,111,114,93,0,78,50,99,118,51,100,110,110,49,54,69,108,101,109,101,110,116,87,105,115,101,76,97,121,101,114,73,78,83,48,95,50,48,67,104,97,110,110,101,108,115,80,82,101,76,85,70,117,110,99,116,111,114,69,69,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,50,50,67,114,111,112,65,110,100,82,101,115,105,122,101,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,119,105,100,116,104,0,112,97,114,97,109,115,46,104,97,115,40,34,119,105,100,116,104,34,41,0,67,114,111,112,65,110,100,82,101,115,105,122,101,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,99,114,111,112,95,97,110,100,95,114,101,115,105,122,101,95,108,97,121,101,114,46,99,112,112,0,104,101,105,103,104,116,0,112,97,114,97,109,115,46,104,97,115,40,34,104,101,105,103,104,116,34,41,0,105,110,112,117,116,115,91,48,93,46,115,105,122,101,40,41,32,61,61,32,52,0,105,110,112,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,111,117,116,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,67,114,111,112,65,110,100,82,101,115,105,122,101,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,50,50,67,114,111,112,65,110,100,82,101,115,105,122,101,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,56,67,114,111,112,65,110,100,82,101,115,105,122,101,76,97,121,101,114,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,49,53,67,111,110,99,97,116,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,112,97,100,100,105,110,103,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,99,111,110,99,97,116,95,108,97,121,101,114,46,99,112,112,0,99,117,114,83,104,97,112,101,46,115,105,122,101,40,41,32,61,61,32,111,117,116,112,117,116,115,91,48,93,46,115,105,122,101,40,41,0,73,110,99,111,110,115,105,115,116,101,110,116,32,115,104,97,112,101,32,102,111,114,32,67,111,110,99,97,116,76,97,121,101,114,0,105,110,112,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,32,38,38,32,40,105,110,112,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,32,124,124,32,105,110,112,46,116,121,112,101,40,41,32,61,61,32,67,86,95,49,54,83,41,32,38,38,32,105,110,112,46,100,105,109,115,32,61,61,32,52,32,38,38,32,105,110,112,46,115,105,122,101,91,48,93,32,61,61,32,111,117,116,112,117,116,46,115,105,122,101,91,48,93,32,38,38,32,105,110,112,46,115,105,122,101,91,50,93,32,61,61,32,111,117,116,112,117,116,46,115,105,122,101,91,50,93,32,38,38,32,105,110,112,46,115,105,122,101,91,51,93,32,61,61,32,111,117,116,112,117,116,46,115,105,122,101,91,51,93,0,110,99,104,97,110,110,101,108,115,32,61,61,32,111,117,116,112,117,116,46,115,105,122,101,91,49,93,0,111,117,116,112,117,116,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,32,38,38,32,40,111,117,116,112,117,116,46,116,121,112,101,40,41,32,61,61,32,67,86,95,51,50,70,32,124,124,32,111,117,116,112,117,116,46,116,121,112,101,40,41,32,61,61,32,67,86,95,49,54,83,41,0,78,50,99,118,51,100,110,110,49,53,67,111,110,99,97,116,76,97,121,101,114,73,109,112,108,50,48,67,104,97,110,110,101,108,67,111,110,99,97,116,73,110,118,111,107,101,114,69,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,67,111,110,99,97,116,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,49,53,67,111,110,99,97,116,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,49,54,70,108,97,116,116,101,110,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,105,110,112,117,116,115,46,115,105,122,101,40,41,32,62,32,48,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,102,108,97,116,116,101,110,95,108,97,121,101,114,46,99,112,112,0,105,110,112,117,116,115,91,105,93,32,61,61,32,105,110,112,117,116,115,91,48,93,0,115,116,97,114,116,65,120,105,115,32,62,61,32,48,0,101,110,100,65,120,105,115,32,62,61,32,115,116,97,114,116,65,120,105,115,32,38,38,32,101,110,100,65,120,105,115,32,60,32,40,105,110,116,41,110,117,109,65,120,101,115,0,111,117,116,112,117,116,83,104,97,112,101,86,101,99,46,115,105,122,101,40,41,32,60,61,32,52,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,70,108,97,116,116,101,110,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,78,50,99,118,51,100,110,110,49,54,70,108,97,116,116,101,110,76,97,121,101,114,73,109,112,108,69,0,78,50,99,118,51,100,110,110,50,50,101,120,112,101,114,105,109,101,110,116,97,108,95,100,110,110,95,51,52,95,118,57,49,50,70,108,97,116,116,101,110,76,97,121,101,114,69,0,78,50,99,118,54,100,101,116,97,105,108,49,50,80,116,114,79,119,110,101,114,73,109,112,108,73,78,83,95,51,100,110,110,49,54,80,111,111,108,105,110,103,76,97,121,101,114,73,109,112,108,69,78,83,95,49,52,68,101,102,97,117,108,116,68,101,108,101,116,101,114,73,83,51,95,69,69,69,69,0,107,101,114,110,101,108,95,115,105,122,101,0,109,97,120,0,97,118,101,0,115,116,111,99,104,97,115,116,105,99,0,85,110,107,110,111,119,110,32,112,111,111,108,105,110,103,32,116,121,112,101,32,34,0,80,111,111,108,105,110,103,76,97,121,101,114,73,109,112,108,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,108,97,121,101,114,115,47,112,111,111,108,105,110,103,95,108,97,121,101,114,46,99,112,112,0,111,117,116,112,117,116,95,100,105,109,0,103,114,111,117,112,95,115,105,122,101,0,67,97,110,110,111,116,32,100,101,116,101,114,109,105,110,101,32,112,111,111,108,105,110,103,32,116,121,112,101,0,99,101,105,108,95,109,111,100,101,0,115,112,97,116,105,97,108,95,115,99,97,108,101,0,97,118,101,95,112,111,111,108,95,112,97,100,100,101,100,95,97,114,101,97,0,115,116,97,114,116,32,60,61,32,40,105,110,116,41,115,104,97,112,101,46,115,105,122,101,40,41,32,38,38,32,101,110,100,32,60,61,32,40,105,110,116,41,115,104,97,112,101,46,115,105,122,101,40,41,32,38,38,32,115,116,97,114,116,32,60,61,32,101,110,100,0,116,111,116,97,108,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,105,110,99,108,117,100,101,47,111,112,101,110,99,118,50,47,100,110,110,47,115,104,97,112,101,95,117,116,105,108,115,46,104,112,112,0,105,110,112,117,116,115,46,115,105,122,101,40,41,32,33,61,32,48,0,103,101,116,77,101,109,111,114,121,83,104,97,112,101,115,0,40,111,117,116,46,104,101,105,103,104,116,32,45,32,49,41,32,42,32,115,116,114,105,100,101,46,104,101,105,103,104,116,32,60,32,105,110,46,104,101,105,103,104,116,32,43,32,112,97,100,95,98,0,40,111,117,116,46,119,105,100,116,104,32,45,32,49,41,32,42,32,115,116,114,105,100,101,46,119,105,100,116,104,32,60,32,105,110,46,119,105,100,116,104,32,43,32,112,97,100,95,114,0,105,110,112,117,116,115,46,115,105,122,101,40,41,32,61,61,32,50,0,112,115,82,111,105,79,117,116,67,104,97,110,110,101,108,115,32,42,32,112,111,111,108,101,100,83,105,122,101,46,119,105,100,116,104,32,42,32,112,111,111,108,101,100,83,105,122,101,46,104,101,105,103,104,116,32,61,61,32,105,110,112,117,116,115,91,48,93,91,49,93,0,105,110,112,117,116,115,46,115,105,122,101,40,41,32,61,61,32,49,0,102,111,114,119,97,114,100,0,111,117,116,112,117,116,115,46,115,105,122,101,40,41,32,61,61,32,50,0,111,117,116,112,117,116,115,46,115,105,122,101,40,41,32,61,61,32,49,0,78,111,116,32,105,109,112,108,101,109,101,110,116,101,100,0,115,114,99,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,114,117,110,0,100,115,116,46,105,115,67,111,110,116,105,110,117,111,117,115,40,41,0,115,114,99,46,116,121,112,101,40,41,32,61,61,32,53,0,115,114,99,46,116,121,112,101,40,41,32,61,61,32,100,115,116,46,116,121,112,101,40,41,0,115,114,99,46,100,105,109,115,32,61,61,32,52,0,100,115,116,46,100,105,109,115,32,61,61,32,52,0,40,40,112,111,111,108,105,110,103,84,121,112,101,32,61,61,32,82,79,73,32,124,124,32,112,111,111,108,105,110,103,84,121,112,101,32,61,61,32,80,83,82,79,73,41,32,38,38,32,100,115,116,46,115,105,122,101,91,48,93,32,61,61,114,111,105,115,46,115,105,122,101,91,48,93,32,124,124,32,115,114,99,46,115,105,122,101,91,48,93,32,61,61,32,100,115,116,46,115,105,122,101,91,48,93,41,0,112,111,111,108,105,110,103,84,121,112,101,32,61,61,32,80,83,82,79,73,32,124,124,32,115,114,99,46,115,105,122,101,91,49,93,32,61,61,32,100,115,116,46,115,105,122,101,91,49,93,0,40,109,97,115,107,46,101,109,112,116,121,40,41,32,124,124,32,40,109,97,115,107,46,116,121,112,101,40,41,32,61,61,32,115,114,99,46,116,121,112,101,40,41,32,38,38,32,109,97,115,107,46,115,105,122,101,32,61,61,32,100,115,116,46,115,105,122,101,41,41,0,114,111,105,115,68,97,116,97,91,48,93,32,60,32,115,114,99,45,62,115,105,122,101,91,48,93,0,78,50,99,118,51,100,110,110,49,54,80,111,111,108,105,110,103,76,97,121,101,114,73,109,112,108,49,52,80,111,111,108,105,110,103,73,110,118,111,107,101,114,69,0,110,97,109,101,0,118,105,114,116,117,97,108,32,118,111,105,100,32,99,118,58,58,100,110,110,58,58,80,111,111,108,105,110,103,76,97,121,101,114,73,109,112,108,58,58,102,111,114,119,97,114,100,40,73,110,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,44,32,79,117,116,112,117,116,65,114,114,97,121,79,102,65,114,114,97,121,115,41,0,33,105,110,112,117,116,115,46,101,109,112,116,121,40,41,0,102,105,110,97,108,105,122,101,0,78,50,99,118,51,100,110,110,49,54,80,111,111,108,105,110,103,76,97,121,101,114,73,109,112,108,69,0,100,102,115,101,108,102,45,62,104,97,110,100,108,101,32,33,61,32,48,76,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,116,111,114,99,104,47,84,72,68,105,115,107,70,105,108,101,46,99,112,112,0,84,72,68,105,115,107,70,105,108,101,95,109,111,100,101,40,109,111,100,101,44,32,38,105,115,82,101,97,100,97,98,108,101,44,32,38,105,115,87,114,105,116,97,98,108,101,41,0,84,72,68,105,115,107,70,105,108,101,95,110,101,119,0,105,115,82,101,97,100,97,98,108,101,32,38,38,32,33,105,115,87,114,105,116,97,98,108,101,0,114,98,0,99,97,110,110,111,116,32,111,112,101,110,32,60,37,115,62,32,105,110,32,109,111,100,101,32,37,99,37,99,0,99,97,110,110,111,116,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,102,111,114,32,115,101,108,102,0,84,72,68,105,115,107,70,105,108,101,95,99,108,111,115,101,0,84,72,68,105,115,107,70,105,108,101,95,112,111,115,105,116,105,111,110,0,117,110,97,98,108,101,32,116,111,32,111,98,116,97,105,110,32,100,105,115,107,32,102,105,108,101,32,111,102,102,115,101,116,32,40,109,97,121,98,101,32,97,32,108,111,110,103,32,111,118,101,114,102,108,111,119,32,111,99,99,117,114,114,101,100,41,0,84,72,68,105,115,107,70,105,108,101,95,115,101,101,107,69,110,100,0,117,110,97,98,108,101,32,116,111,32,115,101,101,107,32,97,116,32,101,110,100,32,111,102,32,102,105,108,101,0,84,72,68,105,115,107,70,105,108,101,95,115,101,101,107,0,117,110,97,98,108,101,32,116,111,32,115,101,101,107,32,97,116,32,112,111,115,105,116,105,111,110,32,37,100,0,84,72,68,105,115,107,70,105,108,101,95,114,101,97,100,83,116,114,105,110,103,0,100,102,115,101,108,102,45,62,102,105,108,101,46,105,115,82,101,97,100,97,98,108,101,0,40,115,116,114,108,101,110,40,102,111,114,109,97,116,41,32,62,61,32,50,32,63,32,40,102,111,114,109,97,116,91,48,93,32,61,61,32,39,42,39,41,32,38,38,32,40,102,111,114,109,97,116,91,49,93,32,61,61,32,39,97,39,32,124,124,32,102,111,114,109,97,116,91,49,93,32,61,61,32,39,108,39,41,32,58,32,48,41,0,114,101,97,100,32,101,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,97,108,108,111,99,97,116,101,32,98,117,102,102,101,114,0,114,101,97,100,32,101,114,114,111,114,58,32,114,101,97,100,32,48,32,98,108,111,99,107,115,32,105,110,115,116,101,97,100,32,111,102,32,49,0,84,72,68,105,115,107,70,105,108,101,95,114,101,97,100,68,111,117,98,108,101,0,37,108,103,0,114,101,97,100,32,101,114,114,111,114,58,32,114,101,97,100,32,37,100,32,98,108,111,99,107,115,32,105,110,115,116,101,97,100,32,111,102,32,37,100,0,84,72,68,105,115,107,70,105,108,101,95,114,101,97,100,70,108,111,97,116,0,37,103,0,84,72,68,105,115,107,70,105,108,101,95,114,101,97,100,76,111,110,103,0,37,108,100,0,99,97,110,32,110,111,116,32,97,108,108,111,99,97,116,101,32,98,117,102,102,101,114,0,84,72,68,105,115,107,70,105,108,101,95,114,101,97,100,73,110,116,0,37,100,10,13,0,84,72,68,105,115,107,70,105,108,101,95,114,101,97,100,83,104,111,114,116,0,37,104,100,0,84,72,68,105,115,107,70,105,108,101,95,114,101,97,100,67,104,97,114,0,84,72,68,105,115,107,70,105,108,101,95,114,101,97,100,66,121,116,101,0,116,101,110,115,111,114,95,115,104,97,112,101,46,112,114,111,116,111,0,10,18,116,101,110,115,111,114,95,115,104,97,112,101,46,112,114,111,116,111,18,17,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,34,129,1,10,16,84,101,110,115,111,114,83,104,97,112,101,80,114,111,116,111,18,52,10,3,100,105,109,24,2,32,3,40,11,50,39,46,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,84,101,110,115,111,114,83,104,97,112,101,80,114,111,116,111,46,68,105,109,18,20,10,12,117,110,107,110,111,119,110,95,114,97,110,107,24,3,32,1,40,8,26,33,10,3,68,105,109,18,12,10,4,115,105,122,101,24,1,32,1,40,3,18,12,10,4,110,97,109,101,24,2,32,1,40,9,66,50,10,24,111,114,103,46,116,101,110,115,111,114,102,108,111,119,46,102,114,97,109,101,119,111,114,107,66,17,84,101,110,115,111,114,83,104,97,112,101,80,114,111,116,111,115,80,1,248,1,1,98,6,112,114,111,116,111,51,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,109,105,115,99,47,116,101,110,115,111,114,102,108,111,119,47,116,101,110,115,111,114,95,115,104,97,112,101,46,112,98,46,99,99,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,49,54,84,101,110,115,111,114,83,104,97,112,101,80,114,111,116,111,69,0,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,46,84,101,110,115,111,114,83,104,97,112,101,80,114,111,116,111,46,68,105,109,46,110,97,109,101,0,78,49,55,111,112,101,110,99,118,95,116,101,110,115,111,114,102,108,111,119,50,48,84,101,110,115,111,114,83,104,97,112,101,80,114,111,116,111,95,68,105,109,69,0,98,98,111,120,101,115,46,115,105,122,101,40,41,32,61,61,32,115,99,111,114,101,115,46,115,105,122,101,40,41,0,78,77,83,66,111,120,101,115,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,109,111,100,117,108,101,115,47,100,110,110,47,115,114,99,47,110,109,115,46,99,112,112,0,115,99,111,114,101,95,116,104,114,101,115,104,111,108,100,32,62,61,32,48,0,110,109,115,95,116,104,114,101,115,104,111,108,100,32,62,61,32,48,0,101,116,97,32,62,32,48,0,8,7,6,6,5,5,5,5,4,4,4,4,4,4,4,4,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,79,80,69,78,67,86,95,76,79,71,95,76,69,86,69,76,0,68,73,83,65,66,76,69,68,0,100,105,115,97,98,108,101,100,0,48,0,79,70,70,0,111,102,102,0,102,97,116,97,108,0,101,114,114,111,114,0,119,97,114,110,105,110,103,0,87,65,82,78,73,78,71,83,0,119,97,114,110,105,110,103,115,0,87,65,82,78,0,119,97,114,110,0,105,110,102,111,0,68,69,66,85,71,0,100,101,98,117,103,0,86,69,82,66,79,83,69,0,118,101,114,98,111,115,101,0,69,82,82,79,82,58,32,85,110,101,120,112,101,99,116,101,100,32,108,111,103,103,105,110,103,32,108,101,118,101,108,32,118,97,108,117,101,58,32,0,91,70,65,84,65,76,58,0,91,69,82,82,79,82,58,0,91,32,87,65,82,78,58,0,91,32,73,78,70,79,58,0,91,68,69,66,85,71,58,0,37,115,0,37,115,37,115,37,115,0,117,110,101,120,112,101,99,116,101,100,32,101,110,100,32,111,102,32,102,105,108,101,0,105,110,116,101,114,110,97,108,32,101,114,114,111,114,58,32,105,110,102,108,97,116,101,32,115,116,114,101,97,109,32,99,111,114,114,117,112,116,0,99,111,109,112,114,101,115,115,101,100,32,100,97,116,97,32,101,114,114,111,114,0,105,110,116,101,114,110,97,108,32,101,114,114,111,114,58,32,100,101,102,108,97,116,101,32,115,116,114,101,97,109,32,99,111,114,114,117,112,116,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,49,46,50,46,49,49,0,105,110,99,111,114,114,101,99,116,32,104,101,97,100,101,114,32,99,104,101,99,107,0,117,110,107,110,111,119,110,32,99,111,109,112,114,101,115,115,105,111,110,32,109,101,116,104,111,100,0,105,110,118,97,108,105,100,32,119,105,110,100,111,119,32,115,105,122,101,0,117,110,107,110,111,119,110,32,104,101,97,100,101,114,32,102,108,97,103,115,32,115,101,116,0,104,101,97,100,101,114,32,99,114,99,32,109,105,115,109,97,116,99,104,0,105,110,118,97,108,105,100,32,98,108,111,99,107,32,116,121,112,101,0,105,110,118,97,108,105,100,32,115,116,111,114,101,100,32,98,108,111,99,107,32,108,101,110,103,116,104,115,0,116,111,111,32,109,97,110,121,32,108,101,110,103,116,104,32,111,114,32,100,105,115,116,97,110,99,101,32,115,121,109,98,111,108,115,0,105,110,118,97,108,105,100,32,99,111,100,101,32,108,101,110,103,116,104,115,32,115,101,116,0,105,110,118,97,108,105,100,32,98,105,116,32,108,101,110,103,116,104,32,114,101,112,101,97,116,0,105,110,118,97,108,105,100,32,99,111,100,101,32,45,45,32,109,105,115,115,105,110,103,32,101,110,100,45,111,102,45,98,108,111,99,107,0,105,110,118,97,108,105,100,32,108,105,116,101,114,97,108,47,108,101,110,103,116,104,115,32,115,101,116,0,105,110,118,97,108,105,100,32,100,105,115,116,97,110,99,101,115,32,115,101,116,0,105,110,99,111,114,114,101,99,116,32,100,97,116,97,32,99,104,101,99,107,0,105,110,99,111,114,114,101,99,116,32,108,101,110,103,116,104,32,99,104,101,99,107,0,105,110,118,97,108,105,100,32,108,105,116,101,114,97,108,47,108,101,110,103,116,104,32,99,111,100,101,0,105,110,118,97,108,105,100,32,100,105,115,116,97,110,99,101,32,99,111,100,101,0,105,110,118,97,108,105,100,32,100,105,115,116,97,110,99,101,32,116,111,111,32,102,97,114,32,98,97,99,107,0,110,101,101,100,32,100,105,99,116,105,111,110,97,114,121,0,115,116,114,101,97,109,32,101,110,100,0,102,105,108,101,32,101,114,114,111,114,0,115,116,114,101,97,109,32,101,114,114,111,114,0,100,97,116,97,32,101,114,114,111,114,0,105,110,115,117,102,102,105,99,105,101,110,116,32,109,101,109,111,114,121,0,98,117,102,102,101,114,32,101,114,114,111,114,0,105,110,99,111,109,112,97,116,105,98,108,101,32,118,101,114,115,105,111,110,0,0,1,2,3,4,4,5,5,6,6,6,6,7,7,7,7,8,8,8,8,8,8,8,8,9,9,9,9,9,9,9,9,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,0,16,17,18,18,19,19,20,20,20,20,21,21,21,21,22,22,22,22,22,22,22,22,23,23,23,23,23,23,23,23,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,0,1,2,3,4,5,6,7,8,8,9,9,10,10,11,11,12,12,12,12,13,13,13,13,14,14,14,14,15,15,15,15,16,16,16,16,16,16,16,16,17,17,17,17,17,17,17,17,18,18,18,18,18,18,18,18,19,19,19,19,19,19,19,19,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,28,16,17,18,0,8,7,9,6,10,5,11,4,12,3,13,2,14,1,15,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,97,114,101,110,97,46,99,99,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,109,105,110,95,98,121,116,101,115,41,32,60,61,32,40,115,116,100,58,58,110,117,109,101,114,105,99,95,108,105,109,105,116,115,60,115,105,122,101,95,116,62,58,58,109,97,120,40,41,32,45,32,107,72,101,97,100,101,114,83,105,122,101,41,58,32,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,103,101,110,101,114,97,116,101,100,95,109,101,115,115,97,103,101,95,117,116,105,108,46,99,99,0,78,111,116,32,105,109,112,108,101,109,101,110,116,101,100,32,102,105,101,108,100,32,110,117,109,98,101,114,32,0,32,119,105,116,104,32,116,121,112,101,32,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,105,111,47,99,111,100,101,100,95,115,116,114,101,97,109,46,99,99,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,98,117,102,102,101,114,95,115,105,122,101,41,32,62,61,32,40,48,41,58,32,0,65,32,112,114,111,116,111,99,111,108,32,109,101,115,115,97,103,101,32,119,97,115,32,114,101,106,101,99,116,101,100,32,98,101,99,97,117,115,101,32,105,116,32,119,97,115,32,116,111,111,32,98,105,103,32,40,109,111,114,101,32,116,104,97,110,32,0,32,98,121,116,101,115,41,46,32,32,84,111,32,105,110,99,114,101,97,115,101,32,116,104,101,32,108,105,109,105,116,32,40,111,114,32,116,111,32,100,105,115,97,98,108,101,32,116,104,101,115,101,32,119,97,114,110,105,110,103,115,41,44,32,115,101,101,32,67,111,100,101,100,73,110,112,117,116,83,116,114,101,97,109,58,58,83,101,116,84,111,116,97,108,66,121,116,101,115,76,105,109,105,116,40,41,32,105,110,32,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,105,111,47,99,111,100,101,100,95,115,116,114,101,97,109,46,104,46,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,105,111,47,122,101,114,111,95,99,111,112,121,95,115,116,114,101,97,109,95,105,109,112,108,95,108,105,116,101,46,99,99,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,99,111,117,110,116,41,32,62,61,32,40,48,41,58,32,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,108,97,115,116,95,114,101,116,117,114,110,101,100,95,115,105,122,101,95,41,32,62,32,40,48,41,58,32,0,66,97,99,107,85,112,40,41,32,99,97,110,32,111,110,108,121,32,98,101,32,99,97,108,108,101,100,32,97,102,116,101,114,32,97,32,115,117,99,99,101,115,115,102,117,108,32,78,101,120,116,40,41,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,99,111,117,110,116,41,32,60,61,32,40,108,97,115,116,95,114,101,116,117,114,110,101,100,95,115,105,122,101,95,41,58,32,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,105,111,49,54,65,114,114,97,121,73,110,112,117,116,83,116,114,101,97,109,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,105,111,49,57,90,101,114,111,67,111,112,121,73,110,112,117,116,83,116,114,101,97,109,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,105,111,49,55,65,114,114,97,121,79,117,116,112,117,116,83,116,114,101,97,109,69,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,116,97,114,103,101,116,95,32,33,61,32,78,85,76,76,58,32,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,99,111,117,110,116,41,32,60,61,32,40,116,97,114,103,101,116,95,45,62,115,105,122,101,40,41,41,58,32,0,67,97,110,110,111,116,32,97,108,108,111,99,97,116,101,32,98,117,102,102,101,114,32,108,97,114,103,101,114,32,116,104,97,110,32,107,105,110,116,51,50,109,97,120,32,102,111,114,32,0,83,116,114,105,110,103,79,117,116,112,117,116,83,116,114,101,97,109,46,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,105,111,49,56,83,116,114,105,110,103,79,117,116,112,117,116,83,116,114,101,97,109,69,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,98,97,99,107,117,112,95,98,121,116,101,115,95,32,61,61,32,48,32,38,38,32,98,117,102,102,101,114,95,46,103,101,116,40,41,32,33,61,32,78,85,76,76,58,32,0,32,66,97,99,107,85,112,40,41,32,99,97,110,32,111,110,108,121,32,98,101,32,99,97,108,108,101,100,32,97,102,116,101,114,32,78,101,120,116,40,41,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,99,111,117,110,116,41,32,60,61,32,40,98,117,102,102,101,114,95,117,115,101,100,95,41,58,32,0,32,67,97,110,39,116,32,98,97,99,107,32,117,112,32,111,118,101,114,32,109,111,114,101,32,98,121,116,101,115,32,116,104,97,110,32,119,101,114,101,32,114,101,116,117,114,110,101,100,32,98,121,32,116,104,101,32,108,97,115,116,32,99,97,108,108,32,116,111,32,78,101,120,116,40,41,46,0,32,80,97,114,97,109,101,116,101,114,32,116,111,32,66,97,99,107,85,112,40,41,32,99,97,110,39,116,32,98,101,32,110,101,103,97,116,105,118,101,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,98,97,99,107,117,112,95,98,121,116,101,115,95,41,32,61,61,32,40,48,41,58,32,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,105,111,50,53,67,111,112,121,105,110,103,73,110,112,117,116,83,116,114,101,97,109,65,100,97,112,116,111,114,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,105,111,49,56,67,111,112,121,105,110,103,73,110,112,117,116,83,116,114,101,97,109,69,0,1,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+471044);allocate([54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,109,101,115,115,97,103,101,95,108,105,116,101,46,99,99,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,33,99,111,100,101,100,95,111,117,116,46,72,97,100,69,114,114,111,114,40,41,58,32,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,49,77,101,115,115,97,103,101,76,105,116,101,69,0,67,97,110,39,116,32,0,112,97,114,115,101,0,32,109,101,115,115,97,103,101,32,111,102,32,116,121,112,101,32,34,0,34,32,98,101,99,97,117,115,101,32,105,116,32,105,115,32,109,105,115,115,105,110,103,32,114,101,113,117,105,114,101,100,32,102,105,101,108,100,115,58,32,0,69,120,99,101,101,100,101,100,32,109,97,120,105,109,117,109,32,112,114,111,116,111,98,117,102,32,115,105,122,101,32,111,102,32,50,71,66,58,32,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,98,121,116,101,95,115,105,122,101,95,98,101,102,111,114,101,95,115,101,114,105,97,108,105,122,97,116,105,111,110,41,32,61,61,32,40,98,121,116,101,95,115,105,122,101,95,97,102,116,101,114,95,115,101,114,105,97,108,105,122,97,116,105,111,110,41,58,32,0,32,119,97,115,32,109,111,100,105,102,105,101,100,32,99,111,110,99,117,114,114,101,110,116,108,121,32,100,117,114,105,110,103,32,115,101,114,105,97,108,105,122,97,116,105,111,110,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,98,121,116,101,115,95,112,114,111,100,117,99,101,100,95,98,121,95,115,101,114,105,97,108,105,122,97,116,105,111,110,41,32,61,61,32,40,98,121,116,101,95,115,105,122,101,95,98,101,102,111,114,101,95,115,101,114,105,97,108,105,122,97,116,105,111,110,41,58,32,0,66,121,116,101,32,115,105,122,101,32,99,97,108,99,117,108,97,116,105,111,110,32,97,110,100,32,115,101,114,105,97,108,105,122,97,116,105,111,110,32,119,101,114,101,32,105,110,99,111,110,115,105,115,116,101,110,116,46,32,32,84,104,105,115,32,109,97,121,32,105,110,100,105,99,97,116,101,32,97,32,98,117,103,32,105,110,32,112,114,111,116,111,99,111,108,32,98,117,102,102,101,114,115,32,111,114,32,105,116,32,109,97,121,32,98,101,32,99,97,117,115,101,100,32,98,121,32,99,111,110,99,117,114,114,101,110,116,32,109,111,100,105,102,105,99,97,116,105,111,110,32,111,102,32,0,84,104,105,115,32,115,104,111,117,108,100,110,39,116,32,98,101,32,99,97,108,108,101,100,32,105,102,32,97,108,108,32,116,104,101,32,115,105,122,101,115,32,97,114,101,32,101,113,117,97,108,46,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,114,101,112,101,97,116,101,100,95,102,105,101,108,100,46,99,99,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,110,101,119,95,115,105,122,101,41,32,60,61,32,40,40,115,116,100,58,58,110,117,109,101,114,105,99,95,108,105,109,105,116,115,60,115,105,122,101,95,116,62,58,58,109,97,120,40,41,32,45,32,107,82,101,112,72,101,97,100,101,114,83,105,122,101,41,32,47,32,115,105,122,101,111,102,40,111,108,100,95,114,101,112,45,62,101,108,101,109,101,110,116,115,91,48,93,41,41,58,32,0,82,101,113,117,101,115,116,101,100,32,115,105,122,101,32,105,115,32,116,111,111,32,108,97,114,103,101,32,116,111,32,102,105,116,32,105,110,116,111,32,115,105,122,101,95,116,46,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,52,70,97,116,97,108,69,120,99,101,112,116,105,111,110,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,55,67,108,111,115,117,114,101,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,49,54,70,117,110,99,116,105,111,110,67,108,111,115,117,114,101,48,69,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,115,116,117,98,115,47,99,111,109,109,111,110,46,99,99,0,84,104,105,115,32,112,114,111,103,114,97,109,32,114,101,113,117,105,114,101,115,32,118,101,114,115,105,111,110,32,0,37,100,46,37,100,46,37,100,0,32,111,102,32,116,104,101,32,80,114,111,116,111,99,111,108,32,66,117,102,102,101,114,32,114,117,110,116,105,109,101,32,108,105,98,114,97,114,121,44,32,98,117,116,32,116,104,101,32,105,110,115,116,97,108,108,101,100,32,118,101,114,115,105,111,110,32,105,115,32,0,46,32,32,80,108,101,97,115,101,32,117,112,100,97,116,101,32,121,111,117,114,32,108,105,98,114,97,114,121,46,32,32,73,102,32,121,111,117,32,99,111,109,112,105,108,101,100,32,116,104,101,32,112,114,111,103,114,97,109,32,121,111,117,114,115,101,108,102,44,32,109,97,107,101,32,115,117,114,101,32,116,104,97,116,32,121,111,117,114,32,104,101,97,100,101,114,115,32,97,114,101,32,102,114,111,109,32,116,104,101,32,115,97,109,101,32,118,101,114,115,105,111,110,32,111,102,32,80,114,111,116,111,99,111,108,32,66,117,102,102,101,114,115,32,97,115,32,121,111,117,114,32,108,105,110,107,45,116,105,109,101,32,108,105,98,114,97,114,121,46,32,32,40,86,101,114,115,105,111,110,32,118,101,114,105,102,105,99,97,116,105,111,110,32,102,97,105,108,101,100,32,105,110,32,34,0,34,46,41,0,84,104,105,115,32,112,114,111,103,114,97,109,32,119,97,115,32,99,111,109,112,105,108,101,100,32,97,103,97,105,110,115,116,32,118,101,114,115,105,111,110,32,0,32,111,102,32,116,104,101,32,80,114,111,116,111,99,111,108,32,66,117,102,102,101,114,32,114,117,110,116,105,109,101,32,108,105,98,114,97,114,121,44,32,119,104,105,99,104,32,105,115,32,110,111,116,32,99,111,109,112,97,116,105,98,108,101,32,119,105,116,104,32,116,104,101,32,105,110,115,116,97,108,108,101,100,32,118,101,114,115,105,111,110,32,40,0,41,46,32,32,67,111,110,116,97,99,116,32,116,104,101,32,112,114,111,103,114,97,109,32,97,117,116,104,111,114,32,102,111,114,32,97,110,32,117,112,100,97,116,101,46,32,32,73,102,32,121,111,117,32,99,111,109,112,105,108,101,100,32,116,104,101,32,112,114,111,103,114,97,109,32,121,111,117,114,115,101,108,102,44,32,109,97,107,101,32,115,117,114,101,32,116,104,97,116,32,121,111,117,114,32,104,101,97,100,101,114,115,32,97,114,101,32,102,114,111,109,32,116,104,101,32,115,97,109,101,32,118,101,114,115,105,111,110,32,111,102,32,80,114,111,116,111,99,111,108,32,66,117,102,102,101,114,115,32,97,115,32,121,111,117,114,32,108,105,110,107,45,116,105,109,101,32,108,105,98,114,97,114,121,46,32,32,40,86,101,114,115,105,111,110,32,118,101,114,105,102,105,99,97,116,105,111,110,32,102,97,105,108,101,100,32,105,110,32,34,0,91,108,105,98,112,114,111,116,111,98,117,102,32,37,115,32,37,115,58,37,100,93,32,37,115,10,0,73,78,70,79,0,87,65,82,78,73,78,71,0,70,65,84,65,76,0,112,116,104,114,101,97,100,95,109,117,116,101,120,95,117,110,108,111,99,107,58,32,0,112,116,104,114,101,97,100,95,109,117,116,101,120,95,108,111,99,107,58,32,0,37,117,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,49,50,70,105,101,108,100,83,107,105,112,112,101,114,69,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,119,105,114,101,95,102,111,114,109,97,116,95,108,105,116,101,46,99,99,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,118,97,108,117,101,46,115,105,122,101,40,41,41,32,60,61,32,40,107,105,110,116,51,50,109,97,120,41,58,32,0,115,101,114,105,97,108,105,122,105,110,103,0,112,97,114,115,105,110,103,0,32,39,37,115,39,0,83,116,114,105,110,103,32,102,105,101,108,100,0,32,99,111,110,116,97,105,110,115,32,105,110,118,97,108,105,100,32,0,85,84,70,45,56,32,100,97,116,97,32,119,104,101,110,32,0,32,97,32,112,114,111,116,111,99,111,108,32,0,98,117,102,102,101,114,46,32,85,115,101,32,116,104,101,32,39,98,121,116,101,115,39,32,116,121,112,101,32,105,102,32,121,111,117,32,105,110,116,101,110,100,32,116,111,32,115,101,110,100,32,114,97,119,32,0,98,121,116,101,115,46,32,0,69,82,82,79,82,0,105,110,116,54,52,0,117,105,110,116,54,52,0,105,110,116,51,50,0,102,105,120,101,100,54,52,0,102,105,120,101,100,51,50,0,115,116,114,105,110,103,0,103,114,111,117,112,0,109,101,115,115,97,103,101,0,98,121,116,101,115,0,117,105,110,116,51,50,0,101,110,117,109,0,115,102,105,120,101,100,51,50,0,115,102,105,120,101,100,54,52,0,115,105,110,116,51,50,0,115,105,110,116,54,52,0,111,112,116,105,111,110,97,108,0,114,101,113,117,105,114,101,100,0,114,101,112,101,97,116,101,100,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,100,101,115,99,114,105,112,116,111,114,46,99,99,0,117,110,107,110,111,119,110,0,112,114,111,116,111,51,0,112,114,111,116,111,50,0,77,105,115,115,105,110,103,32,102,105,101,108,100,58,32,70,105,108,101,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,46,110,97,109,101,46,0,85,110,114,101,99,111,103,110,105,122,101,100,32,115,121,110,116,97,120,58,32,0,65,32,102,105,108,101,32,119,105,116,104,32,116,104,105,115,32,110,97,109,101,32,105,115,32,97,108,114,101,97,100,121,32,105,110,32,116,104,101,32,112,111,111,108,46,0,73,110,118,97,108,105,100,32,112,117,98,108,105,99,32,100,101,112,101,110,100,101,110,99,121,32,105,110,100,101,120,46,0,73,110,118,97,108,105,100,32,119,101,97,107,32,100,101,112,101,110,100,101,110,99,121,32,105,110,100,101,120,46,0,46,100,117,109,109,121,0,117,110,105,110,116,101,114,112,114,101,116,101,100,95,111,112,116,105,111,110,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,117,110,105,110,116,101,114,112,114,101,116,101,100,95,111,112,116,105,111,110,115,95,102,105,101,108,100,32,33,61,32,78,85,76,76,58,32,0,78,111,32,102,105,101,108,100,32,110,97,109,101,100,32,34,117,110,105,110,116,101,114,112,114,101,116,101,100,95,111,112,116,105,111,110,34,32,105,110,32,116,104,101,32,79,112,116,105,111,110,115,32,112,114,111,116,111,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,111,114,105,103,105,110,97,108,95,117,110,105,110,116,101,114,112,114,101,116,101,100,95,111,112,116,105,111,110,115,95,102,105,101,108,100,32,33,61,32,78,85,76,76,58,32,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,111,112,116,105,111,110,115,45,62,65,112,112,101,110,100,80,97,114,116,105,97,108,84,111,83,116,114,105,110,103,40,38,98,117,102,41,58,32,0,80,114,111,116,111,99,111,108,32,109,101,115,115,97,103,101,32,99,111,117,108,100,32,110,111,116,32,98,101,32,115,101,114,105,97,108,105,122,101,100,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,111,112,116,105,111,110,115,45,62,80,97,114,115,101,80,97,114,116,105,97,108,70,114,111,109,83,116,114,105,110,103,40,98,117,102,41,58,32,0,80,114,111,116,111,99,111,108,32,109,101,115,115,97,103,101,32,115,101,114,105,97,108,105,122,101,100,32,105,116,115,101,108,102,32,105,110,32,105,110,118,97,108,105,100,32,102,97,115,104,105,111,110,46,0,79,112,116,105,111,110,115,32,99,111,117,108,100,32,110,111,116,32,98,101,32,102,117,108,108,121,32,112,97,114,115,101,100,32,117,115,105,110,103,32,116,104,101,32,112,114,111,116,111,32,100,101,115,99,114,105,112,116,111,114,115,32,99,111,109,112,105,108,101,100,32,105,110,116,111,32,116,104,105,115,32,98,105,110,97,114,121,46,32,77,105,115,115,105,110,103,32,114,101,113,117,105,114,101,100,32,102,105,101,108,100,115,58,32,0,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,77,101,115,115,97,103,101,79,112,116,105,111,110,115,0,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,70,105,108,101,79,112,116,105,111,110,115,0,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,70,105,101,108,100,79,112,116,105,111,110,115,0,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,69,110,117,109,79,112,116,105,111,110,115,0,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,69,110,117,109,86,97,108,117,101,79,112,116,105,111,110,115,0,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,83,101,114,118,105,99,101,79,112,116,105,111,110,115,0,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,77,101,116,104,111,100,79,112,116,105,111,110,115,0,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,83,116,114,101,97,109,79,112,116,105,111,110,115,0,73,109,112,111,114,116,32,0,32,98,117,116,32,110,111,116,32,117,115,101,100,46,0,69,120,112,97,110,100,101,100,32,109,97,112,32,101,110,116,114,121,32,116,121,112,101,32,0,32,99,111,110,102,108,105,99,116,115,32,119,105,116,104,32,97,110,32,101,120,105,115,116,105,110,103,32,110,101,115,116,101,100,32,109,101,115,115,97,103,101,32,116,121,112,101,46,0,32,99,111,110,102,108,105,99,116,115,32,119,105,116,104,32,97,110,32,101,120,105,115,116,105,110,103,32,102,105,101,108,100,46,0,32,99,111,110,102,108,105,99,116,115,32,119,105,116,104,32,97,110,32,101,120,105,115,116,105,110,103,32,101,110,117,109,32,116,121,112,101,46,0,32,99,111,110,102,108,105,99,116,115,32,119,105,116,104,32,97,110,32,101,120,105,115,116,105,110,103,32,111,110,101,111,102,32,116,121,112,101,46,0,70,105,108,101,115,32,119,105,116,104,32,111,112,116,105,109,105,122,101,95,102,111,114,32,61,32,76,73,84,69,95,82,85,78,84,73,77,69,32,99,97,110,110,111,116,32,100,101,102,105,110,101,32,115,101,114,118,105,99,101,115,32,117,110,108,101,115,115,32,121,111,117,32,115,101,116,32,98,111,116,104,32,111,112,116,105,111,110,115,32,99,99,95,103,101,110,101,114,105,99,95,115,101,114,118,105,99,101,115,32,97,110,100,32,106,97,118,97,95,103,101,110,101,114,105,99,95,115,101,118,105,99,101,115,32,116,111,32,102,97,108,115,101,46,0,70,105,108,101,115,32,116,104,97,116,32,100,111,32,110,111,116,32,117,115,101,32,111,112,116,105,109,105,122,101,95,102,111,114,32,61,32,76,73,84,69,95,82,85,78,84,73,77,69,32,99,97,110,110,111,116,32,105,109,112,111,114,116,32,102,105,108,101,115,32,119,104,105,99,104,32,100,111,32,117,115,101,32,116,104,105,115,32,111,112,116,105,111,110,46,32,32,84,104,105,115,32,102,105,108,101,32,105,115,32,110,111,116,32,108,105,116,101,44,32,98,117,116,32,105,116,32,105,109,112,111,114,116,115,32,34,0,34,32,119,104,105,99,104,32,105,115,46,0,84,104,101,32,102,105,114,115,116,32,101,110,117,109,32,118,97,108,117,101,32,109,117,115,116,32,98,101,32,122,101,114,111,32,105,110,32,112,114,111,116,111,51,46,0,69,120,116,101,110,115,105,111,110,32,114,97,110,103,101,115,32,97,114,101,32,110,111,116,32,97,108,108,111,119,101,100,32,105,110,32,112,114,111,116,111,51,46,0,77,101,115,115,97,103,101,83,101,116,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,105,110,32,112,114,111,116,111,51,46,0,84,104,101,32,74,83,79,78,32,99,97,109,101,108,45,99,97,115,101,32,110,97,109,101,32,111,102,32,102,105,101,108,100,32,34,0,34,32,99,111,110,102,108,105,99,116,115,32,119,105,116,104,32,102,105,101,108,100,32,34,0,34,46,32,84,104,105,115,32,105,115,32,110,111,116,32,0,97,108,108,111,119,101,100,32,105,110,32,112,114,111,116,111,51,46,0,69,120,116,101,110,115,105,111,110,115,32,105,110,32,112,114,111,116,111,51,32,97,114,101,32,111,110,108,121,32,97,108,108,111,119,101,100,32,102,111,114,32,100,101,102,105,110,105,110,103,32,111,112,116,105,111,110,115,46,0,82,101,113,117,105,114,101,100,32,102,105,101,108,100,115,32,97,114,101,32,110,111,116,32,97,108,108,111,119,101,100,32,105,110,32,112,114,111,116,111,51,46,0,69,120,112,108,105,99,105,116,32,100,101,102,97,117,108,116,32,118,97,108,117,101,115,32,97,114,101,32,110,111,116,32,97,108,108,111,119,101,100,32,105,110,32,112,114,111,116,111,51,46,0,69,110,117,109,32,116,121,112,101,32,34,0,34,32,105,115,32,110,111,116,32,97,32,112,114,111,116,111,51,32,101,110,117,109,44,32,98,117,116,32,105,115,32,117,115,101,100,32,105,110,32,34,0,34,32,119,104,105,99,104,32,105,115,32,97,32,112,114,111,116,111,51,32,109,101,115,115,97,103,101,32,116,121,112,101,46,0,71,114,111,117,112,115,32,97,114,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,105,110,32,112,114,111,116,111,51,32,115,121,110,116,97,120,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,102,105,108,101,40,41,45,62,102,105,110,105,115,104,101,100,95,98,117,105,108,100,105,110,103,95,32,61,61,32,116,114,117,101,58,32,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,101,110,117,109,95,116,121,112,101,95,45,62,118,97,108,117,101,95,99,111,117,110,116,40,41,58,32,0,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,0,112,114,111,116,111,0,50,46,0,70,105,108,101,79,112,116,105,111,110,115,0,77,101,115,115,97,103,101,79,112,116,105,111,110,115,0,70,105,101,108,100,79,112,116,105,111,110,115,0,69,110,117,109,79,112,116,105,111,110,115,0,69,110,117,109,86,97,108,117,101,79,112,116,105,111,110,115,0,83,101,114,118,105,99,101,79,112,116,105,111,110,115,0,77,101,116,104,111,100,79,112,116,105,111,110,115,0,79,110,101,111,102,79,112,116,105,111,110,115,0,91,108,97,122,121,32,61,32,116,114,117,101,93,32,99,97,110,32,111,110,108,121,32,98,101,32,115,112,101,99,105,102,105,101,100,32,102,111,114,32,115,117,98,109,101,115,115,97,103,101,32,102,105,101,108,100,115,46,0,91,112,97,99,107,101,100,32,61,32,116,114,117,101,93,32,99,97,110,32,111,110,108,121,32,98,101,32,115,112,101,99,105,102,105,101,100,32,102,111,114,32,114,101,112,101,97,116,101,100,32,112,114,105,109,105,116,105,118,101,32,102,105,101,108,100,115,46,0,77,101,115,115,97,103,101,83,101,116,115,32,99,97,110,110,111,116,32,104,97,118,101,32,102,105,101,108,100,115,44,32,111,110,108,121,32,101,120,116,101,110,115,105,111,110,115,46,0,69,120,116,101,110,115,105,111,110,115,32,116,111,32,110,111,110,45,108,105,116,101,32,116,121,112,101,115,32,99,97,110,32,111,110,108,121,32,98,101,32,100,101,99,108,97,114,101,100,32,105,110,32,110,111,110,45,108,105,116,101,32,102,105,108,101,115,46,32,32,78,111,116,101,32,116,104,97,116,32,121,111,117,32,99,97,110,110,111,116,32,101,120,116,101,110,100,32,97,32,110,111,110,45,108,105,116,101,32,116,121,112,101,32,116,111,32,99,111,110,116,97,105,110,32,97,32,108,105,116,101,32,116,121,112,101,44,32,98,117,116,32,116,104,101,32,114,101,118,101,114,115,101,32,105,115,32,97,108,108,111,119,101,100,46,0,109,97,112,95,101,110,116,114,121,32,115,104,111,117,108,100,32,110,111,116,32,98,101,32,115,101,116,32,101,120,112,108,105,99,105,116,108,121,46,32,85,115,101,32,109,97,112,60,75,101,121,84,121,112,101,44,32,86,97,108,117,101,84,121,112,101,62,32,105,110,115,116,101,97,100,46,0,73,108,108,101,103,97,108,32,106,115,116,121,112,101,32,102,111,114,32,105,110,116,54,52,44,32,117,105,110,116,54,52,44,32,115,105,110,116,54,52,44,32,102,105,120,101,100,54,52,32,111,114,32,115,102,105,120,101,100,54,52,32,102,105,101,108,100,58,32,0,106,115,116,121,112,101,32,105,115,32,111,110,108,121,32,97,108,108,111,119,101,100,32,111,110,32,105,110,116,54,52,44,32,117,105,110,116,54,52,44,32,115,105,110,116,54,52,44,32,102,105,120,101,100,54,52,32,111,114,32,115,102,105,120,101,100,54,52,32,102,105,101,108,100,115,46,0,69,110,116,114,121,0,75,101,121,32,105,110,32,109,97,112,32,102,105,101,108,100,115,32,99,97,110,110,111,116,32,98,101,32,101,110,117,109,32,116,121,112,101,115,46,0,75,101,121,32,105,110,32,109,97,112,32,102,105,101,108,100,115,32,99,97,110,110,111,116,32,98,101,32,102,108,111,97,116,47,100,111,117,98,108,101,44,32,98,121,116,101,115,32,111,114,32,109,101,115,115,97,103,101,32,116,121,112,101,115,46,0,69,110,117,109,32,118,97,108,117,101,32,105,110,32,109,97,112,32,109,117,115,116,32,100,101,102,105,110,101,32,48,32,97,115,32,116,104,101,32,102,105,114,115,116,32,118,97,108,117,101,46,0,34,32,117,115,101,115,32,116,104,101,32,115,97,109,101,32,101,110,117,109,32,118,97,108,117,101,32,97,115,32,34,0,34,46,32,73,102,32,116,104,105,115,32,105,115,32,105,110,116,101,110,100,101,100,44,32,115,101,116,32,39,111,112,116,105,111,110,32,97,108,108,111,119,95,97,108,105,97,115,32,61,32,116,114,117,101,59,39,32,116,111,32,116,104,101,32,101,110,117,109,32,100,101,102,105,110,105,116,105,111,110,46,0,69,120,116,101,110,115,105,111,110,32,110,117,109,98,101,114,115,32,99,97,110,110,111,116,32,98,101,32,103,114,101,97,116,101,114,32,116,104,97,110,32,36,48,46,0,79,112,116,105,111,110,32,109,117,115,116,32,104,97,118,101,32,97,32,110,97,109,101,46,0,79,112,116,105,111,110,32,109,117,115,116,32,110,111,116,32,117,115,101,32,114,101,115,101,114,118,101,100,32,110,97,109,101,32,34,117,110,105,110,116,101,114,112,114,101,116,101,100,95,111,112,116,105,111,110,34,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,111,112,116,105,111,110,115,95,100,101,115,99,114,105,112,116,111,114,58,32,0,79,112,116,105,111,110,32,34,0,34,32,105,115,32,114,101,115,111,108,118,101,100,32,116,111,32,34,40,0,41,34,44,32,119,104,105,99,104,32,105,115,32,110,111,116,32,100,101,102,105,110,101,100,46,32,84,104,101,32,105,110,110,101,114,109,111,115,116,32,115,99,111,112,101,32,105,115,32,115,101,97,114,99,104,101,100,32,102,105,114,115,116,32,105,110,32,110,97,109,101,32,114,101,115,111,108,117,116,105,111,110,46,32,67,111,110,115,105,100,101,114,32,117,115,105,110,103,32,97,32,108,101,97,100,105,110,103,32,39,46,39,40,105,46,101,46,44,32,34,40,46,0,34,41,32,116,111,32,115,116,97,114,116,32,102,114,111,109,32,116,104,101,32,111,117,116,101,114,109,111,115,116,32,115,99,111,112,101,46,0,34,32,117,110,107,110,111,119,110,46,0,79,112,116,105,111,110,32,102,105,101,108,100,32,34,0,34,32,105,115,32,110,111,116,32,97,32,102,105,101,108,100,32,111,114,32,101,120,116,101,110,115,105,111,110,32,111,102,32,109,101,115,115,97,103,101,32,34,0,34,32,105,115,32,97,110,32,97,116,111,109,105,99,32,116,121,112,101,44,32,110,111,116,32,97,32,109,101,115,115,97,103,101,46,0,34,32,105,115,32,97,32,114,101,112,101,97,116,101,100,32,109,101,115,115,97,103,101,46,32,82,101,112,101,97,116,101,100,32,109,101,115,115,97,103,101,32,111,112,116,105,111,110,115,32,109,117,115,116,32,98,101,32,105,110,105,116,105,97,108,105,122,101,100,32,117,115,105,110,103,32,97,110,32,97,103,103,114,101,103,97,116,101,32,118,97,108,117,101,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,33,111,117,116,46,72,97,100,69,114,114,111,114,40,41,58,32,0,85,110,101,120,112,101,99,116,101,100,32,102,97,105,108,117,114,101,32,119,104,105,108,101,32,115,101,114,105,97,108,105,122,105,110,103,32,111,112,116,105,111,110,32,115,117,98,109,101,115,115,97,103,101,32,0,73,110,118,97,108,105,100,32,119,105,114,101,32,116,121,112,101,32,102,111,114,32,67,80,80,84,89,80,69,95,77,69,83,83,65,71,69,58,32,0,86,97,108,117,101,32,111,117,116,32,111,102,32,114,97,110,103,101,32,102,111,114,32,105,110,116,51,50,32,111,112,116,105,111,110,32,34,0,86,97,108,117,101,32,109,117,115,116,32,98,101,32,105,110,116,101,103,101,114,32,102,111,114,32,105,110,116,51,50,32,111,112,116,105,111,110,32,34,0,86,97,108,117,101,32,111,117,116,32,111,102,32,114,97,110,103,101,32,102,111,114,32,105,110,116,54,52,32,111,112,116,105,111,110,32,34,0,86,97,108,117,101,32,109,117,115,116,32,98,101,32,105,110,116,101,103,101,114,32,102,111,114,32,105,110,116,54,52,32,111,112,116,105,111,110,32,34,0,86,97,108,117,101,32,111,117,116,32,111,102,32,114,97,110,103,101,32,102,111,114,32,117,105,110,116,51,50,32,111,112,116,105,111,110,32,34,0,86,97,108,117,101,32,109,117,115,116,32,98,101,32,110,111,110,45,110,101,103,97,116,105,118,101,32,105,110,116,101,103,101,114,32,102,111,114,32,117,105,110,116,51,50,32,111,112,116,105,111,110,32,34,0,86,97,108,117,101,32,109,117,115,116,32,98,101,32,110,111,110,45,110,101,103,97,116,105,118,101,32,105,110,116,101,103,101,114,32,102,111,114,32,117,105,110,116,54,52,32,111,112,116,105,111,110,32,34,0,86,97,108,117,101,32,109,117,115,116,32,98,101,32,110,117,109,98,101,114,32,102,111,114,32,102,108,111,97,116,32,111,112,116,105,111,110,32,34,0,86,97,108,117,101,32,109,117,115,116,32,98,101,32,110,117,109,98,101,114,32,102,111,114,32,100,111,117,98,108,101,32,111,112,116,105,111,110,32,34,0,86,97,108,117,101,32,109,117,115,116,32,98,101,32,105,100,101,110,116,105,102,105,101,114,32,102,111,114,32,98,111,111,108,101,97,110,32,111,112,116,105,111,110,32,34,0,86,97,108,117,101,32,109,117,115,116,32,98,101,32,34,116,114,117,101,34,32,111,114,32,34,102,97,108,115,101,34,32,102,111,114,32,98,111,111,108,101,97,110,32,111,112,116,105,111,110,32,34,0,86,97,108,117,101,32,109,117,115,116,32,98,101,32,105,100,101,110,116,105,102,105,101,114,32,102,111,114,32,101,110,117,109,45,118,97,108,117,101,100,32,111,112,116,105,111,110,32,34,0,34,32,104,97,115,32,110,111,32,118,97,108,117,101,32,110,97,109,101,100,32,34,0,34,32,102,111,114,32,111,112,116,105,111,110,32,34,0,34,46,32,84,104,105,115,32,97,112,112,101,97,114,115,32,116,111,32,98,101,32,97,32,118,97,108,117,101,32,102,114,111,109,32,97,32,115,105,98,108,105,110,103,32,116,121,112,101,46,0,86,97,108,117,101,32,109,117,115,116,32,98,101,32,113,117,111,116,101,100,32,115,116,114,105,110,103,32,102,111,114,32,115,116,114,105,110,103,32,111,112,116,105,111,110,32,34,0,34,32,105,115,32,97,32,109,101,115,115,97,103,101,46,32,84,111,32,115,101,116,32,116,104,101,32,101,110,116,105,114,101,32,109,101,115,115,97,103,101,44,32,117,115,101,32,115,121,110,116,97,120,32,108,105,107,101,32,34,0,32,61,32,123,32,60,112,114,111,116,111,32,116,101,120,116,32,102,111,114,109,97,116,62,32,125,34,46,32,84,111,32,115,101,116,32,102,105,101,108,100,115,32,119,105,116,104,105,110,32,105,116,44,32,117,115,101,32,115,121,110,116,97,120,32,108,105,107,101,32,34,0,46,102,111,111,32,61,32,118,97,108,117,101,34,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,100,121,110,97,109,105,99,46,103,101,116,40,41,32,33,61,32,78,85,76,76,58,32,0,67,111,117,108,100,32,110,111,116,32,99,114,101,97,116,101,32,97,110,32,105,110,115,116,97,110,99,101,32,111,102,32,0,69,114,114,111,114,32,119,104,105,108,101,32,112,97,114,115,105,110,103,32,111,112,116,105,111,110,32,118,97,108,117,101,32,102,111,114,32,34,0,34,58,32,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,111,112,116,105,111,110,95,102,105,101,108,100,45,62,116,121,112,101,40,41,41,32,61,61,32,40,70,105,101,108,100,68,101,115,99,114,105,112,116,111,114,58,58,84,89,80,69,95,71,82,79,85,80,41,58,32,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,55,68,101,115,99,114,105,112,116,111,114,66,117,105,108,100,101,114,49,55,79,112,116,105,111,110,73,110,116,101,114,112,114,101,116,101,114,50,49,65,103,103,114,101,103,97,116,101,79,112,116,105,111,110,70,105,110,100,101,114,69,0,59,32,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,50,95,71,76,79,66,65,76,95,95,78,95,49,50,51,65,103,103,114,101,103,97,116,101,69,114,114,111,114,67,111,108,108,101,99,116,111,114,69,0,101,120,116,101,110,100,32,46,36,48,32,123,10,0,109,97,112,60,36,48,44,32,36,49,62,0,36,48,36,49,36,50,32,36,51,32,61,32,36,52,0,32,91,100,101,102,97,117,108,116,32,61,32,36,48,0,106,115,111,110,95,110,97,109,101,32,61,32,34,0,32,123,32,46,46,46,32,125,59,10,0,59,10,0,36,48,47,47,32,36,49,10,0,36,48,109,101,115,115,97,103,101,32,36,49,0,36,48,32,32,101,120,116,101,110,115,105,111,110,115,32,36,49,32,116,111,32,36,50,59,10,0,36,48,32,32,125,10,0,36,48,32,32,101,120,116,101,110,100,32,46,36,49,32,123,10,0,36,48,32,32,114,101,115,101,114,118,101,100,32,0,36,48,44,32,0,36,48,32,116,111,32,36,49,44,32,0,34,36,48,34,44,32,0,36,48,125,10,0,36,48,111,110,101,111,102,32,36,49,32,123,0,32,46,46,46,32,125,10,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,115,116,117,98,115,47,108,111,103,103,105,110,103,46,104,0,39,111,117,116,95,108,111,99,97,116,105,111,110,39,32,109,117,115,116,32,110,111,116,32,98,101,32,78,85,76,76,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,49,54,70,117,110,99,116,105,111,110,67,108,111,115,117,114,101,49,73,80,78,83,116,51,95,95,50,52,112,97,105,114,73,80,75,78,83,48,95,50,48,70,105,108,101,68,101,115,99,114,105,112,116,111,114,84,97,98,108,101,115,69,80,75,78,83,48,95,49,52,83,111,117,114,99,101,67,111,100,101,73,110,102,111,69,69,69,69,69,0,36,48,101,110,117,109,32,36,49,32,123,10,0,36,48,36,49,32,61,32,36,50,0,32,91,36,48,93,0,36,48,111,112,116,105,111,110,32,36,49,59,10,0,70,111,117,110,100,32,105,110,118,97,108,105,100,32,112,114,111,116,111,32,111,112,116,105,111,110,32,100,97,116,97,32,102,111,114,58,32,0,123,10,0,40,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,104,97,115,95,100,101,102,97,117,108,116,95,118,97,108,117,101,40,41,58,32,0,78,111,32,100,101,102,97,117,108,116,32,118,97,108,117,101,0,77,101,115,115,97,103,101,115,32,99,97,110,39,116,32,104,97,118,101,32,100,101,102,97,117,108,116,32,118,97,108,117,101,115,33,0,67,97,110,39,116,32,103,101,116,32,104,101,114,101,58,32,102,97,105,108,101,100,32,116,111,32,103,101,116,32,100,101,102,97,117,108,116,32,118,97,108,117,101,32,97,115,32,115,116,114,105,110,103,0,73,110,118,97,108,105,100,32,119,105,114,101,32,116,121,112,101,32,102,111,114,32,67,80,80,84,89,80,69,95,85,73,78,84,54,52,58,32,0,73,110,118,97,108,105,100,32,119,105,114,101,32,116,121,112,101,32,102,111,114,32,67,80,80,84,89,80,69,95,85,73,78,84,51,50,58,32,0,73,110,118,97,108,105,100,32,119,105,114,101,32,116,121,112,101,32,102,111,114,32,67,80,80,84,89,80,69,95,73,78,84,54,52,58,32,0,73,110,118,97,108,105,100,32,119,105,114,101,32,116,121,112,101,32,102,111,114,32,67,80,80,84,89,80,69,95,73,78,84,51,50,58,32,0,34,32,119,97,115,32,97,108,114,101,97,100,121,32,115,101,116,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,102,105,101,108,100,32,33,61,32,78,85,76,76,58,32,0,46,112,108,97,99,101,104,111,108,100,101,114,46,112,114,111,116,111,0,80,76,65,67,69,72,79,76,68,69,82,95,86,65,76,85,69,0,46,80,76,65,67,69,72,79,76,68,69,82,95,86,65,76,85,69,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,98,117,105,108,100,101,114,95,58,32,0,34,32,105,115,32,110,111,116,32,97,32,109,101,115,115,97,103,101,32,116,121,112,101,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,33,110,97,109,101,95,58,32,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,33,111,110,99,101,95,58,32,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,33,102,105,108,101,95,58,32,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,33,100,101,115,99,114,105,112,116,111,114,95,58,32,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,102,105,108,101,32,38,38,32,102,105,108,101,45,62,112,111,111,108,95,58,32,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,102,105,108,101,45,62,112,111,111,108,95,45,62,108,97,122,105,108,121,95,98,117,105,108,100,95,100,101,112,101,110,100,101,110,99,105,101,115,95,58,32,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,33,102,105,108,101,45,62,102,105,110,105,115,104,101,100,95,98,117,105,108,100,105,110,103,95,58,32,0,34,32,105,115,32,110,111,116,32,100,101,102,105,110,101,100,46,0,34,32,115,101,101,109,115,32,116,111,32,98,101,32,100,101,102,105,110,101,100,32,105,110,32,34,0,34,44,32,119,104,105,99,104,32,105,115,32,110,111,116,32,105,109,112,111,114,116,101,100,32,98,121,32,34,0,34,46,32,32,84,111,32,117,115,101,32,105,116,32,104,101,114,101,44,32,112,108,101,97,115,101,32,97,100,100,32,116,104,101,32,110,101,99,101,115,115,97,114,121,32,105,109,112,111,114,116,46,0,34,32,105,115,32,114,101,115,111,108,118,101,100,32,116,111,32,34,0,34,44,32,119,104,105,99,104,32,105,115,32,110,111,116,32,100,101,102,105,110,101,100,46,32,84,104,101,32,105,110,110,101,114,109,111,115,116,32,115,99,111,112,101,32,105,115,32,115,101,97,114,99,104,101,100,32,102,105,114,115,116,32,105,110,32,110,97,109,101,32,114,101,115,111,108,117,116,105,111,110,46,32,67,111,110,115,105,100,101,114,32,117,115,105,110,103,32,97,32,108,101,97,100,105,110,103,32,39,46,39,40,105,46,101,46,44,32,34,46,0,34,36,48,34,32,100,111,101,115,32,110,111,116,32,100,101,99,108,97,114,101,32,36,49,32,97,115,32,97,110,32,101,120,116,101,110,115,105,111,110,32,110,117,109,98,101,114,46,0,70,105,101,108,100,115,32,111,102,32,111,110,101,111,102,115,32,109,117,115,116,32,116,104,101,109,115,101,108,118,101,115,32,104,97,118,101,32,108,97,98,101,108,32,76,65,66,69,76,95,79,80,84,73,79,78,65,76,46,0,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,69,109,112,116,121,0,34,32,105,115,32,110,111,116,32,97,32,116,121,112,101,46,0,77,101,115,115,97,103,101,115,32,99,97,110,39,116,32,104,97,118,101,32,100,101,102,97,117,108,116,32,118,97,108,117,101,115,46,0,34,32,105,115,32,110,111,116,32,97,110,32,101,110,117,109,32,116,121,112,101,46,0,68,101,102,97,117,108,116,32,118,97,108,117,101,32,102,111,114,32,97,110,32,101,110,117,109,32,102,105,101,108,100,32,109,117,115,116,32,98,101,32,97,110,32,105,100,101,110,116,105,102,105,101,114,46,0,70,105,101,108,100,32,119,105,116,104,32,112,114,105,109,105,116,105,118,101,32,116,121,112,101,32,104,97,115,32,116,121,112,101,95,110,97,109,101,46,0,70,105,101,108,100,32,119,105,116,104,32,109,101,115,115,97,103,101,32,111,114,32,101,110,117,109,32,116,121,112,101,32,109,105,115,115,105,110,103,32,116,121,112,101,95,110,97,109,101,46,0,69,120,116,101,110,115,105,111,110,32,110,117,109,98,101,114,32,36,48,32,104,97,115,32,97,108,114,101,97,100,121,32,98,101,101,110,32,117,115,101,100,32,105,110,32,34,36,49,34,32,98,121,32,101,120,116,101,110,115,105,111,110,32,34,36,50,34,46,0,70,105,101,108,100,32,110,117,109,98,101,114,32,36,48,32,104,97,115,32,97,108,114,101,97,100,121,32,98,101,101,110,32,117,115,101,100,32,105,110,32,34,36,49,34,32,98,121,32,102,105,101,108,100,32,34,36,50,34,46,0,69,120,116,101,110,115,105,111,110,32,110,117,109,98,101,114,32,36,48,32,104,97,115,32,97,108,114,101,97,100,121,32,98,101,101,110,32,117,115,101,100,32,105,110,32,34,36,49,34,32,98,121,32,101,120,116,101,110,115,105,111,110,32,34,36,50,34,32,100,101,102,105,110,101,100,32,105,110,32,36,51,46,0,70,105,101,108,100,115,32,105,110,32,116,104,101,32,115,97,109,101,32,111,110,101,111,102,32,109,117,115,116,32,98,101,32,100,101,102,105,110,101,100,32,99,111,110,115,101,99,117,116,105,118,101,108,121,46,32,34,36,48,34,32,99,97,110,110,111,116,32,98,101,32,100,101,102,105,110,101,100,32,98,101,102,111,114,101,32,116,104,101,32,99,111,109,112,108,101,116,105,111,110,32,111,102,32,116,104,101,32,34,36,49,34,32,111,110,101,111,102,32,100,101,102,105,110,105,116,105,111,110,46,0,79,110,101,111,102,32,109,117,115,116,32,104,97,118,101,32,97,116,32,108,101,97,115,116,32,111,110,101,32,102,105,101,108,100,46,0,77,101,115,115,97,103,101,32,101,120,116,101,110,115,105,111,110,115,32,99,97,110,110,111,116,32,104,97,118,101,32,114,101,113,117,105,114,101,100,32,102,105,101,108,100,115,46,0,82,101,112,101,97,116,101,100,32,102,105,101,108,100,115,32,99,97,110,39,116,32,104,97,118,101,32,100,101,102,97,117,108,116,32,118,97,108,117,101,115,46,0,66,111,111,108,101,97,110,32,100,101,102,97,117,108,116,32,109,117,115,116,32,98,101,32,116,114,117,101,32,111,114,32,102,97,108,115,101,46,0,67,111,117,108,100,110,39,116,32,112,97,114,115,101,32,100,101,102,97,117,108,116,32,118,97,108,117,101,32,34,0,70,105,101,108,100,32,110,117,109,98,101,114,115,32,109,117,115,116,32,98,101,32,112,111,115,105,116,105,118,101,32,105,110,116,101,103,101,114,115,46,0,70,105,101,108,100,32,110,117,109,98,101,114,115,32,99,97,110,110,111,116,32,98,101,32,103,114,101,97,116,101,114,32,116,104,97,110,32,36,48,46,0,70,105,101,108,100,32,110,117,109,98,101,114,115,32,36,48,32,116,104,114,111,117,103,104,32,36,49,32,97,114,101,32,114,101,115,101,114,118,101,100,32,102,111,114,32,116,104,101,32,112,114,111,116,111,99,111,108,32,98,117,102,102,101,114,32,108,105,98,114,97,114,121,32,105,109,112,108,101,109,101,110,116,97,116,105,111,110,46,0,70,105,101,108,100,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,46,101,120,116,101,110,100,101,101,32,110,111,116,32,115,101,116,32,102,111,114,32,101,120,116,101,110,115,105,111,110,32,102,105,101,108,100,46,0,70,105,101,108,100,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,46,111,110,101,111,102,95,105,110,100,101,120,32,115,104,111,117,108,100,32,110,111,116,32,98,101,32,115,101,116,32,102,111,114,32,101,120,116,101,110,115,105,111,110,115,46,0,70,105,101,108,100,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,46,101,120,116,101,110,100,101,101,32,115,101,116,32,102,111,114,32,110,111,110,45,101,120,116,101,110,115,105,111,110,32,102,105,101,108,100,46,0,70,105,101,108,100,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,46,111,110,101,111,102,95,105,110,100,101,120,32,36,48,32,105,115,32,111,117,116,32,111,102,32,114,97,110,103,101,32,102,111,114,32,116,121,112,101,32,34,36,49,34,46,0,34,32,110,111,116,32,112,114,101,118,105,111,117,115,108,121,32,100,101,102,105,110,101,100,32,105,110,32,115,121,109,98,111,108,115,95,98,121,95,110,97,109,101,95,44,32,98,117,116,32,119,97,115,32,100,101,102,105,110,101,100,32,105,110,32,115,121,109,98,111,108,115,95,98,121,95,112,97,114,101,110,116,95,59,32],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+481284);allocate([116,104,105,115,32,115,104,111,117,108,100,110,39,116,32,98,101,32,112,111,115,115,105,98,108,101,46,0,34,32,105,115,32,97,108,114,101,97,100,121,32,100,101,102,105,110,101,100,46,0,34,32,105,115,32,97,108,114,101,97,100,121,32,100,101,102,105,110,101,100,32,105,110,32,34,0,34,32,105,115,32,97,108,114,101,97,100,121,32,100,101,102,105,110,101,100,32,105,110,32,102,105,108,101,32,34,0,77,105,115,115,105,110,103,32,110,97,109,101,46,0,34,32,105,115,32,110,111,116,32,97,32,118,97,108,105,100,32,105,100,101,110,116,105,102,105,101,114,46,0,69,110,117,109,115,32,109,117,115,116,32,99,111,110,116,97,105,110,32,97,116,32,108,101,97,115,116,32,111,110,101,32,118,97,108,117,101,46,0,82,101,115,101,114,118,101,100,32,114,97,110,103,101,32,101,110,100,32,110,117,109,98,101,114,32,109,117,115,116,32,98,101,32,103,114,101,97,116,101,114,32,116,104,97,110,32,115,116,97,114,116,32,110,117,109,98,101,114,46,0,82,101,115,101,114,118,101,100,32,114,97,110,103,101,32,36,48,32,116,111,32,36,49,32,111,118,101,114,108,97,112,115,32,119,105,116,104,32,97,108,114,101,97,100,121,45,100,101,102,105,110,101,100,32,114,97,110,103,101,32,36,50,32,116,111,32,36,51,46,0,69,110,117,109,32,118,97,108,117,101,32,34,36,48,34,32,105,115,32,114,101,115,101,114,118,101,100,32,109,117,108,116,105,112,108,101,32,116,105,109,101,115,46,0,69,110,117,109,32,118,97,108,117,101,32,34,36,48,34,32,117,115,101,115,32,114,101,115,101,114,118,101,100,32,110,117,109,98,101,114,32,36,49,46,0,69,110,117,109,32,118,97,108,117,101,32,34,36,48,34,32,105,115,32,114,101,115,101,114,118,101,100,46,0,87,104,101,110,32,101,110,117,109,32,110,97,109,101,32,105,115,32,115,116,114,105,112,112,101,100,32,97,110,100,32,108,97,98,101,108,32,105,115,32,80,97,115,99,97,108,67,97,115,101,100,32,40,0,41,44,32,116,104,105,115,32,118,97,108,117,101,32,108,97,98,101,108,32,99,111,110,102,108,105,99,116,115,32,119,105,116,104,32,0,46,32,84,104,105,115,32,119,105,108,108,32,109,97,107,101,32,116,104,101,32,112,114,111,116,111,32,102,97,105,108,32,116,111,32,99,111,109,112,105,108,101,32,102,111,114,32,115,111,109,101,32,108,97,110,103,117,97,103,101,115,44,32,115,117,99,104,32,97,115,32,67,35,46,0,116,104,101,32,103,108,111,98,97,108,32,115,99,111,112,101,0,78,111,116,101,32,116,104,97,116,32,101,110,117,109,32,118,97,108,117,101,115,32,117,115,101,32,67,43,43,32,115,99,111,112,105,110,103,32,114,117,108,101,115,44,32,109,101,97,110,105,110,103,32,116,104,97,116,32,101,110,117,109,32,118,97,108,117,101,115,32,97,114,101,32,115,105,98,108,105,110,103,115,32,111,102,32,116,104,101,105,114,32,116,121,112,101,44,32,110,111,116,32,99,104,105,108,100,114,101,110,32,111,102,32,105,116,46,32,32,84,104,101,114,101,102,111,114,101,44,32,34,0,34,32,109,117,115,116,32,98,101,32,117,110,105,113,117,101,32,119,105,116,104,105,110,32,0,44,32,110,111,116,32,106,117,115,116,32,119,105,116,104,105,110,32,34,0,69,120,116,101,110,115,105,111,110,32,110,117,109,98,101,114,115,32,109,117,115,116,32,98,101,32,112,111,115,105,116,105,118,101,32,105,110,116,101,103,101,114,115,46,0,69,120,116,101,110,115,105,111,110,32,114,97,110,103,101,32,101,110,100,32,110,117,109,98,101,114,32,109,117,115,116,32,98,101,32,103,114,101,97,116,101,114,32,116,104,97,110,32,115,116,97,114,116,32,110,117,109,98,101,114,46,0,82,101,115,101,114,118,101,100,32,110,117,109,98,101,114,115,32,109,117,115,116,32,98,101,32,112,111,115,105,116,105,118,101,32,105,110,116,101,103,101,114,115,46,0,70,105,101,108,100,32,110,97,109,101,32,34,36,48,34,32,105,115,32,114,101,115,101,114,118,101,100,32,109,117,108,116,105,112,108,101,32,116,105,109,101,115,46,0,69,120,116,101,110,115,105,111,110,32,114,97,110,103,101,32,36,48,32,116,111,32,36,49,32,105,110,99,108,117,100,101,115,32,102,105,101,108,100,32,34,36,50,34,32,40,36,51,41,46,0,70,105,101,108,100,32,34,36,48,34,32,117,115,101,115,32,114,101,115,101,114,118,101,100,32,110,117,109,98,101,114,32,36,49,46,0,70,105,101,108,100,32,110,97,109,101,32,34,36,48,34,32,105,115,32,114,101,115,101,114,118,101,100,46,0,69,120,116,101,110,115,105,111,110,32,114,97,110,103,101,32,36,48,32,116,111,32,36,49,32,111,118,101,114,108,97,112,115,32,119,105,116,104,32,114,101,115,101,114,118,101,100,32,114,97,110,103,101,32,36,50,32,116,111,32,36,51,46,0,69,120,116,101,110,115,105,111,110,32,114,97,110,103,101,32,36,48,32,116,111,32,36,49,32,111,118,101,114,108,97,112,115,32,119,105,116,104,32,97,108,114,101,97,100,121,45,100,101,102,105,110,101,100,32,114,97,110,103,101,32,36,50,32,116,111,32,36,51,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,102,105,110,105,115,104,101,100,95,98,117,105,108,100,105,110,103,95,32,61,61,32,116,114,117,101,58,32,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,49,54,70,117,110,99,116,105,111,110,67,108,111,115,117,114,101,49,73,80,75,78,83,48,95,49,52,70,105,108,101,68,101,115,99,114,105,112,116,111,114,69,69,69,0,73,109,112,111,114,116,32,34,0,34,32,104,97,115,32,110,111,116,32,98,101,101,110,32,108,111,97,100,101,100,46,0,34,32,119,97,115,32,110,111,116,32,102,111,117,110,100,32,111,114,32,104,97,100,32,101,114,114,111,114,115,46,0,34,32,119,97,115,32,108,105,115,116,101,100,32,116,119,105,99,101,46,0,34,32,105,115,32,97,108,114,101,97,100,121,32,100,101,102,105,110,101,100,32,40,97,115,32,115,111,109,101,116,104,105,110,103,32,111,116,104,101,114,32,116,104,97,110,32,97,32,112,97,99,107,97,103,101,41,32,105,110,32,102,105,108,101,32,34,0,73,110,118,97,108,105,100,32,112,114,111,116,111,32,100,101,115,99,114,105,112,116,111,114,32,102,111,114,32,102,105,108,101,32,34,0,34,58,0,32,32,0,70,105,108,101,32,114,101,99,117,114,115,105,118,101,108,121,32,105,109,112,111,114,116,115,32,105,116,115,101,108,102,58,32,0,32,45,62,32,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,102,105,108,101,95,45,62,102,105,110,105,115,104,101,100,95,98,117,105,108,100,105,110,103,95,58,32,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,49,54,70,117,110,99,116,105,111,110,67,108,111,115,117,114,101,49,73,80,78,83,49,95,49,52,76,97,122,121,68,101,115,99,114,105,112,116,111,114,69,69,69,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,103,101,110,101,114,97,116,101,100,95,100,97,116,97,98,97,115,101,95,45,62,65,100,100,40,101,110,99,111,100,101,100,95,102,105,108,101,95,100,101,115,99,114,105,112,116,111,114,44,32,115,105,122,101,41,58,32,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,49,54,70,117,110,99,116,105,111,110,67,108,111,115,117,114,101,49,73,80,75,78,83,48,95,50,48,70,105,108,101,68,101,115,99,114,105,112,116,111,114,84,97,98,108,101,115,69,69,69,0,85,78,75,78,79,87,78,95,69,78,85,77,95,86,65,76,85,69,95,37,115,95,37,100,0,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,100,101,115,99,114,105,112,116,111,114,46,112,114,111,116,111,0,10,32,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,100,101,115,99,114,105,112,116,111,114,46,112,114,111,116,111,18,15,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,34,71,10,17,70,105,108,101,68,101,115,99,114,105,112,116,111,114,83,101,116,18,50,10,4,102,105,108,101,24,1,32,3,40,11,50,36,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,70,105,108,101,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,34,219,3,10,19,70,105,108,101,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,15,10,7,112,97,99,107,97,103,101,24,2,32,1,40,9,18,18,10,10,100,101,112,101,110,100,101,110,99,121,24,3,32,3,40,9,18,25,10,17,112,117,98,108,105,99,95,100,101,112,101,110,100,101,110,99,121,24,10,32,3,40,5,18,23,10,15,119,101,97,107,95,100,101,112,101,110,100,101,110,99,121,24,11,32,3,40,5,18,54,10,12,109,101,115,115,97,103,101,95,116,121,112,101,24,4,32,3,40,11,50,32,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,55,10,9,101,110,117,109,95,116,121,112,101,24,5,32,3,40,11,50,36,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,69,110,117,109,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,56,10,7,115,101,114,118,105,99,101,24,6,32,3,40,11,50,39,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,83,101,114,118,105,99,101,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,56,10,9,101,120,116,101,110,115,105,111,110,24,7,32,3,40,11,50,37,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,70,105,101,108,100,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,45,10,7,111,112,116,105,111,110,115,24,8,32,1,40,11,50,28,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,70,105,108,101,79,112,116,105,111,110,115,18,57,10,16,115,111,117,114,99,101,95,99,111,100,101,95,105,110,102,111,24,9,32,1,40,11,50,31,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,83,111,117,114,99,101,67,111,100,101,73,110,102,111,18,14,10,6,115,121,110,116,97,120,24,12,32,1,40,9,34,169,5,10,15,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,52,10,5,102,105,101,108,100,24,2,32,3,40,11,50,37,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,70,105,101,108,100,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,56,10,9,101,120,116,101,110,115,105,111,110,24,6,32,3,40,11,50,37,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,70,105,101,108,100,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,53,10,11,110,101,115,116,101,100,95,116,121,112,101,24,3,32,3,40,11,50,32,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,55,10,9,101,110,117,109,95,116,121,112,101,24,4,32,3,40,11,50,36,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,69,110,117,109,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,72,10,15,101,120,116,101,110,115,105,111,110,95,114,97,110,103,101,24,5,32,3,40,11,50,47,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,46,69,120,116,101,110,115,105,111,110,82,97,110,103,101,18,57,10,10,111,110,101,111,102,95,100,101,99,108,24,8,32,3,40,11,50,37,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,79,110,101,111,102,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,48,10,7,111,112,116,105,111,110,115,24,7,32,1,40,11,50,31,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,77,101,115,115,97,103,101,79,112,116,105,111,110,115,18,70,10,14,114,101,115,101,114,118,101,100,95,114,97,110,103,101,24,9,32,3,40,11,50,46,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,46,82,101,115,101,114,118,101,100,82,97,110,103,101,18,21,10,13,114,101,115,101,114,118,101,100,95,110,97,109,101,24,10,32,3,40,9,26,101,10,14,69,120,116,101,110,115,105,111,110,82,97,110,103,101,18,13,10,5,115,116,97,114,116,24,1,32,1,40,5,18,11,10,3,101,110,100,24,2,32,1,40,5,18,55,10,7,111,112,116,105,111,110,115,24,3,32,1,40,11,50,38,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,69,120,116,101,110,115,105,111,110,82,97,110,103,101,79,112,116,105,111,110,115,26,43,10,13,82,101,115,101,114,118,101,100,82,97,110,103,101,18,13,10,5,115,116,97,114,116,24,1,32,1,40,5,18,11,10,3,101,110,100,24,2,32,1,40,5,34,103,10,21,69,120,116,101,110,115,105,111,110,82,97,110,103,101,79,112,116,105,111,110,115,18,67,10,20,117,110,105,110,116,101,114,112,114,101,116,101,100,95,111,112,116,105,111,110,24,231,7,32,3,40,11,50,36,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,85,110,105,110,116,101,114,112,114,101,116,101,100,79,112,116,105,111,110,42,9,8,232,7,16,128,128,128,128,2,34,188,5,10,20,70,105,101,108,100,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,14,10,6,110,117,109,98,101,114,24,3,32,1,40,5,18,58,10,5,108,97,98,101,108,24,4,32,1,40,14,50,43,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,70,105,101,108,100,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,46,76,97,98,101,108,18,56,10,4,116,121,112,101,24,5,32,1,40,14,50,42,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,70,105,101,108,100,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,46,84,121,112,101,18,17,10,9,116,121,112,101,95,110,97,109,101,24,6,32,1,40,9,18,16,10,8,101,120,116,101,110,100,101,101,24,2,32,1,40,9,18,21,10,13,100,101,102,97,117,108,116,95,118,97,108,117,101,24,7,32,1,40,9,18,19,10,11,111,110,101,111,102,95,105,110,100,101,120,24,9,32,1,40,5,18,17,10,9,106,115,111,110,95,110,97,109,101,24,10,32,1,40,9,18,46,10,7,111,112,116,105,111,110,115,24,8,32,1,40,11,50,29,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,70,105,101,108,100,79,112,116,105,111,110,115,34,182,2,10,4,84,121,112,101,18,15,10,11,84,89,80,69,95,68,79,85,66,76,69,16,1,18,14,10,10,84,89,80,69,95,70,76,79,65,84,16,2,18,14,10,10,84,89,80,69,95,73,78,84,54,52,16,3,18,15,10,11,84,89,80,69,95,85,73,78,84,54,52,16,4,18,14,10,10,84,89,80,69,95,73,78,84,51,50,16,5,18,16,10,12,84,89,80,69,95,70,73,88,69,68,54,52,16,6,18,16,10,12,84,89,80,69,95,70,73,88,69,68,51,50,16,7,18,13,10,9,84,89,80,69,95,66,79,79,76,16,8,18,15,10,11,84,89,80,69,95,83,84,82,73,78,71,16,9,18,14,10,10,84,89,80,69,95,71,82,79,85,80,16,10,18,16,10,12,84,89,80,69,95,77,69,83,83,65,71,69,16,11,18,14,10,10,84,89,80,69,95,66,89,84,69,83,16,12,18,15,10,11,84,89,80,69,95,85,73,78,84,51,50,16,13,18,13,10,9,84,89,80,69,95,69,78,85,77,16,14,18,17,10,13,84,89,80,69,95,83,70,73,88,69,68,51,50,16,15,18,17,10,13,84,89,80,69,95,83,70,73,88,69,68,54,52,16,16,18,15,10,11,84,89,80,69,95,83,73,78,84,51,50,16,17,18,15,10,11,84,89,80,69,95,83,73,78,84,54,52,16,18,34,67,10,5,76,97,98,101,108,18,18,10,14,76,65,66,69,76,95,79,80,84,73,79,78,65,76,16,1,18,18,10,14,76,65,66,69,76,95,82,69,81,85,73,82,69,68,16,2,18,18,10,14,76,65,66,69,76,95,82,69,80,69,65,84,69,68,16,3,34,84,10,20,79,110,101,111,102,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,46,10,7,111,112,116,105,111,110,115,24,2,32,1,40,11,50,29,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,79,110,101,111,102,79,112,116,105,111,110,115,34,164,2,10,19,69,110,117,109,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,56,10,5,118,97,108,117,101,24,2,32,3,40,11,50,41,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,69,110,117,109,86,97,108,117,101,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,45,10,7,111,112,116,105,111,110,115,24,3,32,1,40,11,50,28,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,69,110,117,109,79,112,116,105,111,110,115,18,78,10,14,114,101,115,101,114,118,101,100,95,114,97,110,103,101,24,4,32,3,40,11,50,54,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,69,110,117,109,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,46,69,110,117,109,82,101,115,101,114,118,101,100,82,97,110,103,101,18,21,10,13,114,101,115,101,114,118,101,100,95,110,97,109,101,24,5,32,3,40,9,26,47,10,17,69,110,117,109,82,101,115,101,114,118,101,100,82,97,110,103,101,18,13,10,5,115,116,97,114,116,24,1,32,1,40,5,18,11,10,3,101,110,100,24,2,32,1,40,5,34,108,10,24,69,110,117,109,86,97,108,117,101,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,14,10,6,110,117,109,98,101,114,24,2,32,1,40,5,18,50,10,7,111,112,116,105,111,110,115,24,3,32,1,40,11,50,33,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,69,110,117,109,86,97,108,117,101,79,112,116,105,111,110,115,34,144,1,10,22,83,101,114,118,105,99,101,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,54,10,6,109,101,116,104,111,100,24,2,32,3,40,11,50,38,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,77,101,116,104,111,100,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,48,10,7,111,112,116,105,111,110,115,24,3,32,1,40,11,50,31,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,83,101,114,118,105,99,101,79,112,116,105,111,110,115,34,193,1,10,21,77,101,116,104,111,100,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,18,12,10,4,110,97,109,101,24,1,32,1,40,9,18,18,10,10,105,110,112,117,116,95,116,121,112,101,24,2,32,1,40,9,18,19,10,11,111,117,116,112,117,116,95,116,121,112,101,24,3,32,1,40,9,18,47,10,7,111,112,116,105,111,110,115,24,4,32,1,40,11,50,30,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,77,101,116,104,111,100,79,112,116,105,111,110,115,18,31,10,16,99,108,105,101,110,116,95,115,116,114,101,97,109,105,110,103,24,5,32,1,40,8,58,5,102,97,108,115,101,18,31,10,16,115,101,114,118,101,114,95,115,116,114,101,97,109,105,110,103,24,6,32,1,40,8,58,5,102,97,108,115,101,34,240,5,10,11,70,105,108,101,79,112,116,105,111,110,115,18,20,10,12,106,97,118,97,95,112,97,99,107,97,103,101,24,1,32,1,40,9,18,28,10,20,106,97,118,97,95,111,117,116,101,114,95,99,108,97,115,115,110,97,109,101,24,8,32,1,40,9,18,34,10,19,106,97,118,97,95,109,117,108,116,105,112,108,101,95,102,105,108,101,115,24,10,32,1,40,8,58,5,102,97,108,115,101,18,41,10,29,106,97,118,97,95,103,101,110,101,114,97,116,101,95,101,113,117,97,108,115,95,97,110,100,95,104,97,115,104,24,20,32,1,40,8,66,2,24,1,18,37,10,22,106,97,118,97,95,115,116,114,105,110,103,95,99,104,101,99,107,95,117,116,102,56,24,27,32,1,40,8,58,5,102,97,108,115,101,18,70,10,12,111,112,116,105,109,105,122,101,95,102,111,114,24,9,32,1,40,14,50,41,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,70,105,108,101,79,112,116,105,111,110,115,46,79,112,116,105,109,105,122,101,77,111,100,101,58,5,83,80,69,69,68,18,18,10,10,103,111,95,112,97,99,107,97,103,101,24,11,32,1,40,9,18,34,10,19,99,99,95,103,101,110,101,114,105,99,95,115,101,114,118,105,99,101,115,24,16,32,1,40,8,58,5,102,97,108,115,101,18,36,10,21,106,97,118,97,95,103,101,110,101,114,105,99,95,115,101,114,118,105,99,101,115,24,17,32,1,40,8,58,5,102,97,108,115,101,18,34,10,19,112,121,95,103,101,110,101,114,105,99,95,115,101,114,118,105,99,101,115,24,18,32,1,40,8,58,5,102,97,108,115,101,18,35,10,20,112,104,112,95,103,101,110,101,114,105,99,95,115,101,114,118,105,99,101,115,24,42,32,1,40,8,58,5,102,97,108,115,101,18,25,10,10,100,101,112,114,101,99,97,116,101,100,24,23,32,1,40,8,58,5,102,97,108,115,101,18,31,10,16,99,99,95,101,110,97,98,108,101,95,97,114,101,110,97,115,24,31,32,1,40,8,58,5,102,97,108,115,101,18,25,10,17,111,98,106,99,95,99,108,97,115,115,95,112,114,101,102,105,120,24,36,32,1,40,9,18,24,10,16,99,115,104,97,114,112,95,110,97,109,101,115,112,97,99,101,24,37,32,1,40,9,18,20,10,12,115,119,105,102,116,95,112,114,101,102,105,120,24,39,32,1,40,9,18,24,10,16,112,104,112,95,99,108,97,115,115,95,112,114,101,102,105,120,24,40,32,1,40,9,18,21,10,13,112,104,112,95,110,97,109,101,115,112,97,99,101,24,41,32,1,40,9,18,67,10,20,117,110,105,110,116,101,114,112,114,101,116,101,100,95,111,112,116,105,111,110,24,231,7,32,3,40,11,50,36,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,85,110,105,110,116,101,114,112,114,101,116,101,100,79,112,116,105,111,110,34,58,10,12,79,112,116,105,109,105,122,101,77,111,100,101,18,9,10,5,83,80,69,69,68,16,1,18,13,10,9,67,79,68,69,95,83,73,90,69,16,2,18,16,10,12,76,73,84,69,95,82,85,78,84,73,77,69,16,3,42,9,8,232,7,16,128,128,128,128,2,74,4,8,38,16,39,34,242,1,10,14,77,101,115,115,97,103,101,79,112,116,105,111,110,115,18,38,10,23,109,101,115,115,97,103,101,95,115,101,116,95,119,105,114,101,95,102,111,114,109,97,116,24,1,32,1,40,8,58,5,102,97,108,115,101,18,46,10,31,110,111,95,115,116,97,110,100,97,114,100,95,100,101,115,99,114,105,112,116,111,114,95,97,99,99,101,115,115,111,114,24,2,32,1,40,8,58,5,102,97,108,115,101,18,25,10,10,100,101,112,114,101,99,97,116,101,100,24,3,32,1,40,8,58,5,102,97,108,115,101,18,17,10,9,109,97,112,95,101,110,116,114,121,24,7,32,1,40,8,18,67,10,20,117,110,105,110,116,101,114,112,114,101,116,101,100,95,111,112,116,105,111,110,24,231,7,32,3,40,11,50,36,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,85,110,105,110,116,101,114,112,114,101,116,101,100,79,112,116,105,111,110,42,9,8,232,7,16,128,128,128,128,2,74,4,8,8,16,9,74,4,8,9,16,10,34,158,3,10,12,70,105,101,108,100,79,112,116,105,111,110,115,18,58,10,5,99,116,121,112,101,24,1,32,1,40,14,50,35,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,70,105,101,108,100,79,112,116,105,111,110,115,46,67,84,121,112,101,58,6,83,84,82,73,78,71,18,14,10,6,112,97,99,107,101,100,24,2,32,1,40,8,18,63,10,6,106,115,116,121,112,101,24,6,32,1,40,14,50,36,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,70,105,101,108,100,79,112,116,105,111,110,115,46,74,83,84,121,112,101,58,9,74,83,95,78,79,82,77,65,76,18,19,10,4,108,97,122,121,24,5,32,1,40,8,58,5,102,97,108,115,101,18,25,10,10,100,101,112,114,101,99,97,116,101,100,24,3,32,1,40,8,58,5,102,97,108,115,101,18,19,10,4,119,101,97,107,24,10,32,1,40,8,58,5,102,97,108,115,101,18,67,10,20,117,110,105,110,116,101,114,112,114,101,116,101,100,95,111,112,116,105,111,110,24,231,7,32,3,40,11,50,36,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,85,110,105,110,116,101,114,112,114,101,116,101,100,79,112,116,105,111,110,34,47,10,5,67,84,121,112,101,18,10,10,6,83,84,82,73,78,71,16,0,18,8,10,4,67,79,82,68,16,1,18,16,10,12,83,84,82,73,78,71,95,80,73,69,67,69,16,2,34,53,10,6,74,83,84,121,112,101,18,13,10,9,74,83,95,78,79,82,77,65,76,16,0,18,13,10,9,74,83,95,83,84,82,73,78,71,16,1,18,13,10,9,74,83,95,78,85,77,66,69,82,16,2,42,9,8,232,7,16,128,128,128,128,2,74,4,8,4,16,5,34,94,10,12,79,110,101,111,102,79,112,116,105,111,110,115,18,67,10,20,117,110,105,110,116,101,114,112,114,101,116,101,100,95,111,112,116,105,111,110,24,231,7,32,3,40,11,50,36,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,85,110,105,110,116,101,114,112,114,101,116,101,100,79,112,116,105,111,110,42,9,8,232,7,16,128,128,128,128,2,34,147,1,10,11,69,110,117,109,79,112,116,105,111,110,115,18,19,10,11,97,108,108,111,119,95,97,108,105,97,115,24,2,32,1,40,8,18,25,10,10,100,101,112,114,101,99,97,116,101,100,24,3,32,1,40,8,58,5,102,97,108,115,101,18,67,10,20,117,110,105,110,116,101,114,112,114,101,116,101,100,95,111,112,116,105,111,110,24,231,7,32,3,40,11,50,36,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,85,110,105,110,116,101,114,112,114,101,116,101,100,79,112,116,105,111,110,42,9,8,232,7,16,128,128,128,128,2,74,4,8,5,16,6,34,125,10,16,69,110,117,109,86,97,108,117,101,79,112,116,105,111,110,115,18,25,10,10,100,101,112,114,101,99,97,116,101,100,24,1,32,1,40,8,58,5,102,97,108,115,101,18,67,10,20,117,110,105,110,116,101,114,112,114,101,116,101,100,95,111,112,116,105,111,110,24,231,7,32,3,40,11,50,36,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,85,110,105,110,116,101,114,112,114,101,116,101,100,79,112,116,105,111,110,42,9,8,232,7,16,128,128,128,128,2,34,123,10,14,83,101,114,118,105,99,101,79,112,116,105,111,110,115,18,25,10,10,100,101,112,114,101,99,97,116,101,100,24,33,32,1,40,8,58,5,102,97,108,115,101,18,67,10,20,117,110,105,110,116,101,114,112,114,101,116,101,100,95,111,112,116,105,111,110,24,231,7,32,3,40,11,50,36,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,85,110,105,110,116,101,114,112,114,101,116,101,100,79,112,116,105,111,110,42,9,8,232,7,16,128,128,128,128,2,34,173,2,10,13,77,101,116,104,111,100,79,112,116,105,111,110,115,18,25,10,10,100,101,112,114,101,99,97,116,101,100,24,33,32,1,40,8,58,5,102,97,108,115,101,18,95,10,17,105,100,101,109,112,111,116,101,110,99,121,95,108,101,118,101,108,24,34,32,1,40,14,50,47,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,77,101,116,104,111,100,79,112,116,105,111,110,115,46,73,100,101,109,112,111,116,101,110,99,121,76,101,118,101,108,58,19,73,68,69,77,80,79,84,69,78,67,89,95,85,78,75,78,79,87,78,18,67,10,20,117,110,105,110,116,101,114,112,114,101,116,101,100,95,111,112,116,105,111,110,24,231,7,32,3,40,11,50,36,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,85,110,105,110,116,101,114,112,114,101,116,101,100,79,112,116,105,111,110,34,80,10,16,73,100,101,109,112,111,116,101,110,99,121,76,101,118,101,108,18,23,10,19,73,68,69,77,80,79,84,69,78,67,89,95,85,78,75,78,79,87,78,16,0,18,19,10,15,78,79,95,83,73,68,69,95,69,70,70,69,67,84,83,16,1,18,14,10,10,73,68,69,77,80,79,84,69,78,84,16,2,42,9,8,232,7,16,128,128,128,128,2,34,158,2,10,19,85,110,105,110,116,101,114,112,114,101,116,101,100,79,112,116,105,111,110,18,59,10,4,110,97,109,101,24,2,32,3,40,11,50,45,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,85,110,105,110,116,101,114,112,114,101,116,101,100,79,112,116,105,111,110,46,78,97,109,101,80,97,114,116,18,24,10,16,105,100,101,110,116,105,102,105,101,114,95,118,97,108,117,101,24,3,32,1,40,9,18,26,10,18,112,111,115,105,116,105,118,101,95,105,110,116,95,118,97,108,117,101,24,4,32,1,40,4,18,26,10,18,110,101,103,97,116,105,118,101,95,105,110,116,95,118,97,108,117,101,24,5,32,1,40,3,18,20,10,12,100,111,117,98,108,101,95,118,97,108,117,101,24,6,32,1,40,1,18,20,10,12,115,116,114,105,110,103,95,118,97,108,117,101,24,7,32,1,40,12,18,23,10,15,97,103,103,114,101,103,97,116,101,95,118,97,108,117,101,24,8,32,1,40,9,26,51,10,8,78,97,109,101,80,97,114,116,18,17,10,9,110,97,109,101,95,112,97,114,116,24,1,32,2,40,9,18,20,10,12,105,115,95,101,120,116,101,110,115,105,111,110,24,2,32,2,40,8,34,213,1,10,14,83,111,117,114,99,101,67,111,100,101,73,110,102,111,18,58,10,8,108,111,99,97,116,105,111,110,24,1,32,3,40,11,50,40,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,83,111,117,114,99,101,67,111,100,101,73,110,102,111,46,76,111,99,97,116,105,111,110,26,134,1,10,8,76,111,99,97,116,105,111,110,18,16,10,4,112,97,116,104,24,1,32,3,40,5,66,2,16,1,18,16,10,4,115,112,97,110,24,2,32,3,40,5,66,2,16,1,18,24,10,16,108,101,97,100,105,110,103,95,99,111,109,109,101,110,116,115,24,3,32,1,40,9,18,25,10,17,116,114,97,105,108,105,110,103,95,99,111,109,109,101,110,116,115,24,4,32,1,40,9,18,33,10,25,108,101,97,100,105,110,103,95,100,101,116,97,99,104,101,100,95,99,111,109,109,101,110,116,115,24,6,32,3,40,9,34,167,1,10,17,71,101,110,101,114,97,116,101,100,67,111,100,101,73,110,102,111,18,65,10,10,97,110,110,111,116,97,116,105,111,110,24,1,32,3,40,11,50,45,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,71,101,110,101,114,97,116,101,100,67,111,100,101,73,110,102,111,46,65,110,110,111,116,97,116,105,111,110,26,79,10,10,65,110,110,111,116,97,116,105,111,110,18,16,10,4,112,97,116,104,24,1,32,3,40,5,66,2,16,1,18,19,10,11,115,111,117,114,99,101,95,102,105,108,101,24,2,32,1,40,9,18,13,10,5,98,101,103,105,110,24,3,32,1,40,5,18,11,10,3,101,110,100,24,4,32,1,40,5,66,143,1,10,19,99,111,109,46,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,66,16,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,115,72,1,90,62,103,105,116,104,117,98,46,99,111,109,47,103,111,108,97,110,103,47,112,114,111,116,111,98,117,102,47,112,114,111,116,111,99,45,103,101,110,45,103,111,47,100,101,115,99,114,105,112,116,111,114,59,100,101,115,99,114,105,112,116,111,114,248,1,1,162,2,3,71,80,66,170,2,26,71,111,111,103,108,101,46,80,114,111,116,111,98,117,102,46,82,101,102,108,101,99,116,105,111,110,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,100,101,115,99,114,105,112,116,111,114,46,112,98,46,99,99,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,56,71,101,110,101,114,97,116,101,100,67,111,100,101,73,110,102,111,95,65,110,110,111,116,97,116,105,111,110,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,55,71,101,110,101,114,97,116,101,100,67,111,100,101,73,110,102,111,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,51,83,111,117,114,99,101,67,111,100,101,73,110,102,111,95,76,111,99,97,116,105,111,110,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,52,83,111,117,114,99,101,67,111,100,101,73,110,102,111,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,56,85,110,105,110,116,101,114,112,114,101,116,101,100,79,112,116,105,111,110,95,78,97,109,101,80,97,114,116,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,57,85,110,105,110,116,101,114,112,114,101,116,101,100,79,112,116,105,111,110,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,51,77,101,116,104,111,100,79,112,116,105,111,110,115,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,52,83,101,114,118,105,99,101,79,112,116,105,111,110,115,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,54,69,110,117,109,86,97,108,117,101,79,112,116,105,111,110,115,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,49,69,110,117,109,79,112,116,105,111,110,115,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,50,79,110,101,111,102,79,112,116,105,111,110,115,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,50,70,105,101,108,100,79,112,116,105,111,110,115,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,52,77,101,115,115,97,103,101,79,112,116,105,111,110,115,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,49,70,105,108,101,79,112,116,105,111,110,115,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,49,77,101,116,104,111,100,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,50,83,101,114,118,105,99,101,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,52,69,110,117,109,86,97,108,117,101,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,51,55,69,110,117,109,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,95,69,110,117,109,82,101,115,101,114,118,101,100,82,97,110,103,101,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,57,69,110,117,109,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,48,79,110,101,111,102,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,48,70,105,101,108,100,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,49,69,120,116,101,110,115,105,111,110,82,97,110,103,101,79,112,116,105,111,110,115,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,57,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,95,82,101,115,101,114,118,101,100,82,97,110,103,101,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,51,48,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,95,69,120,116,101,110,115,105,111,110,82,97,110,103,101,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,53,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,57,70,105,108,101,68,101,115,99,114,105,112,116,111,114,80,114,111,116,111,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,55,70,105,108,101,68,101,115,99,114,105,112,116,111,114,83,101,116,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,56,68,101,115,99,114,105,112,116,111,114,68,97,116,97,98,97,115,101,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,53,69,110,99,111,100,101,100,68,101,115,99,114,105,112,116,111,114,68,97,116,97,98,97,115,101,69,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,100,101,115,99,114,105,112,116,111,114,95,100,97,116,97,98,97,115,101,46,99,99,0,70,105,108,101,32,97,108,114,101,97,100,121,32,101,120,105,115,116,115,32,105,110,32,100,97,116,97,98,97,115,101,58,32,0,69,120,116,101,110,115,105,111,110,32,99,111,110,102,108,105,99,116,115,32,119,105,116,104,32,101,120,116,101,110,115,105,111,110,32,97,108,114,101,97,100,121,32,105,110,32,100,97,116,97,98,97,115,101,58,32,101,120,116,101,110,100,32,0,32,61,32,0,32,125,0,73,110,118,97,108,105,100,32,115,121,109,98,111,108,32,110,97,109,101,58,32,0,83,121,109,98,111,108,32,110,97,109,101,32,34,0,34,32,99,111,110,102,108,105,99,116,115,32,119,105,116,104,32,116,104,101,32,101,120,105,115,116,105,110,103,32,115,121,109,98,111,108,32,34,0,73,110,118,97,108,105,100,32,102,105,108,101,32,100,101,115,99,114,105,112,116,111,114,32,100,97,116,97,32,112,97,115,115,101,100,32,116,111,32,69,110,99,111,100,101,100,68,101,115,99,114,105,112,116,111,114,68,97,116,97,98,97,115,101,58,58,65,100,100,40,41,46,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,100,121,110,97,109,105,99,95,109,101,115,115,97,103,101,46,99,99,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,105,115,95,112,114,111,116,111,116,121,112,101,40,41,58,32,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,52,68,121,110,97,109,105,99,77,101,115,115,97,103,101,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,49,68,121,110,97,109,105,99,77,101,115,115,97,103,101,70,97,99,116,111,114,121,69,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,101,120,116,101,110,115,105,111,110,95,115,101,116,95,104,101,97,118,121,46,99,99,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,111,117,116,112,117,116,45,62,109,101,115,115,97,103,101,95,112,114,111,116,111,116,121,112,101,32,33,61,32,78,85,76,76,58,32,0,69,120,116,101,110,115,105,111,110,32,102,97,99,116,111,114,121,39,115,32,71,101,116,80,114,111,116,111,116,121,112,101,40,41,32,114,101,116,117,114,110,101,100,32,78,85,76,76,32,102,111,114,32,101,120,116,101,110,115,105,111,110,58,32,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,57,68,101,115,99,114,105,112,116,111,114,80,111,111,108,69,120,116,101,110,115,105,111,110,70,105,110,100,101,114,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,54,82,101,112,101,97,116,101,100,80,116,114,70,105,101,108,100,73,78,83,48,95,49,49,77,101,115,115,97,103,101,76,105,116,101,69,69,69,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,112,114,111,116,111,116,121,112,101,32,33,61,32,78,85,76,76,58,32,0,34,71,101,116,77,97,112,68,97,116,97,34,0,70,105,101,108,100,32,105,115,32,110,111,116,32,97,32,109,97,112,32,102,105,101,108,100,46,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,103,101,110,101,114,97,116,101,100,95,109,101,115,115,97,103,101,95,114,101,102,108,101,99,116,105,111,110,46,99,99,0,80,114,111,116,111,99,111,108,32,66,117,102,102,101,114,32,114,101,102,108,101,99,116,105,111,110,32,117,115,97,103,101,32,101,114,114],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+491524);allocate([111,114,58,10,32,32,77,101,116,104,111,100,32,32,32,32,32,32,58,32,103,111,111,103,108,101,58,58,112,114,111,116,111,98,117,102,58,58,82,101,102,108,101,99,116,105,111,110,58,58,0,10,32,32,77,101,115,115,97,103,101,32,116,121,112,101,58,32,0,10,32,32,70,105,101,108,100,32,32,32,32,32,32,32,58,32,0,10,32,32,80,114,111,98,108,101,109,32,32,32,32,32,58,32,0,34,77,97,112,83,105,122,101,34,0,34,77,97,112,69,110,100,34,0,34,77,97,112,66,101,103,105,110,34,0,34,68,101,108,101,116,101,77,97,112,86,97,108,117,101,34,0,34,73,110,115,101,114,116,79,114,76,111,111,107,117,112,77,97,112,86,97,108,117,101,34,0,34,76,111,111,107,117,112,77,97,112,86,97,108,117,101,34,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,102,105,101,108,100,45,62,99,112,112,95,116,121,112,101,40,41,32,61,61,32,99,112,112,95,116,121,112,101,32,124,124,32,40,102,105,101,108,100,45,62,99,112,112,95,116,121,112,101,40,41,32,61,61,32,70,105,101,108,100,68,101,115,99,114,105,112,116,111,114,58,58,67,80,80,84,89,80,69,95,69,78,85,77,32,38,38,32,99,112,112,95,116,121,112,101,32,61,61,32,70,105,101,108,100,68,101,115,99,114,105,112,116,111,114,58,58,67,80,80,84,89,80,69,95,73,78,84,51,50,41,58,32,0,84,104,101,32,116,121,112,101,32,112,97,114,97,109,101,116,101,114,32,84,32,105,110,32,82,101,112,101,97,116,101,100,70,105,101,108,100,82,101,102,60,84,62,32,65,80,73,32,100,111,101,115,110,39,116,32,109,97,116,99,104,32,0,116,104,101,32,97,99,116,117,97,108,32,102,105,101,108,100,32,116,121,112,101,32,40,102,111,114,32,101,110,117,109,115,32,84,32,115,104,111,117,108,100,32,98,101,32,116,104,101,32,103,101,110,101,114,97,116,101,100,32,101,110,117,109,32,0,116,121,112,101,32,111,114,32,105,110,116,51,50,41,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,109,101,115,115,97,103,101,95,116,121,112,101,41,32,61,61,32,40,102,105,101,108,100,45,62,109,101,115,115,97,103,101,95,116,121,112,101,40,41,41,58,32,0,34,71,101,116,82,97,119,82,101,112,101,97,116,101,100,70,105,101,108,100,34,0,70,105,101,108,100,32,105,115,32,115,105,110,103,117,108,97,114,59,32,116,104,101,32,109,101,116,104,111,100,32,114,101,113,117,105,114,101,115,32,97,32,114,101,112,101,97,116,101,100,32,102,105,101,108,100,46,0,71,101,116,82,97,119,82,101,112,101,97,116,101,100,70,105,101,108,100,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,102,105,101,108,100,45,62,111,112,116,105,111,110,115,40,41,46,99,116,121,112,101,40,41,41,32,61,61,32,40,99,116,121,112,101,41,58,32,0,115,117,98,116,121,112,101,32,109,105,115,109,97,116,99,104,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,102,105,101,108,100,45,62,109,101,115,115,97,103,101,95,116,121,112,101,40,41,41,32,61,61,32,40,100,101,115,99,41,58,32,0,119,114,111,110,103,32,115,117,98,109,101,115,115,97,103,101,32,116,121,112,101,0,10,32,32,80,114,111,98,108,101,109,32,32,32,32,32,58,32,70,105,101,108,100,32,105,115,32,110,111,116,32,116,104,101,32,114,105,103,104,116,32,116,121,112,101,32,102,111,114,32,116,104,105,115,32,109,101,115,115,97,103,101,58,10,32,32,32,32,69,120,112,101,99,116,101,100,32,32,58,32,0,10,32,32,32,32,70,105,101,108,100,32,116,121,112,101,58,32,0,73,78,86,65,76,73,68,95,67,80,80,84,89,80,69,0,67,80,80,84,89,80,69,95,73,78,84,51,50,0,67,80,80,84,89,80,69,95,73,78,84,54,52,0,67,80,80,84,89,80,69,95,85,73,78,84,51,50,0,67,80,80,84,89,80,69,95,85,73,78,84,54,52,0,67,80,80,84,89,80,69,95,68,79,85,66,76,69,0,67,80,80,84,89,80,69,95,70,76,79,65,84,0,67,80,80,84,89,80,69,95,66,79,79,76,0,67,80,80,84,89,80,69,95,69,78,85,77,0,67,80,80,84,89,80,69,95,83,84,82,73,78,71,0,67,80,80,84,89,80,69,95,77,69,83,83,65,71,69,0,34,77,117,116,97,98,108,101,82,97,119,82,101,112,101,97,116,101,100,70,105,101,108,100,34,0,77,117,116,97,98,108,101,82,97,119,82,101,112,101,97,116,101,100,70,105,101,108,100,0,65,100,100,65,108,108,111,99,97,116,101,100,77,101,115,115,97,103,101,0,70,105,101,108,100,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,109,101,115,115,97,103,101,32,116,121,112,101,46,0,65,100,100,77,101,115,115,97,103,101,0,65,100,100,69,110,117,109,0,65,100,100,69,110,117,109,86,97,108,117,101,32,97,99,99,101,112,116,115,32,111,110,108,121,32,118,97,108,105,100,32,105,110,116,101,103,101,114,32,118,97,108,117,101,115,58,32,118,97,108,117,101,32,0,32,117,110,101,120,112,101,99,116,101,100,32,102,111,114,32,102,105,101,108,100,32,0,10,32,32,80,114,111,98,108,101,109,32,32,32,32,32,58,32,69,110,117,109,32,118,97,108,117,101,32,100,105,100,32,110,111,116,32,109,97,116,99,104,32,102,105,101,108,100,32,116,121,112,101,58,10,32,32,32,32,69,120,112,101,99,116,101,100,32,32,58,32,0,10,32,32,32,32,65,99,116,117,97,108,32,32,32,32,58,32,0,65,100,100,83,116,114,105,110,103,0,65,100,100,66,111,111,108,0,65,100,100,68,111,117,98,108,101,0,65,100,100,70,108,111,97,116,0,65,100,100,85,73,110,116,54,52,0,65,100,100,85,73,110,116,51,50,0,65,100,100,73,110,116,54,52,0,65,100,100,73,110,116,51,50,0,77,117,116,97,98,108,101,82,101,112,101,97,116,101,100,77,101,115,115,97,103,101,0,83,101,116,82,101,112,101,97,116,101,100,69,110,117,109,0,83,101,116,82,101,112,101,97,116,101,100,69,110,117,109,86,97,108,117,101,32,97,99,99,101,112,116,115,32,111,110,108,121,32,118,97,108,105,100,32,105,110,116,101,103,101,114,32,118,97,108,117,101,115,58,32,0,118,97,108,117,101,32,0,83,101,116,82,101,112,101,97,116,101,100,83,116,114,105,110,103,0,83,101,116,82,101,112,101,97,116,101,100,66,111,111,108,0,83,101,116,82,101,112,101,97,116,101,100,68,111,117,98,108,101,0,83,101,116,82,101,112,101,97,116,101,100,70,108,111,97,116,0,83,101,116,82,101,112,101,97,116,101,100,85,73,110,116,54,52,0,83,101,116,82,101,112,101,97,116,101,100,85,73,110,116,51,50,0,83,101,116,82,101,112,101,97,116,101,100,73,110,116,54,52,0,83,101,116,82,101,112,101,97,116,101,100,73,110,116,51,50,0,71,101,116,82,101,112,101,97,116,101,100,83,116,114,105,110,103,82,101,102,101,114,101,110,99,101,0,71,101,116,82,101,112,101,97,116,101,100,77,101,115,115,97,103,101,0,71,101,116,82,101,112,101,97,116,101,100,69,110,117,109,86,97,108,117,101,0,71,101,116,82,101,112,101,97,116,101,100,83,116,114,105,110,103,0,71,101,116,82,101,112,101,97,116,101,100,66,111,111,108,0,71,101,116,82,101,112,101,97,116,101,100,68,111,117,98,108,101,0,71,101,116,82,101,112,101,97,116,101,100,70,108,111,97,116,0,71,101,116,82,101,112,101,97,116,101,100,85,73,110,116,54,52,0,71,101,116,82,101,112,101,97,116,101,100,85,73,110,116,51,50,0,71,101,116,82,101,112,101,97,116,101,100,73,110,116,54,52,0,71,101,116,82,101,112,101,97,116,101,100,73,110,116,51,50,0,82,101,108,101,97,115,101,77,101,115,115,97,103,101,0,70,105,101,108,100,32,105,115,32,114,101,112,101,97,116,101,100,59,32,116,104,101,32,109,101,116,104,111,100,32,114,101,113,117,105,114,101,115,32,97,32,115,105,110,103,117,108,97,114,32,102,105,101,108,100,46,0,83,101,116,65,108,108,111,99,97,116,101,100,77,101,115,115,97,103,101,0,77,117,116,97,98,108,101,77,101,115,115,97,103,101,0,83,101,116,69,110,117,109,86,97,108,117,101,0,83,101,116,69,110,117,109,86,97,108,117,101,32,97,99,99,101,112,116,115,32,111,110,108,121,32,118,97,108,105,100,32,105,110,116,101,103,101,114,32,118,97,108,117,101,115,58,32,118,97,108,117,101,32,0,83,101,116,69,110,117,109,0,83,101,116,83,116,114,105,110,103,0,83,101,116,66,111,111,108,0,83,101,116,68,111,117,98,108,101,0,83,101,116,70,108,111,97,116,0,83,101,116,85,73,110,116,54,52,0,83,101,116,85,73,110,116,51,50,0,83,101,116,73,110,116,54,52,0,83,101,116,73,110,116,51,50,0,71,101,116,83,116,114,105,110,103,82,101,102,101,114,101,110,99,101,0,71,101,116,77,101,115,115,97,103,101,0,71,101,116,69,110,117,109,86,97,108,117,101,0,71,101,116,83,116,114,105,110,103,0,71,101,116,66,111,111,108,0,71,101,116,68,111,117,98,108,101,0,71,101,116,70,108,111,97,116,0,71,101,116,85,73,110,116,54,52,0,71,101,116,85,73,110,116,51,50,0,71,101,116,73,110,116,54,52,0,71,101,116,73,110,116,51,50,0,82,101,97,99,104,101,100,32,105,109,112,111,115,115,105,98,108,101,32,99,97,115,101,32,105,110,32,72,97,115,66,105,116,40,41,46,0,83,119,97,112,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,109,101,115,115,97,103,101,49,45,62,71,101,116,82,101,102,108,101,99,116,105,111,110,40,41,41,32,61,61,32,40,116,104,105,115,41,58,32,0,70,105,114,115,116,32,97,114,103,117,109,101,110,116,32,116,111,32,83,119,97,112,70,105,101,108,100,115,40,41,32,40,111,102,32,116,121,112,101,32,34,0,34,41,32,105,115,32,110,111,116,32,99,111,109,112,97,116,105,98,108,101,32,119,105,116,104,32,116,104,105,115,32,114,101,102,108,101,99,116,105,111,110,32,111,98,106,101,99,116,32,40,119,104,105,99,104,32,105,115,32,102,111,114,32,116,121,112,101,32,34,0,34,41,46,32,32,78,111,116,101,32,116,104,97,116,32,116,104,101,32,101,120,97,99,116,32,115,97,109,101,32,99,108,97,115,115,32,105,115,32,114,101,113,117,105,114,101,100,59,32,110,111,116,32,106,117,115,116,32,116,104,101,32,115,97,109,101,32,100,101,115,99,114,105,112,116,111,114,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,109,101,115,115,97,103,101,50,45,62,71,101,116,82,101,102,108,101,99,116,105,111,110,40,41,41,32,61,61,32,40,116,104,105,115,41,58,32,0,83,101,99,111,110,100,32,97,114,103,117,109,101,110,116,32,116,111,32,83,119,97,112,70,105,101,108,100,115,40,41,32,40,111,102,32,116,121,112,101,32,34,0,85,110,105,109,112,108,101,109,101,110,116,101,100,32,116,121,112,101,58,32,0,70,105,114,115,116,32,97,114,103,117,109,101,110,116,32,116,111,32,83,119,97,112,40,41,32,40,111,102,32,116,121,112,101,32,34,0,83,101,99,111,110,100,32,97,114,103,117,109,101,110,116,32,116,111,32,83,119,97,112,40,41,32,40,111,102,32,116,121,112,101,32,34,0,82,101,108,101,97,115,101,76,97,115,116,0,82,101,109,111,118,101,76,97,115,116,0,67,108,101,97,114,70,105,101,108,100,0,70,105,101,108,100,83,105,122,101,0,72,97,115,70,105,101,108,100,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,54,71,101,110,101,114,97,116,101,100,77,101,115,115,97,103,101,82,101,102,108,101,99,116,105,111,110,69,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,102,105,108,101,32,33,61,32,78,85,76,76,58,32,0,37,46,49,102,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,105,111,47,115,116,114,116,111,100,46,99,99,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,116,101,109,112,91,48,93,41,32,61,61,32,40,39,49,39,41,58,32,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,116,101,109,112,91,115,105,122,101,45,49,93,41,32,61,61,32,40,39,53,39,41,58,32,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,115,105,122,101,41,32,60,61,32,40,54,41,58,32,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,105,111,49,52,69,114,114,111,114,67,111,108,108,101,99,116,111,114,69,0,85,110,101,120,112,101,99,116,101,100,32,101,110,100,32,111,102,32,115,116,114,105,110,103,46,0,83,116,114,105,110,103,32,108,105,116,101,114,97,108,115,32,99,97,110,110,111,116,32,99,114,111,115,115,32,108,105,110,101,32,98,111,117,110,100,97,114,105,101,115,46,0,69,120,112,101,99,116,101,100,32,104,101,120,32,100,105,103,105,116,115,32,102,111,114,32,101,115,99,97,112,101,32,115,101,113,117,101,110,99,101,46,0,69,120,112,101,99,116,101,100,32,102,111,117,114,32,104,101,120,32,100,105,103,105,116,115,32,102,111,114,32,92,117,32,101,115,99,97,112,101,32,115,101,113,117,101,110,99,101,46,0,69,120,112,101,99,116,101,100,32,101,105,103,104,116,32,104,101,120,32,100,105,103,105,116,115,32,117,112,32,116,111,32,49,48,102,102,102,102,32,102,111,114,32,92,85,32,101,115,99,97,112,101,32,115,101,113,117,101,110,99,101,0,73,110,118,97,108,105,100,32,101,115,99,97,112,101,32,115,101,113,117,101,110,99,101,32,105,110,32,115,116,114,105,110,103,32,108,105,116,101,114,97,108,46,0,34,48,120,34,32,109,117,115,116,32,98,101,32,102,111,108,108,111,119,101,100,32,98,121,32,104,101,120,32,100,105,103,105,116,115,46,0,78,117,109,98,101,114,115,32,115,116,97,114,116,105,110,103,32,119,105,116,104,32,108,101,97,100,105,110,103,32,122,101,114,111,32,109,117,115,116,32,98,101,32,105,110,32,111,99,116,97,108,46,0,34,101,34,32,109,117,115,116,32,98,101,32,102,111,108,108,111,119,101,100,32,98,121,32,101,120,112,111,110,101,110,116,46,0,78,101,101,100,32,115,112,97,99,101,32,98,101,116,119,101,101,110,32,110,117,109,98,101,114,32,97,110,100,32,105,100,101,110,116,105,102,105,101,114,46,0,65,108,114,101,97,100,121,32,115,97,119,32,100,101,99,105,109,97,108,32,112,111,105,110,116,32,111,114,32,101,120,112,111,110,101,110,116,59,32,99,97,110,39,116,32,104,97,118,101,32,97,110,111,116,104,101,114,32,111,110,101,46,0,72,101,120,32,97,110,100,32,111,99,116,97,108,32,110,117,109,98,101,114,115,32,109,117,115,116,32,98,101,32,105,110,116,101,103,101,114,115,46,0,34,47,42,34,32,105,110,115,105,100,101,32,98,108,111,99,107,32,99,111,109,109,101,110,116,46,32,32,66,108,111,99,107,32,99,111,109,109,101,110,116,115,32,99,97,110,110,111,116,32,98,101,32,110,101,115,116,101,100,46,0,69,110,100,45,111,102,45,102,105,108,101,32,105,110,115,105,100,101,32,98,108,111,99,107,32,99,111,109,109,101,110,116,46,0,32,32,67,111,109,109,101,110,116,32,115,116,97,114,116,101,100,32,104,101,114,101,46,0,73,110,118,97,108,105,100,32,99,111,110,116,114,111,108,32,99,104,97,114,97,99,116,101,114,115,32,101,110,99,111,117,110,116,101,114,101,100,32,105,110,32,116,101,120,116,46,0,78,101,101,100,32,115,112,97,99,101,32,98,101,116,119,101,101,110,32,105,100,101,110,116,105,102,105,101,114,32,97,110,100,32,100,101,99,105,109,97,108,32,112,111,105,110,116,46,0,73,110,116,101,114,112,114,101,116,105,110,103,32,110,111,110,32,97,115,99,105,105,32,99,111,100,101,112,111,105,110,116,32,37,100,46,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,105,111,47,116,111,107,101,110,105,122,101,114,46,99,99,0,32,84,111,107,101,110,105,122,101,114,58,58,80,97,114,115,101,70,108,111,97,116,40,41,32,112,97,115,115,101,100,32,116,101,120,116,32,116,104,97,116,32,99,111,117,108,100,32,110,111,116,32,104,97,118,101,32,98,101,101,110,32,116,111,107,101,110,105,122,101,100,32,97,115,32,97,32,102,108,111,97,116,58,32,0,32,84,111,107,101,110,105,122,101,114,58,58,80,97,114,115,101,83,116,114,105,110,103,65,112,112,101,110,100,40,41,32,112,97,115,115,101,100,32,116,101,120,116,32,116,104,97,116,32,99,111,117,108,100,32,110,111,116,32,104,97,118,101,32,98,101,101,110,32,116,111,107,101,110,105,122,101,100,32,97,115,32,97,32,115,116,114,105,110,103,58,32,0,92,85,37,48,56,120,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,105,111,49,56,73,115,116,114,101,97,109,73,110,112,117,116,83,116,114,101,97,109,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,105,111,49,56,73,115,116,114,101,97,109,73,110,112,117,116,83,116,114,101,97,109,50,53,67,111,112,121,105,110,103,73,115,116,114,101,97,109,73,110,112,117,116,83,116,114,101,97,109,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,49,50,77,97,112,70,105,101,108,100,66,97,115,101,69,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,109,97,112,95,102,105,101,108,100,46,104,0,85,110,115,117,112,112,111,114,116,101,100,58,32,116,121,112,101,32,109,105,115,109,97,116,99,104,0,80,114,111,116,111,99,111,108,32,66,117,102,102,101,114,32,109,97,112,32,117,115,97,103,101,32,101,114,114,111,114,58,10,0,77,97,112,75,101,121,58,58,71,101,116,66,111,111,108,86,97,108,117,101,0,32,116,121,112,101,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,10,0,32,32,69,120,112,101,99,116,101,100,32,58,32,0,32,32,65,99,116,117,97,108,32,32,32,58,32,0,77,97,112,75,101,121,58,58,71,101,116,85,73,110,116,51,50,86,97,108,117,101,0,77,97,112,75,101,121,58,58,71,101,116,85,73,110,116,54,52,86,97,108,117,101,0,77,97,112,75,101,121,58,58,71,101,116,73,110,116,51,50,86,97,108,117,101,0,77,97,112,75,101,121,58,58,71,101,116,73,110,116,54,52,86,97,108,117,101,0,107,101,121,0,118,97,108,117,101,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,109,97,112,95,102,105,101,108,100,46,99,99,0,77,97,112,86,97,108,117,101,82,101,102,58,58,71,101,116,77,101,115,115,97,103,101,86,97,108,117,101,0,77,97,112,86,97,108,117,101,82,101,102,58,58,116,121,112,101,32,77,97,112,86,97,108,117,101,82,101,102,32,105,115,32,110,111,116,32,105,110,105,116,105,97,108,105,122,101,100,46,0,77,97,112,86,97,108,117,101,82,101,102,58,58,71,101,116,69,110,117,109,86,97,108,117,101,0,77,97,112,86,97,108,117,101,82,101,102,58,58,71,101,116,70,108,111,97,116,86,97,108,117,101,0,77,97,112,86,97,108,117,101,82,101,102,58,58,71,101,116,68,111,117,98,108,101,86,97,108,117,101,0,77,97,112,86,97,108,117,101,82,101,102,58,58,71,101,116,66,111,111,108,86,97,108,117,101,0,77,97,112,86,97,108,117,101,82,101,102,58,58,71,101,116,85,73,110,116,51,50,86,97,108,117,101,0,77,97,112,86,97,108,117,101,82,101,102,58,58,71,101,116,85,73,110,116,54,52,86,97,108,117,101,0,77,97,112,86,97,108,117,101,82,101,102,58,58,71,101,116,73,110,116,51,50,86,97,108,117,101,0,77,97,112,86,97,108,117,101,82,101,102,58,58,71,101,116,73,110,116,54,52,86,97,108,117,101,0,77,97,112,86,97,108,117,101,82,101,102,58,58,71,101,116,83,116,114,105,110,103,86,97,108,117,101,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,49,53,68,121,110,97,109,105,99,77,97,112,70,105,101,108,100,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,51,84,121,112,101,68,101,102,105,110,101,100,77,97,112,70,105,101,108,100,66,97,115,101,73,78,83,48,95,54,77,97,112,75,101,121,69,78,83,48,95,49,49,77,97,112,86,97,108,117,101,82,101,102,69,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,51,77,97,112,73,78,83,48,95,54,77,97,112,75,101,121,69,78,83,48,95,49,49,77,97,112,86,97,108,117,101,82,101,102,69,69,56,73,110,110,101,114,77,97,112,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,52,104,97,115,104,73,78,83,48,95,54,77,97,112,75,101,121,69,69,69,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,109,101,115,115,97,103,101,46,99,99,0,77,101,115,115,97,103,101,32,99,108,97,115,115,32,34,0,34,32,105,109,112,108,101,109,101,110,116,115,32,110,101,105,116,104,101,114,32,83,101,116,67,97,99,104,101,100,83,105,122,101,40,41,32,110,111,114,32,66,121,116,101,83,105,122,101,40,41,46,32,32,77,117,115,116,32,105,109,112,108,101,109,101,110,116,32,111,110,101,32,111,114,32,116,104,101,32,111,116,104,101,114,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,102,114,111,109,46,71,101,116,68,101,115,99,114,105,112,116,111,114,40,41,41,32,61,61,32,40,100,101,115,99,114,105,112,116,111,114,41,58,32,0,58,32,84,114,105,101,100,32,116,111,32,109,101,114,103,101,32,102,114,111,109,32,97,32,109,101,115,115,97,103,101,32,119,105,116,104,32,97,32,100,105,102,102,101,114,101,110,116,32,116,121,112,101,46,32,32,116,111,58,32,0,44,32,102,114,111,109,58,32,0,58,32,84,114,105,101,100,32,116,111,32,99,111,112,121,32,102,114,111,109,32,97,32,109,101,115,115,97,103,101,32,119,105,116,104,32,97,32,100,105,102,102,101,114,101,110,116,32,116,121,112,101,46,32,116,111,58,32,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,55,77,101,115,115,97,103,101,69,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,102,105,101,108,100,45,62,105,115,95,114,101,112,101,97,116,101,100,40,41,58,32,0,83,104,111,117,108,100,32,110,111,116,32,114,101,97,99,104,32,104,101,114,101,46,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,114,101,102,108,101,99,116,105,111,110,95,105,110,116,101,114,110,97,108,46,104,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,116,104,105,115,32,61,61,32,111,116,104,101,114,95,109,117,116,97,116,111,114,58,32,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,51,49,82,101,112,101,97,116,101,100,80,116,114,70,105,101,108,100,77,101,115,115,97,103,101,65,99,99,101,115,115,111,114,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,51,82,101,112,101,97,116,101,100,80,116,114,70,105,101,108,100,87,114,97,112,112,101,114,73,78,83,48,95,55,77,101,115,115,97,103,101,69,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,51,51,82,97,110,100,111,109,65,99,99,101,115,115,82,101,112,101,97,116,101,100,70,105,101,108,100,65,99,99,101,115,115,111,114,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,49,82,101,112,101,97,116,101,100,70,105,101,108,100,65,99,99,101,115,115,111,114,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,49,54,77,97,112,70,105,101,108,100,65,99,99,101,115,115,111,114,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,51,48,82,101,112,101,97,116,101,100,80,116,114,70,105,101,108,100,83,116,114,105,110,103,65,99,99,101,115,115,111,114,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,51,82,101,112,101,97,116,101,100,80,116,114,70,105,101,108,100,87,114,97,112,112,101,114,73,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,51,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,51,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,51,48,82,101,112,101,97,116,101,100,70,105,101,108,100,80,114,105,109,105,116,105,118,101,65,99,99,101,115,115,111,114,73,98,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,48,82,101,112,101,97,116,101,100,70,105,101,108,100,87,114,97,112,112,101,114,73,98,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,51,48,82,101,112,101,97,116,101,100,70,105,101,108,100,80,114,105,109,105,116,105,118,101,65,99,99,101,115,115,111,114,73,100,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,48,82,101,112,101,97,116,101,100,70,105,101,108,100,87,114,97,112,112,101,114,73,100,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,51,48,82,101,112,101,97,116,101,100,70,105,101,108,100,80,114,105,109,105,116,105,118,101,65,99,99,101,115,115,111,114,73,102,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,48,82,101,112,101,97,116,101,100,70,105,101,108,100,87,114,97,112,112,101,114,73,102,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,51,48,82,101,112,101,97,116,101,100,70,105,101,108,100,80,114,105,109,105,116,105,118,101,65,99,99,101,115,115,111,114,73,121,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,48,82,101,112,101,97,116,101,100,70,105,101,108,100,87,114,97,112,112,101,114,73,121,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,51,48,82,101,112,101,97,116,101,100,70,105,101,108,100,80,114,105,109,105,116,105,118,101,65,99,99,101,115,115,111,114,73,120,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,48,82,101,112,101,97,116,101,100,70,105,101,108,100,87,114,97,112,112,101,114,73,120,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,51,48,82,101,112,101,97,116,101,100,70,105,101,108,100,80,114,105,109,105,116,105,118,101,65,99,99,101,115,115,111,114,73,106,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,48,82,101,112,101,97,116,101,100,70,105,101,108,100,87,114,97,112,112,101,114,73,106,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,51,48,82,101,112,101,97,116,101,100,70,105,101,108,100,80,114,105,109,105,116,105,118,101,65,99,99,101,115,115,111,114,73,105,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,48,82,101,112,101,97,116,101,100,70,105,101,108,100,87,114,97,112,112,101,114,73,105,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,48,82,101,102,108,101,99,116,105,111,110,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,52,77,101,115,115,97,103,101,70,97,99,116,111,114,121,69,0,70,105,108,101,32,97,112,112,101,97,114,115,32,116,111,32,98,101,32,105,110,32,103,101,110,101,114,97,116,101,100,32,112,111,111,108,32,98,117,116,32,119,97,115,110,39,116,32,114,101,103,105,115,116,101,114,101,100,58,32,0,84,121,112,101,32,97,112,112,101,97,114,115,32,116,111,32,98,101,32,105,110,32,103,101,110,101,114,97,116,101,100,32,112,111,111,108,32,98,117,116,32,119,97,115,110,39,116,32,0,114,101,103,105,115,116,101,114,101,100,58,32,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,50,95,71,76,79,66,65,76,95,95,78,95,49,50,51,71,101,110,101,114,97,116,101,100,77,101,115,115,97,103,101,70,97,99,116,111,114,121,69,0,70,105,108,101,32,105,115,32,97,108,114,101,97,100,121,32,114,101,103,105,115,116,101,114,101,100,58,32,0,84,121,112,101,32,105,115,32,97,108,114,101,97,100,121,32,114,101,103,105,115,116,101,114,101,100,58,32,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,114,101,102,108,101,99,116,105,111,110,95,111,112,115,46,99,99,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,38,102,114,111,109,41,32,33,61,32,40,116,111,41,58,32,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,116,111,45,62,71,101,116,68,101,115,99,114,105,112,116,111,114,40,41,41,32,61,61,32,40,100,101,115,99,114,105,112,116,111,114,41,58,32,0,84,114,105,101,100,32,116,111,32,109,101,114,103,101,32,109,101,115,115,97,103,101,115,32,111,102,32,100,105,102,102,101,114,101,110,116,32,116,121,112,101,115,32,0,40,109,101,114,103,101,32,0,32,116,111,32,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,115,116,117,98,115,47,115,117,98,115,116,105,116,117,116,101,46,99,99,0,115,116,114,105,110,103,115,58,58,83,117,98,115,116,105,116,117,116,101,32,102,111,114,109,97,116,32,115,116,114,105,110,103,32,105,110,118,97,108,105,100,58,32,97,115,107,101,100,32,102,111,114,32,34,36,0,34,44,32,98,117,116,32,111,110,108,121,32,0,32,97,114,103,115,32,119,101,114,101,32,103,105,118,101,110,46,32,32,70,117,108,108,32,102,111,114,109,97,116,32,115,116,114,105,110,103,32,119,97,115,58,32,34,0,73,110,118,97,108,105,100,32,115,116,114,105,110,103,115,58,58,83,117,98,115,116,105,116,117,116,101,40,41,32,102,111,114,109,97,116,32,115,116,114,105,110,103,58,32,34,0,125,32,0,125,10,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,48,84,101,120,116,70,111,114,109,97,116,49,55,66,97,115,101,84,101,120,116,71,101,110,101,114,97,116,111,114,69,0,32,123,32,0,32,123,10,0,91,0,34,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,48,84,101,120,116,70,111,114,109,97,116,50,49,70,97,115,116,70,105,101,108,100,86,97,108,117,101,80,114,105,110,116,101,114,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,48,84,101,120,116,70,111,114,109,97,116,54,70,105,110,100,101,114,69,0,58,32,0,10,0,58,32,48,120,0,58,32,34,0,34,32,0,34,10,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,116,101,120,116,95,102,111,114,109,97,116,46,99,99,0,32,79,117,116,100,101,110,116,40,41,32,119,105,116,104,111,117,116,32,109,97,116,99,104,105,110,103,32,73,110,100,101,110,116,40,41,46,0,46,46,46,60,116,114,117,110,99,97,116,101,100,62,46,46,46,0,37,100,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,100,121,110,97,109,105,99,95,109,101,115,115,97,103,101,46,104,0,58,32,91,0,93,32,0,93,10,0,80,114,111,116,111,32,116,121,112,101,32,0,32,110,111,116,32,102,111,117,110,100,0,58,32,102,97,105,108,101,100,32,116,111,32,112,97,114,115,101,32,99,111,110,116,101,110,116,115,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,48,84,101,120,116,70,111,114,109,97,116,55,80,114,105,110,116,101,114,49,51,84,101,120,116,71,101,110,101,114,97,116,111,114,69,0,77,101,115,115,97,103,101,32,109,105,115,115,105,110,103,32,114,101,113,117,105,114,101,100,32,102,105,101,108,100,115,58,32,0,69,114,114,111,114,32,112,97,114,115,105,110,103,32,116,101,120,116,45,102,111,114,109,97,116,32,0,58,0,78,111,110,45,114,101,112,101,97,116,101,100,32,65,110,121,32,115,112,101,99,105,102,105,101,100,32,109,117,108,116,105,112,108,101,32,116,105,109,101,115,46,0,69,120,116,101,110,115,105,111,110,32,34,0,34,32,105,115,32,110,111,116,32,100,101,102,105,110,101,100,32,111,114,32,105,115,32,110,111,116,32,97,110,32,101,120,116,101,110,115,105,111,110,32,111,102,32,34,0,34,46,0,77,101,115,115,97,103,101,32,116,121,112,101,32,34,0,34,32,104,97,115,32,110,111,32,102,105,101,108,100,32,110,97,109,101,100,32,34,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,97,108,108,111,119,95,117,110,107,110,111,119,110,95,102,105,101,108,100,95,32,124,124,32,114,101,115,101,114,118,101,100,95,102,105,101,108,100,58,32,0,78,111,110,45,114,101,112,101,97,116,101,100,32,102,105,101,108,100,32,34,0,34,32,105,115,32,115,112,101,99,105,102,105,101,100,32,109,117,108,116,105,112,108,101,32,116,105,109,101,115,46,0,70,105,101,108,100,32,34,0,34,32,105,115,32,115,112,101,99,105,102,105,101,100,32,97,108,111,110,103,32,119,105,116,104,32,102,105,101,108,100,32,34,0,34,44,32,97,110,111,116,104,101,114,32,109,101,109,98,101,114,32,111,102,32,111,110,101,111,102,32,34,0,116,101,120,116,32,102,111,114,109,97,116,32,99,111,110,116,97,105,110,115,32,100,101,112,114,101,99,97,116,101,100,32,102,105,101,108,100,32,34,0,84,114,117,101,0,116,0,70,97,108,115,101,0,102,0,73,110,118,97,108,105,100,32,118,97,108,117,101,32,102,111,114,32,98,111,111,108,101,97,110,32,102,105,101,108,100,32,34,0,34,46,32,86,97,108,117,101,58,32,34,0,69,120,112,101,99,116,101,100,32,105,110,116,101,103,101,114,32,111,114,32,105,100,101,110,116,105,102,105,101,114,44,32,103,111,116,58,32,0,85,110,107,110,111,119,110,32,101,110,117,109,101,114,97,116,105,111,110,32,118,97,108,117,101,32,111,102,32,34,0,34,32,102,111,114,32,102,105,101,108,100,32,34,0,82,101,97,99,104,101,100,32,97,110,32,117,110,105,110,116,101,110,100,101,100,32,115,116,97,116,101,58,32,67,80,80,84,89,80,69,95,77,69,83,83,65,71,69,0,69,120,112,101,99,116,101,100,32,100,111,117,98,108,101,44,32,103,111,116,58,32,0,69,120,112,101,99,116,101,100,32,105,110,116,101,103,101,114,44,32,103,111,116,58,32,0,69,120,112,101,99,116,32,97,32,100,101,99,105,109,97,108,32,110,117,109,98,101,114,44,32,103,111,116,58,32,0,73,110,116,101,103,101,114,32,111,117,116,32,111,102,32,114,97,110,103,101,32,40,0,125,0,69,120,112,101,99,116,101,100,32,115,116,114,105,110,103,44,32,103,111,116,58,32,0,73,110,118,97,108,105,100,32,102,108,111,97,116,32,110,117,109,98,101,114,58,32,0,69,120,112,101,99,116,101,100,32,105,100,101,110,116,105,102,105,101,114,44,32,103,111,116,58,32,0,87,97,114,110,105,110,103,32,112,97,114,115,105,110,103,32,116,101,120,116,45,102,111,114,109,97,116,32,0,67,111,117,108,100,32,110,111,116,32,102,105,110,100,32,116,121,112,101,32,34,0,34,32,115,116,111,114,101,100,32,105,110,32,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,65,110,121,46,0,86,97,108,117,101,32,111,102,32,116,121,112,101,32,34,0,34,32,115,116,111,114,101,100,32,105,110,32,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,65,110,121,32,104,97,115,32,109,105,115,115,105,110,103,32,114,101,113,117,105,114,101,100,32,102,105,101,108,100,115,0,69,120,112,101,99,116,101,100,32,34,0,34,44,32,102,111,117,110,100,32,34,0,84,101,120,116,70,111,114,109,97,116,58,58,80,97,114,115,101,114,32,102,111,114,32,65,110,121,32,115,117,112,112,111,114,116,115,32,111,110,108,121,32,116,121,112,101,46,103,111,111,103,108,101,97,112,105,115,46,99,111,109,32,97,110,100,32,116,121,112,101,46,103,111,111,103,108,101,112,114,111,100,46,99,111,109,44,32,98,117,116,32,102,111,117,110,100,32,34,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,48,84,101,120,116,70,111,114,109,97,116,54,80,97,114,115,101,114,49,48,80,97,114,115,101,114,73,109,112,108,50,48,80,97,114,115,101,114,69,114,114,111,114,67,111,108,108,101,99,116,111,114,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,55,85,110,107,110,111,119,110,70,105,101,108,100,83,101,116,70,105,101,108,100,83,107,105,112,112,101,114,69,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,119,105,114,101,95,102,111,114,109,97,116,46,99,99,0,69,120,116,101,110,115,105,111,110,115,32,111,102,32,77,101,115,115,97,103,101,83,101,116,115,32,109,117,115,116,32,98,101,32,111,112,116,105,111,110,97,108,32,109,101,115,115,97,103,101,115,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,40,111,117,116,112,117,116,45,62,66,121,116,101,67,111,117,110,116,40,41,41,32,61,61,32,40,101,120,112,101,99,116,101,100,95,101,110,100,112,111,105,110,116,41,58,32,0,58,32,80,114,111,116,111,99,111,108,32,109,101,115,115,97,103,101,32,115,101,114,105,97,108,105,122,101,100,32,116,111,32,97,32,115,105,122,101,32,100,105,102,102,101,114,101,110,116,32,102,114,111,109,32,119,104,97,116,32,119,97,115,32,111,114,105,103,105,110,97,108,108,121,32,101,120,112,101,99,116,101,100,46,32,32,80,101,114,104,97,112,115,32,105,116,32,119,97,115,32,109,111,100,105,102,105,101,100,32,98,121,32,97,110,111,116,104,101,114,32,116,104,114,101,97,100,32,100,117,114,105,110,103,32,115,101,114,105,97,108,105,122,97,116,105,111,110,63,0,85,110,115,117,112,112,111,114,116,101,100,0,67,97,110,110,111,116,32,103,101,116,32,104,101,114,101,0,73,110,118,97,108,105,100,32,107,101,121,32,102,111,114,32,109,97,112,32,102,105,101,108,100,46,0,97,108,108,111,99,97,116,111,114,60,84,62,58,58,97,108,108,111,99,97,116,101,40,115,105,122,101,95,116,32,110,41,32,39,110,39,32,101,120,99,101,101,100,115,32,109,97,120,105,109,117,109,32,115,117,112,112,111,114,116,101,100,32,115,105,122,101,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,49,53,69,120,116,101,110,115,105,111,110,70,105,110,100,101,114,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,56,105,110,116,101,114,110,97,108,50,52,71,101,110,101,114,97,116,101,100,69,120,116,101,110,115,105,111,110,70],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+501764);allocate([105,110,100,101,114,69,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,101,120,116,101,110,115,105,111,110,95,115,101,116,46,99,99,0,67,97,110,39,116,32,103,101,116,32,104,101,114,101,46,0,67,72,69,67,75,32,102,97,105,108,101,100,58,32,105,116,101,114,32,33,61,32,101,120,116,101,110,115,105,111,110,115,95,46,101,110,100,40,41,58,32,0,73,110,100,101,120,32,111,117,116,45,111,102,45,98,111,117,110,100,115,32,40,102,105,101,108,100,32,105,115,32,101,109,112,116,121,41,46,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,51,82,101,112,101,97,116,101,100,70,105,101,108,100,73,105,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,51,82,101,112,101,97,116,101,100,70,105,101,108,100,73,120,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,51,82,101,112,101,97,116,101,100,70,105,101,108,100,73,106,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,51,82,101,112,101,97,116,101,100,70,105,101,108,100,73,121,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,51,82,101,112,101,97,116,101,100,70,105,101,108,100,73,102,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,51,82,101,112,101,97,116,101,100,70,105,101,108,100,73,100,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,51,82,101,112,101,97,116,101,100,70,105,101,108,100,73,98,69,69,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,49,54,82,101,112,101,97,116,101,100,80,116,114,70,105,101,108,100,73,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,50,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,50,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,69,69,0,99,97,110,39,116,32,114,101,97,99,104,32,104,101,114,101,46,0,78,111,110,45,112,114,105,109,105,116,105,118,101,32,116,121,112,101,115,32,99,97,110,39,116,32,98,101,32,112,97,99,107,101,100,46,0,47,98,117,105,108,100,47,51,95,52,45,99,111,110,116,114,105,98,95,100,111,99,115,45,108,105,110,54,52,47,111,112,101,110,99,118,47,51,114,100,112,97,114,116,121,47,112,114,111,116,111,98,117,102,47,115,114,99,47,103,111,111,103,108,101,47,112,114,111,116,111,98,117,102,47,105,111,47,122,101,114,111,95,99,111,112,121,95,115,116,114,101,97,109,46,99,99,0,84,104,105,115,32,90,101,114,111,67,111,112,121,79,117,116,112,117,116,83,116,114,101,97,109,32,100,111,101,115,110,39,116,32,115,117,112,112,111,114,116,32,97,108,105,97,115,105,110,103,46,32,82,101,97,99,104,105,110,103,32,104,101,114,101,32,117,115,117,97,108,108,121,32,109,101,97,110,115,32,97,32,90,101,114,111,67,111,112,121,79,117,116,112,117,116,83,116,114,101,97,109,32,105,109,112,108,101,109,101,110,116,97,116,105,111,110,32,98,117,103,46,0,78,54,103,111,111,103,108,101,56,112,114,111,116,111,98,117,102,50,105,111,50,48,90,101,114,111,67,111,112,121,79,117,116,112,117,116,83,116,114,101,97,109,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,3,3,3,3,3,3,3,3,3,3,3,3,7,3,3,4,5,5,5,6,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,4,4,4,4,4,4,4,4,4,2,2,4,4,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,1,2,1,1,1,1,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,48,49,50,51,52,53,54,55,56,57,97,98,99,100,101,102,0,48,48,48,49,48,50,48,51,48,52,48,53,48,54,48,55,48,56,48,57,49,48,49,49,49,50,49,51,49,52,49,53,49,54,49,55,49,56,49,57,50,48,50,49,50,50,50,51,50,52,50,53,50,54,50,55,50,56,50,57,51,48,51,49,51,50,51,51,51,52,51,53,51,54,51,55,51,56,51,57,52,48,52,49,52,50,52,51,52,52,52,53,52,54,52,55,52,56,52,57,53,48,53,49,53,50,53,51,53,52,53,53,53,54,53,55,53,56,53,57,54,48,54,49,54,50,54,51,54,52,54,53,54,54,54,55,54,56,54,57,55,48,55,49,55,50,55,51,55,52,55,53,55,54,55,55,55,56,55,57,56,48,56,49,56,50,56,51,56,52,56,53,56,54,56,55,56,56,56,57,57,48,57,49,57,50,57,51,57,52,57,53,57,54,57,55,57,56,57,57,45,105,110,102,0,37,46,42,103,0,103,111,111,103,108,101,46,112,114,111,116,111,98,117,102,46,65,110,121,0,116,121,112,101,46,103,111,111,103,108,101,97,112,105,115,46,99,111,109,47,0,116,121,112,101,46,103,111,111,103,108,101,112,114,111,100,46,99,111,109,47,0,115,116,100,58,58,98,97,115,105,99,95,115,116,114,105,110,103,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,0,115,116,100,58,58,119,115,116,114,105,110,103,0,101,109,115,99,114,105,112,116,101,110,58,58,118,97,108,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,99,104,97,114,62,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,115,105,103,110,101,100,32,99,104,97,114,62,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,117,110,115,105,103,110,101,100,32,99,104,97,114,62,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,115,104,111,114,116,62,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,117,110,115,105,103,110,101,100,32,115,104,111,114,116,62,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,105,110,116,62,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,117,110,115,105,103,110,101,100,32,105,110,116,62,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,108,111,110,103,62,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,117,110,115,105,103,110,101,100,32,108,111,110,103,62,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,105,110,116,56,95,116,62,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,117,105,110,116,56,95,116,62,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,105,110,116,49,54,95,116,62,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,117,105,110,116,49,54,95,116,62,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,105,110,116,51,50,95,116,62,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,117,105,110,116,51,50,95,116,62,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,102,108,111,97,116,62,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,100,111,117,98,108,101,62,0,101,109,115,99,114,105,112,116,101,110,58,58,109,101,109,111,114,121,95,118,105,101,119,60,108,111,110,103,32,100,111,117,98,108,101,62,0,78,49,48,101,109,115,99,114,105,112,116,101,110,49,49,109,101,109,111,114,121,95,118,105,101,119,73,101,69,69,0,78,49,48,101,109,115,99,114,105,112,116,101,110,49,49,109,101,109,111,114,121,95,118,105,101,119,73,109,69,69,0,78,49,48,101,109,115,99,114,105,112,116,101,110,49,49,109,101,109,111,114,121,95,118,105,101,119,73,108,69,69,0,78,49,48,101,109,115,99,114,105,112,116,101,110,49,49,109,101,109,111,114,121,95,118,105,101,119,73,106,69,69,0,78,49,48,101,109,115,99,114,105,112,116,101,110,49,49,109,101,109,111,114,121,95,118,105,101,119,73,97,69,69,0,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,119,69,69,69,69,0,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,104,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,104,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,104,69,69,69,69,0,17,0,10,0,17,17,17,0,0,0,0,5,0,0,0,0,0,0,9,0,0,0,0,11,0,0,0,0,0,0,0,0,17,0,15,10,17,17,17,3,10,7,0,1,19,9,11,11,0,0,9,6,11,0,0,11,0,6,17,0,0,0,17,17,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,17,0,10,10,17,17,17,0,10,0,0,2,0,9,11,0,0,0,9,0,11,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,12,0,0,0,0,9,12,0,0,0,0,0,12,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,13,0,0,0,4,13,0,0,0,0,9,14,0,0,0,0,0,14,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,15,0,0,0,0,9,16,0,0,0,0,0,16,0,0,16,0,0,18,0,0,0,18,18,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,18,18,18,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,10,0,0,0,0,10,0,0,0,0,9,11,0,0,0,0,0,11,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,12,0,0,0,0,9,12,0,0,0,0,0,12,0,0,12,0,0,45,43,32,32,32,48,88,48,120,0,40,110,117,108,108,41,0,45,48,88,43,48,88,32,48,88,45,48,120,43,48,120,32,48,120,0,105,110,102,0,73,78,70,0,78,65,78,0,48,49,50,51,52,53,54,55,56,57,65,66,67,68,69,70,84,33,34,25,13,1,2,3,17,75,28,12,16,4,11,29,18,30,39,104,110,111,112,113,98,32,5,6,15,19,20,21,26,8,22,7,40,36,23,24,9,10,14,27,31,37,35,131,130,125,38,42,43,60,61,62,63,67,71,74,77,88,89,90,91,92,93,94,95,96,97,99,100,101,102,103,105,106,107,108,114,115,116,121,122,123,124,0,73,108,108,101,103,97,108,32,98,121,116,101,32,115,101,113,117,101,110,99,101,0,68,111,109,97,105,110,32,101,114,114,111,114,0,82,101,115,117,108,116,32,110,111,116,32,114,101,112,114,101,115,101,110,116,97,98,108,101,0,78,111,116,32,97,32,116,116,121,0,80,101,114,109,105,115,115,105,111,110,32,100,101,110,105,101,100,0,79,112,101,114,97,116,105,111,110,32,110,111,116,32,112,101,114,109,105,116,116,101,100,0,78,111,32,115,117,99,104,32,102,105,108,101,32,111,114,32,100,105,114,101,99,116,111,114,121,0,78,111,32,115,117,99,104,32,112,114,111,99,101,115,115,0,70,105,108,101,32,101,120,105,115,116,115,0,86,97,108,117,101,32,116,111,111,32,108,97,114,103,101,32,102,111,114,32,100,97,116,97,32,116,121,112,101,0,78,111,32,115,112,97,99,101,32,108,101,102,116,32,111,110,32,100,101,118,105,99,101,0,79,117,116,32,111,102,32,109,101,109,111,114,121,0,82,101,115,111,117,114,99,101,32,98,117,115,121,0,73,110,116,101,114,114,117,112,116,101,100,32,115,121,115,116,101,109,32,99,97,108,108,0,82,101,115,111,117,114,99,101,32,116,101,109,112,111,114,97,114,105,108,121,32,117,110,97,118,97,105,108,97,98,108,101,0,73,110,118,97,108,105,100,32,115,101,101,107,0,67,114,111,115,115,45,100,101,118,105,99,101,32,108,105,110,107,0,82,101,97,100,45,111,110,108,121,32,102,105,108,101,32,115,121,115,116,101,109,0,68,105,114,101,99,116,111,114,121,32,110,111,116,32,101,109,112,116,121,0,67,111,110,110,101,99,116,105,111,110,32,114,101,115,101,116,32,98,121,32,112,101,101,114,0,79,112,101,114,97,116,105,111,110,32,116,105,109,101,100,32,111,117,116,0,67,111,110,110,101,99,116,105,111,110,32,114,101,102,117,115,101,100,0,72,111,115,116,32,105,115,32,100,111,119,110,0,72,111,115,116,32,105,115,32,117,110,114,101,97,99,104,97,98,108,101,0,65,100,100,114,101,115,115,32,105,110,32,117,115,101,0,66,114,111,107,101,110,32,112,105,112,101,0,73,47,79,32,101,114,114,111,114,0,78,111,32,115,117,99,104,32,100,101,118,105,99,101,32,111,114,32,97,100,100,114,101,115,115,0,66,108,111,99,107,32,100,101,118,105,99,101,32,114,101,113,117,105,114,101,100,0,78,111,32,115,117,99,104,32,100,101,118,105,99,101,0,78,111,116,32,97,32,100,105,114,101,99,116,111,114,121,0,73,115,32,97,32,100,105,114,101,99,116,111,114,121,0,84,101,120,116,32,102,105,108,101,32,98,117,115,121,0,69,120,101,99,32,102,111,114,109,97,116,32,101,114,114,111,114,0,73,110,118,97,108,105,100,32,97,114,103,117,109,101,110,116,0,65,114,103,117,109,101,110,116,32,108,105,115,116,32,116,111,111,32,108,111,110,103,0,83,121,109,98,111,108,105,99,32,108,105,110,107,32,108,111,111,112,0,70,105,108,101,110,97,109,101,32,116,111,111,32,108,111,110,103,0,84,111,111,32,109,97,110,121,32,111,112,101,110,32,102,105,108,101,115,32,105,110,32,115,121,115,116,101,109,0,78,111,32,102,105,108,101,32,100,101,115,99,114,105,112,116,111,114,115,32,97,118,97,105,108,97,98,108,101,0,66,97,100,32,102,105,108,101,32,100,101,115,99,114,105,112,116,111,114,0,78,111,32,99,104,105,108,100,32,112,114,111,99,101,115,115,0,66,97,100,32,97,100,100,114,101,115,115,0,70,105,108,101,32,116,111,111,32,108,97,114,103,101,0,84,111,111,32,109,97,110,121,32,108,105,110,107,115,0,78,111,32,108,111,99,107,115,32,97,118,97,105,108,97,98,108,101,0,82,101,115,111,117,114,99,101,32,100,101,97,100,108,111,99,107,32,119,111,117,108,100,32,111,99,99,117,114,0,83,116,97,116,101,32,110,111,116,32,114,101,99,111,118,101,114,97,98,108,101,0,80,114,101,118,105,111,117,115,32,111,119,110,101,114,32,100,105,101,100,0,79,112,101,114,97,116,105,111,110,32,99,97,110,99,101,108,101,100,0,70,117,110,99,116,105,111,110,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,0,78,111,32,109,101,115,115,97,103,101,32,111,102,32,100,101,115,105,114,101,100,32,116,121,112,101,0,73,100,101,110,116,105,102,105,101,114,32,114,101,109,111,118,101,100,0,68,101,118,105,99,101,32,110,111,116,32,97,32,115,116,114,101,97,109,0,78,111,32,100,97,116,97,32,97,118,97,105,108,97,98,108,101,0,68,101,118,105,99,101,32,116,105,109,101,111,117,116,0,79,117,116,32,111,102,32,115,116,114,101,97,109,115,32,114,101,115,111,117,114,99,101,115,0,76,105,110,107,32,104,97,115,32,98,101,101,110,32,115,101,118,101,114,101,100,0,80,114,111,116,111,99,111,108,32,101,114,114,111,114,0,66,97,100,32,109,101,115,115,97,103,101,0,70,105,108,101,32,100,101,115,99,114,105,112,116,111,114,32,105,110,32,98,97,100,32,115,116,97,116,101,0,78,111,116,32,97,32,115,111,99,107,101,116,0,68,101,115,116,105,110,97,116,105,111,110,32,97,100,100,114,101,115,115,32,114,101,113,117,105,114,101,100,0,77,101,115,115,97,103,101,32,116,111,111,32,108,97,114,103,101,0,80,114,111,116,111,99,111,108,32,119,114,111,110,103,32,116,121,112,101,32,102,111,114,32,115,111,99,107,101,116,0,80,114,111,116,111,99,111,108,32,110,111,116,32,97,118,97,105,108,97,98,108,101,0,80,114,111,116,111,99,111,108,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,83,111,99,107,101,116,32,116,121,112,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,78,111,116,32,115,117,112,112,111,114,116,101,100,0,80,114,111,116,111,99,111,108,32,102,97,109,105,108,121,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,65,100,100,114,101,115,115,32,102,97,109,105,108,121,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,98,121,32,112,114,111,116,111,99,111,108,0,65,100,100,114,101,115,115,32,110,111,116,32,97,118,97,105,108,97,98,108,101,0,78,101,116,119,111,114,107,32,105,115,32,100,111,119,110,0,78,101,116,119,111,114,107,32,117,110,114,101,97,99,104,97,98,108,101,0,67,111,110,110,101,99,116,105,111,110,32,114,101,115,101,116,32,98,121,32,110,101,116,119,111,114,107,0,67,111,110,110,101,99,116,105,111,110,32,97,98,111,114,116,101,100,0,78,111,32,98,117,102,102,101,114,32,115,112,97,99,101,32,97,118,97,105,108,97,98,108,101,0,83,111,99,107,101,116,32,105,115,32,99,111,110,110,101,99,116,101,100,0,83,111,99,107,101,116,32,110,111,116,32,99,111,110,110,101,99,116,101,100,0,67,97,110,110,111,116,32,115,101,110,100,32,97,102,116,101,114,32,115,111,99,107,101,116,32,115,104,117,116,100,111,119,110,0,79,112,101,114,97,116,105,111,110,32,97,108,114,101,97,100,121,32,105,110,32,112,114,111,103,114,101,115,115,0,79,112,101,114,97,116,105,111,110,32,105,110,32,112,114,111,103,114,101,115,115,0,83,116,97,108,101,32,102,105,108,101,32,104,97,110,100,108,101,0,82,101,109,111,116,101,32,73,47,79,32,101,114,114,111,114,0,81,117,111,116,97,32,101,120,99,101,101,100,101,100,0,78,111,32,109,101,100,105,117,109,32,102,111,117,110,100,0,87,114,111,110,103,32,109,101,100,105,117,109,32,116,121,112,101,0,78,111,32,101,114,114,111,114,32,105,110,102,111,114,109,97,116,105,111,110,0,0,105,110,102,105,110,105,116,121,0,110,97,110,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,1,2,3,4,5,6,7,8,9,255,255,255,255,255,255,255,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,255,255,255,255,255,255,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,1,2,4,7,3,6,5,0,114,119,97,0,76,67,95,65,76,76,0,76,67,95,67,84,89,80,69,0,0,0,0,76,67,95,78,85,77,69,82,73,67,0,0,76,67,95,84,73,77,69,0,0,0,0,0,76,67,95,67,79,76,76,65,84,69,0,0,76,67,95,77,79,78,69,84,65,82,89,0,76,67,95,77,69,83,83,65,71,69,83,0,76,65,78,71,0,67,46,85,84,70,45,56,0,80,79,83,73,88,0,77,85,83,76,95,76,79,67,80,65,84,72,0,78,83,116,51,95,95,50,56,105,111,115,95,98,97,115,101,69,0,78,83,116,51,95,95,50,57,98,97,115,105,99,95,105,111,115,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,50,57,98,97,115,105,99,95,105,111,115,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,78,83,116,51,95,95,50,49,53,98,97,115,105,99,95,115,116,114,101,97,109,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,50,49,53,98,97,115,105,99,95,115,116,114,101,97,109,98,117,102,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,78,83,116,51,95,95,50,49,51,98,97,115,105,99,95,105,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,50,49,51,98,97,115,105,99,95,105,115,116,114,101,97,109,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,78,83,116,51,95,95,50,49,51,98,97,115,105,99,95,111,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,50,49,51,98,97,115,105,99,95,111,115,116,114,101,97,109,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,78,83,116,51,95,95,50,49,52,98,97,115,105,99,95,105,111,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,50,49,49,95,95,115,116,100,111,117,116,98,117,102,73,119,69,69,0,78,83,116,51,95,95,50,49,49,95,95,115,116,100,111,117,116,98,117,102,73,99,69,69,0,117,110,115,117,112,112,111,114,116,101,100,32,108,111,99,97,108,101,32,102,111,114,32,115,116,97,110,100,97,114,100,32,105,110,112,117,116,0,78,83,116,51,95,95,50,49,48,95,95,115,116,100,105,110,98,117,102,73,119,69,69,0,78,83,116,51,95,95,50,49,48,95,95,115,116,100,105,110,98,117,102,73,99,69,69,0,78,83,116,51,95,95,50,55,99,111,108,108,97,116,101,73,99,69,69,0,78,83,116,51,95,95,50,54,108,111,99,97,108,101,53,102,97,99,101,116,69,0,78,83,116,51,95,95,50,55,99,111,108,108,97,116,101,73,119,69,69,0,48,49,50,51,52,53,54,55,56,57,97,98,99,100,101,102,65,66,67,68,69,70,120,88,43,45,112,80,105,73,110,78,0,37,112,0,67,0,78,83,116,51,95,95,50,55,110,117,109,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,78,83,116,51,95,95,50,57,95,95,110,117,109,95,103,101,116,73,99,69,69,0,78,83,116,51,95,95,50,49,52,95,95,110,117,109,95,103,101,116,95,98,97,115,101,69,0,78,83,116,51,95,95,50,55,110,117,109,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,78,83,116,51,95,95,50,57,95,95,110,117,109,95,103,101,116,73,119,69,69,0,37,112,0,0,0,0,76,0,37,0,0,0,0,0,78,83,116,51,95,95,50,55,110,117,109,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,78,83,116,51,95,95,50,57,95,95,110,117,109,95,112,117,116,73,99,69,69,0,78,83,116,51,95,95,50,49,52,95,95,110,117,109,95,112,117,116,95,98,97,115,101,69,0,78,83,116,51,95,95,50,55,110,117,109,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,78,83,116,51,95,95,50,57,95,95,110,117,109,95,112,117,116,73,119,69,69,0,37,72,58,37,77,58,37,83,0,37,109,47,37,100,47,37,121,0,37,73,58,37,77,58,37,83,32,37,112,0,37,97,32,37,98,32,37,100,32,37,72,58,37,77,58,37,83,32,37,89,0,65,77,0,80,77,0,74,97,110,117,97,114,121,0,70,101,98,114,117,97,114,121,0,77,97,114,99,104,0,65,112,114,105,108,0,77,97,121,0,74,117,110,101,0,74,117,108,121,0,65,117,103,117,115,116,0,83,101,112,116,101,109,98,101,114,0,79,99,116,111,98,101,114,0,78,111,118,101,109,98,101,114,0,68,101,99,101,109,98,101,114,0,74,97,110,0,70,101,98,0,77,97,114,0,65,112,114,0,74,117,110,0,74,117,108,0,65,117,103,0,83,101,112,0,79,99,116,0,78,111,118,0,68,101,99,0,83,117,110,100,97,121,0,77,111,110,100,97,121,0,84,117,101,115,100,97,121,0,87,101,100,110,101,115,100,97,121,0,84,104,117,114,115,100,97,121,0,70,114,105,100,97,121,0,83,97,116,117,114,100,97,121,0,83,117,110,0,77,111,110,0,84,117,101,0,87,101,100,0,84,104,117,0,70,114,105,0,83,97,116,0,37,109,47,37,100,47,37,121,37,89,45,37,109,45,37,100,37,73,58,37,77,58,37,83,32,37,112,37,72,58,37,77,37,72,58,37,77,58,37,83,37,72,58,37,77,58,37,83,78,83,116,51,95,95,50,56,116,105,109,101,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,116,105,109,101,95,103,101,116,95,99,95,115,116,111,114,97,103,101,73,99,69,69,0,78,83,116,51,95,95,50,57,116,105,109,101,95,98,97,115,101,69,0,78,83,116,51,95,95,50,56,116,105,109,101,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,116,105,109,101,95,103,101,116,95,99,95,115,116,111,114,97,103,101,73,119,69,69,0,78,83,116,51,95,95,50,56,116,105,109,101,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,78,83,116,51,95,95,50,49,48,95,95,116,105,109,101,95,112,117,116,69,0,78,83,116,51,95,95,50,56,116,105,109,101,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,78,83,116,51,95,95,50,49,48,109,111,110,101,121,112,117,110,99,116,73,99,76,98,48,69,69,69,0,78,83,116,51,95,95,50,49,48,109,111,110,101,121,95,98,97,115,101,69,0,78,83,116,51,95,95,50,49,48,109,111,110,101,121,112,117,110,99,116,73,99,76,98,49,69,69,69,0,78,83,116,51,95,95,50,49,48,109,111,110,101,121,112,117,110,99,116,73,119,76,98,48,69,69,69,0,78,83,116,51,95,95,50,49,48,109,111,110,101,121,112,117,110,99,116,73,119,76,98,49,69,69,69,0,48,49,50,51,52,53,54,55,56,57,0,37,76,102,0,78,83,116,51,95,95,50,57,109,111,110,101,121,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,78,83,116,51,95,95,50,49,49,95,95,109,111,110,101,121,95,103,101,116,73,99,69,69,0,48,49,50,51,52,53,54,55,56,57,0,78,83,116,51,95,95,50,57,109,111,110,101,121,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,78,83,116,51,95,95,50,49,49,95,95,109,111,110,101,121,95,103,101,116,73,119,69,69,0,37,46,48,76,102,0,78,83,116,51,95,95,50,57,109,111,110,101,121,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,78,83,116,51,95,95,50,49,49,95,95,109,111,110,101,121,95,112,117,116,73,99,69,69,0,78,83,116,51,95,95,50,57,109,111,110,101,121,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,78,83,116,51,95,95,50,49,49,95,95,109,111,110,101,121,95,112,117,116,73,119,69,69,0,78,83,116,51,95,95,50,56,109,101,115,115,97,103,101,115,73,99,69,69,0,78,83,116,51,95,95,50,49,51,109,101,115,115,97,103,101,115,95,98,97,115,101,69,0,78,83,116,51,95,95,50,49,55,95,95,119,105,100,101,110,95,102,114,111,109,95,117,116,102,56,73,76,106,51,50,69,69,69,0,78,83,116,51,95,95,50,55,99,111,100,101,99,118,116,73,68,105,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,78,83,116,51,95,95,50,49,50,99,111,100,101,99,118,116,95,98,97,115,101,69,0,78,83,116,51,95,95],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+512004);allocate([50,49,54,95,95,110,97,114,114,111,119,95,116,111,95,117,116,102,56,73,76,106,51,50,69,69,69,0,78,83,116,51,95,95,50,56,109,101,115,115,97,103,101,115,73,119,69,69,0,78,83,116,51,95,95,50,55,99,111,100,101,99,118,116,73,99,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,78,83,116,51,95,95,50,55,99,111,100,101,99,118,116,73,119,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,78,83,116,51,95,95,50,55,99,111,100,101,99,118,116,73,68,115,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,78,83,116,51,95,95,50,54,108,111,99,97,108,101,53,95,95,105,109,112,69,0,78,83,116,51,95,95,50,53,99,116,121,112,101,73,99,69,69,0,78,83,116,51,95,95,50,49,48,99,116,121,112,101,95,98,97,115,101,69,0,78,83,116,51,95,95,50,53,99,116,121,112,101,73,119,69,69,0,78,83,116,51,95,95,50,56,110,117,109,112,117,110,99,116,73,99,69,69,0,78,83,116,51,95,95,50,56,110,117,109,112,117,110,99,116,73,119,69,69,0,78,83,116,51,95,95,50,49,52,95,95,115,104,97,114,101,100,95,99,111,117,110,116,69,0,116,101,114,109,105,110,97,116,105,110,103,32,119,105,116,104,32,37,115,32,101,120,99,101,112,116,105,111,110,32,111,102,32,116,121,112,101,32,37,115,58,32,37,115,0,116,101,114,109,105,110,97,116,105,110,103,32,119,105,116,104,32,37,115,32,101,120,99,101,112,116,105,111,110,32,111,102,32,116,121,112,101,32,37,115,0,116,101,114,109,105,110,97,116,105,110,103,32,119,105,116,104,32,37,115,32,102,111,114,101,105,103,110,32,101,120,99,101,112,116,105,111,110,0,116,101,114,109,105,110,97,116,105,110,103,0,117,110,99,97,117,103,104,116,0,83,116,57,101,120,99,101,112,116,105,111,110,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,54,95,95,115,104,105,109,95,116,121,112,101,95,105,110,102,111,69,0,83,116,57,116,121,112,101,95,105,110,102,111,0,78,49,48,95,95,99,120,120,97,98,105,118,49,50,48,95,95,115,105,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,55,95,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,112,116,104,114,101,97,100,95,111,110,99,101,32,102,97,105,108,117,114,101,32,105,110,32,95,95,99,120,97,95,103,101,116,95,103,108,111,98,97,108,115,95,102,97,115,116,40,41,0,99,97,110,110,111,116,32,99,114,101,97,116,101,32,112,116,104,114,101,97,100,32,107,101,121,32,102,111,114,32,95,95,99,120,97,95,103,101,116,95,103,108,111,98,97,108,115,40,41,0,99,97,110,110,111,116,32,122,101,114,111,32,111,117,116,32,116,104,114,101,97,100,32,118,97,108,117,101,32,102,111,114,32,95,95,99,120,97,95,103,101,116,95,103,108,111,98,97,108,115,40,41,0,116,101,114,109,105,110,97,116,101,95,104,97,110,100,108,101,114,32,117,110,101,120,112,101,99,116,101,100,108,121,32,114,101,116,117,114,110,101,100,0,83,116,49,49,108,111,103,105,99,95,101,114,114,111,114,0,83,116,49,50,108,101,110,103,116,104,95,101,114,114,111,114,0,83,116,49,50,111,117,116,95,111,102,95,114,97,110,103,101,0,115,116,100,58,58,98,97,100,95,99,97,115,116,0,83,116,56,98,97,100,95,99,97,115,116,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,57,95,95,112,111,105,110,116,101,114,95,116,121,112,101,95,105,110,102,111,69,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,55,95,95,112,98,97,115,101,95,116,121,112,101,95,105,110,102,111,69,0,78,49,48,95,95,99,120,120,97,98,105,118,49,50,51,95,95,102,117,110,100,97,109,101,110,116,97,108,95,116,121,112,101,95,105,110,102,111,69,0,118,0,68,110,0,98,0,97,0,115,0,105,0,106,0,109,0,100,0,78,49,48,95,95,99,120,120,97,98,105,118,49,50,49,95,95,118,109,105,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,32,99,111,110,115,116,0,32,118,111,108,97,116,105,108,101,0,32,114,101,115,116,114,105,99,116,0,32,99,111,109,112,108,101,120,0,32,105,109,97,103,105,110,97,114,121,0,32,91,0,32,40,0,41,0,40,0,38,38,0,111,98,106,99,95,111,98,106,101,99,116,60,0,42,0,38,0,111,98,106,99,112,114,111,116,111,0,32,0,60,0,62,0,32,118,101,99,116,111,114,91,0,93,0,112,105,120,101,108,32,118,101,99,116,111,114,91,0,38,61,0,61,0,44,0,126,0,58,58,0,100,101,108,101,116,101,91,93,32,0,100,101,108,101,116,101,32,0,47,0,47,61,0,94,0,94,61,0,61,61,0,62,61,0,41,91,0,60,61,0,60,60,0,60,60,61,0,45,0,45,61,0,42,61,0,45,45,0,41,45,45,0,33,61,0,33,0,124,124,0,124,0,124,61,0,45,62,42,0,43,0,43,61,0,43,43,0,41,43,43,0,41,32,63,32,40,0,41,32,58,32,40,0,37,0,37,61,0,62,62,0,62,62,61,0,116,104,114,111,119,0,116,104,114,111,119,32,0,116,121,112,101,105,100,40,0,115,105,122,101,111,102,46,46,46,40,0,44,32,0,115,105,122,101,111,102,32,40,0,115,116,97,116,105,99,95,99,97,115,116,60,0,62,40,0,114,101,105,110,116,101,114,112,114,101,116,95,99,97,115,116,60,0,45,62,0,110,111,101,120,99,101,112,116,32,40,0,91,93,32,0,41,32,0,46,0,46,42,0,115,116,100,58,58,0,111,112,101,114,97,116,111,114,38,38,0,111,112,101,114,97,116,111,114,38,0,111,112,101,114,97,116,111,114,38,61,0,111,112,101,114,97,116,111,114,61,0,111,112,101,114,97,116,111,114,40,41,0,111,112,101,114,97,116,111,114,44,0,111,112,101,114,97,116,111,114,126,0,111,112,101,114,97,116,111,114,32,0,111,112,101,114,97,116,111,114,32,100,101,108,101,116,101,91,93,0,111,112,101,114,97,116,111,114,42,0,111,112,101,114,97,116,111,114,47,0,111,112,101,114,97,116,111,114,47,61,0,111,112,101,114,97,116,111,114,94,0,111,112,101,114,97,116,111,114,94,61,0,111,112,101,114,97,116,111,114,61,61,0,111,112,101,114,97,116,111,114,62,61,0,111,112,101,114,97,116,111,114,62,0,111,112,101,114,97,116,111,114,91,93,0,111,112,101,114,97,116,111,114,60,61,0,111,112,101,114,97,116,111,114,34,34,32,0,111,112,101,114,97,116,111,114,60,60,0,111,112,101,114,97,116,111,114,60,60,61,0,111,112,101,114,97,116,111,114,60,0,111,112,101,114,97,116,111,114,45,0,111,112,101,114,97,116,111,114,45,61,0,111,112,101,114,97,116,111,114,42,61,0,111,112,101,114,97,116,111,114,45,45,0,111,112,101,114,97,116,111,114,32,110,101,119,91,93,0,111,112,101,114,97,116,111,114,33,61,0,111,112,101,114,97,116,111,114,33,0,111,112,101,114,97,116,111,114,32,110,101,119,0,111,112,101,114,97,116,111,114,124,124,0,111,112,101,114,97,116,111,114,124,0,111,112,101,114,97,116,111,114,124,61,0,111,112,101,114,97,116,111,114,45,62,42,0,111,112,101,114,97,116,111,114,43,0,111,112,101,114,97,116,111,114,43,61,0,111,112,101,114,97,116,111,114,43,43,0,111,112,101,114,97,116,111,114,45,62,0,111,112,101,114,97,116,111,114,63,0,111,112,101,114,97,116,111,114,37,0,111,112,101,114,97,116,111,114,37,61,0,111,112,101,114,97,116,111,114,62,62,0,111,112,101,114,97,116,111,114,62,62,61,0,111,112,101,114,97,116,111,114,32,100,101,108,101,116,101,0,39,117,110,110,97,109,101,100,0,39,108,97,109,98,100,97,39,40,0,115,116,100,58,58,115,116,114,105,110,103,0,115,116,100,58,58,98,97,115,105,99,95,115,116,114,105,110,103,60,99,104,97,114,44,32,115,116,100,58,58,99,104,97,114,95,116,114,97,105,116,115,60,99,104,97,114,62,44,32,115,116,100,58,58,97,108,108,111,99,97,116,111,114,60,99,104,97,114,62,32,62,0,98,97,115,105,99,95,115,116,114,105,110,103,0,115,116,100,58,58,105,115,116,114,101,97,109,0,115,116,100,58,58,98,97,115,105,99,95,105,115,116,114,101,97,109,60,99,104,97,114,44,32,115,116,100,58,58,99,104,97,114,95,116,114,97,105,116,115,60,99,104,97,114,62,32,62,0,98,97,115,105,99,95,105,115,116,114,101,97,109,0,115,116,100,58,58,111,115,116,114,101,97,109,0,115,116,100,58,58,98,97,115,105,99,95,111,115,116,114,101,97,109,60,99,104,97,114,44,32,115,116,100,58,58,99,104,97,114,95,116,114,97,105,116,115,60,99,104,97,114,62,32,62,0,98,97,115,105,99,95,111,115,116,114,101,97,109,0,115,116,100,58,58,105,111,115,116,114,101,97,109,0,115,116,100,58,58,98,97,115,105,99,95,105,111,115,116,114,101,97,109,60,99,104,97,114,44,32,115,116,100,58,58,99,104,97,114,95,116,114,97,105,116,115,60,99,104,97,114,62,32,62,0,98,97,115,105,99,95,105,111,115,116,114,101,97,109,0,100,121,110,97,109,105,99,95,99,97,115,116,60,0,41,40,0,99,111,110,115,116,95,99,97,115,116,60,0,97,108,105,103,110,111,102,32,40,0,102,112,0,119,99,104,97,114,95,116,0,102,97,108,115,101,0,116,114,117,101,0,99,104,97,114,0,115,105,103,110,101,100,32,99,104,97,114,0,117,110,115,105,103,110,101,100,32,99,104,97,114,0,115,104,111,114,116,0,117,110,115,105,103,110,101,100,32,115,104,111,114,116,0,117,0,108,0,117,108,0,108,108,0,117,108,108,0,95,95,105,110,116,49,50,56,0,117,110,115,105,103,110,101,100,32,95,95,105,110,116,49,50,56,0,37,76,97,76,0,37,97,0,37,97,102,0,100,101,99,108,116,121,112,101,40,0,115,116,100,58,58,97,108,108,111,99,97,116,111,114,0,115,116,100,58,58,98,97,115,105,99,95,115,116,114,105,110,103,0,58,58,115,116,114,105,110,103,32,108,105,116,101,114,97,108,0,115,116,100,0,95,71,76,79,66,65,76,95,95,78,0,40,97,110,111,110,121,109,111,117,115,32,110,97,109,101,115,112,97,99,101,41,0,32,62,0,84,95,0,105,100,0,58,58,42,0,32,38,0,32,38,38,0,32,91,93,0,118,111,105,100,0,98,111,111,108,0,105,110,116,0,117,110,115,105,103,110,101,100,32,105,110,116,0,108,111,110,103,0,117,110,115,105,103,110,101,100,32,108,111,110,103,0,108,111,110,103,32,108,111,110,103,0,102,108,111,97,116,0,108,111,110,103,32,100,111,117,98,108,101,0,95,95,102,108,111,97,116,49,50,56,0,46,46,46,0,100,101,99,105,109,97,108,54,52,0,100,101,99,105,109,97,108,49,50,56,0,100,101,99,105,109,97,108,51,50,0,100,101,99,105,109,97,108,49,54,0,99,104,97,114,51,50,95,116,0,99,104,97,114,49,54,95,116,0,97,117,116,111,0,115,116,100,58,58,110,117,108,108,112,116,114,95,116,0,100,111,117,98,108,101,0,117,110,115,105,103,110,101,100,32,108,111,110,103,32,108,111,110,103,0,95,98,108,111,99,107,95,105,110,118,111,107,101,0,105,110,118,111,99,97,116,105,111,110,32,102,117,110,99,116,105,111,110,32,102,111,114,32,98,108,111,99,107,32,105,110,32,0,118,116,97,98,108,101,32,102,111,114,32,0,86,84,84,32,102,111,114,32,0,116,121,112,101,105,110,102,111,32,102,111,114,32,0,116,121,112,101,105,110,102,111,32,110,97,109,101,32,102,111,114,32,0,99,111,118,97,114,105,97,110,116,32,114,101,116,117,114,110,32,116,104,117,110,107,32,116,111,32,0,99,111,110,115,116,114,117,99,116,105,111,110,32,118,116,97,98,108,101,32,102,111,114,32,0,45,105,110,45,0,118,105,114,116,117,97,108,32,116,104,117,110,107,32,116,111,32,0,110,111,110,45,118,105,114,116,117,97,108,32,116,104,117,110,107,32,116,111,32,0,103,117,97,114,100,32,118,97,114,105,97,98,108,101,32,102,111,114,32,0,114,101,102,101,114,101,110,99,101,32,116,101,109,112,111,114,97,114,121,32,102,111,114,32,0],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+522244);var tempDoublePtr=STATICTOP;STATICTOP+=16;function _atexit(func,arg){__ATEXIT__.unshift({func:func,arg:arg})}function ___cxa_atexit(){return _atexit.apply(null,arguments)}var emval_symbols={};function embind_init_charCodes(){var codes=new Array(256);for(var i=0;i<256;++i){codes[i]=String.fromCharCode(i)}embind_charCodes=codes}var embind_charCodes=undefined;function readLatin1String(ptr){var ret="";var c=ptr;while(HEAPU8[c]){ret+=embind_charCodes[HEAPU8[c++]]}return ret}function getStringOrSymbol(address){var symbol=emval_symbols[address];if(symbol===undefined){return readLatin1String(address)}else{return symbol}}var emval_free_list=[];var emval_handle_array=[{},{value:undefined},{value:null},{value:true},{value:false}];function count_emval_handles(){var count=0;for(var i=5;i<emval_handle_array.length;++i){if(emval_handle_array[i]!==undefined){++count}}return count}function get_first_emval(){for(var i=5;i<emval_handle_array.length;++i){if(emval_handle_array[i]!==undefined){return emval_handle_array[i]}}return null}function init_emval(){Module["count_emval_handles"]=count_emval_handles;Module["get_first_emval"]=get_first_emval}function __emval_register(value){switch(value){case undefined:{return 1};case null:{return 2};case true:{return 3};case false:{return 4};default:{var handle=emval_free_list.length?emval_free_list.pop():emval_handle_array.length;emval_handle_array[handle]={refcount:1,value:value};return handle}}}function __emval_new_cstring(v){return __emval_register(getStringOrSymbol(v))}var emval_methodCallers=[];function __emval_addMethodCaller(caller){var id=emval_methodCallers.length;emval_methodCallers.push(caller);return id}var registeredTypes={};function getTypeName(type){var ptr=___getTypeName(type);var rv=readLatin1String(ptr);_free(ptr);return rv}var char_0=48;var char_9=57;function makeLegalFunctionName(name){if(undefined===name){return"_unknown"}name=name.replace(/[^a-zA-Z0-9_]/g,"$");var f=name.charCodeAt(0);if(f>=char_0&&f<=char_9){return"_"+name}else{return name}}function createNamedFunction(name,body){name=makeLegalFunctionName(name);return(new Function("body","return function "+name+"() {\n"+'    "use strict";'+"    return body.apply(this, arguments);\n"+"};\n"))(body)}function extendError(baseErrorType,errorName){var errorClass=createNamedFunction(errorName,(function(message){this.name=errorName;this.message=message;var stack=(new Error(message)).stack;if(stack!==undefined){this.stack=this.toString()+"\n"+stack.replace(/^Error(:[^\n]*)?\n/,"")}}));errorClass.prototype=Object.create(baseErrorType.prototype);errorClass.prototype.constructor=errorClass;errorClass.prototype.toString=(function(){if(this.message===undefined){return this.name}else{return this.name+": "+this.message}});return errorClass}var BindingError=undefined;function throwBindingError(message){throw new BindingError(message)}function requireRegisteredType(rawType,humanName){var impl=registeredTypes[rawType];if(undefined===impl){throwBindingError(humanName+" has unknown type "+getTypeName(rawType))}return impl}function __emval_lookupTypes(argCount,argTypes,argWireTypes){var a=new Array(argCount);for(var i=0;i<argCount;++i){a[i]=requireRegisteredType(HEAP32[(argTypes>>2)+i],"parameter "+i)}return a}function new_(constructor,argumentList){if(!(constructor instanceof Function)){throw new TypeError("new_ called with constructor type "+typeof constructor+" which is not a function")}var dummy=createNamedFunction(constructor.name||"unknownFunctionName",(function(){}));dummy.prototype=constructor.prototype;var obj=new dummy;var r=constructor.apply(obj,argumentList);return r instanceof Object?r:obj}function __emval_get_method_caller(argCount,argTypes){var types=__emval_lookupTypes(argCount,argTypes);var retType=types[0];var signatureName=retType.name+"_$"+types.slice(1).map((function(t){return t.name})).join("_")+"$";var params=["retType"];var args=[retType];var argsList="";for(var i=0;i<argCount-1;++i){argsList+=(i!==0?", ":"")+"arg"+i;params.push("argType"+i);args.push(types[1+i])}var functionName=makeLegalFunctionName("methodCaller_"+signatureName);var functionBody="return function "+functionName+"(handle, name, destructors, args) {\n";var offset=0;for(var i=0;i<argCount-1;++i){functionBody+="    var arg"+i+" = argType"+i+".readValueFromPointer(args"+(offset?"+"+offset:"")+");\n";offset+=types[i+1]["argPackAdvance"]}functionBody+="    var rv = handle[name]("+argsList+");\n";for(var i=0;i<argCount-1;++i){if(types[i+1]["deleteObject"]){functionBody+="    argType"+i+".deleteObject(arg"+i+");\n"}}if(!retType.isVoid){functionBody+="    return retType.toWireType(destructors, rv);\n"}functionBody+="};\n";params.push(functionBody);var invokerFunction=new_(Function,params).apply(null,args);return __emval_addMethodCaller(invokerFunction)}function __ZSt18uncaught_exceptionv(){return!!__ZSt18uncaught_exceptionv.uncaught_exception}var EXCEPTIONS={last:0,caught:[],infos:{},deAdjust:(function(adjusted){if(!adjusted||EXCEPTIONS.infos[adjusted])return adjusted;for(var ptr in EXCEPTIONS.infos){var info=EXCEPTIONS.infos[ptr];if(info.adjusted===adjusted){return ptr}}return adjusted}),addRef:(function(ptr){if(!ptr)return;var info=EXCEPTIONS.infos[ptr];info.refcount++}),decRef:(function(ptr){if(!ptr)return;var info=EXCEPTIONS.infos[ptr];assert(info.refcount>0);info.refcount--;if(info.refcount===0&&!info.rethrown){if(info.destructor){Module["dynCall_vi"](info.destructor,ptr)}delete EXCEPTIONS.infos[ptr];___cxa_free_exception(ptr)}}),clearRef:(function(ptr){if(!ptr)return;var info=EXCEPTIONS.infos[ptr];info.refcount=0})};function ___resumeException(ptr){if(!EXCEPTIONS.last){EXCEPTIONS.last=ptr}throw ptr+" - Exception catching is disabled, this exception cannot be caught. Compile with -s DISABLE_EXCEPTION_CATCHING=0 or DISABLE_EXCEPTION_CATCHING=2 to catch."}function ___cxa_find_matching_catch(){var thrown=EXCEPTIONS.last;if(!thrown){return(Runtime.setTempRet0(0),0)|0}var info=EXCEPTIONS.infos[thrown];var throwntype=info.type;if(!throwntype){return(Runtime.setTempRet0(0),thrown)|0}var typeArray=Array.prototype.slice.call(arguments);var pointer=Module["___cxa_is_pointer_type"](throwntype);if(!___cxa_find_matching_catch.buffer)___cxa_find_matching_catch.buffer=_malloc(4);HEAP32[___cxa_find_matching_catch.buffer>>2]=thrown;thrown=___cxa_find_matching_catch.buffer;for(var i=0;i<typeArray.length;i++){if(typeArray[i]&&Module["___cxa_can_catch"](typeArray[i],throwntype,thrown)){thrown=HEAP32[thrown>>2];info.adjusted=thrown;return(Runtime.setTempRet0(typeArray[i]),thrown)|0}}thrown=HEAP32[thrown>>2];return(Runtime.setTempRet0(throwntype),thrown)|0}function ___cxa_throw(ptr,type,destructor){EXCEPTIONS.infos[ptr]={ptr:ptr,adjusted:ptr,type:type,destructor:destructor,refcount:0,caught:false,rethrown:false};EXCEPTIONS.last=ptr;if(!("uncaught_exception"in __ZSt18uncaught_exceptionv)){__ZSt18uncaught_exceptionv.uncaught_exception=1}else{__ZSt18uncaught_exceptionv.uncaught_exception++}throw ptr+" - Exception catching is disabled, this exception cannot be caught. Compile with -s DISABLE_EXCEPTION_CATCHING=0 or DISABLE_EXCEPTION_CATCHING=2 to catch."}var awaitingDependencies={};var typeDependencies={};var InternalError=undefined;function throwInternalError(message){throw new InternalError(message)}function whenDependentTypesAreResolved(myTypes,dependentTypes,getTypeConverters){myTypes.forEach((function(type){typeDependencies[type]=dependentTypes}));function onComplete(typeConverters){var myTypeConverters=getTypeConverters(typeConverters);if(myTypeConverters.length!==myTypes.length){throwInternalError("Mismatched type converter count")}for(var i=0;i<myTypes.length;++i){registerType(myTypes[i],myTypeConverters[i])}}var typeConverters=new Array(dependentTypes.length);var unregisteredTypes=[];var registered=0;dependentTypes.forEach((function(dt,i){if(registeredTypes.hasOwnProperty(dt)){typeConverters[i]=registeredTypes[dt]}else{unregisteredTypes.push(dt);if(!awaitingDependencies.hasOwnProperty(dt)){awaitingDependencies[dt]=[]}awaitingDependencies[dt].push((function(){typeConverters[i]=registeredTypes[dt];++registered;if(registered===unregisteredTypes.length){onComplete(typeConverters)}}))}}));if(0===unregisteredTypes.length){onComplete(typeConverters)}}function registerType(rawType,registeredInstance,options){options=options||{};if(!("argPackAdvance"in registeredInstance)){throw new TypeError("registerType registeredInstance requires argPackAdvance")}var name=registeredInstance.name;if(!rawType){throwBindingError('type "'+name+'" must have a positive integer typeid pointer')}if(registeredTypes.hasOwnProperty(rawType)){if(options.ignoreDuplicateRegistrations){return}else{throwBindingError("Cannot register type '"+name+"' twice")}}registeredTypes[rawType]=registeredInstance;delete typeDependencies[rawType];if(awaitingDependencies.hasOwnProperty(rawType)){var callbacks=awaitingDependencies[rawType];delete awaitingDependencies[rawType];callbacks.forEach((function(cb){cb()}))}}function simpleReadValueFromPointer(pointer){return this["fromWireType"](HEAPU32[pointer>>2])}function __embind_register_std_string(rawType,name){name=readLatin1String(name);registerType(rawType,{name:name,"fromWireType":(function(value){var length=HEAPU32[value>>2];var a=new Array(length);for(var i=0;i<length;++i){a[i]=String.fromCharCode(HEAPU8[value+4+i])}_free(value);return a.join("")}),"toWireType":(function(destructors,value){if(value instanceof ArrayBuffer){value=new Uint8Array(value)}function getTAElement(ta,index){return ta[index]}function getStringElement(string,index){return string.charCodeAt(index)}var getElement;if(value instanceof Uint8Array){getElement=getTAElement}else if(value instanceof Uint8ClampedArray){getElement=getTAElement}else if(value instanceof Int8Array){getElement=getTAElement}else if(typeof value==="string"){getElement=getStringElement}else{throwBindingError("Cannot pass non-string to std::string")}var length=value.length;var ptr=_malloc(4+length);HEAPU32[ptr>>2]=length;for(var i=0;i<length;++i){var charCode=getElement(value,i);if(charCode>255){_free(ptr);throwBindingError("String has UTF-16 code units that do not fit in 8 bits")}HEAPU8[ptr+4+i]=charCode}if(destructors!==null){destructors.push(_free,ptr)}return ptr}),"argPackAdvance":8,"readValueFromPointer":simpleReadValueFromPointer,destructorFunction:(function(ptr){_free(ptr)})})}function __embind_register_std_wstring(rawType,charSize,name){name=readLatin1String(name);var getHeap,shift;if(charSize===2){getHeap=(function(){return HEAPU16});shift=1}else if(charSize===4){getHeap=(function(){return HEAPU32});shift=2}registerType(rawType,{name:name,"fromWireType":(function(value){var HEAP=getHeap();var length=HEAPU32[value>>2];var a=new Array(length);var start=value+4>>shift;for(var i=0;i<length;++i){a[i]=String.fromCharCode(HEAP[start+i])}_free(value);return a.join("")}),"toWireType":(function(destructors,value){var HEAP=getHeap();var length=value.length;var ptr=_malloc(4+length*charSize);HEAPU32[ptr>>2]=length;var start=ptr+4>>shift;for(var i=0;i<length;++i){HEAP[start+i]=value.charCodeAt(i)}if(destructors!==null){destructors.push(_free,ptr)}return ptr}),"argPackAdvance":8,"readValueFromPointer":simpleReadValueFromPointer,destructorFunction:(function(ptr){_free(ptr)})})}function _pthread_mutex_init(){}var cttz_i8=allocate([8,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,7,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0],"i8",ALLOC_STATIC);function __emval_decref(handle){if(handle>4&&0===--emval_handle_array[handle].refcount){emval_handle_array[handle]=undefined;emval_free_list.push(handle)}}var structRegistrations={};function runDestructors(destructors){while(destructors.length){var ptr=destructors.pop();var del=destructors.pop();del(ptr)}}function __embind_finalize_value_object(structType){var reg=structRegistrations[structType];delete structRegistrations[structType];var rawConstructor=reg.rawConstructor;var rawDestructor=reg.rawDestructor;var fieldRecords=reg.fields;var fieldTypes=fieldRecords.map((function(field){return field.getterReturnType})).concat(fieldRecords.map((function(field){return field.setterArgumentType})));whenDependentTypesAreResolved([structType],fieldTypes,(function(fieldTypes){var fields={};fieldRecords.forEach((function(field,i){var fieldName=field.fieldName;var getterReturnType=fieldTypes[i];var getter=field.getter;var getterContext=field.getterContext;var setterArgumentType=fieldTypes[i+fieldRecords.length];var setter=field.setter;var setterContext=field.setterContext;fields[fieldName]={read:(function(ptr){return getterReturnType["fromWireType"](getter(getterContext,ptr))}),write:(function(ptr,o){var destructors=[];setter(setterContext,ptr,setterArgumentType["toWireType"](destructors,o));runDestructors(destructors)})}}));return[{name:reg.name,"fromWireType":(function(ptr){var rv={};for(var i in fields){rv[i]=fields[i].read(ptr)}rawDestructor(ptr);return rv}),"toWireType":(function(destructors,o){for(var fieldName in fields){if(!(fieldName in o)){throw new TypeError("Missing field")}}var ptr=rawConstructor();for(fieldName in fields){fields[fieldName].write(ptr,o[fieldName])}if(destructors!==null){destructors.push(rawDestructor,ptr)}return ptr}),"argPackAdvance":8,"readValueFromPointer":simpleReadValueFromPointer,destructorFunction:rawDestructor}]}))}var PTHREAD_SPECIFIC={};var PTHREAD_SPECIFIC_NEXT_KEY=1;var ERRNO_CODES={EPERM:1,ENOENT:2,ESRCH:3,EINTR:4,EIO:5,ENXIO:6,E2BIG:7,ENOEXEC:8,EBADF:9,ECHILD:10,EAGAIN:11,EWOULDBLOCK:11,ENOMEM:12,EACCES:13,EFAULT:14,ENOTBLK:15,EBUSY:16,EEXIST:17,EXDEV:18,ENODEV:19,ENOTDIR:20,EISDIR:21,EINVAL:22,ENFILE:23,EMFILE:24,ENOTTY:25,ETXTBSY:26,EFBIG:27,ENOSPC:28,ESPIPE:29,EROFS:30,EMLINK:31,EPIPE:32,EDOM:33,ERANGE:34,ENOMSG:42,EIDRM:43,ECHRNG:44,EL2NSYNC:45,EL3HLT:46,EL3RST:47,ELNRNG:48,EUNATCH:49,ENOCSI:50,EL2HLT:51,EDEADLK:35,ENOLCK:37,EBADE:52,EBADR:53,EXFULL:54,ENOANO:55,EBADRQC:56,EBADSLT:57,EDEADLOCK:35,EBFONT:59,ENOSTR:60,ENODATA:61,ETIME:62,ENOSR:63,ENONET:64,ENOPKG:65,EREMOTE:66,ENOLINK:67,EADV:68,ESRMNT:69,ECOMM:70,EPROTO:71,EMULTIHOP:72,EDOTDOT:73,EBADMSG:74,ENOTUNIQ:76,EBADFD:77,EREMCHG:78,ELIBACC:79,ELIBBAD:80,ELIBSCN:81,ELIBMAX:82,ELIBEXEC:83,ENOSYS:38,ENOTEMPTY:39,ENAMETOOLONG:36,ELOOP:40,EOPNOTSUPP:95,EPFNOSUPPORT:96,ECONNRESET:104,ENOBUFS:105,EAFNOSUPPORT:97,EPROTOTYPE:91,ENOTSOCK:88,ENOPROTOOPT:92,ESHUTDOWN:108,ECONNREFUSED:111,EADDRINUSE:98,ECONNABORTED:103,ENETUNREACH:101,ENETDOWN:100,ETIMEDOUT:110,EHOSTDOWN:112,EHOSTUNREACH:113,EINPROGRESS:115,EALREADY:114,EDESTADDRREQ:89,EMSGSIZE:90,EPROTONOSUPPORT:93,ESOCKTNOSUPPORT:94,EADDRNOTAVAIL:99,ENETRESET:102,EISCONN:106,ENOTCONN:107,ETOOMANYREFS:109,EUSERS:87,EDQUOT:122,ESTALE:116,ENOTSUP:95,ENOMEDIUM:123,EILSEQ:84,EOVERFLOW:75,ECANCELED:125,ENOTRECOVERABLE:131,EOWNERDEAD:130,ESTRPIPE:86};function _pthread_key_create(key,destructor){if(key==0){return ERRNO_CODES.EINVAL}HEAP32[key>>2]=PTHREAD_SPECIFIC_NEXT_KEY;PTHREAD_SPECIFIC[PTHREAD_SPECIFIC_NEXT_KEY]=0;PTHREAD_SPECIFIC_NEXT_KEY++;return 0}function __emval_take_value(type,argv){type=requireRegisteredType(type,"_emval_take_value");var v=type["readValueFromPointer"](argv);return __emval_register(v)}var _llvm_pow_f32=Math_pow;var ERRNO_MESSAGES={0:"Success",1:"Not super-user",2:"No such file or directory",3:"No such process",4:"Interrupted system call",5:"I/O error",6:"No such device or address",7:"Arg list too long",8:"Exec format error",9:"Bad file number",10:"No children",11:"No more processes",12:"Not enough core",13:"Permission denied",14:"Bad address",15:"Block device required",16:"Mount device busy",17:"File exists",18:"Cross-device link",19:"No such device",20:"Not a directory",21:"Is a directory",22:"Invalid argument",23:"Too many open files in system",24:"Too many open files",25:"Not a typewriter",26:"Text file busy",27:"File too large",28:"No space left on device",29:"Illegal seek",30:"Read only file system",31:"Too many links",32:"Broken pipe",33:"Math arg out of domain of func",34:"Math result not representable",35:"File locking deadlock error",36:"File or path name too long",37:"No record locks available",38:"Function not implemented",39:"Directory not empty",40:"Too many symbolic links",42:"No message of desired type",43:"Identifier removed",44:"Channel number out of range",45:"Level 2 not synchronized",46:"Level 3 halted",47:"Level 3 reset",48:"Link number out of range",49:"Protocol driver not attached",50:"No CSI structure available",51:"Level 2 halted",52:"Invalid exchange",53:"Invalid request descriptor",54:"Exchange full",55:"No anode",56:"Invalid request code",57:"Invalid slot",59:"Bad font file fmt",60:"Device not a stream",61:"No data (for no delay io)",62:"Timer expired",63:"Out of streams resources",64:"Machine is not on the network",65:"Package not installed",66:"The object is remote",67:"The link has been severed",68:"Advertise error",69:"Srmount error",70:"Communication error on send",71:"Protocol error",72:"Multihop attempted",73:"Cross mount point (not really error)",74:"Trying to read unreadable message",75:"Value too large for defined data type",76:"Given log. name not unique",77:"f.d. invalid for this operation",78:"Remote address changed",79:"Can   access a needed shared lib",80:"Accessing a corrupted shared lib",81:".lib section in a.out corrupted",82:"Attempting to link in too many libs",83:"Attempting to exec a shared library",84:"Illegal byte sequence",86:"Streams pipe error",87:"Too many users",88:"Socket operation on non-socket",89:"Destination address required",90:"Message too long",91:"Protocol wrong type for socket",92:"Protocol not available",93:"Unknown protocol",94:"Socket type not supported",95:"Not supported",96:"Protocol family not supported",97:"Address family not supported by protocol family",98:"Address already in use",99:"Address not available",100:"Network interface is not configured",101:"Network is unreachable",102:"Connection reset by network",103:"Connection aborted",104:"Connection reset by peer",105:"No buffer space available",106:"Socket is already connected",107:"Socket is not connected",108:"Can't send after socket shutdown",109:"Too many references",110:"Connection timed out",111:"Connection refused",112:"Host is down",113:"Host is unreachable",114:"Socket already connected",115:"Connection already in progress",116:"Stale file handle",122:"Quota exceeded",123:"No medium (in tape drive)",125:"Operation canceled",130:"Previous owner died",131:"State not recoverable"};function ___setErrNo(value){if(Module["___errno_location"])HEAP32[Module["___errno_location"]()>>2]=value;return value}var PATH={splitPath:(function(filename){var splitPathRe=/^(\/?|)([\s\S]*?)((?:\.{1,2}|[^\/]+?|)(\.[^.\/]*|))(?:[\/]*)$/;return splitPathRe.exec(filename).slice(1)}),normalizeArray:(function(parts,allowAboveRoot){var up=0;for(var i=parts.length-1;i>=0;i--){var last=parts[i];if(last==="."){parts.splice(i,1)}else if(last===".."){parts.splice(i,1);up++}else if(up){parts.splice(i,1);up--}}if(allowAboveRoot){for(;up;up--){parts.unshift("..")}}return parts}),normalize:(function(path){var isAbsolute=path.charAt(0)==="/",trailingSlash=path.substr(-1)==="/";path=PATH.normalizeArray(path.split("/").filter((function(p){return!!p})),!isAbsolute).join("/");if(!path&&!isAbsolute){path="."}if(path&&trailingSlash){path+="/"}return(isAbsolute?"/":"")+path}),dirname:(function(path){var result=PATH.splitPath(path),root=result[0],dir=result[1];if(!root&&!dir){return"."}if(dir){dir=dir.substr(0,dir.length-1)}return root+dir}),basename:(function(path){if(path==="/")return"/";var lastSlash=path.lastIndexOf("/");if(lastSlash===-1)return path;return path.substr(lastSlash+1)}),extname:(function(path){return PATH.splitPath(path)[3]}),join:(function(){var paths=Array.prototype.slice.call(arguments,0);return PATH.normalize(paths.join("/"))}),join2:(function(l,r){return PATH.normalize(l+"/"+r)}),resolve:(function(){var resolvedPath="",resolvedAbsolute=false;for(var i=arguments.length-1;i>=-1&&!resolvedAbsolute;i--){var path=i>=0?arguments[i]:FS.cwd();if(typeof path!=="string"){throw new TypeError("Arguments to path.resolve must be strings")}else if(!path){return""}resolvedPath=path+"/"+resolvedPath;resolvedAbsolute=path.charAt(0)==="/"}resolvedPath=PATH.normalizeArray(resolvedPath.split("/").filter((function(p){return!!p})),!resolvedAbsolute).join("/");return(resolvedAbsolute?"/":"")+resolvedPath||"."}),relative:(function(from,to){from=PATH.resolve(from).substr(1);to=PATH.resolve(to).substr(1);function trim(arr){var start=0;for(;start<arr.length;start++){if(arr[start]!=="")break}var end=arr.length-1;for(;end>=0;end--){if(arr[end]!=="")break}if(start>end)return[];return arr.slice(start,end-start+1)}var fromParts=trim(from.split("/"));var toParts=trim(to.split("/"));var length=Math.min(fromParts.length,toParts.length);var samePartsLength=length;for(var i=0;i<length;i++){if(fromParts[i]!==toParts[i]){samePartsLength=i;break}}var outputParts=[];for(var i=samePartsLength;i<fromParts.length;i++){outputParts.push("..")}outputParts=outputParts.concat(toParts.slice(samePartsLength));return outputParts.join("/")})};var TTY={ttys:[],init:(function(){}),shutdown:(function(){}),register:(function(dev,ops){TTY.ttys[dev]={input:[],output:[],ops:ops};FS.registerDevice(dev,TTY.stream_ops)}),stream_ops:{open:(function(stream){var tty=TTY.ttys[stream.node.rdev];if(!tty){throw new FS.ErrnoError(ERRNO_CODES.ENODEV)}stream.tty=tty;stream.seekable=false}),close:(function(stream){stream.tty.ops.flush(stream.tty)}),flush:(function(stream){stream.tty.ops.flush(stream.tty)}),read:(function(stream,buffer,offset,length,pos){if(!stream.tty||!stream.tty.ops.get_char){throw new FS.ErrnoError(ERRNO_CODES.ENXIO)}var bytesRead=0;for(var i=0;i<length;i++){var result;try{result=stream.tty.ops.get_char(stream.tty)}catch(e){throw new FS.ErrnoError(ERRNO_CODES.EIO)}if(result===undefined&&bytesRead===0){throw new FS.ErrnoError(ERRNO_CODES.EAGAIN)}if(result===null||result===undefined)break;bytesRead++;buffer[offset+i]=result}if(bytesRead){stream.node.timestamp=Date.now()}return bytesRead}),write:(function(stream,buffer,offset,length,pos){if(!stream.tty||!stream.tty.ops.put_char){throw new FS.ErrnoError(ERRNO_CODES.ENXIO)}for(var i=0;i<length;i++){try{stream.tty.ops.put_char(stream.tty,buffer[offset+i])}catch(e){throw new FS.ErrnoError(ERRNO_CODES.EIO)}}if(length){stream.node.timestamp=Date.now()}return i})},default_tty_ops:{get_char:(function(tty){if(!tty.input.length){var result=null;if(ENVIRONMENT_IS_NODE){var BUFSIZE=256;var buf=new Buffer(BUFSIZE);var bytesRead=0;var isPosixPlatform=process.platform!="win32";var fd=process.stdin.fd;if(isPosixPlatform){var usingDevice=false;try{fd=fs.openSync("/dev/stdin","r");usingDevice=true}catch(e){}}try{bytesRead=fs.readSync(fd,buf,0,BUFSIZE,null)}catch(e){if(e.toString().indexOf("EOF")!=-1)bytesRead=0;else throw e}if(usingDevice){fs.closeSync(fd)}if(bytesRead>0){result=buf.slice(0,bytesRead).toString("utf-8")}else{result=null}}else if(typeof window!="undefined"&&typeof window.prompt=="function"){result=window.prompt("Input: ");if(result!==null){result+="\n"}}else if(typeof readline=="function"){result=readline();if(result!==null){result+="\n"}}if(!result){return null}tty.input=intArrayFromString(result,true)}return tty.input.shift()}),put_char:(function(tty,val){if(val===null||val===10){Module["print"](UTF8ArrayToString(tty.output,0));tty.output=[]}else{if(val!=0)tty.output.push(val)}}),flush:(function(tty){if(tty.output&&tty.output.length>0){Module["print"](UTF8ArrayToString(tty.output,0));tty.output=[]}})},default_tty1_ops:{put_char:(function(tty,val){if(val===null||val===10){Module["printErr"](UTF8ArrayToString(tty.output,0));tty.output=[]}else{if(val!=0)tty.output.push(val)}}),flush:(function(tty){if(tty.output&&tty.output.length>0){Module["printErr"](UTF8ArrayToString(tty.output,0));tty.output=[]}})}};var MEMFS={ops_table:null,mount:(function(mount){return MEMFS.createNode(null,"/",16384|511,0)}),createNode:(function(parent,name,mode,dev){if(FS.isBlkdev(mode)||FS.isFIFO(mode)){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}if(!MEMFS.ops_table){MEMFS.ops_table={dir:{node:{getattr:MEMFS.node_ops.getattr,setattr:MEMFS.node_ops.setattr,lookup:MEMFS.node_ops.lookup,mknod:MEMFS.node_ops.mknod,rename:MEMFS.node_ops.rename,unlink:MEMFS.node_ops.unlink,rmdir:MEMFS.node_ops.rmdir,readdir:MEMFS.node_ops.readdir,symlink:MEMFS.node_ops.symlink},stream:{llseek:MEMFS.stream_ops.llseek}},file:{node:{getattr:MEMFS.node_ops.getattr,setattr:MEMFS.node_ops.setattr},stream:{llseek:MEMFS.stream_ops.llseek,read:MEMFS.stream_ops.read,write:MEMFS.stream_ops.write,allocate:MEMFS.stream_ops.allocate,mmap:MEMFS.stream_ops.mmap,msync:MEMFS.stream_ops.msync}},link:{node:{getattr:MEMFS.node_ops.getattr,setattr:MEMFS.node_ops.setattr,readlink:MEMFS.node_ops.readlink},stream:{}},chrdev:{node:{getattr:MEMFS.node_ops.getattr,setattr:MEMFS.node_ops.setattr},stream:FS.chrdev_stream_ops}}}var node=FS.createNode(parent,name,mode,dev);if(FS.isDir(node.mode)){node.node_ops=MEMFS.ops_table.dir.node;node.stream_ops=MEMFS.ops_table.dir.stream;node.contents={}}else if(FS.isFile(node.mode)){node.node_ops=MEMFS.ops_table.file.node;node.stream_ops=MEMFS.ops_table.file.stream;node.usedBytes=0;node.contents=null}else if(FS.isLink(node.mode)){node.node_ops=MEMFS.ops_table.link.node;node.stream_ops=MEMFS.ops_table.link.stream}else if(FS.isChrdev(node.mode)){node.node_ops=MEMFS.ops_table.chrdev.node;node.stream_ops=MEMFS.ops_table.chrdev.stream}node.timestamp=Date.now();if(parent){parent.contents[name]=node}return node}),getFileDataAsRegularArray:(function(node){if(node.contents&&node.contents.subarray){var arr=[];for(var i=0;i<node.usedBytes;++i)arr.push(node.contents[i]);return arr}return node.contents}),getFileDataAsTypedArray:(function(node){if(!node.contents)return new Uint8Array;if(node.contents.subarray)return node.contents.subarray(0,node.usedBytes);return new Uint8Array(node.contents)}),expandFileStorage:(function(node,newCapacity){if(node.contents&&node.contents.subarray&&newCapacity>node.contents.length){node.contents=MEMFS.getFileDataAsRegularArray(node);node.usedBytes=node.contents.length}if(!node.contents||node.contents.subarray){var prevCapacity=node.contents?node.contents.length:0;if(prevCapacity>=newCapacity)return;var CAPACITY_DOUBLING_MAX=1024*1024;newCapacity=Math.max(newCapacity,prevCapacity*(prevCapacity<CAPACITY_DOUBLING_MAX?2:1.125)|0);if(prevCapacity!=0)newCapacity=Math.max(newCapacity,256);var oldContents=node.contents;node.contents=new Uint8Array(newCapacity);if(node.usedBytes>0)node.contents.set(oldContents.subarray(0,node.usedBytes),0);return}if(!node.contents&&newCapacity>0)node.contents=[];while(node.contents.length<newCapacity)node.contents.push(0)}),resizeFileStorage:(function(node,newSize){if(node.usedBytes==newSize)return;if(newSize==0){node.contents=null;node.usedBytes=0;return}if(!node.contents||node.contents.subarray){var oldContents=node.contents;node.contents=new Uint8Array(new ArrayBuffer(newSize));if(oldContents){node.contents.set(oldContents.subarray(0,Math.min(newSize,node.usedBytes)))}node.usedBytes=newSize;return}if(!node.contents)node.contents=[];if(node.contents.length>newSize)node.contents.length=newSize;else while(node.contents.length<newSize)node.contents.push(0);node.usedBytes=newSize}),node_ops:{getattr:(function(node){var attr={};attr.dev=FS.isChrdev(node.mode)?node.id:1;attr.ino=node.id;attr.mode=node.mode;attr.nlink=1;attr.uid=0;attr.gid=0;attr.rdev=node.rdev;if(FS.isDir(node.mode)){attr.size=4096}else if(FS.isFile(node.mode)){attr.size=node.usedBytes}else if(FS.isLink(node.mode)){attr.size=node.link.length}else{attr.size=0}attr.atime=new Date(node.timestamp);attr.mtime=new Date(node.timestamp);attr.ctime=new Date(node.timestamp);attr.blksize=4096;attr.blocks=Math.ceil(attr.size/attr.blksize);return attr}),setattr:(function(node,attr){if(attr.mode!==undefined){node.mode=attr.mode}if(attr.timestamp!==undefined){node.timestamp=attr.timestamp}if(attr.size!==undefined){MEMFS.resizeFileStorage(node,attr.size)}}),lookup:(function(parent,name){throw FS.genericErrors[ERRNO_CODES.ENOENT]}),mknod:(function(parent,name,mode,dev){return MEMFS.createNode(parent,name,mode,dev)}),rename:(function(old_node,new_dir,new_name){if(FS.isDir(old_node.mode)){var new_node;try{new_node=FS.lookupNode(new_dir,new_name)}catch(e){}if(new_node){for(var i in new_node.contents){throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY)}}}delete old_node.parent.contents[old_node.name];old_node.name=new_name;new_dir.contents[new_name]=old_node;old_node.parent=new_dir}),unlink:(function(parent,name){delete parent.contents[name]}),rmdir:(function(parent,name){var node=FS.lookupNode(parent,name);for(var i in node.contents){throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY)}delete parent.contents[name]}),readdir:(function(node){var entries=[".",".."];for(var key in node.contents){if(!node.contents.hasOwnProperty(key)){continue}entries.push(key)}return entries}),symlink:(function(parent,newname,oldpath){var node=MEMFS.createNode(parent,newname,511|40960,0);node.link=oldpath;return node}),readlink:(function(node){if(!FS.isLink(node.mode)){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}return node.link})},stream_ops:{read:(function(stream,buffer,offset,length,position){var contents=stream.node.contents;if(position>=stream.node.usedBytes)return 0;var size=Math.min(stream.node.usedBytes-position,length);assert(size>=0);if(size>8&&contents.subarray){buffer.set(contents.subarray(position,position+size),offset)}else{for(var i=0;i<size;i++)buffer[offset+i]=contents[position+i]}return size}),write:(function(stream,buffer,offset,length,position,canOwn){if(!length)return 0;var node=stream.node;node.timestamp=Date.now();if(buffer.subarray&&(!node.contents||node.contents.subarray)){if(canOwn){node.contents=buffer.subarray(offset,offset+length);node.usedBytes=length;return length}else if(node.usedBytes===0&&position===0){node.contents=new Uint8Array(buffer.subarray(offset,offset+length));node.usedBytes=length;return length}else if(position+length<=node.usedBytes){node.contents.set(buffer.subarray(offset,offset+length),position);return length}}MEMFS.expandFileStorage(node,position+length);if(node.contents.subarray&&buffer.subarray)node.contents.set(buffer.subarray(offset,offset+length),position);else{for(var i=0;i<length;i++){node.contents[position+i]=buffer[offset+i]}}node.usedBytes=Math.max(node.usedBytes,position+length);return length}),llseek:(function(stream,offset,whence){var position=offset;if(whence===1){position+=stream.position}else if(whence===2){if(FS.isFile(stream.node.mode)){position+=stream.node.usedBytes}}if(position<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}return position}),allocate:(function(stream,offset,length){MEMFS.expandFileStorage(stream.node,offset+length);stream.node.usedBytes=Math.max(stream.node.usedBytes,offset+length)}),mmap:(function(stream,buffer,offset,length,position,prot,flags){if(!FS.isFile(stream.node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENODEV)}var ptr;var allocated;var contents=stream.node.contents;if(!(flags&2)&&(contents.buffer===buffer||contents.buffer===buffer.buffer)){allocated=false;ptr=contents.byteOffset}else{if(position>0||position+length<stream.node.usedBytes){if(contents.subarray){contents=contents.subarray(position,position+length)}else{contents=Array.prototype.slice.call(contents,position,position+length)}}allocated=true;ptr=_malloc(length);if(!ptr){throw new FS.ErrnoError(ERRNO_CODES.ENOMEM)}buffer.set(contents,ptr)}return{ptr:ptr,allocated:allocated}}),msync:(function(stream,buffer,offset,length,mmapFlags){if(!FS.isFile(stream.node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENODEV)}if(mmapFlags&2){return 0}var bytesWritten=MEMFS.stream_ops.write(stream,buffer,0,length,offset,false);return 0})}};var IDBFS={dbs:{},indexedDB:(function(){if(typeof indexedDB!=="undefined")return indexedDB;var ret=null;if(typeof window==="object")ret=window.indexedDB||window.mozIndexedDB||window.webkitIndexedDB||window.msIndexedDB;assert(ret,"IDBFS used, but indexedDB not supported");return ret}),DB_VERSION:21,DB_STORE_NAME:"FILE_DATA",mount:(function(mount){return MEMFS.mount.apply(null,arguments)}),syncfs:(function(mount,populate,callback){IDBFS.getLocalSet(mount,(function(err,local){if(err)return callback(err);IDBFS.getRemoteSet(mount,(function(err,remote){if(err)return callback(err);var src=populate?remote:local;var dst=populate?local:remote;IDBFS.reconcile(src,dst,callback)}))}))}),getDB:(function(name,callback){var db=IDBFS.dbs[name];if(db){return callback(null,db)}var req;try{req=IDBFS.indexedDB().open(name,IDBFS.DB_VERSION)}catch(e){return callback(e)}if(!req){return callback("Unable to connect to IndexedDB")}req.onupgradeneeded=(function(e){var db=e.target.result;var transaction=e.target.transaction;var fileStore;if(db.objectStoreNames.contains(IDBFS.DB_STORE_NAME)){fileStore=transaction.objectStore(IDBFS.DB_STORE_NAME)}else{fileStore=db.createObjectStore(IDBFS.DB_STORE_NAME)}if(!fileStore.indexNames.contains("timestamp")){fileStore.createIndex("timestamp","timestamp",{unique:false})}});req.onsuccess=(function(){db=req.result;IDBFS.dbs[name]=db;callback(null,db)});req.onerror=(function(e){callback(this.error);e.preventDefault()})}),getLocalSet:(function(mount,callback){var entries={};function isRealDir(p){return p!=="."&&p!==".."}function toAbsolute(root){return(function(p){return PATH.join2(root,p)})}var check=FS.readdir(mount.mountpoint).filter(isRealDir).map(toAbsolute(mount.mountpoint));while(check.length){var path=check.pop();var stat;try{stat=FS.stat(path)}catch(e){return callback(e)}if(FS.isDir(stat.mode)){check.push.apply(check,FS.readdir(path).filter(isRealDir).map(toAbsolute(path)))}entries[path]={timestamp:stat.mtime}}return callback(null,{type:"local",entries:entries})}),getRemoteSet:(function(mount,callback){var entries={};IDBFS.getDB(mount.mountpoint,(function(err,db){if(err)return callback(err);var transaction=db.transaction([IDBFS.DB_STORE_NAME],"readonly");transaction.onerror=(function(e){callback(this.error);e.preventDefault()});var store=transaction.objectStore(IDBFS.DB_STORE_NAME);var index=store.index("timestamp");index.openKeyCursor().onsuccess=(function(event){var cursor=event.target.result;if(!cursor){return callback(null,{type:"remote",db:db,entries:entries})}entries[cursor.primaryKey]={timestamp:cursor.key};cursor.continue()})}))}),loadLocalEntry:(function(path,callback){var stat,node;try{var lookup=FS.lookupPath(path);node=lookup.node;stat=FS.stat(path)}catch(e){return callback(e)}if(FS.isDir(stat.mode)){return callback(null,{timestamp:stat.mtime,mode:stat.mode})}else if(FS.isFile(stat.mode)){node.contents=MEMFS.getFileDataAsTypedArray(node);return callback(null,{timestamp:stat.mtime,mode:stat.mode,contents:node.contents})}else{return callback(new Error("node type not supported"))}}),storeLocalEntry:(function(path,entry,callback){try{if(FS.isDir(entry.mode)){FS.mkdir(path,entry.mode)}else if(FS.isFile(entry.mode)){FS.writeFile(path,entry.contents,{encoding:"binary",canOwn:true})}else{return callback(new Error("node type not supported"))}FS.chmod(path,entry.mode);FS.utime(path,entry.timestamp,entry.timestamp)}catch(e){return callback(e)}callback(null)}),removeLocalEntry:(function(path,callback){try{var lookup=FS.lookupPath(path);var stat=FS.stat(path);if(FS.isDir(stat.mode)){FS.rmdir(path)}else if(FS.isFile(stat.mode)){FS.unlink(path)}}catch(e){return callback(e)}callback(null)}),loadRemoteEntry:(function(store,path,callback){var req=store.get(path);req.onsuccess=(function(event){callback(null,event.target.result)});req.onerror=(function(e){callback(this.error);e.preventDefault()})}),storeRemoteEntry:(function(store,path,entry,callback){var req=store.put(entry,path);req.onsuccess=(function(){callback(null)});req.onerror=(function(e){callback(this.error);e.preventDefault()})}),removeRemoteEntry:(function(store,path,callback){var req=store.delete(path);req.onsuccess=(function(){callback(null)});req.onerror=(function(e){callback(this.error);e.preventDefault()})}),reconcile:(function(src,dst,callback){var total=0;var create=[];Object.keys(src.entries).forEach((function(key){var e=src.entries[key];var e2=dst.entries[key];if(!e2||e.timestamp>e2.timestamp){create.push(key);total++}}));var remove=[];Object.keys(dst.entries).forEach((function(key){var e=dst.entries[key];var e2=src.entries[key];if(!e2){remove.push(key);total++}}));if(!total){return callback(null)}var completed=0;var db=src.type==="remote"?src.db:dst.db;var transaction=db.transaction([IDBFS.DB_STORE_NAME],"readwrite");var store=transaction.objectStore(IDBFS.DB_STORE_NAME);function done(err){if(err){if(!done.errored){done.errored=true;return callback(err)}return}if(++completed>=total){return callback(null)}}transaction.onerror=(function(e){done(this.error);e.preventDefault()});create.sort().forEach((function(path){if(dst.type==="local"){IDBFS.loadRemoteEntry(store,path,(function(err,entry){if(err)return done(err);IDBFS.storeLocalEntry(path,entry,done)}))}else{IDBFS.loadLocalEntry(path,(function(err,entry){if(err)return done(err);IDBFS.storeRemoteEntry(store,path,entry,done)}))}}));remove.sort().reverse().forEach((function(path){if(dst.type==="local"){IDBFS.removeLocalEntry(path,done)}else{IDBFS.removeRemoteEntry(store,path,done)}}))})};var NODEFS={isWindows:false,staticInit:(function(){NODEFS.isWindows=!!process.platform.match(/^win/)}),mount:(function(mount){assert(ENVIRONMENT_IS_NODE);return NODEFS.createNode(null,"/",NODEFS.getMode(mount.opts.root),0)}),createNode:(function(parent,name,mode,dev){if(!FS.isDir(mode)&&!FS.isFile(mode)&&!FS.isLink(mode)){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var node=FS.createNode(parent,name,mode);node.node_ops=NODEFS.node_ops;node.stream_ops=NODEFS.stream_ops;return node}),getMode:(function(path){var stat;try{stat=fs.lstatSync(path);if(NODEFS.isWindows){stat.mode=stat.mode|(stat.mode&146)>>1}}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}return stat.mode}),realPath:(function(node){var parts=[];while(node.parent!==node){parts.push(node.name);node=node.parent}parts.push(node.mount.opts.root);parts.reverse();return PATH.join.apply(null,parts)}),flagsToPermissionStringMap:{0:"r",1:"r+",2:"r+",64:"r",65:"r+",66:"r+",129:"rx+",193:"rx+",514:"w+",577:"w",578:"w+",705:"wx",706:"wx+",1024:"a",1025:"a",1026:"a+",1089:"a",1090:"a+",1153:"ax",1154:"ax+",1217:"ax",1218:"ax+",4096:"rs",4098:"rs+"},flagsToPermissionString:(function(flags){flags&=~2097152;flags&=~2048;flags&=~32768;flags&=~524288;if(flags in NODEFS.flagsToPermissionStringMap){return NODEFS.flagsToPermissionStringMap[flags]}else{throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}}),node_ops:{getattr:(function(node){var path=NODEFS.realPath(node);var stat;try{stat=fs.lstatSync(path)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}if(NODEFS.isWindows&&!stat.blksize){stat.blksize=4096}if(NODEFS.isWindows&&!stat.blocks){stat.blocks=(stat.size+stat.blksize-1)/stat.blksize|0}return{dev:stat.dev,ino:stat.ino,mode:stat.mode,nlink:stat.nlink,uid:stat.uid,gid:stat.gid,rdev:stat.rdev,size:stat.size,atime:stat.atime,mtime:stat.mtime,ctime:stat.ctime,blksize:stat.blksize,blocks:stat.blocks}}),setattr:(function(node,attr){var path=NODEFS.realPath(node);try{if(attr.mode!==undefined){fs.chmodSync(path,attr.mode);node.mode=attr.mode}if(attr.timestamp!==undefined){var date=new Date(attr.timestamp);fs.utimesSync(path,date,date)}if(attr.size!==undefined){fs.truncateSync(path,attr.size)}}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),lookup:(function(parent,name){var path=PATH.join2(NODEFS.realPath(parent),name);var mode=NODEFS.getMode(path);return NODEFS.createNode(parent,name,mode)}),mknod:(function(parent,name,mode,dev){var node=NODEFS.createNode(parent,name,mode,dev);var path=NODEFS.realPath(node);try{if(FS.isDir(node.mode)){fs.mkdirSync(path,node.mode)}else{fs.writeFileSync(path,"",{mode:node.mode})}}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}return node}),rename:(function(oldNode,newDir,newName){var oldPath=NODEFS.realPath(oldNode);var newPath=PATH.join2(NODEFS.realPath(newDir),newName);try{fs.renameSync(oldPath,newPath)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),unlink:(function(parent,name){var path=PATH.join2(NODEFS.realPath(parent),name);try{fs.unlinkSync(path)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),rmdir:(function(parent,name){var path=PATH.join2(NODEFS.realPath(parent),name);try{fs.rmdirSync(path)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),readdir:(function(node){var path=NODEFS.realPath(node);try{return fs.readdirSync(path)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),symlink:(function(parent,newName,oldPath){var newPath=PATH.join2(NODEFS.realPath(parent),newName);try{fs.symlinkSync(oldPath,newPath)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),readlink:(function(node){var path=NODEFS.realPath(node);try{path=fs.readlinkSync(path);path=NODEJS_PATH.relative(NODEJS_PATH.resolve(node.mount.opts.root),path);return path}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}})},stream_ops:{open:(function(stream){var path=NODEFS.realPath(stream.node);try{if(FS.isFile(stream.node.mode)){stream.nfd=fs.openSync(path,NODEFS.flagsToPermissionString(stream.flags))}}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),close:(function(stream){try{if(FS.isFile(stream.node.mode)&&stream.nfd){fs.closeSync(stream.nfd)}}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),read:(function(stream,buffer,offset,length,position){if(length===0)return 0;var nbuffer=new Buffer(length);var res;try{res=fs.readSync(stream.nfd,nbuffer,0,length,position)}catch(e){throw new FS.ErrnoError(ERRNO_CODES[e.code])}if(res>0){for(var i=0;i<res;i++){buffer[offset+i]=nbuffer[i]}}return res}),write:(function(stream,buffer,offset,length,position){var nbuffer=new Buffer(buffer.subarray(offset,offset+length));var res;try{res=fs.writeSync(stream.nfd,nbuffer,0,length,position)}catch(e){throw new FS.ErrnoError(ERRNO_CODES[e.code])}return res}),llseek:(function(stream,offset,whence){var position=offset;if(whence===1){position+=stream.position}else if(whence===2){if(FS.isFile(stream.node.mode)){try{var stat=fs.fstatSync(stream.nfd);position+=stat.size}catch(e){throw new FS.ErrnoError(ERRNO_CODES[e.code])}}}if(position<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}return position})}};var WORKERFS={DIR_MODE:16895,FILE_MODE:33279,reader:null,mount:(function(mount){assert(ENVIRONMENT_IS_WORKER);if(!WORKERFS.reader)WORKERFS.reader=new FileReaderSync;var root=WORKERFS.createNode(null,"/",WORKERFS.DIR_MODE,0);var createdParents={};function ensureParent(path){var parts=path.split("/");var parent=root;for(var i=0;i<parts.length-1;i++){var curr=parts.slice(0,i+1).join("/");if(!createdParents[curr]){createdParents[curr]=WORKERFS.createNode(parent,parts[i],WORKERFS.DIR_MODE,0)}parent=createdParents[curr]}return parent}function base(path){var parts=path.split("/");return parts[parts.length-1]}Array.prototype.forEach.call(mount.opts["files"]||[],(function(file){WORKERFS.createNode(ensureParent(file.name),base(file.name),WORKERFS.FILE_MODE,0,file,file.lastModifiedDate)}));(mount.opts["blobs"]||[]).forEach((function(obj){WORKERFS.createNode(ensureParent(obj["name"]),base(obj["name"]),WORKERFS.FILE_MODE,0,obj["data"])}));(mount.opts["packages"]||[]).forEach((function(pack){pack["metadata"].files.forEach((function(file){var name=file.filename.substr(1);WORKERFS.createNode(ensureParent(name),base(name),WORKERFS.FILE_MODE,0,pack["blob"].slice(file.start,file.end))}))}));return root}),createNode:(function(parent,name,mode,dev,contents,mtime){var node=FS.createNode(parent,name,mode);node.mode=mode;node.node_ops=WORKERFS.node_ops;node.stream_ops=WORKERFS.stream_ops;node.timestamp=(mtime||new Date).getTime();assert(WORKERFS.FILE_MODE!==WORKERFS.DIR_MODE);if(mode===WORKERFS.FILE_MODE){node.size=contents.size;node.contents=contents}else{node.size=4096;node.contents={}}if(parent){parent.contents[name]=node}return node}),node_ops:{getattr:(function(node){return{dev:1,ino:undefined,mode:node.mode,nlink:1,uid:0,gid:0,rdev:undefined,size:node.size,atime:new Date(node.timestamp),mtime:new Date(node.timestamp),ctime:new Date(node.timestamp),blksize:4096,blocks:Math.ceil(node.size/4096)}}),setattr:(function(node,attr){if(attr.mode!==undefined){node.mode=attr.mode}if(attr.timestamp!==undefined){node.timestamp=attr.timestamp}}),lookup:(function(parent,name){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}),mknod:(function(parent,name,mode,dev){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}),rename:(function(oldNode,newDir,newName){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}),unlink:(function(parent,name){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}),rmdir:(function(parent,name){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}),readdir:(function(node){var entries=[".",".."];for(var key in node.contents){if(!node.contents.hasOwnProperty(key)){continue}entries.push(key)}return entries}),symlink:(function(parent,newName,oldPath){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}),readlink:(function(node){throw new FS.ErrnoError(ERRNO_CODES.EPERM)})},stream_ops:{read:(function(stream,buffer,offset,length,position){if(position>=stream.node.size)return 0;var chunk=stream.node.contents.slice(position,position+length);var ab=WORKERFS.reader.readAsArrayBuffer(chunk);buffer.set(new Uint8Array(ab),offset);return chunk.size}),write:(function(stream,buffer,offset,length,position){throw new FS.ErrnoError(ERRNO_CODES.EIO)}),llseek:(function(stream,offset,whence){var position=offset;if(whence===1){position+=stream.position}else if(whence===2){if(FS.isFile(stream.node.mode)){position+=stream.node.size}}if(position<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}return position})}};STATICTOP+=16;STATICTOP+=16;STATICTOP+=16;var FS={root:null,mounts:[],devices:[null],streams:[],nextInode:1,nameTable:null,currentPath:"/",initialized:false,ignorePermissions:true,trackingDelegate:{},tracking:{openFlags:{READ:1,WRITE:2}},ErrnoError:null,genericErrors:{},filesystems:null,syncFSRequests:0,handleFSError:(function(e){if(!(e instanceof FS.ErrnoError))throw e+" : "+stackTrace();return ___setErrNo(e.errno)}),lookupPath:(function(path,opts){path=PATH.resolve(FS.cwd(),path);opts=opts||{};if(!path)return{path:"",node:null};var defaults={follow_mount:true,recurse_count:0};for(var key in defaults){if(opts[key]===undefined){opts[key]=defaults[key]}}if(opts.recurse_count>8){throw new FS.ErrnoError(ERRNO_CODES.ELOOP)}var parts=PATH.normalizeArray(path.split("/").filter((function(p){return!!p})),false);var current=FS.root;var current_path="/";for(var i=0;i<parts.length;i++){var islast=i===parts.length-1;if(islast&&opts.parent){break}current=FS.lookupNode(current,parts[i]);current_path=PATH.join2(current_path,parts[i]);if(FS.isMountpoint(current)){if(!islast||islast&&opts.follow_mount){current=current.mounted.root}}if(!islast||opts.follow){var count=0;while(FS.isLink(current.mode)){var link=FS.readlink(current_path);current_path=PATH.resolve(PATH.dirname(current_path),link);var lookup=FS.lookupPath(current_path,{recurse_count:opts.recurse_count});current=lookup.node;if(count++>40){throw new FS.ErrnoError(ERRNO_CODES.ELOOP)}}}}return{path:current_path,node:current}}),getPath:(function(node){var path;while(true){if(FS.isRoot(node)){var mount=node.mount.mountpoint;if(!path)return mount;return mount[mount.length-1]!=="/"?mount+"/"+path:mount+path}path=path?node.name+"/"+path:node.name;node=node.parent}}),hashName:(function(parentid,name){var hash=0;for(var i=0;i<name.length;i++){hash=(hash<<5)-hash+name.charCodeAt(i)|0}return(parentid+hash>>>0)%FS.nameTable.length}),hashAddNode:(function(node){var hash=FS.hashName(node.parent.id,node.name);node.name_next=FS.nameTable[hash];FS.nameTable[hash]=node}),hashRemoveNode:(function(node){var hash=FS.hashName(node.parent.id,node.name);if(FS.nameTable[hash]===node){FS.nameTable[hash]=node.name_next}else{var current=FS.nameTable[hash];while(current){if(current.name_next===node){current.name_next=node.name_next;break}current=current.name_next}}}),lookupNode:(function(parent,name){var err=FS.mayLookup(parent);if(err){throw new FS.ErrnoError(err,parent)}var hash=FS.hashName(parent.id,name);for(var node=FS.nameTable[hash];node;node=node.name_next){var nodeName=node.name;if(node.parent.id===parent.id&&nodeName===name){return node}}return FS.lookup(parent,name)}),createNode:(function(parent,name,mode,rdev){if(!FS.FSNode){FS.FSNode=(function(parent,name,mode,rdev){if(!parent){parent=this}this.parent=parent;this.mount=parent.mount;this.mounted=null;this.id=FS.nextInode++;this.name=name;this.mode=mode;this.node_ops={};this.stream_ops={};this.rdev=rdev});FS.FSNode.prototype={};var readMode=292|73;var writeMode=146;Object.defineProperties(FS.FSNode.prototype,{read:{get:(function(){return(this.mode&readMode)===readMode}),set:(function(val){val?this.mode|=readMode:this.mode&=~readMode})},write:{get:(function(){return(this.mode&writeMode)===writeMode}),set:(function(val){val?this.mode|=writeMode:this.mode&=~writeMode})},isFolder:{get:(function(){return FS.isDir(this.mode)})},isDevice:{get:(function(){return FS.isChrdev(this.mode)})}})}var node=new FS.FSNode(parent,name,mode,rdev);FS.hashAddNode(node);return node}),destroyNode:(function(node){FS.hashRemoveNode(node)}),isRoot:(function(node){return node===node.parent}),isMountpoint:(function(node){return!!node.mounted}),isFile:(function(mode){return(mode&61440)===32768}),isDir:(function(mode){return(mode&61440)===16384}),isLink:(function(mode){return(mode&61440)===40960}),isChrdev:(function(mode){return(mode&61440)===8192}),isBlkdev:(function(mode){return(mode&61440)===24576}),isFIFO:(function(mode){return(mode&61440)===4096}),isSocket:(function(mode){return(mode&49152)===49152}),flagModes:{"r":0,"rs":1052672,"r+":2,"w":577,"wx":705,"xw":705,"w+":578,"wx+":706,"xw+":706,"a":1089,"ax":1217,"xa":1217,"a+":1090,"ax+":1218,"xa+":1218},modeStringToFlags:(function(str){var flags=FS.flagModes[str];if(typeof flags==="undefined"){throw new Error("Unknown file open mode: "+str)}return flags}),flagsToPermissionString:(function(flag){var perms=["r","w","rw"][flag&3];if(flag&512){perms+="w"}return perms}),nodePermissions:(function(node,perms){if(FS.ignorePermissions){return 0}if(perms.indexOf("r")!==-1&&!(node.mode&292)){return ERRNO_CODES.EACCES}else if(perms.indexOf("w")!==-1&&!(node.mode&146)){return ERRNO_CODES.EACCES}else if(perms.indexOf("x")!==-1&&!(node.mode&73)){return ERRNO_CODES.EACCES}return 0}),mayLookup:(function(dir){var err=FS.nodePermissions(dir,"x");if(err)return err;if(!dir.node_ops.lookup)return ERRNO_CODES.EACCES;return 0}),mayCreate:(function(dir,name){try{var node=FS.lookupNode(dir,name);return ERRNO_CODES.EEXIST}catch(e){}return FS.nodePermissions(dir,"wx")}),mayDelete:(function(dir,name,isdir){var node;try{node=FS.lookupNode(dir,name)}catch(e){return e.errno}var err=FS.nodePermissions(dir,"wx");if(err){return err}if(isdir){if(!FS.isDir(node.mode)){return ERRNO_CODES.ENOTDIR}if(FS.isRoot(node)||FS.getPath(node)===FS.cwd()){return ERRNO_CODES.EBUSY}}else{if(FS.isDir(node.mode)){return ERRNO_CODES.EISDIR}}return 0}),mayOpen:(function(node,flags){if(!node){return ERRNO_CODES.ENOENT}if(FS.isLink(node.mode)){return ERRNO_CODES.ELOOP}else if(FS.isDir(node.mode)){if(FS.flagsToPermissionString(flags)!=="r"||flags&512){return ERRNO_CODES.EISDIR}}return FS.nodePermissions(node,FS.flagsToPermissionString(flags))}),MAX_OPEN_FDS:4096,nextfd:(function(fd_start,fd_end){fd_start=fd_start||0;fd_end=fd_end||FS.MAX_OPEN_FDS;for(var fd=fd_start;fd<=fd_end;fd++){if(!FS.streams[fd]){return fd}}throw new FS.ErrnoError(ERRNO_CODES.EMFILE)}),getStream:(function(fd){return FS.streams[fd]}),createStream:(function(stream,fd_start,fd_end){if(!FS.FSStream){FS.FSStream=(function(){});FS.FSStream.prototype={};Object.defineProperties(FS.FSStream.prototype,{object:{get:(function(){return this.node}),set:(function(val){this.node=val})},isRead:{get:(function(){return(this.flags&2097155)!==1})},isWrite:{get:(function(){return(this.flags&2097155)!==0})},isAppend:{get:(function(){return this.flags&1024})}})}var newStream=new FS.FSStream;for(var p in stream){newStream[p]=stream[p]}stream=newStream;var fd=FS.nextfd(fd_start,fd_end);stream.fd=fd;FS.streams[fd]=stream;return stream}),closeStream:(function(fd){FS.streams[fd]=null}),chrdev_stream_ops:{open:(function(stream){var device=FS.getDevice(stream.node.rdev);stream.stream_ops=device.stream_ops;if(stream.stream_ops.open){stream.stream_ops.open(stream)}}),llseek:(function(){throw new FS.ErrnoError(ERRNO_CODES.ESPIPE)})},major:(function(dev){return dev>>8}),minor:(function(dev){return dev&255}),makedev:(function(ma,mi){return ma<<8|mi}),registerDevice:(function(dev,ops){FS.devices[dev]={stream_ops:ops}}),getDevice:(function(dev){return FS.devices[dev]}),getMounts:(function(mount){var mounts=[];var check=[mount];while(check.length){var m=check.pop();mounts.push(m);check.push.apply(check,m.mounts)}return mounts}),syncfs:(function(populate,callback){if(typeof populate==="function"){callback=populate;populate=false}FS.syncFSRequests++;if(FS.syncFSRequests>1){console.log("warning: "+FS.syncFSRequests+" FS.syncfs operations in flight at once, probably just doing extra work")}var mounts=FS.getMounts(FS.root.mount);var completed=0;function doCallback(err){assert(FS.syncFSRequests>0);FS.syncFSRequests--;return callback(err)}function done(err){if(err){if(!done.errored){done.errored=true;return doCallback(err)}return}if(++completed>=mounts.length){doCallback(null)}}mounts.forEach((function(mount){if(!mount.type.syncfs){return done(null)}mount.type.syncfs(mount,populate,done)}))}),mount:(function(type,opts,mountpoint){var root=mountpoint==="/";var pseudo=!mountpoint;var node;if(root&&FS.root){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}else if(!root&&!pseudo){var lookup=FS.lookupPath(mountpoint,{follow_mount:false});mountpoint=lookup.path;node=lookup.node;if(FS.isMountpoint(node)){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}if(!FS.isDir(node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR)}}var mount={type:type,opts:opts,mountpoint:mountpoint,mounts:[]};var mountRoot=type.mount(mount);mountRoot.mount=mount;mount.root=mountRoot;if(root){FS.root=mountRoot}else if(node){node.mounted=mount;if(node.mount){node.mount.mounts.push(mount)}}return mountRoot}),unmount:(function(mountpoint){var lookup=FS.lookupPath(mountpoint,{follow_mount:false});if(!FS.isMountpoint(lookup.node)){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var node=lookup.node;var mount=node.mounted;var mounts=FS.getMounts(mount);Object.keys(FS.nameTable).forEach((function(hash){var current=FS.nameTable[hash];while(current){var next=current.name_next;if(mounts.indexOf(current.mount)!==-1){FS.destroyNode(current)}current=next}}));node.mounted=null;var idx=node.mount.mounts.indexOf(mount);assert(idx!==-1);node.mount.mounts.splice(idx,1)}),lookup:(function(parent,name){return parent.node_ops.lookup(parent,name)}),mknod:(function(path,mode,dev){var lookup=FS.lookupPath(path,{parent:true});var parent=lookup.node;var name=PATH.basename(path);if(!name||name==="."||name===".."){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var err=FS.mayCreate(parent,name);if(err){throw new FS.ErrnoError(err)}if(!parent.node_ops.mknod){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}return parent.node_ops.mknod(parent,name,mode,dev)}),create:(function(path,mode){mode=mode!==undefined?mode:438;mode&=4095;mode|=32768;return FS.mknod(path,mode,0)}),mkdir:(function(path,mode){mode=mode!==undefined?mode:511;mode&=511|512;mode|=16384;return FS.mknod(path,mode,0)}),mkdirTree:(function(path,mode){var dirs=path.split("/");var d="";for(var i=0;i<dirs.length;++i){if(!dirs[i])continue;d+="/"+dirs[i];try{FS.mkdir(d,mode)}catch(e){if(e.errno!=ERRNO_CODES.EEXIST)throw e}}}),mkdev:(function(path,mode,dev){if(typeof dev==="undefined"){dev=mode;mode=438}mode|=8192;return FS.mknod(path,mode,dev)}),symlink:(function(oldpath,newpath){if(!PATH.resolve(oldpath)){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}var lookup=FS.lookupPath(newpath,{parent:true});var parent=lookup.node;if(!parent){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}var newname=PATH.basename(newpath);var err=FS.mayCreate(parent,newname);if(err){throw new FS.ErrnoError(err)}if(!parent.node_ops.symlink){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}return parent.node_ops.symlink(parent,newname,oldpath)}),rename:(function(old_path,new_path){var old_dirname=PATH.dirname(old_path);var new_dirname=PATH.dirname(new_path);var old_name=PATH.basename(old_path);var new_name=PATH.basename(new_path);var lookup,old_dir,new_dir;try{lookup=FS.lookupPath(old_path,{parent:true});old_dir=lookup.node;lookup=FS.lookupPath(new_path,{parent:true});new_dir=lookup.node}catch(e){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}if(!old_dir||!new_dir)throw new FS.ErrnoError(ERRNO_CODES.ENOENT);if(old_dir.mount!==new_dir.mount){throw new FS.ErrnoError(ERRNO_CODES.EXDEV)}var old_node=FS.lookupNode(old_dir,old_name);var relative=PATH.relative(old_path,new_dirname);if(relative.charAt(0)!=="."){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}relative=PATH.relative(new_path,old_dirname);if(relative.charAt(0)!=="."){throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY)}var new_node;try{new_node=FS.lookupNode(new_dir,new_name)}catch(e){}if(old_node===new_node){return}var isdir=FS.isDir(old_node.mode);var err=FS.mayDelete(old_dir,old_name,isdir);if(err){throw new FS.ErrnoError(err)}err=new_node?FS.mayDelete(new_dir,new_name,isdir):FS.mayCreate(new_dir,new_name);if(err){throw new FS.ErrnoError(err)}if(!old_dir.node_ops.rename){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}if(FS.isMountpoint(old_node)||new_node&&FS.isMountpoint(new_node)){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}if(new_dir!==old_dir){err=FS.nodePermissions(old_dir,"w");if(err){throw new FS.ErrnoError(err)}}try{if(FS.trackingDelegate["willMovePath"]){FS.trackingDelegate["willMovePath"](old_path,new_path)}}catch(e){console.log("FS.trackingDelegate['willMovePath']('"+old_path+"', '"+new_path+"') threw an exception: "+e.message)}FS.hashRemoveNode(old_node);try{old_dir.node_ops.rename(old_node,new_dir,new_name)}catch(e){throw e}finally{FS.hashAddNode(old_node)}try{if(FS.trackingDelegate["onMovePath"])FS.trackingDelegate["onMovePath"](old_path,new_path)}catch(e){console.log("FS.trackingDelegate['onMovePath']('"+old_path+"', '"+new_path+"') threw an exception: "+e.message)}}),rmdir:(function(path){var lookup=FS.lookupPath(path,{parent:true});var parent=lookup.node;var name=PATH.basename(path);var node=FS.lookupNode(parent,name);var err=FS.mayDelete(parent,name,true);if(err){throw new FS.ErrnoError(err)}if(!parent.node_ops.rmdir){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}if(FS.isMountpoint(node)){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}try{if(FS.trackingDelegate["willDeletePath"]){FS.trackingDelegate["willDeletePath"](path)}}catch(e){console.log("FS.trackingDelegate['willDeletePath']('"+path+"') threw an exception: "+e.message)}parent.node_ops.rmdir(parent,name);FS.destroyNode(node);try{if(FS.trackingDelegate["onDeletePath"])FS.trackingDelegate["onDeletePath"](path)}catch(e){console.log("FS.trackingDelegate['onDeletePath']('"+path+"') threw an exception: "+e.message)}}),readdir:(function(path){var lookup=FS.lookupPath(path,{follow:true});var node=lookup.node;if(!node.node_ops.readdir){throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR)}return node.node_ops.readdir(node)}),unlink:(function(path){var lookup=FS.lookupPath(path,{parent:true});var parent=lookup.node;var name=PATH.basename(path);var node=FS.lookupNode(parent,name);var err=FS.mayDelete(parent,name,false);if(err){throw new FS.ErrnoError(err)}if(!parent.node_ops.unlink){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}if(FS.isMountpoint(node)){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}try{if(FS.trackingDelegate["willDeletePath"]){FS.trackingDelegate["willDeletePath"](path)}}catch(e){console.log("FS.trackingDelegate['willDeletePath']('"+path+"') threw an exception: "+e.message)}parent.node_ops.unlink(parent,name);FS.destroyNode(node);try{if(FS.trackingDelegate["onDeletePath"])FS.trackingDelegate["onDeletePath"](path)}catch(e){console.log("FS.trackingDelegate['onDeletePath']('"+path+"') threw an exception: "+e.message)}}),readlink:(function(path){var lookup=FS.lookupPath(path);var link=lookup.node;if(!link){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}if(!link.node_ops.readlink){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}return PATH.resolve(FS.getPath(link.parent),link.node_ops.readlink(link))}),stat:(function(path,dontFollow){var lookup=FS.lookupPath(path,{follow:!dontFollow});var node=lookup.node;if(!node){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}if(!node.node_ops.getattr){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}return node.node_ops.getattr(node)}),lstat:(function(path){return FS.stat(path,true)}),chmod:(function(path,mode,dontFollow){var node;if(typeof path==="string"){var lookup=FS.lookupPath(path,{follow:!dontFollow});node=lookup.node}else{node=path}if(!node.node_ops.setattr){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}node.node_ops.setattr(node,{mode:mode&4095|node.mode&~4095,timestamp:Date.now()})}),lchmod:(function(path,mode){FS.chmod(path,mode,true)}),fchmod:(function(fd,mode){var stream=FS.getStream(fd);if(!stream){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}FS.chmod(stream.node,mode)}),chown:(function(path,uid,gid,dontFollow){var node;if(typeof path==="string"){var lookup=FS.lookupPath(path,{follow:!dontFollow});node=lookup.node}else{node=path}if(!node.node_ops.setattr){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}node.node_ops.setattr(node,{timestamp:Date.now()})}),lchown:(function(path,uid,gid){FS.chown(path,uid,gid,true)}),fchown:(function(fd,uid,gid){var stream=FS.getStream(fd);if(!stream){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}FS.chown(stream.node,uid,gid)}),truncate:(function(path,len){if(len<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var node;if(typeof path==="string"){var lookup=FS.lookupPath(path,{follow:true});node=lookup.node}else{node=path}if(!node.node_ops.setattr){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}if(FS.isDir(node.mode)){throw new FS.ErrnoError(ERRNO_CODES.EISDIR)}if(!FS.isFile(node.mode)){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var err=FS.nodePermissions(node,"w");if(err){throw new FS.ErrnoError(err)}node.node_ops.setattr(node,{size:len,timestamp:Date.now()})}),ftruncate:(function(fd,len){var stream=FS.getStream(fd);if(!stream){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}if((stream.flags&2097155)===0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}FS.truncate(stream.node,len)}),utime:(function(path,atime,mtime){var lookup=FS.lookupPath(path,{follow:true});var node=lookup.node;node.node_ops.setattr(node,{timestamp:Math.max(atime,mtime)})}),open:(function(path,flags,mode,fd_start,fd_end){if(path===""){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}flags=typeof flags==="string"?FS.modeStringToFlags(flags):flags;mode=typeof mode==="undefined"?438:mode;if(flags&64){mode=mode&4095|32768}else{mode=0}var node;if(typeof path==="object"){node=path}else{path=PATH.normalize(path);try{var lookup=FS.lookupPath(path,{follow:!(flags&131072)});node=lookup.node}catch(e){}}var created=false;if(flags&64){if(node){if(flags&128){throw new FS.ErrnoError(ERRNO_CODES.EEXIST)}}else{node=FS.mknod(path,mode,0);created=true}}if(!node){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}if(FS.isChrdev(node.mode)){flags&=~512}if(flags&65536&&!FS.isDir(node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR)}if(!created){var err=FS.mayOpen(node,flags);if(err){throw new FS.ErrnoError(err)}}if(flags&512){FS.truncate(node,0)}flags&=~(128|512);var stream=FS.createStream({node:node,path:FS.getPath(node),flags:flags,seekable:true,position:0,stream_ops:node.stream_ops,ungotten:[],error:false},fd_start,fd_end);if(stream.stream_ops.open){stream.stream_ops.open(stream)}if(Module["logReadFiles"]&&!(flags&1)){if(!FS.readFiles)FS.readFiles={};if(!(path in FS.readFiles)){FS.readFiles[path]=1;Module["printErr"]("read file: "+path)}}try{if(FS.trackingDelegate["onOpenFile"]){var trackingFlags=0;if((flags&2097155)!==1){trackingFlags|=FS.tracking.openFlags.READ}if((flags&2097155)!==0){trackingFlags|=FS.tracking.openFlags.WRITE}FS.trackingDelegate["onOpenFile"](path,trackingFlags)}}catch(e){console.log("FS.trackingDelegate['onOpenFile']('"+path+"', flags) threw an exception: "+e.message)}return stream}),close:(function(stream){if(stream.getdents)stream.getdents=null;try{if(stream.stream_ops.close){stream.stream_ops.close(stream)}}catch(e){throw e}finally{FS.closeStream(stream.fd)}}),llseek:(function(stream,offset,whence){if(!stream.seekable||!stream.stream_ops.llseek){throw new FS.ErrnoError(ERRNO_CODES.ESPIPE)}stream.position=stream.stream_ops.llseek(stream,offset,whence);stream.ungotten=[];return stream.position}),read:(function(stream,buffer,offset,length,position){if(length<0||position<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}if((stream.flags&2097155)===1){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}if(FS.isDir(stream.node.mode)){throw new FS.ErrnoError(ERRNO_CODES.EISDIR)}if(!stream.stream_ops.read){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var seeking=true;if(typeof position==="undefined"){position=stream.position;seeking=false}else if(!stream.seekable){throw new FS.ErrnoError(ERRNO_CODES.ESPIPE)}var bytesRead=stream.stream_ops.read(stream,buffer,offset,length,position);if(!seeking)stream.position+=bytesRead;return bytesRead}),write:(function(stream,buffer,offset,length,position,canOwn){if(length<0||position<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}if((stream.flags&2097155)===0){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}if(FS.isDir(stream.node.mode)){throw new FS.ErrnoError(ERRNO_CODES.EISDIR)}if(!stream.stream_ops.write){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}if(stream.flags&1024){FS.llseek(stream,0,2)}var seeking=true;if(typeof position==="undefined"){position=stream.position;seeking=false}else if(!stream.seekable){throw new FS.ErrnoError(ERRNO_CODES.ESPIPE)}var bytesWritten=stream.stream_ops.write(stream,buffer,offset,length,position,canOwn);if(!seeking)stream.position+=bytesWritten;try{if(stream.path&&FS.trackingDelegate["onWriteToFile"])FS.trackingDelegate["onWriteToFile"](stream.path)}catch(e){console.log("FS.trackingDelegate['onWriteToFile']('"+path+"') threw an exception: "+e.message)}return bytesWritten}),allocate:(function(stream,offset,length){if(offset<0||length<=0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}if((stream.flags&2097155)===0){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}if(!FS.isFile(stream.node.mode)&&!FS.isDir(stream.node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENODEV)}if(!stream.stream_ops.allocate){throw new FS.ErrnoError(ERRNO_CODES.EOPNOTSUPP)}stream.stream_ops.allocate(stream,offset,length)}),mmap:(function(stream,buffer,offset,length,position,prot,flags){if((stream.flags&2097155)===1){throw new FS.ErrnoError(ERRNO_CODES.EACCES)}if(!stream.stream_ops.mmap){throw new FS.ErrnoError(ERRNO_CODES.ENODEV)}return stream.stream_ops.mmap(stream,buffer,offset,length,position,prot,flags)}),msync:(function(stream,buffer,offset,length,mmapFlags){if(!stream||!stream.stream_ops.msync){return 0}return stream.stream_ops.msync(stream,buffer,offset,length,mmapFlags)}),munmap:(function(stream){return 0}),ioctl:(function(stream,cmd,arg){if(!stream.stream_ops.ioctl){throw new FS.ErrnoError(ERRNO_CODES.ENOTTY)}return stream.stream_ops.ioctl(stream,cmd,arg)}),readFile:(function(path,opts){opts=opts||{};opts.flags=opts.flags||"r";opts.encoding=opts.encoding||"binary";if(opts.encoding!=="utf8"&&opts.encoding!=="binary"){throw new Error('Invalid encoding type "'+opts.encoding+'"')}var ret;var stream=FS.open(path,opts.flags);var stat=FS.stat(path);var length=stat.size;var buf=new Uint8Array(length);FS.read(stream,buf,0,length,0);if(opts.encoding==="utf8"){ret=UTF8ArrayToString(buf,0)}else if(opts.encoding==="binary"){ret=buf}FS.close(stream);return ret}),writeFile:(function(path,data,opts){opts=opts||{};opts.flags=opts.flags||"w";opts.encoding=opts.encoding||"utf8";if(opts.encoding!=="utf8"&&opts.encoding!=="binary"){throw new Error('Invalid encoding type "'+opts.encoding+'"')}var stream=FS.open(path,opts.flags,opts.mode);if(opts.encoding==="utf8"){var buf=new Uint8Array(lengthBytesUTF8(data)+1);var actualNumBytes=stringToUTF8Array(data,buf,0,buf.length);FS.write(stream,buf,0,actualNumBytes,0,opts.canOwn)}else if(opts.encoding==="binary"){FS.write(stream,data,0,data.length,0,opts.canOwn)}FS.close(stream)}),cwd:(function(){return FS.currentPath}),chdir:(function(path){var lookup=FS.lookupPath(path,{follow:true});if(lookup.node===null){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}if(!FS.isDir(lookup.node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR)}var err=FS.nodePermissions(lookup.node,"x");if(err){throw new FS.ErrnoError(err)}FS.currentPath=lookup.path}),createDefaultDirectories:(function(){FS.mkdir("/tmp");FS.mkdir("/home");FS.mkdir("/home/web_user")}),createDefaultDevices:(function(){FS.mkdir("/dev");FS.registerDevice(FS.makedev(1,3),{read:(function(){return 0}),write:(function(stream,buffer,offset,length,pos){return length})});FS.mkdev("/dev/null",FS.makedev(1,3));TTY.register(FS.makedev(5,0),TTY.default_tty_ops);TTY.register(FS.makedev(6,0),TTY.default_tty1_ops);FS.mkdev("/dev/tty",FS.makedev(5,0));FS.mkdev("/dev/tty1",FS.makedev(6,0));var random_device;if(typeof crypto!=="undefined"){var randomBuffer=new Uint8Array(1);random_device=(function(){crypto.getRandomValues(randomBuffer);return randomBuffer[0]})}else if(ENVIRONMENT_IS_NODE){random_device=(function(){return require("crypto").randomBytes(1)[0]})}else{random_device=(function(){return Math.random()*256|0})}FS.createDevice("/dev","random",random_device);FS.createDevice("/dev","urandom",random_device);FS.mkdir("/dev/shm");FS.mkdir("/dev/shm/tmp")}),createSpecialDirectories:(function(){FS.mkdir("/proc");FS.mkdir("/proc/self");FS.mkdir("/proc/self/fd");FS.mount({mount:(function(){var node=FS.createNode("/proc/self","fd",16384|511,73);node.node_ops={lookup:(function(parent,name){var fd=+name;var stream=FS.getStream(fd);if(!stream)throw new FS.ErrnoError(ERRNO_CODES.EBADF);var ret={parent:null,mount:{mountpoint:"fake"},node_ops:{readlink:(function(){return stream.path})}};ret.parent=ret;return ret})};return node})},{},"/proc/self/fd")}),createStandardStreams:(function(){if(Module["stdin"]){FS.createDevice("/dev","stdin",Module["stdin"])}else{FS.symlink("/dev/tty","/dev/stdin")}if(Module["stdout"]){FS.createDevice("/dev","stdout",null,Module["stdout"])}else{FS.symlink("/dev/tty","/dev/stdout")}if(Module["stderr"]){FS.createDevice("/dev","stderr",null,Module["stderr"])}else{FS.symlink("/dev/tty1","/dev/stderr")}var stdin=FS.open("/dev/stdin","r");assert(stdin.fd===0,"invalid handle for stdin ("+stdin.fd+")");var stdout=FS.open("/dev/stdout","w");assert(stdout.fd===1,"invalid handle for stdout ("+stdout.fd+")");var stderr=FS.open("/dev/stderr","w");assert(stderr.fd===2,"invalid handle for stderr ("+stderr.fd+")")}),ensureErrnoError:(function(){if(FS.ErrnoError)return;FS.ErrnoError=function ErrnoError(errno,node){this.node=node;this.setErrno=(function(errno){this.errno=errno;for(var key in ERRNO_CODES){if(ERRNO_CODES[key]===errno){this.code=key;break}}});this.setErrno(errno);this.message=ERRNO_MESSAGES[errno]};FS.ErrnoError.prototype=new Error;FS.ErrnoError.prototype.constructor=FS.ErrnoError;[ERRNO_CODES.ENOENT].forEach((function(code){FS.genericErrors[code]=new FS.ErrnoError(code);FS.genericErrors[code].stack="<generic error, no stack>"}))}),staticInit:(function(){FS.ensureErrnoError();FS.nameTable=new Array(4096);FS.mount(MEMFS,{},"/");FS.createDefaultDirectories();FS.createDefaultDevices();FS.createSpecialDirectories();FS.filesystems={"MEMFS":MEMFS,"IDBFS":IDBFS,"NODEFS":NODEFS,"WORKERFS":WORKERFS}}),init:(function(input,output,error){assert(!FS.init.initialized,"FS.init was previously called. If you want to initialize later with custom parameters, remove any earlier calls (note that one is automatically added to the generated code)");FS.init.initialized=true;FS.ensureErrnoError();Module["stdin"]=input||Module["stdin"];Module["stdout"]=output||Module["stdout"];Module["stderr"]=error||Module["stderr"];FS.createStandardStreams()}),quit:(function(){FS.init.initialized=false;var fflush=Module["_fflush"];if(fflush)fflush(0);for(var i=0;i<FS.streams.length;i++){var stream=FS.streams[i];if(!stream){continue}FS.close(stream)}}),getMode:(function(canRead,canWrite){var mode=0;if(canRead)mode|=292|73;if(canWrite)mode|=146;return mode}),joinPath:(function(parts,forceRelative){var path=PATH.join.apply(null,parts);if(forceRelative&&path[0]=="/")path=path.substr(1);return path}),absolutePath:(function(relative,base){return PATH.resolve(base,relative)}),standardizePath:(function(path){return PATH.normalize(path)}),findObject:(function(path,dontResolveLastLink){var ret=FS.analyzePath(path,dontResolveLastLink);if(ret.exists){return ret.object}else{___setErrNo(ret.error);return null}}),analyzePath:(function(path,dontResolveLastLink){try{var lookup=FS.lookupPath(path,{follow:!dontResolveLastLink});path=lookup.path}catch(e){}var ret={isRoot:false,exists:false,error:0,name:null,path:null,object:null,parentExists:false,parentPath:null,parentObject:null};try{var lookup=FS.lookupPath(path,{parent:true});ret.parentExists=true;ret.parentPath=lookup.path;ret.parentObject=lookup.node;ret.name=PATH.basename(path);lookup=FS.lookupPath(path,{follow:!dontResolveLastLink});ret.exists=true;ret.path=lookup.path;ret.object=lookup.node;ret.name=lookup.node.name;ret.isRoot=lookup.path==="/"}catch(e){ret.error=e.errno}return ret}),createFolder:(function(parent,name,canRead,canWrite){var path=PATH.join2(typeof parent==="string"?parent:FS.getPath(parent),name);var mode=FS.getMode(canRead,canWrite);return FS.mkdir(path,mode)}),createPath:(function(parent,path,canRead,canWrite){parent=typeof parent==="string"?parent:FS.getPath(parent);var parts=path.split("/").reverse();while(parts.length){var part=parts.pop();if(!part)continue;var current=PATH.join2(parent,part);try{FS.mkdir(current)}catch(e){}parent=current}return current}),createFile:(function(parent,name,properties,canRead,canWrite){var path=PATH.join2(typeof parent==="string"?parent:FS.getPath(parent),name);var mode=FS.getMode(canRead,canWrite);return FS.create(path,mode)}),createDataFile:(function(parent,name,data,canRead,canWrite,canOwn){var path=name?PATH.join2(typeof parent==="string"?parent:FS.getPath(parent),name):parent;var mode=FS.getMode(canRead,canWrite);var node=FS.create(path,mode);if(data){if(typeof data==="string"){var arr=new Array(data.length);for(var i=0,len=data.length;i<len;++i)arr[i]=data.charCodeAt(i);data=arr}FS.chmod(node,mode|146);var stream=FS.open(node,"w");FS.write(stream,data,0,data.length,0,canOwn);FS.close(stream);FS.chmod(node,mode)}return node}),createDevice:(function(parent,name,input,output){var path=PATH.join2(typeof parent==="string"?parent:FS.getPath(parent),name);var mode=FS.getMode(!!input,!!output);if(!FS.createDevice.major)FS.createDevice.major=64;var dev=FS.makedev(FS.createDevice.major++,0);FS.registerDevice(dev,{open:(function(stream){stream.seekable=false}),close:(function(stream){if(output&&output.buffer&&output.buffer.length){output(10)}}),read:(function(stream,buffer,offset,length,pos){var bytesRead=0;for(var i=0;i<length;i++){var result;try{result=input()}catch(e){throw new FS.ErrnoError(ERRNO_CODES.EIO)}if(result===undefined&&bytesRead===0){throw new FS.ErrnoError(ERRNO_CODES.EAGAIN)}if(result===null||result===undefined)break;bytesRead++;buffer[offset+i]=result}if(bytesRead){stream.node.timestamp=Date.now()}return bytesRead}),write:(function(stream,buffer,offset,length,pos){for(var i=0;i<length;i++){try{output(buffer[offset+i])}catch(e){throw new FS.ErrnoError(ERRNO_CODES.EIO)}}if(length){stream.node.timestamp=Date.now()}return i})});return FS.mkdev(path,mode,dev)}),createLink:(function(parent,name,target,canRead,canWrite){var path=PATH.join2(typeof parent==="string"?parent:FS.getPath(parent),name);return FS.symlink(target,path)}),forceLoadFile:(function(obj){if(obj.isDevice||obj.isFolder||obj.link||obj.contents)return true;var success=true;if(typeof XMLHttpRequest!=="undefined"){throw new Error("Lazy loading should have been performed (contents set) in createLazyFile, but it was not. Lazy loading only works in web workers. Use --embed-file or --preload-file in emcc on the main thread.")}else if(Module["read"]){try{obj.contents=intArrayFromString(Module["read"](obj.url),true);obj.usedBytes=obj.contents.length}catch(e){success=false}}else{throw new Error("Cannot load without read() or XMLHttpRequest.")}if(!success)___setErrNo(ERRNO_CODES.EIO);return success}),createLazyFile:(function(parent,name,url,canRead,canWrite){function LazyUint8Array(){this.lengthKnown=false;this.chunks=[]}LazyUint8Array.prototype.get=function LazyUint8Array_get(idx){if(idx>this.length-1||idx<0){return undefined}var chunkOffset=idx%this.chunkSize;var chunkNum=idx/this.chunkSize|0;return this.getter(chunkNum)[chunkOffset]};LazyUint8Array.prototype.setDataGetter=function LazyUint8Array_setDataGetter(getter){this.getter=getter};LazyUint8Array.prototype.cacheLength=function LazyUint8Array_cacheLength(){var xhr=new XMLHttpRequest;xhr.open("HEAD",url,false);xhr.send(null);if(!(xhr.status>=200&&xhr.status<300||xhr.status===304))throw new Error("Couldn't load "+url+". Status: "+xhr.status);var datalength=Number(xhr.getResponseHeader("Content-length"));var header;var hasByteServing=(header=xhr.getResponseHeader("Accept-Ranges"))&&header==="bytes";var usesGzip=(header=xhr.getResponseHeader("Content-Encoding"))&&header==="gzip";var chunkSize=1024*1024;if(!hasByteServing)chunkSize=datalength;var doXHR=(function(from,to){if(from>to)throw new Error("invalid range ("+from+", "+to+") or no bytes requested!");if(to>datalength-1)throw new Error("only "+datalength+" bytes available! programmer error!");var xhr=new XMLHttpRequest;xhr.open("GET",url,false);if(datalength!==chunkSize)xhr.setRequestHeader("Range","bytes="+from+"-"+to);if(typeof Uint8Array!="undefined")xhr.responseType="arraybuffer";if(xhr.overrideMimeType){xhr.overrideMimeType("text/plain; charset=x-user-defined")}xhr.send(null);if(!(xhr.status>=200&&xhr.status<300||xhr.status===304))throw new Error("Couldn't load "+url+". Status: "+xhr.status);if(xhr.response!==undefined){return new Uint8Array(xhr.response||[])}else{return intArrayFromString(xhr.responseText||"",true)}});var lazyArray=this;lazyArray.setDataGetter((function(chunkNum){var start=chunkNum*chunkSize;var end=(chunkNum+1)*chunkSize-1;end=Math.min(end,datalength-1);if(typeof lazyArray.chunks[chunkNum]==="undefined"){lazyArray.chunks[chunkNum]=doXHR(start,end)}if(typeof lazyArray.chunks[chunkNum]==="undefined")throw new Error("doXHR failed!");return lazyArray.chunks[chunkNum]}));if(usesGzip||!datalength){chunkSize=datalength=1;datalength=this.getter(0).length;chunkSize=datalength;console.log("LazyFiles on gzip forces download of the whole file when length is accessed")}this._length=datalength;this._chunkSize=chunkSize;this.lengthKnown=true};if(typeof XMLHttpRequest!=="undefined"){if(!ENVIRONMENT_IS_WORKER)throw"Cannot do synchronous binary XHRs outside webworkers in modern browsers. Use --embed-file or --preload-file in emcc";var lazyArray=new LazyUint8Array;Object.defineProperties(lazyArray,{length:{get:(function(){if(!this.lengthKnown){this.cacheLength()}return this._length})},chunkSize:{get:(function(){if(!this.lengthKnown){this.cacheLength()}return this._chunkSize})}});var properties={isDevice:false,contents:lazyArray}}else{var properties={isDevice:false,url:url}}var node=FS.createFile(parent,name,properties,canRead,canWrite);if(properties.contents){node.contents=properties.contents}else if(properties.url){node.contents=null;node.url=properties.url}Object.defineProperties(node,{usedBytes:{get:(function(){return this.contents.length})}});var stream_ops={};var keys=Object.keys(node.stream_ops);keys.forEach((function(key){var fn=node.stream_ops[key];stream_ops[key]=function forceLoadLazyFile(){if(!FS.forceLoadFile(node)){throw new FS.ErrnoError(ERRNO_CODES.EIO)}return fn.apply(null,arguments)}}));stream_ops.read=function stream_ops_read(stream,buffer,offset,length,position){if(!FS.forceLoadFile(node)){throw new FS.ErrnoError(ERRNO_CODES.EIO)}var contents=stream.node.contents;if(position>=contents.length)return 0;var size=Math.min(contents.length-position,length);assert(size>=0);if(contents.slice){for(var i=0;i<size;i++){buffer[offset+i]=contents[position+i]}}else{for(var i=0;i<size;i++){buffer[offset+i]=contents.get(position+i)}}return size};node.stream_ops=stream_ops;return node}),createPreloadedFile:(function(parent,name,url,canRead,canWrite,onload,onerror,dontCreateFile,canOwn,preFinish){Browser.init();var fullname=name?PATH.resolve(PATH.join2(parent,name)):parent;var dep=getUniqueRunDependency("cp "+fullname);function processData(byteArray){function finish(byteArray){if(preFinish)preFinish();if(!dontCreateFile){FS.createDataFile(parent,name,byteArray,canRead,canWrite,canOwn)}if(onload)onload();removeRunDependency(dep)}var handled=false;Module["preloadPlugins"].forEach((function(plugin){if(handled)return;if(plugin["canHandle"](fullname)){plugin["handle"](byteArray,fullname,finish,(function(){if(onerror)onerror();removeRunDependency(dep)}));handled=true}}));if(!handled)finish(byteArray)}addRunDependency(dep);if(typeof url=="string"){Browser.asyncLoad(url,(function(byteArray){processData(byteArray)}),onerror)}else{processData(url)}}),indexedDB:(function(){return window.indexedDB||window.mozIndexedDB||window.webkitIndexedDB||window.msIndexedDB}),DB_NAME:(function(){return"EM_FS_"+window.location.pathname}),DB_VERSION:20,DB_STORE_NAME:"FILE_DATA",saveFilesToDB:(function(paths,onload,onerror){onload=onload||(function(){});onerror=onerror||(function(){});var indexedDB=FS.indexedDB();try{var openRequest=indexedDB.open(FS.DB_NAME(),FS.DB_VERSION)}catch(e){return onerror(e)}openRequest.onupgradeneeded=function openRequest_onupgradeneeded(){console.log("creating db");var db=openRequest.result;db.createObjectStore(FS.DB_STORE_NAME)};openRequest.onsuccess=function openRequest_onsuccess(){var db=openRequest.result;var transaction=db.transaction([FS.DB_STORE_NAME],"readwrite");var files=transaction.objectStore(FS.DB_STORE_NAME);var ok=0,fail=0,total=paths.length;function finish(){if(fail==0)onload();else onerror()}paths.forEach((function(path){var putRequest=files.put(FS.analyzePath(path).object.contents,path);putRequest.onsuccess=function putRequest_onsuccess(){ok++;if(ok+fail==total)finish()};putRequest.onerror=function putRequest_onerror(){fail++;if(ok+fail==total)finish()}}));transaction.onerror=onerror};openRequest.onerror=onerror}),loadFilesFromDB:(function(paths,onload,onerror){onload=onload||(function(){});onerror=onerror||(function(){});var indexedDB=FS.indexedDB();try{var openRequest=indexedDB.open(FS.DB_NAME(),FS.DB_VERSION)}catch(e){return onerror(e)}openRequest.onupgradeneeded=onerror;openRequest.onsuccess=function openRequest_onsuccess(){var db=openRequest.result;try{var transaction=db.transaction([FS.DB_STORE_NAME],"readonly")}catch(e){onerror(e);return}var files=transaction.objectStore(FS.DB_STORE_NAME);var ok=0,fail=0,total=paths.length;function finish(){if(fail==0)onload();else onerror()}paths.forEach((function(path){var getRequest=files.get(path);getRequest.onsuccess=function getRequest_onsuccess(){if(FS.analyzePath(path).exists){FS.unlink(path)}FS.createDataFile(PATH.dirname(path),PATH.basename(path),getRequest.result,true,true,true);ok++;if(ok+fail==total)finish()};getRequest.onerror=function getRequest_onerror(){fail++;if(ok+fail==total)finish()}}));transaction.onerror=onerror};openRequest.onerror=onerror})};var SYSCALLS={DEFAULT_POLLMASK:5,mappings:{},umask:511,calculateAt:(function(dirfd,path){if(path[0]!=="/"){var dir;if(dirfd===-100){dir=FS.cwd()}else{var dirstream=FS.getStream(dirfd);if(!dirstream)throw new FS.ErrnoError(ERRNO_CODES.EBADF);dir=dirstream.path}path=PATH.join2(dir,path)}return path}),doStat:(function(func,path,buf){try{var stat=func(path)}catch(e){if(e&&e.node&&PATH.normalize(path)!==PATH.normalize(FS.getPath(e.node))){return-ERRNO_CODES.ENOTDIR}throw e}HEAP32[buf>>2]=stat.dev;HEAP32[buf+4>>2]=0;HEAP32[buf+8>>2]=stat.ino;HEAP32[buf+12>>2]=stat.mode;HEAP32[buf+16>>2]=stat.nlink;HEAP32[buf+20>>2]=stat.uid;HEAP32[buf+24>>2]=stat.gid;HEAP32[buf+28>>2]=stat.rdev;HEAP32[buf+32>>2]=0;HEAP32[buf+36>>2]=stat.size;HEAP32[buf+40>>2]=4096;HEAP32[buf+44>>2]=stat.blocks;HEAP32[buf+48>>2]=stat.atime.getTime()/1e3|0;HEAP32[buf+52>>2]=0;HEAP32[buf+56>>2]=stat.mtime.getTime()/1e3|0;HEAP32[buf+60>>2]=0;HEAP32[buf+64>>2]=stat.ctime.getTime()/1e3|0;HEAP32[buf+68>>2]=0;HEAP32[buf+72>>2]=stat.ino;return 0}),doMsync:(function(addr,stream,len,flags){var buffer=new Uint8Array(HEAPU8.subarray(addr,addr+len));FS.msync(stream,buffer,0,len,flags)}),doMkdir:(function(path,mode){path=PATH.normalize(path);if(path[path.length-1]==="/")path=path.substr(0,path.length-1);FS.mkdir(path,mode,0);return 0}),doMknod:(function(path,mode,dev){switch(mode&61440){case 32768:case 8192:case 24576:case 4096:case 49152:break;default:return-ERRNO_CODES.EINVAL}FS.mknod(path,mode,dev);return 0}),doReadlink:(function(path,buf,bufsize){if(bufsize<=0)return-ERRNO_CODES.EINVAL;var ret=FS.readlink(path);var len=Math.min(bufsize,lengthBytesUTF8(ret));var endChar=HEAP8[buf+len];stringToUTF8(ret,buf,bufsize+1);HEAP8[buf+len]=endChar;return len}),doAccess:(function(path,amode){if(amode&~7){return-ERRNO_CODES.EINVAL}var node;var lookup=FS.lookupPath(path,{follow:true});node=lookup.node;var perms="";if(amode&4)perms+="r";if(amode&2)perms+="w";if(amode&1)perms+="x";if(perms&&FS.nodePermissions(node,perms)){return-ERRNO_CODES.EACCES}return 0}),doDup:(function(path,flags,suggestFD){var suggest=FS.getStream(suggestFD);if(suggest)FS.close(suggest);return FS.open(path,flags,0,suggestFD,suggestFD).fd}),doReadv:(function(stream,iov,iovcnt,offset){var ret=0;for(var i=0;i<iovcnt;i++){var ptr=HEAP32[iov+i*8>>2];var len=HEAP32[iov+(i*8+4)>>2];var curr=FS.read(stream,HEAP8,ptr,len,offset);if(curr<0)return-1;ret+=curr;if(curr<len)break}return ret}),doWritev:(function(stream,iov,iovcnt,offset){var ret=0;for(var i=0;i<iovcnt;i++){var ptr=HEAP32[iov+i*8>>2];var len=HEAP32[iov+(i*8+4)>>2];var curr=FS.write(stream,HEAP8,ptr,len,offset);if(curr<0)return-1;ret+=curr}return ret}),varargs:0,get:(function(varargs){SYSCALLS.varargs+=4;var ret=HEAP32[SYSCALLS.varargs-4>>2];return ret}),getStr:(function(){var ret=Pointer_stringify(SYSCALLS.get());return ret}),getStreamFromFD:(function(){var stream=FS.getStream(SYSCALLS.get());if(!stream)throw new FS.ErrnoError(ERRNO_CODES.EBADF);return stream}),getSocketFromFD:(function(){var socket=SOCKFS.getSocket(SYSCALLS.get());if(!socket)throw new FS.ErrnoError(ERRNO_CODES.EBADF);return socket}),getSocketAddress:(function(allowNull){var addrp=SYSCALLS.get(),addrlen=SYSCALLS.get();if(allowNull&&addrp===0)return null;var info=__read_sockaddr(addrp,addrlen);if(info.errno)throw new FS.ErrnoError(info.errno);info.addr=DNS.lookup_addr(info.addr)||info.addr;return info}),get64:(function(){var low=SYSCALLS.get(),high=SYSCALLS.get();if(low>=0)assert(high===0);else assert(high===-1);return low}),getZero:(function(){assert(SYSCALLS.get()===0)})};function ___syscall91(which,varargs){SYSCALLS.varargs=varargs;try{var addr=SYSCALLS.get(),len=SYSCALLS.get();var info=SYSCALLS.mappings[addr];if(!info)return 0;if(len===info.len){var stream=FS.getStream(info.fd);SYSCALLS.doMsync(addr,stream,len,info.flags);FS.munmap(stream);SYSCALLS.mappings[addr]=null;if(info.allocated){_free(info.malloc)}}return 0}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function _pthread_mutexattr_destroy(){}function _emscripten_set_main_loop_timing(mode,value){Browser.mainLoop.timingMode=mode;Browser.mainLoop.timingValue=value;if(!Browser.mainLoop.func){return 1}if(mode==0){Browser.mainLoop.scheduler=function Browser_mainLoop_scheduler_setTimeout(){var timeUntilNextTick=Math.max(0,Browser.mainLoop.tickStartTime+value-_emscripten_get_now())|0;setTimeout(Browser.mainLoop.runner,timeUntilNextTick)};Browser.mainLoop.method="timeout"}else if(mode==1){Browser.mainLoop.scheduler=function Browser_mainLoop_scheduler_rAF(){Browser.requestAnimationFrame(Browser.mainLoop.runner)};Browser.mainLoop.method="rAF"}else if(mode==2){if(!window["setImmediate"]){var setImmediates=[];var emscriptenMainLoopMessageId="setimmediate";function Browser_setImmediate_messageHandler(event){if(event.source===window&&event.data===emscriptenMainLoopMessageId){event.stopPropagation();setImmediates.shift()()}}window.addEventListener("message",Browser_setImmediate_messageHandler,true);window["setImmediate"]=function Browser_emulated_setImmediate(func){setImmediates.push(func);if(ENVIRONMENT_IS_WORKER){if(Module["setImmediates"]===undefined)Module["setImmediates"]=[];Module["setImmediates"].push(func);window.postMessage({target:emscriptenMainLoopMessageId})}else window.postMessage(emscriptenMainLoopMessageId,"*")}}Browser.mainLoop.scheduler=function Browser_mainLoop_scheduler_setImmediate(){window["setImmediate"](Browser.mainLoop.runner)};Browser.mainLoop.method="immediate"}return 0}function _emscripten_get_now(){abort()}function _emscripten_set_main_loop(func,fps,simulateInfiniteLoop,arg,noSetTiming){Module["noExitRuntime"]=true;assert(!Browser.mainLoop.func,"emscripten_set_main_loop: there can only be one main loop function at once: call emscripten_cancel_main_loop to cancel the previous one before setting a new one with different parameters.");Browser.mainLoop.func=func;Browser.mainLoop.arg=arg;var browserIterationFunc;if(typeof arg!=="undefined"){browserIterationFunc=(function(){Module["dynCall_vi"](func,arg)})}else{browserIterationFunc=(function(){Module["dynCall_v"](func)})}var thisMainLoopId=Browser.mainLoop.currentlyRunningMainloop;Browser.mainLoop.runner=function Browser_mainLoop_runner(){if(ABORT)return;if(Browser.mainLoop.queue.length>0){var start=Date.now();var blocker=Browser.mainLoop.queue.shift();blocker.func(blocker.arg);if(Browser.mainLoop.remainingBlockers){var remaining=Browser.mainLoop.remainingBlockers;var next=remaining%1==0?remaining-1:Math.floor(remaining);if(blocker.counted){Browser.mainLoop.remainingBlockers=next}else{next=next+.5;Browser.mainLoop.remainingBlockers=(8*remaining+next)/9}}console.log('main loop blocker "'+blocker.name+'" took '+(Date.now()-start)+" ms");Browser.mainLoop.updateStatus();if(thisMainLoopId<Browser.mainLoop.currentlyRunningMainloop)return;setTimeout(Browser.mainLoop.runner,0);return}if(thisMainLoopId<Browser.mainLoop.currentlyRunningMainloop)return;Browser.mainLoop.currentFrameNumber=Browser.mainLoop.currentFrameNumber+1|0;if(Browser.mainLoop.timingMode==1&&Browser.mainLoop.timingValue>1&&Browser.mainLoop.currentFrameNumber%Browser.mainLoop.timingValue!=0){Browser.mainLoop.scheduler();return}else if(Browser.mainLoop.timingMode==0){Browser.mainLoop.tickStartTime=_emscripten_get_now()}if(Browser.mainLoop.method==="timeout"&&Module.ctx){Module.printErr("Looks like you are rendering without using requestAnimationFrame for the main loop. You should use 0 for the frame rate in emscripten_set_main_loop in order to use requestAnimationFrame, as that can greatly improve your frame rates!");Browser.mainLoop.method=""}Browser.mainLoop.runIter(browserIterationFunc);if(thisMainLoopId<Browser.mainLoop.currentlyRunningMainloop)return;if(typeof SDL==="object"&&SDL.audio&&SDL.audio.queueNewAudioData)SDL.audio.queueNewAudioData();Browser.mainLoop.scheduler()};if(!noSetTiming){if(fps&&fps>0)_emscripten_set_main_loop_timing(0,1e3/fps);else _emscripten_set_main_loop_timing(1,1);Browser.mainLoop.scheduler()}if(simulateInfiniteLoop){throw"SimulateInfiniteLoop"}}var Browser={mainLoop:{scheduler:null,method:"",currentlyRunningMainloop:0,func:null,arg:0,timingMode:0,timingValue:0,currentFrameNumber:0,queue:[],pause:(function(){Browser.mainLoop.scheduler=null;Browser.mainLoop.currentlyRunningMainloop++}),resume:(function(){Browser.mainLoop.currentlyRunningMainloop++;var timingMode=Browser.mainLoop.timingMode;var timingValue=Browser.mainLoop.timingValue;var func=Browser.mainLoop.func;Browser.mainLoop.func=null;_emscripten_set_main_loop(func,0,false,Browser.mainLoop.arg,true);_emscripten_set_main_loop_timing(timingMode,timingValue);Browser.mainLoop.scheduler()}),updateStatus:(function(){if(Module["setStatus"]){var message=Module["statusMessage"]||"Please wait...";var remaining=Browser.mainLoop.remainingBlockers;var expected=Browser.mainLoop.expectedBlockers;if(remaining){if(remaining<expected){Module["setStatus"](message+" ("+(expected-remaining)+"/"+expected+")")}else{Module["setStatus"](message)}}else{Module["setStatus"]("")}}}),runIter:(function(func){if(ABORT)return;if(Module["preMainLoop"]){var preRet=Module["preMainLoop"]();if(preRet===false){return}}try{func()}catch(e){if(e instanceof ExitStatus){return}else{if(e&&typeof e==="object"&&e.stack)Module.printErr("exception thrown: "+[e,e.stack]);throw e}}if(Module["postMainLoop"])Module["postMainLoop"]()})},isFullscreen:false,pointerLock:false,moduleContextCreatedCallbacks:[],workers:[],init:(function(){if(!Module["preloadPlugins"])Module["preloadPlugins"]=[];if(Browser.initted)return;Browser.initted=true;try{new Blob;Browser.hasBlobConstructor=true}catch(e){Browser.hasBlobConstructor=false;console.log("warning: no blob constructor, cannot create blobs with mimetypes")}Browser.BlobBuilder=typeof MozBlobBuilder!="undefined"?MozBlobBuilder:typeof WebKitBlobBuilder!="undefined"?WebKitBlobBuilder:!Browser.hasBlobConstructor?console.log("warning: no BlobBuilder"):null;Browser.URLObject=typeof window!="undefined"?window.URL?window.URL:window.webkitURL:undefined;if(!Module.noImageDecoding&&typeof Browser.URLObject==="undefined"){console.log("warning: Browser does not support creating object URLs. Built-in browser image decoding will not be available.");Module.noImageDecoding=true}var imagePlugin={};imagePlugin["canHandle"]=function imagePlugin_canHandle(name){return!Module.noImageDecoding&&/\.(jpg|jpeg|png|bmp)$/i.test(name)};imagePlugin["handle"]=function imagePlugin_handle(byteArray,name,onload,onerror){var b=null;if(Browser.hasBlobConstructor){try{b=new Blob([byteArray],{type:Browser.getMimetype(name)});if(b.size!==byteArray.length){b=new Blob([(new Uint8Array(byteArray)).buffer],{type:Browser.getMimetype(name)})}}catch(e){Runtime.warnOnce("Blob constructor present but fails: "+e+"; falling back to blob builder")}}if(!b){var bb=new Browser.BlobBuilder;bb.append((new Uint8Array(byteArray)).buffer);b=bb.getBlob()}var url=Browser.URLObject.createObjectURL(b);var img=new Image;img.onload=function img_onload(){assert(img.complete,"Image "+name+" could not be decoded");var canvas=document.createElement("canvas");canvas.width=img.width;canvas.height=img.height;var ctx=canvas.getContext("2d");ctx.drawImage(img,0,0);Module["preloadedImages"][name]=canvas;Browser.URLObject.revokeObjectURL(url);if(onload)onload(byteArray)};img.onerror=function img_onerror(event){console.log("Image "+url+" could not be decoded");if(onerror)onerror()};img.src=url};Module["preloadPlugins"].push(imagePlugin);var audioPlugin={};audioPlugin["canHandle"]=function audioPlugin_canHandle(name){return!Module.noAudioDecoding&&name.substr(-4)in{".ogg":1,".wav":1,".mp3":1}};audioPlugin["handle"]=function audioPlugin_handle(byteArray,name,onload,onerror){var done=false;function finish(audio){if(done)return;done=true;Module["preloadedAudios"][name]=audio;if(onload)onload(byteArray)}function fail(){if(done)return;done=true;Module["preloadedAudios"][name]=new Audio;if(onerror)onerror()}if(Browser.hasBlobConstructor){try{var b=new Blob([byteArray],{type:Browser.getMimetype(name)})}catch(e){return fail()}var url=Browser.URLObject.createObjectURL(b);var audio=new Audio;audio.addEventListener("canplaythrough",(function(){finish(audio)}),false);audio.onerror=function audio_onerror(event){if(done)return;console.log("warning: browser could not fully decode audio "+name+", trying slower base64 approach");function encode64(data){var BASE="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";var PAD="=";var ret="";var leftchar=0;var leftbits=0;for(var i=0;i<data.length;i++){leftchar=leftchar<<8|data[i];leftbits+=8;while(leftbits>=6){var curr=leftchar>>leftbits-6&63;leftbits-=6;ret+=BASE[curr]}}if(leftbits==2){ret+=BASE[(leftchar&3)<<4];ret+=PAD+PAD}else if(leftbits==4){ret+=BASE[(leftchar&15)<<2];ret+=PAD}return ret}audio.src="data:audio/x-"+name.substr(-3)+";base64,"+encode64(byteArray);finish(audio)};audio.src=url;Browser.safeSetTimeout((function(){finish(audio)}),1e4)}else{return fail()}};Module["preloadPlugins"].push(audioPlugin);function pointerLockChange(){Browser.pointerLock=document["pointerLockElement"]===Module["canvas"]||document["mozPointerLockElement"]===Module["canvas"]||document["webkitPointerLockElement"]===Module["canvas"]||document["msPointerLockElement"]===Module["canvas"]}var canvas=Module["canvas"];if(canvas){canvas.requestPointerLock=canvas["requestPointerLock"]||canvas["mozRequestPointerLock"]||canvas["webkitRequestPointerLock"]||canvas["msRequestPointerLock"]||(function(){});canvas.exitPointerLock=document["exitPointerLock"]||document["mozExitPointerLock"]||document["webkitExitPointerLock"]||document["msExitPointerLock"]||(function(){});canvas.exitPointerLock=canvas.exitPointerLock.bind(document);document.addEventListener("pointerlockchange",pointerLockChange,false);document.addEventListener("mozpointerlockchange",pointerLockChange,false);document.addEventListener("webkitpointerlockchange",pointerLockChange,false);document.addEventListener("mspointerlockchange",pointerLockChange,false);if(Module["elementPointerLock"]){canvas.addEventListener("click",(function(ev){if(!Browser.pointerLock&&Module["canvas"].requestPointerLock){Module["canvas"].requestPointerLock();ev.preventDefault()}}),false)}}}),createContext:(function(canvas,useWebGL,setInModule,webGLContextAttributes){if(useWebGL&&Module.ctx&&canvas==Module.canvas)return Module.ctx;var ctx;var contextHandle;if(useWebGL){var contextAttributes={antialias:false,alpha:false};if(webGLContextAttributes){for(var attribute in webGLContextAttributes){contextAttributes[attribute]=webGLContextAttributes[attribute]}}contextHandle=GL.createContext(canvas,contextAttributes);if(contextHandle){ctx=GL.getContext(contextHandle).GLctx}}else{ctx=canvas.getContext("2d")}if(!ctx)return null;if(setInModule){if(!useWebGL)assert(typeof GLctx==="undefined","cannot set in module if GLctx is used, but we are a non-GL context that would replace it");Module.ctx=ctx;if(useWebGL)GL.makeContextCurrent(contextHandle);Module.useWebGL=useWebGL;Browser.moduleContextCreatedCallbacks.forEach((function(callback){callback()}));Browser.init()}return ctx}),destroyContext:(function(canvas,useWebGL,setInModule){}),fullscreenHandlersInstalled:false,lockPointer:undefined,resizeCanvas:undefined,requestFullscreen:(function(lockPointer,resizeCanvas,vrDevice){Browser.lockPointer=lockPointer;Browser.resizeCanvas=resizeCanvas;Browser.vrDevice=vrDevice;if(typeof Browser.lockPointer==="undefined")Browser.lockPointer=true;if(typeof Browser.resizeCanvas==="undefined")Browser.resizeCanvas=false;if(typeof Browser.vrDevice==="undefined")Browser.vrDevice=null;var canvas=Module["canvas"];function fullscreenChange(){Browser.isFullscreen=false;var canvasContainer=canvas.parentNode;if((document["fullscreenElement"]||document["mozFullScreenElement"]||document["msFullscreenElement"]||document["webkitFullscreenElement"]||document["webkitCurrentFullScreenElement"])===canvasContainer){canvas.exitFullscreen=document["exitFullscreen"]||document["cancelFullScreen"]||document["mozCancelFullScreen"]||document["msExitFullscreen"]||document["webkitCancelFullScreen"]||(function(){});canvas.exitFullscreen=canvas.exitFullscreen.bind(document);if(Browser.lockPointer)canvas.requestPointerLock();Browser.isFullscreen=true;if(Browser.resizeCanvas)Browser.setFullscreenCanvasSize()}else{canvasContainer.parentNode.insertBefore(canvas,canvasContainer);canvasContainer.parentNode.removeChild(canvasContainer);if(Browser.resizeCanvas)Browser.setWindowedCanvasSize()}if(Module["onFullScreen"])Module["onFullScreen"](Browser.isFullscreen);if(Module["onFullscreen"])Module["onFullscreen"](Browser.isFullscreen);Browser.updateCanvasDimensions(canvas)}if(!Browser.fullscreenHandlersInstalled){Browser.fullscreenHandlersInstalled=true;document.addEventListener("fullscreenchange",fullscreenChange,false);document.addEventListener("mozfullscreenchange",fullscreenChange,false);document.addEventListener("webkitfullscreenchange",fullscreenChange,false);document.addEventListener("MSFullscreenChange",fullscreenChange,false)}var canvasContainer=document.createElement("div");canvas.parentNode.insertBefore(canvasContainer,canvas);canvasContainer.appendChild(canvas);canvasContainer.requestFullscreen=canvasContainer["requestFullscreen"]||canvasContainer["mozRequestFullScreen"]||canvasContainer["msRequestFullscreen"]||(canvasContainer["webkitRequestFullscreen"]?(function(){canvasContainer["webkitRequestFullscreen"](Element["ALLOW_KEYBOARD_INPUT"])}):null)||(canvasContainer["webkitRequestFullScreen"]?(function(){canvasContainer["webkitRequestFullScreen"](Element["ALLOW_KEYBOARD_INPUT"])}):null);if(vrDevice){canvasContainer.requestFullscreen({vrDisplay:vrDevice})}else{canvasContainer.requestFullscreen()}}),requestFullScreen:(function(lockPointer,resizeCanvas,vrDevice){Module.printErr("Browser.requestFullScreen() is deprecated. Please call Browser.requestFullscreen instead.");Browser.requestFullScreen=(function(lockPointer,resizeCanvas,vrDevice){return Browser.requestFullscreen(lockPointer,resizeCanvas,vrDevice)});return Browser.requestFullscreen(lockPointer,resizeCanvas,vrDevice)}),nextRAF:0,fakeRequestAnimationFrame:(function(func){var now=Date.now();if(Browser.nextRAF===0){Browser.nextRAF=now+1e3/60}else{while(now+2>=Browser.nextRAF){Browser.nextRAF+=1e3/60}}var delay=Math.max(Browser.nextRAF-now,0);setTimeout(func,delay)}),requestAnimationFrame:function requestAnimationFrame(func){if(typeof window==="undefined"){Browser.fakeRequestAnimationFrame(func)}else{if(!window.requestAnimationFrame){window.requestAnimationFrame=window["requestAnimationFrame"]||window["mozRequestAnimationFrame"]||window["webkitRequestAnimationFrame"]||window["msRequestAnimationFrame"]||window["oRequestAnimationFrame"]||Browser.fakeRequestAnimationFrame}window.requestAnimationFrame(func)}},safeCallback:(function(func){return(function(){if(!ABORT)return func.apply(null,arguments)})}),allowAsyncCallbacks:true,queuedAsyncCallbacks:[],pauseAsyncCallbacks:(function(){Browser.allowAsyncCallbacks=false}),resumeAsyncCallbacks:(function(){Browser.allowAsyncCallbacks=true;if(Browser.queuedAsyncCallbacks.length>0){var callbacks=Browser.queuedAsyncCallbacks;Browser.queuedAsyncCallbacks=[];callbacks.forEach((function(func){func()}))}}),safeRequestAnimationFrame:(function(func){return Browser.requestAnimationFrame((function(){if(ABORT)return;if(Browser.allowAsyncCallbacks){func()}else{Browser.queuedAsyncCallbacks.push(func)}}))}),safeSetTimeout:(function(func,timeout){Module["noExitRuntime"]=true;return setTimeout((function(){if(ABORT)return;if(Browser.allowAsyncCallbacks){func()}else{Browser.queuedAsyncCallbacks.push(func)}}),timeout)}),safeSetInterval:(function(func,timeout){Module["noExitRuntime"]=true;return setInterval((function(){if(ABORT)return;if(Browser.allowAsyncCallbacks){func()}}),timeout)}),getMimetype:(function(name){return{"jpg":"image/jpeg","jpeg":"image/jpeg","png":"image/png","bmp":"image/bmp","ogg":"audio/ogg","wav":"audio/wav","mp3":"audio/mpeg"}[name.substr(name.lastIndexOf(".")+1)]}),getUserMedia:(function(func){if(!window.getUserMedia){window.getUserMedia=navigator["getUserMedia"]||navigator["mozGetUserMedia"]}window.getUserMedia(func)}),getMovementX:(function(event){return event["movementX"]||event["mozMovementX"]||event["webkitMovementX"]||0}),getMovementY:(function(event){return event["movementY"]||event["mozMovementY"]||event["webkitMovementY"]||0}),getMouseWheelDelta:(function(event){var delta=0;switch(event.type){case"DOMMouseScroll":delta=event.detail;break;case"mousewheel":delta=event.wheelDelta;break;case"wheel":delta=event["deltaY"];break;default:throw"unrecognized mouse wheel event: "+event.type}return delta}),mouseX:0,mouseY:0,mouseMovementX:0,mouseMovementY:0,touches:{},lastTouches:{},calculateMouseEvent:(function(event){if(Browser.pointerLock){if(event.type!="mousemove"&&"mozMovementX"in event){Browser.mouseMovementX=Browser.mouseMovementY=0}else{Browser.mouseMovementX=Browser.getMovementX(event);Browser.mouseMovementY=Browser.getMovementY(event)}if(typeof SDL!="undefined"){Browser.mouseX=SDL.mouseX+Browser.mouseMovementX;Browser.mouseY=SDL.mouseY+Browser.mouseMovementY}else{Browser.mouseX+=Browser.mouseMovementX;Browser.mouseY+=Browser.mouseMovementY}}else{var rect=Module["canvas"].getBoundingClientRect();var cw=Module["canvas"].width;var ch=Module["canvas"].height;var scrollX=typeof window.scrollX!=="undefined"?window.scrollX:window.pageXOffset;var scrollY=typeof window.scrollY!=="undefined"?window.scrollY:window.pageYOffset;if(event.type==="touchstart"||event.type==="touchend"||event.type==="touchmove"){var touch=event.touch;if(touch===undefined){return}var adjustedX=touch.pageX-(scrollX+rect.left);var adjustedY=touch.pageY-(scrollY+rect.top);adjustedX=adjustedX*(cw/rect.width);adjustedY=adjustedY*(ch/rect.height);var coords={x:adjustedX,y:adjustedY};if(event.type==="touchstart"){Browser.lastTouches[touch.identifier]=coords;Browser.touches[touch.identifier]=coords}else if(event.type==="touchend"||event.type==="touchmove"){var last=Browser.touches[touch.identifier];if(!last)last=coords;Browser.lastTouches[touch.identifier]=last;Browser.touches[touch.identifier]=coords}return}var x=event.pageX-(scrollX+rect.left);var y=event.pageY-(scrollY+rect.top);x=x*(cw/rect.width);y=y*(ch/rect.height);Browser.mouseMovementX=x-Browser.mouseX;Browser.mouseMovementY=y-Browser.mouseY;Browser.mouseX=x;Browser.mouseY=y}}),asyncLoad:(function(url,onload,onerror,noRunDep){var dep=!noRunDep?getUniqueRunDependency("al "+url):"";Module["readAsync"](url,(function(arrayBuffer){assert(arrayBuffer,'Loading data file "'+url+'" failed (no arrayBuffer).');onload(new Uint8Array(arrayBuffer));if(dep)removeRunDependency(dep)}),(function(event){if(onerror){onerror()}else{throw'Loading data file "'+url+'" failed.'}}));if(dep)addRunDependency(dep)}),resizeListeners:[],updateResizeListeners:(function(){var canvas=Module["canvas"];Browser.resizeListeners.forEach((function(listener){listener(canvas.width,canvas.height)}))}),setCanvasSize:(function(width,height,noUpdates){var canvas=Module["canvas"];Browser.updateCanvasDimensions(canvas,width,height);if(!noUpdates)Browser.updateResizeListeners()}),windowedWidth:0,windowedHeight:0,setFullscreenCanvasSize:(function(){if(typeof SDL!="undefined"){var flags=HEAPU32[SDL.screen+Runtime.QUANTUM_SIZE*0>>2];flags=flags|8388608;HEAP32[SDL.screen+Runtime.QUANTUM_SIZE*0>>2]=flags}Browser.updateResizeListeners()}),setWindowedCanvasSize:(function(){if(typeof SDL!="undefined"){var flags=HEAPU32[SDL.screen+Runtime.QUANTUM_SIZE*0>>2];flags=flags&~8388608;HEAP32[SDL.screen+Runtime.QUANTUM_SIZE*0>>2]=flags}Browser.updateResizeListeners()}),updateCanvasDimensions:(function(canvas,wNative,hNative){if(wNative&&hNative){canvas.widthNative=wNative;canvas.heightNative=hNative}else{wNative=canvas.widthNative;hNative=canvas.heightNative}var w=wNative;var h=hNative;if(Module["forcedAspectRatio"]&&Module["forcedAspectRatio"]>0){if(w/h<Module["forcedAspectRatio"]){w=Math.round(h*Module["forcedAspectRatio"])}else{h=Math.round(w/Module["forcedAspectRatio"])}}if((document["fullscreenElement"]||document["mozFullScreenElement"]||document["msFullscreenElement"]||document["webkitFullscreenElement"]||document["webkitCurrentFullScreenElement"])===canvas.parentNode&&typeof screen!="undefined"){var factor=Math.min(screen.width/w,screen.height/h);w=Math.round(w*factor);h=Math.round(h*factor)}if(Browser.resizeCanvas){if(canvas.width!=w)canvas.width=w;if(canvas.height!=h)canvas.height=h;if(typeof canvas.style!="undefined"){canvas.style.removeProperty("width");canvas.style.removeProperty("height")}}else{if(canvas.width!=wNative)canvas.width=wNative;if(canvas.height!=hNative)canvas.height=hNative;if(typeof canvas.style!="undefined"){if(w!=wNative||h!=hNative){canvas.style.setProperty("width",w+"px","important");canvas.style.setProperty("height",h+"px","important")}else{canvas.style.removeProperty("width");canvas.style.removeProperty("height")}}}}),wgetRequests:{},nextWgetRequestHandle:0,getNextWgetRequestHandle:(function(){var handle=Browser.nextWgetRequestHandle;Browser.nextWgetRequestHandle++;return handle})};function ___syscall54(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),op=SYSCALLS.get();switch(op){case 21505:{if(!stream.tty)return-ERRNO_CODES.ENOTTY;return 0};case 21506:{if(!stream.tty)return-ERRNO_CODES.ENOTTY;return 0};case 21519:{if(!stream.tty)return-ERRNO_CODES.ENOTTY;var argp=SYSCALLS.get();HEAP32[argp>>2]=0;return 0};case 21520:{if(!stream.tty)return-ERRNO_CODES.ENOTTY;return-ERRNO_CODES.EINVAL};case 21531:{var argp=SYSCALLS.get();return FS.ioctl(stream,op,argp)};case 21523:{if(!stream.tty)return-ERRNO_CODES.ENOTTY;return 0};default:abort("bad ioctl syscall "+op)}}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}var tupleRegistrations={};function requireFunction(signature,rawFunction){signature=readLatin1String(signature);function makeDynCaller(dynCall){var args=[];for(var i=1;i<signature.length;++i){args.push("a"+i)}var name="dynCall_"+signature+"_"+rawFunction;var body="return function "+name+"("+args.join(", ")+") {\n";body+="    return dynCall(rawFunction"+(args.length?", ":"")+args.join(", ")+");\n";body+="};\n";return(new Function("dynCall","rawFunction",body))(dynCall,rawFunction)}var fp;if(Module["FUNCTION_TABLE_"+signature]!==undefined){fp=Module["FUNCTION_TABLE_"+signature][rawFunction]}else if(typeof FUNCTION_TABLE!=="undefined"){fp=FUNCTION_TABLE[rawFunction]}else{var dc=Module["asm"]["dynCall_"+signature];if(dc===undefined){dc=Module["asm"]["dynCall_"+signature.replace(/f/g,"d")];if(dc===undefined){throwBindingError("No dynCall invoker for signature: "+signature)}}fp=makeDynCaller(dc)}if(typeof fp!=="function"){throwBindingError("unknown function pointer with signature "+signature+": "+rawFunction)}return fp}function __embind_register_value_array(rawType,name,constructorSignature,rawConstructor,destructorSignature,rawDestructor){tupleRegistrations[rawType]={name:readLatin1String(name),rawConstructor:requireFunction(constructorSignature,rawConstructor),rawDestructor:requireFunction(destructorSignature,rawDestructor),elements:[]}}function upcastPointer(ptr,ptrClass,desiredClass){while(ptrClass!==desiredClass){if(!ptrClass.upcast){throwBindingError("Expected null or instance of "+desiredClass.name+", got an instance of "+ptrClass.name)}ptr=ptrClass.upcast(ptr);ptrClass=ptrClass.baseClass}return ptr}function constNoSmartPtrRawPointerToWireType(destructors,handle){if(handle===null){if(this.isReference){throwBindingError("null is not a valid "+this.name)}return 0}if(!handle.$$){throwBindingError('Cannot pass "'+_embind_repr(handle)+'" as a '+this.name)}if(!handle.$$.ptr){throwBindingError("Cannot pass deleted object as a pointer of type "+this.name)}var handleClass=handle.$$.ptrType.registeredClass;var ptr=upcastPointer(handle.$$.ptr,handleClass,this.registeredClass);return ptr}function genericPointerToWireType(destructors,handle){if(handle===null){if(this.isReference){throwBindingError("null is not a valid "+this.name)}if(this.isSmartPointer){var ptr=this.rawConstructor();if(destructors!==null){destructors.push(this.rawDestructor,ptr)}return ptr}else{return 0}}if(!handle.$$){throwBindingError('Cannot pass "'+_embind_repr(handle)+'" as a '+this.name)}if(!handle.$$.ptr){throwBindingError("Cannot pass deleted object as a pointer of type "+this.name)}if(!this.isConst&&handle.$$.ptrType.isConst){throwBindingError("Cannot convert argument of type "+(handle.$$.smartPtrType?handle.$$.smartPtrType.name:handle.$$.ptrType.name)+" to parameter type "+this.name)}var handleClass=handle.$$.ptrType.registeredClass;var ptr=upcastPointer(handle.$$.ptr,handleClass,this.registeredClass);if(this.isSmartPointer){if(undefined===handle.$$.smartPtr){throwBindingError("Passing raw pointer to smart pointer is illegal")}switch(this.sharingPolicy){case 0:if(handle.$$.smartPtrType===this){ptr=handle.$$.smartPtr}else{throwBindingError("Cannot convert argument of type "+(handle.$$.smartPtrType?handle.$$.smartPtrType.name:handle.$$.ptrType.name)+" to parameter type "+this.name)}break;case 1:ptr=handle.$$.smartPtr;break;case 2:if(handle.$$.smartPtrType===this){ptr=handle.$$.smartPtr}else{var clonedHandle=handle["clone"]();ptr=this.rawShare(ptr,__emval_register((function(){clonedHandle["delete"]()})));if(destructors!==null){destructors.push(this.rawDestructor,ptr)}}break;default:throwBindingError("Unsupporting sharing policy")}}return ptr}function nonConstNoSmartPtrRawPointerToWireType(destructors,handle){if(handle===null){if(this.isReference){throwBindingError("null is not a valid "+this.name)}return 0}if(!handle.$$){throwBindingError('Cannot pass "'+_embind_repr(handle)+'" as a '+this.name)}if(!handle.$$.ptr){throwBindingError("Cannot pass deleted object as a pointer of type "+this.name)}if(handle.$$.ptrType.isConst){throwBindingError("Cannot convert argument of type "+handle.$$.ptrType.name+" to parameter type "+this.name)}var handleClass=handle.$$.ptrType.registeredClass;var ptr=upcastPointer(handle.$$.ptr,handleClass,this.registeredClass);return ptr}function RegisteredPointer_getPointee(ptr){if(this.rawGetPointee){ptr=this.rawGetPointee(ptr)}return ptr}function RegisteredPointer_destructor(ptr){if(this.rawDestructor){this.rawDestructor(ptr)}}function RegisteredPointer_deleteObject(handle){if(handle!==null){handle["delete"]()}}function downcastPointer(ptr,ptrClass,desiredClass){if(ptrClass===desiredClass){return ptr}if(undefined===desiredClass.baseClass){return null}var rv=downcastPointer(ptr,ptrClass,desiredClass.baseClass);if(rv===null){return null}return desiredClass.downcast(rv)}var registeredPointers={};function getInheritedInstanceCount(){return Object.keys(registeredInstances).length}function getLiveInheritedInstances(){var rv=[];for(var k in registeredInstances){if(registeredInstances.hasOwnProperty(k)){rv.push(registeredInstances[k])}}return rv}var deletionQueue=[];function flushPendingDeletes(){while(deletionQueue.length){var obj=deletionQueue.pop();obj.$$.deleteScheduled=false;obj["delete"]()}}var delayFunction=undefined;function setDelayFunction(fn){delayFunction=fn;if(deletionQueue.length&&delayFunction){delayFunction(flushPendingDeletes)}}function init_embind(){Module["getInheritedInstanceCount"]=getInheritedInstanceCount;Module["getLiveInheritedInstances"]=getLiveInheritedInstances;Module["flushPendingDeletes"]=flushPendingDeletes;Module["setDelayFunction"]=setDelayFunction}var registeredInstances={};function getBasestPointer(class_,ptr){if(ptr===undefined){throwBindingError("ptr should not be undefined")}while(class_.baseClass){ptr=class_.upcast(ptr);class_=class_.baseClass}return ptr}function getInheritedInstance(class_,ptr){ptr=getBasestPointer(class_,ptr);return registeredInstances[ptr]}function makeClassHandle(prototype,record){if(!record.ptrType||!record.ptr){throwInternalError("makeClassHandle requires ptr and ptrType")}var hasSmartPtrType=!!record.smartPtrType;var hasSmartPtr=!!record.smartPtr;if(hasSmartPtrType!==hasSmartPtr){throwInternalError("Both smartPtrType and smartPtr must be specified")}record.count={value:1};return Object.create(prototype,{$$:{value:record}})}function RegisteredPointer_fromWireType(ptr){var rawPointer=this.getPointee(ptr);if(!rawPointer){this.destructor(ptr);return null}var registeredInstance=getInheritedInstance(this.registeredClass,rawPointer);if(undefined!==registeredInstance){if(0===registeredInstance.$$.count.value){registeredInstance.$$.ptr=rawPointer;registeredInstance.$$.smartPtr=ptr;return registeredInstance["clone"]()}else{var rv=registeredInstance["clone"]();this.destructor(ptr);return rv}}function makeDefaultHandle(){if(this.isSmartPointer){return makeClassHandle(this.registeredClass.instancePrototype,{ptrType:this.pointeeType,ptr:rawPointer,smartPtrType:this,smartPtr:ptr})}else{return makeClassHandle(this.registeredClass.instancePrototype,{ptrType:this,ptr:ptr})}}var actualType=this.registeredClass.getActualType(rawPointer);var registeredPointerRecord=registeredPointers[actualType];if(!registeredPointerRecord){return makeDefaultHandle.call(this)}var toType;if(this.isConst){toType=registeredPointerRecord.constPointerType}else{toType=registeredPointerRecord.pointerType}var dp=downcastPointer(rawPointer,this.registeredClass,toType.registeredClass);if(dp===null){return makeDefaultHandle.call(this)}if(this.isSmartPointer){return makeClassHandle(toType.registeredClass.instancePrototype,{ptrType:toType,ptr:dp,smartPtrType:this,smartPtr:ptr})}else{return makeClassHandle(toType.registeredClass.instancePrototype,{ptrType:toType,ptr:dp})}}function init_RegisteredPointer(){RegisteredPointer.prototype.getPointee=RegisteredPointer_getPointee;RegisteredPointer.prototype.destructor=RegisteredPointer_destructor;RegisteredPointer.prototype["argPackAdvance"]=8;RegisteredPointer.prototype["readValueFromPointer"]=simpleReadValueFromPointer;RegisteredPointer.prototype["deleteObject"]=RegisteredPointer_deleteObject;RegisteredPointer.prototype["fromWireType"]=RegisteredPointer_fromWireType}function RegisteredPointer(name,registeredClass,isReference,isConst,isSmartPointer,pointeeType,sharingPolicy,rawGetPointee,rawConstructor,rawShare,rawDestructor){this.name=name;this.registeredClass=registeredClass;this.isReference=isReference;this.isConst=isConst;this.isSmartPointer=isSmartPointer;this.pointeeType=pointeeType;this.sharingPolicy=sharingPolicy;this.rawGetPointee=rawGetPointee;this.rawConstructor=rawConstructor;this.rawShare=rawShare;this.rawDestructor=rawDestructor;if(!isSmartPointer&&registeredClass.baseClass===undefined){if(isConst){this["toWireType"]=constNoSmartPtrRawPointerToWireType;this.destructorFunction=null}else{this["toWireType"]=nonConstNoSmartPtrRawPointerToWireType;this.destructorFunction=null}}else{this["toWireType"]=genericPointerToWireType}}function __embind_register_smart_ptr(rawType,rawPointeeType,name,sharingPolicy,getPointeeSignature,rawGetPointee,constructorSignature,rawConstructor,shareSignature,rawShare,destructorSignature,rawDestructor){name=readLatin1String(name);rawGetPointee=requireFunction(getPointeeSignature,rawGetPointee);rawConstructor=requireFunction(constructorSignature,rawConstructor);rawShare=requireFunction(shareSignature,rawShare);rawDestructor=requireFunction(destructorSignature,rawDestructor);whenDependentTypesAreResolved([rawType],[rawPointeeType],(function(pointeeType){pointeeType=pointeeType[0];var registeredPointer=new RegisteredPointer(name,pointeeType.registeredClass,false,false,true,pointeeType,sharingPolicy,rawGetPointee,rawConstructor,rawShare,rawDestructor);return[registeredPointer]}))}function _sched_yield(){return 0}function craftInvokerFunction(humanName,argTypes,classType,cppInvokerFunc,cppTargetFunc){var argCount=argTypes.length;if(argCount<2){throwBindingError("argTypes array size mismatch! Must at least get return value and 'this' types!")}var isClassMethodFunc=argTypes[1]!==null&&classType!==null;var argsList="";var argsListWired="";for(var i=0;i<argCount-2;++i){argsList+=(i!==0?", ":"")+"arg"+i;argsListWired+=(i!==0?", ":"")+"arg"+i+"Wired"}var invokerFnBody="return function "+makeLegalFunctionName(humanName)+"("+argsList+") {\n"+"if (arguments.length !== "+(argCount-2)+") {\n"+"throwBindingError('function "+humanName+" called with ' + arguments.length + ' arguments, expected "+(argCount-2)+" args!');\n"+"}\n";var needsDestructorStack=false;for(var i=1;i<argTypes.length;++i){if(argTypes[i]!==null&&argTypes[i].destructorFunction===undefined){needsDestructorStack=true;break}}if(needsDestructorStack){invokerFnBody+="var destructors = [];\n"}var dtorStack=needsDestructorStack?"destructors":"null";var args1=["throwBindingError","invoker","fn","runDestructors","retType","classParam"];var args2=[throwBindingError,cppInvokerFunc,cppTargetFunc,runDestructors,argTypes[0],argTypes[1]];if(isClassMethodFunc){invokerFnBody+="var thisWired = classParam.toWireType("+dtorStack+", this);\n"}for(var i=0;i<argCount-2;++i){invokerFnBody+="var arg"+i+"Wired = argType"+i+".toWireType("+dtorStack+", arg"+i+"); // "+argTypes[i+2].name+"\n";args1.push("argType"+i);args2.push(argTypes[i+2])}if(isClassMethodFunc){argsListWired="thisWired"+(argsListWired.length>0?", ":"")+argsListWired}var returns=argTypes[0].name!=="void";invokerFnBody+=(returns?"var rv = ":"")+"invoker(fn"+(argsListWired.length>0?", ":"")+argsListWired+");\n";if(needsDestructorStack){invokerFnBody+="runDestructors(destructors);\n"}else{for(var i=isClassMethodFunc?1:2;i<argTypes.length;++i){var paramName=i===1?"thisWired":"arg"+(i-2)+"Wired";if(argTypes[i].destructorFunction!==null){invokerFnBody+=paramName+"_dtor("+paramName+"); // "+argTypes[i].name+"\n";args1.push(paramName+"_dtor");args2.push(argTypes[i].destructorFunction)}}}if(returns){invokerFnBody+="var ret = retType.fromWireType(rv);\n"+"return ret;\n"}else{}invokerFnBody+="}\n";args1.push(invokerFnBody);var invokerFunction=new_(Function,args1).apply(null,args2);return invokerFunction}function ensureOverloadTable(proto,methodName,humanName){if(undefined===proto[methodName].overloadTable){var prevFunc=proto[methodName];proto[methodName]=(function(){if(!proto[methodName].overloadTable.hasOwnProperty(arguments.length)){throwBindingError("Function '"+humanName+"' called with an invalid number of arguments ("+arguments.length+") - expects one of ("+proto[methodName].overloadTable+")!")}return proto[methodName].overloadTable[arguments.length].apply(this,arguments)});proto[methodName].overloadTable=[];proto[methodName].overloadTable[prevFunc.argCount]=prevFunc}}function heap32VectorToArray(count,firstElement){var array=[];for(var i=0;i<count;i++){array.push(HEAP32[(firstElement>>2)+i])}return array}var UnboundTypeError=undefined;function throwUnboundTypeError(message,types){var unboundTypes=[];var seen={};function visit(type){if(seen[type]){return}if(registeredTypes[type]){return}if(typeDependencies[type]){typeDependencies[type].forEach(visit);return}unboundTypes.push(type);seen[type]=true}types.forEach(visit);throw new UnboundTypeError(message+": "+unboundTypes.map(getTypeName).join([", "]))}function __embind_register_class_class_function(rawClassType,methodName,argCount,rawArgTypesAddr,invokerSignature,rawInvoker,fn){var rawArgTypes=heap32VectorToArray(argCount,rawArgTypesAddr);methodName=readLatin1String(methodName);rawInvoker=requireFunction(invokerSignature,rawInvoker);whenDependentTypesAreResolved([],[rawClassType],(function(classType){classType=classType[0];var humanName=classType.name+"."+methodName;function unboundTypesHandler(){throwUnboundTypeError("Cannot call "+humanName+" due to unbound types",rawArgTypes)}var proto=classType.registeredClass.constructor;if(undefined===proto[methodName]){unboundTypesHandler.argCount=argCount-1;proto[methodName]=unboundTypesHandler}else{ensureOverloadTable(proto,methodName,humanName);proto[methodName].overloadTable[argCount-1]=unboundTypesHandler}whenDependentTypesAreResolved([],rawArgTypes,(function(argTypes){var invokerArgsArray=[argTypes[0],null].concat(argTypes.slice(1));var func=craftInvokerFunction(humanName,invokerArgsArray,null,rawInvoker,fn);if(undefined===proto[methodName].overloadTable){proto[methodName]=func}else{proto[methodName].overloadTable[argCount-1]=func}return[]}));return[]}))}var _environ=STATICTOP;STATICTOP+=16;function ___buildEnvironment(env){var MAX_ENV_VALUES=64;var TOTAL_ENV_SIZE=1024;var poolPtr;var envPtr;if(!___buildEnvironment.called){___buildEnvironment.called=true;ENV["USER"]=ENV["LOGNAME"]="web_user";ENV["PATH"]="/";ENV["PWD"]="/";ENV["HOME"]="/home/web_user";ENV["LANG"]="C";ENV["_"]=Module["thisProgram"];poolPtr=allocate(TOTAL_ENV_SIZE,"i8",ALLOC_STATIC);envPtr=allocate(MAX_ENV_VALUES*4,"i8*",ALLOC_STATIC);HEAP32[envPtr>>2]=poolPtr;HEAP32[_environ>>2]=envPtr}else{envPtr=HEAP32[_environ>>2];poolPtr=HEAP32[envPtr>>2]}var strings=[];var totalSize=0;for(var key in env){if(typeof env[key]==="string"){var line=key+"="+env[key];strings.push(line);totalSize+=line.length}}if(totalSize>TOTAL_ENV_SIZE){throw new Error("Environment size exceeded TOTAL_ENV_SIZE!")}var ptrSize=4;for(var i=0;i<strings.length;i++){var line=strings[i];writeAsciiToMemory(line,poolPtr);HEAP32[envPtr+i*ptrSize>>2]=poolPtr;poolPtr+=line.length+1}HEAP32[envPtr+strings.length*ptrSize>>2]=0}var ENV={};function _getenv(name){if(name===0)return 0;name=Pointer_stringify(name);if(!ENV.hasOwnProperty(name))return 0;if(_getenv.ret)_free(_getenv.ret);_getenv.ret=allocate(intArrayFromString(ENV[name]),"i8",ALLOC_NORMAL);return _getenv.ret}function __isLeapYear(year){return year%4===0&&(year%100!==0||year%400===0)}function __arraySum(array,index){var sum=0;for(var i=0;i<=index;sum+=array[i++]);return sum}var __MONTH_DAYS_LEAP=[31,29,31,30,31,30,31,31,30,31,30,31];var __MONTH_DAYS_REGULAR=[31,28,31,30,31,30,31,31,30,31,30,31];function __addDays(date,days){var newDate=new Date(date.getTime());while(days>0){var leap=__isLeapYear(newDate.getFullYear());var currentMonth=newDate.getMonth();var daysInCurrentMonth=(leap?__MONTH_DAYS_LEAP:__MONTH_DAYS_REGULAR)[currentMonth];if(days>daysInCurrentMonth-newDate.getDate()){days-=daysInCurrentMonth-newDate.getDate()+1;newDate.setDate(1);if(currentMonth<11){newDate.setMonth(currentMonth+1)}else{newDate.setMonth(0);newDate.setFullYear(newDate.getFullYear()+1)}}else{newDate.setDate(newDate.getDate()+days);return newDate}}return newDate}function _strftime(s,maxsize,format,tm){var tm_zone=HEAP32[tm+40>>2];var date={tm_sec:HEAP32[tm>>2],tm_min:HEAP32[tm+4>>2],tm_hour:HEAP32[tm+8>>2],tm_mday:HEAP32[tm+12>>2],tm_mon:HEAP32[tm+16>>2],tm_year:HEAP32[tm+20>>2],tm_wday:HEAP32[tm+24>>2],tm_yday:HEAP32[tm+28>>2],tm_isdst:HEAP32[tm+32>>2],tm_gmtoff:HEAP32[tm+36>>2],tm_zone:tm_zone?Pointer_stringify(tm_zone):""};var pattern=Pointer_stringify(format);var EXPANSION_RULES_1={"%c":"%a %b %d %H:%M:%S %Y","%D":"%m/%d/%y","%F":"%Y-%m-%d","%h":"%b","%r":"%I:%M:%S %p","%R":"%H:%M","%T":"%H:%M:%S","%x":"%m/%d/%y","%X":"%H:%M:%S"};for(var rule in EXPANSION_RULES_1){pattern=pattern.replace(new RegExp(rule,"g"),EXPANSION_RULES_1[rule])}var WEEKDAYS=["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"];var MONTHS=["January","February","March","April","May","June","July","August","September","October","November","December"];function leadingSomething(value,digits,character){var str=typeof value==="number"?value.toString():value||"";while(str.length<digits){str=character[0]+str}return str}function leadingNulls(value,digits){return leadingSomething(value,digits,"0")}function compareByDay(date1,date2){function sgn(value){return value<0?-1:value>0?1:0}var compare;if((compare=sgn(date1.getFullYear()-date2.getFullYear()))===0){if((compare=sgn(date1.getMonth()-date2.getMonth()))===0){compare=sgn(date1.getDate()-date2.getDate())}}return compare}function getFirstWeekStartDate(janFourth){switch(janFourth.getDay()){case 0:return new Date(janFourth.getFullYear()-1,11,29);case 1:return janFourth;case 2:return new Date(janFourth.getFullYear(),0,3);case 3:return new Date(janFourth.getFullYear(),0,2);case 4:return new Date(janFourth.getFullYear(),0,1);case 5:return new Date(janFourth.getFullYear()-1,11,31);case 6:return new Date(janFourth.getFullYear()-1,11,30)}}function getWeekBasedYear(date){var thisDate=__addDays(new Date(date.tm_year+1900,0,1),date.tm_yday);var janFourthThisYear=new Date(thisDate.getFullYear(),0,4);var janFourthNextYear=new Date(thisDate.getFullYear()+1,0,4);var firstWeekStartThisYear=getFirstWeekStartDate(janFourthThisYear);var firstWeekStartNextYear=getFirstWeekStartDate(janFourthNextYear);if(compareByDay(firstWeekStartThisYear,thisDate)<=0){if(compareByDay(firstWeekStartNextYear,thisDate)<=0){return thisDate.getFullYear()+1}else{return thisDate.getFullYear()}}else{return thisDate.getFullYear()-1}}var EXPANSION_RULES_2={"%a":(function(date){return WEEKDAYS[date.tm_wday].substring(0,3)}),"%A":(function(date){return WEEKDAYS[date.tm_wday]}),"%b":(function(date){return MONTHS[date.tm_mon].substring(0,3)}),"%B":(function(date){return MONTHS[date.tm_mon]}),"%C":(function(date){var year=date.tm_year+1900;return leadingNulls(year/100|0,2)}),"%d":(function(date){return leadingNulls(date.tm_mday,2)}),"%e":(function(date){return leadingSomething(date.tm_mday,2," ")}),"%g":(function(date){return getWeekBasedYear(date).toString().substring(2)}),"%G":(function(date){return getWeekBasedYear(date)}),"%H":(function(date){return leadingNulls(date.tm_hour,2)}),"%I":(function(date){var twelveHour=date.tm_hour;if(twelveHour==0)twelveHour=12;else if(twelveHour>12)twelveHour-=12;return leadingNulls(twelveHour,2)}),"%j":(function(date){return leadingNulls(date.tm_mday+__arraySum(__isLeapYear(date.tm_year+1900)?__MONTH_DAYS_LEAP:__MONTH_DAYS_REGULAR,date.tm_mon-1),3)}),"%m":(function(date){return leadingNulls(date.tm_mon+1,2)}),"%M":(function(date){return leadingNulls(date.tm_min,2)}),"%n":(function(){return"\n"}),"%p":(function(date){if(date.tm_hour>=0&&date.tm_hour<12){return"AM"}else{return"PM"}}),"%S":(function(date){return leadingNulls(date.tm_sec,2)}),"%t":(function(){return"\t"}),"%u":(function(date){var day=new Date(date.tm_year+1900,date.tm_mon+1,date.tm_mday,0,0,0,0);return day.getDay()||7}),"%U":(function(date){var janFirst=new Date(date.tm_year+1900,0,1);var firstSunday=janFirst.getDay()===0?janFirst:__addDays(janFirst,7-janFirst.getDay());var endDate=new Date(date.tm_year+1900,date.tm_mon,date.tm_mday);if(compareByDay(firstSunday,endDate)<0){var februaryFirstUntilEndMonth=__arraySum(__isLeapYear(endDate.getFullYear())?__MONTH_DAYS_LEAP:__MONTH_DAYS_REGULAR,endDate.getMonth()-1)-31;var firstSundayUntilEndJanuary=31-firstSunday.getDate();var days=firstSundayUntilEndJanuary+februaryFirstUntilEndMonth+endDate.getDate();return leadingNulls(Math.ceil(days/7),2)}return compareByDay(firstSunday,janFirst)===0?"01":"00"}),"%V":(function(date){var janFourthThisYear=new Date(date.tm_year+1900,0,4);var janFourthNextYear=new Date(date.tm_year+1901,0,4);var firstWeekStartThisYear=getFirstWeekStartDate(janFourthThisYear);var firstWeekStartNextYear=getFirstWeekStartDate(janFourthNextYear);var endDate=__addDays(new Date(date.tm_year+1900,0,1),date.tm_yday);if(compareByDay(endDate,firstWeekStartThisYear)<0){return"53"}if(compareByDay(firstWeekStartNextYear,endDate)<=0){return"01"}var daysDifference;if(firstWeekStartThisYear.getFullYear()<date.tm_year+1900){daysDifference=date.tm_yday+32-firstWeekStartThisYear.getDate()}else{daysDifference=date.tm_yday+1-firstWeekStartThisYear.getDate()}return leadingNulls(Math.ceil(daysDifference/7),2)}),"%w":(function(date){var day=new Date(date.tm_year+1900,date.tm_mon+1,date.tm_mday,0,0,0,0);return day.getDay()}),"%W":(function(date){var janFirst=new Date(date.tm_year,0,1);var firstMonday=janFirst.getDay()===1?janFirst:__addDays(janFirst,janFirst.getDay()===0?1:7-janFirst.getDay()+1);var endDate=new Date(date.tm_year+1900,date.tm_mon,date.tm_mday);if(compareByDay(firstMonday,endDate)<0){var februaryFirstUntilEndMonth=__arraySum(__isLeapYear(endDate.getFullYear())?__MONTH_DAYS_LEAP:__MONTH_DAYS_REGULAR,endDate.getMonth()-1)-31;var firstMondayUntilEndJanuary=31-firstMonday.getDate();var days=firstMondayUntilEndJanuary+februaryFirstUntilEndMonth+endDate.getDate();return leadingNulls(Math.ceil(days/7),2)}return compareByDay(firstMonday,janFirst)===0?"01":"00"}),"%y":(function(date){return(date.tm_year+1900).toString().substring(2)}),"%Y":(function(date){return date.tm_year+1900}),"%z":(function(date){var off=date.tm_gmtoff;var ahead=off>=0;off=Math.abs(off)/60;off=off/60*100+off%60;return(ahead?"+":"-")+String("0000"+off).slice(-4)}),"%Z":(function(date){return date.tm_zone}),"%%":(function(){return"%"})};for(var rule in EXPANSION_RULES_2){if(pattern.indexOf(rule)>=0){pattern=pattern.replace(new RegExp(rule,"g"),EXPANSION_RULES_2[rule](date))}}var bytes=intArrayFromString(pattern,false);if(bytes.length>maxsize){return 0}writeArrayToMemory(bytes,s);return bytes.length-1}function _strftime_l(s,maxsize,format,tm){return _strftime(s,maxsize,format,tm)}function __emval_allocateDestructors(destructorsRef){var destructors=[];HEAP32[destructorsRef>>2]=__emval_register(destructors);return destructors}function requireHandle(handle){if(!handle){throwBindingError("Cannot use deleted val. handle = "+handle)}return emval_handle_array[handle].value}function __emval_call_void_method(caller,handle,methodName,args){caller=emval_methodCallers[caller];handle=requireHandle(handle);methodName=getStringOrSymbol(methodName);caller(handle,methodName,null,args)}function _gettimeofday(ptr){var now=Date.now();HEAP32[ptr>>2]=now/1e3|0;HEAP32[ptr+4>>2]=now%1e3*1e3|0;return 0}function ___map_file(pathname,size){___setErrNo(ERRNO_CODES.EPERM);return-1}function __emval_run_destructors(handle){var destructors=emval_handle_array[handle].value;runDestructors(destructors);__emval_decref(handle)}function _emscripten_memcpy_big(dest,src,num){HEAPU8.set(HEAPU8.subarray(src,src+num),dest);return dest}var _llvm_pow_f64=Math_pow;function __embind_finalize_value_array(rawTupleType){var reg=tupleRegistrations[rawTupleType];delete tupleRegistrations[rawTupleType];var elements=reg.elements;var elementsLength=elements.length;var elementTypes=elements.map((function(elt){return elt.getterReturnType})).concat(elements.map((function(elt){return elt.setterArgumentType})));var rawConstructor=reg.rawConstructor;var rawDestructor=reg.rawDestructor;whenDependentTypesAreResolved([rawTupleType],elementTypes,(function(elementTypes){elements.forEach((function(elt,i){var getterReturnType=elementTypes[i];var getter=elt.getter;var getterContext=elt.getterContext;var setterArgumentType=elementTypes[i+elementsLength];var setter=elt.setter;var setterContext=elt.setterContext;elt.read=(function(ptr){return getterReturnType["fromWireType"](getter(getterContext,ptr))});elt.write=(function(ptr,o){var destructors=[];setter(setterContext,ptr,setterArgumentType["toWireType"](destructors,o));runDestructors(destructors)})}));return[{name:reg.name,"fromWireType":(function(ptr){var rv=new Array(elementsLength);for(var i=0;i<elementsLength;++i){rv[i]=elements[i].read(ptr)}rawDestructor(ptr);return rv}),"toWireType":(function(destructors,o){if(elementsLength!==o.length){throw new TypeError("Incorrect number of tuple elements for "+reg.name+": expected="+elementsLength+", actual="+o.length)}var ptr=rawConstructor();for(var i=0;i<elementsLength;++i){elements[i].write(ptr,o[i])}if(destructors!==null){destructors.push(rawDestructor,ptr)}return ptr}),"argPackAdvance":8,"readValueFromPointer":simpleReadValueFromPointer,destructorFunction:rawDestructor}]}))}function ___gxx_personality_v0(){}function _pthread_cond_wait(){return 0}function __embind_register_memory_view(rawType,dataTypeIndex,name){var typeMapping=[Int8Array,Uint8Array,Int16Array,Uint16Array,Int32Array,Uint32Array,Float32Array,Float64Array];var TA=typeMapping[dataTypeIndex];function decodeMemoryView(handle){handle=handle>>2;var heap=HEAPU32;var size=heap[handle];var data=heap[handle+1];return new TA(heap["buffer"],data,size)}name=readLatin1String(name);registerType(rawType,{name:name,"fromWireType":decodeMemoryView,"argPackAdvance":8,"readValueFromPointer":decodeMemoryView},{ignoreDuplicateRegistrations:true})}function validateThis(this_,classType,humanName){if(!(this_ instanceof Object)){throwBindingError(humanName+' with invalid "this": '+this_)}if(!(this_ instanceof classType.registeredClass.constructor)){throwBindingError(humanName+' incompatible with "this" of type '+this_.constructor.name)}if(!this_.$$.ptr){throwBindingError("cannot call emscripten binding method "+humanName+" on deleted object")}return upcastPointer(this_.$$.ptr,this_.$$.ptrType.registeredClass,classType.registeredClass)}function __embind_register_class_property(classType,fieldName,getterReturnType,getterSignature,getter,getterContext,setterArgumentType,setterSignature,setter,setterContext){fieldName=readLatin1String(fieldName);getter=requireFunction(getterSignature,getter);whenDependentTypesAreResolved([],[classType],(function(classType){classType=classType[0];var humanName=classType.name+"."+fieldName;var desc={get:(function(){throwUnboundTypeError("Cannot access "+humanName+" due to unbound types",[getterReturnType,setterArgumentType])}),enumerable:true,configurable:true};if(setter){desc.set=(function(){throwUnboundTypeError("Cannot access "+humanName+" due to unbound types",[getterReturnType,setterArgumentType])})}else{desc.set=(function(v){throwBindingError(humanName+" is a read-only property")})}Object.defineProperty(classType.registeredClass.instancePrototype,fieldName,desc);whenDependentTypesAreResolved([],setter?[getterReturnType,setterArgumentType]:[getterReturnType],(function(types){var getterReturnType=types[0];var desc={get:(function(){var ptr=validateThis(this,classType,humanName+" getter");return getterReturnType["fromWireType"](getter(getterContext,ptr))}),enumerable:true};if(setter){setter=requireFunction(setterSignature,setter);var setterArgumentType=types[1];desc.set=(function(v){var ptr=validateThis(this,classType,humanName+" setter");var destructors=[];setter(setterContext,ptr,setterArgumentType["toWireType"](destructors,v));runDestructors(destructors)})}Object.defineProperty(classType.registeredClass.instancePrototype,fieldName,desc);return[]}));return[]}))}function __emval_incref(handle){if(handle>4){emval_handle_array[handle].refcount+=1}}function _pthread_mutexattr_settype(){}function __embind_register_value_object(rawType,name,constructorSignature,rawConstructor,destructorSignature,rawDestructor){structRegistrations[rawType]={name:readLatin1String(name),rawConstructor:requireFunction(constructorSignature,rawConstructor),rawDestructor:requireFunction(destructorSignature,rawDestructor),fields:[]}}function getShiftFromSize(size){switch(size){case 1:return 0;case 2:return 1;case 4:return 2;case 8:return 3;default:throw new TypeError("Unknown type size: "+size)}}function __embind_register_bool(rawType,name,size,trueValue,falseValue){var shift=getShiftFromSize(size);name=readLatin1String(name);registerType(rawType,{name:name,"fromWireType":(function(wt){return!!wt}),"toWireType":(function(destructors,o){return o?trueValue:falseValue}),"argPackAdvance":8,"readValueFromPointer":(function(pointer){var heap;if(size===1){heap=HEAP8}else if(size===2){heap=HEAP16}else if(size===4){heap=HEAP32}else{throw new TypeError("Unknown boolean type size: "+name)}return this["fromWireType"](heap[pointer>>shift])}),destructorFunction:null})}function __embind_register_void(rawType,name){name=readLatin1String(name);registerType(rawType,{isVoid:true,name:name,"argPackAdvance":0,"fromWireType":(function(){return undefined}),"toWireType":(function(destructors,o){return undefined})})}function __emval_new_array(){return __emval_register([])}function _abort(){Module["abort"]()}function __emval_as(handle,returnType,destructorsRef){handle=requireHandle(handle);returnType=requireRegisteredType(returnType,"emval::as");var destructors=[];var rd=__emval_register(destructors);HEAP32[destructorsRef>>2]=rd;return returnType["toWireType"](destructors,handle)}function _pthread_mutex_destroy(){}function _pthread_once(ptr,func){if(!_pthread_once.seen)_pthread_once.seen={};if(ptr in _pthread_once.seen)return;Module["dynCall_v"](func);_pthread_once.seen[ptr]=1}function __embind_register_value_object_field(structType,fieldName,getterReturnType,getterSignature,getter,getterContext,setterArgumentType,setterSignature,setter,setterContext){structRegistrations[structType].fields.push({fieldName:readLatin1String(fieldName),getterReturnType:getterReturnType,getter:requireFunction(getterSignature,getter),getterContext:getterContext,setterArgumentType:setterArgumentType,setter:requireFunction(setterSignature,setter),setterContext:setterContext})}function ClassHandle_isAliasOf(other){if(!(this instanceof ClassHandle)){return false}if(!(other instanceof ClassHandle)){return false}var leftClass=this.$$.ptrType.registeredClass;var left=this.$$.ptr;var rightClass=other.$$.ptrType.registeredClass;var right=other.$$.ptr;while(leftClass.baseClass){left=leftClass.upcast(left);leftClass=leftClass.baseClass}while(rightClass.baseClass){right=rightClass.upcast(right);rightClass=rightClass.baseClass}return leftClass===rightClass&&left===right}function shallowCopyInternalPointer(o){return{count:o.count,deleteScheduled:o.deleteScheduled,preservePointerOnDelete:o.preservePointerOnDelete,ptr:o.ptr,ptrType:o.ptrType,smartPtr:o.smartPtr,smartPtrType:o.smartPtrType}}function throwInstanceAlreadyDeleted(obj){function getInstanceTypeName(handle){return handle.$$.ptrType.registeredClass.name}throwBindingError(getInstanceTypeName(obj)+" instance already deleted")}function ClassHandle_clone(){if(!this.$$.ptr){throwInstanceAlreadyDeleted(this)}if(this.$$.preservePointerOnDelete){this.$$.count.value+=1;return this}else{var clone=Object.create(Object.getPrototypeOf(this),{$$:{value:shallowCopyInternalPointer(this.$$)}});clone.$$.count.value+=1;clone.$$.deleteScheduled=false;return clone}}function runDestructor(handle){var $$=handle.$$;if($$.smartPtr){$$.smartPtrType.rawDestructor($$.smartPtr)}else{$$.ptrType.registeredClass.rawDestructor($$.ptr)}}function ClassHandle_delete(){if(!this.$$.ptr){throwInstanceAlreadyDeleted(this)}if(this.$$.deleteScheduled&&!this.$$.preservePointerOnDelete){throwBindingError("Object already scheduled for deletion")}this.$$.count.value-=1;var toDelete=0===this.$$.count.value;if(toDelete){runDestructor(this)}if(!this.$$.preservePointerOnDelete){this.$$.smartPtr=undefined;this.$$.ptr=undefined}}function ClassHandle_isDeleted(){return!this.$$.ptr}function ClassHandle_deleteLater(){if(!this.$$.ptr){throwInstanceAlreadyDeleted(this)}if(this.$$.deleteScheduled&&!this.$$.preservePointerOnDelete){throwBindingError("Object already scheduled for deletion")}deletionQueue.push(this);if(deletionQueue.length===1&&delayFunction){delayFunction(flushPendingDeletes)}this.$$.deleteScheduled=true;return this}function init_ClassHandle(){ClassHandle.prototype["isAliasOf"]=ClassHandle_isAliasOf;ClassHandle.prototype["clone"]=ClassHandle_clone;ClassHandle.prototype["delete"]=ClassHandle_delete;ClassHandle.prototype["isDeleted"]=ClassHandle_isDeleted;ClassHandle.prototype["deleteLater"]=ClassHandle_deleteLater}function ClassHandle(){}function exposePublicSymbol(name,value,numArguments){if(Module.hasOwnProperty(name)){if(undefined===numArguments||undefined!==Module[name].overloadTable&&undefined!==Module[name].overloadTable[numArguments]){throwBindingError("Cannot register public name '"+name+"' twice")}ensureOverloadTable(Module,name,name);if(Module.hasOwnProperty(numArguments)){throwBindingError("Cannot register multiple overloads of a function with the same number of arguments ("+numArguments+")!")}Module[name].overloadTable[numArguments]=value}else{Module[name]=value;if(undefined!==numArguments){Module[name].numArguments=numArguments}}}function RegisteredClass(name,constructor,instancePrototype,rawDestructor,baseClass,getActualType,upcast,downcast){this.name=name;this.constructor=constructor;this.instancePrototype=instancePrototype;this.rawDestructor=rawDestructor;this.baseClass=baseClass;this.getActualType=getActualType;this.upcast=upcast;this.downcast=downcast;this.pureVirtualFunctions=[]}function replacePublicSymbol(name,value,numArguments){if(!Module.hasOwnProperty(name)){throwInternalError("Replacing nonexistant public symbol")}if(undefined!==Module[name].overloadTable&&undefined!==numArguments){Module[name].overloadTable[numArguments]=value}else{Module[name]=value;Module[name].argCount=numArguments}}function __embind_register_class(rawType,rawPointerType,rawConstPointerType,baseClassRawType,getActualTypeSignature,getActualType,upcastSignature,upcast,downcastSignature,downcast,name,destructorSignature,rawDestructor){name=readLatin1String(name);getActualType=requireFunction(getActualTypeSignature,getActualType);if(upcast){upcast=requireFunction(upcastSignature,upcast)}if(downcast){downcast=requireFunction(downcastSignature,downcast)}rawDestructor=requireFunction(destructorSignature,rawDestructor);var legalFunctionName=makeLegalFunctionName(name);exposePublicSymbol(legalFunctionName,(function(){throwUnboundTypeError("Cannot construct "+name+" due to unbound types",[baseClassRawType])}));whenDependentTypesAreResolved([rawType,rawPointerType,rawConstPointerType],baseClassRawType?[baseClassRawType]:[],(function(base){base=base[0];var baseClass;var basePrototype;if(baseClassRawType){baseClass=base.registeredClass;basePrototype=baseClass.instancePrototype}else{basePrototype=ClassHandle.prototype}var constructor=createNamedFunction(legalFunctionName,(function(){if(Object.getPrototypeOf(this)!==instancePrototype){throw new BindingError("Use 'new' to construct "+name)}if(undefined===registeredClass.constructor_body){throw new BindingError(name+" has no accessible constructor")}var body=registeredClass.constructor_body[arguments.length];if(undefined===body){throw new BindingError("Tried to invoke ctor of "+name+" with invalid number of parameters ("+arguments.length+") - expected ("+Object.keys(registeredClass.constructor_body).toString()+") parameters instead!")}return body.apply(this,arguments)}));var instancePrototype=Object.create(basePrototype,{constructor:{value:constructor}});constructor.prototype=instancePrototype;var registeredClass=new RegisteredClass(name,constructor,instancePrototype,rawDestructor,baseClass,getActualType,upcast,downcast);var referenceConverter=new RegisteredPointer(name,registeredClass,true,false,false);var pointerConverter=new RegisteredPointer(name+"*",registeredClass,false,false,false);var constPointerConverter=new RegisteredPointer(name+" const*",registeredClass,false,true,false);registeredPointers[rawType]={pointerType:pointerConverter,constPointerType:constPointerConverter};replacePublicSymbol(legalFunctionName,constructor);return[referenceConverter,pointerConverter,constPointerConverter]}))}function ___lock(){}function ___unlock(){}function _pthread_mutexattr_init(){}function _pthread_getspecific(key){return PTHREAD_SPECIFIC[key]||0}function _embind_repr(v){if(v===null){return"null"}var t=typeof v;if(t==="object"||t==="array"||t==="function"){return v.toString()}else{return""+v}}function integerReadValueFromPointer(name,shift,signed){switch(shift){case 0:return signed?function readS8FromPointer(pointer){return HEAP8[pointer]}:function readU8FromPointer(pointer){return HEAPU8[pointer]};case 1:return signed?function readS16FromPointer(pointer){return HEAP16[pointer>>1]}:function readU16FromPointer(pointer){return HEAPU16[pointer>>1]};case 2:return signed?function readS32FromPointer(pointer){return HEAP32[pointer>>2]}:function readU32FromPointer(pointer){return HEAPU32[pointer>>2]};default:throw new TypeError("Unknown integer type: "+name)}}function __embind_register_integer(primitiveType,name,size,minRange,maxRange){name=readLatin1String(name);if(maxRange===-1){maxRange=4294967295}var shift=getShiftFromSize(size);var fromWireType=(function(value){return value});if(minRange===0){var bitshift=32-8*size;fromWireType=(function(value){return value<<bitshift>>>bitshift})}var isUnsignedType=name.indexOf("unsigned")!=-1;registerType(primitiveType,{name:name,"fromWireType":fromWireType,"toWireType":(function(destructors,value){if(typeof value!=="number"&&typeof value!=="boolean"){throw new TypeError('Cannot convert "'+_embind_repr(value)+'" to '+this.name)}if(value<minRange||value>maxRange){throw new TypeError('Passing a number "'+_embind_repr(value)+'" from JS side to C/C++ side to an argument of type "'+name+'", which is outside the valid range ['+minRange+", "+maxRange+"]!")}return isUnsignedType?value>>>0:value|0}),"argPackAdvance":8,"readValueFromPointer":integerReadValueFromPointer(name,shift,minRange!==0),destructorFunction:null})}function __emval_get_property(handle,key){handle=requireHandle(handle);key=requireHandle(key);return __emval_register(handle[key])}function __embind_register_emval(rawType,name){name=readLatin1String(name);registerType(rawType,{name:name,"fromWireType":(function(handle){var rv=emval_handle_array[handle].value;__emval_decref(handle);return rv}),"toWireType":(function(destructors,value){return __emval_register(value)}),"argPackAdvance":8,"readValueFromPointer":simpleReadValueFromPointer,destructorFunction:null})}function _pthread_setspecific(key,value){if(!(key in PTHREAD_SPECIFIC)){return ERRNO_CODES.EINVAL}PTHREAD_SPECIFIC[key]=value;return 0}function __embind_register_value_array_element(rawTupleType,getterReturnType,getterSignature,getter,getterContext,setterArgumentType,setterSignature,setter,setterContext){tupleRegistrations[rawTupleType].elements.push({getterReturnType:getterReturnType,getter:requireFunction(getterSignature,getter),getterContext:getterContext,setterArgumentType:setterArgumentType,setter:requireFunction(setterSignature,setter),setterContext:setterContext})}function ___cxa_allocate_exception(size){return _malloc(size)}function ___cxa_pure_virtual(){ABORT=true;throw"Pure virtual function called!"}function floatReadValueFromPointer(name,shift){switch(shift){case 2:return(function(pointer){return this["fromWireType"](HEAPF32[pointer>>2])});case 3:return(function(pointer){return this["fromWireType"](HEAPF64[pointer>>3])});default:throw new TypeError("Unknown float type: "+name)}}function __embind_register_float(rawType,name,size){var shift=getShiftFromSize(size);name=readLatin1String(name);registerType(rawType,{name:name,"fromWireType":(function(value){return value}),"toWireType":(function(destructors,value){if(typeof value!=="number"&&typeof value!=="boolean"){throw new TypeError('Cannot convert "'+_embind_repr(value)+'" to '+this.name)}return value}),"argPackAdvance":8,"readValueFromPointer":floatReadValueFromPointer(name,shift),destructorFunction:null})}function __embind_register_function(name,argCount,rawArgTypesAddr,signature,rawInvoker,fn){var argTypes=heap32VectorToArray(argCount,rawArgTypesAddr);name=readLatin1String(name);rawInvoker=requireFunction(signature,rawInvoker);exposePublicSymbol(name,(function(){throwUnboundTypeError("Cannot call "+name+" due to unbound types",argTypes)}),argCount-1);whenDependentTypesAreResolved([],argTypes,(function(argTypes){var invokerArgsArray=[argTypes[0],null].concat(argTypes.slice(1));replacePublicSymbol(name,craftInvokerFunction(name,invokerArgsArray,null,rawInvoker,fn),argCount-1);return[]}))}function __embind_register_constant(name,type,value){name=readLatin1String(name);whenDependentTypesAreResolved([],[type],(function(type){type=type[0];Module[name]=type["fromWireType"](value);return[]}))}function ___cxa_begin_catch(ptr){var info=EXCEPTIONS.infos[ptr];if(info&&!info.caught){info.caught=true;__ZSt18uncaught_exceptionv.uncaught_exception--}if(info)info.rethrown=false;EXCEPTIONS.caught.push(ptr);EXCEPTIONS.addRef(EXCEPTIONS.deAdjust(ptr));return ptr}function ___syscall3(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),buf=SYSCALLS.get(),count=SYSCALLS.get();return FS.read(stream,HEAP8,buf,count)}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall5(which,varargs){SYSCALLS.varargs=varargs;try{var pathname=SYSCALLS.getStr(),flags=SYSCALLS.get(),mode=SYSCALLS.get();var stream=FS.open(pathname,flags,mode);return stream.fd}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall4(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),buf=SYSCALLS.get(),count=SYSCALLS.get();return FS.write(stream,HEAP8,buf,count)}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall6(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD();FS.close(stream);return 0}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function __embind_register_class_constructor(rawClassType,argCount,rawArgTypesAddr,invokerSignature,invoker,rawConstructor){var rawArgTypes=heap32VectorToArray(argCount,rawArgTypesAddr);invoker=requireFunction(invokerSignature,invoker);whenDependentTypesAreResolved([],[rawClassType],(function(classType){classType=classType[0];var humanName="constructor "+classType.name;if(undefined===classType.registeredClass.constructor_body){classType.registeredClass.constructor_body=[]}if(undefined!==classType.registeredClass.constructor_body[argCount-1]){throw new BindingError("Cannot register multiple constructors with identical number of parameters ("+(argCount-1)+") for class '"+classType.name+"'! Overload resolution is currently only performed using the parameter count, not actual type info!")}classType.registeredClass.constructor_body[argCount-1]=function unboundTypeHandler(){throwUnboundTypeError("Cannot construct "+classType.name+" due to unbound types",rawArgTypes)};whenDependentTypesAreResolved([],rawArgTypes,(function(argTypes){classType.registeredClass.constructor_body[argCount-1]=function constructor_body(){if(arguments.length!==argCount-1){throwBindingError(humanName+" called with "+arguments.length+" arguments, expected "+(argCount-1))}var destructors=[];var args=new Array(argCount);args[0]=rawConstructor;for(var i=1;i<argCount;++i){args[i]=argTypes[i]["toWireType"](destructors,arguments[i-1])}var ptr=invoker.apply(null,args);runDestructors(destructors);return argTypes[0]["fromWireType"](ptr)};return[]}));return[]}))}function ___syscall140(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),offset_high=SYSCALLS.get(),offset_low=SYSCALLS.get(),result=SYSCALLS.get(),whence=SYSCALLS.get();var offset=offset_low;FS.llseek(stream,offset,whence);HEAP32[result>>2]=stream.position;if(stream.getdents&&offset===0&&whence===0)stream.getdents=null;return 0}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function __embind_register_class_function(rawClassType,methodName,argCount,rawArgTypesAddr,invokerSignature,rawInvoker,context,isPureVirtual){var rawArgTypes=heap32VectorToArray(argCount,rawArgTypesAddr);methodName=readLatin1String(methodName);rawInvoker=requireFunction(invokerSignature,rawInvoker);whenDependentTypesAreResolved([],[rawClassType],(function(classType){classType=classType[0];var humanName=classType.name+"."+methodName;if(isPureVirtual){classType.registeredClass.pureVirtualFunctions.push(methodName)}function unboundTypesHandler(){throwUnboundTypeError("Cannot call "+humanName+" due to unbound types",rawArgTypes)}var proto=classType.registeredClass.instancePrototype;var method=proto[methodName];if(undefined===method||undefined===method.overloadTable&&method.className!==classType.name&&method.argCount===argCount-2){unboundTypesHandler.argCount=argCount-2;unboundTypesHandler.className=classType.name;proto[methodName]=unboundTypesHandler}else{ensureOverloadTable(proto,methodName,humanName);proto[methodName].overloadTable[argCount-2]=unboundTypesHandler}whenDependentTypesAreResolved([],rawArgTypes,(function(argTypes){var memberFunction=craftInvokerFunction(humanName,argTypes,classType,rawInvoker,context);if(undefined===proto[methodName].overloadTable){memberFunction.argCount=argCount-2;proto[methodName]=memberFunction}else{proto[methodName].overloadTable[argCount-2]=memberFunction}return[]}));return[]}))}function ___syscall146(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),iov=SYSCALLS.get(),iovcnt=SYSCALLS.get();return SYSCALLS.doWritev(stream,iov,iovcnt)}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall221(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),cmd=SYSCALLS.get();switch(cmd){case 0:{var arg=SYSCALLS.get();if(arg<0){return-ERRNO_CODES.EINVAL}var newStream;newStream=FS.open(stream.path,stream.flags,0,arg);return newStream.fd};case 1:case 2:return 0;case 3:return stream.flags;case 4:{var arg=SYSCALLS.get();stream.flags|=arg;return 0};case 12:case 12:{var arg=SYSCALLS.get();var offset=0;HEAP16[arg+offset>>1]=2;return 0};case 13:case 14:case 13:case 14:return 0;case 16:case 8:return-ERRNO_CODES.EINVAL;case 9:___setErrNo(ERRNO_CODES.EINVAL);return-1;default:{return-ERRNO_CODES.EINVAL}}}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall145(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),iov=SYSCALLS.get(),iovcnt=SYSCALLS.get();return SYSCALLS.doReadv(stream,iov,iovcnt)}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}var ___dso_handle=STATICTOP;STATICTOP+=16;embind_init_charCodes();init_emval();BindingError=Module["BindingError"]=extendError(Error,"BindingError");InternalError=Module["InternalError"]=extendError(Error,"InternalError");FS.staticInit();__ATINIT__.unshift((function(){if(!Module["noFSInit"]&&!FS.init.initialized)FS.init()}));__ATMAIN__.push((function(){FS.ignorePermissions=false}));__ATEXIT__.push((function(){FS.quit()}));Module["FS_createFolder"]=FS.createFolder;Module["FS_createPath"]=FS.createPath;Module["FS_createDataFile"]=FS.createDataFile;Module["FS_createPreloadedFile"]=FS.createPreloadedFile;Module["FS_createLazyFile"]=FS.createLazyFile;Module["FS_createLink"]=FS.createLink;Module["FS_createDevice"]=FS.createDevice;Module["FS_unlink"]=FS.unlink;__ATINIT__.unshift((function(){TTY.init()}));__ATEXIT__.push((function(){TTY.shutdown()}));if(ENVIRONMENT_IS_NODE){var fs=require("fs");var NODEJS_PATH=require("path");NODEFS.staticInit()}Module["requestFullScreen"]=function Module_requestFullScreen(lockPointer,resizeCanvas,vrDevice){Module.printErr("Module.requestFullScreen is deprecated. Please call Module.requestFullscreen instead.");Module["requestFullScreen"]=Module["requestFullscreen"];Browser.requestFullScreen(lockPointer,resizeCanvas,vrDevice)};Module["requestFullscreen"]=function Module_requestFullscreen(lockPointer,resizeCanvas,vrDevice){Browser.requestFullscreen(lockPointer,resizeCanvas,vrDevice)};Module["requestAnimationFrame"]=function Module_requestAnimationFrame(func){Browser.requestAnimationFrame(func)};Module["setCanvasSize"]=function Module_setCanvasSize(width,height,noUpdates){Browser.setCanvasSize(width,height,noUpdates)};Module["pauseMainLoop"]=function Module_pauseMainLoop(){Browser.mainLoop.pause()};Module["resumeMainLoop"]=function Module_resumeMainLoop(){Browser.mainLoop.resume()};Module["getUserMedia"]=function Module_getUserMedia(){Browser.getUserMedia()};Module["createContext"]=function Module_createContext(canvas,useWebGL,setInModule,webGLContextAttributes){return Browser.createContext(canvas,useWebGL,setInModule,webGLContextAttributes)};if(ENVIRONMENT_IS_NODE){_emscripten_get_now=function _emscripten_get_now_actual(){var t=process["hrtime"]();return t[0]*1e3+t[1]/1e6}}else if(typeof dateNow!=="undefined"){_emscripten_get_now=dateNow}else if(typeof self==="object"&&self["performance"]&&typeof self["performance"]["now"]==="function"){_emscripten_get_now=(function(){return self["performance"]["now"]()})}else if(typeof performance==="object"&&typeof performance["now"]==="function"){_emscripten_get_now=(function(){return performance["now"]()})}else{_emscripten_get_now=Date.now}init_RegisteredPointer();init_embind();UnboundTypeError=Module["UnboundTypeError"]=extendError(Error,"UnboundTypeError");___buildEnvironment(ENV);init_ClassHandle();DYNAMICTOP_PTR=allocate(1,"i32",ALLOC_STATIC);STACK_BASE=STACKTOP=Runtime.alignMemory(STATICTOP);STACK_MAX=STACK_BASE+TOTAL_STACK;DYNAMIC_BASE=Runtime.alignMemory(STACK_MAX);HEAP32[DYNAMICTOP_PTR>>2]=DYNAMIC_BASE;staticSealed=true;function invoke_iiiiiid(index,a1,a2,a3,a4,a5,a6){try{return Module["dynCall_iiiiiid"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiddd(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viiiiddd"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiidiii(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiiidiii"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiddi(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiiiiddi"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiidiii(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viiidiii"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiidiid(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiiidiid"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiiiiii(index,a1,a2,a3,a4,a5,a6){try{return Module["dynCall_iiiiiii"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiidddiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11){try{Module["dynCall_viiiidddiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiddi(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viiiiddi"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiddddi(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiiddddi"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viidiii(index,a1,a2,a3,a4,a5,a6){try{Module["dynCall_viidiii"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11){try{Module["dynCall_viiiiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiiiiiid(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11){try{Module["dynCall_viiiiiiiiiid"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiidddd(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viiidddd"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iidi(index,a1,a2,a3){try{return Module["dynCall_iidi"](index,a1,a2,a3)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiddidd(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viiddidd"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_vidi(index,a1,a2,a3){try{Module["dynCall_vidi"](index,a1,a2,a3)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiddii(index,a1,a2,a3,a4,a5,a6){try{Module["dynCall_viiddii"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiddid(index,a1,a2,a3,a4,a5,a6){try{Module["dynCall_viiddid"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiidi(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viiiiidi"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiddidddd(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiddidddd"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiddiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10){try{Module["dynCall_viiiiddiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiiidd(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiiiiiidd"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiddiiid(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10){try{Module["dynCall_viiiiddiiid"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiiidi(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiiiiiidi"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiddi(index,a1,a2,a3,a4,a5){try{Module["dynCall_viiddi"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiidii(index,a1,a2,a3,a4,a5,a6){try{Module["dynCall_viiidii"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiidd(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viiiiidd"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_di(index,a1){try{return Module["dynCall_di"](index,a1)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiidiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11){try{Module["dynCall_viiiiiidiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiidiiddi(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10){try{Module["dynCall_viiiidiiddi"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiddiiiid(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11){try{Module["dynCall_viiiiddiiiid"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiddiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiiiddiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_vdii(index,a1,a2,a3){try{Module["dynCall_vdii"](index,a1,a2,a3)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_diiiiiii(index,a1,a2,a3,a4,a5,a6,a7){try{return Module["dynCall_diiiiiii"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_dii(index,a1,a2){try{return Module["dynCall_dii"](index,a1,a2)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiddiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiiddiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiddiiid(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiiddiiid"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiidiidd(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiiidiidd"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiiiiiiddi(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12,a13){try{Module["dynCall_viiiiiiiiiiddi"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12,a13)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiiii(index,a1,a2,a3,a4){try{return Module["dynCall_iiiii"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiidiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11){try{Module["dynCall_viiiiidiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiidddi(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viiidddi"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiidiidd(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10){try{Module["dynCall_viiiiidiidd"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiiid(index,a1,a2,a3,a4){try{return Module["dynCall_iiiid"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiiiiiii(index,a1,a2,a3,a4,a5,a6,a7){try{return Module["dynCall_iiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiddiii(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viiddiii"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiiiiiiididiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12,a13){try{return Module["dynCall_iiiiiiiididiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12,a13)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiidddiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiidddiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viidiiid(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viidiiid"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiidiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10){try{Module["dynCall_viiiiidiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viidiiii(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viidiiii"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_diiiddi(index,a1,a2,a3,a4,a5,a6){try{return Module["dynCall_diiiddi"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiididii(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiididii"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_diiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8){try{return Module["dynCall_diiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiidiiid(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiidiiid"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiddddii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiiddddii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiid(index,a1,a2,a3,a4,a5,a6){try{Module["dynCall_viiiiid"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiddddii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10){try{Module["dynCall_viiiiddddii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiii(index,a1,a2,a3,a4,a5,a6){try{Module["dynCall_viiiiii"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiidiiii(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiidiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiidi(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiiiiidi"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiidiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10){try{Module["dynCall_viiiiiidiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiidddii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiiidddii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiidd(index,a1,a2,a3,a4,a5){try{Module["dynCall_viiidd"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiidi(index,a1,a2,a3,a4,a5){try{Module["dynCall_viiidi"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiidiiii(index,a1,a2,a3,a4,a5,a6,a7){try{return Module["dynCall_iiidiiii"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiddiddd(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiddiddd"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10){try{Module["dynCall_viiiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_diiddi(index,a1,a2,a3,a4,a5){try{return Module["dynCall_diiddi"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_diii(index,a1,a2,a3){try{return Module["dynCall_diii"](index,a1,a2,a3)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiddd(index,a1,a2,a3,a4,a5,a6){try{Module["dynCall_viiiddd"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiddidddd(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10){try{Module["dynCall_viiiddidddd"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiiiiiiid(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12){try{Module["dynCall_viiiiiiiiiiid"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiddidd(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiiddidd"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiidiiiidi(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10){try{Module["dynCall_viiidiiiidi"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiddiiiid(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10){try{Module["dynCall_viiiddiiiid"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiddi(index,a1,a2,a3,a4,a5,a6){try{Module["dynCall_viiiddi"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiiiii(index,a1,a2,a3,a4,a5){try{return Module["dynCall_iiiiii"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiid(index,a1,a2,a3,a4){try{Module["dynCall_viiid"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiidddd(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiiidddd"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viidii(index,a1,a2,a3,a4,a5){try{Module["dynCall_viidii"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiiiid(index,a1,a2,a3,a4,a5){try{return Module["dynCall_iiiiid"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiidddi(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiiidddi"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiii(index,a1,a2,a3,a4){try{Module["dynCall_viiii"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiii(index,a1,a2,a3,a4,a5){try{Module["dynCall_viiiii"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiidiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiiidiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_vid(index,a1,a2){try{Module["dynCall_vid"](index,a1,a2)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiidi(index,a1,a2,a3,a4){try{return Module["dynCall_iiidi"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiidd(index,a1,a2,a3,a4){try{return Module["dynCall_iiidd"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_vii(index,a1,a2){try{Module["dynCall_vii"](index,a1,a2)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiid(index,a1,a2,a3,a4,a5){try{Module["dynCall_viiiid"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiddddi(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiiiddddi"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viidd(index,a1,a2,a3,a4){try{Module["dynCall_viidd"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viidi(index,a1,a2,a3,a4){try{Module["dynCall_viidi"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiidiiddi(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiidiiddi"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_diiid(index,a1,a2,a3,a4){try{return Module["dynCall_diiid"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiidddii(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiidddii"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiidddiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10){try{Module["dynCall_viiidddiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiiid(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiiiiiid"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_diiii(index,a1,a2,a3,a4){try{return Module["dynCall_diiii"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiidiiddi(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11){try{Module["dynCall_viiiiidiiddi"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiidii(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiiiidii"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiddiddd(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiiddiddd"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iid(index,a1,a2){try{return Module["dynCall_iid"](index,a1,a2)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiddid(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viiiddid"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiii(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viiiiiii"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viididdi(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viididdi"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiid(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viiiiiid"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iii(index,a1,a2){try{return Module["dynCall_iii"](index,a1,a2)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiddii(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viiiddii"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiididi(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viiididi"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_vdiii(index,a1,a2,a3,a4){try{Module["dynCall_vdiii"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiidii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiiiiidii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiidddiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10){try{Module["dynCall_viiiidddiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viii(index,a1,a2,a3){try{Module["dynCall_viii"](index,a1,a2,a3)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_v(index){try{Module["dynCall_v"](index)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viid(index,a1,a2,a3){try{Module["dynCall_viid"](index,a1,a2,a3)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viidiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viidiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_vi(index,a1){try{Module["dynCall_vi"](index,a1)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiidiiiidi(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11){try{Module["dynCall_viiiidiiiidi"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_ii(index,a1){try{return Module["dynCall_ii"](index,a1)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiiiddi(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10){try{Module["dynCall_viiiiiiiddi"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_vididdi(index,a1,a2,a3,a4,a5,a6){try{Module["dynCall_vididdi"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiidd(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiiiiidd"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_vidii(index,a1,a2,a3,a4){try{Module["dynCall_vidii"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiidi(index,a1,a2,a3,a4,a5,a6){try{Module["dynCall_viiiidi"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiddiii(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiiddiii"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiidiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12){try{Module["dynCall_viiiiiidiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiii(index,a1,a2,a3){try{return Module["dynCall_iiii"](index,a1,a2,a3)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viididii(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viididii"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiddii(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiiiddii"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiid(index,a1,a2,a3){try{return Module["dynCall_iiid"](index,a1,a2,a3)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiiiiidd(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11){try{Module["dynCall_viiiiiiiiidd"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiidii(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viiiidii"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_diiiii(index,a1,a2,a3,a4,a5){try{return Module["dynCall_diiiii"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_diiiid(index,a1,a2,a3,a4,a5){try{return Module["dynCall_diiiid"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiiiiiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12){try{return Module["dynCall_iiiiiiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiiiiiiiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12,a13,a14){try{return Module["dynCall_iiiiiiiiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12,a13,a14)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiiddi(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiiiiiddi"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiidiii(index,a1,a2,a3,a4,a5,a6){try{return Module["dynCall_iiidiii"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_i(index){try{return Module["dynCall_i"](index)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiidii(index,a1,a2,a3,a4,a5){try{return Module["dynCall_iiidii"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_diiiiii(index,a1,a2,a3,a4,a5,a6){try{return Module["dynCall_diiiiii"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiidiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8){try{return Module["dynCall_iiidiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_vididdii(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_vididdii"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiiiiidi(index,a1,a2,a3,a4,a5,a6,a7){try{return Module["dynCall_iiiiiidi"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiidiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiiiidiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viididi(index,a1,a2,a3,a4,a5,a6){try{Module["dynCall_viididi"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8){try{return Module["dynCall_iiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viididdii(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viididdii"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiidiid(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiiiidiid"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiidd(index,a1,a2,a3,a4,a5,a6){try{Module["dynCall_viiiidd"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_vidiii(index,a1,a2,a3,a4,a5){try{Module["dynCall_vidiii"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}Module.asmGlobalArg={"Math":Math,"Int8Array":Int8Array,"Int16Array":Int16Array,"Int32Array":Int32Array,"Uint8Array":Uint8Array,"Uint16Array":Uint16Array,"Uint32Array":Uint32Array,"Float32Array":Float32Array,"Float64Array":Float64Array,"NaN":NaN,"Infinity":Infinity,"byteLength":byteLength};Module.asmLibraryArg={"abort":abort,"assert":assert,"enlargeMemory":enlargeMemory,"getTotalMemory":getTotalMemory,"abortOnCannotGrowMemory":abortOnCannotGrowMemory,"invoke_iiiiiid":invoke_iiiiiid,"invoke_viiiiddd":invoke_viiiiddd,"invoke_viiiidiii":invoke_viiiidiii,"invoke_viiiiiddi":invoke_viiiiiddi,"invoke_viiidiii":invoke_viiidiii,"invoke_viiiidiid":invoke_viiiidiid,"invoke_iiiiiii":invoke_iiiiiii,"invoke_viiiidddiiii":invoke_viiiidddiiii,"invoke_viiiiddi":invoke_viiiiddi,"invoke_viiiddddi":invoke_viiiddddi,"invoke_viidiii":invoke_viidiii,"invoke_viiiiiiiiiii":invoke_viiiiiiiiiii,"invoke_viiiiiiiiiid":invoke_viiiiiiiiiid,"invoke_viiidddd":invoke_viiidddd,"invoke_iidi":invoke_iidi,"invoke_viiddidd":invoke_viiddidd,"invoke_vidi":invoke_vidi,"invoke_viiddii":invoke_viiddii,"invoke_viiddid":invoke_viiddid,"invoke_viiiiidi":invoke_viiiiidi,"invoke_viiddidddd":invoke_viiddidddd,"invoke_viiiiddiiii":invoke_viiiiddiiii,"invoke_viiiiiiidd":invoke_viiiiiiidd,"invoke_viiiiddiiid":invoke_viiiiddiiid,"invoke_viiiiiiidi":invoke_viiiiiiidi,"invoke_viiddi":invoke_viiddi,"invoke_viiidii":invoke_viiidii,"invoke_viiiiidd":invoke_viiiiidd,"invoke_di":invoke_di,"invoke_viiiiiidiiii":invoke_viiiiiidiiii,"invoke_viiiidiiddi":invoke_viiiidiiddi,"invoke_viiiiddiiiid":invoke_viiiiddiiiid,"invoke_viiiiddiii":invoke_viiiiddiii,"invoke_vdii":invoke_vdii,"invoke_diiiiiii":invoke_diiiiiii,"invoke_dii":invoke_dii,"invoke_viiiddiiii":invoke_viiiddiiii,"invoke_viiiddiiid":invoke_viiiddiiid,"invoke_viiiidiidd":invoke_viiiidiidd,"invoke_viiiiiiiiiiddi":invoke_viiiiiiiiiiddi,"invoke_iiiii":invoke_iiiii,"invoke_viiiiidiiiii":invoke_viiiiidiiiii,"invoke_viiidddi":invoke_viiidddi,"invoke_viiiiidiidd":invoke_viiiiidiidd,"invoke_iiiid":invoke_iiiid,"invoke_iiiiiiii":invoke_iiiiiiii,"invoke_viiddiii":invoke_viiddiii,"invoke_iiiiiiiididiii":invoke_iiiiiiiididiii,"invoke_viiidddiii":invoke_viiidddiii,"invoke_viidiiid":invoke_viidiiid,"invoke_viiiiidiiii":invoke_viiiiidiiii,"invoke_viidiiii":invoke_viidiiii,"invoke_diiiddi":invoke_diiiddi,"invoke_viiididii":invoke_viiididii,"invoke_diiiiiiii":invoke_diiiiiiii,"invoke_viiidiiid":invoke_viiidiiid,"invoke_viiiddddii":invoke_viiiddddii,"invoke_viiiiid":invoke_viiiiid,"invoke_viiiiddddii":invoke_viiiiddddii,"invoke_viiiiii":invoke_viiiiii,"invoke_viiidiiii":invoke_viiidiiii,"invoke_viiiiiidi":invoke_viiiiiidi,"invoke_viiiiiidiii":invoke_viiiiiidiii,"invoke_viiiidddii":invoke_viiiidddii,"invoke_viiidd":invoke_viiidd,"invoke_viiidi":invoke_viiidi,"invoke_iiidiiii":invoke_iiidiiii,"invoke_viiddiddd":invoke_viiddiddd,"invoke_viiiiiiiiii":invoke_viiiiiiiiii,"invoke_diiddi":invoke_diiddi,"invoke_diii":invoke_diii,"invoke_viiiddd":invoke_viiiddd,"invoke_viiiddidddd":invoke_viiiddidddd,"invoke_viiiiiiiiiiid":invoke_viiiiiiiiiiid,"invoke_viiiddidd":invoke_viiiddidd,"invoke_viiidiiiidi":invoke_viiidiiiidi,"invoke_viiiddiiiid":invoke_viiiddiiiid,"invoke_viiiddi":invoke_viiiddi,"invoke_iiiiii":invoke_iiiiii,"invoke_viiid":invoke_viiid,"invoke_viiiidddd":invoke_viiiidddd,"invoke_viidii":invoke_viidii,"invoke_iiiiid":invoke_iiiiid,"invoke_viiiidddi":invoke_viiiidddi,"invoke_viiii":invoke_viiii,"invoke_viiiii":invoke_viiiii,"invoke_viiiidiiii":invoke_viiiidiiii,"invoke_vid":invoke_vid,"invoke_iiidi":invoke_iiidi,"invoke_iiidd":invoke_iiidd,"invoke_vii":invoke_vii,"invoke_viiiid":invoke_viiiid,"invoke_viiiiddddi":invoke_viiiiddddi,"invoke_viidd":invoke_viidd,"invoke_viidi":invoke_viidi,"invoke_viiidiiddi":invoke_viiidiiddi,"invoke_diiid":invoke_diiid,"invoke_viiidddii":invoke_viiidddii,"invoke_viiiiiiii":invoke_viiiiiiii,"invoke_viiidddiiii":invoke_viiidddiiii,"invoke_viiiiiiid":invoke_viiiiiiid,"invoke_diiii":invoke_diiii,"invoke_viiiiidiiddi":invoke_viiiiidiiddi,"invoke_viiiiidii":invoke_viiiiidii,"invoke_viiiddiddd":invoke_viiiddiddd,"invoke_iid":invoke_iid,"invoke_viiiddid":invoke_viiiddid,"invoke_viiiiiii":invoke_viiiiiii,"invoke_viididdi":invoke_viididdi,"invoke_viiiiiid":invoke_viiiiiid,"invoke_viiiiiiiii":invoke_viiiiiiiii,"invoke_iii":invoke_iii,"invoke_viiiddii":invoke_viiiddii,"invoke_viiididi":invoke_viiididi,"invoke_vdiii":invoke_vdiii,"invoke_viiiiiidii":invoke_viiiiiidii,"invoke_viiiidddiii":invoke_viiiidddiii,"invoke_viii":invoke_viii,"invoke_v":invoke_v,"invoke_viid":invoke_viid,"invoke_viidiiiii":invoke_viidiiiii,"invoke_vi":invoke_vi,"invoke_viiiidiiiidi":invoke_viiiidiiiidi,"invoke_ii":invoke_ii,"invoke_viiiiiiiddi":invoke_viiiiiiiddi,"invoke_vididdi":invoke_vididdi,"invoke_viiiiiidd":invoke_viiiiiidd,"invoke_vidii":invoke_vidii,"invoke_viiiidi":invoke_viiiidi,"invoke_viiiddiii":invoke_viiiddiii,"invoke_viiiiiidiiiii":invoke_viiiiiidiiiii,"invoke_iiii":invoke_iiii,"invoke_viididii":invoke_viididii,"invoke_viiiiddii":invoke_viiiiddii,"invoke_iiid":invoke_iiid,"invoke_viiiiiiiiidd":invoke_viiiiiiiiidd,"invoke_viiiidii":invoke_viiiidii,"invoke_diiiii":invoke_diiiii,"invoke_diiiid":invoke_diiiid,"invoke_iiiiiiiiiiiii":invoke_iiiiiiiiiiiii,"invoke_iiiiiiiiiiiiiii":invoke_iiiiiiiiiiiiiii,"invoke_viiiiiiddi":invoke_viiiiiiddi,"invoke_iiidiii":invoke_iiidiii,"invoke_i":invoke_i,"invoke_iiidii":invoke_iiidii,"invoke_diiiiii":invoke_diiiiii,"invoke_iiidiiiii":invoke_iiidiiiii,"invoke_vididdii":invoke_vididdii,"invoke_iiiiiidi":invoke_iiiiiidi,"invoke_viiiiidiii":invoke_viiiiidiii,"invoke_viididi":invoke_viididi,"invoke_iiiiiiiii":invoke_iiiiiiiii,"invoke_viididdii":invoke_viididdii,"invoke_viiiiidiid":invoke_viiiiidiid,"invoke_viiiidd":invoke_viiiidd,"invoke_vidiii":invoke_vidiii,"___syscall221":___syscall221,"floatReadValueFromPointer":floatReadValueFromPointer,"simpleReadValueFromPointer":simpleReadValueFromPointer,"__emval_call_void_method":__emval_call_void_method,"throwInternalError":throwInternalError,"get_first_emval":get_first_emval,"whenDependentTypesAreResolved":whenDependentTypesAreResolved,"constNoSmartPtrRawPointerToWireType":constNoSmartPtrRawPointerToWireType,"getLiveInheritedInstances":getLiveInheritedInstances,"__ZSt18uncaught_exceptionv":__ZSt18uncaught_exceptionv,"ClassHandle":ClassHandle,"getShiftFromSize":getShiftFromSize,"__emval_get_property":__emval_get_property,"__addDays":__addDays,"_emscripten_set_main_loop_timing":_emscripten_set_main_loop_timing,"___cxa_begin_catch":___cxa_begin_catch,"_emscripten_memcpy_big":_emscripten_memcpy_big,"runDestructor":runDestructor,"throwInstanceAlreadyDeleted":throwInstanceAlreadyDeleted,"__embind_register_std_string":__embind_register_std_string,"init_RegisteredPointer":init_RegisteredPointer,"getStringOrSymbol":getStringOrSymbol,"flushPendingDeletes":flushPendingDeletes,"_pthread_mutexattr_settype":_pthread_mutexattr_settype,"makeClassHandle":makeClassHandle,"__isLeapYear":__isLeapYear,"__embind_register_class_constructor":__embind_register_class_constructor,"___cxa_atexit":___cxa_atexit,"__embind_finalize_value_array":__embind_finalize_value_array,"__emval_allocateDestructors":__emval_allocateDestructors,"init_ClassHandle":init_ClassHandle,"__embind_register_constant":__embind_register_constant,"___syscall140":___syscall140,"ClassHandle_clone":ClassHandle_clone,"___syscall145":___syscall145,"___syscall146":___syscall146,"throwBindingError":throwBindingError,"RegisteredClass":RegisteredClass,"___cxa_find_matching_catch":___cxa_find_matching_catch,"__embind_register_value_object_field":__embind_register_value_object_field,"embind_init_charCodes":embind_init_charCodes,"__emval_as":__emval_as,"___setErrNo":___setErrNo,"readLatin1String":readLatin1String,"_llvm_pow_f32":_llvm_pow_f32,"__embind_register_bool":__embind_register_bool,"___resumeException":___resumeException,"createNamedFunction":createNamedFunction,"__embind_register_class_property":__embind_register_class_property,"__embind_register_emval":__embind_register_emval,"___buildEnvironment":___buildEnvironment,"__embind_finalize_value_object":__embind_finalize_value_object,"__emval_decref":__emval_decref,"_pthread_once":_pthread_once,"__embind_register_class":__embind_register_class,"___syscall91":___syscall91,"__emval_addMethodCaller":__emval_addMethodCaller,"heap32VectorToArray":heap32VectorToArray,"__emval_lookupTypes":__emval_lookupTypes,"_emscripten_get_now":_emscripten_get_now,"__emval_run_destructors":__emval_run_destructors,"ClassHandle_delete":ClassHandle_delete,"___syscall3":___syscall3,"RegisteredPointer_destructor":RegisteredPointer_destructor,"___syscall6":___syscall6,"___syscall5":___syscall5,"ensureOverloadTable":ensureOverloadTable,"_gettimeofday":_gettimeofday,"new_":new_,"downcastPointer":downcastPointer,"replacePublicSymbol":replacePublicSymbol,"init_embind":init_embind,"_llvm_pow_f64":_llvm_pow_f64,"ClassHandle_deleteLater":ClassHandle_deleteLater,"___syscall54":___syscall54,"_sched_yield":_sched_yield,"RegisteredPointer_deleteObject":RegisteredPointer_deleteObject,"ClassHandle_isDeleted":ClassHandle_isDeleted,"__embind_register_integer":__embind_register_integer,"___cxa_allocate_exception":___cxa_allocate_exception,"__emval_take_value":__emval_take_value,"__embind_register_value_object":__embind_register_value_object,"getTypeName":getTypeName,"_strftime":_strftime,"__embind_register_class_function":__embind_register_class_function,"throwUnboundTypeError":throwUnboundTypeError,"craftInvokerFunction":craftInvokerFunction,"_getenv":_getenv,"runDestructors":runDestructors,"requireRegisteredType":requireRegisteredType,"makeLegalFunctionName":makeLegalFunctionName,"_pthread_key_create":_pthread_key_create,"upcastPointer":upcastPointer,"init_emval":init_emval,"shallowCopyInternalPointer":shallowCopyInternalPointer,"nonConstNoSmartPtrRawPointerToWireType":nonConstNoSmartPtrRawPointerToWireType,"__embind_register_value_array":__embind_register_value_array,"_abort":_abort,"requireHandle":requireHandle,"_embind_repr":_embind_repr,"validateThis":validateThis,"exposePublicSymbol":exposePublicSymbol,"RegisteredPointer_fromWireType":RegisteredPointer_fromWireType,"___cxa_pure_virtual":___cxa_pure_virtual,"__emval_get_method_caller":__emval_get_method_caller,"_pthread_getspecific":_pthread_getspecific,"_pthread_cond_wait":_pthread_cond_wait,"___lock":___lock,"__embind_register_value_array_element":__embind_register_value_array_element,"__embind_register_memory_view":__embind_register_memory_view,"getInheritedInstance":getInheritedInstance,"setDelayFunction":setDelayFunction,"___gxx_personality_v0":___gxx_personality_v0,"extendError":extendError,"___syscall4":___syscall4,"__emval_new_array":__emval_new_array,"__embind_register_void":__embind_register_void,"__embind_register_smart_ptr":__embind_register_smart_ptr,"__embind_register_function":__embind_register_function,"_pthread_mutexattr_destroy":_pthread_mutexattr_destroy,"_strftime_l":_strftime_l,"RegisteredPointer_getPointee":RegisteredPointer_getPointee,"__emval_register":__emval_register,"__embind_register_std_wstring":__embind_register_std_wstring,"ClassHandle_isAliasOf":ClassHandle_isAliasOf,"__emval_incref":__emval_incref,"RegisteredPointer":RegisteredPointer,"__arraySum":__arraySum,"__embind_register_class_class_function":__embind_register_class_class_function,"_pthread_mutex_destroy":_pthread_mutex_destroy,"getBasestPointer":getBasestPointer,"getInheritedInstanceCount":getInheritedInstanceCount,"__embind_register_float":__embind_register_float,"integerReadValueFromPointer":integerReadValueFromPointer,"___unlock":___unlock,"_emscripten_set_main_loop":_emscripten_set_main_loop,"_pthread_mutexattr_init":_pthread_mutexattr_init,"_pthread_setspecific":_pthread_setspecific,"genericPointerToWireType":genericPointerToWireType,"registerType":registerType,"___cxa_throw":___cxa_throw,"__emval_new_cstring":__emval_new_cstring,"count_emval_handles":count_emval_handles,"requireFunction":requireFunction,"_atexit":_atexit,"_pthread_mutex_init":_pthread_mutex_init,"___map_file":___map_file,"DYNAMICTOP_PTR":DYNAMICTOP_PTR,"tempDoublePtr":tempDoublePtr,"ABORT":ABORT,"STACKTOP":STACKTOP,"STACK_MAX":STACK_MAX,"cttz_i8":cttz_i8,"___dso_handle":___dso_handle};// EMSCRIPTEN_START_ASM
var asm=(function(global,env,buffer) {
"almost asm";var a=global.Int8Array;var b=new a(buffer);var c=global.Int16Array;var d=new c(buffer);var e=global.Int32Array;var f=new e(buffer);var g=global.Uint8Array;var h=new g(buffer);var i=global.Uint16Array;var j=new i(buffer);var k=global.Uint32Array;var l=new k(buffer);var m=global.Float32Array;var n=new m(buffer);var o=global.Float64Array;var p=new o(buffer);var q=global.byteLength;var r=env.DYNAMICTOP_PTR|0;var s=env.tempDoublePtr|0;var t=env.ABORT|0;var u=env.STACKTOP|0;var v=env.STACK_MAX|0;var w=env.cttz_i8|0;var x=env.___dso_handle|0;var y=0;var z=0;var A=0;var B=0;var C=global.NaN,D=global.Infinity;var E=0,F=0,G=0,H=0,I=0.0;var J=0;var K=global.Math.floor;var L=global.Math.abs;var M=global.Math.sqrt;var N=global.Math.pow;var O=global.Math.cos;var P=global.Math.sin;var Q=global.Math.tan;var R=global.Math.acos;var S=global.Math.asin;var T=global.Math.atan;var U=global.Math.atan2;var V=global.Math.exp;var W=global.Math.log;var X=global.Math.ceil;var Y=global.Math.imul;var Z=global.Math.min;var _=global.Math.max;var $=global.Math.clz32;var aa=env.abort;var ba=env.assert;var ca=env.enlargeMemory;var da=env.getTotalMemory;var ea=env.abortOnCannotGrowMemory;var fa=env.invoke_iiiiiid;var ga=env.invoke_viiiiddd;var ha=env.invoke_viiiidiii;var ia=env.invoke_viiiiiddi;var ja=env.invoke_viiidiii;var ka=env.invoke_viiiidiid;var la=env.invoke_iiiiiii;var ma=env.invoke_viiiidddiiii;var na=env.invoke_viiiiddi;var oa=env.invoke_viiiddddi;var pa=env.invoke_viidiii;var qa=env.invoke_viiiiiiiiiii;var ra=env.invoke_viiiiiiiiiid;var sa=env.invoke_viiidddd;var ta=env.invoke_iidi;var ua=env.invoke_viiddidd;var va=env.invoke_vidi;var wa=env.invoke_viiddii;var xa=env.invoke_viiddid;var ya=env.invoke_viiiiidi;var za=env.invoke_viiddidddd;var Aa=env.invoke_viiiiddiiii;var Ba=env.invoke_viiiiiiidd;var Ca=env.invoke_viiiiddiiid;var Da=env.invoke_viiiiiiidi;var Ea=env.invoke_viiddi;var Fa=env.invoke_viiidii;var Ga=env.invoke_viiiiidd;var Ha=env.invoke_di;var Ia=env.invoke_viiiiiidiiii;var Ja=env.invoke_viiiidiiddi;var Ka=env.invoke_viiiiddiiiid;var La=env.invoke_viiiiddiii;var Ma=env.invoke_vdii;var Na=env.invoke_diiiiiii;var Oa=env.invoke_dii;var Pa=env.invoke_viiiddiiii;var Qa=env.invoke_viiiddiiid;var Ra=env.invoke_viiiidiidd;var Sa=env.invoke_viiiiiiiiiiddi;var Ta=env.invoke_iiiii;var Ua=env.invoke_viiiiidiiiii;var Va=env.invoke_viiidddi;var Wa=env.invoke_viiiiidiidd;var Xa=env.invoke_iiiid;var Ya=env.invoke_iiiiiiii;var Za=env.invoke_viiddiii;var _a=env.invoke_iiiiiiiididiii;var $a=env.invoke_viiidddiii;var ab=env.invoke_viidiiid;var bb=env.invoke_viiiiidiiii;var cb=env.invoke_viidiiii;var db=env.invoke_diiiddi;var eb=env.invoke_viiididii;var fb=env.invoke_diiiiiiii;var gb=env.invoke_viiidiiid;var hb=env.invoke_viiiddddii;var ib=env.invoke_viiiiid;var jb=env.invoke_viiiiddddii;var kb=env.invoke_viiiiii;var lb=env.invoke_viiidiiii;var mb=env.invoke_viiiiiidi;var nb=env.invoke_viiiiiidiii;var ob=env.invoke_viiiidddii;var pb=env.invoke_viiidd;var qb=env.invoke_viiidi;var rb=env.invoke_iiidiiii;var sb=env.invoke_viiddiddd;var tb=env.invoke_viiiiiiiiii;var ub=env.invoke_diiddi;var vb=env.invoke_diii;var wb=env.invoke_viiiddd;var xb=env.invoke_viiiddidddd;var yb=env.invoke_viiiiiiiiiiid;var zb=env.invoke_viiiddidd;var Ab=env.invoke_viiidiiiidi;var Bb=env.invoke_viiiddiiiid;var Cb=env.invoke_viiiddi;var Db=env.invoke_iiiiii;var Eb=env.invoke_viiid;var Fb=env.invoke_viiiidddd;var Gb=env.invoke_viidii;var Hb=env.invoke_iiiiid;var Ib=env.invoke_viiiidddi;var Jb=env.invoke_viiii;var Kb=env.invoke_viiiii;var Lb=env.invoke_viiiidiiii;var Mb=env.invoke_vid;var Nb=env.invoke_iiidi;var Ob=env.invoke_iiidd;var Pb=env.invoke_vii;var Qb=env.invoke_viiiid;var Rb=env.invoke_viiiiddddi;var Sb=env.invoke_viidd;var Tb=env.invoke_viidi;var Ub=env.invoke_viiidiiddi;var Vb=env.invoke_diiid;var Wb=env.invoke_viiidddii;var Xb=env.invoke_viiiiiiii;var Yb=env.invoke_viiidddiiii;var Zb=env.invoke_viiiiiiid;var _b=env.invoke_diiii;var $b=env.invoke_viiiiidiiddi;var ac=env.invoke_viiiiidii;var bc=env.invoke_viiiddiddd;var cc=env.invoke_iid;var dc=env.invoke_viiiddid;var ec=env.invoke_viiiiiii;var fc=env.invoke_viididdi;var gc=env.invoke_viiiiiid;var hc=env.invoke_viiiiiiiii;var ic=env.invoke_iii;var jc=env.invoke_viiiddii;var kc=env.invoke_viiididi;var lc=env.invoke_vdiii;var mc=env.invoke_viiiiiidii;var nc=env.invoke_viiiidddiii;var oc=env.invoke_viii;var pc=env.invoke_v;var qc=env.invoke_viid;var rc=env.invoke_viidiiiii;var sc=env.invoke_vi;var tc=env.invoke_viiiidiiiidi;var uc=env.invoke_ii;var vc=env.invoke_viiiiiiiddi;var wc=env.invoke_vididdi;var xc=env.invoke_viiiiiidd;var yc=env.invoke_vidii;var zc=env.invoke_viiiidi;var Ac=env.invoke_viiiddiii;var Bc=env.invoke_viiiiiidiiiii;var Cc=env.invoke_iiii;var Dc=env.invoke_viididii;var Ec=env.invoke_viiiiddii;var Fc=env.invoke_iiid;var Gc=env.invoke_viiiiiiiiidd;var Hc=env.invoke_viiiidii;var Ic=env.invoke_diiiii;var Jc=env.invoke_diiiid;var Kc=env.invoke_iiiiiiiiiiiii;var Lc=env.invoke_iiiiiiiiiiiiiii;var Mc=env.invoke_viiiiiiddi;var Nc=env.invoke_iiidiii;var Oc=env.invoke_i;var Pc=env.invoke_iiidii;var Qc=env.invoke_diiiiii;var Rc=env.invoke_iiidiiiii;var Sc=env.invoke_vididdii;var Tc=env.invoke_iiiiiidi;var Uc=env.invoke_viiiiidiii;var Vc=env.invoke_viididi;var Wc=env.invoke_iiiiiiiii;var Xc=env.invoke_viididdii;var Yc=env.invoke_viiiiidiid;var Zc=env.invoke_viiiidd;var _c=env.invoke_vidiii;var $c=env.___syscall221;var ad=env.floatReadValueFromPointer;var bd=env.simpleReadValueFromPointer;var cd=env.__emval_call_void_method;var dd=env.throwInternalError;var ed=env.get_first_emval;var fd=env.whenDependentTypesAreResolved;var gd=env.constNoSmartPtrRawPointerToWireType;var hd=env.getLiveInheritedInstances;var id=env.__ZSt18uncaught_exceptionv;var jd=env.ClassHandle;var kd=env.getShiftFromSize;var ld=env.__emval_get_property;var md=env.__addDays;var nd=env._emscripten_set_main_loop_timing;var od=env.___cxa_begin_catch;var pd=env._emscripten_memcpy_big;var qd=env.runDestructor;var rd=env.throwInstanceAlreadyDeleted;var sd=env.__embind_register_std_string;var td=env.init_RegisteredPointer;var ud=env.getStringOrSymbol;var vd=env.flushPendingDeletes;var wd=env._pthread_mutexattr_settype;var xd=env.makeClassHandle;var yd=env.__isLeapYear;var zd=env.__embind_register_class_constructor;var Ad=env.___cxa_atexit;var Bd=env.__embind_finalize_value_array;var Cd=env.__emval_allocateDestructors;var Dd=env.init_ClassHandle;var Ed=env.__embind_register_constant;var Fd=env.___syscall140;var Gd=env.ClassHandle_clone;var Hd=env.___syscall145;var Id=env.___syscall146;var Jd=env.throwBindingError;var Kd=env.RegisteredClass;var Ld=env.___cxa_find_matching_catch;var Md=env.__embind_register_value_object_field;var Nd=env.embind_init_charCodes;var Od=env.__emval_as;var Pd=env.___setErrNo;var Qd=env.readLatin1String;var Rd=env._llvm_pow_f32;var Sd=env.__embind_register_bool;var Td=env.___resumeException;var Ud=env.createNamedFunction;var Vd=env.__embind_register_class_property;var Wd=env.__embind_register_emval;var Xd=env.___buildEnvironment;var Yd=env.__embind_finalize_value_object;var Zd=env.__emval_decref;var _d=env._pthread_once;var $d=env.__embind_register_class;var ae=env.___syscall91;var be=env.__emval_addMethodCaller;var ce=env.heap32VectorToArray;var de=env.__emval_lookupTypes;var ee=env._emscripten_get_now;var fe=env.__emval_run_destructors;var ge=env.ClassHandle_delete;var he=env.___syscall3;var ie=env.RegisteredPointer_destructor;var je=env.___syscall6;var ke=env.___syscall5;var le=env.ensureOverloadTable;var me=env._gettimeofday;var ne=env.new_;var oe=env.downcastPointer;var pe=env.replacePublicSymbol;var qe=env.init_embind;var re=env._llvm_pow_f64;var se=env.ClassHandle_deleteLater;var te=env.___syscall54;var ue=env._sched_yield;var ve=env.RegisteredPointer_deleteObject;var we=env.ClassHandle_isDeleted;var xe=env.__embind_register_integer;var ye=env.___cxa_allocate_exception;var ze=env.__emval_take_value;var Ae=env.__embind_register_value_object;var Be=env.getTypeName;var Ce=env._strftime;var De=env.__embind_register_class_function;var Ee=env.throwUnboundTypeError;var Fe=env.craftInvokerFunction;var Ge=env._getenv;var He=env.runDestructors;var Ie=env.requireRegisteredType;var Je=env.makeLegalFunctionName;var Ke=env._pthread_key_create;var Le=env.upcastPointer;var Me=env.init_emval;var Ne=env.shallowCopyInternalPointer;var Oe=env.nonConstNoSmartPtrRawPointerToWireType;var Pe=env.__embind_register_value_array;var Qe=env._abort;var Re=env.requireHandle;var Se=env._embind_repr;var Te=env.validateThis;var Ue=env.exposePublicSymbol;var Ve=env.RegisteredPointer_fromWireType;var We=env.___cxa_pure_virtual;var Xe=env.__emval_get_method_caller;var Ye=env._pthread_getspecific;var Ze=env._pthread_cond_wait;var _e=env.___lock;var $e=env.__embind_register_value_array_element;var af=env.__embind_register_memory_view;var bf=env.getInheritedInstance;var cf=env.setDelayFunction;var df=env.___gxx_personality_v0;var ef=env.extendError;var ff=env.___syscall4;var gf=env.__emval_new_array;var hf=env.__embind_register_void;var jf=env.__embind_register_smart_ptr;var kf=env.__embind_register_function;var lf=env._pthread_mutexattr_destroy;var mf=env._strftime_l;var nf=env.RegisteredPointer_getPointee;var of=env.__emval_register;var pf=env.__embind_register_std_wstring;var qf=env.ClassHandle_isAliasOf;var rf=env.__emval_incref;var sf=env.RegisteredPointer;var tf=env.__arraySum;var uf=env.__embind_register_class_class_function;var vf=env._pthread_mutex_destroy;var wf=env.getBasestPointer;var xf=env.getInheritedInstanceCount;var yf=env.__embind_register_float;var zf=env.integerReadValueFromPointer;var Af=env.___unlock;var Bf=env._emscripten_set_main_loop;var Cf=env._pthread_mutexattr_init;var Df=env._pthread_setspecific;var Ef=env.genericPointerToWireType;var Ff=env.registerType;var Gf=env.___cxa_throw;var Hf=env.__emval_new_cstring;var If=env.count_emval_handles;var Jf=env.requireFunction;var Kf=env._atexit;var Lf=env._pthread_mutex_init;var Mf=env.___map_file;var Nf=0.0;function Of(newBuffer){if(q(newBuffer)&16777215||q(newBuffer)<=16777215||q(newBuffer)>2147483648)return false;b=new a(newBuffer);d=new c(newBuffer);f=new e(newBuffer);h=new g(newBuffer);j=new i(newBuffer);l=new k(newBuffer);n=new m(newBuffer);p=new o(newBuffer);buffer=newBuffer;return true}
// EMSCRIPTEN_START_FUNCS
function Ji(a){a=a|0;var b=0;b=u;u=u+a|0;u=u+15&-16;return b|0}function Ki(){return u|0}function Li(a){a=a|0;u=a}function Mi(a,b){a=a|0;b=b|0;u=a;v=b}function Ni(a,b){a=a|0;b=b|0;if(!y){y=a;z=b}}function Oi(a){a=a|0;J=a}function Pi(){return J|0}function Qi(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0;f=Bmc(56)|0;Ri(f,a,b,c,d,e);return f|0}function Ri(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;i=u;u=u+16|0;j=i;f[a>>2]=e&4095|1124007936;f[a+4>>2]=2;k=a+8|0;f[k>>2]=c;f[a+12>>2]=d;f[a+16>>2]=g;f[a+20>>2]=g;l=a+24|0;m=a+28|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[a+40>>2]=k;k=a+48|0;f[a+44>>2]=k;f[a+52>>2]=0;f[k>>2]=0;if((Y(d,c)|0)!=0&(g|0)==0){f[j>>2]=0;f[j+4>>2]=0;n=YG(j,28)|0;o=294548;p=n+28|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));Tr(-215,j,579)}q=e&7;r=(e>>>3&511)+1<<(47696>>>(q<<1)&3);e=Y(r,d)|0;if(!h){s=e;f[k>>2]=s;t=a+52|0;f[t>>2]=r;v=Y(s,c)|0;w=g+v|0;f[m>>2]=w;x=0-s|0;y=w+x|0;z=y+e|0;f[l>>2]=z;hP(a);u=i;return}if(!((h>>>0)%((1212424721>>>(q<<2)&15)>>>0)|0)){s=h;f[k>>2]=s;t=a+52|0;f[t>>2]=r;v=Y(s,c)|0;w=g+v|0;f[m>>2]=w;x=0-s|0;y=w+x|0;z=y+e|0;f[l>>2]=z;hP(a);u=i;return}else{f[j>>2]=0;f[j+4>>2]=0;n=YG(j,31)|0;o=201711;p=n+31|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));Tr(-13,j,592)}}function Si(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=+e;var g=0,h=0,i=0;g=u;u=u+16|0;h=g;i=h+8|0;f[i>>2]=0;f[i+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;IO(a,h,c,d,e);u=g;return}function Ti(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;g=e+8|0;f[g>>2]=0;f[g+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;IO(a,e,c,1.0,0.0);u=d;return}function Ui(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0;e=u;u=u+16|0;g=e;h=g+8|0;f[h>>2]=0;f[h+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;IO(a,g,c,d,0.0);u=e;return}function Vi(a,b){a=a|0;b=b|0;var c=0;c=f[b+40>>2]|0;b=f[c>>2]|0;f[a>>2]=f[c+4>>2];f[a+4>>2]=b;return}function Wi(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+224|0;g=e;pG(g,b,c,d);f[a>>2]=1124007936;d=a+8|0;c=a+40|0;b=a+4|0;h=b+36|0;do{f[b>>2]=0;b=b+4|0}while((b|0)<(h|0));f[c>>2]=d;d=a+48|0;f[a+44>>2]=d;f[d>>2]=0;f[a+52>>2]=0;d=f[g>>2]|0;rh[f[(f[d>>2]|0)+12>>2]&255](d,g,a,-1);Xi(g);u=e;return}function Xi(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+120|0;c=a+156|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+136|0;b=a+124|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+160>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+164>>2]|0;if((b|0)!=(a+168|0))tE(b);b=a+64|0;d=a+100|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+80|0;b=a+68|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+104>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+108>>2]|0;if((b|0)!=(a+112|0))tE(b);b=a+8|0;c=a+44|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+24|0;b=a+12|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+48>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+52>>2]|0;if((b|0)==(a+56|0))return;tE(b);return}function Yi(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+240|0;e=d;g=d+224|0;f[g>>2]=f[b>>2];f[g+4>>2]=f[b+4>>2];rG(e,g,c);f[a>>2]=1124007936;c=a+8|0;g=a+40|0;b=a+4|0;h=b+36|0;do{f[b>>2]=0;b=b+4|0}while((b|0)<(h|0));f[g>>2]=c;c=a+48|0;f[a+44>>2]=c;f[c>>2]=0;f[a+52>>2]=0;c=f[e>>2]|0;rh[f[(f[c>>2]|0)+12>>2]&255](c,e,a,-1);Xi(e);u=d;return}function Zi(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+224|0;g=e;sG(g,b,c,d);f[a>>2]=1124007936;d=a+8|0;c=a+40|0;b=a+4|0;h=b+36|0;do{f[b>>2]=0;b=b+4|0}while((b|0)<(h|0));f[c>>2]=d;d=a+48|0;f[a+44>>2]=d;f[d>>2]=0;f[a+52>>2]=0;d=f[g>>2]|0;rh[f[(f[d>>2]|0)+12>>2]&255](d,g,a,-1);Xi(g);u=e;return}function _i(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+240|0;e=d;g=d+224|0;f[g>>2]=f[b>>2];f[g+4>>2]=f[b+4>>2];tG(e,g,c);f[a>>2]=1124007936;c=a+8|0;g=a+40|0;b=a+4|0;h=b+36|0;do{f[b>>2]=0;b=b+4|0}while((b|0)<(h|0));f[g>>2]=c;c=a+48|0;f[a+44>>2]=c;f[c>>2]=0;f[a+52>>2]=0;c=f[e>>2]|0;rh[f[(f[c>>2]|0)+12>>2]&255](c,e,a,-1);Xi(e);u=d;return}function $i(a,b){a=a|0;b=b|0;var c=0,d=0,e=0.0;c=u;u=u+16|0;d=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=b;e=+HX(a,d);u=c;return +e}function aj(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0;e=u;u=u+240|0;g=e;h=e+224|0;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c;oG(g,b,h,d);f[a>>2]=1124007936;h=a+8|0;b=a+40|0;c=a+4|0;i=c+36|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(i|0));f[b>>2]=h;h=a+48|0;f[a+44>>2]=h;f[h>>2]=0;f[a+52>>2]=0;h=f[g>>2]|0;rh[f[(f[h>>2]|0)+12>>2]&255](h,g,a,-1);Xi(g);u=e;return}function bj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+224|0;d=c;mG(d,b);f[a>>2]=1124007936;b=a+8|0;e=a+40|0;g=a+4|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=b;b=a+48|0;f[a+44>>2]=b;f[b>>2]=0;f[a+52>>2]=0;b=f[d>>2]|0;rh[f[(f[b>>2]|0)+12>>2]&255](b,d,a,-1);Xi(d);u=c;return}function cj(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+224|0;e=d;nG(e,b,c);f[a>>2]=1124007936;c=a+8|0;b=a+40|0;g=a+4|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[b>>2]=c;c=a+48|0;f[a+44>>2]=c;f[c>>2]=0;f[a+52>>2]=0;c=f[e>>2]|0;rh[f[(f[c>>2]|0)+12>>2]&255](c,e,a,-1);Xi(e);u=d;return}function dj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;e=d+8|0;f[e>>2]=0;f[e+4>>2]=0;f[d>>2]=33619968;f[d+4>>2]=b;kT(a,d);u=c;return}function ej(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+32|0;e=d+16|0;g=d;h=e+8|0;f[h>>2]=0;f[h+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=c;mT(a,e,g);u=d;return}function fj(a,b,c){a=a|0;b=b|0;c=c|0;sP(a,b,c);return}function gj(a,b){a=a|0;b=b|0;sP(a,b,0);return}function hj(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[d>>2]=-1056833530;f[d+4>>2]=b;f[d+8>>2]=1;f[d+12>>2]=4;oT(a,d,rE()|0)|0;u=c;return}function ij(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e>>2]=-1056833530;f[e+4>>2]=b;f[e+8>>2]=1;f[e+12>>2]=4;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=c;oT(a,e,g)|0;u=d;return}function jj(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+32|0;d=c;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[d+24>>2]=0;f[d+28>>2]=0;JQ(b,d);b=gf()|0;f[a>>2]=b;Vr(b,169930,d);Vr(b,169930,d+8|0);Vr(b,169930,d+16|0);Vr(b,169930,d+24|0);u=c;return}function kj(a,b){a=a|0;b=b|0;KQ(a,b);return}function lj(a,b){a=a|0;b=b|0;LQ(a,b);return}function mj(a){a=a|0;return a&7|0}function nj(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+32|0;e=d+16|0;g=d;h=a+16|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=b;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=c;QV(e,a,a+8|0,a+16|0,a+24|0,g);u=d;return}function oj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=b;QV(d,a,a+8|0,a+16|0,a+24|0,rE()|0);u=c;return}function pj(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;n[a>>2]=0.0;n[a+4>>2]=0.0;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=b;Qha(d,a,a+8|0);u=c;return}function qj(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+64|0;g=e;h=e+32|0;i=e+16|0;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b;f[g>>2]=f[d>>2];f[g+4>>2]=f[d+4>>2];f[g+8>>2]=f[d+8>>2];f[g+12>>2]=f[d+12>>2];Mxa(h,i,c,g);g=gf()|0;f[a>>2]=g;Wr(g,169930,h);Xr(g,169930,c);u=e;return}function rj(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+32|0;h=g;i=g+16|0;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=c;f[h>>2]=f[e>>2];f[h+4>>2]=f[e+4>>2];f[h+8>>2]=f[e+8>>2];f[h+12>>2]=f[e+12>>2];e=Kxa(i,d,h)|0;i=gf()|0;f[a>>2]=i;if((b[527592]|0)==0?src(527592)|0:0){c=Xe(2,27040)|0;f[134455]=c}c=f[134455]|0;f[h>>2]=e;cd(c|0,i|0,169930,h|0);Xr(f[a>>2]|0,169930,d);u=g;return}function sj(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=f[c+4>>2]|0;e=f[c+8>>2]|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;if(e>>>0>4294967279)Lmc(a);if(e>>>0<11){b[a+11>>0]=e;if(!e){g=a;h=g+e|0;b[h>>0]=0;return}else i=a}else{c=e+16&-16;j=Bmc(c)|0;f[a>>2]=j;f[a+8>>2]=c|-2147483648;f[a+4>>2]=e;i=j}Krc(i|0,d|0,e|0)|0;g=i;h=g+e|0;b[h>>0]=0;return}function tj(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=a+4|0;ZG(d);a=c+11|0;e=b[a>>0]|0;g=e<<24>>24<0?f[c+4>>2]|0:e&255;if(!g)return;e=YG(d,g)|0;Krc(e|0,((b[a>>0]|0)<0?f[c>>2]|0:c)|0,g|0)|0;return}function uj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=b;f[a>>2]=46096;b=f[c+4>>2]|0;f[a+4>>2]=b;f[a+8>>2]=f[c+8>>2];if(b|0){d=b+-4|0;f[d>>2]=(f[d>>2]|0)+1}f[a+12>>2]=f[c+12>>2];d=f[c+16>>2]|0;f[a+16>>2]=d;f[a+20>>2]=f[c+20>>2];if(d|0){b=d+-4|0;f[b>>2]=(f[b>>2]|0)+1}b=f[c+24>>2]|0;f[a+24>>2]=b;f[a+28>>2]=f[c+28>>2];if(b|0){d=b+-4|0;f[d>>2]=(f[d>>2]|0)+1}d=f[c+32>>2]|0;f[a+32>>2]=d;f[a+36>>2]=f[c+36>>2];if(!d){e=a+40|0;g=c+40|0;h=f[g>>2]|0;f[e>>2]=h;return}b=d+-4|0;f[b>>2]=(f[b>>2]|0)+1;e=a+40|0;g=c+40|0;h=f[g>>2]|0;f[e>>2]=h;return}function vj(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=OR()|0;d=f[c>>2]|0;e=f[c+4>>2]|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;if(e>>>0>4294967279)Lmc(a);if(e>>>0<11){b[a+11>>0]=e;if(!e){g=a;h=g+e|0;b[h>>0]=0;return}else i=a}else{c=e+16&-16;j=Bmc(c)|0;f[a>>2]=j;f[a+8>>2]=c|-2147483648;f[a+4>>2]=e;i=j}Krc(i|0,d|0,e|0)|0;g=i;h=g+e|0;b[h>>0]=0;return}function wj(a){a=a|0;var b=0;xj(169935);yj(169945);zj(169957);Aj(169970);Bj(169982);Cj(169992);$d(9264,9352,9368,0,182988,767,182991,0,182991,0,294577,182993,1564);zd(9264,1,27456,182988,768,1);zd(9264,2,27460,183007,420,769);zd(9264,3,27468,183030,247,421);zd(9264,4,27480,183035,46,248);zd(9264,5,27496,184134,92,47);zd(9264,6,27516,184141,70,93);uf(9264,170003,3,27540,183030,249,185);uf(9264,170003,4,27552,183035,48,155);uf(9264,170007,3,27540,183030,249,186);uf(9264,170007,4,27552,183035,48,156);uf(9264,170012,3,27540,183030,249,187);uf(9264,170012,4,27552,183035,48,157);a=Bmc(4)|0;f[a>>2]=8;b=Bmc(4)|0;f[b>>2]=8;Vd(9264,234471,26936,183007,422,a|0,26936,182996,188,b|0);b=Bmc(4)|0;f[b>>2]=12;a=Bmc(4)|0;f[a>>2]=12;Vd(9264,234476,26936,183007,422,b|0,26936,182996,188,a|0);a=Bmc(4)|0;f[a>>2]=963;Vd(9264,170018,8928,183007,423,a|0,0,0,0,0);a=Bmc(4)|0;f[a>>2]=964;Vd(9264,170026,8928,183007,423,a|0,0,0,0,0);a=Bmc(4)|0;f[a>>2]=965;Vd(9264,404893,8928,183007,423,a|0,0,0,0,0);a=Bmc(4)|0;f[a>>2]=966;Vd(9264,170031,8928,183007,423,a|0,0,0,0,0);a=Bmc(4)|0;f[a>>2]=967;Vd(9264,170038,8928,183007,423,a|0,0,0,0,0);a=Bmc(4)|0;f[a>>2]=968;Vd(9264,170046,8928,183007,423,a|0,0,0,0,0);a=Bmc(4)|0;f[a>>2]=969;Vd(9264,170054,8928,183007,423,a|0,0,0,0,0);a=Bmc(4)|0;f[a>>2]=970;Vd(9264,170062,8928,183007,423,a|0,0,0,0,0);a=Bmc(4)|0;f[a>>2]=971;Vd(9264,170070,8928,183007,423,a|0,0,0,0,0);a=Bmc(8)|0;f[a>>2]=770;f[a+4>>2]=0;De(9264,170078,2,27568,183007,424,a|0,0);a=Bmc(8)|0;f[a>>2]=771;f[a+4>>2]=0;De(9264,170087,2,27568,183007,424,a|0,0);a=Bmc(8)|0;f[a>>2]=772;f[a+4>>2]=0;De(9264,170097,2,27576,183007,425,a|0,0);a=Bmc(4)|0;f[a>>2]=1;De(9264,201202,6,27584,184366,1,a|0,0);a=Bmc(4)|0;f[a>>2]=189;De(9264,201202,4,27608,183001,158,a|0,0);a=Bmc(4)|0;f[a>>2]=6;De(9264,201202,5,27624,184374,5,a|0,0);a=Bmc(8)|0;f[a>>2]=773;f[a+4>>2]=0;De(9264,475155,2,27568,183007,424,a|0,0);a=Bmc(8)|0;f[a>>2]=190;f[a+4>>2]=0;De(9264,170106,3,27644,183030,250,a|0,0);a=Bmc(8)|0;f[a>>2]=159;f[a+4>>2]=0;De(9264,472539,5,27656,184381,93,a|0,0);a=Bmc(8)|0;f[a>>2]=191;f[a+4>>2]=0;De(9264,472539,4,27676,183001,160,a|0,0);a=Bmc(8)|0;f[a>>2]=161;f[a+4>>2]=0;De(9264,170110,4,27692,183035,49,a|0,0);a=Bmc(8)|0;f[a>>2]=192;f[a+4>>2]=0;De(9264,170110,3,27708,183030,251,a|0,0);a=Bmc(4)|0;f[a>>2]=972;De(9264,212073,3,27720,182996,193,a|0,0);a=Bmc(4)|0;f[a>>2]=194;De(9264,212073,4,27732,183001,162,a|0,0);a=Bmc(8)|0;f[a>>2]=774;f[a+4>>2]=0;De(9264,390721,2,27576,183007,425,a|0,0);a=Bmc(8)|0;f[a>>2]=775;f[a+4>>2]=0;De(9264,187624,2,27748,183007,426,a|0,0);a=Bmc(8)|0;f[a>>2]=163;f[a+4>>2]=0;De(9264,170119,4,27692,183035,49,a|0,0);a=Bmc(8)|0;f[a>>2]=195;f[a+4>>2]=0;De(9264,170119,3,27708,183030,251,a|0,0);a=Bmc(8)|0;f[a>>2]=427;f[a+4>>2]=0;De(9264,170128,3,27756,183030,252,a|0,0);a=Bmc(8)|0;f[a>>2]=973;f[a+4>>2]=0;De(9264,170134,2,27768,183007,428,a|0,0);a=Bmc(8)|0;f[a>>2]=776;f[a+4>>2]=0;De(9264,289074,2,27576,183007,425,a|0,0);a=Bmc(8)|0;f[a>>2]=196;f[a+4>>2]=0;De(9264,170140,3,27644,183030,250,a|0,0);a=Bmc(4)|0;f[a>>2]=5;De(9264,222142,3,27776,184400,10,a|0,0);a=Bmc(4)|0;f[a>>2]=7;De(9264,170144,4,27788,183379,1,a|0,0);a=Bmc(4)|0;f[a>>2]=197;De(9264,170148,3,27804,183030,253,a|0,0);a=Bmc(4)|0;f[a>>2]=974;De(9264,510674,2,27816,183007,429,a|0,0);a=Bmc(8)|0;f[a>>2]=198;f[a+4>>2]=0;De(9264,234609,3,27824,183030,254,a|0,0);a=Bmc(4)|0;f[a>>2]=199;De(9264,202571,3,27804,183030,253,a|0,0);a=Bmc(4)|0;f[a>>2]=975;De(9264,202571,2,27816,183007,429,a|0,0);a=Bmc(8)|0;f[a>>2]=777;f[a+4>>2]=0;De(9264,187662,2,27748,183007,426,a|0,0);a=Bmc(4)|0;f[a>>2]=976;De(9264,212476,3,27836,182996,200,a|0,0);a=Bmc(4)|0;f[a>>2]=201;De(9264,212476,4,27848,183001,164,a|0,0);a=Bmc(4)|0;f[a>>2]=977;De(9264,463632,2,27864,183007,430,a|0,0);a=Bmc(4)|0;f[a>>2]=202;De(9264,200410,3,27872,183030,255,a|0,0);a=Bmc(4)|0;f[a>>2]=165;De(9264,200410,4,27884,183035,50,a|0,0);a=Bmc(4)|0;f[a>>2]=202;De(9264,170152,3,27872,183030,255,a|0,0);a=Bmc(4)|0;f[a>>2]=165;De(9264,170152,4,27884,183035,50,a|0,0);a=Bmc(4)|0;f[a>>2]=203;De(9264,170161,3,27872,183030,255,a|0,0);a=Bmc(4)|0;f[a>>2]=166;De(9264,170161,4,27884,183035,50,a|0,0);a=Bmc(4)|0;f[a>>2]=204;De(9264,170169,3,27872,183030,255,a|0,0);a=Bmc(4)|0;f[a>>2]=167;De(9264,170169,4,27884,183035,50,a|0,0);a=Bmc(4)|0;f[a>>2]=205;De(9264,170178,3,27872,183030,255,a|0,0);a=Bmc(4)|0;f[a>>2]=168;De(9264,170178,4,27884,183035,50,a|0,0);a=Bmc(4)|0;f[a>>2]=206;De(9264,170188,3,27872,183030,255,a|0,0);a=Bmc(4)|0;f[a>>2]=169;De(9264,170188,4,27884,183035,50,a|0,0);a=Bmc(4)|0;f[a>>2]=207;De(9264,170195,3,27872,183030,255,a|0,0);a=Bmc(4)|0;f[a>>2]=170;De(9264,170195,4,27884,183035,50,a|0,0);a=Bmc(4)|0;f[a>>2]=208;De(9264,170204,3,27872,183030,255,a|0,0);a=Bmc(4)|0;f[a>>2]=171;De(9264,170204,4,27884,183035,50,a|0,0);a=Bmc(8)|0;f[a>>2]=431;f[a+4>>2]=0;De(9264,170214,3,27900,183030,256,a|0,0);a=Bmc(8)|0;f[a>>2]=257;f[a+4>>2]=0;De(9264,170214,4,27912,183035,51,a|0,0);a=Bmc(8)|0;f[a>>2]=52;f[a+4>>2]=0;De(9264,170214,5,27928,184134,94,a|0,0);a=Bmc(8)|0;f[a>>2]=432;f[a+4>>2]=0;De(9264,170221,3,27948,183030,258,a|0,0);a=Bmc(8)|0;f[a>>2]=259;f[a+4>>2]=0;De(9264,170221,4,27960,183035,53,a|0,0);a=Bmc(8)|0;f[a>>2]=54;f[a+4>>2]=0;De(9264,170221,5,27976,184134,95,a|0,0);a=Bmc(8)|0;f[a>>2]=433;f[a+4>>2]=0;De(9264,170229,3,27996,183030,260,a|0,0);a=Bmc(8)|0;f[a>>2]=261;f[a+4>>2]=0;De(9264,170229,4,28008,183035,55,a|0,0);a=Bmc(8)|0;f[a>>2]=56;f[a+4>>2]=0;De(9264,170229,5,28024,184134,96,a|0,0);a=Bmc(8)|0;f[a>>2]=434;f[a+4>>2]=0;De(9264,170237,3,28044,183030,262,a|0,0);a=Bmc(8)|0;f[a>>2]=263;f[a+4>>2]=0;De(9264,170237,4,28056,183035,57,a|0,0);a=Bmc(8)|0;f[a>>2]=58;f[a+4>>2]=0;De(9264,170237,5,28072,184134,97,a|0,0);a=Bmc(8)|0;f[a>>2]=435;f[a+4>>2]=0;De(9264,170246,3,28092,183030,264,a|0,0);a=Bmc(8)|0;f[a>>2]=265;f[a+4>>2]=0;De(9264,170246,4,28104,183035,59,a|0,0);a=Bmc(8)|0;f[a>>2]=60;f[a+4>>2]=0;De(9264,170246,5,28120,184134,98,a|0,0);a=Bmc(8)|0;f[a>>2]=436;f[a+4>>2]=0;De(9264,170252,3,28140,184405,11,a|0,0);a=Bmc(8)|0;f[a>>2]=266;f[a+4>>2]=0;De(9264,170252,4,28152,184410,3,a|0,0);a=Bmc(8)|0;f[a>>2]=61;f[a+4>>2]=0;De(9264,170252,5,28168,184416,1,a|0,0);a=Bmc(8)|0;f[a>>2]=62;f[a+4>>2]=0;De(9264,170260,5,28188,184423,2,a|0,0);a=Bmc(8)|0;f[a>>2]=437;f[a+4>>2]=0;De(9264,170260,3,28208,184400,12,a|0,0);a=Bmc(8)|0;f[a>>2]=267;f[a+4>>2]=0;De(9264,170260,4,28220,184430,4,a|0,0);Ae(9488,170269,234175,2,182993,1565);a=Bmc(4)|0;f[a>>2]=0;b=Bmc(4)|0;f[b>>2]=0;Md(9488,260455,26936,183007,438,a|0,26936,182996,209,b|0);b=Bmc(4)|0;f[b>>2]=4;a=Bmc(4)|0;f[a>>2]=4;Md(9488,460965,26936,183007,438,b|0,26936,182996,209,a|0);Yd(9488);Ae(9496,170275,234175,3,182993,1566);a=Bmc(4)|0;f[a>>2]=0;b=Bmc(4)|0;f[b>>2]=0;Md(9496,390721,26936,183007,439,a|0,26936,182996,210,b|0);b=Bmc(4)|0;f[b>>2]=4;a=Bmc(4)|0;f[a>>2]=4;Md(9496,170288,26936,183007,439,b|0,26936,182996,210,a|0);a=Bmc(4)|0;f[a>>2]=8;b=Bmc(4)|0;f[b>>2]=8;Md(9496,447124,26976,184456,6,a|0,26976,183368,1,b|0);Yd(9496);Ae(9384,170297,234175,4,182993,1567);b=Bmc(4)|0;f[b>>2]=0;a=Bmc(4)|0;f[a>>2]=0;Md(9384,473145,26936,183007,440,b|0,26936,182996,211,a|0);a=Bmc(4)|0;f[a>>2]=4;b=Bmc(4)|0;f[b>>2]=4;Md(9384,473280,26936,183007,440,a|0,26936,182996,211,b|0);Yd(9384);Ae(9504,170297,234175,5,182993,1568);b=Bmc(4)|0;f[b>>2]=0;a=Bmc(4)|0;f[a>>2]=0;Md(9504,473145,26968,184475,7,b|0,26968,183196,2,a|0);a=Bmc(4)|0;f[a>>2]=4;b=Bmc(4)|0;f[b>>2]=4;Md(9504,473280,26968,184475,7,a|0,26968,183196,2,b|0);Yd(9504);Ae(9176,170297,234175,6,182993,1569);b=Bmc(4)|0;f[b>>2]=0;a=Bmc(4)|0;f[a>>2]=0;Md(9176,457694,26936,183007,441,b|0,26936,182996,212,a|0);a=Bmc(4)|0;f[a>>2]=4;b=Bmc(4)|0;f[b>>2]=4;Md(9176,234613,26936,183007,441,a|0,26936,182996,212,b|0);Yd(9176);Ae(8816,170297,234175,7,182993,1570);b=Bmc(4)|0;f[b>>2]=0;a=Bmc(4)|0;f[a>>2]=0;Md(8816,457694,26968,184475,8,b|0,26968,183196,3,a|0);a=Bmc(4)|0;f[a>>2]=4;b=Bmc(4)|0;f[b>>2]=4;Md(8816,234613,26968,184475,8,a|0,26968,183196,3,b|0);Yd(8816);Ae(8832,170303,234175,8,182993,1571);b=Bmc(4)|0;f[b>>2]=0;a=Bmc(4)|0;f[a>>2]=0;Md(8832,457694,26936,183007,442,b|0,26936,182996,213,a|0);a=Bmc(4)|0;f[a>>2]=4;b=Bmc(4)|0;f[b>>2]=4;Md(8832,234613,26936,183007,442,a|0,26936,182996,213,b|0);b=Bmc(4)|0;f[b>>2]=8;a=Bmc(4)|0;f[a>>2]=8;Md(8832,473145,26936,183007,442,b|0,26936,182996,213,a|0);a=Bmc(4)|0;f[a>>2]=12;b=Bmc(4)|0;f[b>>2]=12;Md(8832,473280,26936,183007,442,a|0,26936,182996,213,b|0);Yd(8832);Ae(9512,170308,234175,9,182993,1572);b=Bmc(4)|0;f[b>>2]=0;a=Bmc(4)|0;f[a>>2]=0;Md(9512,457694,26968,184475,9,b|0,26968,183196,4,a|0);a=Bmc(4)|0;f[a>>2]=4;b=Bmc(4)|0;f[b>>2]=4;Md(9512,234613,26968,184475,9,a|0,26968,183196,4,b|0);b=Bmc(4)|0;f[b>>2]=8;a=Bmc(4)|0;f[a>>2]=8;Md(9512,473145,26968,184475,9,b|0,26968,183196,4,a|0);a=Bmc(4)|0;f[a>>2]=12;b=Bmc(4)|0;f[b>>2]=12;Md(9512,473280,26968,184475,9,a|0,26968,183196,4,b|0);Yd(9512);Ae(8824,170315,234175,10,182993,1573);b=Bmc(4)|0;f[b>>2]=0;a=Bmc(4)|0;f[a>>2]=0;Md(8824,170327,8816,183007,443,b|0,8816,182996,214,a|0);a=Bmc(4)|0;f[a>>2]=8;b=Bmc(4)|0;f[b>>2]=8;Md(8824,463632,9504,183007,444,a|0,9504,182996,215,b|0);b=Bmc(4)|0;f[b>>2]=16;a=Bmc(4)|0;f[a>>2]=16;Md(8824,170334,26968,184475,10,b|0,26968,183196,5,a|0);Yd(8824);kf(170340,2,28236,183007,445,978);kf(170358,2,28244,183007,446,979);kf(170382,2,28252,183007,447,980);Pe(9416,170408,234175,11,182993,1574);$e(9416,26976,184456,11,0,26976,183368,6,0);$e(9416,26976,184456,11,1,26976,183368,6,1);$e(9416,26976,184456,11,2,26976,183368,6,2);$e(9416,26976,184456,11,3,26976,183368,6,3);Bd(9416);Ae(9520,170415,234175,12,182993,1575);a=Bmc(4)|0;f[a>>2]=0;b=Bmc(4)|0;f[b>>2]=0;Md(9520,170425,26976,184456,12,a|0,26976,183368,7,b|0);b=Bmc(4)|0;f[b>>2]=8;a=Bmc(4)|0;f[a>>2]=8;Md(9520,170432,26976,184456,12,b|0,26976,183368,7,a|0);a=Bmc(4)|0;f[a>>2]=16;b=Bmc(4)|0;f[b>>2]=16;Md(9520,170439,9176,183007,448,a|0,9176,182996,216,b|0);b=Bmc(4)|0;f[b>>2]=24;a=Bmc(4)|0;f[a>>2]=24;Md(9520,170446,9176,183007,448,b|0,9176,182996,216,a|0);Yd(9520);Ae(9528,170453,234175,13,182993,1576);a=Bmc(4)|0;f[a>>2]=0;b=Bmc(4)|0;f[b>>2]=0;Md(9528,170327,8816,183007,449,a|0,8816,182996,217,b|0);b=Bmc(4)|0;f[b>>2]=8;a=Bmc(4)|0;f[a>>2]=8;Md(9528,170460,26968,184475,13,b|0,26968,183196,8,a|0);Yd(9528);Ae(9536,170467,234175,14,182993,1577);a=Bmc(4)|0;f[a>>2]=0;b=Bmc(4)|0;f[b>>2]=0;Md(9536,170475,26976,184456,14,a|0,26976,183368,9,b|0);b=Bmc(4)|0;f[b>>2]=8;a=Bmc(4)|0;f[a>>2]=8;Md(9536,170479,26976,184456,14,b|0,26976,183368,9,a|0);a=Bmc(4)|0;f[a>>2]=16;b=Bmc(4)|0;f[b>>2]=16;Md(9536,170483,26976,184456,14,a|0,26976,183368,9,b|0);b=Bmc(4)|0;f[b>>2]=24;a=Bmc(4)|0;f[a>>2]=24;Md(9536,170487,26976,184456,14,b|0,26976,183368,9,a|0);a=Bmc(4)|0;f[a>>2]=32;b=Bmc(4)|0;f[b>>2]=32;Md(9536,170491,26976,184456,14,a|0,26976,183368,9,b|0);b=Bmc(4)|0;f[b>>2]=40;a=Bmc(4)|0;f[a>>2]=40;Md(9536,170495,26976,184456,14,b|0,26976,183368,9,a|0);a=Bmc(4)|0;f[a>>2]=48;b=Bmc(4)|0;f[b>>2]=48;Md(9536,170499,26976,184456,14,a|0,26976,183368,9,b|0);b=Bmc(4)|0;f[b>>2]=56;a=Bmc(4)|0;f[a>>2]=56;Md(9536,170503,26976,184456,14,b|0,26976,183368,9,a|0);a=Bmc(4)|0;f[a>>2]=64;b=Bmc(4)|0;f[b>>2]=64;Md(9536,170507,26976,184456,14,a|0,26976,183368,9,b|0);b=Bmc(4)|0;f[b>>2]=72;a=Bmc(4)|0;f[a>>2]=72;Md(9536,170511,26976,184456,14,b|0,26976,183368,9,a|0);a=Bmc(4)|0;f[a>>2]=80;b=Bmc(4)|0;f[b>>2]=80;Md(9536,170515,26976,184456,14,a|0,26976,183368,9,b|0);b=Bmc(4)|0;f[b>>2]=88;a=Bmc(4)|0;f[a>>2]=88;Md(9536,170520,26976,184456,14,b|0,26976,183368,9,a|0);a=Bmc(4)|0;f[a>>2]=96;b=Bmc(4)|0;f[b>>2]=96;Md(9536,170525,26976,184456,14,a|0,26976,183368,9,b|0);b=Bmc(4)|0;f[b>>2]=104;a=Bmc(4)|0;f[a>>2]=104;Md(9536,170530,26976,184456,14,b|0,26976,183368,9,a|0);a=Bmc(4)|0;f[a>>2]=112;b=Bmc(4)|0;f[b>>2]=112;Md(9536,170535,26976,184456,14,a|0,26976,183368,9,b|0);b=Bmc(4)|0;f[b>>2]=120;a=Bmc(4)|0;f[a>>2]=120;Md(9536,170540,26976,184456,14,b|0,26976,183368,9,a|0);a=Bmc(4)|0;f[a>>2]=128;b=Bmc(4)|0;f[b>>2]=128;Md(9536,170545,26976,184456,14,a|0,26976,183368,9,b|0);b=Bmc(4)|0;f[b>>2]=136;a=Bmc(4)|0;f[a>>2]=136;Md(9536,170550,26976,184456,14,b|0,26976,183368,9,a|0);a=Bmc(4)|0;f[a>>2]=144;b=Bmc(4)|0;f[b>>2]=144;Md(9536,170555,26976,184456,14,a|0,26976,183368,9,b|0);b=Bmc(4)|0;f[b>>2]=152;a=Bmc(4)|0;f[a>>2]=152;Md(9536,170560,26976,184456,14,b|0,26976,183368,9,a|0);a=Bmc(4)|0;f[a>>2]=160;b=Bmc(4)|0;f[b>>2]=160;Md(9536,170565,26976,184456,14,a|0,26976,183368,9,b|0);b=Bmc(4)|0;f[b>>2]=168;a=Bmc(4)|0;f[a>>2]=168;Md(9536,170570,26976,184456,14,b|0,26976,183368,9,a|0);a=Bmc(4)|0;f[a>>2]=176;b=Bmc(4)|0;f[b>>2]=176;Md(9536,170575,26976,184456,14,a|0,26976,183368,9,b|0);b=Bmc(4)|0;f[b>>2]=184;a=Bmc(4)|0;f[a>>2]=184;Md(9536,170580,26976,184456,14,b|0,26976,183368,9,a|0);Yd(9536);Ae(10920,170585,234175,15,182993,1578);a=Bmc(4)|0;f[a>>2]=12;b=Bmc(4)|0;f[b>>2]=12;Md(10920,170595,26936,183007,450,a|0,26936,182996,218,b|0);b=Bmc(4)|0;f[b>>2]=981;a=Bmc(4)|0;f[a>>2]=982;Md(10920,170600,9552,183007,451,b|0,9552,182996,219,a|0);Yd(10920);kf(170604,2,28260,183007,452,983);kf(271246,2,28268,183007,453,984);kf(219438,3,28276,183030,268,220);kf(219438,2,28288,183007,454,985);kf(170621,1,28296,182988,778,1579);kf(170650,2,28300,183007,455,779);kf(170663,4,28308,183035,63,172);kf(382394,4,28308,183035,63,173);kf(170672,1,28324,182988,780,1580);Ed(170692,26936,0);Ed(170700,26936,8);Ed(170708,26936,16);Ed(170716,26936,24);Ed(170724,26936,1);Ed(170732,26936,9);Ed(170740,26936,17);Ed(170748,26936,25);Ed(170756,26936,2);Ed(170765,26936,10);Ed(170774,26936,18);Ed(170783,26936,26);Ed(170792,26936,3);Ed(170801,26936,11);Ed(170810,26936,19);Ed(170819,26936,27);Ed(445088,26936,4);Ed(170828,26936,12);Ed(170837,26936,20);Ed(170846,26936,28);Ed(468722,26936,5);Ed(170855,26936,13);Ed(170864,26936,21);Ed(170873,26936,29);Ed(170882,26936,6);Ed(170891,26936,14);Ed(170900,26936,22);Ed(170909,26936,30);Ed(224584,26936,0);Ed(224590,26936,1);Ed(224596,26936,2);Ed(224603,26936,3);Ed(224610,26936,4);Ed(224617,26936,5);Ed(224624,26936,6);Ed(170918,26936,-2147483648);Ed(170926,26936,2147483647);return}function xj(a){a=a|0;$d(8872,8896,8912,0,182988,781,182991,0,182991,0,a|0,182993,1581);zd(8872,1,27048,182988,782,16);a=Bmc(8)|0;f[a>>2]=986;f[a+4>>2]=0;De(8872,182782,3,27052,182996,221,a|0,0);a=Bmc(8)|0;f[a>>2]=222;f[a+4>>2]=0;De(8872,273958,4,27064,183001,174,a|0,0);a=Bmc(8)|0;f[a>>2]=783;f[a+4>>2]=0;De(8872,463632,2,27080,183007,456,a|0,0);a=Bmc(4)|0;f[a>>2]=223;De(8872,399810,3,27088,183030,269,a|0,0);a=Bmc(4)|0;f[a>>2]=270;De(8872,182792,4,27100,183035,64,a|0,0);return}function yj(a){a=a|0;$d(8960,8984,9e3,0,182988,784,182991,0,182991,0,a|0,182993,1582);zd(8960,1,27116,182988,785,17);a=Bmc(8)|0;f[a>>2]=987;f[a+4>>2]=0;De(8960,182782,3,27120,183196,10,a|0,0);a=Bmc(8)|0;f[a>>2]=224;f[a+4>>2]=0;De(8960,273958,4,27132,183201,8,a|0,0);a=Bmc(8)|0;f[a>>2]=786;f[a+4>>2]=0;De(8960,463632,2,27148,183007,457,a|0,0);a=Bmc(4)|0;f[a>>2]=225;De(8960,399810,3,27156,183030,271,a|0,0);a=Bmc(4)|0;f[a>>2]=272;De(8960,182792,4,27168,183207,2,a|0,0);return}function zj(a){a=a|0;$d(9040,9064,9080,0,182988,787,182991,0,182991,0,a|0,182993,1583);zd(9040,1,27184,182988,788,18);a=Bmc(8)|0;f[a>>2]=988;f[a+4>>2]=0;De(9040,182782,3,27188,183368,11,a|0,0);a=Bmc(8)|0;f[a>>2]=226;f[a+4>>2]=0;De(9040,273958,4,27200,183373,9,a|0,0);a=Bmc(8)|0;f[a>>2]=789;f[a+4>>2]=0;De(9040,463632,2,27216,183007,458,a|0,0);a=Bmc(4)|0;f[a>>2]=227;De(9040,399810,3,27224,183030,273,a|0,0);a=Bmc(4)|0;f[a>>2]=274;De(9040,182792,4,27236,183379,3,a|0,0);return}function Aj(a){a=a|0;$d(9120,9144,9160,0,182988,790,182991,0,182991,0,a|0,182993,1584);zd(9120,1,27252,182988,791,19);a=Bmc(8)|0;f[a>>2]=989;f[a+4>>2]=0;De(9120,182782,3,27256,182996,228,a|0,0);a=Bmc(8)|0;f[a>>2]=229;f[a+4>>2]=0;De(9120,273958,4,27268,183001,175,a|0,0);a=Bmc(8)|0;f[a>>2]=792;f[a+4>>2]=0;De(9120,463632,2,27284,183007,459,a|0,0);a=Bmc(4)|0;f[a>>2]=230;De(9120,399810,3,27292,183030,275,a|0,0);a=Bmc(4)|0;f[a>>2]=276;De(9120,182792,4,27304,183035,65,a|0,0);return}function Bj(a){a=a|0;$d(9208,9232,9248,0,182988,793,182991,0,182991,0,a|0,182993,1585);zd(9208,1,27320,182988,794,20);a=Bmc(8)|0;f[a>>2]=990;f[a+4>>2]=0;De(9208,182782,3,27324,182996,231,a|0,0);a=Bmc(8)|0;f[a>>2]=232;f[a+4>>2]=0;De(9208,273958,4,27336,183001,176,a|0,0);a=Bmc(8)|0;f[a>>2]=795;f[a+4>>2]=0;De(9208,463632,2,27352,183007,460,a|0,0);a=Bmc(4)|0;f[a>>2]=233;De(9208,399810,3,27360,183030,277,a|0,0);a=Bmc(4)|0;f[a>>2]=278;De(9208,182792,4,27372,183035,66,a|0,0);return}function Cj(a){a=a|0;$d(9296,9320,9336,0,182988,796,182991,0,182991,0,a|0,182993,1586);zd(9296,1,27388,182988,797,21);a=Bmc(8)|0;f[a>>2]=991;f[a+4>>2]=0;De(9296,182782,3,27392,182996,234,a|0,0);a=Bmc(8)|0;f[a>>2]=235;f[a+4>>2]=0;De(9296,273958,4,27404,183001,177,a|0,0);a=Bmc(8)|0;f[a>>2]=798;f[a+4>>2]=0;De(9296,463632,2,27420,183007,461,a|0,0);a=Bmc(4)|0;f[a>>2]=236;De(9296,399810,3,27428,183030,279,a|0,0);a=Bmc(4)|0;f[a>>2]=280;De(9296,182792,4,27440,183035,67,a|0,0);return}function Dj(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+240|0;e=d;g=d+224|0;f[g>>2]=f[b>>2];f[g+4>>2]=f[b+4>>2];vG(e,g,c);f[a>>2]=1124007936;c=a+8|0;g=a+40|0;b=a+4|0;h=b+36|0;do{f[b>>2]=0;b=b+4|0}while((b|0)<(h|0));f[g>>2]=c;c=a+48|0;f[a+44>>2]=c;f[c>>2]=0;f[a+52>>2]=0;c=f[e>>2]|0;rh[f[(f[c>>2]|0)+12>>2]&255](c,e,a,-1);Xi(e);u=d;return}function Ej(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+224|0;g=e;uG(g,b,c,d);f[a>>2]=1124007936;d=a+8|0;c=a+40|0;b=a+4|0;h=b+36|0;do{f[b>>2]=0;b=b+4|0}while((b|0)<(h|0));f[c>>2]=d;d=a+48|0;f[a+44>>2]=d;f[d>>2]=0;f[a+52>>2]=0;d=f[g>>2]|0;rh[f[(f[d>>2]|0)+12>>2]&255](d,g,a,-1);Xi(g);u=e;return}function Fj(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d;g=gf()|0;f[a>>2]=g;h=c+4|0;if((f[h>>2]|0)<=0){u=d;return}i=c+40|0;c=0;j=g;while(1){g=(f[i>>2]|0)+(c<<2)|0;if((b[527552]|0)==0?src(527552)|0:0){k=Xe(2,27e3)|0;f[134450]=k}k=f[134450]|0;f[e>>2]=f[g>>2];cd(k|0,j|0,169930,e|0);k=c+1|0;if((k|0)>=(f[h>>2]|0))break;c=k;j=f[a>>2]|0}u=d;return}function Gj(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d;g=gf()|0;f[a>>2]=g;h=c+4|0;if((f[h>>2]|0)<=0){u=d;return}i=c+44|0;c=0;j=g;while(1){g=(f[i>>2]|0)+(c<<2)|0;if((b[527560]|0)==0?src(527560)|0:0){k=Xe(2,27008)|0;f[134451]=k}k=f[134451]|0;f[e>>2]=f[g>>2];cd(k|0,j|0,169930,e|0);k=c+1|0;if((k|0)>=(f[h>>2]|0))break;c=k;j=f[a>>2]|0}u=d;return}function Hj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;d=c;e=f[b+4>>2]|0;if((e|0)<3)g=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;else{h=f[b+40>>2]|0;i=0;j=1;while(1){k=Y(f[h+(i<<2)>>2]|0,j)|0;i=i+1|0;if((i|0)==(e|0)){g=k;break}else j=k}}if((e|0)>0)l=f[(f[b+44>>2]|0)+(e+-1<<2)>>2]|0;else l=0;e=Y(l,g)|0;g=f[b+16>>2]|0;f[d>>2]=e;f[d+4>>2]=g;g=ze(9432,d|0)|0;f[a>>2]=g;u=c;return}function Ij(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;d=c;e=f[b+4>>2]|0;if((e|0)<3)g=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;else{h=f[b+40>>2]|0;i=0;j=1;while(1){k=Y(f[h+(i<<2)>>2]|0,j)|0;i=i+1|0;if((i|0)==(e|0)){g=k;break}else j=k}}if((e|0)>0)l=f[(f[b+44>>2]|0)+(e+-1<<2)>>2]|0;else l=0;e=Y(l,g)|0;g=f[b+16>>2]|0;f[d>>2]=e;f[d+4>>2]=g;g=ze(9440,d|0)|0;f[a>>2]=g;u=c;return}function Jj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;d=c;e=f[b+4>>2]|0;if((e|0)<3)g=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;else{h=f[b+40>>2]|0;i=0;j=1;while(1){k=Y(f[h+(i<<2)>>2]|0,j)|0;i=i+1|0;if((i|0)==(e|0)){g=k;break}else j=k}}if((e|0)>0)l=f[(f[b+44>>2]|0)+(e+-1<<2)>>2]|0;else l=0;e=(Y(l,g)|0)>>>1;g=f[b+16>>2]|0;f[d>>2]=e;f[d+4>>2]=g;g=ze(9448,d|0)|0;f[a>>2]=g;u=c;return}function Kj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;d=c;e=f[b+4>>2]|0;if((e|0)<3)g=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;else{h=f[b+40>>2]|0;i=0;j=1;while(1){k=Y(f[h+(i<<2)>>2]|0,j)|0;i=i+1|0;if((i|0)==(e|0)){g=k;break}else j=k}}if((e|0)>0)l=f[(f[b+44>>2]|0)+(e+-1<<2)>>2]|0;else l=0;e=(Y(l,g)|0)>>>1;g=f[b+16>>2]|0;f[d>>2]=e;f[d+4>>2]=g;g=ze(9456,d|0)|0;f[a>>2]=g;u=c;return}function Lj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;d=c;e=f[b+4>>2]|0;if((e|0)<3)g=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;else{h=f[b+40>>2]|0;i=0;j=1;while(1){k=Y(f[h+(i<<2)>>2]|0,j)|0;i=i+1|0;if((i|0)==(e|0)){g=k;break}else j=k}}if((e|0)>0)l=f[(f[b+44>>2]|0)+(e+-1<<2)>>2]|0;else l=0;e=(Y(l,g)|0)>>>2;g=f[b+16>>2]|0;f[d>>2]=e;f[d+4>>2]=g;g=ze(9464,d|0)|0;f[a>>2]=g;u=c;return}function Mj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;d=c;e=f[b+4>>2]|0;if((e|0)<3)g=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;else{h=f[b+40>>2]|0;i=0;j=1;while(1){k=Y(f[h+(i<<2)>>2]|0,j)|0;i=i+1|0;if((i|0)==(e|0)){g=k;break}else j=k}}if((e|0)>0)l=f[(f[b+44>>2]|0)+(e+-1<<2)>>2]|0;else l=0;e=(Y(l,g)|0)>>>2;g=f[b+16>>2]|0;f[d>>2]=e;f[d+4>>2]=g;g=ze(9472,d|0)|0;f[a>>2]=g;u=c;return}function Nj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;d=c;e=f[b+4>>2]|0;if((e|0)<3)g=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;else{h=f[b+40>>2]|0;i=0;j=1;while(1){k=Y(f[h+(i<<2)>>2]|0,j)|0;i=i+1|0;if((i|0)==(e|0)){g=k;break}else j=k}}if((e|0)>0)l=f[(f[b+44>>2]|0)+(e+-1<<2)>>2]|0;else l=0;e=(Y(l,g)|0)>>>3;g=f[b+16>>2]|0;f[d>>2]=e;f[d+4>>2]=g;g=ze(9480,d|0)|0;f[a>>2]=g;u=c;return}function Oj(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;if((b|0)<=0){c=0;return c|0}c=f[(f[a+44>>2]|0)+(b+-1<<2)>>2]|0;return c|0}function Pj(a){a=a|0;return 1212424721>>>(f[a>>2]<<2&28)&15|0}function Qj(a){a=a|0;return ((f[a>>2]|0)>>>3&511)+1|0}function Rj(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;if((b|0)<3){c=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;return c|0}d=f[a+40>>2]|0;a=0;e=1;while(1){g=Y(f[d+(a<<2)>>2]|0,e)|0;a=a+1|0;if((a|0)>=(b|0)){c=g;break}else e=g}return c|0}function Sj(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d+8|0;g=d;f[e>>2]=c;f[e+4>>2]=c+1;f[g>>2]=-2147483648;f[g+4>>2]=2147483647;mP(a,b,e,g);u=d;return}function Tj(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+16|0;g=e;h=d&4095;if(((((f[a+4>>2]|0)<3?(f[a+8>>2]|0)==(b|0):0)?(f[a+12>>2]|0)==(c|0):0)?(f[a>>2]&4095|0)==(h|0):0)?f[a+16>>2]|0:0){u=e;return}f[g>>2]=b;f[g+4>>2]=c;iP(a,2,g,h);u=e;return}function Uj(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;g=f[b+4>>2]|0;h=f[b>>2]|0;b=c&4095;if(((((f[a+4>>2]|0)<3?(f[a+8>>2]|0)==(g|0):0)?(f[a+12>>2]|0)==(h|0):0)?(f[a>>2]&4095|0)==(b|0):0)?f[a+16>>2]|0:0){u=d;return}f[e>>2]=g;f[e+4>>2]=h;iP(a,2,e,b);u=d;return}function Vj(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+16|0;g=e+8|0;h=e;f[g>>2]=c;f[g+4>>2]=d;f[h>>2]=-2147483648;f[h+4>>2]=2147483647;mP(a,b,g,h);u=e;return}function Wj(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[e>>2]=-2147483648;f[e+4>>2]=2147483647;mP(a,b,c,e);u=d;return}function Xj(a){a=a|0;return f[a>>2]&4095|0}function Yj(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;if(!(f[a+16>>2]|0))return 1;b=f[a+4>>2]|0;if((b|0)<3){c=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;d=(c|0)==0;e=(b|0)==0;g=d|e;return g|0}h=f[a+40>>2]|0;a=0;i=1;while(1){j=Y(f[h+(a<<2)>>2]|0,i)|0;a=a+1|0;if((a|0)==(b|0)){c=j;break}else i=j}d=(c|0)==0;e=(b|0)==0;g=d|e;return g|0}function Zj(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+16|0;g=e+8|0;h=e;f[g>>2]=-2147483648;f[g+4>>2]=2147483647;f[h>>2]=c;f[h+4>>2]=d;mP(a,b,g,h);u=e;return}function _j(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[e>>2]=-2147483648;f[e+4>>2]=2147483647;mP(a,b,e,c);u=d;return}function $j(a,b){a=a|0;b=b|0;return ((f[(f[a+44>>2]|0)+(b<<2)>>2]|0)>>>0)/((1212424721>>>(f[a>>2]<<2&28)&15)>>>0)|0|0}function ak(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+16|0;d=c;f[a>>2]=1124007936;e=a+8|0;g=a+40|0;h=a+4|0;i=h+36|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));f[g>>2]=e;e=a+48|0;f[a+44>>2]=e;f[e>>2]=0;f[a+52>>2]=0;e=d+8|0;f[e>>2]=0;f[e+4>>2]=0;f[d>>2]=33619968;f[d+4>>2]=a;kT(b,d);u=c;return}function bk(a){a=a|0;return f[a>>2]&7|0}function ck(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d+8|0;g=d;f[e>>2]=-2147483648;f[e+4>>2]=2147483647;f[g>>2]=c;f[g+4>>2]=c+1;mP(a,b,e,g);u=d;return}function dk(a,b,c){a=a|0;b=b|0;c=c|0;pP(a,b,c);return}function ek(a){a=a|0;return (f[a>>2]&16384|0)!=0|0}function fk(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;g=f[f[b+44>>2]>>2]|0;h=(f[b+16>>2]|0)+(Y(g,c)|0)|0;f[e>>2]=(g>>>0)/((1212424721>>>(f[b>>2]<<2&28)&15)>>>0)|0;f[e+4>>2]=h;h=ze(9432,e|0)|0;f[a>>2]=h;u=d;return}function gk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+16|0;g=e;h=f[b+44>>2]|0;i=f[h+4>>2]|0;j=(f[b+16>>2]|0)+(Y(f[h>>2]|0,c)|0)+(Y(i,d)|0)|0;f[g>>2]=(i>>>0)/((1212424721>>>(f[b>>2]<<2&28)&15)>>>0)|0;f[g+4>>2]=j;j=ze(9432,g|0)|0;f[a>>2]=j;u=e;return}function hk(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;g=f[f[b+44>>2]>>2]|0;h=(f[b+16>>2]|0)+(Y(g,c)|0)|0;f[e>>2]=(g>>>0)/((1212424721>>>(f[b>>2]<<2&28)&15)>>>0)|0;f[e+4>>2]=h;h=ze(9440,e|0)|0;f[a>>2]=h;u=d;return}function ik(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+16|0;g=e;h=f[b+44>>2]|0;i=f[h+4>>2]|0;j=(f[b+16>>2]|0)+(Y(f[h>>2]|0,c)|0)+(Y(i,d)|0)|0;f[g>>2]=(i>>>0)/((1212424721>>>(f[b>>2]<<2&28)&15)>>>0)|0;f[g+4>>2]=j;j=ze(9440,g|0)|0;f[a>>2]=j;u=e;return}function jk(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;g=f[f[b+44>>2]>>2]|0;h=(f[b+16>>2]|0)+(Y(g,c)|0)|0;f[e>>2]=(g>>>0)/((1212424721>>>(f[b>>2]<<2&28)&15)>>>0)|0;f[e+4>>2]=h;h=ze(9456,e|0)|0;f[a>>2]=h;u=d;return}function kk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+16|0;g=e;h=f[b+44>>2]|0;i=f[h+4>>2]|0;j=(f[b+16>>2]|0)+(Y(f[h>>2]|0,c)|0)+(Y(i,d)|0)|0;f[g>>2]=(i>>>0)/((1212424721>>>(f[b>>2]<<2&28)&15)>>>0)|0;f[g+4>>2]=j;j=ze(9456,g|0)|0;f[a>>2]=j;u=e;return}function lk(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;g=f[f[b+44>>2]>>2]|0;h=(f[b+16>>2]|0)+(Y(g,c)|0)|0;f[e>>2]=(g>>>0)/((1212424721>>>(f[b>>2]<<2&28)&15)>>>0)|0;f[e+4>>2]=h;h=ze(9448,e|0)|0;f[a>>2]=h;u=d;return}function mk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+16|0;g=e;h=f[b+44>>2]|0;i=f[h+4>>2]|0;j=(f[b+16>>2]|0)+(Y(f[h>>2]|0,c)|0)+(Y(i,d)|0)|0;f[g>>2]=(i>>>0)/((1212424721>>>(f[b>>2]<<2&28)&15)>>>0)|0;f[g+4>>2]=j;j=ze(9448,g|0)|0;f[a>>2]=j;u=e;return}function nk(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;g=f[f[b+44>>2]>>2]|0;h=(f[b+16>>2]|0)+(Y(g,c)|0)|0;f[e>>2]=(g>>>0)/((1212424721>>>(f[b>>2]<<2&28)&15)>>>0)|0;f[e+4>>2]=h;h=ze(9464,e|0)|0;f[a>>2]=h;u=d;return}function ok(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+16|0;g=e;h=f[b+44>>2]|0;i=f[h+4>>2]|0;j=(f[b+16>>2]|0)+(Y(f[h>>2]|0,c)|0)+(Y(i,d)|0)|0;f[g>>2]=(i>>>0)/((1212424721>>>(f[b>>2]<<2&28)&15)>>>0)|0;f[g+4>>2]=j;j=ze(9464,g|0)|0;f[a>>2]=j;u=e;return}function pk(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;g=f[f[b+44>>2]>>2]|0;h=(f[b+16>>2]|0)+(Y(g,c)|0)|0;f[e>>2]=(g>>>0)/((1212424721>>>(f[b>>2]<<2&28)&15)>>>0)|0;f[e+4>>2]=h;h=ze(9472,e|0)|0;f[a>>2]=h;u=d;return}function qk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+16|0;g=e;h=f[b+44>>2]|0;i=f[h+4>>2]|0;j=(f[b+16>>2]|0)+(Y(f[h>>2]|0,c)|0)+(Y(i,d)|0)|0;f[g>>2]=(i>>>0)/((1212424721>>>(f[b>>2]<<2&28)&15)>>>0)|0;f[g+4>>2]=j;j=ze(9472,g|0)|0;f[a>>2]=j;u=e;return}function rk(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;g=f[f[b+44>>2]>>2]|0;h=(f[b+16>>2]|0)+(Y(g,c)|0)|0;f[e>>2]=(g>>>0)/((1212424721>>>(f[b>>2]<<2&28)&15)>>>0)|0;f[e+4>>2]=h;h=ze(9480,e|0)|0;f[a>>2]=h;u=d;return}function sk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+16|0;g=e;h=f[b+44>>2]|0;i=f[h+4>>2]|0;j=(f[b+16>>2]|0)+(Y(f[h>>2]|0,c)|0)+(Y(i,d)|0)|0;f[g>>2]=(i>>>0)/((1212424721>>>(f[b>>2]<<2&28)&15)>>>0)|0;f[g+4>>2]=j;j=ze(9480,g|0)|0;f[a>>2]=j;u=e;return}function tk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=f[a+16>>2]|0;if((f[a>>2]&16384|0)==0?(d=f[a+40>>2]|0,(f[d>>2]|0)!=1):0){e=f[f[a+44>>2]>>2]|0;if((f[d+4>>2]|0)==1){g=c+(Y(e,b)|0)|0;return g|0}else{d=f[a+12>>2]|0;a=(b|0)/(d|0)|0;g=c+(Y(a,e)|0)+(b-(Y(a,d)|0))|0;return g|0}}g=c+b|0;return g|0}function uk(a,b,c){a=a|0;b=b|0;c=c|0;return (f[a+16>>2]|0)+(Y(f[f[a+44>>2]>>2]|0,b)|0)+c|0}function vk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=f[a+44>>2]|0;g=(f[a+16>>2]|0)+(Y(f[e>>2]|0,b)|0)|0;b=g+(Y(f[e+4>>2]|0,c)|0)|0;return b+(Y(f[e+8>>2]|0,d)|0)|0}function wk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=f[a+16>>2]|0;if((f[a>>2]&16384|0)==0?(d=f[a+40>>2]|0,(f[d>>2]|0)!=1):0){e=f[f[a+44>>2]>>2]|0;if((f[d+4>>2]|0)==1){g=c+(Y(e,b)|0)|0;return g|0}else{d=f[a+12>>2]|0;a=(b|0)/(d|0)|0;g=c+(Y(a,e)|0)+(b-(Y(a,d)|0))|0;return g|0}}g=c+b|0;return g|0}function xk(a,b,c){a=a|0;b=b|0;c=c|0;return (f[a+16>>2]|0)+(Y(f[f[a+44>>2]>>2]|0,b)|0)+c|0}function yk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=f[a+44>>2]|0;g=(f[a+16>>2]|0)+(Y(f[e>>2]|0,b)|0)|0;b=g+(Y(f[e+4>>2]|0,c)|0)|0;return b+(Y(f[e+8>>2]|0,d)|0)|0}function zk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=f[a+16>>2]|0;if((f[a>>2]&16384|0)==0?(d=f[a+40>>2]|0,(f[d>>2]|0)!=1):0){e=f[f[a+44>>2]>>2]|0;if((f[d+4>>2]|0)==1){g=c+(Y(e,b)|0)|0;return g|0}else{d=f[a+12>>2]|0;a=(b|0)/(d|0)|0;g=c+(Y(a,e)|0)+(b-(Y(a,d)|0)<<1)|0;return g|0}}g=c+(b<<1)|0;return g|0}function Ak(a,b,c){a=a|0;b=b|0;c=c|0;return (f[a+16>>2]|0)+(Y(f[f[a+44>>2]>>2]|0,b)|0)+(c<<1)|0}function Bk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=f[a+44>>2]|0;g=(f[a+16>>2]|0)+(Y(f[e>>2]|0,b)|0)|0;b=g+(Y(f[e+4>>2]|0,c)|0)|0;return b+(Y(f[e+8>>2]|0,d)|0)|0}function Ck(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=f[a+16>>2]|0;if((f[a>>2]&16384|0)==0?(d=f[a+40>>2]|0,(f[d>>2]|0)!=1):0){e=f[f[a+44>>2]>>2]|0;if((f[d+4>>2]|0)==1){g=c+(Y(e,b)|0)|0;return g|0}else{d=f[a+12>>2]|0;a=(b|0)/(d|0)|0;g=c+(Y(a,e)|0)+(b-(Y(a,d)|0)<<1)|0;return g|0}}g=c+(b<<1)|0;return g|0}function Dk(a,b,c){a=a|0;b=b|0;c=c|0;return (f[a+16>>2]|0)+(Y(f[f[a+44>>2]>>2]|0,b)|0)+(c<<1)|0}function Ek(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=f[a+44>>2]|0;g=(f[a+16>>2]|0)+(Y(f[e>>2]|0,b)|0)|0;b=g+(Y(f[e+4>>2]|0,c)|0)|0;return b+(Y(f[e+8>>2]|0,d)|0)|0}function Fk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=f[a+16>>2]|0;if((f[a>>2]&16384|0)==0?(d=f[a+40>>2]|0,(f[d>>2]|0)!=1):0){e=f[f[a+44>>2]>>2]|0;if((f[d+4>>2]|0)==1){g=c+(Y(e,b)|0)|0;return g|0}else{d=f[a+12>>2]|0;a=(b|0)/(d|0)|0;g=c+(Y(a,e)|0)+(b-(Y(a,d)|0)<<2)|0;return g|0}}g=c+(b<<2)|0;return g|0}function Gk(a,b,c){a=a|0;b=b|0;c=c|0;return (f[a+16>>2]|0)+(Y(f[f[a+44>>2]>>2]|0,b)|0)+(c<<2)|0}function Hk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=f[a+44>>2]|0;g=(f[a+16>>2]|0)+(Y(f[e>>2]|0,b)|0)|0;b=g+(Y(f[e+4>>2]|0,c)|0)|0;return b+(Y(f[e+8>>2]|0,d)|0)|0}function Ik(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=f[a+16>>2]|0;if((f[a>>2]&16384|0)==0?(d=f[a+40>>2]|0,(f[d>>2]|0)!=1):0){e=f[f[a+44>>2]>>2]|0;if((f[d+4>>2]|0)==1){g=c+(Y(e,b)|0)|0;return g|0}else{d=f[a+12>>2]|0;a=(b|0)/(d|0)|0;g=c+(Y(a,e)|0)+(b-(Y(a,d)|0)<<2)|0;return g|0}}g=c+(b<<2)|0;return g|0}function Jk(a,b,c){a=a|0;b=b|0;c=c|0;return (f[a+16>>2]|0)+(Y(f[f[a+44>>2]>>2]|0,b)|0)+(c<<2)|0}function Kk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=f[a+44>>2]|0;g=(f[a+16>>2]|0)+(Y(f[e>>2]|0,b)|0)|0;b=g+(Y(f[e+4>>2]|0,c)|0)|0;return b+(Y(f[e+8>>2]|0,d)|0)|0}function Lk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=f[a+44>>2]|0;g=(f[a+16>>2]|0)+(Y(f[e>>2]|0,b)|0)|0;b=g+(Y(f[e+4>>2]|0,c)|0)|0;return b+(Y(f[e+8>>2]|0,d)|0)|0}function Mk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=f[a+16>>2]|0;if((f[a>>2]&16384|0)==0?(d=f[a+40>>2]|0,(f[d>>2]|0)!=1):0){e=f[f[a+44>>2]>>2]|0;if((f[d+4>>2]|0)==1){g=c+(Y(e,b)|0)|0;return g|0}else{d=f[a+12>>2]|0;a=(b|0)/(d|0)|0;g=c+(Y(a,e)|0)+(b-(Y(a,d)|0)<<3)|0;return g|0}}g=c+(b<<3)|0;return g|0}function Nk(a,b,c){a=a|0;b=b|0;c=c|0;return (f[a+16>>2]|0)+(Y(f[f[a+44>>2]>>2]|0,b)|0)+(c<<3)|0}function Ok(a){a=a|0;p[a>>3]=1797693134862315708145274.0e284;p[a+8>>3]=1797693134862315708145274.0e284;p[a+16>>3]=1797693134862315708145274.0e284;p[a+24>>3]=1797693134862315708145274.0e284;return}function Pk(a,b,c,d,e,g){a=a|0;b=b|0;c=+c;d=+d;e=e|0;g=g|0;var h=0,i=0,j=0;h=u;u=u+32|0;i=h+16|0;j=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;V7(i,j,c,d,e,g);u=h;return}function Qk(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=+d;e=e|0;var g=0,h=0,i=0;g=u;u=u+32|0;h=g+16|0;i=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;V7(h,i,c,d,e,0);u=g;return}function Rk(a,b,c,d){a=a|0;b=b|0;c=+c;d=+d;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;V7(g,h,c,d,3,0);u=e;return}function Sk(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+48|0;i=h+32|0;j=h+16|0;k=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=b;b=k+8|0;f[b>>2]=0;f[b+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=c;l8(i,j,k,d,e,g);u=h;return}function Tk(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=+e;var g=0,h=0,i=0,j=0;g=u;u=u+48|0;h=g+32|0;i=g+16|0;j=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b;b=j+8|0;f[b>>2]=0;f[b+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=c;l8(h,i,j,d,e,0);u=g;return}function Uk(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+48|0;i=h+24|0;j=h+8|0;k=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;f[k>>2]=f[c>>2];f[k+4>>2]=f[c+4>>2];Yaa(i,j,k,d,e,g);u=h;return}function Vk(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=+e;var g=0,h=0,i=0,j=0;g=u;u=u+48|0;h=g+24|0;i=g+8|0;j=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;f[j>>2]=f[c>>2];f[j+4>>2]=f[c+4>>2];Yaa(h,i,j,d,e,4);u=g;return}function Wk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0;e=u;u=u+48|0;g=e+24|0;h=e+8|0;i=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;f[i>>2]=f[c>>2];f[i+4>>2]=f[c+4>>2];Yaa(g,h,i,d,0.0,4);u=e;return}function Xk(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=+g;h=+h;i=i|0;j=j|0;var k=0,l=0,m=0;k=u;u=u+32|0;l=k+16|0;m=k;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=a;a=m+8|0;f[a>>2]=0;f[a+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=b;H1(l,m,c,d,e,g,h,i,j);u=k;return}function Yk(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=+g;h=+h;i=i|0;var j=0,k=0,l=0;j=u;u=u+32|0;k=j+16|0;l=j;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=a;a=l+8|0;f[a>>2]=0;f[a+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=b;H1(k,l,c,d,e,g,h,i,0);u=j;return}function Zk(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=+g;h=+h;var i=0,j=0,k=0;i=u;u=u+32|0;j=i+16|0;k=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;H1(j,k,c,d,e,g,h,0,0);u=i;return}function _k(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=+g;var h=0,i=0,j=0;h=u;u=u+32|0;i=h+16|0;j=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;H1(i,j,c,d,e,g,100.0,0,0);u=h;return}function $k(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=+e;var g=0,h=0,i=0;g=u;u=u+32|0;h=g+16|0;i=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;H1(h,i,c,d,e,100.0,100.0,0,0);u=g;return}function al(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=+c;d=+d;e=e|0;g=+g;h=+h;i=+i;j=+j;var k=0,l=0,m=0;k=u;u=u+32|0;l=k+16|0;m=k;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=a;a=m+8|0;f[a>>2]=0;f[a+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=b;v1(l,m,c,d,e,g,h,i,j);u=k;return}function bl(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=+c;d=+d;e=e|0;g=+g;h=+h;i=+i;var j=0,k=0,l=0;j=u;u=u+32|0;k=j+16|0;l=j;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=a;a=l+8|0;f[a>>2]=0;f[a+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=b;v1(k,l,c,d,e,g,h,i,3.141592653589793);u=j;return}function cl(a,b,c,d,e,g,h){a=a|0;b=b|0;c=+c;d=+d;e=e|0;g=+g;h=+h;var i=0,j=0,k=0;i=u;u=u+32|0;j=i+16|0;k=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;v1(j,k,c,d,e,g,h,0.0,3.141592653589793);u=i;return}function dl(a,b,c,d,e,g){a=a|0;b=b|0;c=+c;d=+d;e=e|0;g=+g;var h=0,i=0,j=0;h=u;u=u+32|0;i=h+16|0;j=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;v1(i,j,c,d,e,g,0.0,0.0,3.141592653589793);u=h;return}function el(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=+d;e=e|0;var g=0,h=0,i=0;g=u;u=u+32|0;h=g+16|0;i=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;v1(h,i,c,d,e,0.0,0.0,0.0,3.141592653589793);u=g;return}function fl(a,b,c,d,e,g,h){a=a|0;b=b|0;c=+c;d=+d;e=e|0;g=+g;h=+h;var i=0,j=0,k=0;i=u;u=u+32|0;j=i+16|0;k=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;E1(j,k,c,d,e,g,h);u=i;return}function gl(a,b,c,d,e,g){a=a|0;b=b|0;c=+c;d=+d;e=e|0;g=+g;var h=0,i=0,j=0;h=u;u=u+32|0;i=h+16|0;j=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;E1(i,j,c,d,e,g,0.0);u=h;return}function hl(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=+d;e=e|0;var g=0,h=0,i=0;g=u;u=u+32|0;h=g+16|0;i=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;E1(h,i,c,d,e,0.0,0.0);u=g;return}function il(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=+g;h=h|0;var i=0,j=0,k=0;i=u;u=u+32|0;j=i+16|0;k=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;l2(j,k,c,d,e,g,h);u=i;return}function jl(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=+g;var h=0,i=0,j=0;h=u;u=u+32|0;i=h+16|0;j=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;l2(i,j,c,d,e,g,4);u=h;return}function kl(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0;g=u;u=u+32|0;h=g+16|0;i=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;l2(h,i,c,d,e,0.0,4);u=g;return}function ll(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;l2(g,h,c,d,1.0,0.0,4);u=e;return}function ml(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;l2(e,g,c,1,1.0,0.0,4);u=d;return}function nl(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=+h;i=i|0;var j=0,k=0,l=0;j=u;u=u+32|0;k=j+16|0;l=j;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=a;a=l+8|0;f[a>>2]=0;f[a+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=b;k2(k,l,c,d,e,g,h,i);u=j;return}function ol(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=+h;var i=0,j=0,k=0;i=u;u=u+32|0;j=i+16|0;k=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;k2(j,k,c,d,e,g,h,4);u=i;return}function pl(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;var h=0,i=0,j=0;h=u;u=u+32|0;i=h+16|0;j=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;k2(i,j,c,d,e,g,0.0,4);u=h;return}function ql(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+32|0;h=g+16|0;i=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;k2(h,i,c,d,e,1.0,0.0,4);u=g;return}function rl(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=+i;j=j|0;var k=0,l=0,m=0;k=u;u=u+32|0;l=k+16|0;m=k;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=a;a=m+8|0;f[a>>2]=0;f[a+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=b;j2(l,m,c,d,e,g,h,i,j);u=k;return}function sl(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=+i;var j=0,k=0,l=0;j=u;u=u+32|0;k=j+16|0;l=j;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=a;a=l+8|0;f[a>>2]=0;f[a+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=b;j2(k,l,c,d,e,g,h,i,4);u=j;return}function tl(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;var i=0,j=0,k=0;i=u;u=u+32|0;j=i+16|0;k=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;j2(j,k,c,d,e,g,h,0.0,4);u=i;return}function ul(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=u;u=u+32|0;i=h+16|0;j=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;j2(i,j,c,d,e,g,1.0,0.0,4);u=h;return}function vl(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+32|0;h=g+16|0;i=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;j2(h,i,c,d,e,3,1.0,0.0,4);u=g;return}function wl(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;uI(e,g,h);u=d;return}function xl(a,b,c,d,e,g,h){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;g=g|0;h=+h;var i=0,j=0,k=0;i=u;u=u+32|0;j=i+16|0;k=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;eia(j,k,c,d,e,g,h);u=i;return}function yl(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+64|0;h=g+48|0;i=g+32|0;j=g+16|0;k=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b;b=j+8|0;f[b>>2]=0;f[b+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=c;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=d;RH(h,i,j,k,e);u=g;return}function zl(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+64|0;g=e+48|0;h=e+32|0;i=e+16|0;j=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;b=i+8|0;f[b>>2]=0;f[b+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=c;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=d;RH(g,h,i,j,-1);u=e;return}function Al(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;RH(e,g,h,rE()|0,-1);u=d;return}function Bl(a,b,c,d,e,g,h){a=a|0;b=+b;c=c|0;d=+d;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0;i=u;u=u+48|0;j=i+32|0;k=i+16|0;l=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=c;c=l+8|0;f[c>>2]=0;f[c+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=g;fJ(j,b,k,d,e,l,h);u=i;return}function Cl(a,b,c,d,e,g){a=a|0;b=+b;c=c|0;d=+d;e=+e;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+48|0;i=h+32|0;j=h+16|0;k=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=c;c=k+8|0;f[c>>2]=0;f[c+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=g;fJ(i,b,j,d,e,k,-1);u=h;return}function Dl(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;S7(g,h,c,d);u=e;return}function El(a,b){a=a|0;b=b|0;var c=0,d=0,e=0.0;c=u;u=u+16|0;d=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;e=+Tha(d,b);u=c;return +e}function Fl(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=g|0;var h=0,i=0,j=0;h=u;u=u+32|0;i=h+16|0;j=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;uba(i,j,c,d,e,g);u=h;return}function Gl(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=+e;var g=0,h=0,i=0;g=u;u=u+32|0;h=g+16|0;i=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;uba(h,i,c,d,e,4);u=g;return}function Hl(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+64|0;g=e+48|0;h=e+32|0;i=e+16|0;j=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;b=i+8|0;f[b>>2]=0;f[b+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=c;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=d;$G(g,h,i,j);u=e;return}function Il(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;$G(e,g,h,rE()|0);u=d;return}function Jl(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c;jH(e,g,h);u=d;return}function Kl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;jH(d,e,rE()|0);u=c;return}function Ll(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+64|0;g=e+48|0;h=e+32|0;i=e+16|0;j=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;b=i+8|0;f[b>>2]=0;f[b+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=c;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=d;dH(g,h,i,j);u=e;return}function Ml(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;dH(e,g,h,rE()|0);u=d;return}function Nl(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+64|0;g=e+48|0;h=e+32|0;i=e+16|0;j=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;b=i+8|0;f[b>>2]=0;f[b+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=c;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=d;gH(g,h,i,j);u=e;return}function Ol(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;gH(e,g,h,rE()|0);u=d;return}function Pl(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+48|0;h=g+32|0;i=g+16|0;j=g+8|0;k=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;f[j>>2]=f[c>>2];f[j+4>>2]=f[c+4>>2];f[k>>2]=f[d>>2];f[k+4>>2]=f[d+4>>2];Aaa(h,i,j,k,e);u=g;return}function Ql(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+48|0;g=e+32|0;h=e+16|0;i=e+8|0;j=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;f[i>>2]=f[c>>2];f[i+4>>2]=f[c+4>>2];f[j>>2]=f[d>>2];f[j+4>>2]=f[d+4>>2];Aaa(g,h,i,j,4);u=e;return}function Rl(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d+8|0;i=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;f[h>>2]=f[c>>2];f[h+4>>2]=f[c+4>>2];f[i>>2]=-1;f[i+4>>2]=-1;Aaa(e,g,h,i,4);u=d;return}function Sl(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=b;Wha(a,d);u=c;return}function Tl(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;i=u;u=u+48|0;j=i+32|0;k=i+16|0;l=i+8|0;m=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;f[l>>2]=f[d>>2];f[l+4>>2]=f[d+4>>2];f[m>>2]=f[e>>2];f[m+4>>2]=f[e+4>>2];zaa(j,k,c,l,m,g,h);u=i;return}function Ul(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+48|0;i=h+32|0;j=h+16|0;k=h+8|0;l=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;f[k>>2]=f[d>>2];f[k+4>>2]=f[d+4>>2];f[l>>2]=f[e>>2];f[l+4>>2]=f[e+4>>2];zaa(i,j,c,k,l,g,4);u=h;return}function Vl(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+48|0;h=g+32|0;i=g+16|0;j=g+8|0;k=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;f[j>>2]=f[d>>2];f[j+4>>2]=f[d+4>>2];f[k>>2]=f[e>>2];f[k+4>>2]=f[e+4>>2];zaa(h,i,c,j,k,1,4);u=g;return}function Wl(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+48|0;g=e+32|0;h=e+16|0;i=e+8|0;j=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;f[i>>2]=f[d>>2];f[i+4>>2]=f[d+4>>2];f[j>>2]=-1;f[j+4>>2]=-1;zaa(g,h,c,i,j,1,4);u=e;return}function Xl(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=u;u=u+96|0;i=h+72|0;j=h+56|0;k=h+32|0;l=h+40|0;m=h+16|0;n=h+4|0;o=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=17104896;f[i+4>>2]=a;a=f[b>>2]|0;f[k>>2]=a;rf(a|0);Yl(j,k);f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=c;c=m+8|0;f[c>>2]=0;f[c+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=d;d=f[e>>2]|0;f[o>>2]=d;rf(d|0);Zl(n,o);p6(i,j,l,m,n,g);m=f[n>>2]|0;if(m|0){l=n+4|0;n=f[l>>2]|0;if((n|0)!=(m|0))f[l>>2]=n+(~((n+-4-m|0)>>>2)<<2);Emc(m)}Zd(f[o>>2]|0);o=f[j>>2]|0;if(!o){p=f[k>>2]|0;Zd(p|0);u=h;return}m=j+4|0;j=f[m>>2]|0;if((j|0)!=(o|0))f[m>>2]=j+(~((j+-4-o|0)>>>2)<<2);Emc(o);p=f[k>>2]|0;Zd(p|0);u=h;return}function Yl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0.0,k=0,l=0,m=0,n=0;c=u;u=u+16|0;d=c;e=c+8|0;g=f[b>>2]|0;h=Hf(184662)|0;i=ld(g|0,h|0)|0;Zd(h|0);j=+Od(i|0,26944,d|0);fe(f[d>>2]|0);h=~~j>>>0;Zd(i|0);f[a>>2]=0;i=a+4|0;f[i>>2]=0;f[a+8>>2]=0;if(!h){u=c;return}g=a+8|0;k=0;do{l=f[b>>2]|0;f[d>>2]=k;m=ze(26944,d|0)|0;n=ld(l|0,m|0)|0;Zd(m|0);j=+Od(n|0,26936,d|0);fe(f[d>>2]|0);m=~~j;f[e>>2]=m;l=f[i>>2]|0;if(l>>>0<(f[g>>2]|0)>>>0){f[l>>2]=m;f[i>>2]=l+4}else xw(a,e);Zd(n|0);k=k+1|0}while(k>>>0<h>>>0);u=c;return}function Zl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0.0,k=0,l=0,m=0,o=0,p=0.0;c=u;u=u+16|0;d=c;e=c+8|0;g=f[b>>2]|0;h=Hf(184662)|0;i=ld(g|0,h|0)|0;Zd(h|0);j=+Od(i|0,26944,d|0);fe(f[d>>2]|0);h=~~j>>>0;Zd(i|0);f[a>>2]=0;i=a+4|0;f[i>>2]=0;f[a+8>>2]=0;if(!h){u=c;return}g=a+8|0;k=0;do{l=f[b>>2]|0;f[d>>2]=k;m=ze(26944,d|0)|0;o=ld(l|0,m|0)|0;Zd(m|0);j=+Od(o|0,26968,d|0);fe(f[d>>2]|0);p=j;n[e>>2]=p;m=f[i>>2]|0;if(m>>>0<(f[g>>2]|0)>>>0){n[m>>2]=p;f[i>>2]=m+4}else yw(a,e);Zd(o|0);k=k+1|0}while(k>>>0<h>>>0);u=c;return}function _l(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;i=u;u=u+112|0;j=i+88|0;k=i+72|0;l=i+48|0;m=i+56|0;n=i+32|0;o=i+20|0;p=i+4|0;q=i+8|0;r=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=17104896;f[j+4>>2]=a;a=f[b>>2]|0;f[l>>2]=a;rf(a|0);Yl(k,l);f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=c;c=n+8|0;f[c>>2]=0;f[c+4>>2]=0;f[n>>2]=33619968;f[n+4>>2]=d;d=f[e>>2]|0;f[p>>2]=d;rf(d|0);Yl(o,p);d=f[g>>2]|0;f[r>>2]=d;rf(d|0);Zl(q,r);n6(j,k,m,n,o,q,h);h=f[q>>2]|0;if(h|0){n=q+4|0;q=f[n>>2]|0;if((q|0)!=(h|0))f[n>>2]=q+(~((q+-4-h|0)>>>2)<<2);Emc(h)}Zd(f[r>>2]|0);r=f[o>>2]|0;if(r|0){h=o+4|0;o=f[h>>2]|0;if((o|0)!=(r|0))f[h>>2]=o+(~((o+-4-r|0)>>>2)<<2);Emc(r)}Zd(f[p>>2]|0);p=f[k>>2]|0;if(!p){s=f[l>>2]|0;Zd(s|0);u=i;return}r=k+4|0;k=f[r>>2]|0;if((k|0)!=(p|0))f[r>>2]=k+(~((k+-4-p|0)>>>2)<<2);Emc(p);s=f[l>>2]|0;Zd(s|0);u=i;return}function $l(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;h=u;u=u+112|0;i=h+88|0;j=h+72|0;k=h+48|0;l=h+56|0;m=h+32|0;n=h+20|0;o=h+4|0;p=h+8|0;q=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=17104896;f[i+4>>2]=a;a=f[b>>2]|0;f[k>>2]=a;rf(a|0);Yl(j,k);f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=c;c=m+8|0;f[c>>2]=0;f[c+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=d;d=f[e>>2]|0;f[o>>2]=d;rf(d|0);Yl(n,o);d=f[g>>2]|0;f[q>>2]=d;rf(d|0);Zl(p,q);n6(i,j,l,m,n,p,0);m=f[p>>2]|0;if(m|0){l=p+4|0;p=f[l>>2]|0;if((p|0)!=(m|0))f[l>>2]=p+(~((p+-4-m|0)>>>2)<<2);Emc(m)}Zd(f[q>>2]|0);q=f[n>>2]|0;if(q|0){m=n+4|0;n=f[m>>2]|0;if((n|0)!=(q|0))f[m>>2]=n+(~((n+-4-q|0)>>>2)<<2);Emc(q)}Zd(f[o>>2]|0);o=f[j>>2]|0;if(!o){r=f[k>>2]|0;Zd(r|0);u=h;return}q=j+4|0;j=f[q>>2]|0;if((j|0)!=(o|0))f[q>>2]=j+(~((j+-4-o|0)>>>2)<<2);Emc(o);r=f[k>>2]|0;Zd(r|0);u=h;return}function am(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;g=g|0;h=h|0;i=i|0;j=+j;k=k|0;var l=0,m=0,n=0,o=0;l=u;u=u+48|0;m=l+32|0;n=l+16|0;o=l;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=a;f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=b;b=o+8|0;f[b>>2]=0;f[b+4>>2]=0;f[o>>2]=50397184;f[o+4>>2]=c;mxa(m,n,o,d,e,g,h,i,j,k);u=l;return}function bm(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=+l;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;m=u;u=u+128|0;n=m;o=m+104|0;p=m+88|0;q=m+72|0;r=m+56|0;s=m+40|0;t=m+24|0;v=m+16|0;f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=a;f[p+8>>2]=0;f[p+12>>2]=0;f[p>>2]=16842752;f[p+4>>2]=b;f[q+8>>2]=0;f[q+12>>2]=0;f[q>>2]=16842752;f[q+4>>2]=c;c=r+8|0;f[c>>2]=0;f[c+4>>2]=0;f[r>>2]=50397184;f[r+4>>2]=d;d=s+8|0;f[d>>2]=0;f[d+4>>2]=0;f[s>>2]=33619968;f[s+4>>2]=e;e=t+8|0;f[e>>2]=0;f[e+4>>2]=0;f[t>>2]=33619968;f[t+4>>2]=g;f[v>>2]=f[h>>2];f[v+4>>2]=f[h+4>>2];f[n>>2]=f[j>>2];f[n+4>>2]=f[j+4>>2];f[n+8>>2]=f[j+8>>2];f[n+12>>2]=f[j+12>>2];dya(o,p,q,r,s,t,v,i,n,k,l);u=m;return}function cm(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;l=u;u=u+128|0;m=l;n=l+104|0;o=l+88|0;p=l+72|0;q=l+56|0;r=l+40|0;s=l+24|0;t=l+16|0;f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=a;f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=b;f[p+8>>2]=0;f[p+12>>2]=0;f[p>>2]=16842752;f[p+4>>2]=c;c=q+8|0;f[c>>2]=0;f[c+4>>2]=0;f[q>>2]=50397184;f[q+4>>2]=d;d=r+8|0;f[d>>2]=0;f[d+4>>2]=0;f[r>>2]=33619968;f[r+4>>2]=e;e=s+8|0;f[e>>2]=0;f[e+4>>2]=0;f[s>>2]=33619968;f[s+4>>2]=g;f[t>>2]=f[h>>2];f[t+4>>2]=f[h+4>>2];f[m>>2]=f[j>>2];f[m+4>>2]=f[j+4>>2];f[m+8>>2]=f[j+8>>2];f[m+12>>2]=f[j+12>>2];dya(n,o,p,q,r,s,t,i,m,k,.0001);u=l;return}function dm(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;k=u;u=u+128|0;l=k;m=k+104|0;n=k+88|0;o=k+72|0;p=k+56|0;q=k+40|0;r=k+24|0;s=k+16|0;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=a;f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=b;f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=c;c=p+8|0;f[c>>2]=0;f[c+4>>2]=0;f[p>>2]=50397184;f[p+4>>2]=d;d=q+8|0;f[d>>2]=0;f[d+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=e;e=r+8|0;f[e>>2]=0;f[e+4>>2]=0;f[r>>2]=33619968;f[r+4>>2]=g;f[s>>2]=f[h>>2];f[s+4>>2]=f[h+4>>2];f[l>>2]=f[j>>2];f[l+4>>2]=f[j+4>>2];f[l+8>>2]=f[j+8>>2];f[l+12>>2]=f[j+12>>2];dya(m,n,o,p,q,r,s,i,l,0,.0001);u=k;return}function em(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0;j=u;u=u+144|0;k=j+16|0;l=j+120|0;m=j+104|0;n=j+88|0;o=j+72|0;q=j+56|0;r=j+40|0;s=j+32|0;t=j;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=a;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=b;f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=c;c=o+8|0;f[c>>2]=0;f[c+4>>2]=0;f[o>>2]=50397184;f[o+4>>2]=d;d=q+8|0;f[d>>2]=0;f[d+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=e;e=r+8|0;f[e>>2]=0;f[e+4>>2]=0;f[r>>2]=33619968;f[r+4>>2]=g;f[s>>2]=f[h>>2];f[s+4>>2]=f[h+4>>2];f[t>>2]=3;f[t+4>>2]=30;p[t+8>>3]=.01;f[k>>2]=f[t>>2];f[k+4>>2]=f[t+4>>2];f[k+8>>2]=f[t+8>>2];f[k+12>>2]=f[t+12>>2];dya(l,m,n,o,q,r,s,i,k,0,.0001);u=j;return}function fm(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0;i=u;u=u+144|0;j=i+16|0;k=i+120|0;l=i+104|0;m=i+88|0;n=i+72|0;o=i+56|0;q=i+40|0;r=i+32|0;s=i;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=a;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=b;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=c;c=n+8|0;f[c>>2]=0;f[c+4>>2]=0;f[n>>2]=50397184;f[n+4>>2]=d;d=o+8|0;f[d>>2]=0;f[d+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=e;e=q+8|0;f[e>>2]=0;f[e+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=g;f[r>>2]=f[h>>2];f[r+4>>2]=f[h+4>>2];f[s>>2]=3;f[s+4>>2]=30;p[s+8>>3]=.01;f[j>>2]=f[s>>2];f[j+4>>2]=f[s+4>>2];f[j+8>>2]=f[s+8>>2];f[j+12>>2]=f[s+12>>2];dya(k,l,m,n,o,q,r,3,j,0,.0001);u=i;return}function gm(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0;h=u;u=u+144|0;i=h+16|0;j=h+120|0;k=h+104|0;l=h+88|0;m=h+72|0;n=h+56|0;o=h+40|0;q=h+32|0;r=h;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=b;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=c;c=m+8|0;f[c>>2]=0;f[c+4>>2]=0;f[m>>2]=50397184;f[m+4>>2]=d;d=n+8|0;f[d>>2]=0;f[d+4>>2]=0;f[n>>2]=33619968;f[n+4>>2]=e;e=o+8|0;f[e>>2]=0;f[e+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=g;f[q>>2]=21;f[q+4>>2]=21;f[r>>2]=3;f[r+4>>2]=30;p[r+8>>3]=.01;f[i>>2]=f[r>>2];f[i+4>>2]=f[r+4>>2];f[i+8>>2]=f[r+8>>2];f[i+12>>2]=f[r+12>>2];dya(j,k,l,m,n,o,q,3,i,0,.0001);u=h;return}function hm(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+64|0;h=g+48|0;i=g+32|0;j=g+16|0;k=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b;b=j+8|0;f[b>>2]=0;f[b+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=c;c=k+8|0;f[c>>2]=0;f[c+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=d;rS(h,i,j,k,e);u=g;return}function im(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+64|0;g=e+48|0;h=e+32|0;i=e+16|0;j=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;b=i+8|0;f[b>>2]=0;f[b+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=c;c=j+8|0;f[c>>2]=0;f[c+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=d;rS(g,h,i,j,0);u=e;return}function jm(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0;i=u;u=u+32|0;j=i+8|0;k=i;l=j+8|0;f[l>>2]=0;f[l+4>>2]=0;f[j>>2]=50397184;f[j+4>>2]=a;f[k>>2]=f[b>>2];f[k+4>>2]=f[b+4>>2];Fra(j,k,c,d,e,g,h);u=i;return}function km(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+32|0;i=h+8|0;j=h;k=i+8|0;f[k>>2]=0;f[k+4>>2]=0;f[i>>2]=50397184;f[i+4>>2]=a;f[j>>2]=f[b>>2];f[j+4>>2]=f[b+4>>2];Fra(i,j,c,d,e,g,0);u=h;return}function lm(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;g=u;u=u+32|0;h=g+8|0;i=g;j=h+8|0;f[j>>2]=0;f[j+4>>2]=0;f[h>>2]=50397184;f[h+4>>2]=a;f[i>>2]=f[b>>2];f[i+4>>2]=f[b+4>>2];Fra(h,i,c,d,e,8,0);u=g;return}function mm(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+32|0;g=e+8|0;h=e;i=g+8|0;f[i>>2]=0;f[i+4>>2]=0;f[g>>2]=50397184;f[g+4>>2]=a;f[h>>2]=f[b>>2];f[h+4>>2]=f[b+4>>2];Fra(g,h,c,d,1,8,0);u=e;return}function nm(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+48|0;g=e+32|0;h=e+16|0;i=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;b=i+8|0;f[b>>2]=0;f[b+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=c;nJ(g,h,i,d);u=e;return}function om(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0.0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;h=+q6(e,g,c);u=d;return +h}function pm(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;b=Y6(g,h,c,d)|0;u=e;return b|0}function qm(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;b=Y6(e,g,c,4)|0;u=d;return b|0}function rm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;b=Y6(d,e,8,4)|0;u=c;return b|0}function sm(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+64|0;i=h+48|0;j=h+32|0;k=h+16|0;l=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;b=k+8|0;f[b>>2]=0;f[b+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=c;c=l+8|0;f[c>>2]=0;f[c+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=d;d=s7(i,j,k,l,e,g)|0;u=h;return d|0}function tm(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+64|0;h=g+48|0;i=g+32|0;j=g+16|0;k=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;b=j+8|0;f[b>>2]=0;f[b+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=c;c=k+8|0;f[c>>2]=0;f[c+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=d;d=s7(h,i,j,k,e,4)|0;u=g;return d|0}function um(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+64|0;g=e+48|0;h=e+32|0;i=e+16|0;j=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;b=i+8|0;f[b>>2]=0;f[b+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=c;c=j+8|0;f[c>>2]=0;f[c+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=d;d=s7(g,h,i,j,8,4)|0;u=e;return d|0}function vm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0.0;c=u;u=u+16|0;d=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;e=+Uha(d,b);u=c;return +e}function wm(a){a=a|0;var b=0,c=0,d=0.0;b=u;u=u+16|0;c=b;f[c+8>>2]=0;f[c+12>>2]=0;f[c>>2]=16842752;f[c+4>>2]=a;d=+Uha(c,0);u=b;return +d}function xm(a,b,c,d){a=a|0;b=b|0;c=+c;d=+d;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;yQ(g,h,c,d);u=e;return}function ym(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;yQ(e,g,c,0.0);u=d;return}function zm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;yQ(d,e,1.0,0.0);u=c;return}function Am(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;I0(g,h,c,d);u=e;return}function Bm(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;I0(e,g,c,1);u=d;return}function Cm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;I0(d,e,0,1);u=c;return}function Dm(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;V0(e,g,h);u=d;return}function Em(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0;j=u;u=u+32|0;k=j+16|0;l=j;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=a;a=l+8|0;f[a>>2]=0;f[a+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=b;tT(k,l,c,d,e,g,h,i);u=j;return}function Fm(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0;i=u;u=u+64|0;j=i+48|0;k=i+32|0;l=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;f[l+28>>2]=0;tT(j,k,c,d,e,g,h,l);u=i;return}function Gm(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;var h=0,i=0,j=0;h=u;u=u+32|0;i=h+16|0;j=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;jia(i,j,c,d,e,g);u=h;return}function Hm(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0;g=u;u=u+32|0;h=g+16|0;i=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;jia(h,i,c,d,e,4);u=g;return}function Im(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+32|0;h=g+16|0;i=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;gia(h,i,c,d,e);u=g;return}function Jm(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;gia(g,h,c,d,4);u=e;return}function Km(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;gia(e,g,c,3,4);u=d;return}function Lm(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=b;f[c+8>>2]=0;f[c+12>>2]=0;f[c>>2]=16842752;f[c+4>>2]=a;a=PX(c)|0;u=b;return a|0}function Mm(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;g1(g,h,c,d);u=e;return}function Nm(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;g1(e,g,c,0);u=d;return}function Om(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;qpa(g,h,c,d);u=e;return}function Pm(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;qpa(e,g,c,0);u=d;return}function Qm(a){a=a|0;var b=0,c=0,d=0.0;b=u;u=u+16|0;c=b;f[c+8>>2]=0;f[c+12>>2]=0;f[c>>2]=16842752;f[c+4>>2]=a;d=+yU(c);u=b;return +d}function Rm(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;iD(g,h,c,d);u=e;return}function Sm(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;iD(e,g,c,0);u=d;return}function Tm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;iD(d,e,0,0);u=c;return}function Um(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;i=u;u=u+64|0;j=i+40|0;k=i+24|0;l=i+8|0;m=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=c;f[m>>2]=f[d>>2];f[m+4>>2]=f[d+4>>2];mpa(j,k,l,m,e,g,h);u=i;return}function Vm(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+96|0;i=h+72|0;j=h+56|0;k=h+40|0;l=h+32|0;m=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=c;f[l>>2]=f[d>>2];f[l+4>>2]=f[d+4>>2];p[m>>3]=1797693134862315708145274.0e284;p[m+8>>3]=1797693134862315708145274.0e284;p[m+16>>3]=1797693134862315708145274.0e284;p[m+24>>3]=1797693134862315708145274.0e284;mpa(i,j,k,l,e,g,m);u=h;return}function Wm(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+96|0;h=g+72|0;i=g+56|0;j=g+40|0;k=g+32|0;l=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=c;f[k>>2]=f[d>>2];f[k+4>>2]=f[d+4>>2];p[l>>3]=1797693134862315708145274.0e284;p[l+8>>3]=1797693134862315708145274.0e284;p[l+16>>3]=1797693134862315708145274.0e284;p[l+24>>3]=1797693134862315708145274.0e284;mpa(h,i,j,k,e,0,l);u=g;return}function Xm(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+96|0;g=e+72|0;h=e+56|0;i=e+40|0;j=e+32|0;k=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=c;f[j>>2]=f[d>>2];f[j+4>>2]=f[d+4>>2];p[k>>3]=1797693134862315708145274.0e284;p[k+8>>3]=1797693134862315708145274.0e284;p[k+16>>3]=1797693134862315708145274.0e284;p[k+24>>3]=1797693134862315708145274.0e284;mpa(g,h,i,j,1,0,k);u=e;return}function Ym(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+96|0;e=d+72|0;g=d+56|0;h=d+40|0;i=d+32|0;j=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c;f[i>>2]=-1;f[i+4>>2]=-1;p[j>>3]=1797693134862315708145274.0e284;p[j+8>>3]=1797693134862315708145274.0e284;p[j+16>>3]=1797693134862315708145274.0e284;p[j+24>>3]=1797693134862315708145274.0e284;mpa(e,g,h,i,1,0,j);u=d;return}function Zm(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+32|0;h=g+16|0;i=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;wta(h,i,c,d,e);u=g;return}function _m(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;wta(g,h,c,d,5);u=e;return}function $m(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+48|0;i=h+32|0;j=h+16|0;k=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;b=k+8|0;f[b>>2]=0;f[b+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=c;qta(i,j,k,d,e,g);u=h;return}function an(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;g=u;u=u+48|0;h=g+32|0;i=g+16|0;j=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;b=j+8|0;f[b>>2]=0;f[b+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=c;qta(h,i,j,d,e,0);u=g;return}function bn(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;var g=0,h=0,i=0,j=0;g=u;u=u+48|0;h=g+32|0;i=g+16|0;j=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b;b=j+8|0;f[b>>2]=0;f[b+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=c;RI(h,i,j,d,e);u=g;return}function cn(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0;e=u;u=u+48|0;g=e+32|0;h=e+16|0;i=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;b=i+8|0;f[b>>2]=0;f[b+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=c;RI(g,h,i,d,-1);u=e;return}function dn(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;RI(e,g,h,1.0,-1);u=d;return}function en(a,b,c,d){a=+a;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;ZI(a,g,h,d);u=e;return}function fn(a,b,c){a=+a;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=b;b=g+8|0;f[b>>2]=0;f[b+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;ZI(a,e,g,-1);u=d;return}function gn(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0;k=u;u=u+64|0;l=k+40|0;m=k+24|0;n=k+8|0;o=k;p=l+8|0;f[p>>2]=0;f[p+4>>2]=0;f[l>>2]=50397184;f[l+4>>2]=a;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=17104896;f[m+4>>2]=b;f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=h;f[o>>2]=f[j>>2];f[o+4>>2]=f[j+4>>2];Jra(l,m,c,d,e,g,n,i,o);u=k;return}function hn(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0;j=u;u=u+64|0;k=j+40|0;l=j+24|0;m=j+8|0;n=j;o=k+8|0;f[o>>2]=0;f[o+4>>2]=0;f[k>>2]=50397184;f[k+4>>2]=a;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=17104896;f[l+4>>2]=b;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=h;f[n>>2]=0;f[n+4>>2]=0;Jra(k,l,c,d,e,g,m,i,n);u=j;return}function jn(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0;i=u;u=u+64|0;j=i+40|0;k=i+24|0;l=i+8|0;m=i;n=j+8|0;f[n>>2]=0;f[n+4>>2]=0;f[j>>2]=50397184;f[j+4>>2]=a;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=17104896;f[k+4>>2]=b;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=h;f[m>>2]=0;f[m+4>>2]=0;Jra(j,k,c,d,e,g,l,2147483647,m);u=i;return}function kn(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+48|0;i=h+24|0;j=h+8|0;k=h;l=i+8|0;f[l>>2]=0;f[l+4>>2]=0;f[i>>2]=50397184;f[i+4>>2]=a;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=17104896;f[j+4>>2]=b;b=rE()|0;f[k>>2]=0;f[k+4>>2]=0;Jra(i,j,c,d,e,g,b,2147483647,k);u=h;return}function ln(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+48|0;h=g+24|0;i=g+8|0;j=g;k=h+8|0;f[k>>2]=0;f[k+4>>2]=0;f[h>>2]=50397184;f[h+4>>2]=a;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=17104896;f[i+4>>2]=b;b=rE()|0;f[j>>2]=0;f[j+4>>2]=0;Jra(h,i,c,d,e,8,b,2147483647,j);u=g;return}function mn(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+48|0;g=e+24|0;h=e+8|0;i=e;j=g+8|0;f[j>>2]=0;f[j+4>>2]=0;f[g>>2]=50397184;f[g+4>>2]=a;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=17104896;f[h+4>>2]=b;b=rE()|0;f[i>>2]=0;f[i+4>>2]=0;Jra(g,h,c,d,1,8,b,2147483647,i);u=e;return}function nn(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;c=CU(e,g,h)|0;u=d;return c|0}function on(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;b=CU(d,e,rE()|0)|0;u=c;return b|0}function pn(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0;l=u;u=u+32|0;m=l+16|0;n=l+8|0;o=l;p=m+8|0;f[p>>2]=0;f[p+4>>2]=0;f[m>>2]=50397184;f[m+4>>2]=a;f[n>>2]=f[b>>2];f[n+4>>2]=f[b+4>>2];f[o>>2]=f[c>>2];f[o+4>>2]=f[c+4>>2];Gra(m,n,o,d,e,g,h,i,j,k);u=l;return}function qn(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=+g;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0;k=u;u=u+32|0;l=k+16|0;m=k+8|0;n=k;o=l+8|0;f[o>>2]=0;f[o+4>>2]=0;f[l>>2]=50397184;f[l+4>>2]=a;f[m>>2]=f[b>>2];f[m+4>>2]=f[b+4>>2];f[n>>2]=f[c>>2];f[n+4>>2]=f[c+4>>2];Gra(l,m,n,d,e,g,h,i,j,0);u=k;return}function rn(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=+g;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0;j=u;u=u+32|0;k=j+16|0;l=j+8|0;m=j;n=k+8|0;f[n>>2]=0;f[n+4>>2]=0;f[k>>2]=50397184;f[k+4>>2]=a;f[l>>2]=f[b>>2];f[l+4>>2]=f[b+4>>2];f[m>>2]=f[c>>2];f[m+4>>2]=f[c+4>>2];Gra(k,l,m,d,e,g,h,i,8,0);u=j;return}function sn(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=+g;h=h|0;var i=0,j=0,k=0,l=0,m=0;i=u;u=u+32|0;j=i+16|0;k=i+8|0;l=i;m=j+8|0;f[m>>2]=0;f[m+4>>2]=0;f[j>>2]=50397184;f[j+4>>2]=a;f[k>>2]=f[b>>2];f[k+4>>2]=f[b+4>>2];f[l>>2]=f[c>>2];f[l+4>>2]=f[c+4>>2];Gra(j,k,l,d,e,g,h,1,8,0);u=i;return}function tn(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+16|0;h=g;i=h+8|0;f[i>>2]=0;f[i+4>>2]=0;f[h>>2]=50397184;f[h+4>>2]=a;Hra(h,b,c,d,e);u=g;return}function un(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+16|0;g=e;h=g+8|0;f[h>>2]=0;f[h+4>>2]=0;f[g>>2]=50397184;f[g+4>>2]=a;Hra(g,b,c,d,8);u=e;return}function vn(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;g=e+8|0;f[g>>2]=0;f[g+4>>2]=0;f[e>>2]=50397184;f[e+4>>2]=a;Hra(e,b,c,1,8);u=d;return}function wn(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0;i=u;u=u+16|0;j=i+8|0;k=i;f[j>>2]=f[a>>2];f[j+4>>2]=f[a+4>>2];f[k>>2]=f[b>>2];f[k+4>>2]=f[b+4>>2];fra(j,k,c,d,e,g,h);u=i;return}function xn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;r6(d,e);u=c;return}function yn(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;i=u;u=u+64|0;j=i+40|0;k=i+24|0;l=i+8|0;m=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=c;f[m>>2]=f[d>>2];f[m+4>>2]=f[d+4>>2];kpa(j,k,l,m,e,g,h);u=i;return}function zn(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+96|0;i=h+72|0;j=h+56|0;k=h+40|0;l=h+32|0;m=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=c;f[l>>2]=f[d>>2];f[l+4>>2]=f[d+4>>2];p[m>>3]=1797693134862315708145274.0e284;p[m+8>>3]=1797693134862315708145274.0e284;p[m+16>>3]=1797693134862315708145274.0e284;p[m+24>>3]=1797693134862315708145274.0e284;kpa(i,j,k,l,e,g,m);u=h;return}function An(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+96|0;h=g+72|0;i=g+56|0;j=g+40|0;k=g+32|0;l=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=c;f[k>>2]=f[d>>2];f[k+4>>2]=f[d+4>>2];p[l>>3]=1797693134862315708145274.0e284;p[l+8>>3]=1797693134862315708145274.0e284;p[l+16>>3]=1797693134862315708145274.0e284;p[l+24>>3]=1797693134862315708145274.0e284;kpa(h,i,j,k,e,0,l);u=g;return}function Bn(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+96|0;g=e+72|0;h=e+56|0;i=e+40|0;j=e+32|0;k=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=c;f[j>>2]=f[d>>2];f[j+4>>2]=f[d+4>>2];p[k>>3]=1797693134862315708145274.0e284;p[k+8>>3]=1797693134862315708145274.0e284;p[k+16>>3]=1797693134862315708145274.0e284;p[k+24>>3]=1797693134862315708145274.0e284;kpa(g,h,i,j,1,0,k);u=e;return}function Cn(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+96|0;e=d+72|0;g=d+56|0;h=d+40|0;i=d+32|0;j=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c;f[i>>2]=-1;f[i+4>>2]=-1;p[j>>3]=1797693134862315708145274.0e284;p[j+8>>3]=1797693134862315708145274.0e284;p[j+16>>3]=1797693134862315708145274.0e284;p[j+24>>3]=1797693134862315708145274.0e284;kpa(e,g,h,i,1,0,j);u=d;return}function Dn(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c;eya(a,g,h,d);u=e;return}function En(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;var i=0,j=0,k=0;i=u;u=u+32|0;j=i+16|0;k=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=b;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=c;fya(a,j,k,d,e,g,h);u=i;return}function Fn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;tS(d,e);u=c;return}function Gn(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;var i=0,j=0,k=0,l=0,m=0;i=u;u=u+64|0;j=i+40|0;k=i+24|0;l=i+8|0;m=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=d;f[m>>2]=f[e>>2];f[m+4>>2]=f[e+4>>2];yha(j,k,c,l,m,g,h);u=i;return}function Hn(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+64|0;i=h+40|0;j=h+24|0;k=h+8|0;l=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=d;f[l>>2]=f[e>>2];f[l+4>>2]=f[e+4>>2];yha(i,j,c,k,l,g,4);u=h;return}function In(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+64|0;h=g+40|0;i=g+24|0;j=g+8|0;k=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=d;f[k>>2]=f[e>>2];f[k+4>>2]=f[e+4>>2];yha(h,i,c,j,k,0.0,4);u=g;return}function Jn(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+64|0;g=e+40|0;h=e+24|0;i=e+8|0;j=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=d;f[j>>2]=-1;f[j+4>>2]=-1;yha(g,h,c,i,j,0.0,4);u=e;return}function Kn(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+64|0;i=h+40|0;j=h+24|0;k=h+8|0;l=h;m=i+8|0;f[m>>2]=0;f[m+4>>2]=0;f[i>>2]=50397184;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33882112;f[j+4>>2]=b;b=k+8|0;f[b>>2]=0;f[b+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=c;f[l>>2]=f[g>>2];f[l+4>>2]=f[g+4>>2];ria(i,j,k,d,e,l);u=h;return}function Ln(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+64|0;h=g+40|0;i=g+24|0;j=g+8|0;k=g;l=h+8|0;f[l>>2]=0;f[l+4>>2]=0;f[h>>2]=50397184;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33882112;f[i+4>>2]=b;b=j+8|0;f[b>>2]=0;f[b+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=c;f[k>>2]=0;f[k+4>>2]=0;ria(h,i,j,d,e,k);u=g;return}function Mn(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0.0;h=u;u=u+80|0;i=h;j=h+64|0;k=h+48|0;l=h+32|0;m=h+16|0;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=b;b=l+8|0;f[b>>2]=0;f[b+4>>2]=0;f[l>>2]=50397184;f[l+4>>2]=c;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=g;f[i>>2]=f[e>>2];f[i+4>>2]=f[e+4>>2];f[i+8>>2]=f[e+8>>2];f[i+12>>2]=f[e+12>>2];n=+iya(j,k,l,d,i,m);u=h;return +n}function Nn(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0.0;g=u;u=u+80|0;h=g+16|0;i=g+64|0;j=g+48|0;k=g+32|0;l=g;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=b;b=k+8|0;f[b>>2]=0;f[b+4>>2]=0;f[k>>2]=50397184;f[k+4>>2]=c;f[l>>2]=f[e>>2];f[l+4>>2]=f[e+4>>2];f[l+8>>2]=f[e+8>>2];f[l+12>>2]=f[e+12>>2];e=rE()|0;f[h>>2]=f[l>>2];f[h+4>>2]=f[l+4>>2];f[h+8>>2]=f[l+8>>2];f[h+12>>2]=f[l+12>>2];m=+iya(i,j,k,d,h,e);u=g;return +m}function On(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0.0;e=u;u=u+80|0;g=e+16|0;h=e+64|0;i=e+48|0;j=e+32|0;k=e;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b;b=j+8|0;f[b>>2]=0;f[b+4>>2]=0;f[j>>2]=50397184;f[j+4>>2]=c;f[k>>2]=3;f[k+4>>2]=50;p[k+8>>3]=.001;c=rE()|0;f[g>>2]=f[k>>2];f[g+4>>2]=f[k+4>>2];f[g+8>>2]=f[k+8>>2];f[g+12>>2]=f[k+12>>2];l=+iya(h,i,j,d,g,c);u=e;return +l}function Pn(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0.0;d=u;u=u+80|0;e=d+16|0;g=d+64|0;h=d+48|0;i=d+32|0;j=d;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;b=i+8|0;f[b>>2]=0;f[b+4>>2]=0;f[i>>2]=50397184;f[i+4>>2]=c;f[j>>2]=3;f[j+4>>2]=50;p[j+8>>3]=.001;c=rE()|0;f[e>>2]=f[j>>2];f[e+4>>2]=f[j+4>>2];f[e+8>>2]=f[j+8>>2];f[e+12>>2]=f[j+12>>2];k=+iya(g,h,i,2,e,c);u=d;return +k}function Qn(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=b;Vha(a,d);u=c;return}function Rn(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=+g;var h=0,i=0,j=0;h=u;u=u+32|0;i=h+16|0;j=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;w6(i,j,c,d,e,g);u=h;return}function Sn(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;pT(e,g,c);u=d;return}function Tn(a,b,c,d,e,g,h){a=a|0;b=b|0;c=+c;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;i=u;u=u+64|0;j=i+48|0;k=i+32|0;l=i+16|0;m=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=b;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=d;d=m+8|0;f[d>>2]=0;f[d+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=g;UW(j,k,c,l,e,m,h);u=i;return}function Un(a,b,c,d,e,g){a=a|0;b=b|0;c=+c;d=d|0;e=+e;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+64|0;i=h+48|0;j=h+32|0;k=h+16|0;l=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=b;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=d;d=l+8|0;f[d>>2]=0;f[d+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=g;UW(i,j,c,k,e,l,0);u=h;return}function Vn(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=b;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=c;hta(a,e,g);u=d;return}function Wn(a){a=a|0;return kD(a)|0}function Xn(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=b;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=c;gta(a,e,g);u=d;return}function Yn(a,b,c,d){a=a|0;b=b|0;c=+c;d=+d;var e=0,g=0;e=u;u=u+16|0;g=e;f[g>>2]=f[b>>2];f[g+4>>2]=f[b+4>>2];dta(a,g,c,d);u=e;return}function Zn(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+16|0;g=e+8|0;h=e;f[g>>2]=f[c>>2];f[g+4>>2]=f[c+4>>2];f[h>>2]=f[d>>2];f[h+4>>2]=f[d+4>>2];ipa(a,b,g,h);u=e;return}function _n(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d+8|0;g=d;f[e>>2]=f[c>>2];f[e+4>>2]=f[c+4>>2];f[g>>2]=-1;f[g+4>>2]=-1;ipa(a,b,e,g);u=d;return}function $n(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;i=i|0;j=+j;var k=0,l=0,m=0,n=0;k=u;u=u+48|0;l=k+32|0;m=k+16|0;n=k;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=a;a=m+8|0;f[a>>2]=0;f[a+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=b;f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=g;v2(l,m,c,d,e,n,h,i,j);u=k;return}function ao(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0;j=u;u=u+48|0;k=j+32|0;l=j+16|0;m=j;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=a;a=l+8|0;f[a>>2]=0;f[a+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=b;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=g;v2(k,l,c,d,e,m,h,i,.04);u=j;return}function bo(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0;i=u;u=u+48|0;j=i+32|0;k=i+16|0;l=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=g;v2(j,k,c,d,e,l,h,0,.04);u=i;return}function co(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+48|0;i=h+32|0;j=h+16|0;k=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=g;v2(i,j,c,d,e,k,3,0,.04);u=h;return}function eo(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=+e;var g=0,h=0,i=0;g=u;u=u+32|0;h=g+16|0;i=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;v2(h,i,c,d,e,rE()|0,3,0,.04);u=g;return}function fo(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;i=i|0;j=j|0;k=+k;var l=0,m=0,n=0,o=0;l=u;u=u+48|0;m=l+32|0;n=l+16|0;o=l;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=a;a=n+8|0;f[a>>2]=0;f[a+4>>2]=0;f[n>>2]=33619968;f[n+4>>2]=b;f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=g;m2(m,n,c,d,e,o,h,i,j,k);u=l;return}function go(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0;k=u;u=u+48|0;l=k+32|0;m=k+16|0;n=k;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=a;a=m+8|0;f[a>>2]=0;f[a+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=b;f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=g;m2(l,m,c,d,e,n,h,i,j,.04);u=k;return}function ho(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0;j=u;u=u+48|0;k=j+32|0;l=j+16|0;m=j;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=a;a=l+8|0;f[a>>2]=0;f[a+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=b;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=g;m2(k,l,c,d,e,m,h,i,0,.04);u=j;return}function io(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0;i=u;u=u+80|0;j=i+64|0;k=i+48|0;l=i+16|0;m=i+32|0;n=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=50397184;f[k+4>>2]=b;f[l>>2]=f[c>>2];f[l+4>>2]=f[c+4>>2];f[l+8>>2]=f[c+8>>2];f[l+12>>2]=f[c+12>>2];c=m+8|0;f[c>>2]=0;f[c+4>>2]=0;f[m>>2]=50397184;f[m+4>>2]=d;d=n+8|0;f[d>>2]=0;f[d+4>>2]=0;f[n>>2]=50397184;f[n+4>>2]=e;Gha(j,k,l,m,n,g,h);u=i;return}function jo(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+80|0;i=h+64|0;j=h+48|0;k=h+16|0;l=h+32|0;m=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=50397184;f[j+4>>2]=b;f[k>>2]=f[c>>2];f[k+4>>2]=f[c+4>>2];f[k+8>>2]=f[c+8>>2];f[k+12>>2]=f[c+12>>2];c=l+8|0;f[c>>2]=0;f[c+4>>2]=0;f[l>>2]=50397184;f[l+4>>2]=d;d=m+8|0;f[d>>2]=0;f[d+4>>2]=0;f[m>>2]=50397184;f[m+4>>2]=e;Gha(i,j,k,l,m,g,2);u=h;return}function ko(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;vwa(a,b,c,d);return}function lo(a,b,c){a=a|0;b=b|0;c=c|0;vwa(a,b,c,.2);return}function mo(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=17104896;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;NJ(d,e);u=c;return}function no(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+64|0;g=e+48|0;h=e+32|0;i=e+16|0;j=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=c;c=j+8|0;f[c>>2]=0;f[c+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=d;vJ(g,h,i,j);u=e;return}function oo(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;j=u;u=u+112|0;k=j+88|0;l=j+72|0;m=j+56|0;n=j+40|0;o=j+16|0;p=j+24|0;q=j;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=a;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=b;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=c;f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=d;f[o>>2]=f[e>>2];f[o+4>>2]=f[e+4>>2];e=p+8|0;f[e>>2]=0;f[e+4>>2]=0;f[p>>2]=33619968;f[p+4>>2]=h;h=q+8|0;f[h>>2]=0;f[h+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=i;Z0(k,l,m,n,o,g,p,q);u=j;return}function po(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;T6(e,g,c);u=d;return}function qo(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;T6(d,e,-1);u=c;return}function ro(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;g=u;u=u+48|0;h=g+32|0;i=g+16|0;j=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;b=j+8|0;f[b>>2]=0;f[b+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=c;U6(h,i,j,d,e);u=g;return}function so(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+48|0;g=e+32|0;h=e+16|0;i=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;b=i+8|0;f[b>>2]=0;f[b+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=c;U6(g,h,i,d,-1);u=e;return}function to(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;U6(e,g,h,-1,-1);u=d;return}function uo(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0.0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;h=+zU(e,g,c);u=d;return +h}function vo(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0.0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;g=+zU(d,e,0);u=c;return +g}function wo(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=b;f[c+8>>2]=0;f[c+12>>2]=0;f[c>>2]=16842752;f[c+4>>2]=a;a=X0(c)|0;u=b;return a|0}function xo(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0.0;i=u;u=u+64|0;j=i;k=i+48|0;l=i+32|0;m=i+16|0;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=a;a=l+8|0;f[a>>2]=0;f[a+4>>2]=0;f[l>>2]=50397184;f[l+4>>2]=c;c=m+8|0;f[c>>2]=0;f[c+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=h;f[j>>2]=f[d>>2];f[j+4>>2]=f[d+4>>2];f[j+8>>2]=f[d+8>>2];f[j+12>>2]=f[d+12>>2];n=+IG(k,b,l,j,e,g,m);u=i;return +n}function yo(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0.0;h=u;u=u+64|0;i=h+16|0;j=h+48|0;k=h+32|0;l=h;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=50397184;f[k+4>>2]=c;f[l>>2]=f[d>>2];f[l+4>>2]=f[d+4>>2];f[l+8>>2]=f[d+8>>2];f[l+12>>2]=f[d+12>>2];d=rE()|0;f[i>>2]=f[l>>2];f[i+4>>2]=f[l+4>>2];f[i+8>>2]=f[l+8>>2];f[i+12>>2]=f[l+12>>2];m=+IG(j,b,k,i,e,g,d);u=h;return +m}function zo(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;i=u;u=u+32|0;j=i+16|0;k=i+8|0;l=i;m=j+8|0;f[m>>2]=0;f[m+4>>2]=0;f[j>>2]=50397184;f[j+4>>2]=a;f[k>>2]=f[b>>2];f[k+4>>2]=f[b+4>>2];f[l>>2]=f[c>>2];f[l+4>>2]=f[c+4>>2];kra(j,k,l,d,e,g,h);u=i;return}function Ao(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+32|0;i=h+16|0;j=h+8|0;k=h;l=i+8|0;f[l>>2]=0;f[l+4>>2]=0;f[i>>2]=50397184;f[i+4>>2]=a;f[j>>2]=f[b>>2];f[j+4>>2]=f[b+4>>2];f[k>>2]=f[c>>2];f[k+4>>2]=f[c+4>>2];kra(i,j,k,d,e,g,0);u=h;return}function Bo(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+32|0;h=g+16|0;i=g+8|0;j=g;k=h+8|0;f[k>>2]=0;f[k+4>>2]=0;f[h>>2]=50397184;f[h+4>>2]=a;f[i>>2]=f[b>>2];f[i+4>>2]=f[b+4>>2];f[j>>2]=f[c>>2];f[j+4>>2]=f[c+4>>2];kra(h,i,j,d,e,8,0);u=g;return}function Co(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+32|0;g=e+16|0;h=e+8|0;i=e;j=g+8|0;f[j>>2]=0;f[j+4>>2]=0;f[g>>2]=50397184;f[g+4>>2]=a;f[h>>2]=f[b>>2];f[h+4>>2]=f[b+4>>2];f[i>>2]=f[c>>2];f[i+4>>2]=f[c+4>>2];kra(g,h,i,d,1,8,0);u=e;return}function Do(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;uS(d,e);u=c;return}function Eo(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;qS(e,g,h);u=d;return}function Fo(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0.0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;i=+zba(g,h,c,d);u=e;return +i}function Go(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+64|0;h=g+48|0;i=g+32|0;j=g+16|0;k=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b;b=j+8|0;f[b>>2]=0;f[b+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=c;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=e;Bha(h,i,j,d,k);u=g;return}function Ho(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+48|0;g=e+32|0;h=e+16|0;i=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;b=i+8|0;f[b>>2]=0;f[b+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=c;Bha(g,h,i,d,rE()|0);u=e;return}function Io(a,b,c){a=a|0;b=b|0;c=c|0;PH(a,b,c);return}function Jo(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=b;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=c;aS(a,e,g);u=d;return}function Ko(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=b;aS(a,d,rE()|0);u=c;return}function Lo(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+64|0;g=e+48|0;h=e+32|0;i=e+16|0;j=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;b=i+8|0;f[b>>2]=0;f[b+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=c;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=d;cS(g,h,i,j);u=e;return}function Mo(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;cS(e,g,h,rE()|0);u=d;return}function No(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;sba(e,g,c);u=d;return}function Oo(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=17104896;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;nL(d,e);u=c;return}function Po(a,b,c){a=a|0;b=b|0;c=c|0;QH(a,b,c);return}function Qo(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=b;zma(a,d);u=c;return}function Ro(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d+4|0;i=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=17104896;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=50659328;f[g+4>>2]=b;b=f[c>>2]|0;f[i>>2]=b;rf(b|0);Yl(h,i);FG(e,g,h);g=f[h>>2]|0;if(!g){j=f[i>>2]|0;Zd(j|0);u=d;return}e=h+4|0;h=f[e>>2]|0;if((h|0)!=(g|0))f[e>>2]=h+(~((h+-4-g|0)>>>2)<<2);Emc(g);j=f[i>>2]|0;Zd(j|0);u=d;return}function So(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=b;jta(a,e,c);u=d;return}function To(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=b;jta(a,d,0);u=c;return}function Uo(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0;j=u;u=u+64|0;k=j+40|0;l=j+24|0;m=j+8|0;n=j;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=a;a=l+8|0;f[a>>2]=0;f[a+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=b;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=d;f[n>>2]=f[e>>2];f[n+4>>2]=f[e+4>>2];npa(k,l,c,m,n,g,h,i);u=j;return}function Vo(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0;i=u;u=u+96|0;j=i+72|0;k=i+56|0;l=i+40|0;m=i+32|0;n=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=d;f[m>>2]=f[e>>2];f[m+4>>2]=f[e+4>>2];p[n>>3]=1797693134862315708145274.0e284;p[n+8>>3]=1797693134862315708145274.0e284;p[n+16>>3]=1797693134862315708145274.0e284;p[n+24>>3]=1797693134862315708145274.0e284;npa(j,k,c,l,m,g,h,n);u=i;return}function Wo(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+96|0;i=h+72|0;j=h+56|0;k=h+40|0;l=h+32|0;m=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=d;f[l>>2]=f[e>>2];f[l+4>>2]=f[e+4>>2];p[m>>3]=1797693134862315708145274.0e284;p[m+8>>3]=1797693134862315708145274.0e284;p[m+16>>3]=1797693134862315708145274.0e284;p[m+24>>3]=1797693134862315708145274.0e284;npa(i,j,c,k,l,g,0,m);u=h;return}function Xo(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+96|0;h=g+72|0;i=g+56|0;j=g+40|0;k=g+32|0;l=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=d;f[k>>2]=f[e>>2];f[k+4>>2]=f[e+4>>2];p[l>>3]=1797693134862315708145274.0e284;p[l+8>>3]=1797693134862315708145274.0e284;p[l+16>>3]=1797693134862315708145274.0e284;p[l+24>>3]=1797693134862315708145274.0e284;npa(h,i,c,j,k,1,0,l);u=g;return}function Yo(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+96|0;g=e+72|0;h=e+56|0;i=e+40|0;j=e+32|0;k=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=d;f[j>>2]=-1;f[j+4>>2]=-1;p[k>>3]=1797693134862315708145274.0e284;p[k+8>>3]=1797693134862315708145274.0e284;p[k+16>>3]=1797693134862315708145274.0e284;p[k+24>>3]=1797693134862315708145274.0e284;npa(g,h,c,i,j,1,0,k);u=e;return}function Zo(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;var g=0,h=0,i=0,j=0;g=u;u=u+48|0;h=g+32|0;i=g+16|0;j=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b;b=j+8|0;f[b>>2]=0;f[b+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=c;JI(h,i,j,d,e);u=g;return}function _o(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0;e=u;u=u+48|0;g=e+32|0;h=e+16|0;i=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;b=i+8|0;f[b>>2]=0;f[b+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=c;JI(g,h,i,d,-1);u=e;return}function $o(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;JI(e,g,h,1.0,-1);u=d;return}function ap(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0.0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=c;h=+QL(e,b,g);u=d;return +h}function bp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0.0;c=u;u=u+16|0;d=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;e=+QL(d,b,rE()|0);u=c;return +e}function cp(a){a=a|0;var b=0,c=0,d=0.0;b=u;u=u+16|0;c=b;f[c+8>>2]=0;f[c+12>>2]=0;f[c>>2]=16842752;f[c+4>>2]=a;d=+QL(c,4,rE()|0);u=b;return +d}function dp(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0.0;e=u;u=u+48|0;g=e+32|0;h=e+16|0;i=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=d;j=+vM(g,h,c,i);u=e;return +j}function ep(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0.0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;h=+vM(e,g,c,rE()|0);u=d;return +h}function fp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0.0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=b;g=+vM(d,e,4,rE()|0);u=c;return +g}function gp(a,b,c,d,e,g,h){a=a|0;b=b|0;c=+c;d=+d;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0;i=u;u=u+48|0;j=i+32|0;k=i+16|0;l=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=50397184;f[k+4>>2]=b;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=h;HQ(j,k,c,d,e,g,l);u=i;return}function hp(a,b,c,d,e,g){a=a|0;b=b|0;c=+c;d=+d;e=e|0;g=g|0;var h=0,i=0,j=0;h=u;u=u+32|0;i=h+16|0;j=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=50397184;f[j+4>>2]=b;HQ(i,j,c,d,e,g,rE()|0);u=h;return}function ip(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=+d;e=e|0;var g=0,h=0,i=0;g=u;u=u+32|0;h=g+16|0;i=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=50397184;f[i+4>>2]=b;HQ(h,i,c,d,e,-1,rE()|0);u=g;return}function jp(a,b,c,d){a=a|0;b=b|0;c=+c;d=+d;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=50397184;f[h+4>>2]=b;HQ(g,h,c,d,4,-1,rE()|0);u=e;return}function kp(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=50397184;f[g+4>>2]=b;HQ(e,g,c,0.0,4,-1,rE()|0);u=d;return}function lp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=50397184;f[e+4>>2]=b;HQ(d,e,1.0,0.0,4,-1,rE()|0);u=c;return}function mp(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c;iX(e,g,h);u=d;return}function np(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0.0;d=u;u=u+32|0;e=d+8|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;f[g>>2]=f[b>>2];f[g+4>>2]=f[b+4>>2];h=+yma(e,g,c);u=d;return +h}function op(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+64|0;h=g+48|0;i=g+32|0;j=g+16|0;k=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b;b=j+8|0;f[b>>2]=0;f[b+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=c;c=k+8|0;f[c>>2]=0;f[c+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=d;sS(h,i,j,k,e);u=g;return}function pp(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+64|0;g=e+48|0;h=e+32|0;i=e+16|0;j=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;b=i+8|0;f[b>>2]=0;f[b+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=c;c=j+8|0;f[c>>2]=0;f[c+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=d;sS(g,h,i,j,0);u=e;return}function qp(a,b,c){a=a|0;b=+b;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;vS(e,b,g);u=d;return}function rp(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,q=0,r=0,s=0;l=u;u=u+64|0;m=l+48|0;n=l+40|0;o=l+32|0;q=l;r=m+8|0;f[r>>2]=0;f[r+4>>2]=0;f[m>>2]=50397184;f[m+4>>2]=a;f[n>>2]=0;f[n+4>>2]=0;a=c+11|0;r=b[a>>0]|0;s=r<<24>>24<0?f[c+4>>2]|0:r&255;if(s|0){r=YG(n,s)|0;Krc(r|0,((b[a>>0]|0)<0?f[c>>2]|0:c)|0,s|0)|0}f[o>>2]=f[d>>2];f[o+4>>2]=f[d+4>>2];p[q>>3]=+p[h>>3];p[q+8>>3]=+p[h+8>>3];p[q+16>>3]=+p[h+16>>3];p[q+24>>3]=+p[h+24>>3];Ira(m,n,o,e,g,q,i,j,k);ZG(n);u=l;return}function sp(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,q=0,r=0;k=u;u=u+64|0;l=k+48|0;m=k+40|0;n=k+32|0;o=k;q=l+8|0;f[q>>2]=0;f[q+4>>2]=0;f[l>>2]=50397184;f[l+4>>2]=a;f[m>>2]=0;f[m+4>>2]=0;a=c+11|0;q=b[a>>0]|0;r=q<<24>>24<0?f[c+4>>2]|0:q&255;if(r|0){q=YG(m,r)|0;Krc(q|0,((b[a>>0]|0)<0?f[c>>2]|0:c)|0,r|0)|0}f[n>>2]=f[d>>2];f[n+4>>2]=f[d+4>>2];p[o>>3]=+p[h>>3];p[o+8>>3]=+p[h+8>>3];p[o+16>>3]=+p[h+16>>3];p[o+24>>3]=+p[h+24>>3];Ira(l,m,n,e,g,o,i,j,0);ZG(m);u=k;return}function tp(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,q=0;j=u;u=u+64|0;k=j+48|0;l=j+40|0;m=j+32|0;n=j;o=k+8|0;f[o>>2]=0;f[o+4>>2]=0;f[k>>2]=50397184;f[k+4>>2]=a;f[l>>2]=0;f[l+4>>2]=0;a=c+11|0;o=b[a>>0]|0;q=o<<24>>24<0?f[c+4>>2]|0:o&255;if(q|0){o=YG(l,q)|0;Krc(o|0,((b[a>>0]|0)<0?f[c>>2]|0:c)|0,q|0)|0}f[m>>2]=f[d>>2];f[m+4>>2]=f[d+4>>2];p[n>>3]=+p[h>>3];p[n+8>>3]=+p[h+8>>3];p[n+16>>3]=+p[h+16>>3];p[n+24>>3]=+p[h+24>>3];Ira(k,l,m,e,g,n,i,8,0);ZG(l);u=j;return}function up(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0;i=u;u=u+64|0;j=i+48|0;k=i+40|0;l=i+32|0;m=i;n=j+8|0;f[n>>2]=0;f[n+4>>2]=0;f[j>>2]=50397184;f[j+4>>2]=a;f[k>>2]=0;f[k+4>>2]=0;a=c+11|0;n=b[a>>0]|0;o=n<<24>>24<0?f[c+4>>2]|0:n&255;if(o|0){n=YG(k,o)|0;Krc(n|0,((b[a>>0]|0)<0?f[c>>2]|0:c)|0,o|0)|0}f[l>>2]=f[d>>2];f[l+4>>2]=f[d+4>>2];p[m>>3]=+p[h>>3];p[m+8>>3]=+p[h+8>>3];p[m+16>>3]=+p[h+16>>3];p[m+24>>3]=+p[h+24>>3];Ira(j,k,l,e,g,m,1,8,0);ZG(k);u=i;return}function vp(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;i1(g,h,c,d);u=e;return}function wp(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;i1(e,g,c,4);u=d;return}function xp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+48|0;d=c+24|0;e=c+8|0;g=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;f[g>>2]=0;f[g+4>>2]=0;i1(d,e,g,4);u=c;return}function yp(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;p1(g,h,c,d);u=e;return}function zp(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;p1(e,g,c,4);u=d;return}function Ap(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+48|0;d=c+24|0;e=c+8|0;g=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;f[g>>2]=0;f[g+4>>2]=0;p1(d,e,g,4);u=c;return}function Bp(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;i=e+8|0;f[i>>2]=0;f[i+4>>2]=0;f[e>>2]=50397184;f[e+4>>2]=a;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c;ML(e,g,h);u=d;return}function Cp(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;i=e+8|0;f[i>>2]=0;f[i+4>>2]=0;f[e>>2]=50397184;f[e+4>>2]=a;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c;LL(e,g,h);u=d;return}function Dp(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;i=u;u=u+32|0;j=i+16|0;k=i+8|0;l=i;m=j+8|0;f[m>>2]=0;f[m+4>>2]=0;f[j>>2]=50397184;f[j+4>>2]=a;f[k>>2]=f[b>>2];f[k+4>>2]=f[b+4>>2];f[l>>2]=f[c>>2];f[l+4>>2]=f[c+4>>2];Era(j,k,l,d,e,g,h);u=i;return}function Ep(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+32|0;i=h+16|0;j=h+8|0;k=h;l=i+8|0;f[l>>2]=0;f[l+4>>2]=0;f[i>>2]=50397184;f[i+4>>2]=a;f[j>>2]=f[b>>2];f[j+4>>2]=f[b+4>>2];f[k>>2]=f[c>>2];f[k+4>>2]=f[c+4>>2];Era(i,j,k,d,e,g,0);u=h;return}function Fp(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+32|0;h=g+16|0;i=g+8|0;j=g;k=h+8|0;f[k>>2]=0;f[k+4>>2]=0;f[h>>2]=50397184;f[h+4>>2]=a;f[i>>2]=f[b>>2];f[i+4>>2]=f[b+4>>2];f[j>>2]=f[c>>2];f[j+4>>2]=f[c+4>>2];Era(h,i,j,d,e,8,0);u=g;return}function Gp(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+32|0;g=e+16|0;h=e+8|0;i=e;j=g+8|0;f[j>>2]=0;f[j+4>>2]=0;f[g>>2]=50397184;f[g+4>>2]=a;f[h>>2]=f[b>>2];f[h+4>>2]=f[b+4>>2];f[i>>2]=f[c>>2];f[i+4>>2]=f[c+4>>2];Era(g,h,i,d,1,8,0);u=e;return}function Hp(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+32|0;h=g+16|0;i=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;mK(h,i,c,d,e);u=g;return}function Ip(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;mK(g,h,c,d,-1);u=e;return}function Jp(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;i=u;u=u+64|0;j=i+48|0;k=i+32|0;l=i+16|0;m=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=c;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=d;usa(j,k,l,m,e,g,h);u=i;return}function Kp(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+96|0;i=h+80|0;j=h+64|0;k=h+48|0;l=h+32|0;m=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=c;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=d;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;f[m+24>>2]=0;f[m+28>>2]=0;usa(i,j,k,l,e,g,m);u=h;return}function Lp(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+96|0;h=g+80|0;i=g+64|0;j=g+48|0;k=g+32|0;l=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=c;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=d;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;f[l+28>>2]=0;usa(h,i,j,k,e,0,l);u=g;return}function Mp(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e+16|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=d;rT(g,b,c,h);u=e;return}function Np(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+48|0;i=h+24|0;j=h+8|0;k=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;f[k>>2]=f[c>>2];f[k+4>>2]=f[c+4>>2];wma(i,j,k,d,e,g);u=h;return}function Op(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=+e;var g=0,h=0,i=0,j=0;g=u;u=u+48|0;h=g+24|0;i=g+8|0;j=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;f[j>>2]=f[c>>2];f[j+4>>2]=f[c+4>>2];wma(h,i,j,d,e,1);u=g;return}function Pp(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0;e=u;u=u+48|0;g=e+24|0;h=e+8|0;i=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;f[i>>2]=f[c>>2];f[i+4>>2]=f[c+4>>2];wma(g,h,i,d,0.0,1);u=e;return}function Qp(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+24|0;g=d+8|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;f[h>>2]=f[c>>2];f[h+4>>2]=f[c+4>>2];wma(e,g,h,0.0,0.0,1);u=d;return}function Rp(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0;j=u;u=u+80|0;k=j+56|0;l=j+40|0;m=j+24|0;n=j+8|0;o=j;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=a;a=l+8|0;f[a>>2]=0;f[a+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=b;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=d;f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=e;f[o>>2]=f[g>>2];f[o+4>>2]=f[g+4>>2];zha(k,l,c,m,n,o,h,i);u=j;return}function Sp(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;var i=0,j=0,k=0,l=0,m=0,n=0;i=u;u=u+80|0;j=i+56|0;k=i+40|0;l=i+24|0;m=i+8|0;n=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=d;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=e;f[n>>2]=f[g>>2];f[n+4>>2]=f[g+4>>2];zha(j,k,c,l,m,n,h,4);u=i;return}function Tp(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+80|0;i=h+56|0;j=h+40|0;k=h+24|0;l=h+8|0;m=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=d;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=e;f[m>>2]=f[g>>2];f[m+4>>2]=f[g+4>>2];zha(i,j,c,k,l,m,0.0,4);u=h;return}function Up(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+80|0;h=g+56|0;i=g+40|0;j=g+24|0;k=g+8|0;l=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=d;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=e;f[l>>2]=-1;f[l+4>>2]=-1;zha(h,i,c,j,k,l,0.0,4);u=g;return}function Vp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;e=d+8|0;f[e>>2]=0;f[e+4>>2]=0;f[d>>2]=50397184;f[d+4>>2]=a;QJ(d,b);u=c;return}function Wp(a){a=a|0;var b=0,c=0,d=0,e=0;b=u;u=u+48|0;c=b+32|0;d=b;e=c+8|0;f[e>>2]=0;f[e+4>>2]=0;f[c>>2]=50397184;f[c+4>>2]=a;p[d>>3]=1.0;a=d+8|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;QJ(c,d);u=b;return}function Xp(a){a=a|0;KL(a);return}function Yp(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+48|0;g=e+32|0;h=e+16|0;i=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;b=i+8|0;f[b>>2]=0;f[b+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=c;c=IU(g,h,i,d)|0;u=e;return c|0}function Zp(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;c=IU(e,g,h,0)|0;u=d;return c|0}function _p(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0.0;d=u;u=u+32|0;e=d+16|0;g=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;h=+JS(e,g,c);u=d;return +h}function $p(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0.0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;g=+JS(d,e,300);u=c;return +g}function aq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33882112;f[e+4>>2]=b;JJ(d,e);u=c;return}function bq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;DS(d,e);u=c;return}function cq(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+64|0;h=g+48|0;i=g+32|0;j=g+16|0;k=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b;b=j+8|0;f[b>>2]=0;f[b+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=c;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=d;fI(h,i,j,k,e);u=g;return}function dq(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+64|0;g=e+48|0;h=e+32|0;i=e+16|0;j=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;b=i+8|0;f[b>>2]=0;f[b+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=c;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=d;fI(g,h,i,j,-1);u=e;return}function eq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;fI(e,g,h,rE()|0,-1);u=d;return}function fq(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=+d;e=e|0;var g=0,h=0,i=0,j=0.0;g=u;u=u+32|0;h=g+16|0;i=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;j=+_ha(h,i,c,d,e);u=g;return +j}function gq(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=b;RJ(a,d);u=c;return}function hq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=a;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c;VW(e,g,h);u=d;return}function iq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;SJ(d,e);u=c;return}function jq(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+80|0;h=g+64|0;i=g+48|0;j=g+32|0;k=g+16|0;l=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=c;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=d;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=e;e1(h,i,j,k,l);u=g;return}function kq(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+64|0;g=e+48|0;h=e+32|0;i=e+16|0;j=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=c;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=d;e1(g,h,i,j,rE()|0);u=e;return}function lq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=17104896;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=b;PJ(d,e);u=c;return}function mq(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;i=u;u=u+64|0;j=i+40|0;k=i+24|0;l=i+8|0;m=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=c;f[m>>2]=f[d>>2];f[m+4>>2]=f[d+4>>2];Ysa(j,k,l,m,e,g,h);u=i;return}function nq(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+96|0;i=h+72|0;j=h+56|0;k=h+40|0;l=h+32|0;m=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=c;f[l>>2]=f[d>>2];f[l+4>>2]=f[d+4>>2];f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;f[m+24>>2]=0;f[m+28>>2]=0;Ysa(i,j,k,l,e,g,m);u=h;return}function oq(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+96|0;h=g+72|0;i=g+56|0;j=g+40|0;k=g+32|0;l=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=c;f[k>>2]=f[d>>2];f[k+4>>2]=f[d+4>>2];f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;f[l+28>>2]=0;Ysa(h,i,j,k,e,0,l);u=g;return}function pq(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+96|0;g=e+72|0;h=e+56|0;i=e+40|0;j=e+32|0;k=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=c;f[j>>2]=f[d>>2];f[j+4>>2]=f[d+4>>2];f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;f[k+24>>2]=0;f[k+28>>2]=0;Ysa(g,h,i,j,1,0,k);u=e;return}function qq(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;i=u;u=u+64|0;j=i+40|0;k=i+24|0;l=i+8|0;m=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=a;a=k+8|0;f[a>>2]=0;f[a+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=b;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=c;f[m>>2]=f[d>>2];f[m+4>>2]=f[d+4>>2];cta(j,k,l,m,e,g,h);u=i;return}function rq(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+96|0;i=h+72|0;j=h+56|0;k=h+40|0;l=h+32|0;m=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=a;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=b;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=c;f[l>>2]=f[d>>2];f[l+4>>2]=f[d+4>>2];f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;f[m+24>>2]=0;f[m+28>>2]=0;cta(i,j,k,l,e,g,m);u=h;return}function sq(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+96|0;h=g+72|0;i=g+56|0;j=g+40|0;k=g+32|0;l=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=b;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=c;f[k>>2]=f[d>>2];f[k+4>>2]=f[d+4>>2];f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;f[l+28>>2]=0;cta(h,i,j,k,e,0,l);u=g;return}function tq(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+96|0;g=e+72|0;h=e+56|0;i=e+40|0;j=e+32|0;k=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=c;f[j>>2]=f[d>>2];f[j+4>>2]=f[d+4>>2];f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;f[k+24>>2]=0;f[k+28>>2]=0;cta(g,h,i,j,1,0,k);u=e;return}function uq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c+16|0;e=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=a;a=e+8|0;f[a>>2]=0;f[a+4>>2]=0;f[e>>2]=50397184;f[e+4>>2]=b;opa(d,e);u=c;return}function vq(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=b;kAa(a,k,c,d,e,g,h,i);u=j;return}function wq(a,b,c,d,e,g,h){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0;i=u;u=u+16|0;j=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=b;kAa(a,j,c,d,e,g,h,5);u=i;return}function xq(a,b,c,d,e,g){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;g=g|0;var h=0,i=0;h=u;u=u+16|0;i=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b;kAa(a,i,c,d,e,g,0,5);u=h;return}function yq(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;var g=0,h=0;g=u;u=u+16|0;h=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;kAa(a,h,c,d,e,0,0,5);u=g;return}function zq(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;var e=0,g=0,h=0;e=u;u=u+48|0;g=e+32|0;h=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[h+28>>2]=0;kAa(a,g,c,d,h,0,0,5);u=e;return}function Aq(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,g=0,h=0;d=u;u=u+64|0;e=d+40|0;g=d+32|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=b;f[g>>2]=0;f[g+4>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[h+28>>2]=0;kAa(a,e,c,g,h,0,0,5);u=d;return}function Bq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+64|0;d=c+40|0;e=c+32|0;g=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=b;f[e>>2]=0;f[e+4>>2]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;kAa(a,d,1.0,e,g,0,0,5);u=c;return}function Cq(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+16|0;g=e+8|0;h=e;f[g>>2]=0;f[g+4>>2]=0;i=c+11|0;j=b[i>>0]|0;k=j<<24>>24<0?f[c+4>>2]|0:j&255;if(k|0){j=YG(g,k)|0;Krc(j|0,((b[i>>0]|0)<0?f[c>>2]|0:c)|0,k|0)|0}f[h>>2]=0;f[h+4>>2]=0;k=d+11|0;c=b[k>>0]|0;i=c<<24>>24<0?f[d+4>>2]|0:c&255;if(!i){LEa(a,g,h);ZG(h);ZG(g);u=e;return}c=YG(h,i)|0;Krc(c|0,((b[k>>0]|0)<0?f[d>>2]|0:d)|0,i|0)|0;LEa(a,g,h);ZG(h);ZG(g);u=e;return}function Dq(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+16|0;e=d+8|0;g=d;f[e>>2]=0;f[e+4>>2]=0;h=c+11|0;i=b[h>>0]|0;j=i<<24>>24<0?f[c+4>>2]|0:i&255;if(j|0){i=YG(e,j)|0;Krc(i|0,((b[h>>0]|0)<0?f[c>>2]|0:c)|0,j|0)|0}f[g>>2]=0;f[g+4>>2]=0;LEa(a,e,g);ZG(g);ZG(e);u=d;return}function Eq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+32|0;e=d+20|0;g=d+4|0;h=d+8|0;i=d;j=f[b>>2]|0;f[g>>2]=j;rf(j|0);Fq(e,g);j=f[c>>2]|0;f[i>>2]=j;rf(j|0);Fq(h,i);ZEa(a,e,h);a=f[h>>2]|0;if(a|0){j=h+4|0;if((f[j>>2]|0)!=(a|0))f[j>>2]=a;Emc(a)}Zd(f[i>>2]|0);i=f[e>>2]|0;if(!i){k=f[g>>2]|0;Zd(k|0);u=d;return}a=e+4|0;if((f[a>>2]|0)!=(i|0))f[a>>2]=i;Emc(i);k=f[g>>2]|0;Zd(k|0);u=d;return}function Fq(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0.0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;d=u;u=u+16|0;e=d;g=f[c>>2]|0;h=Hf(184662)|0;i=ld(g|0,h|0)|0;Zd(h|0);j=+Od(i|0,26944,e|0);fe(f[e>>2]|0);h=~~j>>>0;Zd(i|0);f[a>>2]=0;i=a+4|0;f[i>>2]=0;f[a+8>>2]=0;if(!h){u=d;return}g=a+8|0;k=0;while(1){l=f[c>>2]|0;f[e>>2]=k;m=ze(26944,e|0)|0;n=ld(l|0,m|0)|0;Zd(m|0);j=+Od(n|0,26904,e|0);fe(f[e>>2]|0);m=~~j&255;l=f[i>>2]|0;o=f[g>>2]|0;p=o;if(l>>>0>=o>>>0){o=f[a>>2]|0;q=l-o|0;r=q+1|0;s=o;if((r|0)<0){t=7;break}v=p-o|0;p=v<<1;w=v>>>0<1073741823?(p>>>0<r>>>0?r:p):2147483647;if(!w)x=0;else x=Bmc(w)|0;p=x+q|0;b[p>>0]=m;r=p+(0-q)|0;if((q|0)>0)Krc(r|0,s|0,q|0)|0;f[a>>2]=r;f[i>>2]=p+1;f[g>>2]=x+w;if(o|0)Emc(s)}else{b[l>>0]=m;f[i>>2]=(f[i>>2]|0)+1}Zd(n|0);k=k+1|0;if(k>>>0>=h>>>0){t=3;break}}if((t|0)==3){u=d;return}else if((t|0)==7)Ukc(a)}function Gq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+32|0;d=c+16|0;e=c;g=c+4|0;h=f[b>>2]|0;f[e>>2]=h;rf(h|0);Fq(d,e);f[g>>2]=0;h=g+4|0;f[h>>2]=0;f[g+8>>2]=0;ZEa(a,d,g);a=f[g>>2]|0;if(a|0){if((f[h>>2]|0)!=(a|0))f[h>>2]=a;Emc(a)}a=f[d>>2]|0;if(!a){i=f[e>>2]|0;Zd(i|0);u=c;return}h=d+4|0;if((f[h>>2]|0)!=(a|0))f[h>>2]=a;Emc(a);i=f[e>>2]|0;Zd(i|0);u=c;return}function Hq(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+16|0;g=e+8|0;h=e;f[g>>2]=0;f[g+4>>2]=0;i=c+11|0;j=b[i>>0]|0;k=j<<24>>24<0?f[c+4>>2]|0:j&255;if(k|0){j=YG(g,k)|0;Krc(j|0,((b[i>>0]|0)<0?f[c>>2]|0:c)|0,k|0)|0}f[h>>2]=0;f[h+4>>2]=0;k=d+11|0;c=b[k>>0]|0;i=c<<24>>24<0?f[d+4>>2]|0:c&255;if(!i){_ya(a,g,h);ZG(h);ZG(g);u=e;return}c=YG(h,i)|0;Krc(c|0,((b[k>>0]|0)<0?f[d>>2]|0:d)|0,i|0)|0;_ya(a,g,h);ZG(h);ZG(g);u=e;return}function Iq(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+16|0;e=d+8|0;g=d;f[e>>2]=0;f[e+4>>2]=0;h=c+11|0;i=b[h>>0]|0;j=i<<24>>24<0?f[c+4>>2]|0:i&255;if(j|0){i=YG(e,j)|0;Krc(i|0,((b[h>>0]|0)<0?f[c>>2]|0:c)|0,j|0)|0}f[g>>2]=0;f[g+4>>2]=0;_ya(a,e,g);ZG(g);ZG(e);u=d;return}function Jq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+32|0;e=d+20|0;g=d+4|0;h=d+8|0;i=d;j=f[b>>2]|0;f[g>>2]=j;rf(j|0);Fq(e,g);j=f[c>>2]|0;f[i>>2]=j;rf(j|0);Fq(h,i);Mza(a,e,h);a=f[h>>2]|0;if(a|0){j=h+4|0;if((f[j>>2]|0)!=(a|0))f[j>>2]=a;Emc(a)}Zd(f[i>>2]|0);i=f[e>>2]|0;if(!i){k=f[g>>2]|0;Zd(k|0);u=d;return}a=e+4|0;if((f[a>>2]|0)!=(i|0))f[a>>2]=i;Emc(i);k=f[g>>2]|0;Zd(k|0);u=d;return}function Kq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+32|0;d=c+16|0;e=c;g=c+4|0;h=f[b>>2]|0;f[e>>2]=h;rf(h|0);Fq(d,e);f[g>>2]=0;h=g+4|0;f[h>>2]=0;f[g+8>>2]=0;Mza(a,d,g);a=f[g>>2]|0;if(a|0){if((f[h>>2]|0)!=(a|0))f[h>>2]=a;Emc(a)}a=f[d>>2]|0;if(!a){i=f[e>>2]|0;Zd(i|0);u=c;return}h=d+4|0;if((f[h>>2]|0)!=(a|0))f[h>>2]=a;Emc(a);i=f[e>>2]|0;Zd(i|0);u=c;return}function Lq(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+16|0;g=e+8|0;h=e;f[g>>2]=0;f[g+4>>2]=0;i=c+11|0;j=b[i>>0]|0;k=j<<24>>24<0?f[c+4>>2]|0:j&255;if(k|0){j=YG(g,k)|0;Krc(j|0,((b[i>>0]|0)<0?f[c>>2]|0:c)|0,k|0)|0}f[h>>2]=0;f[h+4>>2]=0;k=d+11|0;c=b[k>>0]|0;i=c<<24>>24<0?f[d+4>>2]|0:c&255;if(!i){BCa(a,g,h);ZG(h);ZG(g);u=e;return}c=YG(h,i)|0;Krc(c|0,((b[k>>0]|0)<0?f[d>>2]|0:d)|0,i|0)|0;BCa(a,g,h);ZG(h);ZG(g);u=e;return}function Mq(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+16|0;e=d+8|0;g=d;f[e>>2]=0;f[e+4>>2]=0;h=c+11|0;i=b[h>>0]|0;j=i<<24>>24<0?f[c+4>>2]|0:i&255;if(j|0){i=YG(e,j)|0;Krc(i|0,((b[h>>0]|0)<0?f[c>>2]|0:c)|0,j|0)|0}f[g>>2]=0;f[g+4>>2]=0;BCa(a,e,g);ZG(g);ZG(e);u=d;return}function Nq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+32|0;e=d+20|0;g=d+4|0;h=d+8|0;i=d;j=f[b>>2]|0;f[g>>2]=j;rf(j|0);Fq(e,g);j=f[c>>2]|0;f[i>>2]=j;rf(j|0);Fq(h,i);TDa(a,e,h);a=f[h>>2]|0;if(a|0){j=h+4|0;if((f[j>>2]|0)!=(a|0))f[j>>2]=a;Emc(a)}Zd(f[i>>2]|0);i=f[e>>2]|0;if(!i){k=f[g>>2]|0;Zd(k|0);u=d;return}a=e+4|0;if((f[a>>2]|0)!=(i|0))f[a>>2]=i;Emc(i);k=f[g>>2]|0;Zd(k|0);u=d;return}function Oq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+32|0;d=c+16|0;e=c;g=c+4|0;h=f[b>>2]|0;f[e>>2]=h;rf(h|0);Fq(d,e);f[g>>2]=0;h=g+4|0;f[h>>2]=0;f[g+8>>2]=0;TDa(a,d,g);a=f[g>>2]|0;if(a|0){if((f[h>>2]|0)!=(a|0))f[h>>2]=a;Emc(a)}a=f[d>>2]|0;if(!a){i=f[e>>2]|0;Zd(i|0);u=c;return}h=d+4|0;if((f[h>>2]|0)!=(a|0))f[h>>2]=a;Emc(a);i=f[e>>2]|0;Zd(i|0);u=c;return}function Pq(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+16|0;g=e;f[g>>2]=0;f[g+4>>2]=0;h=c+11|0;i=b[h>>0]|0;j=i<<24>>24<0?f[c+4>>2]|0:i&255;if(j|0){i=YG(g,j)|0;Krc(i|0,((b[h>>0]|0)<0?f[c>>2]|0:c)|0,j|0)|0}FEa(a,g,d);ZG(g);u=e;return}function Qq(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+16|0;e=d;f[e>>2]=0;f[e+4>>2]=0;g=c+11|0;h=b[g>>0]|0;i=h<<24>>24<0?f[c+4>>2]|0:h&255;if(i|0){h=YG(e,i)|0;Krc(h|0,((b[g>>0]|0)<0?f[c>>2]|0:c)|0,i|0)|0}FEa(a,e,1);ZG(e);u=d;return}function Rq(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e+8|0;h=e;i=f[(f[a>>2]|0)+20>>2]|0;f[g>>2]=0;f[g+4>>2]=0;j=c+11|0;k=b[j>>0]|0;l=k<<24>>24<0?f[c+4>>2]|0:k&255;if(l|0){k=YG(g,l)|0;Krc(k|0,((b[j>>0]|0)<0?f[c>>2]|0:c)|0,l|0)|0}f[h>>2]=0;f[h+4>>2]=0;l=d+11|0;c=b[l>>0]|0;j=c<<24>>24<0?f[d+4>>2]|0:c&255;if(!j){m=ki[i&511](a,g,h)|0;ZG(h);ZG(g);u=e;return m|0}c=YG(h,j)|0;Krc(c|0,((b[l>>0]|0)<0?f[d>>2]|0:d)|0,j|0)|0;m=ki[i&511](a,g,h)|0;ZG(h);ZG(g);u=e;return m|0}function Sq(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d+8|0;g=d;h=f[(f[a>>2]|0)+20>>2]|0;f[e>>2]=0;f[e+4>>2]=0;i=c+11|0;j=b[i>>0]|0;k=j<<24>>24<0?f[c+4>>2]|0:j&255;if(k|0){j=YG(e,k)|0;Krc(j|0,((b[i>>0]|0)<0?f[c>>2]|0:c)|0,k|0)|0}f[g>>2]=0;f[g+4>>2]=0;k=ki[h&511](a,e,g)|0;ZG(g);ZG(e);u=d;return k|0}function Tq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;e=f[(f[a>>2]|0)+8>>2]|0;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=b;xh[e&2047](a,d);u=c;return}function Uq(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=+i;j=+j;k=k|0;var l=0,m=0,n=0,o=0,p=0;l=u;u=u+32|0;m=l+16|0;n=l+8|0;o=l;p=f[(f[a>>2]|0)+44>>2]|0;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=b;f[n>>2]=f[g>>2];f[n+4>>2]=f[g+4>>2];f[o>>2]=f[h>>2];f[o+4>>2]=f[h+4>>2];rg[p&3](a,m,c,d,e,n,o,i,j,k);u=l;return}function Vq(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=+i;j=+j;var k=0,l=0,m=0,n=0,o=0;k=u;u=u+32|0;l=k+16|0;m=k+8|0;n=k;o=f[(f[a>>2]|0)+44>>2]|0;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=b;f[m>>2]=f[g>>2];f[m+4>>2]=f[g+4>>2];f[n>>2]=f[h>>2];f[n+4>>2]=f[h+4>>2];rg[o&3](a,l,c,d,e,m,n,i,j,0);u=k;return}function Wq(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=+i;var j=0,k=0,l=0,m=0,n=0;j=u;u=u+32|0;k=j+16|0;l=j+8|0;m=j;n=f[(f[a>>2]|0)+44>>2]|0;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=b;f[l>>2]=f[g>>2];f[l+4>>2]=f[g+4>>2];f[m>>2]=f[h>>2];f[m+4>>2]=f[h+4>>2];rg[n&3](a,k,c,d,e,l,m,i,2.0,0);u=j;return}function Xq(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;i=u;u=u+32|0;j=i+16|0;k=i+8|0;l=i;m=f[(f[a>>2]|0)+44>>2]|0;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=b;f[k>>2]=f[g>>2];f[k+4>>2]=f[g+4>>2];f[l>>2]=f[h>>2];f[l+4>>2]=f[h+4>>2];rg[m&3](a,j,c,d,e,k,l,1.05,2.0,0);u=i;return}function Yq(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+32|0;i=h+16|0;j=h+8|0;k=h;l=f[(f[a>>2]|0)+44>>2]|0;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b;f[j>>2]=f[g>>2];f[j+4>>2]=f[g+4>>2];f[k>>2]=0;f[k+4>>2]=0;rg[l&3](a,i,c,d,e,j,k,1.05,2.0,0);u=h;return}function Zq(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+32|0;h=g+16|0;i=g+8|0;j=g;k=f[(f[a>>2]|0)+44>>2]|0;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;f[i>>2]=0;f[i+4>>2]=0;f[j>>2]=0;f[j+4>>2]=0;rg[k&3](a,h,c,d,e,i,j,1.05,2.0,0);u=g;return}function _q(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+32|0;g=e+16|0;h=e+8|0;i=e;j=f[(f[a>>2]|0)+44>>2]|0;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;f[h>>2]=0;f[h+4>>2]=0;f[i>>2]=0;f[i+4>>2]=0;rg[j&3](a,g,c,d,0.0,h,i,1.05,2.0,0);u=e;return}function $q(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0;e=u;u=u+32|0;g=e+16|0;h=e;i=f[(f[a>>2]|0)+32>>2]|0;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;mh[i&63](a,g,h,d);u=e;return}function ar(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+32|0;e=d+16|0;g=d;h=f[(f[a>>2]|0)+32>>2]|0;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=b;b=g+8|0;f[b>>2]=0;f[b+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;mh[h&63](a,e,g,-1.0);u=d;return}function br(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;e=f[(f[a>>2]|0)+36>>2]|0;g=d+8|0;f[g>>2]=0;f[g+4>>2]=0;f[d>>2]=33619968;f[d+4>>2]=b;xh[e&2047](a,d);u=c;return}function cr(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;Wya(a,b,c,d);return}function dr(a,b,c){a=a|0;b=b|0;c=+c;Wya(a,b,c,1);return}function er(a,b){a=a|0;b=b|0;Wya(a,b,16.0,1);return}function fr(a){a=a|0;Wya(a,500,16.0,1);return}function gr(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0;e=u;u=u+32|0;g=e+16|0;h=e;i=f[(f[a>>2]|0)+32>>2]|0;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;mh[i&63](a,g,h,d);u=e;return}function hr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+32|0;e=d+16|0;g=d;h=f[(f[a>>2]|0)+32>>2]|0;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=b;b=g+8|0;f[b>>2]=0;f[b+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;mh[h&63](a,e,g,-1.0);u=d;return}function ir(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;e=f[(f[a>>2]|0)+44>>2]|0;f[d>>2]=f[b>>2];f[d+4>>2]=f[b+4>>2];xh[e&2047](a,d);u=c;return}function jr(a,b,c){a=a|0;b=+b;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[e>>2]=f[c>>2];f[e+4>>2]=f[c+4>>2];Ora(a,b,e);u=d;return}function kr(a,b){a=a|0;b=+b;var c=0,d=0;c=u;u=u+16|0;d=c;f[d>>2]=8;f[d+4>>2]=8;Ora(a,b,d);u=c;return}function lr(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=b;f[c>>2]=8;f[c+4>>2]=8;Ora(a,40.0,c);u=b;return}function mr(a,b){a=a|0;b=+b;uh[f[(f[a>>2]|0)+36>>2]&15](a,b);return}function nr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+32|0;e=d+16|0;g=d;h=f[(f[a>>2]|0)+32>>2]|0;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=b;b=g+8|0;f[b>>2]=0;f[b+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;Yh[h&511](a,e,g);u=d;return}function or(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+32|0;i=h+8|0;j=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=c;f[j>>2]=0;f[j+4>>2]=0;c=d+11|0;k=b[c>>0]|0;l=k<<24>>24<0?f[d+4>>2]|0:k&255;if(l|0){k=YG(j,l)|0;Krc(k|0,((b[c>>0]|0)<0?f[d>>2]|0:d)|0,l|0)|0}pCa(a,i,j,e,g);ZG(j);u=h;return}function pr(a,c,d,e){a=a|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+64|0;h=g+40|0;i=g+32|0;j=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c;f[i>>2]=0;f[i+4>>2]=0;c=d+11|0;k=b[c>>0]|0;l=k<<24>>24<0?f[d+4>>2]|0:k&255;if(l|0){k=YG(i,l)|0;Krc(k|0,((b[c>>0]|0)<0?f[d>>2]|0:d)|0,l|0)|0};f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;f[j+24>>2]=0;f[j+28>>2]=0;pCa(a,h,i,e,j);ZG(i);u=g;return}function qr(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+64|0;g=e+40|0;h=e+32|0;i=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=c;f[h>>2]=0;f[h+4>>2]=0;c=d+11|0;j=b[c>>0]|0;k=j<<24>>24<0?f[d+4>>2]|0:j&255;if(k|0){j=YG(h,k)|0;Krc(j|0,((b[c>>0]|0)<0?f[d>>2]|0:d)|0,k|0)|0};f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;f[i+24>>2]=0;f[i+28>>2]=0;pCa(a,g,h,1.0,i);ZG(h);u=e;return}function rr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+64|0;d=c+40|0;e=c+32|0;g=c;f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=b;f[e>>2]=0;f[e+4>>2]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;pCa(a,d,e,1.0,g);ZG(e);u=c;return}function sr(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+16|0;g=e;f[g>>2]=0;f[g+4>>2]=0;h=d+11|0;i=b[h>>0]|0;j=i<<24>>24<0?f[d+4>>2]|0:i&255;if(j|0){i=YG(g,j)|0;Krc(i|0,((b[h>>0]|0)<0?f[d>>2]|0:d)|0,j|0)|0}gBa(a,c,g);ZG(g);u=e;return}function tr(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[d>>2]=0;f[d+4>>2]=0;gBa(a,b,d);ZG(d);u=c;return}function ur(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+32|0;g=e+8|0;h=e;i=g+8|0;f[i>>2]=0;f[i+4>>2]=0;f[g>>2]=33882112;f[g+4>>2]=c;f[h>>2]=0;f[h+4>>2]=0;c=d+11|0;i=b[c>>0]|0;j=i<<24>>24<0?f[d+4>>2]|0:i&255;if(!j){lCa(a,g,h);ZG(h);u=e;return}i=YG(h,j)|0;Krc(i|0,((b[c>>0]|0)<0?f[d>>2]|0:d)|0,j|0)|0;lCa(a,g,h);ZG(h);u=e;return}function vr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+32|0;d=c+8|0;e=c;g=d+8|0;f[g>>2]=0;f[g+4>>2]=0;f[d>>2]=33882112;f[d+4>>2]=b;f[e>>2]=0;f[e+4>>2]=0;lCa(a,d,e);ZG(e);u=c;return}function wr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+32|0;e=d+16|0;g=d+4|0;h=d;i=e+8|0;f[i>>2]=0;f[i+4>>2]=0;f[e>>2]=33882112;f[e+4>>2]=b;b=f[c>>2]|0;f[h>>2]=b;rf(b|0);xr(g,h);mCa(a,e,g);e=f[g>>2]|0;if(!e){j=f[h>>2]|0;Zd(j|0);u=d;return}a=g+4|0;while(1){b=f[a>>2]|0;if((b|0)==(e|0))break;c=b+-8|0;f[a>>2]=c;ZG(c)}Emc(f[g>>2]|0);j=f[h>>2]|0;Zd(j|0);u=d;return}function xr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0.0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=u;u=u+16|0;d=c;e=c+8|0;g=f[b>>2]|0;h=Hf(184662)|0;i=ld(g|0,h|0)|0;Zd(h|0);j=+Od(i|0,26944,d|0);fe(f[d>>2]|0);h=~~j>>>0;Zd(i|0);f[a>>2]=0;i=a+4|0;f[i>>2]=0;f[a+8>>2]=0;if(!h){u=c;return}g=e+4|0;k=a+8|0;l=0;do{m=f[b>>2]|0;f[d>>2]=l;n=ze(26944,d|0)|0;o=ld(m|0,n|0)|0;Zd(n|0);j=+Od(o|0,9576,d|0);n=f[d>>2]|0;m=~~j>>>0;p=f[m>>2]|0;f[e>>2]=p;f[g>>2]=f[m+4>>2];if(p|0){m=p+-4|0;f[m>>2]=(f[m>>2]|0)+1}fe(n|0);n=f[i>>2]|0;if(n>>>0<(f[k>>2]|0)>>>0){m=f[e>>2]|0;f[n>>2]=m;f[n+4>>2]=f[g>>2];if(!m)q=n;else{n=m+-4|0;f[n>>2]=(f[n>>2]|0)+1;q=f[i>>2]|0}f[i>>2]=q+8}else zw(a,e);ZG(e);Zd(o|0);l=l+1|0}while(l>>>0<h>>>0);u=c;return}function yr(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+16|0;e=d;f[e>>2]=0;f[e+4>>2]=0;g=c+11|0;h=b[g>>0]|0;i=h<<24>>24<0?f[c+4>>2]|0:h&255;if(i|0){h=YG(e,i)|0;Krc(h|0,((b[g>>0]|0)<0?f[c>>2]|0:c)|0,i|0)|0}i=Jwa(a,e)|0;ZG(e);u=d;return i|0}function zr(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0;k=u;u=u+32|0;l=k+16|0;m=k+8|0;n=k;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=b;f[m>>2]=f[i>>2];f[m+4>>2]=f[i+4>>2];f[n>>2]=f[j>>2];f[n+4>>2]=f[j+4>>2];Qwa(a,l,c,d,e,g,h,m,n);u=k;return}function Ar(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0;j=u;u=u+32|0;k=j+16|0;l=j+8|0;m=j;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=b;f[l>>2]=f[i>>2];f[l+4>>2]=f[i+4>>2];f[m>>2]=0;f[m+4>>2]=0;Qwa(a,k,c,d,e,g,h,l,m);u=j;return}function Br(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0;i=u;u=u+32|0;j=i+16|0;k=i+8|0;l=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=b;f[k>>2]=0;f[k+4>>2]=0;f[l>>2]=0;f[l+4>>2]=0;Qwa(a,j,c,d,e,g,h,k,l);u=i;return}function Cr(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+32|0;i=h+16|0;j=h+8|0;k=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b;f[j>>2]=0;f[j+4>>2]=0;f[k>>2]=0;f[k+4>>2]=0;Qwa(a,i,c,d,e,g,0,j,k);u=h;return}function Dr(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0,j=0;g=u;u=u+32|0;h=g+16|0;i=g+8|0;j=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;f[i>>2]=0;f[i+4>>2]=0;f[j>>2]=0;f[j+4>>2]=0;Qwa(a,h,c,d,e,3,0,i,j);u=g;return}function Er(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+32|0;g=e+16|0;h=e+8|0;i=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;f[h>>2]=0;f[h+4>>2]=0;f[i>>2]=0;f[i+4>>2]=0;Qwa(a,g,c,d,1.1,3,0,h,i);u=e;return}function Fr(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0;m=u;u=u+32|0;n=m+16|0;o=m+8|0;p=m;f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=b;f[o>>2]=f[j>>2];f[o+4>>2]=f[j+4>>2];f[p>>2]=f[k>>2];f[p+4>>2]=f[k+4>>2];Rwa(a,n,c,d,e,g,h,i,o,p,l);u=m;return}function Gr(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0;l=u;u=u+32|0;m=l+16|0;n=l+8|0;o=l;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=b;f[n>>2]=f[j>>2];f[n+4>>2]=f[j+4>>2];f[o>>2]=f[k>>2];f[o+4>>2]=f[k+4>>2];Rwa(a,m,c,d,e,g,h,i,n,o,0);u=l;return}function Hr(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0;k=u;u=u+32|0;l=k+16|0;m=k+8|0;n=k;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=b;f[m>>2]=f[j>>2];f[m+4>>2]=f[j+4>>2];f[n>>2]=0;f[n+4>>2]=0;Rwa(a,l,c,d,e,g,h,i,m,n,0);u=k;return}function Ir(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;i=i|0;var j=0,k=0,l=0,m=0;j=u;u=u+32|0;k=j+16|0;l=j+8|0;m=j;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=b;f[l>>2]=0;f[l+4>>2]=0;f[m>>2]=0;f[m+4>>2]=0;Rwa(a,k,c,d,e,g,h,i,l,m,0);u=j;return}function Jr(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;var i=0,j=0,k=0,l=0;i=u;u=u+32|0;j=i+16|0;k=i+8|0;l=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=b;f[k>>2]=0;f[k+4>>2]=0;f[l>>2]=0;f[l+4>>2]=0;Rwa(a,j,c,d,e,g,h,0,k,l,0);u=i;return}function Kr(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;var h=0,i=0,j=0,k=0;h=u;u=u+32|0;i=h+16|0;j=h+8|0;k=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b;f[j>>2]=0;f[j+4>>2]=0;f[k>>2]=0;f[k+4>>2]=0;Rwa(a,i,c,d,e,g,3,0,j,k,0);u=h;return}function Lr(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;g=u;u=u+32|0;h=g+16|0;i=g+8|0;j=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;f[i>>2]=0;f[i+4>>2]=0;f[j>>2]=0;f[j+4>>2]=0;Rwa(a,h,c,d,e,1.1,3,0,i,j,0);u=g;return}function Mr(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0;j=u;u=u+32|0;k=j+16|0;l=j+8|0;m=j;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=b;f[l>>2]=f[h>>2];f[l+4>>2]=f[h+4>>2];f[m>>2]=f[i>>2];f[m+4>>2]=f[i+4>>2];Pwa(a,k,c,d,e,g,l,m);u=j;return}function Nr(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0;i=u;u=u+32|0;j=i+16|0;k=i+8|0;l=i;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=b;f[k>>2]=f[h>>2];f[k+4>>2]=f[h+4>>2];f[l>>2]=0;f[l+4>>2]=0;Pwa(a,j,c,d,e,g,k,l);u=i;return}function Or(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+32|0;i=h+16|0;j=h+8|0;k=h;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b;f[j>>2]=0;f[j+4>>2]=0;f[k>>2]=0;f[k+4>>2]=0;Pwa(a,i,c,d,e,g,j,k);u=h;return}function Pr(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;var g=0,h=0,i=0,j=0;g=u;u=u+32|0;h=g+16|0;i=g+8|0;j=g;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b;f[i>>2]=0;f[i+4>>2]=0;f[j>>2]=0;f[j+4>>2]=0;Pwa(a,h,c,d,e,0,i,j);u=g;return}function Qr(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0;e=u;u=u+32|0;g=e+16|0;h=e+8|0;i=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b;f[h>>2]=0;f[h+4>>2]=0;f[i>>2]=0;f[i+4>>2]=0;Pwa(a,g,c,d,3,0,h,i);u=e;return}function Rr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+32|0;e=d+16|0;g=d+8|0;h=d;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=b;f[g>>2]=0;f[g+4>>2]=0;f[h>>2]=0;f[h+4>>2]=0;Pwa(a,e,c,1.1,3,0,g,h);u=d;return}function Sr(a){a=a|0;var b=0;kf(255114,7,28328,184682,1,1);kf(255114,6,28356,184691,1,1);kf(255114,5,28380,184699,2,1);kf(170934,7,28400,184706,1,2);kf(170934,6,28428,184366,2,3);kf(170941,7,28452,184706,2,3);kf(170941,6,28480,184366,3,4);kf(170941,5,28504,184374,6,10);kf(238846,10,28524,184715,1,1);kf(238846,9,28564,184727,1,1);kf(238846,8,28600,184738,1,1);kf(238846,7,28632,184748,1,1);kf(238846,6,27584,184366,4,5);kf(170954,10,28660,184757,1,1);kf(170954,9,28700,184769,1,1);kf(170954,8,28736,184780,1,1);kf(170954,7,28768,184790,1,1);kf(170954,6,28356,184691,1,2);kf(170965,8,28736,184780,1,2);kf(170965,7,28768,184790,1,2);kf(170965,6,28356,184691,1,3);kf(170977,8,28796,184799,1,3);kf(170977,7,28828,184809,1,5);kf(170977,6,28856,184818,1,7);kf(170977,5,28880,184381,94,178);kf(170977,4,27608,183001,179,237);kf(170987,9,28900,184826,1,2);kf(170987,8,28936,184837,1,2);kf(170987,7,28968,184847,1,2);kf(170987,6,28996,184856,88,95);kf(170994,10,29020,184864,1,2);kf(170994,9,29060,184876,1,2);kf(170994,8,29096,184887,1,2);kf(170994,7,29128,184897,63,89);kf(170994,6,28996,184856,88,96);kf(171e3,4,29156,183001,180,238);kf(272154,8,29172,184906,1,1);kf(171008,6,29204,184856,90,97);kf(171008,5,29228,184381,98,181);kf(171008,4,29156,183001,180,239);kf(171012,8,29248,184916,1,1);kf(171012,7,29280,184926,1,1);kf(255018,5,29308,184935,1,7);kf(271397,3,29328,184400,13,15);kf(259587,7,29340,184706,4,4);kf(259587,6,27584,184366,4,6);kf(171024,5,29228,184381,98,182);kf(171024,4,29156,183001,180,240);kf(171036,4,27732,183001,183,241);kf(171036,3,27720,182996,242,992);kf(171048,5,29228,184381,98,184);kf(171048,4,29156,183001,180,243);kf(171059,5,29228,184381,98,185);kf(171059,4,29156,183001,180,244);kf(171071,6,29368,184856,91,99);kf(171071,5,29392,184381,100,186);kf(171071,4,29412,183001,187,245);kf(171076,2,29428,183007,462,993);kf(171089,8,29436,184942,122,64);kf(171089,7,29468,184897,65,92);kf(171089,6,29496,184856,93,101);kf(171089,5,29520,184381,102,188);kf(251789,7,29540,184847,3,3);kf(250978,8,29568,184942,123,66);kf(250978,7,29600,184897,67,94);kf(171099,11,29628,184952,1,1);kf(171124,12,29672,184965,1,1);kf(171124,11,29720,184979,1,2);kf(171124,10,29764,184992,3,93);kf(171124,9,29804,185004,94,124);kf(171124,8,29840,184942,125,68);kf(171124,7,29872,184897,69,95);kf(210833,6,29900,184856,96,103);kf(210833,5,29924,184381,104,189);kf(291456,8,29944,184942,126,70);kf(291456,7,29976,184897,71,97);kf(291456,6,30004,184856,98,105);kf(291456,5,30028,184381,106,190);kf(196070,5,30048,184381,107,191);kf(252265,4,30068,184430,5,14);kf(253539,5,30084,184134,99,68);kf(253539,4,30104,183035,69,281);kf(253539,3,30120,183030,282,463);kf(254355,7,30132,185015,7,71);kf(254355,6,30160,184141,72,100);kf(254355,5,30184,184134,101,70);kf(271499,3,29328,184400,13,16);kf(271499,2,30204,184456,17,13);kf(202988,5,28380,184699,2,2);kf(202988,4,30212,183373,11,12);kf(202988,3,27720,182996,242,994);kf(236080,5,30228,184381,108,192);kf(236080,4,30248,183001,193,246);kf(236080,3,27720,182996,242,995);kf(236304,4,29156,183001,180,247);kf(212891,9,30264,185004,95,127);kf(212891,8,30300,184942,128,72);kf(171145,7,30332,185024,1,2);kf(171145,6,28856,184818,1,8);kf(171158,6,28996,184856,88,109);kf(171158,5,28880,184381,94,194);kf(171158,4,27608,183001,179,248);kf(222201,2,30360,183007,464,799);kf(237405,5,28880,184381,94,195);kf(237405,4,27608,183001,179,249);kf(285043,5,28880,184381,94,196);kf(285043,4,27608,183001,179,250);kf(217110,2,30204,184456,17,14);kf(186969,5,28880,184381,94,197);kf(186969,4,27608,183001,179,251);kf(186969,3,27720,182996,242,996);kf(171176,8,30368,184942,129,73);kf(171176,7,30400,184897,74,99);kf(171176,6,30428,184856,100,110);kf(171176,5,30452,184381,111,198);kf(171176,4,27732,183001,183,252);kf(295185,6,28996,184856,88,112);kf(295185,5,28880,184381,94,199);kf(171183,7,30472,184897,75,101);kf(171183,6,30500,184856,102,113);kf(171211,6,30524,185033,3,2);kf(171211,5,30548,184374,9,12);kf(171211,4,29156,183001,180,253);kf(171218,5,30568,185041,1,1);kf(171218,4,30588,185048,4,1);kf(292083,10,30604,184992,4,96);kf(292083,9,30644,185004,97,130);kf(292083,8,30680,184942,131,76);kf(292083,7,30712,184897,77,103);kf(292083,6,30740,184856,104,114);kf(292083,5,30764,184381,115,200);kf(217333,4,30784,183035,71,283);kf(217333,3,30800,183030,284,465);kf(291641,11,30812,185054,1,1);kf(291641,10,30856,185067,1,1);kf(291641,9,30896,185079,1,1);kf(291641,8,30932,185090,1,1);kf(171226,6,30964,184856,105,116);kf(171226,5,30988,184381,117,201);kf(171226,4,31008,183001,202,254);kf(171235,8,31024,184942,132,78);kf(252411,3,27720,182996,242,997);kf(171248,8,30368,184942,129,79);kf(171248,7,30400,184897,74,106);kf(171248,6,30428,184856,100,118);kf(171248,5,30452,184381,111,203);kf(171248,4,27732,183001,183,255);kf(384163,4,31056,183035,72,204);kf(171254,7,31072,185100,1,2);kf(211127,3,27720,182996,242,998);kf(171278,8,31100,185109,1,3);kf(171278,7,31132,184847,4,4);kf(171278,6,31160,184856,107,119);kf(171278,5,31184,184381,120,205);kf(273682,7,31204,184897,80,108);kf(273682,6,31232,184856,109,121);kf(384492,7,31256,185119,1,1);kf(384492,6,31284,185128,2,3);kf(384492,5,31308,184423,4,6);kf(384492,4,31328,184430,7,15);kf(271599,2,31344,183007,466,999);kf(252559,7,28632,184748,1,2);kf(212635,4,27608,183001,179,256);kf(221107,8,31352,185136,1,1);kf(221107,7,31384,185146,1,1);kf(294861,3,31412,183030,285,257);kf(171287,2,28300,183007,455,800);kf(294770,3,31412,183030,285,258);kf(171305,4,31424,185155,1,3);kf(283692,4,31440,183035,73,206);kf(283692,3,31456,183030,286,259);kf(240053,10,31468,185161,1,1);kf(240053,9,31508,185173,1,1);kf(240053,8,31544,185184,1,2);kf(240053,7,31576,184706,5,5);kf(240053,6,27584,184366,4,7);kf(171325,11,31604,185194,1,1);kf(171325,10,31648,185207,1,1);kf(171325,9,31688,185173,2,2);kf(270627,8,31724,184942,133,81);kf(270627,7,31756,184897,82,110);kf(372756,5,31784,184374,10,13);kf(372756,4,31804,183001,207,260);kf(196918,3,31820,182996,261,1e3);kf(196323,5,31832,184381,122,208);kf(236535,9,31852,185004,98,134);kf(252806,4,27608,183001,179,262);kf(252806,3,27720,182996,242,1001);kf(171346,6,30500,184856,102,123);kf(171346,5,31888,184381,124,209);kf(171346,4,31908,183001,210,263);kf(217249,4,31924,184430,8,16);kf(217249,3,31940,184400,17,18);kf(236456,2,31952,183007,467,801);kf(193322,8,31960,185219,1,2);kf(193322,7,31992,185119,3,3);kf(291055,8,32020,184942,135,83);kf(291055,7,32052,184897,84,111);kf(291055,6,32080,184856,112,125);kf(291055,5,32104,184381,126,211);kf(211169,3,27720,182996,242,1002);kf(255387,4,29156,183001,180,264);kf(259782,5,32124,185229,1,1);kf(270072,6,32144,184856,113,127);kf(270072,5,30048,184381,107,212);kf(474850,4,29156,183001,180,265);kf(210169,3,32168,183030,287,266);kf(210169,2,32180,183007,468,1003);kf(210302,5,32188,184381,128,213);kf(210302,4,31908,183001,210,267);kf(259155,4,27608,183001,179,268);kf(197950,3,31820,182996,261,1004);kf(171356,4,29156,183001,180,269);kf(171360,2,31344,183007,466,1005);kf(192766,4,32208,183001,214,270);kf(295063,3,32224,183030,288,271);kf(295063,2,32236,183007,469,1006);kf(283977,9,32244,185004,99,136);kf(283977,8,32280,184942,137,85);kf(283977,7,32312,184897,86,114);kf(283977,6,31160,184856,107,129);kf(283977,5,31184,184381,120,215);kf(171372,6,30524,185033,3,3);kf(171372,5,30548,184374,9,14);kf(171372,4,29156,183001,180,272);kf(199896,4,32340,184430,9,18);kf(199896,3,32356,184400,19,19);kf(199896,2,30204,184456,17,15);kf(171381,5,32368,184423,5,10);kf(171381,4,30068,184430,5,20);kf(171381,3,27776,184400,21,20);kf(203172,8,32388,185236,3,1);kf(203172,7,32420,184682,3,2);kf(203172,6,28356,184691,1,4);kf(203172,5,28380,184699,2,4);kf(203172,4,30212,183373,11,13);kf(203172,3,27720,182996,242,1007);kf(221659,4,27732,183001,183,273);kf(277213,4,32448,184430,11,22);kf(211e3,6,29900,184856,96,130);kf(211e3,5,29924,184381,104,216);kf(401616,4,32464,185246,8,3);kf(171387,10,32480,185252,1,2);kf(171387,9,32520,185264,1,2);kf(171387,8,32556,185275,2,1);kf(171387,7,32588,185024,4,4);kf(237557,5,32616,184381,131,217);kf(237557,4,32636,183001,218,274);kf(237557,3,27720,182996,242,1008);kf(237864,5,32616,184381,131,219);kf(237864,4,32636,183001,218,275);kf(237864,3,27720,182996,242,1009);kf(171395,4,32652,183001,220,276);kf(171401,4,32652,183001,220,277);kf(291287,8,32020,184942,135,87);kf(291287,7,32052,184897,84,115);kf(291287,6,32080,184856,112,132);kf(291287,5,32104,184381,126,221);kf(197642,6,28996,184856,88,133);kf(197642,5,28880,184381,94,222);kf(293481,8,32668,184942,138,88);kf(293481,7,32700,184897,89,116);kf(293481,6,32728,184856,117,134);kf(212715,5,32752,184381,135,223);kf(273958,7,28452,184706,2,6);kf(273958,6,28480,184366,3,8);kf(273958,5,28504,184374,6,15);kf(273958,4,29412,183001,187,278);kf(269497,9,32772,185285,1,2);kf(269497,8,32808,184887,2,5);kf(269497,7,32840,184897,90,118);kf(269497,6,32868,184856,119,136);kf(197300,3,27836,182996,279,1010);kf(197300,2,32892,185296,1011,1587);kf(171407,2,32900,185296,1012,1588);kf(217861,5,32908,184134,102,74);kf(217861,4,32928,183035,75,289);kf(211783,4,31924,184430,8,23);kf(211783,3,31940,184400,17,21);kf(405663,3,32944,182996,280,1013);kf(171418,3,27720,182996,242,1014);kf(171423,6,29204,184856,90,137);kf(171423,5,29228,184381,98,224);kf(171423,4,29156,183001,180,281);kf(378377,6,32956,185300,1,1);kf(197367,2,32180,183007,468,1015);kf(221575,4,27732,183001,183,282);kf(197436,3,27720,182996,242,1016);kf(237248,6,32980,184856,120,138);kf(237248,5,33004,184381,139,225);kf(197180,3,31820,182996,261,1017);kf(294051,8,33024,184942,139,91);kf(294051,7,33056,184897,92,121);kf(294051,6,33084,184856,122,140);kf(294051,5,33108,184381,141,226);kf(294304,8,33024,184942,139,93);kf(294304,7,33056,184897,92,123);kf(294304,6,33084,184856,122,142);kf(294304,5,33108,184381,141,227);kf(284167,3,27720,182996,242,1018);kf(171432,8,33128,185308,1,1);kf(171432,7,33160,185318,1,1);kf(171432,6,33188,185327,1,1);kf(171432,5,33212,185335,1,1);kf(171432,4,33232,185342,1,9);kf(171432,3,33248,185348,1,14);kf(171432,2,27816,183007,470,1019);kf(171446,3,33260,183030,290,283);kf(171446,2,33272,183007,471,1020);kf(171463,3,33280,183030,291,284);kf(171463,2,33292,183007,472,1021);kf(387366,3,33260,183030,290,285);kf(387366,2,33272,183007,471,1022);kf(171481,3,33280,183030,291,286);kf(171481,2,33292,183007,472,1023);kf(171501,3,33260,183030,290,287);kf(171501,2,33272,183007,471,1024);kf(171523,3,33280,183030,291,288);kf(171523,2,33292,183007,472,1025);kf(171546,3,33300,183030,292,289);kf(171546,2,33272,183007,471,1026);$d(17848,9592,9608,0,182988,802,182991,0,182991,0,171563,182993,1589);a=Bmc(4)|0;f[a>>2]=293;De(17848,171577,4,33312,183035,76,a|0,0);a=Bmc(4)|0;f[a>>2]=473;De(17848,171577,3,33328,183030,294,a|0,0);zd(17848,1,33340,182988,803,22);zd(17848,13,33344,185436,1,1);zd(17848,2,33396,183007,474,804);uf(17848,171582,1,33404,182988,805,1590);uf(17848,171607,1,33404,182988,805,1591);a=Bmc(4)|0;f[a>>2]=1027;De(17848,373850,3,33408,182996,290,a|0,0);a=Bmc(4)|0;f[a>>2]=2;De(17848,375286,11,33420,185451,1,a|0,0);a=Bmc(4)|0;f[a>>2]=1;De(17848,375286,10,33464,185464,1,a|0,0);a=Bmc(4)|0;f[a>>2]=1;De(17848,375286,9,33504,185476,1,a|0,0);a=Bmc(4)|0;f[a>>2]=2;De(17848,375286,8,33540,185275,3,a|0,0);a=Bmc(4)|0;f[a>>2]=5;De(17848,375286,7,33572,185024,5,a|0,0);a=Bmc(4)|0;f[a>>2]=11;De(17848,375286,6,33600,184818,5,a|0,0);a=Bmc(4)|0;f[a>>2]=228;De(17848,375286,5,33624,184381,143,a|0,0);a=Bmc(4)|0;f[a>>2]=4;b=Bmc(4)|0;f[b>>2]=4;Vd(17848,373678,9384,183007,475,a|0,9384,182996,291,b|0);b=Bmc(4)|0;f[b>>2]=12;a=Bmc(4)|0;f[a>>2]=12;Vd(17848,373686,9384,183007,475,b|0,9384,182996,291,a|0);a=Bmc(4)|0;f[a>>2]=20;b=Bmc(4)|0;f[b>>2]=20;Vd(17848,373696,9384,183007,475,a|0,9384,182996,291,b|0);b=Bmc(4)|0;f[b>>2]=28;a=Bmc(4)|0;f[a>>2]=28;Vd(17848,373812,9384,183007,475,b|0,9384,182996,291,a|0);a=Bmc(4)|0;f[a>>2]=36;b=Bmc(4)|0;f[b>>2]=36;Vd(17848,373708,26936,183007,476,a|0,26936,182996,292,b|0);b=Bmc(4)|0;f[b>>2]=40;a=Bmc(4)|0;f[a>>2]=40;Vd(17848,373714,26936,183007,476,b|0,26936,182996,292,a|0);a=Bmc(4)|0;f[a>>2]=48;b=Bmc(4)|0;f[b>>2]=48;Vd(17848,373821,26976,184456,22,a|0,26976,183368,15,b|0);b=Bmc(4)|0;f[b>>2]=56;a=Bmc(4)|0;f[a>>2]=56;Vd(17848,373728,26936,183007,476,b|0,26936,182996,292,a|0);a=Bmc(4)|0;f[a>>2]=64;b=Bmc(4)|0;f[b>>2]=64;Vd(17848,373746,26976,184456,22,a|0,26976,183368,15,b|0);b=Bmc(4)|0;f[b>>2]=72;a=Bmc(4)|0;f[a>>2]=72;Vd(17848,373761,26888,183007,477,b|0,26888,182996,293,a|0);a=Bmc(4)|0;f[a>>2]=76;b=Bmc(4)|0;f[b>>2]=76;Vd(17848,171632,8960,183007,478,a|0,8960,182996,294,b|0);b=Bmc(4)|0;f[b>>2]=140;a=Bmc(4)|0;f[a>>2]=140;Vd(17848,373777,26936,183007,476,b|0,26936,182996,292,a|0);a=Bmc(4)|0;f[a>>2]=144;b=Bmc(4)|0;f[b>>2]=144;Vd(17848,373785,26888,183007,477,a|0,26888,182996,293,b|0);$d(9624,9640,9656,11960,182988,806,182988,807,182988,808,171644,182993,1592);b=Bmc(4)|0;f[b>>2]=16;De(9624,472702,5,33644,184374,12,b|0,0);b=Bmc(4)|0;f[b>>2]=295;De(9624,472702,4,33664,183001,229,b|0,0);b=Bmc(4)|0;f[b>>2]=1028;De(9624,386210,3,33680,182996,296,b|0,0);$d(9672,9688,9704,9624,182988,809,182988,810,182988,811,171665,182993,1593);zd(9672,4,33692,185342,2,10);zd(9672,3,33708,185348,2,16);zd(9672,2,33720,183007,479,1029);zd(9672,1,33728,182988,812,1594);b=Bmc(4)|0;f[b>>2]=17;De(9672,472702,5,33732,184374,13,b|0,0);b=Bmc(4)|0;f[b>>2]=297;De(9672,472702,4,33752,183001,230,b|0,0);jf(9720,9672,171690,0,182988,813,234175,23,182988,814,182993,1595);$d(9728,9744,9760,11960,182988,815,182988,816,182988,817,171720,182993,1596);b=Bmc(4)|0;f[b>>2]=1030;De(9728,171726,3,33768,182996,298,b|0,0);zd(9728,3,33780,185776,1,4);zd(9728,2,33792,185781,1,13);zd(9728,1,33800,182988,818,1597);b=Bmc(8)|0;f[b>>2]=52;f[b+4>>2]=1;De(9728,171743,2,33804,185296,1031,b|0,1);b=Bmc(4)|0;f[b>>2]=14;De(9728,171758,3,33812,183368,17,b|0,0);b=Bmc(8)|0;f[b>>2]=48;f[b+4>>2]=1;De(9728,171771,2,33824,183007,480,b|0,1);b=Bmc(8)|0;f[b>>2]=40;f[b+4>>2]=1;De(9728,171788,2,33832,184456,23,b|0,1);b=Bmc(4)|0;f[b>>2]=299;De(9728,472702,4,33840,183001,231,b|0,0);jf(9776,9728,171801,0,182988,819,234175,24,182988,820,182993,1598);$d(11960,9784,9800,0,182988,821,182991,0,182991,0,171812,182993,1599);$d(9584,9816,9832,0,182988,822,182991,0,182991,0,171822,182993,1600);b=Bmc(4)|0;f[b>>2]=4;De(9584,395496,6,33856,185033,6,b|0,0);b=Bmc(4)|0;f[b>>2]=18;De(9584,395496,5,33880,184374,14,b|0,0);b=Bmc(4)|0;f[b>>2]=300;De(9584,395496,4,33900,183001,232,b|0,0);b=Bmc(4)|0;f[b>>2]=1032;De(9584,395496,3,33916,182996,301,b|0,0);b=Bmc(4)|0;f[b>>2]=302;De(9584,475494,3,33928,183030,295,b|0,0);b=Bmc(4)|0;f[b>>2]=1033;De(9584,475494,2,33940,183007,481,b|0,0);b=Bmc(4)|0;f[b>>2]=303;De(9584,171830,4,33948,183001,233,b|0,0);b=Bmc(4)|0;f[b>>2]=1034;De(9584,171830,3,33964,182996,304,b|0,0);b=Bmc(4)|0;f[b>>2]=305;De(9584,171839,4,33976,183001,234,b|0,0);$d(9848,9856,9872,0,182988,823,182991,0,182991,0,171848,182993,1601);b=Bmc(4)|0;f[b>>2]=482;De(9848,171577,3,33992,183030,296,b|0,0);b=Bmc(4)|0;f[b>>2]=3;De(9848,171866,10,34004,185252,2,b|0,0);b=Bmc(4)|0;f[b>>2]=3;De(9848,171866,9,34044,185264,2,b|0,0);b=Bmc(4)|0;f[b>>2]=3;De(9848,171866,8,34080,185275,4,b|0,0);b=Bmc(4)|0;f[b>>2]=7;De(9848,171866,7,34112,185024,6,b|0,0);b=Bmc(4)|0;f[b>>2]=15;De(9848,171866,6,34140,184818,6,b|0,0);b=Bmc(4)|0;f[b>>2]=235;De(9848,171866,5,34164,184381,144,b|0,0);zd(9848,1,34184,182988,824,25);zd(9848,2,34188,183007,483,825);b=Bmc(4)|0;f[b>>2]=2;De(9848,171884,12,34196,185977,1,b|0,0);b=Bmc(4)|0;f[b>>2]=3;De(9848,171884,11,34244,185991,1,b|0,0);b=Bmc(4)|0;f[b>>2]=3;De(9848,171884,10,34288,186004,1,b|0,0);b=Bmc(4)|0;f[b>>2]=5;De(9848,171884,9,34328,186016,1,b|0,0);b=Bmc(4)|0;f[b>>2]=7;De(9848,171884,8,34364,185109,3,b|0,0);b=Bmc(4)|0;f[b>>2]=7;De(9848,171884,7,34396,184847,6,b|0,0);b=Bmc(4)|0;f[b>>2]=145;De(9848,171884,6,34424,184856,124,b|0,0);b=Bmc(8)|0;f[b>>2]=826;f[b+4>>2]=0;De(9848,187624,2,34448,183007,484,b|0,0);b=Bmc(4)|0;f[b>>2]=2;De(9848,375286,9,34456,186027,4,b|0,0);b=Bmc(4)|0;f[b>>2]=2;De(9848,375286,8,34492,186038,4,b|0,0);b=Bmc(4)|0;f[b>>2]=1;De(9848,375286,7,34524,186048,4,b|0,0);b=Bmc(4)|0;f[b>>2]=5;De(9848,375286,6,34552,185033,8,b|0,0);b=Bmc(4)|0;f[b>>2]=19;De(9848,375286,5,34576,184374,16,b|0,0);b=Bmc(4)|0;f[b>>2]=306;De(9848,375286,4,34596,183001,236,b|0,0);Ed(171902,26936,67108864);Ed(171914,26936,50331648);Ed(171926,26936,16777216);Ed(171938,26936,50331648);Ed(171948,26936,33554432);Ed(171961,26936,1);Ed(171988,26936,0);Ed(172011,26936,0);Ed(172027,26936,4);Ed(172042,26936,16);Ed(172058,26936,2);Ed(172073,26936,4);Ed(172091,26936,4);Ed(172110,26936,1);Ed(172127,26936,5);Ed(172146,26936,3);Ed(172158,26936,1);Ed(172183,26936,8);Ed(172207,26936,4);Ed(172235,26936,2);Ed(172255,26936,-1);Ed(172267,26936,1);Ed(172277,26936,0);Ed(172284,26936,4);Ed(172297,26936,3);Ed(172312,26936,0);Ed(172325,26936,5);Ed(172337,26936,1);Ed(172349,26936,2);Ed(172363,26936,1);Ed(172381,26936,2);Ed(172401,26936,4);Ed(172424,26936,3);Ed(172445,26936,0);Ed(172452,26936,2);Ed(172459,26936,1);Ed(172466,26936,4);Ed(172473,26936,3);Ed(172480,26936,5);Ed(172487,26936,0);Ed(172503,26936,1);Ed(172517,26936,8);Ed(172531,26936,11);Ed(172544,26936,9);Ed(172557,26936,2);Ed(172570,26936,5);Ed(172585,26936,12);Ed(172601,26936,10);Ed(172615,26936,4);Ed(172632,26936,7);Ed(172648,26936,6);Ed(172664,26936,3);Ed(172680,26936,22);Ed(172697,26936,12);Ed(172714,26936,0);Ed(172729,26936,6);Ed(172744,26936,52);Ed(172758,26936,68);Ed(172777,26936,40);Ed(172791,26936,66);Ed(172810,26936,44);Ed(172824,26936,50);Ed(172838,26936,4);Ed(172852,26936,2);Ed(172867,26936,32);Ed(172881,26936,36);Ed(172897,26936,82);Ed(172911,26936,128);Ed(172930,26936,128);Ed(172949,26936,132);Ed(172968,26936,24);Ed(172985,26936,28);Ed(173003,26936,31);Ed(173021,26936,25);Ed(173038,26936,29);Ed(173056,26936,14);Ed(173073,26936,18);Ed(173091,26936,21);Ed(173109,26936,15);Ed(173126,26936,19);Ed(173144,26936,1);Ed(173159,26936,26);Ed(173177,26936,16);Ed(173195,26936,10);Ed(173211,26936,3);Ed(173226,26936,5);Ed(173242,26936,130);Ed(173262,26936,130);Ed(173282,26936,134);Ed(173302,26936,46);Ed(173320,26936,139);Ed(173339,26936,135);Ed(173360,26936,62);Ed(173382,26936,86);Ed(173401,26936,48);Ed(173419,26936,141);Ed(173438,26936,137);Ed(173459,26936,64);Ed(173481,26936,47);Ed(173499,26936,140);Ed(173518,26936,136);Ed(173539,26936,63);Ed(173561,26936,87);Ed(173580,26936,49);Ed(173598,26936,142);Ed(173617,26936,138);Ed(173638,26936,65);Ed(173660,26936,49);Ed(173678,26936,142);Ed(173697,26936,138);Ed(173718,26936,65);Ed(173740,26936,89);Ed(173759,26936,47);Ed(173777,26936,140);Ed(173796,26936,136);Ed(173817,26936,63);Ed(173839,26936,48);Ed(173857,26936,141);Ed(173876,26936,137);Ed(173897,26936,64);Ed(173919,26936,88);Ed(173938,26936,46);Ed(173956,26936,139);Ed(173975,26936,135);Ed(173996,26936,62);Ed(174018,26936,143);Ed(174037,26936,8);Ed(174052,26936,30);Ed(174070,26936,20);Ed(174088,26936,9);Ed(174104,26936,8);Ed(174119,26936,9);Ed(174135,26936,60);Ed(174149,26936,72);Ed(174168,26936,61);Ed(174182,26936,73);Ed(174201,26936,54);Ed(174215,26936,70);Ed(174234,26936,55);Ed(174248,26936,71);Ed(174267,26936,74);Ed(174282,26936,76);Ed(174297,26936,75);Ed(174312,26936,77);Ed(174327,26936,56);Ed(174341,26936,78);Ed(174356,26936,79);Ed(174371,26936,57);Ed(174385,26936,58);Ed(174399,26936,80);Ed(174414,26936,81);Ed(174429,26936,59);Ed(174443,26936,4);Ed(174457,26936,23);Ed(174474,26936,13);Ed(174491,26936,2);Ed(174506,26936,7);Ed(174521,26936,53);Ed(174535,26936,69);Ed(174554,26936,41);Ed(174568,26936,67);Ed(174587,26936,45);Ed(174601,26936,51);Ed(174615,26936,0);Ed(174630,26936,33);Ed(174644,26936,37);Ed(174660,26936,83);Ed(174674,26936,127);Ed(174693,26936,127);Ed(174712,26936,131);Ed(174731,26936,3);Ed(174746,26936,27);Ed(174764,26936,17);Ed(174782,26936,5);Ed(174798,26936,11);Ed(174814,26936,1);Ed(174829,26936,129);Ed(174849,26936,129);Ed(174869,26936,133);Ed(174889,26936,125);Ed(174906,26936,34);Ed(174920,26936,35);Ed(174934,26936,38);Ed(174950,26936,39);Ed(174966,26936,84);Ed(174980,26936,105);Ed(175e3,26936,105);Ed(175020,26936,95);Ed(175040,26936,97);Ed(175060,26936,112);Ed(175080,26936,112);Ed(175100,26936,112);Ed(175120,26936,120);Ed(175140,26936,120);Ed(175160,26936,120);Ed(175180,26936,103);Ed(175200,26936,122);Ed(175220,26936,101);Ed(175239,26936,101);Ed(175258,26936,91);Ed(175277,26936,93);Ed(175296,26936,108);Ed(175315,26936,108);Ed(175334,26936,108);Ed(175353,26936,116);Ed(175372,26936,116);Ed(175391,26936,116);Ed(175410,26936,99);Ed(175429,26936,118);Ed(175448,26936,106);Ed(175467,26936,106);Ed(175487,26936,106);Ed(175507,26936,106);Ed(175527,26936,106);Ed(175547,26936,123);Ed(175567,26936,123);Ed(175587,26936,123);Ed(175607,26936,124);Ed(175627,26936,124);Ed(175647,26936,124);Ed(175667,26936,106);Ed(175687,26936,124);Ed(175707,26936,85);Ed(175721,26936,104);Ed(175741,26936,104);Ed(175761,26936,94);Ed(175781,26936,96);Ed(175801,26936,111);Ed(175821,26936,111);Ed(175841,26936,111);Ed(175861,26936,119);Ed(175881,26936,119);Ed(175901,26936,119);Ed(175921,26936,102);Ed(175941,26936,121);Ed(175961,26936,100);Ed(175980,26936,100);Ed(175999,26936,90);Ed(176018,26936,92);Ed(176037,26936,107);Ed(176056,26936,107);Ed(176075,26936,107);Ed(176094,26936,115);Ed(176113,26936,115);Ed(176132,26936,115);Ed(176151,26936,98);Ed(176170,26936,117);Ed(176189,26936,99);Ed(176207,26936,103);Ed(176226,26936,106);Ed(176245,26936,98);Ed(176263,26936,102);Ed(176282,26936,93);Ed(176301,26936,97);Ed(176321,26936,106);Ed(176341,26936,92);Ed(176360,26936,96);Ed(176380,26936,126);Ed(176397,26936,1);Ed(176415,26936,2);Ed(176433,26936,3);Ed(176451,26936,16);Ed(176462,26936,1);Ed(176475,26936,8);Ed(176486,26936,4);Ed(176498,26936,0);Ed(176514,26936,2);Ed(176528,26936,1);Ed(176540,26936,4);Ed(176549,26936,3);Ed(176565,26936,2);Ed(176576,26936,0);Ed(176586,26936,16);Ed(176600,26936,4);Ed(176610,26936,1);Ed(176621,26936,64);Ed(176639,26936,16);Ed(176658,26936,1);Ed(176670,26936,32);Ed(176686,26936,4);Ed(176695,26936,2);Ed(176705,26936,3);Ed(176712,26936,5);Ed(176722,26936,7);Ed(176733,26936,1);Ed(176741,26936,4);Ed(176750,26936,2);Ed(176758,26936,0);Ed(176775,26936,1);Ed(176792,26936,3);Ed(176804,26936,5);Ed(176816,26936,0);Ed(176834,26936,-1);Ed(176844,26936,6);Ed(176856,26936,-1);Ed(176863,26936,65536);Ed(176885,26936,131072);Ed(176905,26936,3);Ed(176926,26936,5);Ed(176953,26936,2);Ed(176973,26936,1);Ed(176992,26936,7);Ed(177020,26936,6);Ed(177048,26936,0);Ed(177069,26936,4);Ed(177090,26936,16);Ed(177102,26936,32);Ed(177117,26936,2);Ed(177132,26936,8);Ed(177146,26936,1);Ed(177159,26936,6);Ed(177172,26936,64);Ed(177187,26936,0);Ed(177201,26936,2);Ed(177215,26936,4);Ed(177228,26936,5);Ed(177241,26936,3);Ed(177254,26936,3);Ed(177270,26936,7);Ed(177289,26936,16);Ed(177303,26936,2);Ed(177322,26936,64);Ed(177341,26936,0);Ed(177365,26936,24);Ed(177389,26936,56);Ed(177413,26936,8);Ed(177436,26936,16);Ed(177460,26936,4);Ed(177483,26936,4);Ed(177502,26936,2);Ed(177528,26936,0);Ed(177545,26936,0);Ed(177567,26936,1);Ed(177594,26936,1);Ed(177612,26936,65);Ed(177637,26936,5);Ed(177653,26936,2);Ed(177671,26936,0);Ed(177693,26936,1);Ed(177714,26936,4);Ed(177734,26936,3);Ed(177755,26936,0);Ed(177762,26936,2);Ed(177770,26936,3);Ed(177791,26936,1);Ed(177798,26936,1);Ed(177816,26936,0);Ed(177834,26936,2);Ed(177844,26936,3);Ed(177854,26936,1);Ed(177863,26936,2);Ed(177872,26936,4);Ed(177881,26936,3);Ed(177903,26936,1);Ed(177918,26936,4);Ed(177937,26936,0);Ed(177952,26936,3);Ed(177970,26936,2);Ed(177988,26936,5);Ed(178003,26936,64);Ed(178033,26936,0);Ed(178053,26936,3);Ed(178068,26936,2);Ed(178086,26936,1);Ed(178106,26936,0);Ed(178121,26936,6);Ed(178138,26936,2);Ed(178153,26936,0);Ed(178168,26936,1);Ed(178186,26936,3);Ed(178197,26936,5);Ed(178208,26936,10);Ed(178220,26936,2);Ed(178232,26936,4);Ed(178247,26936,1);Ed(178260,26936,5);Ed(178279,26936,7);Ed(178289,26936,0);Ed(178303,26936,32);Ed(178318,26936,1024);Ed(178334,26936,2);Ed(178352,26936,0);Ed(178374,26936,1);Ed(178400,26936,4);Ed(178407,26936,8);Ed(178414,26936,16);Ed(178422,26936,2);Ed(178437,26936,0);Ed(178453,26936,1);Ed(178468,26936,0);Ed(178481,26936,3);Ed(178496,26936,4);Ed(178510,26936,2);Ed(178522,26936,1);Ed(178542,26936,6);Ed(178563,26936,5);Ed(178582,26936,6);Ed(178597,26936,3);Ed(178609,26936,1);Ed(178621,26936,1);Ed(178634,26936,2);Ed(178648,26936,0);Ed(178660,26936,4);Ed(178675,26936,7);Ed(178689,26936,2);Ed(178700,26936,0);Ed(178711,26936,5);Ed(178724,26936,2);Ed(178738,26936,1);Ed(178755,26936,3);Ed(178773,26936,0);Ed(178792,26936,0);Ed(178806,26936,16384);Ed(178826,26944,7);Ed(178841,26944,-65536);Ed(178856,26936,1124007936);Ed(178870,26936,32768);Ed(178889,26944,4095);Ed(178903,26936,6);Ed(178916,26936,7);Ed(178930,26936,1);Ed(178939,26936,2);Ed(178947,26936,4);Ed(178955,26936,5);Ed(178966,26936,32);Ed(178978,26936,8);Ed(178992,26936,7);Ed(179007,26936,256);Ed(179034,26936,8);Ed(179063,26936,4);Ed(179088,26936,1);Ed(179104,26936,0);Ed(179120,26936,2);Ed(179132,26936,1);Ed(179154,26936,0);Ed(179175,26936,6);Ed(179191,26936,1);Ed(179205,26936,7);Ed(179217,26936,0);Ed(179227,26936,4);Ed(179237,26936,5);Ed(179254,26936,2);Ed(179265,26936,12);Ed(179278,26936,3);Ed(179291,26936,11);Ed(179303,26936,9);Ed(179316,26936,8);Ed(179335,26936,1);Ed(179346,26936,2);Ed(179357,26936,3);Ed(179368,26936,0);Ed(179379,26936,2);Ed(179390,26936,0);Ed(179404,26936,4);Ed(179419,26936,1);Ed(179429,26936,3);Ed(179439,26936,1);Ed(179450,26936,0);Ed(179462,26936,1);Ed(179473,26936,0);Ed(179493,26936,2);Ed(179520,26936,1);Ed(179534,26936,0);Ed(179549,26936,-2);Ed(179567,26936,-1);Ed(179586,26936,0);Ed(179601,26936,16);Ed(179617,26936,1);Ed(179635,26936,0);Ed(179650,26936,4);Ed(179662,26936,1);Ed(179675,26936,2);Ed(179685,26944,-2147483648);Ed(179704,26944,1540483477);Ed(179725,26944,1123876864);Ed(179745,26944,32);Ed(179763,26936,34);Ed(179788,26936,19);Ed(179814,26936,0);Ed(179839,26936,49);Ed(179866,26936,51);Ed(179891,26936,32);Ed(179917,26936,17);Ed(179942,26936,2);Ed(179969,26936,-2);Ed(179990,26936,0);Ed(180012,26936,2);Ed(180035,26936,-1);Ed(180063,26936,1);Ed(180085,26936,0);Ed(180099,26936,1);Ed(180117,26936,7);Ed(180129,26936,8);Ed(180141,26936,3);Ed(180155,26936,4);Ed(180173,26936,16);Ed(180189,26936,2);Ed(180202,26936,4);Ed(180212,26936,5);Ed(180229,26936,2);Ed(180238,26936,3);Ed(180254,26936,0);Ed(180264,26936,1);Ed(180281,26936,1);Ed(180300,26936,2);Ed(180317,26936,1);Ed(180339,26936,128);Ed(180362,26936,1);Ed(180383,26936,4);Ed(180413,26936,64);Ed(180440,26936,2);Ed(180468,26936,24);Ed(180494,26936,8);Ed(180513,26936,32);Ed(180537,26936,0);Ed(180552,26936,16384);Ed(180573,26944,7);Ed(180589,26944,-65536);Ed(180605,26936,1124007936);Ed(180620,26936,32768);Ed(180640,26944,4095);Ed(180655,26936,2);Ed(180684,26936,1);Ed(180711,26936,4);Ed(180740,26936,0);Ed(180754,26936,8);Ed(180773,26936,16);Ed(180790,26936,0);Ed(180808,26936,256);Ed(180823,26936,589824);Ed(180848,26936,524288);Ed(180874,26936,393216);Ed(180891,26936,1073741824);Ed(180914,26936,-2147483648);Ed(180937,26936,2031616);Ed(180959,26936,16);Ed(180982,26936,65536);Ed(180998,26936,131072);Ed(181015,26936,0);Ed(181032,26936,458752);Ed(181058,26936,917504);Ed(181080,26936,983040);Ed(181106,26936,786432);Ed(181134,26936,196608);Ed(181157,26936,851968);Ed(181193,26936,327680);Ed(181220,26936,720896);Ed(181248,26936,262144);Ed(181278,26936,655360);Ed(181295,26936,8);Ed(181323,26936,4);Ed(181351,26936,32);Ed(181379,26936,16);Ed(181407,26936,64);Ed(181435,26936,2);Ed(181462,26936,1);Ed(181489,26936,127);Ed(181517,26936,125);Ed(181552,26936,96);Ed(181580,26936,2147483647);Ed(181605,26936,-21);Ed(181614,26936,-18);Ed(181630,26936,-24);Ed(181637,26936,-22);Ed(181649,26936,-12);Ed(181660,26936,-17);Ed(181669,26936,-10);Ed(181682,26936,-14);Ed(181698,26936,-16);Ed(181714,26936,-15);Ed(181729,26936,-11);Ed(181739,26936,-19);Ed(181748,26936,-20);Ed(181758,26936,-25);Ed(181769,26936,-13);Ed(181777,26936,-23);Ed(181789,26936,-217);Ed(181805,26936,-216);Ed(181821,26936,-9);Ed(181834,26936,-26);Ed(181846,26936,-220);Ed(181865,26936,-221);Ed(181890,26936,-222);Ed(181906,26936,-223);Ed(181925,26936,-219);Ed(181944,26936,-218);Ed(181963,26936,-215);Ed(181973,26936,-8);Ed(181986,26936,-1);Ed(181999,26936,-5);Ed(182009,26936,-206);Ed(182020,26936,-6);Ed(182031,26936,-208);Ed(182042,26936,-214);Ed(182057,26936,-207);Ed(182069,26936,-201);Ed(182080,26936,-202);Ed(182093,26936,-2);Ed(182102,26936,-31);Ed(182121,26936,-29);Ed(182147,26936,-203);Ed(182170,26936,-3);Ed(182182,26936,-30);Ed(182208,26936,-7);Ed(182218,26936,-4);Ed(182227,26936,-213);Ed(182245,26936,-27);Ed(182256,26936,-204);Ed(182274,26936,0);Ed(182280,26936,-211);Ed(182294,26936,-212);Ed(182308,26936,-205);Ed(182328,26936,-209);Ed(182346,26936,-210);Ed(182367,26936,-28);Ed(182383,26936,0);Ed(182395,26936,1);Ed(182403,26936,5);Ed(182411,26936,6);Ed(182419,26936,3);Ed(182427,26936,4);Ed(182435,26936,2);Ed(182443,26936,0);Ed(182463,26936,1);Ed(182482,26936,2);Ed(182511,26936,3);Ed(182530,26936,0);Ed(182545,26936,3);Ed(182563,26936,1);Ed(182581,26936,2);Ed(182604,26936,2);Ed(182628,26936,1);Ed(182642,26936,0);Ed(182653,26936,1);Ed(182662,26936,2);Ed(182674,26936,0);Ed(182685,26936,3);Ed(182694,26936,0);Ed(182707,26936,1);Ed(182719,26936,2);return}function Tr(a,b,c){a=a|0;b=b|0;c=c|0;SQ(a,b,294577,465158,c);return}function Ur(a){a=a|0;od(a|0)|0;Rnc()}function Vr(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+16|0;g=e;if((b[527568]|0)==0?src(527568)|0:0){h=Xe(2,27016)|0;f[134452]=h}h=f[134452]|0;i=Bmc(8)|0;f[i>>2]=f[d>>2];f[i+4>>2]=f[d+4>>2];f[g>>2]=i;cd(h|0,a|0,c|0,g|0);u=e;return}function Wr(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+16|0;g=e;if((b[527576]|0)==0?src(527576)|0:0){h=Xe(2,27024)|0;f[134453]=h}h=f[134453]|0;i=Bmc(20)|0;f[i>>2]=f[d>>2];f[i+4>>2]=f[d+4>>2];f[i+8>>2]=f[d+8>>2];f[i+12>>2]=f[d+12>>2];f[i+16>>2]=f[d+16>>2];f[g>>2]=i;cd(h|0,a|0,c|0,g|0);u=e;return}function Xr(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+16|0;g=e;if((b[527584]|0)==0?src(527584)|0:0){h=Xe(2,27032)|0;f[134454]=h}h=f[134454]|0;i=Bmc(16)|0;f[i>>2]=f[d>>2];f[i+4>>2]=f[d+4>>2];f[i+8>>2]=f[d+8>>2];f[i+12>>2]=f[d+12>>2];f[g>>2]=i;cd(h|0,a|0,c|0,g|0);u=e;return}function Yr(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=f[c>>2]|0;if((d|0)==(f[a+8>>2]|0)){bs(a,b);return}else{f[d>>2]=f[b>>2];f[c>>2]=d+4;return}}function Zr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=a+4|0;e=f[d>>2]|0;g=f[a>>2]|0;h=e-g>>2;i=e;if(h>>>0<b>>>0){cs(a,b-h|0,c);return}if(h>>>0<=b>>>0)return;h=g+(b<<2)|0;if((i|0)==(h|0))return;f[d>>2]=i+(~((i+-4-h|0)>>>2)<<2);return}function _r(a){a=a|0;return (f[a+4>>2]|0)-(f[a>>2]|0)>>2|0}function $r(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;g=f[b>>2]|0;if((f[b+4>>2]|0)-g>>2>>>0<=c>>>0){h=1;f[a>>2]=h;u=d;return}f[e>>2]=f[g+(c<<2)>>2];h=ze(26936,e|0)|0;f[a>>2]=h;u=d;return}function as(a,b,c){a=a|0;b=b|0;c=c|0;f[(f[a>>2]|0)+(b<<2)>>2]=f[c>>2];return 1}function bs(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;Emc(d);return}function cs(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=a+8|0;e=f[d>>2]|0;g=a+4|0;h=f[g>>2]|0;i=h;if(e-h>>2>>>0>=b>>>0){j=b;k=i;while(1){f[k>>2]=f[c>>2];j=j+-1|0;if(!j)break;else k=k+4|0}f[g>>2]=i+(b<<2);return}i=f[a>>2]|0;k=h-i|0;h=k>>2;j=h+b|0;if(j>>>0>1073741823)Ukc(a);l=e-i|0;e=l>>1;m=l>>2>>>0<536870911?(e>>>0<j>>>0?j:e):1073741823;do if(m)if(m>>>0>1073741823){e=ye(8)|0;Jmc(e,511852);f[e>>2]=165276;Gf(e|0,26776,1555)}else{n=Bmc(m<<2)|0;break}else n=0;while(0);e=n+(h<<2)|0;j=n+(m<<2)|0;m=b;n=e;while(1){f[n>>2]=f[c>>2];m=m+-1|0;if(!m)break;else n=n+4|0}n=e+(0-h<<2)|0;if((k|0)>0)Krc(n|0,i|0,k|0)|0;f[a>>2]=n;f[g>>2]=e+(b<<2);f[d>>2]=j;if(!i)return;Emc(i);return}function ds(a){a=a|0;return 8872}function es(a){a=a|0;var b=0,c=0,d=0;if(!a)return;b=f[a>>2]|0;if(b|0){c=a+4|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}Emc(a);return}function fs(){var a=0;a=Bmc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;return a|0}function gs(a){a=a|0;return wi[a&31]()|0}function hs(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+16|0;e=d;g=f[a>>2]|0;h=f[a+4>>2]|0;a=b+(h>>1)|0;if(!(h&1))i=g;else i=f[(f[a>>2]|0)+g>>2]|0;f[e>>2]=c;xh[i&2047](a,e);u=d;return}function is(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+16|0;g=e;h=f[a>>2]|0;i=f[a+4>>2]|0;a=b+(i>>1)|0;if(!(i&1))j=h;else j=f[(f[a>>2]|0)+h>>2]|0;f[g>>2]=d;Yh[j&511](a,c,g);u=e;return}function js(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a>>2]|0;d=f[a+4>>2]|0;a=b+(d>>1)|0;if(!(d&1))e=c;else e=f[(f[a>>2]|0)+c>>2]|0;return ci[e&1023](a)|0}function ks(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;Yh[f[a>>2]&511](e,b,c);rf(f[e>>2]|0);c=f[e>>2]|0;Zd(c|0);u=d;return c|0}function ls(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+16|0;g=e;h=f[a>>2]|0;f[g>>2]=d;d=ki[h&511](b,c,g)|0;u=e;return d|0}function ms(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=f[c>>2]|0;if((d|0)==(f[a+8>>2]|0)){rs(a,b);return}else{f[d>>2]=f[b>>2];f[c>>2]=d+4;return}}function ns(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=a+4|0;e=f[d>>2]|0;g=f[a>>2]|0;h=e-g>>2;i=e;if(h>>>0<b>>>0){ss(a,b-h|0,c);return}if(h>>>0<=b>>>0)return;h=g+(b<<2)|0;if((i|0)==(h|0))return;f[d>>2]=i+(~((i+-4-h|0)>>>2)<<2);return}function os(a){a=a|0;return (f[a+4>>2]|0)-(f[a>>2]|0)>>2|0}function ps(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;g=f[b>>2]|0;if((f[b+4>>2]|0)-g>>2>>>0<=c>>>0){h=1;f[a>>2]=h;u=d;return}f[e>>2]=f[g+(c<<2)>>2];h=ze(26968,e|0)|0;f[a>>2]=h;u=d;return}function qs(a,b,c){a=a|0;b=b|0;c=c|0;f[(f[a>>2]|0)+(b<<2)>>2]=f[c>>2];return 1}function rs(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;Emc(d);return}function ss(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=a+8|0;e=f[d>>2]|0;g=a+4|0;h=f[g>>2]|0;if(e-h>>2>>>0>=b>>>0){i=h+(b<<2)|0;j=b;k=h;while(1){f[k>>2]=f[c>>2];j=j+-1|0;if(!j)break;else k=k+4|0}f[g>>2]=i;return}i=f[a>>2]|0;k=h-i|0;h=k>>2;j=h+b|0;if(j>>>0>1073741823)Ukc(a);l=e-i|0;e=l>>1;m=l>>2>>>0<536870911?(e>>>0<j>>>0?j:e):1073741823;do if(m)if(m>>>0>1073741823){e=ye(8)|0;Jmc(e,511852);f[e>>2]=165276;Gf(e|0,26776,1555)}else{n=Bmc(m<<2)|0;break}else n=0;while(0);e=n+(h<<2)|0;l=n+(m<<2)|0;m=b;b=e;while(1){f[b>>2]=f[c>>2];m=m+-1|0;if(!m)break;else b=b+4|0}b=e+(0-h<<2)|0;if((k|0)>0)Krc(b|0,i|0,k|0)|0;f[a>>2]=b;f[g>>2]=n+(j<<2);f[d>>2]=l;if(!i)return;Emc(i);return}function ts(a){a=a|0;return 8960}function us(a){a=a|0;var b=0,c=0,d=0;if(!a)return;b=f[a>>2]|0;if(b|0){c=a+4|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}Emc(a);return}function vs(){var a=0;a=Bmc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;return a|0}function ws(a){a=a|0;return wi[a&31]()|0}function xs(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+16|0;e=d;g=f[a>>2]|0;h=f[a+4>>2]|0;a=b+(h>>1)|0;if(!(h&1))i=g;else i=f[(f[a>>2]|0)+g>>2]|0;n[e>>2]=c;xh[i&2047](a,e);u=d;return}function ys(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+16|0;g=e;h=f[a>>2]|0;i=f[a+4>>2]|0;a=b+(i>>1)|0;if(!(i&1))j=h;else j=f[(f[a>>2]|0)+h>>2]|0;n[g>>2]=d;Yh[j&511](a,c,g);u=e;return}function zs(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a>>2]|0;d=f[a+4>>2]|0;a=b+(d>>1)|0;if(!(d&1))e=c;else e=f[(f[a>>2]|0)+c>>2]|0;return ci[e&1023](a)|0}function As(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;Yh[f[a>>2]&511](e,b,c);rf(f[e>>2]|0);c=f[e>>2]|0;Zd(c|0);u=d;return c|0}function Bs(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0;e=u;u=u+16|0;g=e;h=f[a>>2]|0;n[g>>2]=d;a=ki[h&511](b,c,g)|0;u=e;return a|0}function Cs(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=f[c>>2]|0;if((d|0)==(f[a+8>>2]|0)){Hs(a,b);return}else{p[d>>3]=+p[b>>3];f[c>>2]=d+8;return}}function Ds(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=a+4|0;e=f[d>>2]|0;g=f[a>>2]|0;h=e-g>>3;i=e;if(h>>>0<b>>>0){Is(a,b-h|0,c);return}if(h>>>0<=b>>>0)return;h=g+(b<<3)|0;if((i|0)==(h|0))return;f[d>>2]=i+(~((i+-8-h|0)>>>3)<<3);return}function Es(a){a=a|0;return (f[a+4>>2]|0)-(f[a>>2]|0)>>3|0}function Fs(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;g=f[b>>2]|0;if((f[b+4>>2]|0)-g>>3>>>0<=c>>>0){h=1;f[a>>2]=h;u=d;return}p[e>>3]=+p[g+(c<<3)>>3];h=ze(26976,e|0)|0;f[a>>2]=h;u=d;return}function Gs(a,b,c){a=a|0;b=b|0;c=c|0;p[(f[a>>2]|0)+(b<<3)>>3]=+p[c>>3];return 1}function Hs(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>3;h=g+1|0;if(h>>>0>536870911)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>2;l=j>>3>>>0<268435455?(k>>>0<h>>>0?h:k):536870911;do if(l)if(l>>>0>536870911){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<3)|0;break}else m=0;while(0);k=m+(g<<3)|0;p[k>>3]=+p[b>>3];b=k+(0-g<<3)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+8;f[i>>2]=m+(l<<3);if(!d)return;Emc(d);return}function Is(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=a+8|0;e=f[d>>2]|0;g=a+4|0;h=f[g>>2]|0;i=h;if(e-h>>3>>>0>=b>>>0){j=b;k=i;while(1){p[k>>3]=+p[c>>3];j=j+-1|0;if(!j)break;else k=k+8|0}f[g>>2]=i+(b<<3);return}i=f[a>>2]|0;k=h-i|0;h=k>>3;j=h+b|0;if(j>>>0>536870911)Ukc(a);l=e-i|0;e=l>>2;m=l>>3>>>0<268435455?(e>>>0<j>>>0?j:e):536870911;do if(m)if(m>>>0>536870911){e=ye(8)|0;Jmc(e,511852);f[e>>2]=165276;Gf(e|0,26776,1555)}else{n=Bmc(m<<3)|0;break}else n=0;while(0);e=n+(h<<3)|0;j=n+(m<<3)|0;m=b;n=e;while(1){p[n>>3]=+p[c>>3];m=m+-1|0;if(!m)break;else n=n+8|0}n=e+(0-h<<3)|0;if((k|0)>0)Krc(n|0,i|0,k|0)|0;f[a>>2]=n;f[g>>2]=e+(b<<3);f[d>>2]=j;if(!i)return;Emc(i);return}function Js(a){a=a|0;return 9040}function Ks(a){a=a|0;var b=0,c=0,d=0;if(!a)return;b=f[a>>2]|0;if(b|0){c=a+4|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-8-b|0)>>>3)<<3);Emc(b)}Emc(a);return}function Ls(){var a=0;a=Bmc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;return a|0}function Ms(a){a=a|0;return wi[a&31]()|0}function Ns(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+16|0;e=d;g=f[a>>2]|0;h=f[a+4>>2]|0;a=b+(h>>1)|0;if(!(h&1))i=g;else i=f[(f[a>>2]|0)+g>>2]|0;p[e>>3]=c;xh[i&2047](a,e);u=d;return}function Os(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+16|0;g=e;h=f[a>>2]|0;i=f[a+4>>2]|0;a=b+(i>>1)|0;if(!(i&1))j=h;else j=f[(f[a>>2]|0)+h>>2]|0;p[g>>3]=d;Yh[j&511](a,c,g);u=e;return}function Ps(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a>>2]|0;d=f[a+4>>2]|0;a=b+(d>>1)|0;if(!(d&1))e=c;else e=f[(f[a>>2]|0)+c>>2]|0;return ci[e&1023](a)|0}function Qs(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;Yh[f[a>>2]&511](e,b,c);rf(f[e>>2]|0);c=f[e>>2]|0;Zd(c|0);u=d;return c|0}function Rs(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0;e=u;u=u+16|0;g=e;h=f[a>>2]|0;p[g>>3]=d;a=ki[h&511](b,c,g)|0;u=e;return a|0}function Ss(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=f[c>>2]|0;if((d|0)==(f[a+8>>2]|0)){Xs(a,b);return}else{f[d>>2]=f[b>>2];f[d+4>>2]=f[b+4>>2];f[c>>2]=d+8;return}}function Ts(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=a+4|0;e=f[d>>2]|0;g=f[a>>2]|0;h=e-g>>3;i=e;if(h>>>0<b>>>0){Ys(a,b-h|0,c);return}if(h>>>0<=b>>>0)return;h=g+(b<<3)|0;if((i|0)==(h|0))return;f[d>>2]=i+(~((i+-8-h|0)>>>3)<<3);return}function Us(a){a=a|0;return (f[a+4>>2]|0)-(f[a>>2]|0)>>3|0}function Vs(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+16|0;e=d;g=f[b>>2]|0;h=g;if((f[b+4>>2]|0)-g>>3>>>0<=c>>>0){i=1;f[a>>2]=i;u=d;return}g=Bmc(8)|0;f[g>>2]=f[h+(c<<3)>>2];f[g+4>>2]=f[h+(c<<3)+4>>2];f[e>>2]=g;i=ze(9176,e|0)|0;f[a>>2]=i;u=d;return}function Ws(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=f[a>>2]|0;f[d+(b<<3)>>2]=f[c>>2];f[d+(b<<3)+4>>2]=f[c+4>>2];return 1}function Xs(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=d-e>>3;h=g+1|0;i=e;j=d;if(h>>>0>536870911)Ukc(a);d=a+8|0;k=(f[d>>2]|0)-e|0;l=k>>2;m=k>>3>>>0<268435455?(l>>>0<h>>>0?h:l):536870911;do if(m)if(m>>>0>536870911){l=ye(8)|0;Jmc(l,511852);f[l>>2]=165276;Gf(l|0,26776,1555)}else{n=Bmc(m<<3)|0;break}else n=0;while(0);l=n+(g<<3)|0;h=n+(m<<3)|0;f[l>>2]=f[b>>2];f[n+(g<<3)+4>>2]=f[b+4>>2];b=l+8|0;if((j|0)==(i|0))o=l;else{g=j+-8-e|0;n=j;j=l;while(1){m=n;n=n+-8|0;f[j+-8>>2]=f[n>>2];f[j+-4>>2]=f[m+-4>>2];if((n|0)==(i|0))break;else j=j+-8|0}o=l+(~(g>>>3)<<3)|0}f[a>>2]=o;f[c>>2]=b;f[d>>2]=h;if(!e)return;Emc(e);return}function Ys(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=a+8|0;e=f[d>>2]|0;g=a+4|0;h=f[g>>2]|0;i=h;if(e-h>>3>>>0>=b>>>0){j=c+4|0;k=b;l=i;while(1){f[l>>2]=f[c>>2];f[l+4>>2]=f[j>>2];k=k+-1|0;if(!k)break;else l=l+8|0}f[g>>2]=i+(b<<3);return}l=f[a>>2]|0;k=h-l>>3;h=k+b|0;j=l;if(h>>>0>536870911)Ukc(a);m=e-l|0;e=m>>2;n=m>>3>>>0<268435455?(e>>>0<h>>>0?h:e):536870911;do if(n)if(n>>>0>536870911){e=ye(8)|0;Jmc(e,511852);f[e>>2]=165276;Gf(e|0,26776,1555)}else{o=Bmc(n<<3)|0;break}else o=0;while(0);e=o+(k<<3)|0;k=o+(n<<3)|0;n=c+4|0;o=b;h=e;while(1){f[h>>2]=f[c>>2];f[h+4>>2]=f[n>>2];o=o+-1|0;if(!o)break;else h=h+8|0}h=k;k=e+(b<<3)|0;if((i|0)==(j|0)){p=e;q=l}else{b=i+-8-l|0;l=i;i=e;while(1){o=l;l=l+-8|0;f[i+-8>>2]=f[l>>2];f[i+-4>>2]=f[o+-4>>2];if((l|0)==(j|0))break;else i=i+-8|0}p=e+(~(b>>>3)<<3)|0;q=f[a>>2]|0}f[a>>2]=p;f[g>>2]=k;f[d>>2]=h;if(!q)return;Emc(q);return}function Zs(a){a=a|0;return 9120}function _s(a){a=a|0;var b=0,c=0,d=0;if(!a)return;b=f[a>>2]|0;if(b|0){c=a+4|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-8-b|0)>>>3)<<3);Emc(b)}Emc(a);return}function $s(){var a=0;a=Bmc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;return a|0}function at(a){a=a|0;return wi[a&31]()|0}function bt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=f[a>>2]|0;e=f[a+4>>2]|0;a=b+(e>>1)|0;if(!(e&1)){g=d;xh[g&2047](a,c);return}else{g=f[(f[a>>2]|0)+d>>2]|0;xh[g&2047](a,c);return}}function ct(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=f[a>>2]|0;g=f[a+4>>2]|0;a=b+(g>>1)|0;if(!(g&1)){h=e;Yh[h&511](a,c,d);return}else{h=f[(f[a>>2]|0)+e>>2]|0;Yh[h&511](a,c,d);return}}function dt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a>>2]|0;d=f[a+4>>2]|0;a=b+(d>>1)|0;if(!(d&1))e=c;else e=f[(f[a>>2]|0)+c>>2]|0;return ci[e&1023](a)|0}function et(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;Yh[f[a>>2]&511](e,b,c);rf(f[e>>2]|0);c=f[e>>2]|0;Zd(c|0);u=d;return c|0}function ft(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return ki[f[a>>2]&511](b,c,d)|0}function gt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+4|0;d=f[c>>2]|0;if((d|0)==(f[a+8>>2]|0)){lt(a,b);return}f[d>>2]=f[b>>2];a=d+4|0;e=b+4|0;f[a>>2]=f[e>>2];g=d+8|0;f[g>>2]=f[b+8>>2];f[d+12>>2]=f[b+12>>2];f[d+16>>2]=f[b+16>>2];f[d+20>>2]=f[b+20>>2];f[d+24>>2]=f[b+24>>2];f[d+28>>2]=f[b+28>>2];f[d+32>>2]=f[b+32>>2];h=f[b+36>>2]|0;f[d+36>>2]=h;f[d+40>>2]=g;g=d+48|0;i=d+44|0;f[i>>2]=g;f[g>>2]=0;f[d+52>>2]=0;if(h|0){g=h+12|0;f[g>>2]=(f[g>>2]|0)+1}if((f[e>>2]|0)<3){e=f[b+44>>2]|0;g=f[i>>2]|0;f[g>>2]=f[e>>2];f[g+4>>2]=f[e+4>>2]}else{f[a>>2]=0;kP(d,b)}f[c>>2]=(f[c>>2]|0)+56;return}function ht(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=a+4|0;e=f[d>>2]|0;g=f[a>>2]|0;h=(e-g|0)/56|0;i=e;if(h>>>0<b>>>0){ot(a,b-h|0,c);return}if(h>>>0<=b>>>0)return;h=g+(b*56|0)|0;if((i|0)==(h|0))return;else j=i;do{i=j+-56|0;f[d>>2]=i;b=j+-20|0;g=f[b>>2]|0;if(g|0?(c=g+12|0,g=f[c>>2]|0,f[c>>2]=g+-1,(g|0)==1):0)lP(i);f[b>>2]=0;b=j+-40|0;i=j+-52|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[i>>2]|0)>0){b=f[j+-16>>2]|0;g=0;do{f[b+(g<<2)>>2]=0;g=g+1|0}while((g|0)<(f[i>>2]|0))}i=f[j+-12>>2]|0;if((i|0)!=(j+-8|0))tE(i);j=f[d>>2]|0}while((j|0)!=(h|0));return}function it(a){a=a|0;return ((f[a+4>>2]|0)-(f[a>>2]|0)|0)/56|0|0}function jt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;g=f[b>>2]|0;if((((f[b+4>>2]|0)-g|0)/56|0)>>>0<=c>>>0){h=1;f[a>>2]=h;u=d;return}b=yt(g+(c*56|0)|0)|0;f[e>>2]=b;h=ze(9264,e|0)|0;f[a>>2]=h;u=d;return}function kt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=f[a>>2]|0;a=d+(b*56|0)|0;if((a|0)==(c|0))return 1;e=c+36|0;g=f[e>>2]|0;if(g|0){h=g+12|0;f[h>>2]=(f[h>>2]|0)+1}h=d+(b*56|0)+36|0;g=f[h>>2]|0;if(g|0?(i=g+12|0,g=f[i>>2]|0,f[i>>2]=g+-1,(g|0)==1):0)lP(a);f[h>>2]=0;g=d+(b*56|0)+16|0;i=d+(b*56|0)+4|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[i>>2]|0)>0){j=f[d+(b*56|0)+40>>2]|0;k=0;do{f[j+(k<<2)>>2]=0;k=k+1|0;l=f[i>>2]|0}while((k|0)<(l|0));f[a>>2]=f[c>>2];if((l|0)<3)m=12;else m=14}else{f[a>>2]=f[c>>2];m=12}if((m|0)==12){l=f[c+4>>2]|0;if((l|0)<3){f[i>>2]=l;f[d+(b*56|0)+8>>2]=f[c+8>>2];f[d+(b*56|0)+12>>2]=f[c+12>>2];l=f[c+44>>2]|0;i=f[d+(b*56|0)+44>>2]|0;f[i>>2]=f[l>>2];f[i+4>>2]=f[l+4>>2]}else m=14}if((m|0)==14)kP(a,c);f[g>>2]=f[c+16>>2];f[d+(b*56|0)+20>>2]=f[c+20>>2];f[d+(b*56|0)+24>>2]=f[c+24>>2];f[d+(b*56|0)+28>>2]=f[c+28>>2];f[d+(b*56|0)+32>>2]=f[c+32>>2];f[h>>2]=f[e>>2];return 1}function lt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+32|0;d=c;e=f[a>>2]|0;g=((f[a+4>>2]|0)-e|0)/56|0;h=g+1|0;if(h>>>0>76695844)Ukc(a);i=((f[a+8>>2]|0)-e|0)/56|0;e=i<<1;j=i>>>0<38347922?(e>>>0<h>>>0?h:e):76695844;f[d+12>>2]=0;f[d+16>>2]=a+8;do if(j)if(j>>>0>76695844){e=ye(8)|0;Jmc(e,511852);f[e>>2]=165276;Gf(e|0,26776,1555)}else{k=Bmc(j*56|0)|0;break}else k=0;while(0);f[d>>2]=k;e=k+(g*56|0)|0;h=d+8|0;f[h>>2]=e;f[d+4>>2]=e;f[d+12>>2]=k+(j*56|0);f[e>>2]=f[b>>2];j=k+(g*56|0)+4|0;i=b+4|0;l=f[i>>2]|0;f[j>>2]=l;m=k+(g*56|0)+8|0;f[m>>2]=f[b+8>>2];f[k+(g*56|0)+12>>2]=f[b+12>>2];f[k+(g*56|0)+16>>2]=f[b+16>>2];f[k+(g*56|0)+20>>2]=f[b+20>>2];f[k+(g*56|0)+24>>2]=f[b+24>>2];f[k+(g*56|0)+28>>2]=f[b+28>>2];f[k+(g*56|0)+32>>2]=f[b+32>>2];n=f[b+36>>2]|0;f[k+(g*56|0)+36>>2]=n;f[k+(g*56|0)+40>>2]=m;m=k+(g*56|0)+48|0;o=k+(g*56|0)+44|0;f[o>>2]=m;f[m>>2]=0;f[k+(g*56|0)+52>>2]=0;if(!n)p=l;else{l=n+12|0;f[l>>2]=(f[l>>2]|0)+1;p=f[i>>2]|0}if((p|0)<3){p=f[b+44>>2]|0;i=f[o>>2]|0;f[i>>2]=f[p>>2];f[i+4>>2]=f[p+4>>2];q=f[h>>2]|0;r=q+56|0;f[h>>2]=r;mt(a,d);nt(d);u=c;return}else{f[j>>2]=0;kP(e,b);q=f[h>>2]|0;r=q+56|0;f[h>>2]=r;mt(a,d);nt(d);u=c;return}}function mt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;c=f[a>>2]|0;d=a+4|0;e=f[d>>2]|0;g=b+4|0;if((e|0)==(c|0)){h=g;i=a;j=f[g>>2]|0;k=c;f[i>>2]=j;f[h>>2]=k;l=b+8|0;m=f[d>>2]|0;n=f[l>>2]|0;f[d>>2]=n;f[l>>2]=m;o=a+8|0;p=b+12|0;q=f[o>>2]|0;r=f[p>>2]|0;f[o>>2]=r;f[p>>2]=q;s=f[h>>2]|0;f[b>>2]=s;return}t=e;e=f[g>>2]|0;do{u=e+-56|0;v=t;t=t+-56|0;f[u>>2]=f[t>>2];w=e+-52|0;x=v+-52|0;f[w>>2]=f[x>>2];y=e+-48|0;f[y>>2]=f[v+-48>>2];f[e+-44>>2]=f[v+-44>>2];f[e+-40>>2]=f[v+-40>>2];f[e+-36>>2]=f[v+-36>>2];f[e+-32>>2]=f[v+-32>>2];f[e+-28>>2]=f[v+-28>>2];f[e+-24>>2]=f[v+-24>>2];z=f[v+-20>>2]|0;f[e+-20>>2]=z;f[e+-16>>2]=y;y=e+-8|0;A=e+-12|0;f[A>>2]=y;f[y>>2]=0;f[e+-4>>2]=0;if(z|0){y=z+12|0;f[y>>2]=(f[y>>2]|0)+1}if((f[x>>2]|0)<3){x=f[v+-12>>2]|0;v=f[A>>2]|0;f[v>>2]=f[x>>2];f[v+4>>2]=f[x+4>>2]}else{f[w>>2]=0;kP(u,t)}e=(f[g>>2]|0)+-56|0;f[g>>2]=e}while((t|0)!=(c|0));h=g;i=a;j=e;k=f[a>>2]|0;f[i>>2]=j;f[h>>2]=k;l=b+8|0;m=f[d>>2]|0;n=f[l>>2]|0;f[d>>2]=n;f[l>>2]=m;o=a+8|0;p=b+12|0;q=f[o>>2]|0;r=f[p>>2]|0;f[o>>2]=r;f[p>>2]=q;s=f[h>>2]|0;f[b>>2]=s;return}function nt(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;b=f[a+4>>2]|0;c=a+8|0;d=f[c>>2]|0;if((d|0)!=(b|0)){e=d;do{d=e+-56|0;f[c>>2]=d;g=e+-20|0;h=f[g>>2]|0;if(h|0?(i=h+12|0,h=f[i>>2]|0,f[i>>2]=h+-1,(h|0)==1):0)lP(d);f[g>>2]=0;g=e+-40|0;d=e+-52|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[d>>2]|0)>0){g=f[e+-16>>2]|0;h=0;do{f[g+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[d>>2]|0))}d=f[e+-12>>2]|0;if((d|0)!=(e+-8|0))tE(d);e=f[c>>2]|0}while((e|0)!=(b|0))}b=f[a>>2]|0;if(!b)return;Emc(b);return}function ot(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+32|0;e=d;g=f[a+8>>2]|0;h=a+4|0;i=f[h>>2]|0;if(((g-i|0)/56|0)>>>0>=b>>>0){j=c+4|0;k=c+8|0;l=c+12|0;m=c+16|0;n=c+20|0;o=c+24|0;p=c+28|0;q=c+32|0;r=c+36|0;s=c+44|0;t=b;v=i;do{f[v>>2]=f[c>>2];w=v+4|0;f[w>>2]=f[j>>2];x=v+8|0;f[x>>2]=f[k>>2];f[v+12>>2]=f[l>>2];f[v+16>>2]=f[m>>2];f[v+20>>2]=f[n>>2];f[v+24>>2]=f[o>>2];f[v+28>>2]=f[p>>2];f[v+32>>2]=f[q>>2];y=f[r>>2]|0;f[v+36>>2]=y;f[v+40>>2]=x;x=v+48|0;z=v+44|0;f[z>>2]=x;f[x>>2]=0;f[v+52>>2]=0;if(y|0){x=y+12|0;f[x>>2]=(f[x>>2]|0)+1}if((f[j>>2]|0)<3){x=f[s>>2]|0;y=f[z>>2]|0;f[y>>2]=f[x>>2];f[y+4>>2]=f[x+4>>2]}else{f[w>>2]=0;kP(v,c)}v=(f[h>>2]|0)+56|0;f[h>>2]=v;t=t+-1|0}while((t|0)!=0);u=d;return}t=f[a>>2]|0;v=(i-t|0)/56|0;i=v+b|0;if(i>>>0>76695844)Ukc(a);h=(g-t|0)/56|0;t=h<<1;g=h>>>0<38347922?(t>>>0<i>>>0?i:t):76695844;f[e+12>>2]=0;f[e+16>>2]=a+8;do if(g)if(g>>>0>76695844){t=ye(8)|0;Jmc(t,511852);f[t>>2]=165276;Gf(t|0,26776,1555)}else{A=Bmc(g*56|0)|0;break}else A=0;while(0);f[e>>2]=A;t=A+(v*56|0)|0;v=e+8|0;f[v>>2]=t;f[e+4>>2]=t;f[e+12>>2]=A+(g*56|0);g=c+4|0;A=c+8|0;i=c+12|0;h=c+16|0;s=c+20|0;j=c+24|0;r=c+28|0;q=c+32|0;p=c+36|0;o=c+44|0;n=b;b=t;do{f[b>>2]=f[c>>2];t=b+4|0;f[t>>2]=f[g>>2];m=b+8|0;f[m>>2]=f[A>>2];f[b+12>>2]=f[i>>2];f[b+16>>2]=f[h>>2];f[b+20>>2]=f[s>>2];f[b+24>>2]=f[j>>2];f[b+28>>2]=f[r>>2];f[b+32>>2]=f[q>>2];l=f[p>>2]|0;f[b+36>>2]=l;f[b+40>>2]=m;m=b+48|0;k=b+44|0;f[k>>2]=m;f[m>>2]=0;f[b+52>>2]=0;if(l|0){m=l+12|0;f[m>>2]=(f[m>>2]|0)+1}if((f[g>>2]|0)<3){m=f[o>>2]|0;l=f[k>>2]|0;f[l>>2]=f[m>>2];f[l+4>>2]=f[m+4>>2]}else{f[t>>2]=0;kP(b,c)}b=(f[v>>2]|0)+56|0;f[v>>2]=b;n=n+-1|0}while((n|0)!=0);mt(a,e);nt(e);u=d;return}function pt(a){a=a|0;return 9208}function qt(a){a=a|0;if(!a)return;rt(a);Emc(a);return}function rt(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a>>2]|0;if(!b)return;c=a+4|0;d=f[c>>2]|0;if((d|0)==(b|0))e=b;else{g=d;do{d=g+-56|0;f[c>>2]=d;h=g+-20|0;i=f[h>>2]|0;if(i|0?(j=i+12|0,i=f[j>>2]|0,f[j>>2]=i+-1,(i|0)==1):0)lP(d);f[h>>2]=0;h=g+-40|0;d=g+-52|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[d>>2]|0)>0){h=f[g+-16>>2]|0;i=0;do{f[h+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[d>>2]|0))}d=f[g+-12>>2]|0;if((d|0)!=(g+-8|0))tE(d);g=f[c>>2]|0}while((g|0)!=(b|0));e=f[a>>2]|0}Emc(e);return}function st(){var a=0;a=Bmc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;return a|0}function tt(a){a=a|0;return wi[a&31]()|0}function ut(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=f[a>>2]|0;e=f[a+4>>2]|0;a=b+(e>>1)|0;if(!(e&1)){g=d;xh[g&2047](a,c);return}else{g=f[(f[a>>2]|0)+d>>2]|0;xh[g&2047](a,c);return}}function vt(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=f[a>>2]|0;g=f[a+4>>2]|0;a=b+(g>>1)|0;if(!(g&1)){h=e;Yh[h&511](a,c,d);return}else{h=f[(f[a>>2]|0)+e>>2]|0;Yh[h&511](a,c,d);return}}function wt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a>>2]|0;d=f[a+4>>2]|0;a=b+(d>>1)|0;if(!(d&1))e=c;else e=f[(f[a>>2]|0)+c>>2]|0;return ci[e&1023](a)|0}function xt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;Yh[f[a>>2]&511](e,b,c);rf(f[e>>2]|0);c=f[e>>2]|0;Zd(c|0);u=d;return c|0}function yt(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=Bmc(56)|0;f[b>>2]=f[a>>2];c=b+4|0;d=a+4|0;e=f[d>>2]|0;f[c>>2]=e;g=b+8|0;f[g>>2]=f[a+8>>2];f[b+12>>2]=f[a+12>>2];f[b+16>>2]=f[a+16>>2];f[b+20>>2]=f[a+20>>2];f[b+24>>2]=f[a+24>>2];f[b+28>>2]=f[a+28>>2];f[b+32>>2]=f[a+32>>2];h=f[a+36>>2]|0;f[b+36>>2]=h;f[b+40>>2]=g;g=b+48|0;i=b+44|0;f[i>>2]=g;f[g>>2]=0;f[b+52>>2]=0;if(!h)j=e;else{e=h+12|0;f[e>>2]=(f[e>>2]|0)+1;j=f[d>>2]|0}if((j|0)<3){j=f[a+44>>2]|0;d=f[i>>2]|0;f[d>>2]=f[j>>2];f[d+4>>2]=f[j+4>>2];return b|0}else{f[c>>2]=0;kP(b,a);return b|0}return 0}function zt(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return ki[f[a>>2]&511](b,c,d)|0}function At(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=f[c>>2]|0;if((d|0)==(f[a+8>>2]|0)){Ft(a,b);return}else{f[d>>2]=f[b>>2];f[d+4>>2]=f[b+4>>2];f[d+8>>2]=f[b+8>>2];f[d+12>>2]=f[b+12>>2];f[c>>2]=d+16;return}}function Bt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=a+4|0;e=f[d>>2]|0;g=f[a>>2]|0;h=e-g>>4;i=e;if(h>>>0<b>>>0){Gt(a,b-h|0,c);return}if(h>>>0<=b>>>0)return;h=g+(b<<4)|0;if((i|0)==(h|0))return;f[d>>2]=i+(~((i+-16-h|0)>>>4)<<4);return}function Ct(a){a=a|0;return (f[a+4>>2]|0)-(f[a>>2]|0)>>4|0}function Dt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+16|0;e=d;g=f[b>>2]|0;h=g;if((f[b+4>>2]|0)-g>>4>>>0<=c>>>0){i=1;f[a>>2]=i;u=d;return}g=Bmc(16)|0;f[g>>2]=f[h+(c<<4)>>2];f[g+4>>2]=f[h+(c<<4)+4>>2];f[g+8>>2]=f[h+(c<<4)+8>>2];f[g+12>>2]=f[h+(c<<4)+12>>2];f[e>>2]=g;i=ze(8832,e|0)|0;f[a>>2]=i;u=d;return}function Et(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=f[a>>2]|0;f[d+(b<<4)>>2]=f[c>>2];f[d+(b<<4)+4>>2]=f[c+4>>2];f[d+(b<<4)+8>>2]=f[c+8>>2];f[d+(b<<4)+12>>2]=f[c+12>>2];return 1}function Ft(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=d-e>>4;h=g+1|0;i=e;j=d;if(h>>>0>268435455)Ukc(a);d=a+8|0;k=(f[d>>2]|0)-e|0;l=k>>3;m=k>>4>>>0<134217727?(l>>>0<h>>>0?h:l):268435455;do if(m)if(m>>>0>268435455){l=ye(8)|0;Jmc(l,511852);f[l>>2]=165276;Gf(l|0,26776,1555)}else{n=Bmc(m<<4)|0;break}else n=0;while(0);l=n+(g<<4)|0;h=n+(m<<4)|0;f[l>>2]=f[b>>2];f[n+(g<<4)+4>>2]=f[b+4>>2];f[n+(g<<4)+8>>2]=f[b+8>>2];f[n+(g<<4)+12>>2]=f[b+12>>2];b=l+16|0;if((j|0)==(i|0))o=l;else{g=j+-16-e|0;n=j;j=l;while(1){m=n;n=n+-16|0;f[j+-16>>2]=f[n>>2];f[j+-12>>2]=f[m+-12>>2];f[j+-8>>2]=f[m+-8>>2];f[j+-4>>2]=f[m+-4>>2];if((n|0)==(i|0))break;else j=j+-16|0}o=l+(~(g>>>4)<<4)|0}f[a>>2]=o;f[c>>2]=b;f[d>>2]=h;if(!e)return;Emc(e);return}function Gt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=a+8|0;e=f[d>>2]|0;g=a+4|0;h=f[g>>2]|0;i=h;if(e-h>>4>>>0>=b>>>0){j=c+4|0;k=c+8|0;l=c+12|0;m=b;n=i;while(1){f[n>>2]=f[c>>2];f[n+4>>2]=f[j>>2];f[n+8>>2]=f[k>>2];f[n+12>>2]=f[l>>2];m=m+-1|0;if(!m)break;else n=n+16|0}f[g>>2]=i+(b<<4);return}n=f[a>>2]|0;m=h-n>>4;h=m+b|0;l=n;if(h>>>0>268435455)Ukc(a);k=e-n|0;e=k>>3;j=k>>4>>>0<134217727?(e>>>0<h>>>0?h:e):268435455;do if(j)if(j>>>0>268435455){e=ye(8)|0;Jmc(e,511852);f[e>>2]=165276;Gf(e|0,26776,1555)}else{o=Bmc(j<<4)|0;break}else o=0;while(0);e=o+(m<<4)|0;m=o+(j<<4)|0;j=c+4|0;o=c+8|0;h=c+12|0;k=b;p=e;while(1){f[p>>2]=f[c>>2];f[p+4>>2]=f[j>>2];f[p+8>>2]=f[o>>2];f[p+12>>2]=f[h>>2];k=k+-1|0;if(!k)break;else p=p+16|0}p=m;m=e+(b<<4)|0;if((i|0)==(l|0)){q=e;r=n}else{b=i+-16-n|0;n=i;i=e;while(1){k=n;n=n+-16|0;f[i+-16>>2]=f[n>>2];f[i+-12>>2]=f[k+-12>>2];f[i+-8>>2]=f[k+-8>>2];f[i+-4>>2]=f[k+-4>>2];if((n|0)==(l|0))break;else i=i+-16|0}q=e+(~(b>>>4)<<4)|0;r=f[a>>2]|0}f[a>>2]=q;f[g>>2]=m;f[d>>2]=p;if(!r)return;Emc(r);return}function Ht(a){a=a|0;return 9296}function It(a){a=a|0;var b=0,c=0,d=0;if(!a)return;b=f[a>>2]|0;if(b|0){c=a+4|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-16-b|0)>>>4)<<4);Emc(b)}Emc(a);return}function Jt(){var a=0;a=Bmc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;return a|0}function Kt(a){a=a|0;return wi[a&31]()|0}function Lt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=f[a>>2]|0;e=f[a+4>>2]|0;a=b+(e>>1)|0;if(!(e&1)){g=d;xh[g&2047](a,c);return}else{g=f[(f[a>>2]|0)+d>>2]|0;xh[g&2047](a,c);return}}function Mt(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=f[a>>2]|0;g=f[a+4>>2]|0;a=b+(g>>1)|0;if(!(g&1)){h=e;Yh[h&511](a,c,d);return}else{h=f[(f[a>>2]|0)+e>>2]|0;Yh[h&511](a,c,d);return}}function Nt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a>>2]|0;d=f[a+4>>2]|0;a=b+(d>>1)|0;if(!(d&1))e=c;else e=f[(f[a>>2]|0)+c>>2]|0;return ci[e&1023](a)|0}function Ot(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;Yh[f[a>>2]&511](e,b,c);rf(f[e>>2]|0);c=f[e>>2]|0;Zd(c|0);u=d;return c|0}function Pt(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return ki[f[a>>2]&511](b,c,d)|0}function Qt(a){a=a|0;return 9264}function Rt(a){a=a|0;var b=0,c=0,d=0;if(!a)return;b=a+36|0;c=f[b>>2]|0;if(c|0?(d=c+12|0,c=f[d>>2]|0,f[d>>2]=c+-1,(c|0)==1):0)lP(a);f[b>>2]=0;b=a+16|0;c=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[c>>2]|0)>0){b=f[a+40>>2]|0;d=0;do{f[b+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[c>>2]|0))}c=f[a+44>>2]|0;if((c|0)!=(a+48|0))tE(c);Emc(a);return}function St(){var a=0,b=0,c=0,d=0,e=0;a=Bmc(56)|0;f[a>>2]=1124007936;b=a+8|0;c=a+40|0;d=a+4|0;e=d+36|0;do{f[d>>2]=0;d=d+4|0}while((d|0)<(e|0));f[c>>2]=b;b=a+48|0;f[a+44>>2]=b;f[b>>2]=0;f[a+52>>2]=0;return a|0}function Tt(a){a=a|0;return wi[a&31]()|0}function Ut(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=Bmc(56)|0;f[b>>2]=f[a>>2];c=b+4|0;d=a+4|0;e=f[d>>2]|0;f[c>>2]=e;g=b+8|0;f[g>>2]=f[a+8>>2];f[b+12>>2]=f[a+12>>2];f[b+16>>2]=f[a+16>>2];f[b+20>>2]=f[a+20>>2];f[b+24>>2]=f[a+24>>2];f[b+28>>2]=f[a+28>>2];f[b+32>>2]=f[a+32>>2];h=f[a+36>>2]|0;f[b+36>>2]=h;f[b+40>>2]=g;g=b+48|0;i=b+44|0;f[i>>2]=g;f[g>>2]=0;f[b+52>>2]=0;if(!h)j=e;else{e=h+12|0;f[e>>2]=(f[e>>2]|0)+1;j=f[d>>2]|0}if((j|0)<3){j=f[a+44>>2]|0;d=f[i>>2]|0;f[d>>2]=f[j>>2];f[d+4>>2]=f[j+4>>2];return b|0}else{f[c>>2]=0;kP(b,a);return b|0}return 0}function Vt(a,b){a=a|0;b=b|0;return ci[a&1023](b)|0}function Wt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=u;u=u+16|0;d=c;e=Bmc(56)|0;g=f[a>>2]|0;h=f[a+4>>2]|0;a=f[b>>2]|0;f[e>>2]=1124007936;b=e+8|0;i=e+40|0;j=e+4|0;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=b;b=e+48|0;f[e+44>>2]=b;f[b>>2]=0;f[e+52>>2]=0;f[d>>2]=h;f[d+4>>2]=g;iP(e,2,d,a&4095);u=c;return e|0}function Xt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d+8|0;g=d;f[e>>2]=f[b>>2];f[e+4>>2]=f[b+4>>2];f[g>>2]=c;c=Sh[a&511](e,g)|0;u=d;return c|0}function Yt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d;g=Bmc(56)|0;h=f[a>>2]|0;a=f[b>>2]|0;b=f[c>>2]|0;f[g>>2]=1124007936;c=g+8|0;i=g+40|0;j=g+4|0;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=c;c=g+48|0;f[g+44>>2]=c;f[c>>2]=0;f[g+52>>2]=0;f[e>>2]=h;f[e+4>>2]=a;iP(g,2,e,b&4095);u=d;return g|0}function Zt(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+16|0;g=e+8|0;h=e+4|0;i=e;f[g>>2]=b;f[h>>2]=c;f[i>>2]=d;d=ki[a&511](g,h,i)|0;u=e;return d|0}function _t(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e;h=Bmc(56)|0;i=f[a>>2]|0;a=f[b>>2]|0;b=f[c>>2]|0;f[h>>2]=1124007936;c=h+8|0;j=h+40|0;k=h+4|0;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=c;c=h+48|0;f[h+44>>2]=c;f[c>>2]=0;f[h+52>>2]=0;f[g>>2]=i;f[g+4>>2]=a;iP(h,2,g,b&4095);nT(h,d)|0;u=e;return h|0}function $t(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;g=u;u=u+16|0;h=g+8|0;i=g+4|0;j=g;f[h>>2]=b;f[i>>2]=c;f[j>>2]=d;d=Bg[a&127](h,i,j,e)|0;u=g;return d|0}function au(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return lh[a&127](b,c,d,e,f)|0}function bu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+64|0;e=d+8|0;g=d;f[g>>2]=f[b>>2];f[g+4>>2]=f[b+4>>2];Yh[a&511](e,g,c);c=Bmc(56)|0;f[c>>2]=f[e>>2];g=e+4|0;a=f[g>>2]|0;f[c+4>>2]=a;b=c+8|0;h=e+8|0;f[b>>2]=f[h>>2];f[c+12>>2]=f[e+12>>2];i=e+16|0;f[c+16>>2]=f[i>>2];f[c+20>>2]=f[e+20>>2];f[c+24>>2]=f[e+24>>2];f[c+28>>2]=f[e+28>>2];f[c+32>>2]=f[e+32>>2];j=e+36|0;f[c+36>>2]=f[j>>2];k=c+40|0;f[k>>2]=b;b=c+44|0;l=c+48|0;f[b>>2]=l;m=c+52|0;f[m>>2]=0;f[l>>2]=0;n=e+44|0;if((a|0)<3){a=f[n>>2]|0;f[l>>2]=f[a>>2];f[m>>2]=f[a+4>>2];o=a}else{f[b>>2]=f[n>>2];b=e+40|0;f[k>>2]=f[b>>2];k=e+48|0;f[n>>2]=k;f[b>>2]=h;o=k}f[e>>2]=1124007936;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;f[j>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((o|0)==(e+48|0)){u=d;return c|0}tE(o);u=d;return c|0}function cu(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+64|0;g=e;rh[a&255](g,b,c,d);d=Bmc(56)|0;f[d>>2]=f[g>>2];c=g+4|0;b=f[c>>2]|0;f[d+4>>2]=b;a=d+8|0;h=g+8|0;f[a>>2]=f[h>>2];f[d+12>>2]=f[g+12>>2];i=g+16|0;f[d+16>>2]=f[i>>2];f[d+20>>2]=f[g+20>>2];f[d+24>>2]=f[g+24>>2];f[d+28>>2]=f[g+28>>2];f[d+32>>2]=f[g+32>>2];j=g+36|0;f[d+36>>2]=f[j>>2];k=d+40|0;f[k>>2]=a;a=d+44|0;l=d+48|0;f[a>>2]=l;m=d+52|0;f[m>>2]=0;f[l>>2]=0;n=g+44|0;if((b|0)<3){b=f[n>>2]|0;f[l>>2]=f[b>>2];f[m>>2]=f[b+4>>2];o=b}else{f[a>>2]=f[n>>2];a=g+40|0;f[k>>2]=f[a>>2];k=g+48|0;f[n>>2]=k;f[a>>2]=h;o=k}f[g>>2]=1124007936;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;f[c+16>>2]=0;f[c+20>>2]=0;f[c+24>>2]=0;f[c+28>>2]=0;f[j>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((o|0)==(g+48|0)){u=e;return d|0}tE(o);u=e;return d|0}function du(a,b){a=a|0;b=b|0;return f[b+(f[a>>2]|0)>>2]|0}function eu(a,b,c){a=a|0;b=b|0;c=c|0;f[b+(f[a>>2]|0)>>2]=c;return}function fu(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;xh[f[a>>2]&2047](d,b);rf(f[d>>2]|0);b=f[d>>2]|0;Zd(b|0);u=c;return b|0}function gu(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a>>2]|0;d=f[a+4>>2]|0;a=b+(d>>1)|0;if(!(d&1))e=c;else e=f[(f[a>>2]|0)+c>>2]|0;return ci[e&1023](a)|0}function hu(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a>>2]|0;d=f[a+4>>2]|0;a=b+(d>>1)|0;if(!(d&1))e=c;else e=f[(f[a>>2]|0)+c>>2]|0;return ci[e&1023](a)|0}function iu(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=+g;Zg[f[a>>2]&15](b,c,d,e,g);return}function ju(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Yh[f[a>>2]&511](b,c,d);return}function ku(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;mh[f[a>>2]&63](b,c,d,e);return}function lu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+64|0;e=d;g=f[a>>2]|0;h=f[a+4>>2]|0;a=b+(h>>1)|0;if(!(h&1))i=g;else i=f[(f[a>>2]|0)+g>>2]|0;Yh[i&511](e,a,c);c=Bmc(56)|0;f[c>>2]=f[e>>2];a=e+4|0;i=f[a>>2]|0;f[c+4>>2]=i;g=c+8|0;h=e+8|0;f[g>>2]=f[h>>2];f[c+12>>2]=f[e+12>>2];b=e+16|0;f[c+16>>2]=f[b>>2];f[c+20>>2]=f[e+20>>2];f[c+24>>2]=f[e+24>>2];f[c+28>>2]=f[e+28>>2];f[c+32>>2]=f[e+32>>2];j=e+36|0;f[c+36>>2]=f[j>>2];k=c+40|0;f[k>>2]=g;g=c+44|0;l=c+48|0;f[g>>2]=l;m=c+52|0;f[m>>2]=0;f[l>>2]=0;n=e+44|0;if((i|0)<3){i=f[n>>2]|0;f[l>>2]=f[i>>2];f[m>>2]=f[i+4>>2];o=i}else{f[g>>2]=f[n>>2];g=e+40|0;f[k>>2]=f[g>>2];k=e+48|0;f[n>>2]=k;f[g>>2]=h;o=k}f[e>>2]=1124007936;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;f[j>>2]=0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((o|0)==(e+48|0)){u=d;return c|0}tE(o);u=d;return c|0}function mu(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=f[a>>2]|0;h=f[a+4>>2]|0;a=b+(h>>1)|0;if(!(h&1)){i=g;rh[i&255](a,c,d,e);return}else{i=f[(f[a>>2]|0)+g>>2]|0;rh[i&255](a,c,d,e);return}}function nu(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+16|0;g=e;h=f[a>>2]|0;i=f[a+4>>2]|0;a=b+(i>>1)|0;if(!(i&1))j=h;else j=f[(f[a>>2]|0)+h>>2]|0;f[g>>2]=f[c>>2];f[g+4>>2]=f[c+4>>2];Yh[j&511](a,g,d);u=e;return}function ou(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+64|0;g=e;h=f[a>>2]|0;i=f[a+4>>2]|0;a=b+(i>>1)|0;if(!(i&1))j=h;else j=f[(f[a>>2]|0)+h>>2]|0;rh[j&255](g,a,c,d);d=Bmc(56)|0;f[d>>2]=f[g>>2];c=g+4|0;a=f[c>>2]|0;f[d+4>>2]=a;j=d+8|0;h=g+8|0;f[j>>2]=f[h>>2];f[d+12>>2]=f[g+12>>2];i=g+16|0;f[d+16>>2]=f[i>>2];f[d+20>>2]=f[g+20>>2];f[d+24>>2]=f[g+24>>2];f[d+28>>2]=f[g+28>>2];f[d+32>>2]=f[g+32>>2];b=g+36|0;f[d+36>>2]=f[b>>2];k=d+40|0;f[k>>2]=j;j=d+44|0;l=d+48|0;f[j>>2]=l;m=d+52|0;f[m>>2]=0;f[l>>2]=0;n=g+44|0;if((a|0)<3){a=f[n>>2]|0;f[l>>2]=f[a>>2];f[m>>2]=f[a+4>>2];o=a}else{f[j>>2]=f[n>>2];j=g+40|0;f[k>>2]=f[j>>2];k=g+48|0;f[n>>2]=k;f[j>>2]=h;o=k}f[g>>2]=1124007936;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;f[c+16>>2]=0;f[c+20>>2]=0;f[c+24>>2]=0;f[c+28>>2]=0;f[b>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((o|0)==(g+48|0)){u=e;return d|0}tE(o);u=e;return d|0}function pu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+64|0;e=d;g=f[a>>2]|0;h=f[a+4>>2]|0;a=b+(h>>1)|0;if(!(h&1))i=g;else i=f[(f[a>>2]|0)+g>>2]|0;Yh[i&511](e,a,c);c=Bmc(56)|0;f[c>>2]=f[e>>2];a=e+4|0;i=f[a>>2]|0;f[c+4>>2]=i;g=c+8|0;h=e+8|0;f[g>>2]=f[h>>2];f[c+12>>2]=f[e+12>>2];b=e+16|0;f[c+16>>2]=f[b>>2];f[c+20>>2]=f[e+20>>2];f[c+24>>2]=f[e+24>>2];f[c+28>>2]=f[e+28>>2];f[c+32>>2]=f[e+32>>2];j=e+36|0;f[c+36>>2]=f[j>>2];k=c+40|0;f[k>>2]=g;g=c+44|0;l=c+48|0;f[g>>2]=l;m=c+52|0;f[m>>2]=0;f[l>>2]=0;n=e+44|0;if((i|0)<3){i=f[n>>2]|0;f[l>>2]=f[i>>2];f[m>>2]=f[i+4>>2];o=i}else{f[g>>2]=f[n>>2];g=e+40|0;f[k>>2]=f[g>>2];k=e+48|0;f[n>>2]=k;f[g>>2]=h;o=k}f[e>>2]=1124007936;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;f[j>>2]=0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((o|0)==(e+48|0)){u=d;return c|0}tE(o);u=d;return c|0}function qu(a,b,c){a=a|0;b=b|0;c=c|0;xh[f[a>>2]&2047](b,c);return}function ru(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Yh[f[a>>2]&511](b,c,d);return}function su(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a>>2]|0;d=f[a+4>>2]|0;a=b+(d>>1)|0;if(!(d&1))e=c;else e=f[(f[a>>2]|0)+c>>2]|0;return ci[e&1023](a)|0}function tu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=f[a>>2]|0;e=f[a+4>>2]|0;a=b+(e>>1)|0;if(!(e&1))g=d;else g=f[(f[a>>2]|0)+d>>2]|0;return Sh[g&511](a,c)|0}function uu(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=u;u=u+64|0;d=c;e=f[a>>2]|0;g=f[a+4>>2]|0;a=b+(g>>1)|0;if(!(g&1))h=e;else h=f[(f[a>>2]|0)+e>>2]|0;xh[h&2047](d,a);a=Bmc(56)|0;f[a>>2]=f[d>>2];h=d+4|0;e=f[h>>2]|0;f[a+4>>2]=e;g=a+8|0;b=d+8|0;f[g>>2]=f[b>>2];f[a+12>>2]=f[d+12>>2];i=d+16|0;f[a+16>>2]=f[i>>2];f[a+20>>2]=f[d+20>>2];f[a+24>>2]=f[d+24>>2];f[a+28>>2]=f[d+28>>2];f[a+32>>2]=f[d+32>>2];j=d+36|0;f[a+36>>2]=f[j>>2];k=a+40|0;f[k>>2]=g;g=a+44|0;l=a+48|0;f[g>>2]=l;m=a+52|0;f[m>>2]=0;f[l>>2]=0;n=d+44|0;if((e|0)<3){e=f[n>>2]|0;f[l>>2]=f[e>>2];f[m>>2]=f[e+4>>2];o=e}else{f[g>>2]=f[n>>2];g=d+40|0;f[k>>2]=f[g>>2];k=d+48|0;f[n>>2]=k;f[g>>2]=b;o=k}f[d>>2]=1124007936;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[h+28>>2]=0;f[j>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((o|0)==(d+48|0)){u=c;return a|0}tE(o);u=c;return a|0}function vu(a,b,c){a=a|0;b=b|0;c=c|0;return +(+wg[f[a>>2]&31](b,c))}function wu(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=u;u=u+64|0;g=e;mh[f[a>>2]&63](g,b,c,d);c=Bmc(56)|0;f[c>>2]=f[g>>2];b=g+4|0;a=f[b>>2]|0;f[c+4>>2]=a;h=c+8|0;i=g+8|0;f[h>>2]=f[i>>2];f[c+12>>2]=f[g+12>>2];j=g+16|0;f[c+16>>2]=f[j>>2];f[c+20>>2]=f[g+20>>2];f[c+24>>2]=f[g+24>>2];f[c+28>>2]=f[g+28>>2];f[c+32>>2]=f[g+32>>2];k=g+36|0;f[c+36>>2]=f[k>>2];l=c+40|0;f[l>>2]=h;h=c+44|0;m=c+48|0;f[h>>2]=m;n=c+52|0;f[n>>2]=0;f[m>>2]=0;o=g+44|0;if((a|0)<3){a=f[o>>2]|0;f[m>>2]=f[a>>2];f[n>>2]=f[a+4>>2];p=a}else{f[h>>2]=f[o>>2];h=g+40|0;f[l>>2]=f[h>>2];l=g+48|0;f[o>>2]=l;f[h>>2]=i;p=l}f[g>>2]=1124007936;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[b+28>>2]=0;f[k>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((p|0)==(g+48|0)){u=e;return c|0}tE(p);u=e;return c|0}function xu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+64|0;e=d;Yh[f[a>>2]&511](e,b,c);c=Bmc(56)|0;f[c>>2]=f[e>>2];b=e+4|0;a=f[b>>2]|0;f[c+4>>2]=a;g=c+8|0;h=e+8|0;f[g>>2]=f[h>>2];f[c+12>>2]=f[e+12>>2];i=e+16|0;f[c+16>>2]=f[i>>2];f[c+20>>2]=f[e+20>>2];f[c+24>>2]=f[e+24>>2];f[c+28>>2]=f[e+28>>2];f[c+32>>2]=f[e+32>>2];j=e+36|0;f[c+36>>2]=f[j>>2];k=c+40|0;f[k>>2]=g;g=c+44|0;l=c+48|0;f[g>>2]=l;m=c+52|0;f[m>>2]=0;f[l>>2]=0;n=e+44|0;if((a|0)<3){a=f[n>>2]|0;f[l>>2]=f[a>>2];f[m>>2]=f[a+4>>2];o=a}else{f[g>>2]=f[n>>2];g=e+40|0;f[k>>2]=f[g>>2];k=e+48|0;f[n>>2]=k;f[g>>2]=h;o=k}f[e>>2]=1124007936;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[b+28>>2]=0;f[j>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((o|0)==(e+48|0)){u=d;return c|0}tE(o);u=d;return c|0}function yu(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=u;u=u+64|0;d=c;xh[f[a>>2]&2047](d,b);b=Bmc(56)|0;f[b>>2]=f[d>>2];a=d+4|0;e=f[a>>2]|0;f[b+4>>2]=e;g=b+8|0;h=d+8|0;f[g>>2]=f[h>>2];f[b+12>>2]=f[d+12>>2];i=d+16|0;f[b+16>>2]=f[i>>2];f[b+20>>2]=f[d+20>>2];f[b+24>>2]=f[d+24>>2];f[b+28>>2]=f[d+28>>2];f[b+32>>2]=f[d+32>>2];j=d+36|0;f[b+36>>2]=f[j>>2];k=b+40|0;f[k>>2]=g;g=b+44|0;l=b+48|0;f[g>>2]=l;m=b+52|0;f[m>>2]=0;f[l>>2]=0;n=d+44|0;if((e|0)<3){e=f[n>>2]|0;f[l>>2]=f[e>>2];f[m>>2]=f[e+4>>2];o=e}else{f[g>>2]=f[n>>2];g=d+40|0;f[k>>2]=f[g>>2];k=d+48|0;f[n>>2]=k;f[g>>2]=h;o=k}f[d>>2]=1124007936;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;f[j>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((o|0)==(d+48|0)){u=c;return b|0}tE(o);u=c;return b|0}function zu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+64|0;e=d;g=f[a>>2]|0;h=f[a+4>>2]|0;a=b+(h>>1)|0;if(!(h&1))i=g;else i=f[(f[a>>2]|0)+g>>2]|0;Yh[i&511](e,a,c);c=Bmc(56)|0;f[c>>2]=f[e>>2];a=e+4|0;i=f[a>>2]|0;f[c+4>>2]=i;g=c+8|0;h=e+8|0;f[g>>2]=f[h>>2];f[c+12>>2]=f[e+12>>2];b=e+16|0;f[c+16>>2]=f[b>>2];f[c+20>>2]=f[e+20>>2];f[c+24>>2]=f[e+24>>2];f[c+28>>2]=f[e+28>>2];f[c+32>>2]=f[e+32>>2];j=e+36|0;f[c+36>>2]=f[j>>2];k=c+40|0;f[k>>2]=g;g=c+44|0;l=c+48|0;f[g>>2]=l;m=c+52|0;f[m>>2]=0;f[l>>2]=0;n=e+44|0;if((i|0)<3){i=f[n>>2]|0;f[l>>2]=f[i>>2];f[m>>2]=f[i+4>>2];o=i}else{f[g>>2]=f[n>>2];g=e+40|0;f[k>>2]=f[g>>2];k=e+48|0;f[n>>2]=k;f[g>>2]=h;o=k}f[e>>2]=1124007936;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;f[j>>2]=0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((o|0)==(e+48|0)){u=d;return c|0}tE(o);u=d;return c|0}function Au(a,b,c){a=a|0;b=b|0;c=c|0;xh[f[a>>2]&2047](b,c);return}function Bu(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Yh[f[a>>2]&511](b,c,d);return}function Cu(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;xh[f[a>>2]&2047](d,b);b=Bmc(8)|0;f[b>>2]=f[d>>2];f[b+4>>2]=f[d+4>>2];u=c;return b|0}function Du(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;Yh[f[a>>2]&511](e,b,c);rf(f[e>>2]|0);c=f[e>>2]|0;Zd(c|0);u=d;return c|0}function Eu(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+16|0;g=e;rh[f[a>>2]&255](g,b,c,d);rf(f[g>>2]|0);d=f[g>>2]|0;Zd(d|0);u=e;return d|0}function Fu(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=f[a>>2]|0;g=f[a+4>>2]|0;a=c+(g>>1)|0;if(!(g&1))h=e;else h=f[(f[a>>2]|0)+e>>2]|0;e=Sh[h&511](a,d)|0;return b[e>>0]|0}function Gu(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=f[a>>2]|0;h=f[a+4>>2]|0;a=c+(h>>1)|0;if(!(h&1))i=g;else i=f[(f[a>>2]|0)+g>>2]|0;g=ki[i&511](a,d,e)|0;return b[g>>0]|0}function Hu(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=f[a>>2]|0;i=f[a+4>>2]|0;a=c+(i>>1)|0;if(!(i&1))j=h;else j=f[(f[a>>2]|0)+h>>2]|0;h=Bg[j&127](a,d,e,g)|0;return b[h>>0]|0}function Iu(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=f[a>>2]|0;g=f[a+4>>2]|0;a=c+(g>>1)|0;if(!(g&1))h=e;else h=f[(f[a>>2]|0)+e>>2]|0;e=Sh[h&511](a,d)|0;return b[e>>0]|0}function Ju(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=f[a>>2]|0;h=f[a+4>>2]|0;a=c+(h>>1)|0;if(!(h&1))i=g;else i=f[(f[a>>2]|0)+g>>2]|0;g=ki[i&511](a,d,e)|0;return b[g>>0]|0}function Ku(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=f[a>>2]|0;i=f[a+4>>2]|0;a=c+(i>>1)|0;if(!(i&1))j=h;else j=f[(f[a>>2]|0)+h>>2]|0;h=Bg[j&127](a,d,e,g)|0;return b[h>>0]|0}function Lu(a,b,c){a=a|0;b=b|0;c=c|0;var e=0,g=0,h=0;e=f[a>>2]|0;g=f[a+4>>2]|0;a=b+(g>>1)|0;if(!(g&1))h=e;else h=f[(f[a>>2]|0)+e>>2]|0;e=Sh[h&511](a,c)|0;return d[e>>1]|0}function Mu(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var g=0,h=0,i=0;g=f[a>>2]|0;h=f[a+4>>2]|0;a=b+(h>>1)|0;if(!(h&1))i=g;else i=f[(f[a>>2]|0)+g>>2]|0;g=ki[i&511](a,c,e)|0;return d[g>>1]|0}function Nu(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=f[a>>2]|0;i=f[a+4>>2]|0;a=b+(i>>1)|0;if(!(i&1))j=h;else j=f[(f[a>>2]|0)+h>>2]|0;h=Bg[j&127](a,c,e,g)|0;return d[h>>1]|0}function Ou(a,b,c){a=a|0;b=b|0;c=c|0;var e=0,g=0,h=0;e=f[a>>2]|0;g=f[a+4>>2]|0;a=b+(g>>1)|0;if(!(g&1))h=e;else h=f[(f[a>>2]|0)+e>>2]|0;e=Sh[h&511](a,c)|0;return d[e>>1]|0}function Pu(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var g=0,h=0,i=0;g=f[a>>2]|0;h=f[a+4>>2]|0;a=b+(h>>1)|0;if(!(h&1))i=g;else i=f[(f[a>>2]|0)+g>>2]|0;g=ki[i&511](a,c,e)|0;return d[g>>1]|0}function Qu(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=f[a>>2]|0;i=f[a+4>>2]|0;a=b+(i>>1)|0;if(!(i&1))j=h;else j=f[(f[a>>2]|0)+h>>2]|0;h=Bg[j&127](a,c,e,g)|0;return d[h>>1]|0}function Ru(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=f[a>>2]|0;e=f[a+4>>2]|0;a=b+(e>>1)|0;if(!(e&1))g=d;else g=f[(f[a>>2]|0)+d>>2]|0;d=Sh[g&511](a,c)|0;return f[d>>2]|0}function Su(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=f[a>>2]|0;g=f[a+4>>2]|0;a=b+(g>>1)|0;if(!(g&1))h=e;else h=f[(f[a>>2]|0)+e>>2]|0;e=ki[h&511](a,c,d)|0;return f[e>>2]|0}function Tu(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=f[a>>2]|0;h=f[a+4>>2]|0;a=b+(h>>1)|0;if(!(h&1))i=g;else i=f[(f[a>>2]|0)+g>>2]|0;g=Bg[i&127](a,c,d,e)|0;return f[g>>2]|0}function Uu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=f[a>>2]|0;e=f[a+4>>2]|0;a=b+(e>>1)|0;if(!(e&1))g=d;else g=f[(f[a>>2]|0)+d>>2]|0;d=Sh[g&511](a,c)|0;return +(+n[d>>2])}function Vu(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=f[a>>2]|0;g=f[a+4>>2]|0;a=b+(g>>1)|0;if(!(g&1))h=e;else h=f[(f[a>>2]|0)+e>>2]|0;e=ki[h&511](a,c,d)|0;return +(+n[e>>2])}function Wu(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=f[a>>2]|0;h=f[a+4>>2]|0;a=b+(h>>1)|0;if(!(h&1))i=g;else i=f[(f[a>>2]|0)+g>>2]|0;g=Bg[i&127](a,c,d,e)|0;return +(+n[g>>2])}function Xu(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=f[a>>2]|0;h=f[a+4>>2]|0;a=b+(h>>1)|0;if(!(h&1))i=g;else i=f[(f[a>>2]|0)+g>>2]|0;g=Bg[i&127](a,c,d,e)|0;return +(+p[g>>3])}function Yu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=f[a>>2]|0;e=f[a+4>>2]|0;a=b+(e>>1)|0;if(!(e&1))g=d;else g=f[(f[a>>2]|0)+d>>2]|0;d=Sh[g&511](a,c)|0;return +(+p[d>>3])}function Zu(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=f[a>>2]|0;g=f[a+4>>2]|0;a=b+(g>>1)|0;if(!(g&1))h=e;else h=f[(f[a>>2]|0)+e>>2]|0;e=ki[h&511](a,c,d)|0;return +(+p[e>>3])}function _u(){var a=0;a=Bmc(8)|0;f[a>>2]=0;f[a+4>>2]=0;return a|0}function $u(a){a=a|0;if(!a)return;Emc(a);return}function av(a,b){a=a|0;b=b|0;return f[b+(f[a>>2]|0)>>2]|0}function bv(a,b,c){a=a|0;b=b|0;c=c|0;f[b+(f[a>>2]|0)>>2]=c;return}function cv(){var a=0;a=Bmc(16)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;return a|0}function dv(a){a=a|0;if(!a)return;Emc(a);return}function ev(a,b){a=a|0;b=b|0;return f[b+(f[a>>2]|0)>>2]|0}function fv(a,b,c){a=a|0;b=b|0;c=c|0;f[b+(f[a>>2]|0)>>2]=c;return}function gv(a,b){a=a|0;b=b|0;return +(+p[b+(f[a>>2]|0)>>3])}function hv(a,b,c){a=a|0;b=b|0;c=+c;p[b+(f[a>>2]|0)>>3]=c;return}function iv(){var a=0;a=Bmc(8)|0;f[a>>2]=0;f[a+4>>2]=0;return a|0}function jv(a){a=a|0;if(!a)return;Emc(a);return}function kv(a,b){a=a|0;b=b|0;return f[b+(f[a>>2]|0)>>2]|0}function lv(a,b,c){a=a|0;b=b|0;c=c|0;f[b+(f[a>>2]|0)>>2]=c;return}function mv(){var a=0;a=Bmc(8)|0;n[a>>2]=0.0;n[a+4>>2]=0.0;return a|0}function nv(a){a=a|0;if(!a)return;Emc(a);return}function ov(a,b){a=a|0;b=b|0;return +(+n[b+(f[a>>2]|0)>>2])}function pv(a,b,c){a=a|0;b=b|0;c=+c;n[b+(f[a>>2]|0)>>2]=c;return}function qv(){var a=0;a=Bmc(8)|0;f[a>>2]=0;f[a+4>>2]=0;return a|0}function rv(a){a=a|0;if(!a)return;Emc(a);return}function sv(a,b){a=a|0;b=b|0;return f[b+(f[a>>2]|0)>>2]|0}function tv(a,b,c){a=a|0;b=b|0;c=c|0;f[b+(f[a>>2]|0)>>2]=c;return}function uv(){var a=0;a=Bmc(8)|0;n[a>>2]=0.0;n[a+4>>2]=0.0;return a|0}function vv(a){a=a|0;if(!a)return;Emc(a);return}function wv(a,b){a=a|0;b=b|0;return +(+n[b+(f[a>>2]|0)>>2])}function xv(a,b,c){a=a|0;b=b|0;c=+c;n[b+(f[a>>2]|0)>>2]=c;return}function yv(){var a=0;a=Bmc(16)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;return a|0}function zv(a){a=a|0;if(!a)return;Emc(a);return}function Av(a,b){a=a|0;b=b|0;return f[b+(f[a>>2]|0)>>2]|0}function Bv(a,b,c){a=a|0;b=b|0;c=c|0;f[b+(f[a>>2]|0)>>2]=c;return}function Cv(){var a=0;a=Bmc(16)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;return a|0}function Dv(a){a=a|0;if(!a)return;Emc(a);return}function Ev(a,b){a=a|0;b=b|0;return +(+n[b+(f[a>>2]|0)>>2])}function Fv(a,b,c){a=a|0;b=b|0;c=+c;n[b+(f[a>>2]|0)>>2]=c;return}function Gv(){var a=0;a=Bmc(20)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;return a|0}function Hv(a){a=a|0;if(!a)return;Emc(a);return}function Iv(a,b){a=a|0;b=b|0;var c=0;c=b+(f[a>>2]|0)|0;a=Bmc(8)|0;f[a>>2]=f[c>>2];f[a+4>>2]=f[c+4>>2];return a|0}function Jv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=b+(f[a>>2]|0)|0;f[d>>2]=f[c>>2];f[d+4>>2]=f[c+4>>2];return}function Kv(a,b){a=a|0;b=b|0;var c=0;c=b+(f[a>>2]|0)|0;a=Bmc(8)|0;f[a>>2]=f[c>>2];f[a+4>>2]=f[c+4>>2];return a|0}function Lv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=b+(f[a>>2]|0)|0;f[d>>2]=f[c>>2];f[d+4>>2]=f[c+4>>2];return}function Mv(a,b){a=a|0;b=b|0;return +(+n[b+(f[a>>2]|0)>>2])}function Nv(a,b,c){a=a|0;b=b|0;c=+c;n[b+(f[a>>2]|0)>>2]=c;return}function Ov(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;xh[a&2047](d,b);rf(f[d>>2]|0);b=f[d>>2]|0;Zd(b|0);u=c;return b|0}function Pv(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;xh[a&2047](d,b);b=Bmc(16)|0;f[b>>2]=f[d>>2];f[b+4>>2]=f[d+4>>2];f[b+8>>2]=f[d+8>>2];f[b+12>>2]=f[d+12>>2];u=c;return b|0}function Qv(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;xh[a&2047](d,b);b=Bmc(16)|0;f[b>>2]=f[d>>2];f[b+4>>2]=f[d+4>>2];f[b+8>>2]=f[d+8>>2];f[b+12>>2]=f[d+12>>2];u=c;return b|0}function Rv(){var a=0;a=Bmc(32)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;return a|0}function Sv(a){a=a|0;if(!a)return;Emc(a);return}function Tv(a,b){a=a|0;b=b|0;return +(+p[b+(a<<3)>>3])}function Uv(a,b,c){a=a|0;b=b|0;c=+c;p[b+(a<<3)>>3]=c;return}function Vv(){var a=0;a=Bmc(32)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;return a|0}function Wv(a){a=a|0;if(!a)return;Emc(a);return}function Xv(a,b){a=a|0;b=b|0;return +(+p[b+(f[a>>2]|0)>>3])}function Yv(a,b,c){a=a|0;b=b|0;c=+c;p[b+(f[a>>2]|0)>>3]=c;return}function Zv(a,b){a=a|0;b=b|0;var c=0;c=b+(f[a>>2]|0)|0;a=Bmc(8)|0;f[a>>2]=f[c>>2];f[a+4>>2]=f[c+4>>2];return a|0}function _v(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=b+(f[a>>2]|0)|0;f[d>>2]=f[c>>2];f[d+4>>2]=f[c+4>>2];return}function $v(){var a=0;a=Bmc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;return a|0}function aw(a){a=a|0;if(!a)return;Emc(a);return}function bw(a,b){a=a|0;b=b|0;var c=0;c=b+(f[a>>2]|0)|0;a=Bmc(8)|0;f[a>>2]=f[c>>2];f[a+4>>2]=f[c+4>>2];return a|0}function cw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=b+(f[a>>2]|0)|0;f[d>>2]=f[c>>2];f[d+4>>2]=f[c+4>>2];return}function dw(a,b){a=a|0;b=b|0;return +(+n[b+(f[a>>2]|0)>>2])}function ew(a,b,c){a=a|0;b=b|0;c=+c;n[b+(f[a>>2]|0)>>2]=c;return}function fw(){var a=0;a=Bmc(192)|0;ita(a);return a|0}function gw(a){a=a|0;if(!a)return;Emc(a);return}function hw(a,b){a=a|0;b=b|0;return +(+p[b+(f[a>>2]|0)>>3])}function iw(a,b,c){a=a|0;b=b|0;c=+c;p[b+(f[a>>2]|0)>>3]=c;return}function jw(){var a=0;a=Bmc(44)|0;uR(a);return a|0}function kw(a){a=a|0;if(!a)return;ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function lw(a,b){a=a|0;b=b|0;return f[b+(f[a>>2]|0)>>2]|0}function mw(a,b,c){a=a|0;b=b|0;c=c|0;f[b+(f[a>>2]|0)>>2]=c;return}function nw(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;xh[f[a>>2]&2047](e,c);c=b[e+11>>0]|0;a=c<<24>>24<0;g=a?f[e+4>>2]|0:c&255;c=W6b(g+4|0)|0;f[c>>2]=g;h=f[e>>2]|0;Krc(c+4|0,(a?h:e)|0,g|0)|0;if(!a){u=d;return c|0}Emc(h);u=d;return c|0}function ow(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;h=f[a>>2]|0;a=d+4|0;i=f[d>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;if(i>>>0>4294967279)Lmc(g);if(i>>>0<11){b[g+11>>0]=i;if(!i)j=g;else{k=g;l=6}}else{d=i+16&-16;m=Bmc(d)|0;f[g>>2]=m;f[g+8>>2]=d|-2147483648;f[g+4>>2]=i;k=m;l=6}if((l|0)==6){Krc(k|0,a|0,i|0)|0;j=k}b[j+i>>0]=0;xh[h&2047](c,g);if((b[g+11>>0]|0)>=0){u=e;return}Emc(f[g>>2]|0);u=e;return}function pw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+48|0;d=c;xh[a&2047](d,b);b=Bmc(44)|0;f[b>>2]=46096;a=f[d+4>>2]|0;f[b+4>>2]=a;f[b+8>>2]=f[d+8>>2];if(a|0){e=a+-4|0;f[e>>2]=(f[e>>2]|0)+1}f[b+12>>2]=f[d+12>>2];e=f[d+16>>2]|0;f[b+16>>2]=e;f[b+20>>2]=f[d+20>>2];if(e|0){a=e+-4|0;f[a>>2]=(f[a>>2]|0)+1}a=f[d+24>>2]|0;f[b+24>>2]=a;f[b+28>>2]=f[d+28>>2];if(a|0){e=a+-4|0;f[e>>2]=(f[e>>2]|0)+1}e=f[d+32>>2]|0;f[b+32>>2]=e;f[b+36>>2]=f[d+36>>2];if(!e){g=b+40|0;h=d+40|0;i=f[h>>2]|0;f[g>>2]=i;MQ(d);u=c;return b|0}a=e+-4|0;f[a>>2]=(f[a>>2]|0)+1;g=b+40|0;h=d+40|0;i=f[h>>2]|0;f[g>>2]=i;MQ(d);u=c;return b|0}function qw(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;xh[a&2047](d,b);b=Bmc(12)|0;f[b>>2]=f[d>>2];f[b+4>>2]=f[d+4>>2];f[b+8>>2]=f[d+8>>2];u=c;return b|0}function rw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+32|0;e=d;Yh[a&511](e,b,c);c=Bmc(32)|0;f[c>>2]=f[e>>2];f[c+4>>2]=f[e+4>>2];f[c+8>>2]=f[e+8>>2];f[c+12>>2]=f[e+12>>2];f[c+16>>2]=f[e+16>>2];f[c+20>>2]=f[e+20>>2];f[c+24>>2]=f[e+24>>2];f[c+28>>2]=f[e+28>>2];u=d;return c|0}function sw(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+32|0;d=c;xh[a&2047](d,b);b=Bmc(32)|0;f[b>>2]=f[d>>2];f[b+4>>2]=f[d+4>>2];f[b+8>>2]=f[d+8>>2];f[b+12>>2]=f[d+12>>2];f[b+16>>2]=f[d+16>>2];f[b+20>>2]=f[d+20>>2];f[b+24>>2]=f[d+24>>2];f[b+28>>2]=f[d+28>>2];u=c;return b|0}function tw(a){a=a|0;var b=0,c=0;b=u;u=u+32|0;c=b;ai[a&2047](c);a=Bmc(32)|0;p[a>>3]=+p[c>>3];p[a+8>>3]=+p[c+8>>3];p[a+16>>3]=+p[c+16>>3];p[a+24>>3]=+p[c+24>>3];u=b;return a|0}function uw(a,b){a=a|0;b=b|0;return ci[a&1023](b)|0}function vw(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e;h=e+16|0;f[g>>2]=f[d>>2];f[g+4>>2]=f[d+4>>2];f[g+8>>2]=f[d+8>>2];f[g+12>>2]=f[d+12>>2];rh[a&255](h,b,c,g);rf(f[h>>2]|0);g=f[h>>2]|0;Zd(g|0);u=e;return g|0}function ww(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;ai[a&2047](d);a=b[d+11>>0]|0;e=a<<24>>24<0;g=e?f[d+4>>2]|0:a&255;a=W6b(g+4|0)|0;f[a>>2]=g;h=f[d>>2]|0;Krc(a+4|0,(e?h:d)|0,g|0)|0;if(!e){u=c;return a|0}Emc(h);u=c;return a|0}function xw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;Emc(d);return}function yw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;Emc(d);return}function zw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=d-e>>3;h=g+1|0;i=e;j=d;if(h>>>0>536870911)Ukc(a);k=a+8|0;l=(f[k>>2]|0)-e|0;e=l>>2;m=l>>3>>>0<268435455?(e>>>0<h>>>0?h:e):536870911;do if(m)if(m>>>0>536870911){e=ye(8)|0;Jmc(e,511852);f[e>>2]=165276;Gf(e|0,26776,1555)}else{n=Bmc(m<<3)|0;break}else n=0;while(0);e=n+(g<<3)|0;h=e;l=n+(m<<3)|0;m=f[b>>2]|0;f[e>>2]=m;f[n+(g<<3)+4>>2]=f[b+4>>2];if(!m){o=j;p=i;q=d}else{d=m+-4|0;f[d>>2]=(f[d>>2]|0)+1;d=f[c>>2]|0;o=d;p=f[a>>2]|0;q=d}d=e+8|0;if((o|0)==(p|0)){r=h;s=o;t=q}else{q=o;o=h;h=e;do{e=q;q=q+-8|0;m=f[q>>2]|0;f[h+-8>>2]=m;f[h+-4>>2]=f[e+-4>>2];if(m|0){e=m+-4|0;f[e>>2]=(f[e>>2]|0)+1}h=o+-8|0;o=h}while((q|0)!=(p|0));r=o;s=f[a>>2]|0;t=f[c>>2]|0}f[a>>2]=r;f[c>>2]=d;f[k>>2]=l;l=s;k=t;while(1){t=k;if((t|0)==(l|0))break;d=t+-8|0;ZG(d);k=d}if(!s)return;Emc(s);return}function Aw(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=g|0;eg[a&3](b,c,d,e,f,g);return}function Bw(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;mg[a&7](b,c,d,e,f);return}function Cw(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=+e;Ah[a&7](b,c,d,e);return}function Dw(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;kh[a&7](b,c,d,e,f,g);return}function Ew(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;Zg[a&15](b,c,d,e,f);return}function Fw(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=+g;h=h|0;var i=0,j=0;i=u;u=u+16|0;j=i;f[j>>2]=f[d>>2];f[j+4>>2]=f[d+4>>2];kh[a&7](b,c,j,e,g,h);u=i;return}function Gw(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=+g;var h=0,i=0;h=u;u=u+16|0;i=h;f[i>>2]=f[d>>2];f[i+4>>2]=f[d+4>>2];Zg[a&15](b,c,i,e,g);u=h;return}function Hw(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var g=0,h=0;g=u;u=u+16|0;h=g;f[h>>2]=f[d>>2];f[h+4>>2]=f[d+4>>2];mh[a&63](b,c,h,e);u=g;return}function Iw(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=+h;i=i|0;j=j|0;Rg[a&1](b,c,d,e,f,g,h,i,j);return}function Jw(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=+h;i=i|0;Yf[a&1](b,c,d,e,f,g,h,i);return}function Kw(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=+h;ag[a&1](b,c,d,e,f,g,h);return}function Lw(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;eh[a&3](b,c,d,e,f,g);return}function Mw(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;Zg[a&15](b,c,d,e,f);return}function Nw(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=+g;h=+h;i=+i;j=+j;hg[a&1](b,c,d,e,f,g,h,i,j);return}function Ow(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=+g;h=+h;i=+i;ah[a&1](b,c,d,e,f,g,h,i);return}function Pw(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=+g;h=+h;cg[a&3](b,c,d,e,f,g,h);return}function Qw(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=+g;fg[a&3](b,c,d,e,f,g);return}function Rw(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=h|0;Xf[a&7](b,c,d,e,f,g,h);return}function Sw(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;Hi[a&7](b,c,d,e,f,g);return}function Tw(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;yh[a&31](b,c,d,e,f);return}function Uw(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;rh[a&255](b,c,d,e);return}function Vw(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Yh[a&511](b,c,d);return}function Ww(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=+h;i=i|0;Sf[a&3](b,c,d,e,f,g,h,i);return}function Xw(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=+h;og[a&3](b,c,d,e,f,g,h);return}function Yw(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;Sg[a&7](b,c,d,e,f,g);return}function Zw(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;sh[a&255](b,c,d,e,f);return}function _w(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;i=+i;j=j|0;ui[a&3](b,c,d,e,f,g,h,i,j);return}function $w(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;i=+i;fi[a&3](b,c,d,e,f,g,h,i);return}function ax(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;Qh[a&7](b,c,d,e,f,g,h);return}function bx(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;Ug[a&127](b,c,d,e,f,g);return}function cx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Yh[a&511](b,c,d);return}function dx(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;g=g|0;h=+h;Kg[a&1](b,c,d,e,f,g,h);return}function ex(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;sh[a&255](b,c,d,e,f);return}function fx(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;rh[a&255](b,c,d,e);return}function gx(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=+c;d=d|0;e=+e;f=+f;g=g|0;h=h|0;Ai[a&1](b,c,d,e,f,g,h);return}function hx(a,b,c,d,e,f,g){a=a|0;b=b|0;c=+c;d=d|0;e=+e;f=+f;g=g|0;ei[a&1](b,c,d,e,f,g);return}function ix(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;Bh[a&15](b,c,d,e);return}function jx(a,b,c){a=a|0;b=b|0;c=c|0;return +(+wg[a&31](b,c))}function kx(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;kh[a&7](b,c,d,e,f,g);return}function lx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Yh[a&511](b,c,d);return}function mx(a,b,c){a=a|0;b=b|0;c=c|0;xh[a&2047](b,c);return}function nx(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=u;u=u+16|0;i=h+8|0;j=h;f[i>>2]=f[d>>2];f[i+4>>2]=f[d+4>>2];f[j>>2]=f[e>>2];f[j+4>>2]=f[e+4>>2];sh[a&255](b,c,i,j,g);u=h;return}function ox(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+16|0;h=g+8|0;i=g;f[h>>2]=f[d>>2];f[h+4>>2]=f[d+4>>2];f[i>>2]=f[e>>2];f[i+4>>2]=f[e+4>>2];rh[a&255](b,c,h,i);u=g;return}function px(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+16|0;g=e;f[g>>2]=f[d>>2];f[g+4>>2]=f[d+4>>2];Yh[a&511](b,c,g);u=e;return}function qx(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;xh[a&2047](d,b);b=Bmc(16)|0;f[b>>2]=f[d>>2];f[b+4>>2]=f[d+4>>2];f[b+8>>2]=f[d+8>>2];f[b+12>>2]=f[d+12>>2];u=c;return b|0}function rx(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0;j=u;u=u+16|0;k=j+8|0;l=j;f[k>>2]=f[e>>2];f[k+4>>2]=f[e+4>>2];f[l>>2]=f[g>>2];f[l+4>>2]=f[g+4>>2];Oh[a&127](b,c,d,k,l,h,i);u=j;return}function sx(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0;i=u;u=u+16|0;j=i+8|0;k=i;f[j>>2]=f[e>>2];f[j+4>>2]=f[e+4>>2];f[k>>2]=f[g>>2];f[k+4>>2]=f[g+4>>2];Ug[a&127](b,c,d,j,k,h);u=i;return}function tx(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=u;u=u+16|0;i=h+8|0;j=h;f[i>>2]=f[e>>2];f[i+4>>2]=f[e+4>>2];f[j>>2]=f[g>>2];f[j+4>>2]=f[g+4>>2];sh[a&255](b,c,d,i,j);u=h;return}function ux(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;g=u;u=u+16|0;h=g;f[h>>2]=f[e>>2];f[h+4>>2]=f[e+4>>2];rh[a&255](b,c,d,h);u=g;return}function vx(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;var i=0,j=0,k=0;i=u;u=u+16|0;j=i+4|0;k=i;f[j>>2]=c;f[k>>2]=g;Sg[a&7](b,j,d,e,k,h);Zd(f[k>>2]|0);Zd(f[j>>2]|0);u=i;return}function wx(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0;j=u;u=u+16|0;k=j+8|0;l=j+4|0;m=j;f[k>>2]=c;f[l>>2]=g;f[m>>2]=h;Oh[a&127](b,k,d,e,l,m,i);Zd(f[m>>2]|0);Zd(f[l>>2]|0);Zd(f[k>>2]|0);u=j;return}function xx(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0;i=u;u=u+16|0;j=i+8|0;k=i+4|0;l=i;f[j>>2]=c;f[k>>2]=g;f[l>>2]=h;Ug[a&127](b,j,d,e,k,l);Zd(f[l>>2]|0);Zd(f[k>>2]|0);Zd(f[j>>2]|0);u=i;return}function yx(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;g=g|0;h=h|0;i=i|0;j=+j;k=k|0;ih[a&1](b,c,d,e,f,g,h,i,j,k);return}function zx(a,b,c,d,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=+m;var n=0,o=0,p=0;n=u;u=u+32|0;o=n;p=n+16|0;f[p>>2]=f[i>>2];f[p+4>>2]=f[i+4>>2];f[o>>2]=f[k>>2];f[o+4>>2]=f[k+4>>2];f[o+8>>2]=f[k+8>>2];f[o+12>>2]=f[k+12>>2];$f[a&1](b,c,d,e,g,h,p,j,o,l,m);u=n;return}function Ax(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0;m=u;u=u+32|0;n=m;o=m+16|0;f[o>>2]=f[i>>2];f[o+4>>2]=f[i+4>>2];f[n>>2]=f[k>>2];f[n+4>>2]=f[k+4>>2];f[n+8>>2]=f[k+8>>2];f[n+12>>2]=f[k+12>>2];bh[a&7](b,c,d,e,g,h,o,j,n,l);u=m;return}function Bx(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0;l=u;u=u+32|0;m=l;n=l+16|0;f[n>>2]=f[i>>2];f[n+4>>2]=f[i+4>>2];f[m>>2]=f[k>>2];f[m+4>>2]=f[k+4>>2];f[m+8>>2]=f[k+8>>2];f[m+12>>2]=f[k+12>>2];Rh[a&127](b,c,d,e,g,h,n,j,m);u=l;return}function Cx(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0;k=u;u=u+16|0;l=k;f[l>>2]=f[i>>2];f[l+4>>2]=f[i+4>>2];Fh[a&255](b,c,d,e,g,h,l,j);u=k;return}function Dx(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;f[k>>2]=f[i>>2];f[k+4>>2]=f[i+4>>2];Oh[a&127](b,c,d,e,g,h,k);u=j;return}function Ex(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;Ug[a&127](b,c,d,e,f,g);return}function Fx(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;sh[a&255](b,c,d,e,f);return}function Gx(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;rh[a&255](b,c,d,e);return}function Hx(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;f[k>>2]=f[c>>2];f[k+4>>2]=f[c+4>>2];Oh[a&127](b,k,d,e,g,h,i);u=j;return}function Ix(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0;i=u;u=u+16|0;j=i;f[j>>2]=f[c>>2];f[j+4>>2]=f[c+4>>2];Ug[a&127](b,j,d,e,g,h);u=i;return}function Jx(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;h=u;u=u+16|0;i=h;f[i>>2]=f[c>>2];f[i+4>>2]=f[c+4>>2];sh[a&255](b,i,d,e,g);u=h;return}function Kx(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;g=u;u=u+16|0;h=g;f[h>>2]=f[c>>2];f[h+4>>2]=f[c+4>>2];rh[a&255](b,h,d,e);u=g;return}function Lx(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;rh[a&255](b,c,d,e);return}function Mx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return +(+dh[a&31](b,c,d))}function Nx(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return Bg[a&127](b,c,d,e)|0}function Ox(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return ki[a&511](b,c,d)|0}function Px(a,b,c){a=a|0;b=b|0;c=c|0;return Sh[a&511](b,c)|0}function Qx(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return Vf[a&127](b,c,d,e,f,g)|0}function Rx(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return lh[a&127](b,c,d,e,f)|0}function Sx(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return Bg[a&127](b,c,d,e)|0}function Tx(a,b){a=a|0;b=b|0;return +(+pg[a&15](b))}function Ux(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;_h[a&31](b,c,d);return}function Vx(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;rh[a&255](b,c,d,e);return}function Wx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Yh[a&511](b,c,d);return}function Xx(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;Fh[a&255](b,c,d,e,f,g,h,i);return}function Yx(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;Oh[a&127](b,c,d,e,f,g,h);return}function Zx(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;hi[a&15](b,c,d,e,f,g);return}function _x(a,b){a=a|0;b=b|0;return ci[a&1023](b)|0}function $x(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;f[k>>2]=f[e>>2];f[k+4>>2]=f[e+4>>2];Oh[a&127](b,c,d,k,g,h,i);u=j;return}function ay(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0;i=u;u=u+16|0;j=i;f[j>>2]=f[e>>2];f[j+4>>2]=f[e+4>>2];Ug[a&127](b,c,d,j,g,h);u=i;return}function by(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;h=u;u=u+16|0;i=h;f[i>>2]=f[e>>2];f[i+4>>2]=f[e+4>>2];sh[a&255](b,c,d,i,g);u=h;return}function cy(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;g=u;u=u+16|0;h=g;f[h>>2]=f[e>>2];f[h+4>>2]=f[e+4>>2];rh[a&255](b,c,d,h);u=g;return}function dy(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;Ug[a&127](b,c,d,e,f,g);return}function ey(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;sh[a&255](b,c,d,e,f);return}function fy(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;_g[a&7](b,c,d,e,f);return}function gy(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;mh[a&63](b,c,d,e);return}function hy(a,b,c,d,e){a=a|0;b=+b;c=c|0;d=d|0;e=e|0;Vh[a&1](b,c,d,e);return}function iy(a,b,c,d){a=a|0;b=+b;c=c|0;d=d|0;ug[a&1](b,c,d);return}function jy(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0;l=u;u=u+16|0;m=l;f[m>>2]=f[k>>2];f[m+4>>2]=f[k+4>>2];Rh[a&127](b,c,d,e,g,h,i,j,m);u=l;return}function ky(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;Fh[a&255](b,c,d,e,f,g,h,i);return}function ly(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;Oh[a&127](b,c,d,e,f,g,h);return}function my(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;Ug[a&127](b,c,d,e,f,g);return}function ny(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;sh[a&255](b,c,d,e,f);return}function oy(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;rh[a&255](b,c,d,e);return}function py(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return ki[a&511](b,c,d)|0}function qy(a,b,c){a=a|0;b=b|0;c=c|0;return Sh[a&511](b,c)|0}function ry(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=+g;h=+h;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0;m=u;u=u+16|0;n=m+8|0;o=m;f[n>>2]=f[c>>2];f[n+4>>2]=f[c+4>>2];f[o>>2]=f[d>>2];f[o+4>>2]=f[d+4>>2];Gh[a&1](b,n,o,e,g,h,i,j,k,l);u=m;return}function sy(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=+g;h=+h;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0;l=u;u=u+16|0;m=l+8|0;n=l;f[m>>2]=f[c>>2];f[m+4>>2]=f[c+4>>2];f[n>>2]=f[d>>2];f[n+4>>2]=f[d+4>>2];Jg[a&1](b,m,n,e,g,h,i,j,k);u=l;return}function ty(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=+g;h=+h;i=i|0;j=j|0;var k=0,l=0,m=0;k=u;u=u+16|0;l=k+8|0;m=k;f[l>>2]=f[c>>2];f[l+4>>2]=f[c+4>>2];f[m>>2]=f[d>>2];f[m+4>>2]=f[d+4>>2];Eh[a&1](b,l,m,e,g,h,i,j);u=k;return}function uy(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=+g;h=+h;i=i|0;var j=0,k=0,l=0;j=u;u=u+16|0;k=j+8|0;l=j;f[k>>2]=f[c>>2];f[k+4>>2]=f[c+4>>2];f[l>>2]=f[d>>2];f[l+4>>2]=f[d+4>>2];Dg[a&1](b,k,l,e,g,h,i);u=j;return}function vy(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;sh[a&255](b,c,d,e,f);return}function wy(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;rh[a&255](b,c,d,e);return}function xy(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Yh[a&511](b,c,d);return}function yy(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0;j=u;u=u+16|0;k=j+8|0;l=j;f[k>>2]=f[b>>2];f[k+4>>2]=f[b+4>>2];f[l>>2]=f[c>>2];f[l+4>>2]=f[c+4>>2];Oh[a&127](k,l,d,e,g,h,i);u=j;return}function zy(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+64|0;g=e;rh[a&255](g,b,c,d);d=Bmc(56)|0;f[d>>2]=f[g>>2];c=g+4|0;b=f[c>>2]|0;f[d+4>>2]=b;a=d+8|0;h=g+8|0;f[a>>2]=f[h>>2];f[d+12>>2]=f[g+12>>2];i=g+16|0;f[d+16>>2]=f[i>>2];f[d+20>>2]=f[g+20>>2];f[d+24>>2]=f[g+24>>2];f[d+28>>2]=f[g+28>>2];f[d+32>>2]=f[g+32>>2];j=g+36|0;f[d+36>>2]=f[j>>2];k=d+40|0;f[k>>2]=a;a=d+44|0;l=d+48|0;f[a>>2]=l;m=d+52|0;f[m>>2]=0;f[l>>2]=0;n=g+44|0;if((b|0)<3){b=f[n>>2]|0;f[l>>2]=f[b>>2];f[m>>2]=f[b+4>>2];o=b}else{f[a>>2]=f[n>>2];a=g+40|0;f[k>>2]=f[a>>2];k=g+48|0;f[n>>2]=k;f[a>>2]=h;o=k}f[g>>2]=1124007936;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;f[c+16>>2]=0;f[c+20>>2]=0;f[c+24>>2]=0;f[c+28>>2]=0;f[j>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((o|0)==(g+48|0)){u=e;return d|0}tE(o);u=e;return d|0}function Ay(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;i=u;u=u+64|0;j=i;gg[a&7](j,b,c,d,e,g,h);h=Bmc(56)|0;f[h>>2]=f[j>>2];e=j+4|0;d=f[e>>2]|0;f[h+4>>2]=d;c=h+8|0;b=j+8|0;f[c>>2]=f[b>>2];f[h+12>>2]=f[j+12>>2];a=j+16|0;f[h+16>>2]=f[a>>2];f[h+20>>2]=f[j+20>>2];f[h+24>>2]=f[j+24>>2];f[h+28>>2]=f[j+28>>2];f[h+32>>2]=f[j+32>>2];k=j+36|0;f[h+36>>2]=f[k>>2];l=h+40|0;f[l>>2]=c;c=h+44|0;m=h+48|0;f[c>>2]=m;n=h+52|0;f[n>>2]=0;f[m>>2]=0;o=j+44|0;if((d|0)<3){d=f[o>>2]|0;f[m>>2]=f[d>>2];f[n>>2]=f[d+4>>2];p=d}else{f[c>>2]=f[o>>2];c=j+40|0;f[l>>2]=f[c>>2];l=j+48|0;f[o>>2]=l;f[c>>2]=b;p=l}f[j>>2]=1124007936;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[e+28>>2]=0;f[k>>2]=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((p|0)==(j+48|0)){u=i;return h|0}tE(p);u=i;return h|0}function By(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;f[k>>2]=f[g>>2];f[k+4>>2]=f[g+4>>2];gg[a&7](b,c,d,e,k,h,i);u=j;return}function Cy(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;var i=0,j=0;i=u;u=u+16|0;j=i;f[j>>2]=f[g>>2];f[j+4>>2]=f[g+4>>2];Sg[a&7](b,c,d,e,j,h);u=i;return}function Dy(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;h=u;u=u+16|0;i=h;f[i>>2]=f[g>>2];f[i+4>>2]=f[g+4>>2];sh[a&255](b,c,d,e,i);u=h;return}function Ey(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;rh[a&255](b,c,d,e);return}function Fy(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0;i=u;u=u+16|0;j=i;f[j>>2]=f[h>>2];f[j+4>>2]=f[h+4>>2];Ug[a&127](b,c,d,e,g,j);u=i;return}function Gy(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;sh[a&255](b,c,d,e,f);return}function Hy(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0.0;i=u;u=u+16|0;j=i;f[j>>2]=f[g>>2];f[j+4>>2]=f[g+4>>2];f[j+8>>2]=f[g+8>>2];f[j+12>>2]=f[g+12>>2];k=+yi[a&3](b,c,d,e,j,h);u=i;return +k}function Iy(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0.0;h=u;u=u+16|0;i=h;f[i>>2]=f[g>>2];f[i+4>>2]=f[g+4>>2];f[i+8>>2]=f[g+8>>2];f[i+12>>2]=f[g+12>>2];j=+qi[a&7](b,c,d,e,i);u=h;return +j}function Jy(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return +(+Ih[a&15](b,c,d,e))}function Ky(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return +(+dh[a&31](b,c,d))}function Ly(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+32|0;d=c;xh[a&2047](d,b);b=Bmc(20)|0;f[b>>2]=f[d>>2];f[b+4>>2]=f[d+4>>2];f[b+8>>2]=f[d+8>>2];f[b+12>>2]=f[d+12>>2];f[b+16>>2]=f[d+16>>2];u=c;return b|0}function My(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=+f;g=g|0;h=h|0;li[a&1](b,c,d,e,f,g,h);return}function Ny(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=+f;g=g|0;Di[a&1](b,c,d,e,f,g);return}function Oy(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+64|0;e=d;Yh[a&511](e,b,c);c=Bmc(56)|0;f[c>>2]=f[e>>2];b=e+4|0;a=f[b>>2]|0;f[c+4>>2]=a;g=c+8|0;h=e+8|0;f[g>>2]=f[h>>2];f[c+12>>2]=f[e+12>>2];i=e+16|0;f[c+16>>2]=f[i>>2];f[c+20>>2]=f[e+20>>2];f[c+24>>2]=f[e+24>>2];f[c+28>>2]=f[e+28>>2];f[c+32>>2]=f[e+32>>2];j=e+36|0;f[c+36>>2]=f[j>>2];k=c+40|0;f[k>>2]=g;g=c+44|0;l=c+48|0;f[g>>2]=l;m=c+52|0;f[m>>2]=0;f[l>>2]=0;n=e+44|0;if((a|0)<3){a=f[n>>2]|0;f[l>>2]=f[a>>2];f[m>>2]=f[a+4>>2];o=a}else{f[g>>2]=f[n>>2];g=e+40|0;f[k>>2]=f[g>>2];k=e+48|0;f[n>>2]=k;f[g>>2]=h;o=k}f[e>>2]=1124007936;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[b+28>>2]=0;f[j>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((o|0)==(e+48|0)){u=d;return c|0}tE(o);u=d;return c|0}function Py(a,b,c,d){a=a|0;b=b|0;c=+c;d=+d;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=u;u=u+64|0;g=e+8|0;h=e;f[h>>2]=f[b>>2];f[h+4>>2]=f[b+4>>2];Ah[a&7](g,h,c,d);h=Bmc(56)|0;f[h>>2]=f[g>>2];a=g+4|0;b=f[a>>2]|0;f[h+4>>2]=b;i=h+8|0;j=g+8|0;f[i>>2]=f[j>>2];f[h+12>>2]=f[g+12>>2];k=g+16|0;f[h+16>>2]=f[k>>2];f[h+20>>2]=f[g+20>>2];f[h+24>>2]=f[g+24>>2];f[h+28>>2]=f[g+28>>2];f[h+32>>2]=f[g+32>>2];l=g+36|0;f[h+36>>2]=f[l>>2];m=h+40|0;f[m>>2]=i;i=h+44|0;n=h+48|0;f[i>>2]=n;o=h+52|0;f[o>>2]=0;f[n>>2]=0;p=g+44|0;if((b|0)<3){b=f[p>>2]|0;f[n>>2]=f[b>>2];f[o>>2]=f[b+4>>2];q=b}else{f[i>>2]=f[p>>2];i=g+40|0;f[m>>2]=f[i>>2];m=g+48|0;f[p>>2]=m;f[i>>2]=j;q=m}f[g>>2]=1124007936;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;f[l>>2]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((q|0)==(g+48|0)){u=e;return h|0}tE(q);u=e;return h|0}function Qy(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+80|0;g=e+16|0;h=e+8|0;i=e;f[h>>2]=f[c>>2];f[h+4>>2]=f[c+4>>2];f[i>>2]=f[d>>2];f[i+4>>2]=f[d+4>>2];rh[a&255](g,b,h,i);i=Bmc(56)|0;f[i>>2]=f[g>>2];h=g+4|0;b=f[h>>2]|0;f[i+4>>2]=b;a=i+8|0;d=g+8|0;f[a>>2]=f[d>>2];f[i+12>>2]=f[g+12>>2];c=g+16|0;f[i+16>>2]=f[c>>2];f[i+20>>2]=f[g+20>>2];f[i+24>>2]=f[g+24>>2];f[i+28>>2]=f[g+28>>2];f[i+32>>2]=f[g+32>>2];j=g+36|0;f[i+36>>2]=f[j>>2];k=i+40|0;f[k>>2]=a;a=i+44|0;l=i+48|0;f[a>>2]=l;m=i+52|0;f[m>>2]=0;f[l>>2]=0;n=g+44|0;if((b|0)<3){b=f[n>>2]|0;f[l>>2]=f[b>>2];f[m>>2]=f[b+4>>2];o=b}else{f[a>>2]=f[n>>2];a=g+40|0;f[k>>2]=f[a>>2];k=g+48|0;f[n>>2]=k;f[a>>2]=d;o=k}f[g>>2]=1124007936;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[h+28>>2]=0;f[j>>2]=0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((o|0)==(g+48|0)){u=e;return i|0}tE(o);u=e;return i|0}function Ry(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+64|0;e=d+8|0;g=d;f[g>>2]=f[c>>2];f[g+4>>2]=f[c+4>>2];Yh[a&511](e,b,g);g=Bmc(56)|0;f[g>>2]=f[e>>2];b=e+4|0;a=f[b>>2]|0;f[g+4>>2]=a;c=g+8|0;h=e+8|0;f[c>>2]=f[h>>2];f[g+12>>2]=f[e+12>>2];i=e+16|0;f[g+16>>2]=f[i>>2];f[g+20>>2]=f[e+20>>2];f[g+24>>2]=f[e+24>>2];f[g+28>>2]=f[e+28>>2];f[g+32>>2]=f[e+32>>2];j=e+36|0;f[g+36>>2]=f[j>>2];k=g+40|0;f[k>>2]=c;c=g+44|0;l=g+48|0;f[c>>2]=l;m=g+52|0;f[m>>2]=0;f[l>>2]=0;n=e+44|0;if((a|0)<3){a=f[n>>2]|0;f[l>>2]=f[a>>2];f[m>>2]=f[a+4>>2];o=a}else{f[c>>2]=f[n>>2];c=e+40|0;f[k>>2]=f[c>>2];k=e+48|0;f[n>>2]=k;f[c>>2]=h;o=k}f[e>>2]=1124007936;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[b+28>>2]=0;f[j>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((o|0)==(e+48|0)){u=d;return g|0}tE(o);u=d;return g|0}function Sy(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=h|0;i=i|0;j=+j;yg[a&1](b,c,d,e,f,g,h,i,j);return}function Ty(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=h|0;i=i|0;ii[a&3](b,c,d,e,f,g,h,i);return}function Uy(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=h|0;Th[a&3](b,c,d,e,f,g,h);return}function Vy(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;kh[a&7](b,c,d,e,f,g);return}function Wy(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=h|0;i=i|0;j=j|0;k=+k;jh[a&1](b,c,d,e,f,g,h,i,j,k);return}function Xy(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=h|0;i=i|0;j=j|0;xg[a&1](b,c,d,e,f,g,h,i,j);return}function Yy(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=h|0;i=i|0;ii[a&3](b,c,d,e,f,g,h,i);return}function Zy(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;f[k>>2]=f[d>>2];f[k+4>>2]=f[d+4>>2];f[k+8>>2]=f[d+8>>2];f[k+12>>2]=f[d+12>>2];Oh[a&127](b,c,k,e,g,h,i);u=j;return}function _y(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0;i=u;u=u+16|0;j=i;f[j>>2]=f[d>>2];f[j+4>>2]=f[d+4>>2];f[j+8>>2]=f[d+8>>2];f[j+12>>2]=f[d+12>>2];Ug[a&127](b,c,j,e,g,h);u=i;return}function $y(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;mh[a&63](b,c,d,e);return}function az(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Yh[a&511](b,c,d);return}function bz(a,b,c){a=a|0;b=b|0;c=c|0;xh[a&2047](b,c);return}function cz(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;rh[a&255](b,c,d,e);return}function dz(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0;k=u;u=u+16|0;l=k;f[l>>2]=f[g>>2];f[l+4>>2]=f[g+4>>2];Fh[a&255](b,c,d,e,l,h,i,j);u=k;return}function ez(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;rh[a&255](b,c,d,e);return}function fz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Yh[a&511](b,c,d);return}function gz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return +(+dh[a&31](b,c,d))}function hz(a,b,c){a=a|0;b=b|0;c=c|0;return +(+wg[a&31](b,c))}function iz(a,b){a=a|0;b=b|0;return ci[a&1023](b)|0}function jz(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0.0;j=u;u=u+16|0;k=j;f[k>>2]=f[e>>2];f[k+4>>2]=f[e+4>>2];f[k+8>>2]=f[e+8>>2];f[k+12>>2]=f[e+12>>2];l=+vg[a&3](b,c,d,k,g,h,i);u=j;return +l}function kz(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0.0;i=u;u=u+16|0;j=i;f[j>>2]=f[e>>2];f[j+4>>2]=f[e+4>>2];f[j+8>>2]=f[e+8>>2];f[j+12>>2]=f[e+12>>2];k=+yi[a&3](b,c,d,j,g,h);u=i;return +k}function lz(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0;j=u;u=u+16|0;k=j+8|0;l=j;f[k>>2]=f[c>>2];f[k+4>>2]=f[c+4>>2];f[l>>2]=f[d>>2];f[l+4>>2]=f[d+4>>2];Oh[a&127](b,k,l,e,g,h,i);u=j;return}function mz(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0;i=u;u=u+16|0;j=i+8|0;k=i;f[j>>2]=f[c>>2];f[j+4>>2]=f[c+4>>2];f[k>>2]=f[d>>2];f[k+4>>2]=f[d+4>>2];Ug[a&127](b,j,k,e,g,h);u=i;return}function nz(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=u;u=u+16|0;i=h+8|0;j=h;f[i>>2]=f[c>>2];f[i+4>>2]=f[c+4>>2];f[j>>2]=f[d>>2];f[j+4>>2]=f[d+4>>2];sh[a&255](b,i,j,e,g);u=h;return}function oz(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+16|0;h=g+8|0;i=g;f[h>>2]=f[c>>2];f[h+4>>2]=f[c+4>>2];f[i>>2]=f[d>>2];f[i+4>>2]=f[d+4>>2];rh[a&255](b,h,i,e);u=g;return}function pz(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;return +(+Dh[a&1](b,c,d,e))}function qz(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;sh[a&255](b,c,d,e,f);return}function rz(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+32|0;e=d;Yh[a&511](e,b,c);c=Bmc(32)|0;p[c>>3]=+p[e>>3];p[c+8>>3]=+p[e+8>>3];p[c+16>>3]=+p[e+16>>3];p[c+24>>3]=+p[e+24>>3];u=d;return c|0}function sz(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+32|0;d=c;xh[a&2047](d,b);b=Bmc(32)|0;p[b>>3]=+p[d>>3];p[b+8>>3]=+p[d+8>>3];p[b+16>>3]=+p[d+16>>3];p[b+24>>3]=+p[d+24>>3];u=c;return b|0}function tz(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;rh[a&255](b,c,d,e);return}function uz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+16|0;g=e;f[g>>2]=d;Yh[a&511](b,c,g);Zd(f[g>>2]|0);u=e;return}function vz(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+192|0;e=d;Yh[a&511](e,b,c);c=Bmc(192)|0;Krc(c|0,e|0,192)|0;u=d;return c|0}function wz(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+192|0;d=c;xh[a&2047](d,b);b=Bmc(192)|0;Krc(b|0,d|0,192)|0;u=c;return b|0}function xz(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0;k=u;u=u+16|0;l=k;f[l>>2]=f[g>>2];f[l+4>>2]=f[g+4>>2];Fh[a&255](b,c,d,e,l,h,i,j);u=k;return}function yz(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;f[k>>2]=f[g>>2];f[k+4>>2]=f[g+4>>2];Oh[a&127](b,c,d,e,k,h,i);u=j;return}function zz(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0;i=u;u=u+16|0;j=i;f[j>>2]=f[g>>2];f[j+4>>2]=f[g+4>>2];Ug[a&127](b,c,d,e,j,h);u=i;return}function Az(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return +(+dh[a&31](b,c,d))}function Bz(a,b,c){a=a|0;b=b|0;c=c|0;return +(+wg[a&31](b,c))}function Cz(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return +(+Ih[a&15](b,c,d,e))}function Dz(a,b,c){a=a|0;b=b|0;c=c|0;return +(+wg[a&31](b,c))}function Ez(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=g|0;h=h|0;Hg[a&1](b,c,d,e,f,g,h);return}function Fz(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=g|0;eg[a&3](b,c,d,e,f,g);return}function Gz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0.0;e=u;u=u+16|0;g=e;f[g>>2]=f[c>>2];f[g+4>>2]=f[c+4>>2];h=+dh[a&31](b,g,d);u=e;return +h}function Hz(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;dg[a&7](b,c,d);return}function Iz(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;m=u;u=u+64|0;n=m+40|0;o=m+32|0;q=m;r=d+4|0;s=f[d>>2]|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;if(s>>>0>4294967279)Lmc(n);if(s>>>0<11){b[n+11>>0]=s;if(!s)t=n;else{v=n;w=6}}else{d=s+16&-16;x=Bmc(d)|0;f[n>>2]=x;f[n+8>>2]=d|-2147483648;f[n+4>>2]=s;v=x;w=6}if((w|0)==6){Krc(v|0,r|0,s|0)|0;t=v}b[t+s>>0]=0;f[o>>2]=f[e>>2];f[o+4>>2]=f[e+4>>2];p[q>>3]=+p[i>>3];p[q+8>>3]=+p[i+8>>3];p[q+16>>3]=+p[i+16>>3];p[q+24>>3]=+p[i+24>>3];th[a&7](c,n,o,g,h,q,j,k,l);if((b[n+11>>0]|0)>=0){u=m;return}Emc(f[n>>2]|0);u=m;return}function Jz(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0;l=u;u=u+64|0;m=l+40|0;n=l+32|0;o=l;q=d+4|0;r=f[d>>2]|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;if(r>>>0>4294967279)Lmc(m);if(r>>>0<11){b[m+11>>0]=r;if(!r)s=m;else{t=m;v=6}}else{d=r+16&-16;w=Bmc(d)|0;f[m>>2]=w;f[m+8>>2]=d|-2147483648;f[m+4>>2]=r;t=w;v=6}if((v|0)==6){Krc(t|0,q|0,r|0)|0;s=t}b[s+r>>0]=0;f[n>>2]=f[e>>2];f[n+4>>2]=f[e+4>>2];p[o>>3]=+p[i>>3];p[o+8>>3]=+p[i+8>>3];p[o+16>>3]=+p[i+16>>3];p[o+24>>3]=+p[i+24>>3];Rf[a&7](c,m,n,g,h,o,j,k);if((b[m+11>>0]|0)>=0){u=l;return}Emc(f[m>>2]|0);u=l;return}function Kz(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0;k=u;u=u+64|0;l=k+40|0;m=k+32|0;n=k;o=d+4|0;q=f[d>>2]|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;if(q>>>0>4294967279)Lmc(l);if(q>>>0<11){b[l+11>>0]=q;if(!q)r=l;else{s=l;t=6}}else{d=q+16&-16;v=Bmc(d)|0;f[l>>2]=v;f[l+8>>2]=d|-2147483648;f[l+4>>2]=q;s=v;t=6}if((t|0)==6){Krc(s|0,o|0,q|0)|0;r=s}b[r+q>>0]=0;f[m>>2]=f[e>>2];f[m+4>>2]=f[e+4>>2];p[n>>3]=+p[i>>3];p[n+8>>3]=+p[i+8>>3];p[n+16>>3]=+p[i+16>>3];p[n+24>>3]=+p[i+24>>3];pi[a&7](c,l,m,g,h,n,j);if((b[l+11>>0]|0)>=0){u=k;return}Emc(f[l>>2]|0);u=k;return}function Lz(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0;j=u;u=u+64|0;k=j+40|0;l=j+32|0;m=j;n=d+4|0;o=f[d>>2]|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;if(o>>>0>4294967279)Lmc(k);if(o>>>0<11){b[k+11>>0]=o;if(!o)q=k;else{r=k;s=6}}else{d=o+16&-16;t=Bmc(d)|0;f[k>>2]=t;f[k+8>>2]=d|-2147483648;f[k+4>>2]=o;r=t;s=6}if((s|0)==6){Krc(r|0,n|0,o|0)|0;q=r}b[q+o>>0]=0;f[l>>2]=f[e>>2];f[l+4>>2]=f[e+4>>2];p[m>>3]=+p[i>>3];p[m+8>>3]=+p[i+8>>3];p[m+16>>3]=+p[i+16>>3];p[m+24>>3]=+p[i+24>>3];hi[a&15](c,k,l,g,h,m);if((b[k+11>>0]|0)>=0){u=j;return}Emc(f[k>>2]|0);u=j;return}function Mz(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;rh[a&255](b,c,d,e);return}function Nz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Yh[a&511](b,c,d);return}function Oz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Yh[a&511](b,c,d);return}function Pz(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;Oh[a&127](b,c,d,e,f,g,h);return}function Qz(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;Ug[a&127](b,c,d,e,f,g);return}function Rz(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;sh[a&255](b,c,d,e,f);return}function Sz(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;rh[a&255](b,c,d,e);return}function Tz(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=+i;j=j|0;var k=0,l=0;k=u;u=u+16|0;l=k;f[l>>2]=f[h>>2];f[l+4>>2]=f[h+4>>2];Wg[a&3](b,c,d,e,g,l,i,j);u=k;return}function Uz(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=+i;var j=0,k=0;j=u;u=u+16|0;k=j;f[k>>2]=f[h>>2];f[k+4>>2]=f[h+4>>2];Qh[a&7](b,c,d,e,g,k,i);u=j;return}function Vz(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0;i=u;u=u+16|0;j=i;f[j>>2]=f[h>>2];f[j+4>>2]=f[h+4>>2];Ug[a&127](b,c,d,e,g,j);u=i;return}function Wz(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;sh[a&255](b,c,d,e,f);return}function Xz(a,b,c){a=a|0;b=b|0;c=c|0;xh[a&2047](b,c);return}function Yz(a,b){a=a|0;b=b|0;ai[a&2047](b);return}function Zz(a,b){a=a|0;b=b|0;ai[a&2047](b);return}function _z(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return Bg[a&127](b,c,d,e)|0}function $z(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return ki[a&511](b,c,d)|0}function aA(a,b,c){a=a|0;b=b|0;c=c|0;xh[a&2047](b,c);return}function bA(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;return +(+ch[a&1](b,c,d,e,f))}function cA(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;sh[a&255](b,c,d,e,f);return}function dA(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;rh[a&255](b,c,d,e);return}function eA(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;f[k>>2]=f[e>>2];f[k+4>>2]=f[e+4>>2];Oh[a&127](b,c,d,k,g,h,i);u=j;return}function fA(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0;i=u;u=u+16|0;j=i;f[j>>2]=f[e>>2];f[j+4>>2]=f[e+4>>2];Ug[a&127](b,c,d,j,g,h);u=i;return}function gA(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;h=u;u=u+16|0;i=h;f[i>>2]=f[e>>2];f[i+4>>2]=f[e+4>>2];sh[a&255](b,c,d,i,g);u=h;return}function hA(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;g=u;u=u+16|0;h=g;f[h>>2]=f[e>>2];f[h+4>>2]=f[e+4>>2];rh[a&255](b,c,d,h);u=g;return}function iA(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=u;u=u+64|0;k=j;$h[a&1](k,b,c,d,e,g,h,i);i=Bmc(56)|0;f[i>>2]=f[k>>2];h=k+4|0;g=f[h>>2]|0;f[i+4>>2]=g;e=i+8|0;d=k+8|0;f[e>>2]=f[d>>2];f[i+12>>2]=f[k+12>>2];b=k+16|0;f[i+16>>2]=f[b>>2];f[i+20>>2]=f[k+20>>2];f[i+24>>2]=f[k+24>>2];f[i+28>>2]=f[k+28>>2];f[i+32>>2]=f[k+32>>2];a=k+36|0;f[i+36>>2]=f[a>>2];l=i+40|0;f[l>>2]=e;e=i+44|0;m=i+48|0;f[e>>2]=m;n=i+52|0;f[n>>2]=0;f[m>>2]=0;o=k+44|0;if((g|0)<3){g=f[o>>2]|0;f[m>>2]=f[g>>2];f[n>>2]=f[g+4>>2];p=g}else{f[e>>2]=f[o>>2];e=k+40|0;f[l>>2]=f[e>>2];l=k+48|0;f[o>>2]=l;f[e>>2]=d;p=l}f[k>>2]=1124007936;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[h+28>>2]=0;f[a>>2]=0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((p|0)==(k+48|0)){u=j;return i|0}tE(p);u=j;return i|0}function jA(a,b,c,d,e,g,h){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;i=u;u=u+64|0;j=i;Mg[a&1](j,b,c,d,e,g,h);h=Bmc(56)|0;f[h>>2]=f[j>>2];g=j+4|0;e=f[g>>2]|0;f[h+4>>2]=e;d=h+8|0;b=j+8|0;f[d>>2]=f[b>>2];f[h+12>>2]=f[j+12>>2];a=j+16|0;f[h+16>>2]=f[a>>2];f[h+20>>2]=f[j+20>>2];f[h+24>>2]=f[j+24>>2];f[h+28>>2]=f[j+28>>2];f[h+32>>2]=f[j+32>>2];k=j+36|0;f[h+36>>2]=f[k>>2];l=h+40|0;f[l>>2]=d;d=h+44|0;m=h+48|0;f[d>>2]=m;n=h+52|0;f[n>>2]=0;f[m>>2]=0;o=j+44|0;if((e|0)<3){e=f[o>>2]|0;f[m>>2]=f[e>>2];f[n>>2]=f[e+4>>2];p=e}else{f[d>>2]=f[o>>2];d=j+40|0;f[l>>2]=f[d>>2];l=j+48|0;f[o>>2]=l;f[d>>2]=b;p=l}f[j>>2]=1124007936;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;f[k>>2]=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((p|0)==(j+48|0)){u=i;return h|0}tE(p);u=i;return h|0}function kA(a,b,c,d,e,g){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=u;u=u+64|0;i=h;Zf[a&1](i,b,c,d,e,g);g=Bmc(56)|0;f[g>>2]=f[i>>2];e=i+4|0;d=f[e>>2]|0;f[g+4>>2]=d;b=g+8|0;a=i+8|0;f[b>>2]=f[a>>2];f[g+12>>2]=f[i+12>>2];j=i+16|0;f[g+16>>2]=f[j>>2];f[g+20>>2]=f[i+20>>2];f[g+24>>2]=f[i+24>>2];f[g+28>>2]=f[i+28>>2];f[g+32>>2]=f[i+32>>2];k=i+36|0;f[g+36>>2]=f[k>>2];l=g+40|0;f[l>>2]=b;b=g+44|0;m=g+48|0;f[b>>2]=m;n=g+52|0;f[n>>2]=0;f[m>>2]=0;o=i+44|0;if((d|0)<3){d=f[o>>2]|0;f[m>>2]=f[d>>2];f[n>>2]=f[d+4>>2];p=d}else{f[b>>2]=f[o>>2];b=i+40|0;f[l>>2]=f[b>>2];l=i+48|0;f[o>>2]=l;f[b>>2]=a;p=l}f[i>>2]=1124007936;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[e+28>>2]=0;f[k>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((p|0)==(i+48|0)){u=h;return g|0}tE(p);u=h;return g|0}function lA(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=u;u=u+64|0;h=g;oh[a&1](h,b,c,d,e);e=Bmc(56)|0;f[e>>2]=f[h>>2];d=h+4|0;b=f[d>>2]|0;f[e+4>>2]=b;a=e+8|0;i=h+8|0;f[a>>2]=f[i>>2];f[e+12>>2]=f[h+12>>2];j=h+16|0;f[e+16>>2]=f[j>>2];f[e+20>>2]=f[h+20>>2];f[e+24>>2]=f[h+24>>2];f[e+28>>2]=f[h+28>>2];f[e+32>>2]=f[h+32>>2];k=h+36|0;f[e+36>>2]=f[k>>2];l=e+40|0;f[l>>2]=a;a=e+44|0;m=e+48|0;f[a>>2]=m;n=e+52|0;f[n>>2]=0;f[m>>2]=0;o=h+44|0;if((b|0)<3){b=f[o>>2]|0;f[m>>2]=f[b>>2];f[n>>2]=f[b+4>>2];p=b}else{f[a>>2]=f[o>>2];a=h+40|0;f[l>>2]=f[a>>2];l=h+48|0;f[o>>2]=l;f[a>>2]=i;p=l}f[h>>2]=1124007936;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[d+24>>2]=0;f[d+28>>2]=0;f[k>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((p|0)==(h+48|0)){u=g;return e|0}tE(p);u=g;return e|0}function mA(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=u;u=u+64|0;g=e;Bh[a&15](g,b,c,d);d=Bmc(56)|0;f[d>>2]=f[g>>2];b=g+4|0;a=f[b>>2]|0;f[d+4>>2]=a;h=d+8|0;i=g+8|0;f[h>>2]=f[i>>2];f[d+12>>2]=f[g+12>>2];j=g+16|0;f[d+16>>2]=f[j>>2];f[d+20>>2]=f[g+20>>2];f[d+24>>2]=f[g+24>>2];f[d+28>>2]=f[g+28>>2];f[d+32>>2]=f[g+32>>2];k=g+36|0;f[d+36>>2]=f[k>>2];l=d+40|0;f[l>>2]=h;h=d+44|0;m=d+48|0;f[h>>2]=m;n=d+52|0;f[n>>2]=0;f[m>>2]=0;o=g+44|0;if((a|0)<3){a=f[o>>2]|0;f[m>>2]=f[a>>2];f[n>>2]=f[a+4>>2];p=a}else{f[h>>2]=f[o>>2];h=g+40|0;f[l>>2]=f[h>>2];l=g+48|0;f[o>>2]=l;f[h>>2]=i;p=l}f[g>>2]=1124007936;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[b+28>>2]=0;f[k>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((p|0)==(g+48|0)){u=e;return d|0}tE(p);u=e;return d|0}function nA(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=u;u=u+64|0;e=d;_h[a&31](e,b,c);b=Bmc(56)|0;f[b>>2]=f[e>>2];a=e+4|0;g=f[a>>2]|0;f[b+4>>2]=g;h=b+8|0;i=e+8|0;f[h>>2]=f[i>>2];f[b+12>>2]=f[e+12>>2];j=e+16|0;f[b+16>>2]=f[j>>2];f[b+20>>2]=f[e+20>>2];f[b+24>>2]=f[e+24>>2];f[b+28>>2]=f[e+28>>2];f[b+32>>2]=f[e+32>>2];k=e+36|0;f[b+36>>2]=f[k>>2];l=b+40|0;f[l>>2]=h;h=b+44|0;m=b+48|0;f[h>>2]=m;n=b+52|0;f[n>>2]=0;f[m>>2]=0;o=e+44|0;if((g|0)<3){g=f[o>>2]|0;f[m>>2]=f[g>>2];f[n>>2]=f[g+4>>2];p=g}else{f[h>>2]=f[o>>2];h=e+40|0;f[l>>2]=f[h>>2];l=e+48|0;f[o>>2]=l;f[h>>2]=i;p=l}f[e>>2]=1124007936;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;f[k>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((p|0)==(e+48|0)){u=d;return b|0}tE(p);u=d;return b|0}function oA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=u;u=u+64|0;d=c;xh[a&2047](d,b);b=Bmc(56)|0;f[b>>2]=f[d>>2];a=d+4|0;e=f[a>>2]|0;f[b+4>>2]=e;g=b+8|0;h=d+8|0;f[g>>2]=f[h>>2];f[b+12>>2]=f[d+12>>2];i=d+16|0;f[b+16>>2]=f[i>>2];f[b+20>>2]=f[d+20>>2];f[b+24>>2]=f[d+24>>2];f[b+28>>2]=f[d+28>>2];f[b+32>>2]=f[d+32>>2];j=d+36|0;f[b+36>>2]=f[j>>2];k=b+40|0;f[k>>2]=g;g=b+44|0;l=b+48|0;f[g>>2]=l;m=b+52|0;f[m>>2]=0;f[l>>2]=0;n=d+44|0;if((e|0)<3){e=f[n>>2]|0;f[l>>2]=f[e>>2];f[m>>2]=f[e+4>>2];o=e}else{f[g>>2]=f[n>>2];g=d+40|0;f[k>>2]=f[g>>2];k=d+48|0;f[n>>2]=k;f[g>>2]=h;o=k}f[d>>2]=1124007936;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;f[j>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((o|0)==(d+48|0)){u=c;return b|0}tE(o);u=c;return b|0}function pA(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=u;u=u+32|0;g=e+24|0;h=e+12|0;i=e;j=c+4|0;k=f[c>>2]|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(k>>>0>4294967279)Lmc(h);if(k>>>0<11){b[h+11>>0]=k;if(!k)l=h;else{m=h;n=6}}else{c=k+16&-16;o=Bmc(c)|0;f[h>>2]=o;f[h+8>>2]=c|-2147483648;f[h+4>>2]=k;m=o;n=6}if((n|0)==6){Krc(m|0,j|0,k|0)|0;l=m}b[l+k>>0]=0;k=d+4|0;l=f[d>>2]|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;if(l>>>0>4294967279)Lmc(i);if(l>>>0<11){b[i+11>>0]=l;if(!l)p=i;else{q=i;n=12}}else{d=l+16&-16;m=Bmc(d)|0;f[i>>2]=m;f[i+8>>2]=d|-2147483648;f[i+4>>2]=l;q=m;n=12}if((n|0)==12){Krc(q|0,k|0,l|0)|0;p=q}b[p+l>>0]=0;Yh[a&511](g,h,i);a=Bmc(8)|0;l=f[g>>2]|0;f[a>>2]=l;f[a+4>>2]=f[g+4>>2];if(l|0){p=l+4|0;f[p>>2]=(f[p>>2]|0)+1}TAa(g);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);if((b[h+11>>0]|0)>=0){u=e;return a|0}Emc(f[h>>2]|0);u=e;return a|0}function qA(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+32|0;e=d+16|0;g=d;h=c+4|0;i=f[c>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;if(i>>>0>4294967279)Lmc(g);if(i>>>0<11){b[g+11>>0]=i;if(!i)j=g;else{k=g;l=6}}else{c=i+16&-16;m=Bmc(c)|0;f[g>>2]=m;f[g+8>>2]=c|-2147483648;f[g+4>>2]=i;k=m;l=6}if((l|0)==6){Krc(k|0,h|0,i|0)|0;j=k}b[j+i>>0]=0;xh[a&2047](e,g);a=Bmc(8)|0;i=f[e>>2]|0;f[a>>2]=i;f[a+4>>2]=f[e+4>>2];if(i|0){j=i+4|0;f[j>>2]=(f[j>>2]|0)+1}TAa(e);if((b[g+11>>0]|0)>=0){u=d;return a|0}Emc(f[g>>2]|0);u=d;return a|0}function rA(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d+8|0;g=d+4|0;h=d;f[g>>2]=b;f[h>>2]=c;Yh[a&511](e,g,h);a=Bmc(8)|0;c=f[e>>2]|0;f[a>>2]=c;f[a+4>>2]=f[e+4>>2];if(c|0){b=c+4|0;f[b>>2]=(f[b>>2]|0)+1}TAa(e);Zd(f[h>>2]|0);Zd(f[g>>2]|0);u=d;return a|0}function sA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c+8|0;e=c;f[e>>2]=b;xh[a&2047](d,e);a=Bmc(8)|0;b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];if(b|0){g=b+4|0;f[g>>2]=(f[g>>2]|0)+1}TAa(d);Zd(f[e>>2]|0);u=c;return a|0}function tA(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+32|0;g=e+16|0;h=e;i=c+4|0;j=f[c>>2]|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(j>>>0>4294967279)Lmc(h);if(j>>>0<11){b[h+11>>0]=j;if(!j)k=h;else{l=h;m=6}}else{c=j+16&-16;n=Bmc(c)|0;f[h>>2]=n;f[h+8>>2]=c|-2147483648;f[h+4>>2]=j;l=n;m=6}if((m|0)==6){Krc(l|0,i|0,j|0)|0;k=l}b[k+j>>0]=0;Yh[a&511](g,h,d);d=Bmc(8)|0;a=f[g>>2]|0;f[d>>2]=a;f[d+4>>2]=f[g+4>>2];if(a|0){j=a+4|0;f[j>>2]=(f[j>>2]|0)+1}TAa(g);if((b[h+11>>0]|0)>=0){u=e;return d|0}Emc(f[h>>2]|0);u=e;return d|0}function uA(a){a=a|0;return f[(f[a>>2]|0)+-4>>2]|0}function vA(a){a=a|0;if(!a)return;ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function wA(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=u;u=u+32|0;h=g+12|0;i=g;j=f[a>>2]|0;a=d+4|0;k=f[d>>2]|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(k>>>0>4294967279)Lmc(h);if(k>>>0<11){b[h+11>>0]=k;if(!k)l=h;else{m=h;n=6}}else{d=k+16&-16;o=Bmc(d)|0;f[h>>2]=o;f[h+8>>2]=d|-2147483648;f[h+4>>2]=k;m=o;n=6}if((n|0)==6){Krc(m|0,a|0,k|0)|0;l=m}b[l+k>>0]=0;k=e+4|0;l=f[e>>2]|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;if(l>>>0>4294967279)Lmc(i);if(l>>>0<11){b[i+11>>0]=l;if(!l)p=i;else{q=i;n=12}}else{e=l+16&-16;m=Bmc(e)|0;f[i>>2]=m;f[i+8>>2]=e|-2147483648;f[i+4>>2]=l;q=m;n=12}if((n|0)==12){Krc(q|0,k|0,l|0)|0;p=q}b[p+l>>0]=0;l=ki[j&511](c,h,i)|0;if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);if((b[h+11>>0]|0)>=0){u=g;return l|0}Emc(f[h>>2]|0);u=g;return l|0}function xA(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;h=f[a>>2]|0;a=d+4|0;i=f[d>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;if(i>>>0>4294967279)Lmc(g);if(i>>>0<11){b[g+11>>0]=i;if(!i)j=g;else{k=g;l=6}}else{d=i+16&-16;m=Bmc(d)|0;f[g>>2]=m;f[g+8>>2]=d|-2147483648;f[g+4>>2]=i;k=m;l=6}if((l|0)==6){Krc(k|0,a|0,i|0)|0;j=k}b[j+i>>0]=0;i=Sh[h&511](c,g)|0;if((b[g+11>>0]|0)>=0){u=e;return i|0}Emc(f[g>>2]|0);u=e;return i|0}function yA(){var a=0,c=0;a=Bmc(152)|0;f[a>>2]=83860;f[a+4>>2]=64;f[a+8>>2]=128;f[a+12>>2]=16;f[a+16>>2]=16;f[a+20>>2]=8;f[a+24>>2]=8;f[a+28>>2]=8;f[a+32>>2]=8;f[a+36>>2]=9;f[a+40>>2]=1;p[a+48>>3]=-1.0;f[a+56>>2]=0;p[a+64>>3]=.2;b[a+72>>0]=1;f[a+76>>2]=0;f[a+80>>2]=0;f[a+84>>2]=0;f[a+88>>2]=1124007936;c=a+92|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;f[c+16>>2]=0;f[c+20>>2]=0;f[c+24>>2]=0;f[a+120>>2]=a+96;c=a+128|0;f[a+124>>2]=c;f[a+132>>2]=0;f[c>>2]=0;n[a+136>>2]=-1.0;f[a+140>>2]=64;b[a+144>>0]=0;return a|0}function zA(a){a=a|0;return wi[a&31]()|0}function AA(a,c,d,e,g,h,i,j,k,l,m,o){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;o=o|0;var q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0;q=Bmc(152)|0;r=f[a>>2]|0;s=f[a+4>>2]|0;a=f[c>>2]|0;t=f[c+4>>2]|0;c=f[d>>2]|0;u=f[d+4>>2]|0;d=f[e>>2]|0;v=f[e+4>>2]|0;e=f[g>>2]|0;g=f[h>>2]|0;w=+p[i>>3];i=f[j>>2]|0;x=+p[k>>3];k=b[l>>0]|0;l=f[m>>2]|0;m=b[o>>0]|0;f[q>>2]=83860;f[q+4>>2]=r;f[q+8>>2]=s;f[q+12>>2]=a;f[q+16>>2]=t;f[q+20>>2]=c;f[q+24>>2]=u;f[q+28>>2]=d;f[q+32>>2]=v;f[q+36>>2]=e;f[q+40>>2]=g;p[q+48>>3]=w;f[q+56>>2]=i;p[q+64>>3]=x;b[q+72>>0]=k;f[q+76>>2]=0;f[q+80>>2]=0;f[q+84>>2]=0;f[q+88>>2]=1124007936;k=q+92|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;f[k+24>>2]=0;f[q+120>>2]=q+96;k=q+128|0;f[q+124>>2]=k;f[q+132>>2]=0;f[k>>2]=0;n[q+136>>2]=-1.0;f[q+140>>2]=l;b[q+144>>0]=m;return q|0}function BA(a,c,d,e,g,h,i,j,k,l,m,n,o){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=+j;k=k|0;l=+l;m=m|0;n=n|0;o=o|0;var q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;q=u;u=u+80|0;r=q+56|0;s=q+48|0;t=q+40|0;v=q+32|0;w=q+28|0;x=q+24|0;y=q+8|0;z=q+20|0;A=q;B=q+65|0;C=q+16|0;D=q+64|0;f[r>>2]=f[c>>2];f[r+4>>2]=f[c+4>>2];f[s>>2]=f[d>>2];f[s+4>>2]=f[d+4>>2];f[t>>2]=f[e>>2];f[t+4>>2]=f[e+4>>2];f[v>>2]=f[g>>2];f[v+4>>2]=f[g+4>>2];f[w>>2]=h;f[x>>2]=i;p[y>>3]=j;f[z>>2]=k;p[A>>3]=l;b[B>>0]=m&1;f[C>>2]=n;b[D>>0]=o&1;o=si[a&1](r,s,t,v,w,x,y,z,A,B,C,D)|0;u=q;return o|0}function CA(a){a=a|0;var b=0;b=Bmc(152)|0;EA(b,a);return b|0}function DA(a,b){a=a|0;b=b|0;return ci[a&1023](b)|0}function EA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=83860;e=a+4|0;f[a+76>>2]=0;f[a+80>>2]=0;f[a+84>>2]=0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[e+28>>2]=0;f[a+88>>2]=1124007936;e=a+92|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[a+120>>2]=a+96;e=a+128|0;f[a+124>>2]=e;f[a+132>>2]=0;f[e>>2]=0;e=f[20970]|0;f[d>>2]=0;f[d+4>>2]=0;ki[e&511](a,b,d)|0;ZG(d);u=c;return}function FA(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=b;ai[a&2047](c);a=Bmc(12)|0;f[a>>2]=f[c>>2];f[a+4>>2]=f[c+4>>2];f[a+8>>2]=f[c+8>>2];u=b;return a|0}function GA(a,b,c){a=a|0;b=b|0;c=c|0;xh[f[a>>2]&2047](b,c);return}function HA(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;i=i|0;j=+j;k=+k;l=l|0;var m=0,n=0,o=0,p=0;m=u;u=u+16|0;n=m+8|0;o=m;p=f[a>>2]|0;f[n>>2]=f[h>>2];f[n+4>>2]=f[h+4>>2];f[o>>2]=f[i>>2];f[o+4>>2]=f[i+4>>2];rg[p&3](b,c,d,e,g,n,o,j,k,l);u=m;return}function IA(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;i=i|0;j=+j;k=+k;var l=0,m=0,n=0,o=0;l=u;u=u+16|0;m=l+8|0;n=l;o=f[a>>2]|0;f[m>>2]=f[h>>2];f[m+4>>2]=f[h+4>>2];f[n>>2]=f[i>>2];f[n+4>>2]=f[i+4>>2];zg[o&1](b,c,d,e,g,m,n,j,k);u=l;return}function JA(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;i=i|0;j=+j;var k=0,l=0,m=0,n=0;k=u;u=u+16|0;l=k+8|0;m=k;n=f[a>>2]|0;f[l>>2]=f[h>>2];f[l+4>>2]=f[h+4>>2];f[m>>2]=f[i>>2];f[m+4>>2]=f[i+4>>2];Uf[n&1](b,c,d,e,g,l,m,j);u=k;return}function KA(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;i=i|0;var j=0,k=0,l=0,m=0;j=u;u=u+16|0;k=j+8|0;l=j;m=f[a>>2]|0;f[k>>2]=f[h>>2];f[k+4>>2]=f[h+4>>2];f[l>>2]=f[i>>2];f[l+4>>2]=f[i+4>>2];pi[m&7](b,c,d,e,g,k,l);u=j;return}function LA(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;var i=0,j=0,k=0;i=u;u=u+16|0;j=i;k=f[a>>2]|0;f[j>>2]=f[h>>2];f[j+4>>2]=f[h+4>>2];hi[k&15](b,c,d,e,g,j);u=i;return}function MA(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;yh[f[a>>2]&31](b,c,d,e,g);return}function NA(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;rh[f[a>>2]&255](b,c,d,e);return}function OA(a,b){a=a|0;b=b|0;var c=0;c=b+(f[a>>2]|0)|0;a=Bmc(8)|0;f[a>>2]=f[c>>2];f[a+4>>2]=f[c+4>>2];return a|0}function PA(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=b+(f[a>>2]|0)|0;f[d>>2]=f[c>>2];f[d+4>>2]=f[c+4>>2];return}function QA(a,b){a=a|0;b=b|0;return f[b+(f[a>>2]|0)>>2]|0}function RA(a,b,c){a=a|0;b=b|0;c=c|0;f[b+(f[a>>2]|0)>>2]=c;return}function SA(a,b){a=a|0;b=b|0;return +(+p[b+(f[a>>2]|0)>>3])}function TA(a,b,c){a=a|0;b=b|0;c=+c;p[b+(f[a>>2]|0)>>3]=c;return}function UA(a,c){a=a|0;c=c|0;return (b[c+(f[a>>2]|0)>>0]|0)!=0|0}function VA(a,c,d){a=a|0;c=c|0;d=d|0;b[c+(f[a>>2]|0)>>0]=d&1;return}function WA(a,b){a=a|0;b=b|0;var c=0;c=b+(f[a>>2]|0)|0;a=Bmc(12)|0;YA(a,c);return a|0}function XA(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=b+(f[a>>2]|0)|0;if((d|0)==(c|0))return;ZA(d,f[c>>2]|0,f[c+4>>2]|0);return}function YA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;f[a>>2]=0;c=a+4|0;f[c>>2]=0;f[a+8>>2]=0;d=b+4|0;e=(f[d>>2]|0)-(f[b>>2]|0)|0;g=e>>2;if(!g)return;if(g>>>0>1073741823)Ukc(a);h=Bmc(e)|0;f[c>>2]=h;f[a>>2]=h;f[a+8>>2]=h+(g<<2);g=f[b>>2]|0;b=(f[d>>2]|0)-g|0;if((b|0)<=0)return;Krc(h|0,g|0,b|0)|0;f[c>>2]=h+(b>>>2<<2);return}function ZA(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=c;e=b;g=d-e|0;h=g>>2;i=a+8|0;j=f[i>>2]|0;k=f[a>>2]|0;l=k;if(h>>>0<=j-k>>2>>>0){m=a+4|0;n=(f[m>>2]|0)-k>>2;o=h>>>0>n>>>0;p=o?b+(n<<2)|0:c;c=p;n=c-e|0;e=n>>2;if(e|0)Mrc(k|0,b|0,n|0)|0;n=l+(e<<2)|0;if(o){o=d-c|0;if((o|0)<=0)return;Krc(f[m>>2]|0,p|0,o|0)|0;f[m>>2]=(f[m>>2]|0)+(o>>>2<<2);return}else{o=f[m>>2]|0;if((o|0)==(n|0))return;f[m>>2]=o+(~((o+-4-n|0)>>>2)<<2);return}}n=k;if(!k)q=j;else{j=a+4|0;o=f[j>>2]|0;if((o|0)!=(l|0))f[j>>2]=o+(~((o+-4-k|0)>>>2)<<2);Emc(n);f[i>>2]=0;f[j>>2]=0;f[a>>2]=0;q=0}if(h>>>0>1073741823)Ukc(a);j=q>>1;n=q>>2>>>0<536870911?(j>>>0<h>>>0?h:j):1073741823;if(n>>>0>1073741823)Ukc(a);j=Bmc(n<<2)|0;h=a+4|0;f[h>>2]=j;f[a>>2]=j;f[i>>2]=j+(n<<2);if((g|0)<=0)return;Krc(j|0,b|0,g|0)|0;f[h>>2]=j+(g>>>2<<2);return}function _A(a){a=a|0;return f[(f[a>>2]|0)+-4>>2]|0}function $A(a){a=a|0;if(!a)return;ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function aB(a){a=a|0;return a|0}function bB(a){a=a|0;return a|0}function cB(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;mh[f[a>>2]&63](b,c,d,e);return}function dB(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Yh[f[a>>2]&511](b,c,d);return}function eB(a,b,c){a=a|0;b=b|0;c=c|0;xh[f[a>>2]&2047](b,c);return}function fB(a){a=a|0;return f[(f[a>>2]|0)+-4>>2]|0}function gB(a){a=a|0;if(!a)return;ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function hB(a){a=a|0;return a|0}function iB(a){a=a|0;return a|0}function jB(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;var e=0,g=0;e=u;u=u+16|0;g=e;Bh[a&15](g,b,c,d);d=Bmc(8)|0;f[d>>2]=f[g>>2];f[d+4>>2]=f[g+4>>2];u=e;return d|0}function kB(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0;d=u;u=u+16|0;e=d;_h[a&31](e,b,c);b=Bmc(8)|0;f[b>>2]=f[e>>2];f[b+4>>2]=f[e+4>>2];u=d;return b|0}function lB(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;xh[a&2047](d,b);b=Bmc(8)|0;f[b>>2]=f[d>>2];f[b+4>>2]=f[d+4>>2];u=c;return b|0}function mB(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=b;ai[a&2047](c);a=Bmc(8)|0;f[a>>2]=f[c>>2];f[a+4>>2]=f[c+4>>2];u=b;return a|0}function nB(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;mh[f[a>>2]&63](b,c,d,e);return}function oB(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Yh[f[a>>2]&511](b,c,d);return}function pB(a){a=a|0;return f[a+4>>2]|0}function qB(){var a=0;a=Bmc(8)|0;f[a>>2]=0;f[a+4>>2]=0;return a|0}function rB(a){a=a|0;return 0}function sB(a){a=a|0;var b=0,c=0,d=0;if(!a)return;b=f[a>>2]|0;if(b|0?(c=b+4|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)ai[f[(f[b>>2]|0)+8>>2]&2047](b);Emc(a);return}function tB(a){a=a|0;return f[(f[a>>2]|0)+-4>>2]|0}function uB(a){a=a|0;if(!a)return;ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function vB(a){a=a|0;return a|0}function wB(a){a=a|0;return a|0}function xB(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;g=f[a>>2]|0;f[e>>2]=f[c>>2];f[e+4>>2]=f[c+4>>2];xh[g&2047](b,e);u=d;return}function yB(a,b,c){a=a|0;b=+b;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;g=d+8|0;f[g>>2]=f[c>>2];f[g+4>>2]=f[c+4>>2];dg[a&7](e,b,g);g=Bmc(8)|0;f[g>>2]=f[e>>2];f[g+4>>2]=f[e+4>>2];u=d;return g|0}function zB(a,b){a=a|0;b=+b;var c=0,d=0;c=u;u=u+16|0;d=c;uh[a&15](d,b);a=Bmc(8)|0;f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return a|0}function AB(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=b;ai[a&2047](c);a=Bmc(8)|0;f[a>>2]=f[c>>2];f[a+4>>2]=f[c+4>>2];u=b;return a|0}function BB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a>>2]|0;d=f[a+4>>2]|0;a=b+(d>>1)|0;if(!(d&1)){e=c;ai[e&2047](a);return}else{e=f[(f[a>>2]|0)+c>>2]|0;ai[e&2047](a);return}}function CB(a,b,c){a=a|0;b=b|0;c=+c;uh[f[a>>2]&15](b,c);return}function DB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;e=f[a>>2]|0;g=f[a+4>>2]|0;a=b+(g>>1)|0;if(!(g&1))h=e;else h=f[(f[a>>2]|0)+e>>2]|0;xh[h&2047](d,a);a=Bmc(8)|0;f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];u=c;return a|0}function EB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0.0;c=f[a>>2]|0;d=f[a+4>>2]|0;a=b+(d>>1)|0;if(!(d&1)){e=c;g=+pg[e&15](a);return +g}else{e=f[(f[a>>2]|0)+c>>2]|0;g=+pg[e&15](a);return +g}return +(0.0)}function FB(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Yh[f[a>>2]&511](b,c,d);return}function GB(a){a=a|0;return f[a+4>>2]|0}function HB(){var a=0;a=Bmc(8)|0;f[a>>2]=0;f[a+4>>2]=0;return a|0}function IB(a){a=a|0;return 0}function JB(a){a=a|0;var b=0,c=0,d=0;if(!a)return;b=f[a>>2]|0;if(b|0?(c=b+4|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)ai[f[(f[b>>2]|0)+8>>2]&2047](b);Emc(a);return}function KB(a){a=a|0;return f[(f[a>>2]|0)+-4>>2]|0}function LB(a){a=a|0;if(!a)return;ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function MB(a){a=a|0;return 9584}function NB(a){a=a|0;if(!a)return;TAa(a);Emc(a);return}function OB(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;i=u;u=u+16|0;j=i;k=f[a>>2]|0;a=e+4|0;l=f[e>>2]|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;if(l>>>0>4294967279)Lmc(j);if(l>>>0<11){b[j+11>>0]=l;if(!l)m=j;else{n=j;o=6}}else{e=l+16&-16;p=Bmc(e)|0;f[j>>2]=p;f[j+8>>2]=e|-2147483648;f[j+4>>2]=l;n=p;o=6}if((o|0)==6){Krc(n|0,a|0,l|0)|0;m=n}b[m+l>>0]=0;_g[k&7](c,d,j,g,h);if((b[j+11>>0]|0)>=0){u=i;return}Emc(f[j>>2]|0);u=i;return}function PB(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=+g;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;h=u;u=u+16|0;i=h;j=f[a>>2]|0;a=e+4|0;k=f[e>>2]|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;if(k>>>0>4294967279)Lmc(i);if(k>>>0<11){b[i+11>>0]=k;if(!k)l=i;else{m=i;n=6}}else{e=k+16&-16;o=Bmc(e)|0;f[i>>2]=o;f[i+8>>2]=e|-2147483648;f[i+4>>2]=k;m=o;n=6}if((n|0)==6){Krc(m|0,a|0,k|0)|0;l=m}b[l+k>>0]=0;mh[j&63](c,d,i,g);if((b[i+11>>0]|0)>=0){u=h;return}Emc(f[i>>2]|0);u=h;return}function QB(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=u;u=u+16|0;h=g;i=f[a>>2]|0;a=e+4|0;j=f[e>>2]|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(j>>>0>4294967279)Lmc(h);if(j>>>0<11){b[h+11>>0]=j;if(!j)k=h;else{l=h;m=6}}else{e=j+16&-16;n=Bmc(e)|0;f[h>>2]=n;f[h+8>>2]=e|-2147483648;f[h+4>>2]=j;l=n;m=6}if((m|0)==6){Krc(l|0,a|0,j|0)|0;k=l}b[k+j>>0]=0;Yh[i&511](c,d,h);if((b[h+11>>0]|0)>=0){u=g;return}Emc(f[h>>2]|0);u=g;return}function RB(a,b,c){a=a|0;b=b|0;c=c|0;xh[f[a>>2]&2047](b,c);return}function SB(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=u;u=u+80|0;g=e+16|0;h=e;i=f[a>>2]|0;a=d+4|0;j=f[d>>2]|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(j>>>0>4294967279)Lmc(h);if(j>>>0<11){b[h+11>>0]=j;if(!j)k=h;else{l=h;m=6}}else{d=j+16&-16;n=Bmc(d)|0;f[h>>2]=n;f[h+8>>2]=d|-2147483648;f[h+4>>2]=j;l=n;m=6}if((m|0)==6){Krc(l|0,a|0,j|0)|0;k=l}b[k+j>>0]=0;Yh[i&511](g,c,h);c=Bmc(56)|0;f[c>>2]=f[g>>2];i=g+4|0;j=f[i>>2]|0;f[c+4>>2]=j;k=c+8|0;l=g+8|0;f[k>>2]=f[l>>2];f[c+12>>2]=f[g+12>>2];a=g+16|0;f[c+16>>2]=f[a>>2];f[c+20>>2]=f[g+20>>2];f[c+24>>2]=f[g+24>>2];f[c+28>>2]=f[g+28>>2];f[c+32>>2]=f[g+32>>2];m=g+36|0;f[c+36>>2]=f[m>>2];n=c+40|0;f[n>>2]=k;k=c+44|0;d=c+48|0;f[k>>2]=d;o=c+52|0;f[o>>2]=0;f[d>>2]=0;p=g+44|0;if((j|0)<3){j=f[p>>2]|0;f[d>>2]=f[j>>2];f[o>>2]=f[j+4>>2];q=j}else{f[k>>2]=f[p>>2];k=g+40|0;f[n>>2]=f[k>>2];n=g+48|0;f[p>>2]=n;f[k>>2]=l;q=n}f[g>>2]=1124007936;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;f[i+24>>2]=0;f[i+28>>2]=0;f[m>>2]=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((q|0)!=(g+48|0))tE(q);if((b[h+11>>0]|0)>=0){u=e;return c|0}Emc(f[h>>2]|0);u=e;return c|0}function TB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=u;u=u+64|0;d=c;xh[f[a>>2]&2047](d,b);b=Bmc(56)|0;f[b>>2]=f[d>>2];a=d+4|0;e=f[a>>2]|0;f[b+4>>2]=e;g=b+8|0;h=d+8|0;f[g>>2]=f[h>>2];f[b+12>>2]=f[d+12>>2];i=d+16|0;f[b+16>>2]=f[i>>2];f[b+20>>2]=f[d+20>>2];f[b+24>>2]=f[d+24>>2];f[b+28>>2]=f[d+28>>2];f[b+32>>2]=f[d+32>>2];j=d+36|0;f[b+36>>2]=f[j>>2];k=b+40|0;f[k>>2]=g;g=b+44|0;l=b+48|0;f[g>>2]=l;m=b+52|0;f[m>>2]=0;f[l>>2]=0;n=d+44|0;if((e|0)<3){e=f[n>>2]|0;f[l>>2]=f[e>>2];f[m>>2]=f[e+4>>2];o=e}else{f[g>>2]=f[n>>2];g=d+40|0;f[k>>2]=f[g>>2];k=d+48|0;f[n>>2]=k;f[g>>2]=h;o=k}f[d>>2]=1124007936;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;f[j>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((o|0)==(d+48|0)){u=c;return b|0}tE(o);u=c;return b|0}function UB(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=u;u=u+16|0;h=g;i=f[a>>2]|0;a=e+4|0;j=f[e>>2]|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(j>>>0>4294967279)Lmc(h);if(j>>>0<11){b[h+11>>0]=j;if(!j)k=h;else{l=h;m=6}}else{e=j+16&-16;n=Bmc(e)|0;f[h>>2]=n;f[h+8>>2]=e|-2147483648;f[h+4>>2]=j;l=n;m=6}if((m|0)==6){Krc(l|0,a|0,j|0)|0;k=l}b[k+j>>0]=0;Yh[i&511](c,d,h);if((b[h+11>>0]|0)>=0){u=g;return}Emc(f[h>>2]|0);u=g;return}function VB(a,b,c){a=a|0;b=b|0;c=c|0;xh[f[a>>2]&2047](b,c);return}function WB(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+16|0;g=e;h=f[a>>2]|0;f[g>>2]=d;Yh[h&511](b,c,g);Zd(f[g>>2]|0);u=e;return}function XB(a){a=a|0;return 9848}function YB(a){a=a|0;if(!a)return;Mwa(a);Emc(a);return}function ZB(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;h=f[a>>2]|0;a=d+4|0;i=f[d>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;if(i>>>0>4294967279)Lmc(g);if(i>>>0<11){b[g+11>>0]=i;if(!i)j=g;else{k=g;l=6}}else{d=i+16&-16;m=Bmc(d)|0;f[g>>2]=m;f[g+8>>2]=d|-2147483648;f[g+4>>2]=i;k=m;l=6}if((l|0)==6){Krc(k|0,a|0,i|0)|0;j=k}b[j+i>>0]=0;i=Sh[h&511](c,g)|0;if((b[g+11>>0]|0)>=0){u=e;return i|0}Emc(f[g>>2]|0);u=e;return i|0}function _B(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0;l=u;u=u+16|0;m=l+8|0;n=l;o=f[a>>2]|0;f[m>>2]=f[j>>2];f[m+4>>2]=f[j+4>>2];f[n>>2]=f[k>>2];f[n+4>>2]=f[k+4>>2];th[o&7](b,c,d,e,g,h,i,m,n);u=l;return}function $B(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;k=u;u=u+16|0;l=k;m=f[a>>2]|0;f[l>>2]=f[j>>2];f[l+4>>2]=f[j+4>>2];Rf[m&7](b,c,d,e,g,h,i,l);u=k;return}function aC(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;i=i|0;pi[f[a>>2]&7](b,c,d,e,g,h,i);return}function bC(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;hi[f[a>>2]&15](b,c,d,e,g,h);return}function cC(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;yh[f[a>>2]&31](b,c,d,e,g);return}function dC(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;rh[f[a>>2]&255](b,c,d,e);return}function eC(){var a=0;a=Bmc(8)|0;Hwa(a);return a|0}function fC(a){a=a|0;return wi[a&31]()|0}function gC(a){a=a|0;var b=0;b=Bmc(8)|0;Iwa(b,a);return b|0}function hC(a,b){a=a|0;b=b|0;return ci[a&1023](b)|0}function iC(a,b,c,d,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0;n=u;u=u+16|0;o=n+8|0;p=n;q=f[a>>2]|0;f[o>>2]=f[k>>2];f[o+4>>2]=f[k+4>>2];f[p>>2]=f[l>>2];f[p+4>>2]=f[l+4>>2];Cg[q&3](b,c,d,e,g,h,i,j,o,p,m);u=n;return}function jC(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0;m=u;u=u+16|0;n=m+8|0;o=m;p=f[a>>2]|0;f[n>>2]=f[k>>2];f[n+4>>2]=f[k+4>>2];f[o>>2]=f[l>>2];f[o+4>>2]=f[l+4>>2];Lg[p&3](b,c,d,e,g,h,i,j,n,o);u=m;return}function kC(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0;l=u;u=u+16|0;m=l;n=f[a>>2]|0;f[m>>2]=f[k>>2];f[m+4>>2]=f[k+4>>2];Ci[n&3](b,c,d,e,g,h,i,j,m);u=l;return}function lC(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;j=j|0;Kh[f[a>>2]&7](b,c,d,e,g,h,i,j);return}function mC(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;gg[f[a>>2]&7](b,c,d,e,g,h,i);return}function nC(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;Sg[f[a>>2]&7](b,c,d,e,g,h);return}function oC(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;sh[f[a>>2]&255](b,c,d,e,g);return}function pC(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a>>2]|0;d=f[a+4>>2]|0;a=b+(d>>1)|0;if(!(d&1))e=c;else e=f[(f[a>>2]|0)+c>>2]|0;return ci[e&1023](a)|0}function qC(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0;k=u;u=u+16|0;l=k+8|0;m=k;n=f[a>>2]|0;f[l>>2]=f[i>>2];f[l+4>>2]=f[i+4>>2];f[m>>2]=f[j>>2];f[m+4>>2]=f[j+4>>2];Vg[n&3](b,c,d,e,g,h,l,m);u=k;return}function rC(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0;j=u;u=u+16|0;k=j;l=f[a>>2]|0;f[k>>2]=f[i>>2];f[k+4>>2]=f[i+4>>2];Tf[l&3](b,c,d,e,g,h,k);u=j;return}function sC(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;ng[f[a>>2]&1](b,c,d,e,g,h);return}function tC(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;_g[f[a>>2]&7](b,c,d,e,g);return}function uC(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;mh[f[a>>2]&63](b,c,d,e);return}function vC(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Yh[f[a>>2]&511](b,c,d);return}function wC(){wj(0);Sr(0);return}function xC(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=Bmc(12)|0;f[j>>2]=34620;f[j+4>>2]=0;b[j+8>>0]=0;yC(j);Emc(j);j=Bmc(2296)|0;f[j>>2]=34640;k=j+8|0;b[j+48>>0]=0;f[j+44>>2]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;f[k+24>>2]=0;f[k+28>>2]=0;d[k+32>>1]=0;b[k+34>>0]=0;k=(vR(4)|0)&1;b[j+43>>0]=k;f[j+192>>2]=j+200;f[j+196>>2]=1032;f[j+1232>>2]=j+1240;f[j+1236>>2]=264;f[j+12>>2]=j+56;zC(j,c,e,g,h,i);i=Bmc(16)|0;f[i+4>>2]=1;f[i>>2]=34660;f[i+8>>2]=j;f[a>>2]=i;f[a+4>>2]=j;return}function yC(a){a=a|0;f[a>>2]=34620;return}function zC(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0;i=a+8|0;j=a+36|0;k=f[j>>2]|0;l=(g&128|0)==0;m=(e|0)==5?8:16;n=a+40|0;o=g&1;b[n>>0]=o;q=(g&32|0)!=0;b[a+42>>0]=(g&144|0)==16&1;r=a+16|0;p[r>>3]=1.0;f[a+32>>2]=c;f[j>>2]=c;b[a+48>>0]=0;s=(k|0)!=(c|0);k=a+12|0;t=f[k>>2]|0;if(s){if((c|0)>=6){u=(c+-1^c)+1>>1;if((u|0)>1){f[t>>2]=u;if((u|0)!=(c|0)?(v=(c>>>0)/(u>>>0)|0,(v|0)>1):0){w=3;x=v;y=1;z=8}else A=1}else{w=3;x=c;y=0;z=8}a:do if((z|0)==8){b:while(1){z=0;v=w;while(1){B=(x|0)/(v|0)|0;if((Y(B,v)|0)==(x|0))break;u=v+2|0;if((Y(u,u)|0)>(x|0))break b;else v=u}u=y+1|0;f[t+(y<<2)>>2]=v;if((B|0)>1){w=v;x=B;y=u;z=8}else{A=u;break a}}f[t+(y<<2)>>2]=x;A=y+1|0}while(0);y=f[t>>2]&1^1;x=(y+A|0)/2|0;if((y|0)<(x|0)){B=A+-1+y|0;w=y;do{y=t+(w<<2)|0;u=f[y>>2]|0;C=t+(B-w<<2)|0;f[y>>2]=f[C>>2];f[C>>2]=u;w=w+1|0}while((w|0)!=(x|0));D=A}else D=A}else{f[t>>2]=c;D=1}f[i>>2]=D;A=(f[t>>2]|0)==(f[t+(D+-1<<2)>>2]|0);if(!s)if(A)E=1;else{F=i;z=18}else{G=i;H=A;z=19}}else if((f[t>>2]|0)==(f[t+((f[i>>2]|0)+-1<<2)>>2]|0))E=1;else{F=i;z=18}if((z|0)==18)if(o<<24>>24==0|q^1)E=0;else{G=F;H=0;z=19}if((z|0)==19){F=a+192|0;o=Y(f[j>>2]|0,m)|0;i=a+196|0;if((f[i>>2]|0)>>>0<o>>>0){t=f[F>>2]|0;A=a+200|0;if((t|0)==(A|0))I=t;else{if(t|0)Fmc(t);f[F>>2]=A;f[i>>2]=1032;I=A}f[i>>2]=o;if(o>>>0>1032){A=Dmc(o)|0;f[F>>2]=A;J=A}else J=I}else{f[i>>2]=o;J=f[F>>2]|0}F=a+28|0;f[F>>2]=J;J=a+1232|0;o=f[j>>2]|0;i=a+1236|0;if((f[i>>2]|0)>>>0<o>>>0){I=f[J>>2]|0;A=a+1240|0;if((I|0)==(A|0))K=I;else{if(I|0)Fmc(I);f[J>>2]=A;f[i>>2]=264;K=A}f[i>>2]=o;if(o>>>0>264){A=Dmc(o>>>0>1073741823?-1:o<<2)|0;f[J>>2]=A;L=A}else L=K}else{f[i>>2]=o;L=f[J>>2]|0}f[a+24>>2]=L;if(l)M=q&(b[n>>0]|0)!=0;else M=0;DC(f[j>>2]|0,f[G>>2]|0,f[k>>2]|0,L,m,f[F>>2]|0,M&1);E=H}do if(!h)z=44;else{if(l){if(E|(b[h>>0]|0)==0?(c&1|0)==0|q^1:0){z=44;break}}else if(E){N=0;O=1;break}b[h>>0]=1;z=44}while(0);if((z|0)==44){z=l^1;if(z|q^1){N=0;O=z}else{N=(b[n>>0]|0)==0?1:2;O=0}}f[a+44>>2]=f[34672+(((e|0)==6?N+3|0:N)<<2)>>2];if((g&66|0)!=2)return;P=1.0/+(Y((g&4|0)==0|O?d:1,c)|0);p[r>>3]=P;return}function AC(a){a=a|0;return}function BC(a){a=a|0;Emc(a);return}function CC(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+8>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function DC(a,b,c,d,e,g,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0.0,N=0.0,O=0,Q=0.0,R=0.0,S=0,T=0.0,U=0.0;j=u;u=u+272|0;k=j+136|0;l=j;m=f[c>>2]|0;do if((a|0)<6){f[d>>2]=0;o=a+-1|0;f[d+(o<<2)>>2]=o;if((a|0)==4){f[d+4>>2]=2;f[d+8>>2]=1;q=2;break}if((o|0)>1)r=1;else{u=j;return}do{f[d+(r<<2)>>2]=r;r=r+1|0}while((r|0)!=(o|0));if((a|0)!=5){u=j;return}if((e|0)==16){p[g>>3]=1.0;p[g+8>>3]=0.0;u=j;return}else{f[g>>2]=1065353216;f[g+4>>2]=0;u=j;return}}else{f[l+(b<<2)>>2]=1;f[k+(b<<2)>>2]=0;if((b|0)>0){Drc(k|0,0,b<<2|0)|0;o=0;do{s=b-o|0;t=s+-1|0;v=Y(f[c+(t<<2)>>2]|0,f[l+(s<<2)>>2]|0)|0;f[l+(t<<2)>>2]=v;o=o+1|0}while((o|0)!=(b|0))}if(!i)w=d;else w=(m|0)==(f[c+(b+-1<<2)>>2]|0)?d:g;a:do if(!(m&1)){o=f[l+4>>2]|0;v=Y(o,m)|0;t=v>>1;s=0;while(1)if(1<<s>>>0<m>>>0)s=s+1|0;else break;x=v>>2;do if((m|0)>=3)if((m|0)<257){y=10-s|0;z=m+-4|0;if((m|0)<4)break;else A=0;do{B=Y((h[186254+(A>>2)>>0]|0)>>>y,o)|0;f[w+(A<<2)>>2]=B;C=B+t|0;f[w+((A|1)<<2)>>2]=C;f[w+((A|2)<<2)>>2]=B+x;f[w+((A|3)<<2)>>2]=C+x;A=A+4|0}while((A|0)<=(z|0))}else{z=34-s|0;y=0;do{C=Y(((h[186254+(y>>>10&255)>>0]|0)<<16|(h[186254+(y>>>2&255)>>0]|0)<<24|(h[186254+(y>>>18&255)>>0]|0)<<8|(h[186254+(y>>26)>>0]|0))>>>z,o)|0;f[w+(y<<2)>>2]=C;B=C+t|0;f[w+((y|1)<<2)>>2]=B;f[w+((y|2)<<2)>>2]=C+x;f[w+((y|3)<<2)>>2]=B+x;y=y+4|0}while((y|0)<(m|0))}else{f[w>>2]=0;f[w+4>>2]=t}while(0);t=k+4|0;f[t>>2]=(f[t>>2]|0)+1;if((b|0)>1?(x=f[l+8>>2]|0,(m|0)<(a|0)):0){o=c+4|0;if((m|0)>0){v=x;y=m;b:while(1){z=0;do{f[w+(z+y<<2)>>2]=(f[w+(z<<2)>>2]|0)+v;z=z+1|0}while((z|0)!=(m|0));z=y+m|0;if((z|0)>=(a|0)){D=s;break a}B=x+v|0;C=(f[t>>2]|0)+1|0;f[t>>2]=C;if((C|0)<(f[o>>2]|0)){v=B;y=z;continue}else{E=B;F=1;G=t}while(1){f[G>>2]=0;B=(f[l+(F+2<<2)>>2]|0)+E-(f[l+(F<<2)>>2]|0)|0;C=F+1|0;H=k+(C<<2)|0;I=(f[H>>2]|0)+1|0;f[H>>2]=I;if((I|0)<(f[c+(C<<2)>>2]|0)){v=B;y=z;continue b}else{E=B;F=C;G=H}}}}else{y=m<<1;if((y|0)>=(a|0)){D=s;break}v=f[o>>2]|0;x=y;do{y=(f[t>>2]|0)+1|0;f[t>>2]=y;if((y|0)>=(v|0)){y=1;z=t;do{f[z>>2]=0;y=y+1|0;z=k+(y<<2)|0;H=(f[z>>2]|0)+1|0;f[z>>2]=H}while((H|0)>=(f[c+(y<<2)>>2]|0))}x=x+m|0}while((x|0)<(a|0));D=s}}else D=s}else{f[w>>2]=0;if((a|0)>1){x=f[l+4>>2]|0;t=0;v=1;while(1){o=x+t|0;y=(f[k>>2]|0)+1|0;f[k>>2]=y;if((y|0)<(f[c>>2]|0))J=o;else{y=0;z=o;o=k;while(1){f[o>>2]=0;H=(f[l+(y+2<<2)>>2]|0)+z-(f[l+(y<<2)>>2]|0)|0;y=y+1|0;o=k+(y<<2)|0;C=(f[o>>2]|0)+1|0;f[o>>2]=C;if((C|0)<(f[c+(y<<2)>>2]|0)){J=H;break}else z=H}}f[w+(v<<2)>>2]=J;v=v+1|0;if((v|0)==(a|0)){D=0;break}else t=J}}else D=0}while(0);if((w|0)!=(d|0)?(f[d>>2]=0,t=a&1,(t|0)<(a|0)):0){v=t;do{t=v+1|0;x=f[w+(t<<2)>>2]|0;f[d+(f[w+(v<<2)>>2]<<2)>>2]=v;f[d+(x<<2)>>2]=t;v=v+2|0}while((v|0)<(a|0));q=D}else q=D}while(0);if(!(a+-1&a)){K=+p[9912+(q<<4)>>3];L=-+p[9912+(q<<4)+8>>3]}else{N=+P(+(-6.283185307179586/+(a|0)));K=+M(+(1.0-N*N));L=N}q=(a+1|0)/2|0;D=(a&1|0)==0;if((e|0)==16){p[g>>3]=1.0;p[g+8>>3]=0.0;if(D){p[g+(q<<4)>>3]=-1.0;p[g+(q<<4)+8>>3]=0.0}if((a|0)>2){O=1;Q=K;R=L}else{u=j;return}while(1){p[g+(O<<4)>>3]=Q;p[g+(O<<4)+8>>3]=R;e=a-O|0;p[g+(e<<4)>>3]=Q;p[g+(e<<4)+8>>3]=-R;N=K*R+L*Q;O=O+1|0;if((O|0)>=(q|0))break;else{Q=K*Q-L*R;R=N}}u=j;return}else{n[g>>2]=1.0;n[g+4>>2]=0.0;if(D){n[g+(q<<3)>>2]=-1.0;n[g+(q<<3)+4>>2]=0.0}if((a|0)>2){S=1;T=K;U=L}else{u=j;return}while(1){R=T;n[g+(S<<3)>>2]=R;Q=U;n[g+(S<<3)+4>>2]=Q;D=a-S|0;n[g+(D<<3)>>2]=R;n[g+(D<<3)+4>>2]=-Q;Q=K*U+L*T;S=S+1|0;if((S|0)>=(q|0))break;else{T=K*T-L*U;U=Q}}u=j;return}}function EC(a,b,c){a=a|0;b=b|0;c=c|0;PC(a,b,c);return}function FC(a,b,c){a=a|0;b=b|0;c=c|0;QC(a,b,c);return}function GC(a,b,c){a=a|0;b=b|0;c=c|0;OC(a,b,c);return}function HC(a,b,c){a=a|0;b=b|0;c=c|0;LC(a,b,c);return}function IC(a,b,c){a=a|0;b=b|0;c=c|0;NC(a,b,c);return}function JC(a,b,c){a=a|0;b=b|0;c=c|0;KC(a,b,c);return}function KC(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0,q=0.0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0,D=0,E=0.0,F=0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0,M=0.0,N=0,O=0.0,P=0;e=u;u=u+48|0;g=e;h=f[a+28>>2]|0;i=(b[a+34>>0]|0)!=0;j=+p[a+8>>3];if(i){k=c+8|0;l=+p[k>>3];m=+p[c>>3];p[k>>3]=m;n=k;o=l;q=m}else{n=c;o=0.0;q=+p[c>>3]}a:do switch(h|0){case 1:{p[d>>3]=j*q;break}case 2:{m=+p[n+8>>3];p[d+8>>3]=j*(q-m);p[d>>3]=j*(q+m);break}default:{c=h+1>>1;if(h&1|0){k=n+-8|0;p[d>>3]=q;p[d+8>>3]=0.0;if((c|0)>1){r=f[a+16>>2]|0;s=1;do{t=f[r+(s<<2)>>2]|0;v=f[r+(h-s<<2)>>2]|0;m=+p[k+(s<<4)>>3];l=+p[k+(s<<4)+8>>3];p[d+(t<<4)>>3]=m;p[d+(t<<4)+8>>3]=-l;p[d+(v<<4)>>3]=m;p[d+(v<<4)+8>>3]=l;s=s+1|0}while((s|0)!=(c|0))}w=g;x=a;y=w+48|0;do{f[w>>2]=f[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(y|0));b[g+34>>0]=0;b[g+32>>0]=0;b[g+33>>0]=1;p[g+8>>3]=1.0;f[g+28>>2]=h;LC(g,d,d);p[d>>3]=j*+p[d>>3];if((h|0)>1){s=1;do{k=s<<1;l=j*+p[d+(k+2<<3)>>3];p[d+(s<<3)>>3]=j*+p[d+(k<<3)>>3];p[d+(s+1<<3)>>3]=l;s=s+2|0}while((s|0)<(h|0))}break a}s=(n|0)==(d|0);k=f[a+20>>2]|0;l=+p[n+8>>3];m=+p[n+(h+-1<<3)>>3];p[d>>3]=q+m;p[d+8>>3]=m-q;r=k+16|0;do if((c|0)>2){if(s){v=r;m=l;t=2;z=k;while(1){A=h-t|0;B=+p[d+(A+-1<<3)>>3];C=m+B;D=d+(t<<3)|0;E=+p[D>>3];F=d+(A<<3)|0;G=+p[F>>3];H=E-G;I=m-B;B=E+G;G=+p[v>>3];E=+p[z+24>>3];J=I*G+B*E;K=B*G-I*E;L=d+((t|1)<<3)|0;m=+p[L>>3];p[D>>3]=C-K;p[L>>3]=-H-J;p[F>>3]=C+K;p[d+(A+1<<3)>>3]=H-J;t=t+2|0;if((t|0)>=(c|0))break;else{A=v;v=v+16|0;z=A}}M=m;N=c+1&-2;break}z=f[a+16>>2]|0;v=r;J=l;t=2;A=k;while(1){F=h-t|0;H=+p[n+(F+-1<<3)>>3];K=J+H;C=+p[n+(t<<3)>>3];E=+p[n+(F<<3)>>3];I=C-E;G=J-H;H=C+E;E=+p[v>>3];C=+p[A+24>>3];B=G*E+H*C;O=H*E-G*C;J=+p[n+((t|1)<<3)>>3];F=t>>1;L=f[z+(F<<2)>>2]|0;p[d+(L<<3)>>3]=K-O;p[d+(L+1<<3)>>3]=-I-B;L=f[z+(c-F<<2)>>2]|0;p[d+(L<<3)>>3]=K+O;p[d+(L+1<<3)>>3]=I-B;t=t+2|0;if((t|0)>=(c|0))break;else{L=v;v=v+16|0;A=L}}M=J;N=c+1&-2}else{M=l;N=2}while(0);if((N|0)<=(c|0)){l=+p[n+(c<<3)>>3]*2.0;if(s)P=c;else P=f[(f[a+16>>2]|0)+(c<<2)>>2]<<1;p[d+(P<<3)>>3]=M*2.0;p[d+(P+1<<3)>>3]=l}k=a+4|0;r=f[k>>2]|0;A=f[r>>2]>>1;f[r>>2]=A;w=g;x=a;y=w+48|0;do{f[w>>2]=f[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(y|0));r=(A|0)==1&1;v=g+4|0;f[v>>2]=(f[v>>2]|0)+(r<<2);f[g>>2]=(f[g>>2]|0)-r;b[g+34>>0]=0;b[g+32>>0]=0;b[g+33>>0]=(s^1)&1;p[g+8>>3]=1.0;f[g+28>>2]=c;LC(g,d,d);r=f[k>>2]|0;f[r>>2]=f[r>>2]<<1;if((h|0)>0){r=0;do{v=d+(r<<3)|0;t=d+((r|1)<<3)|0;l=-(j*+p[t>>3]);p[v>>3]=j*+p[v>>3];p[t>>3]=l;r=r+2|0}while((r|0)<(h|0))}}}while(0);if(!i){u=e;return}p[n>>3]=o;u=e;return}function LC(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0.0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0,Q=0,R=0,S=0.0,T=0.0,U=0.0,V=0.0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0.0,ga=0.0,ha=0,ia=0.0,ja=0.0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0;e=u;u=u+1168|0;g=e;h=f[a+20>>2]|0;i=f[a+16>>2]|0;j=a+28|0;k=f[j>>2]|0;l=(b[a+32>>0]|0)!=0;m=a+24|0;n=f[m>>2]|0;o=+p[a+8>>3];if((n|0)!=(k|0))if((n|0)==(k<<1|0))q=2;else q=(n|0)/(k|0)|0;else q=1;do if((d|0)==(c|0)){a:do if(!(b[a+33>>0]|0)){r=f[a+4>>2]|0;s=f[a>>2]|0;if((f[r>>2]|0)!=(f[r+(s+-1<<2)>>2]|0)){f[g>>2]=0;f[g+4>>2]=0;r=YG(g,33)|0;t=186154;v=r+33|0;do{b[r>>0]=b[t>>0]|0;r=r+1|0;t=t+1|0}while((r|0)<(v|0));MC(-215,g,186188,657)}if((s|0)!=1){if((k|0)>0){w=0;x=i}else break;while(1){t=f[x>>2]|0;if((t|0)>(w|0)){r=d+(w<<4)|0;y=+p[r>>3];z=+p[d+(w<<4)+8>>3];v=d+(t<<4)|0;f[r>>2]=f[v>>2];f[r+4>>2]=f[v+4>>2];f[r+8>>2]=f[v+8>>2];f[r+12>>2]=f[v+12>>2];p[v>>3]=y;p[d+(t<<4)+8>>3]=z}w=w+1|0;if((w|0)==(k|0))break a;else x=x+(q<<2)|0}}if((k&3|0)==0?(s=(k|0)/2|0,t=d+(s<<4)|0,(k|0)>1):0){v=q<<1;r=0;A=i;while(1){B=f[A>>2]|0;C=r|1;D=d+(C<<4)|0;z=+p[D>>3];y=+p[d+(C<<4)+8>>3];E=t+(B<<4)|0;f[D>>2]=f[E>>2];f[D+4>>2]=f[E+4>>2];f[D+8>>2]=f[E+8>>2];f[D+12>>2]=f[E+12>>2];p[E>>3]=z;p[E+8>>3]=y;if((B|0)>(r|0)){E=d+(r<<4)|0;y=+p[E>>3];z=+p[d+(r<<4)+8>>3];D=d+(B<<4)|0;f[E>>2]=f[D>>2];f[E+4>>2]=f[D+4>>2];f[E+8>>2]=f[D+8>>2];f[E+12>>2]=f[D+12>>2];p[D>>3]=y;p[d+(B<<4)+8>>3]=z;D=t+(C<<4)|0;z=+p[D>>3];y=+p[D+8>>3];C=t+(B+1<<4)|0;f[D>>2]=f[C>>2];f[D+4>>2]=f[C+4>>2];f[D+8>>2]=f[C+8>>2];f[D+12>>2]=f[C+12>>2];p[C>>3]=z;p[C+8>>3]=y}r=r+2|0;if((r|0)>=(s|0))break;else A=A+(v<<2)|0}}}while(0);if(l){v=k+-2|0;if((k|0)<2)F=0;else{A=0;do{s=d+(A<<4)+8|0;r=d+((A|1)<<4)+8|0;y=-+p[r>>3];p[s>>3]=-+p[s>>3];p[r>>3]=y;A=A+2|0}while((A|0)<=(v|0));F=k&-2}v=d+(k+-1<<4)+8|0;if((F|0)<(k|0))p[v>>3]=-+p[v>>3]}}else{v=k+-2|0;A=(k|0)<2;if(l){if(A)G=0;else{r=q<<1;s=0;t=i;while(1){C=f[t>>2]|0;D=f[t+(q<<2)>>2]|0;y=-+p[c+(C<<4)+8>>3];p[d+(s<<4)>>3]=+p[c+(C<<4)>>3];p[d+(s<<4)+8>>3]=y;y=-+p[c+(D<<4)+8>>3];C=s|1;p[d+(C<<4)>>3]=+p[c+(D<<4)>>3];p[d+(C<<4)+8>>3]=y;s=s+2|0;if((s|0)>(v|0))break;else t=t+(r<<2)|0}G=k&-2}if((G|0)>=(k|0))break;r=k+-1|0;y=-+p[c+(r<<4)+8>>3];p[d+(G<<4)>>3]=+p[c+(r<<4)>>3];p[d+(G<<4)+8>>3]=y;break}else{if(A)H=0;else{r=q<<1;t=0;s=i;while(1){C=f[s+(q<<2)>>2]|0;D=c+(f[s>>2]<<4)|0;B=d+(t<<4)|0;f[B>>2]=f[D>>2];f[B+4>>2]=f[D+4>>2];f[B+8>>2]=f[D+8>>2];f[B+12>>2]=f[D+12>>2];D=c+(C<<4)|0;C=d+((t|1)<<4)|0;f[C>>2]=f[D>>2];f[C+4>>2]=f[D+4>>2];f[C+8>>2]=f[D+8>>2];f[C+12>>2]=f[D+12>>2];t=t+2|0;if((t|0)>(v|0))break;else s=s+(r<<2)|0}H=k&-2}r=k+-1|0;if((H|0)>=(k|0))break;s=c+(r<<4)|0;v=d+(r<<4)|0;f[v>>2]=f[s>>2];f[v+4>>2]=f[s+4>>2];f[v+8>>2]=f[s+8>>2];f[v+12>>2]=f[s+12>>2];break}}while(0);c=a+4|0;k=f[c>>2]|0;H=f[k>>2]|0;q=H&1;if(!q){if((H|0)<4){I=1;J=n}else{i=f[j>>2]|0;G=(i|0)>0;F=1;x=n;w=4;while(1){s=(x|0)/4|0;if(G){v=F<<1;r=(F|0)>1;t=0;do{A=d+(t<<4)|0;D=A+(v<<4)|0;y=+p[D>>3];C=D+8|0;z=+p[C>>3];B=D+(F<<4)|0;K=+p[B>>3];E=B+8|0;L=+p[E>>3];M=y+K;N=z+L;O=z-L;L=K-y;y=+p[A>>3];P=d+(t<<4)+8|0;K=+p[P>>3];Q=A+(F<<4)|0;z=+p[Q>>3];R=Q+8|0;S=+p[R>>3];T=y+z;U=K+S;V=y-z;z=K-S;p[A>>3]=M+T;p[P>>3]=N+U;p[D>>3]=T-M;p[C>>3]=U-N;p[Q>>3]=O+V;p[R>>3]=L+z;p[B>>3]=V-O;p[E>>3]=z-L;if(r){E=s;B=1;while(1){R=A+(B<<4)|0;Q=R+(v<<4)|0;C=R+(F<<4)|0;L=+p[C>>3];D=E<<1;z=+p[h+(D<<4)>>3];P=C+8|0;O=+p[P>>3];V=+p[h+(D<<4)+8>>3];N=L*z-O*V;U=z*O+L*V;V=+p[Q>>3];L=+p[h+(E<<4)+8>>3];D=Q+8|0;O=+p[D>>3];z=+p[h+(E<<4)>>3];M=V*L+O*z;T=V*z-L*O;W=Q+(F<<4)|0;O=+p[W>>3];X=E*3|0;L=+p[h+(X<<4)+8>>3];Z=W+8|0;z=+p[Z>>3];V=+p[h+(X<<4)>>3];S=O*L+z*V;K=O*V-L*z;z=T+K;L=M+S;V=M-S;S=K-T;T=+p[R>>3];X=R+8|0;K=+p[X>>3];M=N+T;O=U+K;y=T-N;N=K-U;p[R>>3]=M+z;p[X>>3]=O+L;p[Q>>3]=M-z;p[D>>3]=O-L;p[C>>3]=y+V;p[P>>3]=N+S;p[W>>3]=y-V;p[Z>>3]=N-S;B=B+1|0;if((B|0)==(F|0))break;else E=E+s|0}}t=t+w|0}while((t|0)<(i|0))}t=w<<2;if((t|0)>(H|0)){I=w;J=s;break}else{v=w;x=s;w=t;F=v}}}if((I|0)<(H|0)){F=f[j>>2]|0;w=(F|0)>0;x=I;i=J;while(1){G=x<<1;v=(i|0)/2|0;b:do if(w){if((x|0)>1)_=0;else{t=0;while(1){r=d+(t<<4)|0;S=+p[r>>3];E=r+(x<<4)|0;N=+p[E>>3];B=d+(t<<4)+8|0;V=+p[B>>3];A=E+8|0;y=+p[A>>3];p[r>>3]=S+N;p[B>>3]=V+y;p[E>>3]=S-N;p[A>>3]=V-y;t=t+G|0;if((t|0)>=(F|0))break b}}do{t=d+(_<<4)|0;y=+p[t>>3];A=t+(x<<4)|0;V=+p[A>>3];E=d+(_<<4)+8|0;N=+p[E>>3];B=A+8|0;S=+p[B>>3];p[t>>3]=y+V;p[E>>3]=N+S;p[A>>3]=y-V;p[B>>3]=N-S;B=v;A=1;while(1){E=t+(A<<4)|0;r=E+(x<<4)|0;S=+p[r>>3];N=+p[h+(B<<4)>>3];Z=r+8|0;V=+p[Z>>3];y=+p[h+(B<<4)+8>>3];L=S*N-V*y;O=N*V+S*y;y=+p[E>>3];W=E+8|0;S=+p[W>>3];p[E>>3]=y+L;p[W>>3]=S+O;p[r>>3]=y-L;p[Z>>3]=S-O;A=A+1|0;if((A|0)==(x|0))break;else B=B+v|0}_=_+G|0}while((_|0)<(F|0))}while(0);if((G|0)<(H|0)){x=G;i=v}else{$=G;aa=v;break}}}else{$=I;aa=J}}else{$=1;aa=n}n=q^1;c:do if((n|0)<(f[a>>2]|0)){q=g+8|0;J=g+4|0;I=n;i=$;x=aa;H=k;while(1){F=f[H+(I<<2)>>2]|0;_=Y(F,i)|0;w=(x|0)/(F|0)|0;d:do switch(F|0){case 3:{s=f[j>>2]|0;if((s|0)>0){B=i<<1;if((i|0)>1)ba=0;else{A=0;while(1){t=d+(A<<4)|0;Z=t+(i<<4)|0;O=+p[Z>>3];r=t+(B<<4)|0;S=+p[r>>3];L=O+S;W=Z+8|0;y=+p[W>>3];E=r+8|0;V=+p[E>>3];N=y+V;z=+p[t>>3];P=d+(A<<4)+8|0;M=+p[P>>3];U=(y-V)*.8660254037844386;V=(S-O)*.8660254037844386;p[t>>3]=L+z;p[P>>3]=N+M;O=z-L*.5;L=M-N*.5;p[Z>>3]=O+U;p[W>>3]=V+L;p[r>>3]=O-U;p[E>>3]=L-V;A=A+_|0;if((A|0)>=(s|0))break d}}do{A=d+(ba<<4)|0;E=A+(i<<4)|0;V=+p[E>>3];r=A+(B<<4)|0;L=+p[r>>3];U=V+L;W=E+8|0;O=+p[W>>3];Z=r+8|0;N=+p[Z>>3];M=O+N;z=+p[A>>3];P=d+(ba<<4)+8|0;S=+p[P>>3];y=(O-N)*.8660254037844386;N=(L-V)*.8660254037844386;p[A>>3]=U+z;p[P>>3]=M+S;V=z-U*.5;U=S-M*.5;p[E>>3]=V+y;p[W>>3]=N+U;p[r>>3]=V-y;p[Z>>3]=U-N;Z=w;r=1;while(1){W=A+(r<<4)|0;E=W+(i<<4)|0;N=+p[E>>3];U=+p[h+(Z<<4)>>3];P=E+8|0;y=+p[P>>3];V=+p[h+(Z<<4)+8>>3];M=N*U-y*V;S=U*y+N*V;t=W+(B<<4)|0;V=+p[t>>3];C=Z<<1;N=+p[h+(C<<4)>>3];D=t+8|0;y=+p[D>>3];U=+p[h+(C<<4)+8>>3];z=V*N-y*U;L=N*y+V*U;U=M+z;V=S+L;y=(S-L)*.8660254037844386;L=(z-M)*.8660254037844386;M=+p[W>>3];C=W+8|0;z=+p[C>>3];p[W>>3]=M+U;p[C>>3]=z+V;S=M-U*.5;U=z-V*.5;p[E>>3]=y+S;p[P>>3]=L+U;p[t>>3]=S-y;p[D>>3]=U-L;r=r+1|0;if((r|0)==(i|0))break;else Z=Z+w|0}ba=ba+_|0}while((ba|0)<(s|0))}break}case 5:{s=f[j>>2]|0;if((s|0)>0){B=(i|0)>0;Z=i<<1;r=0;do{if(B){A=d+(r<<4)|0;D=0;t=0;while(1){P=A+(t<<4)|0;E=P+(Z<<4)|0;C=E+(Z<<4)|0;W=P+(i<<4)|0;L=+p[W>>3];U=+p[h+(D<<4)>>3];Q=W+8|0;y=+p[Q>>3];S=+p[h+(D<<4)+8>>3];V=L*U-y*S;z=U*y+L*S;S=+p[C>>3];X=D<<2;L=+p[h+(X<<4)>>3];R=C+8|0;y=+p[R>>3];U=+p[h+(X<<4)+8>>3];M=S*L-y*U;N=L*y+S*U;U=V+M;S=z+N;y=V-M;M=z-N;X=E+(i<<4)|0;N=+p[X>>3];ca=D*3|0;z=+p[h+(ca<<4)>>3];da=X+8|0;V=+p[da>>3];L=+p[h+(ca<<4)+8>>3];O=N*z-V*L;K=z*V+N*L;L=+p[E>>3];ca=D<<1;N=+p[h+(ca<<4)>>3];ea=E+8|0;V=+p[ea>>3];z=+p[h+(ca<<4)+8>>3];T=L*N-V*z;fa=N*V+L*z;z=O+T;L=K+fa;V=O-T;T=K-fa;fa=+p[P>>3];ca=P+8|0;K=+p[ca>>3];O=U+z;N=S+L;p[P>>3]=fa+O;p[ca>>3]=K+N;ga=fa-O*.25;O=K-N*.25;N=(U-z)*.5590169943749475;z=(S-L)*.5590169943749475;L=(M+T)*.9510565162951535;S=(y+V)*-.9510565162951535;U=L-M*.36327126400268045;M=y*.36327126400268045+S;y=L-T*1.5388417685876268;T=V*1.5388417685876268+S;S=N+ga;V=z+O;L=ga-N;N=O-z;p[W>>3]=y+S;p[Q>>3]=T+V;p[C>>3]=S-y;p[R>>3]=V-T;p[E>>3]=U+L;p[ea>>3]=M+N;p[X>>3]=L-U;p[da>>3]=N-M;t=t+1|0;if((t|0)==(i|0))break;else D=D+w|0}}r=r+_|0}while((r|0)<(s|0))}break}default:{s=F+-1|0;r=(s|0)/2|0;Z=(f[m>>2]|0)/(F|0)|0;B=r<<1;Drc(q|0,0,1152)|0;f[g>>2]=q;f[J>>2]=B;if(B>>>0>72){D=Dmc(B>>>0>268435455?-1:B<<4)|0;Drc(D|0,0,r<<5|0)|0;f[g>>2]=D;ha=D}else ha=q;D=ha+(r<<4)|0;B=f[j>>2]|0;if((B|0)>0){t=(i|0)>0;A=(F|0)<3;da=(s|0)>1;s=0;X=B;while(1){if(t){B=d+(s<<4)|0;ea=0;E=0;while(1){R=B+(ea<<4)|0;M=+p[R>>3];C=R+8|0;N=+p[C>>3];if(!ea){if(!A){Q=i;W=1;U=M;L=N;while(1){ca=R+(Q<<4)|0;T=+p[ca>>3];P=R+(_-Q<<4)|0;V=+p[P>>3];y=T+V;S=+p[ca+8>>3];z=+p[P+8>>3];O=S+z;ga=U+y;K=L+O;P=W+-1|0;p[ha+(P<<4)>>3]=y;p[ha+(P<<4)+8>>3]=S-z;ca=D+(P<<4)|0;p[ca>>3]=T-V;p[ca+8>>3]=O;if((W|0)<(r|0)){Q=Q+i|0;W=W+1|0;U=ga;L=K}else{ia=ga;ja=K;ka=82;break}}}}else{W=h+((Y(E,F)|0)<<4)|0;if(!A){Q=E;ca=i;P=1;L=M;U=N;while(1){la=R+(ca<<4)|0;K=+p[la>>3];ga=+p[h+(Q<<4)>>3];O=+p[la+8>>3];V=+p[h+(Q<<4)+8>>3];T=K*ga-O*V;z=ga*O+K*V;la=R+(_-ca<<4)|0;V=+p[la>>3];ma=W+(0-Q<<4)|0;K=+p[ma>>3];O=+p[la+8>>3];ga=+p[ma+8>>3];S=V*K-O*ga;y=K*O+V*ga;ga=T+S;V=z+y;O=L+ga;K=U+V;ma=P+-1|0;p[ha+(ma<<4)>>3]=ga;p[ha+(ma<<4)+8>>3]=z-y;la=D+(ma<<4)|0;p[la>>3]=T-S;p[la+8>>3]=V;if((P|0)<(r|0)){Q=Q+E|0;ca=ca+i|0;P=P+1|0;L=O;U=K}else{ia=O;ja=K;ka=82;break}}}}e:do if((ka|0)==82?(ka=0,p[R>>3]=ia,p[C>>3]=ja,!A):0){if(da){na=i;oa=1}else{P=i;ca=1;while(1){Q=R+(P<<4)|0;p[Q>>3]=M;p[Q+8>>3]=N;Q=R+(_-P<<4)|0;p[Q>>3]=M;p[Q+8>>3]=N;if((ca|0)<(r|0)){P=P+i|0;ca=ca+1|0}else break e}}while(1){ca=Y(oa,Z)|0;P=f[m>>2]|0;Q=0;W=ca;U=M;L=M;K=N;O=N;while(1){V=+p[h+(W<<4)>>3];S=V*+p[ha+(Q<<4)>>3];T=+p[h+(W<<4)+8>>3];y=T*+p[ha+(Q<<4)+8>>3];la=D+(Q<<4)|0;z=V*+p[la+8>>3];V=T*+p[la>>3];U=U+(S+y);L=L+(S-y);K=K+(z-V);O=O+(z+V);la=W+ca|0;Q=Q+1|0;if((Q|0)>=(r|0))break;else W=la-((la|0)>=(P|0)?P:0)|0}P=R+(na<<4)|0;p[P>>3]=L;p[P+8>>3]=O;P=R+(_-na<<4)|0;p[P>>3]=U;p[P+8>>3]=K;if((oa|0)<(r|0)){na=na+i|0;oa=oa+1|0}else break}}while(0);ea=ea+1|0;if((ea|0)==(i|0))break;else E=E+w|0}pa=f[j>>2]|0}else pa=X;s=s+_|0;if((s|0)>=(pa|0))break;else X=pa}}if((ha|0)!=(q|0)){Fmc(ha);f[g>>2]=q;f[J>>2]=72}}}while(0);F=I+1|0;if((F|0)>=(f[a>>2]|0))break c;I=F;i=_;x=w;H=f[c>>2]|0}}while(0);if(o!=1.0){ja=l?-o:o;c=f[j>>2]|0;if((c|0)>0)qa=0;else{u=e;return}do{a=d+(qa<<4)|0;g=d+(qa<<4)+8|0;ia=ja*+p[g>>3];p[a>>3]=o*+p[a>>3];p[g>>3]=ia;qa=qa+1|0}while((qa|0)<(c|0));u=e;return}if(!l){u=e;return}l=f[j>>2]|0;if((l|0)<2)ra=0;else{j=l+-2|0;c=((j|0)>1?j:1)&2147483646;qa=0;do{g=d+(qa<<4)+8|0;a=d+((qa|1)<<4)+8|0;o=-+p[a>>3];p[g>>3]=-+p[g>>3];p[a>>3]=o;qa=qa+2|0}while((qa|0)<=(j|0));ra=c+2|0}c=d+(l+-1<<4)+8|0;if((ra|0)>=(l|0)){u=e;return}p[c>>3]=-+p[c>>3];u=e;return}function MC(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;SQ(a,b,c,186192,d);return}function NC(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0.0,m=0,n=0.0,o=0.0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0.0,C=0,D=0.0,E=0.0,F=0,G=0,H=0.0,I=0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0;e=u;u=u+48|0;g=e;h=f[a+28>>2]|0;i=b[a+34>>0]|0;j=i<<24>>24!=0;k=i&255;l=+p[a+8>>3];i=d+(k<<3)|0;d=(h|0)==1;do if(d){p[i>>3]=l*+p[c>>3];m=i}else{if((h|0)==2){n=+p[c>>3];o=+p[c+8>>3];p[i+8>>3]=l*(n-o);p[i>>3]=l*(n+o);m=i;break}if(h&1|0){q=i+(0-k<<3)|0;p[q>>3]=l*+p[c>>3];r=q+8|0;p[r>>3]=0.0;if((h|0)>1){s=f[a+16>>2]|0;t=1;do{v=t+1|0;o=l*+p[c+(f[s+(v<<2)>>2]<<3)>>3];p[q+(t<<4)>>3]=l*+p[c+(f[s+(t<<2)>>2]<<3)>>3];p[q+(t<<4)+8>>3]=0.0;p[q+(v<<4)>>3]=o;p[q+(v<<4)+8>>3]=0.0;t=t+2|0}while((t|0)<(h|0))}w=g;x=a;y=w+48|0;do{f[w>>2]=f[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(y|0));b[g+34>>0]=0;b[g+32>>0]=0;b[g+33>>0]=1;p[g+8>>3]=1.0;LC(g,q,q);if(!j)p[r>>3]=+p[q>>3];m=q;break}o=l*.5;t=h>>1;s=a+4|0;v=f[s>>2]|0;z=f[v>>2]>>1;f[v>>2]=z;w=g;x=a;y=w+48|0;do{f[w>>2]=f[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(y|0));q=(z|0)==1&1;r=g+4|0;f[r>>2]=(f[r>>2]|0)+(q<<2);f[g>>2]=(f[g>>2]|0)-q;b[g+34>>0]=0;b[g+32>>0]=0;b[g+33>>0]=0;p[g+8>>3]=1.0;f[g+28>>2]=t;LC(g,c,i);q=f[s>>2]|0;f[q>>2]=f[q>>2]<<1;n=+p[i>>3];q=i+8|0;A=+p[q>>3];p[i>>3]=l*(n+A);B=l*(n-A);p[q>>3]=B;q=i+(t<<3)|0;A=+p[q>>3];r=i+(h+-1<<3)|0;n=+p[r>>3];p[r>>3]=B;if((t|0)>2){B=n;r=f[a+20>>2]|0;v=2;do{C=r;r=r+16|0;D=+p[i+((v|1)<<3)>>3];E=o*(B+D);F=h-v|0;G=i+(F<<3)|0;H=+p[G>>3];I=i+(v<<3)|0;J=+p[I>>3];K=o*(H-J);L=o*(H+J);J=o*(D-B);D=+p[r>>3];H=+p[C+24>>3];M=E*D-K*H;N=E*H+D*K;C=i+(F+-1<<3)|0;B=+p[C>>3];p[i+(v+-1<<3)>>3]=L+M;p[C>>3]=L-M;p[I>>3]=J+N;p[G>>3]=N-J;v=v+2|0}while((v|0)<(t|0));O=B;P=t+1&-2}else{O=n;P=2}if((P|0)<=(t|0)){p[i+(t+-1<<3)>>3]=l*A;p[q>>3]=-(l*O)}m=i}while(0);if(!j){u=e;return}if(!(d|(h&1|0)==0)){u=e;return}p[m+-8>>3]=+p[m>>3];p[m>>3]=0.0;if((h|0)<=1){u=e;return}p[m+(h<<3)>>3]=0.0;u=e;return}function OC(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0.0,k=0,l=0.0,m=0,o=0,q=0.0,r=0.0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0.0,E=0.0,F=0,G=0.0,H=0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0,O=0.0,P=0,Q=0.0,R=0;e=u;u=u+48|0;g=e;h=f[a+28>>2]|0;i=(b[a+34>>0]|0)!=0;j=+p[a+8>>3];if(i){k=c+4|0;l=+n[k>>2];m=f[c>>2]|0;f[k>>2]=m;o=k;q=l;r=(f[s>>2]=m,+n[s>>2])}else{o=c;q=0.0;r=+n[c>>2]}a:do switch(h|0){case 1:{n[d>>2]=j*r;break}case 2:{l=+n[o+4>>2];n[d+4>>2]=j*(r-l);n[d>>2]=j*(r+l);break}default:{c=h+1>>1;if(h&1|0){m=o+-4|0;n[d>>2]=r;n[d+4>>2]=0.0;if((c|0)>1){k=f[a+16>>2]|0;t=1;do{v=f[k+(t<<2)>>2]|0;w=f[k+(h-t<<2)>>2]|0;x=f[m+(t<<3)>>2]|0;l=+n[m+(t<<3)+4>>2];f[d+(v<<3)>>2]=x;n[d+(v<<3)+4>>2]=-l;f[d+(w<<3)>>2]=x;n[d+(w<<3)+4>>2]=l;t=t+1|0}while((t|0)!=(c|0))}y=g;z=a;A=y+48|0;do{f[y>>2]=f[z>>2];y=y+4|0;z=z+4|0}while((y|0)<(A|0));b[g+34>>0]=0;b[g+32>>0]=0;b[g+33>>0]=1;p[g+8>>3]=1.0;f[g+28>>2]=h;PC(g,d,d);n[d>>2]=j*+n[d>>2];if((h|0)>1){t=1;do{m=t<<1;l=j*+n[d+(m+2<<2)>>2];n[d+(t<<2)>>2]=j*+n[d+(m<<2)>>2];n[d+(t+1<<2)>>2]=l;t=t+2|0}while((t|0)<(h|0))}break a}t=(o|0)==(d|0);m=f[a+20>>2]|0;l=+n[o+4>>2];B=+n[o+(h+-1<<2)>>2];n[d>>2]=r+B;n[d+4>>2]=B-r;k=m+8|0;do if((c|0)>2){if(t){w=k;B=l;x=2;v=m;while(1){C=h-x|0;D=+n[d+(C+-1<<2)>>2];E=B+D;F=d+(x<<2)|0;G=+n[F>>2];H=d+(C<<2)|0;I=+n[H>>2];J=G-I;K=B-D;D=G+I;I=+n[w>>2];G=+n[v+12>>2];L=K*I+D*G;M=D*I-K*G;N=d+((x|1)<<2)|0;B=+n[N>>2];n[F>>2]=E-M;n[N>>2]=-J-L;n[H>>2]=E+M;n[d+(C+1<<2)>>2]=J-L;x=x+2|0;if((x|0)>=(c|0))break;else{C=w;w=w+8|0;v=C}}O=B;P=c+1&-2;break}v=f[a+16>>2]|0;w=k;L=l;x=2;C=m;while(1){H=h-x|0;J=+n[o+(H+-1<<2)>>2];M=L+J;E=+n[o+(x<<2)>>2];G=+n[o+(H<<2)>>2];K=E-G;I=L-J;J=E+G;G=+n[w>>2];E=+n[C+12>>2];D=I*G+J*E;Q=J*G-I*E;L=+n[o+((x|1)<<2)>>2];H=x>>1;N=f[v+(H<<2)>>2]|0;n[d+(N<<2)>>2]=M-Q;n[d+(N+1<<2)>>2]=-K-D;N=f[v+(c-H<<2)>>2]|0;n[d+(N<<2)>>2]=M+Q;n[d+(N+1<<2)>>2]=K-D;x=x+2|0;if((x|0)>=(c|0))break;else{N=w;w=w+8|0;C=N}}O=L;P=c+1&-2}else{O=l;P=2}while(0);if((P|0)<=(c|0)){l=+n[o+(c<<2)>>2]*2.0;if(t)R=c;else R=f[(f[a+16>>2]|0)+(c<<2)>>2]<<1;n[d+(R<<2)>>2]=O*2.0;n[d+(R+1<<2)>>2]=l}m=a+4|0;k=f[m>>2]|0;C=f[k>>2]>>1;f[k>>2]=C;y=g;z=a;A=y+48|0;do{f[y>>2]=f[z>>2];y=y+4|0;z=z+4|0}while((y|0)<(A|0));k=(C|0)==1&1;w=g+4|0;f[w>>2]=(f[w>>2]|0)+(k<<2);f[g>>2]=(f[g>>2]|0)-k;b[g+34>>0]=0;b[g+32>>0]=0;b[g+33>>0]=(t^1)&1;p[g+8>>3]=1.0;f[g+28>>2]=c;PC(g,d,d);k=f[m>>2]|0;f[k>>2]=f[k>>2]<<1;if((h|0)>0){k=0;do{w=d+(k<<2)|0;x=d+((k|1)<<2)|0;l=-(j*+n[x>>2]);n[w>>2]=j*+n[w>>2];n[x>>2]=l;k=k+2|0}while((k|0)<(h|0))}}}while(0);if(!i){u=e;return}n[o>>2]=q;u=e;return}function PC(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0.0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0,M=0,N=0,O=0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0.0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0.0,ha=0.0,ia=0,ja=0.0,ka=0.0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0;e=u;u=u+1104|0;g=e;h=f[a+20>>2]|0;i=f[a+16>>2]|0;j=a+28|0;k=f[j>>2]|0;l=(b[a+32>>0]|0)!=0;m=a+24|0;o=f[m>>2]|0;q=+p[a+8>>3];if((o|0)!=(k|0))if((o|0)==(k<<1|0))r=2;else r=(o|0)/(k|0)|0;else r=1;do if((d|0)==(c|0)){a:do if(!(b[a+33>>0]|0)){s=f[a+4>>2]|0;t=f[a>>2]|0;if((f[s>>2]|0)!=(f[s+(t+-1<<2)>>2]|0)){f[g>>2]=0;f[g+4>>2]=0;s=YG(g,33)|0;v=186154;w=s+33|0;do{b[s>>0]=b[v>>0]|0;s=s+1|0;v=v+1|0}while((s|0)<(w|0));MC(-215,g,186188,657)}if((t|0)!=1){if((k|0)>0){x=0;y=i}else break;while(1){v=f[y>>2]|0;if((v|0)>(x|0)){s=d+(x<<3)|0;w=f[s>>2]|0;z=f[d+(x<<3)+4>>2]|0;A=d+(v<<3)|0;B=A;C=f[B+4>>2]|0;D=s;f[D>>2]=f[B>>2];f[D+4>>2]=C;f[A>>2]=w;f[d+(v<<3)+4>>2]=z}x=x+1|0;if((x|0)==(k|0))break a;else y=y+(r<<2)|0}}if((k&3|0)==0?(t=(k|0)/2|0,z=d+(t<<3)|0,(k|0)>1):0){v=r<<1;w=0;A=i;while(1){C=f[A>>2]|0;D=w|1;B=d+(D<<3)|0;s=f[B>>2]|0;E=f[d+(D<<3)+4>>2]|0;F=z+(C<<3)|0;G=F;H=f[G+4>>2]|0;I=B;f[I>>2]=f[G>>2];f[I+4>>2]=H;f[F>>2]=s;f[F+4>>2]=E;if((C|0)>(w|0)){E=d+(w<<3)|0;F=f[E>>2]|0;s=f[d+(w<<3)+4>>2]|0;H=d+(C<<3)|0;I=H;G=f[I+4>>2]|0;B=E;f[B>>2]=f[I>>2];f[B+4>>2]=G;f[H>>2]=F;f[d+(C<<3)+4>>2]=s;s=z+(D<<3)|0;D=f[s>>2]|0;F=f[s+4>>2]|0;H=z+(C+1<<3)|0;C=H;G=f[C+4>>2]|0;B=s;f[B>>2]=f[C>>2];f[B+4>>2]=G;f[H>>2]=D;f[H+4>>2]=F}w=w+2|0;if((w|0)>=(t|0))break;else A=A+(v<<2)|0}}}while(0);if(l){v=k+-2|0;if((k|0)<2)J=0;else{A=0;do{t=d+(A<<3)+4|0;w=d+((A|1)<<3)+4|0;K=-+n[w>>2];n[t>>2]=-+n[t>>2];n[w>>2]=K;A=A+2|0}while((A|0)<=(v|0));J=k&-2}v=d+(k+-1<<3)+4|0;if((J|0)<(k|0))n[v>>2]=-+n[v>>2]}}else{v=k+-2|0;A=(k|0)<2;if(l){if(A)L=0;else{w=r<<1;t=0;z=i;while(1){F=f[z>>2]|0;H=f[z+(r<<2)>>2]|0;K=-+n[c+(F<<3)+4>>2];f[d+(t<<3)>>2]=f[c+(F<<3)>>2];n[d+(t<<3)+4>>2]=K;K=-+n[c+(H<<3)+4>>2];F=t|1;f[d+(F<<3)>>2]=f[c+(H<<3)>>2];n[d+(F<<3)+4>>2]=K;t=t+2|0;if((t|0)>(v|0))break;else z=z+(w<<2)|0}L=k&-2}if((L|0)>=(k|0))break;w=k+-1|0;K=-+n[c+(w<<3)+4>>2];f[d+(L<<3)>>2]=f[c+(w<<3)>>2];n[d+(L<<3)+4>>2]=K;break}else{if(A)M=0;else{w=r<<1;z=0;t=i;while(1){F=f[t+(r<<2)>>2]|0;H=c+(f[t>>2]<<3)|0;D=f[H+4>>2]|0;G=d+(z<<3)|0;f[G>>2]=f[H>>2];f[G+4>>2]=D;D=c+(F<<3)|0;F=f[D+4>>2]|0;G=d+((z|1)<<3)|0;f[G>>2]=f[D>>2];f[G+4>>2]=F;z=z+2|0;if((z|0)>(v|0))break;else t=t+(w<<2)|0}M=k&-2}w=k+-1|0;if((M|0)>=(k|0))break;t=c+(w<<3)|0;v=f[t+4>>2]|0;z=d+(w<<3)|0;f[z>>2]=f[t>>2];f[z+4>>2]=v;break}}while(0);c=a+4|0;k=f[c>>2]|0;M=f[k>>2]|0;r=M&1;if(!r){if((M|0)<4){N=1;O=o}else{i=f[j>>2]|0;L=(i|0)>0;J=1;y=o;x=4;while(1){v=(y|0)/4|0;if(L){z=J<<1;t=(J|0)>1;w=0;do{A=d+(w<<3)|0;F=A+(z<<3)|0;K=+n[F>>2];G=F+4|0;P=+n[G>>2];D=F+(J<<3)|0;Q=+n[D>>2];H=D+4|0;R=+n[H>>2];S=K+Q;T=P+R;U=P-R;R=Q-K;K=+n[A>>2];B=d+(w<<3)+4|0;Q=+n[B>>2];C=A+(J<<3)|0;P=+n[C>>2];s=C+4|0;V=+n[s>>2];W=K+P;X=Q+V;Z=K-P;P=Q-V;n[A>>2]=S+W;n[B>>2]=T+X;n[F>>2]=W-S;n[G>>2]=X-T;n[C>>2]=U+Z;n[s>>2]=R+P;n[D>>2]=Z-U;n[H>>2]=P-R;if(t){H=v;D=1;while(1){s=A+(D<<3)|0;C=s+(z<<3)|0;G=s+(J<<3)|0;R=+n[G>>2];F=H<<1;P=+n[h+(F<<3)>>2];B=G+4|0;U=+n[B>>2];Z=+n[h+(F<<3)+4>>2];T=R*P-U*Z;X=P*U+R*Z;Z=+n[C>>2];R=+n[h+(H<<3)+4>>2];F=C+4|0;U=+n[F>>2];P=+n[h+(H<<3)>>2];S=Z*R+U*P;W=Z*P-R*U;I=C+(J<<3)|0;U=+n[I>>2];E=H*3|0;R=+n[h+(E<<3)+4>>2];_=I+4|0;P=+n[_>>2];Z=+n[h+(E<<3)>>2];V=U*R+P*Z;Q=U*Z-R*P;P=W+Q;R=S+V;Z=S-V;V=Q-W;W=+n[s>>2];E=s+4|0;Q=+n[E>>2];S=T+W;U=X+Q;K=W-T;T=Q-X;n[s>>2]=S+P;n[E>>2]=U+R;n[C>>2]=S-P;n[F>>2]=U-R;n[G>>2]=K+Z;n[B>>2]=T+V;n[I>>2]=K-Z;n[_>>2]=T-V;D=D+1|0;if((D|0)==(J|0))break;else H=H+v|0}}w=w+x|0}while((w|0)<(i|0))}w=x<<2;if((w|0)>(M|0)){N=x;O=v;break}else{z=x;y=v;x=w;J=z}}}if((N|0)<(M|0)){J=f[j>>2]|0;x=(J|0)>0;y=N;i=O;while(1){L=y<<1;z=(i|0)/2|0;b:do if(x){if((y|0)>1)$=0;else{w=0;while(1){t=d+(w<<3)|0;V=+n[t>>2];H=t+(y<<3)|0;T=+n[H>>2];D=d+(w<<3)+4|0;Z=+n[D>>2];A=H+4|0;K=+n[A>>2];n[t>>2]=V+T;n[D>>2]=Z+K;n[H>>2]=V-T;n[A>>2]=Z-K;w=w+L|0;if((w|0)>=(J|0))break b}}do{w=d+($<<3)|0;K=+n[w>>2];A=w+(y<<3)|0;Z=+n[A>>2];H=d+($<<3)+4|0;T=+n[H>>2];D=A+4|0;V=+n[D>>2];n[w>>2]=K+Z;n[H>>2]=T+V;n[A>>2]=K-Z;n[D>>2]=T-V;D=z;A=1;while(1){H=w+(A<<3)|0;t=H+(y<<3)|0;V=+n[t>>2];T=+n[h+(D<<3)>>2];_=t+4|0;Z=+n[_>>2];K=+n[h+(D<<3)+4>>2];R=V*T-Z*K;U=T*Z+V*K;K=+n[H>>2];I=H+4|0;V=+n[I>>2];n[H>>2]=K+R;n[I>>2]=V+U;n[t>>2]=K-R;n[_>>2]=V-U;A=A+1|0;if((A|0)==(y|0))break;else D=D+z|0}$=$+L|0}while(($|0)<(J|0))}while(0);if((L|0)<(M|0)){y=L;i=z}else{aa=L;ba=z;break}}}else{aa=N;ba=O}}else{aa=1;ba=o}o=r^1;c:do if((o|0)<(f[a>>2]|0)){r=g+8|0;O=g+4|0;N=o;i=aa;y=ba;M=k;while(1){J=f[M+(N<<2)>>2]|0;$=Y(J,i)|0;x=(y|0)/(J|0)|0;d:do switch(J|0){case 3:{v=f[j>>2]|0;if((v|0)>0){D=i<<1;if((i|0)>1)ca=0;else{A=0;while(1){w=d+(A<<3)|0;_=w+(i<<3)|0;U=+n[_>>2];t=w+(D<<3)|0;V=+n[t>>2];R=U+V;I=_+4|0;K=+n[I>>2];H=t+4|0;Z=+n[H>>2];T=K+Z;P=+n[w>>2];B=d+(A<<3)+4|0;S=+n[B>>2];X=(K-Z)*.8660253882408142;Z=(V-U)*.8660253882408142;n[w>>2]=R+P;n[B>>2]=T+S;U=P-R*.5;R=S-T*.5;n[_>>2]=U+X;n[I>>2]=Z+R;n[t>>2]=U-X;n[H>>2]=R-Z;A=A+$|0;if((A|0)>=(v|0))break d}}do{A=d+(ca<<3)|0;H=A+(i<<3)|0;Z=+n[H>>2];t=A+(D<<3)|0;R=+n[t>>2];X=Z+R;I=H+4|0;U=+n[I>>2];_=t+4|0;T=+n[_>>2];S=U+T;P=+n[A>>2];B=d+(ca<<3)+4|0;V=+n[B>>2];K=(U-T)*.8660253882408142;T=(R-Z)*.8660253882408142;n[A>>2]=X+P;n[B>>2]=S+V;Z=P-X*.5;X=V-S*.5;n[H>>2]=Z+K;n[I>>2]=T+X;n[t>>2]=Z-K;n[_>>2]=X-T;_=x;t=1;while(1){I=A+(t<<3)|0;H=I+(i<<3)|0;T=+n[H>>2];X=+n[h+(_<<3)>>2];B=H+4|0;K=+n[B>>2];Z=+n[h+(_<<3)+4>>2];S=T*X-K*Z;V=X*K+T*Z;w=I+(D<<3)|0;Z=+n[w>>2];G=_<<1;T=+n[h+(G<<3)>>2];F=w+4|0;K=+n[F>>2];X=+n[h+(G<<3)+4>>2];P=Z*T-K*X;R=T*K+Z*X;X=S+P;Z=V+R;K=(V-R)*.8660253882408142;R=(P-S)*.8660253882408142;S=+n[I>>2];G=I+4|0;P=+n[G>>2];n[I>>2]=S+X;n[G>>2]=P+Z;V=S-X*.5;X=P-Z*.5;n[H>>2]=K+V;n[B>>2]=R+X;n[w>>2]=V-K;n[F>>2]=X-R;t=t+1|0;if((t|0)==(i|0))break;else _=_+x|0}ca=ca+$|0}while((ca|0)<(v|0))}break}case 5:{v=f[j>>2]|0;if((v|0)>0){D=(i|0)>0;_=i<<1;t=0;do{if(D){A=d+(t<<3)|0;F=0;w=0;while(1){B=A+(w<<3)|0;H=B+(_<<3)|0;G=H+(_<<3)|0;I=B+(i<<3)|0;R=+n[I>>2];X=+n[h+(F<<3)>>2];C=I+4|0;K=+n[C>>2];V=+n[h+(F<<3)+4>>2];Z=R*X-K*V;P=X*K+R*V;V=+n[G>>2];E=F<<2;R=+n[h+(E<<3)>>2];s=G+4|0;K=+n[s>>2];X=+n[h+(E<<3)+4>>2];S=V*R-K*X;T=R*K+V*X;X=Z+S;V=P+T;K=Z-S;S=P-T;E=H+(i<<3)|0;T=+n[E>>2];da=F*3|0;P=+n[h+(da<<3)>>2];ea=E+4|0;Z=+n[ea>>2];R=+n[h+(da<<3)+4>>2];U=T*P-Z*R;Q=P*Z+T*R;R=+n[H>>2];da=F<<1;T=+n[h+(da<<3)>>2];fa=H+4|0;Z=+n[fa>>2];P=+n[h+(da<<3)+4>>2];W=R*T-Z*P;ga=T*Z+R*P;P=U+W;R=Q+ga;Z=U-W;W=Q-ga;ga=+n[B>>2];da=B+4|0;Q=+n[da>>2];U=X+P;T=V+R;n[B>>2]=ga+U;n[da>>2]=Q+T;ha=ga-U*.25;U=Q-T*.25;T=(X-P)*.55901700258255;P=(V-R)*.55901700258255;R=(S+W)*.9510565400123596;V=(K+Z)*-.9510565400123596;X=R-S*.3632712662220001;S=K*.3632712662220001+V;K=R-W*1.538841724395752;W=Z*1.538841724395752+V;V=T+ha;Z=P+U;R=ha-T;T=U-P;n[I>>2]=K+V;n[C>>2]=W+Z;n[G>>2]=V-K;n[s>>2]=Z-W;n[H>>2]=X+R;n[fa>>2]=S+T;n[E>>2]=R-X;n[ea>>2]=T-S;w=w+1|0;if((w|0)==(i|0))break;else F=F+x|0}}t=t+$|0}while((t|0)<(v|0))}break}default:{v=J+-1|0;t=(v|0)/2|0;_=(f[m>>2]|0)/(J|0)|0;D=t<<1;Drc(r|0,0,1088)|0;f[g>>2]=r;f[O>>2]=D;if(D>>>0>136){F=Dmc(D>>>0>536870911?-1:D<<3)|0;Drc(F|0,0,t<<4|0)|0;f[g>>2]=F;ia=F}else ia=r;F=ia+(t<<3)|0;D=f[j>>2]|0;if((D|0)>0){w=(i|0)>0;A=(J|0)<3;ea=(v|0)>1;v=0;E=D;while(1){if(w){D=d+(v<<3)|0;fa=0;H=0;while(1){s=D+(fa<<3)|0;S=+n[s>>2];G=s+4|0;T=+n[G>>2];if(!fa){if(!A){C=i;I=1;X=S;R=T;while(1){da=s+(C<<3)|0;W=+n[da>>2];B=s+($-C<<3)|0;Z=+n[B>>2];K=W+Z;V=+n[da+4>>2];P=+n[B+4>>2];U=V+P;ha=X+K;Q=R+U;B=I+-1|0;n[ia+(B<<3)>>2]=K;n[ia+(B<<3)+4>>2]=V-P;da=F+(B<<3)|0;n[da>>2]=W-Z;n[da+4>>2]=U;if((I|0)<(t|0)){C=C+i|0;I=I+1|0;X=ha;R=Q}else{ja=ha;ka=Q;la=82;break}}}}else{I=h+((Y(H,J)|0)<<3)|0;if(!A){C=H;da=i;B=1;R=S;X=T;while(1){ma=s+(da<<3)|0;Q=+n[ma>>2];ha=+n[h+(C<<3)>>2];U=+n[ma+4>>2];Z=+n[h+(C<<3)+4>>2];W=Q*ha-U*Z;P=ha*U+Q*Z;ma=s+($-da<<3)|0;Z=+n[ma>>2];na=I+(0-C<<3)|0;Q=+n[na>>2];U=+n[ma+4>>2];ha=+n[na+4>>2];V=Z*Q-U*ha;K=Q*U+Z*ha;ha=W+V;Z=P+K;U=R+ha;Q=X+Z;na=B+-1|0;n[ia+(na<<3)>>2]=ha;n[ia+(na<<3)+4>>2]=P-K;ma=F+(na<<3)|0;n[ma>>2]=W-V;n[ma+4>>2]=Z;if((B|0)<(t|0)){C=C+H|0;da=da+i|0;B=B+1|0;R=U;X=Q}else{ja=U;ka=Q;la=82;break}}}}e:do if((la|0)==82?(la=0,n[s>>2]=ja,n[G>>2]=ka,!A):0){if(ea){oa=i;pa=1}else{B=i;da=1;while(1){C=s+(B<<3)|0;n[C>>2]=S;n[C+4>>2]=T;C=s+($-B<<3)|0;n[C>>2]=S;n[C+4>>2]=T;if((da|0)<(t|0)){B=B+i|0;da=da+1|0}else break e}}while(1){da=Y(pa,_)|0;B=f[m>>2]|0;C=0;I=da;X=S;R=S;Q=T;U=T;while(1){Z=+n[h+(I<<3)>>2];V=Z*+n[ia+(C<<3)>>2];W=+n[h+(I<<3)+4>>2];K=W*+n[ia+(C<<3)+4>>2];ma=F+(C<<3)|0;P=Z*+n[ma+4>>2];Z=W*+n[ma>>2];X=X+(V+K);R=R+(V-K);Q=Q+(P-Z);U=U+(P+Z);ma=I+da|0;C=C+1|0;if((C|0)>=(t|0))break;else I=ma-((ma|0)>=(B|0)?B:0)|0}B=s+(oa<<3)|0;n[B>>2]=R;n[B+4>>2]=U;B=s+($-oa<<3)|0;n[B>>2]=X;n[B+4>>2]=Q;if((pa|0)<(t|0)){oa=oa+i|0;pa=pa+1|0}else break}}while(0);fa=fa+1|0;if((fa|0)==(i|0))break;else H=H+x|0}qa=f[j>>2]|0}else qa=E;v=v+$|0;if((v|0)>=(qa|0))break;else E=qa}}if((ia|0)!=(r|0)){Fmc(ia);f[g>>2]=r;f[O>>2]=136}}}while(0);J=N+1|0;if((J|0)>=(f[a>>2]|0))break c;N=J;i=$;y=x;M=f[c>>2]|0}}while(0);if(q!=1.0){ka=l?-q:q;c=f[j>>2]|0;if((c|0)>0)ra=0;else{u=e;return}do{a=d+(ra<<3)|0;g=d+(ra<<3)+4|0;ja=ka*+n[g>>2];n[a>>2]=q*+n[a>>2];n[g>>2]=ja;ra=ra+1|0}while((ra|0)<(c|0));u=e;return}if(!l){u=e;return}l=f[j>>2]|0;if((l|0)<2)sa=0;else{j=l+-2|0;c=((j|0)>1?j:1)&2147483646;ra=0;do{g=d+(ra<<3)+4|0;a=d+((ra|1)<<3)+4|0;q=-+n[a>>2];n[g>>2]=-+n[g>>2];n[a>>2]=q;ra=ra+2|0}while((ra|0)<=(j|0));sa=c+2|0}c=d+(l+-1<<3)+4|0;if((sa|0)>=(l|0)){u=e;return}n[c>>2]=-+n[c>>2];u=e;return}function QC(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0.0,m=0,o=0.0,q=0.0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0,D=0,E=0.0,F=0.0,G=0,H=0,I=0.0,J=0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0;e=u;u=u+48|0;g=e;h=f[a+28>>2]|0;i=b[a+34>>0]|0;j=i<<24>>24!=0;k=i&255;l=+p[a+8>>3];i=d+(k<<2)|0;d=(h|0)==1;do if(d){n[i>>2]=l*+n[c>>2];m=i}else{if((h|0)==2){o=+n[c>>2];q=+n[c+4>>2];n[i+4>>2]=l*(o-q);n[i>>2]=l*(o+q);m=i;break}if(h&1|0){r=i+(0-k<<2)|0;n[r>>2]=l*+n[c>>2];s=r+4|0;n[s>>2]=0.0;if((h|0)>1){t=f[a+16>>2]|0;v=1;do{w=v+1|0;q=l*+n[c+(f[t+(w<<2)>>2]<<2)>>2];n[r+(v<<3)>>2]=l*+n[c+(f[t+(v<<2)>>2]<<2)>>2];n[r+(v<<3)+4>>2]=0.0;n[r+(w<<3)>>2]=q;n[r+(w<<3)+4>>2]=0.0;v=v+2|0}while((v|0)<(h|0))}x=g;y=a;z=x+48|0;do{f[x>>2]=f[y>>2];x=x+4|0;y=y+4|0}while((x|0)<(z|0));b[g+34>>0]=0;b[g+32>>0]=0;b[g+33>>0]=1;p[g+8>>3]=1.0;PC(g,r,r);if(!j)f[s>>2]=f[r>>2];m=r;break}q=l*.5;v=h>>1;t=a+4|0;w=f[t>>2]|0;A=f[w>>2]>>1;f[w>>2]=A;x=g;y=a;z=x+48|0;do{f[x>>2]=f[y>>2];x=x+4|0;y=y+4|0}while((x|0)<(z|0));r=(A|0)==1&1;s=g+4|0;f[s>>2]=(f[s>>2]|0)+(r<<2);f[g>>2]=(f[g>>2]|0)-r;b[g+34>>0]=0;b[g+32>>0]=0;b[g+33>>0]=0;p[g+8>>3]=1.0;f[g+28>>2]=v;PC(g,c,i);r=f[t>>2]|0;f[r>>2]=f[r>>2]<<1;o=+n[i>>2];r=i+4|0;B=+n[r>>2];n[i>>2]=l*(o+B);C=l*(o-B);n[r>>2]=C;r=i+(v<<2)|0;B=+n[r>>2];s=i+(h+-1<<2)|0;o=+n[s>>2];n[s>>2]=C;if((v|0)>2){C=o;s=f[a+20>>2]|0;w=2;do{D=s;s=s+8|0;E=+n[i+((w|1)<<2)>>2];F=q*(C+E);G=h-w|0;H=i+(G<<2)|0;I=+n[H>>2];J=i+(w<<2)|0;K=+n[J>>2];L=q*(I-K);M=q*(I+K);K=q*(E-C);E=+n[s>>2];I=+n[D+12>>2];N=F*E-L*I;O=F*I+E*L;D=i+(G+-1<<2)|0;C=+n[D>>2];n[i+(w+-1<<2)>>2]=M+N;n[D>>2]=M-N;n[J>>2]=K+O;n[H>>2]=O-K;w=w+2|0}while((w|0)<(v|0));P=C;Q=v+1&-2}else{P=o;Q=2}if((Q|0)<=(v|0)){n[i+(v+-1<<2)>>2]=l*B;n[r>>2]=-(l*P)}m=i}while(0);if(!j){u=e;return}if(!(d|(h&1|0)==0)){u=e;return}f[m+-4>>2]=f[m>>2];n[m>>2]=0.0;if((h|0)<=1){u=e;return}n[m+(h<<2)>>2]=0.0;u=e;return}function RC(a,b,c){a=a|0;b=b|0;c=c|0;Yh[f[a+44>>2]&511](a+8|0,b,c);return}function SC(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=34640;b=a+1232|0;c=f[b>>2]|0;d=a+1240|0;if((c|0)!=(d|0)){if(c|0)Fmc(c);f[b>>2]=d;f[a+1236>>2]=264}d=a+192|0;b=f[d>>2]|0;c=a+200|0;if((b|0)==(c|0))return;if(b|0)Fmc(b);f[d>>2]=c;f[a+196>>2]=1032;return}function TC(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=34640;b=a+1232|0;c=f[b>>2]|0;d=a+1240|0;if((c|0)!=(d|0)){if(c|0)Fmc(c);f[b>>2]=d;f[a+1236>>2]=264}d=f[a+192>>2]|0;if((d|0)==(a+200|0)|(d|0)==0){Emc(a);return}Fmc(d);Emc(a);return}function UC(a,b,c){a=a|0;b=b|0;c=c|0;return}function VC(a){a=a|0;Emc(a);return}function WC(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;k=u;u=u+16|0;l=k;m=Bmc(12)|0;f[m>>2]=34704;f[m+4>>2]=0;b[m+8>>0]=0;XC(m);Emc(m);if((c|0)==1&(j|0)>0){f[l>>2]=0;f[l+4>>2]=0;Krc(YG(l,190)|0,186573,190)|0;MC(-213,l,472539,3303)}else{l=Bmc(4244)|0;f[l>>2]=34724;m=l+4|0;f[l+60>>2]=0;f[l+64>>2]=0;f[l+68>>2]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[l+84>>2]=l+92;f[l+88>>2]=1032;f[l+1124>>2]=l+1132;f[l+1128>>2]=1032;f[l+2164>>2]=l+2172;f[l+2168>>2]=1032;f[l+3204>>2]=l+3212;f[l+3208>>2]=1032;b[l+20>>0]=0;b[l+21>>0]=0;b[l+22>>0]=0;m=l+24|0;f[l+52>>2]=0;b[l+56>>0]=0;b[l+57>>0]=0;b[l+72>>0]=0;f[l+76>>2]=0;f[l+80>>2]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;b[m+24>>0]=0;YC(l,c,d,e,g,h,i,j);j=Bmc(16)|0;f[j+4>>2]=1;f[j>>2]=34744;f[j+8>>2]=l;f[a>>2]=j;f[a+4>>2]=l;u=k;return}}function XC(a){a=a|0;f[a>>2]=34704;return}function YC(a,c,d,e,g,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;l=u;u=u+16|0;m=l;n=(g|0)!=(i|0);f[a+52>>2]=k;k=a+24|0;f[k>>2]=c;o=a+28|0;f[o>>2]=d;p=a+44|0;f[p>>2]=e;f[a+76>>2]=g;f[a+80>>2]=i;q=j&1;r=q&255;s=(g|0)==1;t=(i|0)==1;v=s&t;if(!q)if(!v){q=(i|0)==2;if(!(s&q))if((g|0)==2&q)w=3;else x=8;else w=2}else w=1;else if(!v){v=(g|0)==2;if(!(v&t))if(v&(i|0)==2)w=6;else x=8;else w=5}else w=4;if((x|0)==8)w=0;i=a+32|0;f[i>>2]=w;v=a+22|0;b[v>>0]=r;r=a+56|0;t=j>>>2&1;b[r>>0]=t;g=a+57|0;b[g>>0]=j>>>1&1;q=a+20|0;b[q>>0]=0;s=a+21|0;b[s>>0]=0;y=a+48|0;b[y>>0]=(w|0)!=6&(w|0)!=3&1;z=(e|0)==5?4:8;e=a+36|0;f[e>>2]=z;A=z<<1;z=a+40|0;f[z>>2]=A;switch(w&7){case 3:case 6:{f[e>>2]=A;break}default:{}}do if(!(t<<24>>24)){A=(d|0)>1;if(A&(c|0)==1){B=2-(j>>>9&1)|0;x=15;break}if((d|0)!=1){e=a+60|0;if(A&(c|0)>1){A=a+64|0;C=f[A>>2]|0;D=f[e>>2]|0;E=C-D>>2;F=D;G=C;if(E>>>0>=2)if((E|0)!=2?(C=F+8|0,(G|0)!=(C|0)):0){f[A>>2]=G+(~((G+-4-C|0)>>>2)<<2);H=D;I=w;J=F}else{H=D;I=w;J=F}else{$C(e,2-E|0);E=f[e>>2]|0;H=E;I=f[i>>2]|0;J=E}E=(I&-2|0)==4;f[J>>2]=E&1;f[J+4>>2]=(E^1)&1;K=e;L=H}else{M=e;N=0;x=23}}else{B=1;x=15}}else{B=1;x=15}while(0);if((x|0)==15){M=a+60|0;N=B;x=23}if((x|0)==23){x=a+64|0;B=f[x>>2]|0;H=f[M>>2]|0;J=B;switch(B-H>>2|0){case 0:{$C(M,1);break}case 1:break;default:{B=H+4|0;if((J|0)!=(B|0))f[x>>2]=J+(~((J+-4-B|0)>>>2)<<2)}}f[f[a+60>>2]>>2]=(N|0)==2&1;K=M;L=f[M>>2]|0}M=K+4|0;N=(f[M>>2]|0)-L>>2;if(!N){u=l;return}L=a+4|0;B=m+4|0;J=a+8|0;x=a+88|0;H=a+84|0;I=a+92|0;i=a+12|0;w=m+4|0;c=a+16|0;d=a+2168|0;t=a+2164|0;e=a+2172|0;E=a+3208|0;F=a+3204|0;D=a+3212|0;C=a+1128|0;G=a+1124|0;A=a+1132|0;a=n;n=(j&1024|0)!=0;j=0;O=f[K>>2]|0;P=N;do{N=(j|0)==1;n=N|n;a=a&(N^1);N=j;j=j+1|0;Q=h[v>>0]|0;R=(b[g>>0]|0)==0?Q:Q|2;Q=(b[r>>0]|0)==0;S=Q?R:R|4;R=a?S|16:S;S=(b[y>>0]|0)==0?R:R|32;R=(j|0)==(P|0)?S:S|64;S=f[k>>2]|0;T=f[o>>2]|0;do if(!(f[O+(N<<2)>>2]|0)){U=(S|0)!=1|Q^1;V=U?S:T;b[q>>0]=n&1;xC(m,V,U?T:1,f[p>>2]|0,R,q);U=f[m>>2]|0;W=f[B>>2]|0;if(U|0){X=U+4|0;f[X>>2]=(f[X>>2]|0)+1}X=f[L>>2]|0;f[L>>2]=U;f[J>>2]=W;if(X|0?(W=X+4|0,U=f[W>>2]|0,f[W>>2]=U+-1,(U|0)==1):0)ai[f[(f[X>>2]|0)+8>>2]&2047](X);X=f[m>>2]|0;if(X|0?(U=X+4|0,W=f[U>>2]|0,f[U>>2]=W+-1,(W|0)==1):0)ai[f[(f[X>>2]|0)+8>>2]&2047](X);if(b[q>>0]|0){X=Y(f[z>>2]|0,V)|0;if((f[x>>2]|0)>>>0>=X>>>0){f[x>>2]=X;break}V=f[H>>2]|0;if((V|0)!=(I|0)){if(V|0)Fmc(V);f[H>>2]=I;f[x>>2]=1032}f[x>>2]=X;if(X>>>0>1032){V=Dmc(X)|0;f[H>>2]=V}}}else{b[s>>0]=n&1;xC(m,T,S,f[p>>2]|0,R|128,s);V=f[m>>2]|0;X=f[w>>2]|0;if(V|0){W=V+4|0;f[W>>2]=(f[W>>2]|0)+1}W=f[i>>2]|0;f[i>>2]=V;f[c>>2]=X;if(W|0?(X=W+4|0,V=f[X>>2]|0,f[X>>2]=V+-1,(V|0)==1):0)ai[f[(f[W>>2]|0)+8>>2]&2047](W);W=f[m>>2]|0;if(W|0?(V=W+4|0,X=f[V>>2]|0,f[V>>2]=X+-1,(X|0)==1):0)ai[f[(f[W>>2]|0)+8>>2]&2047](W);do if(b[s>>0]|0){W=Y(f[z>>2]|0,T)|0;if((f[C>>2]|0)>>>0>=W>>>0){f[C>>2]=W;break}X=f[G>>2]|0;if((X|0)!=(A|0)){if(X|0)Fmc(X);f[G>>2]=A;f[C>>2]=1032}f[C>>2]=W;if(W>>>0>1032){X=Dmc(W)|0;f[G>>2]=X}}while(0);X=Y(f[z>>2]|0,T)|0;if((f[d>>2]|0)>>>0<X>>>0){W=f[t>>2]|0;if((W|0)!=(e|0)){if(W|0)Fmc(W);f[t>>2]=e;f[d>>2]=1032}f[d>>2]=X;if(X>>>0>1032){W=Dmc(X)|0;f[t>>2]=W}}else f[d>>2]=X;X=Y(f[z>>2]|0,T)|0;if((f[E>>2]|0)>>>0>=X>>>0){f[E>>2]=X;break}W=f[F>>2]|0;if((W|0)!=(D|0)){if(W|0)Fmc(W);f[F>>2]=D;f[E>>2]=1032}f[E>>2]=X;if(X>>>0>1032){W=Dmc(X)|0;f[F>>2]=W}}while(0);O=f[K>>2]|0;P=(f[M>>2]|0)-O>>2}while(j>>>0<P>>>0);u=l;return}function ZC(a){a=a|0;Emc(a);return}function _C(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+8>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function $C(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>2>>>0>=b>>>0){Drc(g|0,0,b<<2|0)|0;f[e>>2]=g+(b<<2);return}h=f[a>>2]|0;i=g-h|0;g=i>>2;j=g+b|0;if(j>>>0>1073741823)Ukc(a);k=d-h|0;d=k>>1;l=k>>2>>>0<536870911?(d>>>0<j>>>0?j:d):1073741823;do if(l)if(l>>>0>1073741823){d=ye(8)|0;Jmc(d,511852);f[d>>2]=165276;Gf(d|0,26776,1555)}else{m=Bmc(l<<2)|0;break}else m=0;while(0);d=m+(g<<2)|0;Drc(d|0,0,b<<2|0)|0;j=d+(0-g<<2)|0;if((i|0)>0)Krc(j|0,h|0,i|0)|0;f[a>>2]=j;f[e>>2]=d+(b<<2);f[c>>2]=m+(l<<2);if(!h)return;Emc(h);return}function aD(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=a+60|0;h=a+64|0;i=f[g>>2]|0;j=(f[h>>2]|0)-i>>2;if(!j)return;k=a+76|0;l=a+80|0;m=c;c=0;n=b;b=i;i=j;do{j=f[l>>2]|0;o=(c|0)==1;p=o?j:f[k>>2]|0;m=o?e:m;n=o?d:n;o=c;c=c+1|0;q=(c|0)==(i|0);if(!(f[b+(o<<2)>>2]|0))dD(a,n,m,d,e,(p|0)!=(j|0),q);else eD(a,n,m,d,e,p,j,q);b=f[g>>2]|0;i=(f[h>>2]|0)-b>>2}while(c>>>0<i>>>0);return}function bD(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;f[a>>2]=34724;b=a+3204|0;c=f[b>>2]|0;d=a+3212|0;if((c|0)!=(d|0)){if(c|0)Fmc(c);f[b>>2]=d;f[a+3208>>2]=1032}d=a+2164|0;b=f[d>>2]|0;c=a+2172|0;if((b|0)!=(c|0)){if(b|0)Fmc(b);f[d>>2]=c;f[a+2168>>2]=1032}c=a+1124|0;d=f[c>>2]|0;b=a+1132|0;if((d|0)!=(b|0)){if(d|0)Fmc(d);f[c>>2]=b;f[a+1128>>2]=1032}b=a+84|0;c=f[b>>2]|0;d=a+92|0;if((c|0)!=(d|0)){if(c|0)Fmc(c);f[b>>2]=d;f[a+88>>2]=1032}d=f[a+60>>2]|0;if(d|0){b=a+64|0;c=f[b>>2]|0;if((c|0)!=(d|0))f[b>>2]=c+(~((c+-4-d|0)>>>2)<<2);Emc(d)}d=a+12|0;c=f[d>>2]|0;if(c|0?(b=c+4|0,e=f[b>>2]|0,f[b>>2]=e+-1,(e|0)==1):0)ai[f[(f[c>>2]|0)+8>>2]&2047](c);f[d>>2]=0;f[a+16>>2]=0;d=a+4|0;c=f[d>>2]|0;if(!c){f[d>>2]=0;g=a+8|0;f[g>>2]=0;return}e=c+4|0;b=f[e>>2]|0;f[e>>2]=b+-1;if((b|0)!=1){f[d>>2]=0;g=a+8|0;f[g>>2]=0;return}ai[f[(f[c>>2]|0)+8>>2]&2047](c);f[d>>2]=0;g=a+8|0;f[g>>2]=0;return}function cD(a){a=a|0;bD(a);Emc(a);return}function dD(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;j=f[a+24>>2]|0;k=f[a+28>>2]|0;if((j|0)==1?(b[a+56>>0]|0)==0:0){l=k;m=1}else{l=j;m=k}k=a+36|0;j=f[k>>2]|0;o=Y(j,l)|0;q=a+20|0;r=b[q>>0]|0;if(!(r<<24>>24))s=0;else s=(l|0)>1&(l&1|0)!=0&(f[a+32>>2]|0)==1?j:0;if((b[a+22>>0]|0)!=0|h^1)t=o;else t=(f[(l&1|0?k:a+40|0)>>2]|0)+o|0;o=f[a+52>>2]|0;k=(o|0)<1|(o|0)>(m|0)?m:o;o=(k|0)>0;a:do if(o){h=a+8|0;j=a+84|0;u=0;v=r;while(1){w=c+(Y(u,d)|0)|0;x=e+(Y(u,g)|0)|0;if(!(v<<24>>24))y=x;else y=f[j>>2]|0;z=f[h>>2]|0;Yh[f[f[z>>2]>>2]&511](z,w,y);if(b[q>>0]|0)Krc(x|0,y+s|0,t|0)|0;x=u+1|0;if((x|0)==(k|0)){A=k;break a}u=x;v=b[q>>0]|0}}else A=0;while(0);if((A|0)<(m|0)){q=A;do{Drc(e+(Y(q,g)|0)|0,0,t|0)|0;q=q+1|0}while((q|0)!=(m|0))}if(!i)return;if((f[a+32>>2]|0)!=2)return;if((f[a+44>>2]|0)==5){a=g>>>2;if(!o)return;i=(l+1|0)/2|0;if((l|0)>2)B=0;else return;do{m=e+((Y(B,a)|0)<<2)|0;q=1;do{t=q<<1;A=l-q<<1;f[m+(A<<2)>>2]=f[m+(t<<2)>>2];n[m+((A|1)<<2)>>2]=-+n[m+((t|1)<<2)>>2];q=q+1|0}while((q|0)<(i|0));B=B+1|0}while((B|0)!=(k|0));return}else{B=g>>>3;if(!o)return;o=(l+1|0)/2|0;if((l|0)>2)C=0;else return;do{g=e+((Y(C,B)|0)<<3)|0;i=1;do{a=i<<1;q=l-i<<1;p[g+(q<<3)>>3]=+p[g+(a<<3)>>3];p[g+((q|1)<<3)>>3]=-+p[g+((a|1)<<3)>>3];i=i+1|0}while((i|0)<(o|0));C=C+1|0}while((C|0)!=(k|0));return}}function eD(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0;k=f[a+28>>2]|0;l=f[a+24>>2]|0;m=a+2164|0;o=f[m>>2]|0;q=a+3204|0;r=f[q>>2]|0;if(!(b[a+21>>0]|0)){s=r;t=o}else{s=f[a+1124>>2]|0;t=r}if(!(b[a+48>>0]|0)){u=0;v=l;w=e;x=c}else{y=(l&1|0)==0;z=(l+1|0)/2|0;A=a+22|0;a:do if(!(b[A>>0]|0)){B=a+40|0;Drc(o|0,0,Y(f[B>>2]|0,k)|0)|0;C=f[m>>2]|0;D=a+36|0;E=d>>>2;F=(f[B>>2]|0)>>>2;switch(f[D>>2]|0){case 4:{if((k|0)>0){G=c;H=0;I=C;while(1){f[I>>2]=f[G>>2];H=H+1|0;if((H|0)==(k|0))break;else{G=G+(E<<2)|0;I=I+(F<<2)|0}}}break}case 8:{if((k|0)>0){I=c;G=0;H=C;while(1){J=f[I+4>>2]|0;f[H>>2]=f[I>>2];f[H+4>>2]=J;G=G+1|0;if((G|0)==(k|0))break;else{I=I+(E<<2)|0;H=H+(F<<2)|0}}}break}case 16:{if((k|0)>0){H=c;I=0;G=C;while(1){J=f[H+4>>2]|0;f[G>>2]=f[H>>2];f[G+4>>2]=J;J=f[H+12>>2]|0;f[G+8>>2]=f[H+8>>2];f[G+12>>2]=J;I=I+1|0;if((I|0)==(k|0))break;else{H=H+(E<<2)|0;G=G+(F<<2)|0}}}break}default:{}}F=c+(Y(f[D>>2]|0,i)|0)|0;if(y){Drc(f[q>>2]|0,0,Y(f[B>>2]|0,k)|0)|0;G=f[D>>2]|0;H=F+(Y(G,l+-2|0)|0)|0;I=f[q>>2]|0;C=(f[B>>2]|0)>>>2;switch(G|0){case 4:{if((k|0)>0){K=H;L=0;M=I}else{N=F;O=I;P=56;break a}while(1){f[M>>2]=f[K>>2];L=L+1|0;if((L|0)==(k|0)){Q=F;P=54;break}else{K=K+(E<<2)|0;M=M+(C<<2)|0}}break}case 8:{if((k|0)>0){R=H;S=0;T=I}else{N=F;O=I;P=56;break a}while(1){B=f[R+4>>2]|0;f[T>>2]=f[R>>2];f[T+4>>2]=B;S=S+1|0;if((S|0)==(k|0)){Q=F;P=54;break}else{R=R+(E<<2)|0;T=T+(C<<2)|0}}break}case 16:{if((k|0)>0){U=H;V=0;W=I}else{N=F;O=I;P=56;break a}while(1){B=f[U+4>>2]|0;f[W>>2]=f[U>>2];f[W+4>>2]=B;B=f[U+12>>2]|0;f[W+8>>2]=f[U+8>>2];f[W+12>>2]=B;V=V+1|0;if((V|0)==(k|0)){Q=F;P=54;break}else{U=U+(E<<2)|0;W=W+(C<<2)|0}}break}default:{N=F;O=I;P=56;break a}}}else X=F}else{if((h|0)!=1){C=a+40|0;E=f[C>>2]|0;H=d>>>2;B=E>>>2;switch(E|0){case 4:{if((k|0)>0){E=c;D=0;G=o;while(1){f[G>>2]=f[E>>2];D=D+1|0;if((D|0)==(k|0))break;else{E=E+(H<<2)|0;G=G+(B<<2)|0}}}break}case 8:{if((k|0)>0){G=c;E=0;D=o;while(1){F=f[G+4>>2]|0;f[D>>2]=f[G>>2];f[D+4>>2]=F;E=E+1|0;if((E|0)==(k|0))break;else{G=G+(H<<2)|0;D=D+(B<<2)|0}}}break}case 16:{if((k|0)>0){D=c;G=0;E=o;while(1){F=f[D+4>>2]|0;f[E>>2]=f[D>>2];f[E+4>>2]=F;F=f[D+12>>2]|0;f[E+8>>2]=f[D+8>>2];f[E+12>>2]=F;G=G+1|0;if((G|0)==(k|0))break;else{D=D+(H<<2)|0;E=E+(B<<2)|0}}}break}default:{}}b:do if(y){B=f[C>>2]|0;E=c+(Y(B,z)|0)|0;D=B>>>2;switch(B|0){case 4:{if((k|0)>0){Z=E;_=0;$=r}else break b;while(1){f[$>>2]=f[Z>>2];_=_+1|0;if((_|0)==(k|0))break;else{Z=Z+(H<<2)|0;$=$+(D<<2)|0}}break}case 8:{if((k|0)>0){aa=E;ba=0;ca=r}else break b;while(1){B=f[aa+4>>2]|0;f[ca>>2]=f[aa>>2];f[ca+4>>2]=B;ba=ba+1|0;if((ba|0)==(k|0))break;else{aa=aa+(H<<2)|0;ca=ca+(D<<2)|0}}break}case 16:{if((k|0)>0){da=E;ea=0;fa=r}else break b;while(1){B=f[da+4>>2]|0;f[fa>>2]=f[da>>2];f[fa+4>>2]=B;B=f[da+12>>2]|0;f[fa+8>>2]=f[da+8>>2];f[fa+12>>2]=B;ea=ea+1|0;if((ea|0)==(k|0))break;else{da=da+(H<<2)|0;fa=fa+(D<<2)|0}}break}default:break b}}while(0);Q=c+(f[C>>2]|0)|0;P=54;break}H=a+36|0;D=f[H>>2]|0;E=d>>>2;B=D>>>2;switch(D|0){case 4:{if((k|0)>0){D=c;G=0;F=o;while(1){f[F>>2]=f[D>>2];G=G+1|0;if((G|0)==(k|0))break;else{D=D+(E<<2)|0;F=F+(B<<2)|0}}}break}case 8:{if((k|0)>0){F=c;D=0;G=o;while(1){C=f[F+4>>2]|0;f[G>>2]=f[F>>2];f[G+4>>2]=C;D=D+1|0;if((D|0)==(k|0))break;else{F=F+(E<<2)|0;G=G+(B<<2)|0}}}break}case 16:{if((k|0)>0){G=c;F=0;D=o;while(1){C=f[G+4>>2]|0;f[D>>2]=f[G>>2];f[D+4>>2]=C;C=f[G+12>>2]|0;f[D+8>>2]=f[G+8>>2];f[D+12>>2]=C;F=F+1|0;if((F|0)==(k|0))break;else{G=G+(E<<2)|0;D=D+(B<<2)|0}}}break}default:{}}fD(o,k,f[H>>2]|0);if(y){B=f[H>>2]|0;D=c+(Y(B,l+-1|0)|0)|0;G=f[q>>2]|0;F=B>>>2;switch(B|0){case 4:{if((k|0)>0){B=D;C=0;I=G;while(1){f[I>>2]=f[B>>2];C=C+1|0;if((C|0)==(k|0))break;else{B=B+(E<<2)|0;I=I+(F<<2)|0}}}break}case 8:{if((k|0)>0){I=D;B=0;C=G;while(1){J=f[I+4>>2]|0;f[C>>2]=f[I>>2];f[C+4>>2]=J;B=B+1|0;if((B|0)==(k|0))break;else{I=I+(E<<2)|0;C=C+(F<<2)|0}}}break}case 16:{if((k|0)>0){C=D;I=0;B=G;while(1){J=f[C+4>>2]|0;f[B>>2]=f[C>>2];f[B+4>>2]=J;J=f[C+12>>2]|0;f[B+8>>2]=f[C+8>>2];f[B+12>>2]=J;I=I+1|0;if((I|0)==(k|0))break;else{C=C+(E<<2)|0;B=B+(F<<2)|0}}}break}default:{}}fD(G,k,f[H>>2]|0)}Q=c+(f[H>>2]|0)|0;P=54}while(0);if((P|0)==54)if(y){N=Q;O=f[q>>2]|0;P=56}else X=Q;if((P|0)==56){P=f[a+16>>2]|0;Yh[f[f[P>>2]>>2]&511](P,O,s);X=N}N=f[a+16>>2]|0;Yh[f[f[N>>2]>>2]&511](N,f[m>>2]|0,t);c:do if((i|0)==1)if(!(b[A>>0]|0)){N=a+36|0;O=f[N>>2]|0;Krc(t+O|0,t|0,O|0)|0;O=f[N>>2]|0;P=t+O|0;Q=O>>>2;c=g>>>2;switch(O|0){case 4:{if((k|0)>0){O=P;o=0;fa=e;while(1){f[fa>>2]=f[O>>2];o=o+1|0;if((o|0)==(k|0))break;else{O=O+(Q<<2)|0;fa=fa+(c<<2)|0}}}break}case 8:{if((k|0)>0){fa=P;O=0;o=e;while(1){H=f[fa+4>>2]|0;f[o>>2]=f[fa>>2];f[o+4>>2]=H;O=O+1|0;if((O|0)==(k|0))break;else{fa=fa+(Q<<2)|0;o=o+(c<<2)|0}}}break}case 16:{if((k|0)>0){o=P;fa=0;O=e;while(1){H=f[o+4>>2]|0;f[O>>2]=f[o>>2];f[O+4>>2]=H;H=f[o+12>>2]|0;f[O+8>>2]=f[o+8>>2];f[O+12>>2]=H;fa=fa+1|0;if((fa|0)==(k|0))break;else{o=o+(Q<<2)|0;O=O+(c<<2)|0}}}break}default:{}}if(!y){ga=N;break}O=f[N>>2]|0;Krc(s+O|0,s|0,O|0)|0;O=f[N>>2]|0;Q=s+O|0;o=e+(Y(O,l+-1|0)|0)|0;fa=O>>>2;switch(O|0){case 4:{if((k|0)>0){ha=Q;ia=0;ja=o}else{ga=N;break c}while(1){f[ja>>2]=f[ha>>2];ia=ia+1|0;if((ia|0)==(k|0)){ga=N;break}else{ha=ha+(fa<<2)|0;ja=ja+(c<<2)|0}}break}case 8:{if((k|0)>0){ka=Q;la=0;ma=o}else{ga=N;break c}while(1){O=f[ka+4>>2]|0;f[ma>>2]=f[ka>>2];f[ma+4>>2]=O;la=la+1|0;if((la|0)==(k|0)){ga=N;break}else{ka=ka+(fa<<2)|0;ma=ma+(c<<2)|0}}break}case 16:{if((k|0)>0){na=Q;oa=0;pa=o}else{ga=N;break c}while(1){O=f[na+4>>2]|0;f[pa>>2]=f[na>>2];f[pa+4>>2]=O;O=f[na+12>>2]|0;f[pa+8>>2]=f[na+8>>2];f[pa+12>>2]=O;oa=oa+1|0;if((oa|0)==(k|0)){ga=N;break}else{na=na+(fa<<2)|0;pa=pa+(c<<2)|0}}break}default:{ga=N;break c}}}else{c=a+40|0;fa=a+36|0;o=(f[c>>2]|0)>>>2;Q=g>>>2;switch(f[fa>>2]|0){case 4:{if((k|0)>0){O=t;P=0;H=e;while(1){f[H>>2]=f[O>>2];P=P+1|0;if((P|0)==(k|0))break;else{O=O+(o<<2)|0;H=H+(Q<<2)|0}}}break}case 8:{if((k|0)>0){H=t;O=0;P=e;while(1){N=f[H+4>>2]|0;f[P>>2]=f[H>>2];f[P+4>>2]=N;O=O+1|0;if((O|0)==(k|0))break;else{H=H+(o<<2)|0;P=P+(Q<<2)|0}}}break}case 16:{if((k|0)>0){P=t;H=0;O=e;while(1){N=f[P+4>>2]|0;f[O>>2]=f[P>>2];f[O+4>>2]=N;N=f[P+12>>2]|0;f[O+8>>2]=f[P+8>>2];f[O+12>>2]=N;H=H+1|0;if((H|0)==(k|0))break;else{P=P+(o<<2)|0;O=O+(Q<<2)|0}}}break}default:{}}if(!y){ga=fa;break}O=f[fa>>2]|0;o=e+(Y(O,l+-1|0)|0)|0;P=(f[c>>2]|0)>>>2;switch(O|0){case 4:{if((k|0)>0){qa=s;ra=0;sa=o}else{ga=fa;break c}while(1){f[sa>>2]=f[qa>>2];ra=ra+1|0;if((ra|0)==(k|0)){ga=fa;break}else{qa=qa+(P<<2)|0;sa=sa+(Q<<2)|0}}break}case 8:{if((k|0)>0){ta=s;ua=0;va=o}else{ga=fa;break c}while(1){c=f[ta+4>>2]|0;f[va>>2]=f[ta>>2];f[va+4>>2]=c;ua=ua+1|0;if((ua|0)==(k|0)){ga=fa;break}else{ta=ta+(P<<2)|0;va=va+(Q<<2)|0}}break}case 16:{if((k|0)>0){wa=s;xa=0;ya=o}else{ga=fa;break c}while(1){c=f[wa+4>>2]|0;f[ya>>2]=f[wa>>2];f[ya+4>>2]=c;c=f[wa+12>>2]|0;f[ya+8>>2]=f[wa+8>>2];f[ya+12>>2]=c;xa=xa+1|0;if((xa|0)==(k|0)){ga=fa;break}else{wa=wa+(P<<2)|0;ya=ya+(Q<<2)|0}}break}default:{ga=fa;break c}}}else{Q=a+40|0;P=f[Q>>2]|0;o=P>>>2;c=g>>>2;switch(P|0){case 4:{if((k|0)>0){P=t;O=0;H=e;while(1){f[H>>2]=f[P>>2];O=O+1|0;if((O|0)==(k|0))break;else{P=P+(o<<2)|0;H=H+(c<<2)|0}}}break}case 8:{if((k|0)>0){H=t;P=0;O=e;while(1){fa=f[H+4>>2]|0;f[O>>2]=f[H>>2];f[O+4>>2]=fa;P=P+1|0;if((P|0)==(k|0))break;else{H=H+(o<<2)|0;O=O+(c<<2)|0}}}break}case 16:{if((k|0)>0){O=t;H=0;P=e;while(1){fa=f[O+4>>2]|0;f[P>>2]=f[O>>2];f[P+4>>2]=fa;fa=f[O+12>>2]|0;f[P+8>>2]=f[O+8>>2];f[P+12>>2]=fa;H=H+1|0;if((H|0)==(k|0))break;else{O=O+(o<<2)|0;P=P+(c<<2)|0}}}break}default:{}}if(y){P=f[Q>>2]|0;o=e+(Y(P,z)|0)|0;O=P>>>2;switch(P|0){case 4:{if((k|0)>0){za=s;Aa=0;Ba=o}else{ga=Q;break c}while(1){f[Ba>>2]=f[za>>2];Aa=Aa+1|0;if((Aa|0)==(k|0)){ga=Q;break}else{za=za+(O<<2)|0;Ba=Ba+(c<<2)|0}}break}case 8:{if((k|0)>0){Ca=s;Da=0;Ea=o}else{ga=Q;break c}while(1){P=f[Ca+4>>2]|0;f[Ea>>2]=f[Ca>>2];f[Ea+4>>2]=P;Da=Da+1|0;if((Da|0)==(k|0)){ga=Q;break}else{Ca=Ca+(O<<2)|0;Ea=Ea+(c<<2)|0}}break}case 16:{if((k|0)>0){Fa=s;Ga=0;Ha=o}else{ga=Q;break c}while(1){P=f[Fa+4>>2]|0;f[Ha>>2]=f[Fa>>2];f[Ha+4>>2]=P;P=f[Fa+12>>2]|0;f[Ha+8>>2]=f[Fa+8>>2];f[Ha+12>>2]=P;Ga=Ga+1|0;if((Ga|0)==(k|0)){ga=Q;break}else{Fa=Fa+(O<<2)|0;Ha=Ha+(c<<2)|0}}break}default:{ga=Q;break c}}}else ga=Q}while(0);u=1;v=z;w=e+(f[ga>>2]|0)|0;x=X}if((u|0)<(v|0)){X=a+40|0;ga=d>>>2;d=a+16|0;z=(k|0)>0;Ha=k<<1;Fa=k<<2;Ga=g>>>2;Ea=u;u=x;x=w;while(1){w=(Ea+1|0)<(v|0);Ca=f[m>>2]|0;d:do if(w){Da=f[q>>2]|0;switch(f[X>>2]|0){case 4:{if(z){Ba=u;za=0;while(1){Aa=f[Ba+4>>2]|0;f[Ca+(za<<2)>>2]=f[Ba>>2];f[Da+(za<<2)>>2]=Aa;za=za+1|0;if((za|0)==(k|0))break;else Ba=Ba+(ga<<2)|0}}break}case 8:{if(z){Ba=u;za=0;while(1){Aa=f[Ba+4>>2]|0;f[Ca+(za<<2)>>2]=f[Ba>>2];y=za|1;f[Ca+(y<<2)>>2]=Aa;Aa=f[Ba+12>>2]|0;f[Da+(za<<2)>>2]=f[Ba+8>>2];f[Da+(y<<2)>>2]=Aa;za=za+2|0;if((za|0)>=(Ha|0))break;else Ba=Ba+(ga<<2)|0}}break}case 16:{if(z){Ba=0;za=u;while(1){Aa=f[za+4>>2]|0;f[Ca+(Ba<<2)>>2]=f[za>>2];y=Ba|1;f[Ca+(y<<2)>>2]=Aa;Aa=f[za+12>>2]|0;ya=Ba|2;f[Ca+(ya<<2)>>2]=f[za+8>>2];wa=Ba|3;f[Ca+(wa<<2)>>2]=Aa;Aa=f[za+20>>2]|0;f[Da+(Ba<<2)>>2]=f[za+16>>2];f[Da+(y<<2)>>2]=Aa;Aa=f[za+28>>2]|0;f[Da+(ya<<2)>>2]=f[za+24>>2];f[Da+(wa<<2)>>2]=Aa;Ba=Ba+4|0;if((Ba|0)>=(Fa|0))break;else za=za+(ga<<2)|0}}break}default:{}}za=f[d>>2]|0;Yh[f[f[za>>2]>>2]&511](za,Da,s);Ia=f[m>>2]|0}else{za=f[X>>2]|0;Ba=za>>>2;switch(za|0){case 4:{if(z){Ja=u;Ka=0;La=Ca}else{Ia=Ca;break d}while(1){f[La>>2]=f[Ja>>2];Ka=Ka+1|0;if((Ka|0)==(k|0)){Ia=Ca;break}else{Ja=Ja+(ga<<2)|0;La=La+(Ba<<2)|0}}break}case 8:{if(z){Ma=u;Na=0;Oa=Ca}else{Ia=Ca;break d}while(1){Da=f[Ma+4>>2]|0;f[Oa>>2]=f[Ma>>2];f[Oa+4>>2]=Da;Na=Na+1|0;if((Na|0)==(k|0)){Ia=Ca;break}else{Ma=Ma+(ga<<2)|0;Oa=Oa+(Ba<<2)|0}}break}case 16:{if(z){Pa=u;Qa=0;Ra=Ca}else{Ia=Ca;break d}while(1){Da=f[Pa+4>>2]|0;f[Ra>>2]=f[Pa>>2];f[Ra+4>>2]=Da;Da=f[Pa+12>>2]|0;f[Ra+8>>2]=f[Pa+8>>2];f[Ra+12>>2]=Da;Qa=Qa+1|0;if((Qa|0)==(k|0)){Ia=Ca;break}else{Pa=Pa+(ga<<2)|0;Ra=Ra+(Ba<<2)|0}}break}default:{Ia=Ca;break d}}}while(0);Ca=f[d>>2]|0;Yh[f[f[Ca>>2]>>2]&511](Ca,Ia,t);Ca=f[X>>2]|0;e:do if(w)switch(Ca|0){case 4:{if(z){Sa=0;Ta=x}else break e;while(1){Q=f[s+(Sa<<2)>>2]|0;f[Ta>>2]=f[t+(Sa<<2)>>2];f[Ta+4>>2]=Q;Sa=Sa+1|0;if((Sa|0)==(k|0))break;else Ta=Ta+(Ga<<2)|0}break}case 8:{if(z){Ua=0;Va=x}else break e;while(1){Q=Ua|1;Ba=f[t+(Q<<2)>>2]|0;f[Va>>2]=f[t+(Ua<<2)>>2];f[Va+4>>2]=Ba;Ba=f[s+(Q<<2)>>2]|0;f[Va+8>>2]=f[s+(Ua<<2)>>2];f[Va+12>>2]=Ba;Ua=Ua+2|0;if((Ua|0)>=(Ha|0))break;else Va=Va+(Ga<<2)|0}break}case 16:{if(z){Wa=x;Xa=0}else break e;while(1){Ba=Xa|1;Q=f[t+(Ba<<2)>>2]|0;f[Wa>>2]=f[t+(Xa<<2)>>2];f[Wa+4>>2]=Q;Q=Xa|2;Da=Xa|3;za=f[t+(Da<<2)>>2]|0;f[Wa+8>>2]=f[t+(Q<<2)>>2];f[Wa+12>>2]=za;za=f[s+(Ba<<2)>>2]|0;f[Wa+16>>2]=f[s+(Xa<<2)>>2];f[Wa+20>>2]=za;za=f[s+(Da<<2)>>2]|0;f[Wa+24>>2]=f[s+(Q<<2)>>2];f[Wa+28>>2]=za;Xa=Xa+4|0;if((Xa|0)>=(Fa|0))break;else Wa=Wa+(Ga<<2)|0}break}default:break e}else{za=Ca>>>2;switch(Ca|0){case 4:{if(z){Ya=t;Za=0;_a=x}else break e;while(1){f[_a>>2]=f[Ya>>2];Za=Za+1|0;if((Za|0)==(k|0))break;else{Ya=Ya+(za<<2)|0;_a=_a+(Ga<<2)|0}}break}case 8:{if(z){$a=t;ab=0;bb=x}else break e;while(1){Q=f[$a+4>>2]|0;f[bb>>2]=f[$a>>2];f[bb+4>>2]=Q;ab=ab+1|0;if((ab|0)==(k|0))break;else{$a=$a+(za<<2)|0;bb=bb+(Ga<<2)|0}}break}case 16:{if(z){cb=t;db=0;eb=x}else break e;while(1){Q=f[cb+4>>2]|0;f[eb>>2]=f[cb>>2];f[eb+4>>2]=Q;Q=f[cb+12>>2]|0;f[eb+8>>2]=f[cb+8>>2];f[eb+12>>2]=Q;db=db+1|0;if((db|0)==(k|0))break;else{cb=cb+(za<<2)|0;eb=eb+(Ga<<2)|0}}break}default:break e}}while(0);Ca=f[X>>2]<<1;Ea=Ea+2|0;if((Ea|0)>=(v|0))break;else{u=u+Ca|0;x=x+Ca|0}}}if(!j)return;if((f[a+32>>2]|0)!=2)return;if((f[a+44>>2]|0)==5){a=g>>>2;if((k|0)<=0)return;j=(l+1|0)/2|0;if((l|0)>2)fb=0;else return;do{x=e+((Y(fb,a)|0)<<2)|0;u=e+((Y(k-fb|0,a)|0)<<2)|0;v=(fb|0)==0|(fb<<1|0)==(k|0)?x:u;u=1;do{Ea=u<<1;X=l-u<<1;f[x+(X<<2)>>2]=f[v+(Ea<<2)>>2];n[x+((X|1)<<2)>>2]=-+n[v+((Ea|1)<<2)>>2];u=u+1|0}while((u|0)<(j|0));fb=fb+1|0}while((fb|0)!=(k|0));return}else{fb=g>>>3;if((k|0)<=0)return;g=(l+1|0)/2|0;if((l|0)>2)gb=0;else return;do{j=e+((Y(gb,fb)|0)<<3)|0;a=e+((Y(k-gb|0,fb)|0)<<3)|0;u=(gb|0)==0|(gb<<1|0)==(k|0)?j:a;a=1;do{v=a<<1;x=l-a<<1;p[j+(x<<3)>>3]=+p[u+(v<<3)>>3];p[j+((x|1)<<3)>>3]=-+p[u+((v|1)<<3)>>3];a=a+1|0}while((a|0)<(g|0));gb=gb+1|0}while((gb|0)!=(k|0));return}}function fD(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;if((c|0)==4){c=b+1|0;d=(c|0)/2|0;if((b|0)>2){e=1;do{g=e<<1;h=b-e<<1;f[a+(h<<2)>>2]=f[a+(g+-1<<2)>>2];n[a+((h|1)<<2)>>2]=-+n[a+(g<<2)>>2];e=e+1|0}while((e|0)<(d|0))}d=b+-1|0;if(!(b&1)){f[a+(b<<2)>>2]=f[a+(d<<2)>>2];n[a+(c<<2)>>2]=0.0;i=d}else i=b;if((i|0)>1){d=i;do{i=d;d=d+-1|0;f[a+(i<<2)>>2]=f[a+(d<<2)>>2]}while((d|0)>1)}n[a+4>>2]=0.0;return}else{d=b+1|0;i=(d|0)/2|0;if((b|0)>2){c=1;do{e=c<<1;g=b-c<<1;p[a+(g<<3)>>3]=+p[a+(e+-1<<3)>>3];p[a+((g|1)<<3)>>3]=-+p[a+(e<<3)>>3];c=c+1|0}while((c|0)<(i|0))}i=b+-1|0;if(!(b&1)){p[a+(b<<3)>>3]=+p[a+(i<<3)>>3];p[a+(d<<3)>>3]=0.0;j=i}else j=b;if((j|0)>1){b=j;do{j=b;b=b+-1|0;p[a+(j<<3)>>3]=+p[a+(b<<3)>>3]}while((b|0)>1)}p[a+8>>3]=0.0;return}}function gD(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return}function hD(a){a=a|0;Emc(a);return}function iD(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;g=u;u=u+208|0;h=g+200|0;i=g+144|0;j=g+88|0;k=g+32|0;l=g+24|0;m=g+16|0;n=g;o=g+8|0;zT(h,34756);do if((pD(a)|0)==65536){p=f[a+4>>2]|0;f[i>>2]=f[p>>2];q=i+4|0;r=p+4|0;f[q>>2]=f[r>>2];s=i+8|0;f[s>>2]=f[p+8>>2];t=i+12|0;f[t>>2]=f[p+12>>2];v=i+16|0;f[v>>2]=f[p+16>>2];w=i+20|0;f[w>>2]=f[p+20>>2];x=i+24|0;f[x>>2]=f[p+24>>2];y=i+28|0;f[y>>2]=f[p+28>>2];z=i+32|0;f[z>>2]=f[p+32>>2];A=i+36|0;B=f[p+36>>2]|0;f[A>>2]=B;f[i+40>>2]=s;C=i+48|0;D=i+44|0;f[D>>2]=C;f[C>>2]=0;f[i+52>>2]=0;if(B|0){C=B+12|0;f[C>>2]=(f[C>>2]|0)+1}if((f[r>>2]|0)<3){r=f[p+44>>2]|0;C=f[D>>2]|0;f[C>>2]=f[r>>2];f[C+4>>2]=f[r+4>>2];E=i;F=q;G=s;H=t;I=v;J=v;K=w;L=x;M=y;N=z;O=A;P=A;break}else{f[q>>2]=0;kP(i,p);E=i;F=q;G=s;H=t;I=v;J=v;K=w;L=x;M=y;N=z;O=A;P=A;break}}else{lD(i,a,-1);A=i+16|0;z=i+36|0;E=i;F=i+4|0;G=i+8|0;H=i+12|0;I=A;J=A;K=i+20|0;L=i+24|0;M=i+28|0;N=i+32|0;O=z;P=z}while(0);f[j>>2]=f[E>>2];E=j+4|0;a=f[F>>2]|0;f[E>>2]=a;z=j+8|0;f[z>>2]=f[G>>2];G=j+12|0;f[G>>2]=f[H>>2];H=j+16|0;f[H>>2]=f[J>>2];f[j+20>>2]=f[K>>2];f[j+24>>2]=f[L>>2];f[j+28>>2]=f[M>>2];f[j+32>>2]=f[N>>2];N=j+36|0;M=f[P>>2]|0;f[N>>2]=M;P=j+40|0;f[P>>2]=z;L=j+48|0;K=j+44|0;f[K>>2]=L;f[L>>2]=0;f[j+52>>2]=0;if(!M)Q=a;else{a=M+12|0;f[a>>2]=(f[a>>2]|0)+1;Q=f[F>>2]|0}if((Q|0)<3){Q=f[i+44>>2]|0;a=f[K>>2]|0;f[a>>2]=f[Q>>2];f[a+4>>2]=f[Q+4>>2]}else{f[E>>2]=0;kP(j,i)}Q=(d&1|0)==0;a=f[j>>2]|0;M=a&4095;J=a&7;switch(a&4095){case 5:case 6:case 13:case 14:break;default:{f[k>>2]=0;f[k+4>>2]=0;R=YG(k,76)|0;S=186892;T=R+76|0;do{b[R>>0]=b[S>>0]|0;R=R+1|0;S=S+1|0}while((R|0)<(T|0));MC(-215,k,186969,3335)}}if(!((d&64|0)==0|(a&4088|0)==8)){f[k>>2]=0;f[k+4>>2]=0;R=YG(k,53)|0;S=186973;T=R+53|0;do{b[R>>0]=b[S>>0]|0;R=R+1|0;S=S+1|0}while((R|0)<(T|0));MC(-215,k,186969,3338)}S=a>>>3&511;if(Q)if((d&16|0)==0|(S|0)!=0)U=22;else{Q=f[P>>2]|0;a=f[Q>>2]|0;f[l>>2]=f[Q+4>>2];f[l+4>>2]=a;HD(c,l,J|8,-1,0,0)}else if((d&32|0)==0|(S|0)!=1)U=22;else{S=f[P>>2]|0;l=f[S>>2]|0;f[m>>2]=f[S+4>>2];f[m+4>>2]=l;HD(c,m,J,-1,0,0)}if((U|0)==22){U=f[P>>2]|0;m=f[U>>2]|0;f[n>>2]=f[U+4>>2];f[n+4>>2]=m;HD(c,n,M,-1,0,0)}do if((pD(c)|0)==65536){M=f[c+4>>2]|0;f[k>>2]=f[M>>2];n=k+4|0;m=M+4|0;f[n>>2]=f[m>>2];U=k+8|0;f[U>>2]=f[M+8>>2];f[k+12>>2]=f[M+12>>2];f[k+16>>2]=f[M+16>>2];f[k+20>>2]=f[M+20>>2];f[k+24>>2]=f[M+24>>2];f[k+28>>2]=f[M+28>>2];f[k+32>>2]=f[M+32>>2];l=f[M+36>>2]|0;f[k+36>>2]=l;f[k+40>>2]=U;U=k+48|0;S=k+44|0;f[S>>2]=U;f[U>>2]=0;f[k+52>>2]=0;if(l|0){U=l+12|0;f[U>>2]=(f[U>>2]|0)+1}if((f[m>>2]|0)<3){m=f[M+44>>2]|0;U=f[S>>2]|0;f[U>>2]=f[m>>2];f[U+4>>2]=f[m+4>>2];break}else{f[n>>2]=0;kP(k,M);break}}else lD(k,c,-1);while(0);c=f[j>>2]|0;M=f[k>>2]|0;n=d&7|((c&16384|0)==0?0:M>>>5&512);d=k+16|0;WC(o,f[G>>2]|0,f[z>>2]|0,J,(c>>>3&511)+1|0,(M>>>3&511)+1|0,(f[H>>2]|0)==(f[d>>2]|0)?n|1024:n,e);e=f[o+4>>2]|0;n=k+48|0;sh[f[f[e>>2]>>2]&255](e,f[H>>2]|0,f[L>>2]|0,f[d>>2]|0,f[n>>2]|0);e=f[o>>2]|0;if(e|0?(o=e+4|0,M=f[o>>2]|0,f[o>>2]=M+-1,(M|0)==1):0)ai[f[(f[e>>2]|0)+8>>2]&2047](e);e=k+36|0;M=f[e>>2]|0;if(M|0?(o=M+12|0,M=f[o>>2]|0,f[o>>2]=M+-1,(M|0)==1):0)lP(k);f[e>>2]=0;e=k+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[e>>2]|0)>0){d=f[k+40>>2]|0;M=0;do{f[d+(M<<2)>>2]=0;M=M+1|0}while((M|0)<(f[e>>2]|0))}e=f[k+44>>2]|0;if((e|0)!=(n|0))tE(e);e=f[N>>2]|0;if(e|0?(n=e+12|0,e=f[n>>2]|0,f[n>>2]=e+-1,(e|0)==1):0)lP(j);f[N>>2]=0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[E>>2]|0)>0){H=f[P>>2]|0;P=0;do{f[H+(P<<2)>>2]=0;P=P+1|0}while((P|0)<(f[E>>2]|0))}E=f[K>>2]|0;if((E|0)!=(L|0))tE(E);E=f[O>>2]|0;if(E|0?(L=E+12|0,E=f[L>>2]|0,f[L>>2]=E+-1,(E|0)==1):0)lP(i);f[O>>2]=0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[F>>2]|0)>0){I=f[i+40>>2]|0;O=0;do{f[I+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[F>>2]|0))}F=f[i+44>>2]|0;if((F|0)!=(i+48|0))tE(F);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function jD(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0,N=0,O=0.0,P=0,Q=0.0,R=0.0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0;h=u;u=u+256|0;i=h+232|0;j=h+224|0;k=h+168|0;l=h+112|0;m=h+56|0;o=h;zT(j,34776);do if((pD(a)|0)==65536){q=f[a+4>>2]|0;f[k>>2]=f[q>>2];r=k+4|0;s=q+4|0;f[r>>2]=f[s>>2];t=k+8|0;f[t>>2]=f[q+8>>2];f[k+12>>2]=f[q+12>>2];f[k+16>>2]=f[q+16>>2];f[k+20>>2]=f[q+20>>2];f[k+24>>2]=f[q+24>>2];f[k+28>>2]=f[q+28>>2];f[k+32>>2]=f[q+32>>2];v=f[q+36>>2]|0;f[k+36>>2]=v;f[k+40>>2]=t;t=k+48|0;w=k+44|0;f[w>>2]=t;f[t>>2]=0;f[k+52>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[q+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2];break}else{f[r>>2]=0;kP(k,q);break}}else lD(k,a,-1);while(0);do if((pD(c)|0)==65536){a=f[c+4>>2]|0;f[l>>2]=f[a>>2];q=l+4|0;r=a+4|0;f[q>>2]=f[r>>2];s=l+8|0;f[s>>2]=f[a+8>>2];f[l+12>>2]=f[a+12>>2];f[l+16>>2]=f[a+16>>2];f[l+20>>2]=f[a+20>>2];f[l+24>>2]=f[a+24>>2];f[l+28>>2]=f[a+28>>2];f[l+32>>2]=f[a+32>>2];t=f[a+36>>2]|0;f[l+36>>2]=t;f[l+40>>2]=s;s=l+48|0;w=l+44|0;f[w>>2]=s;f[s>>2]=0;f[l+52>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[a+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2];x=l;break}else{f[q>>2]=0;kP(l,a);x=l;break}}else{lD(l,c,-1);x=l}while(0);c=f[k>>2]|0;a=c&7;q=c>>>3&511;r=q+1|0;s=c&4095;w=f[k+8>>2]|0;t=f[k+12>>2]|0;if((s|0)!=(f[x>>2]&4095|0)){f[i>>2]=0;y=i+4|0;f[y>>2]=0;z=YG(i,49)|0;A=z;B=187075;C=A+49|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));MC(-215,i,187125,3541)}v=k+40|0;D=f[v>>2]|0;E=l+40|0;F=f[E>>2]|0;if(!((f[D>>2]|0)==(f[F>>2]|0)?(f[D+4>>2]|0)==(f[F+4>>2]|0):0)){f[i>>2]=0;y=i+4|0;f[y>>2]=0;z=YG(i,49)|0;A=z;B=187075;C=A+49|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));MC(-215,i,187125,3541)}switch(c&4095){case 5:case 6:case 13:case 14:break;default:{f[i>>2]=0;f[i+4>>2]=0;A=YG(i,76)|0;B=186892;C=A+76|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));MC(-215,i,187125,3542)}}iE(d,w,t,s,-1,0,0);do if((pD(d)|0)==65536){s=f[d+4>>2]|0;f[m>>2]=f[s>>2];B=m+4|0;c=s+4|0;f[B>>2]=f[c>>2];z=m+8|0;f[z>>2]=f[s+8>>2];f[m+12>>2]=f[s+12>>2];y=m+16|0;f[y>>2]=f[s+16>>2];f[m+20>>2]=f[s+20>>2];f[m+24>>2]=f[s+24>>2];f[m+28>>2]=f[s+28>>2];f[m+32>>2]=f[s+32>>2];F=f[s+36>>2]|0;f[m+36>>2]=F;f[m+40>>2]=z;z=m+48|0;D=m+44|0;f[D>>2]=z;f[z>>2]=0;f[m+52>>2]=0;if(F|0){z=F+12|0;f[z>>2]=(f[z>>2]|0)+1}if((f[c>>2]|0)<3){c=f[s+44>>2]|0;z=f[D>>2]|0;f[z>>2]=f[c>>2];f[z+4>>2]=f[c+4>>2];G=y;break}else{f[B>>2]=0;kP(m,s);G=y;break}}else{lD(m,d,-1);G=m+16|0}while(0);d=l+16|0;if((f[G>>2]|0)==(f[d>>2]|0)){f[o>>2]=1124007936;y=o+4|0;s=o+8|0;B=o+40|0;A=y;C=A+36|0;do{f[A>>2]=0;A=A+4|0}while((A|0)<(C|0));f[B>>2]=s;A=o+48|0;C=o+44|0;f[C>>2]=A;f[A>>2]=0;f[o+52>>2]=0;c=i+8|0;f[c>>2]=0;f[c+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=o;kT(l,i);i=o+36|0;c=f[i>>2]|0;if(c|0){z=c+12|0;f[z>>2]=(f[z>>2]|0)+1}z=l+36|0;c=f[z>>2]|0;if(c|0?(D=c+12|0,c=f[D>>2]|0,f[D>>2]=c+-1,(c|0)==1):0)lP(l);f[z>>2]=0;c=l+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[c>>2]|0)>0){D=f[E>>2]|0;F=0;do{f[D+(F<<2)>>2]=0;F=F+1|0;H=f[c>>2]|0}while((F|0)<(H|0));f[x>>2]=f[o>>2];if((H|0)<3)I=38;else I=40}else{f[x>>2]=f[o>>2];I=38}if((I|0)==38){H=f[y>>2]|0;if((H|0)<3){f[c>>2]=H;f[l+8>>2]=f[s>>2];f[l+12>>2]=f[o+12>>2];s=f[C>>2]|0;H=f[l+44>>2]|0;f[H>>2]=f[s>>2];f[H+4>>2]=f[s+4>>2]}else I=40}if((I|0)==40)kP(l,o);s=o+16|0;f[d>>2]=f[s>>2];f[l+20>>2]=f[o+20>>2];f[l+24>>2]=f[o+24>>2];f[l+28>>2]=f[o+28>>2];f[l+32>>2]=f[o+32>>2];H=f[i>>2]|0;f[z>>2]=H;if(H|0?(z=H+12|0,H=f[z>>2]|0,f[z>>2]=H+-1,(H|0)==1):0)lP(o);f[i>>2]=0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[y>>2]|0)>0){s=f[B>>2]|0;B=0;do{f[s+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[y>>2]|0))}y=f[C>>2]|0;if((y|0)!=(A|0))tE(y)}y=(e&4|0)!=0;if(!(y|(w|0)==1))if(((t|0)==1?(f[k>>2]&16384|0)!=0:0)?(f[x>>2]&16384|0)!=0:0)J=(f[m>>2]&16384|0)!=0;else J=0;else J=1;x=y|J^1;y=t+(x?0:w+-1|0)|0;t=x?w:1;w=(q|0)==0;x=w&1;e=y&1;A=(e|0)==0;C=(Y(y,r)|0)-((e|q|0)==0&1)|0;q=k+16|0;e=f[q>>2]|0;a:do if((a|0)==5){r=f[d>>2]|0;B=f[G>>2]|0;s=f[k+48>>2]|0;i=f[l+48>>2]|0;o=f[m+48>>2]|0;H=(e|0)==(B|0);z=J|w^1;if(g)if(H){do if(!z){n[e>>2]=+n[e>>2]*+n[r>>2];c=t+-2|0;F=(c|0)==0;if(!F){D=1;do{K=e+(Y(D,o)|0)|0;L=+n[K>>2];M=D+1|0;N=e+(Y(M,o)|0)|0;O=+n[N>>2];P=r+(Y(D,i)|0)|0;Q=+n[P>>2];P=r+(Y(M,i)|0)|0;R=-+n[P>>2];n[K>>2]=L*Q-O*R;n[N>>2]=O*Q+L*R;D=D+2|0}while(D>>>0<=c>>>0);if(!(t&1)){S=t+-1|0;I=117}}else{S=1;I=117}if((I|0)==117){D=e+(Y(S,o)|0)|0;N=r+(Y(S,i)|0)|0;n[D>>2]=+n[D>>2]*+n[N>>2]}if(A){N=r+(y<<2)+-4|0;D=e+(y<<2)+-4|0;n[D>>2]=+n[D>>2]*+n[N>>2];if(!F){K=1;do{P=D+(Y(K,o)|0)|0;R=+n[P>>2];M=K+1|0;T=D+(Y(M,o)|0)|0;L=+n[T>>2];U=N+(Y(K,i)|0)|0;Q=+n[U>>2];U=N+(Y(M,i)|0)|0;O=-+n[U>>2];n[P>>2]=R*Q-L*O;n[T>>2]=L*Q+R*O;K=K+2|0}while(K>>>0<=c>>>0);if(!(t&1))V=t+-1|0;else break}else V=1;c=D+(Y(V,o)|0)|0;K=N+(Y(V,i)|0)|0;n[c>>2]=+n[c>>2]*+n[K>>2]}}while(0);K=w&J;c=t+-1|0;if(!t)break;F=x>>>0<C>>>0;T=K&A;if(!K){if(F){W=e;X=r;Z=c}else break;while(1){K=x;do{P=W+(K<<2)|0;O=+n[P>>2];U=K+1|0;M=W+(U<<2)|0;R=+n[M>>2];Q=+n[X+(K<<2)>>2];L=-+n[X+(U<<2)>>2];n[P>>2]=O*Q-R*L;n[M>>2]=R*Q+O*L;K=K+2|0}while(K>>>0<C>>>0);if(!Z)break a;else{W=W+o|0;X=X+i|0;Z=Z+-1|0}}}if(!F)if(T){K=e;N=r;D=e;M=c;while(1){n[D>>2]=+n[K>>2]*+n[N>>2];n[D+(C<<2)>>2]=+n[K+(C<<2)>>2]*+n[N+(C<<2)>>2];if(!M)break a;else{K=K+s|0;N=N+i|0;D=D+o|0;M=M+-1|0}}}else{M=c;D=e;N=r;K=e;while(1){n[K>>2]=+n[D>>2]*+n[N>>2];if(!M)break a;else{M=M+-1|0;D=D+s|0;N=N+i|0;K=K+o|0}}}if(T){K=e;N=r;D=e;M=c;while(1){n[D>>2]=+n[K>>2]*+n[N>>2];F=x;do{P=D+(F<<2)|0;L=+n[P>>2];U=F+1|0;_=D+(U<<2)|0;O=+n[_>>2];Q=+n[N+(F<<2)>>2];R=-+n[N+(U<<2)>>2];n[P>>2]=L*Q-O*R;n[_>>2]=O*Q+L*R;F=F+2|0}while(F>>>0<C>>>0);n[D+(C<<2)>>2]=+n[K+(C<<2)>>2]*+n[N+(C<<2)>>2];if(!M)break;else{K=K+s|0;N=N+i|0;D=D+o|0;M=M+-1|0}}}else{M=e;D=r;N=e;K=c;while(1){n[N>>2]=+n[M>>2]*+n[D>>2];T=x;do{F=N+(T<<2)|0;R=+n[F>>2];_=T+1|0;P=N+(_<<2)|0;L=+n[P>>2];Q=+n[D+(T<<2)>>2];O=-+n[D+(_<<2)>>2];n[F>>2]=R*Q-L*O;n[P>>2]=L*Q+R*O;T=T+2|0}while(T>>>0<C>>>0);if(!K)break;else{M=M+s|0;D=D+i|0;N=N+o|0;K=K+-1|0}}}}else{do if(!z){n[B>>2]=+n[e>>2]*+n[r>>2];K=t+-2|0;N=(K|0)==0;if(!N){D=1;do{M=e+(Y(D,s)|0)|0;O=+n[M>>2];M=D+1|0;c=e+(Y(M,s)|0)|0;R=+n[c>>2];c=r+(Y(D,i)|0)|0;Q=+n[c>>2];c=r+(Y(M,i)|0)|0;L=-+n[c>>2];c=B+(Y(D,o)|0)|0;n[c>>2]=O*Q-R*L;c=B+(Y(M,o)|0)|0;n[c>>2]=R*Q+O*L;D=D+2|0}while(D>>>0<=K>>>0);if(!(t&1)){$=t+-1|0;I=144}}else{$=1;I=144}if((I|0)==144){D=B+(Y($,o)|0)|0;c=r+(Y($,i)|0)|0;M=e+(Y($,s)|0)|0;n[D>>2]=+n[M>>2]*+n[c>>2]}if(A){c=e+(y<<2)+-4|0;M=r+(y<<2)+-4|0;D=B+(y<<2)+-4|0;n[D>>2]=+n[c>>2]*+n[M>>2];if(!N){T=1;do{P=c+(Y(T,s)|0)|0;L=+n[P>>2];P=T+1|0;F=c+(Y(P,s)|0)|0;O=+n[F>>2];F=M+(Y(T,i)|0)|0;Q=+n[F>>2];F=M+(Y(P,i)|0)|0;R=-+n[F>>2];F=D+(Y(T,o)|0)|0;n[F>>2]=L*Q-O*R;F=D+(Y(P,o)|0)|0;n[F>>2]=O*Q+L*R;T=T+2|0}while(T>>>0<=K>>>0);if(!(t&1))aa=t+-1|0;else break}else aa=1;K=D+(Y(aa,o)|0)|0;T=M+(Y(aa,i)|0)|0;N=c+(Y(aa,s)|0)|0;n[K>>2]=+n[N>>2]*+n[T>>2]}}while(0);T=w&J;N=t+-1|0;if(!t)break;K=x>>>0<C>>>0;F=T&A;if(!T){if(K){ba=e;ca=r;da=B;ea=N}else break;while(1){T=x;do{R=+n[ba+(T<<2)>>2];P=T+1|0;L=+n[ba+(P<<2)>>2];Q=+n[ca+(T<<2)>>2];O=-+n[ca+(P<<2)>>2];n[da+(T<<2)>>2]=R*Q-L*O;n[da+(P<<2)>>2]=L*Q+R*O;T=T+2|0}while(T>>>0<C>>>0);if(!ea)break a;else{ba=ba+s|0;ca=ca+i|0;da=da+o|0;ea=ea+-1|0}}}if(!K)if(F){T=e;c=r;M=B;D=N;while(1){n[M>>2]=+n[T>>2]*+n[c>>2];n[M+(C<<2)>>2]=+n[T+(C<<2)>>2]*+n[c+(C<<2)>>2];if(!D)break a;else{T=T+s|0;c=c+i|0;M=M+o|0;D=D+-1|0}}}else{D=e;M=r;c=B;T=N;while(1){n[c>>2]=+n[D>>2]*+n[M>>2];if(!T)break a;else{D=D+s|0;M=M+i|0;c=c+o|0;T=T+-1|0}}}if(F){T=e;c=r;M=B;D=N;while(1){n[M>>2]=+n[T>>2]*+n[c>>2];K=x;do{O=+n[T+(K<<2)>>2];P=K+1|0;R=+n[T+(P<<2)>>2];Q=+n[c+(K<<2)>>2];L=-+n[c+(P<<2)>>2];n[M+(K<<2)>>2]=O*Q-R*L;n[M+(P<<2)>>2]=R*Q+O*L;K=K+2|0}while(K>>>0<C>>>0);n[M+(C<<2)>>2]=+n[T+(C<<2)>>2]*+n[c+(C<<2)>>2];if(!D)break;else{T=T+s|0;c=c+i|0;M=M+o|0;D=D+-1|0}}}else{D=e;M=r;c=B;T=N;while(1){n[c>>2]=+n[D>>2]*+n[M>>2];F=x;do{L=+n[D+(F<<2)>>2];K=F+1|0;O=+n[D+(K<<2)>>2];Q=+n[M+(F<<2)>>2];R=-+n[M+(K<<2)>>2];n[c+(F<<2)>>2]=L*Q-O*R;n[c+(K<<2)>>2]=O*Q+L*R;F=F+2|0}while(F>>>0<C>>>0);if(!T)break;else{D=D+s|0;M=M+i|0;c=c+o|0;T=T+-1|0}}}}else if(H){do if(!z){n[e>>2]=+n[e>>2]*+n[r>>2];T=t+-2|0;c=(T|0)==0;if(!c){M=1;do{D=e+(Y(M,o)|0)|0;R=+n[D>>2];N=M+1|0;F=e+(Y(N,o)|0)|0;L=+n[F>>2];K=r+(Y(M,i)|0)|0;Q=+n[K>>2];K=r+(Y(N,i)|0)|0;O=+n[K>>2];n[D>>2]=R*Q-L*O;n[F>>2]=L*Q+R*O;M=M+2|0}while(M>>>0<=T>>>0);if(!(t&1)){fa=t+-1|0;I=62}}else{fa=1;I=62}if((I|0)==62){M=e+(Y(fa,o)|0)|0;F=r+(Y(fa,i)|0)|0;n[M>>2]=+n[M>>2]*+n[F>>2]}if(A){F=r+(y<<2)+-4|0;M=e+(y<<2)+-4|0;n[M>>2]=+n[M>>2]*+n[F>>2];if(!c){D=1;do{K=M+(Y(D,o)|0)|0;O=+n[K>>2];N=D+1|0;P=M+(Y(N,o)|0)|0;R=+n[P>>2];_=F+(Y(D,i)|0)|0;Q=+n[_>>2];_=F+(Y(N,i)|0)|0;L=+n[_>>2];n[K>>2]=O*Q-R*L;n[P>>2]=R*Q+O*L;D=D+2|0}while(D>>>0<=T>>>0);if(!(t&1))ga=t+-1|0;else break}else ga=1;T=M+(Y(ga,o)|0)|0;D=F+(Y(ga,i)|0)|0;n[T>>2]=+n[T>>2]*+n[D>>2]}}while(0);H=w&J;D=t+-1|0;if(!t)break;T=x>>>0<C>>>0;c=H&A;if(!H){if(T){ha=e;ia=r;ja=D}else break;while(1){H=x;do{P=ha+(H<<2)|0;L=+n[P>>2];K=H+1|0;_=ha+(K<<2)|0;O=+n[_>>2];Q=+n[ia+(H<<2)>>2];R=+n[ia+(K<<2)>>2];n[P>>2]=L*Q-O*R;n[_>>2]=O*Q+L*R;H=H+2|0}while(H>>>0<C>>>0);if(!ja)break a;else{ha=ha+o|0;ia=ia+i|0;ja=ja+-1|0}}}if(!T)if(c){H=e;F=r;M=e;_=D;while(1){n[M>>2]=+n[H>>2]*+n[F>>2];n[M+(C<<2)>>2]=+n[H+(C<<2)>>2]*+n[F+(C<<2)>>2];if(!_)break a;else{H=H+s|0;F=F+i|0;M=M+o|0;_=_+-1|0}}}else{_=e;M=r;F=e;H=D;while(1){n[F>>2]=+n[_>>2]*+n[M>>2];if(!H)break a;else{_=_+s|0;M=M+i|0;F=F+o|0;H=H+-1|0}}}if(c){H=e;F=r;M=e;_=D;while(1){n[M>>2]=+n[H>>2]*+n[F>>2];T=x;do{P=M+(T<<2)|0;R=+n[P>>2];K=T+1|0;N=M+(K<<2)|0;L=+n[N>>2];Q=+n[F+(T<<2)>>2];O=+n[F+(K<<2)>>2];n[P>>2]=R*Q-L*O;n[N>>2]=L*Q+R*O;T=T+2|0}while(T>>>0<C>>>0);n[M+(C<<2)>>2]=+n[H+(C<<2)>>2]*+n[F+(C<<2)>>2];if(!_)break;else{H=H+s|0;F=F+i|0;M=M+o|0;_=_+-1|0}}}else{_=e;M=r;F=e;H=D;while(1){n[F>>2]=+n[_>>2]*+n[M>>2];c=x;do{T=F+(c<<2)|0;O=+n[T>>2];N=c+1|0;P=F+(N<<2)|0;R=+n[P>>2];Q=+n[M+(c<<2)>>2];L=+n[M+(N<<2)>>2];n[T>>2]=O*Q-R*L;n[P>>2]=R*Q+O*L;c=c+2|0}while(c>>>0<C>>>0);if(!H)break;else{_=_+s|0;M=M+i|0;F=F+o|0;H=H+-1|0}}}}else{do if(!z){n[B>>2]=+n[e>>2]*+n[r>>2];H=t+-2|0;F=(H|0)==0;if(!F){M=1;do{_=e+(Y(M,s)|0)|0;L=+n[_>>2];_=M+1|0;D=e+(Y(_,s)|0)|0;O=+n[D>>2];D=r+(Y(M,i)|0)|0;Q=+n[D>>2];D=r+(Y(_,i)|0)|0;R=+n[D>>2];D=B+(Y(M,o)|0)|0;n[D>>2]=L*Q-O*R;D=B+(Y(_,o)|0)|0;n[D>>2]=O*Q+L*R;M=M+2|0}while(M>>>0<=H>>>0);if(!(t&1)){ka=t+-1|0;I=89}}else{ka=1;I=89}if((I|0)==89){M=B+(Y(ka,o)|0)|0;D=r+(Y(ka,i)|0)|0;_=e+(Y(ka,s)|0)|0;n[M>>2]=+n[_>>2]*+n[D>>2]}if(A){D=e+(y<<2)+-4|0;_=r+(y<<2)+-4|0;M=B+(y<<2)+-4|0;n[M>>2]=+n[D>>2]*+n[_>>2];if(!F){c=1;do{P=D+(Y(c,s)|0)|0;R=+n[P>>2];P=c+1|0;T=D+(Y(P,s)|0)|0;L=+n[T>>2];T=_+(Y(c,i)|0)|0;Q=+n[T>>2];T=_+(Y(P,i)|0)|0;O=+n[T>>2];T=M+(Y(c,o)|0)|0;n[T>>2]=R*Q-L*O;T=M+(Y(P,o)|0)|0;n[T>>2]=L*Q+R*O;c=c+2|0}while(c>>>0<=H>>>0);if(!(t&1))la=t+-1|0;else break}else la=1;H=M+(Y(la,o)|0)|0;c=_+(Y(la,i)|0)|0;F=D+(Y(la,s)|0)|0;n[H>>2]=+n[F>>2]*+n[c>>2]}}while(0);z=w&J;c=t+-1|0;if(!t)break;F=x>>>0<C>>>0;H=z&A;if(!z){if(F){ma=e;na=r;oa=B;pa=c}else break;while(1){z=x;do{O=+n[ma+(z<<2)>>2];T=z+1|0;R=+n[ma+(T<<2)>>2];Q=+n[na+(z<<2)>>2];L=+n[na+(T<<2)>>2];n[oa+(z<<2)>>2]=O*Q-R*L;n[oa+(T<<2)>>2]=R*Q+O*L;z=z+2|0}while(z>>>0<C>>>0);if(!pa)break a;else{ma=ma+s|0;na=na+i|0;oa=oa+o|0;pa=pa+-1|0}}}if(!F)if(H){z=e;D=r;_=B;M=c;while(1){n[_>>2]=+n[z>>2]*+n[D>>2];n[_+(C<<2)>>2]=+n[z+(C<<2)>>2]*+n[D+(C<<2)>>2];if(!M)break a;else{z=z+s|0;D=D+i|0;_=_+o|0;M=M+-1|0}}}else{M=e;_=r;D=B;z=c;while(1){n[D>>2]=+n[M>>2]*+n[_>>2];if(!z)break a;else{M=M+s|0;_=_+i|0;D=D+o|0;z=z+-1|0}}}if(H){z=e;D=r;_=B;M=c;while(1){n[_>>2]=+n[z>>2]*+n[D>>2];F=x;do{L=+n[z+(F<<2)>>2];T=F+1|0;O=+n[z+(T<<2)>>2];Q=+n[D+(F<<2)>>2];R=+n[D+(T<<2)>>2];n[_+(F<<2)>>2]=L*Q-O*R;n[_+(T<<2)>>2]=O*Q+L*R;F=F+2|0}while(F>>>0<C>>>0);n[_+(C<<2)>>2]=+n[z+(C<<2)>>2]*+n[D+(C<<2)>>2];if(!M)break;else{z=z+s|0;D=D+i|0;_=_+o|0;M=M+-1|0}}}else{M=e;_=r;D=B;z=c;while(1){n[D>>2]=+n[M>>2]*+n[_>>2];H=x;do{R=+n[M+(H<<2)>>2];F=H+1|0;L=+n[M+(F<<2)>>2];Q=+n[_+(H<<2)>>2];O=+n[_+(F<<2)>>2];n[D+(H<<2)>>2]=R*Q-L*O;n[D+(F<<2)>>2]=L*Q+R*O;H=H+2|0}while(H>>>0<C>>>0);if(!z)break;else{M=M+s|0;_=_+i|0;D=D+o|0;z=z+-1|0}}}}}else{z=f[d>>2]|0;o=f[G>>2]|0;D=f[k+48>>2]|0;i=f[l+48>>2]|0;_=f[m+48>>2]|0;s=(e|0)==(o|0);M=J|w^1;if(g)if(s){do if(!M){p[e>>3]=+p[e>>3]*+p[z>>3];c=t+-2|0;B=(c|0)==0;if(!B){r=1;do{H=e+(Y(r,_)|0)|0;O=+p[H>>3];F=r+1|0;T=e+(Y(F,_)|0)|0;R=+p[T>>3];P=z+(Y(r,i)|0)|0;Q=+p[P>>3];P=z+(Y(F,i)|0)|0;L=-+p[P>>3];p[H>>3]=O*Q-R*L;p[T>>3]=R*Q+O*L;r=r+2|0}while(r>>>0<=c>>>0);if(!(t&1)){qa=t+-1|0;I=228}}else{qa=1;I=228}if((I|0)==228){r=e+(Y(qa,_)|0)|0;T=z+(Y(qa,i)|0)|0;p[r>>3]=+p[r>>3]*+p[T>>3]}if(A){T=z+(y<<3)+-8|0;r=e+(y<<3)+-8|0;p[r>>3]=+p[r>>3]*+p[T>>3];if(!B){H=1;do{P=r+(Y(H,_)|0)|0;L=+p[P>>3];F=H+1|0;N=r+(Y(F,_)|0)|0;O=+p[N>>3];K=T+(Y(H,i)|0)|0;Q=+p[K>>3];K=T+(Y(F,i)|0)|0;R=-+p[K>>3];p[P>>3]=L*Q-O*R;p[N>>3]=O*Q+L*R;H=H+2|0}while(H>>>0<=c>>>0);if(!(t&1))ra=t+-1|0;else break}else ra=1;c=r+(Y(ra,_)|0)|0;H=T+(Y(ra,i)|0)|0;p[c>>3]=+p[c>>3]*+p[H>>3]}}while(0);H=w&J;c=t+-1|0;if(!t)break;B=x>>>0<C>>>0;N=H&A;if(!H){if(B){sa=e;ta=z;ua=c}else break;while(1){H=x;do{P=sa+(H<<3)|0;R=+p[P>>3];K=H+1|0;F=sa+(K<<3)|0;L=+p[F>>3];Q=+p[ta+(H<<3)>>3];O=-+p[ta+(K<<3)>>3];p[P>>3]=R*Q-L*O;p[F>>3]=L*Q+R*O;H=H+2|0}while(H>>>0<C>>>0);if(!ua)break a;else{sa=sa+_|0;ta=ta+i|0;ua=ua+-1|0}}}if(!B)if(N){H=e;T=z;r=e;F=c;while(1){p[r>>3]=+p[H>>3]*+p[T>>3];p[r+(C<<3)>>3]=+p[H+(C<<3)>>3]*+p[T+(C<<3)>>3];if(!F)break a;else{H=H+D|0;T=T+i|0;r=r+_|0;F=F+-1|0}}}else{F=e;r=z;T=e;H=c;while(1){p[T>>3]=+p[F>>3]*+p[r>>3];if(!H)break a;else{F=F+D|0;r=r+i|0;T=T+_|0;H=H+-1|0}}}if(N){H=e;T=z;r=e;F=c;while(1){p[r>>3]=+p[H>>3]*+p[T>>3];B=x;do{P=r+(B<<3)|0;O=+p[P>>3];K=B+1|0;U=r+(K<<3)|0;R=+p[U>>3];Q=+p[T+(B<<3)>>3];L=-+p[T+(K<<3)>>3];p[P>>3]=O*Q-R*L;p[U>>3]=R*Q+O*L;B=B+2|0}while(B>>>0<C>>>0);p[r+(C<<3)>>3]=+p[H+(C<<3)>>3]*+p[T+(C<<3)>>3];if(!F)break;else{H=H+D|0;T=T+i|0;r=r+_|0;F=F+-1|0}}}else{F=e;r=z;T=e;H=c;while(1){p[T>>3]=+p[F>>3]*+p[r>>3];N=x;do{B=T+(N<<3)|0;L=+p[B>>3];U=N+1|0;P=T+(U<<3)|0;O=+p[P>>3];Q=+p[r+(N<<3)>>3];R=-+p[r+(U<<3)>>3];p[B>>3]=L*Q-O*R;p[P>>3]=O*Q+L*R;N=N+2|0}while(N>>>0<C>>>0);if(!H)break;else{F=F+D|0;r=r+i|0;T=T+_|0;H=H+-1|0}}}}else{do if(!M){p[o>>3]=+p[e>>3]*+p[z>>3];H=t+-2|0;T=(H|0)==0;if(!T){r=1;do{F=e+(Y(r,D)|0)|0;R=+p[F>>3];F=r+1|0;c=e+(Y(F,D)|0)|0;L=+p[c>>3];c=z+(Y(r,i)|0)|0;Q=+p[c>>3];c=z+(Y(F,i)|0)|0;O=-+p[c>>3];c=o+(Y(r,_)|0)|0;p[c>>3]=R*Q-L*O;c=o+(Y(F,_)|0)|0;p[c>>3]=L*Q+R*O;r=r+2|0}while(r>>>0<=H>>>0);if(!(t&1)){va=t+-1|0;I=255}}else{va=1;I=255}if((I|0)==255){r=o+(Y(va,_)|0)|0;c=z+(Y(va,i)|0)|0;F=e+(Y(va,D)|0)|0;p[r>>3]=+p[F>>3]*+p[c>>3]}if(A){c=e+(y<<3)+-8|0;F=z+(y<<3)+-8|0;r=o+(y<<3)+-8|0;p[r>>3]=+p[c>>3]*+p[F>>3];if(!T){N=1;do{P=c+(Y(N,D)|0)|0;O=+p[P>>3];P=N+1|0;B=c+(Y(P,D)|0)|0;R=+p[B>>3];B=F+(Y(N,i)|0)|0;Q=+p[B>>3];B=F+(Y(P,i)|0)|0;L=-+p[B>>3];B=r+(Y(N,_)|0)|0;p[B>>3]=O*Q-R*L;B=r+(Y(P,_)|0)|0;p[B>>3]=R*Q+O*L;N=N+2|0}while(N>>>0<=H>>>0);if(!(t&1))wa=t+-1|0;else break}else wa=1;H=r+(Y(wa,_)|0)|0;N=F+(Y(wa,i)|0)|0;T=c+(Y(wa,D)|0)|0;p[H>>3]=+p[T>>3]*+p[N>>3]}}while(0);N=w&J;T=t+-1|0;if(!t)break;H=x>>>0<C>>>0;B=N&A;if(!N){if(H){xa=e;ya=z;za=o;Aa=T}else break;while(1){N=x;do{L=+p[xa+(N<<3)>>3];P=N+1|0;O=+p[xa+(P<<3)>>3];Q=+p[ya+(N<<3)>>3];R=-+p[ya+(P<<3)>>3];p[za+(N<<3)>>3]=L*Q-O*R;p[za+(P<<3)>>3]=O*Q+L*R;N=N+2|0}while(N>>>0<C>>>0);if(!Aa)break a;else{xa=xa+D|0;ya=ya+i|0;za=za+_|0;Aa=Aa+-1|0}}}if(!H)if(B){N=e;c=z;F=o;r=T;while(1){p[F>>3]=+p[N>>3]*+p[c>>3];p[F+(C<<3)>>3]=+p[N+(C<<3)>>3]*+p[c+(C<<3)>>3];if(!r)break a;else{N=N+D|0;c=c+i|0;F=F+_|0;r=r+-1|0}}}else{r=e;F=z;c=o;N=T;while(1){p[c>>3]=+p[r>>3]*+p[F>>3];if(!N)break a;else{r=r+D|0;F=F+i|0;c=c+_|0;N=N+-1|0}}}if(B){N=e;c=z;F=o;r=T;while(1){p[F>>3]=+p[N>>3]*+p[c>>3];H=x;do{R=+p[N+(H<<3)>>3];P=H+1|0;L=+p[N+(P<<3)>>3];Q=+p[c+(H<<3)>>3];O=-+p[c+(P<<3)>>3];p[F+(H<<3)>>3]=R*Q-L*O;p[F+(P<<3)>>3]=L*Q+R*O;H=H+2|0}while(H>>>0<C>>>0);p[F+(C<<3)>>3]=+p[N+(C<<3)>>3]*+p[c+(C<<3)>>3];if(!r)break;else{N=N+D|0;c=c+i|0;F=F+_|0;r=r+-1|0}}}else{r=e;F=z;c=o;N=T;while(1){p[c>>3]=+p[r>>3]*+p[F>>3];B=x;do{O=+p[r+(B<<3)>>3];H=B+1|0;R=+p[r+(H<<3)>>3];Q=+p[F+(B<<3)>>3];L=-+p[F+(H<<3)>>3];p[c+(B<<3)>>3]=O*Q-R*L;p[c+(H<<3)>>3]=R*Q+O*L;B=B+2|0}while(B>>>0<C>>>0);if(!N)break;else{r=r+D|0;F=F+i|0;c=c+_|0;N=N+-1|0}}}}else if(s){do if(!M){p[e>>3]=+p[e>>3]*+p[z>>3];N=t+-2|0;c=(N|0)==0;if(!c){F=1;do{r=e+(Y(F,_)|0)|0;L=+p[r>>3];T=F+1|0;B=e+(Y(T,_)|0)|0;O=+p[B>>3];H=z+(Y(F,i)|0)|0;Q=+p[H>>3];H=z+(Y(T,i)|0)|0;R=+p[H>>3];p[r>>3]=L*Q-O*R;p[B>>3]=O*Q+L*R;F=F+2|0}while(F>>>0<=N>>>0);if(!(t&1)){Ba=t+-1|0;I=173}}else{Ba=1;I=173}if((I|0)==173){F=e+(Y(Ba,_)|0)|0;B=z+(Y(Ba,i)|0)|0;p[F>>3]=+p[F>>3]*+p[B>>3]}if(A){B=z+(y<<3)+-8|0;F=e+(y<<3)+-8|0;p[F>>3]=+p[F>>3]*+p[B>>3];if(!c){r=1;do{H=F+(Y(r,_)|0)|0;R=+p[H>>3];T=r+1|0;P=F+(Y(T,_)|0)|0;L=+p[P>>3];U=B+(Y(r,i)|0)|0;Q=+p[U>>3];U=B+(Y(T,i)|0)|0;O=+p[U>>3];p[H>>3]=R*Q-L*O;p[P>>3]=L*Q+R*O;r=r+2|0}while(r>>>0<=N>>>0);if(!(t&1))Ca=t+-1|0;else break}else Ca=1;N=F+(Y(Ca,_)|0)|0;r=B+(Y(Ca,i)|0)|0;p[N>>3]=+p[N>>3]*+p[r>>3]}}while(0);s=w&J;r=t+-1|0;if(!t)break;N=x>>>0<C>>>0;c=s&A;if(!s){if(N){Da=e;Ea=z;Fa=r}else break;while(1){s=x;do{P=Da+(s<<3)|0;O=+p[P>>3];H=s+1|0;U=Da+(H<<3)|0;R=+p[U>>3];Q=+p[Ea+(s<<3)>>3];L=+p[Ea+(H<<3)>>3];p[P>>3]=O*Q-R*L;p[U>>3]=R*Q+O*L;s=s+2|0}while(s>>>0<C>>>0);if(!Fa)break a;else{Da=Da+_|0;Ea=Ea+i|0;Fa=Fa+-1|0}}}if(!N)if(c){s=e;B=z;F=e;U=r;while(1){p[F>>3]=+p[s>>3]*+p[B>>3];p[F+(C<<3)>>3]=+p[s+(C<<3)>>3]*+p[B+(C<<3)>>3];if(!U)break a;else{s=s+D|0;B=B+i|0;F=F+_|0;U=U+-1|0}}}else{U=e;F=z;B=e;s=r;while(1){p[B>>3]=+p[U>>3]*+p[F>>3];if(!s)break a;else{U=U+D|0;F=F+i|0;B=B+_|0;s=s+-1|0}}}if(c){s=e;B=z;F=e;U=r;while(1){p[F>>3]=+p[s>>3]*+p[B>>3];N=x;do{P=F+(N<<3)|0;L=+p[P>>3];H=N+1|0;T=F+(H<<3)|0;O=+p[T>>3];Q=+p[B+(N<<3)>>3];R=+p[B+(H<<3)>>3];p[P>>3]=L*Q-O*R;p[T>>3]=O*Q+L*R;N=N+2|0}while(N>>>0<C>>>0);p[F+(C<<3)>>3]=+p[s+(C<<3)>>3]*+p[B+(C<<3)>>3];if(!U)break;else{s=s+D|0;B=B+i|0;F=F+_|0;U=U+-1|0}}}else{U=e;F=z;B=e;s=r;while(1){p[B>>3]=+p[U>>3]*+p[F>>3];c=x;do{N=B+(c<<3)|0;R=+p[N>>3];T=c+1|0;P=B+(T<<3)|0;L=+p[P>>3];Q=+p[F+(c<<3)>>3];O=+p[F+(T<<3)>>3];p[N>>3]=R*Q-L*O;p[P>>3]=L*Q+R*O;c=c+2|0}while(c>>>0<C>>>0);if(!s)break;else{U=U+D|0;F=F+i|0;B=B+_|0;s=s+-1|0}}}}else{do if(!M){p[o>>3]=+p[e>>3]*+p[z>>3];s=t+-2|0;B=(s|0)==0;if(!B){F=1;do{U=e+(Y(F,D)|0)|0;O=+p[U>>3];U=F+1|0;r=e+(Y(U,D)|0)|0;R=+p[r>>3];r=z+(Y(F,i)|0)|0;Q=+p[r>>3];r=z+(Y(U,i)|0)|0;L=+p[r>>3];r=o+(Y(F,_)|0)|0;p[r>>3]=O*Q-R*L;r=o+(Y(U,_)|0)|0;p[r>>3]=R*Q+O*L;F=F+2|0}while(F>>>0<=s>>>0);if(!(t&1)){Ga=t+-1|0;I=200}}else{Ga=1;I=200}if((I|0)==200){F=o+(Y(Ga,_)|0)|0;r=z+(Y(Ga,i)|0)|0;U=e+(Y(Ga,D)|0)|0;p[F>>3]=+p[U>>3]*+p[r>>3]}if(A){r=e+(y<<3)+-8|0;U=z+(y<<3)+-8|0;F=o+(y<<3)+-8|0;p[F>>3]=+p[r>>3]*+p[U>>3];if(!B){c=1;do{P=r+(Y(c,D)|0)|0;L=+p[P>>3];P=c+1|0;N=r+(Y(P,D)|0)|0;O=+p[N>>3];N=U+(Y(c,i)|0)|0;Q=+p[N>>3];N=U+(Y(P,i)|0)|0;R=+p[N>>3];N=F+(Y(c,_)|0)|0;p[N>>3]=L*Q-O*R;N=F+(Y(P,_)|0)|0;p[N>>3]=O*Q+L*R;c=c+2|0}while(c>>>0<=s>>>0);if(!(t&1))Ha=t+-1|0;else break}else Ha=1;s=F+(Y(Ha,_)|0)|0;c=U+(Y(Ha,i)|0)|0;B=r+(Y(Ha,D)|0)|0;p[s>>3]=+p[B>>3]*+p[c>>3]}}while(0);M=w&J;c=t+-1|0;if(!t)break;B=x>>>0<C>>>0;s=M&A;if(!M){if(B){Ia=e;Ja=z;Ka=o;La=c}else break;while(1){M=x;do{R=+p[Ia+(M<<3)>>3];N=M+1|0;L=+p[Ia+(N<<3)>>3];Q=+p[Ja+(M<<3)>>3];O=+p[Ja+(N<<3)>>3];p[Ka+(M<<3)>>3]=R*Q-L*O;p[Ka+(N<<3)>>3]=L*Q+R*O;M=M+2|0}while(M>>>0<C>>>0);if(!La)break a;else{Ia=Ia+D|0;Ja=Ja+i|0;Ka=Ka+_|0;La=La+-1|0}}}if(!B)if(s){M=e;r=z;U=o;F=c;while(1){p[U>>3]=+p[M>>3]*+p[r>>3];p[U+(C<<3)>>3]=+p[M+(C<<3)>>3]*+p[r+(C<<3)>>3];if(!F)break a;else{M=M+D|0;r=r+i|0;U=U+_|0;F=F+-1|0}}}else{F=e;U=z;r=o;M=c;while(1){p[r>>3]=+p[F>>3]*+p[U>>3];if(!M)break a;else{F=F+D|0;U=U+i|0;r=r+_|0;M=M+-1|0}}}if(s){M=e;r=z;U=o;F=c;while(1){p[U>>3]=+p[M>>3]*+p[r>>3];B=x;do{O=+p[M+(B<<3)>>3];N=B+1|0;R=+p[M+(N<<3)>>3];Q=+p[r+(B<<3)>>3];L=+p[r+(N<<3)>>3];p[U+(B<<3)>>3]=O*Q-R*L;p[U+(N<<3)>>3]=R*Q+O*L;B=B+2|0}while(B>>>0<C>>>0);p[U+(C<<3)>>3]=+p[M+(C<<3)>>3]*+p[r+(C<<3)>>3];if(!F)break;else{M=M+D|0;r=r+i|0;U=U+_|0;F=F+-1|0}}}else{F=e;U=z;r=o;M=c;while(1){p[r>>3]=+p[F>>3]*+p[U>>3];s=x;do{L=+p[F+(s<<3)>>3];B=s+1|0;O=+p[F+(B<<3)>>3];Q=+p[U+(s<<3)>>3];R=+p[U+(B<<3)>>3];p[r+(s<<3)>>3]=L*Q-O*R;p[r+(B<<3)>>3]=O*Q+L*R;s=s+2|0}while(s>>>0<C>>>0);if(!M)break;else{F=F+D|0;U=U+i|0;r=r+_|0;M=M+-1|0}}}}}while(0);C=m+36|0;x=f[C>>2]|0;if(x|0?(e=x+12|0,x=f[e>>2]|0,f[e>>2]=x+-1,(x|0)==1):0)lP(m);f[C>>2]=0;C=m+4|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[C>>2]|0)>0){G=f[m+40>>2]|0;x=0;do{f[G+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[C>>2]|0))}C=f[m+44>>2]|0;if((C|0)!=(m+48|0))tE(C);C=l+36|0;m=f[C>>2]|0;if(m|0?(x=m+12|0,m=f[x>>2]|0,f[x>>2]=m+-1,(m|0)==1):0)lP(l);f[C>>2]=0;C=l+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[C>>2]|0)>0){d=f[E>>2]|0;E=0;do{f[d+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[C>>2]|0))}C=f[l+44>>2]|0;if((C|0)!=(l+48|0))tE(C);C=k+36|0;l=f[C>>2]|0;if(l|0?(E=l+12|0,l=f[E>>2]|0,f[E>>2]=l+-1,(l|0)==1):0)lP(k);f[C>>2]=0;C=k+4|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[C>>2]|0)>0){q=f[v>>2]|0;v=0;do{f[q+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[C>>2]|0))}C=f[k+44>>2]|0;if((C|0)!=(k+48|0))tE(C);if(!(f[j+4>>2]|0)){u=h;return}u=h;return}function kD(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;if(a>>>0>2125763999){b=-1;return b|0}else{c=1650;d=0}do{e=c+d>>1;g=(f[34796+(e<<2)>>2]|0)<(a|0);d=g?e+1|0:d;c=g?c:e}while((d|0)<(c|0));b=f[34796+(c<<2)>>2]|0;return b|0}function lD(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;e=u;u=u+144|0;g=e+136|0;h=e;i=e+80|0;j=e+72|0;k=e+64|0;l=e+56|0;m=f[c>>2]|0;n=m&50331648;do switch(m>>>16&31){case 1:{o=f[c+4>>2]|0;if((d|0)>=0){f[g>>2]=d;f[g+4>>2]=d+1;f[h>>2]=-2147483648;f[h+4>>2]=2147483647;mP(a,o,g,h);u=e;return}f[a>>2]=f[o>>2];p=a+4|0;q=o+4|0;f[p>>2]=f[q>>2];r=a+8|0;f[r>>2]=f[o+8>>2];f[a+12>>2]=f[o+12>>2];f[a+16>>2]=f[o+16>>2];f[a+20>>2]=f[o+20>>2];f[a+24>>2]=f[o+24>>2];f[a+28>>2]=f[o+28>>2];f[a+32>>2]=f[o+32>>2];s=f[o+36>>2]|0;f[a+36>>2]=s;f[a+40>>2]=r;r=a+48|0;t=a+44|0;f[t>>2]=r;f[r>>2]=0;f[a+52>>2]=0;if(s|0){r=s+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[q>>2]|0)<3){q=f[o+44>>2]|0;r=f[t>>2]|0;f[r>>2]=f[q>>2];f[r+4>>2]=f[q+4>>2];u=e;return}else{f[p>>2]=0;kP(a,o);u=e;return}break}case 10:{o=f[c+4>>2]|0;if((d|0)<0){DN(a,o,n);u=e;return}DN(i,o,n);f[g>>2]=d;f[g+4>>2]=d+1;f[h>>2]=-2147483648;f[h+4>>2]=2147483647;mP(a,i,g,h);o=i+36|0;p=f[o>>2]|0;if(p|0?(q=p+12|0,p=f[q>>2]|0,f[q>>2]=p+-1,(p|0)==1):0)lP(i);f[o>>2]=0;o=i+16|0;p=i+4|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[p>>2]|0)>0){o=f[i+40>>2]|0;q=0;do{f[o+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[p>>2]|0))}p=f[i+44>>2]|0;if((p|0)==(i+48|0)){u=e;return}tE(p);u=e;return}case 6:{if((d|0)>=0){f[g>>2]=0;f[g+4>>2]=0;p=YG(g,5)|0;b[p>>0]=b[187208]|0;b[p+1>>0]=b[187209]|0;b[p+2>>0]=b[187210]|0;b[p+3>>0]=b[187211]|0;b[p+4>>0]=b[187212]|0;SQ(-215,g,187214,187222,38)}p=f[c+4>>2]|0;f[a>>2]=1124007936;q=a+8|0;o=a+40|0;v=a+4|0;w=v+36|0;do{f[v>>2]=0;v=v+4|0}while((v|0)<(w|0));f[o>>2]=q;r=a+48|0;f[a+44>>2]=r;f[r>>2]=0;f[a+52>>2]=0;r=f[p>>2]|0;rh[f[(f[r>>2]|0)+12>>2]&255](r,p,a,-1);u=e;return}case 2:case 14:{if((d|0)>=0){f[g>>2]=0;f[g+4>>2]=0;r=YG(g,5)|0;b[r>>0]=b[187208]|0;b[r+1>>0]=b[187209]|0;b[r+2>>0]=b[187210]|0;b[r+3>>0]=b[187211]|0;b[r+4>>0]=b[187212]|0;SQ(-215,g,187214,187222,44)}f[j>>2]=f[c+8>>2];f[j+4>>2]=f[c+12>>2];mD(a,j,m,f[c+4>>2]|0,0);u=e;return}case 3:{if((d|0)>=0){f[g>>2]=0;f[g+4>>2]=0;r=YG(g,5)|0;b[r>>0]=b[187208]|0;b[r+1>>0]=b[187209]|0;b[r+2>>0]=b[187210]|0;b[r+3>>0]=b[187211]|0;b[r+4>>0]=b[187212]|0;SQ(-215,g,187214,187222,50)}r=f[c+4>>2]|0;if((f[r>>2]|0)==(f[r+4>>2]|0)){f[a>>2]=1124007936;t=a+8|0;s=a+40|0;v=a+4|0;w=v+36|0;do{f[v>>2]=0;v=v+4|0}while((v|0)<(w|0));f[s>>2]=t;p=a+48|0;f[a+44>>2]=p;f[p>>2]=0;f[a+52>>2]=0;u=e;return}nD(k,c,-1);p=f[r>>2]|0;f[a>>2]=m&4095|1124007936;f[a+4>>2]=2;q=a+8|0;o=f[k+4>>2]|0;f[q>>2]=o;x=f[k>>2]|0;f[a+12>>2]=x;f[a+16>>2]=p;f[a+20>>2]=p;y=a+24|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;f[a+40>>2]=q;q=a+48|0;f[a+44>>2]=q;z=a+52|0;f[z>>2]=0;f[q>>2]=0;if((p|0)==0&(Y(x,o)|0)!=0){f[g>>2]=0;f[g+4>>2]=0;v=YG(g,28)|0;A=294548;w=v+28|0;do{b[v>>0]=b[A>>0]|0;v=v+1|0;A=A+1|0}while((v|0)<(w|0));SQ(-215,g,294577,465158,608)}r=(m>>>3&511)+1<<(47696>>>(m<<1&14)&3);t=Y(x,r)|0;f[q>>2]=t;f[z>>2]=r;r=p+(Y(t,o)|0)|0;f[a+28>>2]=r;f[y>>2]=r+(0-t)+t;hP(a);u=e;return}case 12:{if((d|0)>=0){f[g>>2]=0;f[g+4>>2]=0;t=YG(g,5)|0;b[t>>0]=b[187208]|0;b[t+1>>0]=b[187209]|0;b[t+2>>0]=b[187210]|0;b[t+3>>0]=b[187211]|0;b[t+4>>0]=b[187212]|0;SQ(-215,g,187214,187222,59)}t=f[c+4>>2]|0;r=f[t+4>>2]|0;if(!r){f[a>>2]=1124007936;s=a+8|0;B=a+40|0;v=a+4|0;w=v+36|0;do{f[v>>2]=0;v=v+4|0}while((v|0)<(w|0));f[B>>2]=s;y=a+48|0;f[a+44>>2]=y;f[y>>2]=0;f[a+52>>2]=0;u=e;return}f[h>>2]=1124007936;y=h+4|0;o=h+8|0;p=h+40|0;v=y;w=v+36|0;do{f[v>>2]=0;v=v+4|0}while((v|0)<(w|0));f[p>>2]=o;s=h+48|0;B=h+44|0;f[B>>2]=s;f[s>>2]=0;f[h+52>>2]=0;f[g>>2]=1;f[g+4>>2]=r;iP(h,2,g,0);z=h+16|0;q=f[z>>2]|0;if((r|0)>0){x=0;do{b[q+x>>0]=(f[(f[t>>2]|0)+(x>>>5<<2)>>2]&1<<(x&31)|0)!=0&1;x=x+1|0}while((x|0)!=(r|0));C=f[z>>2]|0}else C=q;f[a>>2]=f[h>>2];r=a+4|0;x=f[y>>2]|0;f[r>>2]=x;t=a+8|0;f[t>>2]=f[o>>2];f[a+12>>2]=f[h+12>>2];f[a+16>>2]=C;f[a+20>>2]=f[h+20>>2];f[a+24>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];D=h+36|0;E=f[D>>2]|0;f[a+36>>2]=E;f[a+40>>2]=t;t=a+48|0;F=a+44|0;f[F>>2]=t;f[t>>2]=0;f[a+52>>2]=0;if(!E)G=x;else{x=E+12|0;f[x>>2]=(f[x>>2]|0)+1;G=f[y>>2]|0}if((G|0)<3){x=f[B>>2]|0;E=f[F>>2]|0;f[E>>2]=f[x>>2];f[E+4>>2]=f[x+4>>2]}else{f[r>>2]=0;kP(a,h)}r=f[D>>2]|0;if(r|0?(x=r+12|0,r=f[x>>2]|0,f[x>>2]=r+-1,(r|0)==1):0)lP(h);f[D>>2]=0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[y>>2]|0)>0){D=f[p>>2]|0;r=0;do{f[D+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[y>>2]|0))}y=f[B>>2]|0;if((y|0)!=(s|0))tE(y);u=e;return}case 0:{f[a>>2]=1124007936;y=a+8|0;r=a+40|0;v=a+4|0;w=v+36|0;do{f[v>>2]=0;v=v+4|0}while((v|0)<(w|0));f[r>>2]=y;s=a+48|0;f[a+44>>2]=s;f[s>>2]=0;f[a+52>>2]=0;u=e;return}case 4:{s=oD(c,d)|0;B=f[c+4>>2]|0;if((d|0)<=-1){f[g>>2]=0;H=g+4|0;f[H>>2]=0;I=YG(g,28)|0;v=I;A=187292;w=v+28|0;do{b[v>>0]=b[A>>0]|0;v=v+1|0;A=A+1|0}while((v|0)<(w|0));SQ(-215,g,187214,187222,79)}y=f[B>>2]|0;r=y;if((((f[B+4>>2]|0)-y|0)/12|0|0)<=(d|0)){f[g>>2]=0;H=g+4|0;f[H>>2]=0;I=YG(g,28)|0;v=I;A=187292;w=v+28|0;do{b[v>>0]=b[A>>0]|0;v=v+1|0;A=A+1|0}while((v|0)<(w|0));SQ(-215,g,187214,187222,79)}B=r+(d*12|0)|0;if((f[B>>2]|0)==(f[r+(d*12|0)+4>>2]|0)){f[a>>2]=1124007936;y=a+8|0;D=a+40|0;v=a+4|0;w=v+36|0;do{f[v>>2]=0;v=v+4|0}while((v|0)<(w|0));f[D>>2]=y;r=a+48|0;f[a+44>>2]=r;f[r>>2]=0;f[a+52>>2]=0;u=e;return}nD(l,c,d);r=f[B>>2]|0;f[a>>2]=s&4095|1124007936;f[a+4>>2]=2;p=a+8|0;z=f[l+4>>2]|0;f[p>>2]=z;o=f[l>>2]|0;f[a+12>>2]=o;f[a+16>>2]=r;f[a+20>>2]=r;q=a+24|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;f[a+40>>2]=p;p=a+48|0;f[a+44>>2]=p;x=a+52|0;f[x>>2]=0;f[p>>2]=0;if((r|0)==0&(Y(o,z)|0)!=0){f[g>>2]=0;f[g+4>>2]=0;v=YG(g,28)|0;A=294548;w=v+28|0;do{b[v>>0]=b[A>>0]|0;v=v+1|0;A=A+1|0}while((v|0)<(w|0));SQ(-215,g,294577,465158,608)}B=(s>>>3&511)+1<<(47696>>>(s<<1&14)&3);y=Y(o,B)|0;f[p>>2]=y;f[x>>2]=B;B=r+(Y(y,z)|0)|0;f[a+28>>2]=B;f[q>>2]=B+(0-y)+y;hP(a);u=e;return}case 5:{y=f[c+4>>2]|0;if((d|0)<=-1){f[g>>2]=0;J=g+4|0;f[J>>2]=0;K=YG(g,27)|0;v=K;A=187321;w=v+27|0;do{b[v>>0]=b[A>>0]|0;v=v+1|0;A=A+1|0}while((v|0)<(w|0));SQ(-215,g,187214,187222,88)}q=f[y>>2]|0;z=q;if((((f[y+4>>2]|0)-q|0)/56|0|0)<=(d|0)){f[g>>2]=0;J=g+4|0;f[J>>2]=0;K=YG(g,27)|0;v=K;A=187321;w=v+27|0;do{b[v>>0]=b[A>>0]|0;v=v+1|0;A=A+1|0}while((v|0)<(w|0));SQ(-215,g,187214,187222,88)}y=z+(d*56|0)|0;f[a>>2]=f[y>>2];q=a+4|0;r=z+(d*56|0)+4|0;f[q>>2]=f[r>>2];x=a+8|0;f[x>>2]=f[z+(d*56|0)+8>>2];f[a+12>>2]=f[z+(d*56|0)+12>>2];f[a+16>>2]=f[z+(d*56|0)+16>>2];f[a+20>>2]=f[z+(d*56|0)+20>>2];f[a+24>>2]=f[z+(d*56|0)+24>>2];f[a+28>>2]=f[z+(d*56|0)+28>>2];f[a+32>>2]=f[z+(d*56|0)+32>>2];p=f[z+(d*56|0)+36>>2]|0;f[a+36>>2]=p;f[a+40>>2]=x;x=a+48|0;o=a+44|0;f[o>>2]=x;f[x>>2]=0;f[a+52>>2]=0;if(p|0){x=p+12|0;f[x>>2]=(f[x>>2]|0)+1}if((f[r>>2]|0)<3){r=f[z+(d*56|0)+44>>2]|0;x=f[o>>2]|0;f[x>>2]=f[r>>2];f[x+4>>2]=f[r+4>>2];u=e;return}else{f[q>>2]=0;kP(a,y);u=e;return}break}case 15:{y=f[c+4>>2]|0;if((d|0)<=-1){f[g>>2]=0;L=g+4|0;f[L>>2]=0;M=YG(g,23)|0;v=M;A=187349;w=v+23|0;do{b[v>>0]=b[A>>0]|0;v=v+1|0;A=A+1|0}while((v|0)<(w|0));SQ(-215,g,187214,187222,96)}if((f[c+12>>2]|0)<=(d|0)){f[g>>2]=0;L=g+4|0;f[L>>2]=0;M=YG(g,23)|0;v=M;A=187349;w=v+23|0;do{b[v>>0]=b[A>>0]|0;v=v+1|0;A=A+1|0}while((v|0)<(w|0));SQ(-215,g,187214,187222,96)}z=y+(d*56|0)|0;f[a>>2]=f[z>>2];q=a+4|0;r=y+(d*56|0)+4|0;f[q>>2]=f[r>>2];x=a+8|0;f[x>>2]=f[y+(d*56|0)+8>>2];f[a+12>>2]=f[y+(d*56|0)+12>>2];f[a+16>>2]=f[y+(d*56|0)+16>>2];f[a+20>>2]=f[y+(d*56|0)+20>>2];f[a+24>>2]=f[y+(d*56|0)+24>>2];f[a+28>>2]=f[y+(d*56|0)+28>>2];f[a+32>>2]=f[y+(d*56|0)+32>>2];o=f[y+(d*56|0)+36>>2]|0;f[a+36>>2]=o;f[a+40>>2]=x;x=a+48|0;p=a+44|0;f[p>>2]=x;f[x>>2]=0;f[a+52>>2]=0;if(o|0){x=o+12|0;f[x>>2]=(f[x>>2]|0)+1}if((f[r>>2]|0)<3){r=f[y+(d*56|0)+44>>2]|0;x=f[p>>2]|0;f[x>>2]=f[r>>2];f[x+4>>2]=f[r+4>>2];u=e;return}else{f[q>>2]=0;kP(a,z);u=e;return}break}case 11:{z=f[c+4>>2]|0;if((d|0)<=-1){f[g>>2]=0;N=g+4|0;f[N>>2]=0;O=YG(g,27)|0;v=O;A=187321;w=v+27|0;do{b[v>>0]=b[A>>0]|0;v=v+1|0;A=A+1|0}while((v|0)<(w|0));SQ(-215,g,187214,187222,104)}y=f[z>>2]|0;if((((f[z+4>>2]|0)-y|0)/48|0|0)<=(d|0)){f[g>>2]=0;N=g+4|0;f[N>>2]=0;O=YG(g,27)|0;v=O;A=187321;w=v+27|0;do{b[v>>0]=b[A>>0]|0;v=v+1|0;A=A+1|0}while((v|0)<(w|0));SQ(-215,g,187214,187222,104)}DN(a,y+(d*48|0)|0,n);u=e;return}case 7:{if((d|0)<0){f[g>>2]=0;f[g+4>>2]=0;v=YG(g,75)|0;A=187373;w=v+75|0;do{b[v>>0]=b[A>>0]|0;v=v+1|0;A=A+1|0}while((v|0)<(w|0));SQ(-213,g,187214,187222,112)}else{f[g>>2]=0;f[g+4>>2]=0;y=YG(g,5)|0;b[y>>0]=b[187208]|0;b[y+1>>0]=b[187209]|0;b[y+2>>0]=b[187210]|0;b[y+3>>0]=b[187211]|0;b[y+4>>0]=b[187212]|0;SQ(-215,g,187214,187222,111)}break}case 9:{if((d|0)<0){f[g>>2]=0;f[g+4>>2]=0;v=YG(g,66)|0;A=187449;w=v+66|0;do{b[v>>0]=b[A>>0]|0;v=v+1|0;A=A+1|0}while((v|0)<(w|0));SQ(-213,g,187214,187222,118)}else{f[g>>2]=0;f[g+4>>2]=0;y=YG(g,5)|0;b[y>>0]=b[187208]|0;b[y+1>>0]=b[187209]|0;b[y+2>>0]=b[187210]|0;b[y+3>>0]=b[187211]|0;b[y+4>>0]=b[187212]|0;SQ(-215,g,187214,187222,117)}break}case 8:{if((d|0)>=0){f[g>>2]=0;f[g+4>>2]=0;y=YG(g,5)|0;b[y>>0]=b[187208]|0;b[y+1>>0]=b[187209]|0;b[y+2>>0]=b[187210]|0;b[y+3>>0]=b[187211]|0;b[y+4>>0]=b[187212]|0;SQ(-215,g,187214,187222,123)}y=f[c+4>>2]|0;z=f[y+4>>2]|0;f[g>>2]=f[y+8>>2];f[g+4>>2]=z;mD(a,g,f[y>>2]&4095,f[y+16>>2]|0,f[y+12>>2]|0);u=e;return}default:{f[g>>2]=0;f[g+4>>2]=0;v=YG(g,30)|0;A=187516;w=v+30|0;do{b[v>>0]=b[A>>0]|0;v=v+1|0;A=A+1|0}while((v|0)<(w|0));SQ(-213,g,187214,187222,130)}}while(0)}function mD(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;h=u;u=u+16|0;i=h;f[a>>2]=d&4095|1124007936;f[a+4>>2]=2;j=a+8|0;k=f[c+4>>2]|0;f[j>>2]=k;l=f[c>>2]|0;f[a+12>>2]=l;f[a+16>>2]=e;f[a+20>>2]=e;c=a+24|0;m=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;f[a+40>>2]=j;j=a+48|0;f[a+44>>2]=j;f[a+52>>2]=0;f[j>>2]=0;if((Y(l,k)|0)!=0&(e|0)==0){f[i>>2]=0;f[i+4>>2]=0;n=YG(i,28)|0;o=294548;p=n+28|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));SQ(-215,i,294577,465158,608)}q=d&7;r=(d>>>3&511)+1<<(47696>>>(q<<1)&3);d=Y(l,r)|0;if(!g){s=d;f[j>>2]=s;t=a+52|0;f[t>>2]=r;v=Y(k,s)|0;w=e+v|0;f[m>>2]=w;x=0-s|0;y=w+x|0;z=y+d|0;f[c>>2]=z;hP(a);u=h;return}if(!((g>>>0)%((1212424721>>>(q<<2)&15)>>>0)|0)){s=g;f[j>>2]=s;t=a+52|0;f[t>>2]=r;v=Y(k,s)|0;w=e+v|0;f[m>>2]=w;x=0-s|0;y=w+x|0;z=y+d|0;f[c>>2]=z;hP(a);u=h;return}else{f[i>>2]=0;f[i+4>>2]=0;n=YG(i,31)|0;o=201711;p=n+31|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));SQ(-13,i,294577,465158,622)}}function nD(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=u;u=u+16|0;g=e;h=f[c>>2]|0;do switch(h>>>16&31){case 1:{if((d|0)>=0){f[g>>2]=0;f[g+4>>2]=0;i=YG(g,5)|0;b[i>>0]=b[187208]|0;b[i+1>>0]=b[187209]|0;b[i+2>>0]=b[187210]|0;b[i+3>>0]=b[187211]|0;b[i+4>>0]=b[187212]|0;SQ(-215,g,463632,187222,400)}i=f[(f[c+4>>2]|0)+40>>2]|0;j=f[i>>2]|0;f[a>>2]=f[i+4>>2];f[a+4>>2]=j;u=e;return}case 6:{if((d|0)>=0){f[g>>2]=0;f[g+4>>2]=0;j=YG(g,5)|0;b[j>>0]=b[187208]|0;b[j+1>>0]=b[187209]|0;b[j+2>>0]=b[187210]|0;b[j+3>>0]=b[187211]|0;b[j+4>>0]=b[187212]|0;SQ(-215,g,463632,187222,406)}kG(a,f[c+4>>2]|0);u=e;return}case 10:{if((d|0)>=0){f[g>>2]=0;f[g+4>>2]=0;j=YG(g,5)|0;b[j>>0]=b[187208]|0;b[j+1>>0]=b[187209]|0;b[j+2>>0]=b[187210]|0;b[j+3>>0]=b[187211]|0;b[j+4>>0]=b[187212]|0;SQ(-215,g,463632,187222,412)}j=f[(f[c+4>>2]|0)+32>>2]|0;i=f[j>>2]|0;f[a>>2]=f[j+4>>2];f[a+4>>2]=i;u=e;return}case 2:case 14:{if((d|0)>=0){f[g>>2]=0;f[g+4>>2]=0;i=YG(g,5)|0;b[i>>0]=b[187208]|0;b[i+1>>0]=b[187209]|0;b[i+2>>0]=b[187210]|0;b[i+3>>0]=b[187211]|0;b[i+4>>0]=b[187212]|0;SQ(-215,g,463632,187222,418)}f[a>>2]=f[c+8>>2];f[a+4>>2]=f[c+12>>2];u=e;return}case 3:{if((d|0)>=0){f[g>>2]=0;f[g+4>>2]=0;i=YG(g,5)|0;b[i>>0]=b[187208]|0;b[i+1>>0]=b[187209]|0;b[i+2>>0]=b[187210]|0;b[i+3>>0]=b[187211]|0;b[i+4>>0]=b[187212]|0;SQ(-215,g,463632,187222,424)}i=f[c+4>>2]|0;j=(f[i+4>>2]|0)-(f[i>>2]|0)|0;if((j|0)==(j>>2|0)){f[a>>2]=j;f[a+4>>2]=1;u=e;return}else{f[a>>2]=(j>>>0)/((h>>>3&511)+1<<(47696>>>(h<<1&14)&3)>>>0)|0;f[a+4>>2]=1;u=e;return}break}case 12:{if((d|0)>=0){f[g>>2]=0;f[g+4>>2]=0;j=YG(g,5)|0;b[j>>0]=b[187208]|0;b[j+1>>0]=b[187209]|0;b[j+2>>0]=b[187210]|0;b[j+3>>0]=b[187211]|0;b[j+4>>0]=b[187212]|0;SQ(-215,g,463632,187222,433)}f[a>>2]=f[(f[c+4>>2]|0)+4>>2];f[a+4>>2]=1;u=e;return}case 0:{f[a>>2]=0;f[a+4>>2]=0;u=e;return}case 4:{j=f[c+4>>2]|0;if((d|0)<0){i=f[j>>2]|0;k=f[j+4>>2]|0;if((i|0)==(k|0)){f[a>>2]=0;f[a+4>>2]=0;u=e;return}else{f[a>>2]=(k-i|0)/12|0;f[a+4>>2]=1;u=e;return}}i=f[j>>2]|0;k=i;if((((f[j+4>>2]|0)-i|0)/12|0|0)<=(d|0)){f[g>>2]=0;f[g+4>>2]=0;l=YG(g,18)|0;m=187573;n=l+18|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,g,463632,187222,446)}i=(f[k+(d*12|0)+4>>2]|0)-(f[k+(d*12|0)>>2]|0)|0;o=f[j>>2]|0;if((i|0)==((f[o+(d*12|0)+4>>2]|0)-(f[o+(d*12|0)>>2]|0)>>2|0)){f[a>>2]=i;f[a+4>>2]=1;u=e;return}else{f[a>>2]=(i>>>0)/((h>>>3&511)+1<<(47696>>>(h<<1&14)&3)>>>0)|0;f[a+4>>2]=1;u=e;return}break}case 5:{i=f[c+4>>2]|0;if((d|0)>=0){o=f[i>>2]|0;if((((f[i+4>>2]|0)-o|0)/56|0|0)<=(d|0)){f[g>>2]=0;f[g+4>>2]=0;l=YG(g,18)|0;m=187573;n=l+18|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,g,463632,187222,458)}j=f[o+(d*56|0)+40>>2]|0;k=f[j>>2]|0;f[a>>2]=f[j+4>>2];f[a+4>>2]=k;u=e;return}k=f[i>>2]|0;j=f[i+4>>2]|0;if((k|0)==(j|0)){f[a>>2]=0;f[a+4>>2]=0;u=e;return}else{f[a>>2]=(j-k|0)/56|0;f[a+4>>2]=1;u=e;return}break}case 15:{k=f[c+4>>2]|0;j=f[c+12>>2]|0;if((d|0)>=0){if((j|0)<=(d|0)){f[g>>2]=0;f[g+4>>2]=0;l=YG(g,13)|0;m=187592;n=l+13|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,g,463632,187222,468)}i=f[k+(d*56|0)+40>>2]|0;o=f[i>>2]|0;f[a>>2]=f[i+4>>2];f[a+4>>2]=o;u=e;return}if(!j){f[a>>2]=0;f[a+4>>2]=0;u=e;return}else{f[a>>2]=j;f[a+4>>2]=1;u=e;return}break}case 13:{o=f[c+4>>2]|0;if((d|0)>=0){i=f[o>>2]|0;p=i;if((((f[o+4>>2]|0)-i|0)/36|0|0)<=(d|0)){f[g>>2]=0;f[g+4>>2]=0;l=YG(g,18)|0;m=187573;n=l+18|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,g,463632,187222,478)}j=f[p+(d*36|0)+4>>2]|0;f[a>>2]=f[p+(d*36|0)+8>>2];f[a+4>>2]=j;u=e;return}j=f[o>>2]|0;k=f[o+4>>2]|0;if((j|0)==(k|0)){f[a>>2]=0;f[a+4>>2]=0;u=e;return}else{f[a>>2]=(k-j|0)/36|0;f[a+4>>2]=1;u=e;return}break}case 11:{j=f[c+4>>2]|0;if((d|0)>=0){k=f[j>>2]|0;if((((f[j+4>>2]|0)-k|0)/48|0|0)<=(d|0)){f[g>>2]=0;f[g+4>>2]=0;l=YG(g,18)|0;m=187573;n=l+18|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,g,463632,187222,487)}o=f[k+(d*48|0)+32>>2]|0;p=f[o>>2]|0;f[a>>2]=f[o+4>>2];f[a+4>>2]=p;u=e;return}p=f[j>>2]|0;o=f[j+4>>2]|0;if((p|0)==(o|0)){f[a>>2]=0;f[a+4>>2]=0;u=e;return}else{f[a>>2]=(o-p|0)/48|0;f[a+4>>2]=1;u=e;return}break}case 7:{if((d|0)>=0){f[g>>2]=0;f[g+4>>2]=0;p=YG(g,5)|0;b[p>>0]=b[187208]|0;b[p+1>>0]=b[187209]|0;b[p+2>>0]=b[187210]|0;b[p+3>>0]=b[187211]|0;b[p+4>>0]=b[187212]|0;SQ(-215,g,463632,187222,494)}p=f[c+4>>2]|0;o=f[p+8>>2]|0;f[a>>2]=f[p+12>>2];f[a+4>>2]=o;u=e;return}case 9:{if((d|0)>=0){f[g>>2]=0;f[g+4>>2]=0;o=YG(g,5)|0;b[o>>0]=b[187208]|0;b[o+1>>0]=b[187209]|0;b[o+2>>0]=b[187210]|0;b[o+3>>0]=b[187211]|0;b[o+4>>0]=b[187212]|0;SQ(-215,g,463632,187222,501)}o=f[c+4>>2]|0;p=f[o+4>>2]|0;f[a>>2]=f[o+8>>2];f[a+4>>2]=p;u=e;return}case 8:{if((d|0)>=0){f[g>>2]=0;f[g+4>>2]=0;p=YG(g,5)|0;b[p>>0]=b[187208]|0;b[p+1>>0]=b[187209]|0;b[p+2>>0]=b[187210]|0;b[p+3>>0]=b[187211]|0;b[p+4>>0]=b[187212]|0;SQ(-215,g,463632,187222,508)}p=f[c+4>>2]|0;o=f[p+4>>2]|0;f[a>>2]=f[p+8>>2];f[a+4>>2]=o;u=e;return}default:{f[g>>2]=0;f[g+4>>2]=0;l=YG(g,30)|0;m=187516;n=l+30|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-213,g,463632,187222,513)}}while(0)}function oD(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+16|0;e=d;g=f[a>>2]|0;do switch(g>>>16&31){case 1:{h=f[f[a+4>>2]>>2]&4095;u=d;return h|0}case 10:{h=f[f[a+4>>2]>>2]&4095;u=d;return h|0}case 6:{h=lG(f[a+4>>2]|0)|0;u=d;return h|0}case 2:case 3:case 4:case 12:case 14:{h=g&4095;u=d;return h|0}case 11:{i=f[a+4>>2]|0;j=f[i>>2]|0;k=f[i+4>>2]|0;if((j|0)==(k|0)){if((g|0)>=0){f[e>>2]=0;f[e+4>>2]=0;l=YG(e,25)|0;m=187547;n=l+25|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,e,390721,187222,788)}h=g&4095;u=d;return h|0}else{if(((k-j|0)/48|0|0)<=(c|0)){f[e>>2]=0;f[e+4>>2]=0;l=YG(e,18)|0;m=187573;n=l+18|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,e,390721,187222,791)}h=f[j+(((c|0)>0?c:0)*48|0)>>2]&4095;u=d;return h|0}break}case 5:{k=f[a+4>>2]|0;i=f[k>>2]|0;o=f[k+4>>2]|0;if((i|0)==(o|0)){if((g|0)>=0){f[e>>2]=0;f[e+4>>2]=0;l=YG(e,25)|0;m=187547;n=l+25|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,e,390721,187222,800)}h=g&4095;u=d;return h|0}else{if(((o-i|0)/56|0|0)<=(c|0)){f[e>>2]=0;f[e+4>>2]=0;l=YG(e,18)|0;m=187573;n=l+18|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,e,390721,187222,803)}h=f[i+(((c|0)>0?c:0)*56|0)>>2]&4095;u=d;return h|0}break}case 15:{o=f[a+4>>2]|0;j=f[a+12>>2]|0;if(!j){if((g|0)>=0){f[e>>2]=0;f[e+4>>2]=0;l=YG(e,25)|0;m=187547;n=l+25|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,e,390721,187222,812)}h=g&4095;u=d;return h|0}else{if((j|0)<=(c|0)){f[e>>2]=0;f[e+4>>2]=0;l=YG(e,13)|0;m=187592;n=l+13|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,e,390721,187222,815)}h=f[o+(((c|0)>0?c:0)*56|0)>>2]&4095;u=d;return h|0}break}case 13:{j=f[a+4>>2]|0;i=f[j>>2]|0;k=f[j+4>>2]|0;if((i|0)==(k|0)){if((g|0)>=0){f[e>>2]=0;f[e+4>>2]=0;l=YG(e,25)|0;m=187547;n=l+25|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,e,390721,187222,824)}h=g&4095;u=d;return h|0}else{if(((k-i|0)/36|0|0)<=(c|0)){f[e>>2]=0;f[e+4>>2]=0;l=YG(e,18)|0;m=187573;n=l+18|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,e,390721,187222,827)}h=f[i+(((c|0)>0?c:0)*36|0)>>2]&4095;u=d;return h|0}break}case 7:{h=f[(f[a+4>>2]|0)+16>>2]|0;u=d;return h|0}case 9:{h=f[f[a+4>>2]>>2]&4095;u=d;return h|0}case 8:{h=f[f[a+4>>2]>>2]&4095;u=d;return h|0}case 0:{h=-1;u=d;return h|0}default:{f[e>>2]=0;f[e+4>>2]=0;l=YG(e,30)|0;m=187516;n=l+30|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-213,e,390721,187222,840)}}while(0);return 0}function pD(a){a=a|0;return f[a>>2]&2031616|0}function qD(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;e=u;u=u+128|0;g=e+120|0;h=e+112|0;i=e+56|0;j=e;k=f[c>>2]|0;l=k&2031616;m=k&50331648;k=l&2097151;a:do if((k|0)>=655360){if((k|0)<720896){switch(k|0){case 655360:break;default:break a}n=f[c+4>>2]|0;if((d|0)>=0){f[g>>2]=d;f[g+4>>2]=d+1;f[h>>2]=-2147483648;f[h+4>>2]=2147483647;wN(a,n,g,h);u=e;return}f[a>>2]=f[n>>2];o=a+4|0;p=n+4|0;f[o>>2]=f[p>>2];q=a+8|0;f[q>>2]=f[n+8>>2];f[a+12>>2]=f[n+12>>2];f[a+16>>2]=f[n+16>>2];f[a+20>>2]=f[n+20>>2];r=f[n+24>>2]|0;f[a+24>>2]=r;f[a+28>>2]=f[n+28>>2];f[a+32>>2]=q;q=a+40|0;s=a+36|0;f[s>>2]=q;f[a+44>>2]=0;f[q>>2]=0;if(r|0){q=r+8|0;f[q>>2]=(f[q>>2]|0)+1}if((f[p>>2]|0)<3){p=f[n+36>>2]|0;q=f[s>>2]|0;f[q>>2]=f[p>>2];f[q+4>>2]=f[p+4>>2];u=e;return}else{f[o>>2]=0;tN(a,n);u=e;return}}switch(k|0){case 720896:break;default:break a}n=f[c+4>>2]|0;if((d|0)<=-1){f[g>>2]=0;t=g+4|0;f[t>>2]=0;v=YG(g,27)|0;w=v;x=187321;y=w+27|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,g,200587,187222,149)}o=f[n>>2]|0;p=o;if((((f[n+4>>2]|0)-o|0)/48|0|0)<=(d|0)){f[g>>2]=0;t=g+4|0;f[t>>2]=0;v=YG(g,27)|0;w=v;x=187321;y=w+27|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,g,200587,187222,149)}n=p+(d*48|0)|0;f[a>>2]=f[n>>2];o=a+4|0;q=p+(d*48|0)+4|0;f[o>>2]=f[q>>2];s=a+8|0;f[s>>2]=f[p+(d*48|0)+8>>2];f[a+12>>2]=f[p+(d*48|0)+12>>2];f[a+16>>2]=f[p+(d*48|0)+16>>2];f[a+20>>2]=f[p+(d*48|0)+20>>2];r=f[p+(d*48|0)+24>>2]|0;f[a+24>>2]=r;f[a+28>>2]=f[p+(d*48|0)+28>>2];f[a+32>>2]=s;s=a+40|0;z=a+36|0;f[z>>2]=s;f[a+44>>2]=0;f[s>>2]=0;if(r|0){s=r+8|0;f[s>>2]=(f[s>>2]|0)+1}if((f[q>>2]|0)<3){q=f[p+(d*48|0)+36>>2]|0;s=f[z>>2]|0;f[s>>2]=f[q>>2];f[s+4>>2]=f[q+4>>2];u=e;return}else{f[o>>2]=0;tN(a,n);u=e;return}}else{switch(k|0){case 65536:break;default:break a}n=f[c+4>>2]|0;if((d|0)<0){pN(a,n,m,0);u=e;return}f[g>>2]=d;f[g+4>>2]=d+1;f[h>>2]=-2147483648;f[h+4>>2]=2147483647;mP(i,n,g,h);pN(a,i,m,0);n=i+36|0;o=f[n>>2]|0;if(o|0?(q=o+12|0,o=f[q>>2]|0,f[q>>2]=o+-1,(o|0)==1):0)lP(i);f[n>>2]=0;n=i+16|0;o=i+4|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[o>>2]|0)>0){n=f[i+40>>2]|0;q=0;do{f[n+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[o>>2]|0))}o=f[i+44>>2]|0;if((o|0)==(i+48|0)){u=e;return}tE(o);u=e;return}while(0);do if((d|0)<0&(l|0)==65536){i=f[c+4>>2]|0;f[j>>2]=f[i>>2];h=j+4|0;g=i+4|0;f[h>>2]=f[g>>2];k=j+8|0;f[k>>2]=f[i+8>>2];f[j+12>>2]=f[i+12>>2];f[j+16>>2]=f[i+16>>2];f[j+20>>2]=f[i+20>>2];f[j+24>>2]=f[i+24>>2];f[j+28>>2]=f[i+28>>2];f[j+32>>2]=f[i+32>>2];x=f[i+36>>2]|0;f[j+36>>2]=x;f[j+40>>2]=k;k=j+48|0;w=j+44|0;f[w>>2]=k;f[k>>2]=0;f[j+52>>2]=0;if(x|0){k=x+12|0;f[k>>2]=(f[k>>2]|0)+1}if((f[g>>2]|0)<3){g=f[i+44>>2]|0;k=f[w>>2]|0;f[k>>2]=f[g>>2];f[k+4>>2]=f[g+4>>2];break}else{f[h>>2]=0;kP(j,i);break}}else lD(j,c,d);while(0);pN(a,j,m,0);m=j+36|0;a=f[m>>2]|0;if(a|0?(d=a+12|0,a=f[d>>2]|0,f[d>>2]=a+-1,(a|0)==1):0)lP(j);f[m>>2]=0;m=j+16|0;a=j+4|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[a>>2]|0)>0){m=f[j+40>>2]|0;d=0;do{f[m+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[a>>2]|0))}a=f[j+44>>2]|0;if((a|0)==(j+48|0)){u=e;return}tE(a);u=e;return}function rD(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0;d=u;u=u+240|0;e=d+184|0;g=d+128|0;h=d+64|0;i=d;j=d+120|0;k=d+56|0;l=f[a>>2]|0;m=l&50331648;do switch(l>>>16&31){case 1:{n=f[a+4>>2]|0;o=n+40|0;p=f[f[o>>2]>>2]|0;sD(c,p);if((p|0)<=0){u=d;return}q=n+4|0;r=n+12|0;s=n+16|0;t=n+44|0;v=e+36|0;w=e+16|0;x=e+4|0;y=e+40|0;z=e+44|0;A=e+48|0;B=e+8|0;C=e+12|0;D=e+20|0;E=e+24|0;F=e+28|0;G=e+32|0;H=0;do{I=f[q>>2]|0;if((I|0)==2)Ri(e,1,f[r>>2]|0,f[n>>2]&4095,(f[s>>2]|0)+(Y(f[f[t>>2]>>2]|0,H)|0)|0,0);else{J=f[t>>2]|0;qP(e,I+-1|0,(f[o>>2]|0)+4|0,f[n>>2]&4095,(f[s>>2]|0)+(Y(f[J>>2]|0,H)|0)|0,J+4|0)}J=f[c>>2]|0;I=J+(H*56|0)|0;if((I|0)!=(e|0)){K=f[v>>2]|0;if(K|0){L=K+12|0;f[L>>2]=(f[L>>2]|0)+1}L=J+(H*56|0)+36|0;K=f[L>>2]|0;if(K|0?(M=K+12|0,K=f[M>>2]|0,f[M>>2]=K+-1,(K|0)==1):0)lP(I);f[L>>2]=0;K=J+(H*56|0)+16|0;M=J+(H*56|0)+4|0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[M>>2]|0)>0){N=f[J+(H*56|0)+40>>2]|0;O=0;do{f[N+(O<<2)>>2]=0;O=O+1|0;P=f[M>>2]|0}while((O|0)<(P|0));f[I>>2]=f[e>>2];if((P|0)<3)Q=18;else Q=20}else{f[I>>2]=f[e>>2];Q=18}if((Q|0)==18){Q=0;O=f[x>>2]|0;if((O|0)<3){f[M>>2]=O;f[J+(H*56|0)+8>>2]=f[B>>2];f[J+(H*56|0)+12>>2]=f[C>>2];O=f[z>>2]|0;N=f[J+(H*56|0)+44>>2]|0;f[N>>2]=f[O>>2];f[N+4>>2]=f[O+4>>2]}else Q=20}if((Q|0)==20){Q=0;kP(I,e)}f[K>>2]=f[w>>2];f[J+(H*56|0)+20>>2]=f[D>>2];f[J+(H*56|0)+24>>2]=f[E>>2];f[J+(H*56|0)+28>>2]=f[F>>2];f[J+(H*56|0)+32>>2]=f[G>>2];f[L>>2]=f[v>>2]}O=f[v>>2]|0;if(O|0?(N=O+12|0,O=f[N>>2]|0,f[N>>2]=O+-1,(O|0)==1):0)lP(e);f[v>>2]=0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[x>>2]|0)>0){O=f[y>>2]|0;N=0;do{f[O+(N<<2)>>2]=0;N=N+1|0}while((N|0)<(f[x>>2]|0))}N=f[z>>2]|0;if((N|0)!=(A|0))tE(N);H=H+1|0}while((H|0)<(p|0));u=d;return}case 6:{p=f[a+4>>2]|0;f[h>>2]=1124007936;H=h+4|0;A=h+8|0;z=h+40|0;R=H;S=R+36|0;do{f[R>>2]=0;R=R+4|0}while((R|0)<(S|0));f[z>>2]=A;x=h+48|0;y=h+44|0;f[y>>2]=x;f[x>>2]=0;f[h+52>>2]=0;w=f[p>>2]|0;rh[f[(f[w>>2]|0)+12>>2]&255](w,p,h,-1);w=f[f[z>>2]>>2]|0;sD(c,w);if((w|0)>0){v=e+4|0;G=g+4|0;F=i+36|0;E=i+16|0;D=i+4|0;C=i+40|0;B=i+44|0;s=i+48|0;n=i+8|0;o=i+12|0;t=i+20|0;r=i+24|0;q=i+28|0;N=i+32|0;O=0;do{L=O;O=O+1|0;f[e>>2]=L;f[v>>2]=O;f[g>>2]=-2147483648;f[G>>2]=2147483647;mP(i,h,e,g);J=f[c>>2]|0;K=J+(L*56|0)|0;if((K|0)!=(i|0)){I=f[F>>2]|0;if(I|0){M=I+12|0;f[M>>2]=(f[M>>2]|0)+1}M=J+(L*56|0)+36|0;I=f[M>>2]|0;if(I|0?(T=I+12|0,I=f[T>>2]|0,f[T>>2]=I+-1,(I|0)==1):0)lP(K);f[M>>2]=0;I=J+(L*56|0)+16|0;T=J+(L*56|0)+4|0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[T>>2]|0)>0){U=f[J+(L*56|0)+40>>2]|0;V=0;do{f[U+(V<<2)>>2]=0;V=V+1|0;W=f[T>>2]|0}while((V|0)<(W|0));f[K>>2]=f[i>>2];if((W|0)<3)Q=53;else Q=55}else{f[K>>2]=f[i>>2];Q=53}if((Q|0)==53){Q=0;V=f[D>>2]|0;if((V|0)<3){f[T>>2]=V;f[J+(L*56|0)+8>>2]=f[n>>2];f[J+(L*56|0)+12>>2]=f[o>>2];V=f[B>>2]|0;U=f[J+(L*56|0)+44>>2]|0;f[U>>2]=f[V>>2];f[U+4>>2]=f[V+4>>2]}else Q=55}if((Q|0)==55){Q=0;kP(K,i)}f[I>>2]=f[E>>2];f[J+(L*56|0)+20>>2]=f[t>>2];f[J+(L*56|0)+24>>2]=f[r>>2];f[J+(L*56|0)+28>>2]=f[q>>2];f[J+(L*56|0)+32>>2]=f[N>>2];f[M>>2]=f[F>>2]}V=f[F>>2]|0;if(V|0?(U=V+12|0,V=f[U>>2]|0,f[U>>2]=V+-1,(V|0)==1):0)lP(i);f[F>>2]=0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[D>>2]|0)>0){V=f[C>>2]|0;U=0;do{f[V+(U<<2)>>2]=0;U=U+1|0}while((U|0)<(f[D>>2]|0))}U=f[B>>2]|0;if((U|0)!=(s|0))tE(U)}while((O|0)<(w|0))}w=h+36|0;O=f[w>>2]|0;if(O|0?(s=O+12|0,O=f[s>>2]|0,f[s>>2]=O+-1,(O|0)==1):0)lP(h);f[w>>2]=0;w=h+16|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[H>>2]|0)>0){w=f[z>>2]|0;O=0;do{f[w+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[H>>2]|0))}H=f[y>>2]|0;if((H|0)!=(x|0))tE(H);u=d;return}case 2:case 14:{H=f[a+12>>2]|0;O=(l>>>3&511)+1<<(47696>>>(l<<1&14)&3);sD(c,H);if(!H){u=d;return}w=a+8|0;z=a+4|0;s=e+36|0;B=e+16|0;D=e+4|0;C=e+40|0;E=e+44|0;F=e+48|0;N=e+8|0;q=e+12|0;r=e+20|0;t=e+24|0;o=e+28|0;n=e+32|0;G=0;do{v=f[w>>2]|0;Ri(e,1,v,f[a>>2]&4095,(f[z>>2]|0)+(Y(Y(G,O)|0,v)|0)|0,0);v=f[c>>2]|0;p=v+(G*56|0)|0;if((p|0)!=(e|0)){A=f[s>>2]|0;if(A|0){U=A+12|0;f[U>>2]=(f[U>>2]|0)+1}U=v+(G*56|0)+36|0;A=f[U>>2]|0;if(A|0?(V=A+12|0,A=f[V>>2]|0,f[V>>2]=A+-1,(A|0)==1):0)lP(p);f[U>>2]=0;A=v+(G*56|0)+16|0;V=v+(G*56|0)+4|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[V>>2]|0)>0){M=f[v+(G*56|0)+40>>2]|0;L=0;do{f[M+(L<<2)>>2]=0;L=L+1|0;X=f[V>>2]|0}while((L|0)<(X|0));f[p>>2]=f[e>>2];if((X|0)<3)Q=79;else Q=81}else{f[p>>2]=f[e>>2];Q=79}if((Q|0)==79){Q=0;L=f[D>>2]|0;if((L|0)<3){f[V>>2]=L;f[v+(G*56|0)+8>>2]=f[N>>2];f[v+(G*56|0)+12>>2]=f[q>>2];L=f[E>>2]|0;M=f[v+(G*56|0)+44>>2]|0;f[M>>2]=f[L>>2];f[M+4>>2]=f[L+4>>2]}else Q=81}if((Q|0)==81){Q=0;kP(p,e)}f[A>>2]=f[B>>2];f[v+(G*56|0)+20>>2]=f[r>>2];f[v+(G*56|0)+24>>2]=f[t>>2];f[v+(G*56|0)+28>>2]=f[o>>2];f[v+(G*56|0)+32>>2]=f[n>>2];f[U>>2]=f[s>>2]}L=f[s>>2]|0;if(L|0?(M=L+12|0,L=f[M>>2]|0,f[M>>2]=L+-1,(L|0)==1):0)lP(e);f[s>>2]=0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[D>>2]|0)>0){L=f[C>>2]|0;M=0;do{f[L+(M<<2)>>2]=0;M=M+1|0}while((M|0)<(f[D>>2]|0))}M=f[E>>2]|0;if((M|0)!=(F|0))tE(M);G=G+1|0}while(G>>>0<H>>>0);u=d;return}case 3:{H=f[a+4>>2]|0;nD(j,a,-1);G=f[j>>2]|0;F=f[a>>2]|0;E=(F>>>3&511)+1|0;D=F&7;F=E<<(47696>>>(D<<1)&3);sD(c,G);if(!G){u=d;return}C=e+36|0;B=e+16|0;s=e+4|0;n=e+40|0;o=e+44|0;t=e+48|0;r=e+8|0;q=e+12|0;N=e+20|0;O=e+24|0;z=e+28|0;w=e+32|0;x=0;do{Ri(e,1,E,D,(f[H>>2]|0)+(Y(x,F)|0)|0,0);y=f[c>>2]|0;M=y+(x*56|0)|0;if((M|0)!=(e|0)){L=f[C>>2]|0;if(L|0){U=L+12|0;f[U>>2]=(f[U>>2]|0)+1}U=y+(x*56|0)+36|0;L=f[U>>2]|0;if(L|0?(v=L+12|0,L=f[v>>2]|0,f[v>>2]=L+-1,(L|0)==1):0)lP(M);f[U>>2]=0;L=y+(x*56|0)+16|0;v=y+(x*56|0)+4|0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;if((f[v>>2]|0)>0){A=f[y+(x*56|0)+40>>2]|0;p=0;do{f[A+(p<<2)>>2]=0;p=p+1|0;Z=f[v>>2]|0}while((p|0)<(Z|0));f[M>>2]=f[e>>2];if((Z|0)<3)Q=105;else Q=107}else{f[M>>2]=f[e>>2];Q=105}if((Q|0)==105){Q=0;p=f[s>>2]|0;if((p|0)<3){f[v>>2]=p;f[y+(x*56|0)+8>>2]=f[r>>2];f[y+(x*56|0)+12>>2]=f[q>>2];p=f[o>>2]|0;A=f[y+(x*56|0)+44>>2]|0;f[A>>2]=f[p>>2];f[A+4>>2]=f[p+4>>2]}else Q=107}if((Q|0)==107){Q=0;kP(M,e)}f[L>>2]=f[B>>2];f[y+(x*56|0)+20>>2]=f[N>>2];f[y+(x*56|0)+24>>2]=f[O>>2];f[y+(x*56|0)+28>>2]=f[z>>2];f[y+(x*56|0)+32>>2]=f[w>>2];f[U>>2]=f[C>>2]}p=f[C>>2]|0;if(p|0?(A=p+12|0,p=f[A>>2]|0,f[A>>2]=p+-1,(p|0)==1):0)lP(e);f[C>>2]=0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[s>>2]|0)>0){p=f[n>>2]|0;A=0;do{f[p+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[s>>2]|0))}A=f[o>>2]|0;if((A|0)!=(t|0))tE(A);x=x+1|0}while(x>>>0<G>>>0);u=d;return}case 0:{G=f[c>>2]|0;x=c+4|0;t=f[x>>2]|0;if((t|0)==(G|0)){u=d;return}else _=t;do{t=_+-56|0;f[x>>2]=t;o=_+-20|0;s=f[o>>2]|0;if(s|0?(n=s+12|0,s=f[n>>2]|0,f[n>>2]=s+-1,(s|0)==1):0)lP(t);f[o>>2]=0;o=_+-40|0;t=_+-52|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[t>>2]|0)>0){o=f[_+-16>>2]|0;s=0;do{f[o+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[t>>2]|0))}t=f[_+-12>>2]|0;if((t|0)!=(_+-8|0))tE(t);_=f[x>>2]|0}while((_|0)!=(G|0));u=d;return}case 4:{G=f[a+4>>2]|0;x=(f[G+4>>2]|0)-(f[G>>2]|0)|0;t=(x|0)/12|0;sD(c,t);if((x|0)<=0){u=d;return}x=l&4095|1124007936;s=g+4|0;o=g+8|0;n=k+4|0;B=g+12|0;C=g+16|0;w=g+20|0;z=g+24|0;O=g+28|0;N=g+40|0;q=g+48|0;r=g+44|0;F=g+52|0;H=(l>>>3&511)+1<<(47696>>>(l<<1&14)&3);D=g+36|0;E=g+32|0;A=0;while(1){p=f[G>>2]|0;nD(k,a,A);U=f[p+(A*12|0)>>2]|0;f[g>>2]=x;f[s>>2]=2;p=f[n>>2]|0;f[o>>2]=p;y=f[k>>2]|0;f[B>>2]=y;f[C>>2]=U;f[w>>2]=U;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;f[N>>2]=o;f[r>>2]=q;f[F>>2]=0;f[q>>2]=0;if((U|0)==0&(Y(y,p)|0)!=0){Q=131;break}L=Y(y,H)|0;f[q>>2]=L;f[F>>2]=H;y=U+(Y(L,p)|0)|0;f[O>>2]=y;f[z>>2]=y+(0-L)+L;hP(g);L=f[c>>2]|0;y=L+(A*56|0)|0;if((y|0)!=(g|0)){p=f[D>>2]|0;if(p|0){U=p+12|0;f[U>>2]=(f[U>>2]|0)+1}U=L+(A*56|0)+36|0;p=f[U>>2]|0;if(p|0?(M=p+12|0,p=f[M>>2]|0,f[M>>2]=p+-1,(p|0)==1):0)lP(y);f[U>>2]=0;p=L+(A*56|0)+16|0;M=L+(A*56|0)+4|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[M>>2]|0)>0){v=f[L+(A*56|0)+40>>2]|0;V=0;do{f[v+(V<<2)>>2]=0;V=V+1|0;$=f[M>>2]|0}while((V|0)<($|0));f[y>>2]=f[g>>2];if(($|0)<3)Q=143;else Q=145}else{f[y>>2]=f[g>>2];Q=143}if((Q|0)==143){Q=0;V=f[s>>2]|0;if((V|0)<3){f[M>>2]=V;f[L+(A*56|0)+8>>2]=f[o>>2];f[L+(A*56|0)+12>>2]=f[B>>2];V=f[r>>2]|0;v=f[L+(A*56|0)+44>>2]|0;f[v>>2]=f[V>>2];f[v+4>>2]=f[V+4>>2]}else Q=145}if((Q|0)==145){Q=0;kP(y,g)}f[p>>2]=f[C>>2];f[L+(A*56|0)+20>>2]=f[w>>2];f[L+(A*56|0)+24>>2]=f[z>>2];f[L+(A*56|0)+28>>2]=f[O>>2];f[L+(A*56|0)+32>>2]=f[E>>2];f[U>>2]=f[D>>2]}V=f[D>>2]|0;if(V|0?(v=V+12|0,V=f[v>>2]|0,f[v>>2]=V+-1,(V|0)==1):0)lP(g);f[D>>2]=0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[s>>2]|0)>0){V=f[N>>2]|0;v=0;do{f[V+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[s>>2]|0))}v=f[r>>2]|0;if((v|0)!=(q|0))tE(v);A=A+1|0;if((A|0)>=(t|0)){Q=219;break}}if((Q|0)==131){f[e>>2]=0;f[e+4>>2]=0;R=YG(e,28)|0;aa=294548;S=R+28|0;do{b[R>>0]=b[aa>>0]|0;R=R+1|0;aa=aa+1|0}while((R|0)<(S|0));SQ(-215,e,294577,465158,608)}else if((Q|0)==219){u=d;return}break}case 5:{t=f[a+4>>2]|0;A=(f[t+4>>2]|0)-(f[t>>2]|0)|0;q=(A|0)/56|0;sD(c,q);if(!A){u=d;return}A=0;do{r=f[t>>2]|0;s=r+(A*56|0)|0;N=f[c>>2]|0;C=N+(A*56|0)|0;if((N|0)!=(r|0)){D=r+(A*56|0)+36|0;E=f[D>>2]|0;if(E|0){O=E+12|0;f[O>>2]=(f[O>>2]|0)+1}O=N+(A*56|0)+36|0;E=f[O>>2]|0;if(E|0?(z=E+12|0,E=f[z>>2]|0,f[z>>2]=E+-1,(E|0)==1):0)lP(C);f[O>>2]=0;E=N+(A*56|0)+16|0;z=N+(A*56|0)+4|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[z>>2]|0)>0){w=f[N+(A*56|0)+40>>2]|0;B=0;do{f[w+(B<<2)>>2]=0;B=B+1|0;ba=f[z>>2]|0}while((B|0)<(ba|0));f[C>>2]=f[s>>2];if((ba|0)<3)Q=169;else Q=171}else{f[C>>2]=f[s>>2];Q=169}if((Q|0)==169){Q=0;B=f[r+(A*56|0)+4>>2]|0;if((B|0)<3){f[z>>2]=B;f[N+(A*56|0)+8>>2]=f[r+(A*56|0)+8>>2];f[N+(A*56|0)+12>>2]=f[r+(A*56|0)+12>>2];B=f[r+(A*56|0)+44>>2]|0;w=f[N+(A*56|0)+44>>2]|0;f[w>>2]=f[B>>2];f[w+4>>2]=f[B+4>>2]}else Q=171}if((Q|0)==171){Q=0;kP(C,s)}f[E>>2]=f[r+(A*56|0)+16>>2];f[N+(A*56|0)+20>>2]=f[r+(A*56|0)+20>>2];f[N+(A*56|0)+24>>2]=f[r+(A*56|0)+24>>2];f[N+(A*56|0)+28>>2]=f[r+(A*56|0)+28>>2];f[N+(A*56|0)+32>>2]=f[r+(A*56|0)+32>>2];f[O>>2]=f[D>>2]}A=A+1|0}while(A>>>0<q>>>0);u=d;return}case 15:{q=f[a+4>>2]|0;A=f[a+12>>2]|0;sD(c,A);if(!A){u=d;return}t=0;do{B=q+(t*56|0)|0;w=f[c>>2]|0;o=w+(t*56|0)|0;if((w|0)!=(q|0)){H=q+(t*56|0)+36|0;F=f[H>>2]|0;if(F|0){n=F+12|0;f[n>>2]=(f[n>>2]|0)+1}n=w+(t*56|0)+36|0;F=f[n>>2]|0;if(F|0?(x=F+12|0,F=f[x>>2]|0,f[x>>2]=F+-1,(F|0)==1):0)lP(o);f[n>>2]=0;F=w+(t*56|0)+16|0;x=w+(t*56|0)+4|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[x>>2]|0)>0){G=f[w+(t*56|0)+40>>2]|0;v=0;do{f[G+(v<<2)>>2]=0;v=v+1|0;ca=f[x>>2]|0}while((v|0)<(ca|0));f[o>>2]=f[B>>2];if((ca|0)<3)Q=187;else Q=189}else{f[o>>2]=f[B>>2];Q=187}if((Q|0)==187){Q=0;v=f[q+(t*56|0)+4>>2]|0;if((v|0)<3){f[x>>2]=v;f[w+(t*56|0)+8>>2]=f[q+(t*56|0)+8>>2];f[w+(t*56|0)+12>>2]=f[q+(t*56|0)+12>>2];v=f[q+(t*56|0)+44>>2]|0;G=f[w+(t*56|0)+44>>2]|0;f[G>>2]=f[v>>2];f[G+4>>2]=f[v+4>>2]}else Q=189}if((Q|0)==189){Q=0;kP(o,B)}f[F>>2]=f[q+(t*56|0)+16>>2];f[w+(t*56|0)+20>>2]=f[q+(t*56|0)+20>>2];f[w+(t*56|0)+24>>2]=f[q+(t*56|0)+24>>2];f[w+(t*56|0)+28>>2]=f[q+(t*56|0)+28>>2];f[w+(t*56|0)+32>>2]=f[q+(t*56|0)+32>>2];f[n>>2]=f[H>>2]}t=t+1|0}while((t|0)!=(A|0));u=d;return}case 11:{A=f[a+4>>2]|0;t=(f[A+4>>2]|0)-(f[A>>2]|0)|0;q=(t|0)/48|0;sD(c,q);if(!t){u=d;return}t=e+36|0;v=e+16|0;G=e+4|0;D=e+40|0;O=e+44|0;r=e+48|0;N=e+8|0;E=e+12|0;s=e+20|0;C=e+24|0;z=e+28|0;V=e+32|0;U=0;do{DN(e,(f[A>>2]|0)+(U*48|0)|0,m);L=f[c>>2]|0;p=L+(U*56|0)|0;if((p|0)!=(e|0)){y=f[t>>2]|0;if(y|0){M=y+12|0;f[M>>2]=(f[M>>2]|0)+1}M=L+(U*56|0)+36|0;y=f[M>>2]|0;if(y|0?(J=y+12|0,y=f[J>>2]|0,f[J>>2]=y+-1,(y|0)==1):0)lP(p);f[M>>2]=0;y=L+(U*56|0)+16|0;J=L+(U*56|0)+4|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[J>>2]|0)>0){I=f[L+(U*56|0)+40>>2]|0;K=0;do{f[I+(K<<2)>>2]=0;K=K+1|0;da=f[J>>2]|0}while((K|0)<(da|0));f[p>>2]=f[e>>2];if((da|0)<3)Q=205;else Q=207}else{f[p>>2]=f[e>>2];Q=205}if((Q|0)==205){Q=0;K=f[G>>2]|0;if((K|0)<3){f[J>>2]=K;f[L+(U*56|0)+8>>2]=f[N>>2];f[L+(U*56|0)+12>>2]=f[E>>2];K=f[O>>2]|0;I=f[L+(U*56|0)+44>>2]|0;f[I>>2]=f[K>>2];f[I+4>>2]=f[K+4>>2]}else Q=207}if((Q|0)==207){Q=0;kP(p,e)}f[y>>2]=f[v>>2];f[L+(U*56|0)+20>>2]=f[s>>2];f[L+(U*56|0)+24>>2]=f[C>>2];f[L+(U*56|0)+28>>2]=f[z>>2];f[L+(U*56|0)+32>>2]=f[V>>2];f[M>>2]=f[t>>2]}K=f[t>>2]|0;if(K|0?(I=K+12|0,K=f[I>>2]|0,f[I>>2]=K+-1,(K|0)==1):0)lP(e);f[t>>2]=0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[G>>2]|0)>0){K=f[D>>2]|0;I=0;do{f[K+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[G>>2]|0))}I=f[O>>2]|0;if((I|0)!=(r|0))tE(I);U=U+1|0}while(U>>>0<q>>>0);u=d;return}default:{f[e>>2]=0;f[e+4>>2]=0;R=YG(e,30)|0;aa=187516;S=R+30|0;do{b[R>>0]=b[aa>>0]|0;R=R+1|0;aa=aa+1|0}while((R|0)<(S|0));SQ(-213,e,187606,187222,270)}}while(0)}function sD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=(d-e|0)/56|0;h=d;if(g>>>0<b>>>0){tD(a,b-g|0);return}if(g>>>0<=b>>>0)return;g=e+(b*56|0)|0;if((h|0)==(g|0))return;else i=h;do{h=i+-56|0;f[c>>2]=h;b=i+-20|0;e=f[b>>2]|0;if(e|0?(a=e+12|0,e=f[a>>2]|0,f[a>>2]=e+-1,(e|0)==1):0)lP(h);f[b>>2]=0;b=i+-40|0;h=i+-52|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[h>>2]|0)>0){b=f[i+-16>>2]|0;e=0;do{f[b+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[h>>2]|0))}h=f[i+-12>>2]|0;if((h|0)!=(i+-8|0))tE(h);i=f[c>>2]|0}while((i|0)!=(g|0));return}function tD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=u;u=u+32|0;d=c;e=f[a+8>>2]|0;g=a+4|0;h=f[g>>2]|0;if(((e-h|0)/56|0)>>>0>=b>>>0){i=b;j=h;do{f[j>>2]=1124007936;k=j+8|0;l=j+40|0;m=j+4|0;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;o=j+48|0;f[j+44>>2]=o;f[o>>2]=0;f[j+52>>2]=0;j=(f[g>>2]|0)+56|0;f[g>>2]=j;i=i+-1|0}while((i|0)!=0);u=c;return}i=f[a>>2]|0;j=(h-i|0)/56|0;h=j+b|0;if(h>>>0>76695844)Ukc(a);g=(e-i|0)/56|0;i=g<<1;e=g>>>0<38347922?(i>>>0<h>>>0?h:i):76695844;f[d+12>>2]=0;f[d+16>>2]=a+8;do if(e)if(e>>>0>76695844){i=ye(8)|0;Jmc(i,511852);f[i>>2]=165276;Gf(i|0,26776,1555)}else{p=Bmc(e*56|0)|0;break}else p=0;while(0);f[d>>2]=p;i=p+(j*56|0)|0;j=d+8|0;f[j>>2]=i;f[d+4>>2]=i;f[d+12>>2]=p+(e*56|0);e=b;b=i;while(1){f[b>>2]=1124007936;i=b+8|0;g=b+40|0;m=b+4|0;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[g>>2]=i;k=b+48|0;f[b+44>>2]=k;f[k>>2]=0;f[b+52>>2]=0;e=e+-1|0;if(!e)break;else b=b+56|0}f[j>>2]=p+(h*56|0);mt(a,d);nt(d);u=c;return}function uD(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=u;u=u+48|0;e=d;g=f[a>>2]|0;h=g&50331648;i=g&2031616;if((i|0)<655360){if((i|0)<65536){switch(i|0){case 0:break;default:{f[e>>2]=0;j=e+4|0;f[j>>2]=0;k=YG(e,30)|0;l=k;m=187516;n=l+30|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-213,e,391629,187222,332)}}g=f[c>>2]|0;o=c+4|0;while(1){p=f[o>>2]|0;if((p|0)==(g|0))break;q=p+-48|0;f[o>>2]=q;uN(q)}u=d;return}if((i|0)<327680){switch(i|0){case 65536:break;default:{f[e>>2]=0;j=e+4|0;f[j>>2]=0;k=YG(e,30)|0;l=k;m=187516;n=l+30|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-213,e,391629,187222,332)}}o=f[a+4>>2]|0;g=c+4|0;q=f[g>>2]|0;p=f[c>>2]|0;r=q-p|0;s=(r|0)/48|0;t=p;p=q;if(r){if(s>>>0>1?(r=t+48|0,(p|0)!=(r|0)):0){t=p;do{p=t+-48|0;f[g>>2]=p;uN(p);t=f[g>>2]|0}while((t|0)!=(r|0))}}else vD(c,1-s|0);pN(e,o,h,0);o=f[c>>2]|0;if((o|0)!=(e|0)){s=e+24|0;r=f[s>>2]|0;if(r|0){t=r+8|0;f[t>>2]=(f[t>>2]|0)+1}t=o+24|0;r=f[t>>2]|0;if(r|0?(g=r+8|0,r=f[g>>2]|0,f[g>>2]=r+-1,(r|0)==1):0)vN(o);r=o+4|0;if((f[r>>2]|0)>0){g=f[o+32>>2]|0;p=0;do{f[g+(p<<2)>>2]=0;p=p+1|0;v=f[r>>2]|0}while((p|0)<(v|0));f[t>>2]=0;f[o>>2]=f[e>>2];if((v|0)<3)w=118;else w=120}else{f[t>>2]=0;f[o>>2]=f[e>>2];w=118}if((w|0)==118){v=f[e+4>>2]|0;if((v|0)<3){f[r>>2]=v;f[o+8>>2]=f[e+8>>2];f[o+12>>2]=f[e+12>>2];v=f[e+36>>2]|0;r=f[o+36>>2]|0;f[r>>2]=f[v>>2];f[r+4>>2]=f[v+4>>2]}else w=120}if((w|0)==120)tN(o,e);f[o+16>>2]=f[e+16>>2];v=o+20|0;if(!(f[v>>2]|0))f[v>>2]=f[e+20>>2];f[t>>2]=f[s>>2];f[o+28>>2]=f[e+28>>2]}uN(e);u=d;return}switch(i|0){case 327680:break;default:{f[e>>2]=0;j=e+4|0;f[j>>2]=0;k=YG(e,30)|0;l=k;m=187516;n=l+30|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-213,e,391629,187222,332)}}o=f[a+4>>2]|0;s=(f[o+4>>2]|0)-(f[o>>2]|0)|0;t=(s|0)/56|0;v=c+4|0;r=f[v>>2]|0;p=f[c>>2]|0;g=(r-p|0)/48|0;q=p;p=r;if(t>>>0<=g>>>0){if(t>>>0<g>>>0?(r=q+(t*48|0)|0,(p|0)!=(r|0)):0){q=p;do{p=q+-48|0;f[v>>2]=p;uN(p);q=f[v>>2]|0}while((q|0)!=(r|0))}}else vD(c,t-g|0);if(!s){u=d;return}s=e+24|0;g=e+4|0;r=e+8|0;q=e+12|0;v=e+36|0;p=e+16|0;x=e+20|0;y=e+28|0;z=0;do{pN(e,(f[o>>2]|0)+(z*56|0)|0,h,0);A=f[c>>2]|0;B=A+(z*48|0)|0;if((B|0)!=(e|0)){C=f[s>>2]|0;if(C|0){D=C+8|0;f[D>>2]=(f[D>>2]|0)+1}D=A+(z*48|0)+24|0;C=f[D>>2]|0;if(C|0?(E=C+8|0,C=f[E>>2]|0,f[E>>2]=C+-1,(C|0)==1):0)vN(B);C=A+(z*48|0)+4|0;if((f[C>>2]|0)>0){E=f[A+(z*48|0)+32>>2]|0;F=0;do{f[E+(F<<2)>>2]=0;F=F+1|0;G=f[C>>2]|0}while((F|0)<(G|0));f[D>>2]=0;f[B>>2]=f[e>>2];if((G|0)<3)w=23;else w=25}else{f[D>>2]=0;f[B>>2]=f[e>>2];w=23}if((w|0)==23){w=0;F=f[g>>2]|0;if((F|0)<3){f[C>>2]=F;f[A+(z*48|0)+8>>2]=f[r>>2];f[A+(z*48|0)+12>>2]=f[q>>2];F=f[v>>2]|0;E=f[A+(z*48|0)+36>>2]|0;f[E>>2]=f[F>>2];f[E+4>>2]=f[F+4>>2]}else w=25}if((w|0)==25){w=0;tN(B,e)}f[A+(z*48|0)+16>>2]=f[p>>2];F=A+(z*48|0)+20|0;if(!(f[F>>2]|0))f[F>>2]=f[x>>2];f[D>>2]=f[s>>2];f[A+(z*48|0)+28>>2]=f[y>>2]}uN(e);z=z+1|0}while(z>>>0<t>>>0);u=d;return}if((i|0)<720896){switch(i|0){case 655360:break;default:{f[e>>2]=0;j=e+4|0;f[j>>2]=0;k=YG(e,30)|0;l=k;m=187516;n=l+30|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-213,e,391629,187222,332)}}t=f[a+4>>2]|0;z=c+4|0;y=f[z>>2]|0;s=f[c>>2]|0;x=y-s|0;p=(x|0)/48|0;v=s;s=y;if(x){if(p>>>0>1?(x=v+48|0,(s|0)!=(x|0)):0){v=s;do{s=v+-48|0;f[z>>2]=s;uN(s);v=f[z>>2]|0}while((v|0)!=(x|0))}}else vD(c,1-p|0);p=f[c>>2]|0;if((p|0)==(t|0)){u=d;return}x=t+24|0;v=f[x>>2]|0;if(v|0){z=v+8|0;f[z>>2]=(f[z>>2]|0)+1}z=p+24|0;v=f[z>>2]|0;if(v|0?(s=v+8|0,v=f[s>>2]|0,f[s>>2]=v+-1,(v|0)==1):0)vN(p);v=p+4|0;if((f[v>>2]|0)>0){s=f[p+32>>2]|0;y=0;do{f[s+(y<<2)>>2]=0;y=y+1|0;H=f[v>>2]|0}while((y|0)<(H|0));f[z>>2]=0;f[p>>2]=f[t>>2];if((H|0)<3)w=96;else w=98}else{f[z>>2]=0;f[p>>2]=f[t>>2];w=96}if((w|0)==96){H=f[t+4>>2]|0;if((H|0)<3){f[v>>2]=H;f[p+8>>2]=f[t+8>>2];f[p+12>>2]=f[t+12>>2];H=f[t+36>>2]|0;v=f[p+36>>2]|0;f[v>>2]=f[H>>2];f[v+4>>2]=f[H+4>>2]}else w=98}if((w|0)==98)tN(p,t);f[p+16>>2]=f[t+16>>2];H=p+20|0;if(!(f[H>>2]|0))f[H>>2]=f[t+20>>2];f[z>>2]=f[x>>2];f[p+28>>2]=f[t+28>>2];u=d;return}if((i|0)<983040){switch(i|0){case 720896:break;default:{f[e>>2]=0;j=e+4|0;f[j>>2]=0;k=YG(e,30)|0;l=k;m=187516;n=l+30|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-213,e,391629,187222,332)}}t=f[a+4>>2]|0;p=(f[t+4>>2]|0)-(f[t>>2]|0)|0;x=(p|0)/48|0;z=c+4|0;H=f[z>>2]|0;v=f[c>>2]|0;y=(H-v|0)/48|0;s=v;v=H;if(x>>>0<=y>>>0){if(x>>>0<y>>>0?(H=s+(x*48|0)|0,(v|0)!=(H|0)):0){s=v;do{v=s+-48|0;f[z>>2]=v;uN(v);s=f[z>>2]|0}while((s|0)!=(H|0))}}else vD(c,x-y|0);if(!p){u=d;return}p=0;do{y=f[t>>2]|0;H=y+(p*48|0)|0;s=f[c>>2]|0;z=s+(p*48|0)|0;if((s|0)!=(y|0)){v=y+(p*48|0)+24|0;q=f[v>>2]|0;if(q|0){r=q+8|0;f[r>>2]=(f[r>>2]|0)+1}r=s+(p*48|0)+24|0;q=f[r>>2]|0;if(q|0?(g=q+8|0,q=f[g>>2]|0,f[g>>2]=q+-1,(q|0)==1):0)vN(z);q=s+(p*48|0)+4|0;if((f[q>>2]|0)>0){g=f[s+(p*48|0)+32>>2]|0;G=0;do{f[g+(G<<2)>>2]=0;G=G+1|0;I=f[q>>2]|0}while((G|0)<(I|0));f[r>>2]=0;f[z>>2]=f[H>>2];if((I|0)<3)w=73;else w=75}else{f[r>>2]=0;f[z>>2]=f[H>>2];w=73}if((w|0)==73){w=0;G=f[y+(p*48|0)+4>>2]|0;if((G|0)<3){f[q>>2]=G;f[s+(p*48|0)+8>>2]=f[y+(p*48|0)+8>>2];f[s+(p*48|0)+12>>2]=f[y+(p*48|0)+12>>2];G=f[y+(p*48|0)+36>>2]|0;g=f[s+(p*48|0)+36>>2]|0;f[g>>2]=f[G>>2];f[g+4>>2]=f[G+4>>2]}else w=75}if((w|0)==75){w=0;tN(z,H)}f[s+(p*48|0)+16>>2]=f[y+(p*48|0)+16>>2];G=s+(p*48|0)+20|0;if(!(f[G>>2]|0))f[G>>2]=f[y+(p*48|0)+20>>2];f[r>>2]=f[v>>2];f[s+(p*48|0)+28>>2]=f[y+(p*48|0)+28>>2]}p=p+1|0}while(p>>>0<x>>>0);u=d;return}else{switch(i|0){case 983040:break;default:{f[e>>2]=0;j=e+4|0;f[j>>2]=0;k=YG(e,30)|0;l=k;m=187516;n=l+30|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-213,e,391629,187222,332)}}m=f[a+4>>2]|0;l=f[a+12>>2]|0;a=c+4|0;n=f[a>>2]|0;k=f[c>>2]|0;j=(n-k|0)/48|0;i=k;k=n;if(l>>>0<=j>>>0){if(l>>>0<j>>>0?(n=i+(l*48|0)|0,(k|0)!=(n|0)):0){i=k;do{k=i+-48|0;f[a>>2]=k;uN(k);i=f[a>>2]|0}while((i|0)!=(n|0))}if(!l){u=d;return}}else vD(c,l-j|0);j=e+24|0;n=e+4|0;i=e+8|0;a=e+12|0;k=e+36|0;x=e+16|0;p=e+20|0;I=e+28|0;t=0;do{pN(e,m+(t*56|0)|0,h,0);G=f[c>>2]|0;g=G+(t*48|0)|0;if((g|0)!=(e|0)){A=f[j>>2]|0;if(A|0){D=A+8|0;f[D>>2]=(f[D>>2]|0)+1}D=G+(t*48|0)+24|0;A=f[D>>2]|0;if(A|0?(B=A+8|0,A=f[B>>2]|0,f[B>>2]=A+-1,(A|0)==1):0)vN(g);A=G+(t*48|0)+4|0;if((f[A>>2]|0)>0){B=f[G+(t*48|0)+32>>2]|0;C=0;do{f[B+(C<<2)>>2]=0;C=C+1|0;J=f[A>>2]|0}while((C|0)<(J|0));f[D>>2]=0;f[g>>2]=f[e>>2];if((J|0)<3)w=48;else w=50}else{f[D>>2]=0;f[g>>2]=f[e>>2];w=48}if((w|0)==48){w=0;C=f[n>>2]|0;if((C|0)<3){f[A>>2]=C;f[G+(t*48|0)+8>>2]=f[i>>2];f[G+(t*48|0)+12>>2]=f[a>>2];C=f[k>>2]|0;B=f[G+(t*48|0)+36>>2]|0;f[B>>2]=f[C>>2];f[B+4>>2]=f[C+4>>2]}else w=50}if((w|0)==50){w=0;tN(g,e)}f[G+(t*48|0)+16>>2]=f[x>>2];C=G+(t*48|0)+20|0;if(!(f[C>>2]|0))f[C>>2]=f[p>>2];f[D>>2]=f[j>>2];f[G+(t*48|0)+28>>2]=f[I>>2]}uN(e);t=t+1|0}while(t>>>0<l>>>0);u=d;return}}function vD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/48|0)>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=1124007936;j=i+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;f[j+24>>2]=0;f[i+32>>2]=i+8;j=i+40|0;f[i+36>>2]=j;f[i+44>>2]=0;f[j>>2]=0;i=(f[e>>2]|0)+48|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/48|0;g=i+b|0;if(g>>>0>89478485)Ukc(a);j=(d-h|0)/48|0;h=j<<1;d=j>>>0<44739242?(h>>>0<g>>>0?g:h):89478485;do if(d)if(d>>>0>89478485){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{k=Bmc(d*48|0)|0;break}else k=0;while(0);h=k+(i*48|0)|0;i=h;g=k+(d*48|0)|0;d=b;b=i;k=h;do{f[k>>2]=1124007936;j=k+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;f[j+24>>2]=0;f[k+32>>2]=k+8;j=k+40|0;f[k+36>>2]=j;f[k+44>>2]=0;f[j>>2]=0;k=b+48|0;b=k;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;k=f[e>>2]|0;if((k|0)==(g|0)){l=i;m=g;n=k}else{j=k;k=i;i=h;do{h=i+-48|0;o=j;j=j+-48|0;f[h>>2]=f[j>>2];p=i+-44|0;q=o+-44|0;f[p>>2]=f[q>>2];r=i+-40|0;f[r>>2]=f[o+-40>>2];f[i+-36>>2]=f[o+-36>>2];f[i+-32>>2]=f[o+-32>>2];f[i+-28>>2]=f[o+-28>>2];s=f[o+-24>>2]|0;f[i+-24>>2]=s;f[i+-20>>2]=f[o+-20>>2];f[i+-16>>2]=r;r=i+-8|0;t=i+-12|0;f[t>>2]=r;f[i+-4>>2]=0;f[r>>2]=0;if(s|0){r=s+8|0;f[r>>2]=(f[r>>2]|0)+1}if((f[q>>2]|0)<3){q=f[o+-12>>2]|0;o=f[t>>2]|0;f[o>>2]=f[q>>2];f[o+4>>2]=f[q+4>>2]}else{f[p>>2]=0;tN(h,j)}i=k+-48|0;k=i}while((j|0)!=(g|0));l=k;m=f[a>>2]|0;n=f[e>>2]|0}f[a>>2]=l;f[e>>2]=b;f[c>>2]=d;d=m;c=n;while(1){n=c;if((n|0)==(d|0))break;b=n+-48|0;uN(b);c=b}if(!m)return;Emc(m);return}function wD(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;nD(d,a,b);u=c;return f[d+4>>2]|0}function xD(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;nD(d,a,b);u=c;return f[d>>2]|0}function yD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;c=u;u=u+16|0;d=c;e=f[b>>2]&2031616;g=f[a>>2]&2031616;a:do if((g|0)<655360){switch(g|0){case 65536:break;default:{h=36;break a}}i=f[a+4>>2]|0;j=e&2097151;b:do if((j|0)<655360){switch(j|0){case 65536:break;default:break b}k=f[i+40>>2]|0;l=f[k+-4>>2]|0;m=f[(f[b+4>>2]|0)+40>>2]|0;if((l|0)!=(f[m+-4>>2]|0)){n=0;break a}if((l|0)==2){if((f[k>>2]|0)!=(f[m>>2]|0)){n=0;break a}n=(f[k+4>>2]|0)==(f[m+4>>2]|0);break a}if((l|0)>0)o=0;else{n=1;break a}while(1){if((f[k+(o<<2)>>2]|0)!=(f[m+(o<<2)>>2]|0)){n=0;break a}o=o+1|0;if((o|0)>=(l|0)){n=1;break a}}}else{switch(j|0){case 655360:break;default:break b}l=f[i+40>>2]|0;m=f[l+-4>>2]|0;k=f[(f[b+4>>2]|0)+32>>2]|0;if((m|0)!=(f[k+-4>>2]|0)){n=0;break a}if((m|0)==2){if((f[l>>2]|0)!=(f[k>>2]|0)){n=0;break a}n=(f[l+4>>2]|0)==(f[k+4>>2]|0);break a}if((m|0)>0)p=0;else{n=1;break a}while(1){if((f[l+(p<<2)>>2]|0)!=(f[k+(p<<2)>>2]|0)){n=0;break a}p=p+1|0;if((p|0)>=(m|0)){n=1;break a}}}while(0);if((f[i+4>>2]|0)>2)n=0;else{j=f[i+40>>2]|0;q=f[j+4>>2]|0;r=f[j>>2]|0;h=37}}else{switch(g|0){case 655360:break;default:{h=36;break a}}j=f[a+4>>2]|0;m=e&2097151;c:do if((m|0)<655360){switch(m|0){case 65536:break;default:break c}k=f[j+32>>2]|0;l=f[k+-4>>2]|0;s=f[(f[b+4>>2]|0)+40>>2]|0;if((l|0)!=(f[s+-4>>2]|0)){n=0;break a}if((l|0)==2){if((f[k>>2]|0)!=(f[s>>2]|0)){n=0;break a}n=(f[k+4>>2]|0)==(f[s+4>>2]|0);break a}if((l|0)>0)t=0;else{n=1;break a}while(1){if((f[k+(t<<2)>>2]|0)!=(f[s+(t<<2)>>2]|0)){n=0;break a}t=t+1|0;if((t|0)>=(l|0)){n=1;break a}}}else{switch(m|0){case 655360:break;default:break c}l=f[j+32>>2]|0;s=f[l+-4>>2]|0;k=f[(f[b+4>>2]|0)+32>>2]|0;if((s|0)!=(f[k+-4>>2]|0)){n=0;break a}if((s|0)==2){if((f[l>>2]|0)!=(f[k>>2]|0)){n=0;break a}n=(f[l+4>>2]|0)==(f[k+4>>2]|0);break a}if((s|0)>0)v=0;else{n=1;break a}while(1){if((f[l+(v<<2)>>2]|0)!=(f[k+(v<<2)>>2]|0)){n=0;break a}v=v+1|0;if((v|0)>=(s|0)){n=1;break a}}}while(0);if((f[j+4>>2]|0)>2)n=0;else{m=f[j+32>>2]|0;q=f[m+4>>2]|0;r=f[m>>2]|0;h=37}}while(0);if((h|0)==36){nD(d,a,-1);q=f[d>>2]|0;r=f[d+4>>2]|0;h=37}if((h|0)==37)if((zD(b,-1)|0)>2)n=0;else{nD(d,b,-1);n=(f[d>>2]|0)==(q|0)?(f[d+4>>2]|0)==(r|0):0}u=c;return n|0}function zD(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+16|0;e=d;do switch((f[a>>2]|0)>>>16&31){case 1:{if((c|0)>=0){f[e>>2]=0;f[e+4>>2]=0;g=YG(e,5)|0;b[g>>0]=b[187208]|0;b[g+1>>0]=b[187209]|0;b[g+2>>0]=b[187210]|0;b[g+3>>0]=b[187211]|0;b[g+4>>0]=b[187212]|0;SQ(-215,e,187619,187222,624)}h=f[(f[a+4>>2]|0)+4>>2]|0;u=d;return h|0}case 6:{if((c|0)>=0){f[e>>2]=0;f[e+4>>2]=0;g=YG(e,5)|0;b[g>>0]=b[187208]|0;b[g+1>>0]=b[187209]|0;b[g+2>>0]=b[187210]|0;b[g+3>>0]=b[187211]|0;b[g+4>>0]=b[187212]|0;SQ(-215,e,187619,187222,630)}h=f[(f[a+4>>2]|0)+12>>2]|0;u=d;return h|0}case 10:{if((c|0)>=0){f[e>>2]=0;f[e+4>>2]=0;g=YG(e,5)|0;b[g>>0]=b[187208]|0;b[g+1>>0]=b[187209]|0;b[g+2>>0]=b[187210]|0;b[g+3>>0]=b[187211]|0;b[g+4>>0]=b[187212]|0;SQ(-215,e,187619,187222,636)}h=f[(f[a+4>>2]|0)+4>>2]|0;u=d;return h|0}case 2:case 14:{if((c|0)<0){h=2;u=d;return h|0}else{f[e>>2]=0;f[e+4>>2]=0;g=YG(e,5)|0;b[g>>0]=b[187208]|0;b[g+1>>0]=b[187209]|0;b[g+2>>0]=b[187210]|0;b[g+3>>0]=b[187211]|0;b[g+4>>0]=b[187212]|0;SQ(-215,e,187619,187222,642)}break}case 3:case 12:{if((c|0)<0){h=2;u=d;return h|0}else{f[e>>2]=0;f[e+4>>2]=0;g=YG(e,5)|0;b[g>>0]=b[187208]|0;b[g+1>>0]=b[187209]|0;b[g+2>>0]=b[187210]|0;b[g+3>>0]=b[187211]|0;b[g+4>>0]=b[187212]|0;SQ(-215,e,187619,187222,648)}break}case 4:{if((c|0)<0){h=1;u=d;return h|0}g=f[a+4>>2]|0;if((((f[g+4>>2]|0)-(f[g>>2]|0)|0)/12|0|0)>(c|0)){h=2;u=d;return h|0}else{f[e>>2]=0;f[e+4>>2]=0;i=YG(e,18)|0;j=187573;k=i+18|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-215,e,187619,187222,660)}break}case 5:{g=f[a+4>>2]|0;if((c|0)<0){h=1;u=d;return h|0}l=f[g>>2]|0;if((((f[g+4>>2]|0)-l|0)/56|0|0)<=(c|0)){f[e>>2]=0;f[e+4>>2]=0;i=YG(e,18)|0;j=187573;k=i+18|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-215,e,187619,187222,669)}h=f[l+(c*56|0)+4>>2]|0;u=d;return h|0}case 15:{g=f[a+4>>2]|0;if((c|0)<0){h=1;u=d;return h|0}if((f[a+12>>2]|0)<=(c|0)){f[e>>2]=0;f[e+4>>2]=0;i=YG(e,13)|0;j=187592;k=i+13|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-215,e,187619,187222,679)}h=f[g+(c*56|0)+4>>2]|0;u=d;return h|0}case 11:{l=f[a+4>>2]|0;if((c|0)<0){h=1;u=d;return h|0}m=f[l>>2]|0;if((((f[l+4>>2]|0)-m|0)/48|0|0)<=(c|0)){f[e>>2]=0;f[e+4>>2]=0;i=YG(e,18)|0;j=187573;k=i+18|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-215,e,187619,187222,689)}h=f[m+(c*48|0)+4>>2]|0;u=d;return h|0}case 7:{if((c|0)<0){h=2;u=d;return h|0}else{f[e>>2]=0;f[e+4>>2]=0;g=YG(e,5)|0;b[g>>0]=b[187208]|0;b[g+1>>0]=b[187209]|0;b[g+2>>0]=b[187210]|0;b[g+3>>0]=b[187211]|0;b[g+4>>0]=b[187212]|0;SQ(-215,e,187619,187222,696)}break}case 9:{if((c|0)<0){h=2;u=d;return h|0}else{f[e>>2]=0;f[e+4>>2]=0;g=YG(e,5)|0;b[g>>0]=b[187208]|0;b[g+1>>0]=b[187209]|0;b[g+2>>0]=b[187210]|0;b[g+3>>0]=b[187211]|0;b[g+4>>0]=b[187212]|0;SQ(-215,e,187619,187222,702)}break}case 8:{if((c|0)<0){h=2;u=d;return h|0}else{f[e>>2]=0;f[e+4>>2]=0;g=YG(e,5)|0;b[g>>0]=b[187208]|0;b[g+1>>0]=b[187209]|0;b[g+2>>0]=b[187210]|0;b[g+3>>0]=b[187211]|0;b[g+4>>0]=b[187212]|0;SQ(-215,e,187619,187222,708)}break}case 0:{h=0;u=d;return h|0}default:{f[e>>2]=0;f[e+4>>2]=0;i=YG(e,30)|0;j=187516;k=i+30|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-213,e,187619,187222,712)}}while(0);return 0}function AD(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=u;u=u+16|0;e=d+8|0;g=d;h=f[a>>2]&2031616;a:do if((h|0)>=655360){if((h|0)<720896){switch(h|0){case 655360:break;default:break a}if((c|0)>=0){f[e>>2]=0;f[e+4>>2]=0;i=YG(e,5)|0;b[i>>0]=b[187208]|0;b[i+1>>0]=b[187209]|0;b[i+2>>0]=b[187210]|0;b[i+3>>0]=b[187211]|0;b[i+4>>0]=b[187212]|0;SQ(-215,e,475155,187222,727)}i=f[a+4>>2]|0;j=f[i+4>>2]|0;if((j|0)<3){k=Y(f[i+12>>2]|0,f[i+8>>2]|0)|0;u=d;return k|0}l=f[i+32>>2]|0;i=0;m=1;while(1){n=Y(f[l+(i<<2)>>2]|0,m)|0;i=i+1|0;if((i|0)==(j|0)){k=n;break}else m=n}u=d;return k|0}if((h|0)<983040){switch(h|0){case 720896:break;default:break a}m=f[a+4>>2]|0;j=f[m>>2]|0;i=((f[m+4>>2]|0)-j|0)/48|0;m=j;if((c|0)<0){k=i;u=d;return k|0}if((i|0)<=(c|0)){f[e>>2]=0;f[e+4>>2]=0;o=YG(e,18)|0;p=187573;q=o+18|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,e,475155,187222,757)}i=f[m+(c*48|0)+4>>2]|0;if((i|0)<3){k=Y(f[m+(c*48|0)+12>>2]|0,f[m+(c*48|0)+8>>2]|0)|0;u=d;return k|0}j=f[m+(c*48|0)+32>>2]|0;l=0;n=1;while(1){r=Y(f[j+(l<<2)>>2]|0,n)|0;l=l+1|0;if((l|0)==(i|0)){k=r;break}else n=r}u=d;return k|0}else{switch(h|0){case 983040:break;default:break a}n=f[a+4>>2]|0;i=f[a+12>>2]|0;if((c|0)<0){k=i;u=d;return k|0}if((i|0)<=(c|0)){f[e>>2]=0;f[e+4>>2]=0;o=YG(e,13)|0;p=187592;q=o+13|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,e,475155,187222,747)}i=f[n+(c*56|0)+4>>2]|0;if((i|0)<3){k=Y(f[n+(c*56|0)+12>>2]|0,f[n+(c*56|0)+8>>2]|0)|0;u=d;return k|0}l=f[n+(c*56|0)+40>>2]|0;j=0;m=1;while(1){r=Y(f[l+(j<<2)>>2]|0,m)|0;j=j+1|0;if((j|0)==(i|0)){k=r;break}else m=r}u=d;return k|0}}else{if((h|0)<327680){switch(h|0){case 65536:break;default:break a}if((c|0)>=0){f[e>>2]=0;f[e+4>>2]=0;m=YG(e,5)|0;b[m>>0]=b[187208]|0;b[m+1>>0]=b[187209]|0;b[m+2>>0]=b[187210]|0;b[m+3>>0]=b[187211]|0;b[m+4>>0]=b[187212]|0;SQ(-215,e,475155,187222,721)}m=f[a+4>>2]|0;i=f[m+4>>2]|0;if((i|0)<3){k=Y(f[m+12>>2]|0,f[m+8>>2]|0)|0;u=d;return k|0}j=f[m+40>>2]|0;m=0;l=1;while(1){n=Y(f[j+(m<<2)>>2]|0,l)|0;m=m+1|0;if((m|0)==(i|0)){k=n;break}else l=n}u=d;return k|0}switch(h|0){case 327680:break;default:break a}l=f[a+4>>2]|0;i=f[l>>2]|0;m=((f[l+4>>2]|0)-i|0)/56|0;l=i;if((c|0)<0){k=m;u=d;return k|0}if((m|0)<=(c|0)){f[e>>2]=0;f[e+4>>2]=0;o=YG(e,18)|0;p=187573;q=o+18|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,e,475155,187222,737)}m=f[l+(c*56|0)+4>>2]|0;if((m|0)<3){k=Y(f[l+(c*56|0)+12>>2]|0,f[l+(c*56|0)+8>>2]|0)|0;u=d;return k|0}i=f[l+(c*56|0)+40>>2]|0;j=0;n=1;while(1){r=Y(f[i+(j<<2)>>2]|0,n)|0;j=j+1|0;if((j|0)==(m|0)){k=r;break}else n=r}u=d;return k|0}while(0);nD(g,a,c);k=Y(f[g+4>>2]|0,f[g>>2]|0)|0;u=d;return k|0}function BD(a,b){a=a|0;b=b|0;return (oD(a,b)|0)&7|0}function CD(a,b){a=a|0;b=b|0;return ((oD(a,b)|0)>>>3&511)+1|0}function DD(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+16|0;d=c;do switch((f[a>>2]|0)>>>16&31){case 1:{e=f[a+4>>2]|0;if(!(f[e+16>>2]|0)){g=1;u=c;return g|0}h=f[e+4>>2]|0;if((h|0)<3)i=Y(f[e+12>>2]|0,f[e+8>>2]|0)|0;else{j=f[e+40>>2]|0;e=0;k=1;while(1){l=Y(f[j+(e<<2)>>2]|0,k)|0;e=e+1|0;if((e|0)==(h|0)){i=l;break}else k=l}}g=(h|0)==0|(i|0)==0;u=c;return g|0}case 10:{k=f[a+4>>2]|0;if(!(f[k+24>>2]|0)){g=1;u=c;return g|0}e=f[k+4>>2]|0;if((e|0)<3)m=Y(f[k+12>>2]|0,f[k+8>>2]|0)|0;else{j=f[k+32>>2]|0;k=0;l=1;while(1){n=Y(f[j+(k<<2)>>2]|0,l)|0;k=k+1|0;if((k|0)==(e|0)){m=n;break}else l=n}}g=(e|0)==0|(m|0)==0;u=c;return g|0}case 3:{l=f[a+4>>2]|0;g=(f[l>>2]|0)==(f[l+4>>2]|0);u=c;return g|0}case 12:{g=(f[(f[a+4>>2]|0)+4>>2]|0)==0;u=c;return g|0}case 0:{g=1;u=c;return g|0}case 4:{l=f[a+4>>2]|0;g=(f[l>>2]|0)==(f[l+4>>2]|0);u=c;return g|0}case 5:{l=f[a+4>>2]|0;g=(f[l>>2]|0)==(f[l+4>>2]|0);u=c;return g|0}case 15:{g=(f[a+12>>2]|0)==0;u=c;return g|0}case 11:{l=f[a+4>>2]|0;g=(f[l>>2]|0)==(f[l+4>>2]|0);u=c;return g|0}case 7:{l=f[a+4>>2]|0;if(!(f[l+8>>2]|0)){g=1;u=c;return g|0}g=(f[l+12>>2]|0)==0;u=c;return g|0}case 9:{g=(f[(f[a+4>>2]|0)+16>>2]|0)==0;u=c;return g|0}case 13:{l=f[a+4>>2]|0;g=(f[l>>2]|0)==(f[l+4>>2]|0);u=c;return g|0}case 8:{g=(f[(f[a+4>>2]|0)+16>>2]|0)==0;u=c;return g|0}case 2:case 14:case 6:{g=0;u=c;return g|0}default:{f[d>>2]=0;f[d+4>>2]=0;l=YG(d,30)|0;k=187516;j=l+30|0;do{b[l>>0]=b[k>>0]|0;l=l+1|0;k=k+1|0}while((l|0)<(j|0));SQ(-213,d,187624,187222,922)}}while(0);return 0}function ED(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=u;u=u+16|0;e=d;switch((f[a>>2]|0)>>>16&31){case 1:{if((c|0)>=0){g=1;u=d;return g|0}g=(f[f[a+4>>2]>>2]&16384|0)!=0;u=d;return g|0}case 10:{if((c|0)>=0){g=1;u=d;return g|0}g=(f[f[a+4>>2]>>2]&16384|0)!=0;u=d;return g|0}case 5:{h=f[a+4>>2]|0;if((c|0)<=-1){f[e>>2]=0;i=e+4|0;f[i>>2]=0;j=YG(e,31)|0;k=j;l=187630;m=k+31|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-215,e,187662,187222,942)}n=f[h>>2]|0;if((((f[h+4>>2]|0)-n|0)/56|0)>>>0<=c>>>0){f[e>>2]=0;i=e+4|0;f[i>>2]=0;j=YG(e,31)|0;k=j;l=187630;m=k+31|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-215,e,187662,187222,942)}g=(f[n+(c*56|0)>>2]&16384|0)!=0;u=d;return g|0}case 15:{n=f[a+4>>2]|0;if((c|0)<=0){f[e>>2]=0;o=e+4|0;f[o>>2]=0;p=YG(e,22)|0;k=p;l=187675;m=k+22|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-215,e,187662,187222,949)}if((f[a+12>>2]|0)<=(c|0)){f[e>>2]=0;o=e+4|0;f[o>>2]=0;p=YG(e,22)|0;k=p;l=187675;m=k+22|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-215,e,187662,187222,949)}g=(f[n+(c*56|0)>>2]&16384|0)!=0;u=d;return g|0}case 11:{n=f[a+4>>2]|0;if((c|0)<=-1){f[e>>2]=0;q=e+4|0;f[q>>2]=0;r=YG(e,31)|0;k=r;l=187630;m=k+31|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-215,e,187662,187222,956)}p=f[n>>2]|0;if((((f[n+4>>2]|0)-p|0)/48|0)>>>0<=c>>>0){f[e>>2]=0;q=e+4|0;f[q>>2]=0;r=YG(e,31)|0;k=r;l=187630;m=k+31|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-215,e,187662,187222,956)}g=(f[p+(c*48|0)>>2]&16384|0)!=0;u=d;return g|0}case 9:{if((c|0)>=0){g=1;u=d;return g|0}g=(f[f[a+4>>2]>>2]&16384|0)!=0;u=d;return g|0}case 0:case 2:case 3:case 4:case 6:case 12:case 14:{g=1;u=d;return g|0}default:{f[e>>2]=0;f[e+4>>2]=0;k=YG(e,30)|0;l=187516;m=k+30|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-213,e,187662,187222,963)}}return 0}function FD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+112|0;d=c+56|0;e=c;g=f[a>>2]|0;switch(g>>>16&31){case 0:{GD(b);u=c;return}case 1:case 2:case 3:case 12:case 14:{do if((g&2031616|0)==65536){h=f[a+4>>2]|0;f[d>>2]=f[h>>2];i=d+4|0;j=h+4|0;f[i>>2]=f[j>>2];k=d+8|0;f[k>>2]=f[h+8>>2];f[d+12>>2]=f[h+12>>2];f[d+16>>2]=f[h+16>>2];f[d+20>>2]=f[h+20>>2];f[d+24>>2]=f[h+24>>2];f[d+28>>2]=f[h+28>>2];f[d+32>>2]=f[h+32>>2];l=f[h+36>>2]|0;f[d+36>>2]=l;f[d+40>>2]=k;k=d+48|0;m=d+44|0;f[m>>2]=k;f[k>>2]=0;f[d+52>>2]=0;if(l|0){k=l+12|0;f[k>>2]=(f[k>>2]|0)+1}if((f[j>>2]|0)<3){j=f[h+44>>2]|0;k=f[m>>2]|0;f[k>>2]=f[j>>2];f[k+4>>2]=f[j+4>>2];break}else{f[i>>2]=0;kP(d,h);break}}else lD(d,a,-1);while(0);kT(d,b);g=d+36|0;h=f[g>>2]|0;if(h|0?(i=h+12|0,h=f[i>>2]|0,f[i>>2]=h+-1,(h|0)==1):0)lP(d);f[g>>2]=0;g=d+16|0;h=d+4|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[h>>2]|0)>0){g=f[d+40>>2]|0;i=0;do{f[g+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[h>>2]|0))}h=f[d+44>>2]|0;if((h|0)!=(d+48|0))tE(h);u=c;return}case 6:{h=f[a+4>>2]|0;if((f[b>>2]&2031616|0)==65536){i=f[h>>2]|0;rh[f[(f[i>>2]|0)+12>>2]&255](i,h,f[b+4>>2]|0,-1);u=c;return}f[e>>2]=1124007936;i=e+4|0;g=e+8|0;j=e+40|0;k=i;m=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(m|0));f[j>>2]=g;g=e+48|0;k=e+44|0;f[k>>2]=g;f[g>>2]=0;f[e+52>>2]=0;m=f[h>>2]|0;rh[f[(f[m>>2]|0)+12>>2]&255](m,h,e,-1);kT(e,b);h=e+36|0;m=f[h>>2]|0;if(m|0?(l=m+12|0,m=f[l>>2]|0,f[l>>2]=m+-1,(m|0)==1):0)lP(e);f[h>>2]=0;h=e+16|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[i>>2]|0)>0){h=f[j>>2]|0;j=0;do{f[h+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[i>>2]|0))}i=f[k>>2]|0;if((i|0)==(g|0)){u=c;return}tE(i);u=c;return}case 10:{BN(f[a+4>>2]|0,b);u=c;return}default:{f[d>>2]=0;f[d+4>>2]=0;SQ(-213,d,212073,187222,1154)}}}function GD(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;c=u;u=u+16|0;d=c+8|0;e=c;g=f[a>>2]|0;if(g&1073741824|0){f[d>>2]=0;f[d+4>>2]=0;h=YG(d,12)|0;i=187698;j=h+12|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));SQ(-215,d,200561,187222,1668)}do switch(g>>>16&31){case 1:{k=f[a+4>>2]|0;l=k+36|0;m=f[l>>2]|0;if(m|0?(n=m+12|0,m=f[n>>2]|0,f[n>>2]=m+-1,(m|0)==1):0)lP(k);f[l>>2]=0;l=k+16|0;m=k+4|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[m>>2]|0)<=0){u=c;return}l=f[k+40>>2]|0;k=0;do{f[l+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[m>>2]|0));u=c;return}case 10:{m=f[a+4>>2]|0;k=m+24|0;l=f[k>>2]|0;if(l|0?(n=l+8|0,l=f[n>>2]|0,f[n>>2]=l+-1,(l|0)==1):0)vN(m);l=m+4|0;if((f[l>>2]|0)>0){n=f[m+32>>2]|0;m=0;do{f[n+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[l>>2]|0))}f[k>>2]=0;u=c;return}case 9:{u=c;return}case 8:{u=c;return}case 7:{vU(f[a+4>>2]|0);u=c;return}case 3:{f[e>>2]=0;f[e+4>>2]=0;HD(a,e,g&4095,-1,0,0);u=c;return}case 4:{l=f[a+4>>2]|0;m=f[l>>2]|0;n=l+4|0;l=f[n>>2]|0;if((l|0)==(m|0)){u=c;return}else o=l;while(1){l=o+-12|0;f[n>>2]=l;p=f[l>>2]|0;if(!p)q=l;else{l=o+-8|0;if((f[l>>2]|0)!=(p|0))f[l>>2]=p;Emc(p);q=f[n>>2]|0}if((q|0)==(m|0))break;else o=q}u=c;return}case 5:{m=f[a+4>>2]|0;n=f[m>>2]|0;k=m+4|0;m=f[k>>2]|0;if((m|0)==(n|0)){u=c;return}else r=m;do{m=r+-56|0;f[k>>2]=m;p=r+-20|0;l=f[p>>2]|0;if(l|0?(s=l+12|0,l=f[s>>2]|0,f[s>>2]=l+-1,(l|0)==1):0)lP(m);f[p>>2]=0;p=r+-40|0;m=r+-52|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[m>>2]|0)>0){p=f[r+-16>>2]|0;l=0;do{f[p+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[m>>2]|0))}m=f[r+-12>>2]|0;if((m|0)!=(r+-8|0))tE(m);r=f[k>>2]|0}while((r|0)!=(n|0));u=c;return}case 11:{n=f[a+4>>2]|0;k=f[n>>2]|0;m=n+4|0;while(1){n=f[m>>2]|0;if((n|0)==(k|0))break;l=n+-48|0;f[m>>2]=l;uN(l)}u=c;return}case 13:{m=f[a+4>>2]|0;k=f[m>>2]|0;l=m+4|0;while(1){m=f[l>>2]|0;if((m|0)==(k|0))break;f[l>>2]=m+-36}u=c;return}case 0:{u=c;return}default:{f[d>>2]=0;f[d+4>>2]=0;h=YG(d,30)|0;i=187516;j=h+30|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));SQ(-213,d,200561,187222,1733)}}while(0)}function HD(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;i=u;u=u+16|0;j=i;k=f[a>>2]|0;l=k&2031616;m=(e|0)<0;do if(m&(l|0)==65536){if((h|0)==0&(g^1)){if(k&1073741824|0?(n=f[(f[a+4>>2]|0)+40>>2]|0,!((f[c>>2]|0)==(f[n+4>>2]|0)?(f[c+4>>2]|0)==(f[n>>2]|0):0)):0){f[j>>2]=0;f[j+4>>2]=0;o=YG(j,53)|0;p=187711;q=o+53|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,j,472539,187222,1193)}n=f[a+4>>2]|0;if((k|0)<0?(f[n>>2]&4095|0)!=(d|0):0){f[j>>2]=0;f[j+4>>2]=0;o=YG(j,44)|0;p=187765;q=o+44|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,j,472539,187222,1194)}r=f[c>>2]|0;s=f[c+4>>2]|0;t=d&4095;if(((((f[n+4>>2]|0)<3?(f[n+8>>2]|0)==(s|0):0)?(f[n+12>>2]|0)==(r|0):0)?(f[n>>2]&4095|0)==(t|0):0)?f[n+16>>2]|0:0){u=i;return}f[j>>2]=s;f[j+4>>2]=r;iP(n,2,j,t);u=i;return}}else{if(m&(l|0)==655360){if(!((h|0)==0&(g^1)))break;if(k&1073741824|0?(t=f[(f[a+4>>2]|0)+32>>2]|0,!((f[c>>2]|0)==(f[t+4>>2]|0)?(f[c+4>>2]|0)==(f[t>>2]|0):0)):0){f[j>>2]=0;f[j+4>>2]=0;o=YG(j,54)|0;p=187810;q=o+54|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,j,472539,187222,1200)}n=f[a+4>>2]|0;if((k|0)<0?(f[n>>2]&4095|0)!=(d|0):0){f[j>>2]=0;f[j+4>>2]=0;o=YG(j,45)|0;p=187865;q=o+45|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,j,472539,187222,1201)}t=f[c>>2]|0;r=f[c+4>>2]|0;s=d&4095;if(((((f[n+4>>2]|0)<3?(f[n+8>>2]|0)==(r|0):0)?(f[n+12>>2]|0)==(t|0):0)?(f[n>>2]&4095|0)==(s|0):0)?f[n+24>>2]|0:0){u=i;return}f[j>>2]=r;f[j+4>>2]=t;rN(n,2,j,s,0);u=i;return}if(m&(l|0)==589824){if(!((h|0)==0&(g^1)))break;if(k&1073741824|0?(s=f[a+4>>2]|0,!((f[c>>2]|0)==(f[s+8>>2]|0)?(f[c+4>>2]|0)==(f[s+4>>2]|0):0)):0){f[j>>2]=0;f[j+4>>2]=0;o=YG(j,51)|0;p=187911;q=o+51|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,j,472539,187222,1207)}n=f[a+4>>2]|0;if((k|0)>=0){v=f[c>>2]|0;w=c+4|0;x=f[w>>2]|0;EV(n,x,v,d)}if((f[n>>2]&4095|0)==(d|0)){v=f[c>>2]|0;w=c+4|0;x=f[w>>2]|0;EV(n,x,v,d)}else{f[j>>2]=0;f[j+4>>2]=0;o=YG(j,53)|0;p=187963;q=o+53|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,j,472539,187222,1208)}}if(m&(l|0)==458752){if(!((h|0)==0&(g^1)))break;if(k&1073741824|0?(n=f[a+4>>2]|0,!((f[c>>2]|0)==(f[n+12>>2]|0)?(f[c+4>>2]|0)==(f[n+8>>2]|0):0)):0){f[j>>2]=0;f[j+4>>2]=0;o=YG(j,50)|0;p=188017;q=o+50|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,j,472539,187222,1214)}n=f[a+4>>2]|0;if((k|0)<0?(f[n+16>>2]|0)!=(d|0):0){f[j>>2]=0;f[j+4>>2]=0;o=YG(j,52)|0;p=188068;q=o+52|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,j,472539,187222,1215)}uU(n,f[c+4>>2]|0,f[c>>2]|0,d,34962,0);u=i;return}if(m&(l|0)==524288?(h|0)==0&(g^1):0){if(k&1073741824|0?(s=f[a+4>>2]|0,!((f[c>>2]|0)==(f[s+8>>2]|0)?(f[c+4>>2]|0)==(f[s+4>>2]|0):0)):0){f[j>>2]=0;f[j+4>>2]=0;o=YG(j,52)|0;p=188121;q=o+52|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,j,472539,187222,1221)}n=f[a+4>>2]|0;if((k|0)>=0){y=f[c>>2]|0;z=c+4|0;A=f[z>>2]|0;xT(n,A,y,d)}if((f[n>>2]&4095|0)==(d|0)){y=f[c>>2]|0;z=c+4|0;A=f[z>>2]|0;xT(n,A,y,d)}else{f[j>>2]=0;f[j+4>>2]=0;o=YG(j,54)|0;p=188174;q=o+54|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,j,472539,187222,1222)}}}while(0);f[j>>2]=f[c+4>>2];f[j+4>>2]=f[c>>2];ID(a,2,j,d,e,g,h);u=i;return}function ID(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;j=u;u=u+32|0;k=j;l=j+16|0;m=j+8|0;if((c|0)==1){f[l>>2]=f[d>>2];f[l+4>>2]=1;n=2;o=l}else{n=c;o=d}d=f[a>>2]|0;c=d&2031616;l=e&4095;p=c&2097151;a:do if((p|0)<655360){if((p|0)>=131072){switch(p|0){case 131072:break;default:break a}if((g|0)>=0){f[m>>2]=0;f[m+4>>2]=0;q=YG(m,5)|0;b[q>>0]=b[187208]|0;b[q+1>>0]=b[187209]|0;b[q+2>>0]=b[187210]|0;b[q+3>>0]=b[187211]|0;b[q+4>>0]=b[187212]|0;SQ(-215,m,472539,187222,1356)}q=d&4095;if((l|0)!=(q|0)){if(e&4088|0){f[m>>2]=0;r=m+4|0;f[r>>2]=0;s=YG(m,81)|0;t=s;v=188323;w=t+81|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1358)}if(!(1<<q&i)){f[m>>2]=0;r=m+4|0;f[r>>2]=0;s=YG(m,81)|0;t=s;v=188323;w=t+81|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1358)}}if((n|0)!=2){f[m>>2]=0;x=m+4|0;f[x>>2]=0;y=YG(m,129)|0;Krc(y|0,188405,129)|0;SQ(-215,m,472539,187222,1360)}q=f[o>>2]|0;z=a+8|0;A=f[a+12>>2]|0;if((q|0)==(A|0)?(f[o+4>>2]|0)==(f[z>>2]|0):0){u=j;return}if(!h){f[m>>2]=0;x=m+4|0;f[x>>2]=0;y=YG(m,129)|0;Krc(y|0,188405,129)|0;SQ(-215,m,472539,187222,1360)}if((q|0)!=(f[z>>2]|0)){f[m>>2]=0;x=m+4|0;f[x>>2]=0;y=YG(m,129)|0;Krc(y|0,188405,129)|0;SQ(-215,m,472539,187222,1360)}if((f[o+4>>2]|0)==(A|0)){u=j;return}else{f[m>>2]=0;x=m+4|0;f[x>>2]=0;y=YG(m,129)|0;Krc(y|0,188405,129)|0;SQ(-215,m,472539,187222,1360)}}switch(p|0){case 65536:break;default:break a}if((g|0)>=0){f[m>>2]=0;f[m+4>>2]=0;A=YG(m,5)|0;b[A>>0]=b[187208]|0;b[A+1>>0]=b[187209]|0;b[A+2>>0]=b[187210]|0;b[A+3>>0]=b[187211]|0;b[A+4>>0]=b[187212]|0;SQ(-215,m,472539,187222,1288)}A=f[a+4>>2]|0;if(h){if(!(f[A>>2]&16384)){if(d>>>0>1073741823){f[m>>2]=0;f[m+4>>2]=0;t=YG(m,28)|0;v=188229;w=t+28|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1294)}z=A+36|0;q=f[z>>2]|0;if(q|0?(B=q+12|0,q=f[B>>2]|0,f[B>>2]=q+-1,(q|0)==1):0)lP(A);f[z>>2]=0;z=A+16|0;q=A+4|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[q>>2]|0)>0){z=f[A+40>>2]|0;B=0;do{f[z+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[q>>2]|0))}}if((((((n|0)==2?(f[A+4>>2]|0)==2:0)?f[A+16>>2]|0:0)?(f[A>>2]&4095|0)==(l|0):0)?(f[A+8>>2]|0)==(f[o+4>>2]|0):0)?(f[A+12>>2]|0)==(f[o>>2]|0):0){u=j;return}}q=f[a>>2]|0;do if((q|0)<0){B=f[A>>2]|0;if(((B^e)&4088|0)==0?1<<(q&4095)&i|0:0){C=B&4095;break}if((l|0)!=(B&4095|0)){f[m>>2]=0;f[m+4>>2]=0;t=YG(m,30)|0;v=188258;w=t+30|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1308)}else C=l}else C=l;while(0);b:do if(q&1073741824|0){if((f[A+4>>2]|0)!=(n|0)){f[m>>2]=0;f[m+4>>2]=0;t=YG(m,11)|0;v=188289;w=t+11|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1312)}if((n|0)>0){B=f[A+40>>2]|0;z=0;while(1){if((f[B+(z<<2)>>2]|0)!=(f[o+(z<<2)>>2]|0))break;z=z+1|0;if((z|0)>=(n|0))break b}f[m>>2]=0;f[m+4>>2]=0;t=YG(m,21)|0;v=188301;w=t+21|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1314)}}while(0);iP(A,n,o,C);u=j;return}else{if((p|0)>=917504){switch(p|0){case 917504:break;default:break a}q=d&4095;if((l|0)!=(q|0)){if(e&4088|0){f[m>>2]=0;D=m+4|0;f[D>>2]=0;E=YG(m,81)|0;t=E;v=188323;w=t+81|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1367)}if(!(1<<q&i)){f[m>>2]=0;D=m+4|0;f[D>>2]=0;E=YG(m,81)|0;t=E;v=188323;w=t+81|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1367)}}if((n|0)!=2){f[m>>2]=0;F=m+4|0;f[F>>2]=0;G=YG(m,40)|0;t=G;v=188535;w=t+40|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1368)}q=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;if((q|0)==(Y(f[o+4>>2]|0,f[o>>2]|0)|0)){u=j;return}else{f[m>>2]=0;F=m+4|0;f[F>>2]=0;G=YG(m,40)|0;t=G;v=188535;w=t+40|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1368)}}switch(p|0){case 655360:break;default:break a}if((g|0)>=0){f[m>>2]=0;f[m+4>>2]=0;q=YG(m,5)|0;b[q>>0]=b[187208]|0;b[q+1>>0]=b[187209]|0;b[q+2>>0]=b[187210]|0;b[q+3>>0]=b[187211]|0;b[q+4>>0]=b[187212]|0;SQ(-215,m,472539,187222,1322)}q=f[a+4>>2]|0;if(h){if(!(f[q>>2]&16384)){if(d>>>0>1073741823){f[m>>2]=0;f[m+4>>2]=0;t=YG(m,28)|0;v=188229;w=t+28|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1328)}A=q+24|0;z=f[A>>2]|0;if(z|0?(B=z+8|0,z=f[B>>2]|0,f[B>>2]=z+-1,(z|0)==1):0)vN(q);z=q+4|0;if((f[z>>2]|0)>0){B=f[q+32>>2]|0;H=0;do{f[B+(H<<2)>>2]=0;H=H+1|0}while((H|0)<(f[z>>2]|0))}f[A>>2]=0}if(((((((n|0)==2?(f[q+4>>2]|0)==2:0)?f[q+24>>2]|0:0)?(z=f[q+8>>2]|0,H=f[q+12>>2]|0,Y(H,z)|0):0)?(f[q>>2]&4095|0)==(l|0):0)?(z|0)==(f[o+4>>2]|0):0)?(H|0)==(f[o>>2]|0):0){u=j;return}}H=f[a>>2]|0;do if((H|0)<0){z=f[q>>2]|0;if(((z^e)&4088|0)==0?1<<(H&4095)&i|0:0){I=z&4095;break}if((l|0)!=(z&4095|0)){f[m>>2]=0;f[m+4>>2]=0;t=YG(m,30)|0;v=188258;w=t+30|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1342)}else I=l}else I=l;while(0);c:do if(H&1073741824|0){if((f[q+4>>2]|0)!=(n|0)){f[m>>2]=0;f[m+4>>2]=0;t=YG(m,11)|0;v=188289;w=t+11|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1346)}if((n|0)>0){A=f[q+32>>2]|0;z=0;while(1){if((f[A+(z<<2)>>2]|0)!=(f[o+(z<<2)>>2]|0))break;z=z+1|0;if((z|0)>=(n|0))break c}f[m>>2]=0;f[m+4>>2]=0;t=YG(m,21)|0;v=188301;w=t+21|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1348)}}while(0);rN(q,n,o,I,0);u=j;return}while(0);I=(c|0)==262144;p=c&2097151;if((p|0)>=327680){if((p|0)<720896){switch(p|0){case 327680:break;default:{f[m>>2]=0;J=m+4|0;f[J>>2]=0;K=YG(m,30)|0;t=K;v=187516;w=t+30|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-213,m,472539,187222,1657)}}c=f[a+4>>2]|0;if((g|0)<0){if((n|0)!=2){f[m>>2]=0;L=m+4|0;f[L>>2]=0;M=YG(m,68)|0;t=M;v=188576;w=t+68|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1486)}G=f[o>>2]|0;F=f[o+4>>2]|0;E=Y(F,G)|0;if(!((G|0)==1|(F|0)==1|(E|0)==0)){f[m>>2]=0;L=m+4|0;f[L>>2]=0;M=YG(m,68)|0;t=M;v=188576;w=t+68|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1486)}M=(E|0)>0?G+-1+F|0:0;F=((f[c+4>>2]|0)-(f[c>>2]|0)|0)/56|0;if(!((d&1073741824|0)==0|(M|0)==(F|0))){f[m>>2]=0;f[m+4>>2]=0;t=YG(m,27)|0;v=188968;w=t+27|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1489)}sD(c,M);G=f[a>>2]|0;if((G|0)>=0){u=j;return}E=G&4095;if(F>>>0>=M>>>0){u=j;return}G=f[c>>2]|0;L=F;while(1){F=G+(L*56|0)|0;D=f[F>>2]|0;if((D&4095|0)!=(E|0)){if(f[G+(L*56|0)+16>>2]|0){C=f[G+(L*56|0)+4>>2]|0;if((C|0)<3)N=Y(f[G+(L*56|0)+12>>2]|0,f[G+(L*56|0)+8>>2]|0)|0;else{y=f[G+(L*56|0)+40>>2]|0;x=0;s=1;while(1){r=Y(f[y+(x<<2)>>2]|0,s)|0;x=x+1|0;if((x|0)==(C|0)){N=r;break}else s=r}}if(!((C|0)==0|(N|0)==0)){O=256;break}}f[F>>2]=D&-4096|E}L=L+1|0;if(L>>>0>=M>>>0){O=390;break}}if((O|0)==256){f[m>>2]=0;f[m+4>>2]=0;t=YG(m,12)|0;v=188996;w=t+12|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1498)}else if((O|0)==390){u=j;return}}M=f[c>>2]|0;L=M;if((((f[c+4>>2]|0)-M|0)/56|0|0)<=(g|0)){f[m>>2]=0;f[m+4>>2]=0;t=YG(m,17)|0;v=189009;w=t+17|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1505)}M=L+(g*56|0)|0;if(h){if(!(f[M>>2]&16384)){if(d>>>0>1073741823){f[m>>2]=0;f[m+4>>2]=0;t=YG(m,28)|0;v=188229;w=t+28|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1512)}c=L+(g*56|0)+36|0;E=f[c>>2]|0;if(E|0?(N=E+12|0,E=f[N>>2]|0,f[N>>2]=E+-1,(E|0)==1):0)lP(M);f[c>>2]=0;c=L+(g*56|0)+16|0;E=L+(g*56|0)+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[E>>2]|0)>0){c=f[L+(g*56|0)+40>>2]|0;N=0;do{f[c+(N<<2)>>2]=0;N=N+1|0}while((N|0)<(f[E>>2]|0))}}if((((((n|0)==2?(f[L+(g*56|0)+4>>2]|0)==2:0)?f[L+(g*56|0)+16>>2]|0:0)?(f[M>>2]&4095|0)==(l|0):0)?(f[L+(g*56|0)+8>>2]|0)==(f[o+4>>2]|0):0)?(f[L+(g*56|0)+12>>2]|0)==(f[o>>2]|0):0){u=j;return}}E=f[a>>2]|0;do if((E|0)<0){N=f[M>>2]|0;if(((N^e)&4088|0)==0?1<<(E&4095)&i|0:0){P=N&4095;break}if((l|0)!=(N&4095|0)){f[m>>2]=0;f[m+4>>2]=0;t=YG(m,30)|0;v=188258;w=t+30|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1526)}else P=l}else P=l;while(0);d:do if(E&1073741824|0){if((f[L+(g*56|0)+4>>2]|0)!=(n|0)){f[m>>2]=0;f[m+4>>2]=0;t=YG(m,11)|0;v=188289;w=t+11|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1530)}if((n|0)>0){D=f[L+(g*56|0)+40>>2]|0;F=0;while(1){if((f[D+(F<<2)>>2]|0)!=(f[o+(F<<2)>>2]|0))break;F=F+1|0;if((F|0)>=(n|0))break d}f[m>>2]=0;f[m+4>>2]=0;t=YG(m,21)|0;v=188301;w=t+21|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1532)}}while(0);iP(M,n,o,P);u=j;return}if((p|0)>=983040){switch(p|0){case 983040:break;default:{f[m>>2]=0;J=m+4|0;f[J>>2]=0;K=YG(m,30)|0;t=K;v=187516;w=t+30|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-213,m,472539,187222,1657)}}P=f[a+4>>2]|0;if((g|0)<0){if((n|0)!=2){f[m>>2]=0;Q=m+4|0;f[Q>>2]=0;R=YG(m,68)|0;t=R;v=188576;w=t+68|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1545)}M=f[o>>2]|0;L=f[o+4>>2]|0;E=Y(L,M)|0;if(!((M|0)==1|(L|0)==1|(E|0)==0)){f[m>>2]=0;Q=m+4|0;f[Q>>2]=0;R=YG(m,68)|0;t=R;v=188576;w=t+68|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1545)}if((((E|0)>0?M+-1+L|0:0)|0)==(f[a+12>>2]|0)){u=j;return}else{f[m>>2]=0;f[m+4>>2]=0;t=YG(m,11)|0;v=189027;w=t+11|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1548)}}if((f[a+12>>2]|0)<=(g|0)){f[m>>2]=0;f[m+4>>2]=0;t=YG(m,13)|0;v=187592;w=t+13|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1563)}L=P+(g*56|0)|0;if(h){if(!(f[L>>2]&16384)){if(d>>>0>1073741823){f[m>>2]=0;f[m+4>>2]=0;t=YG(m,28)|0;v=188229;w=t+28|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1570)}M=P+(g*56|0)+36|0;E=f[M>>2]|0;if(E|0?(R=E+12|0,E=f[R>>2]|0,f[R>>2]=E+-1,(E|0)==1):0)lP(L);f[M>>2]=0;M=P+(g*56|0)+16|0;E=P+(g*56|0)+4|0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[E>>2]|0)>0){M=f[P+(g*56|0)+40>>2]|0;R=0;do{f[M+(R<<2)>>2]=0;R=R+1|0}while((R|0)<(f[E>>2]|0))}}if((((((n|0)==2?(f[P+(g*56|0)+4>>2]|0)==2:0)?f[P+(g*56|0)+16>>2]|0:0)?(f[L>>2]&4095|0)==(l|0):0)?(f[P+(g*56|0)+8>>2]|0)==(f[o+4>>2]|0):0)?(f[P+(g*56|0)+12>>2]|0)==(f[o>>2]|0):0){u=j;return}}E=f[a>>2]|0;do if((E|0)<0){R=f[L>>2]|0;if(((R^e)&4088|0)==0?1<<(E&4095)&i|0:0){S=R&4095;break}if((l|0)!=(R&4095|0)){f[m>>2]=0;f[m+4>>2]=0;t=YG(m,30)|0;v=188258;w=t+30|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1584)}else S=l}else S=l;while(0);e:do if(E&1073741824|0){if((f[P+(g*56|0)+4>>2]|0)!=(n|0)){f[m>>2]=0;f[m+4>>2]=0;t=YG(m,11)|0;v=188289;w=t+11|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1589)}if((n|0)>0){R=f[P+(g*56|0)+40>>2]|0;M=0;while(1){if((f[R+(M<<2)>>2]|0)!=(f[o+(M<<2)>>2]|0))break;M=M+1|0;if((M|0)>=(n|0))break e}f[m>>2]=0;f[m+4>>2]=0;t=YG(m,21)|0;v=188301;w=t+21|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1591)}}while(0);iP(L,n,o,S);u=j;return}switch(p|0){case 720896:break;default:{f[m>>2]=0;J=m+4|0;f[J>>2]=0;K=YG(m,30)|0;t=K;v=187516;w=t+30|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-213,m,472539,187222,1657)}}S=f[a+4>>2]|0;if((g|0)<0){if((n|0)!=2){f[m>>2]=0;T=m+4|0;f[T>>2]=0;U=YG(m,68)|0;t=U;v=188576;w=t+68|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1604)}L=f[o>>2]|0;P=f[o+4>>2]|0;E=Y(P,L)|0;if(!((L|0)==1|(P|0)==1|(E|0)==0)){f[m>>2]=0;T=m+4|0;f[T>>2]=0;U=YG(m,68)|0;t=U;v=188576;w=t+68|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1604)}U=(E|0)>0?L+-1+P|0:0;P=S+4|0;L=f[P>>2]|0;E=f[S>>2]|0;T=(L-E|0)/48|0;if(!((d&1073741824|0)==0|(U|0)==(T|0))){f[m>>2]=0;f[m+4>>2]=0;t=YG(m,27)|0;v=188968;w=t+27|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1607)}M=U>>>0>T>>>0;R=E;E=L;if(!M){if(U>>>0<T>>>0?(L=R+(U*48|0)|0,(E|0)!=(L|0)):0){R=E;do{E=R+-48|0;f[P>>2]=E;uN(E);R=f[P>>2]|0}while((R|0)!=(L|0))}}else vD(S,U-T|0);L=f[a>>2]|0;if((L|0)>=0){u=j;return}R=L&4095;if(!M){u=j;return}M=f[S>>2]|0;L=T;while(1){T=M+(L*48|0)|0;P=f[T>>2]|0;if((P&4095|0)!=(R|0)){if(f[M+(L*48|0)+24>>2]|0){E=f[M+(L*48|0)+4>>2]|0;if((E|0)<3)V=Y(f[M+(L*48|0)+12>>2]|0,f[M+(L*48|0)+8>>2]|0)|0;else{Q=f[M+(L*48|0)+32>>2]|0;F=0;D=1;while(1){C=Y(f[Q+(F<<2)>>2]|0,D)|0;F=F+1|0;if((F|0)==(E|0)){V=C;break}else D=C}}if(!((E|0)==0|(V|0)==0)){O=352;break}}f[T>>2]=P&-4096|R}L=L+1|0;if(L>>>0>=U>>>0){O=390;break}}if((O|0)==352){f[m>>2]=0;f[m+4>>2]=0;t=YG(m,12)|0;v=188996;w=t+12|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1616)}else if((O|0)==390){u=j;return}}O=f[S>>2]|0;U=O;if((((f[S+4>>2]|0)-O|0)/48|0|0)<=(g|0)){f[m>>2]=0;f[m+4>>2]=0;t=YG(m,17)|0;v=189009;w=t+17|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1623)}O=U+(g*48|0)|0;if(h){if(!(f[O>>2]&16384)){if(d>>>0>1073741823){f[m>>2]=0;f[m+4>>2]=0;t=YG(m,28)|0;v=188229;w=t+28|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1630)}h=U+(g*48|0)+24|0;S=f[h>>2]|0;if(S|0?(L=S+8|0,S=f[L>>2]|0,f[L>>2]=S+-1,(S|0)==1):0)vN(O);S=U+(g*48|0)+4|0;if((f[S>>2]|0)>0){L=f[U+(g*48|0)+32>>2]|0;R=0;do{f[L+(R<<2)>>2]=0;R=R+1|0}while((R|0)<(f[S>>2]|0))}f[h>>2]=0}if((((((n|0)==2?(f[U+(g*48|0)+4>>2]|0)==2:0)?f[U+(g*48|0)+24>>2]|0:0)?(f[O>>2]&4095|0)==(l|0):0)?(f[U+(g*48|0)+8>>2]|0)==(f[o+4>>2]|0):0)?(f[U+(g*48|0)+12>>2]|0)==(f[o>>2]|0):0){u=j;return}}h=f[a>>2]|0;do if((h|0)<0){S=f[O>>2]|0;if(((S^e)&4088|0)==0?1<<(h&4095)&i|0:0){W=S&4095;break}if((l|0)!=(S&4095|0)){f[m>>2]=0;f[m+4>>2]=0;t=YG(m,30)|0;v=188258;w=t+30|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1644)}else W=l}else W=l;while(0);f:do if(h&1073741824|0){if((f[U+(g*48|0)+4>>2]|0)!=(n|0)){f[m>>2]=0;f[m+4>>2]=0;t=YG(m,11)|0;v=188289;w=t+11|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1648)}if((n|0)>0){P=f[U+(g*48|0)+32>>2]|0;T=0;while(1){if((f[P+(T<<2)>>2]|0)!=(f[o+(T<<2)>>2]|0))break;T=T+1|0;if((T|0)>=(n|0))break f}f[m>>2]=0;f[m+4>>2]=0;t=YG(m,21)|0;v=188301;w=t+21|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1650)}}while(0);rN(O,n,o,W,0);u=j;return}if((p|0)<196608)switch(p|0){case 0:{f[m>>2]=0;f[m+4>>2]=0;t=YG(m,44)|0;v=188923;w=t+44|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-27,m,472539,187222,1477);break}default:{f[m>>2]=0;J=m+4|0;f[J>>2]=0;K=YG(m,30)|0;t=K;v=187516;w=t+30|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-213,m,472539,187222,1657)}}g:do if((p|0)<262144){switch(p|0){case 196608:{break g;break}default:{}}f[m>>2]=0;J=m+4|0;f[J>>2]=0;K=YG(m,30)|0;t=K;v=187516;w=t+30|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-213,m,472539,187222,1657)}else{switch(p|0){case 262144:{break g;break}default:{}}f[m>>2]=0;J=m+4|0;f[J>>2]=0;K=YG(m,30)|0;t=K;v=187516;w=t+30|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-213,m,472539,187222,1657)}while(0);if((n|0)!=2){f[m>>2]=0;X=m+4|0;f[X>>2]=0;Z=YG(m,68)|0;t=Z;v=188576;w=t+68|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1374)}n=f[o>>2]|0;K=f[o+4>>2]|0;o=Y(K,n)|0;if(!((n|0)==1|(K|0)==1|(o|0)==0)){f[m>>2]=0;X=m+4|0;f[X>>2]=0;Z=YG(m,68)|0;t=Z;v=188576;w=t+68|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1374)}Z=(o|0)>0?n+-1+K|0:0;K=f[a+4>>2]|0;a=(g|0)<0;do if(!I)if(a)_=K;else{f[m>>2]=0;f[m+4>>2]=0;n=YG(m,5)|0;b[n>>0]=b[187208]|0;b[n+1>>0]=b[187209]|0;b[n+2>>0]=b[187210]|0;b[n+3>>0]=b[187211]|0;b[n+4>>0]=b[187212]|0;SQ(-215,m,472539,187222,1391)}else{if(!a){n=f[K>>2]|0;if((((f[K+4>>2]|0)-n|0)/12|0|0)>(g|0)){_=n+(g*12|0)|0;break}else{f[m>>2]=0;f[m+4>>2]=0;t=YG(m,18)|0;v=187573;w=t+18|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1387)}}n=K+4|0;o=f[n>>2]|0;X=f[K>>2]|0;if(d&1073741824|0?(Z|0)!=((o-X|0)/12|0|0):0){f[m>>2]=0;f[m+4>>2]=0;t=YG(m,32)|0;v=188645;w=t+32|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1383)}J=(o-X|0)/12|0;p=o;if(Z>>>0>J>>>0){JD(K,Z-J|0);u=j;return}if(Z>>>0>=J>>>0){u=j;return}J=X+(Z*12|0)|0;if((p|0)==(J|0)){u=j;return}else $=p;while(1){p=$+-12|0;f[n>>2]=p;W=f[p>>2]|0;if(!W)aa=p;else{p=$+-8|0;if((f[p>>2]|0)!=(W|0))f[p>>2]=W;Emc(W);aa=f[n>>2]|0}if((aa|0)==(J|0))break;else $=aa}u=j;return}while(0);aa=d&4095;$=d>>>3&511;K=$+1|0;if((l|0)!=(aa|0)){if((e>>>3&511|0)!=($|0)){f[m>>2]=0;ba=m+4|0;f[ba>>2]=0;ca=YG(m,96)|0;t=ca;v=188678;w=t+96|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1394)}if(!(1<<aa&i)){f[m>>2]=0;ba=m+4|0;f[ba>>2]=0;ca=YG(m,96)|0;t=ca;v=188678;w=t+96|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1394)}}ca=K<<(47696>>>(d<<1&14)&3);if(d&1073741824|0?(Z|0)!=((((f[_+4>>2]|0)-(f[_>>2]|0)|0)>>>0)/(ca>>>0)|0|0):0){f[m>>2]=0;f[m+4>>2]=0;t=YG(m,61)|0;v=188775;w=t+61|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,m,472539,187222,1397)}do switch(ca&8191){case 1:{v=_+4|0;t=f[v>>2]|0;w=f[_>>2]|0;d=t-w|0;if(Z>>>0>d>>>0){KD(_,Z-d|0);u=j;return}if(Z>>>0>=d>>>0){u=j;return}d=w+Z|0;if((t|0)==(d|0)){u=j;return}f[v>>2]=d;u=j;return}case 2:{d=_+4|0;v=f[d>>2]|0;t=f[_>>2]|0;w=v-t>>1;K=v;if(Z>>>0>w>>>0){LD(_,Z-w|0);u=j;return}if(Z>>>0>=w>>>0){u=j;return}w=t+(Z<<1)|0;if((K|0)==(w|0)){u=j;return}f[d>>2]=K+(~((0-w+(K+-2)|0)>>>1)<<1);u=j;return}case 3:{K=_+4|0;w=f[K>>2]|0;d=f[_>>2]|0;t=(w-d|0)/3|0;v=w;if(Z>>>0>t>>>0){MD(_,Z-t|0);u=j;return}if(Z>>>0>=t>>>0){u=j;return}t=d+(Z*3|0)|0;if((v|0)==(t|0)){u=j;return}f[K>>2]=v+(~(((0-t+(v+-3)|0)>>>0)/3|0)*3|0);u=j;return}case 4:{v=_+4|0;t=f[v>>2]|0;K=f[_>>2]|0;d=t-K>>2;w=t;if(Z>>>0>d>>>0){$C(_,Z-d|0);u=j;return}if(Z>>>0>=d>>>0){u=j;return}d=K+(Z<<2)|0;if((w|0)==(d|0)){u=j;return}f[v>>2]=w+(~((w+-4-d|0)>>>2)<<2);u=j;return}case 6:{d=_+4|0;w=f[d>>2]|0;v=f[_>>2]|0;K=(w-v|0)/6|0;t=w;if(Z>>>0>K>>>0){ND(_,Z-K|0);u=j;return}if(Z>>>0>=K>>>0){u=j;return}K=v+(Z*6|0)|0;if((t|0)==(K|0)){u=j;return}f[d>>2]=t+(~(((t+-6-K|0)>>>0)/6|0)*6|0);u=j;return}case 8:{K=_+4|0;t=f[K>>2]|0;d=f[_>>2]|0;v=t-d>>3;w=t;if(Z>>>0>v>>>0){OD(_,Z-v|0);u=j;return}if(Z>>>0>=v>>>0){u=j;return}v=d+(Z<<3)|0;if((w|0)==(v|0)){u=j;return}f[K>>2]=w+(~((w+-8-v|0)>>>3)<<3);u=j;return}case 12:{v=_+4|0;w=f[v>>2]|0;K=f[_>>2]|0;d=(w-K|0)/12|0;t=w;if(Z>>>0>d>>>0){PD(_,Z-d|0);u=j;return}if(Z>>>0>=d>>>0){u=j;return}d=K+(Z*12|0)|0;if((t|0)==(d|0)){u=j;return}f[v>>2]=t+(~(((t+-12-d|0)>>>0)/12|0)*12|0);u=j;return}case 16:{d=_+4|0;t=f[d>>2]|0;v=f[_>>2]|0;K=t-v>>4;w=t;if(Z>>>0>K>>>0){QD(_,Z-K|0);u=j;return}if(Z>>>0>=K>>>0){u=j;return}K=v+(Z<<4)|0;if((w|0)==(K|0)){u=j;return}f[d>>2]=w+(~((w+-16-K|0)>>>4)<<4);u=j;return}case 20:{K=_+4|0;w=f[K>>2]|0;d=f[_>>2]|0;v=(w-d|0)/20|0;t=w;if(Z>>>0>v>>>0){RD(_,Z-v|0);u=j;return}if(Z>>>0>=v>>>0){u=j;return}v=d+(Z*20|0)|0;if((t|0)==(v|0)){u=j;return}f[K>>2]=t+(~(((t+-20-v|0)>>>0)/20|0)*20|0);u=j;return}case 24:{v=_+4|0;t=f[v>>2]|0;K=f[_>>2]|0;d=(t-K|0)/24|0;w=t;if(Z>>>0>d>>>0){SD(_,Z-d|0);u=j;return}if(Z>>>0>=d>>>0){u=j;return}d=K+(Z*24|0)|0;if((w|0)==(d|0)){u=j;return}f[v>>2]=w+(~(((w+-24-d|0)>>>0)/24|0)*24|0);u=j;return}case 28:{d=_+4|0;w=f[d>>2]|0;v=f[_>>2]|0;K=(w-v|0)/28|0;t=w;if(Z>>>0>K>>>0){TD(_,Z-K|0);u=j;return}if(Z>>>0>=K>>>0){u=j;return}K=v+(Z*28|0)|0;if((t|0)==(K|0)){u=j;return}f[d>>2]=t+(~(((t+-28-K|0)>>>0)/28|0)*28|0);u=j;return}case 32:{K=_+4|0;t=f[K>>2]|0;d=f[_>>2]|0;v=t-d>>5;w=t;if(Z>>>0>v>>>0){UD(_,Z-v|0);u=j;return}if(Z>>>0>=v>>>0){u=j;return}v=d+(Z<<5)|0;if((w|0)==(v|0)){u=j;return}f[K>>2]=w+(~((w+-32-v|0)>>>5)<<5);u=j;return}case 36:{v=_+4|0;w=f[v>>2]|0;K=f[_>>2]|0;d=(w-K|0)/36|0;t=w;if(Z>>>0>d>>>0){VD(_,Z-d|0);u=j;return}if(Z>>>0>=d>>>0){u=j;return}d=K+(Z*36|0)|0;if((t|0)==(d|0)){u=j;return}f[v>>2]=t+(~(((t+-36-d|0)>>>0)/36|0)*36|0);u=j;return}case 40:{d=_+4|0;t=f[d>>2]|0;v=f[_>>2]|0;K=(t-v|0)/40|0;w=t;if(Z>>>0>K>>>0){WD(_,Z-K|0);u=j;return}if(Z>>>0>=K>>>0){u=j;return}K=v+(Z*40|0)|0;if((w|0)==(K|0)){u=j;return}f[d>>2]=w+(~(((w+-40-K|0)>>>0)/40|0)*40|0);u=j;return}case 44:{K=_+4|0;w=f[K>>2]|0;d=f[_>>2]|0;v=(w-d|0)/44|0;t=w;if(Z>>>0>v>>>0){XD(_,Z-v|0);u=j;return}if(Z>>>0>=v>>>0){u=j;return}v=d+(Z*44|0)|0;if((t|0)==(v|0)){u=j;return}f[K>>2]=t+(~(((t+-44-v|0)>>>0)/44|0)*44|0);u=j;return}case 48:{v=_+4|0;t=f[v>>2]|0;K=f[_>>2]|0;d=(t-K|0)/48|0;w=t;if(Z>>>0>d>>>0){YD(_,Z-d|0);u=j;return}if(Z>>>0>=d>>>0){u=j;return}d=K+(Z*48|0)|0;if((w|0)==(d|0)){u=j;return}f[v>>2]=w+(~(((w+-48-d|0)>>>0)/48|0)*48|0);u=j;return}case 52:{d=_+4|0;w=f[d>>2]|0;v=f[_>>2]|0;K=(w-v|0)/52|0;t=w;if(Z>>>0>K>>>0){ZD(_,Z-K|0);u=j;return}if(Z>>>0>=K>>>0){u=j;return}K=v+(Z*52|0)|0;if((t|0)==(K|0)){u=j;return}f[d>>2]=t+(~(((t+-52-K|0)>>>0)/52|0)*52|0);u=j;return}case 56:{K=_+4|0;t=f[K>>2]|0;d=f[_>>2]|0;v=(t-d|0)/56|0;w=t;if(Z>>>0>v>>>0){_D(_,Z-v|0);u=j;return}if(Z>>>0>=v>>>0){u=j;return}v=d+(Z*56|0)|0;if((w|0)==(v|0)){u=j;return}f[K>>2]=w+(~(((w+-56-v|0)>>>0)/56|0)*56|0);u=j;return}case 60:{v=_+4|0;w=f[v>>2]|0;K=f[_>>2]|0;d=(w-K|0)/60|0;t=w;if(Z>>>0>d>>>0){$D(_,Z-d|0);u=j;return}if(Z>>>0>=d>>>0){u=j;return}d=K+(Z*60|0)|0;if((t|0)==(d|0)){u=j;return}f[v>>2]=t+(~(((t+-60-d|0)>>>0)/60|0)*60|0);u=j;return}case 64:{d=_+4|0;t=f[d>>2]|0;v=f[_>>2]|0;K=t-v>>6;w=t;if(Z>>>0>K>>>0){aE(_,Z-K|0);u=j;return}if(Z>>>0>=K>>>0){u=j;return}K=v+(Z<<6)|0;if((w|0)==(K|0)){u=j;return}f[d>>2]=w+(~((w+-64-K|0)>>>6)<<6);u=j;return}case 128:{K=_+4|0;w=f[K>>2]|0;d=f[_>>2]|0;v=w-d>>7;t=w;if(Z>>>0>v>>>0){bE(_,Z-v|0);u=j;return}if(Z>>>0>=v>>>0){u=j;return}v=d+(Z<<7)|0;if((t|0)==(v|0)){u=j;return}f[K>>2]=t+(~((t+-128-v|0)>>>7)<<7);u=j;return}case 256:{v=_+4|0;t=f[v>>2]|0;K=f[_>>2]|0;d=t-K>>8;w=t;if(Z>>>0>d>>>0){cE(_,Z-d|0);u=j;return}if(Z>>>0>=d>>>0){u=j;return}d=K+(Z<<8)|0;if((w|0)==(d|0)){u=j;return}f[v>>2]=w+(~((w+-256-d|0)>>>8)<<8);u=j;return}case 512:{d=_+4|0;w=f[d>>2]|0;v=f[_>>2]|0;K=w-v>>9;t=w;if(Z>>>0>K>>>0){dE(_,Z-K|0);u=j;return}if(Z>>>0>=K>>>0){u=j;return}K=v+(Z<<9)|0;if((t|0)==(K|0)){u=j;return}f[d>>2]=t+(~((t+-512-K|0)>>>9)<<9);u=j;return}default:{f[k>>2]=ca;aR(m,188837,k);SQ(-5,m,472539,187222,1470)}}while(0)}function JD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+32|0;d=c;e=f[a+8>>2]|0;g=a+4|0;h=f[g>>2]|0;if(((e-h|0)/12|0)>>>0>=b>>>0){Drc(h|0,0,b*12|0)|0;f[g>>2]=h+(b*12|0);u=c;return}g=f[a>>2]|0;i=(h-g|0)/12|0;h=i+b|0;if(h>>>0>357913941)Ukc(a);j=(e-g|0)/12|0;g=j<<1;e=j>>>0<178956970?(g>>>0<h>>>0?h:g):357913941;f[d+12>>2]=0;f[d+16>>2]=a+8;do if(e)if(e>>>0>357913941){g=ye(8)|0;Jmc(g,511852);f[g>>2]=165276;Gf(g|0,26776,1555)}else{k=Bmc(e*12|0)|0;break}else k=0;while(0);f[d>>2]=k;g=k+(i*12|0)|0;i=d+8|0;h=d+4|0;f[h>>2]=g;f[d+12>>2]=k+(e*12|0);Drc(g|0,0,b*12|0)|0;f[i>>2]=g+(b*12|0);eE(a,d);a=f[h>>2]|0;h=f[i>>2]|0;if((h|0)!=(a|0)){b=h;while(1){h=b+-12|0;f[i>>2]=h;g=f[h>>2]|0;if(!g)l=h;else{h=b+-8|0;if((f[h>>2]|0)!=(g|0))f[h>>2]=g;Emc(g);l=f[i>>2]|0}if((l|0)==(a|0))break;else b=l}}l=f[d>>2]|0;if(l|0)Emc(l);u=c;return}function KD(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a+8|0;e=f[d>>2]|0;g=a+4|0;h=f[g>>2]|0;if((e-h|0)>>>0>=c>>>0){i=c;j=h;do{b[j>>0]=0;j=(f[g>>2]|0)+1|0;f[g>>2]=j;i=i+-1|0}while((i|0)!=0);return}i=f[a>>2]|0;j=h-i|0;h=j+c|0;if((h|0)<0)Ukc(a);k=e-i|0;i=k<<1;e=k>>>0<1073741823?(i>>>0<h>>>0?h:i):2147483647;if(!e)l=0;else l=Bmc(e)|0;i=l+j|0;j=l+e|0;e=c;c=i;l=i;do{b[l>>0]=0;l=c+1|0;c=l;e=e+-1|0}while((e|0)!=0);e=f[a>>2]|0;l=(f[g>>2]|0)-e|0;h=i+(0-l)|0;if((l|0)>0)Krc(h|0,e|0,l|0)|0;f[a>>2]=h;f[g>>2]=c;f[d>>2]=j;if(!e)return;Emc(e);return}function LD(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=a+8|0;e=f[d>>2]|0;g=a+4|0;h=f[g>>2]|0;if(e-h>>1>>>0>=c>>>0){i=c;j=h;do{b[j>>0]=0;b[j+1>>0]=0;j=(f[g>>2]|0)+2|0;f[g>>2]=j;i=i+-1|0}while((i|0)!=0);return}i=f[a>>2]|0;j=h-i>>1;h=j+c|0;if((h|0)<0)Ukc(a);k=e-i|0;i=k>>1>>>0<1073741823?(k>>>0<h>>>0?h:k):2147483647;do if(i)if((i|0)<0){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{l=Bmc(i<<1)|0;break}else l=0;while(0);k=l+(j<<1)|0;j=k;h=l+(i<<1)|0;i=c;c=k;l=j;do{b[c>>0]=0;b[c+1>>0]=0;c=l+2|0;l=c;i=i+-1|0}while((i|0)!=0);i=h;h=f[a>>2]|0;c=f[g>>2]|0;if((c|0)==(h|0)){m=j;n=h}else{e=c;c=j;j=k;do{k=e;e=e+-2|0;b[j+-2>>0]=b[e>>0]|0;b[j+-1>>0]=b[k+-1>>0]|0;j=c+-2|0;c=j}while((e|0)!=(h|0));m=c;n=f[a>>2]|0}f[a>>2]=m;f[g>>2]=l;f[d>>2]=i;if(!n)return;Emc(n);return}function MD(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=a+8|0;e=f[d>>2]|0;g=a+4|0;h=f[g>>2]|0;if(((e-h|0)/3|0)>>>0>=c>>>0){i=c;j=h;do{b[j>>0]=0;b[j+1>>0]=0;b[j+2>>0]=0;j=(f[g>>2]|0)+3|0;f[g>>2]=j;i=i+-1|0}while((i|0)!=0);return}i=f[a>>2]|0;j=(h-i|0)/3|0;h=j+c|0;if(h>>>0>1431655765)Ukc(a);k=(e-i|0)/3|0;i=k<<1;e=k>>>0<715827882?(i>>>0<h>>>0?h:i):1431655765;do if(e)if(e>>>0>1431655765){i=ye(8)|0;Jmc(i,511852);f[i>>2]=165276;Gf(i|0,26776,1555)}else{l=Bmc(e*3|0)|0;break}else l=0;while(0);i=l+(j*3|0)|0;j=i;h=l+(e*3|0)|0;e=c;c=j;l=i;do{b[l>>0]=0;b[l+1>>0]=0;b[l+2>>0]=0;l=c+3|0;c=l;e=e+-1|0}while((e|0)!=0);e=h;h=f[a>>2]|0;l=f[g>>2]|0;if((l|0)==(h|0)){m=j;n=h}else{k=l;l=j;j=i;do{i=k;k=k+-3|0;b[j+-3>>0]=b[k>>0]|0;b[j+-2>>0]=b[i+-2>>0]|0;b[j+-1>>0]=b[i+-1>>0]|0;j=l+-3|0;l=j}while((k|0)!=(h|0));m=l;n=f[a>>2]|0}f[a>>2]=m;f[g>>2]=c;f[d>>2]=e;if(!n)return;Emc(n);return}function ND(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=a+8|0;e=f[c>>2]|0;g=a+4|0;h=f[g>>2]|0;if(((e-h|0)/6|0)>>>0>=b>>>0){i=b;j=h;do{d[j>>1]=0;d[j+2>>1]=0;d[j+4>>1]=0;j=(f[g>>2]|0)+6|0;f[g>>2]=j;i=i+-1|0}while((i|0)!=0);return}i=f[a>>2]|0;j=(h-i|0)/6|0;h=j+b|0;if(h>>>0>715827882)Ukc(a);k=(e-i|0)/6|0;i=k<<1;e=k>>>0<357913941?(i>>>0<h>>>0?h:i):715827882;do if(e)if(e>>>0>715827882){i=ye(8)|0;Jmc(i,511852);f[i>>2]=165276;Gf(i|0,26776,1555)}else{l=Bmc(e*6|0)|0;break}else l=0;while(0);i=l+(j*6|0)|0;j=i;h=l+(e*6|0)|0;e=b;b=i;l=j;do{d[b>>1]=0;d[b+2>>1]=0;d[b+4>>1]=0;b=l+6|0;l=b;e=e+-1|0}while((e|0)!=0);e=h;h=f[a>>2]|0;b=f[g>>2]|0;if((b|0)==(h|0)){m=j;n=h}else{j=b;b=i;do{i=j;j=j+-6|0;d[b+-6>>1]=d[j>>1]|0;d[b+-4>>1]=d[i+-4>>1]|0;d[b+-2>>1]=d[i+-2>>1]|0;b=b+-6|0}while((j|0)!=(h|0));m=b;n=f[a>>2]|0}f[a>>2]=m;f[g>>2]=l;f[c>>2]=e;if(!n)return;Emc(n);return}function OD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>3>>>0>=b>>>0){h=b;i=g;do{j=i;f[j>>2]=0;f[j+4>>2]=0;i=(f[e>>2]|0)+8|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>3;g=i+b|0;if(g>>>0>536870911)Ukc(a);j=d-h|0;h=j>>2;d=j>>3>>>0<268435455?(h>>>0<g>>>0?g:h):536870911;do if(d)if(d>>>0>536870911){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{k=Bmc(d<<3)|0;break}else k=0;while(0);h=k+(i<<3)|0;i=h;g=k+(d<<3)|0;d=b;b=h;k=i;do{j=b;f[j>>2]=0;f[j+4>>2]=0;b=k+8|0;k=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;j=g;if((b|0)==(g|0)){l=i;m=j}else{i=b+-8-j|0;j=b;b=h;while(1){n=j;j=j+-8|0;f[b+-8>>2]=f[j>>2];f[b+-4>>2]=f[n+-4>>2];if((j|0)==(g|0))break;else b=b+-8|0}l=h+(~(i>>>3)<<3)|0;m=f[a>>2]|0}f[a>>2]=l;f[e>>2]=k;f[c>>2]=d;if(!m)return;Emc(m);return}function PD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/12|0)>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;i=(f[e>>2]|0)+12|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/12|0;g=i+b|0;if(g>>>0>357913941)Ukc(a);j=(d-h|0)/12|0;h=j<<1;d=j>>>0<178956970?(h>>>0<g>>>0?g:h):357913941;do if(d)if(d>>>0>357913941){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{k=Bmc(d*12|0)|0;break}else k=0;while(0);h=k+(i*12|0)|0;i=h;g=k+(d*12|0)|0;d=b;b=h;k=i;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;b=k+12|0;k=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;if((b|0)==(g|0)){l=i;m=g}else{i=b;b=h;do{h=i;i=i+-12|0;f[b+-12>>2]=f[i>>2];f[b+-8>>2]=f[h+-8>>2];f[b+-4>>2]=f[h+-4>>2];b=b+-12|0}while((i|0)!=(g|0));l=b;m=f[a>>2]|0}f[a>>2]=l;f[e>>2]=k;f[c>>2]=d;if(!m)return;Emc(m);return}function QD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>4>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;i=(f[e>>2]|0)+16|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>4;g=i+b|0;if(g>>>0>268435455)Ukc(a);j=d-h|0;h=j>>3;d=j>>4>>>0<134217727?(h>>>0<g>>>0?g:h):268435455;do if(d)if(d>>>0>268435455){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{k=Bmc(d<<4)|0;break}else k=0;while(0);h=k+(i<<4)|0;i=h;g=k+(d<<4)|0;d=b;b=h;k=i;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;b=k+16|0;k=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;j=g;if((b|0)==(g|0)){l=i;m=j}else{i=b+-16-j|0;j=b;b=h;while(1){n=j;j=j+-16|0;f[b+-16>>2]=f[j>>2];f[b+-12>>2]=f[n+-12>>2];f[b+-8>>2]=f[n+-8>>2];f[b+-4>>2]=f[n+-4>>2];if((j|0)==(g|0))break;else b=b+-16|0}l=h+(~(i>>>4)<<4)|0;m=f[a>>2]|0}f[a>>2]=l;f[e>>2]=k;f[c>>2]=d;if(!m)return;Emc(m);return}function RD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/20|0)>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;i=(f[e>>2]|0)+20|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/20|0;g=i+b|0;if(g>>>0>214748364)Ukc(a);j=(d-h|0)/20|0;h=j<<1;d=j>>>0<107374182?(h>>>0<g>>>0?g:h):214748364;do if(d)if(d>>>0>214748364){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{k=Bmc(d*20|0)|0;break}else k=0;while(0);h=k+(i*20|0)|0;i=h;g=k+(d*20|0)|0;d=b;b=h;k=i;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;b=k+20|0;k=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;if((b|0)==(g|0)){l=i;m=g}else{i=b;b=h;do{h=i;i=i+-20|0;f[b+-20>>2]=f[i>>2];f[b+-16>>2]=f[h+-16>>2];f[b+-12>>2]=f[h+-12>>2];f[b+-8>>2]=f[h+-8>>2];f[b+-4>>2]=f[h+-4>>2];b=b+-20|0}while((i|0)!=(g|0));l=b;m=f[a>>2]|0}f[a>>2]=l;f[e>>2]=k;f[c>>2]=d;if(!m)return;Emc(m);return}function SD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/24|0)>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;i=(f[e>>2]|0)+24|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/24|0;g=i+b|0;if(g>>>0>178956970)Ukc(a);j=(d-h|0)/24|0;h=j<<1;d=j>>>0<89478485?(h>>>0<g>>>0?g:h):178956970;do if(d)if(d>>>0>178956970){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{k=Bmc(d*24|0)|0;break}else k=0;while(0);h=k+(i*24|0)|0;i=h;g=k+(d*24|0)|0;d=b;b=h;k=i;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;b=k+24|0;k=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;if((b|0)==(g|0)){l=i;m=g}else{i=b;b=h;do{h=i;i=i+-24|0;f[b+-24>>2]=f[i>>2];f[b+-20>>2]=f[h+-20>>2];f[b+-16>>2]=f[h+-16>>2];f[b+-12>>2]=f[h+-12>>2];f[b+-8>>2]=f[h+-8>>2];f[b+-4>>2]=f[h+-4>>2];b=b+-24|0}while((i|0)!=(g|0));l=b;m=f[a>>2]|0}f[a>>2]=l;f[e>>2]=k;f[c>>2]=d;if(!m)return;Emc(m);return}function TD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/28|0)>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;f[i+24>>2]=0;i=(f[e>>2]|0)+28|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/28|0;g=i+b|0;if(g>>>0>153391689)Ukc(a);j=(d-h|0)/28|0;h=j<<1;d=j>>>0<76695844?(h>>>0<g>>>0?g:h):153391689;do if(d)if(d>>>0>153391689){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{k=Bmc(d*28|0)|0;break}else k=0;while(0);h=k+(i*28|0)|0;i=h;g=k+(d*28|0)|0;d=b;b=h;k=i;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;b=k+28|0;k=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;if((b|0)==(g|0)){l=i;m=g}else{i=b;b=h;do{h=i;i=i+-28|0;f[b+-28>>2]=f[i>>2];f[b+-24>>2]=f[h+-24>>2];f[b+-20>>2]=f[h+-20>>2];f[b+-16>>2]=f[h+-16>>2];f[b+-12>>2]=f[h+-12>>2];f[b+-8>>2]=f[h+-8>>2];f[b+-4>>2]=f[h+-4>>2];b=b+-28|0}while((i|0)!=(g|0));l=b;m=f[a>>2]|0}f[a>>2]=l;f[e>>2]=k;f[c>>2]=d;if(!m)return;Emc(m);return}function UD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>5>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;f[i+24>>2]=0;f[i+28>>2]=0;i=(f[e>>2]|0)+32|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>5;g=i+b|0;if(g>>>0>134217727)Ukc(a);j=d-h|0;h=j>>4;d=j>>5>>>0<67108863?(h>>>0<g>>>0?g:h):134217727;do if(d)if(d>>>0>134217727){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{k=Bmc(d<<5)|0;break}else k=0;while(0);h=k+(i<<5)|0;i=h;g=k+(d<<5)|0;d=b;b=h;k=i;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[b+28>>2]=0;b=k+32|0;k=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;j=g;if((b|0)==(g|0)){l=i;m=j}else{i=b+-32-j|0;j=b;b=h;while(1){n=j;j=j+-32|0;f[b+-32>>2]=f[j>>2];f[b+-28>>2]=f[n+-28>>2];f[b+-24>>2]=f[n+-24>>2];f[b+-20>>2]=f[n+-20>>2];f[b+-16>>2]=f[n+-16>>2];f[b+-12>>2]=f[n+-12>>2];f[b+-8>>2]=f[n+-8>>2];f[b+-4>>2]=f[n+-4>>2];if((j|0)==(g|0))break;else b=b+-32|0}l=h+(~(i>>>5)<<5)|0;m=f[a>>2]|0}f[a>>2]=l;f[e>>2]=k;f[c>>2]=d;if(!m)return;Emc(m);return}function VD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/36|0)>>>0>=b>>>0){h=b;i=g;do{j=i;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));i=(f[e>>2]|0)+36|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/36|0;g=i+b|0;if(g>>>0>119304647)Ukc(a);l=(d-h|0)/36|0;h=l<<1;d=l>>>0<59652323?(h>>>0<g>>>0?g:h):119304647;do if(d)if(d>>>0>119304647){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{m=Bmc(d*36|0)|0;break}else m=0;while(0);h=m+(i*36|0)|0;i=h;g=m+(d*36|0)|0;d=b;b=h;m=i;do{j=b;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));b=m+36|0;m=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;if((b|0)==(g|0)){n=i;o=g}else{i=b;b=h;do{h=i;i=i+-36|0;f[b+-36>>2]=f[i>>2];f[b+-32>>2]=f[h+-32>>2];f[b+-28>>2]=f[h+-28>>2];f[b+-24>>2]=f[h+-24>>2];f[b+-20>>2]=f[h+-20>>2];f[b+-16>>2]=f[h+-16>>2];f[b+-12>>2]=f[h+-12>>2];f[b+-8>>2]=f[h+-8>>2];f[b+-4>>2]=f[h+-4>>2];b=b+-36|0}while((i|0)!=(g|0));n=b;o=f[a>>2]|0}f[a>>2]=n;f[e>>2]=m;f[c>>2]=d;if(!o)return;Emc(o);return}function WD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/40|0)>>>0>=b>>>0){h=b;i=g;do{j=i;k=j+40|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));i=(f[e>>2]|0)+40|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/40|0;g=i+b|0;if(g>>>0>107374182)Ukc(a);l=(d-h|0)/40|0;h=l<<1;d=l>>>0<53687091?(h>>>0<g>>>0?g:h):107374182;do if(d)if(d>>>0>107374182){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{m=Bmc(d*40|0)|0;break}else m=0;while(0);h=m+(i*40|0)|0;i=h;g=m+(d*40|0)|0;d=b;b=h;m=i;do{j=b;k=j+40|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));b=m+40|0;m=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;if((b|0)==(g|0)){n=i;o=g}else{i=b;b=h;do{h=i;i=i+-40|0;f[b+-40>>2]=f[i>>2];f[b+-36>>2]=f[h+-36>>2];f[b+-32>>2]=f[h+-32>>2];f[b+-28>>2]=f[h+-28>>2];f[b+-24>>2]=f[h+-24>>2];f[b+-20>>2]=f[h+-20>>2];f[b+-16>>2]=f[h+-16>>2];f[b+-12>>2]=f[h+-12>>2];f[b+-8>>2]=f[h+-8>>2];f[b+-4>>2]=f[h+-4>>2];b=b+-40|0}while((i|0)!=(g|0));n=b;o=f[a>>2]|0}f[a>>2]=n;f[e>>2]=m;f[c>>2]=d;if(!o)return;Emc(o);return}function XD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/44|0)>>>0>=b>>>0){h=b;i=g;do{j=i;k=j+44|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));i=(f[e>>2]|0)+44|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/44|0;g=i+b|0;if(g>>>0>97612893)Ukc(a);l=(d-h|0)/44|0;h=l<<1;d=l>>>0<48806446?(h>>>0<g>>>0?g:h):97612893;do if(d)if(d>>>0>97612893){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{m=Bmc(d*44|0)|0;break}else m=0;while(0);h=m+(i*44|0)|0;i=h;g=m+(d*44|0)|0;d=b;b=h;m=i;do{j=b;k=j+44|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));b=m+44|0;m=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;if((b|0)==(g|0)){n=i;o=g}else{i=b;b=h;do{h=i;i=i+-44|0;f[b+-44>>2]=f[i>>2];f[b+-40>>2]=f[h+-40>>2];f[b+-36>>2]=f[h+-36>>2];f[b+-32>>2]=f[h+-32>>2];f[b+-28>>2]=f[h+-28>>2];f[b+-24>>2]=f[h+-24>>2];f[b+-20>>2]=f[h+-20>>2];f[b+-16>>2]=f[h+-16>>2];f[b+-12>>2]=f[h+-12>>2];f[b+-8>>2]=f[h+-8>>2];f[b+-4>>2]=f[h+-4>>2];b=b+-44|0}while((i|0)!=(g|0));n=b;o=f[a>>2]|0}f[a>>2]=n;f[e>>2]=m;f[c>>2]=d;if(!o)return;Emc(o);return}function YD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/48|0)>>>0>=b>>>0){h=b;i=g;do{j=i;k=j+48|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));i=(f[e>>2]|0)+48|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/48|0;g=i+b|0;if(g>>>0>89478485)Ukc(a);l=(d-h|0)/48|0;h=l<<1;d=l>>>0<44739242?(h>>>0<g>>>0?g:h):89478485;do if(d)if(d>>>0>89478485){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{m=Bmc(d*48|0)|0;break}else m=0;while(0);h=m+(i*48|0)|0;i=h;g=m+(d*48|0)|0;d=b;b=h;m=i;do{j=b;k=j+48|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));b=m+48|0;m=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;if((b|0)==(g|0)){n=i;o=g}else{i=b;b=h;do{h=i;i=i+-48|0;f[b+-48>>2]=f[i>>2];f[b+-44>>2]=f[h+-44>>2];f[b+-40>>2]=f[h+-40>>2];f[b+-36>>2]=f[h+-36>>2];f[b+-32>>2]=f[h+-32>>2];f[b+-28>>2]=f[h+-28>>2];f[b+-24>>2]=f[h+-24>>2];f[b+-20>>2]=f[h+-20>>2];f[b+-16>>2]=f[h+-16>>2];f[b+-12>>2]=f[h+-12>>2];f[b+-8>>2]=f[h+-8>>2];f[b+-4>>2]=f[h+-4>>2];b=b+-48|0}while((i|0)!=(g|0));n=b;o=f[a>>2]|0}f[a>>2]=n;f[e>>2]=m;f[c>>2]=d;if(!o)return;Emc(o);return}function ZD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/52|0)>>>0>=b>>>0){h=b;i=g;do{j=i;k=j+52|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));i=(f[e>>2]|0)+52|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/52|0;g=i+b|0;if(g>>>0>82595524)Ukc(a);l=(d-h|0)/52|0;h=l<<1;d=l>>>0<41297762?(h>>>0<g>>>0?g:h):82595524;do if(d)if(d>>>0>82595524){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{m=Bmc(d*52|0)|0;break}else m=0;while(0);h=m+(i*52|0)|0;i=h;g=m+(d*52|0)|0;d=b;b=h;m=i;do{j=b;k=j+52|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));b=m+52|0;m=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;if((b|0)==(g|0)){n=i;o=g}else{i=b;b=h;do{h=i;i=i+-52|0;f[b+-52>>2]=f[i>>2];f[b+-48>>2]=f[h+-48>>2];f[b+-44>>2]=f[h+-44>>2];f[b+-40>>2]=f[h+-40>>2];f[b+-36>>2]=f[h+-36>>2];f[b+-32>>2]=f[h+-32>>2];f[b+-28>>2]=f[h+-28>>2];f[b+-24>>2]=f[h+-24>>2];f[b+-20>>2]=f[h+-20>>2];f[b+-16>>2]=f[h+-16>>2];f[b+-12>>2]=f[h+-12>>2];f[b+-8>>2]=f[h+-8>>2];f[b+-4>>2]=f[h+-4>>2];b=b+-52|0}while((i|0)!=(g|0));n=b;o=f[a>>2]|0}f[a>>2]=n;f[e>>2]=m;f[c>>2]=d;if(!o)return;Emc(o);return}function _D(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/56|0)>>>0>=b>>>0){h=b;i=g;do{j=i;k=j+56|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));i=(f[e>>2]|0)+56|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/56|0;g=i+b|0;if(g>>>0>76695844)Ukc(a);l=(d-h|0)/56|0;h=l<<1;d=l>>>0<38347922?(h>>>0<g>>>0?g:h):76695844;do if(d)if(d>>>0>76695844){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{m=Bmc(d*56|0)|0;break}else m=0;while(0);h=m+(i*56|0)|0;i=h;g=m+(d*56|0)|0;d=b;b=h;m=i;do{j=b;k=j+56|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));b=m+56|0;m=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;if((b|0)==(g|0)){n=i;o=g}else{i=b;b=h;do{h=i;i=i+-56|0;f[b+-56>>2]=f[i>>2];f[b+-52>>2]=f[h+-52>>2];f[b+-48>>2]=f[h+-48>>2];f[b+-44>>2]=f[h+-44>>2];f[b+-40>>2]=f[h+-40>>2];f[b+-36>>2]=f[h+-36>>2];f[b+-32>>2]=f[h+-32>>2];f[b+-28>>2]=f[h+-28>>2];f[b+-24>>2]=f[h+-24>>2];f[b+-20>>2]=f[h+-20>>2];f[b+-16>>2]=f[h+-16>>2];f[b+-12>>2]=f[h+-12>>2];f[b+-8>>2]=f[h+-8>>2];f[b+-4>>2]=f[h+-4>>2];b=b+-56|0}while((i|0)!=(g|0));n=b;o=f[a>>2]|0}f[a>>2]=n;f[e>>2]=m;f[c>>2]=d;if(!o)return;Emc(o);return}function $D(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/60|0)>>>0>=b>>>0){h=b;i=g;do{j=i;k=j+60|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));i=(f[e>>2]|0)+60|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/60|0;g=i+b|0;if(g>>>0>71582788)Ukc(a);l=(d-h|0)/60|0;h=l<<1;d=l>>>0<35791394?(h>>>0<g>>>0?g:h):71582788;do if(d)if(d>>>0>71582788){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{m=Bmc(d*60|0)|0;break}else m=0;while(0);h=m+(i*60|0)|0;i=h;g=m+(d*60|0)|0;d=b;b=h;m=i;do{j=b;k=j+60|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));b=m+60|0;m=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;if((b|0)==(g|0)){n=i;o=g}else{i=b;b=h;do{h=i;i=i+-60|0;f[b+-60>>2]=f[i>>2];f[b+-56>>2]=f[h+-56>>2];f[b+-52>>2]=f[h+-52>>2];f[b+-48>>2]=f[h+-48>>2];f[b+-44>>2]=f[h+-44>>2];f[b+-40>>2]=f[h+-40>>2];f[b+-36>>2]=f[h+-36>>2];f[b+-32>>2]=f[h+-32>>2];f[b+-28>>2]=f[h+-28>>2];f[b+-24>>2]=f[h+-24>>2];f[b+-20>>2]=f[h+-20>>2];f[b+-16>>2]=f[h+-16>>2];f[b+-12>>2]=f[h+-12>>2];f[b+-8>>2]=f[h+-8>>2];f[b+-4>>2]=f[h+-4>>2];b=b+-60|0}while((i|0)!=(g|0));n=b;o=f[a>>2]|0}f[a>>2]=n;f[e>>2]=m;f[c>>2]=d;if(!o)return;Emc(o);return}function aE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>6>>>0>=b>>>0){h=b;i=g;do{j=i;k=j+64|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));i=(f[e>>2]|0)+64|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>6;g=i+b|0;if(g>>>0>67108863)Ukc(a);l=d-h|0;h=l>>5;d=l>>6>>>0<33554431?(h>>>0<g>>>0?g:h):67108863;do if(d)if(d>>>0>67108863){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{m=Bmc(d<<6)|0;break}else m=0;while(0);h=m+(i<<6)|0;i=h;g=m+(d<<6)|0;d=b;b=h;m=i;do{j=b;k=j+64|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));b=m+64|0;m=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;j=g;if((b|0)==(g|0)){n=i;o=j}else{i=b+-64-j|0;j=b;b=h;while(1){k=j;j=j+-64|0;f[b+-64>>2]=f[j>>2];f[b+-60>>2]=f[k+-60>>2];f[b+-56>>2]=f[k+-56>>2];f[b+-52>>2]=f[k+-52>>2];f[b+-48>>2]=f[k+-48>>2];f[b+-44>>2]=f[k+-44>>2];f[b+-40>>2]=f[k+-40>>2];f[b+-36>>2]=f[k+-36>>2];f[b+-32>>2]=f[k+-32>>2];f[b+-28>>2]=f[k+-28>>2];f[b+-24>>2]=f[k+-24>>2];f[b+-20>>2]=f[k+-20>>2];f[b+-16>>2]=f[k+-16>>2];f[b+-12>>2]=f[k+-12>>2];f[b+-8>>2]=f[k+-8>>2];f[b+-4>>2]=f[k+-4>>2];if((j|0)==(g|0))break;else b=b+-64|0}n=h+(~(i>>>6)<<6)|0;o=f[a>>2]|0}f[a>>2]=n;f[e>>2]=m;f[c>>2]=d;if(!o)return;Emc(o);return}function bE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>7>>>0>=b>>>0){h=b;i=g;do{j=i;k=j+128|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));i=(f[e>>2]|0)+128|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>7;g=i+b|0;if(g>>>0>33554431)Ukc(a);l=d-h|0;h=l>>6;d=l>>7>>>0<16777215?(h>>>0<g>>>0?g:h):33554431;do if(d)if(d>>>0>33554431){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{m=Bmc(d<<7)|0;break}else m=0;while(0);h=m+(i<<7)|0;i=h;g=m+(d<<7)|0;d=b;b=h;m=i;do{j=b;k=j+128|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));b=m+128|0;m=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;j=g;if((b|0)==(g|0)){n=i;o=j}else{i=b+-128-j|0;j=b;b=h;while(1){k=0;do{f[b+-128+(k<<2)>>2]=f[j+-128+(k<<2)>>2];k=k+1|0}while((k|0)!=32);j=j+-128|0;if((j|0)==(g|0))break;else b=b+-128|0}n=h+(~(i>>>7)<<7)|0;o=f[a>>2]|0}f[a>>2]=n;f[e>>2]=m;f[c>>2]=d;if(!o)return;Emc(o);return}function cE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>8>>>0>=b>>>0){h=b;i=g;do{Drc(i|0,0,256)|0;i=(f[e>>2]|0)+256|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>8;g=i+b|0;if(g>>>0>16777215)Ukc(a);j=d-h|0;h=j>>7;d=j>>8>>>0<8388607?(h>>>0<g>>>0?g:h):16777215;do if(d)if(d>>>0>16777215){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{k=Bmc(d<<8)|0;break}else k=0;while(0);h=k+(i<<8)|0;i=h;g=k+(d<<8)|0;d=b;b=h;k=i;do{Drc(b|0,0,256)|0;b=k+256|0;k=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;j=g;if((b|0)==(g|0)){l=i;m=j}else{i=b+-256-j|0;j=b;b=h;while(1){n=0;do{f[b+-256+(n<<2)>>2]=f[j+-256+(n<<2)>>2];n=n+1|0}while((n|0)!=64);j=j+-256|0;if((j|0)==(g|0))break;else b=b+-256|0}l=h+(~(i>>>8)<<8)|0;m=f[a>>2]|0}f[a>>2]=l;f[e>>2]=k;f[c>>2]=d;if(!m)return;Emc(m);return}function dE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>9>>>0>=b>>>0){h=b;i=g;do{Drc(i|0,0,512)|0;i=(f[e>>2]|0)+512|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>9;g=i+b|0;if(g>>>0>8388607)Ukc(a);j=d-h|0;h=j>>8;d=j>>9>>>0<4194303?(h>>>0<g>>>0?g:h):8388607;do if(d)if(d>>>0>8388607){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{k=Bmc(d<<9)|0;break}else k=0;while(0);h=k+(i<<9)|0;i=h;g=k+(d<<9)|0;d=b;b=h;k=i;do{Drc(b|0,0,512)|0;b=k+512|0;k=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;j=g;if((b|0)==(g|0)){l=i;m=j}else{i=b+-512-j|0;j=b;b=h;while(1){n=0;do{f[b+-512+(n<<2)>>2]=f[j+-512+(n<<2)>>2];n=n+1|0}while((n|0)!=128);j=j+-512|0;if((j|0)==(g|0))break;else b=b+-512|0}l=h+(~(i>>>9)<<9)|0;m=f[a>>2]|0}f[a>>2]=l;f[e>>2]=k;f[c>>2]=d;if(!m)return;Emc(m);return}function eE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=f[a>>2]|0;d=a+4|0;e=f[d>>2]|0;g=b+4|0;do if((e|0)!=(c|0)){h=e;i=f[g>>2]|0;while(1){j=i+-12|0;f[j>>2]=0;k=i+-8|0;f[k>>2]=0;f[i+-4>>2]=0;l=h+-8|0;h=h+-12|0;m=(f[l>>2]|0)-(f[h>>2]|0)|0;if(m|0){if((m|0)<0){n=6;break}o=Bmc(m)|0;f[k>>2]=o;f[j>>2]=o;f[i+-4>>2]=o+m;m=f[h>>2]|0;p=(f[l>>2]|0)-m|0;if((p|0)>0){Krc(o|0,m|0,p|0)|0;f[k>>2]=o+p}}i=(f[g>>2]|0)+-12|0;f[g>>2]=i;if((h|0)==(c|0)){n=10;break}}if((n|0)==6)Ukc(j);else if((n|0)==10){q=g;r=a;s=i;t=f[a>>2]|0;break}}else{q=g;r=a;s=f[g>>2]|0;t=c}while(0);f[r>>2]=s;f[q>>2]=t;t=b+8|0;s=f[d>>2]|0;f[d>>2]=f[t>>2];f[t>>2]=s;s=a+8|0;a=b+12|0;t=f[s>>2]|0;f[s>>2]=f[a>>2];f[a>>2]=t;f[b>>2]=f[q>>2];return}function fE(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+16|0;e=d;g=f[a>>2]&2031616;if((c|0)<0){if((g|0)!=65536){f[e>>2]=0;f[e+4>>2]=0;h=YG(e,8)|0;i=h;b[i>>0]=107;b[i+1>>0]=32;b[i+2>>0]=61;b[i+3>>0]=61;i=h+4|0;b[i>>0]=32;b[i+1>>0]=77;b[i+2>>0]=65;b[i+3>>0]=84;SQ(-215,e,189039,187222,1760)}j=f[a+4>>2]|0;u=d;return j|0}i=g&2097151;a:do if((i|0)<983040){switch(i|0){case 327680:{break a;break}default:{}}f[e>>2]=0;k=e+4|0;f[k>>2]=0;l=YG(e,41)|0;m=l;n=189049;o=m+41|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,e,189039,187222,1764)}else{switch(i|0){case 983040:{break a;break}default:{}}f[e>>2]=0;k=e+4|0;f[k>>2]=0;l=YG(e,41)|0;m=l;n=189049;o=m+41|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,e,189039,187222,1764)}while(0);l=f[a+4>>2]|0;if((g|0)==327680){g=f[l>>2]|0;if((((f[l+4>>2]|0)-g|0)/56|0|0)<=(c|0)){f[e>>2]=0;f[e+4>>2]=0;m=YG(e,17)|0;n=189009;o=m+17|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,e,189039,187222,1769)}j=g+(c*56|0)|0;u=d;return j|0}else{if((f[a+12>>2]|0)<=(c|0)){f[e>>2]=0;f[e+4>>2]=0;m=YG(e,23)|0;n=187349;o=m+23|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,e,189039,187222,1775)}j=l+(c*56|0)|0;u=d;return j|0}return 0}function gE(a){a=a|0;return (f[a>>2]&1073741824|0)!=0|0}function hE(a){a=a|0;return (f[a>>2]|0)<0|0}function iE(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=u;u=u+16|0;k=j;l=f[a>>2]|0;m=l&2031616;n=(g|0)<0;do if(n&(m|0)==65536){if((i|0)==0&(h^1)){if(l&1073741824|0?(o=f[(f[a+4>>2]|0)+40>>2]|0,!((f[o>>2]|0)==(c|0)?(f[o+4>>2]|0)==(d|0):0)):0){f[k>>2]=0;f[k+4>>2]=0;p=YG(k,68)|0;q=189091;r=p+68|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,k,472539,187222,1235)}o=f[a+4>>2]|0;if((l|0)<0?(f[o>>2]&4095|0)!=(e|0):0){f[k>>2]=0;f[k+4>>2]=0;p=YG(k,44)|0;q=187765;r=p+44|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,k,472539,187222,1236)}s=e&4095;if(((((f[o+4>>2]|0)<3?(f[o+8>>2]|0)==(c|0):0)?(f[o+12>>2]|0)==(d|0):0)?(f[o>>2]&4095|0)==(s|0):0)?f[o+16>>2]|0:0){u=j;return}f[k>>2]=c;f[k+4>>2]=d;iP(o,2,k,s);u=j;return}}else{if(n&(m|0)==655360){if(!((i|0)==0&(h^1)))break;if(l&1073741824|0?(s=f[(f[a+4>>2]|0)+32>>2]|0,!((f[s>>2]|0)==(c|0)?(f[s+4>>2]|0)==(d|0):0)):0){f[k>>2]=0;f[k+4>>2]=0;p=YG(k,69)|0;q=189160;r=p+69|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,k,472539,187222,1242)}o=f[a+4>>2]|0;if((l|0)<0?(f[o>>2]&4095|0)!=(e|0):0){f[k>>2]=0;f[k+4>>2]=0;p=YG(k,45)|0;q=187865;r=p+45|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,k,472539,187222,1243)}s=e&4095;if(((((f[o+4>>2]|0)<3?(f[o+8>>2]|0)==(c|0):0)?(f[o+12>>2]|0)==(d|0):0)?(f[o>>2]&4095|0)==(s|0):0)?f[o+24>>2]|0:0){u=j;return}f[k>>2]=c;f[k+4>>2]=d;rN(o,2,k,s,0);u=j;return}if(n&(m|0)==589824){if(!((i|0)==0&(h^1)))break;if(l&1073741824|0?(s=f[a+4>>2]|0,!((f[s+8>>2]|0)==(d|0)?(f[s+4>>2]|0)==(c|0):0)):0){f[k>>2]=0;f[k+4>>2]=0;p=YG(k,66)|0;q=189230;r=p+66|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,k,472539,187222,1249)}o=f[a+4>>2]|0;if((l|0)>=0)EV(o,c,d,e);if((f[o>>2]&4095|0)==(e|0))EV(o,c,d,e);else{f[k>>2]=0;f[k+4>>2]=0;p=YG(k,53)|0;q=187963;r=p+53|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,k,472539,187222,1250)}}if(n&(m|0)==458752){if(!((i|0)==0&(h^1)))break;if(l&1073741824|0?(o=f[a+4>>2]|0,!((f[o+12>>2]|0)==(d|0)?(f[o+8>>2]|0)==(c|0):0)):0){f[k>>2]=0;f[k+4>>2]=0;p=YG(k,65)|0;q=189297;r=p+65|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,k,472539,187222,1256)}o=f[a+4>>2]|0;if((l|0)<0?(f[o+16>>2]|0)!=(e|0):0){f[k>>2]=0;f[k+4>>2]=0;p=YG(k,52)|0;q=188068;r=p+52|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,k,472539,187222,1257)}uU(o,c,d,e,34962,0);u=j;return}if(n&(m|0)==524288?(i|0)==0&(h^1):0){if(l&1073741824|0?(s=f[a+4>>2]|0,!((f[s+8>>2]|0)==(d|0)?(f[s+4>>2]|0)==(c|0):0)):0){f[k>>2]=0;f[k+4>>2]=0;p=YG(k,67)|0;q=189363;r=p+67|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,k,472539,187222,1263)}o=f[a+4>>2]|0;if((l|0)>=0)xT(o,c,d,e);if((f[o>>2]&4095|0)==(e|0))xT(o,c,d,e);else{f[k>>2]=0;f[k+4>>2]=0;p=YG(k,54)|0;q=188174;r=p+54|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,k,472539,187222,1264)}}}while(0);f[k>>2]=c;f[k+4>>2]=d;ID(a,2,k,e,g,h,i);u=j;return}function jE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+144|0;e=d+128|0;g=d;h=f[b>>2]&2031616;a:do if((h|0)>=65536)if((h|0)<655360){switch(h|0){case 65536:break;default:{i=8;break a}}j=f[b+4>>2]|0;k=f[j+4>>2]|0;if((k|0)<=0){l=k;break}m=f[j+40>>2]|0;j=0;do{f[g+(j<<2)>>2]=f[m+(j<<2)>>2];j=j+1|0}while((j|0)!=(k|0));l=k}else{switch(h|0){case 655360:break;default:{i=8;break a}}k=f[b+4>>2]|0;j=f[k+4>>2]|0;if((j|0)<=0){l=j;break}m=f[k+32>>2]|0;k=0;do{f[g+(k<<2)>>2]=f[m+(k<<2)>>2];k=k+1|0}while((k|0)!=(j|0));l=j}else switch(h|0){case 0:{l=0;break}default:i=8}while(0);if((i|0)==8){nD(e,b,-1);f[g>>2]=f[e+4>>2];f[g+4>>2]=f[e>>2];l=2}ID(a,l,g,c,-1,0,0);u=d;return}function kE(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;e=f[a>>2]|0;if((e&2031616|0)!=65536){GD(a);u=c;return}if(e&1073741824|0){f[d>>2]=0;f[d+4>>2]=0;e=YG(d,12)|0;g=187698;h=e+12|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));SQ(-215,d,189431,187222,1742)}uP(f[a+4>>2]|0,0);u=c;return}function lE(a){a=a|0;return (f[a>>2]&2031616|0)!=0|0}function mE(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0,C=0.0,D=0,E=0.0,F=0,G=0.0,H=0,I=0,J=0,K=0;e=u;u=u+112|0;g=e;h=e+56|0;i=f[a>>2]|0;switch(i>>>16&31){case 1:case 2:case 3:case 14:{do if((i&2031616|0)==65536){j=f[a+4>>2]|0;f[g>>2]=f[j>>2];k=g+4|0;l=j+4|0;f[k>>2]=f[l>>2];m=g+8|0;f[m>>2]=f[j+8>>2];f[g+12>>2]=f[j+12>>2];f[g+16>>2]=f[j+16>>2];f[g+20>>2]=f[j+20>>2];f[g+24>>2]=f[j+24>>2];f[g+28>>2]=f[j+28>>2];f[g+32>>2]=f[j+32>>2];n=f[j+36>>2]|0;f[g+36>>2]=n;f[g+40>>2]=m;m=g+48|0;o=g+44|0;f[o>>2]=m;f[m>>2]=0;f[g+52>>2]=0;if(n|0){m=n+12|0;f[m>>2]=(f[m>>2]|0)+1}if((f[l>>2]|0)<3){l=f[j+44>>2]|0;m=f[o>>2]|0;f[m>>2]=f[l>>2];f[m+4>>2]=f[l+4>>2];break}else{f[k>>2]=0;kP(g,j);break}}else lD(g,a,-1);while(0);oT(g,c,d)|0;i=g+36|0;j=f[i>>2]|0;if(j|0?(k=j+12|0,j=f[k>>2]|0,f[k>>2]=j+-1,(j|0)==1):0)lP(g);f[i>>2]=0;i=g+16|0;j=g+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[j>>2]|0)>0){i=f[g+40>>2]|0;k=0;do{f[i+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[j>>2]|0))}j=f[g+44>>2]|0;if((j|0)!=(g+48|0))tE(j);u=e;return}case 10:{AN(f[a+4>>2]|0,c,d)|0;u=e;return}case 9:{do if((f[c>>2]&2031616|0)==65536){j=f[c+4>>2]|0;f[h>>2]=f[j>>2];k=h+4|0;i=j+4|0;f[k>>2]=f[i>>2];l=h+8|0;f[l>>2]=f[j+8>>2];f[h+12>>2]=f[j+12>>2];f[h+16>>2]=f[j+16>>2];f[h+20>>2]=f[j+20>>2];f[h+24>>2]=f[j+24>>2];f[h+28>>2]=f[j+28>>2];f[h+32>>2]=f[j+32>>2];m=f[j+36>>2]|0;f[h+36>>2]=m;f[h+40>>2]=l;l=h+48|0;o=h+44|0;f[o>>2]=l;f[l>>2]=0;f[h+52>>2]=0;if(m|0){l=m+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[i>>2]|0)<3){i=f[j+44>>2]|0;l=f[o>>2]|0;f[l>>2]=f[i>>2];f[l+4>>2]=f[i+4>>2];break}else{f[k>>2]=0;kP(h,j);break}}else lD(h,c,-1);while(0);c=oD(a,-1)|0;if((f[h+4>>2]|0)>2){f[g>>2]=0;q=g+4|0;f[q>>2]=0;r=YG(g,65)|0;s=r;t=189437;v=s+65|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));SQ(-215,g,212476,187222,1840)}j=f[h>>2]|0;if(!(j&16384)){f[g>>2]=0;q=g+4|0;f[q>>2]=0;r=YG(g,65)|0;s=r;t=189437;v=s+65|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));SQ(-215,g,212476,187222,1840)}k=f[h+40>>2]|0;i=f[k+4>>2]|0;l=f[k>>2]|0;k=(i|0)==1;o=(l|0)==1;if(!(k|o)){f[g>>2]=0;q=g+4|0;f[q>>2]=0;r=YG(g,65)|0;s=r;t=189437;v=s+65|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));SQ(-215,g,212476,187222,1840)}m=(c>>>3&511)+1|0;if((m|0)==(i|0)&o|k&(o|(m|0)==(l|0))){w=a+4|0;x=f[w>>2]|0;y=h+16|0;z=f[y>>2]|0;A=+p[z>>3];B=z+8|0;C=+p[B>>3];D=z+16|0;E=+p[D>>3];F=z+24|0;G=+p[F>>3];p[g>>3]=A;H=g+8|0;p[H>>3]=C;I=g+16|0;p[I>>3]=E;J=g+24|0;p[J>>3]=G;K=yY()|0;GV(x,g,d,K)|0}if(m>>>0>4|(j&4095|0)!=6|k&(l|0)==4^1){f[g>>2]=0;q=g+4|0;f[q>>2]=0;r=YG(g,65)|0;s=r;t=189437;v=s+65|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));SQ(-215,g,212476,187222,1840)}else{w=a+4|0;x=f[w>>2]|0;y=h+16|0;z=f[y>>2]|0;A=+p[z>>3];B=z+8|0;C=+p[B>>3];D=z+16|0;E=+p[D>>3];F=z+24|0;G=+p[F>>3];p[g>>3]=A;H=g+8|0;p[H>>3]=C;I=g+16|0;p[I>>3]=E;J=g+24|0;p[J>>3]=G;K=yY()|0;GV(x,g,d,K)|0}break}case 0:{u=e;return}default:{f[g>>2]=0;f[g+4>>2]=0;SQ(-213,g,212476,187222,1844)}}}function nE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=u;u=u+80|0;d=c+56|0;e=c;g=f[a>>2]&2031616;h=g&2097151;if((h|0)<131072){switch(h|0){case 65536:break;default:{f[d>>2]=0;i=d+4|0;f[i>>2]=0;SQ(-213,d,189826,187222,1865)}}j=f[a+4>>2]|0;k=d+8|0;f[k>>2]=0;f[k+4>>2]=0;f[d>>2]=33619968;f[d+4>>2]=j;BN(b,d);u=c;return}if((h|0)<655360){switch(h|0){case 131072:break;default:{f[d>>2]=0;i=d+4|0;f[i>>2]=0;SQ(-213,d,189826,187222,1865)}}do if((g|0)==65536){j=f[a+4>>2]|0;f[e>>2]=f[j>>2];k=e+4|0;l=j+4|0;f[k>>2]=f[l>>2];m=e+8|0;f[m>>2]=f[j+8>>2];f[e+12>>2]=f[j+12>>2];f[e+16>>2]=f[j+16>>2];f[e+20>>2]=f[j+20>>2];f[e+24>>2]=f[j+24>>2];f[e+28>>2]=f[j+28>>2];f[e+32>>2]=f[j+32>>2];n=f[j+36>>2]|0;f[e+36>>2]=n;f[e+40>>2]=m;m=e+48|0;o=e+44|0;f[o>>2]=m;f[m>>2]=0;f[e+52>>2]=0;if(n|0){m=n+12|0;f[m>>2]=(f[m>>2]|0)+1}if((f[l>>2]|0)<3){l=f[j+44>>2]|0;m=f[o>>2]|0;f[m>>2]=f[l>>2];f[m+4>>2]=f[l+4>>2];break}else{f[k>>2]=0;kP(e,j);break}}else lD(e,a,-1);while(0);g=d+8|0;f[g>>2]=0;f[g+4>>2]=0;f[d>>2]=-1040121856;f[d+4>>2]=e;BN(b,d);g=e+36|0;j=f[g>>2]|0;if(j|0?(k=j+12|0,j=f[k>>2]|0,f[k>>2]=j+-1,(j|0)==1):0)lP(e);f[g>>2]=0;g=e+16|0;j=e+4|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[j>>2]|0)>0){g=f[e+40>>2]|0;k=0;do{f[g+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[j>>2]|0))}j=f[e+44>>2]|0;if((j|0)!=(e+48|0))tE(j);u=c;return}switch(h|0){case 655360:break;default:{f[d>>2]=0;i=d+4|0;f[i>>2]=0;SQ(-213,d,189826,187222,1865)}}d=f[a+4>>2]|0;if((d|0)==(b|0)){u=c;return}a=b+24|0;i=f[a>>2]|0;if(i|0){h=i+8|0;f[h>>2]=(f[h>>2]|0)+1}h=d+24|0;i=f[h>>2]|0;if(i|0?(j=i+8|0,i=f[j>>2]|0,f[j>>2]=i+-1,(i|0)==1):0)vN(d);i=d+4|0;if((f[i>>2]|0)>0){j=f[d+32>>2]|0;e=0;do{f[j+(e<<2)>>2]=0;e=e+1|0;p=f[i>>2]|0}while((e|0)<(p|0));f[h>>2]=0;f[d>>2]=f[b>>2];if((p|0)<3)q=13;else q=15}else{f[h>>2]=0;f[d>>2]=f[b>>2];q=13}if((q|0)==13){p=f[b+4>>2]|0;if((p|0)<3){f[i>>2]=p;f[d+8>>2]=f[b+8>>2];f[d+12>>2]=f[b+12>>2];p=f[b+36>>2]|0;i=f[d+36>>2]|0;f[i>>2]=f[p>>2];f[i+4>>2]=f[p+4>>2]}else q=15}if((q|0)==15)tN(d,b);f[d+16>>2]=f[b+16>>2];q=d+20|0;if(!(f[q>>2]|0))f[q>>2]=f[b+20>>2];f[h>>2]=f[a>>2];f[d+28>>2]=f[b+28>>2];u=c;return}function oE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+80|0;d=c+56|0;e=c;g=f[a>>2]&2031616;h=g&2097151;if((h|0)<131072){switch(h|0){case 65536:break;default:{f[d>>2]=0;i=d+4|0;f[i>>2]=0;SQ(-213,d,189826,187222,1887)}}j=f[a+4>>2]|0;if((j|0)==(b|0)){u=c;return}k=b+36|0;l=f[k>>2]|0;if(l|0){m=l+12|0;f[m>>2]=(f[m>>2]|0)+1}m=j+36|0;l=f[m>>2]|0;if(l|0?(n=l+12|0,l=f[n>>2]|0,f[n>>2]=l+-1,(l|0)==1):0)lP(j);f[m>>2]=0;l=j+16|0;n=j+4|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[n>>2]|0)>0){o=f[j+40>>2]|0;p=0;do{f[o+(p<<2)>>2]=0;p=p+1|0;q=f[n>>2]|0}while((p|0)<(q|0));f[j>>2]=f[b>>2];if((q|0)<3)r=14;else r=16}else{f[j>>2]=f[b>>2];r=14}if((r|0)==14){q=f[b+4>>2]|0;if((q|0)<3){f[n>>2]=q;f[j+8>>2]=f[b+8>>2];f[j+12>>2]=f[b+12>>2];q=f[b+44>>2]|0;n=f[j+44>>2]|0;f[n>>2]=f[q>>2];f[n+4>>2]=f[q+4>>2]}else r=16}if((r|0)==16)kP(j,b);f[l>>2]=f[b+16>>2];f[j+20>>2]=f[b+20>>2];f[j+24>>2]=f[b+24>>2];f[j+28>>2]=f[b+28>>2];f[j+32>>2]=f[b+32>>2];f[m>>2]=f[k>>2];u=c;return}if((h|0)>=655360){switch(h|0){case 655360:break;default:{f[d>>2]=0;i=d+4|0;f[i>>2]=0;SQ(-213,d,189826,187222,1887)}}k=f[a+4>>2]|0;m=d+8|0;f[m>>2]=0;f[m+4>>2]=0;f[d>>2]=34209792;f[d+4>>2]=k;kT(b,d);u=c;return}switch(h|0){case 131072:break;default:{f[d>>2]=0;i=d+4|0;f[i>>2]=0;SQ(-213,d,189826,187222,1887)}}do if((g|0)==65536){i=f[a+4>>2]|0;f[e>>2]=f[i>>2];h=e+4|0;k=i+4|0;f[h>>2]=f[k>>2];m=e+8|0;f[m>>2]=f[i+8>>2];f[e+12>>2]=f[i+12>>2];f[e+16>>2]=f[i+16>>2];f[e+20>>2]=f[i+20>>2];f[e+24>>2]=f[i+24>>2];f[e+28>>2]=f[i+28>>2];f[e+32>>2]=f[i+32>>2];j=f[i+36>>2]|0;f[e+36>>2]=j;f[e+40>>2]=m;m=e+48|0;l=e+44|0;f[l>>2]=m;f[m>>2]=0;f[e+52>>2]=0;if(j|0){m=j+12|0;f[m>>2]=(f[m>>2]|0)+1}if((f[k>>2]|0)<3){k=f[i+44>>2]|0;m=f[l>>2]|0;f[m>>2]=f[k>>2];f[m+4>>2]=f[k+4>>2];break}else{f[h>>2]=0;kP(e,i);break}}else lD(e,a,-1);while(0);a=d+8|0;f[a>>2]=0;f[a+4>>2]=0;f[d>>2]=-1040121856;f[d+4>>2]=e;kT(b,d);d=e+36|0;b=f[d>>2]|0;if(b|0?(a=b+12|0,b=f[a>>2]|0,f[a>>2]=b+-1,(b|0)==1):0)lP(e);f[d>>2]=0;d=e+16|0;b=e+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[e+40>>2]|0;a=0;do{f[d+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[b>>2]|0))}b=f[e+44>>2]|0;if((b|0)!=(e+48|0))tE(b);u=c;return}function pE(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=u;u=u+16|0;e=d;g=f[a>>2]&2031616;if((g|0)<720896){switch(g|0){case 327680:break;default:{f[e>>2]=0;h=e+4|0;f[h>>2]=0;SQ(-213,e,189826,187222,1925)}}i=f[a+4>>2]|0;j=f[i>>2]|0;k=c+4|0;l=f[k>>2]|0;m=f[c>>2]|0;n=j;if((((f[i+4>>2]|0)-j|0)/56|0|0)!=((l-m|0)/48|0|0)){f[e>>2]=0;f[e+4>>2]=0;o=YG(e,25)|0;p=189503;q=o+25|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,e,189826,187222,1912)}if((l|0)==(m|0)){u=d;return}j=e+8|0;r=e+4|0;s=0;t=m;m=n;n=l;while(1){l=t;v=l+(s*48|0)|0;w=m+(s*56|0)|0;x=f[m+(s*56|0)+36>>2]|0;if((x|0)!=0?(x|0)==(f[l+(s*48|0)+24>>2]|0):0){y=t;z=n}else{l=j;f[l>>2]=0;f[l+4>>2]=0;f[e>>2]=33619968;f[r>>2]=w;BN(v,e);y=f[c>>2]|0;z=f[k>>2]|0}v=s+1|0;if(v>>>0>=((z-y|0)/48|0)>>>0)break;s=v;t=y;m=f[i>>2]|0;n=z}u=d;return}else{switch(g|0){case 720896:break;default:{f[e>>2]=0;h=e+4|0;f[h>>2]=0;SQ(-213,e,189826,187222,1925)}}h=f[a+4>>2]|0;a=f[h>>2]|0;g=c+4|0;z=f[g>>2]|0;n=f[c>>2]|0;i=a;if(((f[h+4>>2]|0)-a|0)!=(z-n|0)){f[e>>2]=0;f[e+4>>2]=0;o=YG(e,25)|0;p=189503;q=o+25|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,e,189826,187222,1898)}if((z|0)==(n|0)){u=d;return}p=e+8|0;o=e+4|0;q=0;a=n;n=i;i=z;while(1){z=a;m=z+(q*48|0)|0;y=n+(q*48|0)|0;t=f[n+(q*48|0)+24>>2]|0;if((t|0)!=0?(t|0)==(f[z+(q*48|0)+24>>2]|0):0){A=a;B=i}else{z=p;f[z>>2]=0;f[z+4>>2]=0;f[e>>2]=34209792;f[o>>2]=y;BN(m,e);A=f[c>>2]|0;B=f[g>>2]|0}m=q+1|0;if(m>>>0>=((B-A|0)/48|0)>>>0)break;q=m;a=A;n=f[h>>2]|0;i=B}u=d;return}}function qE(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=u;u=u+16|0;e=d;g=f[a>>2]&2031616;if((g|0)<720896){switch(g|0){case 327680:break;default:{f[e>>2]=0;h=e+4|0;f[h>>2]=0;SQ(-213,e,189826,187222,1963)}}i=f[a+4>>2]|0;j=f[i>>2]|0;k=c+4|0;l=f[k>>2]|0;m=f[c>>2]|0;n=j;if(((f[i+4>>2]|0)-j|0)!=(l-m|0)){f[e>>2]=0;f[e+4>>2]=0;o=YG(e,25)|0;p=189503;q=o+25|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,e,189826,187222,1950)}if((l|0)==(m|0)){u=d;return}j=e+8|0;r=e+4|0;s=0;t=m;m=n;n=l;while(1){l=t;v=l+(s*56|0)|0;w=m+(s*56|0)|0;x=f[m+(s*56|0)+36>>2]|0;if((x|0)!=0?(x|0)==(f[l+(s*56|0)+36>>2]|0):0){y=t;z=n}else{l=j;f[l>>2]=0;f[l+4>>2]=0;f[e>>2]=33619968;f[r>>2]=w;kT(v,e);y=f[c>>2]|0;z=f[k>>2]|0}v=s+1|0;if(v>>>0>=((z-y|0)/56|0)>>>0)break;s=v;t=y;m=f[i>>2]|0;n=z}u=d;return}else{switch(g|0){case 720896:break;default:{f[e>>2]=0;h=e+4|0;f[h>>2]=0;SQ(-213,e,189826,187222,1963)}}h=f[a+4>>2]|0;a=f[h>>2]|0;g=c+4|0;z=f[g>>2]|0;n=f[c>>2]|0;i=a;if((((f[h+4>>2]|0)-a|0)/48|0|0)!=((z-n|0)/56|0|0)){f[e>>2]=0;f[e+4>>2]=0;o=YG(e,25)|0;p=189503;q=o+25|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,e,189826,187222,1936)}if((z|0)==(n|0)){u=d;return}p=e+8|0;o=e+4|0;q=0;a=n;n=i;i=z;while(1){z=a;m=z+(q*56|0)|0;y=n+(q*48|0)|0;t=f[n+(q*48|0)+24>>2]|0;if((t|0)!=0?(t|0)==(f[z+(q*56|0)+36>>2]|0):0){A=a;B=i}else{z=p;f[z>>2]=0;f[z+4>>2]=0;f[e>>2]=34209792;f[o>>2]=y;kT(m,e);A=f[c>>2]|0;B=f[g>>2]|0}m=q+1|0;if(m>>>0>=((B-A|0)/56|0)>>>0)break;q=m;a=A;n=f[h>>2]|0;i=B}u=d;return}}function rE(){return 41400}function sE(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=u;u=u+32|0;c=b;d=b+16|0;e=b+8|0;f[e>>2]=0;if(!(a7b(e,64,a)|0)){g=f[e>>2]|0;if(g|0){u=b;return g|0}}else f[e>>2]=0;e=c;f[e>>2]=a;f[e+4>>2]=0;aR(d,189529,c);SQ(-4,d,189559,189576,55);return 0}function tE(a){a=a|0;X6b(a);return}function uE(a){a=a|0;return sE(a)|0}function vE(a){a=a|0;X6b(a);return}function wE(a){a=a|0;return}
function VX(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;c=b+-4|0;if((b|0)<4){d=0;e=0}else{f=0;g=0;do{g=(+p[a+(f<<3)>>3]!=0.0&1)+g+(+p[a+((f|1)<<3)>>3]!=0.0&1)+(+p[a+((f|2)<<3)>>3]!=0.0&1)+(+p[a+((f|3)<<3)>>3]!=0.0&1)|0;f=f+4|0}while((f|0)<=(c|0));d=g;e=b&-4}if((e|0)<(b|0)){h=e;i=d}else{j=d;return j|0}while(1){d=(+p[a+(h<<3)>>3]!=0.0&1)+i|0;h=h+1|0;if((h|0)==(b|0)){j=d;break}else i=d}return j|0}function WX(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=b;f[a>>2]=49512;zT(c,49584);if(!(f[c+4>>2]|0)){u=b;return}u=b;return}function XX(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=b;f[a>>2]=49512;zT(c,49584);if(!(f[c+4>>2]|0)){Emc(a);u=b;return}Emc(a);u=b;return}function YX(a){a=a|0;return}function ZX(a,b){a=a|0;b=b|0;return}function _X(a,b){a=a|0;b=b|0;return}function $X(a){a=a|0;return 0}function aY(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+64|0;e=d+56|0;g=d+48|0;h=d+8|0;i=d;zT(g,49564);f[e>>2]=0;f[e+4>>2]=0;K_(h,c,1,e);ZG(e);xh[f[(f[a>>2]|0)+28>>2]&2047](i,a);c=N_(h,i)|0;f[e>>2]=0;f[e+4>>2]=0;j=YG(e,1)|0;b[j>>0]=123;N_(c,e)|0;ZG(e);ZG(i);xh[f[(f[a>>2]|0)+12>>2]&2047](a,h);f[e>>2]=0;f[e+4>>2]=0;a=YG(e,1)|0;b[a>>0]=125;N_(h,e)|0;ZG(e);C_(h);if(!(f[g+4>>2]|0)){u=d;return}u=d;return}function bY(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;zT(d,49544);f[a>>2]=0;f[a+4>>2]=0;e=YG(a,9)|0;a=222320;g=e+9|0;do{b[e>>0]=b[a>>0]|0;e=e+1|0;a=a+1|0}while((e|0)<(g|0));if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function cY(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=b;f[a>>2]=49512;zT(c,49604);if(!(f[c+4>>2]|0)){u=b;return}u=b;return}function dY(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;a=u;u=u+16|0;d=a+8|0;e=a;zT(e,49624);f[d>>2]=0;f[d+4>>2]=0;g=YG(d,6)|0;b[g>>0]=b[222593]|0;b[g+1>>0]=b[222594]|0;b[g+2>>0]=b[222595]|0;b[g+3>>0]=b[222596]|0;b[g+4>>0]=b[222597]|0;b[g+5>>0]=b[222598]|0;g=N_(c,d)|0;ZG(d);if(ci[f[(f[g>>2]|0)+12>>2]&1023](g)|0){c=g+32|0;if((f[c>>2]|0)==6){f[d>>2]=0;f[d+4>>2]=0;h=YG(d,30)|0;i=387098;j=h+30|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));SQ(-2,d,523834,387129,1183)}W_(g,g+12|0,3);if(f[c>>2]&4|0)f[c>>2]=6}if(!(f[e+4>>2]|0)){u=a;return}u=a;return}function eY(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,o=0.0,p=0.0,q=0.0;g=u;u=u+16|0;h=g;zT(h,49644);i=e?1.0:.01745329238474369;if((d|0)>0){e=0;do{j=+n[a+(e<<2)>>2];k=+n[b+(e<<2)>>2];l=+L(+k);m=+L(+j);if(!(l>=m)){o=l/(m+2.220446049250313e-16);p=o*o;q=90.0-o*(p*(p*(8.914000511169434-p*2.539724588394165)+-18.66744613647461)+57.283626556396484)}else{p=m/(l+2.220446049250313e-16);l=p*p;q=p*(l*(l*(8.914000511169434-l*2.539724588394165)+-18.66744613647461)+57.283626556396484)}l=k<0.0?180.0-q:q;n[c+(e<<2)>>2]=i*(j<0.0?360.0-l:l);e=e+1|0}while((e|0)!=(d|0))}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function fY(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0.0,m=0,o=0,q=0,r=0,s=0.0,t=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0;g=u;u=u+1552|0;h=g+1536|0;i=g+1024|0;j=g+512|0;k=g;zT(h,49664);if((d|0)>0){l=e?1.0:.01745329238474369;e=0;do{m=d-e|0;o=(m|0)<128?m:128;q=(m|0)>0;if(q){m=0;do{r=m+e|0;n[i+(m<<2)>>2]=+p[a+(r<<3)>>3];n[j+(m<<2)>>2]=+p[b+(r<<3)>>3];m=m+1|0}while((m|0)<(o|0));if(q){m=0;do{s=+n[i+(m<<2)>>2];t=+n[j+(m<<2)>>2];v=+L(+t);w=+L(+s);if(!(v>=w)){x=v/(w+2.220446049250313e-16);y=x*x;z=90.0-x*(y*(y*(8.914000511169434-y*2.539724588394165)+-18.66744613647461)+57.283626556396484)}else{y=w/(v+2.220446049250313e-16);v=y*y;z=y*(v*(v*(8.914000511169434-v*2.539724588394165)+-18.66744613647461)+57.283626556396484)}v=t<0.0?180.0-z:z;n[k+(m<<2)>>2]=l*(s<0.0?360.0-v:v);m=m+1|0}while((m|0)!=(o|0));if(q){m=0;do{p[c+(m+e<<3)>>3]=+n[k+(m<<2)>>2];m=m+1|0}while((m|0)<(o|0))}}}e=e+128|0}while((e|0)<(d|0))}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function gY(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0.0,j=0.0,k=0,l=0,m=0;d=u;u=u+16|0;e=d;zT(e,49804);g=LS()|0;if((c|0)>0){h=0;do{i=+n[a+(h<<2)>>2];j=i<-2079.441650390625?-2079.441650390625:i;i=(j>2079.441650390625?2079.441650390625:j)*92.33248138427734;k=U9b(i)|0;j=(i-+(k|0))*.015625;l=k>>6;m=l+127|0;n[b+(h<<2)>>2]=+n[g+((k&63)<<2)>>2]*(f[s>>2]=(m>>>0>255?((l|0)<-127?0:255):m)<<23,+n[s>>2])*(j*(j*(j*(j+5.73953104019165)+24.84149932861328)+71.67741394042969)+103.40864562988281);h=h+1|0}while((h|0)!=(c|0))}if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function hY(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0.0,j=0.0,k=0,l=0,m=0,n=0;d=u;u=u+16|0;e=d;zT(e,49824);g=KS()|0;if((c|0)>0){h=0;do{i=+p[a+(h<<3)>>3];j=i<-2079.441541679836?-2079.441541679836:i;i=(j>2079.441541679836?2079.441541679836:j)*92.33248261689366;k=V9b(i)|0;j=(i-+(k|0))*.015625;l=k>>6;m=l+1023|0;n=Qrc((m>>>0>2047?((l|0)<-1023?0:2047):m)|0,0,52)|0;m=J;f[s>>2]=n;f[s+4>>2]=m;p[b+(h<<3)>>3]=+p[g+((k&63)<<3)>>3]*+p[s>>3]*(j*(j*(j*(j*(j*.13825440165858396+.9945944344074722)+5.7396048189422615)+24.841498169168357)+71.67741243389332)+103.4086474621308);h=h+1|0}while((h|0)!=(c|0))}if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function iY(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0.0;d=u;u=u+16|0;e=d;zT(e,49844);g=NS()|0;if((c|0)>0){h=0;do{i=f[a+(h<<2)>>2]|0;j=i>>>14&510;k=((j|0)==510?-.001953125:0.0)+ +n[g+((j|1)<<2)>>2]*((f[s>>2]=i&32767|1065353216,+n[s>>2])+-1.0);n[b+(h<<2)>>2]=+n[g+(j<<2)>>2]+ +((i>>>23&255)+-127|0)*.6931471824645996+k*(k*(k*.3333333432674408+-.5)+1.0);h=h+1|0}while((h|0)!=(c|0))}if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function jY(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0;d=u;u=u+16|0;e=d;zT(e,49864);g=MS()|0;if((c|0)>0){h=0;do{i=a+(h<<3)|0;j=f[i>>2]|0;k=f[i+4>>2]|0;i=Irc(j|0,k|0,43)|0;l=i&510;i=Irc(j|0,k|0,52)|0;m=+p[g+(l<<3)>>3]+ +((i&2047)+-1023|0)*.6931471805599453;f[s>>2]=j;f[s+4>>2]=k&4095|1072693248;n=+p[g+((l|1)<<3)>>3]*(+p[s>>3]+-1.0)+((l|0)==510?-.001953125:0.0);o=n*n;p[b+(h<<3)>>3]=m+(o*(o*(o*(-.16666666666666666-o*.125)+-.25)+-.5)+n*(o*(o*(o*.14285714285714288+.2)+.3333333333333333)+1.0));h=h+1|0}while((h|0)!=(c|0))}if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function kY(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;g=u;u=u+16|0;h=g;zT(h,49884);eY(a,b,c,d,e);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function lY(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;g=u;u=u+16|0;h=g;zT(h,49904);fY(a,b,c,d,e);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function mY(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0.0,j=0.0,k=0.0;e=u;u=u+16|0;g=e+8|0;h=e;zT(h,49924);zT(g,49684);if((d|0)>0){g=0;do{i=+n[a+(g<<2)>>2];j=+n[b+(g<<2)>>2];k=+M(+(i*i+j*j));n[c+(g<<2)>>2]=k;g=g+1|0}while((g|0)!=(d|0))}if(!(f[h+4>>2]|0)){u=e;return}u=e;return}function nY(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0.0,j=0.0,k=0.0;e=u;u=u+16|0;g=e+8|0;h=e;zT(h,49944);zT(g,49704);if((d|0)>0){g=0;do{i=+p[a+(g<<3)>>3];j=+p[b+(g<<3)>>3];k=+M(+(i*i+j*j));p[c+(g<<3)>>3]=k;g=g+1|0}while((g|0)!=(d|0))}if(!(f[h+4>>2]|0)){u=e;return}u=e;return}function oY(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0.0;d=u;u=u+16|0;e=d+8|0;g=d;zT(g,49964);zT(e,49724);if((c|0)>0){e=0;do{h=1.0/+M(+(+n[a+(e<<2)>>2]));n[b+(e<<2)>>2]=h;e=e+1|0}while((e|0)!=(c|0))}if(!(f[g+4>>2]|0)){u=d;return}u=d;return}function pY(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0.0;d=u;u=u+16|0;e=d+8|0;g=d;zT(g,49984);zT(e,49744);if((c|0)>0){e=0;do{h=1.0/+M(+(+p[a+(e<<3)>>3]));p[b+(e<<3)>>3]=h;e=e+1|0}while((e|0)!=(c|0))}if(!(f[g+4>>2]|0)){u=d;return}u=d;return}function qY(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0.0;d=u;u=u+16|0;e=d+8|0;g=d;zT(g,50004);zT(e,49764);if((c|0)>0){e=0;do{h=+M(+(+n[a+(e<<2)>>2]));n[b+(e<<2)>>2]=h;e=e+1|0}while((e|0)!=(c|0))}if(!(f[g+4>>2]|0)){u=d;return}u=d;return}function rY(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0.0;d=u;u=u+16|0;e=d+8|0;g=d;zT(g,50024);zT(e,49784);if((c|0)>0){e=0;do{h=+M(+(+p[a+(e<<3)>>3]));p[b+(e<<3)>>3]=h;e=e+1|0}while((e|0)!=(c|0))}if(!(f[g+4>>2]|0)){u=d;return}u=d;return}function sY(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;zT(e,50044);gY(a,b,c);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function tY(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;zT(e,50064);hY(a,b,c);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function uY(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;zT(e,50084);iY(a,b,c);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function vY(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;zT(e,50104);jY(a,b,c);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function wY(a,b){a=+a;b=+b;var c=0.0,d=0.0,e=0.0,f=0.0,g=0.0;c=+L(+b);d=+L(+a);if(!(c>=d)){e=c/(d+2.220446049250313e-16);f=e*e;g=90.0-e*(f*(f*(8.914000511169434-f*2.539724588394165)+-18.66744613647461)+57.283626556396484)}else{f=d/(c+2.220446049250313e-16);c=f*f;g=f*(c*(c*(8.914000511169434-c*2.539724588394165)+-18.66744613647461)+57.283626556396484)}c=b<0.0?180.0-g:g;return +(a<0.0?360.0-c:c)}function xY(){var a=0,c=0,d=0,e=0;a=u;u=u+16|0;c=a;f[c>>2]=0;f[c+4>>2]=0;a=YG(c,44)|0;d=224421;e=a+44|0;do{b[a>>0]=b[d>>0]|0;a=a+1|0;d=d+1|0}while((a|0)<(e|0));SQ(-216,c,224466,224480,107)}function yY(){xY();return 0}function zY(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;g=d+8|0;f[e>>2]=f[50124+((c&7)<<2)>>2];f[e+4>>2]=(c>>>3&511)+1;aR(g,224643,e);e=f[g+4>>2]|0;if(e|0){c=f[g>>2]|0;f[a>>2]=c;f[a+4>>2]=e;if(!c){ZG(g);u=d;return}e=c+-4|0;f[e>>2]=(f[e>>2]|0)+1;ZG(g);u=d;return}if((b[527648]|0)==0?src(527648)|0:0){f[135567]=0;f[135568]=0;e=YG(542268,14)|0;c=224649;h=e+14|0;do{b[e>>0]=b[c>>0]|0;e=e+1|0;c=c+1|0}while((e|0)<(h|0));Ad(1603,542268,x|0)|0}c=f[135567]|0;f[a>>2]=c;f[a+4>>2]=f[135568];if(!c){ZG(g);u=d;return}a=c+-4|0;f[a>>2]=(f[a>>2]|0)+1;ZG(g);u=d;return}function AY(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;SQ(-2,a,b,c,d);return}function BY(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;e=u;u=u+176|0;g=e+160|0;h=e+16|0;i=e;e=h+64|0;j=h+8|0;f[j>>2]=46164;k=h+12|0;f[h>>2]=10956;f[e>>2]=10976;f[h+4>>2]=0;Icc(h+64|0,k);f[h+136>>2]=0;f[h+140>>2]=-1;f[h>>2]=46144;f[e>>2]=46184;f[j>>2]=46164;Ncc(k);f[k>>2]=46200;j=h+44|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[h+60>>2]=24;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;YQ(k,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);j=h+8|0;h=f[d+16>>2]|0;e=ZQ(ZQ(j,h,s8b(h)|0)|0,224664,13)|0;h=d+20|0;l=f[h>>2]|0;m=ZQ(ZQ(e,l,s8b(l)|0)|0,523347,1)|0;l=d+12|0;e=f[l>>2]|0;if(e>>>0<7)n=f[50156+(e<<2)>>2]|0;else n=224678;e=ZQ(ZQ(m,n,s8b(n)|0)|0,523347,1)|0;n=d+24|0;m=f[n>>2]|0;o=ZQ(ZQ(e,m,s8b(m)|0)|0,224682,9)|0;Kcc(g,o+(f[(f[o>>2]|0)+-12>>2]|0)|0);m=nec(g,893644)|0;e=Sh[f[(f[m>>2]|0)+28>>2]&511](m,10)|0;oec(g);cdc(o,e)|0;Qcc(o)|0;e=ZQ(o,224692,5)|0;o=f[h>>2]|0;h=ZQ(_cc(ZQ(ZQ(e,o,s8b(o)|0)|0,224698,5)|0,a)|0,523310,2)|0;zY(i,a);a=f[i>>2]|0;o=(a|0)==0?1163146:a;a=ZQ(ZQ(h,o,s8b(o)|0)|0,523313,1)|0;Kcc(g,a+(f[(f[a>>2]|0)+-12>>2]|0)|0);o=nec(g,893644)|0;h=Sh[f[(f[o>>2]|0)+28>>2]&511](o,10)|0;oec(g);cdc(a,h)|0;Qcc(a)|0;ZG(i);a=f[l>>2]|0;if((a|0)!=0&(a|0)<7){a=ZQ(j,224704,8)|0;h=f[l>>2]|0;if(h>>>0<7)p=f[50184+(h<<2)>>2]|0;else p=224678;h=ZQ(a,p,s8b(p)|0)|0;Kcc(g,h+(f[(f[h>>2]|0)+-12>>2]|0)|0);p=nec(g,893644)|0;a=Sh[f[(f[p>>2]|0)+28>>2]&511](p,10)|0;oec(g);cdc(h,a)|0;Qcc(h)|0}h=ZQ(j,224692,5)|0;j=f[n>>2]|0;n=ZQ(_cc(ZQ(ZQ(h,j,s8b(j)|0)|0,224698,5)|0,c)|0,523310,2)|0;zY(g,c);c=f[g>>2]|0;j=(c|0)==0?1163146:c;ZQ(ZQ(n,j,s8b(j)|0)|0,523313,1)|0;ZG(g);_Q(i,k);f[g>>2]=0;f[g+4>>2]=0;k=i+11|0;j=b[k>>0]|0;n=j<<24>>24<0?f[i+4>>2]|0:j&255;if(!n){q=f[d>>2]|0;r=d+4|0;s=f[r>>2]|0;t=d+8|0;v=f[t>>2]|0;AY(g,q,s,v)}j=YG(g,n)|0;Krc(j|0,((b[k>>0]|0)<0?f[i>>2]|0:i)|0,n|0)|0;q=f[d>>2]|0;r=d+4|0;s=f[r>>2]|0;t=d+8|0;v=f[t>>2]|0;AY(g,q,s,v)}function CY(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;e=u;u=u+176|0;g=e+160|0;h=e+16|0;i=e;e=h+64|0;j=h+8|0;f[j>>2]=46164;k=h+12|0;f[h>>2]=10956;f[e>>2]=10976;f[h+4>>2]=0;Icc(h+64|0,k);f[h+136>>2]=0;f[h+140>>2]=-1;f[h>>2]=46144;f[e>>2]=46184;f[j>>2]=46164;Ncc(k);f[k>>2]=46200;j=h+44|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[h+60>>2]=24;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;YQ(k,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);j=h+8|0;h=f[d+16>>2]|0;e=ZQ(ZQ(j,h,s8b(h)|0)|0,224664,13)|0;h=d+20|0;l=f[h>>2]|0;m=ZQ(ZQ(e,l,s8b(l)|0)|0,523347,1)|0;l=d+12|0;e=f[l>>2]|0;if(e>>>0<7)n=f[50156+(e<<2)>>2]|0;else n=224678;e=ZQ(ZQ(m,n,s8b(n)|0)|0,523347,1)|0;n=d+24|0;m=f[n>>2]|0;o=ZQ(ZQ(e,m,s8b(m)|0)|0,224682,9)|0;Kcc(g,o+(f[(f[o>>2]|0)+-12>>2]|0)|0);m=nec(g,893644)|0;e=Sh[f[(f[m>>2]|0)+28>>2]&511](m,10)|0;oec(g);cdc(o,e)|0;Qcc(o)|0;e=ZQ(o,224692,5)|0;o=f[h>>2]|0;h=ZQ(ZQ(e,o,s8b(o)|0)|0,224698,5)|0;o=_cc(h,f[a>>2]|0)|0;Kcc(g,o+(f[(f[o>>2]|0)+-12>>2]|0)|0);a=nec(g,893644)|0;h=Sh[f[(f[a>>2]|0)+28>>2]&511](a,10)|0;oec(g);cdc(o,h)|0;Qcc(o)|0;o=f[l>>2]|0;if((o|0)!=0&(o|0)<7){o=ZQ(j,224704,8)|0;h=f[l>>2]|0;if(h>>>0<7)p=f[50184+(h<<2)>>2]|0;else p=224678;h=ZQ(o,p,s8b(p)|0)|0;Kcc(g,h+(f[(f[h>>2]|0)+-12>>2]|0)|0);p=nec(g,893644)|0;o=Sh[f[(f[p>>2]|0)+28>>2]&511](p,10)|0;oec(g);cdc(h,o)|0;Qcc(h)|0}h=ZQ(j,224692,5)|0;j=f[n>>2]|0;n=ZQ(ZQ(h,j,s8b(j)|0)|0,224698,5)|0;_cc(n,f[c>>2]|0)|0;_Q(i,k);f[g>>2]=0;f[g+4>>2]=0;k=i+11|0;c=b[k>>0]|0;n=c<<24>>24<0?f[i+4>>2]|0:c&255;if(!n){q=f[d>>2]|0;r=d+4|0;s=f[r>>2]|0;t=d+8|0;v=f[t>>2]|0;AY(g,q,s,v)}c=YG(g,n)|0;Krc(c|0,((b[k>>0]|0)<0?f[i>>2]|0:i)|0,n|0)|0;q=f[d>>2]|0;r=d+4|0;s=f[r>>2]|0;t=d+8|0;v=f[t>>2]|0;AY(g,q,s,v)}function DY(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d+4|0;g=d;f[e>>2]=a;f[g>>2]=b;CY(e,g,c)}function EY(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;e=u;u=u+176|0;g=e+160|0;h=e+16|0;i=e;e=h+64|0;j=h+8|0;f[j>>2]=46164;k=h+12|0;f[h>>2]=10956;f[e>>2]=10976;f[h+4>>2]=0;Icc(h+64|0,k);f[h+136>>2]=0;f[h+140>>2]=-1;f[h>>2]=46144;f[e>>2]=46184;f[j>>2]=46164;Ncc(k);f[k>>2]=46200;j=h+44|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[h+60>>2]=24;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;YQ(k,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);j=h+8|0;h=f[d+16>>2]|0;e=ZQ(ZQ(j,h,s8b(h)|0)|0,224664,13)|0;h=d+20|0;l=f[h>>2]|0;m=ZQ(ZQ(e,l,s8b(l)|0)|0,523347,1)|0;l=d+12|0;e=f[l>>2]|0;if(e>>>0<7)n=f[50156+(e<<2)>>2]|0;else n=224678;e=ZQ(ZQ(m,n,s8b(n)|0)|0,523347,1)|0;n=d+24|0;m=f[n>>2]|0;o=ZQ(ZQ(e,m,s8b(m)|0)|0,224682,9)|0;Kcc(g,o+(f[(f[o>>2]|0)+-12>>2]|0)|0);m=nec(g,893644)|0;e=Sh[f[(f[m>>2]|0)+28>>2]&511](m,10)|0;oec(g);cdc(o,e)|0;Qcc(o)|0;e=ZQ(o,224692,5)|0;o=f[h>>2]|0;h=$cc(ZQ(ZQ(e,o,s8b(o)|0)|0,224698,5)|0,a)|0;Kcc(g,h+(f[(f[h>>2]|0)+-12>>2]|0)|0);a=nec(g,893644)|0;o=Sh[f[(f[a>>2]|0)+28>>2]&511](a,10)|0;oec(g);cdc(h,o)|0;Qcc(h)|0;h=f[l>>2]|0;if((h|0)!=0&(h|0)<7){h=ZQ(j,224704,8)|0;o=f[l>>2]|0;if(o>>>0<7)p=f[50184+(o<<2)>>2]|0;else p=224678;o=ZQ(h,p,s8b(p)|0)|0;Kcc(g,o+(f[(f[o>>2]|0)+-12>>2]|0)|0);p=nec(g,893644)|0;h=Sh[f[(f[p>>2]|0)+28>>2]&511](p,10)|0;oec(g);cdc(o,h)|0;Qcc(o)|0}o=ZQ(j,224692,5)|0;j=f[n>>2]|0;$cc(ZQ(ZQ(o,j,s8b(j)|0)|0,224698,5)|0,c)|0;_Q(i,k);f[g>>2]=0;f[g+4>>2]=0;k=i+11|0;c=b[k>>0]|0;j=c<<24>>24<0?f[i+4>>2]|0:c&255;if(!j){q=f[d>>2]|0;r=d+4|0;s=f[r>>2]|0;t=d+8|0;v=f[t>>2]|0;AY(g,q,s,v)}c=YG(g,j)|0;Krc(c|0,((b[k>>0]|0)<0?f[i>>2]|0:i)|0,j|0)|0;q=f[d>>2]|0;r=d+4|0;s=f[r>>2]|0;t=d+8|0;v=f[t>>2]|0;AY(g,q,s,v)}function FY(a,c,d){a=+a;c=+c;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;e=u;u=u+176|0;g=e+160|0;h=e+16|0;i=e;e=h+64|0;j=h+8|0;f[j>>2]=46164;k=h+12|0;f[h>>2]=10956;f[e>>2]=10976;f[h+4>>2]=0;Icc(h+64|0,k);f[h+136>>2]=0;f[h+140>>2]=-1;f[h>>2]=46144;f[e>>2]=46184;f[j>>2]=46164;Ncc(k);f[k>>2]=46200;j=h+44|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[h+60>>2]=24;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;YQ(k,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);j=h+8|0;h=f[d+16>>2]|0;e=ZQ(ZQ(j,h,s8b(h)|0)|0,224664,13)|0;h=d+20|0;l=f[h>>2]|0;m=ZQ(ZQ(e,l,s8b(l)|0)|0,523347,1)|0;l=d+12|0;e=f[l>>2]|0;if(e>>>0<7)n=f[50156+(e<<2)>>2]|0;else n=224678;e=ZQ(ZQ(m,n,s8b(n)|0)|0,523347,1)|0;n=d+24|0;m=f[n>>2]|0;o=ZQ(ZQ(e,m,s8b(m)|0)|0,224682,9)|0;Kcc(g,o+(f[(f[o>>2]|0)+-12>>2]|0)|0);m=nec(g,893644)|0;e=Sh[f[(f[m>>2]|0)+28>>2]&511](m,10)|0;oec(g);cdc(o,e)|0;Qcc(o)|0;e=ZQ(o,224692,5)|0;o=f[h>>2]|0;h=bdc(ZQ(ZQ(e,o,s8b(o)|0)|0,224698,5)|0,a)|0;Kcc(g,h+(f[(f[h>>2]|0)+-12>>2]|0)|0);o=nec(g,893644)|0;e=Sh[f[(f[o>>2]|0)+28>>2]&511](o,10)|0;oec(g);cdc(h,e)|0;Qcc(h)|0;h=f[l>>2]|0;if((h|0)!=0&(h|0)<7){h=ZQ(j,224704,8)|0;e=f[l>>2]|0;if(e>>>0<7)p=f[50184+(e<<2)>>2]|0;else p=224678;e=ZQ(h,p,s8b(p)|0)|0;Kcc(g,e+(f[(f[e>>2]|0)+-12>>2]|0)|0);p=nec(g,893644)|0;h=Sh[f[(f[p>>2]|0)+28>>2]&511](p,10)|0;oec(g);cdc(e,h)|0;Qcc(e)|0}e=ZQ(j,224692,5)|0;j=f[n>>2]|0;bdc(ZQ(ZQ(e,j,s8b(j)|0)|0,224698,5)|0,c)|0;_Q(i,k);f[g>>2]=0;f[g+4>>2]=0;k=i+11|0;j=b[k>>0]|0;e=j<<24>>24<0?f[i+4>>2]|0:j&255;if(!e){q=f[d>>2]|0;r=d+4|0;s=f[r>>2]|0;t=d+8|0;v=f[t>>2]|0;AY(g,q,s,v)}j=YG(g,e)|0;Krc(j|0,((b[k>>0]|0)<0?f[i>>2]|0:i)|0,e|0)|0;q=f[d>>2]|0;r=d+4|0;s=f[r>>2]|0;t=d+8|0;v=f[t>>2]|0;AY(g,q,s,v)}function GY(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=u;u=u+176|0;e=d+160|0;g=d+16|0;h=d;d=g+64|0;i=g+8|0;f[i>>2]=46164;j=g+12|0;f[g>>2]=10956;f[d>>2]=10976;f[g+4>>2]=0;Icc(g+64|0,j);f[g+136>>2]=0;f[g+140>>2]=-1;f[g>>2]=46144;f[d>>2]=46184;f[i>>2]=46164;Ncc(j);f[j>>2]=46200;i=g+44|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[g+60>>2]=24;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;YQ(j,e);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);i=f[c+16>>2]|0;d=ZQ(ZQ(g+8|0,i,s8b(i)|0)|0,510308,1)|0;Kcc(e,d+(f[(f[d>>2]|0)+-12>>2]|0)|0);i=nec(e,893644)|0;g=Sh[f[(f[i>>2]|0)+28>>2]&511](i,10)|0;oec(e);cdc(d,g)|0;Qcc(d)|0;g=ZQ(d,224692,5)|0;d=f[c+24>>2]|0;i=ZQ(ZQ(g,d,s8b(d)|0)|0,224820,1)|0;Kcc(e,i+(f[(f[i>>2]|0)+-12>>2]|0)|0);d=nec(e,893644)|0;g=Sh[f[(f[d>>2]|0)+28>>2]&511](d,10)|0;oec(e);cdc(i,g)|0;Qcc(i)|0;g=ZQ(i,224822,5)|0;Kcc(e,g+(f[(f[g>>2]|0)+-12>>2]|0)|0);i=nec(e,893644)|0;d=Sh[f[(f[i>>2]|0)+28>>2]&511](i,10)|0;oec(e);cdc(g,d)|0;Qcc(g)|0;d=ZQ(g,224692,5)|0;g=f[c+20>>2]|0;i=ZQ(_cc(ZQ(ZQ(d,g,s8b(g)|0)|0,224698,5)|0,a)|0,523310,2)|0;if(a>>>0<8)k=f[50124+(a<<2)>>2]|0;else k=0;a=k|0?k:224568;ZQ(ZQ(i,a,s8b(a)|0)|0,523313,1)|0;_Q(h,j);f[e>>2]=0;f[e+4>>2]=0;j=h+11|0;a=b[j>>0]|0;i=a<<24>>24<0?f[h+4>>2]|0:a&255;if(!i){l=f[c>>2]|0;m=c+4|0;n=f[m>>2]|0;o=c+8|0;p=f[o>>2]|0;AY(e,l,n,p)}a=YG(e,i)|0;Krc(a|0,((b[j>>0]|0)<0?f[h>>2]|0:h)|0,i|0)|0;l=f[c>>2]|0;m=c+4|0;n=f[m>>2]|0;o=c+8|0;p=f[o>>2]|0;AY(e,l,n,p)}function HY(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+176|0;e=d+160|0;g=d+16|0;h=d;d=g+64|0;i=g+8|0;f[i>>2]=46164;j=g+12|0;f[g>>2]=10956;f[d>>2]=10976;f[g+4>>2]=0;Icc(g+64|0,j);f[g+136>>2]=0;f[g+140>>2]=-1;f[g>>2]=46144;f[d>>2]=46184;f[i>>2]=46164;Ncc(j);f[j>>2]=46200;i=g+44|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[g+60>>2]=24;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;YQ(j,e);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);i=f[c+16>>2]|0;d=ZQ(ZQ(g+8|0,i,s8b(i)|0)|0,510308,1)|0;Kcc(e,d+(f[(f[d>>2]|0)+-12>>2]|0)|0);i=nec(e,893644)|0;g=Sh[f[(f[i>>2]|0)+28>>2]&511](i,10)|0;oec(e);cdc(d,g)|0;Qcc(d)|0;g=ZQ(d,224692,5)|0;d=f[c+24>>2]|0;i=ZQ(ZQ(g,d,s8b(d)|0)|0,224820,1)|0;Kcc(e,i+(f[(f[i>>2]|0)+-12>>2]|0)|0);d=nec(e,893644)|0;g=Sh[f[(f[d>>2]|0)+28>>2]&511](d,10)|0;oec(e);cdc(i,g)|0;Qcc(i)|0;g=ZQ(i,224822,5)|0;Kcc(e,g+(f[(f[g>>2]|0)+-12>>2]|0)|0);i=nec(e,893644)|0;d=Sh[f[(f[i>>2]|0)+28>>2]&511](i,10)|0;oec(e);cdc(g,d)|0;Qcc(g)|0;d=ZQ(g,224692,5)|0;g=f[c+20>>2]|0;i=ZQ(_cc(ZQ(ZQ(d,g,s8b(g)|0)|0,224698,5)|0,a)|0,523310,2)|0;zY(e,a);a=f[e>>2]|0;g=(a|0)==0?1163146:a;ZQ(ZQ(i,g,s8b(g)|0)|0,523313,1)|0;ZG(e);_Q(h,j);f[e>>2]=0;f[e+4>>2]=0;j=h+11|0;g=b[j>>0]|0;i=g<<24>>24<0?f[h+4>>2]|0:g&255;if(!i){k=f[c>>2]|0;l=c+4|0;m=f[l>>2]|0;n=c+8|0;o=f[n>>2]|0;AY(e,k,m,o)}g=YG(e,i)|0;Krc(g|0,((b[j>>0]|0)<0?f[h>>2]|0:h)|0,i|0)|0;k=f[c>>2]|0;l=c+4|0;m=f[l>>2]|0;n=c+8|0;o=f[n>>2]|0;AY(e,k,m,o)}function IY(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+176|0;e=d+160|0;g=d+16|0;h=d;d=g+64|0;i=g+8|0;f[i>>2]=46164;j=g+12|0;f[g>>2]=10956;f[d>>2]=10976;f[g+4>>2]=0;Icc(g+64|0,j);f[g+136>>2]=0;f[g+140>>2]=-1;f[g>>2]=46144;f[d>>2]=46184;f[i>>2]=46164;Ncc(j);f[j>>2]=46200;i=g+44|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[g+60>>2]=24;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;YQ(j,e);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);i=f[c+16>>2]|0;d=ZQ(ZQ(g+8|0,i,s8b(i)|0)|0,510308,1)|0;Kcc(e,d+(f[(f[d>>2]|0)+-12>>2]|0)|0);i=nec(e,893644)|0;g=Sh[f[(f[i>>2]|0)+28>>2]&511](i,10)|0;oec(e);cdc(d,g)|0;Qcc(d)|0;g=ZQ(d,224692,5)|0;d=f[c+24>>2]|0;i=ZQ(ZQ(g,d,s8b(d)|0)|0,224820,1)|0;Kcc(e,i+(f[(f[i>>2]|0)+-12>>2]|0)|0);d=nec(e,893644)|0;g=Sh[f[(f[d>>2]|0)+28>>2]&511](d,10)|0;oec(e);cdc(i,g)|0;Qcc(i)|0;g=ZQ(i,224822,5)|0;Kcc(e,g+(f[(f[g>>2]|0)+-12>>2]|0)|0);i=nec(e,893644)|0;d=Sh[f[(f[i>>2]|0)+28>>2]&511](i,10)|0;oec(e);cdc(g,d)|0;Qcc(g)|0;d=ZQ(g,224692,5)|0;g=f[c+20>>2]|0;i=ZQ(ZQ(d,g,s8b(g)|0)|0,224698,5)|0;_cc(i,f[a>>2]|0)|0;_Q(h,j);f[e>>2]=0;f[e+4>>2]=0;j=h+11|0;a=b[j>>0]|0;i=a<<24>>24<0?f[h+4>>2]|0:a&255;if(!i){k=f[c>>2]|0;l=c+4|0;m=f[l>>2]|0;n=c+8|0;o=f[n>>2]|0;AY(e,k,m,o)}a=YG(e,i)|0;Krc(a|0,((b[j>>0]|0)<0?f[h>>2]|0:h)|0,i|0)|0;k=f[c>>2]|0;l=c+4|0;m=f[l>>2]|0;n=c+8|0;o=f[n>>2]|0;AY(e,k,m,o)}function JY(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[d>>2]=a;IY(d,b)}function KY(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0;g=u;u=u+1152|0;h=g;i=g+44|0;j=g+40|0;k=g+28|0;l=g+16|0;m=g+4|0;f[j>>2]=0;n=d&3;o=(n|0)==2;p=d&4;q=(p|0)!=0;r=(n|0)!=0;n=r&(d&64|0)!=0;f[k>>2]=0;s=k+4|0;f[s>>2]=0;f[k+8>>2]=0;if(!q){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;t=s8b(a)|0;if(t>>>0>4294967279)Lmc(m);if(t>>>0<11){b[m+11>>0]=t;if(!t)v=m;else{w=m;x=7}}else{y=t+16&-16;z=Bmc(y)|0;f[m>>2]=z;f[m+8>>2]=y|-2147483648;f[m+4>>2]=t;w=z;x=7}if((x|0)==7){Krc(w|0,a|0,t|0)|0;v=w}b[v+t>>0]=0;f[l>>2]=0;t=l+4|0;f[t>>2]=0;f[l+8>>2]=0;if((inc(m,10,0)|0)==-1){v=jnc(m,63,-1)|0;w=b[m+11>>0]|0;z=w<<24>>24<0?f[m+4>>2]|0:w&255;Omc(i,m,0,v,m);w=f[t>>2]|0;y=l+8|0;if((w|0)==(f[y>>2]|0))LY(l,i);else{Nmc(w,i);f[t>>2]=(f[t>>2]|0)+12}if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);if((v|0)!=-1?(w=v+1|0,w>>>0<z>>>0):0){v=i+11|0;A=w;while(1){w=inc(m,38,A)|0;if((A+1|0)>>>0<z>>>0&((w|0)!=(A|0)|(w|0)==-1)){Omc(i,m,A,w-A|0,m);B=f[t>>2]|0;if((B|0)==(f[y>>2]|0))LY(l,i);else{Nmc(B,i);f[t>>2]=(f[t>>2]|0)+12}if((b[v>>0]|0)<0)Emc(f[i>>2]|0)}if(w>>>0<z>>>0)A=w+1|0;else break}}}MY(k,f[l>>2]|0,f[t>>2]|0);A=f[l>>2]|0;if(A|0){z=f[t>>2]|0;if((z|0)==(A|0))C=A;else{v=z;while(1){z=v+-12|0;f[t>>2]=z;if((b[z+11>>0]|0)<0){Emc(f[z>>2]|0);D=f[t>>2]|0}else D=z;if((D|0)==(A|0))break;else v=D}C=f[l>>2]|0}Emc(C)}if((b[m+11>>0]|0)<0)Emc(f[m>>2]|0);m=f[k>>2]|0;C=f[s>>2]|0;D=(m|0)==(C|0);v=C;A=m;do if(!D)if((b[m+11>>0]|0)<0){E=f[m>>2]|0;break}else{E=m;break}else E=a;while(0);if(n){F=1;G=E}else{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[i+11>>0]=6;b[i>>0]=b[224828]|0;b[i+1>>0]=b[224829]|0;b[i+2>>0]=b[224830]|0;b[i+3>>0]=b[224831]|0;b[i+4>>0]=b[224832]|0;b[i+5>>0]=b[224833]|0;b[i+6>>0]=0;if(((v-A|0)/12|0)>>>0<2)H=0;else{a:do if(D)I=m;else{A=f[i>>2]&255;v=m;while(1){t=b[v+11>>0]|0;z=t<<24>>24<0;y=t&255;do if(((z?f[v+4>>2]|0:y)|0)==6){t=f[v>>2]|0;if(z)if(!(gac(t,i,6)|0)){I=v;break a}else break;if((t&255)<<24>>24==A<<24>>24){t=v;w=y;B=i;do{w=w+-1|0;t=t+1|0;if(!w){I=v;break a}B=B+1|0}while((b[t>>0]|0)==(b[B>>0]|0))}}while(0);v=v+12|0;if((v|0)==(C|0)){I=C;break}}}while(0);H=(I|0)!=(C|0)}F=H&r;G=E}}else{F=n;G=a}a=(G|0)!=0;if(a?(b[G>>0]|0)!=0:0){J=q;K=s8b(G)|0}else if(r){J=1;K=0}else{f[i>>2]=0;f[i+4>>2]=0;n=p>>>1|20;p=YG(i,n)|0;Krc(p|0,(q?224835:224858)|0,n|0)|0;NY(-27,i,224879,98)}if(o&J){f[i>>2]=0;f[i+4>>2]=0;L=YG(i,68)|0;M=224897;N=L+68|0;do{b[L>>0]=b[M>>0]|0;L=L+1|0;M=M+1|0}while((L|0)<(N|0));NY(-206,i,224879,105)}n=uE(304)|0;f[j>>2]=n;if(!n){f[i>>2]=0;f[i+4>>2]=0;q=YG(i,2)|0;b[q>>0]=102;b[q+1>>0]=115;NY(-215,i,224879,108)}Drc(n|0,0,304)|0;n=RV(262144)|0;q=f[j>>2]|0;f[q+16>>2]=n;f[q+20>>2]=(c|0)==0?n:c;f[q>>2]=1280131417;f[q+8>>2]=r&1;b:do if(!J){r=YV(n,K+1|0)|0;f[(f[j>>2]|0)+60>>2]=r;S8b(r,G)|0;r=f[j>>2]|0;c=f[r+60>>2]|0;p=iac(c,46)|0;do if((p|0?(b[p+1>>0]|0)==103:0)?(b[p+2>>0]|0)==122:0){E=p+3|0;H=b[E>>0]|0;C=H<<24>>24==0;if(!C){if((H+-48&255)>=10)break;if(b[p+4>>0]|0)break}if(o){OY(j);f[i>>2]=0;f[i+4>>2]=0;L=YG(i,52)|0;M=224966;N=L+52|0;do{b[L>>0]=b[M>>0]|0;L=L+1|0;M=M+1|0}while((L|0)<(N|0));NY(-213,i,224879,131)}if(C){O=0;P=K;Q=r;R=c}else{b[E>>0]=0;I=f[j>>2]|0;O=H;P=K+-1|0;Q=I;R=f[I+60>>2]|0}b[i>>0]=f[Q+8>>2]|0?119:114;b[i+1>>0]=98;b[i+2>>0]=O<<24>>24?O:51;b[i+3>>0]=0;I=qAb(R,i)|0;m=f[j>>2]|0;f[m+68>>2]=I;if(!I){S=m;break b}else{T=1;U=P;V=m;x=74;break b}}while(0);p=e9b(c,(f[r+8>>2]|0)==0?225026:o?225019:225023)|0;m=f[j>>2]|0;f[m+64>>2]=p;if(!p)S=m;else{T=0;U=K;V=m;x=74}}else{T=0;U=K;V=q;x=74}while(0);if((x|0)==74){f[V+32>>2]=0;f[V+40>>2]=0;f[V+44>>2]=0;f[V+84>>2]=71;if(!(f[V+8>>2]|0)){if(J){f[V+256>>2]=G;f[V+260>>2]=U}I$(V,i,14)|0;if((b[i>>0]|0)==-17?(b[i+1>>0]|0)==-69:0)W=(b[i+2>>0]|0)==-65?i+3|0:i;else W=i;U=W-i|0;do if(C9b(W,231400,5)|0){if((b[W>>0]|0)==123){X=24;Y=f[j>>2]|0;break}q=(C9b(W,227011,5)|0)==0;K=f[j>>2]|0;if(!q)if((f[K+260>>2]|0)==(U|0)){f[l>>2]=0;f[l+4>>2]=0;L=YG(l,19)|0;M=225368;N=L+19|0;do{b[L>>0]=b[M>>0]|0;L=L+1|0;M=M+1|0}while((L|0)<(N|0));NY(-49,l,224879,388)}else{f[l>>2]=0;f[l+4>>2]=0;L=YG(l,31)|0;M=225388;N=L+31|0;do{b[L>>0]=b[M>>0]|0;L=L+1|0;M=M+1|0}while((L|0)<(N|0));NY(-49,l,224879,390)}else{X=8;Y=K}}else{X=16;Y=f[j>>2]|0}while(0);f[Y+4>>2]=X;if(T){Z=1048576;_=Y}else{if(J){$=f[Y+260>>2]|0;aa=Y}else{m9b(f[Y+64>>2]|0,0,2)|0;Y=z8b(f[(f[j>>2]|0)+64>>2]|0)|0;$=Y;aa=f[j>>2]|0}Y=$>>>0<1048576?$:1048576;Z=Y>>>0>9216?Y:9216;_=aa}L$(_);_=f[j>>2]|0;f[_+264>>2]=U;U=M$(0,72,16,f[_+16>>2]|0,256)|0;_=f[j>>2]|0;f[_+28>>2]=U;U=$V(0,56,16,f[_+16>>2]|0)|0;f[(f[j>>2]|0)+32>>2]=U;U=uE(Z+256|0)|0;_=f[j>>2]|0;f[_+76>>2]=U;f[_+72>>2]=U;f[_+80>>2]=U+Z;b[U>>0]=10;b[(f[(f[j>>2]|0)+72>>2]|0)+1>>0]=0;U=f[j>>2]|0;switch(f[U+4>>2]|0){case 8:{jZ(U);break}case 16:{q$(U);break}case 24:{o_(U);break}default:{}}vE(f[(f[j>>2]|0)+76>>2]|0);U=f[j>>2]|0;f[U+76>>2]=0;f[U+80>>2]=0;f[U+72>>2]=0;ba=U}else{U=d&56;if(J){J=Bmc(24)|0;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;f[J+12>>2]=0;f[J+16>>2]=0;f[J+20>>2]=0;f[V+268>>2]=J}c:do if((U|0)==0&a){J=G;V=0;d=0;d:while(1){switch(b[J>>0]|0){case 0:{break d;break}case 46:{ca=d;da=J;break}default:{ca=V;da=d}}J=J+1|0;V=ca;d=da}if((((d|0)!=0?(s8b(d)|0)==3:0)?(J=p9b(b[d>>0]|0)|0,(J|0)==(p9b(46)|0)):0)?(J=p9b(b[d+1>>0]|0)|0,(J|0)==(p9b(103)|0)):0){J=p9b(b[d+2>>0]|0)|0;K=(J|0)==(p9b(122)|0);ea=K?1:0}else ea=0;K=(V|0)!=0&ea?V:d;if(K){if(((((s8b(K)|0)==4?(J=p9b(b[K>>0]|0)|0,(J|0)==(p9b(46)|0)):0)?(J=p9b(b[K+1>>0]|0)|0,(J|0)==(p9b(120)|0)):0)?(J=p9b(b[K+2>>0]|0)|0,(J|0)==(p9b(109)|0)):0)?(J=p9b(b[K+3>>0]|0)|0,(J|0)==(p9b(108)|0)):0){fa=8;break}do if(((((s8b(K)|0)==7?(J=p9b(b[K>>0]|0)|0,(J|0)==(p9b(46)|0)):0)?(J=p9b(b[K+1>>0]|0)|0,(J|0)==(p9b(120)|0)):0)?(J=p9b(b[K+2>>0]|0)|0,(J|0)==(p9b(109)|0)):0)?(J=p9b(b[K+3>>0]|0)|0,(J|0)==(p9b(108)|0)):0){J=p9b(b[K+4>>0]|0)|0;if((J|0)!=(p9b(46)|0))break;J=p9b(b[K+5>>0]|0)|0;if((J|0)!=(p9b(103)|0))break;J=p9b(b[K+6>>0]|0)|0;if((J|0)==(p9b(122)|0)){fa=8;break c}}while(0);do if((((s8b(K)|0)==5?(d=p9b(b[K>>0]|0)|0,(d|0)==(p9b(46)|0)):0)?(d=p9b(b[K+1>>0]|0)|0,(d|0)==(p9b(106)|0)):0)?(d=p9b(b[K+2>>0]|0)|0,(d|0)==(p9b(115)|0)):0){d=p9b(b[K+3>>0]|0)|0;if((d|0)!=(p9b(111)|0))break;d=p9b(b[K+4>>0]|0)|0;if((d|0)==(p9b(110)|0)){fa=24;break c}}while(0);if((((s8b(K)|0)==8?(d=p9b(b[K>>0]|0)|0,(d|0)==(p9b(46)|0)):0)?(d=p9b(b[K+1>>0]|0)|0,(d|0)==(p9b(106)|0)):0)?(d=p9b(b[K+2>>0]|0)|0,(d|0)==(p9b(115)|0)):0){d=p9b(b[K+3>>0]|0)|0;if((d|0)!=(p9b(111)|0)){fa=16;break}d=p9b(b[K+4>>0]|0)|0;if((d|0)!=(p9b(110)|0)){fa=16;break}d=p9b(b[K+5>>0]|0)|0;if((d|0)!=(p9b(46)|0)){fa=16;break}d=p9b(b[K+6>>0]|0)|0;if((d|0)!=(p9b(103)|0)){fa=16;break}d=p9b(b[K+7>>0]|0)|0;V=(d|0)==(p9b(122)|0);fa=V?24:16}else fa=16}else fa=16}else fa=U|0?U:8;while(0);U=f[j>>2]|0;f[U+4>>2]=fa;ea=(fa|0)==8?25600:17408;if(o){m9b(f[U+64>>2]|0,0,2)|0;o=(z8b(f[(f[j>>2]|0)+64>>2]|0)|0)!=0;da=f[j>>2]|0;ga=o;ha=f[da+4>>2]|0;ia=da}else{ga=0;ha=fa;ia=U}U=$V(0,56,(ha|0)==8?24:4,f[ia+16>>2]|0)|0;ia=f[j>>2]|0;f[ia+36>>2]=U;f[ia+12>>2]=1;f[ia+40>>2]=0;f[ia+44>>2]=32;ia=uE(ea+1024|0)|0;U=f[j>>2]|0;f[U+72>>2]=ia;f[U+76>>2]=ia;f[U+80>>2]=ia+ea;f[U+272>>2]=0;b[U+276>>0]=F&1;f[U+280>>2]=0;b[U+284>>0]=0;f[U+288>>2]=0;f[U+292>>2]=0;f[U+296>>2]=0;switch(f[U+4>>2]|0){case 8:{F=f[U+64>>2]|0;if(!F){ja=U;ka=0}else{ea=z8b(F)|0;ja=f[j>>2]|0;ka=ea}ea=TV(f[ja+16>>2]|0)|0;ja=f[j>>2]|0;f[ja+24>>2]=ea;do if(!((ka|0)==0|ga^1)){ea=(ka|0)<1024?ka:1024;m9b(f[ja+64>>2]|0,0-ea|0,2)|0;F=uE(ea+2|0)|0;ia=-1;e:while(1){while(1){la=z8b(f[(f[j>>2]|0)+64>>2]|0)|0;ma=I$(f[j>>2]|0,F,ea)|0;if(!ma)break e;ha=kac(ma,225210)|0;if(ha|0){na=ha;break}}while(1){H=kac(na+17|0,225210)|0;if(!H)break;else na=H}ia=la-ma+na|0}vE(F);if((ia|0)<0){OY(j);f[i>>2]=0;f[i+4>>2]=0;L=YG(i,53)|0;M=225228;N=L+53|0;do{b[L>>0]=b[M>>0]|0;L=L+1|0;M=M+1|0}while((L|0)<(N|0));NY(-2,i,224879,287)}K$(f[j>>2]|0);F=e9b(f[(f[j>>2]|0)+60>>2]|0,225282)|0;f[(f[j>>2]|0)+64>>2]=F;if(!F){f[i>>2]=0;f[i+4>>2]=0;ea=YG(i,8)|0;K=ea;b[K>>0]=102;b[K+1>>0]=115;b[K+2>>0]=45;b[K+3>>0]=62;K=ea+4|0;b[K>>0]=102;b[K+1>>0]=105;b[K+2>>0]=108;b[K+3>>0]=101;NY(-215,i,224879,291)}else{m9b(F,ia,0)|0;E$(f[j>>2]|0,225286);m9b(f[(f[j>>2]|0)+64>>2]|0,0,2)|0;E$(f[j>>2]|0,509874);break}}else{do if(e){if(!(o7b(e,225029)|0)){OY(j);f[i>>2]=0;oa=i+4|0;f[oa>>2]=0;pa=YG(i,57)|0;L=pa;M=225050;N=L+57|0;do{b[L>>0]=b[M>>0]|0;L=L+1|0;M=M+1|0}while((L|0)<(N|0));NY(-5,i,224879,246)}if(!(o7b(e,225036)|0)){OY(j);f[i>>2]=0;oa=i+4|0;f[oa>>2]=0;pa=YG(i,57)|0;L=pa;M=225050;N=L+57|0;do{b[L>>0]=b[M>>0]|0;L=L+1|0;M=M+1|0}while((L|0)<(N|0));NY(-5,i,224879,246)}if(!(o7b(e,225043)|0)){OY(j);f[i>>2]=0;oa=i+4|0;f[oa>>2]=0;pa=YG(i,57)|0;L=pa;M=225050;N=L+57|0;do{b[L>>0]=b[M>>0]|0;L=L+1|0;M=M+1|0}while((L|0)<(N|0));NY(-5,i,224879,246)}if((s8b(e)|0)>>>0<1e3){f[h>>2]=e;g9b(i,225132,h)|0;E$(f[j>>2]|0,i);break}else{f[i>>2]=0;f[i+4>>2]=0;L=YG(i,23)|0;M=225108;N=L+23|0;do{b[L>>0]=b[M>>0]|0;L=L+1|0;M=M+1|0}while((L|0)<(N|0));NY(-215,i,224879,249)}}else E$(ja,225169);while(0);E$(f[j>>2]|0,225192)}while(0);qa=f[j>>2]|0;ra=311;sa=18;ta=238;ua=312;va=1612;wa=1613;xa=237;break}case 16:{if(ga)E$(U,225319);else E$(U,225304);qa=f[j>>2]|0;ra=313;sa=19;ta=240;ua=314;va=1614;wa=1615;xa=239;break}default:{do if(ga){if(!(m9b(f[U+64>>2]|0,0,2)|0))ya=0;else{f[i>>2]=0;za=i+4|0;f[za>>2]=0;Aa=YG(i,39)|0;L=Aa;M=225328;N=L+39|0;do{b[L>>0]=b[M>>0]|0;L=L+1|0;M=M+1|0}while((L|0)<(N|0));NY(-2,i,224879,351)}while(1){if((t7b(f[(f[j>>2]|0)+64>>2]|0)|0)==125)break;ja=ya+-1|0;if(!(m9b(f[(f[j>>2]|0)+64>>2]|0,ja,2)|0))ya=ja;else{x=139;break}}if((x|0)==139){f[i>>2]=0;za=i+4|0;f[za>>2]=0;Aa=YG(i,39)|0;L=Aa;M=225328;N=L+39|0;do{b[L>>0]=b[M>>0]|0;L=L+1|0;M=M+1|0}while((L|0)<(N|0));NY(-2,i,224879,351)}m9b(f[(f[j>>2]|0)+64>>2]|0,ya,2)|0;K$(f[j>>2]|0);ja=e9b(f[(f[j>>2]|0)+60>>2]|0,225282)|0;f[(f[j>>2]|0)+64>>2]=ja;if(!ja){f[i>>2]=0;f[i+4>>2]=0;h=YG(i,8)|0;e=h;b[e>>0]=102;b[e+1>>0]=115;b[e+2>>0]=45;b[e+3>>0]=62;e=h+4|0;b[e>>0]=102;b[e+1>>0]=105;b[e+2>>0]=108;b[e+3>>0]=101;NY(-215,i,224879,345)}else{m9b(ja,ya,2)|0;_8b(44,f[(f[j>>2]|0)+64>>2]|0)|0;break}}else E$(U,489171);while(0);U=f[j>>2]|0;f[U+40>>2]=4;qa=U;ra=315;sa=20;ta=242;ua=316;va=1616;wa=1617;xa=241}}f[qa+228>>2]=xa;f[qa+232>>2]=va;f[qa+236>>2]=ra;f[qa+240>>2]=sa;f[qa+244>>2]=ta;f[qa+248>>2]=ua;f[qa+252>>2]=wa;ba=qa}b[ba+300>>0]=1;S=ba}f:do if(!S)Ba=0;else{do if((PR()|0)>=0){ba=f[j>>2]|0;if((((f[ba+64>>2]|0)==0?(f[ba+68>>2]|0)==0:0)?(f[ba+268>>2]|0)==0:0)?(f[ba+256>>2]|0)==0:0)break;if(f[ba+8>>2]|0){Ba=ba;break f}K$(ba);ba=f[j>>2]|0;b[ba+300>>0]=1;Ba=ba;break f}while(0);OY(j);Ba=f[j>>2]|0}while(0);j=f[k>>2]|0;if(!j){u=g;return Ba|0}S=f[s>>2]|0;if((S|0)==(j|0))Ca=j;else{ba=S;while(1){S=ba+-12|0;f[s>>2]=S;if((b[S+11>>0]|0)<0){Emc(f[S>>2]|0);Da=f[s>>2]|0}else Da=S;if((Da|0)==(j|0))break;else ba=Da}Ca=f[k>>2]|0}Emc(Ca);u=g;return Ba|0}function LY(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=a+4|0;e=f[a>>2]|0;g=((f[d>>2]|0)-e|0)/12|0;h=g+1|0;if(h>>>0>357913941)Ukc(a);i=a+8|0;j=((f[i>>2]|0)-e|0)/12|0;e=j<<1;k=j>>>0<178956970?(e>>>0<h>>>0?h:e):357913941;do if(k)if(k>>>0>357913941){e=ye(8)|0;Jmc(e,511852);f[e>>2]=165276;Gf(e|0,26776,1555)}else{l=Bmc(k*12|0)|0;break}else l=0;while(0);e=l+(g*12|0)|0;g=e;h=l+(k*12|0)|0;Nmc(e,c);c=e+12|0;k=f[a>>2]|0;l=f[d>>2]|0;if((l|0)==(k|0)){m=g;n=k;o=k}else{j=l;l=g;g=e;do{j=j+-12|0;Nmc(g+-12|0,j);g=l+-12|0;l=g}while((j|0)!=(k|0));m=l;n=f[a>>2]|0;o=f[d>>2]|0}f[a>>2]=m;f[d>>2]=c;f[i>>2]=h;h=n;if((o|0)!=(h|0)){i=o;do{i=i+-12|0;if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0)}while((i|0)!=(h|0))}if(!n)return;Emc(n);return}function MY(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=(d-c|0)/12|0;g=a+8|0;h=f[g>>2]|0;i=f[a>>2]|0;j=i;if(e>>>0<=((h-i|0)/12|0)>>>0){k=a+4|0;l=((f[k>>2]|0)-i|0)/12|0;m=e>>>0>l>>>0;n=c+(l*12|0)|0;l=m?n:d;if((l|0)==(c|0))o=j;else{p=c;q=j;while(1){Qmc(q,p)|0;p=p+12|0;r=q+12|0;if((p|0)==(l|0)){o=r;break}else q=r}}if(m){if((l|0)==(d|0))return;l=n;n=f[k>>2]|0;do{Nmc(n,l);l=l+12|0;n=(f[k>>2]|0)+12|0;f[k>>2]=n}while((l|0)!=(d|0));return}l=f[k>>2]|0;if((l|0)==(o|0))return;else s=l;while(1){l=s+-12|0;f[k>>2]=l;if((b[l+11>>0]|0)<0){Emc(f[l>>2]|0);t=f[k>>2]|0}else t=l;if((t|0)==(o|0))break;else s=t}return}if(!i)u=h;else{h=a+4|0;t=f[h>>2]|0;if((t|0)==(j|0))v=i;else{i=t;while(1){t=i+-12|0;f[h>>2]=t;if((b[t+11>>0]|0)<0){Emc(f[t>>2]|0);w=f[h>>2]|0}else w=t;if((w|0)==(j|0))break;else i=w}v=f[a>>2]|0}Emc(v);f[g>>2]=0;f[h>>2]=0;f[a>>2]=0;u=0}if(e>>>0>357913941)Ukc(a);h=(u|0)/12|0;u=h<<1;v=h>>>0<178956970?(u>>>0<e>>>0?e:u):357913941;if(v>>>0>357913941)Ukc(a);u=Bmc(v*12|0)|0;e=a+4|0;f[e>>2]=u;f[a>>2]=u;f[g>>2]=u+(v*12|0);if((c|0)==(d|0))return;v=c;c=u;do{Nmc(c,v);v=v+12|0;c=(f[e>>2]|0)+12|0;f[e>>2]=c}while((v|0)!=(d|0));return}function NY(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;SQ(a,b,c,225441,d);return}function OY(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;c=u;u=u+16|0;d=c;if(!a){f[d>>2]=0;f[d+4>>2]=0;e=YG(d,35)|0;g=233499;h=e+35|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));NY(-27,d,225420,469)}d=f[a>>2]|0;if(!d){u=c;return}f[a>>2]=0;R$(d,0);UV(d+24|0);a=d+76|0;vE(f[a>>2]|0);f[a>>2]=0;UV(d+16|0);a=f[d+268>>2]|0;if(a|0){g=a+4|0;e=f[g>>2]|0;h=a+16|0;i=f[h>>2]|0;j=e+(i>>>12<<2)|0;k=a+8|0;l=f[k>>2]|0;m=l;n=e;if((l|0)==(e|0)){o=0;p=a+20|0;q=0}else{l=a+20|0;r=(f[l>>2]|0)+i|0;o=(f[e+(r>>>12<<2)>>2]|0)+(r&4095)|0;p=l;q=(f[j>>2]|0)+(i&4095)|0}i=j;j=q;a:while(1){q=j;do{l=q;if((l|0)==(o|0))break a;q=l+1|0}while((q-(f[i>>2]|0)|0)!=4096);q=i+4|0;i=q;j=f[q>>2]|0}f[p>>2]=0;p=m-n>>2;if(p>>>0>2){n=e;do{Emc(f[n>>2]|0);n=(f[g>>2]|0)+4|0;f[g>>2]=n;e=(f[k>>2]|0)-n>>2}while(e>>>0>2);s=e}else s=p;switch(s|0){case 1:{t=2048;v=17;break}case 2:{t=4096;v=17;break}default:{}}if((v|0)==17)f[h>>2]=t;t=f[g>>2]|0;h=f[k>>2]|0;if((t|0)!=(h|0)){v=t;do{Emc(f[v>>2]|0);v=v+4|0}while((v|0)!=(h|0));h=f[g>>2]|0;g=f[k>>2]|0;if((g|0)!=(h|0))f[k>>2]=g+(~((g+-4-h|0)>>>2)<<2)}h=f[a>>2]|0;if(h|0)Emc(h);Emc(a)}a=f[d+272>>2]|0;if(a|0){c_(a);Emc(a)}a=f[d+288>>2]|0;if(a|0)Fmc(a);a=f[d+296>>2]|0;if(a|0)Fmc(a);Drc(d|0,0,304)|0;vE(d);u=c;return}function PY(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;g=u;u=u+80|0;h=g+76|0;i=g+40|0;j=g+8|0;k=g;f[h>>2]=0;L_(i,KY(a,c,0,0)|0,1);if(!(F_(i)|0)){l=0;C_(i);u=g;return l|0}a=i+8|0;m=f[a>>2]|0;a:do if(!d){n=f[m+32>>2]|0;if((f[n+24>>2]|0)<=0){f[j>>2]=0;o=j+4|0;f[o>>2]=0;p=YG(j,44)|0;q=p;r=225533;s=q+44|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));NY(-204,j,225526,544)}t=j+12|0;v=j+20|0;w=0;x=n;b:while(1){y=bW(x,w)|0;if(!y){z=7;break}c:do if((f[y>>2]&7|0)==6){A=f[y+8>>2]|0;eW(A,j,0);B=A+24|0;C=f[B>>2]|0;if((C|0)>0){D=A+28|0;A=0;E=C;while(1){F=f[t>>2]|0;if((f[F>>2]|0)>-1)break;C=F+(f[D>>2]|0)|0;f[t>>2]=C;if(C>>>0<(f[v>>2]|0)>>>0)G=E;else{mW(j,1);G=f[B>>2]|0}A=A+1|0;if((A|0)>=(G|0)){H=0;I=0;break c}else E=G}H=10;I=F}else{H=0;I=0}}else{H=1;I=y}while(0);switch(H&15){case 10:{J=I;break a;break}case 0:break;default:break b}w=w+1|0;x=f[(f[a>>2]|0)+32>>2]|0;if((w|0)>=(f[x+24>>2]|0)){J=I;break a}}if((z|0)==7){f[k>>2]=0;f[k+4>>2]=0;q=YG(k,12)|0;r=225513;s=q+12|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));NY(-215,k,225526,519)}if(!H)J=I;else{l=0;C_(i);u=g;return l|0}}else J=QY(m,0,d)|0;while(0);if(!J){f[j>>2]=0;o=j+4|0;f[o>>2]=0;p=YG(j,44)|0;q=p;r=225533;s=q+44|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));NY(-204,j,225526,544)}if(!(f[J>>2]&64))K=0;else K=f[(f[J+16>>2]|0)+8>>2]|0;p=RY(f[a>>2]|0,J,0)|0;f[h>>2]=p;if(!((c|0)!=0|(p|0)==0)){if((f[p>>2]&-65536|0)==1117323264){f[j>>2]=0;L=j+4|0;f[L>>2]=0;M=YG(j,78)|0;q=M;r=225578;s=q+78|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));NY(-27,j,225526,552)}if((f[p>>2]&-65536|0)==1117257728){f[j>>2]=0;L=j+4|0;f[L>>2]=0;M=YG(j,78)|0;q=M;r=225578;s=q+78|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));NY(-27,j,225526,552)}}if((PR()|0)<0){SY(h);N=0}else N=K;do if(e|0)if(!N){f[e>>2]=0;break}else{K=uE(s8b(N)|0)|0;f[e>>2]=K;Krc(K|0,N|0,s8b(N)|0)|0;break}while(0);l=f[h>>2]|0;C_(i);u=g;return l|0}function QY(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;e=u;u=u+16|0;g=e;if(!a){h=0;u=e;return h|0}if((f[a>>2]|0)!=1280131417){f[g>>2]=0;f[g+4>>2]=0;i=YG(g,31)|0;j=229219;k=i+31|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));NY(-5,g,225785,727)}if(!d){f[g>>2]=0;f[g+4>>2]=0;i=YG(g,17)|0;j=225805;k=i+17|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));NY(-27,g,225785,730)}l=b[d>>0]|0;if(!(l<<24>>24)){m=0;n=0}else{o=0;p=0;q=l;while(1){l=(q&255)+(o*33|0)|0;r=p+1|0;q=b[d+r>>0]|0;if(!(q<<24>>24)){m=l;n=r;break}else{o=l;p=r}}}p=m&2147483647;a:do if(!c){m=f[a+32>>2]|0;if(!m){h=0;u=e;return h|0}o=f[m+24>>2]|0;if((o|0)<=0){h=0;u=e;return h|0}m=a+32|0;q=0;b:while(1){s=bW(f[m>>2]|0,q)|0;switch(f[s>>2]&7){case 5:{t=22;break b;break}case 0:{h=0;t=35;break b;break}case 6:break;default:{t=24;break b}}r=f[s+8>>2]|0;l=f[r+64>>2]|0;v=l+-1|0;if(!(v&l))w=v&p;else w=(p>>>0)%(l>>>0)|0;l=f[(f[r+68>>2]|0)+(w<<2)>>2]|0;if(l|0){r=l;do{l=f[r+16>>2]|0;if(((f[l>>2]|0)==(p|0)?(f[l+4>>2]|0)==(n|0):0)?(gac(f[l+8>>2]|0,d,n)|0)==0:0){x=r;t=34;break a}r=f[r+20>>2]|0}while((r|0)!=0)}q=q+1|0;if((q|0)>=(o|0)){h=0;t=35;break}}if((t|0)==22){y=s;break}else if((t|0)==24){f[g>>2]=0;z=g+4|0;f[z>>2]=0;A=YG(g,49)|0;i=A;j=225823;k=i+49|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));NY(-2,g,225785,757)}else if((t|0)==35){u=e;return h|0}}else switch(f[c>>2]&7){case 5:{y=c;break a;break}case 6:{o=f[c+8>>2]|0;q=f[o+64>>2]|0;m=q+-1|0;if(!(m&q))B=m&p;else B=(p>>>0)%(q>>>0)|0;q=f[(f[o+68>>2]|0)+(B<<2)>>2]|0;if(!q){h=0;u=e;return h|0}else C=q;while(1){q=f[C+16>>2]|0;if(((f[q>>2]|0)==(p|0)?(f[q+4>>2]|0)==(n|0):0)?(gac(f[q+8>>2]|0,d,n)|0)==0:0){x=C;t=34;break a}C=f[C+20>>2]|0;if(!C){h=0;break}}u=e;return h|0}case 0:{h=0;u=e;return h|0}default:{f[g>>2]=0;z=g+4|0;f[z>>2]=0;A=YG(g,49)|0;i=A;j=225823;k=i+49|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));NY(-2,g,225785,757)}}while(0);if((t|0)==34){h=x;u=e;return h|0}if(!(f[(f[y+8>>2]|0)+24>>2]|0)){h=0;u=e;return h|0}else{f[g>>2]=0;z=g+4|0;f[z>>2]=0;A=YG(g,49)|0;i=A;j=225823;k=i+49|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));NY(-2,g,225785,757)}return 0}function RY(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+16|0;g=e;h=(a|0)!=0;if(h?(f[a>>2]|0)==1280131417:0){if(!c){i=0;u=e;return i|0}if(f[c>>2]&16|0?(j=f[c+4>>2]|0,j|0):0){k=Sh[f[j+28>>2]&511](a,c)|0;if(!d){i=k;u=e;return i|0}f[d>>2]=0;f[d+4>>2]=0;i=k;u=e;return i|0}f[g>>2]=0;f[g+4>>2]=0;l=YG(g,57)|0;m=225727;n=l+57|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));NY(-2,g,225720,1426)}i=h?-5:-27;f[g>>2]=0;f[g+4>>2]=0;l=YG(g,31)|0;m=229219;n=l+31|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));NY(i,g,225720,1420);return 0}function SY(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;d=c;if(!a){f[d>>2]=0;f[d+4>>2]=0;e=YG(d,19)|0;g=235559;h=e+19|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));NY(-27,d,225657,1380)}i=f[a>>2]|0;if(!i){u=c;return}j=f[135576]|0;a:do if(j|0){k=j;while(1){if(ci[f[k+20>>2]&1023](i)|0)break;l=f[k+12>>2]|0;if(!l)break a;else k=l}l=f[k+24>>2]|0;if(!l){f[d>>2]=0;f[d+4>>2]=0;e=YG(d,32)|0;g=225687;h=e+32|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));NY(-2,d,225657,1388)}ai[l&2047](a);f[a>>2]=0;u=c;return}while(0);f[d>>2]=0;f[d+4>>2]=0;e=YG(d,19)|0;g=225667;h=e+19|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));NY(-2,d,225657,1386)}function TY(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;if(!a){c=0;return c|0}else d=a;a:while(1){e=f[d>>2]|0;if(!e){c=0;g=8;break}a=f[e>>2]|0;if(a|0){h=0;i=a;j=0;while(1){h=h+1|0;if(!(o7b(b,i)|0)){g=7;break a}a=h<<1;i=f[e+(a<<2)>>2]|0;if(!i)break;else j=a}}d=f[d+4>>2]|0;if(!d){c=0;g=8;break}}if((g|0)==7){c=f[e+((j|1)<<2)>>2]|0;return c|0}else if((g|0)==8)return c|0;return 0}function UY(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;g=u;u=u+16|0;i=g;if(!a){j=0;u=g;return j|0}k=f[a+28>>2]|0;if((d|0)<0){a=b[c>>0]|0;if(!(a<<24>>24)){l=0;m=0}else{n=0;o=0;p=a;while(1){a=(p&255)+(o*33|0)|0;q=n+1|0;p=b[c+q>>0]|0;if(!(p<<24>>24)){l=q;m=a;break}else{n=q;o=a}}}}else if(!d){l=0;m=0}else{o=0;n=0;while(1){p=(h[c+n>>0]|0)+(o*33|0)|0;n=n+1|0;if((n|0)>=(d|0)){l=d;m=p;break}else o=p}}o=m&2147483647;m=f[k+64>>2]|0;d=m+-1|0;if(!(d&m))r=d&o;else r=(o>>>0)%(m>>>0)|0;m=k+68|0;d=f[(f[m>>2]|0)+(r<<2)>>2]|0;a:do if(d|0){n=d;while(1){if(((f[n>>2]|0)==(o|0)?(f[n+4>>2]|0)==(l|0):0)?(gac(f[n+8>>2]|0,c,l)|0)==0:0){j=n;break}n=f[n+12>>2]|0;if(!n)break a}u=g;return j|0}while(0);if(!e){j=0;u=g;return j|0}e=k+56|0;d=f[e>>2]|0;f[i>>2]=d;if(!d){uW(k,0,i)|0;s=f[i>>2]|0}else{f[e>>2]=f[d+4>>2];f[d>>2]=f[d>>2]&67108863;e=k+60|0;f[e>>2]=(f[e>>2]|0)+1;s=d}f[s>>2]=o;_V(i,f[k+44>>2]|0,c,l);l=i;i=f[l+4>>2]|0;c=s+4|0;f[c>>2]=f[l>>2];f[c+4>>2]=i;i=(f[m>>2]|0)+(r<<2)|0;f[s+12>>2]=f[i>>2];f[i>>2]=s;j=s;u=g;return j|0}function VY(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;g=u;u=u+16|0;h=g;if(!a){i=0;u=g;return i|0}if((f[a>>2]|0)!=1280131417){f[h>>2]=0;f[h+4>>2]=0;j=YG(h,31)|0;k=229219;l=j+31|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));NY(-5,h,225873,653)}if(!d){f[h>>2]=0;f[h+4>>2]=0;j=YG(h,16)|0;k=225887;l=j+16|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));NY(-27,h,225873,656)}a:do if(c){m=f[a+32>>2]|0;if(!m){i=0;u=g;return i|0}n=f[m+24>>2]|0;if((n|0)<=0){i=0;u=g;return i|0}m=n+-1|0;o=(e|0)!=0;p=c+8|0;q=0;r=0;b:while(1){switch(f[c>>2]&7){case 5:{s=c;t=27;break a;break}case 0:{i=0;t=43;break b;break}case 6:break;default:{t=28;break b}}v=f[p>>2]|0;w=f[v+64>>2]|0;x=w+-1|0;y=f[d>>2]|0;if(!(x&w))z=y&x;else z=(y>>>0)%(w>>>0)|0;w=v+68|0;y=f[w>>2]|0;x=f[y+(z<<2)>>2]|0;if(x|0){A=x;do{if((f[A+16>>2]|0)==(d|0)){B=A;break a}A=f[A+20>>2]|0}while((A|0)!=0)}if(o&(r|0)==(m|0)){A=v+56|0;x=f[A>>2]|0;f[h>>2]=x;if(!x){uW(v,0,h)|0;C=f[h>>2]|0;D=f[w>>2]|0}else{f[A>>2]=f[x+4>>2];f[x>>2]=f[x>>2]&67108863;A=v+60|0;f[A>>2]=(f[A>>2]|0)+1;C=x;D=y}f[C+16>>2]=d;x=D+(z<<2)|0;f[C+20>>2]=f[x>>2];f[x>>2]=C;E=C}else E=q;r=r+1|0;if((r|0)>=(n|0)){i=E;t=43;break}else q=E}if((t|0)==28){f[h>>2]=0;F=h+4|0;f[F>>2]=0;G=YG(h,49)|0;j=G;k=225823;l=j+49|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));NY(-2,h,225873,679)}else if((t|0)==43){u=g;return i|0}}else{q=(e|0)==0;n=bW(f[a+32>>2]|0,0)|0;if(!n){f[h>>2]=0;f[h+4>>2]=0;j=YG(h,16)|0;k=225904;l=j+16|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));NY(-215,h,225873,674)}switch(f[n>>2]&7){case 6:{r=f[n+8>>2]|0;m=f[r+64>>2]|0;o=m+-1|0;p=f[d>>2]|0;if(!(o&m))H=p&o;else H=(p>>>0)%(m>>>0)|0;m=r+68|0;p=f[m>>2]|0;o=f[p+(H<<2)>>2]|0;if(o|0){x=o;do{if((f[x+16>>2]|0)==(d|0)){B=x;break a}x=f[x+20>>2]|0}while((x|0)!=0)}if(q){i=0;u=g;return i|0}x=r+56|0;o=f[x>>2]|0;f[h>>2]=o;if(!o){uW(r,0,h)|0;I=f[h>>2]|0;J=f[m>>2]|0}else{f[x>>2]=f[o+4>>2];f[o>>2]=f[o>>2]&67108863;x=r+60|0;f[x>>2]=(f[x>>2]|0)+1;I=o;J=p}f[I+16>>2]=d;o=J+(H<<2)|0;f[I+20>>2]=f[o>>2];f[o>>2]=I;i=I;u=g;return i|0}case 5:{s=n;t=27;break a;break}case 0:{i=0;u=g;return i|0}default:{f[h>>2]=0;F=h+4|0;f[F>>2]=0;G=YG(h,49)|0;j=G;k=225823;l=j+49|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));NY(-2,h,225873,679)}}}while(0);if((t|0)==27)if(!(f[(f[s+8>>2]|0)+24>>2]|0)){i=0;u=g;return i|0}else{f[h>>2]=0;F=h+4|0;f[F>>2]=0;G=YG(h,49)|0;j=G;k=225823;l=j+49|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));NY(-2,h,225873,679)}if(e|0)N$(a,225873,225921,225441,699);i=B;u=g;return i|0}function WY(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+16|0;e=d;g=(a|0)!=0;if(g?(f[a>>2]|0)==1280131417:0){h=f[a+32>>2]|0;if(!h){i=0;u=d;return i|0}if((f[h+24>>2]|0)>>>0<=c>>>0){i=0;u=d;return i|0}i=bW(h,c)|0;u=d;return i|0}i=g?-5:-27;f[e>>2]=0;f[e+4>>2]=0;g=YG(e,31)|0;d=229219;c=g+31|0;do{b[g>>0]=b[d>>0]|0;g=g+1|0;d=d+1|0}while((g|0)<(c|0));NY(i,e,225936,789);return 0}function XY(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=u;u=u+16|0;h=g;i=(a|0)!=0;if(!i){j=i?-5:-27;f[h>>2]=0;k=h+4|0;f[k>>2]=0;l=YG(h,31)|0;m=l;n=229219;o=m+31|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));NY(j,h,225954,801)}if((f[a>>2]|0)!=1280131417){j=i?-5:-27;f[h>>2]=0;k=h+4|0;f[k>>2]=0;l=YG(h,31)|0;m=l;n=229219;o=m+31|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));NY(j,h,225954,801)}if(!(f[a+8>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,38)|0;n=229264;o=m+38|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));NY(-2,h,225954,801)}W$(a,0);j=a+280|0;l=f[j>>2]|0;if((l|0)==1){V$(a,0);p=f[j>>2]|0}else p=l;l=(p|0)==0;k=(d&7|0)==5;if(k&l?(e|0)==0&(b[a+276>>0]|0)!=0:0){X$(a,c,d,0);u=g;return}if(e|0?(gac(e,233785,6)|0)==0:0){if(!k){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,55)|0;n=225973;o=m+55|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));NY(-5,h,225954,822)}if(!l){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,69)|0;n=226029;o=m+69|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));NY(-2,h,225954,824)}rh[f[a+228>>2]&255](a,c,d,e);if(f[j>>2]|0)V$(a,0);V$(a,2);u=g;return}if((p|0)==2){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,62)|0;n=226099;o=m+62|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));NY(-2,h,225954,836)}rh[f[a+228>>2]&255](a,c,d,e);if(f[j>>2]|0)V$(a,0);V$(a,1);u=g;return}function YY(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=u;u=u+16|0;d=c;e=(a|0)!=0;if(e?(f[a>>2]|0)==1280131417:0){if(!(f[a+8>>2]|0)){f[d>>2]=0;f[d+4>>2]=0;g=YG(d,38)|0;h=229264;i=g+38|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));NY(-2,d,226162,850)}W$(a,0);if(!(f[a+280>>2]|0)){j=a+232|0;k=f[j>>2]|0;ai[k&2047](a);u=c;return}V$(a,0);j=a+232|0;k=f[j>>2]|0;ai[k&2047](a);u=c;return}c=e?-5:-27;f[d>>2]=0;f[d+4>>2]=0;g=YG(d,31)|0;h=229219;i=g+31|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));NY(c,d,226162,850)}function ZY(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+16|0;g=e;h=(a|0)!=0;if(h?(f[a>>2]|0)==1280131417:0)if(!(f[a+8>>2]|0)){f[g>>2]=0;f[g+4>>2]=0;i=YG(g,38)|0;j=229264;k=i+38|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));NY(-2,g,226179,863)}else{Yh[f[a+236>>2]&511](a,c,d);u=e;return}e=h?-5:-27;f[g>>2]=0;f[g+4>>2]=0;i=YG(g,31)|0;j=229219;k=i+31|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));NY(e,g,226179,863)}function _Y(a,c,d){a=a|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+16|0;g=e;h=(a|0)!=0;if(h?(f[a>>2]|0)==1280131417:0)if(!(f[a+8>>2]|0)){f[g>>2]=0;f[g+4>>2]=0;i=YG(g,38)|0;j=229264;k=i+38|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));NY(-2,g,226190,871)}else{_h[f[a+240>>2]&31](a,c,d);u=e;return}e=h?-5:-27;f[g>>2]=0;f[g+4>>2]=0;i=YG(g,31)|0;j=229219;k=i+31|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));NY(e,g,226190,871)}function $Y(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+16|0;h=g;i=(a|0)!=0;if(i?(f[a>>2]|0)==1280131417:0)if(!(f[a+8>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;j=YG(h,38)|0;k=229264;l=j+38|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));NY(-2,h,226202,879)}else{rh[f[a+244>>2]&255](a,c,d,e);u=g;return}g=i?-5:-27;f[h>>2]=0;f[h+4>>2]=0;j=YG(h,31)|0;k=229219;l=j+31|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));NY(g,h,226202,879)}function aZ(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+16|0;g=e;h=(a|0)!=0;if(h?(f[a>>2]|0)==1280131417:0)if(!(f[a+8>>2]|0)){f[g>>2]=0;f[g+4>>2]=0;i=YG(g,38)|0;j=229264;k=i+38|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));NY(-2,g,226216,887)}else{Yh[f[a+248>>2]&511](a,c,d);u=e;return}e=h?-5:-27;f[g>>2]=0;f[g+4>>2]=0;i=YG(g,31)|0;j=229219;k=i+31|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));NY(e,g,226216,887)}function bZ(a,c,e,g){a=a|0;c=c|0;e=e|0;g=g|0;var i=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;i=u;u=u+1296|0;k=i+8|0;l=i+1032|0;m=i;a:do if(!(b[a+276>>0]|0)){switch(f[a+280>>2]|0){case 2:{break a;break}case 0:{V$(a,1);break}default:{}}Drc(l|0,0,256)|0;if((f[a>>2]|0)!=1280131417){f[m>>2]=0;f[m+4>>2]=0;o=YG(m,31)|0;q=229219;r=o+31|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));NY(-5,m,226231,918)}if(!(f[a+8>>2]|0)){f[m>>2]=0;f[m+4>>2]=0;o=YG(m,38)|0;q=229264;r=o+38|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));NY(-2,m,226231,918)}if((e|0)<0){f[m>>2]=0;f[m+4>>2]=0;o=YG(m,27)|0;q=226246;r=o+27|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));NY(-211,m,226231,921)}s=_$(g,k,128)|0;b:do if(e|0){if(!c){f[m>>2]=0;f[m+4>>2]=0;o=YG(m,17)|0;q=226274;r=o+17|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));NY(-27,m,226231,929)}if((s|0)==1){t=Y(f[k>>2]|0,e)|0;f[k>>2]=t;v=1}else v=e;t=(s|0)>0;w=a+4|0;x=c;y=0;z=v;c:while(1){z=z+-1|0;if(t){A=0;B=y;while(1){C=A<<1;D=f[k+(C<<2)>>2]|0;E=f[k+((C|1)<<2)>>2]|0;C=(E>>>3&511)+1<<(47696>>>(E<<1&14)&3);F=B+-1+C&0-C;C=c+F|0;d:do if((D|0)>0){G=(E+-5|0)>>>0<2;if(!E){H=D+F|0;I=C;J=0;do{K=D$(h[I>>0]|0,l,10)|0;I=I+1|0;switch(f[w>>2]|0){case 8:{tZ(a,0,K,s8b(K)|0);break}case 16:{v$(a,0,K);break}default:{do if(G){L=s8b(K)|0;if(!L)break;if((b[K+(L+-1)>>0]|0)!=46)break;b[l+L>>0]=48;b[l+(L+1)>>0]=0}while(0);u_(a,0,K)}}J=J+1|0}while((J|0)!=(D|0));M=c+H|0;break}else{N=C;O=0}while(1){switch(E|0){case 7:{P=D$(f[N>>2]|0,l,10)|0;Q=4;break}case 1:{P=D$(b[N>>0]|0,l,10)|0;Q=1;break}case 2:{P=D$(j[N>>1]|0,l,10)|0;Q=2;break}case 3:{P=D$(d[N>>1]|0,l,10)|0;Q=2;break}case 4:{P=D$(f[N>>2]|0,l,10)|0;Q=4;break}case 5:{T$(l,+n[N>>2])|0;P=l;Q=4;break}case 6:{S$(l,+p[N>>3])|0;P=l;Q=8;break}default:break c}J=N+Q|0;switch(f[w>>2]|0){case 8:{tZ(a,0,P,s8b(P)|0);break}case 16:{v$(a,0,P);break}default:{do if(G){I=s8b(P)|0;if(!I)break;if((b[P+(I+-1)>>0]|0)!=46)break;b[l+I>>0]=48;b[l+(I+1)>>0]=0}while(0);u_(a,0,P)}}O=O+1|0;if((O|0)>=(D|0)){M=J;break d}else N=J}}else M=C;while(0);C=M-x|0;A=A+1|0;if((A|0)>=(s|0)){R=C;break}else B=C}}else R=y;if(!z)break b;else y=R}f[m>>2]=0;f[m+4>>2]=0;o=YG(m,16)|0;q=292474;r=o+16|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));NY(-210,m,226231,986)}while(0);u=i;return}while(0);n_(a,c,e,g);u=i;return}function cZ(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+16|0;g=e;h=(a|0)!=0;if(!h){i=h?-5:-27;f[g>>2]=0;j=g+4|0;f[j>>2]=0;k=YG(g,31)|0;l=k;m=229219;n=l+31|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));NY(i,g,226292,1025)}if((f[a>>2]|0)!=1280131417){i=h?-5:-27;f[g>>2]=0;j=g+4|0;f[j>>2]=0;k=YG(g,31)|0;l=k;m=229219;n=l+31|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));NY(i,g,226292,1025)}if(!((c|0)!=0&(d|0)!=0)){f[g>>2]=0;f[g+4>>2]=0;l=YG(g,42)|0;m=226311;n=l+42|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));NY(-27,g,226292,1028)}i=f[c>>2]|0;if(((i&7)+-1|0)>>>0<2){f[d+12>>2]=c;f[d+20>>2]=c+32;f[d+16>>2]=c;f[d+4>>2]=0;u=e;return}switch(i&7){case 5:{eW(f[c+8>>2]|0,d,0);u=e;return}case 0:{f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[d+24>>2]=0;f[d+28>>2]=0;u=e;return}default:{f[g>>2]=0;f[g+4>>2]=0;l=YG(g,56)|0;m=226354;n=l+56|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));NY(-5,g,226292,1048)}}}function dZ(a,c,e,g,h){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0,L=0,M=0,N=0;i=u;u=u+1040|0;j=i+8|0;k=i;l=(a|0)!=0;if(!l){m=l?-5:-27;f[k>>2]=0;o=k+4|0;f[o>>2]=0;q=YG(k,31)|0;r=q;s=229219;t=r+31|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));NY(m,k,226411,1060)}if((f[a>>2]|0)!=1280131417){m=l?-5:-27;f[k>>2]=0;o=k+4|0;f[o>>2]=0;q=YG(k,31)|0;r=q;s=229219;t=r+31|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));NY(m,k,226411,1060)}if(!((c|0)!=0&(g|0)!=0)){f[k>>2]=0;f[k+4>>2]=0;r=YG(k,43)|0;s=226430;t=r+43|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));NY(-27,k,226411,1063)}m=c+4|0;if((e|0)!=1&(f[m>>2]|0)==0){f[k>>2]=0;f[k+4>>2]=0;r=YG(k,49)|0;s=226474;t=r+49|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));NY(-201,k,226411,1066)}q=_$(h,j,128)|0;o=a0(h,0)|0;h=(q|0)>0;l=c+12|0;a=c+20|0;v=e;e=g;a:while(1){if(h){g=e;w=0;x=0;y=v;while(1){z=w<<1;A=f[j+((z|1)<<2)>>2]|0;B=(A>>>3&511)+1<<(47696>>>(A<<1&14)&3);C=f[j+(z<<2)>>2]|0;z=e+(x+-1+B&0-B)|0;b:do if((C|0)>0){B=z;D=y;E=0;while(1){F=f[l>>2]|0;c:do switch(f[F>>2]&7){case 1:{G=f[F+8>>2]|0;switch(A|0){case 0:{b[B>>0]=G>>>0<256?G:(G|0)>0?255:0;H=1;break c;break}case 1:{b[B>>0]=(G+128|0)>>>0<256?G:(G|0)>0?127:128;H=1;break c;break}case 2:{d[B>>1]=G>>>0<65536?G:(G|0)>0?65535:0;H=2;break c;break}case 3:{d[B>>1]=(G+32768|0)>>>0<65536?G:(G|0)>0?32767:32768;H=2;break c;break}case 4:{f[B>>2]=G;H=4;break c;break}case 5:{n[B>>2]=+(G|0);H=4;break c;break}case 6:{p[B>>3]=+(G|0);H=8;break c;break}case 7:{f[B>>2]=G;H=4;break c;break}default:{I=22;break a}}break}case 2:{J=+p[F+8>>3];switch(A|0){case 0:{G=V9b(J)|0;b[B>>0]=G>>>0<256?G:(G|0)>0?255:0;H=1;break c;break}case 1:{G=V9b(J)|0;b[B>>0]=(G+128|0)>>>0<256?G:(G|0)>0?127:128;H=1;break c;break}case 2:{G=V9b(J)|0;d[B>>1]=G>>>0<65536?G:(G|0)>0?65535:0;H=2;break c;break}case 3:{G=V9b(J)|0;d[B>>1]=(G+32768|0)>>>0<65536?G:(G|0)>0?32767:32768;H=2;break c;break}case 4:{G=V9b(J)|0;f[B>>2]=G;H=4;break c;break}case 5:{n[B>>2]=J;H=4;break c;break}case 6:{p[B>>3]=J;H=8;break c;break}case 7:{G=V9b(J)|0;f[B>>2]=G;H=4;break c;break}default:{I=32;break a}}break}default:{I=33;break a}}while(0);F=B+H|0;G=(f[l>>2]|0)+16|0;f[l>>2]=G;if(G>>>0>=(f[a>>2]|0)>>>0)mW(c,1);G=D+-1|0;if(!G){I=40;break a}K=E+1|0;if((K|0)<(C|0)){B=F;D=G;E=K}else{L=F;M=G;break b}}}else{L=z;M=y}while(0);z=w+1|0;if((z|0)<(q|0)){w=z;x=L-g|0;y=M}else{N=M;break}}}else N=v;v=N;e=e+o|0}if((I|0)==22){f[k>>2]=0;f[k+4>>2]=0;r=YG(k,16)|0;s=292474;t=r+16|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));NY(-210,k,226411,1126)}else if((I|0)==32){f[k>>2]=0;f[k+4>>2]=0;r=YG(k,16)|0;s=292474;t=r+16|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));NY(-210,k,226411,1176)}else if((I|0)==33){f[k>>2]=0;f[k+4>>2]=0;r=YG(k,46)|0;s=226524;t=r+46|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));NY(-2,k,226411,1182)}else if((I|0)==40){if(!((w|0)==(q+-1|0)&(E|0)==(C+-1|0))){f[k>>2]=0;f[k+4>>2]=0;r=YG(k,60)|0;s=226571;t=r+60|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));NY(-201,k,226411,1197)}if(f[m>>2]|0){u=i;return}f[l>>2]=(f[l>>2]|0)+-16;u=i;return}}function eZ(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;g=u;u=u+48|0;h=g+8|0;i=g;if(!((c|0)!=0&(d|0)!=0)){f[i>>2]=0;f[i+4>>2]=0;j=YG(i,54)|0;k=226632;l=j+54|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));NY(-27,i,226687,1211)}cZ(a,c,h);if((f[c>>2]&7|0)!=5){m=1;dZ(a,h,m,d,e);u=g;return}m=f[(f[c+8>>2]|0)+24>>2]|0;dZ(a,h,m,d,e);u=g;return}function fZ(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=u;u=u+16|0;d=c;if(!a){f[d>>2]=0;e=d+4|0;f[e>>2]=0;g=YG(d,17)|0;h=g;i=226701;j=h+17|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));NY(-201,d,226719,1271)}if((f[a+4>>2]|0)!=40){f[d>>2]=0;e=d+4|0;f[e>>2]=0;g=YG(d,17)|0;h=g;i=226701;j=h+17|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));NY(-201,d,226719,1271)}if(((f[a+20>>2]|0?f[a+24>>2]|0:0)?f[a+28>>2]|0:0)?f[a+32>>2]|0:0){g=a+16|0;e=f[g>>2]|0;k=b[e>>0]|0;if(!(k<<24>>24==95|((k&-33)+-65&255)<26)){f[d>>2]=0;f[d+4>>2]=0;h=YG(d,41)|0;i=226816;j=h+41|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));NY(-5,d,226719,1281)}l=s8b(e)|0;a:do if((l|0)>0){m=0;n=k;b:while(1){if(!((n+-48&255)<10|((n&-33)+-65&255)<26))switch(n<<24>>24){case 45:case 95:break;default:break b}o=m+1|0;if((o|0)>=(l|0))break a;m=o;n=b[e+o>>0]|0}f[d>>2]=0;f[d+4>>2]=0;h=YG(d,54)|0;i=226858;j=h+54|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));NY(-5,d,226719,1290)}while(0);e=uE(l+41|0)|0;h=e;i=a;j=h+40|0;do{f[h>>2]=f[i>>2];h=h+4|0;i=i+4|0}while((h|0)<(j|0));a=e+40|0;f[e+16>>2]=a;Krc(a|0,f[g>>2]|0,l+1|0)|0;f[e>>2]=0;l=f[135576]|0;f[e+12>>2]=l;f[e+8>>2]=0;f[(l|0?l+8|0:542308)>>2]=e;f[135576]=e;u=c;return}f[d>>2]=0;f[d+4>>2]=0;h=YG(d,81)|0;i=226734;j=h+81|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));NY(-27,d,226719,1277)}function gZ(a){a=a|0;var b=0,c=0,d=0;if(!a)return;b=f[135576]|0;if(!b)return;else c=b;while(1){if(!(o7b(f[c+16>>2]|0,a)|0))break;b=f[c+12>>2]|0;if(!b){d=8;break}else c=b}if((d|0)==8)return;d=c+8|0;a=f[d>>2]|0;b=c+12|0;f[((a|0)==0?542304:a+12|0)>>2]=f[b>>2];a=f[b>>2]|0;f[((a|0)==0?542308:a+8|0)>>2]=f[d>>2];if(!((f[135576]|0)!=0&(f[135577]|0)!=0)){f[135577]=0;f[135576]=0}vE(c);return}function hZ(a){a=a|0;var b=0,c=0,d=0,e=0;if(!a){b=0;return b|0}c=f[135576]|0;if(!c){b=0;return b|0}else d=c;while(1){if(!(o7b(f[d+16>>2]|0,a)|0)){b=d;e=5;break}d=f[d+12>>2]|0;if(!d){b=0;e=5;break}}if((e|0)==5)return b|0;return 0}function iZ(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=u;u=u+16|0;h=g+8|0;i=g;j=(a|0)!=0;if(!j){k=j?-5:-27;f[h>>2]=0;l=h+4|0;f[l>>2]=0;m=YG(h,31)|0;n=m;o=229219;p=n+31|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));NY(k,h,226913,1443)}if((f[a>>2]|0)!=1280131417){k=j?-5:-27;f[h>>2]=0;l=h+4|0;f[l>>2]=0;m=YG(h,31)|0;n=m;o=229219;p=n+31|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));NY(k,h,226913,1443)}if(!(f[a+8>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;n=YG(h,38)|0;o=229264;p=n+38|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));NY(-2,h,226913,1443)}if(!d){f[h>>2]=0;f[h+4>>2]=0;n=YG(h,34)|0;o=226921;p=n+34|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));NY(-27,h,226913,1446)}k=f[135576]|0;if(!k){f[h>>2]=0;q=h+4|0;f[q>>2]=0;r=YG(h,14)|0;n=r;o=226956;p=n+14|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));NY(-5,h,226913,1450)}else s=k;while(1){if(ci[f[s+20>>2]&1023](d)|0)break;k=f[s+12>>2]|0;if(!k){t=11;break}else s=k}if((t|0)==11){f[h>>2]=0;q=h+4|0;f[q>>2]=0;r=YG(h,14)|0;n=r;o=226956;p=n+14|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));NY(-5,h,226913,1450)}r=f[s+32>>2]|0;if(!r){f[h>>2]=0;f[h+4>>2]=0;n=YG(h,39)|0;o=226971;p=n+39|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));NY(-5,h,226913,1453)}else{o=e;e=f[o+4>>2]|0;n=i;f[n>>2]=f[o>>2];f[n+4>>2]=e;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];rh[r&255](a,c,d,h);u=g;return}}function jZ(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=u;u=u+32|0;d=c+20|0;e=c+16|0;g=c+12|0;h=c+8|0;i=c;j=f[a+76>>2]|0;f[d>>2]=0;f[e>>2]=0;f[g>>2]=0;f[h>>2]=0;k=kZ(a,j,2)|0;if(gac(k,227011,5)|0)N$(a,227017,227029,227071,616);j=lZ(a,k,d,g,h)|0;a:do if(b[j>>0]|0){k=a+32|0;l=j;while(1){m=kZ(a,l,0)|0;if(!(b[m>>0]|0))break a;n=lZ(a,m,d,g,h)|0;m=f[d>>2]|0;if(!((f[h>>2]|0)==1&(m|0)!=0)){o=8;break}if(o7b(f[m+8>>2]|0,227145)|0){o=8;break}p=lZ(a,mZ(a,n,nW(f[k>>2]|0,0)|0,0)|0,e,g,h)|0;if(!((f[h>>2]|0)==2?(m|0)==(f[e>>2]|0):0)){o=10;break}l=kZ(a,p,0)|0;if(!(b[l>>0]|0))break a}if((o|0)==8)N$(a,227017,227160,227071,646);else if((o|0)==10)N$(a,227017,227192,227071,652)}while(0);if(!(f[a+92>>2]|0)){f[i>>2]=0;f[i+4>>2]=0;a=YG(i,18)|0;o=227225;e=a+18|0;do{b[a>>0]=b[o>>0]|0;a=a+1|0;o=o+1|0}while((a|0)<(e|0));nZ(-215,i,227017,656)}else{u=c;return}}function kZ(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;e=a+76|0;g=a+80|0;h=a+88|0;i=c;c=0;j=d;a:while(1){d=i+-1|0;b:do switch(j|0){case 1:{k=b[i>>0]|0;c:do if((k&255)>31|k<<24>>24==9){l=d;m=k;n=i;while(1){if((m<<24>>24==45?(b[l+2>>0]|0)==45:0)?(b[l+3>>0]|0)==62:0){o=l;p=45;q=n;break c}r=n+1|0;s=b[r>>0]|0;if((s&255)>31|s<<24>>24==9){t=n;m=s;n=r;l=t}else{o=n;p=s;q=r;break}}}else{o=d;p=k;q=i}while(0);k=p<<24>>24==45;u=(k^1)&1;v=c;w=k?o+4|0:q;break}case 3:{k=c;n=d;while(1){l=n+1|0;m=b[l>>0]|0;r=(m<<24>>24==60&1)+k+((m<<24>>24==62)<<31>>31)|0;if((r|0)<0){x=l;y=28;break a}if((m&255)>31|m<<24>>24==9){k=r;n=l}else{u=3;v=r;w=l;break}}break}default:{n=d;d:while(1){z=n+1|0;A=b[z>>0]|0;switch(A<<24>>24){case 9:case 32:{n=z;break}case 60:{break d;break}default:{y=18;break d}}}if((y|0)==18){y=0;if((A&255)>31){x=z;y=28;break a}else{u=j;v=c;w=z;break b}}if((b[n+2>>0]|0)!=33){x=z;y=28;break a}if((b[n+3>>0]|0)!=45){x=z;y=28;break a}if((b[n+4>>0]|0)!=45){x=z;y=28;break a}if(j|0){y=16;break a}u=1;v=c;w=n+5|0}}while(0);d=b[w>>0]|0;if((d&255)>31){i=w;c=v;j=u;continue}k=f[e>>2]|0;switch(d<<24>>24){case 13:case 10:case 0:break;default:{y=21;break a}}d=I$(a,k,(f[g>>2]|0)-k|0)|0;if(!d){y=27;break}k=d+((s8b(d)|0)+-1)|0;switch(b[k>>0]|0){case 13:case 10:break;default:if(!(J$(a)|0)){y=25;break a}}f[h>>2]=(f[h>>2]|0)+1;i=d;c=v;j=u}if((y|0)==16)N$(a,228169,228186,227071,65);else if((y|0)==21)N$(a,228169,230319,227071,77);else if((y|0)==25)N$(a,228169,232444,227071,90);else if((y|0)==27){u=f[e>>2]|0;b[u>>0]=0;f[a+92>>2]=1;x=u;return x|0}else if((y|0)==28)return x|0;return 0}function lZ(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;h=u;u=u+16|0;i=h;switch(b[c>>0]|0){case 0:{N$(a,227814,227829,227071,471);break}case 60:{j=c+1|0;k=b[j>>0]|0;if(k<<24>>24==0?(j|0)==((f[a+80>>2]|0)+-1|0):0){f[i>>2]=0;f[i+4>>2]=0;l=YG(i,98)|0;m=232016;n=l+98|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));nZ(-215,i,227814,477)}a:do if(((k&-33)+-65&255)<26|(k+-48&255)<10){o=j;p=1}else switch(k<<24>>24){case 95:{o=j;p=1;break a;break}case 47:{o=c+2|0;p=2;break a;break}case 63:{o=c+2|0;p=4;break a;break}case 33:{o=c+2|0;p=5;break a;break}default:N$(a,227814,227885,227071,497)}while(0);c=a+80|0;j=(p|0)==4;k=(p|0)==1;q=i+8+4|0;r=(p|0)==2;s=a+16|0;t=b[o>>0]|0;if(((t&-33)+-65&255)<26|t<<24>>24==95){v=o;w=0;x=0;y=0;z=0}else N$(a,227814,227902,227071,504);b:while(1){o=v+-1|0;c:while(1){A=o+1|0;t=b[A>>0]|0;if((t+-48&255)<10|((t&-33)+-65&255)<26){o=A;continue}switch(t<<24>>24){case 45:case 95:{o=A;break}default:break c}}o=UY(a,v,A-v|0,1)|0;if(!o){B=19;break}if((b[A>>0]|0)==0?(A|0)==((f[c>>2]|0)+-1|0):0){B=22;break}if(!w){C=o;D=z;E=x;F=y}else{if(r){B=25;break}t=(y|0)!=0;if((z|0)>3|t^1){G=YV(f[s>>2]|0,44)|0;l=G+4|0;n=l+40|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(n|0));f[G>>2]=G+8;if(t){f[y+4>>2]=G;H=0;I=x;J=G}else{H=0;I=G;J=G}}else{H=z;I=x;J=y}f[(f[J>>2]|0)+(H<<1<<2)>>2]=f[o+8>>2];C=w;D=H;E=I;F=J}if(!F){K=A;L=D}else{if((b[A>>0]|0)!=61){M=kZ(a,A,2)|0;if((b[M>>0]|0)==61)N=M;else{B=33;break}}else N=A;M=N+1|0;switch(b[M>>0]|0){case 39:case 34:{O=M;break}default:{P=kZ(a,M,2)|0;switch(b[P>>0]|0){case 39:case 34:{O=P;break}default:{B=36;break b}}}}P=mZ(a,O,i,3)|0;f[(f[F>>2]|0)+((D<<1|1)<<2)>>2]=f[q>>2];K=P;L=D+1|0}P=b[K>>0]|0;if(P<<24>>24==62){B=39;break}v=kZ(a,K,2)|0;M=b[v>>0]|0;if(M<<24>>24==62){B=41;break}if(j&M<<24>>24==63){B=45;break}if(M<<24>>24==47?k&(b[v+1>>0]|0)==62:0){B=50;break}switch(P<<24>>24){case 0:case 9:case 10:case 11:case 12:case 13:case 32:break;default:{B=53;break b}}if(!(((M&-33)+-65&255)<26|M<<24>>24==95)){B=14;break}else{w=C;x=E;y=F;z=L}}switch(B|0){case 14:{N$(a,227814,227902,227071,504);break}case 19:{f[i>>2]=0;f[i+4>>2]=0;B=YG(i,8)|0;L=B;b[L>>0]=97;b[L+1>>0]=116;b[L+2>>0]=116;b[L+3>>0]=114;L=B+4|0;b[L>>0]=110;b[L+1>>0]=97;b[L+2>>0]=109;b[L+3>>0]=101;nZ(-215,i,227814,511);break}case 22:{f[i>>2]=0;f[i+4>>2]=0;l=YG(i,98)|0;m=232016;n=l+98|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));nZ(-215,i,227814,513);break}case 25:{N$(a,227814,227948,227071,520);break}case 33:{N$(a,227814,227994,227071,546);break}case 36:{N$(a,227814,228035,227071,554);break}case 39:{if(j)N$(a,227814,228094,227071,575);else Q=K;break}case 41:{if(j)N$(a,227814,228094,227071,575);else Q=v;break}case 45:{if((b[v+1>>0]|0)!=62)N$(a,227814,228094,227071,582);R=4;S=v+2|0;f[d>>2]=C;f[g>>2]=R;f[e>>2]=E;u=h;return S|0}case 50:{R=3;S=v+2|0;f[d>>2]=C;f[g>>2]=R;f[e>>2]=E;u=h;return S|0}case 53:{N$(a,227814,228128,227071,594);break}}R=p;S=Q+1|0;f[d>>2]=C;f[g>>2]=R;f[e>>2]=E;u=h;return S|0}default:N$(a,227814,227859,227071,474)}return 0}function mZ(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0.0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0;g=u;u=u+4224|0;h=g+104|0;i=g;j=g+88|0;k=g+76|0;l=g+32|0;m=g+28|0;n=g+24|0;o=g+20|0;q=g+16|0;r=g+12|0;t=e&16;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;v=e&7;e=(v|0)==3;w=a+80|0;x=a+16|0;y=(v+-1|0)>>>0<4;z=d+8|0;A=a+92|0;B=j+4|0;C=j+8|0;D=j+8|0;E=i+11|0;F=i+4|0;G=j+11|0;H=j+4|0;I=k+4|0;J=k+8|0;K=a+76|0;L=k+8|0;M=c;c=1;N=1;a:while(1){O=b[M>>0]|0;switch(O<<24>>24){case 0:case 9:case 10:case 11:case 12:case 13:case 32:{P=5;break}case 60:{Q=b[M+1>>0]|0;if(Q<<24>>24==33)if((b[M+2>>0]|0)==45)P=5;else{R=60;S=c;T=M;U=33;P=7}else{R=60;S=c;T=M;U=Q;P=7}break}default:{V=O;W=M;X=c;P=6}}if((P|0)==5){P=0;O=kZ(a,M,0)|0;V=b[O>>0]|0;W=O;X=1;P=6}b:do if((P|0)==6){P=0;O=b[W+1>>0]|0;switch(V<<24>>24){case 0:case 60:{R=V;S=X;T=W;U=O;P=7;break b;break}default:{}}if(!X){P=86;break a}Q=f[d>>2]|0;if(!Q)Y=d;else{if((Q&7)>>>0<=4)O$(a,5,d);Q=nW(f[z>>2]|0,0)|0;f[Q+4>>2]=0;Y=Q}c:do if(!e){d:do if((V+-48&255)<10)Z=V;else switch(V<<24>>24){case 43:case 45:{if(O<<24>>24==46|(O+-48&255)<10){Z=V;break d}else{P=106;break c}break}case 46:{if((O+-48&255)<10|((O&-33)+-65&255)<26){Z=46;break d}else{P=106;break c}break}default:{P=106;break c}}while(0);Q=W+((V<<24>>24==43|Z<<24>>24==45)&1)|0;while(1){f[m>>2]=Q;_=b[Q>>0]|0;if((_+-48&255)<10)Q=Q+1|0;else break}switch(_<<24>>24){case 101:case 46:{$=+U$(a,W,m);f[Y>>2]=2;p[Y+8>>3]=$;break}default:{Q=eac(W,m,0)|0;f[Y>>2]=1;f[Y+8>>2]=Q}}Q=f[m>>2]|0;if((Q|0)==(W|0)){P=102;break a}if((b[Q>>0]|0)==0?(Q|0)==((f[w>>2]|0)+-1|0):0){P=105;break a}else aa=Q}else P=106;while(0);if((P|0)==106){P=0;Drc(h|0,0,4112)|0;f[Y>>2]=3;O=V<<24>>24==34;Q=0;ba=O?W:W+-1|0;e:while(1){ca=ba+1|0;da=b[ca>>0]|0;if(da<<24>>24==0?(ca|0)==((f[w>>2]|0)+-1|0):0){P=109;break a}f:do if(!((da+-48&255)<10|((da&-33)+-65&255)<26)){if(da<<24>>24==34){P=112;break e}if((da&255)<32|da<<24>>24==60){P=118;break e}if(O)switch(da<<24>>24){case 62:case 39:{P=121;break a;break}case 38:break;default:{ea=Q;fa=da;ga=ca;break f}}else switch(da<<24>>24){case 62:case 39:{P=121;break a;break}case 9:case 10:case 11:case 12:case 13:case 32:{ha=ca;break e;break}case 38:break;default:{ea=Q;fa=da;ga=ca;break f}}ia=ba+2|0;if((b[ia>>0]|0)==35){ja=ba+3|0;ka=(b[ja>>0]|0)==120;la=eac(ka?ba+4|0:ja,m,ka?16:10)|0;ka=f[m>>2]|0;if(!(la>>>0<256&(ka|0)!=0)){P=125;break a}if((b[ka>>0]|0)!=59){P=125;break a}ea=Q;fa=la&255;ga=ka;break}f[m>>2]=ia;ka=ia;do{ka=ka+1|0;f[m>>2]=ka;ma=b[ka>>0]|0}while((ma+-48&255)<10|((ma&-33)+-65&255)<26);if(ma<<24>>24!=59){P=130;break a}la=ka-ia|0;switch(la|0){case 2:{if(!(gac(ia,227741,2)|0)){ea=Q;fa=60;ga=ka;break f}if(!(gac(ia,227744,2)|0)){ea=Q;fa=62;ga=ka;break f}break}case 3:{if(!(gac(ia,227747,3)|0)){ea=Q;fa=38;ga=ka;break f}break}case 4:{if(!(gac(ia,227751,4)|0)){ea=Q;fa=39;ga=ka;break f}if(!(gac(ia,227756,4)|0)){ea=Q;fa=34;ga=ka;break f}break}default:{}}ja=la+2|0;Krc(h+Q|0,ca|0,ja|0)|0;la=ja+Q|0;if((b[ka>>0]|0)==0?(ka|0)==((f[w>>2]|0)+-1|0):0){P=139;break a}else{ea=la;fa=59;ga=ka}}else{ea=Q;fa=da;ga=ca}while(0);b[h+ea>>0]=fa;if((ea|0)>4094){P=141;break a}else{Q=ea+1|0;ba=ga}}if((P|0)==112){P=0;if(!O){P=113;break a}ha=ba+2|0}else if((P|0)==118){P=0;if(O){P=119;break a}else ha=ca}_V(i,f[x>>2]|0,h,Q);da=Y+8|0;p[s>>3]=+p[i>>3];f[da>>2]=f[s>>2];f[da+4>>2]=f[s+4>>2];aa=ha}if(y){na=aa;oa=N;P=145;break a}else{pa=N;qa=0;ra=aa}}while(0);if((P|0)==7){P=0;f[n>>2]=0;f[o>>2]=0;f[q>>2]=0;f[r>>2]=0;if(!(U<<24>>24==47|R<<24>>24==0)){da=lZ(a,T,n,q,r)|0;switch(f[r>>2]|0){case 5:{P=9;break a;break}case 3:{P=10;break a;break}case 1:break;default:{P=11;break a}}la=f[q>>2]|0;if((la|0)!=0?(ja=TY(la,230191)|0,(ja|0)!=0):0)if(o7b(ja,231758)|0)if(o7b(ja,231762)|0)if(o7b(ja,235711)|0)if(!(o7b(ja,233785)|0)){sa=1;ta=0;ua=0}else{la=hZ(ja)|0;sa=0;ta=(la|0)==0?0:16;ua=la}else{sa=0;ta=5;ua=0}else{sa=0;ta=6;ua=0}else{sa=0;ta=3;ua=0}else{sa=0;ta=0;ua=0}la=f[n>>2]|0;if((f[la+4>>2]|0)==1)va=(b[f[la+8>>2]>>0]|0)==95;else va=0;ja=f[d>>2]&7;if(ja>>>0>4){if(va^(ja|0)==5){P=24;break}}else O$(a,va?5:6,d);if(va)wa=nW(f[z>>2]|0,0)|0;else wa=VY(a,d,la,1)|0;if(!wa){P=29;break}if(sa){ja=kZ(a,da,2)|0;xa=ja;f[h>>2]=xa;if((f[A>>2]|0)==0?(ya=b[ja>>0]|0,ya<<24>>24!=60):0){if((ya&255)>31){za=1;while(1){Aa=b[ja+za>>0]|0;if((Aa&255)>31)za=za+1|0;else{Ba=za;Ca=Aa;break}}}else{Ba=0;Ca=ya}za=ja+Ba|0;if(!(Ca<<24>>24)){P=37;break}Aa=za;f[h>>2]=Aa;Da=Ba;Ea=za;Fa=Aa}else{Da=0;Ea=ja;Fa=xa}Aa=ja+Da|0;if(ja>>>0<Ea>>>0){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;if((Fa-xa|0)<32){P=41;break}f[j>>2]=0;f[B>>2]=0;f[C>>2]=0;za=Bmc(25)|0;f[j>>2]=za;Ga=za+25|0;f[D>>2]=Ga;Ha=za;Ia=Ha+25|0;do{b[Ha>>0]=32;Ha=Ha+1|0}while((Ha|0)<(Ia|0));f[B>>2]=Ga;AZ(ja,za,0,32)|0;if(!(GZ(j,i)|0)){P=44;break}xa=b[E>>0]|0;if(!((xa<<24>>24<0?f[F>>2]|0:xa&255)|0)){P=44;break}xa=ja+32|0;ya=f[j>>2]|0;if(ya|0){if((f[B>>2]|0)!=(ya|0))f[B>>2]=ya;Emc(ya)};f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;Umc(j,131072);if((Da|0)>32){ya=Aa;Ja=Ea;Ka=xa;while(1){oZ(j,Ka,ya)|0;Ka=kZ(a,Ja,2)|0;f[h>>2]=Ka;do if(!(f[A>>2]|0)){xa=b[Ka>>0]|0;if(xa<<24>>24==60){La=Ka;break}if((xa&255)>31){Ma=Ka;while(1){Na=Ma+1|0;Oa=b[Na>>0]|0;if((Oa&255)>31)Ma=Na;else{Pa=Na;Qa=Oa;break}}}else{Pa=Ka;Qa=xa}if(!(Qa<<24>>24)){P=56;break a}f[h>>2]=Pa;La=Pa}else La=Ka;while(0);if(Ka>>>0>=La>>>0)break;else{ya=La;Ja=La}}}Ja=b[G>>0]|0;ya=Ja<<24>>24<0;Ka=ya?f[H>>2]|0:Ja&255;if(!Ka){P=60;break}if(!(BZ(ya?f[j>>2]|0:j,0,Ka)|0)){P=60;break}Ka=b[G>>0]|0;ya=CZ(Ka<<24>>24<0?f[H>>2]|0:Ka&255,1)|0;f[k>>2]=0;f[I>>2]=0;f[J>>2]=0;if(ya|0){if((ya|0)<0){P=63;break}Ka=Bmc(ya)|0;f[I>>2]=Ka;f[k>>2]=Ka;f[L>>2]=Ka+ya;Ja=ya;ya=Ka;do{b[ya>>0]=0;ya=(f[I>>2]|0)+1|0;f[I>>2]=ya;Ja=Ja+-1|0}while((Ja|0)!=0)}Ja=b[G>>0]|0;ya=Ja<<24>>24<0;Ka=DZ(ya?f[H>>2]|0:Ja&255,ya?f[j>>2]|0:j,0)|0;ya=f[k>>2]|0;MZ(l,ya,(f[I>>2]|0)-ya|0);ya=b[G>>0]|0;Ja=ya<<24>>24<0;Aa=Ja?f[j>>2]|0:j;PZ(l,Aa,Aa+(Ja?f[H>>2]|0:ya&255)|0)|0;OZ(l)|0;NZ(l);ya=a0((b[E>>0]|0)<0?f[i>>2]|0:i,0)|0;if((Ka|0)%(ya|0)|0|0){P=67;break}f[wa>>2]=0;O$(a,5,wa);e_(f[k>>2]|0,(Ka|0)/(ya|0)|0,(b[E>>0]|0)<0?f[i>>2]|0:i,f[wa+8>>2]|0);ya=f[((f[A>>2]|0)==0?h:K)>>2]|0;Ka=f[k>>2]|0;if(Ka|0){if((f[I>>2]|0)!=(Ka|0))f[I>>2]=Ka;Emc(Ka)}if((b[G>>0]|0)<0)Emc(f[j>>2]|0);if((b[E>>0]|0)<0)Emc(f[i>>2]|0);Ra=ya}else Ra=Ea;Sa=kZ(a,Ra,0)|0}else Sa=mZ(a,da,wa,ta)|0;if(!va)f[wa>>2]=f[wa>>2]|64;if(N)Ta=(f[wa>>2]&7)>>>0<5;else Ta=0;f[wa+4>>2]=ua;ya=lZ(a,Sa,o,q,r)|0;if((f[r>>2]|0)==2?(f[o>>2]|0)==(la|0):0){Ua=1;Va=Ta;Wa=1;Xa=ya}else{P=83;break}}else{Ua=0;Va=N;Wa=S;Xa=T}if(Ua){pa=Va;qa=Wa;ra=Xa}else{na=Xa;oa=Va;P=145;break}}M=ra;c=qa;N=pa}switch(P|0){case 9:{N$(a,227244,227261,227071,237);break}case 10:{N$(a,227244,227297,227071,239);break}case 11:{f[h>>2]=0;f[h+4>>2]=0;Ha=YG(h,30)|0;Ya=227326;Ia=Ha+30|0;do{b[Ha>>0]=b[Ya>>0]|0;Ha=Ha+1|0;Ya=Ya+1|0}while((Ha|0)<(Ia|0));nZ(-215,h,227244,241);break}case 24:{N$(a,227244,va?227357:233447,227071,275);break}case 29:{f[h>>2]=0;f[h+4>>2]=0;va=YG(h,4)|0;b[va>>0]=101;b[va+1>>0]=108;b[va+2>>0]=101;b[va+3>>0]=109;nZ(-215,h,227244,281);break}case 37:{N$(a,227388,231798,227071,115);break}case 41:{N$(a,227420,231839,227071,134);break}case 44:{N$(a,227420,231866,227071,139);break}case 56:{N$(a,227388,231798,227071,115);break}case 60:{N$(a,227420,231896,227071,155);break}case 63:{Ukc(k);break}case 67:{N$(a,227420,227438,227071,173);break}case 83:{N$(a,227244,227473,227071,296);break}case 86:{N$(a,227244,227496,227071,302);break}case 102:{N$(a,227244,231950,227071,339);break}case 105:{f[h>>2]=0;f[h+4>>2]=0;Ha=YG(h,98)|0;Ya=232016;Ia=Ha+98|0;do{b[Ha>>0]=b[Ya>>0]|0;Ha=Ha+1|0;Ya=Ya+1|0}while((Ha|0)<(Ia|0));nZ(-215,h,227244,342);break}case 109:{f[i>>2]=0;f[i+4>>2]=0;Ha=YG(i,98)|0;Ya=232016;Ia=Ha+98|0;do{b[Ha>>0]=b[Ya>>0]|0;Ha=Ha+1|0;Ya=Ya+1|0}while((Ha|0)<(Ia|0));nZ(-215,i,227244,358);break}case 113:{N$(a,227244,227535,227071,364);break}case 119:{N$(a,227244,227588,227071,371);break}case 121:{N$(a,227244,227610,227071,376);break}case 125:{N$(a,227244,227661,227071,392);break}case 130:{N$(a,227244,227697,227071,401);break}case 139:{f[i>>2]=0;f[i+4>>2]=0;Ha=YG(i,98)|0;Ya=232016;Ia=Ha+98|0;do{b[Ha>>0]=b[Ya>>0]|0;Ha=Ha+1|0;Ya=Ya+1|0}while((Ha|0)<(Ia|0));nZ(-215,i,227244,420);break}case 141:{N$(a,227244,232133,227071,425);break}case 145:{i=f[d>>2]|0;Ya=i&7;if(!Ya)if(v>>>0>4)P=148;else Za=i;else if(v>>>0>4&(Ya>>>0<5&(Ya|0)!=(v|0)))P=148;else Za=i;if((P|0)==148){O$(a,(v|0)==6?6:5,d);Za=f[d>>2]|0}P=Za&7;if(!((v|0)==0|(v|0)==(P|0)))N$(a,227244,227761,227071,447);if(P>>>0<5|oa^1){_a=Za|t;f[d>>2]=_a;u=g;return na|0}oa=f[z>>2]|0;f[oa>>2]=f[oa>>2]|256;_a=Za|t;f[d>>2]=_a;u=g;return na|0}}return 0}function nZ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;SQ(a,b,c,227071,d);return}function oZ(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;e=u;u=u+16|0;g=c;h=e;i=a+11|0;j=b[i>>0]|0;k=j<<24>>24<0;if(k){l=f[a+4>>2]|0;m=(f[a+8>>2]&2147483647)+-1|0}else{l=j&255;m=10}n=d-g|0;if(!n){u=e;return a|0}if(k){k=f[a>>2]|0;o=k;p=f[a+4>>2]|0;q=k}else{o=a;p=j&255;q=a}if(q>>>0<=c>>>0&(o+p|0)>>>0>c>>>0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(n>>>0>4294967279)Lmc(h);if(n>>>0<11){b[h+11>>0]=n;r=h}else{p=n+16&-16;o=Bmc(p)|0;f[h>>2]=o;f[h+8>>2]=p|-2147483648;f[h+4>>2]=n;r=o}if((c|0)==(d|0))s=r;else{o=r;p=c;while(1){b[o>>0]=b[p>>0]|0;p=p+1|0;if((p|0)==(d|0))break;else o=o+1|0}s=r+n|0}b[s>>0]=0;s=h+11|0;r=b[s>>0]|0;o=r<<24>>24<0;$mc(a,o?f[h>>2]|0:h,o?f[h+4>>2]|0:r&255)|0;if((b[s>>0]|0)<0)Emc(f[h>>2]|0);u=e;return a|0}if((m-l|0)>>>0<n>>>0){Ymc(a,m,l+n-m|0,l,l,0,0);t=b[i>>0]|0}else t=j;if(t<<24>>24<0)v=f[a>>2]|0;else v=a;t=v+l|0;if((c|0)==(d|0))w=t;else{j=d+(l-g)|0;g=c;c=t;while(1){b[c>>0]=b[g>>0]|0;g=g+1|0;if((g|0)==(d|0))break;else c=c+1|0}w=v+j|0}b[w>>0]=0;w=l+n|0;if((b[i>>0]|0)<0){f[a+4>>2]=w;u=e;return a|0}else{b[i>>0]=w;u=e;return a|0}return 0}function pZ(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=u;u=u+80|0;h=g+48|0;i=g+8|0;j=g;k=d&15|32;if((d&7)>>>0<=4){f[j>>2]=0;f[j+4>>2]=0;l=YG(j,66)|0;m=228216;n=l+66|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));nZ(-5,j,228283,762)}if((e|0)!=0?(b[e>>0]|0)!=0:0){f[i>>2]=230191;f[i+4>>2]=e;o=2}else o=0;f[i+(o<<2)>>2]=0;qZ(a,c,1,i,0);i=a+44|0;f[h+20>>2]=f[i>>2]&-33;o=a+40|0;f[h+16>>2]=f[o>>2];e=a+48|0;m=e;l=f[m+4>>2]|0;n=h+8|0;f[n>>2]=f[m>>2];f[n+4>>2]=l;l=a+24|0;WV(f[l>>2]|0,h);nW(f[a+36>>2]|0,h)|0;f[o>>2]=(f[o>>2]|0)+2;if(!(d&8))Q$(a)|0;f[i>>2]=k;if(!c){f[a+52>>2]=0;f[e>>2]=0;u=g;return}else{_V(j,f[l>>2]|0,c,-1);c=j;j=f[c+4>>2]|0;l=e;f[l>>2]=f[c>>2];f[l+4>>2]=j;u=g;return}}function qZ(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;h=u;u=u+16|0;i=e;j=g;g=h;k=a+72|0;l=f[k>>2]|0;m=a+44|0;n=f[m>>2]|0;if(!c)o=0;else o=(b[c>>0]|0)==0?0:c;c=(d|0)==3;if((d|2|0)==3){p=n&7;if(p>>>0>4)if((p|0)==6^(o|0)!=0){f[g>>2]=0;f[g+4>>2]=0;q=YG(g,85)|0;r=232567;s=q+85|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));nZ(-5,g,228306,682)}else t=n;else{f[a+12>>2]=0;t=o|0?38:37}if(!(t&32)){v=Q$(a)|0;w=t}else{v=l;w=t}}else{v=l;w=n}if(o)if((b[o>>0]|0)==95?(b[o+1>>0]|0)==0:0){f[g>>2]=0;f[g+4>>2]=0;q=YG(g,33)|0;r=228321;s=q+33|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));nZ(-5,g,228306,697)}else x=o;else x=230873;o=s8b(x)|0;n=v+1|0;b[v>>0]=60;do if((d|0)==2)if(!e){b[n>>0]=47;y=v+2|0;break}else{f[g>>2]=0;f[g+4>>2]=0;q=YG(g,45)|0;r=228355;s=q+45|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));nZ(-5,g,228306,704)}else y=n;while(0);n=b[x>>0]|0;if(!(((n&-33)+-65&255)<26|n<<24>>24==95)){f[g>>2]=0;f[g+4>>2]=0;q=YG(g,35)|0;r=228401;s=q+35|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));nZ(-5,g,228306,709)}n=P$(a,y,o)|0;a:do if((o|0)>0){y=0;b:while(1){v=b[x+y>>0]|0;if(!((v+-48&255)<10|((v&-33)+-65&255)<26))switch(v<<24>>24){case 45:case 95:break;default:break b}b[n+y>>0]=v;y=y+1|0;if((y|0)>=(o|0))break a}f[g>>2]=0;f[g+4>>2]=0;q=YG(g,74)|0;r=228437;s=q+74|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));nZ(-5,g,228306,716)}while(0);g=n+o|0;o=i;i=j;while(1){if((o|0)!=0?(j=o,n=f[j>>2]|0,(n|0)!=0):0){r=j;j=g;q=n;while(1){n=s8b(q)|0;s=r+4|0;x=s8b(f[s>>2]|0)|0;y=P$(a,j,n+4+x|0)|0;v=y+1|0;b[y>>0]=32;Krc(v|0,f[r>>2]|0,n|0)|0;y=v+n|0;n=y+1|0;b[y>>0]=61;y=n+1|0;b[n>>0]=34;Krc(y|0,f[s>>2]|0,x|0)|0;s=y+x|0;x=s+1|0;b[s>>0]=34;r=r+8|0;q=f[r>>2]|0;if(!q){z=x;break}else j=x}}else z=g;if(!i)break;g=z;o=f[i>>2]|0;i=f[i+4>>2]|0}if(!c){A=z;B=A+1|0;b[A>>0]=62;f[k>>2]=B;C=w&-33;f[m>>2]=C;u=h;return}b[z>>0]=47;A=z+1|0;B=A+1|0;b[A>>0]=62;f[k>>2]=B;C=w&-33;f[m>>2]=C;u=h;return}function rZ(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=u;u=u+32|0;d=c+8|0;e=c;g=a+36|0;if(!(f[(f[g>>2]|0)+24>>2]|0)){f[e>>2]=0;f[e+4>>2]=0;h=YG(e,20)|0;i=228512;j=h+20|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));nZ(-2,e,228533,804)}else{qZ(a,f[a+52>>2]|0,2,0,0);oW(f[g>>2]|0,d);f[a+40>>2]=f[d+16>>2];f[a+44>>2]=f[d+20>>2];g=d+8|0;e=f[g+4>>2]|0;i=a+48|0;f[i>>2]=f[g>>2];f[i+4>>2]=e;XV(f[a+24>>2]|0,d);u=c;return}}function sZ(a){a=a|0;var b=0;if(f[a+12>>2]|0)return;b=a+36|0;if((f[(f[b>>2]|0)+24>>2]|0)>0)do rZ(a);while((f[(f[b>>2]|0)+24>>2]|0)>0);f[a+40>>2]=0;Q$(a)|0;E$(a,228554);f[a+72>>2]=f[a+76>>2];return}function tZ(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;g=u;u=u+16|0;h=g;W$(a,0);switch(f[a+280>>2]|0){case 0:{V$(a,1);break}case 2:{f[h>>2]=0;f[h+4>>2]=0;i=YG(h,38)|0;j=228577;k=i+38|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));nZ(-2,h,228616,845);break}default:{}}l=a+44|0;m=f[l>>2]&7;if((m|0)!=6?(n=(c|0)!=0,!(n&m>>>0<5)):0){m=a+72|0;o=f[m>>2]|0;p=f[a+76>>2]|0;q=o-p+e|0;if(n){f[h>>2]=0;f[h+4>>2]=0;i=YG(h,49)|0;j=228634;k=i+49|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));nZ(-5,h,228616,863)}f[l>>2]=5;if((q|0)>(f[a+84>>2]|0)?(q-(f[a+40>>2]|0)|0)>10:0)r=13;else r=11;do if((r|0)==11){if(o>>>0>p>>>0?(b[o+-1>>0]|0)==62:0){r=13;break}if(o>>>0>(p+(f[a+40>>2]|0)|0)>>>0?(b[o+-1>>0]|0)!=62:0){b[o>>0]=32;s=o+1|0}else s=o}while(0);if((r|0)==13)s=Q$(a)|0;Krc(s|0,d|0,e|0)|0;f[m>>2]=s+e;u=g;return}qZ(a,c,1,0,0);s=a+72|0;m=P$(a,f[s>>2]|0,e)|0;Krc(m|0,d|0,e|0)|0;f[s>>2]=m+e;qZ(a,c,2,0,0);u=g;return}function uZ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+128|0;e=D$(c,d,10)|0;tZ(a,b,e,s8b(e)|0);u=d;return}function vZ(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0;d=u;u=u+128|0;e=d;tZ(a,b,e,s8b(S$(e,c)|0)|0);u=d;return}function wZ(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;g=u;u=u+24608|0;h=g;i=g+16|0;j=g+8|0;if(!d){f[j>>2]=0;f[j+4>>2]=0;k=YG(j,19)|0;l=233e3;m=k+19|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));nZ(-27,j,228684,904)}n=s8b(d)|0;if((n|0)>4096){f[j>>2]=0;f[j+4>>2]=0;k=YG(j,30)|0;l=233038;m=k+30|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));nZ(-5,j,228684,908)}j=(e|0)!=0|(n|0)==0;if((!j?(b[d>>0]|0)==34:0)?(b[d+(n+-1)>>0]|0)==34:0){o=n;p=d;tZ(a,c,p,o);u=g;return}e=j&1;j=i+1|0;b[i>>0]=34;if((n|0)>0){l=e;k=0;m=j;while(1){q=b[d+k>>0]|0;r=q&255;a:do if(q<<24>>24<0|q<<24>>24==32){b[m>>0]=q;s=m;t=1}else{b:do if((q&255)>=32){switch(q<<24>>24){case 34:case 38:case 39:case 60:case 62:{break b;break}default:{}}b[m>>0]=q;s=m;t=l;break a}while(0);v=m+1|0;b[m>>0]=38;switch(q<<24>>24){case 60:{b[v>>0]=108;b[v+1>>0]=116;w=3;break}case 62:{b[v>>0]=103;b[v+1>>0]=116;w=3;break}case 38:{b[v>>0]=b[227747]|0;b[v+1>>0]=b[227748]|0;b[v+2>>0]=b[227749]|0;w=4;break}case 39:{b[v>>0]=97;b[v+1>>0]=112;b[v+2>>0]=111;b[v+3>>0]=115;w=5;break}case 34:{b[v>>0]=113;b[v+1>>0]=117;b[v+2>>0]=111;b[v+3>>0]=116;w=5;break}default:{f[h>>2]=r;g9b(v,228702,h)|0;w=5}}v=m+w|0;b[v>>0]=59;s=v;t=1}while(0);r=s+1|0;k=k+1|0;if((k|0)==(n|0)){x=r;y=t;break}else{l=t;m=r}}}else{x=j;y=e}if(!y){e=b[d>>0]|0;if((e+-48&255)<10){z=1;A=26}else switch(e<<24>>24){case 46:case 45:case 43:{z=1;A=26;break}default:{B=x;C=1}}}else{z=y;A=26}if((A|0)==26){b[x>>0]=34;B=x+1|0;C=(z|0)==0}b[B>>0]=0;o=(C<<31>>31)-i+B|0;p=i+(C&1)|0;tZ(a,c,p,o);u=g;return}function xZ(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;h=e+8|0;if(!c){f[h>>2]=0;f[h+4>>2]=0;i=YG(h,12)|0;j=233075;k=i+12|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));nZ(-27,h,228709,986)}if(kac(c,523445)|0){f[h>>2]=0;f[h+4>>2]=0;i=YG(h,49)|0;j=228728;k=i+49|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));nZ(-5,h,228709,989)}h=s8b(c)|0;j=C8b(c,10)|0;i=(j|0)!=0;k=a+72|0;l=f[k>>2]|0;if((d|0)!=0&(i^1)?((f[a+80>>2]|0)-l|0)>=(h+5|0):0)if(l>>>0>((f[a+76>>2]|0)+(f[a+40>>2]|0)|0)>>>0){b[l>>0]=32;m=l+1|0}else m=l;else m=Q$(a)|0;if(!i){i=P$(a,m,h+9|0)|0;f[g>>2]=c;g9b(i,228783,g)|0;g=i+(s8b(i)|0)|0;f[k>>2]=g;Q$(a)|0;u=e;return};b[m>>0]=b[228778]|0;b[m+1>>0]=b[228779]|0;b[m+2>>0]=b[228780]|0;b[m+3>>0]=b[228781]|0;b[m+4>>0]=b[228782]|0;f[k>>2]=m+4;m=j;j=c;c=Q$(a)|0;while(1){if(!m)break;g=m-j|0;i=g+1|0;h=P$(a,c,i)|0;Krc(h|0,j|0,i|0)|0;i=m+1|0;l=C8b(i,10)|0;f[k>>2]=h+g;m=l;j=i;c=Q$(a)|0}m=s8b(j)|0;i=P$(a,c,m)|0;Krc(i|0,j|0,m|0)|0;f[k>>2]=i+m;m=Q$(a)|0;b[m>>0]=45;b[m+1>>0]=45;b[m+2>>0]=62;b[m+3>>0]=0;f[k>>2]=m+3;Q$(a)|0;u=e;return}function yZ(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;if(!((a|0)!=0&(c|0)!=0&(e|0)!=0)){f=0;return f|0}g=a+d|0;d=e-((e>>>0)%3|0)|0;a=g+d|0;if((d|0)>0){d=c;i=g;while(1){j=b[i+1>>0]|0;k=i+3|0;l=b[i+2>>0]|0;m=h[i>>0]|0;b[d>>0]=b[228795+(m>>>2)>>0]|0;n=j&255;b[d+1>>0]=b[228795+(n>>>4|m<<4&48)>>0]|0;m=l&255;b[d+2>>0]=b[228795+(m>>>6|n<<2&60)>>0]|0;n=d+4|0;b[d+3>>0]=b[228795+(m&63)>>0]|0;if(k>>>0<a>>>0){d=n;i=k}else{o=n;p=k;break}}}else{o=c;p=g}i=g+e-p|0;switch(i|0){case 1:{e=h[p>>0]|0;b[o>>0]=b[228795+(e>>>2)>>0]|0;q=o+1|0;r=2;s=e<<4;t=48;u=7;break}case 2:{e=b[p+1>>0]|0;g=h[p>>0]|0;b[o>>0]=b[228795+(g>>>2)>>0]|0;p=e&255;b[o+1>>0]=b[228795+(g<<4&48|p>>>4)>>0]|0;q=o+2|0;r=3;s=p<<2;t=60;u=7;break}default:v=o}if((u|0)==7){b[q>>0]=b[228795+(s&t)>>0]|0;v=o+r|0}switch(i|0){case 1:{b[v>>0]=61;w=v+1|0;u=10;break}case 2:{w=v;u=10;break}default:x=v}if((u|0)==10){b[w>>0]=61;x=w+1|0}b[x>>0]=0;f=x-c|0;return f|0}function zZ(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,i=0,j=0,k=0,l=0;if(!((a|0)!=0&(c|0)!=0&(e|0)!=0&(e&3|0)==0)){f=0;return f|0}g=a+d|0;i=g+e|0;if((e|0)>0){e=a+(d+4)|0;j=((((i>>>0>e>>>0?i:e)+(~a-d)|0)>>>2)*3|0)+3|0;d=c;a=g;while(1){g=b[228860+(h[a+3>>0]|0)>>0]|0;e=h[228860+(h[a+2>>0]|0)>>0]|0;k=h[228860+(h[a+1>>0]|0)>>0]|0;b[d>>0]=k>>>4&3|(h[228860+(h[a>>0]|0)>>0]|0)<<2;a=a+4|0;b[d+1>>0]=e>>>2&15|k<<4;b[d+2>>0]=g&255|e<<6;if(a>>>0>=i>>>0)break;else d=d+3|0}l=c+j|0}else l=c;b[l>>0]=0;f=l-c|0;return f|0}function AZ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;if(!d)e=s8b(a)|0;else e=d;return zZ(a,b,c,e)|0}function BZ(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;if(!d)e=s8b(a)|0;else e=d;if(!a){f=0;return f|0}d=a+c|0;if(!d){f=0;return f|0}if(!e)g=s8b(a)|0;else g=e;if(!((g|0)!=0&(g&3|0)==0)){f=0;return f|0}e=d+g|0;g=e+-1|0;if((b[g>>0]|0)==61){a=g+-1|0;h=(b[a>>0]|0)==61?a:g}else h=e;if(d>>>0<h>>>0)i=d;else{f=1;return f|0}while(1){d=b[i>>0]|0;if((d&255)>126){f=0;j=14;break}i=i+1|0;if(!(d<<24>>24==65|(b[228860+(d&255)>>0]|0)!=0)){f=0;j=14;break}if(i>>>0>=h>>>0){f=1;j=14;break}}if((j|0)==14)return f|0;return 0}function CZ(a,b){a=a|0;b=b|0;return ((a>>>2)*3|0)+(b&1)|0}function DZ(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0;e=0;f=c+a|0;while(1){f=f+-1|0;if((b[f>>0]|0)!=61)break;else e=e+1|0}return (d&1)+((a>>>2)*3|0)-e|0}function EZ(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+160|0;e=d+136|0;g=d;h=g+56|0;i=g+4|0;f[g>>2]=11652;f[h>>2]=11672;Icc(g+56|0,i);f[g+128>>2]=0;f[g+132>>2]=-1;f[g>>2]=46744;f[h>>2]=46764;Ncc(i);f[i>>2]=46200;h=g+36|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[g+52>>2]=16;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;YQ(i,e);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);h=ZQ(g,c,s8b(c)|0)|0;b[e>>0]=32;ZQ(h,e,1)|0;_Q(a,i);i=a+11|0;h=b[i>>0]|0;if(h<<24>>24<0)j=f[a+4>>2]|0;else j=h&255;if(j>>>0>=24){f[e>>2]=0;f[e+4>>2]=0;j=YG(e,27)|0;h=228987;c=j+27|0;do{b[j>>0]=b[h>>0]|0;j=j+1|0;h=h+1|0}while((j|0)<(c|0));FZ(-215,e,229015,303)}Umc(a,24);e=a+4|0;while(1){h=b[i>>0]|0;if(h<<24>>24<0)k=f[e>>2]|0;else k=h&255;if(k>>>0>=24)break;bnc(a,32)}VS(g);u=d;return}function FZ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;SQ(a,b,c,229034,d);return}function GZ(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+160|0;e=d+12|0;g=d;h=f[a>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;a=s8b(h)|0;if(a>>>0>4294967279)Lmc(g);if(a>>>0<11){b[g+11>>0]=a;if(!a)i=g;else{j=g;k=6}}else{l=a+16&-16;m=Bmc(l)|0;f[g>>2]=m;f[g+8>>2]=l|-2147483648;f[g+4>>2]=a;j=m;k=6}if((k|0)==6){Krc(j|0,h|0,a|0)|0;i=j}b[i+a>>0]=0;a=e+60|0;i=e+8|0;f[e>>2]=11980;f[a>>2]=12e3;f[e+4>>2]=0;Icc(e+60|0,i);f[e+132>>2]=0;f[e+136>>2]=-1;f[e>>2]=50224;f[a>>2]=50244;Ncc(i);f[i>>2]=46200;a=e+40|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[e+56>>2]=8;YQ(i,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);g=HZ(e,c)|0;c=(f[g+(f[(f[g>>2]|0)+-12>>2]|0)+16>>2]&5|0)==0;IZ(e);u=d;return c|0}function HZ(a,c){a=a|0;c=c|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+16|0;g=e+4|0;i=e;Pcc(g,a,0);if(!(b[g>>0]|0)){g=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;Hcc(g,f[g+16>>2]|4);u=e;return a|0}g=c+11|0;if((b[g>>0]|0)<0){b[f[c>>2]>>0]=0;f[c+4>>2]=0}else{b[c>>0]=0;b[g>>0]=0}g=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;j=f[g+12>>2]|0;k=(j|0)<1?2147483647:j;Kcc(i,g);g=nec(i,893644)|0;oec(i);a:do if((k|0)>0){i=g+8|0;j=0;while(1){l=f[a+(f[(f[a>>2]|0)+-12>>2]|0)+24>>2]|0;m=f[l+12>>2]|0;if((m|0)==(f[l+16>>2]|0)){n=ci[f[(f[l>>2]|0)+36>>2]&1023](l)|0;if((n|0)==-1){o=j;p=2;break a}else q=n}else q=h[m>>0]|0;m=q&255;if(m<<24>>24>-1?d[(f[i>>2]|0)+(q<<24>>24<<1)>>1]&8192:0){o=j;p=0;break a}bnc(c,m);m=j+1|0;n=f[a+(f[(f[a>>2]|0)+-12>>2]|0)+24>>2]|0;l=n+12|0;r=f[l>>2]|0;if((r|0)==(f[n+16>>2]|0))ci[f[(f[n>>2]|0)+40>>2]&1023](n)|0;else f[l>>2]=r+1;if((m|0)<(k|0))j=m;else{o=m;p=0;break}}}else{o=0;p=0}while(0);f[a+(f[(f[a>>2]|0)+-12>>2]|0)+12>>2]=0;k=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;Hcc(k,f[k+16>>2]|((o|0)==0?p|4:p));u=e;return a|0}function IZ(a){a=a|0;var c=0,d=0,e=0;f[a>>2]=50224;c=a+60|0;f[c>>2]=50244;d=a+8|0;f[d>>2]=46200;e=a+40|0;if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);wbc(d);icc(a,50256);rbc(c);return}function JZ(a){a=a|0;IZ(a);Emc(a);return}function KZ(a){a=a|0;IZ(a+(f[(f[a>>2]|0)+-12>>2]|0)|0);return}function LZ(a){a=a|0;var b=0;b=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;IZ(b);Emc(b);return}function MZ(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;f[a>>2]=c;f[a+4>>2]=c+d;d=a+8|0;f[d>>2]=0;c=a+12|0;f[c>>2]=0;f[a+16>>2]=0;e=Bmc(120)|0;f[c>>2]=e;f[d>>2]=e;f[a+16>>2]=e+120;d=120;g=e;do{b[g>>0]=0;g=(f[c>>2]|0)+1|0;f[c>>2]=g;d=d+-1|0}while((d|0)!=0);d=a+20|0;g=a+24|0;c=a+28|0;e=a+32|0;h=a+36|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;i=Bmc(161)|0;f[h>>2]=i;f[e>>2]=i;f[a+40>>2]=i+161;a=161;j=i;do{b[j>>0]=0;j=(f[h>>2]|0)+1|0;f[h>>2]=j;a=a+-1|0}while((a|0)!=0);a=f[e>>2]|0;f[d>>2]=a;f[g>>2]=a;f[c>>2]=a+120;return}function NZ(a){a=a|0;var b=0,c=0;if((f[a+24>>2]|0)!=(f[a+20>>2]|0))OZ(a)|0;b=f[a+32>>2]|0;if(b|0){c=a+36|0;if((f[c>>2]|0)!=(b|0))f[c>>2]=b;Emc(b)}b=f[a+8>>2]|0;if(!b)return;c=a+12|0;if((f[c>>2]|0)!=(b|0))f[c>>2]=b;Emc(b);return}function OZ(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=u;u=u+16|0;d=c;e=a+20|0;g=f[e>>2]|0;h=a+24|0;i=f[h>>2]|0;j=i-g|0;k=i;if(!g){l=0;u=c;return l|0}if(!j)m=s8b(g)|0;else m=j;if(!((m|0)!=0&(m&3|0)==0)){l=0;u=c;return l|0}i=g+m|0;m=i+-1|0;if((b[m>>0]|0)==61){n=m+-1|0;o=(b[n>>0]|0)==61?n:m}else o=i;a:do if(g>>>0<o>>>0){i=g;while(1){m=b[i>>0]|0;if((m&255)>126){l=0;p=17;break}i=i+1|0;if(!(m<<24>>24==65|(b[228860+(m&255)>>0]|0)!=0)){l=0;p=17;break}if(i>>>0>=o>>>0)break a}if((p|0)==17){u=c;return l|0}}while(0);if((k|0)==(g|0)){l=1;u=c;return l|0}k=f[a+32>>2]|0;p=zZ(g,k,0,j)|0;f[h>>2]=f[e>>2];if(!p){f[d>>2]=0;f[d+4>>2]=0;e=YG(d,8)|0;h=e;b[h>>0]=108;b[h+1>>0]=101;b[h+2>>0]=110;b[h+3>>0]=32;h=e+4|0;b[h>>0]=33;b[h+1>>0]=61;b[h+2>>0]=32;b[h+3>>0]=48;FZ(-215,d,229181,379)}h=f[a>>2]|0;if((h+p|0)>>>0>=(f[a+4>>2]|0)>>>0){f[d>>2]=0;f[d+4>>2]=0;e=YG(d,23)|0;j=229187;g=e+23|0;do{b[e>>0]=b[j>>0]|0;e=e+1|0;j=j+1|0}while((e|0)<(g|0));FZ(-215,d,229181,382)}Krc(h|0,k|0,p|0)|0;f[a>>2]=(f[a>>2]|0)+p;l=1;u=c;return l|0}function PZ(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+16|0;g=e;if(c>>>0>=d>>>0){u=e;return a|0}h=d;i=a+28|0;j=a+24|0;k=c;while(1){c=h-k|0;l=f[j>>2]|0;m=(f[i>>2]|0)-l|0;n=(m|0)<(c|0)?m:c;Krc(l|0,k|0,n|0)|0;k=k+n|0;l=(f[j>>2]|0)+n|0;f[j>>2]=l;if(l>>>0>=(f[i>>2]|0)>>>0?!(OZ(a)|0):0){o=6;break}if(k>>>0>=d>>>0){o=7;break}}if((o|0)==6){f[g>>2]=0;f[g+4>>2]=0;d=YG(g,7)|0;b[d>>0]=b[229211]|0;b[d+1>>0]=b[229212]|0;b[d+2>>0]=b[229213]|0;b[d+3>>0]=b[229214]|0;b[d+4>>0]=b[229215]|0;b[d+5>>0]=b[229216]|0;b[d+6>>0]=b[229217]|0;FZ(-215,g,386937,359)}else if((o|0)==7){u=e;return a|0}return 0}function QZ(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+16|0;e=d;g=Bmc(40)|0;RZ(g,c);f[a>>2]=g;g=a+4|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;g=(c|0)!=0;if(g?(f[c>>2]|0)==1280131417:0)if(!(f[c+8>>2]|0)){f[e>>2]=0;f[e+4>>2]=0;h=YG(e,38)|0;i=229264;j=h+38|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));FZ(-2,e,229251,852)}else{u=d;return}f[e>>2]=0;f[e+4>>2]=0;h=YG(e,31)|0;i=229219;j=h+31|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));FZ(g?-5:-27,e,229251,852)}function RZ(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+16|0;e=d;f[a>>2]=c;g=a+4|0;f[g>>2]=0;h=a+8|0;f[h>>2]=0;f[a+12>>2]=0;i=Bmc(48)|0;f[h>>2]=i;f[g>>2]=i;f[a+12>>2]=i+48;j=48;k=i;do{b[k>>0]=0;k=(f[h>>2]|0)+1|0;f[h>>2]=k;j=j+-1|0}while((j|0)!=0);j=a+16|0;f[j>>2]=0;k=a+20|0;f[k>>2]=0;f[a+24>>2]=0;h=Bmc(65)|0;f[k>>2]=h;f[j>>2]=h;f[a+24>>2]=h+65;j=65;i=h;do{b[i>>0]=0;i=(f[k>>2]|0)+1|0;f[k>>2]=i;j=j+-1|0}while((j|0)!=0);j=f[g>>2]|0;f[a+28>>2]=j;f[a+36>>2]=j+48;f[a+32>>2]=j;j=(c|0)!=0;if(!j){f[e>>2]=0;l=e+4|0;f[l>>2]=0;m=YG(e,31)|0;n=m;o=229219;p=n+31|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));q=j?-5:-27;FZ(q,e,229303,417)}if((f[c>>2]|0)!=1280131417){f[e>>2]=0;l=e+4|0;f[l>>2]=0;m=YG(e,31)|0;n=m;o=229219;p=n+31|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));q=j?-5:-27;FZ(q,e,229303,417)}if(!(f[c+8>>2]|0)){f[e>>2]=0;f[e+4>>2]=0;n=YG(e,38)|0;o=229264;p=n+38|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));FZ(-2,e,229303,417)}if((f[c+4>>2]|0)==24){e=c+72|0;o=f[e>>2]|0;f[e>>2]=o+1;b[o>>0]=0;o=c+76|0;E$(c,f[o>>2]|0);f[e>>2]=f[o>>2];o=f[a>>2]|0;Drc(f[o+76>>2]|0,0,f[o+56>>2]|0)|0;E$(c,229324);u=d;return}else{Q$(f[a>>2]|0)|0;u=d;return}}function SZ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;e=u;u=u+32|0;g=e;TZ(a,d);UZ(g,b,c,a+4|0);c=f[a>>2]|0;a=Bmc(1024)|0;Drc(a|0,0,1024)|0;b=g+4|0;d=f[b>>2]|0;h=g+8|0;if(d>>>0<(f[h>>2]|0)>>>0){i=g+16|0;j=g+20|0;k=g+12|0;l=c+36|0;m=c+32|0;n=d;while(1){d=f[i>>2]|0;o=(f[j>>2]|0)-d>>3;if(!o)p=n;else{q=0;r=d;d=n;while(1){s=f[r+(q<<3)>>2]|0;Sh[f[r+(q<<3)+4>>2]&511](d+s|0,a+s|0)|0;s=q+1|0;if((s|0)==(o|0))break;q=s;r=f[i>>2]|0;d=f[b>>2]|0}p=f[b>>2]|0}d=f[k>>2]|0;r=p+d|0;f[b>>2]=r;q=a+d|0;if((d|0)>0){d=q;o=a;do{s=d-o|0;t=f[m>>2]|0;v=(f[l>>2]|0)-t|0;w=(v|0)<(s|0)?v:s;Krc(t|0,o|0,w|0)|0;o=o+w|0;t=(f[m>>2]|0)+w|0;f[m>>2]=t;if(t>>>0>=(f[l>>2]|0)>>>0)VZ(c)|0}while(o>>>0<q>>>0);x=f[b>>2]|0}else x=r;if(x>>>0<(f[h>>2]|0)>>>0)n=x;else break}}Emc(a);a=f[g+16>>2]|0;if(!a){u=e;return}x=g+20|0;g=f[x>>2]|0;if((g|0)!=(a|0))f[x>>2]=g+(~((g+-8-a|0)>>>3)<<3);Emc(a);u=e;return}function TZ(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+16|0;e=d;if(!c){f[e>>2]=0;f[e+4>>2]=0;g=YG(e,13)|0;h=229436;i=g+13|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));FZ(-5,e,229450,877)}j=a+4|0;k=b[j+11>>0]|0;l=k<<24>>24<0;if(l)m=f[a+8>>2]|0;else m=k&255;if(m|0){m=s8b(c)|0;if((m|0)!=((l?f[a+8>>2]|0:k&255)|0)){f[e>>2]=0;n=e+4|0;f[n>>2]=0;o=YG(e,20)|0;g=o;h=229459;i=g+20|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));FZ(-5,e,229450,888)}if(!(knc(j,0,-1,c,m)|0)){u=d;return}else{f[e>>2]=0;n=e+4|0;f[n>>2]=0;o=YG(e,20)|0;g=o;h=229459;i=g+20|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));FZ(-5,e,229450,888)}}Vmc(j,c)|0;EZ(e,c);c=e+11|0;j=b[c>>0]|0;h=j<<24>>24<0;g=h?f[e>>2]|0:e;i=h?f[e+4>>2]|0:j&255;h=g+i|0;o=f[a>>2]|0;if((i|0)>0){i=h;a=o+36|0;n=o+32|0;m=g;do{g=i-m|0;k=f[n>>2]|0;l=(f[a>>2]|0)-k|0;p=(l|0)<(g|0)?l:g;Krc(k|0,m|0,p|0)|0;m=m+p|0;k=(f[n>>2]|0)+p|0;f[n>>2]=k;if(k>>>0>=(f[a>>2]|0)>>>0)VZ(o)|0}while(m>>>0<h>>>0);q=b[c>>0]|0}else q=j;if(q<<24>>24<0)Emc(f[e>>2]|0);u=d;return}function UZ(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;g=u;u=u+16|0;h=g;f[a>>2]=c;i=a+4|0;f[i>>2]=0;j=a+8|0;f[j>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;if(!c){f[h>>2]=0;f[h+4>>2]=0;c=YG(h,3)|0;b[c>>0]=b[229334]|0;b[c+1>>0]=b[229335]|0;b[c+2>>0]=b[229336]|0;FZ(-215,h,229338,553)}c=e+11|0;k=b[c>>0]|0;if(!((k<<24>>24<0?f[e+4>>2]|0:k&255)|0)){f[h>>2]=0;f[h+4>>2]=0;k=YG(h,11)|0;l=229363;m=k+11|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));FZ(-215,h,229338,554)}if((d|0)>0){WZ(a,e);l=f[a>>2]|0;f[j>>2]=l;f[i>>2]=l;l=a0((b[c>>0]|0)<0?f[e>>2]|0:e,0)|0;f[a+12>>2]=l;e=(f[a>>2]|0)+(Y(l,d)|0)|0;f[j>>2]=e;u=g;return}else{f[h>>2]=0;f[h+4>>2]=0;g=YG(h,7)|0;b[g>>0]=b[229375]|0;b[g+1>>0]=b[229376]|0;b[g+2>>0]=b[229377]|0;b[g+3>>0]=b[229378]|0;b[g+4>>0]=b[229379]|0;b[g+5>>0]=b[229380]|0;b[g+6>>0]=b[229381]|0;FZ(-215,h,229338,555)}}function VZ(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=u;u=u+80|0;d=c;e=a+28|0;g=f[e>>2]|0;h=a+16|0;i=a+32|0;if(!(yZ(g,f[h>>2]|0,0,(f[i>>2]|0)-g|0)|0)){j=0;u=c;return j|0}f[i>>2]=f[e>>2];e=f[a>>2]|0;if((f[e+4>>2]|0)==24){E$(e,f[h>>2]|0);j=1;u=c;return j|0}else{i=f[e+40>>2]|0;Drc(d|0,32,i|0)|0;b[d+i>>0]=0;E$(e,d);E$(f[a>>2]|0,f[h>>2]|0);E$(f[a>>2]|0,509874);Q$(f[a>>2]|0)|0;j=1;u=c;return j|0}return 0}function WZ(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;d=u;u=u+176|0;e=d+156|0;g=d+160|0;h=d+16|0;i=d;j=d+8|0;f[e>>2]=0;b[g>>0]=0;k=h+60|0;l=h+8|0;f[h>>2]=11980;f[k>>2]=12e3;f[h+4>>2]=0;Icc(h+60|0,l);f[h+132>>2]=0;f[h+136>>2]=-1;f[h>>2]=50224;f[k>>2]=50244;Ncc(l);f[l>>2]=46200;k=h+40|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[h+56>>2]=8;YQ(l,c);c=f[h+(f[(f[h>>2]|0)+-12>>2]|0)+16>>2]|0;a:do if(!(c&2)){l=i+4|0;k=a+20|0;m=a+24|0;n=a+16|0;o=0;b:while(1){p=Ucc(h,e)|0;if(!(f[p+(f[(f[p>>2]|0)+-12>>2]|0)+16>>2]&5)){if(!(f[e>>2]|0)){q=7;break}}else{Hcc(h+(f[(f[h>>2]|0)+-12>>2]|0)|0,0);f[e>>2]=1}p=XZ(h,g)|0;if(f[p+(f[(f[p>>2]|0)+-12>>2]|0)+16>>2]&5|0){q=9;break}p=f[e>>2]|0;r=p+-1|0;f[e>>2]=r;c:do if(!p)s=o;else{t=o;v=r;while(1){switch(b[g>>0]|0){case 99:case 117:{w=1;x=485;break}case 115:case 119:{w=2;x=486;break}case 105:{w=4;x=487;break}case 102:{w=4;x=488;break}case 100:{w=8;x=489;break}default:{q=16;break b}}f[l>>2]=x;y=t+-1+w&0-w;f[i>>2]=y;z=f[k>>2]|0;if((z|0)==(f[m>>2]|0)){b_(n,i);A=f[e>>2]|0}else{B=i;C=f[B+4>>2]|0;D=z;f[D>>2]=f[B>>2];f[D+4>>2]=C;f[k>>2]=(f[k>>2]|0)+8;A=v}C=y+w|0;v=A+-1|0;f[e>>2]=v;if(!A){s=C;break c}else t=C}}while(0);r=f[h+(f[(f[h>>2]|0)+-12>>2]|0)+16>>2]|0;if(!(r&2))o=s;else{E=r;break a}}if((q|0)==7){f[i>>2]=0;f[i+4>>2]=0;o=YG(i,8)|0;k=o;b[k>>0]=99;b[k+1>>0]=110;b[k+2>>0]=116;b[k+3>>0]=32;k=o+4|0;b[k>>0]=62;b[k+1>>0]=32;b[k+2>>0]=48;b[k+3>>0]=85;FZ(-215,i,229383,607)}else if((q|0)==9){E=f[h+(f[(f[h>>2]|0)+-12>>2]|0)+16>>2]|0;break}else if((q|0)==16){f[j>>2]=0;f[j+4>>2]=0;F=YG(j,21)|0;G=229404;H=F+21|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));FZ(-2,j,229383,642)}}else E=c;while(0);if(!(E&2)){f[i>>2]=0;f[i+4>>2]=0;F=YG(i,9)|0;G=229426;H=F+9|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));FZ(-215,i,229383,653)}else{IZ(h);u=d;return}}function XZ(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d;Pcc(e,a,0);if(!(b[e>>0]|0)){u=d;return a|0}e=f[a+(f[(f[a>>2]|0)+-12>>2]|0)+24>>2]|0;g=e+12|0;i=f[g>>2]|0;if((i|0)==(f[e+16>>2]|0)){j=ci[f[(f[e>>2]|0)+40>>2]&1023](e)|0;if((j|0)==-1){e=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;Hcc(e,f[e+16>>2]|6);u=d;return a|0}else k=j}else{f[g>>2]=i+1;k=h[i>>0]|0}b[c>>0]=k;u=d;return a|0}function YZ(a,c){a=a|0;c=c|0;var d=0,e=0;d=a;a=f[d>>2]|0;e=f[d+4>>2]|0;b[c>>0]=a;d=Irc(a|0,e|0,8)|0;b[c+1>>0]=d;d=Irc(a|0,e|0,16)|0;b[c+2>>0]=d;d=Irc(a|0,e|0,24)|0;b[c+3>>0]=d;b[c+4>>0]=e;d=Irc(a|0,e|0,40)|0;b[c+5>>0]=d;d=Irc(a|0,e|0,48)|0;b[c+6>>0]=d;d=Irc(a|0,e|0,56)|0;b[c+7>>0]=d;return 8}function ZZ(a,c){a=a|0;c=c|0;var d=0;d=f[a>>2]|0;b[c>>0]=d;b[c+1>>0]=d>>>8;b[c+2>>0]=d>>>16;b[c+3>>0]=d>>>24;return 4}function _Z(a,c){a=a|0;c=c|0;var d=0;d=f[a>>2]|0;b[c>>0]=d;b[c+1>>0]=d>>>8;b[c+2>>0]=d>>>16;b[c+3>>0]=d>>>24;return 4}function $Z(a,c){a=a|0;c=c|0;var e=0;e=d[a>>1]|0;b[c>>0]=e;b[c+1>>0]=(e&65535)>>>8;return 2}function a_(a,c){a=a|0;c=c|0;b[c>>0]=b[a>>0]|0;return 1}function b_(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>3;h=g+1|0;if(h>>>0>536870911)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>2;l=j>>3>>>0<268435455?(k>>>0<h>>>0?h:k):536870911;do if(l)if(l>>>0>536870911){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<3)|0;break}else m=0;while(0);k=m+(g<<3)|0;h=b;b=f[h+4>>2]|0;j=k;f[j>>2]=f[h>>2];f[j+4>>2]=b;b=k+(0-g<<3)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+8;f[i>>2]=m+(l<<3);if(!d)return;Emc(d);return}function c_(a){a=a|0;var c=0;c=f[a>>2]|0;if(c|0){d_(c);Emc(c)}c=a+4|0;if((b[c+11>>0]|0)>=0)return;Emc(f[c>>2]|0);return}function d_(a){a=a|0;var b=0,c=0;if((f[a+32>>2]|0)!=(f[a+28>>2]|0))VZ(a)|0;b=f[a>>2]|0;if((f[b+4>>2]|0)==24){E$(b,509777);b=f[a>>2]|0;f[b+72>>2]=f[b+76>>2];Q$(b)|0;b=f[a>>2]|0;Drc(f[b+76>>2]|0,0,f[b+56>>2]|0)|0;b=f[a>>2]|0;f[b+72>>2]=f[b+76>>2]}b=f[a+16>>2]|0;if(b|0){c=a+20|0;if((f[c>>2]|0)!=(b|0))f[c>>2]=b;Emc(b)}b=f[a+4>>2]|0;if(!b)return;c=a+8|0;if((f[c>>2]|0)!=(b|0))f[c>>2]=b;Emc(b);return}function e_(a,c,e,g){a=a|0;c=c|0;e=e|0;g=g|0;var i=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;i=u;u=u+64|0;k=i+16|0;l=i;m=i+24|0;f[l+4>>2]=0;f_(m,a,c,e);e=m+8|0;c=m+28|0;a=m+20|0;o=m+16|0;q=m+12|0;r=l+8|0;s=l+8|0;while(1){t=f[m>>2]|0;if(t>>>0>=(f[e>>2]|0)>>>0)break;v=k;f[v>>2]=0;f[v+4>>2]=0;v=f[c>>2]|0;Sh[f[v+8>>2]&511](t+(f[v+4>>2]|0)|0,k)|0;v=f[c>>2]|0;t=f[v>>2]|0;switch(t|0){case 0:{f[r>>2]=h[k>>0];w=11;break}case 1:{f[r>>2]=b[k>>0];w=11;break}case 2:{f[r>>2]=j[k>>1];w=11;break}case 3:{f[r>>2]=d[k>>1];w=11;break}case 4:{f[r>>2]=f[k>>2];w=11;break}case 5:{p[s>>3]=+n[k>>2];w=11;break}case 6:{p[s>>3]=+p[k>>3];w=11;break}default:x=t}if((w|0)==11){w=0;x=f[v>>2]|0}switch(x|0){case 4:case 3:case 2:case 1:case 0:{y=1;w=14;break}case 6:case 5:{y=2;w=14;break}default:{}}if((w|0)==14){w=0;f[l>>2]=y}t=v+12|0;f[c>>2]=t;if((t|0)==(f[a>>2]|0)){f[c>>2]=f[o>>2];f[m>>2]=(f[m>>2]|0)+(f[q>>2]|0)}nW(g,l)|0}l=f[o>>2]|0;if(!l){u=i;return}o=f[a>>2]|0;if((o|0)!=(l|0))f[a>>2]=o+(~(((o+-12-l|0)>>>0)/12|0)*12|0);Emc(l);u=i;return}function f_(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+16|0;h=g;f[a>>2]=c;i=a+4|0;f[i>>2]=c;j=a+8|0;f[j>>2]=c;k=a+16|0;f[k>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;if(!c){f[h>>2]=0;f[h+4>>2]=0;c=YG(h,3)|0;b[c>>0]=b[229334]|0;b[c+1>>0]=b[229335]|0;b[c+2>>0]=b[229336]|0;FZ(-215,h,229480,673)}if(!e){f[h>>2]=0;f[h+4>>2]=0;c=YG(h,2)|0;b[c>>0]=100;b[c+1>>0]=116;FZ(-215,h,229480,674)}if((d|0)>-1){g_(a,e);f[a+28>>2]=f[k>>2];k=a0(e,0)|0;f[a+12>>2]=k;a=(f[i>>2]|0)+(Y(k,d)|0)|0;f[j>>2]=a;u=g;return}else{f[h>>2]=0;f[h+4>>2]=0;g=YG(h,8)|0;a=g;b[a>>0]=108;b[a+1>>0]=101;b[a+2>>0]=110;b[a+3>>0]=32;a=g+4|0;b[a>>0]=62;b[a+1>>0]=61;b[a+2>>0]=32;b[a+3>>0]=48;FZ(-215,h,229480,675)}}function g_(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;d=u;u=u+176|0;e=d+160|0;g=d+164|0;h=d+20|0;i=d+8|0;j=d;f[e>>2]=0;b[g>>0]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;k=s8b(c)|0;if(k>>>0>4294967279)Lmc(i);if(k>>>0<11){b[i+11>>0]=k;if(!k)l=i;else{m=i;n=6}}else{o=k+16&-16;p=Bmc(o)|0;f[i>>2]=p;f[i+8>>2]=o|-2147483648;f[i+4>>2]=k;m=p;n=6}if((n|0)==6){Krc(m|0,c|0,k|0)|0;l=m}b[l+k>>0]=0;k=h+60|0;l=h+8|0;f[h>>2]=11980;f[k>>2]=12e3;f[h+4>>2]=0;Icc(h+60|0,l);f[h+132>>2]=0;f[h+136>>2]=-1;f[h>>2]=50224;f[k>>2]=50244;Ncc(l);f[l>>2]=46200;k=h+40|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[h+56>>2]=8;YQ(l,i);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);l=f[h+(f[(f[h>>2]|0)+-12>>2]|0)+16>>2]|0;a:do if(!(l&2)){k=i+8|0;m=i+4|0;c=a+20|0;p=a+24|0;o=a+16|0;q=0;b:while(1){r=Ucc(h,e)|0;if(!(f[r+(f[(f[r>>2]|0)+-12>>2]|0)+16>>2]&5)){if(!(f[e>>2]|0)){n=15;break}}else{Hcc(h+(f[(f[h>>2]|0)+-12>>2]|0)|0,0);f[e>>2]=1}r=XZ(h,g)|0;if(f[r+(f[(f[r>>2]|0)+-12>>2]|0)+16>>2]&5|0){n=17;break}r=f[e>>2]|0;s=r+-1|0;f[e>>2]=s;c:do if(!r)t=q;else{v=q;w=s;while(1){x=b[g>>0]|0;switch(x|0){case 99:case 117:{y=1;z=493;n=25;break}case 115:case 119:{y=2;z=494;n=25;break}case 105:{f[k>>2]=490;A=v+3&-4;f[m>>2]=A;B=A+4|0;n=29;break}case 102:{f[k>>2]=491;A=v+3&-4;f[m>>2]=A;C=A+4|0;n=30;break}case 100:{f[k>>2]=492;A=v+7&-8;f[m>>2]=A;D=A+8|0;n=31;break}default:{n=24;break b}}d:do if((n|0)==25){n=0;f[k>>2]=z;A=v+-1+y&0-y;f[m>>2]=A;E=A+y|0;switch(x|0){case 99:{F=1;G=E;break d;break}case 105:{B=E;n=29;break d;break}case 102:{C=E;n=30;break d;break}case 100:{D=E;n=31;break d;break}case 117:{F=0;G=E;break d;break}case 119:{F=2;G=E;break d;break}case 115:{F=3;G=E;break d;break}default:{n=32;break b}}}while(0);if((n|0)==29){n=0;F=4;G=B}else if((n|0)==30){n=0;F=5;G=C}else if((n|0)==31){n=0;F=6;G=D}f[i>>2]=F;x=f[c>>2]|0;if((x|0)==(f[p>>2]|0)){m_(o,i);H=f[e>>2]|0}else{f[x>>2]=f[i>>2];f[x+4>>2]=f[i+4>>2];f[x+8>>2]=f[i+8>>2];f[c>>2]=(f[c>>2]|0)+12;H=w}w=H+-1|0;f[e>>2]=w;if(!H){t=G;break c}else v=G}}while(0);s=f[h+(f[(f[h>>2]|0)+-12>>2]|0)+16>>2]|0;if(!(s&2))q=t;else{I=s;break a}}if((n|0)==15){f[i>>2]=0;f[i+4>>2]=0;q=YG(i,8)|0;c=q;b[c>>0]=99;b[c+1>>0]=110;b[c+2>>0]=116;b[c+3>>0]=32;c=q+4|0;b[c>>0]=62;b[c+1>>0]=32;b[c+2>>0]=48;b[c+3>>0]=85;FZ(-215,i,229503,766)}else if((n|0)==17){I=f[h+(f[(f[h>>2]|0)+-12>>2]|0)+16>>2]|0;break}else if((n|0)==24){f[j>>2]=0;f[j+4>>2]=0;J=YG(j,21)|0;K=229404;L=J+21|0;do{b[J>>0]=b[K>>0]|0;J=J+1|0;K=K+1|0}while((J|0)<(L|0));FZ(-2,j,229503,802)}else if((n|0)==32){f[j>>2]=0;f[j+4>>2]=0;J=YG(j,21)|0;K=229404;L=J+21|0;do{b[J>>0]=b[K>>0]|0;J=J+1|0;K=K+1|0}while((J|0)<(L|0));FZ(-2,j,229503,821)}}else I=l;while(0);if(!(I&2)){f[i>>2]=0;f[i+4>>2]=0;J=YG(i,9)|0;K=229426;L=J+9|0;do{b[J>>0]=b[K>>0]|0;J=J+1|0;K=K+1|0}while((J|0)<(L|0));FZ(-215,i,229503,828)}if((f[a+20>>2]|0)==(f[a+16>>2]|0)){f[i>>2]=0;f[i+4>>2]=0;J=YG(i,22)|0;K=229514;L=J+22|0;do{b[J>>0]=b[K>>0]|0;J=J+1|0;K=K+1|0}while((J|0)<(L|0));FZ(-215,i,229503,829)}else{IZ(h);u=d;return}}function h_(a,b){a=a|0;b=b|0;var c=0,d=0;f[b>>2]=0;c=h[a>>0]|0;f[b>>2]=c;d=(h[a+1>>0]|0)<<8|c;f[b>>2]=d;c=(h[a+2>>0]|0)<<16|d;f[b>>2]=c;f[b>>2]=(h[a+3>>0]|0)<<24|c;return 4}function i_(a,b){a=a|0;b=b|0;f[b>>2]=(h[a+1>>0]|0)<<8|(h[a>>0]|0)|(h[a+2>>0]|0)<<16|(h[a+3>>0]|0)<<24;return 4}function j_(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0;c=h[a>>0]|0;d=Qrc(h[a+1>>0]|0|0,0,8)|0;e=J;g=Qrc(h[a+2>>0]|0|0,0,16)|0;i=e|J;e=Qrc(h[a+3>>0]|0|0,0,24)|0;j=i|J|(h[a+4>>0]|0);i=Qrc(h[a+5>>0]|0|0,0,40)|0;k=j|J;j=Qrc(h[a+6>>0]|0|0,0,48)|0;l=k|J;k=Qrc(h[a+7>>0]|0|0,0,56)|0;a=b;f[a>>2]=d|c|g|e|i|j|k;f[a+4>>2]=l|J;return 8}function k_(a,c){a=a|0;c=c|0;var e=0;d[c>>1]=0;e=b[a>>0]|0;d[c>>1]=e&255;d[c>>1]=(h[a+1>>0]|0)<<8|e&255;return 2}function l_(a,c){a=a|0;c=c|0;b[c>>0]=0;b[c>>0]=b[a>>0]|0;return 1}function m_(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=(e|0)/12|0;h=g+1|0;if(h>>>0>357913941)Ukc(a);i=a+8|0;j=((f[i>>2]|0)-d|0)/12|0;k=j<<1;l=j>>>0<178956970?(k>>>0<h>>>0?h:k):357913941;do if(l)if(l>>>0>357913941){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l*12|0)|0;break}else m=0;while(0);k=m+(g*12|0)|0;f[k>>2]=f[b>>2];f[k+4>>2]=f[b+4>>2];f[k+8>>2]=f[b+8>>2];b=k+(((e|0)/-12|0)*12|0)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+12;f[i>>2]=m+(l*12|0);if(!d)return;Emc(d);return}function n_(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=u;u=u+16|0;h=g;if(!a){f[h>>2]=0;f[h+4>>2]=0;i=YG(h,2)|0;b[i>>0]=102;b[i+1>>0]=115;FZ(-215,h,229537,911)}if((f[a>>2]|0)!=1280131417){f[h>>2]=0;f[h+4>>2]=0;j=YG(h,31)|0;k=229219;l=j+31|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));FZ(-5,h,229537,912)}if(!(f[a+8>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;j=YG(h,38)|0;k=229264;l=j+38|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));FZ(-2,h,229537,912)}W$(a,1);switch(f[a+280>>2]|0){case 0:{V$(a,2);m=a+272|0;n=f[m>>2]|0;SZ(n,c,d,e);u=g;return}case 2:{m=a+272|0;n=f[m>>2]|0;SZ(n,c,d,e);u=g;return}default:{f[h>>2]=0;f[h+4>>2]=0;j=YG(h,37)|0;k=229558;l=j+37|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));FZ(-2,h,229537,922)}}}function o_(a){a=a|0;var c=0,d=0;c=p_(a,f[a+76>>2]|0)|0;if(!c)return;d=a+92|0;if(f[d>>2]|0)return;switch(b[c>>0]|0){case 123:{q_(a,c,nW(f[a+32>>2]|0,0)|0)|0;break}case 91:{r_(a,c,nW(f[a+32>>2]|0,0)|0)|0;break}default:N$(a,229596,229609,229644,587)}if(!(f[d>>2]|0))return;else N$(a,229596,229719,229644,591)}function p_(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;d=a+76|0;e=a+80|0;g=c;a:while(1){h=g;b:while(1){i=b[h>>0]|0;switch(i<<24>>24|0){case 13:case 10:case 0:{j=22;break b;break}case 47:{c=h+1|0;k=b[c>>0]|0;if(!(k<<24>>24)){l=f[d>>2]|0;m=I$(a,l,(f[e>>2]|0)-l|0)|0;if(!m){n=1;o=0;break b}p=m;q=b[m>>0]|0}else{p=c;q=k}switch(q<<24>>24){case 47:{r=p;s=47;j=8;break b;break}case 42:break;default:{j=20;break a}}k=p+1|0;while(1){c=b[k>>0]|0;if(!(c<<24>>24)){m=f[d>>2]|0;l=I$(a,m,(f[e>>2]|0)-m|0)|0;if(!l){n=1;o=0;break b}else{k=l;continue}}l=k+1|0;if(c<<24>>24!=42){k=l;continue}c=b[l>>0]|0;if(!(c<<24>>24)){m=f[d>>2]|0;t=I$(a,m,(f[e>>2]|0)-m|0)|0;if(!t){n=1;o=0;break b}u=t;v=b[t>>0]|0}else{u=l;v=c}if(v<<24>>24==47){w=u;break}else k=u}break}case 32:case 9:{w=h;break}default:{j=24;break a}}h=w+1|0}c:do if((j|0)==8)while(1){j=0;switch(s<<24>>24){case 13:case 10:{n=0;o=r;break c;break}case 0:{k=f[d>>2]|0;c=I$(a,k,(f[e>>2]|0)-k|0)|0;if(!c){n=1;o=0;break c}else x=c;break}default:x=r+1|0}r=x;s=b[x>>0]|0;j=8}else if((j|0)==22){j=0;c=f[d>>2]|0;k=I$(a,c,(f[e>>2]|0)-c|0)|0;n=(k|0)==0;o=k}while(0);if(n){j=26;break}else g=o}if((j|0)==20)N$(a,230270,230288,229644,79);else if((j|0)==24)if((i&255)>31){y=h;return y|0}else N$(a,230270,230319,229644,97);else if((j|0)==26){j=f[d>>2]|0;b[j>>0]=0;f[a+92>>2]=1;y=j;return y|0}return 0}function q_(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;e=u;u=u+16|0;g=e;if(!c)N$(a,230055,229758,229644,490);if((b[c>>0]|0)!=123)N$(a,230055,230071,229644,493);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;O$(a,6,d);h=a+92|0;i=g+8+4|0;j=d+4|0;k=c;a:while(1){c=p_(a,k+1|0)|0;if(!c){l=43;break}if(f[h>>2]|0){m=c;l=44;break}do if((b[c>>0]|0)==34){n=c+1|0;o=c;while(1){p=o+1|0;q=b[p>>0]|0;if(!(q<<24>>24)){l=11;break a}r=q<<24>>24!=34;if((q&255)<32|r^1)break;else o=p}if(r){l=15;break a}q=p_(a,o+2|0)|0;if(!q){l=43;break a}if(f[h>>2]|0){l=43;break a}if((b[q>>0]|0)!=58){l=19;break a}if(o>>>0<=c>>>0){l=21;break a}s=p-n|0;if((s|0)==7?(gac(n,230191,7)|0)==0:0){t=q+1|0;v=0}else{w=VY(a,d,UY(a,n,s,1)|0,1)|0;s=q+1|0;if(!(f[h>>2]|0)){t=s;v=w}else{m=s;l=44;break a}}s=p_(a,t)|0;if(!s){l=43;break a}if(f[h>>2]|0){m=s;l=44;break a}if(!v){w=s_(a,s,g)|0;if((f[g>>2]&7|0)!=3){l=32;break a}q=hZ(f[i>>2]|0)|0;f[j>>2]=q;if(q|0)f[d>>2]=f[d>>2]|16;x=w;break}switch(b[s>>0]|0){case 91:{y=r_(a,s,v)|0;break}case 123:{y=q_(a,s,v)|0;break}default:y=s_(a,s,v)|0}f[v>>2]=f[v>>2]|64;x=y}else x=c;while(0);c=p_(a,x)|0;if(!c){l=43;break}if(f[h>>2]|0){m=c;l=44;break}switch(b[c>>0]|0){case 44:{k=c;break}case 125:{m=c;l=44;break a;break}default:{l=42;break a}}}if((l|0)==11)if((p|0)==((f[a+80>>2]|0)+-1|0)){f[g>>2]=0;f[g+4>>2]=0;p=YG(g,98)|0;k=232016;h=p+98|0;do{b[p>>0]=b[k>>0]|0;p=p+1|0;k=k+1|0}while((p|0)<(h|0));t_(-215,g,230106,129)}else N$(a,230106,230122,229644,133);else if((l|0)==15)N$(a,230106,230122,229644,133);else if((l|0)==19)N$(a,230106,230144,229644,142);else if((l|0)==21)N$(a,230106,230178,229644,146);else if((l|0)==32)N$(a,230055,230199,229644,529);else if((l|0)==42)N$(a,230055,229805,229644,553);else if((l|0)==43)N$(a,230055,229758,229644,557);else if((l|0)==44)if((b[m>>0]|0)==125){u=e;return m+1|0}else N$(a,230055,230234,229644,560);return 0}function r_(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;if(!c)N$(a,229742,229758,229644,436);if((b[c>>0]|0)!=91)N$(a,229742,229770,229644,439);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;O$(a,5,d);e=a+92|0;g=d+8|0;d=c;a:while(1){c=p_(a,d+1|0)|0;if(!c){h=17;break}if(f[e>>2]|0){i=c;h=18;break}b:do if((b[c>>0]|0)==93)j=c;else{k=nW(f[g>>2]|0,0)|0;switch(b[c>>0]|0){case 91:{j=r_(a,c,k)|0;break b;break}case 123:{j=q_(a,c,k)|0;break b;break}default:{j=s_(a,c,k)|0;break b}}}while(0);c=p_(a,j)|0;if(!c){h=17;break}if(f[e>>2]|0){i=c;h=18;break}switch(b[c>>0]|0){case 44:{d=c;break}case 93:{i=c;h=18;break a;break}default:{h=16;break a}}}if((h|0)==16)N$(a,229742,229805,229644,473);else if((h|0)==17)N$(a,229742,229758,229644,477);else if((h|0)==18)if((b[i>>0]|0)==93)return i+1|0;else N$(a,229742,229826,229644,480);return 0}function s_(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0,E=0,F=0,G=0;e=u;u=u+96|0;g=e+68|0;h=e+72|0;i=e;j=e+56|0;k=e+12|0;l=p_(a,c)|0;f[g>>2]=l;if(!l)N$(a,229862,229719,229644,166);if(f[a+92>>2]|0)N$(a,229862,229719,229644,166);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;c=b[l>>0]|0;if(c<<24>>24!=34){a:do if((c+-48&255)<10)switch(c<<24>>24){case 45:case 43:{m=83;break}default:{n=c;o=l;m=81}}else{switch(c<<24>>24){case 45:case 43:{m=83;break a;break}case 46:{n=c;o=l;m=81;break a;break}default:{}}if(((c&-33)+-65&255)>=26)N$(a,229862,230036,229644,423);q=a+80|0;r=0;t=l;do{r=r+1|0;t=t+1|0;f[g>>2]=t;v=b[t>>0]|0;if(!(v<<24>>24)){m=101;break}}while(r>>>0<7&((v&-33)+-65&255)<26);if((m|0)==101?(t|0)==((f[q>>2]|0)+-1|0):0){f[h>>2]=0;f[h+4>>2]=0;w=YG(h,98)|0;x=232016;y=w+98|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));t_(-215,h,229862,404)}if(r>>>0<=3)N$(a,229862,230036,229644,423);if(!(gac(l,229986,4)|0))N$(a,229862,229991,229644,409);if(gac(l,524521,4)|0){if(r>>>0<=4)N$(a,229862,230036,229644,423);if(!(gac(l,524515,5)|0))z=0;else N$(a,229862,230036,229644,423)}else z=1;f[d+8>>2]=z;f[d>>2]=1;A=f[g>>2]|0;u=e;return A|0}while(0);if((m|0)==83){z=l+1|0;f[g>>2]=z;c=b[z>>0]|0;if(!(c<<24>>24))if((z|0)==((f[a+80>>2]|0)+-1|0)){f[h>>2]=0;f[h+4>>2]=0;w=YG(h,98)|0;x=232016;y=w+98|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));t_(-215,h,229862,373)}else m=94;else{n=c;o=z;m=81}}b:do if((m|0)==81){c:do if((n+-48&255)<10){z=a+80|0;c=o;while(1){c=c+1|0;f[g>>2]=c;q=b[c>>0]|0;if(!(q<<24>>24))break;if((q+-48&255)>=10){B=q;break c}}if((c|0)!=((f[z>>2]|0)+-1|0)){m=94;break b}f[h>>2]=0;f[h+4>>2]=0;w=YG(h,98)|0;x=232016;y=w+98|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));t_(-215,h,229862,378)}else B=n;while(0);switch(B<<24>>24){case 101:case 46:break;default:{m=94;break b}}C=+U$(a,l,g);p[d+8>>3]=C;r=f[g>>2]|0;if((b[r>>0]|0)==0?(r|0)==((f[a+80>>2]|0)+-1|0):0){f[h>>2]=0;f[h+4>>2]=0;w=YG(h,98)|0;x=232016;y=w+98|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));t_(-215,h,229862,383)}else{D=2;E=r}}while(0);if((m|0)==94){B=eac(l,g,0)|0;f[d+8>>2]=B;B=f[g>>2]|0;if((b[B>>0]|0)==0?(B|0)==((f[a+80>>2]|0)+-1|0):0){f[h>>2]=0;f[h+4>>2]=0;w=YG(h,98)|0;x=232016;y=w+98|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));t_(-215,h,229862,389)}else{D=1;E=B}}f[d>>2]=D;if(l>>>0<E>>>0){A=f[g>>2]|0;u=e;return A|0}else N$(a,229862,231950,229644,394)}E=l+1|0;D=0;B=E;while(1){f[g>>2]=B;x=b[B>>0]|0;if((x+-48&255)<10|((x&-33)+-65&255)<26){if(D>>>0>=10){m=11;break}}else if(!(D>>>0<10&x<<24>>24==36)){m=10;break}D=D+1|0;B=B+1|0}if((m|0)==10?D>>>0>7:0)m=11;if((m|0)==11?(gac(E,229880,8)|0)==0:0){D=l+9|0;f[g>>2]=D;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Umc(h,131072);l=a+76|0;B=a+80|0;x=D;D=f[g>>2]|0;d:while(1){F=D;e:while(1){switch(b[F>>0]|0){case 34:{m=17;break d;break}case 13:case 10:{m=18;break d;break}case 0:{break e;break}default:{}}w=F+1|0;f[g>>2]=w;F=w}oZ(h,x,F)|0;r=f[l>>2]|0;w=I$(a,r,(f[B>>2]|0)-r|0)|0;f[g>>2]=w;if(!w){m=16;break}else{x=w;D=w}}if((m|0)==16)N$(a,229862,229889,229644,196);else if((m|0)==17){oZ(h,x,F)|0;F=f[g>>2]|0;if((b[F>>0]|0)!=34)N$(a,229862,229889,229644,223);f[g>>2]=F+1;F=h+11|0;x=b[F>>0]|0;D=x<<24>>24<0;B=h+4|0;l=f[B>>2]|0;w=x&255;x=D?l:w;do if(x>>>0>31){r=D?f[h>>2]|0:h;y=r+(D?l:w)|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[j>>2]=0;n=j+4|0;f[n>>2]=0;f[j+8>>2]=0;o=Bmc(25)|0;f[j>>2]=o;f[j+8>>2]=o+25;b[o>>0]=32;b[o+1>>0]=32;b[o+2>>0]=32;b[o+3>>0]=32;b[o+4>>0]=32;b[o+5>>0]=32;b[o+6>>0]=32;b[o+7>>0]=32;b[o+8>>0]=32;b[o+9>>0]=32;b[o+10>>0]=32;b[o+11>>0]=32;b[o+12>>0]=32;b[o+13>>0]=32;b[o+14>>0]=32;b[o+15>>0]=32;b[o+16>>0]=32;b[o+17>>0]=32;b[o+18>>0]=32;b[o+19>>0]=32;b[o+20>>0]=32;b[o+21>>0]=32;b[o+22>>0]=32;b[o+23>>0]=32;b[o+24>>0]=32;f[n>>2]=o+25;AZ(r,f[j>>2]|0,0,32)|0;if(!(GZ(j,i)|0))N$(a,229862,231866,229644,238);r=i+11|0;o=b[r>>0]|0;if(!((o<<24>>24<0?f[i+4>>2]|0:o&255)|0))N$(a,229862,231866,229644,238);o=f[j>>2]|0;if(o|0){if((f[n>>2]|0)!=(o|0))f[n>>2]=o;Emc(o)}o=b[F>>0]|0;if((o<<24>>24<0?f[B>>2]|0:o&255)>>>0>32){o=_mc(h,32)|0;n=y-o|0;if(!(BZ(o,0,n)|0))N$(a,229862,231896,229644,247);z=CZ(n,1)|0;f[j>>2]=0;c=j+4|0;f[c>>2]=0;f[j+8>>2]=0;if(z|0){if((z|0)<0)Ukc(j);q=Bmc(z)|0;f[c>>2]=q;f[j>>2]=q;f[j+8>>2]=q+z;t=z;z=q;do{b[z>>0]=0;z=(f[c>>2]|0)+1|0;f[c>>2]=z;t=t+-1|0}while((t|0)!=0)}t=DZ(n,o,0)|0;z=f[j>>2]|0;MZ(k,z,(f[c>>2]|0)-z|0);PZ(k,o,y)|0;OZ(k)|0;NZ(k);z=a0((b[r>>0]|0)<0?f[i>>2]|0:i,0)|0;if((t|0)%(z|0)|0|0)N$(a,229862,231917,229644,265);O$(a,13,d);e_(f[j>>2]|0,(t|0)/(z|0)|0,(b[r>>0]|0)<0?f[i>>2]|0:i,f[d+8>>2]|0);z=f[j>>2]|0;if(z|0){if((f[c>>2]|0)!=(z|0))f[c>>2]=z;Emc(z)}}else O$(a,13,d);if((b[r>>0]|0)<0)Emc(f[i>>2]|0)}else if(!x){O$(a,13,d);break}else N$(a,229862,231839,229644,285);while(0);if((b[F>>0]|0)<0)Emc(f[h>>2]|0);A=f[g>>2]|0;u=e;return A|0}else if((m|0)==18)N$(a,229862,229889,229644,211)};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Umc(h,131072);f[g>>2]=E;F=a+76|0;x=a+80|0;j=E;f:while(1){G=j;g:while(1){switch(b[G>>0]|0){case 34:{m=69;break f;break}case 13:case 10:{m=70;break f;break}case 92:{break g;break}case 0:{m=67;break g;break}default:{}}E=G+1|0;f[g>>2]=E;G=E}if((m|0)==67){m=0;oZ(h,j,G)|0;r=f[F>>2]|0;c=I$(a,r,(f[x>>2]|0)-r|0)|0;f[g>>2]=c;if(!c){m=68;break}else{j=c;continue}}oZ(h,j,G)|0;c=(f[g>>2]|0)+1|0;f[g>>2]=c;r=b[c>>0]|0;switch(r<<24>>24|0){case 117:{m=64;break f;break}case 39:case 34:case 92:{Xmc(h,1,r)|0;break}case 110:{Xmc(h,1,10)|0;break}case 114:{Xmc(h,1,13)|0;break}case 116:{Xmc(h,1,9)|0;break}case 98:{Xmc(h,1,8)|0;break}case 102:{Xmc(h,1,12)|0;break}default:{m=65;break f}}r=(f[g>>2]|0)+1|0;f[g>>2]=r;j=r}if((m|0)==64)N$(a,229862,229928,229644,313);else if((m|0)==65)N$(a,229862,229961,229644,314);else if((m|0)==68)N$(a,229862,229889,229644,327);else if((m|0)==69){oZ(h,j,G)|0;G=f[g>>2]|0;if((b[G>>0]|0)!=34)N$(a,229862,229889,229644,354);f[g>>2]=G+1;G=h+11|0;j=b[G>>0]|0;x=j<<24>>24<0;_V(i,f[a+16>>2]|0,x?f[h>>2]|0:h,x?f[h+4>>2]|0:j&255);j=d+8|0;p[s>>3]=+p[i>>3];f[j>>2]=f[s>>2];f[j+4>>2]=f[s+4>>2];f[d>>2]=3;if((b[G>>0]|0)<0)Emc(f[h>>2]|0);A=f[g>>2]|0;u=e;return A|0}else if((m|0)==70)N$(a,229862,229889,229644,342);return 0}function t_(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;SQ(a,b,c,229644,d);return}function u_(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;e=u;u=u+16|0;g=e;W$(a,0);switch(f[a+280>>2]|0){case 0:{V$(a,1);break}case 2:{f[g>>2]=0;f[g+4>>2]=0;h=YG(g,36)|0;i=232518;j=h+36|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));t_(-2,g,230351,610);break}default:{}}if((c|0)!=0?(b[c>>0]|0)!=0:0){k=s8b(c)|0;if(!k){f[g>>2]=0;f[g+4>>2]=0;h=YG(g,19)|0;i=232653;j=h+19|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));t_(-5,g,230351,622)}if((k|0)>4096){f[g>>2]=0;f[g+4>>2]=0;h=YG(g,19)|0;i=232673;j=h+19|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));t_(-5,g,230351,624)}else{l=k;m=c;n=1}}else{l=0;m=0;n=0}c=(d|0)!=0;if(c)o=s8b(d)|0;else o=0;k=a+44|0;p=f[k>>2]|0;q=p&7;if(q>>>0>4)if(n^(q|0)==6){f[g>>2]=0;f[g+4>>2]=0;h=YG(g,85)|0;i=232567;j=h+85|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));t_(-5,g,230351,636)}else r=p;else{f[a+12>>2]=0;r=n?38:37}p=(r&32|0)!=0;do if(!(r&8)){if(!p){q=a+72|0;s=f[q>>2]|0;b[s>>0]=44;b[s+1>>0]=10;b[s+2>>0]=0;s=a+76|0;E$(a,f[s>>2]|0);f[q>>2]=f[s>>2]}t=Q$(a)|0}else{s=a+72|0;q=f[s>>2]|0;if(p)v=q;else{b[q>>0]=44;v=q+1|0}q=o+l-(f[a+76>>2]|0)+v|0;if((q|0)>(f[a+84>>2]|0)?(q-(f[a+40>>2]|0)|0)>10:0){f[s>>2]=v;t=Q$(a)|0;break}b[v>>0]=32;t=v+1|0}while(0);if(n){n=b[m>>0]|0;if(!(((n&-33)+-65&255)<26|n<<24>>24==95)){f[g>>2]=0;f[g+4>>2]=0;h=YG(g,33)|0;i=232693;j=h+33|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));t_(-5,g,230351,678)}n=P$(a,t,l)|0;v=n+1|0;b[n>>0]=34;a:do if(l|0){n=0;b:while(1){p=b[m+n>>0]|0;b[v+n>>0]=p;if(!((p+-48&255)<10|((p&-33)+-65&255)<26))switch(p<<24>>24){case 32:case 45:case 95:break;default:break b}n=n+1|0;if(n>>>0>=l>>>0)break a}f[g>>2]=0;f[g+4>>2]=0;h=YG(g,80)|0;i=232727;j=h+80|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));t_(-5,g,230351,689)}while(0);g=v+l|0;l=g+1|0;b[g>>0]=34;g=l+1|0;b[l>>0]=58;b[g>>0]=32;w=g+1|0}else w=t;if(!c){x=w;y=a+72|0;f[y>>2]=x;z=r&-33;f[k>>2]=z;u=e;return}c=P$(a,w,o)|0;Krc(c|0,d|0,o|0)|0;x=c+o|0;y=a+72|0;f[y>>2]=x;z=r&-33;f[k>>2]=z;u=e;return}function v_(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;g=u;u=u+5136|0;h=g+8|0;i=g+16|0;j=g;k=d&15|32;l=d&7;if(l>>>0<=4){f[j>>2]=0;f[j+4>>2]=0;d=YG(j,68)|0;m=232808;n=d+68|0;do{b[d>>0]=b[m>>0]|0;d=d+1|0;m=m+1|0}while((d|0)<(n|0));t_(-5,j,230364,718)}if((e|0)!=0?(b[e>>0]|0)!=0:0)if(!(gac(e,233785,6)|0)){o=0;p=e;q=3;r=i}else{s=1;t=e;v=6}else{s=0;t=0;v=6}if((v|0)==6){b[i>>0]=(l|0)==6?123:91;o=s;p=t;q=k;r=i+1|0}b[r>>0]=0;u_(a,c,i);i=a+44|0;f[h>>2]=f[i>>2];nW(f[a+36>>2]|0,h)|0;f[i>>2]=q;q=a+40|0;f[q>>2]=(f[q>>2]|0)+4;if(!o){u=g;return}rh[f[a+244>>2]&255](a,230191,p,1);u=g;return}function w_(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+16|0;d=c;e=f[a+36>>2]|0;if(!(f[e+24>>2]|0)){f[d>>2]=0;f[d+4>>2]=0;g=YG(d,44)|0;h=232924;i=g+44|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));t_(-2,d,230388,758)}f[d>>2]=0;h=a+44|0;g=f[h>>2]|0;oW(e,d);e=a+40|0;i=(f[e>>2]|0)+-4|0;f[e>>2]=i;f[h>>2]=f[d>>2]&-33;d=g&7;if(d>>>0<=4){u=c;return}h=a+72|0;if(!(g&8)){j=f[h>>2]|0;k=a+76|0;if(j>>>0<=((f[k>>2]|0)+(f[a+56>>2]|0)|0)>>>0){f[h>>2]=j+1;b[j>>0]=10;j=f[h>>2]|0;f[h>>2]=j+1;b[j>>0]=0;E$(a,f[k>>2]|0);f[h>>2]=f[k>>2]}Q$(a)|0;l=k;m=f[e>>2]|0}else{l=a+76|0;m=i}i=f[h>>2]|0;if((g&32|0)==0?i>>>0>((f[l>>2]|0)+m|0)>>>0:0){b[i>>0]=32;n=i+1|0}else n=i;b[n>>0]=(d|0)==6?125:93;f[h>>2]=n+1;u=c;return}function x_(a){a=a|0;var b=0;if(f[a+12>>2]|0)return;b=a+36|0;if((f[(f[b>>2]|0)+24>>2]|0)>0)do w_(a);while((f[(f[b>>2]|0)+24>>2]|0)>0);f[a+40>>2]=4;Q$(a)|0;f[a+72>>2]=f[a+76>>2];return}function y_(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=u;u=u+128|0;u_(a,b,D$(c,d,10)|0);u=d;return}function z_(a,c,d){a=a|0;c=c|0;d=+d;var e=0,f=0,g=0;e=u;u=u+128|0;f=e;g=s8b(S$(f,d)|0)|0;if(g|0?(b[f+(g+-1)>>0]|0)==46:0){b[f+g>>0]=48;b[f+(g+1)>>0]=0}u_(a,c,f);u=e;return}function A_(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=u;u=u+16416|0;h=g+8|0;i=g;if(!d){f[i>>2]=0;f[i+4>>2]=0;j=YG(i,19)|0;k=233e3;l=j+19|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));t_(-27,i,230410,833)}m=s8b(d)|0;if((m|0)>4096){f[i>>2]=0;f[i+4>>2]=0;j=YG(i,30)|0;k=233038;l=j+30|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));t_(-5,i,230410,837)}a:do if(!((e|0)!=0|(m|0)==0)?(i=b[d>>0]|0,i<<24>>24==(b[d+(m+-1)>>0]|0)):0){switch(i<<24>>24){case 39:case 34:{n=d;break}default:break a}u_(a,c,n);u=g;return}while(0);e=h+1|0;b[h>>0]=34;b:do if((m|0)>0){i=0;k=e;while(1){j=b[d+i>>0]|0;switch(j<<24>>24|0){case 39:case 34:case 92:{b[k>>0]=92;b[k+1>>0]=j;o=k+2|0;break}case 10:{b[k>>0]=92;b[k+1>>0]=110;o=k+2|0;break}case 13:{b[k>>0]=92;b[k+1>>0]=114;o=k+2|0;break}case 9:{b[k>>0]=92;b[k+1>>0]=116;o=k+2|0;break}case 8:{b[k>>0]=92;b[k+1>>0]=98;o=k+2|0;break}case 12:{b[k>>0]=92;b[k+1>>0]=102;o=k+2|0;break}default:{b[k>>0]=j;o=k+1|0}}i=i+1|0;if((i|0)==(m|0)){p=o;break b}else k=o}}else p=e;while(0);b[p>>0]=34;b[p+1>>0]=0;n=h;u_(a,c,n);u=g;return}function B_(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+16|0;g=e;if(!c){f[g>>2]=0;f[g+4>>2]=0;h=YG(g,12)|0;i=233075;j=h+12|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));t_(-27,g,230429,875)}g=a+72|0;i=f[g>>2]|0;h=C8b(c,10)|0;if(((d|0)!=0&(h|0)==0?(d=s8b(c)|0,((f[a+80>>2]|0)-i|0)>=(d|0)):0)?(i|0)!=(f[a+76>>2]|0):0){b[i>>0]=32;k=0;l=i+1|0;m=c}else{k=h;l=Q$(a)|0;m=c}while(1){b[l>>0]=47;b[l+1>>0]=47;n=l+3|0;b[l+2>>0]=32;if(!k)break;c=k-m|0;h=c+1|0;i=P$(a,n,h)|0;Krc(i|0,m|0,h|0)|0;f[g>>2]=i+c;c=k+1|0;i=C8b(c,10)|0;k=i;l=Q$(a)|0;m=c}l=s8b(m)|0;k=P$(a,n,l)|0;Krc(k|0,m|0,l|0)|0;f[g>>2]=k+l;Q$(a)|0;u=e;return}function C_(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;f[a>>2]=50276;b=a+20|0;c=a+24|0;d=f[c>>2]|0;e=f[b>>2]|0;if((d|0)==(e|0)){g=e;h=d}else{d=a+8|0;do{YY(f[d>>2]|0);e=(f[c>>2]|0)+-1|0;f[c>>2]=e;i=f[b>>2]|0}while((e|0)!=(i|0));g=i;h=e}b=g;if(g|0){if((h|0)!=(b|0))f[c>>2]=b;Emc(b)}ZG(a+12|0);b=a+4|0;c=f[b>>2]|0;if(!c){f[b>>2]=0;j=a+8|0;f[j>>2]=0;return}h=c+4|0;g=f[h>>2]|0;f[h>>2]=g+-1;if((g|0)!=1){f[b>>2]=0;j=a+8|0;f[j>>2]=0;return}ai[f[(f[c>>2]|0)+8>>2]&2047](c);f[b>>2]=0;j=a+8|0;f[j>>2]=0;return}function D_(a){a=a|0;C_(a);Emc(a);return}function E_(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+16|0;g=e;zT(g,50300);ai[f[(f[a>>2]|0)+16>>2]&2047](a);h=a+4|0;i=f[b>>2]|0;if(!(f[d+4>>2]|0))j=0;else{b=f[d>>2]|0;j=(b|0)==0?1163146:b}b=KY((i|0)==0?1163146:i,0,c,j)|0;if(!b)k=0;else{j=Bmc(16)|0;f[j+4>>2]=1;f[j>>2]=50328;f[j+8>>2]=b;k=j}j=f[h>>2]|0;f[h>>2]=k;f[a+8>>2]=b;if(j|0?(b=j+4|0,k=f[b>>2]|0,f[b>>2]=k+-1,(k|0)==1):0)ai[f[(f[j>>2]|0)+8>>2]&2047](j);j=ci[f[(f[a>>2]|0)+12>>2]&1023](a)|0;f[a+32>>2]=j?6:0;if(!(f[g+4>>2]|0)){u=e;return j|0}u=e;return j|0}function F_(a){a=a|0;var c=0,d=0;c=f[a+8>>2]|0;if(!c){d=0;return d|0}d=(b[c+300>>0]|0)!=0;return d|0}function G_(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+4|0;c=f[b>>2]|0;if(c|0?(d=c+4|0,e=f[d>>2]|0,f[d>>2]=e+-1,(e|0)==1):0)ai[f[(f[c>>2]|0)+8>>2]&2047](c);f[b>>2]=0;f[a+8>>2]=0;b=f[a+20>>2]|0;c=a+24|0;if((f[c>>2]|0)==(b|0)){g=a+32|0;f[g>>2]=0;return}f[c>>2]=b;g=a+32|0;f[g>>2]=0;return}function H_(a,b){a=a|0;b=b|0;var c=0;f[a>>2]=0;f[a+4>>2]=0;c=f[b+8>>2]|0;if(c|0?f[c+268>>2]|0:0)R$(c,a);ai[f[(f[b>>2]|0)+16>>2]&2047](b);return}function I_(a){a=a|0;Emc(a);return}function J_(a){a=a|0;kU(a+12|0,f[a+8>>2]|0);if(!a)return;ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function K_(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;f[a>>2]=50276;e=a+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[e+28>>2]=0;E_(a,b,c,d)|0;return}function L_(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;f[a>>2]=50276;d=a+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[d+24>>2]=0;if((b|0)==0|c^1)e=0;else{c=Bmc(16)|0;f[c+4>>2]=1;f[c>>2]=50328;f[c+8>>2]=b;e=c}f[d>>2]=e;f[a+8>>2]=b;f[a+32>>2]=b|0?6:0;return}function M_(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;if(ci[f[(f[b>>2]|0)+12>>2]&1023](b)|0){d=f[b+8>>2]|0;e=WY(d,c)|0;g=d}else{e=0;g=0}f[a>>2]=g;f[a+4>>2]=e;return}function N_(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d+8|0;i=d;j=d+24|0;k=f[c>>2]|0;l=(k|0)==0?1163146:k;if(!((ci[f[(f[a>>2]|0)+12>>2]&1023](a)|0)&(l|0)!=0)){u=d;return a|0}k=b[l>>0]|0;switch(k<<24>>24){case 93:case 125:{m=f[a+20>>2]|0;n=a+24|0;o=f[n>>2]|0;if((m|0)==(o|0)){f[i>>2]=k<<24>>24;aR(e,230691,i);SQ(-2,e,523834,230598,115)}i=o+-1|0;p=b[i>>0]|0;if(((k<<24>>24==93?91:123)|0)!=(p|0)){f[h>>2]=k<<24>>24;f[h+4>>2]=p;aR(e,230710,h);SQ(-2,e,523834,230598,118)}f[n>>2]=i;if((m|0)==(i|0))q=6;else q=(b[o+-2>>0]|0)==123?6:1;f[a+32>>2]=q;YY(f[a+8>>2]|0);f[e>>2]=0;q=e+4|0;f[q>>2]=0;o=a+12|0;if((e|0)!=(o|0)){ZG(o);i=f[e>>2]|0;if(!i)r=0;else{m=i+-4|0;f[m>>2]=(f[m>>2]|0)+1;r=f[e>>2]|0}f[o>>2]=r;f[a+16>>2]=f[q>>2]}ZG(e);u=d;return a|0}default:{}}q=a+32|0;r=f[q>>2]|0;if((r|0)==6){if(!(((k&-33)+-65&255)<26|k<<24>>24==95)){f[g>>2]=l;aR(e,230759,g);SQ(-2,e,523834,230598,128)}g=a+12|0;if((g|0)!=(c|0)){ZG(g);o=f[c>>2]|0;if(!o)s=0;else{m=o+-4|0;f[m>>2]=(f[m>>2]|0)+1;s=f[c>>2]|0}f[g>>2]=s;f[a+16>>2]=f[c+4>>2]}f[q>>2]=5;u=d;return a|0}if((r&3|0)!=1){f[e>>2]=0;f[e+4>>2]=0;r=YG(e,16)|0;s=230785;g=r+16|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(g|0));SQ(-2,e,523834,230598,158)}switch(k<<24>>24){case 91:case 123:break;default:{a:do if(k<<24>>24==92){s=l+1|0;switch(b[s>>0]|0){case 93:case 91:case 125:case 123:break;default:{t=45;break a}}f[e>>2]=0;f[e+4>>2]=0;r=s8b(s)|0;if(r|0)Krc(YG(e,r)|0,s|0,r|0)|0}else t=45;while(0);if((t|0)==45?(t=f[c>>2]|0,f[e>>2]=t,f[e+4>>2]=f[c+4>>2],t|0):0){c=t+-4|0;f[c>>2]=(f[c>>2]|0)+1}if(!(f[a+16>>2]|0))v=0;else{c=f[a+12>>2]|0;v=(c|0)==0?1163146:c}c=f[e>>2]|0;$Y(f[a+8>>2]|0,v,(c|0)==0?1163146:c,0);ZG(e);if((f[q>>2]|0)!=5){u=d;return a|0}f[q>>2]=6;u=d;return a|0}}c=a+20|0;v=a+24|0;t=f[v>>2]|0;r=a+28|0;s=f[r>>2]|0;g=s;if((t|0)==(s|0)){s=f[c>>2]|0;m=t-s|0;o=m+1|0;i=s;if((o|0)<0)Ukc(c);n=g-s|0;g=n<<1;h=n>>>0<1073741823?(g>>>0<o>>>0?o:g):2147483647;if(!h){w=0;x=k}else{g=Bmc(h)|0;w=g;x=b[l>>0]|0}g=w+m|0;b[g>>0]=x;x=g+(0-m)|0;if((m|0)>0)Krc(x|0,i|0,m|0)|0;f[c>>2]=x;f[v>>2]=g+1;f[r>>2]=w+h;if(s|0)Emc(i)}else{b[t>>0]=k;f[v>>2]=(f[v>>2]|0)+1}v=l+1|0;k=(b[l>>0]|0)==123;t=k?6:5;f[q>>2]=k?6:1;k=(b[v>>0]|0)==58;q=k?l+2|0:v;v=f[a+8>>2]|0;l=a+12|0;i=a+16|0;if(!(f[i>>2]|0))y=0;else{s=f[l>>2]|0;y=(s|0)==0?1163146:s}s=b[q>>0]|0?q:0;f[j>>2]=0;f[j+4>>2]=0;f[e>>2]=f[j>>2];f[e+4>>2]=f[j+4>>2];XY(v,y,k?t|8:t,s,e);f[e>>2]=0;s=e+4|0;f[s>>2]=0;if((e|0)!=(l|0)){ZG(l);t=f[e>>2]|0;if(!t)z=0;else{k=t+-4|0;f[k>>2]=(f[k>>2]|0)+1;z=f[e>>2]|0}f[l>>2]=z;f[i>>2]=f[s>>2]}ZG(e);u=d;return a|0}function O_(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+16|0;h=g;if(!(ci[f[(f[a>>2]|0)+12>>2]&1023](a)|0)){u=g;return}i=f[c>>2]|0;c=(i|0)==0?1163146:i;i=b[c>>0]|0;if((i+-48&255)<10){j=b[c+1>>0]|0;k=(i<<24>>24)+-48|0}else{j=i;k=1}switch(j<<24>>24){case 99:case 117:{l=1;break}case 119:{l=2;break}case 115:{l=2;break}case 105:{l=4;break}case 102:{l=4;break}case 100:{l=8;break}default:l=j<<24>>24==114?4:0}j=Y(l,k)|0;if((e>>>0)%(j>>>0)|0|0){f[h>>2]=0;f[h+4>>2]=0;k=YG(h,19)|0;l=230802;i=k+19|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(i|0));SQ(-215,h,230822,230598,169)}bZ(f[a+8>>2]|0,d,(e>>>0)/(j>>>0)|0,c);u=g;return}function P_(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;d=u;u=u+1056|0;e=d+8|0;g=d;h=f[c>>2]|0;i=(h|0)==0?1163146:h;h=f[c+4>>2]|0;c=i+h|0;j=h+1|0;h=e+8|0;f[e>>2]=h;k=e+4|0;f[k>>2]=j;if(j>>>0>1032){l=Dmc(j)|0;f[e>>2]=l;m=l}else m=h;l=c+-1|0;a:do if(l>>>0>=i>>>0){j=l;n=c;b:while(1){o=j;p=n;c:while(1){switch(b[o>>0]|0){case 58:case 47:case 92:{q=p;break b;break}case 46:{if(!(b[n>>0]|0))break c;if(!(C9b(n,230831,3)|0))break c;break}default:{}}r=o+-1|0;if(r>>>0<i>>>0){q=o;break b}else{s=o;o=r;p=s}}j=o+-1|0;if(j>>>0<i>>>0)break a;else n=o}if((q|0)!=(n|0)){j=b[q>>0]|0;if(((j&-33)+-65&255)<26|j<<24>>24==95)t=m;else{b[m>>0]=95;t=m+1|0}if(q>>>0<n>>>0){j=t;p=q;while(1){s=b[p>>0]|0;p=p+1|0;r=j+1|0;b[j>>0]=s<<24>>24==95|(s<<24>>24==45|((s+-48&255)<10|((s&-33)+-65&255)<26))?s:95;if((p|0)==(n|0)){v=r;break}else j=r}}else v=t;b[v>>0]=0;j=f[e>>2]|0;if(o7b(j,230873)|0){f[a>>2]=0;f[a+4>>2]=0;if(j|0)w=19}else{n=j;p=n;b[p>>0]=117;b[p+1>>0]=110;b[p+2>>0]=110;b[p+3>>0]=97;p=n+4|0;b[p>>0]=109;b[p+1>>0]=101;b[p+2>>0]=100;b[p+3>>0]=0;f[a>>2]=0;f[a+4>>2]=0;w=19}if((w|0)==19?(p=s8b(j)|0,p|0):0)Krc(YG(a,p)|0,j|0,p|0)|0;p=f[e>>2]|0;if((p|0)==(h|0)){u=d;return}if(p|0)Fmc(p);f[e>>2]=h;f[k>>2]=1032;u=d;return}}while(0);f[g>>2]=0;f[g+4>>2]=0;d=YG(g,16)|0;k=230835;h=d+16|0;do{b[d>>0]=b[k>>0]|0;d=d+1|0;k=k+1|0}while((d|0)<(h|0));SQ(-5,g,230852,230598,223)}function Q_(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=f[b+8>>2]|0;b=f[c>>2]|0;c=QY(d,0,(b|0)==0?1163146:b)|0;f[a>>2]=d;f[a+4>>2]=c;return}function R_(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=f[b>>2]|0;e=QY(d,f[b+4>>2]|0,c)|0;f[a>>2]=d;f[a+4>>2]=e;return}function S_(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=a+8|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[e+28>>2]=0;if((b|0)!=0&(c|0)!=0?(g=f[c>>2]|0,h=g&7,h|0):0){f[a>>2]=b;b=a+4|0;f[b>>2]=c;a:do if((g&16|0)==0&(h+-5|0)>>>0<2){i=c+8|0;eW(f[i>>2]|0,e,0);j=f[c>>2]|0;switch(j&7){case 6:{k=f[(f[i>>2]|0)+60>>2]|0;break a;break}case 5:{k=f[(f[i>>2]|0)+24>>2]|0;break a;break}default:{k=(j&7|0)!=0&1;break a}}}else{f[a+20>>2]=c;f[a+12>>2]=0;k=1}while(0);c=a+40|0;f[c>>2]=k;if(!d)return;if((d|0)>0)l=(k|0)<(d|0)?k:d;else{h=f[b>>2]|0;b:do if(!h){m=0;n=17}else{b=f[h>>2]|0;switch(b&7){case 6:{o=f[(f[h+8>>2]|0)+60>>2]|0;break b;break}case 5:{o=f[(f[h+8>>2]|0)+24>>2]|0;break b;break}default:{m=(b&7|0)!=0;n=17;break b}}}while(0);if((n|0)==17)o=m&1;m=k-d|0;l=k-(o>>>0<m>>>0?o:m)|0}f[c>>2]=k-l;if(!(f[a+12>>2]|0))return;dW(e,l,1);return}f[a>>2]=0;f[a+4>>2]=0;f[a+40>>2]=0;return}function T_(a){a=a|0;var b=0,c=0,d=0;b=f[a+4>>2]|0;a:do if(!b)c=0;else{a=f[b>>2]|0;switch(a&7){case 6:{d=f[(f[b+8>>2]|0)+60>>2]|0;return d|0}case 5:{d=f[(f[b+8>>2]|0)+24>>2]|0;return d|0}default:{c=(a&7|0)!=0;break a}}}while(0);d=c&1;return d|0}function U_(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;b=a+40|0;c=f[b>>2]|0;if(!c)return a|0;d=a+8|0;e=f[a+12>>2]|0;if((e|0)!=0?(g=a+20|0,h=(f[g>>2]|0)+(f[e+28>>2]|0)|0,f[g>>2]=h,h>>>0>=(f[a+28>>2]|0)>>>0):0){mW(d,1);i=f[b>>2]|0}else i=c;f[b>>2]=i+-1;return a|0}function V_(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=u;u=u+16|0;h=g;i=f[a>>2]|0;if(!i){u=g;return a|0}j=f[a+4>>2]|0;if(!j){u=g;return a|0}k=a+40|0;l=f[k>>2]|0;if(!l){u=g;return a|0}m=f[c>>2]|0;c=(m|0)==0?1163146:m;m=b[c>>0]|0;if((m+-48&255)<10){n=(m<<24>>24)+-48|0;o=b[c+1>>0]|0}else{n=1;o=m}switch(o<<24>>24){case 99:case 117:{p=1;break}case 119:{p=2;break}case 115:{p=2;break}case 105:{p=4;break}case 102:{p=4;break}case 100:{p=8;break}default:p=o<<24>>24==114?4:0}if(!(Y(p,n)|0)){f[h>>2]=0;f[h+4>>2]=0;p=YG(h,13)|0;o=230875;m=p+13|0;do{b[p>>0]=b[o>>0]|0;p=p+1|0;o=o+1|0}while((p|0)<(m|0));SQ(-215,h,230889,230598,408)}h=l>>>0>e>>>0?e:l;if(!(f[a+12>>2]|0)){eZ(i,j,d,c);q=0}else{dZ(i,a+8|0,h,d,c);c=Y(h,n)|0;q=(f[k>>2]|0)-c|0}f[k>>2]=q;u=g;return a|0}function W_(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=f[a+8>>2]|0;if(!(f[b+4>>2]|0)){e=0;ZY(d,e,c);return}a=f[b>>2]|0;e=(a|0)==0?1163146:a;ZY(d,e,c);return}function X_(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0;if(!(f[b+4>>2]|0))d=0;else{e=f[b>>2]|0;d=(e|0)==0?1163146:e}_Y(f[a+8>>2]|0,d,c);return}function Y_(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0;d=f[a+8>>2]|0;if(!(f[b+4>>2]|0)){e=0;_Y(d,e,c);return}a=f[b>>2]|0;e=(a|0)==0?1163146:a;_Y(d,e,c);return}function Z_(a,b){a=a|0;b=b|0;ZY(f[a+8>>2]|0,0,b);return}function __(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=u;u=u+16|0;i=h+8|0;j=h;f[a>>2]=c;k=f[c+8>>2]|0;if(!(f[d+4>>2]|0))l=0;else{c=f[d>>2]|0;l=(c|0)==0?1163146:c}if(!(f[g+4>>2]|0))m=0;else{c=f[g>>2]|0;m=(c|0)==0?1163146:c}f[j>>2]=0;f[j+4>>2]=0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];XY(k,l,e,m,i);f[i>>2]=0;m=i+4|0;f[m>>2]=0;l=f[a>>2]|0;k=l+12|0;if((i|0)!=(k|0)){ZG(k);j=f[i>>2]|0;if(!j)n=0;else{c=j+-4|0;f[c>>2]=(f[c>>2]|0)+1;n=f[i>>2]|0}f[k>>2]=n;f[l+16>>2]=f[m>>2]}ZG(i);i=f[a>>2]|0;a=i+32|0;if((e&7|0)==5){f[a>>2]=1;e=i+20|0;m=i+24|0;l=f[m>>2]|0;n=i+28|0;k=f[n>>2]|0;if((l|0)!=(k|0)){b[l>>0]=91;f[m>>2]=(f[m>>2]|0)+1;u=h;return}c=f[e>>2]|0;j=l-c|0;l=j+1|0;g=c;if((l|0)<0)Ukc(e);d=k-c|0;k=d<<1;o=d>>>0<1073741823?(k>>>0<l>>>0?l:k):2147483647;if(!o)p=0;else p=Bmc(o)|0;k=p+j|0;b[k>>0]=91;l=k+(0-j)|0;if((j|0)>0)Krc(l|0,g|0,j|0)|0;f[e>>2]=l;f[m>>2]=k+1;f[n>>2]=p+o;if(!c){u=h;return}Emc(g);u=h;return}else{f[a>>2]=6;a=i+20|0;g=i+24|0;c=f[g>>2]|0;o=i+28|0;i=f[o>>2]|0;if((c|0)!=(i|0)){b[c>>0]=123;f[g>>2]=(f[g>>2]|0)+1;u=h;return}p=f[a>>2]|0;n=c-p|0;c=n+1|0;k=p;if((c|0)<0)Ukc(a);m=i-p|0;i=m<<1;l=m>>>0<1073741823?(i>>>0<c>>>0?c:i):2147483647;if(!l)q=0;else q=Bmc(l)|0;i=q+n|0;b[i>>0]=123;c=i+(0-n)|0;if((n|0)>0)Krc(c|0,k|0,n|0)|0;f[a>>2]=c;f[g>>2]=i+1;f[o>>2]=q+l;if(!p){u=h;return}Emc(k);u=h;return}}function $_(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=u;u=u+16|0;d=c;YY(f[(f[a>>2]|0)+8>>2]|0);e=f[a>>2]|0;a=e+24|0;g=f[a>>2]|0;h=g+-1|0;f[a>>2]=h;if((f[e+20>>2]|0)==(h|0))i=6;else i=(b[g+-2>>0]|0)==123?6:1;f[e+32>>2]=i;f[d>>2]=0;i=d+4|0;f[i>>2]=0;g=e+12|0;if((d|0)==(g|0)){ZG(d);u=c;return}ZG(g);h=f[d>>2]|0;if(!h)j=0;else{a=h+-4|0;f[a>>2]=(f[a>>2]|0)+1;j=f[d>>2]|0}f[g>>2]=j;f[e+16>>2]=f[i>>2];ZG(d);u=c;return}function a$(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;if(!b){c=0;return c|0}c=f[b>>2]&7;return c|0}function b$(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=f[a+4>>2]|0;if(d)if((f[d>>2]&7|0)==1)e=f[d+8>>2]|0;else e=2147483647;else e=c;f[b>>2]=e;return}function c$(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0.0;d=f[a+4>>2]|0;a:do if(!d)e=c;else switch(f[d>>2]&7){case 1:{e=+(f[d+8>>2]|0);break a;break}case 2:{e=+p[d+8>>3];break a;break}default:{e=3402823466385288598117041.0e14;break a}}while(0);n[b>>2]=e;return}function d$(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0.0;d=f[a+4>>2]|0;a:do if(!d)e=c;else switch(f[d>>2]&7){case 1:{e=+(f[d+8>>2]|0);break a;break}case 2:{e=+p[d+8>>3];break a;break}default:{e=1797693134862315708145274.0e284;break a}}while(0);p[b>>3]=e;return}function e$(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+16|0;e=d;g=f[a+4>>2]|0;do if(!g){a=f[c>>2]|0;f[e>>2]=a;f[e+4>>2]=f[c+4>>2];if(a|0){h=a+-4|0;f[h>>2]=(f[h>>2]|0)+1}}else{if((f[g>>2]&7|0)!=3){f[e>>2]=0;f[e+4>>2]=0;break}h=f[g+8+4>>2]|0;f[e>>2]=0;f[e+4>>2]=0;if(h|0?(a=s8b(h)|0,a|0):0)Krc(YG(e,a)|0,h|0,a|0)|0}while(0);if((e|0)==(b|0)){ZG(e);u=d;return}ZG(b);g=f[e>>2]|0;if(!g)i=0;else{c=g+-4|0;f[c>>2]=(f[c>>2]|0)+1;i=f[e>>2]|0}f[b>>2]=i;f[b+4>>2]=f[e+4>>2];ZG(e);u=d;return}function f$(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>2>>>0>=b>>>0){Drc(g|0,0,b<<2|0)|0;f[e>>2]=g+(b<<2);return}h=f[a>>2]|0;i=g-h|0;g=i>>2;j=g+b|0;if(j>>>0>1073741823)Ukc(a);k=d-h|0;d=k>>1;l=k>>2>>>0<536870911?(d>>>0<j>>>0?j:d):1073741823;do if(l)if(l>>>0>1073741823){d=ye(8)|0;Jmc(d,511852);f[d>>2]=165276;Gf(d|0,26776,1555)}else{m=Bmc(l<<2)|0;break}else m=0;while(0);d=m+(g<<2)|0;Drc(d|0,0,b<<2|0)|0;j=d+(0-g<<2)|0;if((i|0)>0)Krc(j|0,h|0,i|0)|0;f[a>>2]=j;f[e>>2]=d+(b<<2);f[c>>2]=m+(l<<2);if(!h)return;Emc(h);return}function g$(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=u;u=u+16|0;i=h;zT(i,50340);j=h$(a,b,c,d,e,g)|0;if(!(f[i+4>>2]|0)){u=h;return j|0}u=h;return j|0}function h$(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0;h=b>>>2;b=e>>>2;e=(c|0)>0;a:do if(e){i=(d|0)==0;j=i|(g|0)<1;k=i|(g|0)<1;i=1;l=0;while(1){m=l;l=l+1|0;o=(l|0)<(c|0);if(o){p=m;q=l;while(1){r=a+((Y(q,h)|0)+m<<2)|0;s=+L(+(+n[r>>2]));r=a+((Y(p,h)|0)+m<<2)|0;t=s>+L(+(+n[r>>2]));r=t?q:p;q=q+1|0;if((q|0)==(c|0)){u=r;break}else p=r}}else u=m;p=Y(u,h)|0;if(+L(+(+n[a+(p+m<<2)>>2]))<1.1920928955078125e-06){v=0;break}if((u|0)==(m|0))w=i;else{q=Y(m,h)|0;r=m;do{t=a+(r+q<<2)|0;x=a+(r+p<<2)|0;y=f[t>>2]|0;f[t>>2]=f[x>>2];f[x>>2]=y;r=r+1|0}while((r|0)!=(c|0));if(!k){r=Y(m,b)|0;p=Y(u,b)|0;q=0;do{y=d+(q+r<<2)|0;x=d+(q+p<<2)|0;t=f[y>>2]|0;f[y>>2]=f[x>>2];f[x>>2]=t;q=q+1|0}while((q|0)!=(g|0))}w=0-i|0}q=Y(m,h)|0;s=-1.0/+n[a+(q+m<<2)>>2];if(!o){z=w;break a}p=Y(m,b)|0;r=l;do{t=Y(r,h)|0;A=s*+n[a+(t+m<<2)>>2];x=l;do{y=a+(x+t<<2)|0;n[y>>2]=+n[y>>2]+A*+n[a+(x+q<<2)>>2];x=x+1|0}while((x|0)!=(c|0));if(!j){x=Y(r,b)|0;t=0;do{y=d+(t+x<<2)|0;n[y>>2]=+n[y>>2]+A*+n[d+(t+p<<2)>>2];t=t+1|0}while((t|0)!=(g|0))}r=r+1|0}while((r|0)!=(c|0));if(!o){z=w;break a}else i=w}return v|0}else z=1;while(0);if(e&(d|0)!=0&(g|0)>0)B=c;else{v=z;return v|0}do{e=B;B=B+-1|0;w=Y(B,b)|0;u=Y(B,h)|0;i=a+(u+B<<2)|0;if((e|0)<(c|0)){j=0;do{l=d+(j+w<<2)|0;s=+n[l>>2];k=e;do{r=d+((Y(k,b)|0)+j<<2)|0;s=s-+n[a+(k+u<<2)>>2]*+n[r>>2];k=k+1|0}while((k|0)!=(c|0));n[l>>2]=s/+n[i>>2];j=j+1|0}while((j|0)!=(g|0))}else{j=0;do{u=d+(j+w<<2)|0;n[u>>2]=+n[u>>2]/+n[i>>2];j=j+1|0}while((j|0)!=(g|0))}}while((e|0)>1);v=z;return v|0}function i$(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=u;u=u+16|0;i=h;zT(i,50360);j=j$(a,b,c,d,e,g)|0;if(!(f[i+4>>2]|0)){u=h;return j|0}u=h;return j|0}function j$(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0;g=b>>>3;b=e>>>3;e=(c|0)>0;a:do if(e){h=(d|0)==0;i=h|(f|0)<1;j=h|(f|0)<1;h=1;k=0;while(1){l=k;k=k+1|0;m=(k|0)<(c|0);if(m){n=l;o=k;while(1){q=a+((Y(o,g)|0)+l<<3)|0;r=+L(+(+p[q>>3]));q=a+((Y(n,g)|0)+l<<3)|0;s=r>+L(+(+p[q>>3]));q=s?o:n;o=o+1|0;if((o|0)==(c|0)){t=q;break}else n=q}}else t=l;n=Y(t,g)|0;if(+L(+(+p[a+(n+l<<3)>>3]))<2.220446049250313e-14){u=0;break}if((t|0)==(l|0))v=h;else{o=Y(l,g)|0;q=l;do{s=a+(q+o<<3)|0;w=a+(q+n<<3)|0;r=+p[s>>3];p[s>>3]=+p[w>>3];p[w>>3]=r;q=q+1|0}while((q|0)!=(c|0));if(!j){q=Y(l,b)|0;n=Y(t,b)|0;o=0;do{w=d+(o+q<<3)|0;s=d+(o+n<<3)|0;r=+p[w>>3];p[w>>3]=+p[s>>3];p[s>>3]=r;o=o+1|0}while((o|0)!=(f|0))}v=0-h|0}o=Y(l,g)|0;r=-1.0/+p[a+(o+l<<3)>>3];if(!m){x=v;break a}n=Y(l,b)|0;q=k;do{s=Y(q,g)|0;y=r*+p[a+(s+l<<3)>>3];w=k;do{z=a+(w+s<<3)|0;p[z>>3]=+p[z>>3]+y*+p[a+(w+o<<3)>>3];w=w+1|0}while((w|0)!=(c|0));if(!i){w=Y(q,b)|0;s=0;do{z=d+(s+w<<3)|0;p[z>>3]=+p[z>>3]+y*+p[d+(s+n<<3)>>3];s=s+1|0}while((s|0)!=(f|0))}q=q+1|0}while((q|0)!=(c|0));if(!m){x=v;break a}else h=v}return u|0}else x=1;while(0);if(e&(d|0)!=0&(f|0)>0)A=c;else{u=x;return u|0}do{e=A;A=A+-1|0;v=Y(A,b)|0;t=Y(A,g)|0;h=a+(t+A<<3)|0;if((e|0)<(c|0)){i=0;do{k=d+(i+v<<3)|0;r=+p[k>>3];j=e;do{q=d+((Y(j,b)|0)+i<<3)|0;r=r-+p[a+(j+t<<3)>>3]*+p[q>>3];j=j+1|0}while((j|0)!=(c|0));p[k>>3]=r/+p[h>>3];i=i+1|0}while((i|0)!=(f|0))}else{i=0;do{t=d+(i+v<<3)|0;p[t>>3]=+p[t>>3]/+p[h>>3];i=i+1|0}while((i|0)!=(f|0))}}while((e|0)>1);u=x;return u|0}function k$(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=u;u=u+16|0;i=h;zT(i,50380);j=l$(a,b,c,d,e,g)|0;if(!(f[i+4>>2]|0)){u=h;return j|0}u=h;return j|0}function l$(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0.0,o=0,p=0.0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;g=b>>>2;b=e>>>2;e=(c|0)>0;a:do if(e){h=0;while(1){i=(h|0)>0;j=Y(h,g)|0;if(i){k=0;do{l=a+(k+j<<2)|0;m=+n[l>>2];o=Y(k,g)|0;if((k|0)>0){p=m;q=0;while(1){r=p-+n[a+(q+j<<2)>>2]*+n[a+(q+o<<2)>>2];q=q+1|0;if((q|0)==(k|0)){s=r;break}else p=r}}else s=m;n[l>>2]=s*+n[a+(o+k<<2)>>2];k=k+1|0}while((k|0)!=(h|0));k=a+(j+h<<2)|0;p=+n[k>>2];if(i){q=0;r=p;while(1){t=+n[a+(q+j<<2)>>2];u=r-t*t;q=q+1|0;if((q|0)==(h|0)){v=u;w=k;break}else r=u}}else{v=p;w=k}}else{q=a+(j+h<<2)|0;v=+n[q>>2];w=q}if(v<1.1920928955078125e-07){x=0;break}r=1.0/+M(+v);n[w>>2]=r;h=h+1|0;if((h|0)>=(c|0))break a}return x|0}while(0);if(!d){if(e)y=0;else{x=1;return x|0}do{w=a+((Y(y,g)|0)+y<<2)|0;n[w>>2]=1.0/+n[w>>2];y=y+1|0}while((y|0)!=(c|0));x=1;return x|0}if(!e){x=1;return x|0}if((f|0)>0){y=0;do{w=Y(y,b)|0;h=Y(y,g)|0;q=a+(h+y<<2)|0;if((y|0)>0){i=0;do{z=d+(i+w<<2)|0;A=0;v=+n[z>>2];do{B=d+((Y(A,b)|0)+i<<2)|0;v=v-+n[a+(A+h<<2)>>2]*+n[B>>2];A=A+1|0}while((A|0)!=(y|0));n[z>>2]=v*+n[q>>2];i=i+1|0}while((i|0)!=(f|0))}else{i=0;do{h=d+(i+w<<2)|0;n[h>>2]=+n[h>>2]*+n[q>>2];i=i+1|0}while((i|0)!=(f|0))}y=y+1|0}while((y|0)!=(c|0));y=c+-1|0;if(!e){x=1;return x|0}if((f|0)>0){i=y;while(1){q=Y(i,b)|0;w=a+((Y(i,g)|0)+i<<2)|0;if((y|0)>(i|0)){h=0;do{A=d+(h+q<<2)|0;j=y;p=+n[A>>2];do{k=a+((Y(j,g)|0)+i<<2)|0;B=d+((Y(j,b)|0)+h<<2)|0;p=p-+n[k>>2]*+n[B>>2];j=j+-1|0}while((j|0)>(i|0));n[A>>2]=p*+n[w>>2];h=h+1|0}while((h|0)!=(f|0))}else{h=0;do{j=d+(h+q<<2)|0;n[j>>2]=+n[j>>2]*+n[w>>2];h=h+1|0}while((h|0)!=(f|0))}if((i|0)>0)i=i+-1|0;else break}if(!e){x=1;return x|0}else C=0}else C=0}else C=0;do{e=a+((Y(C,g)|0)+C<<2)|0;n[e>>2]=1.0/+n[e>>2];C=C+1|0}while((C|0)!=(c|0));x=1;return x|0}function m$(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=u;u=u+16|0;i=h;zT(i,50400);j=n$(a,b,c,d,e,g)|0;if(!(f[i+4>>2]|0)){u=h;return j|0}u=h;return j|0}function n$(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0.0,n=0,o=0.0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;g=b>>>3;b=e>>>3;e=(c|0)>0;a:do if(e){h=0;while(1){i=(h|0)>0;j=Y(h,g)|0;if(i){k=0;do{l=a+(k+j<<3)|0;m=+p[l>>3];n=Y(k,g)|0;if((k|0)>0){o=m;q=0;while(1){r=o-+p[a+(q+j<<3)>>3]*+p[a+(q+n<<3)>>3];q=q+1|0;if((q|0)==(k|0)){s=r;break}else o=r}}else s=m;p[l>>3]=s*+p[a+(n+k<<3)>>3];k=k+1|0}while((k|0)!=(h|0));k=a+(j+h<<3)|0;o=+p[k>>3];if(i){q=0;r=o;while(1){t=+p[a+(q+j<<3)>>3];u=r-t*t;q=q+1|0;if((q|0)==(h|0)){v=u;w=k;break}else r=u}}else{v=o;w=k}}else{q=a+(j+h<<3)|0;v=+p[q>>3];w=q}if(v<2.220446049250313e-16){x=0;break}r=1.0/+M(+v);p[w>>3]=r;h=h+1|0;if((h|0)>=(c|0))break a}return x|0}while(0);if(!d){if(e)y=0;else{x=1;return x|0}do{w=a+((Y(y,g)|0)+y<<3)|0;p[w>>3]=1.0/+p[w>>3];y=y+1|0}while((y|0)!=(c|0));x=1;return x|0}if(!e){x=1;return x|0}if((f|0)>0){y=0;do{w=Y(y,b)|0;h=Y(y,g)|0;q=a+(h+y<<3)|0;if((y|0)>0){i=0;do{z=d+(i+w<<3)|0;A=0;v=+p[z>>3];do{B=d+((Y(A,b)|0)+i<<3)|0;v=v-+p[a+(A+h<<3)>>3]*+p[B>>3];A=A+1|0}while((A|0)!=(y|0));p[z>>3]=v*+p[q>>3];i=i+1|0}while((i|0)!=(f|0))}else{i=0;do{h=d+(i+w<<3)|0;p[h>>3]=+p[h>>3]*+p[q>>3];i=i+1|0}while((i|0)!=(f|0))}y=y+1|0}while((y|0)!=(c|0));y=c+-1|0;if(!e){x=1;return x|0}if((f|0)>0){i=y;while(1){q=Y(i,b)|0;w=a+((Y(i,g)|0)+i<<3)|0;if((y|0)>(i|0)){h=0;do{A=d+(h+q<<3)|0;j=y;o=+p[A>>3];do{k=a+((Y(j,g)|0)+i<<3)|0;B=d+((Y(j,b)|0)+h<<3)|0;o=o-+p[k>>3]*+p[B>>3];j=j+-1|0}while((j|0)>(i|0));p[A>>3]=o*+p[w>>3];h=h+1|0}while((h|0)!=(f|0))}else{h=0;do{j=d+(h+q<<3)|0;p[j>>3]=+p[j>>3]*+p[w>>3];h=h+1|0}while((h|0)!=(f|0))}if((i|0)>0)i=i+-1|0;else break}if(!e){x=1;return x|0}else C=0}else C=0}else C=0;do{e=a+((Y(C,g)|0)+C<<3)|0;p[e>>3]=1.0/+p[e>>3];C=C+1|0}while((C|0)!=(c|0));x=1;return x|0}function o$(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0.0,x=0,y=0.0,z=0.0,A=0.0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;j=u;u=u+1072|0;k=j+8|0;l=j;zT(l,50420);m=b>>>2;b=h>>>2;h=k+8|0;f[k>>2]=h;o=k+4|0;p=(c|0)==0?(i|0)!=0&1:d+c|0;f[o>>2]=p;if(p>>>0>264){q=Dmc(p>>>0>1073741823?-1:p<<2)|0;f[k>>2]=q;r=q}else r=h;q=(i|0)==0?r+(c<<2)|0:i;a:do if((d|0)>0){i=0;p=c;while(1){s=c-i|0;t=(s|0)>0;if(t){v=0;w=0.0;while(1){x=a+((Y(v+i|0,m)|0)+i<<2)|0;y=+n[x>>2];n[r+(v<<2)>>2]=y;z=w+y*y;v=v+1|0;if((v|0)==(p|0)){A=z;break}else w=z}}else A=0.0;w=+n[r>>2];z=w+ +M(+A)*(!(w>=0.0)?-1.0:1.0);n[r>>2]=z;y=+M(+(A+z*z-w*w));if(t?(n[r>>2]=z/y,(p|0)!=1):0){v=1;do{x=r+(v<<2)|0;n[x>>2]=+n[x>>2]/y;v=v+1|0}while((v|0)!=(p|0))}if((i|0)<(c|0)){v=i;do{t=i;y=0.0;do{x=a+((Y(t,m)|0)+v<<2)|0;y=y+ +n[r+(t-i<<2)>>2]*+n[x>>2];t=t+1|0}while((t|0)!=(c|0));B=i;do{t=a+((Y(B,m)|0)+v<<2)|0;n[t>>2]=+n[t>>2]-y*(+n[r+(B-i<<2)>>2]*2.0);B=B+1|0}while((B|0)!=(c|0));v=v+1|0}while((v|0)!=(d|0))}y=+n[r>>2];n[q+(i<<2)>>2]=y*y;if((s|0)>1){y=+n[r>>2];v=1;do{t=a+((Y(v+i|0,m)|0)+i<<2)|0;n[t>>2]=+n[r+(v<<2)>>2]/y;v=v+1|0}while((v|0)!=(p|0))}i=i+1|0;if((i|0)==(d|0))break;else p=p+-1|0}if(g){p=(e|0)>0;if(p){i=0;v=c;while(1){n[r>>2]=1.0;if((c-i|0)>1){s=1;do{t=a+((Y(s+i|0,m)|0)+i<<2)|0;f[r+(s<<2)>>2]=f[t>>2];s=s+1|0}while((s|0)!=(v|0))}s=q+(i<<2)|0;if((i|0)<(c|0)){t=0;do{x=i;y=0.0;do{C=g+((Y(x,b)|0)+t<<2)|0;y=y+ +n[r+(x-i<<2)>>2]*+n[C>>2];x=x+1|0}while((x|0)!=(c|0));D=i;do{x=g+((Y(D,b)|0)+t<<2)|0;n[x>>2]=+n[x>>2]-+n[s>>2]*(y*(+n[r+(D-i<<2)>>2]*2.0));D=D+1|0}while((D|0)!=(c|0));t=t+1|0}while((t|0)!=(e|0))}i=i+1|0;if((i|0)==(d|0))break;else v=v+-1|0}}else{v=0;i=c;while(1){n[r>>2]=1.0;if((c-v|0)>1){t=1;do{s=a+((Y(t+v|0,m)|0)+v<<2)|0;f[r+(t<<2)>>2]=f[s>>2];t=t+1|0}while((t|0)!=(i|0))}v=v+1|0;if((v|0)==(d|0))break;else i=i+-1|0}}i=d+-1|0;if(!p){v=i;while(1){t=a+((Y(v,m)|0)+v<<2)|0;if(+L(+(+n[t>>2]))<1.1920928955078125e-06){E=0;break a}if((v|0)>0)v=v+-1|0;else{E=1;break a}}}if((e|0)==1){v=i;while(1){p=Y(v,m)|0;if((i|0)>(v|0)){t=g+((Y(v,b)|0)<<2)|0;s=i;do{x=g+((Y(s,b)|0)<<2)|0;n[t>>2]=+n[t>>2]-+n[x>>2]*+n[a+(s+p<<2)>>2];s=s+-1|0}while((s|0)>(v|0))}y=+n[a+(p+v<<2)>>2];if(+L(+y)<1.1920928955078125e-06){E=0;break a}s=g+((Y(v,b)|0)<<2)|0;n[s>>2]=+n[s>>2]/y;if((v|0)>0)v=v+-1|0;else{E=1;break a}}}else F=i;while(1){v=Y(F,m)|0;if((i|0)>(F|0)){s=Y(F,b)|0;t=i;do{x=Y(t,b)|0;C=a+(t+v<<2)|0;G=0;do{H=g+(G+s<<2)|0;n[H>>2]=+n[H>>2]-+n[g+(G+x<<2)>>2]*+n[C>>2];G=G+1|0}while((G|0)!=(e|0));t=t+-1|0}while((t|0)>(F|0))}t=a+(v+F<<2)|0;y=+n[t>>2];if(+L(+y)<1.1920928955078125e-06){E=0;break a}s=Y(F,b)|0;p=g+(s<<2)|0;n[p>>2]=+n[p>>2]/y;p=1;do{G=g+(p+s<<2)|0;n[G>>2]=+n[G>>2]/+n[t>>2];p=p+1|0}while((p|0)!=(e|0));if((F|0)>0)F=F+-1|0;else{E=1;break}}}else E=1}else E=1;while(0);if((r|0)!=(h|0)){Fmc(r);f[k>>2]=h;f[o>>2]=264}if(!(f[l+4>>2]|0)){u=j;return E|0}u=j;return E|0}function p$(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0.0,x=0,y=0.0,z=0.0,A=0.0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;j=u;u=u+1104|0;k=j;l=j+1096|0;zT(l,50440);m=b>>>3;b=h>>>3;h=k+8|0;f[k>>2]=h;n=k+4|0;o=(c|0)==0?(i|0)!=0&1:d+c|0;f[n>>2]=o;if(o>>>0>136){q=Dmc(o>>>0>536870911?-1:o<<3)|0;f[k>>2]=q;r=q}else r=h;q=(i|0)==0?r+(c<<3)|0:i;a:do if((d|0)>0){i=0;o=c;while(1){s=c-i|0;t=(s|0)>0;if(t){v=0;w=0.0;while(1){x=a+((Y(v+i|0,m)|0)+i<<3)|0;y=+p[x>>3];p[r+(v<<3)>>3]=y;z=w+y*y;v=v+1|0;if((v|0)==(o|0)){A=z;break}else w=z}}else A=0.0;w=+p[r>>3];z=w+ +M(+A)*(!(w>=0.0)?-1.0:1.0);p[r>>3]=z;y=+M(+(A+z*z-w*w));if(t?(p[r>>3]=z/y,(o|0)!=1):0){v=1;do{x=r+(v<<3)|0;p[x>>3]=+p[x>>3]/y;v=v+1|0}while((v|0)!=(o|0))}if((i|0)<(c|0)){v=i;do{t=i;y=0.0;do{x=a+((Y(t,m)|0)+v<<3)|0;y=y+ +p[r+(t-i<<3)>>3]*+p[x>>3];t=t+1|0}while((t|0)!=(c|0));B=i;do{t=a+((Y(B,m)|0)+v<<3)|0;p[t>>3]=+p[t>>3]-y*(+p[r+(B-i<<3)>>3]*2.0);B=B+1|0}while((B|0)!=(c|0));v=v+1|0}while((v|0)!=(d|0))}y=+p[r>>3];p[q+(i<<3)>>3]=y*y;if((s|0)>1){y=+p[r>>3];v=1;do{t=a+((Y(v+i|0,m)|0)+i<<3)|0;p[t>>3]=+p[r+(v<<3)>>3]/y;v=v+1|0}while((v|0)!=(o|0))}i=i+1|0;if((i|0)==(d|0))break;else o=o+-1|0}if(g){o=(e|0)>0;if(o){i=0;v=c;while(1){p[r>>3]=1.0;if((c-i|0)>1){s=1;do{t=a+((Y(s+i|0,m)|0)+i<<3)|0;p[r+(s<<3)>>3]=+p[t>>3];s=s+1|0}while((s|0)!=(v|0))}s=q+(i<<3)|0;if((i|0)<(c|0)){t=0;do{x=i;y=0.0;do{C=g+((Y(x,b)|0)+t<<3)|0;y=y+ +p[r+(x-i<<3)>>3]*+p[C>>3];x=x+1|0}while((x|0)!=(c|0));D=i;do{x=g+((Y(D,b)|0)+t<<3)|0;p[x>>3]=+p[x>>3]-+p[s>>3]*(y*(+p[r+(D-i<<3)>>3]*2.0));D=D+1|0}while((D|0)!=(c|0));t=t+1|0}while((t|0)!=(e|0))}i=i+1|0;if((i|0)==(d|0))break;else v=v+-1|0}}else{v=0;i=c;while(1){p[r>>3]=1.0;if((c-v|0)>1){t=1;do{s=a+((Y(t+v|0,m)|0)+v<<3)|0;p[r+(t<<3)>>3]=+p[s>>3];t=t+1|0}while((t|0)!=(i|0))}v=v+1|0;if((v|0)==(d|0))break;else i=i+-1|0}}i=d+-1|0;if(!o){v=i;while(1){t=a+((Y(v,m)|0)+v<<3)|0;if(+L(+(+p[t>>3]))<2.220446049250313e-14){E=0;break a}if((v|0)>0)v=v+-1|0;else{E=1;break a}}}if((e|0)==1){v=i;while(1){o=Y(v,m)|0;if((i|0)>(v|0)){t=g+((Y(v,b)|0)<<3)|0;s=i;do{x=g+((Y(s,b)|0)<<3)|0;p[t>>3]=+p[t>>3]-+p[x>>3]*+p[a+(s+o<<3)>>3];s=s+-1|0}while((s|0)>(v|0))}y=+p[a+(o+v<<3)>>3];if(+L(+y)<2.220446049250313e-14){E=0;break a}s=g+((Y(v,b)|0)<<3)|0;p[s>>3]=+p[s>>3]/y;if((v|0)>0)v=v+-1|0;else{E=1;break a}}}else F=i;while(1){v=Y(F,m)|0;if((i|0)>(F|0)){s=Y(F,b)|0;t=i;do{x=Y(t,b)|0;C=a+(t+v<<3)|0;G=0;do{H=g+(G+s<<3)|0;p[H>>3]=+p[H>>3]-+p[g+(G+x<<3)>>3]*+p[C>>3];G=G+1|0}while((G|0)!=(e|0));t=t+-1|0}while((t|0)>(F|0))}t=a+(v+F<<3)|0;y=+p[t>>3];if(+L(+y)<2.220446049250313e-14){E=0;break a}s=Y(F,b)|0;o=g+(s<<3)|0;p[o>>3]=+p[o>>3]/y;o=1;do{G=g+(o+s<<3)|0;p[G>>3]=+p[G>>3]/+p[t>>3];o=o+1|0}while((o|0)!=(e|0));if((F|0)>0)F=F+-1|0;else{E=1;break}}}else E=1}else E=1;while(0);if((r|0)!=(h|0)){Fmc(r);f[k>>2]=h;f[n>>2]=136}if(!(f[l+4>>2]|0)){u=j;return E|0}u=j;return E|0}function q$(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=r$(a,f[a+76>>2]|0,0)|0;if(!c)return;d=a+92|0;e=a+32|0;g=0;h=c;a:while(1){b:do if(!g){c=h;c:while(1){i=b[c>>0]|0;switch(i<<24>>24){case 45:{break c;break}case 37:break;default:{j=c;k=i;l=20;break b}}if(((gac(c,231400,5)|0)==0?gac(c,231406,8)|0:0)?gac(c,231415,8)|0:0){l=16;break a}b[c>>0]=0;i=r$(a,c,0)|0;if(!i){l=30;break a}else c=i}if(!(gac(c,231396,3)|0)){m=c;l=19}else n=c}else{i=h;while(1){o=b[i>>0]|0;switch(o<<24>>24){case 37:{if(((gac(i,231400,5)|0)==0?gac(i,231406,8)|0:0)?gac(i,231415,8)|0:0){l=16;break a}b[i>>0]=0;break}case 45:{if(!(gac(i,231396,3)|0)){m=i;l=19;break b}break}default:{j=i;k=o;l=20;break b}}i=r$(a,i,0)|0;if(!i){l=30;break a}}}while(0);do if((l|0)==19){l=0;n=m+3|0}else if((l|0)==20){l=0;if((k+-48&255)<10|((k&-33)+-65&255)<26|k<<24>>24==95)if(g){l=22;break a}else{n=j;break}else if(!(f[d>>2]|0)){l=24;break a}else{n=j;break}}while(0);i=r$(a,n,0)|0;if(gac(i,524837,3)|0){c=nW(f[e>>2]|0,0)|0;o=s$(a,i,c,0,0)|0;if((f[c>>2]&7)>>>0<=4){l=27;break}c=r$(a,o,0)|0;if(!c){l=30;break}else p=c}else p=i;if(f[d>>2]|0){l=30;break}h=r$(a,p+3|0,0)|0;if(!h){l=30;break}else g=1}if((l|0)==16)N$(a,231424,231436,231478,566);else if((l|0)==22)N$(a,231424,231552,231478,582);else if((l|0)==24)N$(a,231424,231613,231478,588);else if((l|0)==27)N$(a,231424,231643,231478,599);else if((l|0)==30)return}function r$(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=a+80|0;g=a+76|0;h=a+88|0;i=c;a:while(1){j=i;b:while(1){k=b[j>>0]|0;switch(k<<24>>24){case 35:{l=5;break b;break}case 32:break;default:break b}j=j+1|0}if((l|0)==5){l=0;b[j>>0]=0;i=j;continue}if((k&255)>31){l=7;break}switch(k<<24>>24){case 13:case 10:case 0:break;default:{l=16;break a}}c=f[g>>2]|0;m=I$(a,c,(f[e>>2]|0)-c|0)|0;if(!m){l=15;break}c=m+((s8b(m)|0)+-1)|0;switch(b[c>>0]|0){case 13:case 10:break;default:if(!(J$(a)|0)){l=13;break a}}f[h>>2]=(f[h>>2]|0)+1;i=m}if((l|0)==7)if((j-(f[g>>2]|0)|0)<(d|0))N$(a,232427,232338,231478,31);else{n=j;return n|0}else if((l|0)==13)N$(a,232427,232444,231478,51);else if((l|0)==15){j=f[g>>2]|0;b[j+2>>0]=46;b[j+1>>0]=46;b[j>>0]=46;b[j+3>>0]=0;f[a+92>>2]=1;n=j;return n|0}else if((l|0)==16)N$(a,232427,k<<24>>24==9?232489:232115,231478,57);return 0}function s$(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0.0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0;h=u;u=u+5216|0;i=h;j=h+80|0;k=h+68|0;l=h+56|0;m=h+12|0;n=h+96|0;o=h+8|0;Drc(n|0,0,5120)|0;f[o>>2]=0;q=b[c>>0]|0;r=c+1|0;t=b[r>>0]|0;v=(e&8|0)!=0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;a:do if(q<<24>>24==33){switch(t<<24>>24){case 94:case 33:{w=r;x=16;break}default:{w=c;x=0}}b:do if(t<<24>>24==60){e=w+1|0;y=e;c:while(1){z=y+1|0;A=b[z>>0]|0;if((A&255)<32){B=e;C=x;break b}switch(A<<24>>24){case 32:{B=e;C=x;break b;break}case 62:{break c;break}default:y=z}}if((z-e|0)>>>0>19?(gac(e,231705,19)|0)==0:0){b[z>>0]=32;B=w+19|0;C=16}else{B=e;C=x}}else{B=w;C=x}while(0);f[o>>2]=B;y=B;do{y=y+1|0;f[o>>2]=y;D=b[y>>0]|0}while((D&255)>=33);A=B+1|0;E=y-A|0;if(!E)N$(a,231725,231742,231478,233);b[y>>0]=0;F=(C&16|0)!=0;do if(F|(E|0)!=3){if(!(F|(E|0)!=5)){G=(gac(A,524808,5)|0)==0;H=D;I=0;J=G?2:C;break}if((E|0)!=6|F^1){if(!F){H=D;I=0;J=C;break}G=hZ(A)|0;f[d+4>>2]=G;if(G|0){H=D;I=0;J=C;break}f[d>>2]=f[d>>2]&-17;H=D;I=0;J=C;break}if(!(gac(A,233785,6)|0)){b[f[o>>2]>>0]=D;G=f[o>>2]|0;while(1){K=G+1|0;f[o>>2]=K;if((b[K>>0]|0)==32)G=K;else break}e=G+2|0;f[o>>2]=e;K=b[e>>0]|0;b[e>>0]=0;H=K;I=1;J=5}else{H=D;I=0;J=C}}else if(gac(A,231758,3)|0)if(gac(A,524762,3)|0)if(!(gac(A,235711,3)|0)){H=D;I=0;J=5}else{K=(gac(A,231762,3)|0)==0;H=D;I=0;J=K?6:C}else{H=D;I=0;J=1}else{H=D;I=0;J=3}while(0);b[f[o>>2]>>0]=H;A=r$(a,f[o>>2]|0,g)|0;F=b[A>>0]|0;d:do if(!(J&16)){switch(J|0){case 1:{L=A;M=87;break a;break}case 2:{N=A;M=86;break a;break}case 3:break;default:{M=34;break d}}switch(F<<24>>24){case 34:case 39:break;default:{O=A;P=3;M=144;break a}}if(!I){Q=F;R=H;S=A;T=3;M=79;break a}}else M=34;while(0);if((M|0)==34?!I:0){Q=F;R=H;S=A;T=J;M=79;break}E=a+76|0;y=A-(f[E>>2]|0)|0;K=r$(a,A,0)|0;e=K;f[i>>2]=e;U=a+92|0;do if((f[U>>2]|0)==0?(e-(f[E>>2]|0)|0)==(y|0):0){V=0;while(1){W=K+V|0;X=b[W>>0]|0;if((X&255)>31)V=V+1|0;else break}if(!(X<<24>>24))N$(a,231766,231798,231478,79);else{G=W;f[i>>2]=G;Y=V;Z=W;_=G;break}}else{Y=0;Z=K;_=e}while(0);A=K+Y|0;if(K>>>0<Z>>>0){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;if((_-e|0)<32)N$(a,231821,231839,231478,97);f[k>>2]=0;F=k+4|0;f[F>>2]=0;f[k+8>>2]=0;G=Bmc(25)|0;f[k>>2]=G;$=G+25|0;f[k+8>>2]=$;aa=G;ba=aa+25|0;do{b[aa>>0]=32;aa=aa+1|0}while((aa|0)<(ba|0));f[F>>2]=$;AZ(K,G,0,32)|0;if(!(GZ(k,j)|0))N$(a,231821,231866,231478,102);e=j+11|0;ca=b[e>>0]|0;if(!((ca<<24>>24<0?f[j+4>>2]|0:ca&255)|0))N$(a,231821,231866,231478,102);ca=K+32|0;da=f[k>>2]|0;if(da|0){if((f[F>>2]|0)!=(da|0))f[F>>2]=da;Emc(da)};f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;Umc(k,131072);e:do if((Y|0)>32){da=A;ea=Z;fa=ca;while(1){oZ(k,fa,da)|0;fa=r$(a,ea,0)|0;ga=fa;f[i>>2]=ga;if((f[U>>2]|0)==0?(ga-(f[E>>2]|0)|0)==(y|0):0){ga=fa;while(1){ha=b[ga>>0]|0;if((ha&255)>31)ga=ga+1|0;else break}if(!(ha<<24>>24))break;f[i>>2]=ga;ia=ga}else ia=fa;if(fa>>>0>=ia>>>0)break e;else{da=ia;ea=ia}}N$(a,231766,231798,231478,79)}while(0);y=k+11|0;ca=b[y>>0]|0;A=ca<<24>>24<0;F=k+4|0;K=A?f[F>>2]|0:ca&255;if(!K)N$(a,231821,231896,231478,118);if(!(BZ(A?f[k>>2]|0:k,0,K)|0))N$(a,231821,231896,231478,118);K=b[y>>0]|0;A=CZ(K<<24>>24<0?f[F>>2]|0:K&255,1)|0;f[l>>2]=0;K=l+4|0;f[K>>2]=0;f[l+8>>2]=0;if(A|0){if((A|0)<0)Ukc(l);ca=Bmc(A)|0;f[K>>2]=ca;f[l>>2]=ca;f[l+8>>2]=ca+A;G=A;A=ca;do{b[A>>0]=0;A=(f[K>>2]|0)+1|0;f[K>>2]=A;G=G+-1|0}while((G|0)!=0)}G=b[y>>0]|0;A=G<<24>>24<0;ca=DZ(A?f[F>>2]|0:G&255,A?f[k>>2]|0:k,0)|0;A=f[l>>2]|0;MZ(m,A,(f[K>>2]|0)-A|0);A=b[y>>0]|0;G=A<<24>>24<0;$=G?f[k>>2]|0:k;PZ(m,$,$+(G?f[F>>2]|0:A&255)|0)|0;OZ(m)|0;NZ(m);A=a0((b[e>>0]|0)<0?f[j>>2]|0:j,0)|0;if((ca|0)%(A|0)|0|0)N$(a,231821,231917,231478,136);f[d>>2]=0;O$(a,13,d);e_(f[l>>2]|0,(ca|0)/(A|0)|0,(b[e>>0]|0)<0?f[j>>2]|0:j,f[d+8>>2]|0);A=f[((f[U>>2]|0)==0?i:E)>>2]|0;ca=f[l>>2]|0;if(ca|0){if((f[K>>2]|0)!=(ca|0))f[K>>2]=ca;Emc(ca)}if((b[y>>0]|0)<0)Emc(f[k>>2]|0);if((b[e>>0]|0)<0)Emc(f[j>>2]|0);ja=A}else ja=Z;ka=ja;u=h;return ka|0}else{Q=q;R=t;S=c;T=0;M=79}while(0);f:do if((M|0)==79){g:do if((Q+-48&255)<10)la=Q;else{switch(Q<<24>>24){case 43:case 45:{if(R<<24>>24==46|(R+-48&255)<10){la=Q;break g}else M=117;break}case 46:{if((R+-48&255)<10|((R&-33)+-65&255)<26){la=46;break g}else ma=46;break}case 34:case 39:{f[d>>2]=3;h:do if(Q<<24>>24==39){c=0;t=S;while(1){q=t+1|0;ja=b[q>>0]|0;if(!((ja+-48&255)<10|((ja&-33)+-65&255)<26)?!(ja<<24>>24!=39&(ja&255)>31):0){if(ja<<24>>24!=39){M=99;break}Z=t+2|0;if((b[Z>>0]|0)==39){na=Z;oa=39}else{pa=Z;qa=c;break h}}else{na=q;oa=ja}b[n+c>>0]=oa;c=c+1|0;if((c|0)>=4096){M=115;break}else t=na}if((M|0)==99)N$(a,231725,232115,231478,353);else if((M|0)==115)N$(a,231725,232133,231478,400)}else{t=0;c=S;i:while(1){ga=c+1|0;ja=b[ga>>0]|0;j:do if((ja+-48&255)<10|((ja&-33)+-65&255)<26){ra=ga;sa=ja;M=105}else{switch(ja<<24>>24){case 34:{M=103;break i;break}case 92:break;default:if((ja&255)>31){ra=ga;sa=ja;M=105;break j}else{M=114;break i}}q=c+2|0;Z=b[q>>0]|0;switch(Z<<24>>24){case 39:{ra=q;sa=39;M=105;break j;break}case 92:case 34:{ra=q;sa=Z;M=105;break j;break}case 110:{ra=q;sa=10;M=105;break j;break}case 114:{ra=q;sa=13;M=105;break j;break}case 116:{ra=q;sa=9;M=105;break j;break}default:{k=Z<<24>>24==120;if(!k?!(Z<<24>>24<56&(Z+-48&255)<10):0){ta=t;ua=q;break j}Z=c+5|0;l=b[Z>>0]|0;b[Z>>0]=0;m=q+(k&1)|0;ia=eac(m,o,k?8:16)|0;b[Z>>0]=l;l=f[o>>2]|0;Z=(l|0)==(m|0);ra=Z?q:l;sa=Z?120:ia&255;M=105;break j}}}while(0);if((M|0)==105){M=0;b[n+t>>0]=sa;ta=t+1|0;ua=ra}if((ta|0)<4096){t=ta;c=ua}else{M=115;break}}if((M|0)==103){pa=c+2|0;qa=t;break}else if((M|0)==114)N$(a,231725,232115,231478,396);else if((M|0)==115)N$(a,231725,232133,231478,400)}while(0);_V(i,f[a+16>>2]|0,n,qa);ja=d+8|0;p[s>>3]=+p[i>>3];f[ja>>2]=f[s>>2];f[ja+4>>2]=f[s+4>>2];ka=pa;u=h;return ka|0}default:M=117}k:do if((M|0)==117){ja=Q<<24>>24==91;switch(Q<<24>>24){case 91:case 123:break;default:if(Q<<24>>24==45&(v^1)){va=5;wa=S;break f}else{ma=Q;break k}}ga=((v^1)&1)+g|0;ia=Q<<24>>24==123?14:13;Z=ia&7;O$(a,(f[d+4>>2]|0?16:0)|Z,d);l=d+8|0;q=(Z|0)==6;Z=1;m=S+1|0;l:while(1){f[i>>2]=0;xa=r$(a,m,ga)|0;ya=b[xa>>0]|0;switch(ya<<24>>24){case 93:case 125:{M=120;break l;break}default:{}}if(!(f[(f[l>>2]|0)+24>>2]|0))za=xa;else{if(ya<<24>>24!=44){M=125;break}za=r$(a,xa+1|0,ga)|0}if(q){k=r$(a,u$(a,za,d,i)|0,ga)|0;ha=f[i>>2]|0;Aa=k;Ba=ha;Ca=ha}else{if((b[za>>0]|0)==93){Da=za;break}ha=nW(f[l>>2]|0,0)|0;f[i>>2]=ha;Aa=za;Ba=ha;Ca=ha}if(!Ba){M=132;break}ha=s$(a,Aa,Ba,ia,ga)|0;if(q)f[Ca>>2]=f[Ca>>2]|64;if(Z)Ea=(f[Ca>>2]&7)>>>0<5;else Ea=0;Z=Ea;m=ha}do if((M|0)==120)if((ya<<24>>24|0)==((ja?93:125)|0)){Da=xa+1|0;break}else N$(a,231725,232157,231478,423);else if((M|0)==125)N$(a,231725,232183,231478,431);else if((M|0)==132){f[j>>2]=0;f[j+4>>2]=0;m=YG(j,4)|0;b[m>>0]=101;b[m+1>>0]=108;b[m+2>>0]=101;b[m+3>>0]=109;t$(-215,j,231725,446)}while(0);ja=f[l>>2]|0;f[ja>>2]=f[ja>>2]|(Z?256:0);ka=Da;u=h;return ka|0}while(0);if(v){O=S;P=T;M=144;break f}switch(ma<<24>>24){case 63:{N$(a,231725,232214,231478,465);break}case 62:case 124:{N$(a,231725,232245,231478,467);break}default:{O=S;P=T;M=144;break f}}}while(0);e=S+((la<<24>>24==45|la<<24>>24==43)&1)|0;while(1){f[o>>2]=e;Fa=b[e>>0]|0;if((Fa+-48&255)<10)e=e+1|0;else break}switch(Fa<<24>>24){case 101:case 46:{N=S;M=86;break}default:{L=S;M=87}}}while(0);if((M|0)==86){Ga=+U$(a,N,o);f[d>>2]=2;p[d+8>>3]=Ga;Ha=N;M=88}else if((M|0)==87){N=eac(L,o,0)|0;f[d>>2]=1;f[d+8>>2]=N;Ha=L;M=88}else if((M|0)==144){f[o>>2]=O;L=b[O>>0]|0;if((L&255)<=31)N$(a,231725,232115,231478,479);m:do if(v){N=L;S=O;while(1){switch(N<<24>>24){case 93:case 125:case 44:{Ia=N;Ja=S;break m;break}default:{}}Fa=S+1|0;f[o>>2]=Fa;la=b[Fa>>0]|0;if((la&255)>31){N=la;S=Fa}else{Ia=la;Ja=Fa;break m}}}else{if((P|0)==3){S=O;while(1){N=S+1|0;f[o>>2]=N;Fa=b[N>>0]|0;if((Fa&255)>31)S=N;else{Ia=Fa;Ja=N;break m}}}else{Ka=L;La=O}while(1){if(Ka<<24>>24==58){Ia=58;Ja=La;break m}S=La+1|0;f[o>>2]=S;N=b[S>>0]|0;if((N&255)>31){Ka=N;La=S}else{Ia=N;Ja=S;break}}}while(0);if((Ja|0)==(O|0))N$(a,231725,232115,231478,479);if(Ia<<24>>24==58&(v^1)){va=6;wa=O}else{f[d>>2]=3;v=Ja;while(1){Ja=v+-1|0;if(Ja>>>0<=O>>>0)break;if((b[Ja>>0]|0)==32)v=Ja;else break}_V(i,f[a+16>>2]|0,O,v-O|0);O=d+8|0;p[s>>3]=+p[i>>3];f[O>>2]=f[s>>2];f[O+4>>2]=f[s+4>>2];ka=f[o>>2]|0;u=h;return ka|0}}if((M|0)==88){O=f[o>>2]|0;if((O|0)==0|(O|0)==(Ha|0))N$(a,231725,231950,231478,331);if(b[O>>0]|0){ka=O;u=h;return ka|0}if((O|0)==((f[a+80>>2]|0)+-1|0)){f[i>>2]=0;f[i+4>>2]=0;aa=YG(i,98)|0;Ha=232016;ba=aa+98|0;do{b[aa>>0]=b[Ha>>0]|0;aa=aa+1|0;Ha=Ha+1|0}while((aa|0)<(ba|0));t$(-215,i,231725,334)}else{ka=O;u=h;return ka|0}}O$(a,(f[d+4>>2]|0?16:0)|va,d);O=a+76|0;Ha=wa-(f[O>>2]|0)|0;aa=Ha+1|0;ba=d+8|0;n:do if((va|0)!=6){o=1;v=wa;while(1){f[i>>2]=0;if((b[v>>0]|0)!=45){M=164;break}Ja=nW(f[ba>>2]|0,0)|0;f[i>>2]=Ja;if(!Ja){M=166;break}Ia=s$(a,r$(a,v+1|0,aa)|0,Ja,va,aa)|0;if(o)Ma=(f[Ja>>2]&7)>>>0<5;else Ma=0;Ja=r$(a,Ia,0)|0;Ia=Ja-(f[O>>2]|0)|0;if((Ia|0)!=(Ha|0)){Na=Ia;Oa=Ja;Pa=Ma;M=170;break n}if(!(gac(Ja,524837,3)|0)){Qa=Ma;Ra=Ja;break n}else{o=Ma;v=Ja}}if((M|0)==164)N$(a,231725,232288,231478,516);else if((M|0)==166){f[j>>2]=0;Sa=j+4|0;f[Sa>>2]=0;Ta=YG(j,4)|0;b[Ta>>0]=101;b[Ta+1>>0]=108;b[Ta+2>>0]=101;b[Ta+3>>0]=109;t$(-215,j,231725,520)}}else{v=1;o=wa;while(1){f[i>>2]=0;Ja=u$(a,o,d,i)|0;Ia=f[i>>2]|0;if(!Ia)break;La=s$(a,r$(a,Ja,aa)|0,Ia,6,aa)|0;Ja=f[Ia>>2]|0;f[Ia>>2]=Ja|64;Ia=v&(Ja&7)>>>0<5;Ja=r$(a,La,0)|0;La=Ja-(f[O>>2]|0)|0;if((La|0)!=(Ha|0)){Na=La;Oa=Ja;Pa=Ia;M=170;break n}if(!(gac(Ja,524837,3)|0)){Qa=Ia;Ra=Ja;break n}else{v=Ia;o=Ja}}f[j>>2]=0;Sa=j+4|0;f[Sa>>2]=0;Ta=YG(j,4)|0;b[Ta>>0]=101;b[Ta+1>>0]=108;b[Ta+2>>0]=101;b[Ta+3>>0]=109;t$(-215,j,231725,520)}while(0);do if((M|0)==170)if((Na|0)<(Ha|0)){Qa=Pa;Ra=Oa;break}else N$(a,231725,232338,231478,533);while(0);a=f[ba>>2]|0;f[a>>2]=f[a>>2]|(Qa?256:0);ka=Ra;u=h;return ka|0}function t$(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;SQ(a,b,c,231478,d);return}function u$(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;if((b[c>>0]|0)==45)N$(a,232360,232375,231478,162);g=c+-1|0;while(1){h=g+1|0;i=b[h>>0]|0;j=i<<24>>24!=58;if((i&255)<32|j^1)break;else g=h}if(j)N$(a,232360,232402,231478,168);else k=h;while(1){h=k+-1|0;if((b[h>>0]|0)==32)k=h;else break}if((k|0)==(c|0))N$(a,232360,232414,231478,176);else{h=VY(a,d,UY(a,c,k-c|0,1)|0,1)|0;f[e>>2]=h;return g+2|0}return 0}function v$(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;e=u;u=u+16|0;g=e;W$(a,0);switch(f[a+280>>2]|0){case 0:{V$(a,1);break}case 2:{f[g>>2]=0;f[g+4>>2]=0;h=YG(g,36)|0;i=232518;j=h+36|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));t$(-2,g,232555,628);break}default:{}}k=a+44|0;l=f[k>>2]|0;if(!c)m=0;else m=(b[c>>0]|0)==0?0:c;c=l&7;n=(m|0)!=0;if(c>>>0>4)if((c|0)==6^n){f[g>>2]=0;f[g+4>>2]=0;h=YG(g,85)|0;i=232567;j=h+85|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));t$(-5,g,232555,645)}else o=l;else{f[a+12>>2]=0;o=n?38:37}if(n){l=s8b(m)|0;if(!l){f[g>>2]=0;f[g+4>>2]=0;h=YG(g,19)|0;i=232653;j=h+19|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));t$(-5,g,232555,657)}if((l|0)>4096){f[g>>2]=0;f[g+4>>2]=0;h=YG(g,19)|0;i=232673;j=h+19|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));t$(-5,g,232555,660)}else p=l}else p=0;l=(d|0)!=0;if(l)q=s8b(d)|0;else q=0;c=(o&8|0)==0;do if(c){r=Q$(a)|0;if((o&7|0)!=6){s=r+1|0;b[r>>0]=45;if(l){b[s>>0]=32;t=r+2|0}else t=s}else t=r}else{r=a+72|0;s=f[r>>2]|0;if(!(o&32)){b[s>>0]=44;v=s+1|0}else v=s;s=q+p-(f[a+76>>2]|0)+v|0;if((s|0)>(f[a+84>>2]|0)?(s-(f[a+40>>2]|0)|0)>10:0){f[r>>2]=v;t=Q$(a)|0;break}b[v>>0]=32;t=v+1|0}while(0);if(n){n=b[m>>0]|0;if(!(((n&-33)+-65&255)<26|n<<24>>24==95)){f[g>>2]=0;f[g+4>>2]=0;h=YG(g,33)|0;i=232693;j=h+33|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));t$(-5,g,232555,695)}n=P$(a,t,p)|0;a:do if((p|0)>0){v=0;b:while(1){r=b[m+v>>0]|0;b[n+v>>0]=r;if(!((r+-48&255)<10|((r&-33)+-65&255)<26))switch(r<<24>>24){case 32:case 45:case 95:break;default:break b}v=v+1|0;if((v|0)>=(p|0))break a}f[g>>2]=0;f[g+4>>2]=0;h=YG(g,80)|0;i=232727;j=h+80|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));t$(-5,g,232555,705)}while(0);g=n+p|0;p=g+1|0;b[g>>0]=58;if(l&c){b[p>>0]=32;w=p+1|0}else w=p}else w=t;if(!l){x=w;y=a+72|0;f[y>>2]=x;z=o&-33;f[k>>2]=z;u=e;return}l=P$(a,w,q)|0;Krc(l|0,d|0,q|0)|0;x=l+q|0;y=a+72|0;f[y>>2]=x;z=o&-33;f[k>>2]=z;u=e;return}function w$(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;g=u;u=u+5152|0;h=g+8|0;i=g;j=g+24|0;k=g+32|0;l=g+16|0;if(!e)m=0;else m=(b[e>>0]|0)==0?0:e;e=d&15;n=e|32;o=d&7;if(o>>>0<=4){f[l>>2]=0;f[l+4>>2]=0;p=YG(l,68)|0;q=232808;r=p+68|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));t$(-5,l,232877,738)}l=(m|0)!=0;if(l?(gac(m,233785,6)|0)==0:0){p=k;q=232900;r=p+11|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));s=5;t=k}else v=8;do if((v|0)==8){if(!(d&8)){if(!l){s=n;t=0;break}f[h>>2]=m;g9b(k,232919,h)|0;s=n;t=k;break}q=(o|0)==6?123:91;p=e|40;if(l){f[i>>2]=m;f[i+4>>2]=q&255;g9b(k,232911,i)|0;s=p;t=k;break}else{b[k>>0]=q;b[k+1>>0]=0;s=p;t=k;break}}while(0);v$(a,c,t);t=a+44|0;f[j>>2]=f[t>>2];nW(f[a+36>>2]|0,j)|0;f[t>>2]=s;t=a+40|0;if(f[j>>2]&8|0){u=g;return}f[t>>2]=(s>>>3&1)+3+(f[t>>2]|0);u=g;return}function x$(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=u;u=u+16|0;d=c+8|0;e=c;f[d>>2]=0;g=a+44|0;h=f[g>>2]|0;i=f[a+36>>2]|0;if(!(f[i+24>>2]|0)){f[e>>2]=0;f[e+4>>2]=0;j=YG(e,44)|0;k=232924;l=j+44|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));t$(-2,e,232969,785)}oW(i,d);i=h&8;if(!i){if(h&32|0){e=Q$(a)|0;k=(h&7|0)==6?32123:23899;b[e>>0]=k;b[e+1>>0]=k>>8;m=a+72|0;n=e+2|0;o=9}}else{e=a+72|0;k=f[e>>2]|0;if((h&32|0)==0?k>>>0>((f[a+76>>2]|0)+(f[a+40>>2]|0)|0)>>>0:0){b[k>>0]=32;p=k+1|0}else p=k;b[p>>0]=(h&7|0)==6?125:93;m=e;n=p+1|0;o=9}if((o|0)==9)f[m>>2]=n;n=f[d>>2]|0;d=a+40|0;if(n&8|0){f[g>>2]=n;u=c;return}f[d>>2]=-3-(i>>>3)+(f[d>>2]|0);f[g>>2]=n;u=c;return}function y$(a){a=a|0;var b=0;if(f[a+12>>2]|0)return;b=a+36|0;if((f[(f[b>>2]|0)+24>>2]|0)>0)do x$(a);while((f[(f[b>>2]|0)+24>>2]|0)>0);f[a+40>>2]=0;Q$(a)|0;E$(a,232990);E$(a,232995);f[a+72>>2]=f[a+76>>2];return}function z$(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=u;u=u+128|0;v$(a,b,D$(c,d,10)|0);u=d;return}function A$(a,b,c){a=a|0;b=b|0;c=+c;var d=0;d=u;u=u+128|0;v$(a,b,S$(d,c)|0);u=d;return}function B$(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;g=u;u=u+16416|0;h=g;i=g+16|0;j=g+8|0;if(!d){f[j>>2]=0;f[j+4>>2]=0;k=YG(j,19)|0;l=233e3;m=k+19|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));t$(-27,j,233020,849)}n=s8b(d)|0;if((n|0)>4096){f[j>>2]=0;f[j+4>>2]=0;k=YG(j,30)|0;l=233038;m=k+30|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));t$(-5,j,233020,853)}if((e|0)!=0|(n|0)==0)o=1;else{e=b[d>>0]|0;a:do if(e<<24>>24==(b[d+(n+-1)>>0]|0)){switch(e<<24>>24){case 39:case 34:{p=d;break}default:break a}v$(a,c,p);u=g;return}while(0);o=e<<24>>24==32}e=o&1;j=i+1|0;b[i>>0]=34;if((n|0)>0){l=j;k=e;m=0;q=o;while(1){r=b[d+m>>0]|0;s=r+-48<<24>>24;b:do if(!q){t=(r&-33)+-65<<24>>24;if((s&255)<10|(t&255)<26){v=0;w=t}else{switch(r<<24>>24){case 32:case 40:case 41:case 43:case 45:case 47:case 59:case 95:{v=0;w=t;break b;break}default:{}}v=1;w=t}}else{v=k;w=(r&-33)+-65<<24>>24}while(0);c:do if((s&255)<10|(w&255)<26)x=24;else{if((r&255)>31){switch(r<<24>>24){case 34:case 39:case 92:break;default:{x=24;break c}}b[l>>0]=92;b[l+1>>0]=r;y=l+2|0;break}t=l+1|0;b[l>>0]=92;switch(r<<24>>24){case 10:{b[t>>0]=110;y=l+2|0;break c;break}case 13:{b[t>>0]=114;y=l+2|0;break c;break}case 9:{b[t>>0]=116;y=l+2|0;break c;break}default:{f[h>>2]=r<<24>>24;g9b(t,233069,h)|0;y=l+4|0;break c}}}while(0);if((x|0)==24){x=0;b[l>>0]=r;y=l+1|0}m=m+1|0;s=(v|0)!=0;if((m|0)==(n|0)){z=y;A=v;B=s;break}else{l=y;k=v;q=s}}}else{z=j;A=e;B=o}if(!B){B=b[d>>0]|0;if((B+-48&255)<10){C=1;x=29}else switch(B<<24>>24){case 46:case 45:case 43:{C=1;x=29;break}default:{D=z;E=1}}}else{C=A;x=29}if((x|0)==29){b[z>>0]=34;D=z+1|0;E=(C|0)==0}b[D>>0]=0;p=i+(E&1)|0;v$(a,c,p);u=g;return}function C$(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+16|0;g=e;if(!c){f[g>>2]=0;f[g+4>>2]=0;h=YG(g,12)|0;i=233075;j=h+12|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));t$(-27,g,233088,910)}g=C8b(c,10)|0;i=a+72|0;h=f[i>>2]|0;if((!((d|0)==0|(g|0)!=0)?(d=s8b(c)|0,((f[a+80>>2]|0)-h|0)>=(d|0)):0)?(h|0)!=(f[a+76>>2]|0):0){b[h>>0]=32;k=h+1|0;l=g;m=c}else{k=Q$(a)|0;l=g;m=c}while(1){b[k>>0]=35;n=k+2|0;b[k+1>>0]=32;if(!l)break;c=l-m|0;g=c+1|0;h=P$(a,n,g)|0;Krc(h|0,m|0,g|0)|0;f[i>>2]=h+c;c=l+1|0;h=C8b(c,10)|0;k=Q$(a)|0;l=h;m=c}l=s8b(m)|0;k=P$(a,n,l)|0;Krc(k|0,m|0,l|0)|0;f[i>>2]=k+l;Q$(a)|0;u=e;return}function D$(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;d=c+23|0;b[d>>0]=0;c=d;d=(a|0)>-1?a:0-a|0;while(1){e=d;d=(d>>>0)/10|0;f=e+48+(Y(d,-10)|0)&255;g=c+-1|0;b[g>>0]=f;if(e>>>0<=9)break;else c=g}if((a|0)>=0){h=g;return h|0}g=c+-2|0;b[g>>0]=45;h=g;return h|0}function E$(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+16|0;e=d;g=f[a+268>>2]|0;if(!g){h=f[a+64>>2]|0;if(h|0){r8b(c,h)|0;u=d;return}h=f[a+68>>2]|0;if(!h){f[e>>2]=0;f[e+4>>2]=0;a=YG(e,25)|0;i=233107;j=a+25|0;do{b[a>>0]=b[i>>0]|0;a=a+1|0;i=i+1|0}while((a|0)<(j|0));SQ(-2,e,233133,233141,41)}DAb(h,c)|0;u=d;return}else{h=s8b(c)|0;e=c+h|0;if(!h){u=d;return}h=g+20|0;i=g+8|0;a=g+4|0;j=g+16|0;k=c;c=f[h>>2]|0;do{l=f[a>>2]|0;m=(f[i>>2]|0)-l|0;n=f[j>>2]|0;if((((m|0)==0?0:(m<<10)+-1|0)|0)==(n+c|0)){F$(g);o=f[j>>2]|0;p=f[h>>2]|0;q=f[a>>2]|0}else{o=n;p=c;q=l}l=p+o|0;b[(f[q+(l>>>12<<2)>>2]|0)+(l&4095)>>0]=b[k>>0]|0;c=(f[h>>2]|0)+1|0;f[h>>2]=c;k=k+1|0}while((k|0)!=(e|0));u=d;return}}function F$(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;b=u;u=u+32|0;c=b;d=a+16|0;e=f[d>>2]|0;if(e>>>0>4095){f[d>>2]=e+-4096;e=a+4|0;d=f[e>>2]|0;g=f[d>>2]|0;h=d+4|0;f[e>>2]=h;d=a+8|0;i=f[d>>2]|0;j=a+12|0;k=f[j>>2]|0;l=k;m=i;do if((i|0)==(k|0)){n=f[a>>2]|0;o=n;if(h>>>0>n>>>0){p=h;q=((p-o>>2)+1|0)/-2|0;r=h+(q<<2)|0;s=m-p|0;p=s>>2;if(!p)t=h;else{Mrc(r|0,h|0,s|0)|0;t=f[e>>2]|0}s=r+(p<<2)|0;f[d>>2]=s;f[e>>2]=t+(q<<2);v=s;break}s=l-o>>1;o=(s|0)==0?1:s;if(o>>>0>1073741823){s=ye(8)|0;Jmc(s,511852);f[s>>2]=165276;Gf(s|0,26776,1555)}s=Bmc(o<<2)|0;q=s;p=s+(o>>>2<<2)|0;r=p;w=s+(o<<2)|0;if((h|0)==(i|0)){x=r;y=n}else{n=p;p=r;o=h;do{f[n>>2]=f[o>>2];n=p+4|0;p=n;o=o+4|0}while((o|0)!=(i|0));x=p;y=f[a>>2]|0}f[a>>2]=q;f[e>>2]=r;f[d>>2]=x;f[j>>2]=w;if(!y)v=x;else{Emc(y);v=f[d>>2]|0}}else v=i;while(0);f[v>>2]=g;f[d>>2]=(f[d>>2]|0)+4;u=b;return}d=a+8|0;g=f[d>>2]|0;v=a+4|0;i=f[v>>2]|0;y=g-i|0;x=a+12|0;j=f[x>>2]|0;e=f[a>>2]|0;h=j-e|0;l=g;t=j;m=i;k=e;if(y>>>0>=h>>>0){o=h>>1;n=(o|0)==0?1:o;f[c+12>>2]=0;f[c+16>>2]=a+12;if(n>>>0>1073741823){o=ye(8)|0;Jmc(o,511852);f[o>>2]=165276;Gf(o|0,26776,1555)}o=y>>2;s=Bmc(n<<2)|0;f[c>>2]=s;z=s+(o<<2)|0;A=c+8|0;f[A>>2]=z;B=c+4|0;f[B>>2]=z;C=s+(n<<2)|0;D=c+12|0;f[D>>2]=C;E=s;F=Bmc(4096)|0;G=C;C=z;do if((o|0)==(n|0)){if(z>>>0>s>>>0){H=z+((((C-E>>2)+1|0)/-2|0)<<2)|0;f[A>>2]=H;f[B>>2]=H;I=H;break}H=G-E>>1;J=(H|0)==0?1:H;if(J>>>0>1073741823){H=ye(8)|0;Jmc(H,511852);f[H>>2]=165276;Gf(H|0,26776,1555)}else{H=Bmc(J<<2)|0;K=H+(J>>>2<<2)|0;L=K;f[c>>2]=H;f[B>>2]=L;f[A>>2]=L;f[D>>2]=H+(J<<2);Emc(s);I=K;break}}else I=z;while(0);f[I>>2]=F;f[A>>2]=(f[A>>2]|0)+4;F=f[d>>2]|0;while(1){M=f[v>>2]|0;if((F|0)==(M|0))break;I=F+-4|0;H$(c,I);F=I}I=M;M=f[a>>2]|0;f[a>>2]=f[c>>2];f[c>>2]=M;f[v>>2]=f[B>>2];f[B>>2]=I;B=f[d>>2]|0;f[d>>2]=f[A>>2];f[A>>2]=B;z=f[x>>2]|0;f[x>>2]=f[D>>2];f[D>>2]=z;z=B;if((z|0)!=(F|0))f[A>>2]=z+(~((z+-4-I|0)>>>2)<<2);if(M|0)Emc(M);u=b;return}if((j|0)==(g|0)){j=Bmc(4096)|0;f[c>>2]=j;G$(a,c);c=f[v>>2]|0;j=f[c>>2]|0;M=c+4|0;f[v>>2]=M;c=f[d>>2]|0;I=f[x>>2]|0;z=I;A=c;do if((c|0)==(I|0)){F=f[a>>2]|0;B=F;if(M>>>0>F>>>0){D=M;s=((D-B>>2)+1|0)/-2|0;E=M+(s<<2)|0;G=A-D|0;D=G>>2;if(!D)N=M;else{Mrc(E|0,M|0,G|0)|0;N=f[v>>2]|0}G=E+(D<<2)|0;f[d>>2]=G;f[v>>2]=N+(s<<2);O=G;break}G=z-B>>1;B=(G|0)==0?1:G;if(B>>>0>1073741823){G=ye(8)|0;Jmc(G,511852);f[G>>2]=165276;Gf(G|0,26776,1555)}G=Bmc(B<<2)|0;s=G;D=G+(B>>>2<<2)|0;E=D;C=G+(B<<2)|0;if((M|0)==(c|0)){P=E;Q=F}else{F=D;D=E;B=M;do{f[F>>2]=f[B>>2];F=D+4|0;D=F;B=B+4|0}while((B|0)!=(c|0));P=D;Q=f[a>>2]|0}f[a>>2]=s;f[v>>2]=E;f[d>>2]=P;f[x>>2]=C;if(!Q)O=P;else{Emc(Q);O=f[d>>2]|0}}else O=c;while(0);f[O>>2]=j;f[d>>2]=(f[d>>2]|0)+4;u=b;return}else{j=Bmc(4096)|0;O=g;do if((l|0)==(t|0)){if(m>>>0>k>>>0){g=((i-e>>2)+1|0)/-2|0;c=m+(g<<2)|0;Q=y>>2;if(!Q)R=m;else{Mrc(c|0,i|0,y|0)|0;R=f[v>>2]|0}P=c+(Q<<2)|0;f[d>>2]=P;f[v>>2]=R+(g<<2);S=P;break}P=h>>1;g=(P|0)==0?1:P;if(g>>>0>1073741823){P=ye(8)|0;Jmc(P,511852);f[P>>2]=165276;Gf(P|0,26776,1555)}P=Bmc(g<<2)|0;Q=P;c=P+(g>>>2<<2)|0;M=c;z=P+(g<<2)|0;if((m|0)==(l|0)){T=M;U=k}else{g=c;c=M;P=m;do{f[g>>2]=f[P>>2];g=c+4|0;c=g;P=P+4|0}while((P|0)!=(l|0));T=c;U=f[a>>2]|0}f[a>>2]=Q;f[v>>2]=M;f[d>>2]=T;f[x>>2]=z;if(!U)S=T;else{Emc(U);S=f[d>>2]|0}}else S=O;while(0);f[S>>2]=j;f[d>>2]=(f[d>>2]|0)+4;u=b;return}}function G$(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=e;do if((d|0)==(e|0)){h=a+8|0;i=f[h>>2]|0;j=a+12|0;k=f[j>>2]|0;l=k;if(i>>>0<k>>>0){k=i;m=((l-k>>2)+1|0)/2|0;n=i+(m<<2)|0;o=k-d|0;k=o>>2;p=n+(0-k<<2)|0;if(!k){q=n;r=i}else{Mrc(p|0,d|0,o|0)|0;q=p;r=f[h>>2]|0}f[c>>2]=q;f[h>>2]=r+(m<<2);s=q;break}m=l-g>>1;l=(m|0)==0?1:m;if(l>>>0>1073741823){m=ye(8)|0;Jmc(m,511852);f[m>>2]=165276;Gf(m|0,26776,1555)}m=Bmc(l<<2)|0;p=m;o=m+((l+3|0)>>>2<<2)|0;n=o;k=m+(l<<2)|0;if((d|0)==(i|0)){t=n;u=d}else{l=o;m=n;v=d;do{f[l>>2]=f[v>>2];l=m+4|0;m=l;v=v+4|0}while((v|0)!=(i|0));t=m;u=f[a>>2]|0}f[a>>2]=p;f[c>>2]=n;f[h>>2]=t;f[j>>2]=k;if(!u)s=o;else{Emc(u);s=f[c>>2]|0}}else s=d;while(0);f[s+-4>>2]=f[b>>2];f[c>>2]=(f[c>>2]|0)+-4;return}function H$(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=e;do if((d|0)==(e|0)){h=a+8|0;i=f[h>>2]|0;j=a+12|0;k=f[j>>2]|0;l=k;if(i>>>0<k>>>0){k=i;m=((l-k>>2)+1|0)/2|0;n=i+(m<<2)|0;o=k-d|0;k=o>>2;p=n+(0-k<<2)|0;if(!k){q=n;r=i}else{Mrc(p|0,d|0,o|0)|0;q=p;r=f[h>>2]|0}f[c>>2]=q;f[h>>2]=r+(m<<2);s=q;break}m=l-g>>1;l=(m|0)==0?1:m;if(l>>>0>1073741823){m=ye(8)|0;Jmc(m,511852);f[m>>2]=165276;Gf(m|0,26776,1555)}m=Bmc(l<<2)|0;p=m;o=m+((l+3|0)>>>2<<2)|0;n=o;k=m+(l<<2)|0;if((d|0)==(i|0)){t=n;u=d}else{l=o;m=n;v=d;do{f[l>>2]=f[v>>2];l=m+4|0;m=l;v=v+4|0}while((v|0)!=(i|0));t=m;u=f[a>>2]|0}f[a>>2]=p;f[c>>2]=n;f[h>>2]=t;f[j>>2]=k;if(!u)s=o;else{Emc(u);s=f[c>>2]|0}}else s=d;while(0);f[s+-4>>2]=f[b>>2];f[c>>2]=(f[c>>2]|0)+-4;return}function I$(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;e=u;u=u+16|0;g=e;h=f[a+256>>2]|0;if(h|0){i=a+264|0;j=f[a+260>>2]|0;k=d+-1|0;l=f[i>>2]|0;m=0;while(1){if(!((m|0)<(k|0)&l>>>0<j>>>0)){n=l;o=m;break}p=l+1|0;q=b[h+l>>0]|0;r=m+1|0;if(!(q<<24>>24)){n=p;o=m;break}b[c+m>>0]=q;if(q<<24>>24==10){n=p;o=r;break}else{l=p;m=r}}b[c+o>>0]=0;f[i>>2]=n;if((d|0)>256?!((o+1|0)<(k|0)|(f[a>>2]&64|0)!=0):0){f[g>>2]=0;f[g+4>>2]=0;s=YG(g,72)|0;t=233211;v=s+72|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));SQ(-215,g,233284,233141,63)}w=(o|0)>0?c:0;u=e;return w|0}o=f[a+64>>2]|0;if(o|0){k=U8b(c,d,o)|0;if(!((d|0)>256&(k|0)!=0)){w=k;u=e;return w|0}if(f[a>>2]&64|0){w=k;u=e;return w|0}if((h9b(k,d)|0)>>>0<(d+-1|0)>>>0){w=k;u=e;return w|0}else{f[g>>2]=0;f[g+4>>2]=0;s=YG(g,83)|0;t=233292;v=s+83|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));SQ(-215,g,233284,233141,72)}}k=f[a+68>>2]|0;if(!k){f[g>>2]=0;f[g+4>>2]=0;s=YG(g,25)|0;t=233107;v=s+25|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));SQ(-2,g,233284,233141,88)}o=yAb(k,c,d)|0;if(!((d|0)>256&(o|0)!=0)){w=o;u=e;return w|0}if(f[a>>2]&64|0){w=o;u=e;return w|0}if((h9b(o,d)|0)>>>0<(d+-1|0)>>>0){w=o;u=e;return w|0}else{f[g>>2]=0;f[g+4>>2]=0;s=YG(g,83)|0;t=233292;v=s+83|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));SQ(-215,g,233284,233141,83)}return 0}function J$(a){a=a|0;var b=0,c=0;if(f[a+256>>2]|0){b=(f[a+264>>2]|0)>>>0>=(f[a+260>>2]|0)>>>0&1;return b|0}c=f[a+64>>2]|0;if(c|0){b=q7b(c)|0;return b|0}c=f[a+68>>2]|0;if(!c){b=0;return b|0}b=uAb(c)|0;return b|0}function K$(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=a+64|0;d=f[c>>2]|0;if(!d){e=a+68|0;g=f[e>>2]|0;if(!g)h=e;else{pAb(g)|0;h=e}}else{G8b(d)|0;h=a+68|0}f[c>>2]=0;f[h>>2]=0;f[a+256>>2]=0;f[a+264>>2]=0;b[a+300>>0]=0;return}function L$(a){a=a|0;var b=0,c=0;b=f[a+64>>2]|0;if(!b){c=f[a+68>>2]|0;if(c|0)sAb(c)|0}else l9b(b);f[a+264>>2]=0;return}function M$(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h;if((c|0)<72){f[i>>2]=0;f[i+4>>2]=0;j=YG(i,25)|0;k=233376;l=j+25|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-201,i,233402,233141,133)}else{i=(g|0)<1?16:g;g=tW(a,c,d,e)|0;f[g+64>>2]=i;d=i<<2;i=YV(e,d)|0;f[g+68>>2]=i;Drc(i|0,0,d|0)|0;u=h;return g|0}return 0}function N$(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+32|0;h=g;i=g+16|0;g=f[a+88>>2]|0;f[h>>2]=f[a+60>>2];f[h+4>>2]=g;f[h+8>>2]=c;aR(i,233414,h);f[h>>2]=0;f[h+4>>2]=0;if(b|0?(c=s8b(b)|0,c|0):0)Krc(YG(h,c)|0,b|0,c|0)|0;c=f[i>>2]|0;SQ(-212,h,(c|0)==0?1163146:c,d,e)}function O$(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=f[a+16>>2]|0;if((b&7|0)==6){if(f[c>>2]|0)N$(a,233425,233447,233141,162);a=tW(0,72,24,d)|0;f[a+64>>2]=16;e=YV(d,64)|0;f[a+68>>2]=e;g=e;e=g+64|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(e|0));f[c+8>>2]=a;h=c;i=a;f[h>>2]=b;aW(i,8);return}else{a=$V(0,56,16,d)|0;if(f[c>>2]&7|0)nW(a,c)|0;f[c+8>>2]=a;h=c;i=a;f[h>>2]=b;aW(i,8);return}}function P$(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=a+80|0;e=f[d>>2]|0;if((b+c|0)>>>0<e>>>0){g=b;return g|0}h=a+76|0;i=f[h>>2]|0;j=b-i|0;b=((e-i|0)*3|0)/2|0;i=j+c|0;c=(i|0)<(b|0)?b:i;i=uE(c+256|0)|0;b=a+72|0;a=f[h>>2]|0;f[b>>2]=i+((f[b>>2]|0)-a);if((j|0)>0)Krc(i|0,a|0,j|0)|0;f[h>>2]=i;f[d>>2]=i+c;g=i+j|0;return g|0}function Q$(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=a+72|0;d=f[c>>2]|0;e=a+76|0;g=f[e>>2]|0;h=a+56|0;i=f[h>>2]|0;if(d>>>0>(g+i|0)>>>0){b[d>>0]=10;b[d+1>>0]=0;E$(a,f[e>>2]|0);d=f[e>>2]|0;f[c>>2]=d;j=f[h>>2]|0;k=d}else{j=i;k=g}g=f[a+40>>2]|0;if((j|0)==(g|0)){l=k;m=j;n=l+m|0;f[c>>2]=n;return n|0}Drc(k|0,32,g|0)|0;f[h>>2]=g;l=f[e>>2]|0;m=g;n=l+m|0;f[c>>2]=n;return n|0}function R$(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+16|0;e=d;g=(c|0)!=0;if(g)ZG(c);if(!a){f[e>>2]=0;f[e+4>>2]=0;h=YG(e,35)|0;i=233499;j=h+35|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));SQ(-27,e,233535,233141,237)}i=a+300|0;if(b[i>>0]|0){h=a+64|0;a:do if(f[a+8>>2]|0){if(((f[h>>2]|0)==0?(f[a+68>>2]|0)==0:0)?(f[a+268>>2]|0)==0:0)break;j=a+36|0;k=f[j>>2]|0;if(k|0?(f[k+24>>2]|0)>0:0)do YY(a);while((f[(f[j>>2]|0)+24>>2]|0)>0);j=a+72|0;k=f[j>>2]|0;l=a+76|0;m=f[l>>2]|0;n=a+56|0;o=f[n>>2]|0;if(k>>>0>(m+o|0)>>>0){b[k>>0]=10;b[k+1>>0]=0;E$(a,f[l>>2]|0);k=f[l>>2]|0;f[j>>2]=k;p=f[n>>2]|0;q=k}else{p=o;q=m}m=f[a+40>>2]|0;if((p|0)==(m|0)){r=q;s=p}else{Drc(q|0,32,m|0)|0;f[n>>2]=m;r=f[l>>2]|0;s=m}f[j>>2]=r+s;switch(f[a+4>>2]|0){case 8:{E$(a,233544);break a;break}case 24:{E$(a,509714);break a;break}default:break a}}while(0);s=f[h>>2]|0;if(!s){r=a+68|0;q=f[r>>2]|0;if(!q)t=r;else{pAb(q)|0;t=r}}else{G8b(s)|0;t=a+68|0}f[h>>2]=0;f[t>>2]=0;f[a+256>>2]=0;f[a+264>>2]=0;b[i>>0]=0}i=f[a+268>>2]|0;if(!(g&(i|0)!=0)){u=d;return}g=f[i+4>>2]|0;a=f[i+16>>2]|0;t=g+(a>>>12<<2)|0;if((f[i+8>>2]|0)!=(g|0)){h=(f[t>>2]|0)+(a&4095)|0;s=a+(f[i+20>>2]|0)|0;i=g+(s>>>12<<2)|0;g=(f[i>>2]|0)+(s&4095)|0;s=h;f[e>>2]=0;a=e+4|0;f[a>>2]=0;if((g|0)!=(h|0)?(r=(i-t<<10)-s+g-(f[i>>2]|0)+(f[t>>2]|0)|0,(r|0)!=0):0){i=YG(e,r)|0;r=t;t=s;s=h;while(1){b[i>>0]=b[s>>0]|0;h=t+1|0;q=h;if((q-(f[r>>2]|0)|0)==4096){p=r+4|0;j=f[p>>2]|0;v=p;w=j;x=j}else{v=r;w=q;x=h}if((x|0)==(g|0)){y=e;z=a;break}else{i=i+1|0;r=v;t=w;s=x}}}else{y=e;z=a}}else{f[e>>2]=0;a=e+4|0;f[a>>2]=0;y=e;z=a}if((e|0)!=(c|0)){ZG(c);a=f[y>>2]|0;if(!a)A=0;else{y=a+-4|0;f[y>>2]=(f[y>>2]|0)+1;A=f[e>>2]|0}f[c>>2]=A;f[c+4>>2]=f[z>>2]}ZG(e);u=d;return}function S$(a,c){a=a|0;c=+c;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+16|0;e=d+8|0;g=d;p[s>>3]=c;h=f[s+4>>2]|0;if((h&2146435072|0)==2146435072)if(((h&2147483647)+((f[s>>2]|0)!=0&1)|0)>>>0>2146435072){b[a>>0]=b[233573]|0;b[a+1>>0]=b[233574]|0;b[a+2>>0]=b[233575]|0;b[a+3>>0]=b[233576]|0;b[a+4>>0]=b[233577]|0;u=d;return a|0}else{S8b(a,(h|0)<0?233578:233584)|0;u=d;return a|0}h=V9b(c)|0;if(+(h|0)==c){f[g>>2]=h;g9b(a,233563,g)|0;u=d;return a|0}p[e>>3]=c;g9b(a,233567,e)|0;switch(b[a>>0]|0){case 45:case 43:{i=a+1|0;break}default:i=a}while(1){j=b[i>>0]|0;if((j+-48&255)<10)i=i+1|0;else break}if(j<<24>>24!=44){u=d;return a|0}b[i>>0]=46;u=d;return a|0}function T$(a,c){a=a|0;c=+c;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+16|0;e=d+8|0;g=d;h=(n[s>>2]=c,f[s>>2]|0);if((h&2139095040|0)==2139095040)if((h&2147483647|0)==2139095040){S8b(a,(h|0)<0?233578:233584)|0;u=d;return a|0}else{b[a>>0]=b[233573]|0;b[a+1>>0]=b[233574]|0;b[a+2>>0]=b[233575]|0;b[a+3>>0]=b[233576]|0;b[a+4>>0]=b[233577]|0;u=d;return a|0}h=U9b(c)|0;if(+(h|0)==c){f[g>>2]=h;g9b(a,233563,g)|0;u=d;return a|0}p[e>>3]=c;g9b(a,233589,e)|0;switch(b[a>>0]|0){case 45:case 43:{i=a+1|0;break}default:i=a}while(1){j=b[i>>0]|0;if((j+-48&255)<10)i=i+1|0;else break}if(j<<24>>24!=44){u=d;return a|0}b[i>>0]=46;u=d;return a|0}function U$(a,c,d){a=a|0;c=c|0;d=d|0;var e=0.0,g=0,h=0.0,i=0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0,p=0.0;e=+Y9b(c,d);g=f[d>>2]|0;if((b[g>>0]|0)==46){b[g>>0]=44;h=+Y9b(c,d);b[g>>0]=46;i=f[d>>2]|0;if(i>>>0>g>>>0){j=h;k=i}else{f[d>>2]=g;j=e;k=g}}else{j=e;k=g}if((k|0)!=(c|0)?((b[k>>0]&-33)+-65&255)>=26:0){l=j;return +l}k=b[c>>0]|0;switch(k<<24>>24){case 43:case 45:{g=c+1|0;m=k<<24>>24==45?-D:D;n=b[g>>0]|0;o=g;break}default:{m=D;n=k;o=c}}if(n<<24>>24!=46)N$(a,233594,233618,233141,350);n=b[o+1>>0]|0;if(((r9b(n)|0)==73?(r9b(b[o+2>>0]|0)|0)==78:0)?(r9b(b[o+3>>0]|0)|0)==70:0)p=m;else{if((r9b(n)|0)!=78)N$(a,233594,233618,233141,359);if((r9b(b[o+2>>0]|0)|0)!=65)N$(a,233594,233618,233141,359);if((r9b(b[o+3>>0]|0)|0)==78)p=C;else N$(a,233594,233618,233141,359)}f[d>>2]=o+4;l=p;return +l}function V$(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d;g=a+280|0;switch(f[g>>2]|0){case 0:{switch(c|0){case 2:{h=Bmc(16)|0;QZ(h,a);f[a+272>>2]=h;f[g>>2]=c;u=d;return}case 1:case 0:{f[g>>2]=c;u=d;return}default:{f[e>>2]=0;f[e+4>>2]=0;i=YG(e,55)|0;j=233656;k=i+55|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-2,e,233712,233141,407)}}break}case 2:{switch(c|0){case 1:case 2:{f[e>>2]=0;f[e+4>>2]=0;i=YG(e,49)|0;j=233735;k=i+49|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-2,e,233712,233141,416);break}case 0:{h=a+272|0;a=f[h>>2]|0;if(a|0){c_(a);Emc(a)}f[h>>2]=0;f[g>>2]=c;u=d;return}default:{f[e>>2]=0;f[e+4>>2]=0;i=YG(e,55)|0;j=233656;k=i+55|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-2,e,233712,233141,423)}}break}case 1:{switch(c|0){case 1:case 2:{f[e>>2]=0;f[e+4>>2]=0;i=YG(e,49)|0;j=233735;k=i+49|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-2,e,233712,233141,432);break}case 0:{f[g>>2]=c;u=d;return}default:{f[e>>2]=0;f[e+4>>2]=0;i=YG(e,55)|0;j=233656;k=i+55|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-2,e,233712,233141,437)}}break}default:{f[e>>2]=0;f[e+4>>2]=0;i=YG(e,55)|0;j=233656;k=i+55|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-2,e,233712,233141,442)}}}function W$(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+32|0;e=d+12|0;g=d;h=a+284|0;if(!(b[h>>0]|0)){u=d;return};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;i=a+292|0;j=f[i>>2]|0;k=a+288|0;l=f[k>>2]|0;if(l|0?b[l>>0]|0:0)Vmc(e,l)|0;l=a+296|0;m=f[l>>2]|0;if(m|0?b[m>>0]|0:0)Vmc(g,m)|0;m=f[k>>2]|0;if(m|0)Fmc(m);m=f[l>>2]|0;if(m|0)Fmc(m);f[k>>2]=0;f[i>>2]=0;f[l>>2]=0;b[h>>0]=0;h=f[a+228>>2]|0;l=e+11|0;i=(b[l>>0]|0)<0?f[e>>2]|0:e;if(c){rh[h&255](a,i,j,233785);if(f[a+280>>2]|0)V$(a,0);V$(a,2);n=g+11|0}else{c=g+11|0;rh[h&255](a,i,j,(b[c>>0]|0)<0?f[g>>2]|0:g);if(f[a+280>>2]|0)V$(a,0);V$(a,1);n=c}if((b[n>>0]|0)<0)Emc(f[g>>2]|0);if((b[l>>0]|0)<0)Emc(f[e>>2]|0);u=d;return}function X$(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+16|0;h=g;i=a+284|0;if(b[i>>0]|0){f[h>>2]=0;f[h+4>>2]=0;j=YG(h,36)|0;k=233792;l=j+36|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,h,233829,233141,496)}f[a+292>>2]=d;if(c|0){d=Dmc((s8b(c)|0)+1|0)|0;f[a+288>>2]=d;S8b(d,c)|0}if(!e){b[i>>0]=1;u=g;return}c=Dmc((s8b(e)|0)+1|0)|0;f[a+296>>2]=c;S8b(c,e)|0;b[i>>0]=1;u=g;return}function Y$(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;if(a>>>0<9){u=c;return b[233892+a>>0]|0}else{f[d>>2]=0;f[d+4>>2]=0;a=YG(d,22)|0;c=233855;e=a+22|0;do{b[a>>0]=b[c>>0]|0;a=a+1|0;c=c+1|0}while((a|0)<(e|0));SQ(-215,d,233878,233141,522)}return 0}function Z$(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+16|0;e=d;g=b[233892+(a&7)>>0]|0;f[e>>2]=(a>>>3&511)+1;f[e+4>>2]=g;g9b(c,234619,e)|0;if(b[c+2>>0]|0){h=0;i=h&1;j=c+i|0;u=d;return j|0}h=(b[c>>0]|0)==49;i=h&1;j=c+i|0;u=d;return j|0}function _$(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;e=u;u=u+16|0;g=e;if(!a){h=0;u=e;return h|0}i=s8b(a)|0;if(!i){h=0;u=e;return h|0}f[c>>2]=0;j=d<<1;a:do if((i|0)>0){d=~a;k=0;l=0;m=0;b:while(1){n=a+k|0;o=b[n>>0]|0;p=o<<24>>24;do if((o+-48&255)<10){if(((b[a+(k+1)>>0]|0)+-48&255)<10){f[g>>2]=0;q=eac(n,g,10)|0;r=q;s=(f[g>>2]|0)+d|0}else{r=p+-48|0;s=k}if((r|0)<1){t=9;break b}else{v=l;w=s;x=r}}else{q=F7b(233892,p,9)|0;if(!q){t=11;break b}y=q-233892|0;if(!m){f[c+(l<<2)>>2]=1;z=1}else z=m;f[c+(l+1<<2)>>2]=y;if((l|0)>0?(y|0)==(f[c+(l+-1<<2)>>2]|0):0){y=c+(l+-2<<2)|0;f[y>>2]=(f[y>>2]|0)+z;v=l;w=k;x=0;break}y=l+2|0;if((y|0)<(j|0)){v=y;w=k;x=0}else{t=18;break b}}while(0);f[c+(v<<2)>>2]=x;k=w+1|0;if((k|0)>=(i|0)){A=v;break a}else{l=v;m=x}}if((t|0)==9){f[g>>2]=0;f[g+4>>2]=0;B=YG(g,31)|0;C=233901;D=B+31|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));SQ(-5,g,233933,233141,567)}else if((t|0)==11){f[g>>2]=0;f[g+4>>2]=0;B=YG(g,31)|0;C=233901;D=B+31|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));SQ(-5,g,233949,233141,530)}else if((t|0)==18){f[g>>2]=0;f[g+4>>2]=0;B=YG(g,32)|0;C=233965;D=B+32|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));SQ(-5,g,233933,233141,583)}}else A=0;while(0);h=(A|0)/2|0;u=e;return h|0}function $$(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=u;u=u+512|0;d=c;e=_$(a,d,128)|0;a=e<<1;if((e|0)>0){e=b;g=0;while(1){h=f[d+((g|1)<<2)>>2]|0;i=(h>>>3&511)+1<<(47696>>>(h<<1&14)&3);h=(e+-1+i&0-i)+(Y(i,f[d+(g<<2)>>2]|0)|0)|0;g=g+2|0;if((g|0)>=(a|0)){j=h;break}else e=h}}else j=b;if(b|0){k=j;u=c;return k|0}b=f[d+4>>2]|0;d=(b>>>3&511)+1<<(47696>>>(b<<1&14)&3);k=j+-1+d&0-d;u=c;return k|0}function a0(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;d=u;u=u+512|0;e=d;g=_$(a,e,128)|0;h=g<<1;if((g|0)>0){g=c;i=0;while(1){j=f[e+((i|1)<<2)>>2]|0;k=(j>>>3&511)+1<<(47696>>>(j<<1&14)&3);j=(g+-1+k&0-k)+(Y(k,f[e+(i<<2)>>2]|0)|0)|0;i=i+2|0;if((i|0)>=(h|0)){l=j;break}else g=j}}else l=c;if(!c){c=f[e+4>>2]|0;e=(c>>>3&511)+1<<(47696>>>(c<<1&14)&3);m=l+-1+e&0-e}else m=l;l=b[a>>0]|0;if(!(l<<24>>24)){n=0;o=m+-1|0;p=o+n|0;q=0-n|0;r=p&q;u=d;return r|0}else{s=0;t=a;v=l}while(1){switch(v<<24>>24|0){case 117:{w=(s|0)==0?1:s;break}case 99:{w=(s|0)==0?1:s;break}case 119:{w=s>>>0>2?s:2;break}case 115:{w=s>>>0>2?s:2;break}case 105:{w=s>>>0>4?s:4;break}case 102:{w=s>>>0>4?s:4;break}case 100:{w=s>>>0>8?s:8;break}default:w=s}t=t+1|0;v=b[t>>0]|0;if(!(v<<24>>24)){n=w;break}else s=w}o=m+-1|0;p=o+n|0;q=0-n|0;r=p&q;u=d;return r|0}function b0(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+528|0;d=c+8|0;e=c;if((_$(a,d,128)|0)==1?(a=f[d>>2]|0,(a|0)<=511):0){u=c;return f[d+4>>2]&7|(a<<3)+-8|0}f[e>>2]=0;f[e+4>>2]=0;a=YG(e,33)|0;d=233998;c=a+33|0;do{b[a>>0]=b[d>>0]|0;a=a+1|0;d=d+1|0}while((a|0)<(c|0));SQ(-2,e,234032,233141,645);return 0}function c0(){var a=0,b=0;a=u;u=u+48|0;b=a;f[b>>2]=0;f[b+4>>2]=40;f[b+16>>2]=234054;f[b+12>>2]=0;f[b+8>>2]=0;f[b+20>>2]=827;f[b+24>>2]=1618;f[b+36>>2]=828;f[b+28>>2]=495;f[b+32>>2]=243;fZ(b);f[135578]=f[135576];Ad(1619,542312,x|0)|0;f[b>>2]=0;f[b+4>>2]=40;f[b+16>>2]=234070;f[b+12>>2]=0;f[b+8>>2]=0;f[b+20>>2]=827;f[b+24>>2]=1618;f[b+36>>2]=828;f[b+28>>2]=496;f[b+32>>2]=243;fZ(b);f[135579]=f[135576];Ad(1619,542316,x|0)|0;f[b>>2]=0;f[b+4>>2]=40;f[b+16>>2]=234091;f[b+12>>2]=0;f[b+8>>2]=0;f[b+20>>2]=829;f[b+24>>2]=1620;f[b+36>>2]=830;f[b+28>>2]=497;f[b+32>>2]=244;fZ(b);f[135580]=f[135576];Ad(1619,542320,x|0)|0;f[b>>2]=0;f[b+4>>2]=40;f[b+16>>2]=234104;f[b+12>>2]=0;f[b+8>>2]=0;f[b+20>>2]=831;f[b+24>>2]=1621;f[b+36>>2]=832;f[b+28>>2]=498;f[b+32>>2]=245;fZ(b);f[135581]=f[135576];Ad(1619,542324,x|0)|0;f[b>>2]=0;f[b+4>>2]=40;f[b+16>>2]=234125;f[b+12>>2]=0;f[b+8>>2]=0;f[b+20>>2]=833;f[b+24>>2]=1622;f[b+36>>2]=834;f[b+28>>2]=499;f[b+32>>2]=246;fZ(b);f[135582]=f[135576];Ad(1619,542328,x|0)|0;f[b>>2]=0;f[b+4>>2]=40;f[b+16>>2]=234138;f[b+12>>2]=0;f[b+8>>2]=0;f[b+20>>2]=835;f[b+24>>2]=1623;f[b+36>>2]=836;f[b+28>>2]=500;f[b+32>>2]=247;fZ(b);f[135583]=f[135576];Ad(1619,542332,x|0)|0;f[b>>2]=0;f[b+4>>2]=40;f[b+16>>2]=234152;f[b+12>>2]=0;f[b+8>>2]=0;f[b+20>>2]=837;f[b+24>>2]=1624;f[b+36>>2]=838;f[b+28>>2]=501;f[b+32>>2]=248;fZ(b);f[135584]=f[135576];Ad(1619,542336,x|0)|0;u=a;return}function d0(a){a=a|0;var b=0;if(!a)b=0;else b=(f[a>>2]&-65536|0)==1117323264;return b&1|0}function e0(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;if(!a){f[d>>2]=0;f[d+4>>2]=0;e=YG(d,19)|0;g=235559;h=e+19|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));C0(-27,d,236031,510)}else{f[a>>2]=0;u=c;return}}function f0(a){a=a|0;var b=0,c=0,d=0;b=u;u=u+16|0;c=b+8|0;d=b;f[d>>2]=0;f[d+4>>2]=1073741823;f[c>>2]=f[d>>2];f[c+4>>2]=f[d+4>>2];d=rW(a,c,0,1)|0;u=b;return d|0}function g0(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;d=u;u=u+560|0;e=d+528|0;g=d+16|0;h=d+8|0;i=d;f[h>>2]=0;j=QY(a,c,234870)|0;if((j|0)!=0?(f[j>>2]&7|0)==3:0)k=f[j+8+4>>2]|0;else k=0;j=QY(a,c,235816)|0;a:do if(!j)l=-1;else switch(f[j>>2]&7){case 1:{l=f[j+8>>2]|0;break a;break}case 2:{l=V9b(+p[j+8>>3])|0;break a;break}default:{l=2147483647;break a}}while(0);j=QY(a,c,234177)|0;if(!j){f[i>>2]=0;m=i+4|0;f[m>>2]=0;n=YG(i,48)|0;o=n;q=235822;r=o+48|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));C0(-2,i,235871,723)}if((f[j>>2]&7|0)!=3){f[i>>2]=0;m=i+4|0;f[m>>2]=0;n=YG(i,48)|0;o=n;q=235822;r=o+48|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));C0(-2,i,235871,723)}s=f[j+8+4>>2]|0;if(!((k|0)!=0&(l|0)!=-1&(s|0)!=0)){f[i>>2]=0;m=i+4|0;f[m>>2]=0;n=YG(i,48)|0;o=n;q=235822;r=o+48|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));C0(-2,i,235871,723)}do if(((b[k>>0]|0)+-48&255)<10){n=eac(k,h,16)|0;if((n&-65536|0)==1117323264?(f[h>>2]|0)!=(k|0):0){t=n&33279|n<<2&16384|((n&3584|0)==512?1117327360:1117323264);break}else{f[i>>2]=0;f[i+4>>2]=0;o=YG(i,30)|0;q=235287;r=o+30|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));C0(-2,i,235871,740)}}else{n=(kac(k,235882)|0)==0;m=n?1117323264:1117327360;n=(kac(k,235888)|0)==0;j=n?m:m|16384;m=(kac(k,235895)|0)==0;n=m?j:j|32768;if(!(kac(k,235900)|0))t=b0(s)|0|n;else t=n}while(0);k=QY(a,c,234939)|0;if((k|0)!=0?(f[k>>2]&7|0)==3:0)v=f[k+8+4>>2]|0;else v=0;k=QY(a,c,235057)|0;h=(v|0)!=0;n=(k|0)!=0;if(h^n){f[i>>2]=0;f[i+4>>2]=0;o=YG(i,74)|0;q=235318;r=o+74|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));C0(-2,i,235871,774)}j=QY(a,c,375218)|0;m=QY(a,c,234576)|0;w=(j|0)!=0;x=(m|0)!=0;if(((w&1)+(n&1)+(x&1)|0)>>>0>1){f[i>>2]=0;f[i+4>>2]=0;o=YG(i,66)|0;q=235908;r=o+66|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));C0(-2,i,235871,780)}if(h)y=$$(v,56)|0;else y=w?88:x?64:56;z=$$(s,0)|0;A=$V(t,y,z,f[a+20>>2]|0)|0;do if(n)if(h){eZ(a,k,A+56|0,v);break}else{f[i>>2]=0;f[i+4>>2]=0;o=YG(i,9)|0;q=234939;r=o+9|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));C0(-215,i,235871,796)}else{if(!w){if(!x)break;z=QY(a,m,457694)|0;b:do if(!z)B=0;else switch(f[z>>2]&7){case 1:{B=f[z+8>>2]|0;break b;break}case 2:{B=V9b(+p[z+8>>3])|0;break b;break}default:{B=2147483647;break b}}while(0);f[A+56>>2]=B;z=QY(a,m,234613)|0;c:do if(!z)C=0;else switch(f[z>>2]&7){case 1:{C=f[z+8>>2]|0;break c;break}case 2:{C=V9b(+p[z+8>>3])|0;break c;break}default:{C=2147483647;break c}}while(0);f[A+60>>2]=C;break}z=QY(a,j,457694)|0;d:do if(!z)D=0;else switch(f[z>>2]&7){case 1:{D=f[z+8>>2]|0;break d;break}case 2:{D=V9b(+p[z+8>>3])|0;break d;break}default:{D=2147483647;break d}}while(0);f[A+56>>2]=D;z=QY(a,j,234613)|0;e:do if(!z)E=0;else switch(f[z>>2]&7){case 1:{E=f[z+8>>2]|0;break e;break}case 2:{E=V9b(+p[z+8>>3])|0;break e;break}default:{E=2147483647;break e}}while(0);f[A+60>>2]=E;z=QY(a,j,473145)|0;f:do if(!z)F=0;else switch(f[z>>2]&7){case 1:{F=f[z+8>>2]|0;break f;break}case 2:{F=V9b(+p[z+8>>3])|0;break f;break}default:{F=2147483647;break f}}while(0);f[A+64>>2]=F;z=QY(a,j,473280)|0;g:do if(!z)G=0;else switch(f[z>>2]&7){case 1:{G=f[z+8>>2]|0;break g;break}case 2:{G=V9b(+p[z+8>>3])|0;break g;break}default:{G=2147483647;break g}}while(0);f[A+68>>2]=G;z=QY(a,c,235043)|0;h:do if(!z)H=0;else switch(f[z>>2]&7){case 1:{H=f[z+8>>2]|0;break h;break}case 2:{H=V9b(+p[z+8>>3])|0;break h;break}default:{H=2147483647;break h}}while(0);f[A+72>>2]=H}while(0);pW(A,0,l,0);H=_$(s,g,128)|0;G=H<<1;if((H|0)>0){H=0;j=0;while(1){F=(f[g+(H<<2)>>2]|0)+j|0;H=H+2|0;if((H|0)>=(G|0)){I=F;break}else j=F}}else I=0;j=QY(a,c,404893)|0;if(!j){f[i>>2]=0;f[i+4>>2]=0;o=YG(i,43)|0;q=234719;r=o+43|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));C0(-2,i,235871,823)}c=f[j>>2]&7;if(c>>>0>4)J=f[(f[j+8>>2]|0)+24>>2]|0;else J=(c|0)!=0&1;if((J|0)!=(Y(I,l)|0)){f[i>>2]=0;f[i+4>>2]=0;o=YG(i,55)|0;q=235975;r=o+55|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));C0(-2,i,235871,826)}cZ(a,j,e);j=A+52|0;i=f[j>>2]|0;if(!i){u=d;return A|0}else K=i;while(1){i=Y(f[K+12>>2]|0,I)|0;dZ(a,e,i,f[K+16>>2]|0,s);if((K|0)==(f[f[j>>2]>>2]|0)){L=76;break}K=f[K+4>>2]|0;if(!K){L=76;break}}if((L|0)==76){u=d;return A|0}return 0}function h0(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+48|0;g=e+32|0;h=e+8|0;i=e+24|0;j=e;k=TY(d,235778)|0;if((((k|0?o7b(k,477928)|0:0)?o7b(k,524515)|0:0)?o7b(k,510676)|0:0)?o7b(k,235788)|0:0){f[i>>2]=0;f[i+4>>2]=0;f[g>>2]=f[i>>2];f[g+4>>2]=f[i+4>>2];XY(a,b,6,234070,g);f[j>>2]=0;f[j+4>>2]=0;f[g>>2]=f[j>>2];f[g+4>>2]=f[j+4>>2];XY(a,235595,5,0,g);CW(h,c,2147483647);g=f[h>>2]|0;if(g|0){j=d+4|0;i=h+4|0;k=g;do{G0(a,0,k,f[d>>2]|0,f[j>>2]|0,f[i>>2]|0);DW(h)|0;k=f[h>>2]|0}while((k|0)!=0)}YY(a);YY(a);u=e;return}G0(a,b,c,f[d>>2]|0,f[d+4>>2]|0,-1);u=e;return}function i0(a){a=a|0;gZ(f[(f[a>>2]|0)+16>>2]|0);return}function j0(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;d=u;u=u+48|0;e=d+8|0;g=d;h=QY(a,c,235595)|0;if(!h){f[g>>2]=0;i=g+4|0;f[i>>2]=0;j=YG(g,90)|0;k=j;l=235605;m=k+90|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));C0(-212,g,235696,856)}if((f[h>>2]&7|0)!=5){f[g>>2]=0;i=g+4|0;f[i>>2]=0;j=YG(g,90)|0;k=j;l=235605;m=k+90|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));C0(-212,g,235696,856)}j=f[h+8>>2]|0;h=f[j+24>>2]|0;eW(j,e,0);if((h|0)<=0){n=0;u=d;return n|0}i=e+12|0;c=j+28|0;j=e+20|0;o=0;q=0;r=0;s=0;t=0;v=0;while(1){w=f[i>>2]|0;x=s;s=RY(a,w,0)|0;if(!s){y=7;break}z=QY(a,w,235715)|0;if(!z){y=13;break}switch(f[z>>2]&7){case 1:{A=f[z+8>>2]|0;y=12;break}case 2:{A=V9b(+p[z+8>>3])|0;y=12;break}default:B=2147483647}if((y|0)==12){y=0;if((A|0)<0){y=13;break}else B=A}z=(o|0)==0;w=z?s:v;o=z?s:o;if((B|0)<=(r|0)){if((B|0)<(r|0)){z=r;C=x;while(1){D=f[C+16>>2]|0;if((z|0)>(B|0)){z=z+-1|0;C=D}else{E=D;F=C;break}}}else{E=q;F=x}f[s+8>>2]=F;if(!F)G=E;else{f[F+12>>2]=s;G=E}}else{if(x|0)f[x+20>>2]=s;f[s+8>>2]=0;G=x}f[s+16>>2]=G;C=(f[i>>2]|0)+(f[c>>2]|0)|0;f[i>>2]=C;if(C>>>0>=(f[j>>2]|0)>>>0)mW(e,1);t=t+1|0;if((t|0)>=(h|0)){n=w;y=25;break}else{q=G;r=B;v=w}}if((y|0)==7){f[g>>2]=0;f[g+4>>2]=0;v=YG(g,3)|0;b[v>>0]=b[235711]|0;b[v+1>>0]=b[235712]|0;b[v+2>>0]=b[235713]|0;C0(-215,g,235696,868)}else if((y|0)==13){f[g>>2]=0;f[g+4>>2]=0;k=YG(g,56)|0;l=235721;m=k+56|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));C0(-212,g,235696,871)}else if((y|0)==25){u=d;return n|0}return 0}function k0(a){a=a|0;var b=0;if(!a)b=0;else b=(f[a>>2]&-53248|0)==1117261824;return b&1|0}function l0(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;if(!a){f[d>>2]=0;f[d+4>>2]=0;e=YG(d,19)|0;g=235559;h=e+19|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));C0(-27,d,235579,912)}else{f[a>>2]=0;u=c;return}}function m0(a){a=a|0;return AW(a,0)|0}function n0(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0;d=u;u=u+672|0;e=d;g=d+160|0;h=d+152|0;i=d+24|0;j=d+16|0;k=d+8|0;f[h>>2]=0;l=QY(a,c,234870)|0;if((l|0)!=0?(f[l>>2]&7|0)==3:0)m=f[l+8+4>>2]|0;else m=0;l=QY(a,c,234889)|0;if((l|0)!=0?(f[l>>2]&7|0)==3:0)n=f[l+8+4>>2]|0;else n=0;l=QY(a,c,234910)|0;if((l|0)!=0?(f[l>>2]&7|0)==3:0)o=f[l+8+4>>2]|0;else o=0;l=QY(a,c,234876)|0;a:do if(!l)q=-1;else switch(f[l>>2]&7){case 1:{q=f[l+8>>2]|0;break a;break}case 2:{q=V9b(+p[l+8>>3])|0;break a;break}default:{q=2147483647;break a}}while(0);l=QY(a,c,234899)|0;b:do if(!l)r=-1;else switch(f[l>>2]&7){case 1:{r=f[l+8>>2]|0;break b;break}case 2:{r=V9b(+p[l+8>>3])|0;break b;break}default:{r=2147483647;break b}}while(0);if(!((o|0)!=0&(((m|0)==0|(q|0)==-1|(r|0)==-1)^1))){f[i>>2]=0;f[i+4>>2]=0;s=YG(i,45)|0;t=235228;v=s+45|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));C0(-2,i,235274,1087)}do if(F9b(b[m>>0]|0)|0){l=eac(m,h,16)|0;if((l&-65536|0)==1117257728?(f[h>>2]|0)!=(m|0):0){w=(l&4096|0)==0;break}else{f[i>>2]=0;f[i+4>>2]=0;s=YG(i,30)|0;t=235287;v=s+30|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));C0(-2,i,235274,1100)}}else w=(kac(m,234861)|0)==0;while(0);m=w?1117261824:1117278208;w=QY(a,c,234939)|0;if((w|0)!=0?(f[w>>2]&7|0)==3:0)x=f[w+8+4>>2]|0;else x=0;w=QY(a,c,235057)|0;l=(x|0)!=0;y=(w|0)!=0;if(l^y){f[i>>2]=0;f[i+4>>2]=0;s=YG(i,74)|0;t=235318;v=s+74|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));C0(-2,i,235274,1115)}if(l)z=$$(x,68)|0;else z=68;A=(n|0)==0;if(!A){B=$$(n,0)|0;C=$$(n,8)|0;D=_$(o,g,128)|0;E=D<<1;if((D|0)>0){D=0;F=0;while(1){G=(f[g+(F<<2)>>2]|0)+D|0;F=F+2|0;if((F|0)>=(E|0)){H=C;I=B;J=G;K=g;break}else D=G}}else{H=C;I=B;J=0;K=g}}else{H=8;I=0;J=0;K=g}B=_$(o,K,128)|0;if(!((B|0)>1&(f[K>>2]|0)==2)){f[j>>2]=0;L=j+4|0;f[L>>2]=0;M=YG(j,52)|0;s=M;t=235393;v=s+52|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));C0(-5,j,235274,1141)}if((f[g+4>>2]|0)!=4){f[j>>2]=0;L=j+4|0;f[L>>2]=0;M=YG(j,52)|0;s=M;t=235393;v=s+52|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));C0(-5,j,235274,1141)}if((f[g+8>>2]|0)<1){f[j>>2]=0;L=j+4|0;f[L>>2]=0;M=YG(j,52)|0;s=M;t=235393;v=s+52|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));C0(-5,j,235274,1141)}if((f[g+12>>2]|0)!=5){f[j>>2]=0;L=j+4|0;f[L>>2]=0;M=YG(j,52)|0;s=M;t=235393;v=s+52|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));C0(-5,j,235274,1141)}if((B|0)>2){M=f[g+20>>2]|0;N=((M>>>3&511)+1<<(47696>>>(M<<1&14)&3)|0)>7?8:4}else N=4;M=B<<1;if((M|0)>2){B=2;L=2;while(1){K=(f[g+(B<<2)>>2]|0)+L|0;B=B+2|0;if((B|0)>=(M|0)){O=K;break}else L=K}}else O=2;L=o+2|0;M=b[L>>0]|0;switch(M<<24>>24){case 102:{P=47;break}case 49:{if((b[o+3>>0]|0)==102)P=47;else P=48;break}default:P=48}if((P|0)==47)Q=o+3+((M+-48&255)<10&1)|0;else if((P|0)==48){M=(eac(L,h,10)|0)+-1|0;L=f[h>>2]|0;f[e>>2]=M;f[e+4>>2]=L;g9b(i,235446,e)|0;Q=i}e=$$(Q,24)|0;Q=$$(o,0)|0;L=wW(m,z,H,e,f[a+20>>2]|0)|0;do if(y)if(l){eZ(a,w,L+68|0,x);break}else{f[i>>2]=0;f[i+4>>2]=0;s=YG(i,9)|0;t=234939;v=s+9|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));C0(-215,i,235274,1168)}while(0);x=I*3|0;w=(x|0)>65536?x:65536;x=Q*3|0;l=(x|0)<(w|0)?w:x;x=uE(l)|0;w=uE(q<<2)|0;y=QY(a,c,234924)|0;z=QY(a,c,234933)|0;if(!z){f[i>>2]=0;f[i+4>>2]=0;s=YG(i,13)|0;t=235452;v=s+13|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));C0(-5,i,235274,1180)}if(!(A|(y|0)!=0)){f[i>>2]=0;f[i+4>>2]=0;s=YG(i,16)|0;t=235466;v=s+16|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));C0(-5,i,235274,1182)}A=N+-1|0;c=0-N|0;N=0;c:while(1){m=(N|0)==0;M=m?n:o;h=m?H:e;B=m?I:Q;g=m?J:O;K=m?q:r;C=(l>>>0)/(((B|0)>1?B:1)>>>0)|0;D=(M|0)!=0;if(D)cZ(a,m?y:z,i);d:do if((K|0)>0){E=(h|0)>24;F=h+-24|0;if(D){R=0;S=x;T=0}else{G=x;U=0;while(1){if(!m){f[j>>2]=0;V=f[G>>2]|0;W=f[G+4>>2]|0;if(!(V>>>0<q>>>0&W>>>0<q>>>0)){P=75;break c}if(!(zW(L,f[w+(V<<2)>>2]|0,f[w+(W<<2)>>2]|0,0,j)|0)){P=77;break c}W=f[j>>2]|0;f[W+4>>2]=f[G+8>>2];if(E)Krc(W+24|0,A+(G+12)&c|0,F|0)|0}else{xW(L,0,j)|0;f[w+(U<<2)>>2]=f[j>>2]}U=U+1|0;if((K|0)<=(U|0))break d;else G=G+B|0}}while(1){G=K-T|0;U=Y((G|0)>(C|0)?C:G,g)|0;if(!R){dZ(a,i,U,x,M);X=U;Z=x}else{X=R;Z=S}if(!m){f[j>>2]=0;U=f[Z>>2]|0;G=f[Z+4>>2]|0;if(!(U>>>0<q>>>0&G>>>0<q>>>0)){P=75;break c}if(!(zW(L,f[w+(U<<2)>>2]|0,f[w+(G<<2)>>2]|0,0,j)|0)){P=77;break c}G=f[j>>2]|0;f[G+4>>2]=f[Z+8>>2];if(E)Krc(G+24|0,A+(Z+12)&c|0,F|0)|0}else{xW(L,0,j)|0;f[w+(T<<2)>>2]=f[j>>2];Krc((f[j>>2]|0)+8|0,Z|0,B|0)|0}T=T+1|0;if((K|0)<=(T|0))break;else{R=X+-1|0;S=Z+B|0}}}while(0);N=N+1|0;if((N|0)>=2){P=83;break}}if((P|0)==75){f[k>>2]=0;f[k+4>>2]=0;s=YG(k,46)|0;t=235483;v=s+46|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));C0(-211,k,235274,1227)}else if((P|0)==77){f[k>>2]=0;f[k+4>>2]=0;s=YG(k,28)|0;t=235530;v=s+28|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));C0(-5,k,235274,1233)}else if((P|0)==83){vE(x);vE(w);u=d;return L|0}return 0}function o0(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;e=u;u=u+960|0;g=e+56|0;h=e;i=e+24|0;j=e+824|0;k=e+696|0;l=e+568|0;m=e+16|0;n=e+8|0;o=f[c+60>>2]|0;p=c+64|0;q=f[(f[p>>2]|0)+60>>2]|0;r=uE(o<<2)|0;eW(c,i,0);s=c+24|0;if((f[s>>2]|0)>0){t=i+12|0;v=c+28|0;w=i+20|0;x=0;y=0;while(1){z=f[t>>2]|0;A=f[z>>2]|0;if((A|0)>-1){f[r+(x<<2)>>2]=A;f[z>>2]=x;B=x+1|0}else B=x;A=z+(f[v>>2]|0)|0;f[t>>2]=A;if(A>>>0>=(f[w>>2]|0)>>>0)mW(i,1);y=y+1|0;if((y|0)>=(f[s>>2]|0))break;else x=B}}f[m>>2]=0;f[m+4>>2]=0;f[g>>2]=f[m>>2];f[g+4>>2]=f[m+4>>2];XY(a,b,6,234091,g);$Y(a,234870,f[c>>2]&16384|0?234861:1163146,1);ZY(a,234876,o);o=E0(c,234889,d,8,k)|0;if(o|0)$Y(a,234889,o,0);ZY(a,234899,q);q=E0(f[p>>2]|0,234910,d,24,j)|0;f[h>>2]=q|0?q:1163146;g9b(l,234918,h)|0;$Y(a,234910,l,0);F0(a,c,d,68);d=c+28|0;h=(f[d>>2]|0)*3|0;q=(h|0)>65536?h:65536;h=(f[(f[p>>2]|0)+28>>2]|0)*3|0;j=(h|0)<(q|0)?q:h;h=uE(j)|0;q=g+20|0;k=n+4|0;b=i+12|0;m=i+20|0;B=0;do{x=(B|0)==0;y=x?o:l;if(y|0){if(x)C=c;else C=f[p>>2]|0;w=C+28|0;t=f[w>>2]|0;v=$$(y,0)|0;A=(j|0)/(v|0)|0;if((B|0)==1){if((_$(y,g,128)|0)>2){z=f[q>>2]|0;D=((z>>>3&511)+1<<(47696>>>(z<<1&14)&3)|0)>7?8:4}else D=4;E=D}else E=4;f[n>>2]=0;f[k>>2]=0;f[g>>2]=f[n>>2];f[g+4>>2]=f[n+4>>2];XY(a,x?234924:234933,13,0,g);eW(C,i,0);z=C+24|0;if((f[z>>2]|0)>0){F=t+-24|0;G=E+-1|0;H=0-E|0;if(!x)if((t|0)>24){t=0;x=h;I=0;while(1){J=f[b>>2]|0;if((f[J>>2]|0)>-1){K=x+3&-4;L=K;f[K>>2]=f[f[J+16>>2]>>2];f[L+4>>2]=f[f[J+20>>2]>>2];f[L+8>>2]=f[J+4>>2];Krc(G+(L+12)&H|0,J+24|0,F|0)|0;J=t+1|0;if((J|0)<(A|0)){M=J;N=L+v|0}else{bZ(a,h,J,y);M=0;N=h}}else{M=t;N=x}J=(f[b>>2]|0)+(f[w>>2]|0)|0;f[b>>2]=J;if(J>>>0>=(f[m>>2]|0)>>>0)mW(i,1);I=I+1|0;if((I|0)>=(f[z>>2]|0)){O=M;break}else{t=M;x=N}}}else{x=0;t=h;I=0;while(1){F=f[b>>2]|0;if((f[F>>2]|0)>-1){H=t+3&-4;G=H;f[H>>2]=f[f[F+16>>2]>>2];f[G+4>>2]=f[f[F+20>>2]>>2];f[G+8>>2]=f[F+4>>2];H=x+1|0;if((H|0)<(A|0)){P=H;Q=G+v|0;R=F}else{bZ(a,h,H,y);P=0;Q=h;R=f[b>>2]|0}}else{P=x;Q=t;R=F}F=R+(f[w>>2]|0)|0;f[b>>2]=F;if(F>>>0>=(f[m>>2]|0)>>>0)mW(i,1);I=I+1|0;if((I|0)>=(f[z>>2]|0)){O=P;break}else{x=P;t=Q}}}else{t=0;x=h;I=0;while(1){F=f[b>>2]|0;if((f[F>>2]|0)>-1){Krc(x|0,F+8|0,v|0)|0;F=t+1|0;if((F|0)<(A|0)){S=F;T=x+v|0}else{bZ(a,h,F,y);S=0;T=h}}else{S=t;T=x}F=(f[b>>2]|0)+(f[w>>2]|0)|0;f[b>>2]=F;if(F>>>0>=(f[m>>2]|0)>>>0)mW(i,1);I=I+1|0;if((I|0)>=(f[z>>2]|0)){O=S;break}else{t=S;x=T}}}if((O|0)>0)bZ(a,h,O,y)}YY(a)}B=B+1|0}while((B|0)!=2);YY(a);eW(c,i,0);c=f[s>>2]|0;if((c|0)>0){U=0;V=0;W=c}else{vE(h);vE(r);u=e;return}while(1){c=f[b>>2]|0;if((f[c>>2]|0)>-1){f[c>>2]=f[r+(U<<2)>>2];X=U+1|0}else X=U;a=c+(f[d>>2]|0)|0;f[b>>2]=a;if(a>>>0<(f[m>>2]|0)>>>0)Y=W;else{mW(i,1);Y=f[s>>2]|0}V=V+1|0;if((V|0)>=(Y|0))break;else{U=X;W=Y}}vE(h);vE(r);u=e;return}function p0(a){a=a|0;var b=0;if(!a)b=0;else b=(f[a>>2]&-65536|0)==1111752704;return b&1|0}function q0(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;d=u;u=u+304|0;e=d+264|0;g=d+136|0;h=d+8|0;i=d;j=QY(a,c,234169)|0;k=QY(a,c,234177)|0;if(!k){f[h>>2]=0;l=h+4|0;f[l>>2]=0;m=YG(h,46)|0;n=m;o=234180;p=n+46|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));C0(-2,h,234763,312)}if((f[k>>2]&7|0)!=3){f[h>>2]=0;l=h+4|0;f[l>>2]=0;m=YG(h,46)|0;n=m;o=234180;p=n+46|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));C0(-2,h,234763,312)}q=f[k+8+4>>2]|0;if(!((j|0)!=0&(q|0)!=0)){f[h>>2]=0;l=h+4|0;f[l>>2]=0;m=YG(h,46)|0;n=m;o=234180;p=n+46|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));C0(-2,h,234763,312)}m=f[j>>2]&7;if((m|0)==5)r=f[(f[j+8>>2]|0)+24>>2]|0;else r=(m|0)==1?1:-1;m=r+-1|0;if(m>>>0>31){f[h>>2]=0;f[h+4>>2]=0;n=YG(h,48)|0;o=234780;p=n+48|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));C0(-212,h,234763,318)}eZ(a,j,g,234175);j=b0(q)|0;l=QY(a,c,404893)|0;if(!l){f[h>>2]=0;s=h+4|0;f[s>>2]=0;t=YG(h,44)|0;n=t;o=234286;p=n+44|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));C0(-2,h,234763,325)}if((f[l>>2]&7|0)!=5){f[h>>2]=0;s=h+4|0;f[s>>2]=0;t=YG(h,44)|0;n=t;o=234286;p=n+44|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));C0(-2,h,234763,325)}t=RT(r,g,j)|0;g=j>>>3&511;j=g+1|0;s=f[l+8>>2]|0;cZ(a,l,e);l=s+24|0;if((f[l>>2]|0)<=0){v=t;u=d;return v|0}c=e+12|0;k=h+(m<<2)|0;w=s+28|0;s=e+20|0;x=g+2|0;g=0;a:while(1){y=f[c>>2]|0;if((f[y>>2]&7|0)!=1){z=17;break}A=f[y+8>>2]|0;B=(g|0)>0;if(!(B&(A|0)>-1)){if(B)C=m+A|0;else{f[h>>2]=A;C=1}if((C|0)<(r|0)){B=C;D=g;E=y;while(1){F=E+(f[w>>2]|0)|0;f[c>>2]=F;if(F>>>0<(f[s>>2]|0)>>>0){G=F;H=F}else{mW(e,1);F=f[c>>2]|0;G=F;H=F}F=D+1|0;if((f[G>>2]&7|0)!=1){z=28;break a}I=f[G+8>>2]|0;if((I|0)<0){z=28;break a}f[h+(B<<2)>>2]=I;B=B+1|0;if((B|0)>=(r|0)){J=F;K=H;break}else{D=F;E=G}}}else{J=g;K=y}}else{f[k>>2]=A;J=g;K=y}E=K+(f[w>>2]|0)|0;f[c>>2]=E;if(E>>>0>=(f[s>>2]|0)>>>0)mW(e,1);dZ(a,e,j,$T(t,h,0,1,0)|0,q);g=x+J|0;if((g|0)>=(f[l>>2]|0)){v=t;z=33;break}}if((z|0)==17){f[i>>2]=0;f[i+4>>2]=0;n=YG(i,31)|0;o=234829;p=n+31|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));C0(-212,i,234763,340)}else if((z|0)==28){f[i>>2]=0;f[i+4>>2]=0;n=YG(i,31)|0;o=234829;p=n+31|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));C0(-212,i,234763,356)}else if((z|0)==33){u=d;return v|0}return 0}function r0(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;d=u;u=u+112|0;e=d+80|0;g=d+76|0;i=d+64|0;j=d+32|0;k=d+16|0;l=d+88|0;m=d+24|0;n=d+8|0;o=d;p=RV(0)|0;f[g>>2]=p;f[m>>2]=0;f[m+4>>2]=0;f[e>>2]=f[m>>2];f[e+4>>2]=f[m+4>>2];XY(a,b,6,234104,e);b=ZT(c,0)|0;f[k>>2]=b;f[n>>2]=0;f[n+4>>2]=0;f[e>>2]=f[n>>2];f[e+4>>2]=f[n+4>>2];XY(a,234169,13,0,e);bZ(a,c+36|0,b,234175);YY(a);$Y(a,234177,Z$(f[c>>2]&4095,l)|0,0);f[o>>2]=0;f[o+4>>2]=0;f[e>>2]=f[o>>2];f[e+4>>2]=f[o+4>>2];XY(a,404893,13,0,e);o=$V(7,56,4,p)|0;p=UT(c,i)|0;if(p|0){b=c+32|0;n=i+4|0;m=i+8|0;q=p;a:while(1){f[e>>2]=q+(f[b>>2]|0);nW(o,e)|0;p=f[(f[n>>2]|0)+4>>2]|0;if(!p){r=(f[m>>2]|0)+1|0;f[m>>2]=r;s=f[i>>2]|0;t=f[s+24>>2]|0;if((r|0)>=(t|0))break;v=f[s+20>>2]|0;s=r;while(1){w=f[v+(s<<2)>>2]|0;if(w|0)break;r=s+1|0;if((r|0)<(t|0))s=r;else break a}f[m>>2]=s;x=w}else x=p;f[n>>2]=x;q=x}}sW(o,297,k);eW(o,j,0);x=o+24|0;if((f[x>>2]|0)<=0){YY(a);YY(a);UV(g);u=d;return}o=j+12|0;q=j+20|0;n=c+32|0;w=c+28|0;c=a+236|0;m=0;i=0;do{e=f[o>>2]|0;b=i;i=h[e>>0]|h[e+1>>0]<<8|h[e+2>>0]<<16|h[e+3>>0]<<24;t=e+4|0;f[o>>2]=t;if(t>>>0>=(f[q>>2]|0)>>>0)mW(j,1);if((m|0)>0){t=0;while(1){y=t+1|0;if((f[i+(t<<2)>>2]|0)==(f[b+(t<<2)>>2]|0))t=y;else break}b=f[k>>2]|0;if((t|0)<(b+-1|0)){Yh[f[c>>2]&511](a,0,y-b|0);z=t}else z=t}else z=0;if((z|0)<(f[k>>2]|0)){b=z;do{Yh[f[c>>2]&511](a,0,f[i+(b<<2)>>2]|0);b=b+1|0}while((b|0)<(f[k>>2]|0))}bZ(a,i+(0-(f[n>>2]|0))+(f[w>>2]|0)|0,1,l);m=m+1|0}while((m|0)<(f[x>>2]|0));YY(a);YY(a);UV(g);u=d;return}function s0(a){a=a|0;var b=0;if(!a)b=0;else b=(f[a>>2]|0)==112;return b&1|0}function t0(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;d=u;u=u+80|0;e=d+56|0;g=d+16|0;h=d+48|0;i=d;j=QY(a,c,473145)|0;a:do if(!j)k=0;else switch(f[j>>2]&7){case 1:{k=f[j+8>>2]|0;break a;break}case 2:{k=V9b(+p[j+8>>3])|0;break a;break}default:{k=2147483647;break a}}while(0);j=QY(a,c,473280)|0;b:do if(!j)l=0;else switch(f[j>>2]&7){case 1:{l=f[j+8>>2]|0;break b;break}case 2:{l=V9b(+p[j+8>>3])|0;break b;break}default:{l=2147483647;break b}}while(0);j=QY(a,c,234177)|0;if((j|0)!=0?(f[j>>2]&7|0)==3:0)m=f[j+8+4>>2]|0;else m=0;j=QY(a,c,234576)|0;if((j|0)!=0?(f[j>>2]&7|0)==3:0)n=f[j+8+4>>2]|0;else n=0;if((k|0)==0|(l|0)==0|(m|0)==0|(n|0)==0){f[e>>2]=0;f[e+4>>2]=0;o=YG(e,45)|0;q=234624;r=o+45|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));C0(-2,e,234670,448)}n=b0(m)|0;j=QY(a,c,234602)|0;if(j){if((f[j>>2]&7|0)!=3){f[e>>2]=0;s=e+4|0;f[s>>2]=0;t=YG(e,35)|0;o=t;q=234683;r=o+35|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));C0(-2,e,234670,453)}v=f[j+8+4>>2]|0;if(!v){f[e>>2]=0;s=e+4|0;f[s>>2]=0;t=YG(e,35)|0;o=t;q=234683;r=o+35|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));C0(-2,e,234670,453)}else w=v}else w=234590;if(o7b(w,234590)|0){f[e>>2]=0;s=e+4|0;f[s>>2]=0;t=YG(e,35)|0;o=t;q=234683;r=o+35|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));C0(-2,e,234670,453)}t=QY(a,c,404893)|0;if(!t){f[e>>2]=0;f[e+4>>2]=0;o=YG(e,43)|0;q=234719;r=o+43|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));C0(-2,e,234670,457)}s=f[t>>2]&7;if(s>>>0>4)x=f[(f[t+8>>2]|0)+24>>2]|0;else x=(s|0)!=0&1;s=Y(l,k)|0;w=(n>>>3&511)+1|0;if((x|0)!=(Y(w,s)|0)){f[e>>2]=0;f[e+4>>2]=0;o=YG(e,63)|0;q=234331;r=o+63|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));C0(-209,e,234670,461)}q=n&7;f[h>>2]=k;f[h+4>>2]=l;f[e>>2]=f[h>>2];f[e+4>>2]=f[h+4>>2];h=cU(e,1212424721>>>(q<<2)<<3&120|((q|0)==4|(q|2|0)==3?-2147483648:0),w)|0;q=QY(a,c,234609)|0;if(q|0){c=QY(a,q,457694)|0;c:do if(!c)y=0;else switch(f[c>>2]&7){case 1:{y=f[c+8>>2]|0;break c;break}case 2:{y=V9b(+p[c+8>>3])|0;break c;break}default:{y=2147483647;break c}}while(0);c=QY(a,q,234613)|0;d:do if(!c)z=0;else switch(f[c>>2]&7){case 1:{z=f[c+8>>2]|0;break d;break}case 2:{z=V9b(+p[c+8>>3])|0;break d;break}default:{z=2147483647;break d}}while(0);c=QY(a,q,473145)|0;e:do if(!c)A=0;else switch(f[c>>2]&7){case 1:{A=f[c+8>>2]|0;break e;break}case 2:{A=V9b(+p[c+8>>3])|0;break e;break}default:{A=2147483647;break e}}while(0);c=QY(a,q,473280)|0;f:do if(!c)B=0;else switch(f[c>>2]&7){case 1:{B=f[c+8>>2]|0;break f;break}case 2:{B=V9b(+p[c+8>>3])|0;break f;break}default:{B=2147483647;break f}}while(0);c=QY(a,q,234615)|0;g:do if(!c)C=0;else switch(f[c>>2]&7){case 1:{C=f[c+8>>2]|0;break g;break}case 2:{C=V9b(+p[c+8>>3])|0;break g;break}default:{C=2147483647;break g}}while(0);f[i>>2]=y;f[i+4>>2]=z;f[i+8>>2]=A;f[i+12>>2]=B;f[e>>2]=f[i>>2];f[e+4>>2]=f[i+4>>2];f[e+8>>2]=f[i+8>>2];f[e+12>>2]=f[i+12>>2];eU(h,e);fU(h,C)}C=Y(w<<(47696>>>(n<<1&14)&3),k)|0;n=h+72|0;e=(C|0)==(f[n>>2]|0);C=e?1:l;l=Y(e?s:k,w)|0;cZ(a,t,g);if((C|0)<=0){u=d;return h|0}t=h+68|0;w=0;do{dZ(a,g,l,(f[t>>2]|0)+(Y(f[n>>2]|0,w)|0)|0,m);w=w+1|0}while((w|0)!=(C|0));u=d;return h|0}function u0(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=u;u=u+64|0;g=e+32|0;h=e;i=e+40|0;j=e+24|0;k=e+16|0;l=e+8|0;m=d+28|0;if((f[m>>2]|0)==1){f[g>>2]=0;f[g+4>>2]=0;n=YG(g,48)|0;o=234492;p=n+48|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));C0(-210,g,234541,390)}f[j>>2]=0;f[j+4>>2]=0;f[g>>2]=f[j>>2];f[g+4>>2]=f[j+4>>2];XY(a,c,6,234125,g);c=d+40|0;ZY(a,473145,f[c>>2]|0);j=d+44|0;ZY(a,473280,f[j>>2]|0);$Y(a,234576,(f[d+32>>2]|0)==0?234555:234564,0);$Y(a,234602,(f[m>>2]|0)==1?234583:234590,0);m=d+48|0;if(f[m>>2]|0){f[k>>2]=0;f[k+4>>2]=0;f[g>>2]=f[k>>2];f[g+4>>2]=f[k+4>>2];XY(a,234609,14,0,g);ZY(a,457694,f[(f[m>>2]|0)+4>>2]|0);ZY(a,234613,f[(f[m>>2]|0)+8>>2]|0);ZY(a,473145,f[(f[m>>2]|0)+12>>2]|0);ZY(a,473280,f[(f[m>>2]|0)+16>>2]|0);ZY(a,234615,f[f[m>>2]>>2]|0);YY(a)}m=f[d+16>>2]|0;k=1125516576>>>((m>>>2&60)+(m>>31&20)|0);m=d+8|0;o=f[m>>2]|0;n=(Y$(k&7)|0)<<24>>24;f[h>>2]=o;f[h+4>>2]=n;g9b(i,234619,h)|0;h=i+((b[i+2>>0]|0)==0&(b[i>>0]|0)==49&1)|0;$Y(a,234177,h,0);i=f[c>>2]|0;c=f[j>>2]|0;j=(Y(f[m>>2]|0,i)|0)<<(47696>>>(k<<1&14)&3);k=d+72|0;m=(j|0)==(f[k>>2]|0);j=Y(m?c:1,i)|0;i=m?1:c;f[l>>2]=0;f[l+4>>2]=0;f[g>>2]=f[l>>2];f[g+4>>2]=f[l+4>>2];XY(a,404893,13,0,g);if((i|0)<=0){YY(a);YY(a);u=e;return}g=d+68|0;d=0;do{bZ(a,(f[g>>2]|0)+(Y(f[k>>2]|0,d)|0)|0,j,h);d=d+1|0}while((d|0)!=(i|0));YY(a);YY(a);u=e;return}function v0(a){a=a|0;var b=0;if(((a|0)!=0?(f[a>>2]&-65536|0)==1111621632:0)?(f[a+24>>2]|0)>-1:0)b=(f[a+20>>2]|0)>-1;else b=0;return b&1|0}function w0(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0;d=u;u=u+16|0;e=d;g=QY(a,c,234471)|0;a:do if(!g)h=-1;else switch(f[g>>2]&7){case 1:{h=f[g+8>>2]|0;break a;break}case 2:{h=V9b(+p[g+8>>3])|0;break a;break}default:{h=2147483647;break a}}while(0);g=QY(a,c,234476)|0;b:do if(!g)i=-1;else switch(f[g>>2]&7){case 1:{i=f[g+8>>2]|0;break b;break}case 2:{i=V9b(+p[g+8>>3])|0;break b;break}default:{i=2147483647;break b}}while(0);g=QY(a,c,234177)|0;if((g|0?(f[g>>2]&7|0)==3:0)?(j=f[g+8+4>>2]|0,(i|h|0)>-1&(j|0)!=0):0){g=b0(j)|0;k=QY(a,c,404893)|0;if(!k){f[e>>2]=0;f[e+4>>2]=0;l=YG(e,44)|0;m=234286;n=l+44|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));C0(-2,e,234481,88)}c=f[k>>2]&7;if(c>>>0>4)o=f[(f[k+8>>2]|0)+24>>2]|0;else o=(c|0)!=0&1;if((o|0)<=0){q=ET(h,i,g)|0;u=d;return q|0}if((o|0)!=(Y(Y(i,h)|0,(g>>>3&511)+1|0)|0)){f[e>>2]=0;f[e+4>>2]=0;l=YG(e,63)|0;m=234331;n=l+63|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));C0(-209,e,234481,93)}o=DT(h,i,g)|0;eZ(a,k,f[o+16>>2]|0,j);q=o;u=d;return q|0}f[e>>2]=0;f[e+4>>2]=0;l=YG(e,46)|0;m=234180;n=l+46|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));C0(-2,e,234481,82);return 0}function x0(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+48|0;e=d+24|0;g=d+32|0;h=d+16|0;i=d+8|0;j=d;f[h>>2]=0;f[h+4>>2]=0;f[e>>2]=f[h>>2];f[e+4>>2]=f[h+4>>2];XY(a,b,6,234138,e);ZY(a,234471,f[c+20>>2]|0);ZY(a,234476,f[c+24>>2]|0);$Y(a,234177,Z$(f[c>>2]&4095,g)|0,0);f[i>>2]=0;f[i+4>>2]=0;f[e>>2]=f[i>>2];f[e+4>>2]=f[i+4>>2];XY(a,404893,13,0,e);_T(j,c);e=f[j>>2]|0;i=f[j+4>>2]|0;if(!((e|0)>0&(i|0)>0)){YY(a);YY(a);u=d;return}j=c+16|0;b=f[j>>2]|0;if(!b){YY(a);YY(a);u=d;return}h=(f[c>>2]&16384|0)==0;k=Y(h?1:i,e)|0;e=h?i:1;if((e|0)<=0){YY(a);YY(a);u=d;return}i=c+4|0;bZ(a,b,k,g);if((e|0)==1){YY(a);YY(a);u=d;return}else l=1;do{bZ(a,(f[j>>2]|0)+(Y(f[i>>2]|0,l)|0)|0,k,g);l=l+1|0}while((l|0)!=(e|0));YY(a);YY(a);u=d;return}function y0(a){a=a|0;var b=0;if(!a)b=0;else b=(f[a>>2]&-65536|0)==1111687168;return b&1|0}function z0(a){a=a|0;HT(a);return}function A0(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=u;u=u+144|0;e=d+8|0;g=d;h=e;i=h+128|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));j=QY(a,c,234169)|0;k=QY(a,c,234177)|0;if(!k){f[g>>2]=0;l=g+4|0;f[l>>2]=0;m=YG(g,46)|0;h=m;n=234180;i=h+46|0;do{b[h>>0]=b[n>>0]|0;h=h+1|0;n=n+1|0}while((h|0)<(i|0));C0(-2,g,234227,161)}if((f[k>>2]&7|0)!=3){f[g>>2]=0;l=g+4|0;f[l>>2]=0;m=YG(g,46)|0;h=m;n=234180;i=h+46|0;do{b[h>>0]=b[n>>0]|0;h=h+1|0;n=n+1|0}while((h|0)<(i|0));C0(-2,g,234227,161)}o=f[k+8+4>>2]|0;if(!((j|0)!=0&(o|0)!=0)){f[g>>2]=0;l=g+4|0;f[l>>2]=0;m=YG(g,46)|0;h=m;n=234180;i=h+46|0;do{b[h>>0]=b[n>>0]|0;h=h+1|0;n=n+1|0}while((h|0)<(i|0));C0(-2,g,234227,161)}m=f[j>>2]&7;if((m|0)==5)p=f[(f[j+8>>2]|0)+24>>2]|0;else p=(m|0)==1?1:-1;if((p+-1|0)>>>0>31){f[g>>2]=0;f[g+4>>2]=0;h=YG(g,45)|0;n=234240;i=h+45|0;do{b[h>>0]=b[n>>0]|0;h=h+1|0;n=n+1|0}while((h|0)<(i|0));C0(-212,g,234227,167)}eZ(a,j,e,234175);j=b0(o)|0;m=QY(a,c,404893)|0;if(!m){f[g>>2]=0;f[g+4>>2]=0;h=YG(g,44)|0;n=234286;i=h+44|0;do{b[h>>0]=b[n>>0]|0;h=h+1|0;n=n+1|0}while((h|0)<(i|0));C0(-2,g,234227,174)}c=(j>>>3&511)+1|0;l=0;do{k=f[e+(l<<2)>>2]|0;if(!k){q=14;break}c=Y(k,c)|0;l=l+1|0}while((l|0)<(p|0));if((q|0)==14){f[g>>2]=0;f[g+4>>2]=0;q=YG(g,8)|0;l=q;b[l>>0]=115;b[l+1>>0]=105;b[l+2>>0]=122;b[l+3>>0]=101;l=q+4|0;b[l>>0]=115;b[l+1>>0]=91;b[l+2>>0]=105;b[l+3>>0]=93;C0(-215,g,234227,180)}l=f[m>>2]&7;if(l>>>0>4)r=f[(f[m+8>>2]|0)+24>>2]|0;else r=(l|0)!=0&1;l=(r|0)>0;if(!((r|0)==(c|0)|l^1)){f[g>>2]=0;f[g+4>>2]=0;h=YG(g,63)|0;n=234331;i=h+63|0;do{b[h>>0]=b[n>>0]|0;h=h+1|0;n=n+1|0}while((h|0)<(i|0));C0(-209,g,234227,188)}if(l){l=KT(p,e,j)|0;eZ(a,m,f[l+16>>2]|0,o);s=l;u=d;return s|0}else{s=LT(p,e,j)|0;u=d;return s|0}return 0}function B0(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+688|0;e=d+656|0;g=d+652|0;h=d+152|0;i=d+16|0;j=d+664|0;k=d+144|0;l=d+8|0;m=d;f[g>>2]=c;f[k>>2]=0;f[k+4>>2]=0;f[e>>2]=f[k>>2];f[e+4>>2]=f[k+4>>2];XY(a,b,6,234152,e);b=ZT(c,i)|0;f[l>>2]=0;f[l+4>>2]=0;f[e>>2]=f[l>>2];f[e+4>>2]=f[l+4>>2];XY(a,234169,13,0,e);bZ(a,i,b,234175);YY(a);$Y(a,234177,Z$(YT(c)|0,j)|0,0);f[m>>2]=0;f[m+4>>2]=0;f[e>>2]=f[m>>2];f[e+4>>2]=f[m+4>>2];XY(a,404893,13,0,e);if((f[c+20>>2]|0)<=0){YY(a);YY(a);u=d;return}if(!(f[c+16>>2]|0)){YY(a);YY(a);u=d;return}NT(1,g,0,d+376|0,h,0)|0;g=h+16|0;c=h+8|0;do bZ(a,f[g>>2]|0,f[c>>2]|0,j);while((QT(h)|0)!=0);YY(a);YY(a);u=d;return}function C0(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;SQ(a,b,c,234395,d);return}function D0(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=f[c>>2]|0;c=f[a>>2]|0;a=f[b>>2]|0;if((d|0)>0)e=0;else{g=0;return g|0}while(1){b=(f[c+(e<<2)>>2]|0)-(f[a+(e<<2)>>2]|0)|0;e=e+1|0;if(b|0){g=b;h=4;break}if((e|0)>=(d|0)){g=0;h=4;break}}if((h|0)==4)return g|0;return 0}function E0(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=u;u=u+32|0;i=h+8|0;j=h;k=h+16|0;l=TY(d,c)|0;if(l|0){c=$$(l,e)|0;if((c|0)==(f[a+28>>2]|0)){m=l;u=h;return m|0}else{f[k>>2]=0;f[k+4>>2]=0;n=YG(k,71)|0;o=235074;p=n+71|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));C0(-209,k,235146,595)}}l=f[a>>2]|0;c=l&4095;d=f[a+28>>2]|0;if((c|0)!=0|(d|0)==1){if(((l>>>3&511)+1<<(47696>>>(l<<1&14)&3)|0)!=(d|0)){f[k>>2]=0;f[k+4>>2]=0;n=YG(k,68)|0;o=235159;p=n+68|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));C0(-209,k,235146,601)}m=Z$(c,g)|0;u=h;return m|0}if((d|0)<=(e|0)){m=0;u=h;return m|0}c=d-e|0;if(!(c&3)){f[j>>2]=c>>>2;g9b(g,235049,j)|0;m=g;u=h;return m|0}else{f[i>>2]=c;g9b(g,235053,i)|0;m=g;u=h;return m|0}return 0}function F0(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=u;u=u+176|0;h=g+40|0;i=g+8|0;j=g;k=g+48|0;l=g+32|0;m=g+24|0;n=g+16|0;o=TY(d,234939)|0;do if(!o){d=f[c+4>>2]|0;if((d|0)<=(e|0)){u=g;return}p=f[c>>2]|0;if(((p&-65536|0)==1117323264?(d|0)==88&(p&4094|0)==12:0)?(f[c+28>>2]|0)==8:0){f[l>>2]=0;f[l+4>>2]=0;f[h>>2]=f[l>>2];f[h+4>>2]=f[l+4>>2];XY(a,375218,14,0,h);ZY(a,457694,f[c+56>>2]|0);ZY(a,234613,f[c+60>>2]|0);ZY(a,473145,f[c+64>>2]|0);ZY(a,473280,f[c+68>>2]|0);YY(a);ZY(a,235043,f[c+72>>2]|0);u=g;return}if((p&-53248|0)==1117327360?((p&4095|0)==0?(f[c+28>>2]|0)==1:0):0){f[m>>2]=0;f[m+4>>2]=0;f[h>>2]=f[m>>2];f[h+4>>2]=f[m+4>>2];XY(a,234576,14,0,h);ZY(a,457694,f[c+56>>2]|0);ZY(a,234613,f[c+60>>2]|0);YY(a);u=g;return}p=d-e|0;if(!(p&3)){f[j>>2]=p>>>2;g9b(k,235049,j)|0;q=k;break}else{f[i>>2]=p;g9b(k,235053,i)|0;q=k;break}}else{p=$$(o,e)|0;if((p|0)>(f[c+4>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;p=YG(h,74)|0;d=234949;r=p+74|0;do{b[p>>0]=b[d>>0]|0;p=p+1|0;d=d+1|0}while((p|0)<(r|0));C0(-209,h,235024,533)}else q=o}while(0);$Y(a,234939,q,0);f[n>>2]=0;f[n+4>>2]=0;f[h>>2]=f[n>>2];f[h+4>>2]=f[n+4>>2];XY(a,235057,13,0,h);bZ(a,c+56|0,1,q);YY(a);u=g;return}function G0(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0;i=u;u=u+288|0;j=i+24|0;k=i;f[k>>2]=e;f[k+4>>2]=g;g=i+160|0;e=i+16|0;l=i+8|0;f[e>>2]=0;f[e+4>>2]=0;f[j>>2]=f[e>>2];f[j+4>>2]=f[e+4>>2];XY(a,c,6,234054,j);if((h|0)>-1)ZY(a,235715,h);h=E0(d,234177,k,0,i+32|0)|0;b[g>>0]=0;c=f[d>>2]|0;if(c&16384|0){e=g+(s8b(g)|0)|0;m=e;b[m>>0]=32;b[m+1>>0]=99;b[m+2>>0]=108;b[m+3>>0]=111;m=e+4|0;b[m>>0]=115;b[m+1>>0]=101;b[m+2>>0]=100;b[m+3>>0]=0}if(c&32768|0){m=g+(s8b(g)|0)|0;b[m>>0]=b[235794]|0;b[m+1>>0]=b[235795]|0;b[m+2>>0]=b[235796]|0;b[m+3>>0]=b[235797]|0;b[m+4>>0]=b[235798]|0;b[m+5>>0]=b[235799]|0}if((c&12288|0)==4096){m=g+(s8b(g)|0)|0;b[m>>0]=b[235800]|0;b[m+1>>0]=b[235801]|0;b[m+2>>0]=b[235802]|0;b[m+3>>0]=b[235803]|0;b[m+4>>0]=b[235804]|0;b[m+5>>0]=b[235805]|0;b[m+6>>0]=b[235806]|0}if((c&4095|0)==0?(f[d+28>>2]|0)!=1:0){c=g+(s8b(g)|0)|0;m=235807;e=c+9|0;do{b[c>>0]=b[m>>0]|0;c=c+1|0;m=m+1|0}while((c|0)<(e|0))}$Y(a,234870,g+((b[g>>0]|0)!=0&1)|0,1);ZY(a,235816,f[d+24>>2]|0);$Y(a,234177,h,0);F0(a,d,k,56);f[l>>2]=0;f[l+4>>2]=0;f[j>>2]=f[l>>2];f[j+4>>2]=f[l+4>>2];XY(a,404893,13,0,j);j=d+52|0;d=f[j>>2]|0;if(!d){YY(a);YY(a);u=i;return}else n=d;while(1){bZ(a,f[n+16>>2]|0,f[n+12>>2]|0,h);if((n|0)==(f[f[j>>2]>>2]|0)){o=15;break}n=f[n+4>>2]|0;if(!n){o=15;break}}if((o|0)==15){YY(a);YY(a);u=i;return}}function H0(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0;i=u;u=u+48|0;j=i;f[j>>2]=0;f[j+4>>2]=40;f[j+16>>2]=b;f[j+12>>2]=0;f[j+8>>2]=0;f[j+20>>2]=c;f[j+24>>2]=d;f[j+36>>2]=h;f[j+28>>2]=e;f[j+32>>2]=g;fZ(j);f[a>>2]=f[135576];u=i;return}function I0(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0;g=u;u=u+3376|0;h=g;i=g+3360|0;j=g+3304|0;k=g+2184|0;l=g+1120|0;m=g+56|0;o=g+3248|0;zT(i,50460);p=a+4|0;q=c+4|0;if((f[p>>2]|0)==(f[q>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;r=YG(h,34)|0;s=236045;t=r+34|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,h,236080,236091,133)}do if((pD(a)|0)==65536){v=f[p>>2]|0;f[j>>2]=f[v>>2];w=j+4|0;x=v+4|0;f[w>>2]=f[x>>2];y=j+8|0;f[y>>2]=f[v+8>>2];f[j+12>>2]=f[v+12>>2];f[j+16>>2]=f[v+16>>2];f[j+20>>2]=f[v+20>>2];f[j+24>>2]=f[v+24>>2];f[j+28>>2]=f[v+28>>2];f[j+32>>2]=f[v+32>>2];z=f[v+36>>2]|0;f[j+36>>2]=z;f[j+40>>2]=y;y=j+48|0;A=j+44|0;f[A>>2]=y;f[y>>2]=0;f[j+52>>2]=0;if(z|0){y=z+12|0;f[y>>2]=(f[y>>2]|0)+1}if((f[x>>2]|0)<3){x=f[v+44>>2]|0;y=f[A>>2]|0;f[y>>2]=f[x>>2];f[y+4>>2]=f[x+4>>2];break}else{f[w>>2]=0;kP(j,v);break}}else lD(j,a,-1);while(0);a=BP(j,2,-1,1)|0;p=f[j>>2]&7;if((a|0)<=-1){f[h>>2]=0;B=h+4|0;f[B>>2]=0;C=YG(h,50)|0;r=C;s=236161;t=r+50|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,h,236080,236091,137)}v=(p|0)==5;if((p|1|0)!=5){f[h>>2]=0;B=h+4|0;f[B>>2]=0;C=YG(h,50)|0;r=C;s=236161;t=r+50|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,h,236080,236091,137)}if(a){if(hE(c)|0)D=(oD(c,-1)|0)!=4;else D=e;e=k+8|0;f[k>>2]=e;C=k+4|0;B=a>>>0>264;f[C>>2]=a;if(B){w=Dmc(a>>>0>1073741823?-1:a<<2)|0;f[k>>2]=w;E=w}else E=e;w=a+2|0;x=l+8|0;f[l>>2]=x;y=l+4|0;f[y>>2]=w;if(w>>>0>264){A=Dmc(w>>>0>1073741823?-1:w<<2)|0;f[l>>2]=A;F=A}else F=x;A=m+8|0;f[m>>2]=A;w=m+4|0;f[w>>2]=a;if(B){B=Dmc(a>>>0>1073741823?-1:a<<2)|0;f[m>>2]=B;G=B}else G=A;B=f[j+16>>2]|0;if(!(f[j>>2]&16384)){f[h>>2]=0;f[h+4>>2]=0;r=YG(h,21)|0;s=236212;t=r+21|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,h,236080,236091,156)}else H=0;do{f[E+(H<<2)>>2]=B+(H<<3);H=H+1|0}while((H|0)!=(a|0));H=E+(a<<2)|0;if(v){K0(E,H,h);if((a|0)>1){s=1;r=0;t=0;while(1){I=+n[(f[E+(s<<2)>>2]|0)+4>>2];z=+n[(f[E+(r<<2)>>2]|0)+4>>2]>I?s:r;J=+n[(f[E+(t<<2)>>2]|0)+4>>2]<I?s:t;s=s+1|0;if((s|0)==(a|0)){K=z;L=J;break}else{r=z;t=J}}}else{K=0;L=0}}else{J0(E,H,h);if((a|0)>1){H=0;t=0;r=1;while(1){s=f[(f[E+(r<<2)>>2]|0)+4>>2]|0;J=(f[(f[E+(H<<2)>>2]|0)+4>>2]|0)>(s|0)?r:H;z=(f[(f[E+(t<<2)>>2]|0)+4>>2]|0)<(s|0)?r:t;r=r+1|0;if((r|0)==(a|0)){K=J;L=z;break}else{H=J;t=z}}}else{K=0;L=0}}t=f[E>>2]|0;H=a+-1|0;a=f[E+(H<<2)>>2]|0;if((f[t>>2]|0)==(f[a>>2]|0)?(f[t+4>>2]|0)==(f[a+4>>2]|0):0){f[G>>2]=0;M=1}else{a=F;if(v){t=M0(E,0,L,F,-1,1)|0;r=F+(t<<2)|0;N=r;O=M0(E,H,L,r,-1,-1)|0;P=t}else{t=L0(E,0,L,F,-1,1)|0;r=F+(t<<2)|0;N=r;O=L0(E,H,L,r,-1,-1)|0;P=t}t=N;N=d?a:t;r=d?P:O;L=d?t:a;t=d?O:P;P=r+-1|0;if((r|0)>1){O=N;z=B;J=0;do{f[G+(J<<2)>>2]=(f[E+(f[O+(J<<2)>>2]<<2)>>2]|0)-z>>3;J=J+1|0}while((J|0)!=(P|0));Q=P}else Q=0;if((t|0)>1){P=L;J=B;z=t+Q+-1|0;O=Q;s=t;do{s=s+-1|0;R=O;O=O+1|0;f[G+(R<<2)>>2]=(f[E+(f[P+(s<<2)>>2]<<2)>>2]|0)-J>>3}while((O|0)!=(z|0));if((t|0)>2){S=z;T=L+4|0;U=47}else{V=z;U=45}}else{V=Q;U=45}if((U|0)==45)if((r|0)>2){S=V;T=N+(r+-2<<2)|0;U=47}else{W=V;X=-1}if((U|0)==47){W=S;X=f[T>>2]|0}if(v){v=M0(E,0,K,F,1,-1)|0;T=F+(v<<2)|0;Z=T;_=v;$=M0(E,H,K,T,1,1)|0}else{T=L0(E,0,K,F,1,-1)|0;v=F+(T<<2)|0;Z=v;_=T;$=L0(E,H,K,v,1,1)|0}v=Z;Z=d?v:a;K=d?$:_;H=d?a:v;v=d?_:$;do if((X|0)>-1){do if((K|0)>2){aa=Z+4|0;U=56}else{if((K+v|0)<=2){ba=-1;break}aa=H+(2-K<<2)|0;U=56}while(0);if((U|0)==56)ba=f[aa>>2]|0;if((ba|0)!=(X|0)){if((ba|0)<=-1){U=62;break}$=f[E+(ba<<2)>>2]|0;_=f[E+(X<<2)>>2]|0;if((f[$>>2]|0)!=(f[_>>2]|0)){U=62;break}if((f[$+4>>2]|0)!=(f[_+4>>2]|0)){U=62;break}}_=(v|0)<2?v:2;if((K|0)<2){ca=_;da=W}else{ea=_;fa=2;ga=1;U=63}}else U=62;while(0);if((U|0)==62)if((K|0)>1){ea=v;fa=K;ga=K+-1|0;U=63}else{ca=v;da=W}if((U|0)==63){U=Z;Z=B;v=fa+W|0;fa=W;W=0;while(1){f[G+(fa<<2)>>2]=(f[E+(f[U+(W<<2)>>2]<<2)>>2]|0)-Z>>3;W=W+1|0;if((W|0)==(ga|0))break;else fa=fa+1|0}ca=ea;da=v+-1|0}if((ca|0)>1){v=H;H=B;ea=ca+da|0;fa=da;ga=ca;while(1){ga=ga+-1|0;f[G+(fa<<2)>>2]=(f[E+(f[v+(ga<<2)>>2]<<2)>>2]|0)-H>>3;if((ga|0)<=1)break;else fa=fa+1|0}M=ea+-1|0}else M=da}if(D){iE(c,M,1,p|8,-1,0,0);do if((pD(c)|0)==65536){p=f[q>>2]|0;f[h>>2]=f[p>>2];D=h+4|0;da=p+4|0;f[D>>2]=f[da>>2];ea=h+8|0;f[ea>>2]=f[p+8>>2];f[h+12>>2]=f[p+12>>2];f[h+16>>2]=f[p+16>>2];f[h+20>>2]=f[p+20>>2];f[h+24>>2]=f[p+24>>2];f[h+28>>2]=f[p+28>>2];f[h+32>>2]=f[p+32>>2];fa=f[p+36>>2]|0;f[h+36>>2]=fa;f[h+40>>2]=ea;ea=h+48|0;ga=h+44|0;f[ga>>2]=ea;f[ea>>2]=0;f[h+52>>2]=0;if(fa|0){ea=fa+12|0;f[ea>>2]=(f[ea>>2]|0)+1}if((f[da>>2]|0)<3){da=f[p+44>>2]|0;ea=f[ga>>2]|0;f[ea>>2]=f[da>>2];f[ea+4>>2]=f[da+4>>2];ha=h;break}else{f[D>>2]=0;kP(h,p);ha=h;break}}else{lD(h,c,-1);ha=h}while(0);if(!(f[ha>>2]&16384))ia=f[f[h+44>>2]>>2]|0;else ia=8;if((M|0)>0){ha=f[h+16>>2]|0;q=0;do{p=f[G+(q<<2)>>2]|0;D=ha+(Y(q,ia)|0)|0;f[D>>2]=f[B+(p<<3)>>2];f[D+4>>2]=f[B+(p<<3)+4>>2];q=q+1|0}while((q|0)!=(M|0))}q=h+36|0;B=f[q>>2]|0;do if(B|0){ia=B+12|0;ha=f[ia>>2]|0;f[ia>>2]=ha+-1;if((ha|0)!=1)break;lP(h)}while(0);f[q>>2]=0;q=h+16|0;B=h+4|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[B>>2]|0)>0){q=f[h+40>>2]|0;ha=0;do{f[q+(ha<<2)>>2]=0;ha=ha+1|0}while((ha|0)<(f[B>>2]|0))}B=f[h+44>>2]|0;if((B|0)!=(h+48|0))tE(B)}else{Ri(o,M,1,4,G,0);kT(o,c);G=o+36|0;M=f[G>>2]|0;if(M|0?(B=M+12|0,M=f[B>>2]|0,f[B>>2]=M+-1,(M|0)==1):0)lP(o);f[G>>2]=0;G=o+16|0;M=o+4|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[M>>2]|0)>0){G=f[o+40>>2]|0;B=0;do{f[G+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[M>>2]|0))}M=f[o+44>>2]|0;if((M|0)!=(o+48|0))tE(M)}M=f[m>>2]|0;if((M|0)!=(A|0)){if(M|0)Fmc(M);f[m>>2]=A;f[w>>2]=264}w=f[l>>2]|0;if((w|0)!=(x|0)){if(w|0)Fmc(w);f[l>>2]=x;f[y>>2]=264}y=f[k>>2]|0;if((y|0)!=(e|0)){if(y|0)Fmc(y);f[k>>2]=e;f[C>>2]=264}}else GD(c);c=j+36|0;C=f[c>>2]|0;if(C|0?(e=C+12|0,C=f[e>>2]|0,f[e>>2]=C+-1,(C|0)==1):0)lP(j);f[c>>2]=0;c=j+16|0;C=j+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[C>>2]|0)>0){c=f[j+40>>2]|0;e=0;do{f[c+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[C>>2]|0))}C=f[j+44>>2]|0;if((C|0)!=(j+48|0))tE(C);if(!(f[i+4>>2]|0)){u=g;return}u=g;return}function J0(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;d=a;a=b;a:while(1){b=a;e=a+-4|0;g=a+-8|0;h=d;while(1){i=h;b:while(1){j=i;k=b-j|0;l=k>>2;switch(l|0){case 2:{m=5;break a;break}case 3:{m=9;break a;break}case 4:{m=27;break a;break}case 5:{m=28;break a;break}case 1:case 0:{m=107;break a;break}default:{}}if((k|0)<124){m=30;break a}n=i+(((l|0)/2|0)<<2)|0;do if((k|0)>3996){o=(l|0)/4|0;p=S0(i,i+(o<<2)|0,n,n+(o<<2)|0,e,c)|0}else{o=f[n>>2]|0;q=f[i>>2]|0;r=f[o>>2]|0;s=f[q>>2]|0;t=o;u=q;if((r|0)>=(s|0))if((r|0)==(s|0))v=(f[o+4>>2]|0)<(f[q+4>>2]|0);else v=0;else v=1;w=f[e>>2]|0;x=f[w>>2]|0;y=w;if((x|0)>=(r|0))if((x|0)==(r|0))z=(f[w+4>>2]|0)<(f[o+4>>2]|0);else z=0;else z=1;if(!v){if(!z){p=0;break}f[n>>2]=y;f[e>>2]=t;o=f[n>>2]|0;w=f[i>>2]|0;r=f[o>>2]|0;x=f[w>>2]|0;A=w;B=o;if((r|0)>=(x|0)){if((r|0)!=(x|0)){p=1;break}if((f[o+4>>2]|0)>=(f[w+4>>2]|0)){p=1;break}}f[i>>2]=B;f[n>>2]=A;p=2;break}if(z){f[i>>2]=y;f[e>>2]=u;p=1;break}f[i>>2]=t;f[n>>2]=u;t=f[e>>2]|0;y=f[t>>2]|0;A=t;if((y|0)>=(s|0)){if((y|0)!=(s|0)){p=1;break}if((f[t+4>>2]|0)>=(f[q+4>>2]|0)){p=1;break}}f[n>>2]=A;f[e>>2]=u;p=2}while(0);C=f[i>>2]|0;l=f[n>>2]|0;k=f[C>>2]|0;u=f[l>>2]|0;if((k|0)<(u|0)){D=e;E=p;break}if((k|0)==(u|0)?(f[C+4>>2]|0)<(f[l+4>>2]|0):0){D=e;E=p;break}if((i|0)!=(g|0)){A=l+4|0;F=g;while(1){G=f[F>>2]|0;l=f[G>>2]|0;if((l|0)<(u|0)){m=82;break b}if((l|0)==(u|0)?(f[G+4>>2]|0)<(f[A>>2]|0):0){m=82;break b}l=F+-4|0;if((i|0)==(l|0))break;else F=l}}A=i+4|0;u=f[e>>2]|0;l=f[u>>2]|0;q=u;do if((k|0)<(l|0))H=A;else{if((k|0)==(l|0)?(f[C+4>>2]|0)<(f[u+4>>2]|0):0){H=A;break}if((A|0)==(e|0)){m=107;break a}t=C+4|0;s=A;while(1){I=f[s>>2]|0;y=f[I>>2]|0;if((k|0)<(y|0))break;if((k|0)==(y|0)?(f[t>>2]|0)<(f[I+4>>2]|0):0)break;y=s+4|0;if((y|0)==(e|0)){m=107;break a}else s=y}f[s>>2]=q;f[e>>2]=I;H=s+4|0}while(0);if((H|0)==(e|0)){m=107;break a}else{J=e;K=H}while(1){q=f[i>>2]|0;k=f[K>>2]|0;A=f[q>>2]|0;u=f[k>>2]|0;c:do if((A|0)<(u|0))L=K;else{l=q+4|0;t=K;y=u;B=k;while(1){if((A|0)==(y|0)?(f[l>>2]|0)<(f[B+4>>2]|0):0){L=t;break c}w=t+4|0;B=f[w>>2]|0;y=f[B>>2]|0;if((A|0)<(y|0)){L=w;break}else t=w}}while(0);k=q+4|0;u=J;while(1){s=u;u=u+-4|0;M=f[u>>2]|0;s=f[M>>2]|0;if((A|0)<(s|0)){u=u;continue}if((A|0)!=(s|0))break;if((f[k>>2]|0)>=(f[M+4>>2]|0))break}if(L>>>0>=u>>>0){i=L;continue b}k=f[L>>2]|0;f[L>>2]=M;f[u>>2]=k;J=u;K=L+4|0}}if((m|0)==82){m=0;f[i>>2]=G;f[F>>2]=C;D=F;E=p+1|0}k=i+4|0;d:do if(k>>>0<D>>>0){A=n;q=D;s=k;t=E;while(1){y=f[A>>2]|0;B=f[y>>2]|0;l=y+4|0;y=s;while(1){N=f[y>>2]|0;w=f[N>>2]|0;if((w|0)>=(B|0)){if((w|0)!=(B|0))break;if((f[N+4>>2]|0)>=(f[l>>2]|0))break}y=y+4|0}u=N;w=q+-4|0;o=f[w>>2]|0;x=f[o>>2]|0;e:do if((x|0)<(B|0))O=w;else{r=x;P=o;Q=w;while(1){if((r|0)==(B|0)?(f[P+4>>2]|0)<(f[l>>2]|0):0){O=Q;break e}R=Q+-4|0;P=f[R>>2]|0;r=f[P>>2]|0;if((r|0)<(B|0)){O=R;break}else Q=R}}while(0);if(y>>>0>O>>>0){S=A;T=t;U=y;break d}f[y>>2]=f[O>>2];f[O>>2]=u;A=(A|0)==(y|0)?O:A;q=O;s=y+4|0;t=t+1|0}}else{S=n;T=E;U=k}while(0);do if((U|0)==(S|0))V=T;else{k=f[S>>2]|0;t=f[U>>2]|0;s=f[k>>2]|0;q=f[t>>2]|0;A=t;B=k;if((s|0)>=(q|0)){if((s|0)!=(q|0)){V=T;break}if((f[k+4>>2]|0)>=(f[t+4>>2]|0)){V=T;break}}f[U>>2]=B;f[S>>2]=A;V=T+1|0}while(0);if(!V){W=U0(i,U,c)|0;A=U+4|0;if(U0(A,a,c)|0){m=106;break}if(W){h=A;continue}}A=U;if((A-j|0)>=(b-A|0)){m=105;break}J0(i,U,c);h=U+4|0}if((m|0)==105){m=0;J0(U+4|0,a,c);d=i;a=U;continue}else if((m|0)==106){m=0;if(W){m=107;break}else{d=i;a=U;continue}}}if((m|0)==5){U=f[e>>2]|0;d=f[i>>2]|0;W=f[U>>2]|0;j=f[d>>2]|0;V=d;T=U;if((W|0)>=(j|0)){if((W|0)!=(j|0))return;if((f[U+4>>2]|0)>=(f[d+4>>2]|0))return}f[i>>2]=T;f[e>>2]=V;return}else if((m|0)==9){V=i+4|0;T=f[V>>2]|0;d=f[i>>2]|0;U=f[T>>2]|0;j=f[d>>2]|0;W=T;S=d;if((U|0)>=(j|0))if((U|0)==(j|0))X=(f[T+4>>2]|0)<(f[d+4>>2]|0);else X=0;else X=1;E=f[e>>2]|0;n=f[E>>2]|0;O=E;if((n|0)>=(U|0))if((n|0)==(U|0))Y=(f[E+4>>2]|0)<(f[T+4>>2]|0);else Y=0;else Y=1;if(!X){if(!Y)return;f[V>>2]=O;f[e>>2]=W;X=f[V>>2]|0;T=f[i>>2]|0;E=f[X>>2]|0;U=f[T>>2]|0;n=T;N=X;if((E|0)>=(U|0)){if((E|0)!=(U|0))return;if((f[X+4>>2]|0)>=(f[T+4>>2]|0))return}f[i>>2]=N;f[V>>2]=n;return}if(Y){f[i>>2]=O;f[e>>2]=S;return}f[i>>2]=W;f[V>>2]=S;W=f[e>>2]|0;O=f[W>>2]|0;Y=W;if((O|0)>=(j|0)){if((O|0)!=(j|0))return;if((f[W+4>>2]|0)>=(f[d+4>>2]|0))return}f[V>>2]=Y;f[e>>2]=S;return}else if((m|0)==27){R0(i,i+4|0,i+8|0,e,c)|0;return}else if((m|0)==28){S0(i,i+4|0,i+8|0,i+12|0,e,c)|0;return}else if((m|0)==30){T0(i,a,c);return}else if((m|0)==107)return}function K0(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0.0,t=0.0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;d=a;a=b;a:while(1){b=a;e=a+-4|0;g=a+-8|0;h=d;while(1){i=h;b:while(1){j=i;k=b-j|0;l=k>>2;switch(l|0){case 2:{m=5;break a;break}case 3:{m=9;break a;break}case 4:{m=27;break a;break}case 5:{m=28;break a;break}case 1:case 0:{m=107;break a;break}default:{}}if((k|0)<124){m=30;break a}o=i+(((l|0)/2|0)<<2)|0;do if((k|0)>3996){p=(l|0)/4|0;q=O0(i,i+(p<<2)|0,o,o+(p<<2)|0,e,c)|0}else{p=f[o>>2]|0;r=f[i>>2]|0;s=+n[p>>2];t=+n[r>>2];u=p;v=r;if(!(s<t))if(s==t)w=+n[p+4>>2]<+n[r+4>>2];else w=0;else w=1;x=f[e>>2]|0;y=+n[x>>2];z=x;if(!(y<s))if(y==s)A=+n[x+4>>2]<+n[p+4>>2];else A=0;else A=1;if(!w){if(!A){q=0;break}f[o>>2]=z;f[e>>2]=u;p=f[o>>2]|0;x=f[i>>2]|0;s=+n[p>>2];y=+n[x>>2];B=x;C=p;if(!(s<y)){if(!(s==y)){q=1;break}if(!(+n[p+4>>2]<+n[x+4>>2])){q=1;break}}f[i>>2]=C;f[o>>2]=B;q=2;break}if(A){f[i>>2]=z;f[e>>2]=v;q=1;break}f[i>>2]=u;f[o>>2]=v;u=f[e>>2]|0;y=+n[u>>2];z=u;if(!(y<t)){if(!(y==t)){q=1;break}if(!(+n[u+4>>2]<+n[r+4>>2])){q=1;break}}f[o>>2]=z;f[e>>2]=v;q=2}while(0);D=f[i>>2]|0;l=f[o>>2]|0;t=+n[D>>2];y=+n[l>>2];if(t<y){E=e;F=q;break}if(t==y?+n[D+4>>2]<+n[l+4>>2]:0){E=e;F=q;break}if((i|0)!=(g|0)){k=l+4|0;G=g;while(1){H=f[G>>2]|0;s=+n[H>>2];if(s<y){m=82;break b}if(s==y?+n[H+4>>2]<+n[k>>2]:0){m=82;break b}l=G+-4|0;if((i|0)==(l|0))break;else G=l}}k=i+4|0;l=f[e>>2]|0;y=+n[l>>2];v=l;do if(t<y)I=k;else{if(t==y?+n[D+4>>2]<+n[l+4>>2]:0){I=k;break}if((k|0)==(e|0)){m=107;break a}z=D+4|0;r=k;while(1){J=f[r>>2]|0;s=+n[J>>2];if(t<s)break;if(t==s?+n[z>>2]<+n[J+4>>2]:0)break;u=r+4|0;if((u|0)==(e|0)){m=107;break a}else r=u}f[r>>2]=v;f[e>>2]=J;I=r+4|0}while(0);if((I|0)==(e|0)){m=107;break a}else{K=e;L=I}while(1){v=f[i>>2]|0;k=f[L>>2]|0;t=+n[v>>2];y=+n[k>>2];c:do if(t<y)M=L;else{l=v+4|0;z=L;s=y;u=k;while(1){if(t==s?+n[l>>2]<+n[u+4>>2]:0){M=z;break c}B=z+4|0;u=f[B>>2]|0;s=+n[u>>2];if(t<s){M=B;break}else z=B}}while(0);k=v+4|0;r=K;while(1){z=r;r=r+-4|0;N=f[r>>2]|0;y=+n[N>>2];if(t<y){r=r;continue}if(!(t==y))break;if(!(+n[k>>2]<+n[N+4>>2]))break}if(M>>>0>=r>>>0){i=M;continue b}k=f[M>>2]|0;f[M>>2]=N;f[r>>2]=k;K=r;L=M+4|0}}if((m|0)==82){m=0;f[i>>2]=H;f[G>>2]=D;E=G;F=q+1|0}k=i+4|0;d:do if(k>>>0<E>>>0){v=o;z=E;u=k;l=F;while(1){B=f[v>>2]|0;t=+n[B>>2];C=B+4|0;B=u;while(1){O=f[B>>2]|0;y=+n[O>>2];if(!(y<t)){if(!(y==t))break;if(!(+n[O+4>>2]<+n[C>>2]))break}B=B+4|0}r=O;x=z+-4|0;p=f[x>>2]|0;y=+n[p>>2];e:do if(y<t)P=x;else{s=y;Q=p;R=x;while(1){if(s==t?+n[Q+4>>2]<+n[C>>2]:0){P=R;break e}S=R+-4|0;Q=f[S>>2]|0;s=+n[Q>>2];if(s<t){P=S;break}else R=S}}while(0);if(B>>>0>P>>>0){T=v;U=l;V=B;break d}f[B>>2]=f[P>>2];f[P>>2]=r;v=(v|0)==(B|0)?P:v;z=P;u=B+4|0;l=l+1|0}}else{T=o;U=F;V=k}while(0);do if((V|0)==(T|0))W=U;else{k=f[T>>2]|0;l=f[V>>2]|0;t=+n[k>>2];y=+n[l>>2];u=l;z=k;if(!(t<y)){if(!(t==y)){W=U;break}if(!(+n[k+4>>2]<+n[l+4>>2])){W=U;break}}f[V>>2]=z;f[T>>2]=u;W=U+1|0}while(0);if(!W){X=Q0(i,V,c)|0;u=V+4|0;if(Q0(u,a,c)|0){m=106;break}if(X){h=u;continue}}u=V;if((u-j|0)>=(b-u|0)){m=105;break}K0(i,V,c);h=V+4|0}if((m|0)==105){m=0;K0(V+4|0,a,c);d=i;a=V;continue}else if((m|0)==106){m=0;if(X){m=107;break}else{d=i;a=V;continue}}}if((m|0)==5){V=f[e>>2]|0;d=f[i>>2]|0;y=+n[V>>2];t=+n[d>>2];X=d;j=V;if(!(y<t)){if(!(y==t))return;if(!(+n[V+4>>2]<+n[d+4>>2]))return}f[i>>2]=j;f[e>>2]=X;return}else if((m|0)==9){X=i+4|0;j=f[X>>2]|0;d=f[i>>2]|0;t=+n[j>>2];y=+n[d>>2];V=j;W=d;if(!(t<y))if(t==y)Y=+n[j+4>>2]<+n[d+4>>2];else Y=0;else Y=1;U=f[e>>2]|0;s=+n[U>>2];T=U;if(!(s<t))if(s==t)Z=+n[U+4>>2]<+n[j+4>>2];else Z=0;else Z=1;if(!Y){if(!Z)return;f[X>>2]=T;f[e>>2]=V;Y=f[X>>2]|0;j=f[i>>2]|0;t=+n[Y>>2];s=+n[j>>2];U=j;F=Y;if(!(t<s)){if(!(t==s))return;if(!(+n[Y+4>>2]<+n[j+4>>2]))return}f[i>>2]=F;f[X>>2]=U;return}if(Z){f[i>>2]=T;f[e>>2]=W;return}f[i>>2]=V;f[X>>2]=W;V=f[e>>2]|0;s=+n[V>>2];T=V;if(!(s<y)){if(!(s==y))return;if(!(+n[V+4>>2]<+n[d+4>>2]))return}f[X>>2]=T;f[e>>2]=W;return}else if((m|0)==27){N0(i,i+4|0,i+8|0,e,c)|0;return}else if((m|0)==28){O0(i,i+4|0,i+8|0,i+12|0,e,c)|0;return}else if((m|0)==30){P0(i,a,c);return}else if((m|0)==107)return}function L0(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;h=(c|0)>(b|0)?1:-1;i=h+b|0;j=i+h|0;do if((b|0)!=(c|0)){k=f[a+(b<<2)>>2]|0;l=f[a+(c<<2)>>2]|0;if((f[k>>2]|0)==(f[l>>2]|0)?(f[k+4>>2]|0)==(f[l+4>>2]|0):0)break;f[d>>2]=b;l=d+4|0;f[l>>2]=i;k=d+8|0;f[k>>2]=j;m=h+c|0;a:do if((j|0)==(m|0))n=3;else{o=b;p=i;q=j;r=3;while(1){s=d+(r+-1<<2)|0;t=a+(o<<2)|0;u=f[a+(p<<2)>>2]|0;b:do if((o|0)!=(b|0)){v=u+4|0;w=q;while(1){x=f[v>>2]|0;y=f[a+(w<<2)>>2]|0;z=(f[y+4>>2]|0)-x|0;if((((z|0)>0&1)-(z>>>31)|0)!=(e|0))break;A=w+h|0;f[s>>2]=A;if((A|0)==(m|0)){n=r;break a}else w=A}v=f[u>>2]|0;A=f[t>>2]|0;B=v-(f[A>>2]|0)|0;C=x-(f[A+4>>2]|0)|0;A=(Y(C,(f[y>>2]|0)-v|0)|0)-(Y(B,z)|0)|0;if((C|B|0)==0?1:(((A|0)>0&1)-(A>>>31)|0)!=(g|0)){f[d+(r+-2<<2)>>2]=w;D=f[d+(r+-4<<2)>>2]|0;E=o;F=w;G=-1}else{H=p;I=w;J=15}}else{A=p;B=q;C=u;while(1){v=C+4|0;K=B;while(1){L=f[v>>2]|0;M=f[a+(K<<2)>>2]|0;N=(f[M+4>>2]|0)-L|0;if((((N|0)>0&1)-(N>>>31)|0)!=(e|0))break;O=K+h|0;f[s>>2]=O;if((O|0)==(m|0)){n=r;break a}else K=O}v=f[C>>2]|0;O=f[t>>2]|0;P=v-(f[O>>2]|0)|0;Q=L-(f[O+4>>2]|0)|0;O=(Y(Q,(f[M>>2]|0)-v|0)|0)-(Y(P,N)|0)|0;if(!((Q|P|0)==0?1:(((O|0)>0&1)-(O>>>31)|0)!=(g|0))){H=A;I=K;J=15;break b}f[l>>2]=K;O=K+h|0;f[k>>2]=O;if((O|0)==(m|0)){n=r;break a}else{A=K;B=O;C=M}}}while(0);if((J|0)==15){J=0;t=I+h|0;f[d+(r<<2)>>2]=t;D=H;E=I;F=t;G=1}t=r+G|0;if((F|0)==(m|0)){n=t;break}else{o=D;p=E;q=F;r=t}}}while(0);R=n+-1|0;return R|0}while(0);f[d>>2]=b;R=1;return R|0}function M0(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0.0,E=0.0,F=0,G=0.0,H=0.0,I=0.0,J=0.0,K=0,L=0,M=0,N=0,O=0.0,P=0,Q=0,R=0,S=0,T=0;h=(c|0)>(b|0)?1:-1;i=h+b|0;j=i+h|0;do if((b|0)!=(c|0)){k=f[a+(b<<2)>>2]|0;l=f[a+(c<<2)>>2]|0;if(+n[k>>2]==+n[l>>2]?+n[k+4>>2]==+n[l+4>>2]:0)break;f[d>>2]=b;l=d+4|0;f[l>>2]=i;k=d+8|0;f[k>>2]=j;m=h+c|0;a:do if((j|0)==(m|0))o=3;else{p=b;q=i;r=j;s=3;while(1){t=d+(s+-1<<2)|0;u=a+(p<<2)|0;v=f[a+(q<<2)>>2]|0;w=+n[v+4>>2];b:do if((p|0)==(b|0)){x=q;y=r;z=w;A=v;while(1){B=y;while(1){C=f[a+(B<<2)>>2]|0;D=+n[C+4>>2];E=D-z;if(((E>0.0&1)-(E<0.0&1)|0)!=(e|0))break;F=B+h|0;f[t>>2]=F;if((F|0)==(m|0)){o=s;break a}else B=F}G=+n[A>>2];F=f[u>>2]|0;H=G-+n[F>>2];I=z-+n[F+4>>2];J=(+n[C>>2]-G)*I-E*H;if(((J>0.0&1)-(J<0.0&1)|0)==(g|0)?H!=0.0|I!=0.0:0){K=x;L=B;M=16;break b}f[l>>2]=B;F=B+h|0;f[k>>2]=F;if((F|0)==(m|0)){o=s;break a}else{x=B;y=F;z=D;A=C}}}else{A=r;while(1){N=f[a+(A<<2)>>2]|0;O=+n[N+4>>2]-w;if(((O>0.0&1)-(O<0.0&1)|0)!=(e|0))break;y=A+h|0;f[t>>2]=y;if((y|0)==(m|0)){o=s;break a}else A=y}z=+n[v>>2];y=f[u>>2]|0;I=z-+n[y>>2];H=w-+n[y+4>>2];J=(+n[N>>2]-z)*H-O*I;if(((J>0.0&1)-(J<0.0&1)|0)==(g|0)?I!=0.0|H!=0.0:0){K=q;L=A;M=16;break}f[d+(s+-2<<2)>>2]=A;P=f[d+(s+-4<<2)>>2]|0;Q=p;R=A;S=-1}while(0);if((M|0)==16){M=0;u=L+h|0;f[d+(s<<2)>>2]=u;P=K;Q=L;R=u;S=1}u=s+S|0;if((R|0)==(m|0)){o=u;break}else{p=P;q=Q;r=R;s=u}}}while(0);T=o+-1|0;return T|0}while(0);f[d>>2]=b;T=1;return T|0}function N0(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0.0,i=0.0,j=0,k=0,l=0,m=0,o=0.0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;e=f[b>>2]|0;g=f[a>>2]|0;h=+n[e>>2];i=+n[g>>2];j=e;k=g;if(!(h<i))if(h==i)l=+n[e+4>>2]<+n[g+4>>2];else l=0;else l=1;m=f[c>>2]|0;o=+n[m>>2];p=m;if(!(o<h))if(o==h)q=+n[m+4>>2]<+n[e+4>>2];else q=0;else q=1;do if(!l)if(q){f[b>>2]=p;f[c>>2]=j;r=f[b>>2]|0;s=f[a>>2]|0;h=+n[r>>2];o=+n[s>>2];t=s;u=r;if(!(h<o)){if(!(h==o)){v=1;w=e;x=j;break}if(!(+n[r+4>>2]<+n[s+4>>2])){v=1;w=e;x=j;break}}f[a>>2]=u;f[b>>2]=t;t=f[c>>2]|0;v=2;w=t;x=t}else{v=0;w=m;x=p}else{if(q){f[a>>2]=p;f[c>>2]=k;v=1;w=g;x=k;break}f[a>>2]=j;f[b>>2]=k;t=f[c>>2]|0;o=+n[t>>2];u=t;if(!(o<i)){if(!(o==i)){v=1;w=t;x=u;break}if(!(+n[t+4>>2]<+n[g+4>>2])){v=1;w=t;x=u;break}}f[b>>2]=u;f[c>>2]=k;v=2;w=g;x=k}while(0);k=f[d>>2]|0;i=+n[k>>2];o=+n[w>>2];g=k;if(!(i<o)){if(!(i==o)){y=v;return y|0}if(!(+n[k+4>>2]<+n[w+4>>2])){y=v;return y|0}}f[c>>2]=g;f[d>>2]=x;x=v+1|0;d=f[c>>2]|0;g=f[b>>2]|0;o=+n[d>>2];i=+n[g>>2];w=g;k=d;if(!(o<i)){if(!(o==i)){y=x;return y|0}if(!(+n[d+4>>2]<+n[g+4>>2])){y=x;return y|0}}f[b>>2]=k;f[c>>2]=w;w=v+2|0;c=f[b>>2]|0;k=f[a>>2]|0;i=+n[c>>2];o=+n[k>>2];x=k;g=c;if(!(i<o)){if(!(i==o)){y=w;return y|0}if(!(+n[c+4>>2]<+n[k+4>>2])){y=w;return y|0}}f[a>>2]=g;f[b>>2]=x;y=v+3|0;return y|0}function O0(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0.0,k=0.0,l=0,m=0,o=0;h=N0(a,b,c,d,g)|0;g=f[e>>2]|0;i=f[d>>2]|0;j=+n[g>>2];k=+n[i>>2];l=i;m=g;if(!(j<k)){if(!(j==k)){o=h;return o|0}if(!(+n[g+4>>2]<+n[i+4>>2])){o=h;return o|0}}f[d>>2]=m;f[e>>2]=l;l=h+1|0;e=f[d>>2]|0;m=f[c>>2]|0;k=+n[e>>2];j=+n[m>>2];i=m;g=e;if(!(k<j)){if(!(k==j)){o=l;return o|0}if(!(+n[e+4>>2]<+n[m+4>>2])){o=l;return o|0}}f[c>>2]=g;f[d>>2]=i;i=h+2|0;d=f[c>>2]|0;g=f[b>>2]|0;j=+n[d>>2];k=+n[g>>2];l=g;m=d;if(!(j<k)){if(!(j==k)){o=i;return o|0}if(!(+n[d+4>>2]<+n[g+4>>2])){o=i;return o|0}}f[b>>2]=m;f[c>>2]=l;l=h+3|0;c=f[b>>2]|0;m=f[a>>2]|0;k=+n[c>>2];j=+n[m>>2];i=m;g=c;if(!(k<j)){if(!(k==j)){o=l;return o|0}if(!(+n[c+4>>2]<+n[m+4>>2])){o=l;return o|0}}f[a>>2]=g;f[b>>2]=i;o=h+4|0;return o|0}function P0(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0.0,i=0.0,j=0,k=0,l=0,m=0,o=0.0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;c=a+8|0;d=a+4|0;e=f[d>>2]|0;g=f[a>>2]|0;h=+n[e>>2];i=+n[g>>2];j=e;k=g;if(!(h<i))if(h==i)l=+n[e+4>>2]<+n[g+4>>2];else l=0;else l=1;m=f[c>>2]|0;o=+n[m>>2];p=m;if(!(o<h))if(o==h)q=+n[m+4>>2]<+n[e+4>>2];else q=0;else q=1;do if(!l)if(q){f[d>>2]=p;f[c>>2]=j;if(!(o<i)){if(!(o==i)){r=j;s=e;break}if(!(+n[m+4>>2]<+n[g+4>>2])){r=j;s=e;break}}f[a>>2]=p;f[d>>2]=k;r=j;s=e}else{r=p;s=m}else{if(q){f[a>>2]=p;f[c>>2]=k;r=k;s=g;break}f[a>>2]=j;f[d>>2]=k;if(!(o<i)){if(!(o==i)){r=p;s=m;break}if(!(+n[m+4>>2]<+n[g+4>>2])){r=p;s=m;break}}f[d>>2]=p;f[c>>2]=k;r=k;s=g}while(0);g=a+12|0;if((g|0)==(b|0))return;else{t=g;u=c;v=s;w=r}while(1){r=f[t>>2]|0;i=+n[r>>2];o=+n[v>>2];s=r;if(!(i<o)){if(i==o?(c=r+4|0,+n[c>>2]<+n[v+4>>2]):0){x=c;y=25}}else{x=r+4|0;y=25}if((y|0)==25){y=0;f[t>>2]=w;a:do if((u|0)==(a|0))z=u;else{r=u;c=u;while(1){g=c;c=r+-4|0;k=f[c>>2]|0;o=+n[k>>2];p=k;if(!(i<o)){if(!(i==o)){z=g;break a}if(!(+n[x>>2]<+n[k+4>>2])){z=g;break a}}f[g>>2]=p;if((c|0)==(a|0)){z=c;break}else r=c}}while(0);f[z>>2]=s}c=t+4|0;if((c|0)==(b|0))break;r=f[t>>2]|0;p=t;t=c;v=r;w=r;u=p}return}function Q0(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0.0,i=0.0,j=0,k=0,l=0,m=0,o=0,p=0,q=0.0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;switch(b-a>>2|0){case 2:{d=b+-4|0;e=f[d>>2]|0;g=f[a>>2]|0;h=+n[e>>2];i=+n[g>>2];j=g;k=e;if(!(h<i)){if(!(h==i)){l=1;return l|0}if(!(+n[e+4>>2]<+n[g+4>>2])){l=1;return l|0}}f[a>>2]=k;f[d>>2]=j;l=1;return l|0}case 3:{j=a+4|0;d=b+-4|0;k=f[j>>2]|0;g=f[a>>2]|0;i=+n[k>>2];h=+n[g>>2];e=k;m=g;if(!(i<h))if(i==h)o=+n[k+4>>2]<+n[g+4>>2];else o=0;else o=1;p=f[d>>2]|0;q=+n[p>>2];r=p;if(!(q<i))if(q==i)s=+n[p+4>>2]<+n[k+4>>2];else s=0;else s=1;if(!o){if(!s){l=1;return l|0}f[j>>2]=r;f[d>>2]=e;o=f[j>>2]|0;k=f[a>>2]|0;i=+n[o>>2];q=+n[k>>2];p=k;t=o;if(!(i<q)){if(!(i==q)){l=1;return l|0}if(!(+n[o+4>>2]<+n[k+4>>2])){l=1;return l|0}}f[a>>2]=t;f[j>>2]=p;l=1;return l|0}if(s){f[a>>2]=r;f[d>>2]=m;l=1;return l|0}f[a>>2]=e;f[j>>2]=m;e=f[d>>2]|0;q=+n[e>>2];r=e;if(!(q<h)){if(!(q==h)){l=1;return l|0}if(!(+n[e+4>>2]<+n[g+4>>2])){l=1;return l|0}}f[j>>2]=r;f[d>>2]=m;l=1;return l|0}case 4:{N0(a,a+4|0,a+8|0,b+-4|0,c)|0;l=1;return l|0}case 5:{O0(a,a+4|0,a+8|0,a+12|0,b+-4|0,c)|0;l=1;return l|0}case 1:case 0:{l=1;return l|0}default:{c=a+8|0;m=a+4|0;d=f[m>>2]|0;r=f[a>>2]|0;h=+n[d>>2];q=+n[r>>2];j=d;g=r;if(!(h<q))if(h==q)u=+n[d+4>>2]<+n[r+4>>2];else u=0;else u=1;e=f[c>>2]|0;i=+n[e>>2];s=e;if(!(i<h))if(i==h)v=+n[e+4>>2]<+n[d+4>>2];else v=0;else v=1;do if(!u)if(v){f[m>>2]=s;f[c>>2]=j;if(!(i<q)){if(!(i==q)){w=d;break}if(!(+n[e+4>>2]<+n[r+4>>2])){w=d;break}}f[a>>2]=s;f[m>>2]=g;w=d}else w=e;else{if(v){f[a>>2]=s;f[c>>2]=g;w=r;break}f[a>>2]=j;f[m>>2]=g;if(!(i<q)){if(!(i==q)){w=e;break}if(!(+n[e+4>>2]<+n[r+4>>2])){w=e;break}}f[m>>2]=s;f[c>>2]=g;w=r}while(0);r=a+12|0;a:do if((r|0)==(b|0)){x=1;y=0}else{g=r;s=0;m=c;e=w;while(1){j=f[g>>2]|0;q=+n[j>>2];i=+n[e>>2];v=j;if(!(q<i))if(q==i?(d=j+4|0,+n[d>>2]<+n[e+4>>2]):0){z=d;A=49}else B=s;else{z=j+4|0;A=49}if((A|0)==49){A=0;f[g>>2]=f[m>>2];b:do if((m|0)==(a|0))C=m;else{j=m;d=m;while(1){u=d;d=j+-4|0;p=f[d>>2]|0;i=+n[p>>2];t=p;if(!(q<i)){if(!(q==i)){C=u;break b}if(!(+n[z>>2]<+n[p+4>>2])){C=u;break b}}f[u>>2]=t;if((d|0)==(a|0)){C=d;break}else j=d}}while(0);f[C>>2]=v;d=s+1|0;if((d|0)==8){x=0;y=(g+4|0)==(b|0);break a}else B=d}d=g+4|0;if((d|0)==(b|0)){x=1;y=0;break a}j=f[g>>2]|0;t=g;g=d;s=B;e=j;m=t}}while(0);l=y|x;return l|0}}return 0}function R0(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;e=f[b>>2]|0;g=f[a>>2]|0;h=f[e>>2]|0;i=f[g>>2]|0;j=e;k=g;if((h|0)>=(i|0))if((h|0)==(i|0))l=(f[e+4>>2]|0)<(f[g+4>>2]|0);else l=0;else l=1;m=f[c>>2]|0;n=f[m>>2]|0;o=m;if((n|0)>=(h|0))if((n|0)==(h|0))p=(f[m+4>>2]|0)<(f[e+4>>2]|0);else p=0;else p=1;do if(!l)if(p){f[b>>2]=o;f[c>>2]=j;h=f[b>>2]|0;n=f[a>>2]|0;q=f[h>>2]|0;r=f[n>>2]|0;s=n;t=h;if((q|0)>=(r|0)){if((q|0)!=(r|0)){u=1;v=e;w=j;break}if((f[h+4>>2]|0)>=(f[n+4>>2]|0)){u=1;v=e;w=j;break}}f[a>>2]=t;f[b>>2]=s;s=f[c>>2]|0;u=2;v=s;w=s}else{u=0;v=m;w=o}else{if(p){f[a>>2]=o;f[c>>2]=k;u=1;v=g;w=k;break}f[a>>2]=j;f[b>>2]=k;s=f[c>>2]|0;t=f[s>>2]|0;n=s;if((t|0)>=(i|0)){if((t|0)!=(i|0)){u=1;v=s;w=n;break}if((f[s+4>>2]|0)>=(f[g+4>>2]|0)){u=1;v=s;w=n;break}}f[b>>2]=n;f[c>>2]=k;u=2;v=g;w=k}while(0);k=f[d>>2]|0;g=f[k>>2]|0;i=f[v>>2]|0;j=k;if((g|0)>=(i|0)){if((g|0)!=(i|0)){x=u;return x|0}if((f[k+4>>2]|0)>=(f[v+4>>2]|0)){x=u;return x|0}}f[c>>2]=j;f[d>>2]=w;w=u+1|0;d=f[c>>2]|0;j=f[b>>2]|0;v=f[d>>2]|0;k=f[j>>2]|0;i=j;g=d;if((v|0)>=(k|0)){if((v|0)!=(k|0)){x=w;return x|0}if((f[d+4>>2]|0)>=(f[j+4>>2]|0)){x=w;return x|0}}f[b>>2]=g;f[c>>2]=i;i=u+2|0;c=f[b>>2]|0;g=f[a>>2]|0;w=f[c>>2]|0;j=f[g>>2]|0;d=g;k=c;if((w|0)>=(j|0)){if((w|0)!=(j|0)){x=i;return x|0}if((f[c+4>>2]|0)>=(f[g+4>>2]|0)){x=i;return x|0}}f[a>>2]=k;f[b>>2]=d;x=u+3|0;return x|0}function S0(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;h=R0(a,b,c,d,g)|0;g=f[e>>2]|0;i=f[d>>2]|0;j=f[g>>2]|0;k=f[i>>2]|0;l=i;m=g;if((j|0)>=(k|0)){if((j|0)!=(k|0)){n=h;return n|0}if((f[g+4>>2]|0)>=(f[i+4>>2]|0)){n=h;return n|0}}f[d>>2]=m;f[e>>2]=l;l=h+1|0;e=f[d>>2]|0;m=f[c>>2]|0;i=f[e>>2]|0;g=f[m>>2]|0;k=m;j=e;if((i|0)>=(g|0)){if((i|0)!=(g|0)){n=l;return n|0}if((f[e+4>>2]|0)>=(f[m+4>>2]|0)){n=l;return n|0}}f[c>>2]=j;f[d>>2]=k;k=h+2|0;d=f[c>>2]|0;j=f[b>>2]|0;l=f[d>>2]|0;m=f[j>>2]|0;e=j;g=d;if((l|0)>=(m|0)){if((l|0)!=(m|0)){n=k;return n|0}if((f[d+4>>2]|0)>=(f[j+4>>2]|0)){n=k;return n|0}}f[b>>2]=g;f[c>>2]=e;e=h+3|0;c=f[b>>2]|0;g=f[a>>2]|0;k=f[c>>2]|0;j=f[g>>2]|0;d=g;m=c;if((k|0)>=(j|0)){if((k|0)!=(j|0)){n=e;return n|0}if((f[c+4>>2]|0)>=(f[g+4>>2]|0)){n=e;return n|0}}f[a>>2]=m;f[b>>2]=d;n=h+4|0;return n|0}function T0(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;c=a+8|0;d=a+4|0;e=f[d>>2]|0;g=f[a>>2]|0;h=f[e>>2]|0;i=f[g>>2]|0;j=e;k=g;if((h|0)>=(i|0))if((h|0)==(i|0))l=(f[e+4>>2]|0)<(f[g+4>>2]|0);else l=0;else l=1;m=f[c>>2]|0;n=f[m>>2]|0;o=m;if((n|0)>=(h|0))if((n|0)==(h|0))p=(f[m+4>>2]|0)<(f[e+4>>2]|0);else p=0;else p=1;do if(!l)if(p){f[d>>2]=o;f[c>>2]=j;if((n|0)>=(i|0)){if((n|0)!=(i|0)){q=j;r=e;break}if((f[m+4>>2]|0)>=(f[g+4>>2]|0)){q=j;r=e;break}}f[a>>2]=o;f[d>>2]=k;q=j;r=e}else{q=o;r=m}else{if(p){f[a>>2]=o;f[c>>2]=k;q=k;r=g;break}f[a>>2]=j;f[d>>2]=k;if((n|0)>=(i|0)){if((n|0)!=(i|0)){q=o;r=m;break}if((f[m+4>>2]|0)>=(f[g+4>>2]|0)){q=o;r=m;break}}f[d>>2]=o;f[c>>2]=k;q=k;r=g}while(0);g=a+12|0;if((g|0)==(b|0))return;else{s=g;t=c;u=r;v=q}while(1){q=f[s>>2]|0;r=f[q>>2]|0;c=f[u>>2]|0;g=q;if((r|0)>=(c|0)){if((r|0)==(c|0)?(c=q+4|0,(f[c>>2]|0)<(f[u+4>>2]|0)):0){w=c;x=25}}else{w=q+4|0;x=25}if((x|0)==25){x=0;f[s>>2]=v;a:do if((t|0)==(a|0))y=t;else{q=t;c=t;while(1){k=c;c=q+-4|0;o=f[c>>2]|0;d=f[o>>2]|0;m=o;if((r|0)>=(d|0)){if((r|0)!=(d|0)){y=k;break a}if((f[w>>2]|0)>=(f[o+4>>2]|0)){y=k;break a}}f[k>>2]=m;if((c|0)==(a|0)){y=c;break}else q=c}}while(0);f[y>>2]=g}r=s+4|0;if((r|0)==(b|0))break;c=f[s>>2]|0;q=s;s=r;u=c;v=c;t=q}return}function U0(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;switch(b-a>>2|0){case 2:{d=b+-4|0;e=f[d>>2]|0;g=f[a>>2]|0;h=f[e>>2]|0;i=f[g>>2]|0;j=g;k=e;if((h|0)>=(i|0)){if((h|0)!=(i|0)){l=1;return l|0}if((f[e+4>>2]|0)>=(f[g+4>>2]|0)){l=1;return l|0}}f[a>>2]=k;f[d>>2]=j;l=1;return l|0}case 3:{j=a+4|0;d=b+-4|0;k=f[j>>2]|0;g=f[a>>2]|0;e=f[k>>2]|0;i=f[g>>2]|0;h=k;m=g;if((e|0)>=(i|0))if((e|0)==(i|0))n=(f[k+4>>2]|0)<(f[g+4>>2]|0);else n=0;else n=1;o=f[d>>2]|0;p=f[o>>2]|0;q=o;if((p|0)>=(e|0))if((p|0)==(e|0))r=(f[o+4>>2]|0)<(f[k+4>>2]|0);else r=0;else r=1;if(!n){if(!r){l=1;return l|0}f[j>>2]=q;f[d>>2]=h;n=f[j>>2]|0;k=f[a>>2]|0;o=f[n>>2]|0;e=f[k>>2]|0;p=k;s=n;if((o|0)>=(e|0)){if((o|0)!=(e|0)){l=1;return l|0}if((f[n+4>>2]|0)>=(f[k+4>>2]|0)){l=1;return l|0}}f[a>>2]=s;f[j>>2]=p;l=1;return l|0}if(r){f[a>>2]=q;f[d>>2]=m;l=1;return l|0}f[a>>2]=h;f[j>>2]=m;h=f[d>>2]|0;q=f[h>>2]|0;r=h;if((q|0)>=(i|0)){if((q|0)!=(i|0)){l=1;return l|0}if((f[h+4>>2]|0)>=(f[g+4>>2]|0)){l=1;return l|0}}f[j>>2]=r;f[d>>2]=m;l=1;return l|0}case 4:{R0(a,a+4|0,a+8|0,b+-4|0,c)|0;l=1;return l|0}case 5:{S0(a,a+4|0,a+8|0,a+12|0,b+-4|0,c)|0;l=1;return l|0}case 1:case 0:{l=1;return l|0}default:{c=a+8|0;m=a+4|0;d=f[m>>2]|0;r=f[a>>2]|0;j=f[d>>2]|0;g=f[r>>2]|0;h=d;i=r;if((j|0)>=(g|0))if((j|0)==(g|0))t=(f[d+4>>2]|0)<(f[r+4>>2]|0);else t=0;else t=1;q=f[c>>2]|0;p=f[q>>2]|0;s=q;if((p|0)>=(j|0))if((p|0)==(j|0))u=(f[q+4>>2]|0)<(f[d+4>>2]|0);else u=0;else u=1;do if(!t)if(u){f[m>>2]=s;f[c>>2]=h;if((p|0)>=(g|0)){if((p|0)!=(g|0)){v=d;break}if((f[q+4>>2]|0)>=(f[r+4>>2]|0)){v=d;break}}f[a>>2]=s;f[m>>2]=i;v=d}else v=q;else{if(u){f[a>>2]=s;f[c>>2]=i;v=r;break}f[a>>2]=h;f[m>>2]=i;if((p|0)>=(g|0)){if((p|0)!=(g|0)){v=q;break}if((f[q+4>>2]|0)>=(f[r+4>>2]|0)){v=q;break}}f[m>>2]=s;f[c>>2]=i;v=r}while(0);r=a+12|0;a:do if((r|0)==(b|0)){w=1;x=0}else{i=r;s=0;m=c;q=v;while(1){g=f[i>>2]|0;p=f[g>>2]|0;h=f[q>>2]|0;u=g;if((p|0)>=(h|0))if((p|0)==(h|0)?(h=g+4|0,(f[h>>2]|0)<(f[q+4>>2]|0)):0){y=h;z=49}else A=s;else{y=g+4|0;z=49}if((z|0)==49){z=0;f[i>>2]=f[m>>2];b:do if((m|0)==(a|0))B=m;else{g=m;h=m;while(1){d=h;h=g+-4|0;t=f[h>>2]|0;j=f[t>>2]|0;k=t;if((p|0)>=(j|0)){if((p|0)!=(j|0)){B=d;break b}if((f[y>>2]|0)>=(f[t+4>>2]|0)){B=d;break b}}f[d>>2]=k;if((h|0)==(a|0)){B=h;break}else g=h}}while(0);f[B>>2]=u;p=s+1|0;if((p|0)==8){w=0;x=(i+4|0)==(b|0);break a}else A=p}p=i+4|0;if((p|0)==(b|0)){w=1;x=0;break a}h=f[i>>2]|0;g=i;i=p;s=A;q=h;m=g}}while(0);l=x|w;return l|0}}return 0}function V0(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0,N=0.0,O=0.0,P=0.0,Q=0,R=0,S=0.0,T=0,U=0,V=0,W=0,X=0,Y=0.0,Z=0.0;e=u;u=u+208|0;g=e+200|0;h=e+144|0;i=e+88|0;j=e+72|0;k=e;l=e+16|0;zT(g,50480);do if((pD(a)|0)==65536){m=f[a+4>>2]|0;f[h>>2]=f[m>>2];n=h+4|0;o=m+4|0;f[n>>2]=f[o>>2];p=h+8|0;f[p>>2]=f[m+8>>2];f[h+12>>2]=f[m+12>>2];f[h+16>>2]=f[m+16>>2];f[h+20>>2]=f[m+20>>2];f[h+24>>2]=f[m+24>>2];f[h+28>>2]=f[m+28>>2];f[h+32>>2]=f[m+32>>2];q=f[m+36>>2]|0;f[h+36>>2]=q;f[h+40>>2]=p;p=h+48|0;r=h+44|0;f[r>>2]=p;f[p>>2]=0;f[h+52>>2]=0;if(q|0){p=q+12|0;f[p>>2]=(f[p>>2]|0)+1}if((f[o>>2]|0)<3){o=f[m+44>>2]|0;p=f[r>>2]|0;f[p>>2]=f[o>>2];f[p+4>>2]=f[o+4>>2];break}else{f[n>>2]=0;kP(h,m);break}}else lD(h,a,-1);while(0);a=BP(h,2,4,1)|0;if((a|0)<=-1){f[i>>2]=0;f[i+4>>2]=0;s=YG(i,12)|0;t=236291;v=s+12|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));SQ(-215,i,236304,236091,274)}if((a|0)>=4){do if((pD(c)|0)==65536){m=f[c+4>>2]|0;f[i>>2]=f[m>>2];n=i+4|0;o=m+4|0;f[n>>2]=f[o>>2];p=i+8|0;f[p>>2]=f[m+8>>2];f[i+12>>2]=f[m+12>>2];f[i+16>>2]=f[m+16>>2];f[i+20>>2]=f[m+20>>2];f[i+24>>2]=f[m+24>>2];f[i+28>>2]=f[m+28>>2];f[i+32>>2]=f[m+32>>2];r=f[m+36>>2]|0;f[i+36>>2]=r;f[i+40>>2]=p;p=i+48|0;q=i+44|0;f[q>>2]=p;f[p>>2]=0;f[i+52>>2]=0;if(r|0){p=r+12|0;f[p>>2]=(f[p>>2]|0)+1}if((f[o>>2]|0)<3){o=f[m+44>>2]|0;p=f[q>>2]|0;f[p>>2]=f[o>>2];f[p+4>>2]=f[o+4>>2];break}else{f[n>>2]=0;kP(i,m);break}}else lD(i,c,-1);while(0);c=BP(i,1,4,1)|0;if((c|0)<=0){f[j>>2]=0;f[j+4>>2]=0;s=YG(j,11)|0;t=236321;v=s+11|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));SQ(-215,j,236304,236091,284)}m=f[h+16>>2]|0;n=i+16|0;o=f[n>>2]|0;p=i+44|0;f[j>>2]=0;q=j+4|0;f[q>>2]=0;f[j+8>>2]=0;if((c|0)>=3){r=f[o+4>>2]|0;w=f[o>>2]|0;x=f[o+8>>2]|0;y=(((x|0)>(r|0)&1)+((r|0)>(w|0)&1)+((w|0)>(x|0)&1)|0)!=2;x=c+-1|0;r=f[o+((y?0:x)<<2)>>2]|0;if(!((r|0)>-1&(r|0)<(a|0))){f[k>>2]=0;f[k+4>>2]=0;s=YG(k,29)|0;t=236333;v=s+29|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));SQ(-215,k,236304,236091,300)}z=k+4|0;A=k+8|0;B=k+12|0;C=j+8|0;a:do if(y){D=0;E=r;while(1){F=E;E=f[o+(x-D<<2)>>2]|0;if(!((E|0)>-1&(E|0)<(a|0)))break;G=f[m+(F<<3)>>2]|0;H=f[m+(F<<3)+4>>2]|0;I=(f[m+(E<<3)>>2]|0)-G|0;J=+(I|0);K=(f[m+(E<<3)+4>>2]|0)-H|0;N=+(K|0);if(!(K|I))O=0.0;else O=1.0/+M(+(J*J+N*N));I=F+1|0;K=(I|0)<(a|0)?I:0;if((K|0)!=(E|0)){I=0;P=0.0;Q=-1;R=K;do{S=O*+L(+(J*+((f[m+(R<<3)+4>>2]|0)-H|0)-N*+((f[m+(R<<3)>>2]|0)-G|0)));K=S>P;Q=K?R:Q;P=K?S:P;I=I|K;K=R+1|0;R=(K|0)<(a|0)?K:0}while((R|0)!=(E|0));if(I){R=V9b(P*256.0)|0;f[k>>2]=F;f[z>>2]=E;f[A>>2]=Q;f[B>>2]=R;R=f[q>>2]|0;if((R|0)==(f[C>>2]|0))W0(j,k);else{f[R>>2]=F;f[R+4>>2]=f[z>>2];f[R+8>>2]=f[A>>2];f[R+12>>2]=f[B>>2];f[q>>2]=R+16}}}D=D+1|0;if((c|0)<=(D|0))break a}f[k>>2]=0;T=k+4|0;f[T>>2]=0;U=YG(k,29)|0;s=U;t=236363;v=s+29|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));SQ(-215,k,236304,236091,305)}else{if((w|0)>-1&(w|0)<(a|0)){V=0;W=r;X=w}else{f[k>>2]=0;T=k+4|0;f[T>>2]=0;U=YG(k,29)|0;s=U;t=236363;v=s+29|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));SQ(-215,k,236304,236091,305)}while(1){D=f[m+(W<<3)>>2]|0;E=f[m+(W<<3)+4>>2]|0;R=(f[m+(X<<3)>>2]|0)-D|0;N=+(R|0);G=(f[m+(X<<3)+4>>2]|0)-E|0;J=+(G|0);if(!(G|R))Y=0.0;else Y=1.0/+M(+(N*N+J*J));R=W+1|0;G=(R|0)<(a|0)?R:0;if((G|0)!=(X|0)){R=0;S=0.0;H=-1;K=G;do{Z=Y*+L(+(N*+((f[m+(K<<3)+4>>2]|0)-E|0)-J*+((f[m+(K<<3)>>2]|0)-D|0)));G=Z>S;H=G?K:H;S=G?Z:S;R=R|G;G=K+1|0;K=(G|0)<(a|0)?G:0}while((K|0)!=(X|0));if(R){K=V9b(S*256.0)|0;f[k>>2]=W;f[z>>2]=X;f[A>>2]=H;f[B>>2]=K;K=f[q>>2]|0;if((K|0)==(f[C>>2]|0))W0(j,k);else{f[K>>2]=W;f[K+4>>2]=f[z>>2];f[K+8>>2]=f[A>>2];f[K+12>>2]=f[B>>2];f[q>>2]=K+16}}}V=V+1|0;if((c|0)<=(V|0))break a;K=f[o+(V<<2)>>2]|0;if(!((K|0)>-1&(K|0)<(a|0)))break;else{D=X;X=K;W=D}}f[k>>2]=0;T=k+4|0;f[T>>2]=0;U=YG(k,29)|0;s=U;t=236363;v=s+29|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));SQ(-215,k,236304,236091,305)}while(0);f[l>>2]=1124024348;k=l+4|0;f[k>>2]=2;t=l+8|0;s=f[q>>2]|0;v=f[j>>2]|0;U=s-v|0;f[t>>2]=U>>4;f[l+12>>2]=1;T=l+16|0;W=l+40|0;f[T>>2]=0;f[T+4>>2]=0;f[T+8>>2]=0;f[T+12>>2]=0;f[T+16>>2]=0;f[T+20>>2]=0;f[W>>2]=t;t=l+48|0;X=l+44|0;f[X>>2]=t;f[t>>2]=0;a=l+52|0;f[a>>2]=0;V=v;if((V|0)!=(s|0)){f[a>>2]=16;f[t>>2]=16;f[T>>2]=V;f[l+20>>2]=V;V=v+U|0;f[l+24>>2]=V;f[l+28>>2]=V}kT(l,d);V=l+36|0;U=f[V>>2]|0;if(U|0?(v=U+12|0,U=f[v>>2]|0,f[v>>2]=U+-1,(U|0)==1):0)lP(l);f[V>>2]=0;f[T>>2]=0;f[T+4>>2]=0;f[T+8>>2]=0;f[T+12>>2]=0;if((f[k>>2]|0)>0){T=f[W>>2]|0;W=0;do{f[T+(W<<2)>>2]=0;W=W+1|0}while((W|0)<(f[k>>2]|0))}k=f[X>>2]|0;if((k|0)!=(t|0))tE(k)}else GD(d);k=f[j>>2]|0;if(k|0){j=f[q>>2]|0;if((j|0)!=(k|0))f[q>>2]=j+(~((j+-16-k|0)>>>4)<<4);Emc(k)}k=i+36|0;j=f[k>>2]|0;if(j|0?(q=j+12|0,j=f[q>>2]|0,f[q>>2]=j+-1,(j|0)==1):0)lP(i);f[k>>2]=0;k=i+4|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[k>>2]|0)>0){n=f[i+40>>2]|0;j=0;do{f[n+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[k>>2]|0))}k=f[p>>2]|0;if((k|0)!=(i+48|0))tE(k)}else GD(d);d=h+36|0;k=f[d>>2]|0;if(k|0?(i=k+12|0,k=f[i>>2]|0,f[i>>2]=k+-1,(k|0)==1):0)lP(h);f[d>>2]=0;d=h+16|0;k=h+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[k>>2]|0)>0){d=f[h+40>>2]|0;i=0;do{f[d+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[k>>2]|0))}k=f[h+44>>2]|0;if((k|0)!=(h+48|0))tE(k);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function W0(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=d-e>>4;h=g+1|0;i=e;j=d;if(h>>>0>268435455)Ukc(a);d=a+8|0;k=(f[d>>2]|0)-e|0;l=k>>3;m=k>>4>>>0<134217727?(l>>>0<h>>>0?h:l):268435455;do if(m)if(m>>>0>268435455){l=ye(8)|0;Jmc(l,511852);f[l>>2]=165276;Gf(l|0,26776,1555)}else{n=Bmc(m<<4)|0;break}else n=0;while(0);l=n+(g<<4)|0;h=n+(m<<4)|0;f[l>>2]=f[b>>2];f[n+(g<<4)+4>>2]=f[b+4>>2];f[n+(g<<4)+8>>2]=f[b+8>>2];f[n+(g<<4)+12>>2]=f[b+12>>2];b=l+16|0;if((j|0)==(i|0))o=l;else{g=j+-16-e|0;n=j;j=l;while(1){m=n;n=n+-16|0;f[j+-16>>2]=f[n>>2];f[j+-12>>2]=f[m+-12>>2];f[j+-8>>2]=f[m+-8>>2];f[j+-4>>2]=f[m+-4>>2];if((n|0)==(i|0))break;else j=j+-16|0}o=l+(~(g>>>4)<<4)|0}f[a>>2]=o;f[c>>2]=b;f[d>>2]=h;if(!e)return;Emc(e);return}function X0(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,t=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0;c=u;u=u+64|0;d=c+8|0;e=c;do if((pD(a)|0)==65536){g=f[a+4>>2]|0;f[d>>2]=f[g>>2];h=d+4|0;i=g+4|0;f[h>>2]=f[i>>2];j=d+8|0;f[j>>2]=f[g+8>>2];f[d+12>>2]=f[g+12>>2];f[d+16>>2]=f[g+16>>2];f[d+20>>2]=f[g+20>>2];f[d+24>>2]=f[g+24>>2];f[d+28>>2]=f[g+28>>2];f[d+32>>2]=f[g+32>>2];k=f[g+36>>2]|0;f[d+36>>2]=k;f[d+40>>2]=j;j=d+48|0;l=d+44|0;f[l>>2]=j;f[j>>2]=0;f[d+52>>2]=0;if(k|0){j=k+12|0;f[j>>2]=(f[j>>2]|0)+1}if((f[i>>2]|0)<3){i=f[g+44>>2]|0;j=f[l>>2]|0;f[j>>2]=f[i>>2];f[j+4>>2]=f[i+4>>2];break}else{f[h>>2]=0;kP(d,g);break}}else lD(d,a,-1);while(0);a=BP(d,2,-1,1)|0;g=f[d>>2]&7;if((a|0)<=-1){f[e>>2]=0;m=e+4|0;f[m>>2]=0;o=YG(e,50)|0;p=o;q=236161;r=p+50|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,e,236456,236091,392)}h=(g|0)==4;if((g|1|0)!=5){f[e>>2]=0;m=e+4|0;f[m>>2]=0;o=YG(e,50)|0;p=o;q=236161;r=p+50|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,e,236456,236091,392)}a:do if(a){e=f[d+16>>2]|0;if(h){q=((a<<1)+-2|0)%(a|0)|0;p=a+-1|0;r=f[e+(p<<3)>>2]|0;o=f[e+(p<<3)+4>>2]|0;p=r-(f[e+(q<<3)>>2]|0)|0;m=o-(f[e+(q<<3)+4>>2]|0)|0;q=0;g=0;i=r;r=o;while(1){o=i;i=f[e+(g<<3)>>2]|0;j=r;r=f[e+(g<<3)+4>>2]|0;l=p;p=i-o|0;o=m;m=r-j|0;j=Y(p,o)|0;o=Y(m,l)|0;q=((o|0)>(j|0)?1:(o|0)<(j|0)?2:3)|q;g=g+1|0;if((q|0)==3){t=0;break a}if((g|0)>=(a|0)){t=1;break}}}else{g=((a<<1)+-2|0)%(a|0)|0;q=a+-1|0;m=f[e+(q<<3)>>2]|0;p=f[e+(q<<3)+4>>2]|0;v=(f[s>>2]=p,+n[s>>2])-+n[e+(g<<3)+4>>2];w=(f[s>>2]=m,+n[s>>2])-+n[e+(g<<3)>>2];x=v;g=0;q=0;r=m;m=p;while(1){p=r;r=f[e+(q<<3)>>2]|0;i=m;m=f[e+(q<<3)+4>>2]|0;v=(f[s>>2]=r,+n[s>>2]);y=w;w=v-(f[s>>2]=p,+n[s>>2]);v=(f[s>>2]=m,+n[s>>2]);z=x;x=v-(f[s>>2]=i,+n[s>>2]);v=z*w;z=y*x;g=(z>v?1:z<v?2:3)|g;q=q+1|0;if((g|0)==3){t=0;break a}if((q|0)>=(a|0)){t=1;break}}}}else t=0;while(0);a=d+36|0;h=f[a>>2]|0;if(h|0?(q=h+12|0,h=f[q>>2]|0,f[q>>2]=h+-1,(h|0)==1):0)lP(d);f[a>>2]=0;a=d+16|0;h=d+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[h>>2]|0)>0){a=f[d+40>>2]|0;q=0;do{f[a+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[h>>2]|0))}h=f[d+44>>2]|0;if((h|0)==(d+48|0)){u=c;return t|0}tE(h);u=c;return t|0}function Y0(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0;e=u;u=u+128|0;g=e+72|0;h=e+16|0;i=e;do if((pD(b)|0)==65536){j=f[b+4>>2]|0;f[g>>2]=f[j>>2];k=g+4|0;l=j+4|0;f[k>>2]=f[l>>2];m=g+8|0;f[m>>2]=f[j+8>>2];f[g+12>>2]=f[j+12>>2];f[g+16>>2]=f[j+16>>2];f[g+20>>2]=f[j+20>>2];f[g+24>>2]=f[j+24>>2];f[g+28>>2]=f[j+28>>2];f[g+32>>2]=f[j+32>>2];n=f[j+36>>2]|0;f[g+36>>2]=n;f[g+40>>2]=m;m=g+48|0;o=g+44|0;f[o>>2]=m;f[m>>2]=0;f[g+52>>2]=0;if(n|0){m=n+12|0;f[m>>2]=(f[m>>2]|0)+1}if((f[l>>2]|0)<3){l=f[j+44>>2]|0;m=f[o>>2]|0;f[m>>2]=f[l>>2];f[m+4>>2]=f[l+4>>2];break}else{f[k>>2]=0;kP(g,j);break}}else lD(g,b,-1);while(0);do if(!d?(b=f[g>>2]|0,(b&4095|0)==6):0){f[a>>2]=b;b=a+4|0;j=g+4|0;k=f[j>>2]|0;f[b>>2]=k;l=a+8|0;f[l>>2]=f[g+8>>2];f[a+12>>2]=f[g+12>>2];f[a+16>>2]=f[g+16>>2];f[a+20>>2]=f[g+20>>2];f[a+24>>2]=f[g+24>>2];f[a+28>>2]=f[g+28>>2];f[a+32>>2]=f[g+32>>2];m=g+36|0;o=f[m>>2]|0;f[a+36>>2]=o;f[a+40>>2]=l;l=a+48|0;n=a+44|0;f[n>>2]=l;f[l>>2]=0;f[a+52>>2]=0;if(!o)q=k;else{k=o+12|0;f[k>>2]=(f[k>>2]|0)+1;q=f[j>>2]|0}if((q|0)<3){j=f[g+44>>2]|0;k=f[n>>2]|0;f[k>>2]=f[j>>2];f[k+4>>2]=f[j+4>>2];r=m;break}else{f[b>>2]=0;kP(a,g);r=m;break}}else s=15;while(0);if((s|0)==15){f[h>>2]=1124007936;s=h+4|0;q=h+8|0;m=h+40|0;b=s;j=b+36|0;do{f[b>>2]=0;b=b+4|0}while((b|0)<(j|0));f[m>>2]=q;b=h+48|0;j=h+44|0;f[j>>2]=b;f[b>>2]=0;f[h+52>>2]=0;k=i+8|0;f[k>>2]=0;f[k+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=h;IO(g,i,6,1.0,0.0);if(d){d=h+16|0;i=f[d>>2]|0;p[i+16>>3]=+((f[c>>2]|0)+-1|0)*.5;p[i+40>>3]=+((f[c+4>>2]|0)+-1|0)*.5;t=d;v=i}else{i=h+16|0;t=i;v=f[i>>2]|0}f[a>>2]=f[h>>2];i=a+4|0;d=f[s>>2]|0;f[i>>2]=d;c=a+8|0;f[c>>2]=f[q>>2];f[a+12>>2]=f[h+12>>2];f[a+16>>2]=v;f[a+20>>2]=f[h+20>>2];f[a+24>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];v=h+36|0;q=f[v>>2]|0;f[a+36>>2]=q;f[a+40>>2]=c;c=a+48|0;k=a+44|0;f[k>>2]=c;f[c>>2]=0;f[a+52>>2]=0;if(!q)w=d;else{d=q+12|0;f[d>>2]=(f[d>>2]|0)+1;w=f[s>>2]|0}if((w|0)<3){w=f[j>>2]|0;d=f[k>>2]|0;f[d>>2]=f[w>>2];f[d+4>>2]=f[w+4>>2]}else{f[i>>2]=0;kP(a,h)}a=f[v>>2]|0;if(a|0?(i=a+12|0,a=f[i>>2]|0,f[i>>2]=a+-1,(a|0)==1):0)lP(h);f[v>>2]=0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[s>>2]|0)>0){t=f[m>>2]|0;m=0;do{f[t+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[s>>2]|0))}s=f[j>>2]|0;if((s|0)!=(b|0))tE(s);r=g+36|0}s=f[r>>2]|0;if(s|0?(b=s+12|0,s=f[b>>2]|0,f[b>>2]=s+-1,(s|0)==1):0)lP(g);f[r>>2]=0;r=g+16|0;s=g+4|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[s>>2]|0)>0){r=f[g+40>>2]|0;b=0;do{f[r+(b<<2)>>2]=0;b=b+1|0}while((b|0)<(f[s>>2]|0))}s=f[g+44>>2]|0;if((s|0)==(g+48|0)){u=e;return}tE(s);u=e;return}function Z0(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0.0,za=0.0,Aa=0.0,Ba=0.0,Ca=0.0,Da=0.0,Ea=0.0;k=u;u=u+1664|0;l=k+832|0;m=k+1640|0;n=k+1584|0;o=k+1528|0;q=k+1472|0;r=k+1408|0;s=k+1464|0;t=k+1352|0;v=k+1288|0;w=k+1344|0;x=k+1232|0;y=k+608|0;z=k+1176|0;A=k+1120|0;B=k+1112|0;C=k+1056|0;D=k+384|0;E=k+160|0;F=k;do if((pD(a)|0)==65536){G=f[a+4>>2]|0;f[n>>2]=f[G>>2];H=n+4|0;I=G+4|0;f[H>>2]=f[I>>2];J=n+8|0;f[J>>2]=f[G+8>>2];f[n+12>>2]=f[G+12>>2];f[n+16>>2]=f[G+16>>2];f[n+20>>2]=f[G+20>>2];f[n+24>>2]=f[G+24>>2];f[n+28>>2]=f[G+28>>2];f[n+32>>2]=f[G+32>>2];K=f[G+36>>2]|0;f[n+36>>2]=K;f[n+40>>2]=J;J=n+48|0;L=n+44|0;f[L>>2]=J;f[J>>2]=0;f[n+52>>2]=0;if(K|0){J=K+12|0;f[J>>2]=(f[J>>2]|0)+1}if((f[I>>2]|0)<3){I=f[G+44>>2]|0;J=f[L>>2]|0;f[J>>2]=f[I>>2];f[J+4>>2]=f[I+4>>2];break}else{f[H>>2]=0;kP(n,G);break}}else lD(n,a,-1);while(0);do if((pD(c)|0)==65536){a=f[c+4>>2]|0;f[o>>2]=f[a>>2];G=o+4|0;H=a+4|0;f[G>>2]=f[H>>2];I=o+8|0;f[I>>2]=f[a+8>>2];f[o+12>>2]=f[a+12>>2];f[o+16>>2]=f[a+16>>2];f[o+20>>2]=f[a+20>>2];f[o+24>>2]=f[a+24>>2];f[o+28>>2]=f[a+28>>2];f[o+32>>2]=f[a+32>>2];J=f[a+36>>2]|0;f[o+36>>2]=J;f[o+40>>2]=I;I=o+48|0;L=o+44|0;f[L>>2]=I;f[I>>2]=0;f[o+52>>2]=0;if(J|0){I=J+12|0;f[I>>2]=(f[I>>2]|0)+1}if((f[H>>2]|0)<3){H=f[a+44>>2]|0;I=f[L>>2]|0;f[I>>2]=f[H>>2];f[I+4>>2]=f[H+4>>2];break}else{f[G>>2]=0;kP(o,a);break}}else lD(o,c,-1);while(0);do if((pD(d)|0)==65536){c=f[d+4>>2]|0;f[q>>2]=f[c>>2];a=q+4|0;G=c+4|0;f[a>>2]=f[G>>2];H=q+8|0;f[H>>2]=f[c+8>>2];f[q+12>>2]=f[c+12>>2];f[q+16>>2]=f[c+16>>2];f[q+20>>2]=f[c+20>>2];f[q+24>>2]=f[c+24>>2];f[q+28>>2]=f[c+28>>2];f[q+32>>2]=f[c+32>>2];I=f[c+36>>2]|0;f[q+36>>2]=I;f[q+40>>2]=H;H=q+48|0;L=q+44|0;f[L>>2]=H;f[H>>2]=0;f[q+52>>2]=0;if(I|0){H=I+12|0;f[H>>2]=(f[H>>2]|0)+1}if((f[G>>2]|0)<3){G=f[c+44>>2]|0;H=f[L>>2]|0;f[H>>2]=f[G>>2];f[H+4>>2]=f[G+4>>2];break}else{f[a>>2]=0;kP(q,c);break}}else lD(q,d,-1);while(0);do if((pD(e)|0)==65536){d=f[e+4>>2]|0;f[r>>2]=f[d>>2];c=r+4|0;a=d+4|0;f[c>>2]=f[a>>2];G=r+8|0;f[G>>2]=f[d+8>>2];f[r+12>>2]=f[d+12>>2];f[r+16>>2]=f[d+16>>2];f[r+20>>2]=f[d+20>>2];f[r+24>>2]=f[d+24>>2];f[r+28>>2]=f[d+28>>2];f[r+32>>2]=f[d+32>>2];H=f[d+36>>2]|0;f[r+36>>2]=H;f[r+40>>2]=G;G=r+48|0;L=r+44|0;f[L>>2]=G;f[G>>2]=0;f[r+52>>2]=0;if(H|0){G=H+12|0;f[G>>2]=(f[G>>2]|0)+1}if((f[a>>2]|0)<3){a=f[d+44>>2]|0;G=f[L>>2]|0;f[G>>2]=f[a>>2];f[G+4>>2]=f[a+4>>2];break}else{f[c>>2]=0;kP(r,d);break}}else lD(r,e,-1);while(0);e=(h|0)<1?11:h;h=(e|0)==11;switch(e|0){case 5:case 11:case 13:break;default:{f[l>>2]=0;f[l+4>>2]=0;M=YG(l,62)|0;N=236472;Q=M+62|0;do{b[M>>0]=b[N>>0]|0;M=M+1|0;N=N+1|0}while((M|0)<(Q|0));SQ(-215,l,236535,236559,200)}}f[s>>2]=f[g>>2];d=g+4|0;f[s+4>>2]=f[d>>2];HD(i,s,e,-1,0,0);do if((pD(i)|0)==65536){s=f[i+4>>2]|0;f[t>>2]=f[s>>2];c=t+4|0;a=s+4|0;f[c>>2]=f[a>>2];G=t+8|0;f[G>>2]=f[s+8>>2];f[t+12>>2]=f[s+12>>2];f[t+16>>2]=f[s+16>>2];f[t+20>>2]=f[s+20>>2];f[t+24>>2]=f[s+24>>2];f[t+28>>2]=f[s+28>>2];f[t+32>>2]=f[s+32>>2];L=f[s+36>>2]|0;f[t+36>>2]=L;f[t+40>>2]=G;G=t+48|0;H=t+44|0;f[H>>2]=G;f[G>>2]=0;f[t+52>>2]=0;if(L|0){G=L+12|0;f[G>>2]=(f[G>>2]|0)+1}if((f[a>>2]|0)<3){a=f[s+44>>2]|0;G=f[H>>2]|0;f[G>>2]=f[a>>2];f[G+4>>2]=f[a+4>>2];break}else{f[c>>2]=0;kP(t,s);break}}else lD(t,i,-1);while(0);f[v>>2]=1124007936;i=v+4|0;s=v+8|0;c=v+40|0;M=i;Q=M+36|0;do{f[M>>2]=0;M=M+4|0}while((M|0)<(Q|0));f[c>>2]=s;a=v+48|0;G=v+44|0;f[G>>2]=a;f[a>>2]=0;f[v+52>>2]=0;if((e|0)!=13){f[w>>2]=f[g>>2];f[w+4>>2]=f[d>>2];HD(j,w,h?2:5,-1,0,0);do if((pD(j)|0)==65536){h=f[j+4>>2]|0;f[l>>2]=f[h>>2];w=l+4|0;H=h+4|0;f[w>>2]=f[H>>2];L=l+8|0;f[L>>2]=f[h+8>>2];f[l+12>>2]=f[h+12>>2];f[l+16>>2]=f[h+16>>2];f[l+20>>2]=f[h+20>>2];f[l+24>>2]=f[h+24>>2];f[l+28>>2]=f[h+28>>2];f[l+32>>2]=f[h+32>>2];I=l+36|0;J=f[h+36>>2]|0;f[I>>2]=J;f[l+40>>2]=L;L=l+48|0;K=l+44|0;f[K>>2]=L;f[L>>2]=0;f[l+52>>2]=0;if(J|0){L=J+12|0;f[L>>2]=(f[L>>2]|0)+1}if((f[H>>2]|0)<3){H=f[h+44>>2]|0;L=f[K>>2]|0;f[L>>2]=f[H>>2];f[L+4>>2]=f[H+4>>2];R=I;break}else{f[w>>2]=0;kP(l,h);R=I;break}}else{lD(l,j,-1);R=l+36|0}while(0);I=f[R>>2]|0;if(I|0){h=I+12|0;f[h>>2]=(f[h>>2]|0)+1}h=v+36|0;I=f[h>>2]|0;if(I|0?(w=I+12|0,I=f[w>>2]|0,f[w>>2]=I+-1,(I|0)==1):0)lP(v);f[h>>2]=0;I=v+16|0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[i>>2]|0)>0){w=f[c>>2]|0;H=0;do{f[w+(H<<2)>>2]=0;H=H+1|0;S=f[i>>2]|0}while((H|0)<(S|0));f[v>>2]=f[l>>2];if((S|0)<3)T=56;else T=58}else{f[v>>2]=f[l>>2];T=56}if((T|0)==56){S=f[l+4>>2]|0;if((S|0)<3){f[i>>2]=S;f[s>>2]=f[l+8>>2];f[v+12>>2]=f[l+12>>2];s=f[l+44>>2]|0;S=f[G>>2]|0;f[S>>2]=f[s>>2];f[S+4>>2]=f[s+4>>2]}else T=58}if((T|0)==58)kP(v,l);s=l+16|0;f[I>>2]=f[s>>2];f[v+20>>2]=f[l+20>>2];f[v+24>>2]=f[l+24>>2];f[v+28>>2]=f[l+28>>2];f[v+32>>2]=f[l+32>>2];I=f[R>>2]|0;f[h>>2]=I;if(I|0?(h=I+12|0,I=f[h>>2]|0,f[h>>2]=I+-1,(I|0)==1):0)lP(l);f[R>>2]=0;R=l+4|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[R>>2]|0)>0){s=f[l+40>>2]|0;I=0;do{f[s+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[R>>2]|0))}R=f[l+44>>2]|0;if((R|0)!=(l+48|0))tE(R)}else GD(j);uG(y,3,3,6);_0(x,y);Xi(y);$0(z,n);y=A+4|0;j=A+8|0;R=A+40|0;M=y;Q=M+36|0;do{f[M>>2]=0;M=M+4|0}while((M|0)<(Q|0));f[R>>2]=j;j=A+48|0;I=A+44|0;f[I>>2]=j;f[j>>2]=0;f[A+52>>2]=0;f[A>>2]=1124007942;s=r+16|0;if(f[s>>2]|0){h=f[r+4>>2]|0;if((h|0)<3)U=Y(f[r+12>>2]|0,f[r+8>>2]|0)|0;else{S=f[r+40>>2]|0;H=0;w=1;while(1){L=Y(f[S+(H<<2)>>2]|0,w)|0;H=H+1|0;if((H|0)==(h|0)){U=L;break}else w=L}}if(!((h|0)==0|(U|0)==0)){$0(l,r);a1(A,l)|0;U=l+36|0;h=f[U>>2]|0;if(h|0?(w=h+12|0,h=f[w>>2]|0,f[w>>2]=h+-1,(h|0)==1):0)lP(l);f[U>>2]=0;U=l+16|0;h=l+4|0;f[U>>2]=0;f[U+4>>2]=0;f[U+8>>2]=0;f[U+12>>2]=0;if((f[h>>2]|0)>0){U=f[l+40>>2]|0;w=0;do{f[U+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[h>>2]|0))}h=f[l+44>>2]|0;if((h|0)!=(l+48|0))tE(h)}else T=84}else T=84;if((T|0)==84){f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=-2130640890;f[m+4>>2]=z;f[B>>2]=f[g>>2];f[B+4>>2]=f[d>>2];Y0(l,m,B,1);b1(A,l)|0;B=l+36|0;h=f[B>>2]|0;if(h|0?(w=h+12|0,h=f[w>>2]|0,f[w>>2]=h+-1,(h|0)==1):0)lP(l);f[B>>2]=0;B=l+16|0;h=l+4|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[h>>2]|0)>0){B=f[l+40>>2]|0;w=0;do{f[B+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[h>>2]|0))}h=f[l+44>>2]|0;if((h|0)!=(l+48|0))tE(h)}h=q+16|0;if(f[h>>2]|0){w=f[q+4>>2]|0;if((w|0)<3)V=Y(f[q+12>>2]|0,f[q+8>>2]|0)|0;else{B=f[q+40>>2]|0;U=0;H=1;while(1){S=Y(f[B+(U<<2)>>2]|0,H)|0;U=U+1|0;if((U|0)==(w|0)){V=S;break}else H=S}}if(!((w|0)==0|(V|0)==0)){$0(l,q);a1(x,l)|0;V=l+36|0;w=f[V>>2]|0;if(w|0?(H=w+12|0,w=f[H>>2]|0,f[H>>2]=w+-1,(w|0)==1):0)lP(l);f[V>>2]=0;V=l+16|0;w=l+4|0;f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;f[V+12>>2]=0;if((f[w>>2]|0)>0){V=f[l+40>>2]|0;H=0;do{f[V+(H<<2)>>2]=0;H=H+1|0}while((H|0)<(f[w>>2]|0))}w=f[l+44>>2]|0;if((w|0)!=(l+48|0))tE(w)}}w=o+16|0;H=(f[w>>2]|0)==0;V=o+4|0;U=f[V>>2]|0;if(!H){if((U|0)<3)W=Y(f[o+12>>2]|0,f[o+8>>2]|0)|0;else{B=f[o+40>>2]|0;S=0;L=1;while(1){K=Y(f[B+(S<<2)>>2]|0,L)|0;S=S+1|0;if((S|0)==(U|0)){W=K;break}else L=K}}if(!((U|0)==0|(W|0)==0)){$0(l,o);W=l+36|0;L=f[W>>2]|0;if(L|0){S=L+12|0;f[S>>2]=(f[S>>2]|0)+1}S=o+36|0;L=f[S>>2]|0;if(L|0?(B=L+12|0,L=f[B>>2]|0,f[B>>2]=L+-1,(L|0)==1):0)lP(o);f[S>>2]=0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[V>>2]|0)>0){L=f[o+40>>2]|0;B=0;do{f[L+(B<<2)>>2]=0;B=B+1|0;X=f[V>>2]|0}while((B|0)<(X|0));f[o>>2]=f[l>>2];if((X|0)<3)T=124;else T=126}else{f[o>>2]=f[l>>2];T=124}if((T|0)==124){X=f[l+4>>2]|0;if((X|0)<3){f[V>>2]=X;f[o+8>>2]=f[l+8>>2];f[o+12>>2]=f[l+12>>2];X=f[l+44>>2]|0;V=f[o+44>>2]|0;f[V>>2]=f[X>>2];f[V+4>>2]=f[X+4>>2]}else T=126}if((T|0)==126)kP(o,l);X=l+16|0;f[w>>2]=f[X>>2];f[o+20>>2]=f[l+20>>2];f[o+24>>2]=f[l+24>>2];f[o+28>>2]=f[l+28>>2];f[o+32>>2]=f[l+32>>2];V=f[W>>2]|0;f[S>>2]=V;if(V|0?(S=V+12|0,V=f[S>>2]|0,f[S>>2]=V+-1,(V|0)==1):0)lP(l);f[W>>2]=0;W=l+4|0;f[X>>2]=0;f[X+4>>2]=0;f[X+8>>2]=0;f[X+12>>2]=0;if((f[W>>2]|0)>0){X=f[l+40>>2]|0;V=0;do{f[X+(V<<2)>>2]=0;V=V+1|0}while((V|0)<(f[W>>2]|0))}W=f[l+44>>2]|0;if((W|0)!=(l+48|0))tE(W)}else T=136}else T=136;if((T|0)==136){if(!((((U|0)<3?(f[o+8>>2]|0)==14:0)?(f[o+12>>2]|0)==1:0)?!((f[o>>2]&4095|0)!=6|H):0))T=140;if((T|0)==140){f[l>>2]=14;f[l+4>>2]=1;iP(o,2,l,6)};f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;f[l+28>>2]=0;nT(o,l)|0}T=z+40|0;H=f[T>>2]|0;if(!((f[H>>2]|0)==3?(f[H+4>>2]|0)==3:0)){f[l>>2]=0;Z=l+4|0;f[Z>>2]=0;_=YG(l,45)|0;M=_;N=236630;Q=M+45|0;do{b[M>>0]=b[N>>0]|0;M=M+1|0;N=N+1|0}while((M|0)<(Q|0));SQ(-215,l,236535,236559,230)}H=x+40|0;U=f[H>>2]|0;if(!((f[U>>2]|0)==3?(f[U+4>>2]|0)==3:0)){f[l>>2]=0;Z=l+4|0;f[Z>>2]=0;_=YG(l,45)|0;M=_;N=236630;Q=M+45|0;do{b[M>>0]=b[N>>0]|0;M=M+1|0;N=N+1|0}while((M|0)<(Q|0));SQ(-215,l,236535,236559,230)}_=f[R>>2]|0;if(!((f[_>>2]|0)==3?((f[_+4>>2]|0)+-3|0)>>>0<2:0)){f[l>>2]=0;f[l+4>>2]=0;M=YG(l,49)|0;N=236676;Q=M+49|0;do{b[M>>0]=b[N>>0]|0;M=M+1|0;N=N+1|0}while((M|0)<(Q|0));SQ(-215,l,236535,236559,231)}f[l>>2]=-2147483648;f[l+4>>2]=2147483647;f[m>>2]=0;f[m+4>>2]=3;mP(F,A,l,m);bG(E,F,x);TF(D,E,0);_0(C,D);Xi(D);Xi(E);E=F+36|0;D=f[E>>2]|0;if(D|0?(N=D+12|0,D=f[N>>2]|0,f[N>>2]=D+-1,(D|0)==1):0)lP(F);f[E>>2]=0;E=F+16|0;D=F+4|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[D>>2]|0)>0){E=f[F+40>>2]|0;N=0;do{f[E+(N<<2)>>2]=0;N=N+1|0}while((N|0)<(f[D>>2]|0))}D=f[F+44>>2]|0;if((D|0)!=(F+48|0))tE(D);D=C+16|0;N=f[D>>2]|0;E=z+16|0;M=f[E>>2]|0;Q=z+44|0;$=+p[M+16>>3];_=M+(f[f[Q>>2]>>2]|0)|0;aa=+p[_+16>>3];ba=+p[M>>3];ca=+p[_+8>>3];_=o+40|0;M=f[_>>2]|0;Z=f[M+4>>2]|0;U=f[M>>2]|0;M=(Z|0)==1;if(!(M&(U|0)==4)?(W=(U|0)==1,!((Z|0)==14&W|(M&(U|0)==14|((Z|0)==12&W|(M&(U|0)==12|((Z|0)==8&W|(M&(U|0)==8|((Z|0)==5&W|((Z|0)==4&W|M&(U|0)==5))))))))):0){f[l>>2]=0;f[l+4>>2]=0;Krc(YG(l,350)|0,236726,350)|0;SQ(-215,l,236535,236559,242)}U=o+8|0;M=f[U>>2]|0;if((M|0)!=1)if(!(f[o>>2]&16384)){mG(l,o);W=f[l>>2]|0;rh[f[(f[W>>2]|0)+12>>2]&255](W,l,o,-1);Xi(l);da=f[U>>2]|0}else da=M;else da=1;M=f[w>>2]|0;U=o+44|0;ea=+p[M>>3];fa=+p[M+8>>3];ga=+p[M+16>>3];ha=+p[M+24>>3];W=(f[o+12>>2]|0)+-1+da|0;do if((W|0)>4){ia=+p[M+32>>3];if((W|0)>7){ja=+p[M+40>>3];ka=+p[M+48>>3];la=+p[M+56>>3];if((W|0)<=11){ma=0.0;na=0.0;oa=ia;pa=ja;qa=ka;ra=la;sa=0.0;ta=0.0;ua=0.0;va=0.0;break}wa=+p[M+64>>3];xa=+p[M+72>>3];ya=+p[M+80>>3];za=+p[M+88>>3];if((W|0)<=13){ma=0.0;na=0.0;oa=ia;pa=ja;qa=ka;ra=la;sa=wa;ta=xa;ua=ya;va=za;break}ma=+p[M+96>>3];na=+p[M+104>>3];oa=ia;pa=ja;qa=ka;ra=la;sa=wa;ta=xa;ua=ya;va=za}else{ma=0.0;na=0.0;oa=ia;pa=0.0;qa=0.0;ra=0.0;sa=0.0;ta=0.0;ua=0.0;va=0.0}}else{ma=0.0;na=0.0;oa=0.0;pa=0.0;qa=0.0;ra=0.0;sa=0.0;ta=0.0;ua=0.0;va=0.0}while(0);ia=+O(+ma);za=+P(+ma);ma=+O(+na);ya=+P(+na);na=ya*0.0;xa=ma+0.0-na;wa=ma*0.0;la=wa+0.0;ka=ia*0.0;ja=za*ya+(ka+la);Aa=za*0.0;Ba=Aa+la-ia*ya;la=ia+0.0-Aa;Ca=ka+(za+0.0);Da=wa+(ya+0.0);ya=na+0.0;na=ka+ya-za*ma;za=ia*ma+(Aa+ya);ya=-Ba;Aa=-Ca;ma=la*0.0;ia=Ca*0.0;ka=xa*0.0+0.0;wa=ja*0.0+0.0;Ea=Ba*0.0+0.0;p[l>>3]=Da*ya+(xa*za+0.0);p[l+8>>3]=na*ya+(ma+(ja*za+0.0));p[l+16>>3]=za*ya+(ia+(Ba*za+0.0));p[l+24>>3]=Da*Aa+(ka+za*0.0);p[l+32>>3]=na*Aa+(wa+la*za);p[l+40>>3]=za*Aa+(Ea+Ca*za);p[l+48>>3]=Da+ka;p[l+56>>3]=na+(ma+wa);p[l+64>>3]=za+(ia+Ea);M=f[d>>2]|0;f[m>>2]=0;f[m+4>>2]=M;d=f[g>>2]|0;f[F>>2]=50508;f[F+4>>2]=d;f[F+8>>2]=M;f[F+12>>2]=t;f[F+16>>2]=v;f[F+20>>2]=e;f[F+24>>2]=N;f[F+28>>2]=l;p[F+32>>3]=$;p[F+40>>3]=aa;p[F+48>>3]=ba;p[F+56>>3]=ca;p[F+64>>3]=ea;p[F+72>>3]=fa;p[F+80>>3]=ga;p[F+88>>3]=ha;p[F+96>>3]=oa;p[F+104>>3]=pa;p[F+112>>3]=qa;p[F+120>>3]=ra;p[F+128>>3]=sa;p[F+136>>3]=ta;p[F+144>>3]=ua;p[F+152>>3]=va;oU(m,F,-1.0);F=C+36|0;m=f[F>>2]|0;do if(m|0){l=m+12|0;N=f[l>>2]|0;f[l>>2]=N+-1;if((N|0)!=1)break;lP(C)}while(0);f[F>>2]=0;F=C+4|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[F>>2]|0)>0){D=f[C+40>>2]|0;m=0;do{f[D+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[F>>2]|0))}F=f[C+44>>2]|0;if((F|0)!=(C+48|0))tE(F);F=A+36|0;C=f[F>>2]|0;do if(C|0){m=C+12|0;D=f[m>>2]|0;f[m>>2]=D+-1;if((D|0)!=1)break;lP(A)}while(0);f[F>>2]=0;F=A+16|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[y>>2]|0)>0){F=f[R>>2]|0;R=0;do{f[F+(R<<2)>>2]=0;R=R+1|0}while((R|0)<(f[y>>2]|0))}y=f[I>>2]|0;if((y|0)!=(j|0))tE(y);y=z+36|0;j=f[y>>2]|0;do if(j|0){I=j+12|0;R=f[I>>2]|0;f[I>>2]=R+-1;if((R|0)!=1)break;lP(z)}while(0);f[y>>2]=0;y=z+4|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[y>>2]|0)>0){E=f[T>>2]|0;T=0;do{f[E+(T<<2)>>2]=0;T=T+1|0}while((T|0)<(f[y>>2]|0))}y=f[Q>>2]|0;if((y|0)!=(z+48|0))tE(y);y=x+36|0;z=f[y>>2]|0;do if(z|0){Q=z+12|0;T=f[Q>>2]|0;f[Q>>2]=T+-1;if((T|0)!=1)break;lP(x)}while(0);f[y>>2]=0;y=x+16|0;z=x+4|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[z>>2]|0)>0){y=f[H>>2]|0;H=0;do{f[y+(H<<2)>>2]=0;H=H+1|0}while((H|0)<(f[z>>2]|0))}z=f[x+44>>2]|0;if((z|0)!=(x+48|0))tE(z);z=v+36|0;x=f[z>>2]|0;do if(x|0){H=x+12|0;y=f[H>>2]|0;f[H>>2]=y+-1;if((y|0)!=1)break;lP(v)}while(0);f[z>>2]=0;z=v+16|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[i>>2]|0)>0){z=f[c>>2]|0;c=0;do{f[z+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[i>>2]|0))}i=f[G>>2]|0;if((i|0)!=(a|0))tE(i);i=t+36|0;a=f[i>>2]|0;do if(a|0){G=a+12|0;c=f[G>>2]|0;f[G>>2]=c+-1;if((c|0)!=1)break;lP(t)}while(0);f[i>>2]=0;i=t+16|0;a=t+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[a>>2]|0)>0){i=f[t+40>>2]|0;c=0;do{f[i+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[a>>2]|0))}a=f[t+44>>2]|0;if((a|0)!=(t+48|0))tE(a);a=r+36|0;t=f[a>>2]|0;do if(t|0){c=t+12|0;i=f[c>>2]|0;f[c>>2]=i+-1;if((i|0)!=1)break;lP(r)}while(0);f[a>>2]=0;a=r+4|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[a>>2]|0)>0){s=f[r+40>>2]|0;t=0;do{f[s+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[a>>2]|0))}a=f[r+44>>2]|0;if((a|0)!=(r+48|0))tE(a);a=q+36|0;r=f[a>>2]|0;do if(r|0){t=r+12|0;s=f[t>>2]|0;f[t>>2]=s+-1;if((s|0)!=1)break;lP(q)}while(0);f[a>>2]=0;a=q+4|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[a>>2]|0)>0){h=f[q+40>>2]|0;r=0;do{f[h+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[a>>2]|0))}a=f[q+44>>2]|0;if((a|0)!=(q+48|0))tE(a);a=o+36|0;q=f[a>>2]|0;do if(q|0){r=q+12|0;h=f[r>>2]|0;f[r>>2]=h+-1;if((h|0)!=1)break;lP(o)}while(0);f[a>>2]=0;a=o+4|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[a>>2]|0)>0){w=f[_>>2]|0;_=0;do{f[w+(_<<2)>>2]=0;_=_+1|0}while((_|0)<(f[a>>2]|0))}a=f[U>>2]|0;if((a|0)!=(o+48|0))tE(a);a=n+36|0;o=f[a>>2]|0;do if(o|0){U=o+12|0;_=f[U>>2]|0;f[U>>2]=_+-1;if((_|0)!=1)break;lP(n)}while(0);f[a>>2]=0;a=n+16|0;o=n+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[o>>2]|0)>0){a=f[n+40>>2]|0;_=0;do{f[a+(_<<2)>>2]=0;_=_+1|0}while((_|0)<(f[o>>2]|0))}o=f[n+44>>2]|0;if((o|0)==(n+48|0)){u=k;return}tE(o);u=k;return}function _0(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a+8|0;d=a+40|0;e=a+4|0;g=e+36|0;do{f[e>>2]=0;e=e+4|0}while((e|0)<(g|0));f[d>>2]=c;c=a+48|0;f[a+44>>2]=c;f[c>>2]=0;f[a+52>>2]=0;f[a>>2]=1124007942;c=f[b>>2]|0;rh[f[(f[c>>2]|0)+12>>2]&255](c,b,a,6);return}function $0(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a+8|0;d=a+40|0;e=a+4|0;g=e+36|0;do{f[e>>2]=0;e=e+4|0}while((e|0)<(g|0));f[d>>2]=c;c=a+48|0;f[a+44>>2]=c;f[c>>2]=0;f[a+52>>2]=0;f[a>>2]=1124007942;b1(a,b)|0;return}function a1(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;if((a|0)==(b|0))return a|0;c=b+36|0;d=f[c>>2]|0;if(d|0){e=d+12|0;f[e>>2]=(f[e>>2]|0)+1}e=a+36|0;d=f[e>>2]|0;if(d|0?(g=d+12|0,d=f[g>>2]|0,f[g>>2]=d+-1,(d|0)==1):0)lP(a);f[e>>2]=0;d=a+16|0;g=a+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[g>>2]|0)>0){h=f[a+40>>2]|0;i=0;do{f[h+(i<<2)>>2]=0;i=i+1|0;j=f[g>>2]|0}while((i|0)<(j|0));f[a>>2]=f[b>>2];if((j|0)<3)k=12;else k=14}else{f[a>>2]=f[b>>2];k=12}if((k|0)==12){j=f[b+4>>2]|0;if((j|0)<3){f[g>>2]=j;f[a+8>>2]=f[b+8>>2];f[a+12>>2]=f[b+12>>2];j=f[b+44>>2]|0;g=f[a+44>>2]|0;f[g>>2]=f[j>>2];f[g+4>>2]=f[j+4>>2]}else k=14}if((k|0)==14)kP(a,b);f[d>>2]=f[b+16>>2];f[a+20>>2]=f[b+20>>2];f[a+24>>2]=f[b+24>>2];f[a+28>>2]=f[b+28>>2];f[a+32>>2]=f[b+32>>2];f[e>>2]=f[c>>2];return a|0}function b1(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+64|0;e=d;g=f[c>>2]|0;if((g&4095|0)==6){if((a|0)==(c|0)){h=a;u=d;return h|0}i=c+36|0;j=f[i>>2]|0;if(j|0){k=j+12|0;f[k>>2]=(f[k>>2]|0)+1}k=a+36|0;j=f[k>>2]|0;if(j|0?(l=j+12|0,j=f[l>>2]|0,f[l>>2]=j+-1,(j|0)==1):0)lP(a);f[k>>2]=0;j=a+16|0;l=a+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[l>>2]|0)>0){m=f[a+40>>2]|0;n=0;do{f[m+(n<<2)>>2]=0;n=n+1|0;o=f[l>>2]|0}while((n|0)<(o|0));f[a>>2]=f[c>>2];if((o|0)<3)p=13;else p=15}else{f[a>>2]=f[c>>2];p=13}if((p|0)==13){o=f[c+4>>2]|0;if((o|0)<3){f[l>>2]=o;f[a+8>>2]=f[c+8>>2];f[a+12>>2]=f[c+12>>2];o=f[c+44>>2]|0;l=f[a+44>>2]|0;f[l>>2]=f[o>>2];f[l+4>>2]=f[o+4>>2]}else p=15}if((p|0)==15)kP(a,c);f[j>>2]=f[c+16>>2];f[a+20>>2]=f[c+20>>2];f[a+24>>2]=f[c+24>>2];f[a+28>>2]=f[c+28>>2];f[a+32>>2]=f[c+32>>2];f[k>>2]=f[i>>2];h=a;u=d;return h|0}if((g&7|0)==6){yP(e,c,1,f[c+4>>2]|0,0);i=b1(a,e)|0;k=e+36|0;j=f[k>>2]|0;if(j|0?(p=j+12|0,j=f[p>>2]|0,f[p>>2]=j+-1,(j|0)==1):0)lP(e);f[k>>2]=0;k=e+16|0;j=e+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[j>>2]|0)>0){k=f[e+40>>2]|0;p=0;do{f[k+(p<<2)>>2]=0;p=p+1|0}while((p|0)<(f[j>>2]|0))}j=f[e+44>>2]|0;if((j|0)!=(e+48|0))tE(j);h=i;u=d;return h|0}else{if(g&4088|0?f[c+16>>2]|0:0){g=f[c+4>>2]|0;if((g|0)<3)q=Y(f[c+12>>2]|0,f[c+8>>2]|0)|0;else{i=f[c+40>>2]|0;j=0;p=1;while(1){k=Y(f[i+(j<<2)>>2]|0,p)|0;j=j+1|0;if((j|0)==(g|0)){q=k;break}else p=k}}if(!((g|0)==0|(q|0)==0)){f[e>>2]=0;f[e+4>>2]=0;q=YG(e,52)|0;g=237174;p=q+52|0;do{b[q>>0]=b[g>>0]|0;q=q+1|0;g=g+1|0}while((q|0)<(p|0));SQ(-215,e,523647,465158,1756)}}g=e+8|0;f[g>>2]=0;f[g+4>>2]=0;f[e>>2]=-2113863674;f[e+4>>2]=a;IO(c,e,6,1.0,0.0);h=a;u=d;return h|0}return 0}function c1(a){a=a|0;Emc(a);return}function d1(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0.0,X=0.0,Z=0.0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0;e=u;u=u+16|0;g=e;h=f[c>>2]|0;i=f[c+4>>2]|0;if((h|0)>=(i|0)){u=e;return}c=a+12|0;j=a+16|0;k=a+24|0;l=f[k>>2]|0;m=l+8|0;o=l+16|0;q=l+32|0;r=l+40|0;s=l+56|0;t=l+64|0;l=a+20|0;v=a+4|0;w=a+96|0;x=a+72|0;y=a+64|0;z=a+120|0;A=a+112|0;B=a+104|0;C=a+80|0;D=a+88|0;E=a+128|0;F=a+136|0;G=a+144|0;H=a+152|0;I=a+28|0;J=a+48|0;K=a+32|0;L=a+56|0;M=a+40|0;a=h;a:while(1){h=f[c>>2]|0;N=(f[h+16>>2]|0)+(Y(f[f[h+44>>2]>>2]|0,a)|0)|0;h=f[j>>2]|0;O=f[h+16>>2]|0;if(O){P=f[h+4>>2]|0;if((P|0)<3)Q=Y(f[h+12>>2]|0,f[h+8>>2]|0)|0;else{R=f[h+40>>2]|0;S=0;T=1;while(1){U=Y(f[R+(S<<2)>>2]|0,T)|0;S=S+1|0;if((S|0)==(P|0)){Q=U;break}else T=U}}if(!((P|0)==0|(Q|0)==0))V=O+(Y(f[f[h+44>>2]>>2]|0,a)|0)|0;else V=0}else V=0;W=+(a|0);X=W*+p[m>>3]+ +p[o>>3];Z=W*+p[q>>3]+ +p[r>>3];_=W*+p[s>>3]+ +p[t>>3];T=f[l>>2]|0;switch(T|0){case 11:{if(!((N|0)!=0&(V|0)!=0)){$=13;break a}break}case 5:{if(!((N|0)!=0&(V|0)!=0)){$=15;break a}break}default:if(!N){$=19;break a}}S=f[v>>2]|0;if((S|0)>0){R=(T|0)==11;U=f[k>>2]|0;aa=U+24|0;ba=U+48|0;ca=(T|0)==5;W=+p[w>>3];da=+p[x>>3];ea=+p[y>>3];fa=+p[z>>3];ga=+p[A>>3];ha=+p[B>>3];ia=+p[C>>3];ja=+p[D>>3];ka=+p[E>>3];la=+p[F>>3];ma=+p[G>>3];na=+p[H>>3];oa=+p[J>>3];pa=X;X=Z;Z=_;T=0;while(1){_=1.0/Z;qa=_*pa;ra=X*_;_=qa*qa;sa=ra*ra;ta=sa+_;ua=ra*(qa*2.0);va=(ta*(ea+ta*(ta*W+da))+1.0)/(ta*(ha+ta*(ta*fa+ga))+1.0);wa=ta*(ta*la)+(ta*ka+((ta+_*2.0)*ja+(ua*ia+qa*va)));qa=ta*(ta*na)+(ta*ma+(ua*ja+((sa*2.0+ta)*ia+ra*va)));xa=f[I>>2]|0;va=+p[xa+64>>3]+(wa*+p[xa+48>>3]+0.0+qa*+p[xa+56>>3]);ra=va!=0.0?1.0/va:1.0;va=+p[K>>3]+(+p[xa+16>>3]+(+p[xa+8>>3]*qa+(+p[xa>>3]*wa+0.0)))*(oa*ra);ta=+p[M>>3]+(+p[xa+40>>3]+(wa*+p[xa+24>>3]+0.0+qa*+p[xa+32>>3]))*(+p[L>>3]*ra);if(R){xa=V9b(va*32.0)|0;ya=V9b(ta*32.0)|0;d[N+(T<<2)>>1]=xa>>>5;d[N+((T<<1|1)<<1)>>1]=ya>>>5;d[V+(T<<1)>>1]=ya<<5&992|xa&31}else{ra=va;if(ca){n[N+(T<<2)>>2]=ra;za=V+(T<<2)|0}else{xa=T<<1;n[N+(xa<<2)>>2]=ra;za=N+((xa|1)<<2)|0}n[za>>2]=ta}T=T+1|0;if((T|0)>=(S|0))break;else{pa=pa+ +p[U>>3];X=X+ +p[aa>>3];Z=Z+ +p[ba>>3]}}}a=a+1|0;if((a|0)>=(i|0)){$=3;break}}if(($|0)==3){u=e;return}else if(($|0)==13){f[g>>2]=0;f[g+4>>2]=0;Aa=YG(g,24)|0;Ba=237077;Ca=Aa+24|0;do{b[Aa>>0]=b[Ba>>0]|0;Aa=Aa+1|0;Ba=Ba+1|0}while((Aa|0)<(Ca|0));SQ(-215,g,523657,236559,117)}else if(($|0)==15){f[g>>2]=0;f[g+4>>2]=0;Aa=YG(g,26)|0;Ba=237102;Ca=Aa+26|0;do{b[Aa>>0]=b[Ba>>0]|0;Aa=Aa+1|0;Ba=Ba+1|0}while((Aa|0)<(Ca|0));SQ(-215,g,523657,236559,119)}else if(($|0)==19){f[g>>2]=0;f[g+4>>2]=0;Aa=YG(g,10)|0;Ba=237129;Ca=Aa+10|0;do{b[Aa>>0]=b[Ba>>0]|0;Aa=Aa+1|0;Ba=Ba+1|0}while((Aa|0)<(Ca|0));SQ(-215,g,523657,236559,121)}}function e1(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0.0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0;h=u;u=u+1136|0;i=h+256|0;j=h+1112|0;k=h+1096|0;l=h+1040|0;m=h+984|0;n=h+928|0;o=h+872|0;q=h+1104|0;r=h+816|0;s=h+760|0;t=h+704|0;v=h+648|0;w=h+592|0;x=h+536|0;y=h+32|0;z=h+472|0;A=h+416|0;B=h+360|0;C=h+344|0;D=h+328|0;E=h+528|0;F=h;G=h+312|0;zT(k,50520);do if((pD(a)|0)==65536){H=f[a+4>>2]|0;f[l>>2]=f[H>>2];I=l+4|0;J=H+4|0;f[I>>2]=f[J>>2];K=l+8|0;f[K>>2]=f[H+8>>2];f[l+12>>2]=f[H+12>>2];f[l+16>>2]=f[H+16>>2];f[l+20>>2]=f[H+20>>2];f[l+24>>2]=f[H+24>>2];f[l+28>>2]=f[H+28>>2];f[l+32>>2]=f[H+32>>2];L=f[H+36>>2]|0;f[l+36>>2]=L;f[l+40>>2]=K;K=l+48|0;M=l+44|0;f[M>>2]=K;f[K>>2]=0;f[l+52>>2]=0;if(L|0){K=L+12|0;f[K>>2]=(f[K>>2]|0)+1}if((f[J>>2]|0)<3){J=f[H+44>>2]|0;K=f[M>>2]|0;f[K>>2]=f[J>>2];f[K+4>>2]=f[J+4>>2];break}else{f[I>>2]=0;kP(l,H);break}}else lD(l,a,-1);while(0);do if((pD(d)|0)==65536){a=f[d+4>>2]|0;f[m>>2]=f[a>>2];H=m+4|0;I=a+4|0;f[H>>2]=f[I>>2];J=m+8|0;f[J>>2]=f[a+8>>2];f[m+12>>2]=f[a+12>>2];f[m+16>>2]=f[a+16>>2];f[m+20>>2]=f[a+20>>2];f[m+24>>2]=f[a+24>>2];f[m+28>>2]=f[a+28>>2];f[m+32>>2]=f[a+32>>2];K=f[a+36>>2]|0;f[m+36>>2]=K;f[m+40>>2]=J;J=m+48|0;M=m+44|0;f[M>>2]=J;f[J>>2]=0;f[m+52>>2]=0;if(K|0){J=K+12|0;f[J>>2]=(f[J>>2]|0)+1}if((f[I>>2]|0)<3){I=f[a+44>>2]|0;J=f[M>>2]|0;f[J>>2]=f[I>>2];f[J+4>>2]=f[I+4>>2];break}else{f[H>>2]=0;kP(m,a);break}}else lD(m,d,-1);while(0);do if((pD(e)|0)==65536){d=f[e+4>>2]|0;f[n>>2]=f[d>>2];a=n+4|0;H=d+4|0;f[a>>2]=f[H>>2];I=n+8|0;f[I>>2]=f[d+8>>2];f[n+12>>2]=f[d+12>>2];f[n+16>>2]=f[d+16>>2];f[n+20>>2]=f[d+20>>2];f[n+24>>2]=f[d+24>>2];f[n+28>>2]=f[d+28>>2];f[n+32>>2]=f[d+32>>2];J=f[d+36>>2]|0;f[n+36>>2]=J;f[n+40>>2]=I;I=n+48|0;M=n+44|0;f[M>>2]=I;f[I>>2]=0;f[n+52>>2]=0;if(J|0){I=J+12|0;f[I>>2]=(f[I>>2]|0)+1}if((f[H>>2]|0)<3){H=f[d+44>>2]|0;I=f[M>>2]|0;f[I>>2]=f[H>>2];f[I+4>>2]=f[H+4>>2];break}else{f[a>>2]=0;kP(n,d);break}}else lD(n,e,-1);while(0);do if((pD(g)|0)==65536){e=f[g+4>>2]|0;f[o>>2]=f[e>>2];d=o+4|0;a=e+4|0;f[d>>2]=f[a>>2];H=o+8|0;f[H>>2]=f[e+8>>2];f[o+12>>2]=f[e+12>>2];f[o+16>>2]=f[e+16>>2];f[o+20>>2]=f[e+20>>2];f[o+24>>2]=f[e+24>>2];f[o+28>>2]=f[e+28>>2];f[o+32>>2]=f[e+32>>2];I=f[e+36>>2]|0;f[o+36>>2]=I;f[o+40>>2]=H;H=o+48|0;M=o+44|0;f[M>>2]=H;f[H>>2]=0;f[o+52>>2]=0;if(I|0){H=I+12|0;f[H>>2]=(f[H>>2]|0)+1}if((f[a>>2]|0)<3){a=f[e+44>>2]|0;H=f[M>>2]|0;f[H>>2]=f[a>>2];f[H+4>>2]=f[a+4>>2];break}else{f[d>>2]=0;kP(o,e);break}}else lD(o,g,-1);while(0);g=l+40|0;e=f[g>>2]|0;d=f[e>>2]|0;f[q>>2]=f[e+4>>2];f[q+4>>2]=d;HD(c,q,f[l>>2]&4095,-1,0,0);do if((pD(c)|0)==65536){q=f[c+4>>2]|0;f[r>>2]=f[q>>2];d=r+4|0;e=q+4|0;f[d>>2]=f[e>>2];a=r+8|0;f[a>>2]=f[q+8>>2];f[r+12>>2]=f[q+12>>2];H=r+16|0;f[H>>2]=f[q+16>>2];f[r+20>>2]=f[q+20>>2];f[r+24>>2]=f[q+24>>2];f[r+28>>2]=f[q+28>>2];f[r+32>>2]=f[q+32>>2];M=f[q+36>>2]|0;f[r+36>>2]=M;f[r+40>>2]=a;a=r+48|0;I=r+44|0;f[I>>2]=a;f[a>>2]=0;f[r+52>>2]=0;if(M|0){a=M+12|0;f[a>>2]=(f[a>>2]|0)+1}if((f[e>>2]|0)<3){e=f[q+44>>2]|0;a=f[I>>2]|0;f[a>>2]=f[e>>2];f[a+4>>2]=f[e+4>>2];N=H;break}else{f[d>>2]=0;kP(r,q);N=H;break}}else{lD(r,c,-1);N=r+16|0}while(0);c=l+16|0;if((f[N>>2]|0)==(f[c>>2]|0)){f[i>>2]=0;f[i+4>>2]=0;O=YG(i,20)|0;H=237227;P=O+20|0;do{b[O>>0]=b[H>>0]|0;O=O+1|0;H=H+1|0}while((O|0)<(P|0));SQ(-215,i,237248,236559,284)}H=l+12|0;q=f[H>>2]|0;d=4096/(((q|0)>1?q:1)>>>0)|0;e=l+8|0;a=f[e>>2]|0;I=d>>>0>1?d:1;d=(a|0)<(I|0)?a:I;f[s>>2]=1124007936;I=s+4|0;a=s+8|0;M=s+40|0;O=I;P=O+36|0;do{f[O>>2]=0;O=O+4|0}while((O|0)<(P|0));f[M>>2]=a;a=s+48|0;J=s+44|0;f[J>>2]=a;f[a>>2]=0;f[s+52>>2]=0;f[i>>2]=d;K=i+4|0;f[K>>2]=q;iP(s,2,i,11);q=f[H>>2]|0;f[t>>2]=1124007936;L=t+4|0;Q=t+8|0;R=t+40|0;O=L;P=O+36|0;do{f[O>>2]=0;O=O+4|0}while((O|0)<(P|0));f[R>>2]=Q;Q=t+48|0;S=t+44|0;f[S>>2]=Q;f[Q>>2]=0;f[t+52>>2]=0;f[i>>2]=d;f[K>>2]=q;iP(t,2,i,2);q=v+4|0;T=v+8|0;U=v+40|0;O=q;P=O+36|0;do{f[O>>2]=0;O=O+4|0}while((O|0)<(P|0));f[U>>2]=T;T=v+48|0;V=v+44|0;f[V>>2]=T;f[T>>2]=0;f[v+52>>2]=0;f[v>>2]=1124007942;W=w+4|0;X=w+8|0;Z=w+40|0;O=W;P=O+36|0;do{f[O>>2]=0;O=O+4|0}while((O|0)<(P|0));f[Z>>2]=X;X=w+48|0;O=w+44|0;f[O>>2]=X;f[X>>2]=0;f[w+52>>2]=0;f[w>>2]=1124007942;uG(y,3,3,6);_0(x,y);Xi(y);y=i+8|0;f[y>>2]=0;f[y+4>>2]=0;f[i>>2]=-2113863674;f[i+4>>2]=v;IO(m,i,6,1.0,0.0);y=n+16|0;P=(f[y>>2]|0)==0;_=n+4|0;$=f[_>>2]|0;if(!P){if(($|0)<3)aa=Y(f[n+12>>2]|0,f[n+8>>2]|0)|0;else{ba=f[n+40>>2]|0;ca=0;da=1;while(1){ea=Y(f[ba+(ca<<2)>>2]|0,da)|0;ca=ca+1|0;if((ca|0)==($|0)){aa=ea;break}else da=ea}}if(!(($|0)==0|(aa|0)==0)){$0(i,n);aa=i+36|0;da=f[aa>>2]|0;if(da|0){ca=da+12|0;f[ca>>2]=(f[ca>>2]|0)+1}ca=n+36|0;da=f[ca>>2]|0;if(da|0?(ba=da+12|0,da=f[ba>>2]|0,f[ba>>2]=da+-1,(da|0)==1):0)lP(n);f[ca>>2]=0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[_>>2]|0)>0){da=f[n+40>>2]|0;ba=0;do{f[da+(ba<<2)>>2]=0;ba=ba+1|0;fa=f[_>>2]|0}while((ba|0)<(fa|0));f[n>>2]=f[i>>2];if((fa|0)<3)ga=54;else ga=56}else{f[n>>2]=f[i>>2];ga=54}if((ga|0)==54){fa=f[i+4>>2]|0;if((fa|0)<3){f[_>>2]=fa;f[n+8>>2]=f[i+8>>2];f[n+12>>2]=f[i+12>>2];fa=f[i+44>>2]|0;_=f[n+44>>2]|0;f[_>>2]=f[fa>>2];f[_+4>>2]=f[fa+4>>2]}else ga=56}if((ga|0)==56)kP(n,i);fa=i+16|0;f[y>>2]=f[fa>>2];f[n+20>>2]=f[i+20>>2];f[n+24>>2]=f[i+24>>2];f[n+28>>2]=f[i+28>>2];f[n+32>>2]=f[i+32>>2];_=f[aa>>2]|0;f[ca>>2]=_;if(_|0?(ca=_+12|0,_=f[ca>>2]|0,f[ca>>2]=_+-1,(_|0)==1):0)lP(i);f[aa>>2]=0;aa=i+4|0;f[fa>>2]=0;f[fa+4>>2]=0;f[fa+8>>2]=0;f[fa+12>>2]=0;if((f[aa>>2]|0)>0){fa=f[i+40>>2]|0;_=0;do{f[fa+(_<<2)>>2]=0;_=_+1|0}while((_|0)<(f[aa>>2]|0))}aa=f[i+44>>2]|0;if((aa|0)!=(i+48|0))tE(aa)}else ga=66}else ga=66;if((ga|0)==66){if(!(((($|0)<3?(f[n+8>>2]|0)==5:0)?(f[n+12>>2]|0)==1:0)?!((f[n>>2]&4095|0)!=6|P):0))ga=70;if((ga|0)==70){f[i>>2]=5;f[K>>2]=1;iP(n,2,i,6)};f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;f[i+24>>2]=0;f[i+28>>2]=0;nT(n,i)|0}K=o+16|0;if(f[K>>2]|0){P=f[o+4>>2]|0;if((P|0)<3)ha=Y(f[o+12>>2]|0,f[o+8>>2]|0)|0;else{$=f[o+40>>2]|0;aa=0;_=1;while(1){fa=Y(f[$+(aa<<2)>>2]|0,_)|0;aa=aa+1|0;if((aa|0)==(P|0)){ha=fa;break}else _=fa}}if(!((P|0)==0|(ha|0)==0)){ha=i+8|0;f[ha>>2]=0;f[ha+4>>2]=0;f[i>>2]=-2113863674;f[i+4>>2]=w;IO(o,i,6,1.0,0.0)}else ga=79}else ga=79;if((ga|0)==79){ga=i+8|0;f[ga>>2]=0;f[ga+4>>2]=0;f[i>>2]=-2113863674;f[i+4>>2]=w;kT(v,i)}ga=w+16|0;ia=+p[(f[ga>>2]|0)+(f[f[O>>2]>>2]|0)+16>>3];ha=f[e>>2]|0;if((ha|0)>0){P=i+4|0;_=j+4|0;aa=i+4|0;$=j+4|0;fa=i+4|0;ca=j+4|0;ba=i+8|0;da=i+12|0;ea=i+4|0;ja=j+8|0;ka=j+12|0;la=j+4|0;ma=C+8|0;na=C+12|0;oa=C+4|0;pa=D+8|0;qa=D+12|0;ra=D+4|0;sa=E+4|0;ta=F+8|0;ua=F+4|0;va=G+8|0;wa=G+4|0;xa=i+8|0;ya=i+12|0;za=i+4|0;Aa=j+8|0;Ba=j+4|0;Ca=C+8|0;Da=C+12|0;Ea=C+4|0;Fa=D+8|0;Ga=D+12|0;Ha=D+4|0;Ia=B+36|0;Ja=B+16|0;Ka=B+4|0;La=B+40|0;Ma=B+44|0;Na=B+48|0;Oa=A+36|0;Pa=A+16|0;Qa=A+4|0;Ra=A+40|0;Sa=A+44|0;Ta=A+48|0;Ua=z+36|0;Va=z+16|0;Wa=z+4|0;Xa=z+40|0;Ya=z+44|0;Za=z+48|0;_a=0;$a=ha;do{ha=$a-_a|0;ab=(ha|0)<(d|0)?ha:d;p[(f[ga>>2]|0)+(f[f[O>>2]>>2]|0)+16>>3]=ia-+(_a|0);f[i>>2]=0;f[P>>2]=ab;f[j>>2]=-2147483648;f[_>>2]=2147483647;mP(z,s,i,j);f[i>>2]=0;f[aa>>2]=ab;f[j>>2]=-2147483648;f[$>>2]=2147483647;mP(A,t,i,j);f[i>>2]=_a;f[fa>>2]=ab+_a;f[j>>2]=-2147483648;f[ca>>2]=2147483647;mP(B,r,i,j);f[ba>>2]=0;f[da>>2]=0;f[i>>2]=-2130640890;f[ea>>2]=v;f[ja>>2]=0;f[ka>>2]=0;f[j>>2]=16842752;f[la>>2]=n;f[ma>>2]=0;f[na>>2]=0;f[C>>2]=-2130640890;f[oa>>2]=x;f[pa>>2]=0;f[qa>>2]=0;f[D>>2]=-2130640890;f[ra>>2]=w;f[E>>2]=f[H>>2];f[sa>>2]=ab;ab=f[z>>2]&4095;ha=ta;f[ha>>2]=0;f[ha+4>>2]=0;f[F>>2]=33619968;f[ua>>2]=z;ha=va;f[ha>>2]=0;f[ha+4>>2]=0;f[G>>2]=33619968;f[wa>>2]=A;Z0(i,j,C,D,E,ab,F,G);f[xa>>2]=0;f[ya>>2]=0;f[i>>2]=16842752;f[za>>2]=l;ab=Aa;f[ab>>2]=0;f[ab+4>>2]=0;f[j>>2]=33619968;f[Ba>>2]=B;f[Ca>>2]=0;f[Da>>2]=0;f[C>>2]=16842752;f[Ea>>2]=z;f[Fa>>2]=0;f[Ga>>2]=0;f[D>>2]=16842752;f[Ha>>2]=A;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;f[F+16>>2]=0;f[F+20>>2]=0;f[F+24>>2]=0;f[F+28>>2]=0;usa(i,j,C,D,1,0,F);ab=f[Ia>>2]|0;if(ab|0?(ha=ab+12|0,ab=f[ha>>2]|0,f[ha>>2]=ab+-1,(ab|0)==1):0)lP(B);f[Ia>>2]=0;f[Ja>>2]=0;f[Ja+4>>2]=0;f[Ja+8>>2]=0;f[Ja+12>>2]=0;if((f[Ka>>2]|0)>0){ab=f[La>>2]|0;ha=0;do{f[ab+(ha<<2)>>2]=0;ha=ha+1|0}while((ha|0)<(f[Ka>>2]|0))}ha=f[Ma>>2]|0;if((ha|0)!=(Na|0))tE(ha);ha=f[Oa>>2]|0;if(ha|0?(ab=ha+12|0,ha=f[ab>>2]|0,f[ab>>2]=ha+-1,(ha|0)==1):0)lP(A);f[Oa>>2]=0;f[Pa>>2]=0;f[Pa+4>>2]=0;f[Pa+8>>2]=0;f[Pa+12>>2]=0;if((f[Qa>>2]|0)>0){ha=f[Ra>>2]|0;ab=0;do{f[ha+(ab<<2)>>2]=0;ab=ab+1|0}while((ab|0)<(f[Qa>>2]|0))}ab=f[Sa>>2]|0;if((ab|0)!=(Ta|0))tE(ab);ab=f[Ua>>2]|0;if(ab|0?(ha=ab+12|0,ab=f[ha>>2]|0,f[ha>>2]=ab+-1,(ab|0)==1):0)lP(z);f[Ua>>2]=0;f[Va>>2]=0;f[Va+4>>2]=0;f[Va+8>>2]=0;f[Va+12>>2]=0;if((f[Wa>>2]|0)>0){ab=f[Xa>>2]|0;ha=0;do{f[ab+(ha<<2)>>2]=0;ha=ha+1|0}while((ha|0)<(f[Wa>>2]|0))}ha=f[Ya>>2]|0;if((ha|0)!=(Za|0))tE(ha);_a=_a+d|0;$a=f[e>>2]|0}while(($a|0)>(_a|0))}_a=x+36|0;$a=f[_a>>2]|0;if($a|0?(e=$a+12|0,$a=f[e>>2]|0,f[e>>2]=$a+-1,($a|0)==1):0)lP(x);f[_a>>2]=0;_a=x+16|0;$a=x+4|0;f[_a>>2]=0;f[_a+4>>2]=0;f[_a+8>>2]=0;f[_a+12>>2]=0;if((f[$a>>2]|0)>0){_a=f[x+40>>2]|0;e=0;do{f[_a+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[$a>>2]|0))}$a=f[x+44>>2]|0;if(($a|0)!=(x+48|0))tE($a);$a=w+36|0;x=f[$a>>2]|0;if(x|0?(e=x+12|0,x=f[e>>2]|0,f[e>>2]=x+-1,(x|0)==1):0)lP(w);f[$a>>2]=0;f[ga>>2]=0;f[ga+4>>2]=0;f[ga+8>>2]=0;f[ga+12>>2]=0;if((f[W>>2]|0)>0){ga=f[Z>>2]|0;Z=0;do{f[ga+(Z<<2)>>2]=0;Z=Z+1|0}while((Z|0)<(f[W>>2]|0))}W=f[O>>2]|0;if((W|0)!=(X|0))tE(W);W=v+36|0;X=f[W>>2]|0;if(X|0?(O=X+12|0,X=f[O>>2]|0,f[O>>2]=X+-1,(X|0)==1):0)lP(v);f[W>>2]=0;W=v+16|0;f[W>>2]=0;f[W+4>>2]=0;f[W+8>>2]=0;f[W+12>>2]=0;if((f[q>>2]|0)>0){W=f[U>>2]|0;U=0;do{f[W+(U<<2)>>2]=0;U=U+1|0}while((U|0)<(f[q>>2]|0))}q=f[V>>2]|0;if((q|0)!=(T|0))tE(q);q=t+36|0;T=f[q>>2]|0;do if(T|0){V=T+12|0;U=f[V>>2]|0;f[V>>2]=U+-1;if((U|0)!=1)break;lP(t)}while(0);f[q>>2]=0;q=t+16|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[L>>2]|0)>0){q=f[R>>2]|0;R=0;do{f[q+(R<<2)>>2]=0;R=R+1|0}while((R|0)<(f[L>>2]|0))}L=f[S>>2]|0;if((L|0)!=(Q|0))tE(L);L=s+36|0;Q=f[L>>2]|0;do if(Q|0){S=Q+12|0;R=f[S>>2]|0;f[S>>2]=R+-1;if((R|0)!=1)break;lP(s)}while(0);f[L>>2]=0;L=s+16|0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;if((f[I>>2]|0)>0){L=f[M>>2]|0;M=0;do{f[L+(M<<2)>>2]=0;M=M+1|0}while((M|0)<(f[I>>2]|0))}I=f[J>>2]|0;if((I|0)!=(a|0))tE(I);I=r+36|0;a=f[I>>2]|0;do if(a|0){J=a+12|0;M=f[J>>2]|0;f[J>>2]=M+-1;if((M|0)!=1)break;lP(r)}while(0);f[I>>2]=0;I=r+4|0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;if((f[I>>2]|0)>0){N=f[r+40>>2]|0;a=0;do{f[N+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[I>>2]|0))}I=f[r+44>>2]|0;if((I|0)!=(r+48|0))tE(I);I=o+36|0;r=f[I>>2]|0;do if(r|0){a=r+12|0;N=f[a>>2]|0;f[a>>2]=N+-1;if((N|0)!=1)break;lP(o)}while(0);f[I>>2]=0;I=o+4|0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[I>>2]|0)>0){K=f[o+40>>2]|0;r=0;do{f[K+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[I>>2]|0))}I=f[o+44>>2]|0;if((I|0)!=(o+48|0))tE(I);I=n+36|0;o=f[I>>2]|0;do if(o|0){r=o+12|0;K=f[r>>2]|0;f[r>>2]=K+-1;if((K|0)!=1)break;lP(n)}while(0);f[I>>2]=0;I=n+4|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[I>>2]|0)>0){y=f[n+40>>2]|0;o=0;do{f[y+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[I>>2]|0))}I=f[n+44>>2]|0;if((I|0)!=(n+48|0))tE(I);I=m+36|0;n=f[I>>2]|0;do if(n|0){o=n+12|0;y=f[o>>2]|0;f[o>>2]=y+-1;if((y|0)!=1)break;lP(m)}while(0);f[I>>2]=0;I=m+16|0;n=m+4|0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[n>>2]|0)>0){I=f[m+40>>2]|0;y=0;do{f[I+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[n>>2]|0))}n=f[m+44>>2]|0;if((n|0)!=(m+48|0))tE(n);n=l+36|0;m=f[n>>2]|0;do if(m|0){y=m+12|0;I=f[y>>2]|0;f[y>>2]=I+-1;if((I|0)!=1)break;lP(l)}while(0);f[n>>2]=0;n=l+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[n>>2]|0)>0){c=f[g>>2]|0;g=0;do{f[c+(g<<2)>>2]=0;g=g+1|0}while((g|0)<(f[n>>2]|0))}n=f[l+44>>2]|0;if((n|0)!=(l+48|0))tE(n);if(!(f[k+4>>2]|0)){u=h;return}u=h;return}function f1(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;SQ(a,b,c,237338,d);return}function g1(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0;g=u;u=u+128|0;h=g+112|0;i=g+56|0;j=g;zT(h,50540);if(DD(a)|0){f[i>>2]=0;f[i+4>>2]=0;k=YG(i,13)|0;l=288769;m=k+13|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));f1(-215,i,237405,181)}a:do if((e|0)<1)switch(d|0){case 120:case 119:case 122:case 121:case 112:case 111:case 104:case 105:case 102:case 103:case 94:case 95:case 96:case 97:case 9:case 29:case 19:case 28:case 18:case 5:case 2:case 0:{n=4;break a;break}case 116:case 115:case 118:case 117:case 108:case 107:case 100:case 101:case 98:case 99:case 90:case 91:case 92:case 93:case 8:case 25:case 15:case 24:case 14:case 4:case 3:case 1:{n=3;break a;break}default:{n=0;break a}}else n=e;while(0);do switch(d|0){case 5:case 4:case 3:case 1:case 2:case 0:{Hqa(a,c,n,d>>>0>1);break}case 27:case 17:case 23:case 13:case 26:case 16:case 22:case 12:{e=d+-12|0;b:do if(e>>>0<15){o=(11178>>>(e&32767)&1)!=0;switch(d|0){case 20:case 21:case 19:case 18:case 15:case 14:case 17:case 16:case 13:case 12:{p=o;q=6;break b;break}case 24:case 25:case 26:case 23:case 22:{r=o;s=11;break b;break}default:{}}p=o;q=0}else{r=1;s=11}while(0);if((s|0)==11){p=r;q=5}Kqa(a,c,p,q);break}case 29:case 19:case 25:case 15:case 28:case 18:case 24:case 14:{e=d+-14|0;c:do if(e>>>0<15){o=(10986>>>(e&32767)&1)!=0;switch(d|0){case 24:case 27:case 26:case 23:case 22:case 25:case 28:{t=o;s=16;break c;break}case 20:case 21:case 19:case 18:case 15:case 14:case 17:case 16:{v=o;w=6;break c;break}default:{}}v=o;w=0}else{t=1;s=16}while(0);if((s|0)==16){v=t;w=5}Nqa(a,c,n,v,w);break}case 11:case 7:case 10:case 6:{switch(d|0){case 10:case 6:{x=0;break}default:x=1}Oqa(a,c,x);break}case 31:case 21:{switch(d|0){case 22:case 30:case 31:case 29:case 28:case 25:case 24:case 27:case 26:case 23:{y=5;break}case 21:{y=6;break}default:y=0}Uqa(a,c,y);break}case 9:case 8:{Rqa(a,c,n);break}case 30:case 20:{switch(d|0){case 22:case 30:case 29:case 28:case 25:case 24:case 27:case 26:case 23:{z=5;break}case 20:case 21:{z=6;break}default:z=0}Xqa(a,c,z);break}case 83:case 82:case 37:case 36:{switch(d|0){case 40:case 80:case 78:case 58:case 38:case 82:case 36:case 56:case 72:case 70:case 60:case 54:case 76:case 74:case 50:case 44:case 68:case 66:case 52:{A=0;break}default:A=1}P3(a,c,A,(d|1|0)==37);break}case 85:case 84:case 39:case 38:{switch(d|0){case 40:case 80:case 78:case 84:case 38:case 82:case 58:case 56:case 72:case 70:case 60:case 54:case 76:case 74:case 50:case 44:case 68:case 66:case 52:{B=0;break}default:B=1}S3(a,c,n,B,(d|1|0)==39);break}case 33:case 32:{Y5(a,c,(d|0)!=32);break}case 35:case 34:{Z5(a,c,n,(d|0)!=34);break}case 67:case 41:case 66:case 40:{e=d+-40|0;if(e>>>0<27)C=(65711086>>>(e&134217727)&1|0)!=0;else C=1;H4(a,c,C,(d+-66|0)>>>0<8);break}case 69:case 53:case 68:case 52:{e=d+-52|0;if(e>>>0<17)D=(48810>>>(e&131071)&1|0)!=0;else D=1;E4(a,c,D,(d+-66|0)>>>0<8);break}case 71:case 55:case 70:case 54:{e=d+-54|0;if(e>>>0<17)E=(44970>>>(e&131071)&1|0)!=0;else E=1;L4(a,c,n,E,(d+-66|0)>>>0<8);break}case 73:case 61:case 72:case 60:{e=d+-60|0;if(e>>>0<13)F=(2750>>>(e&8191)&1)!=0;else F=1;I4(a,c,n,F,(d+-66|0)>>>0<8);break}case 75:case 45:case 74:case 44:{e=d+-44|0;if(e>>>0<31){o=(717138622>>>(e&2147483647)&1|0)!=0;if(e>>>0<16){G=o;H=((-3901&65535)>>>(e&65535)&1)!=0}else{G=o;H=0}}else{G=1;H=0}U5(a,c,G,H);break}case 77:case 51:case 76:case 50:{o=d+-50|0;if(o>>>0<27){e=(44759722>>>(o&134217727)&1|0)!=0;o=d+-44|0;if(o>>>0<16){I=e;J=((-3901&65535)>>>(o&65535)&1)!=0}else{I=e;J=0}}else{I=1;J=0}V5(a,c,I,J);break}case 79:case 57:case 78:case 56:{e=d+-56|0;if(e>>>0<23){o=(2796522>>>(e&8388607)&1|0)!=0;e=d+-44|0;if(e>>>0<16){K=o;L=((-3901&65535)>>>(e&65535)&1)!=0}else{K=o;L=0}}else{K=1;L=0}W5(a,c,n,K,L);break}case 81:case 59:case 80:case 58:{o=d+-58|0;if(o>>>0<23){e=(2796282>>>(o&8388607)&1|0)!=0;o=d+-44|0;if(o>>>0<16){M=e;N=((-3901&65535)>>>(o&65535)&1)!=0}else{M=e;N=0}}else{M=1;N=0}X5(a,c,n,M,N);break}case 142:case 141:case 140:case 139:case 138:case 137:case 136:case 135:case 65:case 64:case 63:case 62:case 49:case 48:case 47:case 46:case 89:case 88:case 87:case 86:{f[i>>2]=1124007936;e=i+4|0;o=i+8|0;O=i+40|0;k=e;m=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(m|0));f[O>>2]=o;P=i+48|0;Q=i+44|0;f[Q>>2]=P;f[P>>2]=0;f[i+52>>2]=0;R=a+4|0;if((f[R>>2]|0)!=(f[c+4>>2]|0)){do if((pD(a)|0)==65536){S=f[R>>2]|0;f[j>>2]=f[S>>2];T=j+4|0;U=S+4|0;f[T>>2]=f[U>>2];V=j+8|0;f[V>>2]=f[S+8>>2];f[j+12>>2]=f[S+12>>2];f[j+16>>2]=f[S+16>>2];f[j+20>>2]=f[S+20>>2];f[j+24>>2]=f[S+24>>2];f[j+28>>2]=f[S+28>>2];f[j+32>>2]=f[S+32>>2];W=j+36|0;X=f[S+36>>2]|0;f[W>>2]=X;f[j+40>>2]=V;V=j+48|0;Y=j+44|0;f[Y>>2]=V;f[V>>2]=0;f[j+52>>2]=0;if(X|0){V=X+12|0;f[V>>2]=(f[V>>2]|0)+1}if((f[U>>2]|0)<3){U=f[S+44>>2]|0;V=f[Y>>2]|0;f[V>>2]=f[U>>2];f[V+4>>2]=f[U+4>>2];Z=W;break}else{f[T>>2]=0;kP(j,S);Z=W;break}}else{lD(j,a,-1);Z=j+36|0}while(0);R=f[Z>>2]|0;if(R|0){W=R+12|0;f[W>>2]=(f[W>>2]|0)+1}W=i+36|0;R=f[W>>2]|0;if(R|0?(S=R+12|0,R=f[S>>2]|0,f[S>>2]=R+-1,(R|0)==1):0)lP(i);f[W>>2]=0;R=i+16|0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((f[e>>2]|0)>0){S=f[O>>2]|0;T=0;do{f[S+(T<<2)>>2]=0;T=T+1|0;_=f[e>>2]|0}while((T|0)<(_|0));f[i>>2]=f[j>>2];if((_|0)<3)s=86;else s=88}else{f[i>>2]=f[j>>2];s=86}if((s|0)==86){T=f[j+4>>2]|0;if((T|0)<3){f[e>>2]=T;f[o>>2]=f[j+8>>2];f[i+12>>2]=f[j+12>>2];T=f[j+44>>2]|0;S=f[Q>>2]|0;f[S>>2]=f[T>>2];f[S+4>>2]=f[T+4>>2]}else s=88}if((s|0)==88)kP(i,j);T=j+16|0;f[R>>2]=f[T>>2];f[i+20>>2]=f[j+20>>2];f[i+24>>2]=f[j+24>>2];f[i+28>>2]=f[j+28>>2];f[i+32>>2]=f[j+32>>2];S=f[Z>>2]|0;f[W>>2]=S;if(S|0?(U=S+12|0,S=f[U>>2]|0,f[U>>2]=S+-1,(S|0)==1):0)lP(j);f[Z>>2]=0;S=j+4|0;f[T>>2]=0;f[T+4>>2]=0;f[T+8>>2]=0;f[T+12>>2]=0;if((f[S>>2]|0)>0){T=f[j+40>>2]|0;U=0;do{f[T+(U<<2)>>2]=0;U=U+1|0}while((U|0)<(f[S>>2]|0))}S=f[j+44>>2]|0;if((S|0)!=(j+48|0))tE(S)}else{S=j+8|0;f[S>>2]=0;f[S+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=i;FD(a,j)}f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=i;qpa(j,c,d,n);S=i+36|0;U=f[S>>2]|0;if(U|0?(T=U+12|0,U=f[T>>2]|0,f[T>>2]=U+-1,(U|0)==1):0)lP(i);f[S>>2]=0;S=i+16|0;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;if((f[e>>2]|0)>0){S=f[O>>2]|0;U=0;do{f[S+(U<<2)>>2]=0;U=U+1|0}while((U|0)<(f[e>>2]|0))}e=f[Q>>2]|0;if((e|0)!=(P|0))tE(e);break}case 94:case 95:case 96:case 97:case 90:case 91:case 92:case 93:{e=d+-91|0;U=e>>>0>6|(e&1|0)!=0;switch(d|0){case 94:case 95:case 90:case 91:{$=0;break}case 96:case 97:case 92:case 93:{$=1;break}default:$=-1}g4(a,c,n,U,$);break}case 104:case 105:case 100:case 101:case 102:case 103:case 98:case 99:{U=d+-99|0;e=U>>>0>6|(U&1|0)!=0;switch(d|0){case 102:case 103:case 98:case 99:{aa=1;break}case 104:case 105:case 100:case 101:{aa=0;break}default:aa=-1}d4(a,c,n,e,aa);break}case 106:{a4(a,c);break}case 130:case 129:case 128:case 127:case 134:case 133:case 132:case 131:{e=d+-128|0;U=e>>>0>6|(e&1|0)!=0;switch(d|0){case 134:case 133:case 132:case 131:{ba=2;break}case 130:case 129:case 128:case 127:{ba=1;break}default:ba=-1}Z3(a,c,U,ba);break}case 122:case 121:case 120:case 119:case 118:case 117:case 116:case 115:case 112:case 111:case 108:case 107:{U=d+-107|0;if(U>>>0<6)ca=51>>>(U&63)&1;else ca=0;U=d+-108|0;d:do if(U>>>0<15){e=(10990>>>(U&32767)&1)!=0;switch(d|0){case 119:case 116:case 115:case 112:case 111:case 108:case 120:{da=e;s=124;break d;break}case 122:case 121:case 118:case 117:{ea=1;fa=e;break d;break}default:{}}ea=-1;fa=e}else{da=1;s=124}while(0);if((s|0)==124){ea=0;fa=da}V3(a,c,n,fa,ea,ca);break}case 124:case 123:{Y3(a,c,(d|0)==123&1);break}case 125:{_qa(a,c);break}case 126:{bra(a,c);break}default:{f[i>>2]=0;f[i+4>>2]=0;k=YG(i,41)|0;l=241749;m=k+41|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));f1(-206,i,237405,351)}}while(0);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function h1(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;e=u;u=u+208|0;g=e+144|0;h=e+88|0;i=e+32|0;j=e+16|0;k=e;mU(g,a,0,1,0,0);mU(h,c,0,1,0,0);f[i>>2]=f[h>>2];c=i+4|0;a=h+4|0;l=f[a>>2]|0;f[c>>2]=l;m=i+8|0;f[m>>2]=f[h+8>>2];f[i+12>>2]=f[h+12>>2];n=i+16|0;o=h+16|0;f[n>>2]=f[o>>2];f[i+20>>2]=f[h+20>>2];f[i+24>>2]=f[h+24>>2];f[i+28>>2]=f[h+28>>2];f[i+32>>2]=f[h+32>>2];p=i+36|0;q=h+36|0;r=f[q>>2]|0;f[p>>2]=r;s=i+40|0;f[s>>2]=m;m=i+48|0;t=i+44|0;f[t>>2]=m;f[m>>2]=0;f[i+52>>2]=0;if(!r)v=l;else{l=r+12|0;f[l>>2]=(f[l>>2]|0)+1;v=f[a>>2]|0}if((v|0)<3){v=f[h+44>>2]|0;l=f[t>>2]|0;f[l>>2]=f[v>>2];f[l+4>>2]=f[v+4>>2]}else{f[c>>2]=0;kP(i,h)}v=f[i>>2]|0;if((v^f[g>>2])&7|0){f[j>>2]=0;f[j+4>>2]=0;w=YG(j,26)|0;x=237467;y=w+26|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));f1(-215,j,237494,361)}f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=g;l=k+8|0;f[l>>2]=0;f[l+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=i;g1(j,k,d,(v>>>3&511)+1|0);if((f[n>>2]|0)!=(f[o>>2]|0)){f[j>>2]=0;f[j+4>>2]=0;w=YG(j,21)|0;x=237505;y=w+21|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));f1(-215,j,237494,364)}j=f[p>>2]|0;if(j|0?(x=j+12|0,j=f[x>>2]|0,f[x>>2]=j+-1,(j|0)==1):0)lP(i);f[p>>2]=0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[c>>2]|0)>0){n=f[s>>2]|0;s=0;do{f[n+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[c>>2]|0))}c=f[t>>2]|0;if((c|0)!=(m|0))tE(c);c=f[q>>2]|0;if(c|0?(m=c+12|0,c=f[m>>2]|0,f[m>>2]=c+-1,(c|0)==1):0)lP(h);f[q>>2]=0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[a>>2]|0)>0){o=f[h+40>>2]|0;q=0;do{f[o+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[a>>2]|0))}a=f[h+44>>2]|0;if((a|0)!=(h+48|0))tE(a);a=g+36|0;h=f[a>>2]|0;if(h|0?(q=h+12|0,h=f[q>>2]|0,f[q>>2]=h+-1,(h|0)==1):0)lP(g);f[a>>2]=0;a=g+16|0;h=g+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[h>>2]|0)>0){a=f[g+40>>2]|0;q=0;do{f[a+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[h>>2]|0))}h=f[g+44>>2]|0;if((h|0)==(g+48|0)){u=e;return}tE(h);u=e;return}function i1(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;g=u;u=u+144|0;h=g+128|0;i=g+72|0;j=g+64|0;k=g+8|0;l=g;zT(h,50560);if(!e){f[i>>2]=0;f[i+4>>2]=0;m=YG(i,29)|0;n=237527;o=m+29|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));j1(-215,i,237557,1342)}do if((pD(a)|0)==65536){n=f[a+4>>2]|0;f[i>>2]=f[n>>2];m=i+4|0;o=n+4|0;f[m>>2]=f[o>>2];p=i+8|0;f[p>>2]=f[n+8>>2];f[i+12>>2]=f[n+12>>2];f[i+16>>2]=f[n+16>>2];f[i+20>>2]=f[n+20>>2];f[i+24>>2]=f[n+24>>2];f[i+28>>2]=f[n+28>>2];f[i+32>>2]=f[n+32>>2];q=f[n+36>>2]|0;f[i+36>>2]=q;f[i+40>>2]=p;p=i+48|0;r=i+44|0;f[r>>2]=p;f[p>>2]=0;f[i+52>>2]=0;if(q|0){p=q+12|0;f[p>>2]=(f[p>>2]|0)+1}if((f[o>>2]|0)<3){o=f[n+44>>2]|0;p=f[r>>2]|0;f[p>>2]=f[o>>2];f[p+4>>2]=f[o+4>>2];break}else{f[m>>2]=0;kP(i,n);break}}else lD(i,a,-1);while(0);a=f[d>>2]|0;n=f[d+4>>2]|0;if(!(Y(n,a)|0)){s=((f[i+12>>2]|0)+1|0)/2|0;t=((f[i+8>>2]|0)+1|0)/2|0}else{s=a;t=n}f[j>>2]=s;f[j+4>>2]=t;HD(c,j,f[i>>2]&4095,-1,0,0);do if((pD(c)|0)==65536){j=f[c+4>>2]|0;f[k>>2]=f[j>>2];t=k+4|0;s=j+4|0;f[t>>2]=f[s>>2];n=k+8|0;f[n>>2]=f[j+8>>2];f[k+12>>2]=f[j+12>>2];a=k+16|0;f[a>>2]=f[j+16>>2];f[k+20>>2]=f[j+20>>2];f[k+24>>2]=f[j+24>>2];f[k+28>>2]=f[j+28>>2];f[k+32>>2]=f[j+32>>2];d=f[j+36>>2]|0;f[k+36>>2]=d;f[k+40>>2]=n;n=k+48|0;m=k+44|0;f[m>>2]=n;f[n>>2]=0;f[k+52>>2]=0;if(d|0){n=d+12|0;f[n>>2]=(f[n>>2]|0)+1}if((f[s>>2]|0)<3){s=f[j+44>>2]|0;n=f[m>>2]|0;f[n>>2]=f[s>>2];f[n+4>>2]=f[s+4>>2];v=a;break}else{f[t>>2]=0;kP(k,j);v=a;break}}else{lD(k,c,-1);v=k+16|0}while(0);c=i+16|0;switch(f[i>>2]&7){case 0:{w=317;break}case 3:{w=318;break}case 2:{w=319;break}case 5:{w=320;break}case 6:{w=321;break}default:{f[l>>2]=0;f[l+4>>2]=0;j1(-210,l,237557,1383)}}Yh[w&511](i,k,e);e=k+36|0;w=f[e>>2]|0;if(w|0?(l=w+12|0,w=f[l>>2]|0,f[l>>2]=w+-1,(w|0)==1):0)lP(k);f[e>>2]=0;e=k+4|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[e>>2]|0)>0){v=f[k+40>>2]|0;w=0;do{f[v+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[e>>2]|0))}e=f[k+44>>2]|0;if((e|0)!=(k+48|0))tE(e);e=i+36|0;k=f[e>>2]|0;if(k|0?(w=k+12|0,k=f[w>>2]|0,f[w>>2]=k+-1,(k|0)==1):0)lP(i);f[e>>2]=0;e=i+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[e>>2]|0)>0){c=f[i+40>>2]|0;k=0;do{f[c+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[e>>2]|0))}e=f[i+44>>2]|0;if((e|0)!=(i+48|0))tE(e);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function j1(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;SQ(a,b,c,237704,d);return}function k1(a,c,e){a=a|0;c=c|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;g=u;u=u+30816|0;h=g+29744|0;i=g+15408|0;j=g+1072|0;k=g+8|0;l=g;m=a+16|0;if(!(f[m>>2]|0)){f[h>>2]=0;n=h+4|0;f[n>>2]=0;o=YG(h,13)|0;p=o;q=288769;r=p+13|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));j1(-215,h,237565,858)}s=f[a+4>>2]|0;if((s|0)<3)t=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{v=f[a+40>>2]|0;w=0;x=1;while(1){y=Y(f[v+(w<<2)>>2]|0,x)|0;w=w+1|0;if((w|0)==(s|0)){t=y;break}else x=y}}if((s|0)==0|(t|0)==0){f[h>>2]=0;n=h+4|0;f[n>>2]=0;o=YG(h,13)|0;p=o;q=288769;r=p+13|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));j1(-215,h,237565,858)}q=f[a+40>>2]|0;p=f[q+4>>2]|0;r=f[q>>2]|0;q=f[c+40>>2]|0;o=f[q+4>>2]|0;n=f[q>>2]|0;q=(f[a>>2]|0)>>>3;t=(q&511)+1|0;s=Y(t,o)|0;x=s+15&-16;w=(x*5|0)+16|0;v=h+8|0;f[h>>2]=v;y=h+4|0;f[y>>2]=w;if(w>>>0>264){z=Dmc(w>>>0>1073741823?-1:w<<2)|0;f[h>>2]=z;A=z}else A=v;z=A+15&-16;A=k+8|0;f[k>>2]=A;w=k+4|0;f[w>>2]=s;if(s>>>0>264){B=Dmc(s>>>0>1073741823?-1:s<<2)|0;f[k>>2]=B;C=B}else C=A;if(!((p|0)>0&(r|0)>0)){f[l>>2]=0;D=l+4|0;f[D>>2]=0;E=YG(l,129)|0;Krc(E|0,237574,129)|0;j1(-215,l,237565,873)}B=(o<<1)-p|0;if((((B|0)>-1?B:0-B|0)|0)>=3){f[l>>2]=0;D=l+4|0;f[D>>2]=0;E=YG(l,129)|0;Krc(E|0,237574,129)|0;j1(-215,l,237565,873)}B=(n<<1)-r|0;if((((B|0)>-1?B:0-B|0)|0)>=3){f[l>>2]=0;D=l+4|0;f[D>>2]=0;E=YG(l,129)|0;Krc(E|0,237574,129)|0;j1(-215,l,237565,873)}l=((p+-3|0)/2|0)+1|0;E=(o|0)<(l|0)?o:l;l=(E<<1)+-2|0;o=0;do{D=Y(sT(o+-2|0,p,e)|0,t)|0;B=Y(sT(l+o|0,p,e)|0,t)|0;F=Y(o,t)|0;G=0;do{H=G+F|0;f[i+(H<<2)>>2]=G+D;f[j+(H<<2)>>2]=G+B;G=G+1|0}while((G|0)!=(t|0));o=o+1|0}while((o|0)<7);o=Y(t,E)|0;E=(s|0)>0;if(E){p=t<<1;l=0;do{G=(Y(p,(l|0)/(t|0)|0)|0)+((l|0)%(t|0)|0)|0;f[C+(l<<2)>>2]=G;l=l+1|0}while((l|0)!=(s|0))}if((n|0)>0){l=c+16|0;p=c+44|0;c=a+44|0;a=q&65535;q=t<<1;G=t*3|0;B=t<<2;D=-2;F=0;while(1){H=(f[l>>2]|0)+(Y(f[f[p>>2]>>2]|0,F)|0)|0;I=F<<1;J=I+2|0;if((D|0)>(J|0))K=D;else{L=D;while(1){M=z+((Y((L+2|0)%5|0,x)|0)<<2)|0;N=sT(L,r,e)|0;O=(f[m>>2]|0)+(Y(f[f[c>>2]>>2]|0,N)|0)|0;N=t;P=i;Q=0;while(1){if((Q|0)<(N|0)){R=Q;do{f[M+(R<<2)>>2]=((d[O+(f[P+(R+G<<2)>>2]<<1)>>1]|0)+(d[O+(f[P+(R+t<<2)>>2]<<1)>>1]|0)<<2)+((d[O+(f[P+(R+q<<2)>>2]<<1)>>1]|0)*6|0)+(d[O+(f[P+(R<<2)>>2]<<1)>>1]|0)+(d[O+(f[P+(R+B<<2)>>2]<<1)>>1]|0);R=R+1|0}while((R|0)!=(N|0));S=N}else S=Q;if((S|0)==(s|0))break;switch(a&511){case 0:{if((S|0)<(o|0)){R=S;do{T=R<<1;f[M+(R<<2)>>2]=(d[O+(T+-2<<1)>>1]|0)+((d[O+(T<<1)>>1]|0)*6|0)+((d[O+((T|1)<<1)>>1]|0)+(d[O+(T+-1<<1)>>1]|0)<<2)+(d[O+(T+2<<1)>>1]|0);R=R+1|0}while((R|0)<(o|0));U=o}else U=S;break}case 2:{if((S|0)<(o|0)){R=S;while(1){T=O+(R<<1<<1)|0;V=(d[T+-10>>1]|0)+((d[T+2>>1]|0)*6|0)+((d[T+8>>1]|0)+(d[T+-4>>1]|0)<<2)+(d[T+14>>1]|0)|0;W=(d[T+-8>>1]|0)+((d[T+4>>1]|0)*6|0)+((d[T+10>>1]|0)+(d[T+-2>>1]|0)<<2)+(d[T+16>>1]|0)|0;f[M+(R<<2)>>2]=(d[T+-12>>1]|0)+((d[T>>1]|0)*6|0)+((d[T+6>>1]|0)+(d[T+-6>>1]|0)<<2)+(d[T+12>>1]|0);f[M+(R+1<<2)>>2]=V;f[M+(R+2<<2)>>2]=W;W=R+3|0;if((W|0)<(o|0))R=W;else{U=W;break}}}else U=S;break}case 3:{if((S|0)<(o|0)){R=S;while(1){W=O+(R<<1<<1)|0;V=(d[W+-14>>1]|0)+((d[W+2>>1]|0)*6|0)+((d[W+10>>1]|0)+(d[W+-6>>1]|0)<<2)+(d[W+18>>1]|0)|0;f[M+(R<<2)>>2]=(d[W+-16>>1]|0)+((d[W>>1]|0)*6|0)+((d[W+8>>1]|0)+(d[W+-8>>1]|0)<<2)+(d[W+16>>1]|0);f[M+(R+1<<2)>>2]=V;V=(d[W+-10>>1]|0)+((d[W+6>>1]|0)*6|0)+((d[W+14>>1]|0)+(d[W+-2>>1]|0)<<2)+(d[W+22>>1]|0)|0;f[M+(R+2<<2)>>2]=(d[W+-12>>1]|0)+((d[W+4>>1]|0)*6|0)+((d[W+12>>1]|0)+(d[W+-4>>1]|0)<<2)+(d[W+20>>1]|0);f[M+(R+3<<2)>>2]=V;V=R+4|0;if((V|0)<(o|0))R=V;else{U=V;break}}}else U=S;break}default:if((S|0)<(o|0)){R=S;do{V=f[C+(R<<2)>>2]|0;f[M+(R<<2)>>2]=(d[O+(V-q<<1)>>1]|0)+((d[O+(V<<1)>>1]|0)*6|0)+((d[O+(V+t<<1)>>1]|0)+(d[O+(V-t<<1)>>1]|0)<<2)+(d[O+(V+q<<1)>>1]|0);R=R+1|0}while((R|0)<(o|0));U=o}else U=S}N=s;P=j+(0-U<<2)|0;Q=U}Q=L+1|0;if((L|0)<(J|0))L=Q;else{K=Q;break}}}L=z+((Y((I|0)%5|0,x)|0)<<2)|0;Q=z+((Y((I|1|0)%5|0,x)|0)<<2)|0;P=z+((Y((J|0)%5|0,x)|0)<<2)|0;N=z+((Y((I+3|0)%5|0,x)|0)<<2)|0;O=z+((Y((I+4|0)%5|0,x)|0)<<2)|0;if(E){M=0;do{d[H+(M<<1)>>1]=(((f[P+(M<<2)>>2]|0)*6|0)+128+(f[L+(M<<2)>>2]|0)+((f[N+(M<<2)>>2]|0)+(f[Q+(M<<2)>>2]|0)<<2)+(f[O+(M<<2)>>2]|0)|0)>>>8;M=M+1|0}while((M|0)!=(s|0))}F=F+1|0;if((F|0)>=(n|0))break;else D=K}}K=f[k>>2]|0;if((K|0)!=(A|0)){if(K|0)Fmc(K);f[k>>2]=A;f[w>>2]=264}w=f[h>>2]|0;if((w|0)==(v|0)){u=g;return}if(w|0)Fmc(w);f[h>>2]=v;f[y>>2]=264;u=g;return}function l1(a,c,e){a=a|0;c=c|0;e=e|0;var g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;g=u;u=u+30816|0;h=g+29744|0;i=g+15408|0;k=g+1072|0;l=g+8|0;m=g;n=a+16|0;if(!(f[n>>2]|0)){f[h>>2]=0;o=h+4|0;f[o>>2]=0;p=YG(h,13)|0;q=p;r=288769;s=q+13|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));j1(-215,h,237565,858)}t=f[a+4>>2]|0;if((t|0)<3)v=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{w=f[a+40>>2]|0;x=0;y=1;while(1){z=Y(f[w+(x<<2)>>2]|0,y)|0;x=x+1|0;if((x|0)==(t|0)){v=z;break}else y=z}}if((t|0)==0|(v|0)==0){f[h>>2]=0;o=h+4|0;f[o>>2]=0;p=YG(h,13)|0;q=p;r=288769;s=q+13|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));j1(-215,h,237565,858)}r=f[a+40>>2]|0;q=f[r+4>>2]|0;s=f[r>>2]|0;r=f[c+40>>2]|0;p=f[r+4>>2]|0;o=f[r>>2]|0;r=(f[a>>2]|0)>>>3;v=(r&511)+1|0;t=Y(v,p)|0;y=t+15&-16;x=(y*5|0)+16|0;w=h+8|0;f[h>>2]=w;z=h+4|0;f[z>>2]=x;if(x>>>0>264){A=Dmc(x>>>0>1073741823?-1:x<<2)|0;f[h>>2]=A;B=A}else B=w;A=B+15&-16;B=l+8|0;f[l>>2]=B;x=l+4|0;f[x>>2]=t;if(t>>>0>264){C=Dmc(t>>>0>1073741823?-1:t<<2)|0;f[l>>2]=C;D=C}else D=B;if(!((q|0)>0&(s|0)>0)){f[m>>2]=0;E=m+4|0;f[E>>2]=0;F=YG(m,129)|0;Krc(F|0,237574,129)|0;j1(-215,m,237565,873)}C=(p<<1)-q|0;if((((C|0)>-1?C:0-C|0)|0)>=3){f[m>>2]=0;E=m+4|0;f[E>>2]=0;F=YG(m,129)|0;Krc(F|0,237574,129)|0;j1(-215,m,237565,873)}C=(o<<1)-s|0;if((((C|0)>-1?C:0-C|0)|0)>=3){f[m>>2]=0;E=m+4|0;f[E>>2]=0;F=YG(m,129)|0;Krc(F|0,237574,129)|0;j1(-215,m,237565,873)}m=((q+-3|0)/2|0)+1|0;F=(p|0)<(m|0)?p:m;m=(F<<1)+-2|0;p=0;do{E=Y(sT(p+-2|0,q,e)|0,v)|0;C=Y(sT(m+p|0,q,e)|0,v)|0;G=Y(p,v)|0;H=0;do{I=H+G|0;f[i+(I<<2)>>2]=H+E;f[k+(I<<2)>>2]=H+C;H=H+1|0}while((H|0)!=(v|0));p=p+1|0}while((p|0)<7);p=Y(v,F)|0;F=(t|0)>0;if(F){q=v<<1;m=0;do{H=(Y(q,(m|0)/(v|0)|0)|0)+((m|0)%(v|0)|0)|0;f[D+(m<<2)>>2]=H;m=m+1|0}while((m|0)!=(t|0))}if((o|0)>0){m=c+16|0;q=c+44|0;c=a+44|0;a=r&65535;r=v<<1;H=v*3|0;C=v<<2;E=-2;G=0;while(1){I=(f[m>>2]|0)+(Y(f[f[q>>2]>>2]|0,G)|0)|0;J=G<<1;K=J+2|0;if((E|0)>(K|0))L=E;else{M=E;while(1){N=A+((Y((M+2|0)%5|0,y)|0)<<2)|0;O=sT(M,s,e)|0;P=(f[n>>2]|0)+(Y(f[f[c>>2]>>2]|0,O)|0)|0;O=v;Q=i;R=0;while(1){if((R|0)<(O|0)){S=R;do{f[N+(S<<2)>>2]=((j[P+(f[Q+(S+H<<2)>>2]<<1)>>1]|0)+(j[P+(f[Q+(S+v<<2)>>2]<<1)>>1]|0)<<2)+((j[P+(f[Q+(S+r<<2)>>2]<<1)>>1]|0)*6|0)+(j[P+(f[Q+(S<<2)>>2]<<1)>>1]|0)+(j[P+(f[Q+(S+C<<2)>>2]<<1)>>1]|0);S=S+1|0}while((S|0)!=(O|0));T=O}else T=R;if((T|0)==(t|0))break;switch(a&511){case 0:{if((T|0)<(p|0)){S=T;do{U=S<<1;f[N+(S<<2)>>2]=(j[P+(U+-2<<1)>>1]|0)+((j[P+(U<<1)>>1]|0)*6|0)+((j[P+((U|1)<<1)>>1]|0)+(j[P+(U+-1<<1)>>1]|0)<<2)+(j[P+(U+2<<1)>>1]|0);S=S+1|0}while((S|0)<(p|0));V=p}else V=T;break}case 2:{if((T|0)<(p|0)){S=T;while(1){U=P+(S<<1<<1)|0;W=(j[U+-10>>1]|0)+((j[U+2>>1]|0)*6|0)+((j[U+8>>1]|0)+(j[U+-4>>1]|0)<<2)+(j[U+14>>1]|0)|0;X=(j[U+-8>>1]|0)+((j[U+4>>1]|0)*6|0)+((j[U+10>>1]|0)+(j[U+-2>>1]|0)<<2)+(j[U+16>>1]|0)|0;f[N+(S<<2)>>2]=(j[U+-12>>1]|0)+((j[U>>1]|0)*6|0)+((j[U+6>>1]|0)+(j[U+-6>>1]|0)<<2)+(j[U+12>>1]|0);f[N+(S+1<<2)>>2]=W;f[N+(S+2<<2)>>2]=X;X=S+3|0;if((X|0)<(p|0))S=X;else{V=X;break}}}else V=T;break}case 3:{if((T|0)<(p|0)){S=T;while(1){X=P+(S<<1<<1)|0;W=(j[X+-14>>1]|0)+((j[X+2>>1]|0)*6|0)+((j[X+10>>1]|0)+(j[X+-6>>1]|0)<<2)+(j[X+18>>1]|0)|0;f[N+(S<<2)>>2]=(j[X+-16>>1]|0)+((j[X>>1]|0)*6|0)+((j[X+8>>1]|0)+(j[X+-8>>1]|0)<<2)+(j[X+16>>1]|0);f[N+(S+1<<2)>>2]=W;W=(j[X+-10>>1]|0)+((j[X+6>>1]|0)*6|0)+((j[X+14>>1]|0)+(j[X+-2>>1]|0)<<2)+(j[X+22>>1]|0)|0;f[N+(S+2<<2)>>2]=(j[X+-12>>1]|0)+((j[X+4>>1]|0)*6|0)+((j[X+12>>1]|0)+(j[X+-4>>1]|0)<<2)+(j[X+20>>1]|0);f[N+(S+3<<2)>>2]=W;W=S+4|0;if((W|0)<(p|0))S=W;else{V=W;break}}}else V=T;break}default:if((T|0)<(p|0)){S=T;do{W=f[D+(S<<2)>>2]|0;f[N+(S<<2)>>2]=(j[P+(W-r<<1)>>1]|0)+((j[P+(W<<1)>>1]|0)*6|0)+((j[P+(W+v<<1)>>1]|0)+(j[P+(W-v<<1)>>1]|0)<<2)+(j[P+(W+r<<1)>>1]|0);S=S+1|0}while((S|0)<(p|0));V=p}else V=T}O=t;Q=k+(0-V<<2)|0;R=V}R=M+1|0;if((M|0)<(K|0))M=R;else{L=R;break}}}M=A+((Y((J|0)%5|0,y)|0)<<2)|0;R=A+((Y((J|1|0)%5|0,y)|0)<<2)|0;Q=A+((Y((K|0)%5|0,y)|0)<<2)|0;O=A+((Y((J+3|0)%5|0,y)|0)<<2)|0;P=A+((Y((J+4|0)%5|0,y)|0)<<2)|0;if(F){N=0;do{d[I+(N<<1)>>1]=(((f[Q+(N<<2)>>2]|0)*6|0)+128+(f[M+(N<<2)>>2]|0)+((f[O+(N<<2)>>2]|0)+(f[R+(N<<2)>>2]|0)<<2)+(f[P+(N<<2)>>2]|0)|0)>>>8;N=N+1|0}while((N|0)!=(t|0))}G=G+1|0;if((G|0)>=(o|0))break;else E=L}}L=f[l>>2]|0;if((L|0)!=(B|0)){if(L|0)Fmc(L);f[l>>2]=B;f[x>>2]=264}x=f[h>>2]|0;if((x|0)==(w|0)){u=g;return}if(x|0)Fmc(x);f[h>>2]=w;f[z>>2]=264;u=g;return}function m1(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0.0,W=0.0;e=u;u=u+30816|0;g=e+29744|0;h=e+15408|0;i=e+1072|0;j=e+8|0;k=e;l=a+16|0;if(!(f[l>>2]|0)){f[g>>2]=0;m=g+4|0;f[m>>2]=0;o=YG(g,13)|0;p=o;q=288769;r=p+13|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));j1(-215,g,237565,858)}s=f[a+4>>2]|0;if((s|0)<3)t=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{v=f[a+40>>2]|0;w=0;x=1;while(1){y=Y(f[v+(w<<2)>>2]|0,x)|0;w=w+1|0;if((w|0)==(s|0)){t=y;break}else x=y}}if((s|0)==0|(t|0)==0){f[g>>2]=0;m=g+4|0;f[m>>2]=0;o=YG(g,13)|0;p=o;q=288769;r=p+13|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));j1(-215,g,237565,858)}q=f[a+40>>2]|0;p=f[q+4>>2]|0;r=f[q>>2]|0;q=f[c+40>>2]|0;o=f[q+4>>2]|0;m=f[q>>2]|0;q=(f[a>>2]|0)>>>3;t=(q&511)+1|0;s=Y(t,o)|0;x=s+15&-16;w=(x*5|0)+16|0;v=g+8|0;f[g>>2]=v;y=g+4|0;f[y>>2]=w;if(w>>>0>264){z=Dmc(w>>>0>1073741823?-1:w<<2)|0;f[g>>2]=z;A=z}else A=v;z=A+15&-16;A=j+8|0;f[j>>2]=A;w=j+4|0;f[w>>2]=s;if(s>>>0>264){B=Dmc(s>>>0>1073741823?-1:s<<2)|0;f[j>>2]=B;C=B}else C=A;if(!((p|0)>0&(r|0)>0)){f[k>>2]=0;D=k+4|0;f[D>>2]=0;E=YG(k,129)|0;Krc(E|0,237574,129)|0;j1(-215,k,237565,873)}B=(o<<1)-p|0;if((((B|0)>-1?B:0-B|0)|0)>=3){f[k>>2]=0;D=k+4|0;f[D>>2]=0;E=YG(k,129)|0;Krc(E|0,237574,129)|0;j1(-215,k,237565,873)}B=(m<<1)-r|0;if((((B|0)>-1?B:0-B|0)|0)>=3){f[k>>2]=0;D=k+4|0;f[D>>2]=0;E=YG(k,129)|0;Krc(E|0,237574,129)|0;j1(-215,k,237565,873)}k=((p+-3|0)/2|0)+1|0;E=(o|0)<(k|0)?o:k;k=(E<<1)+-2|0;o=0;do{D=Y(sT(o+-2|0,p,d)|0,t)|0;B=Y(sT(k+o|0,p,d)|0,t)|0;F=Y(o,t)|0;G=0;do{H=G+F|0;f[h+(H<<2)>>2]=G+D;f[i+(H<<2)>>2]=G+B;G=G+1|0}while((G|0)!=(t|0));o=o+1|0}while((o|0)<7);o=Y(t,E)|0;E=(s|0)>0;if(E){p=t<<1;k=0;do{G=(Y(p,(k|0)/(t|0)|0)|0)+((k|0)%(t|0)|0)|0;f[C+(k<<2)>>2]=G;k=k+1|0}while((k|0)!=(s|0))}if((m|0)>0){k=c+16|0;p=c+44|0;c=a+44|0;a=q&65535;q=t<<1;G=t*3|0;B=t<<2;D=-2;F=0;while(1){H=(f[k>>2]|0)+(Y(f[f[p>>2]>>2]|0,F)|0)|0;I=F<<1;J=I+2|0;if((D|0)>(J|0))K=D;else{L=D;while(1){M=z+((Y((L+2|0)%5|0,x)|0)<<2)|0;N=sT(L,r,d)|0;O=(f[l>>2]|0)+(Y(f[f[c>>2]>>2]|0,N)|0)|0;N=t;P=h;Q=0;while(1){if((Q|0)<(N|0)){R=Q;do{n[M+(R<<2)>>2]=+n[O+(f[P+(R<<2)>>2]<<2)>>2]+(+n[O+(f[P+(R+q<<2)>>2]<<2)>>2]*6.0+(+n[O+(f[P+(R+t<<2)>>2]<<2)>>2]+ +n[O+(f[P+(R+G<<2)>>2]<<2)>>2])*4.0)+ +n[O+(f[P+(R+B<<2)>>2]<<2)>>2];R=R+1|0}while((R|0)!=(N|0));S=N}else S=Q;if((S|0)==(s|0))break;switch(a&511){case 0:{if((S|0)<(o|0)){R=S;do{T=R<<1;n[M+(R<<2)>>2]=+n[O+(T+2<<2)>>2]+(+n[O+(T+-2<<2)>>2]+(+n[O+(T<<2)>>2]*6.0+(+n[O+(T+-1<<2)>>2]+ +n[O+((T|1)<<2)>>2])*4.0));R=R+1|0}while((R|0)<(o|0));U=o}else U=S;break}case 2:{if((S|0)<(o|0)){R=S;while(1){T=O+(R<<1<<2)|0;V=+n[T+28>>2]+(+n[T+-20>>2]+(+n[T+4>>2]*6.0+(+n[T+-8>>2]+ +n[T+16>>2])*4.0));W=+n[T+32>>2]+(+n[T+-16>>2]+(+n[T+8>>2]*6.0+(+n[T+-4>>2]+ +n[T+20>>2])*4.0));n[M+(R<<2)>>2]=+n[T+24>>2]+(+n[T+-24>>2]+(+n[T>>2]*6.0+(+n[T+-12>>2]+ +n[T+12>>2])*4.0));n[M+(R+1<<2)>>2]=V;n[M+(R+2<<2)>>2]=W;T=R+3|0;if((T|0)<(o|0))R=T;else{U=T;break}}}else U=S;break}case 3:{if((S|0)<(o|0)){R=S;while(1){T=O+(R<<1<<2)|0;W=+n[T+36>>2]+(+n[T+-28>>2]+(+n[T+4>>2]*6.0+(+n[T+-12>>2]+ +n[T+20>>2])*4.0));n[M+(R<<2)>>2]=+n[T+32>>2]+(+n[T+-32>>2]+(+n[T>>2]*6.0+(+n[T+-16>>2]+ +n[T+16>>2])*4.0));n[M+(R+1<<2)>>2]=W;W=+n[T+44>>2]+(+n[T+-20>>2]+(+n[T+12>>2]*6.0+(+n[T+-4>>2]+ +n[T+28>>2])*4.0));n[M+(R+2<<2)>>2]=+n[T+40>>2]+(+n[T+-24>>2]+(+n[T+8>>2]*6.0+(+n[T+-8>>2]+ +n[T+24>>2])*4.0));n[M+(R+3<<2)>>2]=W;T=R+4|0;if((T|0)<(o|0))R=T;else{U=T;break}}}else U=S;break}default:if((S|0)<(o|0)){R=S;do{T=f[C+(R<<2)>>2]|0;n[M+(R<<2)>>2]=+n[O+(T+q<<2)>>2]+(+n[O+(T-q<<2)>>2]+(+n[O+(T<<2)>>2]*6.0+(+n[O+(T-t<<2)>>2]+ +n[O+(T+t<<2)>>2])*4.0));R=R+1|0}while((R|0)<(o|0));U=o}else U=S}N=s;P=i+(0-U<<2)|0;Q=U}Q=L+1|0;if((L|0)<(J|0))L=Q;else{K=Q;break}}}L=z+((Y((I|0)%5|0,x)|0)<<2)|0;Q=z+((Y((I|1|0)%5|0,x)|0)<<2)|0;P=z+((Y((J|0)%5|0,x)|0)<<2)|0;N=z+((Y((I+3|0)%5|0,x)|0)<<2)|0;O=z+((Y((I+4|0)%5|0,x)|0)<<2)|0;if(E){M=0;do{n[H+(M<<2)>>2]=(+n[O+(M<<2)>>2]+(+n[L+(M<<2)>>2]+(+n[P+(M<<2)>>2]*6.0+(+n[Q+(M<<2)>>2]+ +n[N+(M<<2)>>2])*4.0)))*.00390625;M=M+1|0}while((M|0)!=(s|0))}F=F+1|0;if((F|0)>=(m|0))break;else D=K}}K=f[j>>2]|0;if((K|0)!=(A|0)){if(K|0)Fmc(K);f[j>>2]=A;f[w>>2]=264}w=f[g>>2]|0;if((w|0)==(v|0)){u=e;return}if(w|0)Fmc(w);f[g>>2]=v;f[y>>2]=264;u=e;return}function n1(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0.0,W=0.0;e=u;u=u+30848|0;g=e;h=e+16504|0;i=e+2168|0;j=e+1104|0;k=e+1096|0;l=a+16|0;if(!(f[l>>2]|0)){f[g>>2]=0;m=g+4|0;f[m>>2]=0;n=YG(g,13)|0;o=n;q=288769;r=o+13|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));j1(-215,g,237565,858)}s=f[a+4>>2]|0;if((s|0)<3)t=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{v=f[a+40>>2]|0;w=0;x=1;while(1){y=Y(f[v+(w<<2)>>2]|0,x)|0;w=w+1|0;if((w|0)==(s|0)){t=y;break}else x=y}}if((s|0)==0|(t|0)==0){f[g>>2]=0;m=g+4|0;f[m>>2]=0;n=YG(g,13)|0;o=n;q=288769;r=o+13|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));j1(-215,g,237565,858)}q=f[a+40>>2]|0;o=f[q+4>>2]|0;r=f[q>>2]|0;q=f[c+40>>2]|0;n=f[q+4>>2]|0;m=f[q>>2]|0;q=(f[a>>2]|0)>>>3;t=(q&511)+1|0;s=Y(t,n)|0;x=s+15&-16;w=(x*5|0)+16|0;v=g+8|0;f[g>>2]=v;y=g+4|0;f[y>>2]=w;if(w>>>0>136){z=Dmc(w>>>0>536870911?-1:w<<3)|0;f[g>>2]=z;A=z}else A=v;z=A+15&-16;A=j+8|0;f[j>>2]=A;w=j+4|0;f[w>>2]=s;if(s>>>0>264){B=Dmc(s>>>0>1073741823?-1:s<<2)|0;f[j>>2]=B;C=B}else C=A;if(!((o|0)>0&(r|0)>0)){f[k>>2]=0;D=k+4|0;f[D>>2]=0;E=YG(k,129)|0;Krc(E|0,237574,129)|0;j1(-215,k,237565,873)}B=(n<<1)-o|0;if((((B|0)>-1?B:0-B|0)|0)>=3){f[k>>2]=0;D=k+4|0;f[D>>2]=0;E=YG(k,129)|0;Krc(E|0,237574,129)|0;j1(-215,k,237565,873)}B=(m<<1)-r|0;if((((B|0)>-1?B:0-B|0)|0)>=3){f[k>>2]=0;D=k+4|0;f[D>>2]=0;E=YG(k,129)|0;Krc(E|0,237574,129)|0;j1(-215,k,237565,873)}k=((o+-3|0)/2|0)+1|0;E=(n|0)<(k|0)?n:k;k=(E<<1)+-2|0;n=0;do{D=Y(sT(n+-2|0,o,d)|0,t)|0;B=Y(sT(k+n|0,o,d)|0,t)|0;F=Y(n,t)|0;G=0;do{H=G+F|0;f[h+(H<<2)>>2]=G+D;f[i+(H<<2)>>2]=G+B;G=G+1|0}while((G|0)!=(t|0));n=n+1|0}while((n|0)<7);n=Y(t,E)|0;E=(s|0)>0;if(E){o=t<<1;k=0;do{G=(Y(o,(k|0)/(t|0)|0)|0)+((k|0)%(t|0)|0)|0;f[C+(k<<2)>>2]=G;k=k+1|0}while((k|0)!=(s|0))}if((m|0)>0){k=c+16|0;o=c+44|0;c=a+44|0;a=q&65535;q=t<<1;G=t*3|0;B=t<<2;D=-2;F=0;while(1){H=(f[k>>2]|0)+(Y(f[f[o>>2]>>2]|0,F)|0)|0;I=F<<1;J=I+2|0;if((D|0)>(J|0))K=D;else{L=D;while(1){M=z+((Y((L+2|0)%5|0,x)|0)<<3)|0;N=sT(L,r,d)|0;O=(f[l>>2]|0)+(Y(f[f[c>>2]>>2]|0,N)|0)|0;N=t;P=h;Q=0;while(1){if((Q|0)<(N|0)){R=Q;do{p[M+(R<<3)>>3]=+p[O+(f[P+(R<<2)>>2]<<3)>>3]+(+p[O+(f[P+(R+q<<2)>>2]<<3)>>3]*6.0+(+p[O+(f[P+(R+t<<2)>>2]<<3)>>3]+ +p[O+(f[P+(R+G<<2)>>2]<<3)>>3])*4.0)+ +p[O+(f[P+(R+B<<2)>>2]<<3)>>3];R=R+1|0}while((R|0)!=(N|0));S=N}else S=Q;if((S|0)==(s|0))break;switch(a&511){case 0:{if((S|0)<(n|0)){R=S;do{T=R<<1;p[M+(R<<3)>>3]=+p[O+(T+2<<3)>>3]+(+p[O+(T+-2<<3)>>3]+(+p[O+(T<<3)>>3]*6.0+(+p[O+(T+-1<<3)>>3]+ +p[O+((T|1)<<3)>>3])*4.0));R=R+1|0}while((R|0)<(n|0));U=n}else U=S;break}case 2:{if((S|0)<(n|0)){R=S;while(1){T=O+(R<<1<<3)|0;V=+p[T+56>>3]+(+p[T+-40>>3]+(+p[T+8>>3]*6.0+(+p[T+-16>>3]+ +p[T+32>>3])*4.0));W=+p[T+64>>3]+(+p[T+-32>>3]+(+p[T+16>>3]*6.0+(+p[T+-8>>3]+ +p[T+40>>3])*4.0));p[M+(R<<3)>>3]=+p[T+48>>3]+(+p[T+-48>>3]+(+p[T>>3]*6.0+(+p[T+-24>>3]+ +p[T+24>>3])*4.0));p[M+(R+1<<3)>>3]=V;p[M+(R+2<<3)>>3]=W;T=R+3|0;if((T|0)<(n|0))R=T;else{U=T;break}}}else U=S;break}case 3:{if((S|0)<(n|0)){R=S;while(1){T=O+(R<<1<<3)|0;W=+p[T+72>>3]+(+p[T+-56>>3]+(+p[T+8>>3]*6.0+(+p[T+-24>>3]+ +p[T+40>>3])*4.0));p[M+(R<<3)>>3]=+p[T+64>>3]+(+p[T+-64>>3]+(+p[T>>3]*6.0+(+p[T+-32>>3]+ +p[T+32>>3])*4.0));p[M+(R+1<<3)>>3]=W;W=+p[T+88>>3]+(+p[T+-40>>3]+(+p[T+24>>3]*6.0+(+p[T+-8>>3]+ +p[T+56>>3])*4.0));p[M+(R+2<<3)>>3]=+p[T+80>>3]+(+p[T+-48>>3]+(+p[T+16>>3]*6.0+(+p[T+-16>>3]+ +p[T+48>>3])*4.0));p[M+(R+3<<3)>>3]=W;T=R+4|0;if((T|0)<(n|0))R=T;else{U=T;break}}}else U=S;break}default:if((S|0)<(n|0)){R=S;do{T=f[C+(R<<2)>>2]|0;p[M+(R<<3)>>3]=+p[O+(T+q<<3)>>3]+(+p[O+(T-q<<3)>>3]+(+p[O+(T<<3)>>3]*6.0+(+p[O+(T-t<<3)>>3]+ +p[O+(T+t<<3)>>3])*4.0));R=R+1|0}while((R|0)<(n|0));U=n}else U=S}N=s;P=i+(0-U<<2)|0;Q=U}Q=L+1|0;if((L|0)<(J|0))L=Q;else{K=Q;break}}}L=z+((Y((I|0)%5|0,x)|0)<<3)|0;Q=z+((Y((I|1|0)%5|0,x)|0)<<3)|0;P=z+((Y((J|0)%5|0,x)|0)<<3)|0;N=z+((Y((I+3|0)%5|0,x)|0)<<3)|0;O=z+((Y((I+4|0)%5|0,x)|0)<<3)|0;if(E){M=0;do{p[H+(M<<3)>>3]=(+p[O+(M<<3)>>3]+(+p[L+(M<<3)>>3]+(+p[P+(M<<3)>>3]*6.0+(+p[Q+(M<<3)>>3]+ +p[N+(M<<3)>>3])*4.0)))*.00390625;M=M+1|0}while((M|0)!=(s|0))}F=F+1|0;if((F|0)>=(m|0))break;else D=K}}K=f[j>>2]|0;if((K|0)!=(A|0)){if(K|0)Fmc(K);f[j>>2]=A;f[w>>2]=264}w=f[g>>2]|0;if((w|0)==(v|0)){u=e;return}if(w|0)Fmc(w);f[g>>2]=v;f[y>>2]=136;u=e;return}function o1(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;e=u;u=u+30816|0;g=e+29744|0;i=e+15408|0;j=e+1072|0;k=e+8|0;l=e;m=a+16|0;if(!(f[m>>2]|0)){f[g>>2]=0;n=g+4|0;f[n>>2]=0;o=YG(g,13)|0;p=o;q=288769;r=p+13|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));j1(-215,g,237565,858)}s=f[a+4>>2]|0;if((s|0)<3)t=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{v=f[a+40>>2]|0;w=0;x=1;while(1){y=Y(f[v+(w<<2)>>2]|0,x)|0;w=w+1|0;if((w|0)==(s|0)){t=y;break}else x=y}}if((s|0)==0|(t|0)==0){f[g>>2]=0;n=g+4|0;f[n>>2]=0;o=YG(g,13)|0;p=o;q=288769;r=p+13|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));j1(-215,g,237565,858)}q=f[a+40>>2]|0;p=f[q+4>>2]|0;r=f[q>>2]|0;q=f[c+40>>2]|0;o=f[q+4>>2]|0;n=f[q>>2]|0;q=(f[a>>2]|0)>>>3;t=(q&511)+1|0;s=Y(t,o)|0;x=s+15&-16;w=(x*5|0)+16|0;v=g+8|0;f[g>>2]=v;y=g+4|0;f[y>>2]=w;if(w>>>0>264){z=Dmc(w>>>0>1073741823?-1:w<<2)|0;f[g>>2]=z;A=z}else A=v;z=A+15&-16;A=k+8|0;f[k>>2]=A;w=k+4|0;f[w>>2]=s;if(s>>>0>264){B=Dmc(s>>>0>1073741823?-1:s<<2)|0;f[k>>2]=B;C=B}else C=A;if(!((p|0)>0&(r|0)>0)){f[l>>2]=0;D=l+4|0;f[D>>2]=0;E=YG(l,129)|0;Krc(E|0,237574,129)|0;j1(-215,l,237565,873)}B=(o<<1)-p|0;if((((B|0)>-1?B:0-B|0)|0)>=3){f[l>>2]=0;D=l+4|0;f[D>>2]=0;E=YG(l,129)|0;Krc(E|0,237574,129)|0;j1(-215,l,237565,873)}B=(n<<1)-r|0;if((((B|0)>-1?B:0-B|0)|0)>=3){f[l>>2]=0;D=l+4|0;f[D>>2]=0;E=YG(l,129)|0;Krc(E|0,237574,129)|0;j1(-215,l,237565,873)}l=((p+-3|0)/2|0)+1|0;E=(o|0)<(l|0)?o:l;l=(E<<1)+-2|0;o=0;do{D=Y(sT(o+-2|0,p,d)|0,t)|0;B=Y(sT(l+o|0,p,d)|0,t)|0;F=Y(o,t)|0;G=0;do{H=G+F|0;f[i+(H<<2)>>2]=G+D;f[j+(H<<2)>>2]=G+B;G=G+1|0}while((G|0)!=(t|0));o=o+1|0}while((o|0)<7);o=Y(t,E)|0;E=(s|0)>0;if(E){p=t<<1;l=0;do{G=(Y(p,(l|0)/(t|0)|0)|0)+((l|0)%(t|0)|0)|0;f[C+(l<<2)>>2]=G;l=l+1|0}while((l|0)!=(s|0))}if((n|0)>0){l=c+16|0;p=c+44|0;c=a+44|0;a=q&65535;q=t<<1;G=t*3|0;B=t<<2;D=-2;F=0;while(1){H=(f[l>>2]|0)+(Y(f[f[p>>2]>>2]|0,F)|0)|0;I=F<<1;J=I+2|0;if((D|0)>(J|0))K=D;else{L=D;while(1){M=z+((Y((L+2|0)%5|0,x)|0)<<2)|0;N=sT(L,r,d)|0;O=(f[m>>2]|0)+(Y(f[f[c>>2]>>2]|0,N)|0)|0;N=t;P=i;Q=0;while(1){if((Q|0)<(N|0)){R=Q;do{f[M+(R<<2)>>2]=((h[O+(f[P+(R+G<<2)>>2]|0)>>0]|0)+(h[O+(f[P+(R+t<<2)>>2]|0)>>0]|0)<<2)+((h[O+(f[P+(R+q<<2)>>2]|0)>>0]|0)*6|0)+(h[O+(f[P+(R<<2)>>2]|0)>>0]|0)+(h[O+(f[P+(R+B<<2)>>2]|0)>>0]|0);R=R+1|0}while((R|0)!=(N|0));S=N}else S=Q;if((S|0)==(s|0))break;switch(a&511){case 0:{if((S|0)<(o|0)){R=S;do{T=R<<1;f[M+(R<<2)>>2]=(h[O+(T+-2)>>0]|0)+((h[O+T>>0]|0)*6|0)+((h[O+(T|1)>>0]|0)+(h[O+(T+-1)>>0]|0)<<2)+(h[O+(T+2)>>0]|0);R=R+1|0}while((R|0)<(o|0));U=o}else U=S;break}case 2:{if((S|0)<(o|0)){R=S;while(1){T=O+(R<<1)|0;V=(h[T+-5>>0]|0)+((h[T+1>>0]|0)*6|0)+((h[T+4>>0]|0)+(h[T+-2>>0]|0)<<2)+(h[T+7>>0]|0)|0;W=(h[T+-4>>0]|0)+((h[T+2>>0]|0)*6|0)+((h[T+5>>0]|0)+(h[T+-1>>0]|0)<<2)+(h[T+8>>0]|0)|0;f[M+(R<<2)>>2]=(h[T+-6>>0]|0)+((h[T>>0]|0)*6|0)+((h[T+3>>0]|0)+(h[T+-3>>0]|0)<<2)+(h[T+6>>0]|0);f[M+(R+1<<2)>>2]=V;f[M+(R+2<<2)>>2]=W;W=R+3|0;if((W|0)<(o|0))R=W;else{U=W;break}}}else U=S;break}case 3:{if((S|0)<(o|0)){R=S;while(1){W=O+(R<<1)|0;V=(h[W+-7>>0]|0)+((h[W+1>>0]|0)*6|0)+((h[W+5>>0]|0)+(h[W+-3>>0]|0)<<2)+(h[W+9>>0]|0)|0;f[M+(R<<2)>>2]=(h[W+-8>>0]|0)+((h[W>>0]|0)*6|0)+((h[W+4>>0]|0)+(h[W+-4>>0]|0)<<2)+(h[W+8>>0]|0);f[M+(R+1<<2)>>2]=V;V=(h[W+-5>>0]|0)+((h[W+3>>0]|0)*6|0)+((h[W+7>>0]|0)+(h[W+-1>>0]|0)<<2)+(h[W+11>>0]|0)|0;f[M+(R+2<<2)>>2]=(h[W+-6>>0]|0)+((h[W+2>>0]|0)*6|0)+((h[W+6>>0]|0)+(h[W+-2>>0]|0)<<2)+(h[W+10>>0]|0);f[M+(R+3<<2)>>2]=V;V=R+4|0;if((V|0)<(o|0))R=V;else{U=V;break}}}else U=S;break}default:if((S|0)<(o|0)){R=S;do{V=f[C+(R<<2)>>2]|0;f[M+(R<<2)>>2]=(h[O+(V-q)>>0]|0)+((h[O+V>>0]|0)*6|0)+((h[O+(V+t)>>0]|0)+(h[O+(V-t)>>0]|0)<<2)+(h[O+(V+q)>>0]|0);R=R+1|0}while((R|0)<(o|0));U=o}else U=S}N=s;P=j+(0-U<<2)|0;Q=U}Q=L+1|0;if((L|0)<(J|0))L=Q;else{K=Q;break}}}L=z+((Y((I|0)%5|0,x)|0)<<2)|0;Q=z+((Y((I|1|0)%5|0,x)|0)<<2)|0;P=z+((Y((J|0)%5|0,x)|0)<<2)|0;N=z+((Y((I+3|0)%5|0,x)|0)<<2)|0;O=z+((Y((I+4|0)%5|0,x)|0)<<2)|0;if(E){M=0;do{b[H+M>>0]=(((f[P+(M<<2)>>2]|0)*6|0)+128+(f[L+(M<<2)>>2]|0)+((f[N+(M<<2)>>2]|0)+(f[Q+(M<<2)>>2]|0)<<2)+(f[O+(M<<2)>>2]|0)|0)>>>8;M=M+1|0}while((M|0)!=(s|0))}F=F+1|0;if((F|0)>=(n|0))break;else D=K}}K=f[k>>2]|0;if((K|0)!=(A|0)){if(K|0)Fmc(K);f[k>>2]=A;f[w>>2]=264}w=f[g>>2]|0;if((w|0)==(v|0)){u=e;return}if(w|0)Fmc(w);f[g>>2]=v;f[y>>2]=264;u=e;return}function p1(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=u;u=u+144|0;h=g+128|0;i=g+72|0;j=g+64|0;k=g+8|0;l=g;zT(h,50580);if((e|0)!=4){f[i>>2]=0;f[i+4>>2]=0;e=YG(i,28)|0;m=237835;n=e+28|0;do{b[e>>0]=b[m>>0]|0;e=e+1|0;m=m+1|0}while((e|0)<(n|0));j1(-215,i,237864,1454)}do if((pD(a)|0)==65536){m=f[a+4>>2]|0;f[i>>2]=f[m>>2];e=i+4|0;n=m+4|0;f[e>>2]=f[n>>2];o=i+8|0;f[o>>2]=f[m+8>>2];f[i+12>>2]=f[m+12>>2];f[i+16>>2]=f[m+16>>2];f[i+20>>2]=f[m+20>>2];f[i+24>>2]=f[m+24>>2];f[i+28>>2]=f[m+28>>2];f[i+32>>2]=f[m+32>>2];p=f[m+36>>2]|0;f[i+36>>2]=p;f[i+40>>2]=o;o=i+48|0;q=i+44|0;f[q>>2]=o;f[o>>2]=0;f[i+52>>2]=0;if(p|0){o=p+12|0;f[o>>2]=(f[o>>2]|0)+1}if((f[n>>2]|0)<3){n=f[m+44>>2]|0;o=f[q>>2]|0;f[o>>2]=f[n>>2];f[o+4>>2]=f[n+4>>2];break}else{f[e>>2]=0;kP(i,m);break}}else lD(i,a,-1);while(0);a=f[d>>2]|0;m=f[d+4>>2]|0;if(!(Y(m,a)|0)){r=f[i+12>>2]<<1;s=f[i+8>>2]<<1}else{r=a;s=m}f[j>>2]=r;f[j+4>>2]=s;HD(c,j,f[i>>2]&4095,-1,0,0);do if((pD(c)|0)==65536){j=f[c+4>>2]|0;f[k>>2]=f[j>>2];s=k+4|0;r=j+4|0;f[s>>2]=f[r>>2];m=k+8|0;f[m>>2]=f[j+8>>2];f[k+12>>2]=f[j+12>>2];f[k+16>>2]=f[j+16>>2];f[k+20>>2]=f[j+20>>2];f[k+24>>2]=f[j+24>>2];f[k+28>>2]=f[j+28>>2];f[k+32>>2]=f[j+32>>2];a=f[j+36>>2]|0;f[k+36>>2]=a;f[k+40>>2]=m;m=k+48|0;d=k+44|0;f[d>>2]=m;f[m>>2]=0;f[k+52>>2]=0;if(a|0){m=a+12|0;f[m>>2]=(f[m>>2]|0)+1}if((f[r>>2]|0)<3){r=f[j+44>>2]|0;m=f[d>>2]|0;f[m>>2]=f[r>>2];f[m+4>>2]=f[r+4>>2];break}else{f[s>>2]=0;kP(k,j);break}}else lD(k,c,-1);while(0);switch(f[i>>2]&7){case 0:{t=322;break}case 3:{t=323;break}case 2:{t=324;break}case 5:{t=325;break}case 6:{t=326;break}default:{f[l>>2]=0;f[l+4>>2]=0;j1(-210,l,237864,1491)}}Yh[t&511](i,k,4);t=k+36|0;l=f[t>>2]|0;if(l|0?(c=l+12|0,l=f[c>>2]|0,f[c>>2]=l+-1,(l|0)==1):0)lP(k);f[t>>2]=0;t=k+16|0;l=k+4|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[l>>2]|0)>0){t=f[k+40>>2]|0;c=0;do{f[t+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[l>>2]|0))}l=f[k+44>>2]|0;if((l|0)!=(k+48|0))tE(l);l=i+36|0;k=f[l>>2]|0;if(k|0?(c=k+12|0,k=f[c>>2]|0,f[c>>2]=k+-1,(k|0)==1):0)lP(i);f[l>>2]=0;l=i+16|0;k=i+4|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[k>>2]|0)>0){l=f[i+40>>2]|0;c=0;do{f[l+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[k>>2]|0))}k=f[i+44>>2]|0;if((k|0)!=(i+48|0))tE(k);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function q1(a,c,e){a=a|0;c=c|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;e=u;u=u+2144|0;g=e+1072|0;h=e+8|0;i=e;j=f[a+40>>2]|0;k=f[j+4>>2]|0;l=f[j>>2]|0;j=f[c+40>>2]|0;m=f[j+4>>2]|0;n=f[j>>2]|0;j=((f[a>>2]|0)>>>3&511)+1|0;o=(Y(j,m+1|0)|0)+15&-16;p=(o*3|0)+16|0;q=g+8|0;f[g>>2]=q;r=g+4|0;f[r>>2]=p;if(p>>>0>264){s=Dmc(p>>>0>1073741823?-1:p<<2)|0;f[g>>2]=s;t=s}else t=q;s=t+15&-16;t=Y(j,k)|0;p=h+8|0;f[h>>2]=p;v=h+4|0;f[v>>2]=t;if(t>>>0>264){w=Dmc(t>>>0>1073741823?-1:t<<2)|0;f[h>>2]=w;x=w}else x=p;w=m-(k<<1)|0;if((((w|0)>-1?w:0-w|0)|0)!=((m|0)%2|0|0)){f[i>>2]=0;y=i+4|0;f[y>>2]=0;z=YG(i,119)|0;A=z;B=237870;C=A+119|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));j1(-215,i,237990,996)}w=l<<1;k=n-w|0;if((((k|0)>-1?k:0-k|0)|0)!=((n|0)%2|0|0)){f[i>>2]=0;y=i+4|0;f[y>>2]=0;z=YG(i,119)|0;A=z;B=237870;C=A+119|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));j1(-215,i,237990,996)}i=Y(j,m)|0;if((t|0)>0){m=j<<1;B=0;do{A=(Y(m,(B|0)/(j|0)|0)|0)+((B|0)%(j|0)|0)|0;f[x+(B<<2)>>2]=A;B=B+1|0}while((B|0)!=(t|0))}if((l|0)>0){B=c+16|0;m=c+44|0;A=n+-1|0;C=(i|0)>0;z=a+16|0;y=a+44|0;a=(t|0)==(j|0);k=t-j|0;D=(i|0)>(t<<1|0);t=c+12|0;E=(j|0)<(k|0);F=-1;G=0;while(1){H=G<<1;I=f[B>>2]|0;J=f[f[m>>2]>>2]|0;K=I+(Y(J,H)|0)|0;L=H|1;H=I+(Y(J,(A|0)<(L|0)?A:L)|0)|0;L=G;G=G+1|0;if((F|0)>(G|0))M=F;else{J=F;while(1){I=J+1|0;N=s+((Y((I|0)%3|0,o)|0)<<2)|0;O=(sT(J<<1,w,4)|0)/2|0;P=(f[z>>2]|0)+(Y(f[f[y>>2]>>2]|0,O)|0)|0;if(!a){if(D){O=0;do{Q=f[x+(O<<2)>>2]|0;R=d[P+(O<<1)>>1]|0;S=d[P+(O+j<<1)>>1]|0;f[N+(Q<<2)>>2]=(S<<1)+(R*6|0);f[N+(Q+j<<2)>>2]=S+R<<2;R=O+k|0;S=f[x+(R<<2)>>2]|0;Q=d[P+(R<<1)>>1]|0;T=Q<<3;f[N+(S<<2)>>2]=(Q*7|0)+(d[P+(R-j<<1)>>1]|0);f[N+(S+j<<2)>>2]=T;f[N+(O+-1+(f[t>>2]|0)<<2)>>2]=T;O=O+1|0}while((O|0)!=(j|0))}else{O=0;do{T=f[x+(O<<2)>>2]|0;S=d[P+(O<<1)>>1]|0;R=d[P+(O+j<<1)>>1]|0;f[N+(T<<2)>>2]=(R<<1)+(S*6|0);f[N+(T+j<<2)>>2]=R+S<<2;S=O+k|0;R=f[x+(S<<2)>>2]|0;T=d[P+(S<<1)>>1]|0;f[N+(R<<2)>>2]=(T*7|0)+(d[P+(S-j<<1)>>1]|0);f[N+(R+j<<2)>>2]=T<<3;O=O+1|0}while((O|0)!=(j|0))}if(E){O=j;do{T=f[x+(O<<2)>>2]|0;R=d[P+(O<<1)>>1]|0;S=d[P+(O+j<<1)>>1]|0;f[N+(T<<2)>>2]=(R*6|0)+(d[P+(O-j<<1)>>1]|0)+S;f[N+(T+j<<2)>>2]=S+R<<2;O=O+1|0}while((O|0)!=(k|0))}}else{O=0;do{R=d[P+(O<<1)>>1]<<3;f[N+(O+j<<2)>>2]=R;f[N+(O<<2)>>2]=R;O=O+1|0}while((O|0)!=(j|0))}if((J|0)>(L|0)){M=I;break}else J=I}}J=s+((Y((L|0)%3|0,o)|0)<<2)|0;O=s+((Y((G|0)%3|0,o)|0)<<2)|0;N=s+((Y((L+2|0)%3|0,o)|0)<<2)|0;if(C){P=0;do{R=f[O+(P<<2)>>2]|0;S=f[N+(P<<2)>>2]|0;T=((R*6|0)+32+S+(f[J+(P<<2)>>2]|0)|0)>>>6&65535;d[H+(P<<1)>>1]=((S+R<<2)+32|0)>>>6;d[K+(P<<1)>>1]=T;P=P+1|0}while((P|0)!=(i|0))}if((G|0)>=(l|0))break;else F=M}}if((n|0)>(w|0)?(n=f[c+16>>2]|0,M=f[f[c+44>>2]>>2]|0,c=n+(Y(M,w+-2|0)|0)|0,F=n+(Y(M,w)|0)|0,(i|0)>0):0){w=0;do{d[F+(w<<1)>>1]=d[c+(w<<1)>>1]|0;w=w+1|0}while((w|0)!=(i|0))}i=f[h>>2]|0;if((i|0)!=(p|0)){if(i|0)Fmc(i);f[h>>2]=p;f[v>>2]=264}v=f[g>>2]|0;if((v|0)==(q|0)){u=e;return}if(v|0)Fmc(v);f[g>>2]=q;f[r>>2]=264;u=e;return}function r1(a,c,e){a=a|0;c=c|0;e=e|0;var g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;e=u;u=u+2144|0;g=e+1072|0;h=e+8|0;i=e;k=f[a+40>>2]|0;l=f[k+4>>2]|0;m=f[k>>2]|0;k=f[c+40>>2]|0;n=f[k+4>>2]|0;o=f[k>>2]|0;k=((f[a>>2]|0)>>>3&511)+1|0;p=(Y(k,n+1|0)|0)+15&-16;q=(p*3|0)+16|0;r=g+8|0;f[g>>2]=r;s=g+4|0;f[s>>2]=q;if(q>>>0>264){t=Dmc(q>>>0>1073741823?-1:q<<2)|0;f[g>>2]=t;v=t}else v=r;t=v+15&-16;v=Y(k,l)|0;q=h+8|0;f[h>>2]=q;w=h+4|0;f[w>>2]=v;if(v>>>0>264){x=Dmc(v>>>0>1073741823?-1:v<<2)|0;f[h>>2]=x;y=x}else y=q;x=n-(l<<1)|0;if((((x|0)>-1?x:0-x|0)|0)!=((n|0)%2|0|0)){f[i>>2]=0;z=i+4|0;f[z>>2]=0;A=YG(i,119)|0;B=A;C=237870;D=B+119|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));j1(-215,i,237990,996)}x=m<<1;l=o-x|0;if((((l|0)>-1?l:0-l|0)|0)!=((o|0)%2|0|0)){f[i>>2]=0;z=i+4|0;f[z>>2]=0;A=YG(i,119)|0;B=A;C=237870;D=B+119|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));j1(-215,i,237990,996)}i=Y(k,n)|0;if((v|0)>0){n=k<<1;C=0;do{B=(Y(n,(C|0)/(k|0)|0)|0)+((C|0)%(k|0)|0)|0;f[y+(C<<2)>>2]=B;C=C+1|0}while((C|0)!=(v|0))}if((m|0)>0){C=c+16|0;n=c+44|0;B=o+-1|0;D=(i|0)>0;A=a+16|0;z=a+44|0;a=(v|0)==(k|0);l=v-k|0;E=(i|0)>(v<<1|0);v=c+12|0;F=(k|0)<(l|0);G=-1;H=0;while(1){I=H<<1;J=f[C>>2]|0;K=f[f[n>>2]>>2]|0;L=J+(Y(K,I)|0)|0;M=I|1;I=J+(Y(K,(B|0)<(M|0)?B:M)|0)|0;M=H;H=H+1|0;if((G|0)>(H|0))N=G;else{K=G;while(1){J=K+1|0;O=t+((Y((J|0)%3|0,p)|0)<<2)|0;P=(sT(K<<1,x,4)|0)/2|0;Q=(f[A>>2]|0)+(Y(f[f[z>>2]>>2]|0,P)|0)|0;if(!a){if(E){P=0;do{R=f[y+(P<<2)>>2]|0;S=j[Q+(P<<1)>>1]|0;T=j[Q+(P+k<<1)>>1]|0;f[O+(R<<2)>>2]=(T<<1)+(S*6|0);f[O+(R+k<<2)>>2]=T+S<<2;S=P+l|0;T=f[y+(S<<2)>>2]|0;R=j[Q+(S<<1)>>1]|0;U=R<<3;f[O+(T<<2)>>2]=(R*7|0)+(j[Q+(S-k<<1)>>1]|0);f[O+(T+k<<2)>>2]=U;f[O+(P+-1+(f[v>>2]|0)<<2)>>2]=U;P=P+1|0}while((P|0)!=(k|0))}else{P=0;do{U=f[y+(P<<2)>>2]|0;T=j[Q+(P<<1)>>1]|0;S=j[Q+(P+k<<1)>>1]|0;f[O+(U<<2)>>2]=(S<<1)+(T*6|0);f[O+(U+k<<2)>>2]=S+T<<2;T=P+l|0;S=f[y+(T<<2)>>2]|0;U=j[Q+(T<<1)>>1]|0;f[O+(S<<2)>>2]=(U*7|0)+(j[Q+(T-k<<1)>>1]|0);f[O+(S+k<<2)>>2]=U<<3;P=P+1|0}while((P|0)!=(k|0))}if(F){P=k;do{U=f[y+(P<<2)>>2]|0;S=j[Q+(P<<1)>>1]|0;T=j[Q+(P+k<<1)>>1]|0;f[O+(U<<2)>>2]=(S*6|0)+(j[Q+(P-k<<1)>>1]|0)+T;f[O+(U+k<<2)>>2]=T+S<<2;P=P+1|0}while((P|0)!=(l|0))}}else{P=0;do{S=(j[Q+(P<<1)>>1]|0)<<3;f[O+(P+k<<2)>>2]=S;f[O+(P<<2)>>2]=S;P=P+1|0}while((P|0)!=(k|0))}if((K|0)>(M|0)){N=J;break}else K=J}}K=t+((Y((M|0)%3|0,p)|0)<<2)|0;P=t+((Y((H|0)%3|0,p)|0)<<2)|0;O=t+((Y((M+2|0)%3|0,p)|0)<<2)|0;if(D){Q=0;do{S=f[P+(Q<<2)>>2]|0;T=f[O+(Q<<2)>>2]|0;U=((S*6|0)+32+T+(f[K+(Q<<2)>>2]|0)|0)>>>6&65535;d[I+(Q<<1)>>1]=((T+S<<2)+32|0)>>>6;d[L+(Q<<1)>>1]=U;Q=Q+1|0}while((Q|0)!=(i|0))}if((H|0)>=(m|0))break;else G=N}}if((o|0)>(x|0)?(o=f[c+16>>2]|0,N=f[f[c+44>>2]>>2]|0,c=o+(Y(N,x+-2|0)|0)|0,G=o+(Y(N,x)|0)|0,(i|0)>0):0){x=0;do{d[G+(x<<1)>>1]=d[c+(x<<1)>>1]|0;x=x+1|0}while((x|0)!=(i|0))}i=f[h>>2]|0;if((i|0)!=(q|0)){if(i|0)Fmc(i);f[h>>2]=q;f[w>>2]=264}w=f[g>>2]|0;if((w|0)==(r|0)){u=e;return}if(w|0)Fmc(w);f[g>>2]=r;f[s>>2]=264;u=e;return}function s1(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0.0,T=0.0,U=0,V=0.0;d=u;u=u+2144|0;e=d+1072|0;g=d+8|0;h=d;i=f[a+40>>2]|0;j=f[i+4>>2]|0;k=f[i>>2]|0;i=f[c+40>>2]|0;l=f[i+4>>2]|0;m=f[i>>2]|0;i=((f[a>>2]|0)>>>3&511)+1|0;o=(Y(i,l+1|0)|0)+15&-16;p=(o*3|0)+16|0;q=e+8|0;f[e>>2]=q;r=e+4|0;f[r>>2]=p;if(p>>>0>264){s=Dmc(p>>>0>1073741823?-1:p<<2)|0;f[e>>2]=s;t=s}else t=q;s=t+15&-16;t=Y(i,j)|0;p=g+8|0;f[g>>2]=p;v=g+4|0;f[v>>2]=t;if(t>>>0>264){w=Dmc(t>>>0>1073741823?-1:t<<2)|0;f[g>>2]=w;x=w}else x=p;w=l-(j<<1)|0;if((((w|0)>-1?w:0-w|0)|0)!=((l|0)%2|0|0)){f[h>>2]=0;y=h+4|0;f[y>>2]=0;z=YG(h,119)|0;A=z;B=237870;C=A+119|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));j1(-215,h,237990,996)}w=k<<1;j=m-w|0;if((((j|0)>-1?j:0-j|0)|0)!=((m|0)%2|0|0)){f[h>>2]=0;y=h+4|0;f[y>>2]=0;z=YG(h,119)|0;A=z;B=237870;C=A+119|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));j1(-215,h,237990,996)}h=Y(i,l)|0;if((t|0)>0){l=i<<1;B=0;do{A=(Y(l,(B|0)/(i|0)|0)|0)+((B|0)%(i|0)|0)|0;f[x+(B<<2)>>2]=A;B=B+1|0}while((B|0)!=(t|0))}if((k|0)>0){B=c+16|0;l=c+44|0;A=m+-1|0;C=(h|0)>0;z=a+16|0;y=a+44|0;a=(t|0)==(i|0);j=t-i|0;D=(h|0)>(t<<1|0);t=c+12|0;E=(i|0)<(j|0);F=-1;G=0;while(1){H=G<<1;I=f[B>>2]|0;J=f[f[l>>2]>>2]|0;K=I+(Y(J,H)|0)|0;L=H|1;H=I+(Y(J,(A|0)<(L|0)?A:L)|0)|0;L=G;G=G+1|0;if((F|0)>(G|0))M=F;else{J=F;while(1){I=J+1|0;N=s+((Y((I|0)%3|0,o)|0)<<2)|0;O=(sT(J<<1,w,4)|0)/2|0;P=(f[z>>2]|0)+(Y(f[f[y>>2]>>2]|0,O)|0)|0;if(!a){O=f[t>>2]|0;if(D){Q=0;do{R=f[x+(Q<<2)>>2]|0;S=+n[P+(Q<<2)>>2];T=+n[P+(Q+i<<2)>>2];n[N+(R<<2)>>2]=S*6.0+T*2.0;n[N+(R+i<<2)>>2]=(S+T)*4.0;R=Q+j|0;U=f[x+(R<<2)>>2]|0;T=+n[P+(R<<2)>>2];S=T*8.0;n[N+(U<<2)>>2]=+n[P+(R-i<<2)>>2]+T*7.0;n[N+(U+i<<2)>>2]=S;n[N+(Q+-1+O<<2)>>2]=S;Q=Q+1|0}while((Q|0)!=(i|0))}else{Q=0;do{O=f[x+(Q<<2)>>2]|0;S=+n[P+(Q<<2)>>2];T=+n[P+(Q+i<<2)>>2];n[N+(O<<2)>>2]=S*6.0+T*2.0;n[N+(O+i<<2)>>2]=(S+T)*4.0;O=Q+j|0;U=f[x+(O<<2)>>2]|0;T=+n[P+(O<<2)>>2];n[N+(U<<2)>>2]=+n[P+(O-i<<2)>>2]+T*7.0;n[N+(U+i<<2)>>2]=T*8.0;Q=Q+1|0}while((Q|0)!=(i|0))}if(E){Q=i;do{U=f[x+(Q<<2)>>2]|0;T=+n[P+(Q<<2)>>2];S=+n[P+(Q+i<<2)>>2];n[N+(U<<2)>>2]=S+(+n[P+(Q-i<<2)>>2]+T*6.0);n[N+(U+i<<2)>>2]=(T+S)*4.0;Q=Q+1|0}while((Q|0)!=(j|0))}}else{Q=0;do{S=+n[P+(Q<<2)>>2]*8.0;n[N+(Q+i<<2)>>2]=S;n[N+(Q<<2)>>2]=S;Q=Q+1|0}while((Q|0)!=(i|0))}if((J|0)>(L|0)){M=I;break}else J=I}}J=s+((Y((L|0)%3|0,o)|0)<<2)|0;Q=s+((Y((G|0)%3|0,o)|0)<<2)|0;N=s+((Y((L+2|0)%3|0,o)|0)<<2)|0;if(C){P=0;do{S=+n[Q+(P<<2)>>2];T=+n[N+(P<<2)>>2];V=(T+(S*6.0+ +n[J+(P<<2)>>2]))*.015625;n[H+(P<<2)>>2]=(S+T)*4.0*.015625;n[K+(P<<2)>>2]=V;P=P+1|0}while((P|0)!=(h|0))}if((G|0)>=(k|0))break;else F=M}}if((m|0)>(w|0)?(m=f[c+16>>2]|0,M=f[f[c+44>>2]>>2]|0,c=m+(Y(M,w+-2|0)|0)|0,F=m+(Y(M,w)|0)|0,(h|0)>0):0){w=0;do{f[F+(w<<2)>>2]=f[c+(w<<2)>>2];w=w+1|0}while((w|0)!=(h|0))}h=f[g>>2]|0;if((h|0)!=(p|0)){if(h|0)Fmc(h);f[g>>2]=p;f[v>>2]=264}v=f[e>>2]|0;if((v|0)==(q|0)){u=d;return}if(v|0)Fmc(v);f[e>>2]=q;f[r>>2]=264;u=d;return}function t1(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0.0,T=0.0,U=0,V=0.0;d=u;u=u+2176|0;e=d;g=d+1104|0;h=d+1096|0;i=f[a+40>>2]|0;j=f[i+4>>2]|0;k=f[i>>2]|0;i=f[c+40>>2]|0;l=f[i+4>>2]|0;m=f[i>>2]|0;i=((f[a>>2]|0)>>>3&511)+1|0;n=(Y(i,l+1|0)|0)+15&-16;o=(n*3|0)+16|0;q=e+8|0;f[e>>2]=q;r=e+4|0;f[r>>2]=o;if(o>>>0>136){s=Dmc(o>>>0>536870911?-1:o<<3)|0;f[e>>2]=s;t=s}else t=q;s=t+15&-16;t=Y(i,j)|0;o=g+8|0;f[g>>2]=o;v=g+4|0;f[v>>2]=t;if(t>>>0>264){w=Dmc(t>>>0>1073741823?-1:t<<2)|0;f[g>>2]=w;x=w}else x=o;w=l-(j<<1)|0;if((((w|0)>-1?w:0-w|0)|0)!=((l|0)%2|0|0)){f[h>>2]=0;y=h+4|0;f[y>>2]=0;z=YG(h,119)|0;A=z;B=237870;C=A+119|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));j1(-215,h,237990,996)}w=k<<1;j=m-w|0;if((((j|0)>-1?j:0-j|0)|0)!=((m|0)%2|0|0)){f[h>>2]=0;y=h+4|0;f[y>>2]=0;z=YG(h,119)|0;A=z;B=237870;C=A+119|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));j1(-215,h,237990,996)}h=Y(i,l)|0;if((t|0)>0){l=i<<1;B=0;do{A=(Y(l,(B|0)/(i|0)|0)|0)+((B|0)%(i|0)|0)|0;f[x+(B<<2)>>2]=A;B=B+1|0}while((B|0)!=(t|0))}if((k|0)>0){B=c+16|0;l=c+44|0;A=m+-1|0;C=(h|0)>0;z=a+16|0;y=a+44|0;a=(t|0)==(i|0);j=t-i|0;D=(h|0)>(t<<1|0);t=c+12|0;E=(i|0)<(j|0);F=-1;G=0;while(1){H=G<<1;I=f[B>>2]|0;J=f[f[l>>2]>>2]|0;K=I+(Y(J,H)|0)|0;L=H|1;H=I+(Y(J,(A|0)<(L|0)?A:L)|0)|0;L=G;G=G+1|0;if((F|0)>(G|0))M=F;else{J=F;while(1){I=J+1|0;N=s+((Y((I|0)%3|0,n)|0)<<3)|0;O=(sT(J<<1,w,4)|0)/2|0;P=(f[z>>2]|0)+(Y(f[f[y>>2]>>2]|0,O)|0)|0;if(!a){O=f[t>>2]|0;if(D){Q=0;do{R=f[x+(Q<<2)>>2]|0;S=+p[P+(Q<<3)>>3];T=+p[P+(Q+i<<3)>>3];p[N+(R<<3)>>3]=S*6.0+T*2.0;p[N+(R+i<<3)>>3]=(S+T)*4.0;R=Q+j|0;U=f[x+(R<<2)>>2]|0;T=+p[P+(R<<3)>>3];S=T*8.0;p[N+(U<<3)>>3]=+p[P+(R-i<<3)>>3]+T*7.0;p[N+(U+i<<3)>>3]=S;p[N+(Q+-1+O<<3)>>3]=S;Q=Q+1|0}while((Q|0)!=(i|0))}else{Q=0;do{O=f[x+(Q<<2)>>2]|0;S=+p[P+(Q<<3)>>3];T=+p[P+(Q+i<<3)>>3];p[N+(O<<3)>>3]=S*6.0+T*2.0;p[N+(O+i<<3)>>3]=(S+T)*4.0;O=Q+j|0;U=f[x+(O<<2)>>2]|0;T=+p[P+(O<<3)>>3];p[N+(U<<3)>>3]=+p[P+(O-i<<3)>>3]+T*7.0;p[N+(U+i<<3)>>3]=T*8.0;Q=Q+1|0}while((Q|0)!=(i|0))}if(E){Q=i;do{U=f[x+(Q<<2)>>2]|0;T=+p[P+(Q<<3)>>3];S=+p[P+(Q+i<<3)>>3];p[N+(U<<3)>>3]=S+(+p[P+(Q-i<<3)>>3]+T*6.0);p[N+(U+i<<3)>>3]=(T+S)*4.0;Q=Q+1|0}while((Q|0)!=(j|0))}}else{Q=0;do{S=+p[P+(Q<<3)>>3]*8.0;p[N+(Q+i<<3)>>3]=S;p[N+(Q<<3)>>3]=S;Q=Q+1|0}while((Q|0)!=(i|0))}if((J|0)>(L|0)){M=I;break}else J=I}}J=s+((Y((L|0)%3|0,n)|0)<<3)|0;Q=s+((Y((G|0)%3|0,n)|0)<<3)|0;N=s+((Y((L+2|0)%3|0,n)|0)<<3)|0;if(C){P=0;do{S=+p[Q+(P<<3)>>3];T=+p[N+(P<<3)>>3];V=(T+(S*6.0+ +p[J+(P<<3)>>3]))*.015625;p[H+(P<<3)>>3]=(S+T)*4.0*.015625;p[K+(P<<3)>>3]=V;P=P+1|0}while((P|0)!=(h|0))}if((G|0)>=(k|0))break;else F=M}}if((m|0)>(w|0)?(m=f[c+16>>2]|0,M=f[f[c+44>>2]>>2]|0,c=m+(Y(M,w+-2|0)|0)|0,F=m+(Y(M,w)|0)|0,(h|0)>0):0){w=0;do{p[F+(w<<3)>>3]=+p[c+(w<<3)>>3];w=w+1|0}while((w|0)!=(h|0))}h=f[g>>2]|0;if((h|0)!=(o|0)){if(h|0)Fmc(h);f[g>>2]=o;f[v>>2]=264}v=f[e>>2]|0;if((v|0)==(q|0)){u=d;return}if(v|0)Fmc(v);f[e>>2]=q;f[r>>2]=136;u=d;return}function u1(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=u;u=u+2144|0;e=d+1072|0;g=d+8|0;i=d;j=f[a+40>>2]|0;k=f[j+4>>2]|0;l=f[j>>2]|0;j=f[c+40>>2]|0;m=f[j+4>>2]|0;n=f[j>>2]|0;j=((f[a>>2]|0)>>>3&511)+1|0;o=(Y(j,m+1|0)|0)+15&-16;p=(o*3|0)+16|0;q=e+8|0;f[e>>2]=q;r=e+4|0;f[r>>2]=p;if(p>>>0>264){s=Dmc(p>>>0>1073741823?-1:p<<2)|0;f[e>>2]=s;t=s}else t=q;s=t+15&-16;t=Y(j,k)|0;p=g+8|0;f[g>>2]=p;v=g+4|0;f[v>>2]=t;if(t>>>0>264){w=Dmc(t>>>0>1073741823?-1:t<<2)|0;f[g>>2]=w;x=w}else x=p;w=m-(k<<1)|0;if((((w|0)>-1?w:0-w|0)|0)!=((m|0)%2|0|0)){f[i>>2]=0;y=i+4|0;f[y>>2]=0;z=YG(i,119)|0;A=z;B=237870;C=A+119|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));j1(-215,i,237990,996)}w=l<<1;k=n-w|0;if((((k|0)>-1?k:0-k|0)|0)!=((n|0)%2|0|0)){f[i>>2]=0;y=i+4|0;f[y>>2]=0;z=YG(i,119)|0;A=z;B=237870;C=A+119|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));j1(-215,i,237990,996)}i=Y(j,m)|0;if((t|0)>0){m=j<<1;B=0;do{A=(Y(m,(B|0)/(j|0)|0)|0)+((B|0)%(j|0)|0)|0;f[x+(B<<2)>>2]=A;B=B+1|0}while((B|0)!=(t|0))}if((l|0)>0){B=c+16|0;m=c+44|0;A=n+-1|0;C=(i|0)>0;z=a+16|0;y=a+44|0;a=(t|0)==(j|0);k=t-j|0;D=(i|0)>(t<<1|0);t=c+12|0;E=(j|0)<(k|0);F=-1;G=0;while(1){H=G<<1;I=f[B>>2]|0;J=f[f[m>>2]>>2]|0;K=I+(Y(J,H)|0)|0;L=H|1;H=I+(Y(J,(A|0)<(L|0)?A:L)|0)|0;L=G;G=G+1|0;if((F|0)>(G|0))M=F;else{J=F;while(1){I=J+1|0;N=s+((Y((I|0)%3|0,o)|0)<<2)|0;O=(sT(J<<1,w,4)|0)/2|0;P=(f[z>>2]|0)+(Y(f[f[y>>2]>>2]|0,O)|0)|0;if(!a){if(D){O=0;do{Q=f[x+(O<<2)>>2]|0;R=h[P+O>>0]|0;S=h[P+(O+j)>>0]|0;f[N+(Q<<2)>>2]=(S<<1)+(R*6|0);f[N+(Q+j<<2)>>2]=S+R<<2;R=O+k|0;S=f[x+(R<<2)>>2]|0;Q=h[P+R>>0]|0;T=Q<<3;f[N+(S<<2)>>2]=(Q*7|0)+(h[P+(R-j)>>0]|0);f[N+(S+j<<2)>>2]=T;f[N+(O+-1+(f[t>>2]|0)<<2)>>2]=T;O=O+1|0}while((O|0)!=(j|0))}else{O=0;do{T=f[x+(O<<2)>>2]|0;S=h[P+O>>0]|0;R=h[P+(O+j)>>0]|0;f[N+(T<<2)>>2]=(R<<1)+(S*6|0);f[N+(T+j<<2)>>2]=R+S<<2;S=O+k|0;R=f[x+(S<<2)>>2]|0;T=h[P+S>>0]|0;f[N+(R<<2)>>2]=(T*7|0)+(h[P+(S-j)>>0]|0);f[N+(R+j<<2)>>2]=T<<3;O=O+1|0}while((O|0)!=(j|0))}if(E){O=j;do{T=f[x+(O<<2)>>2]|0;R=h[P+O>>0]|0;S=h[P+(O+j)>>0]|0;f[N+(T<<2)>>2]=(R*6|0)+(h[P+(O-j)>>0]|0)+S;f[N+(T+j<<2)>>2]=S+R<<2;O=O+1|0}while((O|0)!=(k|0))}}else{O=0;do{R=(h[P+O>>0]|0)<<3;f[N+(O+j<<2)>>2]=R;f[N+(O<<2)>>2]=R;O=O+1|0}while((O|0)!=(j|0))}if((J|0)>(L|0)){M=I;break}else J=I}}J=s+((Y((L|0)%3|0,o)|0)<<2)|0;O=s+((Y((G|0)%3|0,o)|0)<<2)|0;N=s+((Y((L+2|0)%3|0,o)|0)<<2)|0;if(C){P=0;do{R=f[O+(P<<2)>>2]|0;S=f[N+(P<<2)>>2]|0;T=((R*6|0)+32+S+(f[J+(P<<2)>>2]|0)|0)>>>6&255;b[H+P>>0]=((S+R<<2)+32|0)>>>6;b[K+P>>0]=T;P=P+1|0}while((P|0)!=(i|0))}if((G|0)>=(l|0))break;else F=M}}if((n|0)>(w|0)?(n=f[c+16>>2]|0,M=f[f[c+44>>2]>>2]|0,c=n+(Y(M,w+-2|0)|0)|0,F=n+(Y(M,w)|0)|0,(i|0)>0):0){w=0;do{b[F+w>>0]=b[c+w>>0]|0;w=w+1|0}while((w|0)!=(i|0))}i=f[g>>2]|0;if((i|0)!=(p|0)){if(i|0)Fmc(i);f[g>>2]=p;f[v>>2]=264}v=f[e>>2]|0;if((v|0)==(q|0)){u=d;return}if(v|0)Fmc(v);f[e>>2]=q;f[r>>2]=264;u=d;return}function v1(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=+c;d=+d;e=e|0;g=+g;h=+h;i=+i;j=+j;var k=0,l=0,m=0,n=0,o=0.0;k=u;u=u+16|0;l=k;zT(l,50600);a:do if(hE(b)|0){m=oD(b,-1)|0;switch(m|0){case 13:case 21:{n=m;break a;break}default:{}}HY(m,50620)}else n=13;while(0);o=c;c=d;if(g==0.0&h==0.0)w1(a,b,n,o,c,e,2147483647,i,j);else{m=V9b(g)|0;x1(a,b,n,o,c,e,m,V9b(h)|0,2147483647,i,j)}if(!(f[l+4>>2]|0)){u=k;return}u=k;return}function w1(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=+e;g=+g;h=h|0;i=i|0;j=+j;k=+k;var l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0.0,X=0.0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0.0,ia=0.0,ja=0.0,ka=0;l=u;u=u+2544|0;m=l+224|0;o=l+2480|0;p=l+2424|0;q=l;r=l+2408|0;s=l+1344|0;t=l+280|0;v=(d|0)==13;switch(d|0){case 13:case 21:break;default:HY(d,50676)}do if((pD(a)|0)==65536){w=f[a+4>>2]|0;f[o>>2]=f[w>>2];x=o+4|0;y=w+4|0;f[x>>2]=f[y>>2];z=o+8|0;f[z>>2]=f[w+8>>2];f[o+12>>2]=f[w+12>>2];f[o+16>>2]=f[w+16>>2];f[o+20>>2]=f[w+20>>2];f[o+24>>2]=f[w+24>>2];f[o+28>>2]=f[w+28>>2];f[o+32>>2]=f[w+32>>2];A=f[w+36>>2]|0;f[o+36>>2]=A;f[o+40>>2]=z;z=o+48|0;B=o+44|0;f[B>>2]=z;f[z>>2]=0;f[o+52>>2]=0;if(A|0){z=A+12|0;f[z>>2]=(f[z>>2]|0)+1}if((f[y>>2]|0)<3){y=f[w+44>>2]|0;z=f[B>>2]|0;f[z>>2]=f[y>>2];f[z+4>>2]=f[y+4>>2];C=o;break}else{f[x>>2]=0;kP(o,w);C=o;break}}else{lD(o,a,-1);C=o}while(0);D=1.0/e;if(f[C>>2]&4095|0){f[m>>2]=0;f[m+4>>2]=0;E=YG(m,21)|0;F=238056;G=E+21|0;do{b[E>>0]=b[F>>0]|0;E=E+1|0;F=F+1|0}while((E|0)<(G|0));SQ(-215,m,238329,238093,120)}if((i|0)<=0){f[m>>2]=0;f[m+4>>2]=0;E=YG(m,12)|0;F=238160;G=E+12|0;do{b[E>>0]=b[F>>0]|0;E=E+1|0;F=F+1|0}while((E|0)<(G|0));SQ(-215,m,238329,238093,121)}F=o+16|0;C=f[F>>2]|0;a=o+44|0;w=o+48|0;x=f[w>>2]|0;y=f[o+12>>2]|0;z=f[o+8>>2]|0;if(!(k>=j))FY(k,j,50704);B=V9b((k-j)/g)|0;A=U9b(+(z+y<<1|1|0)/e)|0;H=A+2|0;pG(q,B+2|0,H,4);f[p>>2]=1124007936;I=p+4|0;J=p+8|0;K=p+40|0;E=I;G=E+36|0;do{f[E>>2]=0;E=E+4|0}while((E|0)<(G|0));f[K>>2]=J;J=p+48|0;E=p+44|0;f[E>>2]=J;f[J>>2]=0;f[p+52>>2]=0;G=f[q>>2]|0;rh[f[(f[G>>2]|0)+12>>2]&255](G,q,p,-1);Xi(q);f[r>>2]=0;q=r+4|0;f[q>>2]=0;f[r+8>>2]=0;G=s+8|0;f[s>>2]=G;L=s+4|0;M=B>>>0>264;f[L>>2]=B;if(M){N=Dmc(B>>>0>1073741823?-1:B<<2)|0;f[s>>2]=N;Q=N}else Q=G;N=t+8|0;f[t>>2]=N;R=t+4|0;f[R>>2]=B;if(M){M=Dmc(B>>>0>1073741823?-1:B<<2)|0;f[t>>2]=M;S=M}else S=N;M=p+16|0;T=f[M>>2]|0;U=(B|0)>0;if(U){k=D;D=j;V=0;while(1){W=D;X=k*+P(+W);n[Q+(V<<2)>>2]=X;X=k*+O(+W);n[S+(V<<2)>>2]=X;V=V+1|0;if((V|0)==(B|0))break;else D=D+g}}if((z|0)>0?(V=((A+-1|0)/2|0)+1|0,(y|0)>0):0){Z=0;do{_=Y(Z,x)|0;D=+(Z|0);if(U){$=0;do{if(b[C+($+_)>>0]|0){k=+($|0);aa=0;do{ba=aa;aa=aa+1|0;ca=T+(V+(Y(aa,H)|0)+(U9b(k*+n[S+(ba<<2)>>2]+D*+n[Q+(ba<<2)>>2])|0)<<2)|0;f[ca>>2]=(f[ca>>2]|0)+1}while((aa|0)!=(B|0))}$=$+1|0}while(($|0)!=(y|0))}Z=Z+1|0}while((Z|0)!=(z|0))}if((A|0)>0?(z=-2-A|0,Z=r+8|0,U):0){U=0;do{y=0;do{y=y+1|0;Q=(Y(y,H)|0)+U|0;S=Q+1|0;f[m>>2]=S;V=f[T+(S<<2)>>2]|0;do if(((((V|0)>(h|0)?(V|0)>(f[T+(Q<<2)>>2]|0):0)?(V|0)>=(f[T+(Q+2<<2)>>2]|0):0)?(V|0)>(f[T+(z+S<<2)>>2]|0):0)?(V|0)>=(f[T+(S+H<<2)>>2]|0):0){C=f[q>>2]|0;if((C|0)==(f[Z>>2]|0)){MR(r,m);break}else{f[C>>2]=S;f[q>>2]=C+4;break}}while(0)}while((y|0)!=(B|0));U=U+1|0}while((U|0)!=(A|0));da=f[r>>2]|0;ea=f[q>>2]|0}else{da=0;ea=0}f[m>>2]=T;z1(da,ea,m);ea=(f[q>>2]|0)-(f[r>>2]|0)>>2;da=(ea|0)<(i|0)?ea:i;D=1.0/+(H|0);iE(c,da,1,d,-1,0,0);do if((pD(c)|0)==65536){d=f[c+4>>2]|0;f[m>>2]=f[d>>2];i=m+4|0;ea=d+4|0;f[i>>2]=f[ea>>2];U=m+8|0;f[U>>2]=f[d+8>>2];f[m+12>>2]=f[d+12>>2];f[m+16>>2]=f[d+16>>2];f[m+20>>2]=f[d+20>>2];f[m+24>>2]=f[d+24>>2];f[m+28>>2]=f[d+28>>2];f[m+32>>2]=f[d+32>>2];B=f[d+36>>2]|0;f[m+36>>2]=B;f[m+40>>2]=U;U=m+48|0;Z=m+44|0;f[Z>>2]=U;f[U>>2]=0;f[m+52>>2]=0;if(B|0){U=B+12|0;f[U>>2]=(f[U>>2]|0)+1}if((f[ea>>2]|0)<3){ea=f[d+44>>2]|0;U=f[Z>>2]|0;f[U>>2]=f[ea>>2];f[U+4>>2]=f[ea+4>>2];break}else{f[i>>2]=0;kP(m,d);break}}else lD(m,c,-1);while(0);if((da|0)>0){k=+(A+-1|0)*.5;X=j;A=m+16|0;c=m+40|0;d=m+44|0;i=m+12|0;if(v){v=0;do{ea=f[(f[r>>2]|0)+(v<<2)>>2]|0;j=D*+(ea|0);U=~~j;Z=U-(+(U|0)>j&1)|0;j=(+(ea+-1-(Y(Z,H)|0)|0)-k)*e;W=X+ +(Z+-1|0)*g;Z=f[A>>2]|0;do if((f[m>>2]&16384|0)==0?(ea=f[c>>2]|0,(f[ea>>2]|0)!=1):0){U=f[f[d>>2]>>2]|0;if((f[ea+4>>2]|0)==1){fa=Z+(Y(U,v)|0)|0;break}else{ea=f[i>>2]|0;B=(v|0)/(ea|0)|0;fa=Z+(Y(B,U)|0)+(v-(Y(B,ea)|0)<<3)|0;break}}else ga=59;while(0);if((ga|0)==59){ga=0;fa=Z+(v<<3)|0}n[fa>>2]=j;n[fa+4>>2]=W;v=v+1|0}while((v|0)<(da|0))}else{v=0;do{fa=f[(f[r>>2]|0)+(v<<2)>>2]|0;ha=D*+(fa|0);ea=~~ha;B=ea-(+(ea|0)>ha&1)|0;ha=(+(fa+-1-(Y(B,H)|0)|0)-k)*e;ia=X+ +(B+-1|0)*g;ja=+(f[T+(fa<<2)>>2]|0);fa=f[A>>2]|0;do if((f[m>>2]&16384|0)==0?(B=f[c>>2]|0,(f[B>>2]|0)!=1):0){ea=f[f[d>>2]>>2]|0;if((f[B+4>>2]|0)==1){ka=fa+(Y(ea,v)|0)|0;break}else{B=f[i>>2]|0;U=(v|0)/(B|0)|0;ka=fa+(Y(U,ea)|0)+((v-(Y(U,B)|0)|0)*12|0)|0;break}}else ga=63;while(0);if((ga|0)==63){ga=0;ka=fa+(v*12|0)|0}n[ka>>2]=ha;n[ka+4>>2]=ia;n[ka+8>>2]=ja;v=v+1|0}while((v|0)<(da|0))}}da=m+36|0;v=f[da>>2]|0;if(v|0?(ka=v+12|0,v=f[ka>>2]|0,f[ka>>2]=v+-1,(v|0)==1):0)lP(m);f[da>>2]=0;da=m+16|0;v=m+4|0;f[da>>2]=0;f[da+4>>2]=0;f[da+8>>2]=0;f[da+12>>2]=0;if((f[v>>2]|0)>0){da=f[m+40>>2]|0;ka=0;do{f[da+(ka<<2)>>2]=0;ka=ka+1|0}while((ka|0)<(f[v>>2]|0))}v=f[m+44>>2]|0;if((v|0)!=(m+48|0))tE(v);v=f[t>>2]|0;if((v|0)!=(N|0)){if(v|0)Fmc(v);f[t>>2]=N;f[R>>2]=264}R=f[s>>2]|0;if((R|0)!=(G|0)){if(R|0)Fmc(R);f[s>>2]=G;f[L>>2]=264}L=f[r>>2]|0;if(L|0){r=f[q>>2]|0;if((r|0)!=(L|0))f[q>>2]=r+(~((r+-4-L|0)>>>2)<<2);Emc(L)}L=p+36|0;r=f[L>>2]|0;if(r|0?(q=r+12|0,r=f[q>>2]|0,f[q>>2]=r+-1,(r|0)==1):0)lP(p);f[L>>2]=0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[I>>2]|0)>0){M=f[K>>2]|0;K=0;do{f[M+(K<<2)>>2]=0;K=K+1|0}while((K|0)<(f[I>>2]|0))}I=f[E>>2]|0;if((I|0)!=(J|0))tE(I);I=o+36|0;J=f[I>>2]|0;do if(J|0){E=J+12|0;K=f[E>>2]|0;f[E>>2]=K+-1;if((K|0)!=1)break;lP(o)}while(0);f[I>>2]=0;I=o+4|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[I>>2]|0)>0){F=f[o+40>>2]|0;o=0;do{f[F+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[I>>2]|0))}I=f[a>>2]|0;if((I|0)==(w|0)){u=l;return}tE(I);u=l;return}function x1(a,c,d,e,g,i,j,k,l,m,o){a=a|0;c=c|0;d=d|0;e=+e;g=+g;i=i|0;j=j|0;k=k|0;l=l|0;m=+m;o=+o;var p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,N=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0.0,oa=0,pa=0,qa=0,ra=0.0,sa=0.0,ta=0.0,ua=0,va=0,wa=0.0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0;p=u;u=u+192|0;q=p+128|0;r=p+116|0;s=p+104|0;t=p+92|0;v=p+80|0;w=p+68|0;x=p+56|0;y=p;z=(d|0)==13;switch(d|0){case 13:case 21:break;default:HY(d,50648)}do if((pD(a)|0)==65536){A=f[a+4>>2]|0;f[q>>2]=f[A>>2];B=q+4|0;C=A+4|0;f[B>>2]=f[C>>2];D=q+8|0;f[D>>2]=f[A+8>>2];f[q+12>>2]=f[A+12>>2];f[q+16>>2]=f[A+16>>2];f[q+20>>2]=f[A+20>>2];f[q+24>>2]=f[A+24>>2];f[q+28>>2]=f[A+28>>2];f[q+32>>2]=f[A+32>>2];E=f[A+36>>2]|0;f[q+36>>2]=E;f[q+40>>2]=D;D=q+48|0;F=q+44|0;f[F>>2]=D;f[D>>2]=0;f[q+52>>2]=0;if(E|0){D=E+12|0;f[D>>2]=(f[D>>2]|0)+1}if((f[C>>2]|0)<3){C=f[A+44>>2]|0;D=f[F>>2]|0;f[D>>2]=f[C>>2];f[D+4>>2]=f[C+4>>2];G=q;break}else{f[B>>2]=0;kP(q,A);G=q;break}}else{lD(q,a,-1);G=q}while(0);A=Y(k,j)|0;f[r>>2]=0;B=r+4|0;f[B>>2]=0;f[r+8>>2]=0;if(f[G>>2]&4095|0){f[s>>2]=0;f[s+4>>2]=0;H=YG(s,21)|0;I=238056;J=H+21|0;do{b[H>>0]=b[I>>0]|0;H=H+1|0;I=I+1|0}while((H|0)<(J|0));SQ(-215,s,238078,238093,262)}if((l|0)<=0){f[s>>2]=0;f[s+4>>2]=0;H=YG(s,12)|0;I=238160;J=H+12|0;do{b[H>>0]=b[I>>0]|0;H=H+1|0;I=I+1|0}while((H|0)<(J|0));SQ(-215,s,238078,238093,263)}I=(i|0)<255?i:255;i=q+16|0;H=f[i>>2]|0;J=q+44|0;G=q+48|0;C=f[G>>2]|0;D=f[q+12>>2]|0;F=f[q+8>>2]|0;K=1.0/e;N=1.0/g;P=+(j|0);Q=e/P;R=g/+(k|0);S=1.0/Q;T=1.0/R;U=+(D|0);V=+(F|0);W=K*+M(+(U*U+V*V));j=~~W;E=j-(+(j|0)>W&1)|0;W=N;V=W*6.283185307179586;j=~~V;X=j-(+(j|0)>V&1)|0;f[s>>2]=I;n[s+4>>2]=-1.0;n[s+8>>2]=0.0;j=r+8|0;y1(r,s);Z=Y(k*5|0,X)|0;f[s>>2]=0;_=s+4|0;f[_>>2]=0;f[s+8>>2]=0;if(!Z)$=0;else{if(Z>>>0>1073741823)Ukc(s);aa=Z<<2;ba=Bmc(aa)|0;f[s>>2]=ba;ca=ba+(Z<<2)|0;f[s+8>>2]=ca;Drc(ba|0,0,aa|0)|0;f[_>>2]=ca;ca=0;do{V=+O(+(R*+(ca|0)*.20000000298023224));n[ba+(ca<<2)>>2]=V;ca=ca+1|0}while((ca|0)!=(Z|0));$=ba}ba=Y(E,X)|0;f[t>>2]=0;Z=t+4|0;f[Z>>2]=0;f[t+8>>2]=0;if(!ba)da=0;else{if((ba|0)<0)Ukc(t);ca=Bmc(ba)|0;f[Z>>2]=ca;f[t>>2]=ca;f[t+8>>2]=ca+ba;aa=ba;ea=ca;do{b[ea>>0]=0;ea=(f[Z>>2]|0)+1|0;f[Z>>2]=ea;aa=aa+-1|0}while((aa|0)!=0);da=f[t>>2]|0}aa=(F|0)>0;if(aa&(D|0)>0){ea=0;ca=0;while(1){fa=Y(ea,C)|0;ga=0;ha=ca;do{ha=((b[H+(ga+fa)>>0]|0)!=0&1)+ha|0;ga=ga+1|0}while((ga|0)!=(D|0));ea=ea+1|0;if((ea|0)==(F|0)){ia=ha;break}else ca=ha}}else ia=0;f[v>>2]=0;ca=v+4|0;f[ca>>2]=0;f[v+8>>2]=0;ea=(ia|0)==0;do if(!ea)if(ia>>>0>1073741823)Ukc(v);else{ga=ia<<2;fa=Bmc(ga)|0;f[v>>2]=fa;ja=fa+(ia<<2)|0;f[v+8>>2]=ja;Drc(fa|0,0,ga|0)|0;f[ca>>2]=ja;ka=fa;break}else ka=0;while(0);f[w>>2]=0;fa=w+4|0;f[fa>>2]=0;f[w+8>>2]=0;if(ea){la=0;ma=0}else{ea=ia<<2;ja=Bmc(ea)|0;f[w>>2]=ja;ga=ja+(ia<<2)|0;f[w+8>>2]=ga;Drc(ja|0,0,ea|0)|0;f[fa>>2]=ga;la=ja;ma=ja}if(aa){aa=(D|0)>0;ja=0;ga=0;while(1){if(aa){ea=Y(ga,C)|0;V=+(ga|0)+.5;U=V;na=U*U;oa=0;pa=ja;while(1){if(b[H+(oa+ea)>>0]|0){f[ka+(pa<<2)>>2]=oa;f[la+(pa<<2)>>2]=ga;qa=pa+1|0;U=+(oa|0)+.5;ra=+L(+(+HS(V,U)*.01745329238474369));sa=U;U=+M(+(na+sa*sa));sa=K*U;ta=W*(ra+1.5707963267948966);ua=~~ta;va=da+(ua-(+(ua|0)>ta&1))|0;b[va>>0]=(b[va>>0]|0)+1<<24>>24;ta=e/U;U=ta<g?ta:g;ta=N*U;wa=3.141592653589793/U;va=~~wa;ua=va-(+(va|0)>wa&1)|0;if((ua|0)>1){wa=N*(ra+U);ra=-1.5707963705062866;va=-1;xa=1;while(1){ra=U+ra;ya=~~wa;za=va;va=(Y(~~(sa*+O(+ra)),X)|0)+(ya-(+(ya|0)>wa&1))|0;ya=da+va|0;b[ya>>0]=((va|0)!=(za|0)&1)+(h[ya>>0]|0);xa=xa+1|0;if((xa|0)==(ua|0)){Aa=qa;break}else wa=ta+wa}}else Aa=qa}else Aa=pa;oa=oa+1|0;if((oa|0)>=(D|0)){Ba=Aa;break}else pa=Aa}}else Ba=ja;ga=ga+1|0;if((ga|0)>=(F|0))break;else ja=Ba}}Ba=(E|0)>0;if(Ba&(X|0)>0){ja=0;F=0;while(1){ga=Y(ja,X)|0;Aa=0;D=F;do{D=((h[da+(Aa+ga)>>0]|0)>(I|0)&1)+D|0;Aa=Aa+1|0}while((Aa|0)!=(X|0));ja=ja+1|0;if((ja|0)==(E|0)){Ca=D;break}else F=D}}else Ca=0;if((Ca*100|0)>(ba|0)){w1(a,c,d,e,g,I,l,m,o);Da=la;Ea=ma}else{ma=A+2|0;f[x>>2]=0;a=x+4|0;f[a>>2]=0;f[x+8>>2]=0;if(!ma)Fa=0;else{if((A|0)<-2)Ukc(x);ba=Bmc(ma)|0;f[a>>2]=ba;f[x>>2]=ba;f[x+8>>2]=ba+ma;Ca=ma;ma=ba;do{b[ma>>0]=0;ma=(f[a>>2]|0)+1|0;f[a>>2]=ma;Ca=Ca+-1|0}while((Ca|0)!=0);Fa=f[x>>2]|0}Ca=Fa+1|0;if(Ba){Ba=(X|0)>0;Fa=(ia|0)>0;o=T;ma=(k|0)>0;ba=(A|0)>0;F=y+4|0;ja=y+8|0;Aa=0;while(1){if(Ba){ga=Y(Aa,X)|0;T=+(Aa|0);m=P*T;N=T*e;H=0;do{do if((h[da+(H+ga)>>0]|0)>(I|0)){Drc(Ca|0,0,A|0)|0;a:do if(Fa){C=Y(H,k)|0;if(ma)Ga=0;else{aa=0;while(1){+HS(+(f[la+(aa<<2)>>2]|0)+.5,+(f[ka+(aa<<2)>>2]|0)+.5);aa=aa+1|0;if((aa|0)>=(ia|0))break a}}do{T=+(f[la+(Ga<<2)>>2]|0)+.5;W=+(f[ka+(Ga<<2)>>2]|0)+.5;K=W;na=T;V=S*+M(+(na*na+K*K));K=o*(+L(+(+HS(T,W)*.01745329238474369))+1.5707963267948966);aa=~~K;pa=(C-aa+(+(aa|0)>K&1)|0)*5|0;aa=0;while(1){K=V*+n[$+(((pa|0)>-1?pa:0-pa|0)<<2)>>2]-m;oa=~~K;ea=(Y(oa-(+(oa|0)>K&1)|0,k)|0)+aa|0;oa=ea>>31&~ea^ea;ea=Ca+(((oa|0)>=(A|0)?oa^A:0)^oa)|0;b[ea>>0]=(b[ea>>0]|0)+1<<24>>24;aa=aa+1|0;if((aa|0)==(k|0))break;else pa=pa+5|0}Ga=Ga+1|0}while((Ga|0)<(ia|0))}while(0);if(!ba)break;V=+(H|0)*g;C=f[B>>2]|0;pa=f[r>>2]|0;aa=0;ea=pa;oa=C;ha=pa;pa=C;while(1){C=oa-ea|0;ua=((C|0)/12|0)+-1|0;if((C|0)>=12){xa=b[Ca+aa>>0]|0;if((f[ha+(ua*12|0)>>2]|0)<(xa&255|0)){Ha=xa;Ia=74}else{Ja=pa;Ka=ha;La=ha;Ma=oa}}else{Ha=b[Ca+aa>>0]|0;Ia=74}if((Ia|0)==74){Ia=0;f[y>>2]=Ha&255;n[F>>2]=N+Q*+((aa|0)/(k|0)|0|0);n[ja>>2]=V+R*+((aa|0)%(k|0)|0|0)+-1.5707963705062866;if((pa|0)==(f[j>>2]|0))y1(r,y);else{f[pa>>2]=f[y>>2];f[pa+4>>2]=f[y+4>>2];f[pa+8>>2]=f[y+8>>2];f[B>>2]=(f[B>>2]|0)+12}b:do if((C|0)>0){xa=ua;while(1){va=f[r>>2]|0;ya=va+(xa*12|0)|0;if((f[ya>>2]|0)>(f[y>>2]|0)){Na=xa;break b}za=va+((xa+1|0)*12|0)|0;f[za>>2]=f[ya>>2];f[za+4>>2]=f[ya+4>>2];f[za+8>>2]=f[ya+8>>2];ya=xa+-1|0;if((xa|0)>0)xa=ya;else{Na=ya;break}}}else Na=ua;while(0);ua=(f[r>>2]|0)+((Na+1|0)*12|0)|0;f[ua>>2]=f[y>>2];f[ua+4>>2]=f[y+4>>2];f[ua+8>>2]=f[y+8>>2];ua=f[B>>2]|0;C=f[r>>2]|0;xa=ua;if(((ua-C|0)/12|0|0)>(l|0)){ya=xa+-12|0;f[B>>2]=ya;Oa=ya;Pa=ya}else{Oa=xa;Pa=ua}Ja=Oa;Ka=C;La=C;Ma=Pa}aa=aa+1|0;if((aa|0)>=(A|0))break;else{ea=La;oa=Ma;ha=Ka;pa=Ja}}}while(0);H=H+1|0}while((H|0)<(X|0))}Aa=Aa+1|0;if((Aa|0)>=(E|0)){Qa=B;Ra=r;break}}}else{Qa=B;Ra=r}iE(c,((f[Qa>>2]|0)-(f[Ra>>2]|0)|0)/12|0,1,d,-1,0,0);do if((pD(c)|0)==65536){d=f[c+4>>2]|0;f[y>>2]=f[d>>2];E=y+4|0;Aa=d+4|0;f[E>>2]=f[Aa>>2];X=y+8|0;f[X>>2]=f[d+8>>2];f[y+12>>2]=f[d+12>>2];f[y+16>>2]=f[d+16>>2];f[y+20>>2]=f[d+20>>2];f[y+24>>2]=f[d+24>>2];f[y+28>>2]=f[d+28>>2];f[y+32>>2]=f[d+32>>2];Ja=f[d+36>>2]|0;f[y+36>>2]=Ja;f[y+40>>2]=X;X=y+48|0;Ka=y+44|0;f[Ka>>2]=X;f[X>>2]=0;f[y+52>>2]=0;if(Ja|0){X=Ja+12|0;f[X>>2]=(f[X>>2]|0)+1}if((f[Aa>>2]|0)<3){Aa=f[d+44>>2]|0;X=f[Ka>>2]|0;f[X>>2]=f[Aa>>2];f[X+4>>2]=f[Aa+4>>2];break}else{f[E>>2]=0;kP(y,d);break}}else lD(y,c,-1);while(0);c=f[Qa>>2]|0;d=f[Ra>>2]|0;E=d;if((c|0)!=(d|0)){Aa=y+16|0;X=y+40|0;Ka=y+44|0;Ja=y+12|0;if(z){z=0;Ma=E;La=d;A=c;while(1){R=+n[Ma+(z*12|0)+4>>2];if(R<0.0){Sa=La;Ta=A}else{Pa=f[Ma+(z*12|0)+8>>2]|0;Oa=f[Aa>>2]|0;do if(!(f[y>>2]&16384)){l=f[X>>2]|0;if((f[l>>2]|0)==1){Ia=101;break}Na=f[f[Ka>>2]>>2]|0;if((f[l+4>>2]|0)==1){Ua=Oa+(Y(Na,z)|0)|0;break}else{l=f[Ja>>2]|0;j=(z|0)/(l|0)|0;Ua=Oa+(Y(j,Na)|0)+(z-(Y(j,l)|0)<<3)|0;break}}else Ia=101;while(0);if((Ia|0)==101){Ia=0;Ua=Oa+(z<<3)|0}n[Ua>>2]=R;f[Ua+4>>2]=Pa;Sa=f[Ra>>2]|0;Ta=f[Qa>>2]|0}z=z+1|0;if(z>>>0>=((Ta-Sa|0)/12|0)>>>0)break;else{Ma=Sa;La=Sa;A=Ta}}}else{Ta=0;A=E;E=d;d=c;while(1){Q=+n[A+(Ta*12|0)+4>>2];if(Q<0.0){Va=E;Wa=d}else{c=f[A+(Ta*12|0)+8>>2]|0;g=+(f[A+(Ta*12|0)>>2]|0);Sa=f[Aa>>2]|0;do if(!(f[y>>2]&16384)){La=f[X>>2]|0;if((f[La>>2]|0)==1){Ia=115;break}Ma=f[f[Ka>>2]>>2]|0;if((f[La+4>>2]|0)==1){Xa=Sa+(Y(Ma,Ta)|0)|0;break}else{La=f[Ja>>2]|0;z=(Ta|0)/(La|0)|0;Xa=Sa+(Y(z,Ma)|0)+((Ta-(Y(z,La)|0)|0)*12|0)|0;break}}else Ia=115;while(0);if((Ia|0)==115){Ia=0;Xa=Sa+(Ta*12|0)|0}n[Xa>>2]=Q;f[Xa+4>>2]=c;n[Xa+8>>2]=g;Va=f[Ra>>2]|0;Wa=f[Qa>>2]|0}Ta=Ta+1|0;if(Ta>>>0>=((Wa-Va|0)/12|0)>>>0)break;else{A=Va;E=Va;d=Wa}}}}Wa=y+36|0;d=f[Wa>>2]|0;if(d|0?(Va=d+12|0,d=f[Va>>2]|0,f[Va>>2]=d+-1,(d|0)==1):0)lP(y);f[Wa>>2]=0;Wa=y+16|0;d=y+4|0;f[Wa>>2]=0;f[Wa+4>>2]=0;f[Wa+8>>2]=0;f[Wa+12>>2]=0;if((f[d>>2]|0)>0){Wa=f[y+40>>2]|0;Va=0;do{f[Wa+(Va<<2)>>2]=0;Va=Va+1|0}while((Va|0)<(f[d>>2]|0))}d=f[y+44>>2]|0;if((d|0)!=(y+48|0))tE(d);d=f[x>>2]|0;if(d|0){if((f[a>>2]|0)!=(d|0))f[a>>2]=d;Emc(d)}d=f[w>>2]|0;Da=d;Ea=d}if(Da|0){d=f[fa>>2]|0;if((d|0)!=(Da|0))f[fa>>2]=d+(~((d+-4-Da|0)>>>2)<<2);Emc(Ea)}Ea=f[v>>2]|0;if(Ea|0){v=f[ca>>2]|0;if((v|0)!=(Ea|0))f[ca>>2]=v+(~((v+-4-Ea|0)>>>2)<<2);Emc(Ea)}Ea=f[t>>2]|0;if(Ea|0){if((f[Z>>2]|0)!=(Ea|0))f[Z>>2]=Ea;Emc(Ea)}Ea=f[s>>2]|0;if(Ea|0){s=f[_>>2]|0;if((s|0)!=(Ea|0))f[_>>2]=s+(~((s+-4-Ea|0)>>>2)<<2);Emc(Ea)}Ea=f[r>>2]|0;if(Ea|0){r=f[B>>2]|0;if((r|0)!=(Ea|0))f[B>>2]=r+(~(((r+-12-Ea|0)>>>0)/12|0)*12|0);Emc(Ea)}Ea=q+36|0;r=f[Ea>>2]|0;if(r|0?(B=r+12|0,r=f[B>>2]|0,f[B>>2]=r+-1,(r|0)==1):0)lP(q);f[Ea>>2]=0;Ea=q+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[Ea>>2]|0)>0){i=f[q+40>>2]|0;q=0;do{f[i+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[Ea>>2]|0))}Ea=f[J>>2]|0;if((Ea|0)==(G|0)){u=p;return}tE(Ea);u=p;return}function y1(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=(e|0)/12|0;h=g+1|0;if(h>>>0>357913941)Ukc(a);i=a+8|0;j=((f[i>>2]|0)-d|0)/12|0;k=j<<1;l=j>>>0<178956970?(k>>>0<h>>>0?h:k):357913941;do if(l)if(l>>>0>357913941){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l*12|0)|0;break}else m=0;while(0);k=m+(g*12|0)|0;f[k>>2]=f[b>>2];f[k+4>>2]=f[b+4>>2];f[k+8>>2]=f[b+8>>2];b=k+(((e|0)/-12|0)*12|0)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+12;f[i>>2]=m+(l*12|0);if(!d)return;Emc(d);return}function z1(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=a;a=b;a:while(1){b=a;e=a+-4|0;g=d;while(1){h=g;b:while(1){i=h;j=b-i|0;k=j>>2;switch(k|0){case 2:{l=5;break a;break}case 3:{l=7;break a;break}case 4:{l=15;break a;break}case 5:{l=16;break a;break}case 1:case 0:{l=63;break a;break}default:{}}if((j|0)<124){l=18;break a}m=h+(((k|0)/2|0)<<2)|0;do if((j|0)<=3996){n=f[m>>2]|0;o=f[h>>2]|0;p=f[c>>2]|0;q=f[p+(n<<2)>>2]|0;r=p+(o<<2)|0;s=f[r>>2]|0;t=f[e>>2]|0;u=f[p+(t<<2)>>2]|0;v=(u|0)>(q|0)|(t|0)<(n|0)&(u|0)==(q|0);if(!((q|0)>(s|0)|(n|0)<(o|0)&(q|0)==(s|0))){if(!v){w=0;x=p;break}f[m>>2]=t;f[e>>2]=n;s=f[m>>2]|0;q=f[h>>2]|0;u=f[p+(s<<2)>>2]|0;y=f[p+(q<<2)>>2]|0;if(!((u|0)>(y|0)|(s|0)<(q|0)&(u|0)==(y|0))){w=1;x=p;break}f[h>>2]=s;f[m>>2]=q;w=2;x=p;break}if(v){f[h>>2]=t;f[e>>2]=o;w=1;x=p;break}f[h>>2]=n;f[m>>2]=o;n=f[e>>2]|0;t=f[p+(n<<2)>>2]|0;v=f[r>>2]|0;if((t|0)>(v|0)|(n|0)<(o|0)&(t|0)==(v|0)){f[m>>2]=n;f[e>>2]=o;w=2;x=p}else{w=1;x=p}}else{p=(k|0)/4|0;o=B1(h,h+(p<<2)|0,m,m+(p<<2)|0,e,c)|0;w=o;x=f[c>>2]|0}while(0);z=f[h>>2]|0;k=f[m>>2]|0;j=f[x+(z<<2)>>2]|0;o=f[x+(k<<2)>>2]|0;if((j|0)>(o|0)|(z|0)<(k|0)&(j|0)==(o|0)){A=e;B=w;break}o=f[c>>2]|0;j=o+(k<<2)|0;C=e;while(1){C=C+-4|0;if((h|0)==(C|0))break;D=f[C>>2]|0;p=f[o+(D<<2)>>2]|0;n=f[j>>2]|0;if((p|0)>(n|0)|(D|0)<(k|0)&(p|0)==(n|0)){l=45;break b}}k=h+4|0;j=f[e>>2]|0;n=f[o+(z<<2)>>2]|0;p=f[o+(j<<2)>>2]|0;if((n|0)>(p|0)|(z|0)<(j|0)&(n|0)==(p|0))E=k;else{if((k|0)==(e|0)){l=63;break a}else F=k;while(1){G=f[F>>2]|0;k=f[o+(G<<2)>>2]|0;if((n|0)>(k|0)|(z|0)<(G|0)&(n|0)==(k|0))break;k=F+4|0;if((k|0)==(e|0)){l=63;break a}else F=k}f[F>>2]=j;f[e>>2]=G;E=F+4|0}if((E|0)==(e|0)){l=63;break a}n=f[c>>2]|0;o=e;k=E;while(1){p=f[h>>2]|0;v=f[n+(p<<2)>>2]|0;t=k;while(1){H=f[t>>2]|0;r=f[n+(H<<2)>>2]|0;I=t+4|0;if((v|0)>(r|0)|(p|0)<(H|0)&(v|0)==(r|0)){J=o;break}else t=I}do{J=J+-4|0;K=f[J>>2]|0;r=f[n+(K<<2)>>2]|0}while((v|0)>(r|0)|(p|0)<(K|0)&(v|0)==(r|0));if(t>>>0>=J>>>0){h=t;continue b}f[t>>2]=K;f[J>>2]=H;o=J;k=I}}if((l|0)==45){l=0;f[h>>2]=D;f[C>>2]=z;A=C;B=w+1|0}k=h+4|0;c:do if(k>>>0<A>>>0){o=f[c>>2]|0;n=m;j=A;v=k;p=B;while(1){r=f[n>>2]|0;q=f[o+(r<<2)>>2]|0;s=v;while(1){L=f[s>>2]|0;y=f[o+(L<<2)>>2]|0;M=s+4|0;if((y|0)>(q|0)|(L|0)<(r|0)&(y|0)==(q|0))s=M;else{N=j;break}}do{N=N+-4|0;O=f[N>>2]|0;t=f[o+(O<<2)>>2]|0}while(!((t|0)>(q|0)|(O|0)<(r|0)&(t|0)==(q|0)));if(s>>>0>N>>>0){P=n;Q=p;R=s;break c}f[s>>2]=O;f[N>>2]=L;n=(n|0)==(s|0)?N:n;j=N;v=M;p=p+1|0}}else{P=m;Q=B;R=k}while(0);if((R|0)!=(P|0)?(k=f[P>>2]|0,p=f[R>>2]|0,v=f[c>>2]|0,j=f[v+(k<<2)>>2]|0,n=f[v+(p<<2)>>2]|0,(j|0)>(n|0)|(k|0)<(p|0)&(j|0)==(n|0)):0){f[R>>2]=k;f[P>>2]=p;S=Q+1|0}else S=Q;if(!S){T=D1(h,R,c)|0;p=R+4|0;if(D1(p,a,c)|0){l=62;break}if(T){g=p;continue}}p=R;if((p-i|0)>=(b-p|0)){l=61;break}z1(h,R,c);g=R+4|0}if((l|0)==61){l=0;z1(R+4|0,a,c);d=h;a=R;continue}else if((l|0)==62){l=0;if(T){l=63;break}else{d=h;a=R;continue}}}if((l|0)==5){R=f[e>>2]|0;d=f[h>>2]|0;T=f[c>>2]|0;i=f[T+(R<<2)>>2]|0;S=f[T+(d<<2)>>2]|0;if(!((i|0)>(S|0)|(R|0)<(d|0)&(i|0)==(S|0)))return;f[h>>2]=R;f[e>>2]=d;return}else if((l|0)==7){d=h+4|0;R=f[d>>2]|0;S=f[h>>2]|0;i=f[c>>2]|0;T=f[i+(R<<2)>>2]|0;Q=i+(S<<2)|0;P=f[Q>>2]|0;B=f[e>>2]|0;m=f[i+(B<<2)>>2]|0;M=(m|0)>(T|0)|(B|0)<(R|0)&(m|0)==(T|0);if(!((T|0)>(P|0)|(R|0)<(S|0)&(T|0)==(P|0))){if(!M)return;f[d>>2]=B;f[e>>2]=R;P=f[d>>2]|0;T=f[h>>2]|0;m=f[i+(P<<2)>>2]|0;N=f[i+(T<<2)>>2]|0;if(!((m|0)>(N|0)|(P|0)<(T|0)&(m|0)==(N|0)))return;f[h>>2]=P;f[d>>2]=T;return}if(M){f[h>>2]=B;f[e>>2]=S;return}f[h>>2]=R;f[d>>2]=S;R=f[e>>2]|0;B=f[i+(R<<2)>>2]|0;i=f[Q>>2]|0;if(!((B|0)>(i|0)|(R|0)<(S|0)&(B|0)==(i|0)))return;f[d>>2]=R;f[e>>2]=S;return}else if((l|0)==15){A1(h,h+4|0,h+8|0,e,c)|0;return}else if((l|0)==16){B1(h,h+4|0,h+8|0,h+12|0,e,c)|0;return}else if((l|0)==18){C1(h,a,c);return}else if((l|0)==63)return}function A1(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=f[b>>2]|0;h=f[a>>2]|0;i=f[e>>2]|0;e=f[i+(g<<2)>>2]|0;j=i+(h<<2)|0;k=f[j>>2]|0;l=f[c>>2]|0;m=f[i+(l<<2)>>2]|0;n=(m|0)>(e|0)|(l|0)<(g|0)&(m|0)==(e|0);do if((e|0)>(k|0)|(g|0)<(h|0)&(e|0)==(k|0)){if(n){f[a>>2]=l;f[c>>2]=h;o=1;p=h;break}f[a>>2]=g;f[b>>2]=h;m=f[c>>2]|0;q=f[i+(m<<2)>>2]|0;r=f[j>>2]|0;if((q|0)>(r|0)|(m|0)<(h|0)&(q|0)==(r|0)){f[b>>2]=m;f[c>>2]=h;o=2;p=h}else{o=1;p=m}}else if(n){f[b>>2]=l;f[c>>2]=g;m=f[b>>2]|0;r=f[a>>2]|0;q=f[i+(m<<2)>>2]|0;s=f[i+(r<<2)>>2]|0;if((q|0)>(s|0)|(m|0)<(r|0)&(q|0)==(s|0)){f[a>>2]=m;f[b>>2]=r;o=2;p=f[c>>2]|0}else{o=1;p=g}}else{o=0;p=l}while(0);l=f[d>>2]|0;g=f[i+(l<<2)>>2]|0;n=f[i+(p<<2)>>2]|0;if(!((g|0)>(n|0)|(l|0)<(p|0)&(g|0)==(n|0))){t=o;return t|0}f[c>>2]=l;f[d>>2]=p;p=f[c>>2]|0;d=f[b>>2]|0;l=f[i+(p<<2)>>2]|0;n=f[i+(d<<2)>>2]|0;if(!((l|0)>(n|0)|(p|0)<(d|0)&(l|0)==(n|0))){t=o+1|0;return t|0}f[b>>2]=p;f[c>>2]=d;d=f[b>>2]|0;c=f[a>>2]|0;p=f[i+(d<<2)>>2]|0;n=f[i+(c<<2)>>2]|0;if(!((p|0)>(n|0)|(d|0)<(c|0)&(p|0)==(n|0))){t=o+2|0;return t|0}f[a>>2]=d;f[b>>2]=c;t=o+3|0;return t|0}function B1(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=A1(a,b,c,d,g)|0;i=f[e>>2]|0;j=f[d>>2]|0;k=f[g>>2]|0;g=f[k+(i<<2)>>2]|0;l=f[k+(j<<2)>>2]|0;if(!((g|0)>(l|0)|(i|0)<(j|0)&(g|0)==(l|0))){m=h;return m|0}f[d>>2]=i;f[e>>2]=j;j=f[d>>2]|0;e=f[c>>2]|0;i=f[k+(j<<2)>>2]|0;l=f[k+(e<<2)>>2]|0;if(!((i|0)>(l|0)|(j|0)<(e|0)&(i|0)==(l|0))){m=h+1|0;return m|0}f[c>>2]=j;f[d>>2]=e;e=f[c>>2]|0;d=f[b>>2]|0;j=f[k+(e<<2)>>2]|0;l=f[k+(d<<2)>>2]|0;if(!((j|0)>(l|0)|(e|0)<(d|0)&(j|0)==(l|0))){m=h+2|0;return m|0}f[b>>2]=e;f[c>>2]=d;d=f[b>>2]|0;c=f[a>>2]|0;e=f[k+(d<<2)>>2]|0;l=f[k+(c<<2)>>2]|0;if(!((e|0)>(l|0)|(d|0)<(c|0)&(e|0)==(l|0))){m=h+3|0;return m|0}f[a>>2]=d;f[b>>2]=c;m=h+4|0;return m|0}function C1(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=a+8|0;e=a+4|0;g=f[e>>2]|0;h=f[a>>2]|0;i=f[c>>2]|0;j=f[i+(g<<2)>>2]|0;k=i+(h<<2)|0;l=f[k>>2]|0;m=f[d>>2]|0;n=i+(m<<2)|0;o=f[n>>2]|0;p=(o|0)>(j|0)|(m|0)<(g|0)&(o|0)==(j|0);do if((j|0)>(l|0)|(g|0)<(h|0)&(j|0)==(l|0)){if(p){f[a>>2]=m;f[d>>2]=h;q=h;break}f[a>>2]=g;f[e>>2]=h;o=f[n>>2]|0;r=f[k>>2]|0;if((o|0)>(r|0)|(m|0)<(h|0)&(o|0)==(r|0)){f[e>>2]=m;f[d>>2]=h;q=h}else q=m}else if(p){f[e>>2]=m;f[d>>2]=g;r=f[n>>2]|0;o=f[k>>2]|0;if((r|0)>(o|0)|(m|0)<(h|0)&(r|0)==(o|0)){f[a>>2]=m;f[e>>2]=h;q=g}else q=g}else q=m;while(0);m=a+12|0;if((m|0)==(b|0))return;else{s=m;t=d;u=i;v=q}while(1){q=f[s>>2]|0;i=f[u+(q<<2)>>2]|0;d=f[u+(v<<2)>>2]|0;if((i|0)>(d|0)|(q|0)<(v|0)&(i|0)==(d|0)){d=f[c>>2]|0;i=d+(q<<2)|0;m=t;g=s;h=v;while(1){f[g>>2]=h;if((m|0)==(a|0)){w=a;break}e=m+-4|0;h=f[e>>2]|0;k=f[i>>2]|0;n=f[d+(h<<2)>>2]|0;if(!((k|0)>(n|0)|(q|0)<(h|0)&(k|0)==(n|0))){w=m;break}else{n=m;m=e;g=n}}f[w>>2]=q;x=d}else x=u;g=s+4|0;if((g|0)==(b|0))break;m=f[s>>2]|0;h=s;s=g;u=x;v=m;t=h}return}function D1(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;switch(b-a>>2|0){case 2:{d=b+-4|0;e=f[d>>2]|0;g=f[a>>2]|0;h=f[c>>2]|0;i=f[h+(e<<2)>>2]|0;j=f[h+(g<<2)>>2]|0;if(!((i|0)>(j|0)|(e|0)<(g|0)&(i|0)==(j|0))){k=1;return k|0}f[a>>2]=e;f[d>>2]=g;k=1;return k|0}case 3:{g=a+4|0;d=b+-4|0;e=f[g>>2]|0;j=f[a>>2]|0;i=f[c>>2]|0;h=f[i+(e<<2)>>2]|0;l=i+(j<<2)|0;m=f[l>>2]|0;n=f[d>>2]|0;o=f[i+(n<<2)>>2]|0;p=(o|0)>(h|0)|(n|0)<(e|0)&(o|0)==(h|0);if(!((h|0)>(m|0)|(e|0)<(j|0)&(h|0)==(m|0))){if(!p){k=1;return k|0}f[g>>2]=n;f[d>>2]=e;m=f[g>>2]|0;h=f[a>>2]|0;o=f[i+(m<<2)>>2]|0;q=f[i+(h<<2)>>2]|0;if(!((o|0)>(q|0)|(m|0)<(h|0)&(o|0)==(q|0))){k=1;return k|0}f[a>>2]=m;f[g>>2]=h;k=1;return k|0}if(p){f[a>>2]=n;f[d>>2]=j;k=1;return k|0}f[a>>2]=e;f[g>>2]=j;e=f[d>>2]|0;n=f[i+(e<<2)>>2]|0;i=f[l>>2]|0;if(!((n|0)>(i|0)|(e|0)<(j|0)&(n|0)==(i|0))){k=1;return k|0}f[g>>2]=e;f[d>>2]=j;k=1;return k|0}case 4:{A1(a,a+4|0,a+8|0,b+-4|0,c)|0;k=1;return k|0}case 5:{B1(a,a+4|0,a+8|0,a+12|0,b+-4|0,c)|0;k=1;return k|0}case 1:case 0:{k=1;return k|0}default:{j=a+8|0;d=a+4|0;e=f[d>>2]|0;g=f[a>>2]|0;i=f[c>>2]|0;n=f[i+(e<<2)>>2]|0;l=i+(g<<2)|0;p=f[l>>2]|0;h=f[j>>2]|0;m=i+(h<<2)|0;q=f[m>>2]|0;o=(q|0)>(n|0)|(h|0)<(e|0)&(q|0)==(n|0);do if((n|0)>(p|0)|(e|0)<(g|0)&(n|0)==(p|0)){if(o){f[a>>2]=h;f[j>>2]=g;r=g;break}f[a>>2]=e;f[d>>2]=g;q=f[m>>2]|0;s=f[l>>2]|0;if((q|0)>(s|0)|(h|0)<(g|0)&(q|0)==(s|0)){f[d>>2]=h;f[j>>2]=g;r=g}else r=h}else if(o){f[d>>2]=h;f[j>>2]=e;s=f[m>>2]|0;q=f[l>>2]|0;if((s|0)>(q|0)|(h|0)<(g|0)&(s|0)==(q|0)){f[a>>2]=h;f[d>>2]=g;r=e}else r=e}else r=h;while(0);h=a+12|0;a:do if((h|0)==(b|0)){t=1;u=0}else{e=h;g=0;d=j;l=i;m=r;while(1){o=f[e>>2]|0;p=f[l+(o<<2)>>2]|0;n=f[l+(m<<2)>>2]|0;if((p|0)>(n|0)|(o|0)<(m|0)&(p|0)==(n|0)){n=f[c>>2]|0;p=n+(o<<2)|0;q=d;s=e;v=m;while(1){f[s>>2]=v;if((q|0)==(a|0)){w=a;break}x=q+-4|0;v=f[x>>2]|0;y=f[p>>2]|0;z=f[n+(v<<2)>>2]|0;if(!((y|0)>(z|0)|(o|0)<(v|0)&(y|0)==(z|0))){w=q;break}else{z=q;q=x;s=z}}f[w>>2]=o;s=g+1|0;if((s|0)==8){t=0;u=(e+4|0)==(b|0);break a}else{A=s;B=n}}else{A=g;B=l}s=e+4|0;if((s|0)==(b|0)){t=1;u=0;break a}q=f[e>>2]|0;v=e;e=s;g=A;l=B;m=q;d=v}}while(0);k=u|t;return k|0}}return 0}function E1(a,b,c,d,e,g,h){a=a|0;b=b|0;c=+c;d=+d;e=e|0;g=+g;h=+h;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;i=u;u=u+144|0;j=i+128|0;k=i+72|0;l=i+56|0;m=i;zT(j,50732);do if((pD(a)|0)==65536){n=f[a+4>>2]|0;f[k>>2]=f[n>>2];o=k+4|0;p=n+4|0;f[o>>2]=f[p>>2];q=k+8|0;f[q>>2]=f[n+8>>2];f[k+12>>2]=f[n+12>>2];f[k+16>>2]=f[n+16>>2];f[k+20>>2]=f[n+20>>2];f[k+24>>2]=f[n+24>>2];f[k+28>>2]=f[n+28>>2];f[k+32>>2]=f[n+32>>2];r=f[n+36>>2]|0;f[k+36>>2]=r;f[k+40>>2]=q;q=k+48|0;s=k+44|0;f[s>>2]=q;f[q>>2]=0;f[k+52>>2]=0;if(r|0){q=r+12|0;f[q>>2]=(f[q>>2]|0)+1}if((f[p>>2]|0)<3){p=f[n+44>>2]|0;q=f[s>>2]|0;f[q>>2]=f[p>>2];f[q+4>>2]=f[p+4>>2];break}else{f[o>>2]=0;kP(k,n);break}}else lD(k,a,-1);while(0);f[l>>2]=0;a=l+4|0;f[a>>2]=0;f[l+8>>2]=0;n=V9b(g)|0;F1(k,c,d,e,n,V9b(h)|0,l,2147483647);f[m>>2]=1124024348;n=m+4|0;f[n>>2]=2;e=m+8|0;o=f[a>>2]|0;p=f[l>>2]|0;q=o-p|0;f[e>>2]=q>>4;f[m+12>>2]=1;s=m+16|0;r=m+40|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;f[s+16>>2]=0;f[s+20>>2]=0;f[r>>2]=e;e=m+48|0;t=m+44|0;f[t>>2]=e;f[e>>2]=0;v=m+52|0;f[v>>2]=0;w=p;if((w|0)!=(o|0)){f[v>>2]=16;f[e>>2]=16;f[s>>2]=w;f[m+20>>2]=w;w=p+q|0;f[m+24>>2]=w;f[m+28>>2]=w}kT(m,b);b=m+36|0;w=f[b>>2]|0;if(w|0?(q=w+12|0,w=f[q>>2]|0,f[q>>2]=w+-1,(w|0)==1):0)lP(m);f[b>>2]=0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[n>>2]|0)>0){s=f[r>>2]|0;r=0;do{f[s+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[n>>2]|0))}n=f[t>>2]|0;if((n|0)!=(e|0))tE(n);n=f[l>>2]|0;if(n|0){l=f[a>>2]|0;if((l|0)!=(n|0))f[a>>2]=l+(~((l+-16-n|0)>>>4)<<4);Emc(n)}n=k+36|0;l=f[n>>2]|0;if(l|0?(a=l+12|0,l=f[a>>2]|0,f[a>>2]=l+-1,(l|0)==1):0)lP(k);f[n>>2]=0;n=k+16|0;l=k+4|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[l>>2]|0)>0){n=f[k+40>>2]|0;a=0;do{f[n+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[l>>2]|0))}l=f[k+44>>2]|0;if((l|0)!=(k+48|0))tE(l);if(!(f[j+4>>2]|0)){u=i;return}u=i;return}function F1(a,c,d,e,g,h,i,j){a=a|0;c=+c;d=+d;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0.0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,M=0,N=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0;k=u;u=u+416|0;l=k+392|0;m=k+384|0;o=k+328|0;p=k;q=k+272|0;r=k+256|0;s=k+240|0;t=k+224|0;f[m>>2]=0;v=m+4|0;f[v>>2]=0;w=1.0/c;if(f[a>>2]&4095|0){f[l>>2]=0;f[l+4>>2]=0;x=YG(l,23)|0;y=238632;z=x+23|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));SQ(-215,l,238656,238093,471)}y=f[a+12>>2]|0;A=f[a+8>>2]|0;B=d;C=V9b(3.141592653589793/B)|0;D=U9b(+(A+y<<1|1|0)/c)|0;pG(p,C,D,4);f[o>>2]=1124007936;E=o+4|0;F=o+8|0;G=o+40|0;x=E;z=x+36|0;do{f[x>>2]=0;x=x+4|0}while((x|0)<(z|0));f[G>>2]=F;F=o+48|0;H=o+44|0;f[H>>2]=F;f[F>>2]=0;f[o+52>>2]=0;I=f[p>>2]|0;rh[f[(f[I>>2]|0)+12>>2]&255](I,p,o,-1);Xi(p);f[q>>2]=1124007936;p=q+4|0;I=q+8|0;K=q+40|0;x=p;z=x+36|0;do{f[x>>2]=0;x=x+4|0}while((x|0)<(z|0));f[K>>2]=I;I=q+48|0;x=q+44|0;f[x>>2]=I;f[I>>2]=0;f[q+52>>2]=0;f[l>>2]=A;f[l+4>>2]=y;iP(q,2,l,0);z=C<<1;f[l>>2]=0;M=l+4|0;f[M>>2]=0;f[l+8>>2]=0;if(C){if(z>>>0>1073741823)Ukc(l);N=C<<3;Q=Bmc(N)|0;f[l>>2]=Q;R=Q+(z<<2)|0;f[l+8>>2]=R;Drc(Q|0,0,N|0)|0;f[M>>2]=R;R=(C|0)>0;if(R){c=w;N=0;do{w=B*+(N|0);d=c*+O(+w);z=N<<1;n[Q+(z<<2)>>2]=d;d=c*+P(+w);n[Q+((z|1)<<2)>>2]=d;N=N+1|0}while((N|0)!=(C|0));S=R;T=Q}else{S=0;T=Q}}else{S=0;T=0}Q=q+16|0;R=f[Q>>2]|0;f[r>>2]=0;N=r+4|0;f[N>>2]=0;f[r+8>>2]=0;f[v>>2]=0;do if((A|0)>0){z=a+16|0;U=a+44|0;V=r+8|0;if((y|0)>0){W=R;X=0}else{Z=0;do Z=Z+1|0;while((Z|0)<(A|0));f[m>>2]=0;f[v>>2]=Z;_=0;$=0;aa=0;break}while(1){ba=(f[z>>2]|0)+(Y(f[f[U>>2]>>2]|0,X)|0)|0;ca=W+(Y(f[f[x>>2]>>2]|0,X)|0)|0;f[m>>2]=0;da=0;do{ea=ca+da|0;do if(b[ba+da>>0]|0){b[ea>>0]=1;fa=f[N>>2]|0;if((fa|0)==(f[V>>2]|0)){G1(r,m);break}else{f[fa>>2]=f[m>>2];f[fa+4>>2]=f[v>>2];f[N>>2]=fa+8;break}}else b[ea>>0]=0;while(0);da=(f[m>>2]|0)+1|0;f[m>>2]=da}while((da|0)<(y|0));da=(f[v>>2]|0)+1|0;f[v>>2]=da;if((da|0)>=(A|0))break;W=f[Q>>2]|0;X=da}V=f[r>>2]|0;_=V;$=f[N>>2]|0;aa=V}else{_=0;$=0;aa=0}while(0);X=$-_|0;a:do if((X|0)>0){_=e+-1|0;$=o+16|0;W=(D+-1|0)/2|0;v=s+8|0;m=s+12|0;a=s+4|0;V=t+4|0;U=t+8|0;z=t+12|0;Z=i+4|0;da=i+8|0;ba=S^1;ca=X>>>3;ea=-1;fa=-1;ga=aa;while(1){ha=Urc(ea|0,0,-130063606,0)|0;ia=Arc(ha|0,J|0,fa|0,0)|0;ha=J;ja=(ia>>>0)%(ca>>>0)|0;ka=f[ga+(ja<<3)>>2]|0;la=f[ga+(ja<<3)+4>>2]|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;ma=f[$>>2]|0;na=ca+-1|0;f[ga+(ja<<3)>>2]=f[ga+(na<<3)>>2];f[ga+(ja<<3)+4>>2]=f[ga+(na<<3)+4>>2];ja=R+((Y(la,y)|0)+ka)|0;if(!((b[ja>>0]|0)==0|ba)){c=+(ka|0);B=+(la|0);ja=_;oa=0;pa=0;qa=ma;while(1){ma=oa<<1;ra=qa+((U9b(c*+n[T+(ma<<2)>>2]+B*+n[T+((ma|1)<<2)>>2])|0)+W<<2)|0;ma=f[ra>>2]|0;sa=ma+1|0;f[ra>>2]=sa;ra=(ja|0)>(ma|0);pa=ra?pa:oa;ja=ra?ja:sa;oa=oa+1|0;if((oa|0)==(C|0))break;else qa=qa+(D<<2)|0}if((ja|0)>=(e|0)){qa=pa<<1;B=+n[T+((qa|1)<<2)>>2];c=+n[T+(qa<<2)>>2];d=+L(+-B);w=+L(+c);if(d>w){ta=0;ua=U9b(c*65536.0/d)|0;va=B<-0.0?1:-1;wa=la<<16|32768;xa=ka}else{ta=1;ua=c>0.0?1:-1;va=U9b(B*-65536.0/w)|0;wa=la;xa=ka<<16|32768}qa=0-va|0;oa=0-ua|0;sa=wa>>16;ra=xa>>16;if(((ta?ra:xa)|0)>=0){ma=f[a>>2]|0;ya=f[s>>2]|0;b:do if(ta){za=ra;Aa=ya;Ba=wa;Ca=ma;Da=xa;Ea=0;while(1){if(!((Ba|0)<(A|0)&((za|0)<(y|0)&(Ba|0)>-1))){Fa=Aa;Ga=Ca;break b}Ha=R+(Y(Ba,y)|0)+za|0;if(!(b[Ha>>0]|0))if((Ea|0)<(h|0)){Ia=Aa;Ja=Ca;Ka=Ea+1|0}else{Fa=Aa;Ga=Ca;break b}else{Ia=za;Ja=Ba;Ka=0}Da=Da+va|0;za=Da>>16;if((za|0)<0){Fa=Ia;Ga=Ja;break}else{Aa=Ia;Ba=Ba+ua|0;Ca=Ja;Ea=Ka}}}else{Ea=xa;Ca=ya;Ba=sa;Aa=ma;za=wa;Da=0;while(1){if(!((Ba|0)<(A|0)&((Ea|0)<(y|0)&(Ba|0)>-1))){Fa=Ca;Ga=Aa;break b}Ha=R+(Y(Ba,y)|0)+Ea|0;if(!(b[Ha>>0]|0))if((Da|0)<(h|0)){La=Ca;Ma=Aa;Na=Da+1|0}else{Fa=Ca;Ga=Aa;break b}else{La=Ea;Ma=Ba;Na=0}Ea=Ea+va|0;Ha=za+ua|0;if((Ea|0)<0){Fa=La;Ga=Ma;break}else{Ca=La;Ba=Ha>>16;Aa=Ma;za=Ha;Da=Na}}}while(0);f[a>>2]=Ga;f[s>>2]=Fa;ma=f[m>>2]|0;ya=f[v>>2]|0;c:do if(ta){ka=ra;la=ya;pa=wa;ja=ma;Da=xa;za=0;while(1){if(!((pa|0)<(A|0)&((ka|0)<(y|0)&(pa|0)>-1))){Oa=la;Pa=ja;break c}Aa=R+(Y(pa,y)|0)+ka|0;if(!(b[Aa>>0]|0))if((za|0)<(h|0)){Qa=la;Ra=ja;Sa=za+1|0}else{Oa=la;Pa=ja;break c}else{Qa=ka;Ra=pa;Sa=0}Da=Da-va|0;ka=Da>>16;if((ka|0)<0){Oa=Qa;Pa=Ra;break}else{la=Qa;pa=pa-ua|0;ja=Ra;za=Sa}}}else{za=xa;ja=ya;pa=sa;la=ma;ka=wa;Da=0;while(1){if(!((pa|0)<(A|0)&((za|0)<(y|0)&(pa|0)>-1))){Oa=ja;Pa=la;break c}Aa=R+(Y(pa,y)|0)+za|0;if(!(b[Aa>>0]|0))if((Da|0)<(h|0)){Ta=ja;Ua=la;Va=Da+1|0}else{Oa=ja;Pa=la;break c}else{Ta=za;Ua=pa;Va=0}za=za-va|0;Aa=ka-ua|0;if((za|0)<0){Oa=Ta;Pa=Ua;break}else{ja=Ta;pa=Aa>>16;la=Ua;ka=Aa;Da=Va}}}while(0);f[m>>2]=Pa;f[v>>2]=Oa}ma=(f[v>>2]|0)-(f[s>>2]|0)|0;if((((ma|0)>-1?ma:0-ma|0)|0)<(g|0)){ma=(f[m>>2]|0)-(f[a>>2]|0)|0;Wa=(((ma|0)>-1?ma:0-ma|0)|0)>=(g|0)}else Wa=1;ma=Wa&S;sa=0;do{ya=(sa|0)==1;ra=ya?qa:va;Da=ya?oa:ua;ya=s+(sa<<3)|0;ka=s+(sa<<3)+4|0;d:do if(ta){la=wa;pa=xa;while(1){ja=pa>>16;za=R+(Y(la,y)|0)+ja|0;if(b[za>>0]|0){if(ma){w=+(ja|0);B=+(la|0);Aa=0;Ba=f[$>>2]|0;while(1){Ca=Aa<<1;Ea=Ba+((U9b(w*+n[T+(Ca<<2)>>2]+B*+n[T+((Ca|1)<<2)>>2])|0)+W<<2)|0;f[Ea>>2]=(f[Ea>>2]|0)+-1;Aa=Aa+1|0;if((Aa|0)==(C|0))break;else Ba=Ba+(D<<2)|0}}b[za>>0]=0}if((la|0)==(f[ka>>2]|0)?(ja|0)==(f[ya>>2]|0):0)break d;la=la+Da|0;pa=pa+ra|0}}else{if(Wa){Xa=wa;Ya=xa}else{pa=f[ka>>2]|0;la=f[ya>>2]|0;Ba=wa;Aa=xa;while(1){Ea=Ba>>16;Ca=R+(Y(Ea,y)|0)+Aa|0;if(b[Ca>>0]|0)b[Ca>>0]=0;if((Ea|0)==(pa|0)&(Aa|0)==(la|0))break d;Ba=Ba+Da|0;Aa=Aa+ra|0}}while(1){Aa=Xa>>16;Ba=R+(Y(Aa,y)|0)+Ya|0;if(b[Ba>>0]|0){if(S){B=+(Ya|0);w=+(Aa|0);la=0;pa=f[$>>2]|0;while(1){Ea=la<<1;Ca=pa+((U9b(B*+n[T+(Ea<<2)>>2]+w*+n[T+((Ea|1)<<2)>>2])|0)+W<<2)|0;f[Ca>>2]=(f[Ca>>2]|0)+-1;la=la+1|0;if((la|0)==(C|0))break;else pa=pa+(D<<2)|0}}b[Ba>>0]=0}if((Aa|0)==(f[ka>>2]|0)?(Ya|0)==(f[ya>>2]|0):0)break d;Xa=Xa+Da|0;Ya=Ya+ra|0}}while(0);sa=sa+1|0}while((sa|0)!=2);if(Wa){sa=f[s>>2]|0;ma=f[a>>2]|0;oa=f[v>>2]|0;qa=f[m>>2]|0;f[t>>2]=sa;f[V>>2]=ma;f[U>>2]=oa;f[z>>2]=qa;qa=f[Z>>2]|0;if((qa|0)==(f[da>>2]|0)){W0(i,t);Za=f[Z>>2]|0}else{f[qa>>2]=sa;f[qa+4>>2]=f[V>>2];f[qa+8>>2]=f[U>>2];f[qa+12>>2]=f[z>>2];sa=qa+16|0;f[Z>>2]=sa;Za=sa}if((Za-(f[i>>2]|0)>>4|0)>=(j|0))break}}}if((ca|0)<=1)break a;ca=na;ea=ia;fa=ha;ga=f[r>>2]|0}}while(0);j=f[r>>2]|0;if(j|0){r=f[N>>2]|0;if((r|0)!=(j|0))f[N>>2]=r+(~((r+-8-j|0)>>>3)<<3);Emc(j)}j=f[l>>2]|0;if(j|0){l=f[M>>2]|0;if((l|0)!=(j|0))f[M>>2]=l+(~((l+-4-j|0)>>>2)<<2);Emc(j)}j=q+36|0;l=f[j>>2]|0;if(l|0?(M=l+12|0,l=f[M>>2]|0,f[M>>2]=l+-1,(l|0)==1):0)lP(q);f[j>>2]=0;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q+12>>2]=0;if((f[p>>2]|0)>0){Q=f[K>>2]|0;K=0;do{f[Q+(K<<2)>>2]=0;K=K+1|0}while((K|0)<(f[p>>2]|0))}p=f[x>>2]|0;if((p|0)!=(I|0))tE(p);p=o+36|0;I=f[p>>2]|0;if(I|0?(x=I+12|0,I=f[x>>2]|0,f[x>>2]=I+-1,(I|0)==1):0)lP(o);f[p>>2]=0;p=o+16|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[E>>2]|0)>0){p=f[G>>2]|0;G=0;do{f[p+(G<<2)>>2]=0;G=G+1|0}while((G|0)<(f[E>>2]|0))}E=f[H>>2]|0;if((E|0)==(F|0)){u=k;return}tE(E);u=k;return}function G1(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=d-e>>3;h=g+1|0;i=e;j=d;if(h>>>0>536870911)Ukc(a);d=a+8|0;k=(f[d>>2]|0)-e|0;l=k>>2;m=k>>3>>>0<268435455?(l>>>0<h>>>0?h:l):536870911;do if(m)if(m>>>0>536870911){l=ye(8)|0;Jmc(l,511852);f[l>>2]=165276;Gf(l|0,26776,1555)}else{n=Bmc(m<<3)|0;break}else n=0;while(0);l=n+(g<<3)|0;h=n+(m<<3)|0;f[l>>2]=f[b>>2];f[n+(g<<3)+4>>2]=f[b+4>>2];b=l+8|0;if((j|0)==(i|0))o=l;else{g=j+-8-e|0;n=j;j=l;while(1){m=n;n=n+-8|0;f[j+-8>>2]=f[n>>2];f[j+-4>>2]=f[m+-4>>2];if((n|0)==(i|0))break;else j=j+-8|0}o=l+(~(g>>>3)<<3)|0}f[a>>2]=o;f[c>>2]=b;f[d>>2]=h;if(!e)return;Emc(e);return}function H1(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=+f;g=+g;h=h|0;i=i|0;I1(a,b,c,d,e,f,g,h,i,-1);return}function I1(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=+e;g=+g;h=+h;i=+i;j=j|0;k=k|0;l=l|0;var m=0,o=0,p=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0.0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0.0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0.0,Ca=0.0,Da=0.0,Ea=0.0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0;m=u;u=u+592|0;o=m;p=m+536|0;q=m+504|0;r=m+448|0;t=m+392|0;v=m+336|0;w=m+332|0;x=m+320|0;y=m+264|0;z=m+208|0;A=m+192|0;B=m+136|0;C=m+80|0;D=m+24|0;E=m+16|0;zT(E,50752);if(hE(c)|0){F=oD(c,-1)|0;if((F|8|0)==29)G=F;else HY(F,50772)}else G=21;if(DD(a)|0){f[o>>2]=0;H=o+4|0;f[H>>2]=0;I=YG(o,82)|0;J=I;K=238763;L=J+82|0;do{b[J>>0]=b[K>>0]|0;J=J+1|0;K=K+1|0}while((J|0)<(L|0));SQ(-215,o,238846,238093,1736)}if(oD(a,-1)|0){f[o>>2]=0;H=o+4|0;f[H>>2]=0;I=YG(o,82)|0;J=I;K=238763;L=J+82|0;do{b[J>>0]=b[K>>0]|0;J=J+1|0;K=K+1|0}while((J|0)<(L|0));SQ(-215,o,238846,238093,1736)}if((pD(a)|0)!=65536?(pD(a)|0)!=655360:0){f[o>>2]=0;H=o+4|0;f[H>>2]=0;I=YG(o,82)|0;J=I;K=238763;L=J+82|0;do{b[J>>0]=b[K>>0]|0;J=J+1|0;K=K+1|0}while((J|0)<(L|0));SQ(-215,o,238846,238093,1736)}if((((pD(c)|0)!=65536?(pD(c)|0)!=196608:0)?(pD(c)|0)!=786432:0)?(pD(c)|0)!=917504:0){f[o>>2]=0;f[o+4>>2]=0;J=YG(o,39)|0;K=238859;L=J+39|0;do{b[J>>0]=b[K>>0]|0;J=J+1|0;K=K+1|0}while((J|0)<(L|0));SQ(-215,o,238846,238093,1737)}if(e<=0.0|g<=0.0|h<=0.0|i<=0.0){f[o>>2]=0;f[o+4>>2]=0;J=YG(o,76)|0;K=238899;L=J+76|0;do{b[J>>0]=b[K>>0]|0;J=J+1|0;K=K+1|0}while((J|0)<(L|0));SQ(-211,o,238846,238093,1740)}I=V9b(h)|0;H=V9b(i)|0;F=V9b(3.0)|0;M=(j|0)>0?j:0;j=(l|0)<0?2147483647:l;l=(k|0)<0;if((k|0)<1){N=wD(a,-1)|0;O=xD(a,-1)|0;P=(N|0)<(O|0)?O:N}else P=(M|0)<(k|0)?k:M+2|0;if((d|0)!=3){f[o>>2]=0;f[o+4>>2]=0;J=YG(o,69)|0;K=239071;L=J+69|0;do{b[J>>0]=b[K>>0]|0;J=J+1|0;K=K+1|0}while((J|0)<(L|0));SQ(-5,o,238846,238093,1771)}switch(G|0){case 21:{i=e;h=g;switch(F|0){case 3:case 5:case 7:case -1:break;default:{f[o>>2]=0;f[o+4>>2]=0;J=YG(o,73)|0;K=238976;L=J+73|0;do{b[J>>0]=b[K>>0]|0;J=J+1|0;K=K+1|0}while((J|0)<(L|0));SQ(-215,o,239050,238093,1631)}}Q=i<1.0?1.0:i;i=1.0/Q;f[r>>2]=1124007936;G=r+4|0;d=r+8|0;k=r+40|0;J=G;L=J+36|0;do{f[J>>2]=0;J=J+4|0}while((J|0)<(L|0));f[k>>2]=d;N=r+48|0;O=r+44|0;f[O>>2]=N;f[N>>2]=0;f[r+52>>2]=0;f[t>>2]=1124007936;R=t+4|0;S=t+8|0;T=t+40|0;J=R;L=J+36|0;do{f[J>>2]=0;J=J+4|0}while((J|0)<(L|0));f[T>>2]=S;S=t+48|0;U=t+44|0;f[U>>2]=S;f[S>>2]=0;f[t+52>>2]=0;f[v>>2]=1124007936;V=v+4|0;W=v+8|0;X=v+40|0;J=V;L=J+36|0;do{f[J>>2]=0;J=J+4|0}while((J|0)<(L|0));f[X>>2]=W;W=v+48|0;Z=v+44|0;f[Z>>2]=W;f[W>>2]=0;f[v+52>>2]=0;_=o+8|0;f[_>>2]=0;f[_+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=t;j2(a,o,3,1,0,F,1.0,0.0,1);_=o+8|0;f[_>>2]=0;f[_+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=v;j2(a,o,3,0,1,F,1.0,0.0,1);f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=t;f[p+8>>2]=0;f[p+12>>2]=0;f[p>>2]=16842752;f[p+4>>2]=v;_=q+8|0;f[_>>2]=0;f[_+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=r;_=(I|0)/2|0;l8(o,p,q,+(((_|0)>1?_:1)|0),+(I|0),0);QR(w);_=pU()|0;$=(_|0)>1;f[x>>2]=0;aa=x+4|0;f[aa>>2]=0;f[x+8>>2]=0;ba=wD(a,-1)|0;ca=xD(a,-1)|0;b[o>>0]=0;J1(y,ba,ca,o);ca=f[d>>2]|0;f[o>>2]=0;f[o+4>>2]=ca;f[p>>2]=50808;f[p+4>>2]=r;f[p+8>>2]=t;f[p+12>>2]=v;f[p+16>>2]=M;f[p+20>>2]=P;n[p+24>>2]=i;f[p+28>>2]=x;f[p+32>>2]=y;f[p+48>>2]=w;da=i*+(f[r+12>>2]|0);d=~~da;ba=(+(d|0)<da&1)+d|0;f[p+36>>2]=ba;da=i*+(ca|0);ca=~~da;f[p+40>>2]=(+(ca|0)<da&1)+ca;f[p+44>>2]=ba+2;da=+(((_|0)>1?_:1)|0);oU(o,p,da);f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=-2130640896;f[o+4>>2]=y;_=PX(o)|0;if((_|0)>=1){ba=f[x>>2]|0;f[z>>2]=f[ba>>2];ca=z+4|0;d=ba+4|0;f[ca>>2]=f[d>>2];ea=z+8|0;f[ea>>2]=f[ba+8>>2];fa=z+12|0;f[fa>>2]=f[ba+12>>2];ga=z+16|0;f[ga>>2]=f[ba+16>>2];f[z+20>>2]=f[ba+20>>2];f[z+24>>2]=f[ba+24>>2];f[z+28>>2]=f[ba+28>>2];f[z+32>>2]=f[ba+32>>2];ha=z+36|0;ia=f[ba+36>>2]|0;f[ha>>2]=ia;ja=z+40|0;f[ja>>2]=ea;ka=z+48|0;la=z+44|0;f[la>>2]=ka;f[ka>>2]=0;f[z+52>>2]=0;if(ia|0){ma=ia+12|0;f[ma>>2]=(f[ma>>2]|0)+1}if((f[d>>2]|0)<3){d=f[ba+44>>2]|0;ma=f[la>>2]|0;f[ma>>2]=f[d>>2];f[ma+4>>2]=f[d+4>>2]}else{f[ca>>2]=0;kP(z,ba)}ba=f[aa>>2]|0;d=f[x>>2]|0;ma=d;if(((ba-d|0)/56|0)>>>0>1){d=o+8|0;ia=o+12|0;na=o+4|0;oa=p+8|0;pa=p+12|0;qa=p+4|0;ra=q+8|0;sa=q+4|0;ta=1;ua=ma;while(1){f[d>>2]=0;f[ia>>2]=0;f[o>>2]=16842752;f[na>>2]=z;f[oa>>2]=0;f[pa>>2]=0;f[p>>2]=16842752;f[qa>>2]=ua+(ta*56|0);va=ra;f[va>>2]=0;f[va+4>>2]=0;f[q>>2]=33619968;f[sa>>2]=z;RH(o,p,q,rE()|0,-1);ta=ta+1|0;va=f[aa>>2]|0;wa=f[x>>2]|0;xa=wa;if(ta>>>0>=((va-wa|0)/56|0)>>>0){ya=xa;za=va;break}else ua=xa}}else{ya=ma;za=ba}ba=za;if((ba|0)!=(ya|0)){za=ba;do{ba=za+-56|0;f[aa>>2]=ba;ma=za+-20|0;ua=f[ma>>2]|0;if(ua|0?(ta=ua+12|0,ua=f[ta>>2]|0,f[ta>>2]=ua+-1,(ua|0)==1):0)lP(ba);f[ma>>2]=0;ma=za+-40|0;ba=za+-52|0;f[ma>>2]=0;f[ma+4>>2]=0;f[ma+8>>2]=0;f[ma+12>>2]=0;if((f[ba>>2]|0)>0){ma=f[za+-16>>2]|0;ua=0;do{f[ma+(ua<<2)>>2]=0;ua=ua+1|0}while((ua|0)<(f[ba>>2]|0))}ba=f[za+-12>>2]|0;if((ba|0)!=(za+-8|0))tE(ba);za=f[aa>>2]|0}while((za|0)!=(ya|0))}f[p>>2]=0;ya=p+4|0;f[ya>>2]=0;f[p+8>>2]=0;za=f[ea>>2]|0;f[o>>2]=1;f[o+4>>2]=za+-1;f[q>>2]=50828;f[q+4>>2]=z;f[q+8>>2]=p;f[q+12>>2]=H;f[q+28>>2]=w;f[q+16>>2]=f[fa>>2];f[q+20>>2]=za;f[q+24>>2]=f[ga>>2];oU(o,q,$?+((za+-2|0)/4|0|0):1.0);za=f[ya>>2]|0;$=f[p>>2]|0;ea=za-$>>2;aa=$;if(!ea)Aa=aa;else{f[o>>2]=f[ga>>2];z1(aa,za,o);f[q>>2]=0;za=q+4|0;f[za>>2]=0;f[q+8>>2]=0;aa=q+8|0;$=Bmc(3072)|0;ba=$;f[q>>2]=ba;f[za>>2]=ba;f[aa>>2]=$+3072;a:do if(l){$=f[fa>>2]|0;ua=f[p>>2]|0;ma=(f[ya>>2]|0)-ua>>2;i=h*h;if(ma|0){ta=o+4|0;sa=o+8|0;ra=0;qa=ua;ua=ba;pa=ba;while(1){oa=f[qa+(ra<<2)>>2]|0;na=(oa|0)/($|0)|0;Ba=Q*(+(oa-(Y(na,$)|0)|0)+.5);Ca=Q*(+(na|0)+.5);n[o>>2]=Ba;n[ta>>2]=Ca;n[sa>>2]=0.0;na=pa-ua|0;oa=(na|0)/12|0;ia=ua;d=pa;if(na){na=1;xa=0;do{Da=Ba-+n[ia+(xa*12|0)>>2];Ea=Ca-+n[ia+(xa*12|0)+4>>2];va=!(Da*Da+Ea*Ea<i);na=na&va;xa=xa+1|0}while(xa>>>0<oa>>>0&va);if(na)Fa=49}else Fa=49;do if((Fa|0)==49){Fa=0;if((d|0)==(f[aa>>2]|0)){K1(q,o);break}else{n[pa>>2]=Ba;f[d+4>>2]=f[ta>>2];f[d+8>>2]=f[sa>>2];f[za>>2]=d+12;break}}while(0);d=ra+1|0;if((d|0)==(ma|0))break a;ra=d;qa=f[p>>2]|0;ua=f[q>>2]|0;pa=f[za>>2]|0}}}else{f[A>>2]=0;pa=A+4|0;f[pa>>2]=0;f[A+8>>2]=0;if((_|0)<(Y(P,P)|0)){f[B>>2]=0;ua=B+4|0;f[ua>>2]=0;f[B+8>>2]=0;L1(B,_);qa=y+8|0;ra=f[qa>>2]|0;if((ra|0)>0){ma=y+16|0;sa=y+44|0;ta=y+12|0;$=o+4|0;d=B+8|0;na=ra;ra=0;oa=f[ta>>2]|0;while(1){xa=(f[ma>>2]|0)+(Y(f[f[sa>>2]>>2]|0,ra)|0)|0;if((oa|0)>0){ia=oa;va=0;while(1){if(!(b[xa+va>>0]|0))Ga=ia;else{f[o>>2]=va;f[$>>2]=ra;wa=f[ua>>2]|0;if((wa|0)==(f[d>>2]|0)){G1(B,o);Ha=f[ta>>2]|0}else{f[wa>>2]=va;f[wa+4>>2]=ra;f[ua>>2]=wa+8;Ha=ia}Ga=Ha}va=va+1|0;if((va|0)>=(Ga|0))break;else ia=Ga}Ia=Ga;Ja=f[qa>>2]|0}else{Ia=oa;Ja=na}ra=ra+1|0;if((ra|0)>=(Ja|0))break;else{na=Ja;oa=Ia}}}f[o>>2]=0;f[o+4>>2]=ea;M1(C,B,_,p,A,f[fa>>2]|0,H,M,P,Q,w);oU(o,C,da);oa=f[B>>2]|0;if(oa|0){na=f[ua>>2]|0;if((na|0)!=(oa|0))f[ua>>2]=na+(~((na+-8-oa|0)>>>3)<<3);Emc(oa)}}else{f[o>>2]=0;f[o+4>>2]=ea;N1(B,y,_,p,A,f[fa>>2]|0,H,M,P,Q,w);oU(o,B,da)}oa=f[A>>2]|0;na=f[pa>>2]|0;f[o>>2]=502;P1(oa,na,o);na=f[A>>2]|0;oa=f[pa>>2]|0;if((na|0)!=(oa|0)){ra=o+4|0;qa=o+8|0;ta=na;do{na=f[ta>>2]|0;f[o>>2]=na;f[ra>>2]=f[ta+4>>2];f[qa>>2]=f[ta+8>>2];d=f[za>>2]|0;if((d|0)==(f[aa>>2]|0))K1(q,o);else{f[d>>2]=na;f[d+4>>2]=f[ra>>2];f[d+8>>2]=f[qa>>2];f[za>>2]=d+12}ta=ta+16|0}while((ta|0)!=(oa|0))}i=h*h;oa=f[za>>2]|0;ta=f[q>>2]|0;qa=(oa-ta|0)/12|0;if(qa>>>0>1){ra=1;ua=1;d=oa;na=ta;while(1){$=na;sa=f[$+(ua*12|0)>>2]|0;ma=f[$+(ua*12|0)+4>>2]|0;ia=f[$+(ua*12|0)+8>>2]|0;Ba=(f[s>>2]=sa,+n[s>>2]);Ca=(f[s>>2]=ma,+n[s>>2]);if(ra){va=1;xa=0;do{Ea=Ba-+n[$+(xa*12|0)>>2];Da=Ca-+n[$+(xa*12|0)+4>>2];wa=!(Ea*Ea+Da*Da<i);va=va&wa;xa=xa+1|0}while(xa>>>0<ra>>>0&wa);if(!va){Ka=ra;La=na;Ma=d}else Fa=87}else Fa=87;if((Fa|0)==87){Fa=0;f[$+(ra*12|0)>>2]=sa;f[$+(ra*12|0)+4>>2]=ma;f[$+(ra*12|0)+8>>2]=ia;Ka=ra+1|0;La=f[q>>2]|0;Ma=f[za>>2]|0}ua=ua+1|0;xa=(Ma-La|0)/12|0;if(ua>>>0>=xa>>>0){Na=Ka;Oa=xa;Pa=La;Qa=Ma;break}else{ra=Ka;d=Ma;na=La}}}else{Na=1;Oa=qa;Pa=ta;Qa=oa}na=Pa;d=Qa;do if(Na>>>0>Oa>>>0)Q1(q,Na-Oa|0);else{if(Na>>>0>=Oa>>>0)break;ra=na+(Na*12|0)|0;if((d|0)==(ra|0))break;f[za>>2]=d+(~(((d+-12-ra|0)>>>0)/12|0)*12|0)}while(0);d=f[A>>2]|0;if(d|0){na=f[pa>>2]|0;if((na|0)!=(d|0))f[pa>>2]=na+(~((na+-16-d|0)>>>4)<<4);Emc(d)}}while(0);Na=f[q>>2]|0;Oa=(f[za>>2]|0)-Na|0;Qa=(Oa|0)/12|0;if(!Oa)Ra=Na;else{Ri(D,1,(Qa|0)<(j|0)?Qa:j,21,Na,0);kT(D,c);Na=D+36|0;Qa=f[Na>>2]|0;do if(Qa|0){Oa=Qa+12|0;Pa=f[Oa>>2]|0;f[Oa>>2]=Pa+-1;if((Pa|0)!=1)break;lP(D)}while(0);f[Na>>2]=0;Na=D+16|0;Qa=D+4|0;f[Na>>2]=0;f[Na+4>>2]=0;f[Na+8>>2]=0;f[Na+12>>2]=0;if((f[Qa>>2]|0)>0){Na=f[D+40>>2]|0;Pa=0;do{f[Na+(Pa<<2)>>2]=0;Pa=Pa+1|0}while((Pa|0)<(f[Qa>>2]|0))}Qa=f[D+44>>2]|0;if((Qa|0)!=(D+48|0))tE(Qa);Ra=f[q>>2]|0}if(Ra|0){Qa=f[za>>2]|0;if((Qa|0)!=(Ra|0))f[za>>2]=Qa+(~(((Qa+-12-Ra|0)>>>0)/12|0)*12|0);Emc(Ra)}Aa=f[p>>2]|0}if(Aa|0){Ra=f[ya>>2]|0;if((Ra|0)!=(Aa|0))f[ya>>2]=Ra+(~((Ra+-4-Aa|0)>>>2)<<2);Emc(Aa)}Aa=f[ha>>2]|0;if(Aa|0?(Ra=Aa+12|0,Aa=f[Ra>>2]|0,f[Ra>>2]=Aa+-1,(Aa|0)==1):0)lP(z);f[ha>>2]=0;f[ga>>2]=0;f[ga+4>>2]=0;f[ga+8>>2]=0;f[ga+12>>2]=0;if((f[ca>>2]|0)>0){ga=f[ja>>2]|0;ja=0;do{f[ga+(ja<<2)>>2]=0;ja=ja+1|0}while((ja|0)<(f[ca>>2]|0))}ca=f[la>>2]|0;if((ca|0)!=(ka|0))tE(ca)}ca=y+36|0;ka=f[ca>>2]|0;if(ka|0?(la=ka+12|0,ka=f[la>>2]|0,f[la>>2]=ka+-1,(ka|0)==1):0)lP(y);f[ca>>2]=0;ca=y+16|0;ka=y+4|0;f[ca>>2]=0;f[ca+4>>2]=0;f[ca+8>>2]=0;f[ca+12>>2]=0;if((f[ka>>2]|0)>0){ca=f[y+40>>2]|0;la=0;do{f[ca+(la<<2)>>2]=0;la=la+1|0}while((la|0)<(f[ka>>2]|0))}ka=f[y+44>>2]|0;if((ka|0)!=(y+48|0))tE(ka);rt(x);RR(w);ka=v+36|0;la=f[ka>>2]|0;if(la|0?(ca=la+12|0,la=f[ca>>2]|0,f[ca>>2]=la+-1,(la|0)==1):0)lP(v);f[ka>>2]=0;ka=v+16|0;f[ka>>2]=0;f[ka+4>>2]=0;f[ka+8>>2]=0;f[ka+12>>2]=0;if((f[V>>2]|0)>0){ka=f[X>>2]|0;X=0;do{f[ka+(X<<2)>>2]=0;X=X+1|0}while((X|0)<(f[V>>2]|0))}V=f[Z>>2]|0;if((V|0)!=(W|0))tE(V);V=t+36|0;W=f[V>>2]|0;if(W|0?(Z=W+12|0,W=f[Z>>2]|0,f[Z>>2]=W+-1,(W|0)==1):0)lP(t);f[V>>2]=0;V=t+16|0;f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;f[V+12>>2]=0;if((f[R>>2]|0)>0){V=f[T>>2]|0;T=0;do{f[V+(T<<2)>>2]=0;T=T+1|0}while((T|0)<(f[R>>2]|0))}R=f[U>>2]|0;if((R|0)!=(S|0))tE(R);R=r+36|0;S=f[R>>2]|0;do if(S|0){U=S+12|0;T=f[U>>2]|0;f[U>>2]=T+-1;if((T|0)!=1)break;lP(r)}while(0);f[R>>2]=0;R=r+16|0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((f[G>>2]|0)>0){R=f[k>>2]|0;k=0;do{f[R+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[G>>2]|0))}G=f[O>>2]|0;if((G|0)!=(N|0))tE(G);break}case 29:{h=e;e=g;switch(F|0){case 3:case 5:case 7:case -1:break;default:{f[o>>2]=0;f[o+4>>2]=0;J=YG(o,73)|0;K=238976;L=J+73|0;do{b[J>>0]=b[K>>0]|0;J=J+1|0;K=K+1|0}while((J|0)<(L|0));SQ(-215,o,239050,238093,1631)}}g=h<1.0?1.0:h;h=1.0/g;f[r>>2]=1124007936;G=r+4|0;N=r+8|0;O=r+40|0;J=G;L=J+36|0;do{f[J>>2]=0;J=J+4|0}while((J|0)<(L|0));f[O>>2]=N;k=r+48|0;R=r+44|0;f[R>>2]=k;f[k>>2]=0;f[r+52>>2]=0;f[t>>2]=1124007936;S=t+4|0;T=t+8|0;U=t+40|0;J=S;L=J+36|0;do{f[J>>2]=0;J=J+4|0}while((J|0)<(L|0));f[U>>2]=T;T=t+48|0;V=t+44|0;f[V>>2]=T;f[T>>2]=0;f[t+52>>2]=0;f[v>>2]=1124007936;W=v+4|0;Z=v+8|0;X=v+40|0;J=W;L=J+36|0;do{f[J>>2]=0;J=J+4|0}while((J|0)<(L|0));f[X>>2]=Z;Z=v+48|0;ka=v+44|0;f[ka>>2]=Z;f[Z>>2]=0;f[v+52>>2]=0;la=o+8|0;f[la>>2]=0;f[la+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=t;j2(a,o,3,1,0,F,1.0,0.0,1);la=o+8|0;f[la>>2]=0;f[la+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=v;j2(a,o,3,0,1,F,1.0,0.0,1);f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=t;f[p+8>>2]=0;f[p+12>>2]=0;f[p>>2]=16842752;f[p+4>>2]=v;F=q+8|0;f[F>>2]=0;f[F+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=r;F=(I|0)/2|0;l8(o,p,q,+(((F|0)>1?F:1)|0),+(I|0),0);QR(w);I=pU()|0;F=(I|0)>1;f[x>>2]=0;la=x+4|0;f[la>>2]=0;f[x+8>>2]=0;ca=wD(a,-1)|0;ja=xD(a,-1)|0;b[o>>0]=0;J1(y,ca,ja,o);ja=f[N>>2]|0;f[o>>2]=0;f[o+4>>2]=ja;f[p>>2]=50808;f[p+4>>2]=r;f[p+8>>2]=t;f[p+12>>2]=v;f[p+16>>2]=M;f[p+20>>2]=P;n[p+24>>2]=h;f[p+28>>2]=x;f[p+32>>2]=y;f[p+48>>2]=w;da=h*+(f[r+12>>2]|0);N=~~da;ca=(+(N|0)<da&1)+N|0;f[p+36>>2]=ca;da=h*+(ja|0);ja=~~da;f[p+40>>2]=(+(ja|0)<da&1)+ja;f[p+44>>2]=ca+2;da=+(((I|0)>1?I:1)|0);oU(o,p,da);f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=-2130640896;f[o+4>>2]=y;I=PX(o)|0;if((I|0)>=1){ca=f[x>>2]|0;f[z>>2]=f[ca>>2];ja=z+4|0;N=ca+4|0;f[ja>>2]=f[N>>2];a=z+8|0;f[a>>2]=f[ca+8>>2];ga=z+12|0;f[ga>>2]=f[ca+12>>2];ha=z+16|0;f[ha>>2]=f[ca+16>>2];f[z+20>>2]=f[ca+20>>2];f[z+24>>2]=f[ca+24>>2];f[z+28>>2]=f[ca+28>>2];f[z+32>>2]=f[ca+32>>2];Aa=z+36|0;Ra=f[ca+36>>2]|0;f[Aa>>2]=Ra;ya=z+40|0;f[ya>>2]=a;Qa=z+48|0;za=z+44|0;f[za>>2]=Qa;f[Qa>>2]=0;f[z+52>>2]=0;if(Ra|0){Pa=Ra+12|0;f[Pa>>2]=(f[Pa>>2]|0)+1}if((f[N>>2]|0)<3){N=f[ca+44>>2]|0;Pa=f[za>>2]|0;f[Pa>>2]=f[N>>2];f[Pa+4>>2]=f[N+4>>2]}else{f[ja>>2]=0;kP(z,ca)}ca=f[la>>2]|0;N=f[x>>2]|0;Pa=N;if(((ca-N|0)/56|0)>>>0>1){N=o+8|0;Ra=o+12|0;Na=o+4|0;Oa=p+8|0;La=p+12|0;Ma=p+4|0;Ka=q+8|0;aa=q+4|0;fa=1;_=Pa;while(1){f[N>>2]=0;f[Ra>>2]=0;f[o>>2]=16842752;f[Na>>2]=z;f[Oa>>2]=0;f[La>>2]=0;f[p>>2]=16842752;f[Ma>>2]=_+(fa*56|0);ea=Ka;f[ea>>2]=0;f[ea+4>>2]=0;f[q>>2]=33619968;f[aa>>2]=z;RH(o,p,q,rE()|0,-1);fa=fa+1|0;ea=f[la>>2]|0;Ia=f[x>>2]|0;Ja=Ia;if(fa>>>0>=((ea-Ia|0)/56|0)>>>0){Sa=Ja;Ta=ea;break}else _=Ja}}else{Sa=Pa;Ta=ca}ca=Ta;if((ca|0)!=(Sa|0)){Ta=ca;do{ca=Ta+-56|0;f[la>>2]=ca;Pa=Ta+-20|0;_=f[Pa>>2]|0;if(_|0?(fa=_+12|0,_=f[fa>>2]|0,f[fa>>2]=_+-1,(_|0)==1):0)lP(ca);f[Pa>>2]=0;Pa=Ta+-40|0;ca=Ta+-52|0;f[Pa>>2]=0;f[Pa+4>>2]=0;f[Pa+8>>2]=0;f[Pa+12>>2]=0;if((f[ca>>2]|0)>0){Pa=f[Ta+-16>>2]|0;_=0;do{f[Pa+(_<<2)>>2]=0;_=_+1|0}while((_|0)<(f[ca>>2]|0))}ca=f[Ta+-12>>2]|0;if((ca|0)!=(Ta+-8|0))tE(ca);Ta=f[la>>2]|0}while((Ta|0)!=(Sa|0))}f[p>>2]=0;Sa=p+4|0;f[Sa>>2]=0;f[p+8>>2]=0;Ta=f[a>>2]|0;f[o>>2]=1;f[o+4>>2]=Ta+-1;f[q>>2]=50828;f[q+4>>2]=z;f[q+8>>2]=p;f[q+12>>2]=H;f[q+28>>2]=w;f[q+16>>2]=f[ga>>2];f[q+20>>2]=Ta;f[q+24>>2]=f[ha>>2];oU(o,q,F?+((Ta+-2|0)/4|0|0):1.0);Ta=f[Sa>>2]|0;F=f[p>>2]|0;a=Ta-F>>2;la=F;if(!a)Ua=la;else{f[o>>2]=f[ha>>2];z1(la,Ta,o);f[q>>2]=0;Ta=q+4|0;f[Ta>>2]=0;f[q+8>>2]=0;la=q+8|0;F=Bmc(4096)|0;ca=F;f[q>>2]=ca;f[Ta>>2]=ca;f[la>>2]=F+4096;b:do if(l){F=f[ga>>2]|0;_=f[p>>2]|0;Pa=(f[Sa>>2]|0)-_>>2;h=e*e;if(Pa|0){pa=o+4|0;fa=o+8|0;aa=o+12|0;Ka=0;Ma=_;_=ca;La=ca;while(1){Oa=f[Ma+(Ka<<2)>>2]|0;Na=(Oa|0)/(F|0)|0;Q=g*(+(Oa-(Y(Na,F)|0)|0)+.5);i=g*(+(Na|0)+.5);n[o>>2]=Q;n[pa>>2]=i;n[fa>>2]=0.0;n[aa>>2]=+(Oa|0);Oa=La-_>>4;Na=_;Ra=La;if(Oa){N=1;Ja=0;do{Ca=Q-+n[Na+(Ja<<4)>>2];Ba=i-+n[Na+(Ja<<4)+4>>2];ea=!(Ca*Ca+Ba*Ba<h);N=N&ea;Ja=Ja+1|0}while(Ja>>>0<Oa>>>0&ea);if(N)Fa=183}else Fa=183;do if((Fa|0)==183){Fa=0;if((Ra|0)==(f[la>>2]|0)){R1(q,o);break}else{n[La>>2]=Q;f[Ra+4>>2]=f[pa>>2];f[Ra+8>>2]=f[fa>>2];f[Ra+12>>2]=f[aa>>2];f[Ta>>2]=Ra+16;break}}while(0);Ra=Ka+1|0;if((Ra|0)==(Pa|0))break b;Ka=Ra;Ma=f[p>>2]|0;_=f[q>>2]|0;La=f[Ta>>2]|0}}}else{f[A>>2]=0;La=A+4|0;f[La>>2]=0;f[A+8>>2]=0;if((I|0)<(Y(P,P)|0)){f[B>>2]=0;_=B+4|0;f[_>>2]=0;f[B+8>>2]=0;L1(B,I);Ma=y+8|0;Ka=f[Ma>>2]|0;if((Ka|0)>0){Pa=y+16|0;aa=y+44|0;fa=y+12|0;pa=o+4|0;F=B+8|0;Ra=Ka;Ka=0;N=f[fa>>2]|0;while(1){Oa=(f[Pa>>2]|0)+(Y(f[f[aa>>2]>>2]|0,Ka)|0)|0;if((N|0)>0){Ja=N;Na=0;while(1){if(!(b[Oa+Na>>0]|0))Va=Ja;else{f[o>>2]=Na;f[pa>>2]=Ka;ia=f[_>>2]|0;if((ia|0)==(f[F>>2]|0)){G1(B,o);Wa=f[fa>>2]|0}else{f[ia>>2]=Na;f[ia+4>>2]=Ka;f[_>>2]=ia+8;Wa=Ja}Va=Wa}Na=Na+1|0;if((Na|0)>=(Va|0))break;else Ja=Va}Xa=Va;Ya=f[Ma>>2]|0}else{Xa=N;Ya=Ra}Ka=Ka+1|0;if((Ka|0)>=(Ya|0))break;else{Ra=Ya;N=Xa}}}f[o>>2]=0;f[o+4>>2]=a;M1(C,B,I,p,A,f[ga>>2]|0,H,M,P,g,w);oU(o,C,da);N=f[B>>2]|0;if(N|0){Ra=f[_>>2]|0;if((Ra|0)!=(N|0))f[_>>2]=Ra+(~((Ra+-8-N|0)>>>3)<<3);Emc(N)}}else{f[o>>2]=0;f[o+4>>2]=a;N1(B,y,I,p,A,f[ga>>2]|0,H,M,P,g,w);oU(o,B,da)}N=f[A>>2]|0;Ra=f[La>>2]|0;f[o>>2]=502;P1(N,Ra,o);Ra=f[A>>2]|0;N=f[La>>2]|0;if((Ra|0)!=(N|0)){Ka=o+4|0;Ma=o+8|0;fa=o+12|0;F=Ra;do{Ra=f[F>>2]|0;pa=f[F+4>>2]|0;aa=f[F+8>>2]|0;h=+(f[F+12>>2]|0);f[o>>2]=Ra;f[Ka>>2]=pa;f[Ma>>2]=aa;n[fa>>2]=h;aa=f[Ta>>2]|0;if((aa|0)==(f[la>>2]|0))R1(q,o);else{f[aa>>2]=Ra;f[aa+4>>2]=f[Ka>>2];f[aa+8>>2]=f[Ma>>2];f[aa+12>>2]=f[fa>>2];f[Ta>>2]=aa+16}F=F+16|0}while((F|0)!=(N|0))}h=e*e;N=f[Ta>>2]|0;F=f[q>>2]|0;fa=N-F>>4;if(fa>>>0>1){Ma=1;Ka=1;_=N;aa=F;while(1){Ra=aa;pa=f[Ra+(Ka<<4)>>2]|0;Pa=f[Ra+(Ka<<4)+4>>2]|0;Ja=f[Ra+(Ka<<4)+8>>2]|0;Na=f[Ra+(Ka<<4)+12>>2]|0;Q=(f[s>>2]=pa,+n[s>>2]);i=(f[s>>2]=Pa,+n[s>>2]);if(Ma){Oa=1;ia=0;do{Ba=Q-+n[Ra+(ia<<4)>>2];Ca=i-+n[Ra+(ia<<4)+4>>2];$=!(Ba*Ba+Ca*Ca<h);Oa=Oa&$;ia=ia+1|0}while(ia>>>0<Ma>>>0&$);if(!Oa){Za=Ma;_a=_;$a=aa}else Fa=221}else Fa=221;if((Fa|0)==221){Fa=0;f[Ra+(Ma<<4)>>2]=pa;f[Ra+(Ma<<4)+4>>2]=Pa;f[Ra+(Ma<<4)+8>>2]=Ja;f[Ra+(Ma<<4)+12>>2]=Na;Za=Ma+1|0;_a=f[Ta>>2]|0;$a=f[q>>2]|0}Ka=Ka+1|0;ia=_a-$a>>4;if(Ka>>>0>=ia>>>0){ab=Za;bb=ia;cb=$a;db=_a;break}else{Ma=Za;_=_a;aa=$a}}}else{ab=1;bb=fa;cb=F;db=N}aa=cb;_=db;do if(ab>>>0>bb>>>0)S1(q,ab-bb|0);else{if(ab>>>0>=bb>>>0)break;Ma=aa+(ab<<4)|0;if((_|0)==(Ma|0))break;f[Ta>>2]=_+(~((_+-16-Ma|0)>>>4)<<4)}while(0);_=f[A>>2]|0;if(_|0){aa=f[La>>2]|0;if((aa|0)!=(_|0))f[La>>2]=aa+(~((aa+-16-_|0)>>>4)<<4);Emc(_)}}while(0);A=f[q>>2]|0;ab=(f[Ta>>2]|0)-A>>4;if(!ab)eb=A;else{Ri(D,1,(ab|0)<(j|0)?ab:j,29,A,0);kT(D,c);c=D+36|0;A=f[c>>2]|0;do if(A|0){j=A+12|0;ab=f[j>>2]|0;f[j>>2]=ab+-1;if((ab|0)!=1)break;lP(D)}while(0);f[c>>2]=0;c=D+16|0;A=D+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[A>>2]|0)>0){c=f[D+40>>2]|0;ab=0;do{f[c+(ab<<2)>>2]=0;ab=ab+1|0}while((ab|0)<(f[A>>2]|0))}A=f[D+44>>2]|0;if((A|0)!=(D+48|0))tE(A);eb=f[q>>2]|0}if(eb|0){q=f[Ta>>2]|0;if((q|0)!=(eb|0))f[Ta>>2]=q+(~((q+-16-eb|0)>>>4)<<4);Emc(eb)}Ua=f[p>>2]|0}if(Ua|0){p=f[Sa>>2]|0;if((p|0)!=(Ua|0))f[Sa>>2]=p+(~((p+-4-Ua|0)>>>2)<<2);Emc(Ua)}Ua=f[Aa>>2]|0;if(Ua|0?(p=Ua+12|0,Ua=f[p>>2]|0,f[p>>2]=Ua+-1,(Ua|0)==1):0)lP(z);f[Aa>>2]=0;f[ha>>2]=0;f[ha+4>>2]=0;f[ha+8>>2]=0;f[ha+12>>2]=0;if((f[ja>>2]|0)>0){ha=f[ya>>2]|0;ya=0;do{f[ha+(ya<<2)>>2]=0;ya=ya+1|0}while((ya|0)<(f[ja>>2]|0))}ja=f[za>>2]|0;if((ja|0)!=(Qa|0))tE(ja)}ja=y+36|0;Qa=f[ja>>2]|0;if(Qa|0?(za=Qa+12|0,Qa=f[za>>2]|0,f[za>>2]=Qa+-1,(Qa|0)==1):0)lP(y);f[ja>>2]=0;ja=y+16|0;Qa=y+4|0;f[ja>>2]=0;f[ja+4>>2]=0;f[ja+8>>2]=0;f[ja+12>>2]=0;if((f[Qa>>2]|0)>0){ja=f[y+40>>2]|0;za=0;do{f[ja+(za<<2)>>2]=0;za=za+1|0}while((za|0)<(f[Qa>>2]|0))}Qa=f[y+44>>2]|0;if((Qa|0)!=(y+48|0))tE(Qa);rt(x);RR(w);w=v+36|0;x=f[w>>2]|0;if(x|0?(Qa=x+12|0,x=f[Qa>>2]|0,f[Qa>>2]=x+-1,(x|0)==1):0)lP(v);f[w>>2]=0;w=v+16|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[W>>2]|0)>0){w=f[X>>2]|0;X=0;do{f[w+(X<<2)>>2]=0;X=X+1|0}while((X|0)<(f[W>>2]|0))}W=f[ka>>2]|0;if((W|0)!=(Z|0))tE(W);W=t+36|0;Z=f[W>>2]|0;if(Z|0?(ka=Z+12|0,Z=f[ka>>2]|0,f[ka>>2]=Z+-1,(Z|0)==1):0)lP(t);f[W>>2]=0;W=t+16|0;f[W>>2]=0;f[W+4>>2]=0;f[W+8>>2]=0;f[W+12>>2]=0;if((f[S>>2]|0)>0){W=f[U>>2]|0;U=0;do{f[W+(U<<2)>>2]=0;U=U+1|0}while((U|0)<(f[S>>2]|0))}S=f[V>>2]|0;if((S|0)!=(T|0))tE(S);S=r+36|0;T=f[S>>2]|0;do if(T|0){V=T+12|0;U=f[V>>2]|0;f[V>>2]=U+-1;if((U|0)!=1)break;lP(r)}while(0);f[S>>2]=0;S=r+16|0;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;if((f[G>>2]|0)>0){S=f[O>>2]|0;O=0;do{f[S+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[G>>2]|0))}G=f[R>>2]|0;if((G|0)!=(k|0))tE(G);break}default:{f[o>>2]=0;f[o+4>>2]=0;J=YG(o,14)|0;K=238277;L=J+14|0;do{b[J>>0]=b[K>>0]|0;J=J+1|0;K=K+1|0}while((J|0)<(L|0));SQ(-2,o,238846,238093,1768)}}if(!(f[E+4>>2]|0)){u=m;return}u=m;return}function J1(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0;e=u;u=u+32|0;g=e;f[a>>2]=1124007936;i=a+8|0;j=a+40|0;k=a+4|0;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=a+48|0;f[a+44>>2]=i;f[i>>2]=0;f[a+52>>2]=0;f[g>>2]=b;f[g+4>>2]=c;iP(a,2,g,0);p[g>>3]=+(h[d>>0]|0);d=g+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;nT(a,g)|0;u=e;return}function K1(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=(d-e|0)/12|0;h=g+1|0;i=e;j=d;if(h>>>0>357913941)Ukc(a);d=a+8|0;k=((f[d>>2]|0)-e|0)/12|0;l=k<<1;m=k>>>0<178956970?(l>>>0<h>>>0?h:l):357913941;do if(m)if(m>>>0>357913941){l=ye(8)|0;Jmc(l,511852);f[l>>2]=165276;Gf(l|0,26776,1555)}else{n=Bmc(m*12|0)|0;break}else n=0;while(0);l=n+(g*12|0)|0;h=n+(m*12|0)|0;f[l>>2]=f[b>>2];f[n+(g*12|0)+4>>2]=f[b+4>>2];f[n+(g*12|0)+8>>2]=f[b+8>>2];b=l+12|0;if((j|0)==(i|0))o=l;else{g=j;j=l;while(1){l=j+-12|0;n=g;g=g+-12|0;f[l>>2]=f[g>>2];f[j+-8>>2]=f[n+-8>>2];f[j+-4>>2]=f[n+-4>>2];if((g|0)==(i|0)){o=l;break}else j=l}}f[a>>2]=o;f[c>>2]=b;f[d>>2]=h;if(!e)return;Emc(e);return}function L1(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=a+8|0;d=f[a>>2]|0;e=d;if((f[c>>2]|0)-d>>3>>>0>=b>>>0)return;g=a+4|0;if(b>>>0>536870911){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}h=f[g>>2]|0;i=Bmc(b<<3)|0;j=i+(h-d>>3<<3)|0;k=j;l=i+(b<<3)|0;b=h;if((b|0)==(e|0))m=k;else{h=b+-8-d|0;i=b;b=j;while(1){n=i;i=i+-8|0;f[b+-8>>2]=f[i>>2];f[b+-4>>2]=f[n+-4>>2];if((i|0)==(e|0))break;else b=b+-8|0}m=j+(~(h>>>3)<<3)|0}f[a>>2]=m;f[g>>2]=k;f[c>>2]=l;if(!d)return;Emc(d);return}function M1(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=+l;m=m|0;var o=0,p=0;o=u;u=u+16|0;p=o;f[a>>2]=50868;f[a+4>>2]=c;f[a+8>>2]=d;f[a+12>>2]=e;f[a+16>>2]=g;f[a+20>>2]=h;f[a+24>>2]=i;f[a+28>>2]=j;f[a+32>>2]=k;n[a+36>>2]=l;f[a+52>>2]=m;l=+(j|0);n[a+44>>2]=l*l;l=+(k|0);n[a+48>>2]=l*l;f[a+40>>2]=(f[e+4>>2]|0)-(f[e>>2]|0)>>2;if((d|0)>0){u=o;return}else{f[p>>2]=0;f[p+4>>2]=0;o=YG(p,8)|0;d=o;b[d>>0]=110;b[d+1>>0]=122;b[d+2>>0]=83;b[d+3>>0]=122;d=o+4|0;b[d>>0]=32;b[d+1>>0]=62;b[d+2>>0]=32;b[d+3>>0]=48;SQ(-215,p,239141,238093,1395)}}function N1(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=+l;m=m|0;var o=0,p=0;o=u;u=u+16|0;p=o;f[a>>2]=50848;f[a+4>>2]=c;f[a+8>>2]=d;f[a+12>>2]=e;f[a+16>>2]=g;f[a+20>>2]=h;f[a+24>>2]=i;f[a+28>>2]=j;f[a+32>>2]=k;n[a+36>>2]=l;f[a+52>>2]=m;l=+(j|0);n[a+44>>2]=l*l;l=+(k|0);n[a+48>>2]=l*l;f[a+40>>2]=(f[e+4>>2]|0)-(f[e>>2]|0)>>2;if((d|0)>0){u=o;return}else{f[p>>2]=0;f[p+4>>2]=0;o=YG(p,8)|0;d=o;b[d>>0]=110;b[d+1>>0]=122;b[d+2>>0]=83;b[d+3>>0]=122;d=o+4|0;b[d>>0]=32;b[d+1>>0]=62;b[d+2>>0]=32;b[d+3>>0]=48;SQ(-215,p,239141,238093,1395)}}function O1(a,b){a=a|0;b=b|0;var c=0,d=0,e=0.0,g=0.0,h=0;c=f[a+12>>2]|0;d=f[b+12>>2]|0;if((c|0)<=(d|0))if((c|0)>=(d|0)){e=+n[a+8>>2];g=+n[b+8>>2];if(!(e>g))if(!(e<g)){g=+n[a>>2];e=+n[b>>2];if(!(g<e))if(!(g>e)?+n[a+4>>2]<+n[b+4>>2]:0)h=1;else h=0;else h=1}else h=0;else h=1}else h=0;else h=1;return h|0}function P1(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;d=u;u=u+16|0;e=d;g=a;a=b;a:while(1){b=a;h=a+-16|0;i=a+-12|0;j=a+-8|0;k=a+-4|0;l=g;while(1){m=l;b:while(1){n=m;o=b-n|0;p=o>>4;switch(p|0){case 2:{q=5;break a;break}case 3:{q=7;break a;break}case 4:{q=8;break a;break}case 5:{q=12;break a;break}case 1:case 0:{q=56;break a;break}default:{}}if((o|0)<112){q=14;break a}r=m+(((p|0)/2|0)<<4)|0;if((o|0)>15984){o=(p|0)/4|0;s=U1(m,m+(o<<4)|0,r,r+(o<<4)|0,h,c)|0}else s=T1(m,r,h,c)|0;if(Sh[f[c>>2]&511](m,r)|0){t=h;v=s;break}else w=h;while(1){x=w+-16|0;if((m|0)==(x|0))break;if(Sh[f[c>>2]&511](x,r)|0){q=39;break b}else w=x}o=m+16|0;if(Sh[f[c>>2]&511](m,h)|0)y=o;else{if((o|0)==(h|0)){q=56;break a}else z=o;while(1){if(Sh[f[c>>2]&511](m,z)|0)break;o=z+16|0;if((o|0)==(h|0)){q=56;break a}else z=o}o=f[z>>2]|0;p=f[z+4>>2]|0;A=f[z+8>>2]|0;B=f[z+12>>2]|0;f[z>>2]=f[h>>2];f[z+4>>2]=f[h+4>>2];f[z+8>>2]=f[h+8>>2];f[z+12>>2]=f[h+12>>2];f[h>>2]=o;f[i>>2]=p;f[j>>2]=A;f[k>>2]=B;y=z+16|0}if((y|0)==(h|0)){q=56;break a}else{C=h;D=y}while(1){B=D;while(1){E=B+16|0;if(Sh[f[c>>2]&511](m,B)|0){F=C;break}else B=E}while(1){G=F+-16|0;if(Sh[f[c>>2]&511](m,G)|0)F=G;else break}if(B>>>0>=G>>>0){m=B;continue b}A=f[B>>2]|0;p=f[B+4>>2]|0;o=f[B+8>>2]|0;H=f[B+12>>2]|0;f[B>>2]=f[G>>2];f[B+4>>2]=f[G+4>>2];f[B+8>>2]=f[G+8>>2];f[B+12>>2]=f[G+12>>2];f[G>>2]=A;f[F+-12>>2]=p;f[F+-8>>2]=o;f[F+-4>>2]=H;C=G;D=E}}if((q|0)==39){q=0;H=f[m>>2]|0;o=f[m+4>>2]|0;p=f[m+8>>2]|0;A=f[m+12>>2]|0;f[m>>2]=f[x>>2];f[m+4>>2]=f[x+4>>2];f[m+8>>2]=f[x+8>>2];f[m+12>>2]=f[x+12>>2];f[x>>2]=H;f[w+-12>>2]=o;f[w+-8>>2]=p;f[w+-4>>2]=A;t=x;v=s+1|0}A=m+16|0;c:do if(A>>>0<t>>>0){p=r;o=t;H=A;I=v;while(1){J=H;while(1){K=J+16|0;if(Sh[f[c>>2]&511](J,p)|0)J=K;else{L=o;break}}while(1){M=L+-16|0;if(Sh[f[c>>2]&511](M,p)|0)break;else L=M}if(J>>>0>M>>>0){N=p;O=I;P=J;break c}B=f[J>>2]|0;Q=f[J+4>>2]|0;R=f[J+8>>2]|0;S=f[J+12>>2]|0;f[J>>2]=f[M>>2];f[J+4>>2]=f[M+4>>2];f[J+8>>2]=f[M+8>>2];f[J+12>>2]=f[M+12>>2];f[M>>2]=B;f[L+-12>>2]=Q;f[L+-8>>2]=R;f[L+-4>>2]=S;p=(p|0)==(J|0)?M:p;o=M;H=K;I=I+1|0}}else{N=r;O=v;P=A}while(0);if((P|0)!=(N|0)?Sh[f[c>>2]&511](N,P)|0:0){A=f[P>>2]|0;I=f[P+4>>2]|0;H=f[P+8>>2]|0;o=f[P+12>>2]|0;f[P>>2]=f[N>>2];f[P+4>>2]=f[N+4>>2];f[P+8>>2]=f[N+8>>2];f[P+12>>2]=f[N+12>>2];f[N>>2]=A;f[N+4>>2]=I;f[N+8>>2]=H;f[N+12>>2]=o;T=O+1|0}else T=O;if(!T){U=V1(m,P,c)|0;o=P+16|0;if(V1(o,a,c)|0){q=55;break}if(U){l=o;continue}}o=P;if((o-n|0)>=(b-o|0)){q=54;break}P1(m,P,c);l=P+16|0}if((q|0)==54){q=0;P1(P+16|0,a,c);g=m;a=P;continue}else if((q|0)==55){q=0;if(U){q=56;break}else{g=m;a=P;continue}}}if((q|0)==5){if(!(Sh[f[c>>2]&511](h,m)|0)){u=d;return}P=f[m>>2]|0;g=f[m+4>>2]|0;U=f[m+8>>2]|0;n=f[m+12>>2]|0;f[m>>2]=f[h>>2];f[m+4>>2]=f[h+4>>2];f[m+8>>2]=f[h+8>>2];f[m+12>>2]=f[h+12>>2];f[h>>2]=P;f[i>>2]=g;f[j>>2]=U;f[k>>2]=n;u=d;return}else if((q|0)==7){T1(m,m+16|0,h,c)|0;u=d;return}else if((q|0)==8){n=m+16|0;U=m+32|0;T1(m,n,U,c)|0;if(!(Sh[f[c>>2]&511](h,U)|0)){u=d;return}g=f[U>>2]|0;P=m+36|0;T=f[P>>2]|0;O=m+40|0;N=f[O>>2]|0;v=m+44|0;r=f[v>>2]|0;f[U>>2]=f[h>>2];f[U+4>>2]=f[h+4>>2];f[U+8>>2]=f[h+8>>2];f[U+12>>2]=f[h+12>>2];f[h>>2]=g;f[i>>2]=T;f[j>>2]=N;f[k>>2]=r;if(!(Sh[f[c>>2]&511](U,n)|0)){u=d;return}r=f[n>>2]|0;k=m+20|0;N=f[k>>2]|0;j=m+24|0;T=f[j>>2]|0;i=m+28|0;g=f[i>>2]|0;f[n>>2]=f[U>>2];f[n+4>>2]=f[U+4>>2];f[n+8>>2]=f[U+8>>2];f[n+12>>2]=f[U+12>>2];f[U>>2]=r;f[P>>2]=N;f[O>>2]=T;f[v>>2]=g;if(!(Sh[f[c>>2]&511](n,m)|0)){u=d;return}g=f[m>>2]|0;v=f[m+4>>2]|0;T=f[m+8>>2]|0;O=f[m+12>>2]|0;f[m>>2]=f[n>>2];f[m+4>>2]=f[n+4>>2];f[m+8>>2]=f[n+8>>2];f[m+12>>2]=f[n+12>>2];f[n>>2]=g;f[k>>2]=v;f[j>>2]=T;f[i>>2]=O;u=d;return}else if((q|0)==12){U1(m,m+16|0,m+32|0,m+48|0,h,c)|0;u=d;return}else if((q|0)==14){h=m+32|0;T1(m,m+16|0,h,c)|0;O=m+48|0;if((O|0)==(a|0)){u=d;return}i=e+4|0;T=e+8|0;j=e+12|0;v=O;O=h;while(1){if(Sh[f[c>>2]&511](v,O)|0){f[e>>2]=f[v>>2];f[i>>2]=f[v+4>>2];f[T>>2]=f[v+8>>2];f[j>>2]=f[v+12>>2];h=O;k=v;while(1){f[k>>2]=f[h>>2];f[k+4>>2]=f[h+4>>2];f[k+8>>2]=f[h+8>>2];f[k+12>>2]=f[h+12>>2];if((h|0)==(m|0))break;g=h+-16|0;if(Sh[f[c>>2]&511](e,g)|0){n=h;h=g;k=n}else break}f[h>>2]=f[e>>2];f[h+4>>2]=f[e+4>>2];f[h+8>>2]=f[e+8>>2];f[h+12>>2]=f[e+12>>2]}k=v+16|0;if((k|0)==(a|0))break;else{n=v;v=k;O=n}}u=d;return}else if((q|0)==56){u=d;return}}function Q1(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/12|0)>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;i=(f[e>>2]|0)+12|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/12|0;g=i+b|0;if(g>>>0>357913941)Ukc(a);j=(d-h|0)/12|0;h=j<<1;d=j>>>0<178956970?(h>>>0<g>>>0?g:h):357913941;do if(d)if(d>>>0>357913941){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{k=Bmc(d*12|0)|0;break}else k=0;while(0);h=k+(i*12|0)|0;i=h;g=k+(d*12|0)|0;d=b;b=h;k=i;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;b=k+12|0;k=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;if((b|0)==(g|0)){l=i;m=g}else{i=b;b=h;do{h=b;b=b+-12|0;j=i;i=i+-12|0;f[b>>2]=f[i>>2];f[h+-8>>2]=f[j+-8>>2];f[h+-4>>2]=f[j+-4>>2]}while((i|0)!=(g|0));l=b;m=f[a>>2]|0}f[a>>2]=l;f[e>>2]=k;f[c>>2]=d;if(!m)return;Emc(m);return}function R1(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=d-e>>4;h=g+1|0;i=e;j=d;if(h>>>0>268435455)Ukc(a);d=a+8|0;k=(f[d>>2]|0)-e|0;l=k>>3;m=k>>4>>>0<134217727?(l>>>0<h>>>0?h:l):268435455;do if(m)if(m>>>0>268435455){l=ye(8)|0;Jmc(l,511852);f[l>>2]=165276;Gf(l|0,26776,1555)}else{n=Bmc(m<<4)|0;break}else n=0;while(0);l=n+(g<<4)|0;h=n+(m<<4)|0;f[l>>2]=f[b>>2];f[n+(g<<4)+4>>2]=f[b+4>>2];f[n+(g<<4)+8>>2]=f[b+8>>2];f[n+(g<<4)+12>>2]=f[b+12>>2];b=l+16|0;if((j|0)==(i|0))o=l;else{g=j+-16-e|0;n=j;j=l;do{m=j;j=j+-16|0;k=n;n=n+-16|0;f[j>>2]=f[n>>2];f[m+-12>>2]=f[k+-12>>2];f[m+-8>>2]=f[k+-8>>2];f[m+-4>>2]=f[k+-4>>2]}while((n|0)!=(i|0));o=l+(~(g>>>4)<<4)|0}f[a>>2]=o;f[c>>2]=b;f[d>>2]=h;if(!e)return;Emc(e);return}function S1(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>4>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;i=(f[e>>2]|0)+16|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>4;g=i+b|0;if(g>>>0>268435455)Ukc(a);j=d-h|0;h=j>>3;d=j>>4>>>0<134217727?(h>>>0<g>>>0?g:h):268435455;do if(d)if(d>>>0>268435455){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{k=Bmc(d<<4)|0;break}else k=0;while(0);h=k+(i<<4)|0;i=h;g=k+(d<<4)|0;d=b;b=h;k=i;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;b=k+16|0;k=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;j=g;if((b|0)==(g|0)){l=i;m=j}else{i=b+-16-j|0;j=b;b=h;do{n=b;b=b+-16|0;o=j;j=j+-16|0;f[b>>2]=f[j>>2];f[n+-12>>2]=f[o+-12>>2];f[n+-8>>2]=f[o+-8>>2];f[n+-4>>2]=f[o+-4>>2]}while((j|0)!=(g|0));l=h+(~(i>>>4)<<4)|0;m=f[a>>2]|0}f[a>>2]=l;f[e>>2]=k;f[c>>2]=d;if(!m)return;Emc(m);return}function T1(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=Sh[f[d>>2]&511](b,a)|0;g=Sh[f[d>>2]&511](c,b)|0;if(!e){if(!g){h=0;return h|0}e=f[b>>2]|0;i=b+4|0;j=f[i>>2]|0;k=b+8|0;l=f[k>>2]|0;m=b+12|0;n=f[m>>2]|0;f[b>>2]=f[c>>2];f[b+4>>2]=f[c+4>>2];f[b+8>>2]=f[c+8>>2];f[b+12>>2]=f[c+12>>2];f[c>>2]=e;f[c+4>>2]=j;f[c+8>>2]=l;f[c+12>>2]=n;if(!(Sh[f[d>>2]&511](b,a)|0)){h=1;return h|0}n=f[a>>2]|0;l=f[a+4>>2]|0;j=f[a+8>>2]|0;e=f[a+12>>2]|0;f[a>>2]=f[b>>2];f[a+4>>2]=f[b+4>>2];f[a+8>>2]=f[b+8>>2];f[a+12>>2]=f[b+12>>2];f[b>>2]=n;f[i>>2]=l;f[k>>2]=j;f[m>>2]=e;h=2;return h|0}e=f[a>>2]|0;m=f[a+4>>2]|0;j=f[a+8>>2]|0;k=f[a+12>>2]|0;if(g){f[a>>2]=f[c>>2];f[a+4>>2]=f[c+4>>2];f[a+8>>2]=f[c+8>>2];f[a+12>>2]=f[c+12>>2];f[c>>2]=e;f[c+4>>2]=m;f[c+8>>2]=j;f[c+12>>2]=k;h=1;return h|0};f[a>>2]=f[b>>2];f[a+4>>2]=f[b+4>>2];f[a+8>>2]=f[b+8>>2];f[a+12>>2]=f[b+12>>2];f[b>>2]=e;e=b+4|0;f[e>>2]=m;m=b+8|0;f[m>>2]=j;j=b+12|0;f[j>>2]=k;if(!(Sh[f[d>>2]&511](c,b)|0)){h=1;return h|0}d=f[b>>2]|0;k=f[e>>2]|0;e=f[m>>2]|0;m=f[j>>2]|0;f[b>>2]=f[c>>2];f[b+4>>2]=f[c+4>>2];f[b+8>>2]=f[c+8>>2];f[b+12>>2]=f[c+12>>2];f[c>>2]=d;f[c+4>>2]=k;f[c+8>>2]=e;f[c+12>>2]=m;h=2;return h|0}function U1(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;h=T1(a,b,c,g)|0;if(Sh[f[g>>2]&511](d,c)|0){i=f[c>>2]|0;j=c+4|0;k=f[j>>2]|0;l=c+8|0;m=f[l>>2]|0;n=c+12|0;o=f[n>>2]|0;f[c>>2]=f[d>>2];f[c+4>>2]=f[d+4>>2];f[c+8>>2]=f[d+8>>2];f[c+12>>2]=f[d+12>>2];f[d>>2]=i;f[d+4>>2]=k;f[d+8>>2]=m;f[d+12>>2]=o;o=h+1|0;if(Sh[f[g>>2]&511](c,b)|0){m=f[b>>2]|0;k=b+4|0;i=f[k>>2]|0;p=b+8|0;q=f[p>>2]|0;r=b+12|0;s=f[r>>2]|0;f[b>>2]=f[c>>2];f[b+4>>2]=f[c+4>>2];f[b+8>>2]=f[c+8>>2];f[b+12>>2]=f[c+12>>2];f[c>>2]=m;f[j>>2]=i;f[l>>2]=q;f[n>>2]=s;if(Sh[f[g>>2]&511](b,a)|0){s=f[a>>2]|0;n=f[a+4>>2]|0;q=f[a+8>>2]|0;l=f[a+12>>2]|0;f[a>>2]=f[b>>2];f[a+4>>2]=f[b+4>>2];f[a+8>>2]=f[b+8>>2];f[a+12>>2]=f[b+12>>2];f[b>>2]=s;f[k>>2]=n;f[p>>2]=q;f[r>>2]=l;t=h+3|0}else t=h+2|0}else t=o}else t=h;if(!(Sh[f[g>>2]&511](e,d)|0)){u=t;return u|0}h=f[d>>2]|0;o=d+4|0;l=f[o>>2]|0;r=d+8|0;q=f[r>>2]|0;p=d+12|0;n=f[p>>2]|0;f[d>>2]=f[e>>2];f[d+4>>2]=f[e+4>>2];f[d+8>>2]=f[e+8>>2];f[d+12>>2]=f[e+12>>2];f[e>>2]=h;f[e+4>>2]=l;f[e+8>>2]=q;f[e+12>>2]=n;if(!(Sh[f[g>>2]&511](d,c)|0)){u=t+1|0;return u|0}n=f[c>>2]|0;e=c+4|0;q=f[e>>2]|0;l=c+8|0;h=f[l>>2]|0;k=c+12|0;s=f[k>>2]|0;f[c>>2]=f[d>>2];f[c+4>>2]=f[d+4>>2];f[c+8>>2]=f[d+8>>2];f[c+12>>2]=f[d+12>>2];f[d>>2]=n;f[o>>2]=q;f[r>>2]=h;f[p>>2]=s;if(!(Sh[f[g>>2]&511](c,b)|0)){u=t+2|0;return u|0}s=f[b>>2]|0;p=b+4|0;h=f[p>>2]|0;r=b+8|0;q=f[r>>2]|0;o=b+12|0;n=f[o>>2]|0;f[b>>2]=f[c>>2];f[b+4>>2]=f[c+4>>2];f[b+8>>2]=f[c+8>>2];f[b+12>>2]=f[c+12>>2];f[c>>2]=s;f[e>>2]=h;f[l>>2]=q;f[k>>2]=n;if(!(Sh[f[g>>2]&511](b,a)|0)){u=t+3|0;return u|0}g=f[a>>2]|0;n=f[a+4>>2]|0;k=f[a+8>>2]|0;q=f[a+12>>2]|0;f[a>>2]=f[b>>2];f[a+4>>2]=f[b+4>>2];f[a+8>>2]=f[b+8>>2];f[a+12>>2]=f[b+12>>2];f[b>>2]=g;f[p>>2]=n;f[r>>2]=k;f[o>>2]=q;u=t+4|0;return u|0}function V1(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;d=u;u=u+16|0;e=d;switch(b-a>>4|0){case 2:{g=b+-16|0;if(!(Sh[f[c>>2]&511](g,a)|0)){h=1;u=d;return h|0}i=f[a>>2]|0;j=f[a+4>>2]|0;k=f[a+8>>2]|0;l=f[a+12>>2]|0;f[a>>2]=f[g>>2];f[a+4>>2]=f[g+4>>2];f[a+8>>2]=f[g+8>>2];f[a+12>>2]=f[g+12>>2];f[g>>2]=i;f[b+-12>>2]=j;f[b+-8>>2]=k;f[b+-4>>2]=l;h=1;u=d;return h|0}case 3:{T1(a,a+16|0,b+-16|0,c)|0;h=1;u=d;return h|0}case 4:{l=a+16|0;k=a+32|0;j=b+-16|0;T1(a,l,k,c)|0;if(!(Sh[f[c>>2]&511](j,k)|0)){h=1;u=d;return h|0}i=f[k>>2]|0;g=a+36|0;m=f[g>>2]|0;n=a+40|0;o=f[n>>2]|0;p=a+44|0;q=f[p>>2]|0;f[k>>2]=f[j>>2];f[k+4>>2]=f[j+4>>2];f[k+8>>2]=f[j+8>>2];f[k+12>>2]=f[j+12>>2];f[j>>2]=i;f[b+-12>>2]=m;f[b+-8>>2]=o;f[b+-4>>2]=q;if(!(Sh[f[c>>2]&511](k,l)|0)){h=1;u=d;return h|0}q=f[l>>2]|0;o=a+20|0;m=f[o>>2]|0;i=a+24|0;j=f[i>>2]|0;r=a+28|0;s=f[r>>2]|0;f[l>>2]=f[k>>2];f[l+4>>2]=f[k+4>>2];f[l+8>>2]=f[k+8>>2];f[l+12>>2]=f[k+12>>2];f[k>>2]=q;f[g>>2]=m;f[n>>2]=j;f[p>>2]=s;if(!(Sh[f[c>>2]&511](l,a)|0)){h=1;u=d;return h|0}s=f[a>>2]|0;p=f[a+4>>2]|0;j=f[a+8>>2]|0;n=f[a+12>>2]|0;f[a>>2]=f[l>>2];f[a+4>>2]=f[l+4>>2];f[a+8>>2]=f[l+8>>2];f[a+12>>2]=f[l+12>>2];f[l>>2]=s;f[o>>2]=p;f[i>>2]=j;f[r>>2]=n;h=1;u=d;return h|0}case 5:{U1(a,a+16|0,a+32|0,a+48|0,b+-16|0,c)|0;h=1;u=d;return h|0}case 1:case 0:{h=1;u=d;return h|0}default:{n=a+32|0;T1(a,a+16|0,n,c)|0;r=a+48|0;a:do if((r|0)==(b|0)){t=1;v=0}else{j=e+4|0;i=e+8|0;p=e+12|0;o=r;s=0;l=n;while(1){if(Sh[f[c>>2]&511](o,l)|0){f[e>>2]=f[o>>2];f[j>>2]=f[o+4>>2];f[i>>2]=f[o+8>>2];f[p>>2]=f[o+12>>2];m=l;g=o;while(1){f[g>>2]=f[m>>2];f[g+4>>2]=f[m+4>>2];f[g+8>>2]=f[m+8>>2];f[g+12>>2]=f[m+12>>2];if((m|0)==(a|0))break;q=m+-16|0;if(Sh[f[c>>2]&511](e,q)|0){k=m;m=q;g=k}else break}f[m>>2]=f[e>>2];f[m+4>>2]=f[e+4>>2];f[m+8>>2]=f[e+8>>2];f[m+12>>2]=f[e+12>>2];g=s+1|0;if((g|0)==8){t=0;v=(o+16|0)==(b|0);break a}else w=g}else w=s;g=o+16|0;if((g|0)==(b|0)){t=1;v=0;break}else{k=o;o=g;s=w;l=k}}}while(0);h=v|t;u=d;return h|0}}return 0}function W1(a){a=a|0;Emc(a);return}function X1(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0.0,oa=0,pa=0,qa=0,ra=0,sa=0.0,ta=0.0,ua=0.0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0.0,Ba=0,Ca=0,Da=0.0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0.0,Na=0,Oa=0.0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0.0,Va=0;d=u;u=u+3376|0;e=d+3312|0;g=d+3256|0;h=d+3240|0;i=d+3224|0;j=d+2160|0;k=d+1096|0;l=d+32|0;m=d;o=d+24|0;p=d+20|0;q=d+16|0;f[i>>2]=0;r=i+4|0;f[r>>2]=0;f[i+8>>2]=0;s=a+32|0;t=f[s>>2]|0;v=a+28|0;w=a+36|0;x=+n[w>>2];y=U9b(+(t-(f[v>>2]|0)|0)/x*10.0)|0;z=j+8|0;f[j>>2]=z;A=j+4|0;f[A>>2]=y;if(y>>>0>264){B=Dmc(y>>>0>1073741823?-1:y<<2)|0;f[j>>2]=B}B=f[a+8>>2]|0;C=k+8|0;f[k>>2]=C;D=k+4|0;E=B>>>0>264;f[D>>2]=B;if(E){F=Dmc(B>>>0>1073741823?-1:B<<2)|0;f[k>>2]=F;G=F}else G=C;F=l+8|0;f[l>>2]=F;H=l+4|0;f[H>>2]=B;if(E){E=Dmc(B>>>0>1073741823?-1:B<<2)|0;f[l>>2]=E;I=E}else I=F;E=f[c>>2]|0;B=c+4|0;c=f[B>>2]|0;J=(E|0)==0?(c|0)==(f[a+40>>2]|0):0;do if((E|0)<(c|0)){K=a+12|0;L=a+20|0;M=a+4|0;N=a+44|0;O=a+48|0;P=h+8|0;Q=h+12|0;R=h+4|0;S=m+8|0;T=m+4|0;U=y+-1|0;V=(y|0)>1;W=g+36|0;X=g+16|0;Z=g+4|0;_=g+40|0;$=g+44|0;aa=g+48|0;ba=e+36|0;ca=e+16|0;da=e+4|0;ea=e+40|0;fa=e+44|0;ga=e+48|0;ha=a+24|0;ia=e+4|0;ja=e+8|0;ka=e+12|0;la=i+8|0;ma=E;na=x;oa=t;while(1){pa=f[(f[f[K>>2]>>2]|0)+(ma<<2)>>2]|0;qa=f[L>>2]|0;ra=(pa|0)/(qa|0)|0;sa=na*(+(pa-(Y(ra,qa)|0)|0)+.5);ta=na*(+(ra|0)+.5);ra=f[M>>2]|0;ua=+(oa+1|0);qa=~~(sa-ua);pa=(qa|0)>0?qa:0;qa=~~(sa+ua);va=f[ra+12>>2]|0;wa=(va|0)<(qa|0)?va:qa;qa=~~(ta-ua);va=(qa|0)>0?qa:0;qa=~~(ta+ua);xa=f[ra+8>>2]|0;ya=(xa|0)<(qa|0)?xa:qa;if((va|0)<(ya|0)&(pa|0)<(wa|0)){qa=f[ra+16>>2]|0;xa=f[f[ra+44>>2]>>2]|0;ra=va;va=0;while(1){za=qa+(Y(ra,xa)|0)|0;ua=ta-+(ra|0);Aa=ua*ua;Ba=pa;Ca=va;while(1){if(((b[za+Ba>>0]|0)!=0?(ua=sa-+(Ba|0),Da=Aa+ua*ua,+n[N>>2]<=Da):0)?Da<=+n[O>>2]:0){n[G+(Ca<<2)>>2]=Da;Ea=Ca+1|0}else Ea=Ca;Ba=Ba+1|0;if((Ba|0)>=(wa|0))break;else Ca=Ea}ra=ra+1|0;if((ra|0)>=(ya|0))break;else va=Ea}if(Ea){Ri(e,1,Ea,5,G,0);Ri(g,1,Ea,5,I,0);f[P>>2]=0;f[Q>>2]=0;f[h>>2]=-2130640891;f[R>>2]=e;va=S;f[va>>2]=0;f[va+4>>2]=0;f[m>>2]=-2113863675;f[T>>2]=g;DS(h,m);Drc(f[j>>2]|0,0,f[A>>2]<<2|0)|0;if((Ea|0)>0){Aa=+n[w>>2];va=f[j>>2]|0;ya=0;do{ra=U9b((+n[I+(ya<<2)>>2]-+(f[v>>2]|0))/Aa*10.0)|0;wa=(ra|0)<(U|0)?ra:U;ra=va+(((wa|0)>0?wa:0)<<2)|0;f[ra>>2]=(f[ra>>2]|0)+1;ya=ya+1|0}while((ya|0)!=(Ea|0))}a:do if(V){ya=f[j>>2]|0;va=y;ra=0;Aa=0.0;while(1){wa=va+-1|0;Da=+(ra|0);b:do if(!(Aa<1.1920928955078125e-07)){pa=va;xa=wa;while(1){qa=f[ya+(xa<<2)>>2]|0;if(qa){do if((xa|0)>-1){Ca=pa+-10|0;Ba=xa+-1|0;if((xa|0)>(Ca|0)&(xa|0)!=0){Fa=Ba;Ga=qa}else{Ha=qa;Ia=Ba;break}while(1){Ba=(f[ya+(Fa<<2)>>2]|0)+Ga|0;za=Fa+-1|0;if((Fa|0)>(Ca|0)&(Fa|0)>0){Fa=za;Ga=Ba}else{Ha=Ba;Ia=za;break}}}else{Ha=0;Ia=xa}while(0);ua=+(Ia+xa|0)*.5/10.0*+n[w>>2]+ +(f[v>>2]|0);if(!(Aa*+(Ha|0)>=Da*ua))Ja=Ia;else{Ka=Ha;La=Ia;Ma=ua;break b}}else Ja=xa;if((Ja|0)>1){pa=Ja;xa=Ja+-1|0}else{Na=ra;Oa=Aa;break a}}}else{xa=va;pa=wa;while(1){qa=f[ya+(pa<<2)>>2]|0;if(qa){do if((pa|0)>-1){Ca=xa+-10|0;za=pa+-1|0;if((pa|0)>(Ca|0)&(pa|0)!=0){Pa=za;Qa=qa}else{Ra=qa;Sa=za;break}while(1){za=(f[ya+(Pa<<2)>>2]|0)+Qa|0;Ba=Pa+-1|0;if((Pa|0)>(Ca|0)&(Pa|0)>0){Pa=Ba;Qa=za}else{Ra=za;Sa=Ba;break}}}else{Ra=0;Sa=pa}while(0);ua=+(Sa+pa|0)*.5/10.0*+n[w>>2]+ +(f[v>>2]|0);if((Ra|0)<(ra|0)?!(Aa*+(Ra|0)>=Da*ua):0)Ta=Sa;else{Ka=Ra;La=Sa;Ma=ua;break b}}else Ta=pa;if((Ta|0)>1){xa=Ta;pa=Ta+-1|0}else{Na=ra;Oa=Aa;break a}}}while(0);if((La|0)>1){va=La;ra=Ka;Aa=Ma}else{Na=Ka;Oa=Ma;break}}}else{Na=0;Oa=0.0}while(0);ra=f[W>>2]|0;if(ra|0?(va=ra+12|0,ra=f[va>>2]|0,f[va>>2]=ra+-1,(ra|0)==1):0)lP(g);f[W>>2]=0;f[X>>2]=0;f[X+4>>2]=0;f[X+8>>2]=0;f[X+12>>2]=0;if((f[Z>>2]|0)>0){ra=f[_>>2]|0;va=0;do{f[ra+(va<<2)>>2]=0;va=va+1|0}while((va|0)<(f[Z>>2]|0))}va=f[$>>2]|0;if((va|0)!=(aa|0))tE(va);va=f[ba>>2]|0;if(va|0?(ra=va+12|0,va=f[ra>>2]|0,f[ra>>2]=va+-1,(va|0)==1):0)lP(e);f[ba>>2]=0;f[ca>>2]=0;f[ca+4>>2]=0;f[ca+8>>2]=0;f[ca+12>>2]=0;if((f[da>>2]|0)>0){va=f[ea>>2]|0;ra=0;do{f[va+(ra<<2)>>2]=0;ra=ra+1|0}while((ra|0)<(f[da>>2]|0))}ra=f[fa>>2]|0;if((ra|0)!=(ga|0))tE(ra);Ua=Oa;Va=Na}else{Ua=0.0;Va=0}}else{Ua=0.0;Va=0}if((Va|0)>(f[ha>>2]|0)){n[e>>2]=sa;n[ia>>2]=ta;n[ja>>2]=Ua;f[ka>>2]=Va;ra=f[r>>2]|0;if((ra|0)==(f[la>>2]|0))Y1(i,e);else{n[ra>>2]=sa;f[ra+4>>2]=f[ia>>2];f[ra+8>>2]=f[ja>>2];f[ra+12>>2]=Va;f[r>>2]=ra+16}}ra=ma+1|0;if((ra|0)>=(f[B>>2]|0))break;ma=ra;na=+n[w>>2];oa=f[s>>2]|0}oa=f[i>>2]|0;ma=f[r>>2]|0;if((oa|0)!=(ma|0)){f[e>>2]=502;P1(oa,ma,e);if(J){ma=f[a+16>>2]|0;oa=f[ma>>2]|0;f[ma>>2]=f[i>>2];f[i>>2]=oa;oa=ma+4|0;ja=f[oa>>2]|0;f[oa>>2]=f[r>>2];f[r>>2]=ja;ja=ma+8|0;ma=i+8|0;oa=f[ja>>2]|0;f[ja>>2]=f[ma>>2];f[ma>>2]=oa;break}oa=f[a+52>>2]|0;SR(oa);ma=f[a+16>>2]|0;ja=f[ma>>2]|0;ia=ma+4|0;la=f[ia>>2]|0;ka=la;if((ja|0)==(la|0)){f[ma>>2]=f[i>>2];f[i>>2]=ja;f[ia>>2]=f[r>>2];f[r>>2]=ka;ia=ma+8|0;ja=i+8|0;la=f[ia>>2]|0;f[ia>>2]=f[ja>>2];f[ja>>2]=la}else{f[o>>2]=ka;f[p>>2]=f[i>>2];f[q>>2]=f[r>>2];f[h>>2]=f[o>>2];f[g>>2]=f[p>>2];f[e>>2]=f[q>>2];Z1(ma,h,g,e)|0}TR(oa)}}while(0);e=f[l>>2]|0;if((e|0)!=(F|0)){if(e|0)Fmc(e);f[l>>2]=F;f[H>>2]=264}H=f[k>>2]|0;if((H|0)!=(C|0)){if(H|0)Fmc(H);f[k>>2]=C;f[D>>2]=264}D=f[j>>2]|0;if((D|0)!=(z|0)){if(D|0)Fmc(D);f[j>>2]=z;f[A>>2]=264}A=f[i>>2]|0;if(!A){u=d;return}i=f[r>>2]|0;if((i|0)!=(A|0))f[r>>2]=i+(~((i+-16-A|0)>>>4)<<4);Emc(A);u=d;return}function Y1(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=d-e>>4;h=g+1|0;i=e;j=d;if(h>>>0>268435455)Ukc(a);d=a+8|0;k=(f[d>>2]|0)-e|0;l=k>>3;m=k>>4>>>0<134217727?(l>>>0<h>>>0?h:l):268435455;do if(m)if(m>>>0>268435455){l=ye(8)|0;Jmc(l,511852);f[l>>2]=165276;Gf(l|0,26776,1555)}else{n=Bmc(m<<4)|0;break}else n=0;while(0);l=n+(g<<4)|0;h=n+(m<<4)|0;f[l>>2]=f[b>>2];f[n+(g<<4)+4>>2]=f[b+4>>2];f[n+(g<<4)+8>>2]=f[b+8>>2];f[n+(g<<4)+12>>2]=f[b+12>>2];b=l+16|0;if((j|0)==(i|0))o=l;else{g=j+-16-e|0;n=j;j=l;do{m=j;j=j+-16|0;k=n;n=n+-16|0;f[j>>2]=f[n>>2];f[m+-12>>2]=f[k+-12>>2];f[m+-8>>2]=f[k+-8>>2];f[m+-4>>2]=f[k+-4>>2]}while((n|0)!=(i|0));o=l+(~(g>>>4)<<4)|0}f[a>>2]=o;f[c>>2]=b;f[d>>2]=h;if(!e)return;Emc(e);return}function Z1(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;e=f[a>>2]|0;g=e;h=(f[b>>2]|0)-g|0;b=h>>4;i=e+(b<<4)|0;j=f[c>>2]|0;k=f[d>>2]|0;d=k-j|0;l=d>>4;m=k;if((d|0)<=0){n=i;return n|0}d=a+8|0;o=f[d>>2]|0;p=a+4|0;q=f[p>>2]|0;r=q;if((l|0)<=(o-r>>4|0)){s=i;t=r-s|0;u=t>>4;if((l|0)>(u|0)){v=j+(u<<4)|0;u=v;if((v|0)==(m|0))w=q;else{x=m+-16-u|0;y=v;v=q;while(1){f[v>>2]=f[y>>2];f[v+4>>2]=f[y+4>>2];f[v+8>>2]=f[y+8>>2];f[v+12>>2]=f[y+12>>2];y=y+16|0;if((y|0)==(m|0))break;else v=v+16|0}v=q+((x>>>4)+1<<4)|0;f[p>>2]=v;w=v}if((t|0)>0){z=u;A=w}else{n=i;return n|0}}else{z=k;A=q}k=A-(i+(l<<4))|0;w=k>>4;u=i+(w<<4)|0;if(u>>>0<q>>>0){t=(q+(0-w<<4)+~s|0)>>>4;s=u;u=A;while(1){f[u>>2]=f[s>>2];f[u+4>>2]=f[s+4>>2];f[u+8>>2]=f[s+8>>2];f[u+12>>2]=f[s+12>>2];s=s+16|0;if(s>>>0>=q>>>0)break;else u=u+16|0}f[p>>2]=A+(t+1<<4)}if(!w)B=j;else{Mrc(A+(0-w<<4)|0,i|0,k|0)|0;B=f[c>>2]|0}c=z-B|0;if(!c){n=i;return n|0}Mrc(i|0,B|0,c|0)|0;n=i;return n|0}c=(r-g>>4)+l|0;if(c>>>0>268435455)Ukc(a);l=o-g|0;o=l>>3;r=l>>4>>>0<134217727?(o>>>0<c>>>0?c:o):268435455;o=i;c=h>>4;do if(r)if(r>>>0>268435455){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{C=Bmc(r<<4)|0;break}else C=0;while(0);h=C+(c<<4)|0;c=C+(r<<4)|0;r=j;if((r|0)==(m|0))D=h;else{C=((m+-16-j|0)>>>4)+1|0;j=r;r=h;while(1){f[r>>2]=f[j>>2];f[r+4>>2]=f[j+4>>2];f[r+8>>2]=f[j+8>>2];f[r+12>>2]=f[j+12>>2];j=j+16|0;if((j|0)==(m|0))break;else r=r+16|0}D=h+(C<<4)|0}if(!b)E=h;else{b=i+-16-g|0;g=i;C=h;do{r=C;C=C+-16|0;m=g;g=g+-16|0;f[C>>2]=f[g>>2];f[r+-12>>2]=f[m+-12>>2];f[r+-8>>2]=f[m+-8>>2];f[r+-4>>2]=f[m+-4>>2]}while((g|0)!=(e|0));E=h+(~(b>>>4)<<4)|0}b=E;if((q|0)==(i|0))F=D;else{E=q+-16-o|0;o=i;i=D;while(1){f[i>>2]=f[o>>2];f[i+4>>2]=f[o+4>>2];f[i+8>>2]=f[o+8>>2];f[i+12>>2]=f[o+12>>2];o=o+16|0;if((o|0)==(q|0))break;else i=i+16|0}F=D+((E>>>4)+1<<4)|0}f[a>>2]=b;f[p>>2]=F;f[d>>2]=c;if(!e){n=h;return n|0}Emc(e);n=h;return n|0}function _1(a){a=a|0;Emc(a);return}function $1(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0.0,na=0,oa=0,pa=0,qa=0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0.0,Na=0,Oa=0.0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0.0,Va=0;c=u;u=u+3376|0;d=c+3312|0;e=c+3256|0;g=c+3240|0;h=c+3224|0;i=c+2160|0;j=c+1096|0;k=c+32|0;l=c;m=c+24|0;o=c+20|0;p=c+16|0;f[h>>2]=0;q=h+4|0;f[q>>2]=0;f[h+8>>2]=0;r=a+28|0;s=a+36|0;t=+n[s>>2];v=U9b(+((f[a+32>>2]|0)-(f[r>>2]|0)|0)/t*10.0)|0;w=i+8|0;f[i>>2]=w;x=i+4|0;f[x>>2]=v;if(v>>>0>264){y=Dmc(v>>>0>1073741823?-1:v<<2)|0;f[i>>2]=y}y=a+8|0;z=f[y>>2]|0;A=j+8|0;f[j>>2]=A;B=j+4|0;C=z>>>0>264;f[B>>2]=z;if(C){D=Dmc(z>>>0>1073741823?-1:z<<2)|0;f[j>>2]=D;E=D}else E=A;D=k+8|0;f[k>>2]=D;F=k+4|0;f[F>>2]=z;if(C){C=Dmc(z>>>0>1073741823?-1:z<<2)|0;f[k>>2]=C;G=C}else G=D;C=f[b>>2]|0;H=b+4|0;b=f[H>>2]|0;I=(C|0)==0?(b|0)==(f[a+40>>2]|0):0;do if((C|0)<(b|0)){J=a+12|0;K=a+20|0;L=a+4|0;M=a+44|0;N=a+48|0;O=g+8|0;P=g+12|0;Q=g+4|0;R=l+8|0;S=l+4|0;T=v+-1|0;U=(v|0)>1;V=e+36|0;W=e+16|0;X=e+4|0;Z=e+40|0;_=e+44|0;$=e+48|0;aa=d+36|0;ba=d+16|0;ca=d+4|0;da=d+40|0;ea=d+44|0;fa=d+48|0;ga=a+24|0;ha=d+4|0;ia=d+8|0;ja=d+12|0;ka=h+8|0;la=C;ma=t;na=z;while(1){oa=f[(f[f[J>>2]>>2]|0)+(la<<2)>>2]|0;pa=f[K>>2]|0;qa=(oa|0)/(pa|0)|0;ra=ma*(+(oa-(Y(qa,pa)|0)|0)+.5);sa=ma*(+(qa|0)+.5);qa=f[f[L>>2]>>2]|0;if((na|0)>0){ta=+n[M>>2];pa=0;oa=0;while(1){ua=ra-+(f[qa+(pa<<3)>>2]|0);va=sa-+(f[qa+(pa<<3)+4>>2]|0);wa=ua*ua+va*va;if(ta<=wa?wa<=+n[N>>2]:0){n[E+(oa<<2)>>2]=wa;xa=oa+1|0}else xa=oa;pa=pa+1|0;if((pa|0)==(na|0))break;else oa=xa}if(xa){Ri(d,1,xa,5,E,0);Ri(e,1,xa,5,G,0);f[O>>2]=0;f[P>>2]=0;f[g>>2]=-2130640891;f[Q>>2]=d;oa=R;f[oa>>2]=0;f[oa+4>>2]=0;f[l>>2]=-2113863675;f[S>>2]=e;DS(g,l);Drc(f[i>>2]|0,0,f[x>>2]<<2|0)|0;if((xa|0)>0){ta=+n[s>>2];oa=f[i>>2]|0;pa=0;do{qa=U9b((+n[G+(pa<<2)>>2]-+(f[r>>2]|0))/ta*10.0)|0;ya=(qa|0)<(T|0)?qa:T;qa=oa+(((ya|0)>0?ya:0)<<2)|0;f[qa>>2]=(f[qa>>2]|0)+1;pa=pa+1|0}while((pa|0)!=(xa|0))}a:do if(U){pa=f[i>>2]|0;oa=v;qa=0;ta=0.0;while(1){ya=oa+-1|0;wa=+(qa|0);b:do if(!(ta<1.1920928955078125e-07)){za=oa;Aa=ya;while(1){Ba=f[pa+(Aa<<2)>>2]|0;if(Ba){do if((Aa|0)>-1){Ca=za+-10|0;Da=Aa+-1|0;if((Aa|0)>(Ca|0)&(Aa|0)!=0){Ea=Da;Fa=Ba}else{Ga=Ba;Ha=Da;break}while(1){Da=(f[pa+(Ea<<2)>>2]|0)+Fa|0;Ia=Ea+-1|0;if((Ea|0)>(Ca|0)&(Ea|0)>0){Ea=Ia;Fa=Da}else{Ga=Da;Ha=Ia;break}}}else{Ga=0;Ha=Aa}while(0);va=+(Ha+Aa|0)*.5/10.0*+n[s>>2]+ +(f[r>>2]|0);if(!(ta*+(Ga|0)>=wa*va))Ja=Ha;else{Ka=Ga;La=Ha;Ma=va;break b}}else Ja=Aa;if((Ja|0)>1){za=Ja;Aa=Ja+-1|0}else{Na=qa;Oa=ta;break a}}}else{Aa=oa;za=ya;while(1){Ba=f[pa+(za<<2)>>2]|0;if(Ba){do if((za|0)>-1){Ca=Aa+-10|0;Ia=za+-1|0;if((za|0)>(Ca|0)&(za|0)!=0){Pa=Ia;Qa=Ba}else{Ra=Ba;Sa=Ia;break}while(1){Ia=(f[pa+(Pa<<2)>>2]|0)+Qa|0;Da=Pa+-1|0;if((Pa|0)>(Ca|0)&(Pa|0)>0){Pa=Da;Qa=Ia}else{Ra=Ia;Sa=Da;break}}}else{Ra=0;Sa=za}while(0);va=+(Sa+za|0)*.5/10.0*+n[s>>2]+ +(f[r>>2]|0);if((Ra|0)<(qa|0)?!(ta*+(Ra|0)>=wa*va):0)Ta=Sa;else{Ka=Ra;La=Sa;Ma=va;break b}}else Ta=za;if((Ta|0)>1){Aa=Ta;za=Ta+-1|0}else{Na=qa;Oa=ta;break a}}}while(0);if((La|0)>1){oa=La;qa=Ka;ta=Ma}else{Na=Ka;Oa=Ma;break}}}else{Na=0;Oa=0.0}while(0);qa=f[V>>2]|0;if(qa|0?(oa=qa+12|0,qa=f[oa>>2]|0,f[oa>>2]=qa+-1,(qa|0)==1):0)lP(e);f[V>>2]=0;f[W>>2]=0;f[W+4>>2]=0;f[W+8>>2]=0;f[W+12>>2]=0;if((f[X>>2]|0)>0){qa=f[Z>>2]|0;oa=0;do{f[qa+(oa<<2)>>2]=0;oa=oa+1|0}while((oa|0)<(f[X>>2]|0))}oa=f[_>>2]|0;if((oa|0)!=($|0))tE(oa);oa=f[aa>>2]|0;if(oa|0?(qa=oa+12|0,oa=f[qa>>2]|0,f[qa>>2]=oa+-1,(oa|0)==1):0)lP(d);f[aa>>2]=0;f[ba>>2]=0;f[ba+4>>2]=0;f[ba+8>>2]=0;f[ba+12>>2]=0;if((f[ca>>2]|0)>0){oa=f[da>>2]|0;qa=0;do{f[oa+(qa<<2)>>2]=0;qa=qa+1|0}while((qa|0)<(f[ca>>2]|0))}qa=f[ea>>2]|0;if((qa|0)!=(fa|0))tE(qa);Ua=Oa;Va=Na}else{Ua=0.0;Va=0}}else{Ua=0.0;Va=0}if((Va|0)>(f[ga>>2]|0)){n[d>>2]=ra;n[ha>>2]=sa;n[ia>>2]=Ua;f[ja>>2]=Va;qa=f[q>>2]|0;if((qa|0)==(f[ka>>2]|0))Y1(h,d);else{n[qa>>2]=ra;f[qa+4>>2]=f[ha>>2];f[qa+8>>2]=f[ia>>2];f[qa+12>>2]=Va;f[q>>2]=qa+16}}qa=la+1|0;if((qa|0)>=(f[H>>2]|0))break;la=qa;ma=+n[s>>2];na=f[y>>2]|0}na=f[h>>2]|0;la=f[q>>2]|0;if((na|0)!=(la|0)){f[d>>2]=502;P1(na,la,d);if(I){la=f[a+16>>2]|0;na=f[la>>2]|0;f[la>>2]=f[h>>2];f[h>>2]=na;na=la+4|0;ia=f[na>>2]|0;f[na>>2]=f[q>>2];f[q>>2]=ia;ia=la+8|0;la=h+8|0;na=f[ia>>2]|0;f[ia>>2]=f[la>>2];f[la>>2]=na;break}na=f[a+52>>2]|0;SR(na);la=f[a+16>>2]|0;ia=f[la>>2]|0;ha=la+4|0;ka=f[ha>>2]|0;ja=ka;if((ia|0)==(ka|0)){f[la>>2]=f[h>>2];f[h>>2]=ia;f[ha>>2]=f[q>>2];f[q>>2]=ja;ha=la+8|0;ia=h+8|0;ka=f[ha>>2]|0;f[ha>>2]=f[ia>>2];f[ia>>2]=ka}else{f[m>>2]=ja;f[o>>2]=f[h>>2];f[p>>2]=f[q>>2];f[g>>2]=f[m>>2];f[e>>2]=f[o>>2];f[d>>2]=f[p>>2];Z1(la,g,e,d)|0}TR(na)}}while(0);d=f[k>>2]|0;if((d|0)!=(D|0)){if(d|0)Fmc(d);f[k>>2]=D;f[F>>2]=264}F=f[j>>2]|0;if((F|0)!=(A|0)){if(F|0)Fmc(F);f[j>>2]=A;f[B>>2]=264}B=f[i>>2]|0;if((B|0)!=(w|0)){if(B|0)Fmc(B);f[i>>2]=w;f[x>>2]=264}x=f[h>>2]|0;if(!x){u=c;return}h=f[q>>2]|0;if((h|0)!=(x|0))f[q>>2]=h+(~((h+-16-x|0)>>>4)<<4);Emc(x);u=c;return}function a2(a){a=a|0;Emc(a);return}function b2(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;c=u;u=u+48|0;d=c+32|0;e=c+28|0;g=c+24|0;h=c+12|0;i=c+8|0;j=c+4|0;k=c;l=f[b>>2]|0;m=f[b+4>>2]|0;f[h>>2]=0;b=h+4|0;f[b>>2]=0;f[h+8>>2]=0;n=(l|0)==1?(m|0)==((f[(f[a+4>>2]|0)+8>>2]|0)+-1|0):0;o=(l|0)>1?l:1;l=(f[a+20>>2]|0)+-1|0;p=(m|0)<(l|0)?m:l;do if((o|0)<(p|0)){l=a+16|0;m=a+24|0;q=a+12|0;r=h+8|0;s=o;t=f[l>>2]|0;while(1){v=Y(t,s)|0;w=v+1|0;f[d>>2]=w;if((t+-1|0)>1){x=1;y=t;z=v;v=w;while(1){w=f[m>>2]|0;A=f[w+(v<<2)>>2]|0;do if(((((A|0)>(f[q>>2]|0)?(A|0)>(f[w+(z<<2)>>2]|0):0)?(A|0)>=(f[w+(z+2<<2)>>2]|0):0)?(A|0)>(f[w+(v-y<<2)>>2]|0):0)?(A|0)>=(f[w+(y+v<<2)>>2]|0):0){B=f[b>>2]|0;if((B|0)==(f[r>>2]|0)){MR(h,d);break}else{f[B>>2]=v;f[b>>2]=B+4;break}}while(0);x=x+1|0;z=f[d>>2]|0;v=z+1|0;f[d>>2]=v;w=f[l>>2]|0;if((x|0)>=(w+-1|0)){C=w;break}else y=w}}else C=t;s=s+1|0;if((s|0)>=(p|0))break;else t=C}t=f[h>>2]|0;s=f[b>>2]|0;if((t|0)!=(s|0)){if(!n){l=f[a+28>>2]|0;SR(l);r=f[a+8>>2]|0;f[i>>2]=f[r+4>>2];f[j>>2]=f[h>>2];f[k>>2]=f[b>>2];f[g>>2]=f[i>>2];f[e>>2]=f[j>>2];f[d>>2]=f[k>>2];d2(r,g,e,d)|0;TR(l);D=19;break}l=f[a+8>>2]|0;if((l|0)==(h|0))D=19;else{c2(l,t,s);D=19}}else E=t}else D=19;while(0);if((D|0)==19)E=f[h>>2]|0;if(!E){u=c;return}h=f[b>>2]|0;if((h|0)!=(E|0))f[b>>2]=h+(~((h+-4-E|0)>>>2)<<2);Emc(E);u=c;return}function c2(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=c;e=b;g=d-e|0;h=g>>2;i=a+8|0;j=f[i>>2]|0;k=f[a>>2]|0;l=k;if(h>>>0<=j-k>>2>>>0){m=a+4|0;n=(f[m>>2]|0)-k>>2;o=h>>>0>n>>>0;p=o?b+(n<<2)|0:c;c=p;n=c-e|0;e=n>>2;if(e|0)Mrc(k|0,b|0,n|0)|0;n=l+(e<<2)|0;if(o){o=d-c|0;if((o|0)<=0)return;Krc(f[m>>2]|0,p|0,o|0)|0;f[m>>2]=(f[m>>2]|0)+(o>>>2<<2);return}else{o=f[m>>2]|0;if((o|0)==(n|0))return;f[m>>2]=o+(~((o+-4-n|0)>>>2)<<2);return}}n=k;if(!k)q=j;else{j=a+4|0;o=f[j>>2]|0;if((o|0)!=(l|0))f[j>>2]=o+(~((o+-4-k|0)>>>2)<<2);Emc(n);f[i>>2]=0;f[j>>2]=0;f[a>>2]=0;q=0}if(h>>>0>1073741823)Ukc(a);j=q>>1;n=q>>2>>>0<536870911?(j>>>0<h>>>0?h:j):1073741823;if(n>>>0>1073741823)Ukc(a);j=Bmc(n<<2)|0;h=a+4|0;f[h>>2]=j;f[a>>2]=j;f[i>>2]=j+(n<<2);if((g|0)<=0)return;Krc(j|0,b|0,g|0)|0;f[h>>2]=j+(g>>>2<<2);return}function d2(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;e=f[a>>2]|0;g=e;h=(f[b>>2]|0)-g|0;b=e+(h>>2<<2)|0;i=f[c>>2]|0;j=f[d>>2]|0;d=j-i|0;k=d>>2;l=j;if((d|0)<=0){m=b;return m|0}d=a+8|0;n=f[d>>2]|0;o=a+4|0;p=f[o>>2]|0;q=p;if((k|0)<=(n-q>>2|0)){r=b;s=q-r|0;t=s>>2;if((k|0)>(t|0)){u=i+(t<<2)|0;t=u;if((u|0)==(l|0))v=p;else{w=l+-4-t|0;x=u;u=p;while(1){f[u>>2]=f[x>>2];x=x+4|0;if((x|0)==(l|0))break;else u=u+4|0}u=p+((w>>>2)+1<<2)|0;f[o>>2]=u;v=u}if((s|0)>0){y=t;z=v}else{m=b;return m|0}}else{y=j;z=p}j=z-(b+(k<<2))|0;v=j>>2;t=b+(v<<2)|0;if(t>>>0<p>>>0){s=(p+(0-v<<2)+~r|0)>>>2;r=t;t=z;while(1){f[t>>2]=f[r>>2];r=r+4|0;if(r>>>0>=p>>>0)break;else t=t+4|0}f[o>>2]=z+(s+1<<2)}if(!v)A=i;else{Mrc(z+(0-v<<2)|0,b|0,j|0)|0;A=f[c>>2]|0}c=y-A|0;if(!c){m=b;return m|0}Mrc(b|0,A|0,c|0)|0;m=b;return m|0}c=(q-g>>2)+k|0;if(c>>>0>1073741823)Ukc(a);k=n-g|0;g=k>>1;n=k>>2>>>0<536870911?(g>>>0<c>>>0?c:g):1073741823;g=b;c=h>>2;do if(n)if(n>>>0>1073741823){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{B=Bmc(n<<2)|0;break}else B=0;while(0);k=B+(c<<2)|0;A=B+(n<<2)|0;n=i;if((n|0)==(l|0))C=k;else{B=((l+-4-i|0)>>>2)+1|0;i=n;n=k;while(1){f[n>>2]=f[i>>2];i=i+4|0;if((i|0)==(l|0))break;else n=n+4|0}C=k+(B<<2)|0}B=k+(0-c<<2)|0;if((h|0)>0)Krc(B|0,e|0,h|0)|0;h=q-g|0;if((h|0)>0){Krc(C|0,b|0,h|0)|0;D=C+(h>>>2<<2)|0}else D=C;f[a>>2]=B;f[o>>2]=D;f[d>>2]=A;if(!e){m=k;return m|0}Emc(e);m=k;return m|0}function e2(a){a=a|0;Emc(a);return}function f2(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0.0,V=0.0,W=0.0,X=0,Z=0.0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0;e=u;u=u+176|0;g=e+160|0;h=e;i=e+144|0;j=e+88|0;k=e+32|0;l=a+40|0;m=(f[l>>2]|0)+2|0;o=a+36|0;p=(f[o>>2]|0)+2|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[h+28>>2]=0;f[j>>2]=1124007936;q=j+4|0;r=j+8|0;s=j+40|0;t=q;v=t+36|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(v|0));f[s>>2]=r;t=j+48|0;v=j+44|0;f[v>>2]=t;f[t>>2]=0;f[j+52>>2]=0;f[g>>2]=m;f[g+4>>2]=p;iP(j,2,g,4);nT(j,h)|0;p=j+16|0;m=f[p>>2]|0;w=a+32|0;x=f[w>>2]|0;y=f[x+8>>2]|0;z=f[x+12>>2]|0;b[g>>0]=0;J1(k,y,z,g);z=f[c>>2]|0;y=f[c+4>>2]|0;c=a+4|0;x=f[c>>2]|0;A=f[x+12>>2]|0;if((f[x>>2]&16384|0)!=0?(f[f[a+8>>2]>>2]&16384|0)!=0:0){B=(f[f[a+12>>2]>>2]&16384|0)!=0;C=Y(B?y-z|0:1,A)|0;D=B?z+1|0:y;E=C}else{D=y;E=A}a:do if((z|0)<(D|0)){A=a+8|0;y=a+12|0;C=(E|0)>0;B=k+16|0;F=k+44|0;G=a+24|0;H=a+16|0;I=a+20|0;J=a+44|0;K=z;L=x;while(1){N=(f[L+16>>2]|0)+(Y(f[f[L+44>>2]>>2]|0,K)|0)|0;O=f[A>>2]|0;P=(f[O+16>>2]|0)+(Y(f[f[O+44>>2]>>2]|0,K)|0)|0;O=f[y>>2]|0;Q=(f[O+16>>2]|0)+(Y(f[f[O+44>>2]>>2]|0,K)|0)|0;if(C){O=0;do{b:do if((O|0)<(E|0)){R=O;while(1){if(b[N+R>>0]|0){S=R;break b}T=R+1|0;if((T|0)<(E|0))R=T;else{S=T;break}}}else S=O;while(0);c:do if(((S|0)!=(E|0)?(R=d[P+(S<<1)>>1]|0,U=+(R<<16>>16),T=d[Q+(S<<1)>>1]|0,V=+(T<<16>>16),(T|R)<<16>>16):0)?(W=+M(+(U*U+V*V)),!(W<1.0)):0){R=f[(f[c>>2]|0)+12>>2]|0;T=(S|0)%(R|0)|0;X=((S|0)/(R|0)|0)+K|0;R=(f[B>>2]|0)+(Y(f[f[F>>2]>>2]|0,X)|0)+T|0;b[R>>0]=1;Z=+n[G>>2];R=U9b(U*Z*1024.0/W)|0;_=U9b(V*Z*1024.0/W)|0;$=U9b(+(T|0)*Z*1024.0)|0;T=U9b(+(X|0)*Z*1024.0)|0;X=f[H>>2]|0;aa=f[I>>2]|0;if((X|0)>(aa|0)){ba=X;ca=aa}else{da=X;ea=(Y(X,_)|0)+T|0;fa=(Y(X,R)|0)+$|0;X=aa;while(1){aa=fa>>10;ga=ea>>10;if(aa>>>0>=(f[o>>2]|0)>>>0){ha=X;break}if(ga>>>0>=(f[l>>2]|0)>>>0){ha=X;break}ia=m+((Y(f[J>>2]|0,ga)|0)+aa<<2)|0;f[ia>>2]=(f[ia>>2]|0)+1;ia=f[I>>2]|0;if((da|0)<(ia|0)){da=da+1|0;ea=ea+_|0;fa=fa+R|0;X=ia}else{ha=ia;break}}ba=f[H>>2]|0;ca=ha}if((ba|0)<=(ca|0)){X=ba;fa=(Y(ba,0-_|0)|0)+T|0;ea=(Y(ba,0-R|0)|0)+$|0;while(1){da=ea>>10;ia=fa>>10;if(da>>>0>=(f[o>>2]|0)>>>0)break c;if(ia>>>0>=(f[l>>2]|0)>>>0)break c;aa=m+((Y(f[J>>2]|0,ia)|0)+da<<2)|0;f[aa>>2]=(f[aa>>2]|0)+1;if((X|0)<(f[I>>2]|0)){X=X+1|0;fa=fa-_|0;ea=ea-R|0}else break}}}while(0);O=S+1|0}while((O|0)<(E|0))}O=K+1|0;if((O|0)==(D|0))break a;K=O;L=f[c>>2]|0}}while(0);c=f[a+48>>2]|0;SR(c);D=f[a+28>>2]|0;a=D+4|0;E=f[a>>2]|0;if((E|0)==(f[D+8>>2]|0))g2(D,j);else{f[E>>2]=f[j>>2];D=E+4|0;f[D>>2]=f[q>>2];S=E+8|0;f[S>>2]=f[r>>2];f[E+12>>2]=f[j+12>>2];f[E+16>>2]=f[p>>2];f[E+20>>2]=f[j+20>>2];f[E+24>>2]=f[j+24>>2];f[E+28>>2]=f[j+28>>2];f[E+32>>2]=f[j+32>>2];r=f[j+36>>2]|0;f[E+36>>2]=r;f[E+40>>2]=S;S=E+48|0;m=E+44|0;f[m>>2]=S;f[S>>2]=0;f[E+52>>2]=0;if(r|0){S=r+12|0;f[S>>2]=(f[S>>2]|0)+1}if((f[q>>2]|0)<3){S=f[v>>2]|0;r=f[m>>2]|0;f[r>>2]=f[S>>2];f[r+4>>2]=f[S+4>>2]}else{f[D>>2]=0;kP(E,j)}f[a>>2]=(f[a>>2]|0)+56}a=f[w>>2]|0;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=-2130640896;f[g+4>>2]=k;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=-2130640896;f[h+4>>2]=a;w=i+8|0;f[w>>2]=0;f[w+4>>2]=0;f[i>>2]=-2113863680;f[i+4>>2]=a;dH(g,h,i,rE()|0);TR(c);c=k+36|0;i=f[c>>2]|0;if(i|0?(h=i+12|0,i=f[h>>2]|0,f[h>>2]=i+-1,(i|0)==1):0)lP(k);f[c>>2]=0;c=k+16|0;i=k+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[i>>2]|0)>0){c=f[k+40>>2]|0;h=0;do{f[c+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[i>>2]|0))}i=f[k+44>>2]|0;if((i|0)!=(k+48|0))tE(i);i=j+36|0;k=f[i>>2]|0;if(k|0?(h=k+12|0,k=f[h>>2]|0,f[h>>2]=k+-1,(k|0)==1):0)lP(j);f[i>>2]=0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[q>>2]|0)>0){p=f[s>>2]|0;s=0;do{f[p+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[q>>2]|0))}q=f[v>>2]|0;if((q|0)==(t|0)){u=e;return}tE(q);u=e;return}function g2(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+32|0;d=c;e=f[a>>2]|0;g=((f[a+4>>2]|0)-e|0)/56|0;h=g+1|0;if(h>>>0>76695844)Ukc(a);i=((f[a+8>>2]|0)-e|0)/56|0;e=i<<1;j=i>>>0<38347922?(e>>>0<h>>>0?h:e):76695844;f[d+12>>2]=0;f[d+16>>2]=a+8;do if(j)if(j>>>0>76695844){e=ye(8)|0;Jmc(e,511852);f[e>>2]=165276;Gf(e|0,26776,1555)}else{k=Bmc(j*56|0)|0;break}else k=0;while(0);f[d>>2]=k;e=k+(g*56|0)|0;h=d+8|0;f[h>>2]=e;f[d+4>>2]=e;f[d+12>>2]=k+(j*56|0);f[e>>2]=f[b>>2];j=k+(g*56|0)+4|0;i=b+4|0;l=f[i>>2]|0;f[j>>2]=l;m=k+(g*56|0)+8|0;f[m>>2]=f[b+8>>2];f[k+(g*56|0)+12>>2]=f[b+12>>2];f[k+(g*56|0)+16>>2]=f[b+16>>2];f[k+(g*56|0)+20>>2]=f[b+20>>2];f[k+(g*56|0)+24>>2]=f[b+24>>2];f[k+(g*56|0)+28>>2]=f[b+28>>2];f[k+(g*56|0)+32>>2]=f[b+32>>2];n=f[b+36>>2]|0;f[k+(g*56|0)+36>>2]=n;f[k+(g*56|0)+40>>2]=m;m=k+(g*56|0)+48|0;o=k+(g*56|0)+44|0;f[o>>2]=m;f[m>>2]=0;f[k+(g*56|0)+52>>2]=0;if(!n)p=l;else{l=n+12|0;f[l>>2]=(f[l>>2]|0)+1;p=f[i>>2]|0}if((p|0)<3){p=f[b+44>>2]|0;i=f[o>>2]|0;f[i>>2]=f[p>>2];f[i+4>>2]=f[p+4>>2];q=f[h>>2]|0;r=q+56|0;f[h>>2]=r;mt(a,d);nt(d);u=c;return}else{f[j>>2]=0;kP(e,b);q=f[h>>2]|0;r=q+56|0;f[h>>2]=r;mt(a,d);nt(d);u=c;return}}function h2(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;i=u;u=u+208|0;j=i+144|0;k=i+88|0;l=i+72|0;m=i+16|0;n=i;if((h+-5|0)>>>0>=2){f[j>>2]=0;f[j+4>>2]=0;o=YG(j,34)|0;p=258838;q=o+34|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,j,239714,239550,61)}iE(a,3,1,h,-1,1,0);iE(c,3,1,h,-1,1,0);do if((pD(a)|0)==65536){r=f[a+4>>2]|0;f[j>>2]=f[r>>2];s=j+4|0;t=r+4|0;f[s>>2]=f[t>>2];v=j+8|0;f[v>>2]=f[r+8>>2];f[j+12>>2]=f[r+12>>2];f[j+16>>2]=f[r+16>>2];f[j+20>>2]=f[r+20>>2];f[j+24>>2]=f[r+24>>2];f[j+28>>2]=f[r+28>>2];f[j+32>>2]=f[r+32>>2];w=f[r+36>>2]|0;f[j+36>>2]=w;f[j+40>>2]=v;v=j+48|0;x=j+44|0;f[x>>2]=v;f[v>>2]=0;f[j+52>>2]=0;if(w|0){v=w+12|0;f[v>>2]=(f[v>>2]|0)+1}if((f[t>>2]|0)<3){t=f[r+44>>2]|0;v=f[x>>2]|0;f[v>>2]=f[t>>2];f[v+4>>2]=f[t+4>>2];break}else{f[s>>2]=0;kP(j,r);break}}else lD(j,a,-1);while(0);do if((pD(c)|0)==65536){a=f[c+4>>2]|0;f[k>>2]=f[a>>2];r=k+4|0;s=a+4|0;f[r>>2]=f[s>>2];t=k+8|0;f[t>>2]=f[a+8>>2];f[k+12>>2]=f[a+12>>2];f[k+16>>2]=f[a+16>>2];f[k+20>>2]=f[a+20>>2];f[k+24>>2]=f[a+24>>2];f[k+28>>2]=f[a+28>>2];f[k+32>>2]=f[a+32>>2];v=f[a+36>>2]|0;f[k+36>>2]=v;f[k+40>>2]=t;t=k+48|0;x=k+44|0;f[x>>2]=t;f[t>>2]=0;f[k+52>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[a+44>>2]|0;t=f[x>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2];break}else{f[r>>2]=0;kP(k,a);break}}else lD(k,c,-1);while(0);if(!((e|d|0)>-1&(e+d|0)==1)){f[l>>2]=0;f[l+4>>2]=0;o=YG(l,32)|0;p=239731;q=o+32|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,l,239714,239550,67)}p=m+4|0;o=m+8|0;q=m+12|0;c=m+16|0;a=m+20|0;r=m+24|0;s=m+28|0;t=m+40|0;x=m+48|0;v=m+44|0;w=m+52|0;y=n+8|0;z=n+4|0;A=m+36|0;B=l+4|0;C=l+8|0;if(g){switch(d|0){case 0:{D=3;E=10;F=3;G=42;break}case 1:{D=1;E=0;F=-1;G=42;break}default:{}}if((G|0)==42){f[l>>2]=F;f[B>>2]=E;f[C>>2]=D}D=f[j+8>>2]|0;E=f[j+12>>2]|0;f[m>>2]=1124007940;f[p>>2]=2;f[o>>2]=D;f[q>>2]=E;f[c>>2]=l;f[a>>2]=l;F=r+8|0;f[F>>2]=0;f[F+4>>2]=0;f[t>>2]=o;f[v>>2]=x;F=E<<2;f[x>>2]=F;f[w>>2]=4;g=l+((Y(E,D)|0)<<2)|0;f[s>>2]=g;f[r>>2]=g+(0-F)+F;hP(m);F=y;f[F>>2]=0;f[F+4>>2]=0;f[n>>2]=33619968;f[z>>2]=j;IO(m,n,h,(d|0)==1?1.0:.03125,0.0);F=f[A>>2]|0;if(F|0?(g=F+12|0,F=f[g>>2]|0,f[g>>2]=F+-1,(F|0)==1):0)lP(m);f[A>>2]=0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[p>>2]|0)>0){F=f[t>>2]|0;g=0;do{f[F+(g<<2)>>2]=0;g=g+1|0}while((g|0)<(f[p>>2]|0))}g=f[v>>2]|0;if((g|0)!=(x|0))tE(g);switch(e|0){case 0:{H=3;I=10;J=3;G=62;break}case 1:{H=1;I=0;J=-1;G=62;break}default:{}}if((G|0)==62){f[l>>2]=J;f[B>>2]=I;f[C>>2]=H}H=f[k+8>>2]|0;I=f[k+12>>2]|0;f[m>>2]=1124007940;f[p>>2]=2;f[o>>2]=H;f[q>>2]=I;f[c>>2]=l;f[a>>2]=l;J=r+8|0;f[J>>2]=0;f[J+4>>2]=0;f[t>>2]=o;f[v>>2]=x;J=I<<2;f[x>>2]=J;f[w>>2]=4;g=l+((Y(I,H)|0)<<2)|0;f[s>>2]=g;f[r>>2]=g+(0-J)+J;hP(m);J=y;f[J>>2]=0;f[J+4>>2]=0;f[n>>2]=33619968;f[z>>2]=k;IO(m,n,h,(e|0)==1?1.0:.03125,0.0);J=f[A>>2]|0;if(J|0?(g=J+12|0,J=f[g>>2]|0,f[g>>2]=J+-1,(J|0)==1):0)lP(m);f[A>>2]=0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[p>>2]|0)>0){J=f[t>>2]|0;g=0;do{f[J+(g<<2)>>2]=0;g=g+1|0}while((g|0)<(f[p>>2]|0))}g=f[v>>2]|0;if((g|0)!=(x|0))tE(g)}else{switch(d|0){case 0:{K=3;L=10;M=3;G=22;break}case 1:{K=1;L=0;M=-1;G=22;break}default:{}}if((G|0)==22){f[l>>2]=M;f[B>>2]=L;f[C>>2]=K}K=f[j+8>>2]|0;L=f[j+12>>2]|0;f[m>>2]=1124007940;f[p>>2]=2;f[o>>2]=K;f[q>>2]=L;f[c>>2]=l;f[a>>2]=l;M=r+8|0;f[M>>2]=0;f[M+4>>2]=0;f[t>>2]=o;f[v>>2]=x;M=L<<2;f[x>>2]=M;f[w>>2]=4;d=l+((Y(L,K)|0)<<2)|0;f[s>>2]=d;f[r>>2]=d+(0-M)+M;hP(m);M=y;f[M>>2]=0;f[M+4>>2]=0;f[n>>2]=33619968;f[z>>2]=j;IO(m,n,h,1.0,0.0);M=f[A>>2]|0;if(M|0?(d=M+12|0,M=f[d>>2]|0,f[d>>2]=M+-1,(M|0)==1):0)lP(m);f[A>>2]=0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[p>>2]|0)>0){M=f[t>>2]|0;d=0;do{f[M+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[p>>2]|0))}d=f[v>>2]|0;if((d|0)!=(x|0))tE(d);switch(e|0){case 0:{N=3;O=10;P=3;G=73;break}case 1:{N=1;O=0;P=-1;G=73;break}default:{}}if((G|0)==73){f[l>>2]=P;f[B>>2]=O;f[C>>2]=N}N=f[k+8>>2]|0;C=f[k+12>>2]|0;f[m>>2]=1124007940;f[p>>2]=2;f[o>>2]=N;f[q>>2]=C;f[c>>2]=l;f[a>>2]=l;a=r+8|0;f[a>>2]=0;f[a+4>>2]=0;f[t>>2]=o;f[v>>2]=x;o=C<<2;f[x>>2]=o;f[w>>2]=4;w=l+((Y(C,N)|0)<<2)|0;f[s>>2]=w;f[r>>2]=w+(0-o)+o;hP(m);o=y;f[o>>2]=0;f[o+4>>2]=0;f[n>>2]=33619968;f[z>>2]=k;IO(m,n,h,1.0,0.0);h=f[A>>2]|0;if(h|0?(n=h+12|0,h=f[n>>2]|0,f[n>>2]=h+-1,(h|0)==1):0)lP(m);f[A>>2]=0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[p>>2]|0)>0){c=f[t>>2]|0;t=0;do{f[c+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[p>>2]|0))}p=f[v>>2]|0;if((p|0)!=(x|0))tE(p)}p=k+36|0;x=f[p>>2]|0;if(x|0?(v=x+12|0,x=f[v>>2]|0,f[v>>2]=x+-1,(x|0)==1):0)lP(k);f[p>>2]=0;p=k+16|0;x=k+4|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[x>>2]|0)>0){p=f[k+40>>2]|0;v=0;do{f[p+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[x>>2]|0))}x=f[k+44>>2]|0;if((x|0)!=(k+48|0))tE(x);x=j+36|0;k=f[x>>2]|0;if(k|0?(v=k+12|0,k=f[v>>2]|0,f[v>>2]=k+-1,(k|0)==1):0)lP(j);f[x>>2]=0;x=j+16|0;k=j+4|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[k>>2]|0)>0){x=f[j+40>>2]|0;v=0;do{f[x+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[k>>2]|0))}k=f[j+44>>2]|0;if((k|0)==(j+48|0)){u=i;return}tE(k);u=i;return}function i2(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0.0;j=u;u=u+208|0;k=j+144|0;l=j+88|0;m=j+72|0;n=j+16|0;o=j;p=(g|0)==1;q=(d|0)>0&p?3:g;r=(e|0)>0&p?3:g;if((i+-5|0)>>>0>=2){f[k>>2]=0;f[k+4>>2]=0;s=YG(k,34)|0;t=258838;v=s+34|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));SQ(-215,k,239534,239550,96)}iE(a,q,1,i,-1,1,0);iE(c,r,1,i,-1,1,0);do if((pD(a)|0)==65536){p=f[a+4>>2]|0;f[k>>2]=f[p>>2];w=k+4|0;x=p+4|0;f[w>>2]=f[x>>2];y=k+8|0;f[y>>2]=f[p+8>>2];f[k+12>>2]=f[p+12>>2];f[k+16>>2]=f[p+16>>2];f[k+20>>2]=f[p+20>>2];f[k+24>>2]=f[p+24>>2];f[k+28>>2]=f[p+28>>2];f[k+32>>2]=f[p+32>>2];z=f[p+36>>2]|0;f[k+36>>2]=z;f[k+40>>2]=y;y=k+48|0;A=k+44|0;f[A>>2]=y;f[y>>2]=0;f[k+52>>2]=0;if(z|0){y=z+12|0;f[y>>2]=(f[y>>2]|0)+1}if((f[x>>2]|0)<3){x=f[p+44>>2]|0;y=f[A>>2]|0;f[y>>2]=f[x>>2];f[y+4>>2]=f[x+4>>2];break}else{f[w>>2]=0;kP(k,p);break}}else lD(k,a,-1);while(0);do if((pD(c)|0)==65536){a=f[c+4>>2]|0;f[l>>2]=f[a>>2];p=l+4|0;w=a+4|0;f[p>>2]=f[w>>2];x=l+8|0;f[x>>2]=f[a+8>>2];f[l+12>>2]=f[a+12>>2];f[l+16>>2]=f[a+16>>2];f[l+20>>2]=f[a+20>>2];f[l+24>>2]=f[a+24>>2];f[l+28>>2]=f[a+28>>2];f[l+32>>2]=f[a+32>>2];y=f[a+36>>2]|0;f[l+36>>2]=y;f[l+40>>2]=x;x=l+48|0;A=l+44|0;f[A>>2]=x;f[x>>2]=0;f[l+52>>2]=0;if(y|0){x=y+12|0;f[x>>2]=(f[x>>2]|0)+1}if((f[w>>2]|0)<3){w=f[a+44>>2]|0;x=f[A>>2]|0;f[x>>2]=f[w>>2];f[x+4>>2]=f[w+4>>2];break}else{f[p>>2]=0;kP(l,a);break}}else lD(l,c,-1);while(0);if((g|0)>31|(g&1|0)==0){f[m>>2]=0;f[m+4>>2]=0;s=YG(m,50)|0;t=239617;v=s+50|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));SQ(-211,m,239534,239550,104)}g=((q|0)<(r|0)?r:q)+1|0;f[m>>2]=0;c=m+4|0;f[c>>2]=0;f[m+8>>2]=0;do if(g|0)if(g>>>0>1073741823)Ukc(m);else{a=g<<2;p=Bmc(a)|0;f[m>>2]=p;w=p+(g<<2)|0;f[m+8>>2]=w;Drc(p|0,0,a|0)|0;f[c>>2]=w;break}while(0);if(!((e|d|0)>-1&(e+d|0)>0)){f[n>>2]=0;f[n+4>>2]=0;s=YG(n,31)|0;t=239668;v=s+31|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));SQ(-215,n,239534,239550,107)}g=o+8|0;w=o+4|0;a=n+36|0;p=n+16|0;x=n+4|0;A=n+40|0;y=n+44|0;z=n+48|0;B=0;do{C=(B|0)==0;D=C?k:l;E=C?d:e;F=C?q:r;if((F|0)<=(E|0)){G=31;break}switch(F|0){case 1:{C=f[m>>2]|0;H=0;I=C;J=C;G=52;break}case 3:{do if(E){C=f[m>>2]|0;if((E|0)==1){f[C>>2]=-1;K=0;L=C;M=C;break}else{f[C>>2]=1;K=-2;L=C;M=C;break}}else{C=f[m>>2]|0;f[C>>2]=1;K=2;L=C;M=C}while(0);f[L+4>>2]=K;H=2;I=L;J=M;G=52;break}default:{C=f[m>>2]|0;N=1;O=0;while(1){f[C+(O<<2)>>2]=N;if((O|0)<(F|0)){N=0;O=O+1|0}else break}O=F+~E|0;if((O|0)>0){N=f[m>>2]|0;if((F|0)<1)P=N;else{Q=0;do{R=f[N>>2]|0;S=R;T=1;U=R;while(1){R=f[N+(T<<2)>>2]|0;f[N+(T+-1<<2)>>2]=S;if((T|0)==(F|0))break;else{S=U+R|0;T=T+1|0;U=R}}Q=Q+1|0}while((Q|0)!=(O|0));P=N}}else P=C;if((E|0)>0){N=f[m>>2]|0;if((F|0)<1)V=N;else{O=0;do{Q=f[N>>2]|0;U=0-Q|0;T=1;S=Q;while(1){Q=f[N+(T<<2)>>2]|0;f[N+(T+-1<<2)>>2]=U;if((T|0)==(F|0))break;else{U=S-Q|0;T=T+1|0;S=Q}}O=O+1|0}while((O|0)!=(E|0));V=N}}else V=P}}if((G|0)==52){G=0;f[I+(H<<2)>>2]=1;V=J}Ri(n,f[D+8>>2]|0,f[D+12>>2]|0,4,V,0);if(h)W=1.0/+(1<<F+~E|0);else W=1.0;N=g;f[N>>2]=0;f[N+4>>2]=0;f[o>>2]=33619968;f[w>>2]=D;IO(n,o,i,W,0.0);N=f[a>>2]|0;if(N|0?(O=N+12|0,N=f[O>>2]|0,f[O>>2]=N+-1,(N|0)==1):0)lP(n);f[a>>2]=0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[x>>2]|0)>0){N=f[A>>2]|0;O=0;do{f[N+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[x>>2]|0))}O=f[y>>2]|0;if((O|0)!=(z|0))tE(O);B=B+1|0}while((B|0)<2);if((G|0)==31){f[n>>2]=0;f[n+4>>2]=0;s=YG(n,13)|0;t=239700;v=s+13|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));SQ(-215,n,239534,239550,115)}n=f[m>>2]|0;if(n|0){m=f[c>>2]|0;if((m|0)!=(n|0))f[c>>2]=m+(~((m+-4-n|0)>>>2)<<2);Emc(n)}n=l+36|0;m=f[n>>2]|0;if(m|0?(c=m+12|0,m=f[c>>2]|0,f[c>>2]=m+-1,(m|0)==1):0)lP(l);f[n>>2]=0;n=l+16|0;m=l+4|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[m>>2]|0)>0){n=f[l+40>>2]|0;c=0;do{f[n+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[m>>2]|0))}m=f[l+44>>2]|0;if((m|0)!=(l+48|0))tE(m);m=k+36|0;l=f[m>>2]|0;if(l|0?(c=l+12|0,l=f[c>>2]|0,f[c>>2]=l+-1,(l|0)==1):0)lP(k);f[m>>2]=0;m=k+16|0;l=k+4|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[l>>2]|0)>0){m=f[k+40>>2]|0;c=0;do{f[m+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[l>>2]|0))}l=f[k+44>>2]|0;if((l|0)==(k+48|0)){u=j;return}tE(l);u=j;return}function j2(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=+i;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;k=u;u=u+336|0;l=k+280|0;m=k+272|0;n=k+264|0;o=k+200|0;p=k+208|0;q=k+144|0;r=k+88|0;s=k+80|0;t=k+72|0;v=k+56|0;w=k+40|0;x=k+16|0;y=k;z=k+32|0;f[m>>2]=c;zT(n,50880);A=oD(a,-1)|0;B=A&7;if((c|0)<0){f[m>>2]=B;C=B}else C=c;nD(o,a,-1);HD(b,o,C&7|A&4088,-1,0,0);A=(C|0)<(B|0)?B:C;C=(A|0)>5?A:5;f[p>>2]=1124007936;A=p+4|0;B=p+8|0;o=p+40|0;c=A;D=c+36|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(D|0));f[o>>2]=B;B=p+48|0;E=p+44|0;f[E>>2]=B;f[B>>2]=0;f[p+52>>2]=0;f[q>>2]=1124007936;F=q+4|0;G=q+8|0;H=q+40|0;c=F;D=c+36|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(D|0));f[H>>2]=G;G=q+48|0;c=q+44|0;f[c>>2]=G;f[G>>2]=0;f[q+52>>2]=0;D=l+8|0;f[D>>2]=0;f[D+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=p;D=r+8|0;f[D>>2]=0;f[D+4>>2]=0;f[r>>2]=33619968;f[r+4>>2]=q;if((g|0)<1)h2(l,r,d,e,0,C);else i2(l,r,d,e,g,0,C);do if(h!=1.0)if(!d){C=l+8|0;f[C>>2]=0;f[C+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=p;IO(p,l,-1,h,0.0);break}else{C=l+8|0;f[C>>2]=0;f[C+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=q;IO(q,l,-1,h,0.0);break}while(0);do if((pD(a)|0)==65536){d=f[a+4>>2]|0;f[l>>2]=f[d>>2];C=l+4|0;g=d+4|0;f[C>>2]=f[g>>2];e=l+8|0;f[e>>2]=f[d+8>>2];f[l+12>>2]=f[d+12>>2];f[l+16>>2]=f[d+16>>2];f[l+20>>2]=f[d+20>>2];f[l+24>>2]=f[d+24>>2];f[l+28>>2]=f[d+28>>2];f[l+32>>2]=f[d+32>>2];D=f[d+36>>2]|0;f[l+36>>2]=D;f[l+40>>2]=e;e=l+48|0;I=l+44|0;f[I>>2]=e;f[e>>2]=0;f[l+52>>2]=0;if(D|0){e=D+12|0;f[e>>2]=(f[e>>2]|0)+1}if((f[g>>2]|0)<3){g=f[d+44>>2]|0;e=f[I>>2]|0;f[e>>2]=f[g>>2];f[e+4>>2]=f[g+4>>2];break}else{f[C>>2]=0;kP(l,d);break}}else lD(l,a,-1);while(0);do if((pD(b)|0)==65536){a=f[b+4>>2]|0;f[r>>2]=f[a>>2];d=r+4|0;C=a+4|0;f[d>>2]=f[C>>2];g=r+8|0;f[g>>2]=f[a+8>>2];f[r+12>>2]=f[a+12>>2];f[r+16>>2]=f[a+16>>2];f[r+20>>2]=f[a+20>>2];f[r+24>>2]=f[a+24>>2];f[r+28>>2]=f[a+28>>2];f[r+32>>2]=f[a+32>>2];e=f[a+36>>2]|0;f[r+36>>2]=e;f[r+40>>2]=g;g=r+48|0;I=r+44|0;f[I>>2]=g;f[g>>2]=0;f[r+52>>2]=0;if(e|0){g=e+12|0;f[g>>2]=(f[g>>2]|0)+1}if((f[C>>2]|0)<3){C=f[a+44>>2]|0;g=f[I>>2]|0;f[g>>2]=f[C>>2];f[g+4>>2]=f[C+4>>2];break}else{f[d>>2]=0;kP(r,a);break}}else lD(r,b,-1);while(0);f[s>>2]=0;f[s+4>>2]=0;b=f[l+8>>2]|0;f[t>>2]=f[l+12>>2];f[t+4>>2]=b;if(!(j&16))vP(l,t,s);s=l+16|0;t=l+44|0;b=r+16|0;a=r+44|0;f[v+8>>2]=0;f[v+12>>2]=0;f[v>>2]=16842752;f[v+4>>2]=l;d=w+8|0;f[d>>2]=0;f[d+4>>2]=0;f[w>>2]=33619968;f[w+4>>2]=r;d=f[m>>2]|0;f[x+8>>2]=0;f[x+12>>2]=0;f[x>>2]=16842752;f[x+4>>2]=p;f[y+8>>2]=0;f[y+12>>2]=0;f[y>>2]=16842752;f[y+4>>2]=q;f[z>>2]=-1;f[z+4>>2]=-1;zha(v,w,d,x,y,z,i,j);j=r+36|0;z=f[j>>2]|0;if(z|0?(y=z+12|0,z=f[y>>2]|0,f[y>>2]=z+-1,(z|0)==1):0)lP(r);f[j>>2]=0;j=r+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[j>>2]|0)>0){b=f[r+40>>2]|0;z=0;do{f[b+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[j>>2]|0))}j=f[a>>2]|0;if((j|0)!=(r+48|0))tE(j);j=l+36|0;r=f[j>>2]|0;if(r|0?(a=r+12|0,r=f[a>>2]|0,f[a>>2]=r+-1,(r|0)==1):0)lP(l);f[j>>2]=0;j=l+4|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[j>>2]|0)>0){s=f[l+40>>2]|0;r=0;do{f[s+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[j>>2]|0))}j=f[t>>2]|0;if((j|0)!=(l+48|0))tE(j);j=q+36|0;l=f[j>>2]|0;if(l|0?(t=l+12|0,l=f[t>>2]|0,f[t>>2]=l+-1,(l|0)==1):0)lP(q);f[j>>2]=0;j=q+16|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[F>>2]|0)>0){j=f[H>>2]|0;H=0;do{f[j+(H<<2)>>2]=0;H=H+1|0}while((H|0)<(f[F>>2]|0))}F=f[c>>2]|0;if((F|0)!=(G|0))tE(F);F=p+36|0;G=f[F>>2]|0;if(G|0?(c=G+12|0,G=f[c>>2]|0,f[c>>2]=G+-1,(G|0)==1):0)lP(p);f[F>>2]=0;F=p+16|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[A>>2]|0)>0){F=f[o>>2]|0;o=0;do{f[F+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[A>>2]|0))}A=f[E>>2]|0;if((A|0)!=(B|0))tE(A);if(!(f[n+4>>2]|0)){u=k;return}u=k;return}function k2(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=+h;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;j=u;u=u+336|0;k=j+280|0;l=j+272|0;m=j+264|0;n=j+200|0;o=j+208|0;p=j+144|0;q=j+88|0;r=j+80|0;s=j+72|0;t=j+56|0;v=j+40|0;w=j+16|0;x=j;y=j+32|0;f[l>>2]=c;zT(m,50900);z=oD(a,-1)|0;A=z&7;if((c|0)<0){f[l>>2]=A;B=A}else B=c;nD(n,a,-1);HD(b,n,B&7|z&4088,-1,0,0);z=(B|0)<(A|0)?A:B;B=(z|0)>5?z:5;f[o>>2]=1124007936;z=o+4|0;A=o+8|0;n=o+40|0;c=z;C=c+36|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(C|0));f[n>>2]=A;A=o+48|0;D=o+44|0;f[D>>2]=A;f[A>>2]=0;f[o+52>>2]=0;f[p>>2]=1124007936;E=p+4|0;F=p+8|0;G=p+40|0;c=E;C=c+36|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(C|0));f[G>>2]=F;F=p+48|0;c=p+44|0;f[c>>2]=F;f[F>>2]=0;f[p+52>>2]=0;C=k+8|0;f[C>>2]=0;f[C+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=o;C=q+8|0;f[C>>2]=0;f[C+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=p;h2(k,q,d,e,0,B);do if(g!=1.0)if(!d){B=k+8|0;f[B>>2]=0;f[B+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=o;IO(o,k,-1,g,0.0);break}else{B=k+8|0;f[B>>2]=0;f[B+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=p;IO(p,k,-1,g,0.0);break}while(0);do if((pD(a)|0)==65536){d=f[a+4>>2]|0;f[k>>2]=f[d>>2];B=k+4|0;e=d+4|0;f[B>>2]=f[e>>2];C=k+8|0;f[C>>2]=f[d+8>>2];f[k+12>>2]=f[d+12>>2];f[k+16>>2]=f[d+16>>2];f[k+20>>2]=f[d+20>>2];f[k+24>>2]=f[d+24>>2];f[k+28>>2]=f[d+28>>2];f[k+32>>2]=f[d+32>>2];H=f[d+36>>2]|0;f[k+36>>2]=H;f[k+40>>2]=C;C=k+48|0;I=k+44|0;f[I>>2]=C;f[C>>2]=0;f[k+52>>2]=0;if(H|0){C=H+12|0;f[C>>2]=(f[C>>2]|0)+1}if((f[e>>2]|0)<3){e=f[d+44>>2]|0;C=f[I>>2]|0;f[C>>2]=f[e>>2];f[C+4>>2]=f[e+4>>2];break}else{f[B>>2]=0;kP(k,d);break}}else lD(k,a,-1);while(0);do if((pD(b)|0)==65536){a=f[b+4>>2]|0;f[q>>2]=f[a>>2];d=q+4|0;B=a+4|0;f[d>>2]=f[B>>2];e=q+8|0;f[e>>2]=f[a+8>>2];f[q+12>>2]=f[a+12>>2];f[q+16>>2]=f[a+16>>2];f[q+20>>2]=f[a+20>>2];f[q+24>>2]=f[a+24>>2];f[q+28>>2]=f[a+28>>2];f[q+32>>2]=f[a+32>>2];C=f[a+36>>2]|0;f[q+36>>2]=C;f[q+40>>2]=e;e=q+48|0;I=q+44|0;f[I>>2]=e;f[e>>2]=0;f[q+52>>2]=0;if(C|0){e=C+12|0;f[e>>2]=(f[e>>2]|0)+1}if((f[B>>2]|0)<3){B=f[a+44>>2]|0;e=f[I>>2]|0;f[e>>2]=f[B>>2];f[e+4>>2]=f[B+4>>2];break}else{f[d>>2]=0;kP(q,a);break}}else lD(q,b,-1);while(0);f[r>>2]=0;f[r+4>>2]=0;b=f[k+8>>2]|0;f[s>>2]=f[k+12>>2];f[s+4>>2]=b;if(!(i&16))vP(k,s,r);r=k+16|0;s=k+44|0;b=q+16|0;a=q+44|0;f[t+8>>2]=0;f[t+12>>2]=0;f[t>>2]=16842752;f[t+4>>2]=k;d=v+8|0;f[d>>2]=0;f[d+4>>2]=0;f[v>>2]=33619968;f[v+4>>2]=q;d=f[l>>2]|0;f[w+8>>2]=0;f[w+12>>2]=0;f[w>>2]=16842752;f[w+4>>2]=o;f[x+8>>2]=0;f[x+12>>2]=0;f[x>>2]=16842752;f[x+4>>2]=p;f[y>>2]=-1;f[y+4>>2]=-1;zha(t,v,d,w,x,y,h,i);i=q+36|0;y=f[i>>2]|0;if(y|0?(x=y+12|0,y=f[x>>2]|0,f[x>>2]=y+-1,(y|0)==1):0)lP(q);f[i>>2]=0;i=q+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[i>>2]|0)>0){b=f[q+40>>2]|0;y=0;do{f[b+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[i>>2]|0))}i=f[a>>2]|0;if((i|0)!=(q+48|0))tE(i);i=k+36|0;q=f[i>>2]|0;if(q|0?(a=q+12|0,q=f[a>>2]|0,f[a>>2]=q+-1,(q|0)==1):0)lP(k);f[i>>2]=0;i=k+4|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[i>>2]|0)>0){r=f[k+40>>2]|0;q=0;do{f[r+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[i>>2]|0))}i=f[s>>2]|0;if((i|0)!=(k+48|0))tE(i);i=p+36|0;k=f[i>>2]|0;if(k|0?(s=k+12|0,k=f[s>>2]|0,f[s>>2]=k+-1,(k|0)==1):0)lP(p);f[i>>2]=0;i=p+16|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[E>>2]|0)>0){i=f[G>>2]|0;G=0;do{f[i+(G<<2)>>2]=0;G=G+1|0}while((G|0)<(f[E>>2]|0))}E=f[c>>2]|0;if((E|0)!=(F|0))tE(E);E=o+36|0;F=f[E>>2]|0;if(F|0?(c=F+12|0,F=f[c>>2]|0,f[c>>2]=F+-1,(F|0)==1):0)lP(o);f[E>>2]=0;E=o+16|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[z>>2]|0)>0){E=f[n>>2]|0;n=0;do{f[E+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[z>>2]|0))}z=f[D>>2]|0;if((z|0)!=(A|0))tE(z);if(!(f[m+4>>2]|0)){u=j;return}u=j;return}function l2(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=+g;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0;i=u;u=u+624|0;j=i+600|0;k=i+528|0;l=i;m=i+520|0;n=i+496|0;o=i+512|0;p=i+504|0;q=i+432|0;r=i+376|0;s=i+312|0;t=i+256|0;v=i+248|0;w=i+240|0;x=i+232|0;y=i+488|0;z=i+224|0;A=i+368|0;B=i+168|0;C=i+112|0;D=i+56|0;f[m>>2]=c;zT(n,50920);E=oD(a,-1)|0;F=E&7;G=E>>>3&511;H=G+1|0;if((c|0)<0){f[m>>2]=F;I=F}else I=c;nD(o,a,-1);c=G<<3;HD(b,o,I&7|c,-1,0,0);if((d|2|0)==3){o=(d|0)==3;J=k;G=50940;K=J+72|0;do{f[J>>2]=f[G>>2];J=J+4|0;G=G+4|0}while((J|0)<(K|0));L=o&1;o=k+(L*36|0)|0;f[l>>2]=1124007941;M=l+4|0;f[M>>2]=2;N=l+8|0;f[N>>2]=3;f[l+12>>2]=3;O=l+16|0;f[O>>2]=o;f[l+20>>2]=o;o=l+24|0;P=l+40|0;Q=o+8|0;f[Q>>2]=0;f[Q+4>>2]=0;f[P>>2]=N;N=l+48|0;Q=l+44|0;f[Q>>2]=N;f[N>>2]=12;f[l+52>>2]=4;R=k+(L*36|0)+36|0;f[l+28>>2]=R;f[o>>2]=R;hP(l);R=e!=1.0;if(R){o=j+8|0;f[o>>2]=0;f[o+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=l;IO(l,j,-1,e,0.0)}o=l+36|0;S=f[o>>2]|0;if(S|0?(T=S+12|0,S=f[T>>2]|0,f[T>>2]=S+-1,(S|0)==1):0)lP(l);f[o>>2]=0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;if((f[M>>2]|0)>0){O=f[P>>2]|0;P=0;do{f[O+(P<<2)>>2]=0;P=P+1|0}while((P|0)<(f[M>>2]|0))}M=f[Q>>2]|0;if((M|0)!=(N|0))tE(M);J=k;G=50940;K=J+72|0;do{f[J>>2]=f[G>>2];J=J+4|0;G=G+4|0}while((J|0)<(K|0));G=k+(L*36|0)|0;f[l>>2]=1124007941;M=l+4|0;f[M>>2]=2;N=l+8|0;f[N>>2]=3;f[l+12>>2]=3;Q=l+16|0;f[Q>>2]=G;f[l+20>>2]=G;G=l+24|0;P=l+40|0;O=G+8|0;f[O>>2]=0;f[O+4>>2]=0;f[P>>2]=N;N=l+48|0;O=l+44|0;f[O>>2]=N;f[N>>2]=12;f[l+52>>2]=4;o=k+(L*36|0)+36|0;f[l+28>>2]=o;f[G>>2]=o;hP(l);if(R){R=j+8|0;f[R>>2]=0;f[R+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=l;IO(l,j,-1,e,0.0)}R=f[m>>2]|0;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=l;f[p>>2]=-1;f[p+4>>2]=-1;yha(a,b,R,j,p,g,h);p=l+36|0;R=f[p>>2]|0;if(R|0?(o=R+12|0,R=f[o>>2]|0,f[o>>2]=R+-1,(R|0)==1):0)lP(l);f[p>>2]=0;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q+12>>2]=0;if((f[M>>2]|0)>0){Q=f[P>>2]|0;P=0;do{f[Q+(P<<2)>>2]=0;P=P+1|0}while((P|0)<(f[M>>2]|0))}M=f[O>>2]|0;if((M|0)!=(N|0))tE(M)}else{M=(I|0)<(F|0)?F:I;I=(M|0)>5?M:5;M=((d|0)<6&(F|0)==0?3:F>>>0<6?5:6)|c;f[q>>2]=1124007936;c=q+4|0;N=q+8|0;O=q+40|0;J=c;K=J+36|0;do{f[J>>2]=0;J=J+4|0}while((J|0)<(K|0));f[O>>2]=N;P=q+48|0;Q=q+44|0;f[Q>>2]=P;f[P>>2]=0;f[q+52>>2]=0;f[r>>2]=1124007936;p=r+4|0;R=r+8|0;o=r+40|0;J=p;K=J+36|0;do{f[J>>2]=0;J=J+4|0}while((J|0)<(K|0));f[o>>2]=R;R=r+48|0;G=r+44|0;f[G>>2]=R;f[R>>2]=0;f[r+52>>2]=0;L=j+8|0;f[L>>2]=0;f[L+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=q;L=k+8|0;f[L>>2]=0;f[L+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=r;i2(j,k,2,0,d,0,I);do if((pD(a)|0)==65536){I=f[a+4>>2]|0;f[s>>2]=f[I>>2];d=s+4|0;L=I+4|0;f[d>>2]=f[L>>2];S=s+8|0;f[S>>2]=f[I+8>>2];f[s+12>>2]=f[I+12>>2];f[s+16>>2]=f[I+16>>2];f[s+20>>2]=f[I+20>>2];f[s+24>>2]=f[I+24>>2];f[s+28>>2]=f[I+28>>2];f[s+32>>2]=f[I+32>>2];T=f[I+36>>2]|0;f[s+36>>2]=T;f[s+40>>2]=S;S=s+48|0;U=s+44|0;f[U>>2]=S;f[S>>2]=0;f[s+52>>2]=0;if(T|0){S=T+12|0;f[S>>2]=(f[S>>2]|0)+1}if((f[L>>2]|0)<3){L=f[I+44>>2]|0;S=f[U>>2]|0;f[S>>2]=f[L>>2];f[S+4>>2]=f[L+4>>2];break}else{f[d>>2]=0;kP(s,I);break}}else lD(s,a,-1);while(0);do if((pD(b)|0)==65536){a=f[b+4>>2]|0;f[t>>2]=f[a>>2];I=t+4|0;d=a+4|0;f[I>>2]=f[d>>2];L=t+8|0;f[L>>2]=f[a+8>>2];f[t+12>>2]=f[a+12>>2];f[t+16>>2]=f[a+16>>2];f[t+20>>2]=f[a+20>>2];f[t+24>>2]=f[a+24>>2];f[t+28>>2]=f[a+28>>2];f[t+32>>2]=f[a+32>>2];S=f[a+36>>2]|0;f[t+36>>2]=S;f[t+40>>2]=L;L=t+48|0;U=t+44|0;f[U>>2]=L;f[L>>2]=0;f[t+52>>2]=0;if(S|0){L=S+12|0;f[L>>2]=(f[L>>2]|0)+1}if((f[d>>2]|0)<3){d=f[a+44>>2]|0;L=f[U>>2]|0;f[L>>2]=f[d>>2];f[L+4>>2]=f[d+4>>2];break}else{f[I>>2]=0;kP(t,a);break}}else lD(t,b,-1);while(0);f[v>>2]=0;f[v+4>>2]=0;b=s+12|0;a=s+8|0;I=f[a>>2]|0;f[w>>2]=f[b>>2];f[w+4>>2]=I;if(!(h&16))vP(s,w,v);I=h&-17;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=q;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=r;f[y>>2]=-1;f[y+4>>2]=-1;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;f[l+28>>2]=0;Vfa(x,E,M,j,k,y,0.0,I,I,l);f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=r;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=q;f[A>>2]=-1;f[A+4>>2]=-1;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;f[l+28>>2]=0;Vfa(z,E,M,j,k,A,0.0,I,I,l);I=x+4|0;A=f[I>>2]|0;E=Bg[f[(f[A>>2]|0)+12>>2]&127](A,s,w,v)|0;A=z+4|0;y=f[A>>2]|0;Bg[f[(f[y>>2]|0)+12>>2]&127](y,s,w,v)|0;v=s+16|0;w=s+44|0;y=(f[v>>2]|0)+(Y(f[f[w>>2]>>2]|0,E)|0)|0;E=f[b>>2]|0;h=Y(E,H<<(47696>>>(F<<1)&3))|0;F=f[a>>2]|0;H=h>>>0>16384?1:16384/(h>>>0)|0;h=(F|0)<(H|0)?F:H;H=(f[N>>2]|0)+-1+h|0;f[B>>2]=1124007936;F=B+4|0;d=B+8|0;L=B+40|0;J=F;K=J+36|0;do{f[J>>2]=0;J=J+4|0}while((J|0)<(K|0));f[L>>2]=d;U=B+48|0;S=B+44|0;f[S>>2]=U;f[U>>2]=0;f[B+52>>2]=0;f[j>>2]=H;H=j+4|0;f[H>>2]=E;iP(B,2,j,M);E=h+-1+(f[N>>2]|0)|0;N=f[b>>2]|0;f[C>>2]=1124007936;b=C+4|0;T=C+8|0;V=C+40|0;J=b;K=J+36|0;do{f[J>>2]=0;J=J+4|0}while((J|0)<(K|0));f[V>>2]=T;J=C+48|0;K=C+44|0;f[K>>2]=J;f[J>>2]=0;f[C+52>>2]=0;f[j>>2]=E;f[H>>2]=N;iP(C,2,j,M);if((f[a>>2]|0)>0){M=s+48|0;N=B+16|0;H=C+16|0;E=j+4|0;W=k+4|0;X=j+8|0;Z=j+12|0;_=j+4|0;$=k+8|0;aa=k+12|0;ba=k+4|0;ca=l+8|0;da=l+4|0;ea=j+8|0;fa=j+4|0;ga=D+36|0;ha=D+16|0;ia=D+4|0;ja=D+40|0;ka=D+44|0;la=D+48|0;ma=y;y=0;na=f[M>>2]|0;while(1){oa=f[I>>2]|0;Vf[f[(f[oa>>2]|0)+16>>2]&127](oa,ma,na,h,f[N>>2]|0,f[U>>2]|0)|0;oa=f[A>>2]|0;pa=Vf[f[(f[oa>>2]|0)+16>>2]&127](oa,ma,f[M>>2]|0,h,f[H>>2]|0,f[J>>2]|0)|0;if((pa|0)>0){oa=pa+y|0;f[j>>2]=y;f[E>>2]=oa;f[k>>2]=-2147483648;f[W>>2]=2147483647;mP(D,t,j,k);f[T>>2]=pa;f[d>>2]=pa;f[X>>2]=0;f[Z>>2]=0;f[j>>2]=16842752;f[_>>2]=B;f[$>>2]=0;f[aa>>2]=0;f[k>>2]=16842752;f[ba>>2]=C;qa=ca;f[qa>>2]=0;f[qa+4>>2]=0;f[l>>2]=33619968;f[da>>2]=B;RH(j,k,l,rE()|0,-1);qa=ea;f[qa>>2]=0;f[qa+4>>2]=0;f[j>>2]=33619968;f[fa>>2]=D;IO(B,j,f[m>>2]|0,e,g);qa=f[ga>>2]|0;if(qa|0?(ra=qa+12|0,qa=f[ra>>2]|0,f[ra>>2]=qa+-1,(qa|0)==1):0)lP(D);f[ga>>2]=0;f[ha>>2]=0;f[ha+4>>2]=0;f[ha+8>>2]=0;f[ha+12>>2]=0;if((f[ia>>2]|0)>0){qa=f[ja>>2]|0;ra=0;do{f[qa+(ra<<2)>>2]=0;ra=ra+1|0}while((ra|0)<(f[ia>>2]|0))}ra=f[ka>>2]|0;if((ra|0)!=(la|0))tE(ra);sa=oa}else sa=pa+y|0;na=f[M>>2]|0;ma=ma+(Y(na,h)|0)|0;if((sa|0)>=(f[a>>2]|0))break;else y=sa}}sa=C+36|0;y=f[sa>>2]|0;if(y|0?(a=y+12|0,y=f[a>>2]|0,f[a>>2]=y+-1,(y|0)==1):0)lP(C);f[sa>>2]=0;sa=C+16|0;f[sa>>2]=0;f[sa+4>>2]=0;f[sa+8>>2]=0;f[sa+12>>2]=0;if((f[b>>2]|0)>0){sa=f[V>>2]|0;V=0;do{f[sa+(V<<2)>>2]=0;V=V+1|0}while((V|0)<(f[b>>2]|0))}b=f[K>>2]|0;if((b|0)!=(J|0))tE(b);b=B+36|0;J=f[b>>2]|0;if(J|0?(K=J+12|0,J=f[K>>2]|0,f[K>>2]=J+-1,(J|0)==1):0)lP(B);f[b>>2]=0;b=B+16|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[F>>2]|0)>0){b=f[L>>2]|0;L=0;do{f[b+(L<<2)>>2]=0;L=L+1|0}while((L|0)<(f[F>>2]|0))}F=f[S>>2]|0;if((F|0)!=(U|0))tE(F);F=f[z>>2]|0;if(F|0?(z=F+4|0,U=f[z>>2]|0,f[z>>2]=U+-1,(U|0)==1):0)ai[f[(f[F>>2]|0)+8>>2]&2047](F);F=f[x>>2]|0;if(F|0?(x=F+4|0,U=f[x>>2]|0,f[x>>2]=U+-1,(U|0)==1):0)ai[f[(f[F>>2]|0)+8>>2]&2047](F);F=t+36|0;U=f[F>>2]|0;if(U|0?(x=U+12|0,U=f[x>>2]|0,f[x>>2]=U+-1,(U|0)==1):0)lP(t);f[F>>2]=0;F=t+16|0;U=t+4|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[U>>2]|0)>0){F=f[t+40>>2]|0;x=0;do{f[F+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[U>>2]|0))}U=f[t+44>>2]|0;if((U|0)!=(t+48|0))tE(U);U=s+36|0;t=f[U>>2]|0;do if(t|0){x=t+12|0;F=f[x>>2]|0;f[x>>2]=F+-1;if((F|0)!=1)break;lP(s)}while(0);f[U>>2]=0;U=s+4|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[U>>2]|0)>0){v=f[s+40>>2]|0;t=0;do{f[v+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[U>>2]|0))}U=f[w>>2]|0;if((U|0)!=(s+48|0))tE(U);U=r+36|0;s=f[U>>2]|0;do if(s|0){w=s+12|0;t=f[w>>2]|0;f[w>>2]=t+-1;if((t|0)!=1)break;lP(r)}while(0);f[U>>2]=0;U=r+16|0;f[U>>2]=0;f[U+4>>2]=0;f[U+8>>2]=0;f[U+12>>2]=0;if((f[p>>2]|0)>0){U=f[o>>2]|0;o=0;do{f[U+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[p>>2]|0))}p=f[G>>2]|0;if((p|0)!=(R|0))tE(p);p=q+36|0;R=f[p>>2]|0;do if(R|0){G=R+12|0;o=f[G>>2]|0;f[G>>2]=o+-1;if((o|0)!=1)break;lP(q)}while(0);f[p>>2]=0;p=q+16|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[c>>2]|0)>0){p=f[O>>2]|0;O=0;do{f[p+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[c>>2]|0))}c=f[Q>>2]|0;if((c|0)!=(P|0))tE(c)}if(!(f[n+4>>2]|0)){u=i;return}u=i;return}function m2(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=+l;var m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0.0,ea=0.0,fa=0.0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0.0,sa=0.0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0;m=u;u=u+432|0;o=m+48|0;q=m+424|0;r=m+368|0;s=m+312|0;t=m+256|0;v=m+32|0;w=m+176|0;x=m+120|0;y=m+64|0;z=m+248|0;A=m;B=m+192|0;zT(q,51012);if(!((d|0)>-1&(e>0.0&g>=0.0))){f[o>>2]=0;f[o+4>>2]=0;C=YG(o,55)|0;D=239997;E=C+55|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,o,240053,240073,368)}if(!(DD(h)|0)){if(oD(h,-1)|0){f[o>>2]=0;F=o+4|0;f[F>>2]=0;G=YG(o,68)|0;C=G;D=240148;E=C+68|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,o,240053,240073,369)}if(!(yD(h,a)|0)){f[o>>2]=0;F=o+4|0;f[F>>2]=0;G=YG(o,68)|0;C=G;D=240148;E=C+68|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,o,240053,240073,369)}}do if((pD(a)|0)==65536){D=f[a+4>>2]|0;f[r>>2]=f[D>>2];G=r+4|0;F=D+4|0;f[G>>2]=f[F>>2];H=r+8|0;f[H>>2]=f[D+8>>2];f[r+12>>2]=f[D+12>>2];I=r+16|0;f[I>>2]=f[D+16>>2];f[r+20>>2]=f[D+20>>2];f[r+24>>2]=f[D+24>>2];f[r+28>>2]=f[D+28>>2];f[r+32>>2]=f[D+32>>2];J=f[D+36>>2]|0;f[r+36>>2]=J;f[r+40>>2]=H;H=r+48|0;K=r+44|0;f[K>>2]=H;f[H>>2]=0;f[r+52>>2]=0;if(J|0){H=J+12|0;f[H>>2]=(f[H>>2]|0)+1}if((f[F>>2]|0)<3){F=f[D+44>>2]|0;H=f[K>>2]|0;f[H>>2]=f[F>>2];f[H+4>>2]=f[F+4>>2];L=I;break}else{f[G>>2]=0;kP(r,D);L=I;break}}else{lD(r,a,-1);L=r+16|0}while(0);f[s>>2]=1124007936;a=s+4|0;I=s+8|0;D=s+40|0;C=a;E=C+36|0;do{f[C>>2]=0;C=C+4|0}while((C|0)<(E|0));f[D>>2]=I;I=s+48|0;G=s+44|0;f[G>>2]=I;f[I>>2]=0;f[s+52>>2]=0;f[t>>2]=1124007936;F=t+4|0;H=t+8|0;K=t+40|0;C=F;E=C+36|0;do{f[C>>2]=0;C=C+4|0}while((C|0)<(E|0));f[K>>2]=H;H=t+48|0;J=t+44|0;f[J>>2]=H;f[H>>2]=0;f[t+52>>2]=0;if(f[L>>2]|0){M=f[r+4>>2]|0;if((M|0)<3)N=Y(f[r+12>>2]|0,f[r+8>>2]|0)|0;else{O=f[r+40>>2]|0;P=0;Q=1;while(1){R=Y(f[O+(P<<2)>>2]|0,Q)|0;P=P+1|0;if((P|0)==(M|0)){N=R;break}else Q=R}}if(!((M|0)==0|(N|0)==0)){if(k){f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=r;k=v+8|0;f[k>>2]=0;f[k+4>>2]=0;f[v>>2]=33619968;f[v+4>>2]=s;jia(o,v,i,j,l,4)}else{f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=r;k=v+8|0;f[k>>2]=0;f[k+4>>2]=0;f[v>>2]=33619968;f[v+4>>2]=s;gia(o,v,i,j,4)}p[v>>3]=0.0;f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=s;QV(o,0,v,0,0,h);f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=s;j=w+8|0;f[j>>2]=0;f[j+4>>2]=0;f[w>>2]=33619968;f[w+4>>2]=s;+_ha(o,w,+p[v>>3]*e,0.0,3);f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=s;v=w+8|0;f[v>>2]=0;f[v+4>>2]=0;f[w>>2]=33619968;f[w+4>>2]=t;f[y>>2]=1124007936;v=y+4|0;j=y+8|0;i=y+40|0;C=v;E=C+36|0;do{f[C>>2]=0;C=C+4|0}while((C|0)<(E|0));f[i>>2]=j;j=y+48|0;C=y+44|0;f[C>>2]=j;f[j>>2]=0;f[y+52>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;f[x>>2]=16842752;f[x+4>>2]=y;f[z>>2]=-1;f[z+4>>2]=-1;p[A>>3]=1797693134862315708145274.0e284;p[A+8>>3]=1797693134862315708145274.0e284;p[A+16>>3]=1797693134862315708145274.0e284;p[A+24>>3]=1797693134862315708145274.0e284;mpa(o,w,x,z,1,0,A);z=y+36|0;E=f[z>>2]|0;if(E|0?(k=E+12|0,E=f[k>>2]|0,f[k>>2]=E+-1,(E|0)==1):0)lP(y);f[z>>2]=0;z=y+16|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[v>>2]|0)>0){z=f[i>>2]|0;i=0;do{f[z+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[v>>2]|0))}v=f[C>>2]|0;if((v|0)!=(j|0))tE(v);v=f[r+40>>2]|0;j=f[v+4>>2]|0;C=f[v>>2]|0;f[w>>2]=0;v=w+4|0;f[v>>2]=0;f[w+8>>2]=0;do if((pD(h)|0)==65536){i=f[h+4>>2]|0;f[x>>2]=f[i>>2];z=x+4|0;E=i+4|0;f[z>>2]=f[E>>2];k=x+8|0;f[k>>2]=f[i+8>>2];f[x+12>>2]=f[i+12>>2];f[x+16>>2]=f[i+16>>2];f[x+20>>2]=f[i+20>>2];f[x+24>>2]=f[i+24>>2];f[x+28>>2]=f[i+28>>2];f[x+32>>2]=f[i+32>>2];N=f[i+36>>2]|0;f[x+36>>2]=N;f[x+40>>2]=k;k=x+48|0;M=x+44|0;f[M>>2]=k;f[k>>2]=0;f[x+52>>2]=0;if(N|0){k=N+12|0;f[k>>2]=(f[k>>2]|0)+1}if((f[E>>2]|0)<3){E=f[i+44>>2]|0;k=f[M>>2]|0;f[k>>2]=f[E>>2];f[k+4>>2]=f[E+4>>2];break}else{f[z>>2]=0;kP(x,i);break}}else lD(x,h,-1);while(0);h=C+-1|0;if((h|0)>1?(C=s+16|0,i=t+16|0,z=x+16|0,E=j+-1|0,j=w+8|0,k=x+44|0,(E|0)>1):0){M=1;do{N=(f[C>>2]|0)+(Y(f[f[G>>2]>>2]|0,M)|0)|0;Q=(f[i>>2]|0)+(Y(f[f[J>>2]>>2]|0,M)|0)|0;P=f[z>>2]|0;if((P|0)!=0?(O=P+(Y(f[f[k>>2]>>2]|0,M)|0)|0,(O|0)!=0):0){P=1;do{R=N+(P<<2)|0;e=+n[R>>2];do if(e!=0.0){if(!(e==+n[Q+(P<<2)>>2]))break;if(!(b[O+P>>0]|0))break;f[o>>2]=R;S=f[v>>2]|0;if((S|0)==(f[j>>2]|0))n2(w,o);else{f[S>>2]=R;f[v>>2]=(f[v>>2]|0)+4}}while(0);P=P+1|0}while((P|0)<(E|0))}else{T=1;U=52}if((U|0)==52)while(1){U=0;P=N+(T<<2)|0;e=+n[P>>2];do if(e!=0.0){if(!(e==+n[Q+(T<<2)>>2]))break;f[o>>2]=P;O=f[v>>2]|0;if((O|0)==(f[j>>2]|0))n2(w,o);else{f[O>>2]=P;f[v>>2]=(f[v>>2]|0)+4}}while(0);T=T+1|0;if((T|0)>=(E|0))break;else U=52}M=M+1|0}while((M|0)<(h|0))}f[y>>2]=0;h=y+4|0;f[h>>2]=0;f[y+8>>2]=0;M=f[v>>2]|0;E=f[w>>2]|0;T=M-E>>2;do if(!T)GD(c);else{o2(E,M,o);if(!(g>=1.0)){j=s+16|0;k=o+4|0;z=y+8|0;if((d|0)>0){i=0;do{C=(f[(f[w>>2]|0)+(i<<2)>>2]|0)-(f[j>>2]|0)|0;Q=f[I>>2]|0;N=(C>>>0)/(Q>>>0)|0;e=+((C-(Y(N,Q)|0)|0)>>>2|0);l=+(N|0);n[o>>2]=e;n[k>>2]=l;N=f[h>>2]|0;if((N|0)==(f[z>>2]|0))p2(y,o);else{n[N>>2]=e;n[N+4>>2]=l;f[h>>2]=N+8}i=i+1|0}while((i|0)!=(d|0)&i>>>0<T>>>0)}else{i=0;do{N=(f[(f[w>>2]|0)+(i<<2)>>2]|0)-(f[j>>2]|0)|0;Q=f[I>>2]|0;C=(N>>>0)/(Q>>>0)|0;l=+((N-(Y(C,Q)|0)|0)>>>2|0);e=+(C|0);n[o>>2]=l;n[k>>2]=e;C=f[h>>2]|0;if((C|0)==(f[z>>2]|0))p2(y,o);else{n[C>>2]=l;n[C+4>>2]=e;f[h>>2]=C+8}i=i+1|0}while(i>>>0<T>>>0)}}else{i=f[r+12>>2]|0;z=f[r+8>>2]|0;k=V9b(g)|0;j=(i+-1+k|0)/(k|0)|0;i=(z+-1+k|0)/(k|0)|0;q2(o,Y(i,j)|0);e=g*g;z=s+16|0;C=j+-1|0;Q=i+-1|0;i=A+4|0;N=A+4|0;P=y+8|0;O=(d|0)>0;R=0;S=0;while(1){V=(f[(f[w>>2]|0)+(R<<2)>>2]|0)-(f[z>>2]|0)|0;W=f[I>>2]|0;X=(V>>>0)/(W>>>0)|0;Z=(V-(Y(X,W)|0)|0)>>>2;W=(Z|0)/(k|0)|0;V=(X|0)/(k|0)|0;_=W+-1|0;$=V+-1|0;aa=W+1|0;ba=V+1|0;ca=(_|0)>0?_:0;_=($|0)>0?$:0;$=(aa|0)<(C|0)?aa:C;aa=(ba|0)<(Q|0)?ba:Q;do if((_|0)<=(aa|0)){ba=f[o>>2]|0;l=+(Z|0);da=+(X|0);if((ca|0)>($|0)){ea=l;fa=da;ga=ba;U=80;break}else{ha=_;ia=1}a:while(1){ja=Y(ha,j)|0;ka=ca;la=ia;while(1){ma=ka+ja|0;na=f[ba+(ma*12|0)+4>>2]|0;oa=f[ba+(ma*12|0)>>2]|0;ma=oa;if((na|0)==(oa|0))pa=la;else{qa=na-oa>>3;oa=0;na=la;while(1){ra=l-+n[ma+(oa<<3)>>2];sa=da-+n[ma+(oa<<3)+4>>2];ta=ra*ra+sa*sa<e;ua=na&(ta^1);oa=oa+1|0;if(ta){U=79;break a}if(oa>>>0>=qa>>>0){pa=ua;break}else na=ua}}if((ka|0)<($|0)){ka=ka+1|0;la=pa}else break}if((ha|0)<(aa|0)){ha=ha+1|0;ia=pa}else{U=72;break}}if((U|0)==72){U=0;if(pa){ea=l;fa=da;ga=ba;U=80;break}else{va=S;break}}else if((U|0)==79){U=0;if(ua){ea=l;fa=da;ga=ba;U=80;break}else{va=S;break}}}else{ea=+(Z|0);fa=+(X|0);ga=f[o>>2]|0;U=80}while(0);if((U|0)==80){U=0;X=(Y(V,j)|0)+W|0;n[A>>2]=ea;n[i>>2]=fa;Z=ga+(X*12|0)+4|0;aa=f[Z>>2]|0;if((aa|0)==(f[ga+(X*12|0)+8>>2]|0))p2(ga+(X*12|0)|0,A);else{n[aa>>2]=ea;n[aa+4>>2]=fa;f[Z>>2]=aa+8}n[A>>2]=ea;n[N>>2]=fa;aa=f[h>>2]|0;if((aa|0)==(f[P>>2]|0))p2(y,A);else{n[aa>>2]=ea;n[aa+4>>2]=fa;f[h>>2]=aa+8}aa=S+1|0;if(O&(aa|0)==(d|0))break;else va=aa}R=R+1|0;if(R>>>0>=T>>>0)break;else S=va}S=f[o>>2]|0;if(S|0){R=o+4|0;O=f[R>>2]|0;if((O|0)==(S|0))wa=S;else{P=O;while(1){O=P+-12|0;f[R>>2]=O;N=f[O>>2]|0;if(!N)xa=O;else{O=P+-8|0;i=f[O>>2]|0;if((i|0)!=(N|0))f[O>>2]=i+(~((i+-8-N|0)>>>3)<<3);Emc(N);xa=f[R>>2]|0}if((xa|0)==(S|0))break;else P=xa}wa=f[o>>2]|0}Emc(wa)}}f[B>>2]=1124024333;P=B+4|0;f[P>>2]=2;S=B+8|0;R=f[h>>2]|0;N=f[y>>2]|0;i=R-N|0;f[S>>2]=i>>3;f[B+12>>2]=1;O=B+16|0;j=B+40|0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;f[O+16>>2]=0;f[O+20>>2]=0;f[j>>2]=S;S=B+48|0;Q=B+44|0;f[Q>>2]=S;f[S>>2]=0;C=B+52|0;f[C>>2]=0;k=N;if((k|0)!=(R|0)){f[C>>2]=8;f[S>>2]=8;f[O>>2]=k;f[B+20>>2]=k;k=N+i|0;f[B+24>>2]=k;f[B+28>>2]=k}if(hE(c)|0)ya=oD(c,-1)|0;else ya=5;IO(B,c,ya,1.0,0.0);k=B+36|0;i=f[k>>2]|0;do if(i|0){N=i+12|0;C=f[N>>2]|0;f[N>>2]=C+-1;if((C|0)!=1)break;lP(B)}while(0);f[k>>2]=0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;if((f[P>>2]|0)>0){i=f[j>>2]|0;C=0;do{f[i+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[P>>2]|0))}P=f[Q>>2]|0;if((P|0)==(S|0))break;tE(P)}while(0);B=f[y>>2]|0;if(B|0){y=f[h>>2]|0;if((y|0)!=(B|0))f[h>>2]=y+(~((y+-8-B|0)>>>3)<<3);Emc(B)}B=x+36|0;y=f[B>>2]|0;if(y|0?(h=y+12|0,y=f[h>>2]|0,f[h>>2]=y+-1,(y|0)==1):0)lP(x);f[B>>2]=0;B=x+16|0;y=x+4|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[y>>2]|0)>0){B=f[x+40>>2]|0;h=0;do{f[B+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[y>>2]|0))}y=f[x+44>>2]|0;if((y|0)!=(x+48|0))tE(y);y=f[w>>2]|0;if(y|0){w=f[v>>2]|0;if((w|0)!=(y|0))f[v>>2]=w+(~((w+-4-y|0)>>>2)<<2);Emc(y)}}else U=20}else U=20;if((U|0)==20)GD(c);c=t+36|0;U=f[c>>2]|0;if(U|0?(y=U+12|0,U=f[y>>2]|0,f[y>>2]=U+-1,(U|0)==1):0)lP(t);f[c>>2]=0;c=t+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[F>>2]|0)>0){c=f[K>>2]|0;K=0;do{f[c+(K<<2)>>2]=0;K=K+1|0}while((K|0)<(f[F>>2]|0))}F=f[J>>2]|0;if((F|0)!=(H|0))tE(F);F=s+36|0;H=f[F>>2]|0;if(H|0?(J=H+12|0,H=f[J>>2]|0,f[J>>2]=H+-1,(H|0)==1):0)lP(s);f[F>>2]=0;F=s+16|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[a>>2]|0)>0){F=f[D>>2]|0;D=0;do{f[F+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[a>>2]|0))}a=f[G>>2]|0;if((a|0)!=(I|0))tE(a);a=r+36|0;I=f[a>>2]|0;if(I|0?(G=I+12|0,I=f[G>>2]|0,f[G>>2]=I+-1,(I|0)==1):0)lP(r);f[a>>2]=0;a=r+4|0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;if((f[a>>2]|0)>0){L=f[r+40>>2]|0;I=0;do{f[L+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[a>>2]|0))}a=f[r+44>>2]|0;if((a|0)!=(r+48|0))tE(a);if(!(f[q+4>>2]|0)){u=m;return}u=m;return}function n2(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;Emc(d);return}
function $K(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;e=u;u=u+144|0;g=e+128|0;h=e+72|0;i=e+16|0;j=e+8|0;k=e;zT(g,44744);do if((pD(a)|0)==65536){l=f[a+4>>2]|0;f[h>>2]=f[l>>2];m=h+4|0;n=l+4|0;f[m>>2]=f[n>>2];o=h+8|0;f[o>>2]=f[l+8>>2];f[h+12>>2]=f[l+12>>2];f[h+16>>2]=f[l+16>>2];f[h+20>>2]=f[l+20>>2];f[h+24>>2]=f[l+24>>2];f[h+28>>2]=f[l+28>>2];f[h+32>>2]=f[l+32>>2];p=f[l+36>>2]|0;f[h+36>>2]=p;f[h+40>>2]=o;o=h+48|0;q=h+44|0;f[q>>2]=o;f[o>>2]=0;f[h+52>>2]=0;if(p|0){o=p+12|0;f[o>>2]=(f[o>>2]|0)+1}if((f[n>>2]|0)<3){n=f[l+44>>2]|0;o=f[q>>2]|0;f[o>>2]=f[n>>2];f[o+4>>2]=f[n+4>>2];r=m;break}else{f[m>>2]=0;kP(h,l);r=m;break}}else{lD(h,a,-1);r=h+4|0}while(0);if((f[r>>2]|0)>=3){f[i>>2]=0;s=i+4|0;f[s>>2]=0;t=YG(i,36)|0;v=t;w=197852;x=v+36|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));MJ(-215,i,197889,1410)}a=f[h>>2]|0;if(a&4088|0){f[i>>2]=0;s=i+4|0;f[s>>2]=0;t=YG(i,36)|0;v=t;w=197852;x=v+36|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));MJ(-215,i,197889,1410)}t=h+40|0;s=f[t>>2]|0;m=f[s>>2]|0;f[j>>2]=f[s+4>>2];f[j+4>>2]=m;HD(c,j,a&4095,-1,0,0);do if((pD(c)|0)==65536){a=f[c+4>>2]|0;f[i>>2]=f[a>>2];j=i+4|0;m=a+4|0;f[j>>2]=f[m>>2];s=i+8|0;f[s>>2]=f[a+8>>2];f[i+12>>2]=f[a+12>>2];f[i+16>>2]=f[a+16>>2];f[i+20>>2]=f[a+20>>2];f[i+24>>2]=f[a+24>>2];f[i+28>>2]=f[a+28>>2];f[i+32>>2]=f[a+32>>2];l=f[a+36>>2]|0;f[i+36>>2]=l;f[i+40>>2]=s;s=i+48|0;n=i+44|0;f[n>>2]=s;f[s>>2]=0;f[i+52>>2]=0;if(l|0){s=l+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[m>>2]|0)<3){m=f[a+44>>2]|0;s=f[n>>2]|0;f[s>>2]=f[m>>2];f[s+4>>2]=f[m+4>>2];break}else{f[j>>2]=0;kP(i,a);break}}else lD(i,c,-1);while(0);c=f[h>>2]&7;if((c|0)==7){f[k>>2]=0;f[k+4>>2]=0;v=YG(k,9)|0;w=274048;x=v+9|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));MJ(-215,k,197889,1421)}Yh[f[44764+(c<<2)>>2]&511](h,i,d);d=i+36|0;c=f[d>>2]|0;if(c|0?(k=c+12|0,c=f[k>>2]|0,f[k>>2]=c+-1,(c|0)==1):0)lP(i);f[d>>2]=0;d=i+16|0;c=i+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[c>>2]|0)>0){d=f[i+40>>2]|0;k=0;do{f[d+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[c>>2]|0))}c=f[i+44>>2]|0;if((c|0)!=(i+48|0))tE(c);c=h+36|0;i=f[c>>2]|0;if(i|0?(k=i+12|0,i=f[k>>2]|0,f[k>>2]=i+-1,(i|0)==1):0)lP(h);f[c>>2]=0;c=h+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[r>>2]|0)>0){c=f[t>>2]|0;t=0;do{f[c+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[r>>2]|0))}r=f[h+44>>2]|0;if((r|0)!=(h+48|0))tE(r);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function aL(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;e=u;u=u+1056|0;g=e;h=e+8|0;i=h+8|0;f[h>>2]=i;j=h+4|0;f[j>>2]=1032;k=(d&1|0)==0;l=a+16|0;m=c+16|0;n=f[m>>2]|0;o=(f[l>>2]|0)==(n|0);p=(d&16|0)==0;d=f[a+12>>2]|0;q=f[a+8>>2]|0;if(!k){f[j>>2]=q;if(q>>>0>1032){r=Dmc(q)|0;f[h>>2]=r;s=d;t=q;v=r}else{s=d;t=q;v=i}}else{s=q;t=d;v=i}a:do if((s|0)>0){d=c+44|0;q=a+44|0;r=(t|0)>0;w=(t|0)/2|0;x=(t|0)>1;y=t+-1|0;if(k){z=p|x^1;A=0;B=n;while(1){C=B+(Y(f[f[d>>2]>>2]|0,A)|0)|0;if(!o)Krc(C|0,(f[l>>2]|0)+(Y(f[f[q>>2]>>2]|0,A)|0)|0,t|0)|0;Hac(C,C+t|0,g);if(!z){D=0;do{E=C+D|0;F=C+(y-D)|0;G=b[E>>0]|0;b[E>>0]=b[F>>0]|0;b[F>>0]=G;D=D+1|0}while((D|0)<(w|0))}D=A+1|0;if((D|0)>=(s|0))break a;A=D;B=f[m>>2]|0}}B=v+t|0;A=p|x^1;z=0;do{if(r){D=f[l>>2]|0;C=f[q>>2]|0;G=0;do{F=D+(Y(f[C>>2]|0,G)|0)+z|0;b[v+G>>0]=b[F>>0]|0;G=G+1|0}while((G|0)!=(t|0))}Hac(v,B,g);if(!A){G=0;do{C=v+G|0;D=v+(y-G)|0;F=b[C>>0]|0;b[C>>0]=b[D>>0]|0;b[D>>0]=F;G=G+1|0}while((G|0)<(w|0))}if(r){G=0;do{F=(f[m>>2]|0)+(Y(f[f[d>>2]>>2]|0,G)|0)+z|0;b[F>>0]=b[v+G>>0]|0;G=G+1|0}while((G|0)!=(t|0))}z=z+1|0}while((z|0)<(s|0))}while(0);s=f[h>>2]|0;if((s|0)==(i|0)){u=e;return}if(s|0)Fmc(s);f[h>>2]=i;f[j>>2]=1032;u=e;return}function bL(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;e=u;u=u+1056|0;g=e;h=e+8|0;i=h+8|0;f[h>>2]=i;j=h+4|0;f[j>>2]=1032;k=(d&1|0)==0;l=a+16|0;m=c+16|0;n=f[m>>2]|0;o=(f[l>>2]|0)==(n|0);p=(d&16|0)==0;d=f[a+12>>2]|0;q=f[a+8>>2]|0;if(!k){f[j>>2]=q;if(q>>>0>1032){r=Dmc(q)|0;f[h>>2]=r;s=d;t=q;v=r}else{s=d;t=q;v=i}}else{s=q;t=d;v=i}a:do if((s|0)>0){d=c+44|0;q=a+44|0;r=(t|0)>0;w=(t|0)/2|0;x=(t|0)>1;y=t+-1|0;if(k){z=p|x^1;A=0;B=n;while(1){C=B+(Y(f[f[d>>2]>>2]|0,A)|0)|0;if(!o)Krc(C|0,(f[l>>2]|0)+(Y(f[f[q>>2]>>2]|0,A)|0)|0,t|0)|0;Bac(C,C+t|0,g);if(!z){D=0;do{E=C+D|0;F=C+(y-D)|0;G=b[E>>0]|0;b[E>>0]=b[F>>0]|0;b[F>>0]=G;D=D+1|0}while((D|0)<(w|0))}D=A+1|0;if((D|0)>=(s|0))break a;A=D;B=f[m>>2]|0}}B=v+t|0;A=p|x^1;z=0;do{if(r){D=f[l>>2]|0;C=f[q>>2]|0;G=0;do{F=D+(Y(f[C>>2]|0,G)|0)+z|0;b[v+G>>0]=b[F>>0]|0;G=G+1|0}while((G|0)!=(t|0))}Bac(v,B,g);if(!A){G=0;do{C=v+G|0;D=v+(y-G)|0;F=b[C>>0]|0;b[C>>0]=b[D>>0]|0;b[D>>0]=F;G=G+1|0}while((G|0)<(w|0))}if(r){G=0;do{F=(f[m>>2]|0)+(Y(f[f[d>>2]>>2]|0,G)|0)+z|0;b[F>>0]=b[v+G>>0]|0;G=G+1|0}while((G|0)!=(t|0))}z=z+1|0}while((z|0)<(s|0))}while(0);s=f[h>>2]|0;if((s|0)==(i|0)){u=e;return}if(s|0)Fmc(s);f[h>>2]=i;f[j>>2]=1032;u=e;return}function cL(a,b,c){a=a|0;b=b|0;c=c|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;e=u;u=u+1056|0;g=e;h=e+8|0;i=h+8|0;f[h>>2]=i;j=h+4|0;f[j>>2]=520;k=(c&1|0)==0;l=a+16|0;m=b+16|0;n=f[m>>2]|0;o=(f[l>>2]|0)==(n|0);p=(c&16|0)==0;c=f[a+12>>2]|0;q=f[a+8>>2]|0;if(!k){f[j>>2]=q;if(q>>>0>520){r=Dmc(q>>>0>2147483647?-1:q<<1)|0;f[h>>2]=r;s=c;t=q;v=r}else{s=c;t=q;v=i}}else{s=q;t=c;v=i}a:do if((s|0)>0){c=b+44|0;q=a+44|0;r=t<<1;w=(t|0)>0;x=(t|0)/2|0;y=(t|0)>1;z=t+-1|0;if(k){A=p|y^1;B=0;C=n;while(1){D=C+(Y(f[f[c>>2]>>2]|0,B)|0)|0;if(!o)Krc(D|0,(f[l>>2]|0)+(Y(f[f[q>>2]>>2]|0,B)|0)|0,r|0)|0;Tac(D,D+(t<<1)|0,g);if(!A){E=0;do{F=D+(E<<1)|0;G=D+(z-E<<1)|0;H=d[F>>1]|0;d[F>>1]=d[G>>1]|0;d[G>>1]=H;E=E+1|0}while((E|0)<(x|0))}E=B+1|0;if((E|0)>=(s|0))break a;B=E;C=f[m>>2]|0}}C=v+(t<<1)|0;B=p|y^1;A=0;do{if(w){r=f[l>>2]|0;E=f[f[q>>2]>>2]|0;D=0;do{H=r+(Y(E,D)|0)+(A<<1)|0;d[v+(D<<1)>>1]=d[H>>1]|0;D=D+1|0}while((D|0)!=(t|0))}Tac(v,C,g);if(!B){D=0;do{E=v+(D<<1)|0;r=v+(z-D<<1)|0;H=d[E>>1]|0;d[E>>1]=d[r>>1]|0;d[r>>1]=H;D=D+1|0}while((D|0)<(x|0))}if(w){D=f[m>>2]|0;H=f[f[c>>2]>>2]|0;r=0;do{E=D+(Y(H,r)|0)+(A<<1)|0;d[E>>1]=d[v+(r<<1)>>1]|0;r=r+1|0}while((r|0)!=(t|0))}A=A+1|0}while((A|0)<(s|0))}while(0);s=f[h>>2]|0;if((s|0)==(i|0)){u=e;return}if(s|0)Fmc(s);f[h>>2]=i;f[j>>2]=520;u=e;return}function dL(a,b,c){a=a|0;b=b|0;c=c|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;e=u;u=u+1056|0;g=e;h=e+8|0;i=h+8|0;f[h>>2]=i;j=h+4|0;f[j>>2]=520;k=(c&1|0)==0;l=a+16|0;m=b+16|0;n=f[m>>2]|0;o=(f[l>>2]|0)==(n|0);p=(c&16|0)==0;c=f[a+12>>2]|0;q=f[a+8>>2]|0;if(!k){f[j>>2]=q;if(q>>>0>520){r=Dmc(q>>>0>2147483647?-1:q<<1)|0;f[h>>2]=r;s=c;t=q;v=r}else{s=c;t=q;v=i}}else{s=q;t=c;v=i}a:do if((s|0)>0){c=b+44|0;q=a+44|0;r=t<<1;w=(t|0)>0;x=(t|0)/2|0;y=(t|0)>1;z=t+-1|0;if(k){A=p|y^1;B=0;C=n;while(1){D=C+(Y(f[f[c>>2]>>2]|0,B)|0)|0;if(!o)Krc(D|0,(f[l>>2]|0)+(Y(f[f[q>>2]>>2]|0,B)|0)|0,r|0)|0;Nac(D,D+(t<<1)|0,g);if(!A){E=0;do{F=D+(E<<1)|0;G=D+(z-E<<1)|0;H=d[F>>1]|0;d[F>>1]=d[G>>1]|0;d[G>>1]=H;E=E+1|0}while((E|0)<(x|0))}E=B+1|0;if((E|0)>=(s|0))break a;B=E;C=f[m>>2]|0}}C=v+(t<<1)|0;B=p|y^1;A=0;do{if(w){r=f[l>>2]|0;E=f[f[q>>2]>>2]|0;D=0;do{H=r+(Y(E,D)|0)+(A<<1)|0;d[v+(D<<1)>>1]=d[H>>1]|0;D=D+1|0}while((D|0)!=(t|0))}Nac(v,C,g);if(!B){D=0;do{E=v+(D<<1)|0;r=v+(z-D<<1)|0;H=d[E>>1]|0;d[E>>1]=d[r>>1]|0;d[r>>1]=H;D=D+1|0}while((D|0)<(x|0))}if(w){D=f[m>>2]|0;H=f[f[c>>2]>>2]|0;r=0;do{E=D+(Y(H,r)|0)+(A<<1)|0;d[E>>1]=d[v+(r<<1)>>1]|0;r=r+1|0}while((r|0)!=(t|0))}A=A+1|0}while((A|0)<(s|0))}while(0);s=f[h>>2]|0;if((s|0)==(i|0)){u=e;return}if(s|0)Fmc(s);f[h>>2]=i;f[j>>2]=520;u=e;return}function eL(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;d=u;u=u+1072|0;e=d;g=d+8|0;h=g+8|0;f[g>>2]=h;i=g+4|0;f[i>>2]=264;j=(c&1|0)==0;k=a+16|0;l=b+16|0;m=f[l>>2]|0;n=(f[k>>2]|0)==(m|0);o=(c&16|0)==0;c=f[a+12>>2]|0;p=f[a+8>>2]|0;if(!j){f[i>>2]=p;if(p>>>0>264){q=Dmc(p>>>0>1073741823?-1:p<<2)|0;f[g>>2]=q;r=c;s=p;t=q}else{r=c;s=p;t=h}}else{r=p;s=c;t=h}a:do if((r|0)>0){c=b+44|0;p=a+44|0;q=s<<2;v=(s|0)>0;w=(s|0)/2|0;x=(s|0)>1;y=s+-1|0;if(j){z=o|x^1;A=0;B=m;while(1){C=B+(Y(f[f[c>>2]>>2]|0,A)|0)|0;if(!n)Krc(C|0,(f[k>>2]|0)+(Y(f[f[p>>2]>>2]|0,A)|0)|0,q|0)|0;Zac(C,C+(s<<2)|0,e);if(!z){D=0;do{E=C+(D<<2)|0;F=C+(y-D<<2)|0;G=f[E>>2]|0;f[E>>2]=f[F>>2];f[F>>2]=G;D=D+1|0}while((D|0)<(w|0))}D=A+1|0;if((D|0)>=(r|0))break a;A=D;B=f[l>>2]|0}}B=t+(s<<2)|0;A=o|x^1;z=0;do{if(v){q=f[k>>2]|0;D=f[p>>2]|0;C=0;do{G=q+(Y(f[D>>2]|0,C)|0)+(z<<2)|0;f[t+(C<<2)>>2]=f[G>>2];C=C+1|0}while((C|0)!=(s|0))}Zac(t,B,e);if(!A){C=0;do{D=t+(C<<2)|0;q=t+(y-C<<2)|0;G=f[D>>2]|0;f[D>>2]=f[q>>2];f[q>>2]=G;C=C+1|0}while((C|0)<(w|0))}if(v){C=f[l>>2]|0;G=f[c>>2]|0;q=0;do{D=C+(Y(f[G>>2]|0,q)|0)+(z<<2)|0;f[D>>2]=f[t+(q<<2)>>2];q=q+1|0}while((q|0)!=(s|0))}z=z+1|0}while((z|0)<(r|0))}while(0);r=f[g>>2]|0;if((r|0)==(h|0)){u=d;return}if(r|0)Fmc(r);f[g>>2]=h;f[i>>2]=264;u=d;return}function fL(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;d=u;u=u+1072|0;e=d;g=d+8|0;h=g+8|0;f[g>>2]=h;i=g+4|0;f[i>>2]=264;j=(c&1|0)==0;k=a+16|0;l=b+16|0;m=f[l>>2]|0;n=(f[k>>2]|0)==(m|0);o=(c&16|0)==0;c=f[a+12>>2]|0;p=f[a+8>>2]|0;if(!j){f[i>>2]=p;if(p>>>0>264){q=Dmc(p>>>0>1073741823?-1:p<<2)|0;f[g>>2]=q;r=c;s=p;t=q}else{r=c;s=p;t=h}}else{r=p;s=c;t=h}a:do if((r|0)>0){c=b+44|0;p=a+44|0;q=s<<2;v=(s|0)>0;w=(s|0)/2|0;x=(s|0)>1;y=s+-1|0;if(j){z=o|x^1;A=0;B=m;while(1){C=B+(Y(f[f[c>>2]>>2]|0,A)|0)|0;if(!n)Krc(C|0,(f[k>>2]|0)+(Y(f[f[p>>2]>>2]|0,A)|0)|0,q|0)|0;dbc(C,C+(s<<2)|0,e);if(!z){D=0;do{E=C+(D<<2)|0;F=C+(y-D<<2)|0;G=f[E>>2]|0;f[E>>2]=f[F>>2];f[F>>2]=G;D=D+1|0}while((D|0)<(w|0))}D=A+1|0;if((D|0)>=(r|0))break a;A=D;B=f[l>>2]|0}}B=t+(s<<2)|0;A=o|x^1;z=0;do{if(v){q=f[k>>2]|0;D=f[f[p>>2]>>2]|0;C=0;do{G=q+(Y(D,C)|0)+(z<<2)|0;f[t+(C<<2)>>2]=f[G>>2];C=C+1|0}while((C|0)!=(s|0))}dbc(t,B,e);if(!A){C=0;do{D=t+(C<<2)|0;q=t+(y-C<<2)|0;G=f[D>>2]|0;f[D>>2]=f[q>>2];f[q>>2]=G;C=C+1|0}while((C|0)<(w|0))}if(v){C=f[l>>2]|0;G=f[f[c>>2]>>2]|0;q=0;do{D=C+(Y(G,q)|0)+(z<<2)|0;f[D>>2]=f[t+(q<<2)>>2];q=q+1|0}while((q|0)!=(s|0))}z=z+1|0}while((z|0)<(r|0))}while(0);r=f[g>>2]|0;if((r|0)==(h|0)){u=d;return}if(r|0)Fmc(r);f[g>>2]=h;f[i>>2]=264;u=d;return}function gL(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0;d=u;u=u+1104|0;e=d+1096|0;g=d;h=g+8|0;f[g>>2]=h;i=g+4|0;f[i>>2]=136;j=(c&1|0)==0;k=a+16|0;l=b+16|0;m=f[l>>2]|0;n=(f[k>>2]|0)==(m|0);o=(c&16|0)==0;c=f[a+12>>2]|0;q=f[a+8>>2]|0;if(!j){f[i>>2]=q;if(q>>>0>136){r=Dmc(q>>>0>536870911?-1:q<<3)|0;f[g>>2]=r;s=c;t=q;v=r}else{s=c;t=q;v=h}}else{s=q;t=c;v=h}a:do if((s|0)>0){c=b+44|0;q=a+44|0;r=t<<3;w=(t|0)>0;x=(t|0)/2|0;y=(t|0)>1;z=t+-1|0;if(j){A=o|y^1;B=0;C=m;while(1){D=C+(Y(f[f[c>>2]>>2]|0,B)|0)|0;if(!n)Krc(D|0,(f[k>>2]|0)+(Y(f[f[q>>2]>>2]|0,B)|0)|0,r|0)|0;jbc(D,D+(t<<3)|0,e);if(!A){E=0;do{F=D+(E<<3)|0;G=D+(z-E<<3)|0;H=+p[F>>3];p[F>>3]=+p[G>>3];p[G>>3]=H;E=E+1|0}while((E|0)<(x|0))}E=B+1|0;if((E|0)>=(s|0))break a;B=E;C=f[l>>2]|0}}C=v+(t<<3)|0;B=o|y^1;A=0;do{if(w){r=f[k>>2]|0;E=f[f[q>>2]>>2]|0;D=0;do{G=r+(Y(E,D)|0)+(A<<3)|0;p[v+(D<<3)>>3]=+p[G>>3];D=D+1|0}while((D|0)!=(t|0))}jbc(v,C,e);if(!B){D=0;do{E=v+(D<<3)|0;r=v+(z-D<<3)|0;H=+p[E>>3];p[E>>3]=+p[r>>3];p[r>>3]=H;D=D+1|0}while((D|0)<(x|0))}if(w){D=f[l>>2]|0;r=f[f[c>>2]>>2]|0;E=0;do{G=D+(Y(r,E)|0)+(A<<3)|0;p[G>>3]=+p[v+(E<<3)>>3];E=E+1|0}while((E|0)!=(t|0))}A=A+1|0}while((A|0)<(s|0))}while(0);s=f[g>>2]|0;if((s|0)==(h|0)){u=d;return}if(s|0)Fmc(s);f[g>>2]=h;f[i>>2]=136;u=d;return}function hL(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=(e|0)%4|0;h=(g|0)==0?4:g;g=f[a>>2]|0;a:do if((h|0)==1)if((d|0)>0){i=0;j=0;while(1){b[c+j>>0]=b[g+i>>0]|0;i=i+1|0;if((i|0)==(d|0))break;else j=j+e|0}}else return;else{j=f[a+4>>2]|0;if((h|0)==2)if((d|0)>0){i=0;k=0;while(1){b[c+i>>0]=b[g+k>>0]|0;b[c+(i+1)>>0]=b[j+k>>0]|0;k=k+1|0;if((k|0)==(d|0))break a;else i=i+e|0}}else return;i=f[a+8>>2]|0;if((h|0)==3)if((d|0)>0){k=0;l=0;while(1){b[c+k>>0]=b[g+l>>0]|0;b[c+(k+1)>>0]=b[j+l>>0]|0;b[c+(k+2)>>0]=b[i+l>>0]|0;l=l+1|0;if((l|0)==(d|0))break;else k=k+e|0}}else return;else{k=f[a+12>>2]|0;if((d|0)>0){l=0;m=0;while(1){b[c+l>>0]=b[g+m>>0]|0;b[c+(l+1)>>0]=b[j+m>>0]|0;b[c+(l+2)>>0]=b[i+m>>0]|0;b[c+(l+3)>>0]=b[k+m>>0]|0;m=m+1|0;if((m|0)==(d|0))break;else l=l+e|0}}else return}}while(0);if((d|0)>0&(h|0)<(e|0))n=h;else return;do{h=f[a+(n<<2)>>2]|0;g=f[a+(n+1<<2)>>2]|0;l=f[a+(n+2<<2)>>2]|0;m=f[a+(n+3<<2)>>2]|0;k=n;i=0;while(1){b[c+k>>0]=b[h+i>>0]|0;b[c+(k+1)>>0]=b[g+i>>0]|0;b[c+(k+2)>>0]=b[l+i>>0]|0;b[c+(k+3)>>0]=b[m+i>>0]|0;i=i+1|0;if((i|0)==(d|0))break;else k=k+e|0}n=n+4|0}while((n|0)<(e|0));return}function iL(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=(e|0)%4|0;h=(g|0)==0?4:g;g=f[a>>2]|0;a:do if((h|0)==1)if((c|0)>0){i=0;j=0;while(1){d[b+(j<<1)>>1]=d[g+(i<<1)>>1]|0;i=i+1|0;if((i|0)==(c|0))break;else j=j+e|0}}else return;else{j=f[a+4>>2]|0;if((h|0)==2)if((c|0)>0){i=0;k=0;while(1){d[b+(i<<1)>>1]=d[g+(k<<1)>>1]|0;d[b+(i+1<<1)>>1]=d[j+(k<<1)>>1]|0;k=k+1|0;if((k|0)==(c|0))break a;else i=i+e|0}}else return;i=f[a+8>>2]|0;if((h|0)==3)if((c|0)>0){k=0;l=0;while(1){d[b+(k<<1)>>1]=d[g+(l<<1)>>1]|0;d[b+(k+1<<1)>>1]=d[j+(l<<1)>>1]|0;d[b+(k+2<<1)>>1]=d[i+(l<<1)>>1]|0;l=l+1|0;if((l|0)==(c|0))break;else k=k+e|0}}else return;else{k=f[a+12>>2]|0;if((c|0)>0){l=0;m=0;while(1){d[b+(l<<1)>>1]=d[g+(m<<1)>>1]|0;d[b+(l+1<<1)>>1]=d[j+(m<<1)>>1]|0;d[b+(l+2<<1)>>1]=d[i+(m<<1)>>1]|0;d[b+(l+3<<1)>>1]=d[k+(m<<1)>>1]|0;m=m+1|0;if((m|0)==(c|0))break;else l=l+e|0}}else return}}while(0);if((c|0)>0&(h|0)<(e|0))n=h;else return;do{h=f[a+(n<<2)>>2]|0;g=f[a+(n+1<<2)>>2]|0;l=f[a+(n+2<<2)>>2]|0;m=f[a+(n+3<<2)>>2]|0;k=n;i=0;while(1){d[b+(k<<1)>>1]=d[h+(i<<1)>>1]|0;d[b+(k+1<<1)>>1]=d[g+(i<<1)>>1]|0;d[b+(k+2<<1)>>1]=d[l+(i<<1)>>1]|0;d[b+(k+3<<1)>>1]=d[m+(i<<1)>>1]|0;i=i+1|0;if((i|0)==(c|0))break;else k=k+e|0}n=n+4|0}while((n|0)<(e|0));return}function jL(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=(d|0)%4|0;g=(e|0)==0?4:e;e=f[a>>2]|0;a:do if((g|0)==1)if((c|0)>0){h=0;i=0;while(1){f[b+(i<<2)>>2]=f[e+(h<<2)>>2];h=h+1|0;if((h|0)==(c|0))break;else i=i+d|0}}else return;else{i=f[a+4>>2]|0;if((g|0)==2)if((c|0)>0){h=0;j=0;while(1){f[b+(h<<2)>>2]=f[e+(j<<2)>>2];f[b+(h+1<<2)>>2]=f[i+(j<<2)>>2];j=j+1|0;if((j|0)==(c|0))break a;else h=h+d|0}}else return;h=f[a+8>>2]|0;if((g|0)==3)if((c|0)>0){j=0;k=0;while(1){f[b+(j<<2)>>2]=f[e+(k<<2)>>2];f[b+(j+1<<2)>>2]=f[i+(k<<2)>>2];f[b+(j+2<<2)>>2]=f[h+(k<<2)>>2];k=k+1|0;if((k|0)==(c|0))break;else j=j+d|0}}else return;else{j=f[a+12>>2]|0;if((c|0)>0){k=0;l=0;while(1){f[b+(k<<2)>>2]=f[e+(l<<2)>>2];f[b+(k+1<<2)>>2]=f[i+(l<<2)>>2];f[b+(k+2<<2)>>2]=f[h+(l<<2)>>2];f[b+(k+3<<2)>>2]=f[j+(l<<2)>>2];l=l+1|0;if((l|0)==(c|0))break;else k=k+d|0}}else return}}while(0);if((c|0)>0&(g|0)<(d|0))m=g;else return;do{g=f[a+(m<<2)>>2]|0;e=f[a+(m+1<<2)>>2]|0;k=f[a+(m+2<<2)>>2]|0;l=f[a+(m+3<<2)>>2]|0;j=m;h=0;while(1){f[b+(j<<2)>>2]=f[g+(h<<2)>>2];f[b+(j+1<<2)>>2]=f[e+(h<<2)>>2];f[b+(j+2<<2)>>2]=f[k+(h<<2)>>2];f[b+(j+3<<2)>>2]=f[l+(h<<2)>>2];h=h+1|0;if((h|0)==(c|0))break;else j=j+d|0}m=m+4|0}while((m|0)<(d|0));return}function kL(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=(d|0)%4|0;g=(e|0)==0?4:e;e=f[a>>2]|0;a:do if((g|0)==1)if((c|0)>0){h=0;i=0;while(1){j=e+(h<<3)|0;k=f[j+4>>2]|0;l=b+(i<<3)|0;f[l>>2]=f[j>>2];f[l+4>>2]=k;h=h+1|0;if((h|0)==(c|0))break;else i=i+d|0}}else return;else{i=f[a+4>>2]|0;if((g|0)==2)if((c|0)>0){h=0;k=0;while(1){l=e+(k<<3)|0;j=f[l+4>>2]|0;m=b+(h<<3)|0;f[m>>2]=f[l>>2];f[m+4>>2]=j;j=i+(k<<3)|0;m=f[j+4>>2]|0;l=b+(h+1<<3)|0;f[l>>2]=f[j>>2];f[l+4>>2]=m;k=k+1|0;if((k|0)==(c|0))break a;else h=h+d|0}}else return;h=f[a+8>>2]|0;if((g|0)==3)if((c|0)>0){k=0;m=0;while(1){l=e+(m<<3)|0;j=f[l+4>>2]|0;n=b+(k<<3)|0;f[n>>2]=f[l>>2];f[n+4>>2]=j;j=i+(m<<3)|0;n=f[j+4>>2]|0;l=b+(k+1<<3)|0;f[l>>2]=f[j>>2];f[l+4>>2]=n;n=h+(m<<3)|0;l=f[n+4>>2]|0;j=b+(k+2<<3)|0;f[j>>2]=f[n>>2];f[j+4>>2]=l;m=m+1|0;if((m|0)==(c|0))break;else k=k+d|0}}else return;else{k=f[a+12>>2]|0;if((c|0)>0){m=0;l=0;while(1){j=e+(l<<3)|0;n=f[j+4>>2]|0;o=b+(m<<3)|0;f[o>>2]=f[j>>2];f[o+4>>2]=n;n=i+(l<<3)|0;o=f[n+4>>2]|0;j=b+(m+1<<3)|0;f[j>>2]=f[n>>2];f[j+4>>2]=o;o=h+(l<<3)|0;j=f[o+4>>2]|0;n=b+(m+2<<3)|0;f[n>>2]=f[o>>2];f[n+4>>2]=j;j=k+(l<<3)|0;n=f[j+4>>2]|0;o=b+(m+3<<3)|0;f[o>>2]=f[j>>2];f[o+4>>2]=n;l=l+1|0;if((l|0)==(c|0))break;else m=m+d|0}}else return}}while(0);if((c|0)>0&(g|0)<(d|0))p=g;else return;do{g=f[a+(p<<2)>>2]|0;e=f[a+(p+1<<2)>>2]|0;m=f[a+(p+2<<2)>>2]|0;l=f[a+(p+3<<2)>>2]|0;k=p;h=0;while(1){i=g+(h<<3)|0;n=f[i+4>>2]|0;o=b+(k<<3)|0;f[o>>2]=f[i>>2];f[o+4>>2]=n;n=e+(h<<3)|0;o=f[n+4>>2]|0;i=b+(k+1<<3)|0;f[i>>2]=f[n>>2];f[i+4>>2]=o;o=m+(h<<3)|0;i=f[o+4>>2]|0;n=b+(k+2<<3)|0;f[n>>2]=f[o>>2];f[n+4>>2]=i;i=l+(h<<3)|0;n=f[i+4>>2]|0;o=b+(k+3<<3)|0;f[o>>2]=f[i>>2];f[o+4>>2]=n;h=h+1|0;if((h|0)==(c|0))break;else k=k+d|0}p=p+4|0}while((p|0)<(d|0));return}function lL(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;e=u;u=u+2208|0;g=e+2200|0;h=e+2144|0;i=e+1080|0;j=e+40|0;k=e+8|0;l=e;zT(g,44796);if(!((a|0)!=0&(c|0)!=0)){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,11)|0;n=197938;o=m+11|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));mL(-215,h,197950,284)}p=f[a>>2]&7;q=f[a+40>>2]|0;r=f[q+-4>>2]|0;s=q+4|0;t=(r|0)==2;v=(r|0)>0;w=1;x=0;y=0;z=q;a:while(1){if(t){if((f[z>>2]|0)!=(f[q>>2]|0)){A=11;break}if((f[z+4>>2]|0)!=(f[s>>2]|0)){A=11;break}}else if(v){B=0;do{if((f[z+(B<<2)>>2]|0)!=(f[q+(B<<2)>>2]|0)){A=11;break a}B=B+1|0}while((B|0)<(r|0))}B=f[a+(y*56|0)>>2]|0;if((B&7|0)!=(p|0)){A=11;break}w=w&(B&4088|0)==0;C=B>>>3&511;D=x+1+C|0;y=y+1|0;if(y>>>0>=c>>>0){A=14;break}z=f[a+(y*56|0)+40>>2]|0;if((f[z+-4>>2]|0)!=(r|0)){A=11;break}else x=D}if((A|0)==11){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,50)|0;n=197956;o=m+50|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));mL(-215,h,197950,293)}else if((A|0)==14){if((x+C|0)>>>0>=512){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,25)|0;n=198007;o=m+25|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));mL(-215,h,197950,298)}ID(d,f[a+4>>2]|0,f[a+40>>2]|0,(D<<3)+-8|p,-1,0,0);do if((pD(d)|0)==65536){C=f[d+4>>2]|0;f[h>>2]=f[C>>2];x=h+4|0;A=C+4|0;f[x>>2]=f[A>>2];r=h+8|0;f[r>>2]=f[C+8>>2];f[h+12>>2]=f[C+12>>2];f[h+16>>2]=f[C+16>>2];f[h+20>>2]=f[C+20>>2];f[h+24>>2]=f[C+24>>2];f[h+28>>2]=f[C+28>>2];f[h+32>>2]=f[C+32>>2];z=f[C+36>>2]|0;f[h+36>>2]=z;f[h+40>>2]=r;r=h+48|0;y=h+44|0;f[y>>2]=r;f[r>>2]=0;f[h+52>>2]=0;if(z|0){r=z+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[A>>2]|0)<3){A=f[C+44>>2]|0;r=f[y>>2]|0;f[r>>2]=f[A>>2];f[r+4>>2]=f[A+4>>2];break}else{f[x>>2]=0;kP(h,C);break}}else lD(h,d,-1);while(0);do if((c|0)!=1){if(!w){d=D<<1;C=i+8|0;f[i>>2]=C;x=i+4|0;f[x>>2]=d;if(d>>>0>264){A=Dmc(d>>>0>1073741823?-1:d<<2)|0;f[i>>2]=A;E=A}else E=C;A=0;d=0;while(1){r=(f[a+(d*56|0)>>2]|0)>>>3&511;y=0;while(1){z=y+A|0;q=z<<1;f[E+(q<<2)>>2]=z;f[E+((q|1)<<2)>>2]=z;if((y|0)==(r|0))break;else y=y+1|0}d=d+1|0;if((d|0)==(c|0))break;else A=A+1+r|0}wG(a,c,h,1,E,D);A=f[i>>2]|0;if((A|0)!=(C|0)){if(A|0)Fmc(A);f[i>>2]=C;f[x>>2]=264}break}A=f[44816+(p<<2)>>2]|0;if((p|0)==7){f[i>>2]=0;f[i+4>>2]=0;m=YG(i,9)|0;n=274048;o=m+9|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));mL(-215,i,197950,329)}x=f[h+4>>2]|0;if((x|0)>0)F=f[(f[h+44>>2]|0)+(x+-1<<2)>>2]|0;else F=0;x=1212424721>>>(f[h>>2]<<2&28)&15;f[i>>2]=((F+1023|0)>>>0)/(F>>>0)|0;C=D+1|0;d=(C<<3)+16|0;y=j+8|0;f[j>>2]=y;z=j+4|0;f[z>>2]=d;if(d>>>0>1032){q=Dmc(d)|0;f[j>>2]=q;G=q}else G=y;q=G+(D<<2)+4+15&-16;d=q;v=q;f[G>>2]=h;q=0;do{s=q;q=q+1|0;f[G+(q<<2)>>2]=a+(s*56|0)}while((q|0)!=(D|0));IN(k,G,v,C);q=f[k+20>>2]|0;f[l>>2]=q;s=536870911/(D|0)|0;if((D|0)<5)H=q;else{t=f[i>>2]|0;H=t>>>0<q>>>0?t:f[l>>2]|0}t=H>>>0<s>>>0?H:s;s=k+16|0;B=d+4|0;I=q;J=q;q=0;while(1){if(q>>>0>=(f[s>>2]|0)>>>0)break;if(!I){K=0;L=J}else{M=I;N=J;O=0;while(1){P=M-O|0;Q=t>>>0<P>>>0?t:P;rh[A&255](B,f[v>>2]|0,Q,D);O=O+t|0;if(O>>>0<N>>>0){P=Y(F,Q)|0;f[v>>2]=(f[v>>2]|0)+P;P=Y(x,Q)|0;Q=0;do{Q=Q+1|0;R=d+(Q<<2)|0;f[R>>2]=(f[R>>2]|0)+P}while((Q|0)!=(D|0));S=f[l>>2]|0}else S=N;if(S>>>0<=O>>>0){K=S;L=S;break}else{M=S;N=S}}}JN(k)|0;I=K;J=L;q=q+1|0}q=f[j>>2]|0;if((q|0)!=(y|0)){if(q|0)Fmc(q);f[j>>2]=y;f[z>>2]=1032}}else{q=i+8|0;f[q>>2]=0;f[q+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=h;kT(a,i)}while(0);i=h+36|0;a=f[i>>2]|0;if(a|0?(j=a+12|0,a=f[j>>2]|0,f[j>>2]=a+-1,(a|0)==1):0)lP(h);f[i>>2]=0;i=h+16|0;a=h+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[a>>2]|0)>0){i=f[h+40>>2]|0;j=0;do{f[i+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[a>>2]|0))}a=f[h+44>>2]|0;if((a|0)!=(h+48|0))tE(a);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}}function mL(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;SQ(a,b,c,198033,d);return}function nL(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+32|0;d=c+16|0;e=c;zT(d,44848);f[e>>2]=0;g=e+4|0;f[g>>2]=0;f[e+8>>2]=0;rD(a,e);a=f[e>>2]|0;h=f[g>>2]|0;lL((a|0)==(h|0)?0:a,(h-a|0)/56|0,b);rt(e);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function oL(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0.0,j=0.0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0,F=0.0;e=d;g=f[e>>2]|0;h=f[e+4>>2]|0;if(!(b[1157720]|0)){f[134537]=1991057938;f[134538]=0;n[134665]=1.7290404663583558e-09;n[134792]=1.6030947680434338e-09;n[134793]=1.0;n[134920]=2.6696291752159595e-03;e=126;i=3.442619855899;while(1){j=i;i=+M(+(+W(+(.00991256303526217/i+ +V(+(i*(i*-.5)))))*-2.0));f[538148+(e+1<<2)>>2]=~~(i/j*2147483648.0)>>>0;j=+V(+(i*(i*-.5)));n[539172+(e<<2)>>2]=j;n[538660+(e<<2)>>2]=i*4.656612873077393e-10;if((e|0)<=1)break;else e=e+-1|0}b[1157720]=1}if((c|0)>0){k=0;l=g;m=h}else{o=g;p=h;q=d;r=q;f[r>>2]=o;s=q+4|0;t=s;f[t>>2]=p;return}while(1){h=l;g=m;while(1){e=Urc(h|0,0,-130063606,0)|0;u=Arc(e|0,J|0,g|0,0)|0;e=J;v=h&127;i=+n[538660+(v<<2)>>2]*+(h|0);if(((h|0)>-1?h:0-h|0)>>>0<(f[538148+(v<<2)>>2]|0)>>>0){w=i;x=u;y=e;break}if(!v){z=u;A=e;B=9;break}C=Urc(u|0,0,-130063606,0)|0;D=Arc(C|0,J|0,e|0,0)|0;e=J;j=+n[539172+(v<<2)>>2];E=i;if(!(j+ +(u>>>0)*2.3283064365386963e-10*(+n[539172+(v+-1<<2)>>2]-j)<+V(+(E*(E*-.5))))){h=D;g=e}else{w=i;x=D;y=e;break}}if((B|0)==9){while(1){B=0;g=Urc(z|0,0,-130063606,0)|0;e=Arc(g|0,J|0,A|0,0)|0;g=J;D=Urc(e|0,0,-130063606,0)|0;v=z;z=Arc(D|0,J|0,g|0,0)|0;A=J;F=-+W(+(+(v>>>0)*2.3283064365386963e-10+1.1754943508222875e-38))*.2904764;i=+W(+(+(e>>>0)*2.3283064365386963e-10+1.1754943508222875e-38));if(!(-i-i<F*F))break;else B=9}w=(h|0)>0?F+3.442620038986206:-3.442620038986206-F;x=z;y=A}n[a+(k<<2)>>2]=w;k=k+1|0;if((k|0)==(c|0)){o=x;p=y;break}else{l=x;m=y}}q=d;r=q;f[r>>2]=o;s=q+4|0;t=s;f[t>>2]=p;return}function pL(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0;i=u;u=u+2496|0;j=i+2440|0;k=i+2384|0;l=i+2328|0;m=i+1096|0;o=i+2264|0;q=i+2320|0;r=i+2232|0;t=i+2256|0;v=i+2248|0;w=i+2224|0;x=i+2192|0;y=i;if(DD(c)|0){f[j>>2]=0;f[j+4>>2]=0;z=YG(j,13)|0;A=198198;B=z+13|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));SQ(-215,j,402741,198212,514)}do if((pD(c)|0)==65536){C=f[c+4>>2]|0;f[j>>2]=f[C>>2];D=j+4|0;E=C+4|0;f[D>>2]=f[E>>2];F=j+8|0;f[F>>2]=f[C+8>>2];f[j+12>>2]=f[C+12>>2];f[j+16>>2]=f[C+16>>2];f[j+20>>2]=f[C+20>>2];f[j+24>>2]=f[C+24>>2];f[j+28>>2]=f[C+28>>2];f[j+32>>2]=f[C+32>>2];G=f[C+36>>2]|0;f[j+36>>2]=G;f[j+40>>2]=F;F=j+48|0;H=j+44|0;f[H>>2]=F;f[F>>2]=0;f[j+52>>2]=0;if(G|0){F=G+12|0;f[F>>2]=(f[F>>2]|0)+1}if((f[E>>2]|0)<3){E=f[C+44>>2]|0;F=f[H>>2]|0;f[F>>2]=f[E>>2];f[F+4>>2]=f[E+4>>2];break}else{f[D>>2]=0;kP(j,C);break}}else lD(j,c,-1);while(0);do if((pD(e)|0)==65536){c=f[e+4>>2]|0;f[k>>2]=f[c>>2];C=k+4|0;D=c+4|0;f[C>>2]=f[D>>2];E=k+8|0;f[E>>2]=f[c+8>>2];f[k+12>>2]=f[c+12>>2];f[k+16>>2]=f[c+16>>2];f[k+20>>2]=f[c+20>>2];f[k+24>>2]=f[c+24>>2];f[k+28>>2]=f[c+28>>2];f[k+32>>2]=f[c+32>>2];F=f[c+36>>2]|0;f[k+36>>2]=F;f[k+40>>2]=E;E=k+48|0;H=k+44|0;f[H>>2]=E;f[E>>2]=0;f[k+52>>2]=0;if(F|0){E=F+12|0;f[E>>2]=(f[E>>2]|0)+1}if((f[D>>2]|0)<3){D=f[c+44>>2]|0;E=f[H>>2]|0;f[E>>2]=f[D>>2];f[E+4>>2]=f[D+4>>2];break}else{f[C>>2]=0;kP(k,c);break}}else lD(k,e,-1);while(0);do if((pD(g)|0)==65536){e=f[g+4>>2]|0;f[l>>2]=f[e>>2];c=l+4|0;C=e+4|0;f[c>>2]=f[C>>2];D=l+8|0;f[D>>2]=f[e+8>>2];f[l+12>>2]=f[e+12>>2];f[l+16>>2]=f[e+16>>2];f[l+20>>2]=f[e+20>>2];f[l+24>>2]=f[e+24>>2];f[l+28>>2]=f[e+28>>2];f[l+32>>2]=f[e+32>>2];E=f[e+36>>2]|0;f[l+36>>2]=E;f[l+40>>2]=D;D=l+48|0;H=l+44|0;f[H>>2]=D;f[D>>2]=0;f[l+52>>2]=0;if(E|0){D=E+12|0;f[D>>2]=(f[D>>2]|0)+1}if((f[C>>2]|0)<3){C=f[e+44>>2]|0;D=f[H>>2]|0;f[D>>2]=f[C>>2];f[D+4>>2]=f[C+4>>2];break}else{f[c>>2]=0;kP(l,e);break}}else lD(l,g,-1);while(0);g=f[j>>2]|0;e=g&7;c=g>>>3&511;C=c+1|0;D=m+8|0;f[m>>2]=D;H=m+4|0;f[H>>2]=136;E=f[k>>2]|0;if(E&4088|0){f[o>>2]=0;I=o+4|0;f[I>>2]=0;K=YG(o,223)|0;Krc(K|0,198275,223)|0;SQ(-215,o,402741,198212,527)}F=f[k+8>>2]|0;G=f[k+12>>2]|0;if(!((F|0)==1|(G|0)==1)){f[o>>2]=0;I=o+4|0;f[I>>2]=0;K=YG(o,223)|0;Krc(K|0,198275,223)|0;SQ(-215,o,402741,198212,527)}L=F+-1+G|0;if(!((L|0)==(C|0)|(L|0)==1)?(L=f[k+40>>2]|0,C>>>0>4|(E&4095|0)!=6|((f[L>>2]|0)!=4?1:(f[L+4>>2]|0)!=1)):0){f[o>>2]=0;I=o+4|0;f[I>>2]=0;K=YG(o,223)|0;Krc(K|0,198275,223)|0;SQ(-215,o,402741,198212,527)}K=f[l>>2]|0;if(K&4088|0){f[o>>2]=0;M=o+4|0;f[M>>2]=0;N=YG(o,295)|0;Krc(N|0,198499,295)|0;SQ(-215,o,402741,198212,532)}I=l+8|0;L=f[I>>2]|0;O=f[l+12>>2]|0;if((L|0)!=1)if((O|0)==1){P=1;Q=32}else{R=O;Q=35}else{P=O;Q=32}if((Q|0)==32){O=L+-1+P|0;if(!((O|0)==(C|0)|(O|0)==1)){O=f[k+40>>2]|0;if(((f[O>>2]|0)==4?(f[O+4>>2]|0)==1:0)?C>>>0<5&(E&4095|0)==6:0)S=P;else{R=P;Q=35}}else S=P}if((Q|0)==35){if((L|0)!=(C|0)){f[o>>2]=0;M=o+4|0;f[M>>2]=0;N=YG(o,295)|0;Krc(N|0,198499,295)|0;SQ(-215,o,402741,198212,532)}if((d|0)==1&(R|0)==(C|0))S=C;else{f[o>>2]=0;M=o+4|0;f[M>>2]=0;N=YG(o,295)|0;Krc(N|0,198499,295)|0;SQ(-215,o,402741,198212,532)}}N=k+4|0;M=f[N>>2]|0;if((M|0)<3)T=Y(G,F)|0;else{F=f[k+40>>2]|0;G=0;R=1;while(1){P=Y(f[F+(G<<2)>>2]|0,R)|0;G=G+1|0;if((G|0)==(M|0)){T=P;break}else R=P}}R=l+4|0;M=f[R>>2]|0;if((M|0)<3)U=Y(S,L)|0;else{L=f[l+40>>2]|0;S=0;G=1;while(1){F=Y(f[L+(S<<2)>>2]|0,G)|0;S=S+1|0;if((S|0)==(M|0)){U=F;break}else G=F}}G=(d|0)==0;do if(G){M=T+(C<<3)+U|0;f[H>>2]=M;if(M>>>0>136){S=Dmc(M>>>0>536870911?-1:M<<3)|0;f[m>>2]=S;V=S}else V=D;S=f[l+16>>2]|0;if((E&16384|0)!=0?(T|0)==(C|0)&(E&4095|0)==6:0){W=f[k+16>>2]|0;X=K}else{M=f[k+40>>2]|0;L=f[M>>2]|0;f[q>>2]=f[M+4>>2];f[q+4>>2]=L;mD(o,q,6,V,0);L=r+8|0;f[L>>2]=0;f[L+4>>2]=0;f[r>>2]=33619968;f[r+4>>2]=o;IO(k,r,6,1.0,0.0);if((T|0)<=(c|0)){L=T;while(1){p[V+(L<<3)>>3]=+p[V+(L-T<<3)>>3];if((L|0)<(c|0))L=L+1|0;else break}}L=o+36|0;M=f[L>>2]|0;if(M|0?(F=M+12|0,M=f[F>>2]|0,f[F>>2]=M+-1,(M|0)==1):0)lP(o);f[L>>2]=0;L=o+16|0;M=o+4|0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;if((f[M>>2]|0)>0){L=f[o+40>>2]|0;F=0;do{f[L+(F<<2)>>2]=0;F=F+1|0}while((F|0)<(f[M>>2]|0))}M=f[o+44>>2]|0;if((M|0)!=(o+48|0))tE(M);W=V;X=f[l>>2]|0}if((X&16384|0)!=0?(U|0)==(C|0)&(X&4095|0)==6:0)Z=S;else{M=f[l+40>>2]|0;F=f[M>>2]|0;f[t>>2]=f[M+4>>2];f[t+4>>2]=F;F=V+(C<<3)|0;mD(o,t,6,F,0);M=r+8|0;f[M>>2]=0;f[M+4>>2]=0;f[r>>2]=33619968;f[r+4>>2]=o;IO(l,r,6,1.0,0.0);if((U|0)<=(c|0)){M=U;while(1){p[F+(M<<3)>>3]=+p[F+(M-U<<3)>>3];if((M|0)<(c|0))M=M+1|0;else break}}M=o+36|0;S=f[M>>2]|0;do if(S|0){L=S+12|0;P=f[L>>2]|0;f[L>>2]=P+-1;if((P|0)!=1)break;lP(o)}while(0);f[M>>2]=0;S=o+16|0;P=o+4|0;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;if((f[P>>2]|0)>0){S=f[o+40>>2]|0;L=0;do{f[S+(L<<2)>>2]=0;L=L+1|0}while((L|0)<(f[P>>2]|0))}P=f[o+44>>2]|0;if((P|0)!=(o+48|0))tE(P);Z=F}do if(e>>>0>=5){_=(e|0)==6?5.421010862427522e-20:2.3283064365386963e-10;$=h?3402823466385288598117041.0e14:1797693134862315708145274.0e284;P=V+(C<<1<<3)|0;if((e|0)==5){L=0;do{aa=+p[Z+(L<<3)>>3];ba=+p[W+(L<<3)>>3];ca=aa-ba;S=P+(L<<3)|0;n[S>>2]=_*(ca<$?ca:$);n[S+4>>2]=(aa+ba)*.5;L=L+1|0}while((L|0)!=(C|0));da=0;ea=0;fa=0;ga=P;ha=0;ia=1;ja=0;break}else{L=0;do{S=Z+(L<<3)|0;M=W+(L<<3)|0;$=+p[S>>3]-+p[M>>3];p[P+(L<<4)>>3]=_*($<1797693134862315708145274.0e284?$:1797693134862315708145274.0e284);p[P+(L<<4)+8>>3]=(+p[S>>3]+ +p[M>>3])*.5;L=L+1|0}while((L|0)!=(C|0));da=0;ea=0;fa=P;ga=0;ha=0;ia=1;ja=0}}else{P=V+(C<<1<<3)|0;L=(e|2|0)==2;M=g&255;S=(e|0)==3;_=S?32768.0:2147483647.0;if(h){O=L|(e|0)!=1;$=L?0.0:S?-32768.0:-2147483648.0;S=1;L=1;ka=0;while(1){ba=+p[Z+(ka<<3)>>3];aa=+p[W+(ka<<3)>>3];ca=ba<aa?ba:aa;la=aa<ba?ba:aa;a:do if(O){aa=ca<$?$:ca;switch(M&7){case 0:{ma=aa;na=256.0;break a;break}case 1:{oa=aa;Q=81;break a;break}case 2:{ma=aa;na=65536.0;break a;break}default:{ma=aa;na=_;break a}}}else{oa=ca<-128.0?-128.0:ca;Q=81}while(0);if((Q|0)==81){Q=0;ma=oa;na=128.0}ca=na<la?na:la;pa=~~ma;qa=(+(pa|0)<ma&1)+pa|0;pa=P+(ka<<3)|0;ra=pa+4|0;f[ra>>2]=qa;sa=~~ca;ta=sa-(+(sa|0)>ca&1)-qa|0;qa=(ta|0)<1?0:ta+-1|0;f[pa>>2]=qa;aa=ca-ma;ta=(qa+1&qa|0)==0;do if(S<<24>>24!=0&aa<=4294967296.0){sa=ta&1;if(!ta){ua=sa;Q=86;break}va=(L&1)!=0&(qa|0)<256&1;wa=sa}else{ua=0;Q=86}while(0);do if((Q|0)==86){Q=0;if(aa>2147483647.0)f[pa>>2]=2147483647;if(!(ma<-1073741824.0)){va=L;wa=ua;break}f[ra>>2]=-1073741824;va=L;wa=ua}while(0);ka=ka+1|0;if((ka|0)==(C|0)){xa=wa;ya=va;break}else{S=wa;L=va}}}else{L=1;S=1;ka=0;while(1){_=+p[Z+(ka<<3)>>3];$=+p[W+(ka<<3)>>3];aa=_<$?_:$;la=$<_?_:$;M=~~aa;O=(+(M|0)<aa&1)+M|0;M=P+(ka<<3)|0;ra=M+4|0;f[ra>>2]=O;pa=~~la;qa=pa-(+(pa|0)>la&1)-O|0;O=(qa|0)<1?0:qa+-1|0;f[M>>2]=O;$=la-aa;qa=(O+1&O|0)==0;do if(L<<24>>24!=0&$<=4294967296.0){pa=qa&1;if(!qa){za=pa;Q=95;break}Aa=(S&1)!=0&(O|0)<256&1;Ba=pa}else{za=0;Q=95}while(0);do if((Q|0)==95){Q=0;if($>2147483647.0)f[M>>2]=2147483647;if(!(aa<-1073741824.0)){Aa=S;Ba=za;break}f[ra>>2]=-1073741824;Aa=S;Ba=za}while(0);ka=ka+1|0;if((ka|0)==(C|0)){xa=Ba;ya=Aa;break}else{L=Ba;S=Aa}}}if(!(xa<<24>>24)){S=P+(C<<3)|0;L=0;do{ka=P+(L<<3)|0;f[S+(L*20|0)+16>>2]=f[ka+4>>2];ra=(f[ka>>2]|0)+1|0;f[S+(L*20|0)>>2]=ra;ka=0;while(1){Ca=Qrc(1,0,ka|0)|0;Da=J;if(Da>>>0<0|(Da|0)==0&Ca>>>0<ra>>>0)ka=ka+1|0;else break}M=zrc(Ca|0,Da|0,ra|0,0)|0;O=Src(0,M|0,ra|0,0)|0;f[S+(L*20|0)+4>>2]=O+1;f[S+(L*20|0)+8>>2]=(ka|0)<1?ka:1;O=ka+-1|0;f[S+(L*20|0)+12>>2]=(O|0)>0?O:0;L=L+1|0}while((L|0)!=(C|0));Ea=S}else Ea=0;da=P;ea=xa;fa=0;ga=0;ha=Ea;ia=ya;ja=xa&255}while(0);F=f[44868+(ja<<5)+(e<<2)>>2]|0;if(!F){f[o>>2]=0;f[o+4>>2]=0;z=YG(o,9)|0;A=274048;B=z+9|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));SQ(-215,o,402741,198212,656)}else{Fa=0;Ga=0;Ha=F;Ia=da;Ja=0;Ka=0;La=(ea&1)!=0;Ma=fa;Na=ga;Oa=ha;Pa=(ia&1)!=0;break}}else{if((d|0)!=1){f[o>>2]=0;f[o+4>>2]=0;z=YG(o,25)|0;A=198810;B=z+25|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));SQ(-5,o,402741,198212,697)}F=(T|0)<=(c|0);S=F?C:T;L=(U|0)<=(c|0);O=(L?C:U)+S|0;f[H>>2]=O;if(O>>>0>136){M=Dmc(O>>>0>536870911?-1:O<<3)|0;f[m>>2]=M;Qa=M}else Qa=D;M=(e|0)==6?6:5;O=47696>>>(M<<1)&3;if((E&16384|0)!=0?!(F|(E&4095|0)!=(M|0)):0)Ra=f[k+16>>2]|0;else{qa=f[k+40>>2]|0;pa=f[qa>>2]|0;f[v>>2]=f[qa+4>>2];f[v+4>>2]=pa;mD(o,v,M,Qa,0);pa=r+8|0;f[pa>>2]=0;f[pa+4>>2]=0;f[r>>2]=33619968;f[r+4>>2]=o;IO(k,r,M,1.0,0.0);pa=o+36|0;qa=f[pa>>2]|0;if(qa|0?(ta=qa+12|0,qa=f[ta>>2]|0,f[ta>>2]=qa+-1,(qa|0)==1):0)lP(o);f[pa>>2]=0;pa=o+16|0;qa=o+4|0;f[pa>>2]=0;f[pa+4>>2]=0;f[pa+8>>2]=0;f[pa+12>>2]=0;if((f[qa>>2]|0)>0){pa=f[o+40>>2]|0;ta=0;do{f[pa+(ta<<2)>>2]=0;ta=ta+1|0}while((ta|0)<(f[qa>>2]|0))}qa=f[o+44>>2]|0;if((qa|0)!=(o+48|0))tE(qa);Ra=Qa}if(F?(qa=T<<O,ta=C<<O,(qa|0)<(ta|0)):0){pa=qa;do{b[Ra+pa>>0]=b[Ra+(pa-qa)>>0]|0;pa=pa+1|0}while((pa|0)!=(ta|0))}ta=f[l>>2]|0;if((ta&16384|0)!=0?!(L|(ta&4095|0)!=(M|0)):0)Sa=f[l+16>>2]|0;else{ta=f[l+40>>2]|0;pa=f[ta>>2]|0;f[w>>2]=f[ta+4>>2];f[w+4>>2]=pa;pa=Qa+(S<<3)|0;mD(o,w,M,pa,0);ta=r+8|0;f[ta>>2]=0;f[ta+4>>2]=0;f[r>>2]=33619968;f[r+4>>2]=o;IO(l,r,M,1.0,0.0);ta=o+36|0;qa=f[ta>>2]|0;do if(qa|0){F=qa+12|0;sa=f[F>>2]|0;f[F>>2]=sa+-1;if((sa|0)!=1)break;lP(o)}while(0);f[ta>>2]=0;qa=o+16|0;M=o+4|0;f[qa>>2]=0;f[qa+4>>2]=0;f[qa+8>>2]=0;f[qa+12>>2]=0;if((f[M>>2]|0)>0){qa=f[o+40>>2]|0;S=0;do{f[qa+(S<<2)>>2]=0;S=S+1|0}while((S|0)<(f[M>>2]|0))}M=f[o+44>>2]|0;if((M|0)!=(o+48|0))tE(M);Sa=pa}do if(L){M=U<<O;S=C<<O;if((M|0)<(S|0))Ta=M;else break;do{b[Sa+Ta>>0]=b[Sa+(Ta-M)>>0]|0;Ta=Ta+1|0}while((Ta|0)!=(S|0))}while(0);if((e|0)==7){f[o>>2]=0;f[o+4>>2]=0;z=YG(o,14)|0;A=198795;B=z+14|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));SQ(-215,o,402741,198212,694)}else{Fa=f[44932+(e<<2)>>2]|0;Ga=(f[I>>2]|0)==(C|0)?(f[l+12>>2]|0)==(C|0):0;Ha=0;Ia=0;Ja=Sa;Ka=Ra;La=0;Ma=0;Na=0;Oa=0;Pa=1;break}}while(0);f[o>>2]=j;f[o+4>>2]=0;IN(x,o,r,1);o=f[x+20>>2]|0;Ra=((c|1024)>>>0)/(C>>>0)|0;c=(o|0)<(Ra|0)?o:Ra;Ra=j+4|0;Sa=f[Ra>>2]|0;if((Sa|0)>0)Ua=f[(f[j+44>>2]|0)+(Sa+-1<<2)>>2]|0;else Ua=0;Sa=y+8|0;f[y>>2]=Sa;I=y+4|0;f[I>>2]=136;A=Y(c,C)|0;do if(G){z=A<<2;f[I>>2]=z;if(z>>>0>136){B=Dmc(z>>>0>536870911?-1:z<<3)|0;f[y>>2]=B;Va=B}else Va=Sa;if(e>>>0<5)if(La){if((A|0)>0)Wa=0;else{Xa=0;Ya=Va;break}do{B=0;do{z=Ia+(B<<3)|0;Ta=Va+(B+Wa<<3)|0;f[s>>2]=f[z>>2];f[s+4>>2]=f[z+4>>2];p[s>>3]=+p[s>>3];f[Ta>>2]=f[s>>2];f[Ta+4>>2]=f[s+4>>2];B=B+1|0}while((B|0)!=(C|0));Wa=Wa+C|0}while((Wa|0)<(A|0));Xa=0;Ya=Va}else{if((A|0)>0)Za=0;else{Xa=0;Ya=Va;break}do{B=0;do{Ta=Oa+(B*20|0)|0;z=Va+((B+Za|0)*20|0)|0;f[z>>2]=f[Ta>>2];f[z+4>>2]=f[Ta+4>>2];f[z+8>>2]=f[Ta+8>>2];f[z+12>>2]=f[Ta+12>>2];f[z+16>>2]=f[Ta+16>>2];B=B+1|0}while((B|0)!=(C|0));Za=Za+C|0}while((Za|0)<(A|0));Xa=0;Ya=Va}else if((e|0)==5){if((A|0)>0)_a=0;else{Xa=0;Ya=Va;break}do{B=0;do{Ta=Na+(B<<3)|0;z=Va+(B+_a<<3)|0;f[s>>2]=f[Ta>>2];f[s+4>>2]=f[Ta+4>>2];p[s>>3]=+p[s>>3];f[z>>2]=f[s>>2];f[z+4>>2]=f[s+4>>2];B=B+1|0}while((B|0)!=(C|0));_a=_a+C|0}while((_a|0)<(A|0));Xa=0;Ya=Va}else{if((A|0)>0)$a=0;else{Xa=0;Ya=Va;break}do{B=0;do{z=Ma+(B<<4)|0;Ta=Va+(B+$a<<4)|0;f[Ta>>2]=f[z>>2];f[Ta+4>>2]=f[z+4>>2];f[Ta+8>>2]=f[z+8>>2];f[Ta+12>>2]=f[z+12>>2];B=B+1|0}while((B|0)!=(C|0));$a=$a+C|0}while(($a|0)<(A|0));Xa=0;Ya=Va}}else{B=(A+1|0)/2|0;f[I>>2]=B;if(B>>>0>136){z=Dmc(B>>>0>536870911?-1:B<<3)|0;f[y>>2]=z;Xa=z;Ya=0}else{Xa=Sa;Ya=0}}while(0);A=x+16|0;b:do if((o|0)>0){Va=0;while(1){if(Va>>>0>=(f[A>>2]|0)>>>0)break b;if(G){$a=0;Ma=f[r>>2]|0;do{_a=o-$a|0;Na=(c|0)<(_a|0)?c:_a;_a=Y(Na,C)|0;sh[Ha&255](Ma,_a,a,Ya,Pa);_a=Y(Na,Ua)|0;Ma=(f[r>>2]|0)+_a|0;f[r>>2]=Ma;$a=$a+c|0}while((o|0)>($a|0))}else{$a=0;do{Ma=o-$a|0;_a=(c|0)<(Ma|0)?c:Ma;oL(Xa,Y(_a,C)|0,a);Oh[Fa&127](Xa,f[r>>2]|0,_a,C,Ka,Ja,Ga);Ma=Y(_a,Ua)|0;f[r>>2]=(f[r>>2]|0)+Ma;$a=$a+c|0}while((o|0)>($a|0))}JN(x)|0;Va=Va+1|0}}else{Va=0;while(1){if(Va>>>0>=(f[A>>2]|0)>>>0)break b;JN(x)|0;Va=Va+1|0}}while(0);x=f[y>>2]|0;if((x|0)!=(Sa|0)){if(x|0)Fmc(x);f[y>>2]=Sa;f[I>>2]=136}I=f[m>>2]|0;if((I|0)!=(D|0)){if(I|0)Fmc(I);f[m>>2]=D;f[H>>2]=136}H=l+36|0;D=f[H>>2]|0;if(D|0?(m=D+12|0,D=f[m>>2]|0,f[m>>2]=D+-1,(D|0)==1):0)lP(l);f[H>>2]=0;H=l+16|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[R>>2]|0)>0){H=f[l+40>>2]|0;D=0;do{f[H+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[R>>2]|0))}R=f[l+44>>2]|0;if((R|0)!=(l+48|0))tE(R);R=k+36|0;l=f[R>>2]|0;do if(l|0){D=l+12|0;H=f[D>>2]|0;f[D>>2]=H+-1;if((H|0)!=1)break;lP(k)}while(0);f[R>>2]=0;R=k+16|0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((f[N>>2]|0)>0){R=f[k+40>>2]|0;l=0;do{f[R+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[N>>2]|0))}N=f[k+44>>2]|0;if((N|0)!=(k+48|0))tE(N);N=j+36|0;k=f[N>>2]|0;do if(k|0){l=k+12|0;R=f[l>>2]|0;f[l>>2]=R+-1;if((R|0)!=1)break;lP(j)}while(0);f[N>>2]=0;N=j+16|0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;if((f[Ra>>2]|0)>0){N=f[j+40>>2]|0;k=0;do{f[N+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[Ra>>2]|0))}Ra=f[j+44>>2]|0;if((Ra|0)==(j+48|0)){u=i;return}tE(Ra);u=i;return}function qL(a,c,d,e,f,g,h){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0.0,o=0,p=0.0,q=0.0,r=0,s=0,t=0,u=0;if(h){if((d|0)>0&(e|0)>0){i=c;j=a;k=0}else return;while(1){h=0;do{l=Y(h,e)|0;m=+n[f+(h<<2)>>2];o=0;do{m=m+ +n[j+(o<<2)>>2]*+n[g+(o+l<<2)>>2];o=o+1|0}while((o|0)!=(e|0));o=U9b(m)|0;b[i+h>>0]=o>>>0<256?o:(o|0)>0?255:0;h=h+1|0}while((h|0)!=(e|0));k=k+1|0;if((k|0)==(d|0))break;else{i=i+e|0;j=j+(e<<2)|0}}return}if((e|0)==1){p=+n[f>>2];q=+n[g>>2];if((d|0)>0)r=0;else return;do{j=U9b(p+q*+n[a+(r<<2)>>2])|0;b[c+r>>0]=j>>>0<256?j:(j|0)>0?255:0;r=r+1|0}while((r|0)!=(d|0));return}if((d|0)>0&(e|0)>0){s=a;t=c;u=0}else return;while(1){c=0;do{a=U9b(+n[s+(c<<2)>>2]*+n[g+(c<<2)>>2]+ +n[f+(c<<2)>>2])|0;b[t+c>>0]=a>>>0<256?a:(a|0)>0?255:0;c=c+1|0}while((c|0)!=(e|0));u=u+1|0;if((u|0)==(d|0))break;else{s=s+(e<<2)|0;t=t+e|0}}return}function rL(a,c,d,e,f,g,h){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0.0,o=0,p=0.0,q=0.0,r=0,s=0,t=0,u=0;if(h){if((d|0)>0&(e|0)>0){i=c;j=a;k=0}else return;while(1){h=0;do{l=Y(h,e)|0;m=+n[f+(h<<2)>>2];o=0;do{m=m+ +n[j+(o<<2)>>2]*+n[g+(o+l<<2)>>2];o=o+1|0}while((o|0)!=(e|0));o=U9b(m)|0;b[i+h>>0]=(o+128|0)>>>0<256?o:(o|0)>0?127:128;h=h+1|0}while((h|0)!=(e|0));k=k+1|0;if((k|0)==(d|0))break;else{i=i+e|0;j=j+(e<<2)|0}}return}if((e|0)==1){p=+n[f>>2];q=+n[g>>2];if((d|0)>0)r=0;else return;do{j=U9b(p+q*+n[a+(r<<2)>>2])|0;b[c+r>>0]=(j+128|0)>>>0<256?j:(j|0)>0?127:128;r=r+1|0}while((r|0)!=(d|0));return}if((d|0)>0&(e|0)>0){s=a;t=c;u=0}else return;while(1){c=0;do{a=U9b(+n[s+(c<<2)>>2]*+n[g+(c<<2)>>2]+ +n[f+(c<<2)>>2])|0;b[t+c>>0]=(a+128|0)>>>0<256?a:(a|0)>0?127:128;c=c+1|0}while((c|0)!=(e|0));u=u+1|0;if((u|0)==(d|0))break;else{s=s+(e<<2)|0;t=t+e|0}}return}function sL(a,b,c,e,f,g,h){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0.0,o=0,p=0.0,q=0.0,r=0,s=0,t=0,u=0;if(h){if((c|0)>0&(e|0)>0){i=b;j=a;k=0}else return;while(1){h=0;do{l=Y(h,e)|0;m=+n[f+(h<<2)>>2];o=0;do{m=m+ +n[j+(o<<2)>>2]*+n[g+(o+l<<2)>>2];o=o+1|0}while((o|0)!=(e|0));o=U9b(m)|0;d[i+(h<<1)>>1]=o>>>0<65536?o:(o|0)>0?65535:0;h=h+1|0}while((h|0)!=(e|0));k=k+1|0;if((k|0)==(c|0))break;else{i=i+(e<<1)|0;j=j+(e<<2)|0}}return}if((e|0)==1){p=+n[f>>2];q=+n[g>>2];if((c|0)>0)r=0;else return;do{j=U9b(p+q*+n[a+(r<<2)>>2])|0;d[b+(r<<1)>>1]=j>>>0<65536?j:(j|0)>0?65535:0;r=r+1|0}while((r|0)!=(c|0));return}if((c|0)>0&(e|0)>0){s=a;t=b;u=0}else return;while(1){b=0;do{a=U9b(+n[s+(b<<2)>>2]*+n[g+(b<<2)>>2]+ +n[f+(b<<2)>>2])|0;d[t+(b<<1)>>1]=a>>>0<65536?a:(a|0)>0?65535:0;b=b+1|0}while((b|0)!=(e|0));u=u+1|0;if((u|0)==(c|0))break;else{s=s+(e<<2)|0;t=t+(e<<1)|0}}return}function tL(a,b,c,e,f,g,h){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0.0,o=0,p=0.0,q=0.0,r=0,s=0,t=0,u=0;if(h){if((c|0)>0&(e|0)>0){i=b;j=a;k=0}else return;while(1){h=0;do{l=Y(h,e)|0;m=+n[f+(h<<2)>>2];o=0;do{m=m+ +n[j+(o<<2)>>2]*+n[g+(o+l<<2)>>2];o=o+1|0}while((o|0)!=(e|0));o=U9b(m)|0;d[i+(h<<1)>>1]=(o+32768|0)>>>0<65536?o:(o|0)>0?32767:32768;h=h+1|0}while((h|0)!=(e|0));k=k+1|0;if((k|0)==(c|0))break;else{i=i+(e<<1)|0;j=j+(e<<2)|0}}return}if((e|0)==1){p=+n[f>>2];q=+n[g>>2];if((c|0)>0)r=0;else return;do{j=U9b(p+q*+n[a+(r<<2)>>2])|0;d[b+(r<<1)>>1]=(j+32768|0)>>>0<65536?j:(j|0)>0?32767:32768;r=r+1|0}while((r|0)!=(c|0));return}if((c|0)>0&(e|0)>0){s=a;t=b;u=0}else return;while(1){b=0;do{a=U9b(+n[s+(b<<2)>>2]*+n[g+(b<<2)>>2]+ +n[f+(b<<2)>>2])|0;d[t+(b<<1)>>1]=(a+32768|0)>>>0<65536?a:(a|0)>0?32767:32768;b=b+1|0}while((b|0)!=(e|0));u=u+1|0;if((u|0)==(c|0))break;else{s=s+(e<<2)|0;t=t+(e<<1)|0}}return}function uL(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0.0,o=0,p=0.0,q=0.0,r=0,s=0,t=0,u=0;if(h){if((c|0)>0&(d|0)>0){i=b;j=a;k=0}else return;while(1){h=0;do{l=Y(h,d)|0;m=+n[e+(h<<2)>>2];o=0;do{m=m+ +n[j+(o<<2)>>2]*+n[g+(o+l<<2)>>2];o=o+1|0}while((o|0)!=(d|0));o=U9b(m)|0;f[i+(h<<2)>>2]=o;h=h+1|0}while((h|0)!=(d|0));k=k+1|0;if((k|0)==(c|0))break;else{i=i+(d<<2)|0;j=j+(d<<2)|0}}return}if((d|0)==1){p=+n[e>>2];q=+n[g>>2];if((c|0)>0)r=0;else return;do{j=U9b(p+q*+n[a+(r<<2)>>2])|0;f[b+(r<<2)>>2]=j;r=r+1|0}while((r|0)!=(c|0));return}if((c|0)>0&(d|0)>0){s=a;t=b;u=0}else return;while(1){b=0;do{a=U9b(+n[s+(b<<2)>>2]*+n[g+(b<<2)>>2]+ +n[e+(b<<2)>>2])|0;f[t+(b<<2)>>2]=a;b=b+1|0}while((b|0)!=(d|0));u=u+1|0;if((u|0)==(c|0))break;else{s=s+(d<<2)|0;t=t+(d<<2)|0}}return}function vL(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0.0,m=0,o=0.0,p=0.0,q=0,r=0,s=0,t=0;if(g){if((c|0)>0&(d|0)>0){h=b;i=a;j=0}else return;while(1){g=0;do{k=Y(g,d)|0;l=+n[e+(g<<2)>>2];m=0;do{l=l+ +n[i+(m<<2)>>2]*+n[f+(m+k<<2)>>2];m=m+1|0}while((m|0)!=(d|0));n[h+(g<<2)>>2]=l;g=g+1|0}while((g|0)!=(d|0));j=j+1|0;if((j|0)==(c|0))break;else{h=h+(d<<2)|0;i=i+(d<<2)|0}}return}if((d|0)==1){o=+n[e>>2];p=+n[f>>2];if((c|0)>0)q=0;else return;do{n[b+(q<<2)>>2]=o+p*+n[a+(q<<2)>>2];q=q+1|0}while((q|0)!=(c|0));return}if((c|0)>0&(d|0)>0){r=a;s=b;t=0}else return;while(1){b=0;do{n[s+(b<<2)>>2]=+n[r+(b<<2)>>2]*+n[f+(b<<2)>>2]+ +n[e+(b<<2)>>2];b=b+1|0}while((b|0)!=(d|0));t=t+1|0;if((t|0)==(c|0))break;else{r=r+(d<<2)|0;s=s+(d<<2)|0}}return}function wL(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0.0,m=0,o=0.0,q=0.0,r=0,s=0,t=0,u=0;if(g){if((c|0)>0&(d|0)>0){h=b;i=a;j=0}else return;while(1){g=0;do{k=Y(g,d)|0;l=+p[e+(g<<3)>>3];m=0;do{l=l+ +n[i+(m<<2)>>2]*+p[f+(m+k<<3)>>3];m=m+1|0}while((m|0)!=(d|0));p[h+(g<<3)>>3]=l;g=g+1|0}while((g|0)!=(d|0));j=j+1|0;if((j|0)==(c|0))break;else{h=h+(d<<3)|0;i=i+(d<<2)|0}}return}if((d|0)==1){o=+p[e>>3];q=+p[f>>3];if((c|0)>0)r=0;else return;do{p[b+(r<<3)>>3]=o+q*+n[a+(r<<2)>>2];r=r+1|0}while((r|0)!=(c|0));return}if((c|0)>0&(d|0)>0){s=a;t=b;u=0}else return;while(1){b=0;do{p[t+(b<<3)>>3]=+n[s+(b<<2)>>2]*+p[f+(b<<3)>>3]+ +p[e+(b<<3)>>3];b=b+1|0}while((b|0)!=(d|0));u=u+1|0;if((u|0)==(c|0))break;else{s=s+(d<<2)|0;t=t+(d<<3)|0}}return}function xL(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;g=d;h=f[g>>2]|0;i=f[g+4>>2]|0;g=c+-4|0;if((c|0)<4){j=0;k=h;l=i}else{m=0;n=h;h=i;do{i=Urc(n|0,0,-130063606,0)|0;o=Arc(i|0,J|0,h|0,0)|0;i=J;p=Urc(o|0,0,-130063606,0)|0;q=Arc(p|0,J|0,i|0,0)|0;i=J;Urc(o|0,0,f[e+(m*20|0)+4>>2]|0,0)|0;p=J;r=m|1;Urc(q|0,0,f[e+(r*20|0)+4>>2]|0,0)|0;s=J;t=o-(Y((((o-p|0)>>>(f[e+(m*20|0)+8>>2]|0))+p|0)>>>(f[e+(m*20|0)+12>>2]|0),f[e+(m*20|0)>>2]|0)|0)|0;p=t+(f[e+(m*20|0)+16>>2]|0)|0;t=q-(Y((((q-s|0)>>>(f[e+(r*20|0)+8>>2]|0))+s|0)>>>(f[e+(r*20|0)+12>>2]|0),f[e+(r*20|0)>>2]|0)|0)|0;s=t+(f[e+(r*20|0)+16>>2]|0)|0;b[a+m>>0]=p>>>0<256?p:(p|0)>0?255:0;b[a+r>>0]=s>>>0<256?s:(s|0)>0?255:0;s=Urc(q|0,0,-130063606,0)|0;q=Arc(s|0,J|0,i|0,0)|0;i=J;s=Urc(q|0,0,-130063606,0)|0;n=Arc(s|0,J|0,i|0,0)|0;h=J;i=m|2;Urc(f[e+(i*20|0)+4>>2]|0,0,q|0,0)|0;s=J;r=m|3;Urc(f[e+(r*20|0)+4>>2]|0,0,n|0,0)|0;p=J;t=q-(Y((((q-s|0)>>>(f[e+(i*20|0)+8>>2]|0))+s|0)>>>(f[e+(i*20|0)+12>>2]|0),f[e+(i*20|0)>>2]|0)|0)|0;s=t+(f[e+(i*20|0)+16>>2]|0)|0;t=n-(Y((((n-p|0)>>>(f[e+(r*20|0)+8>>2]|0))+p|0)>>>(f[e+(r*20|0)+12>>2]|0),f[e+(r*20|0)>>2]|0)|0)|0;p=t+(f[e+(r*20|0)+16>>2]|0)|0;b[a+i>>0]=s>>>0<256?s:(s|0)>0?255:0;b[a+r>>0]=p>>>0<256?p:(p|0)>0?255:0;m=m+4|0}while((m|0)<=(g|0));j=c&-4;k=n;l=h}if((j|0)<(c|0)){u=j;v=k;w=l}else{x=k;y=l;z=d;A=z;f[A>>2]=x;B=z+4|0;C=B;f[C>>2]=y;return}while(1){l=Urc(v|0,0,-130063606,0)|0;k=Arc(l|0,J|0,w|0,0)|0;l=J;Urc(k|0,0,f[e+(u*20|0)+4>>2]|0,0)|0;j=J;h=k-(Y((((k-j|0)>>>(f[e+(u*20|0)+8>>2]|0))+j|0)>>>(f[e+(u*20|0)+12>>2]|0),f[e+(u*20|0)>>2]|0)|0)|0;j=h+(f[e+(u*20|0)+16>>2]|0)|0;b[a+u>>0]=j>>>0<256?j:(j|0)>0?255:0;u=u+1|0;if((u|0)==(c|0)){x=k;y=l;break}else{v=k;w=l}}z=d;A=z;f[A>>2]=x;B=z+4|0;C=B;f[C>>2]=y;return}function yL(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;g=d;h=f[g>>2]|0;i=f[g+4>>2]|0;g=c+-4|0;if((c|0)<4){j=0;k=h;l=i}else{m=0;n=h;h=i;do{i=Urc(n|0,0,-130063606,0)|0;o=Arc(i|0,J|0,h|0,0)|0;i=J;p=Urc(o|0,0,-130063606,0)|0;q=Arc(p|0,J|0,i|0,0)|0;i=J;Urc(o|0,0,f[e+(m*20|0)+4>>2]|0,0)|0;p=J;r=m|1;Urc(q|0,0,f[e+(r*20|0)+4>>2]|0,0)|0;s=J;t=o-(Y((((o-p|0)>>>(f[e+(m*20|0)+8>>2]|0))+p|0)>>>(f[e+(m*20|0)+12>>2]|0),f[e+(m*20|0)>>2]|0)|0)|0;p=t+(f[e+(m*20|0)+16>>2]|0)|0;t=q-(Y((((q-s|0)>>>(f[e+(r*20|0)+8>>2]|0))+s|0)>>>(f[e+(r*20|0)+12>>2]|0),f[e+(r*20|0)>>2]|0)|0)|0;s=t+(f[e+(r*20|0)+16>>2]|0)|0;b[a+m>>0]=(p+128|0)>>>0<256?p:(p|0)>0?127:128;b[a+r>>0]=(s+128|0)>>>0<256?s:(s|0)>0?127:128;s=Urc(q|0,0,-130063606,0)|0;q=Arc(s|0,J|0,i|0,0)|0;i=J;s=Urc(q|0,0,-130063606,0)|0;n=Arc(s|0,J|0,i|0,0)|0;h=J;i=m|2;Urc(f[e+(i*20|0)+4>>2]|0,0,q|0,0)|0;s=J;r=m|3;Urc(f[e+(r*20|0)+4>>2]|0,0,n|0,0)|0;p=J;t=q-(Y((((q-s|0)>>>(f[e+(i*20|0)+8>>2]|0))+s|0)>>>(f[e+(i*20|0)+12>>2]|0),f[e+(i*20|0)>>2]|0)|0)|0;s=t+(f[e+(i*20|0)+16>>2]|0)|0;t=n-(Y((((n-p|0)>>>(f[e+(r*20|0)+8>>2]|0))+p|0)>>>(f[e+(r*20|0)+12>>2]|0),f[e+(r*20|0)>>2]|0)|0)|0;p=t+(f[e+(r*20|0)+16>>2]|0)|0;b[a+i>>0]=(s+128|0)>>>0<256?s:(s|0)>0?127:128;b[a+r>>0]=(p+128|0)>>>0<256?p:(p|0)>0?127:128;m=m+4|0}while((m|0)<=(g|0));j=c&-4;k=n;l=h}if((j|0)<(c|0)){u=j;v=k;w=l}else{x=k;y=l;z=d;A=z;f[A>>2]=x;B=z+4|0;C=B;f[C>>2]=y;return}while(1){l=Urc(v|0,0,-130063606,0)|0;k=Arc(l|0,J|0,w|0,0)|0;l=J;Urc(k|0,0,f[e+(u*20|0)+4>>2]|0,0)|0;j=J;h=k-(Y((((k-j|0)>>>(f[e+(u*20|0)+8>>2]|0))+j|0)>>>(f[e+(u*20|0)+12>>2]|0),f[e+(u*20|0)>>2]|0)|0)|0;j=h+(f[e+(u*20|0)+16>>2]|0)|0;b[a+u>>0]=(j+128|0)>>>0<256?j:(j|0)>0?127:128;u=u+1|0;if((u|0)==(c|0)){x=k;y=l;break}else{v=k;w=l}}z=d;A=z;f[A>>2]=x;B=z+4|0;C=B;f[C>>2]=y;return}function zL(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;g=c;h=f[g>>2]|0;i=f[g+4>>2]|0;g=b+-4|0;if((b|0)<4){j=0;k=h;l=i}else{m=0;n=h;h=i;do{i=Urc(n|0,0,-130063606,0)|0;o=Arc(i|0,J|0,h|0,0)|0;i=J;p=Urc(o|0,0,-130063606,0)|0;q=Arc(p|0,J|0,i|0,0)|0;i=J;Urc(o|0,0,f[e+(m*20|0)+4>>2]|0,0)|0;p=J;r=m|1;Urc(q|0,0,f[e+(r*20|0)+4>>2]|0,0)|0;s=J;t=o-(Y((((o-p|0)>>>(f[e+(m*20|0)+8>>2]|0))+p|0)>>>(f[e+(m*20|0)+12>>2]|0),f[e+(m*20|0)>>2]|0)|0)|0;p=t+(f[e+(m*20|0)+16>>2]|0)|0;t=q-(Y((((q-s|0)>>>(f[e+(r*20|0)+8>>2]|0))+s|0)>>>(f[e+(r*20|0)+12>>2]|0),f[e+(r*20|0)>>2]|0)|0)|0;s=t+(f[e+(r*20|0)+16>>2]|0)|0;d[a+(m<<1)>>1]=p>>>0<65536?p:(p|0)>0?65535:0;d[a+(r<<1)>>1]=s>>>0<65536?s:(s|0)>0?65535:0;s=Urc(q|0,0,-130063606,0)|0;q=Arc(s|0,J|0,i|0,0)|0;i=J;s=Urc(q|0,0,-130063606,0)|0;n=Arc(s|0,J|0,i|0,0)|0;h=J;i=m|2;Urc(f[e+(i*20|0)+4>>2]|0,0,q|0,0)|0;s=J;r=m|3;Urc(f[e+(r*20|0)+4>>2]|0,0,n|0,0)|0;p=J;t=q-(Y((((q-s|0)>>>(f[e+(i*20|0)+8>>2]|0))+s|0)>>>(f[e+(i*20|0)+12>>2]|0),f[e+(i*20|0)>>2]|0)|0)|0;s=t+(f[e+(i*20|0)+16>>2]|0)|0;t=n-(Y((((n-p|0)>>>(f[e+(r*20|0)+8>>2]|0))+p|0)>>>(f[e+(r*20|0)+12>>2]|0),f[e+(r*20|0)>>2]|0)|0)|0;p=t+(f[e+(r*20|0)+16>>2]|0)|0;d[a+(i<<1)>>1]=s>>>0<65536?s:(s|0)>0?65535:0;d[a+(r<<1)>>1]=p>>>0<65536?p:(p|0)>0?65535:0;m=m+4|0}while((m|0)<=(g|0));j=b&-4;k=n;l=h}if((j|0)<(b|0)){u=j;v=k;w=l}else{x=k;y=l;z=c;A=z;f[A>>2]=x;B=z+4|0;C=B;f[C>>2]=y;return}while(1){l=Urc(v|0,0,-130063606,0)|0;k=Arc(l|0,J|0,w|0,0)|0;l=J;Urc(k|0,0,f[e+(u*20|0)+4>>2]|0,0)|0;j=J;h=k-(Y((((k-j|0)>>>(f[e+(u*20|0)+8>>2]|0))+j|0)>>>(f[e+(u*20|0)+12>>2]|0),f[e+(u*20|0)>>2]|0)|0)|0;j=h+(f[e+(u*20|0)+16>>2]|0)|0;d[a+(u<<1)>>1]=j>>>0<65536?j:(j|0)>0?65535:0;u=u+1|0;if((u|0)==(b|0)){x=k;y=l;break}else{v=k;w=l}}z=c;A=z;f[A>>2]=x;B=z+4|0;C=B;f[C>>2]=y;return}function AL(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;g=c;h=f[g>>2]|0;i=f[g+4>>2]|0;g=b+-4|0;if((b|0)<4){j=0;k=h;l=i}else{m=0;n=h;h=i;do{i=Urc(n|0,0,-130063606,0)|0;o=Arc(i|0,J|0,h|0,0)|0;i=J;p=Urc(o|0,0,-130063606,0)|0;q=Arc(p|0,J|0,i|0,0)|0;i=J;Urc(o|0,0,f[e+(m*20|0)+4>>2]|0,0)|0;p=J;r=m|1;Urc(q|0,0,f[e+(r*20|0)+4>>2]|0,0)|0;s=J;t=o-(Y((((o-p|0)>>>(f[e+(m*20|0)+8>>2]|0))+p|0)>>>(f[e+(m*20|0)+12>>2]|0),f[e+(m*20|0)>>2]|0)|0)|0;p=t+(f[e+(m*20|0)+16>>2]|0)|0;t=q-(Y((((q-s|0)>>>(f[e+(r*20|0)+8>>2]|0))+s|0)>>>(f[e+(r*20|0)+12>>2]|0),f[e+(r*20|0)>>2]|0)|0)|0;s=t+(f[e+(r*20|0)+16>>2]|0)|0;d[a+(m<<1)>>1]=(p+32768|0)>>>0<65536?p:(p|0)>0?32767:32768;d[a+(r<<1)>>1]=(s+32768|0)>>>0<65536?s:(s|0)>0?32767:32768;s=Urc(q|0,0,-130063606,0)|0;q=Arc(s|0,J|0,i|0,0)|0;i=J;s=Urc(q|0,0,-130063606,0)|0;n=Arc(s|0,J|0,i|0,0)|0;h=J;i=m|2;Urc(f[e+(i*20|0)+4>>2]|0,0,q|0,0)|0;s=J;r=m|3;Urc(f[e+(r*20|0)+4>>2]|0,0,n|0,0)|0;p=J;t=q-(Y((((q-s|0)>>>(f[e+(i*20|0)+8>>2]|0))+s|0)>>>(f[e+(i*20|0)+12>>2]|0),f[e+(i*20|0)>>2]|0)|0)|0;s=t+(f[e+(i*20|0)+16>>2]|0)|0;t=n-(Y((((n-p|0)>>>(f[e+(r*20|0)+8>>2]|0))+p|0)>>>(f[e+(r*20|0)+12>>2]|0),f[e+(r*20|0)>>2]|0)|0)|0;p=t+(f[e+(r*20|0)+16>>2]|0)|0;d[a+(i<<1)>>1]=(s+32768|0)>>>0<65536?s:(s|0)>0?32767:32768;d[a+(r<<1)>>1]=(p+32768|0)>>>0<65536?p:(p|0)>0?32767:32768;m=m+4|0}while((m|0)<=(g|0));j=b&-4;k=n;l=h}if((j|0)<(b|0)){u=j;v=k;w=l}else{x=k;y=l;z=c;A=z;f[A>>2]=x;B=z+4|0;C=B;f[C>>2]=y;return}while(1){l=Urc(v|0,0,-130063606,0)|0;k=Arc(l|0,J|0,w|0,0)|0;l=J;Urc(k|0,0,f[e+(u*20|0)+4>>2]|0,0)|0;j=J;h=k-(Y((((k-j|0)>>>(f[e+(u*20|0)+8>>2]|0))+j|0)>>>(f[e+(u*20|0)+12>>2]|0),f[e+(u*20|0)>>2]|0)|0)|0;j=h+(f[e+(u*20|0)+16>>2]|0)|0;d[a+(u<<1)>>1]=(j+32768|0)>>>0<65536?j:(j|0)>0?32767:32768;u=u+1|0;if((u|0)==(b|0)){x=k;y=l;break}else{v=k;w=l}}z=c;A=z;f[A>>2]=x;B=z+4|0;C=B;f[C>>2]=y;return}function BL(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=c;g=f[e>>2]|0;h=f[e+4>>2]|0;e=b+-4|0;if((b|0)<4){i=0;j=g;k=h}else{l=0;m=g;g=h;do{h=Urc(m|0,0,-130063606,0)|0;n=Arc(h|0,J|0,g|0,0)|0;h=J;o=Urc(n|0,0,-130063606,0)|0;p=Arc(o|0,J|0,h|0,0)|0;h=J;Urc(n|0,0,f[d+(l*20|0)+4>>2]|0,0)|0;o=J;q=l|1;Urc(p|0,0,f[d+(q*20|0)+4>>2]|0,0)|0;r=J;s=Y((((n-o|0)>>>(f[d+(l*20|0)+8>>2]|0))+o|0)>>>(f[d+(l*20|0)+12>>2]|0),f[d+(l*20|0)>>2]|0)|0;o=Y((((p-r|0)>>>(f[d+(q*20|0)+8>>2]|0))+r|0)>>>(f[d+(q*20|0)+12>>2]|0),f[d+(q*20|0)>>2]|0)|0;r=(f[d+(q*20|0)+16>>2]|0)+p-o|0;f[a+(l<<2)>>2]=(f[d+(l*20|0)+16>>2]|0)+n-s;f[a+(q<<2)>>2]=r;r=Urc(p|0,0,-130063606,0)|0;p=Arc(r|0,J|0,h|0,0)|0;h=J;r=Urc(p|0,0,-130063606,0)|0;m=Arc(r|0,J|0,h|0,0)|0;g=J;h=l|2;Urc(f[d+(h*20|0)+4>>2]|0,0,p|0,0)|0;r=J;q=l|3;Urc(f[d+(q*20|0)+4>>2]|0,0,m|0,0)|0;s=J;n=Y((((p-r|0)>>>(f[d+(h*20|0)+8>>2]|0))+r|0)>>>(f[d+(h*20|0)+12>>2]|0),f[d+(h*20|0)>>2]|0)|0;r=Y((((m-s|0)>>>(f[d+(q*20|0)+8>>2]|0))+s|0)>>>(f[d+(q*20|0)+12>>2]|0),f[d+(q*20|0)>>2]|0)|0;s=(f[d+(q*20|0)+16>>2]|0)+m-r|0;f[a+(h<<2)>>2]=(f[d+(h*20|0)+16>>2]|0)+p-n;f[a+(q<<2)>>2]=s;l=l+4|0}while((l|0)<=(e|0));i=b&-4;j=m;k=g}if((i|0)<(b|0)){t=i;u=j;v=k}else{w=j;x=k;y=c;z=y;f[z>>2]=w;A=y+4|0;B=A;f[B>>2]=x;return}while(1){k=Urc(u|0,0,-130063606,0)|0;j=Arc(k|0,J|0,v|0,0)|0;k=J;Urc(j|0,0,f[d+(t*20|0)+4>>2]|0,0)|0;i=J;g=Y((((j-i|0)>>>(f[d+(t*20|0)+8>>2]|0))+i|0)>>>(f[d+(t*20|0)+12>>2]|0),f[d+(t*20|0)>>2]|0)|0;f[a+(t<<2)>>2]=(f[d+(t*20|0)+16>>2]|0)+j-g;t=t+1|0;if((t|0)==(b|0)){w=j;x=k;break}else{u=j;v=k}}y=c;z=y;f[z>>2]=w;A=y+4|0;B=A;f[B>>2]=x;return}function CL(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;e=c;g=f[e>>2]|0;h=f[e+4>>2]|0;e=b+-4|0;if((b|0)<4){i=0;j=g;k=h}else{l=0;m=g;g=h;do{h=Urc(m|0,0,-130063606,0)|0;o=Arc(h|0,J|0,g|0,0)|0;h=J;p=Urc(o|0,0,-130063606,0)|0;q=Arc(p|0,J|0,h|0,0)|0;h=J;p=Urc(q|0,0,-130063606,0)|0;r=Arc(p|0,J|0,h|0,0)|0;h=J;p=Urc(r|0,0,-130063606,0)|0;m=Arc(p|0,J|0,h|0,0)|0;g=J;n[a+(l<<2)>>2]=+(o|0)*+n[d+(l<<3)>>2]+ +n[d+(l<<3)+4>>2];o=l|1;n[a+(o<<2)>>2]=+(q|0)*+n[d+(o<<3)>>2]+ +n[d+(o<<3)+4>>2];o=l|2;n[a+(o<<2)>>2]=+(r|0)*+n[d+(o<<3)>>2]+ +n[d+(o<<3)+4>>2];o=l|3;n[a+(o<<2)>>2]=+(m|0)*+n[d+(o<<3)>>2]+ +n[d+(o<<3)+4>>2];l=l+4|0}while((l|0)<=(e|0));i=b&-4;j=m;k=g}if((i|0)<(b|0)){s=i;t=j;u=k}else{v=j;w=k;x=c;y=x;f[y>>2]=v;z=x+4|0;A=z;f[A>>2]=w;return}while(1){k=Urc(t|0,0,-130063606,0)|0;j=Arc(k|0,J|0,u|0,0)|0;k=J;n[a+(s<<2)>>2]=+(j|0)*+n[d+(s<<3)>>2]+ +n[d+(s<<3)+4>>2];s=s+1|0;if((s|0)==(b|0)){v=j;w=k;break}else{t=j;u=k}}x=c;y=x;f[y>>2]=v;z=x+4|0;A=z;f[A>>2]=w;return}function DL(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0.0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=c;g=f[e>>2]|0;h=f[e+4>>2]|0;e=b+-4|0;if((b|0)<4){i=0;j=g;k=h}else{l=0;m=g;g=h;do{h=Urc(m|0,0,-130063606,0)|0;n=Arc(h|0,J|0,g|0,0)|0;h=J;o=(+(h>>>0)+4294967296.0*+(n|0))*+p[d+(l<<4)>>3]+ +p[d+(l<<4)+8>>3];q=Urc(n|0,0,-130063606,0)|0;n=Arc(q|0,J|0,h|0,0)|0;h=J;q=l|1;r=(+(h>>>0)+4294967296.0*+(n|0))*+p[d+(q<<4)>>3]+ +p[d+(q<<4)+8>>3];p[a+(l<<3)>>3]=o;p[a+(q<<3)>>3]=r;q=Urc(n|0,0,-130063606,0)|0;n=Arc(q|0,J|0,h|0,0)|0;h=J;q=l|2;r=(+(h>>>0)+4294967296.0*+(n|0))*+p[d+(q<<4)>>3]+ +p[d+(q<<4)+8>>3];s=Urc(n|0,0,-130063606,0)|0;m=Arc(s|0,J|0,h|0,0)|0;g=J;h=l|3;o=(+(g>>>0)+4294967296.0*+(m|0))*+p[d+(h<<4)>>3]+ +p[d+(h<<4)+8>>3];p[a+(q<<3)>>3]=r;p[a+(h<<3)>>3]=o;l=l+4|0}while((l|0)<=(e|0));i=b&-4;j=m;k=g}if((i|0)<(b|0)){t=i;u=j;v=k}else{w=j;x=k;y=c;z=y;f[z>>2]=w;A=y+4|0;B=A;f[B>>2]=x;return}while(1){k=Urc(u|0,0,-130063606,0)|0;j=Arc(k|0,J|0,v|0,0)|0;k=J;p[a+(t<<3)>>3]=(+(k>>>0)+4294967296.0*+(j|0))*+p[d+(t<<4)>>3]+ +p[d+(t<<4)+8>>3];t=t+1|0;if((t|0)==(b|0)){w=j;x=k;break}else{u=j;v=k}}y=c;z=y;f[z>>2]=w;A=y+4|0;B=A;f[B>>2]=x;return}function EL(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;h=d;i=f[h>>2]|0;j=f[h+4>>2]|0;h=c+-4|0;k=(c|0)<4;if(g)if(k){l=0;m=i;n=j}else{g=0;o=i;p=j;do{q=Urc(o|0,0,-130063606,0)|0;o=Arc(q|0,J|0,p|0,0)|0;p=J;q=(o&f[e+(g<<3)>>2])+(f[e+(g<<3)+4>>2]|0)|0;r=g|1;s=(o>>8&f[e+(r<<3)>>2])+(f[e+(r<<3)+4>>2]|0)|0;b[a+g>>0]=q>>>0<256?q:(q|0)>0?255:0;b[a+r>>0]=s>>>0<256?s:(s|0)>0?255:0;s=g|2;r=(f[e+(s<<3)>>2]&o>>16)+(f[e+(s<<3)+4>>2]|0)|0;q=g|3;t=(f[e+(q<<3)>>2]&o>>24)+(f[e+(q<<3)+4>>2]|0)|0;b[a+s>>0]=r>>>0<256?r:(r|0)>0?255:0;b[a+q>>0]=t>>>0<256?t:(t|0)>0?255:0;g=g+4|0}while((g|0)<=(h|0));l=c&-4;m=o;n=p}else if(k){l=0;m=i;n=j}else{k=0;p=i;i=j;do{j=Urc(p|0,0,-130063606,0)|0;o=Arc(j|0,J|0,i|0,0)|0;j=J;g=(o&f[e+(k<<3)>>2])+(f[e+(k<<3)+4>>2]|0)|0;t=Urc(o|0,0,-130063606,0)|0;o=Arc(t|0,J|0,j|0,0)|0;j=J;t=k|1;q=(o&f[e+(t<<3)>>2])+(f[e+(t<<3)+4>>2]|0)|0;b[a+k>>0]=g>>>0<256?g:(g|0)>0?255:0;b[a+t>>0]=q>>>0<256?q:(q|0)>0?255:0;q=Urc(o|0,0,-130063606,0)|0;o=Arc(q|0,J|0,j|0,0)|0;j=J;q=k|2;t=(o&f[e+(q<<3)>>2])+(f[e+(q<<3)+4>>2]|0)|0;g=Urc(o|0,0,-130063606,0)|0;p=Arc(g|0,J|0,j|0,0)|0;i=J;j=k|3;g=(p&f[e+(j<<3)>>2])+(f[e+(j<<3)+4>>2]|0)|0;b[a+q>>0]=t>>>0<256?t:(t|0)>0?255:0;b[a+j>>0]=g>>>0<256?g:(g|0)>0?255:0;k=k+4|0}while((k|0)<=(h|0));l=c&-4;m=p;n=i}if((l|0)<(c|0)){u=l;v=m;w=n}else{x=m;y=n;z=d;A=z;f[A>>2]=x;B=z+4|0;C=B;f[C>>2]=y;return}while(1){n=Urc(v|0,0,-130063606,0)|0;m=Arc(n|0,J|0,w|0,0)|0;n=J;l=(m&f[e+(u<<3)>>2])+(f[e+(u<<3)+4>>2]|0)|0;b[a+u>>0]=l>>>0<256?l:(l|0)>0?255:0;u=u+1|0;if((u|0)==(c|0)){x=m;y=n;break}else{v=m;w=n}}z=d;A=z;f[A>>2]=x;B=z+4|0;C=B;f[C>>2]=y;return}function FL(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;h=d;i=f[h>>2]|0;j=f[h+4>>2]|0;h=c+-4|0;k=(c|0)<4;if(g)if(k){l=0;m=i;n=j}else{g=0;o=i;p=j;do{q=Urc(o|0,0,-130063606,0)|0;o=Arc(q|0,J|0,p|0,0)|0;p=J;q=(o&f[e+(g<<3)>>2])+(f[e+(g<<3)+4>>2]|0)|0;r=g|1;s=(o>>8&f[e+(r<<3)>>2])+(f[e+(r<<3)+4>>2]|0)|0;b[a+g>>0]=(q+128|0)>>>0<256?q:(q|0)>0?127:128;b[a+r>>0]=(s+128|0)>>>0<256?s:(s|0)>0?127:128;s=g|2;r=(f[e+(s<<3)>>2]&o>>16)+(f[e+(s<<3)+4>>2]|0)|0;q=g|3;t=(f[e+(q<<3)>>2]&o>>24)+(f[e+(q<<3)+4>>2]|0)|0;b[a+s>>0]=(r+128|0)>>>0<256?r:(r|0)>0?127:128;b[a+q>>0]=(t+128|0)>>>0<256?t:(t|0)>0?127:128;g=g+4|0}while((g|0)<=(h|0));l=c&-4;m=o;n=p}else if(k){l=0;m=i;n=j}else{k=0;p=i;i=j;do{j=Urc(p|0,0,-130063606,0)|0;o=Arc(j|0,J|0,i|0,0)|0;j=J;g=(o&f[e+(k<<3)>>2])+(f[e+(k<<3)+4>>2]|0)|0;t=Urc(o|0,0,-130063606,0)|0;o=Arc(t|0,J|0,j|0,0)|0;j=J;t=k|1;q=(o&f[e+(t<<3)>>2])+(f[e+(t<<3)+4>>2]|0)|0;b[a+k>>0]=(g+128|0)>>>0<256?g:(g|0)>0?127:128;b[a+t>>0]=(q+128|0)>>>0<256?q:(q|0)>0?127:128;q=Urc(o|0,0,-130063606,0)|0;o=Arc(q|0,J|0,j|0,0)|0;j=J;q=k|2;t=(o&f[e+(q<<3)>>2])+(f[e+(q<<3)+4>>2]|0)|0;g=Urc(o|0,0,-130063606,0)|0;p=Arc(g|0,J|0,j|0,0)|0;i=J;j=k|3;g=(p&f[e+(j<<3)>>2])+(f[e+(j<<3)+4>>2]|0)|0;b[a+q>>0]=(t+128|0)>>>0<256?t:(t|0)>0?127:128;b[a+j>>0]=(g+128|0)>>>0<256?g:(g|0)>0?127:128;k=k+4|0}while((k|0)<=(h|0));l=c&-4;m=p;n=i}if((l|0)<(c|0)){u=l;v=m;w=n}else{x=m;y=n;z=d;A=z;f[A>>2]=x;B=z+4|0;C=B;f[C>>2]=y;return}while(1){n=Urc(v|0,0,-130063606,0)|0;m=Arc(n|0,J|0,w|0,0)|0;n=J;l=(m&f[e+(u<<3)>>2])+(f[e+(u<<3)+4>>2]|0)|0;b[a+u>>0]=(l+128|0)>>>0<256?l:(l|0)>0?127:128;u=u+1|0;if((u|0)==(c|0)){x=m;y=n;break}else{v=m;w=n}}z=d;A=z;f[A>>2]=x;B=z+4|0;C=B;f[C>>2]=y;return}function GL(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;h=c;i=f[h>>2]|0;j=f[h+4>>2]|0;h=b+-4|0;k=(b|0)<4;if(g)if(k){l=0;m=i;n=j}else{g=0;o=i;p=j;do{q=Urc(o|0,0,-130063606,0)|0;o=Arc(q|0,J|0,p|0,0)|0;p=J;q=(o&f[e+(g<<3)>>2])+(f[e+(g<<3)+4>>2]|0)|0;r=g|1;s=(o>>8&f[e+(r<<3)>>2])+(f[e+(r<<3)+4>>2]|0)|0;d[a+(g<<1)>>1]=q>>>0<65536?q:(q|0)>0?65535:0;d[a+(r<<1)>>1]=s>>>0<65536?s:(s|0)>0?65535:0;s=g|2;r=(f[e+(s<<3)>>2]&o>>16)+(f[e+(s<<3)+4>>2]|0)|0;q=g|3;t=(f[e+(q<<3)>>2]&o>>24)+(f[e+(q<<3)+4>>2]|0)|0;d[a+(s<<1)>>1]=r>>>0<65536?r:(r|0)>0?65535:0;d[a+(q<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;g=g+4|0}while((g|0)<=(h|0));l=b&-4;m=o;n=p}else if(k){l=0;m=i;n=j}else{k=0;p=i;i=j;do{j=Urc(p|0,0,-130063606,0)|0;o=Arc(j|0,J|0,i|0,0)|0;j=J;g=(o&f[e+(k<<3)>>2])+(f[e+(k<<3)+4>>2]|0)|0;t=Urc(o|0,0,-130063606,0)|0;o=Arc(t|0,J|0,j|0,0)|0;j=J;t=k|1;q=(o&f[e+(t<<3)>>2])+(f[e+(t<<3)+4>>2]|0)|0;d[a+(k<<1)>>1]=g>>>0<65536?g:(g|0)>0?65535:0;d[a+(t<<1)>>1]=q>>>0<65536?q:(q|0)>0?65535:0;q=Urc(o|0,0,-130063606,0)|0;o=Arc(q|0,J|0,j|0,0)|0;j=J;q=k|2;t=(o&f[e+(q<<3)>>2])+(f[e+(q<<3)+4>>2]|0)|0;g=Urc(o|0,0,-130063606,0)|0;p=Arc(g|0,J|0,j|0,0)|0;i=J;j=k|3;g=(p&f[e+(j<<3)>>2])+(f[e+(j<<3)+4>>2]|0)|0;d[a+(q<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;d[a+(j<<1)>>1]=g>>>0<65536?g:(g|0)>0?65535:0;k=k+4|0}while((k|0)<=(h|0));l=b&-4;m=p;n=i}if((l|0)<(b|0)){u=l;v=m;w=n}else{x=m;y=n;z=c;A=z;f[A>>2]=x;B=z+4|0;C=B;f[C>>2]=y;return}while(1){n=Urc(v|0,0,-130063606,0)|0;m=Arc(n|0,J|0,w|0,0)|0;n=J;l=(m&f[e+(u<<3)>>2])+(f[e+(u<<3)+4>>2]|0)|0;d[a+(u<<1)>>1]=l>>>0<65536?l:(l|0)>0?65535:0;u=u+1|0;if((u|0)==(b|0)){x=m;y=n;break}else{v=m;w=n}}z=c;A=z;f[A>>2]=x;B=z+4|0;C=B;f[C>>2]=y;return}function HL(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;h=c;i=f[h>>2]|0;j=f[h+4>>2]|0;h=b+-4|0;k=(b|0)<4;if(g)if(k){l=0;m=i;n=j}else{g=0;o=i;p=j;do{q=Urc(o|0,0,-130063606,0)|0;o=Arc(q|0,J|0,p|0,0)|0;p=J;q=(o&f[e+(g<<3)>>2])+(f[e+(g<<3)+4>>2]|0)|0;r=g|1;s=(o>>8&f[e+(r<<3)>>2])+(f[e+(r<<3)+4>>2]|0)|0;d[a+(g<<1)>>1]=(q+32768|0)>>>0<65536?q:(q|0)>0?32767:32768;d[a+(r<<1)>>1]=(s+32768|0)>>>0<65536?s:(s|0)>0?32767:32768;s=g|2;r=(f[e+(s<<3)>>2]&o>>16)+(f[e+(s<<3)+4>>2]|0)|0;q=g|3;t=(f[e+(q<<3)>>2]&o>>24)+(f[e+(q<<3)+4>>2]|0)|0;d[a+(s<<1)>>1]=(r+32768|0)>>>0<65536?r:(r|0)>0?32767:32768;d[a+(q<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;g=g+4|0}while((g|0)<=(h|0));l=b&-4;m=o;n=p}else if(k){l=0;m=i;n=j}else{k=0;p=i;i=j;do{j=Urc(p|0,0,-130063606,0)|0;o=Arc(j|0,J|0,i|0,0)|0;j=J;g=(o&f[e+(k<<3)>>2])+(f[e+(k<<3)+4>>2]|0)|0;t=Urc(o|0,0,-130063606,0)|0;o=Arc(t|0,J|0,j|0,0)|0;j=J;t=k|1;q=(o&f[e+(t<<3)>>2])+(f[e+(t<<3)+4>>2]|0)|0;d[a+(k<<1)>>1]=(g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768;d[a+(t<<1)>>1]=(q+32768|0)>>>0<65536?q:(q|0)>0?32767:32768;q=Urc(o|0,0,-130063606,0)|0;o=Arc(q|0,J|0,j|0,0)|0;j=J;q=k|2;t=(o&f[e+(q<<3)>>2])+(f[e+(q<<3)+4>>2]|0)|0;g=Urc(o|0,0,-130063606,0)|0;p=Arc(g|0,J|0,j|0,0)|0;i=J;j=k|3;g=(p&f[e+(j<<3)>>2])+(f[e+(j<<3)+4>>2]|0)|0;d[a+(q<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;d[a+(j<<1)>>1]=(g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768;k=k+4|0}while((k|0)<=(h|0));l=b&-4;m=p;n=i}if((l|0)<(b|0)){u=l;v=m;w=n}else{x=m;y=n;z=c;A=z;f[A>>2]=x;B=z+4|0;C=B;f[C>>2]=y;return}while(1){n=Urc(v|0,0,-130063606,0)|0;m=Arc(n|0,J|0,w|0,0)|0;n=J;l=(m&f[e+(u<<3)>>2])+(f[e+(u<<3)+4>>2]|0)|0;d[a+(u<<1)>>1]=(l+32768|0)>>>0<65536?l:(l|0)>0?32767:32768;u=u+1|0;if((u|0)==(b|0)){x=m;y=n;break}else{v=m;w=n}}z=c;A=z;f[A>>2]=x;B=z+4|0;C=B;f[C>>2]=y;return}function IL(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;g=c;h=f[g>>2]|0;i=f[g+4>>2]|0;g=b+-4|0;j=(b|0)<4;if(e)if(j){k=0;l=h;m=i}else{e=0;n=h;o=i;do{p=Urc(n|0,0,-130063606,0)|0;n=Arc(p|0,J|0,o|0,0)|0;o=J;p=e|1;q=(n>>8&f[d+(p<<3)>>2])+(f[d+(p<<3)+4>>2]|0)|0;f[a+(e<<2)>>2]=(n&f[d+(e<<3)>>2])+(f[d+(e<<3)+4>>2]|0);f[a+(p<<2)>>2]=q;q=e|2;p=e|3;r=(f[d+(p<<3)>>2]&n>>24)+(f[d+(p<<3)+4>>2]|0)|0;f[a+(q<<2)>>2]=(f[d+(q<<3)>>2]&n>>16)+(f[d+(q<<3)+4>>2]|0);f[a+(p<<2)>>2]=r;e=e+4|0}while((e|0)<=(g|0));k=b&-4;l=n;m=o}else if(j){k=0;l=h;m=i}else{j=0;o=h;h=i;do{i=Urc(o|0,0,-130063606,0)|0;n=Arc(i|0,J|0,h|0,0)|0;i=J;e=(n&f[d+(j<<3)>>2])+(f[d+(j<<3)+4>>2]|0)|0;r=Urc(n|0,0,-130063606,0)|0;n=Arc(r|0,J|0,i|0,0)|0;i=J;r=j|1;p=(n&f[d+(r<<3)>>2])+(f[d+(r<<3)+4>>2]|0)|0;f[a+(j<<2)>>2]=e;f[a+(r<<2)>>2]=p;p=Urc(n|0,0,-130063606,0)|0;n=Arc(p|0,J|0,i|0,0)|0;i=J;p=j|2;r=(n&f[d+(p<<3)>>2])+(f[d+(p<<3)+4>>2]|0)|0;e=Urc(n|0,0,-130063606,0)|0;o=Arc(e|0,J|0,i|0,0)|0;h=J;i=j|3;e=(o&f[d+(i<<3)>>2])+(f[d+(i<<3)+4>>2]|0)|0;f[a+(p<<2)>>2]=r;f[a+(i<<2)>>2]=e;j=j+4|0}while((j|0)<=(g|0));k=b&-4;l=o;m=h}if((k|0)<(b|0)){s=k;t=l;u=m}else{v=l;w=m;x=c;y=x;f[y>>2]=v;z=x+4|0;A=z;f[A>>2]=w;return}while(1){m=Urc(t|0,0,-130063606,0)|0;l=Arc(m|0,J|0,u|0,0)|0;m=J;f[a+(s<<2)>>2]=(l&f[d+(s<<3)>>2])+(f[d+(s<<3)+4>>2]|0);s=s+1|0;if((s|0)==(b|0)){v=l;w=m;break}else{t=l;u=m}}x=c;y=x;f[y>>2]=v;z=x+4|0;A=z;f[A>>2]=w;return}function JL(){return xR(wR()|0)|0}function KL(a){a=a|0;var b=0,c=0;b=(a|0)!=0;c=xR(wR()|0)|0;f[c>>2]=b?a:-1;f[c+4>>2]=b?((a|0)<0)<<31>>31:0;return}function LL(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;zT(e,44964);pL(xR(wR()|0)|0,a,0,b,c,0);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function ML(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;zT(e,44984);pL(xR(wR()|0)|0,a,1,b,c,0);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function NL(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0;switch(c|0){case 1:{d=NN(a,b)|0;return d|0}case 2:{e=199462;break}case 4:{e=199206;break}default:{d=-1;return d|0}}c=b+-4|0;if((b|0)<4){f=0;g=0}else{i=0;j=0;do{j=(h[e+(h[a+i>>0]|0)>>0]|0)+j+(h[e+(h[a+(i|1)>>0]|0)>>0]|0)+(h[e+(h[a+(i|2)>>0]|0)>>0]|0)+(h[e+(h[a+(i|3)>>0]|0)>>0]|0)|0;i=i+4|0}while((i|0)<=(c|0));f=j;g=b&-4}if((g|0)<(b|0)){k=g;l=f}else{d=f;return d|0}while(1){f=(h[e+(h[a+k>>0]|0)>>0]|0)+l|0;k=k+1|0;if((k|0)==(b|0)){d=f;break}else l=f}return d|0}function OL(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;switch(e|0){case 1:{f=ON(a,c,d)|0;return f|0}case 2:{g=199462;break}case 4:{g=199206;break}default:{f=-1;return f|0}}e=d+-4|0;if((d|0)<4){i=0;j=0}else{k=0;l=0;do{m=k|1;n=k|2;o=k|3;l=(h[g+((b[c+k>>0]^b[a+k>>0])&255)>>0]|0)+l+(h[g+((b[c+m>>0]^b[a+m>>0])&255)>>0]|0)+(h[g+((b[c+n>>0]^b[a+n>>0])&255)>>0]|0)+(h[g+((b[c+o>>0]^b[a+o>>0])&255)>>0]|0)|0;k=k+4|0}while((k|0)<=(e|0));i=l;j=d&-4}if((j|0)<(d|0)){p=j;q=i}else{f=i;return f|0}while(1){i=(h[g+((b[c+p>>0]^b[a+p>>0])&255)>>0]|0)+q|0;p=p+1|0;if((p|0)==(d|0)){f=i;break}else q=i}return f|0}function PL(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0.0,g=0.0,h=0,i=0.0,j=0,k=0.0,l=0.0,m=0.0,o=0.0,p=0,q=0.0;d=c+-4|0;if((c|0)<4){e=0;f=0.0}else{g=0.0;h=0;do{i=+n[a+(h<<2)>>2]-+n[b+(h<<2)>>2];j=h|1;k=+n[a+(j<<2)>>2]-+n[b+(j<<2)>>2];j=h|2;l=+n[a+(j<<2)>>2]-+n[b+(j<<2)>>2];j=h|3;m=+n[a+(j<<2)>>2]-+n[b+(j<<2)>>2];g=g+(i*i+k*k+l*l+m*m);h=h+4|0}while((h|0)<=(d|0));e=c&-4;f=g}if((e|0)<(c|0)){o=f;p=e}else{q=f;return +q}while(1){f=+n[a+(p<<2)>>2]-+n[b+(p<<2)>>2];g=o+f*f;p=p+1|0;if((p|0)==(c|0)){q=g;break}else o=g}return +q}function QL(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0,N=0,O=0,P=0.0,Q=0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0,_=0.0,$=0.0,aa=0,ba=0.0,ca=0.0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0;e=u;u=u+272|0;g=e+256|0;i=e+200|0;j=e+144|0;k=e+88|0;l=e+32|0;m=e;o=e+56|0;q=e+48|0;zT(g,45004);r=c&7;t=(r|0)==1;v=(r|0)==2;w=(r|0)==4;x=(r|0)==5;y=c&255;switch(y&7){case 1:case 2:case 4:case 5:break;default:{if((r|1|0)!=7){f[i>>2]=0;z=i+4|0;f[z>>2]=0;A=YG(i,177)|0;Krc(A|0,199718,177)|0;RL(i,199896,633)}if(oD(a,-1)|0){f[i>>2]=0;z=i+4|0;f[z>>2]=0;A=YG(i,177)|0;Krc(A|0,199718,177)|0;RL(i,199896,633)}}}do if((pD(a)|0)==65536){A=f[a+4>>2]|0;f[i>>2]=f[A>>2];z=i+4|0;c=A+4|0;f[z>>2]=f[c>>2];B=i+8|0;f[B>>2]=f[A+8>>2];f[i+12>>2]=f[A+12>>2];f[i+16>>2]=f[A+16>>2];f[i+20>>2]=f[A+20>>2];f[i+24>>2]=f[A+24>>2];f[i+28>>2]=f[A+28>>2];f[i+32>>2]=f[A+32>>2];C=f[A+36>>2]|0;f[i+36>>2]=C;f[i+40>>2]=B;B=i+48|0;D=i+44|0;f[D>>2]=B;f[B>>2]=0;f[i+52>>2]=0;if(C|0){B=C+12|0;f[B>>2]=(f[B>>2]|0)+1}if((f[c>>2]|0)<3){c=f[A+44>>2]|0;B=f[D>>2]|0;f[B>>2]=f[c>>2];f[B+4>>2]=f[c+4>>2];break}else{f[z>>2]=0;kP(i,A);break}}else lD(i,a,-1);while(0);do if((pD(d)|0)==65536){a=f[d+4>>2]|0;f[j>>2]=f[a>>2];A=j+4|0;z=a+4|0;f[A>>2]=f[z>>2];c=j+8|0;f[c>>2]=f[a+8>>2];f[j+12>>2]=f[a+12>>2];f[j+16>>2]=f[a+16>>2];f[j+20>>2]=f[a+20>>2];f[j+24>>2]=f[a+24>>2];f[j+28>>2]=f[a+28>>2];f[j+32>>2]=f[a+32>>2];B=f[a+36>>2]|0;f[j+36>>2]=B;f[j+40>>2]=c;c=j+48|0;D=j+44|0;f[D>>2]=c;f[c>>2]=0;f[j+52>>2]=0;if(B|0){c=B+12|0;f[c>>2]=(f[c>>2]|0)+1}if((f[z>>2]|0)<3){z=f[a+44>>2]|0;c=f[D>>2]|0;f[c>>2]=f[z>>2];f[c+4>>2]=f[z+4>>2];break}else{f[A>>2]=0;kP(j,a);break}}else lD(j,d,-1);while(0);d=f[i>>2]|0;a=d&7;A=(d>>>3&511)+1|0;z=f[j+16>>2]|0;a:do if(!(d&16384))E=64;else{if(z|0){c=f[j+4>>2]|0;if((c|0)<3)F=Y(f[j+12>>2]|0,f[j+8>>2]|0)|0;else{D=f[j+40>>2]|0;B=0;C=1;while(1){G=Y(f[D+(B<<2)>>2]|0,C)|0;B=B+1|0;if((B|0)==(c|0)){F=G;break}else C=G}}if(!((c|0)==0|(F|0)==0)){E=64;break}}C=f[i+4>>2]|0;if((C|0)<3)H=Y(f[i+12>>2]|0,f[i+8>>2]|0)|0;else{B=f[i+40>>2]|0;D=0;G=1;while(1){I=Y(f[B+(D<<2)>>2]|0,G)|0;D=D+1|0;if((D|0)==(C|0)){H=I;break}else G=I}}G=Y(H,A)|0;switch(d&7){case 5:break;case 0:{C=f[i+16>>2]|0;switch(y&7){case 6:{J=+(NN(C,G)|0);break a;break}case 7:break;default:{E=64;break a}}D=G+-4|0;if((G|0)<4){K=0;N=0}else{B=0;c=0;do{c=(h[199462+(h[C+B>>0]|0)>>0]|0)+c+(h[199462+(h[C+(B|1)>>0]|0)>>0]|0)+(h[199462+(h[C+(B|2)>>0]|0)>>0]|0)+(h[199462+(h[C+(B|3)>>0]|0)>>0]|0)|0;B=B+4|0}while((B|0)<=(D|0));K=c;N=G&-4}if((N|0)<(G|0)){D=N;B=K;while(1){I=(h[199462+(h[C+D>>0]|0)>>0]|0)+B|0;D=D+1|0;if((D|0)==(G|0)){O=I;break}else B=I}}else O=K;J=+(O|0);break a;break}default:{E=64;break a}}B=f[i+16>>2]|0;if(w){D=G+-4|0;if((G|0)<4){P=0.0;Q=0}else{C=0;R=0.0;do{S=+n[B+(C<<2)>>2];T=+n[B+((C|1)<<2)>>2];U=+n[B+((C|2)<<2)>>2];V=+n[B+((C|3)<<2)>>2];R=R+(S*S+T*T+U*U+V*V);C=C+4|0}while((C|0)<=(D|0));P=R;Q=G&-4}if((Q|0)<(G|0)){D=Q;V=P;while(1){U=+n[B+(D<<2)>>2];T=V+U*U;D=D+1|0;if((D|0)==(G|0)){W=T;break}else V=T}}else W=P;J=+M(+(W+0.0));break}if(x){D=G+-4|0;if((G|0)<4){X=0.0;Z=0}else{C=0;V=0.0;do{R=+n[B+(C<<2)>>2];T=+n[B+((C|1)<<2)>>2];U=+n[B+((C|2)<<2)>>2];S=+n[B+((C|3)<<2)>>2];V=V+(R*R+T*T+U*U+S*S);C=C+4|0}while((C|0)<=(D|0));X=V;Z=G&-4}if((Z|0)<(G|0)){D=Z;S=X;while(1){U=+n[B+(D<<2)>>2];T=S+U*U;D=D+1|0;if((D|0)==(G|0)){_=T;break}else S=T}}else _=X;J=_+0.0;break}if(!v){if(!t){E=64;break}if((G|0)>0){D=0;S=0.0;while(1){V=+L(+(+n[B+(D<<2)>>2]));T=S<V?V:S;D=D+1|0;if((D|0)==(G|0)){$=T;break}else S=T}}else $=0.0;J=$>0.0?$:0.0;break}D=G+-4|0;if((G|0)<4){aa=0;ba=0.0}else{S=0.0;C=0;do{T=+L(+(+n[B+(C<<2)>>2]));V=T+ +L(+(+n[B+((C|1)<<2)>>2]));T=V+ +L(+(+n[B+((C|2)<<2)>>2]));S=S+(T+ +L(+(+n[B+((C|3)<<2)>>2])));C=C+4|0}while((C|0)<=(D|0));aa=G&-4;ba=S}if((aa|0)<(G|0)){T=ba;D=aa;while(1){V=T+ +L(+(+n[B+(D<<2)>>2]));D=D+1|0;if((D|0)==(G|0)){ca=V;break}else T=V}}else ca=ba;J=ca+0.0}while(0);do if((E|0)==64){aa=(z|0)==0;if(!aa){Z=f[j+4>>2]|0;if((Z|0)<3)da=Y(f[j+12>>2]|0,f[j+8>>2]|0)|0;else{x=f[j+40>>2]|0;Q=0;O=1;while(1){K=Y(f[x+(Q<<2)>>2]|0,O)|0;Q=Q+1|0;if((Q|0)==(Z|0)){da=K;break}else O=K}}if(!((Z|0)==0|(da|0)==0)?f[j>>2]&4095|0:0){f[k>>2]=0;f[k+4>>2]=0;ea=YG(k,36)|0;fa=210132;ga=ea+36|0;do{b[ea>>0]=b[fa>>0]|0;ea=ea+1|0;fa=fa+1|0}while((ea|0)<(ga|0));RL(k,199896,700)}}Z=(r|0)==6;O=r|1;if((O|0)==7){if(!aa){Q=f[j+4>>2]|0;if((Q|0)<3)ha=Y(f[j+12>>2]|0,f[j+8>>2]|0)|0;else{x=f[j+40>>2]|0;K=0;N=1;while(1){y=Y(f[x+(K<<2)>>2]|0,N)|0;K=K+1|0;if((K|0)==(Q|0)){ha=y;break}else N=y}}if(!((Q|0)==0|(ha|0)==0)){f[k>>2]=1124007936;N=k+4|0;K=k+8|0;x=k+40|0;ea=N;ga=ea+36|0;do{f[ea>>2]=0;ea=ea+4|0}while((ea|0)<(ga|0));f[x>>2]=K;Q=k+48|0;aa=k+44|0;f[aa>>2]=Q;f[Q>>2]=0;f[k+52>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=i;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=j;y=o+8|0;f[y>>2]=0;f[y+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=k;$G(l,m,o,rE()|0);f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=k;ca=+QL(l,r,rE()|0);y=k+36|0;d=f[y>>2]|0;if(d|0?(H=d+12|0,d=f[H>>2]|0,f[H>>2]=d+-1,(d|0)==1):0)lP(k);f[y>>2]=0;y=k+16|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[N>>2]|0)>0){y=f[x>>2]|0;d=0;do{f[y+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[N>>2]|0))}N=f[aa>>2]|0;if((N|0)!=(Q|0))tE(N);J=ca;break}}N=Z?1:2;f[k>>2]=i;f[k+4>>2]=0;f[l>>2]=0;IN(m,k,l,-1);d=f[m+20>>2]|0;y=m+16|0;x=0;K=0;while(1){if(x>>>0>=(f[y>>2]|0)>>>0)break;H=(NL(f[l>>2]|0,d,N)|0)+K|0;JN(m)|0;x=x+1|0;K=H}J=+(K|0);break}x=f[45024+(r>>>1<<5)+(a<<2)>>2]|0;if(!x){f[k>>2]=0;f[k+4>>2]=0;ea=YG(k,9)|0;fa=274048;ga=ea+9|0;do{b[ea>>0]=b[fa>>0]|0;ea=ea+1|0;fa=fa+1|0}while((ea|0)<(ga|0));RL(k,199896,727)}f[k>>2]=i;f[k+4>>2]=j;f[k+8>>2]=0;K=l;f[K>>2]=0;f[K+4>>2]=0;p[m>>3]=0.0;IN(o,k,l,-1);K=f[o+20>>2]|0;N=a>>>0<2;f[q>>2]=0;if(v&a>>>0<4|(O|0)==5&N){d=((v&N?8388608:32768)>>>0)/(A>>>0)|0;N=(d|0)<(K|0)?d:K;y=f[i+4>>2]|0;if((y|0)>0){ia=f[(f[i+44>>2]|0)+(y+-1<<2)>>2]|0;ja=q;ka=d;la=N;ma=1}else{ia=0;ja=q;ka=d;la=N;ma=1}}else{ia=0;ja=m;ka=0;la=K;ma=0}N=o+16|0;d=l+4|0;b:do if((K|0)>0){y=0;Z=0;while(1){if(y>>>0>=(f[N>>2]|0)>>>0)break b;Q=y+1|0;aa=f[l>>2]|0;H=f[d>>2]|0;if(ma){F=0;G=Z;D=aa;B=H;while(1){C=K-F|0;c=(la|0)<(C|0)?la:C;lh[x&127](D,B,ja,c,A)|0;C=c+G|0;if((C+la|0)<(ka|0)?((c+F|0)<(K|0)?1:Q>>>0<(f[N>>2]|0)>>>0):0)na=C;else{p[m>>3]=+p[m>>3]+ +(f[q>>2]|0);f[q>>2]=0;na=0}C=Y(c,ia)|0;D=(f[l>>2]|0)+C|0;f[l>>2]=D;C=f[d>>2]|0;if(!C)oa=0;else{I=C+c|0;f[d>>2]=I;oa=I}F=F+la|0;if((K|0)<=(F|0)){pa=na;break}else{G=na;B=oa}}}else{B=0;G=Z;F=aa;D=H;while(1){I=K-B|0;c=(la|0)<(I|0)?la:I;lh[x&127](F,D,ja,c,A)|0;I=c+G|0;C=Y(c,ia)|0;F=(f[l>>2]|0)+C|0;f[l>>2]=F;C=f[d>>2]|0;if(!C)qa=0;else{ra=C+c|0;f[d>>2]=ra;qa=ra}B=B+la|0;if((K|0)<=(B|0)){pa=I;break}else{G=I;D=qa}}}JN(o)|0;y=Q;Z=pa}}else{Z=0;while(1){if(Z>>>0>=(f[N>>2]|0)>>>0)break b;JN(o)|0;Z=Z+1|0}}while(0);if(t){if((a|0)!=6){N=f[m>>2]|0;p[m>>3]=(a|0)==5?(f[s>>2]=N,+n[s>>2]):+(N|0)}}else if(w){ca=+M(+(+p[m>>3]));p[m>>3]=ca}J=+p[m>>3]}while(0);m=j+36|0;w=f[m>>2]|0;if(w|0?(a=w+12|0,w=f[a>>2]|0,f[a>>2]=w+-1,(w|0)==1):0)lP(j);f[m>>2]=0;m=j+16|0;w=j+4|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[w>>2]|0)>0){m=f[j+40>>2]|0;a=0;do{f[m+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[w>>2]|0))}w=f[j+44>>2]|0;if((w|0)!=(j+48|0))tE(w);w=i+36|0;j=f[w>>2]|0;if(j|0?(a=j+12|0,j=f[a>>2]|0,f[a>>2]=j+-1,(j|0)==1):0)lP(i);f[w>>2]=0;w=i+16|0;j=i+4|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[j>>2]|0)>0){w=f[i+40>>2]|0;a=0;do{f[w+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[j>>2]|0))}j=f[i+44>>2]|0;if((j|0)!=(i+48|0))tE(j);if(!(f[g+4>>2]|0)){u=e;return +J}u=e;return +J}function RL(a,b,c){a=a|0;b=b|0;c=c|0;SQ(-215,a,b,199901,c);return}function SL(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;i=f[d>>2]|0;if(!c){j=Y(g,e)|0;if((j|0)>0){k=0;l=0;while(1){m=h[a+l>>0]|0;n=(k|0)<(m|0)?m:k;l=l+1|0;if((l|0)==(j|0)){o=n;break}else k=n}}else o=0;p=(i|0)<(o|0)?o:i;f[d>>2]=p;return 0}if((e|0)>0&(g|0)>0){q=0;r=a;s=i}else{p=i;f[d>>2]=p;return 0}while(1){if(!(b[c+q>>0]|0))t=s;else{i=0;a=s;while(1){o=h[r+i>>0]|0;k=(a|0)<(o|0)?o:a;i=i+1|0;if((i|0)==(g|0)){t=k;break}else a=k}}q=q+1|0;if((q|0)==(e|0)){p=t;break}else{r=r+g|0;s=t}}f[d>>2]=p;return 0}function TL(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;h=f[d>>2]|0;if(!c){i=Y(g,e)|0;if((i|0)>0){j=0;k=0;while(1){l=b[a+k>>0]|0;m=l<<24>>24;n=l<<24>>24>-1?m:0-m|0;m=(j|0)<(n|0)?n:j;k=k+1|0;if((k|0)==(i|0)){o=m;break}else j=m}}else o=0;p=(h|0)<(o|0)?o:h;f[d>>2]=p;return 0}if((e|0)>0&(g|0)>0){q=0;r=a;s=h}else{p=h;f[d>>2]=p;return 0}while(1){if(!(b[c+q>>0]|0))t=s;else{h=0;a=s;while(1){o=b[r+h>>0]|0;j=o<<24>>24;i=o<<24>>24>-1?j:0-j|0;j=(a|0)<(i|0)?i:a;h=h+1|0;if((h|0)==(g|0)){t=j;break}else a=j}}q=q+1|0;if((q|0)==(e|0)){p=t;break}else{r=r+g|0;s=t}}f[d>>2]=p;return 0}function UL(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;h=f[d>>2]|0;if(!c){i=Y(g,e)|0;if((i|0)>0){k=0;l=0;while(1){m=j[a+(l<<1)>>1]|0;n=(k|0)<(m|0)?m:k;l=l+1|0;if((l|0)==(i|0)){o=n;break}else k=n}}else o=0;p=(h|0)<(o|0)?o:h;f[d>>2]=p;return 0}if((e|0)>0&(g|0)>0){q=0;r=a;s=h}else{p=h;f[d>>2]=p;return 0}while(1){if(!(b[c+q>>0]|0))t=s;else{h=0;a=s;while(1){o=j[r+(h<<1)>>1]|0;k=(a|0)<(o|0)?o:a;h=h+1|0;if((h|0)==(g|0)){t=k;break}else a=k}}q=q+1|0;if((q|0)==(e|0)){p=t;break}else{r=r+(g<<1)|0;s=t}}f[d>>2]=p;return 0}function VL(a,c,e,g,h){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;i=f[e>>2]|0;if(!c){j=Y(h,g)|0;if((j|0)>0){k=0;l=0;while(1){m=d[a+(l<<1)>>1]|0;n=m<<16>>16;o=m<<16>>16>-1?n:0-n|0;n=(k|0)<(o|0)?o:k;l=l+1|0;if((l|0)==(j|0)){p=n;break}else k=n}}else p=0;q=(i|0)<(p|0)?p:i;f[e>>2]=q;return 0}if((g|0)>0&(h|0)>0){r=0;s=a;t=i}else{q=i;f[e>>2]=q;return 0}while(1){if(!(b[c+r>>0]|0))u=t;else{i=0;a=t;while(1){p=d[s+(i<<1)>>1]|0;k=p<<16>>16;j=p<<16>>16>-1?k:0-k|0;k=(a|0)<(j|0)?j:a;i=i+1|0;if((i|0)==(h|0)){u=k;break}else a=k}}r=r+1|0;if((r|0)==(g|0)){q=u;break}else{s=s+(h<<1)|0;t=u}}f[e>>2]=q;return 0}function WL(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=f[d>>2]|0;if(!c){i=Y(g,e)|0;if((i|0)>0){j=0;k=0;while(1){l=f[a+(k<<2)>>2]|0;m=(l|0)>-1?l:0-l|0;l=(j|0)<(m|0)?m:j;k=k+1|0;if((k|0)==(i|0)){n=l;break}else j=l}}else n=0;o=(h|0)<(n|0)?n:h;f[d>>2]=o;return 0}if((e|0)>0&(g|0)>0){p=0;q=a;r=h}else{o=h;f[d>>2]=o;return 0}while(1){if(!(b[c+p>>0]|0))s=r;else{h=0;a=r;while(1){n=f[q+(h<<2)>>2]|0;j=(n|0)>-1?n:0-n|0;n=(a|0)<(j|0)?j:a;h=h+1|0;if((h|0)==(g|0)){s=n;break}else a=n}}p=p+1|0;if((p|0)==(e|0)){o=s;break}else{q=q+(g<<2)|0;r=s}}f[d>>2]=o;return 0}function XL(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0.0,j=0,k=0,l=0.0,m=0.0,o=0.0,p=0.0,q=0,r=0,t=0,u=0.0,v=0,w=0.0,x=0;h=f[d>>2]|0;i=(f[s>>2]=h,+n[s>>2]);if(!c){j=Y(g,e)|0;if((j|0)>0){k=0;l=0.0;while(1){m=+L(+(+n[a+(k<<2)>>2]));o=l<m?m:l;k=k+1|0;if((k|0)==(j|0)){p=o;break}else l=o}}else p=0.0;q=(n[s>>2]=i<p?p:i,f[s>>2]|0);f[d>>2]=q;return 0}if((e|0)>0&(g|0)>0){r=0;t=a;u=i;v=h}else{q=h;f[d>>2]=q;return 0}while(1){if(!(b[c+r>>0]|0)){w=u;x=v}else{h=0;i=u;do{p=+L(+(+n[t+(h<<2)>>2]));i=i<p?p:i;h=h+1|0}while((h|0)!=(g|0));w=i;x=(n[s>>2]=i,f[s>>2]|0)}r=r+1|0;if((r|0)==(e|0)){q=x;break}else{t=t+(g<<2)|0;u=w;v=x}}f[d>>2]=q;return 0}function YL(a,c,d,e,f){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0.0,h=0,i=0.0,j=0,k=0.0,l=0.0,m=0.0,n=0.0,o=0,q=0,r=0.0,s=0.0;g=+p[d>>3];if(!c){h=Y(f,e)|0;if((h|0)>0){i=0.0;j=0;while(1){k=+L(+(+p[a+(j<<3)>>3]));l=i<k?k:i;j=j+1|0;if((j|0)==(h|0)){m=l;break}else i=l}}else m=0.0;n=g<m?m:g;p[d>>3]=n;return 0}if((e|0)>0&(f|0)>0){o=0;q=a;r=g}else{n=g;p[d>>3]=n;return 0}while(1){if(!(b[c+o>>0]|0))s=r;else{a=0;g=r;while(1){m=+L(+(+p[q+(a<<3)>>3]));i=g<m?m:g;a=a+1|0;if((a|0)==(f|0)){s=i;break}else g=i}}o=o+1|0;if((o|0)==(e|0)){n=s;break}else{q=q+(f<<3)|0;r=s}}p[d>>3]=n;return 0}function ZL(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;i=f[d>>2]|0;if(c|0){if((e|0)>0&(g|0)>0){j=0;k=i;l=a}else{m=i;f[d>>2]=m;return 0}while(1){if(!(b[c+j>>0]|0))n=k;else{o=0;p=k;while(1){q=(h[l+o>>0]|0)+p|0;o=o+1|0;if((o|0)==(g|0)){n=q;break}else p=q}}j=j+1|0;if((j|0)==(e|0)){m=n;break}else{k=n;l=l+g|0}}f[d>>2]=m;return 0}l=Y(g,e)|0;e=l+-4|0;if((l|0)<4){r=0;s=0}else{g=0;n=0;do{g=(h[a+n>>0]|0)+g+(h[a+(n|1)>>0]|0)+(h[a+(n|2)>>0]|0)+(h[a+(n|3)>>0]|0)|0;n=n+4|0}while((n|0)<=(e|0));r=l&-4;s=g}if((r|0)<(l|0)){g=s;e=r;while(1){r=(h[a+e>>0]|0)+g|0;e=e+1|0;if((e|0)==(l|0)){t=r;break}else g=r}}else t=s;m=t+i|0;f[d>>2]=m;return 0}function _L(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return uM(a,b,c,d,e)|0}function $L(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;h=f[d>>2]|0;if(c|0){if((e|0)>0&(g|0)>0){i=0;k=h;l=a}else{m=h;f[d>>2]=m;return 0}while(1){if(!(b[c+i>>0]|0))n=k;else{o=0;p=k;while(1){q=(j[l+(o<<1)>>1]|0)+p|0;o=o+1|0;if((o|0)==(g|0)){n=q;break}else p=q}}i=i+1|0;if((i|0)==(e|0)){m=n;break}else{k=n;l=l+(g<<1)|0}}f[d>>2]=m;return 0}l=Y(g,e)|0;e=l+-4|0;if((l|0)<4){r=0;s=0}else{g=0;n=0;do{g=(j[a+(n<<1)>>1]|0)+g+(j[a+((n|1)<<1)>>1]|0)+(j[a+((n|2)<<1)>>1]|0)+(j[a+((n|3)<<1)>>1]|0)|0;n=n+4|0}while((n|0)<=(e|0));r=l&-4;s=g}if((r|0)<(l|0)){g=s;e=r;while(1){r=(j[a+(e<<1)>>1]|0)+g|0;e=e+1|0;if((e|0)==(l|0)){t=r;break}else g=r}}else t=s;m=t+h|0;f[d>>2]=m;return 0}function aM(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return tM(a,b,c,d,e)|0}function bM(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return sM(a,b,c,d,e)|0}function cM(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return rM(a,b,c,d,e)|0}function dM(a,c,d,e,f){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0.0,h=0,i=0.0,j=0,k=0.0,l=0.0,m=0,n=0.0,o=0.0,q=0,r=0.0,s=0.0;g=+p[d>>3];if(c|0){if((e|0)>0&(f|0)>0){h=0;i=g;j=a}else{k=g;p[d>>3]=k;return 0}while(1){if(!(b[c+h>>0]|0))l=i;else{m=0;n=i;while(1){o=n+ +L(+(+p[j+(m<<3)>>3]));m=m+1|0;if((m|0)==(f|0)){l=o;break}else n=o}}h=h+1|0;if((h|0)==(e|0)){k=l;break}else{i=l;j=j+(f<<3)|0}}p[d>>3]=k;return 0}j=Y(f,e)|0;e=j+-4|0;if((j|0)<4){q=0;r=0.0}else{l=0.0;f=0;do{i=+L(+(+p[a+(f<<3)>>3]));n=i+ +L(+(+p[a+((f|1)<<3)>>3]));i=n+ +L(+(+p[a+((f|2)<<3)>>3]));l=l+(i+ +L(+(+p[a+((f|3)<<3)>>3])));f=f+4|0}while((f|0)<=(e|0));q=j&-4;r=l}if((q|0)<(j|0)){l=r;e=q;while(1){i=l+ +L(+(+p[a+(e<<3)>>3]));e=e+1|0;if((e|0)==(j|0)){s=i;break}else l=i}}else s=r;k=g+s;p[d>>3]=k;return 0}function eM(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return qM(a,b,c,d,e)|0}function fM(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return pM(a,b,c,d,e)|0}function gM(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return oM(a,b,c,d,e)|0}function hM(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return nM(a,b,c,d,e)|0}function iM(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return mM(a,b,c,d,e)|0}function jM(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return lM(a,b,c,d,e)|0}function kM(a,c,d,e,f){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0.0,h=0,i=0.0,j=0,k=0.0,l=0.0,m=0,n=0.0,o=0.0,q=0.0,r=0.0,s=0,t=0.0;g=+p[d>>3];if(c|0){if((e|0)>0&(f|0)>0){h=0;i=g;j=a}else{k=g;p[d>>3]=k;return 0}while(1){if(!(b[c+h>>0]|0))l=i;else{m=0;n=i;while(1){o=+p[j+(m<<3)>>3];q=n+o*o;m=m+1|0;if((m|0)==(f|0)){l=q;break}else n=q}}h=h+1|0;if((h|0)==(e|0)){k=l;break}else{i=l;j=j+(f<<3)|0}}p[d>>3]=k;return 0}j=Y(f,e)|0;e=j+-4|0;if((j|0)<4){r=0.0;s=0}else{f=0;l=0.0;do{i=+p[a+(f<<3)>>3];n=+p[a+((f|1)<<3)>>3];q=+p[a+((f|2)<<3)>>3];o=+p[a+((f|3)<<3)>>3];l=l+(i*i+n*n+q*q+o*o);f=f+4|0}while((f|0)<=(e|0));r=l;s=j&-4}if((s|0)<(j|0)){e=s;l=r;while(1){o=+p[a+(e<<3)>>3];q=l+o*o;e=e+1|0;if((e|0)==(j|0)){t=q;break}else l=q}}else t=r;k=g+t;p[d>>3]=k;return 0}function lM(a,c,d,e,f){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0.0,h=0,i=0.0,j=0,k=0.0,l=0.0,m=0,o=0.0,q=0.0,r=0.0,s=0.0,t=0,u=0.0;g=+p[d>>3];if(c|0){if((e|0)>0&(f|0)>0){h=0;i=g;j=a}else{k=g;p[d>>3]=k;return 0}while(1){if(!(b[c+h>>0]|0))l=i;else{m=0;o=i;while(1){q=+n[j+(m<<2)>>2];r=o+q*q;m=m+1|0;if((m|0)==(f|0)){l=r;break}else o=r}}h=h+1|0;if((h|0)==(e|0)){k=l;break}else{i=l;j=j+(f<<2)|0}}p[d>>3]=k;return 0}j=Y(f,e)|0;e=j+-4|0;if((j|0)<4){s=0.0;t=0}else{f=0;l=0.0;do{i=+n[a+(f<<2)>>2];o=+n[a+((f|1)<<2)>>2];r=+n[a+((f|2)<<2)>>2];q=+n[a+((f|3)<<2)>>2];l=l+(i*i+o*o+r*r+q*q);f=f+4|0}while((f|0)<=(e|0));s=l;t=j&-4}if((t|0)<(j|0)){e=t;l=s;while(1){q=+n[a+(e<<2)>>2];r=l+q*q;e=e+1|0;if((e|0)==(j|0)){u=r;break}else l=r}}else u=s;k=g+u;p[d>>3]=k;return 0}function mM(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0.0,i=0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0,q=0.0,r=0.0,s=0.0,t=0,u=0.0;h=+p[d>>3];if(c|0){if((e|0)>0&(g|0)>0){i=0;j=h;k=a}else{l=h;p[d>>3]=l;return 0}while(1){if(!(b[c+i>>0]|0))m=j;else{n=0;o=j;while(1){q=+(f[k+(n<<2)>>2]|0);r=o+q*q;n=n+1|0;if((n|0)==(g|0)){m=r;break}else o=r}}i=i+1|0;if((i|0)==(e|0)){l=m;break}else{j=m;k=k+(g<<2)|0}}p[d>>3]=l;return 0}k=Y(g,e)|0;e=k+-4|0;if((k|0)<4){s=0.0;t=0}else{g=0;m=0.0;do{j=+(f[a+(g<<2)>>2]|0);o=+(f[a+((g|1)<<2)>>2]|0);r=+(f[a+((g|2)<<2)>>2]|0);q=+(f[a+((g|3)<<2)>>2]|0);m=m+(j*j+o*o+r*r+q*q);g=g+4|0}while((g|0)<=(e|0));s=m;t=k&-4}if((t|0)<(k|0)){e=t;m=s;while(1){q=+(f[a+(e<<2)>>2]|0);r=m+q*q;e=e+1|0;if((e|0)==(k|0)){u=r;break}else m=r}}else u=s;l=h+u;p[d>>3]=l;return 0}function nM(a,c,e,f,g){a=a|0;c=c|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0,q=0.0,r=0.0,s=0.0,t=0,u=0.0;h=+p[e>>3];if(c|0){if((f|0)>0&(g|0)>0){i=0;j=h;k=a}else{l=h;p[e>>3]=l;return 0}while(1){if(!(b[c+i>>0]|0))m=j;else{n=0;o=j;while(1){q=+(d[k+(n<<1)>>1]|0);r=o+q*q;n=n+1|0;if((n|0)==(g|0)){m=r;break}else o=r}}i=i+1|0;if((i|0)==(f|0)){l=m;break}else{j=m;k=k+(g<<1)|0}}p[e>>3]=l;return 0}k=Y(g,f)|0;f=k+-4|0;if((k|0)<4){s=0.0;t=0}else{g=0;m=0.0;do{j=+(d[a+(g<<1)>>1]|0);o=+(d[a+((g|1)<<1)>>1]|0);r=+(d[a+((g|2)<<1)>>1]|0);q=+(d[a+((g|3)<<1)>>1]|0);m=m+(j*j+o*o+r*r+q*q);g=g+4|0}while((g|0)<=(f|0));s=m;t=k&-4}if((t|0)<(k|0)){f=t;m=s;while(1){q=+(d[a+(f<<1)>>1]|0);r=m+q*q;f=f+1|0;if((f|0)==(k|0)){u=r;break}else m=r}}else u=s;l=h+u;p[e>>3]=l;return 0}function oM(a,c,d,e,f){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0.0,h=0,i=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0,q=0.0,r=0.0,s=0.0,t=0,u=0.0;g=+p[d>>3];if(c|0){if((e|0)>0&(f|0)>0){h=0;i=g;k=a}else{l=g;p[d>>3]=l;return 0}while(1){if(!(b[c+h>>0]|0))m=i;else{n=0;o=i;while(1){q=+(j[k+(n<<1)>>1]|0);r=o+q*q;n=n+1|0;if((n|0)==(f|0)){m=r;break}else o=r}}h=h+1|0;if((h|0)==(e|0)){l=m;break}else{i=m;k=k+(f<<1)|0}}p[d>>3]=l;return 0}k=Y(f,e)|0;e=k+-4|0;if((k|0)<4){s=0.0;t=0}else{f=0;m=0.0;do{i=+(j[a+(f<<1)>>1]|0);o=+(j[a+((f|1)<<1)>>1]|0);r=+(j[a+((f|2)<<1)>>1]|0);q=+(j[a+((f|3)<<1)>>1]|0);m=m+(i*i+o*o+r*r+q*q);f=f+4|0}while((f|0)<=(e|0));s=m;t=k&-4}if((t|0)<(k|0)){e=t;m=s;while(1){q=+(j[a+(e<<1)>>1]|0);r=m+q*q;e=e+1|0;if((e|0)==(k|0)){u=r;break}else m=r}}else u=s;l=g+u;p[d>>3]=l;return 0}function pM(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;h=f[d>>2]|0;if(c|0){if((e|0)>0&(g|0)>0){i=0;j=h;k=a}else{l=h;f[d>>2]=l;return 0}while(1){if(!(b[c+i>>0]|0))m=j;else{n=0;o=j;while(1){p=b[k+n>>0]|0;q=(Y(p,p)|0)+o|0;n=n+1|0;if((n|0)==(g|0)){m=q;break}else o=q}}i=i+1|0;if((i|0)==(e|0)){l=m;break}else{j=m;k=k+g|0}}f[d>>2]=l;return 0}k=Y(g,e)|0;e=k+-4|0;if((k|0)<4){r=0;s=0}else{g=0;m=0;do{j=b[a+g>>0]|0;i=b[a+(g|1)>>0]|0;c=b[a+(g|2)>>0]|0;o=b[a+(g|3)>>0]|0;m=(Y(j,j)|0)+m+(Y(i,i)|0)+(Y(c,c)|0)+(Y(o,o)|0)|0;g=g+4|0}while((g|0)<=(e|0));r=m;s=k&-4}if((s|0)<(k|0)){m=s;s=r;while(1){e=b[a+m>>0]|0;g=(Y(e,e)|0)+s|0;m=m+1|0;if((m|0)==(k|0)){t=g;break}else s=g}}else t=r;l=t+h|0;f[d>>2]=l;return 0}function qM(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;i=f[d>>2]|0;if(c|0){if((e|0)>0&(g|0)>0){j=0;k=i;l=a}else{m=i;f[d>>2]=m;return 0}while(1){if(!(b[c+j>>0]|0))n=k;else{o=0;p=k;while(1){q=h[l+o>>0]|0;r=(Y(q,q)|0)+p|0;o=o+1|0;if((o|0)==(g|0)){n=r;break}else p=r}}j=j+1|0;if((j|0)==(e|0)){m=n;break}else{k=n;l=l+g|0}}f[d>>2]=m;return 0}l=Y(g,e)|0;e=l+-4|0;if((l|0)<4){s=0;t=0}else{g=0;n=0;do{k=h[a+g>>0]|0;j=h[a+(g|1)>>0]|0;c=h[a+(g|2)>>0]|0;p=h[a+(g|3)>>0]|0;n=(Y(k,k)|0)+n+(Y(j,j)|0)+(Y(c,c)|0)+(Y(p,p)|0)|0;g=g+4|0}while((g|0)<=(e|0));s=n;t=l&-4}if((t|0)<(l|0)){n=t;t=s;while(1){e=h[a+n>>0]|0;g=(Y(e,e)|0)+t|0;n=n+1|0;if((n|0)==(l|0)){u=g;break}else t=g}}else u=s;m=u+i|0;f[d>>2]=m;return 0}function rM(a,c,d,e,f){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0.0,h=0,i=0.0,j=0,k=0.0,l=0.0,m=0,o=0.0,q=0.0,r=0,s=0.0,t=0.0;g=+p[d>>3];if(c|0){if((e|0)>0&(f|0)>0){h=0;i=g;j=a}else{k=g;p[d>>3]=k;return 0}while(1){if(!(b[c+h>>0]|0))l=i;else{m=0;o=i;while(1){q=o+ +L(+(+n[j+(m<<2)>>2]));m=m+1|0;if((m|0)==(f|0)){l=q;break}else o=q}}h=h+1|0;if((h|0)==(e|0)){k=l;break}else{i=l;j=j+(f<<2)|0}}p[d>>3]=k;return 0}j=Y(f,e)|0;e=j+-4|0;if((j|0)<4){r=0;s=0.0}else{l=0.0;f=0;do{i=+L(+(+n[a+(f<<2)>>2]));o=i+ +L(+(+n[a+((f|1)<<2)>>2]));i=o+ +L(+(+n[a+((f|2)<<2)>>2]));l=l+(i+ +L(+(+n[a+((f|3)<<2)>>2])));f=f+4|0}while((f|0)<=(e|0));r=j&-4;s=l}if((r|0)<(j|0)){l=s;e=r;while(1){i=l+ +L(+(+n[a+(e<<2)>>2]));e=e+1|0;if((e|0)==(j|0)){t=i;break}else l=i}}else t=s;k=g+t;p[d>>3]=k;return 0}function sM(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0.0,i=0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0,q=0,r=0.0,s=0,t=0.0,u=0.0;h=+p[d>>3];if(c|0){if((e|0)>0&(g|0)>0){i=0;j=h;k=a}else{l=h;p[d>>3]=l;return 0}while(1){if(!(b[c+i>>0]|0))m=j;else{n=0;o=j;while(1){q=f[k+(n<<2)>>2]|0;r=o+ +(((q|0)>-1?q:0-q|0)|0);n=n+1|0;if((n|0)==(g|0)){m=r;break}else o=r}}i=i+1|0;if((i|0)==(e|0)){l=m;break}else{j=m;k=k+(g<<2)|0}}p[d>>3]=l;return 0}k=Y(g,e)|0;e=k+-4|0;if((k|0)<4){s=0;t=0.0}else{m=0.0;g=0;do{i=f[a+(g<<2)>>2]|0;c=f[a+((g|1)<<2)>>2]|0;n=f[a+((g|2)<<2)>>2]|0;q=f[a+((g|3)<<2)>>2]|0;m=m+(+(((i|0)>-1?i:0-i|0)|0)+ +(((c|0)>-1?c:0-c|0)|0)+ +(((n|0)>-1?n:0-n|0)|0)+ +(((q|0)>-1?q:0-q|0)|0));g=g+4|0}while((g|0)<=(e|0));s=k&-4;t=m}if((s|0)<(k|0)){m=t;e=s;while(1){s=f[a+(e<<2)>>2]|0;j=m+ +(((s|0)>-1?s:0-s|0)|0);e=e+1|0;if((e|0)==(k|0)){u=j;break}else m=j}}else u=t;l=h+u;p[d>>3]=l;return 0}function tM(a,c,e,g,h){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;i=f[e>>2]|0;if(c|0){if((g|0)>0&(h|0)>0){j=0;k=i;l=a}else{m=i;f[e>>2]=m;return 0}while(1){if(!(b[c+j>>0]|0))n=k;else{o=0;p=k;while(1){q=d[l+(o<<1)>>1]|0;r=q<<16>>16;s=(q<<16>>16>-1?r:0-r|0)+p|0;o=o+1|0;if((o|0)==(h|0)){n=s;break}else p=s}}j=j+1|0;if((j|0)==(g|0)){m=n;break}else{k=n;l=l+(h<<1)|0}}f[e>>2]=m;return 0}l=Y(h,g)|0;g=l+-4|0;if((l|0)<4){t=0;u=0}else{h=0;n=0;do{k=d[a+(n<<1)>>1]|0;j=k<<16>>16;c=d[a+((n|1)<<1)>>1]|0;p=c<<16>>16;o=d[a+((n|2)<<1)>>1]|0;s=o<<16>>16;r=d[a+((n|3)<<1)>>1]|0;q=r<<16>>16;h=(k<<16>>16>-1?j:0-j|0)+h+(c<<16>>16>-1?p:0-p|0)+(o<<16>>16>-1?s:0-s|0)+(r<<16>>16>-1?q:0-q|0)|0;n=n+4|0}while((n|0)<=(g|0));t=l&-4;u=h}if((t|0)<(l|0)){h=u;g=t;while(1){t=d[a+(g<<1)>>1]|0;n=t<<16>>16;q=(t<<16>>16>-1?n:0-n|0)+h|0;g=g+1|0;if((g|0)==(l|0)){v=q;break}else h=q}}else v=u;m=v+i|0;f[e>>2]=m;return 0}function uM(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;h=f[d>>2]|0;if(c|0){if((e|0)>0&(g|0)>0){i=0;j=h;k=a}else{l=h;f[d>>2]=l;return 0}while(1){if(!(b[c+i>>0]|0))m=j;else{n=0;o=j;while(1){p=b[k+n>>0]|0;q=p<<24>>24;r=(p<<24>>24>-1?q:0-q|0)+o|0;n=n+1|0;if((n|0)==(g|0)){m=r;break}else o=r}}i=i+1|0;if((i|0)==(e|0)){l=m;break}else{j=m;k=k+g|0}}f[d>>2]=l;return 0}k=Y(g,e)|0;e=k+-4|0;if((k|0)<4){s=0;t=0}else{g=0;m=0;do{j=b[a+m>>0]|0;i=j<<24>>24;c=b[a+(m|1)>>0]|0;o=c<<24>>24;n=b[a+(m|2)>>0]|0;r=n<<24>>24;q=b[a+(m|3)>>0]|0;p=q<<24>>24;g=(j<<24>>24>-1?i:0-i|0)+g+(c<<24>>24>-1?o:0-o|0)+(n<<24>>24>-1?r:0-r|0)+(q<<24>>24>-1?p:0-p|0)|0;m=m+4|0}while((m|0)<=(e|0));s=k&-4;t=g}if((s|0)<(k|0)){g=t;e=s;while(1){s=b[a+e>>0]|0;m=s<<24>>24;p=(s<<24>>24>-1?m:0-m|0)+g|0;e=e+1|0;if((e|0)==(k|0)){u=p;break}else g=p}}else u=t;l=u+h|0;f[d>>2]=l;return 0}function vM(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,N=0,O=0,P=0,Q=0.0,R=0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0.0,_=0.0,$=0,aa=0.0,ba=0.0,ca=0.0,da=0,ea=0,fa=0,ga=0.0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0.0;g=u;u=u+320|0;h=g+312|0;i=g+256|0;j=g+200|0;k=g+144|0;l=g+88|0;m=g+32|0;o=g;q=g+56|0;r=g+48|0;zT(h,45120);if(!(yD(a,c)|0)){f[i>>2]=0;t=i+4|0;f[t>>2]=0;v=YG(i,53)|0;w=v;x=200009;y=w+53|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));RL(i,199896,1092)}z=oD(a,-1)|0;if((z|0)!=(oD(c,-1)|0)){f[i>>2]=0;t=i+4|0;f[t>>2]=0;v=YG(i,53)|0;w=v;x=200009;y=w+53|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));RL(i,199896,1092)}if(!(d&8)){do if((pD(a)|0)==65536){v=f[a+4>>2]|0;f[i>>2]=f[v>>2];t=i+4|0;z=v+4|0;f[t>>2]=f[z>>2];A=i+8|0;f[A>>2]=f[v+8>>2];f[i+12>>2]=f[v+12>>2];f[i+16>>2]=f[v+16>>2];f[i+20>>2]=f[v+20>>2];f[i+24>>2]=f[v+24>>2];f[i+28>>2]=f[v+28>>2];f[i+32>>2]=f[v+32>>2];B=f[v+36>>2]|0;f[i+36>>2]=B;f[i+40>>2]=A;A=i+48|0;C=i+44|0;f[C>>2]=A;f[A>>2]=0;f[i+52>>2]=0;if(B|0){A=B+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[z>>2]|0)<3){z=f[v+44>>2]|0;A=f[C>>2]|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];break}else{f[t>>2]=0;kP(i,v);break}}else lD(i,a,-1);while(0);do if((pD(c)|0)==65536){v=f[c+4>>2]|0;f[j>>2]=f[v>>2];t=j+4|0;z=v+4|0;f[t>>2]=f[z>>2];A=j+8|0;f[A>>2]=f[v+8>>2];f[j+12>>2]=f[v+12>>2];f[j+16>>2]=f[v+16>>2];f[j+20>>2]=f[v+20>>2];f[j+24>>2]=f[v+24>>2];f[j+28>>2]=f[v+28>>2];f[j+32>>2]=f[v+32>>2];C=f[v+36>>2]|0;f[j+36>>2]=C;f[j+40>>2]=A;A=j+48|0;B=j+44|0;f[B>>2]=A;f[A>>2]=0;f[j+52>>2]=0;if(C|0){A=C+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[z>>2]|0)<3){z=f[v+44>>2]|0;A=f[B>>2]|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];break}else{f[t>>2]=0;kP(j,v);break}}else lD(j,c,-1);while(0);do if((pD(e)|0)==65536){v=f[e+4>>2]|0;f[k>>2]=f[v>>2];t=k+4|0;z=v+4|0;f[t>>2]=f[z>>2];A=k+8|0;f[A>>2]=f[v+8>>2];f[k+12>>2]=f[v+12>>2];f[k+16>>2]=f[v+16>>2];f[k+20>>2]=f[v+20>>2];f[k+24>>2]=f[v+24>>2];f[k+28>>2]=f[v+28>>2];f[k+32>>2]=f[v+32>>2];B=f[v+36>>2]|0;f[k+36>>2]=B;f[k+40>>2]=A;A=k+48|0;C=k+44|0;f[C>>2]=A;f[A>>2]=0;f[k+52>>2]=0;if(B|0){A=B+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[z>>2]|0)<3){z=f[v+44>>2]|0;A=f[C>>2]|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];break}else{f[t>>2]=0;kP(k,v);break}}else lD(k,e,-1);while(0);v=f[i>>2]|0;t=v&7;z=(v>>>3&511)+1|0;A=d&7;C=(A|0)==1;B=(A|0)==2;D=(A|0)==4;E=(A|0)==5;switch(d&7){case 1:case 2:case 4:case 5:break;default:if(!((A|1|0)==7&(v&4095|0)==0)){f[l>>2]=0;f[l+4>>2]=0;Krc(YG(l,177)|0,200063,177)|0;RL(l,199896,1117)}}do if((v&16384|0)!=0?(f[j>>2]&16384|0)!=0:0){if(f[k+16>>2]|0){F=f[k+4>>2]|0;if((F|0)<3)G=Y(f[k+12>>2]|0,f[k+8>>2]|0)|0;else{H=f[k+40>>2]|0;I=0;J=1;while(1){K=Y(f[H+(I<<2)>>2]|0,J)|0;I=I+1|0;if((I|0)==(F|0)){G=K;break}else J=K}}if(!((F|0)==0|(G|0)==0)){N=68;break}}J=f[i+4>>2]|0;if((J|0)<3)O=Y(f[i+12>>2]|0,f[i+8>>2]|0)|0;else{I=f[i+40>>2]|0;H=0;K=1;while(1){P=Y(f[I+(H<<2)>>2]|0,K)|0;H=H+1|0;if((H|0)==(J|0)){O=P;break}else K=P}}K=Y(z,O)|0;if((t|0)==5){J=f[i+16>>2]|0;H=f[j+16>>2]|0;if(D){I=K+-4|0;if((K|0)<4){Q=0.0;R=0}else{F=0;S=0.0;do{T=+n[J+(F<<2)>>2]-+n[H+(F<<2)>>2];P=F|1;U=+n[J+(P<<2)>>2]-+n[H+(P<<2)>>2];P=F|2;V=+n[J+(P<<2)>>2]-+n[H+(P<<2)>>2];P=F|3;W=+n[J+(P<<2)>>2]-+n[H+(P<<2)>>2];S=S+(T*T+U*U+V*V+W*W);F=F+4|0}while((F|0)<=(I|0));Q=S;R=K&-4}if((R|0)<(K|0)){I=R;W=Q;while(1){V=+n[J+(I<<2)>>2]-+n[H+(I<<2)>>2];U=W+V*V;I=I+1|0;if((I|0)==(K|0)){X=U;break}else W=U}}else X=Q;Z=+M(+(X+0.0));break}if(E){I=K+-4|0;if((K|0)<4){_=0.0;$=0}else{F=0;W=0.0;do{S=+n[J+(F<<2)>>2]-+n[H+(F<<2)>>2];P=F|1;U=+n[J+(P<<2)>>2]-+n[H+(P<<2)>>2];P=F|2;V=+n[J+(P<<2)>>2]-+n[H+(P<<2)>>2];P=F|3;T=+n[J+(P<<2)>>2]-+n[H+(P<<2)>>2];W=W+(S*S+U*U+V*V+T*T);F=F+4|0}while((F|0)<=(I|0));_=W;$=K&-4}if(($|0)<(K|0)){I=$;T=_;while(1){V=+n[J+(I<<2)>>2]-+n[H+(I<<2)>>2];U=T+V*V;I=I+1|0;if((I|0)==(K|0)){aa=U;break}else T=U}}else aa=_;Z=aa+0.0;break}if(!B){if(!C){N=68;break}if((K|0)>0){I=0;T=0.0;while(1){W=+L(+(+n[J+(I<<2)>>2]-+n[H+(I<<2)>>2]));U=T<W?W:T;I=I+1|0;if((I|0)==(K|0)){ba=U;break}else T=U}}else ba=0.0;Z=ba>0.0?ba:0.0;break}I=K+-4|0;if((K|0)<4){ca=0.0;da=0}else{F=0;T=0.0;do{P=F|1;ea=F|2;fa=F|3;T=T+(+L(+(+n[J+(F<<2)>>2]-+n[H+(F<<2)>>2]))+ +L(+(+n[J+(P<<2)>>2]-+n[H+(P<<2)>>2]))+ +L(+(+n[J+(ea<<2)>>2]-+n[H+(ea<<2)>>2]))+ +L(+(+n[J+(fa<<2)>>2]-+n[H+(fa<<2)>>2])));F=F+4|0}while((F|0)<=(I|0));ca=T;da=K&-4}if((da|0)<(K|0)){I=da;U=ca;while(1){W=U+ +L(+(+n[J+(I<<2)>>2]-+n[H+(I<<2)>>2]));I=I+1|0;if((I|0)==(K|0)){ga=W;break}else U=W}}else ga=ca;Z=ga+0.0}else N=68}else N=68;while(0);do if((N|0)==68){da=(f[k+16>>2]|0)==0;if(!da){$=f[k+4>>2]|0;if(($|0)<3)ha=Y(f[k+12>>2]|0,f[k+8>>2]|0)|0;else{E=f[k+40>>2]|0;R=0;O=1;while(1){G=Y(f[E+(R<<2)>>2]|0,O)|0;R=R+1|0;if((R|0)==($|0)){ha=G;break}else O=G}}if(!(($|0)==0|(ha|0)==0)?f[k>>2]&4095|0:0){f[l>>2]=0;f[l+4>>2]=0;w=YG(l,36)|0;x=210132;y=w+36|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));RL(l,199896,1157)}}$=(A|0)==6;O=A|1;if((O|0)==7){if(!da){R=f[k+4>>2]|0;if((R|0)<3)ia=Y(f[k+12>>2]|0,f[k+8>>2]|0)|0;else{E=f[k+40>>2]|0;G=0;v=1;while(1){K=Y(f[E+(G<<2)>>2]|0,v)|0;G=G+1|0;if((G|0)==(R|0)){ia=K;break}else v=K}}if(!((R|0)==0|(ia|0)==0)){f[l>>2]=1124007936;v=l+4|0;G=l+8|0;E=l+40|0;w=v;y=w+36|0;do{f[w>>2]=0;w=w+4|0}while((w|0)<(y|0));f[E>>2]=G;R=l+48|0;da=l+44|0;f[da>>2]=R;f[R>>2]=0;f[l+52>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=i;f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=j;K=q+8|0;f[K>>2]=0;f[K+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=l;gH(m,o,q,rE()|0);f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=l;f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=k;K=q+8|0;f[K>>2]=0;f[K+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=l;$G(m,o,q,rE()|0);f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=l;ga=+QL(m,A,rE()|0);K=l+36|0;I=f[K>>2]|0;if(I|0?(H=I+12|0,I=f[H>>2]|0,f[H>>2]=I+-1,(I|0)==1):0)lP(l);f[K>>2]=0;K=l+16|0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[v>>2]|0)>0){K=f[E>>2]|0;I=0;do{f[K+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[v>>2]|0))}v=f[da>>2]|0;if((v|0)!=(R|0))tE(v);Z=ga;break}}v=$?1:2;f[l>>2]=i;f[l+4>>2]=j;f[l+8>>2]=0;I=m;f[I>>2]=0;f[I+4>>2]=0;IN(o,l,m,-1);I=f[o+20>>2]|0;K=o+16|0;E=m+4|0;G=0;H=0;while(1){if(G>>>0>=(f[K>>2]|0)>>>0)break;J=(OL(f[m>>2]|0,f[E>>2]|0,I,v)|0)+H|0;JN(o)|0;G=G+1|0;H=J}Z=+(H|0);break}G=f[45140+(A>>>1<<5)+(t<<2)>>2]|0;if(!G){f[l>>2]=0;f[l+4>>2]=0;w=YG(l,9)|0;x=274048;y=w+9|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));RL(l,199896,1185)}f[l>>2]=i;f[l+4>>2]=j;f[l+8>>2]=k;f[l+12>>2]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;p[o>>3]=0.0;IN(q,l,m,-1);H=f[q+20>>2]|0;v=t>>>0<2;f[r>>2]=0;if(B&t>>>0<4|(O|0)==5&v){I=B&v?8388608:32768;v=(I|0)<(H|0)?I:H;E=f[i+4>>2]|0;if((E|0)>0){ja=f[(f[i+44>>2]|0)+(E+-1<<2)>>2]|0;ka=r;la=I;ma=v;na=1}else{ja=0;ka=r;la=I;ma=v;na=1}}else{ja=0;ka=o;la=0;ma=H;na=0}v=q+16|0;I=(H|0)>0;E=m+4|0;K=m+8|0;$=0;R=0;while(1){if($>>>0>=(f[v>>2]|0)>>>0)break;da=$+1|0;a:do if(I){J=f[m>>2]|0;F=f[E>>2]|0;fa=f[K>>2]|0;if(na){oa=0;pa=R;qa=J;ra=F;sa=fa}else{ea=0;P=R;ta=J;J=F;F=fa;while(1){fa=H-ea|0;ua=(ma|0)<(fa|0)?ma:fa;Vf[G&127](ta,J,F,ka,ua,z)|0;fa=ua+P|0;va=Y(ua,ja)|0;ta=(f[m>>2]|0)+va|0;f[m>>2]=ta;J=(f[E>>2]|0)+va|0;f[E>>2]=J;va=f[K>>2]|0;if(!va)wa=0;else{xa=va+ua|0;f[K>>2]=xa;wa=xa}ea=ea+ma|0;if((H|0)<=(ea|0)){ya=fa;break a}else{P=fa;F=wa}}}while(1){F=H-oa|0;P=(ma|0)<(F|0)?ma:F;Vf[G&127](qa,ra,sa,ka,P,z)|0;F=P+pa|0;if((F+ma|0)<(la|0)?((P+oa|0)<(H|0)?1:da>>>0<(f[v>>2]|0)>>>0):0)za=F;else{p[o>>3]=+p[o>>3]+ +((f[r>>2]|0)>>>0);f[r>>2]=0;za=0}F=Y(P,ja)|0;qa=(f[m>>2]|0)+F|0;f[m>>2]=qa;ra=(f[E>>2]|0)+F|0;f[E>>2]=ra;F=f[K>>2]|0;if(!F)Aa=0;else{ea=F+P|0;f[K>>2]=ea;Aa=ea}oa=oa+ma|0;if((H|0)<=(oa|0)){ya=za;break}else{pa=za;sa=Aa}}}else ya=R;while(0);JN(q)|0;$=da;R=ya}if(C){if((t|0)!=6){R=f[o>>2]|0;p[o>>3]=(t|0)==5?(f[s>>2]=R,+n[s>>2]):+(R>>>0)}}else if(D){ga=+M(+(+p[o>>3]));p[o>>3]=ga}Z=+p[o>>3]}while(0);o=k+36|0;D=f[o>>2]|0;if(D|0?(t=D+12|0,D=f[t>>2]|0,f[t>>2]=D+-1,(D|0)==1):0)lP(k);f[o>>2]=0;o=k+16|0;D=k+4|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[D>>2]|0)>0){o=f[k+40>>2]|0;t=0;do{f[o+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[D>>2]|0))}D=f[k+44>>2]|0;if((D|0)!=(k+48|0))tE(D);D=j+36|0;k=f[D>>2]|0;if(k|0?(t=k+12|0,k=f[t>>2]|0,f[t>>2]=k+-1,(k|0)==1):0)lP(j);f[D>>2]=0;D=j+16|0;k=j+4|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[k>>2]|0)>0){D=f[j+40>>2]|0;t=0;do{f[D+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[k>>2]|0))}k=f[j+44>>2]|0;if((k|0)!=(j+48|0))tE(k);k=i+36|0;j=f[k>>2]|0;if(j|0?(t=j+12|0,j=f[t>>2]|0,f[t>>2]=j+-1,(j|0)==1):0)lP(i);f[k>>2]=0;k=i+16|0;j=i+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[j>>2]|0)>0){k=f[i+40>>2]|0;t=0;do{f[k+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[j>>2]|0))}j=f[i+44>>2]|0;if((j|0)!=(i+48|0))tE(j);Ba=Z}else{Z=+vM(a,c,d&-9,e);Ba=Z/(+QL(c,d,e)+2.220446049250313e-16)}if(!(f[h+4>>2]|0)){u=g;return +Ba}u=g;return +Ba}function wM(a,c,d,e,g,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;j=f[e>>2]|0;if(!d){k=Y(i,g)|0;if((k|0)>0){l=0;m=0;while(1){n=(h[a+m>>0]|0)-(h[c+m>>0]|0)|0;o=(n|0)>-1?n:0-n|0;n=(l|0)<(o|0)?o:l;m=m+1|0;if((m|0)==(k|0)){p=n;break}else l=n}}else p=0;q=(j|0)<(p|0)?p:j;f[e>>2]=q;return 0}if((g|0)>0&(i|0)>0){r=0;s=a;t=c;u=j}else{q=j;f[e>>2]=q;return 0}while(1){if(!(b[d+r>>0]|0))v=u;else{j=0;c=u;while(1){a=(h[s+j>>0]|0)-(h[t+j>>0]|0)|0;p=(a|0)>-1?a:0-a|0;a=(c|0)<(p|0)?p:c;j=j+1|0;if((j|0)==(i|0)){v=a;break}else c=a}}r=r+1|0;if((r|0)==(g|0)){q=v;break}else{s=s+i|0;t=t+i|0;u=v}}f[e>>2]=q;return 0}function xM(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;i=f[e>>2]|0;if(!d){j=Y(h,g)|0;if((j|0)>0){k=0;l=0;while(1){m=(b[a+l>>0]|0)-(b[c+l>>0]|0)|0;n=(m|0)>-1?m:0-m|0;m=(k|0)<(n|0)?n:k;l=l+1|0;if((l|0)==(j|0)){o=m;break}else k=m}}else o=0;p=(i|0)<(o|0)?o:i;f[e>>2]=p;return 0}if((g|0)>0&(h|0)>0){q=0;r=a;s=c;t=i}else{p=i;f[e>>2]=p;return 0}while(1){if(!(b[d+q>>0]|0))u=t;else{i=0;c=t;while(1){a=(b[r+i>>0]|0)-(b[s+i>>0]|0)|0;o=(a|0)>-1?a:0-a|0;a=(c|0)<(o|0)?o:c;i=i+1|0;if((i|0)==(h|0)){u=a;break}else c=a}}q=q+1|0;if((q|0)==(g|0)){p=u;break}else{r=r+h|0;s=s+h|0;t=u}}f[e>>2]=p;return 0}function yM(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;i=f[e>>2]|0;if(!d){k=Y(h,g)|0;if((k|0)>0){l=0;m=0;while(1){n=(j[a+(m<<1)>>1]|0)-(j[c+(m<<1)>>1]|0)|0;o=(n|0)>-1?n:0-n|0;n=(l|0)<(o|0)?o:l;m=m+1|0;if((m|0)==(k|0)){p=n;break}else l=n}}else p=0;q=(i|0)<(p|0)?p:i;f[e>>2]=q;return 0}if((g|0)>0&(h|0)>0){r=0;s=a;t=c;u=i}else{q=i;f[e>>2]=q;return 0}while(1){if(!(b[d+r>>0]|0))v=u;else{i=0;c=u;while(1){a=(j[s+(i<<1)>>1]|0)-(j[t+(i<<1)>>1]|0)|0;p=(a|0)>-1?a:0-a|0;a=(c|0)<(p|0)?p:c;i=i+1|0;if((i|0)==(h|0)){v=a;break}else c=a}}r=r+1|0;if((r|0)==(g|0)){q=v;break}else{s=s+(h<<1)|0;t=t+(h<<1)|0;u=v}}f[e>>2]=q;return 0}function zM(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;j=f[g>>2]|0;if(!e){k=Y(i,h)|0;if((k|0)>0){l=0;m=0;while(1){n=(d[a+(m<<1)>>1]|0)-(d[c+(m<<1)>>1]|0)|0;o=(n|0)>-1?n:0-n|0;n=(l|0)<(o|0)?o:l;m=m+1|0;if((m|0)==(k|0)){p=n;break}else l=n}}else p=0;q=(j|0)<(p|0)?p:j;f[g>>2]=q;return 0}if((h|0)>0&(i|0)>0){r=0;s=a;t=c;u=j}else{q=j;f[g>>2]=q;return 0}while(1){if(!(b[e+r>>0]|0))v=u;else{j=0;c=u;while(1){a=(d[s+(j<<1)>>1]|0)-(d[t+(j<<1)>>1]|0)|0;p=(a|0)>-1?a:0-a|0;a=(c|0)<(p|0)?p:c;j=j+1|0;if((j|0)==(i|0)){v=a;break}else c=a}}r=r+1|0;if((r|0)==(h|0)){q=v;break}else{s=s+(i<<1)|0;t=t+(i<<1)|0;u=v}}f[g>>2]=q;return 0}function AM(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;i=f[e>>2]|0;if(!d){j=Y(h,g)|0;if((j|0)>0){k=0;l=0;while(1){m=(f[a+(l<<2)>>2]|0)-(f[c+(l<<2)>>2]|0)|0;n=(m|0)>-1?m:0-m|0;m=(k|0)<(n|0)?n:k;l=l+1|0;if((l|0)==(j|0)){o=m;break}else k=m}}else o=0;p=(i|0)<(o|0)?o:i;f[e>>2]=p;return 0}if((g|0)>0&(h|0)>0){q=0;r=a;s=c;t=i}else{p=i;f[e>>2]=p;return 0}while(1){if(!(b[d+q>>0]|0))u=t;else{i=0;c=t;while(1){a=(f[r+(i<<2)>>2]|0)-(f[s+(i<<2)>>2]|0)|0;o=(a|0)>-1?a:0-a|0;a=(c|0)<(o|0)?o:c;i=i+1|0;if((i|0)==(h|0)){u=a;break}else c=a}}q=q+1|0;if((q|0)==(g|0)){p=u;break}else{r=r+(h<<2)|0;s=s+(h<<2)|0;t=u}}f[e>>2]=p;return 0}function BM(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0.0,k=0,l=0,m=0.0,o=0.0,p=0.0,q=0.0,r=0,t=0,u=0,v=0,w=0.0,x=0,y=0.0,z=0;i=f[e>>2]|0;j=(f[s>>2]=i,+n[s>>2]);if(!d){k=Y(h,g)|0;if((k|0)>0){l=0;m=0.0;while(1){o=+L(+(+n[a+(l<<2)>>2]-+n[c+(l<<2)>>2]));p=m<o?o:m;l=l+1|0;if((l|0)==(k|0)){q=p;break}else m=p}}else q=0.0;r=(n[s>>2]=j<q?q:j,f[s>>2]|0);f[e>>2]=r;return 0}if((g|0)>0&(h|0)>0){t=0;u=a;v=c;w=j;x=i}else{r=i;f[e>>2]=r;return 0}while(1){if(!(b[d+t>>0]|0)){y=w;z=x}else{i=0;j=w;do{q=+L(+(+n[u+(i<<2)>>2]-+n[v+(i<<2)>>2]));j=j<q?q:j;i=i+1|0}while((i|0)!=(h|0));y=j;z=(n[s>>2]=j,f[s>>2]|0)}t=t+1|0;if((t|0)==(g|0)){r=z;break}else{u=u+(h<<2)|0;v=v+(h<<2)|0;w=y;x=z}}f[e>>2]=r;return 0}function CM(a,c,d,e,f,g){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0,j=0.0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,q=0,r=0,s=0,t=0.0,u=0.0;h=+p[e>>3];if(!d){i=Y(g,f)|0;if((i|0)>0){j=0.0;k=0;while(1){l=+L(+(+p[a+(k<<3)>>3]-+p[c+(k<<3)>>3]));m=j<l?l:j;k=k+1|0;if((k|0)==(i|0)){n=m;break}else j=m}}else n=0.0;o=h<n?n:h;p[e>>3]=o;return 0}if((f|0)>0&(g|0)>0){q=0;r=a;s=c;t=h}else{o=h;p[e>>3]=o;return 0}while(1){if(!(b[d+q>>0]|0))u=t;else{c=0;h=t;while(1){n=+L(+(+p[r+(c<<3)>>3]-+p[s+(c<<3)>>3]));j=h<n?n:h;c=c+1|0;if((c|0)==(g|0)){u=j;break}else h=j}}q=q+1|0;if((q|0)==(f|0)){o=u;break}else{r=r+(g<<3)|0;s=s+(g<<3)|0;t=u}}p[e>>3]=o;return 0}function DM(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return cN(a,b,c,d,e,f)|0}function EM(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return bN(a,b,c,d,e,f)|0}function FM(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return aN(a,b,c,d,e,f)|0}function GM(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return $M(a,b,c,d,e,f)|0}function HM(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return _M(a,b,c,d,e,f)|0}function IM(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return ZM(a,b,c,d,e,f)|0}function JM(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return YM(a,b,c,d,e,f)|0}function KM(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return XM(a,b,c,d,e,f)|0}function LM(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return WM(a,b,c,d,e,f)|0}function MM(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return VM(a,b,c,d,e,f)|0}function NM(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return UM(a,b,c,d,e,f)|0}function OM(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return TM(a,b,c,d,e,f)|0}function PM(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return SM(a,b,c,d,e,f)|0}function QM(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return RM(a,b,c,d,e,f)|0}function RM(a,c,d,e,f,g){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0,j=0.0,k=0,l=0,m=0.0,n=0.0,o=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0.0;h=+p[e>>3];if(d|0){if((f|0)>0&(g|0)>0){i=0;j=h;k=c;l=a}else{m=h;p[e>>3]=m;return 0}while(1){if(!(b[d+i>>0]|0))n=j;else{o=0;q=j;while(1){r=+p[l+(o<<3)>>3]-+p[k+(o<<3)>>3];s=q+r*r;o=o+1|0;if((o|0)==(g|0)){n=s;break}else q=s}}i=i+1|0;if((i|0)==(f|0)){m=n;break}else{j=n;k=k+(g<<3)|0;l=l+(g<<3)|0}}p[e>>3]=m;return 0}l=Y(g,f)|0;f=l+-4|0;if((l|0)<4){t=0.0;u=0}else{g=0;n=0.0;do{j=+p[a+(g<<3)>>3]-+p[c+(g<<3)>>3];k=g|1;q=+p[a+(k<<3)>>3]-+p[c+(k<<3)>>3];k=g|2;s=+p[a+(k<<3)>>3]-+p[c+(k<<3)>>3];k=g|3;r=+p[a+(k<<3)>>3]-+p[c+(k<<3)>>3];n=n+(j*j+q*q+s*s+r*r);g=g+4|0}while((g|0)<=(f|0));t=n;u=l&-4}if((u|0)<(l|0)){f=u;n=t;while(1){r=+p[a+(f<<3)>>3]-+p[c+(f<<3)>>3];s=n+r*r;f=f+1|0;if((f|0)==(l|0)){v=s;break}else n=s}}else v=t;m=h+v;p[e>>3]=m;return 0}function SM(a,c,d,e,f,g){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0,j=0.0,k=0,l=0,m=0.0,o=0.0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0,w=0.0;h=+p[e>>3];if(d|0){if((f|0)>0&(g|0)>0){i=0;j=h;k=c;l=a}else{m=h;p[e>>3]=m;return 0}while(1){if(!(b[d+i>>0]|0))o=j;else{q=0;r=j;while(1){s=+n[l+(q<<2)>>2]-+n[k+(q<<2)>>2];t=r+s*s;q=q+1|0;if((q|0)==(g|0)){o=t;break}else r=t}}i=i+1|0;if((i|0)==(f|0)){m=o;break}else{j=o;k=k+(g<<2)|0;l=l+(g<<2)|0}}p[e>>3]=m;return 0}l=Y(g,f)|0;f=l+-4|0;if((l|0)<4){u=0.0;v=0}else{g=0;o=0.0;do{j=+n[a+(g<<2)>>2]-+n[c+(g<<2)>>2];k=g|1;r=+n[a+(k<<2)>>2]-+n[c+(k<<2)>>2];k=g|2;t=+n[a+(k<<2)>>2]-+n[c+(k<<2)>>2];k=g|3;s=+n[a+(k<<2)>>2]-+n[c+(k<<2)>>2];o=o+(j*j+r*r+t*t+s*s);g=g+4|0}while((g|0)<=(f|0));u=o;v=l&-4}if((v|0)<(l|0)){f=v;o=u;while(1){s=+n[a+(f<<2)>>2]-+n[c+(f<<2)>>2];t=o+s*s;f=f+1|0;if((f|0)==(l|0)){w=t;break}else o=t}}else w=u;m=h+w;p[e>>3]=m;return 0}function TM(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0.0,j=0,k=0.0,l=0,m=0,n=0.0,o=0.0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0,w=0.0;i=+p[e>>3];if(d|0){if((g|0)>0&(h|0)>0){j=0;k=i;l=c;m=a}else{n=i;p[e>>3]=n;return 0}while(1){if(!(b[d+j>>0]|0))o=k;else{q=0;r=k;while(1){s=+((f[m+(q<<2)>>2]|0)-(f[l+(q<<2)>>2]|0)|0);t=r+s*s;q=q+1|0;if((q|0)==(h|0)){o=t;break}else r=t}}j=j+1|0;if((j|0)==(g|0)){n=o;break}else{k=o;l=l+(h<<2)|0;m=m+(h<<2)|0}}p[e>>3]=n;return 0}m=Y(h,g)|0;g=m+-4|0;if((m|0)<4){u=0.0;v=0}else{h=0;o=0.0;do{k=+((f[a+(h<<2)>>2]|0)-(f[c+(h<<2)>>2]|0)|0);l=h|1;r=+((f[a+(l<<2)>>2]|0)-(f[c+(l<<2)>>2]|0)|0);l=h|2;t=+((f[a+(l<<2)>>2]|0)-(f[c+(l<<2)>>2]|0)|0);l=h|3;s=+((f[a+(l<<2)>>2]|0)-(f[c+(l<<2)>>2]|0)|0);o=o+(k*k+r*r+t*t+s*s);h=h+4|0}while((h|0)<=(g|0));u=o;v=m&-4}if((v|0)<(m|0)){g=v;o=u;while(1){s=+((f[a+(g<<2)>>2]|0)-(f[c+(g<<2)>>2]|0)|0);t=o+s*s;g=g+1|0;if((g|0)==(m|0)){w=t;break}else o=t}}else w=u;n=i+w;p[e>>3]=n;return 0}function UM(a,c,e,f,g,h){a=a|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0.0,j=0,k=0.0,l=0,m=0,n=0.0,o=0.0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0,w=0.0;i=+p[f>>3];if(e|0){if((g|0)>0&(h|0)>0){j=0;k=i;l=c;m=a}else{n=i;p[f>>3]=n;return 0}while(1){if(!(b[e+j>>0]|0))o=k;else{q=0;r=k;while(1){s=+((d[m+(q<<1)>>1]|0)-(d[l+(q<<1)>>1]|0)|0);t=r+s*s;q=q+1|0;if((q|0)==(h|0)){o=t;break}else r=t}}j=j+1|0;if((j|0)==(g|0)){n=o;break}else{k=o;l=l+(h<<1)|0;m=m+(h<<1)|0}}p[f>>3]=n;return 0}m=Y(h,g)|0;g=m+-4|0;if((m|0)<4){u=0.0;v=0}else{h=0;o=0.0;do{k=+((d[a+(h<<1)>>1]|0)-(d[c+(h<<1)>>1]|0)|0);l=h|1;r=+((d[a+(l<<1)>>1]|0)-(d[c+(l<<1)>>1]|0)|0);l=h|2;t=+((d[a+(l<<1)>>1]|0)-(d[c+(l<<1)>>1]|0)|0);l=h|3;s=+((d[a+(l<<1)>>1]|0)-(d[c+(l<<1)>>1]|0)|0);o=o+(k*k+r*r+t*t+s*s);h=h+4|0}while((h|0)<=(g|0));u=o;v=m&-4}if((v|0)<(m|0)){g=v;o=u;while(1){s=+((d[a+(g<<1)>>1]|0)-(d[c+(g<<1)>>1]|0)|0);t=o+s*s;g=g+1|0;if((g|0)==(m|0)){w=t;break}else o=t}}else w=u;n=i+w;p[f>>3]=n;return 0}function VM(a,c,d,e,f,g){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0,k=0.0,l=0,m=0,n=0.0,o=0.0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0,w=0.0;h=+p[e>>3];if(d|0){if((f|0)>0&(g|0)>0){i=0;k=h;l=c;m=a}else{n=h;p[e>>3]=n;return 0}while(1){if(!(b[d+i>>0]|0))o=k;else{q=0;r=k;while(1){s=+((j[m+(q<<1)>>1]|0)-(j[l+(q<<1)>>1]|0)|0);t=r+s*s;q=q+1|0;if((q|0)==(g|0)){o=t;break}else r=t}}i=i+1|0;if((i|0)==(f|0)){n=o;break}else{k=o;l=l+(g<<1)|0;m=m+(g<<1)|0}}p[e>>3]=n;return 0}m=Y(g,f)|0;f=m+-4|0;if((m|0)<4){u=0.0;v=0}else{g=0;o=0.0;do{k=+((j[a+(g<<1)>>1]|0)-(j[c+(g<<1)>>1]|0)|0);l=g|1;r=+((j[a+(l<<1)>>1]|0)-(j[c+(l<<1)>>1]|0)|0);l=g|2;t=+((j[a+(l<<1)>>1]|0)-(j[c+(l<<1)>>1]|0)|0);l=g|3;s=+((j[a+(l<<1)>>1]|0)-(j[c+(l<<1)>>1]|0)|0);o=o+(k*k+r*r+t*t+s*s);g=g+4|0}while((g|0)<=(f|0));u=o;v=m&-4}if((v|0)<(m|0)){f=v;o=u;while(1){s=+((j[a+(f<<1)>>1]|0)-(j[c+(f<<1)>>1]|0)|0);t=o+s*s;f=f+1|0;if((f|0)==(m|0)){w=t;break}else o=t}}else w=u;n=h+w;p[e>>3]=n;return 0}function WM(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;i=f[e>>2]|0;if(d|0){if((g|0)>0&(h|0)>0){j=0;k=i;l=c;m=a}else{n=i;f[e>>2]=n;return 0}while(1){if(!(b[d+j>>0]|0))o=k;else{p=0;q=k;while(1){r=(b[m+p>>0]|0)-(b[l+p>>0]|0)|0;s=(Y(r,r)|0)+q|0;p=p+1|0;if((p|0)==(h|0)){o=s;break}else q=s}}j=j+1|0;if((j|0)==(g|0)){n=o;break}else{k=o;l=l+h|0;m=m+h|0}}f[e>>2]=n;return 0}m=Y(h,g)|0;g=m+-4|0;if((m|0)<4){t=0;u=0}else{h=0;l=0;do{o=(b[a+h>>0]|0)-(b[c+h>>0]|0)|0;k=h|1;j=(b[a+k>>0]|0)-(b[c+k>>0]|0)|0;k=h|2;d=(b[a+k>>0]|0)-(b[c+k>>0]|0)|0;k=h|3;q=(b[a+k>>0]|0)-(b[c+k>>0]|0)|0;l=(Y(o,o)|0)+l+(Y(j,j)|0)+(Y(d,d)|0)+(Y(q,q)|0)|0;h=h+4|0}while((h|0)<=(g|0));t=l;u=m&-4}if((u|0)<(m|0)){l=u;u=t;while(1){g=(b[a+l>>0]|0)-(b[c+l>>0]|0)|0;h=(Y(g,g)|0)+u|0;l=l+1|0;if((l|0)==(m|0)){v=h;break}else u=h}}else v=t;n=v+i|0;f[e>>2]=n;return 0}function XM(a,c,d,e,g,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;j=f[e>>2]|0;if(d|0){if((g|0)>0&(i|0)>0){k=0;l=j;m=c;n=a}else{o=j;f[e>>2]=o;return 0}while(1){if(!(b[d+k>>0]|0))p=l;else{q=0;r=l;while(1){s=(h[n+q>>0]|0)-(h[m+q>>0]|0)|0;t=(Y(s,s)|0)+r|0;q=q+1|0;if((q|0)==(i|0)){p=t;break}else r=t}}k=k+1|0;if((k|0)==(g|0)){o=p;break}else{l=p;m=m+i|0;n=n+i|0}}f[e>>2]=o;return 0}n=Y(i,g)|0;g=n+-4|0;if((n|0)<4){u=0;v=0}else{i=0;m=0;do{p=(h[a+i>>0]|0)-(h[c+i>>0]|0)|0;l=i|1;k=(h[a+l>>0]|0)-(h[c+l>>0]|0)|0;l=i|2;d=(h[a+l>>0]|0)-(h[c+l>>0]|0)|0;l=i|3;r=(h[a+l>>0]|0)-(h[c+l>>0]|0)|0;m=(Y(p,p)|0)+m+(Y(k,k)|0)+(Y(d,d)|0)+(Y(r,r)|0)|0;i=i+4|0}while((i|0)<=(g|0));u=m;v=n&-4}if((v|0)<(n|0)){m=v;v=u;while(1){g=(h[a+m>>0]|0)-(h[c+m>>0]|0)|0;i=(Y(g,g)|0)+v|0;m=m+1|0;if((m|0)==(n|0)){w=i;break}else v=i}}else w=u;o=w+j|0;f[e>>2]=o;return 0}function YM(a,c,d,e,f,g){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0,j=0.0,k=0,l=0,m=0.0,n=0.0,o=0,q=0.0,r=0.0,s=0.0,t=0,u=0.0;h=+p[e>>3];if(d|0){if((f|0)>0&(g|0)>0){i=0;j=h;k=a;l=c}else{m=h;p[e>>3]=m;return 0}while(1){if(!(b[d+i>>0]|0))n=j;else{o=0;q=j;while(1){r=q+ +L(+(+p[k+(o<<3)>>3]-+p[l+(o<<3)>>3]));o=o+1|0;if((o|0)==(g|0)){n=r;break}else q=r}}i=i+1|0;if((i|0)==(f|0)){m=n;break}else{j=n;k=k+(g<<3)|0;l=l+(g<<3)|0}}p[e>>3]=m;return 0}l=Y(g,f)|0;f=l+-4|0;if((l|0)<4){s=0.0;t=0}else{g=0;n=0.0;do{k=g|1;i=g|2;d=g|3;n=n+(+L(+(+p[a+(g<<3)>>3]-+p[c+(g<<3)>>3]))+ +L(+(+p[a+(k<<3)>>3]-+p[c+(k<<3)>>3]))+ +L(+(+p[a+(i<<3)>>3]-+p[c+(i<<3)>>3]))+ +L(+(+p[a+(d<<3)>>3]-+p[c+(d<<3)>>3])));g=g+4|0}while((g|0)<=(f|0));s=n;t=l&-4}if((t|0)<(l|0)){f=t;n=s;while(1){j=n+ +L(+(+p[a+(f<<3)>>3]-+p[c+(f<<3)>>3]));f=f+1|0;if((f|0)==(l|0)){u=j;break}else n=j}}else u=s;m=h+u;p[e>>3]=m;return 0}function ZM(a,c,d,e,f,g){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0,j=0.0,k=0,l=0,m=0.0,o=0.0,q=0,r=0.0,s=0.0,t=0.0,u=0,v=0.0;h=+p[e>>3];if(d|0){if((f|0)>0&(g|0)>0){i=0;j=h;k=a;l=c}else{m=h;p[e>>3]=m;return 0}while(1){if(!(b[d+i>>0]|0))o=j;else{q=0;r=j;while(1){s=r+ +L(+(+n[k+(q<<2)>>2]-+n[l+(q<<2)>>2]));q=q+1|0;if((q|0)==(g|0)){o=s;break}else r=s}}i=i+1|0;if((i|0)==(f|0)){m=o;break}else{j=o;k=k+(g<<2)|0;l=l+(g<<2)|0}}p[e>>3]=m;return 0}l=Y(g,f)|0;f=l+-4|0;if((l|0)<4){t=0.0;u=0}else{g=0;o=0.0;do{k=g|1;i=g|2;d=g|3;o=o+(+L(+(+n[a+(g<<2)>>2]-+n[c+(g<<2)>>2]))+ +L(+(+n[a+(k<<2)>>2]-+n[c+(k<<2)>>2]))+ +L(+(+n[a+(i<<2)>>2]-+n[c+(i<<2)>>2]))+ +L(+(+n[a+(d<<2)>>2]-+n[c+(d<<2)>>2])));g=g+4|0}while((g|0)<=(f|0));t=o;u=l&-4}if((u|0)<(l|0)){f=u;o=t;while(1){j=o+ +L(+(+n[a+(f<<2)>>2]-+n[c+(f<<2)>>2]));f=f+1|0;if((f|0)==(l|0)){v=j;break}else o=j}}else v=t;m=h+v;p[e>>3]=m;return 0}function _M(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0.0,j=0,k=0.0,l=0,m=0,n=0.0,o=0.0,q=0,r=0.0,s=0,t=0.0,u=0.0,v=0,w=0.0;i=+p[e>>3];if(d|0){if((g|0)>0&(h|0)>0){j=0;k=i;l=a;m=c}else{n=i;p[e>>3]=n;return 0}while(1){if(!(b[d+j>>0]|0))o=k;else{q=0;r=k;while(1){s=(f[l+(q<<2)>>2]|0)-(f[m+(q<<2)>>2]|0)|0;t=r+ +(((s|0)>-1?s:0-s|0)|0);q=q+1|0;if((q|0)==(h|0)){o=t;break}else r=t}}j=j+1|0;if((j|0)==(g|0)){n=o;break}else{k=o;l=l+(h<<2)|0;m=m+(h<<2)|0}}p[e>>3]=n;return 0}m=Y(h,g)|0;g=m+-4|0;if((m|0)<4){u=0.0;v=0}else{h=0;o=0.0;do{l=h|1;j=h|2;d=h|3;o=o+(+L(+(+((f[a+(h<<2)>>2]|0)-(f[c+(h<<2)>>2]|0)|0)))+ +L(+(+((f[a+(l<<2)>>2]|0)-(f[c+(l<<2)>>2]|0)|0)))+ +L(+(+((f[a+(j<<2)>>2]|0)-(f[c+(j<<2)>>2]|0)|0)))+ +L(+(+((f[a+(d<<2)>>2]|0)-(f[c+(d<<2)>>2]|0)|0))));h=h+4|0}while((h|0)<=(g|0));u=o;v=m&-4}if((v|0)<(m|0)){g=v;o=u;while(1){k=o+ +L(+(+((f[a+(g<<2)>>2]|0)-(f[c+(g<<2)>>2]|0)|0)));g=g+1|0;if((g|0)==(m|0)){w=k;break}else o=k}}else w=u;n=i+w;p[e>>3]=n;return 0}function $M(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;j=f[g>>2]|0;if(e|0){if((h|0)>0&(i|0)>0){k=0;l=j;m=a;n=c}else{o=j;f[g>>2]=o;return 0}while(1){if(!(b[e+k>>0]|0))p=l;else{q=0;r=l;while(1){s=(d[m+(q<<1)>>1]|0)-(d[n+(q<<1)>>1]|0)|0;t=((s|0)>-1?s:0-s|0)+r|0;q=q+1|0;if((q|0)==(i|0)){p=t;break}else r=t}}k=k+1|0;if((k|0)==(h|0)){o=p;break}else{l=p;m=m+(i<<1)|0;n=n+(i<<1)|0}}f[g>>2]=o;return 0}n=Y(i,h)|0;h=n+-4|0;if((n|0)<4){u=0;v=0}else{i=0;m=0;do{p=(d[a+(i<<1)>>1]|0)-(d[c+(i<<1)>>1]|0)|0;l=i|1;k=(d[a+(l<<1)>>1]|0)-(d[c+(l<<1)>>1]|0)|0;l=i|2;e=(d[a+(l<<1)>>1]|0)-(d[c+(l<<1)>>1]|0)|0;l=i|3;r=(d[a+(l<<1)>>1]|0)-(d[c+(l<<1)>>1]|0)|0;m=((p|0)>-1?p:0-p|0)+m+((k|0)>-1?k:0-k|0)+((e|0)>-1?e:0-e|0)+((r|0)>-1?r:0-r|0)|0;i=i+4|0}while((i|0)<=(h|0));u=m;v=n&-4}if((v|0)<(n|0)){m=v;v=u;while(1){h=(d[a+(m<<1)>>1]|0)-(d[c+(m<<1)>>1]|0)|0;i=((h|0)>-1?h:0-h|0)+v|0;m=m+1|0;if((m|0)==(n|0)){w=i;break}else v=i}}else w=u;o=w+j|0;f[g>>2]=o;return 0}function aN(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;i=f[e>>2]|0;if(d|0){if((g|0)>0&(h|0)>0){k=0;l=i;m=a;n=c}else{o=i;f[e>>2]=o;return 0}while(1){if(!(b[d+k>>0]|0))p=l;else{q=0;r=l;while(1){s=(j[m+(q<<1)>>1]|0)-(j[n+(q<<1)>>1]|0)|0;t=((s|0)>-1?s:0-s|0)+r|0;q=q+1|0;if((q|0)==(h|0)){p=t;break}else r=t}}k=k+1|0;if((k|0)==(g|0)){o=p;break}else{l=p;m=m+(h<<1)|0;n=n+(h<<1)|0}}f[e>>2]=o;return 0}n=Y(h,g)|0;g=n+-4|0;if((n|0)<4){u=0;v=0}else{h=0;m=0;do{p=(j[a+(h<<1)>>1]|0)-(j[c+(h<<1)>>1]|0)|0;l=h|1;k=(j[a+(l<<1)>>1]|0)-(j[c+(l<<1)>>1]|0)|0;l=h|2;d=(j[a+(l<<1)>>1]|0)-(j[c+(l<<1)>>1]|0)|0;l=h|3;r=(j[a+(l<<1)>>1]|0)-(j[c+(l<<1)>>1]|0)|0;m=((p|0)>-1?p:0-p|0)+m+((k|0)>-1?k:0-k|0)+((d|0)>-1?d:0-d|0)+((r|0)>-1?r:0-r|0)|0;h=h+4|0}while((h|0)<=(g|0));u=m;v=n&-4}if((v|0)<(n|0)){m=v;v=u;while(1){g=(j[a+(m<<1)>>1]|0)-(j[c+(m<<1)>>1]|0)|0;h=((g|0)>-1?g:0-g|0)+v|0;m=m+1|0;if((m|0)==(n|0)){w=h;break}else v=h}}else w=u;o=w+i|0;f[e>>2]=o;return 0}function bN(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;i=f[e>>2]|0;if(d|0){if((g|0)>0&(h|0)>0){j=0;k=i;l=a;m=c}else{n=i;f[e>>2]=n;return 0}while(1){if(!(b[d+j>>0]|0))o=k;else{p=0;q=k;while(1){r=(b[l+p>>0]|0)-(b[m+p>>0]|0)|0;s=((r|0)>-1?r:0-r|0)+q|0;p=p+1|0;if((p|0)==(h|0)){o=s;break}else q=s}}j=j+1|0;if((j|0)==(g|0)){n=o;break}else{k=o;l=l+h|0;m=m+h|0}}f[e>>2]=n;return 0}m=Y(h,g)|0;g=m+-4|0;if((m|0)<4){t=0;u=0}else{h=0;l=0;do{o=(b[a+h>>0]|0)-(b[c+h>>0]|0)|0;k=h|1;j=(b[a+k>>0]|0)-(b[c+k>>0]|0)|0;k=h|2;d=(b[a+k>>0]|0)-(b[c+k>>0]|0)|0;k=h|3;q=(b[a+k>>0]|0)-(b[c+k>>0]|0)|0;l=((o|0)>-1?o:0-o|0)+l+((j|0)>-1?j:0-j|0)+((d|0)>-1?d:0-d|0)+((q|0)>-1?q:0-q|0)|0;h=h+4|0}while((h|0)<=(g|0));t=l;u=m&-4}if((u|0)<(m|0)){l=u;u=t;while(1){g=(b[a+l>>0]|0)-(b[c+l>>0]|0)|0;h=((g|0)>-1?g:0-g|0)+u|0;l=l+1|0;if((l|0)==(m|0)){v=h;break}else u=h}}else v=t;n=v+i|0;f[e>>2]=n;return 0}function cN(a,c,d,e,g,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;j=f[e>>2]|0;if(d|0){if((g|0)>0&(i|0)>0){k=0;l=j;m=a;n=c}else{o=j;f[e>>2]=o;return 0}while(1){if(!(b[d+k>>0]|0))p=l;else{q=0;r=l;while(1){s=(h[m+q>>0]|0)-(h[n+q>>0]|0)|0;t=((s|0)>-1?s:0-s|0)+r|0;q=q+1|0;if((q|0)==(i|0)){p=t;break}else r=t}}k=k+1|0;if((k|0)==(g|0)){o=p;break}else{l=p;m=m+i|0;n=n+i|0}}f[e>>2]=o;return 0}n=Y(i,g)|0;g=n+-4|0;if((n|0)<4){u=0;v=0}else{i=0;m=0;do{p=(h[a+i>>0]|0)-(h[c+i>>0]|0)|0;l=i|1;k=(h[a+l>>0]|0)-(h[c+l>>0]|0)|0;l=i|2;d=(h[a+l>>0]|0)-(h[c+l>>0]|0)|0;l=i|3;r=(h[a+l>>0]|0)-(h[c+l>>0]|0)|0;m=((p|0)>-1?p:0-p|0)+m+((k|0)>-1?k:0-k|0)+((d|0)>-1?d:0-d|0)+((r|0)>-1?r:0-r|0)|0;i=i+4|0}while((i|0)<=(g|0));u=m;v=n&-4}if((v|0)<(n|0)){m=v;v=u;while(1){g=(h[a+m>>0]|0)-(h[c+m>>0]|0)|0;i=((g|0)>-1?g:0-g|0)+v|0;m=m+1|0;if((m|0)==(n|0)){w=i;break}else v=i}}else w=u;o=w+j|0;f[e>>2]=o;return 0}function dN(){QR(539700);QR(539704);QR(539708);QR(539712);QR(539716);QR(539720);QR(539724);QR(539728);QR(539732);QR(539736);QR(539740);QR(539744);QR(539748);QR(539752);QR(539756);QR(539760);QR(539764);QR(539768);QR(539772);QR(539776);QR(539780);QR(539784);QR(539788);QR(539792);QR(539796);QR(539800);QR(539804);QR(539808);QR(539812);QR(539816);QR(539820);Ad(1602,0,x|0)|0;return}function eN(a){a=a|0;RR(539820);RR(539816);RR(539812);RR(539808);RR(539804);RR(539800);RR(539796);RR(539792);RR(539788);RR(539784);RR(539780);RR(539776);RR(539772);RR(539768);RR(539764);RR(539760);RR(539756);RR(539752);RR(539748);RR(539744);RR(539740);RR(539736);RR(539732);RR(539728);RR(539724);RR(539720);RR(539716);RR(539712);RR(539708);RR(539704);RR(539700);return}function fN(a,b){a=a|0;b=b|0;f[a+4>>2]=b;f[a>>2]=b;b=a+8|0;a=b+44|0;do{f[b>>2]=0;b=b+4|0}while((b|0)<(a|0));return}function gN(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+16|0;d=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if(f[a+44>>2]|0){f[d>>2]=0;f[d+4>>2]=0;e=YG(d,13)|0;g=200298;h=e+13|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));SQ(-215,d,200312,200322,78)}d=a+16|0;g=a+48|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[d+24>>2]=0;d=f[g>>2]|0;if(!d){u=c;return}a=d+12|0;e=f[a>>2]|0;f[a>>2]=e+-1;if((e|0)==1){if(f[d+44>>2]|0){e=f[d+4>>2]|0;if(!e)i=bP()|0;else i=e;xh[f[(f[i>>2]|0)+24>>2]&2047](i,d)}i=d+8|0;e=f[i>>2]|0;f[i>>2]=e+-1;if((e|0)==1){e=f[d+4>>2]|0;xh[f[(f[e>>2]|0)+16>>2]&2047](e,d)}}else{e=d+8|0;f[e>>2]=(f[e>>2]|0)+-1}f[g>>2]=0;u=c;return}function hN(){var a=0,c=0,d=0,e=0;a=u;u=u+16|0;c=a;if(!(f[134956]|0)){d=pR()|0;SR(d);if(!(f[134956]|0)){e=Bmc(8)|0;UR(e);f[e>>2]=45244;f[134956]=e}TR(d)}d=xR(f[134956]|0)|0;if(!d){f[c>>2]=0;f[c+4>>2]=0;e=YG(c,3)|0;b[e>>0]=b[200410]|0;b[e+1>>0]=b[200411]|0;b[e+2>>0]=b[200412]|0;SQ(-215,c,200414,200421,744)}else{u=a;return d|0}return 0}function iN(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d;g=f[c>>2]|0;h=a+4|0;if((g|0)!=(f[h>>2]|0)?(g|0)!=(f[a+8>>2]|0):0){if(f[a>>2]|0){f[e>>2]=0;f[e+4>>2]=0;i=YG(e,16)|0;j=200388;k=i+16|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-215,e,200405,200322,167)}f[a>>2]=1;f[h>>2]=g;SR(539700+((((f[c>>2]|0)>>>0)%31|0)<<2)|0);u=d;return}f[c>>2]=0;u=d;return}function jN(a){a=a|0;f[a>>2]=45244;JR(a);PQ(a);return}function kN(a){a=a|0;f[a>>2]=45244;JR(a);PQ(a);Emc(a);return}function lN(a){a=a|0;a=Bmc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;return a|0}function mN(a,b){a=a|0;b=b|0;if(!b)return;Emc(b);return}function nN(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e;h=(c|0)==0;i=(d|0)==0;if(h&i){u=e;return}if((f[a>>2]|0)!=1){f[g>>2]=0;f[g+4>>2]=0;j=YG(g,16)|0;k=200544;l=j+16|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,g,200561,200322,195)}f[a>>2]=0;if(!h)TR(539700+(((c>>>0)%31|0)<<2)|0);if(!i)TR(539700+(((d>>>0)%31|0)<<2)|0);f[a+4>>2]=0;f[a+8>>2]=0;u=e;return}function oN(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;h=u;u=u+16|0;i=h;if(c>>>0>=33){f[i>>2]=0;f[i+4>>2]=0;j=YG(i,33)|0;k=201662;l=j+33|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,i,201696,200322,270)}m=a+4|0;if((f[m>>2]|0)!=(c|0)){n=a+36|0;o=f[n>>2]|0;p=a+40|0;if((o|0)!=(p|0)){tE(o);f[n>>2]=p;f[a+32>>2]=a+8}if((c|0)>2){p=sE(c<<3|4)|0;f[n>>2]=p;n=p+(c<<2)+4|0;f[a+32>>2]=n;f[n+-4>>2]=c;f[a+12>>2]=-1;f[a+8>>2]=-1}}f[m>>2]=c;if(!d){u=h;return}n=f[a>>2]|0;p=(n>>>3&511)+1<<(47696>>>(n<<1&14)&3);n=c+-1|0;if((c|0)<=0){u=h;return}o=f[a+32>>2]|0;q=f[a+36>>2]|0;a:do if(!e){if(g){r=n;s=p}else{t=n;while(1){v=f[d+(t<<2)>>2]|0;if((v|0)<=-1){w=18;break a}f[o+(t<<2)>>2]=v;if((t|0)>0)t=t+-1|0;else break a}}while(1){t=f[d+(r<<2)>>2]|0;if((t|0)<=-1){w=18;break a}f[o+(r<<2)>>2]=t;f[q+(r<<2)>>2]=s;s=Urc(t|0,((t|0)<0)<<31>>31|0,s|0,0)|0;if(!((s|0)==(s|0)&(J|0)==0))break;if((r|0)<=0)break a;else r=r+-1|0}f[i>>2]=0;f[i+4>>2]=0;j=YG(i,51)|0;k=201743;l=j+51|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-211,i,201696,200322,307)}else{t=n;while(1){v=f[d+(t<<2)>>2]|0;if((v|0)<=-1){w=18;break a}f[o+(t<<2)>>2]=v;if((t|0)<(n|0))x=f[e+(t<<2)>>2]|0;else x=p;f[q+(t<<2)>>2]=x;if((t|0)>0)t=t+-1|0;else break}}while(0);if((w|0)==18){f[i>>2]=0;f[i+4>>2]=0;w=YG(i,6)|0;b[w>>0]=b[201704]|0;b[w+1>>0]=b[201705]|0;b[w+2>>0]=b[201706]|0;b[w+3>>0]=b[201707]|0;b[w+4>>0]=b[201708]|0;b[w+5>>0]=b[201709]|0;SQ(-215,i,201696,200322,297)}if((c|0)!=1){u=h;return}f[m>>2]=2;f[a+12>>2]=1;f[(f[a+36>>2]|0)+4>>2]=p;u=h;return}function pN(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;g=u;u=u+192|0;h=g+136|0;i=g+128|0;j=g+120|0;k=g+64|0;l=g;m=g+48|0;f[h>>2]=1124007936;n=h+4|0;o=h+8|0;p=h+20|0;q=h+24|0;r=h+28|0;s=h+32|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;f[n+16>>2]=0;f[n+20>>2]=0;f[n+24>>2]=0;f[s>>2]=o;t=h+40|0;v=h+36|0;f[v>>2]=t;f[h+44>>2]=0;f[t>>2]=0;w=c+16|0;x=f[w>>2]|0;a:do if(x){y=c+20|0;do if((x|0)!=(f[y>>2]|0)){f[i>>2]=0;z=i+4|0;f[z>>2]=0;f[j>>2]=0;A=j+4|0;f[A>>2]=0;vP(c,i,j);B=f[c+12>>2]|0;C=f[c+8>>2]|0;if(!(f[A>>2]|f[j>>2])){if((f[w>>2]|0)==(f[y>>2]|0))break;f[i>>2]=0;f[i+4>>2]=0;D=YG(i,17)|0;E=200569;F=D+17|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));SQ(-215,i,200587,200322,358)}f[k>>2]=f[c>>2];G=k+4|0;H=c+4|0;I=f[H>>2]|0;f[G>>2]=I;J=k+8|0;f[J>>2]=C;K=k+12|0;f[K>>2]=B;L=k+16|0;f[L>>2]=f[w>>2];f[k+20>>2]=f[y>>2];f[k+24>>2]=f[c+24>>2];f[k+28>>2]=f[c+28>>2];f[k+32>>2]=f[c+32>>2];M=k+36|0;N=f[c+36>>2]|0;f[M>>2]=N;O=k+40|0;f[O>>2]=J;P=k+48|0;Q=k+44|0;f[Q>>2]=P;f[P>>2]=0;f[k+52>>2]=0;if(!N)R=I;else{I=N+12|0;f[I>>2]=(f[I>>2]|0)+1;R=f[H>>2]|0}if((R|0)<3){H=f[c+44>>2]|0;I=f[Q>>2]|0;f[I>>2]=f[H>>2];f[I+4>>2]=f[H+4>>2]}else{f[G>>2]=0;kP(k,c)}H=f[A>>2]|0;I=f[j>>2]|0;wP(k,H,(f[z>>2]|0)-H-(f[J>>2]|0)|0,I,(f[i>>2]|0)-I-(f[K>>2]|0)|0)|0;pN(l,k,d,e);K=f[A>>2]|0;f[m>>2]=f[j>>2];f[m+4>>2]=K;f[m+8>>2]=B;f[m+12>>2]=C;qN(a,l,m);K=l+24|0;I=f[K>>2]|0;if(I|0?(J=I+8|0,I=f[J>>2]|0,f[J>>2]=I+-1,(I|0)==1):0){I=f[K>>2]|0;f[K>>2]=0;J=f[I+4>>2]|0;xh[f[(f[J>>2]|0)+16>>2]&2047](J,I)}I=l+4|0;if((f[I>>2]|0)>0){J=f[l+32>>2]|0;H=0;do{f[J+(H<<2)>>2]=0;H=H+1|0}while((H|0)<(f[I>>2]|0))}f[K>>2]=0;I=f[l+36>>2]|0;if((I|0)!=(l+40|0))tE(I);I=f[M>>2]|0;if(I|0?(H=I+12|0,I=f[H>>2]|0,f[H>>2]=I+-1,(I|0)==1):0)lP(k);f[M>>2]=0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;if((f[G>>2]|0)>0){I=f[O>>2]|0;H=0;do{f[I+(H<<2)>>2]=0;H=H+1|0}while((H|0)<(f[G>>2]|0))}G=f[Q>>2]|0;if((G|0)!=(P|0))tE(G);break a}while(0);y=d|50331648;G=f[c+32>>2]|0;H=bP()|0;I=(G|0)==0?H:G;G=c+4|0;H=c+40|0;O=c+44|0;L=Ei[f[(f[I>>2]|0)+8>>2]&15](I,f[G>>2]|0,f[H>>2]|0,f[c>>2]&4095,f[w>>2]|0,f[O>>2]|0,y,e)|0;I=c+36|0;f[L+48>>2]=f[I>>2];M=bP()|0;if(!(Bg[f[(f[M>>2]|0)+12>>2]&127](M,L,y,e)|0)?(M=bP()|0,!(Bg[f[(f[M>>2]|0)+12>>2]&127](M,L,y,e)|0)):0){f[i>>2]=0;f[i+4>>2]=0;D=YG(i,9)|0;E=200595;F=D+9|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));SQ(-215,i,200587,200322,381)}y=f[I>>2]|0;if(y|0){M=y+12|0;f[M>>2]=(f[M>>2]|0)+1;M=(f[I>>2]|0)+8|0;f[M>>2]=(f[M>>2]|0)+1}f[h>>2]=f[c>>2];oN(h,f[G>>2]|0,f[H>>2]|0,f[O>>2]|0,0);M=gP(f[h>>2]|0,f[n>>2]|0,f[s>>2]|0,f[v>>2]|0)|0;f[h>>2]=M;y=f[n>>2]|0;if((y|0)>2){f[h+12>>2]=-1;f[o>>2]=-1}f[q>>2]=L;f[r>>2]=0;if(!L){S=M;T=y;U=L;V=0}else{y=L+8|0;f[y>>2]=(f[y>>2]|0)+1;S=f[h>>2]|0;T=f[n>>2]|0;U=f[q>>2]|0;V=f[r>>2]|0}f[a>>2]=S;y=a+4|0;f[y>>2]=T;M=a+8|0;f[M>>2]=f[o>>2];f[a+12>>2]=f[h+12>>2];f[a+16>>2]=f[h+16>>2];f[a+20>>2]=f[p>>2];f[a+24>>2]=U;f[a+28>>2]=V;K=a+32|0;f[K>>2]=M;M=a+40|0;J=a+36|0;f[J>>2]=M;f[a+44>>2]=0;f[M>>2]=0;if(!U)W=T;else{M=U+8|0;f[M>>2]=(f[M>>2]|0)+1;W=f[n>>2]|0}if((W|0)<3){M=f[v>>2]|0;C=f[J>>2]|0;f[C>>2]=f[M>>2];f[C+4>>2]=f[M+4>>2];break}f[y>>2]=0;oN(a,W,0,0,0);if((f[y>>2]|0)>0){M=f[s>>2]|0;C=f[K>>2]|0;K=f[v>>2]|0;B=f[J>>2]|0;J=0;do{f[C+(J<<2)>>2]=f[M+(J<<2)>>2];f[B+(J<<2)>>2]=f[K+(J<<2)>>2];J=J+1|0}while((J|0)<(f[y>>2]|0))}}else{f[a>>2]=1124007936;y=a+4|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;f[y+16>>2]=0;f[y+20>>2]=0;f[y+24>>2]=0;f[a+32>>2]=a+8;y=a+40|0;f[a+36>>2]=y;f[y>>2]=0;f[a+44>>2]=0}while(0);a=f[q>>2]|0;if(a|0?(W=a+8|0,a=f[W>>2]|0,f[W>>2]=a+-1,(a|0)==1):0){a=f[q>>2]|0;f[q>>2]=0;W=f[a+4>>2]|0;xh[f[(f[W>>2]|0)+16>>2]&2047](W,a)}if((f[n>>2]|0)>0){a=f[s>>2]|0;s=0;do{f[a+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[n>>2]|0))}f[q>>2]=0;q=f[v>>2]|0;if((q|0)==(t|0)){u=g;return}tE(q);u=g;return}function qN(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;e=u;u=u+16|0;g=e;h=f[c>>2]|0;f[a>>2]=h;i=a+4|0;f[i>>2]=2;j=a+8|0;k=d+12|0;f[j>>2]=f[k>>2];l=a+12|0;m=d+8|0;f[l>>2]=f[m>>2];f[a+16>>2]=f[c+16>>2];f[a+20>>2]=f[c+20>>2];n=a+24|0;o=f[c+24>>2]|0;f[n>>2]=o;p=a+28|0;q=d+4|0;r=c+36|0;s=(Y(f[f[r>>2]>>2]|0,f[q>>2]|0)|0)+(f[c+28>>2]|0)|0;f[p>>2]=s;t=a+32|0;f[t>>2]=j;v=a+40|0;w=a+36|0;f[w>>2]=v;f[a+44>>2]=0;f[v>>2]=0;v=o;if((f[c+4>>2]|0)>=3){f[g>>2]=0;f[g+4>>2]=0;x=YG(g,11)|0;y=218417;z=x+11|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));SQ(-215,g,200605,200322,540)}A=(h>>>3&511)+1<<(47696>>>(h<<1&14)&3);h=f[d>>2]|0;d=(Y(A,h)|0)+s|0;f[p>>2]=d;if((((((h|0)>-1?(d=f[m>>2]|0,(d|0)>-1):0)?(p=c+12|0,s=f[p>>2]|0,(d+h|0)<=(s|0)):0)?(h=f[q>>2]|0,(h|0)>-1):0)?(q=f[k>>2]|0,(q|0)>-1):0)?(B=c+8|0,(q+h|0)<=(f[B>>2]|0)):0){if(!o){C=d;D=s}else{s=v+8|0;f[s>>2]=(f[s>>2]|0)+1;C=f[m>>2]|0;D=f[p>>2]|0}if(!((C|0)>=(D|0)?(f[k>>2]|0)>=(f[B>>2]|0):0))f[a>>2]=f[a>>2]|32768;B=f[w>>2]|0;f[B>>2]=f[f[r>>2]>>2];f[B+4>>2]=A;A=gP(f[a>>2]|0,f[i>>2]|0,f[t>>2]|0,B)|0;f[a>>2]=A;if((f[j>>2]|0)>=1?(f[l>>2]|0)>=1:0){u=e;return}A=f[n>>2]|0;if(A|0?(a=A+8|0,A=f[a>>2]|0,f[a>>2]=A+-1,(A|0)==1):0){A=f[n>>2]|0;f[n>>2]=0;a=f[A+4>>2]|0;xh[f[(f[a>>2]|0)+16>>2]&2047](a,A)}if((f[i>>2]|0)>0){A=f[t>>2]|0;t=0;do{f[A+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[i>>2]|0))}f[n>>2]=0;f[l>>2]=0;f[j>>2]=0;u=e;return}f[g>>2]=0;f[g+4>>2]=0;x=YG(g,124)|0;y=202412;z=x+124|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));SQ(-215,g,200605,200322,545)}function rN(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;h=u;u=u+144|0;i=h+8|0;j=h;k=a+20|0;f[k>>2]=g;if(!(c>>>0<33&(d|0)!=0)){f[i>>2]=0;f[i+4>>2]=0;l=YG(i,35)|0;m=202061;n=l+35|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,i,472539,200322,408)}g=e&4095;e=a+24|0;o=f[e>>2]|0;p=(o|0)==0;do if(!p){q=f[a+4>>2]|0;if((q|0)!=(c|0)?!((c|0)==1&(q|0)<3):0)break;if((g|0)==(f[a>>2]&4095|0)){if((c|0)==2)if((f[a+8>>2]|0)==(f[d>>2]|0)?(f[a+12>>2]|0)==(f[d+4>>2]|0):0){u=h;return}else r=11;else if((c|0)>0)r=11;else s=0;a:do if((r|0)==11){q=f[a+32>>2]|0;t=0;while(1){if((f[q+(t<<2)>>2]|0)!=(f[d+(t<<2)>>2]|0)){s=t;break a}v=t+1|0;if((v|0)<(c|0))t=v;else{s=v;break}}}while(0);if((s|0)==(c|0)){if((c|0)>1){u=h;return}if((f[(f[a+32>>2]|0)+4>>2]|0)==1){u=h;return}}}}while(0);s=a+32|0;if((f[s>>2]|0)==(d|0)){if((c|0)>0)Krc(i|0,d|0,c<<2|0)|0;w=i}else w=d;if(!p?(p=o+8|0,o=f[p>>2]|0,f[p>>2]=o+-1,(o|0)==1):0){o=f[e>>2]|0;f[e>>2]=0;p=f[o+4>>2]|0;xh[f[(f[p>>2]|0)+16>>2]&2047](p,o)}o=a+4|0;if((f[o>>2]|0)>0){p=f[s>>2]|0;d=0;do{f[p+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[o>>2]|0))}f[e>>2]=0;if(c|0){f[a>>2]=g|1124007936;oN(a,c,w,0,1);f[a+28>>2]=0;w=f[o>>2]|0;if((w|0)<3)x=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{c=f[s>>2]|0;d=0;p=1;while(1){i=Y(f[c+(d<<2)>>2]|0,p)|0;d=d+1|0;if((d|0)==(w|0)){x=i;break}else p=i}}if(x){x=f[a+16>>2]|0;p=bP()|0;if(!x){bP()|0;y=p}else y=x;x=a+36|0;p=Ei[f[(f[y>>2]|0)+8>>2]&15](y,f[o>>2]|0,f[s>>2]|0,g,0,f[x>>2]|0,0,f[k>>2]|0)|0;f[e>>2]=p;if(!p){f[j>>2]=0;f[j+4>>2]=0;p=YG(j,6)|0;b[p>>0]=b[202097]|0;b[p+1>>0]=b[202098]|0;b[p+2>>0]=b[202099]|0;b[p+3>>0]=b[202100]|0;b[p+4>>0]=b[202101]|0;b[p+5>>0]=b[202102]|0;SQ(-215,j,472539,200322,448)}p=f[o>>2]|0;k=f[x>>2]|0;x=f[a>>2]|0;if((f[k+(p+-1<<2)>>2]|0)==((x>>>3&511)+1<<(47696>>>(x<<1&14)&3)|0)){z=x;A=p;B=k}else{f[j>>2]=0;f[j+4>>2]=0;l=YG(j,43)|0;m=202104;n=l+43|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,j,472539,200322,456)}}else{z=f[a>>2]|0;A=w;B=f[a+36>>2]|0}w=gP(z,A,f[s>>2]|0,B)|0;f[a>>2]=w;if((f[o>>2]|0)>2){f[a+12>>2]=-1;f[a+8>>2]=-1}a=f[e>>2]|0;if(a|0){e=a+8|0;f[e>>2]=(f[e>>2]|0)+1}}u=h;return}function sN(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=f[b>>2]|0;rN(a,(f[b+4>>2]|0)-e>>2,e,c,d);return}function tN(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;oN(a,f[b+4>>2]|0,0,0,0);c=a+4|0;if((f[c>>2]|0)<=0)return;d=f[b+32>>2]|0;e=f[a+32>>2]|0;g=f[b+36>>2]|0;b=f[a+36>>2]|0;a=0;do{f[e+(a<<2)>>2]=f[d+(a<<2)>>2];f[b+(a<<2)>>2]=f[g+(a<<2)>>2];a=a+1|0}while((a|0)<(f[c>>2]|0));return}function uN(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+24|0;c=f[b>>2]|0;if(c|0?(d=c+8|0,c=f[d>>2]|0,f[d>>2]=c+-1,(c|0)==1):0){c=f[b>>2]|0;f[b>>2]=0;d=f[c+4>>2]|0;xh[f[(f[d>>2]|0)+16>>2]&2047](d,c)}c=a+4|0;if((f[c>>2]|0)>0){d=f[a+32>>2]|0;e=0;do{f[d+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[c>>2]|0))}f[b>>2]=0;b=f[a+36>>2]|0;if((b|0)==(a+40|0))return;tE(b);return}function vN(a){a=a|0;var b=0;b=a+24|0;a=f[b>>2]|0;f[b>>2]=0;b=f[a+4>>2]|0;xh[f[(f[b>>2]|0)+16>>2]&2047](b,a);return}function wN(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;g=u;u=u+1152|0;h=g+48|0;i=g;f[a>>2]=1124007936;j=a+4|0;k=a+8|0;l=a+12|0;m=a+24|0;n=a+28|0;o=a+32|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;f[j+24>>2]=0;f[o>>2]=k;p=a+40|0;q=a+36|0;f[q>>2]=p;f[a+44>>2]=0;f[p>>2]=0;r=c+4|0;s=f[r>>2]|0;if((s|0)<=1){f[h>>2]=0;f[h+4>>2]=0;t=YG(h,11)|0;v=202148;w=t+11|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,h,200605,200322,497)}if((s|0)!=2){x=h+8|0;Drc(x|0,0,1088)|0;f[h>>2]=x;y=h+4|0;f[y>>2]=s;if(s>>>0>136){z=Dmc(s>>>0>536870911?-1:s<<3)|0;Drc(z|0,0,s<<3|0)|0;f[h>>2]=z;A=z}else A=x;z=d;s=f[z+4>>2]|0;B=A;f[B>>2]=f[z>>2];f[B+4>>2]=s;s=f[h>>2]|0;B=e;z=f[B+4>>2]|0;A=s+8|0;f[A>>2]=f[B>>2];f[A+4>>2]=z;if((f[r>>2]|0)>2){z=2;A=s;while(1){B=A+(z<<3)|0;f[B>>2]=-2147483648;f[B+4>>2]=2147483647;z=z+1|0;B=f[h>>2]|0;if((z|0)>=(f[r>>2]|0)){C=B;break}else A=B}}else C=s;xN(i,c,C);yN(a,i)|0;C=i+24|0;s=f[C>>2]|0;if(s|0?(A=s+8|0,s=f[A>>2]|0,f[A>>2]=s+-1,(s|0)==1):0){s=f[C>>2]|0;f[C>>2]=0;A=f[s+4>>2]|0;xh[f[(f[A>>2]|0)+16>>2]&2047](A,s)}s=i+4|0;if((f[s>>2]|0)>0){A=f[i+32>>2]|0;r=0;do{f[A+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[s>>2]|0))}f[C>>2]=0;C=f[i+36>>2]|0;if((C|0)!=(i+40|0))tE(C);C=f[h>>2]|0;if((C|0)!=(x|0)){if(C|0)Fmc(C);f[h>>2]=x;f[y>>2]=136}u=g;return}yN(a,c)|0;y=f[d>>2]|0;x=f[d+4>>2]|0;do if((y|0)!=-2147483648|(x|0)!=2147483647?(y|0?1:(x|0)!=(f[k>>2]|0)):0){if((y|0)<0|(x|0)<(y|0)){f[h>>2]=0;D=h+4|0;f[D>>2]=0;E=YG(h,83)|0;t=E;v=202160;w=t+83|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,h,200605,200322,512)}if((x|0)>(f[c+8>>2]|0)){f[h>>2]=0;D=h+4|0;f[D>>2]=0;E=YG(h,83)|0;t=E;v=202160;w=t+83|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,h,200605,200322,512)}else{f[k>>2]=x-y;d=Y(y,f[p>>2]|0)|0;f[n>>2]=(f[n>>2]|0)+d;f[a>>2]=f[a>>2]|32768;break}}while(0);p=f[e>>2]|0;y=f[e+4>>2]|0;if((p|0)!=-2147483648|(y|0)!=2147483647?(p|0?1:(y|0)!=(f[l>>2]|0)):0){if((p|0)<0|(y|0)<(p|0)){f[h>>2]=0;F=h+4|0;f[F>>2]=0;G=YG(h,83)|0;t=G;v=202244;w=t+83|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,h,200605,200322,520)}if((y|0)>(f[c+12>>2]|0)){f[h>>2]=0;F=h+4|0;f[F>>2]=0;G=YG(h,83)|0;t=G;v=202244;w=t+83|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,h,200605,200322,520)}f[l>>2]=y-p;y=f[j>>2]|0;if((y|0)>0)H=f[(f[q>>2]|0)+(y+-1<<2)>>2]|0;else H=0;y=Y(H,p)|0;f[n>>2]=(f[n>>2]|0)+y;f[a>>2]=f[a>>2]|32768}y=gP(f[a>>2]|0,f[j>>2]|0,f[o>>2]|0,f[q>>2]|0)|0;f[a>>2]=y;if((f[k>>2]|0)>=1?(f[l>>2]|0)>=1:0){u=g;return}y=f[m>>2]|0;if(y|0?(a=y+8|0,y=f[a>>2]|0,f[a>>2]=y+-1,(y|0)==1):0){y=f[m>>2]|0;f[m>>2]=0;a=f[y+4>>2]|0;xh[f[(f[a>>2]|0)+16>>2]&2047](a,y)}if((f[j>>2]|0)>0){y=f[o>>2]|0;o=0;do{f[y+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[j>>2]|0))}f[m>>2]=0;f[l>>2]=0;f[k>>2]=0;u=g;return}function xN(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;e=u;u=u+16|0;g=e;f[a>>2]=1124007936;h=a+4|0;i=a+28|0;j=a+32|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[j>>2]=a+8;k=a+40|0;l=a+36|0;f[l>>2]=k;f[a+44>>2]=0;f[k>>2]=0;k=f[c+4>>2]|0;if(!d){f[g>>2]=0;f[g+4>>2]=0;m=YG(g,6)|0;b[m>>0]=b[202328]|0;b[m+1>>0]=b[202329]|0;b[m+2>>0]=b[202330]|0;b[m+3>>0]=b[202331]|0;b[m+4>>0]=b[202332]|0;b[m+5>>0]=b[202333]|0;SQ(-215,g,200605,200322,567)}m=(k|0)>0;if(!m){yN(a,c)|0;n=f[a>>2]|0;o=f[h>>2]|0;p=f[j>>2]|0;q=f[l>>2]|0;r=gP(n,o,p,q)|0;f[a>>2]=r;u=e;return}s=f[c+32>>2]|0;t=0;while(1){v=d+(t<<3)|0;w=f[v>>2]|0;x=f[v+4>>2]|0;if(!((w|0)==-2147483648&(x|0)==2147483647)){if(!((w|0)>-1&(w|0)<(x|0))){y=9;break}if((x|0)>(f[s+(t<<2)>>2]|0)){y=9;break}}t=t+1|0;if((t|0)>=(k|0)){y=11;break}}if((y|0)==9){f[g>>2]=0;f[g+4>>2]=0;t=YG(g,76)|0;s=202335;x=t+76|0;do{b[t>>0]=b[s>>0]|0;t=t+1|0;s=s+1|0}while((t|0)<(x|0));SQ(-215,g,200605,200322,571)}else if((y|0)==11){yN(a,c)|0;if(m)z=0;else{n=f[a>>2]|0;o=f[h>>2]|0;p=f[j>>2]|0;q=f[l>>2]|0;r=gP(n,o,p,q)|0;f[a>>2]=r;u=e;return}do{m=d+(z<<3)|0;c=f[m>>2]|0;y=f[m+4>>2]|0;if((c|0)!=-2147483648|(y|0)!=2147483647?(m=(f[j>>2]|0)+(z<<2)|0,c|0?1:(y|0)!=(f[m>>2]|0)):0){f[m>>2]=y-c;y=Y(f[(f[l>>2]|0)+(z<<2)>>2]|0,c)|0;f[i>>2]=(f[i>>2]|0)+y;f[a>>2]=f[a>>2]|32768}z=z+1|0}while((z|0)!=(k|0));n=f[a>>2]|0;o=f[h>>2]|0;p=f[j>>2]|0;q=f[l>>2]|0;r=gP(n,o,p,q)|0;f[a>>2]=r;u=e;return}}function yN(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;if((a|0)==(b|0))return a|0;c=b+24|0;d=f[c>>2]|0;if(d|0){e=d+8|0;f[e>>2]=(f[e>>2]|0)+1}e=a+24|0;d=f[e>>2]|0;if(d|0?(g=d+8|0,d=f[g>>2]|0,f[g>>2]=d+-1,(d|0)==1):0){d=f[e>>2]|0;f[e>>2]=0;g=f[d+4>>2]|0;xh[f[(f[g>>2]|0)+16>>2]&2047](g,d)}d=a+4|0;if((f[d>>2]|0)>0){g=f[a+32>>2]|0;h=0;do{f[g+(h<<2)>>2]=0;h=h+1|0;i=f[d>>2]|0}while((h|0)<(i|0));f[e>>2]=0;f[a>>2]=f[b>>2];if((i|0)<3)j=13;else{k=f[b+4>>2]|0;j=15}}else{f[e>>2]=0;f[a>>2]=f[b>>2];j=13}if((j|0)==13){i=f[b+4>>2]|0;if((i|0)<3){f[d>>2]=i;f[a+8>>2]=f[b+8>>2];f[a+12>>2]=f[b+12>>2];h=f[b+36>>2]|0;g=f[a+36>>2]|0;f[g>>2]=f[h>>2];f[g+4>>2]=f[h+4>>2]}else{k=i;j=15}}if((j|0)==15?(oN(a,k,0,0,0),(f[d>>2]|0)>0):0){k=f[b+32>>2]|0;j=f[a+32>>2]|0;i=f[b+36>>2]|0;h=f[a+36>>2]|0;g=0;do{f[j+(g<<2)>>2]=f[k+(g<<2)>>2];f[h+(g<<2)>>2]=f[i+(g<<2)>>2];g=g+1|0}while((g|0)<(f[d>>2]|0))}f[a+16>>2]=f[b+16>>2];d=a+20|0;if(!(f[d>>2]|0))f[d>>2]=f[b+20>>2];f[e>>2]=f[c>>2];f[a+28>>2]=f[b+28>>2];return a|0}function zN(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;g=u;u=u+16|0;h=g;i=f[c>>2]|0;j=(i>>>3&511)+1|0;f[a>>2]=i;i=a+4|0;k=c+4|0;l=f[k>>2]|0;f[i>>2]=l;m=a+8|0;n=c+8|0;f[m>>2]=f[n>>2];o=a+12|0;p=c+12|0;f[o>>2]=f[p>>2];f[a+16>>2]=f[c+16>>2];f[a+20>>2]=f[c+20>>2];q=f[c+24>>2]|0;f[a+24>>2]=q;f[a+28>>2]=f[c+28>>2];r=a+32|0;f[r>>2]=m;s=a+40|0;t=a+36|0;f[t>>2]=s;f[a+44>>2]=0;f[s>>2]=0;if(!q)v=l;else{l=q+8|0;f[l>>2]=(f[l>>2]|0)+1;v=f[k>>2]|0}if((v|0)>=3){f[i>>2]=0;oN(a,v,0,0,0);if((f[i>>2]|0)>0){v=f[c+32>>2]|0;l=f[r>>2]|0;q=f[c+36>>2]|0;s=f[t>>2]|0;w=0;do{f[l+(w<<2)>>2]=f[v+(w<<2)>>2];f[s+(w<<2)>>2]=f[q+(w<<2)>>2];w=w+1|0}while((w|0)<(f[i>>2]|0))}}else{i=f[c+36>>2]|0;w=f[t>>2]|0;f[w>>2]=f[i>>2];f[w+4>>2]=f[i+4>>2]}i=f[k>>2]|0;w=(e|0)==0;if((d|0)!=0&(w&(i|0)>2)){q=i+-1|0;if((Y(f[(f[c+32>>2]|0)+(q<<2)>>2]|0,j)|0)%(d|0)|0|0){f[h>>2]=0;x=h+4|0;f[x>>2]=0;y=YG(h,9)|0;z=y;A=202561;B=z+9|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));SQ(-215,h,202646,200322,699)}s=f[a>>2]|0;v=(d<<3)+-8|0;f[a>>2]=s&-4089|v;f[(f[t>>2]|0)+(q<<2)>>2]=(v>>>3&511)+1<<(47696>>>(s<<1&14)&3);s=(f[r>>2]|0)+((f[k>>2]|0)+-1<<2)|0;k=(Y(f[s>>2]|0,j)|0)/(d|0)|0;f[s>>2]=k;u=g;return}if((i|0)>=3){f[h>>2]=0;x=h+4|0;f[x>>2]=0;y=YG(h,9)|0;z=y;A=202561;B=z+9|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));SQ(-215,h,202646,200322,699)}y=(d|0)==0?j:d;d=Y(f[p>>2]|0,j)|0;if((y|0)>(d|0))if(w)C=16;else{D=e;C=18}else if(w&((d|0)%(y|0)|0|0)!=0)C=16;else{E=e;C=17}if((C|0)==16){E=(Y(f[n>>2]|0,d)|0)/(y|0)|0;C=17}if((C|0)==17)if(!E)F=d;else{D=E;C=18}do if((C|0)==18){E=f[n>>2]|0;if((D|0)!=(E|0)){e=Y(E,d)|0;E=f[c>>2]|0;if(!(E&16384)){f[h>>2]=0;f[h+4>>2]=0;z=YG(h,72)|0;A=215182;B=z+72|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));SQ(-13,h,202646,200322,714)}if(D>>>0>e>>>0){f[h>>2]=0;f[h+4>>2]=0;z=YG(h,22)|0;A=215255;B=z+22|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));SQ(-211,h,202646,200322,717)}w=(e|0)/(D|0)|0;if((Y(w,D)|0)==(e|0)){f[m>>2]=D;j=Y(1212424721>>>(E<<2&28)&15,w)|0;f[f[t>>2]>>2]=j;F=w;break}else{f[h>>2]=0;f[h+4>>2]=0;z=YG(h,78)|0;A=215093;B=z+78|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));SQ(-5,h,202646,200322,723)}}else F=d}while(0);d=(F|0)/(y|0)|0;if((Y(d,y)|0)!=(F|0)){f[h>>2]=0;f[h+4>>2]=0;z=YG(h,62)|0;A=215278;B=z+62|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));SQ(-15,h,202646,200322,733)}f[o>>2]=d;d=f[a>>2]|0;o=(y<<3)+-8|0;f[a>>2]=d&-4089|o;f[(f[t>>2]|0)+4>>2]=(o>>>3&511)+1<<(47696>>>(d<<1&14)&3);u=g;return}function AN(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+64|0;e=d+56|0;g=d;zT(e,45300);h=DD(c)|0;DN(g,a,h?33554432:50331648);oT(g,b,c)|0;c=g+36|0;b=f[c>>2]|0;if(b|0?(h=b+12|0,b=f[h>>2]|0,f[h>>2]=b+-1,(b|0)==1):0)lP(g);f[c>>2]=0;c=g+16|0;b=g+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[g+40>>2]|0;h=0;do{f[c+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[b>>2]|0))}b=f[g+44>>2]|0;if((b|0)!=(g+48|0))tE(b);if(!(f[e+4>>2]|0)){u=d;return a|0}u=d;return a|0}function BN(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;d=u;u=u+464|0;e=d+448|0;g=d+320|0;h=d+192|0;i=d+64|0;j=d+8|0;k=d;zT(e,45260);l=oD(c,-1)|0;do if(hE(c)|0?(m=f[a>>2]|0,(l|0)!=(m&4095|0)):0)if(!((m^l)&4088)){CN(a,c,l,1.0,0.0);break}else{f[g>>2]=0;f[g+4>>2]=0;n=YG(g,30)|0;m=212042;o=n+30|0;do{b[n>>0]=b[m>>0]|0;n=n+1|0;m=m+1|0}while((n|0)<(o|0));SQ(-215,g,212073,200322,888)}else p=6;while(0);do if((p|0)==6){l=a+24|0;if(f[l>>2]|0){m=a+4|0;q=f[m>>2]|0;if((q|0)<3)r=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{s=f[a+32>>2]|0;t=0;v=1;while(1){w=Y(f[s+(t<<2)>>2]|0,v)|0;t=t+1|0;if((t|0)==(q|0)){r=w;break}else v=w}}if(!((q|0)==0|(r|0)==0)){n=g;o=n+128|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));v=(q|0)>0;if(v)x=f[(f[a+36>>2]|0)+(q+-1<<2)>>2]|0;else x=0;t=f[a+32>>2]|0;s=0;do{f[g+(s<<2)>>2]=f[t+(s<<2)>>2];s=s+1|0}while(s>>>0<q>>>0);s=q+-1|0;t=g+(s<<2)|0;w=Y(f[t>>2]|0,x)|0;f[t>>2]=w;if(v){w=f[a+36>>2]|0;t=0;y=f[a+28>>2]|0;do{z=f[w+(t<<2)>>2]|0;A=(y>>>0)/(z>>>0)|0;f[h+(t<<2)>>2]=A;y=y-(Y(A,z)|0)|0;t=t+1|0}while((t|0)<(q|0))}t=h+(s<<2)|0;y=Y(f[t>>2]|0,x)|0;f[t>>2]=y;ID(c,q,f[a+32>>2]|0,f[a>>2]&4095,-1,0,0);if((pD(c)|0)==655360){qD(j,c,-1);y=j+24|0;t=f[y>>2]|0;if(!t){f[k>>2]=0;f[k+4>>2]=0;w=YG(k,5)|0;b[w>>0]=b[200610]|0;b[w+1>>0]=b[200611]|0;b[w+2>>0]=b[200612]|0;b[w+3>>0]=b[200613]|0;b[w+4>>0]=b[200614]|0;SQ(-215,k,212073,200322,910)}w=f[l>>2]|0;if((w|0)==(t|0)?(f[j+28>>2]|0)==(f[a+28>>2]|0):0){B=1;C=t;p=31}else{v=f[w+4>>2]|0;if((v|0)==(f[t+4>>2]|0)){z=f[j+4>>2]|0;if((z|0)>0){A=f[j+36>>2]|0;D=0;E=f[j+28>>2]|0;do{F=f[A+(D<<2)>>2]|0;G=(E>>>0)/(F>>>0)|0;f[i+(D<<2)>>2]=G;E=E-(Y(G,F)|0)|0;D=D+1|0}while((D|0)<(z|0));H=A}else H=f[j+36>>2]|0;A=f[m>>2]|0;z=i+(A+-1<<2)|0;D=Y(f[z>>2]|0,x)|0;f[z>>2]=D;bh[f[(f[v>>2]|0)+36>>2]&7](v,w,t,A,g,h,f[a+36>>2]|0,i,H,0);A=f[y>>2]|0;if(!A)I=1;else{B=1;C=A;p=31}}else{B=0;C=t;p=31}}if((p|0)==31){A=C+8|0;D=f[A>>2]|0;f[A>>2]=D+-1;if((D|0)==1){D=f[y>>2]|0;f[y>>2]=0;A=f[D+4>>2]|0;xh[f[(f[A>>2]|0)+16>>2]&2047](A,D);I=B}else I=B}D=j+4|0;if((f[D>>2]|0)>0){A=f[j+32>>2]|0;z=0;do{f[A+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[D>>2]|0))}f[y>>2]=0;D=f[j+36>>2]|0;if((D|0)!=(j+40|0))tE(D);if(!I)p=39}else p=39;if((p|0)==39){do if((pD(c)|0)==65536){D=f[c+4>>2]|0;f[j>>2]=f[D>>2];z=j+4|0;A=D+4|0;f[z>>2]=f[A>>2];t=j+8|0;f[t>>2]=f[D+8>>2];f[j+12>>2]=f[D+12>>2];w=j+16|0;f[w>>2]=f[D+16>>2];f[j+20>>2]=f[D+20>>2];f[j+24>>2]=f[D+24>>2];f[j+28>>2]=f[D+28>>2];f[j+32>>2]=f[D+32>>2];v=f[D+36>>2]|0;f[j+36>>2]=v;f[j+40>>2]=t;t=j+48|0;E=j+44|0;f[E>>2]=t;f[t>>2]=0;f[j+52>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[A>>2]|0)<3){A=f[D+44>>2]|0;t=f[E>>2]|0;f[t>>2]=f[A>>2];f[t+4>>2]=f[A+4>>2];J=w;K=E;break}else{f[z>>2]=0;kP(j,D);J=w;K=E;break}}else{lD(j,c,-1);J=j+16|0;K=j+44|0}while(0);y=f[l>>2]|0;E=f[y+4>>2]|0;Fh[f[(f[E>>2]|0)+28>>2]&255](E,y,f[J>>2]|0,f[m>>2]|0,g,h,f[a+36>>2]|0,f[K>>2]|0);y=j+36|0;E=f[y>>2]|0;if(E|0?(w=E+12|0,E=f[w>>2]|0,f[w>>2]=E+-1,(E|0)==1):0)lP(j);f[y>>2]=0;y=j+4|0;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;f[J+12>>2]=0;if((f[y>>2]|0)>0){E=f[j+40>>2]|0;w=0;do{f[E+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[y>>2]|0))}y=f[K>>2]|0;if((y|0)!=(j+48|0))tE(y)}break}}GD(c)}while(0);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function CN(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;g=u;u=u+112|0;h=g+104|0;i=g+56|0;j=g;zT(h,45280);if(+L(+(d+-1.0))<2.220446049250313e-16)k=+L(+e)<2.220446049250313e-16;else k=0;l=f[a>>2]|0;m=l&4095;if((c|0)<0)if(hE(b)|0)n=oD(b,-1)|0;else n=m;else n=l&4088|c&7;if(((n^l)&7|0)!=0|k^1){f[i>>2]=f[a>>2];k=i+4|0;l=a+4|0;c=f[l>>2]|0;f[k>>2]=c;m=i+8|0;f[m>>2]=f[a+8>>2];f[i+12>>2]=f[a+12>>2];f[i+16>>2]=f[a+16>>2];f[i+20>>2]=f[a+20>>2];o=i+24|0;p=f[a+24>>2]|0;f[o>>2]=p;f[i+28>>2]=f[a+28>>2];q=i+32|0;f[q>>2]=m;m=i+40|0;r=i+36|0;f[r>>2]=m;f[i+44>>2]=0;f[m>>2]=0;if(!p)s=c;else{c=p+8|0;f[c>>2]=(f[c>>2]|0)+1;s=f[l>>2]|0}if((s|0)>=3){f[k>>2]=0;oN(i,s,0,0,0);if((f[k>>2]|0)>0){s=f[a+32>>2]|0;i=f[q>>2]|0;l=f[a+36>>2]|0;c=f[r>>2]|0;p=0;do{f[i+(p<<2)>>2]=f[s+(p<<2)>>2];f[c+(p<<2)>>2]=f[l+(p<<2)>>2];p=p+1|0}while((p|0)<(f[k>>2]|0))}}else{p=f[a+36>>2]|0;l=f[r>>2]|0;f[l>>2]=f[p>>2];f[l+4>>2]=f[p+4>>2]}DN(j,a,16777216);IO(j,b,n,d,e);n=j+36|0;p=f[n>>2]|0;if(p|0?(l=p+12|0,p=f[l>>2]|0,f[l>>2]=p+-1,(p|0)==1):0)lP(j);f[n>>2]=0;n=j+16|0;p=j+4|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[p>>2]|0)>0){n=f[j+40>>2]|0;l=0;do{f[n+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[p>>2]|0))}p=f[j+44>>2]|0;if((p|0)!=(j+48|0))tE(p);p=f[o>>2]|0;if(p|0?(j=p+8|0,p=f[j>>2]|0,f[j>>2]=p+-1,(p|0)==1):0){p=f[o>>2]|0;f[o>>2]=0;j=f[p+4>>2]|0;xh[f[(f[j>>2]|0)+16>>2]&2047](j,p)}if((f[k>>2]|0)>0){p=f[q>>2]|0;q=0;do{f[p+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[k>>2]|0))}f[o>>2]=0;o=f[r>>2]|0;if((o|0)!=(m|0))tE(o)}else BN(a,b);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function DN(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+16|0;g=e+8|0;h=e;i=c+24|0;j=f[i>>2]|0;if(!j){f[a>>2]=1124007936;k=a+8|0;l=a+40|0;m=a+4|0;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;k=a+48|0;f[a+44>>2]=k;f[k>>2]=0;f[a+52>>2]=0;u=e;return}f[g>>2]=j;j=g+4|0;f[j>>2]=0;iN(hN()|0,g);k=(f[i>>2]|0)+12|0;l=f[k>>2]|0;f[k>>2]=l+1;if(!l){l=f[i>>2]|0;k=f[l+4>>2]|0;Yh[f[(f[k>>2]|0)+20>>2]&511](k,l,d|50331648)}d=f[i>>2]|0;l=f[d+16>>2]|0;do if(!l){k=d+12|0;f[k>>2]=(f[k>>2]|0)+-1;if(!(f[(f[i>>2]|0)+16>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,55)|0;k=200616;n=m+55|0;do{b[m>>0]=b[k>>0]|0;m=m+1|0;k=k+1|0}while((m|0)<(n|0));SQ(-215,h,200672,200322,838)}else{f[a>>2]=1124007936;k=a+8|0;o=a+40|0;m=a+4|0;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[o>>2]=k;p=a+48|0;f[a+44>>2]=p;f[p>>2]=0;f[a+52>>2]=0;break}}else{p=c+28|0;qP(a,f[c+4>>2]|0,f[c+32>>2]|0,f[c>>2]&4095,l+(f[p>>2]|0)|0,f[c+36>>2]|0);f[a>>2]=f[c>>2];q=f[i>>2]|0;f[a+36>>2]=q;r=f[q+16>>2]|0;f[a+20>>2]=r;f[a+16>>2]=r+(f[p>>2]|0);p=r+(f[q+24>>2]|0)|0;f[a+24>>2]=p;f[a+28>>2]=p}while(0);a=hN()|0;nN(a,f[g>>2]|0,f[j>>2]|0);u=e;return}function EN(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;h=u;u=u+32|0;i=h+8|0;j=h;k=c+4|0;l=f[k>>2]|0;if((l|0)==(e|0)){if(!g){zN(a,c,d,0);u=h;return}if((e|0)==2){zN(a,c,d,f[g>>2]|0);u=h;return}}m=f[c>>2]|0;if(!(m&16384)){f[i>>2]=0;f[i+4>>2]=0;n=YG(i,71)|0;o=202881;p=n+71|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));SQ(-213,i,202646,200322,813)}if(!((g|0)!=0&((d|0)>-1&(e+-1|0)>>>0<32))){f[i>>2]=0;f[i+4>>2]=0;n=YG(i,62)|0;o=202654;p=n+62|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));SQ(-215,i,202646,200322,777)}if(d)if((d|0)<513)q=d;else{f[i>>2]=0;f[i+4>>2]=0;n=YG(i,16)|0;o=202717;p=n+16|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));SQ(-215,i,202646,200322,782)}else q=(m>>>3&511)+1|0;if((l|0)<3)r=Y(f[c+12>>2]|0,f[c+8>>2]|0)|0;else{d=f[c+32>>2]|0;s=0;t=1;while(1){v=Y(f[d+(s<<2)>>2]|0,t)|0;s=s+1|0;if((s|0)==(l|0)){r=v;break}else t=v}}t=Y((m>>>3&511)+1|0,r)|0;r=i+8|0;f[i>>2]=r;m=i+4|0;f[m>>2]=e;if(e>>>0>4){l=Dmc(e>>>0>1073741823?-1:e<<2)|0;f[i>>2]=l;w=l}else w=r;a:do if((e|0)>0){l=c+32|0;s=q;d=0;while(1){v=f[g+(d<<2)>>2]|0;if((v|0)<=-1){x=23;break}if(!v){if((d|0)>=(f[k>>2]|0)){x=27;break}y=f[(f[l>>2]|0)+(d<<2)>>2]|0}else y=v;f[w+(d<<2)>>2]=y;v=Y(y,s)|0;d=d+1|0;if((d|0)>=(e|0)){z=v;break a}else s=v}if((x|0)==23){f[j>>2]=0;f[j+4>>2]=0;n=YG(j,14)|0;o=202734;p=n+14|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));SQ(-215,j,202646,200322,791)}else if((x|0)==27){f[j>>2]=0;f[j+4>>2]=0;n=YG(j,68)|0;o=202749;p=n+68|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));SQ(-211,j,202646,200322,798)}}else z=q;while(0);if((z|0)!=(t|0)){f[j>>2]=0;f[j+4>>2]=0;n=YG(j,62)|0;o=202818;p=n+62|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));SQ(-209,j,202646,200322,804)}f[a>>2]=f[c>>2];j=a+4|0;o=f[k>>2]|0;f[j>>2]=o;n=a+8|0;f[n>>2]=f[c+8>>2];f[a+12>>2]=f[c+12>>2];f[a+16>>2]=f[c+16>>2];f[a+20>>2]=f[c+20>>2];p=f[c+24>>2]|0;f[a+24>>2]=p;f[a+28>>2]=f[c+28>>2];t=a+32|0;f[t>>2]=n;n=a+40|0;z=a+36|0;f[z>>2]=n;f[a+44>>2]=0;f[n>>2]=0;if(!p)A=o;else{o=p+8|0;f[o>>2]=(f[o>>2]|0)+1;A=f[k>>2]|0}if((A|0)>=3){f[j>>2]=0;oN(a,A,0,0,0);if((f[j>>2]|0)>0){A=f[c+32>>2]|0;k=f[t>>2]|0;t=f[c+36>>2]|0;o=f[z>>2]|0;p=0;do{f[k+(p<<2)>>2]=f[A+(p<<2)>>2];f[o+(p<<2)>>2]=f[t+(p<<2)>>2];p=p+1|0}while((p|0)<(f[j>>2]|0))}}else{j=f[c+36>>2]|0;c=f[z>>2]|0;f[c>>2]=f[j>>2];f[c+4>>2]=f[j+4>>2]}f[a>>2]=f[a>>2]&-4089|(q<<3)+-8;oN(a,e,f[i>>2]|0,0,1);e=f[i>>2]|0;if((e|0)!=(r|0)){if(e|0)Fmc(e);f[i>>2]=r;f[m>>2]=4}u=h;return}function FN(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=a+4|0;if((f[c>>2]|0)<=0)return;d=f[a+36>>2]|0;e=0;g=f[a+28>>2]|0;do{a=f[d+(e<<2)>>2]|0;h=(g>>>0)/(a>>>0)|0;f[b+(e<<2)>>2]=h;g=g-(Y(h,a)|0)|0;e=e+1|0}while((e|0)<(f[c>>2]|0));return}function GN(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;HN(a,b,c,0,d);return}function HN(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0;h=u;u=u+64|0;i=h;if(!c){f[i>>2]=0;j=i+4|0;f[j>>2]=0;k=YG(i,29)|0;l=k;m=200835;n=l+29|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,i,260530,200865,30)}if(!((d|0)!=0|(e|0)!=0)){f[i>>2]=0;j=i+4|0;f[j>>2]=0;k=YG(i,29)|0;l=k;m=200835;n=l+29|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,i,260530,200865,30)}f[a>>2]=c;k=a+8|0;f[k>>2]=e;e=a+4|0;f[e>>2]=d;d=a+12|0;f[d>>2]=g;j=a+16|0;f[j>>2]=0;o=a+20|0;f[o>>2]=0;if((g|0)<0){p=0;while(1)if(!(f[c+(p<<2)>>2]|0))break;else p=p+1|0;f[d>>2]=p;if((p|0)<1001)q=p;else{f[i>>2]=0;f[i+4>>2]=0;l=YG(i,15)|0;m=200939;n=l+15|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,i,260530,200865,45)}}else q=g;g=a+24|0;f[g>>2]=0;p=(q|0)>0;do if(p){r=f[c>>2]|0;if(!r){f[i>>2]=0;s=i+4|0;f[s>>2]=0;t=YG(i,14)|0;l=t;m=200955;n=l+14|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,i,260530,200865,52)}else{v=-1;w=-1;x=0;y=0;z=0;A=r}a:while(1){B=f[k>>2]|0;if(!B)C=A+16|0;else{D=A+16|0;f[B+(y<<2)>>2]=f[D>>2];C=D}if(f[C>>2]|0){b:do if((w|0)<0){D=f[A+4>>2]|0;if((D|0)>0){B=f[A+40>>2]|0;E=0;while(1){if((f[B+(E<<2)>>2]|0)>1){F=D;G=y;H=E;break b}I=E+1|0;if((I|0)<(D|0))E=I;else{F=D;G=y;H=I;break}}}else{F=D;G=y;H=0}}else{E=f[A+40>>2]|0;B=f[E+-4>>2]|0;I=f[(f[(f[a>>2]|0)+(w<<2)>>2]|0)+40>>2]|0;if((B|0)!=(f[I+-4>>2]|0)){K=27;break a}if((B|0)==2){if((f[E>>2]|0)!=(f[I>>2]|0)){K=27;break a}if((f[E+4>>2]|0)==(f[I+4>>2]|0)){F=v;G=w;H=x;break}else{K=27;break a}}if((B|0)>0){L=0;while(1){if((f[E+(L<<2)>>2]|0)!=(f[I+(L<<2)>>2]|0)){K=27;break a}L=L+1|0;if((L|0)>=(B|0)){F=v;G=w;H=x;break}}}else{F=v;G=w;H=x}}while(0);if(!(f[A>>2]&16384)){B=F+-1|0;L=f[A+44>>2]|0;I=f[L+(B<<2)>>2]|0;E=f[A+4>>2]|0;if((E|0)>0)M=f[L+(E+-1<<2)>>2]|0;else M=0;if((I|0)!=(M|0)){K=33;break}E=A+40|0;D=I;I=B;while(1){if((I|0)<=(H|0))break;B=Y(f[(f[E>>2]|0)+(I<<2)>>2]|0,D)|0;N=I+-1|0;D=f[L+(N<<2)>>2]|0;if(B>>>0<D>>>0)break;else I=N}D=(z|0)<(I|0)?I:z;f[g>>2]=D;O=F;P=G;Q=H;R=D}else{O=F;P=G;Q=H;R=z}}else{O=v;P=w;Q=x;R=z}y=y+1|0;if((y|0)>=(q|0)){K=39;break}A=f[(f[a>>2]|0)+(y<<2)>>2]|0;if(!A){K=10;break}else{v=O;w=P;x=Q;z=R}}if((K|0)==10){f[i>>2]=0;s=i+4|0;f[s>>2]=0;t=YG(i,14)|0;l=t;m=200955;n=l+14|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,i,260530,200865,52)}else if((K|0)==27){f[i>>2]=0;f[i+4>>2]=0;l=YG(i,26)|0;m=200970;n=l+26|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,i,260530,200865,72)}else if((K|0)==33){f[i>>2]=0;f[i+4>>2]=0;l=YG(i,27)|0;m=200997;n=l+27|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,i,260530,200865,76)}else if((K|0)==39){if((P|0)<=-1){K=45;break}r=O+-1|0;D=f[(f[(f[a>>2]|0)+(P<<2)>>2]|0)+40>>2]|0;L=f[D+(r<<2)>>2]|0;E=r;while(1){f[o>>2]=L;if((E|0)<=(R|0))break;r=E+-1|0;N=f[D+(r<<2)>>2]|0;L=Urc(N|0,((N|0)<0)<<31>>31|0,L|0,0)|0;if(!((L|0)==(L|0)&(J|0)==(((L|0)<0)<<31>>31|0)))break;else E=r}L=(E|0)==(Q|0)?0:E;f[g>>2]=L;f[j>>2]=1;if((L|0)>0){S=1;T=L}else break;do{L=T;T=T+-1|0;S=Y(S,f[D+(T<<2)>>2]|0)|0;f[j>>2]=S}while((L|0)>1)}}else K=45;while(0);if((K|0)==45)f[g>>2]=0;f[a+28>>2]=0;if((f[e>>2]|0)==0|p^1){u=h;return}p=i+4|0;g=i+8|0;S=i+40|0;j=i+48|0;T=i+44|0;Q=i+52|0;R=i+36|0;P=i+16|0;O=i+12|0;t=i+20|0;s=i+24|0;z=i+28|0;x=i+32|0;w=i+36|0;v=i+16|0;A=i+4|0;y=i+40|0;q=i+44|0;H=i+48|0;G=i+8|0;F=i+12|0;M=i+20|0;C=i+24|0;k=i+28|0;c=i+32|0;D=0;while(1){E=f[(f[a>>2]|0)+(D<<2)>>2]|0;if(!E){K=49;break}L=f[E+16>>2]|0;if(!L){f[i>>2]=1124007936;l=p;n=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(n|0));f[S>>2]=g;f[T>>2]=j;f[j>>2]=0;f[Q>>2]=0;r=f[e>>2]|0;N=r+(D*56|0)|0;if((N|0)!=(i|0)){B=r+(D*56|0)+36|0;U=f[B>>2]|0;if(U|0?(V=U+12|0,U=f[V>>2]|0,f[V>>2]=U+-1,(U|0)==1):0)lP(N);f[B>>2]=0;U=r+(D*56|0)+16|0;V=r+(D*56|0)+4|0;f[U>>2]=0;f[U+4>>2]=0;f[U+8>>2]=0;f[U+12>>2]=0;if((f[V>>2]|0)>0){W=f[r+(D*56|0)+40>>2]|0;X=0;do{f[W+(X<<2)>>2]=0;X=X+1|0;Z=f[V>>2]|0}while((X|0)<(Z|0));f[N>>2]=f[i>>2];if((Z|0)<3)K=60;else K=62}else{f[N>>2]=f[i>>2];K=60}if((K|0)==60){K=0;X=f[p>>2]|0;if((X|0)<3){f[V>>2]=X;f[r+(D*56|0)+8>>2]=f[g>>2];f[r+(D*56|0)+12>>2]=f[O>>2];X=f[T>>2]|0;W=f[r+(D*56|0)+44>>2]|0;f[W>>2]=f[X>>2];f[W+4>>2]=f[X+4>>2]}else K=62}if((K|0)==62){K=0;kP(N,i)}f[U>>2]=f[P>>2];f[r+(D*56|0)+20>>2]=f[t>>2];f[r+(D*56|0)+24>>2]=f[s>>2];f[r+(D*56|0)+28>>2]=f[z>>2];f[r+(D*56|0)+32>>2]=f[x>>2];f[B>>2]=f[R>>2];X=f[R>>2]|0;if(X|0?(W=X+12|0,X=f[W>>2]|0,f[W>>2]=X+-1,(X|0)==1):0)lP(i)}f[R>>2]=0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;if((f[p>>2]|0)>0){X=f[S>>2]|0;W=0;do{f[X+(W<<2)>>2]=0;W=W+1|0}while((W|0)<(f[p>>2]|0))}W=f[T>>2]|0;if((W|0)!=(j|0))tE(W)}else{Ri(i,1,f[o>>2]|0,f[E>>2]&4095,L,0);W=f[e>>2]|0;X=W+(D*56|0)|0;if((X|0)!=(i|0)){B=f[w>>2]|0;if(B|0){r=B+12|0;f[r>>2]=(f[r>>2]|0)+1}r=W+(D*56|0)+36|0;B=f[r>>2]|0;if(B|0?(U=B+12|0,B=f[U>>2]|0,f[U>>2]=B+-1,(B|0)==1):0)lP(X);f[r>>2]=0;B=W+(D*56|0)+16|0;U=W+(D*56|0)+4|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[U>>2]|0)>0){N=f[W+(D*56|0)+40>>2]|0;V=0;do{f[N+(V<<2)>>2]=0;V=V+1|0;_=f[U>>2]|0}while((V|0)<(_|0));f[X>>2]=f[i>>2];if((_|0)<3)K=83;else K=85}else{f[X>>2]=f[i>>2];K=83}if((K|0)==83){K=0;V=f[A>>2]|0;if((V|0)<3){f[U>>2]=V;f[W+(D*56|0)+8>>2]=f[G>>2];f[W+(D*56|0)+12>>2]=f[F>>2];V=f[q>>2]|0;N=f[W+(D*56|0)+44>>2]|0;f[N>>2]=f[V>>2];f[N+4>>2]=f[V+4>>2]}else K=85}if((K|0)==85){K=0;kP(X,i)}f[B>>2]=f[v>>2];f[W+(D*56|0)+20>>2]=f[M>>2];f[W+(D*56|0)+24>>2]=f[C>>2];f[W+(D*56|0)+28>>2]=f[k>>2];f[W+(D*56|0)+32>>2]=f[c>>2];f[r>>2]=f[w>>2]}V=f[w>>2]|0;if(V|0?(N=V+12|0,V=f[N>>2]|0,f[N>>2]=V+-1,(V|0)==1):0)lP(i);f[w>>2]=0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[A>>2]|0)>0){V=f[y>>2]|0;N=0;do{f[V+(N<<2)>>2]=0;N=N+1|0}while((N|0)<(f[A>>2]|0))}N=f[q>>2]|0;if((N|0)!=(H|0))tE(N)}D=D+1|0;if((D|0)>=(f[d>>2]|0)){K=97;break}}if((K|0)==49){f[i>>2]=0;f[i+4>>2]=0;l=YG(i,14)|0;m=200955;n=l+14|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,i,260530,200865,113)}else if((K|0)==97){u=h;return}}function IN(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;HN(a,b,0,c,d);return}function JN(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;b=a+28|0;c=f[b>>2]|0;if(c>>>0>=((f[a+16>>2]|0)+-1|0)>>>0)return a|0;d=c+1|0;f[b>>2]=d;b=f[a+24>>2]|0;if((b|0)!=1){c=f[a+12>>2]|0;if((c|0)<=0)return a|0;e=a+8|0;g=a+4|0;h=(d|0)>0&(b|0)>0;i=0;do{j=f[(f[a>>2]|0)+(i<<2)>>2]|0;k=f[j+16>>2]|0;if(k|0){if(h){l=f[j+40>>2]|0;m=f[j+44>>2]|0;j=b;n=k;o=d;while(1){p=j;j=j+-1|0;q=f[l+(j<<2)>>2]|0;r=o;o=(o|0)/(q|0)|0;s=r-(Y(o,q)|0)|0;q=n+(Y(s,f[m+(j<<2)>>2]|0)|0)|0;if(!((o|0)>0&(p|0)>1)){t=q;break}else n=q}}else t=k;n=f[e>>2]|0;if(n|0)f[n+(i<<2)>>2]=t;n=f[g>>2]|0;if(n|0)f[n+(i*56|0)+16>>2]=t}i=i+1|0}while((i|0)<(c|0));return a|0}c=a+8|0;i=f[c>>2]|0;a:do if(i|0?(t=f[a+12>>2]|0,(t|0)>0):0){g=0;e=i;while(1){b=e+(g<<2)|0;if(f[b>>2]|0){h=f[(f[a>>2]|0)+(g<<2)>>2]|0;n=(f[h+16>>2]|0)+(Y(d,f[f[h+44>>2]>>2]|0)|0)|0;f[b>>2]=n}n=g+1|0;if((n|0)>=(t|0))break a;g=n;e=f[c>>2]|0}}while(0);c=f[a+4>>2]|0;if(!c)return a|0;i=f[a+12>>2]|0;if((i|0)<=0)return a|0;e=0;do{g=c+(e*56|0)+16|0;if(f[g>>2]|0){t=f[(f[a>>2]|0)+(e<<2)>>2]|0;k=(f[t+16>>2]|0)+(Y(d,f[f[t+44>>2]>>2]|0)|0)|0;f[g>>2]=k}e=e+1|0}while((e|0)<(i|0));return a|0}function KN(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=f[a>>2]|0;if(f[d>>2]&16384|0){e=a+12|0;g=a+8|0;h=(f[(c?g:e)>>2]|0)+(Y(f[a+4>>2]|0,b)|0)|0;f[g>>2]=h;i=f[e>>2]|0;if(h>>>0<i>>>0){f[g>>2]=i;return}i=f[a+16>>2]|0;if(h>>>0<=i>>>0)return;f[g>>2]=i;return}i=f[d+4>>2]|0;if((i|0)==2){if(c){g=f[d+16>>2]|0;h=(f[a+8>>2]|0)-g|0;e=f[f[d+44>>2]>>2]|0;j=(h>>>0)/(e>>>0)|0;k=f[d+12>>2]|0;l=Y(k,j)|0;m=h-(Y(j,e)|0)|0;j=a+4|0;h=f[j>>2]|0;n=l+b+((m>>>0)/(h>>>0)|0)|0;o=j;p=k;q=e;r=g;s=h}else{h=a+4|0;n=b;o=h;p=f[d+12>>2]|0;q=f[f[d+44>>2]>>2]|0;r=f[d+16>>2]|0;s=f[h>>2]|0}h=(n|0)/(p|0)|0;g=(h|0)<0;e=f[d+8>>2]|0;k=e+-1|0;j=g?0:h;m=r+(Y(q,(k|0)<(j|0)?k:j)|0)|0;f[a+12>>2]=m;j=m+(Y(s,p)|0)|0;f[a+16>>2]=j;if(!g)if((h|0)<(e|0)){e=n-(Y(p,h)|0)|0;t=m+(Y(e,f[o>>2]|0)|0)|0}else t=j;else t=m;f[a+8>>2]=t;return}if(c){if((i|0)>0){c=f[d+44>>2]|0;t=f[d+40>>2]|0;m=(f[a+8>>2]|0)-(f[d+16>>2]|0)|0;j=0;o=0;while(1){e=f[c+(o<<2)>>2]|0;h=(m>>>0)/(e>>>0)|0;m=m-(Y(h,e)|0)|0;e=(Y(f[t+(o<<2)>>2]|0,j)|0)+h|0;o=o+1|0;if((o|0)==(i|0)){u=e;break}else j=e}}else u=0;v=u+b|0}else v=b;b=(v|0)>0?v:0;v=f[d+40>>2]|0;u=f[v+(i+-1<<2)>>2]|0;j=(b|0)/(u|0)|0;o=b-(Y(j,u)|0)|0;b=f[d+16>>2]|0;t=f[a+4>>2]|0;m=Y(o,t)|0;o=a+8|0;f[o>>2]=b+m;c=a+12|0;f[c>>2]=b;e=i+-2|0;if((e|0)>-1){i=f[d+44>>2]|0;d=e;e=j;h=b;while(1){p=f[v+(d<<2)>>2]|0;n=e;e=(e|0)/(p|0)|0;g=n-(Y(e,p)|0)|0;h=h+(Y(g,f[i+(d<<2)>>2]|0)|0)|0;if((d|0)<=0)break;else d=d+-1|0}f[c>>2]=h;w=e;x=h}else{w=j;x=b}b=x+(Y(t,u)|0)|0;f[a+16>>2]=b;f[o>>2]=(w|0)>0?b:x+m|0;return}function LN(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=f[a>>2]|0;e=f[d+4>>2]|0;do if(b){if((e|0)==2){g=Y(f[(f[d+40>>2]|0)+4>>2]|0,f[b>>2]|0)|0;h=g+(f[b+4>>2]|0)|0;break}if((e|0)>0){g=f[d+40>>2]|0;i=0;j=0;while(1){k=Y(f[g+(j<<2)>>2]|0,i)|0;l=k+(f[b+(j<<2)>>2]|0)|0;j=j+1|0;if((j|0)==(e|0)){h=l;break}else i=l}}else h=0}else h=0;while(0);KN(a,h,c);return}function MN(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=d+-4|0;if((d|0)<4){f=0;g=0}else{i=0;j=0;do{k=i|1;l=i|2;m=i|3;j=(h[198950+((b[c+i>>0]^b[a+i>>0])&255)>>0]|0)+j+(h[198950+((b[c+k>>0]^b[a+k>>0])&255)>>0]|0)+(h[198950+((b[c+l>>0]^b[a+l>>0])&255)>>0]|0)+(h[198950+((b[c+m>>0]^b[a+m>>0])&255)>>0]|0)|0;i=i+4|0}while((i|0)<=(e|0));f=j;g=d&-4}if((g|0)<(d|0)){n=g;o=f}else{p=f;return p|0}while(1){f=(h[198950+((b[c+n>>0]^b[a+n>>0])&255)>>0]|0)+o|0;n=n+1|0;if((n|0)==(d|0)){p=f;break}else o=f}return p|0}function NN(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;d=c;zT(d,45320);e=b+-4|0;if((b|0)<4){g=0;i=0}else{j=0;k=0;do{k=(h[198950+(h[a+j>>0]|0)>>0]|0)+k+(h[198950+(h[a+(j|1)>>0]|0)>>0]|0)+(h[198950+(h[a+(j|2)>>0]|0)>>0]|0)+(h[198950+(h[a+(j|3)>>0]|0)>>0]|0)|0;j=j+4|0}while((j|0)<=(e|0));g=k;i=b&-4}if((i|0)<(b|0)){k=i;i=g;while(1){e=(h[198950+(h[a+k>>0]|0)>>0]|0)+i|0;k=k+1|0;if((k|0)==(b|0)){l=e;break}else i=e}}else l=g;if(!(f[d+4>>2]|0)){u=c;return l|0}u=c;return l|0}function ON(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;zT(e,45340);g=MN(a,b,c)|0;if(!(f[e+4>>2]|0)){u=d;return g|0}u=d;return g|0}function PN(a,b){a=a|0;b=b|0;return f[45360+((b&7)<<5)+((a&7)<<2)>>2]|0}function QN(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0;i=f[h>>2]|0;d=f[h+4>>2]|0;if((d|0)>0){j=a;k=e;l=0}else return;while(1){Krc(k|0,j|0,i|0)|0;l=l+1|0;if((l|0)==(d|0))break;else{j=j+b|0;k=k+g|0}}return}function RN(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;if((e|0)>0&(j|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{g=b[m+a>>0]|0;b[l+a>>0]=(g|0)>0?g:0;a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+h|0;m=m+c|0}}return}function SN(a,c,d,e,g,h,i,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0,n=0;k=f[i>>2]|0;e=f[i+4>>2]|0;i=c>>>1;if((e|0)>0&(k|0)>0){l=0;m=g;n=a}else return;while(1){a=0;do{g=j[n+(a<<1)>>1]|0;b[m+a>>0]=g>>>0<255?g:255;a=a+1|0}while((a|0)!=(k|0));l=l+1|0;if((l|0)==(e|0))break;else{m=m+h|0;n=n+(i<<1)|0}}return}function TN(a,c,e,g,h,i,j,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0;k=f[j>>2]|0;g=f[j+4>>2]|0;j=c>>>1;if((g|0)>0&(k|0)>0){l=0;m=h;n=a}else return;while(1){a=0;do{h=d[n+(a<<1)>>1]|0;b[m+a>>0]=(h&65535)<256?h&65535:h<<16>>16>0?255:0;a=a+1|0}while((a|0)!=(k|0));l=l+1|0;if((l|0)==(g|0))break;else{m=m+i|0;n=n+(j<<1)|0}}return}function UN(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=c>>>2;if((e|0)>0&(j|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{g=f[m+(a<<2)>>2]|0;b[l+a>>0]=g>>>0<256?g:(g|0)>0?255:0;a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+h|0;m=m+(i<<2)|0}}return}function VN(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=c>>>2;if((e|0)>0&(j|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{g=U9b(+n[m+(a<<2)>>2])|0;b[l+a>>0]=g>>>0<256?g:(g|0)>0?255:0;a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+h|0;m=m+(i<<2)|0}}return}function WN(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=c>>>3;if((e|0)>0&(j|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{g=V9b(+p[m+(a<<3)>>3])|0;b[l+a>>0]=g>>>0<256?g:(g|0)>0?255:0;a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+h|0;m=m+(i<<3)|0}}return}function XN(a,c,d,e,g,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0;k=f[j>>2]|0;e=f[j+4>>2]|0;if((e|0)>0&(k|0)>0){l=0;m=g;n=a}else return;while(1){a=0;do{g=h[n+a>>0]|0;b[m+a>>0]=g>>>0<127?g:127;a=a+1|0}while((a|0)!=(k|0));l=l+1|0;if((l|0)==(e|0))break;else{m=m+i|0;n=n+c|0}}return}function YN(a,c,d,e,g,h,i,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0,n=0;k=f[i>>2]|0;e=f[i+4>>2]|0;i=c>>>1;if((e|0)>0&(k|0)>0){l=0;m=g;n=a}else return;while(1){a=0;do{g=j[n+(a<<1)>>1]|0;b[m+a>>0]=g>>>0<127?g:127;a=a+1|0}while((a|0)!=(k|0));l=l+1|0;if((l|0)==(e|0))break;else{m=m+h|0;n=n+(i<<1)|0}}return}function ZN(a,c,e,g,h,i,j,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0;k=f[j>>2]|0;g=f[j+4>>2]|0;j=c>>>1;if((g|0)>0&(k|0)>0){l=0;m=h;n=a}else return;while(1){a=0;do{h=d[n+(a<<1)>>1]|0;c=h<<16>>16;b[m+a>>0]=(c+128|0)>>>0<256?c:h<<16>>16>0?127:128;a=a+1|0}while((a|0)!=(k|0));l=l+1|0;if((l|0)==(g|0))break;else{m=m+i|0;n=n+(j<<1)|0}}return}function _N(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=c>>>2;if((e|0)>0&(j|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{g=f[m+(a<<2)>>2]|0;b[l+a>>0]=(g+128|0)>>>0<256?g:(g|0)>0?127:128;a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+h|0;m=m+(i<<2)|0}}return}function $N(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=c>>>2;if((e|0)>0&(j|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{g=U9b(+n[m+(a<<2)>>2])|0;b[l+a>>0]=(g+128|0)>>>0<256?g:(g|0)>0?127:128;a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+h|0;m=m+(i<<2)|0}}return}function aO(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=c>>>3;if((e|0)>0&(j|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{g=V9b(+p[m+(a<<3)>>3])|0;b[l+a>>0]=(g+128|0)>>>0<256?g:(g|0)>0?127:128;a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+h|0;m=m+(i<<3)|0}}return}function bO(a,b,c,e,g,i,j,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0;k=f[j>>2]|0;e=f[j+4>>2]|0;j=i>>>1;if((e|0)>0&(k|0)>0){l=0;m=g;n=a}else return;while(1){a=0;do{d[m+(a<<1)>>1]=h[n+a>>0]|0;a=a+1|0}while((a|0)!=(k|0));l=l+1|0;if((l|0)==(e|0))break;else{m=m+(j<<1)|0;n=n+b|0}}return}function cO(a,c,e,g,h,i,j,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0;k=f[j>>2]|0;g=f[j+4>>2]|0;j=i>>>1;if((g|0)>0&(k|0)>0){l=0;m=h;n=a}else return;while(1){a=0;do{h=b[n+a>>0]|0;d[m+(a<<1)>>1]=(h|0)>0?h:0;a=a+1|0}while((a|0)!=(k|0));l=l+1|0;if((l|0)==(g|0))break;else{m=m+(j<<1)|0;n=n+c|0}}return}function dO(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;i=f[h+4>>2]|0;d=f[h>>2]<<1;if((i|0)<=0)return;h=a;a=e;e=0;while(1){Krc(a|0,h|0,d|0)|0;e=e+1|0;if((e|0)==(i|0))break;else{h=h+b|0;a=a+g|0}}return}function eO(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=b>>>1;b=h>>>1;if((j|0)>0&(e|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{g=d[m+(a<<1)>>1]|0;d[l+(a<<1)>>1]=(g|0)>0?g:0;a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+(b<<1)|0;m=m+(i<<1)|0}}return}function fO(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=b>>>2;b=h>>>1;if((j|0)>0&(e|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{g=f[m+(a<<2)>>2]|0;d[l+(a<<1)>>1]=g>>>0<65536?g:(g|0)>0?65535:0;a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+(b<<1)|0;m=m+(i<<2)|0}}return}function gO(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=b>>>2;b=h>>>1;if((j|0)>0&(e|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{g=U9b(+n[m+(a<<2)>>2])|0;d[l+(a<<1)>>1]=g>>>0<65536?g:(g|0)>0?65535:0;a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+(b<<1)|0;m=m+(i<<2)|0}}return}function hO(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=b>>>3;b=h>>>1;if((j|0)>0&(e|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{g=V9b(+p[m+(a<<3)>>3])|0;d[l+(a<<1)>>1]=g>>>0<65536?g:(g|0)>0?65535:0;a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+(b<<1)|0;m=m+(i<<3)|0}}return}function iO(a,b,c,e,g,i,j,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0;k=f[j>>2]|0;e=f[j+4>>2]|0;j=i>>>1;if((e|0)>0&(k|0)>0){l=0;m=g;n=a}else return;while(1){a=0;do{d[m+(a<<1)>>1]=h[n+a>>0]|0;a=a+1|0}while((a|0)!=(k|0));l=l+1|0;if((l|0)==(e|0))break;else{m=m+(j<<1)|0;n=n+b|0}}return}function jO(a,c,e,g,h,i,j,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0;k=f[j>>2]|0;g=f[j+4>>2]|0;j=i>>>1;if((g|0)>0&(k|0)>0){l=0;m=h;n=a}else return;while(1){a=0;do{d[m+(a<<1)>>1]=b[n+a>>0]|0;a=a+1|0}while((a|0)!=(k|0));l=l+1|0;if((l|0)==(g|0))break;else{m=m+(j<<1)|0;n=n+c|0}}return}function kO(a,b,c,e,g,h,i,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0,n=0;k=f[i>>2]|0;e=f[i+4>>2]|0;i=b>>>1;b=h>>>1;if((k|0)>0&(e|0)>0){l=0;m=g;n=a}else return;while(1){a=0;do{g=j[n+(a<<1)>>1]|0;d[m+(a<<1)>>1]=g>>>0<32767?g:32767;a=a+1|0}while((a|0)!=(k|0));l=l+1|0;if((l|0)==(e|0))break;else{m=m+(b<<1)|0;n=n+(i<<1)|0}}return}function lO(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=b>>>2;b=h>>>1;if((j|0)>0&(e|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{g=f[m+(a<<2)>>2]|0;d[l+(a<<1)>>1]=(g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768;a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+(b<<1)|0;m=m+(i<<2)|0}}return}function mO(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=b>>>2;b=h>>>1;if((j|0)>0&(e|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{g=U9b(+n[m+(a<<2)>>2])|0;d[l+(a<<1)>>1]=(g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768;a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+(b<<1)|0;m=m+(i<<2)|0}}return}function nO(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=b>>>3;b=h>>>1;if((j|0)>0&(e|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{g=V9b(+p[m+(a<<3)>>3])|0;d[l+(a<<1)>>1]=(g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768;a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+(b<<1)|0;m=m+(i<<3)|0}}return}function oO(a,b,c,d,e,g,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;d=f[i+4>>2]|0;i=g>>>2;if((d|0)>0&(j|0)>0){k=0;l=e;m=a}else return;while(1){a=0;do{f[l+(a<<2)>>2]=h[m+a>>0];a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(d|0))break;else{l=l+(i<<2)|0;m=m+b|0}}return}function pO(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=h>>>2;if((e|0)>0&(j|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{f[l+(a<<2)>>2]=b[m+a>>0];a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+(i<<2)|0;m=m+c|0}}return}function qO(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0;i=f[h>>2]|0;d=f[h+4>>2]|0;h=b>>>1;b=g>>>2;if((d|0)>0&(i|0)>0){k=0;l=e;m=a}else return;while(1){a=0;do{f[l+(a<<2)>>2]=j[m+(a<<1)>>1];a=a+1|0}while((a|0)!=(i|0));k=k+1|0;if((k|0)==(d|0))break;else{l=l+(b<<2)|0;m=m+(h<<1)|0}}return}function rO(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=b>>>1;b=h>>>2;if((e|0)>0&(j|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{f[l+(a<<2)>>2]=d[m+(a<<1)>>1];a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+(b<<2)|0;m=m+(i<<1)|0}}return}function sO(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;i=f[h+4>>2]|0;d=f[h>>2]<<2;if((i|0)<=0)return;h=a;a=e;e=0;while(1){Krc(a|0,h|0,d|0)|0;e=e+1|0;if((e|0)==(i|0))break;else{h=h+b|0;a=a+g|0}}return}function tO(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0;i=f[h>>2]|0;d=f[h+4>>2]|0;h=b>>>2;b=g>>>2;if((d|0)>0&(i|0)>0){j=0;k=e;l=a}else return;while(1){a=0;do{e=U9b(+n[l+(a<<2)>>2])|0;f[k+(a<<2)>>2]=e;a=a+1|0}while((a|0)!=(i|0));j=j+1|0;if((j|0)==(d|0))break;else{k=k+(b<<2)|0;l=l+(h<<2)|0}}return}function uO(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0;i=f[h>>2]|0;d=f[h+4>>2]|0;h=b>>>3;b=g>>>2;if((d|0)>0&(i|0)>0){j=0;k=e;l=a}else return;while(1){a=0;do{e=V9b(+p[l+(a<<3)>>3])|0;f[k+(a<<2)>>2]=e;a=a+1|0}while((a|0)!=(i|0));j=j+1|0;if((j|0)==(d|0))break;else{k=k+(b<<2)|0;l=l+(h<<3)|0}}return}function vO(a,b,c,d,e,g,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;d=f[i+4>>2]|0;i=g>>>2;if((d|0)>0&(j|0)>0){k=0;l=e;m=a}else return;while(1){a=0;do{n[l+(a<<2)>>2]=+(h[m+a>>0]|0);a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(d|0))break;else{l=l+(i<<2)|0;m=m+b|0}}return}function wO(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=h>>>2;if((e|0)>0&(j|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{n[l+(a<<2)>>2]=+(b[m+a>>0]|0);a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+(i<<2)|0;m=m+c|0}}return}function xO(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0;i=f[h>>2]|0;d=f[h+4>>2]|0;h=b>>>1;b=g>>>2;if((i|0)>0&(d|0)>0){k=0;l=e;m=a}else return;while(1){a=0;do{n[l+(a<<2)>>2]=+(j[m+(a<<1)>>1]|0);a=a+1|0}while((a|0)!=(i|0));k=k+1|0;if((k|0)==(d|0))break;else{l=l+(b<<2)|0;m=m+(h<<1)|0}}return}function yO(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=b>>>1;b=h>>>2;if((j|0)>0&(e|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{n[l+(a<<2)>>2]=+(d[m+(a<<1)>>1]|0);a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+(b<<2)|0;m=m+(i<<1)|0}}return}function zO(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0;i=f[h>>2]|0;d=f[h+4>>2]|0;h=b>>>2;b=g>>>2;if((i|0)>0&(d|0)>0){j=0;k=e;l=a}else return;while(1){a=0;do{n[k+(a<<2)>>2]=+(f[l+(a<<2)>>2]|0);a=a+1|0}while((a|0)!=(i|0));j=j+1|0;if((j|0)==(d|0))break;else{k=k+(b<<2)|0;l=l+(h<<2)|0}}return}function AO(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0;i=f[h>>2]|0;d=f[h+4>>2]|0;h=b>>>3;b=g>>>2;if((i|0)>0&(d|0)>0){j=0;k=e;l=a}else return;while(1){a=0;do{n[k+(a<<2)>>2]=+p[l+(a<<3)>>3];a=a+1|0}while((a|0)!=(i|0));j=j+1|0;if((j|0)==(d|0))break;else{k=k+(b<<2)|0;l=l+(h<<3)|0}}return}function BO(a,b,c,d,e,g,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;d=f[i+4>>2]|0;i=g>>>3;if((d|0)>0&(j|0)>0){k=0;l=e;m=a}else return;while(1){a=0;do{p[l+(a<<3)>>3]=+(h[m+a>>0]|0);a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(d|0))break;else{l=l+(i<<3)|0;m=m+b|0}}return}function CO(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=h>>>3;if((e|0)>0&(j|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{p[l+(a<<3)>>3]=+(b[m+a>>0]|0);a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+(i<<3)|0;m=m+c|0}}return}function DO(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0;i=f[h>>2]|0;d=f[h+4>>2]|0;h=b>>>1;b=g>>>3;if((i|0)>0&(d|0)>0){k=0;l=e;m=a}else return;while(1){a=0;do{p[l+(a<<3)>>3]=+(j[m+(a<<1)>>1]|0);a=a+1|0}while((a|0)!=(i|0));k=k+1|0;if((k|0)==(d|0))break;else{l=l+(b<<3)|0;m=m+(h<<1)|0}}return}function EO(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=b>>>1;b=h>>>3;if((j|0)>0&(e|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{p[l+(a<<3)>>3]=+(d[m+(a<<1)>>1]|0);a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+(b<<3)|0;m=m+(i<<1)|0}}return}function FO(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0;i=f[h>>2]|0;d=f[h+4>>2]|0;h=b>>>2;b=g>>>3;if((i|0)>0&(d|0)>0){j=0;k=e;l=a}else return;while(1){a=0;do{p[k+(a<<3)>>3]=+(f[l+(a<<2)>>2]|0);a=a+1|0}while((a|0)!=(i|0));j=j+1|0;if((j|0)==(d|0))break;else{k=k+(b<<3)|0;l=l+(h<<2)|0}}return}function GO(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0;i=f[h>>2]|0;d=f[h+4>>2]|0;h=b>>>2;b=g>>>3;if((i|0)>0&(d|0)>0){j=0;k=e;l=a}else return;while(1){a=0;do{p[k+(a<<3)>>3]=+n[l+(a<<2)>>2];a=a+1|0}while((a|0)!=(i|0));j=j+1|0;if((j|0)==(d|0))break;else{k=k+(b<<3)|0;l=l+(h<<2)|0}}return}function HO(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;i=f[h+4>>2]|0;d=f[h>>2]<<3;if((i|0)<=0)return;h=a;a=e;e=0;while(1){Krc(a|0,h|0,d|0)|0;e=e+1|0;if((e|0)==(i|0))break;else{h=h+b|0;a=a+g|0}}return}function IO(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=+e;g=+g;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;h=u;u=u+224|0;i=h+208|0;j=h+152|0;k=h+88|0;l=h+96|0;m=h+8|0;n=h+72|0;o=h+64|0;q=h;r=h+32|0;s=h+24|0;zT(i,45616);t=a+16|0;do if(f[t>>2]|0){v=a+4|0;w=f[v>>2]|0;if((w|0)<3)x=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{y=f[a+40>>2]|0;z=0;A=1;while(1){B=Y(f[y+(z<<2)>>2]|0,A)|0;z=z+1|0;if((z|0)==(w|0)){x=B;break}else A=B}}if(!((w|0)==0|(x|0)==0)){if(+L(+(e+-1.0))<2.220446049250313e-16)C=+L(+g)<2.220446049250313e-16;else C=0;do if((d|0)<0)if(hE(c)|0){A=oD(c,-1)|0;D=A;E=a;F=f[a>>2]|0;break}else{A=f[a>>2]|0;D=A&4095;E=a;F=A;break}else{A=f[a>>2]|0;D=A&4088|d&7;E=a;F=A}while(0);w=F&7;A=D&7;if(!((w|0)!=(A|0)|C^1)){kT(a,c);break}f[j>>2]=F;z=j+4|0;y=f[v>>2]|0;f[z>>2]=y;B=j+8|0;f[B>>2]=f[a+8>>2];G=j+12|0;f[G>>2]=f[a+12>>2];H=j+16|0;f[H>>2]=f[t>>2];f[j+20>>2]=f[a+20>>2];f[j+24>>2]=f[a+24>>2];f[j+28>>2]=f[a+28>>2];f[j+32>>2]=f[a+32>>2];I=j+36|0;K=f[a+36>>2]|0;f[I>>2]=K;M=j+40|0;f[M>>2]=B;N=j+48|0;O=j+44|0;f[O>>2]=N;f[N>>2]=0;f[j+52>>2]=0;if(!K)P=y;else{y=K+12|0;f[y>>2]=(f[y>>2]|0)+1;P=f[v>>2]|0}if((P|0)<3){y=f[a+44>>2]|0;K=f[O>>2]|0;f[K>>2]=f[y>>2];f[K+4>>2]=f[y+4>>2]}else{f[z>>2]=0;kP(j,a)}y=f[v>>2]|0;K=f[a+40>>2]|0;if((y|0)<3){Q=f[K>>2]|0;f[k>>2]=f[K+4>>2];f[k+4>>2]=Q;HD(c,k,D,-1,0,0)}else ID(c,y,K,D,-1,0,0);do if((pD(c)|0)==65536){K=f[c+4>>2]|0;f[l>>2]=f[K>>2];y=l+4|0;Q=K+4|0;f[y>>2]=f[Q>>2];R=l+8|0;f[R>>2]=f[K+8>>2];f[l+12>>2]=f[K+12>>2];f[l+16>>2]=f[K+16>>2];f[l+20>>2]=f[K+20>>2];f[l+24>>2]=f[K+24>>2];f[l+28>>2]=f[K+28>>2];f[l+32>>2]=f[K+32>>2];S=f[K+36>>2]|0;f[l+36>>2]=S;f[l+40>>2]=R;R=l+48|0;T=l+44|0;f[T>>2]=R;f[R>>2]=0;f[l+52>>2]=0;if(S|0){R=S+12|0;f[R>>2]=(f[R>>2]|0)+1}if((f[Q>>2]|0)<3){Q=f[K+44>>2]|0;R=f[T>>2]|0;f[R>>2]=f[Q>>2];f[R+4>>2]=f[Q+4>>2];break}else{f[y>>2]=0;kP(l,K);break}}else lD(l,c,-1);while(0);if(C)U=f[45360+(A<<5)+(w<<2)>>2]|0;else U=CP(w,A)|0;p[m>>3]=e;p[m+8>>3]=g;K=((f[E>>2]|0)>>>3&511)+1|0;if(!U){f[n>>2]=0;f[n+4>>2]=0;y=YG(n,9)|0;Q=274048;R=y+9|0;do{b[y>>0]=b[Q>>0]|0;y=y+1|0;Q=Q+1|0}while((y|0)<(R|0));JO(-215,n,201202,450)}if((f[v>>2]|0)<3){Q=f[j>>2]|0;y=f[l>>2]|0;R=f[G>>2]|0;A=f[B>>2]|0;w=Urc(R|0,((R|0)<0)<<31>>31|0,K|0,0)|0;T=Urc(w|0,J|0,A|0,((A|0)<0)<<31>>31|0)|0;if((Q&16384&y|0)!=0?(T|0)==(T|0)&(((T|0)<0)<<31>>31|0)==(J|0):0){V=1;W=T}else{V=A;W=Y(R,K)|0}R=f[H>>2]|0;A=f[N>>2]|0;T=f[l+16>>2]|0;y=f[l+48>>2]|0;f[o>>2]=W;f[o+4>>2]=V;Fh[U&255](R,A,0,0,T,y,o,m)}else{f[n>>2]=j;f[n+4>>2]=l;f[n+8>>2]=0;y=q;f[y>>2]=0;f[y+4>>2]=0;IN(r,n,q,-1);y=Y(f[r+20>>2]|0,K)|0;T=r+16|0;A=q+4|0;R=s+4|0;Q=0;while(1){if(Q>>>0>=(f[T>>2]|0)>>>0)break;w=f[q>>2]|0;S=f[A>>2]|0;f[s>>2]=y;f[R>>2]=1;Fh[U&255](w,1,0,0,S,1,s,m);JN(r)|0;Q=Q+1|0}}Q=l+36|0;R=f[Q>>2]|0;if(R|0?(y=R+12|0,R=f[y>>2]|0,f[y>>2]=R+-1,(R|0)==1):0)lP(l);f[Q>>2]=0;Q=l+16|0;R=l+4|0;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q+12>>2]=0;if((f[R>>2]|0)>0){Q=f[l+40>>2]|0;y=0;do{f[Q+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[R>>2]|0))}R=f[l+44>>2]|0;if((R|0)!=(l+48|0))tE(R);R=f[I>>2]|0;if(R|0?(y=R+12|0,R=f[y>>2]|0,f[y>>2]=R+-1,(R|0)==1):0)lP(j);f[I>>2]=0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[z>>2]|0)>0){R=f[M>>2]|0;y=0;do{f[R+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[z>>2]|0))}z=f[O>>2]|0;if((z|0)!=(N|0))tE(z)}else X=7}else X=7;while(0);if((X|0)==7)GD(c);if(!(f[i+4>>2]|0)){u=h;return}u=h;return}function JO(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;SQ(a,b,c,201212,d);return}function KO(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=u;u=u+192|0;e=d+184|0;g=d+128|0;h=d+64|0;i=d+120|0;j=d+48|0;k=d;l=d+8|0;m=d+40|0;zT(e,45636);switch(BD(a,-1)|0){case 5:{n=2;break}case 3:{o=140;p=5;break}default:{f[g>>2]=0;f[g+4>>2]=0;q=YG(g,23)|0;r=201406;s=q+23|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));JO(-210,g,201359,497)}}if((n|0)==2)if(hE(c)|0){if((BD(c,-1)|0)!=3){f[g>>2]=0;f[g+4>>2]=0;q=YG(g,16)|0;r=201342;s=q+16|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));JO(-215,g,201359,484)}n=CD(c,-1)|0;if((n|0)!=(CD(a,-1)|0)){f[g>>2]=0;f[g+4>>2]=0;q=YG(g,34)|0;r=201371;s=q+34|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));JO(-215,g,201359,485)}else{o=141;p=3}}else{o=141;p=3}do if((pD(a)|0)==65536){r=f[a+4>>2]|0;f[g>>2]=f[r>>2];q=g+4|0;s=r+4|0;f[q>>2]=f[s>>2];n=g+8|0;f[n>>2]=f[r+8>>2];f[g+12>>2]=f[r+12>>2];f[g+16>>2]=f[r+16>>2];f[g+20>>2]=f[r+20>>2];f[g+24>>2]=f[r+24>>2];f[g+28>>2]=f[r+28>>2];f[g+32>>2]=f[r+32>>2];t=f[r+36>>2]|0;f[g+36>>2]=t;v=g+40|0;f[v>>2]=n;n=g+48|0;w=g+44|0;f[w>>2]=n;f[n>>2]=0;f[g+52>>2]=0;if(t|0){n=t+12|0;f[n>>2]=(f[n>>2]|0)+1}if((f[s>>2]|0)<3){s=f[r+44>>2]|0;n=f[w>>2]|0;f[n>>2]=f[s>>2];f[n+4>>2]=f[s+4>>2];x=q;y=v;z=g;break}else{f[q>>2]=0;kP(g,r);x=q;y=v;z=g;break}}else{lD(g,a,-1);x=g+4|0;y=g+40|0;z=g}while(0);ID(c,f[x>>2]|0,f[y>>2]|0,f[z>>2]&4088|p,-1,0,0);do if((pD(c)|0)==65536){p=f[c+4>>2]|0;f[h>>2]=f[p>>2];a=h+4|0;v=p+4|0;f[a>>2]=f[v>>2];q=h+8|0;f[q>>2]=f[p+8>>2];f[h+12>>2]=f[p+12>>2];f[h+16>>2]=f[p+16>>2];f[h+20>>2]=f[p+20>>2];f[h+24>>2]=f[p+24>>2];f[h+28>>2]=f[p+28>>2];f[h+32>>2]=f[p+32>>2];r=f[p+36>>2]|0;f[h+36>>2]=r;f[h+40>>2]=q;q=h+48|0;s=h+44|0;f[s>>2]=q;f[q>>2]=0;f[h+52>>2]=0;if(r|0){q=r+12|0;f[q>>2]=(f[q>>2]|0)+1}if((f[v>>2]|0)<3){v=f[p+44>>2]|0;q=f[s>>2]|0;f[q>>2]=f[v>>2];f[q+4>>2]=f[v+4>>2];break}else{f[a>>2]=0;kP(h,p);break}}else lD(h,c,-1);while(0);c=f[z>>2]|0;z=(c>>>3&511)+1|0;if((f[x>>2]|0)<3){p=f[h>>2]|0;a=f[g+12>>2]|0;v=f[g+8>>2]|0;q=Urc(a|0,((a|0)<0)<<31>>31|0,z|0,0)|0;s=Urc(q|0,J|0,v|0,((v|0)<0)<<31>>31|0)|0;if((c&16384&p|0)!=0?(s|0)==(s|0)&(((s|0)<0)<<31>>31|0)==(J|0):0){A=1;B=s}else{A=v;B=Y(a,z)|0}a=f[g+16>>2]|0;v=f[g+48>>2]|0;s=f[h+16>>2]|0;p=f[h+48>>2]|0;f[i>>2]=B;f[i+4>>2]=A;Fh[o&255](a,v,0,0,s,p,i,0)}else{f[j>>2]=g;f[j+4>>2]=h;f[j+8>>2]=0;i=k;f[i>>2]=0;f[i+4>>2]=0;IN(l,j,k,-1);j=Y(f[l+20>>2]|0,z)|0;z=l+16|0;i=k+4|0;p=m+4|0;s=0;while(1){if(s>>>0>=(f[z>>2]|0)>>>0)break;v=f[k>>2]|0;a=f[i>>2]|0;f[m>>2]=j;f[p>>2]=1;Fh[o&255](v,0,0,0,a,0,m,0);JN(l)|0;s=s+1|0}}s=h+36|0;l=f[s>>2]|0;if(l|0?(m=l+12|0,l=f[m>>2]|0,f[m>>2]=l+-1,(l|0)==1):0)lP(h);f[s>>2]=0;s=h+16|0;l=h+4|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[l>>2]|0)>0){s=f[h+40>>2]|0;m=0;do{f[s+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[l>>2]|0))}l=f[h+44>>2]|0;if((l|0)!=(h+48|0))tE(l);l=g+36|0;h=f[l>>2]|0;if(h|0?(m=h+12|0,h=f[m>>2]|0,f[m>>2]=h+-1,(h|0)==1):0)lP(g);f[l>>2]=0;l=g+16|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[x>>2]|0)>0){l=f[y>>2]|0;y=0;do{f[l+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[x>>2]|0))}x=f[g+44>>2]|0;if((x|0)!=(g+48|0))tE(x);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function LO(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,o=0;j=f[i>>2]|0;e=f[i+4>>2]|0;i=b>>>2;b=h>>>1;if((e|0)>0&(j|0)>0){k=0;l=g;m=a}else return;while(1){a=0;do{g=f[m+(a<<2)>>2]|0;h=g&-2147483648;c=h^g;do if(c>>>0<=1199570943)if(c>>>0<947912704){o=(n[s>>2]=(f[s>>2]=c,+n[s>>2])+.5,f[s>>2]|0);break}else{o=(g+134221823+(g>>>13&1)|0)>>>13;break}else o=c>>>0>2139095040?32256:31744;while(0);d[l+(a<<1)>>1]=o|h>>>16;a=a+1|0}while((a|0)!=(j|0));k=k+1|0;if((k|0)==(e|0))break;else{l=l+(b<<1)|0;m=m+(i<<2)|0}}return}function MO(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,o=0,p=0,q=0,r=0;i=f[h>>2]|0;d=f[h+4>>2]|0;h=b>>>1;b=g>>>2;if((i|0)>0&(d|0)>0){k=0;l=e;m=a}else return;while(1){a=0;do{e=j[m+(a<<1)>>1]|0;g=e<<13;c=g&268427264;o=c+939524096|0;p=e<<16&-2147483648;q=e&31744;a:do if(q<<16>>16<31744){switch(q<<16>>16){case 0:break;default:{r=o;break a}}r=(n[s>>2]=(f[s>>2]=c+947912704,+n[s>>2])+-.00006103515625,f[s>>2]|0)}else{switch(q<<16>>16){case 31744:break;default:{r=o;break a}}r=g|1879048192}while(0);f[l+(a<<2)>>2]=r|p;a=a+1|0}while((a|0)!=(i|0));k=k+1|0;if((k|0)==(d|0))break;else{l=l+(b<<2)|0;m=m+(h<<1)|0}}return}function NO(a){a=a|0;return}function OO(a,b,c){a=a|0;b=b|0;c=c|0;return}function PO(a,b){a=a|0;b=b|0;if(f[b+8>>2]|0)return;if(f[b+12>>2]|0)return;xh[f[(f[a>>2]|0)+16>>2]&2047](a,b);return}function QO(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;a=u;u=u+288|0;k=a+160|0;l=a+104|0;m=a+48|0;n=a+40|0;o=a+32|0;p=a;if(!c){u=a;return}q=f[c+16>>2]|0;a:do if((e|0)>0){c=e+-2|0;if(!h){r=0;while(1){s=f[g+(r<<2)>>2]|0;if((s|0)<=-1)break;if(!s)break a;f[k+(r<<2)>>2]=s;r=r+1|0;if((r|0)>=(e|0)){t=q;v=13;break a}}f[l>>2]=0;w=l+4|0;f[w>>2]=0;x=YG(l,24)|0;y=x;z=201537;A=y+24|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));_O(-215,l,202032,33)}else{B=q;C=0}while(1){r=f[g+(C<<2)>>2]|0;if((r|0)<=-1)break;if(!r)break a;if((C|0)>(c|0))D=1;else D=f[i+(C<<2)>>2]|0;s=B+(Y(D,f[h+(C<<2)>>2]|0)|0)|0;f[k+(C<<2)>>2]=r;C=C+1|0;if((C|0)>=(e|0)){t=s;v=13;break a}else B=s}f[l>>2]=0;w=l+4|0;f[w>>2]=0;x=YG(l,24)|0;y=x;z=201537;A=y+24|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));_O(-215,l,202032,33)}else{t=q;v=13}while(0);if((v|0)==13){v=l+4|0;q=l+8|0;z=l+16|0;x=l+20|0;w=l+40|0;y=v;A=y+36|0;do{f[y>>2]=0;y=y+4|0}while((y|0)<(A|0));f[w>>2]=q;q=l+48|0;B=l+44|0;f[B>>2]=q;f[l+52>>2]=0;f[q>>2]=0;f[l>>2]=1124007936;f[z>>2]=t;f[x>>2]=t;$O(l,e,k,i,1);aP(l);i=m+4|0;t=m+8|0;x=m+16|0;C=m+20|0;h=m+40|0;y=i;A=y+36|0;do{f[y>>2]=0;y=y+4|0}while((y|0)<(A|0));f[h>>2]=t;t=m+48|0;y=m+44|0;f[y>>2]=t;f[m+52>>2]=0;f[t>>2]=0;f[m>>2]=1124007936;f[x>>2]=d;f[C>>2]=d;$O(m,e,k,j,1);aP(m);f[n>>2]=l;f[n+4>>2]=m;IN(p,n,o,2);n=f[p+20>>2]|0;j=p+16|0;k=o+4|0;e=0;while(1){if(e>>>0>=(f[j>>2]|0)>>>0)break;Krc(f[k>>2]|0,f[o>>2]|0,n|0)|0;JN(p)|0;e=e+1|0}e=m+36|0;p=f[e>>2]|0;if((p|0?(n=p+12|0,p=f[n>>2]|0,f[n>>2]=p+-1,(p|0)==1):0)?(p=f[e>>2]|0,p|0):0){f[e>>2]=0;n=f[p+4>>2]|0;if(!n){o=f[m+32>>2]|0;if(!o)E=bP()|0;else E=o}else E=n;xh[f[(f[E>>2]|0)+24>>2]&2047](E,p)}f[e>>2]=0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[i>>2]|0)>0){x=f[h>>2]|0;h=0;do{f[x+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[i>>2]|0))}i=f[y>>2]|0;if((i|0)!=(t|0))tE(i);i=l+36|0;t=f[i>>2]|0;if((t|0?(y=t+12|0,t=f[y>>2]|0,f[y>>2]=t+-1,(t|0)==1):0)?(t=f[i>>2]|0,t|0):0){f[i>>2]=0;y=f[t+4>>2]|0;if(!y){h=f[l+32>>2]|0;if(!h)F=bP()|0;else F=h}else F=y;xh[f[(f[F>>2]|0)+24>>2]&2047](F,t)}f[i>>2]=0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[v>>2]|0)>0){z=f[w>>2]|0;w=0;do{f[z+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[v>>2]|0))}v=f[B>>2]|0;if((v|0)!=(q|0))tE(v)}u=a;return}function RO(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;a=u;u=u+288|0;k=a+160|0;l=a+104|0;m=a+48|0;n=a+40|0;o=a+32|0;p=a;if(!c){u=a;return}q=f[c+16>>2]|0;a:do if((e|0)>0){c=e+-2|0;if(!h){r=0;while(1){s=f[g+(r<<2)>>2]|0;if((s|0)<=-1)break;if(!s)break a;f[k+(r<<2)>>2]=s;r=r+1|0;if((r|0)>=(e|0)){t=q;v=13;break a}}f[l>>2]=0;w=l+4|0;f[w>>2]=0;x=YG(l,24)|0;y=x;z=201537;A=y+24|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));_O(-215,l,202025,64)}else{B=q;C=0}while(1){r=f[g+(C<<2)>>2]|0;if((r|0)<=-1)break;if(!r)break a;if((C|0)>(c|0))D=1;else D=f[i+(C<<2)>>2]|0;s=B+(Y(D,f[h+(C<<2)>>2]|0)|0)|0;f[k+(C<<2)>>2]=r;C=C+1|0;if((C|0)>=(e|0)){t=s;v=13;break a}else B=s}f[l>>2]=0;w=l+4|0;f[w>>2]=0;x=YG(l,24)|0;y=x;z=201537;A=y+24|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));_O(-215,l,202025,64)}else{t=q;v=13}while(0);if((v|0)==13){v=l+4|0;q=l+8|0;z=l+16|0;x=l+20|0;w=l+40|0;y=v;A=y+36|0;do{f[y>>2]=0;y=y+4|0}while((y|0)<(A|0));f[w>>2]=q;q=l+48|0;B=l+44|0;f[B>>2]=q;f[l+52>>2]=0;f[q>>2]=0;f[l>>2]=1124007936;f[z>>2]=d;f[x>>2]=d;$O(l,e,k,j,1);aP(l);j=m+4|0;d=m+8|0;x=m+16|0;C=m+20|0;h=m+40|0;y=j;A=y+36|0;do{f[y>>2]=0;y=y+4|0}while((y|0)<(A|0));f[h>>2]=d;d=m+48|0;y=m+44|0;f[y>>2]=d;f[m+52>>2]=0;f[d>>2]=0;f[m>>2]=1124007936;f[x>>2]=t;f[C>>2]=t;$O(m,e,k,i,1);aP(m);f[n>>2]=l;f[n+4>>2]=m;IN(p,n,o,2);n=f[p+20>>2]|0;i=p+16|0;k=o+4|0;e=0;while(1){if(e>>>0>=(f[i>>2]|0)>>>0)break;Krc(f[k>>2]|0,f[o>>2]|0,n|0)|0;JN(p)|0;e=e+1|0}e=m+36|0;p=f[e>>2]|0;if((p|0?(n=p+12|0,p=f[n>>2]|0,f[n>>2]=p+-1,(p|0)==1):0)?(p=f[e>>2]|0,p|0):0){f[e>>2]=0;n=f[p+4>>2]|0;if(!n){o=f[m+32>>2]|0;if(!o)E=bP()|0;else E=o}else E=n;xh[f[(f[E>>2]|0)+24>>2]&2047](E,p)}f[e>>2]=0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[j>>2]|0)>0){x=f[h>>2]|0;h=0;do{f[x+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[j>>2]|0))}j=f[y>>2]|0;if((j|0)!=(d|0))tE(j);j=l+36|0;d=f[j>>2]|0;if((d|0?(y=d+12|0,d=f[y>>2]|0,f[y>>2]=d+-1,(d|0)==1):0)?(d=f[j>>2]|0,d|0):0){f[j>>2]=0;y=f[d+4>>2]|0;if(!y){h=f[l+32>>2]|0;if(!h)F=bP()|0;else F=h}else F=y;xh[f[(f[F>>2]|0)+24>>2]&2047](F,d)}f[j>>2]=0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[v>>2]|0)>0){z=f[w>>2]|0;w=0;do{f[z+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[v>>2]|0))}v=f[B>>2]|0;if((v|0)!=(q|0))tE(v)}u=a;return}function SO(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;l=u;u=u+304|0;a=l+288|0;m=l+160|0;n=l+104|0;o=l+48|0;p=l+40|0;q=l+32|0;r=l;zT(a,45688);if((c|0)!=0&(d|0)!=0){s=f[c+16>>2]|0;c=f[d+16>>2]|0;a:do if((e|0)>0){d=(j|0)==0;t=e+-2|0;if(h|0){v=0;w=c;x=s;while(1){y=f[g+(v<<2)>>2]|0;if((y|0)<=-1)break;if(!y)break a;z=(v|0)>(t|0);if(z)A=1;else A=f[i+(v<<2)>>2]|0;B=x+(Y(A,f[h+(v<<2)>>2]|0)|0)|0;if(d)C=w;else{if(z)D=1;else D=f[k+(v<<2)>>2]|0;C=w+(Y(D,f[j+(v<<2)>>2]|0)|0)|0}f[m+(v<<2)>>2]=y;v=v+1|0;if((v|0)>=(e|0)){E=C;F=B;G=23;break a}else{w=C;x=B}}f[n>>2]=0;H=n+4|0;f[H>>2]=0;I=YG(n,24)|0;J=I;K=201537;L=J+24|0;do{b[J>>0]=b[K>>0]|0;J=J+1|0;K=K+1|0}while((J|0)<(L|0));_O(-215,n,201562,97)}if(d){x=0;while(1){w=f[g+(x<<2)>>2]|0;if((w|0)<=-1)break;if(!w)break a;f[m+(x<<2)>>2]=w;x=x+1|0;if((x|0)>=(e|0)){E=c;F=s;G=23;break a}}f[n>>2]=0;H=n+4|0;f[H>>2]=0;I=YG(n,24)|0;J=I;K=201537;L=J+24|0;do{b[J>>0]=b[K>>0]|0;J=J+1|0;K=K+1|0}while((J|0)<(L|0));_O(-215,n,201562,97)}else{M=0;N=c}while(1){x=f[g+(M<<2)>>2]|0;if((x|0)<=-1)break;if(!x)break a;if((M|0)>(t|0))O=1;else O=f[k+(M<<2)>>2]|0;d=N+(Y(O,f[j+(M<<2)>>2]|0)|0)|0;f[m+(M<<2)>>2]=x;M=M+1|0;if((M|0)>=(e|0)){E=d;F=s;G=23;break a}else N=d}f[n>>2]=0;H=n+4|0;f[H>>2]=0;I=YG(n,24)|0;J=I;K=201537;L=J+24|0;do{b[J>>0]=b[K>>0]|0;J=J+1|0;K=K+1|0}while((J|0)<(L|0));_O(-215,n,201562,97)}else{E=c;F=s;G=23}while(0);if((G|0)==23){G=n+4|0;s=n+8|0;c=n+16|0;K=n+20|0;I=n+40|0;J=G;L=J+36|0;do{f[J>>2]=0;J=J+4|0}while((J|0)<(L|0));f[I>>2]=s;s=n+48|0;H=n+44|0;f[H>>2]=s;f[n+52>>2]=0;f[s>>2]=0;f[n>>2]=1124007936;f[c>>2]=F;f[K>>2]=F;$O(n,e,m,i,1);aP(n);i=o+4|0;F=o+8|0;K=o+16|0;N=o+20|0;M=o+40|0;J=i;L=J+36|0;do{f[J>>2]=0;J=J+4|0}while((J|0)<(L|0));f[M>>2]=F;F=o+48|0;J=o+44|0;f[J>>2]=F;f[o+52>>2]=0;f[F>>2]=0;f[o>>2]=1124007936;f[K>>2]=E;f[N>>2]=E;$O(o,e,m,k,1);aP(o);f[p>>2]=n;f[p+4>>2]=o;IN(r,p,q,2);p=f[r+20>>2]|0;k=r+16|0;m=q+4|0;e=0;while(1){if(e>>>0>=(f[k>>2]|0)>>>0)break;Krc(f[m>>2]|0,f[q>>2]|0,p|0)|0;JN(r)|0;e=e+1|0}e=o+36|0;r=f[e>>2]|0;if((r|0?(p=r+12|0,r=f[p>>2]|0,f[p>>2]=r+-1,(r|0)==1):0)?(r=f[e>>2]|0,r|0):0){f[e>>2]=0;p=f[r+4>>2]|0;if(!p){q=f[o+32>>2]|0;if(!q)P=bP()|0;else P=q}else P=p;xh[f[(f[P>>2]|0)+24>>2]&2047](P,r)}f[e>>2]=0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[i>>2]|0)>0){K=f[M>>2]|0;M=0;do{f[K+(M<<2)>>2]=0;M=M+1|0}while((M|0)<(f[i>>2]|0))}i=f[J>>2]|0;if((i|0)!=(F|0))tE(i);i=n+36|0;F=f[i>>2]|0;if((F|0?(J=F+12|0,F=f[J>>2]|0,f[J>>2]=F+-1,(F|0)==1):0)?(F=f[i>>2]|0,F|0):0){f[i>>2]=0;J=f[F+4>>2]|0;if(!J){M=f[n+32>>2]|0;if(!M)Q=bP()|0;else Q=M}else Q=J;xh[f[(f[Q>>2]|0)+24>>2]&2047](Q,F)}f[i>>2]=0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[G>>2]|0)>0){c=f[I>>2]|0;I=0;do{f[c+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[G>>2]|0))}G=f[H>>2]|0;if((G|0)!=(s|0))tE(G)}}if(!(f[a+4>>2]|0)){u=l;return}u=l;return}function TO(a,c){a=a|0;c=c|0;if((b[527600]|0)==0?src(527600)|0:0)f[134964]=45664;return 539856}function UO(a){a=a|0;return -1}function VO(a){a=a|0;return -1}function WO(a,b){a=a|0;b=b|0;return}function XO(a){a=a|0;return}function YO(a){a=a|0;return}function ZO(a){a=a|0;Emc(a);return}function _O(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;SQ(a,b,c,201795,d);return}function $O(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;h=u;u=u+16|0;i=h;if(c>>>0>=33){f[i>>2]=0;f[i+4>>2]=0;j=YG(i,33)|0;k=201662;l=j+33|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));_O(-215,i,201696,209)}m=a+4|0;if((f[m>>2]|0)!=(c|0)){n=a+44|0;o=f[n>>2]|0;p=a+48|0;if((o|0)!=(p|0)){tE(o);f[n>>2]=p;f[a+40>>2]=a+8}if((c|0)>2){p=sE(c<<3|4)|0;f[n>>2]=p;n=p+(c<<2)+4|0;f[a+40>>2]=n;f[n+-4>>2]=c;f[a+12>>2]=-1;f[a+8>>2]=-1}}f[m>>2]=c;if(!d){u=h;return}n=f[a>>2]|0;p=n&7;o=(n>>>3&511)+1<<(47696>>>(p<<1)&3);n=1212424721>>>(p<<2)&15;p=c+-1|0;if((c|0)<=0){u=h;return}q=f[a+40>>2]|0;r=f[a+44>>2]|0;a:do if(!e){s=p;t=o;while(1){v=f[d+(s<<2)>>2]|0;if((v|0)<=-1){w=18;break}f[q+(s<<2)>>2]=v;if(g){f[r+(s<<2)>>2]=t;x=Urc(v|0,((v|0)<0)<<31>>31|0,t|0,0)|0;if(!((x|0)==(x|0)&(J|0)==0)){w=22;break}y=x}else y=t;if((s|0)>0){s=s+-1|0;t=y}else break a}if((w|0)==18){f[i>>2]=0;z=i+4|0;f[z>>2]=0;A=YG(i,6)|0;b[A>>0]=b[201704]|0;b[A+1>>0]=b[201705]|0;b[A+2>>0]=b[201706]|0;b[A+3>>0]=b[201707]|0;b[A+4>>0]=b[201708]|0;b[A+5>>0]=b[201709]|0;_O(-215,i,201696,235)}else if((w|0)==22){f[i>>2]=0;f[i+4>>2]=0;j=YG(i,51)|0;k=201743;l=j+51|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));_O(-211,i,201696,252)}}else{t=p;while(1){s=f[d+(t<<2)>>2]|0;if((s|0)<=-1){w=18;break}f[q+(t<<2)>>2]=s;s=f[e+(t<<2)>>2]|0;if((s>>>0)%(n>>>0)|0|0){w=20;break}f[r+(t<<2)>>2]=(t|0)<(p|0)?s:o;if((t|0)>0)t=t+-1|0;else break a}if((w|0)==18){f[i>>2]=0;z=i+4|0;f[z>>2]=0;A=YG(i,6)|0;b[A>>0]=b[201704]|0;b[A+1>>0]=b[201705]|0;b[A+2>>0]=b[201706]|0;b[A+3>>0]=b[201707]|0;b[A+4>>0]=b[201708]|0;b[A+5>>0]=b[201709]|0;_O(-215,i,201696,235)}else if((w|0)==20){f[i>>2]=0;f[i+4>>2]=0;j=YG(i,31)|0;k=201711;l=j+31|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));_O(-13,i,201696,242)}}while(0);if((c|0)!=1){u=h;return}f[m>>2]=2;f[a+12>>2]=1;f[(f[a+44>>2]|0)+4>>2]=o;u=h;return}function aP(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;b=f[a>>2]|0;c=f[a+4>>2]|0;d=f[a+40>>2]|0;e=f[a+44>>2]|0;a:do if((c|0)>0){g=0;while(1){if((f[d+(g<<2)>>2]|0)>1){h=g;break a}i=g+1|0;if((i|0)<(c|0))g=i;else{h=i;break}}}else h=0;while(0);g=c+-1|0;i=f[d+(((g|0)<(h|0)?g:h)<<2)>>2]|0;j=Urc(i|0,((i|0)<0)<<31>>31|0,(b>>>3&511)+1|0,0)|0;i=g;k=j;j=J;while(1){if((i|0)<=(h|0)){l=7;break}m=f[d+(i<<2)>>2]|0;n=Urc(m|0,((m|0)<0)<<31>>31|0,k|0,j|0)|0;o=Y(f[e+(i<<2)>>2]|0,m)|0;i=i+-1|0;if(o>>>0<(f[e+(i<<2)>>2]|0)>>>0){l=9;break}else{k=n;j=J}}if((l|0)==7){i=Hrc(0,k|0,32)|0;if((k|0)==(i|0)&(j|0)==(J|0))p=b|16384;else l=9}if((l|0)==9)p=b&-16385;f[a>>2]=p;if((c|0)>2){f[a+12>>2]=-1;f[a+8>>2]=-1}p=f[a+36>>2]|0;if(!p)q=a+16|0;else{b=f[p+16>>2]|0;p=a+16|0;f[p>>2]=b;f[a+20>>2]=b;q=p}p=f[q>>2]|0;if(!p){f[a+28>>2]=0;f[a+24>>2]=0;return}q=f[d>>2]|0;b=f[e>>2]|0;l=(f[a+20>>2]|0)+(Y(b,q)|0)|0;f[a+28>>2]=l;if((q|0)<=0){f[a+24>>2]=l;return}l=p+(Y(f[e+(g<<2)>>2]|0,f[d+(g<<2)>>2]|0)|0)|0;p=a+24|0;f[p>>2]=l;if((c|0)<=1)return;c=l+(Y(b,q+-1|0)|0)|0;if((g|0)==1)r=c;else{q=1;b=c;while(1){c=b+(Y(f[e+(q<<2)>>2]|0,(f[d+(q<<2)>>2]|0)+-1|0)|0)|0;q=q+1|0;if((q|0)==(g|0)){r=c;break}else b=c}}f[p>>2]=r;return}function bP(){var a=0,b=0,c=0,d=0;if(f[134965]|0){a=f[134965]|0;return a|0}b=pR()|0;SR(b);if(!(f[134965]|0)){if(!(f[134966]|0)){c=pR()|0;SR(c);if(!(f[134966]|0)){d=Bmc(4)|0;f[d>>2]=45716;f[134966]=d}TR(c)}f[134965]=f[134966]}TR(b);a=f[134965]|0;return a|0}function cP(a){a=a|0;Emc(a);return}function dP(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=u;u=u+16|0;i=j;k=(e>>>3&511)+1<<(47696>>>(e<<1&14)&3);e=c+-1|0;a:do if((c|0)>0){if(!h){l=e;m=k;while(1){n=Y(f[d+(l<<2)>>2]|0,m)|0;if((l|0)>0){l=l+-1|0;m=n}else{o=n;break a}}}if(!g){m=e;l=k;while(1){f[h+(m<<2)>>2]=l;n=Y(f[d+(m<<2)>>2]|0,l)|0;if((m|0)>0){m=m+-1|0;l=n}else{o=n;break a}}}else{p=e;q=k}while(1){l=h+(p<<2)|0;m=f[l>>2]|0;if((m|0)!=2147483647)if(q>>>0>m>>>0)break;else r=m;else{f[l>>2]=q;r=q}l=Y(f[d+(p<<2)>>2]|0,r)|0;if((p|0)>0){p=p+-1|0;q=l}else{o=l;break a}}f[i>>2]=0;f[i+4>>2]=0;l=YG(i,16)|0;m=201613;n=l+16|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));_O(-215,i,201630,139)}else o=k;while(0);k=(g|0)!=0;if(k)s=g;else s=sE(o)|0;g=Bmc(52)|0;fN(g,a);f[g+20>>2]=s;f[g+16>>2]=s;f[g+24>>2]=o;if(!k){u=j;return g|0}k=g+28|0;f[k>>2]=f[k>>2]|32;u=j;return g|0}function eP(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return (b|0)!=0|0}function fP(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;a=u;u=u+16|0;d=a;if(!c){u=a;return}if(f[c+8>>2]|0){f[d>>2]=0;f[d+4>>2]=0;e=YG(d,17)|0;g=201567;h=e+17|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));_O(-215,d,201585,168)}if(f[c+12>>2]|0){f[d>>2]=0;f[d+4>>2]=0;e=YG(d,16)|0;g=201596;h=e+16|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));_O(-215,d,201585,169)}if(!(f[c+28>>2]&32)){d=c+20|0;tE(f[d>>2]|0);f[d>>2]=0}gN(c);Emc(c);u=a;return}function gP(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;a:do if((b|0)>0){e=0;while(1){if((f[c+(e<<2)>>2]|0)>1){g=e;break a}h=e+1|0;if((h|0)<(b|0))e=h;else{g=h;break}}}else g=0;while(0);e=b+-1|0;b=f[c+(((e|0)<(g|0)?e:g)<<2)>>2]|0;h=Urc(b|0,((b|0)<0)<<31>>31|0,(a>>>3&511)+1|0,0)|0;b=e;e=h;h=J;while(1){if((b|0)<=(g|0)){i=7;break}j=f[c+(b<<2)>>2]|0;k=Urc(j|0,((j|0)<0)<<31>>31|0,e|0,h|0)|0;l=Y(f[d+(b<<2)>>2]|0,j)|0;b=b+-1|0;if(l>>>0<(f[d+(b<<2)>>2]|0)>>>0)break;else{e=k;h=J}}if((i|0)==7?(i=Hrc(0,e|0,32)|0,(e|0)==(i|0)&(h|0)==(J|0)):0){m=a|16384;return m|0}m=a&-16385;return m|0}function hP(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;b=f[a>>2]|0;c=f[a+4>>2]|0;d=f[a+40>>2]|0;e=f[a+44>>2]|0;a:do if((c|0)>0){g=0;while(1){if((f[d+(g<<2)>>2]|0)>1){h=g;break a}i=g+1|0;if((i|0)<(c|0))g=i;else{h=i;break}}}else h=0;while(0);g=c+-1|0;c=f[d+(((g|0)<(h|0)?g:h)<<2)>>2]|0;i=Urc(c|0,((c|0)<0)<<31>>31|0,(b>>>3&511)+1|0,0)|0;c=g;g=i;i=J;while(1){if((c|0)<=(h|0)){j=7;break}k=f[d+(c<<2)>>2]|0;l=Urc(k|0,((k|0)<0)<<31>>31|0,g|0,i|0)|0;m=Y(f[e+(c<<2)>>2]|0,k)|0;c=c+-1|0;if(m>>>0<(f[e+(c<<2)>>2]|0)>>>0)break;else{g=l;i=J}}if((j|0)==7?(j=Hrc(0,g|0,32)|0,(g|0)==(j|0)&(i|0)==(J|0)):0){n=b|16384;f[a>>2]=n;return}n=b&-16385;f[a>>2]=n;return}function iP(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;g=u;u=u+144|0;h=g+8|0;i=g;if(!(c>>>0<33&(d|0)!=0)){f[h>>2]=0;f[h+4>>2]=0;j=YG(h,35)|0;k=202061;l=j+35|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));_O(-215,h,472539,321)}m=e&4095;e=a+16|0;do if(f[e>>2]|0){n=f[a+4>>2]|0;if((n|0)!=(c|0)?!((c|0)==1&(n|0)<3):0)break;if((m|0)==(f[a>>2]&4095|0)){if((c|0)==2)if((f[a+8>>2]|0)==(f[d>>2]|0)?(f[a+12>>2]|0)==(f[d+4>>2]|0):0){u=g;return}else o=11;else if((c|0)>0)o=11;else p=0;a:do if((o|0)==11){n=f[a+40>>2]|0;q=0;while(1){if((f[n+(q<<2)>>2]|0)!=(f[d+(q<<2)>>2]|0)){p=q;break a}r=q+1|0;if((r|0)<(c|0))q=r;else{p=r;break}}}while(0);if((p|0)==(c|0)){if((c|0)>1){u=g;return}if((f[(f[a+40>>2]|0)+4>>2]|0)==1){u=g;return}}}}while(0);p=a+40|0;if((f[p>>2]|0)==(d|0)){if((c|0)>0)Krc(h|0,d|0,c<<2|0)|0;s=h}else s=d;d=a+36|0;h=f[d>>2]|0;if((h|0?(o=h+12|0,h=f[o>>2]|0,f[o>>2]=h+-1,(h|0)==1):0)?(h=f[d>>2]|0,h|0):0){f[d>>2]=0;o=f[h+4>>2]|0;if(!o){q=f[a+32>>2]|0;if(!q)t=bP()|0;else t=q}else t=o;xh[f[(f[t>>2]|0)+24>>2]&2047](t,h)}f[d>>2]=0;h=a+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[h>>2]|0)>0){e=f[p>>2]|0;t=0;do{f[e+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[h>>2]|0))}if(c|0){f[a>>2]=m|1124007936;$O(a,c,s,0,1);s=f[h>>2]|0;if((s|0)<3)v=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{c=f[p>>2]|0;t=0;e=1;while(1){o=Y(f[c+(t<<2)>>2]|0,e)|0;t=t+1|0;if((t|0)==(s|0)){v=o;break}else e=o}}if(v|0){v=f[a+32>>2]|0;e=bP()|0;s=(v|0)==0?e:v;v=a+44|0;e=Ei[f[(f[s>>2]|0)+8>>2]&15](s,f[h>>2]|0,f[p>>2]|0,m,0,f[v>>2]|0,0,0)|0;f[d>>2]=e;if(!e){f[i>>2]=0;f[i+4>>2]=0;e=YG(i,6)|0;b[e>>0]=b[202097]|0;b[e+1>>0]=b[202098]|0;b[e+2>>0]=b[202099]|0;b[e+3>>0]=b[202100]|0;b[e+4>>0]=b[202101]|0;b[e+5>>0]=b[202102]|0;_O(-215,i,472539,361)}e=f[a>>2]|0;if((f[(f[v>>2]|0)+((f[h>>2]|0)+-1<<2)>>2]|0)!=((e>>>3&511)+1<<(47696>>>(e<<1&14)&3)|0)){f[i>>2]=0;f[i+4>>2]=0;j=YG(i,43)|0;k=202104;l=j+43|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));_O(-215,i,472539,369)}}i=f[d>>2]|0;if(i|0){d=i+12|0;f[d>>2]=(f[d>>2]|0)+1}aP(a)}u=g;return}function jP(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=f[b>>2]|0;iP(a,(f[b+4>>2]|0)-d>>2,d,c);return}function kP(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;$O(a,f[b+4>>2]|0,0,0,0);c=a+4|0;if((f[c>>2]|0)<=0)return;d=f[b+40>>2]|0;e=f[a+40>>2]|0;g=f[b+44>>2]|0;b=f[a+44>>2]|0;a=0;do{f[e+(a<<2)>>2]=f[d+(a<<2)>>2];f[b+(a<<2)>>2]=f[g+(a<<2)>>2];a=a+1|0}while((a|0)<(f[c>>2]|0));return}function lP(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+36|0;c=f[b>>2]|0;if(!c)return;f[b>>2]=0;b=f[c+4>>2]|0;if(!b){d=f[a+32>>2]|0;if(!d)e=bP()|0;else e=d}else e=b;xh[f[(f[e>>2]|0)+24>>2]&2047](e,c);return}function mP(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0;g=u;u=u+1152|0;h=g+56|0;i=g;f[a>>2]=1124007936;j=a+4|0;k=a+8|0;l=a+12|0;m=a+16|0;n=a+32|0;o=a+36|0;p=a+40|0;q=j;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));f[p>>2]=k;s=a+48|0;t=a+44|0;f[t>>2]=s;f[a+52>>2]=0;f[s>>2]=0;v=c+4|0;w=f[v>>2]|0;if((w|0)<=1){f[h>>2]=0;f[h+4>>2]=0;q=YG(h,11)|0;x=202148;r=q+11|0;do{b[q>>0]=b[x>>0]|0;q=q+1|0;x=x+1|0}while((q|0)<(r|0));_O(-215,h,294577,405)}if((w|0)!=2){y=h+8|0;Drc(y|0,0,1088)|0;f[h>>2]=y;z=h+4|0;f[z>>2]=w;if(w>>>0>136){A=Dmc(w>>>0>536870911?-1:w<<3)|0;Drc(A|0,0,w<<3|0)|0;f[h>>2]=A;B=A}else B=y;A=d;w=f[A+4>>2]|0;C=B;f[C>>2]=f[A>>2];f[C+4>>2]=w;w=f[h>>2]|0;C=e;A=f[C+4>>2]|0;B=w+8|0;f[B>>2]=f[C>>2];f[B+4>>2]=A;if((f[v>>2]|0)>2){A=2;B=w;while(1){C=B+(A<<3)|0;f[C>>2]=-2147483648;f[C+4>>2]=2147483647;A=A+1|0;C=f[h>>2]|0;if((A|0)>=(f[v>>2]|0)){D=C;break}else B=C}}else D=w;nP(i,c,D);oP(a,i)|0;D=i+36|0;w=f[D>>2]|0;if((w|0?(B=w+12|0,w=f[B>>2]|0,f[B>>2]=w+-1,(w|0)==1):0)?(w=f[D>>2]|0,w|0):0){f[D>>2]=0;B=f[w+4>>2]|0;if(!B){v=f[i+32>>2]|0;if(!v)E=bP()|0;else E=v}else E=B;xh[f[(f[E>>2]|0)+24>>2]&2047](E,w)}f[D>>2]=0;D=i+16|0;w=i+4|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[w>>2]|0)>0){D=f[i+40>>2]|0;E=0;do{f[D+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[w>>2]|0))}w=f[i+44>>2]|0;if((w|0)!=(i+48|0))tE(w);w=f[h>>2]|0;if((w|0)!=(y|0)){if(w|0)Fmc(w);f[h>>2]=y;f[z>>2]=136}u=g;return}oP(a,c)|0;z=f[d>>2]|0;y=f[d+4>>2]|0;do if((z|0)!=-2147483648|(y|0)!=2147483647?(z|0?1:(y|0)!=(f[k>>2]|0)):0){if((z|0)<0|(y|0)<(z|0)){f[h>>2]=0;F=h+4|0;f[F>>2]=0;G=YG(h,83)|0;q=G;x=202160;r=q+83|0;do{b[q>>0]=b[x>>0]|0;q=q+1|0;x=x+1|0}while((q|0)<(r|0));_O(-215,h,294577,423)}if((y|0)>(f[c+8>>2]|0)){f[h>>2]=0;F=h+4|0;f[F>>2]=0;G=YG(h,83)|0;q=G;x=202160;r=q+83|0;do{b[q>>0]=b[x>>0]|0;q=q+1|0;x=x+1|0}while((q|0)<(r|0));_O(-215,h,294577,423)}else{f[k>>2]=y-z;d=Y(z,f[s>>2]|0)|0;f[m>>2]=(f[m>>2]|0)+d;f[a>>2]=f[a>>2]|32768;break}}while(0);s=f[e>>2]|0;z=f[e+4>>2]|0;if((s|0)!=-2147483648|(z|0)!=2147483647?(s|0?1:(z|0)!=(f[l>>2]|0)):0){if((s|0)<0|(z|0)<(s|0)){f[h>>2]=0;H=h+4|0;f[H>>2]=0;I=YG(h,83)|0;q=I;x=202244;r=q+83|0;do{b[q>>0]=b[x>>0]|0;q=q+1|0;x=x+1|0}while((q|0)<(r|0));_O(-215,h,294577,432)}if((z|0)>(f[c+12>>2]|0)){f[h>>2]=0;H=h+4|0;f[H>>2]=0;I=YG(h,83)|0;q=I;x=202244;r=q+83|0;do{b[q>>0]=b[x>>0]|0;q=q+1|0;x=x+1|0}while((q|0)<(r|0));_O(-215,h,294577,432)}f[l>>2]=z-s;z=f[j>>2]|0;if((z|0)>0)K=f[(f[t>>2]|0)+(z+-1<<2)>>2]|0;else K=0;z=Y(K,s)|0;f[m>>2]=(f[m>>2]|0)+z;f[a>>2]=f[a>>2]|32768}z=f[a>>2]|0;s=f[j>>2]|0;K=f[p>>2]|0;h=f[t>>2]|0;a:do if((s|0)>0){t=0;while(1){if((f[K+(t<<2)>>2]|0)>1){L=t;break a}x=t+1|0;if((x|0)<(s|0))t=x;else{L=x;break}}}else L=0;while(0);t=s+-1|0;s=f[K+(((t|0)<(L|0)?t:L)<<2)>>2]|0;x=Urc(s|0,((s|0)<0)<<31>>31|0,(z>>>3&511)+1|0,0)|0;s=t;t=x;x=J;while(1){if((s|0)<=(L|0)){M=45;break}q=f[K+(s<<2)>>2]|0;r=Urc(q|0,((q|0)<0)<<31>>31|0,t|0,x|0)|0;I=Y(f[h+(s<<2)>>2]|0,q)|0;s=s+-1|0;if(I>>>0<(f[h+(s<<2)>>2]|0)>>>0){M=47;break}else{t=r;x=J}}if((M|0)==45){s=Hrc(0,t|0,32)|0;if((t|0)==(s|0)&(x|0)==(J|0))N=z|16384;else M=47}if((M|0)==47)N=z&-16385;f[a>>2]=N;if((f[k>>2]|0)>=1?(f[l>>2]|0)>=1:0){u=g;return}N=f[o>>2]|0;if((N|0?(a=N+12|0,N=f[a>>2]|0,f[a>>2]=N+-1,(N|0)==1):0)?(N=f[o>>2]|0,N|0):0){f[o>>2]=0;a=f[N+4>>2]|0;if(!a){z=f[n>>2]|0;if(!z)O=bP()|0;else O=z}else O=a;xh[f[(f[O>>2]|0)+24>>2]&2047](O,N)}f[o>>2]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[j>>2]|0)>0){m=f[p>>2]|0;p=0;do{f[m+(p<<2)>>2]=0;p=p+1|0}while((p|0)<(f[j>>2]|0))}f[l>>2]=0;f[k>>2]=0;u=g;return}function nP(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;e=u;u=u+16|0;g=e;f[a>>2]=1124007936;h=a+4|0;i=a+8|0;j=a+16|0;k=a+40|0;l=h;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=i;i=a+48|0;n=a+44|0;f[n>>2]=i;f[a+52>>2]=0;f[i>>2]=0;i=f[c+4>>2]|0;if(!d){f[g>>2]=0;f[g+4>>2]=0;o=YG(g,6)|0;b[o>>0]=b[202328]|0;b[o+1>>0]=b[202329]|0;b[o+2>>0]=b[202330]|0;b[o+3>>0]=b[202331]|0;b[o+4>>0]=b[202332]|0;b[o+5>>0]=b[202333]|0;_O(-215,g,294577,510)}o=(i|0)>0;do if(o){p=f[c+40>>2]|0;q=0;while(1){r=d+(q<<3)|0;s=f[r>>2]|0;t=f[r+4>>2]|0;if(!((s|0)==-2147483648&(t|0)==2147483647)){if(!((s|0)>-1&(s|0)<(t|0))){v=10;break}if((t|0)>(f[p+(q<<2)>>2]|0)){v=10;break}}q=q+1|0;if((q|0)>=(i|0)){v=6;break}}if((v|0)==6){oP(a,c)|0;if(o)w=0;else break;do{q=d+(w<<3)|0;p=f[q>>2]|0;t=f[q+4>>2]|0;if((p|0)!=-2147483648|(t|0)!=2147483647?(q=(f[k>>2]|0)+(w<<2)|0,p|0?1:(t|0)!=(f[q>>2]|0)):0){f[q>>2]=t-p;t=Y(f[(f[n>>2]|0)+(w<<2)>>2]|0,p)|0;f[j>>2]=(f[j>>2]|0)+t;f[a>>2]=f[a>>2]|32768}w=w+1|0}while((w|0)!=(i|0))}else if((v|0)==10){f[g>>2]=0;f[g+4>>2]=0;l=YG(g,76)|0;t=202335;m=l+76|0;do{b[l>>0]=b[t>>0]|0;l=l+1|0;t=t+1|0}while((l|0)<(m|0));_O(-215,g,294577,514)}}else oP(a,c)|0;while(0);c=f[a>>2]|0;g=f[h>>2]|0;h=f[k>>2]|0;k=f[n>>2]|0;a:do if((g|0)>0){n=0;while(1){if((f[h+(n<<2)>>2]|0)>1){x=n;break a}l=n+1|0;if((l|0)<(g|0))n=l;else{x=l;break}}}else x=0;while(0);n=g+-1|0;g=f[h+(((n|0)<(x|0)?n:x)<<2)>>2]|0;l=Urc(g|0,((g|0)<0)<<31>>31|0,(c>>>3&511)+1|0,0)|0;g=n;n=l;l=J;while(1){if((g|0)<=(x|0)){v=18;break}m=f[h+(g<<2)>>2]|0;i=Urc(m|0,((m|0)<0)<<31>>31|0,n|0,l|0)|0;w=Y(f[k+(g<<2)>>2]|0,m)|0;g=g+-1|0;if(w>>>0<(f[k+(g<<2)>>2]|0)>>>0)break;else{n=i;l=J}}if((v|0)==18?(v=Hrc(0,n|0,32)|0,(n|0)==(v|0)&(l|0)==(J|0)):0){y=c|16384;f[a>>2]=y;u=e;return}y=c&-16385;f[a>>2]=y;u=e;return}function oP(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;if((a|0)==(b|0))return a|0;c=b+36|0;d=f[c>>2]|0;if(d|0){e=d+12|0;f[e>>2]=(f[e>>2]|0)+1}e=a+36|0;d=f[e>>2]|0;if((d|0?(g=d+12|0,d=f[g>>2]|0,f[g>>2]=d+-1,(d|0)==1):0)?(d=f[e>>2]|0,d|0):0){f[e>>2]=0;g=f[d+4>>2]|0;if(!g){h=f[a+32>>2]|0;if(!h)i=bP()|0;else i=h}else i=g;xh[f[(f[i>>2]|0)+24>>2]&2047](i,d)}f[e>>2]=0;d=a+16|0;i=a+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[i>>2]|0)>0){g=f[a+40>>2]|0;h=0;do{f[g+(h<<2)>>2]=0;h=h+1|0;j=f[i>>2]|0}while((h|0)<(j|0));f[a>>2]=f[b>>2];if((j|0)<3)k=17;else{l=f[b+4>>2]|0;k=19}}else{f[a>>2]=f[b>>2];k=17}if((k|0)==17){j=f[b+4>>2]|0;if((j|0)<3){f[i>>2]=j;f[a+8>>2]=f[b+8>>2];f[a+12>>2]=f[b+12>>2];h=f[b+44>>2]|0;g=f[a+44>>2]|0;f[g>>2]=f[h>>2];f[g+4>>2]=f[h+4>>2]}else{l=j;k=19}}if((k|0)==19?($O(a,l,0,0,0),(f[i>>2]|0)>0):0){l=f[b+40>>2]|0;k=f[a+40>>2]|0;j=f[b+44>>2]|0;h=f[a+44>>2]|0;g=0;do{f[k+(g<<2)>>2]=f[l+(g<<2)>>2];f[h+(g<<2)>>2]=f[j+(g<<2)>>2];g=g+1|0}while((g|0)<(f[i>>2]|0))}f[d>>2]=f[b+16>>2];f[a+20>>2]=f[b+20>>2];f[a+24>>2]=f[b+24>>2];f[a+28>>2]=f[b+28>>2];f[a+32>>2]=f[b+32>>2];f[e>>2]=f[c>>2];return a|0}function pP(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0;e=u;u=u+16|0;g=e;h=f[c>>2]|0;f[a>>2]=h;i=a+4|0;f[i>>2]=2;j=a+8|0;k=d+12|0;f[j>>2]=f[k>>2];l=a+12|0;m=d+8|0;f[l>>2]=f[m>>2];n=a+16|0;o=d+4|0;p=c+44|0;q=(f[c+16>>2]|0)+(Y(f[f[p>>2]>>2]|0,f[o>>2]|0)|0)|0;f[n>>2]=q;f[a+20>>2]=f[c+20>>2];f[a+24>>2]=f[c+24>>2];f[a+28>>2]=f[c+28>>2];r=a+32|0;f[r>>2]=f[c+32>>2];s=a+36|0;t=f[c+36>>2]|0;f[s>>2]=t;v=a+40|0;f[v>>2]=j;w=a+48|0;x=a+44|0;f[x>>2]=w;f[a+52>>2]=0;f[w>>2]=0;w=t;if((f[c+4>>2]|0)>=3){f[g>>2]=0;f[g+4>>2]=0;y=YG(g,11)|0;z=218417;A=y+11|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));_O(-215,g,294577,460)}B=(h>>>3&511)+1<<(47696>>>(h<<1&14)&3);h=f[d>>2]|0;d=q+(Y(B,h)|0)|0;f[n>>2]=d;if((((((h|0)>-1?(d=f[m>>2]|0,(d|0)>-1):0)?(q=c+12|0,C=f[q>>2]|0,(d+h|0)<=(C|0)):0)?(h=f[o>>2]|0,(h|0)>-1):0)?(o=f[k>>2]|0,(o|0)>-1):0)?(D=c+8|0,(o+h|0)<=(f[D>>2]|0)):0){if(!t){E=d;F=C}else{C=w+12|0;f[C>>2]=(f[C>>2]|0)+1;E=f[m>>2]|0;F=f[q>>2]|0}if(!((E|0)>=(F|0)?(f[k>>2]|0)>=(f[D>>2]|0):0))f[a>>2]=f[a>>2]|32768;D=f[x>>2]|0;f[D>>2]=f[f[p>>2]>>2];f[D+4>>2]=B;B=f[a>>2]|0;p=f[i>>2]|0;x=f[v>>2]|0;a:do if((p|0)>0){k=0;while(1){if((f[x+(k<<2)>>2]|0)>1){G=k;break a}F=k+1|0;if((F|0)<(p|0))k=F;else{G=F;break}}}else G=0;while(0);k=p+-1|0;p=f[x+(((k|0)<(G|0)?k:G)<<2)>>2]|0;F=Urc(p|0,((p|0)<0)<<31>>31|0,(B>>>3&511)+1|0,0)|0;p=k;k=F;F=J;while(1){if((p|0)<=(G|0)){H=21;break}E=f[x+(p<<2)>>2]|0;q=Urc(E|0,((E|0)<0)<<31>>31|0,k|0,F|0)|0;m=Y(f[D+(p<<2)>>2]|0,E)|0;p=p+-1|0;if(m>>>0<(f[D+(p<<2)>>2]|0)>>>0){H=23;break}else{k=q;F=J}}if((H|0)==21){p=Hrc(0,k|0,32)|0;if((k|0)==(p|0)&(F|0)==(J|0))I=B|16384;else H=23}if((H|0)==23)I=B&-16385;f[a>>2]=I;if((f[j>>2]|0)>=1?(f[l>>2]|0)>=1:0){u=e;return}I=f[s>>2]|0;if((I|0?(a=I+12|0,I=f[a>>2]|0,f[a>>2]=I+-1,(I|0)==1):0)?(I=f[s>>2]|0,I|0):0){f[s>>2]=0;a=f[I+4>>2]|0;if(!a){B=f[r>>2]|0;if(!B)K=bP()|0;else K=B}else K=a;xh[f[(f[K>>2]|0)+24>>2]&2047](K,I)}f[s>>2]=0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[i>>2]|0)>0){n=f[v>>2]|0;v=0;do{f[n+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[i>>2]|0))}f[l>>2]=0;f[j>>2]=0;u=e;return}f[g>>2]=0;f[g+4>>2]=0;y=YG(g,124)|0;z=202412;A=y+124|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));_O(-215,g,294577,465)}function qP(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=a+8|0;i=a+16|0;j=a+20|0;k=a+40|0;l=a+4|0;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=h;h=a+48|0;f[a+44>>2]=h;f[a+52>>2]=0;f[h>>2]=0;f[a>>2]=d&4095|1124007936;f[i>>2]=e;f[j>>2]=e;$O(a,b,c,g,1);aP(a);return}function rP(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;e=u;u=u+16|0;g=e;f[a>>2]=1124007936;h=a+4|0;i=a+8|0;j=a+16|0;k=a+40|0;l=h;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=i;i=a+48|0;n=a+44|0;f[n>>2]=i;f[a+52>>2]=0;f[i>>2]=0;i=f[c+4>>2]|0;o=f[d>>2]|0;p=o;if(((f[d+4>>2]|0)-o>>3|0)!=(i|0)){f[g>>2]=0;f[g+4>>2]=0;l=YG(g,23)|0;q=202537;m=l+23|0;do{b[l>>0]=b[q>>0]|0;l=l+1|0;q=q+1|0}while((l|0)<(m|0));_O(-215,g,294577,536)}o=(i|0)>0;do if(o){r=f[c+40>>2]|0;s=0;while(1){t=p+(s<<3)|0;v=f[t>>2]|0;w=f[t+4>>2]|0;if(!((v|0)==-2147483648&(w|0)==2147483647)){if(!((v|0)>-1&(v|0)<(w|0))){x=11;break}if((w|0)>(f[r+(s<<2)>>2]|0)){x=11;break}}s=s+1|0;if((s|0)>=(i|0)){x=6;break}}if((x|0)==6){oP(a,c)|0;if(!o)break;s=f[d>>2]|0;r=0;do{w=s+(r<<3)|0;v=f[w>>2]|0;t=f[w+4>>2]|0;if((v|0)!=-2147483648|(t|0)!=2147483647?(w=(f[k>>2]|0)+(r<<2)|0,v|0?1:(t|0)!=(f[w>>2]|0)):0){f[w>>2]=t-v;t=Y(f[(f[n>>2]|0)+(r<<2)>>2]|0,v)|0;f[j>>2]=(f[j>>2]|0)+t;f[a>>2]=f[a>>2]|32768}r=r+1|0}while((r|0)!=(i|0))}else if((x|0)==11){f[g>>2]=0;f[g+4>>2]=0;l=YG(g,76)|0;q=202335;m=l+76|0;do{b[l>>0]=b[q>>0]|0;l=l+1|0;q=q+1|0}while((l|0)<(m|0));_O(-215,g,294577,540)}}else oP(a,c)|0;while(0);c=f[a>>2]|0;g=f[h>>2]|0;h=f[k>>2]|0;k=f[n>>2]|0;a:do if((g|0)>0){n=0;while(1){if((f[h+(n<<2)>>2]|0)>1){y=n;break a}q=n+1|0;if((q|0)<(g|0))n=q;else{y=q;break}}}else y=0;while(0);n=g+-1|0;g=f[h+(((n|0)<(y|0)?n:y)<<2)>>2]|0;q=Urc(g|0,((g|0)<0)<<31>>31|0,(c>>>3&511)+1|0,0)|0;g=n;n=q;q=J;while(1){if((g|0)<=(y|0)){x=19;break}l=f[h+(g<<2)>>2]|0;m=Urc(l|0,((l|0)<0)<<31>>31|0,n|0,q|0)|0;i=Y(f[k+(g<<2)>>2]|0,l)|0;g=g+-1|0;if(i>>>0<(f[k+(g<<2)>>2]|0)>>>0)break;else{n=m;q=J}}if((x|0)==19?(x=Hrc(0,n|0,32)|0,(n|0)==(x|0)&(q|0)==(J|0)):0){z=c|16384;f[a>>2]=z;u=e;return}z=c&-16385;f[a>>2]=z;u=e;return}function sP(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;e=u;u=u+16|0;g=e;h=c+4|0;i=f[h>>2]|0;if((i|0)>=3){f[g>>2]=0;f[g+4>>2]=0;j=YG(g,9)|0;k=202561;l=j+9|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));_O(-215,g,202571,559)}f[a>>2]=f[c>>2];g=a+4|0;f[g>>2]=i;i=a+8|0;k=c+8|0;f[i>>2]=f[k>>2];j=a+12|0;l=c+12|0;f[j>>2]=f[l>>2];m=a+16|0;f[m>>2]=f[c+16>>2];f[a+20>>2]=f[c+20>>2];f[a+24>>2]=f[c+24>>2];f[a+28>>2]=f[c+28>>2];f[a+32>>2]=f[c+32>>2];n=f[c+36>>2]|0;f[a+36>>2]=n;o=a+40|0;f[o>>2]=i;p=a+48|0;q=a+44|0;f[q>>2]=p;f[p>>2]=0;f[a+52>>2]=0;if((n|0)!=0?(p=n+12|0,f[p>>2]=(f[p>>2]|0)+1,p=f[h>>2]|0,(p|0)>=3):0){f[g>>2]=0;$O(a,p,0,0,0);if((f[g>>2]|0)>0){p=f[c+40>>2]|0;n=f[o>>2]|0;r=f[c+44>>2]|0;s=f[q>>2]|0;t=0;do{f[n+(t<<2)>>2]=f[p+(t<<2)>>2];f[s+(t<<2)>>2]=f[r+(t<<2)>>2];t=t+1|0}while((t|0)<(f[g>>2]|0))}}else{t=f[c+44>>2]|0;r=f[q>>2]|0;f[r>>2]=f[t>>2];f[r+4>>2]=f[t+4>>2]}t=f[h>>2]|0;if((t|0)>0)v=f[(f[c+44>>2]|0)+(t+-1<<2)>>2]|0;else v=0;if((d|0)>-1){t=(f[l>>2]|0)-d|0;h=f[k>>2]|0;r=Y(v,d)|0;w=(h|0)<(t|0)?h:t;x=(f[m>>2]|0)+r|0}else{r=(f[k>>2]|0)+d|0;k=f[l>>2]|0;w=(k|0)<(r|0)?k:r;x=(f[m>>2]|0)+(Y(f[f[c+44>>2]>>2]|0,0-d|0)|0)|0}f[m>>2]=x;f[i>>2]=w;i=f[o>>2]|0;f[i>>2]=w;f[j>>2]=1;f[i+4>>2]=1;j=f[q>>2]|0;f[j>>2]=(f[j>>2]|0)+((w|0)>1?v:0);v=f[a>>2]|0;w=f[g>>2]|0;a:do if((w|0)>0){g=0;while(1){if((f[i+(g<<2)>>2]|0)>1){y=g;break a}q=g+1|0;if((q|0)<(w|0))g=q;else{y=q;break}}}else y=0;while(0);g=w+-1|0;w=f[i+(((g|0)<(y|0)?g:y)<<2)>>2]|0;q=Urc(w|0,((w|0)<0)<<31>>31|0,(v>>>3&511)+1|0,0)|0;w=g;g=q;q=J;while(1){if((w|0)<=(y|0)){z=20;break}o=f[i+(w<<2)>>2]|0;x=Urc(o|0,((o|0)<0)<<31>>31|0,g|0,q|0)|0;m=Y(f[j+(w<<2)>>2]|0,o)|0;w=w+-1|0;if(m>>>0<(f[j+(w<<2)>>2]|0)>>>0){z=22;break}else{g=x;q=J}}if((z|0)==20){w=Hrc(0,g|0,32)|0;if((g|0)==(w|0)&(q|0)==(J|0))A=v|16384;else z=22}if((z|0)==22)A=v&-16385;f[a>>2]=A;v=f[c+40>>2]|0;if(!((f[v>>2]|0)!=1?1:(f[v+4>>2]|0)!=1)){u=e;return}f[a>>2]=A|32768;u=e;return}function tP(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+144|0;e=d+120|0;g=d+112|0;h=d+56|0;i=d;if((c|0)<=-1){f[e>>2]=0;f[e+4>>2]=0;j=YG(e,16)|0;k=202576;l=j+16|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));_O(-215,e,202593,625)}if((f[a>>2]&32768|0)==0?(k=(f[a+16>>2]|0)+(Y(f[f[a+44>>2]>>2]|0,c)|0)|0,k>>>0<=(f[a+28>>2]|0)>>>0):0){u=d;return}k=a+40|0;m=f[k>>2]|0;n=f[m>>2]|0;if(n>>>0>=c>>>0){u=d;return}f[m>>2]=c;m=a+4|0;o=f[m>>2]|0;if((o|0)<3)p=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{q=f[k>>2]|0;r=0;s=1;while(1){t=Y(f[q+(r<<2)>>2]|0,s)|0;r=r+1|0;if((r|0)==(o|0)){p=t;break}else s=t}}if((o|0)>0)v=f[(f[a+44>>2]|0)+(o+-1<<2)>>2]|0;else v=0;s=Y(v,p)|0;if(s>>>0<64){p=((Y(s+63|0,c)|0)>>>0)/(s>>>0)|0;f[f[k>>2]>>2]=p;w=f[m>>2]|0}else w=o;o=f[k>>2]|0;m=f[a>>2]&4095;f[h>>2]=1124007936;p=h+4|0;s=h+8|0;c=h+40|0;j=p;l=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(l|0));f[c>>2]=s;s=h+48|0;j=h+44|0;f[j>>2]=s;f[s>>2]=0;f[h+52>>2]=0;iP(h,w,o,m);f[f[k>>2]>>2]=n;if((n|0)>0){f[e>>2]=0;f[e+4>>2]=n;f[g>>2]=-2147483648;f[g+4>>2]=2147483647;mP(i,h,e,g);g=e+8|0;f[g>>2]=0;f[g+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=i;kT(a,e);e=i+36|0;g=f[e>>2]|0;if((g|0?(m=g+12|0,g=f[m>>2]|0,f[m>>2]=g+-1,(g|0)==1):0)?(g=f[e>>2]|0,g|0):0){f[e>>2]=0;m=f[g+4>>2]|0;if(!m){o=f[i+32>>2]|0;if(!o)x=bP()|0;else x=o}else x=m;xh[f[(f[x>>2]|0)+24>>2]&2047](x,g)}f[e>>2]=0;e=i+16|0;g=i+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[g>>2]|0)>0){e=f[i+40>>2]|0;x=0;do{f[e+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[g>>2]|0))}g=f[i+44>>2]|0;if((g|0)!=(i+48|0))tE(g)}oP(a,h)|0;f[f[k>>2]>>2]=n;k=(f[a+16>>2]|0)+(Y(f[f[a+44>>2]>>2]|0,n)|0)|0;f[a+24>>2]=k;k=h+36|0;a=f[k>>2]|0;if((a|0?(n=a+12|0,a=f[n>>2]|0,f[n>>2]=a+-1,(a|0)==1):0)?(a=f[k>>2]|0,a|0):0){f[k>>2]=0;n=f[a+4>>2]|0;if(!n){g=f[h+32>>2]|0;if(!g)y=bP()|0;else y=g}else y=n;xh[f[(f[y>>2]|0)+24>>2]&2047](y,a)}f[k>>2]=0;k=h+16|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[p>>2]|0)>0){k=f[c>>2]|0;c=0;do{f[k+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[p>>2]|0))}p=f[j>>2]|0;if((p|0)!=(s|0))tE(p);u=d;return}function uP(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=u;u=u+16|0;e=d;g=a+40|0;h=f[g>>2]|0;i=f[h>>2]|0;if((i|0)==(c|0)){u=d;return}if((c|0)<=-1){f[e>>2]=0;f[e+4>>2]=0;j=YG(e,16)|0;k=202576;l=j+16|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));_O(-215,e,273958,686)}if(!(f[a>>2]&32768)){e=a+44|0;k=f[e>>2]|0;j=(f[a+16>>2]|0)+(Y(f[k>>2]|0,c)|0)|0;if(j>>>0>(f[a+28>>2]|0)>>>0){m=e;n=7}else{o=h;p=k}}else{m=a+44|0;n=7}if((n|0)==7){tP(a,c);o=f[g>>2]|0;p=f[m>>2]|0}f[o>>2]=c;o=Y(f[p>>2]|0,c-i|0)|0;i=a+24|0;f[i>>2]=(f[i>>2]|0)+o;u=d;return}function vP(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=u;u=u+16|0;g=e;h=f[a+4>>2]|0;if((h|0)>=3){f[g>>2]=0;i=g+4|0;f[i>>2]=0;j=YG(g,24)|0;k=j;l=202601;m=k+24|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));_O(-215,g,202626,756)}n=a+44|0;o=f[n>>2]|0;p=f[o>>2]|0;if(!p){f[g>>2]=0;i=g+4|0;f[i>>2]=0;j=YG(g,24)|0;k=j;l=202601;m=k+24|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));_O(-215,g,202626,756)}if((h|0)>0)q=f[o+(h+-1<<2)>>2]|0;else q=0;h=f[a+20>>2]|0;g=(f[a+16>>2]|0)-h|0;l=(f[a+24>>2]|0)-h|0;if(!g){f[d+4>>2]=0;r=0;s=0}else{h=(g>>>0)/(p>>>0)|0;f[d+4>>2]=h;r=((g-(Y(f[o>>2]|0,h)|0)|0)>>>0)/(q>>>0)|0;s=h}f[d>>2]=r;d=(f[a+12>>2]|0)+r|0;r=l-(Y(d,q)|0)|0;h=((r>>>0)/((f[f[n>>2]>>2]|0)>>>0)|0)+1|0;n=(f[a+8>>2]|0)+s|0;s=(h|0)<(n|0)?n:h;f[c+4>>2]=s;h=((l-(Y(s+-1|0,f[a+48>>2]|0)|0)|0)>>>0)/(q>>>0)|0;f[c>>2]=(h|0)<(d|0)?d:h;u=e;return}function wP(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;h=u;u=u+16|0;i=h+8|0;j=h;k=a+4|0;l=f[k>>2]|0;if((l|0)>=3){f[i>>2]=0;m=i+4|0;f[m>>2]=0;n=YG(i,24)|0;o=n;p=202601;q=o+24|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));_O(-215,i,202636,777)}r=a+44|0;s=f[r>>2]|0;if(!(f[s>>2]|0)){f[i>>2]=0;m=i+4|0;f[m>>2]=0;n=YG(i,24)|0;o=n;p=202601;q=o+24|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));_O(-215,i,202636,777)}f[i>>2]=0;p=i+4|0;f[p>>2]=0;f[j>>2]=0;o=j+4|0;f[o>>2]=0;if((l|0)>0)t=f[s+(l+-1<<2)>>2]|0;else t=0;vP(a,i,j);l=f[o>>2]|0;o=l-c|0;c=f[p>>2]|0;p=(o|0)>0?o:0;o=(c|0)<(p|0)?c:p;p=a+8|0;s=l+d+(f[p>>2]|0)|0;d=(c|0)<(s|0)?c:s;s=(d|0)>0?d:0;d=f[j>>2]|0;j=d-e|0;e=f[i>>2]|0;i=(j|0)>0?j:0;j=(e|0)<(i|0)?e:i;i=a+12|0;c=d+g+(f[i>>2]|0)|0;g=(e|0)<(c|0)?e:c;c=(g|0)>0?g:0;g=(o|0)>(s|0);e=g?s:o;q=(j|0)>(c|0);n=q?c:j;m=(Y(n-d|0,t)|0)+(Y(e-l|0,f[a+48>>2]|0)|0)|0;l=a+16|0;f[l>>2]=(f[l>>2]|0)+m;m=(g?o:s)-e|0;f[p>>2]=m;f[i>>2]=(q?j:c)-n;n=f[a+40>>2]|0;f[n>>2]=m;f[n+4>>2]=f[i>>2];i=f[a>>2]|0;c=f[k>>2]|0;k=f[r>>2]|0;a:do if((c|0)<1|(m|0)>1)v=0;else{r=0;while(1){j=r+1|0;if((j|0)>=(c|0)){v=j;break a}if((f[n+(j<<2)>>2]|0)>1){v=j;break}else r=j}}while(0);m=c+-1|0;c=f[n+(((m|0)<(v|0)?m:v)<<2)>>2]|0;r=Urc(c|0,((c|0)<0)<<31>>31|0,(i>>>3&511)+1|0,0)|0;c=m;m=r;r=J;while(1){if((c|0)<=(v|0)){w=12;break}j=f[n+(c<<2)>>2]|0;q=Urc(j|0,((j|0)<0)<<31>>31|0,m|0,r|0)|0;p=Y(f[k+(c<<2)>>2]|0,j)|0;c=c+-1|0;if(p>>>0<(f[k+(c<<2)>>2]|0)>>>0)break;else{m=q;r=J}}if((w|0)==12?(w=Hrc(0,m|0,32)|0,(m|0)==(w|0)&(r|0)==(J|0)):0){x=i|16384;f[a>>2]=x;u=h;return a|0}x=i&-16385;f[a>>2]=x;u=h;return a|0}function xP(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;g=u;u=u+64|0;h=g+8|0;i=g;j=f[c>>2]|0;k=(j>>>3&511)+1|0;f[h>>2]=j;j=h+4|0;l=c+4|0;m=f[l>>2]|0;f[j>>2]=m;n=h+8|0;o=c+8|0;f[n>>2]=f[o>>2];p=h+12|0;q=c+12|0;f[p>>2]=f[q>>2];r=h+16|0;f[r>>2]=f[c+16>>2];s=h+20|0;f[s>>2]=f[c+20>>2];t=h+24|0;f[t>>2]=f[c+24>>2];v=h+28|0;f[v>>2]=f[c+28>>2];w=h+32|0;f[w>>2]=f[c+32>>2];x=h+36|0;y=f[c+36>>2]|0;f[x>>2]=y;z=h+40|0;f[z>>2]=n;A=h+48|0;B=h+44|0;f[B>>2]=A;f[A>>2]=0;f[h+52>>2]=0;if(!y)C=m;else{m=y+12|0;f[m>>2]=(f[m>>2]|0)+1;C=f[l>>2]|0}if((C|0)>=3){f[j>>2]=0;$O(h,C,0,0,0);if((f[j>>2]|0)>0){C=f[c+40>>2]|0;m=f[z>>2]|0;y=f[c+44>>2]|0;D=f[B>>2]|0;E=0;do{f[m+(E<<2)>>2]=f[C+(E<<2)>>2];f[D+(E<<2)>>2]=f[y+(E<<2)>>2];E=E+1|0}while((E|0)<(f[j>>2]|0))}}else{E=f[c+44>>2]|0;y=f[B>>2]|0;f[y>>2]=f[E>>2];f[y+4>>2]=f[E+4>>2]}E=f[l>>2]|0;do if((E|0)>2){if(!((d|0)!=0&(e|0)==0)){if((e|0)<=0){f[i>>2]=0;F=i+4|0;f[F>>2]=0;G=YG(i,9)|0;H=G;I=202561;J=H+9|0;do{b[H>>0]=b[I>>0]|0;H=H+1|0;I=I+1|0}while((H|0)<(J|0));_O(-215,i,202646,816)}f[i>>2]=e;y=f[c+40>>2]|0;D=0;C=1;do{C=Y(f[y+(D<<2)>>2]|0,C)|0;D=D+1|0}while((D|0)!=(E|0));f[i+4>>2]=(C>>>0)/(e>>>0)|0;yP(a,c,d,2,i);break}D=E+-1|0;if((Y(f[(f[c+40>>2]|0)+(D<<2)>>2]|0,k)|0)%(d|0)|0|0){f[i>>2]=0;F=i+4|0;f[F>>2]=0;G=YG(i,9)|0;H=G;I=202561;J=H+9|0;do{b[H>>0]=b[I>>0]|0;H=H+1|0;I=I+1|0}while((H|0)<(J|0));_O(-215,i,202646,816)}C=f[h>>2]|0;y=(d<<3)+-8|0;f[h>>2]=C&-4089|y;f[(f[B>>2]|0)+(D<<2)>>2]=(y>>>3&511)+1<<(47696>>>(C<<1&14)&3);C=(f[z>>2]|0)+((f[l>>2]|0)+-1<<2)|0;y=(Y(f[C>>2]|0,k)|0)/(d|0)|0;f[C>>2]=y;f[a>>2]=f[h>>2];y=a+4|0;C=f[j>>2]|0;f[y>>2]=C;m=a+8|0;f[m>>2]=f[n>>2];f[a+12>>2]=f[p>>2];f[a+16>>2]=f[r>>2];f[a+20>>2]=f[s>>2];f[a+24>>2]=f[t>>2];f[a+28>>2]=f[v>>2];f[a+32>>2]=f[w>>2];K=f[x>>2]|0;f[a+36>>2]=K;L=a+40|0;f[L>>2]=m;m=a+48|0;M=a+44|0;f[M>>2]=m;f[m>>2]=0;f[a+52>>2]=0;if(!K)N=C;else{C=K+12|0;f[C>>2]=(f[C>>2]|0)+1;N=f[j>>2]|0}if((N|0)<3){C=f[B>>2]|0;K=f[M>>2]|0;f[K>>2]=f[C>>2];f[K+4>>2]=f[C+4>>2];break}f[y>>2]=0;$O(a,N,0,0,0);if((f[y>>2]|0)>0){C=f[z>>2]|0;K=f[L>>2]|0;L=f[B>>2]|0;m=f[M>>2]|0;M=0;do{f[K+(M<<2)>>2]=f[C+(M<<2)>>2];f[m+(M<<2)>>2]=f[L+(M<<2)>>2];M=M+1|0}while((M|0)<(f[y>>2]|0))}}else{y=(d|0)==0?k:d;M=Y(f[q>>2]|0,k)|0;L=(e|0)==0;if((y|0)>(M|0))if(L)O=26;else{P=e;O=28}else if(L&((M|0)%(y|0)|0|0)!=0)O=26;else{Q=e;O=27}if((O|0)==26){Q=(Y(f[o>>2]|0,M)|0)/(y|0)|0;O=27}if((O|0)==27)if(!Q)R=M;else{P=Q;O=28}do if((O|0)==28){L=f[o>>2]|0;if((P|0)!=(L|0)){m=Y(L,M)|0;L=f[c>>2]|0;if(!(L&16384)){f[i>>2]=0;f[i+4>>2]=0;H=YG(i,72)|0;I=215182;J=H+72|0;do{b[H>>0]=b[I>>0]|0;H=H+1|0;I=I+1|0}while((H|0)<(J|0));_O(-13,i,202646,831)}if(P>>>0>m>>>0){f[i>>2]=0;f[i+4>>2]=0;H=YG(i,22)|0;I=215255;J=H+22|0;do{b[H>>0]=b[I>>0]|0;H=H+1|0;I=I+1|0}while((H|0)<(J|0));_O(-211,i,202646,834)}C=(m|0)/(P|0)|0;if((Y(C,P)|0)==(m|0)){f[n>>2]=P;K=Y(1212424721>>>(L<<2&28)&15,C)|0;f[f[B>>2]>>2]=K;R=C;break}else{f[i>>2]=0;f[i+4>>2]=0;H=YG(i,78)|0;I=215093;J=H+78|0;do{b[H>>0]=b[I>>0]|0;H=H+1|0;I=I+1|0}while((H|0)<(J|0));_O(-5,i,202646,840)}}else R=M}while(0);M=(R|0)/(y|0)|0;if((Y(M,y)|0)!=(R|0)){f[i>>2]=0;f[i+4>>2]=0;H=YG(i,62)|0;I=215278;J=H+62|0;do{b[H>>0]=b[I>>0]|0;H=H+1|0;I=I+1|0}while((H|0)<(J|0));_O(-15,i,202646,850)}f[p>>2]=M;L=f[h>>2]|0;m=(y<<3)+-8|0;C=L&-4089|m;f[h>>2]=C;f[(f[B>>2]|0)+4>>2]=(m>>>3&511)+1<<(47696>>>(L<<1&14)&3);f[a>>2]=C;C=a+4|0;L=f[j>>2]|0;f[C>>2]=L;m=a+8|0;f[m>>2]=f[n>>2];f[a+12>>2]=f[p>>2];f[a+16>>2]=f[r>>2];f[a+20>>2]=f[s>>2];f[a+24>>2]=f[t>>2];f[a+28>>2]=f[v>>2];f[a+32>>2]=f[w>>2];K=f[x>>2]|0;f[a+36>>2]=K;D=a+40|0;f[D>>2]=m;m=a+48|0;S=a+44|0;f[S>>2]=m;f[m>>2]=0;f[a+52>>2]=0;if(!K)T=L;else{L=K+12|0;f[L>>2]=(f[L>>2]|0)+1;T=f[j>>2]|0}if((T|0)<3){L=f[B>>2]|0;K=f[S>>2]|0;f[K>>2]=f[L>>2];f[K+4>>2]=f[L+4>>2];break}f[C>>2]=0;$O(a,T,0,0,0);if((f[C>>2]|0)>0){L=f[z>>2]|0;K=f[D>>2]|0;D=f[B>>2]|0;m=f[S>>2]|0;S=0;do{f[K+(S<<2)>>2]=f[L+(S<<2)>>2];f[m+(S<<2)>>2]=f[D+(S<<2)>>2];S=S+1|0}while((S|0)<(f[C>>2]|0))}}while(0);T=f[x>>2]|0;if((T|0?(a=T+12|0,T=f[a>>2]|0,f[a>>2]=T+-1,(T|0)==1):0)?(T=f[x>>2]|0,T|0):0){f[x>>2]=0;a=f[T+4>>2]|0;if(!a){v=f[w>>2]|0;if(!v)U=bP()|0;else U=v}else U=a;xh[f[(f[U>>2]|0)+24>>2]&2047](U,T)}f[x>>2]=0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[j>>2]|0)>0){r=f[z>>2]|0;z=0;do{f[r+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[j>>2]|0))}j=f[B>>2]|0;if((j|0)==(A|0)){u=g;return}tE(j);u=g;return}function yP(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;h=u;u=u+32|0;i=h+8|0;j=h;k=c+4|0;l=f[k>>2]|0;if((l|0)==(e|0)){if(!g){xP(a,c,d,0);u=h;return}if((e|0)==2){xP(a,c,d,f[g>>2]|0);u=h;return}}m=f[c>>2]|0;if(!(m&16384)){f[i>>2]=0;f[i+4>>2]=0;n=YG(i,71)|0;o=202881;p=n+71|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));_O(-213,i,202646,906)}if(!((g|0)!=0&((d|0)>-1&(e+-1|0)>>>0<32))){f[i>>2]=0;f[i+4>>2]=0;n=YG(i,62)|0;o=202654;p=n+62|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));_O(-215,i,202646,870)}if(d)if((d|0)<513)q=d;else{f[i>>2]=0;f[i+4>>2]=0;n=YG(i,16)|0;o=202717;p=n+16|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));_O(-215,i,202646,875)}else q=(m>>>3&511)+1|0;if((l|0)<3)r=Y(f[c+12>>2]|0,f[c+8>>2]|0)|0;else{d=f[c+40>>2]|0;s=0;t=1;while(1){v=Y(f[d+(s<<2)>>2]|0,t)|0;s=s+1|0;if((s|0)==(l|0)){r=v;break}else t=v}}t=Y((m>>>3&511)+1|0,r)|0;r=i+8|0;f[i>>2]=r;m=i+4|0;f[m>>2]=e;if(e>>>0>4){l=Dmc(e>>>0>1073741823?-1:e<<2)|0;f[i>>2]=l;w=l}else w=r;a:do if((e|0)>0){l=c+40|0;s=q;d=0;while(1){v=f[g+(d<<2)>>2]|0;if((v|0)<=-1){x=23;break}if(!v){if((d|0)>=(f[k>>2]|0)){x=27;break}y=f[(f[l>>2]|0)+(d<<2)>>2]|0}else y=v;f[w+(d<<2)>>2]=y;v=Y(y,s)|0;d=d+1|0;if((d|0)>=(e|0)){z=v;break a}else s=v}if((x|0)==23){f[j>>2]=0;f[j+4>>2]=0;n=YG(j,14)|0;o=202734;p=n+14|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));_O(-215,j,202646,884)}else if((x|0)==27){f[j>>2]=0;f[j+4>>2]=0;n=YG(j,68)|0;o=202749;p=n+68|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));_O(-211,j,202646,891)}}else z=q;while(0);if((z|0)!=(t|0)){f[j>>2]=0;f[j+4>>2]=0;n=YG(j,62)|0;o=202818;p=n+62|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));_O(-209,j,202646,897)}f[a>>2]=f[c>>2];j=a+4|0;o=f[k>>2]|0;f[j>>2]=o;n=a+8|0;f[n>>2]=f[c+8>>2];f[a+12>>2]=f[c+12>>2];f[a+16>>2]=f[c+16>>2];f[a+20>>2]=f[c+20>>2];f[a+24>>2]=f[c+24>>2];f[a+28>>2]=f[c+28>>2];f[a+32>>2]=f[c+32>>2];p=f[c+36>>2]|0;f[a+36>>2]=p;t=a+40|0;f[t>>2]=n;n=a+48|0;z=a+44|0;f[z>>2]=n;f[n>>2]=0;f[a+52>>2]=0;if(!p)A=o;else{o=p+12|0;f[o>>2]=(f[o>>2]|0)+1;A=f[k>>2]|0}if((A|0)>=3){f[j>>2]=0;$O(a,A,0,0,0);if((f[j>>2]|0)>0){A=f[c+40>>2]|0;k=f[t>>2]|0;t=f[c+44>>2]|0;o=f[z>>2]|0;p=0;do{f[k+(p<<2)>>2]=f[A+(p<<2)>>2];f[o+(p<<2)>>2]=f[t+(p<<2)>>2];p=p+1|0}while((p|0)<(f[j>>2]|0))}}else{j=f[c+44>>2]|0;c=f[z>>2]|0;f[c>>2]=f[j>>2];f[c+4>>2]=f[j+4>>2]}f[a>>2]=f[a>>2]&-4089|(q<<3)+-8;$O(a,e,f[i>>2]|0,0,1);e=f[i>>2]|0;if((e|0)!=(r|0)){if(e|0)Fmc(e);f[i>>2]=r;f[m>>2]=4}u=h;return}function zP(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=u;u=u+16|0;h=g;i=f[e>>2]|0;j=f[e+4>>2]|0;if((i|0)!=(j|0)){yP(a,c,d,j-i>>2,i);u=g;return}i=f[c+16>>2]|0;j=i;d=c+4|0;e=f[d>>2]|0;if(i|0){if((e|0)<3)k=Y(f[c+12>>2]|0,f[c+8>>2]|0)|0;else{i=f[c+40>>2]|0;l=0;m=1;while(1){n=Y(f[i+(l<<2)>>2]|0,m)|0;l=l+1|0;if((l|0)==(e|0)){k=n;break}else m=n}}if(!((e|0)==0|(k|0)==0)){f[h>>2]=0;f[h+4>>2]=0;k=YG(h,7)|0;b[k>>0]=b[202953]|0;b[k+1>>0]=b[202954]|0;b[k+2>>0]=b[202955]|0;b[k+3>>0]=b[202956]|0;b[k+4>>0]=b[202957]|0;b[k+5>>0]=b[202958]|0;b[k+6>>0]=b[202959]|0;_O(-215,h,202646,914)}}f[a>>2]=f[c>>2];h=a+4|0;f[h>>2]=e;k=a+8|0;f[k>>2]=f[c+8>>2];f[a+12>>2]=f[c+12>>2];f[a+16>>2]=j;f[a+20>>2]=f[c+20>>2];f[a+24>>2]=f[c+24>>2];f[a+28>>2]=f[c+28>>2];f[a+32>>2]=f[c+32>>2];j=f[c+36>>2]|0;f[a+36>>2]=j;m=a+40|0;f[m>>2]=k;k=a+48|0;l=a+44|0;f[l>>2]=k;f[k>>2]=0;f[a+52>>2]=0;if(!j)o=e;else{e=j+12|0;f[e>>2]=(f[e>>2]|0)+1;o=f[d>>2]|0}if((o|0)<3){d=f[c+44>>2]|0;e=f[l>>2]|0;f[e>>2]=f[d>>2];f[e+4>>2]=f[d+4>>2];u=g;return}f[h>>2]=0;$O(a,o,0,0,0);if((f[h>>2]|0)<=0){u=g;return}o=f[c+40>>2]|0;a=f[m>>2]|0;m=f[c+44>>2]|0;c=f[l>>2]|0;l=0;do{f[a+(l<<2)>>2]=f[o+(l<<2)>>2];f[c+(l<<2)>>2]=f[m+(l<<2)>>2];l=l+1|0}while((l|0)<(f[h>>2]|0));u=g;return}function AP(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=u;u=u+112|0;e=d+48|0;g=d;h=d+32|0;i=c+12|0;j=f[i>>2]|0;k=f[c+8>>2]|0;if(!((j|0)==1|(k|0)==1)){f[e>>2]=0;f[e+4>>2]=0;l=YG(e,26)|0;m=202961;n=l+26|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));_O(-215,e,202571,923)}m=j+-1+k|0;k=f[c>>2]&4095;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;f[a>>2]=1124007936;j=a+8|0;o=a+40|0;l=a+4|0;n=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(n|0));f[o>>2]=j;j=a+48|0;f[a+44>>2]=j;f[j>>2]=0;f[a+52>>2]=0;f[e>>2]=m;f[e+4>>2]=m;iP(a,2,e,k);nT(a,g)|0;sP(e,a,0);if((f[i>>2]|0)==1){i=g+8|0;f[i>>2]=0;f[i+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=e;kT(c,g)}else{f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=c;c=h+8|0;f[c>>2]=0;f[c+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=e;SJ(g,h)}h=e+36|0;g=f[h>>2]|0;if((g|0?(c=g+12|0,g=f[c>>2]|0,f[c>>2]=g+-1,(g|0)==1):0)?(g=f[h>>2]|0,g|0):0){f[h>>2]=0;c=f[g+4>>2]|0;if(!c){i=f[e+32>>2]|0;if(!i)p=bP()|0;else p=i}else p=c;xh[f[(f[p>>2]|0)+24>>2]&2047](p,g)}f[h>>2]=0;h=e+16|0;g=e+4|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[g>>2]|0)>0){h=f[e+40>>2]|0;p=0;do{f[h+(p<<2)>>2]=0;p=p+1|0}while((p|0)<(f[g>>2]|0))}g=f[e+44>>2]|0;if((g|0)==(e+48|0)){u=d;return}tE(g);u=d;return}function BP(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;if(!(f[a+16>>2]|0)){e=-1;return e|0}g=f[a>>2]|0;if(!((c|0)<1|(g&7|0)==(c|0))){e=-1;return e|0}c=g&16384;if(!((c|0)!=0|d^1)){e=-1;return e|0}d=f[a+4>>2]|0;switch(d|0){case 2:{if((f[a+8>>2]|0)!=1?(h=f[a+12>>2]|0,(h|0)!=1):0){i=h;j=9}else j=7;if((j|0)==7?((g>>>3&511)+1|0)!=(b|0):0){i=f[a+12>>2]|0;j=9}if((j|0)==9?!((i|0)==(b|0)&(g&4088|0)==0):0){e=-1;return e|0}k=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;break}case 3:{if(g&4088|0){e=-1;return e|0}i=f[a+40>>2]|0;if((f[i+8>>2]|0)!=(b|0)){e=-1;return e|0}if((f[i>>2]|0)!=1?(f[i+4>>2]|0)!=1:0){e=-1;return e|0}if((c|0)==0?(c=f[a+44>>2]|0,(f[c+4>>2]|0)!=(Y(f[c+8>>2]|0,b)|0)):0){e=-1;return e|0}c=f[a+40>>2]|0;a=0;i=1;while(1){j=Y(f[c+(a<<2)>>2]|0,i)|0;a=a+1|0;if((a|0)==(d|0)){k=j;break}else i=j}break}default:{e=-1;return e|0}}e=((Y((g>>>3&511)+1|0,k)|0)>>>0)/(b>>>0)|0;return e|0}function CP(a,b){a=a|0;b=b|0;return f[45760+((b&7)<<5)+((a&7)<<2)>>2]|0}function DP(a,c,d,e,g,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0.0,n=0,o=0,q=0;e=f[j>>2]|0;d=f[j+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];if((d|0)>0&(e|0)>0){n=0;o=a;q=g}else return;while(1){g=0;do{a=U9b(m+l*+(h[o+g>>0]|0))|0;b[q+g>>0]=a>>>0<256?a:(a|0)>0?255:0;g=g+1|0}while((g|0)!=(e|0));n=n+1|0;if((n|0)==(d|0))break;else{o=o+c|0;q=q+i|0}}return}function EP(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;d=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];if((d|0)>0&(e|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{a=U9b(l+k*+(b[n+g>>0]|0))|0;b[o+g>>0]=a>>>0<256?a:(a|0)>0?255:0;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(d|0))break;else{n=n+c|0;o=o+h|0}}return}function FP(a,c,d,e,g,h,i,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0.0,m=0.0,n=0,o=0,q=0;e=f[i>>2]|0;d=f[i+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];k=c>>>1;if((d|0)>0&(e|0)>0){n=0;o=a;q=g}else return;while(1){g=0;do{a=U9b(m+l*+(j[o+(g<<1)>>1]|0))|0;b[q+g>>0]=a>>>0<256?a:(a|0)>0?255:0;g=g+1|0}while((g|0)!=(e|0));n=n+1|0;if((n|0)==(d|0))break;else{o=o+(k<<1)|0;q=q+h|0}}return}function GP(a,c,e,g,h,i,j,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0.0,n=0,o=0,q=0;g=f[j>>2]|0;e=f[j+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];k=c>>>1;if((e|0)>0&(g|0)>0){n=0;o=a;q=h}else return;while(1){h=0;do{a=U9b(m+l*+(d[o+(h<<1)>>1]|0))|0;b[q+h>>0]=a>>>0<256?a:(a|0)>0?255:0;h=h+1|0}while((h|0)!=(g|0));n=n+1|0;if((n|0)==(e|0))break;else{o=o+(k<<1)|0;q=q+i|0}}return}function HP(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;d=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=c>>>2;if((d|0)>0&(e|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{a=U9b(l+k*+(f[n+(g<<2)>>2]|0))|0;b[o+g>>0]=a>>>0<256?a:(a|0)>0?255:0;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(d|0))break;else{n=n+(j<<2)|0;o=o+h|0}}return}function IP(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,o=0,q=0;e=f[i>>2]|0;d=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=c>>>2;if((d|0)>0&(e|0)>0){m=0;o=a;q=g}else return;while(1){g=0;do{a=U9b(l+k*+n[o+(g<<2)>>2])|0;b[q+g>>0]=a>>>0<256?a:(a|0)>0?255:0;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(d|0))break;else{o=o+(j<<2)|0;q=q+h|0}}return}function JP(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;d=f[i+4>>2]|0;i=c>>>3;if((d|0)<=0)return;k=+p[j>>3];l=+p[j+8>>3];if((e|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{a=V9b(l+k*+p[n+(g<<3)>>3])|0;b[o+g>>0]=a>>>0<256?a:(a|0)>0?255:0;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(d|0))break;else{n=n+(i<<3)|0;o=o+h|0}}return}function KP(a,c,d,e,g,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0.0,n=0,o=0,q=0;e=f[j>>2]|0;d=f[j+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];if((d|0)>0&(e|0)>0){n=0;o=a;q=g}else return;while(1){g=0;do{a=U9b(m+l*+(h[o+g>>0]|0))|0;b[q+g>>0]=(a+128|0)>>>0<256?a:(a|0)>0?127:128;g=g+1|0}while((g|0)!=(e|0));n=n+1|0;if((n|0)==(d|0))break;else{o=o+c|0;q=q+i|0}}return}function LP(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;d=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];if((d|0)>0&(e|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{a=U9b(l+k*+(b[n+g>>0]|0))|0;b[o+g>>0]=(a+128|0)>>>0<256?a:(a|0)>0?127:128;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(d|0))break;else{n=n+c|0;o=o+h|0}}return}function MP(a,c,d,e,g,h,i,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0.0,m=0.0,n=0,o=0,q=0;e=f[i>>2]|0;d=f[i+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];k=c>>>1;if((d|0)>0&(e|0)>0){n=0;o=a;q=g}else return;while(1){g=0;do{a=U9b(m+l*+(j[o+(g<<1)>>1]|0))|0;b[q+g>>0]=(a+128|0)>>>0<256?a:(a|0)>0?127:128;g=g+1|0}while((g|0)!=(e|0));n=n+1|0;if((n|0)==(d|0))break;else{o=o+(k<<1)|0;q=q+h|0}}return}function NP(a,c,e,g,h,i,j,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0.0,n=0,o=0,q=0;g=f[j>>2]|0;e=f[j+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];k=c>>>1;if((e|0)>0&(g|0)>0){n=0;o=a;q=h}else return;while(1){h=0;do{a=U9b(m+l*+(d[o+(h<<1)>>1]|0))|0;b[q+h>>0]=(a+128|0)>>>0<256?a:(a|0)>0?127:128;h=h+1|0}while((h|0)!=(g|0));n=n+1|0;if((n|0)==(e|0))break;else{o=o+(k<<1)|0;q=q+i|0}}return}function OP(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;d=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=c>>>2;if((d|0)>0&(e|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{a=U9b(l+k*+(f[n+(g<<2)>>2]|0))|0;b[o+g>>0]=(a+128|0)>>>0<256?a:(a|0)>0?127:128;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(d|0))break;else{n=n+(j<<2)|0;o=o+h|0}}return}function PP(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,o=0,q=0;e=f[i>>2]|0;d=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=c>>>2;if((d|0)>0&(e|0)>0){m=0;o=a;q=g}else return;while(1){g=0;do{a=U9b(l+k*+n[o+(g<<2)>>2])|0;b[q+g>>0]=(a+128|0)>>>0<256?a:(a|0)>0?127:128;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(d|0))break;else{o=o+(j<<2)|0;q=q+h|0}}return}function QP(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;d=f[i+4>>2]|0;i=c>>>3;if((d|0)<=0)return;k=+p[j>>3];l=+p[j+8>>3];if((e|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{a=V9b(l+k*+p[n+(g<<3)>>3])|0;b[o+g>>0]=(a+128|0)>>>0<256?a:(a|0)>0?127:128;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(d|0))break;else{n=n+(i<<3)|0;o=o+h|0}}return}function RP(a,b,c,e,g,i,j,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0.0,n=0,o=0,q=0;e=f[j>>2]|0;c=f[j+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];k=i>>>1;if((c|0)>0&(e|0)>0){n=0;o=a;q=g}else return;while(1){g=0;do{a=U9b(m+l*+(h[o+g>>0]|0))|0;d[q+(g<<1)>>1]=a>>>0<65536?a:(a|0)>0?65535:0;g=g+1|0}while((g|0)!=(e|0));n=n+1|0;if((n|0)==(c|0))break;else{o=o+b|0;q=q+(k<<1)|0}}return}function SP(a,c,e,g,h,i,j,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0.0,n=0,o=0,q=0;g=f[j>>2]|0;e=f[j+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];k=i>>>1;if((e|0)>0&(g|0)>0){n=0;o=a;q=h}else return;while(1){h=0;do{a=U9b(m+l*+(b[o+h>>0]|0))|0;d[q+(h<<1)>>1]=a>>>0<65536?a:(a|0)>0?65535:0;h=h+1|0}while((h|0)!=(g|0));n=n+1|0;if((n|0)==(e|0))break;else{o=o+c|0;q=q+(k<<1)|0}}return}function TP(a,b,c,e,g,h,i,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0.0,m=0.0,n=0,o=0,q=0;e=f[i>>2]|0;c=f[i+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];k=b>>>1;b=h>>>1;if((e|0)>0&(c|0)>0){n=0;o=a;q=g}else return;while(1){g=0;do{a=U9b(m+l*+(j[o+(g<<1)>>1]|0))|0;d[q+(g<<1)>>1]=a>>>0<65536?a:(a|0)>0?65535:0;g=g+1|0}while((g|0)!=(e|0));n=n+1|0;if((n|0)==(c|0))break;else{o=o+(k<<1)|0;q=q+(b<<1)|0}}return}function UP(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;c=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=b>>>1;b=h>>>1;if((e|0)>0&(c|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{a=U9b(l+k*+(d[n+(g<<1)>>1]|0))|0;d[o+(g<<1)>>1]=a>>>0<65536?a:(a|0)>0?65535:0;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(c|0))break;else{n=n+(j<<1)|0;o=o+(b<<1)|0}}return}function VP(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;c=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=b>>>2;b=h>>>1;if((e|0)>0&(c|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{a=U9b(l+k*+(f[n+(g<<2)>>2]|0))|0;d[o+(g<<1)>>1]=a>>>0<65536?a:(a|0)>0?65535:0;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(c|0))break;else{n=n+(j<<2)|0;o=o+(b<<1)|0}}return}function WP(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,o=0,q=0;e=f[i>>2]|0;c=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=b>>>2;b=h>>>1;if((e|0)>0&(c|0)>0){m=0;o=a;q=g}else return;while(1){g=0;do{a=U9b(l+k*+n[o+(g<<2)>>2])|0;d[q+(g<<1)>>1]=a>>>0<65536?a:(a|0)>0?65535:0;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(c|0))break;else{o=o+(j<<2)|0;q=q+(b<<1)|0}}return}function XP(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;c=f[i+4>>2]|0;i=b>>>3;b=h>>>1;if((c|0)<=0)return;k=+p[j>>3];l=+p[j+8>>3];if((e|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{a=V9b(l+k*+p[n+(g<<3)>>3])|0;d[o+(g<<1)>>1]=a>>>0<65536?a:(a|0)>0?65535:0;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(c|0))break;else{n=n+(i<<3)|0;o=o+(b<<1)|0}}return}function YP(a,b,c,e,g,i,j,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0.0,n=0,o=0,q=0;e=f[j>>2]|0;c=f[j+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];k=i>>>1;if((c|0)>0&(e|0)>0){n=0;o=a;q=g}else return;while(1){g=0;do{a=U9b(m+l*+(h[o+g>>0]|0))|0;d[q+(g<<1)>>1]=(a+32768|0)>>>0<65536?a:(a|0)>0?32767:32768;g=g+1|0}while((g|0)!=(e|0));n=n+1|0;if((n|0)==(c|0))break;else{o=o+b|0;q=q+(k<<1)|0}}return}function ZP(a,c,e,g,h,i,j,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0.0,n=0,o=0,q=0;g=f[j>>2]|0;e=f[j+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];k=i>>>1;if((e|0)>0&(g|0)>0){n=0;o=a;q=h}else return;while(1){h=0;do{a=U9b(m+l*+(b[o+h>>0]|0))|0;d[q+(h<<1)>>1]=(a+32768|0)>>>0<65536?a:(a|0)>0?32767:32768;h=h+1|0}while((h|0)!=(g|0));n=n+1|0;if((n|0)==(e|0))break;else{o=o+c|0;q=q+(k<<1)|0}}return}function _P(a,b,c,e,g,h,i,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0.0,m=0.0,n=0,o=0,q=0;e=f[i>>2]|0;c=f[i+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];k=b>>>1;b=h>>>1;if((e|0)>0&(c|0)>0){n=0;o=a;q=g}else return;while(1){g=0;do{a=U9b(m+l*+(j[o+(g<<1)>>1]|0))|0;d[q+(g<<1)>>1]=(a+32768|0)>>>0<65536?a:(a|0)>0?32767:32768;g=g+1|0}while((g|0)!=(e|0));n=n+1|0;if((n|0)==(c|0))break;else{o=o+(k<<1)|0;q=q+(b<<1)|0}}return}function $P(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;c=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=b>>>1;b=h>>>1;if((e|0)>0&(c|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{a=U9b(l+k*+(d[n+(g<<1)>>1]|0))|0;d[o+(g<<1)>>1]=(a+32768|0)>>>0<65536?a:(a|0)>0?32767:32768;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(c|0))break;else{n=n+(j<<1)|0;o=o+(b<<1)|0}}return}function aQ(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;c=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=b>>>2;b=h>>>1;if((e|0)>0&(c|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{a=U9b(l+k*+(f[n+(g<<2)>>2]|0))|0;d[o+(g<<1)>>1]=(a+32768|0)>>>0<65536?a:(a|0)>0?32767:32768;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(c|0))break;else{n=n+(j<<2)|0;o=o+(b<<1)|0}}return}function bQ(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,o=0,q=0;e=f[i>>2]|0;c=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=b>>>2;b=h>>>1;if((e|0)>0&(c|0)>0){m=0;o=a;q=g}else return;while(1){g=0;do{a=U9b(l+k*+n[o+(g<<2)>>2])|0;d[q+(g<<1)>>1]=(a+32768|0)>>>0<65536?a:(a|0)>0?32767:32768;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(c|0))break;else{o=o+(j<<2)|0;q=q+(b<<1)|0}}return}function cQ(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;c=f[i+4>>2]|0;i=b>>>3;b=h>>>1;if((c|0)<=0)return;k=+p[j>>3];l=+p[j+8>>3];if((e|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{a=V9b(l+k*+p[n+(g<<3)>>3])|0;d[o+(g<<1)>>1]=(a+32768|0)>>>0<65536?a:(a|0)>0?32767:32768;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(c|0))break;else{n=n+(i<<3)|0;o=o+(b<<1)|0}}return}function dQ(a,b,c,d,e,g,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;d=f[i>>2]|0;c=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=g>>>2;if((c|0)>0&(d|0)>0){m=0;n=a;o=e}else return;while(1){e=0;do{a=U9b(l+k*+(h[n+e>>0]|0))|0;f[o+(e<<2)>>2]=a;e=e+1|0}while((e|0)!=(d|0));m=m+1|0;if((m|0)==(c|0))break;else{n=n+b|0;o=o+(j<<2)|0}}return}function eQ(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;d=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=h>>>2;if((d|0)>0&(e|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{a=U9b(l+k*+(b[n+g>>0]|0))|0;f[o+(g<<2)>>2]=a;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(d|0))break;else{n=n+c|0;o=o+(j<<2)|0}}return}function fQ(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0.0,l=0.0,m=0,n=0,o=0;d=f[h>>2]|0;c=f[h+4>>2]|0;k=+p[i>>3];l=+p[i+8>>3];i=b>>>1;b=g>>>2;if((c|0)>0&(d|0)>0){m=0;n=a;o=e}else return;while(1){e=0;do{a=U9b(l+k*+(j[n+(e<<1)>>1]|0))|0;f[o+(e<<2)>>2]=a;e=e+1|0}while((e|0)!=(d|0));m=m+1|0;if((m|0)==(c|0))break;else{n=n+(i<<1)|0;o=o+(b<<2)|0}}return}function gQ(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;c=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=b>>>1;b=h>>>2;if((c|0)>0&(e|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{a=U9b(l+k*+(d[n+(g<<1)>>1]|0))|0;f[o+(g<<2)>>2]=a;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(c|0))break;else{n=n+(j<<1)|0;o=o+(b<<2)|0}}return}function hQ(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0.0,l=0,m=0,n=0;d=f[h>>2]|0;c=f[h+4>>2]|0;j=+p[i>>3];k=+p[i+8>>3];i=b>>>2;b=g>>>2;if((c|0)>0&(d|0)>0){l=0;m=a;n=e}else return;while(1){e=0;do{a=V9b(k+j*+(f[m+(e<<2)>>2]|0))|0;f[n+(e<<2)>>2]=a;e=e+1|0}while((e|0)!=(d|0));l=l+1|0;if((l|0)==(c|0))break;else{m=m+(i<<2)|0;n=n+(b<<2)|0}}return}function iQ(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0.0,l=0,m=0,o=0;d=f[h>>2]|0;c=f[h+4>>2]|0;j=+p[i>>3];k=+p[i+8>>3];i=b>>>2;b=g>>>2;if((c|0)>0&(d|0)>0){l=0;m=a;o=e}else return;while(1){e=0;do{a=U9b(k+j*+n[m+(e<<2)>>2])|0;f[o+(e<<2)>>2]=a;e=e+1|0}while((e|0)!=(d|0));l=l+1|0;if((l|0)==(c|0))break;else{m=m+(i<<2)|0;o=o+(b<<2)|0}}return}function jQ(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0.0,l=0,m=0,n=0;d=f[h>>2]|0;c=f[h+4>>2]|0;j=+p[i>>3];k=+p[i+8>>3];i=b>>>3;b=g>>>2;if((c|0)>0&(d|0)>0){l=0;m=a;n=e}else return;while(1){e=0;do{a=V9b(k+j*+p[m+(e<<3)>>3])|0;f[n+(e<<2)>>2]=a;e=e+1|0}while((e|0)!=(d|0));l=l+1|0;if((l|0)==(c|0))break;else{m=m+(i<<3)|0;n=n+(b<<2)|0}}return}function kQ(a,b,c,d,e,g,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,o=0,q=0;d=f[i>>2]|0;c=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=g>>>2;if((c|0)>0&(d|0)>0){m=0;o=a;q=e}else return;while(1){e=0;do{n[q+(e<<2)>>2]=l+k*+(h[o+e>>0]|0);e=e+1|0}while((e|0)!=(d|0));m=m+1|0;if((m|0)==(c|0))break;else{o=o+b|0;q=q+(j<<2)|0}}return}function lQ(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,o=0,q=0;e=f[i>>2]|0;d=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=h>>>2;if((d|0)>0&(e|0)>0){m=0;o=a;q=g}else return;while(1){g=0;do{n[q+(g<<2)>>2]=l+k*+(b[o+g>>0]|0);g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(d|0))break;else{o=o+c|0;q=q+(j<<2)|0}}return}function mQ(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0.0,l=0.0,m=0,o=0,q=0;d=f[h>>2]|0;c=f[h+4>>2]|0;k=+p[i>>3];l=+p[i+8>>3];i=b>>>1;b=g>>>2;if((d|0)>0&(c|0)>0){m=0;o=a;q=e}else return;while(1){e=0;do{n[q+(e<<2)>>2]=l+k*+(j[o+(e<<1)>>1]|0);e=e+1|0}while((e|0)!=(d|0));m=m+1|0;if((m|0)==(c|0))break;else{o=o+(i<<1)|0;q=q+(b<<2)|0}}return}function nQ(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,o=0,q=0;e=f[i>>2]|0;c=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=b>>>1;b=h>>>2;if((e|0)>0&(c|0)>0){m=0;o=a;q=g}else return;while(1){g=0;do{n[q+(g<<2)>>2]=l+k*+(d[o+(g<<1)>>1]|0);g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(c|0))break;else{o=o+(j<<1)|0;q=q+(b<<2)|0}}return}function oQ(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0.0,l=0,m=0,o=0;d=f[h>>2]|0;c=f[h+4>>2]|0;j=+p[i>>3];k=+p[i+8>>3];i=b>>>2;b=g>>>2;if((d|0)>0&(c|0)>0){l=0;m=a;o=e}else return;while(1){e=0;do{n[o+(e<<2)>>2]=k+j*+(f[m+(e<<2)>>2]|0);e=e+1|0}while((e|0)!=(d|0));l=l+1|0;if((l|0)==(c|0))break;else{m=m+(i<<2)|0;o=o+(b<<2)|0}}return}function pQ(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0.0,l=0,m=0,o=0;d=f[h>>2]|0;c=f[h+4>>2]|0;j=+p[i>>3];k=+p[i+8>>3];i=b>>>2;b=g>>>2;if((d|0)>0&(c|0)>0){l=0;m=a;o=e}else return;while(1){e=0;do{n[o+(e<<2)>>2]=k+j*+n[m+(e<<2)>>2];e=e+1|0}while((e|0)!=(d|0));l=l+1|0;if((l|0)==(c|0))break;else{m=m+(i<<2)|0;o=o+(b<<2)|0}}return}function qQ(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0.0,l=0,m=0,o=0;d=f[h>>2]|0;c=f[h+4>>2]|0;j=+p[i>>3];k=+p[i+8>>3];i=b>>>3;b=g>>>2;if((d|0)>0&(c|0)>0){l=0;m=a;o=e}else return;while(1){e=0;do{n[o+(e<<2)>>2]=k+j*+p[m+(e<<3)>>3];e=e+1|0}while((e|0)!=(d|0));l=l+1|0;if((l|0)==(c|0))break;else{m=m+(i<<3)|0;o=o+(b<<2)|0}}return}function rQ(a,b,c,d,e,g,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;d=f[i>>2]|0;c=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=g>>>3;if((c|0)>0&(d|0)>0){m=0;n=a;o=e}else return;while(1){e=0;do{p[o+(e<<3)>>3]=l+k*+(h[n+e>>0]|0);e=e+1|0}while((e|0)!=(d|0));m=m+1|0;if((m|0)==(c|0))break;else{n=n+b|0;o=o+(j<<3)|0}}return}function sQ(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;d=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=h>>>3;if((d|0)>0&(e|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{p[o+(g<<3)>>3]=l+k*+(b[n+g>>0]|0);g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(d|0))break;else{n=n+c|0;o=o+(j<<3)|0}}return}function tQ(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0.0,l=0.0,m=0,n=0,o=0;d=f[h>>2]|0;c=f[h+4>>2]|0;k=+p[i>>3];l=+p[i+8>>3];i=b>>>1;b=g>>>3;if((d|0)>0&(c|0)>0){m=0;n=a;o=e}else return;while(1){e=0;do{p[o+(e<<3)>>3]=l+k*+(j[n+(e<<1)>>1]|0);e=e+1|0}while((e|0)!=(d|0));m=m+1|0;if((m|0)==(c|0))break;else{n=n+(i<<1)|0;o=o+(b<<3)|0}}return}function uQ(a,b,c,e,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;c=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=b>>>1;b=h>>>3;if((e|0)>0&(c|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{p[o+(g<<3)>>3]=l+k*+(d[n+(g<<1)>>1]|0);g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(c|0))break;else{n=n+(j<<1)|0;o=o+(b<<3)|0}}return}function vQ(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0.0,l=0,m=0,n=0;d=f[h>>2]|0;c=f[h+4>>2]|0;j=+p[i>>3];k=+p[i+8>>3];i=b>>>2;b=g>>>3;if((d|0)>0&(c|0)>0){l=0;m=a;n=e}else return;while(1){e=0;do{p[n+(e<<3)>>3]=k+j*+(f[m+(e<<2)>>2]|0);e=e+1|0}while((e|0)!=(d|0));l=l+1|0;if((l|0)==(c|0))break;else{m=m+(i<<2)|0;n=n+(b<<3)|0}}return}function wQ(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0.0,l=0,m=0,o=0;d=f[h>>2]|0;c=f[h+4>>2]|0;j=+p[i>>3];k=+p[i+8>>3];i=b>>>2;b=g>>>3;if((d|0)>0&(c|0)>0){l=0;m=a;o=e}else return;while(1){e=0;do{p[o+(e<<3)>>3]=k+j*+n[m+(e<<2)>>2];e=e+1|0}while((e|0)!=(d|0));l=l+1|0;if((l|0)==(c|0))break;else{m=m+(i<<2)|0;o=o+(b<<3)|0}}return}function xQ(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0.0,l=0,m=0,n=0;d=f[h>>2]|0;c=f[h+4>>2]|0;j=+p[i>>3];k=+p[i+8>>3];i=b>>>3;b=g>>>3;if((d|0)>0&(c|0)>0){l=0;m=a;n=e}else return;while(1){e=0;do{p[n+(e<<3)>>3]=k+j*+p[m+(e<<3)>>3];e=e+1|0}while((e|0)!=(d|0));l=l+1|0;if((l|0)==(c|0))break;else{m=m+(i<<3)|0;n=n+(b<<3)|0}}return}function yQ(a,c,d,e){a=a|0;c=c|0;d=+d;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;g=u;u=u+208|0;h=g+200|0;i=g+144|0;j=g+8|0;k=g+88|0;l=g+72|0;m=g+64|0;n=g;o=g+32|0;q=g+24|0;zT(h,46016);do if((pD(a)|0)==65536){r=f[a+4>>2]|0;f[i>>2]=f[r>>2];s=i+4|0;t=r+4|0;f[s>>2]=f[t>>2];v=i+8|0;f[v>>2]=f[r+8>>2];f[i+12>>2]=f[r+12>>2];f[i+16>>2]=f[r+16>>2];f[i+20>>2]=f[r+20>>2];f[i+24>>2]=f[r+24>>2];f[i+28>>2]=f[r+28>>2];f[i+32>>2]=f[r+32>>2];w=f[r+36>>2]|0;f[i+36>>2]=w;x=i+40|0;f[x>>2]=v;v=i+48|0;y=i+44|0;f[y>>2]=v;f[v>>2]=0;f[i+52>>2]=0;if(w|0){v=w+12|0;f[v>>2]=(f[v>>2]|0)+1}if((f[t>>2]|0)<3){t=f[r+44>>2]|0;v=f[y>>2]|0;f[v>>2]=f[t>>2];f[v+4>>2]=f[t+4>>2];z=s;A=x;B=i;break}else{f[s>>2]=0;kP(i,r);z=s;A=x;B=i;break}}else{lD(i,a,-1);z=i+4|0;A=i+40|0;B=i}while(0);a=((f[B>>2]|0)>>>3&511)+1|0;p[j>>3]=d;p[j+8>>3]=e;ID(c,f[z>>2]|0,f[A>>2]|0,(a<<3)+-8|0,-1,0,0);do if((pD(c)|0)==65536){x=f[c+4>>2]|0;f[k>>2]=f[x>>2];s=k+4|0;r=x+4|0;f[s>>2]=f[r>>2];t=k+8|0;f[t>>2]=f[x+8>>2];f[k+12>>2]=f[x+12>>2];f[k+16>>2]=f[x+16>>2];f[k+20>>2]=f[x+20>>2];f[k+24>>2]=f[x+24>>2];f[k+28>>2]=f[x+28>>2];f[k+32>>2]=f[x+32>>2];v=f[x+36>>2]|0;f[k+36>>2]=v;f[k+40>>2]=t;t=k+48|0;y=k+44|0;f[y>>2]=t;f[t>>2]=0;f[k+52>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[r>>2]|0)<3){r=f[x+44>>2]|0;t=f[y>>2]|0;f[t>>2]=f[r>>2];f[t+4>>2]=f[r+4>>2];break}else{f[s>>2]=0;kP(k,x);break}}else lD(k,c,-1);while(0);c=f[B>>2]|0;B=c&7;x=f[46036+(B<<2)>>2]|0;if((B|0)==7){f[l>>2]=0;f[l+4>>2]=0;B=YG(l,9)|0;s=274048;r=B+9|0;do{b[B>>0]=b[s>>0]|0;B=B+1|0;s=s+1|0}while((B|0)<(r|0));zQ(-215,l,202988,426)}if((f[z>>2]|0)<3){s=f[k>>2]|0;B=f[i+12>>2]|0;r=f[i+8>>2]|0;t=Urc(B|0,((B|0)<0)<<31>>31|0,a|0,0)|0;y=Urc(t|0,J|0,r|0,((r|0)<0)<<31>>31|0)|0;if((c&16384&s|0)!=0?(y|0)==(y|0)&(((y|0)<0)<<31>>31|0)==(J|0):0){C=1;D=y}else{C=r;D=Y(B,a)|0}B=f[i+16>>2]|0;r=f[i+48>>2]|0;y=f[k+16>>2]|0;s=f[k+48>>2]|0;f[m>>2]=D;f[m+4>>2]=C;Fh[x&255](B,r,0,0,y,s,m,j)}else{f[l>>2]=i;f[l+4>>2]=k;f[l+8>>2]=0;m=n;f[m>>2]=0;f[m+4>>2]=0;IN(o,l,n,-1);l=Y(f[o+20>>2]|0,a)|0;a=o+16|0;m=n+4|0;s=q+4|0;y=0;while(1){if(y>>>0>=(f[a>>2]|0)>>>0)break;r=f[n>>2]|0;B=f[m>>2]|0;f[q>>2]=l;f[s>>2]=1;Fh[x&255](r,0,0,0,B,0,q,j);JN(o)|0;y=y+1|0}}y=k+36|0;o=f[y>>2]|0;if(o|0?(j=o+12|0,o=f[j>>2]|0,f[j>>2]=o+-1,(o|0)==1):0)lP(k);f[y>>2]=0;y=k+16|0;o=k+4|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[o>>2]|0)>0){y=f[k+40>>2]|0;j=0;do{f[y+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[o>>2]|0))}o=f[k+44>>2]|0;if((o|0)!=(k+48|0))tE(o);o=i+36|0;k=f[o>>2]|0;if(k|0?(j=k+12|0,k=f[j>>2]|0,f[j>>2]=k+-1,(k|0)==1):0)lP(i);f[o>>2]=0;o=i+16|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[z>>2]|0)>0){o=f[A>>2]|0;A=0;do{f[o+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[z>>2]|0))}z=f[i+44>>2]|0;if((z|0)!=(i+48|0))tE(z);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function zQ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;SQ(a,b,c,203004,d);return}function AQ(a,c,d,e,g,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0.0,n=0,o=0,q=0;e=f[j>>2]|0;d=f[j+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];if((d|0)>0&(e|0)>0){n=0;o=a;q=g}else return;while(1){g=0;do{a=U9b(+L(+(m+l*+(h[o+g>>0]|0))))|0;b[q+g>>0]=a>>>0<256?a:(a|0)>0?255:0;g=g+1|0}while((g|0)!=(e|0));n=n+1|0;if((n|0)==(d|0))break;else{o=o+c|0;q=q+i|0}}return}function BQ(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;d=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];if((d|0)>0&(e|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{a=U9b(+L(+(l+k*+(b[n+g>>0]|0))))|0;b[o+g>>0]=a>>>0<256?a:(a|0)>0?255:0;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(d|0))break;else{n=n+c|0;o=o+h|0}}return}function CQ(a,c,d,e,g,h,i,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0.0,m=0.0,n=0,o=0,q=0;e=f[i>>2]|0;d=f[i+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];k=c>>>1;if((d|0)>0&(e|0)>0){n=0;o=a;q=g}else return;while(1){g=0;do{a=U9b(+L(+(m+l*+(j[o+(g<<1)>>1]|0))))|0;b[q+g>>0]=a>>>0<256?a:(a|0)>0?255:0;g=g+1|0}while((g|0)!=(e|0));n=n+1|0;if((n|0)==(d|0))break;else{o=o+(k<<1)|0;q=q+h|0}}return}function DQ(a,c,e,g,h,i,j,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0.0,n=0,o=0,q=0;g=f[j>>2]|0;e=f[j+4>>2]|0;l=+p[k>>3];m=+p[k+8>>3];k=c>>>1;if((e|0)>0&(g|0)>0){n=0;o=a;q=h}else return;while(1){h=0;do{a=U9b(+L(+(m+l*+(d[o+(h<<1)>>1]|0))))|0;b[q+h>>0]=a>>>0<256?a:(a|0)>0?255:0;h=h+1|0}while((h|0)!=(g|0));n=n+1|0;if((n|0)==(e|0))break;else{o=o+(k<<1)|0;q=q+i|0}}return}function EQ(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;d=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=c>>>2;if((d|0)>0&(e|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{a=U9b(+L(+(l+k*+(f[n+(g<<2)>>2]|0))))|0;b[o+g>>0]=a>>>0<256?a:(a|0)>0?255:0;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(d|0))break;else{n=n+(j<<2)|0;o=o+h|0}}return}function FQ(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,o=0,q=0;e=f[i>>2]|0;d=f[i+4>>2]|0;k=+p[j>>3];l=+p[j+8>>3];j=c>>>2;if((d|0)>0&(e|0)>0){m=0;o=a;q=g}else return;while(1){g=0;do{a=U9b(+L(+(l+k*+n[o+(g<<2)>>2])))|0;b[q+g>>0]=a>>>0<256?a:(a|0)>0?255:0;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(d|0))break;else{o=o+(j<<2)|0;q=q+h|0}}return}function GQ(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0;e=f[i>>2]|0;d=f[i+4>>2]|0;i=c>>>3;if((d|0)<=0)return;k=+p[j>>3];l=+p[j+8>>3];if((e|0)>0){m=0;n=a;o=g}else return;while(1){g=0;do{a=V9b(+L(+(l+k*+p[n+(g<<3)>>3])))|0;b[o+g>>0]=a>>>0<256?a:(a|0)>0?255:0;g=g+1|0}while((g|0)!=(e|0));m=m+1|0;if((m|0)==(d|0))break;else{n=n+(i<<3)|0;o=o+h|0}}return}function HQ(a,c,d,e,g,h,i){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0.0,s=0.0,t=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0,B=0,C=0,D=0,E=0;j=u;u=u+144|0;k=j+128|0;l=j+56|0;m=j;n=j+112|0;zT(k,46068);o=(oD(a,-1)|0)&7;if((h|0)<0)if(hE(c)|0)q=BD(c,-1)|0;else q=o;else q=h;switch(g|0){case 32:{p[l>>3]=0.0;p[m>>3]=0.0;r=d>e?e:d;HV(a,l,m,0,0,i);s=+p[l>>3];t=+p[m>>3]-s;v=((d<e?e:d)-r)*(t>2.220446049250313e-16?1.0/t:0.0);if((q|0)==5){t=v;w=t;x=r-s*t}else{w=v;x=r-s*v}y=w;z=x;break}case 1:case 2:case 4:{x=+QL(a,g,i);y=x>2.220446049250313e-16?d/x:0.0;z=0.0;break}default:{f[l>>2]=0;f[l+4>>2]=0;A=YG(l,29)|0;g=203142;B=A+29|0;do{b[A>>0]=b[g>>0]|0;A=A+1|0;g=g+1|0}while((A|0)<(B|0));zQ(-5,l,203172,572)}}do if((pD(a)|0)==65536){g=f[a+4>>2]|0;f[l>>2]=f[g>>2];h=l+4|0;o=g+4|0;f[h>>2]=f[o>>2];C=l+8|0;f[C>>2]=f[g+8>>2];f[l+12>>2]=f[g+12>>2];f[l+16>>2]=f[g+16>>2];f[l+20>>2]=f[g+20>>2];f[l+24>>2]=f[g+24>>2];f[l+28>>2]=f[g+28>>2];f[l+32>>2]=f[g+32>>2];D=f[g+36>>2]|0;f[l+36>>2]=D;f[l+40>>2]=C;C=l+48|0;E=l+44|0;f[E>>2]=C;f[C>>2]=0;f[l+52>>2]=0;if(D|0){C=D+12|0;f[C>>2]=(f[C>>2]|0)+1}if((f[o>>2]|0)<3){o=f[g+44>>2]|0;C=f[E>>2]|0;f[C>>2]=f[o>>2];f[C+4>>2]=f[o+4>>2];break}else{f[h>>2]=0;kP(l,g);break}}else lD(l,a,-1);while(0);if(!(DD(i)|0)){f[m>>2]=1124007936;a=m+4|0;g=m+8|0;h=m+40|0;A=a;B=A+36|0;do{f[A>>2]=0;A=A+4|0}while((A|0)<(B|0));f[h>>2]=g;g=m+48|0;A=m+44|0;f[A>>2]=g;f[g>>2]=0;f[m+52>>2]=0;B=n+8|0;f[B>>2]=0;f[B+4>>2]=0;f[n>>2]=33619968;f[n+4>>2]=m;IO(l,n,q,y,z);mT(m,c,i);i=m+36|0;n=f[i>>2]|0;if(n|0?(B=n+12|0,n=f[B>>2]|0,f[B>>2]=n+-1,(n|0)==1):0)lP(m);f[i>>2]=0;i=m+16|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[a>>2]|0)>0){i=f[h>>2]|0;h=0;do{f[i+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[a>>2]|0))}a=f[A>>2]|0;if((a|0)!=(g|0))tE(a)}else IO(l,c,q,y,z);q=l+36|0;c=f[q>>2]|0;if(c|0?(a=c+12|0,c=f[a>>2]|0,f[a>>2]=c+-1,(c|0)==1):0)lP(l);f[q>>2]=0;q=l+16|0;c=l+4|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[c>>2]|0)>0){q=f[l+40>>2]|0;a=0;do{f[q+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[c>>2]|0))}c=f[l+44>>2]|0;if((c|0)!=(l+48|0))tE(c);if(!(f[k+4>>2]|0)){u=j;return}u=j;return}function IQ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;h=g;if(d-g>>3>>>0>=b>>>0){Drc(g|0,0,b<<3|0)|0;f[e>>2]=h+(b<<3);return}i=f[a>>2]|0;j=g-i>>3;g=j+b|0;k=i;if(g>>>0>536870911)Ukc(a);l=d-i|0;d=l>>2;m=l>>3>>>0<268435455?(d>>>0<g>>>0?g:d):536870911;do if(m)if(m>>>0>536870911){d=ye(8)|0;Jmc(d,511852);f[d>>2]=165276;Gf(d|0,26776,1555)}else{n=Bmc(m<<3)|0;break}else n=0;while(0);d=n+(j<<3)|0;j=n+(m<<3)|0;Drc(d|0,0,b<<3|0)|0;m=d+(b<<3)|0;if((h|0)==(k|0)){o=d;p=i}else{b=h+-8-i|0;i=h;h=d;do{n=h;h=h+-8|0;g=i;i=i+-8|0;f[h>>2]=f[i>>2];f[n+-4>>2]=f[g+-4>>2]}while((i|0)!=(k|0));o=d+(~(b>>>3)<<3)|0;p=f[a>>2]|0}f[a>>2]=o;f[e>>2]=m;f[c>>2]=j;if(!p)return;Emc(p);return}function JQ(a,b){a=a|0;b=b|0;var c=0.0,d=0.0,e=0.0,f=0.0,g=0.0,h=0.0,i=0.0,j=0,k=0.0;c=+n[a+16>>2]*3.141592653589793/180.0;d=+O(+c)*.5;e=+P(+c)*.5;c=+n[a+12>>2];f=e*c;g=+n[a+8>>2];h=d*g;i=+n[a>>2]-f-h;n[b>>2]=i;j=a+4|0;k=d*c;c=e*g;g=k+ +n[j>>2]-c;n[b+4>>2]=g;e=f+ +n[a>>2]-h;n[b+8>>2]=e;h=+n[j>>2]-k-c;n[b+12>>2]=h;n[b+16>>2]=+n[a>>2]*2.0-i;n[b+20>>2]=+n[j>>2]*2.0-g;n[b+24>>2]=+n[a>>2]*2.0-e;n[b+28>>2]=+n[j>>2]*2.0-h;return}function KQ(a,b){a=a|0;b=b|0;var c=0.0,d=0.0,e=0.0,g=0.0,h=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,o=0,p=0,q=0;c=+n[b+16>>2]*3.141592653589793/180.0;d=+O(+c)*.5;e=+P(+c)*.5;c=+n[b>>2];g=+n[b+12>>2];h=e*g;i=+n[b+8>>2];j=d*i;k=c-h-j;l=+n[b+4>>2];m=d*g;g=e*i;i=m+l-g;e=h+c-j;j=l-m-g;g=c*2.0;c=g-k;m=l*2.0;l=m-i;h=g-e;g=m-j;m=e<k?e:k;d=c<m?c:m;m=h<d?h:d;b=~~m;o=b-(+(b|0)>m&1)|0;m=j<i?j:i;d=l<m?l:m;m=g<d?g:d;b=~~m;p=b-(+(b|0)>m&1)|0;m=k<e?e:k;k=m<c?c:m;m=k<h?h:k;b=~~m;k=i<j?j:i;i=k<l?l:k;k=i<g?g:i;q=~~k;f[a>>2]=o;f[a+4>>2]=p;f[a+8>>2]=(+(b|0)<m&1)+b+1-o;f[a+12>>2]=1-p+((+(q|0)<k&1)+q);return}function LQ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,o=0.0,p=0.0,q=0.0,r=0.0,t=0.0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;c=u;u=u+48|0;d=c+16|0;e=c+12|0;g=c+8|0;h=c+4|0;i=c;j=+n[b+16>>2]*3.141592653589793/180.0;k=+O(+j)*.5;l=+P(+j)*.5;j=+n[b>>2];m=+n[b+12>>2];o=l*m;p=+n[b+8>>2];q=k*p;r=j-o-q;n[d>>2]=r;t=+n[b+4>>2];v=k*m;m=l*p;p=v+t-m;b=d+4|0;n[b>>2]=p;l=o+j-q;w=d+8|0;n[w>>2]=l;q=t-v-m;x=d+12|0;n[x>>2]=q;m=j*2.0;j=m-r;y=d+16|0;n[y>>2]=j;v=t*2.0;t=v-p;z=d+20|0;n[z>>2]=t;o=m-l;A=d+24|0;n[A>>2]=o;m=v-q;B=d+28|0;n[B>>2]=m;C=l<r?w:d;D=j<+n[C>>2]?y:C;C=f[(o<+n[D>>2]?A:D)>>2]|0;D=q<p?x:b;E=t<+n[D>>2]?z:D;D=f[(m<+n[E>>2]?B:E)>>2]|0;f[e>>2]=C;f[g>>2]=D;E=r<l?w:d;d=+n[E>>2]<j?y:E;E=f[(+n[d>>2]<o?A:d)>>2]|0;d=p<q?x:b;b=+n[d>>2]<t?z:d;d=f[(+n[b>>2]<m?B:b)>>2]|0;f[h>>2]=E;f[i>>2]=d;m=(f[s>>2]=E,+n[s>>2]);t=(f[s>>2]=C,+n[s>>2]);C=f[(m<t?h:e)>>2]|0;f[a>>2]=C;q=(f[s>>2]=d,+n[s>>2]);p=(f[s>>2]=D,+n[s>>2]);D=f[(q<p?i:g)>>2]|0;f[a+4>>2]=D;n[a+8>>2]=(t<m?m:t)-(f[s>>2]=C,+n[s>>2]);n[a+12>>2]=(p<q?q:p)-(f[s>>2]=D,+n[s>>2]);u=c;return}function MQ(a){a=a|0;f[a>>2]=46096;ZG(a+32|0);ZG(a+24|0);ZG(a+16|0);ZG(a+4|0);return}function NQ(a){a=a|0;MQ(a);Emc(a);return}function OQ(a){a=a|0;var b=0;b=f[a+4>>2]|0;return ((b|0)==0?1163146:b)|0}function PQ(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=46116;if((f[a+4>>2]|0)==-1){u=c;return}else{f[d>>2]=0;f[d+4>>2]=0;c=YG(d,10)|0;a=203285;e=c+10|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(e|0));RQ(-215,d,203296,1564)}}function QQ(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=46116;if((f[a+4>>2]|0)==-1){Emc(a);u=c;return}else{f[d>>2]=0;f[d+4>>2]=0;c=YG(d,10)|0;a=203285;e=c+10|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(e|0));RQ(-215,d,203296,1564)}}function RQ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;SQ(a,b,c,203314,d);return}function SQ(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;g=u;u=u+64|0;h=g+16|0;i=g+8|0;j=g;f[i>>2]=0;f[i+4>>2]=0;if(c|0?(g=s8b(c)|0,g|0):0)Krc(YG(i,g)|0,c|0,g|0)|0;f[j>>2]=0;f[j+4>>2]=0;if(d|0?(g=s8b(d)|0,g|0):0)Krc(YG(j,g)|0,d|0,g|0)|0;TQ(h,a,b,i,j,e);UQ(h)}function TQ(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0;f[a>>2]=46096;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=b;b=f[c>>2]|0;f[a+16>>2]=b;f[a+20>>2]=f[c+4>>2];if(b|0){c=b+-4|0;f[c>>2]=(f[c>>2]|0)+1}c=f[d>>2]|0;f[a+24>>2]=c;f[a+28>>2]=f[d+4>>2];if(c|0){d=c+-4|0;f[d>>2]=(f[d>>2]|0)+1}d=f[e>>2]|0;f[a+32>>2]=d;f[a+36>>2]=f[e+4>>2];if(!d){h=a+40|0;f[h>>2]=g;XQ(a);return}e=d+-4|0;f[e>>2]=(f[e>>2]|0)+1;h=a+40|0;f[h>>2]=g;XQ(a);return}function UQ(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+4144|0;d=c+32|0;e=c+8|0;g=c;h=c+40|0;c=f[134971]|0;if(!c){if(b[1157722]|0){i=f[a+12>>2]|0;do switch(i|0){case 0:{j=204186;break}case -1:{j=204176;break}case -2:{j=204158;break}case -3:{j=238277;break}case -4:{j=204138;break}case -5:{j=204125;break}case -7:{j=204098;break}case -8:{j=204083;break}case -201:{j=204053;break}case -27:{j=204040;break}case -202:{j=204014;break}case -13:{j=203994;break}case -203:{j=203959;break}case -204:{j=203928;break}case -17:{j=203881;break}case -205:{j=203841;break}case -209:{j=203803;break}case -211:{j=203762;break}case -210:{j=203717;break}case -24:{j=203690;break}case -15:{j=203667;break}case -206:{j=203627;break}case -207:{j=203597;break}case -208:{j=203571;break}case -212:{j=203557;break}case -213:{j=203517;break}case -214:{j=203485;break}case -215:{j=203468;break}case -216:{j=203452;break}case -217:{j=203439;break}case -218:{j=203421;break}case -219:{j=203405;break}default:{f[g>>2]=(i|0)>-1?203379:477944;f[g+4>>2]=i;g9b(1157723,203386,g)|0;j=1157723}}while(0);g=f[a+16>>2]|0;if(!(f[a+28>>2]|0))k=204195;else{i=f[a+24>>2]|0;k=(i|0)==0?1163146:i}i=f[a+32>>2]|0;l=f[a+40>>2]|0;f[e>>2]=204262;f[e+4>>2]=j;f[e+8>>2]=(g|0)==0?1163146:g;f[e+12>>2]=k;f[e+16>>2]=(i|0)==0?1163146:i;f[e+20>>2]=l;VQ(h,4096,204212,e)|0;I8b(f[39411]|0)|0;e=f[39286]|0;I8b(e)|0;f[d>>2]=h;M8b(e,204272,d)|0;I8b(e)|0}}else{e=f[a+24>>2]|0;d=f[a+16>>2]|0;h=f[a+32>>2]|0;Vf[c&127](f[a+12>>2]|0,(e|0)==0?1163146:e,(d|0)==0?1163146:d,(h|0)==0?1163146:h,f[a+40>>2]|0,f[134972]|0)|0}if(!(b[1157979]|0)){m=ye(44)|0;WQ(m,a);Gf(m|0,10920,35)}f[0]=0;aa();m=ye(44)|0;WQ(m,a);Gf(m|0,10920,35)}function VQ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+16|0;g=e;f[g>>2]=d;d=u8b(a,b,c,g)|0;u=e;return d|0}function WQ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;f[a>>2]=46096;c=f[b+4>>2]|0;f[a+4>>2]=c;f[a+8>>2]=f[b+8>>2];if(c|0){d=c+-4|0;f[d>>2]=(f[d>>2]|0)+1}f[a+12>>2]=f[b+12>>2];d=f[b+16>>2]|0;f[a+16>>2]=d;f[a+20>>2]=f[b+20>>2];if(d|0){c=d+-4|0;f[c>>2]=(f[c>>2]|0)+1}c=f[b+24>>2]|0;f[a+24>>2]=c;f[a+28>>2]=f[b+28>>2];if(c|0){d=c+-4|0;f[d>>2]=(f[d>>2]|0)+1}d=f[b+32>>2]|0;f[a+32>>2]=d;f[a+36>>2]=f[b+36>>2];if(!d){e=a+40|0;g=b+40|0;h=f[g>>2]|0;f[e>>2]=h;return}c=d+-4|0;f[c>>2]=(f[c>>2]|0)+1;e=a+40|0;g=b+40|0;h=f[g>>2]|0;f[e>>2]=h;return}function XQ(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;c=u;u=u+288|0;d=c+88|0;e=c+80|0;g=c+48|0;h=c+40|0;i=c+8|0;j=c;k=c+272|0;l=c+128|0;m=c+120|0;n=a+16|0;o=a+20|0;p=f[o>>2]|0;a:do if((p|0)!=0?(q=f[n>>2]|0,r=q+p+-1|0,s=q,q>>>0<=r>>>0):0){t=q;while(1){if((b[t>>0]|0)==10)break;q=t+1|0;if(q>>>0>r>>>0){v=0;break a}else t=q}r=t-s|0;if((r|0)!=-1){q=l+64|0;w=l+8|0;f[w>>2]=46164;x=l+12|0;f[l>>2]=10956;f[q>>2]=10976;f[l+4>>2]=0;Icc(l+64|0,x);f[l+136>>2]=0;f[l+140>>2]=-1;f[l>>2]=46144;f[q>>2]=46184;f[w>>2]=46164;Ncc(x);f[x>>2]=46200;w=l+44|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;f[l+60>>2]=24;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;YQ(x,k);if((b[k+11>>0]|0)<0)Emc(f[k>>2]|0);w=l+8|0;q=m+4|0;y=0;z=r;b:do{r=ZQ(w,204276,2)|0;A=z-y|0;f[m>>2]=0;f[q>>2]=0;B=f[o>>2]|0;C=B>>>0<y>>>0?B:y;D=B-C|0;E=D>>>0>A>>>0?A:D;do if(E)if((E|0)==(B|0)){D=(f[n>>2]|0)+-4|0;f[D>>2]=(f[D>>2]|0)+1;D=f[n>>2]|0;f[m>>2]=D;f[q>>2]=f[o>>2];F=D;break}else{D=YG(m,E)|0;Krc(D|0,(f[n>>2]|0)+C|0,E|0)|0;F=f[m>>2]|0;break}else F=0;while(0);E=(F|0)==0?1163146:F;C=ZQ(r,E,s8b(E)|0)|0;Kcc(k,C+(f[(f[C>>2]|0)+-12>>2]|0)|0);E=nec(k,893644)|0;B=Sh[f[(f[E>>2]|0)+28>>2]&511](E,10)|0;oec(k);cdc(C,B)|0;Qcc(C)|0;ZG(m);y=z+1|0;C=f[o>>2]|0;if((z+2|0)>>>0>C>>>0)break;B=f[n>>2]|0;E=B+C+-1|0;C=B+y|0;D=B;if(C>>>0>E>>>0)break;else G=C;while(1){if((b[G>>0]|0)==10)break;C=G+1|0;if(C>>>0>E>>>0)break b;else G=C}z=G-D|0}while((z|0)!=-1);z=ZQ(w,204276,2)|0;f[k>>2]=0;q=k+4|0;f[q>>2]=0;s=f[o>>2]|0;t=s>>>0<y>>>0?s:y;E=s-t|0;do if(E)if(!t){s=(f[n>>2]|0)+-4|0;f[s>>2]=(f[s>>2]|0)+1;s=f[n>>2]|0;f[k>>2]=s;f[q>>2]=f[o>>2];H=s;break}else{s=YG(k,E)|0;Krc(s|0,(f[n>>2]|0)+t|0,E|0)|0;H=f[k>>2]|0;break}else H=0;while(0);E=(H|0)==0?1163146:H;ZQ(z,E,s8b(E)|0)|0;ZG(k);if((b[(f[n>>2]|0)+((f[o>>2]|0)+-1)>>0]|0)!=10){Kcc(k,w+(f[(f[w>>2]|0)+-12>>2]|0)|0);E=nec(k,893644)|0;t=Sh[f[(f[E>>2]|0)+28>>2]&511](E,10)|0;oec(k);cdc(w,t)|0;Qcc(w)|0}_Q(k,x);ZG(n);t=k+11|0;E=b[t>>0]|0;q=E<<24>>24<0?f[k+4>>2]|0:E&255;if(!q)I=E;else{E=YG(n,q)|0;Krc(E|0,((b[t>>0]|0)<0?f[k>>2]|0:k)|0,q|0)|0;I=b[t>>0]|0}if(I<<24>>24<0)Emc(f[k>>2]|0);$Q(l);v=1}else v=0}else v=0;while(0);l=a+24|0;if(!(f[a+28>>2]|0)){I=f[a+32>>2]|0;o=(I|0)==0?1163146:I;I=f[a+40>>2]|0;H=f[a+12>>2]|0;do switch(H|0){case 0:{J=204186;break}case -1:{J=204176;break}case -2:{J=204158;break}case -3:{J=238277;break}case -4:{J=204138;break}case -5:{J=204125;break}case -7:{J=204098;break}case -8:{J=204083;break}case -201:{J=204053;break}case -27:{J=204040;break}case -202:{J=204014;break}case -13:{J=203994;break}case -203:{J=203959;break}case -204:{J=203928;break}case -17:{J=203881;break}case -205:{J=203841;break}case -209:{J=203803;break}case -211:{J=203762;break}case -210:{J=203717;break}case -24:{J=203690;break}case -15:{J=203667;break}case -206:{J=203627;break}case -207:{J=203597;break}case -208:{J=203571;break}case -212:{J=203557;break}case -213:{J=203517;break}case -214:{J=203485;break}case -215:{J=203468;break}case -216:{J=203452;break}case -217:{J=203439;break}case -218:{J=203421;break}case -219:{J=203405;break}default:{f[e>>2]=(H|0)>-1?203379:477944;f[e+4>>2]=H;g9b(1157723,203386,e)|0;J=1157723}}while(0);e=f[n>>2]|0;f[d>>2]=204262;f[d+4>>2]=o;f[d+8>>2]=I;f[d+12>>2]=H;f[d+16>>2]=J;f[d+20>>2]=(e|0)==0?1163146:e;f[d+24>>2]=v?1163146:509874;aR(k,204386,d);d=a+4|0;if((k|0)!=(d|0)){ZG(d);e=f[k>>2]|0;if(!e)K=0;else{J=e+-4|0;f[J>>2]=(f[J>>2]|0)+1;K=f[k>>2]|0}f[d>>2]=K;f[a+8>>2]=f[k+4>>2]}ZG(k);u=c;return}if(v){v=f[a+32>>2]|0;K=(v|0)==0?1163146:v;v=f[a+40>>2]|0;d=f[a+12>>2]|0;do switch(d|0){case 0:{L=204186;break}case -1:{L=204176;break}case -2:{L=204158;break}case -3:{L=238277;break}case -4:{L=204138;break}case -5:{L=204125;break}case -7:{L=204098;break}case -8:{L=204083;break}case -201:{L=204053;break}case -27:{L=204040;break}case -202:{L=204014;break}case -13:{L=203994;break}case -203:{L=203959;break}case -204:{L=203928;break}case -17:{L=203881;break}case -205:{L=203841;break}case -209:{L=203803;break}case -211:{L=203762;break}case -210:{L=203717;break}case -24:{L=203690;break}case -15:{L=203667;break}case -206:{L=203627;break}case -207:{L=203597;break}case -208:{L=203571;break}case -212:{L=203557;break}case -213:{L=203517;break}case -214:{L=203485;break}case -215:{L=203468;break}case -216:{L=203452;break}case -217:{L=203439;break}case -218:{L=203421;break}case -219:{L=203405;break}default:{f[j>>2]=(d|0)>-1?203379:477944;f[j+4>>2]=d;g9b(1157723,203386,j)|0;L=1157723}}while(0);j=f[l>>2]|0;J=f[n>>2]|0;f[i>>2]=204262;f[i+4>>2]=K;f[i+8>>2]=v;f[i+12>>2]=d;f[i+16>>2]=L;f[i+20>>2]=(j|0)==0?1163146:j;f[i+24>>2]=(J|0)==0?1163146:J;aR(k,204279,i);i=a+4|0;if((k|0)!=(i|0)){ZG(i);J=f[k>>2]|0;if(!J)M=0;else{j=J+-4|0;f[j>>2]=(f[j>>2]|0)+1;M=f[k>>2]|0}f[i>>2]=M;f[a+8>>2]=f[k+4>>2]}ZG(k);u=c;return}else{M=f[a+32>>2]|0;i=(M|0)==0?1163146:M;M=f[a+40>>2]|0;j=f[a+12>>2]|0;do switch(j|0){case 0:{N=204186;break}case -1:{N=204176;break}case -2:{N=204158;break}case -3:{N=238277;break}case -4:{N=204138;break}case -5:{N=204125;break}case -7:{N=204098;break}case -8:{N=204083;break}case -201:{N=204053;break}case -27:{N=204040;break}case -202:{N=204014;break}case -13:{N=203994;break}case -203:{N=203959;break}case -204:{N=203928;break}case -17:{N=203881;break}case -205:{N=203841;break}case -209:{N=203803;break}case -211:{N=203762;break}case -210:{N=203717;break}case -24:{N=203690;break}case -15:{N=203667;break}case -206:{N=203627;break}case -207:{N=203597;break}case -208:{N=203571;break}case -212:{N=203557;break}case -213:{N=203517;break}case -214:{N=203485;break}case -215:{N=203468;break}case -216:{N=203452;break}case -217:{N=203439;break}case -218:{N=203421;break}case -219:{N=203405;break}default:{f[h>>2]=(j|0)>-1?203379:477944;f[h+4>>2]=j;g9b(1157723,203386,h)|0;N=1157723}}while(0);h=f[n>>2]|0;n=f[l>>2]|0;f[g>>2]=204262;f[g+4>>2]=i;f[g+8>>2]=M;f[g+12>>2]=j;f[g+16>>2]=N;f[g+20>>2]=(h|0)==0?1163146:h;f[g+24>>2]=(n|0)==0?1163146:n;aR(k,204332,g);g=a+4|0;if((k|0)!=(g|0)){ZG(g);n=f[k>>2]|0;if(!n)O=0;else{h=n+-4|0;f[h>>2]=(f[h>>2]|0)+1;O=f[k>>2]|0}f[g>>2]=O;f[a+8>>2]=f[k+4>>2]}ZG(k);u=c;return}}function YQ(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=a+32|0;Qmc(d,c)|0;c=a+44|0;f[c>>2]=0;e=a+48|0;g=f[e>>2]|0;if(g&8|0){h=b[d+11>>0]|0;if(h<<24>>24<0){i=f[d>>2]|0;j=i;k=i;l=i+(f[a+36>>2]|0)|0}else{j=d;k=d;l=d+(h&255)|0}f[c>>2]=l;f[a+8>>2]=j;f[a+12>>2]=k;f[a+16>>2]=l}if(!(g&16))return;g=d+11|0;l=b[g>>0]|0;if(l<<24>>24<0){k=f[a+36>>2]|0;f[c>>2]=(f[d>>2]|0)+k;m=(f[a+40>>2]&2147483647)+-1|0;n=k}else{k=l&255;f[c>>2]=d+k;m=10;n=k}Wmc(d,m,0);m=b[g>>0]|0;if(m<<24>>24<0){g=f[d>>2]|0;o=g;p=f[a+36>>2]|0;q=g}else{o=d;p=m&255;q=d}d=a+24|0;f[d>>2]=q;f[a+20>>2]=q;f[a+28>>2]=o+p;if(!(f[e>>2]&3))return;f[d>>2]=q+n;return}function ZQ(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=u;u=u+16|0;g=e+12|0;h=e;i=e+8|0;Rcc(h,a);if(!(b[h>>0]|0)){Scc(h);u=e;return a|0}j=(f[a>>2]|0)+-12|0;f[i>>2]=f[a+(f[j>>2]|0)+24>>2];k=a+(f[j>>2]|0)|0;j=f[k+4>>2]|0;l=c+d|0;d=k+76|0;m=f[d>>2]|0;if((m|0)==-1){Kcc(g,k);n=nec(g,893644)|0;o=Sh[f[(f[n>>2]|0)+28>>2]&511](n,32)|0;oec(g);n=o<<24>>24;f[d>>2]=n;p=n}else p=m;f[g>>2]=f[i>>2];if(bR(g,c,(j&176|0)==32?l:c,l,k,p&255)|0){Scc(h);u=e;return a|0}p=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;Hcc(p,f[p+16>>2]|5);Scc(h);u=e;return a|0}function _Q(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=f[c+48>>2]|0;if(d&16|0){e=c+44|0;g=f[e>>2]|0;h=f[c+24>>2]|0;if(g>>>0<h>>>0){f[e>>2]=h;i=h}else i=g;g=f[c+20>>2]|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;h=i-g|0;if(h>>>0>4294967279)Lmc(a);if(h>>>0<11){b[a+11>>0]=h;j=a}else{e=h+16&-16;k=Bmc(e)|0;f[a>>2]=k;f[a+8>>2]=e|-2147483648;f[a+4>>2]=h;j=k}if((g|0)==(i|0))l=j;else{k=j;e=g;while(1){b[k>>0]=b[e>>0]|0;e=e+1|0;if((e|0)==(i|0))break;else k=k+1|0}l=j+h|0}b[l>>0]=0;return}if(!(d&8)){f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;return}d=f[c+8>>2]|0;l=f[c+16>>2]|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;c=l-d|0;if(c>>>0>4294967279)Lmc(a);if(c>>>0<11){b[a+11>>0]=c;m=a}else{h=c+16&-16;j=Bmc(h)|0;f[a>>2]=j;f[a+8>>2]=h|-2147483648;f[a+4>>2]=c;m=j}if((d|0)==(l|0))n=m;else{j=m;a=d;while(1){b[j>>0]=b[a>>0]|0;a=a+1|0;if((a|0)==(l|0))break;else j=j+1|0}n=m+c|0}b[n>>0]=0;return}function $Q(a){a=a|0;var c=0,d=0,e=0;f[a>>2]=46144;c=a+64|0;f[c>>2]=46184;f[a+8>>2]=46164;d=a+12|0;f[d>>2]=46200;e=a+44|0;if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);wbc(d);Ecc(a,46260);rbc(c);return}function aR(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;e=u;u=u+1056|0;g=e+24|0;h=e+8|0;i=e;j=g+8|0;f[g>>2]=j;k=g+4|0;f[k>>2]=1024;f[h>>2]=d;l=f[k>>2]|0;m=u8b(f[g>>2]|0,l,c,h)|0;if((m|0)>-1){n=m;o=l}else{f[i>>2]=0;p=i+4|0;f[p>>2]=0;q=YG(i,44)|0;r=q;s=204424;t=r+44|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));RQ(-215,i,222593,834)}while(1){if((n|0)<(o|0))break;l=n+1|0;m=f[k>>2]|0;if(m>>>0<l>>>0){v=f[g>>2]|0;if(l>>>0>1024)w=Dmc(l)|0;else w=j;f[g>>2]=w;f[k>>2]=l;if((m|0)!=0&(w|0)!=(v|0)){b[w>>0]=b[v>>0]|0;if((m|0)!=1){b[w+1>>0]=b[v+1>>0]|0;if((m|0)==2)x=m;else{y=2;do{b[(f[g>>2]|0)+y>>0]=b[v+y>>0]|0;y=y+1|0}while((y|0)!=(m|0));x=m}}else x=1}else x=m;do{b[(f[g>>2]|0)+x>>0]=0;x=x+1|0}while((x|0)!=(l|0));if(!((v|0)==(j|0)|(v|0)==0))Fmc(v)}else f[k>>2]=l;f[h>>2]=d;m=f[k>>2]|0;y=u8b(f[g>>2]|0,m,c,h)|0;if((y|0)>-1){n=y;o=m}else{z=3;break}}if((z|0)==3){f[i>>2]=0;p=i+4|0;f[p>>2]=0;q=YG(i,44)|0;r=q;s=204424;t=r+44|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));RQ(-215,i,222593,834)}b[(f[g>>2]|0)+(o+-1)>>0]=0;o=f[g>>2]|0;f[a>>2]=0;f[a+4>>2]=0;if((n|0)!=0&(o|0)!=0){Krc(YG(a,n)|0,o|0,n|0)|0;A=f[g>>2]|0}else A=o;if((A|0)==(j|0)){u=e;return}if(A|0)Fmc(A);f[g>>2]=j;f[k>>2]=1024;u=e;return}function bR(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;i=u;u=u+16|0;j=i;k=f[a>>2]|0;if(!k){l=0;u=i;return l|0}m=e;e=c;n=m-e|0;o=g+12|0;g=f[o>>2]|0;p=(g|0)>(n|0)?g-n|0:0;n=d;g=n-e|0;if((g|0)>0?(ki[f[(f[k>>2]|0)+48>>2]&511](k,c,g)|0)!=(g|0):0){f[a>>2]=0;l=0;u=i;return l|0}if((p|0)>0){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;if(p>>>0<11){g=j+11|0;b[g>>0]=p;q=j;r=g;s=j}else{g=p+16&-16;c=Bmc(g)|0;f[j>>2]=c;f[j+8>>2]=g|-2147483648;f[j+4>>2]=p;q=c;r=j+11|0;s=j}Drc(q|0,h|0,p|0)|0;b[q+p>>0]=0;if((ki[f[(f[k>>2]|0)+48>>2]&511](k,(b[r>>0]|0)<0?f[s>>2]|0:j,p)|0)==(p|0)){t=1;v=k}else{f[a>>2]=0;t=0;v=0}if((b[r>>0]|0)<0)Emc(f[s>>2]|0);if(t)w=v;else{l=0;u=i;return l|0}}else w=k;k=m-n|0;if((k|0)>0?(ki[f[(f[w>>2]|0)+48>>2]&511](w,d,k)|0)!=(k|0):0){f[a>>2]=0;l=0;u=i;return l|0}f[o>>2]=0;l=w;u=i;return l|0}function cR(a){a=a|0;var c=0;f[a>>2]=46200;c=a+32|0;if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);wbc(a);return}function dR(a){a=a|0;var c=0;f[a>>2]=46200;c=a+32|0;if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);wbc(a);Emc(a);return}function eR(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;i=c+44|0;j=f[i>>2]|0;k=c+24|0;l=f[k>>2]|0;m=l;if(j>>>0<l>>>0){f[i>>2]=l;n=m}else n=j;j=h&24;a:do if((j|0)!=0?!((g|0)==1&(j|0)==24):0){b:do switch(g|0){case 0:{o=0;p=0;break}case 1:{if(!(h&8)){i=m-(f[c+20>>2]|0)|0;o=i;p=((i|0)<0)<<31>>31;break b}else{i=(f[c+12>>2]|0)-(f[c+8>>2]|0)|0;o=i;p=((i|0)<0)<<31>>31;break b}break}case 2:{i=c+32|0;if((b[i+11>>0]|0)<0)q=f[i>>2]|0;else q=i;i=n-q|0;o=i;p=((i|0)<0)<<31>>31;break}default:{r=-1;s=-1;break a}}while(0);i=Arc(o|0,p|0,d|0,e|0)|0;t=J;if((t|0)>=0){u=c+32|0;if((b[u+11>>0]|0)<0)v=f[u>>2]|0;else v=u;u=n-v|0;w=((u|0)<0)<<31>>31;if(!((w|0)<(t|0)|(w|0)==(t|0)&u>>>0<i>>>0)){u=h&8;if(!((i|0)==0&(t|0)==0)){if(u|0?(f[c+12>>2]|0)==0:0){r=-1;s=-1;break}if((h&16|0)!=0&(l|0)==0){r=-1;s=-1;break}}if(u|0){f[c+12>>2]=(f[c+8>>2]|0)+i;f[c+16>>2]=n}if(!(h&16)){r=i;s=t}else{f[k>>2]=(f[c+20>>2]|0)+i;r=i;s=t}}else{r=-1;s=-1}}else{r=-1;s=-1}}else{r=-1;s=-1}while(0);c=a;f[c>>2]=0;f[c+4>>2]=0;c=a+8|0;f[c>>2]=r;f[c+4>>2]=s;return}function fR(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=c+8|0;Ug[f[(f[b>>2]|0)+16>>2]&127](a,b,f[e>>2]|0,f[e+4>>2]|0,0,d);return}function gR(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,i=0;b=a+44|0;c=f[b>>2]|0;d=f[a+24>>2]|0;if(c>>>0<d>>>0){f[b>>2]=d;e=d}else e=c;if(!(f[a+48>>2]&8)){g=-1;return g|0}c=a+16|0;d=f[c>>2]|0;if(d>>>0<e>>>0){f[c>>2]=e;i=e}else i=d;d=f[a+12>>2]|0;if(d>>>0>=i>>>0){g=-1;return g|0}g=h[d>>0]|0;return g|0}function hR(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a+44|0;e=f[d>>2]|0;g=f[a+24>>2]|0;if(e>>>0<g>>>0){f[d>>2]=g;h=g}else h=e;e=h;h=a+12|0;g=f[h>>2]|0;if((f[a+8>>2]|0)>>>0>=g>>>0){i=-1;return i|0}if((c|0)==-1){f[h>>2]=g+-1;f[a+16>>2]=e;i=0;return i|0}if(!(f[a+48>>2]&16)){d=c&255;j=g+-1|0;if(d<<24>>24==(b[j>>0]|0)){k=d;l=j}else{i=-1;return i|0}}else{k=c&255;l=g+-1|0}f[h>>2]=l;f[a+16>>2]=e;b[l>>0]=k;i=c;return i|0}function iR(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;d=u;u=u+16|0;e=d;if((c|0)==-1){g=0;u=d;return g|0}h=a+12|0;i=a+8|0;j=(f[h>>2]|0)-(f[i>>2]|0)|0;k=a+24|0;l=f[k>>2]|0;m=a+28|0;n=f[m>>2]|0;if((l|0)==(n|0)){o=a+48|0;if(!(f[o>>2]&16)){g=-1;u=d;return g|0}p=a+20|0;q=f[p>>2]|0;r=a+44|0;s=(f[r>>2]|0)-q|0;t=a+32|0;bnc(t,0);v=t+11|0;if((b[v>>0]|0)<0)w=(f[a+40>>2]&2147483647)+-1|0;else w=10;Wmc(t,w,0);w=b[v>>0]|0;if(w<<24>>24<0){x=f[t>>2]|0;y=f[a+36>>2]|0}else{x=t;y=w&255}w=x+y|0;f[p>>2]=x;f[m>>2]=w;m=x+(l-q)|0;f[k>>2]=m;q=x+s|0;f[r>>2]=q;z=r;A=o;B=r;C=m;D=q;E=w}else{w=a+44|0;z=w;A=a+48|0;B=w;C=l;D=f[w>>2]|0;E=n}n=C+1|0;f[e>>2]=n;w=f[(n>>>0<D>>>0?B:e)>>2]|0;f[z>>2]=w;if(f[A>>2]&8|0){A=a+32|0;if((b[A+11>>0]|0)<0)F=f[A>>2]|0;else F=A;f[i>>2]=F;f[h>>2]=F+j;f[a+16>>2]=w}if((C|0)==(E|0)){g=Sh[f[(f[a>>2]|0)+52>>2]&511](a,c&255)|0;u=d;return g|0}else{f[k>>2]=n;b[C>>0]=c;g=c&255;u=d;return g|0}return 0}function jR(a){a=a|0;$Q(a);Emc(a);return}function kR(a){a=a|0;$Q(a+-8|0);return}function lR(a){a=a|0;var b=0;b=a+-8|0;$Q(b);Emc(b);return}function mR(a){a=a|0;$Q(a+(f[(f[a>>2]|0)+-12>>2]|0)|0);return}function nR(a){a=a|0;var b=0;b=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;$Q(b);Emc(b);return}function oR(){var a=0;a=pR()|0;f[134970]=a;a=(qR(204628,0)|0)&1;b[1157722]=a;Drc(1157980,0,512)|0;rR(1157980);Drc(1158493,0,512)|0;return}function pR(){var a=0,b=0,c=0,d=0,e=0;a=u;u=u+16|0;b=a;c=f[135487]|0;if(c|0){d=c;u=a;return d|0}c=Bmc(4)|0;e=Bmc(32)|0;Cf(b|0)|0;wd(b|0,1)|0;Lf(e|0,b|0)|0;lf(b|0)|0;f[e+28>>2]=1;f[c>>2]=e;f[135487]=c;d=c;u=a;return d|0}function qR(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+32|0;d=c;e=c+16|0;g=c+8|0;h=Ge(a|0)|0;if(!h){i=b;u=c;return i|0}f[e>>2]=0;f[e+4>>2]=0;b=s8b(h)|0;if(b){Krc(YG(e,b)|0,h|0,b|0)|0;b=f[e>>2]|0;if((b|0)==209674)j=1;else{k=b;l=4}}else{k=0;l=4}if((l|0)==4){l=(k|0)==0?1163146:k;if(((!((o7b(l,209674)|0)==0|(k|0)==510669)?!((o7b(l,510669)|0)==0|(k|0)==524521):0)?!((o7b(l,524521)|0)==0|(k|0)==209676):0)?(o7b(l,209676)|0)!=0:0)if(((((k|0)!=477928?!((o7b(l,477928)|0)==0|(k|0)==510676):0)?!((o7b(l,510676)|0)==0|(k|0)==524515):0)?!((o7b(l,524515)|0)==0|(k|0)==235788):0)?(o7b(l,235788)|0)!=0:0){f[d>>2]=a;f[d+4>>2]=l;aR(g,209681,d);RQ(-5,g,209716,1680)}else j=0;else j=1}ZG(e);i=j;u=c;return i|0}function rR(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;e=c+4|0;if(Ge(204647)|0){g=f[39286]|0;if((b[527608]|0)==0?src(527608)|0:0){f[134973]=0;f[134974]=0;Krc(YG(539892,4423)|0,204666,4423)|0;Ad(1603,539892,x|0)|0}h=f[134973]|0;f[d>>2]=(h|0)==0?1163146:h;M8b(g,209090,d)|0}Drc(539900,0,2048)|0;f[134976]=209126;f[134977]=209130;f[134978]=209134;f[134979]=209139;f[134980]=209144;f[134981]=209150;f[134982]=209157;f[134983]=209164;f[134984]=209171;f[134985]=209176;f[134986]=209180;f[134987]=209185;f[134988]=209190;f[134989]=209198;f[134990]=209207;f[134991]=209216;f[134992]=209225;f[134993]=209234;f[134994]=209245;f[134995]=209254;f[134996]=209265;f[135075]=209274;f[135175]=209279;f[135231]=209283;b[a+200>>0]=0;f[e>>2]=0;tR(a,e,1);u=c;return}function sR(a){a=a|0;ZG(a);return}function tR(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=u;u=u+48|0;g=e+16|0;h=e+8|0;i=e;j=e+32|0;k=e+24|0;l=Ge(209294)|0;if(!l){u=e;return}if(!(b[l>>0]|0)){u=e;return}m=j+4|0;n=f[39286]|0;o=(d|0)>0;p=l;a:while(1){l=p;b:while(1){q=b[l>>0]|0;switch(q<<24>>24){case 0:{r=28;break a;break}case 44:case 59:break;default:{s=l;t=q;break b}}l=l+1|0}while(1){if(!(t<<24>>24==44^t<<24>>24!=59)){v=s;break}q=s+1|0;t=b[q>>0]|0;if(!(t<<24>>24)){v=q;break}else s=q}if((v|0)==(l|0)){p=l;continue}f[j>>2]=0;f[m>>2]=0;q=v-l|0;if(!q){r=13;break}Krc(YG(j,q)|0,l|0,q|0)|0;q=f[m>>2]|0;if(!q){r=13;break}w=f[j>>2]|0;x=(w|0)==0?1163146:w;y=0;while(1){z=539900+(y<<2)|0;A=f[z>>2]|0;if(A|0?(s8b(A)|0)==(q|0):0){if((w|0)==(A|0)){r=18;break}if(!(o7b(x,A)|0)){r=18;break}}B=y+1|0;if((B|0)<512)y=B;else{r=26;break}}if((r|0)==18){r=0;c:do if(o){w=0;while(1){if((f[c+(w<<2)>>2]|0)==(y|0))break;w=w+1|0;if((w|0)>=(d|0))break c}f[i>>2]=A;M8b(n,209345,i)|0}while(0);w=a+y|0;if(!(b[w>>0]|0)){q=f[z>>2]|0;f[h>>2]=q|0?q:209522;M8b(n,209538,h)|0}b[w>>0]=0}else if((r|0)==26){r=0;f[g>>2]=x;M8b(n,209620,g)|0}ZG(j);p=v}if((r|0)==13){f[k>>2]=0;f[k+4>>2]=0;v=YG(k,18)|0;p=209313;j=v+18|0;do{b[v>>0]=b[p>>0]|0;v=v+1|0;p=p+1|0}while((v|0)<(j|0));RQ(-215,k,209332,598)}else if((r|0)==28){u=e;return}}function uR(a){a=a|0;var b=0;f[a>>2]=46096;b=a+4|0;a=b+40|0;do{f[b>>2]=0;b=b+4|0}while((b|0)<(a|0));return}function vR(a){a=a|0;return (b[(f[11574]|0)+a>>0]|0)!=0|0}function wR(){var a=0,b=0,c=0,d=0;if(f[135489]|0){a=f[135489]|0;return a|0}b=pR()|0;Crc(f[b>>2]|0)|0;if(!(f[135489]|0)){c=Bmc(8)|0;f[c>>2]=46116;d=ER(yR()|0)|0;f[c+4>>2]=d;f[c>>2]=46308;f[135489]=c}Brc(f[b>>2]|0)|0;a=f[135489]|0;return a|0}function xR(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=u;u=u+16|0;d=c;e=a+4|0;if((f[e>>2]|0)==-1){f[d>>2]=0;f[d+4>>2]=0;g=YG(d,63)|0;h=209746;i=g+63|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));RQ(-215,d,209810,1593)}d=yR()|0;h=zR(d,f[e>>2]|0)|0;if(h|0){j=h;u=c;return j|0}h=ci[f[(f[a>>2]|0)+8>>2]&1023](a)|0;a=yR()|0;AR(a,f[e>>2]|0,h);j=h;u=c;return j|0}function yR(){var a=0,b=0,c=0;if(f[135488]|0){a=f[135488]|0;return a|0}b=pR()|0;Crc(f[b>>2]|0)|0;if(!(f[135488]|0)){c=Bmc(36)|0;DR(c);f[135488]=c}Brc(f[b>>2]|0)|0;a=f[135488]|0;return a|0}function zR(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+16|0;e=d;if((f[a+8>>2]|0)>>>0<=c>>>0){f[e>>2]=0;f[e+4>>2]=0;g=YG(e,22)|0;h=209818;i=g+22|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));RQ(-215,e,209810,1486)}e=Ye(f[a>>2]|0)|0;if(!e){j=0;u=d;return j|0}a=f[e>>2]|0;if((f[e+4>>2]|0)-a>>2>>>0<=c>>>0){j=0;u=d;return j|0}j=f[a+(c<<2)>>2]|0;u=d;return j|0}function AR(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=u;u=u+16|0;g=e+8|0;h=e;if((f[a+8>>2]|0)>>>0<=c>>>0){f[g>>2]=0;f[g+4>>2]=0;i=YG(g,22)|0;j=209818;k=i+22|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));RQ(-215,g,209841,1518)}l=Ye(f[a>>2]|0)|0;f[h>>2]=l;if(!l){m=Bmc(16)|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;n=Bmc(128)|0;o=n;f[m>>2]=o;f[m+4>>2]=o;f[m+8>>2]=n+128;f[h>>2]=m;n=m;if(Df(f[a>>2]|0,m|0)|0){f[g>>2]=0;f[g+4>>2]=0;i=YG(g,39)|0;j=209849;k=i+39|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));RQ(-215,g,209889,1374)}j=a+4|0;Crc(f[j>>2]|0)|0;i=a+24|0;k=a+28|0;o=f[k>>2]|0;f[m+12>>2]=o-(f[i>>2]|0)>>2;if((o|0)==(f[a+32>>2]|0))BR(i,h);else{f[o>>2]=n;f[k>>2]=(f[k>>2]|0)+4}Brc(f[j>>2]|0)|0;p=f[h>>2]|0}else p=l;if((f[p+4>>2]|0)-(f[p>>2]|0)>>2>>>0>c>>>0){q=p;r=f[q>>2]|0;s=r+(c<<2)|0;f[s>>2]=d;u=e;return}p=a+4|0;Crc(f[p>>2]|0)|0;a=f[h>>2]|0;l=c+1|0;f[g>>2]=0;j=a+4|0;k=f[j>>2]|0;n=f[a>>2]|0;o=k-n>>2;i=n;n=k;if(l>>>0<=o>>>0){if(l>>>0<o>>>0?(k=i+(l<<2)|0,(n|0)!=(k|0)):0)f[j>>2]=n+(~((n+-4-k|0)>>>2)<<2)}else CR(a,l-o|0,g);Brc(f[p>>2]|0)|0;q=f[h>>2]|0;r=f[q>>2]|0;s=r+(c<<2)|0;f[s>>2]=d;u=e;return}function BR(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;Emc(d);return}function CR(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a+8|0;e=f[d>>2]|0;g=a+4|0;h=f[g>>2]|0;if(e-h>>2>>>0>=b>>>0){i=b;j=h;do{f[j>>2]=f[c>>2];j=(f[g>>2]|0)+4|0;f[g>>2]=j;i=i+-1|0}while((i|0)!=0);return}i=f[a>>2]|0;j=h-i>>2;h=j+b|0;if(h>>>0>1073741823)Ukc(a);k=e-i|0;i=k>>1;e=k>>2>>>0<536870911?(i>>>0<h>>>0?h:i):1073741823;do if(e)if(e>>>0>1073741823){i=ye(8)|0;Jmc(i,511852);f[i>>2]=165276;Gf(i|0,26776,1555)}else{l=Bmc(e<<2)|0;break}else l=0;while(0);i=l+(j<<2)|0;j=l+(e<<2)|0;e=b;b=i;l=i;do{f[b>>2]=f[c>>2];b=l+4|0;l=b;e=e+-1|0}while((e|0)!=0);e=f[a>>2]|0;b=(f[g>>2]|0)-e|0;c=i+(0-(b>>2)<<2)|0;if((b|0)>0)Krc(c|0,e|0,b|0)|0;f[a>>2]=c;f[g>>2]=l;f[d>>2]=j;if(!e)return;Emc(e);return}function DR(a){a=a|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;if(!(Ke(a|0,0)|0)){e=Bmc(32)|0;Cf(d|0)|0;wd(d|0,1)|0;Lf(e|0,d|0)|0;lf(d|0)|0;f[e+28>>2]=1;f[a+4>>2]=e;e=a+8|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;e=Bmc(128)|0;g=e;f[a+12>>2]=g;f[a+16>>2]=g;f[a+20>>2]=e+128;e=Bmc(128)|0;g=e;f[a+24>>2]=g;f[a+28>>2]=g;f[a+32>>2]=e+128;u=c;return}else{f[d>>2]=0;f[d+4>>2]=0;c=YG(d,38)|0;e=209897;a=c+38|0;do{b[c>>0]=b[e>>0]|0;c=c+1|0;e=e+1|0}while((c|0)<(a|0));RQ(-215,d,209936,1362)}}function ER(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+16|0;d=c;e=a+4|0;Crc(f[e>>2]|0)|0;g=a+8|0;h=f[g>>2]|0;i=a+12|0;j=a+16|0;k=f[j>>2]|0;l=f[i>>2]|0;m=l;n=k;if((h|0)!=(k-l>>2|0)){f[d>>2]=0;f[d+4>>2]=0;l=YG(d,31)|0;k=209951;o=l+31|0;do{b[l>>0]=b[k>>0]|0;l=l+1|0;k=k+1|0}while((l|0)<(o|0));RQ(-215,d,210028,1441)}a:do if(h|0){k=0;while(1){p=m+(k<<2)|0;if(!(f[p>>2]|0))break;l=k+1|0;if(l>>>0<h>>>0)k=l;else break a}f[p>>2]=1;q=k;r=f[e>>2]|0;Brc(r|0)|0;u=c;return q|0}while(0);f[d>>2]=1;if((n|0)==(f[a+20>>2]|0))MR(i,d);else{f[n>>2]=1;f[j>>2]=n+4}n=f[g>>2]|0;f[g>>2]=n+1;q=n;r=f[e>>2]|0;Brc(r|0)|0;u=c;return q|0}function FR(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=46308;JR(a);f[a>>2]=46116;if((f[a+4>>2]|0)==-1){u=c;return}else{f[d>>2]=0;f[d+4>>2]=0;c=YG(d,10)|0;a=203285;e=c+10|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(e|0));RQ(-215,d,203296,1564)}}function GR(a){a=a|0;FR(a);Emc(a);return}function HR(a){a=a|0;var b=0;a=Bmc(32)|0;b=a;f[b>>2]=-1;f[b+4>>2]=0;f[a+8>>2]=0;TS(a+12|0);f[a+16>>2]=-1;f[a+20>>2]=-1;f[a+24>>2]=-1;return a|0}function IR(a,b){a=a|0;b=b|0;if(!b)return;US(b+12|0);Emc(b);return}function JR(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;b=u;u=u+16|0;c=b;f[c>>2]=0;d=c+4|0;f[d>>2]=0;f[c+8>>2]=0;e=Bmc(128)|0;g=e;f[c>>2]=g;f[d>>2]=g;f[c+8>>2]=e+128;e=yR()|0;g=a+4|0;KR(e,f[g>>2]|0,c,0);f[g>>2]=-1;g=f[d>>2]|0;e=f[c>>2]|0;h=e;if((g|0)==(e|0)){i=g;j=h}else{g=0;e=h;while(1){xh[f[(f[a>>2]|0)+12>>2]&2047](a,f[e+(g<<2)>>2]|0);g=g+1|0;h=f[d>>2]|0;k=f[c>>2]|0;l=k;if(g>>>0>=h-k>>2>>>0){i=h;j=l;break}else e=l}}e=i;if(!j){u=b;return}if((e|0)!=(j|0))f[d>>2]=e+(~((e+-4-j|0)>>>2)<<2);Emc(j);u=b;return}function KR(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;g=u;u=u+16|0;h=g;i=a+4|0;Crc(f[i>>2]|0)|0;j=f[a+8>>2]|0;k=a+12|0;if((j|0)!=((f[a+16>>2]|0)-(f[k>>2]|0)>>2|0)){f[h>>2]=0;f[h+4>>2]=0;l=YG(h,31)|0;m=209951;n=l+31|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));RQ(-215,h,209983,1462)}if(j>>>0<=c>>>0){f[h>>2]=0;f[h+4>>2]=0;l=YG(h,22)|0;m=209818;n=l+22|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));RQ(-215,h,209983,1463)}h=a+24|0;m=a+28|0;a=f[m>>2]|0;l=f[h>>2]|0;if((a|0)!=(l|0)){n=d+4|0;j=d+8|0;o=0;p=l;l=a;while(1){a=f[p+(o<<2)>>2]|0;if(((a|0)!=0?(q=f[a>>2]|0,(f[a+4>>2]|0)-q>>2>>>0>c>>>0):0)?(r=q+(c<<2)|0,q=f[r>>2]|0,s=q,(q|0)!=0):0){q=f[n>>2]|0;if((q|0)==(f[j>>2]|0))LR(d,r);else{f[q>>2]=s;f[n>>2]=(f[n>>2]|0)+4}f[(f[a>>2]|0)+(c<<2)>>2]=0;t=f[h>>2]|0;v=f[m>>2]|0}else{t=p;v=l}o=o+1|0;if(o>>>0>=v-t>>2>>>0)break;else{p=t;l=v}}}if(e){w=f[i>>2]|0;Brc(w|0)|0;u=g;return}f[(f[k>>2]|0)+(c<<2)>>2]=0;w=f[i>>2]|0;Brc(w|0)|0;u=g;return}function LR(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;Emc(d);return}function MR(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;Emc(d);return}function NR(){var a=0,b=0,c=0,d=0;a=u;u=u+16|0;b=a+8|0;me(b|0,a|0)|0;c=f[b>>2]|0;d=Urc(c|0,((c|0)<0)<<31>>31|0,1e6,0)|0;c=f[b+4>>2]|0;b=Arc(d|0,J|0,c|0,((c|0)<0)<<31>>31|0)|0;u=a;return b|0}function OR(){if(b[527608]|0)return 539892;if(!(src(527608)|0))return 539892;f[134973]=0;f[134974]=0;Krc(YG(539892,4423)|0,204666,4423)|0;Ad(1603,539892,x|0)|0;return 539892}function PR(){return 0}function QR(a){a=a|0;var b=0,c=0,d=0;b=u;u=u+16|0;c=b;d=Bmc(32)|0;Cf(c|0)|0;wd(c|0,1)|0;Lf(d|0,c|0)|0;lf(c|0)|0;f[d+28>>2]=1;f[a>>2]=d;u=b;return}function RR(a){a=a|0;var b=0,c=0;b=(f[a>>2]|0)+28|0;c=f[b>>2]|0;f[b>>2]=c+-1;if((c|0)==1?(c=f[a>>2]|0,c|0):0){vf(c|0)|0;Emc(c)}f[a>>2]=0;return}function SR(a){a=a|0;Crc(f[a>>2]|0)|0;return}function TR(a){a=a|0;Brc(f[a>>2]|0)|0;return}function UR(a){a=a|0;var b=0;f[a>>2]=46116;b=ER(yR()|0)|0;f[a+4>>2]=b;return}function VR(){var a=0,b=0,c=0;if(!(f[135490]|0)){a=pR()|0;Crc(f[a>>2]|0)|0;if(!(f[135490]|0)){b=Bmc(8)|0;f[b>>2]=46116;c=ER(yR()|0)|0;f[b+4>>2]=c;f[b>>2]=46332;f[135490]=b}Brc(f[a>>2]|0)|0}a=xR(f[135490]|0)|0;return f[a>>2]|0}function WR(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=46332;JR(a);f[a>>2]=46116;if((f[a+4>>2]|0)==-1){u=c;return}else{f[d>>2]=0;f[d+4>>2]=0;c=YG(d,10)|0;a=203285;e=c+10|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(e|0));RQ(-215,d,203296,1564)}}function XR(a){a=a|0;WR(a);Emc(a);return}function YR(a){a=a|0;var b=0;a=Bmc(4)|0;b=f[135491]|0;f[135491]=b+1;f[a>>2]=b;return a|0}function ZR(a,b){a=a|0;b=b|0;if(!b)return;Emc(b);return}function _R(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;d=u;u=u+48|0;e=d;g=d+32|0;h=d+24|0;i=d+16|0;j=d+8|0;k=Ge(a|0)|0;if(!k){l=c;u=d;return l|0}f[g>>2]=0;c=g+4|0;f[c>>2]=0;m=s8b(k)|0;a:do if((m|0)!=0?(Krc(YG(g,m)|0,k|0,m|0)|0,n=f[c>>2]|0,(n|0)!=0):0){o=f[g>>2]|0;p=0;while(1){if(((b[o+p>>0]|0)+-48|0)>>>0>=10){q=p;r=n;break a}s=p+1|0;if(s>>>0<n>>>0)p=s;else{q=s;r=n;break}}}else{q=0;r=0}while(0);f[h>>2]=0;m=h+4|0;f[m>>2]=0;k=r>>>0>q>>>0;n=k?q:r;do if(n)if(k){p=YG(h,n)|0;Krc(p|0,f[g>>2]|0,n|0)|0;t=f[c>>2]|0;break}else{p=(f[g>>2]|0)+-4|0;f[p>>2]=(f[p>>2]|0)+1;f[h>>2]=f[g>>2];p=f[c>>2]|0;f[m>>2]=p;t=p;break}else t=r;while(0);r=t-q|0;f[i>>2]=0;m=i+4|0;f[m>>2]=0;n=t>>>0<q>>>0?t:q;q=t-n|0;k=q>>>0>r>>>0?r:q;do if(k)if((k|0)==(t|0)){q=(f[g>>2]|0)+-4|0;f[q>>2]=(f[q>>2]|0)+1;f[i>>2]=f[g>>2];q=f[c>>2]|0;f[m>>2]=q;v=q;break}else{q=YG(i,k)|0;Krc(q|0,(f[g>>2]|0)+n|0,k|0)|0;v=f[m>>2]|0;break}else v=0;while(0);m=f[h>>2]|0;k=bac((m|0)==0?1163146:m)|0;do if(!v)w=k;else{m=f[i>>2]|0;if((((m|0)!=210083?(n=(m|0)==0?1163146:m,!((o7b(n,210083)|0)==0|(m|0)==210086)):0)?!((o7b(n,210086)|0)==0|(m|0)==210089):0)?o7b(n,210089)|0:0){if((((m|0)!=210092?!((o7b(n,210092)|0)==0|(m|0)==210095):0)?!((o7b(n,210095)|0)==0|(m|0)==210098):0)?o7b(n,210098)|0:0){n=f[g>>2]|0;f[e>>2]=a;f[e+4>>2]=(n|0)==0?1163146:n;aR(j,209681,e);RQ(-5,j,210101,1711)}w=k<<10;break}w=k<<20}while(0);ZG(i);ZG(h);ZG(g);l=w;u=d;return l|0}function $R(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;g=Ge(b|0)|0;if(!g){f[a>>2]=0;f[a+4>>2]=0;if(!c){u=d;return}b=s8b(c)|0;if(!b){u=d;return}Krc(YG(a,b)|0,c|0,b|0)|0;u=d;return}else{f[e>>2]=0;b=e+4|0;f[b>>2]=0;c=s8b(g)|0;if(c){Krc(YG(e,c)|0,g|0,c|0)|0;c=f[e>>2]|0;g=f[b>>2]|0;f[a>>2]=c;f[a+4>>2]=g;if(c|0){g=c+-4|0;f[g>>2]=(f[g>>2]|0)+1}}else{f[a>>2]=0;f[a+4>>2]=0}ZG(e);u=d;return}}function aS(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0.0,ba=0.0,ca=0.0,da=0.0;e=u;u=u+1280|0;g=e+1264|0;h=e+1208|0;i=e+1152|0;j=e+8|0;k=e+1136|0;l=e;m=e+1104|0;n=e+40|0;zT(g,46348);do if((pD(c)|0)==65536){o=f[c+4>>2]|0;f[h>>2]=f[o>>2];q=h+4|0;r=o+4|0;f[q>>2]=f[r>>2];s=h+8|0;f[s>>2]=f[o+8>>2];f[h+12>>2]=f[o+12>>2];f[h+16>>2]=f[o+16>>2];f[h+20>>2]=f[o+20>>2];f[h+24>>2]=f[o+24>>2];f[h+28>>2]=f[o+28>>2];f[h+32>>2]=f[o+32>>2];t=f[o+36>>2]|0;f[h+36>>2]=t;f[h+40>>2]=s;s=h+48|0;v=h+44|0;f[v>>2]=s;f[s>>2]=0;f[h+52>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[o+44>>2]|0;s=f[v>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2];break}else{f[q>>2]=0;kP(h,o);break}}else lD(h,c,-1);while(0);do if((pD(d)|0)==65536){c=f[d+4>>2]|0;f[i>>2]=f[c>>2];o=i+4|0;q=c+4|0;f[o>>2]=f[q>>2];r=i+8|0;f[r>>2]=f[c+8>>2];f[i+12>>2]=f[c+12>>2];s=i+16|0;f[s>>2]=f[c+16>>2];f[i+20>>2]=f[c+20>>2];f[i+24>>2]=f[c+24>>2];f[i+28>>2]=f[c+28>>2];f[i+32>>2]=f[c+32>>2];v=f[c+36>>2]|0;f[i+36>>2]=v;f[i+40>>2]=r;r=i+48|0;t=i+44|0;f[t>>2]=r;f[r>>2]=0;f[i+52>>2]=0;if(v|0){r=v+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[q>>2]|0)<3){q=f[c+44>>2]|0;r=f[t>>2]|0;f[r>>2]=f[q>>2];f[r+4>>2]=f[q+4>>2];w=s;break}else{f[o>>2]=0;kP(i,c);w=s;break}}else{lD(i,d,-1);w=i+16|0}while(0);if(f[w>>2]|0){d=f[i+4>>2]|0;if((d|0)<3)x=Y(f[i+12>>2]|0,f[i+8>>2]|0)|0;else{s=f[i+40>>2]|0;c=0;o=1;while(1){q=Y(f[s+(c<<2)>>2]|0,o)|0;c=c+1|0;if((c|0)==(d|0)){x=q;break}else o=q}}if(!((d|0)==0|(x|0)==0)?f[i>>2]&4095|0:0){f[j>>2]=0;f[j+4>>2]=0;y=YG(j,36)|0;z=210132;A=y+36|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));bS(j,210169,112)}}x=f[h>>2]|0;d=x>>>3&511;o=d+1|0;c=x&7;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;f[j+24>>2]=0;f[j+28>>2]=0;x=PG(c)|0;if(!(o>>>0<5&(x|0)!=0)){f[k>>2]=0;f[k+4>>2]=0;y=YG(k,20)|0;z=210174;A=y+20|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));bS(k,210169,121)}f[k>>2]=h;f[k+4>>2]=i;f[k+8>>2]=0;z=l;f[z>>2]=0;f[z+4>>2]=0;IN(m,k,l,-1);k=f[m+20>>2]|0;z=n+8|0;f[n>>2]=z;y=n+4|0;f[y>>2]=264;A=c>>>0<4;if(A){s=c>>>0<2?8388608:32768;c=(s|0)<(k|0)?s:k;f[y>>2]=o;Drc(z|0,0,(d<<2)+4|0)|0;d=f[h+4>>2]|0;if((d|0)>0){B=f[(f[h+44>>2]|0)+(d+-1<<2)>>2]|0;C=z;D=c;E=s}else{B=0;C=z;D=c;E=s}}else{B=0;C=j;D=k;E=0}s=m+16|0;c=(k|0)>0;d=l+4|0;q=0;r=0;t=0;while(1){if(q>>>0>=(f[s>>2]|0)>>>0)break;v=q+1|0;a:do if(c){F=f[l>>2]|0;G=f[d>>2]|0;if(A){H=0;I=r;J=t;K=F;L=G}else{M=0;N=r;O=t;P=F;F=G;while(1){G=k-M|0;Q=(D|0)<(G|0)?D:G;G=lh[x&127](P,F,C,Q,o)|0;R=G+O|0;S=G+N|0;G=Y(Q,B)|0;P=(f[l>>2]|0)+G|0;f[l>>2]=P;G=f[d>>2]|0;if(!G)T=0;else{U=G+Q|0;f[d>>2]=U;T=U}M=M+D|0;if((k|0)<=(M|0)){V=S;W=R;break a}else{N=S;O=R;F=T}}}while(1){F=k-H|0;O=(D|0)<(F|0)?D:F;F=lh[x&127](K,L,C,O,o)|0;N=F+J|0;M=F+I|0;if((N+D|0)<(E|0)?((O+H|0)<(k|0)?1:v>>>0<(f[s>>2]|0)>>>0):0)X=N;else{Z=0;_=34}if((_|0)==34)while(1){_=0;N=C+(Z<<2)|0;F=j+(Z<<3)|0;p[F>>3]=+p[F>>3]+ +(f[N>>2]|0);f[N>>2]=0;Z=Z+1|0;if((Z|0)==(o|0)){X=0;break}else _=34}N=Y(O,B)|0;K=(f[l>>2]|0)+N|0;f[l>>2]=K;N=f[d>>2]|0;if(!N)$=0;else{F=N+O|0;f[d>>2]=F;$=F}H=H+D|0;if((k|0)<=(H|0)){V=M;W=X;break}else{I=M;J=X;L=$}}}else{V=r;W=t}while(0);JN(m)|0;q=v;r=V;t=W}aa=(r|0)==0?0.0:1.0/+(r>>>0);ba=aa*+p[j+8>>3];ca=aa*+p[j+16>>3];da=aa*+p[j+24>>3];p[a>>3]=aa*+p[j>>3];p[a+8>>3]=ba;p[a+16>>3]=ca;p[a+24>>3]=da;a=f[n>>2]|0;if((a|0)!=(z|0)){if(a|0)Fmc(a);f[n>>2]=z;f[y>>2]=264}y=i+36|0;z=f[y>>2]|0;if(z|0?(n=z+12|0,z=f[n>>2]|0,f[n>>2]=z+-1,(z|0)==1):0)lP(i);f[y>>2]=0;y=i+4|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[y>>2]|0)>0){w=f[i+40>>2]|0;z=0;do{f[w+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[y>>2]|0))}y=f[i+44>>2]|0;if((y|0)!=(i+48|0))tE(y);y=h+36|0;i=f[y>>2]|0;if(i|0?(z=i+12|0,i=f[z>>2]|0,f[z>>2]=i+-1,(i|0)==1):0)lP(h);f[y>>2]=0;y=h+16|0;i=h+4|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[i>>2]|0)>0){y=f[h+40>>2]|0;z=0;do{f[y+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[i>>2]|0))}i=f[h+44>>2]|0;if((i|0)!=(h+48|0))tE(i);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function bS(a,b,c){a=a|0;b=b|0;c=c|0;SQ(-215,a,b,210195,c);return}function cS(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0.0,na=0.0,oa=0.0,pa=0;g=u;u=u+1360|0;h=g+1344|0;i=g+1288|0;j=g+1232|0;k=g+1216|0;l=g+1112|0;m=g+1184|0;n=g+16|0;o=g;q=g+1128|0;r=g+1120|0;zT(h,46368);if(DD(a)|0){f[i>>2]=0;f[i+4>>2]=0;s=YG(i,13)|0;t=288769;v=s+13|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));bS(i,210302,789)}if(!(DD(e)|0)?oD(e,-1)|0:0){f[i>>2]=0;f[i+4>>2]=0;s=YG(i,40)|0;t=210313;v=s+40|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));bS(i,210302,790)}do if((pD(a)|0)==65536){w=f[a+4>>2]|0;f[i>>2]=f[w>>2];x=i+4|0;y=w+4|0;f[x>>2]=f[y>>2];z=i+8|0;f[z>>2]=f[w+8>>2];f[i+12>>2]=f[w+12>>2];f[i+16>>2]=f[w+16>>2];f[i+20>>2]=f[w+20>>2];f[i+24>>2]=f[w+24>>2];f[i+28>>2]=f[w+28>>2];f[i+32>>2]=f[w+32>>2];A=f[w+36>>2]|0;f[i+36>>2]=A;f[i+40>>2]=z;z=i+48|0;B=i+44|0;f[B>>2]=z;f[z>>2]=0;f[i+52>>2]=0;if(A|0){z=A+12|0;f[z>>2]=(f[z>>2]|0)+1}if((f[y>>2]|0)<3){y=f[w+44>>2]|0;z=f[B>>2]|0;f[z>>2]=f[y>>2];f[z+4>>2]=f[y+4>>2];break}else{f[x>>2]=0;kP(i,w);break}}else lD(i,a,-1);while(0);do if((pD(e)|0)==65536){a=f[e+4>>2]|0;f[j>>2]=f[a>>2];w=j+4|0;x=a+4|0;f[w>>2]=f[x>>2];y=j+8|0;f[y>>2]=f[a+8>>2];f[j+12>>2]=f[a+12>>2];f[j+16>>2]=f[a+16>>2];f[j+20>>2]=f[a+20>>2];f[j+24>>2]=f[a+24>>2];f[j+28>>2]=f[a+28>>2];f[j+32>>2]=f[a+32>>2];z=f[a+36>>2]|0;f[j+36>>2]=z;f[j+40>>2]=y;y=j+48|0;B=j+44|0;f[B>>2]=y;f[y>>2]=0;f[j+52>>2]=0;if(z|0){y=z+12|0;f[y>>2]=(f[y>>2]|0)+1}if((f[x>>2]|0)<3){x=f[a+44>>2]|0;y=f[B>>2]|0;f[y>>2]=f[x>>2];f[y+4>>2]=f[x+4>>2];break}else{f[w>>2]=0;kP(j,a);break}}else lD(j,e,-1);while(0);e=f[i>>2]|0;a=e>>>3;w=a&511;x=w+1|0;y=e&7;e=f[46388+(y<<2)>>2]|0;if((y|0)==7){f[k>>2]=0;f[k+4>>2]=0;s=YG(k,9)|0;t=274048;v=s+9|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));bS(k,210302,806)}f[k>>2]=i;f[k+4>>2]=j;f[k+8>>2]=0;B=l;f[B>>2]=0;f[B+4>>2]=0;IN(m,k,l,-1);k=f[m+20>>2]|0;B=n+8|0;f[n>>2]=B;z=n+4|0;f[z>>2]=x<<2;if(x>>>0>34){A=Dmc(x<<5)|0;f[n>>2]=A;C=A}else C=B;A=C+(x<<3)|0;D=y>>>0<4;E=0;do{p[A+(E<<3)>>3]=0.0;p[C+(E<<3)>>3]=0.0;E=E+1|0}while((E|0)!=(x|0));E=y>>>0<2;if(D){y=(k|0)<32768;F=A+(x<<3)|0;G=E?F+(x<<2)|0:A;H=0;do{f[G+(H<<2)>>2]=0;f[F+(H<<2)>>2]=0;H=H+1|0}while((H|0)!=(x|0));H=y?k:32768;y=f[i+4>>2]|0;if((y|0)>0){I=f[(f[i+44>>2]|0)+(y+-1<<2)>>2]|0;J=F;K=H;L=32768;N=G}else{I=0;J=F;K=H;L=32768;N=G}}else{I=0;J=C;K=k;L=0;N=A}G=m+16|0;H=(k|0)>0;F=l+4|0;y=0;O=0;P=0;while(1){if(P>>>0>=(f[G>>2]|0)>>>0)break;Q=P+1|0;a:do if(H){R=f[l>>2]|0;S=f[F>>2]|0;if(D){T=0;U=y;V=O;W=R;X=S}else{Z=0;_=y;$=O;aa=R;R=S;while(1){S=k-Z|0;ba=(K|0)<(S|0)?K:S;S=Vf[e&127](aa,R,J,N,ba,x)|0;ca=S+_|0;da=S+$|0;S=Y(ba,I)|0;aa=(f[l>>2]|0)+S|0;f[l>>2]=aa;S=f[F>>2]|0;if(!S)ea=0;else{fa=S+ba|0;f[F>>2]=fa;ea=fa}Z=Z+K|0;if((k|0)<=(Z|0)){ga=ca;ha=da;break a}else{_=ca;$=da;R=ea}}}while(1){R=k-T|0;$=(K|0)<(R|0)?K:R;R=Vf[e&127](W,X,J,N,$,x)|0;_=R+U|0;Z=R+V|0;if((_+K|0)<(L|0)?(($+T|0)<(k|0)?1:Q>>>0<(f[G>>2]|0)>>>0):0)ia=_;else{ja=0;ka=37}if((ka|0)==37){while(1){ka=0;_=J+(ja<<2)|0;R=C+(ja<<3)|0;p[R>>3]=+p[R>>3]+ +(f[_>>2]|0);f[_>>2]=0;ja=ja+1|0;if((ja|0)==(x|0))break;else ka=37}if(E){_=0;do{R=N+(_<<2)|0;aa=A+(_<<3)|0;p[aa>>3]=+p[aa>>3]+ +(f[R>>2]|0);f[R>>2]=0;_=_+1|0}while((_|0)!=(x|0));ia=0}else ia=0}_=Y($,I)|0;W=(f[l>>2]|0)+_|0;f[l>>2]=W;_=f[F>>2]|0;if(!_)la=0;else{R=_+$|0;f[F>>2]=R;la=R}T=T+K|0;if((k|0)<=(T|0)){ga=ia;ha=Z;break}else{U=ia;V=Z;X=la}}}else{ga=y;ha=O}while(0);JN(m)|0;y=ga;O=ha;P=Q}ma=(O|0)==0?0.0:1.0/+(O|0);O=0;do{P=C+(O<<3)|0;na=ma*+p[P>>3];p[P>>3]=na;P=A+(O<<3)|0;oa=ma*+p[P>>3]-na*na;na=+M(+(oa<0.0?0.0:oa));p[P>>3]=na;O=O+1|0}while((O|0)!=(x|0));O=o+8|0;P=o+12|0;ha=o+4|0;ga=q+4|0;y=q+8|0;m=q+12|0;la=q+16|0;X=q+20|0;V=q+24|0;ia=q+28|0;U=q+32|0;T=q+36|0;k=q+40|0;K=q+48|0;F=q+44|0;W=q+52|0;l=(a|536870400)^511;a=0;while(1){I=(a|0)==0;N=I?C:A;E=I?c:d;I=E;ja=f[I+4>>2]|0;J=o;f[J>>2]=f[I>>2];f[J+4>>2]=ja;f[O>>2]=f[E+8>>2];f[P>>2]=f[E+12>>2];if(lE(o)|0){if(!(gE(o)|0))iE(o,x,1,6,-1,1,0);do if((pD(o)|0)==65536){E=f[ha>>2]|0;f[q>>2]=f[E>>2];ja=E+4|0;f[ga>>2]=f[ja>>2];f[y>>2]=f[E+8>>2];f[m>>2]=f[E+12>>2];f[la>>2]=f[E+16>>2];f[X>>2]=f[E+20>>2];f[V>>2]=f[E+24>>2];f[ia>>2]=f[E+28>>2];f[U>>2]=f[E+32>>2];J=f[E+36>>2]|0;f[T>>2]=J;f[k>>2]=y;f[F>>2]=K;f[K>>2]=0;f[W>>2]=0;if(J|0){I=J+12|0;f[I>>2]=(f[I>>2]|0)+1}if((f[ja>>2]|0)<3){ja=f[E+44>>2]|0;I=f[F>>2]|0;f[I>>2]=f[ja>>2];f[I+4>>2]=f[ja+4>>2];break}else{f[ga>>2]=0;kP(q,E);break}}else lD(q,o,-1);while(0);Q=f[ga>>2]|0;if((Q|0)<3)pa=Y(f[m>>2]|0,f[y>>2]|0)|0;else{E=f[k>>2]|0;ja=0;I=1;while(1){J=Y(f[E+(ja<<2)>>2]|0,I)|0;ja=ja+1|0;if((ja|0)==(Q|0)){pa=J;break}else I=J}}if((f[q>>2]&20479|0)!=16390){ka=68;break}if((f[m>>2]|0)==1){if((pa|0)<=(w|0)){ka=68;break}}else if((pa|0)<=(w|0)|(f[y>>2]|0)!=1){ka=68;break}I=f[la>>2]|0;Q=0;do{p[I+(Q<<3)>>3]=+p[N+(Q<<3)>>3];Q=Q+1|0}while((Q|0)!=(x|0));if((x|0)<(pa|0))Drc(I+(x<<3)|0,0,l+pa<<3|0)|0;Q=f[T>>2]|0;if(Q|0?(N=Q+12|0,Q=f[N>>2]|0,f[N>>2]=Q+-1,(Q|0)==1):0)lP(q);f[T>>2]=0;f[la>>2]=0;f[la+4>>2]=0;f[la+8>>2]=0;f[la+12>>2]=0;if((f[ga>>2]|0)>0){Q=f[k>>2]|0;N=0;do{f[Q+(N<<2)>>2]=0;N=N+1|0}while((N|0)<(f[ga>>2]|0))}N=f[F>>2]|0;if((N|0)!=(K|0))tE(N)}a=a+1|0;if((a|0)>=2){ka=83;break}}if((ka|0)==68){f[r>>2]=0;f[r+4>>2]=0;s=YG(r,91)|0;t=210354;v=s+91|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));bS(r,210302,884)}else if((ka|0)==83){ka=f[n>>2]|0;if((ka|0)!=(B|0)){if(ka|0)Fmc(ka);f[n>>2]=B;f[z>>2]=136}z=j+36|0;B=f[z>>2]|0;if(B|0?(n=B+12|0,B=f[n>>2]|0,f[n>>2]=B+-1,(B|0)==1):0)lP(j);f[z>>2]=0;z=j+16|0;B=j+4|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[B>>2]|0)>0){z=f[j+40>>2]|0;n=0;do{f[z+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[B>>2]|0))}B=f[j+44>>2]|0;if((B|0)!=(j+48|0))tE(B);B=i+36|0;j=f[B>>2]|0;if(j|0?(n=j+12|0,j=f[n>>2]|0,f[n>>2]=j+-1,(j|0)==1):0)lP(i);f[B>>2]=0;B=i+16|0;j=i+4|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[j>>2]|0)>0){B=f[i+40>>2]|0;n=0;do{f[B+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[j>>2]|0))}j=f[i+44>>2]|0;if((j|0)!=(i+48|0))tE(j);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}}function dS(a,c,d,e,g,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0;if(!c){j=(i|0)%4|0;switch(j|0){case 1:{k=f[d>>2]|0;l=f[e>>2]|0;if((g|0)>0){m=a;n=k;o=l;p=0;while(1){q=h[m>>0]|0;r=q+n|0;s=(Y(q,q)|0)+o|0;p=p+1|0;if((p|0)==(g|0)){t=r;u=s;break}else{m=m+i|0;n=r;o=s}}}else{t=k;u=l}f[d>>2]=t;f[e>>2]=u;break}case 2:{u=f[d>>2]|0;t=d+4|0;l=f[t>>2]|0;k=f[e>>2]|0;o=e+4|0;n=f[o>>2]|0;if((g|0)>0){m=u;p=l;s=k;r=n;q=0;v=a;while(1){w=h[v>>0]|0;x=w+m|0;y=(Y(w,w)|0)+s|0;w=h[v+1>>0]|0;z=w+p|0;A=(Y(w,w)|0)+r|0;q=q+1|0;if((q|0)==(g|0)){B=x;C=z;D=y;E=A;break}else{m=x;p=z;s=y;r=A;v=v+i|0}}}else{B=u;C=l;D=k;E=n}f[d>>2]=B;f[t>>2]=C;f[e>>2]=D;f[o>>2]=E;break}case 3:{E=f[d>>2]|0;o=d+4|0;D=f[o>>2]|0;C=d+8|0;t=f[C>>2]|0;B=f[e>>2]|0;n=e+4|0;k=f[n>>2]|0;l=e+8|0;u=f[l>>2]|0;if((g|0)>0){v=E;r=0;s=u;p=k;m=B;q=t;A=D;y=a;while(1){z=h[y>>0]|0;x=z+v|0;w=(Y(z,z)|0)+m|0;z=h[y+1>>0]|0;F=z+A|0;G=(Y(z,z)|0)+p|0;z=h[y+2>>0]|0;H=z+q|0;I=(Y(z,z)|0)+s|0;r=r+1|0;if((r|0)==(g|0)){J=x;K=I;L=G;M=w;N=H;O=F;break}else{v=x;s=I;p=G;m=w;q=H;A=F;y=y+i|0}}}else{J=E;K=u;L=k;M=B;N=t;O=D}f[d>>2]=J;f[o>>2]=O;f[C>>2]=N;f[e>>2]=M;f[n>>2]=L;f[l>>2]=K;break}default:{}}if((j|0)<(i|0)&(g|0)>0)P=j;else{Q=g;return Q|0}do{j=d+(P<<2)|0;K=P+1|0;l=d+(K<<2)|0;L=P+2|0;n=d+(L<<2)|0;M=P+3|0;N=d+(M<<2)|0;C=e+(P<<2)|0;O=e+(K<<2)|0;K=e+(L<<2)|0;L=e+(M<<2)|0;M=0;o=f[L>>2]|0;J=f[K>>2]|0;D=f[O>>2]|0;t=f[C>>2]|0;B=f[N>>2]|0;k=f[n>>2]|0;u=f[l>>2]|0;E=f[j>>2]|0;y=a+P|0;while(1){A=h[y>>0]|0;E=A+E|0;t=(Y(A,A)|0)+t|0;A=h[y+1>>0]|0;u=A+u|0;D=(Y(A,A)|0)+D|0;A=h[y+2>>0]|0;k=A+k|0;J=(Y(A,A)|0)+J|0;A=h[y+3>>0]|0;B=A+B|0;o=(Y(A,A)|0)+o|0;M=M+1|0;if((M|0)==(g|0))break;else y=y+i|0}f[j>>2]=E;f[l>>2]=u;f[n>>2]=k;f[N>>2]=B;f[C>>2]=t;f[O>>2]=D;f[K>>2]=J;f[L>>2]=o;P=P+4|0}while((P|0)<(i|0));Q=g;return Q|0}switch(i|0){case 1:{P=f[d>>2]|0;y=f[e>>2]|0;if((g|0)>0){M=y;A=P;q=0;m=0;while(1){if(!(b[c+m>>0]|0)){R=M;S=A;T=q}else{p=h[a+m>>0]|0;R=(Y(p,p)|0)+M|0;S=p+A|0;T=q+1|0}m=m+1|0;if((m|0)==(g|0)){U=R;V=S;W=T;break}else{M=R;A=S;q=T}}}else{U=y;V=P;W=0}f[d>>2]=V;f[e>>2]=U;Q=W;return Q|0}case 3:{W=f[d>>2]|0;U=d+4|0;V=f[U>>2]|0;P=d+8|0;y=f[P>>2]|0;T=f[e>>2]|0;q=e+4|0;S=f[q>>2]|0;A=e+8|0;R=f[A>>2]|0;if((g|0)>0){M=R;m=S;p=T;s=y;v=V;r=W;F=0;H=0;w=a;while(1){if(!(b[c+F>>0]|0)){X=M;Z=m;_=p;$=s;aa=v;ba=r;ca=H}else{G=h[w>>0]|0;I=h[w+1>>0]|0;x=h[w+2>>0]|0;X=(Y(x,x)|0)+M|0;Z=(Y(I,I)|0)+m|0;_=(Y(G,G)|0)+p|0;$=x+s|0;aa=I+v|0;ba=G+r|0;ca=H+1|0}F=F+1|0;if((F|0)==(g|0)){da=X;ea=Z;fa=_;ga=$;ha=aa;ia=ba;ja=ca;break}else{M=X;m=Z;p=_;s=$;v=aa;r=ba;H=ca;w=w+3|0}}}else{da=R;ea=S;fa=T;ga=y;ha=V;ia=W;ja=0}f[d>>2]=ia;f[U>>2]=ha;f[P>>2]=ga;f[e>>2]=fa;f[q>>2]=ea;f[A>>2]=da;Q=ja;return Q|0}default:{if((g|0)<=0){Q=0;return Q|0}if((i|0)>0){ka=0;la=0;ma=a}else{a=0;ja=0;while(1){da=((b[c+a>>0]|0)!=0&1)+ja|0;a=a+1|0;if((a|0)==(g|0)){Q=da;break}else ja=da}return Q|0}while(1){if(!(b[c+ka>>0]|0))na=la;else{ja=0;do{a=d+(ja<<2)|0;da=h[ma+ja>>0]|0;A=e+(ja<<2)|0;ea=(f[A>>2]|0)+(Y(da,da)|0)|0;f[a>>2]=(f[a>>2]|0)+da;f[A>>2]=ea;ja=ja+1|0}while((ja|0)!=(i|0));na=la+1|0}ka=ka+1|0;if((ka|0)==(g|0)){Q=na;break}else{la=na;ma=ma+i|0}}return Q|0}}return 0}function eS(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0;if(!c){i=(h|0)%4|0;switch(i|0){case 1:{j=f[d>>2]|0;k=f[e>>2]|0;if((g|0)>0){l=a;m=j;n=k;o=0;while(1){p=b[l>>0]|0;q=p+m|0;r=(Y(p,p)|0)+n|0;o=o+1|0;if((o|0)==(g|0)){s=q;t=r;break}else{l=l+h|0;m=q;n=r}}}else{s=j;t=k}f[d>>2]=s;f[e>>2]=t;break}case 2:{t=f[d>>2]|0;s=d+4|0;k=f[s>>2]|0;j=f[e>>2]|0;n=e+4|0;m=f[n>>2]|0;if((g|0)>0){l=t;o=k;r=j;q=m;p=0;u=a;while(1){v=b[u>>0]|0;w=v+l|0;x=(Y(v,v)|0)+r|0;v=b[u+1>>0]|0;y=v+o|0;z=(Y(v,v)|0)+q|0;p=p+1|0;if((p|0)==(g|0)){A=w;B=y;C=x;D=z;break}else{l=w;o=y;r=x;q=z;u=u+h|0}}}else{A=t;B=k;C=j;D=m}f[d>>2]=A;f[s>>2]=B;f[e>>2]=C;f[n>>2]=D;break}case 3:{D=f[d>>2]|0;n=d+4|0;C=f[n>>2]|0;B=d+8|0;s=f[B>>2]|0;A=f[e>>2]|0;m=e+4|0;j=f[m>>2]|0;k=e+8|0;t=f[k>>2]|0;if((g|0)>0){u=D;q=0;r=t;o=j;l=A;p=s;z=C;x=a;while(1){y=b[x>>0]|0;w=y+u|0;v=(Y(y,y)|0)+l|0;y=b[x+1>>0]|0;E=y+z|0;F=(Y(y,y)|0)+o|0;y=b[x+2>>0]|0;G=y+p|0;H=(Y(y,y)|0)+r|0;q=q+1|0;if((q|0)==(g|0)){I=w;J=H;K=F;L=v;M=G;N=E;break}else{u=w;r=H;o=F;l=v;p=G;z=E;x=x+h|0}}}else{I=D;J=t;K=j;L=A;M=s;N=C}f[d>>2]=I;f[n>>2]=N;f[B>>2]=M;f[e>>2]=L;f[m>>2]=K;f[k>>2]=J;break}default:{}}if((i|0)<(h|0)&(g|0)>0)O=i;else{P=g;return P|0}do{i=d+(O<<2)|0;J=O+1|0;k=d+(J<<2)|0;K=O+2|0;m=d+(K<<2)|0;L=O+3|0;M=d+(L<<2)|0;B=e+(O<<2)|0;N=e+(J<<2)|0;J=e+(K<<2)|0;K=e+(L<<2)|0;L=0;n=f[K>>2]|0;I=f[J>>2]|0;C=f[N>>2]|0;s=f[B>>2]|0;A=f[M>>2]|0;j=f[m>>2]|0;t=f[k>>2]|0;D=f[i>>2]|0;x=a+O|0;while(1){z=b[x>>0]|0;D=z+D|0;s=(Y(z,z)|0)+s|0;z=b[x+1>>0]|0;t=z+t|0;C=(Y(z,z)|0)+C|0;z=b[x+2>>0]|0;j=z+j|0;I=(Y(z,z)|0)+I|0;z=b[x+3>>0]|0;A=z+A|0;n=(Y(z,z)|0)+n|0;L=L+1|0;if((L|0)==(g|0))break;else x=x+h|0}f[i>>2]=D;f[k>>2]=t;f[m>>2]=j;f[M>>2]=A;f[B>>2]=s;f[N>>2]=C;f[J>>2]=I;f[K>>2]=n;O=O+4|0}while((O|0)<(h|0));P=g;return P|0}switch(h|0){case 1:{O=f[d>>2]|0;x=f[e>>2]|0;if((g|0)>0){L=x;z=O;p=0;l=0;while(1){if(!(b[c+l>>0]|0)){Q=L;R=z;S=p}else{o=b[a+l>>0]|0;Q=(Y(o,o)|0)+L|0;R=o+z|0;S=p+1|0}l=l+1|0;if((l|0)==(g|0)){T=Q;U=R;V=S;break}else{L=Q;z=R;p=S}}}else{T=x;U=O;V=0}f[d>>2]=U;f[e>>2]=T;P=V;return P|0}case 3:{V=f[d>>2]|0;T=d+4|0;U=f[T>>2]|0;O=d+8|0;x=f[O>>2]|0;S=f[e>>2]|0;p=e+4|0;R=f[p>>2]|0;z=e+8|0;Q=f[z>>2]|0;if((g|0)>0){L=Q;l=R;o=S;r=x;u=U;q=V;E=0;G=0;v=a;while(1){if(!(b[c+E>>0]|0)){W=L;X=l;Z=o;_=r;$=u;aa=q;ba=G}else{F=b[v>>0]|0;H=b[v+1>>0]|0;w=b[v+2>>0]|0;W=(Y(w,w)|0)+L|0;X=(Y(H,H)|0)+l|0;Z=(Y(F,F)|0)+o|0;_=w+r|0;$=H+u|0;aa=F+q|0;ba=G+1|0}E=E+1|0;if((E|0)==(g|0)){ca=W;da=X;ea=Z;fa=_;ga=$;ha=aa;ia=ba;break}else{L=W;l=X;o=Z;r=_;u=$;q=aa;G=ba;v=v+3|0}}}else{ca=Q;da=R;ea=S;fa=x;ga=U;ha=V;ia=0}f[d>>2]=ha;f[T>>2]=ga;f[O>>2]=fa;f[e>>2]=ea;f[p>>2]=da;f[z>>2]=ca;P=ia;return P|0}default:{if((g|0)<=0){P=0;return P|0}if((h|0)>0){ja=0;ka=0;la=a}else{a=0;ia=0;while(1){ca=((b[c+a>>0]|0)!=0&1)+ia|0;a=a+1|0;if((a|0)==(g|0)){P=ca;break}else ia=ca}return P|0}while(1){if(!(b[c+ja>>0]|0))ma=ka;else{ia=0;do{a=d+(ia<<2)|0;ca=b[la+ia>>0]|0;z=e+(ia<<2)|0;da=(f[z>>2]|0)+(Y(ca,ca)|0)|0;f[a>>2]=(f[a>>2]|0)+ca;f[z>>2]=da;ia=ia+1|0}while((ia|0)!=(h|0));ma=ka+1|0}ja=ja+1|0;if((ja|0)==(g|0)){P=ma;break}else{ka=ma;la=la+h|0}}return P|0}}return 0}function fS(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0.0,m=0,n=0,o=0.0,q=0,r=0,s=0,t=0.0,u=0.0,v=0,w=0.0,x=0,y=0,z=0,A=0,B=0.0,C=0.0,D=0,E=0,F=0.0,G=0.0,H=0,I=0,J=0,K=0.0,L=0,M=0.0,N=0.0,O=0.0,P=0,Q=0,R=0,S=0,T=0.0,U=0,V=0,W=0.0,X=0,Y=0,Z=0.0,_=0.0,$=0.0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0.0,ia=0.0,ja=0.0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0;if(!c){j=(i|0)%4|0;switch(j|0){case 1:{k=f[e>>2]|0;l=+p[g>>3];if((h|0)>0){m=a;n=k;o=l;q=0;while(1){r=d[m>>1]|0;s=(r&65535)+n|0;t=+(r&65535);u=o+t*t;q=q+1|0;if((q|0)==(h|0)){v=s;w=u;break}else{m=m+(i<<1)|0;n=s;o=u}}}else{v=k;w=l}f[e>>2]=v;p[g>>3]=w;break}case 2:{v=f[e>>2]|0;k=e+4|0;n=f[k>>2]|0;w=+p[g>>3];m=g+8|0;l=+p[m>>3];if((h|0)>0){q=v;s=n;o=w;u=l;r=0;x=a;while(1){y=d[x>>1]|0;z=d[x+2>>1]|0;A=(y&65535)+q|0;t=+(y&65535);B=o+t*t;y=(z&65535)+s|0;t=+(z&65535);C=u+t*t;r=r+1|0;if((r|0)==(h|0)){D=A;E=y;F=B;G=C;break}else{q=A;s=y;o=B;u=C;x=x+(i<<1)|0}}}else{D=v;E=n;F=w;G=l}f[e>>2]=D;f[k>>2]=E;p[g>>3]=F;p[m>>3]=G;break}case 3:{m=f[e>>2]|0;E=e+4|0;k=f[E>>2]|0;D=e+8|0;n=f[D>>2]|0;G=+p[g>>3];v=g+8|0;F=+p[v>>3];x=g+16|0;l=+p[x>>3];if((h|0)>0){s=m;q=0;w=l;u=F;o=G;r=n;y=k;A=a;while(1){z=d[A>>1]|0;H=d[A+2>>1]|0;I=d[A+4>>1]|0;J=(z&65535)+s|0;C=+(z&65535);B=o+C*C;z=(H&65535)+y|0;C=+(H&65535);t=u+C*C;H=(I&65535)+r|0;C=+(I&65535);K=w+C*C;q=q+1|0;if((q|0)==(h|0)){L=J;M=K;N=t;O=B;P=H;Q=z;break}else{s=J;w=K;u=t;o=B;r=H;y=z;A=A+(i<<1)|0}}}else{L=m;M=l;N=F;O=G;P=n;Q=k}f[e>>2]=L;f[E>>2]=Q;f[D>>2]=P;p[g>>3]=O;p[v>>3]=N;p[x>>3]=M;break}default:{}}if((j|0)<(i|0)&(h|0)>0)R=j;else{S=h;return S|0}do{j=e+(R<<2)|0;x=R+1|0;v=e+(x<<2)|0;P=R+2|0;D=e+(P<<2)|0;Q=R+3|0;E=e+(Q<<2)|0;L=g+(R<<3)|0;k=g+(x<<3)|0;x=g+(P<<3)|0;P=g+(Q<<3)|0;Q=0;M=+p[P>>3];N=+p[x>>3];O=+p[k>>3];G=+p[L>>3];n=f[E>>2]|0;m=f[D>>2]|0;A=f[v>>2]|0;y=f[j>>2]|0;r=a+(R<<1)|0;while(1){s=d[r>>1]|0;q=d[r+2>>1]|0;y=(s&65535)+y|0;F=+(s&65535);G=G+F*F;A=(q&65535)+A|0;F=+(q&65535);O=O+F*F;q=d[r+4>>1]|0;s=d[r+6>>1]|0;m=(q&65535)+m|0;F=+(q&65535);N=N+F*F;n=(s&65535)+n|0;F=+(s&65535);M=M+F*F;Q=Q+1|0;if((Q|0)==(h|0))break;else r=r+(i<<1)|0}f[j>>2]=y;f[v>>2]=A;f[D>>2]=m;f[E>>2]=n;p[L>>3]=G;p[k>>3]=O;p[x>>3]=N;p[P>>3]=M;R=R+4|0}while((R|0)<(i|0));S=h;return S|0}switch(i|0){case 1:{R=f[e>>2]|0;F=+p[g>>3];if((h|0)>0){l=F;r=R;Q=0;s=0;while(1){if(!(b[c+s>>0]|0)){T=l;U=r;V=Q}else{q=d[a+(s<<1)>>1]|0;o=+(q&65535);T=l+o*o;U=(q&65535)+r|0;V=Q+1|0}s=s+1|0;if((s|0)==(h|0)){W=T;X=U;Y=V;break}else{l=T;r=U;Q=V}}}else{W=F;X=R;Y=0}f[e>>2]=X;p[g>>3]=W;S=Y;return S|0}case 3:{Y=f[e>>2]|0;X=e+4|0;R=f[X>>2]|0;V=e+8|0;Q=f[V>>2]|0;W=+p[g>>3];U=g+8|0;F=+p[U>>3];r=g+16|0;T=+p[r>>3];if((h|0)>0){l=T;o=F;u=W;s=Q;q=R;z=Y;H=0;J=0;I=a;while(1){if(!(b[c+H>>0]|0)){Z=l;_=o;$=u;aa=s;ba=q;ca=z;da=J}else{ea=d[I>>1]|0;fa=d[I+2>>1]|0;ga=d[I+4>>1]|0;w=+(ea&65535);B=+(fa&65535);t=+(ga&65535);Z=l+t*t;_=o+B*B;$=u+w*w;aa=(ga&65535)+s|0;ba=(fa&65535)+q|0;ca=(ea&65535)+z|0;da=J+1|0}H=H+1|0;if((H|0)==(h|0)){ha=Z;ia=_;ja=$;ka=aa;la=ba;ma=ca;na=da;break}else{l=Z;o=_;u=$;s=aa;q=ba;z=ca;J=da;I=I+6|0}}}else{ha=T;ia=F;ja=W;ka=Q;la=R;ma=Y;na=0}f[e>>2]=ma;f[X>>2]=la;f[V>>2]=ka;p[g>>3]=ja;p[U>>3]=ia;p[r>>3]=ha;S=na;return S|0}default:{if((h|0)<=0){S=0;return S|0}if((i|0)>0){oa=0;pa=0;qa=a}else{a=0;na=0;while(1){r=((b[c+a>>0]|0)!=0&1)+na|0;a=a+1|0;if((a|0)==(h|0)){S=r;break}else na=r}return S|0}while(1){if(!(b[c+oa>>0]|0))ra=pa;else{na=0;do{a=d[qa+(na<<1)>>1]|0;r=e+(na<<2)|0;U=g+(na<<3)|0;ha=+(a&65535);ia=+p[U>>3]+ha*ha;f[r>>2]=(f[r>>2]|0)+(a&65535);p[U>>3]=ia;na=na+1|0}while((na|0)!=(i|0));ra=pa+1|0}oa=oa+1|0;if((oa|0)==(h|0)){S=ra;break}else{pa=ra;qa=qa+(i<<1)|0}}return S|0}}return 0}function gS(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0.0,m=0,n=0,o=0.0,q=0,r=0,s=0,t=0.0,u=0.0,v=0,w=0.0,x=0,y=0,z=0,A=0,B=0.0,C=0.0,D=0,E=0,F=0.0,G=0.0,H=0,I=0,J=0,K=0.0,L=0,M=0.0,N=0.0,O=0.0,P=0,Q=0,R=0,S=0,T=0.0,U=0,V=0,W=0.0,X=0,Y=0,Z=0.0,_=0.0,$=0.0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0.0,ia=0.0,ja=0.0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0;if(!c){j=(i|0)%4|0;switch(j|0){case 1:{k=f[e>>2]|0;l=+p[g>>3];if((h|0)>0){m=a;n=k;o=l;q=0;while(1){r=d[m>>1]|0;s=(r<<16>>16)+n|0;t=+(r<<16>>16);u=o+t*t;q=q+1|0;if((q|0)==(h|0)){v=s;w=u;break}else{m=m+(i<<1)|0;n=s;o=u}}}else{v=k;w=l}f[e>>2]=v;p[g>>3]=w;break}case 2:{v=f[e>>2]|0;k=e+4|0;n=f[k>>2]|0;w=+p[g>>3];m=g+8|0;l=+p[m>>3];if((h|0)>0){q=v;s=n;o=w;u=l;r=0;x=a;while(1){y=d[x>>1]|0;z=d[x+2>>1]|0;A=(y<<16>>16)+q|0;t=+(y<<16>>16);B=o+t*t;y=(z<<16>>16)+s|0;t=+(z<<16>>16);C=u+t*t;r=r+1|0;if((r|0)==(h|0)){D=A;E=y;F=B;G=C;break}else{q=A;s=y;o=B;u=C;x=x+(i<<1)|0}}}else{D=v;E=n;F=w;G=l}f[e>>2]=D;f[k>>2]=E;p[g>>3]=F;p[m>>3]=G;break}case 3:{m=f[e>>2]|0;E=e+4|0;k=f[E>>2]|0;D=e+8|0;n=f[D>>2]|0;G=+p[g>>3];v=g+8|0;F=+p[v>>3];x=g+16|0;l=+p[x>>3];if((h|0)>0){s=m;q=0;w=l;u=F;o=G;r=n;y=k;A=a;while(1){z=d[A>>1]|0;H=d[A+2>>1]|0;I=d[A+4>>1]|0;J=(z<<16>>16)+s|0;C=+(z<<16>>16);B=o+C*C;z=(H<<16>>16)+y|0;C=+(H<<16>>16);t=u+C*C;H=(I<<16>>16)+r|0;C=+(I<<16>>16);K=w+C*C;q=q+1|0;if((q|0)==(h|0)){L=J;M=K;N=t;O=B;P=H;Q=z;break}else{s=J;w=K;u=t;o=B;r=H;y=z;A=A+(i<<1)|0}}}else{L=m;M=l;N=F;O=G;P=n;Q=k}f[e>>2]=L;f[E>>2]=Q;f[D>>2]=P;p[g>>3]=O;p[v>>3]=N;p[x>>3]=M;break}default:{}}if((j|0)<(i|0)&(h|0)>0)R=j;else{S=h;return S|0}do{j=e+(R<<2)|0;x=R+1|0;v=e+(x<<2)|0;P=R+2|0;D=e+(P<<2)|0;Q=R+3|0;E=e+(Q<<2)|0;L=g+(R<<3)|0;k=g+(x<<3)|0;x=g+(P<<3)|0;P=g+(Q<<3)|0;Q=0;M=+p[P>>3];N=+p[x>>3];O=+p[k>>3];G=+p[L>>3];n=f[E>>2]|0;m=f[D>>2]|0;A=f[v>>2]|0;y=f[j>>2]|0;r=a+(R<<1)|0;while(1){s=d[r>>1]|0;q=d[r+2>>1]|0;y=(s<<16>>16)+y|0;F=+(s<<16>>16);G=G+F*F;A=(q<<16>>16)+A|0;F=+(q<<16>>16);O=O+F*F;q=d[r+4>>1]|0;s=d[r+6>>1]|0;m=(q<<16>>16)+m|0;F=+(q<<16>>16);N=N+F*F;n=(s<<16>>16)+n|0;F=+(s<<16>>16);M=M+F*F;Q=Q+1|0;if((Q|0)==(h|0))break;else r=r+(i<<1)|0}f[j>>2]=y;f[v>>2]=A;f[D>>2]=m;f[E>>2]=n;p[L>>3]=G;p[k>>3]=O;p[x>>3]=N;p[P>>3]=M;R=R+4|0}while((R|0)<(i|0));S=h;return S|0}switch(i|0){case 1:{R=f[e>>2]|0;F=+p[g>>3];if((h|0)>0){l=F;r=R;Q=0;s=0;while(1){if(!(b[c+s>>0]|0)){T=l;U=r;V=Q}else{q=d[a+(s<<1)>>1]|0;o=+(q<<16>>16);T=l+o*o;U=(q<<16>>16)+r|0;V=Q+1|0}s=s+1|0;if((s|0)==(h|0)){W=T;X=U;Y=V;break}else{l=T;r=U;Q=V}}}else{W=F;X=R;Y=0}f[e>>2]=X;p[g>>3]=W;S=Y;return S|0}case 3:{Y=f[e>>2]|0;X=e+4|0;R=f[X>>2]|0;V=e+8|0;Q=f[V>>2]|0;W=+p[g>>3];U=g+8|0;F=+p[U>>3];r=g+16|0;T=+p[r>>3];if((h|0)>0){l=T;o=F;u=W;s=Q;q=R;z=Y;H=0;J=0;I=a;while(1){if(!(b[c+H>>0]|0)){Z=l;_=o;$=u;aa=s;ba=q;ca=z;da=J}else{ea=d[I>>1]|0;fa=d[I+2>>1]|0;ga=d[I+4>>1]|0;w=+(ea<<16>>16);B=+(fa<<16>>16);t=+(ga<<16>>16);Z=l+t*t;_=o+B*B;$=u+w*w;aa=(ga<<16>>16)+s|0;ba=(fa<<16>>16)+q|0;ca=(ea<<16>>16)+z|0;da=J+1|0}H=H+1|0;if((H|0)==(h|0)){ha=Z;ia=_;ja=$;ka=aa;la=ba;ma=ca;na=da;break}else{l=Z;o=_;u=$;s=aa;q=ba;z=ca;J=da;I=I+6|0}}}else{ha=T;ia=F;ja=W;ka=Q;la=R;ma=Y;na=0}f[e>>2]=ma;f[X>>2]=la;f[V>>2]=ka;p[g>>3]=ja;p[U>>3]=ia;p[r>>3]=ha;S=na;return S|0}default:{if((h|0)<=0){S=0;return S|0}if((i|0)>0){oa=0;pa=0;qa=a}else{a=0;na=0;while(1){r=((b[c+a>>0]|0)!=0&1)+na|0;a=a+1|0;if((a|0)==(h|0)){S=r;break}else na=r}return S|0}while(1){if(!(b[c+oa>>0]|0))ra=pa;else{na=0;do{a=d[qa+(na<<1)>>1]|0;r=e+(na<<2)|0;U=g+(na<<3)|0;ha=+(a<<16>>16);ia=+p[U>>3]+ha*ha;f[r>>2]=(f[r>>2]|0)+(a<<16>>16);p[U>>3]=ia;na=na+1|0}while((na|0)!=(i|0));ra=pa+1|0}oa=oa+1|0;if((oa|0)==(h|0)){S=ra;break}else{pa=ra;qa=qa+(i<<1)|0}}return S|0}}return 0}function hS(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0.0,k=0.0,l=0,m=0.0,n=0.0,o=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0,G=0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0,Q=0,R=0,S=0,T=0,U=0.0,V=0.0,W=0,X=0.0,Y=0.0,Z=0,_=0,$=0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0,oa=0,pa=0,qa=0,ra=0;if(!c){i=(h|0)%4|0;switch(i|0){case 1:{j=+p[d>>3];k=+p[e>>3];if((g|0)>0){l=a;m=j;n=k;o=0;while(1){q=+(f[l>>2]|0);r=m+q;s=n+q*q;o=o+1|0;if((o|0)==(g|0)){t=r;u=s;break}else{l=l+(h<<2)|0;m=r;n=s}}}else{t=j;u=k}p[d>>3]=t;p[e>>3]=u;break}case 2:{u=+p[d>>3];l=d+8|0;t=+p[l>>3];k=+p[e>>3];o=e+8|0;j=+p[o>>3];if((g|0)>0){n=u;m=t;s=k;r=j;v=0;w=a;while(1){q=+(f[w>>2]|0);x=n+q;y=s+q*q;q=+(f[w+4>>2]|0);z=m+q;A=r+q*q;v=v+1|0;if((v|0)==(g|0)){B=x;C=z;D=y;E=A;break}else{n=x;m=z;s=y;r=A;w=w+(h<<2)|0}}}else{B=u;C=t;D=k;E=j}p[d>>3]=B;p[l>>3]=C;p[e>>3]=D;p[o>>3]=E;break}case 3:{E=+p[d>>3];o=d+8|0;D=+p[o>>3];l=d+16|0;C=+p[l>>3];B=+p[e>>3];w=e+8|0;j=+p[w>>3];v=e+16|0;k=+p[v>>3];if((g|0)>0){t=E;F=0;u=k;r=j;s=B;m=C;n=D;G=a;while(1){A=+(f[G>>2]|0);y=t+A;z=s+A*A;A=+(f[G+4>>2]|0);x=n+A;q=r+A*A;A=+(f[G+8>>2]|0);H=m+A;I=u+A*A;F=F+1|0;if((F|0)==(g|0)){J=y;K=I;L=q;M=z;N=H;O=x;break}else{t=y;u=I;r=q;s=z;m=H;n=x;G=G+(h<<2)|0}}}else{J=E;K=k;L=j;M=B;N=C;O=D}p[d>>3]=J;p[o>>3]=O;p[l>>3]=N;p[e>>3]=M;p[w>>3]=L;p[v>>3]=K;break}default:{}}if((i|0)<(h|0)&(g|0)>0)P=i;else{Q=g;return Q|0}do{i=d+(P<<3)|0;v=P+1|0;w=d+(v<<3)|0;l=P+2|0;o=d+(l<<3)|0;G=P+3|0;F=d+(G<<3)|0;R=e+(P<<3)|0;S=e+(v<<3)|0;v=e+(l<<3)|0;l=e+(G<<3)|0;G=0;K=+p[l>>3];L=+p[v>>3];M=+p[S>>3];N=+p[R>>3];O=+p[F>>3];J=+p[o>>3];D=+p[w>>3];C=+p[i>>3];T=a+(P<<2)|0;while(1){B=+(f[T>>2]|0);C=C+B;N=N+B*B;B=+(f[T+4>>2]|0);D=D+B;M=M+B*B;B=+(f[T+8>>2]|0);J=J+B;L=L+B*B;B=+(f[T+12>>2]|0);O=O+B;K=K+B*B;G=G+1|0;if((G|0)==(g|0))break;else T=T+(h<<2)|0}p[i>>3]=C;p[w>>3]=D;p[o>>3]=J;p[F>>3]=O;p[R>>3]=N;p[S>>3]=M;p[v>>3]=L;p[l>>3]=K;P=P+4|0}while((P|0)<(h|0));Q=g;return Q|0}switch(h|0){case 1:{B=+p[d>>3];j=+p[e>>3];if((g|0)>0){k=j;E=B;P=0;T=0;while(1){if(!(b[c+T>>0]|0)){U=k;V=E;W=P}else{n=+(f[a+(T<<2)>>2]|0);U=k+n*n;V=E+n;W=P+1|0}T=T+1|0;if((T|0)==(g|0)){X=U;Y=V;Z=W;break}else{k=U;E=V;P=W}}}else{X=j;Y=B;Z=0}p[d>>3]=Y;p[e>>3]=X;Q=Z;return Q|0}case 3:{X=+p[d>>3];Z=d+8|0;Y=+p[Z>>3];W=d+16|0;B=+p[W>>3];j=+p[e>>3];P=e+8|0;V=+p[P>>3];T=e+16|0;E=+p[T>>3];if((g|0)>0){U=E;k=V;n=j;m=B;s=Y;r=X;G=0;_=0;$=a;while(1){if(!(b[c+G>>0]|0)){aa=U;ba=k;ca=n;da=m;ea=s;fa=r;ga=_}else{u=+(f[$>>2]|0);t=+(f[$+4>>2]|0);x=+(f[$+8>>2]|0);aa=U+x*x;ba=k+t*t;ca=n+u*u;da=m+x;ea=s+t;fa=r+u;ga=_+1|0}G=G+1|0;if((G|0)==(g|0)){ha=aa;ia=ba;ja=ca;ka=da;la=ea;ma=fa;na=ga;break}else{U=aa;k=ba;n=ca;m=da;s=ea;r=fa;_=ga;$=$+12|0}}}else{ha=E;ia=V;ja=j;ka=B;la=Y;ma=X;na=0}p[d>>3]=ma;p[Z>>3]=la;p[W>>3]=ka;p[e>>3]=ja;p[P>>3]=ia;p[T>>3]=ha;Q=na;return Q|0}default:{if((g|0)<=0){Q=0;return Q|0}if((h|0)>0){oa=0;pa=0;qa=a}else{a=0;na=0;while(1){T=((b[c+a>>0]|0)!=0&1)+na|0;a=a+1|0;if((a|0)==(g|0)){Q=T;break}else na=T}return Q|0}while(1){if(!(b[c+oa>>0]|0))ra=pa;else{na=0;do{a=d+(na<<3)|0;ha=+(f[qa+(na<<2)>>2]|0);T=e+(na<<3)|0;ia=+p[T>>3]+ha*ha;p[a>>3]=+p[a>>3]+ha;p[T>>3]=ia;na=na+1|0}while((na|0)!=(h|0));ra=pa+1|0}oa=oa+1|0;if((oa|0)==(g|0)){Q=ra;break}else{pa=ra;qa=qa+(h<<2)|0}}return Q|0}}return 0}function iS(a,c,d,e,f,g){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,o=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0,G=0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0,Q=0,R=0,S=0,T=0,U=0.0,V=0.0,W=0,X=0.0,Y=0.0,Z=0,_=0,$=0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0,oa=0,pa=0,qa=0,ra=0;if(!c){h=(g|0)%4|0;switch(h|0){case 1:{i=+p[d>>3];j=+p[e>>3];if((f|0)>0){k=a;l=i;m=j;o=0;while(1){q=+n[k>>2];r=l+q;s=m+q*q;o=o+1|0;if((o|0)==(f|0)){t=r;u=s;break}else{k=k+(g<<2)|0;l=r;m=s}}}else{t=i;u=j}p[d>>3]=t;p[e>>3]=u;break}case 2:{u=+p[d>>3];k=d+8|0;t=+p[k>>3];j=+p[e>>3];o=e+8|0;i=+p[o>>3];if((f|0)>0){m=u;l=t;s=j;r=i;v=0;w=a;while(1){q=+n[w>>2];x=m+q;y=s+q*q;q=+n[w+4>>2];z=l+q;A=r+q*q;v=v+1|0;if((v|0)==(f|0)){B=x;C=z;D=y;E=A;break}else{m=x;l=z;s=y;r=A;w=w+(g<<2)|0}}}else{B=u;C=t;D=j;E=i}p[d>>3]=B;p[k>>3]=C;p[e>>3]=D;p[o>>3]=E;break}case 3:{E=+p[d>>3];o=d+8|0;D=+p[o>>3];k=d+16|0;C=+p[k>>3];B=+p[e>>3];w=e+8|0;i=+p[w>>3];v=e+16|0;j=+p[v>>3];if((f|0)>0){t=E;F=0;u=j;r=i;s=B;l=C;m=D;G=a;while(1){A=+n[G>>2];y=t+A;z=s+A*A;A=+n[G+4>>2];x=m+A;q=r+A*A;A=+n[G+8>>2];H=l+A;I=u+A*A;F=F+1|0;if((F|0)==(f|0)){J=y;K=I;L=q;M=z;N=H;O=x;break}else{t=y;u=I;r=q;s=z;l=H;m=x;G=G+(g<<2)|0}}}else{J=E;K=j;L=i;M=B;N=C;O=D}p[d>>3]=J;p[o>>3]=O;p[k>>3]=N;p[e>>3]=M;p[w>>3]=L;p[v>>3]=K;break}default:{}}if((h|0)<(g|0)&(f|0)>0)P=h;else{Q=f;return Q|0}do{h=d+(P<<3)|0;v=P+1|0;w=d+(v<<3)|0;k=P+2|0;o=d+(k<<3)|0;G=P+3|0;F=d+(G<<3)|0;R=e+(P<<3)|0;S=e+(v<<3)|0;v=e+(k<<3)|0;k=e+(G<<3)|0;G=0;K=+p[k>>3];L=+p[v>>3];M=+p[S>>3];N=+p[R>>3];O=+p[F>>3];J=+p[o>>3];D=+p[w>>3];C=+p[h>>3];T=a+(P<<2)|0;while(1){B=+n[T>>2];C=C+B;N=N+B*B;B=+n[T+4>>2];D=D+B;M=M+B*B;B=+n[T+8>>2];J=J+B;L=L+B*B;B=+n[T+12>>2];O=O+B;K=K+B*B;G=G+1|0;if((G|0)==(f|0))break;else T=T+(g<<2)|0}p[h>>3]=C;p[w>>3]=D;p[o>>3]=J;p[F>>3]=O;p[R>>3]=N;p[S>>3]=M;p[v>>3]=L;p[k>>3]=K;P=P+4|0}while((P|0)<(g|0));Q=f;return Q|0}switch(g|0){case 1:{B=+p[d>>3];i=+p[e>>3];if((f|0)>0){j=i;E=B;P=0;T=0;while(1){if(!(b[c+T>>0]|0)){U=j;V=E;W=P}else{m=+n[a+(T<<2)>>2];U=j+m*m;V=E+m;W=P+1|0}T=T+1|0;if((T|0)==(f|0)){X=U;Y=V;Z=W;break}else{j=U;E=V;P=W}}}else{X=i;Y=B;Z=0}p[d>>3]=Y;p[e>>3]=X;Q=Z;return Q|0}case 3:{X=+p[d>>3];Z=d+8|0;Y=+p[Z>>3];W=d+16|0;B=+p[W>>3];i=+p[e>>3];P=e+8|0;V=+p[P>>3];T=e+16|0;E=+p[T>>3];if((f|0)>0){U=E;j=V;m=i;l=B;s=Y;r=X;G=0;_=0;$=a;while(1){if(!(b[c+G>>0]|0)){aa=U;ba=j;ca=m;da=l;ea=s;fa=r;ga=_}else{u=+n[$>>2];t=+n[$+4>>2];x=+n[$+8>>2];aa=U+x*x;ba=j+t*t;ca=m+u*u;da=l+x;ea=s+t;fa=r+u;ga=_+1|0}G=G+1|0;if((G|0)==(f|0)){ha=aa;ia=ba;ja=ca;ka=da;la=ea;ma=fa;na=ga;break}else{U=aa;j=ba;m=ca;l=da;s=ea;r=fa;_=ga;$=$+12|0}}}else{ha=E;ia=V;ja=i;ka=B;la=Y;ma=X;na=0}p[d>>3]=ma;p[Z>>3]=la;p[W>>3]=ka;p[e>>3]=ja;p[P>>3]=ia;p[T>>3]=ha;Q=na;return Q|0}default:{if((f|0)<=0){Q=0;return Q|0}if((g|0)>0){oa=0;pa=0;qa=a}else{a=0;na=0;while(1){T=((b[c+a>>0]|0)!=0&1)+na|0;a=a+1|0;if((a|0)==(f|0)){Q=T;break}else na=T}return Q|0}while(1){if(!(b[c+oa>>0]|0))ra=pa;else{na=0;do{a=d+(na<<3)|0;ha=+n[qa+(na<<2)>>2];T=e+(na<<3)|0;ia=+p[T>>3]+ha*ha;p[a>>3]=+p[a>>3]+ha;p[T>>3]=ia;na=na+1|0}while((na|0)!=(g|0));ra=pa+1|0}oa=oa+1|0;if((oa|0)==(f|0)){Q=ra;break}else{pa=ra;qa=qa+(g<<2)|0}}return Q|0}}return 0}function jS(a,c,d,e,f,g){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0,o=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0,F=0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0,P=0,Q=0,R=0,S=0,T=0.0,U=0.0,V=0,W=0.0,X=0.0,Y=0,Z=0,_=0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0,na=0,oa=0,pa=0,qa=0;if(!c){h=(g|0)%4|0;switch(h|0){case 1:{i=+p[d>>3];j=+p[e>>3];if((f|0)>0){k=a;l=i;m=j;n=0;while(1){o=+p[k>>3];q=l+o;r=m+o*o;n=n+1|0;if((n|0)==(f|0)){s=q;t=r;break}else{k=k+(g<<3)|0;l=q;m=r}}}else{s=i;t=j}p[d>>3]=s;p[e>>3]=t;break}case 2:{t=+p[d>>3];k=d+8|0;s=+p[k>>3];j=+p[e>>3];n=e+8|0;i=+p[n>>3];if((f|0)>0){m=t;l=s;r=j;q=i;u=0;v=a;while(1){o=+p[v>>3];w=+p[v+8>>3];x=m+o;y=r+o*o;o=l+w;z=q+w*w;u=u+1|0;if((u|0)==(f|0)){A=x;B=o;C=y;D=z;break}else{m=x;l=o;r=y;q=z;v=v+(g<<3)|0}}}else{A=t;B=s;C=j;D=i}p[d>>3]=A;p[k>>3]=B;p[e>>3]=C;p[n>>3]=D;break}case 3:{D=+p[d>>3];n=d+8|0;C=+p[n>>3];k=d+16|0;B=+p[k>>3];A=+p[e>>3];v=e+8|0;i=+p[v>>3];u=e+16|0;j=+p[u>>3];if((f|0)>0){s=D;E=0;t=j;q=i;r=A;l=B;m=C;F=a;while(1){z=+p[F>>3];y=+p[F+8>>3];o=+p[F+16>>3];x=s+z;w=r+z*z;z=m+y;G=q+y*y;y=l+o;H=t+o*o;E=E+1|0;if((E|0)==(f|0)){I=x;J=H;K=G;L=w;M=y;N=z;break}else{s=x;t=H;q=G;r=w;l=y;m=z;F=F+(g<<3)|0}}}else{I=D;J=j;K=i;L=A;M=B;N=C}p[d>>3]=I;p[n>>3]=N;p[k>>3]=M;p[e>>3]=L;p[v>>3]=K;p[u>>3]=J;break}default:{}}if((h|0)<(g|0)&(f|0)>0)O=h;else{P=f;return P|0}do{h=d+(O<<3)|0;u=O+1|0;v=d+(u<<3)|0;k=O+2|0;n=d+(k<<3)|0;F=O+3|0;E=d+(F<<3)|0;Q=e+(O<<3)|0;R=e+(u<<3)|0;u=e+(k<<3)|0;k=e+(F<<3)|0;F=0;J=+p[k>>3];K=+p[u>>3];L=+p[R>>3];M=+p[Q>>3];N=+p[E>>3];I=+p[n>>3];C=+p[v>>3];B=+p[h>>3];S=a+(O<<3)|0;while(1){A=+p[S>>3];i=+p[S+8>>3];B=B+A;M=M+A*A;C=C+i;L=L+i*i;i=+p[S+16>>3];A=+p[S+24>>3];I=I+i;K=K+i*i;N=N+A;J=J+A*A;F=F+1|0;if((F|0)==(f|0))break;else S=S+(g<<3)|0}p[h>>3]=B;p[v>>3]=C;p[n>>3]=I;p[E>>3]=N;p[Q>>3]=M;p[R>>3]=L;p[u>>3]=K;p[k>>3]=J;O=O+4|0}while((O|0)<(g|0));P=f;return P|0}switch(g|0){case 1:{A=+p[d>>3];i=+p[e>>3];if((f|0)>0){j=i;D=A;O=0;S=0;while(1){if(!(b[c+S>>0]|0)){T=j;U=D;V=O}else{m=+p[a+(S<<3)>>3];T=j+m*m;U=D+m;V=O+1|0}S=S+1|0;if((S|0)==(f|0)){W=T;X=U;Y=V;break}else{j=T;D=U;O=V}}}else{W=i;X=A;Y=0}p[d>>3]=X;p[e>>3]=W;P=Y;return P|0}case 3:{W=+p[d>>3];Y=d+8|0;X=+p[Y>>3];V=d+16|0;A=+p[V>>3];i=+p[e>>3];O=e+8|0;U=+p[O>>3];S=e+16|0;D=+p[S>>3];if((f|0)>0){T=D;j=U;m=i;l=A;r=X;q=W;F=0;Z=0;_=a;while(1){if(!(b[c+F>>0]|0)){$=T;aa=j;ba=m;ca=l;da=r;ea=q;fa=Z}else{t=+p[_>>3];s=+p[_+8>>3];z=+p[_+16>>3];$=T+z*z;aa=j+s*s;ba=m+t*t;ca=l+z;da=r+s;ea=q+t;fa=Z+1|0}F=F+1|0;if((F|0)==(f|0)){ga=$;ha=aa;ia=ba;ja=ca;ka=da;la=ea;ma=fa;break}else{T=$;j=aa;m=ba;l=ca;r=da;q=ea;Z=fa;_=_+24|0}}}else{ga=D;ha=U;ia=i;ja=A;ka=X;la=W;ma=0}p[d>>3]=la;p[Y>>3]=ka;p[V>>3]=ja;p[e>>3]=ia;p[O>>3]=ha;p[S>>3]=ga;P=ma;return P|0}default:{if((f|0)<=0){P=0;return P|0}if((g|0)>0){na=0;oa=0;pa=a}else{a=0;ma=0;while(1){S=((b[c+a>>0]|0)!=0&1)+ma|0;a=a+1|0;if((a|0)==(f|0)){P=S;break}else ma=S}return P|0}while(1){if(!(b[c+na>>0]|0))qa=oa;else{ma=0;do{ga=+p[pa+(ma<<3)>>3];a=d+(ma<<3)|0;S=e+(ma<<3)|0;ha=ga*ga+ +p[S>>3];p[a>>3]=ga+ +p[a>>3];p[S>>3]=ha;ma=ma+1|0}while((ma|0)!=(g|0));qa=oa+1|0}na=na+1|0;if((na|0)==(f|0)){P=qa;break}else{oa=qa;pa=pa+(g<<3)|0}}return P|0}}return 0}function kS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+64|0;g=e;if((c|0)<0&(d|0)>255){i=1;u=e;return i|0}if((d|0)<(c|0)|((c|0)>255|(d|0)<0)){f[b>>2]=0;f[b+4>>2]=0;i=0;u=e;return i|0}xP(g,a,1,0);j=f[g+8>>2]|0;a:do if((j|0)>0?(k=f[g+12>>2]|0,l=f[g+16>>2]|0,(k|0)>0):0){m=f[f[g+44>>2]>>2]|0;n=0;b:while(1){o=l+(Y(m,n)|0)|0;p=0;while(1){q=h[o+p>>0]|0;if((q|0)<(c|0)|(q|0)>(d|0))break b;q=p+1|0;if((q|0)<(k|0))p=q;else break}o=n+1|0;if((o|0)<(j|0))n=o;else{r=1;break a}}f[b+4>>2]=n;f[b>>2]=(p|0)/(((f[a>>2]|0)>>>3&511)+1|0)|0;r=0}else r=1;while(0);a=g+36|0;p=f[a>>2]|0;if(p|0?(b=p+12|0,p=f[b>>2]|0,f[b>>2]=p+-1,(p|0)==1):0)lP(g);f[a>>2]=0;a=g+16|0;p=g+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[p>>2]|0)>0){a=f[g+40>>2]|0;b=0;do{f[a+(b<<2)>>2]=0;b=b+1|0}while((b|0)<(f[p>>2]|0))}p=f[g+44>>2]|0;if((p|0)!=(g+48|0))tE(p);i=r;u=e;return i|0}function lS(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=u;u=u+64|0;h=g;if((d|0)<-128&(e|0)>127){i=1;u=g;return i|0}if((e|0)<(d|0)|((d|0)>127|(e|0)<-128)){f[c>>2]=0;f[c+4>>2]=0;i=0;u=g;return i|0}xP(h,a,1,0);j=f[h+8>>2]|0;a:do if((j|0)>0?(k=f[h+12>>2]|0,l=f[h+16>>2]|0,(k|0)>0):0){m=f[f[h+44>>2]>>2]|0;n=0;b:while(1){o=l+(Y(m,n)|0)|0;p=0;while(1){q=b[o+p>>0]|0;if((q|0)<(d|0)|(q|0)>(e|0))break b;q=p+1|0;if((q|0)<(k|0))p=q;else break}o=n+1|0;if((o|0)<(j|0))n=o;else{r=1;break a}}f[c+4>>2]=n;f[c>>2]=(p|0)/(((f[a>>2]|0)>>>3&511)+1|0)|0;r=0}else r=1;while(0);a=h+36|0;p=f[a>>2]|0;if(p|0?(c=p+12|0,p=f[c>>2]|0,f[c>>2]=p+-1,(p|0)==1):0)lP(h);f[a>>2]=0;a=h+16|0;p=h+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[p>>2]|0)>0){a=f[h+40>>2]|0;c=0;do{f[a+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[p>>2]|0))}p=f[h+44>>2]|0;if((p|0)!=(h+48|0))tE(p);i=r;u=g;return i|0}function mS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+64|0;g=e;if((c|0)<0&(d|0)>65535){h=1;u=e;return h|0}if((d|0)<(c|0)|((c|0)>65535|(d|0)<0)){f[b>>2]=0;f[b+4>>2]=0;h=0;u=e;return h|0}xP(g,a,1,0);i=f[g+8>>2]|0;a:do if((i|0)>0?(k=f[g+12>>2]|0,l=f[g+16>>2]|0,(k|0)>0):0){m=f[f[g+44>>2]>>2]|0;n=0;b:while(1){o=l+(Y(m,n)|0)|0;p=0;while(1){q=j[o+(p<<1)>>1]|0;if((q|0)<(c|0)|(q|0)>(d|0))break b;q=p+1|0;if((q|0)<(k|0))p=q;else break}o=n+1|0;if((o|0)<(i|0))n=o;else{r=1;break a}}f[b+4>>2]=n;f[b>>2]=(p|0)/(((f[a>>2]|0)>>>3&511)+1|0)|0;r=0}else r=1;while(0);a=g+36|0;p=f[a>>2]|0;if(p|0?(b=p+12|0,p=f[b>>2]|0,f[b>>2]=p+-1,(p|0)==1):0)lP(g);f[a>>2]=0;a=g+16|0;p=g+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[p>>2]|0)>0){a=f[g+40>>2]|0;b=0;do{f[a+(b<<2)>>2]=0;b=b+1|0}while((b|0)<(f[p>>2]|0))}p=f[g+44>>2]|0;if((p|0)!=(g+48|0))tE(p);h=r;u=e;return h|0}function nS(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=u;u=u+64|0;h=g;if((c|0)<-32768&(e|0)>32767){i=1;u=g;return i|0}if((e|0)<(c|0)|((c|0)>32767|(e|0)<-32768)){f[b>>2]=0;f[b+4>>2]=0;i=0;u=g;return i|0}xP(h,a,1,0);j=f[h+8>>2]|0;a:do if((j|0)>0?(k=f[h+12>>2]|0,l=f[h+16>>2]|0,(k|0)>0):0){m=f[f[h+44>>2]>>2]|0;n=0;b:while(1){o=l+(Y(m,n)|0)|0;p=0;while(1){q=d[o+(p<<1)>>1]|0;if((q|0)<(c|0)|(q|0)>(e|0))break b;q=p+1|0;if((q|0)<(k|0))p=q;else break}o=n+1|0;if((o|0)<(j|0))n=o;else{r=1;break a}}f[b+4>>2]=n;f[b>>2]=(p|0)/(((f[a>>2]|0)>>>3&511)+1|0)|0;r=0}else r=1;while(0);a=h+36|0;p=f[a>>2]|0;if(p|0?(b=p+12|0,p=f[b>>2]|0,f[b>>2]=p+-1,(p|0)==1):0)lP(h);f[a>>2]=0;a=h+16|0;p=h+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[p>>2]|0)>0){a=f[h+40>>2]|0;b=0;do{f[a+(b<<2)>>2]=0;b=b+1|0}while((b|0)<(f[p>>2]|0))}p=f[h+44>>2]|0;if((p|0)!=(h+48|0))tE(p);i=r;u=g;return i|0}function oS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=u;u=u+64|0;g=e;if((d|0)<(c|0)){f[b>>2]=0;f[b+4>>2]=0;h=0;u=e;return h|0}xP(g,a,1,0);i=f[g+8>>2]|0;a:do if((i|0)>0?(j=f[g+12>>2]|0,k=f[g+16>>2]|0,(j|0)>0):0){l=f[f[g+44>>2]>>2]|0;m=0;b:while(1){n=k+(Y(l,m)|0)|0;o=0;while(1){p=f[n+(o<<2)>>2]|0;if((p|0)<(c|0)|(p|0)>(d|0))break b;p=o+1|0;if((p|0)<(j|0))o=p;else break}n=m+1|0;if((n|0)<(i|0))m=n;else{q=1;break a}}f[b+4>>2]=m;f[b>>2]=(o|0)/(((f[a>>2]|0)>>>3&511)+1|0)|0;q=0}else q=1;while(0);a=g+36|0;o=f[a>>2]|0;if(o|0?(b=o+12|0,o=f[b>>2]|0,f[b>>2]=o+-1,(o|0)==1):0)lP(g);f[a>>2]=0;a=g+16|0;o=g+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[o>>2]|0)>0){a=f[g+40>>2]|0;b=0;do{f[a+(b<<2)>>2]=0;b=b+1|0}while((b|0)<(f[o>>2]|0))}o=f[g+44>>2]|0;if((o|0)!=(g+48|0))tE(o);h=q;u=e;return h|0}function pS(a){a=+a;var b=0,c=0,d=0,e=0,g=0,h=0,i=0.0;b=u;u=u+16|0;c=b;zT(c,46440);d=(n[s>>2]=a,f[s>>2]|0);e=(d>>>23&255)+-127|0;g=(e|0)%3|0;h=g+-3-(g>>31&-3)|0;a=(f[s>>2]=(h<<23)+1065353216|d&8388607,+n[s>>2]);i=d|0?(f[s>>2]=(((e-h|0)/3|0)<<23)+(d&-2147483648)+(n[s>>2]=(a*(a*(a*(a*45.2548339756803+192.2798368355061)+119.16548242855816)+13.432501390862399)+.16361612265857542)/(a*(a*(a*(a*14.808840932191346+151.97140510444356)+168.52544141015682)+33.99059413502156)+1.0),f[s>>2]|0),+n[s>>2]):0.0;if(!(f[c+4>>2]|0)){u=b;return +i}u=b;return +i}function qS(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;e=u;u=u+240|0;g=e+232|0;h=e+176|0;i=e+120|0;j=e+64|0;k=e+48|0;l=e+32|0;m=e;zT(g,46460);n=oD(a,-1)|0;o=BD(a,-1)|0;p=CD(a,-1)|0;nD(h,a,-1);nD(i,c,-1);if(!((f[h>>2]|0)==(f[i>>2]|0)?(f[h+4>>2]|0)==(f[i+4>>2]|0):0)){f[h>>2]=0;q=h+4|0;f[q>>2]=0;r=YG(h,89)|0;s=r;t=210610;v=s+89|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));SQ(-215,h,255387,210542,151)}if((n|0)!=(oD(c,-1)|0)){f[h>>2]=0;q=h+4|0;f[q>>2]=0;r=YG(h,89)|0;s=r;t=210610;v=s+89|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));SQ(-215,h,255387,210542,151)}if((o+-5|0)>>>0>=2){f[h>>2]=0;q=h+4|0;f[q>>2]=0;r=YG(h,89)|0;s=r;t=210610;v=s+89|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));SQ(-215,h,255387,210542,151)}do if((pD(a)|0)==65536){t=f[a+4>>2]|0;f[h>>2]=f[t>>2];s=h+4|0;v=t+4|0;f[s>>2]=f[v>>2];r=h+8|0;f[r>>2]=f[t+8>>2];f[h+12>>2]=f[t+12>>2];f[h+16>>2]=f[t+16>>2];f[h+20>>2]=f[t+20>>2];f[h+24>>2]=f[t+24>>2];f[h+28>>2]=f[t+28>>2];f[h+32>>2]=f[t+32>>2];q=f[t+36>>2]|0;f[h+36>>2]=q;f[h+40>>2]=r;r=h+48|0;n=h+44|0;f[n>>2]=r;f[r>>2]=0;f[h+52>>2]=0;if(q|0){r=q+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[v>>2]|0)<3){v=f[t+44>>2]|0;r=f[n>>2]|0;f[r>>2]=f[v>>2];f[r+4>>2]=f[v+4>>2];break}else{f[s>>2]=0;kP(h,t);break}}else lD(h,a,-1);while(0);do if((pD(c)|0)==65536){a=f[c+4>>2]|0;f[i>>2]=f[a>>2];t=i+4|0;s=a+4|0;f[t>>2]=f[s>>2];v=i+8|0;f[v>>2]=f[a+8>>2];f[i+12>>2]=f[a+12>>2];f[i+16>>2]=f[a+16>>2];f[i+20>>2]=f[a+20>>2];f[i+24>>2]=f[a+24>>2];f[i+28>>2]=f[a+28>>2];f[i+32>>2]=f[a+32>>2];r=f[a+36>>2]|0;f[i+36>>2]=r;f[i+40>>2]=v;v=i+48|0;n=i+44|0;f[n>>2]=v;f[v>>2]=0;f[i+52>>2]=0;if(r|0){v=r+12|0;f[v>>2]=(f[v>>2]|0)+1}if((f[s>>2]|0)<3){s=f[a+44>>2]|0;v=f[n>>2]|0;f[v>>2]=f[s>>2];f[v+4>>2]=f[s+4>>2];break}else{f[t>>2]=0;kP(i,a);break}}else lD(i,c,-1);while(0);c=h+4|0;a=h+40|0;ID(d,f[c>>2]|0,f[a>>2]|0,f[h>>2]&4095,-1,0,0);do if((pD(d)|0)==65536){t=f[d+4>>2]|0;f[j>>2]=f[t>>2];s=j+4|0;v=t+4|0;f[s>>2]=f[v>>2];n=j+8|0;f[n>>2]=f[t+8>>2];f[j+12>>2]=f[t+12>>2];f[j+16>>2]=f[t+16>>2];f[j+20>>2]=f[t+20>>2];f[j+24>>2]=f[t+24>>2];f[j+28>>2]=f[t+28>>2];f[j+32>>2]=f[t+32>>2];r=f[t+36>>2]|0;f[j+36>>2]=r;f[j+40>>2]=n;n=j+48|0;q=j+44|0;f[q>>2]=n;f[n>>2]=0;f[j+52>>2]=0;if(r|0){n=r+12|0;f[n>>2]=(f[n>>2]|0)+1}if((f[v>>2]|0)<3){v=f[t+44>>2]|0;n=f[q>>2]|0;f[n>>2]=f[v>>2];f[n+4>>2]=f[v+4>>2];break}else{f[s>>2]=0;kP(j,t);break}}else lD(j,d,-1);while(0);f[k>>2]=h;f[k+4>>2]=i;f[k+8>>2]=j;f[k+12>>2]=0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;IN(m,k,l,-1);k=Y(f[m+20>>2]|0,p)|0;p=m+16|0;d=l+8|0;t=l+4|0;a:do if((o|0)==5){s=0;while(1){if(s>>>0>=(f[p>>2]|0)>>>0)break a;mY(f[l>>2]|0,f[t>>2]|0,f[d>>2]|0,k);JN(m)|0;s=s+1|0}}else{s=0;while(1){if(s>>>0>=(f[p>>2]|0)>>>0)break a;nY(f[l>>2]|0,f[t>>2]|0,f[d>>2]|0,k);JN(m)|0;s=s+1|0}}while(0);m=j+36|0;k=f[m>>2]|0;if(k|0?(d=k+12|0,k=f[d>>2]|0,f[d>>2]=k+-1,(k|0)==1):0)lP(j);f[m>>2]=0;m=j+16|0;k=j+4|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[k>>2]|0)>0){m=f[j+40>>2]|0;d=0;do{f[m+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[k>>2]|0))}k=f[j+44>>2]|0;if((k|0)!=(j+48|0))tE(k);k=i+36|0;j=f[k>>2]|0;if(j|0?(d=j+12|0,j=f[d>>2]|0,f[d>>2]=j+-1,(j|0)==1):0)lP(i);f[k>>2]=0;k=i+16|0;j=i+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[j>>2]|0)>0){k=f[i+40>>2]|0;d=0;do{f[k+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[j>>2]|0))}j=f[i+44>>2]|0;if((j|0)!=(i+48|0))tE(j);j=h+36|0;i=f[j>>2]|0;if(i|0?(d=i+12|0,i=f[d>>2]|0,f[d>>2]=i+-1,(i|0)==1):0)lP(h);f[j>>2]=0;j=h+16|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[c>>2]|0)>0){j=f[a>>2]|0;a=0;do{f[j+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[c>>2]|0))}c=f[h+44>>2]|0;if((c|0)!=(h+48|0))tE(c);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function rS(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;h=u;u=u+304|0;i=h+296|0;j=h+240|0;k=h+184|0;l=h+128|0;m=h+72|0;n=h+48|0;o=h+32|0;p=h;zT(i,46480);do if((pD(a)|0)==65536){q=f[a+4>>2]|0;f[j>>2]=f[q>>2];r=j+4|0;s=q+4|0;f[r>>2]=f[s>>2];t=j+8|0;f[t>>2]=f[q+8>>2];f[j+12>>2]=f[q+12>>2];f[j+16>>2]=f[q+16>>2];f[j+20>>2]=f[q+20>>2];f[j+24>>2]=f[q+24>>2];f[j+28>>2]=f[q+28>>2];f[j+32>>2]=f[q+32>>2];v=f[q+36>>2]|0;f[j+36>>2]=v;f[j+40>>2]=t;t=j+48|0;w=j+44|0;f[w>>2]=t;f[t>>2]=0;f[j+52>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[q+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2];break}else{f[r>>2]=0;kP(j,q);break}}else lD(j,a,-1);while(0);do if((pD(c)|0)==65536){a=f[c+4>>2]|0;f[k>>2]=f[a>>2];q=k+4|0;r=a+4|0;f[q>>2]=f[r>>2];s=k+8|0;f[s>>2]=f[a+8>>2];f[k+12>>2]=f[a+12>>2];f[k+16>>2]=f[a+16>>2];f[k+20>>2]=f[a+20>>2];f[k+24>>2]=f[a+24>>2];f[k+28>>2]=f[a+28>>2];f[k+32>>2]=f[a+32>>2];t=f[a+36>>2]|0;f[k+36>>2]=t;w=k+40|0;f[w>>2]=s;s=k+48|0;v=k+44|0;f[v>>2]=s;f[s>>2]=0;f[k+52>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[a+44>>2]|0;s=f[v>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2];x=w;break}else{f[q>>2]=0;kP(k,a);x=w;break}}else{lD(k,c,-1);x=k+40|0}while(0);c=f[j>>2]|0;w=c&4095;a=c&7;q=c>>>3&511;c=q+1|0;r=j+40|0;s=f[r>>2]|0;v=f[s+-4>>2]|0;t=f[x>>2]|0;if((v|0)!=(f[t+-4>>2]|0)){f[l>>2]=0;y=l+4|0;f[y>>2]=0;z=YG(l,76)|0;A=z;B=210756;C=A+76|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));SQ(-215,l,210833,210542,277)}a:do if((v|0)==2){if((f[s>>2]|0)!=(f[t>>2]|0)){f[l>>2]=0;y=l+4|0;f[y>>2]=0;z=YG(l,76)|0;A=z;B=210756;C=A+76|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));SQ(-215,l,210833,210542,277)}if((f[s+4>>2]|0)!=(f[t+4>>2]|0)){f[l>>2]=0;y=l+4|0;f[y>>2]=0;z=YG(l,76)|0;A=z;B=210756;C=A+76|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));SQ(-215,l,210833,210542,277)}}else if((v|0)>0){D=0;while(1){if((f[s+(D<<2)>>2]|0)!=(f[t+(D<<2)>>2]|0))break;D=D+1|0;if((D|0)>=(v|0))break a}f[l>>2]=0;y=l+4|0;f[y>>2]=0;z=YG(l,76)|0;A=z;B=210756;C=A+76|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));SQ(-215,l,210833,210542,277)}while(0);if((w|0)!=(f[k>>2]&4095|0)){f[l>>2]=0;y=l+4|0;f[y>>2]=0;z=YG(l,76)|0;A=z;B=210756;C=A+76|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));SQ(-215,l,210833,210542,277)}v=(a|0)==5;if((a+-5|0)>>>0>=2){f[l>>2]=0;y=l+4|0;f[y>>2]=0;z=YG(l,76)|0;A=z;B=210756;C=A+76|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));SQ(-215,l,210833,210542,277)}B=j+4|0;ID(d,f[B>>2]|0,s,w,-1,0,0);ID(e,f[B>>2]|0,f[r>>2]|0,w,-1,0,0);do if((pD(d)|0)==65536){w=f[d+4>>2]|0;f[l>>2]=f[w>>2];s=l+4|0;A=w+4|0;f[s>>2]=f[A>>2];C=l+8|0;f[C>>2]=f[w+8>>2];f[l+12>>2]=f[w+12>>2];f[l+16>>2]=f[w+16>>2];f[l+20>>2]=f[w+20>>2];f[l+24>>2]=f[w+24>>2];f[l+28>>2]=f[w+28>>2];f[l+32>>2]=f[w+32>>2];z=f[w+36>>2]|0;f[l+36>>2]=z;f[l+40>>2]=C;C=l+48|0;y=l+44|0;f[y>>2]=C;f[C>>2]=0;f[l+52>>2]=0;if(z|0){C=z+12|0;f[C>>2]=(f[C>>2]|0)+1}if((f[A>>2]|0)<3){A=f[w+44>>2]|0;C=f[y>>2]|0;f[C>>2]=f[A>>2];f[C+4>>2]=f[A+4>>2];break}else{f[s>>2]=0;kP(l,w);break}}else lD(l,d,-1);while(0);do if((pD(e)|0)==65536){d=f[e+4>>2]|0;f[m>>2]=f[d>>2];w=m+4|0;s=d+4|0;f[w>>2]=f[s>>2];A=m+8|0;f[A>>2]=f[d+8>>2];f[m+12>>2]=f[d+12>>2];f[m+16>>2]=f[d+16>>2];f[m+20>>2]=f[d+20>>2];f[m+24>>2]=f[d+24>>2];f[m+28>>2]=f[d+28>>2];f[m+32>>2]=f[d+32>>2];C=f[d+36>>2]|0;f[m+36>>2]=C;f[m+40>>2]=A;A=m+48|0;y=m+44|0;f[y>>2]=A;f[A>>2]=0;f[m+52>>2]=0;if(C|0){A=C+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[s>>2]|0)<3){s=f[d+44>>2]|0;A=f[y>>2]|0;f[A>>2]=f[s>>2];f[A+4>>2]=f[s+4>>2];break}else{f[w>>2]=0;kP(m,d);break}}else lD(m,e,-1);while(0);f[n>>2]=j;f[n+4>>2]=k;f[n+8>>2]=l;f[n+12>>2]=m;f[n+16>>2]=0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;IN(p,n,o,-1);n=Y(f[p+20>>2]|0,c)|0;e=q|1024;q=e-((e>>>0)%(c>>>0)|0)|0;c=(q|0)<(n|0)?q:n;q=1212424721>>>(f[j>>2]<<2&28)&15;e=p+16|0;d=(n|0)>0;w=o+4|0;s=o+8|0;A=o+12|0;y=0;while(1){if(y>>>0>=(f[e>>2]|0)>>>0)break;if(d)if(v){C=0;z=f[o>>2]|0;a=f[w>>2]|0;t=f[s>>2]|0;D=f[A>>2]|0;do{E=n-C|0;F=(c|0)<(E|0)?c:E;mY(z,a,t,F);kY(a,z,D,F,g);E=Y(F,q)|0;z=(f[o>>2]|0)+E|0;f[o>>2]=z;a=(f[w>>2]|0)+E|0;f[w>>2]=a;t=(f[s>>2]|0)+E|0;f[s>>2]=t;D=(f[A>>2]|0)+E|0;f[A>>2]=D;C=C+c|0}while((n|0)>(C|0))}else{C=0;D=f[o>>2]|0;t=f[w>>2]|0;a=f[s>>2]|0;z=f[A>>2]|0;do{E=n-C|0;F=(c|0)<(E|0)?c:E;nY(D,t,a,F);lY(t,D,z,F,g);E=Y(F,q)|0;D=(f[o>>2]|0)+E|0;f[o>>2]=D;t=(f[w>>2]|0)+E|0;f[w>>2]=t;a=(f[s>>2]|0)+E|0;f[s>>2]=a;z=(f[A>>2]|0)+E|0;f[A>>2]=z;C=C+c|0}while((n|0)>(C|0))}JN(p)|0;y=y+1|0}y=m+36|0;p=f[y>>2]|0;if(p|0?(n=p+12|0,p=f[n>>2]|0,f[n>>2]=p+-1,(p|0)==1):0)lP(m);f[y>>2]=0;y=m+16|0;p=m+4|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[p>>2]|0)>0){y=f[m+40>>2]|0;n=0;do{f[y+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[p>>2]|0))}p=f[m+44>>2]|0;if((p|0)!=(m+48|0))tE(p);p=l+36|0;m=f[p>>2]|0;if(m|0?(n=m+12|0,m=f[n>>2]|0,f[n>>2]=m+-1,(m|0)==1):0)lP(l);f[p>>2]=0;p=l+16|0;m=l+4|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[m>>2]|0)>0){p=f[l+40>>2]|0;n=0;do{f[p+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[m>>2]|0))}m=f[l+44>>2]|0;if((m|0)!=(l+48|0))tE(m);m=k+36|0;l=f[m>>2]|0;if(l|0?(n=l+12|0,l=f[n>>2]|0,f[n>>2]=l+-1,(l|0)==1):0)lP(k);f[m>>2]=0;m=k+16|0;l=k+4|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[l>>2]|0)>0){m=f[x>>2]|0;x=0;do{f[m+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[l>>2]|0))}l=f[k+44>>2]|0;if((l|0)!=(k+48|0))tE(l);l=j+36|0;k=f[l>>2]|0;if(k|0?(x=k+12|0,k=f[x>>2]|0,f[x>>2]=k+-1,(k|0)==1):0)lP(j);f[l>>2]=0;l=j+16|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[B>>2]|0)>0){l=f[r>>2]|0;r=0;do{f[l+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[B>>2]|0))}B=f[j+44>>2]|0;if((B|0)!=(j+48|0))tE(B);if(!(f[i+4>>2]|0)){u=h;return}u=h;return}function sS(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0,V=0,W=0,X=0,Z=0,_=0;h=u;u=u+1376|0;i=h+1360|0;j=h+1304|0;k=h+1248|0;l=h+1192|0;m=h+1136|0;o=h+1112|0;q=h+1096|0;r=h+1064|0;s=h;zT(i,46500);t=oD(c,-1)|0;v=t&7;w=t>>>3&511;x=w+1|0;y=(v|0)==5;z=(v|0)==6;if((v+-5|0)>>>0>=2){f[j>>2]=0;A=j+4|0;f[A>>2]=0;B=YG(j,77)|0;C=B;D=210922;E=C+77|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,j,211e3,210542,566)}if(!(DD(a)|0)?(oD(a,-1)|0)!=(t|0):0){f[j>>2]=0;A=j+4|0;f[A>>2]=0;B=YG(j,77)|0;C=B;D=210922;E=C+77|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,j,211e3,210542,566)}do if((pD(a)|0)==65536){B=f[a+4>>2]|0;f[j>>2]=f[B>>2];A=j+4|0;v=B+4|0;f[A>>2]=f[v>>2];F=j+8|0;f[F>>2]=f[B+8>>2];f[j+12>>2]=f[B+12>>2];f[j+16>>2]=f[B+16>>2];f[j+20>>2]=f[B+20>>2];f[j+24>>2]=f[B+24>>2];f[j+28>>2]=f[B+28>>2];f[j+32>>2]=f[B+32>>2];G=f[B+36>>2]|0;f[j+36>>2]=G;f[j+40>>2]=F;F=j+48|0;H=j+44|0;f[H>>2]=F;f[F>>2]=0;f[j+52>>2]=0;if(G|0){F=G+12|0;f[F>>2]=(f[F>>2]|0)+1}if((f[v>>2]|0)<3){v=f[B+44>>2]|0;F=f[H>>2]|0;f[F>>2]=f[v>>2];f[F+4>>2]=f[v+4>>2];break}else{f[A>>2]=0;kP(j,B);break}}else lD(j,a,-1);while(0);do if((pD(c)|0)==65536){a=f[c+4>>2]|0;f[k>>2]=f[a>>2];B=k+4|0;A=a+4|0;f[B>>2]=f[A>>2];v=k+8|0;f[v>>2]=f[a+8>>2];f[k+12>>2]=f[a+12>>2];f[k+16>>2]=f[a+16>>2];f[k+20>>2]=f[a+20>>2];f[k+24>>2]=f[a+24>>2];f[k+28>>2]=f[a+28>>2];f[k+32>>2]=f[a+32>>2];F=f[a+36>>2]|0;f[k+36>>2]=F;f[k+40>>2]=v;v=k+48|0;H=k+44|0;f[H>>2]=v;f[v>>2]=0;f[k+52>>2]=0;if(F|0){v=F+12|0;f[v>>2]=(f[v>>2]|0)+1}if((f[A>>2]|0)<3){A=f[a+44>>2]|0;v=f[H>>2]|0;f[v>>2]=f[A>>2];f[v+4>>2]=f[A+4>>2];break}else{f[B>>2]=0;kP(k,a);break}}else lD(k,c,-1);while(0);c=j+16|0;a:do if(f[c>>2]|0){a=f[j+4>>2]|0;if((a|0)<3)I=Y(f[j+12>>2]|0,f[j+8>>2]|0)|0;else{B=f[j+40>>2]|0;A=0;v=1;while(1){H=Y(f[B+(A<<2)>>2]|0,v)|0;A=A+1|0;if((A|0)==(a|0)){I=H;break}else v=H}}if(!((a|0)==0|(I|0)==0)){v=f[k+40>>2]|0;A=f[v+-4>>2]|0;B=f[j+40>>2]|0;if((A|0)!=(f[B+-4>>2]|0)){f[l>>2]=0;J=l+4|0;f[J>>2]=0;K=YG(l,37)|0;C=K;D=211012;E=C+37|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,l,211e3,210542,572)}if((A|0)==2){if((f[v>>2]|0)!=(f[B>>2]|0)){f[l>>2]=0;J=l+4|0;f[J>>2]=0;K=YG(l,37)|0;C=K;D=211012;E=C+37|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,l,211e3,210542,572)}if((f[v+4>>2]|0)==(f[B+4>>2]|0))break;f[l>>2]=0;J=l+4|0;f[J>>2]=0;K=YG(l,37)|0;C=K;D=211012;E=C+37|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,l,211e3,210542,572)}else{if((A|0)>0)L=0;else break;while(1){if((f[v+(L<<2)>>2]|0)!=(f[B+(L<<2)>>2]|0))break;L=L+1|0;if((L|0)>=(A|0))break a}f[l>>2]=0;J=l+4|0;f[J>>2]=0;K=YG(l,37)|0;C=K;D=211012;E=C+37|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,l,211e3,210542,572)}}}while(0);D=k+4|0;C=k+40|0;ID(d,f[D>>2]|0,f[C>>2]|0,t,-1,0,0);ID(e,f[D>>2]|0,f[C>>2]|0,t,-1,0,0);do if((pD(d)|0)==65536){t=f[d+4>>2]|0;f[l>>2]=f[t>>2];E=l+4|0;K=t+4|0;f[E>>2]=f[K>>2];J=l+8|0;f[J>>2]=f[t+8>>2];f[l+12>>2]=f[t+12>>2];f[l+16>>2]=f[t+16>>2];f[l+20>>2]=f[t+20>>2];f[l+24>>2]=f[t+24>>2];f[l+28>>2]=f[t+28>>2];f[l+32>>2]=f[t+32>>2];L=f[t+36>>2]|0;f[l+36>>2]=L;f[l+40>>2]=J;J=l+48|0;I=l+44|0;f[I>>2]=J;f[J>>2]=0;f[l+52>>2]=0;if(L|0){J=L+12|0;f[J>>2]=(f[J>>2]|0)+1}if((f[K>>2]|0)<3){K=f[t+44>>2]|0;J=f[I>>2]|0;f[J>>2]=f[K>>2];f[J+4>>2]=f[K+4>>2];break}else{f[E>>2]=0;kP(l,t);break}}else lD(l,d,-1);while(0);do if((pD(e)|0)==65536){d=f[e+4>>2]|0;f[m>>2]=f[d>>2];t=m+4|0;E=d+4|0;f[t>>2]=f[E>>2];K=m+8|0;f[K>>2]=f[d+8>>2];f[m+12>>2]=f[d+12>>2];f[m+16>>2]=f[d+16>>2];f[m+20>>2]=f[d+20>>2];f[m+24>>2]=f[d+24>>2];f[m+28>>2]=f[d+28>>2];f[m+32>>2]=f[d+32>>2];J=f[d+36>>2]|0;f[m+36>>2]=J;f[m+40>>2]=K;K=m+48|0;I=m+44|0;f[I>>2]=K;f[K>>2]=0;f[m+52>>2]=0;if(J|0){K=J+12|0;f[K>>2]=(f[K>>2]|0)+1}if((f[E>>2]|0)<3){E=f[d+44>>2]|0;K=f[I>>2]|0;f[K>>2]=f[E>>2];f[K+4>>2]=f[E+4>>2];break}else{f[t>>2]=0;kP(m,d);break}}else lD(m,e,-1);while(0);f[o>>2]=j;f[o+4>>2]=k;f[o+8>>2]=l;f[o+12>>2]=m;f[o+16>>2]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;IN(r,o,q,-1);o=s+8|0;f[s>>2]=o;e=s+4|0;f[e>>2]=264;d=Y(f[r+20>>2]|0,x)|0;t=w|1024;w=t-((t>>>0)%(x>>>0)|0)|0;x=(w|0)<(d|0)?w:d;w=1212424721>>>(f[k>>2]<<2&28)&15;if(z){z=x<<1;f[e>>2]=z;if(z>>>0>264){t=Dmc(z>>>0>1073741823?-1:z<<2)|0;f[s>>2]=t;M=t}else M=o;N=M;O=M+(x<<2)|0}else{N=0;O=0}M=r+16|0;t=(d|0)>0;z=q+4|0;E=q+8|0;K=q+12|0;P=g?.17777777777777778:10.185916357881302;g=0;while(1){if(g>>>0>=(f[M>>2]|0)>>>0)break;if(t){I=0;do{J=d-I|0;L=(x|0)<(J|0)?x:J;do if(y){J=f[q>>2]|0;A=f[z>>2]|0;B=f[E>>2]|0;v=f[K>>2]|0;a=(L|0)>0;if(a){H=0;do{Q=P*+n[A+(H<<2)>>2];F=V9b(Q)|0;R=Q-+(F|0);Q=R*(R*(R*-1.5767166072981726e-04)+.09817477042468103);S=R*(R*-.004817389940423465)+1.0;R=+p[11128+((F&63)<<3)>>3];T=+p[11128+((16-F&63)<<3)>>3];n[v+(H<<2)>>2]=R*S+T*Q;n[B+(H<<2)>>2]=T*S-R*Q;H=H+1|0}while((H|0)!=(L|0));if((J|0)!=0&a){H=0;do{Q=+n[J+(H<<2)>>2];A=B+(H<<2)|0;n[A>>2]=Q*+n[A>>2];A=v+(H<<2)|0;n[A>>2]=Q*+n[A>>2];H=H+1|0}while((H|0)<(L|0));U=J;V=71}else{W=J;V=72}}else{W=J;V=72}}else{H=f[q>>2]|0;v=f[z>>2]|0;B=f[E>>2]|0;a=f[K>>2]|0;A=(L|0)>0;if(A){F=0;do{n[N+(F<<2)>>2]=+p[v+(F<<3)>>3];F=F+1|0}while((F|0)<(L|0));if(A){F=0;do{v=N+(F<<2)|0;Q=P*+n[v>>2];J=V9b(Q)|0;R=Q-+(J|0);Q=R*(R*(R*-1.5767166072981726e-04)+.09817477042468103);S=R*(R*-.004817389940423465)+1.0;R=+p[11128+((J&63)<<3)>>3];T=+p[11128+((16-J&63)<<3)>>3];n[O+(F<<2)>>2]=R*S+T*Q;n[v>>2]=T*S-R*Q;F=F+1|0}while((F|0)!=(L|0))}}if(!H){F=L<<2;Krc(B|0,N|0,F|0)|0;Krc(a|0,O|0,F|0)|0;W=f[q>>2]|0;V=72;break}if(A){F=0;do{Q=+p[H+(F<<3)>>3];p[B+(F<<3)>>3]=Q*+n[N+(F<<2)>>2];p[a+(F<<3)>>3]=Q*+n[O+(F<<2)>>2];F=F+1|0}while((F|0)<(L|0));U=H;V=71}else{W=H;V=72}}while(0);if((V|0)==71){V=0;X=U;Z=Y(L,w)|0;V=73}else if((V|0)==72){V=0;F=Y(L,w)|0;if(!W)_=F;else{X=W;Z=F;V=73}}if((V|0)==73){V=0;f[q>>2]=X+Z;_=Z}f[z>>2]=(f[z>>2]|0)+_;f[E>>2]=(f[E>>2]|0)+_;f[K>>2]=(f[K>>2]|0)+_;I=I+x|0}while((d|0)>(I|0))}JN(r)|0;g=g+1|0}g=f[s>>2]|0;if((g|0)!=(o|0)){if(g|0)Fmc(g);f[s>>2]=o;f[e>>2]=264}e=m+36|0;o=f[e>>2]|0;if(o|0?(s=o+12|0,o=f[s>>2]|0,f[s>>2]=o+-1,(o|0)==1):0)lP(m);f[e>>2]=0;e=m+16|0;o=m+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[o>>2]|0)>0){e=f[m+40>>2]|0;s=0;do{f[e+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[o>>2]|0))}o=f[m+44>>2]|0;if((o|0)!=(m+48|0))tE(o);o=l+36|0;m=f[o>>2]|0;if(m|0?(s=m+12|0,m=f[s>>2]|0,f[s>>2]=m+-1,(m|0)==1):0)lP(l);f[o>>2]=0;o=l+16|0;m=l+4|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[m>>2]|0)>0){o=f[l+40>>2]|0;s=0;do{f[o+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[m>>2]|0))}m=f[l+44>>2]|0;if((m|0)!=(l+48|0))tE(m);m=k+36|0;l=f[m>>2]|0;if(l|0?(s=l+12|0,l=f[s>>2]|0,f[s>>2]=l+-1,(l|0)==1):0)lP(k);f[m>>2]=0;m=k+16|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[D>>2]|0)>0){m=f[C>>2]|0;C=0;do{f[m+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[D>>2]|0))}D=f[k+44>>2]|0;if((D|0)!=(k+48|0))tE(D);D=j+36|0;k=f[D>>2]|0;do if(k|0){C=k+12|0;m=f[C>>2]|0;f[C>>2]=m+-1;if((m|0)!=1)break;lP(j)}while(0);f[D>>2]=0;D=j+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[D>>2]|0)>0){c=f[j+40>>2]|0;k=0;do{f[c+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[D>>2]|0))}D=f[j+44>>2]|0;if((D|0)!=(j+48|0))tE(D);if(!(f[i+4>>2]|0)){u=h;return}u=h;return}function tS(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;d=u;u=u+176|0;e=d+168|0;g=d+112|0;h=d+56|0;i=d+40|0;j=d;k=d+8|0;zT(e,46520);l=oD(a,-1)|0;m=BD(a,-1)|0;n=CD(a,-1)|0;o=(m|0)==5;if((m+-5|0)>>>0>=2){f[g>>2]=0;f[g+4>>2]=0;m=YG(g,34)|0;p=221680;q=m+34|0;do{b[m>>0]=b[p>>0]|0;m=m+1|0;p=p+1|0}while((m|0)<(q|0));SQ(-215,g,211127,210542,669)}do if((pD(a)|0)==65536){p=f[a+4>>2]|0;f[g>>2]=f[p>>2];m=g+4|0;q=p+4|0;f[m>>2]=f[q>>2];r=g+8|0;f[r>>2]=f[p+8>>2];f[g+12>>2]=f[p+12>>2];f[g+16>>2]=f[p+16>>2];f[g+20>>2]=f[p+20>>2];f[g+24>>2]=f[p+24>>2];f[g+28>>2]=f[p+28>>2];f[g+32>>2]=f[p+32>>2];s=f[p+36>>2]|0;f[g+36>>2]=s;t=g+40|0;f[t>>2]=r;r=g+48|0;v=g+44|0;f[v>>2]=r;f[r>>2]=0;f[g+52>>2]=0;if(s|0){r=s+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[q>>2]|0)<3){q=f[p+44>>2]|0;r=f[v>>2]|0;f[r>>2]=f[q>>2];f[r+4>>2]=f[q+4>>2];w=t;x=m;break}else{f[m>>2]=0;kP(g,p);w=t;x=m;break}}else{lD(g,a,-1);w=g+40|0;x=g+4|0}while(0);ID(c,f[x>>2]|0,f[w>>2]|0,l,-1,0,0);do if((pD(c)|0)==65536){l=f[c+4>>2]|0;f[h>>2]=f[l>>2];a=h+4|0;m=l+4|0;f[a>>2]=f[m>>2];t=h+8|0;f[t>>2]=f[l+8>>2];f[h+12>>2]=f[l+12>>2];f[h+16>>2]=f[l+16>>2];f[h+20>>2]=f[l+20>>2];f[h+24>>2]=f[l+24>>2];f[h+28>>2]=f[l+28>>2];f[h+32>>2]=f[l+32>>2];p=f[l+36>>2]|0;f[h+36>>2]=p;f[h+40>>2]=t;t=h+48|0;q=h+44|0;f[q>>2]=t;f[t>>2]=0;f[h+52>>2]=0;if(p|0){t=p+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[m>>2]|0)<3){m=f[l+44>>2]|0;t=f[q>>2]|0;f[t>>2]=f[m>>2];f[t+4>>2]=f[m+4>>2];break}else{f[a>>2]=0;kP(h,l);break}}else lD(h,c,-1);while(0);f[i>>2]=g;f[i+4>>2]=h;f[i+8>>2]=0;c=j;f[c>>2]=0;f[c+4>>2]=0;IN(k,i,j,-1);i=Y(f[k+20>>2]|0,n)|0;n=k+16|0;c=j+4|0;a:do if(o){l=0;while(1){if(l>>>0>=(f[n>>2]|0)>>>0)break a;sY(f[j>>2]|0,f[c>>2]|0,i);JN(k)|0;l=l+1|0}}else{l=0;while(1){if(l>>>0>=(f[n>>2]|0)>>>0)break a;tY(f[j>>2]|0,f[c>>2]|0,i);JN(k)|0;l=l+1|0}}while(0);k=h+36|0;i=f[k>>2]|0;if(i|0?(c=i+12|0,i=f[c>>2]|0,f[c>>2]=i+-1,(i|0)==1):0)lP(h);f[k>>2]=0;k=h+16|0;i=h+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[i>>2]|0)>0){k=f[h+40>>2]|0;c=0;do{f[k+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[i>>2]|0))}i=f[h+44>>2]|0;if((i|0)!=(h+48|0))tE(i);i=g+36|0;h=f[i>>2]|0;if(h|0?(c=h+12|0,h=f[c>>2]|0,f[c>>2]=h+-1,(h|0)==1):0)lP(g);f[i>>2]=0;i=g+16|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[x>>2]|0)>0){i=f[w>>2]|0;w=0;do{f[i+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[x>>2]|0))}x=f[g+44>>2]|0;if((x|0)!=(g+48|0))tE(x);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function uS(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;d=u;u=u+176|0;e=d+168|0;g=d+112|0;h=d+56|0;i=d+40|0;j=d;k=d+8|0;zT(e,46540);l=oD(a,-1)|0;m=BD(a,-1)|0;n=CD(a,-1)|0;o=(m|0)==5;if((m+-5|0)>>>0>=2){f[g>>2]=0;f[g+4>>2]=0;m=YG(g,34)|0;p=221680;q=m+34|0;do{b[m>>0]=b[p>>0]|0;m=m+1|0;p=p+1|0}while((m|0)<(q|0));SQ(-215,g,211169,210542,702)}do if((pD(a)|0)==65536){p=f[a+4>>2]|0;f[g>>2]=f[p>>2];m=g+4|0;q=p+4|0;f[m>>2]=f[q>>2];r=g+8|0;f[r>>2]=f[p+8>>2];f[g+12>>2]=f[p+12>>2];f[g+16>>2]=f[p+16>>2];f[g+20>>2]=f[p+20>>2];f[g+24>>2]=f[p+24>>2];f[g+28>>2]=f[p+28>>2];f[g+32>>2]=f[p+32>>2];s=f[p+36>>2]|0;f[g+36>>2]=s;t=g+40|0;f[t>>2]=r;r=g+48|0;v=g+44|0;f[v>>2]=r;f[r>>2]=0;f[g+52>>2]=0;if(s|0){r=s+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[q>>2]|0)<3){q=f[p+44>>2]|0;r=f[v>>2]|0;f[r>>2]=f[q>>2];f[r+4>>2]=f[q+4>>2];w=t;x=m;break}else{f[m>>2]=0;kP(g,p);w=t;x=m;break}}else{lD(g,a,-1);w=g+40|0;x=g+4|0}while(0);ID(c,f[x>>2]|0,f[w>>2]|0,l,-1,0,0);do if((pD(c)|0)==65536){l=f[c+4>>2]|0;f[h>>2]=f[l>>2];a=h+4|0;m=l+4|0;f[a>>2]=f[m>>2];t=h+8|0;f[t>>2]=f[l+8>>2];f[h+12>>2]=f[l+12>>2];f[h+16>>2]=f[l+16>>2];f[h+20>>2]=f[l+20>>2];f[h+24>>2]=f[l+24>>2];f[h+28>>2]=f[l+28>>2];f[h+32>>2]=f[l+32>>2];p=f[l+36>>2]|0;f[h+36>>2]=p;f[h+40>>2]=t;t=h+48|0;q=h+44|0;f[q>>2]=t;f[t>>2]=0;f[h+52>>2]=0;if(p|0){t=p+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[m>>2]|0)<3){m=f[l+44>>2]|0;t=f[q>>2]|0;f[t>>2]=f[m>>2];f[t+4>>2]=f[m+4>>2];break}else{f[a>>2]=0;kP(h,l);break}}else lD(h,c,-1);while(0);f[i>>2]=g;f[i+4>>2]=h;f[i+8>>2]=0;c=j;f[c>>2]=0;f[c+4>>2]=0;IN(k,i,j,-1);i=Y(f[k+20>>2]|0,n)|0;n=k+16|0;c=j+4|0;a:do if(o){l=0;while(1){if(l>>>0>=(f[n>>2]|0)>>>0)break a;uY(f[j>>2]|0,f[c>>2]|0,i);JN(k)|0;l=l+1|0}}else{l=0;while(1){if(l>>>0>=(f[n>>2]|0)>>>0)break a;vY(f[j>>2]|0,f[c>>2]|0,i);JN(k)|0;l=l+1|0}}while(0);k=h+36|0;i=f[k>>2]|0;if(i|0?(c=i+12|0,i=f[c>>2]|0,f[c>>2]=i+-1,(i|0)==1):0)lP(h);f[k>>2]=0;k=h+16|0;i=h+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[i>>2]|0)>0){k=f[h+40>>2]|0;c=0;do{f[k+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[i>>2]|0))}i=f[h+44>>2]|0;if((i|0)!=(h+48|0))tE(i);i=g+36|0;h=f[i>>2]|0;if(h|0?(c=h+12|0,h=f[c>>2]|0,f[c>>2]=h+-1,(h|0)==1):0)lP(g);f[i>>2]=0;i=g+16|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[x>>2]|0)>0){i=f[w>>2]|0;w=0;do{f[i+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[x>>2]|0))}x=f[g+44>>2]|0;if((x|0)!=(g+48|0))tE(x);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function vS(a,c,d){a=a|0;c=+c;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0.0,Z=0;e=u;u=u+1216|0;g=e+1208|0;h=e+1152|0;i=e+8|0;j=e+1136|0;k=e;l=e+1104|0;m=e+64|0;zT(g,46560);o=oD(a,-1)|0;q=o&7;r=o>>>3&511;s=r+1|0;t=V9b(c)|0;v=+L(+(+(t|0)-c))<2.220446049250313e-16;a:do if(!v)if((q+-5|0)>>>0<2)w=8;else{f[h>>2]=0;f[h+4>>2]=0;x=YG(h,34)|0;y=221680;z=x+34|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));SQ(-215,h,401616,210542,1235)}else switch(t|0){case 0:{jE(d,a,o);p[i>>3]=1.0;p[i+8>>3]=1.0;p[i+16>>3]=1.0;p[i+24>>3]=1.0;f[h>>2]=-1056833530;f[h+4>>2]=i;f[h+8>>2]=1;f[h+12>>2]=4;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;mE(d,h,j);break a;break}case 1:{FD(a,d);break a;break}case 2:{JI(a,a,d,1.0,-1);break a;break}default:{w=8;break a}}while(0);if((w|0)==8){do if((pD(a)|0)==65536){w=f[a+4>>2]|0;f[h>>2]=f[w>>2];A=h+4|0;B=w+4|0;f[A>>2]=f[B>>2];E=h+8|0;f[E>>2]=f[w+8>>2];f[h+12>>2]=f[w+12>>2];f[h+16>>2]=f[w+16>>2];f[h+20>>2]=f[w+20>>2];f[h+24>>2]=f[w+24>>2];f[h+28>>2]=f[w+28>>2];f[h+32>>2]=f[w+32>>2];F=f[w+36>>2]|0;f[h+36>>2]=F;G=h+40|0;f[G>>2]=E;E=h+48|0;H=h+44|0;f[H>>2]=E;f[E>>2]=0;f[h+52>>2]=0;if(F|0){E=F+12|0;f[E>>2]=(f[E>>2]|0)+1}if((f[B>>2]|0)<3){B=f[w+44>>2]|0;E=f[H>>2]|0;f[E>>2]=f[B>>2];f[E+4>>2]=f[B+4>>2];I=G;J=A;break}else{f[A>>2]=0;kP(h,w);I=G;J=A;break}}else{lD(h,a,-1);I=h+40|0;J=h+4|0}while(0);ID(d,f[J>>2]|0,f[I>>2]|0,o,-1,0,0);do if((pD(d)|0)==65536){o=f[d+4>>2]|0;f[i>>2]=f[o>>2];a=i+4|0;A=o+4|0;f[a>>2]=f[A>>2];G=i+8|0;f[G>>2]=f[o+8>>2];f[i+12>>2]=f[o+12>>2];f[i+16>>2]=f[o+16>>2];f[i+20>>2]=f[o+20>>2];f[i+24>>2]=f[o+24>>2];f[i+28>>2]=f[o+28>>2];f[i+32>>2]=f[o+32>>2];w=f[o+36>>2]|0;f[i+36>>2]=w;f[i+40>>2]=G;G=i+48|0;B=i+44|0;f[B>>2]=G;f[G>>2]=0;f[i+52>>2]=0;if(w|0){G=w+12|0;f[G>>2]=(f[G>>2]|0)+1}if((f[A>>2]|0)<3){A=f[o+44>>2]|0;G=f[B>>2]|0;f[G>>2]=f[A>>2];f[G+4>>2]=f[A+4>>2];break}else{f[a>>2]=0;kP(i,o);break}}else lD(i,d,-1);while(0);f[j>>2]=h;f[j+4>>2]=i;f[j+8>>2]=0;d=k;f[d>>2]=0;f[d+4>>2]=0;IN(l,j,k,-1);j=Y(f[l+20>>2]|0,s)|0;b:do if(!v){if(+L(+(+L(+c)+-.5))<2.220446049250313e-16){d=(q|0)==5;o=c<0.0?(d?308:307):d?310:309;d=l+16|0;a=k+4|0;A=0;while(1){if(A>>>0>=(f[d>>2]|0)>>>0)break b;Yh[o&511](f[k>>2]|0,f[a>>2]|0,j);JN(l)|0;A=A+1|0}}A=r|1024;a=A-((A>>>0)%(s>>>0)|0)|0;A=(a|0)<(j|0)?a:j;a=1212424721>>>(f[h>>2]<<2&28)&15;o=m+8|0;f[m>>2]=o;d=m+4|0;f[d>>2]=1032;if((f[h+16>>2]|0)==(f[i+16>>2]|0)){G=Y(a,A)|0;f[d>>2]=G;if(G>>>0>1032){B=Dmc(G)|0;f[m>>2]=B;K=B}else K=o;M=K;N=K}else{M=0;N=0}B=l+16|0;G=(j|0)>0;w=(q|0)==5;E=(N|0)!=0;H=k+4|0;F=c<0.0;O=(M|0)!=0;P=0;while(1){if(P>>>0>=(f[B>>2]|0)>>>0)break;if(G){Q=0;R=f[k>>2]|0;do{S=j-Q|0;T=(A|0)<(S|0)?A:S;do if(w){S=E?N:R;U=f[H>>2]|0;if((S|0)!=(R|0))Krc(S|0,R|0,Y(T,a)|0)|0;uY(S,U,T);S=(T|0)>0;if(S)V=0;else{sY(U,U,T);break}do{W=U+(V<<2)|0;n[W>>2]=+n[W>>2]*c;V=V+1|0}while((V|0)<(T|0));sY(U,U,T);if(S)if(F){W=0;do{X=+n[R+(W<<2)>>2];if(X<=0.0)n[U+(W<<2)>>2]=X==0.0?D:C;W=W+1|0}while((W|0)<(T|0))}else{W=0;do{if(+n[R+(W<<2)>>2]<0.0)n[U+(W<<2)>>2]=C;W=W+1|0}while((W|0)<(T|0))}}else{W=O?M:R;U=f[H>>2]|0;if((W|0)!=(R|0))Krc(W|0,R|0,Y(T,a)|0)|0;vY(W,U,T);W=(T|0)>0;if(W)Z=0;else{tY(U,U,T);break}do{S=U+(Z<<3)|0;p[S>>3]=+p[S>>3]*c;Z=Z+1|0}while((Z|0)<(T|0));tY(U,U,T);if(W)if(F){S=0;do{X=+p[R+(S<<3)>>3];if(X<=0.0)p[U+(S<<3)>>3]=X==0.0?D:C;S=S+1|0}while((S|0)<(T|0))}else{S=0;do{if(+p[R+(S<<3)>>3]<0.0)p[U+(S<<3)>>3]=C;S=S+1|0}while((S|0)<(T|0))}}while(0);S=Y(T,a)|0;R=(f[k>>2]|0)+S|0;f[k>>2]=R;f[H>>2]=(f[H>>2]|0)+S;Q=Q+A|0}while((j|0)>(Q|0))}JN(l)|0;P=P+1|0}P=f[m>>2]|0;if((P|0)!=(o|0)){if(P|0)Fmc(P);f[m>>2]=o;f[d>>2]=1032}}else{P=f[46580+(q<<2)>>2]|0;if((q|0)==7){f[m>>2]=0;f[m+4>>2]=0;x=YG(m,9)|0;y=274048;z=x+9|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));SQ(-215,m,401616,210542,1251)}d=l+16|0;o=k+4|0;A=0;while(1){if(A>>>0>=(f[d>>2]|0)>>>0)break b;rh[P&255](f[k>>2]|0,f[o>>2]|0,j,t);JN(l)|0;A=A+1|0}}while(0);l=i+36|0;t=f[l>>2]|0;if(t|0?(j=t+12|0,t=f[j>>2]|0,f[j>>2]=t+-1,(t|0)==1):0)lP(i);f[l>>2]=0;l=i+16|0;t=i+4|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[t>>2]|0)>0){l=f[i+40>>2]|0;j=0;do{f[l+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[t>>2]|0))}t=f[i+44>>2]|0;if((t|0)!=(i+48|0))tE(t);t=h+36|0;i=f[t>>2]|0;if(i|0?(j=i+12|0,i=f[j>>2]|0,f[j>>2]=i+-1,(i|0)==1):0)lP(h);f[t>>2]=0;t=h+16|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[J>>2]|0)>0){t=f[I>>2]|0;I=0;do{f[t+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[J>>2]|0))}J=f[h+44>>2]|0;if((J|0)!=(h+48|0))tE(J)}if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function wS(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,i=0,j=0,k=0,l=0;f=u;u=u+16|0;g=f;if((e|0)<0){b[g>>0]=0;i=e<<1&2;j=(i^2)+-1|0;b[g+1>>0]=j>>>0<256?j:(i|0)==0?255:0;b[g+2>>0]=-1;b[g+3>>0]=1;b[g+4>>0]=(e|0)==-1&1;if((d|0)>0){i=0;do{j=b[a+i>>0]|0;if((j&255)<3)k=b[g+((j&255)+2)>>0]|0;else k=0;b[c+i>>0]=k;i=i+1|0}while((i|0)!=(d|0))}u=f;return}if((d|0)<=0){u=f;return}if((e|0)>1)l=0;else{i=0;do{b[c+i>>0]=b[a+i>>0]|0;i=i+1|0}while((i|0)!=(d|0));u=f;return}do{i=h[a+l>>0]|0;k=1;g=e;while(1){k=Y((g&1|0)==0?1:i,k)|0;i=Y(i,i)|0;if(g>>>0<=3)break;else g=g>>>1}g=Y(k,i)|0;b[c+l>>0]=g>>>0<255?g:255;l=l+1|0}while((l|0)!=(d|0));u=f;return}function xS(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0;f=u;u=u+16|0;g=f;if((e|0)<0){h=(e|0)==-1;b[g>>0]=((h<<31>>31)+128|0)>>>0<256?h<<31>>31:-128;b[g+1>>0]=(e<<1&2^2)+255;b[g+2>>0]=127;b[g+3>>0]=1;b[g+4>>0]=h&1;if((d|0)>0){h=0;do{i=b[a+h>>0]|0;j=i<<24>>24;if(((i<<24>>24>-1?j:0-j|0)|0)<3)k=b[g+(j+2)>>0]|0;else k=0;b[c+h>>0]=k;h=h+1|0}while((h|0)!=(d|0))}u=f;return}if((d|0)<=0){u=f;return}if((e|0)>1)l=0;else{h=0;do{k=b[a+h>>0]|0;g=k<<24>>24;b[c+h>>0]=(g+128|0)>>>0<256?g:k<<24>>24>0?127:128;h=h+1|0}while((h|0)!=(d|0));u=f;return}do{h=b[a+l>>0]|0;k=1;g=e;while(1){k=Y((g&1|0)==0?1:h,k)|0;h=Y(h,h)|0;if(g>>>0<=3)break;else g=g>>>1}g=Y(k,h)|0;b[c+l>>0]=(g+128|0)>>>0<256?g:(g|0)>0?127:128;l=l+1|0}while((l|0)!=(d|0));u=f;return}function yS(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,i=0,k=0,l=0;f=u;u=u+16|0;g=f;if((e|0)<0){d[g>>1]=0;h=e<<1&2;i=(h^2)+-1|0;d[g+2>>1]=i>>>0<65536?i:(h|0)==0?65535:0;d[g+4>>1]=-1;d[g+6>>1]=1;d[g+8>>1]=(e|0)==-1&1;if((c|0)>0){h=0;do{i=d[a+(h<<1)>>1]|0;if((i&65535)<3)k=d[g+((i&65535)+2<<1)>>1]|0;else k=0;d[b+(h<<1)>>1]=k;h=h+1|0}while((h|0)!=(c|0))}u=f;return}if((c|0)<=0){u=f;return}if((e|0)>1)l=0;else{h=0;do{d[b+(h<<1)>>1]=d[a+(h<<1)>>1]|0;h=h+1|0}while((h|0)!=(c|0));u=f;return}do{h=j[a+(l<<1)>>1]|0;k=1;g=e;while(1){k=Y((g&1|0)==0?1:h,k)|0;h=Y(h,h)|0;if(g>>>0<=3)break;else g=g>>>1}g=Y(k,h)|0;d[b+(l<<1)>>1]=g>>>0<65535?g:65535;l=l+1|0}while((l|0)!=(c|0));u=f;return}function zS(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0;f=u;u=u+16|0;g=f;if((e|0)<0){h=(e|0)==-1;d[g>>1]=((h<<31>>31)+32768|0)>>>0<65536?h<<31>>31:-32768;d[g+2>>1]=(e<<1&2^2)+65535;d[g+4>>1]=32767;d[g+6>>1]=1;d[g+8>>1]=h&1;if((c|0)>0){h=0;do{i=d[a+(h<<1)>>1]|0;j=i<<16>>16;if(((i<<16>>16>-1?j:0-j|0)|0)<3)k=d[g+(j+2<<1)>>1]|0;else k=0;d[b+(h<<1)>>1]=k;h=h+1|0}while((h|0)!=(c|0))}u=f;return}if((c|0)<=0){u=f;return}if((e|0)>1)l=0;else{h=0;do{k=d[a+(h<<1)>>1]|0;g=k<<16>>16;d[b+(h<<1)>>1]=(g+32768|0)>>>0<65536?g:k<<16>>16>0?32767:32768;h=h+1|0}while((h|0)!=(c|0));u=f;return}do{h=d[a+(l<<1)>>1]|0;k=1;g=e;while(1){k=Y((g&1|0)==0?1:h,k)|0;h=Y(h,h)|0;if(g>>>0<=3)break;else g=g>>>1}g=Y(k,h)|0;d[b+(l<<1)>>1]=(g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768;l=l+1|0}while((l|0)!=(c|0));u=f;return}function AS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+32|0;g=e;if((d|0)<0){h=(d|0)==-1;f[g>>2]=h<<31>>31;f[g+4>>2]=(d<<1&2^2)+-1;f[g+8>>2]=2147483647;f[g+12>>2]=1;f[g+16>>2]=h&1;if((c|0)>0){h=0;do{i=f[a+(h<<2)>>2]|0;if((((i|0)>-1?i:0-i|0)|0)<3)j=f[g+(i+2<<2)>>2]|0;else j=0;f[b+(h<<2)>>2]=j;h=h+1|0}while((h|0)!=(c|0))}u=e;return}if((c|0)<=0){u=e;return}if((d|0)>1)k=0;else{h=0;do{f[b+(h<<2)>>2]=f[a+(h<<2)>>2];h=h+1|0}while((h|0)!=(c|0));u=e;return}do{h=f[a+(k<<2)>>2]|0;j=1;g=d;while(1){j=Y((g&1|0)==0?1:h,j)|0;h=Y(h,h)|0;if(g>>>0<=3)break;else g=g>>>1}g=Y(j,h)|0;f[b+(k<<2)>>2]=g;k=k+1|0}while((k|0)!=(c|0));u=e;return}function BS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0.0,i=0.0,j=0.0,k=0.0;e=(d|0)>-1?d:0-d|0;if((c|0)<=0)return;g=(d|0)<0;if((e|0)<=1)if(g){d=0;do{n[b+(d<<2)>>2]=1.0/+n[a+(d<<2)>>2];d=d+1|0}while((d|0)!=(c|0));return}else{d=0;do{f[b+(d<<2)>>2]=f[a+(d<<2)>>2];d=d+1|0}while((d|0)!=(c|0));return}if(g){g=0;do{h=1.0/+n[a+(g<<2)>>2];i=1.0;d=e;while(1){i=(d&1|0)==0?i:h*i;h=h*h;if(d>>>0<=3)break;else d=d>>>1}n[b+(g<<2)>>2]=h*i;g=g+1|0}while((g|0)!=(c|0));return}else{g=0;do{j=+n[a+(g<<2)>>2];k=1.0;d=e;while(1){k=(d&1|0)==0?k:j*k;j=j*j;if(d>>>0<=3)break;else d=d>>>1}n[b+(g<<2)>>2]=j*k;g=g+1|0}while((g|0)!=(c|0));return}}function CS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0.0,h=0.0,i=0.0,j=0.0;e=(d|0)>-1?d:0-d|0;if((c|0)<=0)return;f=(d|0)<0;if((e|0)<=1)if(f){d=0;do{p[b+(d<<3)>>3]=1.0/+p[a+(d<<3)>>3];d=d+1|0}while((d|0)!=(c|0));return}else{d=0;do{p[b+(d<<3)>>3]=+p[a+(d<<3)>>3];d=d+1|0}while((d|0)!=(c|0));return}if(f){f=0;do{g=1.0/+p[a+(f<<3)>>3];h=1.0;d=e;while(1){h=(d&1|0)==0?h:g*h;g=g*g;if(d>>>0<=3)break;else d=d>>>1}p[b+(f<<3)>>3]=g*h;f=f+1|0}while((f|0)!=(c|0));return}else{f=0;do{i=+p[a+(f<<3)>>3];j=1.0;d=e;while(1){j=(d&1|0)==0?j:i*j;i=i*i;if(d>>>0<=3)break;else d=d>>>1}p[b+(f<<3)>>3]=i*j;f=f+1|0}while((f|0)!=(c|0));return}}function DS(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;zT(d,46612);vS(a,.5,b);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function ES(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=+e;g=+g;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0;h=u;u=u+336|0;i=h+64|0;j=h+56|0;k=h;l=h+296|0;m=h+288|0;o=h+176|0;q=h+160|0;r=h+232|0;t=h+152|0;v=h+96|0;p[s>>3]=e;w=f[s>>2]|0;x=f[s+4>>2]|0;p[s>>3]=g;y=f[s>>2]|0;z=f[s+4>>2]|0;zT(m,46632);do if((pD(a)|0)==65536){A=f[a+4>>2]|0;f[o>>2]=f[A>>2];B=o+4|0;C=A+4|0;f[B>>2]=f[C>>2];D=o+8|0;f[D>>2]=f[A+8>>2];f[o+12>>2]=f[A+12>>2];f[o+16>>2]=f[A+16>>2];f[o+20>>2]=f[A+20>>2];f[o+24>>2]=f[A+24>>2];f[o+28>>2]=f[A+28>>2];f[o+32>>2]=f[A+32>>2];E=f[A+36>>2]|0;f[o+36>>2]=E;f[o+40>>2]=D;D=o+48|0;F=o+44|0;f[F>>2]=D;f[D>>2]=0;f[o+52>>2]=0;if(E|0){D=E+12|0;f[D>>2]=(f[D>>2]|0)+1}if((f[C>>2]|0)<3){C=f[A+44>>2]|0;D=f[F>>2]|0;f[D>>2]=f[C>>2];f[D+4>>2]=f[C+4>>2];G=B;break}else{f[B>>2]=0;kP(o,A);G=B;break}}else{lD(o,a,-1);G=o+4|0}while(0);a=f[G>>2]|0;if((a|0)>2){if(d|0){f[j>>2]=0;f[j+4>>2]=0;H=YG(j,10)|0;B=211296;I=H+10|0;do{b[H>>0]=b[B>>0]|0;H=H+1|0;B=B+1|0}while((H|0)<(I|0));SQ(-215,j,211307,210542,1449)}f[j>>2]=o;f[j+4>>2]=0;B=k+40|0;A=k+48|0;C=k+44|0;D=k+52|0;F=k+8|0;H=k+4|0;I=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(I|0));f[B>>2]=F;f[C>>2]=A;f[A>>2]=0;f[D>>2]=0;f[k>>2]=1124007936;GN(l,j,k,-1);D=l+16|0;A=l+4|0;C=q+8|0;F=q+12|0;B=q+4|0;H=0;while(1){if(H>>>0>=(f[D>>2]|0)>>>0){K=1;break}I=f[A>>2]|0;f[C>>2]=0;f[F>>2]=0;f[q>>2]=16842752;f[B>>2]=I;if(!(ES(q,c,0,e,g)|0)){K=0;break}JN(l)|0;H=H+1|0}H=k+36|0;B=f[H>>2]|0;if(B|0?(F=B+12|0,B=f[F>>2]|0,f[F>>2]=B+-1,(B|0)==1):0)lP(k);f[H>>2]=0;H=k+16|0;B=k+4|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[B>>2]|0)>0){H=f[k+40>>2]|0;F=0;do{f[H+(F<<2)>>2]=0;F=F+1|0}while((F|0)<(f[B>>2]|0))}B=f[k+44>>2]|0;if((B|0)!=(k+48|0))tE(B);L=K}else{K=f[o>>2]|0;B=K&7;f[q>>2]=-1;F=q+4|0;f[F>>2]=-1;a:do if(B>>>0<5){H=~~e;C=!(e<=-2147483648.0)?H-(+(H|0)>e&1)|0:-2147483648;H=~~g;A=g>2147483647.0?2147483647:H+-1+(+(H|0)<g&1)|0;H=f[46420+(B<<2)>>2]|0;f[r>>2]=K;D=r+4|0;f[D>>2]=a;I=r+8|0;f[I>>2]=f[o+8>>2];f[r+12>>2]=f[o+12>>2];E=r+16|0;f[E>>2]=f[o+16>>2];f[r+20>>2]=f[o+20>>2];f[r+24>>2]=f[o+24>>2];f[r+28>>2]=f[o+28>>2];f[r+32>>2]=f[o+32>>2];M=r+36|0;N=f[o+36>>2]|0;f[M>>2]=N;O=r+40|0;f[O>>2]=I;I=r+48|0;P=r+44|0;f[P>>2]=I;f[I>>2]=0;f[r+52>>2]=0;if((N|0)!=0?(Q=N+12|0,f[Q>>2]=(f[Q>>2]|0)+1,(f[G>>2]|0)>=3):0){f[D>>2]=0;kP(r,o)}else{Q=f[o+44>>2]|0;N=f[P>>2]|0;f[N>>2]=f[Q>>2];f[N+4>>2]=f[Q+4>>2]}Bg[H&127](r,q,C,A)|0;A=f[M>>2]|0;if(A|0?(C=A+12|0,A=f[C>>2]|0,f[C>>2]=A+-1,(A|0)==1):0)lP(r);f[M>>2]=0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[D>>2]|0)>0){E=f[O>>2]|0;O=0;do{f[E+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[D>>2]|0))}D=f[P>>2]|0;if((D|0)==(I|0))R=57;else{tE(D);R=57}}else{D=(K>>>3&511)+1|0;O=f[o+12>>2]|0;E=f[o+8>>2]|0;M=Urc(E|0,((E|0)<0)<<31>>31|0,O|0,((O|0)<0)<<31>>31|0)|0;A=Urc(M|0,J|0,D|0,0)|0;if((K&16384|0)!=0?(A|0)==(A|0)&(((A|0)<0)<<31>>31|0)==(J|0):0){S=1;T=A}else{S=E;T=Y(D,O)|0}E=f[o+16>>2]|0;A=f[o+48>>2]|0;if((B|0)==5){M=A>>>2;C=(n[s>>2]=e<-3402823466385288598117041.0e14?-3402823466385288598117041.0e14:e,f[s>>2]|0);H=(n[s>>2]=g>3402823466385288598117041.0e14?3402823466385288598117041.0e14:g,f[s>>2]|0);Q=C>>31&2147483647^C;C=H>>31&2147483647^H;if((T|0)<=0){H=S;while(1)if(!H){R=57;break a}else H=H+-1|0}H=0;I=E;P=S;N=-1;while(1){if(!P){R=57;break a}else U=0;P=P+-1|0;while(1){V=f[I+(U<<2)>>2]|0;W=V>>31&2147483647^V;if(!((W|0)>=(Q|0)&(W|0)<(C|0))){R=45;break}W=U+1|0;if((W|0)<(T|0))U=W;else{X=N;break}}if((R|0)==45){R=0;W=(U+H|0)/(D|0)|0;V=(W|0)%(O|0)|0;f[q>>2]=V;f[F>>2]=(W|0)/(O|0)|0;X=V}if((X|0)>=0){Z=X;R=58;break}else{H=H+T|0;I=I+(M<<2)|0;N=X}}}else{N=A>>>3;M=Hrc(w|0,x|0,63)|0;I=M^w;M=J&2147483647^x;H=Hrc(y|0,z|0,63)|0;C=H^y;H=J&2147483647^z;if((T|0)<=0){Q=S;while(1)if(!Q){R=57;break a}else Q=Q+-1|0}Q=E;A=0;P=S;V=-1;while(1){if(!P){R=57;break a}else _=0;P=P+-1|0;while(1){W=Q+(_<<3)|0;$=f[W>>2]|0;aa=f[W+4>>2]|0;W=Hrc($|0,aa|0,63)|0;ba=W^$;$=J&2147483647^aa;if(!((($|0)>(M|0)|($|0)==(M|0)&ba>>>0>=I>>>0)&(($|0)<(H|0)|($|0)==(H|0)&ba>>>0<C>>>0))){R=53;break}ba=_+1|0;if((ba|0)<(T|0))_=ba;else{ca=V;break}}if((R|0)==53){R=0;ba=(_+A|0)/(D|0)|0;$=(ba|0)%(O|0)|0;f[q>>2]=$;f[F>>2]=(ba|0)/(O|0)|0;ca=$}if((ca|0)>=0){Z=ca;R=58;break}else{Q=Q+(N<<3)|0;A=A+T|0;V=ca}}}}while(0);if((R|0)==57){ca=f[q>>2]|0;if((ca|0)>-1){Z=ca;R=58}else da=1}if((R|0)==58){if(d|0){f[d>>2]=Z;f[d+4>>2]=f[F>>2]}if(c)da=0;else{f[t>>2]=0;f[t+4>>2]=0;c=f[F>>2]|0;f[j>>2]=Z;f[j+4>>2]=Z+1;f[k>>2]=c;f[k+4>>2]=c+1;mP(v,o,k,j);KU(l,0);c=f[l+4>>2]|0;Yh[f[(f[c>>2]|0)+8>>2]&511](k,c,v);c=k+4|0;Z=f[c>>2]|0;ai[f[(f[Z>>2]|0)+4>>2]&2047](Z);Z=f[c>>2]|0;d=ci[f[f[Z>>2]>>2]&1023](Z)|0;if(d|0){Z=j+4|0;R=d;do{f[j>>2]=0;f[Z>>2]=0;d=s8b(R)|0;if(d|0)Krc(YG(j,d)|0,R|0,d|0)|0;FS(t,j)|0;ZG(j);d=f[c>>2]|0;R=ci[f[f[d>>2]>>2]&1023](d)|0}while((R|0)!=0)}R=f[k>>2]|0;if(R|0?(Z=R+4|0,d=f[Z>>2]|0,f[Z>>2]=d+-1,(d|0)==1):0)ai[f[(f[R>>2]|0)+8>>2]&2047](R);f[k>>2]=0;f[c>>2]=0;c=f[l>>2]|0;if(c|0?(l=c+4|0,k=f[l>>2]|0,f[l>>2]=k+-1,(k|0)==1):0)ai[f[(f[c>>2]|0)+8>>2]&2047](c);c=v+36|0;k=f[c>>2]|0;if(k|0?(l=k+12|0,k=f[l>>2]|0,f[l>>2]=k+-1,(k|0)==1):0)lP(v);f[c>>2]=0;c=v+16|0;k=v+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[k>>2]|0)>0){c=f[v+40>>2]|0;l=0;do{f[c+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[k>>2]|0))}k=f[v+44>>2]|0;if((k|0)==(v+48|0)){ea=f[q>>2]|0;fa=f[F>>2]|0;ga=f[t>>2]|0;ha=(ga|0)==0;ia=ha?1163146:ga;f[i>>2]=ea;ja=i+4|0;f[ja>>2]=fa;ka=i+8|0;f[ka>>2]=ia;la=i+16|0;p[la>>3]=e;ma=i+24|0;p[ma>>3]=g;aR(j,211318,i);SQ(-211,j,211307,210542,1550)}tE(k);ea=f[q>>2]|0;fa=f[F>>2]|0;ga=f[t>>2]|0;ha=(ga|0)==0;ia=ha?1163146:ga;f[i>>2]=ea;ja=i+4|0;f[ja>>2]=fa;ka=i+8|0;f[ka>>2]=ia;la=i+16|0;p[la>>3]=e;ma=i+24|0;p[ma>>3]=g;aR(j,211318,i);SQ(-211,j,211307,210542,1550)}}L=da}da=o+36|0;j=f[da>>2]|0;if(j|0?(i=j+12|0,j=f[i>>2]|0,f[i>>2]=j+-1,(j|0)==1):0)lP(o);f[da>>2]=0;da=o+16|0;f[da>>2]=0;f[da+4>>2]=0;f[da+8>>2]=0;f[da+12>>2]=0;if((f[G>>2]|0)>0){da=f[o+40>>2]|0;j=0;do{f[da+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[G>>2]|0))}G=f[o+44>>2]|0;if((G|0)!=(o+48|0))tE(G);if(!(f[m+4>>2]|0)){u=h;return L|0}u=h;return L|0}function FS(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=u;u=u+16|0;d=c;f[d>>2]=0;e=d+4|0;f[e>>2]=0;g=a+4|0;h=b+4|0;YG(d,(f[h>>2]|0)+(f[g>>2]|0)|0)|0;i=f[g>>2]|0;if(i|0)Krc(f[d>>2]|0,f[a>>2]|0,i|0)|0;i=f[h>>2]|0;if(i|0)Krc((f[d>>2]|0)+(f[g>>2]|0)|0,f[b>>2]|0,i|0)|0;if((d|0)==(a|0)){ZG(d);u=c;return a|0}ZG(a);i=f[d>>2]|0;if(!i)j=0;else{b=i+-4|0;f[b>>2]=(f[b>>2]|0)+1;j=f[d>>2]|0}f[a>>2]=j;f[g>>2]=f[e>>2];ZG(d);u=c;return a|0}function GS(a,c){a=a|0;c=+c;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0.0;d=u;u=u+112|0;e=d+104|0;g=d+48|0;h=d+40|0;i=d+32|0;j=d;zT(e,46652);if((BD(a,-1)|0)!=5){f[g>>2]=0;f[g+4>>2]=0;k=YG(g,20)|0;l=211431;m=k+20|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-215,g,211452,210542,1584)}do if((pD(a)|0)==65536){l=f[a+4>>2]|0;f[g>>2]=f[l>>2];k=g+4|0;m=l+4|0;f[k>>2]=f[m>>2];o=g+8|0;f[o>>2]=f[l+8>>2];f[g+12>>2]=f[l+12>>2];f[g+16>>2]=f[l+16>>2];f[g+20>>2]=f[l+20>>2];f[g+24>>2]=f[l+24>>2];f[g+28>>2]=f[l+28>>2];f[g+32>>2]=f[l+32>>2];p=f[l+36>>2]|0;f[g+36>>2]=p;f[g+40>>2]=o;o=g+48|0;q=g+44|0;f[q>>2]=o;f[o>>2]=0;f[g+52>>2]=0;if(p|0){o=p+12|0;f[o>>2]=(f[o>>2]|0)+1}if((f[m>>2]|0)<3){m=f[l+44>>2]|0;o=f[q>>2]|0;f[o>>2]=f[m>>2];f[o+4>>2]=f[m+4>>2];break}else{f[k>>2]=0;kP(g,l);break}}else lD(g,a,-1);while(0);f[h>>2]=g;f[h+4>>2]=0;f[i>>2]=0;IN(j,h,i,-1);h=Y(((f[g>>2]|0)>>>3&511)+1|0,f[j+20>>2]|0)|0;r=c;a=j+16|0;a:do if(!h){l=0;while(1){if(l>>>0>=(f[a>>2]|0)>>>0)break a;JN(j)|0;l=l+1|0}}else{l=0;while(1){if(l>>>0>=(f[a>>2]|0)>>>0)break a;k=f[i>>2]|0;m=0;do{o=k+(m<<2)|0;if((f[o>>2]&2147483647)>>>0>2139095040)n[o>>2]=r;m=m+1|0}while((m|0)!=(h|0));JN(j)|0;l=l+1|0}}while(0);j=g+36|0;h=f[j>>2]|0;if(h|0?(i=h+12|0,h=f[i>>2]|0,f[i>>2]=h+-1,(h|0)==1):0)lP(g);f[j>>2]=0;j=g+16|0;h=g+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[h>>2]|0)>0){j=f[g+40>>2]|0;i=0;do{f[j+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[h>>2]|0))}h=f[g+44>>2]|0;if((h|0)!=(g+48|0))tE(h);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function HS(a,b){a=+a;b=+b;return +(+wY(a,b))}function IS(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0.0,v=0,w=0,x=0,y=0.0,z=0,A=0.0,B=0,C=0.0,D=0.0,E=0,F=0.0,G=0.0,H=0,I=0.0,J=0.0,K=0.0,P=0.0,Q=0,S=0.0,T=0,U=0,V=0,W=0,X=0,Z=0.0,_=0.0,$=0,aa=0.0,ba=0.0,ca=0.0,da=0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0,ja=0,ka=0,la=0;d=u;u=u+128|0;e=d+112|0;g=d+56|0;h=d;zT(e,46672);do if((pD(a)|0)==65536){i=f[a+4>>2]|0;f[g>>2]=f[i>>2];j=g+4|0;k=i+4|0;f[j>>2]=f[k>>2];l=g+8|0;f[l>>2]=f[i+8>>2];f[g+12>>2]=f[i+12>>2];f[g+16>>2]=f[i+16>>2];f[g+20>>2]=f[i+20>>2];f[g+24>>2]=f[i+24>>2];f[g+28>>2]=f[i+28>>2];f[g+32>>2]=f[i+32>>2];m=f[i+36>>2]|0;f[g+36>>2]=m;f[g+40>>2]=l;l=g+48|0;o=g+44|0;f[o>>2]=l;f[l>>2]=0;f[g+52>>2]=0;if(m|0){l=m+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[k>>2]|0)<3){k=f[i+44>>2]|0;l=f[o>>2]|0;f[l>>2]=f[k>>2];f[l+4>>2]=f[k+4>>2];q=g;break}else{f[j>>2]=0;kP(g,i);q=g;break}}else{lD(g,a,-1);q=g}while(0);a=f[q>>2]&4095;i=(a|0)==5;if((a+-5|0)>>>0>=2){f[h>>2]=0;f[h+4>>2]=0;j=YG(h,34)|0;k=211507;l=j+34|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,h,211542,210542,1745)}k=g+40|0;j=f[k>>2]|0;l=f[j+4>>2]|0;o=f[j>>2]|0;if(!((l+-3|0)>>>0<2&(o|0)==1)?!((l|0)==1&(o+-3|0)>>>0<2):0){f[h>>2]=0;f[h+4>>2]=0;Krc(YG(h,130)|0,211553,130)|0;SQ(-215,h,211542,210542,1749)}iE(c,3,1,a,-1,1,96);do if((pD(c)|0)==65536){a=f[c+4>>2]|0;f[h>>2]=f[a>>2];o=h+4|0;l=a+4|0;f[o>>2]=f[l>>2];j=h+8|0;f[j>>2]=f[a+8>>2];f[h+12>>2]=f[a+12>>2];f[h+16>>2]=f[a+16>>2];f[h+20>>2]=f[a+20>>2];f[h+24>>2]=f[a+24>>2];f[h+28>>2]=f[a+28>>2];f[h+32>>2]=f[a+32>>2];m=f[a+36>>2]|0;f[h+36>>2]=m;f[h+40>>2]=j;j=h+48|0;r=h+44|0;f[r>>2]=j;f[j>>2]=0;f[h+52>>2]=0;if(m|0){j=m+12|0;f[j>>2]=(f[j>>2]|0)+1}if((f[l>>2]|0)<3){l=f[a+44>>2]|0;j=f[r>>2]|0;f[j>>2]=f[l>>2];f[j+4>>2]=f[l+4>>2];break}else{f[o>>2]=0;kP(h,a);break}}else lD(h,c,-1);while(0);c=f[g+12>>2]|0;a=(c+(f[g+8>>2]|0)|0)==5;o=g+16|0;if(i){if(a){i=f[o>>2]|0;s=0;t=+n[i>>2];v=i;w=i}else{i=f[o>>2]|0;s=-1;t=1.0;v=i;w=i}i=s+1|0;do if(!(f[q>>2]&16384)){l=f[k>>2]|0;do if((f[l>>2]|0)!=1){j=f[f[g+44>>2]>>2]|0;if((f[l+4>>2]|0)==1){x=v+(Y(j,i)|0)|0;break}else{r=(i|0)/(c|0)|0;x=v+(Y(r,j)|0)+(i-(Y(r,c)|0)<<2)|0;break}}else x=v+(i<<2)|0;while(0);y=+n[x>>2];l=s+2|0;r=f[k>>2]|0;do if((f[r>>2]|0)!=1){j=f[f[g+44>>2]>>2]|0;if((f[r+4>>2]|0)==1){z=v+(Y(j,l)|0)|0;break}else{m=(l|0)/(c|0)|0;z=v+(Y(m,j)|0)+(l-(Y(m,c)|0)<<2)|0;break}}else z=v+(l<<2)|0;while(0);A=+n[z>>2];l=s+3|0;r=f[k>>2]|0;if((f[r>>2]|0)!=1){m=f[f[g+44>>2]>>2]|0;if((f[r+4>>2]|0)==1){B=v+(Y(m,l)|0)|0;C=A;D=y;break}else{r=(l|0)/(c|0)|0;B=v+(Y(r,m)|0)+(l-(Y(r,c)|0)<<2)|0;C=A;D=y;break}}else{E=l;F=A;G=y;H=37}}else{E=s+3|0;F=+n[v+(s+2<<2)>>2];G=+n[w+(i<<2)>>2];H=37}while(0);if((H|0)==37){B=v+(E<<2)|0;C=F;D=G}I=+n[B>>2];J=C;K=D;P=t}else{if(a){a=f[o>>2]|0;Q=0;S=+p[a>>3];T=a;U=a}else{a=f[o>>2]|0;Q=-1;S=1.0;T=a;U=a}a=Q+1|0;do if(!(f[q>>2]&16384)){o=f[k>>2]|0;do if((f[o>>2]|0)!=1){B=f[f[g+44>>2]>>2]|0;if((f[o+4>>2]|0)==1){V=T+(Y(B,a)|0)|0;break}else{E=(a|0)/(c|0)|0;V=T+(Y(E,B)|0)+(a-(Y(E,c)|0)<<3)|0;break}}else V=T+(a<<3)|0;while(0);y=+p[V>>3];o=Q+2|0;E=f[k>>2]|0;do if((f[E>>2]|0)!=1){B=f[f[g+44>>2]>>2]|0;if((f[E+4>>2]|0)==1){W=T+(Y(B,o)|0)|0;break}else{v=(o|0)/(c|0)|0;W=T+(Y(v,B)|0)+(o-(Y(v,c)|0)<<3)|0;break}}else W=T+(o<<3)|0;while(0);t=+p[W>>3];o=Q+3|0;E=f[k>>2]|0;if((f[E>>2]|0)!=1){v=f[f[g+44>>2]>>2]|0;if((f[E+4>>2]|0)==1){X=T+(Y(v,o)|0)|0;Z=t;_=y;break}else{E=(o|0)/(c|0)|0;X=T+(Y(E,v)|0)+(o-(Y(E,c)|0)<<3)|0;Z=t;_=y;break}}else{$=o;aa=t;ba=y;H=58}}else{$=Q+3|0;aa=+p[T+(Q+2<<3)>>3];ba=+p[U+(a<<3)>>3];H=58}while(0);if((H|0)==58){X=T+($<<3)|0;Z=aa;_=ba}I=+p[X>>3];J=Z;K=_;P=S}do if(P==0.0){if(!(K==0.0)){S=J*J-K*4.0*I;if(!(S>=0.0)){ca=0.0;da=0;ea=0.0;fa=0.0;break}_=+M(+S);S=(_-J)*.5;Z=(J+_)*-.5;X=+L(+S)>+L(+Z);ba=X?S:Z;ca=0.0;da=_>0.0?2:1;ea=I/ba;fa=ba/K;break}if(J==0.0){ca=0.0;da=(I==0.0)<<31>>31;ea=0.0;fa=0.0;break}else{ca=0.0;da=1;ea=0.0;fa=-I/J;break}}else{ba=1.0/P;_=K*ba;Z=J*ba;S=(_*_-Z*3.0)*.1111111111111111;aa=(I*ba*27.0+(_*(_*(_*2.0))-Z*(_*9.0)))*.018518518518518517;Z=S*(S*S);ba=Z-aa*aa;if(ba>0.0){t=+M(+S)*-2.0;D=+R(+(aa/+M(+Z)))*.3333333333333333;Z=_*.3333333333333333;ca=t*+O(+(D+4.1887902047863905))-Z;da=3;ea=t*+O(+(D+2.0943951023931953))-Z;fa=t*+O(+D)-Z;break}if(!(ba==0.0)){Z=+N(+(+M(+-ba)+ +L(+aa)),.3333333333333333);ba=aa>0.0?-Z:Z;ca=0.0;da=1;ea=0.0;fa=ba+S/ba-_*.3333333333333333;break}ba=_/3.0;if(!(aa>=0.0)){_=+N(+-aa,.3333333333333333);ga=_*2.0;ha=-_}else{_=+N(+aa,.3333333333333333);ga=_*-2.0;ha=_}_=ha-ba;aa=ga-ba;X=aa==_;ca=0.0;da=X?1:2;ea=X?0.0:_;fa=aa}while(0);X=f[h>>2]|0;$=h+16|0;T=f[$>>2]|0;if((X&4095|0)==5){n[T>>2]=fa;do if(!(X&16384)){a=f[h+40>>2]|0;do if((f[a>>2]|0)!=1){U=f[f[h+44>>2]>>2]|0;if((f[a+4>>2]|0)==1){ia=T+U|0;break}else{Q=f[h+12>>2]|0;c=(Q+1|0)>>>0<3?Q:0;ia=T+(Y(c,U)|0)+(1-(Y(c,Q)|0)<<2)|0;break}}else ia=T+4|0;while(0);n[ia>>2]=ea;a=f[h+40>>2]|0;if((f[a>>2]|0)!=1){Q=f[f[h+44>>2]>>2]|0;if((f[a+4>>2]|0)==1){ja=T+(Q<<1)|0;break}else{a=f[h+12>>2]|0;c=2/(a|0)|0;ja=T+(Y(c,Q)|0)+(2-(Y(c,a)|0)<<2)|0;break}}else H=87}else{n[T+4>>2]=ea;H=87}while(0);if((H|0)==87)ja=T+8|0;n[ja>>2]=ca}else{p[T>>3]=fa;do if(!(X&16384)){ja=f[h+40>>2]|0;do if((f[ja>>2]|0)!=1){ia=f[f[h+44>>2]>>2]|0;if((f[ja+4>>2]|0)==1){ka=T+ia|0;break}else{a=f[h+12>>2]|0;c=(a+1|0)>>>0<3?a:0;ka=T+(Y(c,ia)|0)+(1-(Y(c,a)|0)<<3)|0;break}}else ka=T+8|0;while(0);p[ka>>3]=ea;ja=f[h+40>>2]|0;if((f[ja>>2]|0)!=1){a=f[f[h+44>>2]>>2]|0;if((f[ja+4>>2]|0)==1){la=T+(a<<1)|0;break}else{ja=f[h+12>>2]|0;c=2/(ja|0)|0;la=T+(Y(c,a)|0)+(2-(Y(c,ja)|0)<<3)|0;break}}else H=100}else{p[T+8>>3]=ea;H=100}while(0);if((H|0)==100)la=T+16|0;p[la>>3]=ca}la=h+36|0;T=f[la>>2]|0;if(T|0?(H=T+12|0,T=f[H>>2]|0,f[H>>2]=T+-1,(T|0)==1):0)lP(h);f[la>>2]=0;la=h+4|0;f[$>>2]=0;f[$+4>>2]=0;f[$+8>>2]=0;f[$+12>>2]=0;if((f[la>>2]|0)>0){$=f[h+40>>2]|0;T=0;do{f[$+(T<<2)>>2]=0;T=T+1|0}while((T|0)<(f[la>>2]|0))}la=f[h+44>>2]|0;if((la|0)!=(h+48|0))tE(la);la=g+36|0;h=f[la>>2]|0;if(h|0?(T=h+12|0,h=f[T>>2]|0,f[T>>2]=h+-1,(h|0)==1):0)lP(g);f[la>>2]=0;la=g+16|0;h=g+4|0;f[la>>2]=0;f[la+4>>2]=0;f[la+8>>2]=0;f[la+12>>2]=0;if((f[h>>2]|0)>0){la=f[k>>2]|0;k=0;do{f[la+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[h>>2]|0))}h=f[g+44>>2]|0;if((h|0)!=(g+48|0))tE(h);if(!(f[e+4>>2]|0)){u=d;return da|0}u=d;return da|0}function JS(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,O=0.0,P=0,Q=0.0,R=0.0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0.0,ia=0,ja=0.0,ka=0,la=0,ma=0.0,na=0,oa=0,pa=0.0,qa=0.0,ra=0.0,sa=0,ta=0.0,ua=0,va=0.0,wa=0.0,xa=0.0,ya=0.0,za=0.0,Aa=0.0,Ba=0.0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0.0,Ia=0,Ja=0.0,Ka=0.0,La=0.0;e=u;u=u+1552|0;g=e+1536|0;h=e+1528|0;i=e+1472|0;j=e+1416|0;k=e;l=e+1352|0;m=e+1408|0;n=e+1296|0;o=e+1184|0;q=e+1160|0;r=e+1240|0;s=e+1176|0;zT(h,46692);do if((pD(a)|0)==65536){t=f[a+4>>2]|0;f[i>>2]=f[t>>2];v=i+4|0;w=t+4|0;f[v>>2]=f[w>>2];x=i+8|0;f[x>>2]=f[t+8>>2];f[i+12>>2]=f[t+12>>2];f[i+16>>2]=f[t+16>>2];f[i+20>>2]=f[t+20>>2];f[i+24>>2]=f[t+24>>2];f[i+28>>2]=f[t+28>>2];f[i+32>>2]=f[t+32>>2];y=f[t+36>>2]|0;f[i+36>>2]=y;f[i+40>>2]=x;x=i+48|0;z=i+44|0;f[z>>2]=x;f[x>>2]=0;f[i+52>>2]=0;if(y|0){x=y+12|0;f[x>>2]=(f[x>>2]|0)+1}if((f[w>>2]|0)<3){w=f[t+44>>2]|0;x=f[z>>2]|0;f[x>>2]=f[w>>2];f[x+4>>2]=f[w+4>>2];break}else{f[v>>2]=0;kP(i,t);break}}else lD(i,a,-1);while(0);t=oD(a,-1)|0;a=t&7;if(a>>>0<=4){f[g>>2]=0;A=g+4|0;f[A>>2]=0;B=YG(g,54)|0;C=B;D=211728;E=C+54|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,g,211783,210542,1896)}if(((t>>>3&511)+1|0)>>>0>=3){f[g>>2]=0;A=g+4|0;f[A>>2]=0;B=YG(g,54)|0;C=B;D=211728;E=C+54|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,g,211783,210542,1896)}B=f[i+8>>2]|0;A=f[i+12>>2]|0;if(!((B|0)==1|(A|0)==1)){f[g>>2]=0;f[g+4>>2]=0;C=YG(g,38)|0;D=211793;E=C+38|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,g,211783,210542,1897)}D=B+-2+A|0;iE(c,D,1,a|8,-1,1,96);do if((pD(c)|0)==65536){a=f[c+4>>2]|0;f[j>>2]=f[a>>2];t=j+4|0;v=a+4|0;f[t>>2]=f[v>>2];w=j+8|0;f[w>>2]=f[a+8>>2];f[j+12>>2]=f[a+12>>2];f[j+16>>2]=f[a+16>>2];f[j+20>>2]=f[a+20>>2];f[j+24>>2]=f[a+24>>2];f[j+28>>2]=f[a+28>>2];f[j+32>>2]=f[a+32>>2];x=f[a+36>>2]|0;f[j+36>>2]=x;f[j+40>>2]=w;w=j+48|0;z=j+44|0;f[z>>2]=w;f[w>>2]=0;f[j+52>>2]=0;if(x|0){w=x+12|0;f[w>>2]=(f[w>>2]|0)+1}if((f[v>>2]|0)<3){v=f[a+44>>2]|0;w=f[z>>2]|0;f[w>>2]=f[v>>2];f[w+4>>2]=f[v+4>>2];break}else{f[t>>2]=0;kP(j,a);break}}else lD(j,c,-1);while(0);c=(D<<1)+2|0;a=k+8|0;Drc(a|0,0,1152)|0;f[k>>2]=a;t=k+4|0;f[t>>2]=c;if(c>>>0>72){v=Dmc(c>>>0>268435455?-1:c<<4)|0;Drc(v|0,0,c<<4|0)|0;f[k>>2]=v;F=v}else F=a;v=F+(D<<4)+16|0;c=i+40|0;w=f[c>>2]|0;z=f[w>>2]|0;f[m>>2]=f[w+4>>2];f[m+4>>2]=z;z=((f[i>>2]|0)>>>3&511)+1|0;mD(l,m,(z<<3)+-2|0,(z|0)==2?F:v,0);z=g+8|0;f[z>>2]=0;f[z+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=l;IO(i,g,f[l>>2]&4095,1.0,0.0);if(!(f[i>>2]&4088))if((D|0)<0){G=D;H=0}else{z=B+A+-1|0;A=0;do{p[F+(A<<4)>>3]=+p[v+(A<<3)>>3];p[F+(A<<4)+8>>3]=0.0;A=A+1|0}while((A|0)!=(z|0));I=25}else I=25;do if((I|0)==25){if((D|0)<=1)if((D|0)==1){J=1;K=1}else{G=D;H=0;break}else{z=D;while(1){O=+L(+(+p[F+(z<<4)>>3]));if(O+ +L(+(+p[F+(z<<4)+8>>3]))>2.220446049250313e-16){P=z;break}z=z+-1|0;if((z|0)<=1){P=1;break}}J=P;K=(P|0)>0}z=0;O=1.0;Q=0.0;while(1){A=v+(z<<4)|0;p[A>>3]=O;p[A+8>>3]=Q;R=O+Q;z=z+1|0;if((z|0)==(J|0)){G=J;H=K;break}else{O=O-Q;Q=R}}}while(0);K=(d|0)<1?1e3:d;a:do if((K|0)>0){d=F+(G<<4)|0;J=F+(G<<4)+8|0;P=n+4|0;z=n+8|0;A=n+40|0;B=n+48|0;m=n+44|0;w=n+52|0;x=g+4|0;y=o+4|0;S=o+8|0;T=o+40|0;U=o+48|0;V=o+44|0;W=o+52|0;X=n+16|0;Z=n+12|0;_=g+8|0;$=g+12|0;aa=g+4|0;ba=q+8|0;ca=q+4|0;da=o+16|0;ea=o+36|0;fa=n+36|0;ga=0;while(1){if(H){ha=0.0;ia=0}else{ja=0.0;break a}do{ka=v+(ia<<4)|0;Q=+p[ka>>3];la=ka+8|0;O=+p[la>>3];R=+p[d>>3];ma=+p[J>>3];na=0;oa=1;pa=R;qa=R;R=ma;ra=ma;while(1){sa=G-na+-1|0;ma=qa;qa=Q*qa-O*R+ +p[F+(sa<<4)>>3];R=O*ma+Q*R+ +p[F+(sa<<4)+8>>3];do if((na|0)!=(ia|0)){sa=v+(na<<4)|0;ma=Q-+p[sa>>3];ta=O-+p[sa+8>>3];if(ma!=0.0|ta!=0.0){ua=oa;va=pa*ma-ra*ta;wa=ra*ma+pa*ta;break}else{ua=oa+1|0;va=pa;wa=ra;break}}else{ua=oa;va=pa;wa=ra}while(0);na=na+1|0;if((na|0)==(G|0))break;else{oa=ua;pa=va;ra=wa}}ra=1.0/(va*va+wa*wa);pa=ra*(va*qa+wa*R);ta=ra*(va*R-wa*qa);if((ua|0)>1){if(((ua<<31>>31)+(ua>>>1)|0)>0){ra=pa+ +M(+(pa*pa+ta*ta));ma=+M(+(ra*.5));xa=+M(+((ra-pa)*.5));ya=ma;za=pa<0.0?-xa:xa}else{ya=pa;za=ta}if(!(ua&1)){Aa=ya;Ba=za}else{f[n>>2]=1124007936;C=P;E=C+36|0;do{f[C>>2]=0;C=C+4|0}while((C|0)<(E|0));f[A>>2]=z;f[m>>2]=B;f[B>>2]=0;f[w>>2]=0;f[g>>2]=4;f[x>>2]=1;iP(n,2,g,6);f[o>>2]=1124007936;C=y;E=C+36|0;do{f[C>>2]=0;C=C+4|0}while((C|0)<(E|0));f[T>>2]=S;f[V>>2]=U;f[U>>2]=0;f[W>>2]=0;f[g>>2]=3;f[x>>2]=1;iP(o,2,g,14);qa=-+N(+pa,3.0);oa=(f[n>>2]&16384|0)==0;na=f[X>>2]|0;do if(oa?(sa=f[A>>2]|0,(f[sa>>2]|0)!=1):0){Ca=f[f[m>>2]>>2]|0;if((f[sa+4>>2]|0)==1){Da=na+(Ca*3|0)|0;break}else{sa=f[Z>>2]|0;Ea=3/(sa|0)|0;Da=na+(Y(Ea,Ca)|0)+(3-(Y(Ea,sa)|0)<<3)|0;break}}else I=48;while(0);if((I|0)==48){I=0;Da=na+24|0}p[Da>>3]=qa;R=-(pa*pa*15.0+ta*ta*27.0);do if(oa){sa=f[A>>2]|0;do if((f[sa>>2]|0)!=1){Ea=f[f[m>>2]>>2]|0;if((f[sa+4>>2]|0)==1){Fa=na+(Ea<<1)|0;break}else{Ca=f[Z>>2]|0;Ga=2/(Ca|0)|0;Fa=na+(Y(Ga,Ea)|0)+(2-(Y(Ga,Ca)|0)<<3)|0;break}}else Fa=na+16|0;while(0);p[Fa>>3]=R;xa=pa*-48.0;sa=f[A>>2]|0;if((f[sa>>2]|0)==1){Ha=xa;I=60;break}Ca=f[f[m>>2]>>2]|0;if((f[sa+4>>2]|0)==1){Ia=na+Ca|0;Ja=xa;break}else{sa=f[Z>>2]|0;Ga=(sa+1|0)>>>0<3?sa:0;Ia=na+(Y(Ga,Ca)|0)+(1-(Y(Ga,sa)|0)<<3)|0;Ja=xa;break}}else{p[na+16>>3]=R;Ha=pa*-48.0;I=60}while(0);if((I|0)==60){I=0;Ia=na+8|0;Ja=Ha}p[Ia>>3]=Ja;p[na>>3]=64.0;f[_>>2]=0;f[$>>2]=0;f[g>>2]=16842752;f[aa>>2]=n;oa=ba;f[oa>>2]=0;f[oa+4>>2]=0;f[q>>2]=33619968;f[ca>>2]=o;IS(g,q)|0;R=+p[f[da>>2]>>3];if(!(R>=0.0))Ka=-+N(+-R,.3333333333333333);else Ka=+N(+R,.3333333333333333);R=+M(+(Ka*Ka/3.0-pa/(Ka*3.0)));oa=f[ea>>2]|0;do if(oa|0){sa=oa+12|0;Ga=f[sa>>2]|0;f[sa>>2]=Ga+-1;if((Ga|0)!=1)break;lP(o)}while(0);f[ea>>2]=0;f[da>>2]=0;f[da+4>>2]=0;f[da+8>>2]=0;f[da+12>>2]=0;if((f[y>>2]|0)>0){oa=f[T>>2]|0;na=0;do{f[oa+(na<<2)>>2]=0;na=na+1|0}while((na|0)<(f[y>>2]|0))}na=f[V>>2]|0;if((na|0)!=(U|0))tE(na);na=f[fa>>2]|0;do if(na|0){oa=na+12|0;Ga=f[oa>>2]|0;f[oa>>2]=Ga+-1;if((Ga|0)!=1)break;lP(n)}while(0);f[fa>>2]=0;f[X>>2]=0;f[X+4>>2]=0;f[X+8>>2]=0;f[X+12>>2]=0;if((f[P>>2]|0)>0){na=f[A>>2]|0;Ga=0;do{f[na+(Ga<<2)>>2]=0;Ga=Ga+1|0}while((Ga|0)<(f[P>>2]|0))}Ga=f[m>>2]|0;if((Ga|0)!=(B|0))tE(Ga);Aa=Ka;Ba=R}}else{Aa=pa;Ba=ta}p[ka>>3]=Q-Aa;p[la>>3]=O-Ba;qa=+M(+(Aa*Aa+Ba*Ba));ha=ha<qa?qa:ha;ia=ia+1|0}while((ia|0)<(G|0));ga=ga+1|0;if(!(!(ha<=0.0)&(ga|0)<(K|0))){La=ha;I=86;break}}}else{La=0.0;I=86}while(0);if((I|0)==86)if((f[i>>2]&4088|0)==0&H){H=0;do{I=v+(H<<4)+8|0;if(+L(+(+p[I>>3]))<1.0e-100)p[I>>3]=0.0;H=H+1|0}while((H|0)!=(G|0));ja=La}else ja=La;if((G|0)<(D|0)){H=G;do{G=v+(H<<4)|0;H=H+1|0;I=v+(H<<4)|0;f[I>>2]=f[G>>2];f[I+4>>2]=f[G+4>>2];f[I+8>>2]=f[G+8>>2];f[I+12>>2]=f[G+12>>2]}while((H|0)!=(D|0))}D=j+40|0;H=f[D>>2]|0;G=f[H>>2]|0;f[s>>2]=f[H+4>>2];f[s+4>>2]=G;mD(r,s,14,v,0);v=g+8|0;f[v>>2]=0;f[v+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=j;IO(r,g,f[j>>2]&4095,1.0,0.0);g=r+36|0;v=f[g>>2]|0;if(v|0?(s=v+12|0,v=f[s>>2]|0,f[s>>2]=v+-1,(v|0)==1):0)lP(r);f[g>>2]=0;g=r+16|0;v=r+4|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[v>>2]|0)>0){g=f[r+40>>2]|0;s=0;do{f[g+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[v>>2]|0))}v=f[r+44>>2]|0;if((v|0)!=(r+48|0))tE(v);v=l+36|0;r=f[v>>2]|0;if(r|0?(s=r+12|0,r=f[s>>2]|0,f[s>>2]=r+-1,(r|0)==1):0)lP(l);f[v>>2]=0;v=l+16|0;r=l+4|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[r>>2]|0)>0){v=f[l+40>>2]|0;s=0;do{f[v+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[r>>2]|0))}r=f[l+44>>2]|0;if((r|0)!=(l+48|0))tE(r);r=f[k>>2]|0;if((r|0)!=(a|0)){if(r|0)Fmc(r);f[k>>2]=a;f[t>>2]=72}t=j+36|0;a=f[t>>2]|0;if(a|0?(k=a+12|0,a=f[k>>2]|0,f[k>>2]=a+-1,(a|0)==1):0)lP(j);f[t>>2]=0;t=j+16|0;a=j+4|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[a>>2]|0)>0){t=f[D>>2]|0;D=0;do{f[t+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[a>>2]|0))}a=f[j+44>>2]|0;if((a|0)!=(j+48|0))tE(a);a=i+36|0;j=f[a>>2]|0;do if(j|0){D=j+12|0;t=f[D>>2]|0;f[D>>2]=t+-1;if((t|0)!=1)break;lP(i)}while(0);f[a>>2]=0;a=i+16|0;j=i+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[j>>2]|0)>0){a=f[c>>2]|0;c=0;do{f[a+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[j>>2]|0))}j=f[i+44>>2]|0;if((j|0)!=(i+48|0))tE(j);if(!(f[h+4>>2]|0)){u=e;return +ja}u=e;return +ja}function KS(){return 64}function LS(){var a=0;if(!(b[1159006]|0))a=0;else return 525248;do{n[525248+(a<<2)>>2]=+p[64+(a<<3)>>3];a=a+1|0}while((a|0)!=64);b[1159006]=1;return 525248}function MS(){return 576}function NS(){var a=0;if(!(b[1159007]|0))a=0;else return 525504;do{n[525504+(a<<2)>>2]=+p[576+(a<<3)>>3];a=a+1|0}while((a|0)!=512);b[1159007]=1;return 525504}function OS(){var a=0,b=0,c=0,d=0,e=0,g=0;a=u;u=u+16|0;b=a;c=(xR(wR()|0)|0)+16|0;d=f[c>>2]|0;if((d|0)>=0){e=d;g=(e|0)>0;u=a;return g|0}zT(b,46712);f[c>>2]=0;e=0;g=(e|0)>0;u=a;return g|0}function PS(a,c){a=a|0;c=c|0;if(!c)return;PS(a,f[c>>2]|0);PS(a,f[c+4>>2]|0);a=c+16|0;if((b[a+11>>0]|0)<0)Emc(f[a>>2]|0);Emc(c);return}function QS(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=a+4|0;g=f[e>>2]|0;if(!g){f[c>>2]=e;h=e;return h|0}e=b[d+11>>0]|0;i=e<<24>>24<0;j=i?f[d+4>>2]|0:e&255;e=i?f[d>>2]|0:d;d=a+4|0;a=g;while(1){g=a+16|0;i=b[g+11>>0]|0;k=i<<24>>24<0;l=k?f[a+20>>2]|0:i&255;i=l>>>0<j>>>0;m=i?l:j;if((m|0)!=0?(n=gac(e,k?f[g>>2]|0:g,m)|0,(n|0)!=0):0)if((n|0)<0)o=8;else o=10;else if(j>>>0<l>>>0)o=8;else o=10;if((o|0)==8){o=0;n=f[a>>2]|0;if(!n){o=9;break}else{p=a;q=n}}else if((o|0)==10){o=0;n=j>>>0<l>>>0?j:l;if((n|0)!=0?(l=gac(k?f[g>>2]|0:g,e,n)|0,(l|0)!=0):0){if((l|0)>=0){o=16;break}}else o=12;if((o|0)==12?(o=0,!i):0){o=16;break}r=a+4|0;i=f[r>>2]|0;if(!i){o=15;break}else{p=r;q=i}}d=p;a=q}if((o|0)==9){f[c>>2]=a;h=a;return h|0}else if((o|0)==15){f[c>>2]=a;h=r;return h|0}else if((o|0)==16){f[c>>2]=a;h=d;return h|0}return 0}function RS(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=(c|0)==(a|0);b[c+12>>0]=d&1;if(d)return;else e=c;while(1){g=f[e+8>>2]|0;c=g+12|0;if(b[c>>0]|0){h=23;break}i=g+8|0;j=f[i>>2]|0;d=f[j>>2]|0;if((d|0)==(g|0)){k=f[j+4>>2]|0;if(!k){h=7;break}l=k+12|0;if(!(b[l>>0]|0))m=l;else{h=7;break}}else{if(!d){h=16;break}l=d+12|0;if(!(b[l>>0]|0))m=l;else{h=16;break}}b[c>>0]=1;c=(j|0)==(a|0);b[j+12>>0]=c&1;b[m>>0]=1;if(c){h=23;break}else e=j}if((h|0)==7){if((f[g>>2]|0)==(e|0)){n=g;o=j}else{m=g+4|0;a=f[m>>2]|0;c=f[a>>2]|0;f[m>>2]=c;if(!c)p=j;else{f[c+8>>2]=g;p=f[i>>2]|0}f[a+8>>2]=p;p=f[i>>2]|0;f[((f[p>>2]|0)==(g|0)?p:p+4|0)>>2]=a;f[a>>2]=g;f[i>>2]=a;n=a;o=f[a+8>>2]|0}b[n+12>>0]=1;b[o+12>>0]=0;n=f[o>>2]|0;a=n+4|0;p=f[a>>2]|0;f[o>>2]=p;if(p|0)f[p+8>>2]=o;p=o+8|0;f[n+8>>2]=f[p>>2];c=f[p>>2]|0;f[((f[c>>2]|0)==(o|0)?c:c+4|0)>>2]=n;f[a>>2]=o;f[p>>2]=n;return}else if((h|0)==16){if((f[g>>2]|0)==(e|0)){e=f[g>>2]|0;n=e+4|0;p=f[n>>2]|0;f[g>>2]=p;if(!p)q=j;else{f[p+8>>2]=g;q=f[i>>2]|0}f[e+8>>2]=q;q=f[i>>2]|0;f[((f[q>>2]|0)==(g|0)?q:q+4|0)>>2]=e;f[n>>2]=g;f[i>>2]=e;r=e;s=f[e+8>>2]|0}else{r=g;s=j}b[r+12>>0]=1;b[s+12>>0]=0;r=s+4|0;j=f[r>>2]|0;g=f[j>>2]|0;f[r>>2]=g;if(g|0)f[g+8>>2]=s;g=s+8|0;f[j+8>>2]=f[g>>2];r=f[g>>2]|0;f[((f[r>>2]|0)==(s|0)?r:r+4|0)>>2]=j;f[j>>2]=s;f[g>>2]=j;return}else if((h|0)==23)return}function SS(a){a=a|0;var c=0;c=f[a>>2]|0;f[a>>2]=c+-1;if((c|0)!=1)return;if((a|0)==0|(b[1157721]|0)!=0)return;c=a+4|0;if(f[c>>2]|0)f[c>>2]=0;c=f[a+12>>2]|0;if(c|0)SS(c);Emc(a);return}function TS(a){a=a|0;f[a>>2]=0;return}function US(a){a=a|0;var b=0;b=f[a>>2]|0;if(!b)return;SS(b);return}function VS(a){a=a|0;var c=0,d=0,e=0;f[a>>2]=46744;c=a+56|0;f[c>>2]=46764;d=a+4|0;f[d>>2]=46200;e=a+36|0;if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);wbc(d);scc(a,46776);rbc(c);return}function WS(a){a=a|0;VS(a);Emc(a);return}function XS(a){a=a|0;VS(a+(f[(f[a>>2]|0)+-12>>2]|0)|0);return}function YS(a){a=a|0;var b=0;b=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;VS(b);Emc(b);return}function ZS(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;Emc(d);return}function _S(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0;j=f[i>>2]|0;k=f[i+4>>2]|0;if((k|0)!=0&(j|0)>0){l=a;m=d;n=g;o=k}else return;while(1){k=0;do{if(b[m+k>>0]|0)b[n+k>>0]=b[l+k>>0]|0;k=k+1|0}while((k|0)!=(j|0));o=o+-1|0;if(!o)break;else{l=l+c|0;m=m+e|0;n=n+h|0}}return}function $S(a,c,e,g,h,i,j,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0;k=f[j>>2]|0;l=f[j+4>>2]|0;if((l|0)!=0&(k|0)>0){m=a;n=e;o=h;p=l}else return;while(1){l=0;do{if(b[n+l>>0]|0)d[o+(l<<1)>>1]=d[m+(l<<1)>>1]|0;l=l+1|0}while((l|0)!=(k|0));p=p+-1|0;if(!p)break;else{m=m+c|0;n=n+g|0;o=o+i|0}}return}function aT(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=f[i>>2]|0;k=f[i+4>>2]|0;if(!k)return;i=j+-4|0;if((j|0)<4){l=(j|0)>0;m=a;n=d;o=g;p=k;while(1){p=p+-1|0;if(l){q=0;do{if(b[n+q>>0]|0){r=o+(q*3|0)|0;s=m+(q*3|0)|0;b[r>>0]=b[s>>0]|0;b[r+1>>0]=b[s+1>>0]|0;b[r+2>>0]=b[s+2>>0]|0}q=q+1|0}while((q|0)!=(j|0))}if(!p)break;else{m=m+c|0;n=n+e|0;o=o+h|0}}return}o=j&-4;n=(o|0)<(j|0);m=a;a=d;d=g;g=k;while(1){k=0;do{if(b[a+k>>0]|0){p=d+(k*3|0)|0;l=m+(k*3|0)|0;b[p>>0]=b[l>>0]|0;b[p+1>>0]=b[l+1>>0]|0;b[p+2>>0]=b[l+2>>0]|0}l=k|1;if(b[a+l>>0]|0){p=d+(l*3|0)|0;q=m+(l*3|0)|0;b[p>>0]=b[q>>0]|0;b[p+1>>0]=b[q+1>>0]|0;b[p+2>>0]=b[q+2>>0]|0}q=k|2;if(b[a+q>>0]|0){p=d+(q*3|0)|0;l=m+(q*3|0)|0;b[p>>0]=b[l>>0]|0;b[p+1>>0]=b[l+1>>0]|0;b[p+2>>0]=b[l+2>>0]|0}l=k|3;if(b[a+l>>0]|0){p=d+(l*3|0)|0;q=m+(l*3|0)|0;b[p>>0]=b[q>>0]|0;b[p+1>>0]=b[q+1>>0]|0;b[p+2>>0]=b[q+2>>0]|0}k=k+4|0}while((k|0)<=(i|0));g=g+-1|0;if(n){k=o;do{if(b[a+k>>0]|0){q=d+(k*3|0)|0;p=m+(k*3|0)|0;b[q>>0]=b[p>>0]|0;b[q+1>>0]=b[p+1>>0]|0;b[q+2>>0]=b[p+2>>0]|0}k=k+1|0}while((k|0)!=(j|0))}if(!g)break;else{m=m+c|0;a=a+e|0;d=d+h|0}}return}function bT(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0;j=f[i>>2]|0;k=f[i+4>>2]|0;if(!k)return;i=j+-4|0;if((j|0)<4){l=(j|0)>0;m=a;n=d;o=g;p=k;while(1){p=p+-1|0;if(l){q=0;do{if(b[n+q>>0]|0)f[o+(q<<2)>>2]=f[m+(q<<2)>>2];q=q+1|0}while((q|0)!=(j|0))}if(!p)break;else{m=m+c|0;n=n+e|0;o=o+h|0}}return}o=j&-4;n=(o|0)<(j|0);m=a;a=d;d=g;g=k;while(1){k=0;do{if(b[a+k>>0]|0)f[d+(k<<2)>>2]=f[m+(k<<2)>>2];p=k|1;if(b[a+p>>0]|0)f[d+(p<<2)>>2]=f[m+(p<<2)>>2];p=k|2;if(b[a+p>>0]|0)f[d+(p<<2)>>2]=f[m+(p<<2)>>2];p=k|3;if(b[a+p>>0]|0)f[d+(p<<2)>>2]=f[m+(p<<2)>>2];k=k+4|0}while((k|0)<=(i|0));g=g+-1|0;if(n){k=o;do{if(b[a+k>>0]|0)f[d+(k<<2)>>2]=f[m+(k<<2)>>2];k=k+1|0}while((k|0)!=(j|0))}if(!g)break;else{m=m+c|0;a=a+e|0;d=d+h|0}}return}function cT(a,c,e,g,h,i,j,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;k=f[j>>2]|0;l=f[j+4>>2]|0;if(!l)return;j=k+-4|0;if((k|0)<4){m=(k|0)>0;n=a;o=e;p=h;q=l;while(1){q=q+-1|0;if(m){r=0;do{if(b[o+r>>0]|0){s=p+(r*6|0)|0;t=n+(r*6|0)|0;d[s>>1]=d[t>>1]|0;d[s+2>>1]=d[t+2>>1]|0;d[s+4>>1]=d[t+4>>1]|0}r=r+1|0}while((r|0)!=(k|0))}if(!q)break;else{n=n+c|0;o=o+g|0;p=p+i|0}}return}p=k&-4;o=(p|0)<(k|0);n=a;a=e;e=h;h=l;while(1){l=0;do{if(b[a+l>>0]|0){q=e+(l*6|0)|0;m=n+(l*6|0)|0;d[q>>1]=d[m>>1]|0;d[q+2>>1]=d[m+2>>1]|0;d[q+4>>1]=d[m+4>>1]|0}m=l|1;if(b[a+m>>0]|0){q=e+(m*6|0)|0;r=n+(m*6|0)|0;d[q>>1]=d[r>>1]|0;d[q+2>>1]=d[r+2>>1]|0;d[q+4>>1]=d[r+4>>1]|0}r=l|2;if(b[a+r>>0]|0){q=e+(r*6|0)|0;m=n+(r*6|0)|0;d[q>>1]=d[m>>1]|0;d[q+2>>1]=d[m+2>>1]|0;d[q+4>>1]=d[m+4>>1]|0}m=l|3;if(b[a+m>>0]|0){q=e+(m*6|0)|0;r=n+(m*6|0)|0;d[q>>1]=d[r>>1]|0;d[q+2>>1]=d[r+2>>1]|0;d[q+4>>1]=d[r+4>>1]|0}l=l+4|0}while((l|0)<=(j|0));h=h+-1|0;if(o){l=p;do{if(b[a+l>>0]|0){r=e+(l*6|0)|0;q=n+(l*6|0)|0;d[r>>1]=d[q>>1]|0;d[r+2>>1]=d[q+2>>1]|0;d[r+4>>1]=d[q+4>>1]|0}l=l+1|0}while((l|0)!=(k|0))}if(!h)break;else{n=n+c|0;a=a+g|0;e=e+i|0}}return}function dT(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;j=f[i>>2]|0;k=f[i+4>>2]|0;if(!k)return;i=j+-4|0;if((j|0)<4){l=(j|0)>0;m=a;n=d;o=g;p=k;while(1){p=p+-1|0;if(l){q=0;do{if(b[n+q>>0]|0){r=m+(q<<3)|0;s=f[r+4>>2]|0;t=o+(q<<3)|0;f[t>>2]=f[r>>2];f[t+4>>2]=s}q=q+1|0}while((q|0)!=(j|0))}if(!p)break;else{m=m+c|0;n=n+e|0;o=o+h|0}}return}o=j&-4;n=(o|0)<(j|0);m=a;a=d;d=g;g=k;while(1){k=0;do{if(b[a+k>>0]|0){p=m+(k<<3)|0;l=f[p+4>>2]|0;q=d+(k<<3)|0;f[q>>2]=f[p>>2];f[q+4>>2]=l}l=k|1;if(b[a+l>>0]|0){q=m+(l<<3)|0;p=f[q+4>>2]|0;s=d+(l<<3)|0;f[s>>2]=f[q>>2];f[s+4>>2]=p}p=k|2;if(b[a+p>>0]|0){s=m+(p<<3)|0;q=f[s+4>>2]|0;l=d+(p<<3)|0;f[l>>2]=f[s>>2];f[l+4>>2]=q}q=k|3;if(b[a+q>>0]|0){l=m+(q<<3)|0;s=f[l+4>>2]|0;p=d+(q<<3)|0;f[p>>2]=f[l>>2];f[p+4>>2]=s}k=k+4|0}while((k|0)<=(i|0));g=g+-1|0;if(n){k=o;do{if(b[a+k>>0]|0){s=m+(k<<3)|0;p=f[s+4>>2]|0;l=d+(k<<3)|0;f[l>>2]=f[s>>2];f[l+4>>2]=p}k=k+1|0}while((k|0)!=(j|0))}if(!g)break;else{m=m+c|0;a=a+e|0;d=d+h|0}}return}function eT(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=f[i>>2]|0;k=f[i+4>>2]|0;if(!k)return;i=j+-4|0;if((j|0)<4){l=(j|0)>0;m=a;n=d;o=g;p=k;while(1){p=p+-1|0;if(l){q=0;do{if(b[n+q>>0]|0){r=o+(q*12|0)|0;s=m+(q*12|0)|0;f[r>>2]=f[s>>2];f[r+4>>2]=f[s+4>>2];f[r+8>>2]=f[s+8>>2]}q=q+1|0}while((q|0)!=(j|0))}if(!p)break;else{m=m+c|0;n=n+e|0;o=o+h|0}}return}o=j&-4;n=(o|0)<(j|0);m=a;a=d;d=g;g=k;while(1){k=0;do{if(b[a+k>>0]|0){p=d+(k*12|0)|0;l=m+(k*12|0)|0;f[p>>2]=f[l>>2];f[p+4>>2]=f[l+4>>2];f[p+8>>2]=f[l+8>>2]}l=k|1;if(b[a+l>>0]|0){p=d+(l*12|0)|0;q=m+(l*12|0)|0;f[p>>2]=f[q>>2];f[p+4>>2]=f[q+4>>2];f[p+8>>2]=f[q+8>>2]}q=k|2;if(b[a+q>>0]|0){p=d+(q*12|0)|0;l=m+(q*12|0)|0;f[p>>2]=f[l>>2];f[p+4>>2]=f[l+4>>2];f[p+8>>2]=f[l+8>>2]}l=k|3;if(b[a+l>>0]|0){p=d+(l*12|0)|0;q=m+(l*12|0)|0;f[p>>2]=f[q>>2];f[p+4>>2]=f[q+4>>2];f[p+8>>2]=f[q+8>>2]}k=k+4|0}while((k|0)<=(i|0));g=g+-1|0;if(n){k=o;do{if(b[a+k>>0]|0){q=d+(k*12|0)|0;p=m+(k*12|0)|0;f[q>>2]=f[p>>2];f[q+4>>2]=f[p+4>>2];f[q+8>>2]=f[p+8>>2]}k=k+1|0}while((k|0)!=(j|0))}if(!g)break;else{m=m+c|0;a=a+e|0;d=d+h|0}}return}function fT(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=f[i>>2]|0;k=f[i+4>>2]|0;if(!k)return;i=j+-4|0;if((j|0)<4){l=(j|0)>0;m=a;n=d;o=g;p=k;while(1){p=p+-1|0;if(l){q=0;do{if(b[n+q>>0]|0){r=o+(q<<4)|0;s=m+(q<<4)|0;f[r>>2]=f[s>>2];f[r+4>>2]=f[s+4>>2];f[r+8>>2]=f[s+8>>2];f[r+12>>2]=f[s+12>>2]}q=q+1|0}while((q|0)!=(j|0))}if(!p)break;else{m=m+c|0;n=n+e|0;o=o+h|0}}return}o=j&-4;n=(o|0)<(j|0);m=a;a=d;d=g;g=k;while(1){k=0;do{if(b[a+k>>0]|0){p=d+(k<<4)|0;l=m+(k<<4)|0;f[p>>2]=f[l>>2];f[p+4>>2]=f[l+4>>2];f[p+8>>2]=f[l+8>>2];f[p+12>>2]=f[l+12>>2]}l=k|1;if(b[a+l>>0]|0){p=d+(l<<4)|0;q=m+(l<<4)|0;f[p>>2]=f[q>>2];f[p+4>>2]=f[q+4>>2];f[p+8>>2]=f[q+8>>2];f[p+12>>2]=f[q+12>>2]}q=k|2;if(b[a+q>>0]|0){p=d+(q<<4)|0;l=m+(q<<4)|0;f[p>>2]=f[l>>2];f[p+4>>2]=f[l+4>>2];f[p+8>>2]=f[l+8>>2];f[p+12>>2]=f[l+12>>2]}l=k|3;if(b[a+l>>0]|0){p=d+(l<<4)|0;q=m+(l<<4)|0;f[p>>2]=f[q>>2];f[p+4>>2]=f[q+4>>2];f[p+8>>2]=f[q+8>>2];f[p+12>>2]=f[q+12>>2]}k=k+4|0}while((k|0)<=(i|0));g=g+-1|0;if(n){k=o;do{if(b[a+k>>0]|0){q=d+(k<<4)|0;p=m+(k<<4)|0;f[q>>2]=f[p>>2];f[q+4>>2]=f[p+4>>2];f[q+8>>2]=f[p+8>>2];f[q+12>>2]=f[p+12>>2]}k=k+1|0}while((k|0)!=(j|0))}if(!g)break;else{m=m+c|0;a=a+e|0;d=d+h|0}}return}function gT(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=f[i>>2]|0;k=f[i+4>>2]|0;if(!k)return;i=j+-4|0;if((j|0)<4){l=(j|0)>0;m=a;n=d;o=g;p=k;while(1){p=p+-1|0;if(l){q=0;do{if(b[n+q>>0]|0){r=o+(q*24|0)|0;s=m+(q*24|0)|0;f[r>>2]=f[s>>2];f[r+4>>2]=f[s+4>>2];f[r+8>>2]=f[s+8>>2];f[r+12>>2]=f[s+12>>2];f[r+16>>2]=f[s+16>>2];f[r+20>>2]=f[s+20>>2]}q=q+1|0}while((q|0)!=(j|0))}if(!p)break;else{m=m+c|0;n=n+e|0;o=o+h|0}}return}o=j&-4;n=(o|0)<(j|0);m=a;a=d;d=g;g=k;while(1){k=0;do{if(b[a+k>>0]|0){p=d+(k*24|0)|0;l=m+(k*24|0)|0;f[p>>2]=f[l>>2];f[p+4>>2]=f[l+4>>2];f[p+8>>2]=f[l+8>>2];f[p+12>>2]=f[l+12>>2];f[p+16>>2]=f[l+16>>2];f[p+20>>2]=f[l+20>>2]}l=k|1;if(b[a+l>>0]|0){p=d+(l*24|0)|0;q=m+(l*24|0)|0;f[p>>2]=f[q>>2];f[p+4>>2]=f[q+4>>2];f[p+8>>2]=f[q+8>>2];f[p+12>>2]=f[q+12>>2];f[p+16>>2]=f[q+16>>2];f[p+20>>2]=f[q+20>>2]}q=k|2;if(b[a+q>>0]|0){p=d+(q*24|0)|0;l=m+(q*24|0)|0;f[p>>2]=f[l>>2];f[p+4>>2]=f[l+4>>2];f[p+8>>2]=f[l+8>>2];f[p+12>>2]=f[l+12>>2];f[p+16>>2]=f[l+16>>2];f[p+20>>2]=f[l+20>>2]}l=k|3;if(b[a+l>>0]|0){p=d+(l*24|0)|0;q=m+(l*24|0)|0;f[p>>2]=f[q>>2];f[p+4>>2]=f[q+4>>2];f[p+8>>2]=f[q+8>>2];f[p+12>>2]=f[q+12>>2];f[p+16>>2]=f[q+16>>2];f[p+20>>2]=f[q+20>>2]}k=k+4|0}while((k|0)<=(i|0));g=g+-1|0;if(n){k=o;do{if(b[a+k>>0]|0){q=d+(k*24|0)|0;p=m+(k*24|0)|0;f[q>>2]=f[p>>2];f[q+4>>2]=f[p+4>>2];f[q+8>>2]=f[p+8>>2];f[q+12>>2]=f[p+12>>2];f[q+16>>2]=f[p+16>>2];f[q+20>>2]=f[p+20>>2]}k=k+1|0}while((k|0)!=(j|0))}if(!g)break;else{m=m+c|0;a=a+e|0;d=d+h|0}}return}function hT(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=f[i>>2]|0;k=f[i+4>>2]|0;if(!k)return;i=j+-4|0;if((j|0)<4){l=(j|0)>0;m=a;n=d;o=g;p=k;while(1){p=p+-1|0;if(l){q=0;do{if(b[n+q>>0]|0){r=o+(q<<5)|0;s=m+(q<<5)|0;f[r>>2]=f[s>>2];f[r+4>>2]=f[s+4>>2];f[r+8>>2]=f[s+8>>2];f[r+12>>2]=f[s+12>>2];f[r+16>>2]=f[s+16>>2];f[r+20>>2]=f[s+20>>2];f[r+24>>2]=f[s+24>>2];f[r+28>>2]=f[s+28>>2]}q=q+1|0}while((q|0)!=(j|0))}if(!p)break;else{m=m+c|0;n=n+e|0;o=o+h|0}}return}o=j&-4;n=(o|0)<(j|0);m=a;a=d;d=g;g=k;while(1){k=0;do{if(b[a+k>>0]|0){p=d+(k<<5)|0;l=m+(k<<5)|0;f[p>>2]=f[l>>2];f[p+4>>2]=f[l+4>>2];f[p+8>>2]=f[l+8>>2];f[p+12>>2]=f[l+12>>2];f[p+16>>2]=f[l+16>>2];f[p+20>>2]=f[l+20>>2];f[p+24>>2]=f[l+24>>2];f[p+28>>2]=f[l+28>>2]}l=k|1;if(b[a+l>>0]|0){p=d+(l<<5)|0;q=m+(l<<5)|0;f[p>>2]=f[q>>2];f[p+4>>2]=f[q+4>>2];f[p+8>>2]=f[q+8>>2];f[p+12>>2]=f[q+12>>2];f[p+16>>2]=f[q+16>>2];f[p+20>>2]=f[q+20>>2];f[p+24>>2]=f[q+24>>2];f[p+28>>2]=f[q+28>>2]}q=k|2;if(b[a+q>>0]|0){p=d+(q<<5)|0;l=m+(q<<5)|0;f[p>>2]=f[l>>2];f[p+4>>2]=f[l+4>>2];f[p+8>>2]=f[l+8>>2];f[p+12>>2]=f[l+12>>2];f[p+16>>2]=f[l+16>>2];f[p+20>>2]=f[l+20>>2];f[p+24>>2]=f[l+24>>2];f[p+28>>2]=f[l+28>>2]}l=k|3;if(b[a+l>>0]|0){p=d+(l<<5)|0;q=m+(l<<5)|0;f[p>>2]=f[q>>2];f[p+4>>2]=f[q+4>>2];f[p+8>>2]=f[q+8>>2];f[p+12>>2]=f[q+12>>2];f[p+16>>2]=f[q+16>>2];f[p+20>>2]=f[q+20>>2];f[p+24>>2]=f[q+24>>2];f[p+28>>2]=f[q+28>>2]}k=k+4|0}while((k|0)<=(i|0));g=g+-1|0;if(n){k=o;do{if(b[a+k>>0]|0){q=d+(k<<5)|0;p=m+(k<<5)|0;f[q>>2]=f[p>>2];f[q+4>>2]=f[p+4>>2];f[q+8>>2]=f[p+8>>2];f[q+12>>2]=f[p+12>>2];f[q+16>>2]=f[p+16>>2];f[q+20>>2]=f[p+20>>2];f[q+24>>2]=f[p+24>>2];f[q+28>>2]=f[p+28>>2]}k=k+1|0}while((k|0)!=(j|0))}if(!g)break;else{m=m+c|0;a=a+e|0;d=d+h|0}}return}function iT(a){a=a|0;var b=0;if(a>>>0<33){b=f[46788+(a<<2)>>2]|0;return ((b|0)==0?142:b)|0}else return 142;return 0}function jT(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;k=f[j>>2]|0;j=i+4|0;l=f[j>>2]|0;m=l+-1|0;f[j>>2]=m;if(!l)return;l=f[i>>2]|0;if(!k){n=(l|0)>0;o=m;do{if(n){p=0;do p=p+1|0;while((p|0)<(l|0))}p=o;o=o+-1|0}while((p|0)!=0);f[j>>2]=o;return}else{q=a;r=d;s=g;t=l;u=m}while(1){if((t|0)>0){m=s;l=q;g=0;d=t;while(1){if(!(b[r+g>>0]|0))v=d;else{a=0;do{b[m+a>>0]=b[l+a>>0]|0;a=a+1|0}while((a|0)!=(k|0));v=f[i>>2]|0}g=g+1|0;if((g|0)>=(v|0))break;else{m=m+k|0;l=l+k|0;d=v}}w=f[j>>2]|0;x=v}else{w=u;x=t}u=w+-1|0;f[j>>2]=u;if(!w)break;else{q=q+c|0;r=r+e|0;s=s+h|0;t=x}}return}function kT(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0;d=u;u=u+352|0;e=d+344|0;g=d+288|0;h=d+160|0;i=d;j=d+128|0;zT(e,46920);k=oD(c,-1)|0;do if(hE(c)|0?(l=f[a>>2]|0,(k|0)!=(l&4095|0)):0)if(!((l^k)&4088)){IO(a,c,k,1.0,0.0);break}else{f[g>>2]=0;f[g+4>>2]=0;m=YG(g,30)|0;n=212042;o=m+30|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));lT(-215,g,212073,252)}else p=6;while(0);do if((p|0)==6){k=a+16|0;if(f[k>>2]|0){l=a+4|0;q=f[l>>2]|0;if((q|0)<3)r=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{s=f[a+40>>2]|0;t=0;v=1;while(1){w=Y(f[s+(t<<2)>>2]|0,v)|0;t=t+1|0;if((t|0)==(q|0)){r=w;break}else v=w}}if(!((q|0)==0|(r|0)==0)){v=(pD(c)|0)==655360;t=f[l>>2]|0;if(v){v=a+40|0;ID(c,t,f[v>>2]|0,f[a>>2]&4095,-1,0,0);qD(g,c,-1);s=g+24|0;if(!(f[s>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,13)|0;n=212080;o=m+13|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));lT(-215,h,212073,267)}m=h;o=m+128|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(o|0));q=f[l>>2]|0;if((q|0)<=0){f[j>>2]=0;x=j+4|0;f[x>>2]=0;y=YG(j,29)|0;m=y;n=212094;o=m+29|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));lT(-215,j,212073,269)}w=q+-1|0;z=f[(f[a+44>>2]|0)+(w<<2)>>2]|0;if(w>>>0>=31){f[j>>2]=0;x=j+4|0;f[x>>2]=0;y=YG(j,29)|0;m=y;n=212094;o=m+29|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));lT(-215,j,212073,269)}w=f[v>>2]|0;A=0;do{f[h+(A<<2)>>2]=f[w+(A<<2)>>2];A=A+1|0}while(A>>>0<q>>>0);A=h+(q+-1<<2)|0;w=Y(f[A>>2]|0,z)|0;f[A>>2]=w;FN(g,i);w=f[l>>2]|0;A=i+(w+-1<<2)|0;v=Y(f[A>>2]|0,z)|0;f[A>>2]=v;v=f[s>>2]|0;A=f[v+4>>2]|0;Fh[f[(f[A>>2]|0)+32>>2]&255](A,v,f[k>>2]|0,w,h,i,f[g+36>>2]|0,f[a+44>>2]|0);uN(g);break}if((t|0)>=3){w=a+40|0;ID(c,t,f[w>>2]|0,f[a>>2]&4095,-1,0,0);do if((pD(c)|0)==65536){v=f[c+4>>2]|0;f[g>>2]=f[v>>2];A=g+4|0;B=v+4|0;f[A>>2]=f[B>>2];C=g+8|0;f[C>>2]=f[v+8>>2];f[g+12>>2]=f[v+12>>2];D=g+16|0;f[D>>2]=f[v+16>>2];f[g+20>>2]=f[v+20>>2];f[g+24>>2]=f[v+24>>2];f[g+28>>2]=f[v+28>>2];f[g+32>>2]=f[v+32>>2];E=f[v+36>>2]|0;f[g+36>>2]=E;f[g+40>>2]=C;C=g+48|0;F=g+44|0;f[F>>2]=C;f[C>>2]=0;f[g+52>>2]=0;if(E|0){C=E+12|0;f[C>>2]=(f[C>>2]|0)+1}if((f[B>>2]|0)<3){B=f[v+44>>2]|0;C=f[F>>2]|0;f[C>>2]=f[B>>2];f[C+4>>2]=f[B+4>>2];G=D;break}else{f[A>>2]=0;kP(g,v);G=D;break}}else{lD(g,c,-1);G=g+16|0}while(0);if((f[k>>2]|0)!=(f[G>>2]|0)){t=f[l>>2]|0;if((t|0)<3)H=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{s=f[w>>2]|0;z=0;q=1;while(1){D=Y(f[s+(z<<2)>>2]|0,q)|0;z=z+1|0;if((z|0)==(t|0)){H=D;break}else q=D}}if(H|0){f[h>>2]=a;f[h+4>>2]=g;q=i;f[q>>2]=0;f[q+4>>2]=0;IN(j,h,i,2);q=f[l>>2]|0;if((q|0)>0)I=f[(f[a+44>>2]|0)+(q+-1<<2)>>2]|0;else I=0;q=Y(I,f[j+20>>2]|0)|0;t=j+16|0;z=i+4|0;s=0;while(1){if(s>>>0>=(f[t>>2]|0)>>>0)break;Krc(f[z>>2]|0,f[i>>2]|0,q|0)|0;JN(j)|0;s=s+1|0}}}s=g+36|0;q=f[s>>2]|0;if(q|0?(z=q+12|0,q=f[z>>2]|0,f[z>>2]=q+-1,(q|0)==1):0)lP(g);f[s>>2]=0;s=g+4|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[s>>2]|0)>0){q=f[g+40>>2]|0;z=0;do{f[q+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[s>>2]|0))}s=f[g+44>>2]|0;if((s|0)!=(g+48|0))tE(s);break}s=a+8|0;z=a+12|0;iE(c,f[s>>2]|0,f[z>>2]|0,f[a>>2]&4095,-1,0,0);do if((pD(c)|0)==65536){q=f[c+4>>2]|0;f[g>>2]=f[q>>2];t=g+4|0;w=q+4|0;f[t>>2]=f[w>>2];D=g+8|0;f[D>>2]=f[q+8>>2];f[g+12>>2]=f[q+12>>2];v=g+16|0;f[v>>2]=f[q+16>>2];f[g+20>>2]=f[q+20>>2];f[g+24>>2]=f[q+24>>2];f[g+28>>2]=f[q+28>>2];f[g+32>>2]=f[q+32>>2];A=f[q+36>>2]|0;f[g+36>>2]=A;f[g+40>>2]=D;D=g+48|0;B=g+44|0;f[B>>2]=D;f[D>>2]=0;f[g+52>>2]=0;if(A|0){D=A+12|0;f[D>>2]=(f[D>>2]|0)+1}if((f[w>>2]|0)<3){w=f[q+44>>2]|0;D=f[B>>2]|0;f[D>>2]=f[w>>2];f[D+4>>2]=f[w+4>>2];K=v;break}else{f[t>>2]=0;kP(g,q);K=v;break}}else{lD(g,c,-1);K=g+16|0}while(0);if(((f[k>>2]|0)!=(f[K>>2]|0)?(f[s>>2]|0)>0:0)?(f[z>>2]|0)>0:0){if(!(((pD(c)|0)!=196608?(pD(c)|0)!=786432:0)?(pD(c)|0)!=917504:0)){v=g+4|0;q=f[v>>2]|0;if((q|0)<3)L=Y(f[g+12>>2]|0,f[g+8>>2]|0)|0;else{t=f[g+40>>2]|0;w=0;D=1;while(1){B=Y(f[t+(w<<2)>>2]|0,D)|0;w=w+1|0;if((w|0)==(q|0)){L=B;break}else D=B}}xP(h,g,0,L);D=h+36|0;q=f[D>>2]|0;if(q|0){w=q+12|0;f[w>>2]=(f[w>>2]|0)+1}w=g+36|0;q=f[w>>2]|0;if(q|0?(t=q+12|0,q=f[t>>2]|0,f[t>>2]=q+-1,(q|0)==1):0)lP(g);f[w>>2]=0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[v>>2]|0)>0){q=f[g+40>>2]|0;t=0;do{f[q+(t<<2)>>2]=0;t=t+1|0;M=f[v>>2]|0}while((t|0)<(M|0));f[g>>2]=f[h>>2];if((M|0)<3)p=50;else p=52}else{f[g>>2]=f[h>>2];p=50}do if((p|0)==50){t=f[h+4>>2]|0;if((t|0)>=3){p=52;break}f[v>>2]=t;f[g+8>>2]=f[h+8>>2];f[g+12>>2]=f[h+12>>2];t=f[h+44>>2]|0;q=f[g+44>>2]|0;f[q>>2]=f[t>>2];f[q+4>>2]=f[t+4>>2]}while(0);if((p|0)==52)kP(g,h);v=h+16|0;f[K>>2]=f[v>>2];f[g+20>>2]=f[h+20>>2];f[g+24>>2]=f[h+24>>2];f[g+28>>2]=f[h+28>>2];f[g+32>>2]=f[h+32>>2];t=f[D>>2]|0;f[w>>2]=t;do if(t|0){q=t+12|0;B=f[q>>2]|0;f[q>>2]=B+-1;if((B|0)!=1)break;lP(h)}while(0);f[D>>2]=0;t=h+4|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[t>>2]|0)>0){w=f[h+40>>2]|0;B=0;do{f[w+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[t>>2]|0))}t=f[h+44>>2]|0;if((t|0)!=(h+48|0))tE(t)}t=f[k>>2]|0;B=f[K>>2]|0;w=f[a>>2]|0;v=f[g>>2]|0;D=f[z>>2]|0;q=f[s>>2]|0;A=Urc(q|0,((q|0)<0)<<31>>31|0,D|0,((D|0)<0)<<31>>31|0)|0;if((w&16384&v|0)!=0?(A|0)==(A|0)&(((A|0)<0)<<31>>31|0)==(J|0):0){N=1;O=A}else{N=q;O=D}D=f[l>>2]|0;if((D|0)>0)P=f[(f[a+44>>2]|0)+(D+-1<<2)>>2]|0;else P=0;D=Y(P,O)|0;if(N|0){q=a+48|0;A=g+48|0;v=B;B=t;t=N;while(1){t=t+-1|0;Krc(v|0,B|0,D|0)|0;if(!t)break;else{v=v+(f[A>>2]|0)|0;B=B+(f[q>>2]|0)|0}}}}q=g+36|0;B=f[q>>2]|0;if(B|0?(A=B+12|0,B=f[A>>2]|0,f[A>>2]=B+-1,(B|0)==1):0)lP(g);f[q>>2]=0;q=g+4|0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[q>>2]|0)>0){B=f[g+40>>2]|0;A=0;do{f[B+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[q>>2]|0))}q=f[g+44>>2]|0;if((q|0)!=(g+48|0))tE(q);break}}GD(c)}while(0);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function lT(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;SQ(a,b,c,212124,d);return}function mT(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;e=u;u=u+304|0;g=e+288|0;h=e+232|0;i=e+176|0;j=e+112|0;k=e;l=e+168|0;m=e+88|0;n=e+56|0;o=e+104|0;zT(g,46940);do if((pD(d)|0)==65536){p=f[d+4>>2]|0;f[h>>2]=f[p>>2];q=h+4|0;r=p+4|0;f[q>>2]=f[r>>2];s=h+8|0;f[s>>2]=f[p+8>>2];f[h+12>>2]=f[p+12>>2];t=h+16|0;f[t>>2]=f[p+16>>2];f[h+20>>2]=f[p+20>>2];f[h+24>>2]=f[p+24>>2];f[h+28>>2]=f[p+28>>2];f[h+32>>2]=f[p+32>>2];v=f[p+36>>2]|0;f[h+36>>2]=v;f[h+40>>2]=s;s=h+48|0;w=h+44|0;f[w>>2]=s;f[s>>2]=0;f[h+52>>2]=0;if(v|0){s=v+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[p+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2];x=t;break}else{f[q>>2]=0;kP(h,p);x=t;break}}else{lD(h,d,-1);x=h+16|0}while(0);if(f[x>>2]|0){d=f[h>>2]|0;t=d>>>3&511;p=t+1|0;if(d&7|0){f[i>>2]=0;y=i+4|0;f[y>>2]=0;z=YG(i,48)|0;A=z;B=212227;C=A+48|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));lT(-215,i,212073,374)}d=(t|0)==0;if(!(d|(t|0)==((f[a>>2]|0)>>>3&511|0))){f[i>>2]=0;y=i+4|0;f[y>>2]=0;z=YG(i,48)|0;A=z;B=212227;C=A+48|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));lT(-215,i,212073,374)}z=a+4|0;if((f[z>>2]|0)<3?(y=f[a+40>>2]|0,t=f[h+40>>2]|0,!((f[y>>2]|0)==(f[t>>2]|0)?(f[y+4>>2]|0)==(f[t+4>>2]|0):0)):0){f[i>>2]=0;f[i+4>>2]=0;A=YG(i,21)|0;B=212276;C=A+21|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));lT(-215,i,212073,378)}f[i>>2]=1124007936;B=i+4|0;t=i+8|0;y=i+40|0;A=B;C=A+36|0;do{f[A>>2]=0;A=A+4|0}while((A|0)<(C|0));f[y>>2]=t;A=i+48|0;C=i+44|0;f[C>>2]=A;f[A>>2]=0;f[i+52>>2]=0;do if((pD(c)|0)==65536){q=f[c+4>>2]|0;f[j>>2]=f[q>>2];r=j+4|0;s=q+4|0;f[r>>2]=f[s>>2];w=j+8|0;f[w>>2]=f[q+8>>2];f[j+12>>2]=f[q+12>>2];f[j+16>>2]=f[q+16>>2];f[j+20>>2]=f[q+20>>2];f[j+24>>2]=f[q+24>>2];f[j+28>>2]=f[q+28>>2];f[j+32>>2]=f[q+32>>2];v=f[q+36>>2]|0;f[j+36>>2]=v;f[j+40>>2]=w;w=j+48|0;D=j+44|0;f[D>>2]=w;f[w>>2]=0;f[j+52>>2]=0;if(v|0){w=v+12|0;f[w>>2]=(f[w>>2]|0)+1}if((f[s>>2]|0)<3){s=f[q+44>>2]|0;w=f[D>>2]|0;f[w>>2]=f[s>>2];f[w+4>>2]=f[s+4>>2];break}else{f[r>>2]=0;kP(j,q);break}}else lD(j,c,-1);while(0);ID(c,f[z>>2]|0,f[a+40>>2]|0,f[a>>2]&4095,-1,0,0);do if((pD(c)|0)==65536){q=f[c+4>>2]|0;f[k>>2]=f[q>>2];r=k+4|0;s=q+4|0;f[r>>2]=f[s>>2];w=k+8|0;f[w>>2]=f[q+8>>2];f[k+12>>2]=f[q+12>>2];f[k+16>>2]=f[q+16>>2];f[k+20>>2]=f[q+20>>2];f[k+24>>2]=f[q+24>>2];f[k+28>>2]=f[q+28>>2];f[k+32>>2]=f[q+32>>2];D=k+36|0;v=f[q+36>>2]|0;f[D>>2]=v;f[k+40>>2]=w;w=k+48|0;E=k+44|0;f[E>>2]=w;f[w>>2]=0;f[k+52>>2]=0;if(v|0){w=v+12|0;f[w>>2]=(f[w>>2]|0)+1}if((f[s>>2]|0)<3){s=f[q+44>>2]|0;w=f[E>>2]|0;f[w>>2]=f[s>>2];f[w+4>>2]=f[s+4>>2];F=D;break}else{f[r>>2]=0;kP(k,q);F=D;break}}else{lD(k,c,-1);F=k+36|0}while(0);D=f[F>>2]|0;if(D|0){q=D+12|0;f[q>>2]=(f[q>>2]|0)+1}q=i+36|0;D=f[q>>2]|0;if(D|0?(r=D+12|0,D=f[r>>2]|0,f[r>>2]=D+-1,(D|0)==1):0)lP(i);f[q>>2]=0;D=i+16|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[B>>2]|0)>0){r=f[y>>2]|0;s=0;do{f[r+(s<<2)>>2]=0;s=s+1|0;G=f[B>>2]|0}while((s|0)<(G|0));f[i>>2]=f[k>>2];if((G|0)<3)H=40;else H=42}else{f[i>>2]=f[k>>2];H=40}if((H|0)==40){G=f[k+4>>2]|0;if((G|0)<3){f[B>>2]=G;f[t>>2]=f[k+8>>2];f[i+12>>2]=f[k+12>>2];t=f[k+44>>2]|0;G=f[C>>2]|0;f[G>>2]=f[t>>2];f[G+4>>2]=f[t+4>>2]}else H=42}if((H|0)==42)kP(i,k);t=k+16|0;f[D>>2]=f[t>>2];f[i+20>>2]=f[k+20>>2];f[i+24>>2]=f[k+24>>2];f[i+28>>2]=f[k+28>>2];f[i+32>>2]=f[k+32>>2];G=f[F>>2]|0;f[q>>2]=G;if(G|0?(s=G+12|0,G=f[s>>2]|0,f[s>>2]=G+-1,(G|0)==1):0)lP(k);f[F>>2]=0;F=k+4|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[F>>2]|0)>0){t=f[k+40>>2]|0;G=0;do{f[t+(G<<2)>>2]=0;G=G+1|0}while((G|0)<(f[F>>2]|0))}F=f[k+44>>2]|0;if((F|0)!=(k+48|0))tE(F);F=j+16|0;if((f[D>>2]|0)!=(f[F>>2]|0)){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;f[k+24>>2]=0;f[k+28>>2]=0;nT(i,k)|0}G=j+36|0;t=f[G>>2]|0;if(t|0?(s=t+12|0,t=f[s>>2]|0,f[s>>2]=t+-1,(t|0)==1):0)lP(j);f[G>>2]=0;G=j+4|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[G>>2]|0)>0){F=f[j+40>>2]|0;t=0;do{f[F+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[G>>2]|0))}G=f[j+44>>2]|0;if((G|0)!=(j+48|0))tE(G);do if(d){G=f[z>>2]|0;if((G|0)<=0){I=0;K=G;H=64;break}t=f[(f[a+44>>2]|0)+(G+-1<<2)>>2]|0;f[j>>2]=t;if(t>>>0<33){L=t;M=G;H=66}else{N=G;O=142}}else{I=1212424721>>>(f[a>>2]<<2&28)&15;K=f[z>>2]|0;H=64}while(0);if((H|0)==64){f[j>>2]=I;L=I;M=K;H=66}if((H|0)==66){H=f[46788+(L<<2)>>2]|0;N=M;O=(H|0)==0?142:H}if((N|0)<3){N=f[a>>2]|0;H=f[i>>2]|0;M=f[h>>2]|0;L=f[a+12>>2]|0;K=f[a+8>>2]|0;I=Urc(L|0,((L|0)<0)<<31>>31|0,p|0,0)|0;z=Urc(I|0,J|0,K|0,((K|0)<0)<<31>>31|0)|0;if((N&16384&H&M|0)!=0?(z|0)==(z|0)&(((z|0)<0)<<31>>31|0)==(J|0):0){P=1;Q=z}else{P=K;Q=Y(L,p)|0}L=f[a+16>>2]|0;K=f[a+48>>2]|0;z=f[x>>2]|0;M=f[h+48>>2]|0;H=f[D>>2]|0;N=f[A>>2]|0;f[l>>2]=Q;f[l+4>>2]=P;Fh[O&255](L,K,z,M,H,N,l,j)}else{f[k>>2]=a;f[k+4>>2]=i;f[k+8>>2]=h;f[k+12>>2]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;IN(n,k,m,-1);k=Y(f[n+20>>2]|0,p)|0;p=n+16|0;l=m+8|0;N=m+4|0;H=o+4|0;M=0;while(1){if(M>>>0>=(f[p>>2]|0)>>>0)break;z=f[m>>2]|0;K=f[l>>2]|0;L=f[N>>2]|0;f[o>>2]=k;f[H>>2]=1;Fh[O&255](z,0,K,0,L,0,o,j);JN(n)|0;M=M+1|0}}M=f[q>>2]|0;do if(M|0){n=M+12|0;j=f[n>>2]|0;f[n>>2]=j+-1;if((j|0)!=1)break;lP(i)}while(0);f[q>>2]=0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[B>>2]|0)>0){D=f[y>>2]|0;y=0;do{f[D+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[B>>2]|0))}B=f[C>>2]|0;if((B|0)!=(A|0))tE(B)}else kT(a,c);c=h+36|0;a=f[c>>2]|0;if(a|0?(B=a+12|0,a=f[B>>2]|0,f[B>>2]=a+-1,(a|0)==1):0)lP(h);f[c>>2]=0;c=h+4|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[c>>2]|0)>0){x=f[h+40>>2]|0;a=0;do{f[x+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[c>>2]|0))}c=f[h+44>>2]|0;if((c|0)!=(h+48|0))tE(c);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function nT(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;d=u;u=u+160|0;e=d+144|0;g=d+140|0;h=d+136|0;i=d+104|0;j=d;k=d+96|0;zT(e,46960);l=a+16|0;if(f[l>>2]|0){m=a+4|0;n=f[m>>2]|0;if((n|0)<3)o=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{p=f[a+40>>2]|0;q=0;r=1;while(1){s=Y(f[p+(q<<2)>>2]|0,r)|0;q=q+1|0;if((q|0)==(n|0)){o=s;break}else r=s}}if(!((n|0)==0|(o|0)==0)){f[g>>2]=a;IN(i,g,h,1);g=f[m>>2]|0;if((g|0)>0)t=f[(f[a+44>>2]|0)+(g+-1<<2)>>2]|0;else t=0;g=Y(t,f[i+20>>2]|0)|0;t=c;a:do if((((f[t>>2]|0)==0&(f[t+4>>2]|0)==0?(m=c+8|0,(f[m>>2]|0)==0&(f[m+4>>2]|0)==0):0)?(m=c+16|0,(f[m>>2]|0)==0&(f[m+4>>2]|0)==0):0)?(m=c+24|0,(f[m>>2]|0)==0&(f[m+4>>2]|0)==0):0){m=i+16|0;o=0;while(1){if(o>>>0>=(f[m>>2]|0)>>>0)break a;Drc(f[h>>2]|0,0,g|0)|0;JN(i)|0;o=o+1|0}}else v=16;while(0);if((v|0)==16?(v=i+16|0,f[v>>2]|0):0){lU(c,j,f[a>>2]&4095,12);c=(1212424721>>>(f[a>>2]<<2&28)&15)*12|0;b:do if(g|0){t=0;while(1){o=g-t|0;m=c>>>0>o>>>0?o:c;if(m>>>0>=97)break;Krc((f[h>>2]|0)+t|0,j|0,m|0)|0;t=t+c|0;if(g>>>0<=t>>>0)break b}f[k>>2]=0;f[k+4>>2]=0;t=YG(k,20)|0;m=212298;o=t+20|0;do{b[t>>0]=b[m>>0]|0;t=t+1|0;m=m+1|0}while((t|0)<(o|0));lT(-215,k,523647,447)}while(0);if((f[v>>2]|0)>>>0>1){k=1;do{JN(i)|0;Krc(f[h>>2]|0,f[l>>2]|0,g|0)|0;k=k+1|0}while(k>>>0<(f[v>>2]|0)>>>0)}}}}if(!(f[e+4>>2]|0)){u=d;return a|0}u=d;return a|0}function oT(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;e=u;u=u+1232|0;g=e+1224|0;h=e+1168|0;i=e+1112|0;j=e+1104|0;k=e+1088|0;l=e;m=e+1048|0;n=e+8|0;o=e+1080|0;zT(g,46980);if(f[a+16>>2]|0){p=a+4|0;q=f[p>>2]|0;if((q|0)<3)r=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{s=f[a+40>>2]|0;t=0;v=1;while(1){w=Y(f[s+(t<<2)>>2]|0,v)|0;t=t+1|0;if((t|0)==(q|0)){r=w;break}else v=w}}if(!((q|0)==0|(r|0)==0)){do if((pD(c)|0)==65536){r=f[c+4>>2]|0;f[h>>2]=f[r>>2];q=h+4|0;v=r+4|0;f[q>>2]=f[v>>2];t=h+8|0;f[t>>2]=f[r+8>>2];f[h+12>>2]=f[r+12>>2];f[h+16>>2]=f[r+16>>2];f[h+20>>2]=f[r+20>>2];f[h+24>>2]=f[r+24>>2];f[h+28>>2]=f[r+28>>2];f[h+32>>2]=f[r+32>>2];s=f[r+36>>2]|0;f[h+36>>2]=s;f[h+40>>2]=t;t=h+48|0;w=h+44|0;f[w>>2]=t;f[t>>2]=0;f[h+52>>2]=0;if(s|0){t=s+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[v>>2]|0)<3){v=f[r+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[v>>2];f[t+4>>2]=f[v+4>>2];break}else{f[q>>2]=0;kP(h,r);break}}else lD(h,c,-1);while(0);do if((pD(d)|0)==65536){c=f[d+4>>2]|0;f[i>>2]=f[c>>2];r=i+4|0;q=c+4|0;f[r>>2]=f[q>>2];v=i+8|0;f[v>>2]=f[c+8>>2];f[i+12>>2]=f[c+12>>2];f[i+16>>2]=f[c+16>>2];f[i+20>>2]=f[c+20>>2];f[i+24>>2]=f[c+24>>2];f[i+28>>2]=f[c+28>>2];f[i+32>>2]=f[c+32>>2];t=f[c+36>>2]|0;f[i+36>>2]=t;f[i+40>>2]=v;v=i+48|0;w=i+44|0;f[w>>2]=v;f[v>>2]=0;f[i+52>>2]=0;if(t|0){v=t+12|0;f[v>>2]=(f[v>>2]|0)+1}if((f[q>>2]|0)<3){q=f[c+44>>2]|0;v=f[w>>2]|0;f[v>>2]=f[q>>2];f[v+4>>2]=f[q+4>>2];break}else{f[r>>2]=0;kP(i,c);break}}else lD(i,d,-1);while(0);d=f[a>>2]|0;c=h+4|0;if((f[c>>2]|0)>2){f[j>>2]=0;x=j+4|0;f[x>>2]=0;y=YG(j,60)|0;z=y;A=212415;B=z+60|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));lT(-215,j,212476,529)}r=f[h>>2]|0;if(!(r&16384)){f[j>>2]=0;x=j+4|0;f[x>>2]=0;y=YG(j,60)|0;z=y;A=212415;B=z+60|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));lT(-215,j,212476,529)}q=h+40|0;v=f[q>>2]|0;w=f[v+4>>2]|0;t=f[v>>2]|0;v=(w|0)==1;s=(t|0)==1;if(!(v|s)){f[j>>2]=0;x=j+4|0;f[x>>2]=0;y=YG(j,60)|0;z=y;A=212415;B=z+60|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));lT(-215,j,212476,529)}C=(d>>>3&511)+1|0;if(!((w|0)==(C|0)&s|v&(s|(t|0)==(C|0)))?C>>>0>4|(r&4095|0)!=6|v&(t|0)==4^1:0){f[j>>2]=0;x=j+4|0;f[x>>2]=0;y=YG(j,60)|0;z=y;A=212415;B=z+60|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));lT(-215,j,212476,529)}y=f[a>>2]|0;x=y>>>3&511;t=f[i>>2]|0;v=t>>>3&511;r=v+1|0;C=i+16|0;s=(f[C>>2]|0)==0;a:do if(!s){w=f[i+4>>2]|0;if((w|0)<3)D=Y(f[i+12>>2]|0,f[i+8>>2]|0)|0;else{d=f[i+40>>2]|0;E=0;F=1;while(1){G=Y(f[d+(E<<2)>>2]|0,F)|0;E=E+1|0;if((E|0)==(w|0)){D=G;break}else F=G}}if(!((w|0)==0|(D|0)==0)){if(t&7|0){f[j>>2]=0;H=j+4|0;f[H>>2]=0;I=YG(j,87)|0;z=I;A=212482;B=z+87|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));lT(-215,j,212476,531)}if(!((v|0)==0|(v|0)==(x|0))){f[j>>2]=0;H=j+4|0;f[H>>2]=0;I=YG(j,87)|0;z=I;A=212482;B=z+87|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));lT(-215,j,212476,531)}w=f[a+40>>2]|0;F=f[w+-4>>2]|0;E=f[i+40>>2]|0;if((F|0)!=(f[E+-4>>2]|0)){f[j>>2]=0;H=j+4|0;f[H>>2]=0;I=YG(j,87)|0;z=I;A=212482;B=z+87|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));lT(-215,j,212476,531)}if((F|0)==2){if((f[w>>2]|0)!=(f[E>>2]|0)){f[j>>2]=0;H=j+4|0;f[H>>2]=0;I=YG(j,87)|0;z=I;A=212482;B=z+87|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));lT(-215,j,212476,531)}if((f[w+4>>2]|0)==(f[E+4>>2]|0))break;f[j>>2]=0;H=j+4|0;f[H>>2]=0;I=YG(j,87)|0;z=I;A=212482;B=z+87|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));lT(-215,j,212476,531)}else{if((F|0)>0)J=0;else break;while(1){if((f[w+(J<<2)>>2]|0)!=(f[E+(J<<2)>>2]|0))break;J=J+1|0;if((J|0)>=(F|0))break a}f[j>>2]=0;H=j+4|0;f[H>>2]=0;I=YG(j,87)|0;z=I;A=212482;B=z+87|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));lT(-215,j,212476,531)}}}while(0);if(!v){v=f[p>>2]|0;if((v|0)>0){p=f[(f[a+44>>2]|0)+(v+-1<<2)>>2]|0;f[j>>2]=p;if(p>>>0<33){K=p;L=48}else M=142}else{N=0;L=46}}else{N=1212424721>>>(y<<2&28)&15;L=46}if((L|0)==46){f[j>>2]=N;K=N;L=48}if((L|0)==48){N=f[46788+(K<<2)>>2]|0;M=(N|0)==0?142:N}f[k>>2]=a;if(!s){s=f[i+4>>2]|0;if((s|0)<3)O=Y(f[i+12>>2]|0,f[i+8>>2]|0)|0;else{N=f[i+40>>2]|0;K=0;y=1;while(1){p=Y(f[N+(K<<2)>>2]|0,y)|0;K=K+1|0;if((K|0)==(s|0)){O=p;break}else y=p}}y=k+4|0;if((s|0)==0|(O|0)==0){P=y;L=56}else{Q=i;R=y}}else{P=k+4|0;L=56}if((L|0)==56){Q=0;R=P}f[R>>2]=Q;f[k+8>>2]=0;Q=l;f[Q>>2]=0;f[Q+4>>2]=0;IN(m,k,l,-1);k=Y(f[m+20>>2]|0,r)|0;Q=f[j>>2]|0;R=((Q+1023|0)>>>0)/(Q>>>0)|0;P=(R|0)<(k|0)?R:k;R=P-((P|0)%(r|0)|0)|0;L=(Y(R,Q)|0)+32|0;Q=n+8|0;f[n>>2]=Q;y=n+4|0;f[y>>2]=L;if(L>>>0>1032){O=Dmc(L)|0;f[n>>2]=O;S=O}else S=Q;O=S+7&-8;_G(h,f[a>>2]&4095,O,(P|0)/(r|0)|0);r=m+16|0;P=l+4|0;S=o+4|0;b:do if((k|0)>0){L=0;while(1){if(L>>>0>=(f[r>>2]|0)>>>0)break b;s=0;K=f[l>>2]|0;do{N=k-s|0;p=(N|0)<(R|0)?N:R;N=Y(f[j>>2]|0,p)|0;v=f[P>>2]|0;if(!v)Krc(K|0,O|0,N|0)|0;else{f[o>>2]=p;f[S>>2]=1;Fh[M&255](O,0,v,0,K,0,o,j);f[P>>2]=(f[P>>2]|0)+p}K=(f[l>>2]|0)+N|0;f[l>>2]=K;s=s+R|0}while((k|0)>(s|0));JN(m)|0;L=L+1|0}}else{L=0;while(1){if(L>>>0>=(f[r>>2]|0)>>>0)break b;JN(m)|0;L=L+1|0}}while(0);m=f[n>>2]|0;if((m|0)!=(Q|0)){if(m|0)Fmc(m);f[n>>2]=Q;f[y>>2]=1032}y=i+36|0;Q=f[y>>2]|0;if(Q|0?(n=Q+12|0,Q=f[n>>2]|0,f[n>>2]=Q+-1,(Q|0)==1):0)lP(i);f[y>>2]=0;y=i+4|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[y>>2]|0)>0){C=f[i+40>>2]|0;Q=0;do{f[C+(Q<<2)>>2]=0;Q=Q+1|0}while((Q|0)<(f[y>>2]|0))}y=f[i+44>>2]|0;if((y|0)!=(i+48|0))tE(y);y=h+36|0;i=f[y>>2]|0;do if(i|0){Q=i+12|0;C=f[Q>>2]|0;f[Q>>2]=C+-1;if((C|0)!=1)break;lP(h)}while(0);f[y>>2]=0;y=h+16|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[c>>2]|0)>0){y=f[q>>2]|0;q=0;do{f[y+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[c>>2]|0))}c=f[h+44>>2]|0;if((c|0)!=(h+48|0))tE(c)}}if(!(f[g+4>>2]|0)){u=e;return a|0}u=e;return a|0}function pT(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;e=u;u=u+160|0;g=e+144|0;h=e+136|0;i=e+72|0;j=e+128|0;k=e+16|0;l=e+8|0;m=e;zT(g,47e3);if((zD(a,-1)|0)>=3){f[h>>2]=0;f[h+4>>2]=0;n=YG(h,16)|0;o=212618;p=n+16|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));lT(-215,h,212635,748)}nD(h,a,-1);o=f[h>>2]|0;if((d|0)<0)q=(f[h+4>>2]|0)==1?1:(o|0)==1?0:d;else q=d;d=(o|0)==1;if((!((q|0)>0&d)?(o=h+4|0,n=(f[o>>2]|0)==1,!((q|0)==0&n)):0)?(p=(q|0)<0,!(p&d&n)):0){do if((pD(a)|0)==65536){n=f[a+4>>2]|0;f[i>>2]=f[n>>2];d=i+4|0;r=n+4|0;f[d>>2]=f[r>>2];s=i+8|0;f[s>>2]=f[n+8>>2];f[i+12>>2]=f[n+12>>2];f[i+16>>2]=f[n+16>>2];f[i+20>>2]=f[n+20>>2];f[i+24>>2]=f[n+24>>2];f[i+28>>2]=f[n+28>>2];f[i+32>>2]=f[n+32>>2];t=f[n+36>>2]|0;f[i+36>>2]=t;f[i+40>>2]=s;s=i+48|0;v=i+44|0;f[v>>2]=s;f[s>>2]=0;f[i+52>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[n+44>>2]|0;s=f[v>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2];w=i;break}else{f[d>>2]=0;kP(i,n);w=i;break}}else{lD(i,a,-1);w=i}while(0);n=f[w>>2]|0;w=n&4095;f[j>>2]=f[h>>2];f[j+4>>2]=f[o>>2];HD(c,j,w,-1,0,0);do if((pD(c)|0)==65536){j=f[c+4>>2]|0;f[k>>2]=f[j>>2];o=k+4|0;h=j+4|0;f[o>>2]=f[h>>2];d=k+8|0;f[d>>2]=f[j+8>>2];f[k+12>>2]=f[j+12>>2];r=k+16|0;f[r>>2]=f[j+16>>2];f[k+20>>2]=f[j+20>>2];f[k+24>>2]=f[j+24>>2];f[k+28>>2]=f[j+28>>2];f[k+32>>2]=f[j+32>>2];s=f[j+36>>2]|0;f[k+36>>2]=s;f[k+40>>2]=d;d=k+48|0;v=k+44|0;f[v>>2]=d;f[d>>2]=0;f[k+52>>2]=0;if(s|0){t=s+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[h>>2]|0)<3){h=f[j+44>>2]|0;t=f[v>>2]|0;f[t>>2]=f[h>>2];f[t+4>>2]=f[h+4>>2];x=r;y=v;z=d;break}else{f[o>>2]=0;kP(k,j);x=r;y=v;z=d;break}}else{lD(k,c,-1);x=k+16|0;y=k+44|0;z=k+48|0}while(0);d=(n>>>3&511)+1<<(47696>>>(w<<1&14)&3);w=i+16|0;n=f[w>>2]|0;v=i+44|0;r=i+48|0;j=f[r>>2]|0;o=f[x>>2]|0;h=f[z>>2]|0;t=i+40|0;s=f[t>>2]|0;A=f[s+4>>2]|0;B=f[s>>2]|0;a:do if((q|0)<1){s=B+-1|0;C=Y(A,d)|0;if((B|0)>0){D=o+(Y(s,h)|0)|0;E=n+(Y(s,j)|0)|0;s=0-j|0;F=0-h|0;G=C+-4|0;H=C+-16|0;I=(B+1|0)/2|0;if((C|0)<16){J=C&-4;K=(C|0)<4;L=E;M=D;N=0;O=n;P=o;while(1){if(((P|O|L|M)&3|0)!=0|K)Q=0;else{R=0;do{S=f[O+R>>2]|0;f[P+R>>2]=f[L+R>>2];f[M+R>>2]=S;R=R+4|0}while((R|0)<=(G|0));Q=J}if((Q|0)<(C|0)){R=Q;do{S=b[O+R>>0]|0;b[P+R>>0]=b[L+R>>0]|0;b[M+R>>0]=S;R=R+1|0}while((R|0)!=(C|0))}N=N+1|0;if((N|0)>=(I|0))break a;else{L=L+s|0;M=M+F|0;O=O+j|0;P=P+h|0}}}P=C&-16;O=(P|0)>(G|0);M=E;L=D;N=0;J=n;K=o;while(1){if(!((K|J|M|L)&3)){R=0;do{S=J+R|0;T=f[S>>2]|0;U=M+R|0;V=K+R|0;f[V>>2]=f[U>>2];W=L+R|0;f[W>>2]=T;T=f[S+4>>2]|0;f[V+4>>2]=f[U+4>>2];f[W+4>>2]=T;T=f[S+8>>2]|0;f[V+8>>2]=f[U+8>>2];f[W+8>>2]=T;T=f[S+12>>2]|0;f[V+12>>2]=f[U+12>>2];f[W+12>>2]=T;R=R+16|0}while((R|0)<=(H|0));if(O)X=P;else{R=P;while(1){T=f[J+R>>2]|0;f[K+R>>2]=f[M+R>>2];f[L+R>>2]=T;T=R+4|0;if((T|0)>(G|0)){X=T;break}else R=T}}}else X=0;if((X|0)<(C|0)){R=X;do{T=b[J+R>>0]|0;b[K+R>>0]=b[M+R>>0]|0;b[L+R>>0]=T;R=R+1|0}while((R|0)!=(C|0))}N=N+1|0;if((N|0)>=(I|0))break;else{M=M+s|0;L=L+F|0;J=J+j|0;K=K+h|0}}}}else{f[l>>2]=A;f[l+4>>2]=B;qT(n,j,o,h,l,d)}while(0);if(p){p=f[x>>2]|0;l=f[z>>2]|0;h=f[k+40>>2]|0;o=f[h>>2]|0;f[m>>2]=f[h+4>>2];f[m+4>>2]=o;qT(p,l,p,l,m,d)}d=k+36|0;m=f[d>>2]|0;if(m|0?(l=m+12|0,m=f[l>>2]|0,f[l>>2]=m+-1,(m|0)==1):0)lP(k);f[d>>2]=0;d=k+4|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[d>>2]|0)>0){x=f[k+40>>2]|0;k=0;do{f[x+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[d>>2]|0))}d=f[y>>2]|0;if((d|0)!=(z|0))tE(d);d=i+36|0;z=f[d>>2]|0;if(z|0?(y=z+12|0,z=f[y>>2]|0,f[y>>2]=z+-1,(z|0)==1):0)lP(i);f[d>>2]=0;d=i+4|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[d>>2]|0)>0){w=f[t>>2]|0;t=0;do{f[w+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[d>>2]|0))}d=f[v>>2]|0;if((d|0)!=(r|0))tE(d)}else FD(a,c);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function qT(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;i=u;u=u+1072|0;j=i;k=f[g>>2]|0;l=Y((k+1|0)/2|0,h)|0;m=Y(k,h)|0;n=j+8|0;f[j>>2]=n;o=j+4|0;f[o>>2]=m;if(m>>>0>264){p=Dmc(m>>>0>1073741823?-1:m<<2)|0;f[j>>2]=p;q=p}else q=n;a:do if((k|0)>0){if(!h){p=0;while(1){p=p+1|0;if((p|0)>=(k|0))break a}}p=f[g>>2]|0;m=(h|0)==1;r=0;s=k;while(1){t=~r;v=Y(r,h)|0;w=Y(s+t|0,h)|0;f[q+(v<<2)>>2]=w;if(!m){w=Y((f[g>>2]|0)+t|0,h)|0;t=1;do{f[q+(t+v<<2)>>2]=w+t;t=t+1|0}while((t|0)!=(h|0))}t=r+1|0;if((t|0)<(p|0)){r=t;s=p}else break}}while(0);h=g+4|0;g=f[h>>2]|0;k=g+-1|0;f[h>>2]=k;do if(!g)x=q;else{if((l|0)>0){y=d;z=a}else{p=k;do{s=p;p=p+-1|0}while((s|0)!=0);f[h>>2]=p;x=q;break}while(1){s=0;do{r=f[q+(s<<2)>>2]|0;m=b[z+s>>0]|0;b[y+s>>0]=b[z+r>>0]|0;b[y+r>>0]=m;s=s+1|0}while((s|0)!=(l|0));s=f[h>>2]|0;f[h>>2]=s+-1;if(!s)break;else{y=y+e|0;z=z+c|0}}x=f[j>>2]|0}while(0);if((x|0)==(n|0)){u=i;return}if(x|0)Fmc(x);f[j>>2]=n;f[o>>2]=264;u=i;return}function rT(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;g=u;u=u+128|0;h=g+120|0;i=g+112|0;j=g+56|0;k=g;zT(h,47020);l=a+4|0;m=e+4|0;if((f[l>>2]|0)==(f[m>>2]|0)){f[i>>2]=0;f[i+4>>2]=0;n=YG(i,30)|0;o=212684;p=n+30|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));lT(-215,i,212715,868)}if((zD(a,-1)|0)>=3){f[i>>2]=0;f[i+4>>2]=0;n=YG(i,16)|0;o=212618;p=n+16|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));lT(-215,i,212715,869)}if(!((c|0)>0&(d|0)>0)){f[i>>2]=0;f[i+4>>2]=0;n=YG(i,16)|0;o=212722;p=n+16|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));lT(-215,i,212715,870)}nD(i,a,-1);o=i+4|0;n=f[o>>2]|0;p=f[i>>2]|0;iE(e,Y(n,c)|0,Y(p,d)|0,oD(a,-1)|0,-1,0,0);do if((pD(a)|0)==65536){d=f[l>>2]|0;f[j>>2]=f[d>>2];p=j+4|0;c=d+4|0;f[p>>2]=f[c>>2];n=j+8|0;f[n>>2]=f[d+8>>2];f[j+12>>2]=f[d+12>>2];f[j+16>>2]=f[d+16>>2];f[j+20>>2]=f[d+20>>2];f[j+24>>2]=f[d+24>>2];f[j+28>>2]=f[d+28>>2];f[j+32>>2]=f[d+32>>2];q=f[d+36>>2]|0;f[j+36>>2]=q;f[j+40>>2]=n;n=j+48|0;r=j+44|0;f[r>>2]=n;f[n>>2]=0;f[j+52>>2]=0;if(q|0){n=q+12|0;f[n>>2]=(f[n>>2]|0)+1}if((f[c>>2]|0)<3){c=f[d+44>>2]|0;n=f[r>>2]|0;f[n>>2]=f[c>>2];f[n+4>>2]=f[c+4>>2];break}else{f[p>>2]=0;kP(j,d);break}}else lD(j,a,-1);while(0);do if((pD(e)|0)==65536){a=f[m>>2]|0;f[k>>2]=f[a>>2];l=k+4|0;d=a+4|0;f[l>>2]=f[d>>2];p=k+8|0;f[p>>2]=f[a+8>>2];f[k+12>>2]=f[a+12>>2];f[k+16>>2]=f[a+16>>2];f[k+20>>2]=f[a+20>>2];f[k+24>>2]=f[a+24>>2];f[k+28>>2]=f[a+28>>2];f[k+32>>2]=f[a+32>>2];c=f[a+36>>2]|0;f[k+36>>2]=c;n=k+40|0;f[n>>2]=p;p=k+48|0;r=k+44|0;f[r>>2]=p;f[p>>2]=0;f[k+52>>2]=0;if(c|0){p=c+12|0;f[p>>2]=(f[p>>2]|0)+1}if((f[d>>2]|0)<3){d=f[a+44>>2]|0;p=f[r>>2]|0;f[p>>2]=f[d>>2];f[p+4>>2]=f[d+4>>2];s=n;break}else{f[l>>2]=0;kP(k,a);s=n;break}}else{lD(k,e,-1);s=k+40|0}while(0);e=f[s>>2]|0;m=f[e+4>>2]|0;n=f[e>>2]|0;e=j+4|0;a=f[e>>2]|0;if((a|0)>0)t=f[(f[j+44>>2]|0)+(a+-1<<2)>>2]|0;else t=0;a=Y(f[i>>2]|0,t)|0;f[i>>2]=a;l=Y(t,m)|0;m=f[o>>2]|0;a:do if((m|0)>0){t=k+16|0;d=k+44|0;p=j+16|0;r=j+44|0;if((l|0)>0){v=0;w=a}else{c=0;while(1){q=c+1|0;if((q|0)<(m|0))c=q;else{x=q;y=m;break a}}}while(1){c=0;q=w;do{z=(f[t>>2]|0)+(Y(f[f[d>>2]>>2]|0,v)|0)+c|0;Krc(z|0,(f[p>>2]|0)+(Y(f[f[r>>2]>>2]|0,v)|0)|0,q|0)|0;q=f[i>>2]|0;c=q+c|0}while((c|0)<(l|0));c=v+1|0;z=f[o>>2]|0;if((c|0)<(z|0)){v=c;w=q}else{x=c;y=z;break}}}else{x=0;y=m}while(0);if((x|0)<(n|0)?(m=k+16|0,w=k+44|0,v=f[m>>2]|0,i=f[f[w>>2]>>2]|0,Krc(v+(Y(i,x)|0)|0,v+(Y(x-y|0,i)|0)|0,l|0)|0,i=x+1|0,(i|0)!=(n|0)):0){x=i;do{i=f[m>>2]|0;y=f[f[w>>2]>>2]|0;Krc(i+(Y(y,x)|0)|0,i+(Y(x-(f[o>>2]|0)|0,y)|0)|0,l|0)|0;x=x+1|0}while((x|0)!=(n|0))}n=k+36|0;x=f[n>>2]|0;if(x|0?(l=x+12|0,x=f[l>>2]|0,f[l>>2]=x+-1,(x|0)==1):0)lP(k);f[n>>2]=0;n=k+16|0;x=k+4|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[x>>2]|0)>0){n=f[s>>2]|0;s=0;do{f[n+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[x>>2]|0))}x=f[k+44>>2]|0;if((x|0)!=(k+48|0))tE(x);x=j+36|0;k=f[x>>2]|0;if(k|0?(s=k+12|0,k=f[s>>2]|0,f[s>>2]=k+-1,(k|0)==1):0)lP(j);f[x>>2]=0;x=j+16|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[e>>2]|0)>0){x=f[j+40>>2]|0;k=0;do{f[x+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[e>>2]|0))}e=f[j+44>>2]|0;if((e|0)!=(j+48|0))tE(e);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function sT(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e;if(a>>>0<c>>>0){h=a;u=e;return h|0}switch(d|0){case 1:{h=(a|0)<0?0:c+-1|0;u=e;return h|0}case 2:case 4:{i=(d|0)==4;d=i&1;if((c|0)==1){h=0;u=e;return h|0}j=(c<<1)+-1+(i<<31>>31)|0;i=a;while(1){k=(i|0)<0?d+~i|0:j-i|0;if(k>>>0<c>>>0){h=k;break}else i=k}u=e;return h|0}case 3:{if((c|0)<=0){f[g>>2]=0;f[g+4>>2]=0;i=YG(g,7)|0;b[i>>0]=b[229375]|0;b[i+1>>0]=b[229376]|0;b[i+2>>0]=b[229377]|0;b[i+3>>0]=b[229378]|0;b[i+4>>0]=b[229379]|0;b[i+5>>0]=b[229380]|0;b[i+6>>0]=b[229381]|0;lT(-215,g,212790,942)}i=a-c|0;if((a|0)<0)l=~i+a+((i+1|0)%(c|0)|0)|0;else l=a;if((l|0)<(c|0)){h=l;u=e;return h|0}h=(l|0)%(c|0)|0;u=e;return h|0}case 0:{h=-1;u=e;return h|0}default:{f[g>>2]=0;f[g+4>>2]=0;h=YG(g,31)|0;e=212808;c=h+31|0;do{b[h>>0]=b[e>>0]|0;h=h+1|0;e=e+1|0}while((h|0)<(c|0));lT(-5,g,212790,951)}}return 0}function tT(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0;k=u;u=u+2288|0;l=k+1216|0;m=k+1208|0;n=k+1152|0;o=k+1096|0;q=k;zT(m,47040);if((e|d|g|h|0)<=-1){f[l>>2]=0;f[l+4>>2]=0;r=YG(l,50)|0;s=212840;t=r+50|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));lT(-215,l,212891,1187)}do if((pD(a)|0)==65536){v=f[a+4>>2]|0;f[n>>2]=f[v>>2];w=n+4|0;x=v+4|0;f[w>>2]=f[x>>2];y=n+8|0;f[y>>2]=f[v+8>>2];f[n+12>>2]=f[v+12>>2];f[n+16>>2]=f[v+16>>2];f[n+20>>2]=f[v+20>>2];f[n+24>>2]=f[v+24>>2];f[n+28>>2]=f[v+28>>2];f[n+32>>2]=f[v+32>>2];z=f[v+36>>2]|0;f[n+36>>2]=z;f[n+40>>2]=y;y=n+48|0;A=n+44|0;f[A>>2]=y;f[y>>2]=0;f[n+52>>2]=0;if(z|0){y=z+12|0;f[y>>2]=(f[y>>2]|0)+1}if((f[x>>2]|0)<3){x=f[v+44>>2]|0;y=f[A>>2]|0;f[y>>2]=f[x>>2];f[y+4>>2]=f[x+4>>2];B=n;break}else{f[w>>2]=0;kP(n,v);B=n;break}}else{lD(n,a,-1);B=n}while(0);a=f[B>>2]|0;if((i&16|0)==0&(a&32768|0)!=0){f[l>>2]=0;v=l+4|0;f[v>>2]=0;f[o>>2]=0;w=o+4|0;f[w>>2]=0;vP(n,l,o);x=f[w>>2]|0;w=(x|0)>(d|0)?d:x;y=n+8|0;A=(f[v>>2]|0)-(f[y>>2]|0)-x|0;x=(A|0)>(e|0)?e:A;A=f[o>>2]|0;v=(A|0)>(g|0)?g:A;z=n+12|0;C=(f[l>>2]|0)-(f[z>>2]|0)-A|0;A=(C|0)>(h|0)?h:C;wP(n,w,x,v,A)|0;D=d-w|0;E=e-x|0;F=g-v|0;G=h-A|0;H=y;I=z}else{D=d;E=e;F=g;G=h;H=n+8|0;I=n+12|0}iE(c,D+E+(f[H>>2]|0)|0,F+G+(f[I>>2]|0)|0,a&4095,-1,0,0);do if((pD(c)|0)==65536){a=f[c+4>>2]|0;f[o>>2]=f[a>>2];I=o+4|0;H=a+4|0;f[I>>2]=f[H>>2];h=o+8|0;f[h>>2]=f[a+8>>2];f[o+12>>2]=f[a+12>>2];f[o+16>>2]=f[a+16>>2];f[o+20>>2]=f[a+20>>2];f[o+24>>2]=f[a+24>>2];f[o+28>>2]=f[a+28>>2];f[o+32>>2]=f[a+32>>2];g=f[a+36>>2]|0;f[o+36>>2]=g;f[o+40>>2]=h;h=o+48|0;e=o+44|0;f[e>>2]=h;f[h>>2]=0;f[o+52>>2]=0;if(g|0){h=g+12|0;f[h>>2]=(f[h>>2]|0)+1}if((f[H>>2]|0)<3){H=f[a+44>>2]|0;h=f[e>>2]|0;f[h>>2]=f[H>>2];f[h+4>>2]=f[H+4>>2];break}else{f[I>>2]=0;kP(o,a);break}}else lD(o,c,-1);while(0);do if(F|G|E|D){c=i&-17;if(!c){a=f[B>>2]|0;I=(a>>>3&511)+1|0;H=q+8|0;f[q>>2]=H;h=q+4|0;f[h>>2]=I;if(I>>>0<=136)if(I>>>0>4){J=H;K=87}else{L=I;M=H}else{e=Dmc(I<<3)|0;f[q>>2]=e;J=e;K=87}if((K|0)==87){N=+p[j>>3];if(!(N==+p[j+8>>3])){f[l>>2]=0;O=l+4|0;f[O>>2]=0;P=YG(l,68)|0;r=P;s=212906;t=r+68|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));lT(-215,l,212891,1235)}if(!(N==+p[j+16>>3])){f[l>>2]=0;O=l+4|0;f[O>>2]=0;P=YG(l,68)|0;r=P;s=212906;t=r+68|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));lT(-215,l,212891,1235)}if(N==+p[j+24>>3]){L=1;M=J}else{f[l>>2]=0;O=l+4|0;f[O>>2]=0;P=YG(l,68)|0;r=P;s=212906;t=r+68|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));lT(-215,l,212891,1235)}}lU(j,M,a&7|(L<<3)+-8,I);e=f[n+16>>2]|0;g=f[n+48>>2]|0;d=f[n+40>>2]|0;z=f[d+4>>2]|0;y=f[d>>2]|0;d=f[o+16>>2]|0;A=f[o+48>>2]|0;v=f[o+40>>2]|0;x=f[v+4>>2]|0;w=f[v>>2]|0;v=f[n+4>>2]|0;if((v|0)>0)Q=f[(f[n+44>>2]|0)+(v+-1<<2)>>2]|0;else Q=0;v=f[q>>2]|0;C=Y(Q,x)|0;R=l+8|0;f[l>>2]=R;S=l+4|0;f[S>>2]=C;if(C>>>0>1032){T=Dmc(C)|0;f[l>>2]=T;U=T}else U=R;T=x-(z+F)|0;V=w-D-y|0;if((x|0)>0&(Q|0)>0){w=0;do{W=Y(w,Q)|0;X=0;do{b[U+(X+W)>>0]=b[v+X>>0]|0;X=X+1|0}while((X|0)!=(Q|0));w=w+1|0}while((w|0)!=(x|0))}x=Y(Q,z)|0;w=Y(Q,F)|0;v=Y(Q,T)|0;I=d+(Y(A,D)|0)|0;if((y|0)>0){a=0-w|0;X=e;W=I+w|0;Z=0;while(1){if((W|0)!=(X|0))Krc(W|0,X|0,x|0)|0;Krc(W+a|0,U|0,w|0)|0;Krc(W+x|0,U|0,v|0)|0;Z=Z+1|0;if((Z|0)==(y|0))break;else{X=X+g|0;W=W+A|0}}}if((D|0)>0){W=0;do{Krc(I+(Y(W-D|0,A)|0)|0,U|0,C|0)|0;W=W+1|0}while((W|0)!=(D|0))}if((V|0)>0){W=0;do{Krc(I+(Y(W+y|0,A)|0)|0,U|0,C|0)|0;W=W+1|0}while((W|0)!=(V|0))}V=f[l>>2]|0;if((V|0)!=(R|0)){if(V|0)Fmc(V);f[l>>2]=R;f[S>>2]=1032}V=f[q>>2]|0;if((V|0)!=(H|0)){if(V|0)Fmc(V);f[q>>2]=H;f[h>>2]=136}break}V=f[n+16>>2]|0;W=f[n+48>>2]|0;C=f[n+40>>2]|0;A=f[C+4>>2]|0;y=f[C>>2]|0;C=f[o+16>>2]|0;I=f[o+48>>2]|0;g=f[o+40>>2]|0;X=f[g+4>>2]|0;Z=f[g>>2]|0;g=f[n+4>>2]|0;if((g|0)>0)_=f[(f[n+44>>2]|0)+(g+-1<<2)>>2]|0;else _=0;g=((V|W|I|C|_)&3|0)==0;v=g?4:1;x=g?(_|0)/4|0:_;w=X-A|0;a=Y(x,w)|0;e=l+8|0;f[l>>2]=e;d=l+4|0;f[d>>2]=a;if(a>>>0>264){T=Dmc(a>>>0>1073741823?-1:a<<2)|0;f[l>>2]=T;$=T}else $=e;T=w-F|0;w=Z-D-y|0;a:do if((F|0)>0){if((x|0)>0)aa=0;else{Z=0;while(1){sT(Z-F|0,A,c)|0;Z=Z+1|0;if((Z|0)>=(F|0))break a}}do{Z=Y(sT(aa-F|0,A,c)|0,x)|0;a=Y(aa,x)|0;z=0;do{f[$+(z+a<<2)>>2]=z+Z;z=z+1|0}while((z|0)!=(x|0));aa=aa+1|0}while((aa|0)<(F|0))}while(0);b:do if((T|0)>0){if((x|0)>0)ba=0;else{h=0;while(1){sT(h+A|0,A,c)|0;h=h+1|0;if((h|0)>=(T|0))break b}}do{h=Y(sT(ba+A|0,A,c)|0,x)|0;H=Y(ba+F|0,x)|0;S=0;do{f[$+(S+H<<2)>>2]=S+h;S=S+1|0}while((S|0)!=(x|0));ba=ba+1|0}while((ba|0)<(T|0))}while(0);S=Y(x,A)|0;h=Y(x,X)|0;H=Y(x,F)|0;R=Y(x,T)|0;z=C+(Y(I,D)|0)|0;Z=z+(Y(H,v)|0)|0;c:do if((y|0)>0){a=(H|0)>0;ca=(R|0)>0;da=Y(S,v)|0;if(!g){if(a){ea=Z;fa=V;ga=0;while(1){if((ea|0)==(fa|0))ha=0;else{Krc(ea|0,fa|0,da|0)|0;ha=0}do{b[ea+(ha-H)>>0]=b[fa+(f[$+(ha<<2)>>2]|0)>>0]|0;ha=ha+1|0}while((ha|0)!=(H|0));if(ca){ia=0;do{b[ea+(ia+S)>>0]=b[fa+(f[$+(ia+H<<2)>>2]|0)>>0]|0;ia=ia+1|0}while((ia|0)!=(R|0))}ga=ga+1|0;if((ga|0)==(y|0))break c;else{ea=ea+I|0;fa=fa+W|0}}}if(ca){ja=Z;ka=V;la=0}else{fa=Z;ea=V;ga=0;while(1){if((fa|0)!=(ea|0))Krc(fa|0,ea|0,da|0)|0;ga=ga+1|0;if((ga|0)==(y|0))break c;else{fa=fa+I|0;ea=ea+W|0}}}while(1){if((ja|0)==(ka|0))ma=0;else{Krc(ja|0,ka|0,da|0)|0;ma=0}do{b[ja+(ma+S)>>0]=b[ka+(f[$+(ma+H<<2)>>2]|0)>>0]|0;ma=ma+1|0}while((ma|0)!=(R|0));la=la+1|0;if((la|0)==(y|0))break c;else{ja=ja+I|0;ka=ka+W|0}}}if(a){ea=Z;fa=V;ga=0;while(1){if((ea|0)!=(fa|0))Krc(ea|0,fa|0,da|0)|0;ia=0;do{f[ea+(ia-H<<2)>>2]=f[fa+(f[$+(ia<<2)>>2]<<2)>>2];ia=ia+1|0}while((ia|0)!=(H|0));if(ca){ia=0;do{f[ea+(ia+S<<2)>>2]=f[fa+(f[$+(ia+H<<2)>>2]<<2)>>2];ia=ia+1|0}while((ia|0)!=(R|0))}ga=ga+1|0;if((ga|0)==(y|0))break c;else{ea=ea+I|0;fa=fa+W|0}}}if(ca){na=Z;oa=V;pa=0}else{fa=Z;ea=V;ga=0;while(1){if((fa|0)!=(ea|0))Krc(fa|0,ea|0,da|0)|0;ga=ga+1|0;if((ga|0)==(y|0))break c;else{fa=fa+I|0;ea=ea+W|0}}}while(1){if((na|0)!=(oa|0))Krc(na|0,oa|0,da|0)|0;ea=0;do{f[na+(ea+S<<2)>>2]=f[oa+(f[$+(ea+H<<2)>>2]<<2)>>2];ea=ea+1|0}while((ea|0)!=(R|0));pa=pa+1|0;if((pa|0)==(y|0))break;else{na=na+I|0;oa=oa+W|0}}}while(0);W=Y(h,v)|0;if((D|0)>0){R=0;do{H=R-D|0;Krc(z+(Y(H,I)|0)|0,z+(Y(sT(H,y,c)|0,I)|0)|0,W|0)|0;R=R+1|0}while((R|0)<(D|0))}if((w|0)>0){R=0;do{v=R+y|0;Krc(z+(Y(v,I)|0)|0,z+(Y(sT(v,y,c)|0,I)|0)|0,W|0)|0;R=R+1|0}while((R|0)<(w|0))}w=f[l>>2]|0;if((w|0)!=(e|0)){if(w|0)Fmc(w);f[l>>2]=e;f[d>>2]=264}}else{if((f[n+16>>2]|0)==(f[o+16>>2]|0)?(f[n+48>>2]|0)==(f[o+48>>2]|0):0)break;w=l+8|0;f[w>>2]=0;f[w+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=o;kT(n,l)}while(0);l=o+36|0;D=f[l>>2]|0;if(D|0?(oa=D+12|0,D=f[oa>>2]|0,f[oa>>2]=D+-1,(D|0)==1):0)lP(o);f[l>>2]=0;l=o+16|0;D=o+4|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[D>>2]|0)>0){l=f[o+40>>2]|0;oa=0;do{f[l+(oa<<2)>>2]=0;oa=oa+1|0}while((oa|0)<(f[D>>2]|0))}D=f[o+44>>2]|0;if((D|0)!=(o+48|0))tE(D);D=n+36|0;o=f[D>>2]|0;if(o|0?(oa=o+12|0,o=f[oa>>2]|0,f[oa>>2]=o+-1,(o|0)==1):0)lP(n);f[D>>2]=0;D=n+16|0;o=n+4|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[o>>2]|0)>0){D=f[n+40>>2]|0;oa=0;do{f[D+(oa<<2)>>2]=0;oa=oa+1|0}while((oa|0)<(f[o>>2]|0))}o=f[n+44>>2]|0;if((o|0)!=(n+48|0))tE(o);if(!(f[m+4>>2]|0)){u=k;return}u=k;return}function uT(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;e=u;u=u+208|0;g=e+144|0;h=e+88|0;i=e+72|0;j=e+56|0;k=e;l=(a|0)!=0;if((l?(c|0?(f[a>>2]&-65536|0)==1111752704:0):0)?(f[c>>2]&-65536|0)==1111752704:0){if(d|0){f[g>>2]=0;f[g+4>>2]=0;m=YG(g,12)|0;n=213065;o=m+12|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));lT(-215,g,213078,1251)}p=a+4|0;f[c+4>>2]=f[p>>2];Krc(c+36|0,a+36|0,f[p>>2]<<2|0)|0;f[c+28>>2]=f[a+28>>2];f[c+32>>2]=f[a+32>>2];p=c+16|0;vW(f[p>>2]|0);q=c+24|0;r=f[q>>2]|0;s=c+20|0;if((f[(f[a+16>>2]|0)+60>>2]|0)<(r*3|0)){t=s;v=r;w=f[s>>2]|0}else{vE(f[s>>2]|0);f[s>>2]=0;r=f[a+24>>2]|0;f[q>>2]=r;x=uE(r<<2)|0;f[s>>2]=x;t=s;v=f[q>>2]|0;w=x}Drc(w|0,0,v<<2|0)|0;v=UT(a,h)|0;a:do if(v|0){w=h+4|0;x=h+8|0;s=v;while(1){r=f[p>>2]|0;y=r+56|0;z=f[y>>2]|0;f[g>>2]=z;if(!z){uW(r,0,g)|0;A=f[p>>2]|0;B=f[g>>2]|0}else{f[y>>2]=f[z+4>>2];f[z>>2]=f[z>>2]&67108863;y=r+60|0;f[y>>2]=(f[y>>2]|0)+1;A=r;B=z}z=(f[q>>2]|0)+-1&f[s>>2];Krc(B|0,s|0,f[A+28>>2]|0)|0;r=(f[t>>2]|0)+(z<<2)|0;f[B+4>>2]=f[r>>2];f[r>>2]=B;r=f[(f[w>>2]|0)+4>>2]|0;if(!r){z=(f[x>>2]|0)+1|0;f[x>>2]=z;y=f[h>>2]|0;C=f[y+24>>2]|0;if((z|0)>=(C|0))break a;D=f[y+20>>2]|0;y=z;while(1){E=f[D+(y<<2)>>2]|0;if(E|0)break;z=y+1|0;if((z|0)<(C|0))y=z;else break a}f[x>>2]=y;F=E}else F=r;f[w>>2]=F;s=F}}while(0);u=e;return}mU(g,a,0,1,1,0);mU(h,c,0,1,1,0);if((f[h>>2]^f[g>>2])&7|0){f[i>>2]=0;G=i+4|0;f[G>>2]=0;H=YG(i,50)|0;m=H;n=213085;o=m+50|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));lT(-215,i,213078,1285)}F=g+40|0;E=f[F>>2]|0;B=f[E+-4>>2]|0;t=h+40|0;A=f[t>>2]|0;if((B|0)!=(f[A+-4>>2]|0)){f[i>>2]=0;G=i+4|0;f[G>>2]=0;H=YG(i,50)|0;m=H;n=213085;o=m+50|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));lT(-215,i,213078,1285)}b:do if((B|0)==2){if((f[E>>2]|0)!=(f[A>>2]|0)){f[i>>2]=0;G=i+4|0;f[G>>2]=0;H=YG(i,50)|0;m=H;n=213085;o=m+50|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));lT(-215,i,213078,1285)}if((f[E+4>>2]|0)!=(f[A+4>>2]|0)){f[i>>2]=0;G=i+4|0;f[G>>2]=0;H=YG(i,50)|0;m=H;n=213085;o=m+50|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));lT(-215,i,213078,1285)}}else if((B|0)>0){q=0;while(1){if((f[E+(q<<2)>>2]|0)!=(f[A+(q<<2)>>2]|0))break;q=q+1|0;if((q|0)>=(B|0))break b}f[i>>2]=0;G=i+4|0;f[G>>2]=0;H=YG(i,50)|0;m=H;n=213085;o=m+50|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));lT(-215,i,213078,1285)}while(0);if((l?(f[a>>2]|0)==112:0)?(f[a+68>>2]|0)!=0:0)I=gU(a)|0;else I=0;if(((c|0)!=0?(f[c>>2]|0)==112:0)?(f[c+68>>2]|0)!=0:0)J=gU(c)|0;else J=0;c=(J|0)==0;do if(!(J|I)){if((f[h>>2]^f[g>>2])&4088|0){f[i>>2]=0;f[i+4>>2]=0;m=YG(i,32)|0;n=213209;o=m+32|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));lT(-215,i,213078,1303)}if(!d){a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=h;kT(g,i);break}a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=h;mU(k,d,0,1,0,0);f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=k;mT(g,i,j);a=k+36|0;l=f[a>>2]|0;if(l|0?(H=l+12|0,l=f[H>>2]|0,f[H>>2]=l+-1,(l|0)==1):0)lP(k);f[a>>2]=0;a=k+16|0;l=k+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[l>>2]|0)>0){a=f[k+40>>2]|0;H=0;do{f[a+(H<<2)>>2]=0;H=H+1|0}while((H|0)<(f[l>>2]|0))}l=f[k+44>>2]|0;if((l|0)!=(k+48|0))tE(l)}else{if((I|0)==0?f[g>>2]&4088|0:0){f[i>>2]=0;K=i+4|0;f[K>>2]=0;L=YG(i,72)|0;m=L;n=213136;o=m+72|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));lT(-215,i,213078,1296)}if(c?f[h>>2]&4088|0:0){f[i>>2]=0;K=i+4|0;f[K>>2]=0;L=YG(i,72)|0;m=L;n=213136;o=m+72|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));lT(-215,i,213078,1296)}l=I+-1|0;f[i>>2]=(l|0)>0?l:0;l=J+-1|0;f[i+4>>2]=(l|0)>0?l:0;wG(g,1,h,1,i,1)}while(0);i=h+36|0;J=f[i>>2]|0;if(J|0?(I=J+12|0,J=f[I>>2]|0,f[I>>2]=J+-1,(J|0)==1):0)lP(h);f[i>>2]=0;i=h+16|0;J=h+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[J>>2]|0)>0){i=f[t>>2]|0;t=0;do{f[i+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[J>>2]|0))}J=f[h+44>>2]|0;if((J|0)!=(h+48|0))tE(J);J=g+36|0;h=f[J>>2]|0;if(h|0?(t=h+12|0,h=f[t>>2]|0,f[t>>2]=h+-1,(h|0)==1):0)lP(g);f[J>>2]=0;J=g+16|0;h=g+4|0;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;f[J+12>>2]=0;if((f[h>>2]|0)>0){J=f[F>>2]|0;F=0;do{f[J+(F<<2)>>2]=0;F=F+1|0}while((F|0)<(f[h>>2]|0))}h=f[g+44>>2]|0;if((h|0)!=(g+48|0))tE(h);u=e;return}function vT(a){a=a|0;var b=0,c=0,d=0,e=0;b=u;u=u+96|0;c=b+32|0;d=b;if(a|0?(f[a>>2]&-65536|0)==1111752704:0){vW(f[a+16>>2]|0);e=f[a+20>>2]|0;if(!e){u=b;return}Drc(e|0,0,f[a+24>>2]<<2|0)|0;u=b;return}mU(c,a,0,1,0,0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[d+24>>2]=0;f[d+28>>2]=0;nT(c,d)|0;d=c+36|0;a=f[d>>2]|0;if(a|0?(e=a+12|0,a=f[e>>2]|0,f[e>>2]=a+-1,(a|0)==1):0)lP(c);f[d>>2]=0;d=c+16|0;a=c+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[a>>2]|0)>0){d=f[c+40>>2]|0;e=0;do{f[d+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[a>>2]|0))}a=f[c+44>>2]|0;if((a|0)!=(c+48|0))tE(a);u=b;return}function wT(){var a=0,c=0,d=0,e=0;a=u;u=u+16|0;c=a;f[c>>2]=0;f[c+4>>2]=0;a=YG(c,44)|0;d=224421;e=a+44|0;do{b[a>>0]=b[d>>0]|0;a=a+1|0;d=d+1|0}while((a|0)<(e|0));SQ(-216,c,224466,224480,107)}function xT(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;wT()}function yT(a){a=a|0;return}function zT(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;return}function AT(a){a=a|0;return}function BT(a,b){a=a|0;b=b|0;return}function CT(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;SQ(a,b,c,213242,d);return}function DT(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=ET(a,b,c)|0;FT(d);return d|0}function ET(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e;h=d&4095;if((c|a|0)<0){f[g>>2]=0;f[g+4>>2]=0;i=YG(g,28)|0;j=213435;k=i+28|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));CT(-201,g,213464,119)}l=(d>>>3&511)+1<<(47696>>>(d<<1&14)&3);if((l|0)<1){f[g>>2]=0;f[g+4>>2]=0;i=YG(g,19)|0;j=213482;k=i+19|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));CT(-210,g,213464,123)}g=Y(l,c)|0;l=uE(28)|0;f[l+4>>2]=g;f[l>>2]=h|1111638016;f[l+20>>2]=a;f[l+24>>2]=c;f[l+16>>2]=0;f[l+8>>2]=0;f[l+12>>2]=1;c=Urc(a|0,((a|0)<0)<<31>>31|0,g|0,((g|0)<0)<<31>>31|0)|0;g=J;if(!((g|0)>0|(g|0)==0&c>>>0>2147483647)){u=e;return l|0}f[l>>2]=h|1111621632;u=e;return l|0}function FT(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;c=u;u=u+16|0;d=c;if(!a){f[d>>2]=0;e=d+4|0;f[e>>2]=0;g=YG(d,38)|0;h=g;i=213396;j=h+38|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));CT(-5,d,213332,885)}k=f[a>>2]|0;l=k&-65536;if(((l|0)==1111621632?(m=f[a+24>>2]|0,(m|0)>-1):0)?(n=f[a+20>>2]|0,(n|0)>-1):0){o=f[a+4>>2]|0;if((m|0)==0|(n|0)==0){u=c;return}p=a+16|0;if(f[p>>2]|0){f[d>>2]=0;f[d+4>>2]=0;h=YG(d,25)|0;i=213306;j=h+25|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));CT(-2,d,213332,806)}if(!o)q=Y(m,(k>>>3&511)+1<<(47696>>>(k<<1&14)&3))|0;else q=o;o=Urc(n|0,((n|0)<0)<<31>>31|0,q|0,0)|0;q=Arc(o|0,J|0,68,0)|0;if(!((q|0)==(q|0)&(J|0)==0)){f[d>>2]=0;f[d+4>>2]=0;h=YG(d,27)|0;i=213345;j=h+27|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));CT(-4,d,213332,814)}o=uE(q)|0;f[a+8>>2]=o;f[p>>2]=o+4+63&-64;f[o>>2]=1;u=c;return}if((k|0)==112){o=a+68|0;if(f[o>>2]|0){f[d>>2]=0;f[d+4>>2]=0;h=YG(d,25)|0;i=213306;j=h+25|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));CT(-2,d,213332,824)}p=f[135515]|0;if(!p){q=f[a+72>>2]|0;n=f[a+44>>2]|0;m=Urc(n|0,((n|0)<0)<<31>>31|0,q|0,((q|0)<0)<<31>>31|0)|0;q=f[a+64>>2]|0;if(!((q|0)==(m|0)&(((q|0)<0)<<31>>31|0)==(J|0))){f[d>>2]=0;f[d+4>>2]=0;h=YG(d,22)|0;i=213373;j=h+22|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));CT(-4,d,213332,830)}m=uE(q)|0;f[a+108>>2]=m;f[o>>2]=m;u=c;return}else{m=a+16|0;o=f[m>>2]|0;q=a+40|0;n=f[q>>2]|0;switch(o|0){case 32:case 64:{r=Y((o|0)==32?4:8,n)|0;f[q>>2]=r;f[m>>2]=8;break}default:{}}Yh[p&511](a,0,0);f[q>>2]=n;f[m>>2]=o;u=c;return}}if((l|0)!=1111687168){f[d>>2]=0;e=d+4|0;f[e>>2]=0;g=YG(d,38)|0;h=g;i=213396;j=h+38|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));CT(-5,d,213332,885)}g=(k>>>3&511)+1<<(47696>>>(k<<1&14)&3);e=a+20|0;l=f[e>>2]|0;if(!l){u=c;return}o=a+16|0;if(f[o>>2]|0){f[d>>2]=0;f[d+4>>2]=0;h=YG(d,25)|0;i=213306;j=h+25|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));CT(-2,d,213332,860)}if(!(k&16384)){k=f[a+4>>2]|0;if((k|0)>0){d=k;k=g;while(1){i=d;d=d+-1|0;h=Y(f[e+(d<<3)>>2]|0,f[e+(d<<3)+4>>2]|0)|0;j=k>>>0<h>>>0?h:k;if((i|0)<=1){s=j;break}else k=j}}else s=g}else{k=f[a+24>>2]|0;s=Y((k|0)==0?g:k,l)|0}l=uE(s+68|0)|0;f[a+8>>2]=l;f[o>>2]=l+4+63&-64;f[l>>2]=1;u=c;return}function GT(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0;i=u;u=u+16|0;j=i;if(!a){f[j>>2]=0;f[j+4>>2]=0;CT(-27,j,213502,147)}if((d|c|0)<0){f[j>>2]=0;f[j+4>>2]=0;k=YG(j,25)|0;l=213518;m=k+25|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));CT(-201,j,213502,153)}l=e&4095|1111621632;f[a>>2]=l;f[a+20>>2]=c;f[a+24>>2]=d;f[a+16>>2]=g;f[a+8>>2]=0;f[a+12>>2]=0;g=Y((e>>>3&511)+1<<(47696>>>(e<<1&14)&3),d)|0;if((h|0)<2147483647)switch(h|0){case 0:{n=g;break}default:o=6}else switch(h|0){case 2147483647:{n=g;break}default:o=6}if((o|0)==6)if((g|0)>(h|0)){f[j>>2]=0;f[j+4>>2]=0;CT(-13,j,213502,169)}else n=h;f[a+4>>2]=n;h=Urc(c|0,((c|0)<0)<<31>>31|0,n|0,((n|0)<0)<<31>>31|0)|0;j=J;f[a>>2]=l|((j|0)>0|(j|0)==0&h>>>0>2147483647?0:(n|0)==(g|0)|(c|0)==1?16384:0);u=i;return a|0}function HT(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;b=u;u=u+16|0;c=b;if(!a){f[c>>2]=0;f[c+4>>2]=0;CT(-9,c,213544,190)}d=f[a>>2]|0;if(!d){u=b;return}e=f[d>>2]&-65536;a:do if((e|0)<1111687168){switch(e|0){case 1111621632:break;default:{g=7;break a}}if((f[d+24>>2]|0)>-1?(f[d+20>>2]|0)>-1:0){f[a>>2]=0;if(((f[d+24>>2]|0)>0?(f[d+20>>2]|0)>0:0)?(h=d+16|0,(f[h>>2]|0)!=0):0){f[h>>2]=0;h=d+8|0;i=f[h>>2]|0;if(i|0?(j=(f[i>>2]|0)+-1|0,f[i>>2]=j,(j|0)==0):0){vE(i);f[h>>2]=0}f[h>>2]=0;k=d}else k=d}else g=7}else{switch(e|0){case 1111687168:break;default:{g=7;break a}}f[a>>2]=0;h=d+16|0;if(!(f[h>>2]|0))k=d;else{f[h>>2]=0;h=d+8|0;i=f[h>>2]|0;if(i|0?(j=(f[i>>2]|0)+-1|0,f[i>>2]=j,(j|0)==0):0){vE(i);f[h>>2]=0}f[h>>2]=0;k=d}}while(0);if((g|0)==7){f[c>>2]=0;f[c+4>>2]=0;CT(-206,c,213544,197)}vE(k);u=b;return}function IT(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+16|0;d=c;if(((a|0?(e=f[a>>2]|0,(e&-65536|0)==1111621632):0)?(g=f[a+24>>2]|0,(g|0)>0):0)?(h=f[a+20>>2]|0,(h|0)>0):0){i=ET(h,g,e)|0;if(!(f[a+16>>2]|0)){u=c;return i|0}FT(i);uT(a,i,0);u=c;return i|0}f[d>>2]=0;f[d+4>>2]=0;i=YG(d,16)|0;c=213557;a=i+16|0;do{b[i>>0]=b[c>>0]|0;i=i+1|0;c=c+1|0}while((i|0)<(a|0));CT(-5,d,213574,212);return 0}function JT(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=u;u=u+16|0;i=h;j=e&4095;k=(e>>>3&511)+1<<(47696>>>(e<<1&14)&3);if(!a){f[i>>2]=0;f[i+4>>2]=0;l=YG(i,26)|0;m=213585;n=l+26|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));CT(-27,i,213612,238)}if(!k){f[i>>2]=0;f[i+4>>2]=0;l=YG(i,23)|0;m=213630;n=l+23|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));CT(-210,i,213612,241)}if(!d){f[i>>2]=0;f[i+4>>2]=0;l=YG(i,20)|0;m=213654;n=l+20|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));CT(-27,i,213612,244)}if((c+-1|0)>>>0>31){f[i>>2]=0;f[i+4>>2]=0;l=YG(i,46)|0;m=213675;n=l+46|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));CT(-211,i,213612,248)}else{o=c;p=0;q=k}while(1){k=o;o=o+-1|0;e=d+(o<<2)|0;r=f[e>>2]|0;if((r|0)<0){s=11;break}f[a+20+(o<<3)>>2]=r;if((p|0)>0|(p|0)==0&q>>>0>2147483647){s=13;break}f[a+20+(o<<3)+4>>2]=q;r=f[e>>2]|0;q=Urc(r|0,((r|0)<0)<<31>>31|0,q|0,p|0)|0;p=J;if((k|0)<=1){s=9;break}}if((s|0)==9){f[a>>2]=((p|0)<0|(p|0)==0&q>>>0<2147483648?1111703552:1111687168)|j;f[a+4>>2]=c;f[a+16>>2]=g;f[a+8>>2]=0;f[a+12>>2]=0;u=h;return a|0}else if((s|0)==11){f[i>>2]=0;f[i+4>>2]=0;l=YG(i,37)|0;m=213722;n=l+37|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));CT(-201,i,213612,253)}else if((s|0)==13){f[i>>2]=0;f[i+4>>2]=0;l=YG(i,20)|0;m=213760;n=l+20|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));CT(-211,i,213612,256)}return 0}function KT(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=LT(a,b,c)|0;FT(d);return d|0}function LT(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+16|0;g=e;if((a+-1|0)>>>0>31){f[g>>2]=0;f[g+4>>2]=0;h=YG(g,46)|0;i=213675;j=h+46|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));CT(-211,g,213781,287)}else{g=uE(276)|0;JT(g,a,c,d,0)|0;f[g+12>>2]=1;u=e;return g|0}return 0}function MT(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+256|0;d=c+128|0;e=c+72|0;g=c+16|0;h=c;if(!a){f[d>>2]=0;i=d+4|0;f[i>>2]=0;j=YG(d,18)|0;k=j;l=213801;m=k+18|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));CT(-5,d,213820,302)}n=f[a>>2]|0;if((n&-65536|0)!=1111687168){f[d>>2]=0;i=d+4|0;f[i>>2]=0;j=YG(d,18)|0;k=j;l=213801;m=k+18|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));CT(-5,d,213820,302)}j=f[a+4>>2]|0;if((j|0)>=33){f[d>>2]=0;f[d+4>>2]=0;k=YG(d,23)|0;l=213833;m=k+23|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));CT(-215,d,213820,304)}if((j|0)>0){i=0;do{f[d+(i<<2)>>2]=f[a+20+(i<<3)>>2];i=i+1|0}while((i|0)!=(j|0))}i=LT(j,d,n)|0;if(!(f[a+16>>2]|0)){u=c;return i|0}FT(i);mU(e,a,0,1,0,0);mU(g,i,0,1,0,0);a=f[i+16>>2]|0;n=h+8|0;f[n>>2]=0;f[n+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=g;kT(e,h);n=g+16|0;if((f[n>>2]|0)!=(a|0)){f[h>>2]=0;f[h+4>>2]=0;k=YG(h,18)|0;l=213857;m=k+18|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));CT(-215,h,213820,319)}h=g+36|0;l=f[h>>2]|0;if(l|0?(k=l+12|0,l=f[k>>2]|0,f[k>>2]=l+-1,(l|0)==1):0)lP(g);f[h>>2]=0;h=g+4|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[h>>2]|0)>0){n=f[g+40>>2]|0;l=0;do{f[n+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[h>>2]|0))}h=f[g+44>>2]|0;if((h|0)!=(g+48|0))tE(h);h=e+36|0;g=f[h>>2]|0;if(g|0?(l=g+12|0,g=f[l>>2]|0,f[l>>2]=g+-1,(g|0)==1):0)lP(e);f[h>>2]=0;h=e+16|0;g=e+4|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[g>>2]|0)>0){h=f[e+40>>2]|0;l=0;do{f[h+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[g>>2]|0))}g=f[e+44>>2]|0;if((g|0)!=(e+48|0))tE(g);u=c;return i|0}function NT(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0;i=u;u=u+16|0;j=i+8|0;k=i;if((a+-1|0)>>>0>9){f[j>>2]=0;f[j+4>>2]=0;l=YG(j,26)|0;m=213876;n=l+26|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));CT(-211,j,213903,394)}if(!((c|0)!=0&(e|0)!=0)){f[j>>2]=0;f[j+4>>2]=0;l=YG(j,39)|0;m=213924;n=l+39|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));CT(-27,j,213903,397)}if(!g){f[j>>2]=0;f[j+4>>2]=0;l=YG(j,24)|0;m=213964;n=l+24|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));CT(-27,j,213903,400)}if(d|0){f[j>>2]=0;f[j+4>>2]=0;l=YG(j,35)|0;m=213989;n=l+35|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));CT(-5,j,213903,403)}d=h&255;o=(h&4|0)==0;h=0;p=-1;q=0;a:while(1){r=f[c+(q<<2)>>2]|0;if(!r){s=11;break}if((f[r>>2]&-65536|0)==1111687168?(f[r+16>>2]|0)!=0:0)t=r;else{f[j>>2]=0;v=OT(r,e+(q*276|0)|0,j)|0;if(f[j>>2]|0){s=15;break}t=v}v=g+184+(q<<2)|0;f[v>>2]=t;w=f[t+4>>2]|0;if((q|0)>0){if((w|0)!=(f[h+4>>2]|0)){s=19;break}switch(d&3){case 0:{if((f[h>>2]^f[t>>2])&4095|0){s=22;break a}break}case 1:{if((f[h>>2]^f[t>>2])&4088|0){s=24;break a}break}case 2:{if((f[h>>2]^f[t>>2])&4088|0){s=26;break a}break}default:{}}if(o&(w|0)>0){r=0;while(1){if((f[t+20+(r<<3)>>2]|0)!=(f[h+20+(r<<3)>>2]|0)){s=30;break a}r=r+1|0;if((r|0)>=(w|0)){x=h;break}}}else x=h}else x=t;r=f[t>>2]|0;y=(r>>>3&511)+1<<(47696>>>(r<<1&14)&3);r=w+-1|0;b:do if((r|0)>(p|0)){z=w;A=r;B=y;C=0;while(1){D=f[t+20+(A<<3)+4>>2]|0;if(!((B|0)==(D|0)&(C|0)==(((D|0)<0)<<31>>31|0))){E=z;F=A;G=C;H=B;break b}D=f[t+20+(A<<3)>>2]|0;I=Urc(D|0,((D|0)<0)<<31>>31|0,B|0,C|0)|0;D=J;K=A+-1|0;if((K|0)>(p|0)){L=A;A=K;B=I;C=D;z=L}else{E=A;F=K;G=D;H=I;break}}}else{E=w;F=r;G=0;H=y}while(0);y=(F|0)==(p|0)&((G|0)>0|(G|0)==0&H>>>0>2147483647)?E:F;p=(y|0)>(p|0)?y:p;f[v>>2]=t;f[g+16+(q<<2)>>2]=f[t+16>>2];q=q+1|0;if((q|0)>=(a|0)){s=35;break}else h=x}if((s|0)==11){f[j>>2]=0;f[j+4>>2]=0;l=YG(j,39)|0;m=213924;n=l+39|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));CT(-27,j,213903,411)}else if((s|0)==15){f[k>>2]=0;f[k+4>>2]=0;l=YG(k,27)|0;m=214025;n=l+27|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));CT(-24,k,213903,420)}else if((s|0)==19){f[j>>2]=0;f[j+4>>2]=0;l=YG(j,47)|0;m=214053;n=l+47|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));CT(-209,j,213903,429)}else if((s|0)==22){f[j>>2]=0;f[j+4>>2]=0;l=YG(j,40)|0;m=214101;n=l+40|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));CT(-205,j,213903,436)}else if((s|0)==24){f[j>>2]=0;f[j+4>>2]=0;l=YG(j,49)|0;m=214142;n=l+49|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));CT(-205,j,213903,441)}else if((s|0)==26){f[j>>2]=0;f[j+4>>2]=0;l=YG(j,36)|0;m=214192;n=l+36|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));CT(-205,j,213903,446)}else if((s|0)==30){f[j>>2]=0;f[j+4>>2]=0;l=YG(j,43)|0;m=214229;n=l+43|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));CT(-209,j,213903,455)}else if((s|0)==35){s=w+-1|0;if((s|0)>(p|0)){w=1;j=s;do{w=Y(f[x+20+(j<<3)>>2]|0,w)|0;j=j+-1|0}while((j|0)>(p|0));M=w;N=1}else{M=1;N=1}w=p+1|0;f[g+4>>2]=w;f[g>>2]=a;a=g+8|0;f[a>>2]=M;f[a+4>>2]=N;if((p|0)<0){u=i;return w|0}else O=0;do{f[g+56+(O<<2)>>2]=f[x+20+(O<<3)>>2];O=O+1|0}while((O|0)!=(w|0));u=i;return w|0}return 0}function OT(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+48|0;g=e+8|0;h=e;if(d|0)f[d>>2]=0;if(!((a|0)!=0&(c|0)!=0)){f[g>>2]=0;f[g+4>>2]=0;i=YG(g,28)|0;j=214273;k=i+28|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));CT(-27,g,214302,336)}l=f[a>>2]|0;if((l&-65536|0)==1111687168)if(!(f[a+16>>2]|0)){f[g>>2]=0;f[g+4>>2]=0;i=YG(g,32)|0;j=214313;k=i+32|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));CT(-27,g,214302,341)}else{m=a;u=e;return m|0}if((l|0)==112)n=PT(a,g,d,0)|0;else n=a;if(((n|0?(a=f[n>>2]|0,(a&-65536|0)==1111621632):0)?(d=n+24|0,(f[d>>2]|0)>0):0)?(g=n+20|0,(f[g>>2]|0)>0):0){l=f[n+16>>2]|0;if(!l){f[h>>2]=0;f[h+4>>2]=0;i=YG(h,33)|0;j=214385;k=i+33|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));CT(-27,h,214302,356)}f[c+16>>2]=l;f[c+8>>2]=0;f[c+12>>2]=0;f[c>>2]=a;f[c+4>>2]=2;f[c+20>>2]=f[g>>2];f[c+24>>2]=f[n+4>>2];f[c+28>>2]=f[d>>2];f[c+32>>2]=(a>>>3&511)+1<<(47696>>>(a<<1&14)&3);m=c;u=e;return m|0}f[h>>2]=0;f[h+4>>2]=0;i=YG(h,38)|0;j=214346;k=i+38|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));CT(-5,h,214302,353);return 0}function PT(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;g=u;u=u+16|0;h=g;if(!((a|0)!=0&(c|0)!=0)){f[h>>2]=0;f[h+4>>2]=0;i=YG(h,28)|0;j=214273;k=i+28|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));CT(-27,h,214419,2390)}l=f[a>>2]|0;m=l&-65536;if(((m|0)==1111621632?(f[a+24>>2]|0)>0:0)?(f[a+20>>2]|0)>0:0)if(!(f[a+16>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;i=YG(h,32)|0;j=214313;k=i+32|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));CT(-27,h,214419,2395)}else{n=a;o=0}else p=8;do if((p|0)==8){if((l|0)!=112){if(!((e|0)!=0&(m|0)==1111687168)){f[h>>2]=0;f[h+4>>2]=0;i=YG(h,38)|0;j=214346;k=i+38|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));CT(-206,h,214419,2492)}q=a+20|0;r=f[q>>2]|0;s=a+16|0;if(!(f[s>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;i=YG(h,33)|0;j=214385;k=i+33|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));CT(-27,h,214419,2465)}if(!(l&16384)){f[h>>2]=0;f[h+4>>2]=0;i=YG(h,44)|0;j=214622;k=i+44|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));CT(-5,h,214419,2468)}t=f[a+4>>2]|0;if((t|0)<=2)if((t|0)==1)v=1;else v=f[a+28>>2]|0;else{w=1;x=1;while(1){y=Y(f[q+(x<<3)>>2]|0,w)|0;x=x+1|0;if((x|0)==(t|0)){v=y;break}else w=y}}f[c+8>>2]=0;f[c+12>>2]=0;f[c+16>>2]=f[s>>2];f[c+20>>2]=r;f[c+24>>2]=v;w=f[a>>2]|0;t=w&4095;f[c>>2]=t|1111638016;x=Y((w>>>3&511)+1<<(47696>>>(w<<1&14)&3),v)|0;w=(r|0)>1?x:0;f[c+4>>2]=w;x=Urc(w|0,((w|0)<0)<<31>>31|0,r|0,((r|0)<0)<<31>>31|0)|0;w=J;if(!((w|0)>0|(w|0)==0&x>>>0>2147483647)){n=c;o=0;break}f[c>>2]=t|1111621632;n=c;o=0;break}t=f[a+68>>2]|0;if(!t){f[h>>2]=0;f[h+4>>2]=0;i=YG(h,31)|0;j=214428;k=i+31|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));CT(-27,h,214419,2405)}r=f[a+16>>2]|0;s=1125516576>>>((r>>>2&60)+(r>>31&20)|0);r=s&7;x=f[a+8>>2]|0;w=(x|0)>1?f[a+28>>2]|0:0;q=f[a+48>>2]|0;if(!q)if(!w){GT(c,f[a+44>>2]|0,f[a+40>>2]|0,r|(x<<3)+-8,t,f[a+72>>2]|0)|0;n=c;o=0;break}else{f[h>>2]=0;f[h+4>>2]=0;i=YG(h,40)|0;j=214581;k=i+40|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));CT(-206,h,214419,2451)}y=f[q>>2]|0;if((w|0)==1)if(!y){f[h>>2]=0;f[h+4>>2]=0;i=YG(h,63)|0;j=214460;k=i+63|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));CT(-206,h,214419,2421)}else{w=t+(Y(f[a+64>>2]|0,y+-1|0)|0)|0;z=f[a+72>>2]|0;A=w+(Y(z,f[q+8>>2]|0)|0)|0;GT(c,f[q+16>>2]|0,f[q+12>>2]|0,r,A+(f[q+4>>2]<<(47696>>>(s<<1&14)&3))|0,z)|0;n=c;o=0;break}else{z=(x<<3)+-8|0;if((x|0)>512){f[h>>2]=0;f[h+4>>2]=0;i=YG(h,56)|0;j=214524;k=i+56|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));CT(-15,h,214419,2437)}else{x=f[a+72>>2]|0;A=t+(Y(x,f[q+8>>2]|0)|0)|0;GT(c,f[q+16>>2]|0,f[q+12>>2]|0,r|z,A+(Y(f[q+4>>2]|0,(z>>>3&511)+1<<(47696>>>(s<<1&14)&3))|0)|0,x)|0;n=c;o=y;break}}}while(0);if(!d){u=g;return n|0}f[d>>2]=o;u=g;return n|0}function QT(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=f[a+4>>2]|0;if((b|0)<=0){c=0;return c|0}d=a+184|0;e=a+16|0;g=b;while(1){b=g;g=g+-1|0;if((f[a>>2]|0)>0){h=0;do{i=a+16+(h<<2)|0;f[i>>2]=(f[i>>2]|0)+(f[(f[a+184+(h<<2)>>2]|0)+20+(g<<3)+4>>2]|0);h=h+1|0}while((h|0)<(f[a>>2]|0))}h=a+56+(g<<2)|0;i=f[h>>2]|0;f[h>>2]=i+-1;if((i|0)>1){c=1;j=10;break}i=f[d>>2]|0;k=f[i+20+(g<<3)>>2]|0;l=f[a>>2]|0;if((l|0)>0?(m=0-k|0,n=(f[e>>2]|0)+(Y(f[i+20+(g<<3)+4>>2]|0,m)|0)|0,f[e>>2]=n,(l|0)!=1):0){n=1;do{i=a+16+(n<<2)|0;o=(f[i>>2]|0)+(Y(f[(f[a+184+(n<<2)>>2]|0)+20+(g<<3)+4>>2]|0,m)|0)|0;f[i>>2]=o;n=n+1|0}while((n|0)<(l|0))}f[h>>2]=k;if((b|0)<=1){c=0;j=10;break}}if((j|0)==10)return c|0;return 0}function RT(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+16|0;g=e;h=d&4095;i=1212424721>>>(d<<2&28)&15;j=Y(i,(d>>>3&511)+1|0)|0;if(!j){f[g>>2]=0;f[g+4>>2]=0;k=YG(g,23)|0;l=213630;m=k+23|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));CT(-210,g,214667,537)}if((a+-1|0)>>>0>31){f[g>>2]=0;f[g+4>>2]=0;k=YG(g,24)|0;l=214685;m=k+24|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));CT(-211,g,214667,540)}if(!c){f[g>>2]=0;f[g+4>>2]=0;k=YG(g,20)|0;l=213654;m=k+20|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));CT(-27,g,214667,543)}else n=0;while(1){if((f[c+(n<<2)>>2]|0)<1){o=9;break}n=n+1|0;if((n|0)>=(a|0)){o=10;break}}if((o|0)==9){f[g>>2]=0;f[g+4>>2]=0;k=YG(g,37)|0;l=213722;m=k+37|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));CT(-201,g,214667,548)}else if((o|0)==10){o=a+-32|0;g=uE((((o|0)>0?o:0)<<2)+164|0)|0;f[g>>2]=h|1111752704;f[g+4>>2]=a;f[g+8>>2]=0;f[g+12>>2]=1;h=a<<2;Krc(g+36|0,c|0,h|0)|0;c=i+7&0-i;f[g+28>>2]=c;i=j+3+c&65532;f[g+32>>2]=i;c=tW(0,64,h+7+i&-8,RV(4096)|0)|0;f[g+16>>2]=c;f[g+24>>2]=1024;c=uE(4096)|0;f[g+20>>2]=c;Drc(c|0,0,4096)|0;u=e;return g|0}return 0}function ST(a){a=a|0;var b=0,c=0,d=0;b=u;u=u+16|0;c=b;if(!a){f[c>>2]=0;f[c+4>>2]=0;CT(-9,c,214710,581)}d=f[a>>2]|0;if(!d){u=b;return}if((f[d>>2]&-65536|0)!=1111752704){f[c>>2]=0;f[c+4>>2]=0;CT(-206,c,214710,588)}f[a>>2]=0;f[c>>2]=f[(f[d+16>>2]|0)+44>>2];UV(c);c=d+20|0;vE(f[c>>2]|0);f[c>>2]=0;vE(d);u=b;return}function TT(a){a=a|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;if(a|0?(e=f[a>>2]|0,(e&-65536|0)==1111752704):0){g=RT(f[a+4>>2]|0,a+36|0,e)|0;uT(a,g,0);u=c;return g|0}f[d>>2]=0;f[d+4>>2]=0;g=YG(d,27)|0;c=214729;a=g+27|0;do{b[g>>0]=b[c>>0]|0;g=g+1|0;c=c+1|0}while((g|0)<(a|0));CT(-5,d,214757,605);return 0}function UT(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=u;u=u+16|0;e=d;if(a|0?(f[a>>2]&-65536|0)==1111752704:0){if(!c){f[e>>2]=0;f[e+4>>2]=0;g=YG(e,21)|0;h=220866;i=g+21|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));CT(-27,e,214803,623)}f[c>>2]=a;j=c+4|0;f[j>>2]=0;k=f[a+24>>2]|0;if((k|0)<=0){l=0;m=0;n=c+8|0;f[n>>2]=l;u=d;return m|0}o=f[a+20>>2]|0;a=0;while(1){p=f[o+(a<<2)>>2]|0;if(p|0)break;q=a+1|0;if((q|0)<(k|0))a=q;else{l=q;m=0;r=11;break}}if((r|0)==11){n=c+8|0;f[n>>2]=l;u=d;return m|0}f[j>>2]=p;l=a;m=p;n=c+8|0;f[n>>2]=l;u=d;return m|0}f[e>>2]=0;f[e+4>>2]=0;g=YG(e,28)|0;h=214774;i=g+28|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));CT(-5,e,214803,620);return 0}function VT(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=u;u=u+16|0;d=c;if(a|0){e=f[a>>2]|0;g=e&-65536;a:do if((g|0)<1111687168){switch(g|0){case 1111621632:break;default:break a}if((f[a+24>>2]|0)>0?(f[a+20>>2]|0)>0:0){if((f[a+24>>2]|0)<=0){u=c;return}if((f[a+20>>2]|0)<=0){u=c;return}h=a+16|0;if(!(f[h>>2]|0)){u=c;return}f[h>>2]=0;h=a+8|0;i=f[h>>2]|0;if(i|0?(j=(f[i>>2]|0)+-1|0,f[i>>2]=j,(j|0)==0):0){vE(i);f[h>>2]=0}f[h>>2]=0;u=c;return}}else{switch(g|0){case 1111687168:break;default:break a}h=a+16|0;if(!(f[h>>2]|0)){u=c;return}f[h>>2]=0;h=a+8|0;i=f[h>>2]|0;if(i|0?(j=(f[i>>2]|0)+-1|0,f[i>>2]=j,(j|0)==0):0){vE(i);f[h>>2]=0}f[h>>2]=0;u=c;return}while(0);if((e|0)==112){e=f[135516]|0;if(!e){g=a+108|0;h=f[g>>2]|0;f[g>>2]=0;f[a+68>>2]=0;vE(h);u=c;return}else{xh[e&2047](a,2);u=c;return}}}f[d>>2]=0;f[d+4>>2]=0;c=YG(d,38)|0;a=213396;e=c+38|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(e|0));CT(-5,d,214827,1001)}function WT(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;g=u;u=u+16|0;h=g;if(!a){f[h>>2]=0;i=h+4|0;f[i>>2]=0;j=YG(h,38)|0;k=j;l=213396;m=k+38|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));CT(-5,h,214863,1838)}n=f[a>>2]|0;o=n&-65536;if((((o|0)==1111621632?(p=f[a+24>>2]|0,(p|0)>0):0)?(q=f[a+20>>2]|0,(q|0)>0):0)?(r=f[a+16>>2]|0,r|0):0){if(!(p>>>0>d>>>0&q>>>0>c>>>0)){f[h>>2]=0;f[h+4>>2]=0;k=YG(h,21)|0;l=214841;m=k+21|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));CT(-211,h,214863,1761)}if(e|0)f[e>>2]=n&4095;s=r+(Y(f[a+4>>2]|0,c)|0)+(Y((n>>>3&511)+1<<(47696>>>(n<<1&14)&3),d)|0)|0;u=g;return s|0}if((n|0)==112?(r=f[a+68>>2]|0,r|0):0){q=f[a+16>>2]|0;p=q>>>3&31;t=(f[a+28>>2]|0)==0;if(t)v=Y(f[a+8>>2]|0,p)|0;else v=p;p=f[a+48>>2]|0;do if(p){w=f[p+12>>2]|0;x=f[p+16>>2]|0;y=Y(f[a+72>>2]|0,f[p+8>>2]|0)|0;z=r+((Y(f[p+4>>2]|0,v)|0)+y)|0;if(!t){y=f[p>>2]|0;if(!y){f[h>>2]=0;f[h+4>>2]=0;k=YG(h,45)|0;l=214871;m=k+45|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));CT(-24,h,214863,1792)}else{A=z+(Y(f[a+64>>2]|0,y+-1|0)|0)|0;B=x;C=w;break}}else{A=z;B=x;C=w}}else{A=r;B=f[a+44>>2]|0;C=f[a+40>>2]|0}while(0);if(!(C>>>0>d>>>0&B>>>0>c>>>0)){f[h>>2]=0;f[h+4>>2]=0;k=YG(h,21)|0;l=214841;m=k+21|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));CT(-211,h,214863,1804)}B=A+((Y(f[a+72>>2]|0,c)|0)+(Y(v,d)|0))|0;if(!e){s=B;u=g;return s|0}v=(f[a+8>>2]|0)+-1|0;if(v>>>0>3){f[h>>2]=0;f[h+4>>2]=0;CT(-210,h,214863,1812)}f[e>>2]=1125516576>>>((q>>>2&60)+(q>>31&20)|0)&7|v<<3;s=B;u=g;return s|0}if((o|0)!=1111687168){if((o|0)!=1111752704){f[h>>2]=0;i=h+4|0;f[i>>2]=0;j=YG(h,38)|0;k=j;l=213396;m=k+38|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));CT(-5,h,214863,1838)}if((f[a+4>>2]|0)!=2){f[h>>2]=0;f[h+4>>2]=0;k=YG(h,30)|0;l=214917;m=k+30|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));CT(-215,h,214863,1832)}f[h>>2]=c;f[h+4>>2]=d;s=XT(a,h,e,1,0)|0;u=g;return s|0}o=f[a+16>>2]|0;if(!o){f[h>>2]=0;i=h+4|0;f[i>>2]=0;j=YG(h,38)|0;k=j;l=213396;m=k+38|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));CT(-5,h,214863,1838)}if((f[a+4>>2]|0)!=2){f[h>>2]=0;D=h+4|0;f[D>>2]=0;E=YG(h,21)|0;k=E;l=214841;m=k+21|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));CT(-211,h,214863,1824)}if((f[a+20>>2]|0)>>>0<=c>>>0){f[h>>2]=0;D=h+4|0;f[D>>2]=0;E=YG(h,21)|0;k=E;l=214841;m=k+21|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));CT(-211,h,214863,1824)}if((f[a+28>>2]|0)>>>0<=d>>>0){f[h>>2]=0;D=h+4|0;f[D>>2]=0;E=YG(h,21)|0;k=E;l=214841;m=k+21|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));CT(-211,h,214863,1824)}h=o+(Y(f[a+24>>2]|0,c)|0)|0;c=h+(Y(f[a+32>>2]|0,d)|0)|0;if(!e){s=c;u=g;return s|0}f[e>>2]=n&4095;s=c;u=g;return s|0}function XT(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;h=u;u=u+16|0;i=h;a:do if(!g){j=f[a+4>>2]|0;if((j|0)>0){k=0;l=0;while(1){m=f[c+(k<<2)>>2]|0;if(m>>>0>=(f[a+36+(k<<2)>>2]|0)>>>0)break;n=m+(Y(l,1540483477)|0)|0;k=k+1|0;if((k|0)>=(j|0)){o=n;break a}else l=n}f[i>>2]=0;f[i+4>>2]=0;l=YG(i,30)|0;j=214948;k=l+30|0;do{b[l>>0]=b[j>>0]|0;l=l+1|0;j=j+1|0}while((l|0)<(k|0));CT(-211,i,214979,657)}else o=0}else o=f[g>>2]|0;while(0);g=a+24|0;j=f[g>>2]|0;l=j+-1&o;k=o&2147483647;b:do if((e|0)>-2?(o=f[(f[a+20>>2]|0)+(l<<2)>>2]|0,(o|0)!=0):0){n=a+32|0;m=a+4|0;p=o;while(1){if((f[p>>2]|0)==(k|0)){o=p+(f[n>>2]|0)|0;q=f[m>>2]|0;c:do if((q|0)>0){r=0;while(1){if((f[c+(r<<2)>>2]|0)!=(f[o+(r<<2)>>2]|0)){s=r;break c}t=r+1|0;if((t|0)<(q|0))r=t;else{s=t;break}}}else s=0;while(0);if((s|0)==(q|0))break}o=f[p+4>>2]|0;if(!o){v=0;break b}else p=o}v=p+(f[a+28>>2]|0)|0}else v=0;while(0);if((e|0)!=0&(v|0)==0){s=a+16|0;m=f[s>>2]|0;if((f[m+60>>2]|0)<(j*3|0)){w=l;x=m}else{m=j<<1;j=(m|0)>1024?m:1024;m=j<<2;l=uE(m)|0;Drc(l|0,0,m|0)|0;m=UT(a,i)|0;if(m|0){n=i+4|0;o=i+8|0;r=j+-1|0;t=m;while(1){m=f[(f[n>>2]|0)+4>>2]|0;d:do if(!m){y=(f[o>>2]|0)+1|0;f[o>>2]=y;z=f[i>>2]|0;A=f[z+24>>2]|0;if((y|0)<(A|0)){B=f[z+20>>2]|0;z=y;while(1){C=f[B+(z<<2)>>2]|0;if(C|0)break;y=z+1|0;if((y|0)<(A|0))z=y;else{D=0;break d}}f[o>>2]=z;E=C;F=27}else D=0}else{E=m;F=27}while(0);if((F|0)==27){F=0;f[n>>2]=E;D=E}m=l+((f[t>>2]&r)<<2)|0;f[t+4>>2]=f[m>>2];f[m>>2]=t;if(!D)break;else t=D}}D=a+20|0;vE(f[D>>2]|0);f[D>>2]=l;f[g>>2]=j;w=j+2147483647&k;x=f[s>>2]|0}s=x+56|0;j=f[s>>2]|0;f[i>>2]=j;if(!j){uW(x,0,i)|0;G=f[i>>2]|0}else{f[s>>2]=f[j+4>>2];f[j>>2]=f[j>>2]&67108863;s=x+60|0;f[s>>2]=(f[s>>2]|0)+1;G=j}f[G>>2]=k;k=(f[a+20>>2]|0)+(w<<2)|0;f[G+4>>2]=f[k>>2];f[k>>2]=G;Krc(G+(f[a+32>>2]|0)|0,c|0,f[a+4>>2]<<2|0)|0;c=G+(f[a+28>>2]|0)|0;if((e|0)>0){e=f[a>>2]|0;Drc(c|0,0,(e>>>3&511)+1<<(47696>>>(e<<1&14)&3)|0)|0;H=c}else H=c}else H=v;if(!d){u=h;return H|0}f[d>>2]=f[a>>2]&4095;u=h;return H|0}function YT(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+16|0;d=c;if(a|0){e=f[a>>2]|0;g=e&-65536;a:do if((g|0)<1111687168){switch(g|0){case 1111621632:break;default:break a}if((f[a+24>>2]|0)>0?(f[a+20>>2]|0)>0:0)h=5}else if((g|0)<1111752704)switch(g|0){case 1111687168:{h=5;break a;break}default:break a}else switch(g|0){case 1111752704:{h=5;break a;break}default:break a}while(0);if((h|0)==5){i=e&4095;u=c;return i|0}if((e|0)==112?f[a+68>>2]|0:0){e=f[a+16>>2]|0;i=1125516576>>>((e>>>2&60)+(e>>31&20)|0)&7|(f[a+8>>2]<<3)+-8;u=c;return i|0}}f[d>>2]=0;f[d+4>>2]=0;i=YG(d,38)|0;c=213396;a=i+38|0;do{b[i>>0]=b[c>>0]|0;i=i+1|0;c=c+1|0}while((i|0)<(a|0));CT(-5,d,214993,1094);return 0}function ZT(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d;a:do if(a|0){g=f[a>>2]|0;h=g&-65536;if(((h|0)==1111621632?(i=a+24|0,(f[i>>2]|0)>0):0)?(j=f[a+20>>2]|0,(j|0)>0):0){if(!c){k=2;u=d;return k|0}f[c>>2]=j;f[c+4>>2]=f[i>>2];k=2;u=d;return k|0}if((g|0)==112?f[a+68>>2]|0:0){if(!c){k=2;u=d;return k|0}f[c>>2]=f[a+44>>2];f[c+4>>2]=f[a+40>>2];k=2;u=d;return k|0}if((h|0)>=1111752704){switch(h|0){case 1111752704:break;default:break a}g=f[a+4>>2]|0;if(!c){k=g;u=d;return k|0}Krc(c|0,a+36|0,g<<2|0)|0;k=g;u=d;return k|0}switch(h|0){case 1111687168:break;default:break a}h=f[a+4>>2]|0;if(!((c|0)!=0&(h|0)>0)){k=h;u=d;return k|0}g=a+20|0;i=0;do{f[c+(i<<2)>>2]=f[g+(i<<3)>>2];i=i+1|0}while((i|0)!=(h|0));k=h;u=d;return k|0}while(0);f[e>>2]=0;f[e+4>>2]=0;k=YG(e,38)|0;d=213396;c=k+38|0;do{b[k>>0]=b[d>>0]|0;k=k+1|0;d=d+1|0}while((k|0)<(c|0));CT(-5,e,215007,1148);return 0}function _T(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d;g=a;f[g>>2]=0;f[g+4>>2]=0;if(c|0){g=f[c>>2]|0;if(((g&-65536|0)==1111621632?(h=f[c+24>>2]|0,(h|0)>-1):0)?(i=f[c+20>>2]|0,(i|0)>-1):0){f[a>>2]=h;j=i;k=a+4|0;f[k>>2]=j;u=d;return}if((g|0)==112){g=f[c+48>>2]|0;i=(g|0)==0;f[a>>2]=f[(i?c+40|0:g+12|0)>>2];j=f[(i?c+44|0:g+16|0)>>2]|0;k=a+4|0;f[k>>2]=j;u=d;return}}f[e>>2]=0;f[e+4>>2]=0;d=YG(e,33)|0;j=215017;k=d+33|0;do{b[d>>0]=b[j>>0]|0;d=d+1|0;j=j+1|0}while((d|0)<(k|0));CT(-5,e,215051,1246)}function $T(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;h=u;u=u+16|0;i=h;if(!c){f[i>>2]=0;f[i+4>>2]=0;j=YG(i,23)|0;k=215061;l=j+23|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));CT(-27,i,215085,1887)}a:do if(a|0){m=f[a>>2]|0;n=m&-65536;b:do if((n|0)<1111687168){switch(n|0){case 1111621632:break;default:{o=16;break b}}if((f[a+24>>2]|0)>0){if(!((f[a+20>>2]|0)>0|(m|0)==112))break a}else o=16}else{if((n|0)>=1111752704){switch(n|0){case 1111752704:break;default:{o=16;break b}}p=XT(a,c,d,e,g)|0;u=h;return p|0}switch(n|0){case 1111687168:break;default:{o=16;break b}}q=f[a+16>>2]|0;if(!q)o=16;else{r=f[a+4>>2]|0;c:do if((r|0)>0){s=a+20|0;t=q;v=0;while(1){w=f[c+(v<<2)>>2]|0;if(w>>>0>=(f[s+(v<<3)>>2]|0)>>>0)break;x=t+(Y(f[s+(v<<3)+4>>2]|0,w)|0)|0;v=v+1|0;if((v|0)>=(r|0)){y=x;break c}else t=x}f[i>>2]=0;f[i+4>>2]=0;j=YG(i,21)|0;k=214841;l=j+21|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));CT(-211,i,215085,1901)}else y=q;while(0);if(!d){p=y;u=h;return p|0}f[d>>2]=m&4095;p=y;u=h;return p|0}}while(0);if((o|0)==16?(m|0)!=112:0)break;p=WT(a,f[c>>2]|0,f[c+4>>2]|0,d)|0;u=h;return p|0}while(0);f[i>>2]=0;f[i+4>>2]=0;j=YG(i,38)|0;k=213396;l=j+38|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));CT(-5,i,215085,1911);return 0}
function gnb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return}function hnb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=a+180|0;d=a+184|0;e=b+4|0;do if(f[d>>2]|0){g=f[e>>2]|0;if(!g){h=g;break}else{i=0;return i|0}}else h=f[e>>2]|0;while(0);e=f[b>>2]|0;if(e|0){b=e+4|0;f[b>>2]=(f[b>>2]|0)+1}b=f[c>>2]|0;f[c>>2]=e;f[d>>2]=h;if(!b)j=h;else{h=b+4|0;e=f[h>>2]|0;f[h>>2]=e+-1;if((e|0)==1)ai[f[(f[b>>2]|0)+8>>2]&2047](b);j=f[d>>2]|0}if((j|0)==0?(d=f[a+168>>2]|0,b=a+172|0,a=f[b>>2]|0,(a|0)!=(d|0)):0)f[b>>2]=a+(~((a+-4-d|0)>>>2)<<2);i=(j|0)!=0;return i|0}function inb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;c=u;u=u+112|0;d=c+56|0;e=c;f[d>>2]=1124007936;g=d+4|0;h=d+8|0;i=d+40|0;j=g;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;l=d+48|0;m=d+44|0;f[m>>2]=l;f[l>>2]=0;f[d+52>>2]=0;f[e>>2]=1124007936;n=e+4|0;o=e+8|0;p=e+40|0;j=n;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[p>>2]=o;j=e+48|0;k=e+44|0;f[k>>2]=j;f[j>>2]=0;f[e+52>>2]=0;q=f[b+4>>2]|0;Yh[f[(f[q>>2]|0)+84>>2]&511](q,d,e);q=d+16|0;if(f[q>>2]|0){b=f[g>>2]|0;if((b|0)<3)r=Y(f[d+12>>2]|0,f[h>>2]|0)|0;else{h=f[i>>2]|0;s=0;t=1;while(1){v=Y(f[h+(s<<2)>>2]|0,t)|0;s=s+1|0;if((s|0)==(b|0)){r=v;break}else t=v}}if(!((b|0)==0|(r|0)==0))w=13;else w=7}else w=7;if((w|0)==7)if(f[e+16>>2]|0){r=f[n>>2]|0;if((r|0)<3)x=Y(f[e+12>>2]|0,f[o>>2]|0)|0;else{o=f[p>>2]|0;b=0;t=1;while(1){s=Y(f[o+(b<<2)>>2]|0,t)|0;b=b+1|0;if((b|0)==(r|0)){x=s;break}else t=s}}if(!((r|0)==0|(x|0)==0))w=13;else y=0}else y=0;if((w|0)==13){mnb(a,d,e);y=1}a=e+36|0;w=f[a>>2]|0;if(w|0?(x=w+12|0,w=f[x>>2]|0,f[x>>2]=w+-1,(w|0)==1):0)lP(e);f[a>>2]=0;a=e+16|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[n>>2]|0)>0){a=f[p>>2]|0;p=0;do{f[a+(p<<2)>>2]=0;p=p+1|0}while((p|0)<(f[n>>2]|0))}n=f[k>>2]|0;if((n|0)!=(j|0))tE(n);n=d+36|0;j=f[n>>2]|0;if(j|0?(k=j+12|0,j=f[k>>2]|0,f[k>>2]=j+-1,(j|0)==1):0)lP(d);f[n>>2]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[g>>2]|0)>0){q=f[i>>2]|0;i=0;do{f[q+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[g>>2]|0))}g=f[m>>2]|0;if((g|0)==(l|0)){u=c;return y|0}tE(g);u=c;return y|0}function jnb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;d=u;u=u+48|0;h=d+32|0;i=d+16|0;j=d;k=a+4|0;l=f[a+8>>2]|0;m=f[k>>2]|0;n=m;if((l|0)==(m|0)){f[h>>2]=0;f[h+4>>2]=0;o=YG(h,17)|0;p=449584;q=o+17|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,h,475265,449502,233)}if(((l-m|0)/56|0)>>>0>1){m=f[n+60>>2]|0;if((m|0)<3)r=Y(f[n+68>>2]|0,f[n+64>>2]|0)|0;else{l=f[n+96>>2]|0;s=0;t=1;while(1){v=Y(f[l+(s<<2)>>2]|0,t)|0;s=s+1|0;if((s|0)==(m|0)){r=v;break}else t=v}}if((r|0)!=(f[f[n+40>>2]>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;o=YG(h,58)|0;p=449602;q=o+58|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,h,475265,449502,234)}}r=c+4|0;t=f[c>>2]|0;m=t;if(((f[r>>2]|0)-t|0)!=12){f[h>>2]=0;f[h+4>>2]=0;o=YG(h,26)|0;p=449661;q=o+26|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,h,475265,449502,235)}t=f[g>>2]|0;s=g+4|0;g=f[s>>2]|0;if((g|0)==(t|0)){w=k;x=c;y=m;z=n}else{n=g;while(1){g=n+-12|0;f[s>>2]=g;m=f[g>>2]|0;if(!m)A=g;else{g=n+-8|0;l=f[g>>2]|0;if((l|0)!=(m|0))f[g>>2]=l+(~((l+-4-m|0)>>>2)<<2);Emc(m);A=f[s>>2]|0}if((A|0)==(t|0))break;else n=A}w=k;x=c;y=f[c>>2]|0;z=f[k>>2]|0}k=f[y>>2]|0;y=f[k+4>>2]|0;c=f[k+8>>2]|0;A=f[k+12>>2]|0;k=f[f[z+40>>2]>>2]|0;f[h>>2]=0;z=h+4|0;f[z>>2]=0;if(!(f[a+80>>2]|0)){n=c+-1+(f[a+56>>2]<<1)-(Y((f[a+40>>2]|0)+-1|0,f[a+64>>2]|0)|0)|0;f[z>>2]=((n|0)/(f[a+48>>2]|0)|0)+1;n=A+-1+(f[a+52>>2]<<1)-(Y((f[a+36>>2]|0)+-1|0,f[a+60>>2]|0)|0)|0;f[h>>2]=((n|0)/(f[a+44>>2]|0)|0)+1}else{f[i>>2]=A;f[i+4>>2]=c;fob(i,a+36|0,a+44|0,a+76|0,a+60|0,h)}a=(y|0)/(f[(f[(f[w>>2]|0)+40>>2]|0)+4>>2]|0)|0;if((a|0)<=0){f[i>>2]=0;B=i+4|0;f[B>>2]=0;C=YG(i,59)|0;o=C;p=449688;q=o+59|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,i,475265,449502,257)}if((y|0)%(a|0)|0|0){f[i>>2]=0;B=i+4|0;f[B>>2]=0;C=YG(i,59)|0;o=C;p=449688;q=o+59|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,i,475265,449502,257)}if((k|0)%(a|0)|0|0){f[i>>2]=0;B=i+4|0;f[B>>2]=0;C=YG(i,59)|0;o=C;p=449688;q=o+59|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,i,475265,449502,257)}p=f[x>>2]|0;f[i>>2]=f[f[p>>2]>>2];f[i+4>>2]=k;f[i+8>>2]=f[z>>2];f[i+12>>2]=f[h>>2];h=((f[r>>2]|0)-p|0)/12|0;f[j>>2]=0;p=j+4|0;f[p>>2]=0;f[j+8>>2]=0;hAa(j,i,i+16|0);i=e+4|0;r=f[i>>2]|0;z=f[e>>2]|0;k=(r-z|0)/12|0;x=z;z=r;if(h>>>0<=k>>>0){if(h>>>0<k>>>0?(r=x+(h*12|0)|0,(z|0)!=(r|0)):0){x=z;while(1){z=x+-12|0;f[i>>2]=z;o=f[z>>2]|0;if(!o)D=z;else{z=x+-8|0;q=f[z>>2]|0;if((q|0)!=(o|0))f[z>>2]=q+(~((q+-4-o|0)>>>2)<<2);Emc(o);D=f[i>>2]|0}if((D|0)==(r|0))break;else x=D}}}else Wmb(e,h-k|0,j);k=f[j>>2]|0;if(!k){u=d;return 0}j=f[p>>2]|0;if((j|0)!=(k|0))f[p>>2]=j+(~((j+-4-k|0)>>>2)<<2);Emc(k);u=d;return 0}function knb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;e=u;u=u+16|0;g=e;h=f[c+4>>2]|0;i=f[c>>2]|0;c=h-i|0;j=f[d>>2]|0;k=j;l=i;if((c|0)!=((f[d+4>>2]|0)-j|0)){f[g>>2]=0;f[g+4>>2]=0;m=YG(g,31)|0;n=449470;o=m+31|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,g,461951,449502,1061)}if((h|0)==(i|0)){p=0;q=0;J=p;u=e;return q|0}i=a+36|0;h=a+40|0;a=(c|0)/12|0;c=0;j=0;d=0;while(1){r=f[k+(c*12|0)+4>>2]|0;s=f[k+(c*12|0)>>2]|0;t=r-s|0;v=t>>2;w=s;if((w|0)!=(r|0)){if((t|0)<=-4){x=9;break}if((t|0)>0){t=0;r=1;while(1){s=Y(f[w+(t<<2)>>2]|0,r)|0;t=t+1|0;if((t|0)>=(v|0)){y=s;break}else r=s}}else y=1}else y=0;r=Y(f[h>>2]|0,f[i>>2]|0)|0;v=Qrc(r|0,((r|0)<0)<<31>>31|0,1)|0;r=f[(f[l+(c*12|0)>>2]|0)+4>>2]|0;t=Urc(v|0,J|0,r|0,((r|0)<0)<<31>>31|0)|0;r=Urc(t|1|0,J|0,y|0,((y|0)<0)<<31>>31|0)|0;t=Arc(r|0,J|0,j|0,d|0)|0;r=J;c=c+1|0;if(c>>>0>=a>>>0){p=r;q=t;x=5;break}else{j=t;d=r}}if((x|0)==5){J=p;u=e;return q|0}else if((x|0)==9){f[g>>2]=0;f[g+4>>2]=0;m=YG(g,70)|0;n=475084;o=m+70|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,g,475155,475161,161)}return 0}function lnb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;e=c;g=f[d>>2]|0;d=Y(f[b+40>>2]|0,f[(f[(f[b+4>>2]|0)+40>>2]|0)+4>>2]|0)|0;h=Y(d,f[b+36>>2]|0)|0;b=Y(f[g+8>>2]|0,f[g+12>>2]|0)|0;f[e>>2]=b;f[e+4>>2]=h;f[e+8>>2]=-1;f[e+12>>2]=-1;f[a>>2]=0;h=a+4|0;f[h>>2]=0;f[a+8>>2]=0;hAa(a,e,e+16|0);e=f[a>>2]|0;a=f[h>>2]|0;a:do if((e|0)==(a|0))i=e;else{b=e;do{if((f[b>>2]|0)<0){i=b;break a}b=b+4|0}while((b|0)!=(a|0));u=c;return}while(0);if((i|0)==(a|0)){u=c;return}e=i+4|0;if((e|0)==(a|0)){j=a;k=i}else{b=e;e=i;while(1){i=f[b>>2]|0;if((i|0)<0)l=e;else{f[e>>2]=i;l=e+4|0}b=b+4|0;if((b|0)==(a|0))break;else e=l}j=f[h>>2]|0;k=l}if((k|0)==(j|0)){u=c;return}f[h>>2]=j+(~((j+-4-k|0)>>>2)<<2);u=c;return}function mnb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0.0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0;e=u;u=u+368|0;g=e+360|0;h=e;i=e+304|0;j=e+248|0;k=e+192|0;l=e+176|0;m=e+120|0;o=e+104|0;q=e+88|0;r=e+32|0;s=a+88|0;t=a+128|0;v=f[f[t>>2]>>2]|0;w=c+4|0;x=f[w>>2]|0;if((x|0)<3)y=Y(f[c+12>>2]|0,f[c+8>>2]|0)|0;else{z=f[c+40>>2]|0;A=0;B=1;while(1){C=Y(f[z+(A<<2)>>2]|0,B)|0;A=A+1|0;if((A|0)==(x|0)){y=C;break}else B=C}}do if((y|0)!=1){f[i>>2]=f[c>>2];B=i+4|0;f[B>>2]=x;A=i+8|0;f[A>>2]=f[c+8>>2];f[i+12>>2]=f[c+12>>2];f[i+16>>2]=f[c+16>>2];f[i+20>>2]=f[c+20>>2];f[i+24>>2]=f[c+24>>2];f[i+28>>2]=f[c+28>>2];f[i+32>>2]=f[c+32>>2];z=f[c+36>>2]|0;f[i+36>>2]=z;f[i+40>>2]=A;A=i+48|0;C=i+44|0;f[C>>2]=A;f[A>>2]=0;f[i+52>>2]=0;if(!z)D=x;else{A=z+12|0;f[A>>2]=(f[A>>2]|0)+1;D=f[w>>2]|0}if((D|0)<3){A=f[c+44>>2]|0;z=f[C>>2]|0;f[z>>2]=f[A>>2];f[z+4>>2]=f[A+4>>2];break}else{f[B>>2]=0;kP(i,c);break}}else{p[h>>3]=+n[f[c+16>>2]>>2];B=h+8|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;f[B+16>>2]=0;f[B+20>>2]=0;f[i>>2]=1124007936;B=i+8|0;A=i+40|0;E=i+4|0;F=E+36|0;do{f[E>>2]=0;E=E+4|0}while((E|0)<(F|0));f[A>>2]=B;z=i+48|0;f[i+44>>2]=z;f[z>>2]=0;f[i+52>>2]=0;f[g>>2]=1;f[g+4>>2]=v;iP(i,2,g,5);nT(i,h)|0}while(0);c=d+4|0;D=f[c>>2]|0;if((D|0)<3)G=Y(f[d+12>>2]|0,f[d+8>>2]|0)|0;else{w=f[d+40>>2]|0;x=0;y=1;while(1){z=Y(f[w+(x<<2)>>2]|0,y)|0;x=x+1|0;if((x|0)==(D|0)){G=z;break}else y=z}}do if((G|0)!=1){f[j>>2]=f[d>>2];y=j+4|0;f[y>>2]=D;x=j+8|0;f[x>>2]=f[d+8>>2];f[j+12>>2]=f[d+12>>2];f[j+16>>2]=f[d+16>>2];f[j+20>>2]=f[d+20>>2];f[j+24>>2]=f[d+24>>2];f[j+28>>2]=f[d+28>>2];f[j+32>>2]=f[d+32>>2];w=f[d+36>>2]|0;f[j+36>>2]=w;f[j+40>>2]=x;x=j+48|0;z=j+44|0;f[z>>2]=x;f[x>>2]=0;f[j+52>>2]=0;if(!w)H=D;else{x=w+12|0;f[x>>2]=(f[x>>2]|0)+1;H=f[c>>2]|0}if((H|0)<3){x=f[d+44>>2]|0;w=f[z>>2]|0;f[w>>2]=f[x>>2];f[w+4>>2]=f[x+4>>2];break}else{f[y>>2]=0;kP(j,d);break}}else{p[h>>3]=+n[f[d+16>>2]>>2];y=h+8|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;f[y+16>>2]=0;f[y+20>>2]=0;f[j>>2]=1124007936;y=j+8|0;x=j+40|0;E=j+4|0;F=E+36|0;do{f[E>>2]=0;E=E+4|0}while((E|0)<(F|0));f[x>>2]=y;B=j+48|0;f[j+44>>2]=B;f[B>>2]=0;f[j+52>>2]=0;f[g>>2]=1;f[g+4>>2]=v;iP(j,2,g,5);nT(j,h)|0}while(0);if(!(f[a+104>>2]|0)){f[g>>2]=0;I=g+4|0;f[I>>2]=0;J=YG(g,19)|0;E=J;K=449748;F=E+19|0;do{b[E>>0]=b[K>>0]|0;E=E+1|0;K=K+1|0}while((E|0)<(F|0));SQ(-215,g,449768,449502,362)}d=f[a+92>>2]|0;if((d|0)<3)L=Y(f[a+100>>2]|0,f[a+96>>2]|0)|0;else{H=f[t>>2]|0;t=0;c=1;while(1){D=Y(f[H+(t<<2)>>2]|0,c)|0;t=t+1|0;if((t|0)==(d|0)){L=D;break}else c=D}}if((d|0)==0|(L|0)==0){f[g>>2]=0;I=g+4|0;f[I>>2]=0;J=YG(g,19)|0;E=J;K=449748;F=E+19|0;do{b[E>>0]=b[K>>0]|0;E=E+1|0;K=K+1|0}while((E|0)<(F|0));SQ(-215,g,449768,449502,362)}J=a+156|0;if(((f[a+160>>2]|0)-(f[J>>2]|0)>>2|0)!=(v+2|0)){f[g>>2]=0;f[g+4>>2]=0;E=YG(g,27)|0;K=449780;F=E+27|0;do{b[E>>0]=b[K>>0]|0;E=E+1|0;K=K+1|0}while((E|0)<(F|0));SQ(-215,g,449768,449502,362)}I=i+16|0;L=(f[I>>2]|0)==0;if(!L){d=f[i+4>>2]|0;c=(d|0)<3;if(c)M=Y(f[i+12>>2]|0,f[i+8>>2]|0)|0;else{t=f[i+40>>2]|0;H=0;D=1;while(1){G=Y(f[t+(H<<2)>>2]|0,D)|0;H=H+1|0;if((H|0)==(d|0)){M=G;break}else D=G}}if(!((d|0)==0|(M|0)==0)){if(c)N=Y(f[i+12>>2]|0,f[i+8>>2]|0)|0;else{c=f[i+40>>2]|0;M=0;D=1;while(1){H=Y(f[c+(M<<2)>>2]|0,D)|0;M=M+1|0;if((M|0)==(d|0)){N=H;break}else D=H}}if((v|0)!=(N|0)){f[g>>2]=0;f[g+4>>2]=0;E=YG(g,31)|0;K=449808;F=E+31|0;do{b[E>>0]=b[K>>0]|0;E=E+1|0;K=K+1|0}while((E|0)<(F|0));SQ(-215,g,449768,449502,362)}}}N=j+16|0;D=f[N>>2]|0;if(D|0){d=f[j+4>>2]|0;M=(d|0)<3;if(M)O=Y(f[j+12>>2]|0,f[j+8>>2]|0)|0;else{c=f[j+40>>2]|0;H=0;t=1;while(1){G=Y(f[c+(H<<2)>>2]|0,t)|0;H=H+1|0;if((H|0)==(d|0)){O=G;break}else t=G}}if(!((d|0)==0|(O|0)==0)){if(M)P=Y(f[j+12>>2]|0,f[j+8>>2]|0)|0;else{M=f[j+40>>2]|0;O=0;t=1;while(1){H=Y(f[M+(O<<2)>>2]|0,t)|0;O=O+1|0;if((O|0)==(d|0)){P=H;break}else t=H}}if((v|0)!=(P|0)){f[g>>2]=0;f[g+4>>2]=0;E=YG(g,31)|0;K=449840;F=E+31|0;do{b[E>>0]=b[K>>0]|0;E=E+1|0;K=K+1|0}while((E|0)<(F|0));SQ(-215,g,449768,449502,362)}}}if(!L){L=f[i+4>>2]|0;if((L|0)<3)Q=Y(f[i+12>>2]|0,f[i+8>>2]|0)|0;else{K=f[i+40>>2]|0;E=0;F=1;while(1){P=Y(f[K+(E<<2)>>2]|0,F)|0;E=E+1|0;if((E|0)==(L|0)){Q=P;break}else F=P}}if(!((L|0)==0|(Q|0)==0)){xP(k,f[a+4>>2]|0,1,v);if((v|0)>0){Q=i+40|0;L=i+44|0;F=i+12|0;E=a+144|0;K=g+4|0;P=h+4|0;t=l+8|0;d=l+12|0;O=l+4|0;M=o+8|0;H=o+12|0;c=o+4|0;G=g+4|0;B=h+4|0;A=q+8|0;w=q+4|0;z=r+36|0;C=r+16|0;R=r+4|0;S=r+40|0;T=r+44|0;U=r+48|0;V=m+36|0;W=m+16|0;X=m+4|0;Z=m+40|0;_=m+44|0;$=m+48|0;aa=0;do{ba=f[I>>2]|0;do if((f[i>>2]&16384|0)==0?(ca=f[Q>>2]|0,(f[ca>>2]|0)!=1):0){da=f[f[L>>2]>>2]|0;if((f[ca+4>>2]|0)==1){ea=ba+(Y(da,aa)|0)|0;break}else{ca=f[F>>2]|0;fa=(aa|0)/(ca|0)|0;ea=ba+(Y(fa,da)|0)+(aa-(Y(fa,ca)|0)<<2)|0;break}}else ga=74;while(0);if((ga|0)==74){ga=0;ea=ba+(aa<<2)|0}ha=+n[ea>>2];y=(f[E>>2]|0)+(aa<<3)|0;p[y>>3]=ha*+p[y>>3];y=aa;aa=aa+1|0;f[g>>2]=y;f[K>>2]=aa;f[h>>2]=-2147483648;f[P>>2]=2147483647;mP(m,k,g,h);f[t>>2]=0;f[d>>2]=0;f[l>>2]=16842752;f[O>>2]=m;x=(f[E>>2]|0)+(y<<3)|0;f[o>>2]=-1056833530;f[c>>2]=x;f[M>>2]=1;f[H>>2]=1;f[g>>2]=y;f[G>>2]=aa;f[h>>2]=-2147483648;f[B>>2]=2147483647;mP(r,s,g,h);x=A;f[x>>2]=0;f[x+4>>2]=0;f[q>>2]=-1040121856;f[w>>2]=r;JI(l,o,q,1.0,-1);x=f[z>>2]|0;do if(x|0){ca=x+12|0;fa=f[ca>>2]|0;f[ca>>2]=fa+-1;if((fa|0)!=1)break;lP(r)}while(0);f[z>>2]=0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[R>>2]|0)>0){x=f[S>>2]|0;ba=0;do{f[x+(ba<<2)>>2]=0;ba=ba+1|0}while((ba|0)<(f[R>>2]|0))}ba=f[T>>2]|0;if((ba|0)!=(U|0))tE(ba);ba=f[V>>2]|0;do if(ba|0){x=ba+12|0;fa=f[x>>2]|0;f[x>>2]=fa+-1;if((fa|0)!=1)break;lP(m)}while(0);f[V>>2]=0;f[W>>2]=0;f[W+4>>2]=0;f[W+8>>2]=0;f[W+12>>2]=0;if((f[X>>2]|0)>0){ba=f[Z>>2]|0;fa=0;do{f[ba+(fa<<2)>>2]=0;fa=fa+1|0}while((fa|0)<(f[X>>2]|0))}fa=f[_>>2]|0;if((fa|0)!=($|0))tE(fa);fa=(f[J>>2]|0)+(y<<2)|0;n[fa>>2]=ha*+n[fa>>2]}while((aa|0)<(v|0))}aa=k+36|0;$=f[aa>>2]|0;if($|0?(_=$+12|0,$=f[_>>2]|0,f[_>>2]=$+-1,($|0)==1):0)lP(k);f[aa>>2]=0;aa=k+16|0;$=k+4|0;f[aa>>2]=0;f[aa+4>>2]=0;f[aa+8>>2]=0;f[aa+12>>2]=0;if((f[$>>2]|0)>0){aa=f[k+40>>2]|0;_=0;do{f[aa+(_<<2)>>2]=0;_=_+1|0}while((_|0)<(f[$>>2]|0))}$=f[k+44>>2]|0;if(($|0)!=(k+48|0))tE($);ia=f[N>>2]|0}else ia=D}else ia=D;D=(ia|0)==0;a:do if(!D){$=f[j+4>>2]|0;if(($|0)<3)ja=Y(f[j+12>>2]|0,f[j+8>>2]|0)|0;else{k=f[j+40>>2]|0;_=0;aa=1;while(1){X=Y(f[k+(_<<2)>>2]|0,aa)|0;_=_+1|0;if((_|0)==($|0)){ja=X;break}else aa=X}}if((ja|0)!=0&($|0)!=0&(v|0)>0){aa=f[j+40>>2]|0;_=aa+4|0;k=f[j+44>>2]|0;y=f[j+12>>2]|0;X=f[J>>2]|0;if(f[j>>2]&16384|0){Z=0;while(1){W=X+(Z<<2)|0;n[W>>2]=+n[ia+(Z<<2)>>2]+ +n[W>>2];Z=Z+1|0;if((Z|0)==(v|0))break a}}Z=(f[aa>>2]|0)==1;$=0;do{do if(!Z){W=f[k>>2]|0;if((f[_>>2]|0)==1){ka=ia+(Y(W,$)|0)|0;break}else{V=($|0)/(y|0)|0;ka=ia+(Y(V,W)|0)+($-(Y(V,y)|0)<<2)|0;break}}else ka=ia+($<<2)|0;while(0);V=X+($<<2)|0;n[V>>2]=+n[ka>>2]+ +n[V>>2];$=$+1|0}while(($|0)!=(v|0))}}while(0);if(f[I>>2]|0){ka=f[i+4>>2]|0;if((ka|0)<3)la=Y(f[i+12>>2]|0,f[i+8>>2]|0)|0;else{ia=f[i+40>>2]|0;ja=0;$=1;while(1){X=Y(f[ia+(ja<<2)>>2]|0,$)|0;ja=ja+1|0;if((ja|0)==(ka|0)){la=X;break}else $=X}}if(!((ka|0)==0|(la|0)==0))ma=1;else ga=117}else ga=117;if((ga|0)==117){if(D)na=1;else{ga=f[j+4>>2]|0;if((ga|0)<3)oa=Y(f[j+12>>2]|0,f[j+8>>2]|0)|0;else{la=f[j+40>>2]|0;ka=0;$=1;while(1){ja=Y(f[la+(ka<<2)>>2]|0,$)|0;ka=ka+1|0;if((ka|0)==(ga|0)){oa=ja;break}else $=ja}}na=(ga|0)==0|(oa|0)==0}ma=(na^1)&1}b[a+188>>0]=ma;ma=(((f[a+8>>2]|0)-(f[a+4>>2]|0)|0)/56|0)>>>0>1;if(ma|D)pa=ma;else{ma=f[j+4>>2]|0;if((ma|0)<3)qa=Y(f[j+12>>2]|0,f[j+8>>2]|0)|0;else{D=f[j+40>>2]|0;na=0;oa=1;while(1){ga=Y(f[D+(na<<2)>>2]|0,oa)|0;na=na+1|0;if((na|0)==(ma|0)){qa=ga;break}else oa=ga}}pa=(ma|0)!=0&(qa|0)!=0}b[a+189>>0]=pa&1;pa=f[J>>2]|0;J=f[pa+(v+-1<<2)>>2]|0;f[pa+(v+1<<2)>>2]=J;f[pa+(v<<2)>>2]=J;J=j+36|0;v=f[J>>2]|0;if(v|0?(pa=v+12|0,v=f[pa>>2]|0,f[pa>>2]=v+-1,(v|0)==1):0)lP(j);f[J>>2]=0;J=j+4|0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;if((f[J>>2]|0)>0){N=f[j+40>>2]|0;v=0;do{f[N+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[J>>2]|0))}J=f[j+44>>2]|0;if((J|0)!=(j+48|0))tE(J);J=i+36|0;j=f[J>>2]|0;if(j|0?(v=j+12|0,j=f[v>>2]|0,f[v>>2]=j+-1,(j|0)==1):0)lP(i);f[J>>2]=0;J=i+4|0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[J>>2]|0)>0){I=f[i+40>>2]|0;j=0;do{f[I+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[J>>2]|0))}J=f[i+44>>2]|0;if((J|0)==(i+48|0)){u=e;return}tE(J);u=e;return}function nnb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=a+8|0;e=f[d>>2]|0;g=f[a>>2]|0;h=g;if(e-g>>2>>>0>=b>>>0){i=a+4|0;j=f[i>>2]|0;k=j-g>>2;l=k>>>0<b>>>0;m=l?k:b;n=j;o=j;if(m|0){p=m;m=h;while(1){f[m>>2]=f[c>>2];p=p+-1|0;if(!p)break;else m=m+4|0}}if(l){l=b-k|0;k=o+(l<<2)|0;o=l;l=j;while(1){f[l>>2]=f[c>>2];o=o+-1|0;if(!o)break;else l=l+4|0}f[i>>2]=k;return}else{k=h+(b<<2)|0;if((n|0)==(k|0))return;f[i>>2]=n+(~((n+-4-k|0)>>>2)<<2);return}}else{k=g;if(!g)q=e;else{e=a+4|0;n=f[e>>2]|0;if((n|0)!=(h|0))f[e>>2]=n+(~((n+-4-g|0)>>>2)<<2);Emc(k);f[d>>2]=0;f[e>>2]=0;f[a>>2]=0;q=0}if(b>>>0>1073741823)Ukc(a);e=q>>1;k=q>>2>>>0<536870911?(e>>>0<b>>>0?b:e):1073741823;if(k>>>0>1073741823)Ukc(a);e=Bmc(k<<2)|0;q=a+4|0;f[q>>2]=e;f[a>>2]=e;f[d>>2]=e+(k<<2);k=e+(b<<2)|0;d=b;b=e;while(1){f[b>>2]=f[c>>2];d=d+-1|0;if(!d)break;else b=b+4|0}f[q>>2]=k;return}}function onb(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;o=u;u=u+112|0;p=o+8|0;q=o;if((f[a+4>>2]|0)!=4){f[p>>2]=0;r=p+4|0;f[r>>2]=0;s=YG(p,35)|0;t=s;v=450048;w=t+35|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,p,475577,449502,534)}if((f[c+4>>2]|0)!=4){f[p>>2]=0;r=p+4|0;f[r>>2]=0;s=YG(p,35)|0;t=s;v=450048;w=t+35|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,p,475577,449502,534)}s=f[a+40>>2]|0;r=f[c+40>>2]|0;if((f[s>>2]|0)!=(f[r>>2]|0)){f[p>>2]=0;f[p+4>>2]=0;t=YG(p,31)|0;v=450084;w=t+31|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,p,475577,449502,534)}x=f[d+8>>2]|0;y=r+4|0;if((x|0)!=(f[y>>2]|0)){f[p>>2]=0;f[p+4>>2]=0;t=YG(p,30)|0;v=450116;w=t+30|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,p,475577,449502,534)}z=s+4|0;A=f[h>>2]|0;B=Y(A,(f[z>>2]|0)/(m|0)|0)|0;C=h+4|0;D=f[C>>2]|0;if((f[d+12>>2]|0)!=(Y(B,D)|0)){f[p>>2]=0;f[p+4>>2]=0;t=YG(p,66)|0;v=450147;w=t+66|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,p,475577,449502,534)}B=f[a>>2]|0;E=B&4095;F=f[c>>2]|0;if((E|0)!=(F&4095|0)){f[p>>2]=0;f[p+4>>2]=0;t=YG(p,29)|0;v=450214;w=t+29|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,p,475577,449502,534)}if((E|0)!=(f[d>>2]&4095|0)){f[p>>2]=0;f[p+4>>2]=0;t=YG(p,30)|0;v=450244;w=t+30|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,p,475577,449502,534)}if((E|0)!=5){f[p>>2]=0;f[p+4>>2]=0;t=YG(p,57)|0;v=450275;w=t+57|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,p,475577,449502,534)}if(!(B&16384)){f[p>>2]=0;f[p+4>>2]=0;t=YG(p,20)|0;v=456299;w=t+20|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,p,475577,449502,534)}if(!(F&16384)){f[p>>2]=0;f[p+4>>2]=0;t=YG(p,21)|0;v=450333;w=t+21|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,p,475577,449502,534)}if(((f[e+4>>2]|0)-(f[e>>2]|0)>>2|0)!=(x+2|0)){f[p>>2]=0;f[p+4>>2]=0;t=YG(p,42)|0;v=450355;w=t+42|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,p,475577,449502,534)}f[p>>2]=133228;v=p+4|0;x=p+8|0;F=p+12|0;B=p+32|0;t=B;w=t+68|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(w|0));f[v>>2]=a;f[x>>2]=d;f[F>>2]=c;f[p+16>>2]=f[r>>2];c=f[y>>2]|0;y=p+20|0;f[y>>2]=c;f[p+24>>2]=f[r+8>>2];f[p+28>>2]=f[r+12>>2];f[y>>2]=(c|0)/(m|0)|0;f[B>>2]=A;f[p+36>>2]=D;B=f[i>>2]|0;f[p+40>>2]=B;c=f[i+4>>2]|0;f[p+44>>2]=c;f[p+48>>2]=f[j>>2];f[p+52>>2]=f[j+4>>2];f[p+56>>2]=f[k>>2];j=k+4|0;f[p+60>>2]=f[j>>2];f[p+64>>2]=m;f[p+68>>2]=n;i=f[s+12>>2]|0;y=f[s+8>>2]|0;s=(f[z>>2]|0)/(m|0)|0;b[p+96>>0]=(D|A|(c|B)|0)==0&1;B=(vR(10)|0)&1;b[p+97>>0]=B;B=(vR(11)|0)&1;b[p+98>>0]=B;b[p+99>>0]=0;B=(s|0)<64?s:64;c=p+72|0;A=Y(Y(f[h>>2]|0,B)|0,f[C>>2]|0)|0;D=p+76|0;m=f[D>>2]|0;z=f[c>>2]|0;r=m-z>>2;F=z;z=m;if(A>>>0<=r>>>0)if(A>>>0<r>>>0?(m=F+(A<<2)|0,(z|0)!=(m|0)):0){f[D>>2]=z+(~((z+-4-m|0)>>>2)<<2);G=F}else G=F;else{$C(c,A-r|0);G=f[c>>2]|0}if((s|0)>0){s=0;c=f[C>>2]|0;while(1){if((c|0)>0){r=Y(s,y)|0;A=0;F=f[h>>2]|0;m=c;while(1){if((F|0)>0){z=0;d=m;x=F;while(1){a=Y((Y(f[j>>2]|0,A)|0)+r|0,i)|0;v=a+(Y(f[k>>2]|0,z)|0)|0;a=G+((Y((Y(d,s)|0)+A|0,x)|0)+z<<2)|0;f[a>>2]=v;z=z+1|0;v=f[h>>2]|0;a=f[C>>2]|0;if((z|0)>=(v|0)){H=a;I=v;break}else{d=a;x=v}}}else{H=m;I=F}A=A+1|0;if((A|0)>=(H|0)){J=H;break}else{F=I;m=H}}}else J=c;s=s+1|0;if((s|0)>=(B|0))break;else c=J}}f[p+84>>2]=e;f[p+88>>2]=g;f[p+92>>2]=(f[g>>2]|0)==(f[g+4>>2]|0)?l:0;f[q>>2]=0;f[q+4>>2]=n;oU(q,p,+(n|0));f[p>>2]=133228;n=f[p+72>>2]|0;if(!n){u=o;return}p=f[D>>2]|0;if((p|0)!=(n|0))f[D>>2]=p+(~((p+-4-n|0)>>>2)<<2);Emc(n);u=o;return}function pnb(a){a=a|0;var b=0,c=0;f[a>>2]=133228;b=f[a+72>>2]|0;if(!b)return;c=a+76|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-4-b|0)>>>2)<<2);Emc(b);return}function qnb(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=133228;b=f[a+72>>2]|0;if(!b){Emc(a);return}c=a+76|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b);Emc(a);return}function rnb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0.0,tb=0.0,ub=0.0,vb=0.0,wb=0.0,xb=0.0,yb=0.0,zb=0.0,Ab=0.0,Bb=0.0,Cb=0.0,Db=0.0,Eb=0.0;d=u;u=u+1072|0;e=d+1068|0;g=d+1064|0;h=d;i=f[a+64>>2]|0;j=f[a+4>>2]|0;k=f[j+40>>2]|0;l=Y(f[k>>2]|0,i)|0;m=f[a+12>>2]|0;o=f[m+40>>2]|0;p=f[o+12>>2]|0;q=(f[o+4>>2]|0)/(i|0)|0;r=f[k+12>>2]|0;s=f[k+8>>2]|0;t=(f[k+4>>2]|0)/(i|0)|0;k=f[a+68>>2]|0;v=f[a+32>>2]|0;w=f[a+36>>2]|0;x=f[a+40>>2]|0;y=f[a+44>>2]|0;z=f[a+48>>2]|0;A=f[a+52>>2]|0;B=f[a+56>>2]|0;C=f[a+60>>2]|0;D=Y(w,v)|0;E=Y(s,r)|0;F=Y(f[o+8>>2]|0,p)|0;f[e>>2]=F;o=(b[a+96>>0]|0)==0;G=f[c>>2]|0;H=f[c+4>>2]|0;if((k|0)<(l<<1|0)){c=(l+-1+k|0)/(k|0)|0;I=(c|0)>1?c:1;J=1;K=Y(I,G)|0;L=Y(I,H)|0;M=F}else{I=(k|0)/(l|0)|0;k=(((I+-1+F|0)>>>0)/(I>>>0)|0)+7&-8;f[g>>2]=k;J=I;K=G;L=H;M=F>>>0<k>>>0?f[e>>2]|0:k}f[g>>2]=M;M=f[j+16>>2]|0;j=f[a+72>>2]|0;k=f[a+8>>2]|0;F=f[k+16>>2]|0;H=((f[f[k+44>>2]>>2]|0)>>>0)/((1212424721>>>(f[k>>2]<<2&28)&15)>>>0)|0;k=f[a+84>>2]|0;G=f[k>>2]|0;if((f[k+4>>2]|0)==(G|0))Vkc(k);k=G;G=f[a+88>>2]|0;I=f[G>>2]|0;c=(I|0)==(f[G+4>>2]|0)?0:I;I=f[m+16>>2]|0;m=D<<11|8;G=h+8|0;f[h>>2]=G;N=h+4|0;f[N>>2]=m;if(m>>>0>264){O=Dmc(m>>>0>1073741823?-1:m<<2)|0;f[h>>2]=O;P=O}else P=G;O=P+31&-32;P=O;Drc(O|0,0,D<<13|0)|0;a:do if((K|0)<(L|0)){O=Y(t,E)|0;m=(t|0)>0;Q=a+92|0;R=(c|0)!=0;S=s-(Y(C,w+-1|0)|0)|0;T=C+-1|0;U=s+-1+C|0;V=z<<1;W=r-(Y(B,v+-1|0)|0)|0;X=B+-1|0;Z=r+-1+B|0;_=Y(C,r)|0;$=(q|0)>0;aa=~t;ba=~p;ca=K;da=K;do{ca=ca+1|0;ea=(da|0)/(J|0)|0;if((ea|0)>=(l|0))break a;fa=Y(ea,J)|0;ga=f[g>>2]|0;ha=Y(ga,da-fa|0)|0;ia=ha+ga|0;ja=f[e>>2]|0;ka=ja>>>0<ia>>>0?ja:ia;ia=M+((Y(O,ea)|0)<<2)|0;la=I+((Y(Y(ea,q)|0,ja)|0)<<2)|0;ma=Y((ea|0)%(i|0)|0,q)|0;ea=F+((Y(ma,H)|0)<<2)|0;na=k+(ma<<2)|0;if(m){oa=c+(ma<<2)|0;pa=(ka|0)>(ha|0);qa=Y(ga,ca-fa|0)|0;fa=~(ja>>>0>qa>>>0?qa:ja);ja=-33-ha|0;qa=0;ga=-1;ra=-65;while(1){sa=((Y(D,ga-((ra|0)>(aa|0)?ra:aa)|0)|0)+7|0)>>>3;ta=qa;qa=qa+64|0;ua=((t|0)<(qa|0)?t:qa)-ta|0;va=Y(ua,D)|0;wa=va+7&-8;xa=ea+((Y(ta,D)|0)<<2)|0;ya=R&(t|0)<=(qa|0)?oa:0;if(pa){za=Y(ta,s)|0;Aa=(va|0)>0;Ba=va<<2;Ca=(ua|0)>0;Da=(ya|0)!=0;Ea=(ta|0)==0;ta=ha;Fa=ja;while(1){Ga=(Fa|0)<(fa|0)?fa:Fa;Ha=ta;ta=ta+32|0;Ia=(ka|0)<(ta|0)?ka:ta;Ja=(Ha|0)/(p|0)|0;if((Ia|0)>(Ha|0)){Ka=Ha;La=Ja;Ma=Ha-(Y(Ja,p)|0)|0;Ja=P;while(1){Na=Ia-Ka|0;Oa=p-Ma|0;Pa=(Oa|0)<(Na|0)?Oa:Na;Na=Pa+Ma|0;Oa=(Y(La,A)|0)-y|0;Qa=(Y(Ma,z)|0)-x|0;Ra=ia+((Y(Oa+za|0,r)|0)<<2)+(Qa<<2)|0;do if(o){Sa=(Oa|0)>-1&(Oa|0)<(S|0);Ta=(T-Oa|0)/(C|0)|0;Ua=(Ta|0)>0?Ta:0;Ta=(U-Oa|0)/(C|0)|0;Va=(Ta|0)<(w|0)?Ta:w;if((Pa|0)>0){Ta=(Ua|0)<(Va|0);Wa=Ra;Xa=Ma;Ya=Ja;Za=Qa;while(1){do if(Sa){if((Xa+2|0)>(Na|0)|(Za|0)<0|(Za+V|0)>(W|0)){_a=34;break}if(Aa){$a=0;do{ab=f[j+($a<<2)>>2]|0;bb=f[Wa+(ab+z<<2)>>2]|0;f[Ya+($a<<2)>>2]=f[Wa+(ab<<2)>>2];f[Ya+($a+wa<<2)>>2]=bb;$a=$a+1|0}while(($a|0)<(va|0))}cb=Za+z|0;db=Wa+(z<<2)|0;eb=Xa+1|0;fb=Ya+(wa<<2)|0}else _a=34;while(0);do if((_a|0)==34){_a=0;$a=(X-Za|0)/(B|0)|0;bb=($a|0)>0?$a:0;$a=(Z-Za|0)/(B|0)|0;ab=($a|0)<(v|0)?$a:v;Drc(Ya|0,0,Ba|0)|0;if(!Ca){cb=Za;db=Wa;eb=Xa;fb=Ya;break}$a=(bb|0)<(ab|0);if(Ta)gb=0;else{cb=Za;db=Wa;eb=Xa;fb=Ya;break}do{hb=Y(gb,E)|0;ib=Y(gb,w)|0;if($a){jb=Ua;do{kb=(Y(_,jb)|0)+hb|0;lb=Y(jb+ib|0,v)|0;mb=bb;do{nb=Wa+(kb+(Y(mb,B)|0)<<2)|0;f[Ya+(mb+lb<<2)>>2]=f[nb>>2];mb=mb+1|0}while((mb|0)<(ab|0));jb=jb+1|0}while((jb|0)<(Va|0))}gb=gb+1|0}while((gb|0)<(ua|0));cb=Za;db=Wa;eb=Xa;fb=Ya}while(0);Xa=eb+1|0;ab=fb+(wa<<2)|0;if((Xa|0)>=(Na|0)){ob=ab;break}else{Wa=db+(z<<2)|0;Ya=ab;Za=cb+z|0}}}else ob=Ja}else if((Pa|0)>0){if(Aa){pb=Ra;qb=Ma;rb=Ja}else{Za=Ma+ba|0;Ya=Ga+Ka|0;Wa=Ma+-1-((Za|0)>(Ya|0)?Za:Ya)|0;Ya=Ma+1|0;ob=Ja+(Y(sa,((Wa|0)>(Ya|0)?Wa:Ya)-Ma<<5)|0)|0;break}while(1){Ya=0;do{Wa=pb+((Y(Ya,E)|0)<<2)|0;f[rb+(Ya<<2)>>2]=f[Wa>>2];Ya=Ya+1|0}while((Ya|0)<(va|0));qb=qb+1|0;Ya=rb+(wa<<2)|0;if((qb|0)>=(Na|0)){ob=Ya;break}else{pb=pb+(z<<2)|0;rb=Ya}}}else ob=Ja;while(0);Ka=Pa+Ka|0;if((Ia|0)<=(Ka|0))break;else{La=La+1|0;Ma=0;Ja=ob}}}Ja=Ia-Ha|0;if($){Ma=la+(Ha<<2)|0;La=(Ja|0)>0;Ka=0;do{Ga=xa+((Y(Ka,H)|0)<<2)|0;Na=f[e>>2]|0;Ra=Ma+((Y(Na,Ka)|0)<<2)|0;sb=+n[na+(Ka<<2)>>2];Qa=Ka|1;Oa=(Qa|0)>=(q|0);Ya=Oa?Ga:Ga+(H<<2)|0;Wa=Oa?Ra:Ra+(Na<<2)|0;tb=Oa?sb:+n[na+(Qa<<2)>>2];if(Da){ub=+n[ya+(Ka<<2)>>2];vb=Oa?ub:+n[ya+(Qa<<2)>>2];wb=ub}else{vb=1.0;wb=1.0}if(La)if(Ea){Qa=0;do{Oa=P+((Y(Qa,wa)|0)<<2)|0;if(Aa){ub=sb;xb=tb;Na=0;while(1){yb=+n[Oa+(Na<<2)>>2];zb=ub+yb*+n[Ga+(Na<<2)>>2];Ab=xb+yb*+n[Ya+(Na<<2)>>2];Na=Na+1|0;if((Na|0)>=(va|0)){Bb=Ab;Cb=zb;break}else{ub=zb;xb=Ab}}}else{Bb=tb;Cb=sb}n[Ra+(Qa<<2)>>2]=Da?(Cb>0.0?Cb:wb*Cb):Cb;n[Wa+(Qa<<2)>>2]=Da?(Bb>0.0?Bb:vb*Bb):Bb;Qa=Qa+1|0}while((Qa|0)<(Ja|0))}else{Qa=0;do{Pa=P+((Y(Qa,wa)|0)<<2)|0;Na=Wa+(Qa<<2)|0;Oa=Ra+(Qa<<2)|0;sb=+n[Oa>>2];tb=+n[Na>>2];if(Aa){xb=sb;ub=tb;Za=0;while(1){Ab=+n[Pa+(Za<<2)>>2];zb=xb+Ab*+n[Ga+(Za<<2)>>2];yb=ub+Ab*+n[Ya+(Za<<2)>>2];Za=Za+1|0;if((Za|0)>=(va|0)){Db=yb;Eb=zb;break}else{xb=zb;ub=yb}}}else{Db=tb;Eb=sb}n[Oa>>2]=Da?(Eb>0.0?Eb:wb*Eb):Eb;n[Na>>2]=Da?(Db>0.0?Db:vb*Db):Db;Qa=Qa+1|0}while((Qa|0)<(Ja|0))}Ka=Ka+2|0}while((Ka|0)<(q|0))}if((ta|0)>=(ka|0))break;else Fa=Fa+-32|0}}if((qa|0)>=(t|0))break;else{ga=ga+-64|0;ra=ra+-64|0}}}ra=f[Q>>2]|0;if(ra|0){ga=la+(ha<<2)|0;Oh[f[(f[ra>>2]|0)+100>>2]&127](ra,ga,ga,ka-ha|0,f[e>>2]|0,ma,ma+q|0)}da=da+1|0}while((da|0)<(L|0))}while(0);L=f[h>>2]|0;if((L|0)==(G|0)){u=d;return}if(L|0)Fmc(L);f[h>>2]=G;f[N>>2]=264;u=d;return}function snb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;e=u;u=u+64|0;g=e+44|0;h=e+32|0;i=e+24|0;j=e+20|0;k=e+16|0;l=e+12|0;m=e+8|0;n=e;f[g>>2]=0;o=g+4|0;f[o>>2]=0;f[g+8>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;rD(c,g);rD(d,h);d=f[o>>2]|0;o=f[g>>2]|0;c=o;if((d|0)==(o|0)){f[i>>2]=0;f[i+4>>2]=0;p=YG(i,17)|0;q=474364;r=p+17|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,i,476100,449502,95)}s=f[a+4>>2]|0;t=(f[a+8>>2]|0)-s|0;v=s;if(!((t|0)!=0&((t|0)/56|0)>>>0<3)){f[i>>2]=0;f[i+4>>2]=0;p=YG(i,38)|0;q=450671;r=p+38|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,i,476100,449502,97)}if((f[v+4>>2]|0)!=4){f[i>>2]=0;w=i+4|0;f[w>>2]=0;x=YG(i,91)|0;p=x;q=450710;r=p+91|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,i,476100,449502,98)}t=f[v+40>>2]|0;v=a+36|0;if((f[t+12>>2]|0)!=(f[v>>2]|0)){f[i>>2]=0;w=i+4|0;f[w>>2]=0;x=YG(i,91)|0;p=x;q=450710;r=p+91|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,i,476100,449502,98)}if((f[t+8>>2]|0)!=(f[a+40>>2]|0)){f[i>>2]=0;w=i+4|0;f[w>>2]=0;x=YG(i,91)|0;p=x;q=450710;r=p+91|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,i,476100,449502,98)}if((f[c+4>>2]|0)!=4){f[i>>2]=0;y=i+4|0;f[y>>2]=0;z=YG(i,95)|0;p=z;q=450802;r=p+95|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,i,476100,449502,101)}x=f[c>>2]|0;switch(x&4095){case 3:case 6:case 5:break;default:{f[i>>2]=0;y=i+4|0;f[y>>2]=0;z=YG(i,95)|0;p=z;q=450802;r=p+95|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,i,476100,449502,101)}}z=c+40|0;y=(d-o|0)/56|0;o=0;while(1){if((f[c+(o*56|0)+4>>2]|0)!=4){A=19;break}d=f[c+(o*56|0)+40>>2]|0;w=f[z>>2]|0;if((f[d+4>>2]|0)!=(f[w+4>>2]|0)){A=19;break}B=f[d+8>>2]|0;if((B|0)!=(f[w+8>>2]|0)){A=22;break}C=f[d+12>>2]|0;o=o+1|0;if((C|0)!=(f[w+12>>2]|0)){A=22;break}if(o>>>0>=y>>>0){A=15;break}if((x^f[c+(o*56|0)>>2])&4095|0){A=16;break}}if((A|0)==15){o=f[(f[h>>2]|0)+40>>2]|0;c=f[o+8>>2]|0;f[i>>2]=f[o+12>>2];f[i+4>>2]=c;c=a+56|0;o=f[c>>2]|0;f[j>>2]=o;x=a+52|0;y=f[x>>2]|0;f[k>>2]=y;f[l>>2]=o;f[m>>2]=y;f[n>>2]=C;f[n+4>>2]=B;gob(n,i,v,a+44|0,a+76|0,a+60|0,j,k,l,m);a=f[j>>2]|0;if((a|0)!=(f[l>>2]|0)){f[n>>2]=0;D=n+4|0;f[D>>2]=0;E=YG(n,51)|0;p=E;q=451062;r=p+51|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-213,n,476100,449502,118)}l=f[k>>2]|0;if((l|0)==(f[m>>2]|0)){f[x>>2]=l;f[c>>2]=a;rt(h);rt(g);u=e;return}else{f[n>>2]=0;D=n+4|0;f[D>>2]=0;E=YG(n,51)|0;p=E;q=451062;r=p+51|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-213,n,476100,449502,118)}}else if((A|0)==16){f[i>>2]=0;f[i+4>>2]=0;p=YG(i,32)|0;q=450898;r=p+32|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,i,476100,449502,104)}else if((A|0)==19){f[i>>2]=0;f[i+4>>2]=0;p=YG(i,57)|0;q=450931;r=p+57|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,i,476100,449502,105)}else if((A|0)==22){f[i>>2]=0;f[i+4>>2]=0;p=YG(i,72)|0;q=450989;r=p+72|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,i,476100,449502,106)}}function tnb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0;d=a+8|0;e=f[d>>2]|0;g=f[a>>2]|0;h=g;do if(e-g>>3>>>0>=b>>>0){i=a+4|0;j=f[i>>2]|0;k=j-g>>3;l=k>>>0<b>>>0;m=l?k:b;n=j;if(m|0){j=m;m=h;while(1){p[m>>3]=+p[c>>3];j=j+-1|0;if(!j)break;else m=m+8|0}}if(!l){m=h+(b<<3)|0;if((n|0)==(m|0))return;else{o=i;q=n+(~((n+-8-m|0)>>>3)<<3)|0;break}}else{m=b-k|0;j=m;r=n;while(1){p[r>>3]=+p[c>>3];j=j+-1|0;if(!j)break;else r=r+8|0}o=i;q=n+(m<<3)|0;break}}else{r=g;if(!g)s=e;else{j=a+4|0;k=f[j>>2]|0;if((k|0)!=(h|0))f[j>>2]=k+(~((k+-8-g|0)>>>3)<<3);Emc(r);f[d>>2]=0;f[j>>2]=0;f[a>>2]=0;s=0}if(b>>>0>536870911)Ukc(a);j=s>>2;r=s>>3>>>0<268435455?(j>>>0<b>>>0?b:j):536870911;if(r>>>0>536870911)Ukc(a);j=Bmc(r<<3)|0;k=a+4|0;f[k>>2]=j;f[a>>2]=j;f[d>>2]=j+(r<<3);r=b;l=j;while(1){p[l>>3]=+p[c>>3];r=r+-1|0;if(!r)break;else l=l+8|0}o=k;q=j+(b<<3)|0}while(0);f[o>>2]=q;return}function unb(a){a=a|0;f[a>>2]=133248;ZG(a+76|0);Nza(a);return}function vnb(a){a=a|0;f[a>>2]=133248;ZG(a+76|0);Nza(a);Emc(a);return}function wnb(a){a=a|0;f[a>>2]=133248;ZG(a+76|0);Nza(a);Emc(a);return}function xnb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Bmc(296)|0;Ymb(c,b);f[c>>2]=133468;f[c+88>>2]=1124007936;b=c+96|0;d=c+128|0;e=c+92|0;g=e+36|0;do{f[e>>2]=0;e=e+4|0}while((e|0)<(g|0));f[d>>2]=b;b=c+136|0;f[c+132>>2]=b;f[b>>2]=0;f[c+140>>2]=0;f[c+144>>2]=1124007936;b=c+152|0;d=c+184|0;e=c+148|0;g=e+36|0;do{f[e>>2]=0;e=e+4|0}while((e|0)<(g|0));f[d>>2]=b;b=c+192|0;f[c+188>>2]=b;f[b>>2]=0;f[c+196>>2]=0;f[c+200>>2]=1124007936;b=c+204|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[c+232>>2]=c+208;b=c+240|0;f[c+236>>2]=b;f[c+244>>2]=0;f[b>>2]=0;f[c+248>>2]=1124007936;b=c+252|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[c+280>>2]=c+256;b=c+288|0;f[c+284>>2]=b;f[c+292>>2]=0;f[b>>2]=0;b=Bmc(16)|0;f[b+4>>2]=1;f[b>>2]=133580;f[b+8>>2]=c;f[a>>2]=b;f[a+4>>2]=c;return}function ynb(a){a=a|0;Emc(a);return}function znb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Anb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;f[a>>2]=133468;uN(a+248|0);uN(a+200|0);b=a+144|0;c=a+180|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+160|0;b=a+148|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+184>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+188>>2]|0;if((b|0)!=(a+192|0))tE(b);b=a+88|0;d=a+124|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+104|0;b=a+92|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+128>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+132>>2]|0;if((b|0)==(a+136|0)){f[a>>2]=133248;g=a+76|0;ZG(g);Nza(a);return}tE(b);f[a>>2]=133248;g=a+76|0;ZG(g);Nza(a);return}function Bnb(a){a=a|0;Anb(a);Emc(a);return}function Cnb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;e=u;u=u+64|0;g=e+44|0;h=e+32|0;i=e+28|0;j=e+24|0;k=e+20|0;l=e+16|0;m=e+8|0;n=e;snb(a,c,d);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;rD(c,g);rD(d,h);d=a+56|0;c=f[d>>2]|0;f[i>>2]=c;o=a+52|0;p=f[o>>2]|0;f[j>>2]=p;f[k>>2]=c;f[l>>2]=p;p=f[(f[h>>2]|0)+40>>2]|0;c=f[p+8>>2]|0;f[m>>2]=f[p+12>>2];f[m+4>>2]=c;c=f[(f[g>>2]|0)+40>>2]|0;p=f[c+8>>2]|0;f[n>>2]=f[c+12>>2];f[n+4>>2]=p;gob(m,n,a+36|0,a+44|0,a+76|0,a+60|0,i,j,k,l);a=f[i>>2]|0;if((a|0)!=(f[k>>2]|0)){f[m>>2]=0;q=m+4|0;f[q>>2]=0;r=YG(m,51)|0;s=r;t=451062;v=s+51|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));SQ(-213,m,476100,449502,1183)}k=f[j>>2]|0;if((k|0)==(f[l>>2]|0)){f[o>>2]=k;f[d>>2]=a;rt(h);rt(g);u=e;return}else{f[m>>2]=0;q=m+4|0;f[q>>2]=0;r=YG(m,51)|0;s=r;t=451062;v=s+51|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));SQ(-213,m,476100,449502,1183)}}function Dnb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0.0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0;g=u;u=u+768|0;h=g+688|0;i=g+632|0;j=g+624|0;k=g+608|0;l=g+596|0;m=g+584|0;n=g+528|0;o=g;p=g+472|0;q=g+416|0;r=g+360|0;s=g+304|0;t=g+248|0;v=g+224|0;zT(j,133592);if((BD(c,-1)|0)==3)gAa(a,c,d,e);else{f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[l>>2]=0;w=l+4|0;f[w>>2]=0;f[l+8>>2]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;rD(c,k);rD(d,l);rD(e,m);e=f[a+84>>2]|0;d=f[(f[(f[k>>2]|0)+40>>2]|0)+4>>2]|0;c=a+40|0;if(((((f[c>>2]|0)==1?(f[a+36>>2]|0)==1:0)?(f[a+48>>2]|0)==1:0)?(f[a+44>>2]|0)==1:0)?(f[a+64>>2]|0)==1:0)x=(f[a+60>>2]|0)==1;else x=0;y=pU()|0;z=a+88|0;if(f[a+104>>2]|0){A=f[a+92>>2]|0;if((A|0)<3)B=Y(f[a+100>>2]|0,f[a+96>>2]|0)|0;else{C=f[a+128>>2]|0;D=0;E=1;while(1){F=Y(f[C+(D<<2)>>2]|0,E)|0;D=D+1|0;if((D|0)==(A|0)){B=F;break}else E=F}}if((A|0)==0|(B|0)==0)G=19}else G=19;if((G|0)==19){xP(i,f[a+4>>2]|0,1,d);f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=i;B=n+8|0;f[B>>2]=0;f[B+4>>2]=0;f[n>>2]=33619968;f[n+4>>2]=z;SJ(h,n);B=i+36|0;A=f[B>>2]|0;if(A|0?(E=A+12|0,A=f[E>>2]|0,f[E>>2]=A+-1,(A|0)==1):0)lP(i);f[B>>2]=0;B=i+16|0;A=i+4|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[A>>2]|0)>0){B=f[i+40>>2]|0;E=0;do{f[B+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[A>>2]|0))}A=f[i+44>>2]|0;if((A|0)!=(i+48|0))tE(A);A=f[a+4>>2]|0;if((((f[a+8>>2]|0)-A|0)/56|0)>>>0>1){xP(h,A+56|0,1,e);H=0}else{pG(o,e,1,5);f[h>>2]=1124007936;A=h+8|0;E=h+40|0;B=h+4|0;D=B+36|0;do{f[B>>2]=0;B=B+4|0}while((B|0)<(D|0));f[E>>2]=A;A=h+48|0;f[h+44>>2]=A;f[A>>2]=0;f[h+52>>2]=0;A=f[o>>2]|0;rh[f[(f[A>>2]|0)+12>>2]&255](A,o,h,-1);H=1}A=a+144|0;E=h+36|0;B=f[E>>2]|0;if((A|0)==(h|0))I=B;else{if(B|0){D=B+12|0;f[D>>2]=(f[D>>2]|0)+1}D=a+180|0;B=f[D>>2]|0;if(B|0?(C=B+12|0,B=f[C>>2]|0,f[C>>2]=B+-1,(B|0)==1):0)lP(A);f[D>>2]=0;B=a+160|0;C=a+148|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[C>>2]|0)>0){F=f[a+184>>2]|0;J=0;do{f[F+(J<<2)>>2]=0;J=J+1|0;K=f[C>>2]|0}while((J|0)<(K|0));f[A>>2]=f[h>>2];if((K|0)<3)G=41;else G=43}else{f[A>>2]=f[h>>2];G=41}if((G|0)==41){K=f[h+4>>2]|0;if((K|0)<3){f[C>>2]=K;f[a+152>>2]=f[h+8>>2];f[a+156>>2]=f[h+12>>2];K=f[h+44>>2]|0;C=f[a+188>>2]|0;f[C>>2]=f[K>>2];f[C+4>>2]=f[K+4>>2]}else G=43}if((G|0)==43)kP(A,h);f[B>>2]=f[h+16>>2];f[a+164>>2]=f[h+20>>2];f[a+168>>2]=f[h+24>>2];f[a+172>>2]=f[h+28>>2];f[a+176>>2]=f[h+32>>2];B=f[E>>2]|0;f[D>>2]=B;I=B}if(I|0?(B=I+12|0,I=f[B>>2]|0,f[B>>2]=I+-1,(I|0)==1):0)lP(h);f[E>>2]=0;E=h+16|0;I=h+4|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[I>>2]|0)>0){E=f[h+40>>2]|0;B=0;do{f[E+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[I>>2]|0))}I=f[h+44>>2]|0;if((I|0)!=(h+48|0))tE(I);if(H)Xi(o)}if((f[w>>2]|0)!=(f[l>>2]|0)){o=a+4|0;H=p+36|0;I=p+16|0;B=p+4|0;E=p+40|0;D=p+44|0;A=p+48|0;G=n+36|0;K=n+16|0;C=n+4|0;J=n+40|0;F=n+44|0;L=n+48|0;M=i+4|0;N=h+4|0;O=i+4|0;P=h+4|0;Q=i+4|0;R=h+4|0;S=a+144|0;T=i+4|0;U=h+4|0;V=v+4|0;W=v+8|0;X=v+12|0;Z=v+16|0;_=v+20|0;$=v+21|0;aa=v+22|0;ba=h+4|0;ca=+(y|0);da=a+36|0;ea=a+56|0;fa=a+52|0;ga=a+48|0;ha=a+44|0;a=q+16|0;ia=q+44|0;ja=t+16|0;ka=t+44|0;la=x&1;ma=h+4|0;na=h+48|0;oa=h+12|0;pa=h+16|0;qa=h+20|0;ra=h+24|0;sa=h+28|0;ta=h+32|0;ua=h+36|0;va=h+40|0;wa=h+44|0;xa=h+52|0;ya=h+56|0;za=h+60|0;Aa=h+64|0;Ba=h+8|0;Ca=i+4|0;Da=t+36|0;Ea=t+4|0;Fa=t+40|0;Ga=t+48|0;Ha=s+36|0;Ia=s+16|0;Ja=s+4|0;Ka=s+40|0;La=s+44|0;Ma=s+48|0;Na=r+36|0;Oa=r+16|0;Pa=r+4|0;Qa=r+40|0;Ra=r+44|0;Sa=r+48|0;Ta=q+36|0;Ua=q+4|0;Va=q+40|0;Wa=q+48|0;Xa=0;Ya=f[l>>2]|0;do{Za=f[(f[(f[o>>2]|0)+40>>2]|0)+4>>2]|0;_a=(e|0)/(Za|0)|0;$a=(d|0)/(_a|0)|0;ab=f[k>>2]|0;bb=f[ab+(Xa*56|0)+40>>2]|0;cb=f[bb>>2]|0;db=f[bb+8>>2]|0;eb=f[bb+12>>2]|0;bb=f[Ya+(Xa*56|0)+40>>2]|0;fb=f[bb+8>>2]|0;gb=f[bb+12>>2]|0;xP(n,ab+(Xa*56|0)|0,1,Y(cb,d)|0);xP(p,Ya+(Xa*56|0)|0,1,Y(cb,e)|0);if((cb|0)>0){ab=(_a|0)>0;bb=0;do{if(ab){hb=Y(bb,_a)|0;ib=0;do{jb=ib+hb|0;kb=Y(jb,Za)|0;f[i>>2]=kb;f[M>>2]=kb+Za;f[h>>2]=-2147483648;f[N>>2]=2147483647;mP(q,p,i,h);kb=x?q:f[m>>2]|0;lb=Y(jb,$a)|0;f[i>>2]=lb;f[O>>2]=lb+$a;f[h>>2]=-2147483648;f[P>>2]=2147483647;mP(r,n,i,h);lb=Y(ib,$a)|0;f[i>>2]=lb;f[Q>>2]=lb+$a;f[h>>2]=-2147483648;f[R>>2]=2147483647;mP(s,z,h,i);lb=Y(ib,Za)|0;f[i>>2]=lb;f[T>>2]=lb+Za;f[h>>2]=-2147483648;f[U>>2]=2147483647;mP(t,S,i,h);f[v>>2]=133632;f[V>>2]=s;f[W>>2]=r;f[X>>2]=kb;f[Z>>2]=y;lb=(vR(10)|0)&1;b[_>>0]=lb;lb=(vR(11)|0)&1;b[$>>0]=lb;b[aa>>0]=0;f[h>>2]=0;f[ba>>2]=y;oU(h,v,ca);lb=f[kb+16>>2]|0;kb=f[c>>2]|0;jb=f[da>>2]|0;mb=f[ea>>2]|0;nb=f[fa>>2]|0;ob=f[ga>>2]|0;pb=f[ha>>2]|0;qb=f[a>>2]|0;rb=f[ja>>2]|0;sb=pU()|0;f[h>>2]=133652;f[ma>>2]=lb;f[na>>2]=qb;f[oa>>2]=Za;f[pa>>2]=fb;f[qa>>2]=gb;f[ra>>2]=kb;f[sa>>2]=jb;f[ta>>2]=mb;f[ua>>2]=nb;f[va>>2]=ob;f[wa>>2]=pb;f[xa>>2]=db;f[ya>>2]=eb;f[za>>2]=sb;b[Aa>>0]=la;f[Ba>>2]=rb;f[i>>2]=0;f[Ca>>2]=sb;oU(i,h,+(sb|0));sb=f[Da>>2]|0;if(sb|0?(rb=sb+12|0,sb=f[rb>>2]|0,f[rb>>2]=sb+-1,(sb|0)==1):0)lP(t);f[Da>>2]=0;f[ja>>2]=0;f[ja+4>>2]=0;f[ja+8>>2]=0;f[ja+12>>2]=0;if((f[Ea>>2]|0)>0){sb=f[Fa>>2]|0;rb=0;do{f[sb+(rb<<2)>>2]=0;rb=rb+1|0}while((rb|0)<(f[Ea>>2]|0))}rb=f[ka>>2]|0;if((rb|0)!=(Ga|0))tE(rb);rb=f[Ha>>2]|0;if(rb|0?(sb=rb+12|0,rb=f[sb>>2]|0,f[sb>>2]=rb+-1,(rb|0)==1):0)lP(s);f[Ha>>2]=0;f[Ia>>2]=0;f[Ia+4>>2]=0;f[Ia+8>>2]=0;f[Ia+12>>2]=0;if((f[Ja>>2]|0)>0){rb=f[Ka>>2]|0;sb=0;do{f[rb+(sb<<2)>>2]=0;sb=sb+1|0}while((sb|0)<(f[Ja>>2]|0))}sb=f[La>>2]|0;if((sb|0)!=(Ma|0))tE(sb);sb=f[Na>>2]|0;do if(sb|0){rb=sb+12|0;pb=f[rb>>2]|0;f[rb>>2]=pb+-1;if((pb|0)!=1)break;lP(r)}while(0);f[Na>>2]=0;f[Oa>>2]=0;f[Oa+4>>2]=0;f[Oa+8>>2]=0;f[Oa+12>>2]=0;if((f[Pa>>2]|0)>0){sb=f[Qa>>2]|0;pb=0;do{f[sb+(pb<<2)>>2]=0;pb=pb+1|0}while((pb|0)<(f[Pa>>2]|0))}pb=f[Ra>>2]|0;if((pb|0)!=(Sa|0))tE(pb);pb=f[Ta>>2]|0;do if(pb|0){sb=pb+12|0;rb=f[sb>>2]|0;f[sb>>2]=rb+-1;if((rb|0)!=1)break;lP(q)}while(0);f[Ta>>2]=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[Ua>>2]|0)>0){pb=f[Va>>2]|0;rb=0;do{f[pb+(rb<<2)>>2]=0;rb=rb+1|0}while((rb|0)<(f[Ua>>2]|0))}rb=f[ia>>2]|0;if((rb|0)!=(Wa|0))tE(rb);ib=ib+1|0}while((ib|0)<(_a|0))}bb=bb+1|0}while((bb|0)<(cb|0))}cb=f[H>>2]|0;if(cb|0?(bb=cb+12|0,cb=f[bb>>2]|0,f[bb>>2]=cb+-1,(cb|0)==1):0)lP(p);f[H>>2]=0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[B>>2]|0)>0){cb=f[E>>2]|0;bb=0;do{f[cb+(bb<<2)>>2]=0;bb=bb+1|0}while((bb|0)<(f[B>>2]|0))}bb=f[D>>2]|0;if((bb|0)!=(A|0))tE(bb);bb=f[G>>2]|0;if(bb|0?(cb=bb+12|0,bb=f[cb>>2]|0,f[cb>>2]=bb+-1,(bb|0)==1):0)lP(n);f[G>>2]=0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[C>>2]|0)>0){bb=f[J>>2]|0;cb=0;do{f[bb+(cb<<2)>>2]=0;cb=cb+1|0}while((cb|0)<(f[C>>2]|0))}cb=f[F>>2]|0;if((cb|0)!=(L|0))tE(cb);Xa=Xa+1|0;Ya=f[l>>2]|0}while(Xa>>>0<(((f[w>>2]|0)-Ya|0)/56|0)>>>0)}rt(m);rt(l);rt(k)}if(!(f[j+4>>2]|0)){u=g;return}u=g;return}function Enb(a,b){a=a|0;b=b|0;return (b|2|0)==3|0}function Fnb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Gnb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Hnb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;d=u;u=u+48|0;h=d+32|0;i=d+16|0;j=d;k=a+4|0;l=a+8|0;m=f[k>>2]|0;n=m;if((((f[l>>2]|0)-m|0)/56|0)>>>0>1){m=f[n+60>>2]|0;if((m|0)<3)o=Y(f[n+68>>2]|0,f[n+64>>2]|0)|0;else{p=f[n+96>>2]|0;q=0;r=1;while(1){s=Y(f[p+(q<<2)>>2]|0,r)|0;q=q+1|0;if((q|0)==(m|0)){o=s;break}else r=s}}if((o|0)!=(f[a+84>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;t=YG(h,51)|0;v=451397;w=t+51|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,h,475265,449502,1122)}}o=f[c+4>>2]|0;r=f[c>>2]|0;if((o|0)==(r|0)){f[h>>2]=0;f[h+4>>2]=0;t=YG(h,18)|0;v=475246;w=t+18|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,h,475265,449502,1123)}m=f[r>>2]|0;q=f[m+4>>2]|0;p=f[m+8>>2]|0;s=f[m+12>>2]|0;x=a+80|0;y=f[x>>2]|0;do if(!y){z=Y(f[a+48>>2]|0,p+-1|0)|0;A=Y(f[a+44>>2]|0,s+-1|0)|0;B=z+(f[a+40>>2]|0)-(f[a+56>>2]<<1)+(f[a+72>>2]|0)|0;C=A+(f[a+36>>2]|0)-(f[a+52>>2]<<1)|0}else{A=a+76|0;z=f[A>>2]|0;if((z|0)!=452873?(D=(z|0)==0?1163146:z,o7b(D,452873)|0):0){if((z|0)!=452879?o7b(D,452879)|0:0){f[h>>2]=0;f[h+4>>2]=0;YG(h,y+25|0)|0;D=f[h>>2]|0;t=D;v=451449;w=t+25|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));z=f[x>>2]|0;if(!z)SQ(-2,h,475265,449502,1146);Krc(D+25|0,f[A>>2]|0,z|0)|0;SQ(-2,h,475265,449502,1146)}z=(Y(f[a+48>>2]|0,p+-1|0)|0)+1|0;B=z+(f[a+72>>2]|0)|0;C=(Y(f[a+44>>2]|0,s+-1|0)|0)+1|0;break}z=Y(f[a+48>>2]|0,p+-1|0)|0;E=Y(f[a+44>>2]|0,s+-1|0)|0;B=z+(f[a+40>>2]|0)+(f[a+72>>2]|0)|0;C=E+(f[a+36>>2]|0)|0}while(0);s=(f[a+68>>2]|0)+C|0;C=f[a+84>>2]|0;p=f[n+40>>2]|0;n=f[p+4>>2]|0;if((C|0)%(n|0)|0|0){f[h>>2]=0;f[h+4>>2]=0;t=YG(h,29)|0;v=451475;w=t+29|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,h,475265,449502,1150)}x=(C|0)/(n|0)|0;if((q|0)%(x|0)|0|0){f[h>>2]=0;F=h+4|0;f[F>>2]=0;G=YG(h,44)|0;t=G;v=451505;w=t+44|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,h,475265,449502,1153)}if((C|0)%(x|0)|0|0){f[h>>2]=0;F=h+4|0;f[F>>2]=0;G=YG(h,44)|0;t=G;v=451505;w=t+44|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,h,475265,449502,1153)}if((f[p>>2]|0)!=(q|0)){f[h>>2]=0;f[h+4>>2]=0;t=YG(h,25)|0;v=451550;w=t+25|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,h,475265,449502,1154)}f[i>>2]=f[m>>2];f[i+4>>2]=C;f[i+8>>2]=B;f[i+12>>2]=s;C=(o-r|0)/12|0;f[h>>2]=0;r=h+4|0;f[r>>2]=0;f[h+8>>2]=0;hAa(h,i,i+16|0);i=e+4|0;o=f[i>>2]|0;m=f[e>>2]|0;v=(o-m|0)/12|0;t=m;m=o;if(C>>>0<=v>>>0){if(C>>>0<v>>>0?(o=t+(C*12|0)|0,(m|0)!=(o|0)):0){t=m;while(1){m=t+-12|0;f[i>>2]=m;w=f[m>>2]|0;if(!w)H=m;else{m=t+-8|0;q=f[m>>2]|0;if((q|0)!=(w|0))f[m>>2]=q+(~((q+-4-w|0)>>>2)<<2);Emc(w);H=f[i>>2]|0}if((H|0)==(o|0))break;else t=H}}}else Wmb(e,C-v|0,h);v=f[h>>2]|0;if(v|0){C=f[r>>2]|0;if((C|0)!=(v|0))f[r>>2]=C+(~((C+-4-v|0)>>>2)<<2);Emc(v)}f[h>>2]=0;v=h+4|0;f[v>>2]=0;f[h+8>>2]=0;C=g+4|0;r=f[C>>2]|0;H=g+8|0;if((r|0)==(f[H>>2]|0)){ABa(g,h);I=f[h>>2]|0}else{f[r>>2]=0;t=r+4|0;f[t>>2]=0;f[r+8>>2]=0;o=f[h>>2]|0;i=(f[v>>2]|0)-o|0;w=i>>2;if(w){if(w>>>0>1073741823)Ukc(r);q=Bmc(i)|0;f[t>>2]=q;f[r>>2]=q;f[r+8>>2]=q+(w<<2);w=f[h>>2]|0;r=(f[v>>2]|0)-w|0;if((r|0)>0){Krc(q|0,w|0,r|0)|0;f[t>>2]=q+(r>>>2<<2);J=w}else J=w}else J=o;f[C>>2]=(f[C>>2]|0)+12;I=J}if(I|0){J=f[v>>2]|0;if((J|0)!=(I|0))f[v>>2]=J+(~((J+-4-I|0)>>>2)<<2);Emc(I)}if(!((((((f[a+40>>2]|0)==1?(f[a+36>>2]|0)==1:0)?(f[a+48>>2]|0)==1:0)?(f[a+44>>2]|0)==1:0)?(f[a+64>>2]|0)==1:0)?(f[a+60>>2]|0)==1:0)){rh[f[(f[a>>2]|0)+100>>2]&255](h,a,f[c>>2]|0,f[e>>2]|0);e=f[g>>2]|0;if((e|0)!=(h|0))c2(e,f[h>>2]|0,f[h+4>>2]|0);e=f[h>>2]|0;if(e|0){c=h+4|0;a=f[c>>2]|0;if((a|0)!=(e|0))f[c>>2]=a+(~((a+-4-e|0)>>>2)<<2);Emc(e)}}if((((f[l>>2]|0)-(f[k>>2]|0)|0)/56|0)>>>0<=1){u=d;return 0}k=Y(s,B)|0;f[h>>2]=1;f[h+4>>2]=k;f[h+8>>2]=-1;f[h+12>>2]=-1;f[j>>2]=0;k=j+4|0;f[k>>2]=0;f[j+8>>2]=0;hAa(j,h,h+16|0);h=f[j>>2]|0;B=f[k>>2]|0;a:do if((h|0)==(B|0)){K=h;L=70}else{s=h;do{if((f[s>>2]|0)<0){K=s;L=70;break a}s=s+4|0}while((s|0)!=(B|0))}while(0);if((L|0)==70?(K|0)!=(B|0):0){L=K+4|0;if((L|0)==(B|0)){M=B;N=K}else{h=L;L=K;while(1){K=f[h>>2]|0;if((K|0)<0)O=L;else{f[L>>2]=K;O=L+4|0}h=h+4|0;if((h|0)==(B|0))break;else L=O}M=f[k>>2]|0;N=O}if((N|0)!=(M|0))f[k>>2]=M+(~((M+-4-N|0)>>>2)<<2)}N=f[C>>2]|0;if((N|0)==(f[H>>2]|0)){ABa(g,j);P=f[j>>2]|0}else{f[N>>2]=0;g=N+4|0;f[g>>2]=0;f[N+8>>2]=0;H=f[j>>2]|0;M=(f[k>>2]|0)-H|0;O=M>>2;if(O){if(O>>>0>1073741823)Ukc(N);L=Bmc(M)|0;f[g>>2]=L;f[N>>2]=L;f[N+8>>2]=L+(O<<2);O=f[j>>2]|0;j=(f[k>>2]|0)-O|0;if((j|0)>0){Krc(L|0,O|0,j|0)|0;f[g>>2]=L+(j>>>2<<2);Q=O}else Q=O}else Q=H;f[C>>2]=(f[C>>2]|0)+12;P=Q}if(P|0){Q=f[k>>2]|0;if((Q|0)!=(P|0))f[k>>2]=Q+(~((Q+-4-P|0)>>>2)<<2);Emc(P)}u=d;return 0}function Inb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,v=0,w=0;e=u;u=u+16|0;g=e;h=f[c+4>>2]|0;i=f[c>>2]|0;c=h-i|0;j=i;if((c|0)!=((f[d+4>>2]|0)-(f[d>>2]|0)|0)){f[g>>2]=0;f[g+4>>2]=0;k=YG(g,31)|0;l=449470;m=k+31|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-215,g,461951,449502,1685)}if((h|0)==(i|0)){n=0;o=0;J=n;u=e;return o|0}i=f[f[(f[a+4>>2]|0)+40>>2]>>2]|0;h=Qrc(i|0,((i|0)<0)<<31>>31|0,1)|0;i=Y(f[a+40>>2]|0,f[a+36>>2]|0)|0;a=Urc(h|0,J|0,i|0,((i|0)<0)<<31>>31|0)|0;i=J;h=(c|0)/12|0;p=0.0;c=0;do{d=f[j+(c*12|0)+4>>2]|0;q=f[j+(c*12|0)>>2]|0;r=d-q|0;s=r>>2;t=q;if((t|0)!=(d|0)){if((r|0)<=-4){v=10;break}if((r|0)>0){r=0;d=1;while(1){q=Y(f[t+(r<<2)>>2]|0,d)|0;r=r+1|0;if((r|0)>=(s|0)){w=q;break}else d=q}}else w=1}else w=0;d=Urc(a|0,i|0,w|0,((w|0)<0)<<31>>31|0)|0;p=p+(+(d>>>0)+4294967296.0*+(J|0));c=c+1|0}while(c>>>0<h>>>0);if((v|0)==10){f[g>>2]=0;f[g+4>>2]=0;k=YG(g,70)|0;l=475084;m=k+70|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-215,g,475155,475161,161)}n=+L(p)>=1.0?(p>0.0?~~+Z(+K(p/4294967296.0),4294967295.0)>>>0:~~+X((p-+(~~p>>>0))/4294967296.0)>>>0):0;o=~~p>>>0;J=n;u=e;return o|0}function Jnb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e;h=f[c>>2]|0;c=Y(f[b+40>>2]|0,(f[(f[d>>2]|0)+4>>2]|0)/((f[h+4>>2]|0)/(f[f[(f[b+4>>2]|0)+40>>2]>>2]|0)|0|0)|0)|0;d=Y(c,f[b+36>>2]|0)|0;b=Y(f[h+12>>2]|0,f[h+8>>2]|0)|0;f[g>>2]=d;f[g+4>>2]=b;f[g+8>>2]=-1;f[g+12>>2]=-1;f[a>>2]=0;b=a+4|0;f[b>>2]=0;f[a+8>>2]=0;hAa(a,g,g+16|0);g=f[a>>2]|0;a=f[b>>2]|0;a:do if((g|0)==(a|0))i=g;else{d=g;do{if((f[d>>2]|0)<0){i=d;break a}d=d+4|0}while((d|0)!=(a|0));u=e;return}while(0);if((i|0)==(a|0)){u=e;return}g=i+4|0;if((g|0)==(a|0)){j=a;k=i}else{d=g;g=i;while(1){i=f[d>>2]|0;if((i|0)<0)l=g;else{f[g>>2]=i;l=g+4|0}d=d+4|0;if((d|0)==(a|0))break;else g=l}j=f[b>>2]|0;k=l}if((k|0)==(j|0)){u=e;return}f[b>>2]=j+(~((j+-4-k|0)>>>2)<<2);u=e;return}function Knb(a){a=a|0;Emc(a);return}function Lnb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0.0,H=0,I=0,J=0.0,K=0,L=0.0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=f[a+4>>2]|0;e=f[a+48>>2]|0;g=f[a+40>>2]|0;h=f[a+28>>2]|0;i=Y(h,g)|0;j=f[a+52>>2]|0;k=1-(Y(i,j)|0)|0;i=f[a+56>>2]|0;l=Y(k,i)|0;k=f[a+44>>2]|0;m=Y(i,j)|0;o=1-(Y(m,k)|0)|0;p=f[a+16>>2]|0;q=Y(p,f[a+12>>2]|0)|0;r=f[a+20>>2]|0;s=Y(q,r)|0;q=f[a+60>>2]|0;t=((q+-1+s|0)>>>0)/(q>>>0)|0;q=Y(f[c>>2]|0,t)|0;u=Y(f[c+4>>2]|0,t)|0;t=s>>>0<u>>>0?s:u;u=f[a+36>>2]|0;s=u+((q>>>0)%(r>>>0)|0)|0;c=f[a+32>>2]|0;v=c+((((q>>>0)/(r>>>0)|0)>>>0)%(p>>>0)|0)|0;w=Y(r,p)|0;x=(q>>>0)/(w>>>0)|0;y=f[a+24>>2]|0;if((v|0)<(y|0))z=0;else z=((v-y|0)/(g|0)|0)+1|0;A=((v|0)/(g|0)|0)+1|0;B=(b[a+64>>0]|0)==0;C=f[a+8>>2]|0;if(q>>>0>=t>>>0)return;a=Y((Y((Y(y,x)|0)+v|0,h)|0)+s|0,m)|0;v=u+r|0;D=s;s=q;q=x;x=z;z=a;a=(j|0)<(A|0)?j:A;while(1){if((D|0)<(h|0))E=0;else E=((D-h|0)/(k|0)|0)+1|0;A=((D|0)/(k|0)|0)+1|0;F=(i|0)<(A|0)?i:A;if(B)if((x|0)<(a|0)&(E|0)<(F|0)){A=x;G=0.0;while(1){H=(Y(l,A)|0)+z|0;I=E;J=G;do{K=d+(H+(Y(I,o)|0)<<2)|0;J=J+ +n[K>>2];I=I+1|0}while((I|0)<(F|0));A=A+1|0;if((A|0)==(a|0)){L=J;break}else G=J}}else L=0.0;else L=+n[e+(s<<2)>>2];n[e+(s<<2)>>2]=L+ +n[C+(q<<2)>>2];A=D+1|0;if((A|0)<(v|0)){M=A;N=q;O=x;P=z+m|0;Q=a;R=s+1|0}else{A=s+1|0;F=((A>>>0)%(r>>>0)|0)+u|0;I=c+((((A>>>0)/(r>>>0)|0)>>>0)%(p>>>0)|0)|0;H=(A>>>0)/(w>>>0)|0;if((I|0)<(y|0))S=0;else S=((I-y|0)/(g|0)|0)+1|0;K=((I|0)/(g|0)|0)+1|0;M=F;N=H;O=S;P=Y((Y((Y(y,H)|0)+I|0,h)|0)+F|0,m)|0;Q=(j|0)<(K|0)?j:K;R=A}if(R>>>0<t>>>0){D=M;s=R;q=N;x=O;z=P;a=Q}else break}return}function Mnb(a){a=a|0;Emc(a);return}function Nnb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0,y=0,z=0.0,A=0.0,B=0,C=0.0,D=0.0,E=0,F=0.0,G=0.0,H=0.0,I=0,J=0,K=0,L=0.0,M=0.0,N=0.0,O=0.0;c=f[a+8>>2]|0;d=f[c+12>>2]|0;e=f[a+16>>2]|0;g=((d+-1+e|0)/(e|0)|0)+15&-16;e=Y(g,f[b>>2]|0)|0;h=Y(f[b+4>>2]|0,g)|0;g=f[a+4>>2]|0;b=f[g+8>>2]|0;i=((d|0)<(h|0)?d:h)-e|0;h=f[g+12>>2]|0;d=f[g+16>>2]|0;j=(f[c+16>>2]|0)+(e<<2)|0;k=f[a+12>>2]|0;a=(f[k+16>>2]|0)+(e<<2)|0;e=((f[f[g+44>>2]>>2]|0)>>>0)/((1212424721>>>(f[g>>2]<<2&28)&15)>>>0)|0;g=((f[f[c+44>>2]>>2]|0)>>>0)/((1212424721>>>(f[c>>2]<<2&28)&15)>>>0)|0;c=((f[f[k+44>>2]>>2]|0)>>>0)/((1212424721>>>(f[k>>2]<<2&28)&15)>>>0)|0;if((b|0)<=0)return;k=b+-1|0;b=(i|0)>0;l=k>>>1;m=(h|0)<1|b^1;o=0;p=0;while(1){q=a+((Y(o,c)|0)<<2)|0;r=o|1;s=(k|0)<(r|0)?k:r;r=a+((Y(s,c)|0)<<2)|0;t=d+((Y(o,e)|0)<<2)|0;u=d+((Y(s,e)|0)<<2)|0;if(b){s=0;do{n[q+(s<<2)>>2]=0.0;n[r+(s<<2)>>2]=0.0;s=s+1|0}while((s|0)<(i|0))}if(!m){s=0;do{v=+n[t+(s<<2)>>2];w=+n[u+(s<<2)>>2];x=j+((Y(s,g)|0)<<2)|0;y=s|1;if((y|0)<(h|0)){z=+n[t+(y<<2)>>2];A=+n[u+(y<<2)>>2];y=x+(g<<2)|0;B=s|2;if((B|0)<(h|0)){C=+n[t+(B<<2)>>2];D=+n[u+(B<<2)>>2];B=y+(g<<2)|0;E=s|3;if((E|0)<(h|0)){F=z;G=A;H=C;I=B+(g<<2)|0;J=B;K=y;L=D;M=+n[u+(E<<2)>>2];N=+n[t+(E<<2)>>2]}else{F=z;G=A;H=C;I=x;J=B;K=y;L=D;M=0.0;N=0.0}}else{F=z;G=A;H=0.0;I=x;J=x;K=y;L=0.0;M=0.0;N=0.0}}else{F=0.0;G=0.0;H=0.0;I=x;J=x;K=x;L=0.0;M=0.0;N=0.0}y=0;do{A=+n[x+(y<<2)>>2];z=+n[K+(y<<2)>>2];D=+n[J+(y<<2)>>2];C=+n[I+(y<<2)>>2];B=q+(y<<2)|0;E=r+(y<<2)|0;O=M*C+(L*D+(G*z+(w*A+ +n[E>>2])));n[B>>2]=N*C+(H*D+(F*z+(v*A+ +n[B>>2])));n[E>>2]=O;y=y+1|0}while((y|0)<(i|0));s=s+4|0}while((s|0)<(h|0))}if((p|0)==(l|0))break;else{o=o+2|0;p=p+1|0}}return}function Onb(a,b){a=a|0;b=b|0;var c=0;c=Bmc(64)|0;Pnb(c,b);b=Bmc(16)|0;f[b+4>>2]=1;f[b>>2]=133672;f[b+8>>2]=c;f[a>>2]=b;f[a+4>>2]=c;return}function Pnb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;d=u;u=u+16|0;e=d;uCa(a);f[a+40>>2]=0;g=a+44|0;f[g>>2]=0;f[a+48>>2]=0;f[a>>2]=133692;f[a+52>>2]=0;f[a+56>>2]=0;f[a+60>>2]=0;vCa(a,c);f[e>>2]=0;f[e+4>>2]=0;h=YG(e,4)|0;b[h>>0]=97;b[h+1>>0]=120;b[h+2>>0]=105;b[h+3>>0]=115;h=c+4|0;c=f[h>>2]|0;do if(c){i=f[e>>2]|0;j=(i|0)==0?1163146:i;k=h;l=c;a:while(1){m=l;while(1){n=f[m+16>>2]|0;if((n|0)==(i|0))break;if((o7b((n|0)==0?1163146:n,j)|0)>=0)break;n=f[m+4>>2]|0;if(!n){o=k;break a}else m=n}l=f[m>>2]|0;if(!l){o=m;break}else k=m}if((o|0)!=(h|0)){k=f[o+16>>2]|0;if((i|0)!=(k|0)?(o7b(j,(k|0)==0?1163146:k)|0)<=-1:0){p=2;break}k=rCa(o+24|0,-1)|0;p=k}else p=2}else p=2;while(0);f[a+36>>2]=p;ZG(e);f[e>>2]=0;f[e+4>>2]=0;p=YG(e,6)|0;b[p>>0]=b[462904]|0;b[p+1>>0]=b[462905]|0;b[p+2>>0]=b[462906]|0;b[p+3>>0]=b[462907]|0;b[p+4>>0]=b[462908]|0;b[p+5>>0]=b[462909]|0;p=f[h>>2]|0;do if(p){o=f[e>>2]|0;c=(o|0)==0?1163146:o;k=h;l=p;b:while(1){n=l;while(1){q=f[n+16>>2]|0;if((q|0)==(o|0))break;if((o7b((q|0)==0?1163146:q,c)|0)>=0)break;q=f[n+4>>2]|0;if(!q){r=k;break b}else n=q}l=f[n>>2]|0;if(!l){r=n;break}else k=n}if((r|0)!=(h|0)){k=f[r+16>>2]|0;if((o|0)!=(k|0)?(o7b(c,(k|0)==0?1163146:k)|0)<0:0){s=0;break}s=r+24|0}else s=0}else s=0;while(0);ZG(e);if(!s){u=d;return}r=s+4|0;h=a+48|0;p=a+40|0;a=s+4|0;k=0;c:while(1){switch(f[s>>2]|0){case 0:{t=(f[r>>2]|0)+4|0;break}case 3:{t=(f[a>>2]|0)+4|0;break}case 2:{t=(f[a>>2]|0)+4|0;break}default:{v=29;break c}}if((k|0)>=(f[t>>2]|0)){v=35;break}l=rCa(s,k)|0;f[e>>2]=l;j=f[g>>2]|0;if((j|0)==(f[h>>2]|0))MR(p,e);else{f[j>>2]=l;f[g>>2]=j+4}k=k+1|0}if((v|0)==29){f[e>>2]=0;f[e+4>>2]=0;SQ(-3,e,463632,463637,278)}else if((v|0)==35){u=d;return}}function Qnb(a){a=a|0;Emc(a);return}function Rnb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Snb(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=133800;b=f[a+40>>2]|0;if(!b){Nza(a);return}c=a+44|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b);Nza(a);return}function Tnb(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=133800;b=f[a+40>>2]|0;if(!b){Nza(a);Emc(a);return}c=a+44|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b);Nza(a);Emc(a);return}function Unb(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=133692;b=f[a+52>>2]|0;if(b|0){c=a+56|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-8-b|0)>>>3)<<3);Emc(b)}f[a>>2]=133800;b=f[a+40>>2]|0;if(!b){Nza(a);return}d=a+44|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-4-b|0)>>>2)<<2);Emc(b);Nza(a);return}function Vnb(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=133692;b=f[a+52>>2]|0;if(b|0){c=a+56|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-8-b|0)>>>3)<<3);Emc(b)}f[a>>2]=133800;b=f[a+40>>2]|0;if(!b){Nza(a);Emc(a);return}d=a+44|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-4-b|0)>>>2)<<2);Emc(b);Nza(a);Emc(a);return}function Wnb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;d=u;u=u+32|0;e=d+20|0;g=d+8|0;h=d;f[e>>2]=0;i=e+4|0;f[i>>2]=0;f[e+8>>2]=0;rD(c,e);c=f[e>>2]|0;j=c;if(((f[i>>2]|0)-c|0)!=112){f[g>>2]=0;f[g+4>>2]=0;k=YG(g,18)|0;l=452127;m=k+18|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-215,g,476100,451945,97)}c=f[j+4>>2]|0;i=f[a+36>>2]|0;n=((i|0)<0?c:0)+i|0;f[g>>2]=0;i=g+4|0;f[i>>2]=0;f[g+8>>2]=0;do if(c)if(c>>>0>1073741823)Ukc(g);else{o=c<<2;p=Bmc(o)|0;f[g>>2]=p;q=p+(c<<2)|0;f[g+8>>2]=q;Drc(p|0,0,o|0)|0;f[i>>2]=q;r=p;break}else r=0;while(0);p=f[a+40>>2]|0;q=(f[a+44>>2]|0)-p>>2;o=p;switch(q|0){case 1:{if((c|0)>(n|0)){p=n;do{f[r+(p<<2)>>2]=f[o>>2];p=p+1|0}while((p|0)!=(c|0))}break}case 0:break;default:{if((q|0)!=(c-n|0)){f[h>>2]=0;f[h+4>>2]=0;k=YG(h,91)|0;l=452146;m=k+91|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-5,h,476100,451945,115)}if((c|0)>(n|0)){q=n;do{f[r+(q<<2)>>2]=f[o+(q-n<<2)>>2];q=q+1|0}while((q|0)!=(c|0))}}}q=a+52|0;o=a+56|0;a=f[o>>2]|0;r=f[q>>2]|0;p=a-r>>3;s=r;r=a;if(c>>>0<=p>>>0){if(c>>>0<p>>>0?(a=s+(c<<3)|0,(r|0)!=(a|0)):0)f[o>>2]=r+(~((r+-8-a|0)>>>3)<<3)}else $nb(q,c-p|0);if((n|0)>0){p=j+40|0;a=0;do{r=f[(f[p>>2]|0)+(a<<2)>>2]|0;o=(f[q>>2]|0)+(a<<3)|0;f[o>>2]=0;f[o+4>>2]=r;a=a+1|0}while((a|0)!=(n|0))}a:do if((c|0)>(n|0)){a=j+96|0;p=j+40|0;r=n;while(1){o=f[(f[g>>2]|0)+(r<<2)>>2]|0;if((o|0)<0){t=30;break}s=(f[(f[a>>2]|0)+(r<<2)>>2]|0)+o|0;if((s|0)>(f[(f[p>>2]|0)+(r<<2)>>2]|0)){t=30;break}v=(f[q>>2]|0)+(r<<3)|0;f[v>>2]=o;f[v+4>>2]=s;r=r+1|0;if((r|0)>=(c|0))break a}if((t|0)==30){f[h>>2]=0;f[h+4>>2]=0;k=YG(h,37)|0;l=452238;m=k+37|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-5,h,476100,451945,129)}}while(0);h=f[g>>2]|0;if(!h){rt(e);u=d;return}g=f[i>>2]|0;if((g|0)!=(h|0))f[i>>2]=g+(~((g+-4-h|0)>>>2)<<2);Emc(h);rt(e);u=d;return}function Xnb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+112|0;g=e+96|0;h=e+84|0;i=e+72|0;j=e;k=e+56|0;zT(g,133900);if((BD(b,-1)|0)==3)gAa(a,b,c,d);else{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;rD(b,h);rD(c,i);nP(j,f[h>>2]|0,f[a+52>>2]|0);a=f[i>>2]|0;c=k+8|0;f[c>>2]=0;f[c+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=a;kT(j,k);k=j+36|0;a=f[k>>2]|0;if(a|0?(c=a+12|0,a=f[c>>2]|0,f[c>>2]=a+-1,(a|0)==1):0)lP(j);f[k>>2]=0;k=j+16|0;a=j+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[a>>2]|0)>0){k=f[j+40>>2]|0;c=0;do{f[k+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[a>>2]|0))}a=f[j+44>>2]|0;if((a|0)!=(j+48|0))tE(a);rt(i);rt(h)}if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function Ynb(a,b){a=a|0;b=b|0;var c=0;switch(b|0){case 3:{c=1;break}case 2:{c=((f[a+56>>2]|0)-(f[a+52>>2]|0)|0)==32;break}default:c=0}return c|0}function Znb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function _nb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=u;u=u+16|0;d=g;h=f[c>>2]|0;if(((f[c+4>>2]|0)-h|0)!=24){f[d>>2]=0;f[d+4>>2]=0;i=YG(d,18)|0;j=475384;k=i+18|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-215,d,475265,451945,79)}fAa(d,h);h=f[a+36>>2]|0;a=d+4|0;j=f[d>>2]|0;i=(f[a>>2]|0)-j>>2;k=((h|0)<0?i:0)+h|0;h=j;if(k>>>0<i>>>0){j=f[(f[c>>2]|0)+12>>2]|0;c=k;do{f[h+(c<<2)>>2]=f[j+(c<<2)>>2];c=c+1|0}while(c>>>0<i>>>0)}i=e+4|0;c=f[i>>2]|0;j=f[e>>2]|0;h=c-j|0;k=(h|0)/12|0;l=j;j=c;if(h){if(k>>>0>1?(h=l+12|0,(j|0)!=(h|0)):0){l=j;while(1){j=l+-12|0;f[i>>2]=j;c=f[j>>2]|0;if(!c)m=j;else{j=l+-8|0;n=f[j>>2]|0;if((n|0)!=(c|0))f[j>>2]=n+(~((n+-4-c|0)>>>2)<<2);Emc(c);m=f[i>>2]|0}if((m|0)==(h|0))break;else l=m}}}else Wmb(e,1-k|0,d);k=f[d>>2]|0;if(!k){u=g;return 0}d=f[a>>2]|0;if((d|0)!=(k|0))f[a>>2]=d+(~((d+-4-k|0)>>>2)<<2);Emc(k);u=g;return 0}function $nb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>3>>>0>=b>>>0){Drc(g|0,0,b<<3|0)|0;f[e>>2]=g+(b<<3);return}h=f[a>>2]|0;i=g-h|0;g=i>>3;j=g+b|0;if(j>>>0>536870911)Ukc(a);k=d-h|0;d=k>>2;l=k>>3>>>0<268435455?(d>>>0<j>>>0?j:d):536870911;do if(l)if(l>>>0>536870911){d=ye(8)|0;Jmc(d,511852);f[d>>2]=165276;Gf(d|0,26776,1555)}else{m=Bmc(l<<3)|0;break}else m=0;while(0);d=m+(g<<3)|0;Drc(d|0,0,b<<3|0)|0;j=d+(0-g<<3)|0;if((i|0)>0)Krc(j|0,h|0,i|0)|0;f[a>>2]=j;f[e>>2]=d+(b<<3);f[c>>2]=m+(l<<3);if(!h)return;Emc(h);return}function aob(a,c,e,g,h,i,j){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;k=u;u=u+64|0;l=k+44|0;m=k+32|0;n=k+20|0;o=k+8|0;p=k;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;q=l+11|0;b[q>>0]=2;d[l>>1]=26719;b[l+2>>0]=0;JDa(m,c,l);if((b[q>>0]|0)<0)Emc(f[l>>2]|0);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;q=l+11|0;b[q>>0]=2;d[l>>1]=30559;b[l+2>>0]=0;JDa(n,c,l);if((b[q>>0]|0)<0)Emc(f[l>>2]|0);Nmc(o,e);e=o+11|0;q=b[e>>0]|0;r=o+4|0;if(((q<<24>>24<0?f[r>>2]|0:q&255)|0)==0?(knc(o,0,-1,1163146,0)|0)==0:0)Qmc(o,c)|0;f[l>>2]=0;f[l+4>>2]=0;c=m+11|0;q=b[c>>0]|0;s=m+4|0;t=q<<24>>24<0?f[s>>2]|0:q&255;if(t|0){q=YG(l,t)|0;Krc(q|0,((b[c>>0]|0)<0?f[m>>2]|0:m)|0,t|0)|0}t=a+4|0;q=f[t>>2]|0;do if(!q){ZG(l);v=39}else{w=f[l>>2]|0;x=(w|0)==0?1163146:w;y=q;while(1){z=f[y+16>>2]|0;if((w|0)==(z|0))break;A=(z|0)==0?1163146:z;if((o7b(x,A)|0)<0)B=y;else{if((o7b(A,x)|0)>=0)break;B=y+4|0}y=f[B>>2]|0;if(!y){v=36;break}}if((v|0)==36){ZG(l);v=39;break}f[p>>2]=0;f[p+4>>2]=0;y=n+11|0;x=b[y>>0]|0;w=x<<24>>24<0?f[n+4>>2]|0:x&255;if(!w)C=q;else{x=YG(p,w)|0;Krc(x|0,((b[y>>0]|0)<0?f[n>>2]|0:n)|0,w|0)|0;C=f[t>>2]|0}if(!C){ZG(p);ZG(l);v=39;break}w=f[p>>2]|0;y=(w|0)==0?1163146:w;x=C;while(1){A=f[x+16>>2]|0;if((w|0)==(A|0)){v=29;break}z=(A|0)==0?1163146:A;if((o7b(y,z)|0)<0)D=x;else{if((o7b(z,y)|0)>=0){v=28;break}D=x+4|0}x=f[D>>2]|0;if(!x){v=38;break}}if((v|0)==28){ZG(p);ZG(l)}else if((v|0)==29){ZG(p);ZG(l)}else if((v|0)==38){ZG(p);ZG(l);v=39;break}f[l>>2]=0;f[l+4>>2]=0;x=b[c>>0]|0;y=x<<24>>24<0?f[s>>2]|0:x&255;if(y|0){x=YG(l,y)|0;Krc(x|0,((b[c>>0]|0)<0?f[m>>2]|0:m)|0,y|0)|0}y=rCa(dDa(a,l)|0,-1)|0;f[g>>2]=y;ZG(l);f[l>>2]=0;f[l+4>>2]=0;y=n+11|0;x=b[y>>0]|0;w=x<<24>>24<0?f[n+4>>2]|0:x&255;if(w|0){x=YG(l,w)|0;Krc(x|0,((b[y>>0]|0)<0?f[n>>2]|0:n)|0,w|0)|0}w=rCa(dDa(a,l)|0,-1)|0;f[h>>2]=w;ZG(l);E=1}while(0);a:do if((v|0)==39){f[l>>2]=0;f[l+4>>2]=0;s=b[e>>0]|0;D=s<<24>>24<0?f[r>>2]|0:s&255;if(D|0){s=YG(l,D)|0;Krc(s|0,((b[e>>0]|0)<0?f[o>>2]|0:o)|0,D|0)|0}D=f[t>>2]|0;do if(!D)ZG(l);else{s=f[l>>2]|0;C=(s|0)==0?1163146:s;q=D;while(1){B=f[q+16>>2]|0;if((s|0)==(B|0)){v=49;break}w=(B|0)==0?1163146:B;if((o7b(C,w)|0)<0)F=q;else{if((o7b(w,C)|0)>=0){v=50;break}F=q+4|0}q=f[F>>2]|0;if(!q){v=69;break}}if((v|0)==49)ZG(l);else if((v|0)==50)ZG(l);else if((v|0)==69){ZG(l);break}f[l>>2]=0;f[l+4>>2]=0;q=b[e>>0]|0;C=q<<24>>24<0?f[r>>2]|0:q&255;if(C|0){q=YG(l,C)|0;Krc(q|0,((b[e>>0]|0)<0?f[o>>2]|0:o)|0,C|0)|0}tza(p,dDa(a,l)|0);ZG(l);C=rCa(p,0)|0;f[g>>2]=C;q=f[p>>2]|0;switch(q|0){case 0:{s=f[p+4>>2]|0;G=s+4|0;H=s;I=s;J=s;break}case 3:{s=f[p+4>>2]|0;G=s+4|0;H=s;I=s;J=s;break}case 2:{s=f[p+4>>2]|0;G=s+4|0;H=s;I=s;J=s;break}default:{f[l>>2]=0;f[l+4>>2]=0;SQ(-3,l,463632,463637,278)}}if((f[G>>2]|0)!=1){switch(q|0){case 0:{K=H+4|0;break}case 3:{K=I+4|0;break}case 2:{K=J+4|0;break}default:{f[l>>2]=0;f[l+4>>2]=0;SQ(-3,l,463632,463637,278)}}if((f[K>>2]|0)==2){q=rCa(p,1)|0;L=q;v=66}else M=0}else{L=C;v=66}if((v|0)==66){f[h>>2]=L;M=1}rza(p);E=M;break a}while(0);if(i){D=f[j>>2]|0;f[h>>2]=D;f[g>>2]=D;E=1}else E=0}while(0);if((b[e>>0]|0)<0)Emc(f[o>>2]|0);if((b[n+11>>0]|0)<0)Emc(f[n>>2]|0);if((b[c>>0]|0)>=0){u=k;return E|0}Emc(f[m>>2]|0);u=k;return E|0}function bob(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+32|0;g=e+16|0;h=e+4|0;i=e;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;j=g+11|0;b[j>>0]=6;b[g>>0]=b[452301]|0;b[g+1>>0]=b[452302]|0;b[g+2>>0]=b[452303]|0;b[g+3>>0]=b[452304]|0;b[g+4>>0]=b[452305]|0;b[g+5>>0]=b[452306]|0;b[g+6>>0]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;k=Bmc(16)|0;f[h>>2]=k;f[h+8>>2]=-2147483632;f[h+4>>2]=11;l=k;m=474838;n=l+11|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[k+11>>0]=0;f[i>>2]=0;k=aob(a,g,h,c,d,0,i)|0;if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);if((b[j>>0]|0)<0)Emc(f[g>>2]|0);if(!k){f[g>>2]=0;f[g+4>>2]=0;l=YG(g,52)|0;m=452308;n=l+52|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-5,g,452361,452375,115)}if((f[c>>2]|0)>0&(f[d>>2]|0)>0){u=e;return}else{f[g>>2]=0;f[g+4>>2]=0;l=YG(g,26)|0;m=452453;n=l+26|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,g,452361,452375,118)}}function cob(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;k=u;u=u+48|0;l=k+28|0;m=k+16|0;n=k+8|0;o=k;f[l>>2]=0;f[l+4>>2]=0;p=YG(l,5)|0;b[p>>0]=b[452480]|0;b[p+1>>0]=b[452481]|0;b[p+2>>0]=b[452482]|0;b[p+3>>0]=b[452483]|0;b[p+4>>0]=b[452484]|0;p=a+4|0;q=f[p>>2]|0;a:do if(!q)r=34;else{s=f[l>>2]|0;t=(s|0)==0?1163146:s;v=q;while(1){w=f[v+16>>2]|0;if((s|0)==(w|0))break;x=(w|0)==0?1163146:w;if((o7b(t,x)|0)<0)y=v;else{if((o7b(x,t)|0)>=0)break;y=v+4|0}v=f[y>>2]|0;if(!v){r=34;break a}}f[m>>2]=0;f[m+4>>2]=0;v=YG(m,5)|0;b[v>>0]=b[452486]|0;b[v+1>>0]=b[452487]|0;b[v+2>>0]=b[452488]|0;b[v+3>>0]=b[452489]|0;b[v+4>>0]=b[452490]|0;v=f[p>>2]|0;if(!v){ZG(m);ZG(l);r=43;break}t=f[m>>2]|0;s=(t|0)==0?1163146:t;x=v;while(1){v=f[x+16>>2]|0;if((t|0)==(v|0))break;w=(v|0)==0?1163146:v;if((o7b(s,w)|0)<0)z=x;else{if((o7b(w,s)|0)>=0)break;z=x+4|0}x=f[z>>2]|0;if(!x){r=38;break}}if((r|0)==38){ZG(m);ZG(l);r=43;break}f[n>>2]=0;f[n+4>>2]=0;x=YG(n,5)|0;b[x>>0]=b[452492]|0;b[x+1>>0]=b[452493]|0;b[x+2>>0]=b[452494]|0;b[x+3>>0]=b[452495]|0;b[x+4>>0]=b[452496]|0;x=f[p>>2]|0;if(!x){ZG(n);ZG(m);ZG(l);r=43;break}s=f[n>>2]|0;t=(s|0)==0?1163146:s;w=x;while(1){x=f[w+16>>2]|0;if((s|0)==(x|0))break;v=(x|0)==0?1163146:x;if((o7b(t,v)|0)<0)A=w;else{if((o7b(v,t)|0)>=0)break;A=w+4|0}w=f[A>>2]|0;if(!w){r=40;break}}if((r|0)==40){ZG(n);ZG(m);ZG(l);r=43;break}f[o>>2]=0;f[o+4>>2]=0;w=YG(o,5)|0;b[w>>0]=b[452498]|0;b[w+1>>0]=b[452499]|0;b[w+2>>0]=b[452500]|0;b[w+3>>0]=b[452501]|0;b[w+4>>0]=b[452502]|0;w=f[p>>2]|0;if(!w){ZG(o);ZG(n);ZG(m);ZG(l);r=43;break}t=f[o>>2]|0;s=(t|0)==0?1163146:t;v=w;while(1){w=f[v+16>>2]|0;if((t|0)==(w|0)){r=33;break}x=(w|0)==0?1163146:w;if((o7b(s,x)|0)<0)B=v;else{if((o7b(x,s)|0)>=0){r=35;break}B=v+4|0}v=f[B>>2]|0;if(!v){r=42;break}}if((r|0)==33){ZG(o);ZG(n);ZG(m);ZG(l)}else if((r|0)==35){ZG(o);ZG(n);ZG(m);ZG(l)}else if((r|0)==42){ZG(o);ZG(n);ZG(m);ZG(l);r=43;break}f[l>>2]=0;f[l+4>>2]=0;v=YG(l,5)|0;b[v>>0]=b[452486]|0;b[v+1>>0]=b[452487]|0;b[v+2>>0]=b[452488]|0;b[v+3>>0]=b[452489]|0;b[v+4>>0]=b[452490]|0;v=rCa(dDa(a,l)|0,-1)|0;f[c>>2]=v;ZG(l);f[l>>2]=0;f[l+4>>2]=0;v=YG(l,5)|0;b[v>>0]=b[452480]|0;b[v+1>>0]=b[452481]|0;b[v+2>>0]=b[452482]|0;b[v+3>>0]=b[452483]|0;b[v+4>>0]=b[452484]|0;v=rCa(dDa(a,l)|0,-1)|0;f[d>>2]=v;ZG(l);f[l>>2]=0;f[l+4>>2]=0;v=YG(l,5)|0;b[v>>0]=b[452498]|0;b[v+1>>0]=b[452499]|0;b[v+2>>0]=b[452500]|0;b[v+3>>0]=b[452501]|0;b[v+4>>0]=b[452502]|0;v=rCa(dDa(a,l)|0,-1)|0;f[e>>2]=v;ZG(l);f[l>>2]=0;f[l+4>>2]=0;v=YG(l,5)|0;b[v>>0]=b[452492]|0;b[v+1>>0]=b[452493]|0;b[v+2>>0]=b[452494]|0;b[v+3>>0]=b[452495]|0;b[v+4>>0]=b[452496]|0;v=rCa(dDa(a,l)|0,-1)|0;f[g>>2]=v;ZG(l)}while(0);if((r|0)==34){ZG(l);r=43}if((r|0)==43){o=l+4|0;f[o>>2]=0;f[o+4>>2]=0;o=l+11|0;b[o>>0]=3;b[l>>0]=b[452504]|0;b[l+1>>0]=b[452505]|0;b[l+2>>0]=b[452506]|0;b[l+3>>0]=0;B=m+4|0;f[B>>2]=0;f[B+4>>2]=0;B=m+11|0;b[B>>0]=3;b[m>>0]=b[452504]|0;b[m+1>>0]=b[452505]|0;b[m+2>>0]=b[452506]|0;b[m+3>>0]=0;f[n>>2]=0;aob(a,l,m,c,d,1,n)|0;if((b[B>>0]|0)<0)Emc(f[m>>2]|0);if((b[o>>0]|0)<0)Emc(f[l>>2]|0);f[e>>2]=f[c>>2];f[g>>2]=f[d>>2]};f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;o=l+11|0;b[o>>0]=6;b[l>>0]=b[452508]|0;b[l+1>>0]=b[452509]|0;b[l+2>>0]=b[452510]|0;b[l+3>>0]=b[452511]|0;b[l+4>>0]=b[452512]|0;b[l+5>>0]=b[452513]|0;b[l+6>>0]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;B=m+11|0;b[B>>0]=6;b[m>>0]=b[452508]|0;b[m+1>>0]=b[452509]|0;b[m+2>>0]=b[452510]|0;b[m+3>>0]=b[452511]|0;b[m+4>>0]=b[452512]|0;b[m+5>>0]=b[452513]|0;b[m+6>>0]=0;f[n>>2]=1;aob(a,l,m,h,i,1,n)|0;if((b[B>>0]|0)<0)Emc(f[m>>2]|0);if((b[o>>0]|0)<0)Emc(f[l>>2]|0);ZG(j);f[l>>2]=0;f[l+4>>2]=0;o=YG(l,8)|0;B=o;b[B>>0]=112;b[B+1>>0]=97;b[B+2>>0]=100;b[B+3>>0]=95;B=o+4|0;b[B>>0]=109;b[B+1>>0]=111;b[B+2>>0]=100;b[B+3>>0]=101;B=f[p>>2]|0;b:do if(!B)r=60;else{p=f[l>>2]|0;o=(p|0)==0?1163146:p;n=B;while(1){A=f[n+16>>2]|0;if((p|0)==(A|0))break;z=(A|0)==0?1163146:A;if((o7b(o,z)|0)<0)C=n;else{if((o7b(z,o)|0)>=0)break;C=n+4|0}n=f[C>>2]|0;if(!n){r=60;break b}}ZG(l);f[m>>2]=0;f[m+4>>2]=0;n=YG(m,8)|0;o=n;b[o>>0]=112;b[o+1>>0]=97;b[o+2>>0]=100;b[o+3>>0]=95;o=n+4|0;b[o>>0]=109;b[o+1>>0]=111;b[o+2>>0]=100;b[o+3>>0]=101;sCa(l,dDa(a,m)|0,-1);if((l|0)!=(j|0)){ZG(j);o=f[l>>2]|0;if(!o)D=0;else{n=o+-4|0;f[n>>2]=(f[n>>2]|0)+1;D=f[l>>2]|0}f[j>>2]=D;f[j+4>>2]=f[l+4>>2]}ZG(l);ZG(m)}while(0);if((r|0)==60)ZG(l);if(((f[h>>2]|0)>0?(f[d>>2]|f[c>>2]|f[e>>2]|f[g>>2]|0)>-1:0)&(f[i>>2]|0)>0){u=k;return}else{f[l>>2]=0;f[l+4>>2]=0;k=YG(l,78)|0;i=452515;g=k+78|0;do{b[k>>0]=b[i>>0]|0;k=k+1|0;i=i+1|0}while((k|0)<(g|0));SQ(-215,l,452594,452375,142)}}function dob(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;n=u;u=u+32|0;o=n+16|0;p=n+8|0;q=n;cob(a,g,h,i,j,k,l,m);f[o>>2]=0;f[o+4>>2]=0;m=YG(o,14)|0;r=452614;s=m+14|0;do{b[m>>0]=b[r>>0]|0;m=m+1|0;r=r+1|0}while((m|0)<(s|0));t=a+4|0;v=f[t>>2]|0;a:do if(!v)w=10;else{x=f[o>>2]|0;y=(x|0)==0?1163146:x;z=v;while(1){A=f[z+16>>2]|0;if((x|0)==(A|0))break;B=(A|0)==0?1163146:A;if((o7b(y,B)|0)<0)C=z;else{if((o7b(B,y)|0)>=0)break;C=z+4|0}z=f[C>>2]|0;if(!z){w=10;break a}}f[p>>2]=0;f[p+4>>2]=0;m=YG(p,14)|0;r=452614;s=m+14|0;do{b[m>>0]=b[r>>0]|0;m=m+1|0;r=r+1|0}while((m|0)<(s|0));z=rCa(dDa(a,p)|0,-1)|0;b[e>>0]=((z|0)!=0|(J|0)!=0)&1;ZG(p)}while(0);if((w|0)==10)b[e>>0]=0;ZG(o);if(!(b[e>>0]|0)){bob(a,c,d);u=n;return}f[o>>2]=0;f[o+4>>2]=0;d=YG(o,8)|0;c=d;b[c>>0]=107;b[c+1>>0]=101;b[c+2>>0]=114;b[c+3>>0]=110;c=d+4|0;b[c>>0]=101;b[c+1>>0]=108;b[c+2>>0]=95;b[c+3>>0]=104;c=f[t>>2]|0;b:do if(c|0){d=f[o>>2]|0;a=(d|0)==0?1163146:d;e=c;while(1){C=f[e+16>>2]|0;if((d|0)==(C|0))break;v=(C|0)==0?1163146:C;if((o7b(a,v)|0)<0)D=e;else{if((o7b(v,a)|0)>=0)break;D=e+4|0}e=f[D>>2]|0;if(!e)break b}ZG(o);f[o>>2]=0;E=o+4|0;f[E>>2]=0;F=YG(o,82)|0;m=F;r=452629;s=m+82|0;do{b[m>>0]=b[r>>0]|0;m=m+1|0;r=r+1|0}while((m|0)<(s|0));SQ(-5,o,452712,452375,159)}while(0);f[p>>2]=0;f[p+4>>2]=0;D=YG(p,8)|0;c=D;b[c>>0]=107;b[c+1>>0]=101;b[c+2>>0]=114;b[c+3>>0]=110;c=D+4|0;b[c>>0]=101;b[c+1>>0]=108;b[c+2>>0]=95;b[c+3>>0]=119;c=f[t>>2]|0;c:do if(c|0){D=f[p>>2]|0;e=(D|0)==0?1163146:D;a=c;while(1){d=f[a+16>>2]|0;if((D|0)==(d|0)){w=38;break}v=(d|0)==0?1163146:d;if((o7b(e,v)|0)<0)G=a;else{if((o7b(v,e)|0)>=0){w=39;break}G=a+4|0}a=f[G>>2]|0;if(!a)break c}if((w|0)==38){ZG(p);ZG(o);f[o>>2]=0;E=o+4|0;f[E>>2]=0;F=YG(o,82)|0;m=F;r=452629;s=m+82|0;do{b[m>>0]=b[r>>0]|0;m=m+1|0;r=r+1|0}while((m|0)<(s|0));SQ(-5,o,452712,452375,159)}else if((w|0)==39){ZG(p);ZG(o);f[o>>2]=0;E=o+4|0;f[E>>2]=0;F=YG(o,82)|0;m=F;r=452629;s=m+82|0;do{b[m>>0]=b[r>>0]|0;m=m+1|0;r=r+1|0}while((m|0)<(s|0));SQ(-5,o,452712,452375,159)}}while(0);f[q>>2]=0;f[q+4>>2]=0;m=YG(q,11)|0;r=474838;s=m+11|0;do{b[m>>0]=b[r>>0]|0;m=m+1|0;r=r+1|0}while((m|0)<(s|0));G=f[t>>2]|0;do if(G){t=f[q>>2]|0;c=(t|0)==0?1163146:t;a=G;while(1){e=f[a+16>>2]|0;if((t|0)==(e|0)){w=40;break}D=(e|0)==0?1163146:e;if((o7b(c,D)|0)<0)H=a;else{if((o7b(D,c)|0)>=0){w=36;break}H=a+4|0}a=f[H>>2]|0;if(!a){w=43;break}}if((w|0)==36){ZG(q);ZG(p);ZG(o);f[o>>2]=0;E=o+4|0;f[E>>2]=0;F=YG(o,82)|0;m=F;r=452629;s=m+82|0;do{b[m>>0]=b[r>>0]|0;m=m+1|0;r=r+1|0}while((m|0)<(s|0));SQ(-5,o,452712,452375,159)}else if((w|0)==40){ZG(q);ZG(p);ZG(o);f[o>>2]=0;E=o+4|0;f[E>>2]=0;F=YG(o,82)|0;m=F;r=452629;s=m+82|0;do{b[m>>0]=b[r>>0]|0;m=m+1|0;r=r+1|0}while((m|0)<(s|0));SQ(-5,o,452712,452375,159)}else if((w|0)==43){ZG(q);ZG(p);ZG(o);break}}else{ZG(q);ZG(p);ZG(o)}while(0);if(((f[k>>2]|0)==1?(f[h>>2]|f[g>>2]|f[i>>2]|f[j>>2]|0)==0:0)&(f[l>>2]|0)==1){u=n;return}else{f[o>>2]=0;f[o+4>>2]=0;m=YG(o,79)|0;r=452735;s=m+79|0;do{b[m>>0]=b[r>>0]|0;m=m+1|0;r=r+1|0}while((m|0)<(s|0));SQ(-5,o,452712,452375,163)}}function eob(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0;o=u;u=u+32|0;p=o+16|0;q=o;r=o+28|0;bob(a,c,d);cob(a,e,g,h,i,j,k,n);f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;n=p+11|0;b[n>>0]=8;k=p;f[k>>2]=1634494820;f[k+4>>2]=1852795252;b[p+8>>0]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;k=q+11|0;b[k>>0]=8;j=q;f[j>>2]=1634494820;f[j+4>>2]=1852795252;b[q+8>>0]=0;f[r>>2]=1;aob(a,p,q,l,m,1,r)|0;if((b[k>>0]|0)<0)Emc(f[q>>2]|0);if((b[n>>0]|0)<0)Emc(f[p>>2]|0);if((f[l>>2]|0)>0&(f[m>>2]|0)>0){u=o;return}else{f[p>>2]=0;f[p+4>>2]=0;o=YG(p,30)|0;m=452815;l=o+30|0;do{b[o>>0]=b[m>>0]|0;o=o+1|0;m=m+1|0}while((o|0)<(l|0));SQ(-215,p,452846,452375,179)}}function fob(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0;i=u;u=u+16|0;j=i;k=f[e>>2]|0;if((k|0)!=452873?(e=(k|0)==0?1163146:k,o7b(e,452873)|0):0){if((k|0)!=452879?o7b(e,452879)|0:0){f[j>>2]=0;f[j+4>>2]=0;e=YG(j,24)|0;k=452884;l=e+24|0;do{b[e>>0]=b[k>>0]|0;e=e+1|0;k=k+1|0}while((e|0)<(l|0));SQ(-2,j,452909,452375,207)}j=f[d+4>>2]|0;f[h+4>>2]=((f[a+4>>2]|0)+-1+j|0)/(j|0)|0;j=f[d>>2]|0;m=(f[a>>2]|0)+-1+j|0;n=j;o=(m|0)/(n|0)|0;f[h>>2]=o;u=i;return}j=Y((f[c+4>>2]|0)+-1|0,f[g+4>>2]|0)|0;k=f[d+4>>2]|0;f[h+4>>2]=((f[a+4>>2]|0)+-1+k-j|0)/(k|0)|0;k=Y((f[c>>2]|0)+-1|0,f[g>>2]|0)|0;g=f[d>>2]|0;m=(f[a>>2]|0)+-1+g-k|0;n=g;o=(m|0)/(n|0)|0;f[h>>2]=o;u=i;return}function gob(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0;l=f[e>>2]|0;if((l|0)!=452873?(e=(l|0)==0?1163146:l,o7b(e,452873)|0):0){if((l|0)!=452879?o7b(e,452879)|0:0)return;e=Y((f[b+4>>2]|0)+-1|0,f[d+4>>2]|0)|0;l=Y((f[c+4>>2]|0)+-1|0,f[g+4>>2]|0)|0;m=e+1-(f[a+4>>2]|0)+l|0;l=Y((f[b>>2]|0)+-1|0,f[d>>2]|0)|0;d=Y((f[c>>2]|0)+-1|0,f[g>>2]|0)|0;g=l+1-(f[a>>2]|0)+d|0;d=((m|0)>0?m:0)>>>1;f[j>>2]=d;f[h>>2]=d;d=((g|0)>0?g:0)>>>1;f[k>>2]=d;f[i>>2]=d;return}f[k>>2]=0;f[j>>2]=0;f[i>>2]=0;f[h>>2]=0;return}function hob(a,b){a=a|0;b=b|0;var c=0;c=Bmc(80)|0;iob(c,b);b=Bmc(16)|0;f[b+4>>2]=1;f[b>>2]=133940;f[b+8>>2]=c;f[a>>2]=b;f[a+4>>2]=c;return}function iob(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;d=u;u=u+48|0;e=d+24|0;g=d+16|0;h=d+8|0;i=d;uCa(a);f[a>>2]=133960;j=a+36|0;k=a+40|0;l=a+68|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;vCa(a,c);f[e>>2]=0;f[e+4>>2]=0;m=YG(e,5)|0;b[m>>0]=b[506389]|0;b[m+1>>0]=b[506390]|0;b[m+2>>0]=b[506391]|0;b[m+3>>0]=b[506392]|0;b[m+4>>0]=b[506393]|0;m=c+4|0;o=f[m>>2]|0;do if(o){p=f[e>>2]|0;q=(p|0)==0?1163146:p;r=m;s=o;a:while(1){t=s;while(1){v=f[t+16>>2]|0;if((v|0)==(p|0))break;if((o7b((v|0)==0?1163146:v,q)|0)>=0)break;v=f[t+4>>2]|0;if(!v){w=r;break a}else t=v}s=f[t>>2]|0;if(!s){w=t;break}else r=t}if((w|0)!=(m|0)){r=f[w+16>>2]|0;if((p|0)!=(r|0)?(o7b(q,(r|0)==0?1163146:r)|0)<=-1:0){x=0.0;break}x=+eEa(w+24|0,-1)}else x=0.0}else x=0.0;while(0);n[a+64>>2]=x;ZG(e);f[e>>2]=0;f[e+4>>2]=0;w=YG(e,10)|0;o=453010;r=w+10|0;do{b[w>>0]=b[o>>0]|0;w=w+1|0;o=o+1|0}while((w|0)<(r|0));s=f[m>>2]|0;do if(s){v=f[e>>2]|0;y=(v|0)==0?1163146:v;z=m;A=s;b:while(1){B=A;while(1){C=f[B+16>>2]|0;if((C|0)==(v|0))break;if((o7b((C|0)==0?1163146:C,y)|0)>=0)break;C=f[B+4>>2]|0;if(!C){D=z;break b}else B=C}A=f[B>>2]|0;if(!A){D=B;break}else z=B}if((D|0)!=(m|0)){z=f[D+16>>2]|0;if((v|0)!=(z|0)?(o7b(y,(z|0)==0?1163146:z)|0)<=-1:0){E=-1;break}z=rCa(D+24|0,-1)|0;E=z}else E=-1}else E=-1;while(0);f[a+60>>2]=E;ZG(e);f[h>>2]=0;f[h+4>>2]=0;E=YG(h,4)|0;b[E>>0]=116;b[E+1>>0]=121;b[E+2>>0]=112;b[E+3>>0]=101;f[i>>2]=0;E=i+4|0;f[E>>2]=0;a=YG(i,8)|0;D=a;b[D>>0]=99;b[D+1>>0]=111;b[D+2>>0]=110;b[D+3>>0]=115;D=a+4|0;b[D>>0]=116;b[D+1>>0]=97;b[D+2>>0]=110;b[D+3>>0]=116;D=f[m>>2]|0;do if(D){a=f[h>>2]|0;s=(a|0)==0?1163146:a;z=m;A=D;c:while(1){q=A;while(1){p=f[q+16>>2]|0;if((p|0)==(a|0))break;if((o7b((p|0)==0?1163146:p,s)|0)>=0)break;p=f[q+4>>2]|0;if(!p){F=z;break c}else q=p}A=f[q>>2]|0;if(!A){F=q;break}else z=q}if((F|0)!=(m|0)){z=f[F+16>>2]|0;if((a|0)!=(z|0)?(o7b(s,(z|0)==0?1163146:z)|0)<=-1:0){G=34;break}sCa(g,F+24|0,-1);H=g+4|0}else G=34}else G=34;while(0);if((G|0)==34){F=f[i>>2]|0;f[g>>2]=F;D=g+4|0;f[D>>2]=f[E>>2];if(!F)H=D;else{E=F+-4|0;f[E>>2]=(f[E>>2]|0)+1;H=D}}D=f[g>>2]|0;E=f[H>>2]|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;if(E>>>0>4294967279)Lmc(e);if(E>>>0<11){b[e+11>>0]=E;if(!E)I=e;else{J=e;G=41}}else{H=E+16&-16;F=Bmc(H)|0;f[e>>2]=F;f[e+8>>2]=H|-2147483648;f[e+4>>2]=E;J=F;G=41}if((G|0)==41){Krc(J|0,D|0,E|0)|0;I=J}b[I+E>>0]=0;Qmc(l,e)|0;if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);ZG(g);ZG(i);ZG(h);f[e>>2]=0;f[e+4>>2]=0;h=YG(e,8)|0;i=h;b[i>>0]=112;b[i+1>>0]=97;b[i+2>>0]=100;b[i+3>>0]=100;i=h+4|0;b[i>>0]=105;b[i+1>>0]=110;b[i+2>>0]=103;b[i+3>>0]=115;i=f[m>>2]|0;if(!i){ZG(e);f[e>>2]=0;K=e+4|0;f[K>>2]=0;L=YG(e,22)|0;w=L;o=453021;r=w+22|0;do{b[w>>0]=b[o>>0]|0;w=w+1|0;o=o+1|0}while((w|0)<(r|0));SQ(-215,e,453044,453061,32)}m=f[e>>2]|0;h=(m|0)==0?1163146:m;g=i;while(1){i=f[g+16>>2]|0;if((m|0)==(i|0)){G=52;break}l=(i|0)==0?1163146:i;if((o7b(h,l)|0)<0)M=g;else{if((o7b(l,h)|0)>=0){G=56;break}M=g+4|0}g=f[M>>2]|0;if(!g){G=54;break}}if((G|0)==52)ZG(e);else if((G|0)==54){ZG(e);f[e>>2]=0;K=e+4|0;f[K>>2]=0;L=YG(e,22)|0;w=L;o=453021;r=w+22|0;do{b[w>>0]=b[o>>0]|0;w=w+1|0;o=o+1|0}while((w|0)<(r|0));SQ(-215,e,453044,453061,32)}else if((G|0)==56)ZG(e);f[e>>2]=0;f[e+4>>2]=0;L=YG(e,8)|0;K=L;b[K>>0]=112;b[K+1>>0]=97;b[K+2>>0]=100;b[K+3>>0]=100;K=L+4|0;b[K>>0]=105;b[K+1>>0]=110;b[K+2>>0]=103;b[K+3>>0]=115;K=dDa(c,e)|0;ZG(e);c=f[K>>2]|0;switch(c|0){case 0:{L=f[K+4>>2]|0;N=L+4|0;O=L;P=L;Q=L;break}case 3:{L=f[K+4>>2]|0;N=L+4|0;O=L;P=L;Q=L;break}case 2:{L=f[K+4>>2]|0;N=L+4|0;O=L;P=L;Q=L;break}default:{f[e>>2]=0;f[e+4>>2]=0;SQ(-3,e,463632,463637,278)}}if(f[N>>2]&1|0){f[e>>2]=0;f[e+4>>2]=0;w=YG(e,31)|0;o=453139;r=w+31|0;do{b[w>>0]=b[o>>0]|0;w=w+1|0;o=o+1|0}while((w|0)<(r|0));SQ(-215,e,453044,453061,34)}switch(c|0){case 0:{R=O+4|0;break}case 3:{R=P+4|0;break}case 2:{R=Q+4|0;break}default:{f[e>>2]=0;f[e+4>>2]=0;SQ(-3,e,463632,463637,278)}}Q=(f[R>>2]|0)/2|0;R=f[k>>2]|0;P=f[j>>2]|0;O=R-P>>3;c=P;N=R;if(Q>>>0<=O>>>0)if(Q>>>0<O>>>0?(L=c+(Q<<3)|0,(N|0)!=(L|0)):0){c=N+(~((N+-8-L|0)>>>3)<<3)|0;f[k>>2]=c;S=c;T=P}else{S=R;T=P}else{lob(j,Q-O|0);S=f[k>>2]|0;T=f[j>>2]|0}if((S|0)==(T|0)){u=d;return}else U=0;while(1){T=U<<1;S=rCa(K,T)|0;f[(f[j>>2]|0)+(U<<3)>>2]=S;S=rCa(K,T|1)|0;T=f[j>>2]|0;f[T+(U<<3)+4>>2]=S;if((f[T+(U<<3)>>2]|0)<=-1){G=78;break}U=U+1|0;if((S|0)<=-1){G=80;break}if(U>>>0>=(f[k>>2]|0)-T>>3>>>0){G=76;break}}if((G|0)==76){u=d;return}else if((G|0)==78){f[e>>2]=0;f[e+4>>2]=0;w=YG(e,22)|0;o=453171;r=w+22|0;do{b[w>>0]=b[o>>0]|0;w=w+1|0;o=o+1|0}while((w|0)<(r|0));SQ(-215,e,453044,453061,41)}else if((G|0)==80){f[e>>2]=0;f[e+4>>2]=0;w=YG(e,23)|0;o=453194;r=w+23|0;do{b[w>>0]=b[o>>0]|0;w=w+1|0;o=o+1|0}while((w|0)<(r|0));SQ(-215,e,453044,453061,41)}}function job(a){a=a|0;Emc(a);return}function kob(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function lob(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>3>>>0>=b>>>0){Drc(g|0,0,b<<3|0)|0;f[e>>2]=g+(b<<3);return}h=f[a>>2]|0;i=g-h|0;g=i>>3;j=g+b|0;if(j>>>0>536870911)Ukc(a);k=d-h|0;d=k>>2;l=k>>3>>>0<268435455?(d>>>0<j>>>0?j:d):536870911;do if(l)if(l>>>0>536870911){d=ye(8)|0;Jmc(d,511852);f[d>>2]=165276;Gf(d|0,26776,1555)}else{m=Bmc(l<<3)|0;break}else m=0;while(0);d=m+(g<<3)|0;Drc(d|0,0,b<<3|0)|0;j=d+(0-g<<3)|0;if((i|0)>0)Krc(j|0,h|0,i|0)|0;f[a>>2]=j;f[e>>2]=d+(b<<3);f[c>>2]=m+(l<<3);if(!h)return;Emc(h);return}function mob(a){a=a|0;var c=0,d=0,e=0;f[a>>2]=133960;c=a+68|0;if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);c=f[a+48>>2]|0;if(c|0){d=a+52|0;e=f[d>>2]|0;if((e|0)!=(c|0))f[d>>2]=e+(~((e+-8-c|0)>>>3)<<3);Emc(c)}c=f[a+36>>2]|0;if(!c){Nza(a);return}e=a+40|0;d=f[e>>2]|0;if((d|0)!=(c|0))f[e>>2]=d+(~((d+-8-c|0)>>>3)<<3);Emc(c);Nza(a);return}function nob(a){a=a|0;var c=0,d=0,e=0;f[a>>2]=133960;c=a+68|0;if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);c=f[a+48>>2]|0;if(c|0){d=a+52|0;e=f[d>>2]|0;if((e|0)!=(c|0))f[d>>2]=e+(~((e+-8-c|0)>>>3)<<3);Emc(c)}c=f[a+36>>2]|0;if(!c){Nza(a);Emc(a);return}e=a+40|0;d=f[e>>2]|0;if((d|0)!=(c|0))f[e>>2]=d+(~((d+-8-c|0)>>>3)<<3);Emc(c);Nza(a);Emc(a);return}function oob(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;c=u;u=u+48|0;d=c;e=c+24|0;g=c+8|0;h=c+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;rD(b,e);b=f[e>>2]|0;i=a+48|0;j=a+36|0;k=a+40|0;l=(f[k>>2]|0)-(f[j>>2]|0)>>3;m=a+52|0;n=f[m>>2]|0;o=f[i>>2]|0;p=n-o>>3;q=o;o=n;if(l>>>0<=p>>>0){if(l>>>0<p>>>0?(n=q+(l<<3)|0,(o|0)!=(n|0)):0)f[m>>2]=o+(~((o+-8-n|0)>>>3)<<3)}else $nb(i,l-p|0);p=f[a+60>>2]|0;if((p|0)!=-1?(f[(f[e>>2]|0)+4>>2]|0)!=(p|0):0){f[g>>2]=f[i>>2];f[h>>2]=-2147483648;f[h+4>>2]=2147483647;f[d>>2]=f[g>>2];uob(i,d,h)|0;r=1}else r=0;h=f[k>>2]|0;k=f[j>>2]|0;j=k;if((h|0)==(k|0))s=f[i>>2]|0;else{g=f[i>>2]|0;p=f[b+40>>2]|0;b=h-k>>3;k=g;h=0;do{l=f[j+(h<<3)>>2]|0;n=h+r|0;f[g+(n<<3)>>2]=l;f[g+(n<<3)+4>>2]=(f[p+(n<<2)>>2]|0)+l;h=h+1|0}while(h>>>0<b>>>0);s=k}k=f[m>>2]|0;b=k-s>>3;if((b|0)>=(f[(f[e>>2]|0)+4>>2]|0)){rt(e);u=c;return}s=d+4|0;h=a+56|0;a=b;b=k;while(1){f[d>>2]=-2147483648;f[s>>2]=2147483647;if((b|0)==(f[h>>2]|0))vob(i,d);else{k=d;p=f[k+4>>2]|0;g=b;f[g>>2]=f[k>>2];f[g+4>>2]=p;f[m>>2]=(f[m>>2]|0)+8}p=a+1|0;if((p|0)>=(f[(f[e>>2]|0)+4>>2]|0))break;a=p;b=f[m>>2]|0}rt(e);u=c;return}function pob(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;g=u;u=u+208|0;h=g+200|0;i=g+188|0;j=g+176|0;k=g+160|0;l=g+32|0;m=g+144|0;o=g+88|0;q=g;zT(h,134060);if((BD(c,-1)|0)==3)gAa(a,c,d,e);else{f[i>>2]=0;e=i+4|0;f[e>>2]=0;f[i+8>>2]=0;f[j>>2]=0;r=j+4|0;f[r>>2]=0;f[j+8>>2]=0;rD(c,i);rD(d,j);d=a+68|0;c=d+11|0;s=b[c>>0]|0;t=a+72|0;v=f[t>>2]|0;do if(((s<<24>>24<0?v:s&255)|0)==8){if(knc(d,0,-1,453338,8)|0){w=b[c>>0]|0;x=f[t>>2]|0;y=17;break}z=f[j>>2]|0;p[l>>3]=+n[a+64>>2];f[k>>2]=-1056833530;f[k+4>>2]=l;f[k+8>>2]=1;f[k+12>>2]=1;oT(z,k,rE()|0)|0;z=f[i>>2]|0;rP(l,f[j>>2]|0,a+48|0);A=k+8|0;f[A>>2]=0;f[A+4>>2]=0;f[k>>2]=-1040121856;f[k+4>>2]=l;kT(z,k);z=l+36|0;A=f[z>>2]|0;if(A|0?(B=A+12|0,A=f[B>>2]|0,f[B>>2]=A+-1,(A|0)==1):0)lP(l);f[z>>2]=0;z=l+16|0;A=l+4|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[A>>2]|0)>0){z=f[l+40>>2]|0;B=0;do{f[z+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[A>>2]|0))}A=f[l+44>>2]|0;if((A|0)!=(l+48|0))tE(A)}else{w=s;x=v;y=17}while(0);a:do if((y|0)==17){if(((w<<24>>24<0?x:w&255)|0)==7?(knc(d,0,-1,453347,7)|0)==0:0){v=f[i>>2]|0;s=v;if(((f[e>>2]|0)-v|0)!=56){f[k>>2]=0;f[k+4>>2]=0;C=YG(k,18)|0;D=475475;E=C+18|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,k,475494,453061,119)}v=f[j>>2]|0;t=v;if(((f[r>>2]|0)-v|0)!=56){f[k>>2]=0;f[k+4>>2]=0;C=YG(k,19)|0;D=475522;E=C+19|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,k,475494,453061,120)}if((f[s+4>>2]|0)!=4){f[k>>2]=0;f[k+4>>2]=0;C=YG(k,19)|0;D=453355;E=C+19|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,k,475494,453061,121)}if((f[t+4>>2]|0)!=4){f[k>>2]=0;f[k+4>>2]=0;C=YG(k,20)|0;D=453375;E=C+20|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,k,475494,453061,122)}v=f[s+40>>2]|0;c=f[v>>2]|0;A=f[t+40>>2]|0;if((c|0)!=(f[A>>2]|0)){f[k>>2]=0;F=k+4|0;f[F>>2]=0;G=YG(k,45)|0;C=G;D=453396;E=C+45|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-213,k,475494,453061,125)}t=f[v+4>>2]|0;if((t|0)!=(f[A+4>>2]|0)){f[k>>2]=0;F=k+4|0;f[F>>2]=0;G=YG(k,45)|0;C=G;D=453396;E=C+45|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-213,k,475494,453061,125)}B=f[v+8>>2]|0;z=f[v+12>>2]|0;H=f[a+48>>2]|0;I=f[H+16>>2]|0;J=(f[A+8>>2]|0)-(f[H+20>>2]|0)|0;K=f[H+24>>2]|0;L=(f[A+12>>2]|0)-(f[H+28>>2]|0)|0;if((I|0)>=(B|0))DY(I,B,134092);if((J|0)>=(B|0))DY(J,B,134120);if((K|0)>=(z|0))DY(K,z,134148);if((L|0)>=(z|0))DY(L,z,134176);if(!c)break;z=k+8|0;B=k+12|0;H=k+4|0;M=m+8|0;N=m+4|0;O=o+36|0;P=o+16|0;Q=o+4|0;R=o+40|0;S=o+44|0;T=o+48|0;U=l+36|0;V=l+16|0;W=l+4|0;X=l+40|0;Y=l+44|0;Z=l+48|0;_=0;$=t;aa=c;ba=s;while(1){if(!$){ca=0;da=aa;ea=ba}else{fa=0;ga=ba;do{tob(l,ga,_,fa);f[z>>2]=0;f[B>>2]=0;f[k>>2]=16842752;f[H>>2]=l;tob(o,f[j>>2]|0,_,fa);ha=M;f[ha>>2]=0;f[ha+4>>2]=0;f[m>>2]=-1040121856;f[N>>2]=o;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;f[q+16>>2]=0;f[q+20>>2]=0;f[q+24>>2]=0;f[q+28>>2]=0;tT(k,m,I,J,K,L,4,q);ha=f[O>>2]|0;do if(ha|0){ia=ha+12|0;ja=f[ia>>2]|0;f[ia>>2]=ja+-1;if((ja|0)!=1)break;lP(o)}while(0);f[O>>2]=0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;if((f[Q>>2]|0)>0){ha=f[R>>2]|0;ja=0;do{f[ha+(ja<<2)>>2]=0;ja=ja+1|0}while((ja|0)<(f[Q>>2]|0))}ja=f[S>>2]|0;if((ja|0)!=(T|0))tE(ja);ja=f[U>>2]|0;do if(ja|0){ha=ja+12|0;ia=f[ha>>2]|0;f[ha>>2]=ia+-1;if((ia|0)!=1)break;lP(l)}while(0);f[U>>2]=0;f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;f[V+12>>2]=0;if((f[W>>2]|0)>0){ja=f[X>>2]|0;ia=0;do{f[ja+(ia<<2)>>2]=0;ia=ia+1|0}while((ia|0)<(f[W>>2]|0))}ia=f[Y>>2]|0;if((ia|0)!=(Z|0))tE(ia);fa=fa+1|0;ga=f[i>>2]|0;ka=f[ga+40>>2]|0;la=f[ka+4>>2]|0}while(fa>>>0<la>>>0);ca=la;da=f[ka>>2]|0;ea=ga}_=_+1|0;if(_>>>0>=da>>>0)break a;else{$=ca;aa=da;ba=ea}}}bza(l,453442,d);f[k>>2]=0;f[k+4>>2]=0;ba=l+11|0;aa=b[ba>>0]|0;$=aa<<24>>24<0?f[l+4>>2]|0:aa&255;if(!$)SQ(-213,k,475494,453061,150);aa=YG(k,$)|0;Krc(aa|0,((b[ba>>0]|0)<0?f[l>>2]|0:l)|0,$|0)|0;SQ(-213,k,475494,453061,150)}while(0);rt(j);rt(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function qob(a,b){a=a|0;b=b|0;var c=0;switch(b|0){case 3:{c=1;break}case 1:{if(ACa()|0)c=((f[a+52>>2]|0)-(f[a+48>>2]|0)|0)==32;else c=0;break}default:c=0}return c|0}function rob(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function sob(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;g=u;u=u+16|0;d=g;h=f[c>>2]|0;i=h;if(((f[c+4>>2]|0)-h|0)!=12){f[d>>2]=0;f[d+4>>2]=0;j=YG(d,18)|0;k=475475;l=j+18|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,d,475265,453061,50)}c=i+4|0;m=h;h=(f[c>>2]|0)-(f[m>>2]|0)>>2;n=a+36|0;o=a+40|0;p=(f[o>>2]|0)-(f[n>>2]|0)>>3;if(h>>>0<p>>>0){f[d>>2]=0;f[d+4>>2]=0;j=YG(d,34)|0;k=453218;l=j+34|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,d,475265,453061,52)}q=a+60|0;a=f[q>>2]|0;if(!(h>>>0>p>>>0|((a|0)==-1|(h|0)==(a|0)))){f[d>>2]=0;f[d+4>>2]=0;j=YG(d,84)|0;k=453253;l=j+84|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,d,475265,453061,53)}d=e+4|0;k=f[d>>2]|0;j=f[e>>2]|0;l=k-j|0;a=(l|0)/12|0;h=j;j=k;if(l){if(a>>>0>1?(l=h+12|0,(j|0)!=(l|0)):0){h=j;while(1){j=h+-12|0;f[d>>2]=j;k=f[j>>2]|0;if(!k)r=j;else{j=h+-8|0;p=f[j>>2]|0;if((p|0)!=(k|0))f[j>>2]=p+(~((p+-4-k|0)>>>2)<<2);Emc(k);r=f[d>>2]|0}if((r|0)==(l|0))break;else h=r}}}else Wmb(e,1-a|0,i);a=f[q>>2]|0;if((a|0)==-1)s=0;else s=(f[c>>2]|0)-(f[m>>2]|0)>>2>>>0>a>>>0&1;a=f[o>>2]|0;o=f[n>>2]|0;n=o;if((a|0)==(o|0)){u=g;return 0}m=f[i>>2]|0;i=f[f[e>>2]>>2]|0;e=a-o>>3;o=0;do{a=o+s|0;f[i+(a<<2)>>2]=(f[n+(o<<3)>>2]|0)+(f[m+(a<<2)>>2]|0)+(f[n+(o<<3)+4>>2]|0);o=o+1|0}while(o>>>0<e>>>0);u=g;return 0}function tob(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+128|0;h=g;i=f[c+4>>2]|0;if((i|0)<=2){f[h>>2]=0;f[h+4>>2]=0;j=YG(h,10)|0;k=456353;l=j+10|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,h,456364,475161,110)}k=f[c+40>>2]|0;j=2;do{f[h+(j+-2<<2)>>2]=f[k+(j<<2)>>2];j=j+1|0}while((j|0)!=(i|0));j=f[c+44>>2]|0;k=(f[c+16>>2]|0)+(Y(f[j>>2]|0,d)|0)|0;qP(a,i+-2|0,h,f[c>>2]&4095,k+(Y(f[j+4>>2]|0,e)|0)|0,0);u=g;return}function uob(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=f[a>>2]|0;e=d;g=(f[b>>2]|0)-e|0;b=d+(g>>3<<3)|0;h=a+4|0;i=f[h>>2]|0;j=a+8|0;k=f[j>>2]|0;l=i;m=k;if(i>>>0<k>>>0){if((b|0)==(i|0)){k=c;n=f[k+4>>2]|0;o=b;f[o>>2]=f[k>>2];f[o+4>>2]=n;f[h>>2]=(f[h>>2]|0)+8;p=b;return p|0}n=l-(b+8)|0;o=n>>3;k=b+(o<<3)|0;if(k>>>0<i>>>0){q=k;k=i;do{r=q;s=f[r+4>>2]|0;t=k;f[t>>2]=f[r>>2];f[t+4>>2]=s;q=q+8|0;k=(f[h>>2]|0)+8|0;f[h>>2]=k}while(q>>>0<i>>>0)}if(o|0)Mrc(i+(0-o<<3)|0,b|0,n|0)|0;if(b>>>0>c>>>0)u=c;else u=(f[h>>2]|0)>>>0>c>>>0?c+8|0:c;n=u;u=f[n+4>>2]|0;o=b;f[o>>2]=f[n>>2];f[o+4>>2]=u;p=b;return p|0}u=(l-e>>3)+1|0;if(u>>>0>536870911)Ukc(a);l=m-e|0;e=l>>2;m=l>>3>>>0<268435455?(e>>>0<u>>>0?u:e):536870911;e=b;u=g>>3;do if(m)if(m>>>0>536870911){l=ye(8)|0;Jmc(l,511852);f[l>>2]=165276;Gf(l|0,26776,1555)}else{l=Bmc(m<<3)|0;v=l;w=l;break}else{v=0;w=0}while(0);l=w+(u<<3)|0;o=l;n=w+(m<<3)|0;do if((u|0)==(m|0)){if((g|0)>0){i=l+(((m+1|0)/-2|0)<<3)|0;x=i;y=n;z=i;A=d;break}i=m<<3>>2;q=(i|0)==0?1:i;if(q>>>0>536870911){i=ye(8)|0;Jmc(i,511852);f[i>>2]=165276;Gf(i|0,26776,1555)}i=Bmc(q<<3)|0;k=i+(q>>>2<<3)|0;s=k;t=i+(q<<3)|0;if(!w){x=s;y=t;z=k;A=d}else{Emc(v);x=s;y=t;z=k;A=f[a>>2]|0}}else{x=o;y=n;z=l;A=d}while(0);d=c;c=f[d+4>>2]|0;l=z;f[l>>2]=f[d>>2];f[l+4>>2]=c;c=x+8|0;l=x;x=e-A|0;d=l+(0-(x>>3)<<3)|0;if((x|0)>0)Krc(d|0,A|0,x|0)|0;x=(f[h>>2]|0)-e|0;if((x|0)>0){Krc(c|0,b|0,x|0)|0;B=c+(x>>>3<<3)|0}else B=c;c=f[a>>2]|0;f[a>>2]=d;f[h>>2]=B;f[j>>2]=y;if(!c){p=l;return p|0}Emc(c);p=l;return p|0}function vob(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>3;h=g+1|0;if(h>>>0>536870911)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>2;l=j>>3>>>0<268435455?(k>>>0<h>>>0?h:k):536870911;do if(l)if(l>>>0>536870911){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<3)|0;break}else m=0;while(0);k=m+(g<<3)|0;h=b;b=f[h+4>>2]|0;j=k;f[j>>2]=f[h>>2];f[j+4>>2]=b;b=k+(0-g<<3)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+8;f[i>>2]=m+(l<<3);if(!d)return;Emc(d);return}function wob(a,b){a=a|0;b=b|0;var c=0;c=Bmc(72)|0;xob(c,b);b=Bmc(16)|0;f[b+4>>2]=1;f[b>>2]=134212;f[b+8>>2]=c;f[a>>2]=b;f[a+4>>2]=c;return}function xob(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=u;u=u+16|0;e=d;uCa(a);f[a>>2]=134232;g=a+40|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;vCa(a,c);f[e>>2]=0;f[e+4>>2]=0;g=YG(e,12)|0;h=453782;i=g+12|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));j=c+4|0;c=f[j>>2]|0;do if(c){k=f[e>>2]|0;l=(k|0)==0?1163146:k;m=j;n=c;a:while(1){o=n;while(1){p=f[o+16>>2]|0;if((p|0)==(k|0))break;if((o7b((p|0)==0?1163146:p,l)|0)>=0)break;p=f[o+4>>2]|0;if(!p){q=m;break a}else o=p}n=f[o>>2]|0;if(!n){q=o;break}else m=o}if((q|0)!=(j|0)){m=f[q+16>>2]|0;if((k|0)!=(m|0)?(o7b(l,(m|0)==0?1163146:m)|0)<=-1:0){r=2;break}m=rCa(q+24|0,-1)|0;r=m}else r=2}else r=2;while(0);q=a+36|0;f[q>>2]=r;ZG(e);if((f[q>>2]|0)>0){u=d;return}else{f[e>>2]=0;f[e+4>>2]=0;g=YG(e,15)|0;h=453795;i=g+15|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));SQ(-215,e,453811,453826,67)}}function yob(a){a=a|0;Emc(a);return}function zob(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Aob(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=134232;b=f[a+60>>2]|0;if(b|0){c=a+64|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+48>>2]|0;if(b|0){d=a+52|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-4-b|0)>>>2)<<2);Emc(b)}b=a+40|0;c=f[b>>2]|0;if(c|0?(d=c+4|0,e=f[d>>2]|0,f[d>>2]=e+-1,(e|0)==1):0)ai[f[(f[c>>2]|0)+8>>2]&2047](c);f[b>>2]=0;f[a+44>>2]=0;Nza(a);return}function Bob(a){a=a|0;Aob(a);Emc(a);return}function Cob(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;e=u;u=u+304|0;g=e+292|0;h=e+280|0;i=e+224|0;j=e+168|0;k=e+128|0;l=e+112|0;m=e+56|0;n=e;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;rD(c,g);rD(d,h);d=f[g>>2]|0;f[i>>2]=f[d>>2];c=i+4|0;o=d+4|0;f[c>>2]=f[o>>2];p=i+8|0;f[p>>2]=f[d+8>>2];f[i+12>>2]=f[d+12>>2];q=i+16|0;f[q>>2]=f[d+16>>2];f[i+20>>2]=f[d+20>>2];f[i+24>>2]=f[d+24>>2];f[i+28>>2]=f[d+28>>2];f[i+32>>2]=f[d+32>>2];r=i+36|0;s=f[d+36>>2]|0;f[r>>2]=s;t=i+40|0;f[t>>2]=p;p=i+48|0;v=i+44|0;f[v>>2]=p;f[p>>2]=0;f[i+52>>2]=0;if(s|0){w=s+12|0;f[w>>2]=(f[w>>2]|0)+1}if((f[o>>2]|0)<3){o=f[d+44>>2]|0;w=f[v>>2]|0;f[w>>2]=f[o>>2];f[w+4>>2]=f[o+4>>2]}else{f[c>>2]=0;kP(i,d)}d=f[h>>2]|0;f[j>>2]=f[d>>2];o=j+4|0;w=d+4|0;f[o>>2]=f[w>>2];s=j+8|0;f[s>>2]=f[d+8>>2];f[j+12>>2]=f[d+12>>2];x=j+16|0;f[x>>2]=f[d+16>>2];f[j+20>>2]=f[d+20>>2];f[j+24>>2]=f[d+24>>2];f[j+28>>2]=f[d+28>>2];f[j+32>>2]=f[d+32>>2];y=j+36|0;z=f[d+36>>2]|0;f[y>>2]=z;A=j+40|0;f[A>>2]=s;s=j+48|0;B=j+44|0;f[B>>2]=s;f[s>>2]=0;f[j+52>>2]=0;if(z|0){C=z+12|0;f[C>>2]=(f[C>>2]|0)+1}if((f[w>>2]|0)<3){w=f[d+44>>2]|0;C=f[B>>2]|0;f[C>>2]=f[w>>2];f[C+4>>2]=f[w+4>>2]}else{f[o>>2]=0;kP(j,d)}d=f[f[t>>2]>>2]|0;f[k+4>>2]=0;f[k+8>>2]=0;f[k>>2]=k+4;w=k+12|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;f[w+16>>2]=0;f[w+20>>2]=0;f[w+24>>2]=0;if((d|0)==1){f[l>>2]=0;f[l+4>>2]=0;w=YG(l,5)|0;b[w>>0]=b[467464]|0;b[w+1>>0]=b[467465]|0;b[w+2>>0]=b[467466]|0;b[w+3>>0]=b[467467]|0;b[w+4>>0]=b[467468]|0;w=Bmc(16)|0;f[w>>2]=w+8;f[w+4>>2]=4;C=Dmc(32)|0;f[w>>2]=C;f[m>>2]=0;f[m+4>>2]=w;w=C;f[w>>2]=1;f[w+4>>2]=0;w=C+8|0;f[w>>2]=3;f[w+4>>2]=0;w=C+16|0;f[w>>2]=0;f[w+4>>2]=0;w=C+24|0;f[w>>2]=2;f[w+4>>2]=0;MCa(k,l,m)|0;rza(m);ZG(l);w=a+48|0;C=a+52|0;z=f[C>>2]|0;D=f[w>>2]|0;E=z-D>>2;F=D;D=z;if(E>>>0>=4)if((E|0)!=4?(z=F+16|0,(D|0)!=(z|0)):0){f[C>>2]=D+(~((D+-4-z|0)>>>2)<<2);G=F}else G=F;else{$C(w,4-E|0);G=f[w>>2]|0}E=f[t>>2]|0;F=Y(f[E+8>>2]|0,f[E+4>>2]|0)|0;z=a+36|0;D=f[z>>2]|0;C=(F|0)/(Y(D,D)|0)|0;f[G>>2]=C;f[G+4>>2]=f[z>>2];f[G+8>>2]=f[E+12>>2];f[G+12>>2]=f[z>>2];z=a+60|0;E=a+64|0;C=f[E>>2]|0;D=f[z>>2]|0;F=C-D>>2;H=D;D=C;if(F>>>0>=4)if((F|0)!=4?(C=H+16|0,(D|0)!=(C|0)):0){f[E>>2]=D+(~((D+-4-C|0)>>>2)<<2);I=G;J=H}else{I=G;J=H}else{$C(z,4-F|0);I=f[w>>2]|0;J=f[z>>2]|0}f[J>>2]=f[I+4>>2];f[J+4>>2]=f[I+12>>2];f[J+8>>2]=f[I>>2];K=I+8|0;L=J+12|0}else{f[l>>2]=0;f[l+4>>2]=0;J=YG(l,5)|0;b[J>>0]=b[467464]|0;b[J+1>>0]=b[467465]|0;b[J+2>>0]=b[467466]|0;b[J+3>>0]=b[467467]|0;b[J+4>>0]=b[467468]|0;J=Bmc(16)|0;f[J>>2]=J+8;f[J+4>>2]=5;I=Dmc(40)|0;f[J>>2]=I;f[m>>2]=0;f[m+4>>2]=J;J=I;f[J>>2]=0;f[J+4>>2]=0;J=I+8|0;f[J>>2]=2;f[J+4>>2]=0;J=I+16|0;f[J>>2]=4;f[J+4>>2]=0;J=I+24|0;f[J>>2]=1;f[J+4>>2]=0;J=I+32|0;f[J>>2]=3;f[J+4>>2]=0;MCa(k,l,m)|0;rza(m);ZG(l);J=a+48|0;I=a+52|0;z=f[I>>2]|0;w=f[J>>2]|0;F=z-w>>2;H=w;w=z;if(F>>>0>=5)if((F|0)!=5?(z=H+20|0,(w|0)!=(z|0)):0){f[I>>2]=w+(~((w+-4-z|0)>>>2)<<2);M=H}else M=H;else{$C(J,5-F|0);M=f[J>>2]|0}f[M>>2]=d;d=f[t>>2]|0;F=Y(f[d+8>>2]|0,f[d+4>>2]|0)|0;H=a+36|0;z=f[H>>2]|0;w=(F|0)/(Y(z,z)|0)|0;f[M+4>>2]=w;f[M+8>>2]=f[H>>2];f[M+12>>2]=f[d+12>>2];f[M+16>>2]=f[H>>2];H=a+60|0;d=a+64|0;w=f[d>>2]|0;z=f[H>>2]|0;F=w-z>>2;I=z;z=w;if(F>>>0>=5)if((F|0)!=5?(w=I+20|0,(z|0)!=(w|0)):0){f[d>>2]=z+(~((z+-4-w|0)>>>2)<<2);N=M;O=I}else{N=M;O=I}else{$C(H,5-F|0);N=f[J>>2]|0;O=f[H>>2]|0}f[O>>2]=f[N>>2];f[O+4>>2]=f[N+8>>2];f[O+8>>2]=f[N+16>>2];f[O+12>>2]=f[N+4>>2];K=N+12|0;L=O+16|0}f[L>>2]=f[K>>2];bpb(l,k);K=a+40|0;L=f[l>>2]|0;O=f[l+4>>2]|0;if(L|0){N=L+4|0;f[N>>2]=(f[N>>2]|0)+1}N=f[K>>2]|0;f[K>>2]=L;L=a+44|0;f[L>>2]=O;if(N|0?(O=N+4|0,K=f[O>>2]|0,f[O>>2]=K+-1,(K|0)==1):0)ai[f[(f[N>>2]|0)+8>>2]&2047](N);N=f[l>>2]|0;if(N|0?(K=N+4|0,O=f[K>>2]|0,f[K>>2]=O+-1,(O|0)==1):0)ai[f[(f[N>>2]|0)+8>>2]&2047](N);zP(m,i,1,a+48|0);mAa(l,1,m);N=m+36|0;O=f[N>>2]|0;if(O|0?(K=O+12|0,O=f[K>>2]|0,f[K>>2]=O+-1,(O|0)==1):0)lP(m);f[N>>2]=0;N=m+16|0;O=m+4|0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;if((f[O>>2]|0)>0){N=f[m+40>>2]|0;K=0;do{f[N+(K<<2)>>2]=0;K=K+1|0}while((K|0)<(f[O>>2]|0))}O=f[m+44>>2]|0;if((O|0)!=(m+48|0))tE(O);zP(n,j,1,a+60|0);mAa(m,1,n);a=n+36|0;O=f[a>>2]|0;if(O|0?(K=O+12|0,O=f[K>>2]|0,f[K>>2]=O+-1,(O|0)==1):0)lP(n);f[a>>2]=0;a=n+16|0;O=n+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[O>>2]|0)>0){a=f[n+40>>2]|0;K=0;do{f[a+(K<<2)>>2]=0;K=K+1|0}while((K|0)<(f[O>>2]|0))}O=f[n+44>>2]|0;if((O|0)!=(n+48|0))tE(O);wCa(f[L>>2]|0,l,m);rt(m);rt(l);qza(k);k=f[y>>2]|0;if(k|0?(l=k+12|0,k=f[l>>2]|0,f[l>>2]=k+-1,(k|0)==1):0)lP(j);f[y>>2]=0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[o>>2]|0)>0){x=f[A>>2]|0;A=0;do{f[x+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[o>>2]|0))}o=f[B>>2]|0;if((o|0)!=(s|0))tE(o);o=f[r>>2]|0;if(o|0?(s=o+12|0,o=f[s>>2]|0,f[s>>2]=o+-1,(o|0)==1):0)lP(i);f[r>>2]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[c>>2]|0)>0){q=f[t>>2]|0;t=0;do{f[q+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[c>>2]|0))}c=f[v>>2]|0;if((c|0)==(p|0)){rt(h);rt(g);u=e;return}tE(c);rt(h);rt(g);u=e;return}function Dob(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=u;u=u+112|0;g=e+96|0;h=e+84|0;i=e+72|0;j=e+16|0;k=e;zT(g,134332);if((BD(b,-1)|0)==3)gAa(a,b,c,d);else{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;rD(b,h);rD(c,i);zP(j,f[h>>2]|0,1,a+48|0);c=f[h>>2]|0;b=j+36|0;if((c|0)!=(j|0)){l=f[b>>2]|0;if(l|0){m=l+12|0;f[m>>2]=(f[m>>2]|0)+1}m=c+36|0;l=f[m>>2]|0;if(l|0?(n=l+12|0,l=f[n>>2]|0,f[n>>2]=l+-1,(l|0)==1):0)lP(c);f[m>>2]=0;l=c+16|0;n=c+4|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[n>>2]|0)>0){o=f[c+40>>2]|0;p=0;do{f[o+(p<<2)>>2]=0;p=p+1|0;q=f[n>>2]|0}while((p|0)<(q|0));f[c>>2]=f[j>>2];if((q|0)<3)r=16;else r=18}else{f[c>>2]=f[j>>2];r=16}if((r|0)==16){q=f[j+4>>2]|0;if((q|0)<3){f[n>>2]=q;f[c+8>>2]=f[j+8>>2];f[c+12>>2]=f[j+12>>2];q=f[j+44>>2]|0;n=f[c+44>>2]|0;f[n>>2]=f[q>>2];f[n+4>>2]=f[q+4>>2]}else r=18}if((r|0)==18)kP(c,j);f[l>>2]=f[j+16>>2];f[c+20>>2]=f[j+20>>2];f[c+24>>2]=f[j+24>>2];f[c+28>>2]=f[j+28>>2];f[c+32>>2]=f[j+32>>2];f[m>>2]=f[b>>2]}m=f[b>>2]|0;if(m|0?(c=m+12|0,m=f[c>>2]|0,f[c>>2]=m+-1,(m|0)==1):0)lP(j);f[b>>2]=0;b=j+16|0;m=j+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[m>>2]|0)>0){b=f[j+40>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[m>>2]|0))}m=f[j+44>>2]|0;if((m|0)!=(j+48|0))tE(m);zP(j,f[i>>2]|0,1,a+60|0);m=f[i>>2]|0;c=j+36|0;if((m|0)!=(j|0)){b=f[c>>2]|0;if(b|0){l=b+12|0;f[l>>2]=(f[l>>2]|0)+1}l=m+36|0;b=f[l>>2]|0;if(b|0?(q=b+12|0,b=f[q>>2]|0,f[q>>2]=b+-1,(b|0)==1):0)lP(m);f[l>>2]=0;b=m+16|0;q=m+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[q>>2]|0)>0){n=f[m+40>>2]|0;p=0;do{f[n+(p<<2)>>2]=0;p=p+1|0;s=f[q>>2]|0}while((p|0)<(s|0));f[m>>2]=f[j>>2];if((s|0)<3)r=39;else r=41}else{f[m>>2]=f[j>>2];r=39}if((r|0)==39){s=f[j+4>>2]|0;if((s|0)<3){f[q>>2]=s;f[m+8>>2]=f[j+8>>2];f[m+12>>2]=f[j+12>>2];s=f[j+44>>2]|0;q=f[m+44>>2]|0;f[q>>2]=f[s>>2];f[q+4>>2]=f[s+4>>2]}else r=41}if((r|0)==41)kP(m,j);f[b>>2]=f[j+16>>2];f[m+20>>2]=f[j+20>>2];f[m+24>>2]=f[j+24>>2];f[m+28>>2]=f[j+28>>2];f[m+32>>2]=f[j+32>>2];f[l>>2]=f[c>>2]}l=f[c>>2]|0;if(l|0?(m=l+12|0,l=f[m>>2]|0,f[m>>2]=l+-1,(l|0)==1):0)lP(j);f[c>>2]=0;c=j+16|0;l=j+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[l>>2]|0)>0){c=f[j+40>>2]|0;m=0;do{f[c+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[l>>2]|0))}l=f[j+44>>2]|0;if((l|0)!=(j+48|0))tE(l);l=f[a+44>>2]|0;a=f[(f[l>>2]|0)+44>>2]|0;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=17104896;f[j+4>>2]=h;m=k+8|0;f[m>>2]=0;f[m+4>>2]=0;f[k>>2]=33882112;f[k+4>>2]=i;rh[a&255](l,j,k,d);rt(i);rt(h)}if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function Eob(a,b){a=a|0;b=b|0;return (b|1|0)==3|0}function Fob(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Gob(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;g=u;u=u+48|0;d=g+24|0;h=g+12|0;i=g;j=f[c+4>>2]|0;k=f[c>>2]|0;if((j|0)==(k|0)){f[d>>2]=0;f[d+4>>2]=0;l=YG(d,17)|0;m=474364;n=l+17|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,d,475265,453826,75)}o=(j-k|0)/12|0;j=f[k>>2]|0;k=f[a+36>>2]|0;a=Y(Y(k,f[j+4>>2]|0)|0,k)|0;p=(f[j+8>>2]|0)/(k|0)|0;q=(f[j+12>>2]|0)/(k|0)|0;f[d>>2]=f[j>>2];f[d+4>>2]=a;f[d+8>>2]=p;f[d+12>>2]=q;f[i>>2]=0;q=i+4|0;f[q>>2]=0;f[i+8>>2]=0;hAa(i,d,d+16|0);p=f[i>>2]|0;a=f[q>>2]|0;a:do if((p|0)==(a|0)){r=p;s=6}else{j=p;do{if((f[j>>2]|0)<0){r=j;s=6;break a}j=j+4|0}while((j|0)!=(a|0))}while(0);if((s|0)==6?(r|0)!=(a|0):0){s=r+4|0;if((s|0)==(a|0)){t=a;v=r}else{p=s;s=r;while(1){r=f[p>>2]|0;if((r|0)<0)w=s;else{f[s>>2]=r;w=s+4|0}p=p+4|0;if((p|0)==(a|0))break;else s=w}t=f[q>>2]|0;v=w}if((v|0)!=(t|0))f[q>>2]=t+(~((t+-4-v|0)>>>2)<<2)}Iob(h,o,i);if((h|0)!=(e|0))hCa(e,f[h>>2]|0,f[h+4>>2]|0);o=f[h>>2]|0;if(o|0){v=h+4|0;t=f[v>>2]|0;if((t|0)==(o|0))x=o;else{w=t;while(1){t=w+-12|0;f[v>>2]=t;s=f[t>>2]|0;if(!s)y=t;else{t=w+-8|0;a=f[t>>2]|0;if((a|0)!=(s|0))f[t>>2]=a+(~((a+-4-s|0)>>>2)<<2);Emc(s);y=f[v>>2]|0}if((y|0)==(o|0))break;else w=y}x=f[h>>2]|0}Emc(x)}x=f[i>>2]|0;if(x|0){i=f[q>>2]|0;if((i|0)!=(x|0))f[q>>2]=i+(~((i+-4-x|0)>>>2)<<2);Emc(x)}x=f[e>>2]|0;e=f[x>>2]|0;i=f[e>>2]|0;q=e;if((i|0)<=0){f[d>>2]=0;z=d+4|0;f[z>>2]=0;A=YG(d,80)|0;l=A;m=453902;n=l+80|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,d,475265,453826,82)}if((f[e+4>>2]|0)<=0){f[d>>2]=0;z=d+4|0;f[z>>2]=0;A=YG(d,80)|0;l=A;m=453902;n=l+80|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,d,475265,453826,82)}if((f[e+8>>2]|0)<=0){f[d>>2]=0;z=d+4|0;f[z>>2]=0;A=YG(d,80)|0;l=A;m=453902;n=l+80|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,d,475265,453826,82)}if((f[e+12>>2]|0)<=0){f[d>>2]=0;z=d+4|0;f[z>>2]=0;A=YG(d,80)|0;l=A;m=453902;n=l+80|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,d,475265,453826,82)}A=f[x+4>>2]|0;x=A-q|0;q=x>>2;if((e|0)!=(A|0)){if((x|0)<=-4){f[d>>2]=0;f[d+4>>2]=0;l=YG(d,70)|0;m=475084;n=l+70|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,d,475155,475161,161)}if((x|0)>0)if((x|0)>4){x=1;A=i;while(1){z=Y(f[e+(x<<2)>>2]|0,A)|0;x=x+1|0;if((x|0)>=(q|0)){B=z;break}else A=z}}else B=i;else B=1}else B=0;i=f[c>>2]|0;c=f[i+4>>2]|0;A=f[i>>2]|0;i=c-A|0;q=i>>2;x=A;if((x|0)!=(c|0)){if((i|0)<=-4){f[d>>2]=0;f[d+4>>2]=0;l=YG(d,70)|0;m=475084;n=l+70|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,d,475155,475161,161)}if((i|0)>0){i=0;c=1;while(1){A=Y(f[x+(i<<2)>>2]|0,c)|0;i=i+1|0;if((i|0)>=(q|0)){C=A;break}else c=A}}else C=1}else C=0;if((B|0)==(C|0)){u=g;return 0}else{f[d>>2]=0;f[d+4>>2]=0;l=YG(d,37)|0;m=453983;n=l+37|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,d,475265,453826,83)}return 0}function Hob(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=u;u=u+16|0;a=d;e=f[c+4>>2]|0;g=f[c>>2]|0;c=g;if((e|0)==(g|0)){h=0;i=0;J=h;u=d;return i|0}j=(e-g|0)/12|0;g=0;e=0;k=0;while(1){l=f[c+(g*12|0)+4>>2]|0;m=f[c+(g*12|0)>>2]|0;n=l-m|0;o=n>>2;p=m;if((p|0)!=(l|0)){if((n|0)<=-4){q=7;break}if((n|0)>0){n=0;l=1;while(1){m=Y(f[p+(n<<2)>>2]|0,l)|0;n=n+1|0;if((n|0)>=(o|0)){r=m;break}else l=m}}else r=1}else r=0;l=r*21|0;o=Arc(l|0,((l|0)<0)<<31>>31|0,e|0,k|0)|0;l=J;g=g+1|0;if(g>>>0>=j>>>0){h=l;i=o;q=3;break}else{e=o;k=l}}if((q|0)==3){J=h;u=d;return i|0}else if((q|0)==7){f[a>>2]=0;f[a+4>>2]=0;q=YG(a,70)|0;i=475084;d=q+70|0;do{b[q>>0]=b[i>>0]|0;q=q+1|0;i=i+1|0}while((q|0)<(d|0));SQ(-215,a,475155,475161,161)}return 0}function Iob(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;f[a>>2]=0;d=a+4|0;f[d>>2]=0;f[a+8>>2]=0;if(!b)return;if(b>>>0>357913941)Ukc(a);e=Bmc(b*12|0)|0;f[d>>2]=e;f[a>>2]=e;f[a+8>>2]=e+(b*12|0);a=b;b=e;do{fAa(b,c);b=(f[d>>2]|0)+12|0;f[d>>2]=b;a=a+-1|0}while((a|0)!=0);return}function Job(a,b){a=a|0;b=b|0;var c=0;c=Bmc(72)|0;Kob(c,b);b=Bmc(16)|0;f[b+4>>2]=1;f[b>>2]=134372;f[b+8>>2]=c;f[a>>2]=b;f[a+4>>2]=c;return}function Kob(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0.0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;d=u;u=u+16|0;e=d+8|0;g=d;uCa(a);f[a>>2]=134392;h=a+44|0;i=a+48|0;j=a+52|0;k=a+56|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;vCa(a,c);f[e>>2]=0;f[e+4>>2]=0;l=YG(e,5)|0;b[l>>0]=b[473145]|0;b[l+1>>0]=b[473146]|0;b[l+2>>0]=b[473147]|0;b[l+3>>0]=b[473148]|0;b[l+4>>0]=b[473149]|0;l=c+4|0;m=f[l>>2]|0;do if(m){n=f[e>>2]|0;o=(n|0)==0?1163146:n;p=l;q=m;a:while(1){r=q;while(1){s=f[r+16>>2]|0;if((s|0)==(n|0))break;if((o7b((s|0)==0?1163146:s,o)|0)>=0)break;s=f[r+4>>2]|0;if(!s){t=p;break a}else r=s}q=f[r>>2]|0;if(!q){t=r;break}else p=r}if((t|0)!=(l|0)){p=f[t+16>>2]|0;if((n|0)!=(p|0)?(o7b(o,(p|0)==0?1163146:p)|0)<=-1:0){v=0.0;break}v=+eEa(t+24|0,-1)}else v=0.0}else v=0.0;while(0);f[a+36>>2]=~~v;ZG(e);f[e>>2]=0;f[e+4>>2]=0;t=YG(e,6)|0;b[t>>0]=b[473280]|0;b[t+1>>0]=b[473281]|0;b[t+2>>0]=b[473282]|0;b[t+3>>0]=b[473283]|0;b[t+4>>0]=b[473284]|0;b[t+5>>0]=b[473285]|0;t=f[l>>2]|0;do if(t){m=f[e>>2]|0;p=(m|0)==0?1163146:m;q=l;s=t;b:while(1){w=s;while(1){x=f[w+16>>2]|0;if((x|0)==(m|0))break;if((o7b((x|0)==0?1163146:x,p)|0)>=0)break;x=f[w+4>>2]|0;if(!x){y=q;break b}else w=x}s=f[w>>2]|0;if(!s){y=w;break}else q=w}if((y|0)!=(l|0)){q=f[y+16>>2]|0;if((m|0)!=(q|0)?(o7b(p,(q|0)==0?1163146:q)|0)<=-1:0){z=0.0;break}z=+eEa(y+24|0,-1)}else z=0.0}else z=0.0;while(0);f[a+40>>2]=~~z;ZG(e);f[e>>2]=0;f[e+4>>2]=0;y=YG(e,11)|0;t=454280;q=y+11|0;do{b[y>>0]=b[t>>0]|0;y=y+1|0;t=t+1|0}while((y|0)<(q|0));s=f[l>>2]|0;do if(!s){ZG(e);A=59}else{o=f[e>>2]|0;n=(o|0)==0?1163146:o;r=s;while(1){x=f[r+16>>2]|0;if((o|0)==(x|0)){A=31;break}B=(x|0)==0?1163146:x;if((o7b(n,B)|0)<0)C=r;else{if((o7b(B,n)|0)>=0){A=32;break}C=r+4|0}r=f[C>>2]|0;if(!r){A=58;break}}if((A|0)==31)ZG(e);else if((A|0)==32)ZG(e);else if((A|0)==58){ZG(e);A=59;break}f[e>>2]=0;f[e+4>>2]=0;y=YG(e,13)|0;t=454292;q=y+13|0;do{b[y>>0]=b[t>>0]|0;y=y+1|0;t=t+1|0}while((y|0)<(q|0));r=f[l>>2]|0;c:do if(r|0){n=f[e>>2]|0;o=(n|0)==0?1163146:n;p=r;while(1){m=f[p+16>>2]|0;if((n|0)==(m|0)){A=50;break}B=(m|0)==0?1163146:m;if((o7b(o,B)|0)<0)D=p;else{if((o7b(B,o)|0)>=0){A=51;break}D=p+4|0}p=f[D>>2]|0;if(!p)break c}if((A|0)==50){ZG(e);f[e>>2]=0;E=e+4|0;f[E>>2]=0;F=YG(e,60)|0;y=F;t=454320;q=y+60|0;do{b[y>>0]=b[t>>0]|0;y=y+1|0;t=t+1|0}while((y|0)<(q|0));SQ(-215,e,454381,454397,24)}else if((A|0)==51){ZG(e);f[e>>2]=0;E=e+4|0;f[E>>2]=0;F=YG(e,60)|0;y=F;t=454320;q=y+60|0;do{b[y>>0]=b[t>>0]|0;y=y+1|0;t=t+1|0}while((y|0)<(q|0));SQ(-215,e,454381,454397,24)}}while(0);f[g>>2]=0;f[g+4>>2]=0;y=YG(g,13)|0;t=454306;q=y+13|0;do{b[y>>0]=b[t>>0]|0;y=y+1|0;t=t+1|0}while((y|0)<(q|0));r=f[l>>2]|0;do if(r){p=f[g>>2]|0;o=(p|0)==0?1163146:p;n=r;while(1){w=f[n+16>>2]|0;if((p|0)==(w|0)){A=49;break}B=(w|0)==0?1163146:w;if((o7b(o,B)|0)<0)G=n;else{if((o7b(B,o)|0)>=0){A=52;break}G=n+4|0}n=f[G>>2]|0;if(!n){A=55;break}}if((A|0)==49){ZG(g);ZG(e);f[e>>2]=0;E=e+4|0;f[E>>2]=0;F=YG(e,60)|0;y=F;t=454320;q=y+60|0;do{b[y>>0]=b[t>>0]|0;y=y+1|0;t=t+1|0}while((y|0)<(q|0));SQ(-215,e,454381,454397,24)}else if((A|0)==52){ZG(g);ZG(e);f[e>>2]=0;E=e+4|0;f[E>>2]=0;F=YG(e,60)|0;y=F;t=454320;q=y+60|0;do{b[y>>0]=b[t>>0]|0;y=y+1|0;t=t+1|0}while((y|0)<(q|0));SQ(-215,e,454381,454397,24)}else if((A|0)==55){ZG(g);ZG(e);break}}else{ZG(g);ZG(e)}while(0);f[e>>2]=0;f[e+4>>2]=0;y=YG(e,11)|0;t=454280;q=y+11|0;do{b[y>>0]=b[t>>0]|0;y=y+1|0;t=t+1|0}while((y|0)<(q|0));r=rCa(dDa(c,e)|0,-1)|0;f[i>>2]=r;f[h>>2]=r;ZG(e)}while(0);d:do if((A|0)==59){f[e>>2]=0;f[e+4>>2]=0;y=YG(e,13)|0;t=454292;q=y+13|0;do{b[y>>0]=b[t>>0]|0;y=y+1|0;t=t+1|0}while((y|0)<(q|0));F=f[l>>2]|0;e:do if(F){E=f[e>>2]|0;G=(E|0)==0?1163146:E;D=F;while(1){C=f[D+16>>2]|0;if((E|0)==(C|0)){A=76;break}s=(C|0)==0?1163146:C;if((o7b(G,s)|0)<0)H=D;else{if((o7b(s,G)|0)>=0){A=77;break}H=D+4|0}D=f[H>>2]|0;if(!D){A=67;break e}}if((A|0)==76){ZG(e);break}else if((A|0)==77){ZG(e);break}}else A=67;while(0);do if((A|0)==67){f[g>>2]=0;f[g+4>>2]=0;y=YG(g,13)|0;t=454306;q=y+13|0;do{b[y>>0]=b[t>>0]|0;y=y+1|0;t=t+1|0}while((y|0)<(q|0));F=f[l>>2]|0;if(!F){ZG(g);ZG(e);break d}D=f[g>>2]|0;G=(D|0)==0?1163146:D;E=F;while(1){F=f[E+16>>2]|0;if((D|0)==(F|0)){A=78;break}s=(F|0)==0?1163146:F;if((o7b(G,s)|0)<0)I=E;else{if((o7b(s,G)|0)>=0){A=75;break}I=E+4|0}E=f[I>>2]|0;if(!E){A=104;break}}if((A|0)==75){ZG(g);ZG(e);break}else if((A|0)==78){ZG(g);ZG(e);break}else if((A|0)==104){ZG(g);ZG(e);break d}}while(0);f[e>>2]=0;f[e+4>>2]=0;y=YG(e,13)|0;t=454292;q=y+13|0;do{b[y>>0]=b[t>>0]|0;y=y+1|0;t=t+1|0}while((y|0)<(q|0));E=f[l>>2]|0;if(!E){ZG(e);f[e>>2]=0;K=e+4|0;f[K>>2]=0;L=YG(e,58)|0;y=L;t=454474;q=y+58|0;do{b[y>>0]=b[t>>0]|0;y=y+1|0;t=t+1|0}while((y|0)<(q|0));SQ(-215,e,454381,454397,29)}G=f[e>>2]|0;D=(G|0)==0?1163146:G;s=E;while(1){F=f[s+16>>2]|0;if((G|0)==(F|0))break;C=(F|0)==0?1163146:F;if((o7b(D,C)|0)<0)M=s;else{if((o7b(C,D)|0)>=0)break;M=s+4|0}s=f[M>>2]|0;if(!s){A=97;break}}if((A|0)==97){ZG(e);f[e>>2]=0;K=e+4|0;f[K>>2]=0;L=YG(e,58)|0;y=L;t=454474;q=y+58|0;do{b[y>>0]=b[t>>0]|0;y=y+1|0;t=t+1|0}while((y|0)<(q|0));SQ(-215,e,454381,454397,29)}f[g>>2]=0;f[g+4>>2]=0;y=YG(g,13)|0;t=454306;q=y+13|0;do{b[y>>0]=b[t>>0]|0;y=y+1|0;t=t+1|0}while((y|0)<(q|0));s=f[l>>2]|0;if(!s){ZG(g);ZG(e);f[e>>2]=0;K=e+4|0;f[K>>2]=0;L=YG(e,58)|0;y=L;t=454474;q=y+58|0;do{b[y>>0]=b[t>>0]|0;y=y+1|0;t=t+1|0}while((y|0)<(q|0));SQ(-215,e,454381,454397,29)}D=f[g>>2]|0;G=(D|0)==0?1163146:D;E=s;while(1){C=f[E+16>>2]|0;if((D|0)==(C|0)){A=101;break}F=(C|0)==0?1163146:C;if((o7b(G,F)|0)<0)N=E;else{if((o7b(F,G)|0)>=0){A=95;break}N=E+4|0}E=f[N>>2]|0;if(!E){A=99;break}}if((A|0)==95){ZG(g);ZG(e)}else if((A|0)==99){ZG(g);ZG(e);f[e>>2]=0;K=e+4|0;f[K>>2]=0;L=YG(e,58)|0;y=L;t=454474;q=y+58|0;do{b[y>>0]=b[t>>0]|0;y=y+1|0;t=t+1|0}while((y|0)<(q|0));SQ(-215,e,454381,454397,29)}else if((A|0)==101){ZG(g);ZG(e)}f[e>>2]=0;f[e+4>>2]=0;y=YG(e,13)|0;t=454292;q=y+13|0;do{b[y>>0]=b[t>>0]|0;y=y+1|0;t=t+1|0}while((y|0)<(q|0));E=rCa(dDa(c,e)|0,-1)|0;f[h>>2]=E;ZG(e);f[e>>2]=0;f[e+4>>2]=0;y=YG(e,13)|0;t=454306;q=y+13|0;do{b[y>>0]=b[t>>0]|0;y=y+1|0;t=t+1|0}while((y|0)<(q|0));E=rCa(dDa(c,e)|0,-1)|0;f[i>>2]=E;ZG(e)}while(0);f[g>>2]=0;f[g+4>>2]=0;y=YG(g,13)|0;t=454533;q=y+13|0;do{b[y>>0]=b[t>>0]|0;y=y+1|0;t=t+1|0}while((y|0)<(q|0));sCa(e,dDa(c,g)|0,-1);if((e|0)!=(j|0)){ZG(j);c=f[e>>2]|0;if(!c)O=0;else{i=c+-4|0;f[i>>2]=(f[i>>2]|0)+1;O=f[e>>2]|0}f[j>>2]=O;f[k>>2]=f[e+4>>2]}ZG(e);ZG(g);g=f[j>>2]|0;if(((g|0)!=454547?(j=(g|0)==0?1163146:g,!((o7b(j,454547)|0)==0|(g|0)==454555)):0)?o7b(j,454555)|0:0){f[e>>2]=0;f[e+4>>2]=0;y=YG(e,57)|0;t=454564;q=y+57|0;do{b[y>>0]=b[t>>0]|0;y=y+1|0;t=t+1|0}while((y|0)<(q|0));SQ(-215,e,454381,454397,34)}f[e>>2]=0;f[e+4>>2]=0;y=YG(e,13)|0;t=454622;q=y+13|0;do{b[y>>0]=b[t>>0]|0;y=y+1|0;t=t+1|0}while((y|0)<(q|0));t=f[l>>2]|0;if(!t){P=0;Q=a+68|0;b[Q>>0]=P;ZG(e);u=d;return}y=f[e>>2]|0;q=(y|0)==0?1163146:y;j=l;g=t;f:while(1){t=g;while(1){k=f[t+16>>2]|0;if((k|0)==(y|0))break;if((o7b((k|0)==0?1163146:k,q)|0)>=0)break;k=f[t+4>>2]|0;if(!k){R=j;break f}else t=k}g=f[t>>2]|0;if(!g){R=t;break}else j=t}if((R|0)==(l|0)){P=0;Q=a+68|0;b[Q>>0]=P;ZG(e);u=d;return}l=f[R+16>>2]|0;if((y|0)!=(l|0)?(o7b(q,(l|0)==0?1163146:l)|0)<=-1:0){P=0;Q=a+68|0;b[Q>>0]=P;ZG(e);u=d;return}l=rCa(R+24|0,-1)|0;P=((l|0)!=0|(J|0)!=0)&1;Q=a+68|0;b[Q>>0]=P;ZG(e);u=d;return}function Lob(a){a=a|0;Emc(a);return}function Mob(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Nob(a){a=a|0;f[a>>2]=134392;ZG(a+52|0);Nza(a);return}function Oob(a){a=a|0;f[a>>2]=134392;ZG(a+52|0);Nza(a);Emc(a);return}function Pob(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0.0,q=0.0,r=0.0,s=0;e=u;u=u+32|0;g=e+12|0;h=e;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;rD(c,g);rD(d,h);d=a+36|0;c=f[d>>2]|0;if(!c){i=a+40|0;if(!(f[i>>2]|0)){j=f[(f[h>>2]|0)+40>>2]|0;f[i>>2]=f[j+8>>2];i=f[j+12>>2]|0;f[d>>2]=i;k=i}else k=0}else k=c;c=(b[a+68>>0]|0)==0;i=f[a+40>>2]|0;d=f[(f[g>>2]|0)+40>>2]|0;j=f[d+8>>2]|0;if((i|0)>1&(c^1)){n[a+64>>2]=+(j+-1|0)/+(i+-1|0);if((k|0)>1)l=7;else l=8}else{n[a+64>>2]=+(j|0)/+(i|0);if((k|0)>1&(c^1))l=7;else l=8}if((l|0)==7){m=(f[d+12>>2]|0)+-1|0;o=k+-1|0;p=+(m|0);q=+(o|0);r=p/q;s=a+60|0;n[s>>2]=r;rt(h);rt(g);u=e;return}else if((l|0)==8){m=f[d+12>>2]|0;o=k;p=+(m|0);q=+(o|0);r=p/q;s=a+60|0;n[s>>2]=r;rt(h);rt(g);u=e;return}}function Qob(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0.0,T=0,U=0,V=0,W=0,X=0,Z=0.0,_=0,$=0,aa=0,ba=0.0,ca=0,da=0,ea=0,fa=0.0,ga=0.0,ha=0,ia=0,ja=0;g=u;u=u+240|0;h=g+232|0;i=g+216|0;j=g+204|0;k=g+192|0;l=g+136|0;m=g+80|0;o=g+64|0;p=g+8|0;q=g;zT(h,134492);if((BD(c,-1)|0)==3)gAa(a,c,d,e);else{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;rD(c,i);rD(d,j);rD(e,k);e=a+40|0;d=f[e>>2]|0;c=f[i>>2]|0;r=f[c+40>>2]|0;s=f[r+8>>2]|0;if(!((d|0)==(s|0)?(f[a+36>>2]|0)==(f[r+12>>2]|0):0))t=7;do if((t|0)==7){v=f[j>>2]|0;w=a+52|0;x=f[w>>2]|0;if((x|0)!=454547?(y=(x|0)==0?1163146:x,o7b(y,454547)|0):0){if((x|0)!=454555?o7b(y,454555)|0:0){f[l>>2]=0;f[l+4>>2]=0;y=a+56|0;YG(l,(f[y>>2]|0)+23|0)|0;x=f[l>>2]|0;z=x;A=454636;B=z+23|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));C=f[y>>2]|0;if(!C)SQ(-213,l,475494,454397,155);Krc(x+23|0,f[w>>2]|0,C|0)|0;SQ(-213,l,475494,454397,155)}C=f[r+12>>2]|0;D=Y(C,s)|0;E=a+36|0;F=Y(f[E>>2]|0,d)|0;G=Y(f[r+4>>2]|0,f[r>>2]|0)|0;if(!(f[c>>2]&16384)){f[l>>2]=0;f[l+4>>2]=0;z=YG(l,18)|0;A=473330;B=z+18|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));SQ(-215,l,475494,454397,121)}if(!(f[v>>2]&16384)){f[l>>2]=0;f[l+4>>2]=0;z=YG(l,18)|0;A=473349;B=z+18|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));SQ(-215,l,475494,454397,121)}xP(l,c,1,Y(G,s)|0);xP(m,v,1,Y(f[e>>2]|0,G)|0);w=f[e>>2]|0;if((w|0)>0){x=a+64|0;y=f[l+16>>2]|0;H=f[f[l+44>>2]>>2]|0;I=s+-1|0;J=f[E>>2]|0;K=(J|0)>0;L=a+60|0;M=C+-1|0;N=f[m+16>>2]|0;O=f[m+44>>2]|0;P=O+4|0;Q=(G|0)>0;R=0;do{S=+(R|0)*+n[x>>2];T=~~S;U=y+(Y(H,T)|0)|0;V=T+1|0;W=y+(Y((I|0)<(V|0)?I:V,H)|0)|0;if(K?(V=N+(Y(f[O>>2]|0,R)|0)|0,X=f[P>>2]|0,Z=S-+(T|0),Q):0){T=0;do{S=+(T|0)*+n[L>>2];_=~~S;$=_+1|0;aa=(M|0)<($|0)?M:$;ba=S-+(_|0);$=W;ca=U;da=V+(Y(X,T)|0)|0;ea=0;while(1){S=+n[ca+(_<<2)>>2];fa=+n[$+(_<<2)>>2];ga=+n[ca+(aa<<2)>>2];n[da>>2]=S+Z*(fa-S)+ba*(ga-S+Z*(S+(+n[$+(aa<<2)>>2]-ga-fa)));ea=ea+1|0;if((ea|0)==(G|0))break;else{$=$+(D<<2)|0;ca=ca+(D<<2)|0;da=da+(F<<2)|0}}T=T+1|0}while((T|0)<(J|0))}R=R+1|0}while((R|0)<(w|0))}w=m+36|0;R=f[w>>2]|0;if(R|0?(J=R+12|0,R=f[J>>2]|0,f[J>>2]=R+-1,(R|0)==1):0)lP(m);f[w>>2]=0;w=m+16|0;R=m+4|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[R>>2]|0)>0){w=f[m+40>>2]|0;J=0;do{f[w+(J<<2)>>2]=0;J=J+1|0}while((J|0)<(f[R>>2]|0))}R=f[m+44>>2]|0;if((R|0)!=(m+48|0))tE(R);R=l+36|0;J=f[R>>2]|0;if(J|0?(w=J+12|0,J=f[w>>2]|0,f[w>>2]=J+-1,(J|0)==1):0)lP(l);f[R>>2]=0;R=l+16|0;J=l+4|0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((f[J>>2]|0)>0){R=f[l+40>>2]|0;w=0;do{f[R+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[J>>2]|0))}J=f[l+44>>2]|0;if((J|0)!=(l+48|0))tE(J);break}J=f[r>>2]|0;if(J|0){w=l+8|0;R=l+12|0;F=l+4|0;D=o+8|0;G=o+4|0;M=a+36|0;L=q+4|0;Q=p+36|0;P=p+16|0;O=p+4|0;N=p+40|0;K=p+44|0;H=p+48|0;I=m+36|0;y=m+16|0;x=m+4|0;C=m+40|0;E=m+44|0;T=m+48|0;X=0;V=J;J=r;while(1){if(!(f[J+4>>2]|0)){ha=J;ia=V}else{U=0;do{Uob(m,c,X,U);f[w>>2]=0;f[R>>2]=0;f[l>>2]=16842752;f[F>>2]=m;Uob(p,v,X,U);W=D;f[W>>2]=0;f[W+4>>2]=0;f[o>>2]=-1040121856;f[G>>2]=p;W=f[e>>2]|0;f[q>>2]=f[M>>2];f[L>>2]=W;wma(l,o,q,0.0,0.0,0);W=f[Q>>2]|0;if(W|0?(da=W+12|0,W=f[da>>2]|0,f[da>>2]=W+-1,(W|0)==1):0)lP(p);f[Q>>2]=0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;if((f[O>>2]|0)>0){W=f[N>>2]|0;da=0;do{f[W+(da<<2)>>2]=0;da=da+1|0}while((da|0)<(f[O>>2]|0))}da=f[K>>2]|0;if((da|0)!=(H|0))tE(da);da=f[I>>2]|0;if(da|0?(W=da+12|0,da=f[W>>2]|0,f[W>>2]=da+-1,(da|0)==1):0)lP(m);f[I>>2]=0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[x>>2]|0)>0){da=f[C>>2]|0;W=0;do{f[da+(W<<2)>>2]=0;W=W+1|0}while((W|0)<(f[x>>2]|0))}W=f[E>>2]|0;if((W|0)!=(T|0))tE(W);U=U+1|0;ja=f[(f[i>>2]|0)+40>>2]|0}while(U>>>0<(f[ja+4>>2]|0)>>>0);ha=ja;ia=f[ja>>2]|0}X=X+1|0;if(X>>>0>=ia>>>0)break;else{V=ia;J=ha}}}}while(0);rt(k);rt(j);rt(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function Rob(a,b){a=a|0;b=b|0;var c=0;if((b|0)!=2){c=(b|0)==3;return c|0}b=f[a+52>>2]|0;if((b|0)!=454547?o7b((b|0)==0?1163146:b,454547)|0:0){c=0;return c|0}c=(f[a+32>>2]|0)!=3;return c|0}function Sob(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Tob(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=u;u=u+16|0;d=g;h=f[c>>2]|0;i=h;if(((f[c+4>>2]|0)-h|0)!=12){f[d>>2]=0;f[d+4>>2]=0;j=YG(d,18)|0;k=475475;l=j+18|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,d,475265,454397,44)}if(((f[i+4>>2]|0)-(f[h>>2]|0)|0)!=16){f[d>>2]=0;f[d+4>>2]=0;j=YG(d,21)|0;k=473308;l=j+21|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,d,475265,454397,44)}d=e+4|0;k=f[d>>2]|0;j=f[e>>2]|0;l=k-j|0;h=(l|0)/12|0;m=j;j=k;if(l){if(h>>>0>1?(l=m+12|0,(j|0)!=(l|0)):0){m=j;while(1){j=m+-12|0;f[d>>2]=j;k=f[j>>2]|0;if(!k)n=j;else{j=m+-8|0;o=f[j>>2]|0;if((o|0)!=(k|0))f[j>>2]=o+(~((o+-4-k|0)>>>2)<<2);Emc(k);n=f[d>>2]|0}if((n|0)==(l|0))break;else m=n}}}else Wmb(e,1-h|0,i);i=f[a+40>>2]|0;h=f[f[e>>2]>>2]|0;if((i|0)>0)p=i;else p=Y(f[a+48>>2]|0,f[h+8>>2]|0)|0;f[h+8>>2]=p;i=f[a+36>>2]|0;e=h+12|0;if((i|0)>0)q=i;else q=Y(f[a+44>>2]|0,f[e>>2]|0)|0;f[e>>2]=q;e=f[f[c>>2]>>2]|0;if((p|0)!=(f[e+8>>2]|0)){r=0;u=g;return r|0}r=(q|0)==(f[e+12>>2]|0);u=g;return r|0}function Uob(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+128|0;h=g;i=f[c+4>>2]|0;if((i|0)<=2){f[h>>2]=0;f[h+4>>2]=0;j=YG(h,10)|0;k=456353;l=j+10|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,h,456364,475161,110)}k=f[c+40>>2]|0;j=2;do{f[h+(j+-2<<2)>>2]=f[k+(j<<2)>>2];j=j+1|0}while((j|0)!=(i|0));j=f[c+44>>2]|0;k=(f[c+16>>2]|0)+(Y(f[j>>2]|0,d)|0)|0;qP(a,i+-2|0,h,f[c>>2]&4095,k+(Y(f[j+4>>2]|0,e)|0)|0,0);u=g;return}function Vob(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+48|0;e=d+8|0;g=d;lza(e,c);mza(e+12|0,c+12|0);h=f[c+24>>2]|0;f[e+24>>2]=h;f[e+28>>2]=f[c+28>>2];if(h|0){i=h+-4|0;f[i>>2]=(f[i>>2]|0)+1}i=f[c+32>>2]|0;f[e+32>>2]=i;f[e+36>>2]=f[c+36>>2];if(i|0){c=i+-4|0;f[c>>2]=(f[c>>2]|0)+1}f[g>>2]=0;f[g+4>>2]=0;c=YG(g,13)|0;i=454533;h=c+13|0;do{b[c>>0]=b[i>>0]|0;c=c+1|0;i=i+1|0}while((c|0)<(h|0));fDa(e,g,454555)|0;ZG(g);g=Bmc(72)|0;Kob(g,e);f[g>>2]=134532;i=Bmc(16)|0;f[i+4>>2]=1;f[i>>2]=134640;f[i+8>>2]=g;f[a>>2]=i;f[a+4>>2]=g;qza(e);u=d;return}function Wob(a){a=a|0;Emc(a);return}function Xob(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Yob(a){a=a|0;f[a>>2]=134392;ZG(a+52|0);Nza(a);Emc(a);return}function Zob(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0.0,p=0.0,q=0;d=u;u=u+32|0;e=d+12|0;g=d;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;rD(b,e);rD(c,g);c=a+36|0;b=f[c>>2]|0;h=a+40|0;i=f[h>>2]|0;if(!b)if(!i){j=f[(f[g>>2]|0)+40>>2]|0;k=f[j+8>>2]|0;f[h>>2]=k;h=f[j+12>>2]|0;f[c>>2]=h;l=k;m=h}else{l=i;m=0}else{l=i;m=b}b=f[(f[e>>2]|0)+40>>2]|0;i=f[b+12>>2]|0;if((l|0)>1)o=+((f[b+8>>2]|0)+-1|0)/+(l+-1|0);else o=0.0;n[a+64>>2]=o;if((m|0)<=1){p=0.0;q=a+60|0;n[q>>2]=p;rt(g);rt(e);u=d;return}p=+(i+-1|0)/+(m+-1|0);q=a+60|0;n[q>>2]=p;rt(g);rt(e);u=d;return}function _ob(a,b){a=a|0;b=b|0;return (b|1|0)==3|0}function $ob(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function apb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=u;u=u+16|0;d=g;h=f[c>>2]|0;i=h;if(((f[c+4>>2]|0)-h|0)!=12){f[d>>2]=0;f[d+4>>2]=0;j=YG(d,18)|0;k=475475;l=j+18|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,d,475265,454397,200)}if(((f[i+4>>2]|0)-(f[h>>2]|0)|0)!=16){f[d>>2]=0;f[d+4>>2]=0;j=YG(d,21)|0;k=473308;l=j+21|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,d,475265,454397,200)}d=e+4|0;k=f[d>>2]|0;j=f[e>>2]|0;l=k-j|0;h=(l|0)/12|0;m=j;j=k;if(l){if(h>>>0>1?(l=m+12|0,(j|0)!=(l|0)):0){m=j;while(1){j=m+-12|0;f[d>>2]=j;k=f[j>>2]|0;if(!k)n=j;else{j=m+-8|0;o=f[j>>2]|0;if((o|0)!=(k|0))f[j>>2]=o+(~((o+-4-k|0)>>>2)<<2);Emc(k);n=f[d>>2]|0}if((n|0)==(l|0))break;else m=n}}}else Wmb(e,1-h|0,i);i=f[a+40>>2]|0;if((i|0)>0){p=f[f[e>>2]>>2]|0;q=i}else{i=f[f[e>>2]>>2]|0;p=i;q=(Y((f[i+8>>2]|0)+-1|0,f[a+48>>2]|0)|0)+1|0}f[p+8>>2]=q;i=f[a+36>>2]|0;if((i|0)>0){r=p+12|0;s=i}else{i=p+12|0;r=i;s=(Y((f[i>>2]|0)+-1|0,f[a+44>>2]|0)|0)+1|0}f[r>>2]=s;r=f[f[c>>2]>>2]|0;if((q|0)!=(f[r+8>>2]|0)){t=0;u=g;return t|0}t=(s|0)==(f[r+12>>2]|0);u=g;return t|0}function bpb(a,b){a=a|0;b=b|0;var c=0;c=Bmc(108)|0;cpb(c,b);b=Bmc(16)|0;f[b+4>>2]=1;f[b>>2]=134660;f[b+8>>2]=c;f[a>>2]=b;f[a+4>>2]=c;return}function cpb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+32|0;e=d;g=d+16|0;h=d+8|0;uCa(a);f[a>>2]=134680;i=a+36|0;j=a+40|0;k=a+44|0;l=a+100|0;m=a+104|0;f[m>>2]=0;n=i;o=n+64|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));b[i+64>>0]=0;f[g>>2]=0;f[g+4>>2]=0;i=YG(g,5)|0;b[i>>0]=b[467464]|0;b[i+1>>0]=b[467465]|0;b[i+2>>0]=b[467466]|0;b[i+3>>0]=b[467467]|0;b[i+4>>0]=b[467468]|0;i=f[c+4>>2]|0;if(!i){ZG(g);u=d;return}p=f[g>>2]|0;q=(p|0)==0?1163146:p;r=i;while(1){i=f[r+16>>2]|0;if((p|0)==(i|0)){s=9;break}t=(i|0)==0?1163146:i;if((o7b(q,t)|0)<0)v=r;else{if((o7b(t,q)|0)>=0){s=10;break}v=r+4|0}r=f[v>>2]|0;if(!r){s=36;break}}if((s|0)==9)ZG(g);else if((s|0)==10)ZG(g);else if((s|0)==36){ZG(g);u=d;return}f[g>>2]=0;f[g+4>>2]=0;r=YG(g,5)|0;b[r>>0]=b[467464]|0;b[r+1>>0]=b[467465]|0;b[r+2>>0]=b[467466]|0;b[r+3>>0]=b[467467]|0;b[r+4>>0]=b[467468]|0;tza(h,dDa(c,g)|0);ZG(g);switch(f[h>>2]|0){case 0:{w=(f[h+4>>2]|0)+4|0;break}case 3:{w=(f[h+4>>2]|0)+4|0;break}case 2:{w=(f[h+4>>2]|0)+4|0;break}default:{f[g>>2]=0;f[g+4>>2]=0;SQ(-3,g,463632,463637,278)}}r=f[w>>2]|0;f[m>>2]=r;a:do if(r|0){w=a+48|0;v=0;while(1){q=rCa(h,v)|0;x=f[m>>2]|0;if((q|0)<0|q>>>0>x>>>0){s=20;break}p=f[j>>2]|0;t=f[k>>2]|0;b:do if((p|0)==(t|0)){y=p;s=24}else{i=p;do{if((f[i>>2]|0)==(q|0)){y=i;s=24;break b}i=i+4|0}while((i|0)!=(t|0))}while(0);if((s|0)==24?(s=0,(y|0)!=(t|0)):0){s=25;break}f[g>>2]=q;if((t|0)==(f[w>>2]|0))ZS(j,g);else{f[t>>2]=q;f[k>>2]=t+4}v=v+1|0;if(v>>>0>=(f[m>>2]|0)>>>0)break a}if((s|0)==20){f[e>>2]=x+-1;aR(g,455029,e);SQ(-5,g,455096,455113,91)}else if((s|0)==25){f[g>>2]=0;f[g+4>>2]=0;n=YG(g,51)|0;v=455191;o=n+51|0;do{b[n>>0]=b[v>>0]|0;n=n+1|0;v=v+1|0}while((n|0)<(o|0));SQ(-5,g,455096,455113,96)}}while(0);vCa(a,c);b[l>>0]=0;c=f[m>>2]|0;c:do if(c|0){m=f[a+40>>2]|0;g=0;while(1){if((f[m+(g<<2)>>2]|0)!=(g|0))break;g=g+1|0;if(g>>>0>=c>>>0)break c}b[l>>0]=1}while(0);rza(h);u=d;return}function dpb(a){a=a|0;Emc(a);return}function epb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function fpb(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=134680;b=f[a+88>>2]|0;if(b|0){c=a+92|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+76>>2]|0;if(b|0){d=a+80|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+64>>2]|0;if(b|0){c=a+68|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+52>>2]|0;if(b|0){d=a+56|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+40>>2]|0;if(!b){Nza(a);return}c=a+44|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b);Nza(a);return}function gpb(a){a=a|0;fpb(a);Emc(a);return}function hpb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+48|0;g=e+36|0;h=e+24|0;i=e+12|0;j=e;if(!(b[a+100>>0]|0)){u=e;return}f[g>>2]=0;k=g+4|0;f[k>>2]=0;f[g+8>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;rD(c,g);rD(d,h);d=f[g>>2]|0;c=d;if((f[k>>2]|0)==(d|0)){f[i>>2]=0;f[i+4>>2]=0;l=YG(i,17)|0;m=474364;n=l+17|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,i,476100,455113,171)}d=f[a+104>>2]|0;if((d|0)!=(f[c+4>>2]|0)){f[i>>2]=0;f[i+4>>2]=0;l=YG(i,26)|0;m=455928;n=l+26|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,i,476100,455113,173)}m=f[c+40>>2]|0;f[i>>2]=0;c=i+4|0;f[c>>2]=0;f[i+8>>2]=0;hAa(i,m,m+(d<<2)|0);d=f[h>>2]|0;m=f[d+4>>2]|0;l=f[d+40>>2]|0;f[j>>2]=0;d=j+4|0;f[d>>2]=0;f[j+8>>2]=0;hAa(j,l,l+(m<<2)|0);ppb(a,i,j);a=f[j>>2]|0;if(a|0){j=f[d>>2]|0;if((j|0)!=(a|0))f[d>>2]=j+(~((j+-4-a|0)>>>2)<<2);Emc(a)}a=f[i>>2]|0;if(a|0){i=f[c>>2]|0;if((i|0)!=(a|0))f[c>>2]=i+(~((i+-4-a|0)>>>2)<<2);Emc(a)}rt(h);rt(g);u=e;return}function ipb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;g=u;u=u+48|0;h=g+40|0;i=g+28|0;j=g+16|0;k=g;zT(h,134780);if((BD(c,-1)|0)==3)gAa(a,c,d,e);else{f[i>>2]=0;e=i+4|0;f[e>>2]=0;f[i+8>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;rD(c,i);rD(d,j);d=f[i>>2]|0;c=(f[e>>2]|0)-d|0;e=(c|0)/56|0;l=d;a:do if(!(b[a+100>>0]|0)){if(c|0){d=k+8|0;m=k+4|0;n=0;while(1){o=f[j>>2]|0;p=f[o+(n*56|0)+4>>2]|0;if((p|0)<3)q=Y(f[o+(n*56|0)+12>>2]|0,f[o+(n*56|0)+8>>2]|0)|0;else{r=f[o+(n*56|0)+40>>2]|0;s=0;t=1;while(1){v=Y(f[r+(s<<2)>>2]|0,t)|0;s=s+1|0;if((s|0)==(p|0)){q=v;break}else t=v}}t=f[i>>2]|0;p=f[t+(n*56|0)+4>>2]|0;if((p|0)<3)w=Y(f[t+(n*56|0)+12>>2]|0,f[t+(n*56|0)+8>>2]|0)|0;else{s=f[t+(n*56|0)+40>>2]|0;r=0;v=1;while(1){x=Y(f[s+(r<<2)>>2]|0,v)|0;r=r+1|0;if((r|0)==(p|0)){w=x;break}else v=x}}if((q|0)!=(w|0))break;if((f[o+(n*56|0)+16>>2]|0)!=(f[t+(n*56|0)+16>>2]|0)){v=d;f[v>>2]=0;f[v+4>>2]=0;f[k>>2]=33619968;f[m>>2]=o+(n*56|0);kT(t+(n*56|0)|0,k)}n=n+1|0;if(n>>>0>=e>>>0)break a}f[k>>2]=0;f[k+4>>2]=0;y=YG(k,39)|0;z=455402;A=y+39|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,k,475494,455113,326)}}else{n=f[a+36>>2]|0;m=f[a+104>>2]|0;d=f[a+88>>2]|0;v=f[a+76>>2]|0;p=a+40|0;r=f[p>>2]|0;if(c|0){s=(m|0)==4;x=(n|0)==0;B=(m|0)==0;C=f[j>>2]|0;b:do if((f[l+4>>2]|0)==(m|0)){D=0;E=C;F=l;G=C;H=l;c:while(1){I=f[H+(D*56|0)+40>>2]|0;J=f[I+-4>>2]|0;K=f[H+40>>2]|0;if((J|0)!=(f[K+-4>>2]|0))break b;if((J|0)==2){if((f[I>>2]|0)!=(f[K>>2]|0))break b;if((f[I+4>>2]|0)!=(f[K+4>>2]|0))break b}else if((J|0)>0){L=0;do{if((f[I+(L<<2)>>2]|0)!=(f[K+(L<<2)>>2]|0))break b;L=L+1|0}while((L|0)<(J|0))}if((f[E+(D*56|0)+4>>2]|0)!=(m|0)){M=39;break}J=f[E+(D*56|0)+40>>2]|0;L=f[J+-4>>2]|0;K=f[E+40>>2]|0;if((L|0)!=(f[K+-4>>2]|0)){M=39;break}if((L|0)==2){if((f[J>>2]|0)!=(f[K>>2]|0)){M=39;break}if((f[J+4>>2]|0)!=(f[K+4>>2]|0)){M=39;break}}else if((L|0)>0){I=0;do{if((f[J+(I<<2)>>2]|0)!=(f[K+(I<<2)>>2]|0)){M=39;break c}I=I+1|0}while((I|0)<(L|0))}L=f[F>>2]|0;if(!(L&16384)){M=42;break}I=f[G>>2]|0;if(!(I&16384)){M=42;break}if(!((L&4095|0)==5&(I&4095|0)==5)){M=44;break}d:do if(!s){I=f[H+(D*56|0)+16>>2]|0;L=f[E+(D*56|0)+16>>2]|0;if(!x){if(B){K=0;while(1){f[L+(K<<2)>>2]=f[I>>2];K=K+1|0;if((K|0)==(n|0))break d}}else N=0;do{K=0;J=0;O=N;while(1){P=f[d+(J<<2)>>2]|0;K=(Y(f[v+(f[r+(J<<2)>>2]<<2)>>2]|0,(O>>>0)/(P>>>0)|0)|0)+K|0;J=J+1|0;if((J|0)==(m|0))break;else O=(O>>>0)%(P>>>0)|0}f[L+(N<<2)>>2]=f[I+(K<<2)>>2];N=N+1|0}while((N|0)!=(n|0))}}else mpb(F,G,p,pU()|0);while(0);I=D+1|0;if(I>>>0>=e>>>0)break a;L=f[i>>2]|0;O=f[j>>2]|0;if((f[L+(I*56|0)+4>>2]|0)==(m|0)){D=I;E=O;F=L+(I*56|0)|0;G=O+(I*56|0)|0;H=L}else break b}if((M|0)==39){f[k>>2]=0;f[k+4>>2]=0;y=YG(k,50)|0;z=455492;A=y+50|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,k,475494,455113,344)}else if((M|0)==42){f[k>>2]=0;f[k+4>>2]=0;y=YG(k,40)|0;z=455543;A=y+40|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,k,475494,455113,346)}else if((M|0)==44){f[k>>2]=0;f[k+4>>2]=0;y=YG(k,44)|0;z=455584;A=y+44|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,k,475494,455113,347)}}while(0);f[k>>2]=0;f[k+4>>2]=0;y=YG(k,49)|0;z=455442;A=y+49|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,k,475494,455113,343)}}while(0);rt(j);rt(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function jpb(a,b){a=a|0;b=b|0;var c=0;switch(b|0){case 3:{c=1;break}case 2:{c=_Da()|0;break}default:c=0}return c|0}function kpb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function lpb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;h=u;u=u+32|0;i=h+24|0;j=h+12|0;k=h;if(!(b[a+100>>0]|0)){cAa(a,c,d,e,g)|0;l=1;u=h;return l|0}g=c+4|0;d=f[c>>2]|0;m=d;if((f[g>>2]|0)==(d|0)){f[i>>2]=0;f[i+4>>2]=0;n=YG(i,17)|0;o=474364;p=n+17|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));SQ(-215,i,475265,455113,122)}q=a+104|0;if((f[q>>2]|0)!=((f[m+4>>2]|0)-(f[d>>2]|0)>>2|0)){f[i>>2]=0;f[i+4>>2]=0;n=YG(i,33)|0;o=455243;p=n+33|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));SQ(-215,i,475265,455113,123)}fAa(j,m);f[k>>2]=0;m=k+4|0;f[m>>2]=0;f[k+8>>2]=0;a:do if(f[q>>2]|0){d=a+40|0;r=k+8|0;s=0;t=0;v=0;while(1){w=(f[j>>2]|0)+(f[(f[d>>2]|0)+(s<<2)>>2]<<2)|0;if((t|0)==(v|0))MR(k,w);else{f[t>>2]=f[w>>2];f[m>>2]=t+4}w=s+1|0;if(w>>>0>=(f[q>>2]|0)>>>0)break a;s=w;t=f[m>>2]|0;v=f[r>>2]|0}}while(0);q=f[e>>2]|0;a=e+4|0;r=f[a>>2]|0;if((r|0)!=(q|0)){v=r;while(1){r=v+-12|0;f[a>>2]=r;t=f[r>>2]|0;if(!t)x=r;else{r=v+-8|0;s=f[r>>2]|0;if((s|0)!=(t|0))f[r>>2]=s+(~((s+-4-t|0)>>>2)<<2);Emc(t);x=f[a>>2]|0}if((x|0)==(q|0))break;else v=x}}x=f[c>>2]|0;b:do if((f[g>>2]|0)!=(x|0)){v=e+8|0;q=0;t=x;while(1){s=t;r=f[s+(q*12|0)+4>>2]|0;d=f[s+(q*12|0)>>2]|0;s=d;if((r-d|0)!=16){y=27;break}d=f[j>>2]|0;if((f[s+8>>2]|0)!=(f[d+8>>2]|0)){y=30;break}if((f[s+12>>2]|0)!=(f[d+12>>2]|0)){y=30;break}if((s|0)==(r|0))z=0;else{r=Y(f[s+4>>2]|0,f[s>>2]|0)|0;d=Y(f[s+8>>2]|0,r)|0;z=Y(f[s+12>>2]|0,d)|0}d=f[m>>2]|0;s=f[k>>2]|0;r=d-s|0;w=r>>2;A=s;if((A|0)!=(d|0)){if((r|0)<=-4){y=36;break}if((r|0)>0){r=0;d=1;while(1){s=Y(f[A+(r<<2)>>2]|0,d)|0;r=r+1|0;if((r|0)>=(w|0)){B=s;break}else d=s}}else B=1}else B=0;if((z|0)!=(B|0)){y=39;break}C=f[a>>2]|0;if((C|0)==(f[v>>2]|0))ABa(e,k);else{f[C>>2]=0;d=C+4|0;f[d>>2]=0;f[C+8>>2]=0;w=(f[m>>2]|0)-(f[k>>2]|0)|0;r=w>>2;if(r|0){if(r>>>0>1073741823){y=43;break}A=Bmc(w)|0;f[d>>2]=A;f[C>>2]=A;f[C+8>>2]=A+(r<<2);r=f[k>>2]|0;w=(f[m>>2]|0)-r|0;if((w|0)>0){Krc(A|0,r|0,w|0)|0;f[d>>2]=A+(w>>>2<<2)}}f[a>>2]=(f[a>>2]|0)+12}q=q+1|0;t=f[c>>2]|0;if(q>>>0>=(((f[g>>2]|0)-t|0)/12|0)>>>0)break b}if((y|0)==27){f[i>>2]=0;f[i+4>>2]=0;n=YG(i,21)|0;o=455277;p=n+21|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));SQ(-215,i,475265,455113,135)}else if((y|0)==30){f[i>>2]=0;f[i+4>>2]=0;n=YG(i,64)|0;o=455299;p=n+64|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));SQ(-215,i,475265,455113,136)}else if((y|0)==36){f[i>>2]=0;f[i+4>>2]=0;n=YG(i,70)|0;o=475084;p=n+70|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));SQ(-215,i,475155,475161,161)}else if((y|0)==39){f[i>>2]=0;f[i+4>>2]=0;n=YG(i,37)|0;o=455364;p=n+37|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));SQ(-215,i,475265,455113,137)}else if((y|0)==43)Ukc(C)}while(0);C=f[k>>2]|0;if(C|0){k=f[m>>2]|0;if((k|0)!=(C|0))f[m>>2]=k+(~((k+-4-C|0)>>>2)<<2);Emc(C)}C=f[j>>2]|0;if(C|0){k=j+4|0;j=f[k>>2]|0;if((j|0)!=(C|0))f[k>>2]=j+(~((j+-4-C|0)>>>2)<<2);Emc(C)}l=0;u=h;return l|0}function mpb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+32|0;g=e+8|0;h=e;f[g>>2]=134820;f[g+4>>2]=a;f[g+8>>2]=b;f[g+12>>2]=c;f[g+16>>2]=d;i=f[b+40>>2]|0;b=f[c>>2]|0;c=f[a+40>>2]|0;if((((f[i>>2]|0)==(f[c+(f[b>>2]<<2)>>2]|0)?(f[i+4>>2]|0)==(f[c+(f[b+4>>2]<<2)>>2]|0):0)?(f[i+8>>2]|0)==(f[c+(f[b+8>>2]<<2)>>2]|0):0)?(f[i+12>>2]|0)==(f[c+(f[b+12>>2]<<2)>>2]|0):0){f[h>>2]=0;f[h+4>>2]=d;oU(h,g,+(d|0));u=e;return}f[h>>2]=0;f[h+4>>2]=0;Krc(YG(h,144)|0,455629,144)|0;SQ(-215,h,475577,455113,215)}function npb(a){a=a|0;Emc(a);return}function opb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;c=f[a+8>>2]|0;d=f[c+40>>2]|0;e=f[d>>2]|0;g=f[d+4>>2]|0;h=f[d+8>>2]|0;i=f[d+12>>2]|0;d=Y(Y(g,e)|0,h)|0;j=f[a+16>>2]|0;k=((d+-1+j|0)>>>0)/(j>>>0)|0;j=Y(f[b>>2]|0,k)|0;l=Y(f[b+4>>2]|0,k)|0;k=d>>>0<l>>>0?d:l;l=f[c+44>>2]|0;d=(f[l>>2]|0)>>>2;b=(f[l+4>>2]|0)>>>2;m=(f[l+8>>2]|0)>>>2;l=f[a+12>>2]|0;n=f[l>>2]|0;if((f[l+4>>2]|0)==(n|0))Vkc(l);l=n;n=f[a+4>>2]|0;a=f[n+44>>2]|0;o=(f[a+(f[l>>2]<<2)>>2]|0)>>>2;p=(f[a+(f[l+4>>2]<<2)>>2]|0)>>>2;q=(f[a+(f[l+8>>2]<<2)>>2]|0)>>>2;r=(f[a+(f[l+12>>2]<<2)>>2]|0)>>>2;l=(j>>>0)/(h>>>0)|0;a=f[n+16>>2]|0;n=f[c+16>>2]|0;if(!(j>>>0<k>>>0&(i|0)>0))return;c=(j>>>0)%(h>>>0)|0;s=(l>>>0)%(g>>>0)|0;t=j;j=(l>>>0)/(g>>>0)|0;while(1){l=a+((Y(j,o)|0)<<2)+((Y(s,p)|0)<<2)+((Y(c,q)|0)<<2)|0;u=n+((Y(j,d)|0)<<2)+((Y(s,b)|0)<<2)+((Y(c,m)|0)<<2)|0;v=0;do{w=l+((Y(v,r)|0)<<2)|0;f[u+(v<<2)>>2]=f[w>>2];v=v+1|0}while((v|0)!=(i|0));v=c+1|0;if((v|0)>=(h|0)){u=s+1|0;if((u|0)>=(g|0)){l=j+1|0;if((l|0)<(e|0)){x=0;y=0;z=l}else{A=11;break}}else{x=0;y=u;z=j}}else{x=v;y=s;z=j}t=t+1|0;if(t>>>0>=k>>>0){A=11;break}else{c=x;s=y;j=z}}if((A|0)==11)return}function ppb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=a+76|0;e=a+104|0;g=f[e>>2]|0;h=a+80|0;i=f[h>>2]|0;j=f[d>>2]|0;k=i-j>>2;l=j;j=i;if(g>>>0<=k>>>0)if(g>>>0<k>>>0?(i=l+(g<<2)|0,(j|0)!=(i|0)):0){f[h>>2]=j+(~((j+-4-i|0)>>>2)<<2);m=g}else m=g;else{f$(d,g-k|0);m=f[e>>2]|0}k=a+88|0;g=a+92|0;i=f[g>>2]|0;j=f[k>>2]|0;h=i-j>>2;l=j;j=i;if(m>>>0<=h>>>0)if(m>>>0<h>>>0?(i=l+(m<<2)|0,(j|0)!=(i|0)):0){f[g>>2]=j+(~((j+-4-i|0)>>>2)<<2);n=m;o=l}else{n=m;o=l}else{f$(k,m-h|0);n=f[e>>2]|0;o=f[k>>2]|0}h=f[d>>2]|0;f[h+(n+-1<<2)>>2]=1;f[o+((f[e>>2]|0)+-1<<2)>>2]=1;o=(f[e>>2]|0)+-2|0;if((o|0)<=-1){p=f[b>>2]|0;q=f[h>>2]|0;r=f[p>>2]|0;s=Y(r,q)|0;t=a+36|0;f[t>>2]=s;return}e=f[b>>2]|0;b=f[k>>2]|0;k=f[c>>2]|0;c=o;while(1){o=c+1|0;n=Y(f[e+(o<<2)>>2]|0,f[h+(o<<2)>>2]|0)|0;f[h+(c<<2)>>2]=n;n=Y(f[k+(o<<2)>>2]|0,f[b+(o<<2)>>2]|0)|0;f[b+(c<<2)>>2]=n;if((c|0)>0)c=c+-1|0;else{p=e;break}}q=f[h>>2]|0;r=f[p>>2]|0;s=Y(r,q)|0;t=a+36|0;f[t>>2]=s;return}function qpb(a,b){a=a|0;b=b|0;var c=0;c=Bmc(60)|0;rpb(c,b);b=Bmc(16)|0;f[b+4>>2]=1;f[b>>2]=134840;f[b+8>>2]=c;f[a>>2]=b;f[a+4>>2]=c;return}function rpb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+16|0;e=d+8|0;g=d;uCa(a);h=a+36|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[a>>2]=134860;vCa(a,c);f[e>>2]=0;f[e+4>>2]=0;i=YG(e,8)|0;j=i;b[j>>0]=112;b[j+1>>0]=111;b[j+2>>0]=111;b[j+3>>0]=108;j=i+4|0;b[j>>0]=95;b[j+1>>0]=107;b[j+2>>0]=95;b[j+3>>0]=119;j=rCa(dDa(c,e)|0,-1)|0;f[g>>2]=0;f[g+4>>2]=0;i=YG(g,8)|0;k=i;b[k>>0]=112;b[k+1>>0]=111;b[k+2>>0]=111;b[k+3>>0]=108;k=i+4|0;b[k>>0]=95;b[k+1>>0]=107;b[k+2>>0]=95;b[k+3>>0]=104;k=rCa(dDa(c,g)|0,-1)|0;f[h>>2]=j;f[a+40>>2]=k;ZG(g);ZG(e);f[e>>2]=0;f[e+4>>2]=0;k=YG(e,10)|0;j=456113;h=k+10|0;do{b[k>>0]=b[j>>0]|0;k=k+1|0;j=j+1|0}while((k|0)<(h|0));i=rCa(dDa(c,e)|0,-1)|0;f[g>>2]=0;f[g+4>>2]=0;k=YG(g,10)|0;j=456124;h=k+10|0;do{b[k>>0]=b[j>>0]|0;k=k+1|0;j=j+1|0}while((k|0)<(h|0));l=rCa(dDa(c,g)|0,-1)|0;f[a+44>>2]=i;f[a+48>>2]=l;ZG(g);ZG(e);f[e>>2]=0;f[e+4>>2]=0;k=YG(e,13)|0;j=456135;h=k+13|0;do{b[k>>0]=b[j>>0]|0;k=k+1|0;j=j+1|0}while((k|0)<(h|0));l=rCa(dDa(c,e)|0,-1)|0;f[g>>2]=0;f[g+4>>2]=0;k=YG(g,13)|0;j=456149;h=k+13|0;do{b[k>>0]=b[j>>0]|0;k=k+1|0;j=j+1|0}while((k|0)<(h|0));j=rCa(dDa(c,g)|0,-1)|0;f[a+52>>2]=l;f[a+56>>2]=j;ZG(g);ZG(e);u=d;return}function spb(a){a=a|0;Emc(a);return}function tpb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function upb(a){a=a|0;Nza(a);Emc(a);return}function vpb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0;g=u;u=u+224|0;h=g+88|0;i=g+80|0;j=g+68|0;k=g+56|0;l=g;zT(i,134960);if((BD(c,-1)|0)==3)gAa(a,c,d,e);else{f[j>>2]=0;e=j+4|0;f[e>>2]=0;f[j+8>>2]=0;f[k>>2]=0;a=k+4|0;f[a>>2]=0;f[k+8>>2]=0;rD(c,j);rD(d,k);d=f[j>>2]|0;c=d;if(((f[e>>2]|0)-d|0)!=112){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,18)|0;o=475384;q=m+18|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(q|0));SQ(-215,h,475494,456163,75)}d=f[c+4>>2]|0;if((d|0)<3)r=Y(f[c+12>>2]|0,f[c+8>>2]|0)|0;else{e=f[c+40>>2]|0;s=0;t=1;while(1){v=Y(f[e+(s<<2)>>2]|0,t)|0;s=s+1|0;if((s|0)==(d|0)){r=v;break}else t=v}}t=f[c+60>>2]|0;if((t|0)<3)w=Y(f[c+68>>2]|0,f[c+64>>2]|0)|0;else{d=f[c+96>>2]|0;s=0;e=1;while(1){v=Y(f[d+(s<<2)>>2]|0,e)|0;s=s+1|0;if((s|0)==(t|0)){w=v;break}else e=v}}if((r|0)!=(w|0)){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,32)|0;o=456247;q=m+32|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(q|0));SQ(-215,h,475494,456163,79)}w=c+40|0;if((f[f[w>>2]>>2]|0)!=1){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,18)|0;o=456280;q=m+18|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(q|0));SQ(-215,h,475494,456163,80)}if(!(f[c>>2]&16384)){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,20)|0;o=456299;q=m+20|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(q|0));SQ(-215,h,475494,456163,81)}r=f[k>>2]|0;a:do if((f[a>>2]|0)!=(r|0)){e=h+8|0;t=h+12|0;s=h+4|0;d=c+16|0;v=c+44|0;x=c+72|0;y=c+100|0;z=l+16|0;A=l+44|0;B=l+36|0;C=l+4|0;D=l+40|0;E=l+48|0;F=0;G=r;b:while(1){H=G;I=H+(F*56|0)|0;p[l>>3]=0.0;f[h>>2]=-1056833530;f[s>>2]=l;f[e>>2]=1;f[t>>2]=1;oT(I,h,rE()|0)|0;J=f[(f[w>>2]|0)+4>>2]|0;K=H+(F*56|0)+40|0;L=f[K>>2]|0;if((J|0)!=(f[L+4>>2]|0)){M=25;break}N=Y(f[L+12>>2]|0,f[L+8>>2]|0)|0;if((J|0)>0){J=H+(F*56|0)+4|0;L=H+(F*56|0)+16|0;O=H+(F*56|0)+44|0;P=0;while(1){H=f[J>>2]|0;if((H|0)<=2){M=30;break b}Q=f[K>>2]|0;R=2;do{f[h+(R+-2<<2)>>2]=f[Q+(R<<2)>>2];R=R+1|0}while((R|0)!=(H|0));qP(l,H+-2|0,h,f[I>>2]&4095,(f[L>>2]|0)+(Y(f[(f[O>>2]|0)+4>>2]|0,P)|0)|0,0);R=f[w>>2]|0;Q=Y(f[R+12>>2]|0,f[R+8>>2]|0)|0;S=(f[d>>2]|0)+(Y(f[(f[v>>2]|0)+4>>2]|0,P)|0)|0;R=(f[x>>2]|0)+(Y(f[(f[y>>2]|0)+4>>2]|0,P)|0)|0;T=f[z>>2]|0;if((Q|0)>0){U=0;while(1){V=~~+n[R+(U<<2)>>2];if(!((V|0)>-1&(V|0)<(N|0))){M=43;break b}f[T+(V<<2)>>2]=f[S+(U<<2)>>2];W=U+1|0;if((W|0)<(Q|0))U=W;else break}}Q=f[B>>2]|0;do if(Q|0){T=Q+12|0;R=f[T>>2]|0;f[T>>2]=R+-1;if((R|0)!=1)break;lP(l)}while(0);f[B>>2]=0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[C>>2]|0)>0){Q=f[D>>2]|0;R=0;do{f[Q+(R<<2)>>2]=0;R=R+1|0}while((R|0)<(f[C>>2]|0))}R=f[A>>2]|0;if((R|0)!=(E|0))tE(R);R=P+1|0;if((R|0)<(f[(f[w>>2]|0)+4>>2]|0))P=R;else break}}O=F+1|0;G=f[k>>2]|0;if(O>>>0>=(((f[a>>2]|0)-G|0)/56|0)>>>0)break a;else F=O}if((M|0)==25){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,32)|0;o=456320;q=m+32|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(q|0));SQ(-215,h,475494,456163,87)}else if((M|0)==30){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,10)|0;o=456353;q=m+10|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(q|0));SQ(-215,h,456364,475161,110)}else if((M|0)==43){G=_cc(ZQ(892940,456373,4)|0,F)|0;Kcc(h,G+(f[(f[G>>2]|0)+-12>>2]|0)|0);E=nec(h,893644)|0;A=Sh[f[(f[E>>2]|0)+28>>2]&511](E,10)|0;oec(h);cdc(G,A)|0;Qcc(G)|0;A=_cc(ZQ(G,456378,4)|0,P)|0;Kcc(h,A+(f[(f[A>>2]|0)+-12>>2]|0)|0);G=nec(h,893644)|0;E=Sh[f[(f[G>>2]|0)+28>>2]&511](G,10)|0;oec(h);cdc(A,E)|0;Qcc(A)|0;E=_cc(ZQ(A,456383,5)|0,U)|0;Kcc(h,E+(f[(f[E>>2]|0)+-12>>2]|0)|0);A=nec(h,893644)|0;G=Sh[f[(f[A>>2]|0)+28>>2]&511](A,10)|0;oec(h);cdc(E,G)|0;Qcc(E)|0;G=_cc(ZQ(E,456389,6)|0,V)|0;Kcc(h,G+(f[(f[G>>2]|0)+-12>>2]|0)|0);E=nec(h,893644)|0;A=Sh[f[(f[E>>2]|0)+28>>2]&511](E,10)|0;oec(h);cdc(G,A)|0;Qcc(G)|0;A=ZQ(G,456396,7)|0;G=adc(A,+n[S+(U<<2)>>2])|0;Kcc(h,G+(f[(f[G>>2]|0)+-12>>2]|0)|0);A=nec(h,893644)|0;E=Sh[f[(f[A>>2]|0)+28>>2]&511](A,10)|0;oec(h);cdc(G,E)|0;Qcc(G)|0;E=_cc(ZQ(G,456404,14)|0,N)|0;Kcc(h,E+(f[(f[E>>2]|0)+-12>>2]|0)|0);G=nec(h,893644)|0;A=Sh[f[(f[G>>2]|0)+28>>2]&511](G,10)|0;oec(h);cdc(E,A)|0;Qcc(E)|0;A=ZQ(E,456419,11)|0;E=f[w>>2]|0;G=f[E+-4>>2]|0;c:do if((G|0)>0){C=G+-1|0;D=0;z=E;while(1){_cc(A,f[z+(D<<2)>>2]|0)|0;if((D|0)<(C|0))ZQ(A,456431,3)|0;B=D+1|0;if((B|0)==(G|0))break c;D=B;z=f[w>>2]|0}}while(0);Kcc(h,A+(f[(f[A>>2]|0)+-12>>2]|0)|0);G=nec(h,893644)|0;E=Sh[f[(f[G>>2]|0)+28>>2]&511](G,10)|0;oec(h);cdc(A,E)|0;Qcc(A)|0;E=ZQ(A,456435,13)|0;G=c+96|0;F=f[G>>2]|0;z=f[F+-4>>2]|0;d:do if((z|0)>0){D=z+-1|0;C=0;B=F;while(1){_cc(E,f[B+(C<<2)>>2]|0)|0;if((C|0)<(D|0))ZQ(E,456431,3)|0;y=C+1|0;if((y|0)==(z|0))break d;C=y;B=f[G>>2]|0}}while(0);Kcc(h,E+(f[(f[E>>2]|0)+-12>>2]|0)|0);G=nec(h,893644)|0;z=Sh[f[(f[G>>2]|0)+28>>2]&511](G,10)|0;oec(h);cdc(E,z)|0;Qcc(E)|0;z=ZQ(E,456449,8)|0;G=f[K>>2]|0;F=f[G+-4>>2]|0;if((F|0)<=0){X=f[z>>2]|0;Z=X+-12|0;_=f[Z>>2]|0;$=z+_|0;Kcc(h,$);aa=nec(h,893644)|0;ba=f[aa>>2]|0;ca=ba+28|0;da=f[ca>>2]|0;ea=Sh[da&511](aa,10)|0;oec(h);cdc(z,ea)|0;Qcc(z)|0;f[h>>2]=0;fa=h+4|0;f[fa>>2]=0;ga=YG(h,35)|0;m=ga;o=456458;q=m+35|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(q|0));SQ(-215,h,475494,456163,114)}E=F+-1|0;A=0;B=G;while(1){_cc(z,f[B+(A<<2)>>2]|0)|0;if((A|0)<(E|0))ZQ(z,456431,3)|0;C=A+1|0;if((C|0)==(F|0))break;A=C;B=f[K>>2]|0}X=f[z>>2]|0;Z=X+-12|0;_=f[Z>>2]|0;$=z+_|0;Kcc(h,$);aa=nec(h,893644)|0;ba=f[aa>>2]|0;ca=ba+28|0;da=f[ca>>2]|0;ea=Sh[da&511](aa,10)|0;oec(h);cdc(z,ea)|0;Qcc(z)|0;f[h>>2]=0;fa=h+4|0;f[fa>>2]=0;ga=YG(h,35)|0;m=ga;o=456458;q=m+35|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(q|0));SQ(-215,h,475494,456163,114)}}while(0);rt(k);rt(j)}if(!(f[i+4>>2]|0)){u=g;return}u=g;return}function wpb(a,b){a=a|0;b=b|0;var c=0;switch(b|0){case 3:{c=1;break}case 1:{if(ACa()|0?(f[a+44>>2]|0)==0:0)c=(f[a+48>>2]|0)==0;else c=0;break}default:c=0}return c|0}function xpb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function ypb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=u;u=u+16|0;d=g;h=f[c>>2]|0;i=h;if(((f[c+4>>2]|0)-h|0)!=24){f[d>>2]=0;f[d+4>>2]=0;j=YG(d,18)|0;k=475384;l=j+18|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,d,475265,456163,47)}c=f[i+4>>2]|0;m=f[h>>2]|0;h=c-m|0;n=h>>2;o=m;if((o|0)!=(c|0)){if((h|0)<=-4){f[d>>2]=0;f[d+4>>2]=0;j=YG(d,70)|0;k=475084;l=j+70|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,d,475155,475161,161)}if((h|0)>0){h=0;c=1;while(1){m=Y(f[o+(h<<2)>>2]|0,c)|0;h=h+1|0;if((h|0)>=(n|0)){p=m;break}else c=m}}else p=1}else p=0;c=f[i+16>>2]|0;n=f[i+12>>2]|0;h=c-n|0;o=h>>2;m=n;if((m|0)!=(c|0)){if((h|0)<=-4){f[d>>2]=0;f[d+4>>2]=0;j=YG(d,70)|0;k=475084;l=j+70|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,d,475155,475161,161)}if((h|0)>0){h=0;c=1;while(1){n=Y(f[m+(h<<2)>>2]|0,c)|0;h=h+1|0;if((h|0)>=(o|0)){q=n;break}else c=n}}else q=1}else q=0;if((p|0)!=(q|0)){f[d>>2]=0;f[d+4>>2]=0;j=YG(d,36)|0;k=464129;l=j+36|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,d,475265,456163,48)}fAa(d,i);i=f[d>>2]|0;k=i+8|0;j=Y((f[k>>2]|0)+-1|0,f[a+56>>2]|0)|0;f[k>>2]=j+(f[a+40>>2]|0)-(f[a+48>>2]<<1);j=i+12|0;i=Y((f[j>>2]|0)+-1|0,f[a+52>>2]|0)|0;f[j>>2]=i+(f[a+36>>2]|0)-(f[a+44>>2]<<1);a=f[e>>2]|0;i=e+4|0;j=f[i>>2]|0;if((j|0)!=(a|0)){k=j;while(1){j=k+-12|0;f[i>>2]=j;l=f[j>>2]|0;if(!l)r=j;else{j=k+-8|0;q=f[j>>2]|0;if((q|0)!=(l|0))f[j>>2]=q+(~((q+-4-l|0)>>>2)<<2);Emc(l);r=f[i>>2]|0}if((r|0)==(a|0))break;else k=r}}if((a|0)==(f[e+8>>2]|0)){ABa(e,d);s=f[d>>2]|0}else{f[a>>2]=0;e=a+4|0;f[e>>2]=0;f[a+8>>2]=0;r=d+4|0;k=f[d>>2]|0;l=(f[r>>2]|0)-k|0;q=l>>2;if(q){if(q>>>0>1073741823)Ukc(a);j=Bmc(l)|0;f[e>>2]=j;f[a>>2]=j;f[a+8>>2]=j+(q<<2);q=f[d>>2]|0;a=(f[r>>2]|0)-q|0;if((a|0)>0){Krc(j|0,q|0,a|0)|0;f[e>>2]=j+(a>>>2<<2);t=q}else t=q}else t=k;f[i>>2]=(f[i>>2]|0)+12;s=t}if(!s){u=g;return 0}t=d+4|0;d=f[t>>2]|0;if((d|0)!=(s|0))f[t>>2]=d+(~((d+-4-s|0)>>>2)<<2);Emc(s);u=g;return 0}function zpb(a,b){a=a|0;b=b|0;var c=0;c=Bmc(256)|0;Apb(c,b);b=Bmc(16)|0;f[b+4>>2]=1;f[b>>2]=135e3;f[b+8>>2]=c;f[a>>2]=b;f[a+4>>2]=c;return}function Apb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0.0,N=0,O=0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0,W=0.0,X=0,Z=0,_=0,$=0.0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0.0;d=u;u=u+16|0;e=d;uCa(a);f[a>>2]=135020;g=a+44|0;f[g>>2]=1124007936;h=a+48|0;i=a+52|0;j=a+84|0;k=h;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;j=a+92|0;f[a+88>>2]=j;f[j>>2]=0;f[a+96>>2]=0;j=a+100|0;f[j>>2]=1124007936;m=a+104|0;o=a+108|0;p=a+140|0;k=m;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[p>>2]=o;p=a+148|0;f[a+144>>2]=p;f[p>>2]=0;f[a+152>>2]=0;f[a+156>>2]=1124007936;p=a+160|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;f[p+16>>2]=0;f[p+20>>2]=0;f[p+24>>2]=0;f[a+188>>2]=a+164;p=a+196|0;f[a+192>>2]=p;f[a+200>>2]=0;f[p>>2]=0;f[a+204>>2]=1124007936;p=a+208|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;f[p+16>>2]=0;f[p+20>>2]=0;f[p+24>>2]=0;f[a+236>>2]=a+212;p=a+244|0;f[a+240>>2]=p;f[a+248>>2]=0;f[p>>2]=0;vCa(a,c);p=a+4|0;q=a+8|0;if((((f[q>>2]|0)-(f[p>>2]|0)|0)/56|0)>>>0<=1){f[e>>2]=0;f[e+4>>2]=0;k=YG(e,17)|0;r=456768;l=k+17|0;do{b[k>>0]=b[r>>0]|0;k=k+1|0;r=r+1|0}while((k|0)<(l|0));SQ(-215,e,456786,456805,35)}f[e>>2]=0;f[e+4>>2]=0;k=YG(e,10)|0;r=456886;l=k+10|0;do{b[k>>0]=b[r>>0]|0;k=k+1|0;r=r+1|0}while((k|0)<(l|0));s=c+4|0;c=f[s>>2]|0;do if(c){t=f[e>>2]|0;v=(t|0)==0?1163146:t;w=s;x=c;a:while(1){y=x;while(1){z=f[y+16>>2]|0;if((z|0)==(t|0))break;if((o7b((z|0)==0?1163146:z,v)|0)>=0)break;z=f[y+4>>2]|0;if(!z){A=w;break a}else y=z}x=f[y>>2]|0;if(!x){A=y;break}else w=y}if((A|0)!=(s|0)){w=f[A+16>>2]|0;if((t|0)!=(w|0)?(o7b(v,(w|0)==0?1163146:w)|0)<=-1:0){B=0;break}w=rCa(A+24|0,-1)|0;B=(w|0)!=0|(J|0)!=0}else B=0}else B=0;while(0);A=a+36|0;b[A>>0]=B&1;ZG(e);f[e>>2]=0;f[e+4>>2]=0;B=YG(e,8)|0;c=B;b[c>>0]=104;b[c+1>>0]=97;b[c+2>>0]=115;b[c+3>>0]=95;c=B+4|0;b[c>>0]=98;b[c+1>>0]=105;b[c+2>>0]=97;b[c+3>>0]=115;c=f[s>>2]|0;do if(c){B=f[e>>2]|0;w=(B|0)==0?1163146:B;x=s;z=c;b:while(1){C=z;while(1){D=f[C+16>>2]|0;if((D|0)==(B|0))break;if((o7b((D|0)==0?1163146:D,w)|0)>=0)break;D=f[C+4>>2]|0;if(!D){E=x;break b}else C=D}z=f[C>>2]|0;if(!z){E=C;break}else x=C}if((E|0)!=(s|0)){x=f[E+16>>2]|0;if((B|0)!=(x|0)?(o7b(w,(x|0)==0?1163146:x)|0)<=-1:0){F=0;break}x=rCa(E+24|0,-1)|0;F=(x|0)!=0|(J|0)!=0}else F=0}else F=0;while(0);E=a+37|0;b[E>>0]=F&1;ZG(e);f[e>>2]=0;f[e+4>>2]=0;k=YG(e,16)|0;r=456897;l=k+16|0;do{b[k>>0]=b[r>>0]|0;k=k+1|0;r=r+1|0}while((k|0)<(l|0));F=f[s>>2]|0;do if(F){c=f[e>>2]|0;x=(c|0)==0?1163146:c;z=s;v=F;c:while(1){t=v;while(1){y=f[t+16>>2]|0;if((y|0)==(c|0))break;if((o7b((y|0)==0?1163146:y,x)|0)>=0)break;y=f[t+4>>2]|0;if(!y){G=z;break c}else t=y}v=f[t>>2]|0;if(!v){G=t;break}else z=t}if((G|0)!=(s|0)){z=f[G+16>>2]|0;if((c|0)!=(z|0)?(o7b(x,(z|0)==0?1163146:z)|0)<=-1:0){H=1;break}z=rCa(G+24|0,-1)|0;H=(z|0)!=0|(J|0)!=0}else H=1}else H=1;while(0);G=a+252|0;b[G>>0]=H&1;ZG(e);f[e>>2]=0;f[e+4>>2]=0;k=YG(e,10)|0;r=456914;l=k+10|0;do{b[k>>0]=b[r>>0]|0;k=k+1|0;r=r+1|0}while((k|0)<(l|0));H=f[s>>2]|0;do if(H){F=f[e>>2]|0;z=(F|0)==0?1163146:F;v=s;w=H;d:while(1){B=w;while(1){C=f[B+16>>2]|0;if((C|0)==(F|0))break;if((o7b((C|0)==0?1163146:C,z)|0)>=0)break;C=f[B+4>>2]|0;if(!C){I=v;break d}else B=C}w=f[B>>2]|0;if(!w){I=B;break}else v=B}if((I|0)==(s|0)){ZG(e);break}v=f[I+16>>2]|0;if((F|0)!=(v|0)?(o7b(z,(v|0)==0?1163146:v)|0)<=-1:0){ZG(e);break}v=rCa(I+24|0,-1)|0;w=(v|0)!=0|(J|0)!=0;ZG(e);if(w){b[E>>0]=1;b[A>>0]=1}}else ZG(e);while(0);f[e>>2]=0;f[e+4>>2]=0;I=YG(e,3)|0;b[I>>0]=b[468047]|0;b[I+1>>0]=b[468048]|0;b[I+2>>0]=b[468049]|0;I=f[s>>2]|0;do if(I){H=f[e>>2]|0;w=(H|0)==0?1163146:H;v=s;x=I;e:while(1){c=x;while(1){t=f[c+16>>2]|0;if((t|0)==(H|0))break;if((o7b((t|0)==0?1163146:t,w)|0)>=0)break;t=f[c+4>>2]|0;if(!t){K=v;break e}else c=t}x=f[c>>2]|0;if(!x){K=c;break}else v=c}if((K|0)!=(s|0)){v=f[K+16>>2]|0;if((H|0)!=(v|0)?(o7b(w,(v|0)==0?1163146:v)|0)<=-1:0){L=9.999999747378752e-06;break}L=+eEa(K+24|0,-1)}else L=9.999999747378752e-06}else L=9.999999747378752e-06;while(0);K=a+40|0;n[K>>2]=L;ZG(e);s=f[p>>2]|0;p=f[s+4>>2]|0;I=s;if((p|0)<3)N=Y(f[s+12>>2]|0,f[s+8>>2]|0)|0;else{v=f[s+40>>2]|0;x=0;z=1;while(1){F=Y(f[v+(x<<2)>>2]|0,z)|0;x=x+1|0;if((x|0)==(p|0)){N=F;break}else z=F}}z=f[s+60>>2]|0;if((z|0)<3)O=Y(f[s+68>>2]|0,f[s+64>>2]|0)|0;else{p=f[s+96>>2]|0;x=0;v=1;while(1){F=Y(f[p+(x<<2)>>2]|0,v)|0;x=x+1|0;if((x|0)==(z|0)){O=F;break}else v=F}}if((O|0)!=(N|0)){f[e>>2]=0;P=e+4|0;f[P>>2]=0;Q=YG(e,133)|0;Krc(Q|0,456925,133)|0;SQ(-215,e,456786,456805,47)}O=f[s>>2]|0;if(!(O&16384)){f[e>>2]=0;P=e+4|0;f[P>>2]=0;Q=YG(e,133)|0;Krc(Q|0,456925,133)|0;SQ(-215,e,456786,456805,47)}if(!((O&4095|0)==5?(f[s+56>>2]&20479|0)==16389:0)){f[e>>2]=0;P=e+4|0;f[P>>2]=0;Q=YG(e,133)|0;Krc(Q|0,456925,133)|0;SQ(-215,e,456786,456805,47)}Q=(b[A>>0]|0)==0;do if(Q){P=b[E>>0]|0;O=(f[q>>2]|0)-I|0;v=(O|0)/56|0;if(P<<24>>24){z=v+-1|0;R=1.0;S=O;T=z-(P&255)|0;U=z;V=96;break}if(v>>>0>2?(b[G>>0]|0)!=0:0){if((O|0)!=168){f[e>>2]=0;f[e+4>>2]=0;k=YG(e,17)|0;r=457059;l=k+17|0;do{b[k>>0]=b[r>>0]|0;k=k+1|0;r=r+1|0}while((k|0)<(l|0));SQ(-215,e,456786,456805,51)}w=f[s+112>>2]&4095;if((w|0)!=5)BY(w,5,135124);L=+n[f[s+128>>2]>>2];if(L!=0.0){W=1.0/L;V=85}else{W=L;V=85}}else{W=1.0;V=85}}else{W=1.0;V=85}while(0);if((V|0)==85){G=b[E>>0]|0;w=(f[q>>2]|0)-I|0;I=(w|0)/56|0;q=I+-1|0;H=q-(G&255)|0;if(!Q){if(H>>>0>=I>>>0){f[e>>2]=0;f[e+4>>2]=0;k=YG(e,39)|0;r=457077;l=k+39|0;do{b[k>>0]=b[r>>0]|0;k=k+1|0;r=r+1|0}while((k|0)<(l|0));SQ(-215,e,456786,456805,62)}if((f[s+(H*56|0)>>2]&20479|0)!=16389){f[e>>2]=0;X=e+4|0;f[X>>2]=0;Z=YG(e,64)|0;k=Z;r=457117;l=k+64|0;do{b[k>>0]=b[r>>0]|0;k=k+1|0;r=r+1|0}while((k|0)<(l|0));SQ(-215,e,456786,456805,64)}I=f[s+(H*56|0)+4>>2]|0;if((I|0)<3)_=Y(f[s+(H*56|0)+12>>2]|0,f[s+(H*56|0)+8>>2]|0)|0;else{O=f[s+(H*56|0)+40>>2]|0;v=0;z=1;while(1){P=Y(f[O+(v<<2)>>2]|0,z)|0;v=v+1|0;if((v|0)==(I|0)){_=P;break}else z=P}}if((_|0)!=(N|0)){f[e>>2]=0;X=e+4|0;f[X>>2]=0;Z=YG(e,64)|0;k=Z;r=457117;l=k+64|0;do{b[k>>0]=b[r>>0]|0;k=k+1|0;r=r+1|0}while((k|0)<(l|0));SQ(-215,e,456786,456805,64)}}if(!(G<<24>>24)){$=W;aa=H;ba=q;ca=1}else{R=W;S=w;T=H;U=q;V=96}}if((V|0)==96){if(!S){f[e>>2]=0;f[e+4>>2]=0;k=YG(e,36)|0;r=457182;l=k+36|0;do{b[k>>0]=b[r>>0]|0;k=k+1|0;r=r+1|0}while((k|0)<(l|0));SQ(-215,e,456786,456805,69)}if((f[s+(T*56|0)>>2]&20479|0)!=16389){f[e>>2]=0;da=e+4|0;f[da>>2]=0;ea=YG(e,64)|0;k=ea;r=457219;l=k+64|0;do{b[k>>0]=b[r>>0]|0;k=k+1|0;r=r+1|0}while((k|0)<(l|0));SQ(-215,e,456786,456805,71)}S=f[s+(T*56|0)+4>>2]|0;if((S|0)<3)fa=Y(f[s+(T*56|0)+12>>2]|0,f[s+(T*56|0)+8>>2]|0)|0;else{q=f[s+(T*56|0)+40>>2]|0;H=0;w=1;while(1){G=Y(f[q+(H<<2)>>2]|0,w)|0;H=H+1|0;if((H|0)==(S|0)){fa=G;break}else w=G}}if((fa|0)==(N|0)){$=R;aa=T;ba=U;ca=0}else{f[e>>2]=0;da=e+4|0;f[da>>2]=0;ea=YG(e,64)|0;k=ea;r=457219;l=k+64|0;do{b[k>>0]=b[r>>0]|0;k=k+1|0;r=r+1|0}while((k|0)<(l|0));SQ(-215,e,456786,456805,71)}}r=f[s+16>>2]|0;k=f[s+72>>2]|0;if(Q)ga=0;else ga=f[s+(aa*56|0)+16>>2]|0;if(ca)ha=0;else ha=f[s+(ba*56|0)+16>>2]|0;if(!(((((f[h>>2]|0)<3?(f[i>>2]|0)==1:0)?(f[a+56>>2]|0)==(N|0):0)?(f[g>>2]&4095|0)==5:0)?(f[a+60>>2]|0)!=0:0)){f[e>>2]=1;f[e+4>>2]=N;iP(g,2,e,5)}do if((((f[m>>2]|0)<3?(f[o>>2]|0)==1:0)?(f[a+112>>2]|0)==(N|0):0)?(f[j>>2]&4095|0)==5:0){g=f[a+116>>2]|0;if(!g){V=121;break}ia=g}else V=121;while(0);if((V|0)==121){f[e>>2]=1;f[e+4>>2]=N;iP(j,2,e,5);ia=f[a+116>>2]|0}e=f[a+60>>2]|0;if(!N){u=d;return}a=(b[E>>0]|0)==0;if(b[A>>0]|0){A=0;do{R=+n[ga+(A<<2)>>2]/+M(+($*+n[k+(A<<2)>>2]+ +n[K>>2]));n[e+(A<<2)>>2]=R;if(a)ja=0.0;else ja=+n[ha+(A<<2)>>2];n[ia+(A<<2)>>2]=ja-$*(R*+n[r+(A<<2)>>2]);A=A+1|0}while((A|0)!=(N|0));u=d;return}if(a){a=0;do{ja=1.0/+M(+($*+n[k+(a<<2)>>2]+ +n[K>>2]));n[e+(a<<2)>>2]=ja;n[ia+(a<<2)>>2]=0.0-$*(ja*+n[r+(a<<2)>>2]);a=a+1|0}while((a|0)!=(N|0));u=d;return}else{a=0;do{ja=1.0/+M(+($*+n[k+(a<<2)>>2]+ +n[K>>2]));n[e+(a<<2)>>2]=ja;n[ia+(a<<2)>>2]=+n[ha+(a<<2)>>2]-$*(ja*+n[r+(a<<2)>>2]);a=a+1|0}while((a|0)!=(N|0));u=d;return}}function Bpb(a){a=a|0;Emc(a);return}function Cpb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Dpb(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=135020;uN(a+204|0);uN(a+156|0);b=a+100|0;c=a+136|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+116|0;b=a+104|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+140>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+144>>2]|0;if((b|0)!=(a+148|0))tE(b);b=a+44|0;d=a+80|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+60|0;b=a+48|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+84>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+88>>2]|0;if((b|0)==(a+92|0)){Nza(a);return}tE(b);Nza(a);return}function Epb(a){a=a|0;Dpb(a);Emc(a);return}function Fpb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0.0,da=0,ea=0,fa=0.0,ga=0,ha=0,ia=0;g=u;u=u+160|0;h=g+152|0;i=g+140|0;j=g+128|0;k=g+72|0;l=g+16|0;m=g;zT(h,135152);if((BD(c,-1)|0)==3)gAa(a,c,d,e);else{f[i>>2]=0;e=i+4|0;f[e>>2]=0;f[i+8>>2]=0;f[j>>2]=0;o=j+4|0;f[o>>2]=0;f[j+8>>2]=0;rD(c,i);rD(d,j);if((((f[a+8>>2]|0)-(f[a+4>>2]|0)|0)/56|0)>>>0<=1){f[k>>2]=0;f[k+4>>2]=0;p=YG(k,17)|0;q=456768;r=p+17|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,k,475494,456805,247)}d=f[i>>2]|0;c=d;if(((f[e>>2]|0)-d|0)!=56){f[k>>2]=0;f[k+4>>2]=0;p=YG(k,18)|0;q=475475;r=p+18|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,k,475494,456805,248)}d=f[c+4>>2]|0;switch(d|0){case 4:case 2:break;default:{f[k>>2]=0;f[k+4>>2]=0;p=YG(k,38)|0;q=457459;r=p+38|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,k,475494,456805,251)}}if((d|0)>2){d=f[c+40>>2]|0;s=f[d+8>>2]|0;t=f[d+12>>2]|0}else{s=1;t=1}d=f[j>>2]|0;if((f[o>>2]|0)!=(d|0)){q=a+44|0;p=a+60|0;r=a+84|0;e=a+88|0;v=a+56|0;w=a+100|0;x=a+116|0;y=a+140|0;z=a+144|0;A=a+112|0;a=c+16|0;B=c+44|0;c=m+8|0;C=m+4|0;D=l+36|0;E=l+16|0;F=l+4|0;G=l+40|0;H=l+44|0;I=l+48|0;J=k+36|0;K=k+16|0;L=k+4|0;M=k+40|0;N=k+44|0;O=k+48|0;P=0;Q=d;do{d=Q;R=d+(P*56|0)+40|0;S=f[R>>2]|0;T=f[S>>2]|0;if((T|0)>0){U=d+(P*56|0)+16|0;V=d+(P*56|0)+44|0;d=0;W=T;T=S;while(1){if((f[T+4>>2]|0)>0){S=0;do{X=f[p>>2]|0;do if((f[q>>2]&16384|0)==0?(Z=f[r>>2]|0,(f[Z>>2]|0)!=1):0){_=f[f[e>>2]>>2]|0;if((f[Z+4>>2]|0)==1){$=X+(Y(_,S)|0)|0;break}else{Z=f[v>>2]|0;aa=(S|0)/(Z|0)|0;$=X+(Y(aa,_)|0)+(S-(Y(aa,Z)|0)<<2)|0;break}}else ba=24;while(0);if((ba|0)==24){ba=0;$=X+(S<<2)|0}ca=+n[$>>2];Z=f[x>>2]|0;do if((f[w>>2]&16384|0)==0?(aa=f[y>>2]|0,(f[aa>>2]|0)!=1):0){_=f[f[z>>2]>>2]|0;if((f[aa+4>>2]|0)==1){da=Z+(Y(_,S)|0)|0;break}else{aa=f[A>>2]|0;ea=(S|0)/(aa|0)|0;da=Z+(Y(ea,_)|0)+(S-(Y(ea,aa)|0)<<2)|0;break}}else ba=30;while(0);if((ba|0)==30){ba=0;da=Z+(S<<2)|0}fa=+n[da>>2];X=f[B>>2]|0;aa=(f[a>>2]|0)+(Y(f[X>>2]|0,d)|0)|0;Ri(k,s,t,5,aa+(Y(f[X+4>>2]|0,S)|0)|0,0);X=f[V>>2]|0;aa=(f[U>>2]|0)+(Y(f[X>>2]|0,d)|0)|0;Ri(l,s,t,5,aa+(Y(f[X+4>>2]|0,S)|0)|0,0);X=c;f[X>>2]=0;f[X+4>>2]=0;f[m>>2]=33619968;f[C>>2]=l;IO(k,m,5,ca,fa);X=f[D>>2]|0;if(X|0?(aa=X+12|0,X=f[aa>>2]|0,f[aa>>2]=X+-1,(X|0)==1):0)lP(l);f[D>>2]=0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[F>>2]|0)>0){X=f[G>>2]|0;aa=0;do{f[X+(aa<<2)>>2]=0;aa=aa+1|0}while((aa|0)<(f[F>>2]|0))}aa=f[H>>2]|0;if((aa|0)!=(I|0))tE(aa);aa=f[J>>2]|0;do if(aa|0){X=aa+12|0;Z=f[X>>2]|0;f[X>>2]=Z+-1;if((Z|0)!=1)break;lP(k)}while(0);f[J>>2]=0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[L>>2]|0)>0){aa=f[M>>2]|0;Z=0;do{f[aa+(Z<<2)>>2]=0;Z=Z+1|0}while((Z|0)<(f[L>>2]|0))}Z=f[N>>2]|0;if((Z|0)!=(O|0))tE(Z);S=S+1|0;ga=f[R>>2]|0}while((S|0)<(f[ga+4>>2]|0));ha=ga;ia=f[ga>>2]|0}else{ha=T;ia=W}d=d+1|0;if((d|0)>=(ia|0))break;else{W=ia;T=ha}}}P=P+1|0;Q=f[j>>2]|0}while(P>>>0<(((f[o>>2]|0)-Q|0)/56|0)>>>0)}rt(j);rt(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function Gpb(a,b){a=a|0;b=b|0;var c=0,d=0;switch(b|0){case 3:{c=1;break}case 1:{if(ACa()|0)c=1;else d=4;break}case 2:{c=_Da()|0;break}default:d=4}if((d|0)==4)c=0;return c|0}function Hpb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Ipb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Jpb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Kpb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;c=u;u=u+256|0;d=c+200|0;e=c+144|0;g=c+88|0;h=c+72|0;i=c;j=c+56|0;f[d>>2]=1124007936;k=d+4|0;l=d+8|0;m=d+40|0;o=k;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[m>>2]=l;r=d+48|0;s=d+44|0;f[s>>2]=r;f[r>>2]=0;f[d+52>>2]=0;f[e>>2]=1124007936;t=e+4|0;v=e+8|0;w=e+40|0;o=t;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[w>>2]=v;o=e+48|0;q=e+44|0;f[q>>2]=o;f[o>>2]=0;f[e+52>>2]=0;x=f[b+4>>2]|0;Yh[f[(f[x>>2]|0)+84>>2]&511](x,d,e);x=d+16|0;b=(f[x>>2]|0)==0;if(!b){y=f[k>>2]|0;if((y|0)<3)z=Y(f[d+12>>2]|0,f[l>>2]|0)|0;else{A=f[m>>2]|0;B=0;C=1;while(1){D=Y(f[A+(B<<2)>>2]|0,C)|0;B=B+1|0;if((B|0)==(y|0)){z=D;break}else C=D}}if(!((y|0)==0|(z|0)==0))E=13;else E=7}else E=7;if((E|0)==7)if(f[e+16>>2]|0){z=f[t>>2]|0;if((z|0)<3)F=Y(f[e+12>>2]|0,f[v>>2]|0)|0;else{y=f[w>>2]|0;C=0;B=1;while(1){A=Y(f[y+(C<<2)>>2]|0,B)|0;C=C+1|0;if((C|0)==(z|0)){F=A;break}else B=A}}if(!((z|0)==0|(F|0)==0))E=13;else G=0}else G=0;do if((E|0)==13){F=a+44|0;z=f[a+48>>2]|0;if((z|0)<3)H=Y(f[a+56>>2]|0,f[a+52>>2]|0)|0;else{B=f[a+84>>2]|0;C=0;y=1;while(1){A=Y(f[B+(C<<2)>>2]|0,y)|0;C=C+1|0;if((C|0)==(z|0)){H=A;break}else y=A}}y=f[k>>2]|0;z=(y|0)<3;if(z)I=Y(f[d+12>>2]|0,f[l>>2]|0)|0;else{C=f[m>>2]|0;B=0;A=1;while(1){D=Y(f[C+(B<<2)>>2]|0,A)|0;B=B+1|0;if((B|0)==(y|0)){I=D;break}else A=D}}A=f[t>>2]|0;B=(A|0)<3;if(B)J=Y(f[e+12>>2]|0,f[v>>2]|0)|0;else{C=f[w>>2]|0;D=0;K=1;while(1){L=Y(f[C+(D<<2)>>2]|0,K)|0;D=D+1|0;if((D|0)==(A|0)){J=L;break}else K=L}}K=(I|0)==1;if(!(K|(I|0)==(H|0)|b)){if(z)M=Y(f[d+12>>2]|0,f[l>>2]|0)|0;else{D=f[m>>2]|0;C=0;L=1;while(1){N=Y(f[D+(C<<2)>>2]|0,L)|0;C=C+1|0;if((C|0)==(y|0)){M=N;break}else L=N}}if(!((y|0)==0|(M|0)==0)){G=0;break}}if((J|0)!=(H|0)&(J|0)!=1?f[e+16>>2]|0:0){if(B)O=Y(f[e+12>>2]|0,f[v>>2]|0)|0;else{L=f[w>>2]|0;C=0;D=1;while(1){N=Y(f[L+(C<<2)>>2]|0,D)|0;C=C+1|0;if((C|0)==(A|0)){O=N;break}else D=N}}if(!((A|0)==0|(O|0)==0)){G=0;break}}do if(!b){if(z)P=Y(f[d+12>>2]|0,f[l>>2]|0)|0;else{D=f[m>>2]|0;C=0;L=1;while(1){B=Y(f[D+(C<<2)>>2]|0,L)|0;C=C+1|0;if((C|0)==(y|0)){P=B;break}else L=B}}if(!((y|0)==0|(P|0)==0)){xP(g,d,1,1);L=g+36|0;C=f[L>>2]|0;if(C|0){D=C+12|0;f[D>>2]=(f[D>>2]|0)+1}D=d+36|0;C=f[D>>2]|0;if(C|0?(B=C+12|0,C=f[B>>2]|0,f[B>>2]=C+-1,(C|0)==1):0)lP(d);f[D>>2]=0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[k>>2]|0)>0){C=f[m>>2]|0;B=0;do{f[C+(B<<2)>>2]=0;B=B+1|0;Q=f[k>>2]|0}while((B|0)<(Q|0));f[d>>2]=f[g>>2];if((Q|0)<3)E=54;else E=56}else{f[d>>2]=f[g>>2];E=54}if((E|0)==54){B=f[g+4>>2]|0;if((B|0)<3){f[k>>2]=B;f[l>>2]=f[g+8>>2];f[d+12>>2]=f[g+12>>2];B=f[g+44>>2]|0;C=f[s>>2]|0;f[C>>2]=f[B>>2];f[C+4>>2]=f[B+4>>2]}else E=56}if((E|0)==56)kP(d,g);B=g+16|0;f[x>>2]=f[B>>2];f[d+20>>2]=f[g+20>>2];f[d+24>>2]=f[g+24>>2];f[d+28>>2]=f[g+28>>2];f[d+32>>2]=f[g+32>>2];C=f[L>>2]|0;f[D>>2]=C;if(C|0?(N=C+12|0,C=f[N>>2]|0,f[N>>2]=C+-1,(C|0)==1):0)lP(g);f[L>>2]=0;C=g+4|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[C>>2]|0)>0){B=f[g+40>>2]|0;N=0;do{f[B+(N<<2)>>2]=0;N=N+1|0}while((N|0)<(f[C>>2]|0))}C=f[g+44>>2]|0;if((C|0)!=(g+48|0))tE(C);if(K){f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=F;p[i>>3]=+n[f[x>>2]>>2];f[h>>2]=-1056833530;f[h+4>>2]=i;f[h+8>>2]=1;f[h+12>>2]=1;C=j+8|0;f[C>>2]=0;f[C+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=F;JI(g,h,j,1.0,-1);C=a+100|0;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=C;p[i>>3]=+n[f[x>>2]>>2];f[h>>2]=-1056833530;f[h+4>>2]=i;f[h+8>>2]=1;f[h+12>>2]=1;N=j+8|0;f[N>>2]=0;f[N+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=C;JI(g,h,j,1.0,-1);break}else{f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=F;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=d;C=i+8|0;f[C>>2]=0;f[C+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=F;JI(g,h,i,1.0,-1);C=a+100|0;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=C;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=d;N=i+8|0;f[N>>2]=0;f[N+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=C;JI(g,h,i,1.0,-1);break}}}while(0);F=e+16|0;if(f[F>>2]|0){K=f[t>>2]|0;if((K|0)<3)R=Y(f[e+12>>2]|0,f[v>>2]|0)|0;else{y=f[w>>2]|0;z=0;A=1;while(1){C=Y(f[y+(z<<2)>>2]|0,A)|0;z=z+1|0;if((z|0)==(K|0)){R=C;break}else A=C}}if(!((K|0)==0|(R|0)==0)){xP(g,e,1,1);A=g+36|0;z=f[A>>2]|0;if(z|0){y=z+12|0;f[y>>2]=(f[y>>2]|0)+1}y=e+36|0;z=f[y>>2]|0;if(z|0?(C=z+12|0,z=f[C>>2]|0,f[C>>2]=z+-1,(z|0)==1):0)lP(e);f[y>>2]=0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[t>>2]|0)>0){z=f[w>>2]|0;C=0;do{f[z+(C<<2)>>2]=0;C=C+1|0;S=f[t>>2]|0}while((C|0)<(S|0));f[e>>2]=f[g>>2];if((S|0)<3)E=84;else E=86}else{f[e>>2]=f[g>>2];E=84}if((E|0)==84){C=f[g+4>>2]|0;if((C|0)<3){f[t>>2]=C;f[v>>2]=f[g+8>>2];f[e+12>>2]=f[g+12>>2];C=f[g+44>>2]|0;z=f[q>>2]|0;f[z>>2]=f[C>>2];f[z+4>>2]=f[C+4>>2]}else E=86}if((E|0)==86)kP(e,g);C=g+16|0;f[F>>2]=f[C>>2];f[e+20>>2]=f[g+20>>2];f[e+24>>2]=f[g+24>>2];f[e+28>>2]=f[g+28>>2];f[e+32>>2]=f[g+32>>2];z=f[A>>2]|0;f[y>>2]=z;if(z|0?(K=z+12|0,z=f[K>>2]|0,f[K>>2]=z+-1,(z|0)==1):0)lP(g);f[A>>2]=0;z=g+4|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[z>>2]|0)>0){C=f[g+40>>2]|0;K=0;do{f[C+(K<<2)>>2]=0;K=K+1|0}while((K|0)<(f[z>>2]|0))}z=f[g+44>>2]|0;if((z|0)!=(g+48|0))tE(z);if((J|0)==1){z=a+100|0;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=z;p[i>>3]=+n[f[F>>2]>>2];f[h>>2]=-1056833530;f[h+4>>2]=i;f[h+8>>2]=1;f[h+12>>2]=1;K=j+8|0;f[K>>2]=0;f[K+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=z;RH(g,h,j,rE()|0,-1);G=1;break}z=a+100|0;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=z;xP(i,e,1,1);f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=i;K=j+8|0;f[K>>2]=0;f[K+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=z;RH(g,h,j,rE()|0,-1);z=i+36|0;K=f[z>>2]|0;do if(K|0){C=K+12|0;A=f[C>>2]|0;f[C>>2]=A+-1;if((A|0)!=1)break;lP(i)}while(0);f[z>>2]=0;K=i+16|0;F=i+4|0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[F>>2]|0)>0){K=f[i+40>>2]|0;A=0;do{f[K+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[F>>2]|0))}F=f[i+44>>2]|0;if((F|0)!=(i+48|0))tE(F);G=1}else G=1}else G=1}while(0);i=e+36|0;j=f[i>>2]|0;if(j|0?(h=j+12|0,j=f[h>>2]|0,f[h>>2]=j+-1,(j|0)==1):0)lP(e);f[i>>2]=0;i=e+16|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[t>>2]|0)>0){i=f[w>>2]|0;w=0;do{f[i+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[t>>2]|0))}t=f[q>>2]|0;if((t|0)!=(o|0))tE(t);t=d+36|0;o=f[t>>2]|0;if(o|0?(q=o+12|0,o=f[q>>2]|0,f[q>>2]=o+-1,(o|0)==1):0)lP(d);f[t>>2]=0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[k>>2]|0)>0){x=f[m>>2]|0;m=0;do{f[x+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[k>>2]|0))}k=f[s>>2]|0;if((k|0)==(r|0)){u=c;return G|0}tE(k);u=c;return G|0}function Lpb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=a+44|0;if((d|0)!=(b|0)){e=a+80|0;g=f[e>>2]|0;if(g|0){h=g+12|0;f[h>>2]=(f[h>>2]|0)+1}h=b+36|0;g=f[h>>2]|0;if(g|0?(i=g+12|0,g=f[i>>2]|0,f[i>>2]=g+-1,(g|0)==1):0)lP(b);f[h>>2]=0;g=b+16|0;i=b+4|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[i>>2]|0)>0){j=f[b+40>>2]|0;k=0;do{f[j+(k<<2)>>2]=0;k=k+1|0;l=f[i>>2]|0}while((k|0)<(l|0));f[b>>2]=f[d>>2];if((l|0)<3)m=12;else m=14}else{f[b>>2]=f[d>>2];m=12}if((m|0)==12){l=f[a+48>>2]|0;if((l|0)<3){f[i>>2]=l;f[b+8>>2]=f[a+52>>2];f[b+12>>2]=f[a+56>>2];l=f[a+88>>2]|0;i=f[b+44>>2]|0;f[i>>2]=f[l>>2];f[i+4>>2]=f[l+4>>2]}else m=14}if((m|0)==14)kP(b,d);f[g>>2]=f[a+60>>2];f[b+20>>2]=f[a+64>>2];f[b+24>>2]=f[a+68>>2];f[b+28>>2]=f[a+72>>2];f[b+32>>2]=f[a+76>>2];f[h>>2]=f[e>>2]}e=a+100|0;if((e|0)==(c|0))return;h=a+136|0;b=f[h>>2]|0;if(b|0){g=b+12|0;f[g>>2]=(f[g>>2]|0)+1}g=c+36|0;b=f[g>>2]|0;if(b|0?(d=b+12|0,b=f[d>>2]|0,f[d>>2]=b+-1,(b|0)==1):0)lP(c);f[g>>2]=0;b=c+16|0;d=c+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){l=f[c+40>>2]|0;i=0;do{f[l+(i<<2)>>2]=0;i=i+1|0;n=f[d>>2]|0}while((i|0)<(n|0));f[c>>2]=f[e>>2];if((n|0)<3)m=27;else m=29}else{f[c>>2]=f[e>>2];m=27}if((m|0)==27){n=f[a+104>>2]|0;if((n|0)<3){f[d>>2]=n;f[c+8>>2]=f[a+108>>2];f[c+12>>2]=f[a+112>>2];n=f[a+144>>2]|0;d=f[c+44>>2]|0;f[d>>2]=f[n>>2];f[d+4>>2]=f[n+4>>2]}else m=29}if((m|0)==29)kP(c,e);f[b>>2]=f[a+116>>2];f[c+20>>2]=f[a+120>>2];f[c+24>>2]=f[a+124>>2];f[c+28>>2]=f[a+128>>2];f[c+32>>2]=f[a+132>>2];f[g>>2]=f[h>>2];return}function Mpb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h;if((b[a+252>>0]|0)==0?(f[f[f[c>>2]>>2]>>2]|0)!=1:0){f[i>>2]=0;f[i+4>>2]=0;j=YG(i,56)|0;k=457402;l=j+56|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-213,i,475265,456805,145)}cAa(a,c,d,e,g)|0;u=h;return 1}function Npb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=u;u=u+16|0;a=d;e=f[c+4>>2]|0;g=f[c>>2]|0;c=g;if((e|0)==(g|0)){h=0;i=0;J=h;u=d;return i|0}j=(e-g|0)/12|0;g=0;e=0;k=0;while(1){l=f[c+(g*12|0)+4>>2]|0;m=f[c+(g*12|0)>>2]|0;n=l-m|0;o=n>>2;p=m;if((p|0)!=(l|0)){if((n|0)<=-4){q=7;break}if((n|0)>0){n=0;l=1;while(1){m=Y(f[p+(n<<2)>>2]|0,l)|0;n=n+1|0;if((n|0)>=(o|0)){r=m;break}else l=m}}else r=1}else r=0;l=r*3|0;o=Arc(l|0,((l|0)<0)<<31>>31|0,e|0,k|0)|0;l=J;g=g+1|0;if(g>>>0>=j>>>0){h=l;i=o;q=3;break}else{e=o;k=l}}if((q|0)==3){J=h;u=d;return i|0}else if((q|0)==7){f[a>>2]=0;f[a+4>>2]=0;q=YG(a,70)|0;i=475084;d=q+70|0;do{b[q>>0]=b[i>>0]|0;q=q+1|0;i=i+1|0}while((q|0)<(d|0));SQ(-215,a,475155,475161,161)}return 0}function Opb(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0;if((g|0)>=(h|0))return;i=f[a+60>>2]|0;j=a+88|0;k=a+56|0;l=(f[a+100>>2]&16384|0)==0;m=f[a+116>>2]|0;o=a+140|0;p=a+144|0;q=a+112|0;r=(d|0)>0;if(f[a+44>>2]&16384|0){s=c;t=g;u=b;while(1){v=+n[i+(t<<2)>>2];do if(l?(w=f[o>>2]|0,(f[w>>2]|0)!=1):0){x=f[f[p>>2]>>2]|0;if((f[w+4>>2]|0)==1){y=m+(Y(x,t)|0)|0;break}else{w=f[q>>2]|0;z=(t|0)/(w|0)|0;y=m+(Y(z,x)|0)+(t-(Y(z,w)|0)<<2)|0;break}}else A=21;while(0);if((A|0)==21){A=0;y=m+(t<<2)|0}B=+n[y>>2];if(r){w=0;do{n[s+(w<<2)>>2]=B+v*+n[u+(w<<2)>>2];w=w+1|0}while((w|0)!=(d|0))}t=t+1|0;if((t|0)==(h|0))break;else{s=s+(e<<2)|0;u=u+(e<<2)|0}}return}u=f[a+84>>2]|0;a=(f[u>>2]|0)==1;s=u+4|0;u=c;c=g;g=b;while(1){do if(!a){b=f[f[j>>2]>>2]|0;if((f[s>>2]|0)==1){C=i+(Y(b,c)|0)|0;break}else{t=f[k>>2]|0;y=(c|0)/(t|0)|0;C=i+(Y(y,b)|0)+(c-(Y(y,t)|0)<<2)|0;break}}else C=i+(c<<2)|0;while(0);v=+n[C>>2];do if(l?(t=f[o>>2]|0,(f[t>>2]|0)!=1):0){y=f[f[p>>2]>>2]|0;if((f[t+4>>2]|0)==1){D=m+(Y(y,c)|0)|0;break}else{t=f[q>>2]|0;b=(c|0)/(t|0)|0;D=m+(Y(b,y)|0)+(c-(Y(b,t)|0)<<2)|0;break}}else A=14;while(0);if((A|0)==14){A=0;D=m+(c<<2)|0}B=+n[D>>2];if(r){t=0;do{n[u+(t<<2)>>2]=B+v*+n[g+(t<<2)>>2];t=t+1|0}while((t|0)!=(d|0))}c=c+1|0;if((c|0)==(h|0))break;else{u=u+(e<<2)|0;g=g+(e<<2)|0}}return}function Ppb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;a=u;u=u+16|0;d=a+8|0;e=a;g=f[c>>2]|0;if(g){h=c+4|0;i=f[h>>2]|0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;if(i|0?(Krc(YG(d,i)|0,g|0,i|0)|0,f[h>>2]|0):0){i=0;do{g=(p9b(b[(f[c>>2]|0)+i>>0]|0)|0)&255;b[(f[d>>2]|0)+i>>0]=g;i=i+1|0}while(i>>>0<(f[h>>2]|0)>>>0)}h=f[d>>2]|0;f[e>>2]=h;f[e+4>>2]=f[j>>2];if(h|0){j=h+-4|0;f[j>>2]=(f[j>>2]|0)+1}ZG(d);d=f[e>>2]|0;if((d|0)==457694)ZG(e);else{k=d;l=10}}else{f[e>>2]=0;f[e+4>>2]=0;k=0;l=10}if((l|0)==10?(l=(o7b((k|0)==0?1163146:k,457694)|0)==0,ZG(e),!l):0){m=-1;u=a;return m|0}m=0;u=a;return m|0}function Qpb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;a=u;u=u+16|0;d=a+8|0;e=a;g=f[c>>2]|0;if(g){h=c+4|0;i=f[h>>2]|0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;if(i|0?(Krc(YG(d,i)|0,g|0,i|0)|0,f[h>>2]|0):0){i=0;do{g=(p9b(b[(f[c>>2]|0)+i>>0]|0)|0)&255;b[(f[d>>2]|0)+i>>0]=g;i=i+1|0}while(i>>>0<(f[h>>2]|0)>>>0)}h=f[d>>2]|0;f[e>>2]=h;f[e+4>>2]=f[j>>2];if(h|0){j=h+-4|0;f[j>>2]=(f[j>>2]|0)+1}ZG(d);j=f[e>>2]|0;if((j|0)==457690){ZG(e);k=0;u=a;return k|0}else l=j}else{f[e>>2]=0;f[e+4>>2]=0;l=0}j=(o7b((l|0)==0?1163146:l,457690)|0)==0;ZG(e);if(j){k=0;u=a;return k|0}j=f[c>>2]|0;if(j){l=c+4|0;h=f[l>>2]|0;f[d>>2]=0;i=d+4|0;f[i>>2]=0;if(h|0?(Krc(YG(d,h)|0,j|0,h|0)|0,f[l>>2]|0):0){h=0;do{j=(p9b(b[(f[c>>2]|0)+h>>0]|0)|0)&255;b[(f[d>>2]|0)+h>>0]=j;h=h+1|0}while(h>>>0<(f[l>>2]|0)>>>0)}l=f[d>>2]|0;f[e>>2]=l;f[e+4>>2]=f[i>>2];if(l|0){i=l+-4|0;f[i>>2]=(f[i>>2]|0)+1}ZG(d);d=f[e>>2]|0;if((d|0)==457692)ZG(e);else{m=d;n=20}}else{f[e>>2]=0;f[e+4>>2]=0;m=0;n=20}if((n|0)==20?(n=(o7b((m|0)==0?1163146:m,457692)|0)==0,ZG(e),!n):0){k=-1;u=a;return k|0}k=1;u=a;return k|0}function Rpb(a,b){a=a|0;b=b|0;var c=0;c=Bmc(88)|0;Spb(c,b);b=Bmc(16)|0;f[b+4>>2]=1;f[b>>2]=135192;f[b+8>>2]=c;f[a>>2]=b;f[a+4>>2]=c;return}function Spb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0.0,T=0,U=0.0,V=0,W=0,X=0,Z=0;d=u;u=u+64|0;e=d;uCa(a);f[a>>2]=135212;f[a+36>>2]=0;f[a+40>>2]=0;g=a+48|0;h=a+52|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;vCa(a,c);i=a+4|0;j=f[i>>2]|0;k=a+8|0;l=f[k>>2]|0;do if((j|0)!=(l|0)){if(((l-j|0)/56|0)>>>0<=2){f[e>>2]=0;f[e+4>>2]=0;m=YG(e,17)|0;o=457817;p=m+17|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));SQ(-215,e,457835,457849,105)}xP(e,j+112|0,1,1);q=f[i>>2]|0;r=q+112|0;s=e+36|0;t=f[s>>2]|0;if((r|0)==(e|0))v=t;else{if(t|0){w=t+12|0;f[w>>2]=(f[w>>2]|0)+1}w=q+148|0;t=f[w>>2]|0;if(t|0?(x=t+12|0,t=f[x>>2]|0,f[x>>2]=t+-1,(t|0)==1):0)lP(r);f[w>>2]=0;t=q+128|0;x=q+116|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[x>>2]|0)>0){y=f[q+152>>2]|0;z=0;do{f[y+(z<<2)>>2]=0;z=z+1|0;A=f[x>>2]|0}while((z|0)<(A|0));f[r>>2]=f[e>>2];if((A|0)<3)B=15;else B=17}else{f[r>>2]=f[e>>2];B=15}if((B|0)==15){z=f[e+4>>2]|0;if((z|0)<3){f[x>>2]=z;f[q+120>>2]=f[e+8>>2];f[q+124>>2]=f[e+12>>2];z=f[e+44>>2]|0;y=f[q+156>>2]|0;f[y>>2]=f[z>>2];f[y+4>>2]=f[z+4>>2]}else B=17}if((B|0)==17)kP(r,e);f[t>>2]=f[e+16>>2];f[q+132>>2]=f[e+20>>2];f[q+136>>2]=f[e+24>>2];f[q+140>>2]=f[e+28>>2];f[q+144>>2]=f[e+32>>2];z=f[s>>2]|0;f[w>>2]=z;v=z}if(v|0?(z=v+12|0,y=f[z>>2]|0,f[z>>2]=y+-1,(y|0)==1):0)lP(e);f[s>>2]=0;y=e+16|0;z=e+4|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[z>>2]|0)>0){y=f[e+40>>2]|0;C=0;do{f[y+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[z>>2]|0))}z=f[e+44>>2]|0;if((z|0)!=(e+48|0))tE(z);z=f[i>>2]|0;C=z;if((f[z+4>>2]|0)!=2){f[e>>2]=0;D=e+4|0;f[D>>2]=0;E=YG(e,28)|0;m=E;o=457930;p=m+28|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));SQ(-215,e,457835,457849,112)}if((f[z+60>>2]|0)!=2){f[e>>2]=0;D=e+4|0;f[D>>2]=0;E=YG(e,28)|0;m=E;o=457930;p=m+28|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));SQ(-215,e,457835,457849,112)}y=f[z+8>>2]|0;if((y|0)!=(f[z+64>>2]|0)){f[e>>2]=0;f[e+4>>2]=0;m=YG(e,18)|0;o=457959;p=m+18|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));SQ(-215,e,457835,457849,113)}s=f[z+12>>2]|0;if((y|0)!=(s<<2|0)){f[e>>2]=0;f[e+4>>2]=0;m=YG(e,20)|0;o=457978;p=m+20|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));SQ(-215,e,457835,457849,114)}w=f[z+116>>2]|0;if((w|0)<3)F=Y(f[z+124>>2]|0,f[z+120>>2]|0)|0;else{q=f[z+152>>2]|0;t=0;r=1;while(1){x=Y(f[q+(t<<2)>>2]|0,r)|0;t=t+1|0;if((t|0)==(w|0)){F=x;break}else r=x}}if((y|0)!=(F|0)){f[e>>2]=0;f[e+4>>2]=0;m=YG(e,28)|0;o=457999;p=m+28|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));SQ(-215,e,457835,457849,115)}y=f[z>>2]&4095;if((y|0)!=(f[z+56>>2]&4095|0)){f[e>>2]=0;G=e+4|0;f[G>>2]=0;H=YG(e,50)|0;m=H;o=458028;p=m+50|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));SQ(-215,e,457835,457849,116)}r=f[z+112>>2]|0;if((y|0)!=(r&4095|0)){f[e>>2]=0;G=e+4|0;f[G>>2]=0;H=YG(e,50)|0;m=H;o=458028;p=m+50|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));SQ(-215,e,457835,457849,116)}y=(f[k>>2]|0)-C|0;if(((y|0)/56|0)>>>0>3){if((y|0)!=336){f[e>>2]=0;f[e+4>>2]=0;m=YG(e,17)|0;o=458079;p=m+17|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));SQ(-215,e,457835,457849,121)}if((f[z+176>>2]|0)!=(s|0)){f[e>>2]=0;I=e+4|0;f[I>>2]=0;K=YG(e,40)|0;m=K;o=458097;p=m+40|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));SQ(-215,e,457835,457849,125)}if((f[z+180>>2]|0)!=(s|0)){f[e>>2]=0;I=e+4|0;f[I>>2]=0;K=YG(e,40)|0;m=K;o=458097;p=m+40|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));SQ(-215,e,457835,457849,125)}if((r^f[z+168>>2])&4095|0){f[e>>2]=0;L=e+4|0;f[L>>2]=0;M=YG(e,30)|0;m=M;o=458138;p=m+30|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));SQ(-215,e,457835,457849,126)}if((f[z+232>>2]|0)!=(s|0)){f[e>>2]=0;I=e+4|0;f[I>>2]=0;K=YG(e,40)|0;m=K;o=458097;p=m+40|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));SQ(-215,e,457835,457849,125)}if((f[z+236>>2]|0)!=(s|0)){f[e>>2]=0;I=e+4|0;f[I>>2]=0;K=YG(e,40)|0;m=K;o=458097;p=m+40|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));SQ(-215,e,457835,457849,125)}if((r^f[z+224>>2])&4095|0){f[e>>2]=0;L=e+4|0;f[L>>2]=0;M=YG(e,30)|0;m=M;o=458138;p=m+30|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));SQ(-215,e,457835,457849,126)}if((f[z+288>>2]|0)!=(s|0)){f[e>>2]=0;I=e+4|0;f[I>>2]=0;K=YG(e,40)|0;m=K;o=458097;p=m+40|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));SQ(-215,e,457835,457849,125)}if((f[z+292>>2]|0)!=(s|0)){f[e>>2]=0;I=e+4|0;f[I>>2]=0;K=YG(e,40)|0;m=K;o=458097;p=m+40|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));SQ(-215,e,457835,457849,125)}if(!((r^f[z+280>>2])&4095))break;f[e>>2]=0;L=e+4|0;f[L>>2]=0;M=YG(e,30)|0;m=M;o=458138;p=m+30|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));SQ(-215,e,457835,457849,126)}}while(0);f[e>>2]=0;f[e+4>>2]=0;m=YG(e,17)|0;o=458169;p=m+17|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));M=c+4|0;c=f[M>>2]|0;do if(c){L=f[e>>2]|0;K=(L|0)==0?1163146:L;I=M;k=c;a:while(1){H=k;while(1){G=f[H+16>>2]|0;if((G|0)==(L|0))break;if((o7b((G|0)==0?1163146:G,K)|0)>=0)break;G=f[H+4>>2]|0;if(!G){N=I;break a}else H=G}k=f[H>>2]|0;if(!k){N=H;break}else I=H}if((N|0)!=(M|0)){I=f[N+16>>2]|0;if((L|0)!=(I|0)?(o7b(K,(I|0)==0?1163146:I)|0)<=-1:0){O=1;break}I=rCa(N+24|0,-1)|0;O=(I|0)!=0|(J|0)!=0}else O=1}else O=1;while(0);b[a+72>>0]=O&1;ZG(e);f[e>>2]=0;f[e+4>>2]=0;m=YG(e,19)|0;o=458187;p=m+19|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));O=f[M>>2]|0;do if(O){N=f[e>>2]|0;c=(N|0)==0?1163146:N;I=M;k=O;b:while(1){G=k;while(1){F=f[G+16>>2]|0;if((F|0)==(N|0))break;if((o7b((F|0)==0?1163146:F,c)|0)>=0)break;F=f[G+4>>2]|0;if(!F){P=I;break b}else G=F}k=f[G>>2]|0;if(!k){P=G;break}else I=G}if((P|0)!=(M|0)){I=f[P+16>>2]|0;if((N|0)!=(I|0)?(o7b(c,(I|0)==0?1163146:I)|0)<=-1:0){Q=0;break}I=rCa(P+24|0,-1)|0;Q=(I|0)!=0|(J|0)!=0}else Q=0}else Q=0;while(0);b[a+73>>0]=Q&1;ZG(e);f[e>>2]=0;f[e+4>>2]=0;m=YG(e,11)|0;o=458207;p=m+11|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));Q=f[M>>2]|0;do if(Q){P=f[e>>2]|0;O=(P|0)==0?1163146:P;I=M;k=Q;c:while(1){K=k;while(1){L=f[K+16>>2]|0;if((L|0)==(P|0))break;if((o7b((L|0)==0?1163146:L,O)|0)>=0)break;L=f[K+4>>2]|0;if(!L){R=I;break c}else K=L}k=f[K>>2]|0;if(!k){R=K;break}else I=K}if((R|0)!=(M|0)){I=f[R+16>>2]|0;if((P|0)!=(I|0)?(o7b(O,(I|0)==0?1163146:I)|0)<=-1:0){S=0.0;break}S=+eEa(R+24|0,-1)}else S=0.0}else S=0.0;while(0);n[a+76>>2]=S;ZG(e);f[e>>2]=0;f[e+4>>2]=0;m=YG(e,9)|0;o=458219;p=m+9|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));R=f[M>>2]|0;do if(R){Q=f[e>>2]|0;I=(Q|0)==0?1163146:Q;k=M;c=R;d:while(1){N=c;while(1){G=f[N+16>>2]|0;if((G|0)==(Q|0))break;if((o7b((G|0)==0?1163146:G,I)|0)>=0)break;G=f[N+4>>2]|0;if(!G){T=k;break d}else N=G}c=f[N>>2]|0;if(!c){T=N;break}else k=N}if((T|0)!=(M|0)){k=f[T+16>>2]|0;if((Q|0)!=(k|0)?(o7b(I,(k|0)==0?1163146:k)|0)<=-1:0){U=0.0;break}U=+eEa(T+24|0,-1)}else U=0.0}else U=0.0;while(0);n[a+80>>2]=U;ZG(e);f[e>>2]=0;f[e+4>>2]=0;m=YG(e,13)|0;o=458229;p=m+13|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));T=f[M>>2]|0;do if(T){R=f[e>>2]|0;k=(R|0)==0?1163146:R;c=M;O=T;e:while(1){P=O;while(1){K=f[P+16>>2]|0;if((K|0)==(R|0))break;if((o7b((K|0)==0?1163146:K,k)|0)>=0)break;K=f[P+4>>2]|0;if(!K){V=c;break e}else P=K}O=f[P>>2]|0;if(!O){V=P;break}else c=P}if((V|0)!=(M|0)){c=f[V+16>>2]|0;if((R|0)!=(c|0)?(o7b(k,(c|0)==0?1163146:c)|0)<=-1:0){W=0;break}c=rCa(V+24|0,-1)|0;W=(c|0)!=0|(J|0)!=0}else W=0}else W=0;while(0);b[a+84>>0]=W&1;ZG(e);f[e>>2]=0;f[e+4>>2]=0;m=YG(e,12)|0;o=458243;p=m+12|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));o=f[M>>2]|0;do if(o){m=f[e>>2]|0;p=(m|0)==0?1163146:m;W=M;V=o;f:while(1){T=V;while(1){c=f[T+16>>2]|0;if((c|0)==(m|0))break;if((o7b((c|0)==0?1163146:c,p)|0)>=0)break;c=f[T+4>>2]|0;if(!c){X=W;break f}else T=c}V=f[T>>2]|0;if(!V){X=T;break}else W=T}if((X|0)!=(M|0)){W=f[X+16>>2]|0;if((m|0)!=(W|0)?(o7b(p,(W|0)==0?1163146:W)|0)<=-1:0){Z=0;break}W=rCa(X+24|0,-1)|0;Z=((W|0)!=0|(J|0)!=0)&1}else Z=0}else Z=0;while(0);b[a+85>>0]=Z;ZG(e);b[a+44>>0]=0;a=f[g>>2]|0;g=f[h>>2]|0;if((g|0)==(a|0)){u=d;return}f[h>>2]=g+(~((g+-4-a|0)>>>2)<<2);u=d;return}function Tpb(a){a=a|0;Emc(a);return}function Upb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Vpb(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=135212;b=f[a+60>>2]|0;if(b|0){c=a+64|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+48>>2]|0;if(!b){Nza(a);return}d=a+52|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-4-b|0)>>>2)<<2);Emc(b);Nza(a);return}function Wpb(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=135212;b=f[a+60>>2]|0;if(b|0){c=a+64|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+48>>2]|0;if(!b){Nza(a);Emc(a);return}d=a+52|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-4-b|0)>>>2)<<2);Emc(b);Nza(a);Emc(a);return}function Xpb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;d=u;u=u+48|0;e=d+40|0;g=d+32|0;h=d+28|0;i=d+16|0;j=d;k=d+12|0;l=d+8|0;m=d+4|0;f[i>>2]=0;n=i+4|0;f[n>>2]=0;f[i+8>>2]=0;rD(c,i);if(!(b[a+85>>0]|0)){c=f[a+4>>2]|0;if(((f[a+8>>2]|0)-c|0)==168)o=c;else{f[e>>2]=0;p=e+4|0;f[p>>2]=0;q=YG(e,69)|0;r=q;s=458388;t=r+69|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,e,476100,457849,224)}}else{c=f[a+4>>2]|0;if(((f[a+8>>2]|0)-c|0)==336)o=c;else{f[e>>2]=0;p=e+4|0;f[p>>2]=0;q=YG(e,69)|0;r=q;s=458388;t=r+69|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,e,476100,457849,224)}}q=o;o=f[i>>2]|0;p=o;if(((f[n>>2]|0)-o|0)!=56){f[e>>2]=0;f[e+4>>2]=0;r=YG(e,17)|0;s=458738;t=r+17|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,e,476100,457849,225)}o=f[(f[q+40>>2]|0)+4>>2]|0;f[j>>2]=o;n=f[(f[q+96>>2]|0)+4>>2]|0;q=a+48|0;c=f[q>>2]|0;v=a+52|0;w=f[v>>2]|0;if((c|0)!=(w|0)){x=w-c|0;w=x>>2;if((x|0)<0){f[e>>2]=0;f[e+4>>2]=0;r=YG(e,70)|0;s=475084;t=r+70|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,e,475155,475161,161)}if(!x)y=1;else{x=0;z=1;while(1){A=Y(f[c+(x<<2)>>2]|0,z)|0;x=x+1|0;if((x|0)==(w|0)){y=A;break}else z=A}}if((y|0)!=(o|0)){f[e>>2]=0;f[e+4>>2]=0;r=YG(e,29)|0;s=458756;t=r+29|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,e,476100,457849,233)}}else cqb(q,1,j);j=f[p+4>>2]|0;o=(j|0)>1;do if(!(b[a+72>>0]|0)){if(!o){f[e>>2]=0;B=e+4|0;f[B>>2]=0;C=YG(e,46)|0;r=C;s=458833;t=r+46|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,e,476100,457849,245)}y=f[p+40>>2]|0;z=1;w=1;do{z=Y(f[y+(w<<2)>>2]|0,z)|0;w=w+1|0}while((w|0)!=(j|0));if((z|0)==(n|0)){D=1;E=0;F=y}else{f[e>>2]=0;B=e+4|0;f[B>>2]=0;C=YG(e,46)|0;r=C;s=458833;t=r+46|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,e,476100,457849,245)}}else{if(!o){f[e>>2]=0;G=e+4|0;f[G>>2]=0;H=YG(e,46)|0;r=H;s=458786;t=r+46|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,e,476100,457849,239)}if((j|0)==2)I=1;else{y=f[p+40>>2]|0;z=1;w=2;while(1){x=Y(f[y+(w<<2)>>2]|0,z)|0;w=w+1|0;if((w|0)>=(j|0)){I=x;break}else z=x}}if((I|0)==(n|0)){z=f[p+40>>2]|0;D=f[z>>2]|0;E=1;F=z;break}else{f[e>>2]=0;G=e+4|0;f[G>>2]=0;H=YG(e,46)|0;r=H;s=458786;t=r+46|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,e,476100,457849,239)}}while(0);f[a+36>>2]=D;D=f[F+(E<<2)>>2]|0;E=a+40|0;f[E>>2]=D;F=a+60|0;s=f[F>>2]|0;r=a+64|0;t=f[r>>2]|0;if((t|0)==(s|0))J=s;else{H=t+(~((t+-4-s|0)>>>2)<<2)|0;f[r>>2]=H;J=H}if((J|0)==(f[a+68>>2]|0)){MR(F,E);K=f[r>>2]|0;f[k>>2]=K;L=f[q>>2]|0;f[l>>2]=L;M=f[v>>2]|0;f[m>>2]=M;f[h>>2]=f[k>>2];f[g>>2]=f[l>>2];f[e>>2]=f[m>>2];d2(F,h,g,e)|0;N=a+44|0;b[N>>0]=1;rt(i);u=d;return}else{f[J>>2]=D;D=J+4|0;f[r>>2]=D;K=D;f[k>>2]=K;L=f[q>>2]|0;f[l>>2]=L;M=f[v>>2]|0;f[m>>2]=M;f[h>>2]=f[k>>2];f[g>>2]=f[l>>2];f[e>>2]=f[m>>2];d2(F,h,g,e)|0;N=a+44|0;b[N>>0]=1;rt(i);u=d;return}}function Ypb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0,Zd=0,_d=0.0;g=u;u=u+848|0;h=g+832|0;i=g+56|0;j=g+824|0;k=g+808|0;l=g+796|0;m=g+784|0;o=g+728|0;q=g+672|0;r=g+616|0;s=g+560|0;t=g+504|0;v=g+448|0;w=g+392|0;x=g+384|0;y=g+328|0;z=g+272|0;A=g+216|0;B=g+160|0;C=g+104|0;D=g;E=g+88|0;F=g+72|0;zT(j,135328);if((BD(c,-1)|0)==3)gAa(a,c,d,e);else{f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;rD(c,k);rD(d,l);rD(e,m);e=a+4|0;d=f[e>>2]|0;c=d+56|0;G=d+112|0;H=f[(f[d+40>>2]|0)+4>>2]|0;I=f[m>>2]|0;f[o>>2]=f[I>>2];J=o+4|0;K=I+4|0;f[J>>2]=f[K>>2];L=o+8|0;f[L>>2]=f[I+8>>2];f[o+12>>2]=f[I+12>>2];M=o+16|0;f[M>>2]=f[I+16>>2];f[o+20>>2]=f[I+20>>2];f[o+24>>2]=f[I+24>>2];f[o+28>>2]=f[I+28>>2];f[o+32>>2]=f[I+32>>2];N=o+36|0;O=f[I+36>>2]|0;f[N>>2]=O;P=o+40|0;f[P>>2]=L;L=o+48|0;Q=o+44|0;f[Q>>2]=L;f[L>>2]=0;f[o+52>>2]=0;if(O|0){R=O+12|0;f[R>>2]=(f[R>>2]|0)+1}if((f[K>>2]|0)<3){K=f[I+44>>2]|0;R=f[Q>>2]|0;f[R>>2]=f[K>>2];f[R+4>>2]=f[K+4>>2]}else{f[J>>2]=0;kP(o,I)}I=f[m>>2]|0;K=I+56|0;f[q>>2]=f[K>>2];R=q+4|0;O=I+60|0;S=f[O>>2]|0;f[R>>2]=S;T=q+8|0;f[T>>2]=f[I+64>>2];f[q+12>>2]=f[I+68>>2];U=q+16|0;f[U>>2]=f[I+72>>2];f[q+20>>2]=f[I+76>>2];f[q+24>>2]=f[I+80>>2];f[q+28>>2]=f[I+84>>2];f[q+32>>2]=f[I+88>>2];V=q+36|0;W=f[I+92>>2]|0;f[V>>2]=W;X=q+40|0;f[X>>2]=T;T=q+48|0;Z=q+44|0;f[Z>>2]=T;f[T>>2]=0;f[q+52>>2]=0;if(!W)_=S;else{S=W+12|0;f[S>>2]=(f[S>>2]|0)+1;_=f[O>>2]|0}if((_|0)<3){_=f[I+100>>2]|0;I=f[Z>>2]|0;f[I>>2]=f[_>>2];f[I+4>>2]=f[_+4>>2]}else{f[R>>2]=0;kP(q,K)}K=f[m>>2]|0;_=K+112|0;f[r>>2]=f[_>>2];I=r+4|0;O=K+116|0;S=f[O>>2]|0;f[I>>2]=S;W=r+8|0;f[W>>2]=f[K+120>>2];f[r+12>>2]=f[K+124>>2];$=r+16|0;f[$>>2]=f[K+128>>2];f[r+20>>2]=f[K+132>>2];f[r+24>>2]=f[K+136>>2];f[r+28>>2]=f[K+140>>2];f[r+32>>2]=f[K+144>>2];aa=r+36|0;ba=f[K+148>>2]|0;f[aa>>2]=ba;ca=r+40|0;f[ca>>2]=W;W=r+48|0;da=r+44|0;f[da>>2]=W;f[W>>2]=0;f[r+52>>2]=0;if(!ba)ea=S;else{S=ba+12|0;f[S>>2]=(f[S>>2]|0)+1;ea=f[O>>2]|0}if((ea|0)<3){ea=f[K+156>>2]|0;K=f[da>>2]|0;f[K>>2]=f[ea>>2];f[K+4>>2]=f[ea+4>>2]}else{f[I>>2]=0;kP(r,_)}_=f[m>>2]|0;ea=_+168|0;f[s>>2]=f[ea>>2];K=s+4|0;O=_+172|0;S=f[O>>2]|0;f[K>>2]=S;ba=s+8|0;f[ba>>2]=f[_+176>>2];f[s+12>>2]=f[_+180>>2];fa=s+16|0;f[fa>>2]=f[_+184>>2];f[s+20>>2]=f[_+188>>2];f[s+24>>2]=f[_+192>>2];f[s+28>>2]=f[_+196>>2];f[s+32>>2]=f[_+200>>2];ga=s+36|0;ha=f[_+204>>2]|0;f[ga>>2]=ha;ia=s+40|0;f[ia>>2]=ba;ba=s+48|0;ja=s+44|0;f[ja>>2]=ba;f[ba>>2]=0;f[s+52>>2]=0;if(!ha)ka=S;else{S=ha+12|0;f[S>>2]=(f[S>>2]|0)+1;ka=f[O>>2]|0}if((ka|0)<3){ka=f[_+212>>2]|0;_=f[ja>>2]|0;f[_>>2]=f[ka>>2];f[_+4>>2]=f[ka+4>>2]}else{f[K>>2]=0;kP(s,ea)}p[i>>3]=0.0;f[h>>2]=-1056833530;f[h+4>>2]=i;f[h+8>>2]=1;f[h+12>>2]=1;oT(o,h,rE()|0)|0;p[i>>3]=0.0;f[h>>2]=-1056833530;f[h+4>>2]=i;f[h+8>>2]=1;f[h+12>>2]=1;oT(q,h,rE()|0)|0;p[i>>3]=1.0;f[h>>2]=-1056833530;f[h+4>>2]=i;f[h+8>>2]=1;f[h+12>>2]=1;oT(r,h,rE()|0)|0;ea=a+36|0;ka=a+40|0;_=Y(f[ka>>2]|0,f[ea>>2]|0)|0;xP(t,f[k>>2]|0,1,_);xP(v,f[l>>2]|0,1,_);O=a+73|0;if(!(b[O>>0]|0)){f[w>>2]=1124007936;S=w+8|0;ha=w+40|0;la=w+4|0;ma=la+36|0;do{f[la>>2]=0;la=la+4|0}while((la|0)<(ma|0));f[ha>>2]=S;S=w+48|0;f[w+44>>2]=S;f[S>>2]=0;f[w+52>>2]=0}else xP(w,(f[l>>2]|0)+56|0,1,_);if((f[ea>>2]|0)>0){_=x+4|0;S=h+4|0;ha=h+8|0;la=h+12|0;ma=h+4|0;na=i+8|0;oa=i+12|0;pa=i+4|0;qa=z+8|0;ra=z+12|0;sa=z+4|0;ta=A+8|0;ua=A+4|0;va=h+8|0;wa=h+12|0;xa=h+4|0;ya=i+8|0;za=i+12|0;Aa=i+4|0;Ba=z+8|0;Ca=z+12|0;Da=z+4|0;Ea=A+8|0;Fa=A+4|0;Ga=h+8|0;Ha=h+12|0;Ia=h+4|0;Ja=i+8|0;Ka=i+12|0;La=i+4|0;Ma=z+8|0;Na=z+12|0;Oa=z+4|0;Pa=A+8|0;Qa=A+4|0;Ra=h+4|0;Sa=i+4|0;Ta=H<<1;Ua=h+4|0;Va=i+4|0;Wa=H*3|0;Xa=h+4|0;Ya=i+4|0;Za=H<<2;_a=h+4|0;$a=i+4|0;ab=a+76|0;bb=h+8|0;cb=h+12|0;db=h+4|0;eb=i+8|0;fb=i+12|0;gb=i+4|0;hb=E+8|0;ib=E+4|0;jb=a+85|0;kb=h+4|0;lb=i+4|0;mb=D+36|0;nb=D+16|0;ob=D+4|0;pb=D+40|0;qb=D+44|0;rb=D+48|0;sb=h+8|0;tb=h+12|0;ub=h+4|0;vb=i+8|0;wb=i+12|0;xb=i+4|0;yb=D+8|0;zb=D+4|0;Ab=h+8|0;Bb=h+12|0;Cb=h+4|0;Db=i+8|0;Eb=i+12|0;Fb=i+4|0;Gb=D+8|0;Hb=D+4|0;Ib=h+8|0;Jb=h+12|0;Kb=h+4|0;Lb=i+8|0;Mb=i+12|0;Nb=i+4|0;Ob=D+8|0;Pb=D+4|0;Qb=a+84|0;Rb=h+8|0;Sb=h+12|0;Tb=h+4|0;Ub=i+8|0;Vb=i+12|0;Wb=i+4|0;Xb=D+8|0;Yb=D+4|0;Zb=h+4|0;_b=i+8|0;$b=i+4|0;ac=D+36|0;bc=D+16|0;cc=D+4|0;dc=D+40|0;ec=D+44|0;fc=D+48|0;gc=C+36|0;hc=C+16|0;ic=C+4|0;jc=C+40|0;kc=C+44|0;lc=C+48|0;mc=B+36|0;nc=B+16|0;oc=B+4|0;pc=B+40|0;qc=B+44|0;rc=B+48|0;sc=A+36|0;tc=A+16|0;uc=A+4|0;vc=A+40|0;wc=A+44|0;xc=A+48|0;yc=z+36|0;zc=z+16|0;Ac=z+4|0;Bc=z+40|0;Cc=z+44|0;Dc=z+48|0;Ec=y+36|0;Fc=y+16|0;Gc=y+4|0;Hc=y+40|0;Ic=y+44|0;Jc=y+48|0;Kc=h+4|0;Lc=i+8|0;Mc=i+4|0;Nc=D+36|0;Oc=D+16|0;Pc=D+4|0;Qc=D+40|0;Rc=D+44|0;Sc=D+48|0;Tc=h+8|0;Uc=h+12|0;Vc=h+4|0;Wc=i+8|0;Xc=i+12|0;Yc=i+4|0;Zc=D+8|0;_c=D+12|0;$c=D+4|0;ad=E+8|0;bd=E+4|0;cd=h+8|0;dd=h+12|0;ed=h+4|0;fd=a+80|0;a=i+8|0;gd=i+12|0;hd=i+4|0;id=E+8|0;jd=E+4|0;kd=h+8|0;ld=h+12|0;md=h+4|0;nd=i+8|0;od=i+12|0;pd=i+4|0;qd=E+8|0;rd=E+4|0;sd=h+4|0;td=i+4|0;ud=h+8|0;vd=h+12|0;wd=h+4|0;xd=i+8|0;yd=i+12|0;zd=i+4|0;Ad=E+8|0;Bd=E+12|0;Cd=E+4|0;Dd=F+8|0;Ed=F+4|0;Fd=h+8|0;Gd=h+12|0;Hd=h+4|0;Id=i+8|0;Jd=i+12|0;Kd=i+4|0;Ld=E+8|0;Md=E+12|0;Nd=E+4|0;Od=F+8|0;Pd=F+4|0;Qd=D+36|0;Rd=D+16|0;Sd=D+4|0;Td=D+40|0;Ud=D+44|0;Vd=D+48|0;Wd=0;do{Xd=f[ka>>2]|0;Yd=Y(Xd,Wd)|0;Wd=Wd+1|0;Zd=Y(Xd,Wd)|0;f[x>>2]=Yd;f[_>>2]=Zd;f[h>>2]=-2147483648;f[S>>2]=2147483647;mP(y,t,x,h);f[ha>>2]=0;f[la>>2]=0;f[h>>2]=16842752;f[ma>>2]=y;f[na>>2]=0;f[oa>>2]=0;f[i>>2]=16842752;f[pa>>2]=c;f[qa>>2]=0;f[ra>>2]=0;f[z>>2]=16842752;f[sa>>2]=s;Zd=ta;f[Zd>>2]=0;f[Zd+4>>2]=0;f[A>>2]=33619968;f[ua>>2]=s;UW(h,i,1.0,z,0.0,A,2);f[va>>2]=0;f[wa>>2]=0;f[h>>2]=16842752;f[xa>>2]=o;f[ya>>2]=0;f[za>>2]=0;f[i>>2]=16842752;f[Aa>>2]=d;f[Ba>>2]=0;f[Ca>>2]=0;f[z>>2]=16842752;f[Da>>2]=s;Zd=Ea;f[Zd>>2]=0;f[Zd+4>>2]=0;f[A>>2]=33619968;f[Fa>>2]=s;UW(h,i,1.0,z,1.0,A,2);f[Ga>>2]=0;f[Ha>>2]=0;f[h>>2]=16842752;f[Ia>>2]=r;f[Ja>>2]=0;f[Ka>>2]=0;f[i>>2]=16842752;f[La>>2]=G;f[Ma>>2]=0;f[Na>>2]=0;f[z>>2]=16842752;f[Oa>>2]=s;Zd=Pa;f[Zd>>2]=0;f[Zd+4>>2]=0;f[A>>2]=33619968;f[Qa>>2]=s;UW(h,i,1.0,z,1.0,A,0);f[h>>2]=-2147483648;f[Ra>>2]=2147483647;f[i>>2]=0;f[Sa>>2]=H;mP(z,s,h,i);f[h>>2]=-2147483648;f[Ua>>2]=2147483647;f[i>>2]=H;f[Va>>2]=Ta;mP(A,s,h,i);f[h>>2]=-2147483648;f[Xa>>2]=2147483647;f[i>>2]=Ta;f[Ya>>2]=Wa;mP(B,s,h,i);f[h>>2]=-2147483648;f[_a>>2]=2147483647;f[i>>2]=Wa;f[$a>>2]=Za;mP(C,s,h,i);_d=+n[ab>>2];if(_d!=0.0){f[bb>>2]=0;f[cb>>2]=0;f[h>>2]=16842752;f[db>>2]=A;p[D>>3]=_d;f[i>>2]=-1056833530;f[gb>>2]=D;f[eb>>2]=1;f[fb>>2]=1;Zd=hb;f[Zd>>2]=0;f[Zd+4>>2]=0;f[E>>2]=33619968;f[ib>>2]=A;RH(h,i,E,rE()|0,-1)}if(!(b[jb>>0]|0)){f[h>>2]=-2147483648;f[kb>>2]=2147483647;f[i>>2]=0;f[lb>>2]=Wa;mP(D,s,h,i);dqb(D,D);Zd=f[mb>>2]|0;do if(Zd|0){Yd=Zd+12|0;Xd=f[Yd>>2]|0;f[Yd>>2]=Xd+-1;if((Xd|0)!=1)break;lP(D)}while(0);f[mb>>2]=0;f[nb>>2]=0;f[nb+4>>2]=0;f[nb+8>>2]=0;f[nb+12>>2]=0;if((f[ob>>2]|0)>0){Zd=f[pb>>2]|0;Xd=0;do{f[Zd+(Xd<<2)>>2]=0;Xd=Xd+1|0}while((Xd|0)<(f[ob>>2]|0))}Xd=f[qb>>2]|0;if((Xd|0)!=(rb|0))tE(Xd)}else{f[h>>2]=-2147483648;f[sd>>2]=2147483647;f[i>>2]=0;f[td>>2]=Ta;mP(D,s,h,i);f[ud>>2]=0;f[vd>>2]=0;f[h>>2]=16842752;f[wd>>2]=q;Xd=(f[e>>2]|0)+168|0;f[xd>>2]=0;f[yd>>2]=0;f[i>>2]=16842752;f[zd>>2]=Xd;f[Ad>>2]=0;f[Bd>>2]=0;f[E>>2]=16842752;f[Cd>>2]=z;Xd=Dd;f[Xd>>2]=0;f[Xd+4>>2]=0;f[F>>2]=33619968;f[Ed>>2]=z;UW(h,i,1.0,E,1.0,F,0);f[Fd>>2]=0;f[Gd>>2]=0;f[h>>2]=16842752;f[Hd>>2]=q;Xd=(f[e>>2]|0)+224|0;f[Id>>2]=0;f[Jd>>2]=0;f[i>>2]=16842752;f[Kd>>2]=Xd;f[Ld>>2]=0;f[Md>>2]=0;f[E>>2]=16842752;f[Nd>>2]=A;Xd=Od;f[Xd>>2]=0;f[Xd+4>>2]=0;f[F>>2]=33619968;f[Pd>>2]=A;UW(h,i,1.0,E,1.0,F,0);dqb(D,D);Xd=f[Qd>>2]|0;do if(Xd|0){Zd=Xd+12|0;Yd=f[Zd>>2]|0;f[Zd>>2]=Yd+-1;if((Yd|0)!=1)break;lP(D)}while(0);f[Qd>>2]=0;f[Rd>>2]=0;f[Rd+4>>2]=0;f[Rd+8>>2]=0;f[Rd+12>>2]=0;if((f[Sd>>2]|0)>0){Xd=f[Td>>2]|0;Yd=0;do{f[Xd+(Yd<<2)>>2]=0;Yd=Yd+1|0}while((Yd|0)<(f[Sd>>2]|0))}Yd=f[Ud>>2]|0;if((Yd|0)!=(Vd|0))tE(Yd)}eqb(C,C);f[sb>>2]=0;f[tb>>2]=0;f[h>>2]=16842752;f[ub>>2]=A;f[vb>>2]=0;f[wb>>2]=0;f[i>>2]=16842752;f[xb>>2]=q;Yd=yb;f[Yd>>2]=0;f[Yd+4>>2]=0;f[D>>2]=33619968;f[zb>>2]=A;JI(h,i,D,1.0,-1);f[Ab>>2]=0;f[Bb>>2]=0;f[h>>2]=16842752;f[Cb>>2]=z;f[Db>>2]=0;f[Eb>>2]=0;f[i>>2]=16842752;f[Fb>>2]=C;Yd=Gb;f[Yd>>2]=0;f[Yd+4>>2]=0;f[D>>2]=33619968;f[Hb>>2]=z;JI(h,i,D,1.0,-1);f[Ib>>2]=0;f[Jb>>2]=0;f[h>>2]=16842752;f[Kb>>2]=A;f[Lb>>2]=0;f[Mb>>2]=0;f[i>>2]=16842752;f[Nb>>2]=z;Yd=Ob;f[Yd>>2]=0;f[Yd+4>>2]=0;f[D>>2]=33619968;f[Pb>>2]=q;RH(h,i,D,rE()|0,-1);if(b[Qb>>0]|0){f[cd>>2]=0;f[dd>>2]=0;f[h>>2]=16842752;f[ed>>2]=q;p[D>>3]=+n[fd>>2];f[i>>2]=-1056833530;f[hd>>2]=D;f[a>>2]=1;f[gd>>2]=1;Yd=id;f[Yd>>2]=0;f[Yd+4>>2]=0;f[E>>2]=33619968;f[jd>>2]=q;AH(h,i,E);f[kd>>2]=0;f[ld>>2]=0;f[h>>2]=16842752;f[md>>2]=q;p[D>>3]=-+n[fd>>2];f[i>>2]=-1056833530;f[pd>>2]=D;f[nd>>2]=1;f[od>>2]=1;Yd=qd;f[Yd>>2]=0;f[Yd+4>>2]=0;f[E>>2]=33619968;f[rd>>2]=q;lH(h,i,E)}if(b[jb>>0]|0){f[Tc>>2]=0;f[Uc>>2]=0;f[h>>2]=16842752;f[Vc>>2]=q;Yd=(f[e>>2]|0)+280|0;f[Wc>>2]=0;f[Xc>>2]=0;f[i>>2]=16842752;f[Yc>>2]=Yd;f[Zc>>2]=0;f[_c>>2]=0;f[D>>2]=16842752;f[$c>>2]=B;Yd=ad;f[Yd>>2]=0;f[Yd+4>>2]=0;f[E>>2]=33619968;f[bd>>2]=B;UW(h,i,1.0,D,1.0,E,0);dqb(B,B)}eqb(q,o);f[Rb>>2]=0;f[Sb>>2]=0;f[h>>2]=16842752;f[Tb>>2]=B;f[Ub>>2]=0;f[Vb>>2]=0;f[i>>2]=16842752;f[Wb>>2]=o;Yd=Xb;f[Yd>>2]=0;f[Yd+4>>2]=0;f[D>>2]=33619968;f[Yb>>2]=o;JI(h,i,D,1.0,-1);f[h>>2]=-2147483648;f[Zb>>2]=2147483647;mP(D,v,x,h);Yd=_b;f[Yd>>2]=0;f[Yd+4>>2]=0;f[i>>2]=-1040121856;f[$b>>2]=D;kT(o,i);Yd=f[ac>>2]|0;do if(Yd|0){Xd=Yd+12|0;Zd=f[Xd>>2]|0;f[Xd>>2]=Zd+-1;if((Zd|0)!=1)break;lP(D)}while(0);f[ac>>2]=0;f[bc>>2]=0;f[bc+4>>2]=0;f[bc+8>>2]=0;f[bc+12>>2]=0;if((f[cc>>2]|0)>0){Yd=f[dc>>2]|0;Zd=0;do{f[Yd+(Zd<<2)>>2]=0;Zd=Zd+1|0}while((Zd|0)<(f[cc>>2]|0))}Zd=f[ec>>2]|0;if((Zd|0)!=(fc|0))tE(Zd);if(b[O>>0]|0){f[h>>2]=-2147483648;f[Kc>>2]=2147483647;mP(D,w,x,h);Zd=Lc;f[Zd>>2]=0;f[Zd+4>>2]=0;f[i>>2]=-1040121856;f[Mc>>2]=D;kT(q,i);Zd=f[Nc>>2]|0;do if(Zd|0){Yd=Zd+12|0;Xd=f[Yd>>2]|0;f[Yd>>2]=Xd+-1;if((Xd|0)!=1)break;lP(D)}while(0);f[Nc>>2]=0;f[Oc>>2]=0;f[Oc+4>>2]=0;f[Oc+8>>2]=0;f[Oc+12>>2]=0;if((f[Pc>>2]|0)>0){Zd=f[Qc>>2]|0;Xd=0;do{f[Zd+(Xd<<2)>>2]=0;Xd=Xd+1|0}while((Xd|0)<(f[Pc>>2]|0))}Xd=f[Rc>>2]|0;if((Xd|0)!=(Sc|0))tE(Xd)}Xd=f[gc>>2]|0;do if(Xd|0){Zd=Xd+12|0;Yd=f[Zd>>2]|0;f[Zd>>2]=Yd+-1;if((Yd|0)!=1)break;lP(C)}while(0);f[gc>>2]=0;f[hc>>2]=0;f[hc+4>>2]=0;f[hc+8>>2]=0;f[hc+12>>2]=0;if((f[ic>>2]|0)>0){Xd=f[jc>>2]|0;Yd=0;do{f[Xd+(Yd<<2)>>2]=0;Yd=Yd+1|0}while((Yd|0)<(f[ic>>2]|0))}Yd=f[kc>>2]|0;if((Yd|0)!=(lc|0))tE(Yd);Yd=f[mc>>2]|0;do if(Yd|0){Xd=Yd+12|0;Zd=f[Xd>>2]|0;f[Xd>>2]=Zd+-1;if((Zd|0)!=1)break;lP(B)}while(0);f[mc>>2]=0;f[nc>>2]=0;f[nc+4>>2]=0;f[nc+8>>2]=0;f[nc+12>>2]=0;if((f[oc>>2]|0)>0){Yd=f[pc>>2]|0;Zd=0;do{f[Yd+(Zd<<2)>>2]=0;Zd=Zd+1|0}while((Zd|0)<(f[oc>>2]|0))}Zd=f[qc>>2]|0;if((Zd|0)!=(rc|0))tE(Zd);Zd=f[sc>>2]|0;do if(Zd|0){Yd=Zd+12|0;Xd=f[Yd>>2]|0;f[Yd>>2]=Xd+-1;if((Xd|0)!=1)break;lP(A)}while(0);f[sc>>2]=0;f[tc>>2]=0;f[tc+4>>2]=0;f[tc+8>>2]=0;f[tc+12>>2]=0;if((f[uc>>2]|0)>0){Zd=f[vc>>2]|0;Xd=0;do{f[Zd+(Xd<<2)>>2]=0;Xd=Xd+1|0}while((Xd|0)<(f[uc>>2]|0))}Xd=f[wc>>2]|0;if((Xd|0)!=(xc|0))tE(Xd);Xd=f[yc>>2]|0;do if(Xd|0){Zd=Xd+12|0;Yd=f[Zd>>2]|0;f[Zd>>2]=Yd+-1;if((Yd|0)!=1)break;lP(z)}while(0);f[yc>>2]=0;f[zc>>2]=0;f[zc+4>>2]=0;f[zc+8>>2]=0;f[zc+12>>2]=0;if((f[Ac>>2]|0)>0){Xd=f[Bc>>2]|0;Yd=0;do{f[Xd+(Yd<<2)>>2]=0;Yd=Yd+1|0}while((Yd|0)<(f[Ac>>2]|0))}Yd=f[Cc>>2]|0;if((Yd|0)!=(Dc|0))tE(Yd);Yd=f[Ec>>2]|0;do if(Yd|0){Xd=Yd+12|0;Zd=f[Xd>>2]|0;f[Xd>>2]=Zd+-1;if((Zd|0)!=1)break;lP(y)}while(0);f[Ec>>2]=0;f[Fc>>2]=0;f[Fc+4>>2]=0;f[Fc+8>>2]=0;f[Fc+12>>2]=0;if((f[Gc>>2]|0)>0){Yd=f[Hc>>2]|0;Zd=0;do{f[Yd+(Zd<<2)>>2]=0;Zd=Zd+1|0}while((Zd|0)<(f[Gc>>2]|0))}Zd=f[Ic>>2]|0;if((Zd|0)!=(Jc|0))tE(Zd)}while((Wd|0)<(f[ea>>2]|0))}ea=w+36|0;Wd=f[ea>>2]|0;if(Wd|0?(Jc=Wd+12|0,Wd=f[Jc>>2]|0,f[Jc>>2]=Wd+-1,(Wd|0)==1):0)lP(w);f[ea>>2]=0;ea=w+16|0;Wd=w+4|0;f[ea>>2]=0;f[ea+4>>2]=0;f[ea+8>>2]=0;f[ea+12>>2]=0;if((f[Wd>>2]|0)>0){ea=f[w+40>>2]|0;Jc=0;do{f[ea+(Jc<<2)>>2]=0;Jc=Jc+1|0}while((Jc|0)<(f[Wd>>2]|0))}Wd=f[w+44>>2]|0;if((Wd|0)!=(w+48|0))tE(Wd);Wd=v+36|0;w=f[Wd>>2]|0;if(w|0?(Jc=w+12|0,w=f[Jc>>2]|0,f[Jc>>2]=w+-1,(w|0)==1):0)lP(v);f[Wd>>2]=0;Wd=v+16|0;w=v+4|0;f[Wd>>2]=0;f[Wd+4>>2]=0;f[Wd+8>>2]=0;f[Wd+12>>2]=0;if((f[w>>2]|0)>0){Wd=f[v+40>>2]|0;Jc=0;do{f[Wd+(Jc<<2)>>2]=0;Jc=Jc+1|0}while((Jc|0)<(f[w>>2]|0))}w=f[v+44>>2]|0;if((w|0)!=(v+48|0))tE(w);w=t+36|0;v=f[w>>2]|0;do if(v|0){Jc=v+12|0;Wd=f[Jc>>2]|0;f[Jc>>2]=Wd+-1;if((Wd|0)!=1)break;lP(t)}while(0);f[w>>2]=0;w=t+16|0;v=t+4|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[v>>2]|0)>0){w=f[t+40>>2]|0;Wd=0;do{f[w+(Wd<<2)>>2]=0;Wd=Wd+1|0}while((Wd|0)<(f[v>>2]|0))}v=f[t+44>>2]|0;if((v|0)!=(t+48|0))tE(v);v=f[ga>>2]|0;do if(v|0){t=v+12|0;Wd=f[t>>2]|0;f[t>>2]=Wd+-1;if((Wd|0)!=1)break;lP(s)}while(0);f[ga>>2]=0;f[fa>>2]=0;f[fa+4>>2]=0;f[fa+8>>2]=0;f[fa+12>>2]=0;if((f[K>>2]|0)>0){fa=f[ia>>2]|0;ia=0;do{f[fa+(ia<<2)>>2]=0;ia=ia+1|0}while((ia|0)<(f[K>>2]|0))}K=f[ja>>2]|0;if((K|0)!=(ba|0))tE(K);K=f[aa>>2]|0;do if(K|0){ba=K+12|0;ja=f[ba>>2]|0;f[ba>>2]=ja+-1;if((ja|0)!=1)break;lP(r)}while(0);f[aa>>2]=0;f[$>>2]=0;f[$+4>>2]=0;f[$+8>>2]=0;f[$+12>>2]=0;if((f[I>>2]|0)>0){$=f[ca>>2]|0;ca=0;do{f[$+(ca<<2)>>2]=0;ca=ca+1|0}while((ca|0)<(f[I>>2]|0))}I=f[da>>2]|0;if((I|0)!=(W|0))tE(I);I=f[V>>2]|0;do if(I|0){W=I+12|0;da=f[W>>2]|0;f[W>>2]=da+-1;if((da|0)!=1)break;lP(q)}while(0);f[V>>2]=0;f[U>>2]=0;f[U+4>>2]=0;f[U+8>>2]=0;f[U+12>>2]=0;if((f[R>>2]|0)>0){U=f[X>>2]|0;X=0;do{f[U+(X<<2)>>2]=0;X=X+1|0}while((X|0)<(f[R>>2]|0))}R=f[Z>>2]|0;if((R|0)!=(T|0))tE(R);R=f[N>>2]|0;do if(R|0){T=R+12|0;Z=f[T>>2]|0;f[T>>2]=Z+-1;if((Z|0)!=1)break;lP(o)}while(0);f[N>>2]=0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[J>>2]|0)>0){M=f[P>>2]|0;P=0;do{f[M+(P<<2)>>2]=0;P=P+1|0}while((P|0)<(f[J>>2]|0))}J=f[Q>>2]|0;if((J|0)!=(L|0))tE(J);rt(m);rt(l);rt(k)}if(!(f[j+4>>2]|0)){u=g;return}u=g;return}function Zpb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0;d=u;u=u+80|0;h=d+64|0;i=d+48|0;j=d+44|0;k=d+28|0;l=d+16|0;m=d+4|0;n=d;o=d+40|0;p=d+36|0;q=d+32|0;if(!(b[a+85>>0]|0)){r=f[a+4>>2]|0;if(((f[a+8>>2]|0)-r|0)==168)s=r;else{f[h>>2]=0;t=h+4|0;f[t>>2]=0;v=YG(h,69)|0;w=v;x=458388;y=w+69|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,h,475265,457849,178)}}else{r=f[a+4>>2]|0;if(((f[a+8>>2]|0)-r|0)==336)s=r;else{f[h>>2]=0;t=h+4|0;f[t>>2]=0;v=YG(h,69)|0;w=v;x=458388;y=w+69|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,h,475265,457849,178)}}v=s;s=f[c>>2]|0;t=s;if(((f[c+4>>2]|0)-s|0)!=12){f[h>>2]=0;f[h+4>>2]=0;w=YG(h,18)|0;x=475475;y=w+18|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,h,475265,457849,179)}f[k>>2]=f[(f[v+40>>2]|0)+4>>2];c=f[(f[v+96>>2]|0)+4>>2]|0;fAa(l,a+48|0);f[m>>2]=0;v=m+4|0;f[v>>2]=0;f[m+8>>2]=0;r=f[l>>2]|0;z=l+4|0;A=f[z>>2]|0;if((r|0)!=(A|0)){B=A-r|0;A=B>>2;if((B|0)<0){f[h>>2]=0;f[h+4>>2]=0;w=YG(h,70)|0;x=475084;y=w+70|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,h,475155,475161,161)}if(!B)C=1;else{B=0;D=1;while(1){E=Y(f[r+(B<<2)>>2]|0,D)|0;B=B+1|0;if((B|0)==(A|0)){C=E;break}else D=E}}if((C|0)!=(f[k>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;w=YG(h,31)|0;x=458458;y=w+31|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,h,475265,457849,188)}}else cqb(l,1,k);C=f[t+4>>2]|0;t=f[s>>2]|0;s=C-t|0;D=s>>2;A=D>>>0>1;B=t;do if(!(b[a+72>>0]|0)){if(!A){f[h>>2]=0;F=h+4|0;f[F>>2]=0;G=YG(h,45)|0;w=G;x=458536;y=w+45|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,h,475265,457849,201)}if((B|0)!=(C|0)){if((s|0)<4){f[h>>2]=0;f[h+4>>2]=0;w=YG(h,70)|0;x=475084;y=w+70|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,h,475155,475161,161)}if((s|0)==4)H=1;else{t=1;r=1;while(1){E=Y(f[B+(t<<2)>>2]|0,r)|0;t=t+1|0;if((t|0)==(D|0)){H=E;break}else r=E}}}else H=0;if((H|0)==(c|0)){f[n>>2]=f[B>>2];I=m+8|0;break}else{f[h>>2]=0;F=h+4|0;f[F>>2]=0;G=YG(h,45)|0;w=G;x=458536;y=w+45|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,h,475265,457849,201)}}else{if(!A){f[h>>2]=0;J=h+4|0;f[J>>2]=0;K=YG(h,45)|0;w=K;x=458490;y=w+45|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,h,475265,457849,195)}if((B|0)!=(C|0)){if((s|0)<8){f[h>>2]=0;f[h+4>>2]=0;w=YG(h,70)|0;x=475084;y=w+70|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,h,475155,475161,161)}if((s|0)==8)L=1;else{r=2;t=1;while(1){E=Y(f[B+(r<<2)>>2]|0,t)|0;r=r+1|0;if((r|0)==(D|0)){L=E;break}else t=E}}}else L=0;if((L|0)!=(c|0)){f[h>>2]=0;J=h+4|0;f[J>>2]=0;K=YG(h,45)|0;w=K;x=458490;y=w+45|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,h,475265,457849,195)}f[n>>2]=f[B+4>>2];t=f[v>>2]|0;r=m+8|0;if((t|0)==(f[r>>2]|0)){MR(m,B);I=r;break}else{f[t>>2]=f[B>>2];f[v>>2]=t+4;I=r;break}}while(0);B=f[v>>2]|0;if((B|0)==(f[I>>2]|0)){MR(m,n);M=f[v>>2]|0}else{f[B>>2]=f[n>>2];I=B+4|0;f[v>>2]=I;M=I}f[o>>2]=M;f[p>>2]=f[l>>2];f[q>>2]=f[z>>2];f[j>>2]=f[o>>2];f[i>>2]=f[p>>2];f[h>>2]=f[q>>2];d2(m,j,i,h)|0;eAa(e,b[a+73>>0]|0?2:1,m);a=f[k>>2]|0;f[h>>2]=f[n>>2];e=h+4|0;f[e>>2]=a;a=h+8|0;f[a>>2]=-1;j=h+12|0;f[j>>2]=-1;f[i>>2]=0;q=i+4|0;f[q>>2]=0;f[i+8>>2]=0;p=h+16|0;hAa(i,h,p);o=f[i>>2]|0;M=f[q>>2]|0;a:do if((o|0)==(M|0)){N=o;O=42}else{I=o;do{if((f[I>>2]|0)<0){N=I;O=42;break a}I=I+4|0}while((I|0)!=(M|0))}while(0);if((O|0)==42?(N|0)!=(M|0):0){o=N+4|0;if((o|0)==(M|0)){P=M;Q=N}else{I=o;o=N;while(1){N=f[I>>2]|0;if((N|0)<0)R=o;else{f[o>>2]=N;R=o+4|0}I=I+4|0;if((I|0)==(M|0))break;else o=R}P=f[q>>2]|0;Q=R}if((Q|0)!=(P|0))f[q>>2]=P+(~((P+-4-Q|0)>>>2)<<2)}eAa(g,1,i);Q=f[i>>2]|0;if(Q|0){P=f[q>>2]|0;if((P|0)!=(Q|0))f[q>>2]=P+(~((P+-4-Q|0)>>>2)<<2);Emc(Q)}Q=f[k>>2]|0;f[h>>2]=f[n>>2];f[e>>2]=Q;f[a>>2]=-1;f[j>>2]=-1;f[i>>2]=0;Q=i+4|0;f[Q>>2]=0;f[i+8>>2]=0;hAa(i,h,p);P=f[i>>2]|0;q=f[Q>>2]|0;b:do if((P|0)==(q|0)){S=P;O=57}else{R=P;do{if((f[R>>2]|0)<0){S=R;O=57;break b}R=R+4|0}while((R|0)!=(q|0))}while(0);if((O|0)==57?(S|0)!=(q|0):0){P=S+4|0;if((P|0)==(q|0)){T=q;U=S}else{R=P;P=S;while(1){S=f[R>>2]|0;if((S|0)<0)V=P;else{f[P>>2]=S;V=P+4|0}R=R+4|0;if((R|0)==(q|0))break;else P=V}T=f[Q>>2]|0;U=V}if((U|0)!=(T|0))f[Q>>2]=T+(~((T+-4-U|0)>>>2)<<2)}U=g+4|0;T=f[U>>2]|0;V=g+8|0;if((T|0)==(f[V>>2]|0)){ABa(g,i);W=f[i>>2]|0}else{f[T>>2]=0;P=T+4|0;f[P>>2]=0;f[T+8>>2]=0;q=f[i>>2]|0;R=(f[Q>>2]|0)-q|0;S=R>>2;if(S){if(S>>>0>1073741823)Ukc(T);o=Bmc(R)|0;f[P>>2]=o;f[T>>2]=o;f[T+8>>2]=o+(S<<2);S=f[i>>2]|0;T=(f[Q>>2]|0)-S|0;if((T|0)>0){Krc(o|0,S|0,T|0)|0;f[P>>2]=o+(T>>>2<<2);X=S}else X=S}else X=q;f[U>>2]=(f[U>>2]|0)+12;W=X}if(W|0){X=f[Q>>2]|0;if((X|0)!=(W|0))f[Q>>2]=X+(~((X+-4-W|0)>>>2)<<2);Emc(W)}f[h>>2]=f[n>>2];f[e>>2]=1;f[a>>2]=-1;f[j>>2]=-1;f[i>>2]=0;W=i+4|0;f[W>>2]=0;f[i+8>>2]=0;hAa(i,h,p);X=f[i>>2]|0;Q=f[W>>2]|0;c:do if((X|0)==(Q|0)){Z=X;O=80}else{q=X;do{if((f[q>>2]|0)<0){Z=q;O=80;break c}q=q+4|0}while((q|0)!=(Q|0))}while(0);if((O|0)==80?(Z|0)!=(Q|0):0){X=Z+4|0;if((X|0)==(Q|0)){_=Q;$=Z}else{q=X;X=Z;while(1){Z=f[q>>2]|0;if((Z|0)<0)aa=X;else{f[X>>2]=Z;aa=X+4|0}q=q+4|0;if((q|0)==(Q|0))break;else X=aa}_=f[W>>2]|0;$=aa}if(($|0)!=(_|0))f[W>>2]=_+(~((_+-4-$|0)>>>2)<<2)}$=f[U>>2]|0;if(($|0)==(f[V>>2]|0)){ABa(g,i);ba=f[i>>2]|0}else{f[$>>2]=0;_=$+4|0;f[_>>2]=0;f[$+8>>2]=0;aa=f[i>>2]|0;X=(f[W>>2]|0)-aa|0;Q=X>>2;if(Q){if(Q>>>0>1073741823)Ukc($);q=Bmc(X)|0;f[_>>2]=q;f[$>>2]=q;f[$+8>>2]=q+(Q<<2);Q=f[i>>2]|0;$=(f[W>>2]|0)-Q|0;if(($|0)>0){Krc(q|0,Q|0,$|0)|0;f[_>>2]=q+($>>>2<<2);ca=Q}else ca=Q}else ca=aa;f[U>>2]=(f[U>>2]|0)+12;ba=ca}if(ba|0){ca=f[W>>2]|0;if((ca|0)!=(ba|0))f[W>>2]=ca+(~((ca+-4-ba|0)>>>2)<<2);Emc(ba)}ba=f[k>>2]<<2;f[h>>2]=f[n>>2];f[e>>2]=ba;f[a>>2]=-1;f[j>>2]=-1;f[i>>2]=0;j=i+4|0;f[j>>2]=0;f[i+8>>2]=0;hAa(i,h,p);p=f[i>>2]|0;h=f[j>>2]|0;d:do if((p|0)==(h|0)){da=p;O=103}else{a=p;do{if((f[a>>2]|0)<0){da=a;O=103;break d}a=a+4|0}while((a|0)!=(h|0))}while(0);if((O|0)==103?(da|0)!=(h|0):0){O=da+4|0;if((O|0)==(h|0)){ea=h;fa=da}else{p=O;O=da;while(1){da=f[p>>2]|0;if((da|0)<0)ga=O;else{f[O>>2]=da;ga=O+4|0}p=p+4|0;if((p|0)==(h|0))break;else O=ga}ea=f[j>>2]|0;fa=ga}if((fa|0)!=(ea|0))f[j>>2]=ea+(~((ea+-4-fa|0)>>>2)<<2)}fa=f[U>>2]|0;if((fa|0)==(f[V>>2]|0)){ABa(g,i);ha=f[i>>2]|0}else{f[fa>>2]=0;g=fa+4|0;f[g>>2]=0;f[fa+8>>2]=0;V=f[i>>2]|0;ea=(f[j>>2]|0)-V|0;ga=ea>>2;if(ga){if(ga>>>0>1073741823)Ukc(fa);O=Bmc(ea)|0;f[g>>2]=O;f[fa>>2]=O;f[fa+8>>2]=O+(ga<<2);ga=f[i>>2]|0;i=(f[j>>2]|0)-ga|0;if((i|0)>0){Krc(O|0,ga|0,i|0)|0;f[g>>2]=O+(i>>>2<<2);ia=ga}else ia=ga}else ia=V;f[U>>2]=(f[U>>2]|0)+12;ha=ia}if(ha|0){ia=f[j>>2]|0;if((ia|0)!=(ha|0))f[j>>2]=ia+(~((ia+-4-ha|0)>>>2)<<2);Emc(ha)}ha=f[m>>2]|0;if(ha|0){m=f[v>>2]|0;if((m|0)!=(ha|0))f[v>>2]=m+(~((m+-4-ha|0)>>>2)<<2);Emc(ha)}ha=f[l>>2]|0;if(!ha){u=d;return 0}l=f[z>>2]|0;if((l|0)!=(ha|0))f[z>>2]=l+(~((l+-4-ha|0)>>>2)<<2);Emc(ha);u=d;return 0}function _pb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;g=u;u=u+128|0;h=g+112|0;i=g;j=g+56|0;if((f[c+4>>2]|0)!=2){f[h>>2]=0;k=h+4|0;f[k>>2]=0;l=YG(h,28)|0;m=l;n=457930;o=m+28|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,h,458377,457849,161)}if((f[d+4>>2]|0)!=2){f[h>>2]=0;k=h+4|0;f[k>>2]=0;l=YG(h,28)|0;m=l;n=457930;o=m+28|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,h,458377,457849,161)}l=f[c+8>>2]|0;if((l|0)!=(f[d+8>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,18)|0;n=457959;o=m+18|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,h,458377,457849,162)}if((l|0)!=(f[c+12>>2]<<2|0)){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,20)|0;n=457978;o=m+20|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,h,458377,457849,163)}k=f[e+4>>2]|0;if((k|0)<3)p=Y(f[e+12>>2]|0,f[e+8>>2]|0)|0;else{q=f[e+40>>2]|0;r=0;s=1;while(1){t=Y(f[q+(r<<2)>>2]|0,s)|0;r=r+1|0;if((r|0)==(k|0)){p=t;break}else s=t}}if((l|0)!=(p|0)){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,28)|0;n=457999;o=m+28|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,h,458377,457849,164)}p=f[c>>2]&4095;if((p|0)!=(f[d>>2]&4095|0)){f[h>>2]=0;v=h+4|0;f[v>>2]=0;w=YG(h,50)|0;m=w;n=458028;o=m+50|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,h,458377,457849,165)}if((p|0)!=(f[e>>2]&4095|0)){f[h>>2]=0;v=h+4|0;f[v>>2]=0;w=YG(h,50)|0;m=w;n=458028;o=m+50|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,h,458377,457849,165)}n=a+4|0;sD(n,3);f[i>>2]=1124007936;a=i+4|0;w=i+8|0;v=i+40|0;m=a;o=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(o|0));f[v>>2]=w;p=i+48|0;l=i+44|0;f[l>>2]=p;f[p>>2]=0;f[i+52>>2]=0;s=h+8|0;f[s>>2]=0;f[s+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=i;kT(c,h);c=f[n>>2]|0;s=i+36|0;if((c|0)!=(i|0)){k=f[s>>2]|0;if(k|0){r=k+12|0;f[r>>2]=(f[r>>2]|0)+1}r=c+36|0;k=f[r>>2]|0;if(k|0?(q=k+12|0,k=f[q>>2]|0,f[q>>2]=k+-1,(k|0)==1):0)lP(c);f[r>>2]=0;k=c+16|0;q=c+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[q>>2]|0)>0){t=f[c+40>>2]|0;x=0;do{f[t+(x<<2)>>2]=0;x=x+1|0;y=f[q>>2]|0}while((x|0)<(y|0));f[c>>2]=f[i>>2];if((y|0)<3)z=28;else z=30}else{f[c>>2]=f[i>>2];z=28}if((z|0)==28){y=f[a>>2]|0;if((y|0)<3){f[q>>2]=y;f[c+8>>2]=f[w>>2];f[c+12>>2]=f[i+12>>2];w=f[l>>2]|0;y=f[c+44>>2]|0;f[y>>2]=f[w>>2];f[y+4>>2]=f[w+4>>2]}else z=30}if((z|0)==30)kP(c,i);f[k>>2]=f[i+16>>2];f[c+20>>2]=f[i+20>>2];f[c+24>>2]=f[i+24>>2];f[c+28>>2]=f[i+28>>2];f[c+32>>2]=f[i+32>>2];f[r>>2]=f[s>>2]}r=f[s>>2]|0;if(r|0?(c=r+12|0,r=f[c>>2]|0,f[c>>2]=r+-1,(r|0)==1):0)lP(i);f[s>>2]=0;s=i+16|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[a>>2]|0)>0){s=f[v>>2]|0;v=0;do{f[s+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[a>>2]|0))}a=f[l>>2]|0;if((a|0)!=(p|0))tE(a);f[i>>2]=1124007936;a=i+4|0;p=i+8|0;l=i+40|0;m=a;o=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(o|0));f[l>>2]=p;v=i+48|0;s=i+44|0;f[s>>2]=v;f[v>>2]=0;f[i+52>>2]=0;r=h+8|0;f[r>>2]=0;f[r+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=i;kT(d,h);d=f[n>>2]|0;r=d+56|0;c=i+36|0;k=f[c>>2]|0;if((r|0)==(i|0))A=k;else{if(k|0){w=k+12|0;f[w>>2]=(f[w>>2]|0)+1}w=d+92|0;k=f[w>>2]|0;if(k|0?(y=k+12|0,k=f[y>>2]|0,f[y>>2]=k+-1,(k|0)==1):0)lP(r);f[w>>2]=0;k=d+72|0;y=d+60|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[y>>2]|0)>0){q=f[d+96>>2]|0;x=0;do{f[q+(x<<2)>>2]=0;x=x+1|0;B=f[y>>2]|0}while((x|0)<(B|0));f[r>>2]=f[i>>2];if((B|0)<3)z=51;else z=53}else{f[r>>2]=f[i>>2];z=51}if((z|0)==51){B=f[a>>2]|0;if((B|0)<3){f[y>>2]=B;f[d+64>>2]=f[p>>2];f[d+68>>2]=f[i+12>>2];p=f[s>>2]|0;B=f[d+100>>2]|0;f[B>>2]=f[p>>2];f[B+4>>2]=f[p+4>>2]}else z=53}if((z|0)==53)kP(r,i);f[k>>2]=f[i+16>>2];f[d+76>>2]=f[i+20>>2];f[d+80>>2]=f[i+24>>2];f[d+84>>2]=f[i+28>>2];f[d+88>>2]=f[i+32>>2];d=f[c>>2]|0;f[w>>2]=d;A=d}if(A|0?(d=A+12|0,A=f[d>>2]|0,f[d>>2]=A+-1,(A|0)==1):0)lP(i);f[c>>2]=0;c=i+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[a>>2]|0)>0){c=f[l>>2]|0;l=0;do{f[c+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[a>>2]|0))}a=f[s>>2]|0;if((a|0)!=(v|0))tE(a);f[j>>2]=1124007936;a=j+4|0;v=j+8|0;s=j+40|0;m=a;o=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(o|0));f[s>>2]=v;v=j+48|0;m=j+44|0;f[m>>2]=v;f[v>>2]=0;f[j+52>>2]=0;o=h+8|0;f[o>>2]=0;f[o+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=j;kT(e,h);xP(i,j,1,1);h=f[n>>2]|0;n=h+112|0;e=i+36|0;o=f[e>>2]|0;if((n|0)==(i|0))C=o;else{if(o|0){l=o+12|0;f[l>>2]=(f[l>>2]|0)+1}l=h+148|0;o=f[l>>2]|0;do if(o|0){c=o+12|0;A=f[c>>2]|0;f[c>>2]=A+-1;if((A|0)!=1)break;lP(n)}while(0);f[l>>2]=0;o=h+128|0;A=h+116|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[A>>2]|0)>0){c=f[h+152>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0;D=f[A>>2]|0}while((d|0)<(D|0));f[n>>2]=f[i>>2];if((D|0)<3)z=74;else z=76}else{f[n>>2]=f[i>>2];z=74}do if((z|0)==74){D=f[i+4>>2]|0;if((D|0)>=3){z=76;break}f[A>>2]=D;f[h+120>>2]=f[i+8>>2];f[h+124>>2]=f[i+12>>2];D=f[i+44>>2]|0;d=f[h+156>>2]|0;f[d>>2]=f[D>>2];f[d+4>>2]=f[D+4>>2]}while(0);if((z|0)==76)kP(n,i);f[o>>2]=f[i+16>>2];f[h+132>>2]=f[i+20>>2];f[h+136>>2]=f[i+24>>2];f[h+140>>2]=f[i+28>>2];f[h+144>>2]=f[i+32>>2];h=f[e>>2]|0;f[l>>2]=h;C=h}if(C|0?(h=C+12|0,C=f[h>>2]|0,f[h>>2]=C+-1,(C|0)==1):0)lP(i);f[e>>2]=0;e=i+16|0;C=i+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[C>>2]|0)>0){e=f[i+40>>2]|0;h=0;do{f[e+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[C>>2]|0))}C=f[i+44>>2]|0;if((C|0)!=(i+48|0))tE(C);C=j+36|0;i=f[C>>2]|0;do if(i|0){h=i+12|0;e=f[h>>2]|0;f[h>>2]=e+-1;if((e|0)!=1)break;lP(j)}while(0);f[C>>2]=0;C=j+16|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[a>>2]|0)>0){C=f[s>>2]|0;s=0;do{f[C+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[a>>2]|0))}a=f[m>>2]|0;if((a|0)==(v|0)){u=g;return}tE(a);u=g;return}function $pb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=u;u=u+16|0;e=d;g=a+48|0;if(b[a+44>>0]|0){h=f[a+52>>2]|0;a=f[g>>2]|0;i=h-a|0;j=i>>2;k=a;if((k|0)!=(h|0)){if((i|0)<0){f[e>>2]=0;f[e+4>>2]=0;l=YG(e,70)|0;m=475084;n=l+70|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,e,475155,475161,161)}if(!i)o=1;else{i=0;h=1;while(1){a=Y(f[k+(i<<2)>>2]|0,h)|0;i=i+1|0;if((i|0)==(j|0)){o=a;break}else h=a}}}else o=0;h=f[c+4>>2]|0;j=f[c>>2]|0;i=h-j|0;k=i>>2;a=j;if((a|0)!=(h|0)){if((i|0)<0){f[e>>2]=0;f[e+4>>2]=0;l=YG(e,70)|0;m=475084;n=l+70|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,e,475155,475161,161)}if(!i)p=1;else{i=0;h=1;while(1){j=Y(f[a+(i<<2)>>2]|0,h)|0;i=i+1|0;if((i|0)==(k|0)){p=j;break}else h=j}}}else p=0;if((o|0)!=(p|0)){f[e>>2]=0;f[e+4>>2]=0;l=YG(e,57)|0;m=458307;n=l+57|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,e,458365,457849,155)}}if((g|0)==(c|0)){u=d;return}c2(g,f[c>>2]|0,f[c+4>>2]|0);u=d;return}function aqb(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;if(!(b[a+44>>0]|0)){b[a+72>>0]=c&1;u=d;return}else{f[e>>2]=0;f[e+4>>2]=0;d=YG(e,10)|0;c=458256;a=d+10|0;do{b[d>>0]=b[c>>0]|0;d=d+1|0;c=c+1|0}while((d|0)<(a|0));SQ(-215,e,458288,457849,143)}}function bqb(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;if(!(b[a+44>>0]|0)){b[a+73>>0]=c&1;u=d;return}else{f[e>>2]=0;f[e+4>>2]=0;d=YG(e,10)|0;c=458256;a=d+10|0;do{b[d>>0]=b[c>>0]|0;d=d+1|0;c=c+1|0}while((d|0)<(a|0));SQ(-215,e,458267,457849,149)}}function cqb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=a+8|0;e=f[d>>2]|0;g=f[a>>2]|0;h=g;do if(e-g>>2>>>0>=b>>>0){i=a+4|0;j=f[i>>2]|0;k=j-g>>2;l=k>>>0<b>>>0;m=l?k:b;n=j;if(m|0){j=m;m=h;while(1){f[m>>2]=f[c>>2];j=j+-1|0;if(!j)break;else m=m+4|0}}if(!l){m=h+(b<<2)|0;if((n|0)==(m|0))return;else{o=i;p=n+(~((n+-4-m|0)>>>2)<<2)|0;break}}else{m=b-k|0;j=m;q=n;while(1){f[q>>2]=f[c>>2];j=j+-1|0;if(!j)break;else q=q+4|0}o=i;p=n+(m<<2)|0;break}}else{q=g;if(!g)r=e;else{j=a+4|0;k=f[j>>2]|0;if((k|0)!=(h|0))f[j>>2]=k+(~((k+-4-g|0)>>>2)<<2);Emc(q);f[d>>2]=0;f[j>>2]=0;f[a>>2]=0;r=0}if(b>>>0>1073741823)Ukc(a);j=r>>1;q=r>>2>>>0<536870911?(j>>>0<b>>>0?b:j):1073741823;if(q>>>0>1073741823)Ukc(a);j=Bmc(q<<2)|0;k=a+4|0;f[k>>2]=j;f[a>>2]=j;f[d>>2]=j+(q<<2);q=b;l=j;while(1){f[l>>2]=f[c>>2];q=q+-1|0;if(!q)break;else l=l+4|0}o=k;p=j+(b<<2)|0}while(0);f[o>>2]=p;return}function dqb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+288|0;d=c+272|0;e=c+32|0;g=c;h=c+256|0;$F(e,a);f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=-1056571392;f[d+4>>2]=e;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=b;tS(d,g);Xi(e);p[g>>3]=1.0;a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;UF(e,g,b);f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=-1056571392;f[d+4>>2]=e;g=h+8|0;f[g>>2]=0;f[g+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=b;vS(d,-1.0,h);Xi(e);u=c;return}function eqb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0,E=0,F=0,G=0;d=u;u=u+64|0;e=d+40|0;g=d+20|0;h=d;i=a+4|0;j=a+40|0;iP(c,f[i>>2]|0,f[j>>2]|0,f[a>>2]&4095);k=f[a>>2]|0;switch(k&4095){case 5:{f[e>>2]=a;l=e+4|0;m=f[i>>2]|0;if((m|0)>0)o=f[(f[a+44>>2]|0)+(m+-1<<2)>>2]|0;else o=0;f[l>>2]=o;q=e+8|0;f[q>>2]=0;r=e+12|0;f[r>>2]=0;s=e+16|0;f[s>>2]=0;if(k&16384|0){t=f[a+16>>2]|0;f[r>>2]=t;if((m|0)<3)v=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{r=f[j>>2]|0;w=0;x=1;while(1){y=Y(f[r+(w<<2)>>2]|0,x)|0;w=w+1|0;if((w|0)==(m|0)){v=y;break}else x=y}}x=t+(Y(v,o)|0)|0;f[s>>2]=x}LN(e,0,0);f[g>>2]=c;x=g+4|0;o=f[c+4>>2]|0;if((o|0)>0)z=f[(f[c+44>>2]|0)+(o+-1<<2)>>2]|0;else z=0;f[x>>2]=z;v=g+8|0;f[v>>2]=0;t=g+12|0;f[t>>2]=0;m=g+16|0;f[m>>2]=0;if(f[c>>2]&16384|0){w=f[c+16>>2]|0;f[t>>2]=w;if((o|0)<3)A=Y(f[c+12>>2]|0,f[c+8>>2]|0)|0;else{t=f[c+40>>2]|0;r=0;y=1;while(1){B=Y(f[t+(r<<2)>>2]|0,y)|0;r=r+1|0;if((r|0)==(o|0)){A=B;break}else y=B}}y=w+(Y(A,z)|0)|0;f[m>>2]=y}LN(g,0,0);fqb(h,a);y=f[e>>2]|0;z=f[q>>2]|0;A=h+8|0;if((y|0)!=(f[h>>2]|0)?1:(z|0)!=(f[A>>2]|0)){w=y;y=z;do{C=+P9b(+n[y>>2]);n[f[v>>2]>>2]=C;z=f[l>>2]|0;if(w|0?(o=f[s>>2]|0,r=y+z|0,f[q>>2]=r,r>>>0>=o>>>0):0){f[q>>2]=r+(0-z);KN(e,1,1)}z=f[x>>2]|0;if(f[g>>2]|0?(r=f[m>>2]|0,o=(f[v>>2]|0)+z|0,f[v>>2]=o,o>>>0>=r>>>0):0){f[v>>2]=o+(0-z);KN(g,1,1)}fqb(h,a);w=f[e>>2]|0;y=f[q>>2]|0}while((w|0)!=(f[h>>2]|0)?1:(y|0)!=(f[A>>2]|0))}u=d;return}case 6:{f[e>>2]=a;A=e+4|0;y=f[i>>2]|0;if((y|0)>0)D=f[(f[a+44>>2]|0)+(y+-1<<2)>>2]|0;else D=0;f[A>>2]=D;i=e+8|0;f[i>>2]=0;w=e+12|0;f[w>>2]=0;q=e+16|0;f[q>>2]=0;if(k&16384|0){k=f[a+16>>2]|0;f[w>>2]=k;if((y|0)<3)E=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{w=f[j>>2]|0;j=0;v=1;while(1){m=Y(f[w+(j<<2)>>2]|0,v)|0;j=j+1|0;if((j|0)==(y|0)){E=m;break}else v=m}}v=k+(Y(E,D)|0)|0;f[q>>2]=v}LN(e,0,0);f[g>>2]=c;v=g+4|0;D=f[c+4>>2]|0;if((D|0)>0)F=f[(f[c+44>>2]|0)+(D+-1<<2)>>2]|0;else F=0;f[v>>2]=F;E=g+8|0;f[E>>2]=0;k=g+12|0;f[k>>2]=0;y=g+16|0;f[y>>2]=0;if(f[c>>2]&16384|0){j=f[c+16>>2]|0;f[k>>2]=j;if((D|0)<3)G=Y(f[c+12>>2]|0,f[c+8>>2]|0)|0;else{k=f[c+40>>2]|0;c=0;w=1;while(1){m=Y(f[k+(c<<2)>>2]|0,w)|0;c=c+1|0;if((c|0)==(D|0)){G=m;break}else w=m}}w=j+(Y(G,F)|0)|0;f[y>>2]=w}LN(g,0,0);gqb(h,a);w=f[e>>2]|0;F=f[i>>2]|0;G=h+8|0;if((w|0)!=(f[h>>2]|0)?1:(F|0)!=(f[G>>2]|0)){j=w;w=F;do{C=+T9b(+p[w>>3]);p[f[E>>2]>>3]=C;F=f[A>>2]|0;if(j|0?(D=f[q>>2]|0,c=w+F|0,f[i>>2]=c,c>>>0>=D>>>0):0){f[i>>2]=c+(0-F);KN(e,1,1)}F=f[v>>2]|0;if(f[g>>2]|0?(c=f[y>>2]|0,D=(f[E>>2]|0)+F|0,f[E>>2]=D,D>>>0>=c>>>0):0){f[E>>2]=D+(0-F);KN(g,1,1)}gqb(h,a);j=f[e>>2]|0;w=f[i>>2]|0}while((j|0)!=(f[h>>2]|0)?1:(w|0)!=(f[G>>2]|0))}u=d;return}default:{f[e>>2]=0;f[e+4>>2]=0;d=YG(e,43)|0;G=458582;w=d+43|0;do{b[d>>0]=b[G>>0]|0;d=d+1|0;G=G+1|0}while((d|0)<(w|0));SQ(-210,e,458626,457849,74)}}}function fqb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;f[a>>2]=b;c=a+4|0;d=b+4|0;e=f[d>>2]|0;if((e|0)>0)g=f[(f[b+44>>2]|0)+(e+-1<<2)>>2]|0;else g=0;f[c>>2]=g;h=a+8|0;f[h>>2]=0;i=a+12|0;f[i>>2]=0;j=a+16|0;f[j>>2]=0;if(f[b>>2]&16384|0){k=f[b+16>>2]|0;f[i>>2]=k;if((e|0)<3)l=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;else{m=f[b+40>>2]|0;n=0;o=1;while(1){p=Y(f[m+(n<<2)>>2]|0,o)|0;n=n+1|0;if((n|0)==(e|0)){l=p;break}else o=p}}o=k+(Y(l,g)|0)|0;f[j>>2]=o}LN(a,0,0);o=f[d>>2]|0;if((o|0)<3)q=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;else{d=f[b+40>>2]|0;b=0;g=1;while(1){l=Y(f[d+(b<<2)>>2]|0,g)|0;b=b+1|0;if((b|0)==(o|0)){q=l;break}else g=l}}if((q|0)==0|(f[a>>2]|0)==0)return;g=Y(f[c>>2]|0,q)|0;c=(f[h>>2]|0)+g|0;f[h>>2]=c;if(c>>>0>=(f[i>>2]|0)>>>0?(f[j>>2]|0)>>>0>c>>>0:0)return;f[h>>2]=c+(0-g);KN(a,q,1);return}function gqb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;f[a>>2]=b;c=a+4|0;d=b+4|0;e=f[d>>2]|0;if((e|0)>0)g=f[(f[b+44>>2]|0)+(e+-1<<2)>>2]|0;else g=0;f[c>>2]=g;h=a+8|0;f[h>>2]=0;i=a+12|0;f[i>>2]=0;j=a+16|0;f[j>>2]=0;if(f[b>>2]&16384|0){k=f[b+16>>2]|0;f[i>>2]=k;if((e|0)<3)l=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;else{m=f[b+40>>2]|0;n=0;o=1;while(1){p=Y(f[m+(n<<2)>>2]|0,o)|0;n=n+1|0;if((n|0)==(e|0)){l=p;break}else o=p}}o=k+(Y(l,g)|0)|0;f[j>>2]=o}LN(a,0,0);o=f[d>>2]|0;if((o|0)<3)q=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;else{d=f[b+40>>2]|0;b=0;g=1;while(1){l=Y(f[d+(b<<2)>>2]|0,g)|0;b=b+1|0;if((b|0)==(o|0)){q=l;break}else g=l}}if((q|0)==0|(f[a>>2]|0)==0)return;g=Y(f[c>>2]|0,q)|0;c=(f[h>>2]|0)+g|0;f[h>>2]=c;if(c>>>0>=(f[i>>2]|0)>>>0?(f[j>>2]|0)>>>0>c>>>0:0)return;f[h>>2]=c+(0-g);KN(a,q,1);return}function hqb(a,b){a=a|0;b=b|0;var c=0;c=Bmc(164)|0;iqb(c,b);b=Bmc(16)|0;f[b+4>>2]=1;f[b>>2]=135368;f[b+8>>2]=c;f[a>>2]=b;f[a+4>>2]=c;return}function iqb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0;d=u;u=u+432|0;e=d+32|0;g=d;h=d+368|0;i=d+312|0;j=d+256|0;uCa(a);f[a>>2]=135388;k=a+44|0;f[k>>2]=1124007936;l=a+48|0;m=a+52|0;n=a+84|0;o=l;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));f[n>>2]=m;q=a+92|0;r=a+88|0;f[r>>2]=q;f[q>>2]=0;f[a+96>>2]=0;q=a+100|0;f[q>>2]=1124007936;s=a+104|0;t=a+108|0;v=a+140|0;o=s;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));f[v>>2]=t;w=a+148|0;x=a+144|0;f[x>>2]=w;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;vCa(a,c);w=a+4|0;y=a+8|0;z=(f[y>>2]|0)-(f[w>>2]|0)|0;if(!((z|0)!=0&((z|0)/56|0)>>>0<3)){f[e>>2]=0;f[e+4>>2]=0;o=YG(e,38)|0;A=458992;p=o+38|0;do{b[o>>0]=b[A>>0]|0;o=o+1|0;A=A+1|0}while((o|0)<(p|0));SQ(-215,e,459031,459055,73)}f[e>>2]=0;f[e+4>>2]=0;o=YG(e,10)|0;A=459141;p=o+10|0;do{b[o>>0]=b[A>>0]|0;o=o+1|0;A=A+1|0}while((o|0)<(p|0));z=rCa(dDa(c,e)|0,-1)|0;ZG(e);B=f[w>>2]|0;C=f[B+4>>2]|0;if((C|0)<3)D=Y(f[B+12>>2]|0,f[B+8>>2]|0)|0;else{E=f[B+40>>2]|0;B=0;F=1;while(1){G=Y(f[E+(B<<2)>>2]|0,F)|0;B=B+1|0;if((B|0)==(C|0)){D=G;break}else F=G}}f[e>>2]=0;f[e+4>>2]=0;o=YG(e,9)|0;A=468376;p=o+9|0;do{b[o>>0]=b[A>>0]|0;o=o+1|0;A=A+1|0}while((o|0)<(p|0));F=c+4|0;c=f[F>>2]|0;do if(c){C=f[e>>2]|0;B=(C|0)==0?1163146:C;E=F;G=c;a:while(1){H=G;while(1){I=f[H+16>>2]|0;if((I|0)==(C|0))break;if((o7b((I|0)==0?1163146:I,B)|0)>=0)break;I=f[H+4>>2]|0;if(!I){K=E;break a}else H=I}G=f[H>>2]|0;if(!G){K=H;break}else E=H}if((K|0)!=(F|0)){E=f[K+16>>2]|0;if((C|0)!=(E|0)?(o7b(B,(E|0)==0?1163146:E)|0)<=-1:0){L=1;break}E=rCa(K+24|0,-1)|0;L=(E|0)!=0|(J|0)!=0}else L=1}else L=1;while(0);K=a+40|0;b[K>>0]=L&1;ZG(e);f[e>>2]=0;f[e+4>>2]=0;L=YG(e,4)|0;b[L>>0]=97;b[L+1>>0]=120;b[L+2>>0]=105;b[L+3>>0]=115;L=f[F>>2]|0;do if(L){c=f[e>>2]|0;E=(c|0)==0?1163146:c;G=F;I=L;b:while(1){M=I;while(1){N=f[M+16>>2]|0;if((N|0)==(c|0))break;if((o7b((N|0)==0?1163146:N,E)|0)>=0)break;N=f[M+4>>2]|0;if(!N){O=G;break b}else M=N}I=f[M>>2]|0;if(!I){O=M;break}else G=M}if((O|0)!=(F|0)){G=f[O+16>>2]|0;if((c|0)!=(G|0)?(o7b(E,(G|0)==0?1163146:G)|0)<=-1:0){P=1;break}G=rCa(O+24|0,-1)|0;P=G}else P=1}else P=1;while(0);f[a+36>>2]=P;ZG(e);P=f[w>>2]|0;O=f[P+4>>2]|0;F=P;if((O|0)<=1){f[e>>2]=0;Q=e+4|0;f[Q>>2]=0;R=YG(e,73)|0;o=R;A=459152;p=o+73|0;do{b[o>>0]=b[A>>0]|0;o=o+1|0;A=A+1|0}while((o|0)<(p|0));SQ(-215,e,459031,459055,80)}if((O|0)==2)S=Y(f[P+12>>2]|0,f[P+8>>2]|0)|0;else{L=f[P+40>>2]|0;G=0;I=1;while(1){B=Y(f[L+(G<<2)>>2]|0,I)|0;G=G+1|0;if((G|0)==(O|0)){S=B;break}else I=B}}if((D-((D|0)%(z|0)|0)|0)!=(S|0)){f[e>>2]=0;Q=e+4|0;f[Q>>2]=0;R=YG(e,73)|0;o=R;A=459152;p=o+73|0;do{b[o>>0]=b[A>>0]|0;o=o+1|0;A=A+1|0}while((o|0)<(p|0));SQ(-215,e,459031,459055,80)}if(b[K>>0]|0){if(((f[y>>2]|0)-F|0)!=112){f[e>>2]=0;T=e+4|0;f[T>>2]=0;U=YG(e,69)|0;o=U;A=459226;p=o+69|0;do{b[o>>0]=b[A>>0]|0;o=o+1|0;A=A+1|0}while((o|0)<(p|0));SQ(-215,e,459031,459055,81)}F=f[P+60>>2]|0;if((F|0)<3)V=Y(f[P+68>>2]|0,f[P+64>>2]|0)|0;else{y=f[P+96>>2]|0;R=0;Q=1;while(1){S=Y(f[y+(R<<2)>>2]|0,Q)|0;R=R+1|0;if((R|0)==(F|0)){V=S;break}else Q=S}}if((z|0)!=(V|0)){f[e>>2]=0;T=e+4|0;f[T>>2]=0;U=YG(e,69)|0;o=U;A=459226;p=o+69|0;do{b[o>>0]=b[A>>0]|0;o=o+1|0;A=A+1|0}while((o|0)<(p|0));SQ(-215,e,459031,459055,81)}}xP(e,P,1,z);P=f[w>>2]|0;if((P|0)!=(e|0)){A=e+36|0;U=f[A>>2]|0;if(U|0){T=U+12|0;f[T>>2]=(f[T>>2]|0)+1}T=P+36|0;U=f[T>>2]|0;if(U|0?(V=U+12|0,U=f[V>>2]|0,f[V>>2]=U+-1,(U|0)==1):0)lP(P);f[T>>2]=0;U=P+16|0;V=P+4|0;f[U>>2]=0;f[U+4>>2]=0;f[U+8>>2]=0;f[U+12>>2]=0;if((f[V>>2]|0)>0){Q=f[P+40>>2]|0;F=0;do{f[Q+(F<<2)>>2]=0;F=F+1|0;W=f[V>>2]|0}while((F|0)<(W|0));f[P>>2]=f[e>>2];if((W|0)<3)X=55;else X=57}else{f[P>>2]=f[e>>2];X=55}if((X|0)==55){W=f[e+4>>2]|0;if((W|0)<3){f[V>>2]=W;f[P+8>>2]=f[e+8>>2];f[P+12>>2]=f[e+12>>2];W=f[e+44>>2]|0;V=f[P+44>>2]|0;f[V>>2]=f[W>>2];f[V+4>>2]=f[W+4>>2]}else X=57}if((X|0)==57)kP(P,e);f[U>>2]=f[e+16>>2];f[P+20>>2]=f[e+20>>2];f[P+24>>2]=f[e+24>>2];f[P+28>>2]=f[e+28>>2];f[P+32>>2]=f[e+32>>2];f[T>>2]=f[A>>2]}if((k|0)!=(P|0)){A=P+36|0;T=f[A>>2]|0;if(T|0){U=T+12|0;f[U>>2]=(f[U>>2]|0)+1}U=a+80|0;T=f[U>>2]|0;if(T|0?(W=T+12|0,T=f[W>>2]|0,f[W>>2]=T+-1,(T|0)==1):0)lP(k);f[U>>2]=0;T=a+60|0;f[T>>2]=0;f[T+4>>2]=0;f[T+8>>2]=0;f[T+12>>2]=0;if((f[l>>2]|0)>0){W=f[n>>2]|0;V=0;do{f[W+(V<<2)>>2]=0;V=V+1|0;Z=f[l>>2]|0}while((V|0)<(Z|0));f[k>>2]=f[P>>2];if((Z|0)<3)X=70;else X=72}else{f[k>>2]=f[P>>2];X=70}if((X|0)==70){Z=f[P+4>>2]|0;if((Z|0)<3){f[l>>2]=Z;f[m>>2]=f[P+8>>2];f[a+56>>2]=f[P+12>>2];Z=f[P+44>>2]|0;V=f[r>>2]|0;f[V>>2]=f[Z>>2];f[V+4>>2]=f[Z+4>>2]}else X=72}if((X|0)==72)kP(k,P);f[T>>2]=f[P+16>>2];f[a+64>>2]=f[P+20>>2];f[a+68>>2]=f[P+24>>2];f[a+72>>2]=f[P+28>>2];f[a+76>>2]=f[P+32>>2];f[U>>2]=f[A>>2]}A=e+36|0;U=f[A>>2]|0;if(U|0?(P=U+12|0,U=f[P>>2]|0,f[P>>2]=U+-1,(U|0)==1):0)lP(e);f[A>>2]=0;A=e+16|0;U=e+4|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[U>>2]|0)>0){A=f[e+40>>2]|0;P=0;do{f[A+(P<<2)>>2]=0;P=P+1|0}while((P|0)<(f[U>>2]|0))}U=f[e+44>>2]|0;if((U|0)!=(e+48|0))tE(U);U=a+56|0;P=f[U>>2]|0;if(P&7|0){A=P+7&-8;T=f[m>>2]|0;Z=f[k>>2]&4095;f[h>>2]=1124007936;V=h+4|0;W=h+8|0;F=h+40|0;o=V;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));f[F>>2]=W;W=h+48|0;o=h+44|0;f[o>>2]=W;f[W>>2]=0;f[h+52>>2]=0;f[e>>2]=T;f[e+4>>2]=A;iP(h,2,e,Z);f[e>>2]=-2147483648;f[e+4>>2]=2147483647;f[g>>2]=P;f[g+4>>2]=A;mP(i,h,e,g);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;f[e>>2]=-1056833530;f[e+4>>2]=g;f[e+8>>2]=1;f[e+12>>2]=4;oT(i,e,rE()|0)|0;f[e>>2]=-2147483648;f[e+4>>2]=2147483647;f[g>>2]=0;f[g+4>>2]=P;mP(j,h,e,g);g=j+36|0;P=f[g>>2]|0;if((k|0)==(j|0))_=P;else{if(P|0){A=P+12|0;f[A>>2]=(f[A>>2]|0)+1}A=a+80|0;P=f[A>>2]|0;do if(P|0){Z=P+12|0;T=f[Z>>2]|0;f[Z>>2]=T+-1;if((T|0)!=1)break;lP(k)}while(0);f[A>>2]=0;P=a+60|0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;if((f[l>>2]|0)>0){T=f[n>>2]|0;n=0;do{f[T+(n<<2)>>2]=0;n=n+1|0;$=f[l>>2]|0}while((n|0)<($|0));f[k>>2]=f[j>>2];if(($|0)<3)X=94;else X=96}else{f[k>>2]=f[j>>2];X=94}do if((X|0)==94){$=f[j+4>>2]|0;if(($|0)>=3){X=96;break}f[l>>2]=$;f[m>>2]=f[j+8>>2];f[U>>2]=f[j+12>>2];$=f[j+44>>2]|0;n=f[r>>2]|0;f[n>>2]=f[$>>2];f[n+4>>2]=f[$+4>>2]}while(0);if((X|0)==96)kP(k,j);f[P>>2]=f[j+16>>2];f[a+64>>2]=f[j+20>>2];f[a+68>>2]=f[j+24>>2];f[a+72>>2]=f[j+28>>2];f[a+76>>2]=f[j+32>>2];P=f[g>>2]|0;f[A>>2]=P;_=P}if(_|0?(P=_+12|0,_=f[P>>2]|0,f[P>>2]=_+-1,(_|0)==1):0)lP(j);f[g>>2]=0;g=j+16|0;_=j+4|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[_>>2]|0)>0){g=f[j+40>>2]|0;P=0;do{f[g+(P<<2)>>2]=0;P=P+1|0}while((P|0)<(f[_>>2]|0))}_=f[j+44>>2]|0;if((_|0)!=(j+48|0))tE(_);_=f[w>>2]|0;j=e+8|0;f[j>>2]=0;f[j+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=k;kT(_,e);_=i+36|0;j=f[_>>2]|0;do if(j|0){P=j+12|0;g=f[P>>2]|0;f[P>>2]=g+-1;if((g|0)!=1)break;lP(i)}while(0);f[_>>2]=0;_=i+16|0;j=i+4|0;f[_>>2]=0;f[_+4>>2]=0;f[_+8>>2]=0;f[_+12>>2]=0;if((f[j>>2]|0)>0){_=f[i+40>>2]|0;g=0;do{f[_+(g<<2)>>2]=0;g=g+1|0}while((g|0)<(f[j>>2]|0))}j=f[i+44>>2]|0;if((j|0)!=(i+48|0))tE(j);j=h+36|0;i=f[j>>2]|0;do if(i|0){g=i+12|0;_=f[g>>2]|0;f[g>>2]=_+-1;if((_|0)!=1)break;lP(h)}while(0);f[j>>2]=0;j=h+16|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[V>>2]|0)>0){j=f[F>>2]|0;F=0;do{f[j+(F<<2)>>2]=0;F=F+1|0}while((F|0)<(f[V>>2]|0))}V=f[o>>2]|0;if((V|0)!=(W|0))tE(V)}if(!(b[K>>0]|0)){pG(e,1,z,f[k>>2]&4095);k=f[e>>2]|0;rh[f[(f[k>>2]|0)+12>>2]&255](k,e,q,-1);Xi(e);u=d;return}xP(e,(f[w>>2]|0)+56|0,1,1);k=f[w>>2]|0;w=k+56|0;if((w|0)!=(e|0)){z=e+36|0;K=f[z>>2]|0;if(K|0){V=K+12|0;f[V>>2]=(f[V>>2]|0)+1}V=k+92|0;K=f[V>>2]|0;do if(K|0){W=K+12|0;o=f[W>>2]|0;f[W>>2]=o+-1;if((o|0)!=1)break;lP(w)}while(0);f[V>>2]=0;K=k+72|0;o=k+60|0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[o>>2]|0)>0){W=f[k+96>>2]|0;F=0;do{f[W+(F<<2)>>2]=0;F=F+1|0;aa=f[o>>2]|0}while((F|0)<(aa|0));f[w>>2]=f[e>>2];if((aa|0)<3)X=135;else X=137}else{f[w>>2]=f[e>>2];X=135}do if((X|0)==135){aa=f[e+4>>2]|0;if((aa|0)>=3){X=137;break}f[o>>2]=aa;f[k+64>>2]=f[e+8>>2];f[k+68>>2]=f[e+12>>2];aa=f[e+44>>2]|0;F=f[k+100>>2]|0;f[F>>2]=f[aa>>2];f[F+4>>2]=f[aa+4>>2]}while(0);if((X|0)==137)kP(w,e);f[K>>2]=f[e+16>>2];f[k+76>>2]=f[e+20>>2];f[k+80>>2]=f[e+24>>2];f[k+84>>2]=f[e+28>>2];f[k+88>>2]=f[e+32>>2];f[V>>2]=f[z>>2]}if((q|0)!=(w|0)){z=k+92|0;V=f[z>>2]|0;if(V|0){K=V+12|0;f[K>>2]=(f[K>>2]|0)+1}K=a+136|0;V=f[K>>2]|0;do if(V|0){o=V+12|0;aa=f[o>>2]|0;f[o>>2]=aa+-1;if((aa|0)!=1)break;lP(q)}while(0);f[K>>2]=0;V=a+116|0;f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;f[V+12>>2]=0;if((f[s>>2]|0)>0){aa=f[v>>2]|0;v=0;do{f[aa+(v<<2)>>2]=0;v=v+1|0;ba=f[s>>2]|0}while((v|0)<(ba|0));f[q>>2]=f[w>>2];if((ba|0)<3)X=150;else X=152}else{f[q>>2]=f[w>>2];X=150}do if((X|0)==150){ba=f[k+60>>2]|0;if((ba|0)>=3){X=152;break}f[s>>2]=ba;f[t>>2]=f[k+64>>2];f[a+112>>2]=f[k+68>>2];ba=f[k+100>>2]|0;v=f[x>>2]|0;f[v>>2]=f[ba>>2];f[v+4>>2]=f[ba+4>>2]}while(0);if((X|0)==152)kP(q,w);f[V>>2]=f[k+72>>2];f[a+120>>2]=f[k+76>>2];f[a+124>>2]=f[k+80>>2];f[a+128>>2]=f[k+84>>2];f[a+132>>2]=f[k+88>>2];f[K>>2]=f[z>>2]}z=e+36|0;K=f[z>>2]|0;if(K|0?(k=K+12|0,K=f[k>>2]|0,f[k>>2]=K+-1,(K|0)==1):0)lP(e);f[z>>2]=0;z=e+16|0;K=e+4|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[K>>2]|0)>0){z=f[e+40>>2]|0;k=0;do{f[z+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[K>>2]|0))}K=f[e+44>>2]|0;if((K|0)!=(e+48|0))tE(K);u=d;return}function jqb(a){a=a|0;Emc(a);return}function kqb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function lqb(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=135388;b=a+156|0;c=f[b>>2]|0;if(c|0?(d=c+4|0,e=f[d>>2]|0,f[d>>2]=e+-1,(e|0)==1):0)ai[f[(f[c>>2]|0)+8>>2]&2047](c);f[b>>2]=0;f[a+160>>2]=0;b=a+100|0;c=a+136|0;e=f[c>>2]|0;if(e|0?(d=e+12|0,e=f[d>>2]|0,f[d>>2]=e+-1,(e|0)==1):0)lP(b);f[c>>2]=0;c=a+116|0;b=a+104|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+140>>2]|0;e=0;do{f[c+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[b>>2]|0))}b=f[a+144>>2]|0;if((b|0)!=(a+148|0))tE(b);b=a+44|0;e=a+80|0;c=f[e>>2]|0;if(c|0?(d=c+12|0,c=f[d>>2]|0,f[d>>2]=c+-1,(c|0)==1):0)lP(b);f[e>>2]=0;e=a+60|0;b=a+48|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[b>>2]|0)>0){e=f[a+84>>2]|0;c=0;do{f[e+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+88>>2]|0;if((b|0)==(a+92|0)){Nza(a);return}tE(b);Nza(a);return}function mqb(a){a=a|0;lqb(a);Emc(a);return}function nqb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;g=u;u=u+144|0;h=g+88|0;i=g+80|0;j=g+68|0;k=g+56|0;l=g;zT(i,135488);if((BD(c,-1)|0)==3)gAa(a,c,d,e);else{f[j>>2]=0;e=j+4|0;f[e>>2]=0;f[j+8>>2]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;rD(c,j);rD(d,k);d=f[a+36>>2]|0;c=f[j>>2]|0;m=f[c+4>>2]|0;n=((d|0)<0?m:0)+d|0;d=c;if((n|0)<0){f[h>>2]=0;f[h+4>>2]=0;o=YG(h,35)|0;p=465122;q=o+35|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,h,475155,465158,997)}p=(m|0)<(n|0)?m:n;if((p|0)>0){n=f[c+40>>2]|0;m=1;o=0;while(1){q=Y(f[n+(o<<2)>>2]|0,m)|0;o=o+1|0;if((o|0)>=(p|0)){r=q;break}else m=q}}else r=1;if((f[e>>2]|0)!=(d|0)){d=a+44|0;m=a+100|0;p=a+160|0;a=l+36|0;o=l+16|0;n=l+4|0;q=l+40|0;s=l+44|0;t=l+48|0;v=h+36|0;w=h+16|0;x=h+4|0;y=h+40|0;z=h+44|0;A=h+48|0;B=0;C=c;do{xP(h,C+(B*56|0)|0,1,r);xP(l,(f[k>>2]|0)+(B*56|0)|0,1,r);c=pU()|0;uqb(h,d,m,l,f[p>>2]|0,c);c=f[a>>2]|0;if(c|0?(D=c+12|0,c=f[D>>2]|0,f[D>>2]=c+-1,(c|0)==1):0)lP(l);f[a>>2]=0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[n>>2]|0)>0){c=f[q>>2]|0;D=0;do{f[c+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[n>>2]|0))}D=f[s>>2]|0;if((D|0)!=(t|0))tE(D);D=f[v>>2]|0;if(D|0?(c=D+12|0,D=f[c>>2]|0,f[c>>2]=D+-1,(D|0)==1):0)lP(h);f[v>>2]=0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[x>>2]|0)>0){D=f[y>>2]|0;c=0;do{f[D+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[x>>2]|0))}c=f[z>>2]|0;if((c|0)!=(A|0))tE(c);B=B+1|0;C=f[j>>2]|0}while(B>>>0<(((f[e>>2]|0)-C|0)/56|0)>>>0)}rt(k);rt(j)}if(!(f[i+4>>2]|0)){u=g;return}u=g;return}function oqb(a,b){a=a|0;b=b|0;var c=0,d=0;switch(b|0){case 3:{c=1;break}case 1:{if(ACa()|0?(f[a+36>>2]|0)==1:0)c=1;else d=6;break}case 2:{if(_Da()|0)c=(f[a+36>>2]|0)==1;else c=0;break}default:d=6}if((d|0)==6)c=0;return c|0}function pqb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function qqb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function rqb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=a+156|0;d=a+160|0;a=b+4|0;do if(f[d>>2]|0){e=f[a>>2]|0;if(!e){g=e;break}else{h=0;return h|0}}else g=f[a>>2]|0;while(0);a=f[b>>2]|0;if(a|0){b=a+4|0;f[b>>2]=(f[b>>2]|0)+1}b=f[c>>2]|0;f[c>>2]=a;f[d>>2]=g;if(b|0?(g=b+4|0,a=f[g>>2]|0,f[g>>2]=a+-1,(a|0)==1):0)ai[f[(f[b>>2]|0)+8>>2]&2047](b);h=(f[d>>2]|0)!=0;return h|0}function sqb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;g=u;u=u+32|0;d=g+8|0;h=g;i=f[c>>2]|0;j=i;if(((f[c+4>>2]|0)-i|0)!=12){f[d>>2]=0;f[d+4>>2]=0;k=YG(d,18)|0;l=475475;m=k+18|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-215,d,475265,459055,112)}c=a+4|0;n=f[c>>2]|0;o=(f[a+8>>2]|0)-n|0;p=n;if(!((o|0)!=0&((o|0)/56|0)>>>0<3)){f[d>>2]=0;f[d+4>>2]=0;k=YG(d,38)|0;l=458992;m=k+38|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-215,d,475265,459055,113)}if((f[p+4>>2]|0)!=2){f[d>>2]=0;f[d+4>>2]=0;k=YG(d,18)|0;l=459296;m=k+18|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-215,d,475265,459055,114)}o=f[a+36>>2]|0;n=((o|0)<0?(f[j+4>>2]|0)-(f[i>>2]|0)>>2:0)+o|0;o=f[f[p+40>>2]>>2]|0;p=n+1|0;f[d>>2]=0;i=d+4|0;f[i>>2]=0;f[d+8>>2]=0;if(p>>>0>1073741823)Ukc(d);q=p<<2;r=Bmc(q)|0;f[d>>2]=r;s=r+(p<<2)|0;f[d+8>>2]=s;Drc(r|0,0,q|0)|0;f[i>>2]=s;if((n|0)>0){q=f[j>>2]|0;j=0;do{f[r+(j<<2)>>2]=f[q+(j<<2)>>2];j=j+1|0}while((j|0)!=(n|0))}f[s+-4>>2]=o;s=e+4|0;n=f[s>>2]|0;j=f[e>>2]|0;q=n-j|0;r=(q|0)/12|0;p=j;j=n;if(q){if(r>>>0>1?(q=p+12|0,(j|0)!=(q|0)):0){p=j;while(1){j=p+-12|0;f[s>>2]=j;n=f[j>>2]|0;if(!n)t=j;else{j=p+-8|0;v=f[j>>2]|0;if((v|0)!=(n|0))f[j>>2]=v+(~((v+-4-n|0)>>>2)<<2);Emc(n);t=f[s>>2]|0}if((t|0)==(q|0))break;else p=t}}}else Wmb(e,1-r|0,d);if(b[a+40>>0]|0){a=f[c>>2]|0;c=f[a+60>>2]|0;if((c|0)<3)w=Y(f[a+68>>2]|0,f[a+64>>2]|0)|0;else{r=f[a+96>>2]|0;a=0;e=1;while(1){t=Y(f[r+(a<<2)>>2]|0,e)|0;a=a+1|0;if((a|0)==(c|0)){w=t;break}else e=t}}if((o|0)!=(w|0)){f[h>>2]=0;f[h+4>>2]=0;k=YG(h,46)|0;l=459315;m=k+46|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-215,h,475265,459055,125)}}h=f[d>>2]|0;if(!h){u=g;return 0}d=f[i>>2]|0;if((d|0)!=(h|0))f[i>>2]=d+(~((d+-4-h|0)>>>2)<<2);Emc(h);u=g;return 0}function tqb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=u;u=u+16|0;e=c;g=f[d+4>>2]|0;h=f[d>>2]|0;d=h;if((g|0)==(h|0)){i=0;j=0;J=i;u=c;return j|0}k=f[(f[(f[a+4>>2]|0)+40>>2]|0)+4>>2]|0;a=Urc(k|0,((k|0)<0)<<31>>31|0,3,0)|0;k=J;l=(g-h|0)/12|0;h=0;g=0;m=0;while(1){n=f[d+(h*12|0)+4>>2]|0;o=f[d+(h*12|0)>>2]|0;p=n-o|0;q=p>>2;r=o;if((r|0)!=(n|0)){if((p|0)<=-4){s=7;break}if((p|0)>0){p=0;n=1;while(1){o=Y(f[r+(p<<2)>>2]|0,n)|0;p=p+1|0;if((p|0)>=(q|0)){t=o;break}else n=o}}else t=1}else t=0;n=Urc(a|0,k|0,t|0,((t|0)<0)<<31>>31|0)|0;q=Arc(n|0,J|0,g|0,m|0)|0;h=h+1|0;n=Hrc(0,q|0,32)|0;q=J;if(h>>>0>=l>>>0){i=q;j=n;s=3;break}else{g=n;m=q}}if((s|0)==3){J=i;u=c;return j|0}else if((s|0)==7){f[e>>2]=0;f[e+4>>2]=0;s=YG(e,70)|0;j=475084;c=s+70|0;do{b[s>>0]=b[j>>0]|0;s=s+1|0;j=j+1|0}while((s|0)<(c|0));SQ(-215,e,475155,475161,161)}return 0}function uqb(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;j=u;u=u+48|0;k=j+8|0;l=j;do if((((((f[a+4>>2]|0)==2?(f[a+12>>2]|0)==(f[c+12>>2]|0):0)?(f[g+8>>2]|0)==(f[a+8>>2]|0):0)?(m=f[g+12>>2]|0,(m|0)==(f[c+8>>2]|0)):0)?(n=f[a>>2]|0,o=n&4095,(o|0)==(f[c>>2]&4095|0)):0)?((o|0)==5?(o|0)==(f[g>>2]&4095|0):0):0){if(f[e+16>>2]|0){o=f[e+4>>2]|0;p=(o|0)<3;if(p)q=Y(f[e+12>>2]|0,f[e+8>>2]|0)|0;else{r=f[e+40>>2]|0;s=0;t=1;while(1){v=Y(f[r+(s<<2)>>2]|0,t)|0;s=s+1|0;if((s|0)==(o|0)){q=v;break}else t=v}}if(!((o|0)==0|(q|0)==0)){t=f[e>>2]|0;if(!((t&16384|0)!=0&((n^t)&4095|0)==0))break;if(p)w=Y(f[e+12>>2]|0,f[e+8>>2]|0)|0;else{t=f[e+40>>2]|0;s=0;r=1;while(1){v=Y(f[t+(s<<2)>>2]|0,r)|0;s=s+1|0;if((s|0)==(o|0)){w=v;break}else r=v}}if((w|0)!=(m|0))break}}f[k>>2]=135528;r=k+4|0;o=r+24|0;d[o>>1]=0;b[o+2>>0]=0;f[r>>2]=a;f[k+8>>2]=c;f[k+12>>2]=e;f[k+20>>2]=g;f[k+24>>2]=i;f[k+16>>2]=h;r=(vR(10)|0)&1;b[k+28>>0]=r;r=(vR(11)|0)&1;b[k+29>>0]=r;b[k+30>>0]=0;f[l>>2]=0;f[l+4>>2]=i;oU(l,k,+(i|0));u=j;return}while(0);f[k>>2]=0;f[k+4>>2]=0;Krc(YG(k,328)|0,459362,328)|0;SQ(-215,k,475577,459055,160)}function vqb(a){a=a|0;Emc(a);return}function wqb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0;c=u;u=u+1072|0;d=c;e=a+4|0;g=f[e>>2]|0;h=a+8|0;i=f[h>>2]|0;j=f[i+8>>2]|0;k=f[g+12>>2]|0;l=k+7|0;m=l&-8;o=Y(j,f[g+8>>2]|0)|0;g=f[a+24>>2]|0;p=((o+-1+g|0)>>>0)/(g>>>0)|0;q=Y(f[b>>2]|0,p)|0;r=f[b+4>>2]|0;b=Y(r,p)|0;p=(r|0)==(g|0)|o>>>0<b>>>0?o:b;b=((f[f[i+44>>2]>>2]|0)>>>0)/((1212424721>>>(f[i>>2]<<2&28)&15)>>>0)|0;i=m+8|0;o=d+8|0;f[d>>2]=o;g=d+4|0;f[g>>2]=i;if(i>>>0>264){r=Dmc(i>>>0>1073741823?-1:i<<2)|0;f[d>>2]=r;s=r}else s=o;r=s+31&-32;s=r;if((k|0)<(m|0))Drc(s+(k<<2)|0,0,(l>>>3<<5)-(k<<2)|0)|0;a:do if(p>>>0>q>>>0){l=a+20|0;m=a+12|0;i=r;t=k<<2;v=a+16|0;if((k|0)>0)w=q;else{x=q;while(1){y=(x>>>0)/(j>>>0)|0;z=x-(Y(y,j)|0)|0;A=f[e>>2]|0;B=(f[A+16>>2]|0)+(Y(f[f[A+44>>2]>>2]|0,y)|0)|0;A=f[l>>2]|0;C=(f[A+16>>2]|0)+(Y(f[f[A+44>>2]>>2]|0,y)|0)+(z<<2)|0;y=(f[(f[m>>2]|0)+16>>2]|0)+(z<<2)|0;A=j-z|0;D=p-x|0;E=(D|0)<(A|0)?D:A;Krc(i|0,B|0,t|0)|0;if((E|0)>0){B=0;do{f[C+(B<<2)>>2]=f[y+(B<<2)>>2];B=B+1|0}while((B|0)<(E|0))}B=f[v>>2]|0;if(B|0)Oh[f[(f[B>>2]|0)+100>>2]&127](B,C,C,1,1,z,E+z|0);x=E+x|0;if(p>>>0<=x>>>0)break a}}do{x=(w>>>0)/(j>>>0)|0;B=w-(Y(x,j)|0)|0;y=f[e>>2]|0;A=(f[y+16>>2]|0)+(Y(f[f[y+44>>2]>>2]|0,x)|0)|0;y=f[h>>2]|0;D=f[y+16>>2]|0;F=f[f[y+44>>2]>>2]|0;y=f[l>>2]|0;G=(f[y+16>>2]|0)+(Y(f[f[y+44>>2]>>2]|0,x)|0)+(B<<2)|0;x=(f[(f[m>>2]|0)+16>>2]|0)+(B<<2)|0;y=j-B|0;H=p-w|0;I=(H|0)<(y|0)?H:y;Krc(i|0,A|0,t|0)|0;if((I|0)>0){A=0;y=D+(Y(F,B)|0)|0;while(1){J=+n[x+(A<<2)>>2];F=0;do{J=J+ +n[s+(F<<2)>>2]*+n[y+(F<<2)>>2];F=F+1|0}while((F|0)!=(k|0));n[G+(A<<2)>>2]=J;A=A+1|0;if((A|0)>=(I|0))break;else y=y+(b<<2)|0}}y=f[v>>2]|0;if(y|0)Oh[f[(f[y>>2]|0)+100>>2]&127](y,G,G,1,1,B,I+B|0);w=I+w|0}while(p>>>0>w>>>0)}while(0);w=f[d>>2]|0;if((w|0)==(o|0)){u=c;return}if(w|0)Fmc(w);f[d>>2]=o;f[g>>2]=264;u=c;return}function xqb(){var a=0;f[133754]=0;f[133755]=0;f[133756]=0;b[535027]=8;a=535016;f[a>>2]=1869181520;f[a+4>>2]=2020557426;b[535024]=0;Ad(1633,535016,x|0)|0;return}function yqb(a,b){a=a|0;b=b|0;var c=0;c=Bmc(132)|0;zqb(c,b);b=Bmc(16)|0;f[b+4>>2]=1;f[b>>2]=135548;f[b+8>>2]=c;f[a>>2]=b;f[a+4>>2]=c;return}function zqb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0.0,ca=0,da=0,ea=0,fa=0,ga=0.0,ha=0,ia=0,ja=0,ka=0.0,la=0.0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0;d=u;u=u+64|0;e=d+16|0;g=d+48|0;h=d;i=d+36|0;j=d+32|0;k=d+28|0;uCa(a);f[a>>2]=135568;l=a+52|0;m=a+56|0;o=a+76|0;p=a+80|0;q=a+88|0;r=a+92|0;s=a+100|0;t=a+104|0;v=a+112|0;w=a+116|0;x=l;y=x+72|0;do{f[x>>2]=0;x=x+4|0}while((x|0)<(y|0));vCa(a,c);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;z=e+11|0;b[z>>0]=8;A=e;f[A>>2]=1601071469;f[A+4>>2]=1702521203;b[e+8>>0]=0;f[g>>2]=0;n[h>>2]=0.0;B=+Cqb(a,c,e,g,0,h);A=a+36|0;n[A>>2]=B;if((b[z>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;z=e+11|0;b[z>>0]=4;f[e>>2]=1885957222;b[e+4>>0]=0;f[g>>2]=0;b[h>>0]=1;C=(Dqb(a,c,e,g,0,h)|0)&1;b[a+124>>0]=C;if((b[z>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;z=e+11|0;b[z>>0]=4;f[e>>2]=1885957219;b[e+4>>0]=0;f[g>>2]=0;b[h>>0]=1;C=(Dqb(a,c,e,g,0,h)|0)&1;b[a+125>>0]=C;if((b[z>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;z=Bmc(16)|0;f[e>>2]=z;f[e+8>>2]=-2147483632;f[e+4>>2]=15;x=z;C=465803;y=x+15|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));b[z+15>>0]=0;f[g>>2]=0;b[h>>0]=1;z=(Dqb(a,c,e,g,0,h)|0)&1;b[a+127>>0]=z;if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);z=f[l>>2]|0;D=f[m>>2]|0;if((D|0)!=(z|0))f[m>>2]=D+(~((D+-4-z|0)>>>2)<<2);Eqb(a,c);Fqb(a,c);z=a+40|0;n[z>>2]=-1.0;f[e>>2]=0;f[e+4>>2]=0;D=YG(e,8)|0;E=D;b[E>>0]=109;b[E+1>>0]=97;b[E+2>>0]=120;b[E+3>>0]=95;E=D+4|0;b[E>>0]=115;b[E+1>>0]=105;b[E+2>>0]=122;b[E+3>>0]=101;E=c+4|0;D=f[E>>2]|0;do if(D){F=f[e>>2]|0;G=(F|0)==0?1163146:F;H=D;while(1){I=f[H+16>>2]|0;if((F|0)==(I|0)){J=19;break}K=(I|0)==0?1163146:I;if((o7b(G,K)|0)<0)L=H;else{if((o7b(K,G)|0)>=0){J=20;break}L=H+4|0}H=f[L>>2]|0;if(!H){J=24;break}}if((J|0)==19)ZG(e);else if((J|0)==20)ZG(e);else if((J|0)==24){ZG(e);break}f[e>>2]=0;f[e+4>>2]=0;H=YG(e,8)|0;G=H;b[G>>0]=109;b[G+1>>0]=97;b[G+2>>0]=120;b[G+3>>0]=95;G=H+4|0;b[G>>0]=115;b[G+1>>0]=105;b[G+2>>0]=122;b[G+3>>0]=101;B=+eEa(dDa(c,e)|0,0);n[z>>2]=B;ZG(e);if(!(+n[z>>2]>+n[A>>2])){f[e>>2]=0;f[e+4>>2]=0;x=YG(e,19)|0;C=460028;y=x+19|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));SQ(-215,e,460048,460066,197)}}else ZG(e);while(0);f[e>>2]=0;L=e+4|0;f[L>>2]=0;f[e+8>>2]=0;f[g>>2]=0;D=g+4|0;f[D>>2]=0;f[g+8>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;G=h+11|0;b[G>>0]=5;b[h>>0]=b[473145]|0;b[h+1>>0]=b[473146]|0;b[h+2>>0]=b[473147]|0;b[h+3>>0]=b[473148]|0;b[h+4>>0]=b[473149]|0;b[h+5>>0]=0;Gqb(h,c,e);if((b[G>>0]|0)<0)Emc(f[h>>2]|0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;G=h+11|0;b[G>>0]=6;b[h>>0]=b[473280]|0;b[h+1>>0]=b[473281]|0;b[h+2>>0]=b[473282]|0;b[h+3>>0]=b[473283]|0;b[h+4>>0]=b[473284]|0;b[h+5>>0]=b[473285]|0;b[h+6>>0]=0;Gqb(h,c,g);if((b[G>>0]|0)<0)Emc(f[h>>2]|0);G=f[e>>2]|0;H=f[L>>2]|0;F=(G|0)!=(H|0);b[a+126>>0]=F&1;if((H-G|0)!=((f[D>>2]|0)-(f[g>>2]|0)|0)){f[h>>2]=0;f[h+4>>2]=0;x=YG(h,31)|0;C=460146;y=x+31|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));SQ(-215,h,460048,460066,204)}if(F){if((f[l>>2]|0)!=(f[m>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;x=YG(h,21)|0;C=460178;y=x+21|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));SQ(-215,h,460048,460066,208)}f[h>>2]=0;f[h+4>>2]=0;F=YG(h,8)|0;G=F;b[G>>0]=109;b[G+1>>0]=105;b[G+2>>0]=110;b[G+3>>0]=95;G=F+4|0;b[G>>0]=115;b[G+1>>0]=105;b[G+2>>0]=122;b[G+3>>0]=101;G=f[E>>2]|0;do if(G){F=f[h>>2]|0;H=(F|0)==0?1163146:F;K=G;while(1){I=f[K+16>>2]|0;if((F|0)==(I|0)){J=42;break}N=(I|0)==0?1163146:I;if((o7b(H,N)|0)<0)O=K;else{if((o7b(N,H)|0)>=0){J=43;break}O=K+4|0}K=f[O>>2]|0;if(!K){J=46;break}}if((J|0)==42){ZG(h);f[h>>2]=0;P=h+4|0;f[P>>2]=0;Q=YG(h,23)|0;x=Q;C=460200;y=x+23|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));SQ(-215,h,460048,460066,209)}else if((J|0)==43){ZG(h);f[h>>2]=0;P=h+4|0;f[P>>2]=0;Q=YG(h,23)|0;x=Q;C=460200;y=x+23|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));SQ(-215,h,460048,460066,209)}else if((J|0)==46){ZG(h);break}}else ZG(h);while(0);f[h>>2]=0;f[h+4>>2]=0;Q=YG(h,8)|0;P=Q;b[P>>0]=109;b[P+1>>0]=97;b[P+2>>0]=120;b[P+3>>0]=95;P=Q+4|0;b[P>>0]=115;b[P+1>>0]=105;b[P+2>>0]=122;b[P+3>>0]=101;P=f[E>>2]|0;do if(P){Q=f[h>>2]|0;O=(Q|0)==0?1163146:Q;G=P;while(1){K=f[G+16>>2]|0;if((Q|0)==(K|0)){J=55;break}H=(K|0)==0?1163146:K;if((o7b(O,H)|0)<0)R=G;else{if((o7b(H,O)|0)>=0){J=56;break}R=G+4|0}G=f[R>>2]|0;if(!G){J=59;break}}if((J|0)==55){ZG(h);f[h>>2]=0;S=h+4|0;f[S>>2]=0;T=YG(h,23)|0;x=T;C=460224;y=x+23|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));SQ(-215,h,460048,460066,210)}else if((J|0)==56){ZG(h);f[h>>2]=0;S=h+4|0;f[S>>2]=0;T=YG(h,23)|0;x=T;C=460224;y=x+23|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));SQ(-215,h,460048,460066,210)}else if((J|0)==59){ZG(h);break}}else ZG(h);while(0);if((s|0)!=(e|0))ZA(s,f[e>>2]|0,f[L>>2]|0);if((v|0)!=(g|0))ZA(v,f[g>>2]|0,f[D>>2]|0)}else{if(!(+n[A>>2]>0.0)){f[h>>2]=0;f[h+4>>2]=0;x=YG(h,12)|0;C=460248;y=x+12|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));SQ(-215,h,460048,460066,216)}T=((f[m>>2]|0)-(f[l>>2]|0)>>2)+(+n[z>>2]>0.0?2:1)|0;S=f[t>>2]|0;R=f[s>>2]|0;P=S-R>>2;G=R;O=S;Q=R;if(T>>>0<=P>>>0)if(T>>>0<P>>>0?(H=G+(T<<2)|0,(O|0)!=(H|0)):0){K=O+(~((O+-4-H|0)>>>2)<<2)|0;f[t>>2]=K;U=R;V=K;W=G;X=Q}else{U=R;V=S;W=G;X=Q}else{hua(s,T-P|0);P=f[s>>2]|0;U=P;V=f[t>>2]|0;W=P;X=P}P=V-U>>2;U=f[w>>2]|0;V=f[v>>2]|0;T=U-V>>2;Q=V;G=U;U=V;if(P>>>0<=T>>>0)if(P>>>0<T>>>0?(V=Q+(P<<2)|0,(G|0)!=(V|0)):0){f[w>>2]=G+(~((G+-4-V|0)>>>2)<<2);Z=U;_=X;$=Q;aa=W}else{Z=U;_=X;$=Q;aa=W}else{hua(v,P-T|0);T=f[v>>2]|0;P=f[s>>2]|0;Z=T;_=P;$=T;aa=P}P=f[A>>2]|0;f[Z>>2]=P;f[_>>2]=P;B=+n[z>>2];if(B>0.0){ba=+M(+(B*+n[A>>2]));n[$+4>>2]=ba;n[aa+4>>2]=ba;ca=2}else ca=1;z=f[m>>2]|0;m=f[l>>2]|0;l=m;if((z|0)!=(m|0)){P=z-m>>2;m=0;do{ba=+M(+(+n[l+(m<<2)>>2]));z=m+ca|0;n[aa+(z<<2)>>2]=ba*+n[A>>2];n[$+(z<<2)>>2]=+n[A>>2]/ba;m=m+1|0}while(m>>>0<P>>>0)}}P=(f[t>>2]|0)-(f[s>>2]|0)>>2;if((P|0)!=((f[w>>2]|0)-(f[v>>2]|0)>>2|0)){f[h>>2]=0;f[h+4>>2]=0;x=YG(h,39)|0;C=460261;y=x+39|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));SQ(-215,h,460048,460066,237)}v=a+128|0;f[v>>2]=P;f[h>>2]=0;f[h+4>>2]=0;P=YG(h,6)|0;b[P>>0]=b[460301]|0;b[P+1>>0]=b[460302]|0;b[P+2>>0]=b[460303]|0;b[P+3>>0]=b[460304]|0;b[P+4>>0]=b[460305]|0;b[P+5>>0]=b[460306]|0;P=f[E>>2]|0;a:do if(P){w=f[h>>2]|0;s=(w|0)==0?1163146:w;t=P;while(1){m=f[t+16>>2]|0;if((w|0)==(m|0)){J=100;break}A=(m|0)==0?1163146:m;if((o7b(s,A)|0)<0)da=t;else{if((o7b(A,s)|0)>=0){J=101;break}da=t+4|0}t=f[da>>2]|0;if(!t){J=91;break a}}if((J|0)==100){ZG(h);J=103;break}else if((J|0)==101){ZG(h);J=103;break}}else J=91;while(0);b:do if((J|0)==91){f[i>>2]=0;f[i+4>>2]=0;da=YG(i,6)|0;b[da>>0]=b[460308]|0;b[da+1>>0]=b[460309]|0;b[da+2>>0]=b[460310]|0;b[da+3>>0]=b[460311]|0;b[da+4>>0]=b[460312]|0;b[da+5>>0]=b[460313]|0;da=f[E>>2]|0;do if(da){P=f[i>>2]|0;t=(P|0)==0?1163146:P;s=da;while(1){w=f[s+16>>2]|0;if((P|0)==(w|0)){J=102;break}A=(w|0)==0?1163146:w;if((o7b(t,A)|0)<0)ea=s;else{if((o7b(A,t)|0)>=0){J=99;break}ea=s+4|0}s=f[ea>>2]|0;if(!s){J=125;break}}if((J|0)==99){ZG(i);ZG(h);J=103;break b}else if((J|0)==102){ZG(i);ZG(h);J=103;break b}else if((J|0)==125){ZG(i);ZG(h);break}}else{ZG(i);ZG(h)}while(0);f[h>>2]=0;f[h+4>>2]=0;da=YG(h,4)|0;b[da>>0]=115;b[da+1>>0]=116;b[da+2>>0]=101;b[da+3>>0]=112;da=f[E>>2]|0;do if(da){s=f[h>>2]|0;t=(s|0)==0?1163146:s;P=da;while(1){A=f[P+16>>2]|0;if((s|0)==(A|0)){J=134;break}w=(A|0)==0?1163146:A;if((o7b(t,w)|0)<0)fa=P;else{if((o7b(w,t)|0)>=0){J=135;break}fa=P+4|0}P=f[fa>>2]|0;if(!P){J=141;break}}if((J|0)==134)ZG(h);else if((J|0)==135)ZG(h);else if((J|0)==141){ZG(h);ga=0.0;break};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;P=h+11|0;b[P>>0]=4;f[h>>2]=1885697139;b[h+4>>0]=0;f[i>>2]=0;n[j>>2]=0.0;ba=+Cqb(a,c,h,i,1,j);if((b[P>>0]|0)<0)Emc(f[h>>2]|0);if(ba>0.0)ga=ba;else{f[h>>2]=0;f[h+4>>2]=0;P=YG(h,8)|0;t=P;b[t>>0]=115;b[t+1>>0]=116;b[t+2>>0]=101;b[t+3>>0]=112;t=P+4|0;b[t>>0]=32;b[t+1>>0]=62;b[t+2>>0]=32;b[t+3>>0]=48;SQ(-215,h,460048,460066,248)}}else{ZG(h);ga=0.0}while(0);n[a+48>>2]=ga;n[a+44>>2]=ga}while(0);if((J|0)==103){f[h>>2]=0;f[h+4>>2]=0;fa=YG(h,4)|0;b[fa>>0]=115;b[fa+1>>0]=116;b[fa+2>>0]=101;b[fa+3>>0]=112;fa=f[E>>2]|0;do if(fa){ea=f[h>>2]|0;da=(ea|0)==0?1163146:ea;t=fa;while(1){P=f[t+16>>2]|0;if((ea|0)==(P|0)){J=111;break}s=(P|0)==0?1163146:P;if((o7b(da,s)|0)<0)ha=t;else{if((o7b(s,da)|0)>=0){J=112;break}ha=t+4|0}t=f[ha>>2]|0;if(!t){J=115;break}}if((J|0)==111){ZG(h);f[h>>2]=0;ia=h+4|0;f[ia>>2]=0;ja=YG(h,19)|0;x=ja;C=460315;y=x+19|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));SQ(-215,h,460048,460066,241)}else if((J|0)==112){ZG(h);f[h>>2]=0;ia=h+4|0;f[ia>>2]=0;ja=YG(h,19)|0;x=ja;C=460315;y=x+19|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));SQ(-215,h,460048,460066,241)}else if((J|0)==115){ZG(h);break}}else ZG(h);while(0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;ja=h+11|0;b[ja>>0]=6;b[h>>0]=b[460301]|0;b[h+1>>0]=b[460302]|0;b[h+2>>0]=b[460303]|0;b[h+3>>0]=b[460304]|0;b[h+4>>0]=b[460305]|0;b[h+5>>0]=b[460306]|0;b[h+6>>0]=0;f[i>>2]=0;n[j>>2]=0.0;ga=+Cqb(a,c,h,i,1,j);ia=a+48|0;n[ia>>2]=ga;if((b[ja>>0]|0)<0){Emc(f[h>>2]|0);ka=+n[ia>>2]}else ka=ga;if(!(ka>0.0)){f[h>>2]=0;f[h+4>>2]=0;x=YG(h,11)|0;C=460335;y=x+11|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));SQ(-215,h,460048,460066,243)};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;ia=h+11|0;b[ia>>0]=6;b[h>>0]=b[460308]|0;b[h+1>>0]=b[460309]|0;b[h+2>>0]=b[460310]|0;b[h+3>>0]=b[460311]|0;b[h+4>>0]=b[460312]|0;b[h+5>>0]=b[460313]|0;b[h+6>>0]=0;f[i>>2]=0;n[j>>2]=0.0;ka=+Cqb(a,c,h,i,1,j);ja=a+44|0;n[ja>>2]=ka;if((b[ia>>0]|0)<0){Emc(f[h>>2]|0);la=+n[ja>>2]}else la=ka;if(!(la>0.0)){f[h>>2]=0;f[h+4>>2]=0;x=YG(h,11)|0;C=460347;y=x+11|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));SQ(-215,h,460048,460066,245)}}f[h>>2]=0;f[h+4>>2]=0;ja=YG(h,8)|0;ia=ja;b[ia>>0]=111;b[ia+1>>0]=102;b[ia+2>>0]=102;b[ia+3>>0]=115;ia=ja+4|0;b[ia>>0]=101;b[ia+1>>0]=116;b[ia+2>>0]=95;b[ia+3>>0]=104;ia=f[E>>2]|0;c:do if(ia){ja=f[h>>2]|0;ha=(ja|0)==0?1163146:ja;fa=ia;while(1){t=f[fa+16>>2]|0;if((ja|0)==(t|0)){J=160;break}da=(t|0)==0?1163146:t;if((o7b(ha,da)|0)<0)ma=fa;else{if((o7b(da,ha)|0)>=0){J=161;break}ma=fa+4|0}fa=f[ma>>2]|0;if(!fa){J=151;break c}}if((J|0)==160){ZG(h);J=163;break}else if((J|0)==161){ZG(h);J=163;break}}else J=151;while(0);d:do if((J|0)==151){f[i>>2]=0;f[i+4>>2]=0;ma=YG(i,8)|0;ia=ma;b[ia>>0]=111;b[ia+1>>0]=102;b[ia+2>>0]=102;b[ia+3>>0]=115;ia=ma+4|0;b[ia>>0]=101;b[ia+1>>0]=116;b[ia+2>>0]=95;b[ia+3>>0]=119;ia=f[E>>2]|0;do if(ia){ma=f[i>>2]|0;fa=(ma|0)==0?1163146:ma;ha=ia;while(1){ja=f[ha+16>>2]|0;if((ma|0)==(ja|0)){J=162;break}da=(ja|0)==0?1163146:ja;if((o7b(fa,da)|0)<0)na=ha;else{if((o7b(da,fa)|0)>=0){J=159;break}na=ha+4|0}ha=f[na>>2]|0;if(!ha){J=210;break}}if((J|0)==159){ZG(i);ZG(h);J=163;break d}else if((J|0)==162){ZG(i);ZG(h);J=163;break d}else if((J|0)==210){ZG(i);ZG(h);break}}else{ZG(i);ZG(h)}while(0);f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;ia=i+11|0;b[ia>>0]=6;b[i>>0]=b[462904]|0;b[i+1>>0]=b[462905]|0;b[i+2>>0]=b[462906]|0;b[i+3>>0]=b[462907]|0;b[i+4>>0]=b[462908]|0;b[i+5>>0]=b[462909]|0;b[i+6>>0]=0;f[j>>2]=0;n[k>>2]=.5;la=+Cqb(a,c,i,j,0,k);if((b[ia>>0]|0)<0)Emc(f[i>>2]|0);n[h>>2]=la;nnb(o,1,h);nnb(q,1,h)}while(0);do if((J|0)==163){f[h>>2]=0;f[h+4>>2]=0;i=YG(h,6)|0;b[i>>0]=b[462904]|0;b[i+1>>0]=b[462905]|0;b[i+2>>0]=b[462906]|0;b[i+3>>0]=b[462907]|0;b[i+4>>0]=b[462908]|0;b[i+5>>0]=b[462909]|0;i=f[E>>2]|0;do if(i){k=f[h>>2]|0;j=(k|0)==0?1163146:k;a=i;while(1){na=f[a+16>>2]|0;if((k|0)==(na|0)){J=171;break}ia=(na|0)==0?1163146:na;if((o7b(j,ia)|0)<0)oa=a;else{if((o7b(ia,j)|0)>=0){J=172;break}oa=a+4|0}a=f[oa>>2]|0;if(!a){J=175;break}}if((J|0)==171){ZG(h);f[h>>2]=0;pa=h+4|0;f[pa>>2]=0;qa=YG(h,21)|0;x=qa;C=460359;y=x+21|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));SQ(-215,h,460048,460066,257)}else if((J|0)==172){ZG(h);f[h>>2]=0;pa=h+4|0;f[pa>>2]=0;qa=YG(h,21)|0;x=qa;C=460359;y=x+21|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));SQ(-215,h,460048,460066,257)}else if((J|0)==175){ZG(h);break}}else ZG(h);while(0);f[h>>2]=0;f[h+4>>2]=0;i=YG(h,8)|0;a=i;b[a>>0]=111;b[a+1>>0]=102;b[a+2>>0]=102;b[a+3>>0]=115;a=i+4|0;b[a>>0]=101;b[a+1>>0]=116;b[a+2>>0]=95;b[a+3>>0]=104;a=f[E>>2]|0;if(!a){ZG(h);f[h>>2]=0;ra=h+4|0;f[ra>>2]=0;sa=YG(h,22)|0;x=sa;C=460381;y=x+22|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));SQ(-215,h,460048,460066,257)}i=f[h>>2]|0;j=(i|0)==0?1163146:i;k=a;while(1){ia=f[k+16>>2]|0;if((i|0)==(ia|0)){J=184;break}na=(ia|0)==0?1163146:ia;if((o7b(j,na)|0)<0)ta=k;else{if((o7b(na,j)|0)>=0){J=188;break}ta=k+4|0}k=f[ta>>2]|0;if(!k){J=186;break}}if((J|0)==184)ZG(h);else if((J|0)==186){ZG(h);f[h>>2]=0;ra=h+4|0;f[ra>>2]=0;sa=YG(h,22)|0;x=sa;C=460381;y=x+22|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));SQ(-215,h,460048,460066,257)}else if((J|0)==188)ZG(h);f[h>>2]=0;f[h+4>>2]=0;k=YG(h,8)|0;j=k;b[j>>0]=111;b[j+1>>0]=102;b[j+2>>0]=102;b[j+3>>0]=115;j=k+4|0;b[j>>0]=101;b[j+1>>0]=116;b[j+2>>0]=95;b[j+3>>0]=119;j=f[E>>2]|0;if(!j){ZG(h);f[h>>2]=0;ua=h+4|0;f[ua>>2]=0;va=YG(h,22)|0;x=va;C=460404;y=x+22|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));SQ(-215,h,460048,460066,257)}k=f[h>>2]|0;i=(k|0)==0?1163146:k;a=j;while(1){na=f[a+16>>2]|0;if((k|0)==(na|0)){J=197;break}ia=(na|0)==0?1163146:na;if((o7b(i,ia)|0)<0)wa=a;else{if((o7b(ia,i)|0)>=0){J=201;break}wa=a+4|0}a=f[wa>>2]|0;if(!a){J=199;break}}if((J|0)==197)ZG(h);else if((J|0)==199){ZG(h);f[h>>2]=0;ua=h+4|0;f[ua>>2]=0;va=YG(h,22)|0;x=va;C=460404;y=x+22|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));SQ(-215,h,460048,460066,257)}else if((J|0)==201)ZG(h);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;a=h+11|0;b[a>>0]=8;i=h;f[i>>2]=1936090735;f[i+4>>2]=1751086181;b[h+8>>0]=0;Gqb(h,c,q);if((b[a>>0]|0)<0)Emc(f[h>>2]|0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;a=h+11|0;b[a>>0]=8;i=h;f[i>>2]=1936090735;f[i+4>>2]=2002744421;b[h+8>>0]=0;Gqb(h,c,o);if((b[a>>0]|0)<0)Emc(f[h>>2]|0);a=(f[p>>2]|0)-(f[o>>2]|0)|0;if((a|0)==((f[r>>2]|0)-(f[q>>2]|0)|0)){i=(a>>1)+-2|0;a=Y(f[v>>2]|0,i>>>0>1?i:1)|0;f[v>>2]=a;break}else{f[h>>2]=0;f[h+4>>2]=0;x=YG(h,36)|0;C=460427;y=x+36|0;do{b[x>>0]=b[C>>0]|0;x=x+1|0;C=C+1|0}while((x|0)<(y|0));SQ(-215,h,460048,460066,260)}}while(0);h=f[g>>2]|0;if(h|0){g=f[D>>2]|0;if((g|0)!=(h|0))f[D>>2]=g+(~((g+-4-h|0)>>>2)<<2);Emc(h)}h=f[e>>2]|0;if(!h){u=d;return}e=f[L>>2]|0;if((e|0)!=(h|0))f[L>>2]=e+(~((e+-4-h|0)>>>2)<<2);Emc(h);u=d;return}function Aqb(a){a=a|0;Emc(a);return}function Bqb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Cqb(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0.0;a=u;u=u+32|0;i=a+24|0;j=a+8|0;k=a;f[i>>2]=0;l=Bmc(16)|0;m=l+8|0;f[l>>2]=m;f[l+4>>2]=1;f[i+4>>2]=l;l=m;f[l>>2]=0;f[l+4>>2]=0;if(Hqb(c,d,i)|0){o=+eEa(i,f[e>>2]|0);rza(i);u=a;return +o}if(!g){o=+n[h>>2];rza(i);u=a;return +o}Nmc(j,535016);anc(j,466022)|0;a=b[d+11>>0]|0;i=a<<24>>24<0;$mc(j,i?f[d>>2]|0:d,i?f[d+4>>2]|0:a&255)|0;anc(j,466057)|0;f[k>>2]=0;f[k+4>>2]=0;a=j+11|0;d=b[a>>0]|0;i=d<<24>>24<0?f[j+4>>2]|0:d&255;if(!i)SQ(-5,k,466069,460066,92);d=YG(k,i)|0;Krc(d|0,((b[a>>0]|0)<0?f[j>>2]|0:j)|0,i|0)|0;SQ(-5,k,466069,460066,92);return +(0.0)}function Dqb(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0;a=u;u=u+32|0;i=a+24|0;j=a+8|0;k=a;f[i>>2]=0;l=Bmc(16)|0;m=l+8|0;f[l>>2]=m;f[l+4>>2]=1;f[i+4>>2]=l;l=m;f[l>>2]=0;f[l+4>>2]=0;if(Hqb(c,d,i)|0){c=rCa(i,f[e>>2]|0)|0;n=(c|0)!=0|(J|0)!=0;rza(i);u=a;return n|0}if(!g){n=(b[h>>0]|0)!=0;rza(i);u=a;return n|0}Nmc(j,535016);anc(j,466022)|0;n=b[d+11>>0]|0;a=n<<24>>24<0;$mc(j,a?f[d>>2]|0:d,a?f[d+4>>2]|0:n&255)|0;anc(j,466057)|0;f[k>>2]=0;f[k+4>>2]=0;n=j+11|0;d=b[n>>0]|0;a=d<<24>>24<0?f[j+4>>2]|0:d&255;if(!a)SQ(-5,k,466069,460066,92);d=YG(k,a)|0;Krc(d|0,((b[n>>0]|0)<0?f[j>>2]|0:j)|0,a|0)|0;SQ(-5,k,466069,460066,92);return 0}function Eqb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0.0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0.0;d=u;u=u+32|0;e=d+16|0;g=d+8|0;h=d;f[g>>2]=0;i=g+4|0;j=Bmc(16)|0;k=j+8|0;f[j>>2]=k;f[j+4>>2]=1;f[i>>2]=j;j=k;f[j>>2]=0;f[j+4>>2]=0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;j=Bmc(16)|0;f[e>>2]=j;f[e+8>>2]=-2147483632;f[e+4>>2]=12;k=j;l=460534;m=k+12|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[j+12>>0]=0;j=Hqb(c,e,g)|0;if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);if(!j){rza(g);u=d;return}j=a+52|0;c=a+56|0;l=a+60|0;k=a+124|0;a=g+4|0;m=0;a:while(1){switch(f[g>>2]|0){case 0:{o=(f[i>>2]|0)+4|0;break}case 3:{o=(f[a>>2]|0)+4|0;break}case 2:{o=(f[a>>2]|0)+4|0;break}default:{p=9;break a}}if((m|0)>=(f[o>>2]|0)){p=24;break}q=+eEa(g,m);n[e>>2]=q;r=+L(+(q+-1.0))<9.999999974752427e-07;s=f[c>>2]|0;t=f[j>>2]|0;v=t;w=s;if(r|(s|0)==(t|0))x=r;else{r=s-t>>2;t=0;do{y=+L(+(q-+n[v+(t<<2)>>2]))<1.0e-06;t=t+1|0}while(!(y|t>>>0>=r>>>0));x=y}if(!x){if((w|0)==(f[l>>2]|0))tua(j,e);else{n[s>>2]=q;f[c>>2]=w+4}if(b[k>>0]|0){z=1.0/+n[e>>2];n[h>>2]=z;r=f[c>>2]|0;if((r|0)==(f[l>>2]|0))tua(j,h);else{n[r>>2]=z;f[c>>2]=r+4}}}m=m+1|0}if((p|0)==9){f[e>>2]=0;f[e+4>>2]=0;SQ(-3,e,463632,463637,278)}else if((p|0)==24){rza(g);u=d;return}}function Fqb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0.0,r=0,s=0;d=u;u=u+32|0;e=d;g=d+24|0;h=d+16|0;f[g>>2]=0;i=g+4|0;j=Bmc(16)|0;k=j+8|0;f[j>>2]=k;f[j+4>>2]=1;f[i>>2]=j;j=k;f[j>>2]=0;f[j+4>>2]=0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;j=e+11|0;b[j>>0]=8;k=e;f[k>>2]=1769103734;f[k+4>>2]=1701015137;b[e+8>>0]=0;k=Hqb(c,e,g)|0;if((b[j>>0]|0)<0)Emc(f[e>>2]|0);if(!k){f[e>>2]=0;f[e+4>>2]=0;l=YG(e,26)|0;m=460464;o=l+26|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));SQ(-215,e,460491,460066,149)}switch(f[g>>2]|0){case 0:{p=(f[i>>2]|0)+4|0;break}case 3:{p=(f[g+4>>2]|0)+4|0;break}case 2:{p=(f[g+4>>2]|0)+4|0;break}default:{f[e>>2]=0;f[e+4>>2]=0;SQ(-3,e,463632,463637,278)}}i=f[p>>2]|0;if((i|0)<=1){if((i|0)!=1){n[e>>2]=.10000000149011612;p=a+68|0;k=f[p>>2]|0;if((k|0)==(f[a+72>>2]|0))tua(a+64|0,e);else{f[k>>2]=1036831949;f[p>>2]=k+4}rza(g);u=d;return}q=+eEa(g,0);n[e>>2]=q;if(!(q>0.0)){f[h>>2]=0;f[h+4>>2]=0;l=YG(h,12)|0;m=460521;o=l+12|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));SQ(-215,h,460491,460066,169)}k=a+68|0;p=f[k>>2]|0;if((p|0)==(f[a+72>>2]|0))tua(a+64|0,e);else{n[p>>2]=q;f[k>>2]=p+4}rza(g);u=d;return}if((i|0)!=4){f[e>>2]=0;f[e+4>>2]=0;l=YG(e,17)|0;m=460503;o=l+17|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));SQ(-215,e,460491,460066,155)}i=a+68|0;p=a+72|0;k=a+64|0;q=+eEa(g,0);n[e>>2]=q;if(!(q>0.0)){f[h>>2]=0;r=h+4|0;f[r>>2]=0;s=YG(h,12)|0;l=s;m=460521;o=l+12|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));SQ(-215,h,460491,460066,160)}a=f[i>>2]|0;if((a|0)==(f[p>>2]|0))tua(k,e);else{n[a>>2]=q;f[i>>2]=a+4}q=+eEa(g,1);n[e>>2]=q;if(!(q>0.0)){f[h>>2]=0;r=h+4|0;f[r>>2]=0;s=YG(h,12)|0;l=s;m=460521;o=l+12|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));SQ(-215,h,460491,460066,160)}a=f[i>>2]|0;if((a|0)==(f[p>>2]|0))tua(k,e);else{n[a>>2]=q;f[i>>2]=a+4}q=+eEa(g,2);n[e>>2]=q;if(!(q>0.0)){f[h>>2]=0;r=h+4|0;f[r>>2]=0;s=YG(h,12)|0;l=s;m=460521;o=l+12|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));SQ(-215,h,460491,460066,160)}a=f[i>>2]|0;if((a|0)==(f[p>>2]|0))tua(k,e);else{n[a>>2]=q;f[i>>2]=a+4}q=+eEa(g,3);n[e>>2]=q;if(!(q>0.0)){f[h>>2]=0;r=h+4|0;f[r>>2]=0;s=YG(h,12)|0;l=s;m=460521;o=l+12|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));SQ(-215,h,460491,460066,160)}h=f[i>>2]|0;if((h|0)==(f[p>>2]|0))tua(k,e);else{n[h>>2]=q;f[i>>2]=h+4}rza(g);u=d;return}function Gqb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0.0;d=u;u=u+16|0;e=d+8|0;g=d;f[g>>2]=0;h=g+4|0;i=Bmc(16)|0;j=i+8|0;f[i>>2]=j;f[i+4>>2]=1;f[h>>2]=i;i=j;f[i>>2]=0;f[i+4>>2]=0;if(!(Hqb(b,a,g)|0)){a=f[c>>2]|0;b=c+4|0;i=f[b>>2]|0;if((i|0)==(a|0)){rza(g);u=d;return}f[b>>2]=i+(~((i+-4-a|0)>>>2)<<2);rza(g);u=d;return}switch(f[g>>2]|0){case 0:{k=(f[h>>2]|0)+4|0;break}case 3:{k=(f[g+4>>2]|0)+4|0;break}case 2:{k=(f[g+4>>2]|0)+4|0;break}default:{f[e>>2]=0;f[e+4>>2]=0;SQ(-3,e,463632,463637,278)}}a=f[k>>2]|0;k=c+4|0;i=f[k>>2]|0;b=f[c>>2]|0;j=i-b>>2;l=b;b=i;if(a>>>0<=j>>>0){if(a>>>0<j>>>0?(i=l+(a<<2)|0,(b|0)!=(i|0)):0)f[k>>2]=b+(~((b+-4-i|0)>>>2)<<2)}else hua(c,a-j|0);j=g+4|0;a=0;a:while(1){switch(f[g>>2]|0){case 0:{m=(f[h>>2]|0)+4|0;break}case 3:{m=(f[j>>2]|0)+4|0;break}case 2:{m=(f[j>>2]|0)+4|0;break}default:{o=17;break a}}if((a|0)>=(f[m>>2]|0)){o=22;break}p=+eEa(g,a);n[(f[c>>2]|0)+(a<<2)>>2]=p;a=a+1|0}if((o|0)==17){f[e>>2]=0;f[e+4>>2]=0;SQ(-3,e,463632,463637,278)}else if((o|0)==22){rza(g);u=d;return}}function Hqb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=u;u=u+16|0;g=e;f[g>>2]=0;f[g+4>>2]=0;h=c+11|0;i=b[h>>0]|0;j=c+4|0;k=i<<24>>24<0?f[j>>2]|0:i&255;if(k|0){i=YG(g,k)|0;Krc(i|0,((b[h>>0]|0)<0?f[c>>2]|0:c)|0,k|0)|0}k=f[a+4>>2]|0;a:do if(k|0){i=f[g>>2]|0;l=(i|0)==0?1163146:i;m=k;while(1){n=f[m+16>>2]|0;if((i|0)==(n|0))break;o=(n|0)==0?1163146:n;if((o7b(l,o)|0)<0)p=m;else{if((o7b(o,l)|0)>=0)break;p=m+4|0}m=f[p>>2]|0;if(!m)break a}ZG(g);f[g>>2]=0;f[g+4>>2]=0;m=b[h>>0]|0;l=m<<24>>24<0?f[j>>2]|0:m&255;if(l|0){m=YG(g,l)|0;Krc(m|0,((b[h>>0]|0)<0?f[c>>2]|0:c)|0,l|0)|0}kDa(d,dDa(a,g)|0)|0;ZG(g);q=1;u=e;return q|0}while(0);ZG(g);q=0;u=e;return q|0}function Iqb(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=135568;b=f[a+112>>2]|0;if(b|0){c=a+116|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+100>>2]|0;if(b|0){d=a+104|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+88>>2]|0;if(b|0){c=a+92|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+76>>2]|0;if(b|0){d=a+80|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+64>>2]|0;if(b|0){c=a+68|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+52>>2]|0;if(!b){Nza(a);return}d=a+56|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-4-b|0)>>>2)<<2);Emc(b);Nza(a);return}function Jqb(a){a=a|0;Iqb(a);Emc(a);return}function Kqb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0.0,k=0.0,l=0,m=0.0,o=0,p=0.0,q=0.0,r=0.0,s=0.0;c=u;u=u+16|0;d=c;f[d>>2]=0;e=d+4|0;f[e>>2]=0;f[d+8>>2]=0;rD(b,d);b=f[d>>2]|0;g=((f[e>>2]|0)-b|0)/56|0;e=b;if(g>>>0<=1)EY(g,1,135700);g=f[e+4>>2]|0;if((g|0)!=4)DY(g,4,135728);g=f[e+60>>2]|0;if((g|0)!=4)DY(g,4,135756);g=f[e+40>>2]|0;b=f[g+12>>2]|0;h=f[e+96>>2]|0;e=f[h+12>>2]|0;i=a+48|0;j=+n[i>>2];if(!(j==0.0)){k=j;n[i>>2]=k;l=a+44|0;m=+n[l>>2];o=m==0.0;p=+(e|0);q=+(b|0);r=p/q;s=o?r:m;n[l>>2]=s;rt(d);u=c;return}k=+(f[h+8>>2]|0)/+(f[g+8>>2]|0);n[i>>2]=k;l=a+44|0;m=+n[l>>2];o=m==0.0;p=+(e|0);q=+(b|0);r=p/q;s=o?r:m;n[l>>2]=s;rt(d);u=c;return}function Lqb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0.0,A=0.0,B=0,C=0,D=0,E=0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0.0,ha=0.0,ia=0,ja=0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0;g=u;u=u+144|0;h=g+128|0;i=g+116|0;j=g+104|0;k=g+48|0;l=g+32|0;m=g;zT(h,135668);if((BD(c,-1)|0)==3)gAa(a,c,d,e);else{f[i>>2]=0;e=i+4|0;f[e>>2]=0;f[i+8>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;rD(c,i);rD(d,j);d=f[i>>2]|0;c=d;if(((f[e>>2]|0)-d|0)!=112){f[k>>2]=0;f[k+4>>2]=0;d=YG(k,18)|0;e=475384;o=d+18|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(o|0));SQ(-215,k,475494,460066,419)}e=f[c+40>>2]|0;d=f[e+12>>2]|0;o=f[e+8>>2]|0;e=f[c+96>>2]|0;c=(o|0)==0;if(!c?(q=a+100|0,r=a+104|0,s=a+112|0,t=a+76|0,v=a+80|0,w=a+44|0,x=a+88|0,y=a+48|0,z=+(f[e+12>>2]|0),A=+(f[e+8>>2]|0),e=a+127|0,d|0):0){B=0;C=f[(f[j>>2]|0)+16>>2]|0;D=f[r>>2]|0;E=f[q>>2]|0;while(1){F=+(B>>>0);G=0;H=C;I=D;J=E;K=E;L=E;while(1){if((I|0)==(J|0)){M=H;N=K;O=L;P=J;Q=J}else{R=+(G>>>0);S=f[t>>2]|0;T=0;U=H;V=L;W=K;X=I;Z=S;_=f[v>>2]|0;$=S;while(1){if((_|0)==($|0)){aa=U;ba=Z;ca=$;da=$;ea=W;fa=X}else{ga=+n[V+(T<<2)>>2]*.5;ha=+n[(f[s>>2]|0)+(T<<2)>>2]*.5;S=0;ia=U;ja=Z;do{ka=(R+ +n[ja+(S<<2)>>2])*+n[w>>2];la=(F+ +n[(f[x>>2]|0)+(S<<2)>>2])*+n[y>>2];ma=ka-ga;na=ga+ka;ka=ha+la;oa=la-ha;if(!(b[e>>0]|0)){n[ia>>2]=ma;pa=ka+-1.0;qa=na+-1.0;ra=oa}else{n[ia>>2]=ma/z;pa=ka/A;qa=na/z;ra=oa/A}n[ia+4>>2]=ra;n[ia+8>>2]=qa;n[ia+12>>2]=pa;ia=ia+16|0;S=S+1|0;sa=f[v>>2]|0;ta=f[t>>2]|0;ja=ta}while(S>>>0<sa-ta>>2>>>0);aa=ia;ba=ja;ca=ta;da=sa;ea=f[q>>2]|0;fa=f[r>>2]|0}T=T+1|0;S=ea;if(T>>>0>=fa-ea>>2>>>0){M=aa;N=ea;O=S;P=ea;Q=fa;break}else{U=aa;V=S;W=ea;X=fa;Z=ba;_=da;$=ca}}}G=G+1|0;if((G|0)==(d|0))break;else{H=M;I=Q;J=P;K=N;L=O}}B=B+1|0;if((B|0)==(o|0))break;else{C=M;D=Q;E=N}}}if(b[a+125>>0]|0){N=Y(Y(d<<2,o)|0,f[a+128>>2]|0)|0;E=f[j>>2]|0;Q=f[E+16>>2]|0;if(!N){ua=E;va=Q}else{D=0;do{M=Q+(D<<2)|0;n[k>>2]=0.0;C=+n[M>>2]<0.0?k:M;n[l>>2]=1.0;f[M>>2]=f[(+n[C>>2]>1.0?l:C)>>2];D=D+1|0}while((D|0)!=(N|0));ua=E;va=Q}}else{Q=f[j>>2]|0;ua=Q;va=f[Q+16>>2]|0}Q=va+(f[(f[ua+44>>2]|0)+4>>2]|0)|0;va=a+64|0;E=f[va>>2]|0;N=E;if(((f[a+68>>2]|0)-E|0)==4){Ri(k,1,f[(f[ua+40>>2]|0)+8>>2]|0,5,Q,0);pa=+n[f[va>>2]>>2];p[m>>3]=pa;p[m+8>>3]=pa;p[m+16>>3]=pa;p[m+24>>3]=pa;f[l>>2]=-1056833530;f[l+4>>2]=m;f[l+8>>2]=1;f[l+12>>2]=4;oT(k,l,rE()|0)|0;l=k+36|0;m=f[l>>2]|0;if(m|0?(va=m+12|0,m=f[va>>2]|0,f[va>>2]=m+-1,(m|0)==1):0)lP(k);f[l>>2]=0;l=k+16|0;m=k+4|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[m>>2]|0)>0){l=f[k+40>>2]|0;va=0;do{f[l+(va<<2)>>2]=0;va=va+1|0}while((va|0)<(f[m>>2]|0))}m=f[k+44>>2]|0;if((m|0)!=(k+48|0))tE(m)}else if(!(c|(d|0)==0)){c=f[a+128>>2]|0;a=E;E=N+4|0;m=N+8|0;k=N+12|0;N=0;va=0;l=c;while(1){if(!l){wa=0;xa=va}else{ua=0;D=va;while(1){C=0;M=D;do{f[Q+(M<<2)>>2]=f[a>>2];f[Q+(M+1<<2)>>2]=f[E>>2];f[Q+(M+2<<2)>>2]=f[m>>2];f[Q+(M+3<<2)>>2]=f[k>>2];M=M+4|0;C=C+1|0}while(C>>>0<c>>>0);ua=ua+1|0;if((ua|0)==(d|0)){wa=c;xa=M;break}else D=M}}N=N+1|0;if((N|0)==(o|0))break;else{va=xa;l=wa}}}rt(j);rt(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function Mqb(a,b){a=a|0;b=b|0;var c=0;switch(b|0){case 3:{c=1;break}case 2:{c=_Da()|0;break}default:c=0}return c|0}function Nqb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Oqb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=u;u=u+32|0;d=g+16|0;h=g;i=f[c>>2]|0;if((i|0)==(f[c+4>>2]|0)){f[d>>2]=0;f[d+4>>2]=0;c=YG(d,15)|0;j=476084;k=c+15|0;do{b[c>>0]=b[j>>0]|0;c=c+1|0;j=j+1|0}while((c|0)<(k|0));SQ(-215,d,475265,460066,282)}j=f[i>>2]|0;i=Y(Y(f[j+8>>2]<<2,f[j+12>>2]|0)|0,f[a+128>>2]|0)|0;f[d>>2]=1;f[d+4>>2]=2;f[d+8>>2]=i;f[d+12>>2]=-1;f[h>>2]=0;i=h+4|0;f[i>>2]=0;f[h+8>>2]=0;hAa(h,d,d+16|0);d=f[h>>2]|0;a=f[i>>2]|0;a:do if((d|0)==(a|0)){l=d;m=6}else{j=d;do{if((f[j>>2]|0)<0){l=j;m=6;break a}j=j+4|0}while((j|0)!=(a|0))}while(0);if((m|0)==6?(l|0)!=(a|0):0){m=l+4|0;if((m|0)==(a|0)){n=a;o=l}else{d=m;m=l;while(1){l=f[d>>2]|0;if((l|0)<0)p=m;else{f[m>>2]=l;p=m+4|0}d=d+4|0;if((d|0)==(a|0))break;else m=p}n=f[i>>2]|0;o=p}if((o|0)!=(n|0))f[i>>2]=n+(~((n+-4-o|0)>>>2)<<2)}o=e+4|0;n=f[o>>2]|0;p=f[e>>2]|0;m=n-p|0;a=(m|0)/12|0;d=p;p=n;if(m){if(a>>>0>1?(m=d+12|0,(p|0)!=(m|0)):0){d=p;while(1){p=d+-12|0;f[o>>2]=p;n=f[p>>2]|0;if(!n)q=p;else{p=d+-8|0;l=f[p>>2]|0;if((l|0)!=(n|0))f[p>>2]=l+(~((l+-4-n|0)>>>2)<<2);Emc(n);q=f[o>>2]|0}if((q|0)==(m|0))break;else d=q}}}else Wmb(e,1-a|0,h);a=f[h>>2]|0;if(!a){u=g;return 0}h=f[i>>2]|0;if((h|0)!=(a|0))f[i>>2]=h+(~((h+-4-a|0)>>>2)<<2);Emc(a);u=g;return 0}function Pqb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=u;u=u+16|0;e=d;g=f[c+4>>2]|0;h=f[c>>2]|0;c=h;if((g|0)==(h|0)){i=0;j=0;J=i;u=d;return j|0}k=a+128|0;a=(g-h|0)/12|0;h=0;g=0;do{l=f[c+(g*12|0)+4>>2]|0;m=f[c+(g*12|0)>>2]|0;n=l-m|0;o=n>>2;p=m;if((p|0)!=(l|0)){if((n|0)<=4){q=8;break}if((n|0)>8){n=2;l=1;while(1){m=Y(f[p+(n<<2)>>2]|0,l)|0;n=n+1|0;if((n|0)>=(o|0)){r=m;break}else l=m}}else r=1}else r=0;h=(Y(r<<2,f[k>>2]|0)|0)+h|0;g=g+1|0}while(g>>>0<a>>>0);if((q|0)==8){f[e>>2]=0;f[e+4>>2]=0;q=YG(e,70)|0;a=475084;g=q+70|0;do{b[q>>0]=b[a>>0]|0;q=q+1|0;a=a+1|0}while((q|0)<(g|0));SQ(-215,e,475155,475161,161)}i=((h|0)<0)<<31>>31;j=h;J=i;u=d;return j|0}function Qqb(a,b){a=a|0;b=b|0;var c=0;c=Bmc(52)|0;Rqb(c,b);b=Bmc(16)|0;f[b+4>>2]=1;f[b>>2]=135792;f[b+8>>2]=c;f[a>>2]=b;f[a+4>>2]=c;return}function Rqb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;d=u;u=u+32|0;e=d+16|0;g=d+8|0;h=d;uCa(a);f[a+36>>2]=0;i=a+40|0;f[i>>2]=0;f[a+44>>2]=0;f[a>>2]=135812;vCa(a,c);f[e>>2]=0;f[e+4>>2]=0;j=YG(e,4)|0;b[j>>0]=97;b[j+1>>0]=120;b[j+2>>0]=105;b[j+3>>0]=115;j=c+4|0;k=f[j>>2]|0;do if(k){l=f[e>>2]|0;m=(l|0)==0?1163146:l;n=j;o=k;a:while(1){p=o;while(1){q=f[p+16>>2]|0;if((q|0)==(l|0))break;if((o7b((q|0)==0?1163146:q,m)|0)>=0)break;q=f[p+4>>2]|0;if(!q){r=n;break a}else p=q}o=f[p>>2]|0;if(!o){r=p;break}else n=p}if((r|0)!=(j|0)){n=f[r+16>>2]|0;if((l|0)!=(n|0)?(o7b(m,(n|0)==0?1163146:n)|0)<=-1:0){s=1;break}n=rCa(r+24|0,-1)|0;s=n}else s=1}else s=1;while(0);r=a+48|0;f[r>>2]=s;ZG(e);f[e>>2]=0;f[e+4>>2]=0;s=YG(e,11)|0;k=460947;n=s+11|0;do{b[s>>0]=b[k>>0]|0;s=s+1|0;k=k+1|0}while((s|0)<(n|0));o=f[j>>2]|0;do if(!o)ZG(e);else{q=f[e>>2]|0;t=(q|0)==0?1163146:q;v=o;while(1){w=f[v+16>>2]|0;if((q|0)==(w|0)){x=20;break}y=(w|0)==0?1163146:w;if((o7b(t,y)|0)<0)z=v;else{if((o7b(y,t)|0)>=0){x=21;break}z=v+4|0}v=f[z>>2]|0;if(!v){x=89;break}}if((x|0)==20)ZG(e);else if((x|0)==21)ZG(e);else if((x|0)==89){ZG(e);break}f[e>>2]=0;f[e+4>>2]=0;v=YG(e,5)|0;b[v>>0]=b[460959]|0;b[v+1>>0]=b[460960]|0;b[v+2>>0]=b[460961]|0;b[v+3>>0]=b[460962]|0;b[v+4>>0]=b[460963]|0;v=f[j>>2]|0;b:do if(v|0){t=f[e>>2]|0;q=(t|0)==0?1163146:t;m=v;while(1){l=f[m+16>>2]|0;if((t|0)==(l|0)){x=47;break}y=(l|0)==0?1163146:l;if((o7b(q,y)|0)<0)A=m;else{if((o7b(y,q)|0)>=0){x=48;break}A=m+4|0}m=f[A>>2]|0;if(!m)break b}if((x|0)==47){ZG(e);f[e>>2]=0;B=e+4|0;f[B>>2]=0;C=YG(e,65)|0;s=C;k=460969;n=s+65|0;do{b[s>>0]=b[k>>0]|0;s=s+1|0;k=k+1|0}while((s|0)<(n|0));SQ(-215,e,461035,461050,66)}else if((x|0)==48){ZG(e);f[e>>2]=0;B=e+4|0;f[B>>2]=0;C=YG(e,65)|0;s=C;k=460969;n=s+65|0;do{b[s>>0]=b[k>>0]|0;s=s+1|0;k=k+1|0}while((s|0)<(n|0));SQ(-215,e,461035,461050,66)}}while(0);f[g>>2]=0;f[g+4>>2]=0;v=YG(g,4)|0;b[v>>0]=115;b[v+1>>0]=105;b[v+2>>0]=122;b[v+3>>0]=101;v=f[j>>2]|0;c:do if(v|0){m=f[g>>2]|0;q=(m|0)==0?1163146:m;t=v;while(1){p=f[t+16>>2]|0;if((m|0)==(p|0)){x=50;break}y=(p|0)==0?1163146:p;if((o7b(q,y)|0)<0)D=t;else{if((o7b(y,q)|0)>=0){x=49;break}D=t+4|0}t=f[D>>2]|0;if(!t)break c}if((x|0)==49){ZG(g);ZG(e);f[e>>2]=0;B=e+4|0;f[B>>2]=0;C=YG(e,65)|0;s=C;k=460969;n=s+65|0;do{b[s>>0]=b[k>>0]|0;s=s+1|0;k=k+1|0}while((s|0)<(n|0));SQ(-215,e,461035,461050,66)}else if((x|0)==50){ZG(g);ZG(e);f[e>>2]=0;B=e+4|0;f[B>>2]=0;C=YG(e,65)|0;s=C;k=460969;n=s+65|0;do{b[s>>0]=b[k>>0]|0;s=s+1|0;k=k+1|0}while((s|0)<(n|0));SQ(-215,e,461035,461050,66)}}while(0);f[h>>2]=0;f[h+4>>2]=0;v=YG(h,3)|0;b[v>>0]=b[460965]|0;b[v+1>>0]=b[460966]|0;b[v+2>>0]=b[460967]|0;v=f[j>>2]|0;do if(v){t=f[h>>2]|0;q=(t|0)==0?1163146:t;m=v;while(1){y=f[m+16>>2]|0;if((t|0)==(y|0)){x=46;break}p=(y|0)==0?1163146:y;if((o7b(q,p)|0)<0)E=m;else{if((o7b(p,q)|0)>=0){x=51;break}E=m+4|0}m=f[E>>2]|0;if(!m){x=54;break}}if((x|0)==46){ZG(h);ZG(g);ZG(e);f[e>>2]=0;B=e+4|0;f[B>>2]=0;C=YG(e,65)|0;s=C;k=460969;n=s+65|0;do{b[s>>0]=b[k>>0]|0;s=s+1|0;k=k+1|0}while((s|0)<(n|0));SQ(-215,e,461035,461050,66)}else if((x|0)==51){ZG(h);ZG(g);ZG(e);f[e>>2]=0;B=e+4|0;f[B>>2]=0;C=YG(e,65)|0;s=C;k=460969;n=s+65|0;do{b[s>>0]=b[k>>0]|0;s=s+1|0;k=k+1|0}while((s|0)<(n|0));SQ(-215,e,461035,461050,66)}else if((x|0)==54){ZG(h);ZG(g);ZG(e);break}}else{ZG(h);ZG(g);ZG(e)}while(0);f[e>>2]=0;f[e+4>>2]=0;s=YG(e,11)|0;k=460947;n=s+11|0;do{b[s>>0]=b[k>>0]|0;s=s+1|0;k=k+1|0}while((s|0)<(n|0));v=dDa(c,e)|0;ZG(e);m=a+36|0;switch(f[v>>2]|0){case 0:{F=(f[v+4>>2]|0)+4|0;break}case 3:{F=(f[v+4>>2]|0)+4|0;break}case 2:{F=(f[v+4>>2]|0)+4|0;break}default:{f[e>>2]=0;f[e+4>>2]=0;SQ(-3,e,463632,463637,278)}}q=(f[F>>2]|0)+1|0;t=(f[r>>2]|0)+1|0;f[e>>2]=0;p=e+4|0;f[p>>2]=0;f[e+8>>2]=0;if(t|0){if(t>>>0>536870911)Ukc(e);y=Bmc(t<<3)|0;f[p>>2]=y;f[e>>2]=y;f[e+8>>2]=y+(t<<3);l=t;w=y;G=y;while(1){H=w;f[H>>2]=-2147483648;f[H+4>>2]=2147483647;H=G+8|0;I=l+-1|0;if(!I)break;else{l=I;w=H;G=H}}f[p>>2]=y+(t<<3)}G=f[i>>2]|0;w=f[m>>2]|0;l=(G-w|0)/12|0;H=w;w=G;if(q>>>0<=l>>>0){if(q>>>0<l>>>0?(G=H+(q*12|0)|0,(w|0)!=(G|0)):0){H=w;while(1){w=H+-12|0;f[i>>2]=w;I=f[w>>2]|0;if(!I)J=w;else{w=H+-8|0;K=f[w>>2]|0;if((K|0)!=(I|0))f[w>>2]=K+(~((K+-8-I|0)>>>3)<<3);Emc(I);J=f[i>>2]|0}if((J|0)==(G|0))break;else H=J}}}else Uqb(m,q-l|0,e);H=f[e>>2]|0;if(H|0){G=f[p>>2]|0;if((G|0)!=(H|0))f[p>>2]=G+(~((G+-8-H|0)>>>3)<<3);Emc(H)}H=v+4|0;G=v+4|0;t=0;y=0;d:while(1){switch(f[v>>2]|0){case 0:{L=(f[H>>2]|0)+4|0;break}case 3:{L=(f[G>>2]|0)+4|0;break}case 2:{L=(f[G>>2]|0)+4|0;break}default:{x=84;break d}}if((t|0)>=(f[L>>2]|0))break;f[(f[(f[m>>2]|0)+(t*12|0)>>2]|0)+(f[r>>2]<<3)>>2]=y;I=rCa(v,t)|0;f[(f[(f[m>>2]|0)+(t*12|0)>>2]|0)+(f[r>>2]<<3)+4>>2]=I;t=t+1|0;y=I}if((x|0)==84){f[e>>2]=0;f[e+4>>2]=0;SQ(-3,e,463632,463637,278)}f[(f[(f[i>>2]|0)+-12>>2]|0)+(f[r>>2]<<3)>>2]=y;u=d;return}while(0);f[e>>2]=0;f[e+4>>2]=0;r=YG(e,5)|0;b[r>>0]=b[460959]|0;b[r+1>>0]=b[460960]|0;b[r+2>>0]=b[460961]|0;b[r+3>>0]=b[460962]|0;b[r+4>>0]=b[460963]|0;r=f[j>>2]|0;if(!r){ZG(e);u=d;return}L=f[e>>2]|0;J=(L|0)==0?1163146:L;F=r;while(1){r=f[F+16>>2]|0;if((L|0)==(r|0)){x=98;break}h=(r|0)==0?1163146:r;if((o7b(J,h)|0)<0)M=F;else{if((o7b(h,J)|0)>=0){x=99;break}M=F+4|0}F=f[M>>2]|0;if(!F){x=187;break}}if((x|0)==98)ZG(e);else if((x|0)==99)ZG(e);else if((x|0)==187){ZG(e);u=d;return}f[e>>2]=0;f[e+4>>2]=0;F=YG(e,4)|0;b[F>>0]=115;b[F+1>>0]=105;b[F+2>>0]=122;b[F+3>>0]=101;F=f[j>>2]|0;e:do if(!F)N=0;else{M=f[e>>2]|0;J=(M|0)==0?1163146:M;L=F;while(1){h=f[L+16>>2]|0;if((M|0)==(h|0)){N=1;break e}r=(h|0)==0?1163146:h;if((o7b(J,r)|0)<0)O=L;else{if((o7b(r,J)|0)>=0){N=1;break e}O=L+4|0}L=f[O>>2]|0;if(!L){N=0;break}}}while(0);f[g>>2]=0;f[g+4>>2]=0;O=YG(g,3)|0;b[O>>0]=b[460965]|0;b[O+1>>0]=b[460966]|0;b[O+2>>0]=b[460967]|0;O=f[j>>2]|0;f:do if(!O)P=0;else{F=f[g>>2]|0;L=(F|0)==0?1163146:F;J=O;while(1){M=f[J+16>>2]|0;if((F|0)==(M|0)){P=1;break f}y=(M|0)==0?1163146:M;if((o7b(L,y)|0)<0)Q=J;else{if((o7b(y,L)|0)>=0){P=1;break f}Q=J+4|0}J=f[Q>>2]|0;if(!J){P=0;break}}}while(0);ZG(g);ZG(e);if(!(N^P)){f[e>>2]=0;f[e+4>>2]=0;s=YG(e,38)|0;k=461126;n=s+38|0;do{b[s>>0]=b[k>>0]|0;s=s+1|0;k=k+1|0}while((s|0)<(n|0));SQ(-215,e,461035,461050,81)}f[e>>2]=0;f[e+4>>2]=0;P=YG(e,5)|0;b[P>>0]=b[460959]|0;b[P+1>>0]=b[460960]|0;b[P+2>>0]=b[460961]|0;b[P+3>>0]=b[460962]|0;b[P+4>>0]=b[460963]|0;P=dDa(c,e)|0;ZG(e);f[e>>2]=0;f[e+4>>2]=0;N=YG(e,4)|0;b[N>>0]=115;b[N+1>>0]=105;b[N+2>>0]=122;b[N+3>>0]=101;N=f[j>>2]|0;g:do if(!N)x=127;else{Q=f[e>>2]|0;O=(Q|0)==0?1163146:Q;J=N;while(1){L=f[J+16>>2]|0;if((Q|0)==(L|0))break;F=(L|0)==0?1163146:L;if((o7b(O,F)|0)<0)R=J;else{if((o7b(F,O)|0)>=0)break;R=J+4|0}J=f[R>>2]|0;if(!J){x=127;break g}}f[g>>2]=0;f[g+4>>2]=0;J=YG(g,4)|0;b[J>>0]=115;b[J+1>>0]=105;b[J+2>>0]=122;b[J+3>>0]=101;J=dDa(c,g)|0;ZG(g);S=J}while(0);if((x|0)==127){f[g>>2]=0;f[g+4>>2]=0;R=YG(g,3)|0;b[R>>0]=b[460965]|0;b[R+1>>0]=b[460966]|0;b[R+2>>0]=b[460967]|0;R=dDa(c,g)|0;ZG(g);S=R}ZG(e);switch(f[P>>2]|0){case 0:{T=(f[P+4>>2]|0)+4|0;break}case 3:{T=(f[P+4>>2]|0)+4|0;break}case 2:{T=(f[P+4>>2]|0)+4|0;break}default:{f[e>>2]=0;f[e+4>>2]=0;SQ(-3,e,463632,463637,278)}}R=f[T>>2]|0;switch(f[S>>2]|0){case 0:{U=(f[S+4>>2]|0)+4|0;break}case 3:{U=(f[S+4>>2]|0)+4|0;break}case 2:{U=(f[S+4>>2]|0)+4|0;break}default:{f[e>>2]=0;f[e+4>>2]=0;SQ(-3,e,463632,463637,278)}}if((R|0)!=(f[U>>2]|0)){f[e>>2]=0;f[e+4>>2]=0;s=YG(e,35)|0;k=461165;n=s+35|0;do{b[s>>0]=b[k>>0]|0;s=s+1|0;k=k+1|0}while((s|0)<(n|0));SQ(-215,e,461035,461050,84)}U=a+36|0;a=f[i>>2]|0;R=f[U>>2]|0;T=a-R|0;g=(T|0)/12|0;c=R;R=a;if(T){if(g>>>0>1?(T=c+12|0,(R|0)!=(T|0)):0){c=R;while(1){R=c+-12|0;f[i>>2]=R;a=f[R>>2]|0;if(!a)V=R;else{R=c+-8|0;N=f[R>>2]|0;if((N|0)!=(a|0))f[R>>2]=N+(~((N+-8-a|0)>>>3)<<3);Emc(a);V=f[i>>2]|0}if((V|0)==(T|0))break;else c=V}}}else Vqb(U,1-g|0);g=f[U>>2]|0;switch(f[P>>2]|0){case 0:{W=(f[P+4>>2]|0)+4|0;break}case 3:{W=(f[P+4>>2]|0)+4|0;break}case 2:{W=(f[P+4>>2]|0)+4|0;break}default:{f[e>>2]=0;f[e+4>>2]=0;SQ(-3,e,463632,463637,278)}}V=f[W>>2]|0;f[e>>2]=-2147483648;f[e+4>>2]=2147483647;W=g+4|0;c=f[W>>2]|0;T=f[g>>2]|0;i=c-T>>3;a=T;T=c;if(V>>>0<=i>>>0){if(V>>>0<i>>>0?(c=a+(V<<3)|0,(T|0)!=(c|0)):0)f[W>>2]=T+(~((T+-8-c|0)>>>3)<<3)}else Wqb(g,V-i|0,e);i=P+4|0;V=e+4|0;g=P+4|0;c=0;h:while(1){switch(f[P>>2]|0){case 0:{X=(f[i>>2]|0)+4|0;break}case 3:{X=(f[g>>2]|0)+4|0;break}case 2:{X=(f[g>>2]|0)+4|0;break}default:{x=164;break h}}if((c|0)>=(f[X>>2]|0)){x=188;break}T=rCa(P,c)|0;W=rCa(S,c)|0;if((T|0)<=-1){x=167;break}f[(f[f[U>>2]>>2]|0)+(c<<3)>>2]=T;f[e>>2]=0;f[V>>2]=0;a=YG(e,4)|0;b[a>>0]=115;b[a+1>>0]=105;b[a+2>>0]=122;b[a+3>>0]=101;a=f[j>>2]|0;do if(!a){ZG(e);x=183}else{N=f[e>>2]|0;R=(N|0)==0?1163146:N;J=a;while(1){O=f[J+16>>2]|0;if((N|0)==(O|0)){x=176;break}Q=(O|0)==0?1163146:O;if((o7b(R,Q)|0)<0)Y=J;else{if((o7b(Q,R)|0)>=0){x=177;break}Y=J+4|0}J=f[Y>>2]|0;if(!J){x=182;break}}if((x|0)==176){x=0;ZG(e)}else if((x|0)==177){x=0;ZG(e)}else if((x|0)==182){x=0;ZG(e);x=183;break}J=(W|0)>0;if(!((W|0)==-1|J)){x=179;break h}Z=J?W+T|0:-1}while(0);if((x|0)==183){x=0;if((W|0)<0|(W|0)>(T|0))Z=W;else{x=184;break}}f[(f[f[U>>2]>>2]|0)+(c<<3)+4>>2]=Z;c=c+1|0}if((x|0)==164){f[e>>2]=0;f[e+4>>2]=0;SQ(-3,e,463632,463637,278)}else if((x|0)==167){f[e>>2]=0;f[e+4>>2]=0;s=YG(e,10)|0;k=461201;n=s+10|0;do{b[s>>0]=b[k>>0]|0;s=s+1|0;k=k+1|0}while((s|0)<(n|0));SQ(-215,e,461035,461050,92)}else if((x|0)==179){f[e>>2]=0;f[e+4>>2]=0;s=YG(e,22)|0;k=461212;n=s+22|0;do{b[s>>0]=b[k>>0]|0;s=s+1|0;k=k+1|0}while((s|0)<(n|0));SQ(-215,e,461035,461050,98)}else if((x|0)==184){f[e>>2]=0;f[e+4>>2]=0;s=YG(e,22)|0;k=461235;n=s+22|0;do{b[s>>0]=b[k>>0]|0;s=s+1|0;k=k+1|0}while((s|0)<(n|0));SQ(-215,e,461035,461050,104)}else if((x|0)==188){u=d;return}}function Sqb(a){a=a|0;Emc(a);return}function Tqb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Uqb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=a+8|0;e=f[d>>2]|0;g=a+4|0;h=f[g>>2]|0;if(((e-h|0)/12|0)>>>0>=b>>>0){i=b;j=h;do{Zqb(j,c);j=(f[g>>2]|0)+12|0;f[g>>2]=j;i=i+-1|0}while((i|0)!=0);return}i=f[a>>2]|0;j=(h-i|0)/12|0;h=j+b|0;if(h>>>0>357913941)Ukc(a);k=(e-i|0)/12|0;i=k<<1;e=k>>>0<178956970?(i>>>0<h>>>0?h:i):357913941;do if(e)if(e>>>0>357913941){i=ye(8)|0;Jmc(i,511852);f[i>>2]=165276;Gf(i|0,26776,1555)}else{l=Bmc(e*12|0)|0;break}else l=0;while(0);i=l+(j*12|0)|0;j=i;h=l+(e*12|0)|0;e=b;b=j;l=i;do{Zqb(l,c);l=b+12|0;b=l;e=e+-1|0}while((e|0)!=0);e=f[a>>2]|0;l=f[g>>2]|0;if((l|0)==(e|0)){m=j;n=e;o=e}else{c=l;l=j;j=i;do{c=c+-12|0;Zqb(j+-12|0,c);j=l+-12|0;l=j}while((c|0)!=(e|0));m=l;n=f[a>>2]|0;o=f[g>>2]|0}f[a>>2]=m;f[g>>2]=b;f[d>>2]=h;h=n;if((o|0)!=(h|0)){d=o;do{o=d;d=d+-12|0;b=f[d>>2]|0;if(b|0){g=o+-8|0;o=f[g>>2]|0;if((o|0)!=(b|0))f[g>>2]=o+(~((o+-8-b|0)>>>3)<<3);Emc(b)}}while((d|0)!=(h|0))}if(!n)return;Emc(n);return}function Vqb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;h=g;if(((d-g|0)/12|0)>>>0>=b>>>0){Drc(g|0,0,b*12|0)|0;f[e>>2]=h+(b*12|0);return}i=f[a>>2]|0;j=(g-i|0)/12|0;k=j+b|0;l=i;if(k>>>0>357913941)Ukc(a);m=(d-i|0)/12|0;i=m<<1;d=m>>>0<178956970?(i>>>0<k>>>0?k:i):357913941;do if(d)if(d>>>0>357913941){i=ye(8)|0;Jmc(i,511852);f[i>>2]=165276;Gf(i|0,26776,1555)}else{n=Bmc(d*12|0)|0;break}else n=0;while(0);i=n+(j*12|0)|0;j=i;k=n+(d*12|0)|0;Drc(i|0,0,b*12|0)|0;d=i+(b*12|0)|0;if((h|0)==(l|0)){o=j;p=g;q=h}else{g=h;h=j;j=i;do{g=g+-12|0;Zqb(j+-12|0,g);j=h+-12|0;h=j}while((g|0)!=(l|0));o=h;p=f[a>>2]|0;q=f[e>>2]|0}f[a>>2]=o;f[e>>2]=d;f[c>>2]=k;k=p;if((q|0)!=(k|0)){c=q;do{q=c;c=c+-12|0;d=f[c>>2]|0;if(d|0){e=q+-8|0;q=f[e>>2]|0;if((q|0)!=(d|0))f[e>>2]=q+(~((q+-8-d|0)>>>3)<<3);Emc(d)}}while((c|0)!=(k|0))}if(!p)return;Emc(p);return}function Wqb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=a+8|0;e=f[d>>2]|0;g=a+4|0;h=f[g>>2]|0;if(e-h>>3>>>0>=b>>>0){i=b;j=h;do{k=c;l=f[k+4>>2]|0;m=j;f[m>>2]=f[k>>2];f[m+4>>2]=l;j=(f[g>>2]|0)+8|0;f[g>>2]=j;i=i+-1|0}while((i|0)!=0);return}i=f[a>>2]|0;j=h-i>>3;h=j+b|0;if(h>>>0>536870911)Ukc(a);l=e-i|0;i=l>>2;e=l>>3>>>0<268435455?(i>>>0<h>>>0?h:i):536870911;do if(e)if(e>>>0>536870911){i=ye(8)|0;Jmc(i,511852);f[i>>2]=165276;Gf(i|0,26776,1555)}else{n=Bmc(e<<3)|0;break}else n=0;while(0);i=n+(j<<3)|0;j=n+(e<<3)|0;e=b;b=i;n=i;do{h=c;l=f[h+4>>2]|0;m=b;f[m>>2]=f[h>>2];f[m+4>>2]=l;b=n+8|0;n=b;e=e+-1|0}while((e|0)!=0);e=f[a>>2]|0;b=(f[g>>2]|0)-e|0;c=i+(0-(b>>3)<<3)|0;if((b|0)>0)Krc(c|0,e|0,b|0)|0;f[a>>2]=c;f[g>>2]=n;f[d>>2]=j;if(!e)return;Emc(e);return}function Xqb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;f[a>>2]=135920;b=a+36|0;c=f[b>>2]|0;if(!c){Nza(a);return}d=a+40|0;e=f[d>>2]|0;if((e|0)==(c|0))g=c;else{h=e;while(1){e=h+-12|0;f[d>>2]=e;i=f[e>>2]|0;if(!i)j=e;else{e=h+-8|0;k=f[e>>2]|0;if((k|0)!=(i|0))f[e>>2]=k+(~((k+-8-i|0)>>>3)<<3);Emc(i);j=f[d>>2]|0}if((j|0)==(c|0))break;else h=j}g=f[b>>2]|0}Emc(g);Nza(a);return}function Yqb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;f[a>>2]=135920;b=a+36|0;c=f[b>>2]|0;if(!c){Nza(a);Emc(a);return}d=a+40|0;e=f[d>>2]|0;if((e|0)==(c|0))g=c;else{h=e;while(1){e=h+-12|0;f[d>>2]=e;i=f[e>>2]|0;if(!i)j=e;else{e=h+-8|0;k=f[e>>2]|0;if((k|0)!=(i|0))f[e>>2]=k+(~((k+-8-i|0)>>>3)<<3);Emc(i);j=f[d>>2]|0}if((j|0)==(c|0))break;else h=j}g=f[b>>2]|0}Emc(g);Nza(a);Emc(a);return}function Zqb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;f[a>>2]=0;c=a+4|0;f[c>>2]=0;f[a+8>>2]=0;d=b+4|0;e=(f[d>>2]|0)-(f[b>>2]|0)|0;g=e>>3;if(!g)return;if(g>>>0>536870911)Ukc(a);h=Bmc(e)|0;f[c>>2]=h;f[a>>2]=h;f[a+8>>2]=h+(g<<3);g=f[b>>2]|0;b=(f[d>>2]|0)-g|0;if((b|0)<=0)return;Krc(h|0,g|0,b|0)|0;f[c>>2]=h+(b>>>3<<3);return}function _qb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;f[a>>2]=135920;b=a+36|0;c=f[b>>2]|0;if(!c){Nza(a);Emc(a);return}d=a+40|0;e=f[d>>2]|0;if((e|0)==(c|0))g=c;else{h=e;while(1){e=h+-12|0;f[d>>2]=e;i=f[e>>2]|0;if(!i)j=e;else{e=h+-8|0;k=f[e>>2]|0;if((k|0)!=(i|0))f[e>>2]=k+(~((k+-8-i|0)>>>3)<<3);Emc(i);j=f[d>>2]|0}if((j|0)==(c|0))break;else h=j}g=f[b>>2]|0}Emc(g);Nza(a);Emc(a);return}function $qb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;e=u;u=u+48|0;g=e+24|0;h=e+12|0;i=e;f[g>>2]=0;j=g+4|0;f[j>>2]=0;f[g+8>>2]=0;f[h>>2]=0;k=h+4|0;f[k>>2]=0;f[h+8>>2]=0;rD(c,g);rD(d,h);d=f[g>>2]|0;if(((f[j>>2]|0)-d|0)!=56){f[i>>2]=0;f[i+4>>2]=0;l=YG(i,18)|0;m=475475;n=l+18|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,i,476100,461050,153)}j=d+40|0;d=a+36|0;c=f[d>>2]|0;o=a+40|0;p=f[o>>2]|0;q=p;r=c;if((c|0)!=(p|0)){p=f[k>>2]|0;c=f[h>>2]|0;if(((p-c|0)/56|0|0)==((q-r|0)/12|0|0)){s=h;t=k;v=p;w=c}else{f[i>>2]=0;f[i+4>>2]=0;l=YG(i,36)|0;m=461500;n=l+36|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,i,476100,461050,171)}}else{c=a+48|0;a=f[c>>2]|0;p=((f[k>>2]|0)-(f[h>>2]|0)|0)/56|0;x=((f[(f[j>>2]|0)+(a<<2)>>2]|0)>>>0)/(p>>>0)|0;y=a+1|0;f[i>>2]=0;a=i+4|0;f[a>>2]=0;f[i+8>>2]=0;if(!y){z=r;A=q}else{if(y>>>0>536870911)Ukc(i);q=Bmc(y<<3)|0;f[a>>2]=q;f[i>>2]=q;f[i+8>>2]=q+(y<<3);r=y;B=q;C=q;while(1){D=B;f[D>>2]=-2147483648;f[D+4>>2]=2147483647;D=C+8|0;E=r+-1|0;if(!E)break;else{r=E;B=D;C=D}}f[a>>2]=q+(y<<3);z=f[d>>2]|0;A=f[o>>2]|0}y=(A-z|0)/12|0;q=z;z=A;if(p>>>0<=y>>>0){if(p>>>0<y>>>0?(A=q+(p*12|0)|0,(z|0)!=(A|0)):0){q=z;while(1){z=q+-12|0;f[o>>2]=z;C=f[z>>2]|0;if(!C)F=z;else{z=q+-8|0;B=f[z>>2]|0;if((B|0)!=(C|0))f[z>>2]=B+(~((B+-8-C|0)>>>3)<<3);Emc(C);F=f[o>>2]|0}if((F|0)==(A|0))break;else q=F}}}else Uqb(d,p-y|0,i);y=f[i>>2]|0;if(y|0){p=f[a>>2]|0;if((p|0)!=(y|0))f[a>>2]=p+(~((p+-8-y|0)>>>3)<<3);Emc(y)}y=f[k>>2]|0;p=f[h>>2]|0;if((y|0)==(p|0)){rt(h);rt(g);u=e;return}a=f[d>>2]|0;F=f[c>>2]|0;c=(y-p|0)/56|0;q=0;A=0;do{o=f[a+(q*12|0)>>2]|0;f[o+(F<<3)>>2]=A;A=A+x|0;f[o+(F<<3)+4>>2]=A;q=q+1|0}while(q>>>0<c>>>0);s=h;t=k;v=y;w=p}if((v|0)==(w|0)){rt(h);rt(g);u=e;return}w=i+4|0;v=0;p=f[j>>2]|0;while(1){y=f[d>>2]|0;k=(f[y+(v*12|0)+4>>2]|0)-(f[y+(v*12|0)>>2]|0)>>3;c=f[p+-4>>2]|0;if(k>>>0>c>>>0){G=33;break}if(!k){H=0;I=c;J=y;K=p}else{c=0;k=y;y=p;do{erb(i,(f[k+(v*12|0)>>2]|0)+(c<<3)|0,f[y+(c<<2)>>2]|0);q=i;A=f[q+4>>2]|0;F=(f[(f[d>>2]|0)+(v*12|0)>>2]|0)+(c<<3)|0;f[F>>2]=f[q>>2];f[F+4>>2]=A;c=c+1|0;k=f[d>>2]|0;L=(f[k+(v*12|0)+4>>2]|0)-(f[k+(v*12|0)>>2]|0)>>3;y=f[j>>2]|0}while(c>>>0<L>>>0);H=L;I=f[y+-4>>2]|0;J=k;K=y}a:do if((H|0)<(I|0)){c=H;A=J;while(1){f[i>>2]=-2147483648;f[w>>2]=2147483647;F=A+(v*12|0)+4|0;q=f[F>>2]|0;if((q|0)==(f[A+(v*12|0)+8>>2]|0))vob(A+(v*12|0)|0,i);else{x=i;a=f[x+4>>2]|0;o=q;f[o>>2]=f[x>>2];f[o+4>>2]=a;f[F>>2]=(f[F>>2]|0)+8}F=c+1|0;a=f[j>>2]|0;if((F|0)>=(f[a+-4>>2]|0)){M=a;break a}c=F;A=f[d>>2]|0}}else M=K;while(0);v=v+1|0;if(v>>>0>=(((f[t>>2]|0)-(f[s>>2]|0)|0)/56|0)>>>0){G=30;break}else p=M}if((G|0)==30){rt(h);rt(g);u=e;return}else if((G|0)==33){f[i>>2]=0;f[i+4>>2]=0;l=YG(i,40)|0;m=461645;n=l+40|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,i,476100,461050,175)}}function arb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;g=u;u=u+112|0;h=g+96|0;i=g+84|0;j=g+72|0;k=g+56|0;l=g;zT(h,136020);if((BD(c,-1)|0)==3)gAa(a,c,d,e);else{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[j>>2]=0;e=j+4|0;f[e>>2]=0;f[j+8>>2]=0;rD(c,i);rD(d,j);d=f[i>>2]|0;c=f[e>>2]|0;m=f[j>>2]|0;n=a+36|0;o=f[n>>2]|0;p=o;if(((c-m|0)/56|0|0)!=(((f[a+40>>2]|0)-o|0)/12|0|0)){f[k>>2]=0;f[k+4>>2]=0;o=YG(k,36)|0;a=461500;q=o+36|0;do{b[o>>0]=b[a>>0]|0;o=o+1|0;a=a+1|0}while((o|0)<(q|0));SQ(-215,k,475494,461050,257)}a:do if((c|0)!=(m|0)){a=k+8|0;o=k+4|0;q=l+36|0;r=l+16|0;s=l+4|0;t=l+40|0;v=l+44|0;w=l+48|0;x=0;y=p;while(1){rP(l,d,y+(x*12|0)|0);z=(f[j>>2]|0)+(x*56|0)|0;A=a;f[A>>2]=0;f[A+4>>2]=0;f[k>>2]=33619968;f[o>>2]=z;kT(l,k);z=f[q>>2]|0;if(z|0?(A=z+12|0,z=f[A>>2]|0,f[A>>2]=z+-1,(z|0)==1):0)lP(l);f[q>>2]=0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[s>>2]|0)>0){z=f[t>>2]|0;A=0;do{f[z+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[s>>2]|0))}A=f[v>>2]|0;if((A|0)!=(w|0))tE(A);A=x+1|0;if(A>>>0>=(((f[e>>2]|0)-(f[j>>2]|0)|0)/56|0)>>>0)break a;x=A;y=f[n>>2]|0}}while(0);rt(j);rt(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function brb(a,b){a=a|0;b=b|0;var c=0;switch(b|0){case 2:{b=f[a+36>>2]|0;if(((f[a+40>>2]|0)-b|0)!=12){c=0;return c|0}c=((f[b+4>>2]|0)-(f[b>>2]|0)|0)==32;return c|0}case 3:{c=1;return c|0}default:{c=0;return c|0}}return 0}function crb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function drb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;g=u;u=u+32|0;h=g+16|0;i=g;j=g+8|0;k=f[c>>2]|0;if(((f[c+4>>2]|0)-k|0)!=12){f[h>>2]=0;f[h+4>>2]=0;l=YG(h,18)|0;m=475475;n=l+18|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,h,475265,461050,122)}fAa(h,k);k=a+36|0;c=f[k>>2]|0;o=f[a+40>>2]|0;a:do if((c|0)==(o|0)){p=f[a+48>>2]|0;if((p|0)<=-1){f[i>>2]=0;q=i+4|0;f[q>>2]=0;r=YG(i,35)|0;l=r;m=461345;n=l+35|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,i,475265,461050,139)}s=f[h>>2]|0;t=s;if(p>>>0>=(f[h+4>>2]|0)-s>>2>>>0){f[i>>2]=0;q=i+4|0;f[q>>2]=0;r=YG(i,35)|0;l=r;m=461345;n=l+35|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,i,475265,461050,139)}if((d|0)<=0){f[i>>2]=0;v=i+4|0;f[v>>2]=0;w=YG(i,60)|0;l=w;m=461381;n=l+60|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,i,475265,461050,140)}s=t+(p<<2)|0;x=f[s>>2]|0;if((x|0)%(d|0)|0|0){f[i>>2]=0;v=i+4|0;f[v>>2]=0;w=YG(i,60)|0;l=w;m=461381;n=l+60|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,i,475265,461050,140)}f[s>>2]=(x|0)/(d|0)|0;p=e+4|0;t=f[p>>2]|0;y=f[e>>2]|0;z=(t-y|0)/12|0;A=t;if(z>>>0<d>>>0){Wmb(e,d-z|0,h);B=h;break}if(z>>>0>d>>>0?(z=y+(d*12|0)|0,(A|0)!=(z|0)):0){y=A;while(1){A=y+-12|0;f[p>>2]=A;t=f[A>>2]|0;if(!t)C=A;else{A=y+-8|0;D=f[A>>2]|0;if((D|0)!=(t|0))f[A>>2]=D+(~((D+-4-t|0)>>>2)<<2);Emc(t);C=f[p>>2]|0}if((C|0)==(z|0)){B=h;break}else y=C}}else B=h}else{y=(o-c|0)/12|0;z=e+4|0;p=f[z>>2]|0;x=f[e>>2]|0;s=(p-x|0)/12|0;t=x;x=p;if(y>>>0<=s>>>0)if(y>>>0<s>>>0?(D=t+(y*12|0)|0,(x|0)!=(D|0)):0){t=x;while(1){x=t+-12|0;f[z>>2]=x;A=f[x>>2]|0;if(!A)E=x;else{x=t+-8|0;F=f[x>>2]|0;if((F|0)!=(A|0))f[x>>2]=F+(~((F+-4-A|0)>>>2)<<2);Emc(A);E=f[z>>2]|0}if((E|0)==(D|0))break;else t=E}G=E}else G=p;else{Wmb(e,y-s|0,h);G=f[z>>2]|0}t=f[e>>2]|0;if((G|0)==(t|0)){B=h;break}D=h+4|0;A=j+4|0;F=0;x=t;t=G;H=f[k>>2]|0;while(1){I=f[H+(F*12|0)+4>>2]|0;J=f[H+(F*12|0)>>2]|0;K=f[h>>2]|0;if(I-J>>3>>>0>(f[D>>2]|0)-K>>2>>>0)break;if((I|0)==(J|0)){L=H;M=x;N=t}else{J=0;I=H;O=K;while(1){erb(j,(f[I+(F*12|0)>>2]|0)+(J<<3)|0,f[O+(J<<2)>>2]|0);P=f[e>>2]|0;f[(f[P+(F*12|0)>>2]|0)+(J<<2)>>2]=(f[A>>2]|0)-(f[j>>2]|0);K=J+1|0;Q=f[k>>2]|0;if(K>>>0>=(f[Q+(F*12|0)+4>>2]|0)-(f[Q+(F*12|0)>>2]|0)>>3>>>0)break;J=K;I=Q;O=f[h>>2]|0}L=Q;M=P;N=f[z>>2]|0}F=F+1|0;if(F>>>0>=((N-M|0)/12|0)>>>0){B=h;break a}else{x=M;t=N;H=L}}f[i>>2]=0;f[i+4>>2]=0;l=YG(i,40)|0;m=461304;n=l+40|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,i,475265,461050,130)}while(0);i=f[B>>2]|0;if(!i){u=g;return 0}B=h+4|0;h=f[B>>2]|0;if((h|0)!=(i|0))f[B>>2]=h+(~((h+-4-i|0)>>>2)<<2);Emc(i);u=g;return 0}function erb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e;h=f[c>>2]|0;i=(h|0)>0?h:0;h=f[c+4>>2]|0;c=(h|0)>0?((h|0)>(d|0)?d:h):d+1+h|0;f[a>>2]=i;f[a+4>>2]=c;if((i|0)>=(c|0)){f[g>>2]=0;f[g+4>>2]=0;j=YG(g,27)|0;k=461442;l=j+27|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,g,461470,475161,212)}if((c|0)>(d|0)){f[g>>2]=0;f[g+4>>2]=0;j=YG(g,23)|0;k=461476;l=j+23|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,g,461470,475161,212)}else{u=e;return}}function frb(a,b){a=a|0;b=b|0;var c=0;c=Bmc(60)|0;grb(c,b);b=Bmc(16)|0;f[b+4>>2]=1;f[b>>2]=136060;f[b+8>>2]=c;f[a>>2]=b;f[a+4>>2]=c;return}function grb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0.0;d=u;u=u+32|0;e=d+24|0;g=d+8|0;h=d+16|0;i=d;uCa(a);f[a>>2]=136080;j=a+40|0;k=a+44|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;vCa(a,c);l=a+36|0;f[l>>2]=1;f[e>>2]=0;f[e+4>>2]=0;a=YG(e,9)|0;m=461792;o=a+9|0;do{b[a>>0]=b[m>>0]|0;a=a+1|0;m=m+1|0}while((a|0)<(o|0));p=c+4|0;q=f[p>>2]|0;do if(!q)ZG(e);else{r=f[e>>2]|0;s=(r|0)==0?1163146:r;t=q;while(1){v=f[t+16>>2]|0;if((r|0)==(v|0)){w=9;break}x=(v|0)==0?1163146:v;if((o7b(s,x)|0)<0)y=t;else{if((o7b(x,s)|0)>=0){w=10;break}y=t+4|0}t=f[y>>2]|0;if(!t){w=32;break}}if((w|0)==9)ZG(e);else if((w|0)==10)ZG(e);else if((w|0)==32){ZG(e);break}f[i>>2]=0;f[i+4>>2]=0;a=YG(i,9)|0;m=461792;o=a+9|0;do{b[a>>0]=b[m>>0]|0;a=a+1|0;m=m+1|0}while((a|0)<(o|0));sCa(h,dDa(c,i)|0,-1);t=f[h>>2]|0;if(!t){f[g>>2]=0;f[g+4>>2]=0}else{s=h+4|0;r=f[s>>2]|0;f[e>>2]=0;x=e+4|0;f[x>>2]=0;if(r|0?(Krc(YG(e,r)|0,t|0,r|0)|0,f[s>>2]|0):0){r=0;do{t=(p9b(b[(f[h>>2]|0)+r>>0]|0)|0)&255;b[(f[e>>2]|0)+r>>0]=t;r=r+1|0}while(r>>>0<(f[s>>2]|0)>>>0)}s=f[e>>2]|0;f[g>>2]=s;f[g+4>>2]=f[x>>2];if(s|0){r=s+-4|0;f[r>>2]=(f[r>>2]|0)+1}ZG(e)}ZG(h);ZG(i);r=f[g>>2]|0;if((r|0)!=461802?(s=(r|0)==0?1163146:r,(o7b(s,461802)|0)!=0):0)if((r|0)!=461807?(o7b(s,461807)|0)!=0:0)if((r|0)!=474850?(o7b(s,474850)|0)!=0:0){f[i>>2]=0;s=i+4|0;f[s>>2]=0;r=g+4|0;YG(i,(f[r>>2]|0)+24|0)|0;t=f[i>>2]|0;a=t;m=461811;o=a+24|0;do{b[a>>0]=b[m>>0]|0;a=a+1|0;m=m+1|0}while((a|0)<(o|0));x=f[r>>2]|0;if(x|0)Krc(t+24|0,f[g>>2]|0,x|0)|0;f[e>>2]=0;f[e+4>>2]=0;YG(e,(f[s>>2]|0)+1|0)|0;x=f[s>>2]|0;if(!x){z=0;A=f[e>>2]|0;B=A+z|0;b[B>>0]=34;SQ(-5,e,461836,461853,82)}Krc(f[e>>2]|0,f[i>>2]|0,x|0)|0;z=f[s>>2]|0;A=f[e>>2]|0;B=A+z|0;b[B>>0]=34;SQ(-5,e,461836,461853,82)}else C=2;else C=1;else C=0;f[l>>2]=C;ZG(g)}while(0);f[e>>2]=0;f[e+4>>2]=0;C=YG(e,5)|0;b[C>>0]=b[461931]|0;b[C+1>>0]=b[461932]|0;b[C+2>>0]=b[461933]|0;b[C+3>>0]=b[461934]|0;b[C+4>>0]=b[461935]|0;C=f[p>>2]|0;if(!C){ZG(e);u=d;return}p=f[e>>2]|0;l=(p|0)==0?1163146:p;B=C;while(1){C=f[B+16>>2]|0;if((p|0)==(C|0)){w=41;break}z=(C|0)==0?1163146:C;if((o7b(l,z)|0)<0)D=B;else{if((o7b(z,l)|0)>=0){w=42;break}D=B+4|0}B=f[D>>2]|0;if(!B){w=57;break}}if((w|0)==41)ZG(e);else if((w|0)==42)ZG(e);else if((w|0)==57){ZG(e);u=d;return}f[e>>2]=0;f[e+4>>2]=0;w=YG(e,5)|0;b[w>>0]=b[461931]|0;b[w+1>>0]=b[461932]|0;b[w+2>>0]=b[461933]|0;b[w+3>>0]=b[461934]|0;b[w+4>>0]=b[461935]|0;tza(g,dDa(c,e)|0);ZG(e);switch(f[g>>2]|0){case 0:{E=(f[g+4>>2]|0)+4|0;break}case 3:{E=(f[g+4>>2]|0)+4|0;break}case 2:{E=(f[g+4>>2]|0)+4|0;break}default:{f[e>>2]=0;f[e+4>>2]=0;SQ(-3,e,463632,463637,278)}}e=f[E>>2]|0;E=f[k>>2]|0;c=f[j>>2]|0;w=E-c>>2;B=c;c=E;if(e>>>0<=w>>>0){if(e>>>0<w>>>0?(E=B+(e<<2)|0,(c|0)!=(E|0)):0)f[k>>2]=c+(~((c+-4-E|0)>>>2)<<2)}else hua(j,e-w|0);if((e|0)>0){w=0;do{F=+eEa(g,w);n[(f[j>>2]|0)+(w<<2)>>2]=F;w=w+1|0}while((w|0)<(e|0))}rza(g);u=d;return}function hrb(a){a=a|0;Emc(a);return}function irb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function jrb(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=136080;b=a+52|0;c=f[b>>2]|0;if(c|0?(d=c+4|0,e=f[d>>2]|0,f[d>>2]=e+-1,(e|0)==1):0)ai[f[(f[c>>2]|0)+8>>2]&2047](c);f[b>>2]=0;f[a+56>>2]=0;b=f[a+40>>2]|0;if(!b){Nza(a);return}c=a+44|0;e=f[c>>2]|0;if((e|0)!=(b|0))f[c>>2]=e+(~((e+-4-b|0)>>>2)<<2);Emc(b);Nza(a);return}function krb(a){a=a|0;jrb(a);Emc(a);return}function lrb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=u;u=u+48|0;h=g+32|0;i=g+20|0;j=g+8|0;k=g;zT(h,136180);do if((BD(c,-1)|0)!=3){f[i>>2]=0;l=i+4|0;f[l>>2]=0;f[i+8>>2]=0;f[j>>2]=0;m=j+4|0;f[m>>2]=0;f[j+8>>2]=0;rD(c,i);rD(d,j);if(((f[m>>2]|0)-(f[j>>2]|0)|0)==56){m=pU()|0;n=f[i>>2]|0;srb(n,((f[l>>2]|0)-n|0)/56|0,f[j>>2]|0,a+40|0,f[a+36>>2]|0,f[a+56>>2]|0,m);rt(j);rt(i);break}else{f[k>>2]=0;f[k+4>>2]=0;m=YG(k,19)|0;n=475522;l=m+19|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(l|0));SQ(-215,k,475494,461853,371)}}else gAa(a,c,d,e);while(0);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function mrb(a,b){a=a|0;b=b|0;var c=0;if((b|2|0)==3){c=1;return c|0}if((b|0)!=2){c=0;return c|0}if((f[a+36>>2]|0)!=1){c=1;return c|0}c=(f[a+40>>2]|0)==(f[a+44>>2]|0);return c|0}function nrb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function orb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function prb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=a+52|0;d=a+56|0;a=b+4|0;do if(f[d>>2]|0){e=f[a>>2]|0;if(!e){g=e;break}else{h=0;return h|0}}else g=f[a>>2]|0;while(0);a=f[b>>2]|0;if(a|0){b=a+4|0;f[b>>2]=(f[b>>2]|0)+1}b=f[c>>2]|0;f[c>>2]=a;f[d>>2]=g;if(b|0?(g=b+4|0,a=f[g>>2]|0,f[g>>2]=a+-1,(a|0)==1):0)ai[f[(f[b>>2]|0)+8>>2]&2047](b);h=(f[d>>2]|0)!=0;return h|0}function qrb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;g=u;u=u+16|0;d=g;h=f[c>>2]|0;i=((f[c+4>>2]|0)-h|0)/12|0;if(i>>>0<=1){f[d>>2]=0;f[d+4>>2]=0;j=YG(d,18)|0;k=461960;l=j+18|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,d,475265,461853,109)}c=f[a+44>>2]|0;m=f[a+40>>2]|0;n=c-m>>2;if(!((n|0)==0|(n|0)==(i|0))){f[d>>2]=0;f[d+4>>2]=0;j=YG(d,52)|0;k=461979;l=j+52|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,d,475265,461853,110)}if(!((c|0)==(m|0)?1:(f[a+36>>2]|0)==1)){f[d>>2]=0;f[d+4>>2]=0;j=YG(d,31)|0;k=462032;l=j+31|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,d,475265,461853,111)}a=h;m=f[a+4>>2]|0;c=f[h>>2]|0;h=m-c|0;n=c;c=m;m=(n|0)==(c|0);o=1;a:while(1){p=f[a+(o*12|0)>>2]|0;if((h|0)!=((f[a+(o*12|0)+4>>2]|0)-p|0)){q=14;break}if(!m){r=n;s=p;while(1){if((f[r>>2]|0)!=(f[s>>2]|0)){q=14;break a}r=r+4|0;if((r|0)==(c|0))break;else s=s+4|0}}o=o+1|0;if(o>>>0>=i>>>0){q=8;break}}if((q|0)==8){eAa(e,1,a);u=g;return 0}else if((q|0)==14){f[d>>2]=0;f[d+4>>2]=0;j=YG(d,22)|0;k=462064;l=j+22|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,d,475265,461853,115)}return 0}function rrb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=u;u=u+16|0;a=d;e=f[c>>2]|0;g=(f[c+4>>2]|0)-e|0;c=(g|0)/12|0;if(!g){f[a>>2]=0;f[a+4>>2]=0;h=YG(a,13)|0;i=461937;j=h+13|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));SQ(-215,a,461951,461853,448)}g=f[e+4>>2]|0;k=f[e>>2]|0;e=g-k|0;l=e>>2;m=k;if((m|0)==(g|0)){n=0;o=Y(n,c)|0;p=(o|0)<0;q=p<<31>>31;J=q;u=d;return o|0}if((e|0)<=-4){f[a>>2]=0;f[a+4>>2]=0;h=YG(a,70)|0;i=475084;j=h+70|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));SQ(-215,a,475155,475161,161)}if((e|0)>0){r=0;s=1}else{n=1;o=Y(n,c)|0;p=(o|0)<0;q=p<<31>>31;J=q;u=d;return o|0}while(1){e=Y(f[m+(r<<2)>>2]|0,s)|0;r=r+1|0;if((r|0)>=(l|0)){n=e;break}else s=e}o=Y(n,c)|0;p=(o|0)<0;q=p<<31>>31;J=q;u=d;return o|0}function srb(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0.0,R=0;j=u;u=u+48|0;k=j+8|0;l=j;m=f[d+4>>2]|0;o=m+-2|0;if(o>>>0>=3)JY(m,136212);p=f[d>>2]|0;q=p&4095;if((q|0)!=5)BY(q,5,136240);if(!(p&16384)){f[k>>2]=0;f[k+4>>2]=0;r=YG(k,18)|0;s=475581;t=r+18|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,k,475577,461853,142)}q=f[e>>2]|0;v=f[e+4>>2]|0;w=(q|0)==(v|0);x=v;v=q;if(!w?(x-v>>2|0)!=(c|0):0){f[k>>2]=0;f[k+4>>2]=0;r=YG(k,48)|0;s=462087;t=r+48|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,k,475577,461853,143)}if((c|0)<0){y=f[d+40>>2]|0;z=f[y+-4>>2]|0;A=y+4|0;B=(z|0)==2;C=(z|0)>0;D=0;a:while(1){E=f[a+(D*56|0)+40>>2]|0;if((f[E+-4>>2]|0)!=(z|0))break;if(B){if((f[E>>2]|0)!=(f[y>>2]|0))break;if((f[E+4>>2]|0)!=(f[A>>2]|0))break}else if(C){F=0;do{if((f[E+(F<<2)>>2]|0)!=(f[y+(F<<2)>>2]|0))break a;F=F+1|0}while((F|0)<(z|0))}F=f[a+(D*56|0)>>2]|0;if(!((F&16384|0)!=0&((p^F)&4095|0)==0))break;D=D+1|0}f[k>>2]=0;f[k+4>>2]=0;r=YG(k,82)|0;s=462136;t=r+82|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,k,475577,461853,149)}f[k>>2]=136276;D=k+4|0;p=D+12|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;f[p+16>>2]=0;f[p+20>>2]=0;f[D>>2]=a;f[k+8>>2]=c;f[k+12>>2]=d;f[k+20>>2]=g;f[k+24>>2]=i;a=f[d+40>>2]|0;if((m|0)!=4){f[k+32>>2]=1;D=f[a+(m+-1<<2)>>2]|0;if((m|0)>2){G=1;H=D;I=25}else{f[k+36>>2]=D;J=Y(f[d+12>>2]|0,f[d+8>>2]|0)|0;K=1;L=D}}else{D=f[a+4>>2]|0;f[k+32>>2]=D;G=D;H=f[a+(m+-1<<2)>>2]|0;I=25}if((I|0)==25){D=Y(f[a+(o<<2)>>2]|0,H)|0;f[k+36>>2]=D;H=0;o=1;while(1){d=Y(f[a+(H<<2)>>2]|0,o)|0;H=H+1|0;if((H|0)==(m|0)){J=d;K=G;L=D;break}else o=d}}if((J|0)!=(Y(Y(K,f[a>>2]|0)|0,L)|0)){f[l>>2]=0;f[l+4>>2]=0;r=YG(l,53)|0;s=462219;t=r+53|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,l,475577,461853,161)}if((g|0)!=1|w){M=0;N=k+16|0;f[N>>2]=M;O=k+28|0;f[O>>2]=h;f[l>>2]=0;P=l+4|0;f[P>>2]=i;Q=+(i|0);oU(l,k,Q);u=j;return}if((x-v>>2|0)==(c|0))R=0;else{f[l>>2]=0;f[l+4>>2]=0;r=YG(l,30)|0;s=462273;t=r+30|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,l,475577,461853,166)}while(1){if(+n[q+(R<<2)>>2]!=1.0){M=e;I=35;break}R=R+1|0;if(R>>>0>=c>>>0){M=0;I=35;break}}if((I|0)==35){N=k+16|0;f[N>>2]=M;O=k+28|0;f[O>>2]=h;f[l>>2]=0;P=l+4|0;f[P>>2]=i;Q=+(i|0);oU(l,k,Q);u=j;return}}function trb(a){a=a|0;Emc(a);return}function urb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0;c=f[a+12>>2]|0;d=a+36|0;e=f[d>>2]|0;g=Y(e,f[f[c+40>>2]>>2]|0)|0;h=f[a+24>>2]|0;i=((h+-1+g|0)>>>0)/(h>>>0)|0;h=Y(f[b>>2]|0,i)|0;j=Y(f[b+4>>2]|0,i)|0;i=g>>>0<j>>>0?g:j;j=f[a+8>>2]|0;g=f[a+16>>2]|0;if(!g)k=0;else{b=f[g>>2]|0;k=(b|0)==(f[g+4>>2]|0)?0:b}b=f[c+16>>2]|0;if(i>>>0<=h>>>0)return;c=a+32|0;g=a+28|0;l=a+4|0;m=a+20|0;a=(k|0)==0;o=(j|0)>1;p=(h>>>0)/(e>>>0)|0;q=h-(Y(p,e)|0)|0;r=i-h|0;s=e-q|0;t=(s|0)<(r|0)?s:r;r=(t|0)<4096?t:4096;if((r|0)<1)return;else{u=h;v=r;w=t;x=p;y=e;z=q}while(1){q=f[c>>2]|0;a:do if((q|0)>0){e=f[l>>2]|0;p=f[e+16>>2]|0;t=f[m>>2]|0;r=(w|0)>0;h=Y(q,x)|0;s=o&r;A=o&r;B=o&r;r=0;while(1){C=(Y(y,h+r|0)|0)+z|0;D=b+(C<<2)|0;b:do switch(t|0){case 0:{if(A){E=1;F=p;while(1){G=(f[e+(E*56|0)+16>>2]|0)+(C<<2)|0;H=F+(C<<2)|0;I=0;do{n[D+(I<<2)>>2]=+n[H+(I<<2)>>2]*+n[G+(I<<2)>>2];I=I+1|0}while((I|0)<(v|0));I=E+1|0;if((I|0)==(j|0))break;else{E=I;F=b}}}break}case 2:{if(B){F=1;E=p;while(1){I=(f[e+(F*56|0)+16>>2]|0)+(C<<2)|0;G=E+(C<<2)|0;H=0;do{J=G+(H<<2)|0;K=I+(H<<2)|0;f[D+(H<<2)>>2]=f[(+n[J>>2]<+n[K>>2]?K:J)>>2];H=H+1|0}while((H|0)<(v|0));H=F+1|0;if((H|0)==(j|0))break;else{F=H;E=b}}}break}default:{if(a){if(s){L=1;M=p}else break b;while(1){E=(f[e+(L*56|0)+16>>2]|0)+(C<<2)|0;F=M+(C<<2)|0;H=0;do{n[D+(H<<2)>>2]=+n[F+(H<<2)>>2]+ +n[E+(H<<2)>>2];H=H+1|0}while((H|0)<(v|0));H=L+1|0;if((H|0)==(j|0))break b;else{L=H;M=b}}}if(s){N=+n[k>>2];H=1;E=p;while(1){F=(f[e+(H*56|0)+16>>2]|0)+(C<<2)|0;O=+n[k+(H<<2)>>2];I=E+(C<<2)|0;G=0;do{n[D+(G<<2)>>2]=N*+n[I+(G<<2)>>2]+O*+n[F+(G<<2)>>2];G=G+1|0}while((G|0)<(v|0));G=H+1|0;if((G|0)==(j|0))break;else{N=1.0;H=G;E=b}}}}}while(0);r=r+1|0;if((r|0)>=(q|0))break a}}while(0);r=f[g>>2]|0;if(r|0){e=b+(z<<2)+((Y(Y(q,x)|0,y)|0)<<2)|0;Oh[f[(f[r>>2]|0)+100>>2]&127](r,e,e,v,y,0,q)}u=v+u|0;if(i>>>0<=u>>>0){P=31;break}y=f[d>>2]|0;x=(u>>>0)/(y>>>0)|0;z=u-(Y(x,y)|0)|0;e=i-u|0;r=y-z|0;w=(r|0)<(e|0)?r:e;v=(w|0)<4096?w:4096;if((v|0)<1){P=31;break}}if((P|0)==31)return}function vrb(a,b){a=a|0;b=b|0;var c=0;c=Bmc(160)|0;wrb(c,b);b=Bmc(16)|0;f[b+4>>2]=1;f[b>>2]=136296;f[b+8>>2]=c;f[a>>2]=b;f[a+4>>2]=c;return}function wrb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0.0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0,ja=0;d=u;u=u+128|0;e=d+80|0;g=d+40|0;h=d;i=d+24|0;j=d+16|0;uCa(a);f[a>>2]=136316;k=a+36|0;l=a+40|0;m=a+44|0;o=a+48|0;q=a+52|0;r=a+56|0;s=a+60|0;t=a+64|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;f[k+24>>2]=0;f[k+28>>2]=0;f[a+84>>2]=1124007936;v=a+92|0;w=a+124|0;x=a+88|0;y=x+36|0;do{f[x>>2]=0;x=x+4|0}while((x|0)<(y|0));f[w>>2]=v;v=a+132|0;f[a+128>>2]=v;f[v>>2]=0;f[a+136>>2]=0;v=a+144|0;f[v>>2]=0;w=a+148|0;z=Bmc(16)|0;A=z+8|0;f[z>>2]=A;f[z+4>>2]=1;f[w>>2]=z;z=A;f[z>>2]=0;f[z+4>>2]=0;z=a+152|0;f[z>>2]=0;A=a+156|0;B=Bmc(16)|0;C=B+8|0;f[B>>2]=C;f[B+4>>2]=1;f[A>>2]=B;B=C;f[B>>2]=0;f[B+4>>2]=0;vCa(a,c);f[e>>2]=0;f[e+4>>2]=0;x=YG(e,11)|0;B=462838;y=x+11|0;do{b[x>>0]=b[B>>0]|0;x=x+1|0;B=B+1|0}while((x|0)<(y|0));C=c+4|0;D=f[C>>2]|0;do if(D){E=f[e>>2]|0;F=(E|0)==0?1163146:E;G=C;H=D;a:while(1){I=H;while(1){J=f[I+16>>2]|0;if((J|0)==(E|0))break;if((o7b((J|0)==0?1163146:J,F)|0)>=0)break;J=f[I+4>>2]|0;if(!J){L=G;break a}else I=J}H=f[I>>2]|0;if(!H){L=I;break}else G=I}if((L|0)!=(C|0)){G=f[L+16>>2]|0;if((E|0)!=(G|0)?(o7b(F,(G|0)==0?1163146:G)|0)<=-1:0){N=16;break}G=rCa(L+24|0,-1)|0;N=G}else N=16}else N=16;while(0);L=a+76|0;f[L>>2]=N;ZG(e);f[e>>2]=0;f[e+4>>2]=0;x=YG(e,9)|0;B=462850;y=x+9|0;do{b[x>>0]=b[B>>0]|0;x=x+1|0;B=B+1|0}while((x|0)<(y|0));N=f[C>>2]|0;do if(N){D=f[e>>2]|0;G=(D|0)==0?1163146:D;H=C;J=N;b:while(1){O=J;while(1){P=f[O+16>>2]|0;if((P|0)==(D|0))break;if((o7b((P|0)==0?1163146:P,G)|0)>=0)break;P=f[O+4>>2]|0;if(!P){Q=H;break b}else O=P}J=f[O>>2]|0;if(!J){Q=O;break}else H=O}if((Q|0)!=(C|0)){H=f[Q+16>>2]|0;if((D|0)!=(H|0)?(o7b(G,(H|0)==0?1163146:H)|0)<=-1:0){R=16;break}H=rCa(Q+24|0,-1)|0;R=H}else R=16}else R=16;while(0);Q=a+80|0;f[Q>>2]=R;ZG(e);f[e>>2]=0;f[e+4>>2]=0;x=YG(e,12)|0;B=462860;y=x+12|0;do{b[x>>0]=b[B>>0]|0;x=x+1|0;B=B+1|0}while((x|0)<(y|0));R=f[C>>2]|0;do if(R){N=f[e>>2]|0;H=(N|0)==0?1163146:N;J=C;F=R;c:while(1){E=F;while(1){I=f[E+16>>2]|0;if((I|0)==(N|0))break;if((o7b((I|0)==0?1163146:I,H)|0)>=0)break;I=f[E+4>>2]|0;if(!I){S=J;break c}else E=I}F=f[E>>2]|0;if(!F){S=E;break}else J=E}if((S|0)!=(C|0)){J=f[S+16>>2]|0;if((N|0)!=(J|0)?(o7b(H,(J|0)==0?1163146:J)|0)<=-1:0){T=6e3;break}J=rCa(S+24|0,-1)|0;T=J}else T=6e3}else T=6e3;while(0);S=a+68|0;f[S>>2]=T;ZG(e);f[e>>2]=0;f[e+4>>2]=0;x=YG(e,13)|0;B=462873;y=x+13|0;do{b[x>>0]=b[B>>0]|0;x=x+1|0;B=B+1|0}while((x|0)<(y|0));T=f[C>>2]|0;do if(T){R=f[e>>2]|0;J=(R|0)==0?1163146:R;F=C;G=T;d:while(1){D=G;while(1){O=f[D+16>>2]|0;if((O|0)==(R|0))break;if((o7b((O|0)==0?1163146:O,J)|0)>=0)break;O=f[D+4>>2]|0;if(!O){U=F;break d}else D=O}G=f[D>>2]|0;if(!G){U=D;break}else F=D}if((U|0)!=(C|0)){F=f[U+16>>2]|0;if((R|0)!=(F|0)?(o7b(J,(F|0)==0?1163146:F)|0)<=-1:0){V=300;break}F=rCa(U+24|0,-1)|0;V=F}else V=300}else V=300;while(0);U=a+72|0;f[U>>2]=V;ZG(e);f[e>>2]=0;f[e+4>>2]=0;x=YG(e,10)|0;B=462887;y=x+10|0;do{b[x>>0]=b[B>>0]|0;x=x+1|0;B=B+1|0}while((x|0)<(y|0));V=f[C>>2]|0;do if(V){T=f[e>>2]|0;F=(T|0)==0?1163146:T;G=C;H=V;e:while(1){N=H;while(1){E=f[N+16>>2]|0;if((E|0)==(T|0))break;if((o7b((E|0)==0?1163146:E,F)|0)>=0)break;E=f[N+4>>2]|0;if(!E){W=G;break e}else N=E}H=f[N>>2]|0;if(!H){W=N;break}else G=N}if((W|0)!=(C|0)){G=f[W+16>>2]|0;if((T|0)!=(G|0)?(o7b(F,(G|0)==0?1163146:G)|0)<=-1:0){X=.699999988079071;break}X=+eEa(W+24|0,-1)}else X=.699999988079071}else X=.699999988079071;while(0);W=a+140|0;n[W>>2]=X;ZG(e);f[e>>2]=0;f[e+4>>2]=0;C=YG(e,5)|0;b[C>>0]=b[462898]|0;b[C+1>>0]=b[462899]|0;b[C+2>>0]=b[462900]|0;b[C+3>>0]=b[462901]|0;b[C+4>>0]=b[462902]|0;kDa(v,dDa(c,e)|0)|0;ZG(e);f[e>>2]=0;f[e+4>>2]=0;C=YG(e,5)|0;b[C>>0]=b[472087]|0;b[C+1>>0]=b[472088]|0;b[C+2>>0]=b[472089]|0;b[C+3>>0]=b[472090]|0;b[C+4>>0]=b[472091]|0;kDa(z,dDa(c,e)|0)|0;ZG(e);f[g+4>>2]=0;f[g+8>>2]=0;f[g>>2]=g+4;c=g+12|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;f[c+16>>2]=0;f[c+20>>2]=0;f[c+24>>2]=0;f[e>>2]=0;f[e+4>>2]=0;c=YG(e,4)|0;b[c>>0]=115;b[c+1>>0]=116;b[c+2>>0]=101;b[c+3>>0]=112;SEa(g,e,L)|0;ZG(e);f[e>>2]=0;f[e+4>>2]=0;c=YG(e,4)|0;b[c>>0]=102;b[c+1>>0]=108;b[c+2>>0]=105;b[c+3>>0]=112;b[h>>0]=0;TCa(g,e,h)|0;ZG(e);f[e>>2]=0;f[e+4>>2]=0;c=YG(e,4)|0;b[c>>0]=99;b[c+1>>0]=108;b[c+2>>0]=105;b[c+3>>0]=112;b[h>>0]=0;TCa(g,e,h)|0;ZG(e);f[e>>2]=0;f[e+4>>2]=0;x=YG(e,15)|0;B=465803;y=x+15|0;do{b[x>>0]=b[B>>0]|0;x=x+1|0;B=B+1|0}while((x|0)<(y|0));b[h>>0]=0;TCa(g,e,h)|0;ZG(e);f[e>>2]=0;f[e+4>>2]=0;c=YG(e,6)|0;b[c>>0]=b[462904]|0;b[c+1>>0]=b[462905]|0;b[c+2>>0]=b[462906]|0;b[c+3>>0]=b[462907]|0;b[c+4>>0]=b[462908]|0;b[c+5>>0]=b[462909]|0;p[h>>3]=+((f[Q>>2]|0)>>>0)*.5/+((f[L>>2]|0)>>>0);xEa(g,e,h)|0;ZG(e);f[e>>2]=0;f[e+4>>2]=0;L=YG(e,8)|0;c=L;b[c>>0]=118;b[c+1>>0]=97;b[c+2>>0]=114;b[c+3>>0]=105;c=L+4|0;b[c>>0]=97;b[c+1>>0]=110;b[c+2>>0]=99;b[c+3>>0]=101;c=Bmc(16)|0;f[c>>2]=c+8;f[c+4>>2]=4;L=Dmc(32)|0;f[c>>2]=L;f[h>>2]=2;f[h+4>>2]=c;p[L>>3]=.10000000149011612;p[L+8>>3]=.10000000149011612;p[L+16>>3]=.20000000298023224;p[L+24>>3]=.20000000298023224;MCa(g,e,h)|0;rza(h);ZG(e);f[h>>2]=0;L=h+4|0;f[L>>2]=0;f[h+8>>2]=0;f[i>>2]=0;c=i+4|0;f[c>>2]=0;f[i+8>>2]=0;switch(f[v>>2]|0){case 0:{Z=(f[w>>2]|0)+4|0;break}case 3:{Z=(f[a+148>>2]|0)+4|0;break}case 2:{Z=(f[a+148>>2]|0)+4|0;break}default:{f[e>>2]=0;f[e+4>>2]=0;SQ(-3,e,463632,463637,278)}}C=f[Z>>2]|0;switch(f[z>>2]|0){case 0:{_=(f[A>>2]|0)+4|0;break}case 3:{_=(f[a+156>>2]|0)+4|0;break}case 2:{_=(f[a+156>>2]|0)+4|0;break}default:{f[e>>2]=0;f[e+4>>2]=0;SQ(-3,e,463632,463637,278)}}qwa(h,Y(f[_>>2]|0,C)|0);switch(f[v>>2]|0){case 0:{$=(f[w>>2]|0)+4|0;break}case 3:{$=(f[a+148>>2]|0)+4|0;break}case 2:{$=(f[a+148>>2]|0)+4|0;break}default:{f[e>>2]=0;f[e+4>>2]=0;SQ(-3,e,463632,463637,278)}}C=f[$>>2]|0;switch(f[z>>2]|0){case 0:{aa=(f[A>>2]|0)+4|0;break}case 3:{aa=(f[a+156>>2]|0)+4|0;break}case 2:{aa=(f[a+156>>2]|0)+4|0;break}default:{f[e>>2]=0;f[e+4>>2]=0;SQ(-3,e,463632,463637,278)}}qwa(i,Y(f[aa>>2]|0,C)|0);C=h+8|0;aa=i+8|0;$=a+156|0;_=a+148|0;a=0;f:while(1){switch(f[v>>2]|0){case 0:{ba=(f[w>>2]|0)+4|0;break}case 3:{ba=(f[_>>2]|0)+4|0;break}case 2:{ba=(f[_>>2]|0)+4|0;break}default:{ca=81;break f}}if((a|0)>=(f[ba>>2]|0)){ca=83;break}X=+eEa(v,a);Z=0;while(1){switch(f[z>>2]|0){case 0:{da=(f[A>>2]|0)+4|0;break}case 3:{da=(f[$>>2]|0)+4|0;break}case 2:{da=(f[$>>2]|0)+4|0;break}default:{ca=89;break f}}if((Z|0)>=(f[da>>2]|0))break;ea=+eEa(z,Z);fa=+K(+(+((f[Q>>2]|0)>>>0)/+M(+X)+.5));ga=+K(+(X*fa+.5));ha=ea*fa;n[e>>2]=ha;V=f[L>>2]|0;if((V|0)==(f[C>>2]|0))tua(h,e);else{n[V>>2]=ha;f[L>>2]=V+4}ha=ea*ga;n[e>>2]=ha;V=f[c>>2]|0;if((V|0)==(f[aa>>2]|0))tua(i,e);else{n[V>>2]=ha;f[c>>2]=V+4}Z=Z+1|0}a=a+1|0}if((ca|0)==81){f[e>>2]=0;f[e+4>>2]=0;SQ(-3,e,463632,463637,278)}else if((ca|0)==83){f[e>>2]=0;f[e+4>>2]=0;a=YG(e,5)|0;b[a>>0]=b[473145]|0;b[a+1>>0]=b[473146]|0;b[a+2>>0]=b[473147]|0;b[a+3>>0]=b[473148]|0;b[a+4>>0]=b[473149]|0;a=f[h>>2]|0;aa=(f[L>>2]|0)-a|0;C=aa>>2;Q=Bmc(16)|0;z=Q+8|0;f[Q>>2]=z;f[Q+4>>2]=C;if(C>>>0>1){da=Dmc(C>>>0>536870911?-1:C<<3)|0;f[Q>>2]=da;ia=da}else ia=z;f[j>>2]=2;f[j+4>>2]=Q;if((aa|0)>0){aa=a;a=0;while(1){p[ia+(a<<3)>>3]=+n[aa>>2];a=a+1|0;if((a|0)==(C|0))break;else aa=aa+4|0}}MCa(g,e,j)|0;rza(j);ZG(e);f[e>>2]=0;f[e+4>>2]=0;aa=YG(e,6)|0;b[aa>>0]=b[473280]|0;b[aa+1>>0]=b[473281]|0;b[aa+2>>0]=b[473282]|0;b[aa+3>>0]=b[473283]|0;b[aa+4>>0]=b[473284]|0;b[aa+5>>0]=b[473285]|0;aa=f[i>>2]|0;C=(f[c>>2]|0)-aa|0;a=C>>2;ia=Bmc(16)|0;Q=ia+8|0;f[ia>>2]=Q;f[ia+4>>2]=a;if(a>>>0>1){z=Dmc(a>>>0>536870911?-1:a<<3)|0;f[ia>>2]=z;ja=z}else ja=Q;f[j>>2]=2;f[j+4>>2]=ia;if((C|0)>0){C=aa;aa=0;while(1){p[ja+(aa<<3)>>3]=+n[C>>2];aa=aa+1|0;if((aa|0)==(a|0))break;else C=C+4|0}}MCa(g,e,j)|0;rza(j);ZG(e);yqb(e,g);j=f[e>>2]|0;C=f[e+4>>2]|0;if(j|0){a=j+4|0;f[a>>2]=(f[a>>2]|0)+1}a=f[k>>2]|0;f[k>>2]=j;f[l>>2]=C;if(a|0?(C=a+4|0,l=f[C>>2]|0,f[C>>2]=l+-1,(l|0)==1):0)ai[f[(f[a>>2]|0)+8>>2]&2047](a);a=f[e>>2]|0;if(a|0?(l=a+4|0,C=f[l>>2]|0,f[l>>2]=C+-1,(C|0)==1):0)ai[f[(f[a>>2]|0)+8>>2]&2047](a);a=f[i>>2]|0;if(a|0){i=f[c>>2]|0;if((i|0)!=(a|0))f[c>>2]=i+(~((i+-4-a|0)>>>2)<<2);Emc(a)}a=f[h>>2]|0;if(a|0){i=f[L>>2]|0;if((i|0)!=(a|0))f[L>>2]=i+(~((i+-4-a|0)>>>2)<<2);Emc(a)}qza(g);f[e+4>>2]=0;f[e+8>>2]=0;f[e>>2]=e+4;a=e+12|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[g>>2]=0;f[g+4>>2]=0;a=YG(g,5)|0;b[a>>0]=b[467464]|0;b[a+1>>0]=b[467465]|0;b[a+2>>0]=b[467466]|0;b[a+3>>0]=b[467467]|0;b[a+4>>0]=b[467468]|0;a=Bmc(16)|0;f[a>>2]=a+8;f[a+4>>2]=4;i=Dmc(32)|0;f[a>>2]=i;f[h>>2]=0;f[h+4>>2]=a;a=i;f[a>>2]=0;f[a+4>>2]=0;a=i+8|0;f[a>>2]=2;f[a+4>>2]=0;a=i+16|0;f[a>>2]=3;f[a+4>>2]=0;a=i+24|0;f[a>>2]=1;f[a+4>>2]=0;MCa(e,g,h)|0;rza(h);ZG(g);bpb(g,e);a=f[g>>2]|0;i=f[g+4>>2]|0;if(a|0){L=a+4|0;f[L>>2]=(f[L>>2]|0)+1}L=f[q>>2]|0;f[q>>2]=a;f[r>>2]=i;if(L|0?(i=L+4|0,r=f[i>>2]|0,f[i>>2]=r+-1,(r|0)==1):0)ai[f[(f[L>>2]|0)+8>>2]&2047](L);L=f[g>>2]|0;if(L|0?(r=L+4|0,i=f[r>>2]|0,f[r>>2]=i+-1,(i|0)==1):0)ai[f[(f[L>>2]|0)+8>>2]&2047](L);bpb(g,e);L=f[g>>2]|0;i=f[g+4>>2]|0;if(L|0){r=L+4|0;f[r>>2]=(f[r>>2]|0)+1}r=f[s>>2]|0;f[s>>2]=L;f[t>>2]=i;do if(r|0){i=r+4|0;t=f[i>>2]|0;f[i>>2]=t+-1;if((t|0)!=1)break;ai[f[(f[r>>2]|0)+8>>2]&2047](r)}while(0);r=f[g>>2]|0;do if(r|0){t=r+4|0;i=f[t>>2]|0;f[t>>2]=i+-1;if((i|0)!=1)break;ai[f[(f[r>>2]|0)+8>>2]&2047](r)}while(0);qza(e);f[e+4>>2]=0;f[e+8>>2]=0;f[e>>2]=e+4;r=e+12|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;f[r+16>>2]=0;f[r+20>>2]=0;f[r+24>>2]=0;f[g>>2]=0;f[g+4>>2]=0;x=YG(g,9)|0;B=465981;y=x+9|0;do{b[x>>0]=b[B>>0]|0;x=x+1|0;B=B+1|0}while((x|0)<(y|0));zrb(e,g,466003)|0;ZG(g);f[g>>2]=0;f[g+4>>2]=0;x=YG(g,11)|0;B=465671;y=x+11|0;do{b[x>>0]=b[B>>0]|0;x=x+1|0;B=B+1|0}while((x|0)<(y|0));f[h>>2]=1;KCa(e,g,h)|0;ZG(g);f[g>>2]=0;f[g+4>>2]=0;x=YG(g,14)|0;B=465683;y=x+14|0;do{b[x>>0]=b[B>>0]|0;x=x+1|0;B=B+1|0}while((x|0)<(y|0));b[h>>0]=1;TCa(e,g,h)|0;ZG(g);f[g>>2]=0;f[g+4>>2]=0;x=YG(g,19)|0;B=465698;y=x+19|0;do{b[x>>0]=b[B>>0]|0;x=x+1|0;B=B+1|0}while((x|0)<(y|0));f[h>>2]=1;KCa(e,g,h)|0;ZG(g);f[g>>2]=0;f[g+4>>2]=0;x=YG(g,26)|0;B=465718;y=x+26|0;do{b[x>>0]=b[B>>0]|0;x=x+1|0;B=B+1|0}while((x|0)<(y|0));b[h>>0]=1;TCa(e,g,h)|0;ZG(g);f[g>>2]=0;f[g+4>>2]=0;x=YG(g,10)|0;B=465745;y=x+10|0;do{b[x>>0]=b[B>>0]|0;x=x+1|0;B=B+1|0}while((x|0)<(y|0));SEa(e,g,U)|0;ZG(g);f[g>>2]=0;f[g+4>>2]=0;U=YG(g,5)|0;b[U>>0]=b[465777]|0;b[U+1>>0]=b[465778]|0;b[U+2>>0]=b[465779]|0;b[U+3>>0]=b[465780]|0;b[U+4>>0]=b[465781]|0;SEa(e,g,S)|0;ZG(g);f[g>>2]=0;f[g+4>>2]=0;x=YG(g,13)|0;B=465836;y=x+13|0;do{b[x>>0]=b[B>>0]|0;x=x+1|0;B=B+1|0}while((x|0)<(y|0));LCa(e,g,W)|0;ZG(g);f[g>>2]=0;f[g+4>>2]=0;x=YG(g,15)|0;B=465803;y=x+15|0;do{b[x>>0]=b[B>>0]|0;x=x+1|0;B=B+1|0}while((x|0)<(y|0));b[h>>0]=0;TCa(e,g,h)|0;ZG(g);f[g>>2]=0;f[g+4>>2]=0;B=YG(g,4)|0;b[B>>0]=99;b[B+1>>0]=108;b[B+2>>0]=105;b[B+3>>0]=112;b[h>>0]=1;TCa(e,g,h)|0;ZG(g);osb(g,e);h=f[g>>2]|0;B=f[g+4>>2]|0;if(h|0){x=h+4|0;f[x>>2]=(f[x>>2]|0)+1}x=f[m>>2]|0;f[m>>2]=h;f[o>>2]=B;do if(x|0){B=x+4|0;o=f[B>>2]|0;f[B>>2]=o+-1;if((o|0)!=1)break;ai[f[(f[x>>2]|0)+8>>2]&2047](x)}while(0);x=f[g>>2]|0;if(!x){qza(e);u=d;return}g=x+4|0;o=f[g>>2]|0;f[g>>2]=o+-1;if((o|0)!=1){qza(e);u=d;return}ai[f[(f[x>>2]|0)+8>>2]&2047](x);qza(e);u=d;return}else if((ca|0)==89){f[e>>2]=0;f[e+4>>2]=0;SQ(-3,e,463632,463637,278)}}function xrb(a){a=a|0;Emc(a);return}function yrb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function zrb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=u;u=u+48|0;e=d+32|0;g=d+8|0;h=d+24|0;i=d;j=a+4|0;k=f[j>>2]|0;do if(k){l=f[b>>2]|0;m=(l|0)==0?1163146:l;n=l;o=j;p=k;a:while(1){q=p;while(1){r=f[q+16>>2]|0;if((r|0)==(l|0))break;if((o7b((r|0)==0?1163146:r,m)|0)>=0)break;r=f[q+4>>2]|0;if(!r){s=o;break a}else q=r}p=f[q>>2]|0;if(!p){s=q;break}else o=q}if((s|0)==(j|0))t=n;else{o=f[s+16>>2]|0;if((l|0)!=(o|0)?(o7b(m,(o|0)==0?1163146:o)|0)<=-1:0){t=n;break}f[e>>2]=3;o=Bmc(16)|0;p=o+8|0;f[p>>2]=0;f[o+12>>2]=0;f[o>>2]=p;f[o+4>>2]=1;f[e+4>>2]=o;ZG(p);o=s8b(c)|0;if(o|0)Krc(YG(p,o)|0,c|0,o|0)|0;kDa(s+24|0,e)|0;rza(e);u=d;return c|0}}else t=f[b>>2]|0;while(0);f[h>>2]=t;s=h+4|0;f[s>>2]=f[b+4>>2];if(t|0){b=t+-4|0;f[b>>2]=(f[b>>2]|0)+1}f[i>>2]=3;b=Bmc(16)|0;t=b+8|0;f[t>>2]=0;f[b+12>>2]=0;f[b>>2]=t;f[b+4>>2]=1;f[i+4>>2]=b;ZG(t);b=s8b(c)|0;if(b|0)Krc(YG(t,b)|0,c|0,b|0)|0;b=f[h>>2]|0;f[g>>2]=b;t=g+4|0;f[t>>2]=f[s>>2];if(b|0){s=b+-4|0;f[s>>2]=(f[s>>2]|0)+1}s=g+8|0;tza(s,i);b=f[g>>2]|0;f[e>>2]=b;k=e+4|0;f[k>>2]=f[t>>2];if(b|0){t=b+-4|0;f[t>>2]=(f[t>>2]|0)+1}t=e+8|0;tza(t,s);b=f[j>>2]|0;b:do if(!b){v=j;w=j}else{o=a+4|0;p=f[e>>2]|0;r=(p|0)==0?1163146:p;x=f[b+16>>2]|0;c:do if((p|0)!=(x|0)){y=o;z=b;A=x;while(1){B=(A|0)==0?1163146:A;if((o7b(r,B)|0)<0){C=f[z>>2]|0;if(!C){D=28;break}else{E=z;F=C}}else{if((o7b(B,r)|0)>=0){G=y;H=z;break c}I=z+4|0;B=f[I>>2]|0;if(!B){D=31;break}else{E=I;F=B}}A=f[F+16>>2]|0;if((p|0)==(A|0)){G=E;H=F;break c}else{y=E;z=F}}if((D|0)==28){v=z;w=z;break b}else if((D|0)==31){v=I;w=z;break b}}else{G=o;H=b}while(0);v=G;w=H}while(0);if(!(f[v>>2]|0)){H=Bmc(32)|0;G=f[e>>2]|0;f[H+16>>2]=G;f[H+20>>2]=f[k>>2];if(G|0){k=G+-4|0;f[k>>2]=(f[k>>2]|0)+1}tza(H+24|0,t);f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=w;f[v>>2]=H;w=f[f[a>>2]>>2]|0;if(!w)J=H;else{f[a>>2]=w;J=f[v>>2]|0}RS(f[a+4>>2]|0,J);J=a+8|0;f[J>>2]=(f[J>>2]|0)+1}rza(t);ZG(e);rza(s);ZG(g);rza(i);ZG(h);u=d;return c|0}function Arb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;f[a>>2]=136316;rza(a+152|0);rza(a+144|0);b=a+84|0;c=a+120|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+100|0;b=a+88|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+124>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+128>>2]|0;if((b|0)!=(a+132|0))tE(b);b=a+60|0;d=f[b>>2]|0;if(d|0?(c=d+4|0,e=f[c>>2]|0,f[c>>2]=e+-1,(e|0)==1):0)ai[f[(f[d>>2]|0)+8>>2]&2047](d);f[b>>2]=0;f[a+64>>2]=0;b=a+52|0;d=f[b>>2]|0;if(d|0?(e=d+4|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)ai[f[(f[d>>2]|0)+8>>2]&2047](d);f[b>>2]=0;f[a+56>>2]=0;b=a+44|0;d=f[b>>2]|0;if(d|0?(c=d+4|0,e=f[c>>2]|0,f[c>>2]=e+-1,(e|0)==1):0)ai[f[(f[d>>2]|0)+8>>2]&2047](d);f[b>>2]=0;f[a+48>>2]=0;b=a+36|0;d=f[b>>2]|0;if(!d){f[b>>2]=0;g=a+40|0;f[g>>2]=0;Nza(a);return}e=d+4|0;c=f[e>>2]|0;f[e>>2]=c+-1;if((c|0)!=1){f[b>>2]=0;g=a+40|0;f[g>>2]=0;Nza(a);return}ai[f[(f[d>>2]|0)+8>>2]&2047](d);f[b>>2]=0;g=a+40|0;f[g>>2]=0;Nza(a);return}function Brb(a){a=a|0;Arb(a);Emc(a);return}function Crb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;d=u;u=u+192|0;e=d+168|0;g=d+152|0;h=d+140|0;i=d+128|0;j=d+72|0;k=d+16|0;l=d;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;rD(c,g);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;Irb(j,f[g>>2]|0);Jrb(h,1,j);c=j+40|0;m=f[c>>2]|0;n=f[m+8>>2]|0;o=f[m+12>>2]|0;p=f[m+4>>2]|0;f[e>>2]=f[m>>2];m=e+4|0;f[m>>2]=n;n=e+8|0;f[n>>2]=o;o=e+12|0;f[o>>2]=p;f[l>>2]=0;p=l+4|0;f[p>>2]=0;f[l+8>>2]=0;q=e+16|0;hAa(l,e,q);r=f[l>>2]|0;s=f[p>>2]|0;a:do if((r|0)==(s|0)){t=r;v=4}else{w=r;do{if((f[w>>2]|0)<0){t=w;v=4;break a}w=w+4|0}while((w|0)!=(s|0))}while(0);if((v|0)==4?(t|0)!=(s|0):0){r=t+4|0;if((r|0)==(s|0)){x=s;y=t}else{w=r;r=t;while(1){t=f[w>>2]|0;if((t|0)<0)z=r;else{f[r>>2]=t;z=r+4|0}w=w+4|0;if((w|0)==(s|0))break;else r=z}x=f[p>>2]|0;y=z}if((y|0)!=(x|0))f[p>>2]=x+(~((x+-4-y|0)>>>2)<<2)}f[k>>2]=1124007936;y=k+4|0;x=k+8|0;z=k+40|0;r=y;s=r+36|0;do{f[r>>2]=0;r=r+4|0}while((r|0)<(s|0));f[z>>2]=x;x=k+48|0;w=k+44|0;f[w>>2]=x;f[x>>2]=0;f[k+52>>2]=0;jP(k,l,5);Jrb(i,1,k);t=k+36|0;A=f[t>>2]|0;if(A|0?(B=A+12|0,A=f[B>>2]|0,f[B>>2]=A+-1,(A|0)==1):0)lP(k);f[t>>2]=0;t=k+16|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[y>>2]|0)>0){t=f[z>>2]|0;z=0;do{f[t+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[y>>2]|0))}y=f[w>>2]|0;if((y|0)!=(x|0))tE(y);y=f[l>>2]|0;if(y|0){x=f[p>>2]|0;if((x|0)!=(y|0))f[p>>2]=x+(~((x+-4-y|0)>>>2)<<2);Emc(y)}wCa(f[a+64>>2]|0,h,i);y=f[g>>2]|0;if((f[y+60>>2]|0)!=4){f[e>>2]=0;f[e+4>>2]=0;r=YG(e,20)|0;x=463340;s=r+20|0;do{b[r>>0]=b[x>>0]|0;r=r+1|0;x=x+1|0}while((r|0)<(s|0));SQ(-215,e,476100,462930,157)}Jrb(h,1,y+56|0);x=f[y+96>>2]|0;y=f[x+8>>2]|0;p=f[x+12>>2]|0;w=f[x+4>>2]|0;f[e>>2]=f[x>>2];f[m>>2]=y;f[n>>2]=p;f[o>>2]=w;f[l>>2]=0;w=l+4|0;f[w>>2]=0;f[l+8>>2]=0;hAa(l,e,q);q=f[l>>2]|0;e=f[w>>2]|0;b:do if((q|0)==(e|0)){C=q;v=29}else{o=q;do{if((f[o>>2]|0)<0){C=o;v=29;break b}o=o+4|0}while((o|0)!=(e|0))}while(0);if((v|0)==29?(C|0)!=(e|0):0){v=C+4|0;if((v|0)==(e|0)){D=e;E=C}else{q=v;v=C;while(1){C=f[q>>2]|0;if((C|0)<0)F=v;else{f[v>>2]=C;F=v+4|0}q=q+4|0;if((q|0)==(e|0))break;else v=F}D=f[w>>2]|0;E=F}if((E|0)!=(D|0))f[w>>2]=D+(~((D+-4-E|0)>>>2)<<2)}f[k>>2]=1124007936;E=k+4|0;D=k+8|0;F=k+40|0;r=E;s=r+36|0;do{f[r>>2]=0;r=r+4|0}while((r|0)<(s|0));f[F>>2]=D;D=k+48|0;r=k+44|0;f[r>>2]=D;f[D>>2]=0;f[k+52>>2]=0;jP(k,l,5);Jrb(i,1,k);s=k+36|0;v=f[s>>2]|0;if(v|0?(e=v+12|0,v=f[e>>2]|0,f[e>>2]=v+-1,(v|0)==1):0)lP(k);f[s>>2]=0;s=k+16|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[E>>2]|0)>0){s=f[F>>2]|0;F=0;do{f[s+(F<<2)>>2]=0;F=F+1|0}while((F|0)<(f[E>>2]|0))}E=f[r>>2]|0;if((E|0)!=(D|0))tE(E);E=f[l>>2]|0;if(E|0){l=f[w>>2]|0;if((l|0)!=(E|0))f[w>>2]=l+(~((l+-4-E|0)>>>2)<<2);Emc(E)}wCa(f[a+56>>2]|0,h,i);a=j+36|0;E=f[a>>2]|0;if(E|0?(l=E+12|0,E=f[l>>2]|0,f[l>>2]=E+-1,(E|0)==1):0)lP(j);f[a>>2]=0;a=j+16|0;E=j+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[E>>2]|0)>0){a=f[c>>2]|0;c=0;do{f[a+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[E>>2]|0))}E=f[j+44>>2]|0;if((E|0)==(j+48|0)){rt(i);rt(h);rt(g);u=d;return}tE(E);rt(i);rt(h);rt(g);u=d;return}function Drb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0;g=u;u=u+544|0;h=g+480|0;i=g;j=g+248|0;k=g+232|0;l=g+220|0;m=g+208|0;o=g+196|0;q=g+184|0;r=g+128|0;s=g+424|0;t=g+72|0;v=g+16|0;w=g+368|0;x=g+312|0;y=g+256|0;zT(j,136416);if((BD(c,-1)|0)==3)gAa(a,c,d,e);else{f[k>>2]=0;z=k+4|0;f[z>>2]=0;f[k+8>>2]=0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[m>>2]=0;A=m+4|0;f[A>>2]=0;f[m+8>>2]=0;rD(c,k);rD(d,l);rD(e,m);e=f[k>>2]|0;d=e;if(((f[z>>2]|0)-e|0)!=168){f[h>>2]=0;f[h+4>>2]=0;B=YG(h,18)|0;C=462911;D=B+18|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));SQ(-215,h,475494,462930,268)}e=f[m>>2]|0;z=e;if(((f[A>>2]|0)-e|0)!=168){f[h>>2]=0;f[h+4>>2]=0;B=YG(h,21)|0;C=463097;D=B+21|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));SQ(-215,h,475494,462930,269)}e=d+56|0;A=z+56|0;c=z+112|0;E=f[d+116>>2]|0;if((E|0)<3)F=Y(f[d+124>>2]|0,f[d+120>>2]|0)|0;else{G=f[d+152>>2]|0;H=0;I=1;while(1){J=Y(f[G+(H<<2)>>2]|0,I)|0;H=H+1|0;if((H|0)==(E|0)){F=J;break}else I=J}}if(F>>>0<=1){f[h>>2]=0;f[h+4>>2]=0;B=YG(h,19)|0;C=463119;D=B+19|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));SQ(-215,h,475494,462930,277)}F=a+84|0;I=f[d+128>>2]|0;K=+n[I>>2];do if((f[d+112>>2]&16384|0)==0?(E=f[d+152>>2]|0,(f[E>>2]|0)!=1):0){H=f[f[d+156>>2]>>2]|0;if((f[E+4>>2]|0)==1){L=I+H|0;break}else{E=f[d+124>>2]|0;G=(E+1|0)>>>0<3?E:0;L=I+(Y(G,H)|0)+(1-(Y(G,E)|0)<<2)|0;break}}else M=17;while(0);if((M|0)==17)L=I+4|0;I=~~+n[L>>2];f[h>>2]=1;f[h+4>>2]=1;f[h+8>>2]=~~K;f[h+12>>2]=I;f[i>>2]=0;I=i+4|0;f[I>>2]=0;f[i+8>>2]=0;hAa(i,h,h+16|0);L=f[i>>2]|0;E=f[I>>2]|0;a:do if((L|0)==(E|0)){N=L;M=24}else{G=L;do{if((f[G>>2]|0)<0){N=G;M=24;break a}G=G+4|0}while((G|0)!=(E|0))}while(0);if((M|0)==24?(N|0)!=(E|0):0){L=N+4|0;if((L|0)==(E|0)){O=E;P=N}else{G=L;L=N;while(1){N=f[G>>2]|0;if((N|0)<0)Q=L;else{f[L>>2]=N;Q=L+4|0}G=G+4|0;if((G|0)==(E|0))break;else L=Q}O=f[I>>2]|0;P=Q}if((P|0)!=(O|0))f[I>>2]=O+(~((O+-4-P|0)>>>2)<<2)}jP(F,i,0);P=f[i>>2]|0;if(P|0){O=f[I>>2]|0;if((O|0)!=(P|0))f[I>>2]=O+(~((O+-4-P|0)>>>2)<<2);Emc(P)}f[o>>2]=0;P=o+4|0;f[P>>2]=0;f[o+8>>2]=0;O=Bmc(112)|0;f[o>>2]=O;f[o+8>>2]=O+112;f[O>>2]=1124007936;I=O+8|0;Q=O+40|0;B=O+4|0;D=B+36|0;do{f[B>>2]=0;B=B+4|0}while((B|0)<(D|0));f[Q>>2]=I;I=O+48|0;f[O+44>>2]=I;f[I>>2]=0;f[O+52>>2]=0;f[O+56>>2]=1124007936;I=O+64|0;Q=O+96|0;B=O+60|0;D=B+36|0;do{f[B>>2]=0;B=B+4|0}while((B|0)<(D|0));f[Q>>2]=I;I=O+104|0;f[O+100>>2]=I;f[I>>2]=0;f[O+108>>2]=0;f[P>>2]=O+112;mAa(q,1,z);O=f[o>>2]|0;if((O|0)==(d|0))R=d;else{P=d+36|0;I=f[P>>2]|0;if(I|0){Q=I+12|0;f[Q>>2]=(f[Q>>2]|0)+1}Q=O+36|0;I=f[Q>>2]|0;if(I|0?(L=I+12|0,I=f[L>>2]|0,f[L>>2]=I+-1,(I|0)==1):0)lP(O);f[Q>>2]=0;I=O+16|0;L=O+4|0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[L>>2]|0)>0){E=f[O+40>>2]|0;G=0;do{f[E+(G<<2)>>2]=0;G=G+1|0;S=f[L>>2]|0}while((G|0)<(S|0));f[O>>2]=f[d>>2];if((S|0)<3)M=47;else M=49}else{f[O>>2]=f[d>>2];M=47}if((M|0)==47){S=f[d+4>>2]|0;if((S|0)<3){f[L>>2]=S;f[O+8>>2]=f[d+8>>2];f[O+12>>2]=f[d+12>>2];S=f[d+44>>2]|0;L=f[O+44>>2]|0;f[L>>2]=f[S>>2];f[L+4>>2]=f[S+4>>2]}else M=49}if((M|0)==49)kP(O,d);f[I>>2]=f[d+16>>2];f[O+20>>2]=f[d+20>>2];f[O+24>>2]=f[d+24>>2];f[O+28>>2]=f[d+28>>2];f[O+32>>2]=f[d+32>>2];f[Q>>2]=f[P>>2];R=f[o>>2]|0}P=R+56|0;if((P|0)!=(F|0)){Q=a+120|0;O=f[Q>>2]|0;if(O|0){I=O+12|0;f[I>>2]=(f[I>>2]|0)+1}I=R+92|0;O=f[I>>2]|0;if(O|0?(S=O+12|0,O=f[S>>2]|0,f[S>>2]=O+-1,(O|0)==1):0)lP(P);f[I>>2]=0;O=R+72|0;S=R+60|0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;if((f[S>>2]|0)>0){L=f[R+96>>2]|0;G=0;do{f[L+(G<<2)>>2]=0;G=G+1|0;T=f[S>>2]|0}while((G|0)<(T|0));f[P>>2]=f[F>>2];if((T|0)<3)M=62;else M=64}else{f[P>>2]=f[F>>2];M=62}if((M|0)==62){T=f[a+88>>2]|0;if((T|0)<3){f[S>>2]=T;f[R+64>>2]=f[a+92>>2];f[R+68>>2]=f[a+96>>2];T=f[a+128>>2]|0;S=f[R+100>>2]|0;f[S>>2]=f[T>>2];f[S+4>>2]=f[T+4>>2]}else M=64}if((M|0)==64)kP(P,F);f[O>>2]=f[a+100>>2];f[R+76>>2]=f[a+104>>2];f[R+80>>2]=f[a+108>>2];f[R+84>>2]=f[a+112>>2];f[R+88>>2]=f[a+116>>2];f[I>>2]=f[Q>>2]}Q=f[a+40>>2]|0;I=f[(f[Q>>2]|0)+44>>2]|0;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=17104896;f[h+4>>2]=o;R=i+8|0;f[R>>2]=0;f[R+4>>2]=0;f[i>>2]=33882112;f[i+4>>2]=q;R=r+8|0;f[R>>2]=0;f[R+4>>2]=0;f[r>>2]=33882112;f[r+4>>2]=m;rh[I&255](Q,h,i,r);Irb(h,d);Jrb(o,1,h);d=h+36|0;Q=f[d>>2]|0;if(Q|0?(I=Q+12|0,Q=f[I>>2]|0,f[I>>2]=Q+-1,(Q|0)==1):0)lP(h);f[d>>2]=0;d=h+16|0;Q=h+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[Q>>2]|0)>0){d=f[h+40>>2]|0;I=0;do{f[d+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[Q>>2]|0))}Q=f[h+44>>2]|0;if((Q|0)!=(h+48|0))tE(Q);Jrb(q,1,A);Q=f[a+64>>2]|0;I=f[(f[Q>>2]|0)+44>>2]|0;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=17104896;f[h+4>>2]=o;d=i+8|0;f[d>>2]=0;f[d+4>>2]=0;f[i>>2]=33882112;f[i+4>>2]=q;d=r+8|0;f[d>>2]=0;f[d+4>>2]=0;f[r>>2]=33882112;f[r+4>>2]=m;rh[I&255](Q,h,i,r);Jrb(o,1,e);Jrb(q,1,c);e=f[a+56>>2]|0;Q=f[(f[e>>2]|0)+44>>2]|0;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=17104896;f[h+4>>2]=o;I=i+8|0;f[I>>2]=0;f[I+4>>2]=0;f[i>>2]=33882112;f[i+4>>2]=q;I=r+8|0;f[I>>2]=0;f[I+4>>2]=0;f[r>>2]=33882112;f[r+4>>2]=m;rh[Q&255](e,h,i,r);sD(o,4);e=f[o>>2]|0;if((e|0)!=(c|0)){Q=z+148|0;I=f[Q>>2]|0;if(I|0){d=I+12|0;f[d>>2]=(f[d>>2]|0)+1}d=e+36|0;I=f[d>>2]|0;do if(I|0){R=I+12|0;O=f[R>>2]|0;f[R>>2]=O+-1;if((O|0)!=1)break;lP(e)}while(0);f[d>>2]=0;I=e+16|0;O=e+4|0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[O>>2]|0)>0){R=f[e+40>>2]|0;P=0;do{f[R+(P<<2)>>2]=0;P=P+1|0;U=f[O>>2]|0}while((P|0)<(U|0));f[e>>2]=f[c>>2];if((U|0)<3)M=85;else M=87}else{f[e>>2]=f[c>>2];M=85}do if((M|0)==85){U=f[z+116>>2]|0;if((U|0)>=3){M=87;break}f[O>>2]=U;f[e+8>>2]=f[z+120>>2];f[e+12>>2]=f[z+124>>2];U=f[z+156>>2]|0;P=f[e+44>>2]|0;f[P>>2]=f[U>>2];f[P+4>>2]=f[U+4>>2]}while(0);if((M|0)==87)kP(e,c);f[I>>2]=f[z+128>>2];f[e+20>>2]=f[z+132>>2];f[e+24>>2]=f[z+136>>2];f[e+28>>2]=f[z+140>>2];f[e+32>>2]=f[z+144>>2];f[d>>2]=f[Q>>2];Q=f[o>>2]|0;if((Q|0)==(z|0))V=z;else{W=Q;M=89}}else{W=c;M=89}if((M|0)==89){c=W+56|0;Q=z+92|0;d=f[Q>>2]|0;if(d|0){e=d+12|0;f[e>>2]=(f[e>>2]|0)+1}e=W+92|0;d=f[e>>2]|0;do if(d|0){I=d+12|0;O=f[I>>2]|0;f[I>>2]=O+-1;if((O|0)!=1)break;lP(c)}while(0);f[e>>2]=0;d=W+72|0;O=W+60|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[O>>2]|0)>0){I=f[W+96>>2]|0;U=0;do{f[I+(U<<2)>>2]=0;U=U+1|0;X=f[O>>2]|0}while((U|0)<(X|0));f[c>>2]=f[A>>2];if((X|0)<3)M=99;else M=101}else{f[c>>2]=f[A>>2];M=99}do if((M|0)==99){X=f[z+60>>2]|0;if((X|0)>=3){M=101;break}f[O>>2]=X;f[W+64>>2]=f[z+64>>2];f[W+68>>2]=f[z+68>>2];X=f[z+100>>2]|0;U=f[W+100>>2]|0;f[U>>2]=f[X>>2];f[U+4>>2]=f[X+4>>2]}while(0);if((M|0)==101)kP(c,A);f[d>>2]=f[z+72>>2];f[W+76>>2]=f[z+76>>2];f[W+80>>2]=f[z+80>>2];f[W+84>>2]=f[z+84>>2];f[W+88>>2]=f[z+88>>2];f[e>>2]=f[Q>>2];V=f[o>>2]|0}Q=V+112|0;if((Q|0)==(z|0))Z=V;else{e=z+36|0;W=f[e>>2]|0;if(W|0){d=W+12|0;f[d>>2]=(f[d>>2]|0)+1}d=V+148|0;W=f[d>>2]|0;do if(W|0){A=W+12|0;c=f[A>>2]|0;f[A>>2]=c+-1;if((c|0)!=1)break;lP(Q)}while(0);f[d>>2]=0;W=V+128|0;c=V+116|0;f[W>>2]=0;f[W+4>>2]=0;f[W+8>>2]=0;f[W+12>>2]=0;if((f[c>>2]|0)>0){A=f[V+152>>2]|0;O=0;do{f[A+(O<<2)>>2]=0;O=O+1|0;_=f[c>>2]|0}while((O|0)<(_|0));f[Q>>2]=f[z>>2];if((_|0)<3)M=114;else M=116}else{f[Q>>2]=f[z>>2];M=114}do if((M|0)==114){_=f[z+4>>2]|0;if((_|0)>=3){M=116;break}f[c>>2]=_;f[V+120>>2]=f[z+8>>2];f[V+124>>2]=f[z+12>>2];_=f[z+44>>2]|0;O=f[V+156>>2]|0;f[O>>2]=f[_>>2];f[O+4>>2]=f[_+4>>2]}while(0);if((M|0)==116)kP(Q,z);f[W>>2]=f[z+16>>2];f[V+132>>2]=f[z+20>>2];f[V+136>>2]=f[z+24>>2];f[V+140>>2]=f[z+28>>2];f[V+144>>2]=f[z+32>>2];f[d>>2]=f[e>>2];Z=f[o>>2]|0}e=Z+168|0;if((e|0)!=(F|0)){d=a+120|0;z=f[d>>2]|0;if(z|0){V=z+12|0;f[V>>2]=(f[V>>2]|0)+1}V=Z+204|0;z=f[V>>2]|0;do if(z|0){W=z+12|0;Q=f[W>>2]|0;f[W>>2]=Q+-1;if((Q|0)!=1)break;lP(e)}while(0);f[V>>2]=0;z=Z+184|0;Q=Z+172|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[Q>>2]|0)>0){W=f[Z+208>>2]|0;c=0;do{f[W+(c<<2)>>2]=0;c=c+1|0;$=f[Q>>2]|0}while((c|0)<($|0));f[e>>2]=f[F>>2];if(($|0)<3)M=129;else M=131}else{f[e>>2]=f[F>>2];M=129}do if((M|0)==129){$=f[a+88>>2]|0;if(($|0)>=3){M=131;break}f[Q>>2]=$;f[Z+176>>2]=f[a+92>>2];f[Z+180>>2]=f[a+96>>2];$=f[a+128>>2]|0;c=f[Z+212>>2]|0;f[c>>2]=f[$>>2];f[c+4>>2]=f[$+4>>2]}while(0);if((M|0)==131)kP(e,F);f[z>>2]=f[a+100>>2];f[Z+188>>2]=f[a+104>>2];f[Z+192>>2]=f[a+108>>2];f[Z+196>>2]=f[a+112>>2];f[Z+200>>2]=f[a+116>>2];f[V>>2]=f[d>>2]}f[h>>2]=1124007936;d=h+4|0;V=h+8|0;Z=h+40|0;B=d;D=B+36|0;do{f[B>>2]=0;B=B+4|0}while((B|0)<(D|0));f[Z>>2]=V;z=h+48|0;F=h+44|0;f[F>>2]=z;f[z>>2]=0;f[h+52>>2]=0;e=f[q>>2]|0;Q=h+36|0;do if((e|0)!=(h|0)){$=e+36|0;c=f[$>>2]|0;do if(c|0){W=c+12|0;_=f[W>>2]|0;f[W>>2]=_+-1;if((_|0)!=1)break;lP(e)}while(0);f[$>>2]=0;c=e+16|0;_=e+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[_>>2]|0)>0){W=f[e+40>>2]|0;O=0;do{f[W+(O<<2)>>2]=0;O=O+1|0;aa=f[_>>2]|0}while((O|0)<(aa|0));f[e>>2]=f[h>>2];if((aa|0)<3)M=142;else M=144}else{f[e>>2]=f[h>>2];M=142}do if((M|0)==142){O=f[d>>2]|0;if((O|0)>=3){M=144;break}f[_>>2]=O;f[e+8>>2]=f[V>>2];f[e+12>>2]=f[h+12>>2];O=f[F>>2]|0;W=f[e+44>>2]|0;f[W>>2]=f[O>>2];f[W+4>>2]=f[O+4>>2]}while(0);if((M|0)==144)kP(e,h);f[c>>2]=f[h+16>>2];f[e+20>>2]=f[h+20>>2];f[e+24>>2]=f[h+24>>2];f[e+28>>2]=f[h+28>>2];f[e+32>>2]=f[h+32>>2];f[$>>2]=f[Q>>2];_=f[Q>>2]|0;if(!_)break;O=_+12|0;_=f[O>>2]|0;f[O>>2]=_+-1;if((_|0)!=1)break;lP(h)}while(0);f[Q>>2]=0;Q=h+16|0;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q+12>>2]=0;if((f[d>>2]|0)>0){Q=f[Z>>2]|0;Z=0;do{f[Q+(Z<<2)>>2]=0;Z=Z+1|0}while((Z|0)<(f[d>>2]|0))}d=f[F>>2]|0;if((d|0)!=(z|0))tE(d);d=f[a+48>>2]|0;z=f[(f[d>>2]|0)+44>>2]|0;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=17104896;f[h+4>>2]=o;F=i+8|0;f[F>>2]=0;f[F+4>>2]=0;f[i>>2]=33882112;f[i+4>>2]=q;F=r+8|0;f[F>>2]=0;f[F+4>>2]=0;f[r>>2]=33882112;f[r+4>>2]=m;rh[z&255](d,h,i,r);d=f[q>>2]|0;z=f[d+4>>2]|0;if((z|0)<3)ba=Y(f[d+12>>2]|0,f[d+8>>2]|0)|0;else{F=f[d+40>>2]|0;Z=0;Q=1;while(1){e=Y(f[F+(Z<<2)>>2]|0,Q)|0;Z=Z+1|0;if((Z|0)==(z|0)){ba=e;break}else Q=e}}Q=(ba>>>0)/7|0;ba=a+72|0;if(Q>>>0>(f[ba>>2]|0)>>>0){f[h>>2]=0;f[h+4>>2]=0;B=YG(h,26)|0;C=463139;D=B+26|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));SQ(-215,h,475494,462930,311)}xP(h,d,1,Q);d=f[q>>2]|0;C=h+36|0;if((d|0)!=(h|0)){B=f[C>>2]|0;if(B|0){D=B+12|0;f[D>>2]=(f[D>>2]|0)+1}D=d+36|0;B=f[D>>2]|0;do if(B|0){a=B+12|0;z=f[a>>2]|0;f[a>>2]=z+-1;if((z|0)!=1)break;lP(d)}while(0);f[D>>2]=0;B=d+16|0;z=d+4|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[z>>2]|0)>0){a=f[d+40>>2]|0;Z=0;do{f[a+(Z<<2)>>2]=0;Z=Z+1|0;ca=f[z>>2]|0}while((Z|0)<(ca|0));f[d>>2]=f[h>>2];if((ca|0)<3)M=170;else M=172}else{f[d>>2]=f[h>>2];M=170}do if((M|0)==170){ca=f[h+4>>2]|0;if((ca|0)>=3){M=172;break}f[z>>2]=ca;f[d+8>>2]=f[h+8>>2];f[d+12>>2]=f[h+12>>2];ca=f[h+44>>2]|0;Z=f[d+44>>2]|0;f[Z>>2]=f[ca>>2];f[Z+4>>2]=f[ca+4>>2]}while(0);if((M|0)==172)kP(d,h);f[B>>2]=f[h+16>>2];f[d+20>>2]=f[h+20>>2];f[d+24>>2]=f[h+24>>2];f[d+28>>2]=f[h+28>>2];f[d+32>>2]=f[h+32>>2];f[D>>2]=f[C>>2]}D=f[C>>2]|0;do if(D|0){d=D+12|0;B=f[d>>2]|0;f[d>>2]=B+-1;if((B|0)!=1)break;lP(h)}while(0);f[C>>2]=0;C=h+16|0;D=h+4|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[D>>2]|0)>0){C=f[h+40>>2]|0;B=0;do{f[C+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[D>>2]|0))}D=f[h+44>>2]|0;if((D|0)!=(h+48|0))tE(D);D=f[l>>2]|0;f[h>>2]=0;f[h+4>>2]=Q;f[i>>2]=-2147483648;f[i+4>>2]=2147483647;mP(r,D,h,i);D=f[q>>2]|0;f[h>>2]=-2147483648;f[h+4>>2]=2147483647;f[i>>2]=3;f[i+4>>2]=7;mP(s,D,h,i);f[h>>2]=-2147483648;f[h+4>>2]=2147483647;f[i>>2]=1;f[i+4>>2]=5;mP(v,r,h,i);D=t+8|0;f[D>>2]=0;f[D+4>>2]=0;f[t>>2]=-1040121856;f[t+4>>2]=v;kT(s,t);D=v+36|0;B=f[D>>2]|0;do if(B|0){C=B+12|0;d=f[C>>2]|0;f[C>>2]=d+-1;if((d|0)!=1)break;lP(v)}while(0);f[D>>2]=0;D=v+16|0;B=v+4|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[B>>2]|0)>0){D=f[v+40>>2]|0;d=0;do{f[D+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[B>>2]|0))}B=f[v+44>>2]|0;if((B|0)!=(v+48|0))tE(B);B=s+36|0;v=f[B>>2]|0;do if(v|0){d=v+12|0;D=f[d>>2]|0;f[d>>2]=D+-1;if((D|0)!=1)break;lP(s)}while(0);f[B>>2]=0;B=s+16|0;v=s+4|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[v>>2]|0)>0){B=f[s+40>>2]|0;D=0;do{f[B+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[v>>2]|0))}v=f[s+44>>2]|0;if((v|0)!=(s+48|0))tE(v);f[h>>2]=-2147483648;f[h+4>>2]=2147483647;f[i>>2]=0;f[i+4>>2]=1;mP(w,r,h,i);p[i>>3]=0.0;f[h>>2]=-1056833530;f[h+4>>2]=i;f[h+8>>2]=1;f[h+12>>2]=1;oT(w,h,rE()|0)|0;v=w+36|0;s=f[v>>2]|0;do if(s|0){D=s+12|0;B=f[D>>2]|0;f[D>>2]=B+-1;if((B|0)!=1)break;lP(w)}while(0);f[v>>2]=0;v=w+16|0;s=w+4|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[s>>2]|0)>0){v=f[w+40>>2]|0;B=0;do{f[v+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[s>>2]|0))}s=f[w+44>>2]|0;if((s|0)!=(w+48|0))tE(s);s=(f[l>>2]|0)+56|0;f[h>>2]=0;f[h+4>>2]=Q;f[i>>2]=-2147483648;f[i+4>>2]=2147483647;mP(t,s,h,i);s=t+36|0;w=f[s>>2]|0;if(w|0){B=w+12|0;f[B>>2]=(f[B>>2]|0)+1}B=r+36|0;w=f[B>>2]|0;do if(w|0){v=w+12|0;D=f[v>>2]|0;f[v>>2]=D+-1;if((D|0)!=1)break;lP(r)}while(0);f[B>>2]=0;w=r+16|0;D=r+4|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[D>>2]|0)>0){v=f[r+40>>2]|0;d=0;do{f[v+(d<<2)>>2]=0;d=d+1|0;da=f[D>>2]|0}while((d|0)<(da|0));f[r>>2]=f[t>>2];if((da|0)<3)M=216;else M=218}else{f[r>>2]=f[t>>2];M=216}do if((M|0)==216){da=f[t+4>>2]|0;if((da|0)>=3){M=218;break}f[D>>2]=da;f[r+8>>2]=f[t+8>>2];f[r+12>>2]=f[t+12>>2];da=f[t+44>>2]|0;d=f[r+44>>2]|0;f[d>>2]=f[da>>2];f[d+4>>2]=f[da+4>>2]}while(0);if((M|0)==218)kP(r,t);M=t+16|0;f[w>>2]=f[M>>2];f[r+20>>2]=f[t+20>>2];f[r+24>>2]=f[t+24>>2];f[r+28>>2]=f[t+28>>2];f[r+32>>2]=f[t+32>>2];da=f[s>>2]|0;f[B>>2]=da;do if(da|0){d=da+12|0;v=f[d>>2]|0;f[d>>2]=v+-1;if((v|0)!=1)break;lP(t)}while(0);f[s>>2]=0;s=t+4|0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[s>>2]|0)>0){M=f[t+40>>2]|0;da=0;do{f[M+(da<<2)>>2]=0;da=da+1|0}while((da|0)<(f[s>>2]|0))}s=f[t+44>>2]|0;if((s|0)!=(t+48|0))tE(s);s=f[q>>2]|0;f[h>>2]=-2147483648;f[h+4>>2]=2147483647;f[i>>2]=2;f[i+4>>2]=3;mP(x,s,h,i);s=h+8|0;f[s>>2]=0;f[s+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=r;kT(x,h);s=x+36|0;t=f[s>>2]|0;do if(t|0){da=t+12|0;M=f[da>>2]|0;f[da>>2]=M+-1;if((M|0)!=1)break;lP(x)}while(0);f[s>>2]=0;s=x+16|0;t=x+4|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[t>>2]|0)>0){s=f[x+40>>2]|0;M=0;do{f[s+(M<<2)>>2]=0;M=M+1|0}while((M|0)<(f[t>>2]|0))}t=f[x+44>>2]|0;if((t|0)!=(x+48|0))tE(t);t=f[ba>>2]|0;do if(Q>>>0<t>>>0){x=h+4|0;M=i+4|0;s=h+8|0;da=h+12|0;v=h+4|0;d=y+36|0;C=y+16|0;z=y+4|0;ca=y+40|0;Z=y+44|0;a=y+48|0;F=f[l>>2]|0;f[h>>2]=Q;f[x>>2]=t;f[i>>2]=-2147483648;f[M>>2]=2147483647;mP(y,F,h,i);p[i>>3]=0.0;f[h>>2]=-1056833530;f[v>>2]=i;f[s>>2]=1;f[da>>2]=1;oT(y,h,rE()|0)|0;F=f[d>>2]|0;do if(F|0){e=F+12|0;V=f[e>>2]|0;f[e>>2]=V+-1;if((V|0)!=1)break;lP(y)}while(0);f[d>>2]=0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[z>>2]|0)>0){F=f[ca>>2]|0;$=0;do{f[F+($<<2)>>2]=0;$=$+1|0}while(($|0)<(f[z>>2]|0))}$=f[Z>>2]|0;if(($|0)!=(a|0))tE($);$=(f[l>>2]|0)+56|0;F=f[ba>>2]|0;f[h>>2]=Q;f[x>>2]=F;f[i>>2]=-2147483648;f[M>>2]=2147483647;mP(y,$,h,i);p[i>>3]=0.0;f[h>>2]=-1056833530;f[v>>2]=i;f[s>>2]=1;f[da>>2]=1;oT(y,h,rE()|0)|0;$=f[d>>2]|0;do if($|0){F=$+12|0;c=f[F>>2]|0;f[F>>2]=c+-1;if((c|0)!=1)break;lP(y)}while(0);f[d>>2]=0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[z>>2]|0)>0){$=f[ca>>2]|0;da=0;do{f[$+(da<<2)>>2]=0;da=da+1|0}while((da|0)<(f[z>>2]|0))}z=f[Z>>2]|0;if((z|0)==(a|0))break;tE(z)}while(0);y=f[B>>2]|0;do if(y|0){h=y+12|0;i=f[h>>2]|0;f[h>>2]=i+-1;if((i|0)!=1)break;lP(r)}while(0);f[B>>2]=0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[D>>2]|0)>0){w=f[r+40>>2]|0;B=0;do{f[w+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[D>>2]|0))}D=f[r+44>>2]|0;if((D|0)!=(r+48|0))tE(D);rt(q);rt(o);rt(m);rt(l);rt(k)}if(!(f[j+4>>2]|0)){u=g;return}u=g;return}function Erb(a,b){a=a|0;b=b|0;var c=0;switch(b|0){case 3:{c=1;break}case 2:{c=(f[a+32>>2]|0)!=3;break}default:c=0}return c|0}function Frb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Grb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=u;u=u+80|0;h=d+64|0;i=d+48|0;j=d+36|0;k=d+24|0;l=d+12|0;m=d;n=f[c>>2]|0;o=n;if(((f[c+4>>2]|0)-n|0)!=36){f[h>>2]=0;f[h+4>>2]=0;p=YG(h,18)|0;q=462911;r=p+18|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,h,475265,462930,102)}c=o+12|0;f[i>>2]=0;s=i+4|0;f[s>>2]=0;f[i+8>>2]=0;f[j>>2]=0;t=j+4|0;f[t>>2]=0;f[j+8>>2]=0;f[k>>2]=0;v=k+4|0;f[v>>2]=0;f[k+8>>2]=0;eAa(i,1,o);w=f[a+40>>2]|0;lh[f[(f[w>>2]|0)+92>>2]&127](w,i,1,j,k)|0;w=f[j>>2]|0;x=w;if(((f[t>>2]|0)-w|0)!=12){f[h>>2]=0;f[h+4>>2]=0;p=YG(h,24)|0;q=463009;r=p+24|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,h,475265,462930,112)}if((f[k>>2]|0)!=(f[v>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;p=YG(h,22)|0;q=463034;r=p+22|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,h,475265,462930,113)}w=g+4|0;y=f[w>>2]|0;z=g+8|0;if((y|0)==(f[z>>2]|0))ABa(g,x);else{fAa(y,x);f[w>>2]=(f[w>>2]|0)+12}if(((f[o+4>>2]|0)-(f[n>>2]|0)|0)!=16){f[h>>2]=0;f[h+4>>2]=0;p=YG(h,18)|0;q=463057;r=p+18|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,h,475265,462930,117)}fAa(l,o);if(f[(f[o>>2]|0)+4>>2]&1|0){f[h>>2]=0;f[h+4>>2]=0;p=YG(h,20)|0;q=463076;r=p+20|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,h,475265,462930,119)}o=(f[l>>2]|0)+4|0;f[o>>2]=(f[o>>2]|0)/2|0;eAa(i,1,l);o=f[a+64>>2]|0;lh[f[(f[o>>2]|0)+92>>2]&127](o,i,1,j,k)|0;o=f[j>>2]|0;n=o;if(((f[t>>2]|0)-o|0)!=12){f[h>>2]=0;f[h+4>>2]=0;p=YG(h,24)|0;q=463009;r=p+24|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,h,475265,462930,123)}if((f[k>>2]|0)!=(f[v>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;p=YG(h,22)|0;q=463034;r=p+22|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,h,475265,462930,124)}o=f[w>>2]|0;if((o|0)==(f[z>>2]|0))ABa(g,n);else{fAa(o,n);f[w>>2]=(f[w>>2]|0)+12}eAa(i,1,c);c=f[a+56>>2]|0;lh[f[(f[c>>2]|0)+92>>2]&127](c,i,1,j,k)|0;c=f[j>>2]|0;n=c;if(((f[t>>2]|0)-c|0)!=12){f[h>>2]=0;f[h+4>>2]=0;p=YG(h,24)|0;q=463009;r=p+24|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,h,475265,462930,130)}if((f[k>>2]|0)!=(f[v>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;p=YG(h,22)|0;q=463034;r=p+22|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,h,475265,462930,131)}q=f[w>>2]|0;if((q|0)==(f[z>>2]|0))ABa(g,n);else{fAa(q,n);f[w>>2]=(f[w>>2]|0)+12}w=e+4|0;n=f[w>>2]|0;q=f[e>>2]|0;g=n-q|0;z=(g|0)/12|0;p=q;q=n;if(z>>>0>=2){if((g|0)!=24?(g=p+24|0,(q|0)!=(g|0)):0){p=q;while(1){q=p+-12|0;f[w>>2]=q;n=f[q>>2]|0;if(!n)A=q;else{q=p+-8|0;r=f[q>>2]|0;if((r|0)!=(n|0))f[q>>2]=r+(~((r+-4-n|0)>>>2)<<2);Emc(n);A=f[w>>2]|0}if((A|0)==(g|0))break;else p=A}}}else Hrb(e,2-z|0);z=a+72|0;f[h>>2]=f[z>>2];a=h+4|0;f[a>>2]=5;A=h+8|0;f[A>>2]=-1;p=h+12|0;f[p>>2]=-1;f[m>>2]=0;g=m+4|0;f[g>>2]=0;f[m+8>>2]=0;w=h+16|0;hAa(m,h,w);n=f[m>>2]|0;r=f[g>>2]|0;a:do if((n|0)==(r|0)){B=n;C=40}else{q=n;while(1){if((f[q>>2]|0)<0){B=q;C=40;break a}q=q+4|0;if((q|0)==(r|0)){D=r;break}}}while(0);if((C|0)==40)if((B|0)!=(r|0)){q=B+4|0;if((q|0)==(r|0)){E=r;F=B}else{c=q;q=B;while(1){B=f[c>>2]|0;if((B|0)<0)G=q;else{f[q>>2]=B;G=q+4|0}c=c+4|0;if((c|0)==(r|0))break;else q=G}E=f[g>>2]|0;F=G}if((F|0)==(E|0))D=E;else{G=E+(~((E+-4-F|0)>>>2)<<2)|0;f[g>>2]=G;D=G}}else D=r;r=f[e>>2]|0;if((r|0)==(m|0))H=n;else{c2(r,f[m>>2]|0,D);H=f[m>>2]|0}if(H|0){D=f[g>>2]|0;if((D|0)!=(H|0))f[g>>2]=D+(~((D+-4-H|0)>>>2)<<2);Emc(H)}f[h>>2]=f[z>>2];f[a>>2]=1;f[A>>2]=-1;f[p>>2]=-1;f[m>>2]=0;p=m+4|0;f[p>>2]=0;f[m+8>>2]=0;hAa(m,h,w);w=f[m>>2]|0;h=f[p>>2]|0;b:do if((w|0)==(h|0)){I=w;C=57}else{A=w;while(1){if((f[A>>2]|0)<0){I=A;C=57;break b}A=A+4|0;if((A|0)==(h|0)){J=h;break}}}while(0);do if((C|0)==57)if((I|0)==(h|0))J=h;else{A=I+4|0;if((A|0)==(h|0)){K=h;L=I}else{a=A;A=I;while(1){z=f[a>>2]|0;if((z|0)<0)M=A;else{f[A>>2]=z;M=A+4|0}a=a+4|0;if((a|0)==(h|0))break;else A=M}K=f[p>>2]|0;L=M}if((L|0)==(K|0)){J=K;break}A=K+(~((K+-4-L|0)>>>2)<<2)|0;f[p>>2]=A;J=A}while(0);L=(f[e>>2]|0)+12|0;if((L|0)==(m|0))N=w;else{c2(L,f[m>>2]|0,J);N=f[m>>2]|0}if(N|0){m=f[p>>2]|0;if((m|0)!=(N|0))f[p>>2]=m+(~((m+-4-N|0)>>>2)<<2);Emc(N)}N=f[l>>2]|0;if(N|0){m=l+4|0;l=f[m>>2]|0;if((l|0)!=(N|0))f[m>>2]=l+(~((l+-4-N|0)>>>2)<<2);Emc(N)}N=f[k>>2]|0;if(N|0){l=f[v>>2]|0;if((l|0)==(N|0))O=N;else{m=l;while(1){l=m+-12|0;f[v>>2]=l;p=f[l>>2]|0;if(!p)P=l;else{l=m+-8|0;J=f[l>>2]|0;if((J|0)!=(p|0))f[l>>2]=J+(~((J+-4-p|0)>>>2)<<2);Emc(p);P=f[v>>2]|0}if((P|0)==(N|0))break;else m=P}O=f[k>>2]|0}Emc(O)}O=f[j>>2]|0;if(O|0){k=f[t>>2]|0;if((k|0)==(O|0))Q=O;else{P=k;while(1){k=P+-12|0;f[t>>2]=k;m=f[k>>2]|0;if(!m)R=k;else{k=P+-8|0;N=f[k>>2]|0;if((N|0)!=(m|0))f[k>>2]=N+(~((N+-4-m|0)>>>2)<<2);Emc(m);R=f[t>>2]|0}if((R|0)==(O|0))break;else P=R}Q=f[j>>2]|0}Emc(Q)}Q=f[i>>2]|0;if(!Q){u=d;return 0}j=f[s>>2]|0;if((j|0)==(Q|0))S=Q;else{R=j;while(1){j=R+-12|0;f[s>>2]=j;P=f[j>>2]|0;if(!P)T=j;else{j=R+-8|0;O=f[j>>2]|0;if((O|0)!=(P|0))f[j>>2]=O+(~((O+-4-P|0)>>>2)<<2);Emc(P);T=f[s>>2]|0}if((T|0)==(Q|0))break;else R=T}S=f[i>>2]|0}Emc(S);u=d;return 0}function Hrb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;h=g;if(((d-g|0)/12|0)>>>0>=b>>>0){Drc(g|0,0,b*12|0)|0;f[e>>2]=h+(b*12|0);return}i=f[a>>2]|0;j=(g-i|0)/12|0;k=j+b|0;l=i;if(k>>>0>357913941)Ukc(a);m=(d-i|0)/12|0;i=m<<1;d=m>>>0<178956970?(i>>>0<k>>>0?k:i):357913941;do if(d)if(d>>>0>357913941){i=ye(8)|0;Jmc(i,511852);f[i>>2]=165276;Gf(i|0,26776,1555)}else{n=Bmc(d*12|0)|0;break}else n=0;while(0);i=n+(j*12|0)|0;j=i;k=n+(d*12|0)|0;Drc(i|0,0,b*12|0)|0;d=i+(b*12|0)|0;if((h|0)==(l|0)){o=j;p=g;q=h}else{g=h;h=j;j=i;do{g=g+-12|0;fAa(j+-12|0,g);j=h+-12|0;h=j}while((g|0)!=(l|0));o=h;p=f[a>>2]|0;q=f[e>>2]|0}f[a>>2]=o;f[e>>2]=d;f[c>>2]=k;k=p;if((q|0)!=(k|0)){c=q;do{q=c;c=c+-12|0;d=f[c>>2]|0;if(d|0){e=q+-8|0;q=f[e>>2]|0;if((q|0)!=(d|0))f[e>>2]=q+(~((q+-4-d|0)>>>2)<<2);Emc(d)}}while((c|0)!=(k|0))}if(!p)return;Emc(p);return}function Irb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+256|0;e=d;if((f[c+4>>2]|0)!=4){f[e>>2]=0;f[e+4>>2]=0;g=YG(e,11)|0;h=463166;i=g+11|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));SQ(-215,e,463178,462930,364)}j=f[c+40>>2]|0;if((f[j>>2]|0)!=1){f[e>>2]=0;f[e+4>>2]=0;g=YG(e,14)|0;h=463194;i=g+14|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));SQ(-215,e,463178,462930,365)}k=f[j+4>>2]|0;if(!(k&1)){Drc(e|0,0,256)|0;j=e+16|0;f[j>>2]=-2147483648;f[j+4>>2]=2147483647;j=e+24|0;f[j>>2]=-2147483648;f[j+4>>2]=2147483647;j=e;f[j>>2]=-2147483648;f[j+4>>2]=2147483647;j=e+8|0;f[j>>2]=(k|0)/2|0;f[j+4>>2]=k;nP(a,c,e);u=d;return}else{f[e>>2]=0;f[e+4>>2]=0;g=YG(e,19)|0;h=463209;i=g+19|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));SQ(-215,e,463178,462930,367)}}function Jrb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;d=a+8|0;e=f[a>>2]|0;g=e;if((((f[d>>2]|0)-e|0)/56|0)>>>0<b>>>0){VBa(a);if(b>>>0>76695844)Ukc(a);h=((f[d>>2]|0)-(f[a>>2]|0)|0)/56|0;i=h<<1;j=h>>>0<38347922?(i>>>0<b>>>0?b:i):76695844;if(j>>>0>76695844)Ukc(a);i=Bmc(j*56|0)|0;h=a+4|0;f[h>>2]=i;f[a>>2]=i;f[d>>2]=i+(j*56|0);j=c+4|0;d=c+8|0;k=c+12|0;l=c+16|0;m=c+20|0;n=c+24|0;o=c+28|0;p=c+32|0;q=c+36|0;r=c+44|0;s=b;t=i;do{f[t>>2]=f[c>>2];i=t+4|0;f[i>>2]=f[j>>2];u=t+8|0;f[u>>2]=f[d>>2];f[t+12>>2]=f[k>>2];f[t+16>>2]=f[l>>2];f[t+20>>2]=f[m>>2];f[t+24>>2]=f[n>>2];f[t+28>>2]=f[o>>2];f[t+32>>2]=f[p>>2];v=f[q>>2]|0;f[t+36>>2]=v;f[t+40>>2]=u;u=t+48|0;w=t+44|0;f[w>>2]=u;f[u>>2]=0;f[t+52>>2]=0;if(v|0){u=v+12|0;f[u>>2]=(f[u>>2]|0)+1}if((f[j>>2]|0)<3){u=f[r>>2]|0;v=f[w>>2]|0;f[v>>2]=f[u>>2];f[v+4>>2]=f[u+4>>2]}else{f[i>>2]=0;kP(t,c)}t=(f[h>>2]|0)+56|0;f[h>>2]=t;s=s+-1|0}while((s|0)!=0);return}s=a+4|0;t=((f[s>>2]|0)-e|0)/56|0;e=t>>>0<b>>>0;h=e?t:b;if(h|0){r=c+36|0;j=c+4|0;q=c+8|0;p=c+12|0;o=c+44|0;n=c+16|0;m=c+20|0;l=c+24|0;k=c+28|0;d=c+32|0;i=h;h=g;while(1){if((h|0)!=(c|0)){g=f[r>>2]|0;if(g|0){u=g+12|0;f[u>>2]=(f[u>>2]|0)+1}u=h+36|0;g=f[u>>2]|0;if(g|0?(v=g+12|0,g=f[v>>2]|0,f[v>>2]=g+-1,(g|0)==1):0)lP(h);f[u>>2]=0;g=h+16|0;v=h+4|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[v>>2]|0)>0){w=f[h+40>>2]|0;x=0;do{f[w+(x<<2)>>2]=0;x=x+1|0;y=f[v>>2]|0}while((x|0)<(y|0));f[h>>2]=f[c>>2];if((y|0)<3)z=15;else z=17}else{f[h>>2]=f[c>>2];z=15}if((z|0)==15){z=0;x=f[j>>2]|0;if((x|0)<3){f[v>>2]=x;f[h+8>>2]=f[q>>2];f[h+12>>2]=f[p>>2];x=f[o>>2]|0;w=f[h+44>>2]|0;f[w>>2]=f[x>>2];f[w+4>>2]=f[x+4>>2]}else z=17}if((z|0)==17){z=0;kP(h,c)}f[g>>2]=f[n>>2];f[h+20>>2]=f[m>>2];f[h+24>>2]=f[l>>2];f[h+28>>2]=f[k>>2];f[h+32>>2]=f[d>>2];f[u>>2]=f[r>>2]}i=i+-1|0;if(!i)break;else h=h+56|0}}if(e){e=c+4|0;h=c+8|0;i=c+12|0;r=c+16|0;d=c+20|0;k=c+24|0;l=c+28|0;m=c+32|0;n=c+36|0;z=c+44|0;o=b-t|0;t=f[s>>2]|0;do{f[t>>2]=f[c>>2];p=t+4|0;f[p>>2]=f[e>>2];q=t+8|0;f[q>>2]=f[h>>2];f[t+12>>2]=f[i>>2];f[t+16>>2]=f[r>>2];f[t+20>>2]=f[d>>2];f[t+24>>2]=f[k>>2];f[t+28>>2]=f[l>>2];f[t+32>>2]=f[m>>2];j=f[n>>2]|0;f[t+36>>2]=j;f[t+40>>2]=q;q=t+48|0;y=t+44|0;f[y>>2]=q;f[q>>2]=0;f[t+52>>2]=0;if(j|0){q=j+12|0;f[q>>2]=(f[q>>2]|0)+1}if((f[e>>2]|0)<3){q=f[z>>2]|0;j=f[y>>2]|0;f[j>>2]=f[q>>2];f[j+4>>2]=f[q+4>>2]}else{f[p>>2]=0;kP(t,c)}t=(f[s>>2]|0)+56|0;f[s>>2]=t;o=o+-1|0}while((o|0)!=0);return}o=(f[a>>2]|0)+(b*56|0)|0;b=f[s>>2]|0;if((b|0)==(o|0))return;else A=b;do{b=A+-56|0;f[s>>2]=b;a=A+-20|0;t=f[a>>2]|0;if(t|0?(c=t+12|0,t=f[c>>2]|0,f[c>>2]=t+-1,(t|0)==1):0)lP(b);f[a>>2]=0;a=A+-40|0;b=A+-52|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[b>>2]|0)>0){a=f[A+-16>>2]|0;t=0;do{f[a+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[b>>2]|0))}b=f[A+-12>>2]|0;if((b|0)!=(A+-8|0))tE(b);A=f[s>>2]|0}while((A|0)!=(o|0));return}function Krb(a,b){a=a|0;b=b|0;var c=0;c=Bmc(56)|0;Lrb(c,b);b=Bmc(16)|0;f[b+4>>2]=1;f[b>>2]=136456;f[b+8>>2]=c;f[a>>2]=b;f[a+4>>2]=c;return}function Lrb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+16|0;e=d;uCa(a);g=a+36|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[a>>2]=136476;vCa(a,c);f[e>>2]=0;f[e+4>>2]=0;g=YG(e,4)|0;b[g>>0]=97;b[g+1>>0]=120;b[g+2>>0]=105;b[g+3>>0]=115;g=c+4|0;h=f[g>>2]|0;do if(h){i=f[e>>2]|0;j=(i|0)==0?1163146:i;k=g;l=h;a:while(1){m=l;while(1){n=f[m+16>>2]|0;if((n|0)==(i|0))break;if((o7b((n|0)==0?1163146:n,j)|0)>=0)break;n=f[m+4>>2]|0;if(!n){o=k;break a}else m=n}l=f[m>>2]|0;if(!l){o=m;break}else k=m}if((o|0)!=(g|0)){k=f[o+16>>2]|0;if((i|0)!=(k|0)?(o7b(j,(k|0)==0?1163146:k)|0)<=-1:0){p=0;break}k=rCa(o+24|0,-1)|0;p=k}else p=0}else p=0;while(0);ZG(e);f[e>>2]=0;f[e+4>>2]=0;o=YG(e,8)|0;h=o;b[h>>0]=110;b[h+1>>0]=117;b[h+2>>0]=109;b[h+3>>0]=95;h=o+4|0;b[h>>0]=97;b[h+1>>0]=120;b[h+2>>0]=101;b[h+3>>0]=115;h=f[g>>2]|0;do if(h){o=f[e>>2]|0;k=(o|0)==0?1163146:o;l=g;n=h;b:while(1){q=n;while(1){r=f[q+16>>2]|0;if((r|0)==(o|0))break;if((o7b((r|0)==0?1163146:r,k)|0)>=0)break;r=f[q+4>>2]|0;if(!r){s=l;break b}else q=r}n=f[q>>2]|0;if(!n){s=q;break}else l=q}if((s|0)!=(g|0)){l=f[s+16>>2]|0;if((o|0)!=(l|0)?(o7b(k,(l|0)==0?1163146:l)|0)<=-1:0){t=-1;break}l=rCa(s+24|0,-1)|0;t=l}else t=-1}else t=-1;while(0);ZG(e);if((t|0)<=-2){f[e>>2]=0;f[e+4>>2]=0;s=YG(e,13)|0;h=463519;l=s+13|0;do{b[s>>0]=b[h>>0]|0;s=s+1|0;h=h+1|0}while((s|0)<(l|0));SQ(-215,e,463533,463550,164)}h=(t|0)==-1;s=t+p|0;t=a+48|0;l=t;f[l>>2]=p;f[l+4>>2]=h?2147483647:s;s=a+36|0;h=f[s>>2]|0;l=a+40|0;a=f[l>>2]|0;if((a|0)!=(h|0))f[l>>2]=a+(~((a+-4-h|0)>>>2)<<2);f[e>>2]=0;f[e+4>>2]=0;h=YG(e,3)|0;b[h>>0]=b[463628]|0;b[h+1>>0]=b[463629]|0;b[h+2>>0]=b[463630]|0;h=f[g>>2]|0;if(!h){ZG(e);u=d;return}g=f[e>>2]|0;a=(g|0)==0?1163146:g;p=h;while(1){h=f[p+16>>2]|0;if((g|0)==(h|0)){v=35;break}t=(h|0)==0?1163146:h;if((o7b(a,t)|0)<0)w=p;else{if((o7b(t,a)|0)>=0){v=36;break}w=p+4|0}p=f[w>>2]|0;if(!p){v=50;break}}if((v|0)==35)ZG(e);else if((v|0)==36)ZG(e);else if((v|0)==50){ZG(e);u=d;return}f[e>>2]=0;f[e+4>>2]=0;v=YG(e,3)|0;b[v>>0]=b[463628]|0;b[v+1>>0]=b[463629]|0;b[v+2>>0]=b[463630]|0;v=dDa(c,e)|0;ZG(e);switch(f[v>>2]|0){case 0:{x=(f[v+4>>2]|0)+4|0;break}case 3:{x=(f[v+4>>2]|0)+4|0;break}case 2:{x=(f[v+4>>2]|0)+4|0;break}default:{f[e>>2]=0;f[e+4>>2]=0;SQ(-3,e,463632,463637,278)}}e=f[x>>2]|0;x=f[l>>2]|0;c=f[s>>2]|0;p=x-c>>2;w=c;c=x;if(e>>>0<=p>>>0){if(e>>>0<p>>>0?(x=w+(e<<2)|0,(c|0)!=(x|0)):0)f[l>>2]=c+(~((c+-4-x|0)>>>2)<<2)}else $C(s,e-p|0);if((e|0)>0)y=0;else{u=d;return}do{p=rCa(v,y)|0;f[(f[s>>2]|0)+(y<<2)>>2]=p;y=y+1|0}while((y|0)<(e|0));u=d;return}function Mrb(a){a=a|0;Emc(a);return}function Nrb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Orb(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=136584;b=f[a+36>>2]|0;if(!b){Nza(a);return}c=a+40|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b);Nza(a);return}function Prb(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=136584;b=f[a+36>>2]|0;if(!b){Nza(a);Emc(a);return}c=a+40|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b);Nza(a);Emc(a);return}function Qrb(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=136584;b=f[a+36>>2]|0;if(!b){Nza(a);Emc(a);return}c=a+40|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b);Nza(a);Emc(a);return}function Rrb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;e=u;u=u+176|0;g=e+168|0;h=e+156|0;i=e+144|0;j=e+88|0;k=e+16|0;l=e+72|0;m=e;zT(g,136684);if((BD(b,-1)|0)==3)gAa(a,b,c,d);else{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[i>>2]=0;d=i+4|0;f[d>>2]=0;f[i+8>>2]=0;rD(b,h);rD(c,i);if((f[d>>2]|0)!=(f[i>>2]|0)){c=j+4|0;b=j+8|0;a=j+12|0;n=j+16|0;o=j+20|0;p=j+24|0;q=j+28|0;r=j+32|0;s=j+36|0;t=j+40|0;v=j+48|0;w=j+44|0;x=j+52|0;y=l+4|0;z=l+8|0;A=m+8|0;B=m+4|0;C=k+36|0;D=k+16|0;E=k+4|0;F=k+40|0;G=k+44|0;H=k+48|0;I=0;do{J=f[h>>2]|0;K=J+(I*56|0)|0;f[j>>2]=f[K>>2];L=J+(I*56|0)+4|0;f[c>>2]=f[L>>2];f[b>>2]=f[J+(I*56|0)+8>>2];f[a>>2]=f[J+(I*56|0)+12>>2];f[n>>2]=f[J+(I*56|0)+16>>2];f[o>>2]=f[J+(I*56|0)+20>>2];f[p>>2]=f[J+(I*56|0)+24>>2];f[q>>2]=f[J+(I*56|0)+28>>2];f[r>>2]=f[J+(I*56|0)+32>>2];M=f[J+(I*56|0)+36>>2]|0;f[s>>2]=M;f[t>>2]=b;f[w>>2]=v;f[v>>2]=0;f[x>>2]=0;if(M|0){N=M+12|0;f[N>>2]=(f[N>>2]|0)+1}if((f[L>>2]|0)<3){L=f[J+(I*56|0)+44>>2]|0;J=f[w>>2]|0;f[J>>2]=f[L>>2];f[J+4>>2]=f[L+4>>2]}else{f[c>>2]=0;kP(j,K)}K=f[i>>2]|0;if((f[K+(I*56|0)+16>>2]|0)!=(f[n>>2]|0)){L=f[K+(I*56|0)+4>>2]|0;J=f[K+(I*56|0)+40>>2]|0;f[l>>2]=0;f[y>>2]=0;f[z>>2]=0;hAa(l,J,J+(L<<2)|0);zP(k,j,1,l);L=(f[i>>2]|0)+(I*56|0)|0;J=A;f[J>>2]=0;f[J+4>>2]=0;f[m>>2]=33619968;f[B>>2]=L;kT(k,m);L=f[C>>2]|0;if(L|0?(J=L+12|0,L=f[J>>2]|0,f[J>>2]=L+-1,(L|0)==1):0)lP(k);f[C>>2]=0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[E>>2]|0)>0){L=f[F>>2]|0;J=0;do{f[L+(J<<2)>>2]=0;J=J+1|0}while((J|0)<(f[E>>2]|0))}J=f[G>>2]|0;if((J|0)!=(H|0))tE(J);J=f[l>>2]|0;if(J|0){L=f[y>>2]|0;if((L|0)!=(J|0))f[y>>2]=L+(~((L+-4-J|0)>>>2)<<2);Emc(J)}}J=f[s>>2]|0;if(J|0?(L=J+12|0,J=f[L>>2]|0,f[L>>2]=J+-1,(J|0)==1):0)lP(j);f[s>>2]=0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[c>>2]|0)>0){J=f[t>>2]|0;L=0;do{f[J+(L<<2)>>2]=0;L=L+1|0}while((L|0)<(f[c>>2]|0))}L=f[w>>2]|0;if((L|0)!=(v|0))tE(L);I=I+1|0}while(I>>>0<(((f[d>>2]|0)-(f[i>>2]|0)|0)/56|0)>>>0)}rt(i);rt(h)}if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function Srb(a,b){a=a|0;b=b|0;var c=0;switch(b|0){case 3:{c=1;break}case 2:{c=_Da()|0;break}default:c=0}return c|0}function Trb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Urb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0;g=u;u=u+16|0;h=g;i=g+4|0;j=c+4|0;k=f[j>>2]|0;l=f[c>>2]|0;m=k-l|0;n=l;if(!((m|0)==12?1:((m|0)/12|0|0)==(d|0))){if((m|0)!=24){f[i>>2]=0;f[i+4>>2]=0;o=YG(i,18)|0;p=475384;q=o+18|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,i,475265,463550,200)}m=f[n+4>>2]|0;d=f[l>>2]|0;r=m-d|0;s=r>>2;t=d;if((t|0)!=(m|0)){if((r|0)<0){f[i>>2]=0;f[i+4>>2]=0;o=YG(i,70)|0;p=475084;q=o+70|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,i,475155,475161,161)}if(!r)v=1;else{r=1;m=0;while(1){d=Y(f[t+(m<<2)>>2]|0,r)|0;m=m+1|0;if((m|0)==(s|0)){v=d;break}else r=d}}}else v=0;r=n+12|0;s=f[n+16>>2]|0;n=f[r>>2]|0;m=s-n|0;t=m>>2;d=n;if((d|0)!=(s|0)){if((m|0)<0){f[i>>2]=0;f[i+4>>2]=0;o=YG(i,70)|0;p=475084;q=o+70|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,i,475155,475161,161)}if(!m)w=1;else{m=1;s=0;while(1){n=Y(f[d+(s<<2)>>2]|0,m)|0;s=s+1|0;if((s|0)==(t|0)){w=n;break}else m=n}}}else w=0;if((v|0)!=(w|0)){f[i>>2]=0;f[i+4>>2]=0;o=YG(i,36)|0;p=464129;q=o+36|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,i,475265,463550,200)}eAa(e,1,r);u=g;return 1}r=f[e>>2]|0;w=e+4|0;v=f[w>>2]|0;if((v|0)==(r|0)){x=k;y=l}else{l=v;while(1){v=l+-12|0;f[w>>2]=v;k=f[v>>2]|0;if(!k)z=v;else{v=l+-8|0;m=f[v>>2]|0;if((m|0)!=(k|0))f[v>>2]=m+(~((m+-4-k|0)>>>2)<<2);Emc(k);z=f[w>>2]|0}if((z|0)==(r|0))break;else l=z}x=f[j>>2]|0;y=f[c>>2]|0}if((x|0)==(y|0)){u=g;return 1}y=i+4|0;x=i+8|0;z=e+8|0;l=a+36|0;k=a+48|0;m=a+40|0;a=0;v=r;a:while(1){f[i>>2]=0;f[y>>2]=0;f[x>>2]=0;if((v|0)==(f[z>>2]|0)){ABa(e,i);A=f[i>>2]|0}else{f[v>>2]=0;r=v+4|0;f[r>>2]=0;f[v+8>>2]=0;t=f[i>>2]|0;s=(f[y>>2]|0)-t|0;d=s>>2;if(d){if(d>>>0>1073741823){B=14;break}n=Bmc(s)|0;f[r>>2]=n;f[v>>2]=n;f[v+8>>2]=n+(d<<2);d=f[i>>2]|0;s=(f[y>>2]|0)-d|0;if((s|0)>0){Krc(n|0,d|0,s|0)|0;f[r>>2]=n+(s>>>2<<2);C=d}else C=d}else C=t;f[w>>2]=(f[w>>2]|0)+12;A=C}if(A|0){t=f[y>>2]|0;if((t|0)!=(A|0))f[y>>2]=t+(~((t+-4-A|0)>>>2)<<2);Emc(A)}t=f[c>>2]|0;d=t+(a*12|0)|0;s=k;n=f[s>>2]|0;r=f[s+4>>2]|0;s=f[w>>2]|0;D=s+-12|0;E=t+(a*12|0)+4|0;t=f[E>>2]|0;F=f[d>>2]|0;G=t-F>>2;H=f[m>>2]|0;I=f[l>>2]|0;J=H-I|0;K=J>>2;L=(r|0)==2147483647;M=I;I=H;H=t;t=F;N=(n|0)<0?G:0;O=(n|0)==-2147483648&L?0:N+n|0;n=L?G:N+r|0;r=(M|0)!=(I|0);N=(J|0)>0;if(N&r){L=0;do{P=(f[M+(L<<2)>>2]|0)>0;L=L+1|0}while((L|0)<(K|0)&P);Q=P}else Q=r;if(Q){if((M|0)!=(I|0)){if((J|0)<0){B=29;break}if(!J)R=1;else{L=1;P=0;while(1){S=Y(f[M+(P<<2)>>2]|0,L)|0;P=P+1|0;if((P|0)==(K|0)){R=S;break}else L=S}}}else R=0;L=n+-1|0;b:do if((n|0)>(O|0)){P=(t|0)==(H|0);if((n|0)==-1){if(P){M=(R|0)==0;J=0;I=-1;r=L;while(1){if(J){if(!M){T=I;B=61;break b}if(!r){T=0;B=61;break b}else U=1}else U=M;if((r|0)>(O|0)){S=r;J=U;r=r+-1|0;I=S}else{V=O;break b}}}else{W=0;X=-1;Z=L}while(1){I=(X|0)==0?0:Z;if((I|0)>(G|0)){B=55;break a}if((I|0)<(G|0)){r=1;J=I;while(1){I=Y(f[t+(J<<2)>>2]|0,r)|0;J=J+1|0;if((J|0)==(G|0)){_=I;break}else r=I}}else _=1;r=(_|0)==(R|0);if(W){if(!r){T=X;B=61;break b}if(!Z){T=0;B=61;break b}else $=1}else $=r;if((Z|0)>(O|0)){r=Z;W=$;Z=Z+-1|0;X=r}else{V=O;break b}}}if(P){r=(R|0)==0;J=0;I=n;M=L;while(1){if(J){if(!r){T=I;B=61;break b}if(!M){T=0;B=61;break b}else aa=1}else aa=r;if((M|0)>(O|0)){S=M;J=aa;M=M+-1|0;I=S}else{V=O;break b}}}if((n|0)>(G|0)){B=55;break a}else{ba=0;ca=n;da=L}while(1){I=(ca|0)==0?0:da;if((I|0)>(G|0)|(I|0)>(n|0)){B=55;break a}if((I|0)<(n|0)){M=1;J=I;while(1){I=Y(f[t+(J<<2)>>2]|0,M)|0;J=J+1|0;if((J|0)==(n|0)){ea=I;break}else M=I}}else ea=1;M=(ea|0)==(R|0);if(ba){if(!M){T=ca;B=61;break b}if(!da){T=0;B=61;break b}else fa=1}else fa=M;if((da|0)>(O|0)){M=da;ba=fa;da=da+-1|0;ca=M}else{V=O;break}}}else V=O;while(0);while(1){if((B|0)==61){B=0;V=T}ga=(V|0)==-1?0:V;ha=(n|0)==-1?G:n;ia=(t|0)==(H|0);if(!ia){if((ga|0)>(G|0)){B=66;break a}if((ha|0)>(G|0)|(ga|0)>(ha|0)){B=66;break a}if((ga|0)<(ha|0)){L=1;M=ga;while(1){J=Y(f[t+(M<<2)>>2]|0,L)|0;M=M+1|0;if((M|0)==(ha|0)){ja=J;break}else L=J}}else ja=1}else ja=0;if(!((V|0)>0&(ja|0)!=(R|0)))break;T=V+-1|0;B=61}if(!ia){if((ga|0)>(G|0)){B=74;break}if((ha|0)>(G|0)|(ga|0)>(ha|0)){B=74;break}if((ga|0)<(ha|0)){H=1;L=ga;while(1){M=Y(f[t+(L<<2)>>2]|0,H)|0;L=L+1|0;if((L|0)==(ha|0)){ka=M;break}else H=M}}else ka=1}else ka=0;if((ka|0)==(R|0))la=V;else{B=77;break}}else la=O;if((la|0)<=-1){B=80;break}if((n|0)>(G|0)|(la|0)>(n|0)){B=80;break}H=K+G-n+la|0;L=s+-8|0;M=f[L>>2]|0;J=f[D>>2]|0;I=M-J>>2;r=J;J=M;if(H>>>0<=I>>>0)if(H>>>0<I>>>0?(M=r+(H<<2)|0,(J|0)!=(M|0)):0){f[L>>2]=J+(~((J+-4-M|0)>>>2)<<2);ma=t;na=F}else{ma=t;na=F}else{$C(D,H-I|0);I=f[d>>2]|0;ma=I;na=I}I=ma+(la<<2)|0;if(la|0){H=f[D>>2]|0;M=ma;while(1){f[H>>2]=f[M>>2];M=M+4|0;if((M|0)==(I|0))break;else H=H+4|0}}H=ma+(G<<2)|0;if((n|0)!=(G|0)){I=(f[D>>2]|0)+(la<<2)+(K<<2)|0;M=ma+(n<<2)|0;while(1){f[I>>2]=f[M>>2];M=M+4|0;if((M|0)==(H|0))break;else I=I+4|0}}if(N){I=f[l>>2]|0;H=f[D>>2]|0;M=f[d>>2]|0;n=M;F=0;t=-1;while(1){s=f[I+(F<<2)>>2]|0;c:do if((s|0)>0){oa=t;pa=s;qa=F+la|0}else switch(s|0){case 0:{ra=F+la|0;if((ra|0)>=(G|0)){B=109;break a}oa=t;pa=f[M+(ra<<2)>>2]|0;qa=ra;break c;break}case -1:{if((t|0)!=-1){B=112;break a}O=F+la|0;oa=O;pa=1;qa=O;break c;break}default:{B=114;break a}}while(0);f[H+(qa<<2)>>2]=pa;F=F+1|0;if((F|0)>=(K|0)){sa=oa;ta=n;break}else t=oa}}else{sa=-1;ta=na}t=f[E>>2]|0;n=t-ta|0;K=n>>2;F=ta;if((F|0)!=(t|0)){if((n|0)<0){B=97;break}if(!n)ua=1;else{n=1;t=0;while(1){H=Y(f[F+(t<<2)>>2]|0,n)|0;t=t+1|0;if((t|0)==(K|0)){ua=H;break}else n=H}}}else ua=0;n=f[L>>2]|0;K=f[D>>2]|0;t=n-K|0;F=t>>2;E=K;if((E|0)!=(n|0)){if((t|0)<0){B=102;break}if(!t)va=1;else{t=1;n=0;while(1){K=Y(f[E+(n<<2)>>2]|0,t)|0;n=n+1|0;if((n|0)==(F|0)){va=K;break}else t=K}}}else va=0;if((sa|0)==-1){if((ua|0)!=(va|0)){B=120;break}}else{if((ua>>>0)%(va>>>0)|0|0){B=117;break}f[E+(sa<<2)>>2]=(ua>>>0)/(va>>>0)|0}t=a+1|0;if(t>>>0>=(((f[j>>2]|0)-(f[c>>2]|0)|0)/12|0)>>>0){B=138;break}a=t;v=f[w>>2]|0}switch(B|0){case 14:{Ukc(v);break}case 29:{f[i>>2]=0;f[i+4>>2]=0;o=YG(i,70)|0;p=475084;q=o+70|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,i,475155,475161,161);break}case 55:{f[i>>2]=0;f[i+4>>2]=0;o=YG(i,70)|0;p=475084;q=o+70|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,i,475155,475161,161);break}case 66:{f[i>>2]=0;f[i+4>>2]=0;o=YG(i,70)|0;p=475084;q=o+70|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,i,475155,475161,161);break}case 74:{f[i>>2]=0;f[i+4>>2]=0;o=YG(i,70)|0;p=475084;q=o+70|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,i,475155,475161,161);break}case 77:{f[i>>2]=0;f[i+4>>2]=0;o=YG(i,58)|0;p=463766;q=o+58|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,i,463825,463550,105);break}case 80:{f[i>>2]=0;f[i+4>>2]=0;o=YG(i,85)|0;p=463851;q=o+85|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,i,463825,463550,108);break}case 97:{f[i>>2]=0;f[i+4>>2]=0;o=YG(i,70)|0;p=475084;q=o+70|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,i,475155,475161,161);break}case 102:{f[i>>2]=0;f[i+4>>2]=0;o=YG(i,70)|0;p=475084;q=o+70|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,i,475155,475161,161);break}case 109:{f[h>>2]=ra;aR(i,463937,h);SQ(-5,i,463825,463550,125);break}case 112:{f[i>>2]=0;f[i+4>>2]=0;o=YG(i,50)|0;p=464006;q=o+50|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,i,463825,463550,131);break}case 114:{f[i>>2]=0;f[i+4>>2]=0;o=YG(i,18)|0;p=464057;q=o+18|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-5,i,463825,463550,136);break}case 117:{f[i>>2]=0;f[i+4>>2]=0;o=YG(i,31)|0;p=464076;q=o+31|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-1,i,463825,463550,145);break}case 120:{f[i>>2]=0;f[i+4>>2]=0;o=YG(i,20)|0;p=464108;q=o+20|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-215,i,463825,463550,151);break}case 138:{u=g;return 1}}return 0}function Vrb(a,b){a=a|0;b=b|0;var c=0;c=Bmc(64)|0;Wrb(c,b);b=Bmc(16)|0;f[b+4>>2]=1;f[b>>2]=136724;f[b+8>>2]=c;f[a>>2]=b;f[a+4>>2]=c;return}function Wrb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0.0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0.0,L=0;d=u;u=u+16|0;e=d;uCa(a);f[a>>2]=136744;vCa(a,c);if(((f[a+8>>2]|0)-(f[a+4>>2]|0)|0)!=56){f[e>>2]=0;f[e+4>>2]=0;g=YG(e,17)|0;h=464383;i=g+17|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));SQ(-215,e,464401,464417,67)}f[e>>2]=0;f[e+4>>2]=0;j=YG(e,6)|0;b[j>>0]=b[464494]|0;b[j+1>>0]=b[464495]|0;b[j+2>>0]=b[464496]|0;b[j+3>>0]=b[464497]|0;b[j+4>>0]=b[464498]|0;b[j+5>>0]=b[464499]|0;j=c+4|0;c=f[j>>2]|0;do if(c){k=f[e>>2]|0;l=(k|0)==0?1163146:k;m=j;o=c;a:while(1){p=o;while(1){q=f[p+16>>2]|0;if((q|0)==(k|0))break;if((o7b((q|0)==0?1163146:q,l)|0)>=0)break;q=f[p+4>>2]|0;if(!q){r=m;break a}else p=q}o=f[p>>2]|0;if(!o){r=p;break}else m=p}if((r|0)!=(j|0)){m=f[r+16>>2]|0;if((k|0)!=(m|0)?(o7b(l,(m|0)==0?1163146:m)|0)<=-1:0){s=.20000000298023224;break}s=+eEa(r+24|0,-1)}else s=.20000000298023224}else s=.20000000298023224;while(0);n[a+52>>2]=s;ZG(e);f[e>>2]=0;f[e+4>>2]=0;r=YG(e,6)|0;b[r>>0]=b[464501]|0;b[r+1>>0]=b[464502]|0;b[r+2>>0]=b[464503]|0;b[r+3>>0]=b[464504]|0;b[r+4>>0]=b[464505]|0;b[r+5>>0]=b[464506]|0;r=f[j>>2]|0;do if(r){c=f[e>>2]|0;m=(c|0)==0?1163146:c;o=j;q=r;b:while(1){t=q;while(1){v=f[t+16>>2]|0;if((v|0)==(c|0))break;if((o7b((v|0)==0?1163146:v,m)|0)>=0)break;v=f[t+4>>2]|0;if(!v){w=o;break b}else t=v}q=f[t>>2]|0;if(!q){w=t;break}else o=t}if((w|0)!=(j|0)){o=f[w+16>>2]|0;if((c|0)!=(o|0)?(o7b(m,(o|0)==0?1163146:o)|0)<=-1:0){x=4;break}o=rCa(w+24|0,-1)|0;x=o}else x=4}else x=4;while(0);w=a+36|0;f[w>>2]=x;ZG(e);f[e>>2]=0;f[e+4>>2]=0;x=YG(e,7)|0;b[x>>0]=b[464508]|0;b[x+1>>0]=b[464509]|0;b[x+2>>0]=b[464510]|0;b[x+3>>0]=b[464511]|0;b[x+4>>0]=b[464512]|0;b[x+5>>0]=b[464513]|0;b[x+6>>0]=b[464514]|0;x=f[j>>2]|0;do if(x){r=f[e>>2]|0;o=(r|0)==0?1163146:r;q=j;l=x;c:while(1){k=l;while(1){p=f[k+16>>2]|0;if((p|0)==(r|0))break;if((o7b((p|0)==0?1163146:p,o)|0)>=0)break;p=f[k+4>>2]|0;if(!p){y=q;break c}else k=p}l=f[k>>2]|0;if(!l){y=k;break}else q=k}if((y|0)!=(j|0)){q=f[y+16>>2]|0;if((r|0)!=(q|0)?(o7b(o,(q|0)==0?1163146:q)|0)<=-1:0){z=0;break}q=rCa(y+24|0,-1)|0;z=q}else z=0}else z=0;while(0);y=a+40|0;f[y>>2]=z;ZG(e);f[e>>2]=0;f[e+4>>2]=0;z=YG(e,7)|0;b[z>>0]=b[464516]|0;b[z+1>>0]=b[464517]|0;b[z+2>>0]=b[464518]|0;b[z+3>>0]=b[464519]|0;b[z+4>>0]=b[464520]|0;b[z+5>>0]=b[464521]|0;b[z+6>>0]=b[464522]|0;z=f[j>>2]|0;do if(z){x=f[e>>2]|0;q=(x|0)==0?1163146:x;l=j;m=z;d:while(1){c=m;while(1){t=f[c+16>>2]|0;if((t|0)==(x|0))break;if((o7b((t|0)==0?1163146:t,q)|0)>=0)break;t=f[c+4>>2]|0;if(!t){A=l;break d}else c=t}m=f[c>>2]|0;if(!m){A=c;break}else l=c}if((A|0)!=(j|0)){l=f[A+16>>2]|0;if((x|0)!=(l|0)?(o7b(q,(l|0)==0?1163146:l)|0)<=-1:0){B=5;break}l=rCa(A+24|0,-1)|0;B=l}else B=5}else B=5;while(0);A=a+44|0;f[A>>2]=B;ZG(e);f[e>>2]=0;f[e+4>>2]=0;B=YG(e,8)|0;z=B;b[z>>0]=99;b[z+1>>0]=108;b[z+2>>0]=97;b[z+3>>0]=115;z=B+4|0;b[z>>0]=115;b[z+1>>0]=102;b[z+2>>0]=105;b[z+3>>0]=120;z=f[j>>2]|0;do if(z){B=f[e>>2]|0;l=(B|0)==0?1163146:B;m=j;o=z;e:while(1){r=o;while(1){k=f[r+16>>2]|0;if((k|0)==(B|0))break;if((o7b((k|0)==0?1163146:k,l)|0)>=0)break;k=f[r+4>>2]|0;if(!k){C=m;break e}else r=k}o=f[r>>2]|0;if(!o){C=r;break}else m=r}if((C|0)!=(j|0)){m=f[C+16>>2]|0;if((B|0)!=(m|0)?(o7b(l,(m|0)==0?1163146:m)|0)<=-1:0){D=0;break}m=rCa(C+24|0,-1)|0;D=m}else D=0}else D=0;while(0);f[a+48>>2]=D;ZG(e);f[e>>2]=0;f[e+4>>2]=0;D=YG(e,7)|0;b[D>>0]=b[464524]|0;b[D+1>>0]=b[464525]|0;b[D+2>>0]=b[464526]|0;b[D+3>>0]=b[464527]|0;b[D+4>>0]=b[464528]|0;b[D+5>>0]=b[464529]|0;b[D+6>>0]=b[464530]|0;D=f[j>>2]|0;do if(D){C=f[e>>2]|0;z=(C|0)==0?1163146:C;m=j;o=D;f:while(1){q=o;while(1){x=f[q+16>>2]|0;if((x|0)==(C|0))break;if((o7b((x|0)==0?1163146:x,z)|0)>=0)break;x=f[q+4>>2]|0;if(!x){E=m;break f}else q=x}o=f[q>>2]|0;if(!o){E=q;break}else m=q}if((E|0)!=(j|0)){m=f[E+16>>2]|0;if((C|0)!=(m|0)?(o7b(z,(m|0)==0?1163146:m)|0)<=-1:0){F=0;break}m=rCa(E+24|0,-1)|0;F=(m|0)!=0|(J|0)!=0}else F=0}else F=0;while(0);E=a+60|0;b[E>>0]=F&1;ZG(e);f[e>>2]=0;f[e+4>>2]=0;F=YG(e,8)|0;D=F;b[D>>0]=108;b[D+1>>0]=111;b[D+2>>0]=103;b[D+3>>0]=105;D=F+4|0;b[D>>0]=115;b[D+1>>0]=116;b[D+2>>0]=105;b[D+3>>0]=99;D=f[j>>2]|0;do if(D){F=f[e>>2]|0;m=(F|0)==0?1163146:F;o=j;l=D;g:while(1){B=l;while(1){r=f[B+16>>2]|0;if((r|0)==(F|0))break;if((o7b((r|0)==0?1163146:r,m)|0)>=0)break;r=f[B+4>>2]|0;if(!r){G=o;break g}else B=r}l=f[B>>2]|0;if(!l){G=B;break}else o=B}if((G|0)!=(j|0)){o=f[G+16>>2]|0;if((F|0)!=(o|0)?(o7b(m,(o|0)==0?1163146:o)|0)<=-1:0){H=0;break}o=rCa(G+24|0,-1)|0;H=(o|0)!=0|(J|0)!=0}else H=0}else H=0;while(0);G=a+61|0;b[G>>0]=H&1;ZG(e);f[e>>2]=0;f[e+4>>2]=0;g=YG(e,13)|0;h=465836;i=g+13|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));H=f[j>>2]|0;do if(H){D=f[e>>2]|0;o=(D|0)==0?1163146:D;l=j;z=H;h:while(1){C=z;while(1){q=f[C+16>>2]|0;if((q|0)==(D|0))break;if((o7b((q|0)==0?1163146:q,o)|0)>=0)break;q=f[C+4>>2]|0;if(!q){I=l;break h}else C=q}z=f[C>>2]|0;if(!z){I=C;break}else l=C}if((I|0)!=(j|0)){l=f[I+16>>2]|0;if((D|0)!=(l|0)?(o7b(o,(l|0)==0?1163146:l)|0)<=-1:0){K=.4000000059604645;break}K=+eEa(I+24|0,-1)}else K=.4000000059604645}else K=.4000000059604645;while(0);I=a+56|0;n[I>>2]=K;ZG(e);if(!(+n[I>>2]>=0.0)){f[e>>2]=0;f[e+4>>2]=0;g=YG(e,18)|0;h=464532;i=g+18|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));SQ(-215,e,464401,464417,78)}if((f[w>>2]|0)!=4){f[e>>2]=0;f[e+4>>2]=0;g=YG(e,11)|0;h=464551;i=g+11|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));SQ(-215,e,464401,464417,79)}if((f[y>>2]|0)<=0){f[e>>2]=0;f[e+4>>2]=0;g=YG(e,12)|0;h=464563;i=g+12|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));SQ(-215,e,464401,464417,80)}if((f[A>>2]|0)<=0){f[e>>2]=0;f[e+4>>2]=0;g=YG(e,12)|0;h=464576;i=g+12|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));SQ(-215,e,464401,464417,81)}if((b[G>>0]|0)==0?(b[E>>0]|0)==0:0){f[e>>2]=0;f[e+4>>2]=0;g=YG(e,25)|0;h=464589;i=g+25|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));SQ(-215,e,464401,464417,82)}f[e>>2]=0;f[e+4>>2]=0;g=YG(e,12)|0;h=464615;i=g+12|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));E=f[j>>2]|0;if(!E){ZG(e);u=d;return}G=f[e>>2]|0;A=(G|0)==0?1163146:G;y=j;w=E;i:while(1){E=w;while(1){I=f[E+16>>2]|0;if((I|0)==(G|0))break;if((o7b((I|0)==0?1163146:I,A)|0)>=0)break;I=f[E+4>>2]|0;if(!I){L=y;break i}else E=I}w=f[E>>2]|0;if(!w){L=E;break}else y=E}if((L|0)==(j|0)){ZG(e);u=d;return}j=f[L+16>>2]|0;if((G|0)!=(j|0)?(o7b(A,(j|0)==0?1163146:j)|0)<=-1:0){ZG(e);u=d;return}j=rCa(L+24|0,-1)|0;L=(j|0)!=0|(J|0)!=0;ZG(e);if(L){f[e>>2]=0;f[e+4>>2]=0;g=YG(e,27)|0;h=464628;i=g+27|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));SQ(-213,e,464401,464417,84)}else{u=d;return}}function Xrb(a){a=a|0;Emc(a);return}function Yrb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Zrb(a){a=a|0;Nza(a);Emc(a);return}function _rb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,W=0,X=0,Z=0,_=0,$=0,aa=0.0,ba=0,ca=0.0,da=0,ea=0.0,fa=0,ga=0.0,ha=0.0,ia=0,ja=0,ka=0.0,la=0,ma=0,na=0,oa=0,pa=0.0,qa=0.0,ra=0,sa=0,ta=0,ua=0;g=u;u=u+64|0;h=g+48|0;i=g+32|0;j=g+20|0;k=g+8|0;l=g;zT(h,136844);if((BD(c,-1)|0)==3)gAa(a,c,d,e);else{f[i>>2]=0;m=i+4|0;f[m>>2]=0;f[i+8>>2]=0;f[j>>2]=0;o=j+4|0;f[o>>2]=0;f[j+8>>2]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;rD(c,i);rD(d,j);rD(e,k);e=f[i>>2]|0;d=e;if((f[m>>2]|0)==(e|0)){f[l>>2]=0;f[l+4>>2]=0;p=YG(l,18)|0;q=464703;r=p+18|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,l,475494,464417,214)}c=f[o>>2]|0;s=f[j>>2]|0;if((c-s|0)!=56){f[l>>2]=0;f[l+4>>2]=0;p=YG(l,19)|0;q=475522;r=p+19|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,l,475494,464417,215)}t=a+40|0;v=(f[t>>2]|0)+1+(f[a+36>>2]|0)|0;w=f[(f[a+4>>2]|0)+16>>2]|0;a:do if((c|0)!=(s|0)){x=a+44|0;y=a+60|0;z=a+61|0;A=a+56|0;B=a+52|0;C=a+48|0;D=0;E=c;F=s;G=d;H=e;while(1){I=F;J=f[G+(D*56|0)+40>>2]|0;K=f[J>>2]|0;L=f[J+4>>2]|0;M=f[J+8>>2]|0;N=Y(Y(L,v)|0,M)|0;O=f[x>>2]|0;P=Y(N,O)|0;N=Y(P,K)|0;Q=f[G+(D*56|0)+4>>2]|0;if((Q|0)<3)R=Y(f[G+(D*56|0)+12>>2]|0,f[G+(D*56|0)+8>>2]|0)|0;else{S=1;T=K;while(1){U=Y(f[J+(S<<2)>>2]|0,T)|0;S=S+1|0;if((S|0)==(Q|0)){R=U;break}else T=U}}if((N|0)!=(R|0)){W=16;break}T=f[I+(D*56|0)+4>>2]|0;if((T|0)<3)X=Y(f[I+(D*56|0)+12>>2]|0,f[I+(D*56|0)+8>>2]|0)|0;else{Q=f[I+(D*56|0)+40>>2]|0;S=0;J=1;while(1){U=Y(f[Q+(S<<2)>>2]|0,J)|0;S=S+1|0;if((S|0)==(T|0)){X=U;break}else J=U}}if((N|0)!=(X|0)){W=22;break}J=f[m>>2]|0;if(((J-H|0)/56|0)>>>0>=2?(f[G+60>>2]|0)!=4:0){W=25;break}if(((J-H|0)/56|0)>>>0>1)Z=f[(f[G+96>>2]|0)+8>>2]|0;else Z=L;if(((J-H|0)/56|0)>>>0>1)_=f[(f[G+96>>2]|0)+12>>2]|0;else _=M;J=f[G+(D*56|0)+16>>2]|0;T=f[I+(D*56|0)+16>>2]|0;S=Y(O,Y(Y(L,K)|0,M)|0)|0;Q=(S|0)>0;if(Q){U=0;do{$=(Y(U,v)|0)+4|0;aa=1.0/(+V(+-+n[J+($<<2)>>2])+1.0);n[T+($<<2)>>2]=aa;U=U+1|0}while((U|0)<(S|0))}if(!(b[y>>0]|0)){if(!((b[z>>0]|0)==0|Q^1)?(U=f[t>>2]|0,(U|0)>0):0){I=0;do{N=Y(I,v)|0;$=J+(N<<2)+20|0;ba=T+(N<<2)+20|0;N=0;do{aa=1.0/(+V(+-+n[$+(N<<2)>>2])+1.0);n[ba+(N<<2)>>2]=aa;N=N+1|0}while((N|0)<(U|0));I=I+1|0}while((I|0)<(S|0))}}else if(Q?(I=f[t>>2]|0,(I|0)>0):0){U=0;do{N=Y(U,v)|0;ba=J+(N<<2)+20|0;$=T+(N<<2)|0;aa=-3402823466385288598117041.0e14;N=0;do{ca=+n[ba+(N<<2)>>2];aa=ca>aa?ca:aa;N=N+1|0}while((N|0)!=(I|0));N=$+20|0;ca=0.0;da=0;do{ea=+V(+(+n[ba+(da<<2)>>2]-aa));ca=ca+ea;n[N+(da<<2)>>2]=ea;da=da+1|0}while((da|0)!=(I|0));fa=0;do{da=N+(fa<<2)|0;n[da>>2]=+n[da>>2]/ca;fa=fa+1|0}while((fa|0)!=(I|0));U=U+1|0}while((U|0)<(S|0))}S=(K|0)>0;if(S){U=(M|0)>0;I=(L|0)>0;ca=+(M|0);aa=+(L|0);ea=+(Z|0);ga=+(_|0);Q=(O|0)>0;N=0;do{if(U){da=Y(N,P)|0;ba=0;do{if(I){ha=+(ba|0);$=0;do{if(Q){ia=(Y($,M)|0)+ba|0;ja=(f[C>>2]|0)==-1;ka=+($|0);la=f[t>>2]|0;ma=(la|0)>0;na=Y(O,ia)|0;ia=0;do{oa=(Y(na+ia|0,v)|0)+da|0;pa=+n[T+(oa+4<<2)>>2];qa=pa<.5&ja?0.0:pa;pa=(ha+1.0/(+V(+-+n[J+(oa<<2)>>2])+1.0))/ca;n[T+(oa<<2)>>2]=pa;ra=oa+1|0;pa=(ka+1.0/(+V(+-+n[J+(ra<<2)>>2])+1.0))/aa;n[T+(ra<<2)>>2]=pa;ra=oa+2|0;pa=+V(+(+n[J+(ra<<2)>>2]));sa=ia<<1;n[T+(ra<<2)>>2]=pa*+n[w+(sa<<2)>>2]/ea;ra=oa+3|0;pa=+V(+(+n[J+(ra<<2)>>2]));n[T+(ra<<2)>>2]=pa*+n[w+((sa|1)<<2)>>2]/ga;sa=oa+5|0;if(ma){oa=0;do{ra=T+(sa+oa<<2)|0;pa=qa*+n[ra>>2];n[ra>>2]=pa>+n[B>>2]?pa:0.0;oa=oa+1|0}while((oa|0)<(la|0))}ia=ia+1|0}while((ia|0)<(O|0))}$=$+1|0}while(($|0)!=(L|0))}ba=ba+1|0}while((ba|0)!=(M|0))}N=N+1|0}while((N|0)!=(K|0));ga=+n[A>>2];if(ga>0.0&S){N=Y(M,L)|0;J=0;Q=O;ea=ga;while(1){I=T+((Y(J,P)|0)<<2)|0;U=Y(N,Q)|0;bsb(a,I,U,+n[B>>2],ea);U=J+1|0;if((U|0)>=(K|0))break;J=U;Q=f[x>>2]|0;ea=+n[A>>2]}ta=f[j>>2]|0;ua=f[o>>2]|0}else{ta=F;ua=E}}else{ta=F;ua=E}Q=D+1|0;if(Q>>>0>=((ua-ta|0)/56|0)>>>0)break a;J=f[i>>2]|0;D=Q;E=ua;F=ta;G=J;H=J}if((W|0)==16){f[l>>2]=0;f[l+4>>2]=0;p=YG(l,41)|0;q=464722;r=p+41|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,l,475494,464417,233)}else if((W|0)==22){f[l>>2]=0;f[l+4>>2]=0;p=YG(l,41)|0;q=464764;r=p+41|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,l,475494,464417,234)}else if((W|0)==25){f[l>>2]=0;f[l+4>>2]=0;p=YG(l,40)|0;q=464806;r=p+40|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,l,475494,464417,236)}}while(0);rt(k);rt(j);rt(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function $rb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;g=u;u=u+48|0;d=g+24|0;h=g+12|0;i=g;j=f[c>>2]|0;if((f[c+4>>2]|0)==(j|0)){f[d>>2]=0;f[d+4>>2]=0;k=YG(d,17)|0;l=474364;m=k+17|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-215,d,475265,464417,92)}c=f[j>>2]|0;j=f[c+12>>2]|0;n=f[a+44>>2]|0;if((j|0)!=(Y((f[a+36>>2]|0)+1+(f[a+40>>2]|0)|0,n)|0)){f[d>>2]=0;f[d+4>>2]=0;k=YG(d,46)|0;l=464656;m=k+46|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-215,d,475265,464417,94)}l=f[c>>2]|0;if((l|0)>1){k=Y(Y(f[c+8>>2]|0,f[c+4>>2]|0)|0,n)|0;f[d>>2]=l;f[d+4>>2]=k;f[d+8>>2]=(j|0)/(n|0)|0;f[d+12>>2]=-1;f[i>>2]=0;k=i+4|0;f[k>>2]=0;f[i+8>>2]=0;hAa(i,d,d+16|0);l=f[i>>2]|0;m=f[k>>2]|0;a=m;o=l;a:do if((l|0)==(m|0)){p=l;q=9}else{r=l;while(1){if((f[r>>2]|0)<0){p=r;q=9;break a}r=r+4|0;if((r|0)==(m|0)){s=a;break}}}while(0);if((q|0)==9)if((p|0)!=(m|0)){l=p+4|0;if((l|0)==(m|0)){t=m;v=p;w=a}else{r=l;l=p;while(1){p=f[r>>2]|0;if((p|0)<0)x=l;else{f[l>>2]=p;x=l+4|0}r=r+4|0;if((r|0)==(m|0))break;else l=x}l=f[k>>2]|0;t=l;v=x;w=l}if((v|0)==(t|0))s=w;else{w=t+(~((t+-4-v|0)>>>2)<<2)|0;f[k>>2]=w;s=w}}else s=a;f[h>>2]=0;a=h+4|0;f[a>>2]=0;f[h+8>>2]=0;w=Bmc(12)|0;f[a>>2]=w;f[h>>2]=w;f[h+8>>2]=w+12;f[w>>2]=0;v=w+4|0;f[v>>2]=0;f[w+8>>2]=0;t=s-o|0;o=t>>2;if(o|0){if(o>>>0>1073741823)Ukc(w);l=Bmc(t)|0;f[v>>2]=l;f[w>>2]=l;f[w+8>>2]=l+(o<<2);o=f[i>>2]|0;t=s-o|0;if((t|0)>0){Krc(l|0,o|0,t|0)|0;f[v>>2]=l+(t>>>2<<2)}}t=w+12|0;f[a>>2]=t;if((h|0)!=(e|0)){hCa(e,w,t);t=f[h>>2]|0;if(t|0){y=t;z=t;q=24}}else{y=w;z=w;q=24}if((q|0)==24){w=f[a>>2]|0;if((w|0)==(z|0))A=y;else{y=w;while(1){w=y+-12|0;f[a>>2]=w;t=f[w>>2]|0;if(!t)B=w;else{w=y+-8|0;l=f[w>>2]|0;if((l|0)!=(t|0))f[w>>2]=l+(~((l+-4-t|0)>>>2)<<2);Emc(t);B=f[a>>2]|0}if((B|0)==(z|0))break;else y=B}A=f[h>>2]|0}Emc(A)}A=f[i>>2]|0;if(A|0){B=f[k>>2]|0;if((B|0)!=(A|0))f[k>>2]=B+(~((B+-4-A|0)>>>2)<<2);Emc(A)}u=g;return 0}else{A=Y(Y(f[c+8>>2]|0,f[c+4>>2]|0)|0,n)|0;f[d>>2]=A;f[d+4>>2]=(j|0)/(n|0)|0;f[d+8>>2]=-1;f[d+12>>2]=-1;f[i>>2]=0;n=i+4|0;f[n>>2]=0;f[i+8>>2]=0;hAa(i,d,d+16|0);d=f[i>>2]|0;j=f[n>>2]|0;A=j;c=d;b:do if((d|0)==(j|0)){C=d;q=40}else{B=d;while(1){if((f[B>>2]|0)<0){C=B;q=40;break b}B=B+4|0;if((B|0)==(j|0)){D=A;break}}}while(0);if((q|0)==40)if((C|0)!=(j|0)){d=C+4|0;if((d|0)==(j|0)){E=j;F=C;G=A}else{B=d;d=C;while(1){C=f[B>>2]|0;if((C|0)<0)H=d;else{f[d>>2]=C;H=d+4|0}B=B+4|0;if((B|0)==(j|0))break;else d=H}d=f[n>>2]|0;E=d;F=H;G=d}if((F|0)==(E|0))D=G;else{G=E+(~((E+-4-F|0)>>>2)<<2)|0;f[n>>2]=G;D=G}}else D=A;f[h>>2]=0;A=h+4|0;f[A>>2]=0;f[h+8>>2]=0;G=Bmc(12)|0;f[A>>2]=G;f[h>>2]=G;f[h+8>>2]=G+12;f[G>>2]=0;F=G+4|0;f[F>>2]=0;f[G+8>>2]=0;E=D-c|0;c=E>>2;if(c|0){if(c>>>0>1073741823)Ukc(G);d=Bmc(E)|0;f[F>>2]=d;f[G>>2]=d;f[G+8>>2]=d+(c<<2);c=f[i>>2]|0;E=D-c|0;if((E|0)>0){Krc(d|0,c|0,E|0)|0;f[F>>2]=d+(E>>>2<<2)}}E=G+12|0;f[A>>2]=E;if((h|0)!=(e|0)){hCa(e,G,E);E=f[h>>2]|0;if(E|0){I=E;J=E;q=55}}else{I=G;J=G;q=55}if((q|0)==55){q=f[A>>2]|0;if((q|0)==(I|0))K=J;else{J=q;while(1){q=J+-12|0;f[A>>2]=q;G=f[q>>2]|0;if(!G)L=q;else{q=J+-8|0;E=f[q>>2]|0;if((E|0)!=(G|0))f[q>>2]=E+(~((E+-4-G|0)>>>2)<<2);Emc(G);L=f[A>>2]|0}if((L|0)==(I|0))break;else J=L}K=f[h>>2]|0}Emc(K)}K=f[i>>2]|0;if(K|0){i=f[n>>2]|0;if((i|0)!=(K|0))f[n>>2]=i+(~((i+-4-K|0)>>>2)<<2);Emc(K)}u=g;return 0}return 0}function asb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=u;u=u+16|0;a=d;e=f[c+4>>2]|0;g=f[c>>2]|0;c=g;if((e|0)==(g|0)){h=0;i=0;J=h;u=d;return i|0}j=(e-g|0)/12|0;g=0;e=0;k=0;while(1){l=f[c+(g*12|0)+4>>2]|0;m=f[c+(g*12|0)>>2]|0;n=l-m|0;o=n>>2;p=m;if((p|0)!=(l|0)){if((n|0)<=-4){q=7;break}if((n|0)>0){n=0;l=1;while(1){m=Y(f[p+(n<<2)>>2]|0,l)|0;n=n+1|0;if((n|0)>=(o|0)){r=m;break}else l=m}}else r=1}else r=0;l=r*60|0;o=Arc(l|0,((l|0)<0)<<31>>31|0,e|0,k|0)|0;l=J;g=g+1|0;if(g>>>0>=j>>>0){h=l;i=o;q=3;break}else{e=o;k=l}}if((q|0)==3){J=h;u=d;return i|0}else if((q|0)==7){f[a>>2]=0;f[a+4>>2]=0;q=YG(a,70)|0;i=475084;d=q+70|0;do{b[q>>0]=b[i>>0]|0;q=q+1|0;i=i+1|0}while((q|0)<(d|0));SQ(-215,a,475155,475161,161)}return 0}function bsb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0.0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;g=u;u=u+48|0;h=g+24|0;i=g+12|0;j=g;f[h>>2]=0;k=h+4|0;f[k>>2]=0;f[h+8>>2]=0;l=(c|0)==0;do if(!l)if(c>>>0>134217727)Ukc(h);else{m=c<<5;o=Bmc(m)|0;f[h>>2]=o;f[h+8>>2]=o+(c<<5);Drc(o|0,0,m|0)|0;f[k>>2]=o+m;q=o;break}else q=0;while(0);f[i>>2]=0;o=i+4|0;f[o>>2]=0;f[i+8>>2]=0;if(l){l=a+40|0;r=l;s=0;t=0;v=f[l>>2]|0}else{l=c<<2;m=Bmc(l)|0;f[i>>2]=m;w=m+(c<<2)|0;f[i+8>>2]=w;Drc(m|0,0,l|0)|0;f[o>>2]=w;w=a+40|0;l=f[w>>2]|0;x=l+1+(f[a+36>>2]|0)|0;y=0;do{z=Y(x,y)|0;A=+n[b+(z+2<<2)>>2];p[q+(y<<5)+16>>3]=A;B=+n[b+(z+3<<2)>>2];p[q+(y<<5)+24>>3]=B;p[q+(y<<5)>>3]=+n[b+(z<<2)>>2]-A*.5;p[q+(y<<5)+8>>3]=+n[b+(z+1<<2)>>2]-B*.5;y=y+1|0}while((y|0)!=(c|0));r=w;s=1;t=m;v=l}f[j>>2]=0;l=j+4|0;f[l>>2]=0;f[j+8>>2]=0;if((v|0)>0){m=a+36|0;a:do if(s){a=0;w=v;y=t;while(1){q=w+1+(f[m>>2]|0)|0;x=a+5|0;z=0;do{C=b+(x+(Y(q,z)|0)<<2)|0;f[y+(z<<2)>>2]=f[C>>2];n[C>>2]=0.0;z=z+1|0}while((z|0)!=(c|0));Ezb(h,i,d,e,j,1.0,0);z=f[l>>2]|0;q=f[j>>2]|0;C=z-q|0;D=C>>2;E=q;q=f[r>>2]|0;if((C|0)>0){C=q+1+(f[m>>2]|0)|0;F=f[i>>2]|0;G=0;do{H=f[E+(G<<2)>>2]|0;I=Y(C,H)|0;f[b+(x+I<<2)>>2]=f[F+(H<<2)>>2];G=G+1|0}while((G|0)<(D|0))}D=a+1|0;if((D|0)>=(q|0)){J=z;K=E;break a}a=D;w=q;y=f[i>>2]|0}}else{y=0;do{Ezb(h,i,d,e,j,1.0,0);w=f[l>>2]|0;a=f[j>>2]|0;D=w-a|0;G=D>>2;F=a;a=f[r>>2]|0;if((D|0)>0){D=a+1+(f[m>>2]|0)|0;x=f[i>>2]|0;C=y+5|0;H=0;do{I=f[F+(H<<2)>>2]|0;L=Y(D,I)|0;f[b+(C+L<<2)>>2]=f[x+(I<<2)>>2];H=H+1|0}while((H|0)<(G|0))}y=y+1|0}while((y|0)<(a|0));J=w;K=F}while(0);b=J;if(K|0){if((b|0)!=(K|0))f[l>>2]=b+(~((b+-4-K|0)>>>2)<<2);Emc(K)}}K=f[i>>2]|0;if(K|0){i=f[o>>2]|0;if((i|0)!=(K|0))f[o>>2]=i+(~((i+-4-K|0)>>>2)<<2);Emc(K)}K=f[h>>2]|0;if(!K){u=g;return}h=f[k>>2]|0;if((h|0)!=(K|0))f[k>>2]=h+(~((h+-32-K|0)>>>5)<<5);Emc(K);u=g;return}function csb(a,b){a=a|0;b=b|0;var c=0;c=Bmc(44)|0;dsb(c,b);b=Bmc(16)|0;f[b+4>>2]=1;f[b>>2]=136884;f[b+8>>2]=c;f[a>>2]=b;f[a+4>>2]=c;return}function dsb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=u;u=u+16|0;e=d;uCa(a);f[a>>2]=136904;f[e>>2]=0;f[e+4>>2]=0;g=YG(e,4)|0;b[g>>0]=97;b[g+1>>0]=120;b[g+2>>0]=105;b[g+3>>0]=115;g=c+4|0;h=f[g>>2]|0;do if(h){i=f[e>>2]|0;j=(i|0)==0?1163146:i;k=g;l=h;a:while(1){m=l;while(1){n=f[m+16>>2]|0;if((n|0)==(i|0))break;if((o7b((n|0)==0?1163146:n,j)|0)>=0)break;n=f[m+4>>2]|0;if(!n){o=k;break a}else m=n}l=f[m>>2]|0;if(!l){o=m;break}else k=m}if((o|0)!=(g|0)){k=f[o+16>>2]|0;if((i|0)!=(k|0)?(o7b(j,(k|0)==0?1163146:k)|0)<=-1:0){p=1;break}k=rCa(o+24|0,-1)|0;p=k}else p=1}else p=1;while(0);f[a+40>>2]=p;ZG(e);f[e>>2]=0;f[e+4>>2]=0;p=YG(e,11)|0;o=465110;h=p+11|0;do{b[p>>0]=b[o>>0]|0;p=p+1|0;o=o+1|0}while((p|0)<(h|0));o=f[g>>2]|0;if(!o){q=0;r=a+36|0;b[r>>0]=q;ZG(e);vCa(a,c);u=d;return}p=f[e>>2]|0;h=(p|0)==0?1163146:p;k=g;l=o;b:while(1){o=l;while(1){n=f[o+16>>2]|0;if((n|0)==(p|0))break;if((o7b((n|0)==0?1163146:n,h)|0)>=0)break;n=f[o+4>>2]|0;if(!n){s=k;break b}else o=n}l=f[o>>2]|0;if(!l){s=o;break}else k=o}if((s|0)==(g|0)){q=0;r=a+36|0;b[r>>0]=q;ZG(e);vCa(a,c);u=d;return}g=f[s+16>>2]|0;if((p|0)!=(g|0)?(o7b(h,(g|0)==0?1163146:g)|0)<=-1:0){q=0;r=a+36|0;b[r>>0]=q;ZG(e);vCa(a,c);u=d;return}g=rCa(s+24|0,-1)|0;q=((g|0)!=0|(J|0)!=0)&1;r=a+36|0;b[r>>0]=q;ZG(e);vCa(a,c);u=d;return}function esb(a){a=a|0;Emc(a);return}function fsb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function gsb(a){a=a|0;Nza(a);Emc(a);return}function hsb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0;g=u;u=u+80|0;h=g+64|0;i=g+56|0;j=g+40|0;k=g+28|0;l=g+16|0;m=g;zT(i,137004);if((BD(c,-1)|0)==3)gAa(a,c,d,e);else{f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;rD(c,j);rD(d,k);rD(e,l);e=f[j>>2]|0;d=f[k>>2]|0;c=f[a+40>>2]|0;o=f[e+4>>2]|0;p=((c|0)<0?o:0)+c|0;if((p|0)<0){f[h>>2]=0;f[h+4>>2]=0;q=YG(h,35)|0;r=465122;s=q+35|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));SQ(-215,h,475155,465158,997)}c=(o|0)<(p|0)?o:p;t=f[e+40>>2]|0;if((c|0)>0){v=1;w=0;do{v=Y(f[t+(w<<2)>>2]|0,v)|0;w=w+1|0}while((w|0)<(c|0));if((p|0)<-1){f[h>>2]=0;f[h+4>>2]=0;q=YG(h,35)|0;r=465122;s=q+35|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));SQ(-215,h,475155,465158,997)}else x=v}else x=1;v=f[t+(p<<2)>>2]|0;c=p+1|0;w=(o|0)>(c|0);if(w){y=1;z=c;while(1){A=Y(f[t+(z<<2)>>2]|0,y)|0;z=z+1|0;if((z|0)==(o|0)){B=A;break}else y=A}}else B=1;y=f[e>>2]|0;if((y&4095|0)!=5){f[h>>2]=0;f[h+4>>2]=0;q=YG(h,20)|0;r=465241;s=q+20|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));SQ(-215,h,475494,465262,212)}if(!(y&16384)){f[h>>2]=0;C=h+4|0;f[C>>2]=0;D=YG(h,40)|0;q=D;r=465340;s=q+40|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));SQ(-215,h,475494,465262,213)}if(!(f[d>>2]&16384)){f[h>>2]=0;C=h+4|0;f[C>>2]=0;D=YG(h,40)|0;q=D;r=465340;s=q+40|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));SQ(-215,h,475494,465262,213)}r=f[e+16>>2]|0;e=f[d+16>>2]|0;q=f[(f[l>>2]|0)+16>>2]|0;if((o|0)>(p|0)){s=p+1|0;if((s|0)==(o|0))E=v;else{p=s;s=v;while(1){D=Y(f[t+(p<<2)>>2]|0,s)|0;p=p+1|0;if((p|0)==(o|0)){E=D;break}else s=D}}}else E=1;if(w){w=1;s=c;while(1){c=Y(f[t+(s<<2)>>2]|0,w)|0;s=s+1|0;if((s|0)==(o|0)){F=c;break}else w=c}}else F=1;w=(x|0)==0;if(!w){o=B<<2;s=(B|0)==0;if(v>>>0>1){t=0;do{c=Y(t,E)|0;p=Y(t,F)|0;Krc(q+(p<<2)|0,r+(c<<2)|0,o|0)|0;if(!s){D=1;do{C=(Y(D,F)|0)+c|0;y=0;do{z=q+(y+p<<2)|0;A=r+(C+y<<2)|0;f[z>>2]=f[(+n[z>>2]<+n[A>>2]?A:z)>>2];y=y+1|0}while((y|0)!=(B|0));D=D+1|0}while((D|0)!=(v|0))}t=t+1|0}while((t|0)!=(x|0))}else{t=0;do{Krc(q+((Y(t,F)|0)<<2)|0,r+((Y(t,E)|0)<<2)|0,o|0)|0;t=t+1|0}while((t|0)!=(x|0))}if(!w?(t=(B|0)==0,v|0):0){o=0;do{s=Y(o,E)|0;D=Y(o,F)|0;if(!t){p=0;do{c=(Y(p,F)|0)+s|0;y=0;do{C=c+y|0;n[e+(C<<2)>>2]=+n[r+(C<<2)>>2]-+n[q+(y+D<<2)>>2];y=y+1|0}while((y|0)!=(B|0));p=p+1|0}while((p|0)!=(v|0))}o=o+1|0}while((o|0)!=(x|0))}}f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=d;o=m+8|0;f[o>>2]=0;f[o+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=d;tS(h,m);if(!w){w=(B|0)==0;m=(v|0)==0;h=B<<2;d=(b[a+36>>0]|0)==0|m|w;a=0;do{o=Y(F,a)|0;r=Y(a,E)|0;if(!w)Drc(q+(o<<2)|0,0,h|0)|0;a:do if(!m){do if(!w){t=0;do{p=(Y(t,F)|0)+r|0;D=0;do{s=q+(D+o<<2)|0;n[s>>2]=+n[e+(p+D<<2)>>2]+ +n[s>>2];D=D+1|0}while((D|0)!=(B|0));t=t+1|0}while((t|0)!=(v|0));if(m)break a;if(w)break;else G=0;do{t=(Y(G,F)|0)+r|0;D=0;do{p=e+(t+D<<2)|0;n[p>>2]=+n[p>>2]/+n[q+(D+o<<2)>>2];D=D+1|0}while((D|0)!=(B|0));G=G+1|0}while((G|0)!=(v|0))}while(0);if(!d){D=0;do{t=(Y(D,F)|0)+r|0;p=0;do{s=e+(t+p<<2)|0;H=+W(+(+n[s>>2]));n[s>>2]=H;p=p+1|0}while((p|0)!=(B|0));D=D+1|0}while((D|0)!=(v|0))}}while(0);a=a+1|0}while((a|0)!=(x|0))}rt(l);rt(k);rt(j)}if(!(f[i+4>>2]|0)){u=g;return}u=g;return}function isb(a,c){a=a|0;c=c|0;var d=0,e=0;switch(c|0){case 3:{d=1;break}case 1:{if(ACa()|0?(f[a+40>>2]|0)==1:0)d=1;else e=6;break}case 2:{if(_Da()|0)d=(b[a+36>>0]|0)==0;else d=0;break}default:e=6}if((e|0)==6)d=0;return d|0}function jsb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function ksb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function lsb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+16|0;h=g;i=cAa(a,b,c,d,e)|0;fAa(h,f[b>>2]|0);b=f[a+40>>2]|0;a=h+4|0;d=f[h>>2]|0;f[d+(((b|0)<0?(f[a>>2]|0)-d>>2:0)+b<<2)>>2]=1;eAa(e,1,h);e=f[h>>2]|0;if(!e){u=g;return i|0}h=f[a>>2]|0;if((h|0)!=(e|0))f[a>>2]=h+(~((h+-4-e|0)>>>2)<<2);Emc(e);u=g;return i|0}function msb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=u;u=u+16|0;a=d;e=f[c+4>>2]|0;g=f[c>>2]|0;c=g;if((e|0)==(g|0)){h=0;i=0;J=h;u=d;return i|0}j=(e-g|0)/12|0;g=0;e=0;k=0;while(1){l=f[c+(g*12|0)+4>>2]|0;m=f[c+(g*12|0)>>2]|0;n=l-m|0;o=n>>2;p=m;if((p|0)!=(l|0)){if((n|0)<=-4){q=7;break}if((n|0)>0){n=0;l=1;while(1){m=Y(f[p+(n<<2)>>2]|0,l)|0;n=n+1|0;if((n|0)>=(o|0)){r=m;break}else l=m}}else r=1}else r=0;l=r<<2;o=Arc(l|0,((l|0)<0)<<31>>31|0,e|0,k|0)|0;l=J;g=g+1|0;if(g>>>0>=j>>>0){h=l;i=o;q=3;break}else{e=o;k=l}}if((q|0)==3){J=h;u=d;return i|0}else if((q|0)==7){f[a>>2]=0;f[a+4>>2]=0;q=YG(a,70)|0;i=475084;d=q+70|0;do{b[q>>0]=b[i>>0]|0;q=q+1|0;i=i+1|0}while((q|0)<(d|0));SQ(-215,a,475155,475161,161)}return 0}function nsb(){var a=0,c=0,d=0,e=0;f[222871]=0;f[222872]=0;f[222873]=0;a=Bmc(16)|0;f[222871]=a;f[222873]=-2147483632;f[222872]=15;c=a;d=465567;e=c+15|0;do{b[c>>0]=b[d>>0]|0;c=c+1|0;d=d+1|0}while((c|0)<(e|0));b[a+15>>0]=0;Ad(1633,891484,x|0)|0;return}function osb(a,b){a=a|0;b=b|0;var c=0;c=Bmc(84)|0;psb(c,b);b=Bmc(16)|0;f[b+4>>2]=1;f[b>>2]=137044;f[b+8>>2]=c;f[a>>2]=b;f[a+4>>2]=c;return}function psb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0.0,s=0.0;d=u;u=u+32|0;e=d+8|0;g=d+4|0;h=d;uCa(a);f[a>>2]=137064;f[a+52>>2]=0;f[a+56>>2]=0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=Bmc(16)|0;f[e>>2]=i;f[e+8>>2]=-2147483632;f[e+4>>2]=11;j=i;k=465671;l=j+11|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+11>>0]=0;f[g>>2]=0;f[h>>2]=0;i=ssb(a,c,e,g,1,h)|0;m=a+36|0;f[m>>2]=i;if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=Bmc(16)|0;f[e>>2]=i;f[e+8>>2]=-2147483632;f[e+4>>2]=14;j=i;k=465683;l=j+14|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[i+14>>0]=0;f[g>>2]=0;b[h>>0]=0;i=a+40|0;o=(tsb(a,c,e,g,1,h)|0)&1;b[i>>0]=o;if((b[e+11>>0]|0)<0){Emc(f[e>>2]|0);p=b[i>>0]|0}else p=o;if(!(p<<24>>24))q=f[m>>2]|0;else q=1;f[a+44>>2]=q;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;q=Bmc(32)|0;f[e>>2]=q;f[e+8>>2]=-2147483616;f[e+4>>2]=19;j=q;k=465698;l=j+19|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[q+19>>0]=0;f[g>>2]=0;f[h>>2]=0;q=usb(a,c,e,g,1,h)|0;f[a+48>>2]=q;if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;q=Bmc(32)|0;f[e>>2]=q;f[e+8>>2]=-2147483616;f[e+4>>2]=26;j=q;k=465718;l=j+26|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[q+26>>0]=0;f[g>>2]=0;b[h>>0]=0;q=(tsb(a,c,e,g,0,h)|0)&1;b[a+60>>0]=q;if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);q=e+11|0;b[q>>0]=10;j=e;k=465745;l=j+10|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[e+10>>0]=0;f[g>>2]=0;f[h>>2]=0;m=usb(a,c,e,g,1,h)|0;f[a+64>>2]=m;if((b[q>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;q=Bmc(32)|0;f[e>>2]=q;f[e+8>>2]=-2147483616;f[e+4>>2]=20;j=q;k=465756;l=j+20|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[q+20>>0]=0;f[g>>2]=0;n[h>>2]=-3402823466385288598117041.0e14;r=+vsb(a,c,e,g,0,h);n[a+68>>2]=r;if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;q=e+11|0;b[q>>0]=5;b[e>>0]=b[465777]|0;b[e+1>>0]=b[465778]|0;b[e+2>>0]=b[465779]|0;b[e+3>>0]=b[465780]|0;b[e+4>>0]=b[465781]|0;b[e+5>>0]=0;f[g>>2]=0;f[h>>2]=-1;m=usb(a,c,e,g,0,h)|0;f[a+76>>2]=m;if((b[q>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;q=Bmc(32)|0;f[e>>2]=q;f[e+8>>2]=-2147483616;f[e+4>>2]=19;j=q;k=465783;l=j+19|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[q+19>>0]=0;f[g>>2]=0;b[h>>0]=0;q=(tsb(a,c,e,g,0,h)|0)&1;b[a+80>>0]=q;if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;q=Bmc(16)|0;f[e>>2]=q;f[e+8>>2]=-2147483632;f[e+4>>2]=15;j=q;k=465803;l=j+15|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[q+15>>0]=0;f[g>>2]=0;b[h>>0]=1;q=(tsb(a,c,e,g,0,h)|0)&1;b[a+81>>0]=q;if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;q=e+11|0;b[q>>0]=4;f[e>>2]=1885957219;b[e+4>>0]=0;f[g>>2]=0;b[h>>0]=0;m=(tsb(a,c,e,g,0,h)|0)&1;b[a+82>>0]=m;if((b[q>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;q=Bmc(32)|0;f[e>>2]=q;f[e+8>>2]=-2147483616;f[e+4>>2]=16;j=q;k=465819;l=j+16|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[q+16>>0]=0;f[g>>2]=0;b[h>>0]=1;q=(tsb(a,c,e,g,0,h)|0)&1;b[a+83>>0]=q;if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);wsb(a,c);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;q=Bmc(16)|0;f[e>>2]=q;f[e+8>>2]=-2147483632;f[e+4>>2]=13;j=q;k=465836;l=j+13|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));b[q+13>>0]=0;f[g>>2]=0;n[h>>2]=0.0;r=+vsb(a,c,e,g,1,h);h=a+72|0;n[h>>2]=r;if((b[e+11>>0]|0)<0){Emc(f[e>>2]|0);s=+n[h>>2]}else s=r;if(s>0.0){vCa(a,c);u=d;return}else{f[e>>2]=0;f[e+4>>2]=0;j=YG(e,18)|0;k=465850;l=j+18|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,e,465869,465894,193)}}function qsb(a){a=a|0;Emc(a);return}function rsb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function ssb(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0;i=u;u=u+32|0;j=i+24|0;k=i+8|0;l=i;f[j>>2]=0;m=Bmc(16)|0;n=m+8|0;f[m>>2]=n;f[m+4>>2]=1;f[j+4>>2]=m;m=n;f[m>>2]=0;f[m+4>>2]=0;if(xsb(a,c,d,j)|0){c=rCa(j,f[e>>2]|0)|0;o=c;rza(j);u=i;return o|0}if(!g){o=f[h>>2]|0;rza(j);u=i;return o|0}Nmc(k,891484);anc(k,466022)|0;o=b[d+11>>0]|0;i=o<<24>>24<0;$mc(k,i?f[d>>2]|0:d,i?f[d+4>>2]|0:o&255)|0;anc(k,466057)|0;f[l>>2]=0;f[l+4>>2]=0;o=k+11|0;d=b[o>>0]|0;i=d<<24>>24<0?f[k+4>>2]|0:d&255;if(!i)SQ(-5,l,466069,465894,155);d=YG(l,i)|0;Krc(d|0,((b[o>>0]|0)<0?f[k>>2]|0:k)|0,i|0)|0;SQ(-5,l,466069,465894,155);return 0}function tsb(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0;i=u;u=u+32|0;j=i+24|0;k=i+8|0;l=i;f[j>>2]=0;m=Bmc(16)|0;n=m+8|0;f[m>>2]=n;f[m+4>>2]=1;f[j+4>>2]=m;m=n;f[m>>2]=0;f[m+4>>2]=0;if(xsb(a,c,d,j)|0){c=rCa(j,f[e>>2]|0)|0;o=(c|0)!=0|(J|0)!=0;rza(j);u=i;return o|0}if(!g){o=(b[h>>0]|0)!=0;rza(j);u=i;return o|0}Nmc(k,891484);anc(k,466022)|0;o=b[d+11>>0]|0;i=o<<24>>24<0;$mc(k,i?f[d>>2]|0:d,i?f[d+4>>2]|0:o&255)|0;anc(k,466057)|0;f[l>>2]=0;f[l+4>>2]=0;o=k+11|0;d=b[o>>0]|0;i=d<<24>>24<0?f[k+4>>2]|0:d&255;if(!i)SQ(-5,l,466069,465894,155);d=YG(l,i)|0;Krc(d|0,((b[o>>0]|0)<0?f[k>>2]|0:k)|0,i|0)|0;SQ(-5,l,466069,465894,155);return 0}function usb(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0;i=u;u=u+32|0;j=i+24|0;k=i+8|0;l=i;f[j>>2]=0;m=Bmc(16)|0;n=m+8|0;f[m>>2]=n;f[m+4>>2]=1;f[j+4>>2]=m;m=n;f[m>>2]=0;f[m+4>>2]=0;if(xsb(a,c,d,j)|0){c=rCa(j,f[e>>2]|0)|0;o=c;rza(j);u=i;return o|0}if(!g){o=f[h>>2]|0;rza(j);u=i;return o|0}Nmc(k,891484);anc(k,466022)|0;o=b[d+11>>0]|0;i=o<<24>>24<0;$mc(k,i?f[d>>2]|0:d,i?f[d+4>>2]|0:o&255)|0;anc(k,466057)|0;f[l>>2]=0;f[l+4>>2]=0;o=k+11|0;d=b[o>>0]|0;i=d<<24>>24<0?f[k+4>>2]|0:d&255;if(!i)SQ(-5,l,466069,465894,155);d=YG(l,i)|0;Krc(d|0,((b[o>>0]|0)<0?f[k>>2]|0:k)|0,i|0)|0;SQ(-5,l,466069,465894,155);return 0}function vsb(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0.0;i=u;u=u+32|0;j=i+24|0;k=i+8|0;l=i;f[j>>2]=0;m=Bmc(16)|0;o=m+8|0;f[m>>2]=o;f[m+4>>2]=1;f[j+4>>2]=m;m=o;f[m>>2]=0;f[m+4>>2]=0;if(xsb(a,c,d,j)|0){p=+eEa(j,f[e>>2]|0);rza(j);u=i;return +p}if(!g){p=+n[h>>2];rza(j);u=i;return +p}Nmc(k,891484);anc(k,466022)|0;i=b[d+11>>0]|0;j=i<<24>>24<0;$mc(k,j?f[d>>2]|0:d,j?f[d+4>>2]|0:i&255)|0;anc(k,466057)|0;f[l>>2]=0;f[l+4>>2]=0;i=k+11|0;d=b[i>>0]|0;j=d<<24>>24<0?f[k+4>>2]|0:d&255;if(!j)SQ(-5,l,466069,465894,155);d=YG(l,j)|0;Krc(d|0,((b[i>>0]|0)<0?f[k>>2]|0:k)|0,j|0)|0;SQ(-5,l,466069,465894,155);return +(0.0)}function wsb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=u;u=u+32|0;e=d+24|0;g=d+16|0;h=d;i=d+8|0;f[i>>2]=0;f[i+4>>2]=0;j=YG(i,9)|0;k=465981;l=j+9|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));sCa(h,dDa(c,i)|0,-1);c=f[h>>2]|0;if(!c){f[g>>2]=0;f[g+4>>2]=0}else{m=h+4|0;n=f[m>>2]|0;f[e>>2]=0;o=e+4|0;f[o>>2]=0;if(n|0?(Krc(YG(e,n)|0,c|0,n|0)|0,f[m>>2]|0):0){n=0;do{c=(p9b(b[(f[h>>2]|0)+n>>0]|0)|0)&255;b[(f[e>>2]|0)+n>>0]=c;n=n+1|0}while(n>>>0<(f[m>>2]|0)>>>0)}m=f[e>>2]|0;f[g>>2]=m;f[g+4>>2]=f[o>>2];if(m|0){o=m+-4|0;f[o>>2]=(f[o>>2]|0)+1}ZG(e)}ZG(h);ZG(i);i=f[g>>2]|0;if((i|0)!=465991){h=a+52|0;if(!(o7b((i|0)==0?1163146:i,465991)|0))p=h;else{ZG(h);i=YG(h,6)|0;b[i>>0]=b[466015]|0;b[i+1>>0]=b[466016]|0;b[i+2>>0]=b[466017]|0;b[i+3>>0]=b[466018]|0;b[i+4>>0]=b[466019]|0;b[i+5>>0]=b[466020]|0;ZG(g);u=d;return}}else p=a+52|0;ZG(p);j=YG(p,11)|0;k=466003;l=j+11|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));ZG(g);u=d;return}function xsb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;a=u;u=u+16|0;g=a;f[g>>2]=0;f[g+4>>2]=0;h=d+11|0;i=b[h>>0]|0;j=d+4|0;k=i<<24>>24<0?f[j>>2]|0:i&255;if(k|0){i=YG(g,k)|0;Krc(i|0,((b[h>>0]|0)<0?f[d>>2]|0:d)|0,k|0)|0}k=f[c+4>>2]|0;a:do if(k|0){i=f[g>>2]|0;l=(i|0)==0?1163146:i;m=k;while(1){n=f[m+16>>2]|0;if((i|0)==(n|0))break;o=(n|0)==0?1163146:n;if((o7b(l,o)|0)<0)p=m;else{if((o7b(o,l)|0)>=0)break;p=m+4|0}m=f[p>>2]|0;if(!m)break a}ZG(g);f[g>>2]=0;f[g+4>>2]=0;m=b[h>>0]|0;l=m<<24>>24<0?f[j>>2]|0:m&255;if(l|0){m=YG(g,l)|0;Krc(m|0,((b[h>>0]|0)<0?f[d>>2]|0:d)|0,l|0)|0}kDa(e,dDa(c,g)|0)|0;ZG(g);q=1;u=a;return q|0}while(0);ZG(g);q=0;u=a;return q|0}function ysb(a){a=a|0;f[a>>2]=137064;ZG(a+52|0);Nza(a);return}function zsb(a){a=a|0;f[a>>2]=137064;ZG(a+52|0);Nza(a);Emc(a);return}function Asb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;g=u;u=u+224|0;h=g+216|0;i=g+200|0;j=g+188|0;k=g+176|0;l=g+164|0;m=g+152|0;o=g+120|0;q=g+104|0;r=g;s=g+80|0;t=g+72|0;v=g+16|0;zT(h,137164);w=a+81|0;if((BD(c,-1)|0)==3)gAa(a,c,d,e);else{f[i>>2]=0;e=i+4|0;f[e>>2]=0;f[i+8>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;rD(c,i);rD(d,j);f[k>>2]=0;c=k+4|0;f[c>>2]=0;f[k+8>>2]=0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;x=f[i>>2]|0;y=f[f[x+40>>2]>>2]|0;z=(f[(f[x+152>>2]|0)+8>>2]|0)/4|0;f[m>>2]=z;A=f[x+16>>2]|0;B=f[x+72>>2]|0;C=f[x+128>>2]|0;f[o>>2]=0;x=o+4|0;f[x>>2]=0;f[o+8>>2]=0;D=a+44|0;E=a+40|0;Esb(A,y,z,f[D>>2]|0,(b[E>>0]|0)!=0,(b[a+80>>0]|0)!=0,o);Fsb(B,y,f[m>>2]|0,f[a+36>>2]|0,l);f[q>>2]=0;B=q+4|0;f[B>>2]=0;f[q+8>>2]=0;f[r>>2]=0;z=r+4|0;f[z>>2]=0;f[r+8>>2]=0;Gsb(C,m,(b[w>>0]|0)!=0,q,r);n[s+20>>2]=0.0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;b[s+16>>0]=0;C=b[a+82>>0]|0;A=b[w>>0]|0;do if(C<<24>>24){if(A<<24>>24){n[s+4>>2]=0.0;n[s>>2]=0.0;n[s+12>>2]=1.0;n[s+8>>2]=1.0;F=1;break}if((((f[e>>2]|0)-(f[i>>2]|0)|0)/56|0)>>>0<=3){f[t>>2]=0;f[t+4>>2]=0;G=YG(t,39)|0;H=466291;I=G+39|0;do{b[G>>0]=b[H>>0]|0;G=G+1|0;H=H+1|0}while((G|0)<(I|0));SQ(-215,t,475494,465894,462)}n[s+4>>2]=0.0;n[s>>2]=0.0;w=f[i>>2]|0;if((f[w+172>>2]|0)==4){J=f[w+208>>2]|0;n[s+8>>2]=+((f[J+12>>2]|0)+-1|0);n[s+12>>2]=+((f[J+8>>2]|0)+-1|0);F=0;break}else{f[t>>2]=0;f[t+4>>2]=0;G=YG(t,19)|0;H=466331;I=G+19|0;do{b[G>>0]=b[H>>0]|0;G=G+1|0;H=H+1|0}while((G|0)<(I|0));SQ(-215,t,475494,465894,469)}}else F=A;while(0);Hsb(o,q,r,y,(b[E>>0]|0)!=0,f[D>>2]|0,f[a+48>>2]|0,a+52|0,(b[a+60>>0]|0)!=0,C<<24>>24!=0,s,F<<24>>24!=0,k);F=f[r>>2]|0;if(F|0){s=f[z>>2]|0;if((s|0)==(F|0))K=F;else{C=s;while(1){s=C+-12|0;f[z>>2]=s;D=f[s>>2]|0;if(!D)L=s;else{s=C+-8|0;E=f[s>>2]|0;if((E|0)!=(D|0))f[s>>2]=E+(~((E+-4-D|0)>>>2)<<2);Emc(D);L=f[z>>2]|0}if((L|0)==(F|0))break;else C=L}K=f[r>>2]|0}Emc(K)}K=f[q>>2]|0;if(K|0){L=f[B>>2]|0;if((L|0)!=(K|0))f[B>>2]=L+(~(((L+-24-K|0)>>>0)/24|0)*24|0);Emc(K)}K=f[o>>2]|0;if(K|0){L=f[x>>2]|0;if((L|0)==(K|0))M=K;else{B=L;do{L=B+-12|0;f[x>>2]=L;Isb(L,f[B+-8>>2]|0);B=f[x>>2]|0}while((B|0)!=(K|0));M=f[o>>2]|0}Emc(M)}f[m>>2]=0;M=m+4|0;f[M>>2]=0;f[m+8>>2]=0;K=(y|0)>0;do if(K){B=0;x=0;do{x=(Jsb(a,(f[k>>2]|0)+(B*12|0)|0,(f[l>>2]|0)+(B*56|0)|0,m)|0)+x|0;B=B+1|0}while((B|0)<(y|0));if(x){f[o>>2]=1;f[o+4>>2]=1;f[o+8>>2]=x;f[o+12>>2]=7;iP(f[j>>2]|0,4,o,5);B=f[(f[j>>2]|0)+16>>2]|0;if(K){L=a+83|0;C=0;F=0;while(1){z=(Ksb(a,C,B+(F*7<<2)|0,(f[k>>2]|0)+(C*12|0)|0,(f[l>>2]|0)+(C*56|0)|0,(f[m>>2]|0)+(C*12|0)|0,(b[L>>0]|0)!=0)|0)+F|0;C=C+1|0;if((C|0)>=(y|0)){N=z;break}else F=z}}else N=0;if((N|0)==(x|0)){qE(d,j);break}else{f[q>>2]=0;f[q+4>>2]=0;G=YG(q,16)|0;H=466351;I=G+16|0;do{b[G>>0]=b[H>>0]|0;G=G+1|0;H=H+1|0}while((G|0)<(I|0));SQ(-215,q,475494,465894,505)}}else O=34}else O=34;while(0);if((O|0)==34){f[o>>2]=-2147483648;f[o+4>>2]=2147483647;f[o+8>>2]=-2147483648;f[o+12>>2]=2147483647;f[o+16>>2]=-2147483648;f[o+20>>2]=2147483647;f[o+24>>2]=2;f[o+28>>2]=3;nP(v,f[j>>2]|0,o);p[r>>3]=0.0;f[q>>2]=-1056833530;f[q+4>>2]=r;f[q+8>>2]=1;f[q+12>>2]=1;oT(v,q,rE()|0)|0;q=v+36|0;r=f[q>>2]|0;if(r|0?(o=r+12|0,r=f[o>>2]|0,f[o>>2]=r+-1,(r|0)==1):0)lP(v);f[q>>2]=0;q=v+16|0;r=v+4|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[r>>2]|0)>0){q=f[v+40>>2]|0;o=0;do{f[q+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[r>>2]|0))}r=f[v+44>>2]|0;if((r|0)!=(v+48|0))tE(r)}r=f[m>>2]|0;if(r|0){v=f[M>>2]|0;if((v|0)==(r|0))P=r;else{o=v;do{v=o+-12|0;f[M>>2]=v;bCa(v,f[o+-8>>2]|0);o=f[M>>2]|0}while((o|0)!=(r|0));P=f[m>>2]|0}Emc(P)}rt(l);l=f[k>>2]|0;if(l|0){P=f[c>>2]|0;if((P|0)==(l|0))Q=l;else{m=P;do{P=m+-12|0;f[c>>2]=P;Isb(P,f[m+-8>>2]|0);m=f[c>>2]|0}while((m|0)!=(l|0));Q=f[k>>2]|0}Emc(Q)}rt(j);rt(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function Bsb(a,c){a=a|0;c=c|0;var d=0;switch(c|0){case 3:{d=1;break}case 2:{if((b[a+80>>0]|0)==0?(b[a+81>>0]|0)!=0:0)d=(b[a+82>>0]|0)==0;else d=0;break}default:d=0}return d|0}function Csb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Dsb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;g=u;u=u+32|0;d=g+16|0;h=g;i=f[c>>2]|0;j=i;if((((f[c+4>>2]|0)-i|0)/12|0)>>>0<=2){f[d>>2]=0;f[d+4>>2]=0;k=YG(d,18)|0;l=466082;m=k+18|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-215,d,475265,465894,209)}i=f[j>>2]|0;if((f[i>>2]|0)!=(f[f[j+12>>2]>>2]|0)){f[d>>2]=0;f[d+4>>2]=0;k=YG(d,28)|0;l=466101;m=k+28|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-215,d,475265,465894,210)}c=f[j+24>>2]|0;n=(f[c+8>>2]|0)/4|0;o=Y(f[a+44>>2]<<2,n)|0;p=f[j+4>>2]|0;q=p-i|0;r=q>>2;if((i|0)!=(p|0)){if((q|0)<=0){f[d>>2]=0;f[d+4>>2]=0;k=YG(d,70)|0;l=475084;m=k+70|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-215,d,475155,475161,161)}if((q|0)>4){q=1;p=1;while(1){s=Y(f[i+(q<<2)>>2]|0,p)|0;q=q+1|0;if((q|0)>=(r|0)){t=s;break}else p=s}}else t=1}else t=0;if((o|0)!=(t|0)){f[d>>2]=0;f[d+4>>2]=0;k=YG(d,55)|0;l=466130;m=k+55|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-215,d,475265,465894,213)}t=Y(f[a+36>>2]|0,n)|0;n=f[j+16>>2]|0;o=f[j+12>>2]|0;j=n-o|0;p=j>>2;r=o;if((r|0)!=(n|0)){if((j|0)<=0){f[d>>2]=0;f[d+4>>2]=0;k=YG(d,70)|0;l=475084;m=k+70|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-215,d,475155,475161,161)}if((j|0)>4){j=1;n=1;while(1){o=Y(f[r+(j<<2)>>2]|0,n)|0;j=j+1|0;if((j|0)>=(p|0)){v=o;break}else n=o}}else v=1}else v=0;if((t|0)!=(v|0)){f[d>>2]=0;f[d+4>>2]=0;k=YG(d,51)|0;l=466186;m=k+51|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-215,d,475265,465894,214)}if((f[c+4>>2]|0)!=(2-(b[a+60>>0]|0)&255|0)){f[d>>2]=0;f[d+4>>2]=0;k=YG(d,52)|0;l=466238;m=k+52|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-215,d,475265,465894,215)}l=f[a+64>>2]|0;f[d>>2]=1;f[d+4>>2]=1;f[d+8>>2]=l;f[d+12>>2]=7;f[h>>2]=0;l=h+4|0;f[l>>2]=0;f[h+8>>2]=0;hAa(h,d,d+16|0);d=f[h>>2]|0;a=f[l>>2]|0;a:do if((d|0)==(a|0)){w=d;x=24}else{k=d;do{if((f[k>>2]|0)<0){w=k;x=24;break a}k=k+4|0}while((k|0)!=(a|0))}while(0);if((x|0)==24?(w|0)!=(a|0):0){x=w+4|0;if((x|0)==(a|0)){y=a;z=w}else{d=x;x=w;while(1){w=f[d>>2]|0;if((w|0)<0)A=x;else{f[x>>2]=w;A=x+4|0}d=d+4|0;if((d|0)==(a|0))break;else x=A}y=f[l>>2]|0;z=A}if((z|0)!=(y|0))f[l>>2]=y+(~((y+-4-z|0)>>>2)<<2)}z=e+4|0;y=f[z>>2]|0;A=f[e>>2]|0;x=y-A|0;a=(x|0)/12|0;d=A;A=y;if(x){if(a>>>0>1?(x=d+12|0,(A|0)!=(x|0)):0){d=A;while(1){A=d+-12|0;f[z>>2]=A;y=f[A>>2]|0;if(!y)B=A;else{A=d+-8|0;w=f[A>>2]|0;if((w|0)!=(y|0))f[A>>2]=w+(~((w+-4-y|0)>>>2)<<2);Emc(y);B=f[z>>2]|0}if((B|0)==(x|0))break;else d=B}}}else Wmb(e,1-a|0,h);a=f[h>>2]|0;if(!a){u=g;return 0}h=f[l>>2]|0;if((h|0)!=(a|0))f[l>>2]=h+(~((h+-4-a|0)>>>2)<<2);Emc(a);u=g;return 0}function Esb(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0;j=u;u=u+16|0;k=j;l=f[i>>2]|0;m=i+4|0;n=f[m>>2]|0;if((n|0)==(l|0))o=n;else{p=n;while(1){n=p+-12|0;f[m>>2]=n;Isb(n,f[p+-8>>2]|0);n=f[m>>2]|0;if((n|0)==(l|0)){o=n;break}else p=n}}if(!((e|0)==1|g^1)){f[k>>2]=0;f[k+4>>2]=0;p=YG(k,18)|0;l=466857;n=p+18|0;do{b[p>>0]=b[l>>0]|0;p=p+1|0;l=l+1|0}while((p|0)<(n|0));SQ(-215,k,466876,465894,852)}k=f[i>>2]|0;l=(o-k|0)/12|0;p=k;if(l>>>0>=c>>>0){if(l>>>0>c>>>0?(k=p+(c*12|0)|0,(o|0)!=(k|0)):0){p=o;do{o=p+-12|0;f[m>>2]=o;Isb(o,f[p+-8>>2]|0);p=f[m>>2]|0}while((p|0)!=(k|0))}}else ktb(i,c-l|0);if((c|0)<=0){u=j;return}l=(d|0)>0;k=Y(d<<2,e)|0;p=(e|0)>0;m=a;a=0;while(1){o=f[i>>2]|0;n=o+(a*12|0)|0;if(l){q=o+(a*12|0)+4|0;r=o+(a*12|0)+4|0;s=o+(a*12|0)+8|0;o=0;do{t=Y(o,e)|0;if(p){v=0;do{w=g?-1:v;x=f[q>>2]|0;do if(x){y=q;z=x;a:while(1){A=z;while(1){if((f[A+16>>2]|0)>=(w|0))break;B=f[A+4>>2]|0;if(!B){C=y;break a}else A=B}z=f[A>>2]|0;if(!z){C=A;break}else y=A}if((C|0)!=(q|0)?(w|0)>=(f[C+16>>2]|0):0)break;y=r;z=x;B=x;while(1){D=f[z+16>>2]|0;if((w|0)<(D|0)){E=f[z>>2]|0;if(!E){F=29;break}else{G=z;H=E}}else{if((D|0)>=(w|0)){F=33;break}I=z+4|0;D=f[I>>2]|0;if(!D){F=32;break}else{G=I;H=D}}y=G;z=H;B=H}if((F|0)==29){F=0;J=z;K=z;F=34;break}else if((F|0)==32){F=0;J=I;K=z;F=34;break}else if((F|0)==33){F=0;if(!B){J=y;K=z;F=34;break}else{L=B;F=37;break}}}else{J=q;K=q;F=34}while(0);if((F|0)==34){F=0;x=Bmc(32)|0;f[x+16>>2]=w;f[x+20>>2]=0;f[x+24>>2]=0;f[x+28>>2]=0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=K;f[J>>2]=x;D=f[f[n>>2]>>2]|0;if(!D)M=x;else{f[n>>2]=D;M=f[J>>2]|0}RS(f[r>>2]|0,M);f[s>>2]=(f[s>>2]|0)+1;L=x;F=37}do if((F|0)==37){F=0;x=L+20|0;D=L+24|0;E=f[D>>2]|0;N=f[x>>2]|0;O=(E-N|0)/24|0;P=E;if(O>>>0<d>>>0){mtb(x,d-O|0);break}if(O>>>0>d>>>0?(O=N+(d*24|0)|0,(P|0)!=(O|0)):0)f[D>>2]=P+(~(((P+-24-O|0)>>>0)/24|0)*24|0)}while(0);O=f[q>>2]|0;do if(O){P=r;D=O;N=O;while(1){x=f[D+16>>2]|0;if((w|0)<(x|0)){E=f[D>>2]|0;if(!E){F=46;break}else{Q=D;R=E}}else{if((x|0)>=(w|0)){F=50;break}S=D+4|0;x=f[S>>2]|0;if(!x){F=49;break}else{Q=S;R=x}}P=Q;D=R;N=R}if((F|0)==46){F=0;T=D;U=D;F=52;break}else if((F|0)==49){F=0;T=S;U=D;F=52;break}else if((F|0)==50){F=0;V=P;W=D;X=N;F=51;break}}else{V=q;W=q;X=O;F=51}while(0);if((F|0)==51){F=0;if(!X){T=V;U=W;F=52}else Z=X}if((F|0)==52){F=0;O=Bmc(32)|0;f[O+16>>2]=w;f[O+20>>2]=0;f[O+24>>2]=0;f[O+28>>2]=0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=U;f[T>>2]=O;B=f[f[n>>2]>>2]|0;if(!B)_=O;else{f[n>>2]=B;_=f[T>>2]|0}RS(f[r>>2]|0,_);f[s>>2]=(f[s>>2]|0)+1;Z=O}O=f[Z+20>>2]|0;B=O+(o*24|0)|0;z=v+t<<2;y=f[m+(z<<2)>>2]|0;x=z|1;E=z|2;if(h){f[O+(o*24|0)+4>>2]=y;f[B>>2]=f[m+(x<<2)>>2];f[O+(o*24|0)+12>>2]=f[m+(E<<2)>>2];$=O+(o*24|0)+8|0}else{f[B>>2]=y;f[O+(o*24|0)+4>>2]=f[m+(x<<2)>>2];f[O+(o*24|0)+8>>2]=f[m+(E<<2)>>2];$=O+(o*24|0)+12|0}f[$>>2]=f[m+((z|3)<<2)>>2];v=v+1|0}while((v|0)!=(e|0))}o=o+1|0}while((o|0)!=(d|0))}a=a+1|0;if((a|0)==(c|0))break;else m=m+(k<<2)|0}u=j;return}function Fsb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;g=u;u=u+64|0;h=g+56|0;i=g;f[h>>2]=d;f[h+4>>2]=c;j=(b|0)>0;if(!j){u=g;return}k=i+4|0;l=i+8|0;m=i+40|0;n=i+48|0;o=i+44|0;p=i+52|0;q=e+4|0;r=e+8|0;s=i+36|0;t=i+16|0;v=i+12|0;w=i+20|0;x=i+24|0;y=i+28|0;z=i+32|0;A=0;do{f[i>>2]=1124007936;B=k;C=B+36|0;do{f[B>>2]=0;B=B+4|0}while((B|0)<(C|0));f[m>>2]=l;f[o>>2]=n;f[n>>2]=0;f[p>>2]=0;iP(i,2,h,5);B=f[q>>2]|0;if((B|0)==(f[r>>2]|0))g2(e,i);else{f[B>>2]=f[i>>2];C=B+4|0;f[C>>2]=f[k>>2];D=B+8|0;f[D>>2]=f[l>>2];f[B+12>>2]=f[v>>2];f[B+16>>2]=f[t>>2];f[B+20>>2]=f[w>>2];f[B+24>>2]=f[x>>2];f[B+28>>2]=f[y>>2];f[B+32>>2]=f[z>>2];E=f[s>>2]|0;f[B+36>>2]=E;f[B+40>>2]=D;D=B+48|0;F=B+44|0;f[F>>2]=D;f[D>>2]=0;f[B+52>>2]=0;if(E|0){D=E+12|0;f[D>>2]=(f[D>>2]|0)+1}if((f[k>>2]|0)<3){D=f[o>>2]|0;E=f[F>>2]|0;f[E>>2]=f[D>>2];f[E+4>>2]=f[D+4>>2]}else{f[C>>2]=0;kP(B,i)}f[q>>2]=(f[q>>2]|0)+56}B=f[s>>2]|0;if(B|0?(C=B+12|0,B=f[C>>2]|0,f[C>>2]=B+-1,(B|0)==1):0)lP(i);f[s>>2]=0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[k>>2]|0)>0){B=f[m>>2]|0;C=0;do{f[B+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[k>>2]|0))}C=f[o>>2]|0;if((C|0)!=(n|0))tE(C);A=A+1|0}while((A|0)<(b|0));if(!j){u=g;return}j=i+4|0;A=i+8|0;n=i+12|0;o=i+16|0;k=i+20|0;m=i+24|0;t=i+28|0;s=i+32|0;q=i+36|0;z=i+40|0;y=i+48|0;x=i+44|0;w=i+52|0;v=(d|0)>0;l=(c|0)>0;r=Y(d,c)|0;h=0;p=a;while(1){a=f[e>>2]|0;C=a+(h*56|0)|0;f[i>>2]=f[C>>2];B=a+(h*56|0)+4|0;f[j>>2]=f[B>>2];f[A>>2]=f[a+(h*56|0)+8>>2];f[n>>2]=f[a+(h*56|0)+12>>2];f[o>>2]=f[a+(h*56|0)+16>>2];f[k>>2]=f[a+(h*56|0)+20>>2];f[m>>2]=f[a+(h*56|0)+24>>2];f[t>>2]=f[a+(h*56|0)+28>>2];f[s>>2]=f[a+(h*56|0)+32>>2];D=f[a+(h*56|0)+36>>2]|0;f[q>>2]=D;f[z>>2]=A;f[x>>2]=y;f[y>>2]=0;f[w>>2]=0;if(D|0){E=D+12|0;f[E>>2]=(f[E>>2]|0)+1}if((f[B>>2]|0)<3){B=f[a+(h*56|0)+44>>2]|0;a=f[x>>2]|0;f[a>>2]=f[B>>2];f[a+4>>2]=f[B+4>>2]}else{f[j>>2]=0;kP(i,C)}if(v?(C=f[o>>2]|0,l):0){B=f[f[x>>2]>>2]|0;a=0;do{E=C+(Y(B,a)|0)|0;D=0;do{F=p+((Y(D,d)|0)+a<<2)|0;f[E+(D<<2)>>2]=f[F>>2];D=D+1|0}while((D|0)!=(c|0));a=a+1|0}while((a|0)!=(d|0))}a=f[q>>2]|0;if(a|0?(B=a+12|0,a=f[B>>2]|0,f[B>>2]=a+-1,(a|0)==1):0)lP(i);f[q>>2]=0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[j>>2]|0)>0){a=f[z>>2]|0;B=0;do{f[a+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[j>>2]|0))}B=f[x>>2]|0;if((B|0)!=(y|0))tE(B);h=h+1|0;if((h|0)==(b|0))break;else p=p+(r<<2)|0}u=g;return}function Gsb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;h=f[e>>2]|0;i=e+4|0;j=f[i>>2]|0;k=h;if((j|0)==(h|0))l=j;else{m=j+(~(((j+-24-k|0)>>>0)/24|0)*24|0)|0;f[i>>2]=m;l=m}m=f[c>>2]|0;j=(l-k|0)/24|0;if(m>>>0<=j>>>0){if(m>>>0<j>>>0?(k=h+(m*24|0)|0,(l|0)!=(k|0)):0)f[i>>2]=l+(~(((l+-24-k|0)>>>0)/24|0)*24|0)}else mtb(e,m-j|0);j=f[g>>2]|0;m=g+4|0;k=f[m>>2]|0;if((k|0)==(j|0)){o=k;p=j}else{l=k;while(1){k=l+-12|0;f[m>>2]=k;i=f[k>>2]|0;if(!i)q=k;else{k=l+-8|0;h=f[k>>2]|0;if((h|0)!=(i|0))f[k>>2]=h+(~((h+-4-i|0)>>>2)<<2);Emc(i);q=f[m>>2]|0}if((q|0)==(j|0))break;else l=q}o=q;p=f[g>>2]|0}q=f[c>>2]|0;l=(o-p|0)/12|0;j=p;if(q>>>0<=l>>>0){if(q>>>0<l>>>0?(p=j+(q*12|0)|0,(o|0)!=(p|0)):0){j=o;while(1){o=j+-12|0;f[m>>2]=o;i=f[o>>2]|0;if(!i)r=o;else{o=j+-8|0;h=f[o>>2]|0;if((h|0)!=(i|0))f[o>>2]=h+(~((h+-4-i|0)>>>2)<<2);Emc(i);r=f[m>>2]|0}if((r|0)==(p|0))break;else j=r}}}else stb(g,q-l|0);l=f[c>>2]|0;q=(l|0)>0;if(!q)return;r=f[e>>2]|0;if(d){d=0;do{e=d<<2;j=f[a+(e<<2)>>2]|0;f[r+(d*24|0)>>2]=j;p=f[a+((e|1)<<2)>>2]|0;f[r+(d*24|0)+4>>2]=p;m=f[a+((e|2)<<2)>>2]|0;f[r+(d*24|0)+8>>2]=m;i=f[a+((e|3)<<2)>>2]|0;f[r+(d*24|0)+12>>2]=i;t=(f[s>>2]=m,+n[s>>2]);u=(f[s>>2]=j,+n[s>>2]);v=(f[s>>2]=i,+n[s>>2]);w=(f[s>>2]=p,+n[s>>2]);do if(!(t<u|v<w))if(!(b[r+(d*24|0)+16>>0]|0)){x=(t-u)*(v-w);break}else{x=+n[r+(d*24|0)+20>>2];break}else x=0.0;while(0);n[r+(d*24|0)+20>>2]=x;b[r+(d*24|0)+16>>0]=1;d=d+1|0}while((d|0)<(l|0))}else{d=0;do{p=d<<2;i=f[a+(p<<2)>>2]|0;f[r+(d*24|0)>>2]=i;j=f[a+((p|1)<<2)>>2]|0;f[r+(d*24|0)+4>>2]=j;m=f[a+((p|2)<<2)>>2]|0;f[r+(d*24|0)+8>>2]=m;e=f[a+((p|3)<<2)>>2]|0;f[r+(d*24|0)+12>>2]=e;x=(f[s>>2]=m,+n[s>>2]);w=(f[s>>2]=i,+n[s>>2]);v=(f[s>>2]=e,+n[s>>2]);u=(f[s>>2]=j,+n[s>>2]);do if(!(x<w|v<u))if(!(b[r+(d*24|0)+16>>0]|0)){y=(x-w+1.0)*(v-u+1.0);break}else{y=+n[r+(d*24|0)+20>>2];break}else y=0.0;while(0);n[r+(d*24|0)+20>>2]=y;b[r+(d*24|0)+16>>0]=1;d=d+1|0}while((d|0)<(l|0))}if(q){z=0;A=l}else return;do{l=A+z<<2;q=f[g>>2]|0;d=a+(l<<2)|0;r=q+(z*12|0)+4|0;j=f[r>>2]|0;e=f[q+(z*12|0)+8>>2]|0;if((j|0)==(e|0)){tua(q+(z*12|0)|0,d);i=f[g>>2]|0;B=f[i+(z*12|0)+4>>2]|0;C=f[i+(z*12|0)+8>>2]|0;D=i}else{f[j>>2]=f[d>>2];d=j+4|0;f[r>>2]=d;B=d;C=e;D=q}q=a+((l|1)<<2)|0;if((B|0)==(C|0)){tua(D+(z*12|0)|0,q);e=f[g>>2]|0;E=f[e+(z*12|0)+4>>2]|0;F=f[e+(z*12|0)+8>>2]|0;G=e}else{f[B>>2]=f[q>>2];q=B+4|0;f[D+(z*12|0)+4>>2]=q;E=q;F=C;G=D}q=a+((l|2)<<2)|0;if((E|0)==(F|0)){tua(G+(z*12|0)|0,q);e=f[g>>2]|0;H=f[e+(z*12|0)+4>>2]|0;I=f[e+(z*12|0)+8>>2]|0;J=e}else{f[E>>2]=f[q>>2];q=E+4|0;f[G+(z*12|0)+4>>2]=q;H=q;I=F;J=G}q=a+((l|3)<<2)|0;if((H|0)==(I|0))tua(J+(z*12|0)|0,q);else{f[H>>2]=f[q>>2];f[J+(z*12|0)+4>>2]=H+4}z=z+1|0;A=f[c>>2]|0}while((z|0)<(A|0));return}function Hsb(a,c,d,e,g,h,i,j,k,l,m,n,o){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;var p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0;p=u;u=u+16|0;q=p;r=p+8|0;if((((f[a+4>>2]|0)-(f[a>>2]|0)|0)/12|0|0)!=(e|0)){f[r>>2]=0;f[r+4>>2]=0;s=YG(r,27)|0;t=466609;v=s+27|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));SQ(-215,r,466637,465894,777)}t=f[o>>2]|0;s=o+4|0;v=f[s>>2]|0;if((v|0)==(t|0)){w=v;x=t}else{y=v;do{v=y+-12|0;f[s>>2]=v;Isb(v,f[y+-8>>2]|0);y=f[s>>2]|0}while((y|0)!=(t|0));w=y;x=f[o>>2]|0}y=(w-x|0)/12|0;t=x;if(y>>>0>=e>>>0){if(y>>>0>e>>>0?(x=t+(e*12|0)|0,(w|0)!=(x|0)):0){t=w;do{w=t+-12|0;f[s>>2]=w;Isb(w,f[t+-8>>2]|0);t=f[s>>2]|0}while((t|0)!=(x|0))}}else ktb(o,e-y|0);if((e|0)<=0){u=p;return}y=(h|0)>0;x=(i|0)==-1;t=0;a:while(1){s=f[o>>2]|0;w=s+(t*12|0)|0;if(y){v=(f[a>>2]|0)+(t*12|0)+4|0;z=s+(t*12|0)+4|0;A=s+(t*12|0)+4|0;B=s+(t*12|0)+8|0;if(g){s=0;do{if(!x){C=f[v>>2]|0;if(!C){D=-1;E=49;break a}else{F=v;G=C}b:while(1){C=G;while(1){if((f[C+16>>2]|0)>=-1)break;H=f[C+4>>2]|0;if(!H){I=F;break b}else C=H}G=f[C>>2]|0;if(!G){I=C;break}else F=C}if((I|0)==(v|0)){D=-1;E=49;break a}if((f[I+16>>2]|0)>-1){D=-1;E=49;break a}H=I+20|0;J=f[z>>2]|0;do if(J){K=A;L=J;M=J;while(1){N=f[L+16>>2]|0;if((N|0)>-1){O=f[L>>2]|0;if(!O){E=33;break}else{P=L;Q=O}}else{if((N|0)==-1){E=28;break}R=L+4|0;N=f[R>>2]|0;if(!N){E=30;break}else{P=R;Q=N}}K=P;L=Q;M=Q}if((E|0)==28){E=0;S=K;T=L;U=M;E=34;break}else if((E|0)==30){E=0;V=R;W=L;E=35;break}else if((E|0)==33){E=0;V=L;W=L;E=35;break}}else{S=z;T=z;U=J;E=34}while(0);if((E|0)==34){E=0;if(!U){V=S;W=T;E=35}else X=U}if((E|0)==35){E=0;J=Bmc(32)|0;f[J+16>>2]=-1;f[J+20>>2]=0;f[J+24>>2]=0;f[J+28>>2]=0;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=W;f[V>>2]=J;C=f[f[w>>2]>>2]|0;if(!C)Y=J;else{f[w>>2]=C;Y=f[V>>2]|0}RS(f[A>>2]|0,Y);f[B>>2]=(f[B>>2]|0)+1;X=J}ltb(c,d,j,k,l,m,n,H,X+20|0)}s=s+1|0}while((s|0)<(h|0))}else{s=0;do{if((s|0)!=(i|0)){J=f[v>>2]|0;if(!J){D=s;E=49;break a}else{Z=v;_=J}c:while(1){J=_;while(1){if((f[J+16>>2]|0)>=(s|0))break;C=f[J+4>>2]|0;if(!C){$=Z;break c}else J=C}_=f[J>>2]|0;if(!_){$=J;break}else Z=J}if(($|0)==(v|0)){D=s;E=49;break a}if((s|0)<(f[$+16>>2]|0)){D=s;E=49;break a}H=$+20|0;L=f[z>>2]|0;do if(L){M=A;K=L;C=L;while(1){N=f[K+16>>2]|0;if((s|0)<(N|0)){O=f[K>>2]|0;if(!O){E=54;break}else{aa=K;ba=O}}else{if((N|0)>=(s|0)){E=58;break}ca=K+4|0;N=f[ca>>2]|0;if(!N){E=57;break}else{aa=ca;ba=N}}M=aa;K=ba;C=ba}if((E|0)==54){E=0;da=K;ea=K;E=60;break}else if((E|0)==57){E=0;da=ca;ea=K;E=60;break}else if((E|0)==58){E=0;fa=M;ga=K;ha=C;E=59;break}}else{fa=z;ga=z;ha=L;E=59}while(0);if((E|0)==59){E=0;if(!ha){da=fa;ea=ga;E=60}else ia=ha}if((E|0)==60){E=0;L=Bmc(32)|0;f[L+16>>2]=s;f[L+20>>2]=0;f[L+24>>2]=0;f[L+28>>2]=0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=ea;f[da>>2]=L;J=f[f[w>>2]>>2]|0;if(!J)ja=L;else{f[w>>2]=J;ja=f[da>>2]|0}RS(f[A>>2]|0,ja);f[B>>2]=(f[B>>2]|0)+1;ia=L}ltb(c,d,j,k,l,m,n,H,ia+20|0)}s=s+1|0}while((s|0)<(h|0))}}t=t+1|0;if((t|0)>=(e|0)){E=14;break}}if((E|0)==14){u=p;return}else if((E|0)==49){f[q>>2]=D;aR(r,466437,q);SQ(-2,r,466637,465894,792)}}function Isb(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b)return;Isb(a,f[b>>2]|0);Isb(a,f[b+4>>2]|0);a=f[b+20>>2]|0;if(a|0){c=b+24|0;d=f[c>>2]|0;if((d|0)!=(a|0))f[c>>2]=d+(~(((d+-24-a|0)>>>0)/24|0)*24|0);Emc(a)}Emc(b);return}function Jsb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0.0,la=0.0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0;g=u;u=u+208|0;h=g+192|0;i=g+16|0;j=g+8|0;k=g;l=g+184|0;m=g+172|0;o=g+168|0;p=g+44|0;q=g+112|0;r=g+32|0;s=g+56|0;t=g+20|0;v=p+4|0;f[v>>2]=0;w=p+8|0;f[w>>2]=0;x=p+4|0;f[p>>2]=x;y=a+36|0;z=f[y>>2]|0;do if((z|0)>0){A=a+48|0;B=d+8|0;C=h+4|0;D=l+4|0;E=m+4|0;F=m+8|0;G=h+8|0;H=h+4|0;I=q+36|0;J=q+16|0;K=q+4|0;L=q+40|0;M=q+44|0;N=q+48|0;O=a+40|0;P=c+4|0;Q=a+81|0;R=a+68|0;S=a+72|0;T=a+76|0;U=h+4|0;V=h+8|0;W=h+4|0;X=h+8|0;Y=0;Z=z;_=0;while(1){if((_|0)==(f[A>>2]|0)){$=Y;aa=_+1|0;ba=Z}else{if((_|0)>=(f[B>>2]|0)){ca=7;break}da=_+1|0;f[h>>2]=_;f[C>>2]=da;f[l>>2]=-2147483648;f[D>>2]=2147483647;mP(q,d,h,l);f[m>>2]=0;f[E>>2]=0;f[F>>2]=0;ea=G;f[ea>>2]=0;f[ea+4>>2]=0;f[h>>2]=-2113732603;f[H>>2]=m;kT(q,h);ea=f[I>>2]|0;if(ea|0?(fa=ea+12|0,ea=f[fa>>2]|0,f[fa>>2]=ea+-1,(ea|0)==1):0)lP(q);f[I>>2]=0;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;f[J+12>>2]=0;if((f[K>>2]|0)>0){ea=f[L>>2]|0;fa=0;do{f[ea+(fa<<2)>>2]=0;fa=fa+1|0}while((fa|0)<(f[K>>2]|0))}fa=f[M>>2]|0;if((fa|0)!=(N|0))tE(fa);ga=b[O>>0]|0?-1:_;fa=f[P>>2]|0;if(!fa){ca=23;break}else{ha=P;ia=fa}a:while(1){fa=ia;while(1){if((f[fa+16>>2]|0)>=(ga|0))break;ea=f[fa+4>>2]|0;if(!ea){ja=ha;break a}else fa=ea}ia=f[fa>>2]|0;if(!ia){ja=fa;break}else ha=fa}if((ja|0)==(P|0)){ca=23;break}if((ga|0)<(f[ja+16>>2]|0)){ca=23;break}ea=ja+20|0;ka=+n[R>>2];la=+n[S>>2];ma=f[T>>2]|0;na=f[x>>2]|0;oa=(na|0)==0;if(!(b[Q>>0]|0)){do if(!oa){pa=v;qa=na;ra=na;while(1){sa=f[qa+16>>2]|0;if((_|0)<(sa|0)){ta=f[qa>>2]|0;if(!ta){ca=62;break}else{ua=qa;va=ta}}else{if((sa|0)>=(_|0)){ca=66;break}wa=qa+4|0;sa=f[wa>>2]|0;if(!sa){ca=65;break}else{ua=wa;va=sa}}pa=ua;qa=va;ra=va}if((ca|0)==62){ca=0;xa=qa;ya=qa;ca=68;break}else if((ca|0)==65){ca=0;xa=wa;ya=qa;ca=68;break}else if((ca|0)==66){ca=0;za=pa;Aa=qa;Ba=ra;ca=67;break}}else{za=x;Aa=x;Ba=na;ca=67}while(0);if((ca|0)==67){ca=0;if(!Ba){xa=za;ya=Aa;ca=68}else Ca=Ba}if((ca|0)==68){ca=0;fa=Bmc(32)|0;f[fa+16>>2]=_;f[fa+20>>2]=0;f[fa+24>>2]=0;f[fa+28>>2]=0;f[fa>>2]=0;f[fa+4>>2]=0;f[fa+8>>2]=ya;f[xa>>2]=fa;sa=f[f[p>>2]>>2]|0;if(!sa)Da=fa;else{f[p>>2]=sa;Da=f[xa>>2]|0}RS(f[v>>2]|0,Da);f[w>>2]=(f[w>>2]|0)+1;Ca=fa}fa=Ca+20|0;if((((f[ja+24>>2]|0)-(f[ea>>2]|0)|0)/24|0|0)!=((f[E>>2]|0)-(f[m>>2]|0)>>2|0)){ca=72;break}f[h>>2]=0;f[U>>2]=0;f[V>>2]=0;Ssb(m,ka,ma,h);sa=f[fa>>2]|0;ta=Ca+24|0;Ea=f[ta>>2]|0;Fa=sa;Ga=Ea+(~((Ea+-4-Fa|0)>>>2)<<2)|0;if((Ea|0)==(sa|0))Ha=sa;else{f[ta>>2]=Ga;Ha=Ga}Ga=f[U>>2]|0;Ea=f[h>>2]|0;Ia=Ea;b:do if((Ga|0)==(Ea|0)){Ja=Ga;Ka=Ia}else{La=Ca+28|0;Ma=0;Na=Ia;Oa=Fa;Pa=Ha;Qa=Ha;Ra=sa;while(1){Sa=f[Na+(Ma<<3)+4>>2]|0;f[l>>2]=Sa;if((Pa-Oa|0)>0){Ta=0;Ua=Ra;Va=Sa;while(1){Sa=f[ea>>2]|0;Wa=+Usb(Sa+(Va*24|0)|0,Sa+((f[Ua+(Ta<<2)>>2]|0)*24|0)|0)<=la;Sa=Ta+1|0;Xa=f[ta>>2]|0;Ya=f[fa>>2]|0;if(!(Wa&(Sa|0)<(Xa-Ya>>2|0)))break;Ta=Sa;Ua=Ya;Va=f[l>>2]|0}if(Wa){Za=Xa;ca=85}}else{Za=Qa;ca=85}do if((ca|0)==85){ca=0;if((Za|0)==(f[La>>2]|0)){MR(fa,l);break}else{f[Za>>2]=f[l>>2];f[ta>>2]=Za+4;break}}while(0);Va=Ma+1|0;Ua=f[U>>2]|0;Ta=f[h>>2]|0;Ya=Ta;if(Va>>>0>=Ua-Ta>>3>>>0){Ja=Ua;Ka=Ya;break b}Ua=f[ta>>2]|0;Ta=f[fa>>2]|0;Ma=Va;Na=Ya;Oa=Ta;Pa=Ua;Qa=Ua;Ra=Ta}}while(0);fa=Ja;if(Ka|0){if((fa|0)!=(Ka|0))f[U>>2]=fa+(~((fa+-8-Ka|0)>>>3)<<3);Emc(Ka)}}else{do if(!oa){fa=v;ta=na;sa=na;while(1){Fa=f[ta+16>>2]|0;if((_|0)<(Fa|0)){Ia=f[ta>>2]|0;if(!Ia){ca=29;break}else{_a=ta;$a=Ia}}else{if((Fa|0)>=(_|0)){ca=33;break}ab=ta+4|0;Fa=f[ab>>2]|0;if(!Fa){ca=32;break}else{_a=ab;$a=Fa}}fa=_a;ta=$a;sa=$a}if((ca|0)==29){ca=0;bb=ta;cb=ta;ca=35;break}else if((ca|0)==32){ca=0;bb=ab;cb=ta;ca=35;break}else if((ca|0)==33){ca=0;db=fa;eb=ta;fb=sa;ca=34;break}}else{db=x;eb=x;fb=na;ca=34}while(0);if((ca|0)==34){ca=0;if(!fb){bb=db;cb=eb;ca=35}else gb=fb}if((ca|0)==35){ca=0;na=Bmc(32)|0;f[na+16>>2]=_;f[na+20>>2]=0;f[na+24>>2]=0;f[na+28>>2]=0;f[na>>2]=0;f[na+4>>2]=0;f[na+8>>2]=cb;f[bb>>2]=na;oa=f[f[p>>2]>>2]|0;if(!oa)hb=na;else{f[p>>2]=oa;hb=f[bb>>2]|0}RS(f[v>>2]|0,hb);f[w>>2]=(f[w>>2]|0)+1;gb=na}na=gb+20|0;if((((f[ja+24>>2]|0)-(f[ea>>2]|0)|0)/24|0|0)!=((f[E>>2]|0)-(f[m>>2]|0)>>2|0)){ca=39;break}f[h>>2]=0;f[W>>2]=0;f[X>>2]=0;Ssb(m,ka,ma,h);oa=f[na>>2]|0;Fa=gb+24|0;Ia=f[Fa>>2]|0;Ga=oa;Ea=Ia+(~((Ia+-4-Ga|0)>>>2)<<2)|0;if((Ia|0)==(oa|0))ib=oa;else{f[Fa>>2]=Ea;ib=Ea}Ea=f[W>>2]|0;Ia=f[h>>2]|0;Ra=Ia;c:do if((Ea|0)==(Ia|0)){jb=Ea;kb=Ra}else{Qa=gb+28|0;Pa=0;Oa=Ra;Na=Ga;Ma=ib;La=ib;ra=oa;while(1){qa=f[Oa+(Pa<<3)+4>>2]|0;f[l>>2]=qa;if((Ma-Na|0)>0){pa=0;Ta=ra;Ua=qa;while(1){qa=f[ea>>2]|0;lb=+Tsb(qa+(Ua*24|0)|0,qa+((f[Ta+(pa<<2)>>2]|0)*24|0)|0)<=la;qa=pa+1|0;mb=f[Fa>>2]|0;Ya=f[na>>2]|0;if(!(lb&(qa|0)<(mb-Ya>>2|0)))break;pa=qa;Ta=Ya;Ua=f[l>>2]|0}if(lb){nb=mb;ca=52}}else{nb=La;ca=52}do if((ca|0)==52){ca=0;if((nb|0)==(f[Qa>>2]|0)){MR(na,l);break}else{f[nb>>2]=f[l>>2];f[Fa>>2]=nb+4;break}}while(0);Ua=Pa+1|0;Ta=f[W>>2]|0;pa=f[h>>2]|0;Ya=pa;if(Ua>>>0>=Ta-pa>>3>>>0){jb=Ta;kb=Ya;break c}Ta=f[Fa>>2]|0;pa=f[na>>2]|0;Pa=Ua;Oa=Ya;Na=pa;Ma=Ta;La=Ta;ra=pa}}while(0);na=jb;if(kb|0){if((na|0)!=(kb|0))f[W>>2]=na+(~((na+-8-kb|0)>>>3)<<3);Emc(kb)}}na=f[x>>2]|0;do if(na){Fa=v;ea=na;oa=na;while(1){Ga=f[ea+16>>2]|0;if((_|0)<(Ga|0)){Ra=f[ea>>2]|0;if(!Ra){ca=95;break}else{ob=ea;pb=Ra}}else{if((Ga|0)>=(_|0)){ca=99;break}qb=ea+4|0;Ga=f[qb>>2]|0;if(!Ga){ca=98;break}else{ob=qb;pb=Ga}}Fa=ob;ea=pb;oa=pb}if((ca|0)==95){ca=0;rb=ea;sb=ea;ca=101;break}else if((ca|0)==98){ca=0;rb=qb;sb=ea;ca=101;break}else if((ca|0)==99){ca=0;tb=Fa;ub=ea;vb=oa;ca=100;break}}else{tb=x;ub=x;vb=na;ca=100}while(0);if((ca|0)==100){ca=0;if(!vb){rb=tb;sb=ub;ca=101}else wb=vb}if((ca|0)==101){ca=0;na=Bmc(32)|0;f[na+16>>2]=_;f[na+20>>2]=0;f[na+24>>2]=0;f[na+28>>2]=0;f[na>>2]=0;f[na+4>>2]=0;f[na+8>>2]=sb;f[rb>>2]=na;Ga=f[f[p>>2]>>2]|0;if(!Ga)xb=na;else{f[p>>2]=Ga;xb=f[rb>>2]|0}RS(f[v>>2]|0,xb);f[w>>2]=(f[w>>2]|0)+1;wb=na}na=(f[wb+24>>2]|0)-(f[wb+20>>2]|0)>>2;Ga=f[m>>2]|0;if(Ga|0){Ra=f[E>>2]|0;if((Ra|0)!=(Ga|0))f[E>>2]=Ra+(~((Ra+-4-Ga|0)>>>2)<<2);Emc(Ga)}$=na+Y|0;aa=da;ba=f[y>>2]|0}if((aa|0)<(ba|0)){Y=$;Z=ba;_=aa}else{ca=3;break}}if((ca|0)==3){Z=a+64|0;Y=f[Z>>2]|0;if(!((Y|0)>-1&$>>>0>Y>>>0)){yb=$;break}f[r>>2]=0;Y=r+4|0;f[Y>>2]=0;f[r+8>>2]=0;E=f[p>>2]|0;do if((E|0)!=(x|0)){W=d+8|0;X=h+4|0;U=l+4|0;V=m+4|0;Q=m+8|0;T=h+8|0;S=h+4|0;R=s+36|0;P=s+16|0;O=s+4|0;N=s+40|0;M=s+44|0;K=s+48|0;L=h+4|0;J=h+8|0;I=r+8|0;H=E;d:while(1){zb=f[H+16>>2]|0;G=H+20|0;if((zb|0)>=(f[W>>2]|0)){ca=115;break}f[h>>2]=zb;f[X>>2]=zb+1;f[l>>2]=-2147483648;f[U>>2]=2147483647;mP(s,d,h,l);f[m>>2]=0;f[V>>2]=0;f[Q>>2]=0;F=T;f[F>>2]=0;f[F+4>>2]=0;f[h>>2]=-2113732603;f[S>>2]=m;kT(s,h);F=f[R>>2]|0;if(F|0?(D=F+12|0,F=f[D>>2]|0,f[D>>2]=F+-1,(F|0)==1):0)lP(s);f[R>>2]=0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;if((f[O>>2]|0)>0){F=f[N>>2]|0;D=0;do{f[F+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[O>>2]|0))}D=f[M>>2]|0;if((D|0)!=(K|0))tE(D);D=H+24|0;F=f[G>>2]|0;if((f[D>>2]|0)!=(F|0)){oa=0;ea=F;do{F=f[ea+(oa<<2)>>2]|0;Fa=f[m>>2]|0;if(F>>>0>=(f[V>>2]|0)-Fa>>2>>>0){ca=130;break d}f[h>>2]=f[Fa+(F<<2)>>2];f[L>>2]=zb;f[J>>2]=F;F=f[Y>>2]|0;if((F|0)==(f[I>>2]|0))Xsb(r,h);else{f[F>>2]=f[h>>2];f[F+4>>2]=f[h+4>>2];f[F+8>>2]=f[h+8>>2];f[Y>>2]=(f[Y>>2]|0)+12}oa=oa+1|0;ea=f[G>>2]|0}while(oa>>>0<(f[D>>2]|0)-ea>>2>>>0)}ea=f[m>>2]|0;if(ea|0){D=f[V>>2]|0;if((D|0)!=(ea|0))f[V>>2]=D+(~((D+-4-ea|0)>>>2)<<2);Emc(ea)}ea=f[H+4>>2]|0;if(!ea){D=H+8|0;oa=f[D>>2]|0;if((f[oa>>2]|0)==(H|0))Ab=oa;else{oa=D;do{D=f[oa>>2]|0;oa=D+8|0;G=f[oa>>2]|0}while((f[G>>2]|0)!=(D|0));Ab=G}}else{oa=ea;while(1){G=f[oa>>2]|0;if(!G)break;else oa=G}Ab=oa}if((Ab|0)==(x|0)){ca=112;break}else H=Ab}if((ca|0)==112){Bb=f[r>>2]|0;Cb=f[Y>>2]|0;break}else if((ca|0)==115){f[i>>2]=zb;aR(h,466437,i);SQ(-2,h,466486,465894,610)}else if((ca|0)==130){f[h>>2]=0;f[h+4>>2]=0;Db=YG(h,19)|0;Eb=466589;Fb=Db+19|0;do{b[Db>>0]=b[Eb>>0]|0;Db=Db+1|0;Eb=Eb+1|0}while((Db|0)<(Fb|0));SQ(-215,h,466486,465894,615)}}else{Bb=0;Cb=0}while(0);f[h>>2]=506;Wsb(Bb,Cb,h);E=f[Z>>2]|0;H=f[Y>>2]|0;V=f[r>>2]|0;I=(H-V|0)/12|0;J=V;L=H;if(E>>>0<=I>>>0)if(E>>>0<I>>>0?(K=J+(E*12|0)|0,(L|0)!=(K|0)):0){M=L+(~(((L+-12-K|0)>>>0)/12|0)*12|0)|0;f[Y>>2]=M;Gb=M;Hb=V;Ib=J}else{Gb=H;Hb=V;Ib=J}else{Ysb(r,E-I|0);I=f[r>>2]|0;Gb=f[Y>>2]|0;Hb=I;Ib=I}I=t+4|0;f[I>>2]=0;E=t+8|0;f[E>>2]=0;J=t+4|0;f[t>>2]=J;e:do if((Gb|0)!=(Hb|0)){V=0;H=Ib;M=0;K=0;while(1){L=f[H+(V*12|0)+4>>2]|0;f[h>>2]=f[H+(V*12|0)+8>>2];do if(M){O=I;N=M;P=K;while(1){R=f[N+16>>2]|0;if((L|0)<(R|0)){S=f[N>>2]|0;if(!S){ca=166;break}else{Jb=N;Kb=S}}else{if((R|0)>=(L|0)){ca=170;break}Lb=N+4|0;R=f[Lb>>2]|0;if(!R){ca=169;break}else{Jb=Lb;Kb=R}}O=Jb;N=Kb;P=Kb}if((ca|0)==166){ca=0;Mb=N;Nb=N;ca=172;break}else if((ca|0)==169){ca=0;Mb=Lb;Nb=N;ca=172;break}else if((ca|0)==170){ca=0;Ob=O;Pb=N;Qb=P;ca=171;break}}else{Ob=J;Pb=J;Qb=K;ca=171}while(0);if((ca|0)==171){ca=0;if(!Qb){Mb=Ob;Nb=Pb;ca=172}else Rb=Qb}if((ca|0)==172){ca=0;oa=Bmc(32)|0;f[oa+16>>2]=L;f[oa+20>>2]=0;f[oa+24>>2]=0;f[oa+28>>2]=0;f[oa>>2]=0;f[oa+4>>2]=0;f[oa+8>>2]=Nb;f[Mb>>2]=oa;R=f[f[t>>2]>>2]|0;if(!R)Sb=oa;else{f[t>>2]=R;Sb=f[Mb>>2]|0}RS(f[I>>2]|0,Sb);f[E>>2]=(f[E>>2]|0)+1;Rb=oa}oa=Rb+24|0;R=f[oa>>2]|0;if((R|0)==(f[Rb+28>>2]|0))MR(Rb+20|0,h);else{f[R>>2]=f[h>>2];f[oa>>2]=R+4}R=V+1|0;oa=f[r>>2]|0;if(R>>>0>=(((f[Y>>2]|0)-oa|0)/12|0)>>>0)break e;S=f[J>>2]|0;V=R;H=oa;M=S;K=S}}while(0);E=e+4|0;I=f[E>>2]|0;if((I|0)==(f[e+8>>2]|0))_sb(e,t);else{K=I+4|0;f[K>>2]=0;M=I+8|0;f[M>>2]=0;H=I+4|0;f[I>>2]=H;V=f[t>>2]|0;if((V|0)!=(J|0)){S=H;H=V;while(1){V=H+16|0;f[o>>2]=S;f[h>>2]=f[o>>2];oa=Zsb(I,h,l,m,V)|0;if(!(f[oa>>2]|0)){R=Bmc(32)|0;f[R+16>>2]=f[V>>2];fAa(R+20|0,H+20|0);V=f[l>>2]|0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=V;f[oa>>2]=R;V=f[f[I>>2]>>2]|0;if(!V)Tb=R;else{f[I>>2]=V;Tb=f[oa>>2]|0}RS(f[K>>2]|0,Tb);f[M>>2]=(f[M>>2]|0)+1}oa=f[H+4>>2]|0;if(!oa){V=H+8|0;R=f[V>>2]|0;if((f[R>>2]|0)==(H|0))Ub=R;else{R=V;do{V=f[R>>2]|0;R=V+8|0;T=f[R>>2]|0}while((f[T>>2]|0)!=(V|0));Ub=T}}else{R=oa;while(1){T=f[R>>2]|0;if(!T)break;else R=T}Ub=R}if((Ub|0)==(J|0))break;else H=Ub}}f[E>>2]=(f[E>>2]|0)+12}H=f[Z>>2]|0;bCa(t,f[J>>2]|0);M=f[r>>2]|0;if(M|0){K=f[Y>>2]|0;if((K|0)!=(M|0))f[Y>>2]=K+(~(((K+-12-M|0)>>>0)/12|0)*12|0);Emc(M)}Vb=H;Wb=f[x>>2]|0;bCa(p,Wb);u=g;return Vb|0}else if((ca|0)==7){f[k>>2]=_;aR(h,466368,k);SQ(-2,h,466486,465894,585)}else if((ca|0)==23){f[j>>2]=ga;aR(h,466437,j);SQ(-2,h,466486,465894,592)}else if((ca|0)==39){f[h>>2]=0;f[h+4>>2]=0;Db=YG(h,30)|0;Eb=477488;Fb=Db+30|0;do{b[Db>>0]=b[Eb>>0]|0;Db=Db+1|0;Eb=Eb+1|0}while((Db|0)<(Fb|0));SQ(-215,h,466505,466514,72)}else if((ca|0)==72){f[h>>2]=0;f[h+4>>2]=0;Db=YG(h,30)|0;Eb=477488;Fb=Db+30|0;do{b[Db>>0]=b[Eb>>0]|0;Db=Db+1|0;Eb=Eb+1|0}while((Db|0)<(Fb|0));SQ(-215,h,466505,466514,72)}}else yb=0;while(0);Eb=e+4|0;Db=f[Eb>>2]|0;if((Db|0)==(f[e+8>>2]|0)){_sb(e,p);Vb=yb;Wb=f[x>>2]|0;bCa(p,Wb);u=g;return Vb|0}e=Db+4|0;f[e>>2]=0;Fb=Db+8|0;f[Fb>>2]=0;ca=Db+4|0;f[Db>>2]=ca;j=f[p>>2]|0;if((j|0)!=(x|0)){ga=ca;ca=j;while(1){j=ca+16|0;f[o>>2]=ga;f[h>>2]=f[o>>2];k=Zsb(Db,h,l,m,j)|0;if(!(f[k>>2]|0)){r=Bmc(32)|0;f[r+16>>2]=f[j>>2];fAa(r+20|0,ca+20|0);j=f[l>>2]|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=j;f[k>>2]=r;j=f[f[Db>>2]>>2]|0;if(!j)Xb=r;else{f[Db>>2]=j;Xb=f[k>>2]|0}RS(f[e>>2]|0,Xb);f[Fb>>2]=(f[Fb>>2]|0)+1}k=f[ca+4>>2]|0;if(!k){j=ca+8|0;r=f[j>>2]|0;if((f[r>>2]|0)==(ca|0))Yb=r;else{r=j;do{j=f[r>>2]|0;r=j+8|0;t=f[r>>2]|0}while((f[t>>2]|0)!=(j|0));Yb=t}}else{r=k;while(1){t=f[r>>2]|0;if(!t)break;else r=t}Yb=r}if((Yb|0)==(x|0))break;else ca=Yb}}f[Eb>>2]=(f[Eb>>2]|0)+12;Vb=yb;Wb=f[x>>2]|0;bCa(p,Wb);u=g;return Vb|0}function Ksb(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0.0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0.0,na=0,oa=0;j=u;u=u+192|0;k=j+32|0;l=j+24|0;m=j+16|0;o=j;p=j+184|0;q=j+60|0;r=j+48|0;s=j+36|0;t=j+128|0;v=j+72|0;f[q>>2]=0;w=q+4|0;f[w>>2]=0;f[q+8>>2]=0;f[r>>2]=0;x=r+4|0;f[x>>2]=0;f[r+8>>2]=0;y=f[h>>2]|0;z=h+4|0;a:do if((y|0)!=(z|0)){A=g+8|0;B=o+4|0;C=p+4|0;D=s+4|0;E=s+8|0;F=o+8|0;G=o+4|0;H=t+36|0;I=t+16|0;J=t+4|0;K=t+40|0;L=t+44|0;M=t+48|0;N=o+4|0;O=r+8|0;P=y;while(1){Q=f[P+16>>2]|0;if((f[A>>2]|0)<=(Q|0))break;f[o>>2]=Q;f[B>>2]=Q+1;f[p>>2]=-2147483648;f[C>>2]=2147483647;mP(t,g,o,p);f[s>>2]=0;f[D>>2]=0;f[E>>2]=0;R=F;f[R>>2]=0;f[R+4>>2]=0;f[o>>2]=-2113732603;f[G>>2]=s;kT(t,o);R=f[H>>2]|0;if(R|0?(S=R+12|0,R=f[S>>2]|0,f[S>>2]=R+-1,(R|0)==1):0)lP(t);f[H>>2]=0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[J>>2]|0)>0){R=f[K>>2]|0;S=0;do{f[R+(S<<2)>>2]=0;S=S+1|0}while((S|0)<(f[J>>2]|0))}S=f[L>>2]|0;if((S|0)!=(M|0))tE(S);S=P+20|0;R=(f[x>>2]|0)-(f[r>>2]|0)>>3;T=P+24|0;Lsb(r,((f[T>>2]|0)-(f[S>>2]|0)>>2)+R|0);U=f[S>>2]|0;if((f[T>>2]|0)!=(U|0)){V=0;W=U;do{f[o>>2]=f[(f[s>>2]|0)+(f[W+(V<<2)>>2]<<2)>>2];f[N>>2]=V+R;U=f[x>>2]|0;if((U|0)==(f[O>>2]|0))Msb(r,o);else{X=o;Y=f[X+4>>2]|0;Z=U;f[Z>>2]=f[X>>2];f[Z+4>>2]=Y;f[x>>2]=(f[x>>2]|0)+8}V=V+1|0;W=f[S>>2]|0}while(V>>>0<(f[T>>2]|0)-W>>2>>>0)}W=f[s>>2]|0;if(W|0){T=f[D>>2]|0;if((T|0)!=(W|0))f[D>>2]=T+(~((T+-4-W|0)>>>2)<<2);Emc(W)}W=f[P+4>>2]|0;if(!W){T=P+8|0;V=f[T>>2]|0;if((f[V>>2]|0)==(P|0))_=V;else{V=T;do{T=f[V>>2]|0;V=T+8|0;S=f[V>>2]|0}while((f[S>>2]|0)!=(T|0));_=S}}else{V=W;while(1){S=f[V>>2]|0;if(!S)break;else V=S}_=V}if((_|0)==(z|0))break a;else P=_}f[m>>2]=Q;aR(o,466368,m);SQ(-2,o,466419,465894,523)}while(0);if(!i){i=f[r>>2]|0;m=f[x>>2]|0;f[o>>2]=507;Osb(i,m,o)}m=(f[x>>2]|0)-(f[r>>2]|0)>>3;i=f[w>>2]|0;Q=f[q>>2]|0;_=i-Q>>2;t=Q;y=i;if(m>>>0<=_>>>0)if(m>>>0<_>>>0?(P=t+(m<<2)|0,(y|0)!=(P|0)):0){D=y+(~((y+-4-P|0)>>>2)<<2)|0;f[w>>2]=D;$=D;aa=Q;ba=t}else{$=i;aa=Q;ba=t}else{$C(q,m-_|0);_=f[q>>2]|0;$=f[w>>2]|0;aa=_;ba=_}if(($|0)!=(aa|0)){aa=f[r>>2]|0;_=$-ba>>2;$=0;do{f[ba+(f[aa+($<<3)+4>>2]<<2)>>2]=$;$=$+1|0}while($>>>0<_>>>0)}_=f[h>>2]|0;b:do if((_|0)!=(z|0)){h=g+8|0;$=o+4|0;aa=p+4|0;ba=s+4|0;m=s+8|0;t=o+8|0;Q=o+4|0;i=v+36|0;D=v+16|0;P=v+4|0;y=v+40|0;O=v+44|0;N=v+48|0;M=a+40|0;L=e+4|0;ca=+(c|0);J=0;K=_;while(1){da=f[K+16>>2]|0;if((f[h>>2]|0)<=(da|0)){ea=45;break}f[o>>2]=da;f[$>>2]=da+1;f[p>>2]=-2147483648;f[aa>>2]=2147483647;mP(v,g,o,p);f[s>>2]=0;f[ba>>2]=0;f[m>>2]=0;I=t;f[I>>2]=0;f[I+4>>2]=0;f[o>>2]=-2113732603;f[Q>>2]=s;kT(v,o);I=f[i>>2]|0;if(I|0?(H=I+12|0,I=f[H>>2]|0,f[H>>2]=I+-1,(I|0)==1):0)lP(v);f[i>>2]=0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[P>>2]|0)>0){I=f[y>>2]|0;H=0;do{f[I+(H<<2)>>2]=0;H=H+1|0}while((H|0)<(f[P>>2]|0))}H=f[O>>2]|0;if((H|0)!=(N|0))tE(H);fa=b[M>>0]|0?-1:da;H=f[L>>2]|0;if(!H){ea=61;break}else{ga=L;ha=H}c:while(1){H=ha;while(1){if((f[H+16>>2]|0)>=(fa|0))break;I=f[H+4>>2]|0;if(!I){ia=ga;break c}else H=I}ha=f[H>>2]|0;if(!ha){ia=H;break}else ga=H}if((ia|0)==(L|0)){ea=61;break}if((fa|0)<(f[ia+16>>2]|0)){ea=61;break}I=f[K+24>>2]|0;V=f[K+20>>2]|0;G=V;if((I|0)==(V|0)){F=f[s>>2]|0;if(!F)ja=J;else{ka=J;la=F;ea=65}}else{F=f[q>>2]|0;E=f[ia+20>>2]|0;ma=+(da|0);C=f[s>>2]|0;B=I-V>>2;V=0;I=J;while(1){A=f[G+(V<<2)>>2]|0;W=(f[F+(I<<2)>>2]|0)*7|0;n[d+(W<<2)>>2]=ca;n[d+(W+1<<2)>>2]=ma;f[d+(W+2<<2)>>2]=f[C+(A<<2)>>2];f[d+(W+3<<2)>>2]=f[E+(A*24|0)>>2];f[d+(W+4<<2)>>2]=f[E+(A*24|0)+4>>2];f[d+(W+5<<2)>>2]=f[E+(A*24|0)+8>>2];f[d+(W+6<<2)>>2]=f[E+(A*24|0)+12>>2];V=V+1|0;A=I+1|0;if(V>>>0>=B>>>0){ka=A;la=C;ea=65;break}else I=A}}if((ea|0)==65){ea=0;I=f[ba>>2]|0;if((I|0)!=(la|0))f[ba>>2]=I+(~((I+-4-la|0)>>>2)<<2);Emc(la);ja=ka}I=f[K+4>>2]|0;if(!I){C=K+8|0;B=f[C>>2]|0;if((f[B>>2]|0)==(K|0))na=B;else{B=C;do{C=f[B>>2]|0;B=C+8|0;V=f[B>>2]|0}while((f[V>>2]|0)!=(C|0));na=V}}else{B=I;while(1){V=f[B>>2]|0;if(!V)break;else B=V}na=B}if((na|0)==(z|0)){oa=ja;break b}else{J=ja;K=na}}if((ea|0)==45){f[l>>2]=da;aR(o,466368,l);SQ(-2,o,466419,465894,548)}else if((ea|0)==61){f[k>>2]=fa;aR(o,466437,k);SQ(-2,o,466419,465894,553)}}else oa=0;while(0);o=f[r>>2]|0;if(o|0){r=f[x>>2]|0;if((r|0)!=(o|0))f[x>>2]=r+(~((r+-8-o|0)>>>3)<<3);Emc(o)}o=f[q>>2]|0;if(!o){u=j;return oa|0}q=f[w>>2]|0;if((q|0)!=(o|0))f[w>>2]=q+(~((q+-4-o|0)>>>2)<<2);Emc(o);u=j;return oa|0}function Lsb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[a>>2]|0;if((f[c>>2]|0)-d>>3>>>0>=b>>>0)return;e=a+4|0;if(b>>>0>536870911){g=ye(8)|0;Jmc(g,511852);f[g>>2]=165276;Gf(g|0,26776,1555)}g=(f[e>>2]|0)-d|0;h=g>>3;i=Bmc(b<<3)|0;j=i+(h<<3)|0;k=j+(0-h<<3)|0;if((g|0)>0)Krc(k|0,d|0,g|0)|0;f[a>>2]=k;f[e>>2]=j;f[c>>2]=i+(b<<3);if(!d)return;Emc(d);return}function Msb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>3;h=g+1|0;if(h>>>0>536870911)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>2;l=j>>3>>>0<268435455?(k>>>0<h>>>0?h:k):536870911;do if(l)if(l>>>0>536870911){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<3)|0;break}else m=0;while(0);k=m+(g<<3)|0;h=b;b=f[h+4>>2]|0;j=k;f[j>>2]=f[h>>2];f[j+4>>2]=b;b=k+(0-g<<3)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+8;f[i>>2]=m+(l<<3);if(!d)return;Emc(d);return}function Nsb(a,b){a=a|0;b=b|0;return +n[a>>2]>+n[b>>2]|0}function Osb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=u;u=u+16|0;e=d;g=a;a=b;a:while(1){b=a;h=a+-8|0;i=a+-4|0;j=g;while(1){k=j;b:while(1){l=k;m=b-l|0;n=m>>3;switch(n|0){case 2:{o=5;break a;break}case 3:{o=7;break a;break}case 4:{o=8;break a;break}case 5:{o=12;break a;break}case 1:case 0:{o=56;break a;break}default:{}}if((m|0)<56){o=14;break a}p=k+(((n|0)/2|0)<<3)|0;if((m|0)>7992){m=(n|0)/4|0;q=Qsb(k,k+(m<<3)|0,p,p+(m<<3)|0,h,c)|0}else q=Psb(k,p,h,c)|0;if(Sh[f[c>>2]&511](k,p)|0){r=h;s=q;break}else t=h;while(1){v=t+-8|0;if((k|0)==(v|0))break;if(Sh[f[c>>2]&511](v,p)|0){o=39;break b}else t=v}m=k+8|0;if(Sh[f[c>>2]&511](k,h)|0)w=m;else{if((m|0)==(h|0)){o=56;break a}else x=m;while(1){if(Sh[f[c>>2]&511](k,x)|0)break;m=x+8|0;if((m|0)==(h|0)){o=56;break a}else x=m}m=f[x>>2]|0;f[x>>2]=f[h>>2];f[h>>2]=m;m=x+4|0;n=f[m>>2]|0;f[m>>2]=f[i>>2];f[i>>2]=n;w=x+8|0}if((w|0)==(h|0)){o=56;break a}else{y=h;z=w}while(1){n=z;while(1){A=n+8|0;if(Sh[f[c>>2]&511](k,n)|0){B=y;break}else n=A}while(1){C=B+-8|0;if(Sh[f[c>>2]&511](k,C)|0)B=C;else break}if(n>>>0>=C>>>0){k=n;continue b}m=f[n>>2]|0;f[n>>2]=f[C>>2];f[C>>2]=m;m=n+4|0;D=B+-4|0;E=f[m>>2]|0;f[m>>2]=f[D>>2];f[D>>2]=E;y=C;z=A}}if((o|0)==39){o=0;E=f[k>>2]|0;f[k>>2]=f[v>>2];f[v>>2]=E;E=k+4|0;D=t+-4|0;m=f[E>>2]|0;f[E>>2]=f[D>>2];f[D>>2]=m;r=v;s=q+1|0}m=k+8|0;c:do if(m>>>0<r>>>0){D=p;E=r;F=m;G=s;while(1){H=F;while(1){I=H+8|0;if(Sh[f[c>>2]&511](H,D)|0)H=I;else{J=E;break}}while(1){K=J+-8|0;if(Sh[f[c>>2]&511](K,D)|0)break;else J=K}if(H>>>0>K>>>0){L=D;M=G;N=H;break c}n=f[H>>2]|0;f[H>>2]=f[K>>2];f[K>>2]=n;n=H+4|0;O=J+-4|0;P=f[n>>2]|0;f[n>>2]=f[O>>2];f[O>>2]=P;D=(D|0)==(H|0)?K:D;E=K;F=I;G=G+1|0}}else{L=p;M=s;N=m}while(0);if((N|0)!=(L|0)?Sh[f[c>>2]&511](L,N)|0:0){m=f[N>>2]|0;f[N>>2]=f[L>>2];f[L>>2]=m;m=N+4|0;G=L+4|0;F=f[m>>2]|0;f[m>>2]=f[G>>2];f[G>>2]=F;Q=M+1|0}else Q=M;if(!Q){R=Rsb(k,N,c)|0;F=N+8|0;if(Rsb(F,a,c)|0){o=55;break}if(R){j=F;continue}}F=N;if((F-l|0)>=(b-F|0)){o=54;break}Osb(k,N,c);j=N+8|0}if((o|0)==54){o=0;Osb(N+8|0,a,c);g=k;a=N;continue}else if((o|0)==55){o=0;if(R){o=56;break}else{g=k;a=N;continue}}}if((o|0)==5){if(!(Sh[f[c>>2]&511](h,k)|0)){u=d;return}N=f[k>>2]|0;f[k>>2]=f[h>>2];f[h>>2]=N;N=k+4|0;g=f[N>>2]|0;f[N>>2]=f[i>>2];f[i>>2]=g;u=d;return}else if((o|0)==7){Psb(k,k+8|0,h,c)|0;u=d;return}else if((o|0)==8){g=k+8|0;N=k+16|0;Psb(k,g,N,c)|0;if(!(Sh[f[c>>2]&511](h,N)|0)){u=d;return}R=f[N>>2]|0;f[N>>2]=f[h>>2];f[h>>2]=R;R=k+20|0;l=f[R>>2]|0;f[R>>2]=f[i>>2];f[i>>2]=l;if(!(Sh[f[c>>2]&511](N,g)|0)){u=d;return}l=f[g>>2]|0;f[g>>2]=f[N>>2];f[N>>2]=l;l=k+12|0;N=f[l>>2]|0;f[l>>2]=f[R>>2];f[R>>2]=N;if(!(Sh[f[c>>2]&511](g,k)|0)){u=d;return}N=f[k>>2]|0;f[k>>2]=f[g>>2];f[g>>2]=N;N=k+4|0;g=f[N>>2]|0;f[N>>2]=f[l>>2];f[l>>2]=g;u=d;return}else if((o|0)==12){Qsb(k,k+8|0,k+16|0,k+24|0,h,c)|0;u=d;return}else if((o|0)==14){h=k+16|0;Psb(k,k+8|0,h,c)|0;g=k+24|0;if((g|0)==(a|0)){u=d;return}l=e+4|0;N=g;g=h;while(1){if(Sh[f[c>>2]&511](N,g)|0){h=N;R=f[h+4>>2]|0;i=e;f[i>>2]=f[h>>2];f[i+4>>2]=R;R=g;i=N;while(1){f[i>>2]=f[R>>2];S=R+4|0;f[i+4>>2]=f[S>>2];if((R|0)==(k|0))break;h=R+-8|0;if(Sh[f[c>>2]&511](e,h)|0){Q=R;R=h;i=Q}else break}f[R>>2]=f[e>>2];f[S>>2]=f[l>>2]}i=N+8|0;if((i|0)==(a|0))break;else{Q=N;N=i;g=Q}}u=d;return}else if((o|0)==56){u=d;return}}function Psb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=Sh[f[d>>2]&511](b,a)|0;g=Sh[f[d>>2]&511](c,b)|0;if(!e){if(!g){h=0;return h|0}e=f[b>>2]|0;f[b>>2]=f[c>>2];f[c>>2]=e;e=b+4|0;i=c+4|0;j=f[e>>2]|0;f[e>>2]=f[i>>2];f[i>>2]=j;if(!(Sh[f[d>>2]&511](b,a)|0)){h=1;return h|0}j=f[a>>2]|0;f[a>>2]=f[b>>2];f[b>>2]=j;j=a+4|0;i=f[j>>2]|0;f[j>>2]=f[e>>2];f[e>>2]=i;h=2;return h|0}i=f[a>>2]|0;if(g){f[a>>2]=f[c>>2];f[c>>2]=i;g=a+4|0;e=c+4|0;j=f[g>>2]|0;f[g>>2]=f[e>>2];f[e>>2]=j;h=1;return h|0}f[a>>2]=f[b>>2];f[b>>2]=i;i=a+4|0;a=b+4|0;j=f[i>>2]|0;f[i>>2]=f[a>>2];f[a>>2]=j;if(!(Sh[f[d>>2]&511](c,b)|0)){h=1;return h|0}d=f[b>>2]|0;f[b>>2]=f[c>>2];f[c>>2]=d;d=c+4|0;c=f[a>>2]|0;f[a>>2]=f[d>>2];f[d>>2]=c;h=2;return h|0}function Qsb(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;h=Psb(a,b,c,g)|0;if(Sh[f[g>>2]&511](d,c)|0){i=f[c>>2]|0;f[c>>2]=f[d>>2];f[d>>2]=i;i=c+4|0;j=d+4|0;k=f[i>>2]|0;f[i>>2]=f[j>>2];f[j>>2]=k;k=h+1|0;if(Sh[f[g>>2]&511](c,b)|0){j=f[b>>2]|0;f[b>>2]=f[c>>2];f[c>>2]=j;j=b+4|0;l=f[j>>2]|0;f[j>>2]=f[i>>2];f[i>>2]=l;if(Sh[f[g>>2]&511](b,a)|0){l=f[a>>2]|0;f[a>>2]=f[b>>2];f[b>>2]=l;l=a+4|0;i=f[l>>2]|0;f[l>>2]=f[j>>2];f[j>>2]=i;m=h+3|0}else m=h+2|0}else m=k}else m=h;if(!(Sh[f[g>>2]&511](e,d)|0)){n=m;return n|0}h=f[d>>2]|0;f[d>>2]=f[e>>2];f[e>>2]=h;h=d+4|0;k=e+4|0;e=f[h>>2]|0;f[h>>2]=f[k>>2];f[k>>2]=e;if(!(Sh[f[g>>2]&511](d,c)|0)){n=m+1|0;return n|0}e=f[c>>2]|0;f[c>>2]=f[d>>2];f[d>>2]=e;e=c+4|0;d=f[e>>2]|0;f[e>>2]=f[h>>2];f[h>>2]=d;if(!(Sh[f[g>>2]&511](c,b)|0)){n=m+2|0;return n|0}d=f[b>>2]|0;f[b>>2]=f[c>>2];f[c>>2]=d;d=b+4|0;c=f[d>>2]|0;f[d>>2]=f[e>>2];f[e>>2]=c;if(!(Sh[f[g>>2]&511](b,a)|0)){n=m+3|0;return n|0}g=f[a>>2]|0;f[a>>2]=f[b>>2];f[b>>2]=g;g=a+4|0;a=f[g>>2]|0;f[g>>2]=f[d>>2];f[d>>2]=a;n=m+4|0;return n|0}function Rsb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;d=u;u=u+16|0;e=d;switch(b-a>>3|0){case 2:{g=b+-8|0;if(!(Sh[f[c>>2]&511](g,a)|0)){h=1;u=d;return h|0}i=f[a>>2]|0;f[a>>2]=f[g>>2];f[g>>2]=i;i=a+4|0;g=b+-4|0;j=f[i>>2]|0;f[i>>2]=f[g>>2];f[g>>2]=j;h=1;u=d;return h|0}case 3:{Psb(a,a+8|0,b+-8|0,c)|0;h=1;u=d;return h|0}case 4:{j=a+8|0;g=a+16|0;i=b+-8|0;Psb(a,j,g,c)|0;if(!(Sh[f[c>>2]&511](i,g)|0)){h=1;u=d;return h|0}k=f[g>>2]|0;f[g>>2]=f[i>>2];f[i>>2]=k;k=a+20|0;i=b+-4|0;l=f[k>>2]|0;f[k>>2]=f[i>>2];f[i>>2]=l;if(!(Sh[f[c>>2]&511](g,j)|0)){h=1;u=d;return h|0}l=f[j>>2]|0;f[j>>2]=f[g>>2];f[g>>2]=l;l=a+12|0;g=f[l>>2]|0;f[l>>2]=f[k>>2];f[k>>2]=g;if(!(Sh[f[c>>2]&511](j,a)|0)){h=1;u=d;return h|0}g=f[a>>2]|0;f[a>>2]=f[j>>2];f[j>>2]=g;g=a+4|0;j=f[g>>2]|0;f[g>>2]=f[l>>2];f[l>>2]=j;h=1;u=d;return h|0}case 5:{Qsb(a,a+8|0,a+16|0,a+24|0,b+-8|0,c)|0;h=1;u=d;return h|0}case 1:case 0:{h=1;u=d;return h|0}default:{j=a+16|0;Psb(a,a+8|0,j,c)|0;l=a+24|0;a:do if((l|0)==(b|0)){m=1;n=0}else{g=e+4|0;k=l;i=0;o=j;while(1){if(Sh[f[c>>2]&511](k,o)|0){p=k;q=f[p+4>>2]|0;r=e;f[r>>2]=f[p>>2];f[r+4>>2]=q;q=o;r=k;while(1){f[r>>2]=f[q>>2];s=q+4|0;f[r+4>>2]=f[s>>2];if((q|0)==(a|0))break;p=q+-8|0;if(Sh[f[c>>2]&511](e,p)|0){t=q;q=p;r=t}else break}f[q>>2]=f[e>>2];f[s>>2]=f[g>>2];r=i+1|0;if((r|0)==8){m=0;n=(k+8|0)==(b|0);break a}else v=r}else v=i;r=k+8|0;if((r|0)==(b|0)){m=1;n=0;break}else{t=k;k=r;i=v;o=t}}}while(0);h=n|m;u=d;return h|0}}return 0}function Ssb(a,b,c,d){a=a|0;b=+b;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;e=u;u=u+32|0;g=e;h=e+20|0;i=e+16|0;j=e+12|0;k=e+8|0;l=a+4|0;m=f[l>>2]|0;o=f[a>>2]|0;if((m|0)==(o|0))p=d+4|0;else{q=g+4|0;r=d+4|0;s=d+8|0;t=0;v=o;o=m;while(1){m=v;if(+n[m+(t<<2)>>2]>b){f[g>>2]=f[m+(t<<2)>>2];f[q>>2]=t;m=f[r>>2]|0;if((m|0)==(f[s>>2]|0))Msb(d,g);else{w=g;x=f[w+4>>2]|0;y=m;f[y>>2]=f[w>>2];f[y+4>>2]=x;f[r>>2]=(f[r>>2]|0)+8}z=f[a>>2]|0;A=f[l>>2]|0}else{z=v;A=o}t=t+1|0;if(t>>>0>=A-z>>2>>>0){p=r;break}else{v=z;o=A}}}A=f[d>>2]|0;o=f[p>>2]|0;f[i>>2]=508;z=o-A|0;v=z>>3;if((z|0)>0){z=(v|0)<268435455?v:268435455;while(1){r=Cmc(z<<3,1163145)|0;if(r|0){B=r;C=z;break}z=z>>>1;if(!z){B=0;C=0;break}}D=B;E=C;F=B}else{D=0;E=0;F=0}f[j>>2]=A;f[k>>2]=o;f[h>>2]=f[j>>2];f[g>>2]=f[k>>2];ftb(h,g,i,v,D,E);if(D|0)Emc(F);if((c|0)<=0){u=e;return}F=f[p>>2]|0;D=f[d>>2]|0;E=F-D>>3;if((E|0)<=(c|0)){u=e;return}v=F;if(E>>>0<c>>>0){gtb(d,c-E|0);u=e;return}if(E>>>0<=c>>>0){u=e;return}E=D+(c<<3)|0;if((v|0)==(E|0)){u=e;return}f[p>>2]=v+(~((v+-8-E|0)>>>3)<<3);u=e;return}function Tsb(a,c){a=a|0;c=c|0;var d=0.0,e=0.0,f=0.0,g=0.0,h=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0;d=+n[a>>2];e=+n[c>>2];f=d<e?e:d;g=+n[c+8>>2];h=+n[a+8>>2];i=g<h?g:h;if(i<f){j=0.0;return +j}k=+n[c+12>>2];l=+n[a+12>>2];m=k<l?k:l;o=+n[a+4>>2];p=+n[c+4>>2];q=o<p?p:o;if(m<q){j=0.0;return +j}r=(i-f)*(m-q);if(!(r>0.0)){j=0.0;return +j}do if(!(h<d|l<o))if(!(b[a+16>>0]|0)){s=(h-d)*(l-o);break}else{s=+n[a+20>>2];break}else s=0.0;while(0);do if(!(g<e|k<p))if(!(b[c+16>>0]|0)){t=(g-e)*(k-p);break}else{t=+n[c+20>>2];break}else t=0.0;while(0);j=r/(s+t-r);return +j}function Usb(a,c){a=a|0;c=c|0;var d=0.0,e=0.0,f=0.0,g=0.0,h=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0;d=+n[a>>2];e=+n[c>>2];f=d<e?e:d;g=+n[c+8>>2];h=+n[a+8>>2];i=g<h?g:h;if(i<f){j=0.0;return +j}k=+n[c+12>>2];l=+n[a+12>>2];m=k<l?k:l;o=+n[a+4>>2];p=+n[c+4>>2];q=o<p?p:o;if(m<q){j=0.0;return +j}r=(i-f+1.0)*(m-q+1.0);if(!(r>0.0)){j=0.0;return +j}do if(!(h<d|l<o))if(!(b[a+16>>0]|0)){s=(h-d+1.0)*(l-o+1.0);break}else{s=+n[a+20>>2];break}else s=0.0;while(0);do if(!(g<e|k<p))if(!(b[c+16>>0]|0)){t=(g-e+1.0)*(k-p+1.0);break}else{t=+n[c+20>>2];break}else t=0.0;while(0);j=r/(s+t-r);return +j}function Vsb(a,b){a=a|0;b=b|0;return +n[a>>2]>+n[b>>2]|0}function Wsb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;d=u;u=u+16|0;e=d;g=a;a=b;a:while(1){b=a;h=a+-12|0;i=a+-8|0;j=a+-4|0;k=g;while(1){l=k;b:while(1){m=l;n=b-m|0;switch((n|0)/12|0|0){case 2:{o=5;break a;break}case 3:{o=7;break a;break}case 4:{o=8;break a;break}case 5:{o=9;break a;break}case 1:case 0:{o=53;break a;break}default:{}}if((n|0)<84){o=11;break a}p=l+(((n>>>0)/24|0)*12|0)|0;if((n|0)>11988){q=(n>>>0)/48|0;r=ctb(l,l+(q*12|0)|0,p,p+(q*12|0)|0,h,c)|0}else r=atb(l,p,h,c)|0;if(Sh[f[c>>2]&511](l,p)|0){s=h;t=r;break}else v=h;while(1){w=v+-12|0;if((l|0)==(w|0))break;if(Sh[f[c>>2]&511](w,p)|0){o=36;break b}else v=w}q=l+12|0;if(Sh[f[c>>2]&511](l,h)|0)x=q;else{if((q|0)==(h|0)){o=53;break a}else y=q;while(1){if(Sh[f[c>>2]&511](l,y)|0)break;q=y+12|0;if((q|0)==(h|0)){o=53;break a}else y=q}q=f[y>>2]|0;f[y>>2]=f[h>>2];f[h>>2]=q;q=y+4|0;n=f[q>>2]|0;f[q>>2]=f[i>>2];f[i>>2]=n;n=y+8|0;q=f[n>>2]|0;f[n>>2]=f[j>>2];f[j>>2]=q;x=y+12|0}if((x|0)==(h|0)){o=53;break a}else{z=h;A=x}while(1){q=A;while(1){B=q+12|0;if(Sh[f[c>>2]&511](l,q)|0){C=z;break}else q=B}while(1){D=C+-12|0;if(Sh[f[c>>2]&511](l,D)|0)C=D;else break}if(q>>>0>=D>>>0){l=q;continue b}n=f[q>>2]|0;f[q>>2]=f[D>>2];f[D>>2]=n;n=q+4|0;E=C+-8|0;F=f[n>>2]|0;f[n>>2]=f[E>>2];f[E>>2]=F;F=q+8|0;E=C+-4|0;n=f[F>>2]|0;f[F>>2]=f[E>>2];f[E>>2]=n;z=D;A=B}}if((o|0)==36){o=0;n=f[l>>2]|0;f[l>>2]=f[w>>2];f[w>>2]=n;n=l+4|0;E=v+-8|0;F=f[n>>2]|0;f[n>>2]=f[E>>2];f[E>>2]=F;F=l+8|0;E=v+-4|0;n=f[F>>2]|0;f[F>>2]=f[E>>2];f[E>>2]=n;s=w;t=r+1|0}n=l+12|0;c:do if(n>>>0<s>>>0){E=p;F=s;G=n;H=t;while(1){I=G;while(1){J=I+12|0;if(Sh[f[c>>2]&511](I,E)|0)I=J;else{K=F;break}}while(1){L=K+-12|0;if(Sh[f[c>>2]&511](L,E)|0)break;else K=L}if(I>>>0>L>>>0){M=E;N=H;O=I;break c}q=f[I>>2]|0;f[I>>2]=f[L>>2];f[L>>2]=q;q=I+4|0;P=K+-8|0;Q=f[q>>2]|0;f[q>>2]=f[P>>2];f[P>>2]=Q;Q=I+8|0;P=K+-4|0;q=f[Q>>2]|0;f[Q>>2]=f[P>>2];f[P>>2]=q;E=(E|0)==(I|0)?L:E;F=L;G=J;H=H+1|0}}else{M=p;N=t;O=n}while(0);if((O|0)!=(M|0)?Sh[f[c>>2]&511](M,O)|0:0){n=f[O>>2]|0;f[O>>2]=f[M>>2];f[M>>2]=n;n=O+4|0;H=M+4|0;G=f[n>>2]|0;f[n>>2]=f[H>>2];f[H>>2]=G;G=O+8|0;H=M+8|0;n=f[G>>2]|0;f[G>>2]=f[H>>2];f[H>>2]=n;R=N+1|0}else R=N;if(!R){S=dtb(l,O,c)|0;n=O+12|0;if(dtb(n,a,c)|0){o=52;break}if(S){k=n;continue}}n=O;if((n-m|0)>=(b-n|0)){o=51;break}Wsb(l,O,c);k=O+12|0}if((o|0)==51){o=0;Wsb(O+12|0,a,c);g=l;a=O;continue}else if((o|0)==52){o=0;if(S){o=53;break}else{g=l;a=O;continue}}}if((o|0)==5){if(!(Sh[f[c>>2]&511](h,l)|0)){u=d;return}O=f[l>>2]|0;f[l>>2]=f[h>>2];f[h>>2]=O;O=l+4|0;g=f[O>>2]|0;f[O>>2]=f[i>>2];f[i>>2]=g;g=l+8|0;i=f[g>>2]|0;f[g>>2]=f[j>>2];f[j>>2]=i;u=d;return}else if((o|0)==7){atb(l,l+12|0,h,c)|0;u=d;return}else if((o|0)==8){btb(l,l+12|0,l+24|0,h,c)|0;u=d;return}else if((o|0)==9){ctb(l,l+12|0,l+24|0,l+36|0,h,c)|0;u=d;return}else if((o|0)==11){h=l+24|0;atb(l,l+12|0,h,c)|0;i=l+36|0;if((i|0)==(a|0)){u=d;return}j=e+4|0;g=e+8|0;O=i;i=h;while(1){if(Sh[f[c>>2]&511](O,i)|0){f[e>>2]=f[O>>2];f[e+4>>2]=f[O+4>>2];f[e+8>>2]=f[O+8>>2];h=i;S=O;while(1){f[S>>2]=f[h>>2];T=h+4|0;f[S+4>>2]=f[T>>2];U=h+8|0;f[S+8>>2]=f[U>>2];if((h|0)==(l|0))break;m=h+-12|0;if(Sh[f[c>>2]&511](e,m)|0){R=h;h=m;S=R}else break}f[h>>2]=f[e>>2];f[T>>2]=f[j>>2];f[U>>2]=f[g>>2]}S=O+12|0;if((S|0)==(a|0))break;else{R=O;O=S;i=R}}u=d;return}else if((o|0)==53){u=d;return}}function Xsb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=(e|0)/12|0;h=g+1|0;if(h>>>0>357913941)Ukc(a);i=a+8|0;j=((f[i>>2]|0)-d|0)/12|0;k=j<<1;l=j>>>0<178956970?(k>>>0<h>>>0?h:k):357913941;do if(l)if(l>>>0>357913941){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l*12|0)|0;break}else m=0;while(0);k=m+(g*12|0)|0;f[k>>2]=f[b>>2];f[k+4>>2]=f[b+4>>2];f[k+8>>2]=f[b+8>>2];b=k+(((e|0)/-12|0)*12|0)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+12;f[i>>2]=m+(l*12|0);if(!d)return;Emc(d);return}function Ysb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/12|0)>>>0>=b>>>0){Drc(g|0,0,b*12|0)|0;f[e>>2]=g+(b*12|0);return}h=f[a>>2]|0;i=g-h|0;g=(i|0)/12|0;j=g+b|0;if(j>>>0>357913941)Ukc(a);k=(d-h|0)/12|0;d=k<<1;l=k>>>0<178956970?(d>>>0<j>>>0?j:d):357913941;do if(l)if(l>>>0>357913941){d=ye(8)|0;Jmc(d,511852);f[d>>2]=165276;Gf(d|0,26776,1555)}else{m=Bmc(l*12|0)|0;break}else m=0;while(0);d=m+(g*12|0)|0;Drc(d|0,0,b*12|0)|0;g=d+(((i|0)/-12|0)*12|0)|0;if((i|0)>0)Krc(g|0,h|0,i|0)|0;f[a>>2]=g;f[e>>2]=d+(b*12|0);f[c>>2]=m+(l*12|0);if(!h)return;Emc(h);return}function Zsb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;g=a+4|0;h=f[b>>2]|0;b=h;if((h|0)!=(g|0)?(i=f[e>>2]|0,j=f[h+16>>2]|0,(i|0)>=(j|0)):0){if((j|0)>=(i|0)){f[c>>2]=b;f[d>>2]=b;k=d;return k|0}d=h+4|0;j=f[d>>2]|0;if(!j){l=h+8|0;m=f[l>>2]|0;if((f[m>>2]|0)==(h|0))n=m;else{m=l;do{l=f[m>>2]|0;m=l+8|0;o=f[m>>2]|0}while((f[o>>2]|0)!=(l|0));n=o}}else{m=j;while(1){j=f[m>>2]|0;if(!j)break;else m=j}n=m}if((n|0)!=(g|0)?(i|0)>=(f[n+16>>2]|0):0){m=f[g>>2]|0;if(!m){f[c>>2]=g;k=g;return k|0}j=a+4|0;o=m;while(1){m=f[o+16>>2]|0;if((i|0)<(m|0)){l=f[o>>2]|0;if(!l){p=39;break}else{q=o;r=l}}else{if((m|0)>=(i|0)){p=43;break}s=o+4|0;m=f[s>>2]|0;if(!m){p=42;break}else{q=s;r=m}}j=q;o=r}if((p|0)==39){f[c>>2]=o;k=o;return k|0}else if((p|0)==42){f[c>>2]=o;k=s;return k|0}else if((p|0)==43){f[c>>2]=o;k=j;return k|0}}if(!(f[h+4>>2]|0)){f[c>>2]=b;k=d;return k|0}else{f[c>>2]=n;k=n;return k|0}}n=f[h>>2]|0;if((h|0)!=(f[a>>2]|0)){if(!n){d=h;while(1){j=f[d+8>>2]|0;if((f[j>>2]|0)==(d|0))d=j;else{t=j;break}}}else{d=n;while(1){j=f[d+4>>2]|0;if(!j){t=d;break}else d=j}}d=f[e>>2]|0;if((f[t+16>>2]|0)>=(d|0)){e=f[g>>2]|0;if(!e){f[c>>2]=g;k=g;return k|0}g=a+4|0;a=e;while(1){e=f[a+16>>2]|0;if((d|0)<(e|0)){j=f[a>>2]|0;if(!j){p=17;break}else{u=a;v=j}}else{if((e|0)>=(d|0)){p=21;break}w=a+4|0;e=f[w>>2]|0;if(!e){p=20;break}else{u=w;v=e}}g=u;a=v}if((p|0)==17){f[c>>2]=a;k=a;return k|0}else if((p|0)==20){f[c>>2]=a;k=w;return k|0}else if((p|0)==21){f[c>>2]=a;k=g;return k|0}}else x=t}else x=b;if(!n){f[c>>2]=h;k=h;return k|0}else{h=x;f[c>>2]=h;k=h+4|0;return k|0}return 0}function _sb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;c=u;u=u+48|0;d=c+32|0;e=c+28|0;g=c+24|0;h=c+20|0;i=c;j=f[a>>2]|0;k=((f[a+4>>2]|0)-j|0)/12|0;l=k+1|0;if(l>>>0>357913941)Ukc(a);m=((f[a+8>>2]|0)-j|0)/12|0;j=m<<1;n=m>>>0<178956970?(j>>>0<l>>>0?l:j):357913941;f[i+12>>2]=0;f[i+16>>2]=a+8;do if(n)if(n>>>0>357913941){j=ye(8)|0;Jmc(j,511852);f[j>>2]=165276;Gf(j|0,26776,1555)}else{o=Bmc(n*12|0)|0;break}else o=0;while(0);f[i>>2]=o;j=o+(k*12|0)|0;l=i+8|0;f[l>>2]=j;m=i+4|0;f[m>>2]=j;f[i+12>>2]=o+(n*12|0);n=o+(k*12|0)+4|0;f[n>>2]=0;p=o+(k*12|0)+8|0;f[p>>2]=0;q=o+(k*12|0)+4|0;f[j>>2]=q;k=f[b>>2]|0;o=b+4|0;if((k|0)==(o|0))r=j;else{b=q;q=k;while(1){k=q+16|0;f[h>>2]=b;f[d>>2]=f[h>>2];s=Zsb(j,d,e,g,k)|0;if(!(f[s>>2]|0)){t=Bmc(32)|0;f[t+16>>2]=f[k>>2];fAa(t+20|0,q+20|0);k=f[e>>2]|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=k;f[s>>2]=t;k=f[f[j>>2]>>2]|0;if(!k)v=t;else{f[j>>2]=k;v=f[s>>2]|0}RS(f[n>>2]|0,v);f[p>>2]=(f[p>>2]|0)+1}s=f[q+4>>2]|0;if(!s){k=q+8|0;t=f[k>>2]|0;if((f[t>>2]|0)==(q|0))w=t;else{t=k;do{k=f[t>>2]|0;t=k+8|0;x=f[t>>2]|0}while((f[x>>2]|0)!=(k|0));w=x}}else{t=s;while(1){x=f[t>>2]|0;if(!x)break;else t=x}w=t}if((w|0)==(o|0))break;else q=w}r=f[l>>2]|0}f[l>>2]=r+12;$sb(a,i);a=f[m>>2]|0;m=f[l>>2]|0;if((m|0)!=(a|0)){r=m;do{m=r+-12|0;f[l>>2]=m;bCa(m,f[r+-8>>2]|0);r=f[l>>2]|0}while((r|0)!=(a|0))}a=f[i>>2]|0;if(!a){u=c;return}Emc(a);u=c;return}function $sb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;c=u;u=u+16|0;d=c+12|0;e=c+8|0;g=c+4|0;h=c;i=f[a>>2]|0;j=a+4|0;k=f[j>>2]|0;l=b+4|0;if((k|0)==(i|0)){m=l;n=a;o=f[l>>2]|0;p=i;f[n>>2]=o;f[m>>2]=p;q=b+8|0;r=f[j>>2]|0;s=f[q>>2]|0;f[j>>2]=s;f[q>>2]=r;t=a+8|0;v=b+12|0;w=f[t>>2]|0;x=f[v>>2]|0;f[t>>2]=x;f[v>>2]=w;y=f[m>>2]|0;f[b>>2]=y;u=c;return}z=k;k=f[l>>2]|0;do{A=k+-12|0;B=z;z=z+-12|0;C=k+-8|0;f[C>>2]=0;D=k+-4|0;f[D>>2]=0;E=k+-8|0;f[A>>2]=E;F=f[z>>2]|0;G=B+-8|0;if((F|0)!=(G|0)){B=E;E=F;while(1){F=E+16|0;f[h>>2]=B;f[d>>2]=f[h>>2];H=Zsb(A,d,e,g,F)|0;if(!(f[H>>2]|0)){I=Bmc(32)|0;f[I+16>>2]=f[F>>2];fAa(I+20|0,E+20|0);F=f[e>>2]|0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=F;f[H>>2]=I;F=f[f[A>>2]>>2]|0;if(!F)J=I;else{f[A>>2]=F;J=f[H>>2]|0}RS(f[C>>2]|0,J);f[D>>2]=(f[D>>2]|0)+1}H=f[E+4>>2]|0;if(!H){F=E+8|0;I=f[F>>2]|0;if((f[I>>2]|0)==(E|0))K=I;else{I=F;do{F=f[I>>2]|0;I=F+8|0;L=f[I>>2]|0}while((f[L>>2]|0)!=(F|0));K=L}}else{I=H;while(1){L=f[I>>2]|0;if(!L)break;else I=L}K=I}if((K|0)==(G|0))break;else E=K}}k=(f[l>>2]|0)+-12|0;f[l>>2]=k}while((z|0)!=(i|0));m=l;n=a;o=k;p=f[a>>2]|0;f[n>>2]=o;f[m>>2]=p;q=b+8|0;r=f[j>>2]|0;s=f[q>>2]|0;f[j>>2]=s;f[q>>2]=r;t=a+8|0;v=b+12|0;w=f[t>>2]|0;x=f[v>>2]|0;f[t>>2]=x;f[v>>2]=w;y=f[m>>2]|0;f[b>>2]=y;u=c;return}function atb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=Sh[f[d>>2]&511](b,a)|0;g=Sh[f[d>>2]&511](c,b)|0;if(!e){if(!g){h=0;return h|0}e=f[b>>2]|0;f[b>>2]=f[c>>2];f[c>>2]=e;e=b+4|0;i=c+4|0;j=f[e>>2]|0;f[e>>2]=f[i>>2];f[i>>2]=j;j=b+8|0;i=c+8|0;k=f[j>>2]|0;f[j>>2]=f[i>>2];f[i>>2]=k;if(!(Sh[f[d>>2]&511](b,a)|0)){h=1;return h|0}k=f[a>>2]|0;f[a>>2]=f[b>>2];f[b>>2]=k;k=a+4|0;i=f[k>>2]|0;f[k>>2]=f[e>>2];f[e>>2]=i;i=a+8|0;e=f[i>>2]|0;f[i>>2]=f[j>>2];f[j>>2]=e;h=2;return h|0}e=f[a>>2]|0;if(g){f[a>>2]=f[c>>2];f[c>>2]=e;g=a+4|0;j=c+4|0;i=f[g>>2]|0;f[g>>2]=f[j>>2];f[j>>2]=i;i=a+8|0;j=c+8|0;g=f[i>>2]|0;f[i>>2]=f[j>>2];f[j>>2]=g;h=1;return h|0}f[a>>2]=f[b>>2];f[b>>2]=e;e=a+4|0;g=b+4|0;j=f[e>>2]|0;f[e>>2]=f[g>>2];f[g>>2]=j;j=a+8|0;a=b+8|0;e=f[j>>2]|0;f[j>>2]=f[a>>2];f[a>>2]=e;if(!(Sh[f[d>>2]&511](c,b)|0)){h=1;return h|0}d=f[b>>2]|0;f[b>>2]=f[c>>2];f[c>>2]=d;d=c+4|0;b=f[g>>2]|0;f[g>>2]=f[d>>2];f[d>>2]=b;b=c+8|0;c=f[a>>2]|0;f[a>>2]=f[b>>2];f[b>>2]=c;h=2;return h|0}function btb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=atb(a,b,c,e)|0;if(!(Sh[f[e>>2]&511](d,c)|0)){h=g;return h|0}i=f[c>>2]|0;f[c>>2]=f[d>>2];f[d>>2]=i;i=c+4|0;j=d+4|0;k=f[i>>2]|0;f[i>>2]=f[j>>2];f[j>>2]=k;k=c+8|0;j=d+8|0;d=f[k>>2]|0;f[k>>2]=f[j>>2];f[j>>2]=d;if(!(Sh[f[e>>2]&511](c,b)|0)){h=g+1|0;return h|0}d=f[b>>2]|0;f[b>>2]=f[c>>2];f[c>>2]=d;d=b+4|0;c=f[d>>2]|0;f[d>>2]=f[i>>2];f[i>>2]=c;c=b+8|0;i=f[c>>2]|0;f[c>>2]=f[k>>2];f[k>>2]=i;if(!(Sh[f[e>>2]&511](b,a)|0)){h=g+2|0;return h|0}e=f[a>>2]|0;f[a>>2]=f[b>>2];f[b>>2]=e;e=a+4|0;b=f[e>>2]|0;f[e>>2]=f[d>>2];f[d>>2]=b;b=a+8|0;a=f[b>>2]|0;f[b>>2]=f[c>>2];f[c>>2]=a;h=g+3|0;return h|0}function ctb(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=btb(a,b,c,d,g)|0;if(!(Sh[f[g>>2]&511](e,d)|0)){i=h;return i|0}j=f[d>>2]|0;f[d>>2]=f[e>>2];f[e>>2]=j;j=d+4|0;k=e+4|0;l=f[j>>2]|0;f[j>>2]=f[k>>2];f[k>>2]=l;l=d+8|0;k=e+8|0;e=f[l>>2]|0;f[l>>2]=f[k>>2];f[k>>2]=e;if(!(Sh[f[g>>2]&511](d,c)|0)){i=h+1|0;return i|0}e=f[c>>2]|0;f[c>>2]=f[d>>2];f[d>>2]=e;e=c+4|0;d=f[e>>2]|0;f[e>>2]=f[j>>2];f[j>>2]=d;d=c+8|0;j=f[d>>2]|0;f[d>>2]=f[l>>2];f[l>>2]=j;if(!(Sh[f[g>>2]&511](c,b)|0)){i=h+2|0;return i|0}j=f[b>>2]|0;f[b>>2]=f[c>>2];f[c>>2]=j;j=b+4|0;c=f[j>>2]|0;f[j>>2]=f[e>>2];f[e>>2]=c;c=b+8|0;e=f[c>>2]|0;f[c>>2]=f[d>>2];f[d>>2]=e;if(!(Sh[f[g>>2]&511](b,a)|0)){i=h+3|0;return i|0}g=f[a>>2]|0;f[a>>2]=f[b>>2];f[b>>2]=g;g=a+4|0;b=f[g>>2]|0;f[g>>2]=f[j>>2];f[j>>2]=b;b=a+8|0;a=f[b>>2]|0;f[b>>2]=f[c>>2];f[c>>2]=a;i=h+4|0;return i|0}function dtb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;d=u;u=u+16|0;e=d;switch((b-a|0)/12|0|0){case 2:{g=b+-12|0;if(!(Sh[f[c>>2]&511](g,a)|0)){h=1;u=d;return h|0}i=f[a>>2]|0;f[a>>2]=f[g>>2];f[g>>2]=i;i=a+4|0;g=b+-8|0;j=f[i>>2]|0;f[i>>2]=f[g>>2];f[g>>2]=j;j=a+8|0;g=b+-4|0;i=f[j>>2]|0;f[j>>2]=f[g>>2];f[g>>2]=i;h=1;u=d;return h|0}case 3:{atb(a,a+12|0,b+-12|0,c)|0;h=1;u=d;return h|0}case 4:{btb(a,a+12|0,a+24|0,b+-12|0,c)|0;h=1;u=d;return h|0}case 5:{ctb(a,a+12|0,a+24|0,a+36|0,b+-12|0,c)|0;h=1;u=d;return h|0}case 1:case 0:{h=1;u=d;return h|0}default:{i=a+24|0;atb(a,a+12|0,i,c)|0;g=a+36|0;a:do if((g|0)==(b|0)){k=1;l=0}else{j=e+4|0;m=e+8|0;n=g;o=0;p=i;while(1){if(Sh[f[c>>2]&511](n,p)|0){f[e>>2]=f[n>>2];f[e+4>>2]=f[n+4>>2];f[e+8>>2]=f[n+8>>2];q=p;r=n;while(1){f[r>>2]=f[q>>2];s=q+4|0;f[r+4>>2]=f[s>>2];t=q+8|0;f[r+8>>2]=f[t>>2];if((q|0)==(a|0))break;v=q+-12|0;if(Sh[f[c>>2]&511](e,v)|0){w=q;q=v;r=w}else break}f[q>>2]=f[e>>2];f[s>>2]=f[j>>2];f[t>>2]=f[m>>2];r=o+1|0;if((r|0)==8){k=0;l=(n+12|0)==(b|0);break a}else x=r}else x=o;r=n+12|0;if((r|0)==(b|0)){k=1;l=0;break}else{w=n;n=r;o=x;p=w}}}while(0);h=l|k;u=d;return h|0}}return 0}function etb(a,b){a=a|0;b=b|0;return +n[a>>2]>+n[b>>2]|0}function ftb(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;h=u;u=u+64|0;i=h;j=h+56|0;k=h+52|0;l=h+48|0;m=h+44|0;n=h+40|0;o=h+36|0;p=h+32|0;q=h+28|0;r=h+24|0;s=h+20|0;t=h+16|0;v=h+12|0;w=h+8|0;switch(d|0){case 2:{x=f[c>>2]|0;y=f[b>>2]|0;z=y+-8|0;f[b>>2]=z;A=f[a>>2]|0;if(!(Sh[x&511](z,A)|0)){u=h;return}x=f[A>>2]|0;f[A>>2]=f[z>>2];f[z>>2]=x;x=A+4|0;A=y+-4|0;y=f[x>>2]|0;f[x>>2]=f[A>>2];f[A>>2]=y;u=h;return}case 1:case 0:{u=h;return}default:{if((d|0)<1){y=f[a>>2]|0;A=f[b>>2]|0;if((y|0)==(A|0)){u=h;return}x=y+8|0;if((x|0)==(A|0)){u=h;return}z=i+4|0;B=x;do{x=B;C=B;D=f[C>>2]|0;E=f[C+4>>2]|0;C=i;f[C>>2]=D;f[C+4>>2]=E;if((B|0)==(y|0)){F=x;G=D;H=E}else{E=x;x=B;while(1){D=x;x=x+-8|0;if(!(Sh[f[c>>2]&511](i,x)|0)){I=E;break}C=E;f[E>>2]=f[x>>2];f[C+4>>2]=f[D+-4>>2];D=C+-8|0;if((x|0)==(y|0)){I=D;break}else E=D}F=I;G=f[i>>2]|0;H=f[z>>2]|0}f[F>>2]=G;f[F+4>>2]=H;B=B+8|0}while((B|0)!=(A|0));u=h;return}A=d>>>1;B=f[a>>2]|0;a=B+(A<<3)|0;H=B;if((d|0)>(g|0)){f[p>>2]=H;f[q>>2]=a;f[j>>2]=f[p>>2];f[i>>2]=f[q>>2];ftb(j,i,c,A,e,g);f[r>>2]=a;q=f[b>>2]|0;f[s>>2]=q;p=d-A|0;f[j>>2]=f[r>>2];f[i>>2]=f[s>>2];ftb(j,i,c,p,e,g);f[t>>2]=H;f[v>>2]=a;f[w>>2]=q;f[k>>2]=f[t>>2];f[j>>2]=f[v>>2];f[i>>2]=f[w>>2];itb(k,j,i,c,A,p,e,g);u=h;return}f[l>>2]=H;f[m>>2]=a;f[j>>2]=f[l>>2];f[i>>2]=f[m>>2];htb(j,i,c,A,e);f[n>>2]=a;f[o>>2]=f[b>>2];b=e+(A<<3)|0;f[j>>2]=f[n>>2];f[i>>2]=f[o>>2];htb(j,i,c,d-A|0,b);A=e+(d<<3)|0;d=b;i=e;e=H;while(1){if((d|0)==(A|0))break;H=e;if(Sh[f[c>>2]&511](d,i)|0){f[e>>2]=f[d>>2];J=d;K=d+8|0;L=i}else{f[e>>2]=f[i>>2];J=i;K=d;L=i+8|0}f[H+4>>2]=f[J+4>>2];M=H+8|0;if((L|0)==(b|0)){N=15;break}else{d=K;i=L;e=M}}if((N|0)==15){if((K|0)==(A|0)){u=h;return}else{O=K;P=M}while(1){f[P>>2]=f[O>>2];f[P+4>>2]=f[O+4>>2];O=O+8|0;if((O|0)==(A|0))break;else P=P+8|0}u=h;return}if((i|0)==(b|0)){u=h;return}P=i;i=e;while(1){f[i>>2]=f[P>>2];f[i+4>>2]=f[P+4>>2];P=P+8|0;if((P|0)==(b|0))break;else i=i+8|0}u=h;return}}}function gtb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>3>>>0>=b>>>0){Drc(g|0,0,b<<3|0)|0;f[e>>2]=g+(b<<3);return}h=f[a>>2]|0;i=g-h|0;g=i>>3;j=g+b|0;if(j>>>0>536870911)Ukc(a);k=d-h|0;d=k>>2;l=k>>3>>>0<268435455?(d>>>0<j>>>0?j:d):536870911;do if(l)if(l>>>0>536870911){d=ye(8)|0;Jmc(d,511852);f[d>>2]=165276;Gf(d|0,26776,1555)}else{m=Bmc(l<<3)|0;break}else m=0;while(0);d=m+(g<<3)|0;Drc(d|0,0,b<<3|0)|0;j=d+(0-g<<3)|0;if((i|0)>0)Krc(j|0,h|0,i|0)|0;f[a>>2]=j;f[e>>2]=d+(b<<3);f[c>>2]=m+(l<<3);if(!h)return;Emc(h);return}function htb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;g=u;u=u+32|0;h=g+8|0;i=g;j=g+24|0;k=g+20|0;l=g+16|0;m=g+12|0;switch(d|0){case 1:{n=f[a>>2]|0;o=f[n+4>>2]|0;p=e;f[p>>2]=f[n>>2];f[p+4>>2]=o;u=g;return}case 2:{o=f[c>>2]|0;p=(f[b>>2]|0)+-8|0;f[b>>2]=p;n=Sh[o&511](p,f[a>>2]|0)|0;p=f[(n?b:a)>>2]|0;o=f[p+4>>2]|0;q=e;f[q>>2]=f[p>>2];f[q+4>>2]=o;o=f[(n?a:b)>>2]|0;n=f[o+4>>2]|0;q=e+8|0;f[q>>2]=f[o>>2];f[q+4>>2]=n;u=g;return}case 0:{u=g;return}default:{if((d|0)<9){n=f[a>>2]|0;q=f[b>>2]|0;if((n|0)==(q|0)){u=g;return}o=n;p=f[o+4>>2]|0;r=e;f[r>>2]=f[o>>2];f[r+4>>2]=p;p=n+8|0;if((p|0)==(q|0)){u=g;return}else{s=p;t=e}do{p=t;t=t+8|0;if(Sh[f[c>>2]&511](s,p)|0){n=p;r=f[n+4>>2]|0;o=t;f[o>>2]=f[n>>2];f[o+4>>2]=r;a:do if((p|0)==(e|0))v=e;else{r=p;while(1){o=r;r=r+-8|0;if(!(Sh[f[c>>2]&511](s,r)|0)){v=o;break a}f[o>>2]=f[r>>2];f[o+4>>2]=f[o+-4>>2];if((r|0)==(e|0)){v=e;break}}}while(0);f[v>>2]=f[s>>2];f[v+4>>2]=f[s+4>>2]}else{p=s;r=f[p+4>>2]|0;o=t;f[o>>2]=f[p>>2];f[o+4>>2]=r}s=s+8|0}while((s|0)!=(q|0));u=g;return}q=d>>>1;s=f[a>>2]|0;a=s+(q<<3)|0;t=s;f[j>>2]=t;f[k>>2]=a;f[i>>2]=f[j>>2];f[h>>2]=f[k>>2];ftb(i,h,c,q,e,q);f[l>>2]=a;k=f[b>>2]|0;f[m>>2]=k;b=d-q|0;f[i>>2]=f[l>>2];f[h>>2]=f[m>>2];ftb(i,h,c,b,e+(q<<3)|0,b);b=k;f[h>>2]=a;f[i>>2]=t;b:do if(q){if((a|0)==(b|0)){w=e;x=s}else{t=e;k=s;m=a;while(1){l=Sh[f[c>>2]&511](m,k)|0;d=l?h:i;l=f[d>>2]|0;j=l;v=f[j+4>>2]|0;r=t;f[r>>2]=f[j>>2];f[r+4>>2]=v;f[d>>2]=l+8;l=t+8|0;d=f[i>>2]|0;m=f[h>>2]|0;if((d|0)==(a|0)){y=l;z=m;A=16;break b}if((m|0)==(b|0)){w=l;x=d;break}else{t=l;k=d}}}if((x|0)!=(a|0)){k=(a+-8-x|0)>>>3;t=w;m=x;while(1){d=m;l=f[d+4>>2]|0;v=t;f[v>>2]=f[d>>2];f[v+4>>2]=l;m=m+8|0;if((m|0)==(a|0))break;else t=t+8|0}f[i>>2]=x+(k+1<<3)}}else{y=e;z=s;A=16}while(0);if((A|0)==16?(z|0)!=(b|0):0){A=(b+-8-z|0)>>>3;s=y;y=z;while(1){e=y;x=f[e+4>>2]|0;i=s;f[i>>2]=f[e>>2];f[i+4>>2]=x;y=y+8|0;if((y|0)==(b|0))break;else s=s+8|0}f[h>>2]=z+(A+1<<3)}u=g;return}}}function itb(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0;j=u;u=u+64|0;k=j+52|0;l=j;m=j+48|0;n=j+44|0;o=j+40|0;p=j+36|0;q=j+16|0;r=j+8|0;s=j+32|0;t=j+28|0;v=j+24|0;w=j+20|0;x=j+12|0;y=j+4|0;if(!g){u=j;return}z=e;e=g;a:while(1){if(!((e|0)>(i|0)&(z|0)>(i|0))){A=6;break}if(!z){A=37;break}B=f[b>>2]|0;g=B;C=z;D=f[a>>2]|0;while(1){if(Sh[f[d>>2]&511](B,D)|0)break;E=D+8|0;f[a>>2]=E;F=C+-1|0;if(!F){A=37;break a}else{C=F;D=E}}E=D;if((C|0)<(e|0)){F=(e|0)/2|0;G=B+(F<<3)|0;f[r>>2]=G;H=g-E>>3;if(!H)I=D;else{J=H;H=D;K=D;while(1){L=(J|0)/2|0;M=K+(L<<3)|0;N=Sh[f[d>>2]&511](G,M)|0;O=M+8|0;M=N?H:O;J=N?L:J+-1-L|0;if(!J){I=M;break}else{H=M;K=N?K:O}}}K=I;f[q>>2]=K;P=K-E>>3;Q=F;R=G;S=I}else{if((C|0)==1){A=14;break}K=(C|0)/2|0;H=D+(K<<3)|0;f[q>>2]=H;J=(f[c>>2]|0)-g>>3;if(!J)T=B;else{O=J;J=B;N=B;while(1){M=(O|0)/2|0;L=N+(M<<3)|0;U=Sh[f[d>>2]&511](L,H)|0;V=L+8|0;L=U?V:J;O=U?O+-1-M|0:M;if(!O){T=L;break}else{J=L;N=U?V:N}}}N=T;f[r>>2]=N;P=K;Q=N-g>>3;R=T;S=H}N=C-P|0;J=e-Q|0;if((S|0)!=(B|0))if((B|0)==(R|0))W=S;else{f[l>>2]=g;O=S;G=l;F=k;b:while(1){f[F>>2]=f[G>>2];E=f[l>>2]|0;V=f[k>>2]|0;X=O;do{U=f[X>>2]|0;f[X>>2]=f[V>>2];f[V>>2]=U;U=X+4|0;L=V+4|0;M=f[U>>2]|0;f[U>>2]=f[L>>2];f[L>>2]=M;X=X+8|0;V=V+8|0;Y=(X|0)==(E|0);if((V|0)==(R|0))break b}while(!Y);f[k>>2]=V;O=E;G=k;F=l}f[k>>2]=R;if(!Y){F=k;G=l;O=X;while(1){f[F>>2]=f[G>>2];g=f[l>>2]|0;C=g;H=f[k>>2]|0;K=O;while(1){M=f[K>>2]|0;f[K>>2]=f[H>>2];f[H>>2]=M;M=K+4|0;L=H+4|0;U=f[M>>2]|0;f[M>>2]=f[L>>2];f[L>>2]=U;K=K+8|0;H=H+8|0;Z=(K|0)==(C|0);if((H|0)==(R|0)){A=30;break}if(Z){A=27;break}}if((A|0)==27){A=0;f[k>>2]=H;F=l;G=k;O=g;continue}else if((A|0)==30){A=0;f[k>>2]=R;if(Z)break;else{F=k;G=l;O=K;continue}}}}W=X}else W=R;f[b>>2]=W;O=W;if((P+Q|0)<(N+J|0)){f[s>>2]=f[a>>2];f[t>>2]=f[q>>2];f[v>>2]=O;f[m>>2]=f[s>>2];f[l>>2]=f[t>>2];f[k>>2]=f[v>>2];itb(m,l,k,d,P,Q,h,i);_=J;$=N;aa=r;ba=a}else{f[w>>2]=O;f[x>>2]=f[r>>2];f[y>>2]=f[c>>2];f[m>>2]=f[w>>2];f[l>>2]=f[x>>2];f[k>>2]=f[y>>2];itb(m,l,k,d,N,J,h,i);_=Q;$=P;aa=q;ba=c}f[ba>>2]=O;f[b>>2]=f[aa>>2];if(!_){A=37;break}else{z=$;e=_}}if((A|0)==6){f[n>>2]=f[a>>2];f[o>>2]=f[b>>2];f[p>>2]=f[c>>2];f[m>>2]=f[n>>2];f[l>>2]=f[o>>2];f[k>>2]=f[p>>2];jtb(m,l,k,d,z,e,h);u=j;return}else if((A|0)==14){h=f[D>>2]|0;f[D>>2]=f[B>>2];f[B>>2]=h;h=D+4|0;D=B+4|0;B=f[h>>2]|0;f[h>>2]=f[D>>2];f[D>>2]=B;u=j;return}else if((A|0)==37){u=j;return}}function jtb(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;i=u;u=u+16|0;j=i+4|0;k=i;if((e|0)>(g|0)){g=f[b>>2]|0;e=g;l=f[c>>2]|0;if((e|0)==(l|0))m=h;else{n=((l+-8+(0-g)|0)>>>3)+1|0;o=h;p=g;q=e;while(1){r=p;s=f[r+4>>2]|0;t=o;f[t>>2]=f[r>>2];f[t+4>>2]=s;s=q+8|0;if((s|0)==(l|0))break;else{o=o+8|0;p=s;q=s}}m=h+(n<<3)|0}n=f[a>>2]|0;f[j>>2]=g;f[k>>2]=m;a:do if((m|0)!=(h|0)){if((e|0)==(n|0)){v=m;w=l}else{g=e;q=m;p=l;while(1){o=Sh[f[d>>2]&511](g+-8|0,q+-8|0)|0;s=o?k:j;o=f[s>>2]|0;t=o+-8|0;r=p+-8|0;f[r>>2]=f[t>>2];f[p+-4>>2]=f[o+-4>>2];f[s>>2]=t;t=f[k>>2]|0;if((t|0)==(h|0))break a;g=f[j>>2]|0;if((g|0)==(n|0)){v=t;w=r;break}else{q=t;p=r}}}if((v|0)!=(h|0)){p=v;q=w;do{g=p;p=p+-8|0;r=q;q=q+-8|0;f[q>>2]=f[p>>2];f[r+-4>>2]=f[g+-4>>2]}while((p|0)!=(h|0))}}while(0);u=i;return}w=f[a>>2]|0;a=w;v=f[b>>2]|0;if((a|0)==(v|0)){u=i;return}b=((v+-8+(0-w)|0)>>>3)+1|0;n=h;j=w;k=a;while(1){a=j;l=f[a+4>>2]|0;m=n;f[m>>2]=f[a>>2];f[m+4>>2]=l;l=k+8|0;if((l|0)==(v|0))break;else{n=n+8|0;j=l;k=l}}k=h+(b<<3)|0;b=f[d>>2]|0;if((k|0)==(h|0)){u=i;return}d=f[c>>2]|0;c=h;h=w;w=v;while(1){if((w|0)==(d|0))break;v=h;if(Sh[b&511](w,c)|0){f[h>>2]=f[w>>2];x=w;y=c;z=w+8|0}else{f[h>>2]=f[c>>2];x=c;y=c+8|0;z=w}f[v+4>>2]=f[x+4>>2];if((y|0)==(k|0)){A=25;break}else{c=y;h=v+8|0;w=z}}if((A|0)==25){u=i;return}A=c;c=h;while(1){f[c>>2]=f[A>>2];f[c+4>>2]=f[A+4>>2];A=A+8|0;if((A|0)==(k|0))break;else c=c+8|0}u=i;return}function ktb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=u;u=u+32|0;d=c;e=f[a+8>>2]|0;g=a+4|0;h=f[g>>2]|0;if(((e-h|0)/12|0)>>>0>=b>>>0){i=b;j=h;do{f[j+4>>2]=0;f[j+8>>2]=0;f[j>>2]=j+4;j=(f[g>>2]|0)+12|0;f[g>>2]=j;i=i+-1|0}while((i|0)!=0);u=c;return}i=f[a>>2]|0;j=(h-i|0)/12|0;h=j+b|0;if(h>>>0>357913941)Ukc(a);g=(e-i|0)/12|0;i=g<<1;e=g>>>0<178956970?(i>>>0<h>>>0?h:i):357913941;f[d+12>>2]=0;f[d+16>>2]=a+8;do if(e)if(e>>>0>357913941){i=ye(8)|0;Jmc(i,511852);f[i>>2]=165276;Gf(i|0,26776,1555)}else{k=Bmc(e*12|0)|0;break}else k=0;while(0);f[d>>2]=k;i=k+(j*12|0)|0;j=d+8|0;f[j>>2]=i;g=d+4|0;f[g>>2]=i;f[d+12>>2]=k+(e*12|0);e=b;b=i;while(1){f[b+4>>2]=0;f[b+8>>2]=0;f[b>>2]=b+4;e=e+-1|0;if(!e)break;else b=b+12|0}f[j>>2]=k+(h*12|0);ptb(a,d);a=f[g>>2]|0;g=f[j>>2]|0;if((g|0)!=(a|0)){h=g;do{g=h+-12|0;f[j>>2]=g;Isb(g,f[h+-8>>2]|0);h=f[j>>2]|0}while((h|0)!=(a|0))}a=f[d>>2]|0;if(a|0)Emc(a);u=c;return}function ltb(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;l=u;u=u+16|0;m=l;n=(f[a+4>>2]|0)-(f[a>>2]|0)|0;o=(n|0)/24|0;p=f[c>>2]|0;q=p;if((o|0)!=(((f[c+4>>2]|0)-p|0)/12|0|0)){f[m>>2]=0;f[m+4>>2]=0;r=YG(m,45)|0;s=466653;t=r+45|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,m,466699,465894,746)}if((o|0)!=(((f[j+4>>2]|0)-(f[j>>2]|0)|0)/24|0|0)){f[m>>2]=0;f[m+4>>2]=0;r=YG(m,36)|0;s=466712;t=r+36|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,m,466699,465894,747)}if(n|0?((f[q+4>>2]|0)-(f[p>>2]|0)|0)!=16:0){f[m>>2]=0;f[m+4>>2]=0;r=YG(m,49)|0;s=466749;t=r+49|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,m,466699,465894,749)}m=f[k>>2]|0;s=k+4|0;r=f[s>>2]|0;t=m;if((r|0)==(m|0))v=r;else{p=r+(~(((r+-24-t|0)>>>0)/24|0)*24|0)|0;f[s>>2]=p;v=p}p=(v-t|0)/24|0;if(o>>>0<=p>>>0){if(o>>>0<p>>>0?(t=m+(o*24|0)|0,(v|0)!=(t|0)):0)f[s>>2]=v+(~(((v+-24-t|0)>>>0)/24|0)*24|0)}else mtb(k,o-p|0);p=(n|0)!=0;if(e){if(!p){u=l;return}e=0;do{ntb((f[a>>2]|0)+(e*24|0)|0,(f[c>>2]|0)+(e*12|0)|0,d,g,h,i,(f[j>>2]|0)+(e*24|0)|0,(f[k>>2]|0)+(e*24|0)|0);e=e+1|0}while(e>>>0<o>>>0);u=l;return}else{if(!p){u=l;return}p=0;do{otb((f[a>>2]|0)+(p*24|0)|0,(f[c>>2]|0)+(p*12|0)|0,d,g,h,i,(f[j>>2]|0)+(p*24|0)|0,(f[k>>2]|0)+(p*24|0)|0);p=p+1|0}while(p>>>0<o>>>0);u=l;return}}function mtb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a+8|0;e=f[d>>2]|0;g=a+4|0;h=f[g>>2]|0;if(((e-h|0)/24|0)>>>0>=c>>>0){i=c;j=h;do{n[j+20>>2]=0.0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;b[j+16>>0]=0;j=(f[g>>2]|0)+24|0;f[g>>2]=j;i=i+-1|0}while((i|0)!=0);return}i=f[a>>2]|0;j=(h-i|0)/24|0;h=j+c|0;if(h>>>0>178956970)Ukc(a);k=(e-i|0)/24|0;i=k<<1;e=k>>>0<89478485?(i>>>0<h>>>0?h:i):178956970;do if(e)if(e>>>0>178956970){i=ye(8)|0;Jmc(i,511852);f[i>>2]=165276;Gf(i|0,26776,1555)}else{l=Bmc(e*24|0)|0;break}else l=0;while(0);i=l+(j*24|0)|0;j=l+(e*24|0)|0;e=c;c=i;l=i;do{n[l+20>>2]=0.0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;b[l+16>>0]=0;l=c+24|0;c=l;e=e+-1|0}while((e|0)!=0);e=f[a>>2]|0;l=(f[g>>2]|0)-e|0;h=i+(((l|0)/-24|0)*24|0)|0;if((l|0)>0)Krc(h|0,e|0,l|0)|0;f[a>>2]=h;f[g>>2]=c;f[d>>2]=j;if(!e)return;Emc(e);return}function ntb(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0.0,m=0.0,o=0.0,p=0.0,q=0,r=0,t=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0,L=0.0,M=0.0,N=0.0,O=0.0,P=0.0;c=u;u=u+16|0;k=c;l=+n[i>>2];m=+n[i+4>>2];o=+n[i+8>>2];p=+n[i+12>>2];i=f[d>>2]|0;do if((i|0)!=466015?(d=(i|0)==0?1163146:i,(o7b(d,466015)|0)!=0):0){if((i|0)!=466003?o7b(d,466003)|0:0){f[k>>2]=0;f[k+4>>2]=0;q=YG(k,13)|0;r=466843;t=q+13|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(t|0));SQ(-5,k,466815,465894,723)}v=+n[a>>2];w=+n[a+8>>2]-v;x=+n[a+4>>2];y=+n[a+12>>2]-x;z=h?y:y+1.0;y=h?w:w+1.0;if(!(y>0.0)){f[k>>2]=0;f[k+4>>2]=0;q=YG(k,15)|0;r=466799;t=q+15|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(t|0));SQ(-215,k,466815,465894,706)}if(z>0.0){w=z*+V(+p);A=l*y+(v+y*.5);B=y*+V(+o)*.5;C=A-B;n[j>>2]=C;D=m*z+(x+z*.5);E=w*.5;w=D-E;n[j+4>>2]=w;F=A+B;n[j+8>>2]=F;G=w;H=F;I=D+E;J=C;break}else{f[k>>2]=0;f[k+4>>2]=0;q=YG(k,16)|0;r=466826;t=q+16|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(t|0));SQ(-215,k,466815,465894,707)}}else K=3;while(0);if((K|0)==3){z=l+ +n[a>>2];n[j>>2]=z;l=m+ +n[a+4>>2];n[j+4>>2]=l;m=o+ +n[a+8>>2];n[j+8>>2]=m;G=l;H=m;I=p+ +n[a+12>>2];J=z}a=j+12|0;n[a>>2]=I;if(e){e=g+8|0;K=+n[e>>2]<J?e:j;k=f[(+n[K>>2]<+n[g>>2]?g:K)>>2]|0;f[j>>2]=k;K=j+4|0;r=g+12|0;q=+n[r>>2]<G?r:K;t=g+4|0;i=f[(+n[q>>2]<+n[t>>2]?t:q)>>2]|0;f[K>>2]=i;K=j+8|0;q=+n[e>>2]<H?e:K;e=f[(+n[q>>2]<+n[g>>2]?g:q)>>2]|0;f[K>>2]=e;K=+n[r>>2]<I?r:a;r=f[(+n[K>>2]<+n[t>>2]?t:K)>>2]|0;f[a>>2]=r;z=(f[s>>2]=e,+n[s>>2]);p=(f[s>>2]=k,+n[s>>2]);m=(f[s>>2]=r,+n[s>>2]);L=p;M=z;N=(f[s>>2]=i,+n[s>>2]);O=m}else{L=J;M=H;N=G;O=I}i=j+20|0;n[i>>2]=0.0;r=j+16|0;b[r>>0]=0;if(M<L|O<N){P=0.0;n[i>>2]=P;b[r>>0]=1;u=c;return}I=M-L;L=O-N;if(h){P=I*L;n[i>>2]=P;b[r>>0]=1;u=c;return}else{P=(I+1.0)*(L+1.0);n[i>>2]=P;b[r>>0]=1;u=c;return}}function otb(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,o=0.0,p=0.0,q=0.0,r=0.0,t=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0;k=u;u=u+16|0;l=k;m=f[c>>2]|0;o=+n[m>>2]*+n[i>>2];p=+n[m+4>>2]*+n[i+4>>2];q=+n[m+8>>2]*+n[i+8>>2];r=+n[m+12>>2]*+n[i+12>>2];i=f[d>>2]|0;do if((i|0)!=466015?(d=(i|0)==0?1163146:i,(o7b(d,466015)|0)!=0):0){if((i|0)!=466003?o7b(d,466003)|0:0){f[l>>2]=0;f[l+4>>2]=0;t=YG(l,13)|0;v=466843;w=t+13|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-5,l,466815,465894,723)}x=+n[a>>2];y=+n[a+8>>2]-x;z=+n[a+4>>2];A=+n[a+12>>2]-z;B=h?A:A+1.0;A=h?y:y+1.0;if(!(A>0.0)){f[l>>2]=0;f[l+4>>2]=0;t=YG(l,15)|0;v=466799;w=t+15|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,l,466815,465894,706)}if(B>0.0){y=B*+V(+r);C=o*A+(x+A*.5);D=A*+V(+q)*.5;E=C-D;n[j>>2]=E;F=p*B+(z+B*.5);G=y*.5;y=F-G;n[j+4>>2]=y;H=C+D;n[j+8>>2]=H;I=F+G;J=E;K=y;L=H;break}else{f[l>>2]=0;f[l+4>>2]=0;t=YG(l,16)|0;v=466826;w=t+16|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,l,466815,465894,707)}}else M=3;while(0);if((M|0)==3){B=o+ +n[a>>2];n[j>>2]=B;o=p+ +n[a+4>>2];n[j+4>>2]=o;p=q+ +n[a+8>>2];n[j+8>>2]=p;I=r+ +n[a+12>>2];J=B;K=o;L=p}a=j+12|0;n[a>>2]=I;if(e){e=g+8|0;M=+n[e>>2]<J?e:j;l=f[(+n[M>>2]<+n[g>>2]?g:M)>>2]|0;f[j>>2]=l;M=j+4|0;v=g+12|0;t=+n[v>>2]<K?v:M;w=g+4|0;i=f[(+n[t>>2]<+n[w>>2]?w:t)>>2]|0;f[M>>2]=i;M=j+8|0;t=+n[e>>2]<L?e:M;e=f[(+n[t>>2]<+n[g>>2]?g:t)>>2]|0;f[M>>2]=e;M=+n[v>>2]<I?v:a;v=f[(+n[M>>2]<+n[w>>2]?w:M)>>2]|0;f[a>>2]=v;p=(f[s>>2]=e,+n[s>>2]);o=(f[s>>2]=l,+n[s>>2]);B=(f[s>>2]=v,+n[s>>2]);N=o;O=p;P=(f[s>>2]=i,+n[s>>2]);Q=B}else{N=J;O=L;P=K;Q=I}i=j+20|0;n[i>>2]=0.0;v=j+16|0;b[v>>0]=0;if(O<N|Q<P){R=0.0;n[i>>2]=R;b[v>>0]=1;u=k;return}I=O-N;N=Q-P;if(h){R=I*N;n[i>>2]=R;b[v>>0]=1;u=k;return}else{R=(I+1.0)*(N+1.0);n[i>>2]=R;b[v>>0]=1;u=k;return}}function ptb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;c=u;u=u+16|0;d=c+12|0;e=c+8|0;g=c+4|0;h=c;i=f[a>>2]|0;j=a+4|0;k=f[j>>2]|0;l=b+4|0;if((k|0)==(i|0)){m=l;n=a;o=f[l>>2]|0;p=i;f[n>>2]=o;f[m>>2]=p;q=b+8|0;r=f[j>>2]|0;s=f[q>>2]|0;f[j>>2]=s;f[q>>2]=r;t=a+8|0;v=b+12|0;w=f[t>>2]|0;x=f[v>>2]|0;f[t>>2]=x;f[v>>2]=w;y=f[m>>2]|0;f[b>>2]=y;u=c;return}z=k;k=f[l>>2]|0;do{A=k+-12|0;B=z;z=z+-12|0;C=k+-8|0;f[C>>2]=0;D=k+-4|0;f[D>>2]=0;E=k+-8|0;f[A>>2]=E;F=f[z>>2]|0;G=B+-8|0;if((F|0)!=(G|0)){B=E;E=F;while(1){F=E+16|0;f[h>>2]=B;f[d>>2]=f[h>>2];H=qtb(A,d,e,g,F)|0;if(!(f[H>>2]|0)){I=Bmc(32)|0;f[I+16>>2]=f[F>>2];rtb(I+20|0,E+20|0);F=f[e>>2]|0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=F;f[H>>2]=I;F=f[f[A>>2]>>2]|0;if(!F)J=I;else{f[A>>2]=F;J=f[H>>2]|0}RS(f[C>>2]|0,J);f[D>>2]=(f[D>>2]|0)+1}H=f[E+4>>2]|0;if(!H){F=E+8|0;I=f[F>>2]|0;if((f[I>>2]|0)==(E|0))K=I;else{I=F;do{F=f[I>>2]|0;I=F+8|0;L=f[I>>2]|0}while((f[L>>2]|0)!=(F|0));K=L}}else{I=H;while(1){L=f[I>>2]|0;if(!L)break;else I=L}K=I}if((K|0)==(G|0))break;else E=K}}k=(f[l>>2]|0)+-12|0;f[l>>2]=k}while((z|0)!=(i|0));m=l;n=a;o=k;p=f[a>>2]|0;f[n>>2]=o;f[m>>2]=p;q=b+8|0;r=f[j>>2]|0;s=f[q>>2]|0;f[j>>2]=s;f[q>>2]=r;t=a+8|0;v=b+12|0;w=f[t>>2]|0;x=f[v>>2]|0;f[t>>2]=x;f[v>>2]=w;y=f[m>>2]|0;f[b>>2]=y;u=c;return}function qtb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;g=a+4|0;h=f[b>>2]|0;b=h;if((h|0)!=(g|0)?(i=f[e>>2]|0,j=f[h+16>>2]|0,(i|0)>=(j|0)):0){if((j|0)>=(i|0)){f[c>>2]=b;f[d>>2]=b;k=d;return k|0}d=h+4|0;j=f[d>>2]|0;if(!j){l=h+8|0;m=f[l>>2]|0;if((f[m>>2]|0)==(h|0))n=m;else{m=l;do{l=f[m>>2]|0;m=l+8|0;o=f[m>>2]|0}while((f[o>>2]|0)!=(l|0));n=o}}else{m=j;while(1){j=f[m>>2]|0;if(!j)break;else m=j}n=m}if((n|0)!=(g|0)?(i|0)>=(f[n+16>>2]|0):0){m=f[g>>2]|0;if(!m){f[c>>2]=g;k=g;return k|0}j=a+4|0;o=m;while(1){m=f[o+16>>2]|0;if((i|0)<(m|0)){l=f[o>>2]|0;if(!l){p=39;break}else{q=o;r=l}}else{if((m|0)>=(i|0)){p=43;break}s=o+4|0;m=f[s>>2]|0;if(!m){p=42;break}else{q=s;r=m}}j=q;o=r}if((p|0)==39){f[c>>2]=o;k=o;return k|0}else if((p|0)==42){f[c>>2]=o;k=s;return k|0}else if((p|0)==43){f[c>>2]=o;k=j;return k|0}}if(!(f[h+4>>2]|0)){f[c>>2]=b;k=d;return k|0}else{f[c>>2]=n;k=n;return k|0}}n=f[h>>2]|0;if((h|0)!=(f[a>>2]|0)){if(!n){d=h;while(1){j=f[d+8>>2]|0;if((f[j>>2]|0)==(d|0))d=j;else{t=j;break}}}else{d=n;while(1){j=f[d+4>>2]|0;if(!j){t=d;break}else d=j}}d=f[e>>2]|0;if((f[t+16>>2]|0)>=(d|0)){e=f[g>>2]|0;if(!e){f[c>>2]=g;k=g;return k|0}g=a+4|0;a=e;while(1){e=f[a+16>>2]|0;if((d|0)<(e|0)){j=f[a>>2]|0;if(!j){p=17;break}else{u=a;v=j}}else{if((e|0)>=(d|0)){p=21;break}w=a+4|0;e=f[w>>2]|0;if(!e){p=20;break}else{u=w;v=e}}g=u;a=v}if((p|0)==17){f[c>>2]=a;k=a;return k|0}else if((p|0)==20){f[c>>2]=a;k=w;return k|0}else if((p|0)==21){f[c>>2]=a;k=g;return k|0}}else x=t}else x=b;if(!n){f[c>>2]=h;k=h;return k|0}else{h=x;f[c>>2]=h;k=h+4|0;return k|0}return 0}function rtb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;f[a>>2]=0;c=a+4|0;f[c>>2]=0;f[a+8>>2]=0;d=b+4|0;e=(f[d>>2]|0)-(f[b>>2]|0)|0;g=(e|0)/24|0;if(!e)return;if(g>>>0>178956970)Ukc(a);h=Bmc(e)|0;f[c>>2]=h;f[a>>2]=h;f[a+8>>2]=h+(g*24|0);g=f[b>>2]|0;b=(f[d>>2]|0)-g|0;if((b|0)<=0)return;Krc(h|0,g|0,b|0)|0;f[c>>2]=h+(((b>>>0)/24|0)*24|0);return}function stb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;h=g;if(((d-g|0)/12|0)>>>0>=b>>>0){Drc(g|0,0,b*12|0)|0;f[e>>2]=h+(b*12|0);return}i=f[a>>2]|0;j=(g-i|0)/12|0;k=j+b|0;l=i;if(k>>>0>357913941)Ukc(a);m=(d-i|0)/12|0;i=m<<1;d=m>>>0<178956970?(i>>>0<k>>>0?k:i):357913941;do if(d)if(d>>>0>357913941){i=ye(8)|0;Jmc(i,511852);f[i>>2]=165276;Gf(i|0,26776,1555)}else{n=Bmc(d*12|0)|0;break}else n=0;while(0);i=n+(j*12|0)|0;j=i;k=n+(d*12|0)|0;Drc(i|0,0,b*12|0)|0;d=i+(b*12|0)|0;if((h|0)==(l|0)){o=j;p=g;q=h}else{g=h;h=j;j=i;do{g=g+-12|0;YA(j+-12|0,g);j=h+-12|0;h=j}while((g|0)!=(l|0));o=h;p=f[a>>2]|0;q=f[e>>2]|0}f[a>>2]=o;f[e>>2]=d;f[c>>2]=k;k=p;if((q|0)!=(k|0)){c=q;do{q=c;c=c+-12|0;d=f[c>>2]|0;if(d|0){e=q+-8|0;q=f[e>>2]|0;if((q|0)!=(d|0))f[e>>2]=q+(~((q+-4-d|0)>>>2)<<2);Emc(d)}}while((c|0)!=(k|0))}if(!p)return;Emc(p);return}function ttb(a,b){a=a|0;b=b|0;var c=0;c=Bmc(72)|0;utb(c,b);b=Bmc(16)|0;f[b+4>>2]=1;f[b>>2]=137204;f[b+8>>2]=c;f[a>>2]=b;f[a+4>>2]=c;return}function utb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=u;u=u+16|0;e=d;uCa(a);f[a>>2]=137224;g=a+40|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;f[e>>2]=0;f[e+4>>2]=0;g=YG(e,5)|0;b[g>>0]=b[483579]|0;b[g+1>>0]=b[483580]|0;b[g+2>>0]=b[483581]|0;b[g+3>>0]=b[483582]|0;b[g+4>>0]=b[483583]|0;g=c+4|0;h=f[g>>2]|0;do if(h){i=f[e>>2]|0;j=(i|0)==0?1163146:i;k=g;l=h;a:while(1){m=l;while(1){n=f[m+16>>2]|0;if((n|0)==(i|0))break;if((o7b((n|0)==0?1163146:n,j)|0)>=0)break;n=f[m+4>>2]|0;if(!n){o=k;break a}else m=n}l=f[m>>2]|0;if(!l){o=m;break}else k=m}if((o|0)!=(g|0)){k=f[o+16>>2]|0;if((i|0)!=(k|0)?(o7b(j,(k|0)==0?1163146:k)|0)<=-1:0){p=1;break}k=rCa(o+24|0,-1)|0;p=k}else p=1}else p=1;while(0);f[a+36>>2]=p;ZG(e);vCa(a,c);u=d;return}function vtb(a){a=a|0;Emc(a);return}function wtb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function xtb(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=137224;b=f[a+60>>2]|0;if(b|0){c=a+64|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+48>>2]|0;if(b|0){d=a+52|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-4-b|0)>>>2)<<2);Emc(b)}b=a+40|0;c=f[b>>2]|0;if(c|0?(d=c+4|0,e=f[d>>2]|0,f[d>>2]=e+-1,(e|0)==1):0)ai[f[(f[c>>2]|0)+8>>2]&2047](c);f[b>>2]=0;f[a+44>>2]=0;Nza(a);return}function ytb(a){a=a|0;xtb(a);Emc(a);return}function ztb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;e=u;u=u+192|0;g=e+180|0;h=e+168|0;i=e+128|0;j=e+112|0;k=e+56|0;l=e;m=a+36|0;if((f[m>>2]|0)==1){u=e;return}f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;rD(c,g);rD(d,h);f[i+4>>2]=0;f[i+8>>2]=0;f[i>>2]=i+4;d=i+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[d+24>>2]=0;f[j>>2]=0;f[j+4>>2]=0;d=YG(j,5)|0;b[d>>0]=b[467464]|0;b[d+1>>0]=b[467465]|0;b[d+2>>0]=b[467466]|0;b[d+3>>0]=b[467467]|0;b[d+4>>0]=b[467468]|0;d=Bmc(16)|0;f[d>>2]=d+8;f[d+4>>2]=4;c=Dmc(32)|0;f[d>>2]=c;f[k>>2]=0;f[k+4>>2]=d;d=c;f[d>>2]=0;f[d+4>>2]=0;d=c+8|0;f[d>>2]=2;f[d+4>>2]=0;d=c+16|0;f[d>>2]=1;f[d+4>>2]=0;d=c+24|0;f[d>>2]=3;f[d+4>>2]=0;MCa(i,j,k)|0;rza(k);ZG(j);bpb(j,i);d=a+40|0;c=f[j>>2]|0;n=f[j+4>>2]|0;if(c|0){o=c+4|0;f[o>>2]=(f[o>>2]|0)+1}o=f[d>>2]|0;f[d>>2]=c;c=a+44|0;f[c>>2]=n;if(o|0?(n=o+4|0,d=f[n>>2]|0,f[n>>2]=d+-1,(d|0)==1):0)ai[f[(f[o>>2]|0)+8>>2]&2047](o);o=f[j>>2]|0;if(o|0?(d=o+4|0,n=f[d>>2]|0,f[d>>2]=n+-1,(n|0)==1):0)ai[f[(f[o>>2]|0)+8>>2]&2047](o);o=f[g>>2]|0;n=f[h>>2]|0;d=a+48|0;p=a+52|0;q=f[p>>2]|0;r=f[d>>2]|0;s=q-r>>2;t=r;r=q;if(s>>>0>=4)if((s|0)!=4?(q=t+16|0,(r|0)!=(q|0)):0){f[p>>2]=r+(~((r+-4-q|0)>>>2)<<2);v=t}else v=t;else{$C(d,4-s|0);v=f[d>>2]|0}s=f[o+40>>2]|0;f[v>>2]=f[s>>2];f[v+4>>2]=f[m>>2];f[v+8>>2]=(f[s+4>>2]|0)/(f[m>>2]|0)|0;m=Y(f[s+12>>2]|0,f[s+8>>2]|0)|0;f[v+12>>2]=m;m=a+60|0;s=a+64|0;a=f[s>>2]|0;t=f[m>>2]|0;q=a-t>>2;r=t;t=a;if(q>>>0>=4)if((q|0)!=4?(a=r+16|0,(t|0)!=(a|0)):0){f[s>>2]=t+(~((t+-4-a|0)>>>2)<<2);w=v;x=r}else{w=v;x=r}else{$C(m,4-q|0);w=f[d>>2]|0;x=f[m>>2]|0}f[x>>2]=f[w>>2];f[x+4>>2]=f[w+8>>2];f[x+8>>2]=f[w+4>>2];f[x+12>>2]=f[w+12>>2];zP(k,o,1,d);mAa(j,1,k);d=k+36|0;o=f[d>>2]|0;if(o|0?(w=o+12|0,o=f[w>>2]|0,f[w>>2]=o+-1,(o|0)==1):0)lP(k);f[d>>2]=0;d=k+16|0;o=k+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[o>>2]|0)>0){d=f[k+40>>2]|0;w=0;do{f[d+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[o>>2]|0))}o=f[k+44>>2]|0;if((o|0)!=(k+48|0))tE(o);zP(l,n,1,m);mAa(k,1,l);m=l+36|0;n=f[m>>2]|0;if(n|0?(o=n+12|0,n=f[o>>2]|0,f[o>>2]=n+-1,(n|0)==1):0)lP(l);f[m>>2]=0;m=l+16|0;n=l+4|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[n>>2]|0)>0){m=f[l+40>>2]|0;o=0;do{f[m+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[n>>2]|0))}n=f[l+44>>2]|0;if((n|0)!=(l+48|0))tE(n);wCa(f[c>>2]|0,j,k);rt(k);rt(j);qza(i);rt(h);rt(g);u=e;return}
function pcb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+88|0;k=a+16|0;l=a+32|0;m=a+36|0;n=a+40|0;o=a+124|0;p=a+128|0;q=a+132|0;r=a+136|0;s=a+92|0;t=a+140|0;v=a+144|0;w=a+148|0;x=a+152|0;y=a+156|0;z=a+160|0;A=a+96|0;B=a+169|0;C=e+8|0;D=a+192|0;E=a+4|0;F=a+164|0;G=a+168|0;H=e+8|0;I=a+184|0;K=e+8|0;L=a+112|0;M=e+4|0;N=a+44|0;O=a+56|0;P=a+52|0;Q=a+48|0;R=e+4|0;S=a+170|0;T=e+8|0;U=a+100|0;V=a+116|0;W=e+4|0;X=a+120|0;Y=e+4|0;Z=a+60|0;_=a+72|0;$=a+68|0;aa=a+64|0;ba=e+4|0;ca=a+197|0;da=e+8|0;ea=a+104|0;fa=a+172|0;ga=a+200|0;ha=a+196|0;ia=e+8|0;ja=a+204|0;ka=a+76|0;la=a+80|0;ma=a+84|0;na=a+208|0;oa=a+12|0;pa=a+212|0;qa=a+216|0;ra=a+220|0;sa=a+176|0;ta=a+108|0;a:while(1){a=f[c>>2]|0;ua=f[g>>2]|0;do if(a>>>0<ua>>>0){va=b[a>>0]|0;wa=va&255;xa=a+1|0;if(va<<24>>24>0){ya=xa;za=wa}else{if(xa>>>0>=ua>>>0){Aa=wa;Ba=7;break}va=h[xa>>0]|0;if(((va^128)&wa)>>>0<=127){Aa=wa;Ba=7;break}ya=a+2|0;za=wa+-128+(va<<7)|0}f[c>>2]=ya;Ca=za;Ba=9}else{Aa=0;Ba=7}while(0);if((Ba|0)==7){Ba=0;a=xCb(c,Aa)|0;if((a+-1|0)>>>0<16383){Ca=a;Ba=9}else Da=a}b:do if((Ba|0)==9){Ba=0;do switch(Ca>>>3&536870911|0){case 1:{if((Ca&255|0)!=10){Da=Ca;break b}f[i>>2]=f[i>>2]|1;a=f[j>>2]|0;if((a|0)==535416){aFa(j,535416);Ea=f[j>>2]|0}else Ea=a;if(HEb(c,Ea)|0)continue a;else{Fa=0;Ba=331;break a}break}case 2:{if((Ca&255|0)!=18){Da=Ca;break b}if(HEb(c,dFa(k)|0)|0)continue a;else{Fa=0;Ba=331;break a}break}case 3:{switch((Ca&255)<<24>>24){case 24:break;case 26:{if(Wcb(c,l)|0)continue a;else{Fa=0;Ba=331;break a}break}default:{Da=Ca;break b}}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){ua=b[a>>0]|0;va=ua&255;if(ua<<24>>24>-1){f[c>>2]=a+1;Ga=va}else{Ha=va;Ba=20}}else{Ha=0;Ba=20}if((Ba|0)==20){Ba=0;va=iCb(c,Ha)|0;a=J;if((a|0)>-1|(a|0)==-1&va>>>0>4294967295)Ga=va;else{Fa=0;Ba=331;break a}}va=f[l>>2]|0;if((va|0)==(f[m>>2]|0)){eFa(l,va+1|0);Ia=f[l>>2]|0}else Ia=va;va=f[n>>2]|0;f[l>>2]=Ia+1;f[va+4+(Ia<<2)>>2]=Ga;a=(f[m>>2]|0)-(f[l>>2]|0)|0;if((a|0)>0){Ja=a;Ka=va}else continue a;while(1){va=f[c>>2]|0;a=f[g>>2]|0;if(va>>>0>=a>>>0)continue a;if((b[va>>0]|0)!=24)continue a;ua=va+1|0;f[c>>2]=ua;if(ua>>>0<a>>>0){a=b[ua>>0]|0;ua=a&255;if(a<<24>>24>-1){f[c>>2]=va+2;La=ua;Ma=Ka}else{Na=ua;Ba=28}}else{Na=0;Ba=28}if((Ba|0)==28){Ba=0;ua=iCb(c,Na)|0;va=J;if(!((va|0)>-1|(va|0)==-1&ua>>>0>4294967295)){Fa=0;Ba=331;break a}La=ua;Ma=f[n>>2]|0}ua=f[l>>2]|0;f[l>>2]=ua+1;f[Ma+4+(ua<<2)>>2]=La;if((Ja|0)>1){Ja=Ja+-1|0;Ka=Ma}else continue a}break}case 4:{if((Ca&255|0)!=32){Da=Ca;break b}f[i>>2]=f[i>>2]|512;ua=f[c>>2]|0;if(ua>>>0<(f[g>>2]|0)>>>0){va=b[ua>>0]|0;a=va&255;if(va<<24>>24>-1){f[c>>2]=ua+1;Oa=a}else{Pa=a;Ba=37}}else{Pa=0;Ba=37}if((Ba|0)==37){Ba=0;a=iCb(c,Pa)|0;ua=J;if((ua|0)>-1|(ua|0)==-1&a>>>0>4294967295)Oa=a;else{Fa=0;Ba=331;break a}}f[o>>2]=Oa;continue a;break}case 5:{if((Ca&255|0)!=45){Da=Ca;break b}f[i>>2]=f[i>>2]|1024;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){ua=a;va=h[ua>>0]|h[ua+1>>0]<<8|h[ua+2>>0]<<16|h[ua+3>>0]<<24;f[e>>2]=va;f[c>>2]=a+4;Qa=va}else{if(!(uCb(c,e)|0)){Ba=45;break a}Qa=f[e>>2]|0}f[p>>2]=Qa;continue a;break}case 6:{if((Ca&255|0)!=48){Da=Ca;break b}f[i>>2]=f[i>>2]|2048;va=f[c>>2]|0;if(va>>>0<(f[g>>2]|0)>>>0){a=b[va>>0]|0;ua=a&255;if(a<<24>>24>-1){f[c>>2]=va+1;Ra=ua}else{Sa=ua;Ba=50}}else{Sa=0;Ba=50}if((Ba|0)==50){Ba=0;ua=iCb(c,Sa)|0;va=J;if((va|0)>-1|(va|0)==-1&ua>>>0>4294967295)Ra=ua;else{Fa=0;Ba=331;break a}}f[q>>2]=Ra;continue a;break}case 7:{if((Ca&255|0)!=56){Da=Ca;break b}f[i>>2]=f[i>>2]|4096;ua=f[c>>2]|0;if(ua>>>0<(f[g>>2]|0)>>>0){va=b[ua>>0]|0;a=va&255;if(va<<24>>24>-1){f[c>>2]=ua+1;Ta=a}else{Ua=a;Ba=56}}else{Ua=0;Ba=56}if((Ba|0)==56){Ba=0;a=iCb(c,Ua)|0;ua=J;if((ua|0)>-1|(ua|0)==-1&a>>>0>4294967295)Ta=a;else{Fa=0;Ba=331;break a}}f[r>>2]=Ta;continue a;break}case 8:{if((Ca&255|0)!=66){Da=Ca;break b}f[i>>2]=f[i>>2]|2;a=f[s>>2]|0;if((a|0)==535416){aFa(s,535416);Va=f[s>>2]|0}else Va=a;if(HEb(c,Va)|0)continue a;else{Fa=0;Ba=331;break a}break}case 9:{if((Ca&255|0)!=77){Da=Ca;break b}f[i>>2]=f[i>>2]|8192;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){ua=a;va=h[ua>>0]|h[ua+1>>0]<<8|h[ua+2>>0]<<16|h[ua+3>>0]<<24;f[e>>2]=va;f[c>>2]=a+4;Wa=va}else{if(!(uCb(c,e)|0)){Ba=68;break a}Wa=f[e>>2]|0}f[t>>2]=Wa;continue a;break}case 10:{if((Ca&255|0)!=85){Da=Ca;break b}f[i>>2]=f[i>>2]|16384;va=f[c>>2]|0;if(((f[g>>2]|0)-va|0)>3){a=va;ua=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=ua;f[c>>2]=va+4;Xa=ua}else{if(!(uCb(c,e)|0)){Ba=75;break a}Xa=f[e>>2]|0}f[v>>2]=Xa;continue a;break}case 11:{if((Ca&255|0)!=93){Da=Ca;break b}f[i>>2]=f[i>>2]|32768;ua=f[c>>2]|0;if(((f[g>>2]|0)-ua|0)>3){va=ua;a=h[va>>0]|h[va+1>>0]<<8|h[va+2>>0]<<16|h[va+3>>0]<<24;f[e>>2]=a;f[c>>2]=ua+4;Ya=a}else{if(!(uCb(c,e)|0)){Ba=82;break a}Ya=f[e>>2]|0}f[w>>2]=Ya;continue a;break}case 12:{if((Ca&255|0)!=101){Da=Ca;break b}f[i>>2]=f[i>>2]|65536;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){ua=a;va=h[ua>>0]|h[ua+1>>0]<<8|h[ua+2>>0]<<16|h[ua+3>>0]<<24;f[e>>2]=va;f[c>>2]=a+4;Za=va}else{if(!(uCb(c,e)|0)){Ba=89;break a}Za=f[e>>2]|0}f[x>>2]=Za;continue a;break}case 13:{if((Ca&255|0)!=104){Da=Ca;break b}f[i>>2]=f[i>>2]|131072;va=f[c>>2]|0;if(va>>>0<(f[g>>2]|0)>>>0){a=b[va>>0]|0;ua=a&255;if(a<<24>>24>-1){f[c>>2]=va+1;_a=ua}else{$a=ua;Ba=94}}else{$a=0;Ba=94}if((Ba|0)==94){Ba=0;ua=iCb(c,$a)|0;va=J;if((va|0)>-1|(va|0)==-1&ua>>>0>4294967295)_a=ua;else{Fa=0;Ba=331;break a}}f[y>>2]=_a;continue a;break}case 14:{if((Ca&255|0)!=112){Da=Ca;break b}f[i>>2]=f[i>>2]|262144;ua=f[c>>2]|0;if(ua>>>0<(f[g>>2]|0)>>>0){va=b[ua>>0]|0;a=va&255;if(va<<24>>24>-1){f[c>>2]=ua+1;ab=a}else{bb=a;Ba=100}}else{bb=0;Ba=100}if((Ba|0)==100){Ba=0;a=iCb(c,bb)|0;ua=J;if((ua|0)>-1|(ua|0)==-1&a>>>0>4294967295)ab=a;else{Fa=0;Ba=331;break a}}f[z>>2]=ab;continue a;break}case 15:{if((Ca&255|0)!=122){Da=Ca;break b}f[i>>2]=f[i>>2]|4;a=f[A>>2]|0;if((a|0)==535416){aFa(A,535416);cb=f[A>>2]|0}else cb=a;if(HEb(c,cb)|0)continue a;else{Fa=0;Ba=331;break a}break}case 16:{if((Ca&255|0)!=128){Da=Ca;break b}f[i>>2]=f[i>>2]|2097152;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(ua=b[a>>0]|0,ua<<24>>24>-1):0){f[c>>2]=a+1;db=ua<<24>>24!=0}else{jCb(e,c);ua=e;if(!(b[C>>0]|0)){Fa=0;Ba=331;break a}else db=(f[ua>>2]|0)!=0|(f[ua+4>>2]|0)!=0}b[B>>0]=db&1;continue a;break}case 17:{if((Ca&255|0)!=136){Da=Ca;break b}ua=f[c>>2]|0;if(ua>>>0<(f[g>>2]|0)>>>0){a=b[ua>>0]|0;va=a&255;if(a<<24>>24>-1){f[c>>2]=ua+1;eb=va}else{fb=va;Ba=116}}else{fb=0;Ba=116}if((Ba|0)==116){Ba=0;va=iCb(c,fb)|0;ua=J;if((ua|0)>-1|(ua|0)==-1&va>>>0>4294967295)eb=va;else{Fa=0;Ba=331;break a}}if(eb>>>0<2){f[i>>2]=f[i>>2]|67108864;f[D>>2]=eb;continue a}va=f[E>>2]|0;if(!(va&1))gb=AHa(E)|0;else gb=va&-2;R3b(gb,17,eb,((eb|0)<0)<<31>>31);continue a;break}case 18:{if((Ca&255|0)!=144){Da=Ca;break b}f[i>>2]=f[i>>2]|524288;va=f[c>>2]|0;if(va>>>0<(f[g>>2]|0)>>>0){ua=b[va>>0]|0;a=ua&255;if(ua<<24>>24>-1){f[c>>2]=va+1;hb=a}else{ib=a;Ba=127}}else{ib=0;Ba=127}if((Ba|0)==127){Ba=0;a=iCb(c,ib)|0;va=J;if((va|0)>-1|(va|0)==-1&a>>>0>4294967295)hb=a;else{Fa=0;Ba=331;break a}}f[F>>2]=hb;continue a;break}case 19:{if((Ca&255|0)!=152){Da=Ca;break b}f[i>>2]=f[i>>2]|1048576;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(va=b[a>>0]|0,va<<24>>24>-1):0){f[c>>2]=a+1;jb=va<<24>>24!=0}else{jCb(e,c);va=e;if(!(b[H>>0]|0)){Fa=0;Ba=331;break a}else jb=(f[va>>2]|0)!=0|(f[va+4>>2]|0)!=0}b[G>>0]=jb&1;continue a;break}case 20:{if((Ca&255|0)!=160){Da=Ca;break b}f[i>>2]=f[i>>2]|33554432;va=f[c>>2]|0;if(va>>>0<(f[g>>2]|0)>>>0?(a=b[va>>0]|0,a<<24>>24>-1):0){f[c>>2]=va+1;kb=a&255;lb=0}else{jCb(e,c);a=e;if(!(b[K>>0]|0)){Fa=0;Ba=331;break a}else{kb=f[a>>2]|0;lb=f[a+4>>2]|0}}a=I;f[a>>2]=kb;f[a+4>>2]=lb;continue a;break}case 21:{if((Ca&255|0)!=170){Da=Ca;break b}f[i>>2]=f[i>>2]|64;a=f[L>>2]|0;if(!a){va=Bmc(104)|0;Bcb(va);f[L>>2]=va;mb=va}else mb=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(va=b[a>>0]|0,va<<24>>24>-1):0){f[c>>2]=a+1;nb=va&255}else{va=wCb(c)|0;if((va|0)>-1)nb=va;else{Fa=0;Ba=331;break a}}hCb(e,c,nb);if((f[M>>2]|0)<0){Ba=150;break a}if(!(Sh[f[(f[mb>>2]|0)+44>>2]&511](mb,c)|0)){Ba=150;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Fa=0;Ba=331;break a}break}case 22:{if((Ca&255|0)!=178){Da=Ca;break b}va=f[O>>2]|0;do if(va){a=f[Q>>2]|0;ua=f[va>>2]|0;if((a|0)>=(ua|0))if((ua|0)==(f[P>>2]|0)){ob=ua;Ba=158;break}else{pb=ua;qb=va;Ba=159;break}else{f[Q>>2]=a+1;rb=f[va+4+(a<<2)>>2]|0;break}}else{ob=f[P>>2]|0;Ba=158}while(0);if((Ba|0)==158){Ba=0;uDb(N,ob+1|0);va=f[O>>2]|0;pb=f[va>>2]|0;qb=va;Ba=159}if((Ba|0)==159){Ba=0;f[qb>>2]=pb+1;va=f[N>>2]|0;if(!va){a=Bmc(104)|0;Bcb(a);sb=a}else{if(f[va+64>>2]|0)pBb(va,20360,104);a=oBb(va,104,1654)|0;Bcb(a);sb=a}a=f[O>>2]|0;va=f[Q>>2]|0;f[Q>>2]=va+1;f[a+4+(va<<2)>>2]=sb;rb=sb}va=f[c>>2]|0;if(va>>>0<(f[g>>2]|0)>>>0?(a=b[va>>0]|0,a<<24>>24>-1):0){f[c>>2]=va+1;tb=a&255}else{a=wCb(c)|0;if((a|0)>-1)tb=a;else{Fa=0;Ba=331;break a}}hCb(e,c,tb);if((f[R>>2]|0)<0){Ba=171;break a}if(!(Sh[f[(f[rb>>2]|0)+44>>2]&511](rb,c)|0)){Ba=171;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Fa=0;Ba=331;break a}break}case 23:{if((Ca&255|0)!=184){Da=Ca;break b}f[i>>2]=f[i>>2]|4194304;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(va=b[a>>0]|0,va<<24>>24>-1):0){f[c>>2]=a+1;ub=va<<24>>24!=0}else{jCb(e,c);va=e;if(!(b[T>>0]|0)){Fa=0;Ba=331;break a}else ub=(f[va>>2]|0)!=0|(f[va+4>>2]|0)!=0}b[S>>0]=ub&1;continue a;break}case 24:{if((Ca&255|0)!=194){Da=Ca;break b}f[i>>2]=f[i>>2]|8;va=f[U>>2]|0;if((va|0)==535416){aFa(U,535416);vb=f[U>>2]|0}else vb=va;if(HEb(c,vb)|0)continue a;else{Fa=0;Ba=331;break a}break}case 25:{if((Ca&255|0)!=202){Da=Ca;break b}f[i>>2]=f[i>>2]|128;va=f[V>>2]|0;if(!va){a=Bmc(104)|0;Bcb(a);f[V>>2]=a;wb=a}else wb=va;va=f[c>>2]|0;if(va>>>0<(f[g>>2]|0)>>>0?(a=b[va>>0]|0,a<<24>>24>-1):0){f[c>>2]=va+1;xb=a&255}else{a=wCb(c)|0;if((a|0)>-1)xb=a;else{Fa=0;Ba=331;break a}}hCb(e,c,xb);if((f[W>>2]|0)<0){Ba=192;break a}if(!(Sh[f[(f[wb>>2]|0)+44>>2]&511](wb,c)|0)){Ba=192;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Fa=0;Ba=331;break a}break}case 26:{if((Ca&255|0)!=210){Da=Ca;break b}f[i>>2]=f[i>>2]|256;a=f[X>>2]|0;if(!a){va=Bmc(40)|0;Rbb(va);f[X>>2]=va;yb=va}else yb=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(va=b[a>>0]|0,va<<24>>24>-1):0){f[c>>2]=a+1;zb=va&255}else{va=wCb(c)|0;if((va|0)>-1)zb=va;else{Fa=0;Ba=331;break a}}hCb(e,c,zb);if((f[Y>>2]|0)<0){Ba=203;break a}if(!(Sh[f[(f[yb>>2]|0)+44>>2]&511](yb,c)|0)){Ba=203;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Fa=0;Ba=331;break a}break}case 27:{if((Ca&255|0)!=218){Da=Ca;break b}va=f[_>>2]|0;do if(va){a=f[aa>>2]|0;ua=f[va>>2]|0;if((a|0)>=(ua|0))if((ua|0)==(f[$>>2]|0)){Ab=ua;Ba=211;break}else{Bb=ua;Cb=va;Ba=212;break}else{f[aa>>2]=a+1;Db=f[va+4+(a<<2)>>2]|0;break}}else{Ab=f[$>>2]|0;Ba=211}while(0);if((Ba|0)==211){Ba=0;uDb(Z,Ab+1|0);va=f[_>>2]|0;Bb=f[va>>2]|0;Cb=va;Ba=212}if((Ba|0)==212){Ba=0;f[Cb>>2]=Bb+1;va=f[Z>>2]|0;if(!va){a=Bmc(40)|0;Rbb(a);Eb=a}else{if(f[va+64>>2]|0)pBb(va,20312,40);a=oBb(va,40,1655)|0;Rbb(a);Eb=a}a=f[_>>2]|0;va=f[aa>>2]|0;f[aa>>2]=va+1;f[a+4+(va<<2)>>2]=Eb;Db=Eb}va=f[c>>2]|0;if(va>>>0<(f[g>>2]|0)>>>0?(a=b[va>>0]|0,a<<24>>24>-1):0){f[c>>2]=va+1;Fb=a&255}else{a=wCb(c)|0;if((a|0)>-1)Fb=a;else{Fa=0;Ba=331;break a}}hCb(e,c,Fb);if((f[ba>>2]|0)<0){Ba=224;break a}if(!(Sh[f[(f[Db>>2]|0)+44>>2]&511](Db,c)|0)){Ba=224;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Fa=0;Ba=331;break a}break}case 28:{if((Ca&255|0)!=224){Da=Ca;break b}f[i>>2]=f[i>>2]|268435456;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(va=b[a>>0]|0,va<<24>>24>-1):0){f[c>>2]=a+1;Gb=va<<24>>24!=0}else{jCb(e,c);va=e;if(!(b[da>>0]|0)){Fa=0;Ba=331;break a}else Gb=(f[va>>2]|0)!=0|(f[va+4>>2]|0)!=0}b[ca>>0]=Gb&1;continue a;break}case 29:{if((Ca&255|0)!=234){Da=Ca;break b}f[i>>2]=f[i>>2]|16;va=f[ea>>2]|0;if((va|0)==533456){aFa(ea,533456);Hb=f[ea>>2]|0}else Hb=va;if(HEb(c,Hb)|0)continue a;else{Fa=0;Ba=331;break a}break}case 30:{if((Ca&255|0)!=240){Da=Ca;break b}va=f[c>>2]|0;if(va>>>0<(f[g>>2]|0)>>>0){a=b[va>>0]|0;ua=a&255;if(a<<24>>24>-1){f[c>>2]=va+1;Ib=ua}else{Jb=ua;Ba=240}}else{Jb=0;Ba=240}if((Ba|0)==240){Ba=0;ua=iCb(c,Jb)|0;va=J;if((va|0)>-1|(va|0)==-1&ua>>>0>4294967295)Ib=ua;else{Fa=0;Ba=331;break a}}if(Ib>>>0<6){f[i>>2]=f[i>>2]|8388608;f[fa>>2]=Ib;continue a}ua=f[E>>2]|0;if(!(ua&1))Kb=AHa(E)|0;else Kb=ua&-2;R3b(Kb,30,Ib,((Ib|0)<0)<<31>>31);continue a;break}case 31:{if((Ca&255|0)!=253){Da=Ca;break b}f[i>>2]=f[i>>2]|536870912;ua=f[c>>2]|0;if(((f[g>>2]|0)-ua|0)>3){va=ua;a=h[va>>0]|h[va+1>>0]<<8|h[va+2>>0]<<16|h[va+3>>0]<<24;f[e>>2]=a;f[c>>2]=ua+4;Lb=a}else{if(!(uCb(c,e)|0)){Ba=253;break a}Lb=f[e>>2]|0}f[ga>>2]=Lb;continue a;break}case 32:{if(Ca&255|0){Da=Ca;break b}f[i>>2]=f[i>>2]|134217728;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(ua=b[a>>0]|0,ua<<24>>24>-1):0){f[c>>2]=a+1;Mb=ua<<24>>24!=0}else{jCb(e,c);ua=e;if(!(b[ia>>0]|0)){Fa=0;Ba=331;break a}else Mb=(f[ua>>2]|0)!=0|(f[ua+4>>2]|0)!=0}b[ha>>0]=Mb&1;continue a;break}case 33:{if((Ca&255|0)!=8){Da=Ca;break b}f[i>>2]=f[i>>2]|1073741824;ua=f[c>>2]|0;if(ua>>>0<(f[g>>2]|0)>>>0){a=b[ua>>0]|0;va=a&255;if(a<<24>>24>-1){f[c>>2]=ua+1;Nb=va}else{Ob=va;Ba=264}}else{Ob=0;Ba=264}if((Ba|0)==264){Ba=0;va=iCb(c,Ob)|0;ua=J;if((ua|0)>-1|(ua|0)==-1&va>>>0>4294967295)Nb=va;else{Fa=0;Ba=331;break a}}f[ja>>2]=Nb;continue a;break}case 34:{switch((Ca&255)<<24>>24){case 16:break;case 18:{if(Wcb(c,ka)|0)continue a;else{Fa=0;Ba=331;break a}break}default:{Da=Ca;break b}}va=f[c>>2]|0;if(va>>>0<(f[g>>2]|0)>>>0){ua=b[va>>0]|0;a=ua&255;if(ua<<24>>24>-1){f[c>>2]=va+1;Pb=a}else{Qb=a;Ba=270}}else{Qb=0;Ba=270}if((Ba|0)==270){Ba=0;a=iCb(c,Qb)|0;va=J;if((va|0)>-1|(va|0)==-1&a>>>0>4294967295)Pb=a;else{Fa=0;Ba=331;break a}}a=f[ka>>2]|0;if((a|0)==(f[la>>2]|0)){eFa(ka,a+1|0);Rb=f[ka>>2]|0}else Rb=a;a=f[ma>>2]|0;f[ka>>2]=Rb+1;f[a+4+(Rb<<2)>>2]=Pb;va=(f[la>>2]|0)-(f[ka>>2]|0)|0;if((va|0)>0){Sb=va;Tb=a}else continue a;while(1){a=f[g>>2]|0;va=f[c>>2]|0;ua=va;if((a-va|0)<=1)continue a;if((b[ua>>0]|0)!=-112)continue a;if((b[ua+1>>0]|0)!=2)continue a;va=ua+2|0;f[c>>2]=va;if(va>>>0<a>>>0){a=b[va>>0]|0;va=a&255;if(a<<24>>24>-1){f[c>>2]=ua+3;Ub=va;Vb=Tb}else{Wb=va;Ba=279}}else{Wb=0;Ba=279}if((Ba|0)==279){Ba=0;va=iCb(c,Wb)|0;ua=J;if(!((ua|0)>-1|(ua|0)==-1&va>>>0>4294967295)){Fa=0;Ba=331;break a}Ub=va;Vb=f[ma>>2]|0}va=f[ka>>2]|0;f[ka>>2]=va+1;f[Vb+4+(va<<2)>>2]=Ub;if((Sb|0)>1){Sb=Sb+-1|0;Tb=Vb}else continue a}break}case 35:{if((Ca&255|0)!=29){Da=Ca;break b}f[i>>2]=f[i>>2]|-2147483648;va=f[c>>2]|0;if(((f[g>>2]|0)-va|0)>3){ua=va;a=h[ua>>0]|h[ua+1>>0]<<8|h[ua+2>>0]<<16|h[ua+3>>0]<<24;f[e>>2]=a;f[c>>2]=va+4;Xb=a}else{if(!(uCb(c,e)|0)){Ba=290;break a}Xb=f[e>>2]|0}f[na>>2]=Xb;continue a;break}case 36:{if((Ca&255|0)!=32){Da=Ca;break b}f[oa>>2]=f[oa>>2]|1;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){va=b[a>>0]|0;ua=va&255;if(va<<24>>24>-1){f[c>>2]=a+1;Yb=ua}else{Zb=ua;Ba=295}}else{Zb=0;Ba=295}if((Ba|0)==295){Ba=0;ua=iCb(c,Zb)|0;a=J;if((a|0)>-1|(a|0)==-1&ua>>>0>4294967295)Yb=ua;else{Fa=0;Ba=331;break a}}f[pa>>2]=Yb;continue a;break}case 37:{if((Ca&255|0)!=40){Da=Ca;break b}ua=f[c>>2]|0;if(ua>>>0<(f[g>>2]|0)>>>0){a=b[ua>>0]|0;va=a&255;if(a<<24>>24>-1){f[c>>2]=ua+1;_b=va}else{$b=va;Ba=301}}else{$b=0;Ba=301}if((Ba|0)==301){Ba=0;va=iCb(c,$b)|0;ua=J;if((ua|0)>-1|(ua|0)==-1&va>>>0>4294967295)_b=va;else{Fa=0;Ba=331;break a}}if(_b>>>0<2){f[oa>>2]=f[oa>>2]|2;f[qa>>2]=_b;continue a}va=f[E>>2]|0;if(!(va&1))ac=AHa(E)|0;else ac=va&-2;R3b(ac,37,_b,((_b|0)<0)<<31>>31);continue a;break}case 38:{if((Ca&255|0)!=53){Da=Ca;break b}f[oa>>2]=f[oa>>2]|4;va=f[c>>2]|0;if(((f[g>>2]|0)-va|0)>3){ua=va;a=h[ua>>0]|h[ua+1>>0]<<8|h[ua+2>>0]<<16|h[ua+3>>0]<<24;f[e>>2]=a;f[c>>2]=va+4;bc=a}else{if(!(uCb(c,e)|0)){Ba=314;break a}bc=f[e>>2]|0}f[ra>>2]=bc;continue a;break}case 39:{if((Ca&255|0)!=61){Da=Ca;break b}f[i>>2]=f[i>>2]|16777216;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){va=a;ua=h[va>>0]|h[va+1>>0]<<8|h[va+2>>0]<<16|h[va+3>>0]<<24;f[e>>2]=ua;f[c>>2]=a+4;cc=ua}else{if(!(uCb(c,e)|0)){Ba=321;break a}cc=f[e>>2]|0}f[sa>>2]=cc;continue a;break}case 40:{if((Ca&255|0)!=66){Da=Ca;break b}f[i>>2]=f[i>>2]|32;ua=f[ta>>2]|0;if((ua|0)==533472){aFa(ta,533472);dc=f[ta>>2]|0}else dc=ua;if(HEb(c,dc)|0)continue a;else{Fa=0;Ba=331;break a}break}default:{Da=Ca;break b}}while(0)}while(0);if(!Da){Fa=1;Ba=331;break}ua=f[E>>2]|0;if(!(ua&1))ec=AHa(E)|0;else ec=ua&-2;if(!(b4b(c,Da,ec)|0)){Fa=0;Ba=331;break}}switch(Ba|0){case 45:{Fa=0;u=d;return Fa|0}case 68:{Fa=0;u=d;return Fa|0}case 75:{Fa=0;u=d;return Fa|0}case 82:{Fa=0;u=d;return Fa|0}case 89:{Fa=0;u=d;return Fa|0}case 150:{Fa=0;u=d;return Fa|0}case 171:{Fa=0;u=d;return Fa|0}case 192:{Fa=0;u=d;return Fa|0}case 203:{Fa=0;u=d;return Fa|0}case 224:{Fa=0;u=d;return Fa|0}case 253:{Fa=0;u=d;return Fa|0}case 290:{Fa=0;u=d;return Fa|0}case 314:{Fa=0;u=d;return Fa|0}case 321:{Fa=0;u=d;return Fa|0}case 331:{u=d;return Fa|0}}return 0}function qcb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=f[a+20>>2]|0;e=c+d|0;if((c|0)>0){d=f[a+28>>2]|0;g=0;h=e;while(1){i=f[d+4+(g<<2)>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0?f[i+4>>2]|0:j&255;j=k+h+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=g+1|0;if((g|0)==(c|0)){l=j;break}else h=j}}else l=e;e=JEb(a+32|0)|0;h=f[a+48>>2]|0;c=e+l+(f[a+32>>2]|0)+(h<<1)|0;if(!h)m=c;else{l=a+56|0;e=0;g=c;while(1){c=f[(f[l>>2]|0)+4+(e<<2)>>2]|0;d=ci[f[(f[c>>2]|0)+48>>2]&1023](c)|0;c=d+g+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=e+1|0;if((e|0)==(h|0)){m=c;break}else g=c}}g=f[a+64>>2]|0;h=(g<<1)+m|0;if(!g)n=h;else{m=a+72|0;e=0;l=h;while(1){h=f[(f[m>>2]|0)+4+(e<<2)>>2]|0;c=ci[f[(f[h>>2]|0)+48>>2]&1023](h)|0;h=c+l+((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=e+1|0;if((e|0)==(g|0)){n=h;break}else l=h}}l=JEb(a+76|0)|0;g=l+n+(f[a+76>>2]<<1)|0;n=a+8|0;l=f[n>>2]|0;if(l&255){if(!(l&1))o=g;else{e=f[a+88>>2]|0;m=b[e+11>>0]|0;h=m<<24>>24<0?f[e+4>>2]|0:m&255;o=g+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(l&2))p=o;else{h=f[a+92>>2]|0;m=b[h+11>>0]|0;e=m<<24>>24<0?f[h+4>>2]|0:m&255;p=o+1+e+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(l&4))q=p;else{e=f[a+96>>2]|0;o=b[e+11>>0]|0;m=o<<24>>24<0?f[e+4>>2]|0:o&255;q=p+1+m+((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(l&8))r=q;else{m=f[a+100>>2]|0;p=b[m+11>>0]|0;o=p<<24>>24<0?f[m+4>>2]|0:p&255;r=q+2+o+((((($(o|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(l&16))s=r;else{o=f[a+104>>2]|0;q=b[o+11>>0]|0;p=q<<24>>24<0?f[o+4>>2]|0:q&255;s=r+2+p+((((($(p|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(l&32))t=s;else{p=f[a+108>>2]|0;r=b[p+11>>0]|0;q=r<<24>>24<0?f[p+4>>2]|0:r&255;t=s+2+q+((((($(q|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(l&64)){u=t;v=l}else{q=f[a+112>>2]|0;s=ci[f[(f[q>>2]|0)+48>>2]&1023](q)|0;q=t+2+s+((((($(s|1|0)|0)^31)*9|0)+73|0)>>>6)|0;u=q;v=f[n>>2]|0}if(!(v&128)){w=u;x=v}else{v=f[a+116>>2]|0;q=ci[f[(f[v>>2]|0)+48>>2]&1023](v)|0;v=u+2+q+((((($(q|1|0)|0)^31)*9|0)+73|0)>>>6)|0;w=v;x=f[n>>2]|0}}else{w=g;x=l}if(!(x&65280)){y=w;z=x}else{if(!(x&256)){A=w;B=x}else{x=f[a+120>>2]|0;l=ci[f[(f[x>>2]|0)+48>>2]&1023](x)|0;x=w+2+l+((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)|0;A=x;B=f[n>>2]|0}if(!(B&512))C=A;else{n=f[a+124>>2]|0;if((n|0)<0)D=10;else D=(((($(n|1|0)|0)^31)*9|0)+73|0)>>>6;C=A+1+D|0}D=B&1024|0?C+5|0:C;if(!(B&2048))E=D;else{C=f[a+132>>2]|0;if((C|0)<0)F=10;else F=(((($(C|1|0)|0)^31)*9|0)+73|0)>>>6;E=D+1+F|0}if(!(B&4096))G=E;else{F=f[a+136>>2]|0;if((F|0)<0)H=10;else H=(((($(F|1|0)|0)^31)*9|0)+73|0)>>>6;G=E+1+H|0}H=B&8192|0?G+5|0:G;G=B&16384|0?H+5|0:H;y=B&32768|0?G+5|0:G;z=B}if(z&16711680){B=z&65536|0?y+5|0:y;if(!(z&131072))I=B;else{G=f[a+156>>2]|0;if((G|0)<0)J=10;else J=(((($(G|1|0)|0)^31)*9|0)+73|0)>>>6;I=B+1+J|0}if(!(z&262144))K=I;else{J=f[a+160>>2]|0;if((J|0)<0)L=10;else L=(((($(J|1|0)|0)^31)*9|0)+73|0)>>>6;K=I+1+L|0}if(!(z&524288))M=K;else{L=f[a+164>>2]|0;if((L|0)<0)N=12;else N=((((($(L|1|0)|0)^31)*9|0)+73|0)>>>6)+2|0;M=N+K|0}K=z&1048576|0?M+3|0:M;M=z&2097152|0?K+3|0:K;K=z&4194304|0?M+3|0:M;if(!(z&8388608))O=K;else{M=f[a+172>>2]|0;if((M|0)<0)P=12;else P=((((($(M|1|0)|0)^31)*9|0)+73|0)>>>6)+2|0;O=P+K|0}}else O=y;if(z>>>0>16777215){y=z&16777216|0?O+6|0:O;if(!(z&33554432))Q=y;else{K=a+184|0;P=Prc(f[K>>2]|1|0,f[K+4>>2]|0,1)|0;Q=y+2+((((P^63)*9|0)+73|0)>>>6)|0}if(!(z&67108864))R=Q;else{P=f[a+192>>2]|0;if((P|0)<0)S=12;else S=((((($(P|1|0)|0)^31)*9|0)+73|0)>>>6)+2|0;R=S+Q|0}Q=z&134217728|0?R+3|0:R;R=z&268435456|0?Q+3|0:Q;Q=z&536870912|0?R+6|0:R;if(!(z&1073741824))T=Q;else{R=f[a+204>>2]|0;if((R|0)<0)U=12;else U=((((($(R|1|0)|0)^31)*9|0)+73|0)>>>6)+2|0;T=U+Q|0}V=(z|0)<0?T+6|0:T}else V=O;O=f[a+12>>2]|0;if(!(O&7)){W=V;X=a+224|0;f[X>>2]=W;return W|0}if(!(O&1))Y=V;else{T=f[a+212>>2]|0;if((T|0)<0)Z=12;else Z=((((($(T|1|0)|0)^31)*9|0)+73|0)>>>6)+2|0;Y=Z+V|0}if(!(O&2))_=Y;else{V=f[a+216>>2]|0;if((V|0)<0)aa=12;else aa=((((($(V|1|0)|0)^31)*9|0)+73|0)>>>6)+2|0;_=aa+Y|0}W=O&4|0?_+6|0:_;X=a+224|0;f[X>>2]=W;return W|0}function rcb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=a+8|0;e=f[d>>2]|0;if(e&1|0)BEb(1,f[a+88>>2]|0,c);g=f[a+20>>2]|0;if((g|0)>0){h=a+28|0;i=0;do{AEb(2,f[(f[h>>2]|0)+4+(i<<2)>>2]|0,c);i=i+1|0}while((i|0)!=(g|0))}g=f[a+32>>2]|0;if((g|0)>0){i=a+40|0;h=0;do{mEb(3,f[(f[i>>2]|0)+4+(h<<2)>>2]|0,c);h=h+1|0}while((h|0)!=(g|0))}if(e&512|0)mEb(4,f[a+124>>2]|0,c);if(e&1024|0)wEb(5,+n[a+128>>2],c);if(e&2048|0)mEb(6,f[a+132>>2]|0,c);if(e&4096|0)mEb(7,f[a+136>>2]|0,c);if(e&2|0)BEb(8,f[a+92>>2]|0,c);if(e&8192|0)wEb(9,+n[a+140>>2],c);if(e&16384|0)wEb(10,+n[a+144>>2],c);if(e&32768|0)wEb(11,+n[a+148>>2],c);if(e&65536|0)wEb(12,+n[a+152>>2],c);if(e&131072|0)mEb(13,f[a+156>>2]|0,c);if(e&262144|0)mEb(14,f[a+160>>2]|0,c);if(e&4|0)BEb(15,f[a+96>>2]|0,c);if(e&2097152|0)yEb(16,(b[a+169>>0]|0)!=0,c);if(e&67108864|0)zEb(17,f[a+192>>2]|0,c);if(e&524288|0)mEb(18,f[a+164>>2]|0,c);if(e&1048576|0)yEb(19,(b[a+168>>0]|0)!=0,c);if(e&33554432|0){g=a+184|0;nEb(20,f[g>>2]|0,f[g+4>>2]|0,c)}if(e&64|0)GEb(21,f[a+112>>2]|0,c);g=f[a+48>>2]|0;if(g|0){h=a+56|0;i=0;do{GEb(22,f[(f[h>>2]|0)+4+(i<<2)>>2]|0,c);i=i+1|0}while((i|0)!=(g|0))}if(e&4194304|0)yEb(23,(b[a+170>>0]|0)!=0,c);if(e&8|0)BEb(24,f[a+100>>2]|0,c);if(e&128|0)GEb(25,f[a+116>>2]|0,c);if(e&256|0)GEb(26,f[a+120>>2]|0,c);g=f[a+64>>2]|0;if(g|0){i=a+72|0;h=0;do{GEb(27,f[(f[i>>2]|0)+4+(h<<2)>>2]|0,c);h=h+1|0}while((h|0)!=(g|0))}if(e&268435456|0)yEb(28,(b[a+197>>0]|0)!=0,c);if(e&16|0)BEb(29,f[a+104>>2]|0,c);if(e&8388608|0)zEb(30,f[a+172>>2]|0,c);if(e&536870912|0)wEb(31,+n[a+200>>2],c);if(e&134217728|0)yEb(32,(b[a+196>>0]|0)!=0,c);if(e&1073741824|0)mEb(33,f[a+204>>2]|0,c);g=f[a+76>>2]|0;if((g|0)>0){h=a+84|0;i=0;do{mEb(34,f[(f[h>>2]|0)+4+(i<<2)>>2]|0,c);i=i+1|0}while((i|0)!=(g|0))}if((e|0)<0)wEb(35,+n[a+208>>2],c);e=f[a+12>>2]|0;if(e&1|0)mEb(36,f[a+212>>2]|0,c);if(e&2|0)zEb(37,f[a+216>>2]|0,c);if(e&4|0)wEb(38,+n[a+220>>2],c);e=f[d>>2]|0;if(e&16777216|0)wEb(39,+n[a+176>>2],c);if(e&32|0)BEb(40,f[a+108>>2]|0,c);e=f[a+4>>2]|0;if(!(e&1))return;e4b(e&-2,c);return}function scb(a){a=a|0;return f[a+224>>2]|0}function tcb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0;e=a+8|0;g=f[e>>2]|0;if(!(g&1))h=d;else{i=f[a+88>>2]|0;b[d>>0]=10;h=GCb(i,d+1|0)|0}d=f[a+20>>2]|0;if((d|0)>0){i=a+28|0;j=0;k=h;while(1){l=f[(f[i>>2]|0)+4+(j<<2)>>2]|0;b[k>>0]=18;m=GCb(l,k+1|0)|0;j=j+1|0;if((j|0)==(d|0)){n=m;break}else k=m}}else n=h;h=f[a+32>>2]|0;if(!h)o=n;else{k=f[a+40>>2]|0;d=0;j=n;while(1){n=f[k+4+(d<<2)>>2]|0;b[j>>0]=24;i=j+1|0;m=n&255;if(n>>>0>127){l=i;p=m;q=n;r=((n|0)<0)<<31>>31;while(1){b[l>>0]=p|-128;n=q;q=Irc(q|0,r|0,7)|0;s=l+1|0;t=q&255;if(!(r>>>0>0|(r|0)==0&n>>>0>16383)){u=s;v=t;break}else{l=s;p=t;r=J}}}else{u=i;v=m}b[u>>0]=v;r=u+1|0;d=d+1|0;if((d|0)>=(h|0)){o=r;break}else j=r}}if(!(g&512))w=o;else{j=f[a+124>>2]|0;b[o>>0]=32;h=o+1|0;o=j&255;if(j>>>0>127){d=h;u=o;v=j;k=((j|0)<0)<<31>>31;while(1){b[d>>0]=u|-128;j=v;v=Irc(v|0,k|0,7)|0;r=d+1|0;p=v&255;if(!(k>>>0>0|(k|0)==0&j>>>0>16383)){x=r;y=p;break}else{d=r;u=p;k=J}}}else{x=h;y=o}b[x>>0]=y;w=x+1|0}if(!(g&1024))z=w;else{x=f[a+128>>2]|0;b[w>>0]=45;y=w+1|0;b[y>>0]=x;b[y+1>>0]=x>>8;b[y+2>>0]=x>>16;b[y+3>>0]=x>>24;z=w+5|0}if(!(g&2048))A=z;else{w=f[a+132>>2]|0;b[z>>0]=48;x=z+1|0;z=w&255;if(w>>>0>127){y=x;o=z;h=w;k=((w|0)<0)<<31>>31;while(1){b[y>>0]=o|-128;w=h;h=Irc(h|0,k|0,7)|0;u=y+1|0;d=h&255;if(!(k>>>0>0|(k|0)==0&w>>>0>16383)){B=u;C=d;break}else{y=u;o=d;k=J}}}else{B=x;C=z}b[B>>0]=C;A=B+1|0}if(!(g&4096))D=A;else{B=f[a+136>>2]|0;b[A>>0]=56;C=A+1|0;A=B&255;if(B>>>0>127){z=C;x=A;k=B;o=((B|0)<0)<<31>>31;while(1){b[z>>0]=x|-128;B=k;k=Irc(k|0,o|0,7)|0;y=z+1|0;h=k&255;if(!(o>>>0>0|(o|0)==0&B>>>0>16383)){E=y;F=h;break}else{z=y;x=h;o=J}}}else{E=C;F=A}b[E>>0]=F;D=E+1|0}if(!(g&2))G=D;else{E=f[a+92>>2]|0;b[D>>0]=66;G=GCb(E,D+1|0)|0}if(!(g&8192))H=G;else{D=f[a+140>>2]|0;b[G>>0]=77;E=G+1|0;b[E>>0]=D;b[E+1>>0]=D>>8;b[E+2>>0]=D>>16;b[E+3>>0]=D>>24;H=G+5|0}if(!(g&16384))I=H;else{G=f[a+144>>2]|0;b[H>>0]=85;D=H+1|0;b[D>>0]=G;b[D+1>>0]=G>>8;b[D+2>>0]=G>>16;b[D+3>>0]=G>>24;I=H+5|0}if(!(g&32768))K=I;else{H=f[a+148>>2]|0;b[I>>0]=93;G=I+1|0;b[G>>0]=H;b[G+1>>0]=H>>8;b[G+2>>0]=H>>16;b[G+3>>0]=H>>24;K=I+5|0}if(!(g&65536))L=K;else{I=f[a+152>>2]|0;b[K>>0]=101;H=K+1|0;b[H>>0]=I;b[H+1>>0]=I>>8;b[H+2>>0]=I>>16;b[H+3>>0]=I>>24;L=K+5|0}if(!(g&131072))M=L;else{K=f[a+156>>2]|0;b[L>>0]=104;I=L+1|0;L=K&255;if(K>>>0>127){H=I;G=L;D=K;E=((K|0)<0)<<31>>31;while(1){b[H>>0]=G|-128;K=D;D=Irc(D|0,E|0,7)|0;F=H+1|0;A=D&255;if(!(E>>>0>0|(E|0)==0&K>>>0>16383)){N=F;O=A;break}else{H=F;G=A;E=J}}}else{N=I;O=L}b[N>>0]=O;M=N+1|0}if(!(g&262144))P=M;else{N=f[a+160>>2]|0;b[M>>0]=112;O=M+1|0;M=N&255;if(N>>>0>127){L=O;I=M;E=N;G=((N|0)<0)<<31>>31;while(1){b[L>>0]=I|-128;N=E;E=Irc(E|0,G|0,7)|0;H=L+1|0;D=E&255;if(!(G>>>0>0|(G|0)==0&N>>>0>16383)){Q=H;R=D;break}else{L=H;I=D;G=J}}}else{Q=O;R=M}b[Q>>0]=R;P=Q+1|0}if(!(g&4))S=P;else{Q=f[a+96>>2]|0;b[P>>0]=122;S=GCb(Q,P+1|0)|0}if(!(g&2097152))T=S;else{P=b[a+169>>0]|0;b[S>>0]=-128;b[S+1>>0]=1;b[S+2>>0]=P;T=S+3|0}if(!(g&67108864))U=T;else{S=f[a+192>>2]|0;b[T>>0]=-120;b[T+1>>0]=1;P=T+2|0;T=S&255;if(S>>>0>127){Q=P;R=T;M=S;O=((S|0)<0)<<31>>31;while(1){b[Q>>0]=R|-128;S=M;M=Irc(M|0,O|0,7)|0;G=Q+1|0;I=M&255;if(!(O>>>0>0|(O|0)==0&S>>>0>16383)){V=G;W=I;break}else{Q=G;R=I;O=J}}}else{V=P;W=T}b[V>>0]=W;U=V+1|0}if(!(g&524288))X=U;else{V=f[a+164>>2]|0;b[U>>0]=-112;b[U+1>>0]=1;W=U+2|0;U=V&255;if(V>>>0>127){T=W;P=U;O=V;R=((V|0)<0)<<31>>31;while(1){b[T>>0]=P|-128;V=O;O=Irc(O|0,R|0,7)|0;Q=T+1|0;M=O&255;if(!(R>>>0>0|(R|0)==0&V>>>0>16383)){Y=Q;Z=M;break}else{T=Q;P=M;R=J}}}else{Y=W;Z=U}b[Y>>0]=Z;X=Y+1|0}if(!(g&1048576))_=X;else{Y=b[a+168>>0]|0;b[X>>0]=-104;b[X+1>>0]=1;b[X+2>>0]=Y;_=X+3|0}if(!(g&33554432))$=_;else{X=a+184|0;Y=f[X>>2]|0;Z=f[X+4>>2]|0;b[_>>0]=-96;b[_+1>>0]=1;X=_+2|0;_=Y&255;if(Z>>>0>0|(Z|0)==0&Y>>>0>127){U=X;W=_;R=Y;Y=Z;while(1){b[U>>0]=W|-128;Z=R;R=Irc(R|0,Y|0,7)|0;P=U+1|0;T=R&255;if(!(Y>>>0>0|(Y|0)==0&Z>>>0>16383)){aa=P;ba=T;break}else{U=P;W=T;Y=J}}}else{aa=X;ba=_}b[aa>>0]=ba;$=aa+1|0}if(!(g&64))ca=$;else{aa=f[a+112>>2]|0;b[$>>0]=-86;b[$+1>>0]=1;ba=$+2|0;$=ci[f[(f[aa>>2]|0)+60>>2]&1023](aa)|0;if($>>>0>127){_=$;X=ba;while(1){b[X>>0]=_|128;Y=_>>>7;W=X+1|0;if(_>>>0>16383){_=Y;X=W}else{da=W;ea=Y;break}}}else{da=ba;ea=$}b[da>>0]=ea;ca=ki[f[(f[aa>>2]|0)+64>>2]&511](aa,c,da+1|0)|0}da=f[a+48>>2]|0;if(!da)fa=ca;else{aa=a+56|0;ea=0;$=ca;while(1){ca=f[(f[aa>>2]|0)+4+(ea<<2)>>2]|0;b[$>>0]=-78;b[$+1>>0]=1;ba=$+2|0;X=ci[f[(f[ca>>2]|0)+60>>2]&1023](ca)|0;if(X>>>0>127){_=X;Y=ba;while(1){b[Y>>0]=_|128;W=_>>>7;U=Y+1|0;if(_>>>0>16383){_=W;Y=U}else{ga=U;ha=W;break}}}else{ga=ba;ha=X}b[ga>>0]=ha;Y=ki[f[(f[ca>>2]|0)+64>>2]&511](ca,c,ga+1|0)|0;ea=ea+1|0;if((ea|0)==(da|0)){fa=Y;break}else $=Y}}if(!(g&4194304))ia=fa;else{$=b[a+170>>0]|0;b[fa>>0]=-72;b[fa+1>>0]=1;b[fa+2>>0]=$;ia=fa+3|0}if(!(g&8))ja=ia;else{fa=f[a+100>>2]|0;b[ia>>0]=-62;b[ia+1>>0]=1;ja=GCb(fa,ia+2|0)|0}if(!(g&128))ka=ja;else{ia=f[a+116>>2]|0;b[ja>>0]=-54;b[ja+1>>0]=1;fa=ja+2|0;ja=ci[f[(f[ia>>2]|0)+60>>2]&1023](ia)|0;if(ja>>>0>127){$=ja;da=fa;while(1){b[da>>0]=$|128;ea=$>>>7;ga=da+1|0;if($>>>0>16383){$=ea;da=ga}else{la=ga;ma=ea;break}}}else{la=fa;ma=ja}b[la>>0]=ma;ka=ki[f[(f[ia>>2]|0)+64>>2]&511](ia,c,la+1|0)|0}if(!(g&256))na=ka;else{la=f[a+120>>2]|0;b[ka>>0]=-46;b[ka+1>>0]=1;ia=ka+2|0;ka=ci[f[(f[la>>2]|0)+60>>2]&1023](la)|0;if(ka>>>0>127){ma=ka;ja=ia;while(1){b[ja>>0]=ma|128;fa=ma>>>7;da=ja+1|0;if(ma>>>0>16383){ma=fa;ja=da}else{oa=da;pa=fa;break}}}else{oa=ia;pa=ka}b[oa>>0]=pa;na=ki[f[(f[la>>2]|0)+64>>2]&511](la,c,oa+1|0)|0}oa=f[a+64>>2]|0;if(!oa)qa=na;else{la=a+72|0;pa=0;ka=na;while(1){na=f[(f[la>>2]|0)+4+(pa<<2)>>2]|0;b[ka>>0]=-38;b[ka+1>>0]=1;ia=ka+2|0;ja=ci[f[(f[na>>2]|0)+60>>2]&1023](na)|0;if(ja>>>0>127){ma=ja;fa=ia;while(1){b[fa>>0]=ma|128;da=ma>>>7;$=fa+1|0;if(ma>>>0>16383){ma=da;fa=$}else{ra=$;sa=da;break}}}else{ra=ia;sa=ja}b[ra>>0]=sa;fa=ki[f[(f[na>>2]|0)+64>>2]&511](na,c,ra+1|0)|0;pa=pa+1|0;if((pa|0)==(oa|0)){qa=fa;break}else ka=fa}}if(!(g&268435456))ta=qa;else{ka=b[a+197>>0]|0;b[qa>>0]=-32;b[qa+1>>0]=1;b[qa+2>>0]=ka;ta=qa+3|0}if(!(g&16))ua=ta;else{qa=f[a+104>>2]|0;b[ta>>0]=-22;b[ta+1>>0]=1;ua=GCb(qa,ta+2|0)|0}if(!(g&8388608))va=ua;else{ta=f[a+172>>2]|0;b[ua>>0]=-16;b[ua+1>>0]=1;qa=ua+2|0;ua=ta&255;if(ta>>>0>127){ka=qa;oa=ua;pa=ta;ra=((ta|0)<0)<<31>>31;while(1){b[ka>>0]=oa|-128;ta=pa;pa=Irc(pa|0,ra|0,7)|0;c=ka+1|0;sa=pa&255;if(!(ra>>>0>0|(ra|0)==0&ta>>>0>16383)){wa=c;xa=sa;break}else{ka=c;oa=sa;ra=J}}}else{wa=qa;xa=ua}b[wa>>0]=xa;va=wa+1|0}if(!(g&536870912))ya=va;else{wa=f[a+200>>2]|0;b[va>>0]=-3;b[va+1>>0]=1;xa=va+2|0;b[xa>>0]=wa;b[xa+1>>0]=wa>>8;b[xa+2>>0]=wa>>16;b[xa+3>>0]=wa>>24;ya=va+6|0}if(!(g&134217728))za=ya;else{va=b[a+196>>0]|0;b[ya>>0]=-128;b[ya+1>>0]=2;b[ya+2>>0]=va;za=ya+3|0}if(!(g&1073741824))Aa=za;else{ya=f[a+204>>2]|0;b[za>>0]=-120;b[za+1>>0]=2;va=za+2|0;za=ya&255;if(ya>>>0>127){wa=va;xa=za;ua=ya;qa=((ya|0)<0)<<31>>31;while(1){b[wa>>0]=xa|-128;ya=ua;ua=Irc(ua|0,qa|0,7)|0;ra=wa+1|0;oa=ua&255;if(!(qa>>>0>0|(qa|0)==0&ya>>>0>16383)){Ba=ra;Ca=oa;break}else{wa=ra;xa=oa;qa=J}}}else{Ba=va;Ca=za}b[Ba>>0]=Ca;Aa=Ba+1|0}Ba=f[a+76>>2]|0;if(!Ba)Da=Aa;else{Ca=f[a+84>>2]|0;za=0;va=Aa;while(1){Aa=f[Ca+4+(za<<2)>>2]|0;b[va>>0]=-112;b[va+1>>0]=2;qa=va+2|0;xa=Aa&255;if(Aa>>>0>127){wa=qa;ua=xa;oa=Aa;ra=((Aa|0)<0)<<31>>31;while(1){b[wa>>0]=ua|-128;Aa=oa;oa=Irc(oa|0,ra|0,7)|0;ya=wa+1|0;ka=oa&255;if(!(ra>>>0>0|(ra|0)==0&Aa>>>0>16383)){Ea=ya;Fa=ka;break}else{wa=ya;ua=ka;ra=J}}}else{Ea=qa;Fa=xa}b[Ea>>0]=Fa;ra=Ea+1|0;za=za+1|0;if((za|0)>=(Ba|0)){Da=ra;break}else va=ra}}if((g|0)<0){g=f[a+208>>2]|0;b[Da>>0]=-99;b[Da+1>>0]=2;va=Da+2|0;b[va>>0]=g;b[va+1>>0]=g>>8;b[va+2>>0]=g>>16;b[va+3>>0]=g>>24;Ga=Da+6|0}else Ga=Da;Da=f[a+12>>2]|0;if(!(Da&1))Ha=Ga;else{g=f[a+212>>2]|0;b[Ga>>0]=-96;b[Ga+1>>0]=2;va=Ga+2|0;Ga=g&255;if(g>>>0>127){Ba=va;za=Ga;Ea=g;Fa=((g|0)<0)<<31>>31;while(1){b[Ba>>0]=za|-128;g=Ea;Ea=Irc(Ea|0,Fa|0,7)|0;Ca=Ba+1|0;ra=Ea&255;if(!(Fa>>>0>0|(Fa|0)==0&g>>>0>16383)){Ia=Ca;Ja=ra;break}else{Ba=Ca;za=ra;Fa=J}}}else{Ia=va;Ja=Ga}b[Ia>>0]=Ja;Ha=Ia+1|0}if(!(Da&2))Ka=Ha;else{Ia=f[a+216>>2]|0;b[Ha>>0]=-88;b[Ha+1>>0]=2;Ja=Ha+2|0;Ha=Ia&255;if(Ia>>>0>127){Ga=Ja;va=Ha;Fa=Ia;za=((Ia|0)<0)<<31>>31;while(1){b[Ga>>0]=va|-128;Ia=Fa;Fa=Irc(Fa|0,za|0,7)|0;Ba=Ga+1|0;Ea=Fa&255;if(!(za>>>0>0|(za|0)==0&Ia>>>0>16383)){La=Ba;Ma=Ea;break}else{Ga=Ba;va=Ea;za=J}}}else{La=Ja;Ma=Ha}b[La>>0]=Ma;Ka=La+1|0}if(!(Da&4))Na=Ka;else{Da=f[a+220>>2]|0;b[Ka>>0]=-75;b[Ka+1>>0]=2;La=Ka+2|0;b[La>>0]=Da;b[La+1>>0]=Da>>8;b[La+2>>0]=Da>>16;b[La+3>>0]=Da>>24;Na=Ka+6|0}Ka=f[e>>2]|0;if(!(Ka&16777216))Oa=Na;else{e=f[a+176>>2]|0;b[Na>>0]=-67;b[Na+1>>0]=2;Da=Na+2|0;b[Da>>0]=e;b[Da+1>>0]=e>>8;b[Da+2>>0]=e>>16;b[Da+3>>0]=e>>24;Oa=Na+6|0}if(!(Ka&32))Pa=Oa;else{Ka=f[a+108>>2]|0;b[Oa>>0]=-62;b[Oa+1>>0]=2;Pa=GCb(Ka,Oa+2|0)|0}Oa=f[a+4>>2]|0;if(!(Oa&1)){Qa=Pa;return Qa|0}Qa=f4b(Oa&-2,Pa)|0;return Qa|0}function ucb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function vcb(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,20344,0)|0;if(!c){c2b(b,a);return}else{ycb(a,c);return}}function wcb(a,b){a=a|0;b=b|0;f[a+224>>2]=b;return}function xcb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533600;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function ycb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}BHa(a+16|0,c+16|0);e=a+32|0;h=c+32|0;g=f[h>>2]|0;if(g|0){eFa(e,(f[e>>2]|0)+g|0);Krc((f[a+40>>2]|0)+4+(f[e>>2]<<2)|0,(f[c+40>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}zcb(a+44|0,c+44|0);Acb(a+60|0,c+60|0);h=a+76|0;e=c+76|0;g=f[e>>2]|0;if(g|0){eFa(h,(f[h>>2]|0)+g|0);Krc((f[a+84>>2]|0)+4+(f[h>>2]<<2)|0,(f[c+84>>2]|0)+4|0,f[e>>2]<<2|0)|0;f[h>>2]=(f[h>>2]|0)+(f[e>>2]|0)}e=f[c+8>>2]|0;if(e&255|0){do if(e&1|0?(h=a+8|0,f[h>>2]=f[h>>2]|1,h=a+88|0,g=f[c+88>>2]|0,d=f[h>>2]|0,(d|0)!=(g|0)):0)if((d|0)==535416){aFa(h,g);break}else{Qmc(d,g)|0;break}while(0);do if(e&2|0?(g=a+8|0,f[g>>2]=f[g>>2]|2,g=a+92|0,d=f[c+92>>2]|0,h=f[g>>2]|0,(h|0)!=(d|0)):0)if((h|0)==535416){aFa(g,d);break}else{Qmc(h,d)|0;break}while(0);do if(e&4|0?(d=a+8|0,f[d>>2]=f[d>>2]|4,d=a+96|0,h=f[c+96>>2]|0,g=f[d>>2]|0,(g|0)!=(h|0)):0)if((g|0)==535416){aFa(d,h);break}else{Qmc(g,h)|0;break}while(0);do if(e&8|0?(h=a+8|0,f[h>>2]=f[h>>2]|8,h=a+100|0,g=f[c+100>>2]|0,d=f[h>>2]|0,(d|0)!=(g|0)):0)if((d|0)==535416){aFa(h,g);break}else{Qmc(d,g)|0;break}while(0);do if(e&16|0?(g=a+8|0,f[g>>2]=f[g>>2]|16,g=a+104|0,d=f[c+104>>2]|0,h=f[g>>2]|0,(h|0)!=(d|0)):0)if((h|0)==533456){aFa(g,d);break}else{Qmc(h,d)|0;break}while(0);do if(e&32|0?(d=a+8|0,f[d>>2]=f[d>>2]|32,d=a+108|0,h=f[c+108>>2]|0,g=f[d>>2]|0,(g|0)!=(h|0)):0)if((g|0)==533472){aFa(d,h);break}else{Qmc(g,h)|0;break}while(0);if(e&64|0){h=a+8|0;f[h>>2]=f[h>>2]|64;h=a+112|0;g=f[h>>2]|0;if(!g){d=Bmc(104)|0;Bcb(d);f[h>>2]=d;i=d}else i=g;g=f[c+112>>2]|0;Ccb(i,g|0?g:530096)}if(e&128|0){g=a+8|0;f[g>>2]=f[g>>2]|128;g=a+116|0;i=f[g>>2]|0;if(!i){d=Bmc(104)|0;Bcb(d);f[g>>2]=d;j=d}else j=i;i=f[c+116>>2]|0;Ccb(j,i|0?i:530096)}}if(e&65280|0){if(e&256|0){i=a+8|0;f[i>>2]=f[i>>2]|256;i=a+120|0;j=f[i>>2]|0;if(!j){d=Bmc(40)|0;Rbb(d);f[i>>2]=d;k=d}else k=j;j=f[c+120>>2]|0;d=j|0?j:530480;j=k+4|0;i=f[d+4>>2]|0;if(i&1|0){g=f[j>>2]|0;if(!(g&1))l=AHa(j)|0;else l=g&-2;O3b(l,i&-2)}BHa(k+16|0,d+16|0);i=f[d+8>>2]|0;if(i&3|0){if(i&1|0)f[k+32>>2]=f[d+32>>2];if(i&2|0)f[k+36>>2]=f[d+36>>2];d=k+8|0;f[d>>2]=f[d>>2]|i}}if(e&512|0)f[a+124>>2]=f[c+124>>2];if(e&1024|0)f[a+128>>2]=f[c+128>>2];if(e&2048|0)f[a+132>>2]=f[c+132>>2];if(e&4096|0)f[a+136>>2]=f[c+136>>2];if(e&8192|0)f[a+140>>2]=f[c+140>>2];if(e&16384|0)f[a+144>>2]=f[c+144>>2];if(e&32768|0)f[a+148>>2]=f[c+148>>2];i=a+8|0;f[i>>2]=f[i>>2]|e}if(e&16711680|0){if(e&65536|0)f[a+152>>2]=f[c+152>>2];if(e&131072|0)f[a+156>>2]=f[c+156>>2];if(e&262144|0)f[a+160>>2]=f[c+160>>2];if(e&524288|0)f[a+164>>2]=f[c+164>>2];if(e&1048576|0)b[a+168>>0]=b[c+168>>0]|0;if(e&2097152|0)b[a+169>>0]=b[c+169>>0]|0;if(e&4194304|0)b[a+170>>0]=b[c+170>>0]|0;if(e&8388608|0)f[a+172>>2]=f[c+172>>2];i=a+8|0;f[i>>2]=f[i>>2]|e}if(e>>>0>16777215){if(e&16777216|0)f[a+176>>2]=f[c+176>>2];if(e&33554432|0){i=c+184|0;d=f[i+4>>2]|0;k=a+184|0;f[k>>2]=f[i>>2];f[k+4>>2]=d}if(e&67108864|0)f[a+192>>2]=f[c+192>>2];if(e&134217728|0)b[a+196>>0]=b[c+196>>0]|0;if(e&268435456|0)b[a+197>>0]=b[c+197>>0]|0;if(e&536870912|0)f[a+200>>2]=f[c+200>>2];if(e&1073741824|0)f[a+204>>2]=f[c+204>>2];if((e|0)<0)f[a+208>>2]=f[c+208>>2];d=a+8|0;f[d>>2]=f[d>>2]|e}e=f[c+12>>2]|0;if(!(e&7))return;if(e&1|0)f[a+212>>2]=f[c+212>>2];if(e&2|0)f[a+216>>2]=f[c+216>>2];if(e&4|0)f[a+220>>2]=f[c+220>>2];c=a+12|0;f[c>>2]=f[c>>2]|e;return}function zcb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{_cb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(104)|0;Bcb(l);_cb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,20360,104);l=oBb(i,104,1654)|0;Bcb(l);_cb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function Acb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{Ycb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(40)|0;Rbb(l);Ycb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,20312,40);l=oBb(i,40,1655)|0;Rbb(l);Ycb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function Bcb(a){a=a|0;var c=0,e=0,g=0,h=0,i=0;c=u;u=u+16|0;e=c;f[a>>2]=129160;f[a+4>>2]=0;f[a+8>>2]=0;g=(a|0)==530096;h=a+16|0;i=h+76|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));if(!g?(f[222745]|0)!=2:0){f[e>>2]=149752;f[e+4>>2]=45;b[e+8>>0]=0;dEb(890980,e);zDb(e)}f[a+12>>2]=0;f[a+92>>2]=535416;e=a+96|0;f[e>>2]=0;d[e+4>>1]=0;u=c;return}function Ccb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}Dcb(a+16|0,c+16|0);BHa(a+32|0,c+32|0);e=a+48|0;h=c+48|0;g=f[h>>2]|0;if(g|0){eFa(e,(f[e>>2]|0)+g|0);Krc((f[a+56>>2]|0)+4+(f[e>>2]<<2)|0,(f[c+56>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}$Za(a+60|0,c+60|0);Ecb(a+76|0,c+76|0);h=f[c+8>>2]|0;if(!(h&15))return;do if(h&1|0?(e=a+8|0,f[e>>2]=f[e>>2]|1,e=a+92|0,g=f[c+92>>2]|0,d=f[e>>2]|0,(d|0)!=(g|0)):0)if((d|0)==535416){aFa(e,g);break}else{Qmc(d,g)|0;break}while(0);if(h&2|0){g=a+8|0;f[g>>2]=f[g>>2]|2;g=a+96|0;d=f[g>>2]|0;if(!d){e=Bmc(40)|0;Rbb(e);f[g>>2]=e;i=e}else i=d;d=f[c+96>>2]|0;e=d|0?d:530480;d=i+4|0;g=f[e+4>>2]|0;if(g&1|0){j=f[d>>2]|0;if(!(j&1))k=AHa(d)|0;else k=j&-2;O3b(k,g&-2)}BHa(i+16|0,e+16|0);g=f[e+8>>2]|0;if(g&3|0){if(g&1|0)f[i+32>>2]=f[e+32>>2];if(g&2|0)f[i+36>>2]=f[e+36>>2];e=i+8|0;f[e>>2]=f[e>>2]|g}}if(h&4|0)b[a+100>>0]=b[c+100>>0]|0;if(h&8|0)b[a+101>>0]=b[c+101>>0]|0;c=a+8|0;f[c>>2]=f[c>>2]|h;return}function Dcb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{Gcb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(296)|0;D3a(l);Gcb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,19432,296);l=oBb(i,296,1635)|0;D3a(l);Gcb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function Ecb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{Fcb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(368)|0;zbb(l);Fcb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,20216,368);l=oBb(i,368,1637)|0;zbb(l);Fcb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function Fcb(a,b){a=a|0;b=b|0;O9a(b,a);return}function Gcb(a,b){a=a|0;b=b|0;GVa(b,a);return}function Hcb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;f[a>>2]=129160;c=f[a+92>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}if((a|0)!=530096?(c=f[a+96>>2]|0,c|0):0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=a+88|0;d=f[c>>2]|0;if(d|0?(f[a+76>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0)ai[f[(f[h>>2]|0)+4>>2]&2047](h);g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;Emc(i)}f[c>>2]=0;c=a+72|0;i=f[c>>2]|0;if(i|0?(f[a+60>>2]|0)==0:0){d=f[i>>2]|0;if((d|0)>0){e=0;do{g=f[i+4+(e<<2)>>2]|0;if(g|0)ai[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));j=f[c>>2]|0}else j=i;Emc(j)}f[c>>2]=0;c=f[a+56>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=a+44|0;j=f[c>>2]|0;if(j|0?(f[a+32>>2]|0)==0:0){i=f[j>>2]|0;if((i|0)>0){d=0;do{e=f[j+4+(d<<2)>>2]|0;if(e|0){if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);Emc(e)}d=d+1|0}while((d|0)!=(i|0));k=f[c>>2]|0}else k=j;Emc(k)}f[c>>2]=0;c=a+28|0;k=f[c>>2]|0;if(k|0?(f[a+16>>2]|0)==0:0){j=f[k>>2]|0;if((j|0)>0){i=0;do{d=f[k+4+(i<<2)>>2]|0;if(d|0)ai[f[(f[d>>2]|0)+4>>2]&2047](d);i=i+1|0}while((i|0)!=(j|0));l=f[c>>2]|0}else l=k;Emc(l)}f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}l=a&-2;a=l;if((l|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(l);f[c>>2]=0;return}function Icb(a){a=a|0;Hcb(a);Emc(a);return}function Jcb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function Kcb(a,b){a=a|0;b=b|0;a=Bmc(104)|0;Bcb(a);if(!b)return a|0;Xcb(b,a);return a|0}function Lcb(a){a=a|0;var c=0,e=0,g=0,h=0,i=0,j=0;c=a+20|0;e=f[c>>2]|0;if((e|0)>0){g=f[a+28>>2]|0;h=0;do{i=f[g+4+(h<<2)>>2]|0;h=h+1|0;ai[f[(f[i>>2]|0)+28>>2]&2047](i)}while((h|0)!=(e|0));f[c>>2]=0}c=a+36|0;e=f[c>>2]|0;if((e|0)>0){h=f[a+44>>2]|0;g=0;do{i=f[h+4+(g<<2)>>2]|0;g=g+1|0;j=i+11|0;if((b[j>>0]|0)<0){b[f[i>>2]>>0]=0;f[i+4>>2]=0}else{b[i>>0]=0;b[j>>0]=0}}while((g|0)!=(e|0));f[c>>2]=0}f[a+48>>2]=0;c=a+64|0;e=f[c>>2]|0;if((e|0)>0){g=f[a+72>>2]|0;h=0;do{j=f[g+4+(h<<2)>>2]|0;h=h+1|0;ai[f[(f[j>>2]|0)+28>>2]&2047](j)}while((h|0)!=(e|0));f[c>>2]=0}c=a+80|0;e=f[c>>2]|0;if((e|0)>0){h=f[a+88>>2]|0;g=0;do{j=f[h+4+(g<<2)>>2]|0;g=g+1|0;ai[f[(f[j>>2]|0)+28>>2]&2047](j)}while((g|0)!=(e|0));f[c>>2]=0}c=a+8|0;e=f[c>>2]|0;if(e&3|0){do if(e&1|0){g=f[a+92>>2]|0;h=g+11|0;if((b[h>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[h>>0]=0;break}}while(0);if(e&2|0){e=f[a+96>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}}d[a+100>>1]=0;f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function Mcb(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+88|0;c=f[a+80>>2]|0;while(1){if((c|0)<=0){d=1;e=4;break}c=c+-1|0;a=f[(f[b>>2]|0)+4+(c<<2)>>2]|0;if(!(ci[f[(f[a>>2]|0)+32>>2]&1023](a)|0)){d=0;e=4;break}}if((e|0)==4)return d|0;return 0}function Ncb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+92|0;k=a+16|0;l=a+28|0;m=a+24|0;n=a+20|0;o=e+4|0;p=a+32|0;q=a+48|0;r=a+52|0;s=a+56|0;t=a+100|0;v=e+8|0;w=a+96|0;x=e+4|0;y=a+101|0;z=e+8|0;A=a+60|0;B=e+4|0;C=a+76|0;D=a+88|0;E=a+84|0;F=a+80|0;G=e+4|0;H=a+4|0;a:while(1){a=f[c>>2]|0;I=f[g>>2]|0;do if(a>>>0<I>>>0){K=b[a>>0]|0;L=K&255;M=a+1|0;if(K<<24>>24>0){N=M;O=L}else{if(M>>>0>=I>>>0){P=L;Q=7;break}K=h[M>>0]|0;if(((K^128)&L)>>>0<=127){P=L;Q=7;break}N=a+2|0;O=L+-128+(K<<7)|0}f[c>>2]=N;R=O;Q=9}else{P=0;Q=7}while(0);if((Q|0)==7){Q=0;a=xCb(c,P)|0;if((a+-1|0)>>>0<16383){R=a;Q=9}else S=a}b:do if((Q|0)==9){Q=0;switch(R>>>3&536870911|0){case 1:{if((R&255|0)!=10){S=R;break b}f[i>>2]=f[i>>2]|1;a=f[j>>2]|0;if((a|0)==535416){aFa(j,535416);T=f[j>>2]|0}else T=a;if(HEb(c,T)|0)continue a;else{U=0;Q=112;break a}break}case 2:{if((R&255|0)!=18){S=R;break b}a=f[l>>2]|0;do if(a){I=f[n>>2]|0;K=f[a>>2]|0;if((I|0)>=(K|0))if((K|0)==(f[m>>2]|0)){V=K;Q=20;break}else{W=K;X=a;Q=21;break}else{f[n>>2]=I+1;Y=f[a+4+(I<<2)>>2]|0;break}}else{V=f[m>>2]|0;Q=20}while(0);if((Q|0)==20){Q=0;uDb(k,V+1|0);a=f[l>>2]|0;W=f[a>>2]|0;X=a;Q=21}if((Q|0)==21){Q=0;f[X>>2]=W+1;a=f[k>>2]|0;if(!a){I=Bmc(296)|0;D3a(I);Z=I}else{if(f[a+64>>2]|0)pBb(a,19432,296);I=oBb(a,296,1635)|0;D3a(I);Z=I}I=f[l>>2]|0;a=f[n>>2]|0;f[n>>2]=a+1;f[I+4+(a<<2)>>2]=Z;Y=Z}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(I=b[a>>0]|0,I<<24>>24>-1):0){f[c>>2]=a+1;_=I&255}else{I=wCb(c)|0;if((I|0)>-1)_=I;else{U=0;Q=112;break a}}hCb(e,c,_);if((f[o>>2]|0)<0){Q=33;break a}if(!(Sh[f[(f[Y>>2]|0)+44>>2]&511](Y,c)|0)){Q=33;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{U=0;Q=112;break a}break}case 3:{if((R&255|0)!=26){S=R;break b}if(HEb(c,dFa(p)|0)|0)continue a;else{U=0;Q=112;break a}break}case 4:{switch((R&255)<<24>>24){case 32:break;case 34:{if(Wcb(c,q)|0)continue a;else{U=0;Q=112;break a}break}default:{S=R;break b}}I=f[c>>2]|0;if(I>>>0<(f[g>>2]|0)>>>0){a=b[I>>0]|0;K=a&255;if(a<<24>>24>-1){f[c>>2]=I+1;$=K}else{aa=K;Q=41}}else{aa=0;Q=41}if((Q|0)==41){Q=0;K=iCb(c,aa)|0;I=J;if((I|0)>-1|(I|0)==-1&K>>>0>4294967295)$=K;else{U=0;Q=112;break a}}K=f[q>>2]|0;if((K|0)==(f[r>>2]|0)){eFa(q,K+1|0);ba=f[q>>2]|0}else ba=K;K=f[s>>2]|0;f[q>>2]=ba+1;f[K+4+(ba<<2)>>2]=$;I=(f[r>>2]|0)-(f[q>>2]|0)|0;if((I|0)>0){ca=I;da=K}else continue a;while(1){K=f[c>>2]|0;I=f[g>>2]|0;if(K>>>0>=I>>>0)continue a;if((b[K>>0]|0)!=32)continue a;a=K+1|0;f[c>>2]=a;if(a>>>0<I>>>0){I=b[a>>0]|0;a=I&255;if(I<<24>>24>-1){f[c>>2]=K+2;ea=a;fa=da}else{ga=a;Q=49}}else{ga=0;Q=49}if((Q|0)==49){Q=0;a=iCb(c,ga)|0;K=J;if(!((K|0)>-1|(K|0)==-1&a>>>0>4294967295)){U=0;Q=112;break a}ea=a;fa=f[s>>2]|0}a=f[q>>2]|0;f[q>>2]=a+1;f[fa+4+(a<<2)>>2]=ea;if((ca|0)>1){ca=ca+-1|0;da=fa}else continue a}break}case 5:{if((R&255|0)!=40){S=R;break b}f[i>>2]=f[i>>2]|4;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(K=b[a>>0]|0,K<<24>>24>-1):0){f[c>>2]=a+1;ha=K<<24>>24!=0}else{jCb(e,c);K=e;if(!(b[v>>0]|0)){U=0;Q=112;break a}else ha=(f[K>>2]|0)!=0|(f[K+4>>2]|0)!=0}b[t>>0]=ha&1;continue a;break}case 6:{if((R&255|0)!=50){S=R;break b}f[i>>2]=f[i>>2]|2;K=f[w>>2]|0;if(!K){a=Bmc(40)|0;Rbb(a);f[w>>2]=a;ia=a}else ia=K;K=f[c>>2]|0;if(K>>>0<(f[g>>2]|0)>>>0?(a=b[K>>0]|0,a<<24>>24>-1):0){f[c>>2]=K+1;ja=a&255}else{a=wCb(c)|0;if((a|0)>-1)ja=a;else{U=0;Q=112;break a}}hCb(e,c,ja);if((f[x>>2]|0)<0){Q=69;break a}if(!(Sh[f[(f[ia>>2]|0)+44>>2]&511](ia,c)|0)){Q=69;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{U=0;Q=112;break a}break}case 7:{if((R&255|0)!=56){S=R;break b}f[i>>2]=f[i>>2]|8;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(K=b[a>>0]|0,K<<24>>24>-1):0){f[c>>2]=a+1;ka=K<<24>>24!=0}else{jCb(e,c);K=e;if(!(b[z>>0]|0)){U=0;Q=112;break a}else ka=(f[K>>2]|0)!=0|(f[K+4>>2]|0)!=0}b[y>>0]=ka&1;continue a;break}case 8:{if((R&255|0)!=66){S=R;break b}K=t_a(A)|0;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(I=b[a>>0]|0,I<<24>>24>-1):0){f[c>>2]=a+1;la=I&255}else{I=wCb(c)|0;if((I|0)>-1)la=I;else{U=0;Q=112;break a}}hCb(e,c,la);if((f[B>>2]|0)<0){Q=84;break a}if(!(Sh[f[(f[K>>2]|0)+44>>2]&511](K,c)|0)){Q=84;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{U=0;Q=112;break a}break}case 100:{if((R&255|0)!=34){S=R;break b}K=f[D>>2]|0;do if(K){I=f[F>>2]|0;a=f[K>>2]|0;if((I|0)>=(a|0))if((a|0)==(f[E>>2]|0)){ma=a;Q=92;break}else{na=a;oa=K;Q=93;break}else{f[F>>2]=I+1;pa=f[K+4+(I<<2)>>2]|0;break}}else{ma=f[E>>2]|0;Q=92}while(0);if((Q|0)==92){Q=0;uDb(C,ma+1|0);K=f[D>>2]|0;na=f[K>>2]|0;oa=K;Q=93}if((Q|0)==93){Q=0;f[oa>>2]=na+1;K=f[C>>2]|0;if(!K){I=Bmc(368)|0;zbb(I);qa=I}else{if(f[K+64>>2]|0)pBb(K,20216,368);I=oBb(K,368,1637)|0;zbb(I);qa=I}I=f[D>>2]|0;K=f[F>>2]|0;f[F>>2]=K+1;f[I+4+(K<<2)>>2]=qa;pa=qa}K=f[c>>2]|0;if(K>>>0<(f[g>>2]|0)>>>0?(I=b[K>>0]|0,I<<24>>24>-1):0){f[c>>2]=K+1;ra=I&255}else{I=wCb(c)|0;if((I|0)>-1)ra=I;else{U=0;Q=112;break a}}hCb(e,c,ra);if((f[G>>2]|0)<0){Q=105;break a}if(!(Sh[f[(f[pa>>2]|0)+44>>2]&511](pa,c)|0)){Q=105;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{U=0;Q=112;break a}break}default:{S=R;break b}}}while(0);if(!S){U=1;Q=112;break}I=f[H>>2]|0;if(!(I&1))sa=AHa(H)|0;else sa=I&-2;if(!(b4b(c,S,sa)|0)){U=0;Q=112;break}}if((Q|0)==33){U=0;u=d;return U|0}else if((Q|0)==69){U=0;u=d;return U|0}else if((Q|0)==84){U=0;u=d;return U|0}else if((Q|0)==105){U=0;u=d;return U|0}else if((Q|0)==112){u=d;return U|0}return 0}function Ocb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=f[a+20>>2]|0;e=c+d|0;if(!c)g=e;else{d=a+28|0;h=0;i=e;while(1){e=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;j=ci[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(c|0)){g=e;break}else i=e}}i=f[a+36>>2]|0;c=i+g|0;if((i|0)>0){g=f[a+44>>2]|0;h=0;d=c;while(1){e=f[g+4+(h<<2)>>2]|0;j=b[e+11>>0]|0;k=j<<24>>24<0?f[e+4>>2]|0:j&255;j=k+d+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(i|0)){l=j;break}else d=j}}else l=c;c=JEb(a+48|0)|0;d=f[a+64>>2]|0;i=c+l+(f[a+48>>2]|0)+d|0;if(!d)m=i;else{l=a+72|0;c=0;h=i;while(1){i=f[(f[l>>2]|0)+4+(c<<2)>>2]|0;g=ci[f[(f[i>>2]|0)+48>>2]&1023](i)|0;i=g+h+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0;c=c+1|0;if((c|0)==(d|0)){m=i;break}else h=i}}h=f[a+80>>2]|0;d=(h<<1)+m|0;if(!h)n=d;else{m=a+88|0;c=0;l=d;while(1){d=f[(f[m>>2]|0)+4+(c<<2)>>2]|0;i=ci[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=i+l+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0;c=c+1|0;if((c|0)==(h|0)){n=d;break}else l=d}}l=a+8|0;h=f[l>>2]|0;if(!(h&15)){o=n;p=a+12|0;f[p>>2]=o;return o|0}if(!(h&1))q=n;else{c=f[a+92>>2]|0;m=b[c+11>>0]|0;d=m<<24>>24<0?f[c+4>>2]|0:m&255;q=n+1+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(h&2)){r=q;s=h}else{h=f[a+96>>2]|0;d=ci[f[(f[h>>2]|0)+48>>2]&1023](h)|0;h=q+1+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0;r=h;s=f[l>>2]|0}l=s&4|0?r+2|0:r;o=s&8|0?l+2|0:l;p=a+12|0;f[p>>2]=o;return o|0}function Pcb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=f[a+8>>2]|0;if(d&1|0)BEb(1,f[a+92>>2]|0,c);e=f[a+20>>2]|0;if(e|0){g=a+28|0;h=0;do{GEb(2,f[(f[g>>2]|0)+4+(h<<2)>>2]|0,c);h=h+1|0}while((h|0)!=(e|0))}e=f[a+36>>2]|0;if((e|0)>0){h=a+44|0;g=0;do{AEb(3,f[(f[h>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(e|0))}e=f[a+48>>2]|0;if((e|0)>0){g=a+56|0;h=0;do{mEb(4,f[(f[g>>2]|0)+4+(h<<2)>>2]|0,c);h=h+1|0}while((h|0)!=(e|0))}if(d&4|0)yEb(5,(b[a+100>>0]|0)!=0,c);if(d&2|0)GEb(6,f[a+96>>2]|0,c);if(d&8|0)yEb(7,(b[a+101>>0]|0)!=0,c);d=f[a+64>>2]|0;if(d|0){e=a+72|0;h=0;do{GEb(8,f[(f[e>>2]|0)+4+(h<<2)>>2]|0,c);h=h+1|0}while((h|0)!=(d|0))}d=f[a+80>>2]|0;if(d|0){h=a+88|0;e=0;do{GEb(100,f[(f[h>>2]|0)+4+(e<<2)>>2]|0,c);e=e+1|0}while((e|0)!=(d|0))}d=f[a+4>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function Qcb(a){a=a|0;return f[a+12>>2]|0}function Rcb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0;e=f[a+8>>2]|0;if(!(e&1))g=d;else{h=f[a+92>>2]|0;b[d>>0]=10;g=GCb(h,d+1|0)|0}d=f[a+20>>2]|0;if(!d)i=g;else{h=a+28|0;j=0;k=g;while(1){g=f[(f[h>>2]|0)+4+(j<<2)>>2]|0;b[k>>0]=18;l=k+1|0;m=ci[f[(f[g>>2]|0)+60>>2]&1023](g)|0;if(m>>>0>127){n=m;o=l;while(1){b[o>>0]=n|128;p=n>>>7;q=o+1|0;if(n>>>0>16383){n=p;o=q}else{r=q;s=p;break}}}else{r=l;s=m}b[r>>0]=s;o=ki[f[(f[g>>2]|0)+64>>2]&511](g,c,r+1|0)|0;j=j+1|0;if((j|0)==(d|0)){i=o;break}else k=o}}k=f[a+36>>2]|0;if((k|0)>0){d=a+44|0;j=0;r=i;while(1){s=f[(f[d>>2]|0)+4+(j<<2)>>2]|0;b[r>>0]=26;h=GCb(s,r+1|0)|0;j=j+1|0;if((j|0)==(k|0)){t=h;break}else r=h}}else t=i;i=f[a+48>>2]|0;if(!i)u=t;else{r=f[a+56>>2]|0;k=0;j=t;while(1){t=f[r+4+(k<<2)>>2]|0;b[j>>0]=32;d=j+1|0;h=t&255;if(t>>>0>127){s=d;o=h;n=t;p=((t|0)<0)<<31>>31;while(1){b[s>>0]=o|-128;t=n;n=Irc(n|0,p|0,7)|0;q=s+1|0;v=n&255;if(!(p>>>0>0|(p|0)==0&t>>>0>16383)){w=q;x=v;break}else{s=q;o=v;p=J}}}else{w=d;x=h}b[w>>0]=x;p=w+1|0;k=k+1|0;if((k|0)>=(i|0)){u=p;break}else j=p}}if(!(e&4))y=u;else{j=b[a+100>>0]|0;b[u>>0]=40;b[u+1>>0]=j;y=u+2|0}if(!(e&2))z=y;else{u=f[a+96>>2]|0;b[y>>0]=50;j=y+1|0;y=ci[f[(f[u>>2]|0)+60>>2]&1023](u)|0;if(y>>>0>127){i=y;k=j;while(1){b[k>>0]=i|128;w=i>>>7;x=k+1|0;if(i>>>0>16383){i=w;k=x}else{A=x;B=w;break}}}else{A=j;B=y}b[A>>0]=B;z=ki[f[(f[u>>2]|0)+64>>2]&511](u,c,A+1|0)|0}if(!(e&8))C=z;else{e=b[a+101>>0]|0;b[z>>0]=56;b[z+1>>0]=e;C=z+2|0}z=f[a+64>>2]|0;if(!z)D=C;else{e=a+72|0;A=0;u=C;while(1){C=f[(f[e>>2]|0)+4+(A<<2)>>2]|0;b[u>>0]=66;B=u+1|0;y=ci[f[(f[C>>2]|0)+60>>2]&1023](C)|0;if(y>>>0>127){j=y;k=B;while(1){b[k>>0]=j|128;i=j>>>7;w=k+1|0;if(j>>>0>16383){j=i;k=w}else{E=w;F=i;break}}}else{E=B;F=y}b[E>>0]=F;k=ki[f[(f[C>>2]|0)+64>>2]&511](C,c,E+1|0)|0;A=A+1|0;if((A|0)==(z|0)){D=k;break}else u=k}}u=f[a+80>>2]|0;if(!u)G=D;else{z=a+88|0;A=0;E=D;while(1){D=f[(f[z>>2]|0)+4+(A<<2)>>2]|0;b[E>>0]=-94;b[E+1>>0]=6;F=E+2|0;e=ci[f[(f[D>>2]|0)+60>>2]&1023](D)|0;if(e>>>0>127){k=e;j=F;while(1){b[j>>0]=k|128;h=k>>>7;d=j+1|0;if(k>>>0>16383){k=h;j=d}else{H=d;I=h;break}}}else{H=F;I=e}b[H>>0]=I;j=ki[f[(f[D>>2]|0)+64>>2]&511](D,c,H+1|0)|0;A=A+1|0;if((A|0)==(u|0)){G=j;break}else E=j}}E=f[a+4>>2]|0;if(!(E&1)){K=G;return K|0}K=f4b(E&-2,G)|0;return K|0}function Scb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function Tcb(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,20360,0)|0;if(!c){c2b(b,a);return}else{Ccb(a,c);return}}function Ucb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function Vcb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533592;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function Wcb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=f[a>>2]|0;e=a+4|0;if(d>>>0<(f[e>>2]|0)>>>0?(g=b[d>>0]|0,g<<24>>24>-1):0){f[a>>2]=d+1;h=g&255}else{g=wCb(a)|0;if((g|0)>-1)h=g;else{i=0;return i|0}}g=fCb(a,h)|0;a:do if((nCb(a)|0)>0){h=c+4|0;d=c+8|0;while(1){j=f[a>>2]|0;if(j>>>0<(f[e>>2]|0)>>>0){k=b[j>>0]|0;l=k&255;if(k<<24>>24>-1){f[a>>2]=j+1;m=l}else{n=l;o=10}}else{n=0;o=10}if((o|0)==10){o=0;l=iCb(a,n)|0;j=J;if((j|0)>-1|(j|0)==-1&l>>>0>4294967295)m=l;else{i=0;break}}l=f[c>>2]|0;if((l|0)==(f[h>>2]|0)){eFa(c,l+1|0);p=f[c>>2]|0}else p=l;l=f[d>>2]|0;f[c>>2]=p+1;f[l+4+(p<<2)>>2]=m;if((nCb(a)|0)<=0)break a}return i|0}while(0);gCb(a,g);i=1;return i|0}function Xcb(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function Ycb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=b+4|0;d=f[a+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}BHa(b+16|0,a+16|0);d=f[a+8>>2]|0;if(!(d&3))return;if(d&1|0)f[b+32>>2]=f[a+32>>2];if(d&2|0)f[b+36>>2]=f[a+36>>2];a=b+8|0;f[a>>2]=f[a>>2]|d;return}function Zcb(a){a=a|0;ai[f[f[a>>2]>>2]&2047](a);return}function _cb(a,b){a=a|0;b=b|0;Ccb(b,a);return}function $cb(a){a=a|0;ai[f[f[a>>2]>>2]&2047](a);return}function adb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;f[a>>2]=129052;e=(a|0)==530200;g=a+4|0;h=g+84|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));if(!e?(f[222746]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=46;b[d+8>>0]=0;dEb(890984,d);zDb(d)}f[a+88>>2]=535416;f[a+92>>2]=535416;f[a+96>>2]=535416;f[a+100>>2]=535416;f[a+104>>2]=533456;f[a+108>>2]=533472;g=a+112|0;h=g+64|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));n[a+176>>2]=.9990000128746033;g=a+184|0;f[g>>2]=-1;f[g+4>>2]=-1;f[a+192>>2]=1;b[a+196>>0]=1;b[a+197>>0]=1;n[a+200>>2]=9.99999993922529e-09;f[a+204>>2]=1;n[a+208>>2]=-1.0;f[a+212>>2]=1;f[a+216>>2]=1;n[a+220>>2]=.9900000095367432;f[a+224>>2]=0;u=c;return}function bdb(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function cdb(a){a=a|0;var c=0;c=f[a+88>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+92>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+96>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+100>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+104>>2]|0;if(!((c|0)==533456|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+108>>2]|0;if(!((c|0)==533472|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}if((a|0)==530200)return;c=f[a+112>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+116>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+120>>2]|0;if(!c)return;ai[f[(f[c>>2]|0)+4>>2]&2047](c);return}function ddb(a){a=a|0;var c=0,d=0;f[a>>2]=129268;c=f[a+28>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+24>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(d);f[c>>2]=0;return}function edb(a){a=a|0;ddb(a);Emc(a);return}function fdb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function gdb(a,b){a=a|0;b=b|0;a=Bmc(52)|0;tdb(a);if(!b)return a|0;udb(b,a);return a|0}function hdb(a){a=a|0;var c=0,d=0,e=0,g=0;f[a+16>>2]=0;c=a+8|0;d=f[c>>2]|0;do if(d&1|0){e=f[a+28>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);if(d&62|0){d=a+32|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;b[d+16>>0]=0}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function idb(a){a=a|0;return 1}function jdb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+32|0;k=a+36|0;l=a+40|0;m=a+28|0;n=a+44|0;o=a+16|0;p=a+20|0;q=a+24|0;r=a+48|0;s=e+8|0;t=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){v=b[a>>0]|0;w=v&255;if(v<<24>>24>0){f[c>>2]=a+1;x=w;y=6}else{z=w;y=5}}else{z=0;y=5}if((y|0)==5){y=0;w=xCb(c,z)|0;if((w+-1|0)>>>0<127){x=w;y=6}else A=w}b:do if((y|0)==6){y=0;switch(x>>>3&536870911|0){case 1:{if((x&255|0)!=8){A=x;break b}f[i>>2]=f[i>>2]|2;w=f[c>>2]|0;if(w>>>0<(f[g>>2]|0)>>>0){a=b[w>>0]|0;v=a&255;if(a<<24>>24>-1){f[c>>2]=w+1;B=v}else{C=v;y=11}}else{C=0;y=11}if((y|0)==11){y=0;v=iCb(c,C)|0;w=J;if((w|0)>-1|(w|0)==-1&v>>>0>4294967295)B=v;else{D=0;y=63;break a}}f[j>>2]=B;continue a;break}case 2:{if((x&255|0)!=16){A=x;break b}f[i>>2]=f[i>>2]|4;v=f[c>>2]|0;if(v>>>0<(f[g>>2]|0)>>>0){w=b[v>>0]|0;a=w&255;if(w<<24>>24>-1){f[c>>2]=v+1;E=a}else{F=a;y=17}}else{F=0;y=17}if((y|0)==17){y=0;a=iCb(c,F)|0;v=J;if((v|0)>-1|(v|0)==-1&a>>>0>4294967295)E=a;else{D=0;y=63;break a}}f[k>>2]=E;continue a;break}case 3:{if((x&255|0)!=24){A=x;break b}f[i>>2]=f[i>>2]|8;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){v=b[a>>0]|0;w=v&255;if(v<<24>>24>-1){f[c>>2]=a+1;G=w}else{H=w;y=23}}else{H=0;y=23}if((y|0)==23){y=0;w=iCb(c,H)|0;a=J;if((a|0)>-1|(a|0)==-1&w>>>0>4294967295)G=w;else{D=0;y=63;break a}}f[l>>2]=G;continue a;break}case 4:{if((x&255|0)!=34){A=x;break b}f[i>>2]=f[i>>2]|1;w=f[m>>2]|0;if((w|0)==535416){aFa(m,535416);I=f[m>>2]|0}else I=w;if(HEb(c,I)|0)continue a;else{D=0;y=63;break a}break}case 5:{if((x&255|0)!=40){A=x;break b}f[i>>2]=f[i>>2]|16;w=f[c>>2]|0;if(w>>>0<(f[g>>2]|0)>>>0){a=b[w>>0]|0;v=a&255;if(a<<24>>24>-1){f[c>>2]=w+1;K=v}else{L=v;y=33}}else{L=0;y=33}if((y|0)==33){y=0;v=iCb(c,L)|0;w=J;if((w|0)>-1|(w|0)==-1&v>>>0>4294967295)K=v;else{D=0;y=63;break a}}f[n>>2]=K;continue a;break}case 6:{switch((x&255)<<24>>24){case 53:break;case 50:{if(XSa(c,o)|0)continue a;else{D=0;y=63;break a}break}default:{A=x;break b}}v=f[c>>2]|0;if(((f[g>>2]|0)-v|0)>3){w=v;a=h[w>>0]|h[w+1>>0]<<8|h[w+2>>0]<<16|h[w+3>>0]<<24;f[e>>2]=a;f[c>>2]=v+4;M=a}else{if(!(uCb(c,e)|0)){y=50;break a}M=f[e>>2]|0}a=f[o>>2]|0;if((a|0)==(f[p>>2]|0)){aEa(o,a+1|0);N=f[o>>2]|0}else N=a;a=f[q>>2]|0;v=N+1|0;f[o>>2]=v;f[a+4+(N<<2)>>2]=M;w=f[c>>2]|0;O=(f[g>>2]|0)-w|0;if((O|0)<=0)continue a;P=w;w=(f[p>>2]|0)-v|0;Q=(O>>>0)/5|0;R=(Q|0)<(w|0)?Q:w;if((R|0)>0){S=0;T=P;U=v}else continue a;while(1){if((b[T>>0]|0)!=53){V=S;break}v=T+1|0;w=h[v>>0]|h[v+1>>0]<<8|h[v+2>>0]<<16|h[v+3>>0]<<24;v=U;U=U+1|0;f[o>>2]=U;f[a+4+(v<<2)>>2]=w;w=S+1|0;if((w|0)>=(R|0)){V=w;break}else{S=w;T=T+5|0}}R=V*5|0;if((V|0)<=0)continue a;if((O|0)<(R|0)){qCb(c,R,O)|0;continue a}else{f[c>>2]=P+R;continue a}break}case 7:{if((x&255|0)!=56){A=x;break b}f[i>>2]=f[i>>2]|32;R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0?(a=b[R>>0]|0,a<<24>>24>-1):0){f[c>>2]=R+1;W=a<<24>>24!=0}else{jCb(e,c);a=e;if(!(b[s>>0]|0)){D=0;y=63;break a}else W=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[r>>0]=W&1;continue a;break}default:{A=x;break b}}}while(0);if(!A){D=1;y=63;break}a=f[t>>2]|0;if(!(a&1))X=AHa(t)|0;else X=a&-2;if(!(b4b(c,A,X)|0)){D=0;y=63;break}}if((y|0)==50){D=0;u=d;return D|0}else if((y|0)==63){u=d;return D|0}return 0}function kdb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=f[a+16>>2]|0;e=c+d+(c<<2)|0;c=f[a+8>>2]|0;if(!(c&63)){g=e;h=a+12|0;f[h>>2]=g;return g|0}if(!(c&1))i=e;else{d=f[a+28>>2]|0;j=b[d+11>>0]|0;k=j<<24>>24<0?f[d+4>>2]|0:j&255;i=e+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&2))l=i;else{k=f[a+32>>2]|0;if((k|0)<0)m=11;else m=((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;l=m+i|0}if(!(c&4))n=l;else{i=f[a+36>>2]|0;if((i|0)<0)o=11;else o=((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;n=o+l|0}if(!(c&8))p=n;else{l=f[a+40>>2]|0;if((l|0)<0)q=11;else q=((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;p=q+n|0}if(!(c&16))r=p;else{n=f[a+44>>2]|0;if((n|0)<0)s=11;else s=((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;r=s+p|0}g=c&32|0?r+2|0:r;h=a+12|0;f[h>>2]=g;return g|0}function ldb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=f[a+8>>2]|0;if(d&2|0)mEb(1,f[a+32>>2]|0,c);if(d&4|0)mEb(2,f[a+36>>2]|0,c);if(d&8|0)mEb(3,f[a+40>>2]|0,c);if(d&1|0)DEb(4,f[a+28>>2]|0,c);if(d&16|0)mEb(5,f[a+44>>2]|0,c);e=f[a+16>>2]|0;if((e|0)>0){g=a+24|0;h=0;do{wEb(6,+n[(f[g>>2]|0)+4+(h<<2)>>2],c);h=h+1|0}while((h|0)!=(e|0))}if(d&32|0)yEb(7,(b[a+48>>0]|0)!=0,c);d=f[a+4>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function mdb(a){a=a|0;return f[a+12>>2]|0}function ndb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;c=f[a+8>>2]|0;if(!(c&2))e=d;else{g=f[a+32>>2]|0;b[d>>0]=8;h=d+1|0;d=g&255;if(g>>>0>127){i=h;j=d;k=g;l=((g|0)<0)<<31>>31;while(1){b[i>>0]=j|-128;g=k;k=Irc(k|0,l|0,7)|0;m=i+1|0;n=k&255;if(!(l>>>0>0|(l|0)==0&g>>>0>16383)){o=m;p=n;break}else{i=m;j=n;l=J}}}else{o=h;p=d}b[o>>0]=p;e=o+1|0}if(!(c&4))q=e;else{o=f[a+36>>2]|0;b[e>>0]=16;p=e+1|0;e=o&255;if(o>>>0>127){d=p;h=e;l=o;j=((o|0)<0)<<31>>31;while(1){b[d>>0]=h|-128;o=l;l=Irc(l|0,j|0,7)|0;i=d+1|0;k=l&255;if(!(j>>>0>0|(j|0)==0&o>>>0>16383)){r=i;s=k;break}else{d=i;h=k;j=J}}}else{r=p;s=e}b[r>>0]=s;q=r+1|0}if(!(c&8))t=q;else{r=f[a+40>>2]|0;b[q>>0]=24;s=q+1|0;q=r&255;if(r>>>0>127){e=s;p=q;j=r;h=((r|0)<0)<<31>>31;while(1){b[e>>0]=p|-128;r=j;j=Irc(j|0,h|0,7)|0;d=e+1|0;l=j&255;if(!(h>>>0>0|(h|0)==0&r>>>0>16383)){u=d;v=l;break}else{e=d;p=l;h=J}}}else{u=s;v=q}b[u>>0]=v;t=u+1|0}if(!(c&1))w=t;else{u=f[a+28>>2]|0;b[t>>0]=34;w=GCb(u,t+1|0)|0}if(!(c&16))x=w;else{t=f[a+44>>2]|0;b[w>>0]=40;u=w+1|0;w=t&255;if(t>>>0>127){v=u;q=w;s=t;h=((t|0)<0)<<31>>31;while(1){b[v>>0]=q|-128;t=s;s=Irc(s|0,h|0,7)|0;p=v+1|0;e=s&255;if(!(h>>>0>0|(h|0)==0&t>>>0>16383)){y=p;z=e;break}else{v=p;q=e;h=J}}}else{y=u;z=w}b[y>>0]=z;x=y+1|0}y=f[a+16>>2]|0;if(!y)A=x;else{z=f[a+24>>2]|0;w=0;u=x;while(1){x=f[z+4+(w<<2)>>2]|0;b[u>>0]=53;h=u+1|0;b[h>>0]=x;b[h+1>>0]=x>>8;b[h+2>>0]=x>>16;b[h+3>>0]=x>>24;x=u+5|0;w=w+1|0;if((w|0)>=(y|0)){A=x;break}else u=x}}if(!(c&32))B=A;else{c=b[a+48>>0]|0;b[A>>0]=56;b[A+1>>0]=c;B=A+2|0}A=f[a+4>>2]|0;if(!(A&1)){C=B;return C|0}C=f4b(A&-2,B)|0;return C|0}function odb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function pdb(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,20376,0)|0;if(!c){c2b(b,a);return}else{sdb(a,c);return}}function qdb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function rdb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533576;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function sdb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}e=a+16|0;h=c+16|0;g=f[h>>2]|0;if(g|0){aEa(e,(f[e>>2]|0)+g|0);Krc((f[a+24>>2]|0)+4+(f[e>>2]<<2)|0,(f[c+24>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}h=f[c+8>>2]|0;if(!(h&63))return;do if(h&1|0?(e=a+8|0,f[e>>2]=f[e>>2]|1,e=a+28|0,g=f[c+28>>2]|0,d=f[e>>2]|0,(d|0)!=(g|0)):0)if((d|0)==535416){aFa(e,g);break}else{Qmc(d,g)|0;break}while(0);if(h&2|0)f[a+32>>2]=f[c+32>>2];if(h&4|0)f[a+36>>2]=f[c+36>>2];if(h&8|0)f[a+40>>2]=f[c+40>>2];if(h&16|0)f[a+44>>2]=f[c+44>>2];if(h&32|0)b[a+48>>0]=b[c+48>>0]|0;c=a+8|0;f[c>>2]=f[c>>2]|h;return}function tdb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=129268;f[a+4>>2]=0;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;if((a|0)!=529992?(f[222743]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=43;b[d+8>>0]=0;dEb(890972,d);zDb(d)}f[a+12>>2]=0;f[a+28>>2]=535416;d=a+32|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;b[d+16>>0]=0;u=c;return}function udb(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function vdb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=129376;b=a+28|0;c=f[b>>2]|0;if(c|0?(f[a+16>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)ai[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;Emc(h)}f[b>>2]=0;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}h=a&-2;a=h;if((h|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(h);f[b>>2]=0;return}function wdb(a){a=a|0;vdb(a);Emc(a);return}function xdb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function ydb(a,b){a=a|0;b=b|0;a=Bmc(32)|0;Kdb(a);if(!b)return a|0;Ldb(b,a);return a|0}function zdb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+20|0;c=f[b>>2]|0;if((c|0)>0){d=f[a+28>>2]|0;e=0;do{g=f[d+4+(e<<2)>>2]|0;e=e+1|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}while((e|0)!=(c|0));f[b>>2]=0}f[a+8>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function Adb(a){a=a|0;return 1}function Bdb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+16|0;i=e+4|0;j=a+4|0;while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){k=b[a>>0]|0;l=k&255;if(k<<24>>24>0){f[c>>2]=a+1;m=l;n=6}else{o=l;n=5}}else{o=0;n=5}if((n|0)==5){n=0;l=xCb(c,o)|0;if((l+-1|0)>>>0<127){m=l;n=6}else p=l}if((n|0)==6){n=0;if((m|0)==10){l=WUa(h)|0;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(k=b[a>>0]|0,k<<24>>24>-1):0){f[c>>2]=a+1;q=k&255}else{k=wCb(c)|0;if((k|0)>-1)q=k;else{r=0;n=20;break}}hCb(e,c,q);if((f[i>>2]|0)<0){n=13;break}if(!(Sh[f[(f[l>>2]|0)+44>>2]&511](l,c)|0)){n=13;break}if(mCb(c,f[e>>2]|0)|0)continue;else{r=0;n=20;break}}else p=m}if(!p){r=1;n=20;break}l=f[j>>2]|0;if(!(l&1))s=AHa(j)|0;else s=l&-2;if(!(b4b(c,p,s)|0)){r=0;n=20;break}}if((n|0)==13){r=0;u=d;return r|0}else if((n|0)==20){u=d;return r|0}return 0}function Cdb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+20>>2]|0;d=b+c|0;if(!b){e=d;g=a+12|0;f[g>>2]=e;return e|0}c=a+28|0;h=0;i=d;while(1){d=f[(f[c>>2]|0)+4+(h<<2)>>2]|0;j=ci[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(b|0)){e=d;break}else i=d}g=a+12|0;f[g>>2]=e;return e|0}function Ddb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a+20>>2]|0;if(c|0){d=a+28|0;e=0;do{GEb(1,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function Edb(a){a=a|0;return f[a+12>>2]|0}function Fdb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=f[a+20>>2]|0;if(!e)g=d;else{h=a+28|0;i=0;j=d;while(1){d=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;b[j>>0]=10;k=j+1|0;l=ci[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=k;r=l}b[q>>0]=r;n=ki[f[(f[d>>2]|0)+64>>2]&511](d,c,q+1|0)|0;i=i+1|0;if((i|0)==(e|0)){g=n;break}else j=n}}j=f[a+4>>2]|0;if(!(j&1)){s=g;return s|0}s=f4b(j&-2,g)|0;return s|0}function Gdb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function Hdb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,20392,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}jFa(a+16|0,c+16|0);return}function Idb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function Jdb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533536;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function Kdb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=129376;f[a+4>>2]=0;f[a+8>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=529712?(f[222738]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=38;b[d+8>>0]=0;dEb(890952,d);zDb(d)}f[a+12>>2]=0;u=c;return}function Ldb(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function Mdb(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function Ndb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222735]|0)==2){u=a;return}f[c>>2]=149752;f[c+4>>2]=35;b[c+8>>0]=0;dEb(890940,c);zDb(c);u=a;return}function Odb(a,b){a=a|0;b=b|0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);YTa(a,b);return}function Pdb(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;f[a>>2]=129160;c=a+4|0;f[c>>2]=0;e=b+8|0;f[a+8>>2]=f[e>>2];g=a+12|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;Dcb(a+16|0,b+16|0);g=a+32|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;BHa(g,b+32|0);g=a+48|0;f[g>>2]=0;f[a+52>>2]=0;h=a+56|0;f[h>>2]=0;i=b+48|0;j=f[i>>2]|0;if(j|0){eFa(g,j);Krc((f[h>>2]|0)+4|0,(f[b+56>>2]|0)+4|0,f[i>>2]<<2|0)|0;f[g>>2]=f[i>>2]}i=a+60|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;$Za(i,b+60|0);i=a+76|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;Ecb(i,b+76|0);i=f[b+4>>2]|0;if(i&1|0){g=f[c>>2]|0;if(!(g&1))k=AHa(c)|0;else k=g&-2;O3b(k,i&-2)}i=a+92|0;f[i>>2]=535416;k=f[e>>2]|0;if((k&1|0)!=0?(g=f[b+92>>2]|0,(g|0)!=535416):0){aFa(i,g);l=f[e>>2]|0}else l=k;if(!(l&2)){m=0;n=a+96|0;f[n>>2]=m;o=a+100|0;p=b+100|0;q=d[p>>1]|0;d[o>>1]=q;return}l=Bmc(40)|0;Qdb(l,f[b+96>>2]|0);m=l;n=a+96|0;f[n>>2]=m;o=a+100|0;p=b+100|0;q=d[p>>1]|0;d[o>>1]=q;return}function Qdb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;f[a>>2]=128836;c=a+4|0;f[c>>2]=0;f[a+8>>2]=f[b+8>>2];d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;BHa(a+16|0,b+16|0);d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}d=b+32|0;b=f[d+4>>2]|0;g=a+32|0;f[g>>2]=f[d>>2];f[g+4>>2]=b;return}function Rdb(a,b){a=a|0;b=b|0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);Ccb(a,b);return}function Sdb(a,b){a=a|0;b=b|0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);l3a(a,b);return}function Tdb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;f[a>>2]=125812;c=a+4|0;f[c>>2]=0;d=b+8|0;f[a+8>>2]=f[d>>2];f[a+12>>2]=0;e=f[b+4>>2]|0;if(e&1|0)O3b(AHa(c)|0,e&-2);e=a+16|0;f[e>>2]=535416;c=f[d>>2]|0;if((c&1|0)!=0?(g=f[b+16>>2]|0,(g|0)!=535416):0){aFa(e,g);h=f[d>>2]|0}else h=c;c=a+20|0;f[c>>2]=535416;if(h&2|0?(h=f[b+20>>2]|0,(h|0)!=535416):0)aFa(c,h);h=a+24|0;a=b+24|0;f[h>>2]=f[a>>2];f[h+4>>2]=f[a+4>>2];f[h+8>>2]=f[a+8>>2];f[h+12>>2]=f[a+12>>2];f[h+16>>2]=f[a+16>>2];f[h+20>>2]=f[a+20>>2];f[h+24>>2]=f[a+24>>2];return}function Udb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;f[a>>2]=125488;c=a+4|0;f[c>>2]=0;d=b+8|0;f[a+8>>2]=f[d>>2];f[a+12>>2]=0;e=f[b+4>>2]|0;if(e&1|0)O3b(AHa(c)|0,e&-2);e=a+16|0;f[e>>2]=535416;c=f[d>>2]|0;if((c&1|0)!=0?(g=f[b+16>>2]|0,(g|0)!=535416):0){aFa(e,g);h=f[d>>2]|0}else h=c;c=a+20|0;f[c>>2]=535416;if((h&2|0)!=0?(g=f[b+20>>2]|0,(g|0)!=535416):0){aFa(c,g);i=f[d>>2]|0}else i=h;h=a+24|0;f[h>>2]=535416;if(i&4|0?(i=f[b+24>>2]|0,(i|0)!=535416):0)aFa(h,i);i=a+28|0;a=b+28|0;f[i>>2]=f[a>>2];f[i+4>>2]=f[a+4>>2];f[i+8>>2]=f[a+8>>2];f[i+12>>2]=f[a+12>>2];f[i+16>>2]=f[a+16>>2];f[i+20>>2]=f[a+20>>2];f[i+24>>2]=f[a+24>>2];f[i+28>>2]=f[a+28>>2];return}function Vdb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;f[a>>2]=124948;c=a+4|0;f[c>>2]=0;d=b+8|0;f[a+8>>2]=f[d>>2];f[a+12>>2]=0;e=f[b+4>>2]|0;if(e&1|0)O3b(AHa(c)|0,e&-2);e=a+16|0;f[e>>2]=535416;c=f[d>>2]|0;if((c&1|0)!=0?(g=f[b+16>>2]|0,(g|0)!=535416):0){aFa(e,g);h=f[d>>2]|0}else h=c;c=a+20|0;f[c>>2]=535416;if((h&2|0)!=0?(g=f[b+20>>2]|0,(g|0)!=535416):0){aFa(c,g);i=f[d>>2]|0}else i=h;h=a+24|0;f[h>>2]=533488;if((i&4|0)!=0?(g=f[b+24>>2]|0,(g|0)!=533488):0){aFa(h,g);j=f[d>>2]|0}else j=i;i=a+28|0;f[i>>2]=535416;if(j&8|0?(j=f[b+28>>2]|0,(j|0)!=535416):0)aFa(i,j);j=a+32|0;a=b+32|0;f[j>>2]=f[a>>2];f[j+4>>2]=f[a+4>>2];f[j+8>>2]=f[a+8>>2];f[j+12>>2]=f[a+12>>2];f[j+16>>2]=f[a+16>>2];f[j+20>>2]=f[a+20>>2];f[j+24>>2]=f[a+24>>2];f[j+28>>2]=f[a+28>>2];return}function Wdb(a,b){a=a|0;b=b|0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);oWa(a,b);return}function Xdb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;if((c|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}e=f[c+8>>2]|0;if(!(e&7))return;if(e&1|0)f[a+16>>2]=f[c+16>>2];if(e&2|0)b[a+20>>0]=b[c+20>>0]|0;if(e&4|0)f[a+24>>2]=f[c+24>>2];c=a+8|0;f[c>>2]=f[c>>2]|e;return}function Ydb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}d=f[b+8>>2]|0;if(!(d&7))return;if(d&1|0)f[a+16>>2]=f[b+16>>2];if(d&2|0)f[a+20>>2]=f[b+20>>2];if(d&4|0)f[a+24>>2]=f[b+24>>2];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function Zdb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;if((c|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}e=f[c+8>>2]|0;if(!(e&7))return;if(e&1|0)b[a+16>>0]=b[c+16>>0]|0;if(e&2|0)f[a+20>>2]=f[c+20>>2];if(e&4|0)f[a+24>>2]=f[c+24>>2];c=a+8|0;f[c>>2]=f[c>>2]|e;return}function _db(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}d=f[b+8>>2]|0;if(!(d&3))return;if(d&1|0)f[a+16>>2]=f[b+16>>2];if(d&2|0)f[a+20>>2]=f[b+20>>2];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function $db(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;if((c|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}e=f[c+8>>2]|0;if(!(e&3))return;if(e&1|0)b[a+16>>0]=b[c+16>>0]|0;if(e&2|0)f[a+20>>2]=f[c+20>>2];c=a+8|0;f[c>>2]=f[c>>2]|e;return}function aeb(a,b){a=a|0;b=b|0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);KVa(a,b);return}function beb(a,b){a=a|0;b=b|0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);MVa(a,b);return}function ceb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;if((c|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}e=f[c+8>>2]|0;if(!(e&3))return;if(e&1|0)f[a+16>>2]=f[c+16>>2];if(e&2|0)b[a+20>>0]=b[c+20>>0]|0;c=a+8|0;f[c>>2]=f[c>>2]|e;return}function deb(a,b){a=a|0;b=b|0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);gWa(a,b);return}function eeb(a,b){a=a|0;b=b|0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);dWa(a,b);return}function feb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}d=f[b+8>>2]|0;if(!(d&7))return;if(d&1|0)f[a+16>>2]=f[b+16>>2];if(d&2|0)f[a+20>>2]=f[b+20>>2];if(d&4|0)f[a+24>>2]=f[b+24>>2];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function geb(a,b){a=a|0;b=b|0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);PVa(a,b);return}function heb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}if(!(f[b+8>>2]&1))return;d=a+8|0;f[d>>2]=f[d>>2]|1;d=a+16|0;a=f[b+16>>2]|0;b=f[d>>2]|0;if((b|0)==(a|0))return;if((b|0)==535416){aFa(d,a);return}else{Qmc(b,a)|0;return}}function ieb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}if(!(f[b+8>>2]&1))return;d=f[b+16>>2]|0;b=a+8|0;f[b>>2]=f[b>>2]|1;f[a+16>>2]=d;return}function jeb(a,b){a=a|0;b=b|0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);RVa(a,b);return}function keb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}if(!(f[b+8>>2]&1))return;d=a+8|0;f[d>>2]=f[d>>2]|1;d=a+16|0;a=f[b+16>>2]|0;b=f[d>>2]|0;if((b|0)==(a|0))return;if((b|0)==535416){aFa(d,a);return}else{Qmc(b,a)|0;return}}function leb(a,b){a=a|0;b=b|0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);UVa(a,b);return}function meb(a,b){a=a|0;b=b|0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);WVa(a,b);return}function neb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}d=f[b+8>>2]|0;if(!(d&15))return;if(d&1|0)f[a+16>>2]=f[b+16>>2];if(d&2|0)f[a+20>>2]=f[b+20>>2];if(d&4|0)f[a+24>>2]=f[b+24>>2];if(d&8|0)f[a+28>>2]=f[b+28>>2];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function oeb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;if((c|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}e=f[c+8>>2]|0;if(!(e&7))return;if(e&1|0)b[a+16>>0]=b[c+16>>0]|0;if(e&2|0)b[a+17>>0]=b[c+17>>0]|0;if(e&4|0)f[a+20>>2]=f[c+20>>2];c=a+8|0;f[c>>2]=f[c>>2]|e;return}function peb(a,b){a=a|0;b=b|0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);YVa(a,b);return}function qeb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}d=f[b+8>>2]|0;if(!(d&7))return;if(d&1|0)f[a+16>>2]=f[b+16>>2];if(d&2|0)f[a+20>>2]=f[b+20>>2];if(d&4|0)f[a+24>>2]=f[b+24>>2];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function reb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}d=f[b+8>>2]|0;if(!(d&3))return;if(d&1|0)f[a+16>>2]=f[b+16>>2];if(d&2|0)f[a+20>>2]=f[b+20>>2];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function seb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}if(!(f[b+8>>2]&1))return;d=f[b+16>>2]|0;b=a+8|0;f[b>>2]=f[b>>2]|1;f[a+16>>2]=d;return}function teb(a,b){a=a|0;b=b|0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);lWa(a,b);return}function ueb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}d=f[b+8>>2]|0;if(!(d&3))return;if(d&1|0)f[a+16>>2]=f[b+16>>2];if(d&2|0)f[a+20>>2]=f[b+20>>2];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function veb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}if(!(f[b+8>>2]&1))return;d=f[b+16>>2]|0;b=a+8|0;f[b>>2]=f[b>>2]|1;f[a+16>>2]=d;return}function web(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}if(!(f[b+8>>2]&1))return;d=f[b+16>>2]|0;b=a+8|0;f[b>>2]=f[b>>2]|1;f[a+16>>2]=d;return}function xeb(a,b){a=a|0;b=b|0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);_Va(a,b);return}function yeb(a,b){a=a|0;b=b|0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);GVa(a,b);return}function zeb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;f[a>>2]=130280;Ijb(a);c=a+84|0;d=f[c>>2]|0;if(d|0?(f[a+72>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0)ai[f[(f[h>>2]|0)+4>>2]&2047](h);g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;Emc(i)}f[c>>2]=0;c=a+68|0;i=f[c>>2]|0;if(i|0?(f[a+56>>2]|0)==0:0){d=f[i>>2]|0;if((d|0)>0){e=0;do{g=f[i+4+(e<<2)>>2]|0;if(g|0)ai[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));j=f[c>>2]|0}else j=i;Emc(j)}f[c>>2]=0;c=a+52|0;j=f[c>>2]|0;if(j|0?(f[a+40>>2]|0)==0:0){i=f[j>>2]|0;if((i|0)>0){d=0;do{e=f[j+4+(d<<2)>>2]|0;if(e|0){if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);Emc(e)}d=d+1|0}while((d|0)!=(i|0));k=f[c>>2]|0}else k=j;Emc(k)}f[c>>2]=0;c=f[a+36>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=f[a+24>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}k=a&-2;a=k;if((k|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(k);f[c>>2]=0;return}function Aeb(a){a=a|0;zeb(a);Emc(a);return}function Beb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function Ceb(a,b){a=a|0;b=b|0;a=Bmc(128)|0;Mib(a);if(!b)return a|0;Hjb(b,a);return a|0}function Deb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;f[a+16>>2]=0;f[a+28>>2]=0;c=a+44|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+52>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;i=h+11|0;if((b[i>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0}else{b[h>>0]=0;b[i>>0]=0}}while((g|0)!=(d|0));f[c>>2]=0}c=a+60|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+68>>2]|0;e=0;do{i=f[g+4+(e<<2)>>2]|0;e=e+1|0;ai[f[(f[i>>2]|0)+28>>2]&2047](i)}while((e|0)!=(d|0));f[c>>2]=0}c=a+76|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+84>>2]|0;g=0;do{i=f[e+4+(g<<2)>>2]|0;g=g+1|0;ai[f[(f[i>>2]|0)+28>>2]&2047](i)}while((g|0)!=(d|0));f[c>>2]=0}c=a+8|0;d=f[c>>2]|0;if(d&63|0){do if(d&1|0){g=f[a+88>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);do if(d&2|0){e=f[a+92>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&4|0){g=f[a+96>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);do if(d&8|0){e=f[a+100>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);if(d&16|0){g=f[a+104>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}if(d&32|0){g=f[a+108>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}}if(d&192|0){d=a+112|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0}f[a+124>>2]=0;f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function Eeb(a){a=a|0;return 1}function Feb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+88|0;k=a+120|0;l=a+112|0;m=e+8|0;n=a+92|0;o=a+104|0;p=e+4|0;q=a+108|0;r=e+4|0;s=a+16|0;t=a+20|0;v=a+24|0;w=a+28|0;x=a+32|0;y=a+36|0;z=e+8|0;A=e+8|0;B=a+40|0;C=a+56|0;D=e+4|0;E=a+72|0;F=a+84|0;G=a+80|0;H=a+76|0;I=e+4|0;K=a+96|0;L=a+124|0;M=a+4|0;N=a+100|0;a:while(1){a=f[c>>2]|0;O=f[g>>2]|0;do if(a>>>0<O>>>0){P=b[a>>0]|0;Q=P&255;R=a+1|0;if(P<<24>>24>0){S=R;T=Q}else{if(R>>>0>=O>>>0){U=Q;V=7;break}P=h[R>>0]|0;if(((P^128)&Q)>>>0<=127){U=Q;V=7;break}S=a+2|0;T=Q+-128+(P<<7)|0}f[c>>2]=S;W=T;V=9}else{U=0;V=7}while(0);if((V|0)==7){V=0;a=xCb(c,U)|0;if((a+-1|0)>>>0<16383){W=a;V=9}else X=a}b:do if((V|0)==9){V=0;do switch(W>>>3&536870911|0){case 1:{if((W&255|0)!=10){X=W;break b}f[i>>2]=f[i>>2]|1;a=f[j>>2]|0;if((a|0)==535416){aFa(j,535416);Y=f[j>>2]|0}else Y=a;if(HEb(c,Y)|0)continue a;else{Z=0;V=143;break a}break}case 2:{if((W&255|0)!=21){X=W;break b}f[i>>2]=f[i>>2]|128;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){O=a;P=h[O>>0]|h[O+1>>0]<<8|h[O+2>>0]<<16|h[O+3>>0]<<24;f[e>>2]=P;f[c>>2]=a+4;_=P}else{if(!(uCb(c,e)|0)){V=20;break a}_=f[e>>2]|0}f[k>>2]=_;continue a;break}case 3:{if((W&255|0)!=24){X=W;break b}f[i>>2]=f[i>>2]|64;P=f[c>>2]|0;if(P>>>0<(f[g>>2]|0)>>>0?(a=b[P>>0]|0,a<<24>>24>-1):0){f[c>>2]=P+1;$=a&255;aa=0}else{jCb(e,c);a=e;if(!(b[m>>0]|0)){Z=0;V=143;break a}else{$=f[a>>2]|0;aa=f[a+4>>2]|0}}a=l;f[a>>2]=$;f[a+4>>2]=aa;continue a;break}case 4:{if((W&255|0)!=34){X=W;break b}f[i>>2]=f[i>>2]|2;a=f[n>>2]|0;if((a|0)==535416){aFa(n,535416);ba=f[n>>2]|0}else ba=a;if(HEb(c,ba)|0)continue a;else{Z=0;V=143;break a}break}case 5:{if((W&255|0)!=42){X=W;break b}f[i>>2]=f[i>>2]|16;a=f[o>>2]|0;if(!a){P=Bmc(144)|0;vhb(P);f[o>>2]=P;ca=P}else ca=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(P=b[a>>0]|0,P<<24>>24>-1):0){f[c>>2]=a+1;da=P&255}else{P=wCb(c)|0;if((P|0)>-1)da=P;else{Z=0;V=143;break a}}hCb(e,c,da);if((f[p>>2]|0)<0){V=40;break a}if(!(Sh[f[(f[ca>>2]|0)+44>>2]&511](ca,c)|0)){V=40;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Z=0;V=143;break a}break}case 6:{if((W&255|0)!=50){X=W;break b}f[i>>2]=f[i>>2]|32;P=f[q>>2]|0;if(!P){a=Bmc(104)|0;gib(a);f[q>>2]=a;ea=a}else ea=P;P=f[c>>2]|0;if(P>>>0<(f[g>>2]|0)>>>0?(a=b[P>>0]|0,a<<24>>24>-1):0){f[c>>2]=P+1;fa=a&255}else{a=wCb(c)|0;if((a|0)>-1)fa=a;else{Z=0;V=143;break a}}hCb(e,c,fa);if((f[r>>2]|0)<0){V=51;break a}if(!(Sh[f[(f[ea>>2]|0)+44>>2]&511](ea,c)|0)){V=51;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Z=0;V=143;break a}break}case 7:{switch((W&255)<<24>>24){case 61:break;case 58:{if(XSa(c,s)|0)continue a;else{Z=0;V=143;break a}break}default:{X=W;break b}}a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){P=a;O=h[P>>0]|h[P+1>>0]<<8|h[P+2>>0]<<16|h[P+3>>0]<<24;f[e>>2]=O;f[c>>2]=a+4;ga=O}else{if(!(uCb(c,e)|0)){V=68;break a}ga=f[e>>2]|0}O=f[s>>2]|0;if((O|0)==(f[t>>2]|0)){aEa(s,O+1|0);ha=f[s>>2]|0}else ha=O;O=f[v>>2]|0;a=ha+1|0;f[s>>2]=a;f[O+4+(ha<<2)>>2]=ga;P=f[c>>2]|0;Q=(f[g>>2]|0)-P|0;if((Q|0)<=0)continue a;R=P;P=(f[t>>2]|0)-a|0;ia=(Q>>>0)/5|0;ja=(ia|0)<(P|0)?ia:P;if((ja|0)>0){ka=0;la=R;ma=a}else continue a;while(1){if((b[la>>0]|0)!=61){na=ka;break}a=la+1|0;P=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;a=ma;ma=ma+1|0;f[s>>2]=ma;f[O+4+(a<<2)>>2]=P;P=ka+1|0;if((P|0)>=(ja|0)){na=P;break}else{ka=P;la=la+5|0}}ja=na*5|0;if((na|0)<=0)continue a;if((Q|0)<(ja|0)){qCb(c,ja,Q)|0;continue a}else{f[c>>2]=R+ja;continue a}break}case 8:{switch((W&255)<<24>>24){case 64:break;case 66:{if(thb(c,w)|0)continue a;else{Z=0;V=143;break a}break}default:{X=W;break b}}ja=f[c>>2]|0;if(ja>>>0<(f[g>>2]|0)>>>0?(O=b[ja>>0]|0,O<<24>>24>-1):0){f[c>>2]=ja+1;oa=O&255;pa=0}else{jCb(e,c);O=e;if(!(b[A>>0]|0)){Z=0;V=143;break a}else{oa=f[O>>2]|0;pa=f[O+4>>2]|0}}O=f[w>>2]|0;ja=f[x>>2]|0;if((O|0)==(ja|0)){cEa(w,O+1|0);qa=f[w>>2]|0;ra=f[x>>2]|0}else{qa=O;ra=ja}ja=f[y>>2]|0;O=qa+1|0;f[w>>2]=O;P=ja+8+(qa<<3)|0;f[P>>2]=oa;f[P+4>>2]=pa;P=ra-O|0;if((P|0)>0){sa=P;ta=O;ua=ja}else continue a;while(1){ja=f[c>>2]|0;O=f[g>>2]|0;if(ja>>>0>=O>>>0)continue a;if((b[ja>>0]|0)!=64)continue a;P=ja+1|0;f[c>>2]=P;if(P>>>0<O>>>0?(O=b[P>>0]|0,O<<24>>24>-1):0){f[c>>2]=ja+2;va=ta;wa=ua;xa=O&255;ya=0}else{jCb(e,c);O=e;if(!(b[z>>0]|0)){Z=0;V=143;break a}va=f[w>>2]|0;wa=f[y>>2]|0;xa=f[O>>2]|0;ya=f[O+4>>2]|0}O=va+1|0;f[w>>2]=O;ja=wa+8+(va<<3)|0;f[ja>>2]=xa;f[ja+4>>2]=ya;if((sa|0)>1){sa=sa+-1|0;ta=O;ua=wa}else continue a}break}case 9:{if((W&255|0)!=74){X=W;break b}if(HEb(c,dFa(B)|0)|0)continue a;else{Z=0;V=143;break a}break}case 10:{if((W&255|0)!=82){X=W;break b}R=xjb(C)|0;Q=f[c>>2]|0;if(Q>>>0<(f[g>>2]|0)>>>0?(O=b[Q>>0]|0,O<<24>>24>-1):0){f[c>>2]=Q+1;za=O&255}else{O=wCb(c)|0;if((O|0)>-1)za=O;else{Z=0;V=143;break a}}hCb(e,c,za);if((f[D>>2]|0)<0){V=96;break a}if(!(Sh[f[(f[R>>2]|0)+44>>2]&511](R,c)|0)){V=96;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Z=0;V=143;break a}break}case 11:{if((W&255|0)!=90){X=W;break b}R=f[F>>2]|0;do if(R){O=f[H>>2]|0;Q=f[R>>2]|0;if((O|0)>=(Q|0))if((Q|0)==(f[G>>2]|0)){Aa=Q;V=104;break}else{Ba=Q;Ca=R;V=105;break}else{f[H>>2]=O+1;Da=f[R+4+(O<<2)>>2]|0;break}}else{Aa=f[G>>2]|0;V=104}while(0);if((V|0)==104){V=0;uDb(E,Aa+1|0);R=f[F>>2]|0;Ba=f[R>>2]|0;Ca=R;V=105}if((V|0)==105){V=0;f[Ca>>2]=Ba+1;R=f[E>>2]|0;if(!R){O=Bmc(104)|0;gib(O);Ea=O}else{if(f[R+64>>2]|0)pBb(R,20600,104);O=oBb(R,104,1656)|0;gib(O);Ea=O}O=f[F>>2]|0;R=f[H>>2]|0;f[H>>2]=R+1;f[O+4+(R<<2)>>2]=Ea;Da=Ea}R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0?(O=b[R>>0]|0,O<<24>>24>-1):0){f[c>>2]=R+1;Fa=O&255}else{O=wCb(c)|0;if((O|0)>-1)Fa=O;else{Z=0;V=143;break a}}hCb(e,c,Fa);if((f[I>>2]|0)<0){V=117;break a}if(!(Sh[f[(f[Da>>2]|0)+44>>2]&511](Da,c)|0)){V=117;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Z=0;V=143;break a}break}case 13:{if((W&255|0)!=106){X=W;break b}f[i>>2]=f[i>>2]|4;O=f[K>>2]|0;if((O|0)==535416){aFa(K,535416);Ga=f[K>>2]|0}else Ga=O;if(HEb(c,Ga)|0)continue a;else{Z=0;V=143;break a}break}case 20:{if((W&255|0)!=160){X=W;break b}O=f[c>>2]|0;if(O>>>0<(f[g>>2]|0)>>>0){R=b[O>>0]|0;Q=R&255;if(R<<24>>24>-1){f[c>>2]=O+1;Ha=Q}else{Ia=Q;V=127}}else{Ia=0;V=127}if((V|0)==127){V=0;Q=iCb(c,Ia)|0;O=J;if((O|0)>-1|(O|0)==-1&Q>>>0>4294967295)Ha=Q;else{Z=0;V=143;break a}}if(Ha>>>0<11){f[i>>2]=f[i>>2]|256;f[L>>2]=Ha;continue a}Q=f[M>>2]|0;if(!(Q&1))Ja=AHa(M)|0;else Ja=Q&-2;R3b(Ja,20,Ha,((Ha|0)<0)<<31>>31);continue a;break}case 21:{if((W&255|0)!=170){X=W;break b}f[i>>2]=f[i>>2]|8;Q=f[N>>2]|0;if((Q|0)==535416){aFa(N,535416);Ka=f[N>>2]|0}else Ka=Q;if(HEb(c,Ka)|0)continue a;else{Z=0;V=143;break a}break}default:{X=W;break b}}while(0)}while(0);if(!X){Z=1;V=143;break}Q=f[M>>2]|0;if(!(Q&1))La=AHa(M)|0;else La=Q&-2;if(!(b4b(c,X,La)|0)){Z=0;V=143;break}}if((V|0)==20){Z=0;u=d;return Z|0}else if((V|0)==40){Z=0;u=d;return Z|0}else if((V|0)==51){Z=0;u=d;return Z|0}else if((V|0)==68){Z=0;u=d;return Z|0}else if((V|0)==96){Z=0;u=d;return Z|0}else if((V|0)==117){Z=0;u=d;return Z|0}else if((V|0)==143){u=d;return Z|0}return 0}function Geb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=f[a+16>>2]|0;e=c+d+(c<<2)|0;c=f[a+28>>2]|0;if((c|0)>0){d=f[a+36>>2]|0;g=0;h=0;while(1){i=d+8+(h<<3)|0;j=Prc(f[i>>2]|1|0,f[i+4>>2]|0,1)|0;i=((((j^63)*9|0)+73|0)>>>6)+g|0;h=h+1|0;if((h|0)==(c|0)){k=i;break}else g=i}}else k=0;g=f[a+44>>2]|0;h=e+k+c+g|0;if((g|0)>0){c=f[a+52>>2]|0;k=0;e=h;while(1){d=f[c+4+(k<<2)>>2]|0;i=b[d+11>>0]|0;j=i<<24>>24<0?f[d+4>>2]|0:i&255;i=j+e+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;k=k+1|0;if((k|0)==(g|0)){l=i;break}else e=i}}else l=h;h=f[a+60>>2]|0;e=h+l|0;if(!h)m=e;else{l=a+68|0;g=0;k=e;while(1){e=f[(f[l>>2]|0)+4+(g<<2)>>2]|0;c=ci[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=c+k+((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=g+1|0;if((g|0)==(h|0)){m=e;break}else k=e}}k=f[a+76>>2]|0;h=k+m|0;if(!k)n=h;else{m=a+84|0;g=0;l=h;while(1){h=f[(f[m>>2]|0)+4+(g<<2)>>2]|0;e=ci[f[(f[h>>2]|0)+48>>2]&1023](h)|0;h=e+l+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=g+1|0;if((g|0)==(k|0)){n=h;break}else l=h}}l=a+8|0;k=f[l>>2]|0;if(!(k&255)){o=n;p=k}else{if(!(k&1))q=n;else{g=f[a+88>>2]|0;m=b[g+11>>0]|0;h=m<<24>>24<0?f[g+4>>2]|0:m&255;q=n+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(k&2))r=q;else{h=f[a+92>>2]|0;n=b[h+11>>0]|0;m=n<<24>>24<0?f[h+4>>2]|0:n&255;r=q+1+m+((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(k&4))s=r;else{m=f[a+96>>2]|0;q=b[m+11>>0]|0;n=q<<24>>24<0?f[m+4>>2]|0:q&255;s=r+1+n+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(k&8))t=s;else{n=f[a+100>>2]|0;r=b[n+11>>0]|0;q=r<<24>>24<0?f[n+4>>2]|0:r&255;t=s+2+q+((((($(q|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(k&16)){u=t;v=k}else{k=f[a+104>>2]|0;q=ci[f[(f[k>>2]|0)+48>>2]&1023](k)|0;k=t+1+q+((((($(q|1|0)|0)^31)*9|0)+73|0)>>>6)|0;u=k;v=f[l>>2]|0}if(!(v&32)){w=u;x=v}else{v=f[a+108>>2]|0;k=ci[f[(f[v>>2]|0)+48>>2]&1023](v)|0;v=u+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;w=v;x=f[l>>2]|0}if(!(x&64))y=w;else{l=a+112|0;v=Prc(f[l>>2]|1|0,f[l+4>>2]|0,1)|0;y=w+1+((((v^63)*9|0)+73|0)>>>6)|0}o=x&128|0?y+5|0:y;p=x}if(!(p&256)){z=o;A=a+12|0;f[A>>2]=z;return z|0}p=f[a+124>>2]|0;if((p|0)<0)B=12;else B=((((($(p|1|0)|0)^31)*9|0)+73|0)>>>6)+2|0;z=B+o|0;A=a+12|0;f[A>>2]=z;return z|0}function Heb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=f[a+8>>2]|0;if(c&1|0)BEb(1,f[a+88>>2]|0,b);if(c&128|0)wEb(2,+n[a+120>>2],b);if(c&64|0){d=a+112|0;nEb(3,f[d>>2]|0,f[d+4>>2]|0,b)}if(c&2|0)DEb(4,f[a+92>>2]|0,b);if(c&16|0)GEb(5,f[a+104>>2]|0,b);if(c&32|0)GEb(6,f[a+108>>2]|0,b);d=f[a+16>>2]|0;if((d|0)>0){e=a+24|0;g=0;do{wEb(7,+n[(f[e>>2]|0)+4+(g<<2)>>2],b);g=g+1|0}while((g|0)!=(d|0))}d=f[a+28>>2]|0;if((d|0)>0){g=a+36|0;e=0;do{h=(f[g>>2]|0)+8+(e<<3)|0;nEb(8,f[h>>2]|0,f[h+4>>2]|0,b);e=e+1|0}while((e|0)!=(d|0))}d=f[a+44>>2]|0;if((d|0)>0){e=a+52|0;g=0;do{CEb(9,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(d|0))}d=f[a+60>>2]|0;if(d|0){g=a+68|0;e=0;do{GEb(10,f[(f[g>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(d|0))}d=f[a+76>>2]|0;if(d|0){e=a+84|0;g=0;do{GEb(11,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(d|0))}if(c&4|0)BEb(13,f[a+96>>2]|0,b);if(c&256|0)zEb(20,f[a+124>>2]|0,b);if(c&8|0)BEb(21,f[a+100>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function Ieb(a){a=a|0;return f[a+12>>2]|0}function Jeb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0;e=f[a+8>>2]|0;if(!(e&1))g=d;else{h=f[a+88>>2]|0;b[d>>0]=10;g=GCb(h,d+1|0)|0}if(!(e&128))i=g;else{d=f[a+120>>2]|0;b[g>>0]=21;h=g+1|0;b[h>>0]=d;b[h+1>>0]=d>>8;b[h+2>>0]=d>>16;b[h+3>>0]=d>>24;i=g+5|0}if(!(e&64))j=i;else{g=a+112|0;d=f[g>>2]|0;h=f[g+4>>2]|0;b[i>>0]=24;g=i+1|0;i=d&255;if(h>>>0>0|(h|0)==0&d>>>0>127){k=g;l=i;m=d;d=h;while(1){b[k>>0]=l|-128;h=m;m=Irc(m|0,d|0,7)|0;n=k+1|0;o=m&255;if(!(d>>>0>0|(d|0)==0&h>>>0>16383)){p=n;q=o;break}else{k=n;l=o;d=J}}}else{p=g;q=i}b[p>>0]=q;j=p+1|0}if(!(e&2))r=j;else{p=f[a+92>>2]|0;b[j>>0]=34;r=GCb(p,j+1|0)|0}if(!(e&16))s=r;else{j=f[a+104>>2]|0;b[r>>0]=42;p=r+1|0;r=ci[f[(f[j>>2]|0)+60>>2]&1023](j)|0;if(r>>>0>127){q=r;i=p;while(1){b[i>>0]=q|128;g=q>>>7;d=i+1|0;if(q>>>0>16383){q=g;i=d}else{t=d;u=g;break}}}else{t=p;u=r}b[t>>0]=u;s=ki[f[(f[j>>2]|0)+64>>2]&511](j,c,t+1|0)|0}if(!(e&32))v=s;else{t=f[a+108>>2]|0;b[s>>0]=50;j=s+1|0;s=ci[f[(f[t>>2]|0)+60>>2]&1023](t)|0;if(s>>>0>127){u=s;r=j;while(1){b[r>>0]=u|128;p=u>>>7;i=r+1|0;if(u>>>0>16383){u=p;r=i}else{w=i;x=p;break}}}else{w=j;x=s}b[w>>0]=x;v=ki[f[(f[t>>2]|0)+64>>2]&511](t,c,w+1|0)|0}w=f[a+16>>2]|0;if(!w)y=v;else{t=f[a+24>>2]|0;x=0;s=v;while(1){v=f[t+4+(x<<2)>>2]|0;b[s>>0]=61;j=s+1|0;b[j>>0]=v;b[j+1>>0]=v>>8;b[j+2>>0]=v>>16;b[j+3>>0]=v>>24;v=s+5|0;x=x+1|0;if((x|0)>=(w|0)){y=v;break}else s=v}}s=f[a+28>>2]|0;if(!s)z=y;else{w=f[a+36>>2]|0;x=0;t=y;while(1){y=w+8+(x<<3)|0;v=f[y>>2]|0;j=f[y+4>>2]|0;b[t>>0]=64;y=t+1|0;r=v&255;if(j>>>0>0|(j|0)==0&v>>>0>127){u=y;p=r;i=v;v=j;while(1){b[u>>0]=p|-128;j=i;i=Irc(i|0,v|0,7)|0;q=u+1|0;g=i&255;if(!(v>>>0>0|(v|0)==0&j>>>0>16383)){A=q;B=g;break}else{u=q;p=g;v=J}}}else{A=y;B=r}b[A>>0]=B;v=A+1|0;x=x+1|0;if((x|0)>=(s|0)){z=v;break}else t=v}}t=f[a+44>>2]|0;if((t|0)>0){s=a+52|0;x=0;A=z;while(1){B=f[(f[s>>2]|0)+4+(x<<2)>>2]|0;b[A>>0]=74;w=GCb(B,A+1|0)|0;x=x+1|0;if((x|0)==(t|0)){C=w;break}else A=w}}else C=z;z=f[a+60>>2]|0;if(!z)D=C;else{A=a+68|0;t=0;x=C;while(1){C=f[(f[A>>2]|0)+4+(t<<2)>>2]|0;b[x>>0]=82;s=x+1|0;w=ci[f[(f[C>>2]|0)+60>>2]&1023](C)|0;if(w>>>0>127){B=w;v=s;while(1){b[v>>0]=B|128;p=B>>>7;u=v+1|0;if(B>>>0>16383){B=p;v=u}else{E=u;F=p;break}}}else{E=s;F=w}b[E>>0]=F;v=ki[f[(f[C>>2]|0)+64>>2]&511](C,c,E+1|0)|0;t=t+1|0;if((t|0)==(z|0)){D=v;break}else x=v}}x=f[a+76>>2]|0;if(!x)G=D;else{z=a+84|0;t=0;E=D;while(1){D=f[(f[z>>2]|0)+4+(t<<2)>>2]|0;b[E>>0]=90;F=E+1|0;A=ci[f[(f[D>>2]|0)+60>>2]&1023](D)|0;if(A>>>0>127){v=A;B=F;while(1){b[B>>0]=v|128;r=v>>>7;y=B+1|0;if(v>>>0>16383){v=r;B=y}else{H=y;I=r;break}}}else{H=F;I=A}b[H>>0]=I;B=ki[f[(f[D>>2]|0)+64>>2]&511](D,c,H+1|0)|0;t=t+1|0;if((t|0)==(x|0)){G=B;break}else E=B}}if(!(e&4))K=G;else{E=f[a+96>>2]|0;b[G>>0]=106;K=GCb(E,G+1|0)|0}if(!(e&256))L=K;else{G=f[a+124>>2]|0;b[K>>0]=-96;b[K+1>>0]=1;E=K+2|0;K=G&255;if(G>>>0>127){x=E;t=K;H=G;c=((G|0)<0)<<31>>31;while(1){b[x>>0]=t|-128;G=H;H=Irc(H|0,c|0,7)|0;I=x+1|0;z=H&255;if(!(c>>>0>0|(c|0)==0&G>>>0>16383)){M=I;N=z;break}else{x=I;t=z;c=J}}}else{M=E;N=K}b[M>>0]=N;L=M+1|0}if(!(e&8))O=L;else{e=f[a+100>>2]|0;b[L>>0]=-86;b[L+1>>0]=1;O=GCb(e,L+2|0)|0}L=f[a+4>>2]|0;if(!(L&1)){P=O;return P|0}P=f4b(L&-2,O)|0;return P|0}function Keb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function Leb(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,20408,0)|0;if(!c){c2b(b,a);return}else{Pib(a,c);return}}function Meb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function Neb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222810]|0)!=2){f[d>>2]=149752;f[d+4>>2]=107;b[d+8>>0]=0;dEb(891240,d);zDb(d)}d=534904;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function Oeb(){var a=0,c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((f[222811]|0)!=2){f[c>>2]=149752;f[c+4>>2]=108;b[c+8>>0]=0;dEb(891244,c);zDb(c)}d=Bmc(32)|0;f[c>>2]=d;f[c+8>>2]=-2147483616;f[c+4>>2]=17;e=d;g=439588;h=e+17|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));b[d+17>>0]=0;wYb(c,130380,130536,129476,0,534904,891228,0);if((b[c+11>>0]|0)>=0){u=a;return}Emc(f[c>>2]|0);u=a;return}function Peb(){Qeb();NIb(439606,2523);R1b(439588,1657);return}function Qeb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222812]|0)!=2){f[c>>2]=149752;f[c+4>>2]=109;b[c+8>>0]=0;dEb(891248,c);zDb(c)}if((f[222813]|0)!=2){f[c>>2]=149752;f[c+4>>2]=110;b[c+8>>0]=0;dEb(891252,c);zDb(c)}if((f[222814]|0)!=2){f[c>>2]=149752;f[c+4>>2]=111;b[c+8>>0]=0;dEb(891256,c);zDb(c)}if((f[222815]|0)!=2){f[c>>2]=149752;f[c+4>>2]=112;b[c+8>>0]=0;dEb(891260,c);zDb(c)}if((f[222816]|0)!=2){f[c>>2]=149752;f[c+4>>2]=113;b[c+8>>0]=0;dEb(891264,c);zDb(c)}if((f[222817]|0)!=2){f[c>>2]=149752;f[c+4>>2]=114;b[c+8>>0]=0;dEb(891268,c);zDb(c)}if((f[222818]|0)!=2){f[c>>2]=149752;f[c+4>>2]=115;b[c+8>>0]=0;dEb(891272,c);zDb(c)}if((f[222819]|0)!=2){f[c>>2]=149752;f[c+4>>2]=116;b[c+8>>0]=0;dEb(891276,c);zDb(c)}if((f[222820]|0)!=2){f[c>>2]=149752;f[c+4>>2]=117;b[c+8>>0]=0;dEb(891280,c);zDb(c)}if((f[222821]|0)!=2){f[c>>2]=149752;f[c+4>>2]=118;b[c+8>>0]=0;dEb(891284,c);zDb(c)}if((f[222822]|0)==2){u=a;return}f[c>>2]=149752;f[c+4>>2]=119;b[c+8>>0]=0;dEb(891288,c);zDb(c);u=a;return}function Reb(a){a=a|0;var c=0;a=u;u=u+16|0;c=a;if((f[222810]|0)!=2){f[c>>2]=149752;f[c+4>>2]=107;b[c+8>>0]=0;dEb(891240,c);zDb(c)}BYb(534904,13);u=a;return}function Seb(){var a=0,c=0,d=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,442130);tBb();if((f[222817]|0)!=2){f[c>>2]=149752;f[c+4>>2]=114;b[c+8>>0]=0;dEb(891268,c);zDb(c)}if((f[222813]|0)!=2){f[c>>2]=149752;f[c+4>>2]=110;b[c+8>>0]=0;dEb(891252,c);zDb(c)}f[133522]=130280;f[133523]=0;c=534096;d=c+80|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(d|0));f[133544]=535416;f[133545]=535416;f[133546]=535416;f[133547]=535416;f[133548]=0;f[133549]=0;f[133550]=0;f[133551]=0;f[133552]=0;f[133553]=0;$Db(534088);f[133562]=131676;f[133563]=0;c=534256;d=c+56|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(d|0));f[133578]=535416;f[133579]=535416;f[133580]=535416;f[133581]=535416;$Db(534248);f[133610]=131784;f[133611]=0;c=534448;d=c+88|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(d|0));f[133634]=535416;f[133635]=535416;$Db(534440);f[133548]=534576;f[133549]=534440;u=a;return}function Teb(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,442130);tBb();if((f[222821]|0)!=2){f[c>>2]=149752;f[c+4>>2]=118;b[c+8>>0]=0;dEb(891284,c);zDb(c)}f[133554]=131568;f[133555]=0;f[133556]=0;f[133557]=0;f[133558]=535416;f[133559]=535416;f[133560]=0;$Db(534216);f[133560]=534832;u=a;return}function Ueb(){var a=0,c=0,d=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,442130);tBb();if((f[222822]|0)!=2){f[c>>2]=149752;f[c+4>>2]=119;b[c+8>>0]=0;dEb(891288,c);zDb(c)}if((f[222812]|0)!=2){f[c>>2]=149752;f[c+4>>2]=109;b[c+8>>0]=0;dEb(891248,c);zDb(c)}if((f[222815]|0)!=2){f[c>>2]=149752;f[c+4>>2]=112;b[c+8>>0]=0;dEb(891260,c);zDb(c)}f[133582]=131460;f[133583]=0;c=534336;d=c+40|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(d|0));f[133594]=535416;f[133595]=535416;f[133596]=535416;f[133597]=535416;f[133598]=0;f[133599]=0;f[133600]=0;f[133601]=0;f[133602]=0;f[133603]=0;$Db(534328);f[133598]=534440;u=a;return}function Veb(){CDb(3005001,3005e3,442130);tBb();f[133604]=131352;f[133605]=0;f[133606]=0;f[133607]=0;f[133608]=535416;f[133609]=535416;$Db(534416);return}function Web(){CDb(3005001,3005e3,442130);tBb();f[133636]=131244;f[133637]=0;f[133638]=0;f[133639]=0;f[133640]=0;f[133641]=0;f[133642]=0;f[133643]=0;$Db(534544);return}function Xeb(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,442130);tBb();if((f[222816]|0)!=2){f[c>>2]=149752;f[c+4>>2]=113;b[c+8>>0]=0;dEb(891264,c);zDb(c)}f[133644]=131136;f[133645]=0;f[133655]=0;f[133656]=0;f[133657]=0;f[133667]=0;f[133668]=0;f[133669]=0;f[133671]=0;f[133672]=0;f[133673]=0;f[133659]=0;f[133660]=0;f[133661]=0;f[133662]=0;f[133663]=0;f[133664]=0;f[133665]=0;f[133646]=0;f[133647]=0;f[133648]=0;f[133649]=0;f[133650]=0;f[133651]=0;f[133652]=0;f[133653]=0;f[133675]=535416;f[133676]=535416;f[133677]=535416;c=534712;f[c>>2]=0;f[c+4>>2]=0;$Db(534576);f[133678]=534544;u=a;return}function Yeb(){var a=0;CDb(3005001,3005e3,442130);tBb();f[133680]=130812;f[133681]=0;f[133682]=0;f[133683]=0;f[133684]=535416;f[133688]=0;$Db(534720);a=534760;f[a>>2]=0;f[a+4>>2]=0;f[133692]=535416;return}function Zeb(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,442130);tBb();if((f[222818]|0)!=2){f[c>>2]=149752;f[c+4>>2]=115;b[c+8>>0]=0;dEb(891272,c);zDb(c)}f[133694]=130920;f[133695]=0;f[133696]=0;f[133697]=0;f[133698]=0;f[133699]=0;f[133700]=0;f[133701]=0;$Db(534776);u=a;return}function _eb(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,442130);tBb();if((f[222819]|0)!=2){f[c>>2]=149752;f[c+4>>2]=116;b[c+8>>0]=0;dEb(891276,c);zDb(c)}f[133702]=131028;f[133703]=0;f[133704]=0;f[133705]=0;f[133706]=0;f[133707]=0;$Db(534808);f[133706]=534776;u=a;return}function $eb(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,442130);tBb();if((f[222820]|0)!=2){f[c>>2]=149752;f[c+4>>2]=117;b[c+8>>0]=0;dEb(891280,c);zDb(c)}f[133708]=130704;f[133709]=0;f[133710]=0;f[133711]=0;f[133712]=535416;f[133714]=0;$Db(534832);f[133716]=534808;u=a;return}function afb(){var a=0;CDb(3005001,3005e3,442130);tBb();f[133718]=130596;f[133719]=0;f[133720]=0;f[133721]=0;f[133722]=535416;a=534896;f[a>>2]=0;f[a+4>>2]=0;$Db(534872);return}function bfb(a){a=a|0;var c=0,d=0;f[a>>2]=130596;c=f[a+16>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(d);f[c>>2]=0;return}function cfb(a){a=a|0;bfb(a);Emc(a);return}function dfb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function efb(a,b){a=a|0;b=b|0;a=Bmc(32)|0;rfb(a);if(!b)return a|0;sfb(b,a);return a|0}function ffb(a){a=a|0;var c=0,d=0,e=0;c=a+8|0;do if(f[c>>2]&1|0){d=f[a+16>>2]|0;e=d+11|0;if((b[e>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[e>>0]=0;break}}while(0);e=a+24|0;f[e>>2]=0;f[e+4>>2]=0;f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function gfb(a){a=a|0;return 1}function hfb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+16|0;j=a+24|0;k=e+8|0;l=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){m=b[a>>0]|0;n=m&255;if(m<<24>>24>0){f[c>>2]=a+1;o=n;p=6}else{q=n;p=5}}else{q=0;p=5}if((p|0)==5){p=0;n=xCb(c,q)|0;if((n+-1|0)>>>0<127){o=n;p=6}else r=n}b:do if((p|0)==6){p=0;switch(o>>>3&536870911|0){case 1:{if((o&255|0)!=10){r=o;break b}f[h>>2]=f[h>>2]|1;n=f[i>>2]|0;if((n|0)==535416){aFa(i,535416);s=f[i>>2]|0}else s=n;if(HEb(c,s)|0)continue a;else{t=0;p=22;break a}break}case 2:break;default:{r=o;break b}}if((o&255|0)==16){f[h>>2]=f[h>>2]|2;n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0?(a=b[n>>0]|0,a<<24>>24>-1):0){f[c>>2]=n+1;v=a&255;w=0}else{jCb(e,c);a=e;if(!(b[k>>0]|0)){t=0;p=22;break a}else{v=f[a>>2]|0;w=f[a+4>>2]|0}}a=j;f[a>>2]=v;f[a+4>>2]=w;continue a}else r=o}while(0);if(!r){t=1;p=22;break}a=f[l>>2]|0;if(!(a&1))x=AHa(l)|0;else x=a&-2;if(!(b4b(c,r,x)|0)){t=0;p=22;break}}if((p|0)==22){u=d;return t|0}return 0}function ifb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=f[a+8>>2]|0;if(!(c&3)){e=d;g=a+12|0;f[g>>2]=e;return e|0}if(!(c&1))h=d;else{i=f[a+16>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0?f[i+4>>2]|0:j&255;h=d+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&2)){e=h;g=a+12|0;f[g>>2]=e;return e|0}c=a+24|0;k=Prc(f[c>>2]|1|0,f[c+4>>2]|0,1)|0;e=h+1+((((k^63)*9|0)+73|0)>>>6)|0;g=a+12|0;f[g>>2]=e;return e|0}function jfb(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)BEb(1,f[a+16>>2]|0,b);if(c&2|0){c=a+24|0;nEb(2,f[c>>2]|0,f[c+4>>2]|0,b)}c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function kfb(a){a=a|0;return f[a+12>>2]|0}function lfb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=10;e=GCb(g,d+1|0)|0}if(!(c&2))h=e;else{c=a+24|0;d=f[c>>2]|0;g=f[c+4>>2]|0;b[e>>0]=16;c=e+1|0;e=d&255;if(g>>>0>0|(g|0)==0&d>>>0>127){i=c;j=e;k=d;d=g;while(1){b[i>>0]=j|-128;g=k;k=Irc(k|0,d|0,7)|0;l=i+1|0;m=k&255;if(!(d>>>0>0|(d|0)==0&g>>>0>16383)){n=l;o=m;break}else{i=l;j=m;d=J}}}else{n=c;o=e}b[n>>0]=o;h=n+1|0}n=f[a+4>>2]|0;if(!(n&1)){p=h;return p|0}p=f4b(n&-2,h)|0;return p|0}function mfb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function nfb(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,20424,0)|0;if(!c){c2b(b,a);return}else{qfb(a,c);return}}function ofb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function pfb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222810]|0)!=2){f[d>>2]=149752;f[d+4>>2]=107;b[d+8>>0]=0;dEb(891240,d);zDb(d)}d=535e3;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function qfb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}d=f[b+8>>2]|0;if(!(d&3))return;do if(d&1|0?(g=a+8|0,f[g>>2]=f[g>>2]|1,g=a+16|0,e=f[b+16>>2]|0,c=f[g>>2]|0,(c|0)!=(e|0)):0)if((c|0)==535416){aFa(g,e);break}else{Qmc(c,e)|0;break}while(0);if(d&2|0){e=b+24|0;b=f[e+4>>2]|0;c=a+24|0;f[c>>2]=f[e>>2];f[c+4>>2]=b}b=a+8|0;f[b>>2]=f[b>>2]|d;return}function rfb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=130596;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=534872?(f[222822]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=119;b[d+8>>0]=0;dEb(891288,d);zDb(d)}f[a+12>>2]=0;f[a+16>>2]=535416;d=a+24|0;f[d>>2]=0;f[d+4>>2]=0;u=c;return}function sfb(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function tfb(a){a=a|0;var c=0,d=0,e=0;f[a>>2]=130704;c=f[a+16>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=a+24|0;switch(f[c>>2]|0){case 0:break;case 1:{d=f[a+20>>2]|0;if(!d)e=8;else{ai[f[(f[d>>2]|0)+4>>2]&2047](d);e=8}break}default:e=8}if((e|0)==8)f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}e=a&-2;a=e;if((e|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(e);f[c>>2]=0;return}function ufb(a){a=a|0;tfb(a);Emc(a);return}function vfb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function wfb(a,b){a=a|0;b=b|0;a=Bmc(28)|0;Lgb(a);if(!b)return a|0;Mgb(b,a);return a|0}function xfb(a){a=a|0;var c=0,d=0,e=0;c=a+8|0;do if(f[c>>2]&1|0){d=f[a+16>>2]|0;e=d+11|0;if((b[e>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[e>>0]=0;break}}while(0);e=a+24|0;if((f[e>>2]|0)==1?(d=f[a+20>>2]|0,d|0):0)ai[f[(f[d>>2]|0)+4>>2]&2047](d);f[e>>2]=0;f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function yfb(a){a=a|0;return 1}function zfb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+24|0;i=a+20|0;j=e+4|0;k=a+8|0;l=a+16|0;m=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=xCb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:break;case 6:{if((p&255|0)!=50){s=p;break b}f[k>>2]=f[k>>2]|1;o=f[l>>2]|0;if((o|0)==535416){aFa(l,535416);t=f[l>>2]|0}else t=o;if(HEb(c,t)|0)continue a;else{v=0;q=28;break a}break}default:{s=p;break b}}if((p&255|0)==10){if((f[h>>2]|0)==1)w=f[i>>2]|0;else{f[h>>2]=1;o=Bmc(24)|0;Jfb(o);f[i>>2]=o;w=o}o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0?(a=b[o>>0]|0,a<<24>>24>-1):0){f[c>>2]=o+1;x=a&255}else{a=wCb(c)|0;if((a|0)>-1)x=a;else{v=0;q=28;break a}}hCb(e,c,x);if((f[j>>2]|0)<0){q=17;break a}if(!(Sh[f[(f[w>>2]|0)+44>>2]&511](w,c)|0)){q=17;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{v=0;q=28;break a}}else s=p}while(0);if(!s){v=1;q=28;break}a=f[m>>2]|0;if(!(a&1))y=AHa(m)|0;else y=a&-2;if(!(b4b(c,s,y)|0)){v=0;q=28;break}}if((q|0)==17){v=0;u=d;return v|0}else if((q|0)==28){u=d;return v|0}return 0}function Afb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;if(!(f[a+8>>2]&1))e=d;else{c=f[a+16>>2]|0;g=b[c+11>>0]|0;h=g<<24>>24<0?f[c+4>>2]|0:g&255;e=d+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if((f[a+24>>2]|0)!=1){i=e;j=a+12|0;f[j>>2]=i;return i|0}h=f[a+20>>2]|0;d=ci[f[(f[h>>2]|0)+48>>2]&1023](h)|0;i=e+1+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0;j=a+12|0;f[j>>2]=i;return i|0}function Bfb(a,b){a=a|0;b=b|0;var c=0;if((f[a+24>>2]|0)==1)GEb(1,f[a+20>>2]|0,b);if(f[a+8>>2]&1|0)BEb(6,f[a+16>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function Cfb(a){a=a|0;return f[a+12>>2]|0}function Dfb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if((f[a+24>>2]|0)==1){e=f[a+20>>2]|0;b[d>>0]=10;g=d+1|0;h=ci[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(h>>>0>127){i=h;j=g;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=g;n=h}b[m>>0]=n;o=ki[f[(f[e>>2]|0)+64>>2]&511](e,c,m+1|0)|0}else o=d;if(!(f[a+8>>2]&1))p=o;else{d=f[a+16>>2]|0;b[o>>0]=50;p=GCb(d,o+1|0)|0}o=f[a+4>>2]|0;if(!(o&1)){q=p;return q|0}q=f4b(o&-2,p)|0;return q|0}function Efb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function Ffb(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,20440,0)|0;if(!c){c2b(b,a);return}else{Ifb(a,c);return}}function Gfb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function Hfb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222810]|0)!=2){f[d>>2]=149752;f[d+4>>2]=107;b[d+8>>0]=0;dEb(891240,d);zDb(d)}d=534992;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function Ifb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}do if(f[b+8>>2]&1|0?(d=a+8|0,f[d>>2]=f[d>>2]|1,d=a+16|0,g=f[b+16>>2]|0,e=f[d>>2]|0,(e|0)!=(g|0)):0)if((e|0)==535416){aFa(d,g);break}else{Qmc(e,g)|0;break}while(0);g=b+24|0;if((f[g>>2]|0)!=1)return;e=a+24|0;if((f[e>>2]|0)!=1){f[e>>2]=1;e=Bmc(24)|0;Jfb(e);f[a+20>>2]=e;if((f[g>>2]|0)==1){h=e;i=15}else{j=e;k=534808}}else{h=f[a+20>>2]|0;i=15}if((i|0)==15){j=h;k=f[b+20>>2]|0}Kfb(j,k);return}function Jfb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=131028;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=534808?(f[222820]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=117;b[d+8>>0]=0;dEb(891280,d);zDb(d)}f[a+12>>2]=0;d=a+16|0;f[d>>2]=0;f[d+4>>2]=0;u=c;return}function Kfb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}d=f[b+8>>2]|0;if(!(d&3))return;if(d&1|0){g=a+8|0;f[g>>2]=f[g>>2]|1;g=a+16|0;e=f[g>>2]|0;if(!e){c=Bmc(32)|0;Lfb(c);f[g>>2]=c;h=c}else h=e;e=f[b+16>>2]|0;c=e|0?e:534776;e=h+4|0;g=f[c+4>>2]|0;if(g&1|0){i=f[e>>2]|0;if(!(i&1))j=AHa(e)|0;else j=i&-2;O3b(j,g&-2)}Mfb(h+16|0,c+16|0)}if(d&2|0)f[a+20>>2]=f[b+20>>2];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function Lfb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=130920;f[a+4>>2]=0;f[a+8>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=534776?(f[222819]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=116;b[d+8>>0]=0;dEb(891276,d);zDb(d)}f[a+12>>2]=0;u=c;return}function Mfb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{Ofb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(40)|0;Nfb(l);Ofb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,20456,40);l=oBb(i,40,1658)|0;Nfb(l);Ofb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function Nfb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=130812;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=534720?(f[222818]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=115;b[d+8>>0]=0;dEb(891272,d);zDb(d)}f[a+12>>2]=0;f[a+16>>2]=535416;f[a+32>>2]=0;u=c;return}function Ofb(a,b){a=a|0;b=b|0;Qfb(b,a);return}function Pfb(a){a=a|0;ai[f[f[a>>2]>>2]&2047](a);return}function Qfb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}do if(f[c+8>>2]&1|0?(e=a+8|0,f[e>>2]=f[e>>2]|1,e=a+16|0,h=f[c+16>>2]|0,g=f[e>>2]|0,(g|0)!=(h|0)):0)if((g|0)==535416){aFa(e,h);break}else{Qmc(g,h)|0;break}while(0);switch(f[c+32>>2]|0){case 1:{h=c+24|0;g=f[h>>2]|0;e=f[h+4>>2]|0;h=a+32|0;switch(f[h>>2]|0){case 1:break;case 2:{d=f[a+24>>2]|0;if((d|0)==535416|(d|0)==0)i=17;else{if((b[d+11>>0]|0)<0)Emc(f[d>>2]|0);Emc(d);i=17}break}default:i=17}if((i|0)==17)f[h>>2]=1;h=a+24|0;f[h>>2]=g;f[h+4>>2]=e;return}case 2:{e=f[c+24>>2]|0;c=a+32|0;if((f[c>>2]|0)==2){h=a+24|0;g=f[h>>2]|0;if((g|0)==535416)j=h;else{Qmc(g,e)|0;return}}else{f[c>>2]=2;c=a+24|0;f[c>>2]=535416;j=c}aFa(j,e);return}default:return}}function Rfb(a){a=a|0;var c=0,d=0,e=0;f[a>>2]=130812;c=f[a+16>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=a+32|0;switch(f[c>>2]|0){case 0:break;case 2:{d=f[a+24>>2]|0;if((d|0)==535416|(d|0)==0)e=10;else{if((b[d+11>>0]|0)<0)Emc(f[d>>2]|0);Emc(d);e=10}break}default:e=10}if((e|0)==10)f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}e=a&-2;a=e;if((e|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(e);f[c>>2]=0;return}function Sfb(a){a=a|0;Rfb(a);Emc(a);return}function Tfb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function Ufb(a,b){a=a|0;b=b|0;a=Bmc(40)|0;Nfb(a);if(!b)return a|0;egb(b,a);return a|0}function Vfb(a){a=a|0;var c=0,d=0,e=0;c=a+8|0;do if(f[c>>2]&1|0){d=f[a+16>>2]|0;e=d+11|0;if((b[e>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[e>>0]=0;break}}while(0);e=a+32|0;if((f[e>>2]|0)==2?(d=f[a+24>>2]|0,!((d|0)==535416|(d|0)==0)):0){if((b[d+11>>0]|0)<0)Emc(f[d>>2]|0);Emc(d)}f[e>>2]=0;f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function Wfb(a){a=a|0;return 1}function Xfb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+32|0;i=a+24|0;j=a+24|0;k=e+8|0;l=a+8|0;m=a+16|0;n=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){o=b[a>>0]|0;p=o&255;if(o<<24>>24>0){f[c>>2]=a+1;q=p;r=6}else{s=p;r=5}}else{s=0;r=5}if((r|0)==5){r=0;p=xCb(c,s)|0;if((p+-1|0)>>>0<127){q=p;r=6}else t=p}b:do if((r|0)==6){r=0;switch(q>>>3&536870911|0){case 1:{if((q&255|0)!=8){t=q;break b}if((f[h>>2]|0)==2?(p=f[i>>2]|0,!((p|0)==535416|(p|0)==0)):0){if((b[p+11>>0]|0)<0)Emc(f[p>>2]|0);Emc(p)}f[h>>2]=0;p=f[c>>2]|0;if(p>>>0<(f[g>>2]|0)>>>0?(a=b[p>>0]|0,a<<24>>24>-1):0){f[c>>2]=p+1;v=a&255;w=0}else{jCb(e,c);a=e;if(!(b[k>>0]|0)){x=0;r=33;break a}else{v=f[a>>2]|0;w=f[a+4>>2]|0}}a=j;f[a>>2]=v;f[a+4>>2]=w;f[h>>2]=1;continue a;break}case 2:{if((q&255|0)!=18){t=q;break b}if((f[h>>2]|0)==2){a=f[i>>2]|0;if((a|0)==535416)r=22;else y=a}else{f[h>>2]=2;f[i>>2]=535416;r=22}if((r|0)==22){r=0;aFa(i,535416);y=f[i>>2]|0}if(HEb(c,y)|0)continue a;else{x=0;r=33;break a}break}case 3:{if((q&255|0)!=26){t=q;break b}f[l>>2]=f[l>>2]|1;a=f[m>>2]|0;if((a|0)==535416){aFa(m,535416);z=f[m>>2]|0}else z=a;if(HEb(c,z)|0)continue a;else{x=0;r=33;break a}break}default:{t=q;break b}}}while(0);if(!t){x=1;r=33;break}a=f[n>>2]|0;if(!(a&1))A=AHa(n)|0;else A=a&-2;if(!(b4b(c,t,A)|0)){x=0;r=33;break}}if((r|0)==33){u=d;return x|0}return 0}function Yfb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;if(!(f[a+8>>2]&1))e=d;else{c=f[a+16>>2]|0;g=b[c+11>>0]|0;h=g<<24>>24<0?f[c+4>>2]|0:g&255;e=d+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}switch(f[a+32>>2]|0){case 1:{h=a+24|0;i=e+1+(((((Prc(f[h>>2]|1|0,f[h+4>>2]|0,1)|0)^63)*9|0)+73|0)>>>6)|0;j=a+12|0;f[j>>2]=i;return i|0}case 2:{h=f[a+24>>2]|0;d=b[h+11>>0]|0;g=d<<24>>24<0?f[h+4>>2]|0:d&255;i=e+1+g+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0;j=a+12|0;f[j>>2]=i;return i|0}default:{i=e;j=a+12|0;f[j>>2]=i;return i|0}}return 0}function Zfb(a,b){a=a|0;b=b|0;var c=0;switch(f[a+32>>2]|0){case 1:{c=a+24|0;nEb(1,f[c>>2]|0,f[c+4>>2]|0,b);break}case 2:{BEb(2,f[a+24>>2]|0,b);break}default:{}}if(f[a+8>>2]&1|0)BEb(3,f[a+16>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function _fb(a){a=a|0;return f[a+12>>2]|0}function $fb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;switch(f[a+32>>2]|0){case 1:{c=a+24|0;e=f[c>>2]|0;g=f[c+4>>2]|0;b[d>>0]=8;c=d+1|0;h=e&255;if(g>>>0>0|(g|0)==0&e>>>0>127){i=c;j=h;k=e;e=g;while(1){b[i>>0]=j|-128;g=k;k=Irc(k|0,e|0,7)|0;l=i+1|0;m=k&255;if(!(e>>>0>0|(e|0)==0&g>>>0>16383)){n=l;o=m;break}else{i=l;j=m;e=J}}}else{n=c;o=h}b[n>>0]=o;p=n+1|0;break}case 2:{n=f[a+24>>2]|0;b[d>>0]=18;p=GCb(n,d+1|0)|0;break}default:p=d}if(!(f[a+8>>2]&1))q=p;else{d=f[a+16>>2]|0;b[p>>0]=26;q=GCb(d,p+1|0)|0}p=f[a+4>>2]|0;if(!(p&1)){r=q;return r|0}r=f4b(p&-2,q)|0;return r|0}function agb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function bgb(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,20456,0)|0;if(!c){c2b(b,a);return}else{Qfb(a,c);return}}function cgb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function dgb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222810]|0)!=2){f[d>>2]=149752;f[d+4>>2]=107;b[d+8>>0]=0;dEb(891240,d);zDb(d)}d=534968;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function egb(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function fgb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=130920;b=a+28|0;c=f[b>>2]|0;if(c|0?(f[a+16>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)ai[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;Emc(h)}f[b>>2]=0;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}h=a&-2;a=h;if((h|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(h);f[b>>2]=0;return}function ggb(a){a=a|0;fgb(a);Emc(a);return}function hgb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function igb(a,b){a=a|0;b=b|0;a=Bmc(32)|0;Lfb(a);if(!b)return a|0;ugb(b,a);return a|0}function jgb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+20|0;c=f[b>>2]|0;if((c|0)>0){d=f[a+28>>2]|0;e=0;do{g=f[d+4+(e<<2)>>2]|0;e=e+1|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}while((e|0)!=(c|0));f[b>>2]=0}f[a+8>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function kgb(a){a=a|0;return 1}function lgb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+16|0;i=a+28|0;j=a+24|0;k=a+20|0;l=e+4|0;m=a+4|0;while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=xCb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}if((q|0)==6){q=0;if((p|0)==10){o=f[i>>2]|0;do if(o){a=f[k>>2]|0;n=f[o>>2]|0;if((a|0)>=(n|0))if((n|0)==(f[j>>2]|0)){t=n;q=12;break}else{v=n;w=o;q=13;break}else{f[k>>2]=a+1;x=f[o+4+(a<<2)>>2]|0;break}}else{t=f[j>>2]|0;q=12}while(0);if((q|0)==12){q=0;uDb(h,t+1|0);o=f[i>>2]|0;v=f[o>>2]|0;w=o;q=13}if((q|0)==13){q=0;f[w>>2]=v+1;o=f[h>>2]|0;if(!o){a=Bmc(40)|0;Nfb(a);y=a}else{if(f[o+64>>2]|0)pBb(o,20456,40);a=oBb(o,40,1658)|0;Nfb(a);y=a}a=f[i>>2]|0;o=f[k>>2]|0;f[k>>2]=o+1;f[a+4+(o<<2)>>2]=y;x=y}o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0?(a=b[o>>0]|0,a<<24>>24>-1):0){f[c>>2]=o+1;z=a&255}else{a=wCb(c)|0;if((a|0)>-1)z=a;else{A=0;q=32;break}}hCb(e,c,z);if((f[l>>2]|0)<0){q=25;break}if(!(Sh[f[(f[x>>2]|0)+44>>2]&511](x,c)|0)){q=25;break}if(mCb(c,f[e>>2]|0)|0)continue;else{A=0;q=32;break}}else s=p}if(!s){A=1;q=32;break}a=f[m>>2]|0;if(!(a&1))B=AHa(m)|0;else B=a&-2;if(!(b4b(c,s,B)|0)){A=0;q=32;break}}if((q|0)==25){A=0;u=d;return A|0}else if((q|0)==32){u=d;return A|0}return 0}function mgb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+20>>2]|0;d=b+c|0;if(!b){e=d;g=a+12|0;f[g>>2]=e;return e|0}c=a+28|0;h=0;i=d;while(1){d=f[(f[c>>2]|0)+4+(h<<2)>>2]|0;j=ci[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(b|0)){e=d;break}else i=d}g=a+12|0;f[g>>2]=e;return e|0}function ngb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a+20>>2]|0;if(c|0){d=a+28|0;e=0;do{GEb(1,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function ogb(a){a=a|0;return f[a+12>>2]|0}function pgb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=f[a+20>>2]|0;if(!e)g=d;else{h=a+28|0;i=0;j=d;while(1){d=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;b[j>>0]=10;k=j+1|0;l=ci[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=k;r=l}b[q>>0]=r;n=ki[f[(f[d>>2]|0)+64>>2]&511](d,c,q+1|0)|0;i=i+1|0;if((i|0)==(e|0)){g=n;break}else j=n}}j=f[a+4>>2]|0;if(!(j&1)){s=g;return s|0}s=f4b(j&-2,g)|0;return s|0}function qgb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function rgb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,20472,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}Mfb(a+16|0,c+16|0);return}function sgb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function tgb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222810]|0)!=2){f[d>>2]=149752;f[d+4>>2]=107;b[d+8>>0]=0;dEb(891240,d);zDb(d)}d=534976;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function ugb(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function vgb(a){a=a|0;var b=0,c=0;f[a>>2]=131028;if((a|0)!=534808?(b=f[a+16>>2]|0,b|0):0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function wgb(a){a=a|0;vgb(a);Emc(a);return}function xgb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function ygb(a,b){a=a|0;b=b|0;a=Bmc(24)|0;Jfb(a);if(!b)return a|0;Kgb(b,a);return a|0}function zgb(a){a=a|0;var b=0,c=0;b=a+8|0;if(f[b>>2]&1|0){c=f[a+16>>2]|0;ai[f[(f[c>>2]|0)+28>>2]&2047](c)}f[a+20>>2]=0;f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function Agb(a){a=a|0;return 1}function Bgb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+16|0;j=e+4|0;k=a+4|0;l=a+20|0;a:while(1){b:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){m=b[a>>0]|0;n=m&255;if(m<<24>>24>0){f[c>>2]=a+1;o=n;p=7}else{q=n;p=6}}else{q=0;p=6}if((p|0)==6){p=0;n=xCb(c,q)|0;if((n+-1|0)>>>0<127){o=n;p=7}else r=n}c:do if((p|0)==7){p=0;switch(o>>>3&536870911|0){case 1:{if((o&255|0)==8)break b;else{r=o;break c}break}case 2:break;default:{r=o;break c}}if((o&255|0)==18){f[h>>2]=f[h>>2]|1;n=f[i>>2]|0;if(!n){a=Bmc(32)|0;Lfb(a);f[i>>2]=a;s=a}else s=n;n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0?(a=b[n>>0]|0,a<<24>>24>-1):0){f[c>>2]=n+1;t=a&255}else{a=wCb(c)|0;if((a|0)>-1)t=a;else{v=0;p=35;break a}}hCb(e,c,t);if((f[j>>2]|0)<0){p=28;break a}if(!(Sh[f[(f[s>>2]|0)+44>>2]&511](s,c)|0)){p=28;break a}if(mCb(c,f[e>>2]|0)|0)continue b;else{v=0;p=35;break a}}else r=o}while(0);if(!r){v=1;p=35;break a}a=f[k>>2]|0;if(!(a&1))w=AHa(k)|0;else w=a&-2;if(!(b4b(c,r,w)|0)){v=0;p=35;break a}}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;m=n&255;if(n<<24>>24>-1){f[c>>2]=a+1;x=m}else{y=m;p=12}}else{y=0;p=12}if((p|0)==12){p=0;m=iCb(c,y)|0;a=J;if((a|0)>-1|(a|0)==-1&m>>>0>4294967295)x=m;else{v=0;p=35;break}}if(x>>>0<16){f[h>>2]=f[h>>2]|2;f[l>>2]=x;continue}m=f[k>>2]|0;if(!(m&1))z=AHa(k)|0;else z=m&-2;R3b(z,1,x,((x|0)<0)<<31>>31)}if((p|0)==28){v=0;u=d;return v|0}else if((p|0)==35){u=d;return v|0}return 0}function Cgb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=a+8|0;d=f[b>>2]|0;if(!(d&3)){e=c;g=a+12|0;f[g>>2]=e;return e|0}if(!(d&1)){h=c;i=d}else{d=f[a+16>>2]|0;j=ci[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=c+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=d;i=f[b>>2]|0}if(!(i&2)){e=h;g=a+12|0;f[g>>2]=e;return e|0}i=f[a+20>>2]|0;if((i|0)<0)k=11;else k=((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;e=k+h|0;g=a+12|0;f[g>>2]=e;return e|0}function Dgb(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&2|0)zEb(1,f[a+20>>2]|0,b);if(c&1|0)GEb(2,f[a+16>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function Egb(a){a=a|0;return f[a+12>>2]|0}function Fgb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;e=f[a+8>>2]|0;if(!(e&2))g=d;else{h=f[a+20>>2]|0;b[d>>0]=8;i=d+1|0;d=h&255;if(h>>>0>127){j=i;k=d;l=h;m=((h|0)<0)<<31>>31;while(1){b[j>>0]=k|-128;h=l;l=Irc(l|0,m|0,7)|0;n=j+1|0;o=l&255;if(!(m>>>0>0|(m|0)==0&h>>>0>16383)){p=n;q=o;break}else{j=n;k=o;m=J}}}else{p=i;q=d}b[p>>0]=q;g=p+1|0}if(!(e&1))r=g;else{e=f[a+16>>2]|0;b[g>>0]=18;p=g+1|0;g=ci[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(g>>>0>127){q=g;d=p;while(1){b[d>>0]=q|128;i=q>>>7;m=d+1|0;if(q>>>0>16383){q=i;d=m}else{s=m;t=i;break}}}else{s=p;t=g}b[s>>0]=t;r=ki[f[(f[e>>2]|0)+64>>2]&511](e,c,s+1|0)|0}s=f[a+4>>2]|0;if(!(s&1)){u=r;return u|0}u=f4b(s&-2,r)|0;return u|0}function Ggb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function Hgb(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,20488,0)|0;if(!c){c2b(b,a);return}else{Kfb(a,c);return}}function Igb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function Jgb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222810]|0)!=2){f[d>>2]=149752;f[d+4>>2]=107;b[d+8>>0]=0;dEb(891240,d);zDb(d)}d=534984;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function Kgb(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function Lgb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=130704;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=534832?(f[222821]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=118;b[d+8>>0]=0;dEb(891284,d);zDb(d)}f[a+12>>2]=0;f[a+16>>2]=535416;f[a+24>>2]=0;u=c;return}function Mgb(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function Ngb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;f[a>>2]=131136;xhb(a);c=f[a+116>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=f[a+100>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=f[a+84>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=a+72|0;d=f[c>>2]|0;if(d|0?(f[a+60>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0){if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);Emc(h)}g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;Emc(i)}f[c>>2]=0;c=f[a+52>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=f[a+36>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=f[a+24>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}i=a&-2;a=i;if((i|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(i);f[c>>2]=0;return}function Ogb(a){a=a|0;Ngb(a);Emc(a);return}function Pgb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function Qgb(a,b){a=a|0;b=b|0;a=Bmc(144)|0;vhb(a);if(!b)return a|0;whb(b,a);return a|0}function Rgb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;f[a+16>>2]=0;f[a+28>>2]=0;f[a+44>>2]=0;c=a+64|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+72>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;i=h+11|0;if((b[i>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0}else{b[h>>0]=0;b[i>>0]=0}}while((g|0)!=(d|0));f[c>>2]=0}f[a+76>>2]=0;f[a+92>>2]=0;f[a+108>>2]=0;c=a+8|0;d=f[c>>2]|0;if(d&15|0){do if(d&1|0){g=f[a+124>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);do if(d&2|0){e=f[a+128>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&4|0){g=f[a+132>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);if(d&8|0){d=f[a+136>>2]|0;ai[f[(f[d>>2]|0)+28>>2]&2047](d)}}f[a+140>>2]=0;f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function Sgb(a){a=a|0;return 1}function Tgb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0.0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+16|0;j=a+20|0;k=a+24|0;l=e+8|0;m=e+8|0;n=a+8|0;o=a+140|0;q=a+4|0;r=a+136|0;t=e+4|0;v=a+28|0;w=a+32|0;x=a+36|0;y=a+44|0;z=a+48|0;A=a+52|0;B=a+60|0;C=a+76|0;D=a+80|0;E=a+84|0;F=e+8|0;G=a+124|0;H=a+128|0;I=a+92|0;K=a+96|0;L=a+100|0;M=a+108|0;N=a+112|0;O=a+116|0;P=e+8|0;Q=a+132|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){R=b[a>>0]|0;S=R&255;if(R<<24>>24>0){f[c>>2]=a+1;T=S;U=6}else{V=S;U=5}}else{V=0;U=5}if((U|0)==5){U=0;S=xCb(c,V)|0;if((S+-1|0)>>>0<127){T=S;U=6}else W=S}b:do if((U|0)==6){U=0;do switch(T>>>3&536870911|0){case 1:{switch((T&255)<<24>>24){case 8:break;case 10:{if(thb(c,i)|0)continue a;else{X=0;U=156;break a}break}default:{W=T;break b}}S=f[c>>2]|0;if(S>>>0<(f[g>>2]|0)>>>0?(a=b[S>>0]|0,a<<24>>24>-1):0){f[c>>2]=S+1;Y=a&255;Z=0}else{jCb(e,c);a=e;if(!(b[m>>0]|0)){X=0;U=156;break a}else{Y=f[a>>2]|0;Z=f[a+4>>2]|0}}a=f[i>>2]|0;S=f[j>>2]|0;if((a|0)==(S|0)){cEa(i,a+1|0);_=f[i>>2]|0;$=f[j>>2]|0}else{_=a;$=S}S=f[k>>2]|0;a=_+1|0;f[i>>2]=a;R=S+8+(_<<3)|0;f[R>>2]=Y;f[R+4>>2]=Z;R=$-a|0;if((R|0)>0){aa=R;ba=a;ca=S}else continue a;while(1){S=f[c>>2]|0;a=f[g>>2]|0;if(S>>>0>=a>>>0)continue a;if((b[S>>0]|0)!=8)continue a;R=S+1|0;f[c>>2]=R;if(R>>>0<a>>>0?(a=b[R>>0]|0,a<<24>>24>-1):0){f[c>>2]=S+2;da=a&255;ea=0;fa=ba;ga=ca}else{jCb(e,c);a=e;if(!(b[l>>0]|0)){X=0;U=156;break a}da=f[a>>2]|0;ea=f[a+4>>2]|0;fa=f[i>>2]|0;ga=f[k>>2]|0}a=fa+1|0;f[i>>2]=a;S=ga+8+(fa<<3)|0;f[S>>2]=da;f[S+4>>2]=ea;if((aa|0)>1){aa=aa+-1|0;ba=a;ca=ga}else continue a}break}case 2:{if((T&255|0)!=16){W=T;break b}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){S=b[a>>0]|0;R=S&255;if(S<<24>>24>-1){f[c>>2]=a+1;ha=R}else{ia=R;U=28}}else{ia=0;U=28}if((U|0)==28){U=0;R=iCb(c,ia)|0;a=J;if((a|0)>-1|(a|0)==-1&R>>>0>4294967295)ha=R;else{X=0;U=156;break a}}if(ha>>>0<16){f[n>>2]=f[n>>2]|16;f[o>>2]=ha;continue a}R=f[q>>2]|0;if(!(R&1))ja=AHa(q)|0;else ja=R&-2;R3b(ja,2,ha,((ha|0)<0)<<31>>31);continue a;break}case 3:{if((T&255|0)!=26){W=T;break b}f[n>>2]=f[n>>2]|8;R=f[r>>2]|0;if(!R){a=Bmc(32)|0;chb(a);f[r>>2]=a;ka=a}else ka=R;R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0?(a=b[R>>0]|0,a<<24>>24>-1):0){f[c>>2]=R+1;la=a&255}else{a=wCb(c)|0;if((a|0)>-1)la=a;else{X=0;U=156;break a}}hCb(e,c,la);if((f[t>>2]|0)<0){U=44;break a}if(!(Sh[f[(f[ka>>2]|0)+44>>2]&511](ka,c)|0)){U=44;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{X=0;U=156;break a}break}case 4:{switch((T&255)<<24>>24){case 34:break;case 37:{if(cJa(1,34,c,v)|0)continue a;else{X=0;U=156;break a}break}default:{W=T;break b}}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(R=b[a>>0]|0,R<<24>>24>-1):0){f[c>>2]=a+1;ma=R&255}else{R=wCb(c)|0;if((R|0)>-1)ma=R;else{X=0;U=156;break a}}na=f[v>>2]|0;R=(ma|0)/4|0;if((R<<2|0)!=(ma|0)){X=0;U=156;break a}a=pCb(c)|0;S=nCb(c)|0;if((((a|0)==-1|(S|0)<(a|0)?S:a)|0)>=(ma|0)){a=na+R|0;if((f[v>>2]|0)<(a|0)?(aEa(v,a),S=f[v>>2]|0,oa=a-S|0,(oa<<2|0)>0):0)Drc((f[x>>2]|0)+((S<<2)+4)|0,0,(((oa|-1073741824|0)==-1073741824?1073741823:1073741822)+oa<<2)+8|0)|0;f[v>>2]=a;a=f[x>>2]|0;if(rCb(c,((a|0)==0?0:a+4|0)+(na<<2)|0,ma)|0)continue a;else{U=58;break a}}if((ma|0)>3)pa=0;else continue a;while(1){a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){oa=a;S=h[oa>>0]|h[oa+1>>0]<<8|h[oa+2>>0]<<16|h[oa+3>>0]<<24;f[e>>2]=S;f[c>>2]=a+4;qa=S}else{if(!(uCb(c,e)|0)){U=67;break a}qa=f[e>>2]|0}S=f[v>>2]|0;if((S|0)==(f[w>>2]|0)){aEa(v,S+1|0);ra=f[v>>2]|0}else ra=S;S=f[x>>2]|0;f[v>>2]=ra+1;f[S+4+(ra<<2)>>2]=qa;S=pa+1|0;if((S|0)<(R|0))pa=S;else continue a}break}case 5:{switch((T&255)<<24>>24){case 42:break;case 40:{if(zIa(1,42,c,y)|0)continue a;else{X=0;U=156;break a}break}default:{W=T;break b}}R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0?(S=b[R>>0]|0,S<<24>>24>-1):0){f[c>>2]=R+1;sa=S&255}else{S=wCb(c)|0;if((S|0)>-1)sa=S;else{X=0;U=156;break a}}S=fCb(c,sa)|0;if((nCb(c)|0)>0)do{R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0){a=b[R>>0]|0;oa=a&255;if(a<<24>>24>-1){f[c>>2]=R+1;ta=oa}else{ua=oa;U=78}}else{ua=0;U=78}if((U|0)==78){U=0;oa=iCb(c,ua)|0;R=J;if((R|0)>-1|(R|0)==-1&oa>>>0>4294967295)ta=oa;else{X=0;U=156;break a}}oa=f[y>>2]|0;if((oa|0)==(f[z>>2]|0)){eFa(y,oa+1|0);va=f[y>>2]|0}else va=oa;oa=f[A>>2]|0;f[y>>2]=va+1;f[oa+4+(va<<2)>>2]=ta}while((nCb(c)|0)>0);gCb(c,S);continue a;break}case 6:{if((T&255|0)!=50){W=T;break b}if(HEb(c,dFa(B)|0)|0)continue a;else{X=0;U=156;break a}break}case 7:{switch((T&255)<<24>>24){case 58:break;case 56:{if(eJa(1,58,c,C)|0)continue a;else{X=0;U=156;break a}break}default:{W=T;break b}}oa=f[c>>2]|0;if(oa>>>0<(f[g>>2]|0)>>>0?(R=b[oa>>0]|0,R<<24>>24>-1):0){f[c>>2]=oa+1;wa=R&255}else{R=wCb(c)|0;if((R|0)>-1)wa=R;else{X=0;U=156;break a}}R=fCb(c,wa)|0;if((nCb(c)|0)>0)do{oa=f[c>>2]|0;if(oa>>>0<(f[g>>2]|0)>>>0?(a=b[oa>>0]|0,a<<24>>24>-1):0){f[c>>2]=oa+1;xa=a&255;ya=0}else{jCb(e,c);a=e;if(!(b[F>>0]|0)){X=0;U=156;break a}else{xa=f[a>>2]|0;ya=f[a+4>>2]|0}}a=f[C>>2]|0;if((a|0)==(f[D>>2]|0)){cEa(C,a+1|0);za=f[C>>2]|0}else za=a;a=f[E>>2]|0;f[C>>2]=za+1;oa=a+8+(za<<3)|0;f[oa>>2]=xa;f[oa+4>>2]=ya}while((nCb(c)|0)>0);gCb(c,R);continue a;break}case 8:{if((T&255|0)!=66){W=T;break b}f[n>>2]=f[n>>2]|1;S=f[G>>2]|0;if((S|0)==535416){aFa(G,535416);Aa=f[G>>2]|0}else Aa=S;if(HEb(c,Aa)|0)continue a;else{X=0;U=156;break a}break}case 9:{if((T&255|0)!=74){W=T;break b}f[n>>2]=f[n>>2]|2;S=f[H>>2]|0;if((S|0)==535416){aFa(H,535416);Ba=f[H>>2]|0}else Ba=S;if(HEb(c,Ba)|0)continue a;else{X=0;U=156;break a}break}case 10:{switch((T&255)<<24>>24){case 82:break;case 81:{if(dJa(1,82,c,I)|0)continue a;else{X=0;U=156;break a}break}default:{W=T;break b}}S=f[c>>2]|0;if(S>>>0<(f[g>>2]|0)>>>0?(oa=b[S>>0]|0,oa<<24>>24>-1):0){f[c>>2]=S+1;Ca=oa&255}else{oa=wCb(c)|0;if((oa|0)>-1)Ca=oa;else{X=0;U=156;break a}}Da=f[I>>2]|0;oa=(Ca|0)/8|0;if((oa<<3|0)!=(Ca|0)){X=0;U=156;break a}S=pCb(c)|0;a=nCb(c)|0;if((((S|0)==-1|(a|0)<(S|0)?a:S)|0)>=(Ca|0)){S=Da+oa|0;if((f[I>>2]|0)<(S|0)?(bEa(I,S),a=f[I>>2]|0,Ea=S-a|0,(Ea<<3|0)>0):0)Drc((f[L>>2]|0)+((a<<3)+8)|0,0,(((Ea|-536870912|0)==-536870912?536870911:536870910)+Ea<<3)+16|0)|0;f[I>>2]=S;S=f[L>>2]|0;if(rCb(c,((S|0)==0?0:S+8|0)+(Da<<3)|0,Ca)|0)continue a;else{U=121;break a}}if((Ca|0)>7)Fa=0;else continue a;while(1){S=f[c>>2]|0;if(((f[g>>2]|0)-S|0)>7){Ea=S;a=Ea;Ga=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;a=Ea+4|0;Ea=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;a=e;f[a>>2]=Ga;f[a+4>>2]=Ea;f[c>>2]=S+8;f[s>>2]=Ga;f[s+4>>2]=Ea;Ha=+p[s>>3]}else{if(!(vCb(c,e)|0)){U=130;break a}Ha=+p[e>>3]}Ea=f[I>>2]|0;if((Ea|0)==(f[K>>2]|0)){bEa(I,Ea+1|0);Ia=f[I>>2]|0}else Ia=Ea;Ea=f[L>>2]|0;f[I>>2]=Ia+1;p[Ea+8+(Ia<<3)>>3]=Ha;Ea=Fa+1|0;if((Ea|0)<(oa|0))Fa=Ea;else continue a}break}case 11:{switch((T&255)<<24>>24){case 90:break;case 88:{if(uhb(1,90,c,M)|0)continue a;else{X=0;U=156;break a}break}default:{W=T;break b}}oa=f[c>>2]|0;if(oa>>>0<(f[g>>2]|0)>>>0?(R=b[oa>>0]|0,R<<24>>24>-1):0){f[c>>2]=oa+1;Ja=R&255}else{R=wCb(c)|0;if((R|0)>-1)Ja=R;else{X=0;U=156;break a}}R=fCb(c,Ja)|0;if((nCb(c)|0)>0)do{oa=f[c>>2]|0;if(oa>>>0<(f[g>>2]|0)>>>0?(Ea=b[oa>>0]|0,Ea<<24>>24>-1):0){f[c>>2]=oa+1;Ka=Ea&255;La=0}else{jCb(e,c);Ea=e;if(!(b[P>>0]|0)){X=0;U=156;break a}else{Ka=f[Ea>>2]|0;La=f[Ea+4>>2]|0}}Ea=f[M>>2]|0;if((Ea|0)==(f[N>>2]|0)){bhb(M,Ea+1|0);Ma=f[M>>2]|0}else Ma=Ea;Ea=f[O>>2]|0;f[M>>2]=Ma+1;oa=Ea+8+(Ma<<3)|0;f[oa>>2]=Ka;f[oa+4>>2]=La}while((nCb(c)|0)>0);gCb(c,R);continue a;break}case 12:{if((T&255|0)!=98){W=T;break b}f[n>>2]=f[n>>2]|4;oa=f[Q>>2]|0;if((oa|0)==535416){aFa(Q,535416);Na=f[Q>>2]|0}else Na=oa;if(HEb(c,Na)|0)continue a;else{X=0;U=156;break a}break}default:{W=T;break b}}while(0)}while(0);if(!W){X=1;U=156;break}oa=f[q>>2]|0;if(!(oa&1))Oa=AHa(q)|0;else Oa=oa&-2;if(!(b4b(c,W,Oa)|0)){X=0;U=156;break}}if((U|0)==44){X=0;u=d;return X|0}else if((U|0)==58){if((f[v>>2]|0)<=0){X=0;u=d;return X|0}f[v>>2]=na;X=0;u=d;return X|0}else if((U|0)==67){X=0;u=d;return X|0}else if((U|0)==121){if((f[I>>2]|0)<=0){X=0;u=d;return X|0}f[I>>2]=Da;X=0;u=d;return X|0}else if((U|0)==130){X=0;u=d;return X|0}else if((U|0)==156){u=d;return X|0}return 0}function Ugb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=f[a+16>>2]|0;if((c|0)>0){e=f[a+24>>2]|0;g=0;h=0;while(1){i=e+8+(h<<3)|0;j=Prc(f[i>>2]|1|0,f[i+4>>2]|0,1)|0;i=((((j^63)*9|0)+73|0)>>>6)+g|0;h=h+1|0;if((h|0)==(c|0)){k=i;break}else g=i}}else k=0;g=k+d+c|0;c=f[a+28>>2]<<2;if(!c)l=g;else{if((c|0)<0)m=10;else m=(((($(c|1|0)|0)^31)*9|0)+73|0)>>>6;l=g+1+m|0}f[a+40>>2]=c;m=l+c|0;c=JEb(a+44|0)|0;if(!c)n=m;else{if((c|0)<0)o=10;else o=(((($(c|1|0)|0)^31)*9|0)+73|0)>>>6;n=m+1+o|0}f[a+56>>2]=c;o=f[a+64>>2]|0;m=n+c+o|0;if((o|0)>0){c=f[a+72>>2]|0;n=0;l=m;while(1){g=f[c+4+(n<<2)>>2]|0;d=b[g+11>>0]|0;k=d<<24>>24<0?f[g+4>>2]|0:d&255;d=k+l+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;n=n+1|0;if((n|0)==(o|0)){p=d;break}else l=d}}else p=m;m=f[a+76>>2]|0;if((m|0)>0){l=f[a+84>>2]|0;o=0;n=0;do{c=l+8+(n<<3)|0;d=Prc(f[c>>2]|1|0,f[c+4>>2]|0,1)|0;o=((((d^63)*9|0)+73|0)>>>6)+o|0;n=n+1|0}while((n|0)!=(m|0));if(o){if((o|0)<0)q=11;else q=((((($(o|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;r=o;s=q+p|0}else{r=0;s=p}}else{r=0;s=p}f[a+88>>2]=r;p=s+r|0;r=f[a+92>>2]<<3;if(!r)t=p;else{if((r|0)<0)u=11;else u=((((($(r|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;t=u+p|0}f[a+104>>2]=r;p=t+r|0;r=f[a+108>>2]|0;if((r|0)>0){t=f[a+116>>2]|0;u=0;s=0;do{q=t+8+(s<<3)|0;o=Prc(f[q>>2]|1|0,f[q+4>>2]|0,1)|0;u=((((o^63)*9|0)+73|0)>>>6)+u|0;s=s+1|0}while((s|0)!=(r|0));if(u){if((u|0)<0)v=11;else v=((((($(u|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;w=u;x=v+p|0}else{w=0;x=p}}else{w=0;x=p}f[a+120>>2]=w;p=x+w|0;w=a+8|0;x=f[w>>2]|0;if(!(x&31)){y=p;z=a+12|0;f[z>>2]=y;return y|0}if(!(x&1))A=p;else{v=f[a+124>>2]|0;u=b[v+11>>0]|0;r=u<<24>>24<0?f[v+4>>2]|0:u&255;A=p+1+r+((((($(r|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(x&2))B=A;else{r=f[a+128>>2]|0;p=b[r+11>>0]|0;u=p<<24>>24<0?f[r+4>>2]|0:p&255;B=A+1+u+((((($(u|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(x&4))C=B;else{u=f[a+132>>2]|0;A=b[u+11>>0]|0;p=A<<24>>24<0?f[u+4>>2]|0:A&255;C=B+1+p+((((($(p|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(x&8)){D=C;E=x}else{x=f[a+136>>2]|0;p=ci[f[(f[x>>2]|0)+48>>2]&1023](x)|0;x=C+1+p+((((($(p|1|0)|0)^31)*9|0)+73|0)>>>6)|0;D=x;E=f[w>>2]|0}if(!(E&16)){y=D;z=a+12|0;f[z>>2]=y;return y|0}E=f[a+140>>2]|0;if((E|0)<0)F=11;else F=((((($(E|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;y=F+D|0;z=a+12|0;f[z>>2]=y;return y|0}function Vgb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0;d=f[a+16>>2]|0;if((d|0)>0){e=a+24|0;g=0;do{h=(f[e>>2]|0)+8+(g<<3)|0;nEb(1,f[h>>2]|0,f[h+4>>2]|0,c);g=g+1|0}while((g|0)!=(d|0))}d=f[a+8>>2]|0;if(d&16|0)zEb(2,f[a+140>>2]|0,c);if(d&8|0)GEb(3,f[a+136>>2]|0,c);g=a+28|0;if((f[g>>2]|0)>0){e=c+8|0;if((f[e>>2]|0)>4){h=c+4|0;b[f[h>>2]>>0]=34;f[h>>2]=(f[h>>2]|0)+1;h=(f[e>>2]|0)+-1|0;f[e>>2]=h;i=h}else{ECb(c,34);i=f[e>>2]|0}h=f[a+40>>2]|0;if((i|0)>4){i=c+4|0;j=f[i>>2]|0;if(h>>>0>127){k=h;l=j;while(1){b[l>>0]=k|128;m=k>>>7;n=l+1|0;if(k>>>0>16383){k=m;l=n}else{o=n;p=m;break}}}else{o=j;p=h}b[o>>0]=p;p=o+1-j|0;f[i>>2]=(f[i>>2]|0)+p;f[e>>2]=(f[e>>2]|0)-p}else ECb(c,h);h=f[a+36>>2]|0;jEb((h|0)==0?0:h+4|0,f[g>>2]|0,c)}g=a+44|0;if((f[g>>2]|0)>0){h=c+8|0;if((f[h>>2]|0)>4){p=c+4|0;b[f[p>>2]>>0]=42;f[p>>2]=(f[p>>2]|0)+1;p=(f[h>>2]|0)+-1|0;f[h>>2]=p;q=p}else{ECb(c,42);q=f[h>>2]|0}p=f[a+56>>2]|0;if((q|0)>4){q=c+4|0;e=f[q>>2]|0;if(p>>>0>127){i=p;j=e;while(1){b[j>>0]=i|128;o=i>>>7;l=j+1|0;if(i>>>0>16383){i=o;j=l}else{r=l;s=o;break}}}else{r=e;s=p}b[r>>0]=s;s=r+1-e|0;f[q>>2]=(f[q>>2]|0)+s;f[h>>2]=(f[h>>2]|0)-s}else ECb(c,p);p=f[g>>2]|0;if((p|0)>0){g=a+52|0;s=c+8|0;h=c+4|0;q=0;do{e=f[(f[g>>2]|0)+4+(q<<2)>>2]|0;r=((e|0)<0)<<31>>31;if((f[s>>2]|0)>9){j=f[h>>2]|0;i=e&255;if(e>>>0>127){o=j;l=i;k=e;m=r;while(1){b[o>>0]=l|-128;n=k;k=Irc(k|0,m|0,7)|0;t=o+1|0;u=k&255;if(!(m>>>0>0|(m|0)==0&n>>>0>16383)){v=t;w=u;break}else{o=t;l=u;m=J}}}else{v=j;w=i}b[v>>0]=w;m=v+1-j|0;f[h>>2]=(f[h>>2]|0)+m;f[s>>2]=(f[s>>2]|0)-m}else FCb(c,e,r);q=q+1|0}while((q|0)!=(p|0))}}p=f[a+64>>2]|0;if((p|0)>0){q=a+72|0;s=0;do{CEb(6,f[(f[q>>2]|0)+4+(s<<2)>>2]|0,c);s=s+1|0}while((s|0)!=(p|0))}p=a+76|0;if((f[p>>2]|0)>0){s=c+8|0;if((f[s>>2]|0)>4){q=c+4|0;b[f[q>>2]>>0]=58;f[q>>2]=(f[q>>2]|0)+1;q=(f[s>>2]|0)+-1|0;f[s>>2]=q;x=q}else{ECb(c,58);x=f[s>>2]|0}q=f[a+88>>2]|0;if((x|0)>4){x=c+4|0;h=f[x>>2]|0;if(q>>>0>127){v=q;w=h;while(1){b[w>>0]=v|128;g=v>>>7;m=w+1|0;if(v>>>0>16383){v=g;w=m}else{y=m;z=g;break}}}else{y=h;z=q}b[y>>0]=z;z=y+1-h|0;f[x>>2]=(f[x>>2]|0)+z;f[s>>2]=(f[s>>2]|0)-z}else ECb(c,q);q=f[p>>2]|0;if((q|0)>0){p=a+84|0;z=c+8|0;s=c+4|0;x=0;do{h=(f[p>>2]|0)+8+(x<<3)|0;y=f[h>>2]|0;w=f[h+4>>2]|0;if((f[z>>2]|0)>9){h=f[s>>2]|0;v=y&255;if(w>>>0>0|(w|0)==0&y>>>0>127){g=h;m=v;l=y;o=w;while(1){b[g>>0]=m|-128;k=l;l=Irc(l|0,o|0,7)|0;u=g+1|0;t=l&255;if(!(o>>>0>0|(o|0)==0&k>>>0>16383)){A=u;B=t;break}else{g=u;m=t;o=J}}}else{A=h;B=v}b[A>>0]=B;o=A+1-h|0;f[s>>2]=(f[s>>2]|0)+o;f[z>>2]=(f[z>>2]|0)-o}else FCb(c,y,w);x=x+1|0}while((x|0)!=(q|0))}}if(d&1|0)BEb(8,f[a+124>>2]|0,c);if(d&2|0)DEb(9,f[a+128>>2]|0,c);q=a+92|0;if((f[q>>2]|0)>0){x=c+8|0;if((f[x>>2]|0)>4){z=c+4|0;b[f[z>>2]>>0]=82;f[z>>2]=(f[z>>2]|0)+1;z=(f[x>>2]|0)+-1|0;f[x>>2]=z;C=z}else{ECb(c,82);C=f[x>>2]|0}z=f[a+104>>2]|0;if((C|0)>4){C=c+4|0;s=f[C>>2]|0;if(z>>>0>127){A=z;B=s;while(1){b[B>>0]=A|128;p=A>>>7;o=B+1|0;if(A>>>0>16383){A=p;B=o}else{D=o;E=p;break}}}else{D=s;E=z}b[D>>0]=E;E=D+1-s|0;f[C>>2]=(f[C>>2]|0)+E;f[x>>2]=(f[x>>2]|0)-E}else ECb(c,z);z=f[a+100>>2]|0;kEb((z|0)==0?0:z+8|0,f[q>>2]|0,c)}q=a+108|0;if((f[q>>2]|0)>0){z=c+8|0;if((f[z>>2]|0)>4){E=c+4|0;b[f[E>>2]>>0]=90;f[E>>2]=(f[E>>2]|0)+1;E=(f[z>>2]|0)+-1|0;f[z>>2]=E;F=E}else{ECb(c,90);F=f[z>>2]|0}E=f[a+120>>2]|0;if((F|0)>4){F=c+4|0;x=f[F>>2]|0;if(E>>>0>127){C=E;s=x;while(1){b[s>>0]=C|128;D=C>>>7;B=s+1|0;if(C>>>0>16383){C=D;s=B}else{G=B;H=D;break}}}else{G=x;H=E}b[G>>0]=H;H=G+1-x|0;f[F>>2]=(f[F>>2]|0)+H;f[z>>2]=(f[z>>2]|0)-H}else ECb(c,E);E=f[q>>2]|0;if((E|0)>0){q=a+116|0;H=c+8|0;z=c+4|0;F=0;do{x=(f[q>>2]|0)+8+(F<<3)|0;G=f[x>>2]|0;s=f[x+4>>2]|0;if((f[H>>2]|0)>9){x=f[z>>2]|0;C=G&255;if(s>>>0>0|(s|0)==0&G>>>0>127){D=x;B=C;A=G;p=s;while(1){b[D>>0]=B|-128;o=A;A=Irc(A|0,p|0,7)|0;m=D+1|0;g=A&255;if(!(p>>>0>0|(p|0)==0&o>>>0>16383)){I=m;K=g;break}else{D=m;B=g;p=J}}}else{I=x;K=C}b[I>>0]=K;p=I+1-x|0;f[z>>2]=(f[z>>2]|0)+p;f[H>>2]=(f[H>>2]|0)-p}else FCb(c,G,s);F=F+1|0}while((F|0)!=(E|0))}}if(d&4|0)BEb(12,f[a+132>>2]|0,c);d=f[a+4>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function Wgb(a){a=a|0;return f[a+12>>2]|0}function Xgb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;e=f[a+16>>2]|0;if(!e)g=d;else{h=f[a+24>>2]|0;i=0;j=d;while(1){d=h+8+(i<<3)|0;k=f[d>>2]|0;l=f[d+4>>2]|0;b[j>>0]=8;d=j+1|0;m=k&255;if(l>>>0>0|(l|0)==0&k>>>0>127){n=d;o=m;p=k;k=l;while(1){b[n>>0]=o|-128;l=p;p=Irc(p|0,k|0,7)|0;q=n+1|0;r=p&255;if(!(k>>>0>0|(k|0)==0&l>>>0>16383)){s=q;t=r;break}else{n=q;o=r;k=J}}}else{s=d;t=m}b[s>>0]=t;k=s+1|0;i=i+1|0;if((i|0)>=(e|0)){g=k;break}else j=k}}j=f[a+8>>2]|0;if(!(j&16))u=g;else{e=f[a+140>>2]|0;b[g>>0]=16;i=g+1|0;g=e&255;if(e>>>0>127){s=i;t=g;h=e;k=((e|0)<0)<<31>>31;while(1){b[s>>0]=t|-128;e=h;h=Irc(h|0,k|0,7)|0;o=s+1|0;n=h&255;if(!(k>>>0>0|(k|0)==0&e>>>0>16383)){v=o;w=n;break}else{s=o;t=n;k=J}}}else{v=i;w=g}b[v>>0]=w;u=v+1|0}if(!(j&8))x=u;else{v=f[a+136>>2]|0;b[u>>0]=26;w=u+1|0;u=ci[f[(f[v>>2]|0)+60>>2]&1023](v)|0;if(u>>>0>127){g=u;i=w;while(1){b[i>>0]=g|128;k=g>>>7;t=i+1|0;if(g>>>0>16383){g=k;i=t}else{y=t;z=k;break}}}else{y=w;z=u}b[y>>0]=z;x=ki[f[(f[v>>2]|0)+64>>2]&511](v,c,y+1|0)|0}y=a+28|0;if((f[y>>2]|0)>0){b[x>>0]=34;c=x+1|0;v=f[a+40>>2]|0;if(v>>>0>127){z=v;u=c;while(1){b[u>>0]=z|128;w=z>>>7;i=u+1|0;if(z>>>0>16383){z=w;u=i}else{A=i;B=w;break}}}else{A=c;B=v}b[A>>0]=B;B=A+1|0;A=f[y>>2]<<2;Krc(B|0,(f[a+36>>2]|0)+4|0,A|0)|0;C=B+A|0}else C=x;x=a+44|0;if((f[x>>2]|0)>0){b[C>>0]=42;A=C+1|0;B=f[a+56>>2]|0;if(B>>>0>127){y=B;v=A;while(1){b[v>>0]=y|128;c=y>>>7;u=v+1|0;if(y>>>0>16383){y=c;v=u}else{D=u;E=c;break}}}else{D=A;E=B}b[D>>0]=E;E=f[x>>2]|0;x=f[a+52>>2]|0;B=0;A=D+1|0;while(1){D=f[x+4+(B<<2)>>2]|0;v=D&255;if(D>>>0>127){y=A;c=v;u=D;z=((D|0)<0)<<31>>31;while(1){b[y>>0]=c|-128;D=u;u=Irc(u|0,z|0,7)|0;w=y+1|0;i=u&255;if(!(z>>>0>0|(z|0)==0&D>>>0>16383)){F=w;G=i;break}else{y=w;c=i;z=J}}}else{F=A;G=v}b[F>>0]=G;z=F+1|0;B=B+1|0;if((B|0)>=(E|0)){H=z;break}else A=z}}else H=C;C=f[a+64>>2]|0;if((C|0)>0){A=a+72|0;E=0;B=H;while(1){F=f[(f[A>>2]|0)+4+(E<<2)>>2]|0;b[B>>0]=50;G=GCb(F,B+1|0)|0;E=E+1|0;if((E|0)==(C|0)){I=G;break}else B=G}}else I=H;H=a+76|0;if((f[H>>2]|0)>0){b[I>>0]=58;B=I+1|0;C=f[a+88>>2]|0;if(C>>>0>127){E=C;A=B;while(1){b[A>>0]=E|128;G=E>>>7;F=A+1|0;if(E>>>0>16383){E=G;A=F}else{K=F;L=G;break}}}else{K=B;L=C}b[K>>0]=L;L=f[H>>2]|0;H=f[a+84>>2]|0;C=0;B=K+1|0;while(1){K=H+8+(C<<3)|0;A=f[K>>2]|0;E=f[K+4>>2]|0;K=A&255;if(E>>>0>0|(E|0)==0&A>>>0>127){G=B;F=K;x=A;A=E;while(1){b[G>>0]=F|-128;E=x;x=Irc(x|0,A|0,7)|0;z=G+1|0;c=x&255;if(!(A>>>0>0|(A|0)==0&E>>>0>16383)){M=z;N=c;break}else{G=z;F=c;A=J}}}else{M=B;N=K}b[M>>0]=N;A=M+1|0;C=C+1|0;if((C|0)>=(L|0)){O=A;break}else B=A}}else O=I;if(!(j&1))P=O;else{I=f[a+124>>2]|0;b[O>>0]=66;P=GCb(I,O+1|0)|0}if(!(j&2))Q=P;else{O=f[a+128>>2]|0;b[P>>0]=74;Q=GCb(O,P+1|0)|0}P=a+92|0;if((f[P>>2]|0)>0){b[Q>>0]=82;O=Q+1|0;I=f[a+104>>2]|0;if(I>>>0>127){B=I;L=O;while(1){b[L>>0]=B|128;C=B>>>7;M=L+1|0;if(B>>>0>16383){B=C;L=M}else{R=M;S=C;break}}}else{R=O;S=I}b[R>>0]=S;S=R+1|0;R=f[P>>2]<<3;Krc(S|0,(f[a+100>>2]|0)+8|0,R|0)|0;T=S+R|0}else T=Q;Q=a+108|0;if((f[Q>>2]|0)>0){b[T>>0]=90;R=T+1|0;S=f[a+120>>2]|0;if(S>>>0>127){P=S;I=R;while(1){b[I>>0]=P|128;O=P>>>7;L=I+1|0;if(P>>>0>16383){P=O;I=L}else{U=L;V=O;break}}}else{U=R;V=S}b[U>>0]=V;V=f[Q>>2]|0;Q=f[a+116>>2]|0;S=0;R=U+1|0;while(1){U=Q+8+(S<<3)|0;I=f[U>>2]|0;P=f[U+4>>2]|0;U=I&255;if(P>>>0>0|(P|0)==0&I>>>0>127){O=R;L=U;B=I;I=P;while(1){b[O>>0]=L|-128;P=B;B=Irc(B|0,I|0,7)|0;C=O+1|0;M=B&255;if(!(I>>>0>0|(I|0)==0&P>>>0>16383)){W=C;X=M;break}else{O=C;L=M;I=J}}}else{W=R;X=U}b[W>>0]=X;I=W+1|0;S=S+1|0;if((S|0)>=(V|0)){Y=I;break}else R=I}}else Y=T;if(!(j&4))Z=Y;else{j=f[a+132>>2]|0;b[Y>>0]=98;Z=GCb(j,Y+1|0)|0}Y=f[a+4>>2]|0;if(!(Y&1)){_=Z;return _|0}_=f4b(Y&-2,Z)|0;return _|0}function Ygb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function Zgb(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,20504,0)|0;if(!c){c2b(b,a);return}else{ahb(a,c);return}}function _gb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function $gb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222810]|0)!=2){f[d>>2]=149752;f[d+4>>2]=107;b[d+8>>0]=0;dEb(891240,d);zDb(d)}d=534960;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function ahb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}d=a+16|0;g=b+16|0;e=f[g>>2]|0;if(e|0){cEa(d,(f[d>>2]|0)+e|0);Krc((f[a+24>>2]|0)+8+(f[d>>2]<<3)|0,(f[b+24>>2]|0)+8|0,f[g>>2]<<3|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}g=a+28|0;d=b+28|0;e=f[d>>2]|0;if(e|0){aEa(g,(f[g>>2]|0)+e|0);Krc((f[a+36>>2]|0)+4+(f[g>>2]<<2)|0,(f[b+36>>2]|0)+4|0,f[d>>2]<<2|0)|0;f[g>>2]=(f[g>>2]|0)+(f[d>>2]|0)}d=a+44|0;g=b+44|0;e=f[g>>2]|0;if(e|0){eFa(d,(f[d>>2]|0)+e|0);Krc((f[a+52>>2]|0)+4+(f[d>>2]<<2)|0,(f[b+52>>2]|0)+4|0,f[g>>2]<<2|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}BHa(a+60|0,b+60|0);g=a+76|0;d=b+76|0;e=f[d>>2]|0;if(e|0){cEa(g,(f[g>>2]|0)+e|0);Krc((f[a+84>>2]|0)+8+(f[g>>2]<<3)|0,(f[b+84>>2]|0)+8|0,f[d>>2]<<3|0)|0;f[g>>2]=(f[g>>2]|0)+(f[d>>2]|0)}d=a+92|0;g=b+92|0;e=f[g>>2]|0;if(e|0){bEa(d,(f[d>>2]|0)+e|0);Krc((f[a+100>>2]|0)+8+(f[d>>2]<<3)|0,(f[b+100>>2]|0)+8|0,f[g>>2]<<3|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}g=a+108|0;d=b+108|0;e=f[d>>2]|0;if(e|0){bhb(g,(f[g>>2]|0)+e|0);Krc((f[a+116>>2]|0)+8+(f[g>>2]<<3)|0,(f[b+116>>2]|0)+8|0,f[d>>2]<<3|0)|0;f[g>>2]=(f[g>>2]|0)+(f[d>>2]|0)}d=f[b+8>>2]|0;if(!(d&31))return;do if(d&1|0?(g=a+8|0,f[g>>2]=f[g>>2]|1,g=a+124|0,e=f[b+124>>2]|0,c=f[g>>2]|0,(c|0)!=(e|0)):0)if((c|0)==535416){aFa(g,e);break}else{Qmc(c,e)|0;break}while(0);do if(d&2|0?(e=a+8|0,f[e>>2]=f[e>>2]|2,e=a+128|0,c=f[b+128>>2]|0,g=f[e>>2]|0,(g|0)!=(c|0)):0)if((g|0)==535416){aFa(e,c);break}else{Qmc(g,c)|0;break}while(0);do if(d&4|0?(c=a+8|0,f[c>>2]=f[c>>2]|4,c=a+132|0,g=f[b+132>>2]|0,e=f[c>>2]|0,(e|0)!=(g|0)):0)if((e|0)==535416){aFa(c,g);break}else{Qmc(e,g)|0;break}while(0);if(d&8|0){g=a+8|0;f[g>>2]=f[g>>2]|8;g=a+136|0;e=f[g>>2]|0;if(!e){c=Bmc(32)|0;chb(c);f[g>>2]=c;h=c}else h=e;e=f[b+136>>2]|0;c=e|0?e:534544;e=h+4|0;g=f[c+4>>2]|0;if(g&1|0){i=f[e>>2]|0;if(!(i&1))j=AHa(e)|0;else j=i&-2;O3b(j,g&-2)}g=f[c+8>>2]|0;if(g&3|0){if(g&1|0){j=c+16|0;i=f[j+4>>2]|0;e=h+16|0;f[e>>2]=f[j>>2];f[e+4>>2]=i}if(g&2|0){i=c+24|0;c=f[i+4>>2]|0;e=h+24|0;f[e>>2]=f[i>>2];f[e+4>>2]=c}c=h+8|0;f[c>>2]=f[c>>2]|g}}if(d&16|0)f[a+140>>2]=f[b+140>>2];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function bhb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+4|0;d=f[c>>2]|0;if((d|0)>=(b|0))return;e=a+8|0;g=f[e>>2]|0;h=(g|0)==0;if(h)i=0;else i=f[g>>2]|0;j=d<<1;d=(j|0)<(b|0)?b:j;j=(d|0)>4?d:4;d=j<<3;if(!i)k=Bmc(d+8|0)|0;else{b=d+15&-8;if(f[i+64>>2]|0)pBb(i,26896,b);k=nBb(i,b)|0}f[e>>2]=k;f[k>>2]=i;f[c>>2]=j;j=f[a>>2]|0;if((j|0)>0)Krc(k+8|0,g+8|0,j<<3|0)|0;if(h)return;if(f[g>>2]|0)return;Emc(g);return}function chb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=131244;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=534544?(f[222816]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=113;b[d+8>>0]=0;dEb(891264,d);zDb(d)}d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;u=c;return}function dhb(a){a=a|0;var b=0,c=0;f[a>>2]=131244;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function ehb(a){a=a|0;var b=0,c=0;f[a>>2]=131244;b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function fhb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function ghb(a,b){a=a|0;b=b|0;a=Bmc(32)|0;chb(a);if(!b)return a|0;shb(b,a);return a|0}function hhb(a){a=a|0;var b=0,c=0;b=a+8|0;if(f[b>>2]&3|0){c=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function ihb(a){a=a|0;return 1}function jhb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+16|0;j=e+8|0;k=a+24|0;l=e+8|0;m=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=xCb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)!=8){s=p;break b}f[h>>2]=f[h>>2]|1;o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0?(a=b[o>>0]|0,a<<24>>24>-1):0){f[c>>2]=o+1;t=a&255;v=0}else{jCb(e,c);a=e;if(!(b[j>>0]|0)){w=0;q=24;break a}else{t=f[a>>2]|0;v=f[a+4>>2]|0}}a=i;f[a>>2]=t;f[a+4>>2]=v;continue a;break}case 2:{if((p&255|0)!=16){s=p;break b}f[h>>2]=f[h>>2]|2;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(o=b[a>>0]|0,o<<24>>24>-1):0){f[c>>2]=a+1;x=o&255;y=0}else{jCb(e,c);o=e;if(!(b[l>>0]|0)){w=0;q=24;break a}else{x=f[o>>2]|0;y=f[o+4>>2]|0}}o=k;f[o>>2]=x;f[o+4>>2]=y;continue a;break}default:{s=p;break b}}}while(0);if(!s){w=1;q=24;break}o=f[m>>2]|0;if(!(o&1))z=AHa(m)|0;else z=o&-2;if(!(b4b(c,s,z)|0)){w=0;q=24;break}}if((q|0)==24){u=d;return w|0}return 0}function khb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+8>>2]|0;if(!(b&3)){d=c;e=a+12|0;f[e>>2]=d;return d|0}if(!(b&1))g=c;else{h=a+16|0;i=Prc(f[h>>2]|1|0,f[h+4>>2]|0,1)|0;g=c+1+((((i^63)*9|0)+73|0)>>>6)|0}if(!(b&2)){d=g;e=a+12|0;f[e>>2]=d;return d|0}b=a+24|0;i=Prc(f[b>>2]|1|0,f[b+4>>2]|0,1)|0;d=g+1+((((i^63)*9|0)+73|0)>>>6)|0;e=a+12|0;f[e>>2]=d;return d|0}function lhb(a,b){a=a|0;b=b|0;var c=0,d=0;c=f[a+8>>2]|0;if(c&1|0){d=a+16|0;nEb(1,f[d>>2]|0,f[d+4>>2]|0,b)}if(c&2|0){c=a+24|0;nEb(2,f[c>>2]|0,f[c+4>>2]|0,b)}c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function mhb(a){a=a|0;return f[a+12>>2]|0}function nhb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=a+16|0;h=f[g>>2]|0;i=f[g+4>>2]|0;b[d>>0]=8;g=d+1|0;d=h&255;if(i>>>0>0|(i|0)==0&h>>>0>127){j=g;k=d;l=h;h=i;while(1){b[j>>0]=k|-128;i=l;l=Irc(l|0,h|0,7)|0;m=j+1|0;n=l&255;if(!(h>>>0>0|(h|0)==0&i>>>0>16383)){o=m;p=n;break}else{j=m;k=n;h=J}}}else{o=g;p=d}b[o>>0]=p;e=o+1|0}if(!(c&2))q=e;else{c=a+24|0;o=f[c>>2]|0;p=f[c+4>>2]|0;b[e>>0]=16;c=e+1|0;e=o&255;if(p>>>0>0|(p|0)==0&o>>>0>127){d=c;g=e;h=o;o=p;while(1){b[d>>0]=g|-128;p=h;h=Irc(h|0,o|0,7)|0;k=d+1|0;j=h&255;if(!(o>>>0>0|(o|0)==0&p>>>0>16383)){r=k;s=j;break}else{d=k;g=j;o=J}}}else{r=c;s=e}b[r>>0]=s;q=r+1|0}r=f[a+4>>2]|0;if(!(r&1)){t=q;return t|0}t=f4b(r&-2,q)|0;return t|0}function ohb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function phb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,20520,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}d=f[c+8>>2]|0;if(!(d&3))return;if(d&1|0){g=c+16|0;e=f[g+4>>2]|0;b=a+16|0;f[b>>2]=f[g>>2];f[b+4>>2]=e}if(d&2|0){e=c+24|0;c=f[e+4>>2]|0;b=a+24|0;f[b>>2]=f[e>>2];f[b+4>>2]=c}c=a+8|0;f[c>>2]=f[c>>2]|d;return}function qhb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function rhb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222810]|0)!=2){f[d>>2]=149752;f[d+4>>2]=107;b[d+8>>0]=0;dEb(891240,d);zDb(d)}d=534952;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function shb(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function thb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+16|0;e=d;g=f[a>>2]|0;h=a+4|0;if(g>>>0<(f[h>>2]|0)>>>0?(i=b[g>>0]|0,i<<24>>24>-1):0){f[a>>2]=g+1;j=i&255}else{i=wCb(a)|0;if((i|0)>-1)j=i;else{k=0;u=d;return k|0}}i=fCb(a,j)|0;a:do if((nCb(a)|0)>0){j=c+4|0;g=c+8|0;l=e+8|0;while(1){m=f[a>>2]|0;if(m>>>0<(f[h>>2]|0)>>>0?(n=b[m>>0]|0,n<<24>>24>-1):0){f[a>>2]=m+1;o=n&255;p=0}else{jCb(e,a);n=e;if(!(b[l>>0]|0)){k=0;break}else{o=f[n>>2]|0;p=f[n+4>>2]|0}}n=f[c>>2]|0;if((n|0)==(f[j>>2]|0)){cEa(c,n+1|0);q=f[c>>2]|0}else q=n;n=f[g>>2]|0;f[c>>2]=q+1;m=n+8+(q<<3)|0;f[m>>2]=o;f[m+4>>2]=p;if((nCb(a)|0)<=0)break a}u=d;return k|0}while(0);gCb(a,i);k=1;u=d;return k|0}function uhb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;a=u;u=u+16|0;g=a;i=f[d>>2]|0;j=d+4|0;if(i>>>0<(f[j>>2]|0)>>>0?(k=b[i>>0]|0,k<<24>>24>-1):0){f[d>>2]=i+1;l=k&255;m=0}else{jCb(g,d);k=g;if(!(b[g+8>>0]|0)){n=0;u=a;return n|0}else{l=f[k>>2]|0;m=f[k+4>>2]|0}}k=f[e>>2]|0;i=e+4|0;o=f[i>>2]|0;if((k|0)==(o|0)){bhb(e,k+1|0);p=f[e>>2]|0;q=f[i>>2]|0}else{p=k;q=o}o=e+8|0;k=f[o>>2]|0;i=p+1|0;f[e>>2]=i;r=k+8+(p<<3)|0;f[r>>2]=l;f[r+4>>2]=m;m=q-i|0;if((m|0)<=0){n=1;u=a;return n|0}q=g+8|0;r=c&127|128;l=c>>>7&255;if(c>>>0<128){p=m;s=i;t=k;while(1){v=f[d>>2]|0;w=f[j>>2]|0;if(v>>>0>=w>>>0){n=1;x=27;break}if((h[v>>0]|0)!=(c|0)){n=1;x=27;break}y=v+1|0;f[d>>2]=y;if(y>>>0<w>>>0?(w=b[y>>0]|0,w<<24>>24>-1):0){f[d>>2]=v+2;z=s;A=t;B=w&255;C=0}else{jCb(g,d);w=g;if(!(b[q>>0]|0)){n=0;x=27;break}z=f[e>>2]|0;A=f[o>>2]|0;B=f[w>>2]|0;C=f[w+4>>2]|0}s=z+1|0;f[e>>2]=s;w=A+8+(z<<3)|0;f[w>>2]=B;f[w+4>>2]=C;if((p|0)<=1){n=1;x=27;break}else{p=p+-1|0;t=A}}if((x|0)==27){u=a;return n|0}}if(c>>>0<16384){D=m;E=i;F=k}else{n=1;u=a;return n|0}while(1){k=f[j>>2]|0;i=f[d>>2]|0;m=i;if((k-i|0)<=1){n=1;x=27;break}if((h[m>>0]|0)!=(r|0)){n=1;x=27;break}if((b[m+1>>0]|0)!=l<<24>>24){n=1;x=27;break}i=m+2|0;f[d>>2]=i;if(i>>>0<k>>>0?(k=b[i>>0]|0,k<<24>>24>-1):0){f[d>>2]=m+3;G=E;H=F;I=k&255;J=0}else{jCb(g,d);k=g;if(!(b[q>>0]|0)){n=0;x=27;break}G=f[e>>2]|0;H=f[o>>2]|0;I=f[k>>2]|0;J=f[k+4>>2]|0}E=G+1|0;f[e>>2]=E;k=H+8+(G<<3)|0;f[k>>2]=I;f[k+4>>2]=J;if((D|0)<=1){n=1;x=27;break}else{D=D+-1|0;F=H}}if((x|0)==27){u=a;return n|0}return 0}function vhb(a){a=a|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;f[a>>2]=131136;f[a+4>>2]=0;f[a+8>>2]=0;e=a+16|0;f[a+44>>2]=0;f[a+48>>2]=0;f[a+52>>2]=0;g=a+60|0;f[a+92>>2]=0;f[a+96>>2]=0;f[a+100>>2]=0;f[a+108>>2]=0;f[a+112>>2]=0;f[a+116>>2]=0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;if((a|0)!=534576?(f[222817]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=114;b[d+8>>0]=0;dEb(891268,d);zDb(d)}f[a+12>>2]=0;f[a+124>>2]=535416;f[a+128>>2]=535416;f[a+132>>2]=535416;d=a+136|0;f[d>>2]=0;f[d+4>>2]=0;u=c;return}function whb(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function xhb(a){a=a|0;var c=0;c=f[a+124>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+128>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+132>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}if((a|0)==534576)return;c=f[a+136>>2]|0;if(!c)return;ai[f[(f[c>>2]|0)+4>>2]&2047](c);return}function yhb(a){a=a|0;var c=0,d=0;f[a>>2]=131352;c=f[a+16>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+20>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(d);f[c>>2]=0;return}function zhb(a){a=a|0;yhb(a);Emc(a);return}function Ahb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function Bhb(a,b){a=a|0;b=b|0;a=Bmc(24)|0;Ohb(a);if(!b)return a|0;Phb(b,a);return a|0}function Chb(a){a=a|0;var c=0,d=0,e=0,g=0;c=a+8|0;d=f[c>>2]|0;do if(d&3|0){do if(d&1|0){e=f[a+16>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);if(d&2|0){g=f[a+20>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}}while(0);f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function Dhb(a){a=a|0;return 1}function Ehb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=c+4|0;e=a+8|0;g=a+16|0;h=a+20|0;i=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){j=b[a>>0]|0;k=j&255;if(j<<24>>24>0){f[c>>2]=a+1;l=k;m=6}else{n=k;m=5}}else{n=0;m=5}if((m|0)==5){m=0;k=xCb(c,n)|0;if((k+-1|0)>>>0<127){l=k;m=6}else o=k}b:do if((m|0)==6){m=0;switch(l>>>3&536870911|0){case 1:{if((l&255|0)!=10){o=l;break b}f[e>>2]=f[e>>2]|1;k=f[g>>2]|0;if((k|0)==535416){aFa(g,535416);p=f[g>>2]|0}else p=k;if(HEb(c,p)|0)continue a;else{q=0;m=20;break a}break}case 2:{if((l&255|0)!=18){o=l;break b}f[e>>2]=f[e>>2]|2;k=f[h>>2]|0;if((k|0)==535416){aFa(h,535416);r=f[h>>2]|0}else r=k;if(HEb(c,r)|0)continue a;else{q=0;m=20;break a}break}default:{o=l;break b}}}while(0);if(!o){q=1;m=20;break}k=f[i>>2]|0;if(!(k&1))s=AHa(i)|0;else s=k&-2;if(!(b4b(c,o,s)|0)){q=0;m=20;break}}if((m|0)==20)return q|0;return 0}function Fhb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=f[a+8>>2]|0;if(!(c&3)){e=d;g=a+12|0;f[g>>2]=e;return e|0}if(!(c&1))h=d;else{i=f[a+16>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0?f[i+4>>2]|0:j&255;h=d+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&2)){e=h;g=a+12|0;f[g>>2]=e;return e|0}c=f[a+20>>2]|0;k=b[c+11>>0]|0;d=k<<24>>24<0?f[c+4>>2]|0:k&255;e=h+1+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=a+12|0;f[g>>2]=e;return e|0}function Ghb(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)BEb(1,f[a+16>>2]|0,b);if(c&2|0)BEb(2,f[a+20>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function Hhb(a){a=a|0;return f[a+12>>2]|0}function Ihb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=10;e=GCb(g,d+1|0)|0}if(!(c&2))h=e;else{c=f[a+20>>2]|0;b[e>>0]=18;h=GCb(c,e+1|0)|0}e=f[a+4>>2]|0;if(!(e&1)){i=h;return i|0}i=f4b(e&-2,h)|0;return i|0}function Jhb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function Khb(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,20536,0)|0;if(!c){c2b(b,a);return}else{Nhb(a,c);return}}function Lhb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function Mhb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222810]|0)!=2){f[d>>2]=149752;f[d+4>>2]=107;b[d+8>>0]=0;dEb(891240,d);zDb(d)}d=534936;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function Nhb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}d=f[b+8>>2]|0;if(!(d&3))return;do if(d&1|0?(g=a+8|0,f[g>>2]=f[g>>2]|1,g=a+16|0,e=f[b+16>>2]|0,c=f[g>>2]|0,(c|0)!=(e|0)):0)if((c|0)==535416){aFa(g,e);break}else{Qmc(c,e)|0;break}while(0);if(!(d&2))return;d=a+8|0;f[d>>2]=f[d>>2]|2;d=a+20|0;a=f[b+20>>2]|0;b=f[d>>2]|0;if((b|0)==(a|0))return;if((b|0)==535416){aFa(d,a);return}else{Qmc(b,a)|0;return}}function Ohb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=131352;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=534416?(f[222815]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=112;b[d+8>>0]=0;dEb(891260,d);zDb(d)}f[a+12>>2]=0;f[a+16>>2]=535416;f[a+20>>2]=535416;u=c;return}function Phb(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function Qhb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;f[a>>2]=131460;Gjb(a);b=a+44|0;c=f[b>>2]|0;if(c|0?(f[a+32>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)ai[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;Emc(h)}f[b>>2]=0;b=a+28|0;h=f[b>>2]|0;if(h|0?(f[a+16>>2]|0)==0:0){c=f[h>>2]|0;if((c|0)>0){d=0;do{e=f[h+4+(d<<2)>>2]|0;if(e|0)ai[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(c|0));i=f[b>>2]|0}else i=h;Emc(i)}f[b>>2]=0;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}i=a&-2;a=i;if((i|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(i);f[b>>2]=0;return}function Rhb(a){a=a|0;Qhb(a);Emc(a);return}function Shb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function Thb(a,b){a=a|0;b=b|0;a=Bmc(88)|0;Ejb(a);if(!b)return a|0;Fjb(b,a);return a|0}function Uhb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=a+20|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+28>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((g|0)!=(d|0));f[c>>2]=0}c=a+36|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+44>>2]|0;e=0;do{h=f[g+4+(e<<2)>>2]|0;e=e+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((e|0)!=(d|0));f[c>>2]=0}c=a+8|0;d=f[c>>2]|0;if(d&31|0){do if(d&1|0){e=f[a+48>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&2|0){g=f[a+52>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);do if(d&4|0){e=f[a+56>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&8|0){g=f[a+60>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);if(d&16|0){e=f[a+64>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}}if(d&96|0){d=a+72|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function Vhb(a){a=a|0;return 1}function Whb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+72|0;j=e+8|0;k=a+48|0;l=a+52|0;m=a+56|0;n=a+80|0;o=e+8|0;p=a+60|0;q=a+64|0;r=e+4|0;s=a+16|0;t=a+28|0;v=a+24|0;w=a+20|0;x=e+4|0;y=a+32|0;z=a+44|0;A=a+40|0;B=a+36|0;C=e+4|0;D=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){E=b[a>>0]|0;F=E&255;if(E<<24>>24>0){f[c>>2]=a+1;G=F;H=6}else{I=F;H=5}}else{I=0;H=5}if((H|0)==5){H=0;F=xCb(c,I)|0;if((F+-1|0)>>>0<127){G=F;H=6}else J=F}b:do if((H|0)==6){H=0;switch(G>>>3&536870911|0){case 1:{if((G&255|0)!=8){J=G;break b}f[h>>2]=f[h>>2]|32;F=f[c>>2]|0;if(F>>>0<(f[g>>2]|0)>>>0?(a=b[F>>0]|0,a<<24>>24>-1):0){f[c>>2]=F+1;K=a&255;L=0}else{jCb(e,c);a=e;if(!(b[j>>0]|0)){M=0;H=93;break a}else{K=f[a>>2]|0;L=f[a+4>>2]|0}}a=i;f[a>>2]=K;f[a+4>>2]=L;continue a;break}case 2:{if((G&255|0)!=18){J=G;break b}f[h>>2]=f[h>>2]|1;a=f[k>>2]|0;if((a|0)==535416){aFa(k,535416);N=f[k>>2]|0}else N=a;if(HEb(c,N)|0)continue a;else{M=0;H=93;break a}break}case 3:{if((G&255|0)!=26){J=G;break b}f[h>>2]=f[h>>2]|2;a=f[l>>2]|0;if((a|0)==535416){aFa(l,535416);O=f[l>>2]|0}else O=a;if(HEb(c,O)|0)continue a;else{M=0;H=93;break a}break}case 4:{if((G&255|0)!=34){J=G;break b}f[h>>2]=f[h>>2]|4;a=f[m>>2]|0;if((a|0)==535416){aFa(m,535416);P=f[m>>2]|0}else P=a;if(HEb(c,P)|0)continue a;else{M=0;H=93;break a}break}case 5:{if((G&255|0)!=40){J=G;break b}f[h>>2]=f[h>>2]|64;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(F=b[a>>0]|0,F<<24>>24>-1):0){f[c>>2]=a+1;Q=F&255;R=0}else{jCb(e,c);F=e;if(!(b[o>>0]|0)){M=0;H=93;break a}else{Q=f[F>>2]|0;R=f[F+4>>2]|0}}F=n;f[F>>2]=Q;f[F+4>>2]=R;continue a;break}case 6:{if((G&255|0)!=50){J=G;break b}f[h>>2]=f[h>>2]|8;F=f[p>>2]|0;if((F|0)==535416){aFa(p,535416);S=f[p>>2]|0}else S=F;if(HEb(c,S)|0)continue a;else{M=0;H=93;break a}break}case 7:{if((G&255|0)!=58){J=G;break b}f[h>>2]=f[h>>2]|16;F=f[q>>2]|0;if(!F){a=Bmc(104)|0;gib(a);f[q>>2]=a;T=a}else T=F;F=f[c>>2]|0;if(F>>>0<(f[g>>2]|0)>>>0?(a=b[F>>0]|0,a<<24>>24>-1):0){f[c>>2]=F+1;U=a&255}else{a=wCb(c)|0;if((a|0)>-1)U=a;else{M=0;H=93;break a}}hCb(e,c,U);if((f[r>>2]|0)<0){H=44;break a}if(!(Sh[f[(f[T>>2]|0)+44>>2]&511](T,c)|0)){H=44;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{M=0;H=93;break a}break}case 8:{if((G&255|0)!=66){J=G;break b}a=f[t>>2]|0;do if(a){F=f[w>>2]|0;E=f[a>>2]|0;if((F|0)>=(E|0))if((E|0)==(f[v>>2]|0)){V=E;H=52;break}else{W=E;X=a;H=53;break}else{f[w>>2]=F+1;Y=f[a+4+(F<<2)>>2]|0;break}}else{V=f[v>>2]|0;H=52}while(0);if((H|0)==52){H=0;uDb(s,V+1|0);a=f[t>>2]|0;W=f[a>>2]|0;X=a;H=53}if((H|0)==53){H=0;f[X>>2]=W+1;a=f[s>>2]|0;if(!a){F=Bmc(32)|0;rfb(F);Z=F}else{if(f[a+64>>2]|0)pBb(a,20424,32);F=oBb(a,32,1659)|0;rfb(F);Z=F}F=f[t>>2]|0;a=f[w>>2]|0;f[w>>2]=a+1;f[F+4+(a<<2)>>2]=Z;Y=Z}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(F=b[a>>0]|0,F<<24>>24>-1):0){f[c>>2]=a+1;_=F&255}else{F=wCb(c)|0;if((F|0)>-1)_=F;else{M=0;H=93;break a}}hCb(e,c,_);if((f[x>>2]|0)<0){H=65;break a}if(!(Sh[f[(f[Y>>2]|0)+44>>2]&511](Y,c)|0)){H=65;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{M=0;H=93;break a}break}case 14:{if((G&255|0)!=114){J=G;break b}F=f[z>>2]|0;do if(F){a=f[B>>2]|0;E=f[F>>2]|0;if((a|0)>=(E|0))if((E|0)==(f[A>>2]|0)){$=E;H=73;break}else{aa=E;ba=F;H=74;break}else{f[B>>2]=a+1;ca=f[F+4+(a<<2)>>2]|0;break}}else{$=f[A>>2]|0;H=73}while(0);if((H|0)==73){H=0;uDb(y,$+1|0);F=f[z>>2]|0;aa=f[F>>2]|0;ba=F;H=74}if((H|0)==74){H=0;f[ba>>2]=aa+1;F=f[y>>2]|0;if(!F){a=Bmc(24)|0;Ohb(a);da=a}else{if(f[F+64>>2]|0)pBb(F,20536,24);a=oBb(F,24,1660)|0;Ohb(a);da=a}a=f[z>>2]|0;F=f[B>>2]|0;f[B>>2]=F+1;f[a+4+(F<<2)>>2]=da;ca=da}F=f[c>>2]|0;if(F>>>0<(f[g>>2]|0)>>>0?(a=b[F>>0]|0,a<<24>>24>-1):0){f[c>>2]=F+1;ea=a&255}else{a=wCb(c)|0;if((a|0)>-1)ea=a;else{M=0;H=93;break a}}hCb(e,c,ea);if((f[C>>2]|0)<0){H=86;break a}if(!(Sh[f[(f[ca>>2]|0)+44>>2]&511](ca,c)|0)){H=86;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{M=0;H=93;break a}break}default:{J=G;break b}}}while(0);if(!J){M=1;H=93;break}a=f[D>>2]|0;if(!(a&1))fa=AHa(D)|0;else fa=a&-2;if(!(b4b(c,J,fa)|0)){M=0;H=93;break}}if((H|0)==44){M=0;u=d;return M|0}else if((H|0)==65){M=0;u=d;return M|0}else if((H|0)==86){M=0;u=d;return M|0}else if((H|0)==93){u=d;return M|0}return 0}function Xhb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=f[a+20>>2]|0;e=c+d|0;if(!c)g=e;else{d=a+28|0;h=0;i=e;while(1){e=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;j=ci[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(c|0)){g=e;break}else i=e}}i=f[a+36>>2]|0;c=i+g|0;if(!i)k=c;else{g=a+44|0;h=0;d=c;while(1){c=f[(f[g>>2]|0)+4+(h<<2)>>2]|0;e=ci[f[(f[c>>2]|0)+48>>2]&1023](c)|0;c=e+d+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(i|0)){k=c;break}else d=c}}d=a+8|0;i=f[d>>2]|0;if(!(i&127)){l=k;m=a+12|0;f[m>>2]=l;return l|0}if(!(i&1))n=k;else{h=f[a+48>>2]|0;g=b[h+11>>0]|0;c=g<<24>>24<0?f[h+4>>2]|0:g&255;n=k+1+c+((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&2))o=n;else{c=f[a+52>>2]|0;k=b[c+11>>0]|0;g=k<<24>>24<0?f[c+4>>2]|0:k&255;o=n+1+g+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&4))p=o;else{g=f[a+56>>2]|0;n=b[g+11>>0]|0;k=n<<24>>24<0?f[g+4>>2]|0:n&255;p=o+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&8))q=p;else{k=f[a+60>>2]|0;o=b[k+11>>0]|0;n=o<<24>>24<0?f[k+4>>2]|0:o&255;q=p+1+n+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&16)){r=q;s=i}else{i=f[a+64>>2]|0;n=ci[f[(f[i>>2]|0)+48>>2]&1023](i)|0;i=q+1+n+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0;r=i;s=f[d>>2]|0}if(!(s&32))t=r;else{d=a+72|0;i=Prc(f[d>>2]|1|0,f[d+4>>2]|0,1)|0;t=r+1+((((i^63)*9|0)+73|0)>>>6)|0}if(!(s&64)){l=t;m=a+12|0;f[m>>2]=l;return l|0}s=a+80|0;i=Prc(f[s>>2]|1|0,f[s+4>>2]|0,1)|0;l=t+1+((((i^63)*9|0)+73|0)>>>6)|0;m=a+12|0;f[m>>2]=l;return l|0}function Yhb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a+8>>2]|0;if(c&32|0){d=a+72|0;nEb(1,f[d>>2]|0,f[d+4>>2]|0,b)}if(c&1|0)BEb(2,f[a+48>>2]|0,b);if(c&2|0)BEb(3,f[a+52>>2]|0,b);if(c&4|0)BEb(4,f[a+56>>2]|0,b);if(c&64|0){d=a+80|0;nEb(5,f[d>>2]|0,f[d+4>>2]|0,b)}if(c&8|0)BEb(6,f[a+60>>2]|0,b);if(c&16|0)GEb(7,f[a+64>>2]|0,b);c=f[a+20>>2]|0;if(c|0){d=a+28|0;e=0;do{GEb(8,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+36>>2]|0;if(c|0){e=a+44|0;d=0;do{GEb(14,f[(f[e>>2]|0)+4+(d<<2)>>2]|0,b);d=d+1|0}while((d|0)!=(c|0))}c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function Zhb(a){a=a|0;return f[a+12>>2]|0}function _hb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;e=f[a+8>>2]|0;if(!(e&32))g=d;else{h=a+72|0;i=f[h>>2]|0;j=f[h+4>>2]|0;b[d>>0]=8;h=d+1|0;d=i&255;if(j>>>0>0|(j|0)==0&i>>>0>127){k=h;l=d;m=i;i=j;while(1){b[k>>0]=l|-128;j=m;m=Irc(m|0,i|0,7)|0;n=k+1|0;o=m&255;if(!(i>>>0>0|(i|0)==0&j>>>0>16383)){p=n;q=o;break}else{k=n;l=o;i=J}}}else{p=h;q=d}b[p>>0]=q;g=p+1|0}if(!(e&1))r=g;else{p=f[a+48>>2]|0;b[g>>0]=18;r=GCb(p,g+1|0)|0}if(!(e&2))s=r;else{g=f[a+52>>2]|0;b[r>>0]=26;s=GCb(g,r+1|0)|0}if(!(e&4))t=s;else{r=f[a+56>>2]|0;b[s>>0]=34;t=GCb(r,s+1|0)|0}if(!(e&64))u=t;else{s=a+80|0;r=f[s>>2]|0;g=f[s+4>>2]|0;b[t>>0]=40;s=t+1|0;t=r&255;if(g>>>0>0|(g|0)==0&r>>>0>127){p=s;q=t;d=r;r=g;while(1){b[p>>0]=q|-128;g=d;d=Irc(d|0,r|0,7)|0;h=p+1|0;i=d&255;if(!(r>>>0>0|(r|0)==0&g>>>0>16383)){v=h;w=i;break}else{p=h;q=i;r=J}}}else{v=s;w=t}b[v>>0]=w;u=v+1|0}if(!(e&8))x=u;else{v=f[a+60>>2]|0;b[u>>0]=50;x=GCb(v,u+1|0)|0}if(!(e&16))y=x;else{e=f[a+64>>2]|0;b[x>>0]=58;u=x+1|0;x=ci[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(x>>>0>127){v=x;w=u;while(1){b[w>>0]=v|128;t=v>>>7;s=w+1|0;if(v>>>0>16383){v=t;w=s}else{z=s;A=t;break}}}else{z=u;A=x}b[z>>0]=A;y=ki[f[(f[e>>2]|0)+64>>2]&511](e,c,z+1|0)|0}z=f[a+20>>2]|0;if(!z)B=y;else{e=a+28|0;A=0;x=y;while(1){y=f[(f[e>>2]|0)+4+(A<<2)>>2]|0;b[x>>0]=66;u=x+1|0;w=ci[f[(f[y>>2]|0)+60>>2]&1023](y)|0;if(w>>>0>127){v=w;t=u;while(1){b[t>>0]=v|128;s=v>>>7;r=t+1|0;if(v>>>0>16383){v=s;t=r}else{C=r;D=s;break}}}else{C=u;D=w}b[C>>0]=D;t=ki[f[(f[y>>2]|0)+64>>2]&511](y,c,C+1|0)|0;A=A+1|0;if((A|0)==(z|0)){B=t;break}else x=t}}x=f[a+36>>2]|0;if(!x)E=B;else{z=a+44|0;A=0;C=B;while(1){B=f[(f[z>>2]|0)+4+(A<<2)>>2]|0;b[C>>0]=114;D=C+1|0;e=ci[f[(f[B>>2]|0)+60>>2]&1023](B)|0;if(e>>>0>127){t=e;v=D;while(1){b[v>>0]=t|128;s=t>>>7;r=v+1|0;if(t>>>0>16383){t=s;v=r}else{F=r;G=s;break}}}else{F=D;G=e}b[F>>0]=G;v=ki[f[(f[B>>2]|0)+64>>2]&511](B,c,F+1|0)|0;A=A+1|0;if((A|0)==(x|0)){E=v;break}else C=v}}C=f[a+4>>2]|0;if(!(C&1)){H=E;return H|0}H=f4b(C&-2,E)|0;return H|0}function $hb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function aib(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,20552,0)|0;if(!c){c2b(b,a);return}else{dib(a,c);return}}function bib(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function cib(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222810]|0)!=2){f[d>>2]=149752;f[d+4>>2]=107;b[d+8>>0]=0;dEb(891240,d);zDb(d)}d=534928;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function dib(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}eib(a+16|0,b+16|0);fib(a+32|0,b+32|0);d=f[b+8>>2]|0;if(!(d&127))return;do if(d&1|0?(g=a+8|0,f[g>>2]=f[g>>2]|1,g=a+48|0,e=f[b+48>>2]|0,c=f[g>>2]|0,(c|0)!=(e|0)):0)if((c|0)==535416){aFa(g,e);break}else{Qmc(c,e)|0;break}while(0);do if(d&2|0?(e=a+8|0,f[e>>2]=f[e>>2]|2,e=a+52|0,c=f[b+52>>2]|0,g=f[e>>2]|0,(g|0)!=(c|0)):0)if((g|0)==535416){aFa(e,c);break}else{Qmc(g,c)|0;break}while(0);do if(d&4|0?(c=a+8|0,f[c>>2]=f[c>>2]|4,c=a+56|0,g=f[b+56>>2]|0,e=f[c>>2]|0,(e|0)!=(g|0)):0)if((e|0)==535416){aFa(c,g);break}else{Qmc(e,g)|0;break}while(0);do if(d&8|0?(g=a+8|0,f[g>>2]=f[g>>2]|8,g=a+60|0,e=f[b+60>>2]|0,c=f[g>>2]|0,(c|0)!=(e|0)):0)if((c|0)==535416){aFa(g,e);break}else{Qmc(c,e)|0;break}while(0);if(d&16|0){e=a+8|0;f[e>>2]=f[e>>2]|16;e=a+64|0;c=f[e>>2]|0;if(!c){g=Bmc(104)|0;gib(g);f[e>>2]=g;h=g}else h=c;c=f[b+64>>2]|0;hib(h,c|0?c:534440)}if(d&32|0){c=b+72|0;h=f[c+4>>2]|0;g=a+72|0;f[g>>2]=f[c>>2];f[g+4>>2]=h}if(d&64|0){h=b+80|0;b=f[h+4>>2]|0;g=a+80|0;f[g>>2]=f[h>>2];f[g+4>>2]=b}b=a+8|0;f[b>>2]=f[b>>2]|d;return}function eib(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{Cjb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(32)|0;rfb(l);Cjb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,20424,32);l=oBb(i,32,1659)|0;rfb(l);Cjb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function fib(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{Ajb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(24)|0;Ohb(l);Ajb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,20536,24);l=oBb(i,24,1660)|0;Ohb(l);Ajb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function gib(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;f[a>>2]=131784;f[a+4>>2]=0;f[a+8>>2]=0;e=(a|0)==534440;g=a+16|0;h=g+80|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));if(!e?(f[222812]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=109;b[d+8>>0]=0;dEb(891248,d);zDb(d)}f[a+12>>2]=0;f[a+96>>2]=535416;f[a+100>>2]=535416;u=c;return}function hib(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}iib(a+16|0,b+16|0);jib(a+32|0,b+32|0);kib(a+48|0,b+48|0);kib(a+64|0,b+64|0);kib(a+80|0,b+80|0);d=f[b+8>>2]|0;if(!(d&3))return;do if(d&1|0?(g=a+8|0,f[g>>2]=f[g>>2]|1,g=a+96|0,e=f[b+96>>2]|0,c=f[g>>2]|0,(c|0)!=(e|0)):0)if((c|0)==535416){aFa(g,e);break}else{Qmc(c,e)|0;break}while(0);if(!(d&2))return;d=a+8|0;f[d>>2]=f[d>>2]|2;d=a+100|0;a=f[b+100>>2]|0;b=f[d>>2]|0;if((b|0)==(a|0))return;if((b|0)==535416){aFa(d,a);return}else{Qmc(b,a)|0;return}}function iib(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{Iib(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(80)|0;Hib(l);Iib(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,20584,80);l=oBb(i,80,1661)|0;Hib(l);Iib(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function jib(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{Fib(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(144)|0;vhb(l);Fib(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,20504,144);l=oBb(i,144,1662)|0;vhb(l);Fib(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function kib(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{mib(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(28)|0;lib(l);mib(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,20568,32);l=oBb(i,32,1663)|0;lib(l);mib(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function lib(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=131568;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=534216?(f[222813]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=110;b[d+8>>0]=0;dEb(891252,d);zDb(d)}f[a+12>>2]=0;f[a+16>>2]=535416;f[a+20>>2]=535416;f[a+24>>2]=0;u=c;return}function mib(a,b){a=a|0;b=b|0;oib(b,a);return}function nib(a){a=a|0;ai[f[f[a>>2]>>2]&2047](a);return}function oib(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}d=f[b+8>>2]|0;if(!(d&7))return;do if(d&1|0?(g=a+8|0,f[g>>2]=f[g>>2]|1,g=a+16|0,e=f[b+16>>2]|0,c=f[g>>2]|0,(c|0)!=(e|0)):0)if((c|0)==535416){aFa(g,e);break}else{Qmc(c,e)|0;break}while(0);do if(d&2|0?(e=a+8|0,f[e>>2]=f[e>>2]|2,e=a+20|0,c=f[b+20>>2]|0,g=f[e>>2]|0,(g|0)!=(c|0)):0)if((g|0)==535416){aFa(e,c);break}else{Qmc(g,c)|0;break}while(0);if(!(d&4))return;d=a+8|0;f[d>>2]=f[d>>2]|4;d=a+24|0;a=f[d>>2]|0;if(!a){c=Bmc(28)|0;Lgb(c);f[d>>2]=c;h=c}else h=a;a=f[b+24>>2]|0;Ifb(h,a|0?a:534832);return}function pib(a){a=a|0;var c=0,d=0;f[a>>2]=131568;c=f[a+16>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+20>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}if((a|0)!=534216?(c=f[a+24>>2]|0,c|0):0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(d);f[c>>2]=0;return}function qib(a){a=a|0;pib(a);Emc(a);return}function rib(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function sib(a,b){a=a|0;b=b|0;a=Bmc(28)|0;lib(a);if(!b)return a|0;Eib(b,a);return a|0}function tib(a){a=a|0;var c=0,d=0,e=0,g=0;c=a+8|0;d=f[c>>2]|0;if(d&7|0){do if(d&1|0){e=f[a+16>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&2|0){g=f[a+20>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);if(d&4|0){d=f[a+24>>2]|0;ai[f[(f[d>>2]|0)+28>>2]&2047](d)}}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function uib(a){a=a|0;return 1}function vib(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+16|0;j=a+24|0;k=e+4|0;l=a+20|0;m=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=xCb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)!=10){s=p;break b}f[h>>2]=f[h>>2]|1;o=f[i>>2]|0;if((o|0)==535416){aFa(i,535416);t=f[i>>2]|0}else t=o;if(HEb(c,t)|0)continue a;else{v=0;q=31;break a}break}case 2:{if((p&255|0)!=18){s=p;break b}f[h>>2]=f[h>>2]|4;o=f[j>>2]|0;if(!o){a=Bmc(28)|0;Lgb(a);f[j>>2]=a;w=a}else w=o;o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0?(a=b[o>>0]|0,a<<24>>24>-1):0){f[c>>2]=o+1;x=a&255}else{a=wCb(c)|0;if((a|0)>-1)x=a;else{v=0;q=31;break a}}hCb(e,c,x);if((f[k>>2]|0)<0){q=20;break a}if(!(Sh[f[(f[w>>2]|0)+44>>2]&511](w,c)|0)){q=20;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{v=0;q=31;break a}break}case 3:{if((p&255|0)!=26){s=p;break b}f[h>>2]=f[h>>2]|2;a=f[l>>2]|0;if((a|0)==535416){aFa(l,535416);y=f[l>>2]|0}else y=a;if(HEb(c,y)|0)continue a;else{v=0;q=31;break a}break}default:{s=p;break b}}}while(0);if(!s){v=1;q=31;break}a=f[m>>2]|0;if(!(a&1))z=AHa(m)|0;else z=a&-2;if(!(b4b(c,s,z)|0)){v=0;q=31;break}}if((q|0)==20){v=0;u=d;return v|0}else if((q|0)==31){u=d;return v|0}return 0}function wib(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=f[a+8>>2]|0;if(!(c&7)){e=d;g=a+12|0;f[g>>2]=e;return e|0}if(!(c&1))h=d;else{i=f[a+16>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0?f[i+4>>2]|0:j&255;h=d+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&2))l=h;else{k=f[a+20>>2]|0;d=b[k+11>>0]|0;j=d<<24>>24<0?f[k+4>>2]|0:d&255;l=h+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&4)){e=l;g=a+12|0;f[g>>2]=e;return e|0}c=f[a+24>>2]|0;j=ci[f[(f[c>>2]|0)+48>>2]&1023](c)|0;e=l+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=a+12|0;f[g>>2]=e;return e|0}function xib(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)BEb(1,f[a+16>>2]|0,b);if(c&4|0)GEb(2,f[a+24>>2]|0,b);if(c&2|0)BEb(3,f[a+20>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function yib(a){a=a|0;return f[a+12>>2]|0}function zib(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=f[a+8>>2]|0;if(!(e&1))g=d;else{h=f[a+16>>2]|0;b[d>>0]=10;g=GCb(h,d+1|0)|0}if(!(e&4))i=g;else{d=f[a+24>>2]|0;b[g>>0]=18;h=g+1|0;g=ci[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(g>>>0>127){j=g;k=h;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=h;o=g}b[n>>0]=o;i=ki[f[(f[d>>2]|0)+64>>2]&511](d,c,n+1|0)|0}if(!(e&2))p=i;else{e=f[a+20>>2]|0;b[i>>0]=26;p=GCb(e,i+1|0)|0}i=f[a+4>>2]|0;if(!(i&1)){q=p;return q|0}q=f4b(i&-2,p)|0;return q|0}function Aib(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function Bib(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,20568,0)|0;if(!c){c2b(b,a);return}else{oib(a,c);return}}function Cib(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function Dib(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222810]|0)!=2){f[d>>2]=149752;f[d+4>>2]=107;b[d+8>>0]=0;dEb(891240,d);zDb(d)}d=534912;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function Eib(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function Fib(a,b){a=a|0;b=b|0;ahb(b,a);return}function Gib(a){a=a|0;ai[f[f[a>>2]>>2]&2047](a);return}function Hib(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;f[a>>2]=131676;f[a+4>>2]=0;f[a+8>>2]=0;e=(a|0)==534248;g=a+16|0;h=g+48|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));if(!e?(f[222812]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=109;b[d+8>>0]=0;dEb(891248,d);zDb(d)}f[a+12>>2]=0;f[a+64>>2]=535416;f[a+68>>2]=535416;f[a+72>>2]=535416;f[a+76>>2]=535416;u=c;return}function Iib(a,b){a=a|0;b=b|0;Kib(b,a);return}function Jib(a){a=a|0;ai[f[f[a>>2]>>2]&2047](a);return}function Kib(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}BHa(a+16|0,b+16|0);BHa(a+32|0,b+32|0);Lib(a+48|0,b+48|0);d=f[b+8>>2]|0;if(!(d&15))return;do if(d&1|0?(g=a+8|0,f[g>>2]=f[g>>2]|1,g=a+64|0,e=f[b+64>>2]|0,c=f[g>>2]|0,(c|0)!=(e|0)):0)if((c|0)==535416){aFa(g,e);break}else{Qmc(c,e)|0;break}while(0);do if(d&2|0?(e=a+8|0,f[e>>2]=f[e>>2]|2,e=a+68|0,c=f[b+68>>2]|0,g=f[e>>2]|0,(g|0)!=(c|0)):0)if((g|0)==535416){aFa(e,c);break}else{Qmc(g,c)|0;break}while(0);do if(d&4|0?(c=a+8|0,f[c>>2]=f[c>>2]|4,c=a+72|0,g=f[b+72>>2]|0,e=f[c>>2]|0,(e|0)!=(g|0)):0)if((e|0)==535416){aFa(c,g);break}else{Qmc(e,g)|0;break}while(0);if(!(d&8))return;d=a+8|0;f[d>>2]=f[d>>2]|8;d=a+76|0;a=f[b+76>>2]|0;b=f[d>>2]|0;if((b|0)==(a|0))return;if((b|0)==535416){aFa(d,a);return}else{Qmc(b,a)|0;return}}function Lib(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{Nib(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(128)|0;Mib(l);Nib(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,20408,128);l=oBb(i,128,1664)|0;Mib(l);Nib(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function Mib(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;f[a>>2]=130280;f[a+4>>2]=0;f[a+8>>2]=0;e=(a|0)==534088;g=a+16|0;h=g+72|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));if(!e?(f[222812]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=109;b[d+8>>0]=0;dEb(891248,d);zDb(d)}f[a+12>>2]=0;f[a+88>>2]=535416;f[a+92>>2]=535416;f[a+96>>2]=535416;f[a+100>>2]=535416;d=a+104|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;u=c;return}function Nib(a,b){a=a|0;b=b|0;Pib(b,a);return}function Oib(a){a=a|0;ai[f[f[a>>2]>>2]&2047](a);return}function Pib(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}d=a+16|0;g=b+16|0;e=f[g>>2]|0;if(e|0){aEa(d,(f[d>>2]|0)+e|0);Krc((f[a+24>>2]|0)+4+(f[d>>2]<<2)|0,(f[b+24>>2]|0)+4|0,f[g>>2]<<2|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}g=a+28|0;d=b+28|0;e=f[d>>2]|0;if(e|0){cEa(g,(f[g>>2]|0)+e|0);Krc((f[a+36>>2]|0)+8+(f[g>>2]<<3)|0,(f[b+36>>2]|0)+8|0,f[d>>2]<<3|0)|0;f[g>>2]=(f[g>>2]|0)+(f[d>>2]|0)}BHa(a+40|0,b+40|0);jib(a+56|0,b+56|0);Qib(a+72|0,b+72|0);d=f[b+8>>2]|0;if(d&255|0){do if(d&1|0?(g=a+8|0,f[g>>2]=f[g>>2]|1,g=a+88|0,e=f[b+88>>2]|0,c=f[g>>2]|0,(c|0)!=(e|0)):0)if((c|0)==535416){aFa(g,e);break}else{Qmc(c,e)|0;break}while(0);do if(d&2|0?(e=a+8|0,f[e>>2]=f[e>>2]|2,e=a+92|0,c=f[b+92>>2]|0,g=f[e>>2]|0,(g|0)!=(c|0)):0)if((g|0)==535416){aFa(e,c);break}else{Qmc(g,c)|0;break}while(0);do if(d&4|0?(c=a+8|0,f[c>>2]=f[c>>2]|4,c=a+96|0,g=f[b+96>>2]|0,e=f[c>>2]|0,(e|0)!=(g|0)):0)if((e|0)==535416){aFa(c,g);break}else{Qmc(e,g)|0;break}while(0);do if(d&8|0?(g=a+8|0,f[g>>2]=f[g>>2]|8,g=a+100|0,e=f[b+100>>2]|0,c=f[g>>2]|0,(c|0)!=(e|0)):0)if((c|0)==535416){aFa(g,e);break}else{Qmc(c,e)|0;break}while(0);if(d&16|0){e=a+8|0;f[e>>2]=f[e>>2]|16;e=a+104|0;c=f[e>>2]|0;if(!c){g=Bmc(144)|0;vhb(g);f[e>>2]=g;h=g}else h=c;c=f[b+104>>2]|0;ahb(h,c|0?c:534576)}if(d&32|0){c=a+8|0;f[c>>2]=f[c>>2]|32;c=a+108|0;h=f[c>>2]|0;if(!h){g=Bmc(104)|0;gib(g);f[c>>2]=g;i=g}else i=h;h=f[b+108>>2]|0;hib(i,h|0?h:534440)}if(d&64|0){h=b+112|0;i=f[h+4>>2]|0;g=a+112|0;f[g>>2]=f[h>>2];f[g+4>>2]=i}if(d&128|0)f[a+120>>2]=f[b+120>>2];i=a+8|0;f[i>>2]=f[i>>2]|d}if(!(d&256))return;d=f[b+124>>2]|0;b=a+8|0;f[b>>2]=f[b>>2]|256;f[a+124>>2]=d;return}function Qib(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{Rib(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(104)|0;gib(l);Rib(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,20600,104);l=oBb(i,104,1656)|0;gib(l);Rib(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function Rib(a,b){a=a|0;b=b|0;hib(b,a);return}function Sib(a){a=a|0;ai[f[f[a>>2]>>2]&2047](a);return}function Tib(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;f[a>>2]=131676;hjb(a);c=a+60|0;d=f[c>>2]|0;if(d|0?(f[a+48>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0)ai[f[(f[h>>2]|0)+4>>2]&2047](h);g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;Emc(i)}f[c>>2]=0;c=a+44|0;i=f[c>>2]|0;if(i|0?(f[a+32>>2]|0)==0:0){d=f[i>>2]|0;if((d|0)>0){e=0;do{g=f[i+4+(e<<2)>>2]|0;if(g|0){if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);Emc(g)}e=e+1|0}while((e|0)!=(d|0));j=f[c>>2]|0}else j=i;Emc(j)}f[c>>2]=0;c=a+28|0;j=f[c>>2]|0;if(j|0?(f[a+16>>2]|0)==0:0){i=f[j>>2]|0;if((i|0)>0){d=0;do{e=f[j+4+(d<<2)>>2]|0;if(e|0){if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);Emc(e)}d=d+1|0}while((d|0)!=(i|0));k=f[c>>2]|0}else k=j;Emc(k)}f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}k=a&-2;a=k;if((k|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(k);f[c>>2]=0;return}function Uib(a){a=a|0;Tib(a);Emc(a);return}function Vib(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function Wib(a,b){a=a|0;b=b|0;a=Bmc(80)|0;Hib(a);if(!b)return a|0;gjb(b,a);return a|0}function Xib(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+20|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+28>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;i=h+11|0;if((b[i>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0}else{b[h>>0]=0;b[i>>0]=0}}while((g|0)!=(d|0));f[c>>2]=0}c=a+36|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+44>>2]|0;e=0;do{i=f[g+4+(e<<2)>>2]|0;e=e+1|0;h=i+11|0;if((b[h>>0]|0)<0){b[f[i>>2]>>0]=0;f[i+4>>2]=0}else{b[i>>0]=0;b[h>>0]=0}}while((e|0)!=(d|0));f[c>>2]=0}c=a+52|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+60>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((g|0)!=(d|0));f[c>>2]=0}c=a+8|0;d=f[c>>2]|0;do if(d&15|0){do if(d&1|0){g=f[a+64>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);do if(d&2|0){e=f[a+68>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&4|0){g=f[a+72>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);if(d&8|0){e=f[a+76>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}}while(0);f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function Yib(a){a=a|0;return 1}function Zib(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+16|0;i=a+32|0;j=a+8|0;k=a+64|0;l=a+68|0;m=a+48|0;n=a+60|0;o=a+56|0;p=a+52|0;q=e+4|0;r=a+72|0;s=a+76|0;t=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){v=b[a>>0]|0;w=v&255;if(v<<24>>24>0){f[c>>2]=a+1;x=w;y=6}else{z=w;y=5}}else{z=0;y=5}if((y|0)==5){y=0;w=xCb(c,z)|0;if((w+-1|0)>>>0<127){x=w;y=6}else A=w}b:do if((y|0)==6){y=0;switch(x>>>3&536870911|0){case 1:{if((x&255|0)!=10){A=x;break b}if(HEb(c,dFa(h)|0)|0)continue a;else{B=0;y=53;break a}break}case 2:{if((x&255|0)!=18){A=x;break b}if(HEb(c,dFa(i)|0)|0)continue a;else{B=0;y=53;break a}break}case 3:{if((x&255|0)!=26){A=x;break b}f[j>>2]=f[j>>2]|1;w=f[k>>2]|0;if((w|0)==535416){aFa(k,535416);C=f[k>>2]|0}else C=w;if(HEb(c,C)|0)continue a;else{B=0;y=53;break a}break}case 4:{if((x&255|0)!=34){A=x;break b}f[j>>2]=f[j>>2]|2;w=f[l>>2]|0;if((w|0)==535416){aFa(l,535416);D=f[l>>2]|0}else D=w;if(HEb(c,D)|0)continue a;else{B=0;y=53;break a}break}case 5:{if((x&255|0)!=42){A=x;break b}w=f[n>>2]|0;do if(w){a=f[p>>2]|0;v=f[w>>2]|0;if((a|0)>=(v|0))if((v|0)==(f[o>>2]|0)){E=v;y=25;break}else{F=v;G=w;y=26;break}else{f[p>>2]=a+1;H=f[w+4+(a<<2)>>2]|0;break}}else{E=f[o>>2]|0;y=25}while(0);if((y|0)==25){y=0;uDb(m,E+1|0);w=f[n>>2]|0;F=f[w>>2]|0;G=w;y=26}if((y|0)==26){y=0;f[G>>2]=F+1;w=f[m>>2]|0;if(!w){a=Bmc(128)|0;Mib(a);I=a}else{if(f[w+64>>2]|0)pBb(w,20408,128);a=oBb(w,128,1664)|0;Mib(a);I=a}a=f[n>>2]|0;w=f[p>>2]|0;f[p>>2]=w+1;f[a+4+(w<<2)>>2]=I;H=I}w=f[c>>2]|0;if(w>>>0<(f[g>>2]|0)>>>0?(a=b[w>>0]|0,a<<24>>24>-1):0){f[c>>2]=w+1;J=a&255}else{a=wCb(c)|0;if((a|0)>-1)J=a;else{B=0;y=53;break a}}hCb(e,c,J);if((f[q>>2]|0)<0){y=38;break a}if(!(Sh[f[(f[H>>2]|0)+44>>2]&511](H,c)|0)){y=38;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{B=0;y=53;break a}break}case 6:{if((x&255|0)!=50){A=x;break b}f[j>>2]=f[j>>2]|4;a=f[r>>2]|0;if((a|0)==535416){aFa(r,535416);K=f[r>>2]|0}else K=a;if(HEb(c,K)|0)continue a;else{B=0;y=53;break a}break}case 7:{if((x&255|0)!=58){A=x;break b}f[j>>2]=f[j>>2]|8;a=f[s>>2]|0;if((a|0)==535416){aFa(s,535416);L=f[s>>2]|0}else L=a;if(HEb(c,L)|0)continue a;else{B=0;y=53;break a}break}default:{A=x;break b}}}while(0);if(!A){B=1;y=53;break}a=f[t>>2]|0;if(!(a&1))M=AHa(t)|0;else M=a&-2;if(!(b4b(c,A,M)|0)){B=0;y=53;break}}if((y|0)==38){B=0;u=d;return B|0}else if((y|0)==53){u=d;return B|0}return 0}function _ib(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=f[a+20>>2]|0;e=c+d|0;if((c|0)>0){d=f[a+28>>2]|0;g=0;h=e;while(1){i=f[d+4+(g<<2)>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0?f[i+4>>2]|0:j&255;j=k+h+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=g+1|0;if((g|0)==(c|0)){l=j;break}else h=j}}else l=e;e=f[a+36>>2]|0;h=e+l|0;if((e|0)>0){l=f[a+44>>2]|0;c=0;g=h;while(1){d=f[l+4+(c<<2)>>2]|0;j=b[d+11>>0]|0;k=j<<24>>24<0?f[d+4>>2]|0:j&255;j=k+g+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;c=c+1|0;if((c|0)==(e|0)){m=j;break}else g=j}}else m=h;h=f[a+52>>2]|0;g=h+m|0;if(!h)n=g;else{m=a+60|0;e=0;c=g;while(1){g=f[(f[m>>2]|0)+4+(e<<2)>>2]|0;l=ci[f[(f[g>>2]|0)+48>>2]&1023](g)|0;g=l+c+((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=e+1|0;if((e|0)==(h|0)){n=g;break}else c=g}}c=f[a+8>>2]|0;if(!(c&15)){o=n;p=a+12|0;f[p>>2]=o;return o|0}if(!(c&1))q=n;else{h=f[a+64>>2]|0;e=b[h+11>>0]|0;m=e<<24>>24<0?f[h+4>>2]|0:e&255;q=n+1+m+((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&2))r=q;else{m=f[a+68>>2]|0;n=b[m+11>>0]|0;e=n<<24>>24<0?f[m+4>>2]|0:n&255;r=q+1+e+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&4))s=r;else{e=f[a+72>>2]|0;q=b[e+11>>0]|0;n=q<<24>>24<0?f[e+4>>2]|0:q&255;s=r+1+n+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&8)){o=s;p=a+12|0;f[p>>2]=o;return o|0}c=f[a+76>>2]|0;n=b[c+11>>0]|0;r=n<<24>>24<0?f[c+4>>2]|0:n&255;o=s+1+r+((((($(r|1|0)|0)^31)*9|0)+73|0)>>>6)|0;p=a+12|0;f[p>>2]=o;return o|0}function $ib(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=f[a+20>>2]|0;if((c|0)>0){d=a+28|0;e=0;do{AEb(1,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+36>>2]|0;if((c|0)>0){e=a+44|0;d=0;do{AEb(2,f[(f[e>>2]|0)+4+(d<<2)>>2]|0,b);d=d+1|0}while((d|0)!=(c|0))}c=f[a+8>>2]|0;if(c&1|0)BEb(3,f[a+64>>2]|0,b);if(c&2|0)BEb(4,f[a+68>>2]|0,b);d=f[a+52>>2]|0;if(d|0){e=a+60|0;g=0;do{GEb(5,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(d|0))}if(c&4|0)BEb(6,f[a+72>>2]|0,b);if(c&8|0)BEb(7,f[a+76>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function ajb(a){a=a|0;return f[a+12>>2]|0}function bjb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;e=f[a+20>>2]|0;if((e|0)>0){g=a+28|0;h=0;i=d;while(1){j=f[(f[g>>2]|0)+4+(h<<2)>>2]|0;b[i>>0]=10;k=GCb(j,i+1|0)|0;h=h+1|0;if((h|0)==(e|0)){l=k;break}else i=k}}else l=d;d=f[a+36>>2]|0;if((d|0)>0){i=a+44|0;e=0;h=l;while(1){g=f[(f[i>>2]|0)+4+(e<<2)>>2]|0;b[h>>0]=18;k=GCb(g,h+1|0)|0;e=e+1|0;if((e|0)==(d|0)){m=k;break}else h=k}}else m=l;l=f[a+8>>2]|0;if(!(l&1))n=m;else{h=f[a+64>>2]|0;b[m>>0]=26;n=GCb(h,m+1|0)|0}if(!(l&2))o=n;else{m=f[a+68>>2]|0;b[n>>0]=34;o=GCb(m,n+1|0)|0}n=f[a+52>>2]|0;if(!n)p=o;else{m=a+60|0;h=0;d=o;while(1){o=f[(f[m>>2]|0)+4+(h<<2)>>2]|0;b[d>>0]=42;e=d+1|0;i=ci[f[(f[o>>2]|0)+60>>2]&1023](o)|0;if(i>>>0>127){k=i;g=e;while(1){b[g>>0]=k|128;j=k>>>7;q=g+1|0;if(k>>>0>16383){k=j;g=q}else{r=q;s=j;break}}}else{r=e;s=i}b[r>>0]=s;g=ki[f[(f[o>>2]|0)+64>>2]&511](o,c,r+1|0)|0;h=h+1|0;if((h|0)==(n|0)){p=g;break}else d=g}}if(!(l&4))t=p;else{d=f[a+72>>2]|0;b[p>>0]=50;t=GCb(d,p+1|0)|0}if(!(l&8))u=t;else{l=f[a+76>>2]|0;b[t>>0]=58;u=GCb(l,t+1|0)|0}t=f[a+4>>2]|0;if(!(t&1)){v=u;return v|0}v=f4b(t&-2,u)|0;return v|0}function cjb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function djb(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,20584,0)|0;if(!c){c2b(b,a);return}else{Kib(a,c);return}}function ejb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function fjb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222810]|0)!=2){f[d>>2]=149752;f[d+4>>2]=107;b[d+8>>0]=0;dEb(891240,d);zDb(d)}d=534920;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function gjb(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function hjb(a){a=a|0;var c=0;c=f[a+64>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+68>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+72>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+76>>2]|0;if((c|0)==535416|(c|0)==0)return;if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c);return}function ijb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f[a>>2]=131784;c=f[a+96>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+100>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=a+92|0;d=f[c>>2]|0;if(d|0?(f[a+80>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0)ai[f[(f[h>>2]|0)+4>>2]&2047](h);g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;Emc(i)}f[c>>2]=0;c=a+76|0;i=f[c>>2]|0;if(i|0?(f[a+64>>2]|0)==0:0){d=f[i>>2]|0;if((d|0)>0){e=0;do{g=f[i+4+(e<<2)>>2]|0;if(g|0)ai[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));j=f[c>>2]|0}else j=i;Emc(j)}f[c>>2]=0;c=a+60|0;j=f[c>>2]|0;if(j|0?(f[a+48>>2]|0)==0:0){i=f[j>>2]|0;if((i|0)>0){d=0;do{e=f[j+4+(d<<2)>>2]|0;if(e|0)ai[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(i|0));k=f[c>>2]|0}else k=j;Emc(k)}f[c>>2]=0;c=a+44|0;k=f[c>>2]|0;if(k|0?(f[a+32>>2]|0)==0:0){j=f[k>>2]|0;if((j|0)>0){i=0;do{d=f[k+4+(i<<2)>>2]|0;if(d|0)ai[f[(f[d>>2]|0)+4>>2]&2047](d);i=i+1|0}while((i|0)!=(j|0));l=f[c>>2]|0}else l=k;Emc(l)}f[c>>2]=0;c=a+28|0;l=f[c>>2]|0;if(l|0?(f[a+16>>2]|0)==0:0){k=f[l>>2]|0;if((k|0)>0){j=0;do{i=f[l+4+(j<<2)>>2]|0;if(i|0)ai[f[(f[i>>2]|0)+4>>2]&2047](i);j=j+1|0}while((j|0)!=(k|0));m=f[c>>2]|0}else m=l;Emc(m)}f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}m=a&-2;a=m;if((m|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(m);f[c>>2]=0;return}function jjb(a){a=a|0;ijb(a);Emc(a);return}function kjb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function ljb(a,b){a=a|0;b=b|0;a=Bmc(104)|0;gib(a);if(!b)return a|0;zjb(b,a);return a|0}function mjb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=a+20|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+28>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((g|0)!=(d|0));f[c>>2]=0}c=a+36|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+44>>2]|0;e=0;do{h=f[g+4+(e<<2)>>2]|0;e=e+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((e|0)!=(d|0));f[c>>2]=0}c=a+52|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+60>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((g|0)!=(d|0));f[c>>2]=0}c=a+68|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+76>>2]|0;e=0;do{h=f[g+4+(e<<2)>>2]|0;e=e+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((e|0)!=(d|0));f[c>>2]=0}c=a+84|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+92>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((g|0)!=(d|0));f[c>>2]=0}c=a+8|0;d=f[c>>2]|0;do if(d&3|0){do if(d&1|0){g=f[a+96>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);if(d&2|0){e=f[a+100>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}}while(0);f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function njb(a){a=a|0;return 1}function ojb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+16|0;i=a+28|0;j=a+24|0;k=a+20|0;l=e+4|0;m=a+8|0;n=a+96|0;o=a+32|0;p=e+4|0;q=a+100|0;r=a+48|0;s=e+4|0;t=a+64|0;v=e+4|0;w=a+80|0;x=e+4|0;y=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){z=b[a>>0]|0;A=z&255;if(z<<24>>24>0){f[c>>2]=a+1;B=A;C=6}else{D=A;C=5}}else{D=0;C=5}if((C|0)==5){C=0;A=xCb(c,D)|0;if((A+-1|0)>>>0<127){B=A;C=6}else E=A}b:do if((C|0)==6){C=0;switch(B>>>3&536870911|0){case 1:{if((B&255|0)!=10){E=B;break b}A=f[i>>2]|0;do if(A){a=f[k>>2]|0;z=f[A>>2]|0;if((a|0)>=(z|0))if((z|0)==(f[j>>2]|0)){F=z;C=13;break}else{G=z;H=A;C=14;break}else{f[k>>2]=a+1;I=f[A+4+(a<<2)>>2]|0;break}}else{F=f[j>>2]|0;C=13}while(0);if((C|0)==13){C=0;uDb(h,F+1|0);A=f[i>>2]|0;G=f[A>>2]|0;H=A;C=14}if((C|0)==14){C=0;f[H>>2]=G+1;A=f[h>>2]|0;if(!A){a=Bmc(80)|0;Hib(a);J=a}else{if(f[A+64>>2]|0)pBb(A,20584,80);a=oBb(A,80,1661)|0;Hib(a);J=a}a=f[i>>2]|0;A=f[k>>2]|0;f[k>>2]=A+1;f[a+4+(A<<2)>>2]=J;I=J}A=f[c>>2]|0;if(A>>>0<(f[g>>2]|0)>>>0?(a=b[A>>0]|0,a<<24>>24>-1):0){f[c>>2]=A+1;K=a&255}else{a=wCb(c)|0;if((a|0)>-1)K=a;else{L=0;C=77;break a}}hCb(e,c,K);if((f[l>>2]|0)<0){C=26;break a}if(!(Sh[f[(f[I>>2]|0)+44>>2]&511](I,c)|0)){C=26;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{L=0;C=77;break a}break}case 2:{if((B&255|0)!=18){E=B;break b}f[m>>2]=f[m>>2]|1;a=f[n>>2]|0;if((a|0)==535416){aFa(n,535416);M=f[n>>2]|0}else M=a;if(HEb(c,M)|0)continue a;else{L=0;C=77;break a}break}case 5:{if((B&255|0)!=42){E=B;break b}a=xjb(o)|0;A=f[c>>2]|0;if(A>>>0<(f[g>>2]|0)>>>0?(z=b[A>>0]|0,z<<24>>24>-1):0){f[c>>2]=A+1;N=z&255}else{z=wCb(c)|0;if((z|0)>-1)N=z;else{L=0;C=77;break a}}hCb(e,c,N);if((f[p>>2]|0)<0){C=39;break a}if(!(Sh[f[(f[a>>2]|0)+44>>2]&511](a,c)|0)){C=39;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{L=0;C=77;break a}break}case 10:{if((B&255|0)!=82){E=B;break b}f[m>>2]=f[m>>2]|2;a=f[q>>2]|0;if((a|0)==535416){aFa(q,535416);O=f[q>>2]|0}else O=a;if(HEb(c,O)|0)continue a;else{L=0;C=77;break a}break}case 11:{if((B&255|0)!=90){E=B;break b}a=yjb(r)|0;z=f[c>>2]|0;if(z>>>0<(f[g>>2]|0)>>>0?(A=b[z>>0]|0,A<<24>>24>-1):0){f[c>>2]=z+1;P=A&255}else{A=wCb(c)|0;if((A|0)>-1)P=A;else{L=0;C=77;break a}}hCb(e,c,P);if((f[s>>2]|0)<0){C=52;break a}if(!(Sh[f[(f[a>>2]|0)+44>>2]&511](a,c)|0)){C=52;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{L=0;C=77;break a}break}case 12:{if((B&255|0)!=98){E=B;break b}a=yjb(t)|0;A=f[c>>2]|0;if(A>>>0<(f[g>>2]|0)>>>0?(z=b[A>>0]|0,z<<24>>24>-1):0){f[c>>2]=A+1;Q=z&255}else{z=wCb(c)|0;if((z|0)>-1)Q=z;else{L=0;C=77;break a}}hCb(e,c,Q);if((f[v>>2]|0)<0){C=61;break a}if(!(Sh[f[(f[a>>2]|0)+44>>2]&511](a,c)|0)){C=61;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{L=0;C=77;break a}break}case 13:{if((B&255|0)!=106){E=B;break b}a=yjb(w)|0;z=f[c>>2]|0;if(z>>>0<(f[g>>2]|0)>>>0?(A=b[z>>0]|0,A<<24>>24>-1):0){f[c>>2]=z+1;R=A&255}else{A=wCb(c)|0;if((A|0)>-1)R=A;else{L=0;C=77;break a}}hCb(e,c,R);if((f[x>>2]|0)<0){C=70;break a}if(!(Sh[f[(f[a>>2]|0)+44>>2]&511](a,c)|0)){C=70;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{L=0;C=77;break a}break}default:{E=B;break b}}}while(0);if(!E){L=1;C=77;break}a=f[y>>2]|0;if(!(a&1))S=AHa(y)|0;else S=a&-2;if(!(b4b(c,E,S)|0)){L=0;C=77;break}}if((C|0)==26){L=0;u=d;return L|0}else if((C|0)==39){L=0;u=d;return L|0}else if((C|0)==52){L=0;u=d;return L|0}else if((C|0)==61){L=0;u=d;return L|0}else if((C|0)==70){L=0;u=d;return L|0}else if((C|0)==77){u=d;return L|0}return 0}function pjb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=f[a+20>>2]|0;e=c+d|0;if(!c)g=e;else{d=a+28|0;h=0;i=e;while(1){e=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;j=ci[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(c|0)){g=e;break}else i=e}}i=f[a+36>>2]|0;c=i+g|0;if(!i)k=c;else{g=a+44|0;h=0;d=c;while(1){c=f[(f[g>>2]|0)+4+(h<<2)>>2]|0;e=ci[f[(f[c>>2]|0)+48>>2]&1023](c)|0;c=e+d+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(i|0)){k=c;break}else d=c}}d=f[a+52>>2]|0;i=d+k|0;if(!d)l=i;else{k=a+60|0;h=0;g=i;while(1){i=f[(f[k>>2]|0)+4+(h<<2)>>2]|0;c=ci[f[(f[i>>2]|0)+48>>2]&1023](i)|0;i=c+g+((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(d|0)){l=i;break}else g=i}}g=f[a+68>>2]|0;d=g+l|0;if(!g)m=d;else{l=a+76|0;h=0;k=d;while(1){d=f[(f[l>>2]|0)+4+(h<<2)>>2]|0;i=ci[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=i+k+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(g|0)){m=d;break}else k=d}}k=f[a+84>>2]|0;g=k+m|0;if(!k)n=g;else{m=a+92|0;h=0;l=g;while(1){g=f[(f[m>>2]|0)+4+(h<<2)>>2]|0;d=ci[f[(f[g>>2]|0)+48>>2]&1023](g)|0;g=d+l+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(k|0)){n=g;break}else l=g}}l=f[a+8>>2]|0;if(!(l&3)){o=n;p=a+12|0;f[p>>2]=o;return o|0}if(!(l&1))q=n;else{k=f[a+96>>2]|0;h=b[k+11>>0]|0;m=h<<24>>24<0?f[k+4>>2]|0:h&255;q=n+1+m+((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(l&2)){o=q;p=a+12|0;f[p>>2]=o;return o|0}l=f[a+100>>2]|0;m=b[l+11>>0]|0;n=m<<24>>24<0?f[l+4>>2]|0:m&255;o=q+1+n+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0;p=a+12|0;f[p>>2]=o;return o|0}function qjb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=f[a+20>>2]|0;if(c|0){d=a+28|0;e=0;do{GEb(1,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+8>>2]|0;if(c&1|0)BEb(2,f[a+96>>2]|0,b);e=f[a+36>>2]|0;if(e|0){d=a+44|0;g=0;do{GEb(5,f[(f[d>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(e|0))}if(c&2|0)BEb(10,f[a+100>>2]|0,b);c=f[a+52>>2]|0;if(c|0){e=a+60|0;g=0;do{GEb(11,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(c|0))}c=f[a+68>>2]|0;if(c|0){g=a+76|0;e=0;do{GEb(12,f[(f[g>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+84>>2]|0;if(c|0){e=a+92|0;g=0;do{GEb(13,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(c|0))}c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function rjb(a){a=a|0;return f[a+12>>2]|0}function sjb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;e=f[a+20>>2]|0;if(!e)g=d;else{h=a+28|0;i=d;d=0;while(1){j=f[(f[h>>2]|0)+4+(d<<2)>>2]|0;b[i>>0]=10;k=i+1|0;l=ci[f[(f[j>>2]|0)+60>>2]&1023](j)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=k;r=l}b[q>>0]=r;n=ki[f[(f[j>>2]|0)+64>>2]&511](j,c,q+1|0)|0;d=d+1|0;if((d|0)==(e|0)){g=n;break}else i=n}}i=f[a+8>>2]|0;if(!(i&1))s=g;else{e=f[a+96>>2]|0;b[g>>0]=18;s=GCb(e,g+1|0)|0}g=f[a+36>>2]|0;if(!g)t=s;else{e=a+44|0;d=0;q=s;while(1){s=f[(f[e>>2]|0)+4+(d<<2)>>2]|0;b[q>>0]=42;r=q+1|0;h=ci[f[(f[s>>2]|0)+60>>2]&1023](s)|0;if(h>>>0>127){n=h;m=r;while(1){b[m>>0]=n|128;o=n>>>7;p=m+1|0;if(n>>>0>16383){n=o;m=p}else{u=p;v=o;break}}}else{u=r;v=h}b[u>>0]=v;m=ki[f[(f[s>>2]|0)+64>>2]&511](s,c,u+1|0)|0;d=d+1|0;if((d|0)==(g|0)){t=m;break}else q=m}}if(!(i&2))w=t;else{i=f[a+100>>2]|0;b[t>>0]=82;w=GCb(i,t+1|0)|0}t=f[a+52>>2]|0;if(!t)x=w;else{i=a+60|0;q=0;g=w;while(1){w=f[(f[i>>2]|0)+4+(q<<2)>>2]|0;b[g>>0]=90;d=g+1|0;u=ci[f[(f[w>>2]|0)+60>>2]&1023](w)|0;if(u>>>0>127){v=u;e=d;while(1){b[e>>0]=v|128;m=v>>>7;n=e+1|0;if(v>>>0>16383){v=m;e=n}else{y=n;z=m;break}}}else{y=d;z=u}b[y>>0]=z;e=ki[f[(f[w>>2]|0)+64>>2]&511](w,c,y+1|0)|0;q=q+1|0;if((q|0)==(t|0)){x=e;break}else g=e}}g=f[a+68>>2]|0;if(!g)A=x;else{t=a+76|0;q=0;y=x;while(1){x=f[(f[t>>2]|0)+4+(q<<2)>>2]|0;b[y>>0]=98;z=y+1|0;i=ci[f[(f[x>>2]|0)+60>>2]&1023](x)|0;if(i>>>0>127){e=i;v=z;while(1){b[v>>0]=e|128;s=e>>>7;h=v+1|0;if(e>>>0>16383){e=s;v=h}else{B=h;C=s;break}}}else{B=z;C=i}b[B>>0]=C;v=ki[f[(f[x>>2]|0)+64>>2]&511](x,c,B+1|0)|0;q=q+1|0;if((q|0)==(g|0)){A=v;break}else y=v}}y=f[a+84>>2]|0;if(!y)D=A;else{g=a+92|0;q=0;B=A;while(1){A=f[(f[g>>2]|0)+4+(q<<2)>>2]|0;b[B>>0]=106;C=B+1|0;t=ci[f[(f[A>>2]|0)+60>>2]&1023](A)|0;if(t>>>0>127){v=t;e=C;while(1){b[e>>0]=v|128;w=v>>>7;u=e+1|0;if(v>>>0>16383){v=w;e=u}else{E=u;F=w;break}}}else{E=C;F=t}b[E>>0]=F;e=ki[f[(f[A>>2]|0)+64>>2]&511](A,c,E+1|0)|0;q=q+1|0;if((q|0)==(y|0)){D=e;break}else B=e}}B=f[a+4>>2]|0;if(!(B&1)){G=D;return G|0}G=f4b(B&-2,D)|0;return G|0}function tjb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function ujb(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,20600,0)|0;if(!c){c2b(b,a);return}else{hib(a,c);return}}function vjb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function wjb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222810]|0)!=2){f[d>>2]=149752;f[d+4>>2]=107;b[d+8>>0]=0;dEb(891240,d);zDb(d)}d=534944;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function xjb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=a+12|0;c=f[b>>2]|0;do if(!c){d=a+4|0;e=f[a+8>>2]|0;g=6}else{h=a+4|0;i=f[h>>2]|0;j=f[c>>2]|0;if((i|0)>=(j|0))if((j|0)==(f[a+8>>2]|0)){d=h;e=j;g=6;break}else{k=h;l=j;m=c;break}f[h>>2]=i+1;n=f[c+4+(i<<2)>>2]|0;return n|0}while(0);if((g|0)==6){uDb(a,e+1|0);e=f[b>>2]|0;k=d;l=f[e>>2]|0;m=e}f[m>>2]=l+1;l=f[a>>2]|0;if(!l){a=Bmc(144)|0;vhb(a);o=a}else{if(f[l+64>>2]|0)pBb(l,20504,144);a=oBb(l,144,1662)|0;vhb(a);o=a}a=f[b>>2]|0;b=f[k>>2]|0;f[k>>2]=b+1;f[a+4+(b<<2)>>2]=o;n=o;return n|0}function yjb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=a+12|0;c=f[b>>2]|0;do if(!c){d=a+4|0;e=f[a+8>>2]|0;g=6}else{h=a+4|0;i=f[h>>2]|0;j=f[c>>2]|0;if((i|0)>=(j|0))if((j|0)==(f[a+8>>2]|0)){d=h;e=j;g=6;break}else{k=h;l=j;m=c;break}f[h>>2]=i+1;n=f[c+4+(i<<2)>>2]|0;return n|0}while(0);if((g|0)==6){uDb(a,e+1|0);e=f[b>>2]|0;k=d;l=f[e>>2]|0;m=e}f[m>>2]=l+1;l=f[a>>2]|0;if(!l){a=Bmc(28)|0;lib(a);o=a}else{if(f[l+64>>2]|0)pBb(l,20568,32);a=oBb(l,32,1663)|0;lib(a);o=a}a=f[b>>2]|0;b=f[k>>2]|0;f[k>>2]=b+1;f[a+4+(b<<2)>>2]=o;n=o;return n|0}function zjb(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function Ajb(a,b){a=a|0;b=b|0;Nhb(b,a);return}function Bjb(a){a=a|0;ai[f[f[a>>2]>>2]&2047](a);return}function Cjb(a,b){a=a|0;b=b|0;qfb(b,a);return}function Djb(a){a=a|0;ai[f[f[a>>2]>>2]&2047](a);return}function Ejb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=131460;f[a+4>>2]=0;f[a+8>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[e+28>>2]=0;if((a|0)!=534328?(f[222814]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=111;b[d+8>>0]=0;dEb(891256,d);zDb(d)}f[a+12>>2]=0;f[a+48>>2]=535416;f[a+52>>2]=535416;f[a+56>>2]=535416;f[a+60>>2]=535416;d=a+64|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;u=c;return}function Fjb(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function Gjb(a){a=a|0;var c=0;c=f[a+48>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+52>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+56>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+60>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}if((a|0)==534328)return;c=f[a+64>>2]|0;if(!c)return;ai[f[(f[c>>2]|0)+4>>2]&2047](c);return}function Hjb(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function Ijb(a){a=a|0;var c=0;c=f[a+88>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+92>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+96>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+100>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}if((a|0)==534088)return;c=f[a+104>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+108>>2]|0;if(!c)return;ai[f[(f[c>>2]|0)+4>>2]&2047](c);return}function Jjb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222811]|0)==2){u=a;return}f[c>>2]=149752;f[c+4>>2]=108;b[c+8>>0]=0;dEb(891244,c);zDb(c);u=a;return}function Kjb(){var a=0,b=0,c=0;a=f[222824]|0;if(!a){b=Bmc(4)|0;QR(b);f[222824]=b;c=b}else c=a;f[222823]=c;return}function Ljb(){var a=0,b=0;a=f[222824]|0;if(a|0){b=a;return b|0}a=Bmc(4)|0;QR(a);f[222824]=a;b=a;return b|0}function Mjb(){var a=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;a=u;u=u+16|0;c=a+8|0;d=a;zT(c,131884);if((b[535008]|0)==0?src(535008)|0:0){b[1161071]=1;Ad(1665,1161071,x|0)|0}f[d>>2]=0;f[d+4>>2]=0;e=YG(d,5)|0;b[e>>0]=b[442633]|0;b[e+1>>0]=b[442634]|0;b[e+2>>0]=b[442635]|0;b[e+3>>0]=b[442636]|0;b[e+4>>0]=b[442637]|0;xCa(d,1080);ZG(d);f[d>>2]=0;f[d+4>>2]=0;e=YG(d,5)|0;b[e>>0]=b[442639]|0;b[e+1>>0]=b[442640]|0;b[e+2>>0]=b[442641]|0;b[e+3>>0]=b[442642]|0;b[e+4>>0]=b[442643]|0;xCa(d,1081);ZG(d);f[d>>2]=0;f[d+4>>2]=0;e=YG(d,6)|0;b[e>>0]=b[443891]|0;b[e+1>>0]=b[443892]|0;b[e+2>>0]=b[443893]|0;b[e+3>>0]=b[443894]|0;b[e+4>>0]=b[443895]|0;b[e+5>>0]=b[443896]|0;xCa(d,1082);ZG(d);f[d>>2]=0;f[d+4>>2]=0;e=YG(d,7)|0;b[e>>0]=b[444586]|0;b[e+1>>0]=b[444587]|0;b[e+2>>0]=b[444588]|0;b[e+3>>0]=b[444589]|0;b[e+4>>0]=b[444590]|0;b[e+5>>0]=b[444591]|0;b[e+6>>0]=b[444592]|0;xCa(d,1083);ZG(d);f[d>>2]=0;f[d+4>>2]=0;e=YG(d,7)|0;b[e>>0]=b[446779]|0;b[e+1>>0]=b[446780]|0;b[e+2>>0]=b[446781]|0;b[e+3>>0]=b[446782]|0;b[e+4>>0]=b[446783]|0;b[e+5>>0]=b[446784]|0;b[e+6>>0]=b[446785]|0;xCa(d,1084);ZG(d);f[d>>2]=0;f[d+4>>2]=0;e=YG(d,6)|0;b[e>>0]=b[443754]|0;b[e+1>>0]=b[443755]|0;b[e+2>>0]=b[443756]|0;b[e+3>>0]=b[443757]|0;b[e+4>>0]=b[443758]|0;b[e+5>>0]=b[443759]|0;xCa(d,1085);ZG(d);f[d>>2]=0;f[d+4>>2]=0;e=YG(d,6)|0;b[e>>0]=b[442645]|0;b[e+1>>0]=b[442646]|0;b[e+2>>0]=b[442647]|0;b[e+3>>0]=b[442648]|0;b[e+4>>0]=b[442649]|0;b[e+5>>0]=b[442650]|0;xCa(d,1086);ZG(d);f[d>>2]=0;f[d+4>>2]=0;e=YG(d,13)|0;g=442652;h=e+13|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));xCa(d,1087);ZG(d);f[d>>2]=0;f[d+4>>2]=0;e=YG(d,11)|0;g=444072;h=e+11|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));xCa(d,1088);ZG(d);f[d>>2]=0;f[d+4>>2]=0;e=YG(d,13)|0;g=442666;h=e+13|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));xCa(d,1089);ZG(d);f[d>>2]=0;f[d+4>>2]=0;i=YG(d,7)|0;b[i>>0]=b[443971]|0;b[i+1>>0]=b[443972]|0;b[i+2>>0]=b[443973]|0;b[i+3>>0]=b[443974]|0;b[i+4>>0]=b[443975]|0;b[i+5>>0]=b[443976]|0;b[i+6>>0]=b[443977]|0;xCa(d,1090);ZG(d);f[d>>2]=0;f[d+4>>2]=0;e=YG(d,10)|0;g=442680;h=e+10|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));xCa(d,1090);ZG(d);f[d>>2]=0;f[d+4>>2]=0;e=YG(d,12)|0;g=442691;h=e+12|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));xCa(d,1090);ZG(d);f[d>>2]=0;f[d+4>>2]=0;i=YG(d,3)|0;b[i>>0]=b[442704]|0;b[i+1>>0]=b[442705]|0;b[i+2>>0]=b[442706]|0;xCa(d,1091);ZG(d);f[d>>2]=0;f[d+4>>2]=0;e=YG(d,12)|0;g=442708;h=e+12|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));xCa(d,1092);ZG(d);f[d>>2]=0;f[d+4>>2]=0;i=YG(d,7)|0;b[i>>0]=b[446607]|0;b[i+1>>0]=b[446608]|0;b[i+2>>0]=b[446609]|0;b[i+3>>0]=b[446610]|0;b[i+4>>0]=b[446611]|0;b[i+5>>0]=b[446612]|0;b[i+6>>0]=b[446613]|0;xCa(d,1093);ZG(d);f[d>>2]=0;f[d+4>>2]=0;i=YG(d,3)|0;b[i>>0]=b[442721]|0;b[i+1>>0]=b[442722]|0;b[i+2>>0]=b[442723]|0;xCa(d,1094);ZG(d);f[d>>2]=0;f[d+4>>2]=0;i=YG(d,4)|0;b[i>>0]=82;b[i+1>>0]=101;b[i+2>>0]=76;b[i+3>>0]=85;xCa(d,1095);ZG(d);f[d>>2]=0;f[d+4>>2]=0;i=YG(d,5)|0;b[i>>0]=b[442725]|0;b[i+1>>0]=b[442726]|0;b[i+2>>0]=b[442727]|0;b[i+3>>0]=b[442728]|0;b[i+4>>0]=b[442729]|0;xCa(d,1096);ZG(d);f[d>>2]=0;f[d+4>>2]=0;e=YG(d,13)|0;g=442731;h=e+13|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));xCa(d,1097);ZG(d);f[d>>2]=0;f[d+4>>2]=0;i=YG(d,5)|0;b[i>>0]=b[442745]|0;b[i+1>>0]=b[442746]|0;b[i+2>>0]=b[442747]|0;b[i+3>>0]=b[442748]|0;b[i+4>>0]=b[442749]|0;xCa(d,1097);ZG(d);f[d>>2]=0;f[d+4>>2]=0;i=YG(d,7)|0;b[i>>0]=b[442751]|0;b[i+1>>0]=b[442752]|0;b[i+2>>0]=b[442753]|0;b[i+3>>0]=b[442754]|0;b[i+4>>0]=b[442755]|0;b[i+5>>0]=b[442756]|0;b[i+6>>0]=b[442757]|0;xCa(d,1098);ZG(d);f[d>>2]=0;f[d+4>>2]=0;i=YG(d,4)|0;b[i>>0]=84;b[i+1>>0]=97;b[i+2>>0]=110;b[i+3>>0]=72;xCa(d,1099);ZG(d);f[d>>2]=0;f[d+4>>2]=0;i=YG(d,3)|0;b[i>>0]=b[442759]|0;b[i+1>>0]=b[442760]|0;b[i+2>>0]=b[442761]|0;xCa(d,1100);ZG(d);f[d>>2]=0;f[d+4>>2]=0;i=YG(d,4)|0;b[i>>0]=66;b[i+1>>0]=78;b[i+2>>0]=76;b[i+3>>0]=76;xCa(d,1101);ZG(d);f[d>>2]=0;f[d+4>>2]=0;i=YG(d,6)|0;b[i>>0]=b[442763]|0;b[i+1>>0]=b[442764]|0;b[i+2>>0]=b[442765]|0;b[i+3>>0]=b[442766]|0;b[i+4>>0]=b[442767]|0;b[i+5>>0]=b[442768]|0;xCa(d,1102);ZG(d);f[d>>2]=0;f[d+4>>2]=0;i=YG(d,5)|0;b[i>>0]=b[467672]|0;b[i+1>>0]=b[467673]|0;b[i+2>>0]=b[467674]|0;b[i+3>>0]=b[467675]|0;b[i+4>>0]=b[467676]|0;xCa(d,1103);ZG(d);f[d>>2]=0;f[d+4>>2]=0;e=YG(d,9)|0;g=444021;h=e+9|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));xCa(d,1104);ZG(d);f[d>>2]=0;f[d+4>>2]=0;e=YG(d,9)|0;g=442770;h=e+9|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));xCa(d,1105);ZG(d);f[d>>2]=0;f[d+4>>2]=0;i=YG(d,7)|0;b[i>>0]=b[447720]|0;b[i+1>>0]=b[447721]|0;b[i+2>>0]=b[447722]|0;b[i+3>>0]=b[447723]|0;b[i+4>>0]=b[447724]|0;b[i+5>>0]=b[447725]|0;b[i+6>>0]=b[447726]|0;xCa(d,1106);ZG(d);f[d>>2]=0;f[d+4>>2]=0;i=YG(d,8)|0;j=i;b[j>>0]=73;b[j+1>>0]=100;b[j+2>>0]=101;b[j+3>>0]=110;j=i+4|0;b[j>>0]=116;b[j+1>>0]=105;b[j+2>>0]=116;b[j+3>>0]=121;xCa(d,1106);ZG(d);f[d>>2]=0;f[d+4>>2]=0;j=YG(d,7)|0;b[j>>0]=b[442780]|0;b[j+1>>0]=b[442781]|0;b[j+2>>0]=b[442782]|0;b[j+3>>0]=b[442783]|0;b[j+4>>0]=b[442784]|0;b[j+5>>0]=b[442785]|0;b[j+6>>0]=b[442786]|0;xCa(d,1106);ZG(d);f[d>>2]=0;f[d+4>>2]=0;j=YG(d,4)|0;b[j>>0]=67;b[j+1>>0]=114;b[j+2>>0]=111;b[j+3>>0]=112;xCa(d,1107);ZG(d);f[d>>2]=0;f[d+4>>2]=0;j=YG(d,7)|0;b[j>>0]=b[443787]|0;b[j+1>>0]=b[443788]|0;b[j+2>>0]=b[443789]|0;b[j+3>>0]=b[443790]|0;b[j+4>>0]=b[443791]|0;b[j+5>>0]=b[443792]|0;b[j+6>>0]=b[443793]|0;xCa(d,1108);ZG(d);f[d>>2]=0;f[d+4>>2]=0;j=YG(d,7)|0;b[j>>0]=b[443834]|0;b[j+1>>0]=b[443835]|0;b[j+2>>0]=b[443836]|0;b[j+3>>0]=b[443837]|0;b[j+4>>0]=b[443838]|0;b[j+5>>0]=b[443839]|0;b[j+6>>0]=b[443840]|0;xCa(d,1109);ZG(d);f[d>>2]=0;f[d+4>>2]=0;e=YG(d,14)|0;g=442788;h=e+14|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));xCa(d,1110);ZG(d);f[d>>2]=0;f[d+4>>2]=0;j=YG(d,8)|0;i=j;b[i>>0]=80;b[i+1>>0]=114;b[i+2>>0]=105;b[i+3>>0]=111;i=j+4|0;b[i>>0]=114;b[i+1>>0]=66;b[i+2>>0]=111;b[i+3>>0]=120;xCa(d,1111);ZG(d);f[d>>2]=0;f[d+4>>2]=0;e=YG(d,17)|0;g=442803;h=e+17|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));xCa(d,1111);ZG(d);f[d>>2]=0;f[d+4>>2]=0;i=YG(d,5)|0;b[i>>0]=b[443864]|0;b[i+1>>0]=b[443865]|0;b[i+2>>0]=b[443866]|0;b[i+3>>0]=b[443867]|0;b[i+4>>0]=b[443868]|0;xCa(d,1112);ZG(d);f[d>>2]=0;f[d+4>>2]=0;i=YG(d,6)|0;b[i>>0]=b[443725]|0;b[i+1>>0]=b[443726]|0;b[i+2>>0]=b[443727]|0;b[i+3>>0]=b[443728]|0;b[i+4>>0]=b[443729]|0;b[i+5>>0]=b[443730]|0;xCa(d,1113);ZG(d);f[d>>2]=0;f[d+4>>2]=0;e=YG(d,15)|0;g=465567;h=e+15|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));xCa(d,1114);ZG(d);f[d>>2]=0;f[d+4>>2]=0;e=YG(d,13)|0;g=442821;h=e+13|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));xCa(d,1115);ZG(d);f[d>>2]=0;f[d+4>>2]=0;e=YG(d,9)|0;g=442835;h=e+9|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));xCa(d,1115);ZG(d);f[d>>2]=0;f[d+4>>2]=0;g=YG(d,5)|0;b[g>>0]=b[442845]|0;b[g+1>>0]=b[442846]|0;b[g+2>>0]=b[442847]|0;b[g+3>>0]=b[442848]|0;b[g+4>>0]=b[442849]|0;xCa(d,1116);ZG(d);f[d>>2]=0;f[d+4>>2]=0;g=YG(d,7)|0;b[g>>0]=b[442851]|0;b[g+1>>0]=b[442852]|0;b[g+2>>0]=b[442853]|0;b[g+3>>0]=b[442854]|0;b[g+4>>0]=b[442855]|0;b[g+5>>0]=b[442856]|0;b[g+6>>0]=b[442857]|0;xCa(d,1117);ZG(d);f[d>>2]=0;f[d+4>>2]=0;g=YG(d,8)|0;e=g;b[e>>0]=80;b[e+1>>0]=114;b[e+2>>0]=111;b[e+3>>0]=112;e=g+4|0;b[e>>0]=111;b[e+1>>0]=115;b[e+2>>0]=97;b[e+3>>0]=108;xCa(d,1118);ZG(d);f[d>>2]=0;f[d+4>>2]=0;e=YG(d,5)|0;b[e>>0]=b[468965]|0;b[e+1>>0]=b[468966]|0;b[e+2>>0]=b[468967]|0;b[e+3>>0]=b[468968]|0;b[e+4>>0]=b[468969]|0;xCa(d,1119);ZG(d);f[d>>2]=0;f[d+4>>2]=0;e=YG(d,4)|0;b[e>>0]=76;b[e+1>>0]=83;b[e+2>>0]=84;b[e+3>>0]=77;xCa(d,1120);ZG(d);if(!(f[c+4>>2]|0)){u=a;return}u=a;return}function Njb(a){a=a|0;b[a>>0]=0;bEb();return}function Ojb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;Qqb(d,b);b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];a=b;if(!b){e=d;g=a}else{b=a+4|0;f[b>>2]=(f[b>>2]|0)+1;e=d;g=f[d>>2]|0}if(!g){f[e>>2]=0;u=c;return}d=g+4|0;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1){f[e>>2]=0;u=c;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[e>>2]=0;u=c;return}function Pjb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;Fmb(d,b);b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];a=b;if(!b){e=d;g=a}else{b=a+4|0;f[b>>2]=(f[b>>2]|0)+1;e=d;g=f[d>>2]|0}if(!g){f[e>>2]=0;u=c;return}d=g+4|0;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1){f[e>>2]=0;u=c;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[e>>2]=0;u=c;return}function Qjb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;gxb(d,b);b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];a=b;if(!b){e=d;g=a}else{b=a+4|0;f[b>>2]=(f[b>>2]|0)+1;e=d;g=f[d>>2]|0}if(!g){f[e>>2]=0;u=c;return}d=g+4|0;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1){f[e>>2]=0;u=c;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[e>>2]=0;u=c;return}function Rjb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;Krb(d,b);b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];a=b;if(!b){e=d;g=a}else{b=a+4|0;f[b>>2]=(f[b>>2]|0)+1;e=d;g=f[d>>2]|0}if(!g){f[e>>2]=0;u=c;return}d=g+4|0;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1){f[e>>2]=0;u=c;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[e>>2]=0;u=c;return}function Sjb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;vxb(d,b);b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];a=b;if(!b){e=d;g=a}else{b=a+4|0;f[b>>2]=(f[b>>2]|0)+1;e=d;g=f[d>>2]|0}if(!g){f[e>>2]=0;u=c;return}d=g+4|0;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1){f[e>>2]=0;u=c;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[e>>2]=0;u=c;return}function Tjb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;Job(d,b);b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];a=b;if(!b){e=d;g=a}else{b=a+4|0;f[b>>2]=(f[b>>2]|0)+1;e=d;g=f[d>>2]|0}if(!g){f[e>>2]=0;u=c;return}d=g+4|0;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1){f[e>>2]=0;u=c;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[e>>2]=0;u=c;return}function Ujb(a,b){a=a|0;b=b|0;Vob(a,b);return}function Vjb(a,b){a=a|0;b=b|0;$wb(a,b);return}function Wjb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;Xmb(d,b);b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];a=b;if(!b){e=d;g=a}else{b=a+4|0;f[b>>2]=(f[b>>2]|0)+1;e=d;g=f[d>>2]|0}if(!g){f[e>>2]=0;u=c;return}d=g+4|0;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1){f[e>>2]=0;u=c;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[e>>2]=0;u=c;return}function Xjb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;xnb(d,b);b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];a=b;if(!b){e=d;g=a}else{b=a+4|0;f[b>>2]=(f[b>>2]|0)+1;e=d;g=f[d>>2]|0}if(!g){f[e>>2]=0;u=c;return}d=g+4|0;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1){f[e>>2]=0;u=c;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[e>>2]=0;u=c;return}function Yjb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;Exb(d,b);b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];a=b;if(!b){e=d;g=a}else{b=a+4|0;f[b>>2]=(f[b>>2]|0)+1;e=d;g=f[d>>2]|0}if(!g){f[e>>2]=0;u=c;return}d=g+4|0;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1){f[e>>2]=0;u=c;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[e>>2]=0;u=c;return}function Zjb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;pmb(d,b);b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];a=b;if(!b){e=d;g=a}else{b=a+4|0;f[b>>2]=(f[b>>2]|0)+1;e=d;g=f[d>>2]|0}if(!g){f[e>>2]=0;u=c;return}d=g+4|0;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1){f[e>>2]=0;u=c;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[e>>2]=0;u=c;return}function _jb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;hqb(d,b);b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];a=b;if(!b){e=d;g=a}else{b=a+4|0;f[b>>2]=(f[b>>2]|0)+1;e=d;g=f[d>>2]|0}if(!g){f[e>>2]=0;u=c;return}d=g+4|0;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1){f[e>>2]=0;u=c;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[e>>2]=0;u=c;return}function $jb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;csb(d,b);b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];a=b;if(!b){e=d;g=a}else{b=a+4|0;f[b>>2]=(f[b>>2]|0)+1;e=d;g=f[d>>2]|0}if(!g){f[e>>2]=0;u=c;return}d=g+4|0;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1){f[e>>2]=0;u=c;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[e>>2]=0;u=c;return}function akb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;Ktb(d,b);b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];a=b;if(!b){e=d;g=a}else{b=a+4|0;f[b>>2]=(f[b>>2]|0)+1;e=d;g=f[d>>2]|0}if(!g){f[e>>2]=0;u=c;return}d=g+4|0;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1){f[e>>2]=0;u=c;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[e>>2]=0;u=c;return}function bkb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;jub(d,b);b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];a=b;if(!b){e=d;g=a}else{b=a+4|0;f[b>>2]=(f[b>>2]|0)+1;e=d;g=f[d>>2]|0}if(!g){f[e>>2]=0;u=c;return}d=g+4|0;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1){f[e>>2]=0;u=c;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[e>>2]=0;u=c;return}function ckb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;zub(d,b);b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];a=b;if(!b){e=d;g=a}else{b=a+4|0;f[b>>2]=(f[b>>2]|0)+1;e=d;g=f[d>>2]|0}if(!g){f[e>>2]=0;u=c;return}d=g+4|0;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1){f[e>>2]=0;u=c;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[e>>2]=0;u=c;return}function dkb(a,b){a=a|0;b=b|0;Fwb(a,b);return}function ekb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;dvb(d,b);b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];a=b;if(!b){e=d;g=a}else{b=a+4|0;f[b>>2]=(f[b>>2]|0)+1;e=d;g=f[d>>2]|0}if(!g){f[e>>2]=0;u=c;return}d=g+4|0;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1){f[e>>2]=0;u=c;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[e>>2]=0;u=c;return}function fkb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;Pub(d,b);b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];a=b;if(!b){e=d;g=a}else{b=a+4|0;f[b>>2]=(f[b>>2]|0)+1;e=d;g=f[d>>2]|0}if(!g){f[e>>2]=0;u=c;return}d=g+4|0;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1){f[e>>2]=0;u=c;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[e>>2]=0;u=c;return}function gkb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;tvb(d,b);b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];a=b;if(!b){e=d;g=a}else{b=a+4|0;f[b>>2]=(f[b>>2]|0)+1;e=d;g=f[d>>2]|0}if(!g){f[e>>2]=0;u=c;return}d=g+4|0;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1){f[e>>2]=0;u=c;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[e>>2]=0;u=c;return}function hkb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;Zvb(d,b);b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];a=b;if(!b){e=d;g=a}else{b=a+4|0;f[b>>2]=(f[b>>2]|0)+1;e=d;g=f[d>>2]|0}if(!g){f[e>>2]=0;u=c;return}d=g+4|0;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1){f[e>>2]=0;u=c;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[e>>2]=0;u=c;return}function ikb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;Jvb(d,b);b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];a=b;if(!b){e=d;g=a}else{b=a+4|0;f[b>>2]=(f[b>>2]|0)+1;e=d;g=f[d>>2]|0}if(!g){f[e>>2]=0;u=c;return}d=g+4|0;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1){f[e>>2]=0;u=c;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[e>>2]=0;u=c;return}function jkb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;nwb(d,b);b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];a=b;if(!b){e=d;g=a}else{b=a+4|0;f[b>>2]=(f[b>>2]|0)+1;e=d;g=f[d>>2]|0}if(!g){f[e>>2]=0;u=c;return}d=g+4|0;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1){f[e>>2]=0;u=c;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[e>>2]=0;u=c;return}function kkb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;zpb(d,b);b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];a=b;if(!b){e=d;g=a}else{b=a+4|0;f[b>>2]=(f[b>>2]|0)+1;e=d;g=f[d>>2]|0}if(!g){f[e>>2]=0;u=c;return}d=g+4|0;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1){f[e>>2]=0;u=c;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[e>>2]=0;u=c;return}function lkb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;qpb(d,b);b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];a=b;if(!b){e=d;g=a}else{b=a+4|0;f[b>>2]=(f[b>>2]|0)+1;e=d;g=f[d>>2]|0}if(!g){f[e>>2]=0;u=c;return}d=g+4|0;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1){f[e>>2]=0;u=c;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[e>>2]=0;u=c;return}function mkb(a,b){a=a|0;b=b|0;Ctb(a,b);return}function nkb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;Onb(d,b);b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];a=b;if(!b){e=d;g=a}else{b=a+4|0;f[b>>2]=(f[b>>2]|0)+1;e=d;g=f[d>>2]|0}if(!g){f[e>>2]=0;u=c;return}d=g+4|0;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1){f[e>>2]=0;u=c;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[e>>2]=0;u=c;return}function okb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;frb(d,b);b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];a=b;if(!b){e=d;g=a}else{b=a+4|0;f[b>>2]=(f[b>>2]|0)+1;e=d;g=f[d>>2]|0}if(!g){f[e>>2]=0;u=c;return}d=g+4|0;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1){f[e>>2]=0;u=c;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[e>>2]=0;u=c;return}function pkb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;bpb(d,b);b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];a=b;if(!b){e=d;g=a}else{b=a+4|0;f[b>>2]=(f[b>>2]|0)+1;e=d;g=f[d>>2]|0}if(!g){f[e>>2]=0;u=c;return}d=g+4|0;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1){f[e>>2]=0;u=c;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[e>>2]=0;u=c;return}function qkb(a,b){a=a|0;b=b|0;ttb(a,b);return}function rkb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;yqb(d,b);b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];a=b;if(!b){e=d;g=a}else{b=a+4|0;f[b>>2]=(f[b>>2]|0)+1;e=d;g=f[d>>2]|0}if(!g){f[e>>2]=0;u=c;return}d=g+4|0;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1){f[e>>2]=0;u=c;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[e>>2]=0;u=c;return}function skb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;wob(d,b);b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];a=b;if(!b){e=d;g=a}else{b=a+4|0;f[b>>2]=(f[b>>2]|0)+1;e=d;g=f[d>>2]|0}if(!g){f[e>>2]=0;u=c;return}d=g+4|0;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1){f[e>>2]=0;u=c;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[e>>2]=0;u=c;return}function tkb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;Vrb(d,b);b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];a=b;if(!b){e=d;g=a}else{b=a+4|0;f[b>>2]=(f[b>>2]|0)+1;e=d;g=f[d>>2]|0}if(!g){f[e>>2]=0;u=c;return}d=g+4|0;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1){f[e>>2]=0;u=c;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[e>>2]=0;u=c;return}function ukb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;osb(d,b);b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];a=b;if(!b){e=d;g=a}else{b=a+4|0;f[b>>2]=(f[b>>2]|0)+1;e=d;g=f[d>>2]|0}if(!g){f[e>>2]=0;u=c;return}d=g+4|0;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1){f[e>>2]=0;u=c;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[e>>2]=0;u=c;return}function vkb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;Mmb(d,b);b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];a=b;if(!b){e=d;g=a}else{b=a+4|0;f[b>>2]=(f[b>>2]|0)+1;e=d;g=f[d>>2]|0}if(!g){f[e>>2]=0;u=c;return}d=g+4|0;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1){f[e>>2]=0;u=c;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[e>>2]=0;u=c;return}function wkb(a,b){a=a|0;b=b|0;iub(a,b);return}function xkb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;hob(d,b);b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];a=b;if(!b){e=d;g=a}else{b=a+4|0;f[b>>2]=(f[b>>2]|0)+1;e=d;g=f[d>>2]|0}if(!g){f[e>>2]=0;u=c;return}d=g+4|0;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1){f[e>>2]=0;u=c;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[e>>2]=0;u=c;return}function ykb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;vrb(d,b);b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];a=b;if(!b){e=d;g=a}else{b=a+4|0;f[b>>2]=(f[b>>2]|0)+1;e=d;g=f[d>>2]|0}if(!g){f[e>>2]=0;u=c;return}d=g+4|0;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1){f[e>>2]=0;u=c;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[e>>2]=0;u=c;return}function zkb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;Wtb(d,b);b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];a=b;if(!b){e=d;g=a}else{b=a+4|0;f[b>>2]=(f[b>>2]|0)+1;e=d;g=f[d>>2]|0}if(!g){f[e>>2]=0;u=c;return}d=g+4|0;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1){f[e>>2]=0;u=c;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[e>>2]=0;u=c;return}function Akb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;Rpb(d,b);b=f[d>>2]|0;f[a>>2]=b;f[a+4>>2]=f[d+4>>2];a=b;if(!b){e=d;g=a}else{b=a+4|0;f[b>>2]=(f[b>>2]|0)+1;e=d;g=f[d>>2]|0}if(!g){f[e>>2]=0;u=c;return}d=g+4|0;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1){f[e>>2]=0;u=c;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[e>>2]=0;u=c;return}function Bkb(){f[222826]=0;f[222827]=0;f[222828]=0;b[891315]=4;f[222826]=1635017060;b[891308]=0;Ad(1633,891304,x|0)|0;return}function Ckb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0.0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0;d=u;u=u+592|0;e=d+572|0;g=d+560|0;h=d+504|0;i=d+468|0;j=d+548|0;k=d+536|0;l=d+16|0;m=d+384|0;n=d+492|0;o=d+480|0;p=d+456|0;q=d+444|0;r=d+432|0;s=d+420|0;t=d+408|0;v=d+348|0;w=d+324|0;x=d+396|0;y=d+372|0;z=d+360|0;A=d+336|0;B=d+312|0;C=d+300|0;D=d+288|0;E=d+276|0;F=d+264|0;G=d+252|0;H=d+240|0;I=d+228|0;J=d;K=d+216|0;L=d+204|0;M=d+192|0;N=d+180|0;O=d+168|0;P=d+156|0;Q=d+144|0;R=d+132|0;S=d+108|0;T=d+96|0;U=d+76|0;V=d+64|0;W=d+52|0;X=d+40|0;Z=d+28|0;_=d+120|0;$=d+88|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;aa=g+11|0;ba=g+4|0;ca=e+11|0;da=e+11|0;ea=e+4|0;fa=i+11|0;ga=h+11|0;ha=h+4|0;ia=i+11|0;ja=c+48|0;ka=c+36|0;la=c+40|0;ma=c+40|0;na=c+44|0;oa=h+11|0;pa=h+4|0;qa=e+11|0;ra=-1;sa=0;a:while(1){Kcc(e,a+(f[(f[a>>2]|0)+-12>>2]|0)|0);ta=nec(e,893644)|0;ua=Sh[f[(f[ta>>2]|0)+28>>2]&511](ta,10)|0;oec(e);ta=Dkb(a,g,ua)|0;ua=(f[ta+(f[(f[ta>>2]|0)+-12>>2]|0)+16>>2]&5|0)!=0;if(!((ua?0:0)&1|(ua?0:1666))){va=3;break};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;ua=b[aa>>0]|0;ta=f[ba>>2]|0;if((ua<<24>>24<0?ta:ua&255)|0){wa=0;xa=ta;ta=ua;while(1){ua=b[(ta<<24>>24<0?f[g>>2]|0:g)+wa>>0]|0;if((ua+-33&255)<90){bnc(e,ua);ya=b[aa>>0]|0;za=f[ba>>2]|0}else{ya=ta;za=xa}wa=wa+1|0;if(wa>>>0>=(ya<<24>>24<0?za:ya&255)>>>0)break;else{xa=za;ta=ya}}}Qmc(g,e)|0;if((b[ca>>0]|0)<0)Emc(f[e>>2]|0);ta=b[aa>>0]|0;xa=ta<<24>>24<0;wa=f[ba>>2]|0;ua=xa?wa:ta&255;if(!ua){Aa=sa;Ba=ra;sa=Aa;ra=Ba;continue}Ca=f[g>>2]|0;switch(b[(xa?Ca:g)>>0]|0){case 59:case 35:case 0:{Aa=sa;Ba=ra;sa=Aa;ra=Ba;continue a;break}case 91:{if((ua|0)==5){if(!(knc(g,0,-1,442984,5)|0)){Ba=ra;sa=1;ra=Ba;continue a}Da=b[aa>>0]|0;Ea=f[g>>2]|0;Fa=f[ba>>2]|0}else{Da=ta;Ea=Ca;Fa=wa}wa=ra+1|0;Ca=Da<<24>>24<0;ta=Ca?Ea:g;ua=Ca?Fa:Da&255;Ca=ta+ua|0;xa=Ca;Ga=ta;b:do if((ua|0)<1)Ha=Ca;else{Ia=ta;Ja=ua;while(1){Ka=F7b(Ia,93,Ja)|0;if(!Ka){Ha=Ca;break b}if((b[Ka>>0]|0)==93){Ha=Ka;break b}Ia=Ka+1|0;Ja=xa-Ia|0;if((Ja|0)<1){Ha=Ca;break}}}while(0);xa=(Ha|0)==(Ca|0)?-2:Ha-Ga+-1|0;if(xa>>>0>=ua>>>0){va=35;break a}Omc(e,g,1,xa,g);xa=f[la>>2]|0;do if(xa){ta=ma;Ja=xa;Ia=xa;while(1){Ka=f[Ja+16>>2]|0;if((wa|0)<(Ka|0)){La=f[Ja>>2]|0;if(!La){va=40;break}else{Ma=Ja;Na=La}}else{if((Ka|0)>(ra|0)){va=44;break}Oa=Ja+4|0;Ka=f[Oa>>2]|0;if(!Ka){va=43;break}else{Ma=Oa;Na=Ka}}ta=Ma;Ja=Na;Ia=Na}if((va|0)==40){va=0;Pa=Ja;Qa=Ja;va=46;break}else if((va|0)==43){va=0;Pa=Oa;Qa=Ja;va=46;break}else if((va|0)==44){va=0;Ra=ta;Sa=Ja;Ta=Ia;va=45;break}}else{Ra=la;Sa=la;Ta=xa;va=45}while(0);if((va|0)==45){va=0;if(!Ta){Pa=Ra;Qa=Sa;va=46}else Ua=Ta}if((va|0)==46){va=0;xa=Bmc(32)|0;f[xa+16>>2]=wa;ua=xa+24|0;f[ua>>2]=0;f[xa+28>>2]=0;f[xa+20>>2]=ua;f[xa>>2]=0;f[xa+4>>2]=0;f[xa+8>>2]=Qa;f[Pa>>2]=xa;ua=f[f[ka>>2]>>2]|0;if(!ua)Va=xa;else{f[ka>>2]=ua;Va=f[Pa>>2]|0}RS(f[ma>>2]|0,Va);f[na>>2]=(f[na>>2]|0)+1;Ua=xa}f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[oa>>0]=4;f[h>>2]=1701869940;b[pa>>0]=0;Qmc(Fkb(Ua+20|0,h)|0,e)|0;if((b[oa>>0]|0)<0)Emc(f[h>>2]|0);if((b[qa>>0]|0)<0)Emc(f[e>>2]|0);ra=wa;sa=0;continue a;break}default:{}}xa=inc(g,61,0)|0;ua=b[aa>>0]|0;if(xa>>>0>=(ua<<24>>24<0?f[ba>>2]|0:ua&255)>>>0){va=55;break}Omc(e,g,0,xa,g);ua=xa+1|0;xa=b[aa>>0]|0;Omc(h,g,ua,(xa<<24>>24<0?f[ba>>2]|0:xa&255)-ua|0,g);f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;ua=b[da>>0]|0;xa=f[ea>>2]|0;if((ua<<24>>24<0?xa:ua&255)|0){Ga=0;Ca=xa;xa=ua;while(1){ua=b[(xa<<24>>24<0?f[e>>2]|0:e)+Ga>>0]|0;if((ua+-33&255)<90){bnc(i,ua);Wa=b[da>>0]|0;Xa=f[ea>>2]|0}else{Wa=xa;Xa=Ca}Ga=Ga+1|0;if(Ga>>>0>=(Wa<<24>>24<0?Xa:Wa&255)>>>0)break;else{Ca=Xa;xa=Wa}}}Qmc(e,i)|0;if((b[fa>>0]|0)<0)Emc(f[i>>2]|0);f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;xa=b[ga>>0]|0;Ca=f[ha>>2]|0;if((xa<<24>>24<0?Ca:xa&255)|0){Ga=0;wa=Ca;Ca=xa;while(1){xa=b[(Ca<<24>>24<0?f[h>>2]|0:h)+Ga>>0]|0;if((xa+-33&255)<90){bnc(i,xa);Ya=b[ga>>0]|0;Za=f[ha>>2]|0}else{Ya=Ca;Za=wa}Ga=Ga+1|0;if(Ga>>>0>=(Ya<<24>>24<0?Za:Ya&255)>>>0)break;else{wa=Za;Ca=Ya}}}Qmc(h,i)|0;if((b[ia>>0]|0)<0)Emc(f[i>>2]|0);Ca=b[da>>0]|0;wa=b[ga>>0]|0;Ga=wa<<24>>24<0;if(!((Ca<<24>>24<0?f[ea>>2]|0:Ca&255)|0)){if(Ga){Emc(f[h>>2]|0);_a=b[da>>0]|0}else _a=Ca;if(_a<<24>>24<0)Emc(f[e>>2]|0);Aa=sa;Ba=ra;sa=Aa;ra=Ba;continue}if(!((Ga?f[ha>>2]|0:wa&255)|0)){if(Ga){Emc(f[h>>2]|0);$a=b[da>>0]|0}else $a=Ca;if($a<<24>>24<0)Emc(f[e>>2]|0);Aa=sa;Ba=ra;sa=Aa;ra=Ba;continue}if(sa)Qmc(Fkb(ja,e)|0,h)|0;else{Ca=f[la>>2]|0;do if(Ca){Ga=ma;wa=Ca;xa=Ca;while(1){ua=f[wa+16>>2]|0;if((ra|0)<(ua|0)){Ka=f[wa>>2]|0;if(!Ka){va=76;break}else{ab=wa;bb=Ka}}else{if((ua|0)>=(ra|0)){va=80;break}cb=wa+4|0;ua=f[cb>>2]|0;if(!ua){va=79;break}else{ab=cb;bb=ua}}Ga=ab;wa=bb;xa=bb}if((va|0)==76){va=0;db=wa;eb=wa;va=82;break}else if((va|0)==79){va=0;db=cb;eb=wa;va=82;break}else if((va|0)==80){va=0;fb=Ga;gb=wa;hb=xa;va=81;break}}else{fb=la;gb=la;hb=Ca;va=81}while(0);if((va|0)==81){va=0;if(!hb){db=fb;eb=gb;va=82}else ib=hb}if((va|0)==82){va=0;Ca=Bmc(32)|0;f[Ca+16>>2]=ra;Ia=Ca+24|0;f[Ia>>2]=0;f[Ca+28>>2]=0;f[Ca+20>>2]=Ia;f[Ca>>2]=0;f[Ca+4>>2]=0;f[Ca+8>>2]=eb;f[db>>2]=Ca;Ia=f[f[ka>>2]>>2]|0;if(!Ia)jb=Ca;else{f[ka>>2]=Ia;jb=f[db>>2]|0}RS(f[ma>>2]|0,jb);f[na>>2]=(f[na>>2]|0)+1;ib=Ca}Qmc(Fkb(ib+20|0,e)|0,h)|0}if((b[ga>>0]|0)<0)Emc(f[h>>2]|0);if((b[da>>0]|0)<0)Emc(f[e>>2]|0);Aa=sa;Ba=ra;sa=Aa;ra=Ba}if((va|0)==3){if((b[aa>>0]|0)<0)Emc(f[g>>2]|0);aa=(f[na>>2]|0)+-1|0;Ba=f[la>>2]|0;do if(Ba){ra=ma;Aa=Ba;sa=Ba;while(1){da=f[Aa+16>>2]|0;if((aa|0)<(da|0)){ga=f[Aa>>2]|0;if(!ga){va=9;break}else{kb=Aa;lb=ga}}else{if((da|0)>=(aa|0)){va=13;break}mb=Aa+4|0;da=f[mb>>2]|0;if(!da){va=12;break}else{kb=mb;lb=da}}ra=kb;Aa=lb;sa=lb}if((va|0)==9){nb=Aa;ob=Aa;va=15;break}else if((va|0)==12){nb=mb;ob=Aa;va=15;break}else if((va|0)==13){pb=ra;qb=Aa;rb=sa;va=14;break}}else{pb=la;qb=la;rb=Ba;va=14}while(0);if((va|0)==14)if(!rb){nb=pb;ob=qb;va=15}else sb=rb;if((va|0)==15){rb=Bmc(32)|0;f[rb+16>>2]=aa;aa=rb+24|0;f[aa>>2]=0;f[rb+28>>2]=0;f[rb+20>>2]=aa;f[rb>>2]=0;f[rb+4>>2]=0;f[rb+8>>2]=ob;f[nb>>2]=rb;ob=f[f[ka>>2]>>2]|0;if(!ob)tb=rb;else{f[ka>>2]=ob;tb=f[nb>>2]|0}RS(f[ma>>2]|0,tb);f[na>>2]=(f[na>>2]|0)+1;sb=rb}f[g+8>>2]=0;rb=g+11|0;b[rb>>0]=7;b[g>>0]=b[464516]|0;b[g+1>>0]=b[464517]|0;b[g+2>>0]=b[464518]|0;b[g+3>>0]=b[464519]|0;b[g+4>>0]=b[464520]|0;b[g+5>>0]=b[464521]|0;b[g+6>>0]=b[464522]|0;b[g+7>>0]=0;Nmc(e,Fkb(sb+20|0,g)|0);if((b[rb>>0]|0)<0)Emc(f[g>>2]|0);Gkb(g,e);f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;rb=j+11|0;b[rb>>0]=5;b[j>>0]=b[473145]|0;b[j+1>>0]=b[473146]|0;b[j+2>>0]=b[473147]|0;b[j+3>>0]=b[473148]|0;b[j+4>>0]=b[473149]|0;b[j+5>>0]=0;sb=Hkb(ja,j,416)|0;f[c>>2]=sb;if((b[rb>>0]|0)<0)Emc(f[j>>2]|0);f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;j=k+11|0;b[j>>0]=6;b[k>>0]=b[473280]|0;b[k+1>>0]=b[473281]|0;b[k+2>>0]=b[473282]|0;b[k+3>>0]=b[473283]|0;b[k+4>>0]=b[473284]|0;b[k+5>>0]=b[473285]|0;b[k+6>>0]=0;rb=Hkb(ja,k,416)|0;sb=c+4|0;f[sb>>2]=rb;if((b[j>>0]|0)<0)Emc(f[k>>2]|0);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;k=l+11|0;b[k>>0]=8;j=l;f[j>>2]=1851877475;f[j+4>>2]=1936483694;b[l+8>>0]=0;j=Hkb(ja,l,3)|0;ja=c+8|0;f[ja>>2]=j;if((b[k>>0]|0)<0)Emc(f[l>>2]|0);if((f[c>>2]|0)<=0){f[h>>2]=0;ub=h+4|0;f[ub>>2]=0;vb=YG(h,54)|0;wb=vb;xb=443151;yb=wb+54|0;do{b[wb>>0]=b[xb>>0]|0;wb=wb+1|0;xb=xb+1|0}while((wb|0)<(yb|0));SQ(-215,h,443020,443045,528)}if((f[sb>>2]|0)<=0){f[h>>2]=0;ub=h+4|0;f[ub>>2]=0;vb=YG(h,54)|0;wb=vb;xb=443151;yb=wb+54|0;do{b[wb>>0]=b[xb>>0]|0;wb=wb+1|0;xb=xb+1|0}while((wb|0)<(yb|0));SQ(-215,h,443020,443045,528)}sb=f[ja>>2]|0;if((sb|0)<=0){f[h>>2]=0;ub=h+4|0;f[ub>>2]=0;vb=YG(h,54)|0;wb=vb;xb=443151;yb=wb+54|0;do{b[wb>>0]=b[xb>>0]|0;wb=wb+1|0;xb=xb+1|0}while((wb|0)<(yb|0));SQ(-215,h,443020,443045,528)}vb=c+24|0;ub=f[na>>2]|0;na=c+28|0;ja=f[na>>2]|0;l=f[vb>>2]|0;k=ja-l>>2;j=l;l=ja;if(ub>>>0<=k>>>0){if(ub>>>0<k>>>0?(ja=j+(ub<<2)|0,(l|0)!=(ja|0)):0)f[na>>2]=l+(~((l+-4-ja|0)>>>2)<<2)}else $C(vb,ub-k|0);f[h>>2]=c;f[h+4>>2]=0;c=h+8|0;Nmc(c,891304);f[h+20>>2]=0;k=h+24|0;f[k>>2]=0;f[h+28>>2]=0;ub=f[ka>>2]|0;c:do if((ub|0)!=(la|0)){ka=m+11|0;ja=m+4|0;l=i+11|0;na=i+4|0;j=n+11|0;rb=n+4|0;tb=o+11|0;ma=o+3|0;nb=p+11|0;ob=p+6|0;aa=q+11|0;qb=q+7|0;pb=r+11|0;Ba=r+10|0;mb=s+11|0;lb=s+6|0;kb=t+8|0;da=t+4|0;ga=t+11|0;ib=m+11|0;jb=m+4|0;db=x+11|0;eb=x+7|0;hb=y+11|0;gb=y+4|0;fb=z+11|0;cb=z+6|0;bb=A+11|0;ab=A+3|0;$a=B+11|0;ha=B+6|0;_a=C+11|0;ea=C+6|0;ia=D+11|0;Ya=m+11|0;Za=m+4|0;fa=v+4|0;Wa=E+11|0;Xa=E+6|0;ba=F+11|0;qa=F+6|0;oa=G+11|0;Ua=G+6|0;pa=H+11|0;Va=H+7|0;Pa=I+11|0;Qa=I+3|0;Ta=J+11|0;Sa=J+8|0;Ra=K+11|0;Oa=K+7|0;Na=M+11|0;Ma=M+4|0;Ha=N+11|0;Da=L+11|0;Fa=L+4|0;Ea=O+11|0;ca=O+7|0;ya=P+11|0;za=m+11|0;a=m+4|0;Ca=v+4|0;Ia=Q+11|0;Ja=Q+4|0;ta=R+11|0;ua=m+11|0;Ka=m+4|0;La=S+11|0;zb=S+6|0;Ab=T+11|0;Bb=T+7|0;Cb=U+11|0;Db=U+3|0;Eb=V+11|0;Fb=V+7|0;Gb=W+11|0;Hb=m+11|0;Ib=m+4|0;Jb=X+11|0;Kb=X+4|0;Lb=Z+11|0;Mb=w+11|0;Nb=w+4|0;Ob=v+4|0;Pb=_+4|0;Qb=o+4|0;Rb=q+8|0;Sb=x+8|0;Tb=A+4|0;Ub=H+8|0;Vb=I+4|0;Wb=K+8|0;Xb=O+8|0;Yb=T+8|0;Zb=U+4|0;_b=V+8|0;$b=sb;ac=-1;bc=ub;d:while(1){ac=ac+1|0;cc=bc+20|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;b[ka>>0]=4;f[m>>2]=1701869940;b[ja>>0]=0;Nmc(i,Fkb(cc,m)|0);if((b[ka>>0]|0)<0)Emc(f[m>>2]|0);dc=b[l>>0]|0;ec=f[na>>2]|0;do if(((dc<<24>>24<0?ec:dc&255)|0)==13){if(knc(i,0,-1,443206,13)|0){fc=b[l>>0]|0;gc=f[na>>2]|0;va=168;break};f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;b[j>>0]=4;f[n>>2]=1702521203;b[rb>>0]=0;hc=Hkb(cc,n,-1)|0;if((b[j>>0]|0)<0)Emc(f[n>>2]|0);ic=Qb;f[ic>>2]=0;f[ic+4>>2]=0;b[tb>>0]=3;b[o>>0]=b[452504]|0;b[o+1>>0]=b[452505]|0;b[o+2>>0]=b[452506]|0;b[ma>>0]=0;ic=Hkb(cc,o,0)|0;if((b[tb>>0]|0)<0)Emc(f[o>>2]|0);f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;b[nb>>0]=6;b[p>>0]=b[452508]|0;b[p+1>>0]=b[452509]|0;b[p+2>>0]=b[452510]|0;b[p+3>>0]=b[452511]|0;b[p+4>>0]=b[452512]|0;b[p+5>>0]=b[452513]|0;b[ob>>0]=0;jc=Hkb(cc,p,1)|0;if((b[nb>>0]|0)<0)Emc(f[p>>2]|0);f[Rb>>2]=0;b[aa>>0]=7;b[q>>0]=b[443220]|0;b[q+1>>0]=b[443221]|0;b[q+2>>0]=b[443222]|0;b[q+3>>0]=b[443223]|0;b[q+4>>0]=b[443224]|0;b[q+5>>0]=b[443225]|0;b[q+6>>0]=b[443226]|0;b[qb>>0]=0;kc=Hkb(cc,q,-1)|0;if((b[aa>>0]|0)<0)Emc(f[q>>2]|0);b[pb>>0]=10;wb=r;xb=443228;yb=wb+10|0;do{b[wb>>0]=b[xb>>0]|0;wb=wb+1|0;xb=xb+1|0}while((wb|0)<(yb|0));b[Ba>>0]=0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;b[mb>>0]=6;b[s>>0]=b[443239]|0;b[s+1>>0]=b[443240]|0;b[s+2>>0]=b[443241]|0;b[s+3>>0]=b[443242]|0;b[s+4>>0]=b[443243]|0;b[s+5>>0]=b[443244]|0;b[lb>>0]=0;Ikb(m,cc,r,s);if((b[mb>>0]|0)<0)Emc(f[s>>2]|0);if((b[pb>>0]|0)<0)Emc(f[r>>2]|0);f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;lc=Bmc(16)|0;f[t>>2]=lc;f[kb>>2]=-2147483632;f[da>>2]=15;wb=lc;xb=443246;yb=wb+15|0;do{b[wb>>0]=b[xb>>0]|0;wb=wb+1|0;xb=xb+1|0}while((wb|0)<(yb|0));b[lc+15>>0]=0;mc=(Hkb(cc,t,0)|0)==1;if((b[ga>>0]|0)<0)Emc(f[t>>2]|0);nc=b[ib>>0]|0;oc=f[jb>>2]|0;do if(((nc<<24>>24<0?oc:nc&255)|0)==6){if(!(knc(m,0,-1,443239,6)|0))break;pc=b[ib>>0]|0;qc=f[jb>>2]|0;va=150}else{pc=nc;qc=oc;va=150}while(0);if((va|0)==150){va=0;if(((pc<<24>>24<0?qc:pc&255)|0)!=5){va=152;break d}if(knc(m,0,-1,443262,5)|0){va=152;break d}}f[Sb>>2]=0;b[db>>0]=7;b[x>>0]=b[443293]|0;b[x+1>>0]=b[443294]|0;b[x+2>>0]=b[443295]|0;b[x+3>>0]=b[443296]|0;b[x+4>>0]=b[443297]|0;b[x+5>>0]=b[443298]|0;b[x+6>>0]=b[443299]|0;b[eb>>0]=0;oc=Hkb(cc,x,0)|0;if((b[db>>0]|0)<0)Emc(f[x>>2]|0);if((oc|0)==1){va=158;break d}if(!((hc|0)>0&(kc|0)>0)){va=160;break d}if(($b|0)<=0){va=162;break d}oc=b[ib>>0]|0;if(((oc<<24>>24<0?f[jb>>2]|0:oc&255)|0)==5)rc=(knc(m,0,-1,443262,5)|0)==0;else rc=0;Jkb(h,hc,(hc|0)<3?0:ic,jc,kc,$b,mc&1,rc&1);if((b[ib>>0]|0)<0)Emc(f[m>>2]|0);sc=kc}else{fc=dc;gc=ec;va=168}while(0);e:do if((va|0)==168){va=0;do if(((fc<<24>>24<0?gc:fc&255)|0)==7){if(knc(i,0,-1,443408,7)|0){tc=b[l>>0]|0;uc=f[na>>2]|0;break};f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;b[hb>>0]=4;f[y>>2]=1702521203;b[gb>>0]=0;ec=Hkb(cc,y,2)|0;if((b[hb>>0]|0)<0)Emc(f[y>>2]|0);f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;b[fb>>0]=6;b[z>>0]=b[452508]|0;b[z+1>>0]=b[452509]|0;b[z+2>>0]=b[452510]|0;b[z+3>>0]=b[452511]|0;b[z+4>>0]=b[452512]|0;b[z+5>>0]=b[452513]|0;b[cb>>0]=0;dc=Hkb(cc,z,2)|0;if((b[fb>>0]|0)<0)Emc(f[z>>2]|0);xa=Tb;f[xa>>2]=0;f[xa+4>>2]=0;b[bb>>0]=3;b[A>>0]=b[452504]|0;b[A+1>>0]=b[452505]|0;b[A+2>>0]=b[452506]|0;b[ab>>0]=0;xa=Hkb(cc,A,0)|0;if((b[bb>>0]|0)<0)Emc(f[A>>2]|0);Kkb(h,ec,xa,dc);sc=$b;break e}else{tc=fc;uc=gc}while(0);do if(((tc<<24>>24<0?uc:tc&255)|0)==7)if(!(knc(i,0,-1,443416,7)|0)){Lkb(h);sc=$b;break e}else{vc=b[l>>0]|0;wc=f[na>>2]|0;break}else{vc=tc;wc=uc}while(0);do if(((vc<<24>>24<0?wc:vc&255)|0)==7){if(knc(i,0,-1,464524,7)|0){xc=b[l>>0]|0;yc=f[na>>2]|0;break};f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;b[$a>>0]=6;b[B>>0]=b[443424]|0;b[B+1>>0]=b[443425]|0;b[B+2>>0]=b[443426]|0;b[B+3>>0]=b[443427]|0;b[B+4>>0]=b[443428]|0;b[B+5>>0]=b[443429]|0;b[ha>>0]=0;kc=Hkb(cc,B,1)|0;if((b[$a>>0]|0)<0)Emc(f[B>>2]|0);if((kc|0)!=1){va=188;break d}Mkb(h);sc=$b;break e}else{xc=vc;yc=wc}while(0);do if(((xc<<24>>24<0?yc:xc&255)|0)==5){if(knc(i,0,-1,443469,5)|0){zc=b[l>>0]|0;Ac=f[na>>2]|0;break};f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;b[_a>>0]=6;b[C>>0]=b[443475]|0;b[C+1>>0]=b[443476]|0;b[C+2>>0]=b[443477]|0;b[C+3>>0]=b[443478]|0;b[C+4>>0]=b[443479]|0;b[C+5>>0]=b[443480]|0;b[ea>>0]=0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;Ikb(m,cc,C,D);if((b[ia>>0]|0)<0)Emc(f[D>>2]|0);if((b[_a>>0]|0)<0)Emc(f[C>>2]|0);kc=b[Ya>>0]|0;if(!((kc<<24>>24<0?f[Za>>2]|0:kc&255)|0)){va=198;break d}Nkb(v,m);kc=f[v>>2]|0;mc=(f[fa>>2]|0)-kc>>2;jc=kc;do if(!mc){Bc=0;Cc=0;va=204}else{kc=f[vb>>2]|0;ic=0;hc=0;do{dc=jc+(ic<<2)|0;xa=f[dc>>2]|0;ec=((xa|0)>0?0:ac)+xa|0;f[dc>>2]=ec;hc=(f[kc+(ec<<2)>>2]|0)+hc|0;ic=ic+1|0}while(ic>>>0<mc>>>0);if((mc|0)!=1){Bc=hc;Cc=mc;va=204;break}Okb(h,f[jc>>2]|0);Dc=hc}while(0);if((va|0)==204){va=0;Pkb(h,Cc,jc);Dc=Bc}mc=f[v>>2]|0;if(mc|0){ic=f[fa>>2]|0;if((ic|0)!=(mc|0))f[fa>>2]=ic+(~((ic+-4-mc|0)>>>2)<<2);Emc(mc)}if((b[Ya>>0]|0)<0)Emc(f[m>>2]|0);sc=Dc;break e}else{zc=xc;Ac=yc}while(0);do if(((zc<<24>>24<0?Ac:zc&255)|0)==5){if(knc(i,0,-1,443505,5)|0){Ec=b[l>>0]|0;Fc=f[na>>2]|0;break};f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;b[Wa>>0]=6;b[E>>0]=b[452508]|0;b[E+1>>0]=b[452509]|0;b[E+2>>0]=b[452510]|0;b[E+3>>0]=b[452511]|0;b[E+4>>0]=b[452512]|0;b[E+5>>0]=b[452513]|0;b[Xa>>0]=0;mc=Hkb(cc,E,2)|0;if((b[Wa>>0]|0)<0)Emc(f[E>>2]|0);Qkb(h,mc);sc=Y(Y(mc,$b)|0,mc)|0;break e}else{Ec=zc;Fc=Ac}while(0);do if(((Ec<<24>>24<0?Fc:Ec&255)|0)==6){if(knc(i,0,-1,443511,6)|0){Gc=b[l>>0]|0;Hc=f[na>>2]|0;break};f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;b[ba>>0]=6;b[F>>0]=b[464494]|0;b[F+1>>0]=b[464495]|0;b[F+2>>0]=b[464496]|0;b[F+3>>0]=b[464497]|0;b[F+4>>0]=b[464498]|0;b[F+5>>0]=b[464499]|0;b[qa>>0]=0;Ic=+Rkb(cc,F,1.0000000474974513e-03);if((b[ba>>0]|0)<0)Emc(f[F>>2]|0);f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;b[oa>>0]=6;b[G>>0]=b[464501]|0;b[G+1>>0]=b[464502]|0;b[G+2>>0]=b[464503]|0;b[G+3>>0]=b[464504]|0;b[G+4>>0]=b[464505]|0;b[G+5>>0]=b[464506]|0;b[Ua>>0]=0;mc=Hkb(cc,G,4)|0;if((b[oa>>0]|0)<0)Emc(f[G>>2]|0);f[Ub>>2]=0;b[pa>>0]=7;b[H>>0]=b[464508]|0;b[H+1>>0]=b[464509]|0;b[H+2>>0]=b[464510]|0;b[H+3>>0]=b[464511]|0;b[H+4>>0]=b[464512]|0;b[H+5>>0]=b[464513]|0;b[H+6>>0]=b[464514]|0;b[Va>>0]=0;ic=Hkb(cc,H,-1)|0;if((b[pa>>0]|0)<0)Emc(f[H>>2]|0);kc=Vb;f[kc>>2]=0;f[kc+4>>2]=0;b[Pa>>0]=3;b[I>>0]=b[443518]|0;b[I+1>>0]=b[443519]|0;b[I+2>>0]=b[443520]|0;b[Qa>>0]=0;kc=Hkb(cc,I,-1)|0;if((b[Pa>>0]|0)<0)Emc(f[I>>2]|0);f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;b[Ta>>0]=8;ec=J;f[ec>>2]=1935764579;f[ec+4>>2]=2020173427;b[Sa>>0]=0;ec=Hkb(cc,J,0)|0;if((b[Ta>>0]|0)<0)Emc(f[J>>2]|0);f[Wb>>2]=0;b[Ra>>0]=7;b[K>>0]=b[464524]|0;b[K+1>>0]=b[464525]|0;b[K+2>>0]=b[464526]|0;b[K+3>>0]=b[464527]|0;b[K+4>>0]=b[464528]|0;b[K+5>>0]=b[464529]|0;b[K+6>>0]=b[464530]|0;b[Oa>>0]=0;dc=(Hkb(cc,K,0)|0)==1;if((b[Ra>>0]|0)<0)Emc(f[K>>2]|0);f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;b[Na>>0]=4;f[M>>2]=1701147252;b[Ma>>0]=0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;Ikb(L,cc,M,N);xa=b[Da>>0]|0;wa=xa<<24>>24<0;Ga=((wa?f[Fa>>2]|0:xa&255)|0)!=0;if(wa)Emc(f[L>>2]|0);if((b[Ha>>0]|0)<0)Emc(f[N>>2]|0);if((b[Na>>0]|0)<0)Emc(f[M>>2]|0);f[Xb>>2]=0;b[Ea>>0]=7;b[O>>0]=b[464516]|0;b[O+1>>0]=b[464517]|0;b[O+2>>0]=b[464518]|0;b[O+3>>0]=b[464519]|0;b[O+4>>0]=b[464520]|0;b[O+5>>0]=b[464521]|0;b[O+6>>0]=b[464522]|0;b[ca>>0]=0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;Ikb(m,cc,O,P);if((b[ya>>0]|0)<0)Emc(f[P>>2]|0);if((b[Ea>>0]|0)<0)Emc(f[O>>2]|0);wa=b[za>>0]|0;if(!((wa<<24>>24<0?f[a>>2]|0:wa&255)|0)){va=244;break d}Gkb(v,m);if(!((ic|0)>0&(kc|0)>0)){va=247;break d}if((kc<<1|0)!=((f[Ca>>2]|0)-(f[v>>2]|0)>>2|0)){va=247;break d}Skb(h,0);Tkb(h,Ic,mc,ic,kc,ec,dc&1,Ga&1,f[v>>2]|0);Ga=f[v>>2]|0;if(Ga|0){dc=f[Ca>>2]|0;if((dc|0)!=(Ga|0))f[Ca>>2]=dc+(~((dc+-4-Ga|0)>>>2)<<2);Emc(Ga)}if((b[za>>0]|0)<0)Emc(f[m>>2]|0);sc=$b;break e}else{Gc=Ec;Hc=Fc}while(0);do if(((Gc<<24>>24<0?Hc:Gc&255)|0)==8){if(knc(i,0,-1,443626,8)|0){Jc=b[l>>0]|0;Kc=f[na>>2]|0;break};f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;b[Ia>>0]=4;f[Q>>2]=1836020326;b[Ja>>0]=0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;Ikb(m,cc,Q,R);if((b[ta>>0]|0)<0)Emc(f[R>>2]|0);if((b[Ia>>0]|0)<0)Emc(f[Q>>2]|0);Ga=b[ua>>0]|0;dc=Ga<<24>>24<0;if(!((dc?f[Ka>>2]|0:Ga&255)|0)){va=263;break d}Ga=(bac(dc?f[m>>2]|0:m)|0)+ac|0;dc=f[(f[vb>>2]|0)+(Ga<<2)>>2]|0;Ukb(h,Ga);if((b[ua>>0]|0)<0)Emc(f[m>>2]|0);sc=dc;break e}else{Jc=Gc;Kc=Hc}while(0);do if(((Jc<<24>>24<0?Kc:Jc&255)|0)==8){if(knc(i,0,-1,443657,8)|0){Lc=b[l>>0]|0;Mc=f[na>>2]|0;break};f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;b[La>>0]=6;b[S>>0]=b[452508]|0;b[S+1>>0]=b[452509]|0;b[S+2>>0]=b[452510]|0;b[S+3>>0]=b[452511]|0;b[S+4>>0]=b[452512]|0;b[S+5>>0]=b[452513]|0;b[zb>>0]=0;dc=Hkb(cc,S,1)|0;if((b[La>>0]|0)<0)Emc(f[S>>2]|0);Vkb(h,dc);sc=$b;break e}else{Lc=Jc;Mc=Kc}while(0);if(((Lc<<24>>24<0?Mc:Lc&255)|0)!=4){va=307;break d}if(knc(i,0,-1,443666,4)|0){va=307;break d}f[Yb>>2]=0;b[Ab>>0]=7;b[T>>0]=b[464508]|0;b[T+1>>0]=b[464509]|0;b[T+2>>0]=b[464510]|0;b[T+3>>0]=b[464511]|0;b[T+4>>0]=b[464512]|0;b[T+5>>0]=b[464513]|0;b[T+6>>0]=b[464514]|0;b[Bb>>0]=0;dc=Hkb(cc,T,-1)|0;if((b[Ab>>0]|0)<0)Emc(f[T>>2]|0);Ga=Zb;f[Ga>>2]=0;f[Ga+4>>2]=0;b[Cb>>0]=3;b[U>>0]=b[443518]|0;b[U+1>>0]=b[443519]|0;b[U+2>>0]=b[443520]|0;b[Db>>0]=0;Ga=Hkb(cc,U,-1)|0;if((b[Cb>>0]|0)<0)Emc(f[U>>2]|0);f[_b>>2]=0;b[Eb>>0]=7;b[V>>0]=b[464516]|0;b[V+1>>0]=b[464517]|0;b[V+2>>0]=b[464518]|0;b[V+3>>0]=b[464519]|0;b[V+4>>0]=b[464520]|0;b[V+5>>0]=b[464521]|0;b[V+6>>0]=b[464522]|0;b[Fb>>0]=0;f[W>>2]=0;f[W+4>>2]=0;f[W+8>>2]=0;Ikb(m,cc,V,W);if((b[Gb>>0]|0)<0)Emc(f[W>>2]|0);if((b[Eb>>0]|0)<0)Emc(f[V>>2]|0);ec=b[Hb>>0]|0;if(!((ec<<24>>24<0?f[Ib>>2]|0:ec&255)|0)){va=284;break d}Gkb(v,m);f[X>>2]=0;f[X+4>>2]=0;f[X+8>>2]=0;b[Jb>>0]=4;f[X>>2]=1802723693;b[Kb>>0]=0;f[Z>>2]=0;f[Z+4>>2]=0;f[Z+8>>2]=0;Ikb(w,cc,X,Z);if((b[Lb>>0]|0)<0)Emc(f[Z>>2]|0);if((b[Jb>>0]|0)<0)Emc(f[X>>2]|0);ec=b[Mb>>0]|0;if(!((ec<<24>>24<0?f[Nb>>2]|0:ec&255)|0)){va=290;break d}Nkb(_,w);if(!((dc|0)>0&(Ga|0)>0)){va=293;break d}if((Ga<<1|0)!=((f[Ob>>2]|0)-(f[v>>2]|0)>>2|0)){va=293;break d}Skb(h,0);Wkb(h,dc,_,v);dc=f[_>>2]|0;if(dc|0){Ga=f[Pb>>2]|0;if((Ga|0)!=(dc|0))f[Pb>>2]=Ga+(~((Ga+-4-dc|0)>>>2)<<2);Emc(dc)}if((b[Mb>>0]|0)<0)Emc(f[w>>2]|0);dc=f[v>>2]|0;if(dc|0){Ga=f[Ob>>2]|0;if((Ga|0)!=(dc|0))f[Ob>>2]=Ga+(~((Ga+-4-dc|0)>>>2)<<2);Emc(dc)}if((b[Hb>>0]|0)<0)Emc(f[m>>2]|0);sc=$b}while(0);f[(f[vb>>2]|0)+(ac<<2)>>2]=sc;if((b[l>>0]|0)<0)Emc(f[i>>2]|0);cc=f[bc+4>>2]|0;if(!cc){dc=bc+8|0;Ga=f[dc>>2]|0;if((f[Ga>>2]|0)==(bc|0))Nc=Ga;else{Ga=dc;do{dc=f[Ga>>2]|0;Ga=dc+8|0;ec=f[Ga>>2]|0}while((f[ec>>2]|0)!=(dc|0));Nc=ec}}else{Ga=cc;while(1){ec=f[Ga>>2]|0;if(!ec)break;else Ga=ec}Nc=Ga}if((Nc|0)==(la|0)){va=119;break}else{$b=sc;bc=Nc}}switch(va|0){case 119:{bc=h+20|0;$b=f[bc>>2]|0;if(!$b)break c;l=f[k>>2]|0;if((l|0)==($b|0))Oc=$b;else{ac=l;while(1){l=ac+-12|0;f[k>>2]=l;if((b[l+11>>0]|0)<0){Emc(f[l>>2]|0);Pc=f[k>>2]|0}else Pc=l;if((Pc|0)==($b|0))break;else ac=Pc}Oc=f[bc>>2]|0}Emc(Oc);break c;break}case 152:{bza(w,443268,m);f[v>>2]=0;f[v+4>>2]=0;ac=w+11|0;$b=b[ac>>0]|0;l=$b<<24>>24<0?f[w+4>>2]|0:$b&255;if(!l)SQ(-212,v,443020,443045,552);$b=YG(v,l)|0;Krc($b|0,((b[ac>>0]|0)<0?f[w>>2]|0:w)|0,l|0)|0;SQ(-212,v,443020,443045,552);break}case 158:{f[v>>2]=0;f[v+4>>2]=0;wb=YG(v,54)|0;xb=443301;yb=wb+54|0;do{b[wb>>0]=b[xb>>0]|0;wb=wb+1|0;xb=xb+1|0}while((wb|0)<(yb|0));SQ(-213,v,443020,443045,555);break}case 160:{f[v>>2]=0;f[v+4>>2]=0;wb=YG(v,30)|0;xb=443356;yb=wb+30|0;do{b[wb>>0]=b[xb>>0]|0;wb=wb+1|0;xb=xb+1|0}while((wb|0)<(yb|0));SQ(-215,v,443020,443045,560);break}case 162:{f[v>>2]=0;f[v+4>>2]=0;wb=YG(v,20)|0;xb=443387;yb=wb+20|0;do{b[wb>>0]=b[xb>>0]|0;wb=wb+1|0;xb=xb+1|0}while((wb|0)<(yb|0));SQ(-215,v,443020,443045,561);break}case 188:{f[m>>2]=0;f[m+4>>2]=0;wb=YG(m,37)|0;xb=443431;yb=wb+37|0;do{b[wb>>0]=b[xb>>0]|0;wb=wb+1|0;xb=xb+1|0}while((wb|0)<(yb|0));SQ(-213,m,443020,443045,583);break}case 198:{f[v>>2]=0;f[v+4>>2]=0;wb=YG(v,22)|0;xb=443482;yb=wb+22|0;do{b[wb>>0]=b[xb>>0]|0;wb=wb+1|0;xb=xb+1|0}while((wb|0)<(yb|0));SQ(-215,v,443020,443045,589);break}case 244:{f[v>>2]=0;f[v+4>>2]=0;wb=YG(v,23)|0;xb=443522;yb=wb+23|0;do{b[wb>>0]=b[xb>>0]|0;wb=wb+1|0;xb=xb+1|0}while((wb|0)<(yb|0));SQ(-215,v,443020,443045,621);break}case 247:{f[w>>2]=0;f[w+4>>2]=0;wb=YG(w,79)|0;xb=443546;yb=wb+79|0;do{b[wb>>0]=b[xb>>0]|0;wb=wb+1|0;xb=xb+1|0}while((wb|0)<(yb|0));SQ(-215,w,443020,443045,624);break}case 263:{f[v>>2]=0;f[v+4>>2]=0;wb=YG(v,21)|0;xb=443635;yb=wb+21|0;do{b[wb>>0]=b[xb>>0]|0;wb=wb+1|0;xb=xb+1|0}while((wb|0)<(yb|0));SQ(-215,v,443020,443045,632);break}case 284:{f[v>>2]=0;f[v+4>>2]=0;wb=YG(v,23)|0;xb=443522;yb=wb+23|0;do{b[wb>>0]=b[xb>>0]|0;wb=wb+1|0;xb=xb+1|0}while((wb|0)<(yb|0));SQ(-215,v,443020,443045,651);break}case 290:{f[_>>2]=0;f[_+4>>2]=0;wb=YG(_,20)|0;xb=443671;yb=wb+20|0;do{b[wb>>0]=b[xb>>0]|0;wb=wb+1|0;xb=xb+1|0}while((wb|0)<(yb|0));SQ(-215,_,443020,443045,655);break}case 293:{f[$>>2]=0;f[$+4>>2]=0;wb=YG($,79)|0;xb=443546;yb=wb+79|0;do{b[wb>>0]=b[xb>>0]|0;wb=wb+1|0;xb=xb+1|0}while((wb|0)<(yb|0));SQ(-215,$,443020,443045,658);break}case 307:{bza(v,443692,i);f[m>>2]=0;f[m+4>>2]=0;bc=v+11|0;l=b[bc>>0]|0;ac=l<<24>>24<0?f[v+4>>2]|0:l&255;if(!ac)SQ(-212,m,443020,443045,664);l=YG(m,ac)|0;Krc(l|0,((b[bc>>0]|0)<0?f[v>>2]|0:v)|0,ac|0)|0;SQ(-212,m,443020,443045,664);break}}}while(0);if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);c=f[g>>2]|0;if(c|0){m=g+4|0;g=f[m>>2]|0;if((g|0)!=(c|0))f[m>>2]=g+(~((g+-4-c|0)>>>2)<<2);Emc(c)}if((b[e+11>>0]|0)>=0){u=d;return 1}Emc(f[e>>2]|0);u=d;return 1}else if((va|0)==35){f[e>>2]=0;f[e+4>>2]=0;wb=YG(e,29)|0;xb=442990;yb=wb+29|0;do{b[wb>>0]=b[xb>>0]|0;wb=wb+1|0;xb=xb+1|0}while((wb|0)<(yb|0));SQ(-215,e,443020,443045,499)}else if((va|0)==55){f[e>>2]=0;f[e+4>>2]=0;wb=YG(e,29)|0;xb=443121;yb=wb+29|0;do{b[wb>>0]=b[xb>>0]|0;wb=wb+1|0;xb=xb+1|0}while((wb|0)<(yb|0));SQ(-215,e,443020,443045,507)}return 0}function Dkb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=u;u=u+16|0;g=e;Pcc(g,a,1);if(!(b[g>>0]|0)){u=e;return a|0}g=c+11|0;if((b[g>>0]|0)<0){b[f[c>>2]>>0]=0;i=c+4|0;f[i>>2]=0;j=i}else{b[c>>0]=0;b[g>>0]=0;j=c+4|0}i=0;while(1){k=f[a+(f[(f[a>>2]|0)+-12>>2]|0)+24>>2]|0;l=k+12|0;m=f[l>>2]|0;if((m|0)==(f[k+16>>2]|0)){n=ci[f[(f[k>>2]|0)+40>>2]&1023](k)|0;if((n|0)==-1){o=i;p=2;break}else q=n}else{f[l>>2]=m+1;q=h[m>>0]|0}m=i+1|0;l=q&255;if(l<<24>>24==d<<24>>24){o=m;p=0;break}bnc(c,l);if((b[g>>0]|0)<0&(f[j>>2]|0)==-17){o=m;p=4;break}else i=m}i=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;Hcc(i,f[i+16>>2]|((o|0)==0?p|4:p));u=e;return a|0}function Ekb(a){a=a|0;return}function Fkb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=u;u=u+16|0;d=c;e=_kb(a,d,b)|0;g=f[e>>2]|0;if(g|0){h=g;i=h+28|0;u=c;return i|0}g=Bmc(40)|0;Nmc(g+16|0,b);b=g+28|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;b=f[d>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=b;f[e>>2]=g;b=f[f[a>>2]>>2]|0;if(!b)j=g;else{f[a>>2]=b;j=f[e>>2]|0}RS(f[a+4>>2]|0,j);j=a+8|0;f[j>>2]=(f[j>>2]|0)+1;h=g;i=h+28|0;u=c;return i|0}function Gkb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;d=u;u=u+320|0;e=d+168|0;g=d+152|0;h=d+8|0;i=d;f[a>>2]=0;j=a+4|0;f[j>>2]=0;f[a+8>>2]=0;k=e+64|0;l=e+8|0;f[l>>2]=46164;m=e+12|0;f[e>>2]=10956;f[k>>2]=10976;f[e+4>>2]=0;Icc(e+64|0,m);f[e+136>>2]=0;f[e+140>>2]=-1;f[e>>2]=46144;f[k>>2]=46184;f[l>>2]=46164;Ncc(m);f[m>>2]=46200;l=e+44|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[e+60>>2]=24;YQ(m,c);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;c=h+64|0;m=h+8|0;l=h+12|0;k=h+4|0;n=h+64|0;o=h+136|0;p=h+140|0;q=h+44|0;r=h+60|0;s=a+8|0;while(1){t=Dkb(e,g,44)|0;v=(f[t+(f[(f[t>>2]|0)+-12>>2]|0)+16>>2]&5|0)!=0;if(!((v?0:0)&1|(v?0:1666)))break;f[m>>2]=46164;f[h>>2]=10956;f[c>>2]=10976;f[k>>2]=0;Icc(n,l);f[o>>2]=0;f[p>>2]=-1;f[h>>2]=46144;f[c>>2]=46184;f[m>>2]=46164;Ncc(l);f[l>>2]=46200;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;f[r>>2]=24;YQ(l,g);Vcc(h,i)|0;v=f[j>>2]|0;if((v|0)==(f[s>>2]|0))tua(a,i);else{f[v>>2]=f[i>>2];f[j>>2]=v+4}$Q(h)}if((b[g+11>>0]|0)>=0){$Q(e);u=d;return}Emc(f[g>>2]|0);$Q(e);u=d;return}function Hkb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+160|0;e=d;g=d+8|0;f[e>>2]=c;h=Ykb(a,b)|0;if((h|0)==(a+4|0)){i=c;u=d;return i|0}c=g+64|0;a=g+8|0;f[a>>2]=46164;b=g+12|0;f[g>>2]=10956;f[c>>2]=10976;f[g+4>>2]=0;Icc(g+64|0,b);f[g+136>>2]=0;f[g+140>>2]=-1;f[g>>2]=46144;f[c>>2]=46184;f[a>>2]=46164;Ncc(b);f[b>>2]=46200;a=g+44|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[g+60>>2]=24;YQ(b,h+28|0);Tcc(g,e)|0;$Q(g);i=f[e>>2]|0;u=d;return i|0}function Ikb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+144|0;g=e;h=Ykb(b,c)|0;if((h|0)==(b+4|0)){Nmc(a,d);u=e;return}b=g+64|0;c=g+8|0;f[c>>2]=46164;i=g+12|0;f[g>>2]=10956;f[b>>2]=10976;f[g+4>>2]=0;Icc(g+64|0,i);f[g+136>>2]=0;f[g+140>>2]=-1;f[g>>2]=46144;f[b>>2]=46184;f[c>>2]=46164;Ncc(i);f[i>>2]=46200;c=g+44|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;f[g+60>>2]=24;YQ(i,h+28|0);HZ(g,d)|0;$Q(g);Nmc(a,d);u=e;return}function Jkb(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;h=u;u=u+320|0;k=h+56|0;l=h+40|0;m=h;o=h+272|0;p=h+196|0;q=h+184|0;r=h+176|0;s=h+96|0;t=h+68|0;v=h+88|0;w=h+80|0;Zkb(o,a,c,d,e,g);f[p+40>>2]=0;f[p+44>>2]=0;g=p+40|0;e=p+36|0;d=p;c=d+36|0;do{f[d>>2]=0;d=d+4|0}while((d|0)<(c|0));f[e>>2]=g;g=p+48|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;g=a+4|0;f[m>>2]=f[g>>2];aR(r,443998,m);e=f[r>>2]|0;x=f[r+4>>2]|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;if(x>>>0>4294967279)Lmc(q);if(x>>>0<11){b[q+11>>0]=x;if(!x)y=q;else{z=q;A=6}}else{B=x+16&-16;C=Bmc(B)|0;f[q>>2]=C;f[q+8>>2]=B|-2147483648;f[q+4>>2]=x;z=C;A=6}if((A|0)==6){Krc(z|0,e|0,x|0)|0;y=z}b[y+x>>0]=0;ZG(r);r=(i|0)!=0;if(!r){f[m>>2]=0;f[m+4>>2]=0;d=YG(m,9)|0;D=468376;c=d+9|0;do{b[d>>0]=b[D>>0]|0;d=d+1|0;D=D+1|0}while((d|0)<(c|0));b[s>>0]=1;TCa(o,m,s)|0;ZG(m)}Qmc(p,q)|0;i=o+32|0;x=f[i>>2]|0;y=o+36|0;z=f[y>>2]|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;if(z>>>0>4294967279)Lmc(m);if(z>>>0<11){b[m+11>>0]=z;if(!z)E=m;else{F=m;A=14}}else{e=z+16&-16;C=Bmc(e)|0;f[m>>2]=C;f[m+8>>2]=e|-2147483648;f[m+4>>2]=z;F=C;A=14}if((A|0)==14){Krc(F|0,x|0,z|0)|0;E=F}b[E+z>>0]=0;Qmc(p+12|0,m)|0;if((b[m+11>>0]|0)<0)Emc(f[m>>2]|0);dEa(p+36|0,o)|0;JBa(p+48|0,f[o+12>>2]|0,f[o+16>>2]|0);z=p+60|0;E=o+24|0;ZG(z);F=f[E>>2]|0;if(!F)G=0;else{x=F+-4|0;f[x>>2]=(f[x>>2]|0)+1;G=f[E>>2]|0}f[z>>2]=G;f[p+64>>2]=f[o+28>>2];G=p+68|0;ZG(G);z=f[i>>2]|0;if(!z)H=0;else{E=z+-4|0;f[E>>2]=(f[E>>2]|0)+1;H=f[i>>2]|0}f[G>>2]=H;f[p+72>>2]=f[y>>2];y=a+8|0;H=p+28|0;G=f[H>>2]|0;if((G|0)==(f[p+32>>2]|0))LY(p+24|0,y);else{Nmc(G,y);f[H>>2]=(f[H>>2]|0)+12}Qmc(y,q)|0;H=f[a>>2]|0;G=H+16|0;i=f[G>>2]|0;if((i|0)==(f[H+20>>2]|0))Xkb(H+12|0,p);else{kza(i,p);f[G>>2]=(f[G>>2]|0)+76}if(r){f[m+4>>2]=0;f[m+8>>2]=0;f[m>>2]=m+4;r=m+12|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;f[r+16>>2]=0;f[r+20>>2]=0;f[r+24>>2]=0;G=m+24|0;ZG(G);d=YG(G,14)|0;D=444006;c=d+14|0;do{b[d>>0]=b[D>>0]|0;d=d+1|0;D=D+1|0}while((d|0)<(c|0));i=m+32|0;ZG(i);d=YG(i,9)|0;D=444021;c=d+9|0;do{b[d>>0]=b[D>>0]|0;d=d+1|0;D=D+1|0}while((d|0)<(c|0));f[s>>2]=0;f[s+4>>2]=0;d=YG(s,10)|0;D=456886;c=d+10|0;do{b[d>>0]=b[D>>0]|0;d=d+1|0;D=D+1|0}while((d|0)<(c|0));b[t>>0]=1;TCa(m,s,t)|0;ZG(s);f[s>>2]=0;f[s+4>>2]=0;H=YG(s,8)|0;E=H;b[E>>0]=104;b[E+1>>0]=97;b[E+2>>0]=115;b[E+3>>0]=95;E=H+4|0;b[E>>0]=98;b[E+1>>0]=105;b[E+2>>0]=97;b[E+3>>0]=115;b[t>>0]=1;TCa(m,s,t)|0;ZG(s);f[s>>2]=0;f[s+4>>2]=0;E=YG(s,3)|0;b[E>>0]=b[468047]|0;b[E+1>>0]=b[468048]|0;b[E+2>>0]=b[468049]|0;n[t>>2]=9.999999974752427e-07;LCa(m,s,t)|0;ZG(s);f[s+40>>2]=0;f[s+44>>2]=0;E=s+40|0;H=s+36|0;d=s;c=d+36|0;do{f[d>>2]=0;d=d+4|0}while((d|0)<(c|0));f[H>>2]=E;E=s+48|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;f[E+16>>2]=0;f[E+20>>2]=0;f[E+24>>2]=0;f[l>>2]=f[g>>2];aR(v,444031,l);E=f[v>>2]|0;H=f[v+4>>2]|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;if(H>>>0>4294967279)Lmc(t);if(H>>>0<11){b[t+11>>0]=H;if(!H)I=t;else{J=t;A=33}}else{z=H+16&-16;x=Bmc(z)|0;f[t>>2]=x;f[t+8>>2]=z|-2147483648;f[t+4>>2]=H;J=x;A=33}if((A|0)==33){Krc(J|0,E|0,H|0)|0;I=J}b[I+H>>0]=0;ZG(v);Qmc(s,t)|0;v=f[i>>2]|0;H=m+36|0;I=f[H>>2]|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;if(I>>>0>4294967279)Lmc(l);if(I>>>0<11){b[l+11>>0]=I;if(!I)K=l;else{L=l;A=39}}else{J=I+16&-16;E=Bmc(J)|0;f[l>>2]=E;f[l+8>>2]=J|-2147483648;f[l+4>>2]=I;L=E;A=39}if((A|0)==39){Krc(L|0,v|0,I|0)|0;K=L}b[K+I>>0]=0;Qmc(s+12|0,l)|0;if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0);dEa(s+36|0,m)|0;JBa(s+48|0,f[r>>2]|0,f[m+16>>2]|0);r=s+60|0;ZG(r);l=f[G>>2]|0;if(!l)M=0;else{I=l+-4|0;f[I>>2]=(f[I>>2]|0)+1;M=f[G>>2]|0}f[r>>2]=M;f[s+64>>2]=f[m+28>>2];M=s+68|0;ZG(M);r=f[i>>2]|0;if(!r)N=0;else{G=r+-4|0;f[G>>2]=(f[G>>2]|0)+1;N=f[i>>2]|0}f[M>>2]=N;f[s+72>>2]=f[H>>2];H=s+28|0;N=f[H>>2]|0;if((N|0)==(f[s+32>>2]|0))LY(s+24|0,y);else{Nmc(N,y);f[H>>2]=(f[H>>2]|0)+12}Qmc(y,t)|0;H=f[a>>2]|0;N=H+16|0;M=f[N>>2]|0;if((M|0)==(f[H+20>>2]|0))Xkb(H+12|0,s);else{kza(M,s);f[N>>2]=(f[N>>2]|0)+76}if((b[t+11>>0]|0)<0)Emc(f[t>>2]|0);iza(s);qza(m)}if(j|0){f[m+4>>2]=0;f[m+8>>2]=0;f[m>>2]=m+4;j=m+12|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;f[j+24>>2]=0;f[s>>2]=0;f[s+4>>2]=0;d=YG(s,14)|0;D=468971;c=d+14|0;do{b[d>>0]=b[D>>0]|0;d=d+1|0;D=D+1|0}while((d|0)<(c|0));n[t>>2]=.10000000149011612;LCa(m,s,t)|0;ZG(s);N=m+24|0;ZG(N);d=YG(N,9)|0;D=444037;c=d+9|0;do{b[d>>0]=b[D>>0]|0;d=d+1|0;D=D+1|0}while((d|0)<(c|0));D=m+32|0;ZG(D);M=YG(D,4)|0;b[M>>0]=82;b[M+1>>0]=101;b[M+2>>0]=76;b[M+3>>0]=85;f[s+40>>2]=0;f[s+44>>2]=0;M=s+40|0;H=s+36|0;d=s;c=d+36|0;do{f[d>>2]=0;d=d+4|0}while((d|0)<(c|0));f[H>>2]=M;M=s+48|0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;f[M+16>>2]=0;f[M+20>>2]=0;f[M+24>>2]=0;f[k>>2]=f[g>>2];aR(w,444047,k);M=f[w>>2]|0;H=f[w+4>>2]|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;if(H>>>0>4294967279)Lmc(t);if(H>>>0<11){b[t+11>>0]=H;if(!H)O=t;else{P=t;A=61}}else{d=H+16&-16;c=Bmc(d)|0;f[t>>2]=c;f[t+8>>2]=d|-2147483648;f[t+4>>2]=H;P=c;A=61}if((A|0)==61){Krc(P|0,M|0,H|0)|0;O=P}b[O+H>>0]=0;ZG(w);Qmc(s,t)|0;w=f[D>>2]|0;H=m+36|0;O=f[H>>2]|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;if(O>>>0>4294967279)Lmc(k);if(O>>>0<11){b[k+11>>0]=O;if(!O)Q=k;else{R=k;A=67}}else{P=O+16&-16;M=Bmc(P)|0;f[k>>2]=M;f[k+8>>2]=P|-2147483648;f[k+4>>2]=O;R=M;A=67}if((A|0)==67){Krc(R|0,w|0,O|0)|0;Q=R}b[Q+O>>0]=0;Qmc(s+12|0,k)|0;if((b[k+11>>0]|0)<0)Emc(f[k>>2]|0);dEa(s+36|0,m)|0;JBa(s+48|0,f[j>>2]|0,f[m+16>>2]|0);j=s+60|0;ZG(j);k=f[N>>2]|0;if(!k)S=0;else{O=k+-4|0;f[O>>2]=(f[O>>2]|0)+1;S=f[N>>2]|0}f[j>>2]=S;f[s+64>>2]=f[m+28>>2];S=s+68|0;ZG(S);j=f[D>>2]|0;if(!j)T=0;else{N=j+-4|0;f[N>>2]=(f[N>>2]|0)+1;T=f[D>>2]|0}f[S>>2]=T;f[s+72>>2]=f[H>>2];H=s+28|0;T=f[H>>2]|0;if((T|0)==(f[s+32>>2]|0))LY(s+24|0,y);else{Nmc(T,y);f[H>>2]=(f[H>>2]|0)+12}Qmc(y,t)|0;H=f[a>>2]|0;T=H+16|0;S=f[T>>2]|0;if((S|0)==(f[H+20>>2]|0))Xkb(H+12|0,s);else{kza(S,s);f[T>>2]=(f[T>>2]|0)+76}if((b[t+11>>0]|0)<0)Emc(f[t>>2]|0);iza(s);qza(m)}f[g>>2]=(f[g>>2]|0)+1;g=a+24|0;m=f[g>>2]|0;if((m|0)==(f[a+28>>2]|0))LY(a+20|0,y);else{Nmc(m,y);f[g>>2]=(f[g>>2]|0)+12}if((b[q+11>>0]|0)>=0){iza(p);qza(o);u=h;return}Emc(f[q>>2]|0);iza(p);qza(o);u=h;return}function Kkb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;g=u;u=u+160|0;h=g;i=g+112|0;j=g+36|0;k=g+24|0;l=g+16|0;f[i+4>>2]=0;f[i+8>>2]=0;f[i>>2]=i+4;m=i+12|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;f[m+24>>2]=0;f[j>>2]=0;f[j+4>>2]=0;n=YG(j,4)|0;b[n>>0]=112;b[n+1>>0]=111;b[n+2>>0]=111;b[n+3>>0]=108;f[k>>2]=0;f[k+4>>2]=0;n=YG(k,3)|0;b[n>>0]=b[474850]|0;b[n+1>>0]=b[474851]|0;b[n+2>>0]=b[474852]|0;yEa(i,j,k)|0;ZG(k);ZG(j);f[j>>2]=0;f[j+4>>2]=0;n=YG(j,11)|0;o=474838;p=n+11|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));f[k>>2]=c;KCa(i,j,k)|0;ZG(j);f[j>>2]=0;f[j+4>>2]=0;c=YG(j,3)|0;b[c>>0]=b[452504]|0;b[c+1>>0]=b[452505]|0;b[c+2>>0]=b[452506]|0;f[k>>2]=d;KCa(i,j,k)|0;ZG(j);f[j>>2]=0;f[j+4>>2]=0;d=YG(j,6)|0;b[d>>0]=b[452508]|0;b[d+1>>0]=b[452509]|0;b[d+2>>0]=b[452510]|0;b[d+3>>0]=b[452511]|0;b[d+4>>0]=b[452512]|0;b[d+5>>0]=b[452513]|0;f[k>>2]=e;KCa(i,j,k)|0;ZG(j);f[j>>2]=0;f[j+4>>2]=0;e=YG(j,8)|0;d=e;b[d>>0]=112;b[d+1>>0]=97;b[d+2>>0]=100;b[d+3>>0]=95;d=e+4|0;b[d>>0]=109;b[d+1>>0]=111;b[d+2>>0]=100;b[d+3>>0]=101;f[k>>2]=0;f[k+4>>2]=0;d=YG(k,4)|0;b[d>>0]=83;b[d+1>>0]=65;b[d+2>>0]=77;b[d+3>>0]=69;yEa(i,j,k)|0;ZG(k);ZG(j);d=i+24|0;ZG(d);n=YG(d,12)|0;o=443958;p=n+12|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));o=i+32|0;ZG(o);e=YG(o,7)|0;b[e>>0]=b[443971]|0;b[e+1>>0]=b[443972]|0;b[e+2>>0]=b[443973]|0;b[e+3>>0]=b[443974]|0;b[e+4>>0]=b[443975]|0;b[e+5>>0]=b[443976]|0;b[e+6>>0]=b[443977]|0;f[j+40>>2]=0;f[j+44>>2]=0;e=j+40|0;c=j+36|0;n=j;p=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(p|0));f[c>>2]=e;e=j+48|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;e=a+4|0;f[h>>2]=f[e>>2];aR(l,443990,h);c=f[l>>2]|0;n=f[l+4>>2]|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;if(n>>>0>4294967279)Lmc(k);if(n>>>0<11){b[k+11>>0]=n;if(!n)q=k;else{r=k;s=6}}else{p=n+16&-16;t=Bmc(p)|0;f[k>>2]=t;f[k+8>>2]=p|-2147483648;f[k+4>>2]=n;r=t;s=6}if((s|0)==6){Krc(r|0,c|0,n|0)|0;q=r}b[q+n>>0]=0;ZG(l);Qmc(j,k)|0;l=f[o>>2]|0;n=i+36|0;q=f[n>>2]|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(q>>>0>4294967279)Lmc(h);if(q>>>0<11){b[h+11>>0]=q;if(!q)v=h;else{w=h;s=12}}else{r=q+16&-16;c=Bmc(r)|0;f[h>>2]=c;f[h+8>>2]=r|-2147483648;f[h+4>>2]=q;w=c;s=12}if((s|0)==12){Krc(w|0,l|0,q|0)|0;v=w}b[v+q>>0]=0;Qmc(j+12|0,h)|0;if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);dEa(j+36|0,i)|0;JBa(j+48|0,f[m>>2]|0,f[i+16>>2]|0);m=j+60|0;ZG(m);h=f[d>>2]|0;if(!h)x=0;else{q=h+-4|0;f[q>>2]=(f[q>>2]|0)+1;x=f[d>>2]|0}f[m>>2]=x;f[j+64>>2]=f[i+28>>2];x=j+68|0;ZG(x);m=f[o>>2]|0;if(!m)y=0;else{d=m+-4|0;f[d>>2]=(f[d>>2]|0)+1;y=f[o>>2]|0}f[x>>2]=y;f[j+72>>2]=f[n>>2];n=a+8|0;y=j+28|0;x=f[y>>2]|0;if((x|0)==(f[j+32>>2]|0))LY(j+24|0,n);else{Nmc(x,n);f[y>>2]=(f[y>>2]|0)+12}Qmc(n,k)|0;y=f[a>>2]|0;x=y+16|0;o=f[x>>2]|0;if((o|0)==(f[y+20>>2]|0))Xkb(y+12|0,j);else{kza(o,j);f[x>>2]=(f[x>>2]|0)+76}f[e>>2]=(f[e>>2]|0)+1;e=a+24|0;x=f[e>>2]|0;if((x|0)==(f[a+28>>2]|0))LY(a+20|0,n);else{Nmc(x,n);f[e>>2]=(f[e>>2]|0)+12}if((b[k+11>>0]|0)>=0){iza(j);qza(i);u=g;return}Emc(f[k>>2]|0);iza(j);qza(i);u=g;return}function Lkb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;c=u;u=u+160|0;d=c;e=c+112|0;g=c+36|0;h=c+24|0;i=c+16|0;f[e+4>>2]=0;f[e+8>>2]=0;f[e>>2]=e+4;j=e+12|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;f[j+24>>2]=0;f[g>>2]=0;f[g+4>>2]=0;k=YG(g,4)|0;b[k>>0]=112;b[k+1>>0]=111;b[k+2>>0]=111;b[k+3>>0]=108;f[h>>2]=0;f[h+4>>2]=0;k=YG(h,3)|0;b[k>>0]=b[474854]|0;b[k+1>>0]=b[474855]|0;b[k+2>>0]=b[474856]|0;yEa(e,g,h)|0;ZG(h);ZG(g);f[g>>2]=0;f[g+4>>2]=0;k=YG(g,14)|0;l=452614;m=k+14|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));b[h>>0]=1;TCa(e,g,h)|0;ZG(g);n=e+24|0;ZG(n);k=YG(n,12)|0;l=443958;m=k+12|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));l=e+32|0;ZG(l);o=YG(l,7)|0;b[o>>0]=b[443971]|0;b[o+1>>0]=b[443972]|0;b[o+2>>0]=b[443973]|0;b[o+3>>0]=b[443974]|0;b[o+4>>0]=b[443975]|0;b[o+5>>0]=b[443976]|0;b[o+6>>0]=b[443977]|0;f[g+40>>2]=0;f[g+44>>2]=0;o=g+40|0;p=g+36|0;k=g;m=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(m|0));f[p>>2]=o;o=g+48|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;f[o+16>>2]=0;f[o+20>>2]=0;f[o+24>>2]=0;o=a+4|0;f[d>>2]=f[o>>2];aR(i,443979,d);p=f[i>>2]|0;k=f[i+4>>2]|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(k>>>0>4294967279)Lmc(h);if(k>>>0<11){b[h+11>>0]=k;if(!k)q=h;else{r=h;s=6}}else{m=k+16&-16;t=Bmc(m)|0;f[h>>2]=t;f[h+8>>2]=m|-2147483648;f[h+4>>2]=k;r=t;s=6}if((s|0)==6){Krc(r|0,p|0,k|0)|0;q=r}b[q+k>>0]=0;ZG(i);Qmc(g,h)|0;i=f[l>>2]|0;k=e+36|0;q=f[k>>2]|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;if(q>>>0>4294967279)Lmc(d);if(q>>>0<11){b[d+11>>0]=q;if(!q)v=d;else{w=d;s=12}}else{r=q+16&-16;p=Bmc(r)|0;f[d>>2]=p;f[d+8>>2]=r|-2147483648;f[d+4>>2]=q;w=p;s=12}if((s|0)==12){Krc(w|0,i|0,q|0)|0;v=w}b[v+q>>0]=0;Qmc(g+12|0,d)|0;if((b[d+11>>0]|0)<0)Emc(f[d>>2]|0);dEa(g+36|0,e)|0;JBa(g+48|0,f[j>>2]|0,f[e+16>>2]|0);j=g+60|0;ZG(j);d=f[n>>2]|0;if(!d)x=0;else{q=d+-4|0;f[q>>2]=(f[q>>2]|0)+1;x=f[n>>2]|0}f[j>>2]=x;f[g+64>>2]=f[e+28>>2];x=g+68|0;ZG(x);j=f[l>>2]|0;if(!j)y=0;else{n=j+-4|0;f[n>>2]=(f[n>>2]|0)+1;y=f[l>>2]|0}f[x>>2]=y;f[g+72>>2]=f[k>>2];k=a+8|0;y=g+28|0;x=f[y>>2]|0;if((x|0)==(f[g+32>>2]|0))LY(g+24|0,k);else{Nmc(x,k);f[y>>2]=(f[y>>2]|0)+12}Qmc(k,h)|0;y=f[a>>2]|0;x=y+16|0;l=f[x>>2]|0;if((l|0)==(f[y+20>>2]|0))Xkb(y+12|0,g);else{kza(l,g);f[x>>2]=(f[x>>2]|0)+76}f[o>>2]=(f[o>>2]|0)+1;o=a+24|0;x=f[o>>2]|0;if((x|0)==(f[a+28>>2]|0))LY(a+20|0,k);else{Nmc(x,k);f[o>>2]=(f[o>>2]|0)+12}if((b[h+11>>0]|0)>=0){iza(g);qza(e);u=c;return}Emc(f[h>>2]|0);iza(g);qza(e);u=c;return}function Mkb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;c=u;u=u+160|0;d=c;e=c+112|0;g=c+36|0;h=c+24|0;i=c+16|0;f[e+4>>2]=0;f[e+8>>2]=0;f[e>>2]=e+4;j=e+12|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;f[j+24>>2]=0;k=e+24|0;ZG(k);l=YG(k,12)|0;m=443934;n=l+12|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));m=e+32|0;ZG(m);o=YG(m,7)|0;b[o>>0]=b[446607]|0;b[o+1>>0]=b[446608]|0;b[o+2>>0]=b[446609]|0;b[o+3>>0]=b[446610]|0;b[o+4>>0]=b[446611]|0;b[o+5>>0]=b[446612]|0;b[o+6>>0]=b[446613]|0;f[g+40>>2]=0;f[g+44>>2]=0;o=g+40|0;p=g+36|0;l=g;n=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(n|0));f[p>>2]=o;o=g+48|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;f[o+16>>2]=0;f[o+20>>2]=0;f[o+24>>2]=0;o=a+4|0;f[d>>2]=f[o>>2];aR(i,443947,d);p=f[i>>2]|0;l=f[i+4>>2]|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(l>>>0>4294967279)Lmc(h);if(l>>>0<11){b[h+11>>0]=l;if(!l)q=h;else{r=h;s=6}}else{n=l+16&-16;t=Bmc(n)|0;f[h>>2]=t;f[h+8>>2]=n|-2147483648;f[h+4>>2]=l;r=t;s=6}if((s|0)==6){Krc(r|0,p|0,l|0)|0;q=r}b[q+l>>0]=0;ZG(i);Qmc(g,h)|0;i=f[m>>2]|0;l=e+36|0;q=f[l>>2]|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;if(q>>>0>4294967279)Lmc(d);if(q>>>0<11){b[d+11>>0]=q;if(!q)v=d;else{w=d;s=12}}else{r=q+16&-16;p=Bmc(r)|0;f[d>>2]=p;f[d+8>>2]=r|-2147483648;f[d+4>>2]=q;w=p;s=12}if((s|0)==12){Krc(w|0,i|0,q|0)|0;v=w}b[v+q>>0]=0;Qmc(g+12|0,d)|0;if((b[d+11>>0]|0)<0)Emc(f[d>>2]|0);dEa(g+36|0,e)|0;JBa(g+48|0,f[j>>2]|0,f[e+16>>2]|0);j=g+60|0;ZG(j);d=f[k>>2]|0;if(!d)x=0;else{q=d+-4|0;f[q>>2]=(f[q>>2]|0)+1;x=f[k>>2]|0}f[j>>2]=x;f[g+64>>2]=f[e+28>>2];x=g+68|0;ZG(x);j=f[m>>2]|0;if(!j)y=0;else{k=j+-4|0;f[k>>2]=(f[k>>2]|0)+1;y=f[m>>2]|0}f[x>>2]=y;f[g+72>>2]=f[l>>2];l=a+8|0;y=g+28|0;x=f[y>>2]|0;if((x|0)==(f[g+32>>2]|0))LY(g+24|0,l);else{Nmc(x,l);f[y>>2]=(f[y>>2]|0)+12}Qmc(l,h)|0;y=f[a>>2]|0;x=y+16|0;m=f[x>>2]|0;if((m|0)==(f[y+20>>2]|0))Xkb(y+12|0,g);else{kza(m,g);f[x>>2]=(f[x>>2]|0)+76}f[o>>2]=(f[o>>2]|0)+1;o=a+24|0;x=f[o>>2]|0;if((x|0)==(f[a+28>>2]|0))LY(a+20|0,l);else{Nmc(x,l);f[o>>2]=(f[o>>2]|0)+12}if((b[h+11>>0]|0)>=0){iza(g);qza(e);u=c;return}Emc(f[h>>2]|0);iza(g);qza(e);u=c;return}function Nkb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;d=u;u=u+320|0;e=d+168|0;g=d+152|0;h=d+8|0;i=d;f[a>>2]=0;j=a+4|0;f[j>>2]=0;f[a+8>>2]=0;k=e+64|0;l=e+8|0;f[l>>2]=46164;m=e+12|0;f[e>>2]=10956;f[k>>2]=10976;f[e+4>>2]=0;Icc(e+64|0,m);f[e+136>>2]=0;f[e+140>>2]=-1;f[e>>2]=46144;f[k>>2]=46184;f[l>>2]=46164;Ncc(m);f[m>>2]=46200;l=e+44|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[e+60>>2]=24;YQ(m,c);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;c=h+64|0;m=h+8|0;l=h+12|0;k=h+4|0;n=h+64|0;o=h+136|0;p=h+140|0;q=h+44|0;r=h+60|0;s=a+8|0;while(1){t=Dkb(e,g,44)|0;v=(f[t+(f[(f[t>>2]|0)+-12>>2]|0)+16>>2]&5|0)!=0;if(!((v?0:0)&1|(v?0:1666)))break;f[m>>2]=46164;f[h>>2]=10956;f[c>>2]=10976;f[k>>2]=0;Icc(n,l);f[o>>2]=0;f[p>>2]=-1;f[h>>2]=46144;f[c>>2]=46184;f[m>>2]=46164;Ncc(l);f[l>>2]=46200;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;f[r>>2]=24;YQ(l,g);Tcc(h,i)|0;v=f[j>>2]|0;if((v|0)==(f[s>>2]|0))MR(a,i);else{f[v>>2]=f[i>>2];f[j>>2]=v+4}$Q(h)}if((b[g+11>>0]|0)>=0){$Q(e);u=d;return}Emc(f[g>>2]|0);$Q(e);u=d;return}function Okb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;d=u;u=u+160|0;e=d;g=d+112|0;h=d+36|0;i=d+24|0;j=d+16|0;f[g+4>>2]=0;f[g+8>>2]=0;f[g>>2]=g+4;k=g+12|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;f[k+24>>2]=0;l=g+24|0;ZG(l);m=YG(l,13)|0;n=443908;o=m+13|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));n=g+32|0;ZG(n);p=YG(n,8)|0;q=p;b[q>>0]=73;b[q+1>>0]=100;b[q+2>>0]=101;b[q+3>>0]=110;q=p+4|0;b[q>>0]=116;b[q+1>>0]=105;b[q+2>>0]=116;b[q+3>>0]=121;f[h+40>>2]=0;f[h+44>>2]=0;q=h+40|0;p=h+36|0;m=h;o=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(o|0));f[p>>2]=q;q=h+48|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;f[q+16>>2]=0;f[q+20>>2]=0;f[q+24>>2]=0;q=a+4|0;f[e>>2]=f[q>>2];aR(j,443922,e);p=f[j>>2]|0;m=f[j+4>>2]|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;if(m>>>0>4294967279)Lmc(i);if(m>>>0<11){b[i+11>>0]=m;if(!m)r=i;else{s=i;t=6}}else{o=m+16&-16;v=Bmc(o)|0;f[i>>2]=v;f[i+8>>2]=o|-2147483648;f[i+4>>2]=m;s=v;t=6}if((t|0)==6){Krc(s|0,p|0,m|0)|0;r=s}b[r+m>>0]=0;ZG(j);Qmc(h,i)|0;j=f[n>>2]|0;m=g+36|0;r=f[m>>2]|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;if(r>>>0>4294967279)Lmc(e);if(r>>>0<11){b[e+11>>0]=r;if(!r)w=e;else{x=e;t=12}}else{s=r+16&-16;p=Bmc(s)|0;f[e>>2]=p;f[e+8>>2]=s|-2147483648;f[e+4>>2]=r;x=p;t=12}if((t|0)==12){Krc(x|0,j|0,r|0)|0;w=x}b[w+r>>0]=0;Qmc(h+12|0,e)|0;if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);dEa(h+36|0,g)|0;JBa(h+48|0,f[k>>2]|0,f[g+16>>2]|0);k=h+60|0;ZG(k);e=f[l>>2]|0;if(!e)y=0;else{r=e+-4|0;f[r>>2]=(f[r>>2]|0)+1;y=f[l>>2]|0}f[k>>2]=y;f[h+64>>2]=f[g+28>>2];y=h+68|0;ZG(y);k=f[n>>2]|0;if(!k)z=0;else{l=k+-4|0;f[l>>2]=(f[l>>2]|0)+1;z=f[n>>2]|0}f[y>>2]=z;f[h+72>>2]=f[m>>2];m=a+20|0;z=a+24|0;y=f[m>>2]|0;if((((f[z>>2]|0)-y|0)/12|0)>>>0<=c>>>0)Vkc(m);n=y+(c*12|0)|0;c=h+28|0;y=f[c>>2]|0;if((y|0)==(f[h+32>>2]|0))LY(h+24|0,n);else{Nmc(y,n);f[c>>2]=(f[c>>2]|0)+12}c=a+8|0;Qmc(c,i)|0;n=f[a>>2]|0;y=n+16|0;l=f[y>>2]|0;if((l|0)==(f[n+20>>2]|0))Xkb(n+12|0,h);else{kza(l,h);f[y>>2]=(f[y>>2]|0)+76}f[q>>2]=(f[q>>2]|0)+1;q=f[z>>2]|0;if((q|0)==(f[a+28>>2]|0))LY(m,c);else{Nmc(q,c);f[z>>2]=(f[z>>2]|0)+12}if((b[i+11>>0]|0)>=0){iza(h);qza(g);u=d;return}Emc(f[i>>2]|0);iza(h);qza(g);u=d;return}function Pkb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;e=u;u=u+160|0;g=e;h=e+112|0;i=e+36|0;j=e+24|0;k=e+16|0;f[h+4>>2]=0;f[h+8>>2]=0;f[h>>2]=h+4;l=h+12|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;m=h+24|0;ZG(m);n=YG(m,11)|0;o=443879;p=n+11|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));o=h+32|0;ZG(o);q=YG(o,6)|0;b[q>>0]=b[443891]|0;b[q+1>>0]=b[443892]|0;b[q+2>>0]=b[443893]|0;b[q+3>>0]=b[443894]|0;b[q+4>>0]=b[443895]|0;b[q+5>>0]=b[443896]|0;f[i>>2]=0;f[i+4>>2]=0;q=YG(i,4)|0;b[q>>0]=97;b[q+1>>0]=120;b[q+2>>0]=105;b[q+3>>0]=115;f[j>>2]=1;KCa(h,i,j)|0;ZG(i);f[i+40>>2]=0;f[i+44>>2]=0;q=i+40|0;r=i+36|0;n=i;p=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(p|0));f[r>>2]=q;q=i+48|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;f[q+16>>2]=0;f[q+20>>2]=0;f[q+24>>2]=0;q=a+4|0;f[g>>2]=f[q>>2];aR(k,443898,g);r=f[k>>2]|0;n=f[k+4>>2]|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;if(n>>>0>4294967279)Lmc(j);if(n>>>0<11){b[j+11>>0]=n;if(!n)s=j;else{t=j;v=6}}else{p=n+16&-16;w=Bmc(p)|0;f[j>>2]=w;f[j+8>>2]=p|-2147483648;f[j+4>>2]=n;t=w;v=6}if((v|0)==6){Krc(t|0,r|0,n|0)|0;s=t}b[s+n>>0]=0;ZG(k);Qmc(i,j)|0;k=f[o>>2]|0;n=h+36|0;s=f[n>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;if(s>>>0>4294967279)Lmc(g);if(s>>>0<11){b[g+11>>0]=s;if(!s)x=g;else{y=g;v=12}}else{t=s+16&-16;r=Bmc(t)|0;f[g>>2]=r;f[g+8>>2]=t|-2147483648;f[g+4>>2]=s;y=r;v=12}if((v|0)==12){Krc(y|0,k|0,s|0)|0;x=y}b[x+s>>0]=0;Qmc(i+12|0,g)|0;if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);dEa(i+36|0,h)|0;JBa(i+48|0,f[l>>2]|0,f[h+16>>2]|0);l=i+60|0;ZG(l);g=f[m>>2]|0;if(!g)z=0;else{s=g+-4|0;f[s>>2]=(f[s>>2]|0)+1;z=f[m>>2]|0}f[l>>2]=z;f[i+64>>2]=f[h+28>>2];z=i+68|0;ZG(z);l=f[o>>2]|0;if(!l)A=0;else{m=l+-4|0;f[m>>2]=(f[m>>2]|0)+1;A=f[o>>2]|0}f[z>>2]=A;f[i+72>>2]=f[n>>2];a:do if((c|0)>0){n=a+20|0;A=a+24|0;z=i+28|0;o=i+32|0;m=i+24|0;l=0;while(1){s=f[d+(l<<2)>>2]|0;g=f[n>>2]|0;if((((f[A>>2]|0)-g|0)/12|0)>>>0<=s>>>0)break;x=g+(s*12|0)|0;s=f[z>>2]|0;if((s|0)==(f[o>>2]|0))LY(m,x);else{Nmc(s,x);f[z>>2]=(f[z>>2]|0)+12}l=l+1|0;if((l|0)>=(c|0))break a}Vkc(n)}while(0);c=a+8|0;Qmc(c,j)|0;d=f[a>>2]|0;l=d+16|0;z=f[l>>2]|0;if((z|0)==(f[d+20>>2]|0))Xkb(d+12|0,i);else{kza(z,i);f[l>>2]=(f[l>>2]|0)+76}f[q>>2]=(f[q>>2]|0)+1;q=a+24|0;l=f[q>>2]|0;if((l|0)==(f[a+28>>2]|0))LY(a+20|0,c);else{Nmc(l,c);f[q>>2]=(f[q>>2]|0)+12}if((b[j+11>>0]|0)>=0){iza(i);qza(h);u=e;return}Emc(f[j>>2]|0);iza(i);qza(h);u=e;return}function Qkb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+160|0;e=d;g=d+112|0;h=d+120|0;i=d+36|0;j=d+24|0;k=d+16|0;f[g>>2]=c;f[h+4>>2]=0;f[h+8>>2]=0;f[h>>2]=h+4;c=h+12|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;f[c+16>>2]=0;f[c+20>>2]=0;f[c+24>>2]=0;l=h+24|0;ZG(l);m=YG(l,10)|0;n=443853;o=m+10|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));p=h+32|0;ZG(p);q=YG(p,5)|0;b[q>>0]=b[443864]|0;b[q+1>>0]=b[443865]|0;b[q+2>>0]=b[443866]|0;b[q+3>>0]=b[443867]|0;b[q+4>>0]=b[443868]|0;f[i>>2]=0;f[i+4>>2]=0;m=YG(i,12)|0;n=453782;o=m+12|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));KCa(h,i,g)|0;ZG(i);f[i+40>>2]=0;f[i+44>>2]=0;g=i+40|0;n=i+36|0;m=i;o=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(o|0));f[n>>2]=g;g=i+48|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;g=a+4|0;f[e>>2]=f[g>>2];aR(k,443870,e);n=f[k>>2]|0;m=f[k+4>>2]|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;if(m>>>0>4294967279)Lmc(j);if(m>>>0<11){b[j+11>>0]=m;if(!m)r=j;else{s=j;t=6}}else{o=m+16&-16;q=Bmc(o)|0;f[j>>2]=q;f[j+8>>2]=o|-2147483648;f[j+4>>2]=m;s=q;t=6}if((t|0)==6){Krc(s|0,n|0,m|0)|0;r=s}b[r+m>>0]=0;ZG(k);Qmc(i,j)|0;k=f[p>>2]|0;m=h+36|0;r=f[m>>2]|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;if(r>>>0>4294967279)Lmc(e);if(r>>>0<11){b[e+11>>0]=r;if(!r)v=e;else{w=e;t=12}}else{s=r+16&-16;n=Bmc(s)|0;f[e>>2]=n;f[e+8>>2]=s|-2147483648;f[e+4>>2]=r;w=n;t=12}if((t|0)==12){Krc(w|0,k|0,r|0)|0;v=w}b[v+r>>0]=0;Qmc(i+12|0,e)|0;if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);dEa(i+36|0,h)|0;JBa(i+48|0,f[c>>2]|0,f[h+16>>2]|0);c=i+60|0;ZG(c);e=f[l>>2]|0;if(!e)x=0;else{r=e+-4|0;f[r>>2]=(f[r>>2]|0)+1;x=f[l>>2]|0}f[c>>2]=x;f[i+64>>2]=f[h+28>>2];x=i+68|0;ZG(x);c=f[p>>2]|0;if(!c)y=0;else{l=c+-4|0;f[l>>2]=(f[l>>2]|0)+1;y=f[p>>2]|0}f[x>>2]=y;f[i+72>>2]=f[m>>2];m=a+8|0;y=i+28|0;x=f[y>>2]|0;if((x|0)==(f[i+32>>2]|0))LY(i+24|0,m);else{Nmc(x,m);f[y>>2]=(f[y>>2]|0)+12}Qmc(m,j)|0;y=f[a>>2]|0;x=y+16|0;p=f[x>>2]|0;if((p|0)==(f[y+20>>2]|0))Xkb(y+12|0,i);else{kza(p,i);f[x>>2]=(f[x>>2]|0)+76}f[g>>2]=(f[g>>2]|0)+1;g=a+24|0;x=f[g>>2]|0;if((x|0)==(f[a+28>>2]|0))LY(a+20|0,m);else{Nmc(x,m);f[g>>2]=(f[g>>2]|0)+12}if((b[j+11>>0]|0)>=0){iza(i);qza(h);u=d;return}Emc(f[j>>2]|0);iza(i);qza(h);u=d;return}function Rkb(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,g=0,h=0,i=0.0,j=0;d=u;u=u+160|0;e=d;g=d+8|0;n[e>>2]=c;h=Ykb(a,b)|0;if((h|0)==(a+4|0)){i=c;u=d;return +i}a=g+64|0;b=g+8|0;f[b>>2]=46164;j=g+12|0;f[g>>2]=10956;f[a>>2]=10976;f[g+4>>2]=0;Icc(g+64|0,j);f[g+136>>2]=0;f[g+140>>2]=-1;f[g>>2]=46144;f[a>>2]=46184;f[b>>2]=46164;Ncc(j);f[j>>2]=46200;b=g+44|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[g+60>>2]=24;YQ(j,h+28|0);Vcc(g,e)|0;$Q(g);i=+n[e>>2];u=d;return +i}function Skb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+160|0;e=d;g=d+120|0;h=d+112|0;i=d+32|0;j=d+12|0;k=d+24|0;f[g+4>>2]=0;f[g+8>>2]=0;f[g>>2]=g+4;l=g+12|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;m=g+24|0;ZG(m);n=YG(m,12)|0;o=443821;p=n+12|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));o=g+32|0;ZG(o);q=YG(o,7)|0;b[q>>0]=b[443834]|0;b[q+1>>0]=b[443835]|0;b[q+2>>0]=b[443836]|0;b[q+3>>0]=b[443837]|0;b[q+4>>0]=b[443838]|0;b[q+5>>0]=b[443839]|0;b[q+6>>0]=b[443840]|0;q=Bmc(16)|0;f[q>>2]=q+8;f[q+4>>2]=4;r=Dmc(32)|0;f[q>>2]=r;f[h>>2]=0;f[h+4>>2]=q;q=r;f[q>>2]=0;f[q+4>>2]=0;q=r+8|0;f[q>>2]=2;f[q+4>>2]=0;q=r+16|0;f[q>>2]=3;f[q+4>>2]=0;q=r+24|0;f[q>>2]=1;f[q+4>>2]=0;f[i>>2]=0;f[i+4>>2]=0;q=YG(i,5)|0;b[q>>0]=b[467464]|0;b[q+1>>0]=b[467465]|0;b[q+2>>0]=b[467466]|0;b[q+3>>0]=b[467467]|0;b[q+4>>0]=b[467468]|0;MCa(g,i,h)|0;ZG(i);f[i+40>>2]=0;f[i+44>>2]=0;q=i+40|0;r=i+36|0;n=i;p=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(p|0));f[r>>2]=q;q=i+48|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;f[q+16>>2]=0;f[q+20>>2]=0;f[q+24>>2]=0;q=a+4|0;f[e>>2]=f[q>>2];aR(k,443842,e);r=f[k>>2]|0;n=f[k+4>>2]|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;if(n>>>0>4294967279)Lmc(j);if(n>>>0<11){b[j+11>>0]=n;if(!n)s=j;else{t=j;v=6}}else{p=n+16&-16;w=Bmc(p)|0;f[j>>2]=w;f[j+8>>2]=p|-2147483648;f[j+4>>2]=n;t=w;v=6}if((v|0)==6){Krc(t|0,r|0,n|0)|0;s=t}b[s+n>>0]=0;ZG(k);Qmc(i,j)|0;k=f[o>>2]|0;n=g+36|0;s=f[n>>2]|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;if(s>>>0>4294967279)Lmc(e);if(s>>>0<11){b[e+11>>0]=s;if(!s)x=e;else{y=e;v=12}}else{t=s+16&-16;r=Bmc(t)|0;f[e>>2]=r;f[e+8>>2]=t|-2147483648;f[e+4>>2]=s;y=r;v=12}if((v|0)==12){Krc(y|0,k|0,s|0)|0;x=y}b[x+s>>0]=0;Qmc(i+12|0,e)|0;if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);dEa(i+36|0,g)|0;JBa(i+48|0,f[l>>2]|0,f[g+16>>2]|0);l=i+60|0;ZG(l);e=f[m>>2]|0;if(!e)z=0;else{s=e+-4|0;f[s>>2]=(f[s>>2]|0)+1;z=f[m>>2]|0}f[l>>2]=z;f[i+64>>2]=f[g+28>>2];z=i+68|0;ZG(z);l=f[o>>2]|0;if(!l)A=0;else{m=l+-4|0;f[m>>2]=(f[m>>2]|0)+1;A=f[o>>2]|0}f[z>>2]=A;f[i+72>>2]=f[n>>2];n=a+8|0;A=i+28|0;z=f[A>>2]|0;if((z|0)==(f[i+32>>2]|0))LY(i+24|0,n);else{Nmc(z,n);f[A>>2]=(f[A>>2]|0)+12}Qmc(n,j)|0;A=f[a>>2]|0;z=A+16|0;o=f[z>>2]|0;if((o|0)==(f[A+20>>2]|0))Xkb(A+12|0,i);else{kza(o,i);f[z>>2]=(f[z>>2]|0)+76}do if(c){f[q>>2]=(f[q>>2]|0)+1;z=a+24|0;o=f[z>>2]|0;if((o|0)==(f[a+28>>2]|0)){LY(a+20|0,n);break}else{Nmc(o,n);f[z>>2]=(f[z>>2]|0)+12;break}}while(0);if((b[j+11>>0]|0)>=0){iza(i);rza(h);qza(g);u=d;return}Emc(f[j>>2]|0);iza(i);rza(h);qza(g);u=d;return}function Tkb(a,c,d,e,g,h,i,j,k){a=a|0;c=+c;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;l=u;u=u+288|0;m=l+200|0;o=l+152|0;p=l+148|0;q=l+144|0;r=l+140|0;s=l+136|0;t=l+160|0;v=l+24|0;w=l+80|0;x=l+12|0;y=l;n[o>>2]=c;f[p>>2]=d;f[q>>2]=e;f[r>>2]=g;f[s>>2]=h;f[t+4>>2]=0;f[t+8>>2]=0;f[t>>2]=t+4;h=t+12|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;g=t+24|0;ZG(g);e=YG(g,11)|0;d=443713;z=e+11|0;do{b[e>>0]=b[d>>0]|0;e=e+1|0;d=d+1|0}while((e|0)<(z|0));A=t+32|0;ZG(A);B=YG(A,6)|0;b[B>>0]=b[443725]|0;b[B+1>>0]=b[443726]|0;b[B+2>>0]=b[443727]|0;b[B+3>>0]=b[443728]|0;b[B+4>>0]=b[443729]|0;b[B+5>>0]=b[443730]|0;f[m>>2]=0;f[m+4>>2]=0;B=YG(m,6)|0;b[B>>0]=b[464494]|0;b[B+1>>0]=b[464495]|0;b[B+2>>0]=b[464496]|0;b[B+3>>0]=b[464497]|0;b[B+4>>0]=b[464498]|0;b[B+5>>0]=b[464499]|0;LCa(t,m,o)|0;ZG(m);f[m>>2]=0;f[m+4>>2]=0;o=YG(m,6)|0;b[o>>0]=b[464501]|0;b[o+1>>0]=b[464502]|0;b[o+2>>0]=b[464503]|0;b[o+3>>0]=b[464504]|0;b[o+4>>0]=b[464505]|0;b[o+5>>0]=b[464506]|0;KCa(t,m,p)|0;ZG(m);f[m>>2]=0;f[m+4>>2]=0;p=YG(m,7)|0;b[p>>0]=b[464508]|0;b[p+1>>0]=b[464509]|0;b[p+2>>0]=b[464510]|0;b[p+3>>0]=b[464511]|0;b[p+4>>0]=b[464512]|0;b[p+5>>0]=b[464513]|0;b[p+6>>0]=b[464514]|0;KCa(t,m,q)|0;ZG(m);f[m>>2]=0;f[m+4>>2]=0;q=YG(m,7)|0;b[q>>0]=b[464516]|0;b[q+1>>0]=b[464517]|0;b[q+2>>0]=b[464518]|0;b[q+3>>0]=b[464519]|0;b[q+4>>0]=b[464520]|0;b[q+5>>0]=b[464521]|0;b[q+6>>0]=b[464522]|0;KCa(t,m,r)|0;ZG(m);f[m>>2]=0;f[m+4>>2]=0;q=YG(m,8)|0;p=q;b[p>>0]=99;b[p+1>>0]=108;b[p+2>>0]=97;b[p+3>>0]=115;p=q+4|0;b[p>>0]=115;b[p+1>>0]=102;b[p+2>>0]=105;b[p+3>>0]=120;KCa(t,m,s)|0;ZG(m);f[m>>2]=0;f[m+4>>2]=0;e=YG(m,12)|0;d=464615;z=e+12|0;do{b[e>>0]=b[d>>0]|0;e=e+1|0;d=d+1|0}while((e|0)<(z|0));b[v>>0]=(j|0)!=0&1;TCa(t,m,v)|0;ZG(m);f[m>>2]=0;f[m+4>>2]=0;j=YG(m,7)|0;b[j>>0]=b[464524]|0;b[j+1>>0]=b[464525]|0;b[j+2>>0]=b[464526]|0;b[j+3>>0]=b[464527]|0;b[j+4>>0]=b[464528]|0;b[j+5>>0]=b[464529]|0;b[j+6>>0]=b[464530]|0;b[v>>0]=(i|0)!=0&1;TCa(t,m,v)|0;ZG(m);Ri(w,1,f[r>>2]<<1,5,k,0);f[v>>2]=1124007936;k=v+4|0;r=v+8|0;i=v+40|0;e=k;z=e+36|0;do{f[e>>2]=0;e=e+4|0}while((e|0)<(z|0));f[i>>2]=r;j=v+48|0;s=v+44|0;f[s>>2]=j;f[j>>2]=0;f[v+52>>2]=0;p=m+8|0;f[p>>2]=0;f[p+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=v;kT(w,m);p=w+36|0;q=f[p>>2]|0;if(q|0?(o=q+12|0,q=f[o>>2]|0,f[o>>2]=q+-1,(q|0)==1):0)lP(w);f[p>>2]=0;p=w+16|0;q=w+4|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[q>>2]|0)>0){p=f[w+40>>2]|0;o=0;do{f[p+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[q>>2]|0))}q=f[w+44>>2]|0;if((q|0)!=(w+48|0))tE(q);q=t+16|0;w=f[q>>2]|0;if((w|0)==(f[t+20>>2]|0))g2(t+12|0,v);else{f[w>>2]=f[v>>2];o=w+4|0;f[o>>2]=f[k>>2];p=w+8|0;f[p>>2]=f[r>>2];f[w+12>>2]=f[v+12>>2];f[w+16>>2]=f[v+16>>2];f[w+20>>2]=f[v+20>>2];f[w+24>>2]=f[v+24>>2];f[w+28>>2]=f[v+28>>2];f[w+32>>2]=f[v+32>>2];r=f[v+36>>2]|0;f[w+36>>2]=r;f[w+40>>2]=p;p=w+48|0;B=w+44|0;f[B>>2]=p;f[p>>2]=0;f[w+52>>2]=0;if(r|0){p=r+12|0;f[p>>2]=(f[p>>2]|0)+1}if((f[k>>2]|0)<3){p=f[s>>2]|0;r=f[B>>2]|0;f[r>>2]=f[p>>2];f[r+4>>2]=f[p+4>>2]}else{f[o>>2]=0;kP(w,v)}f[q>>2]=(f[q>>2]|0)+56}f[m+40>>2]=0;f[m+44>>2]=0;w=m+40|0;o=m+36|0;e=m;z=e+36|0;do{f[e>>2]=0;e=e+4|0}while((e|0)<(z|0));f[o>>2]=w;w=m+48|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;f[w+16>>2]=0;f[w+20>>2]=0;f[w+24>>2]=0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;w=Bmc(16)|0;f[x>>2]=w;f[x+8>>2]=-2147483632;f[x+4>>2]=13;e=w;d=443807;z=e+13|0;do{b[e>>0]=b[d>>0]|0;e=e+1|0;d=d+1|0}while((e|0)<(z|0));b[w+13>>0]=0;Qmc(m,x)|0;w=f[A>>2]|0;d=t+36|0;e=f[d>>2]|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;if(e>>>0>4294967279)Lmc(y);if(e>>>0<11){b[y+11>>0]=e;if(!e)C=y;else{D=y;E=22}}else{z=e+16&-16;o=Bmc(z)|0;f[y>>2]=o;f[y+8>>2]=z|-2147483648;f[y+4>>2]=e;D=o;E=22}if((E|0)==22){Krc(D|0,w|0,e|0)|0;C=D}b[C+e>>0]=0;Qmc(m+12|0,y)|0;if((b[y+11>>0]|0)<0)Emc(f[y>>2]|0);dEa(m+36|0,t)|0;JBa(m+48|0,f[h>>2]|0,f[q>>2]|0);q=m+60|0;ZG(q);h=f[g>>2]|0;if(!h)F=0;else{y=h+-4|0;f[y>>2]=(f[y>>2]|0)+1;F=f[g>>2]|0}f[q>>2]=F;f[m+64>>2]=f[t+28>>2];F=m+68|0;ZG(F);q=f[A>>2]|0;if(!q)G=0;else{g=q+-4|0;f[g>>2]=(f[g>>2]|0)+1;G=f[A>>2]|0}f[F>>2]=G;f[m+72>>2]=f[d>>2];d=a+8|0;G=m+28|0;F=f[G>>2]|0;if((F|0)==(f[m+32>>2]|0))LY(m+24|0,d);else{Nmc(F,d);f[G>>2]=(f[G>>2]|0)+12}Qmc(d,x)|0;G=f[a>>2]|0;F=G+16|0;A=f[F>>2]|0;if((A|0)==(f[G+20>>2]|0))Xkb(G+12|0,m);else{kza(A,m);f[F>>2]=(f[F>>2]|0)+76}F=a+4|0;f[F>>2]=(f[F>>2]|0)+1;F=a+24|0;A=f[F>>2]|0;if((A|0)==(f[a+28>>2]|0))LY(a+20|0,d);else{Nmc(A,d);f[F>>2]=(f[F>>2]|0)+12}if((b[x+11>>0]|0)<0)Emc(f[x>>2]|0);iza(m);m=v+36|0;x=f[m>>2]|0;if(x|0?(F=x+12|0,x=f[F>>2]|0,f[F>>2]=x+-1,(x|0)==1):0)lP(v);f[m>>2]=0;m=v+16|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[k>>2]|0)>0){m=f[i>>2]|0;i=0;do{f[m+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[k>>2]|0))}k=f[s>>2]|0;if((k|0)==(j|0)){qza(t);u=l;return}tE(k);qza(t);u=l;return}function Ukb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+160|0;e=d;g=d+112|0;h=d+36|0;i=d+24|0;j=d+16|0;f[g+4>>2]=0;f[g+8>>2]=0;f[g>>2]=g+4;k=g+12|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;f[k+24>>2]=0;l=g+24|0;ZG(l);m=YG(l,13)|0;n=443773;o=m+13|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));n=g+32|0;ZG(n);p=YG(n,7)|0;b[p>>0]=b[443787]|0;b[p+1>>0]=b[443788]|0;b[p+2>>0]=b[443789]|0;b[p+3>>0]=b[443790]|0;b[p+4>>0]=b[443791]|0;b[p+5>>0]=b[443792]|0;b[p+6>>0]=b[443793]|0;f[h>>2]=0;f[h+4>>2]=0;p=YG(h,2)|0;b[p>>0]=111;b[p+1>>0]=112;p=i+4|0;f[p>>2]=0;f[p+4>>2]=0;p=i+11|0;b[p>>0]=3;b[i>>0]=b[461807]|0;b[i+1>>0]=b[461808]|0;b[i+2>>0]=b[461809]|0;b[i+3>>0]=0;gDa(g,h,i)|0;if((b[p>>0]|0)<0)Emc(f[i>>2]|0);ZG(h);f[h+40>>2]=0;f[h+44>>2]=0;p=h+40|0;q=h+36|0;m=h;o=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(o|0));f[q>>2]=p;p=h+48|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;f[p+16>>2]=0;f[p+20>>2]=0;f[p+24>>2]=0;p=a+4|0;f[e>>2]=f[p>>2];aR(j,443795,e);q=f[j>>2]|0;m=f[j+4>>2]|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;if(m>>>0>4294967279)Lmc(i);if(m>>>0<11){b[i+11>>0]=m;if(!m)r=i;else{s=i;t=8}}else{o=m+16&-16;v=Bmc(o)|0;f[i>>2]=v;f[i+8>>2]=o|-2147483648;f[i+4>>2]=m;s=v;t=8}if((t|0)==8){Krc(s|0,q|0,m|0)|0;r=s}b[r+m>>0]=0;ZG(j);Qmc(h,i)|0;j=f[n>>2]|0;m=g+36|0;r=f[m>>2]|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;if(r>>>0>4294967279)Lmc(e);if(r>>>0<11){b[e+11>>0]=r;if(!r)w=e;else{x=e;t=14}}else{s=r+16&-16;q=Bmc(s)|0;f[e>>2]=q;f[e+8>>2]=s|-2147483648;f[e+4>>2]=r;x=q;t=14}if((t|0)==14){Krc(x|0,j|0,r|0)|0;w=x}b[w+r>>0]=0;Qmc(h+12|0,e)|0;if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);dEa(h+36|0,g)|0;JBa(h+48|0,f[k>>2]|0,f[g+16>>2]|0);k=h+60|0;ZG(k);e=f[l>>2]|0;if(!e)y=0;else{r=e+-4|0;f[r>>2]=(f[r>>2]|0)+1;y=f[l>>2]|0}f[k>>2]=y;f[h+64>>2]=f[g+28>>2];y=h+68|0;ZG(y);k=f[n>>2]|0;if(!k)z=0;else{l=k+-4|0;f[l>>2]=(f[l>>2]|0)+1;z=f[n>>2]|0}f[y>>2]=z;f[h+72>>2]=f[m>>2];m=h+24|0;z=a+20|0;y=a+24|0;n=f[z>>2]|0;if((((f[y>>2]|0)-n|0)/12|0)>>>0<=c>>>0)Vkc(z);l=n+(c*12|0)|0;c=h+28|0;n=f[c>>2]|0;k=h+32|0;if((n|0)==(f[k>>2]|0)){LY(m,l);A=f[c>>2]|0}else{Nmc(n,l);l=(f[c>>2]|0)+12|0;f[c>>2]=l;A=l}l=a+8|0;if((A|0)==(f[k>>2]|0))LY(m,l);else{Nmc(A,l);f[c>>2]=(f[c>>2]|0)+12}Qmc(l,i)|0;c=f[a>>2]|0;A=c+16|0;m=f[A>>2]|0;if((m|0)==(f[c+20>>2]|0))Xkb(c+12|0,h);else{kza(m,h);f[A>>2]=(f[A>>2]|0)+76}f[p>>2]=(f[p>>2]|0)+1;p=f[y>>2]|0;if((p|0)==(f[a+28>>2]|0))LY(z,l);else{Nmc(p,l);f[y>>2]=(f[y>>2]|0)+12}if((b[i+11>>0]|0)>=0){iza(h);qza(g);u=d;return}Emc(f[i>>2]|0);iza(h);qza(g);u=d;return}function Vkb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+160|0;e=d;g=d+112|0;h=d+120|0;i=d+36|0;j=d+24|0;k=d+16|0;f[g>>2]=c;f[h+4>>2]=0;f[h+8>>2]=0;f[h>>2]=h+4;c=h+12|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;f[c+16>>2]=0;f[c+20>>2]=0;f[c+24>>2]=0;l=h+24|0;ZG(l);m=YG(l,13)|0;n=443740;o=m+13|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));p=h+32|0;ZG(p);q=YG(p,6)|0;b[q>>0]=b[443754]|0;b[q+1>>0]=b[443755]|0;b[q+2>>0]=b[443756]|0;b[q+3>>0]=b[443757]|0;b[q+4>>0]=b[443758]|0;b[q+5>>0]=b[443759]|0;f[i>>2]=0;f[i+4>>2]=0;m=YG(i,11)|0;n=454280;o=m+11|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));KCa(h,i,g)|0;ZG(i);f[i>>2]=0;f[i+4>>2]=0;m=YG(i,13)|0;n=454533;o=m+13|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));f[j>>2]=0;f[j+4>>2]=0;n=YG(j,7)|0;b[n>>0]=b[454547]|0;b[n+1>>0]=b[454548]|0;b[n+2>>0]=b[454549]|0;b[n+3>>0]=b[454550]|0;b[n+4>>0]=b[454551]|0;b[n+5>>0]=b[454552]|0;b[n+6>>0]=b[454553]|0;yEa(h,i,j)|0;ZG(j);ZG(i);f[i+40>>2]=0;f[i+44>>2]=0;n=i+40|0;g=i+36|0;m=i;o=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(o|0));f[g>>2]=n;n=i+48|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;f[n+16>>2]=0;f[n+20>>2]=0;f[n+24>>2]=0;n=a+4|0;f[e>>2]=f[n>>2];aR(k,443761,e);g=f[k>>2]|0;m=f[k+4>>2]|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;if(m>>>0>4294967279)Lmc(j);if(m>>>0<11){b[j+11>>0]=m;if(!m)r=j;else{s=j;t=6}}else{o=m+16&-16;q=Bmc(o)|0;f[j>>2]=q;f[j+8>>2]=o|-2147483648;f[j+4>>2]=m;s=q;t=6}if((t|0)==6){Krc(s|0,g|0,m|0)|0;r=s}b[r+m>>0]=0;ZG(k);Qmc(i,j)|0;k=f[p>>2]|0;m=h+36|0;r=f[m>>2]|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;if(r>>>0>4294967279)Lmc(e);if(r>>>0<11){b[e+11>>0]=r;if(!r)v=e;else{w=e;t=12}}else{s=r+16&-16;g=Bmc(s)|0;f[e>>2]=g;f[e+8>>2]=s|-2147483648;f[e+4>>2]=r;w=g;t=12}if((t|0)==12){Krc(w|0,k|0,r|0)|0;v=w}b[v+r>>0]=0;Qmc(i+12|0,e)|0;if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);dEa(i+36|0,h)|0;JBa(i+48|0,f[c>>2]|0,f[h+16>>2]|0);c=i+60|0;ZG(c);e=f[l>>2]|0;if(!e)x=0;else{r=e+-4|0;f[r>>2]=(f[r>>2]|0)+1;x=f[l>>2]|0}f[c>>2]=x;f[i+64>>2]=f[h+28>>2];x=i+68|0;ZG(x);c=f[p>>2]|0;if(!c)y=0;else{l=c+-4|0;f[l>>2]=(f[l>>2]|0)+1;y=f[p>>2]|0}f[x>>2]=y;f[i+72>>2]=f[m>>2];m=a+8|0;y=i+28|0;x=f[y>>2]|0;if((x|0)==(f[i+32>>2]|0))LY(i+24|0,m);else{Nmc(x,m);f[y>>2]=(f[y>>2]|0)+12}Qmc(m,j)|0;y=f[a>>2]|0;x=y+16|0;p=f[x>>2]|0;if((p|0)==(f[y+20>>2]|0))Xkb(y+12|0,i);else{kza(p,i);f[x>>2]=(f[x>>2]|0)+76}f[n>>2]=(f[n>>2]|0)+1;n=a+24|0;x=f[n>>2]|0;if((x|0)==(f[a+28>>2]|0))LY(a+20|0,m);else{Nmc(x,m);f[n>>2]=(f[n>>2]|0)+12}if((b[j+11>>0]|0)>=0){iza(i);qza(h);u=d;return}Emc(f[j>>2]|0);iza(i);qza(h);u=d;return}function Wkb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;g=u;u=u+288|0;h=g;i=g+208|0;j=g+164|0;k=g+168|0;l=g+160|0;m=g+88|0;n=g+24|0;o=g+104|0;p=g+12|0;q=g+80|0;f[j>>2]=c;f[k+4>>2]=0;f[k+8>>2]=0;f[k>>2]=k+4;c=k+12|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;f[c+16>>2]=0;f[c+20>>2]=0;f[c+24>>2]=0;r=k+24|0;ZG(r);s=YG(r,11)|0;t=443713;v=s+11|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));t=k+32|0;ZG(t);w=YG(t,6)|0;b[w>>0]=b[443725]|0;b[w+1>>0]=b[443726]|0;b[w+2>>0]=b[443727]|0;b[w+3>>0]=b[443728]|0;b[w+4>>0]=b[443729]|0;b[w+5>>0]=b[443730]|0;f[l>>2]=(f[d+4>>2]|0)-(f[d>>2]|0)>>2;f[i>>2]=0;f[i+4>>2]=0;w=YG(i,7)|0;b[w>>0]=b[464508]|0;b[w+1>>0]=b[464509]|0;b[w+2>>0]=b[464510]|0;b[w+3>>0]=b[464511]|0;b[w+4>>0]=b[464512]|0;b[w+5>>0]=b[464513]|0;b[w+6>>0]=b[464514]|0;KCa(k,i,j)|0;ZG(i);f[i>>2]=0;f[i+4>>2]=0;j=YG(i,7)|0;b[j>>0]=b[464516]|0;b[j+1>>0]=b[464517]|0;b[j+2>>0]=b[464518]|0;b[j+3>>0]=b[464519]|0;b[j+4>>0]=b[464520]|0;b[j+5>>0]=b[464521]|0;b[j+6>>0]=b[464522]|0;KCa(k,i,l)|0;ZG(i);f[i>>2]=0;f[i+4>>2]=0;j=YG(i,8)|0;w=j;b[w>>0]=108;b[w+1>>0]=111;b[w+2>>0]=103;b[w+3>>0]=105;w=j+4|0;b[w>>0]=115;b[w+1>>0]=116;b[w+2>>0]=105;b[w+3>>0]=99;b[m>>0]=1;TCa(k,i,m)|0;ZG(i);w=f[l>>2]|0;l=w<<1;f[m>>2]=0;j=m+4|0;f[j>>2]=0;f[m+8>>2]=0;if(w){if(l>>>0>1073741823)Ukc(m);x=w<<3;y=Bmc(x)|0;f[m>>2]=y;z=y+(l<<2)|0;f[m+8>>2]=z;Drc(y|0,0,x|0)|0;f[j>>2]=z;if((w|0)>0){z=f[d>>2]|0;d=f[e>>2]|0;e=0;do{x=f[z+(e<<2)>>2]<<1;A=e<<1;f[y+(A<<2)>>2]=f[d+(x<<2)>>2];f[y+((A|1)<<2)>>2]=f[d+((x|1)<<2)>>2];e=e+1|0}while((e|0)<(w|0));B=y}else B=y}else B=0;Ri(o,1,l,5,B,0);f[n>>2]=1124007936;B=n+4|0;l=n+8|0;y=n+40|0;s=B;v=s+36|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(v|0));f[y>>2]=l;w=n+48|0;e=n+44|0;f[e>>2]=w;f[w>>2]=0;f[n+52>>2]=0;d=i+8|0;f[d>>2]=0;f[d+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=n;kT(o,i);d=o+36|0;z=f[d>>2]|0;if(z|0?(x=z+12|0,z=f[x>>2]|0,f[x>>2]=z+-1,(z|0)==1):0)lP(o);f[d>>2]=0;d=o+16|0;z=o+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[z>>2]|0)>0){d=f[o+40>>2]|0;x=0;do{f[d+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[z>>2]|0))}z=f[o+44>>2]|0;if((z|0)!=(o+48|0))tE(z);z=k+16|0;o=f[z>>2]|0;if((o|0)==(f[k+20>>2]|0))g2(k+12|0,n);else{f[o>>2]=f[n>>2];x=o+4|0;f[x>>2]=f[B>>2];d=o+8|0;f[d>>2]=f[l>>2];f[o+12>>2]=f[n+12>>2];f[o+16>>2]=f[n+16>>2];f[o+20>>2]=f[n+20>>2];f[o+24>>2]=f[n+24>>2];f[o+28>>2]=f[n+28>>2];f[o+32>>2]=f[n+32>>2];l=f[n+36>>2]|0;f[o+36>>2]=l;f[o+40>>2]=d;d=o+48|0;A=o+44|0;f[A>>2]=d;f[d>>2]=0;f[o+52>>2]=0;if(l|0){d=l+12|0;f[d>>2]=(f[d>>2]|0)+1}if((f[B>>2]|0)<3){d=f[e>>2]|0;l=f[A>>2]|0;f[l>>2]=f[d>>2];f[l+4>>2]=f[d+4>>2]}else{f[x>>2]=0;kP(o,n)}f[z>>2]=(f[z>>2]|0)+56}f[i+40>>2]=0;f[i+44>>2]=0;o=i+40|0;x=i+36|0;s=i;v=s+36|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(v|0));f[x>>2]=o;o=i+48|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;f[o+16>>2]=0;f[o+20>>2]=0;f[o+24>>2]=0;o=a+4|0;f[h>>2]=f[o>>2];aR(q,443732,h);x=f[q>>2]|0;s=f[q+4>>2]|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;if(s>>>0>4294967279)Lmc(p);if(s>>>0<11){b[p+11>>0]=s;if(!s)C=p;else{D=p;E=28}}else{v=s+16&-16;d=Bmc(v)|0;f[p>>2]=d;f[p+8>>2]=v|-2147483648;f[p+4>>2]=s;D=d;E=28}if((E|0)==28){Krc(D|0,x|0,s|0)|0;C=D}b[C+s>>0]=0;ZG(q);Qmc(i,p)|0;q=f[t>>2]|0;s=k+36|0;C=f[s>>2]|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(C>>>0>4294967279)Lmc(h);if(C>>>0<11){b[h+11>>0]=C;if(!C)F=h;else{G=h;E=34}}else{D=C+16&-16;x=Bmc(D)|0;f[h>>2]=x;f[h+8>>2]=D|-2147483648;f[h+4>>2]=C;G=x;E=34}if((E|0)==34){Krc(G|0,q|0,C|0)|0;F=G}b[F+C>>0]=0;Qmc(i+12|0,h)|0;if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);dEa(i+36|0,k)|0;JBa(i+48|0,f[c>>2]|0,f[z>>2]|0);z=i+60|0;ZG(z);c=f[r>>2]|0;if(!c)H=0;else{h=c+-4|0;f[h>>2]=(f[h>>2]|0)+1;H=f[r>>2]|0}f[z>>2]=H;f[i+64>>2]=f[k+28>>2];H=i+68|0;ZG(H);z=f[t>>2]|0;if(!z)I=0;else{r=z+-4|0;f[r>>2]=(f[r>>2]|0)+1;I=f[t>>2]|0}f[H>>2]=I;f[i+72>>2]=f[s>>2];s=i+24|0;I=a+8|0;H=i+28|0;t=f[H>>2]|0;r=i+32|0;if((t|0)==(f[r>>2]|0)){LY(s,I);J=f[H>>2]|0}else{Nmc(t,I);t=(f[H>>2]|0)+12|0;f[H>>2]=t;J=t}if((J|0)==(f[r>>2]|0))LY(s,891304);else{Nmc(J,891304);f[H>>2]=(f[H>>2]|0)+12}Qmc(I,p)|0;H=f[a>>2]|0;J=H+16|0;s=f[J>>2]|0;if((s|0)==(f[H+20>>2]|0))Xkb(H+12|0,i);else{kza(s,i);f[J>>2]=(f[J>>2]|0)+76}f[o>>2]=(f[o>>2]|0)+1;o=a+24|0;J=f[o>>2]|0;if((J|0)==(f[a+28>>2]|0))LY(a+20|0,I);else{Nmc(J,I);f[o>>2]=(f[o>>2]|0)+12}if((b[p+11>>0]|0)<0)Emc(f[p>>2]|0);iza(i);i=n+36|0;p=f[i>>2]|0;if(p|0?(o=p+12|0,p=f[o>>2]|0,f[o>>2]=p+-1,(p|0)==1):0)lP(n);f[i>>2]=0;i=n+16|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[B>>2]|0)>0){i=f[y>>2]|0;y=0;do{f[i+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[B>>2]|0))}B=f[e>>2]|0;if((B|0)!=(w|0))tE(B);B=f[m>>2]|0;if(!B){qza(k);u=g;return}m=f[j>>2]|0;if((m|0)!=(B|0))f[j>>2]=m+(~((m+-4-B|0)>>>2)<<2);Emc(B);qza(k);u=g;return}function Xkb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=a+4|0;d=f[a>>2]|0;e=((f[c>>2]|0)-d|0)/76|0;g=e+1|0;if(g>>>0>56512727)Ukc(a);h=a+8|0;i=((f[h>>2]|0)-d|0)/76|0;d=i<<1;j=i>>>0<28256363?(d>>>0<g>>>0?g:d):56512727;do if(j)if(j>>>0>56512727){d=ye(8)|0;Jmc(d,511852);f[d>>2]=165276;Gf(d|0,26776,1555)}else{k=Bmc(j*76|0)|0;break}else k=0;while(0);d=k+(e*76|0)|0;e=d;g=k+(j*76|0)|0;kza(d,b);b=d+76|0;j=f[a>>2]|0;k=f[c>>2]|0;if((k|0)==(j|0)){l=e;m=j;n=k}else{i=k;k=e;e=d;do{i=i+-76|0;kza(e+-76|0,i);e=k+-76|0;k=e}while((i|0)!=(j|0));l=k;m=f[a>>2]|0;n=f[c>>2]|0}f[a>>2]=l;f[c>>2]=b;f[h>>2]=g;g=m;h=n;while(1){n=h;if((n|0)==(g|0))break;b=n+-76|0;iza(b);h=b}if(!m)return;Emc(m);return}function Ykb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=a+4|0;a=f[d>>2]|0;do if(a|0){e=b[c+11>>0]|0;g=e<<24>>24<0;h=g?f[c+4>>2]|0:e&255;e=g?f[c>>2]|0:c;g=d;i=a;a:while(1){j=i;while(1){k=j+16|0;l=b[k+11>>0]|0;m=l<<24>>24<0;n=m?f[j+20>>2]|0:l&255;l=h>>>0<n>>>0?h:n;if((l|0)!=0?(o=gac(m?f[k>>2]|0:k,e,l)|0,(o|0)!=0):0){if((o|0)>=0)break}else p=6;if((p|0)==6?(p=0,n>>>0>=h>>>0):0)break;n=f[j+4>>2]|0;if(!n){q=g;break a}else j=n}i=f[j>>2]|0;if(!i){q=j;break}else g=j}if((q|0)!=(d|0)){g=q+16|0;i=b[g+11>>0]|0;n=i<<24>>24<0;o=n?f[q+20>>2]|0:i&255;i=o>>>0<h>>>0?o:h;if(i|0?(l=gac(e,n?f[g>>2]|0:g,i)|0,l|0):0){if((l|0)<0)break;else r=q;return r|0}if(h>>>0>=o>>>0){r=q;return r|0}}}while(0);r=d;return r|0}function Zkb(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+32|0;i=c+12|0;j=c+8|0;k=c+4|0;l=c;m=c+16|0;n=c+24|0;f[i>>2]=d;f[j>>2]=e;f[k>>2]=g;f[l>>2]=h;f[a+4>>2]=0;f[a+8>>2]=0;f[a>>2]=a+4;h=a+12|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;h=a+24|0;ZG(h);g=YG(h,16)|0;h=444055;e=g+16|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(e|0));d=a+32|0;ZG(d);g=YG(d,11)|0;h=444072;e=g+11|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(e|0));f[m>>2]=0;f[m+4>>2]=0;g=YG(m,11)|0;h=474838;e=g+11|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(e|0));KCa(a,m,i)|0;ZG(m);f[m>>2]=0;f[m+4>>2]=0;i=YG(m,3)|0;b[i>>0]=b[452504]|0;b[i+1>>0]=b[452505]|0;b[i+2>>0]=b[452506]|0;KCa(a,m,j)|0;ZG(m);f[m>>2]=0;f[m+4>>2]=0;j=YG(m,6)|0;b[j>>0]=b[452508]|0;b[j+1>>0]=b[452509]|0;b[j+2>>0]=b[452510]|0;b[j+3>>0]=b[452511]|0;b[j+4>>0]=b[452512]|0;b[j+5>>0]=b[452513]|0;KCa(a,m,k)|0;ZG(m);f[m>>2]=0;f[m+4>>2]=0;g=YG(m,9)|0;h=468376;e=g+9|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(e|0));b[n>>0]=0;TCa(a,m,n)|0;ZG(m);f[m>>2]=0;f[m+4>>2]=0;g=YG(m,10)|0;h=459141;e=g+10|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(e|0));KCa(a,m,l)|0;ZG(m);u=c;return}function _kb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=a+4|0;g=f[e>>2]|0;if(!g){f[c>>2]=e;h=e;return h|0}e=b[d+11>>0]|0;i=e<<24>>24<0;j=i?f[d+4>>2]|0:e&255;e=i?f[d>>2]|0:d;d=a+4|0;a=g;while(1){g=a+16|0;i=b[g+11>>0]|0;k=i<<24>>24<0;l=k?f[a+20>>2]|0:i&255;i=l>>>0<j>>>0;m=i?l:j;if((m|0)!=0?(n=gac(e,k?f[g>>2]|0:g,m)|0,(n|0)!=0):0)if((n|0)<0)o=8;else o=10;else if(j>>>0<l>>>0)o=8;else o=10;if((o|0)==8){o=0;n=f[a>>2]|0;if(!n){o=9;break}else{p=a;q=n}}else if((o|0)==10){o=0;n=j>>>0<l>>>0?j:l;if((n|0)!=0?(l=gac(k?f[g>>2]|0:g,e,n)|0,(l|0)!=0):0){if((l|0)>=0){o=16;break}}else o=12;if((o|0)==12?(o=0,!i):0){o=16;break}r=a+4|0;i=f[r>>2]|0;if(!i){o=15;break}else{p=r;q=i}}d=p;a=q}if((o|0)==9){f[c>>2]=a;h=a;return h|0}else if((o|0)==15){f[c>>2]=a;h=r;return h|0}else if((o|0)==16){f[c>>2]=a;h=d;return h|0}return 0}function $kb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0;d=u;u=u+496|0;e=d+472|0;g=d+468|0;h=d+464|0;i=d;j=d+416|0;k=d+392|0;l=d+448|0;m=d+404|0;n=d+368|0;o=d+380|0;p=d+356|0;q=d+344|0;r=d+328|0;s=d+272|0;t=d+216|0;v=d+160|0;w=d+104|0;x=d+32|0;y=d+88|0;z=d+8|0;A=d+20|0;Wcc(a,g,4)|0;Wcc(a,h,4)|0;Wcc(a,d+460|0,4)|0;if((((f[g>>2]|0)*10|0)+(f[h>>2]|0)|0)>1)Wcc(a,i,8)|0;else{f[e>>2]=0;Wcc(a,e,4)|0;B=f[e>>2]|0;C=i;f[C>>2]=B;f[C+4>>2]=((B|0)<0)<<31>>31}if((f[g>>2]|0)>1e3|(f[h>>2]|0)>1e3){f[e>>2]=0;f[e+4>>2]=0;D=YG(e,67)|0;E=444084;F=D+67|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));SQ(-213,e,444152,443045,690)}h=f[c+8>>2]|0;f[j>>2]=c;f[j+4>>2]=0;g=j+8|0;Nmc(g,891304);f[j+20>>2]=0;B=j+24|0;f[B>>2]=0;f[j+28>>2]=0;C=f[c+36>>2]|0;i=c+40|0;do if((C|0)!=(i|0)){G=e+11|0;H=e+4|0;I=k+11|0;J=k+4|0;K=l+11|0;L=l+4|0;M=m+11|0;N=m+7|0;O=o+11|0;P=o+10|0;Q=p+11|0;R=p+6|0;S=q+8|0;T=q+4|0;U=q+11|0;V=r+4|0;W=r+8|0;X=r+12|0;Z=s+4|0;_=s+8|0;$=s+40|0;aa=s+48|0;ba=s+44|0;ca=s+52|0;da=t+4|0;ea=t+8|0;fa=t+40|0;ga=t+48|0;ha=t+44|0;ia=t+52|0;ja=e+4|0;ka=v+4|0;la=v+8|0;ma=v+40|0;na=v+48|0;oa=v+44|0;pa=v+52|0;qa=w+4|0;ra=w+8|0;sa=w+40|0;ta=w+48|0;ua=w+44|0;va=w+52|0;wa=x+4|0;xa=x+8|0;ya=x+40|0;za=x+48|0;Aa=x+44|0;Ba=x+52|0;Ca=x+16|0;Da=w+16|0;Ea=t+16|0;Fa=v+16|0;Ga=s+16|0;Ha=e+4|0;Ia=e+8|0;Ja=e+8|0;Ka=z+4|0;La=z+8|0;Ma=z+8|0;Na=A+4|0;Oa=x+12|0;Pa=x+20|0;Qa=x+24|0;Ra=x+28|0;Sa=x+32|0;Ta=x+36|0;Ua=w+12|0;Va=w+20|0;Wa=w+24|0;Xa=w+28|0;Ya=w+32|0;Za=w+36|0;_a=v+12|0;$a=v+20|0;ab=v+24|0;bb=v+28|0;cb=v+32|0;db=v+36|0;eb=n+11|0;fb=n+4|0;gb=t+36|0;hb=s+36|0;ib=y+4|0;jb=c+24|0;kb=m+8|0;lb=h;mb=-1;nb=-1;ob=C;while(1){nb=nb+1|0;pb=mb+1|0;qb=ob+20|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[G>>0]=4;f[e>>2]=1701869940;b[H>>0]=0;Nmc(k,Fkb(qb,e)|0);if((b[G>>0]|0)<0)Emc(f[e>>2]|0);rb=b[I>>0]|0;if(((rb<<24>>24<0?f[J>>2]|0:rb&255)|0)==13?(knc(k,0,-1,443206,13)|0)==0:0){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;b[K>>0]=4;f[l>>2]=1702521203;b[L>>0]=0;rb=Hkb(qb,l,-1)|0;if((b[K>>0]|0)<0)Emc(f[l>>2]|0);f[kb>>2]=0;b[M>>0]=7;b[m>>0]=b[443220]|0;b[m+1>>0]=b[443221]|0;b[m+2>>0]=b[443222]|0;b[m+3>>0]=b[443223]|0;b[m+4>>0]=b[443224]|0;b[m+5>>0]=b[443225]|0;b[m+6>>0]=b[443226]|0;b[N>>0]=0;sb=Hkb(qb,m,-1)|0;if((b[M>>0]|0)<0)Emc(f[m>>2]|0);b[O>>0]=10;D=o;E=443228;F=D+10|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));b[P>>0]=0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;b[Q>>0]=6;b[p>>0]=b[443239]|0;b[p+1>>0]=b[443240]|0;b[p+2>>0]=b[443241]|0;b[p+3>>0]=b[443242]|0;b[p+4>>0]=b[443243]|0;b[p+5>>0]=b[443244]|0;b[R>>0]=0;Ikb(n,qb,o,p);if((b[Q>>0]|0)<0)Emc(f[p>>2]|0);if((b[O>>0]|0)<0)Emc(f[o>>2]|0);f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;tb=Bmc(16)|0;f[q>>2]=tb;f[S>>2]=-2147483632;f[T>>2]=15;D=tb;E=443246;F=D+15|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));b[tb+15>>0]=0;ub=(Hkb(qb,q,0)|0)==1;if((b[U>>0]|0)<0)Emc(f[q>>2]|0);if(!((rb|0)>0&(sb|0)>0)){vb=33;break}if((lb|0)<=0){vb=35;break}f[r>>2]=sb;f[V>>2]=lb;f[W>>2]=rb;f[X>>2]=rb;f[s>>2]=1124007936;D=Z;F=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(F|0));f[$>>2]=_;f[ba>>2]=aa;f[aa>>2]=0;f[ca>>2]=0;iP(s,4,r,5);if(!(f[s>>2]&16384)){vb=37;break}f[t>>2]=1124007936;D=da;F=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(F|0));f[fa>>2]=ea;f[ha>>2]=ga;f[ga>>2]=0;f[ia>>2]=0;f[e>>2]=1;f[ja>>2]=sb;iP(t,2,e,5);f[v>>2]=1124007936;D=ka;F=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(F|0));f[ma>>2]=la;f[oa>>2]=na;f[na>>2]=0;f[pa>>2]=0;f[e>>2]=1;f[ja>>2]=sb;iP(v,2,e,5);f[w>>2]=1124007936;D=qa;F=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(F|0));f[sa>>2]=ra;f[ua>>2]=ta;f[ta>>2]=0;f[va>>2]=0;f[e>>2]=1;f[ja>>2]=sb;iP(w,2,e,5);f[x>>2]=1124007936;D=wa;F=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(F|0));f[ya>>2]=xa;f[Aa>>2]=za;f[za>>2]=0;f[Ba>>2]=0;f[e>>2]=1;f[ja>>2]=sb;iP(x,2,e,5);qb=sb<<2;Wcc(a,f[Ca>>2]|0,qb)|0;if(ub){Wcc(a,f[Da>>2]|0,qb)|0;Wcc(a,f[Ea>>2]|0,qb)|0;Wcc(a,f[Fa>>2]|0,qb)|0;wb=ub}else wb=0;Wcc(a,f[Ga>>2]|0,Y(Y(Y(lb<<2,rb)|0,rb)|0,sb)|0)|0;f[e>>2]=0;f[Ha>>2]=0;f[Ia>>2]=0;g2(e,s);do if(!wb){qb=f[Ha>>2]|0;if((qb|0)==(f[Ja>>2]|0)){g2(e,x);break}f[qb>>2]=f[x>>2];tb=qb+4|0;f[tb>>2]=f[wa>>2];xb=qb+8|0;f[xb>>2]=f[xa>>2];f[qb+12>>2]=f[Oa>>2];f[qb+16>>2]=f[Ca>>2];f[qb+20>>2]=f[Pa>>2];f[qb+24>>2]=f[Qa>>2];f[qb+28>>2]=f[Ra>>2];f[qb+32>>2]=f[Sa>>2];yb=f[Ta>>2]|0;f[qb+36>>2]=yb;f[qb+40>>2]=xb;xb=qb+48|0;zb=qb+44|0;f[zb>>2]=xb;f[xb>>2]=0;f[qb+52>>2]=0;if(yb|0){xb=yb+12|0;f[xb>>2]=(f[xb>>2]|0)+1}if((f[wa>>2]|0)<3){xb=f[Aa>>2]|0;yb=f[zb>>2]|0;f[yb>>2]=f[xb>>2];f[yb+4>>2]=f[xb+4>>2]}else{f[tb>>2]=0;kP(qb,x)}f[Ha>>2]=(f[Ha>>2]|0)+56}while(0);mza(y,e);sb=(f[(f[j>>2]|0)+12>>2]|0)+(pb*76|0)+48|0;if((sb|0)!=(y|0))JBa(sb,f[y>>2]|0,f[ib>>2]|0);rt(y);if(ub){sb=mb+2|0;f[z>>2]=0;f[Ka>>2]=0;f[La>>2]=0;g2(z,t);rb=f[Ka>>2]|0;if((rb|0)==(f[Ma>>2]|0)){g2(z,v);Ab=f[Ka>>2]|0}else{f[rb>>2]=f[v>>2];qb=rb+4|0;f[qb>>2]=f[ka>>2];tb=rb+8|0;f[tb>>2]=f[la>>2];f[rb+12>>2]=f[_a>>2];f[rb+16>>2]=f[Fa>>2];f[rb+20>>2]=f[$a>>2];f[rb+24>>2]=f[ab>>2];f[rb+28>>2]=f[bb>>2];f[rb+32>>2]=f[cb>>2];xb=f[db>>2]|0;f[rb+36>>2]=xb;f[rb+40>>2]=tb;tb=rb+48|0;yb=rb+44|0;f[yb>>2]=tb;f[tb>>2]=0;f[rb+52>>2]=0;if(xb|0){tb=xb+12|0;f[tb>>2]=(f[tb>>2]|0)+1}if((f[ka>>2]|0)<3){tb=f[oa>>2]|0;xb=f[yb>>2]|0;f[xb>>2]=f[tb>>2];f[xb+4>>2]=f[tb+4>>2]}else{f[qb>>2]=0;kP(rb,v)}rb=(f[Ka>>2]|0)+56|0;f[Ka>>2]=rb;Ab=rb}if((Ab|0)==(f[Ma>>2]|0)){g2(z,w);Bb=f[Ka>>2]|0}else{f[Ab>>2]=f[w>>2];rb=Ab+4|0;f[rb>>2]=f[qa>>2];qb=Ab+8|0;f[qb>>2]=f[ra>>2];f[Ab+12>>2]=f[Ua>>2];f[Ab+16>>2]=f[Da>>2];f[Ab+20>>2]=f[Va>>2];f[Ab+24>>2]=f[Wa>>2];f[Ab+28>>2]=f[Xa>>2];f[Ab+32>>2]=f[Ya>>2];tb=f[Za>>2]|0;f[Ab+36>>2]=tb;f[Ab+40>>2]=qb;qb=Ab+48|0;xb=Ab+44|0;f[xb>>2]=qb;f[qb>>2]=0;f[Ab+52>>2]=0;if(tb|0){qb=tb+12|0;f[qb>>2]=(f[qb>>2]|0)+1}if((f[qa>>2]|0)<3){qb=f[ua>>2]|0;tb=f[xb>>2]|0;f[tb>>2]=f[qb>>2];f[tb+4>>2]=f[qb+4>>2]}else{f[rb>>2]=0;kP(Ab,w)}rb=(f[Ka>>2]|0)+56|0;f[Ka>>2]=rb;Bb=rb}if((Bb|0)==(f[Ma>>2]|0))g2(z,x);else{f[Bb>>2]=f[x>>2];rb=Bb+4|0;f[rb>>2]=f[wa>>2];qb=Bb+8|0;f[qb>>2]=f[xa>>2];f[Bb+12>>2]=f[Oa>>2];f[Bb+16>>2]=f[Ca>>2];f[Bb+20>>2]=f[Pa>>2];f[Bb+24>>2]=f[Qa>>2];f[Bb+28>>2]=f[Ra>>2];f[Bb+32>>2]=f[Sa>>2];tb=f[Ta>>2]|0;f[Bb+36>>2]=tb;f[Bb+40>>2]=qb;qb=Bb+48|0;xb=Bb+44|0;f[xb>>2]=qb;f[qb>>2]=0;f[Bb+52>>2]=0;if(tb|0){qb=tb+12|0;f[qb>>2]=(f[qb>>2]|0)+1}if((f[wa>>2]|0)<3){qb=f[Aa>>2]|0;tb=f[xb>>2]|0;f[tb>>2]=f[qb>>2];f[tb+4>>2]=f[qb+4>>2]}else{f[rb>>2]=0;kP(Bb,x)}f[Ka>>2]=(f[Ka>>2]|0)+56}mza(A,z);rb=(f[(f[j>>2]|0)+12>>2]|0)+(sb*76|0)+48|0;if((rb|0)!=(A|0))JBa(rb,f[A>>2]|0,f[Na>>2]|0);rt(A);rt(z);Cb=sb}else Cb=pb;sb=b[eb>>0]|0;if(((sb<<24>>24<0?f[fb>>2]|0:sb&255)|0)==5)Db=((knc(n,0,-1,443262,5)|0)==0&1)+Cb|0;else Db=Cb;rt(e);sb=f[Ta>>2]|0;do if(sb|0){rb=sb+12|0;qb=f[rb>>2]|0;f[rb>>2]=qb+-1;if((qb|0)!=1)break;lP(x)}while(0);f[Ta>>2]=0;f[Ca>>2]=0;f[Ca+4>>2]=0;f[Ca+8>>2]=0;f[Ca+12>>2]=0;if((f[wa>>2]|0)>0){sb=f[ya>>2]|0;ub=0;do{f[sb+(ub<<2)>>2]=0;ub=ub+1|0}while((ub|0)<(f[wa>>2]|0))}ub=f[Aa>>2]|0;if((ub|0)!=(za|0))tE(ub);ub=f[Za>>2]|0;do if(ub|0){sb=ub+12|0;qb=f[sb>>2]|0;f[sb>>2]=qb+-1;if((qb|0)!=1)break;lP(w)}while(0);f[Za>>2]=0;f[Da>>2]=0;f[Da+4>>2]=0;f[Da+8>>2]=0;f[Da+12>>2]=0;if((f[qa>>2]|0)>0){ub=f[sa>>2]|0;qb=0;do{f[ub+(qb<<2)>>2]=0;qb=qb+1|0}while((qb|0)<(f[qa>>2]|0))}qb=f[ua>>2]|0;if((qb|0)!=(ta|0))tE(qb);qb=f[db>>2]|0;do if(qb|0){ub=qb+12|0;sb=f[ub>>2]|0;f[ub>>2]=sb+-1;if((sb|0)!=1)break;lP(v)}while(0);f[db>>2]=0;f[Fa>>2]=0;f[Fa+4>>2]=0;f[Fa+8>>2]=0;f[Fa+12>>2]=0;if((f[ka>>2]|0)>0){qb=f[ma>>2]|0;sb=0;do{f[qb+(sb<<2)>>2]=0;sb=sb+1|0}while((sb|0)<(f[ka>>2]|0))}sb=f[oa>>2]|0;if((sb|0)!=(na|0))tE(sb);sb=f[gb>>2]|0;do if(sb|0){qb=sb+12|0;ub=f[qb>>2]|0;f[qb>>2]=ub+-1;if((ub|0)!=1)break;lP(t)}while(0);f[gb>>2]=0;f[Ea>>2]=0;f[Ea+4>>2]=0;f[Ea+8>>2]=0;f[Ea+12>>2]=0;if((f[da>>2]|0)>0){sb=f[fa>>2]|0;ub=0;do{f[sb+(ub<<2)>>2]=0;ub=ub+1|0}while((ub|0)<(f[da>>2]|0))}ub=f[ha>>2]|0;if((ub|0)!=(ga|0))tE(ub);ub=f[hb>>2]|0;do if(ub|0){sb=ub+12|0;qb=f[sb>>2]|0;f[sb>>2]=qb+-1;if((qb|0)!=1)break;lP(s)}while(0);f[hb>>2]=0;f[Ga>>2]=0;f[Ga+4>>2]=0;f[Ga+8>>2]=0;f[Ga+12>>2]=0;if((f[Z>>2]|0)>0){ub=f[$>>2]|0;qb=0;do{f[ub+(qb<<2)>>2]=0;qb=qb+1|0}while((qb|0)<(f[Z>>2]|0))}qb=f[ba>>2]|0;if((qb|0)!=(aa|0))tE(qb);if((b[eb>>0]|0)<0)Emc(f[n>>2]|0);Eb=Db}else Eb=pb;qb=b[I>>0]|0;ub=f[J>>2]|0;if(((qb<<24>>24<0?ub:qb&255)|0)==6)if(!(knc(k,0,-1,443511,6)|0))vb=129;else{Fb=b[I>>0]|0;Gb=f[J>>2]|0;vb=127}else{Fb=qb;Gb=ub;vb=127}if((vb|0)==127){vb=0;if(((Fb<<24>>24<0?Gb:Fb&255)|0)==4?(knc(k,0,-1,443666,4)|0)==0:0)vb=129;else Hb=Eb}if((vb|0)==129){vb=0;Hb=Eb+1|0}lb=f[(f[jb>>2]|0)+(nb<<2)>>2]|0;if((b[I>>0]|0)<0)Emc(f[k>>2]|0);ub=f[ob+4>>2]|0;if(!ub){qb=ob+8|0;sb=f[qb>>2]|0;if((f[sb>>2]|0)==(ob|0))Ib=sb;else{sb=qb;do{qb=f[sb>>2]|0;sb=qb+8|0;rb=f[sb>>2]|0}while((f[rb>>2]|0)!=(qb|0));Ib=rb}}else{sb=ub;while(1){pb=f[sb>>2]|0;if(!pb)break;else sb=pb}Ib=sb}if((Ib|0)==(i|0)){vb=8;break}else{mb=Hb;ob=Ib}}if((vb|0)==8){ob=j+20|0;mb=f[ob>>2]|0;if(!mb)break;I=f[B>>2]|0;if((I|0)==(mb|0))Jb=mb;else{nb=I;while(1){I=nb+-12|0;f[B>>2]=I;if((b[I+11>>0]|0)<0){Emc(f[I>>2]|0);Kb=f[B>>2]|0}else Kb=I;if((Kb|0)==(mb|0))break;else nb=Kb}Jb=f[ob>>2]|0}Emc(Jb);break}else if((vb|0)==33){f[e>>2]=0;f[e+4>>2]=0;D=YG(e,30)|0;E=443356;F=D+30|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));SQ(-215,e,444152,443045,712)}else if((vb|0)==35){f[e>>2]=0;f[e+4>>2]=0;D=YG(e,20)|0;E=443387;F=D+20|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));SQ(-215,e,444152,443045,713)}else if((vb|0)==37){f[e>>2]=0;f[e+4>>2]=0;D=YG(e,26)|0;E=444181;F=D+26|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));SQ(-215,e,444152,443045,719)}}while(0);if((b[g+11>>0]|0)>=0){u=d;return 1}Emc(f[g>>2]|0);u=d;return 1}function alb(a,b){a=a|0;b=b|0;Ckb(a,b)|0;return}function blb(a,b){a=a|0;b=b|0;$kb(a,b)|0;return}function clb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=u;u=u+32|0;c=b+12|0;d=b;f[c>>2]=0;e=c+4|0;f[e>>2]=0;f[c+8>>2]=0;g=Bmc(64)|0;dlb(g);h=Bmc(16)|0;f[h+4>>2]=1;f[h>>2]=131912;f[h+8>>2]=g;f[d>>2]=h;f[d+4>>2]=g;i=f[e>>2]|0;j=c+8|0;if((i|0)==(f[j>>2]|0))elb(c,d);else{f[i>>2]=h;f[i+4>>2]=g;g=h+4|0;f[g>>2]=(f[g>>2]|0)+1;f[e>>2]=(f[e>>2]|0)+8}g=f[d>>2]|0;if(g|0?(h=g+4|0,i=f[h>>2]|0,f[h>>2]=i+-1,(i|0)==1):0)ai[f[(f[g>>2]|0)+8>>2]&2047](g);g=Bmc(64)|0;flb(g);i=Bmc(16)|0;f[i+4>>2]=1;f[i>>2]=131932;f[i+8>>2]=g;f[d>>2]=i;f[d+4>>2]=g;h=f[e>>2]|0;if((h|0)==(f[j>>2]|0))elb(c,d);else{f[h>>2]=i;f[h+4>>2]=g;g=i+4|0;f[g>>2]=(f[g>>2]|0)+1;f[e>>2]=(f[e>>2]|0)+8}g=f[d>>2]|0;if(g|0?(i=g+4|0,h=f[i>>2]|0,f[i>>2]=h+-1,(h|0)==1):0)ai[f[(f[g>>2]|0)+8>>2]&2047](g);g=Bmc(64)|0;glb(g);h=Bmc(16)|0;f[h+4>>2]=1;f[h>>2]=131952;f[h+8>>2]=g;f[d>>2]=h;f[d+4>>2]=g;i=f[e>>2]|0;if((i|0)==(f[j>>2]|0))elb(c,d);else{f[i>>2]=h;f[i+4>>2]=g;g=h+4|0;f[g>>2]=(f[g>>2]|0)+1;f[e>>2]=(f[e>>2]|0)+8}g=f[d>>2]|0;if(g|0?(h=g+4|0,i=f[h>>2]|0,f[h>>2]=i+-1,(i|0)==1):0)ai[f[(f[g>>2]|0)+8>>2]&2047](g);g=Bmc(64)|0;hlb(g);i=Bmc(16)|0;f[i+4>>2]=1;f[i>>2]=131972;f[i+8>>2]=g;f[d>>2]=i;f[d+4>>2]=g;h=f[e>>2]|0;if((h|0)==(f[j>>2]|0))elb(c,d);else{f[h>>2]=i;f[h+4>>2]=g;g=i+4|0;f[g>>2]=(f[g>>2]|0)+1;f[e>>2]=(f[e>>2]|0)+8}g=f[d>>2]|0;if(g|0?(i=g+4|0,h=f[i>>2]|0,f[i>>2]=h+-1,(h|0)==1):0)ai[f[(f[g>>2]|0)+8>>2]&2047](g);g=Bmc(64)|0;ilb(g);h=Bmc(16)|0;f[h+4>>2]=1;f[h>>2]=131992;f[h+8>>2]=g;f[d>>2]=h;f[d+4>>2]=g;i=f[e>>2]|0;if((i|0)==(f[j>>2]|0))elb(c,d);else{f[i>>2]=h;f[i+4>>2]=g;g=h+4|0;f[g>>2]=(f[g>>2]|0)+1;f[e>>2]=(f[e>>2]|0)+8}g=f[d>>2]|0;if(g|0?(h=g+4|0,i=f[h>>2]|0,f[h>>2]=i+-1,(i|0)==1):0)ai[f[(f[g>>2]|0)+8>>2]&2047](g);g=Bmc(64)|0;jlb(g);i=Bmc(16)|0;f[i+4>>2]=1;f[i>>2]=132012;f[i+8>>2]=g;f[d>>2]=i;f[d+4>>2]=g;h=f[e>>2]|0;if((h|0)==(f[j>>2]|0))elb(c,d);else{f[h>>2]=i;f[h+4>>2]=g;g=i+4|0;f[g>>2]=(f[g>>2]|0)+1;f[e>>2]=(f[e>>2]|0)+8}g=f[d>>2]|0;if(g|0?(i=g+4|0,h=f[i>>2]|0,f[i>>2]=h+-1,(h|0)==1):0)ai[f[(f[g>>2]|0)+8>>2]&2047](g);g=Bmc(68)|0;klb(g,3);h=Bmc(16)|0;f[h+4>>2]=1;f[h>>2]=132032;f[h+8>>2]=g;f[d>>2]=h;f[d+4>>2]=g;i=f[e>>2]|0;if((i|0)==(f[j>>2]|0))elb(c,d);else{f[i>>2]=h;f[i+4>>2]=g;g=h+4|0;f[g>>2]=(f[g>>2]|0)+1;f[e>>2]=(f[e>>2]|0)+8}g=f[d>>2]|0;if(g|0?(h=g+4|0,i=f[h>>2]|0,f[h>>2]=i+-1,(i|0)==1):0)ai[f[(f[g>>2]|0)+8>>2]&2047](g);g=Bmc(64)|0;llb(g);i=Bmc(16)|0;f[i+4>>2]=1;f[i>>2]=132052;f[i+8>>2]=g;f[d>>2]=i;f[d+4>>2]=g;h=f[e>>2]|0;if((h|0)==(f[j>>2]|0))elb(c,d);else{f[h>>2]=i;f[h+4>>2]=g;g=i+4|0;f[g>>2]=(f[g>>2]|0)+1;f[e>>2]=(f[e>>2]|0)+8}g=f[d>>2]|0;if(g|0?(i=g+4|0,h=f[i>>2]|0,f[i>>2]=h+-1,(h|0)==1):0)ai[f[(f[g>>2]|0)+8>>2]&2047](g);g=Bmc(64)|0;mlb(g);h=Bmc(16)|0;f[h+4>>2]=1;f[h>>2]=132072;f[h+8>>2]=g;f[d>>2]=h;f[d+4>>2]=g;i=f[e>>2]|0;if((i|0)==(f[j>>2]|0))elb(c,d);else{f[i>>2]=h;f[i+4>>2]=g;g=h+4|0;f[g>>2]=(f[g>>2]|0)+1;f[e>>2]=(f[e>>2]|0)+8}g=f[d>>2]|0;if(g|0?(h=g+4|0,i=f[h>>2]|0,f[h>>2]=i+-1,(i|0)==1):0)ai[f[(f[g>>2]|0)+8>>2]&2047](g);g=Bmc(64)|0;nlb(g);i=Bmc(16)|0;f[i+4>>2]=1;f[i>>2]=132092;f[i+8>>2]=g;f[d>>2]=i;f[d+4>>2]=g;h=f[e>>2]|0;if((h|0)==(f[j>>2]|0))elb(c,d);else{f[h>>2]=i;f[h+4>>2]=g;g=i+4|0;f[g>>2]=(f[g>>2]|0)+1;f[e>>2]=(f[e>>2]|0)+8}g=f[d>>2]|0;do if(g|0){i=g+4|0;h=f[i>>2]|0;f[i>>2]=h+-1;if((h|0)!=1)break;ai[f[(f[g>>2]|0)+8>>2]&2047](g)}while(0);g=Bmc(64)|0;olb(g);h=Bmc(16)|0;f[h+4>>2]=1;f[h>>2]=132112;f[h+8>>2]=g;f[d>>2]=h;f[d+4>>2]=g;i=f[e>>2]|0;if((i|0)==(f[j>>2]|0))elb(c,d);else{f[i>>2]=h;f[i+4>>2]=g;g=h+4|0;f[g>>2]=(f[g>>2]|0)+1;f[e>>2]=(f[e>>2]|0)+8}g=f[d>>2]|0;do if(g|0){h=g+4|0;i=f[h>>2]|0;f[h>>2]=i+-1;if((i|0)!=1)break;ai[f[(f[g>>2]|0)+8>>2]&2047](g)}while(0);g=Bmc(64)|0;plb(g);i=Bmc(16)|0;f[i+4>>2]=1;f[i>>2]=132132;f[i+8>>2]=g;f[d>>2]=i;f[d+4>>2]=g;h=f[e>>2]|0;if((h|0)==(f[j>>2]|0))elb(c,d);else{f[h>>2]=i;f[h+4>>2]=g;g=i+4|0;f[g>>2]=(f[g>>2]|0)+1;f[e>>2]=(f[e>>2]|0)+8}g=f[d>>2]|0;do if(g|0){i=g+4|0;h=f[i>>2]|0;f[i>>2]=h+-1;if((h|0)!=1)break;ai[f[(f[g>>2]|0)+8>>2]&2047](g)}while(0);g=Bmc(64)|0;qlb(g);h=Bmc(16)|0;f[h+4>>2]=1;f[h>>2]=132152;f[h+8>>2]=g;f[d>>2]=h;f[d+4>>2]=g;i=f[e>>2]|0;if((i|0)==(f[j>>2]|0))elb(c,d);else{f[i>>2]=h;f[i+4>>2]=g;g=h+4|0;f[g>>2]=(f[g>>2]|0)+1;f[e>>2]=(f[e>>2]|0)+8}g=f[d>>2]|0;do if(g|0){h=g+4|0;i=f[h>>2]|0;f[h>>2]=i+-1;if((i|0)!=1)break;ai[f[(f[g>>2]|0)+8>>2]&2047](g)}while(0);g=f[a+12>>2]|0;f[d>>2]=0;i=d+4|0;f[i>>2]=0;f[d+8>>2]=0;do if((g|0)>0){h=0;j=g;while(1){k=f[c>>2]|0;a:do if((f[e>>2]|0)==(k|0))l=j;else{m=0;n=k;while(1){o=f[n+(m<<3)+4>>2]|0;if(Bg[f[f[o>>2]>>2]&127](o,a,h,d)|0)break;o=m+1|0;n=f[c>>2]|0;if(o>>>0>=(f[e>>2]|0)-n>>3>>>0){l=j;break a}else m=o}rlb(f[(f[c>>2]|0)+(m<<3)+4>>2]|0,a,d);l=j+1-((f[i>>2]|0)-(f[d>>2]|0)>>2)|0}while(0);h=h+1|0;if((h|0)>=(l|0))break;else j=l}j=f[d>>2]|0;if(!j)break;h=f[i>>2]|0;if((h|0)!=(j|0))f[i>>2]=h+(~((h+-4-j|0)>>>2)<<2);Emc(j)}while(0);i=f[c>>2]|0;if(!i){u=b;return}d=f[e>>2]|0;if((d|0)==(i|0))p=i;else{l=d;do{d=l+-8|0;f[e>>2]=d;a=f[d>>2]|0;do if(a|0){g=a+4|0;j=f[g>>2]|0;f[g>>2]=j+-1;if((j|0)!=1)break;ai[f[(f[a>>2]|0)+8>>2]&2047](a)}while(0);f[d>>2]=0;f[l+-4>>2]=0;l=f[e>>2]|0}while((l|0)!=(i|0));p=f[c>>2]|0}Emc(p);u=b;return}function dlb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+32|0;d=c+12|0;e=c;g=a+4|0;h=g+60|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[a>>2]=132492;i=e+11|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;f[d+8>>2]=0;k=zlb(a,e,d)|0;l=f[d>>2]|0;if(l|0){m=f[j>>2]|0;if((m|0)!=(l|0))f[j>>2]=m+(~((m+-4-l|0)>>>2)<<2);Emc(l)}if((b[i>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;l=d+4|0;f[l>>2]=0;f[d+8>>2]=0;m=zlb(a,e,d)|0;j=f[d>>2]|0;if(j|0){n=f[l>>2]|0;if((n|0)!=(j|0))f[l>>2]=n+(~((n+-4-j|0)>>>2)<<2);Emc(j)}if((b[i>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;f[d+8>>2]=0;n=zlb(a,e,d)|0;l=f[d>>2]|0;if(l|0){o=f[j>>2]|0;if((o|0)!=(l|0))f[j>>2]=o+(~((o+-4-l|0)>>>2)<<2);Emc(l)}if((b[i>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;l=d+4|0;f[l>>2]=0;f[d+8>>2]=0;o=zlb(a,e,d)|0;j=f[d>>2]|0;if(j|0){p=f[l>>2]|0;if((p|0)!=(j|0))f[l>>2]=p+(~((p+-4-j|0)>>>2)<<2);Emc(j)}if((b[i>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;f[d+8>>2]=0;p=zlb(a,e,d)|0;l=f[d>>2]|0;if(l|0){q=f[j>>2]|0;if((q|0)!=(l|0))f[j>>2]=q+(~((q+-4-l|0)>>>2)<<2);Emc(l)}if((b[i>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;l=d+4|0;f[l>>2]=0;f[d+8>>2]=0;q=zlb(a,e,d)|0;j=f[d>>2]|0;if(j|0){r=f[l>>2]|0;if((r|0)!=(j|0))f[l>>2]=r+(~((r+-4-j|0)>>>2)<<2);Emc(j)}if((b[i>>0]|0)<0)Emc(f[e>>2]|0);e=d+4|0;f[e>>2]=0;f[e+4>>2]=0;e=d+11|0;b[e>>0]=3;b[d>>0]=b[445824]|0;b[d+1>>0]=b[445825]|0;b[d+2>>0]=b[445826]|0;b[d+3>>0]=0;i=Alb(a,d,n,m,-1,-1)|0;if((b[e>>0]|0)<0)Emc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=5;b[d>>0]=b[446068]|0;b[d+1>>0]=b[446069]|0;b[d+2>>0]=b[446070]|0;b[d+3>>0]=b[446071]|0;b[d+4>>0]=b[446072]|0;b[d+5>>0]=0;j=Alb(a,d,i,-1,-1,-1)|0;if((b[e>>0]|0)<0)Emc(f[d>>2]|0);e=d+4|0;f[e>>2]=0;f[e+4>>2]=0;e=d+11|0;b[e>>0]=3;b[d>>0]=b[444869]|0;b[d+1>>0]=b[444870]|0;b[d+2>>0]=b[444871]|0;b[d+3>>0]=0;i=Alb(a,d,j,q,-1,-1)|0;if((b[e>>0]|0)<0)Emc(f[d>>2]|0);e=d+4|0;f[e>>2]=0;f[e+4>>2]=0;e=d+11|0;b[e>>0]=3;b[d>>0]=b[444869]|0;b[d+1>>0]=b[444870]|0;b[d+2>>0]=b[444871]|0;b[d+3>>0]=0;j=Alb(a,d,k,i,-1,-1)|0;if((b[e>>0]|0)<0)Emc(f[d>>2]|0);e=d+4|0;f[e>>2]=0;f[e+4>>2]=0;e=d+11|0;b[e>>0]=3;b[d>>0]=b[444869]|0;b[d+1>>0]=b[444870]|0;b[d+2>>0]=b[444871]|0;b[d+3>>0]=0;r=Alb(a,d,o,i,-1,-1)|0;if((b[e>>0]|0)<0)Emc(f[d>>2]|0);e=d+4|0;f[e>>2]=0;f[e+4>>2]=0;e=d+11|0;b[e>>0]=3;b[d>>0]=b[446591]|0;b[d+1>>0]=b[446592]|0;b[d+2>>0]=b[446593]|0;b[d+3>>0]=0;i=Alb(a,d,p,r,-1,-1)|0;if((b[e>>0]|0)<0)Emc(f[d>>2]|0);e=d+4|0;f[e>>2]=0;f[e+4>>2]=0;e=d+11|0;b[e>>0]=3;b[d>>0]=b[445824]|0;b[d+1>>0]=b[445825]|0;b[d+2>>0]=b[445826]|0;b[d+3>>0]=0;Alb(a,d,j,i,-1,-1)|0;if((b[e>>0]|0)<0)Emc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=Bmc(16)|0;f[d>>2]=e;f[d+8>>2]=-2147483632;f[d+4>>2]=14;g=e;i=447109;h=g+14|0;do{b[g>>0]=b[i>>0]|0;g=g+1|0;i=i+1|0}while((g|0)<(h|0));b[e+14>>0]=0;Blb(a,d,k,q,p,o,n,m);if((b[d+11>>0]|0)>=0){u=c;return}Emc(f[d>>2]|0);u=c;return}function elb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=d-e>>3;h=g+1|0;i=e;j=d;if(h>>>0>536870911)Ukc(a);d=a+8|0;k=(f[d>>2]|0)-e|0;e=k>>2;l=k>>3>>>0<268435455?(e>>>0<h>>>0?h:e):536870911;do if(l)if(l>>>0>536870911){e=ye(8)|0;Jmc(e,511852);f[e>>2]=165276;Gf(e|0,26776,1555)}else{m=Bmc(l<<3)|0;break}else m=0;while(0);e=m+(g<<3)|0;h=e;k=m+(l<<3)|0;l=f[b>>2]|0;f[e>>2]=l;f[m+(g<<3)+4>>2]=f[b+4>>2];if(!l){n=j;o=i}else{i=l+4|0;f[i>>2]=(f[i>>2]|0)+1;n=f[c>>2]|0;o=f[a>>2]|0}i=e+8|0;if((n|0)==(o|0)){p=h;q=n;r=n}else{l=n;n=h;h=e;do{e=l;l=l+-8|0;j=f[l>>2]|0;f[h+-8>>2]=j;f[h+-4>>2]=f[e+-4>>2];if(j|0){e=j+4|0;f[e>>2]=(f[e>>2]|0)+1}h=n+-8|0;n=h}while((l|0)!=(o|0));p=n;q=f[a>>2]|0;r=f[c>>2]|0}f[a>>2]=p;f[c>>2]=i;f[d>>2]=k;k=q;if((r|0)!=(k|0)){d=r;do{r=d;d=d+-8|0;i=f[d>>2]|0;if(i|0?(c=i+4|0,p=f[c>>2]|0,f[c>>2]=p+-1,(p|0)==1):0)ai[f[(f[i>>2]|0)+8>>2]&2047](i);f[d>>2]=0;f[r+-4>>2]=0}while((d|0)!=(k|0))}if(!q)return;Emc(q);return}function flb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=u;u=u+32|0;d=c+12|0;e=c;g=a+4|0;h=g+60|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[a>>2]=132420;i=e+11|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;f[d+8>>2]=0;k=zlb(a,e,d)|0;l=f[d>>2]|0;if(l|0){m=f[j>>2]|0;if((m|0)!=(l|0))f[j>>2]=m+(~((m+-4-l|0)>>>2)<<2);Emc(l)}if((b[i>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;l=d+4|0;f[l>>2]=0;f[d+8>>2]=0;m=zlb(a,e,d)|0;j=f[d>>2]|0;if(j|0){n=f[l>>2]|0;if((n|0)!=(j|0))f[l>>2]=n+(~((n+-4-j|0)>>>2)<<2);Emc(j)}if((b[i>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;f[d+8>>2]=0;n=zlb(a,e,d)|0;l=f[d>>2]|0;if(l|0){o=f[j>>2]|0;if((o|0)!=(l|0))f[j>>2]=o+(~((o+-4-l|0)>>>2)<<2);Emc(l)}if((b[i>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;l=d+4|0;f[l>>2]=0;f[d+8>>2]=0;o=zlb(a,e,d)|0;j=f[d>>2]|0;if(j|0){p=f[l>>2]|0;if((p|0)!=(j|0))f[l>>2]=p+(~((p+-4-j|0)>>>2)<<2);Emc(j)}if((b[i>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;f[d+8>>2]=0;p=zlb(a,e,d)|0;l=f[d>>2]|0;if(l|0){q=f[j>>2]|0;if((q|0)!=(l|0))f[j>>2]=q+(~((q+-4-l|0)>>>2)<<2);Emc(l)}if((b[i>>0]|0)<0)Emc(f[e>>2]|0);e=d+4|0;f[e>>2]=0;f[e+4>>2]=0;e=d+11|0;b[e>>0]=3;b[d>>0]=b[445824]|0;b[d+1>>0]=b[445825]|0;b[d+2>>0]=b[445826]|0;b[d+3>>0]=0;i=Alb(a,d,n,m,-1,-1)|0;if((b[e>>0]|0)<0)Emc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=5;b[d>>0]=b[446068]|0;b[d+1>>0]=b[446069]|0;b[d+2>>0]=b[446070]|0;b[d+3>>0]=b[446071]|0;b[d+4>>0]=b[446072]|0;b[d+5>>0]=0;l=Alb(a,d,i,-1,-1,-1)|0;if((b[e>>0]|0)<0)Emc(f[d>>2]|0);e=d+4|0;f[e>>2]=0;f[e+4>>2]=0;e=d+11|0;b[e>>0]=3;b[d>>0]=b[444869]|0;b[d+1>>0]=b[444870]|0;b[d+2>>0]=b[444871]|0;b[d+3>>0]=0;i=Alb(a,d,k,l,-1,-1)|0;if((b[e>>0]|0)<0)Emc(f[d>>2]|0);e=d+4|0;f[e>>2]=0;f[e+4>>2]=0;e=d+11|0;b[e>>0]=3;b[d>>0]=b[444869]|0;b[d+1>>0]=b[444870]|0;b[d+2>>0]=b[444871]|0;b[d+3>>0]=0;q=Alb(a,d,o,l,-1,-1)|0;if((b[e>>0]|0)<0)Emc(f[d>>2]|0);e=d+4|0;f[e>>2]=0;f[e+4>>2]=0;e=d+11|0;b[e>>0]=3;b[d>>0]=b[446591]|0;b[d+1>>0]=b[446592]|0;b[d+2>>0]=b[446593]|0;b[d+3>>0]=0;l=Alb(a,d,p,q,-1,-1)|0;if((b[e>>0]|0)<0)Emc(f[d>>2]|0);e=d+4|0;f[e>>2]=0;f[e+4>>2]=0;e=d+11|0;b[e>>0]=3;b[d>>0]=b[445824]|0;b[d+1>>0]=b[445825]|0;b[d+2>>0]=b[445826]|0;b[d+3>>0]=0;Alb(a,d,i,l,-1,-1)|0;if((b[e>>0]|0)<0)Emc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=Bmc(16)|0;f[d>>2]=e;f[d+8>>2]=-2147483632;f[d+4>>2]=14;g=e;l=447109;h=g+14|0;do{b[g>>0]=b[l>>0]|0;g=g+1|0;l=l+1|0}while((g|0)<(h|0));b[e+14>>0]=0;Blb(a,d,k,p,p,o,n,m);if((b[d+11>>0]|0)>=0){u=c;return}Emc(f[d>>2]|0);u=c;return}function glb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=u;u=u+32|0;d=c+12|0;e=c;g=a+4|0;h=g+60|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[a>>2]=132404;i=e+11|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;f[d+8>>2]=0;k=zlb(a,e,d)|0;l=f[d>>2]|0;if(l|0){m=f[j>>2]|0;if((m|0)!=(l|0))f[j>>2]=m+(~((m+-4-l|0)>>>2)<<2);Emc(l)}if((b[i>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;l=d+4|0;f[l>>2]=0;f[d+8>>2]=0;m=zlb(a,e,d)|0;j=f[d>>2]|0;if(j|0){n=f[l>>2]|0;if((n|0)!=(j|0))f[l>>2]=n+(~((n+-4-j|0)>>>2)<<2);Emc(j)}if((b[i>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;f[d+8>>2]=0;n=zlb(a,e,d)|0;l=f[d>>2]|0;if(l|0){o=f[j>>2]|0;if((o|0)!=(l|0))f[j>>2]=o+(~((o+-4-l|0)>>>2)<<2);Emc(l)}if((b[i>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;l=d+4|0;f[l>>2]=0;f[d+8>>2]=0;o=zlb(a,e,d)|0;j=f[d>>2]|0;if(j|0){p=f[l>>2]|0;if((p|0)!=(j|0))f[l>>2]=p+(~((p+-4-j|0)>>>2)<<2);Emc(j)}if((b[i>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;f[d+8>>2]=0;p=zlb(a,e,d)|0;l=f[d>>2]|0;if(l|0){q=f[j>>2]|0;if((q|0)!=(l|0))f[j>>2]=q+(~((q+-4-l|0)>>>2)<<2);Emc(l)}if((b[i>>0]|0)<0)Emc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;i=Bmc(16)|0;f[d>>2]=i;f[d+8>>2]=-2147483632;f[d+4>>2]=12;g=i;l=444856;h=g+12|0;do{b[g>>0]=b[l>>0]|0;g=g+1|0;l=l+1|0}while((g|0)<(h|0));b[i+12>>0]=0;i=Alb(a,d,m,n,o,p)|0;if((b[d+11>>0]|0)<0)Emc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;p=e+11|0;b[p>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;o=d+4|0;f[o>>2]=0;f[d+8>>2]=0;n=zlb(a,e,d)|0;m=f[d>>2]|0;if(m|0){l=f[o>>2]|0;if((l|0)!=(m|0))f[o>>2]=l+(~((l+-4-m|0)>>>2)<<2);Emc(m)}if((b[p>>0]|0)<0)Emc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=4;f[d>>2]=1801675088;b[d+4>>0]=0;p=Alb(a,d,i,n,-1,-1)|0;if((b[e>>0]|0)<0)Emc(f[d>>2]|0);f[d+8>>2]=0;e=d+11|0;b[e>>0]=7;b[d>>0]=b[444586]|0;b[d+1>>0]=b[444587]|0;b[d+2>>0]=b[444588]|0;b[d+3>>0]=b[444589]|0;b[d+4>>0]=b[444590]|0;b[d+5>>0]=b[444591]|0;b[d+6>>0]=b[444592]|0;b[d+7>>0]=0;Alb(a,d,k,p,-1,-1)|0;if((b[e>>0]|0)<0)Emc(f[d>>2]|0);f[d+8>>2]=0;e=d+11|0;b[e>>0]=7;b[d>>0]=b[446779]|0;b[d+1>>0]=b[446780]|0;b[d+2>>0]=b[446781]|0;b[d+3>>0]=b[446782]|0;b[d+4>>0]=b[446783]|0;b[d+5>>0]=b[446784]|0;b[d+6>>0]=b[446785]|0;b[d+7>>0]=0;Blb(a,d,k,-1,-1,-1,-1,-1);if((b[e>>0]|0)>=0){u=c;return}Emc(f[d>>2]|0);u=c;return}function hlb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=u;u=u+32|0;d=c+12|0;e=c;g=a+4|0;h=g+60|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[a>>2]=132388;i=e+11|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;f[d+8>>2]=0;k=zlb(a,e,d)|0;l=f[d>>2]|0;if(l|0){m=f[j>>2]|0;if((m|0)!=(l|0))f[j>>2]=m+(~((m+-4-l|0)>>>2)<<2);Emc(l)}if((b[i>>0]|0)<0)Emc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;i=d+11|0;b[i>>0]=5;b[d>>0]=b[444580]|0;b[d+1>>0]=b[444581]|0;b[d+2>>0]=b[444582]|0;b[d+3>>0]=b[444583]|0;b[d+4>>0]=b[444584]|0;b[d+5>>0]=0;l=Alb(a,d,k,-1,-1,-1)|0;if((b[i>>0]|0)<0)Emc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;m=d+4|0;f[m>>2]=0;f[d+8>>2]=0;j=zlb(a,e,d)|0;n=f[d>>2]|0;if(n|0){o=f[m>>2]|0;if((o|0)!=(n|0))f[m>>2]=o+(~((o+-4-n|0)>>>2)<<2);Emc(n)}if((b[i>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;n=d+4|0;f[n>>2]=0;f[d+8>>2]=0;o=zlb(a,e,d)|0;m=f[d>>2]|0;if(m|0){p=f[n>>2]|0;if((p|0)!=(m|0))f[n>>2]=p+(~((p+-4-m|0)>>>2)<<2);Emc(m)}if((b[i>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;m=d+4|0;f[m>>2]=0;f[d+8>>2]=0;p=zlb(a,e,d)|0;n=f[d>>2]|0;if(n|0){q=f[m>>2]|0;if((q|0)!=(n|0))f[m>>2]=q+(~((q+-4-n|0)>>>2)<<2);Emc(n)}if((b[i>>0]|0)<0)Emc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;i=Bmc(16)|0;f[d>>2]=i;f[d+8>>2]=-2147483632;f[d+4>>2]=12;g=i;n=444856;h=g+12|0;do{b[g>>0]=b[n>>0]|0;g=g+1|0;n=n+1|0}while((g|0)<(h|0));b[i+12>>0]=0;i=Alb(a,d,l,j,o,p)|0;if((b[d+11>>0]|0)<0)Emc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;p=e+11|0;b[p>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;o=d+4|0;f[o>>2]=0;f[d+8>>2]=0;j=zlb(a,e,d)|0;l=f[d>>2]|0;if(l|0){n=f[o>>2]|0;if((n|0)!=(l|0))f[o>>2]=n+(~((n+-4-l|0)>>>2)<<2);Emc(l)}if((b[p>>0]|0)<0)Emc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=4;f[d>>2]=1801675088;b[d+4>>0]=0;p=Alb(a,d,i,j,-1,-1)|0;if((b[e>>0]|0)<0)Emc(f[d>>2]|0);f[d+8>>2]=0;e=d+11|0;b[e>>0]=7;b[d>>0]=b[444586]|0;b[d+1>>0]=b[444587]|0;b[d+2>>0]=b[444588]|0;b[d+3>>0]=b[444589]|0;b[d+4>>0]=b[444590]|0;b[d+5>>0]=b[444591]|0;b[d+6>>0]=b[444592]|0;b[d+7>>0]=0;Alb(a,d,k,p,-1,-1)|0;if((b[e>>0]|0)<0)Emc(f[d>>2]|0);f[d+8>>2]=0;e=d+11|0;b[e>>0]=7;b[d>>0]=b[446779]|0;b[d+1>>0]=b[446780]|0;b[d+2>>0]=b[446781]|0;b[d+3>>0]=b[446782]|0;b[d+4>>0]=b[446783]|0;b[d+5>>0]=b[446784]|0;b[d+6>>0]=b[446785]|0;b[d+7>>0]=0;Blb(a,d,k,-1,-1,-1,-1,-1);if((b[e>>0]|0)>=0){u=c;return}Emc(f[d>>2]|0);u=c;return}function ilb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+32|0;d=c+12|0;e=c;g=a+4|0;h=g+60|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[a>>2]=132372;g=e+11|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[d>>2]=0;h=d+4|0;f[h>>2]=0;f[d+8>>2]=0;i=zlb(a,e,d)|0;j=f[d>>2]|0;if(j|0){k=f[h>>2]|0;if((k|0)!=(j|0))f[h>>2]=k+(~((k+-4-j|0)>>>2)<<2);Emc(j)}if((b[g>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=e+11|0;b[g>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;f[d+8>>2]=0;k=zlb(a,e,d)|0;h=f[d>>2]|0;if(h|0){l=f[j>>2]|0;if((l|0)!=(h|0))f[j>>2]=l+(~((l+-4-h|0)>>>2)<<2);Emc(h)}if((b[g>>0]|0)<0)Emc(f[e>>2]|0);g=d+4|0;f[g>>2]=0;f[g+4>>2]=0;g=d+11|0;b[g>>0]=3;b[d>>0]=b[446587]|0;b[d+1>>0]=b[446588]|0;b[d+2>>0]=b[446589]|0;b[d+3>>0]=0;h=Alb(a,d,i,k,-1,-1)|0;if((b[g>>0]|0)<0)Emc(f[d>>2]|0);g=d+4|0;f[g>>2]=0;f[g+4>>2]=0;g=d+11|0;b[g>>0]=3;b[d>>0]=b[446591]|0;b[d+1>>0]=b[446592]|0;b[d+2>>0]=b[446593]|0;b[d+3>>0]=0;k=Alb(a,d,i,h,-1,-1)|0;if((b[g>>0]|0)<0)Emc(f[d>>2]|0);g=d+4|0;f[g>>2]=0;f[g+4>>2]=0;g=d+11|0;b[g>>0]=3;b[d>>0]=b[446595]|0;b[d+1>>0]=b[446596]|0;b[d+2>>0]=b[446597]|0;b[d+3>>0]=0;h=Alb(a,d,k,-1,-1,-1)|0;if((b[g>>0]|0)<0)Emc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=e+11|0;b[g>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;k=d+4|0;f[k>>2]=0;f[d+8>>2]=0;l=zlb(a,e,d)|0;j=f[d>>2]|0;if(j|0){m=f[k>>2]|0;if((m|0)!=(j|0))f[k>>2]=m+(~((m+-4-j|0)>>>2)<<2);Emc(j)}if((b[g>>0]|0)<0)Emc(f[e>>2]|0);e=d+4|0;f[e>>2]=0;f[e+4>>2]=0;e=d+11|0;b[e>>0]=3;b[d>>0]=b[446056]|0;b[d+1>>0]=b[446057]|0;b[d+2>>0]=b[446058]|0;b[d+3>>0]=0;g=Alb(a,d,h,l,-1,-1)|0;if((b[e>>0]|0)<0)Emc(f[d>>2]|0);f[d+8>>2]=0;e=d+11|0;b[e>>0]=7;b[d>>0]=b[446599]|0;b[d+1>>0]=b[446600]|0;b[d+2>>0]=b[446601]|0;b[d+3>>0]=b[446602]|0;b[d+4>>0]=b[446603]|0;b[d+5>>0]=b[446604]|0;b[d+6>>0]=b[446605]|0;b[d+7>>0]=0;Alb(a,d,h,g,-1,-1)|0;if((b[e>>0]|0)<0)Emc(f[d>>2]|0);f[d+8>>2]=0;e=d+11|0;b[e>>0]=7;b[d>>0]=b[446607]|0;b[d+1>>0]=b[446608]|0;b[d+2>>0]=b[446609]|0;b[d+3>>0]=b[446610]|0;b[d+4>>0]=b[446611]|0;b[d+5>>0]=b[446612]|0;b[d+6>>0]=b[446613]|0;b[d+7>>0]=0;Blb(a,d,i,-1,-1,-1,-1,-1);if((b[e>>0]|0)>=0){u=c;return}Emc(f[d>>2]|0);u=c;return}function jlb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+32|0;d=c+12|0;e=c;g=a+4|0;h=g+60|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[a>>2]=132356;g=e+11|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[d>>2]=0;h=d+4|0;f[h>>2]=0;f[d+8>>2]=0;i=zlb(a,e,d)|0;j=f[d>>2]|0;if(j|0){k=f[h>>2]|0;if((k|0)!=(j|0))f[h>>2]=k+(~((k+-4-j|0)>>>2)<<2);Emc(j)}if((b[g>>0]|0)<0)Emc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;g=d+11|0;b[g>>0]=4;f[d>>2]=1970038098;b[d+4>>0]=0;j=Alb(a,d,i,-1,-1,-1)|0;if((b[g>>0]|0)<0)Emc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=e+11|0;b[g>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;k=d+4|0;f[k>>2]=0;f[d+8>>2]=0;h=zlb(a,e,d)|0;l=f[d>>2]|0;if(l|0){m=f[k>>2]|0;if((m|0)!=(l|0))f[k>>2]=m+(~((m+-4-l|0)>>>2)<<2);Emc(l)}if((b[g>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=e+11|0;b[g>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;l=d+4|0;f[l>>2]=0;f[d+8>>2]=0;m=zlb(a,e,d)|0;k=f[d>>2]|0;if(k|0){n=f[l>>2]|0;if((n|0)!=(k|0))f[l>>2]=n+(~((n+-4-k|0)>>>2)<<2);Emc(k)}if((b[g>>0]|0)<0)Emc(f[e>>2]|0);f[d+8>>2]=0;e=d+11|0;b[e>>0]=7;b[d>>0]=b[446411]|0;b[d+1>>0]=b[446412]|0;b[d+2>>0]=b[446413]|0;b[d+3>>0]=b[446414]|0;b[d+4>>0]=b[446415]|0;b[d+5>>0]=b[446416]|0;b[d+6>>0]=b[446417]|0;b[d+7>>0]=0;g=Alb(a,d,j,h,-1,-1)|0;if((b[e>>0]|0)<0)Emc(f[d>>2]|0);f[d+8>>2]=0;e=d+11|0;b[e>>0]=7;b[d>>0]=b[446060]|0;b[d+1>>0]=b[446061]|0;b[d+2>>0]=b[446062]|0;b[d+3>>0]=b[446063]|0;b[d+4>>0]=b[446064]|0;b[d+5>>0]=b[446065]|0;b[d+6>>0]=b[446066]|0;b[d+7>>0]=0;Alb(a,d,g,m,-1,-1)|0;if((b[e>>0]|0)<0)Emc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=5;b[d>>0]=b[446419]|0;b[d+1>>0]=b[446420]|0;b[d+2>>0]=b[446421]|0;b[d+3>>0]=b[446422]|0;b[d+4>>0]=b[446423]|0;b[d+5>>0]=0;Blb(a,d,i,-1,-1,-1,-1,-1);if((b[e>>0]|0)>=0){u=c;return}Emc(f[d>>2]|0);u=c;return}function klb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=u;u=u+48|0;e=d+24|0;g=d+12|0;h=d;i=a+4|0;j=i+60|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[a>>2]=132340;k=a+64|0;f[k>>2]=c;c=g+11|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[e>>2]=0;l=e+4|0;f[l>>2]=0;f[e+8>>2]=0;m=zlb(a,g,e)|0;n=f[e>>2]|0;if(n|0){o=f[l>>2]|0;if((o|0)!=(n|0))f[l>>2]=o+(~((o+-4-n|0)>>>2)<<2);Emc(n)}if((b[c>>0]|0)<0)Emc(f[g>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;c=e+11|0;b[c>>0]=5;b[e>>0]=b[444580]|0;b[e+1>>0]=b[444581]|0;b[e+2>>0]=b[444582]|0;b[e+3>>0]=b[444583]|0;b[e+4>>0]=b[444584]|0;b[e+5>>0]=0;n=Alb(a,e,m,-1,-1,-1)|0;if((b[c>>0]|0)<0)Emc(f[e>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;c=g+11|0;b[c>>0]=5;b[g>>0]=b[444421]|0;b[g+1>>0]=b[444422]|0;b[g+2>>0]=b[444423]|0;b[g+3>>0]=b[444424]|0;b[g+4>>0]=b[444425]|0;b[g+5>>0]=0;f[e>>2]=0;o=e+4|0;f[o>>2]=0;f[e+8>>2]=0;l=zlb(a,g,e)|0;p=f[e>>2]|0;if(p|0){q=f[o>>2]|0;if((q|0)!=(p|0))f[o>>2]=q+(~((q+-4-p|0)>>>2)<<2);Emc(p)}if((b[c>>0]|0)<0)Emc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;c=g+11|0;b[c>>0]=5;b[g>>0]=b[444421]|0;b[g+1>>0]=b[444422]|0;b[g+2>>0]=b[444423]|0;b[g+3>>0]=b[444424]|0;b[g+4>>0]=b[444425]|0;b[g+5>>0]=0;f[e>>2]=0;p=e+4|0;f[p>>2]=0;f[e+8>>2]=0;q=zlb(a,g,e)|0;o=f[e>>2]|0;if(o|0){r=f[p>>2]|0;if((r|0)!=(o|0))f[p>>2]=r+(~((r+-4-o|0)>>>2)<<2);Emc(o)}if((b[c>>0]|0)<0)Emc(f[g>>2]|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;c=g+11|0;b[c>>0]=5;b[g>>0]=b[444421]|0;b[g+1>>0]=b[444422]|0;b[g+2>>0]=b[444423]|0;b[g+3>>0]=b[444424]|0;b[g+4>>0]=b[444425]|0;b[g+5>>0]=0;f[e>>2]=0;o=e+4|0;f[o>>2]=0;f[e+8>>2]=0;r=zlb(a,g,e)|0;p=f[e>>2]|0;if(p|0){s=f[o>>2]|0;if((s|0)!=(p|0))f[o>>2]=s+(~((s+-4-p|0)>>>2)<<2);Emc(p)}if((b[c>>0]|0)<0)Emc(f[g>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;c=Bmc(16)|0;f[e>>2]=c;f[e+8>>2]=-2147483632;f[e+4>>2]=12;i=c;p=444856;j=i+12|0;do{b[i>>0]=b[p>>0]|0;i=i+1|0;p=p+1|0}while((i|0)<(j|0));b[c+12>>0]=0;c=Alb(a,e,n,l,q,r)|0;if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);r=(f[k>>2]|0)+1|0;f[g>>2]=0;q=g+4|0;f[q>>2]=0;f[g+8>>2]=0;if(r>>>0>1073741823)Ukc(g);l=r<<2;n=Bmc(l)|0;f[g>>2]=n;p=n+(r<<2)|0;f[g+8>>2]=p;Drc(n|0,0,l|0)|0;f[q>>2]=p;f[n>>2]=c;if((f[k>>2]|0)>0){c=h+11|0;n=h+5|0;p=e+4|0;l=e+8|0;r=0;do{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[c>>0]=5;b[h>>0]=b[444421]|0;b[h+1>>0]=b[444422]|0;b[h+2>>0]=b[444423]|0;b[h+3>>0]=b[444424]|0;b[h+4>>0]=b[444425]|0;b[n>>0]=0;f[e>>2]=0;f[p>>2]=0;f[l>>2]=0;i=zlb(a,h,e)|0;j=f[e>>2]|0;if(j|0){s=f[p>>2]|0;if((s|0)!=(j|0))f[p>>2]=s+(~((s+-4-j|0)>>>2)<<2);Emc(j)}r=r+1|0;f[(f[g>>2]|0)+(r<<2)>>2]=i;if((b[c>>0]|0)<0)Emc(f[h>>2]|0)}while((r|0)<(f[k>>2]|0))};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;k=e+11|0;b[k>>0]=4;f[e>>2]=1801675088;b[e+4>>0]=0;r=zlb(a,e,g)|0;if((b[k>>0]|0)<0)Emc(f[e>>2]|0);f[e+8>>2]=0;k=e+11|0;b[k>>0]=7;b[e>>0]=b[444586]|0;b[e+1>>0]=b[444587]|0;b[e+2>>0]=b[444588]|0;b[e+3>>0]=b[444589]|0;b[e+4>>0]=b[444590]|0;b[e+5>>0]=b[444591]|0;b[e+6>>0]=b[444592]|0;b[e+7>>0]=0;Alb(a,e,m,r,-1,-1)|0;if((b[k>>0]|0)<0)Emc(f[e>>2]|0);f[f[g>>2]>>2]=m;f[e+8>>2]=0;m=e+11|0;b[m>>0]=7;b[e>>0]=b[444586]|0;b[e+1>>0]=b[444587]|0;b[e+2>>0]=b[444588]|0;b[e+3>>0]=b[444589]|0;b[e+4>>0]=b[444590]|0;b[e+5>>0]=b[444591]|0;b[e+6>>0]=b[444592]|0;b[e+7>>0]=0;Clb(a,e,g);if((b[m>>0]|0)<0)Emc(f[e>>2]|0);e=f[g>>2]|0;if(!e){u=d;return}g=f[q>>2]|0;if((g|0)!=(e|0))f[q>>2]=g+(~((g+-4-e|0)>>>2)<<2);Emc(e);u=d;return}function llb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=u;u=u+32|0;d=c+12|0;e=c;g=a+4|0;h=g+60|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[a>>2]=132324;i=e+11|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;f[d+8>>2]=0;k=zlb(a,e,d)|0;l=f[d>>2]|0;if(l|0){m=f[j>>2]|0;if((m|0)!=(l|0))f[j>>2]=m+(~((m+-4-l|0)>>>2)<<2);Emc(l)}if((b[i>>0]|0)<0)Emc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;i=d+11|0;b[i>>0]=6;b[d>>0]=b[446049]|0;b[d+1>>0]=b[446050]|0;b[d+2>>0]=b[446051]|0;b[d+3>>0]=b[446052]|0;b[d+4>>0]=b[446053]|0;b[d+5>>0]=b[446054]|0;b[d+6>>0]=0;l=Alb(a,d,k,-1,-1,-1)|0;if((b[i>>0]|0)<0)Emc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;m=d+4|0;f[m>>2]=0;f[d+8>>2]=0;j=zlb(a,e,d)|0;n=f[d>>2]|0;if(n|0){o=f[m>>2]|0;if((o|0)!=(n|0))f[m>>2]=o+(~((o+-4-n|0)>>>2)<<2);Emc(n)}if((b[i>>0]|0)<0)Emc(f[e>>2]|0);i=d+4|0;f[i>>2]=0;f[i+4>>2]=0;i=d+11|0;b[i>>0]=3;b[d>>0]=b[446056]|0;b[d+1>>0]=b[446057]|0;b[d+2>>0]=b[446058]|0;b[d+3>>0]=0;n=Alb(a,d,l,j,-1,-1)|0;if((b[i>>0]|0)<0)Emc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;l=d+4|0;f[l>>2]=0;f[d+8>>2]=0;o=zlb(a,e,d)|0;m=f[d>>2]|0;if(m|0){p=f[l>>2]|0;if((p|0)!=(m|0))f[l>>2]=p+(~((p+-4-m|0)>>>2)<<2);Emc(m)}if((b[i>>0]|0)<0)Emc(f[e>>2]|0);f[d+8>>2]=0;e=d+11|0;b[e>>0]=7;b[d>>0]=b[446060]|0;b[d+1>>0]=b[446061]|0;b[d+2>>0]=b[446062]|0;b[d+3>>0]=b[446063]|0;b[d+4>>0]=b[446064]|0;b[d+5>>0]=b[446065]|0;b[d+6>>0]=b[446066]|0;b[d+7>>0]=0;i=Alb(a,d,n,o,-1,-1)|0;if((b[e>>0]|0)<0)Emc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=5;b[d>>0]=b[446068]|0;b[d+1>>0]=b[446069]|0;b[d+2>>0]=b[446070]|0;b[d+3>>0]=b[446071]|0;b[d+4>>0]=b[446072]|0;b[d+5>>0]=0;o=Alb(a,d,i,-1,-1,-1)|0;if((b[e>>0]|0)<0)Emc(f[d>>2]|0);e=d+4|0;f[e>>2]=0;f[e+4>>2]=0;e=d+11|0;b[e>>0]=3;b[d>>0]=b[444869]|0;b[d+1>>0]=b[444870]|0;b[d+2>>0]=b[444871]|0;b[d+3>>0]=0;Alb(a,d,k,o,-1,-1)|0;if((b[e>>0]|0)<0)Emc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=Bmc(16)|0;f[d>>2]=e;f[d+8>>2]=-2147483632;f[d+4>>2]=11;g=e;o=446074;h=g+11|0;do{b[g>>0]=b[o>>0]|0;g=g+1|0;o=o+1|0}while((g|0)<(h|0));b[e+11>>0]=0;Blb(a,d,k,j,-1,-1,-1,-1);if((b[d+11>>0]|0)>=0){u=c;return}Emc(f[d>>2]|0);u=c;return}function mlb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;c=u;u=u+48|0;d=c+24|0;e=c+12|0;g=c;h=a+4|0;i=h+60|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));f[a>>2]=132308;j=e+11|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[d>>2]=0;k=d+4|0;f[k>>2]=0;f[d+8>>2]=0;l=zlb(a,e,d)|0;m=f[d>>2]|0;if(m|0){n=f[k>>2]|0;if((n|0)!=(m|0))f[k>>2]=n+(~((n+-4-m|0)>>>2)<<2);Emc(m)}if((b[j>>0]|0)<0)Emc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;j=d+11|0;b[j>>0]=5;b[d>>0]=b[444580]|0;b[d+1>>0]=b[444581]|0;b[d+2>>0]=b[444582]|0;b[d+3>>0]=b[444583]|0;b[d+4>>0]=b[444584]|0;b[d+5>>0]=0;m=Alb(a,d,l,-1,-1,-1)|0;if((b[j>>0]|0)<0)Emc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;j=e+11|0;b[j>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;n=d+4|0;f[n>>2]=0;f[d+8>>2]=0;k=zlb(a,e,d)|0;o=f[d>>2]|0;if(o|0){p=f[n>>2]|0;if((p|0)!=(o|0))f[n>>2]=p+(~((p+-4-o|0)>>>2)<<2);Emc(o)}if((b[j>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;j=e+11|0;b[j>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;o=d+4|0;f[o>>2]=0;f[d+8>>2]=0;p=zlb(a,e,d)|0;n=f[d>>2]|0;if(n|0){q=f[o>>2]|0;if((q|0)!=(n|0))f[o>>2]=q+(~((q+-4-n|0)>>>2)<<2);Emc(n)}if((b[j>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;j=e+11|0;b[j>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;n=d+4|0;f[n>>2]=0;f[d+8>>2]=0;q=zlb(a,e,d)|0;o=f[d>>2]|0;if(o|0){r=f[n>>2]|0;if((r|0)!=(o|0))f[n>>2]=r+(~((r+-4-o|0)>>>2)<<2);Emc(o)}if((b[j>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;j=e+11|0;b[j>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;o=d+4|0;f[o>>2]=0;f[d+8>>2]=0;r=zlb(a,e,d)|0;n=f[d>>2]|0;if(n|0){s=f[o>>2]|0;if((s|0)!=(n|0))f[o>>2]=s+(~((s+-4-n|0)>>>2)<<2);Emc(n)}if((b[j>>0]|0)<0)Emc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;j=Bmc(16)|0;f[d>>2]=j;f[d+8>>2]=-2147483632;f[d+4>>2]=12;h=j;n=444856;i=h+12|0;do{b[h>>0]=b[n>>0]|0;h=h+1|0;n=n+1|0}while((h|0)<(i|0));b[j+12>>0]=0;j=Alb(a,d,m,p,q,r)|0;if((b[d+11>>0]|0)<0)Emc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;r=e+11|0;b[r>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;q=d+4|0;f[q>>2]=0;f[d+8>>2]=0;p=zlb(a,e,d)|0;s=f[d>>2]|0;if(s|0){o=f[q>>2]|0;if((o|0)!=(s|0))f[q>>2]=o+(~((o+-4-s|0)>>>2)<<2);Emc(s)}if((b[r>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;r=e+11|0;b[r>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;s=d+4|0;f[s>>2]=0;f[d+8>>2]=0;o=zlb(a,e,d)|0;q=f[d>>2]|0;if(q|0){t=f[s>>2]|0;if((t|0)!=(q|0))f[s>>2]=t+(~((t+-4-q|0)>>>2)<<2);Emc(q)}if((b[r>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;r=e+11|0;b[r>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;q=d+4|0;f[q>>2]=0;f[d+8>>2]=0;t=zlb(a,e,d)|0;s=f[d>>2]|0;if(s|0){v=f[q>>2]|0;if((v|0)!=(s|0))f[q>>2]=v+(~((v+-4-s|0)>>>2)<<2);Emc(s)}if((b[r>>0]|0)<0)Emc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;r=Bmc(16)|0;f[d>>2]=r;f[d+8>>2]=-2147483632;f[d+4>>2]=12;h=r;n=444856;i=h+12|0;do{b[h>>0]=b[n>>0]|0;h=h+1|0;n=n+1|0}while((h|0)<(i|0));b[r+12>>0]=0;r=Alb(a,d,m,p,o,t)|0;if((b[d+11>>0]|0)<0)Emc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;t=e+11|0;b[t>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;o=d+4|0;f[o>>2]=0;f[d+8>>2]=0;p=zlb(a,e,d)|0;s=f[d>>2]|0;if(s|0){v=f[o>>2]|0;if((v|0)!=(s|0))f[o>>2]=v+(~((v+-4-s|0)>>>2)<<2);Emc(s)}if((b[t>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;t=e+11|0;b[t>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;s=d+4|0;f[s>>2]=0;f[d+8>>2]=0;v=zlb(a,e,d)|0;o=f[d>>2]|0;if(o|0){q=f[s>>2]|0;if((q|0)!=(o|0))f[s>>2]=q+(~((q+-4-o|0)>>>2)<<2);Emc(o)}if((b[t>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;t=e+11|0;b[t>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;o=d+4|0;f[o>>2]=0;f[d+8>>2]=0;q=zlb(a,e,d)|0;s=f[d>>2]|0;if(s|0){w=f[o>>2]|0;if((w|0)!=(s|0))f[o>>2]=w+(~((w+-4-s|0)>>>2)<<2);Emc(s)}if((b[t>>0]|0)<0)Emc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;t=Bmc(16)|0;f[d>>2]=t;f[d+8>>2]=-2147483632;f[d+4>>2]=12;h=t;n=444856;i=h+12|0;do{b[h>>0]=b[n>>0]|0;h=h+1|0;n=n+1|0}while((h|0)<(i|0));b[t+12>>0]=0;t=Alb(a,d,m,p,v,q)|0;if((b[d+11>>0]|0)<0)Emc(f[d>>2]|0);q=e+4|0;f[q>>2]=0;f[q+4>>2]=0;q=e+11|0;b[q>>0]=3;b[e>>0]=b[444869]|0;b[e+1>>0]=b[444870]|0;b[e+2>>0]=b[444871]|0;b[e+3>>0]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;v=g+11|0;b[v>>0]=5;b[g>>0]=b[444421]|0;b[g+1>>0]=b[444422]|0;b[g+2>>0]=b[444423]|0;b[g+3>>0]=b[444424]|0;b[g+4>>0]=b[444425]|0;b[g+5>>0]=0;f[d>>2]=0;m=d+4|0;f[m>>2]=0;f[d+8>>2]=0;s=zlb(a,g,d)|0;w=f[d>>2]|0;if(w|0){o=f[m>>2]|0;if((o|0)!=(w|0))f[m>>2]=o+(~((o+-4-w|0)>>>2)<<2);Emc(w)}w=Alb(a,e,r,s,-1,-1)|0;if((b[v>>0]|0)<0)Emc(f[g>>2]|0);if((b[q>>0]|0)<0)Emc(f[e>>2]|0);q=e+4|0;f[q>>2]=0;f[q+4>>2]=0;q=e+11|0;b[q>>0]=3;b[e>>0]=b[445824]|0;b[e+1>>0]=b[445825]|0;b[e+2>>0]=b[445826]|0;b[e+3>>0]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;v=g+11|0;b[v>>0]=5;b[g>>0]=b[444421]|0;b[g+1>>0]=b[444422]|0;b[g+2>>0]=b[444423]|0;b[g+3>>0]=b[444424]|0;b[g+4>>0]=b[444425]|0;b[g+5>>0]=0;f[d>>2]=0;s=d+4|0;f[s>>2]=0;f[d+8>>2]=0;r=zlb(a,g,d)|0;o=f[d>>2]|0;if(o|0){m=f[s>>2]|0;if((m|0)!=(o|0))f[s>>2]=m+(~((m+-4-o|0)>>>2)<<2);Emc(o)}o=Alb(a,e,w,r,-1,-1)|0;if((b[v>>0]|0)<0)Emc(f[g>>2]|0);if((b[q>>0]|0)<0)Emc(f[e>>2]|0);q=e+4|0;f[q>>2]=0;f[q+4>>2]=0;q=e+11|0;b[q>>0]=3;b[e>>0]=b[444869]|0;b[e+1>>0]=b[444870]|0;b[e+2>>0]=b[444871]|0;b[e+3>>0]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;v=g+11|0;b[v>>0]=5;b[g>>0]=b[444421]|0;b[g+1>>0]=b[444422]|0;b[g+2>>0]=b[444423]|0;b[g+3>>0]=b[444424]|0;b[g+4>>0]=b[444425]|0;b[g+5>>0]=0;f[d>>2]=0;r=d+4|0;f[r>>2]=0;f[d+8>>2]=0;w=zlb(a,g,d)|0;m=f[d>>2]|0;if(m|0){s=f[r>>2]|0;if((s|0)!=(m|0))f[r>>2]=s+(~((s+-4-m|0)>>>2)<<2);Emc(m)}m=Alb(a,e,t,w,-1,-1)|0;if((b[v>>0]|0)<0)Emc(f[g>>2]|0);if((b[q>>0]|0)<0)Emc(f[e>>2]|0);q=e+4|0;f[q>>2]=0;f[q+4>>2]=0;q=e+11|0;b[q>>0]=3;b[e>>0]=b[445824]|0;b[e+1>>0]=b[445825]|0;b[e+2>>0]=b[445826]|0;b[e+3>>0]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;v=g+11|0;b[v>>0]=5;b[g>>0]=b[444421]|0;b[g+1>>0]=b[444422]|0;b[g+2>>0]=b[444423]|0;b[g+3>>0]=b[444424]|0;b[g+4>>0]=b[444425]|0;b[g+5>>0]=0;f[d>>2]=0;w=d+4|0;f[w>>2]=0;f[d+8>>2]=0;t=zlb(a,g,d)|0;s=f[d>>2]|0;if(s|0){r=f[w>>2]|0;if((r|0)!=(s|0))f[w>>2]=r+(~((r+-4-s|0)>>>2)<<2);Emc(s)}s=Alb(a,e,m,t,-1,-1)|0;if((b[v>>0]|0)<0)Emc(f[g>>2]|0);if((b[q>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;q=e+11|0;b[q>>0]=4;f[e>>2]=1801675088;b[e+4>>0]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;v=g+11|0;b[v>>0]=5;b[g>>0]=b[444421]|0;b[g+1>>0]=b[444422]|0;b[g+2>>0]=b[444423]|0;b[g+3>>0]=b[444424]|0;b[g+4>>0]=b[444425]|0;b[g+5>>0]=0;f[d>>2]=0;t=d+4|0;f[t>>2]=0;f[d+8>>2]=0;m=zlb(a,g,d)|0;r=f[d>>2]|0;if(r|0){w=f[t>>2]|0;if((w|0)!=(r|0))f[t>>2]=w+(~((w+-4-r|0)>>>2)<<2);Emc(r)}r=Alb(a,e,j,o,s,m)|0;if((b[v>>0]|0)<0)Emc(f[g>>2]|0);if((b[q>>0]|0)<0)Emc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=Bmc(32)|0;f[d>>2]=e;f[d+8>>2]=-2147483616;f[d+4>>2]=19;h=e;n=445571;i=h+19|0;do{b[h>>0]=b[n>>0]|0;h=h+1|0;n=n+1|0}while((h|0)<(i|0));b[e+19>>0]=0;Alb(a,d,r,k,l,-1)|0;if((b[d+11>>0]|0)<0)Emc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;r=Bmc(32)|0;f[d>>2]=r;f[d+8>>2]=-2147483616;f[d+4>>2]=19;h=r;n=445571;i=h+19|0;do{b[h>>0]=b[n>>0]|0;h=h+1|0;n=n+1|0}while((h|0)<(i|0));b[r+19>>0]=0;Blb(a,d,p,k,l,-1,-1,-1);if((b[d+11>>0]|0)>=0){u=c;return}Emc(f[d>>2]|0);u=c;return}function nlb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;c=u;u=u+48|0;d=c+24|0;e=c+12|0;g=c;h=a+4|0;i=h+60|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));f[a>>2]=132292;j=e+11|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[d>>2]=0;k=d+4|0;f[k>>2]=0;f[d+8>>2]=0;l=zlb(a,e,d)|0;m=f[d>>2]|0;if(m|0){n=f[k>>2]|0;if((n|0)!=(m|0))f[k>>2]=n+(~((n+-4-m|0)>>>2)<<2);Emc(m)}if((b[j>>0]|0)<0)Emc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;j=d+11|0;b[j>>0]=5;b[d>>0]=b[444580]|0;b[d+1>>0]=b[444581]|0;b[d+2>>0]=b[444582]|0;b[d+3>>0]=b[444583]|0;b[d+4>>0]=b[444584]|0;b[d+5>>0]=0;m=Alb(a,d,l,-1,-1,-1)|0;if((b[j>>0]|0)<0)Emc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;j=e+11|0;b[j>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;n=d+4|0;f[n>>2]=0;f[d+8>>2]=0;k=zlb(a,e,d)|0;o=f[d>>2]|0;if(o|0){p=f[n>>2]|0;if((p|0)!=(o|0))f[n>>2]=p+(~((p+-4-o|0)>>>2)<<2);Emc(o)}if((b[j>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;j=e+11|0;b[j>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;o=d+4|0;f[o>>2]=0;f[d+8>>2]=0;p=zlb(a,e,d)|0;n=f[d>>2]|0;if(n|0){q=f[o>>2]|0;if((q|0)!=(n|0))f[o>>2]=q+(~((q+-4-n|0)>>>2)<<2);Emc(n)}if((b[j>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;j=e+11|0;b[j>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;n=d+4|0;f[n>>2]=0;f[d+8>>2]=0;q=zlb(a,e,d)|0;o=f[d>>2]|0;if(o|0){r=f[n>>2]|0;if((r|0)!=(o|0))f[n>>2]=r+(~((r+-4-o|0)>>>2)<<2);Emc(o)}if((b[j>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;j=e+11|0;b[j>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;o=d+4|0;f[o>>2]=0;f[d+8>>2]=0;r=zlb(a,e,d)|0;n=f[d>>2]|0;if(n|0){s=f[o>>2]|0;if((s|0)!=(n|0))f[o>>2]=s+(~((s+-4-n|0)>>>2)<<2);Emc(n)}if((b[j>>0]|0)<0)Emc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;j=Bmc(16)|0;f[d>>2]=j;f[d+8>>2]=-2147483632;f[d+4>>2]=12;h=j;n=444856;i=h+12|0;do{b[h>>0]=b[n>>0]|0;h=h+1|0;n=n+1|0}while((h|0)<(i|0));b[j+12>>0]=0;j=Alb(a,d,m,p,q,r)|0;if((b[d+11>>0]|0)<0)Emc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;r=e+11|0;b[r>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;q=d+4|0;f[q>>2]=0;f[d+8>>2]=0;p=zlb(a,e,d)|0;s=f[d>>2]|0;if(s|0){o=f[q>>2]|0;if((o|0)!=(s|0))f[q>>2]=o+(~((o+-4-s|0)>>>2)<<2);Emc(s)}if((b[r>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;r=e+11|0;b[r>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;s=d+4|0;f[s>>2]=0;f[d+8>>2]=0;o=zlb(a,e,d)|0;q=f[d>>2]|0;if(q|0){t=f[s>>2]|0;if((t|0)!=(q|0))f[s>>2]=t+(~((t+-4-q|0)>>>2)<<2);Emc(q)}if((b[r>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;r=e+11|0;b[r>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;q=d+4|0;f[q>>2]=0;f[d+8>>2]=0;t=zlb(a,e,d)|0;s=f[d>>2]|0;if(s|0){v=f[q>>2]|0;if((v|0)!=(s|0))f[q>>2]=v+(~((v+-4-s|0)>>>2)<<2);Emc(s)}if((b[r>>0]|0)<0)Emc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;r=Bmc(16)|0;f[d>>2]=r;f[d+8>>2]=-2147483632;f[d+4>>2]=12;h=r;n=444856;i=h+12|0;do{b[h>>0]=b[n>>0]|0;h=h+1|0;n=n+1|0}while((h|0)<(i|0));b[r+12>>0]=0;r=Alb(a,d,m,p,o,t)|0;if((b[d+11>>0]|0)<0)Emc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;t=e+11|0;b[t>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;o=d+4|0;f[o>>2]=0;f[d+8>>2]=0;p=zlb(a,e,d)|0;s=f[d>>2]|0;if(s|0){v=f[o>>2]|0;if((v|0)!=(s|0))f[o>>2]=v+(~((v+-4-s|0)>>>2)<<2);Emc(s)}if((b[t>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;t=e+11|0;b[t>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;s=d+4|0;f[s>>2]=0;f[d+8>>2]=0;v=zlb(a,e,d)|0;o=f[d>>2]|0;if(o|0){q=f[s>>2]|0;if((q|0)!=(o|0))f[s>>2]=q+(~((q+-4-o|0)>>>2)<<2);Emc(o)}if((b[t>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;t=e+11|0;b[t>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;o=d+4|0;f[o>>2]=0;f[d+8>>2]=0;q=zlb(a,e,d)|0;s=f[d>>2]|0;if(s|0){w=f[o>>2]|0;if((w|0)!=(s|0))f[o>>2]=w+(~((w+-4-s|0)>>>2)<<2);Emc(s)}if((b[t>>0]|0)<0)Emc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;t=Bmc(16)|0;f[d>>2]=t;f[d+8>>2]=-2147483632;f[d+4>>2]=12;h=t;n=444856;i=h+12|0;do{b[h>>0]=b[n>>0]|0;h=h+1|0;n=n+1|0}while((h|0)<(i|0));b[t+12>>0]=0;t=Alb(a,d,m,p,v,q)|0;if((b[d+11>>0]|0)<0)Emc(f[d>>2]|0);q=e+4|0;f[q>>2]=0;f[q+4>>2]=0;q=e+11|0;b[q>>0]=3;b[e>>0]=b[444869]|0;b[e+1>>0]=b[444870]|0;b[e+2>>0]=b[444871]|0;b[e+3>>0]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;v=g+11|0;b[v>>0]=5;b[g>>0]=b[444421]|0;b[g+1>>0]=b[444422]|0;b[g+2>>0]=b[444423]|0;b[g+3>>0]=b[444424]|0;b[g+4>>0]=b[444425]|0;b[g+5>>0]=0;f[d>>2]=0;m=d+4|0;f[m>>2]=0;f[d+8>>2]=0;s=zlb(a,g,d)|0;w=f[d>>2]|0;if(w|0){o=f[m>>2]|0;if((o|0)!=(w|0))f[m>>2]=o+(~((o+-4-w|0)>>>2)<<2);Emc(w)}w=Alb(a,e,r,s,-1,-1)|0;if((b[v>>0]|0)<0)Emc(f[g>>2]|0);if((b[q>>0]|0)<0)Emc(f[e>>2]|0);q=e+4|0;f[q>>2]=0;f[q+4>>2]=0;q=e+11|0;b[q>>0]=3;b[e>>0]=b[444869]|0;b[e+1>>0]=b[444870]|0;b[e+2>>0]=b[444871]|0;b[e+3>>0]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;v=g+11|0;b[v>>0]=5;b[g>>0]=b[444421]|0;b[g+1>>0]=b[444422]|0;b[g+2>>0]=b[444423]|0;b[g+3>>0]=b[444424]|0;b[g+4>>0]=b[444425]|0;b[g+5>>0]=0;f[d>>2]=0;s=d+4|0;f[s>>2]=0;f[d+8>>2]=0;r=zlb(a,g,d)|0;o=f[d>>2]|0;if(o|0){m=f[s>>2]|0;if((m|0)!=(o|0))f[s>>2]=m+(~((m+-4-o|0)>>>2)<<2);Emc(o)}o=Alb(a,e,t,r,-1,-1)|0;if((b[v>>0]|0)<0)Emc(f[g>>2]|0);if((b[q>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;q=e+11|0;b[q>>0]=4;f[e>>2]=1801675088;b[e+4>>0]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;v=g+11|0;b[v>>0]=5;b[g>>0]=b[444421]|0;b[g+1>>0]=b[444422]|0;b[g+2>>0]=b[444423]|0;b[g+3>>0]=b[444424]|0;b[g+4>>0]=b[444425]|0;b[g+5>>0]=0;f[d>>2]=0;r=d+4|0;f[r>>2]=0;f[d+8>>2]=0;t=zlb(a,g,d)|0;m=f[d>>2]|0;if(m|0){s=f[r>>2]|0;if((s|0)!=(m|0))f[r>>2]=s+(~((s+-4-m|0)>>>2)<<2);Emc(m)}m=Alb(a,e,j,w,o,t)|0;if((b[v>>0]|0)<0)Emc(f[g>>2]|0);if((b[q>>0]|0)<0)Emc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=Bmc(32)|0;f[d>>2]=e;f[d+8>>2]=-2147483616;f[d+4>>2]=19;h=e;n=445571;i=h+19|0;do{b[h>>0]=b[n>>0]|0;h=h+1|0;n=n+1|0}while((h|0)<(i|0));b[e+19>>0]=0;Alb(a,d,m,k,l,-1)|0;if((b[d+11>>0]|0)<0)Emc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;m=Bmc(32)|0;f[d>>2]=m;f[d+8>>2]=-2147483616;f[d+4>>2]=19;h=m;n=445571;i=h+19|0;do{b[h>>0]=b[n>>0]|0;h=h+1|0;n=n+1|0}while((h|0)<(i|0));b[m+19>>0]=0;Blb(a,d,p,k,l,-1,-1,-1);if((b[d+11>>0]|0)>=0){u=c;return}Emc(f[d>>2]|0);u=c;return}function olb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=u;u=u+32|0;d=c+12|0;e=c;g=a+4|0;h=g+60|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[a>>2]=132276;i=e+11|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;f[d+8>>2]=0;k=zlb(a,e,d)|0;l=f[d>>2]|0;if(l|0){m=f[j>>2]|0;if((m|0)!=(l|0))f[j>>2]=m+(~((m+-4-l|0)>>>2)<<2);Emc(l)}if((b[i>>0]|0)<0)Emc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;i=d+11|0;b[i>>0]=5;b[d>>0]=b[444580]|0;b[d+1>>0]=b[444581]|0;b[d+2>>0]=b[444582]|0;b[d+3>>0]=b[444583]|0;b[d+4>>0]=b[444584]|0;b[d+5>>0]=0;l=Alb(a,d,k,-1,-1,-1)|0;if((b[i>>0]|0)<0)Emc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;m=d+4|0;f[m>>2]=0;f[d+8>>2]=0;j=zlb(a,e,d)|0;n=f[d>>2]|0;if(n|0){o=f[m>>2]|0;if((o|0)!=(n|0))f[m>>2]=o+(~((o+-4-n|0)>>>2)<<2);Emc(n)}if((b[i>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;n=d+4|0;f[n>>2]=0;f[d+8>>2]=0;o=zlb(a,e,d)|0;m=f[d>>2]|0;if(m|0){p=f[n>>2]|0;if((p|0)!=(m|0))f[n>>2]=p+(~((p+-4-m|0)>>>2)<<2);Emc(m)}if((b[i>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;m=d+4|0;f[m>>2]=0;f[d+8>>2]=0;p=zlb(a,e,d)|0;n=f[d>>2]|0;if(n|0){q=f[m>>2]|0;if((q|0)!=(n|0))f[m>>2]=q+(~((q+-4-n|0)>>>2)<<2);Emc(n)}if((b[i>>0]|0)<0)Emc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;i=Bmc(16)|0;f[d>>2]=i;f[d+8>>2]=-2147483632;f[d+4>>2]=12;g=i;n=444856;h=g+12|0;do{b[g>>0]=b[n>>0]|0;g=g+1|0;n=n+1|0}while((g|0)<(h|0));b[i+12>>0]=0;i=Alb(a,d,l,j,o,p)|0;if((b[d+11>>0]|0)<0)Emc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;p=e+11|0;b[p>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;o=d+4|0;f[o>>2]=0;f[d+8>>2]=0;j=zlb(a,e,d)|0;l=f[d>>2]|0;if(l|0){q=f[o>>2]|0;if((q|0)!=(l|0))f[o>>2]=q+(~((q+-4-l|0)>>>2)<<2);Emc(l)}if((b[p>>0]|0)<0)Emc(f[e>>2]|0);p=d+4|0;f[p>>2]=0;f[p+4>>2]=0;p=d+11|0;b[p>>0]=3;b[d>>0]=b[444869]|0;b[d+1>>0]=b[444870]|0;b[d+2>>0]=b[444871]|0;b[d+3>>0]=0;l=Alb(a,d,i,j,-1,-1)|0;if((b[p>>0]|0)<0)Emc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;p=d+11|0;b[p>>0]=5;b[d>>0]=b[444580]|0;b[d+1>>0]=b[444581]|0;b[d+2>>0]=b[444582]|0;b[d+3>>0]=b[444583]|0;b[d+4>>0]=b[444584]|0;b[d+5>>0]=0;i=Alb(a,d,k,-1,-1,-1)|0;if((b[p>>0]|0)<0)Emc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;p=e+11|0;b[p>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;q=d+4|0;f[q>>2]=0;f[d+8>>2]=0;o=zlb(a,e,d)|0;m=f[d>>2]|0;if(m|0){r=f[q>>2]|0;if((r|0)!=(m|0))f[q>>2]=r+(~((r+-4-m|0)>>>2)<<2);Emc(m)}if((b[p>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;p=e+11|0;b[p>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;m=d+4|0;f[m>>2]=0;f[d+8>>2]=0;r=zlb(a,e,d)|0;q=f[d>>2]|0;if(q|0){s=f[m>>2]|0;if((s|0)!=(q|0))f[m>>2]=s+(~((s+-4-q|0)>>>2)<<2);Emc(q)}if((b[p>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;p=e+11|0;b[p>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;q=d+4|0;f[q>>2]=0;f[d+8>>2]=0;s=zlb(a,e,d)|0;m=f[d>>2]|0;if(m|0){t=f[q>>2]|0;if((t|0)!=(m|0))f[q>>2]=t+(~((t+-4-m|0)>>>2)<<2);Emc(m)}if((b[p>>0]|0)<0)Emc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;p=Bmc(16)|0;f[d>>2]=p;f[d+8>>2]=-2147483632;f[d+4>>2]=12;g=p;n=444856;h=g+12|0;do{b[g>>0]=b[n>>0]|0;g=g+1|0;n=n+1|0}while((g|0)<(h|0));b[p+12>>0]=0;p=Alb(a,d,i,o,r,s)|0;if((b[d+11>>0]|0)<0)Emc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;s=e+11|0;b[s>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;r=d+4|0;f[r>>2]=0;f[d+8>>2]=0;o=zlb(a,e,d)|0;i=f[d>>2]|0;if(i|0){m=f[r>>2]|0;if((m|0)!=(i|0))f[r>>2]=m+(~((m+-4-i|0)>>>2)<<2);Emc(i)}if((b[s>>0]|0)<0)Emc(f[e>>2]|0);e=d+4|0;f[e>>2]=0;f[e+4>>2]=0;e=d+11|0;b[e>>0]=3;b[d>>0]=b[444869]|0;b[d+1>>0]=b[444870]|0;b[d+2>>0]=b[444871]|0;b[d+3>>0]=0;s=Alb(a,d,p,o,-1,-1)|0;if((b[e>>0]|0)<0)Emc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=4;f[d>>2]=1801675088;b[d+4>>0]=0;p=Alb(a,d,l,s,-1,-1)|0;if((b[e>>0]|0)<0)Emc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=Bmc(16)|0;f[d>>2]=e;f[d+8>>2]=-2147483632;f[d+4>>2]=14;g=e;n=445380;h=g+14|0;do{b[g>>0]=b[n>>0]|0;g=g+1|0;n=n+1|0}while((g|0)<(h|0));b[e+14>>0]=0;Alb(a,d,k,p,-1,-1)|0;if((b[d+11>>0]|0)<0)Emc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;p=Bmc(16)|0;f[d>>2]=p;f[d+8>>2]=-2147483632;f[d+4>>2]=14;g=p;n=445380;h=g+14|0;do{b[g>>0]=b[n>>0]|0;g=g+1|0;n=n+1|0}while((g|0)<(h|0));b[p+14>>0]=0;Blb(a,d,k,j,o,-1,-1,-1);if((b[d+11>>0]|0)>=0){u=c;return}Emc(f[d>>2]|0);u=c;return}function plb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=u;u=u+32|0;d=c+12|0;e=c;g=a+4|0;h=g+60|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[a>>2]=132204;i=e+11|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;f[d+8>>2]=0;k=zlb(a,e,d)|0;l=f[d>>2]|0;if(l|0){m=f[j>>2]|0;if((m|0)!=(l|0))f[j>>2]=m+(~((m+-4-l|0)>>>2)<<2);Emc(l)}if((b[i>>0]|0)<0)Emc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;i=d+11|0;b[i>>0]=5;b[d>>0]=b[444580]|0;b[d+1>>0]=b[444581]|0;b[d+2>>0]=b[444582]|0;b[d+3>>0]=b[444583]|0;b[d+4>>0]=b[444584]|0;b[d+5>>0]=0;l=Alb(a,d,k,-1,-1,-1)|0;if((b[i>>0]|0)<0)Emc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;m=d+4|0;f[m>>2]=0;f[d+8>>2]=0;j=zlb(a,e,d)|0;n=f[d>>2]|0;if(n|0){o=f[m>>2]|0;if((o|0)!=(n|0))f[m>>2]=o+(~((o+-4-n|0)>>>2)<<2);Emc(n)}if((b[i>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;n=d+4|0;f[n>>2]=0;f[d+8>>2]=0;o=zlb(a,e,d)|0;m=f[d>>2]|0;if(m|0){p=f[n>>2]|0;if((p|0)!=(m|0))f[n>>2]=p+(~((p+-4-m|0)>>>2)<<2);Emc(m)}if((b[i>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;m=d+4|0;f[m>>2]=0;f[d+8>>2]=0;p=zlb(a,e,d)|0;n=f[d>>2]|0;if(n|0){q=f[m>>2]|0;if((q|0)!=(n|0))f[m>>2]=q+(~((q+-4-n|0)>>>2)<<2);Emc(n)}if((b[i>>0]|0)<0)Emc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;i=Bmc(16)|0;f[d>>2]=i;f[d+8>>2]=-2147483632;f[d+4>>2]=12;g=i;n=444856;h=g+12|0;do{b[g>>0]=b[n>>0]|0;g=g+1|0;n=n+1|0}while((g|0)<(h|0));b[i+12>>0]=0;i=Alb(a,d,l,j,o,p)|0;if((b[d+11>>0]|0)<0)Emc(f[d>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;p=e+11|0;b[p>>0]=5;b[e>>0]=b[444421]|0;b[e+1>>0]=b[444422]|0;b[e+2>>0]=b[444423]|0;b[e+3>>0]=b[444424]|0;b[e+4>>0]=b[444425]|0;b[e+5>>0]=0;f[d>>2]=0;o=d+4|0;f[o>>2]=0;f[d+8>>2]=0;j=zlb(a,e,d)|0;l=f[d>>2]|0;if(l|0){q=f[o>>2]|0;if((q|0)!=(l|0))f[o>>2]=q+(~((q+-4-l|0)>>>2)<<2);Emc(l)}if((b[p>>0]|0)<0)Emc(f[e>>2]|0);e=d+4|0;f[e>>2]=0;f[e+4>>2]=0;e=d+11|0;b[e>>0]=3;b[d>>0]=b[444869]|0;b[d+1>>0]=b[444870]|0;b[d+2>>0]=b[444871]|0;b[d+3>>0]=0;p=Alb(a,d,i,j,-1,-1)|0;if((b[e>>0]|0)<0)Emc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=Bmc(32)|0;f[d>>2]=e;f[d+8>>2]=-2147483616;f[d+4>>2]=21;g=e;n=444873;h=g+21|0;do{b[g>>0]=b[n>>0]|0;g=g+1|0;n=n+1|0}while((g|0)<(h|0));b[e+21>>0]=0;Alb(a,d,k,p,-1,-1)|0;if((b[d+11>>0]|0)<0)Emc(f[d>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;p=Bmc(32)|0;f[d>>2]=p;f[d+8>>2]=-2147483616;f[d+4>>2]=21;g=p;n=444873;h=g+21|0;do{b[g>>0]=b[n>>0]|0;g=g+1|0;n=n+1|0}while((g|0)<(h|0));b[p+21>>0]=0;Blb(a,d,k,j,-1,-1,-1,-1);if((b[d+11>>0]|0)>=0){u=c;return}Emc(f[d>>2]|0);u=c;return}function qlb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+32|0;d=c+12|0;e=c;g=a+4|0;h=g+60|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[a>>2]=132188;g=e+11|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[d>>2]=0;h=d+4|0;f[h>>2]=0;f[d+8>>2]=0;i=zlb(a,e,d)|0;j=f[d>>2]|0;if(j|0){k=f[h>>2]|0;if((k|0)!=(j|0))f[h>>2]=k+(~((k+-4-j|0)>>>2)<<2);Emc(j)}if((b[g>>0]|0)<0)Emc(f[e>>2]|0);g=e+11|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;f[d+8>>2]=0;k=zlb(a,e,d)|0;h=f[d>>2]|0;if(h|0){l=f[j>>2]|0;if((l|0)!=(h|0))f[j>>2]=l+(~((l+-4-h|0)>>>2)<<2);Emc(h)}if((b[g>>0]|0)<0)Emc(f[e>>2]|0);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;e=d+11|0;b[e>>0]=5;b[d>>0]=b[444580]|0;b[d+1>>0]=b[444581]|0;b[d+2>>0]=b[444582]|0;b[d+3>>0]=b[444583]|0;b[d+4>>0]=b[444584]|0;b[d+5>>0]=0;g=Alb(a,d,k,-1,-1,-1)|0;if((b[e>>0]|0)<0)Emc(f[d>>2]|0);f[d+8>>2]=0;e=d+11|0;b[e>>0]=7;b[d>>0]=b[444586]|0;b[d+1>>0]=b[444587]|0;b[d+2>>0]=b[444588]|0;b[d+3>>0]=b[444589]|0;b[d+4>>0]=b[444590]|0;b[d+5>>0]=b[444591]|0;b[d+6>>0]=b[444592]|0;b[d+7>>0]=0;Alb(a,d,i,g,-1,-1)|0;if((b[e>>0]|0)<0)Emc(f[d>>2]|0);f[d+8>>2]=0;e=d+11|0;b[e>>0]=7;b[d>>0]=b[444586]|0;b[d+1>>0]=b[444587]|0;b[d+2>>0]=b[444588]|0;b[d+3>>0]=b[444589]|0;b[d+4>>0]=b[444590]|0;b[d+5>>0]=b[444591]|0;b[d+6>>0]=b[444592]|0;b[d+7>>0]=0;Blb(a,d,i,k,-1,-1,-1,-1);if((b[e>>0]|0)>=0){u=c;return}Emc(f[d>>2]|0);u=c;return}function rlb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;e=u;u=u+32|0;g=e+20|0;h=e+8|0;i=e;j=a+52|0;k=a+56|0;slb(g,(f[k>>2]|0)-(f[j>>2]|0)>>2);a:do if((f[k>>2]|0)!=(f[j>>2]|0)){l=d+4|0;m=h+11|0;n=h+4|0;o=c+20|0;p=a+40|0;q=a+16|0;r=0;b:while(1){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;s=f[l>>2]|0;t=f[d>>2]|0;c:do if((s|0)==(t|0)){v=0;w=0}else{x=0;y=s;z=0;A=0;B=t;while(1){if((z<<24>>24<0?A:z&255)|0){v=z;w=A;break c}C=f[(f[o>>2]|0)+4+(f[B+(x<<2)>>2]<<2)>>2]|0;D=f[(f[p>>2]|0)+(x<<2)>>2]|0;E=f[q>>2]|0;F=f[C+12>>2]|0;G=f[E+(D*12|0)+4>>2]|0;H=f[E+(D*12|0)>>2]|0;D=H;if((F|0)!=(G-H>>2|0)){I=10;break b}d:do if((G|0)==(H|0)){J=B;K=y}else{E=f[(f[j>>2]|0)+(r<<2)>>2]|0;L=0;while(1){if((f[D+(L<<2)>>2]|0)==(E|0))break;M=L+1|0;if(M>>>0<F>>>0)L=M;else{J=B;K=y;break d}}Qmc(h,f[(f[C+20>>2]|0)+4+(L<<2)>>2]|0)|0;J=f[d>>2]|0;K=f[l>>2]|0}while(0);x=x+1|0;C=b[m>>0]|0;F=f[n>>2]|0;if(x>>>0>=K-J>>2>>>0){v=C;w=F;break}else{y=K;z=C;A=F;B=J}}}while(0);if(!((v<<24>>24<0?w:v&255)|0)){I=15;break}Qmc((f[g>>2]|0)+(r*12|0)|0,h)|0;if((b[m>>0]|0)<0)Emc(f[h>>2]|0);r=r+1|0;if(r>>>0>=(f[k>>2]|0)-(f[j>>2]|0)>>2>>>0){N=o;O=d;P=l;break a}}if((I|0)==10){f[i>>2]=0;f[i+4>>2]=0;Q=YG(i,38)|0;R=444208;S=Q+38|0;do{b[Q>>0]=b[R>>0]|0;Q=Q+1|0;R=R+1|0}while((Q|0)<(S|0));SQ(-215,i,444247,444255,151)}else if((I|0)==15){f[i>>2]=0;f[i+4>>2]=0;Q=YG(i,16)|0;R=444343;S=Q+16|0;do{b[Q>>0]=b[R>>0]|0;Q=Q+1|0;R=R+1|0}while((Q|0)<(S|0));SQ(-215,i,444247,444255,161)}}else{N=c+20|0;O=d;P=d+4|0}while(0);i=f[P>>2]|0;P=f[N>>2]|0;R=f[P+4+(f[i+-4>>2]<<2)>>2]|0;Q=f[O>>2]|0;O=(i-Q>>2)+-2|0;e:do if((O|0)>-1){i=c+8|0;S=O;I=Q;j=P;while(1){k=f[I+(S<<2)>>2]|0;v=f[j+4+(k<<2)>>2]|0;if(!((v|0)==0|(f[i>>2]|0)!=0))ai[f[(f[v>>2]|0)+4>>2]&2047](v);vDb(i,k,1);if((S|0)<=0)break e;S=S+-1|0;I=f[d>>2]|0;j=f[N>>2]|0}}while(0);N=a+28|0;d=R+64|0;P=f[R+4>>2]|0;Q=P&-2;if(!(P&1))T=Q;else T=f[Q+4>>2]|0;Q=f[d>>2]|0;if((Q|0)==535416)PDa(d,T,N);else Qmc(Q,N)|0;N=R+12|0;Q=f[N>>2]|0;if((Q|0)>0){T=f[R+20>>2]|0;d=0;do{P=f[T+4+(d<<2)>>2]|0;d=d+1|0;O=P+11|0;if((b[O>>0]|0)<0){b[f[P>>2]>>0]=0;f[P+4>>2]=0}else{b[P>>0]=0;b[O>>0]=0}}while((d|0)!=(Q|0));f[N>>2]=0}N=g+4|0;Q=f[N>>2]|0;d=f[g>>2]|0;if((Q|0)==(d|0)){U=Q;V=Q}else{Q=R+8|0;T=0;O=d;while(1){Qmc(dFa(Q)|0,O+(T*12|0)|0)|0;T=T+1|0;d=f[N>>2]|0;P=f[g>>2]|0;if(T>>>0>=((d-P|0)/12|0)>>>0){U=P;V=d;break}else O=P}}O=V-U|0;T=(O|0)/12|0;f[h>>2]=0;Q=h+4|0;f[Q>>2]=0;f[h+8>>2]=0;if(!O)W=V;else{if(T>>>0>1073741823)Ukc(h);V=Bmc(T<<2)|0;f[Q>>2]=V;f[h>>2]=V;f[h+8>>2]=V+(T<<2);O=T;T=V;do{f[T>>2]=0;T=(f[Q>>2]|0)+4|0;f[Q>>2]=T;O=O+-1|0}while((O|0)!=0);W=f[N>>2]|0}if((W|0)!=(U|0)){U=0;do{W=tlb(c,R,U)|0;f[(f[h>>2]|0)+(U<<2)>>2]=W;U=U+1|0}while(U>>>0<(((f[N>>2]|0)-(f[g>>2]|0)|0)/12|0)>>>0)}rh[f[(f[a>>2]|0)+4>>2]&255](a,c,R,h);R=f[h>>2]|0;if(R|0){h=f[Q>>2]|0;if((h|0)!=(R|0))f[Q>>2]=h+(~((h+-4-R|0)>>>2)<<2);Emc(R)}R=f[g>>2]|0;if(!R){u=e;return}h=f[N>>2]|0;if((h|0)==(R|0))X=R;else{Q=h;while(1){h=Q+-12|0;f[N>>2]=h;if((b[h+11>>0]|0)<0){Emc(f[h>>2]|0);Y=f[N>>2]|0}else Y=h;if((Y|0)==(R|0))break;else Q=Y}X=f[g>>2]|0}Emc(X);u=e;return}function slb(a,b){a=a|0;b=b|0;var c=0,d=0;f[a>>2]=0;c=a+4|0;f[c>>2]=0;f[a+8>>2]=0;if(!b)return;if(b>>>0>357913941)Ukc(a);d=Bmc(b*12|0)|0;f[c>>2]=d;f[a>>2]=d;f[a+8>>2]=d+(b*12|0);a=b;b=d;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;b=(f[c>>2]|0)+12|0;f[c>>2]=b;a=a+-1|0}while((a|0)!=0);return}function tlb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;e=u;u=u+48|0;g=e+36|0;h=e+24|0;i=e+12|0;j=e;if((f[c+12>>2]|0)<=(d|0)){f[g>>2]=0;f[g+4>>2]=0;k=YG(g,25)|0;l=444360;m=k+25|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-215,g,444386,444255,83)}Nmc(g,f[(f[c+20>>2]|0)+4+(d<<2)>>2]|0);Omc(h,g,0,jnc(g,58,-1)|0,g);Qmc(g,h)|0;if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);d=f[a+12>>2]|0;a:do if((d|0)>0){c=f[a+20>>2]|0;l=b[g+11>>0]|0;k=l<<24>>24<0;m=k?f[g+4>>2]|0:l&255;l=f[g>>2]|0;n=k?l:g;o=(m|0)==0;p=0;b:while(1){q=f[c+4+(p<<2)>>2]|0;r=f[q+60>>2]|0;s=b[r+11>>0]|0;t=s<<24>>24<0;v=s&255;do if(((t?f[r+4>>2]|0:v)|0)==(m|0)){s=f[r>>2]|0;w=t?s:r;if(t){if(o)break b;if(!(gac(w,n,m)|0))break b;else break}if(o)break b;if((s&255)<<24>>24==(b[n>>0]|0)){s=r;w=v;x=n;do{w=w+-1|0;s=s+1|0;if(!w)break b;x=x+1|0}while((b[s>>0]|0)==(b[x>>0]|0))}}while(0);p=p+1|0;if((p|0)>=(d|0))break a}if(!k){u=e;return q|0}Emc(l);u=e;return q|0}while(0);bza(j,444399,g);pza(i,j,510155);f[h>>2]=0;f[h+4>>2]=0;j=i+11|0;g=b[j>>0]|0;q=g<<24>>24<0?f[i+4>>2]|0:g&255;if(!q)SQ(-212,h,444386,444255,94);g=YG(h,q)|0;Krc(g|0,((b[j>>0]|0)<0?f[i>>2]|0:i)|0,q|0)|0;SQ(-212,h,444386,444255,94);return 0}function ulb(a){a=a|0;Emc(a);return}function vlb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0){wlb(b);Emc(b)}ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function wlb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;f[a>>2]=132172;c=f[a+52>>2]|0;if(c|0){d=a+56|0;e=f[d>>2]|0;if((e|0)!=(c|0))f[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);Emc(c)}c=f[a+40>>2]|0;if(c|0){e=a+44|0;d=f[e>>2]|0;if((d|0)!=(c|0))f[e>>2]=d+(~((d+-4-c|0)>>>2)<<2);Emc(c)}c=a+28|0;if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);c=a+16|0;d=f[c>>2]|0;if(d|0){e=a+20|0;g=f[e>>2]|0;if((g|0)==(d|0))h=d;else{i=g;while(1){g=i+-12|0;f[e>>2]=g;j=f[g>>2]|0;if(!j)k=g;else{g=i+-8|0;l=f[g>>2]|0;if((l|0)!=(j|0))f[g>>2]=l+(~((l+-4-j|0)>>>2)<<2);Emc(j);k=f[e>>2]|0}if((k|0)==(d|0))break;else i=k}h=f[c>>2]|0}Emc(h)}h=a+4|0;c=f[h>>2]|0;if(!c)return;k=a+8|0;a=f[k>>2]|0;if((a|0)==(c|0))m=c;else{i=a;while(1){a=i+-12|0;f[k>>2]=a;if((b[a+11>>0]|0)<0){Emc(f[a>>2]|0);n=f[k>>2]|0}else n=a;if((n|0)==(c|0))break;else i=n}m=f[h>>2]|0}Emc(m);return}function xlb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;g=u;u=u+16|0;h=g;f[h>>2]=d;i=f[e>>2]|0;j=e+4|0;k=f[j>>2]|0;if((k|0)!=(i|0))f[j>>2]=k+(~((k+-4-i|0)>>>2)<<2);i=a+40|0;k=a+44|0;rwa(e,(f[k>>2]|0)-(f[i>>2]|0)>>2);l=f[c+12>>2]|0;if((f[k>>2]|0)==(f[i>>2]|0)){m=1;u=g;return m|0}n=c+20|0;o=a+4|0;p=a+16|0;a=e+8|0;q=0;r=d;a:while(1){b:do if((r|0)<(l|0)){d=r;while(1){s=f[(f[(f[n>>2]|0)+4+(d<<2)>>2]|0)+64>>2]|0;t=b[s+11>>0]|0;if(((t<<24>>24<0?f[s+4>>2]|0:t&255)|0)!=5){v=d;break b}t=(knc(s,0,-1,444421,5)|0)==0;s=f[h>>2]|0;if(!t){v=s;break b}t=s+1|0;f[h>>2]=t;if((t|0)<(l|0))d=t;else{v=t;break}}}else v=r;while(0);if((v|0)>=(l|0)){m=0;w=38;break}d=f[(f[n>>2]|0)+4+(v<<2)>>2]|0;t=f[d+64>>2]|0;s=f[(f[i>>2]|0)+(q<<2)>>2]|0;x=f[o>>2]|0;y=x+(s*12|0)|0;z=b[t+11>>0]|0;A=z<<24>>24<0;B=z&255;z=A?f[t+4>>2]|0:B;C=b[y+11>>0]|0;D=C<<24>>24<0;if((z|0)!=((D?f[x+(s*12|0)+4>>2]|0:C&255)|0)){m=0;w=38;break}C=f[t>>2]|0;E=A?C:t;F=D?f[y>>2]|0:y;y=(z|0)==0;c:do if(A){if(!y?gac(E,F,z)|0:0){m=0;w=38;break a}}else if(!y){if((C&255)<<24>>24==(b[F>>0]|0)){G=t;H=B;I=F}else{m=0;w=38;break a}while(1){H=H+-1|0;G=G+1|0;if(!H)break c;I=I+1|0;if((b[G>>0]|0)!=(b[I>>0]|0)){m=0;w=38;break a}}}while(0);F=f[p>>2]|0;B=F+(s*12|0)|0;t=F+(s*12|0)+4|0;F=f[t>>2]|0;C=f[B>>2]|0;if((F-C>>2|0)!=(f[d+12>>2]|0)){m=0;w=38;break}if((F|0)!=(C|0)){F=0;y=C;C=x;while(1){z=f[y+(F<<2)>>2]|0;E=b[C+(z*12|0)+11>>0]|0;if(E<<24>>24<0)J=f[C+(z*12|0)+4>>2]|0;else J=E&255;d:do if(J){E=(tlb(c,d,F)|0)+64|0;z=f[E>>2]|0;E=f[B>>2]|0;A=f[E+(F<<2)>>2]|0;D=f[o>>2]|0;K=D+(A*12|0)|0;L=b[z+11>>0]|0;M=L<<24>>24<0;N=L&255;L=M?f[z+4>>2]|0:N;O=b[K+11>>0]|0;P=O<<24>>24<0;Q=E;if((L|0)!=((P?f[D+(A*12|0)+4>>2]|0:O&255)|0)){m=0;w=38;break a}O=f[z>>2]|0;A=M?O:z;E=P?f[K>>2]|0:K;K=(L|0)==0;if(M){if(K){R=Q;S=D;break}if(!(gac(A,E,L)|0)){R=Q;S=D;break}else{m=0;w=38;break a}}if(K){R=Q;S=D}else{if((O&255)<<24>>24==(b[E>>0]|0)){T=z;U=N;V=E}else{m=0;w=38;break a}while(1){U=U+-1|0;T=T+1|0;if(!U){R=Q;S=D;break d}V=V+1|0;if((b[T>>0]|0)!=(b[V>>0]|0)){m=0;w=38;break a}}}}else{R=y;S=C}while(0);F=F+1|0;if(F>>>0>=(f[t>>2]|0)-R>>2>>>0)break;else{y=R;C=S}}}C=f[j>>2]|0;if((C|0)==(f[a>>2]|0))MR(e,h);else{f[C>>2]=f[h>>2];f[j>>2]=C+4}r=(f[h>>2]|0)+1|0;f[h>>2]=r;q=q+1|0;if(q>>>0>=(f[k>>2]|0)-(f[i>>2]|0)>>2>>>0){m=1;w=38;break}}if((w|0)==38){u=g;return m|0}return 0}function ylb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return}function zlb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;e=u;u=u+16|0;g=e;h=f[d+4>>2]|0;i=f[d>>2]|0;j=i;a:do if((h|0)==(i|0)){k=a+8|0;l=k;m=a+4|0;n=f[k>>2]|0}else{k=a+4|0;o=a+8|0;p=f[o>>2]|0;q=(p-(f[k>>2]|0)|0)/12|0;r=h-i>>2;s=p;p=0;while(1){if((f[j+(p<<2)>>2]|0)>=(q|0))break;p=p+1|0;if(p>>>0>=r>>>0){l=o;m=k;n=s;break a}}f[g>>2]=0;f[g+4>>2]=0;s=YG(g,30)|0;k=444641;o=s+30|0;do{b[s>>0]=b[k>>0]|0;s=s+1|0;k=k+1|0}while((s|0)<(o|0));SQ(-215,g,444672,444255,42)}while(0);if((n|0)==(f[a+12>>2]|0))LY(m,c);else{Nmc(n,c);f[l>>2]=(f[l>>2]|0)+12}c=a+20|0;n=f[c>>2]|0;if((n|0)==(f[a+24>>2]|0)){ABa(a+16|0,d);t=f[l>>2]|0;v=f[m>>2]|0;w=t-v|0;x=(w|0)/12|0;y=x+-1|0;u=e;return y|0}else{fAa(n,d);f[c>>2]=(f[c>>2]|0)+12;t=f[l>>2]|0;v=f[m>>2]|0;w=t-v|0;x=(w|0)/12|0;y=x+-1|0;u=e;return y|0}return 0}function Alb(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+32|0;i=h+16|0;j=h;f[i>>2]=c;f[i+4>>2]=d;f[i+8>>2]=e;f[i+12>>2]=g;k=((g|0)!=-1&1)+(((e|0)!=-1&1)+(((d|0)!=-1&1)+((c|0)!=-1&1)))|0;f[j>>2]=0;c=j+4|0;f[c>>2]=0;f[j+8>>2]=0;d=k<<2;if(k|0){e=Bmc(d)|0;f[j>>2]=e;f[j+8>>2]=e+(k<<2);Krc(e|0,i|0,d|0)|0;f[c>>2]=e+(k<<2)}k=zlb(a,b,j)|0;b=f[j>>2]|0;if(!b){u=h;return k|0}j=f[c>>2]|0;if((j|0)!=(b|0))f[c>>2]=j+(~((j+-4-b|0)>>>2)<<2);Emc(b);u=h;return k|0}function Blb(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0;k=u;u=u+48|0;l=k+16|0;m=k;f[l>>2]=d;f[l+4>>2]=e;f[l+8>>2]=g;f[l+12>>2]=h;f[l+16>>2]=i;f[l+20>>2]=j;n=((f[a+8>>2]|0)-(f[a+4>>2]|0)|0)/12|0;if(!((n|0)>(d|0)&(n|0)>(e|0)&(n|0)>(g|0)&(n|0)>(h|0)&(n|0)>(i|0)&(n|0)>(j|0))){f[m>>2]=0;f[m+4>>2]=0;n=YG(m,33)|0;o=444594;p=n+33|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));SQ(-215,m,444628,444255,60)}o=((j|0)!=-1&1)+(((i|0)!=-1&1)+(((h|0)!=-1&1)+(((g|0)!=-1&1)+(((e|0)!=-1&1)+((d|0)!=-1&1)))))|0;f[m>>2]=0;d=m+4|0;f[d>>2]=0;f[m+8>>2]=0;e=o<<2;if(o|0){g=Bmc(e)|0;f[m>>2]=g;f[m+8>>2]=g+(o<<2);Krc(g|0,l|0,e|0)|0;f[d>>2]=g+(o<<2)}Clb(a,c,m);c=f[m>>2]|0;if(!c){u=k;return}m=f[d>>2]|0;if((m|0)!=(c|0))f[d>>2]=m+(~((m+-4-c|0)>>>2)<<2);Emc(c);u=k;return}function Clb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=u;u=u+16|0;g=e;h=a+52|0;if((h|0)!=(d|0))c2(h,f[d>>2]|0,f[d+4>>2]|0);Qmc(a+28|0,c)|0;c=a+40|0;d=f[c>>2]|0;i=a+44|0;j=f[i>>2]|0;if((j|0)!=(d|0))f[i>>2]=j+(~((j+-4-d|0)>>>2)<<2);f[g>>2]=0;d=a+4|0;j=a+8|0;k=f[d>>2]|0;if((f[j>>2]|0)==(k|0)){u=e;return}l=a+56|0;m=a+48|0;a=k;k=0;do{n=a;o=f[h>>2]|0;p=f[l>>2]|0;a:do if((o|0)==(p|0)){q=o;r=11}else{s=o;while(1){if((f[s>>2]|0)==(k|0)){q=s;r=11;break a}s=s+4|0;if((s|0)==(p|0)){r=12;break}}}while(0);if((r|0)==11?(r=0,(q|0)==(p|0)):0)r=12;do if((r|0)==12){r=0;o=n+(k*12|0)|0;s=b[o+11>>0]|0;if(((s<<24>>24<0?f[n+(k*12|0)+4>>2]|0:s&255)|0)==5?(knc(o,0,-1,444421,5)|0)==0:0)break;o=f[i>>2]|0;if((o|0)==(f[m>>2]|0)){MR(c,g);break}else{f[o>>2]=f[g>>2];f[i>>2]=o+4;break}}while(0);k=(f[g>>2]|0)+1|0;f[g>>2]=k;a=f[d>>2]|0}while(k>>>0<(((f[j>>2]|0)-a|0)/12|0)>>>0);u=e;return}function Dlb(a){a=a|0;Emc(a);return}function Elb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0){wlb(b);Emc(b)}ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Flb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;a=u;u=u+160|0;g=a+136|0;h=a+80|0;i=a+40|0;j=a;k=a+64|0;l=f[(f[e>>2]|0)+4>>2]|0;v_b(l+24|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;m=g+11|0;b[m>>0]=5;b[g>>0]=b[506389]|0;b[g+1>>0]=b[506390]|0;b[g+2>>0]=b[506391]|0;b[g+3>>0]=b[506392]|0;b[g+4>>0]=b[506393]|0;b[g+5>>0]=0;n=SCa(l+48|0,g)|0;Glb(h,(f[n+20>>2]|0)==8?f[n+8>>2]|0:528536);if((b[m>>0]|0)<0)Emc(f[g>>2]|0);m=h+4|0;n=f[m>>2]|0;l=(n|0)<3;if(l)o=Y(f[h+12>>2]|0,f[h+8>>2]|0)|0;else{p=f[h+40>>2]|0;q=0;r=1;while(1){s=Y(f[p+(q<<2)>>2]|0,r)|0;q=q+1|0;if((q|0)==(n|0)){o=s;break}else r=s}}if((o|0)!=2){if(l){t=Y(f[h+12>>2]|0,f[h+8>>2]|0)|0;EY(t,2,132212)}l=f[h+40>>2]|0;o=0;r=1;while(1){q=Y(f[l+(o<<2)>>2]|0,r)|0;o=o+1|0;if((o|0)==(n|0)){t=q;break}else r=q}EY(t,2,132212)}t=f[h>>2]&4095;if((t|0)!=4)BY(t,4,132240);t=f[(f[e>>2]|0)+4>>2]|0;e=t+24|0;v_b(e);u_b(e);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;e=g+11|0;b[e>>0]=5;b[g>>0]=b[506389]|0;b[g+1>>0]=b[506390]|0;b[g+2>>0]=b[506391]|0;b[g+3>>0]=b[506392]|0;b[g+4>>0]=b[506393]|0;b[g+5>>0]=0;r=NDa(MDa(t+48|0,g)|0)|0;if((b[e>>0]|0)<0)Emc(f[g>>2]|0);f[r+40>>2]=0;e=f[r+152>>2]|0;do if((e|0)!=535416){t=e+11|0;if((b[t>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[t>>0]=0;break}}while(0);e=h+16|0;t=h+44|0;n=f[f[e>>2]>>2]|0;o=r+40|0;l=f[o>>2]|0;if((l|0)==(f[r+44>>2]|0)){eFa(o,l+1|0);v=f[o>>2]|0}else v=l;l=f[r+48>>2]|0;f[o>>2]=v+1;f[l+4+(v<<2)>>2]=n;n=Hlb(c)|0;Ilb(n,444421);pza(g,f[d+60>>2]|0,444895);c=n+60|0;v=f[n+4>>2]|0;l=v&-2;if(!(v&1))w=l;else w=f[l+4>>2]|0;l=f[c>>2]|0;if((l|0)==535416)PDa(c,w,g);else Qmc(l,g)|0;if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);kKa(i);l=(NDa(i)|0)+160|0;f[l>>2]=3;l=NDa(i)|0;w=f[(f[e>>2]|0)+4>>2]|0;c=l+40|0;v=f[c>>2]|0;if((v|0)==(f[l+44>>2]|0)){eFa(c,v+1|0);x=f[c>>2]|0}else x=v;v=f[l+48>>2]|0;f[c>>2]=x+1;f[v+4+(x<<2)>>2]=w;w=n+24|0;v_b(w);u_b(w);f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;w=k+11|0;b[w>>0]=5;b[k>>0]=b[506389]|0;b[k+1>>0]=b[506390]|0;b[k+2>>0]=b[506391]|0;b[k+3>>0]=b[506392]|0;b[k+4>>0]=b[506393]|0;b[k+5>>0]=0;Nmc(j,k);x=j+16|0;BLa(x,i);Jlb(g,f[n+56>>2]|0,j);if(b[g+12>>0]|0){v=Klb(n+48|0,j)|0;f[(f[g>>2]|0)+12>>2]=v}jLa(x);if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);if((b[w>>0]|0)<0)Emc(f[k>>2]|0);k=f[n+60>>2]|0;Qmc(dFa(d+8|0)|0,k)|0;jLa(i);i=h+36|0;k=f[i>>2]|0;if(k|0?(d=k+12|0,k=f[d>>2]|0,f[d>>2]=k+-1,(k|0)==1):0)lP(h);f[i>>2]=0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[m>>2]|0)>0){e=f[h+40>>2]|0;i=0;do{f[e+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[m>>2]|0))}m=f[t>>2]|0;if((m|0)==(h+48|0)){u=a;return}tE(m);u=a;return}function Glb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;d=u;u=u+592|0;e=d+528|0;g=d+472|0;h=d+416|0;i=d+360|0;j=d+304|0;k=d+248|0;l=d+192|0;m=d+72|0;n=d+16|0;o=d+184|0;p=d;q=d+128|0;r=f[c+152>>2]|0;switch(f[c+160>>2]|0){case 1:{s=b[r+11>>0]|0;t=s<<24>>24<0;if(t)v=f[r+4>>2]|0;else v=s&255;if(!v){v=f[c+8>>2]|0;if(!v){f[e>>2]=0;f[e+4>>2]=0;w=YG(e,14)|0;x=445126;y=w+14|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,e,445141,444255,718)}z=f[c+16>>2]|0;Ri(h,1,v,5,(z|0)==0?0:z+4|0,0);f[a>>2]=1124007936;z=a+8|0;v=a+40|0;w=a+4|0;y=w+36|0;do{f[w>>2]=0;w=w+4|0}while((w|0)<(y|0));f[v>>2]=z;z=a+48|0;f[a+44>>2]=z;f[z>>2]=0;f[a+52>>2]=0;z=e+8|0;f[z>>2]=0;f[z+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=a;kT(h,e);z=h+36|0;v=f[z>>2]|0;if(v|0?(A=v+12|0,v=f[A>>2]|0,f[A>>2]=v+-1,(v|0)==1):0)lP(h);f[z>>2]=0;z=h+16|0;v=h+4|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[v>>2]|0)>0){z=f[h+40>>2]|0;A=0;do{f[z+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[v>>2]|0))}v=f[h+44>>2]|0;if((v|0)==(h+48|0)){u=d;return}tE(v);u=d;return}if(t){B=f[r+4>>2]|0;C=f[r>>2]|0}else{B=s&255;C=r}Ri(g,1,B>>>2,5,C,0);f[a>>2]=1124007936;C=a+8|0;B=a+40|0;w=a+4|0;y=w+36|0;do{f[w>>2]=0;w=w+4|0}while((w|0)<(y|0));f[B>>2]=C;C=a+48|0;f[a+44>>2]=C;f[C>>2]=0;f[a+52>>2]=0;C=e+8|0;f[C>>2]=0;f[C+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=a;kT(g,e);C=g+36|0;B=f[C>>2]|0;if(B|0?(s=B+12|0,B=f[s>>2]|0,f[s>>2]=B+-1,(B|0)==1):0)lP(g);f[C>>2]=0;C=g+16|0;B=g+4|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[B>>2]|0)>0){C=f[g+40>>2]|0;s=0;do{f[C+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[B>>2]|0))}B=f[g+44>>2]|0;if((B|0)==(g+48|0)){u=d;return}tE(B);u=d;return}case 2:{B=b[r+11>>0]|0;g=B<<24>>24<0;if(g)D=f[r+4>>2]|0;else D=B&255;if(!D){D=f[c+24>>2]|0;if(!D){f[e>>2]=0;f[e+4>>2]=0;w=YG(e,14)|0;x=445126;y=w+14|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,e,445141,444255,729)}s=f[c+32>>2]|0;Ri(j,1,D,6,(s|0)==0?0:s+8|0,0);f[a>>2]=1124007936;s=a+8|0;D=a+40|0;w=a+4|0;y=w+36|0;do{f[w>>2]=0;w=w+4|0}while((w|0)<(y|0));f[D>>2]=s;s=a+48|0;f[a+44>>2]=s;f[s>>2]=0;f[a+52>>2]=0;s=e+8|0;f[s>>2]=0;f[s+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=a;kT(j,e);s=j+36|0;D=f[s>>2]|0;if(D|0?(C=D+12|0,D=f[C>>2]|0,f[C>>2]=D+-1,(D|0)==1):0)lP(j);f[s>>2]=0;s=j+16|0;D=j+4|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[D>>2]|0)>0){s=f[j+40>>2]|0;C=0;do{f[s+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[D>>2]|0))}D=f[j+44>>2]|0;if((D|0)==(j+48|0)){u=d;return}tE(D);u=d;return}if(g){E=f[r+4>>2]|0;F=f[r>>2]|0}else{E=B&255;F=r}Ri(i,1,E>>>3,6,F,0);f[a>>2]=1124007936;F=a+8|0;E=a+40|0;w=a+4|0;y=w+36|0;do{f[w>>2]=0;w=w+4|0}while((w|0)<(y|0));f[E>>2]=F;F=a+48|0;f[a+44>>2]=F;f[F>>2]=0;f[a+52>>2]=0;F=e+8|0;f[F>>2]=0;f[F+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=a;kT(i,e);F=i+36|0;E=f[F>>2]|0;if(E|0?(B=E+12|0,E=f[B>>2]|0,f[B>>2]=E+-1,(E|0)==1):0)lP(i);f[F>>2]=0;F=i+16|0;E=i+4|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[E>>2]|0)>0){F=f[i+40>>2]|0;B=0;do{f[F+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[E>>2]|0))}E=f[i+44>>2]|0;if((E|0)==(i+48|0)){u=d;return}tE(E);u=d;return}case 3:{E=b[r+11>>0]|0;i=E<<24>>24<0;if(i)G=f[r+4>>2]|0;else G=E&255;if(!G){G=f[c+40>>2]|0;if(!G){f[e>>2]=0;f[e+4>>2]=0;w=YG(e,14)|0;x=445126;y=w+14|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,e,445141,444255,740)}B=f[c+48>>2]|0;Ri(l,1,G,4,(B|0)==0?0:B+4|0,0);f[a>>2]=1124007936;B=a+8|0;G=a+40|0;w=a+4|0;y=w+36|0;do{f[w>>2]=0;w=w+4|0}while((w|0)<(y|0));f[G>>2]=B;B=a+48|0;f[a+44>>2]=B;f[B>>2]=0;f[a+52>>2]=0;B=e+8|0;f[B>>2]=0;f[B+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=a;kT(l,e);B=l+36|0;G=f[B>>2]|0;if(G|0?(F=G+12|0,G=f[F>>2]|0,f[F>>2]=G+-1,(G|0)==1):0)lP(l);f[B>>2]=0;B=l+16|0;G=l+4|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[G>>2]|0)>0){B=f[l+40>>2]|0;F=0;do{f[B+(F<<2)>>2]=0;F=F+1|0}while((F|0)<(f[G>>2]|0))}G=f[l+44>>2]|0;if((G|0)==(l+48|0)){u=d;return}tE(G);u=d;return}if(i){H=f[r+4>>2]|0;I=f[r>>2]|0}else{H=E&255;I=r}Ri(k,1,H>>>2,4,I,0);f[a>>2]=1124007936;I=a+8|0;H=a+40|0;w=a+4|0;y=w+36|0;do{f[w>>2]=0;w=w+4|0}while((w|0)<(y|0));f[H>>2]=I;I=a+48|0;f[a+44>>2]=I;f[I>>2]=0;f[a+52>>2]=0;I=e+8|0;f[I>>2]=0;f[I+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=a;kT(k,e);I=k+36|0;H=f[I>>2]|0;if(H|0?(E=H+12|0,H=f[E>>2]|0,f[E>>2]=H+-1,(H|0)==1):0)lP(k);f[I>>2]=0;I=k+16|0;H=k+4|0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[H>>2]|0)>0){I=f[k+40>>2]|0;E=0;do{f[I+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[H>>2]|0))}H=f[k+44>>2]|0;if((H|0)==(k+48|0)){u=d;return}tE(H);u=d;return}case 19:{f[m>>2]=1124007936;H=m+4|0;k=m+8|0;E=m+40|0;w=H;y=w+36|0;do{f[w>>2]=0;w=w+4|0}while((w|0)<(y|0));f[E>>2]=k;I=m+48|0;i=m+44|0;f[i>>2]=I;f[I>>2]=0;f[m+52>>2]=0;G=b[r+11>>0]|0;l=G<<24>>24<0;if(l)J=f[r+4>>2]|0;else J=G&255;if(!J){J=f[c+136>>2]|0;if(!J){f[e>>2]=0;f[e+4>>2]=0;w=YG(e,14)|0;x=445126;y=w+14|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,e,445141,444255,755)}F=f[c+144>>2]|0;Ri(e,1,J,4,(F|0)==0?0:F+4|0,0);F=n+8|0;f[F>>2]=0;f[F+4>>2]=0;f[n>>2]=33619968;f[n+4>>2]=m;IO(e,n,2,1.0,0.0);F=e+36|0;J=f[F>>2]|0;if(J|0?(c=J+12|0,J=f[c>>2]|0,f[c>>2]=J+-1,(J|0)==1):0)lP(e);f[F>>2]=0;F=e+16|0;J=e+4|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[J>>2]|0)>0){F=f[e+40>>2]|0;c=0;do{f[F+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[J>>2]|0))}J=f[e+44>>2]|0;if((J|0)!=(e+48|0))tE(J);K=m+16|0}else{if(l){L=f[r+4>>2]|0;M=f[r>>2]|0}else{L=G&255;M=r}Ri(e,1,L>>>1,2,M,0);M=e+36|0;L=f[M>>2]|0;if(L|0){G=L+12|0;f[G>>2]=(f[G>>2]|0)+1}G=m+36|0;L=f[G>>2]|0;if(L|0?(l=L+12|0,L=f[l>>2]|0,f[l>>2]=L+-1,(L|0)==1):0)lP(m);f[G>>2]=0;L=m+16|0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;if((f[H>>2]|0)>0){l=f[E>>2]|0;J=0;do{f[l+(J<<2)>>2]=0;J=J+1|0;N=f[H>>2]|0}while((J|0)<(N|0));f[m>>2]=f[e>>2];if((N|0)<3)O=94;else O=96}else{f[m>>2]=f[e>>2];O=94}if((O|0)==94){N=f[e+4>>2]|0;if((N|0)<3){f[H>>2]=N;f[k>>2]=f[e+8>>2];f[m+12>>2]=f[e+12>>2];k=f[e+44>>2]|0;N=f[i>>2]|0;f[N>>2]=f[k>>2];f[N+4>>2]=f[k+4>>2]}else O=96}if((O|0)==96)kP(m,e);O=e+16|0;f[L>>2]=f[O>>2];f[m+20>>2]=f[e+20>>2];f[m+24>>2]=f[e+24>>2];f[m+28>>2]=f[e+28>>2];f[m+32>>2]=f[e+32>>2];k=f[M>>2]|0;f[G>>2]=k;if(k|0?(G=k+12|0,k=f[G>>2]|0,f[G>>2]=k+-1,(k|0)==1):0)lP(e);f[M>>2]=0;M=e+4|0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;if((f[M>>2]|0)>0){O=f[e+40>>2]|0;k=0;do{f[O+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[M>>2]|0))}M=f[e+44>>2]|0;if((M|0)!=(e+48|0))tE(M);K=L}L=f[E>>2]|0;M=f[L>>2]|0;f[o>>2]=f[L+4>>2];f[o+4>>2]=M;mD(n,o,3,f[K>>2]|0,0);o=f[E>>2]|0;M=f[o+4>>2]|0;L=f[o>>2]|0;f[a>>2]=1124007936;o=a+8|0;k=a+40|0;w=a+4|0;y=w+36|0;do{f[w>>2]=0;w=w+4|0}while((w|0)<(y|0));f[k>>2]=o;o=a+48|0;f[a+44>>2]=o;f[o>>2]=0;f[a+52>>2]=0;f[e>>2]=L;f[e+4>>2]=M;iP(a,2,e,5);f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=n;M=p+8|0;f[M>>2]=0;f[M+4>>2]=0;f[p>>2]=33619968;f[p+4>>2]=a;KO(e,p);p=n+36|0;M=f[p>>2]|0;if(M|0?(L=M+12|0,M=f[L>>2]|0,f[L>>2]=M+-1,(M|0)==1):0)lP(n);f[p>>2]=0;p=n+16|0;M=n+4|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[M>>2]|0)>0){p=f[n+40>>2]|0;L=0;do{f[p+(L<<2)>>2]=0;L=L+1|0}while((L|0)<(f[M>>2]|0))}M=f[n+44>>2]|0;if((M|0)!=(n+48|0))tE(M);M=m+36|0;n=f[M>>2]|0;if(n|0?(L=n+12|0,n=f[L>>2]|0,f[L>>2]=n+-1,(n|0)==1):0)lP(m);f[M>>2]=0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[H>>2]|0)>0){K=f[E>>2]|0;E=0;do{f[K+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[H>>2]|0))}H=f[i>>2]|0;if((H|0)!=(I|0))tE(H);u=d;return}case 12:{H=b[r+11>>0]|0;I=H<<24>>24<0;if(I)P=f[r+4>>2]|0;else P=H&255;if(!P){f[e>>2]=0;f[e+4>>2]=0;w=YG(e,16)|0;x=445158;y=w+16|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,e,445141,444255,767)}if(I){Q=f[r+4>>2]|0;R=f[r>>2]|0}else{Q=H&255;R=r}Ri(q,1,Q,0,R,0);f[a>>2]=1124007936;R=a+8|0;Q=a+40|0;w=a+4|0;y=w+36|0;do{f[w>>2]=0;w=w+4|0}while((w|0)<(y|0));f[Q>>2]=R;R=a+48|0;f[a+44>>2]=R;f[R>>2]=0;f[a+52>>2]=0;R=e+8|0;f[R>>2]=0;f[R+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=a;kT(q,e);a=q+36|0;R=f[a>>2]|0;if(R|0?(Q=R+12|0,R=f[Q>>2]|0,f[Q>>2]=R+-1,(R|0)==1):0)lP(q);f[a>>2]=0;a=q+16|0;R=q+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[R>>2]|0)>0){a=f[q+40>>2]|0;Q=0;do{f[a+(Q<<2)>>2]=0;Q=Q+1|0}while((Q|0)<(f[R>>2]|0))}R=f[q+44>>2]|0;if((R|0)==(q+48|0)){u=d;return}tE(R);u=d;return}default:{f[e>>2]=0;f[e+4>>2]=0;w=YG(e,35)|0;x=445175;y=w+35|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-2,e,445141,444255,771)}}}function Hlb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=a+8|0;c=a+20|0;d=f[c>>2]|0;do if(!d){e=a+12|0;g=f[a+16>>2]|0;h=6}else{i=a+12|0;j=f[i>>2]|0;k=f[d>>2]|0;if((j|0)>=(k|0))if((k|0)==(f[a+16>>2]|0)){e=i;g=k;h=6;break}else{l=i;m=k;n=d;break}f[i>>2]=j+1;o=f[d+4+(j<<2)>>2]|0;return o|0}while(0);if((h|0)==6){uDb(b,g+1|0);g=f[c>>2]|0;l=e;m=f[g>>2]|0;n=g}f[n>>2]=m+1;m=f[b>>2]|0;if(!m){b=Bmc(76)|0;lGa(b);p=b}else{if(f[m+64>>2]|0)pBb(m,18848,80);b=nBb(m,80)|0;QHa(b,m);p=b}b=f[c>>2]|0;c=f[l>>2]|0;f[l>>2]=c+1;f[b+4+(c<<2)>>2]=p;o=p;return o|0}function Ilb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+16|0;e=d;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=s8b(c)|0;if(g>>>0>4294967279)Lmc(e);if(g>>>0<11){b[e+11>>0]=g;if(!g)h=e;else{i=e;j=6}}else{k=g+16&-16;l=Bmc(k)|0;f[e>>2]=l;f[e+8>>2]=k|-2147483648;f[e+4>>2]=g;i=l;j=6}if((j|0)==6){Krc(i|0,c|0,g|0)|0;h=i}b[h+g>>0]=0;g=f[a+4>>2]|0;h=g&-2;if(!(g&1))m=h;else m=f[h+4>>2]|0;h=a+64|0;a=f[h>>2]|0;if((a|0)==535416)PDa(h,m,e);else Qmc(a,e)|0;if((b[e+11>>0]|0)>=0){u=d;return}Emc(f[e>>2]|0);u=d;return}function Jlb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+32|0;g=e+16|0;h=e;QCa(g,c,d,0);i=f[g>>2]|0;if(i|0){j=f[g+4>>2]|0;k=f[g+8>>2]|0;f[a>>2]=i;f[a+4>>2]=j;f[a+8>>2]=k;b[a+12>>0]=0;u=e;return}k=(f[c>>2]|0)+1|0;j=f[c+4>>2]|0;i=j*12|0;l=i>>>4;if(l>>>0>k>>>0){if(j>>>0>8&i>>>6>>>0>=k>>>0){i=((k*5|0)>>>2)+1|0;k=1;while(1)if(i<<k>>>0<l>>>0)k=k+1|0;else break;l=j>>>k;k=l>>>0>8?l:8;if((k|0)!=(j|0)){zDa(c,k);m=11}}}else if(j>>>0<=134217728){zDa(c,j<<1);m=11}if((m|0)==11){QCa(h,c,d,0);f[g>>2]=f[h>>2];f[g+4>>2]=f[h+4>>2];f[g+8>>2]=f[h+8>>2];f[g+12>>2]=f[h+12>>2]}m=f[g+12>>2]|0;g=f[c+20>>2]|0;if(!g)n=Bmc(20)|0;else{if(f[g+64>>2]|0)pBb(g,26904,24);n=nBb(g,24)|0}Nmc(n,d);ADa(h,c,m,n);f[c>>2]=(f[c>>2]|0)+1;f[a>>2]=f[h>>2];f[a+4>>2]=f[h+4>>2];f[a+8>>2]=f[h+8>>2];b[a+12>>0]=1;u=e;return}function Klb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a>>2]|0;if(!c){d=Bmc(40)|0;Nmc(d,b);BLa(d+16|0,b+16|0);e=d;return e|0}if(f[c+64>>2]|0)pBb(c,26904,40);d=nBb(c,40)|0;c=f[a>>2]|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;xDa(c,d);c=d+16|0;lKa(c,f[a>>2]|0);Qmc(d,b)|0;CLa(c,b+16|0);e=d;return e|0}function Llb(a){a=a|0;Emc(a);return}function Mlb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0){wlb(b);Emc(b)}ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Nlb(a){a=a|0;Emc(a);return}function Olb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0){wlb(b);Emc(b)}ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Plb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;c=u;u=u+32|0;a=c+12|0;g=c;h=d+24|0;v_b(h);i=d+48|0;f[g+8>>2]=0;d=g+11|0;b[d>>0]=7;b[g>>0]=b[473651]|0;b[g+1>>0]=b[473652]|0;b[g+2>>0]=b[473653]|0;b[g+3>>0]=b[473654]|0;b[g+4>>0]=b[473655]|0;b[g+5>>0]=b[473656]|0;b[g+6>>0]=b[473657]|0;b[g+7>>0]=0;j=SCa(i,g)|0;Nmc(a,(f[j+20>>2]|0)==2?f[j+8>>2]|0:535416);if((b[d>>0]|0)<0)Emc(f[g>>2]|0);d=a+11|0;j=b[d>>0]|0;if(((j<<24>>24<0?f[a+4>>2]|0:j&255)|0)!=4){f[g>>2]=0;k=g+4|0;f[k>>2]=0;l=YG(g,17)|0;m=l;n=445591;o=m+17|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,g,476100,444255,526)}if(knc(a,0,-1,452879,4)|0){f[g>>2]=0;k=g+4|0;f[k>>2]=0;l=YG(g,17)|0;m=l;n=445591;o=m+17|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,g,476100,444255,526)}v_b(h);f[g+8>>2]=0;h=g+11|0;b[h>>0]=7;b[g>>0]=b[445609]|0;b[g+1>>0]=b[445610]|0;b[g+2>>0]=b[445611]|0;b[g+3>>0]=b[445612]|0;b[g+4>>0]=b[445613]|0;b[g+5>>0]=b[445614]|0;b[g+6>>0]=b[445615]|0;b[g+7>>0]=0;l=SCa(i,g)|0;i=(f[l+20>>2]|0)==1?f[l+8>>2]|0:528720;if((b[h>>0]|0)<0)Emc(f[g>>2]|0);if((f[i+24>>2]|0)!=4){f[g>>2]=0;f[g+4>>2]=0;m=YG(g,21)|0;n=445617;o=m+21|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,g,476100,444255,529)}n=f[i+32>>2]|0;i=f[n+16>>2]|0;m=f[n+24>>2]|0;n=f[f[e>>2]>>2]|0;e=n+24|0;v_b(e);u_b(e);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;e=g+11|0;b[e>>0]=5;b[g>>0]=b[506389]|0;b[g+1>>0]=b[506390]|0;b[g+2>>0]=b[506391]|0;b[g+3>>0]=b[506392]|0;b[g+4>>0]=b[506393]|0;b[g+5>>0]=0;o=NDa(MDa(n+48|0,g)|0)|0;if((b[e>>0]|0)<0)Emc(f[g>>2]|0);f[o+40>>2]=0;g=o+40|0;e=o+44|0;if(!(f[e>>2]|0)){eFa(g,1);p=f[g>>2]|0}else p=0;n=o+48|0;o=f[n>>2]|0;f[g>>2]=p+1;f[o+4+(p<<2)>>2]=-1;p=f[g>>2]|0;if((p|0)==(f[e>>2]|0)){eFa(g,p+1|0);q=f[g>>2]|0;r=f[n>>2]|0}else{q=p;r=o}f[g>>2]=q+1;f[r+4+(q<<2)>>2]=i;i=f[g>>2]|0;if((i|0)==(f[e>>2]|0)){eFa(g,i+1|0);s=f[g>>2]|0;t=f[n>>2]|0}else{s=i;t=r}f[g>>2]=s+1;f[t+4+(s<<2)>>2]=m;m=f[g>>2]|0;if((m|0)==(f[e>>2]|0)){eFa(g,m+1|0);v=f[g>>2]|0;w=f[n>>2]|0}else{v=m;w=t}f[g>>2]=v+1;f[w+4+(v<<2)>>2]=-1;if((b[d>>0]|0)>=0){u=c;return}Emc(f[a>>2]|0);u=c;return}function Qlb(a){a=a|0;Emc(a);return}function Rlb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0){wlb(b);Emc(b)}ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Slb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;c=u;u=u+32|0;a=c+12|0;g=c;v_b(d+24|0);f[g+8>>2]=0;h=g+11|0;b[h>>0]=7;b[g>>0]=b[473651]|0;b[g+1>>0]=b[473652]|0;b[g+2>>0]=b[473653]|0;b[g+3>>0]=b[473654]|0;b[g+4>>0]=b[473655]|0;b[g+5>>0]=b[473656]|0;b[g+6>>0]=b[473657]|0;b[g+7>>0]=0;i=SCa(d+48|0,g)|0;Nmc(a,(f[i+20>>2]|0)==2?f[i+8>>2]|0:535416);if((b[h>>0]|0)<0)Emc(f[g>>2]|0);h=a+11|0;i=b[h>>0]|0;if(((i<<24>>24<0?f[a+4>>2]|0:i&255)|0)!=5){f[g>>2]=0;j=g+4|0;f[j>>2]=0;k=YG(g,18)|0;l=k;m=445828;n=l+18|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,g,476100,444255,467)}if(knc(a,0,-1,452873,5)|0){f[g>>2]=0;j=g+4|0;f[j>>2]=0;k=YG(g,18)|0;l=k;m=445828;n=l+18|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,g,476100,444255,467)}k=f[(f[e>>2]|0)+4>>2]|0;j=k+24|0;v_b(j);u_b(j);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;j=g+11|0;b[j>>0]=5;b[g>>0]=b[506389]|0;b[g+1>>0]=b[506390]|0;b[g+2>>0]=b[506391]|0;b[g+3>>0]=b[506392]|0;b[g+4>>0]=b[506393]|0;b[g+5>>0]=0;i=MDa(k+48|0,g)|0;k=f[((f[i+20>>2]|0)==8?f[i+8>>2]|0:528536)+156>>2]|0;i=k|0?k:535064;if((b[j>>0]|0)<0)Emc(f[g>>2]|0);if((f[i+12>>2]|0)!=4){f[g>>2]=0;f[g+4>>2]=0;l=YG(g,27)|0;m=445847;n=l+27|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,g,476100,444255,472)}m=f[i+20>>2]|0;i=f[(f[m+4>>2]|0)+16>>2]|0;l=f[(f[m+8>>2]|0)+16>>2]|0;m=f[f[e>>2]>>2]|0;e=m+24|0;v_b(e);u_b(e);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;e=g+11|0;b[e>>0]=5;b[g>>0]=b[506389]|0;b[g+1>>0]=b[506390]|0;b[g+2>>0]=b[506391]|0;b[g+3>>0]=b[506392]|0;b[g+4>>0]=b[506393]|0;b[g+5>>0]=0;n=NDa(MDa(m+48|0,g)|0)|0;if((b[e>>0]|0)<0)Emc(f[g>>2]|0);f[n+40>>2]=0;g=n+40|0;e=n+44|0;if(!(f[e>>2]|0)){eFa(g,1);o=f[g>>2]|0}else o=0;m=n+48|0;n=f[m>>2]|0;f[g>>2]=o+1;f[n+4+(o<<2)>>2]=-1;o=f[g>>2]|0;if((o|0)==(f[e>>2]|0)){eFa(g,o+1|0);p=f[g>>2]|0;q=f[m>>2]|0}else{p=o;q=n}f[g>>2]=p+1;f[q+4+(p<<2)>>2]=i;i=f[g>>2]|0;if((i|0)==(f[e>>2]|0)){eFa(g,i+1|0);r=f[g>>2]|0;s=f[m>>2]|0}else{r=i;s=q}f[g>>2]=r+1;f[s+4+(r<<2)>>2]=l;l=f[g>>2]|0;if((l|0)==(f[e>>2]|0)){eFa(g,l+1|0);t=f[g>>2]|0;v=f[m>>2]|0}else{t=l;v=s}f[g>>2]=t+1;f[v+4+(t<<2)>>2]=-1;if((b[h>>0]|0)>=0){u=c;return}Emc(f[a>>2]|0);u=c;return}function Tlb(a){a=a|0;Emc(a);return}function Ulb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0){wlb(b);Emc(b)}ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Vlb(a){a=a|0;Emc(a);return}function Wlb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0){wlb(b);Emc(b)}ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Xlb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;c=u;u=u+32|0;g=c+12|0;h=c;i=a+64|0;a=(f[i>>2]|0)+1|0;f[g>>2]=0;j=g+4|0;f[j>>2]=0;f[g+8>>2]=0;if(a>>>0>1073741823)Ukc(g);k=a<<2;l=Bmc(k)|0;f[g>>2]=l;m=l+(a<<2)|0;f[g+8>>2]=m;Drc(l|0,0,k|0)|0;f[j>>2]=m;f[l>>2]=-1;if((f[i>>2]|0)>0){l=h+11|0;m=h+5|0;k=0;do{k=k+1|0;a=f[(f[e>>2]|0)+(k<<2)>>2]|0;v_b(a+24|0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[l>>0]=5;b[h>>0]=b[506389]|0;b[h+1>>0]=b[506390]|0;b[h+2>>0]=b[506391]|0;b[h+3>>0]=b[506392]|0;b[h+4>>0]=b[506393]|0;b[m>>0]=0;n=SCa(a+48|0,h)|0;f[(f[g>>2]|0)+(k<<2)>>2]=f[(f[((f[n+20>>2]|0)==8?f[n+8>>2]|0:528536)+48>>2]|0)+4>>2];if((b[l>>0]|0)<0)Emc(f[h>>2]|0)}while((k|0)<(f[i>>2]|0))}k=f[(f[e>>2]|0)+4>>2]|0;e=k+24|0;v_b(e);u_b(e);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;e=h+11|0;b[e>>0]=5;b[h>>0]=b[506389]|0;b[h+1>>0]=b[506390]|0;b[h+2>>0]=b[506391]|0;b[h+3>>0]=b[506392]|0;b[h+4>>0]=b[506393]|0;b[h+5>>0]=0;l=NDa(MDa(k+48|0,h)|0)|0;if((b[e>>0]|0)<0)Emc(f[h>>2]|0);h=d+8|0;e=f[i>>2]|0;i=e+-1|0;if((e|0)>1){e=d+20|0;d=0;do{k=f[(f[e>>2]|0)+4+(d+2<<2)>>2]|0;if(!((k|0)==0|(f[h>>2]|0)!=0)){if((b[k+11>>0]|0)<0)Emc(f[k>>2]|0);Emc(k)}d=d+1|0}while((d|0)!=(i|0));vDb(h,2,i)}f[l+40>>2]=0;i=f[j>>2]|0;h=f[g>>2]|0;d=h;e=i;a:do if((i|0)==(h|0)){o=d;p=e}else{k=l+40|0;m=l+44|0;n=l+48|0;a=0;q=e;r=d;s=h;t=i;v=d;w=0;while(1){x=f[v+(a<<2)>>2]|0;if((w|0)==(f[m>>2]|0)){eFa(k,w+1|0);y=f[j>>2]|0;z=f[g>>2]|0;A=f[k>>2]|0;B=z;C=y;D=y;E=z}else{A=w;B=s;C=t;D=q;E=r}z=f[n>>2]|0;f[k>>2]=A+1;f[z+4+(A<<2)>>2]=x;x=a+1|0;if(x>>>0>=C-B>>2>>>0){o=E;p=D;break a}a=x;q=D;r=E;s=B;t=C;v=B;w=f[k>>2]|0}}while(0);if(!o){u=c;return}if((p|0)!=(o|0))f[j>>2]=p+(~((p+-4-o|0)>>>2)<<2);Emc(o);u=c;return}function Ylb(a){a=a|0;Emc(a);return}function Zlb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0){wlb(b);Emc(b)}ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function _lb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+80|0;h=g+16|0;i=g;if(!(xlb(a,c,d,e)|0)){j=0;u=g;return j|0}e=f[(f[c+20>>2]|0)+4+(d+1<<2)>>2]|0;v_b(e+24|0);f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;d=i+11|0;b[d>>0]=5;b[i>>0]=b[506389]|0;b[i+1>>0]=b[506390]|0;b[i+2>>0]=b[506391]|0;b[i+3>>0]=b[506392]|0;b[i+4>>0]=b[506393]|0;b[i+5>>0]=0;c=SCa(e+48|0,i)|0;Glb(h,(f[c+20>>2]|0)==8?f[c+8>>2]|0:528536);if((b[d>>0]|0)<0)Emc(f[i>>2]|0);if((f[h>>2]&4095|0)==5){i=f[h+4>>2]|0;if((i|0)<3)k=Y(f[h+12>>2]|0,f[h+8>>2]|0)|0;else{d=f[h+40>>2]|0;c=0;e=1;while(1){a=Y(f[d+(c<<2)>>2]|0,e)|0;c=c+1|0;if((c|0)==(i|0)){k=a;break}else e=a}}if((k|0)==1)l=+n[f[h+16>>2]>>2]==6.0;else l=0}else l=0;k=h+36|0;e=f[k>>2]|0;if(e|0?(i=e+12|0,e=f[i>>2]|0,f[i>>2]=e+-1,(e|0)==1):0)lP(h);f[k>>2]=0;k=h+16|0;e=h+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[e>>2]|0)>0){k=f[h+40>>2]|0;i=0;do{f[k+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[e>>2]|0))}e=f[h+44>>2]|0;if((e|0)!=(h+48|0))tE(e);j=l;u=g;return j|0}function $lb(a){a=a|0;Emc(a);return}function amb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0){wlb(b);Emc(b)}ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function bmb(a){a=a|0;Emc(a);return}function cmb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0){wlb(b);Emc(b)}ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function dmb(a){a=a|0;Emc(a);return}function emb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0){wlb(b);Emc(b)}ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function fmb(a){a=a|0;Emc(a);return}function gmb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0){wlb(b);Emc(b)}ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function hmb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;a=u;u=u+160|0;g=a+136|0;h=a+80|0;i=a+40|0;j=a;k=a+64|0;l=f[(f[e+4>>2]|0)+-4>>2]|0;v_b(l+24|0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;e=g+11|0;b[e>>0]=5;b[g>>0]=b[506389]|0;b[g+1>>0]=b[506390]|0;b[g+2>>0]=b[506391]|0;b[g+3>>0]=b[506392]|0;b[g+4>>0]=b[506393]|0;b[g+5>>0]=0;m=SCa(l+48|0,g)|0;Glb(h,(f[m+20>>2]|0)==8?f[m+8>>2]|0:528536);if((b[e>>0]|0)<0)Emc(f[g>>2]|0);e=h+4|0;m=f[e>>2]|0;l=(m|0)<3;if(l)n=Y(f[h+12>>2]|0,f[h+8>>2]|0)|0;else{o=f[h+40>>2]|0;p=0;q=1;while(1){r=Y(f[o+(p<<2)>>2]|0,q)|0;p=p+1|0;if((p|0)==(m|0)){n=r;break}else q=r}}if((n|0)!=1){if(l){s=Y(f[h+12>>2]|0,f[h+8>>2]|0)|0;EY(s,1,132428)}l=f[h+40>>2]|0;n=0;q=1;while(1){p=Y(f[l+(n<<2)>>2]|0,q)|0;n=n+1|0;if((n|0)==(m|0)){s=p;break}else q=p}EY(s,1,132428)}s=f[h>>2]&4095;if((s|0)!=5)BY(s,5,132456);s=d+20|0;q=f[s>>2]|0;m=d+12|0;n=(f[m>>2]|0)+-1|0;f[m>>2]=n;m=f[q+4+(n<<2)>>2]|0;n=m+11|0;if((b[n>>0]|0)<0){b[f[m>>2]>>0]=0;f[m+4>>2]=0}else{b[m>>0]=0;b[n>>0]=0}bIa(d);kKa(i);n=h+16|0;m=f[f[n>>2]>>2]|0;q=i+20|0;if((f[q>>2]|0)!=4){WJa(i);f[q>>2]=4}f[i+8>>2]=m;m=d+24|0;v_b(m);u_b(m);f[k+8>>2]=0;m=k+11|0;b[m>>0]=7;b[k>>0]=b[447124]|0;b[k+1>>0]=b[447125]|0;b[k+2>>0]=b[447126]|0;b[k+3>>0]=b[447127]|0;b[k+4>>0]=b[447128]|0;b[k+5>>0]=b[447129]|0;b[k+6>>0]=b[447130]|0;b[k+7>>0]=0;Nmc(j,k);q=j+16|0;BLa(q,i);Jlb(g,f[d+56>>2]|0,j);if(b[g+12>>0]|0){l=Klb(d+48|0,j)|0;f[(f[g>>2]|0)+12>>2]=l}jLa(q);if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);if((b[m>>0]|0)<0)Emc(f[k>>2]|0);m=Hlb(c)|0;Ilb(m,444421);pza(g,f[d+60>>2]|0,447132);d=m+60|0;c=f[m+4>>2]|0;q=c&-2;if(!(c&1))t=q;else t=f[q+4>>2]|0;q=f[d>>2]|0;if((q|0)==535416)PDa(d,t,g);else Qmc(q,g)|0;if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);q=m+24|0;v_b(q);u_b(q);f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;q=k+11|0;b[q>>0]=5;b[k>>0]=b[506389]|0;b[k+1>>0]=b[506390]|0;b[k+2>>0]=b[506391]|0;b[k+3>>0]=b[506392]|0;b[k+4>>0]=b[506393]|0;b[k+5>>0]=0;Nmc(j,k);t=j+16|0;BLa(t,i);Jlb(g,f[m+56>>2]|0,j);if(b[g+12>>0]|0){d=Klb(m+48|0,j)|0;f[(f[g>>2]|0)+12>>2]=d}jLa(t);if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);if((b[q>>0]|0)<0)Emc(f[k>>2]|0);Qmc(f[(f[s>>2]|0)+8>>2]|0,f[m+60>>2]|0)|0;jLa(i);i=h+36|0;m=f[i>>2]|0;if(m|0?(s=m+12|0,m=f[s>>2]|0,f[s>>2]=m+-1,(m|0)==1):0)lP(h);f[i>>2]=0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[e>>2]|0)>0){n=f[h+40>>2]|0;i=0;do{f[n+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[e>>2]|0))}e=f[h+44>>2]|0;if((e|0)==(h+48|0)){u=a;return}tE(e);u=a;return}function imb(a){a=a|0;Emc(a);return}function jmb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0){wlb(b);Emc(b)}ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function kmb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+160|0;a=c+136|0;g=c+80|0;h=c+40|0;i=c;j=c+64|0;k=f[(f[e+4>>2]|0)+-4>>2]|0;v_b(k+24|0);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;e=a+11|0;b[e>>0]=5;b[a>>0]=b[506389]|0;b[a+1>>0]=b[506390]|0;b[a+2>>0]=b[506391]|0;b[a+3>>0]=b[506392]|0;b[a+4>>0]=b[506393]|0;b[a+5>>0]=0;l=SCa(k+48|0,a)|0;Glb(g,(f[l+20>>2]|0)==8?f[l+8>>2]|0:528536);if((b[e>>0]|0)<0)Emc(f[a>>2]|0);e=g+4|0;l=f[e>>2]|0;k=(l|0)<3;if(k)m=Y(f[g+12>>2]|0,f[g+8>>2]|0)|0;else{n=f[g+40>>2]|0;o=0;p=1;while(1){q=Y(f[n+(o<<2)>>2]|0,p)|0;o=o+1|0;if((o|0)==(l|0)){m=q;break}else p=q}}if((m|0)!=1){if(k){r=Y(f[g+12>>2]|0,f[g+8>>2]|0)|0;EY(r,1,132500)}k=f[g+40>>2]|0;m=0;p=1;while(1){o=Y(f[k+(m<<2)>>2]|0,p)|0;m=m+1|0;if((m|0)==(l|0)){r=o;break}else p=o}EY(r,1,132500)}r=f[g>>2]&4095;if((r|0)!=5)BY(r,5,132528);r=f[d+20>>2]|0;p=d+12|0;l=(f[p>>2]|0)+-1|0;f[p>>2]=l;p=f[r+4+(l<<2)>>2]|0;l=p+11|0;if((b[l>>0]|0)<0){b[f[p>>2]>>0]=0;f[p+4>>2]=0}else{b[p>>0]=0;b[l>>0]=0}bIa(d);kKa(h);l=g+16|0;p=f[f[l>>2]>>2]|0;r=h+20|0;if((f[r>>2]|0)!=4){WJa(h);f[r>>2]=4}f[h+8>>2]=p;p=d+24|0;v_b(p);u_b(p);f[j+8>>2]=0;p=j+11|0;b[p>>0]=7;b[j>>0]=b[447124]|0;b[j+1>>0]=b[447125]|0;b[j+2>>0]=b[447126]|0;b[j+3>>0]=b[447127]|0;b[j+4>>0]=b[447128]|0;b[j+5>>0]=b[447129]|0;b[j+6>>0]=b[447130]|0;b[j+7>>0]=0;Nmc(i,j);r=i+16|0;BLa(r,h);Jlb(a,f[d+56>>2]|0,i);if(b[a+12>>0]|0){m=Klb(d+48|0,i)|0;f[(f[a>>2]|0)+12>>2]=m}jLa(r);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);if((b[p>>0]|0)<0)Emc(f[j>>2]|0);jLa(h);h=g+36|0;j=f[h>>2]|0;if(j|0?(p=j+12|0,j=f[p>>2]|0,f[p>>2]=j+-1,(j|0)==1):0)lP(g);f[h>>2]=0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[e>>2]|0)>0){l=f[g+40>>2]|0;h=0;do{f[l+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[e>>2]|0))}e=f[g+44>>2]|0;if((e|0)==(g+48|0)){u=c;return}tE(e);u=c;return}function lmb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;c=u;u=u+64|0;d=c;e=c+40|0;g=c+28|0;h=c+16|0;i=c+8|0;f[e+4>>2]=0;f[e+8>>2]=0;j=e+4|0;f[e>>2]=j;f[g>>2]=0;k=g+4|0;f[k>>2]=0;f[g+8>>2]=0;l=f[a+12>>2]|0;f[d>>2]=0;m=(l|0)>0;a:do if(m){n=a+20|0;o=h+4|0;p=g+8|0;q=i+4|0;r=0;do{s=f[(f[n>>2]|0)+4+(r<<2)>>2]|0;t=f[s+64>>2]|0;f[h>>2]=0;f[o>>2]=0;v=t+11|0;w=b[v>>0]|0;x=w<<24>>24<0?f[t+4>>2]|0:w&255;if(x){w=YG(h,x)|0;Krc(w|0,((b[v>>0]|0)<0?f[t>>2]|0:t)|0,x|0)|0;x=f[h>>2]|0;if((x|0)==447711)y=10;else{z=x;y=8}}else{z=0;y=8}if((y|0)==8){y=0;x=(z|0)==0?1163146:z;if(!(!((o7b(x,447711)|0)==0|(z|0)==447720)?(o7b(x,447720)|0)!=0:0))y=10}if((y|0)==10){y=0;x=f[k>>2]|0;if((x|0)==(f[p>>2]|0))MR(g,d);else{f[x>>2]=f[d>>2];f[k>>2]=x+4}x=f[(f[s+20>>2]|0)+4>>2]|0;t=f[s+60>>2]|0;f[i>>2]=0;f[q>>2]=0;s=t+11|0;v=b[s>>0]|0;w=v<<24>>24<0?f[t+4>>2]|0:v&255;if(w|0){v=YG(i,w)|0;Krc(v|0,((b[s>>0]|0)<0?f[t>>2]|0:t)|0,w|0)|0}w=mmb(e,i)|0;ZG(w);t=x+11|0;s=b[t>>0]|0;v=s<<24>>24<0?f[x+4>>2]|0:s&255;if(v|0){s=YG(w,v)|0;Krc(s|0,((b[t>>0]|0)<0?f[x>>2]|0:x)|0,v|0)|0}ZG(i)}ZG(h);r=(f[d>>2]|0)+1|0;f[d>>2]=r}while((r|0)<(l|0));if(m){r=a+20|0;q=d+4|0;p=h+11|0;o=h+8|0;n=h+4|0;v=0;b:while(1){x=f[(f[r>>2]|0)+4+(v<<2)>>2]|0;t=x+12|0;if((f[t>>2]|0)>0){s=x+20|0;x=0;do{w=f[(f[s>>2]|0)+4+(x<<2)>>2]|0;f[d>>2]=0;f[q>>2]=0;A=w+11|0;B=b[A>>0]|0;C=B<<24>>24<0?f[w+4>>2]|0:B&255;if(C|0){B=YG(d,C)|0;Krc(B|0,((b[A>>0]|0)<0?f[w>>2]|0:w)|0,C|0)|0}C=f[j>>2]|0;do if(C|0){w=f[d>>2]|0;A=(w|0)==0?1163146:w;B=j;D=C;c:while(1){E=D;while(1){F=f[E+16>>2]|0;if((F|0)==(w|0))break;if((o7b((F|0)==0?1163146:F,A)|0)>=0)break;F=f[E+4>>2]|0;if(!F){G=B;break c}else E=F}D=f[E>>2]|0;if(!D){G=E;break}else B=E}if((G|0)!=(j|0)){B=f[G+16>>2]|0;if((w|0)!=(B|0)?(o7b(A,(B|0)==0?1163146:B)|0)<=-1:0)break;B=f[G+24>>2]|0;D=f[G+28>>2]|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(D>>>0>4294967279)break b;if(D>>>0<11){b[p>>0]=D;if(!D)H=h;else{I=h;y=41}}else{F=D+16&-16;J=Bmc(F)|0;f[h>>2]=J;f[o>>2]=F|-2147483648;f[n>>2]=D;I=J;y=41}if((y|0)==41){y=0;Krc(I|0,B|0,D|0)|0;H=I}b[H+D>>0]=0;Qmc(f[(f[s>>2]|0)+4+(x<<2)>>2]|0,h)|0;if((b[p>>0]|0)<0)Emc(f[h>>2]|0)}}while(0);ZG(d);x=x+1|0}while((x|0)<(f[t>>2]|0))}v=v+1|0;if((v|0)>=(l|0))break a}Lmc(h)}}while(0);Zac(f[g>>2]|0,f[k>>2]|0,d);d=f[k>>2]|0;h=f[g>>2]|0;l=h;if((d|0)==(h|0)){K=d;L=l}else{d=a+8|0;h=a+20|0;a=0;H=l;while(1){l=(f[H+(a<<2)>>2]|0)-a|0;I=f[(f[h>>2]|0)+4+(l<<2)>>2]|0;if(!((I|0)==0|(f[d>>2]|0)!=0))ai[f[(f[I>>2]|0)+4>>2]&2047](I);vDb(d,l,1);a=a+1|0;l=f[k>>2]|0;I=f[g>>2]|0;y=I;if(a>>>0>=l-I>>2>>>0){K=l;L=y;break}else H=y}}H=K;if(!L){M=f[j>>2]|0;nmb(e,M);u=c;return}if((H|0)!=(L|0))f[k>>2]=H+(~((H+-4-L|0)>>>2)<<2);Emc(L);M=f[j>>2]|0;nmb(e,M);u=c;return}function mmb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;c=a+4|0;d=f[c>>2]|0;a:do if(!d){e=c;g=c;h=d;i=12}else{j=a+4|0;k=f[b>>2]|0;l=(k|0)==0?1163146:k;m=f[d+16>>2]|0;b:do if((k|0)!=(m|0)){n=j;o=d;p=m;q=d;while(1){r=(p|0)==0?1163146:p;if((o7b(l,r)|0)<0){s=f[o>>2]|0;if(!s){i=6;break}else{t=o;u=s}}else{if((o7b(r,l)|0)>=0){v=n;w=o;x=q;break b}y=o+4|0;r=f[y>>2]|0;if(!r){i=9;break}else{t=y;u=r}}p=f[u+16>>2]|0;if((k|0)==(p|0)){v=t;w=u;x=u;break b}else{n=t;o=u;q=u}}if((i|0)==6){z=o;A=o;break a}else if((i|0)==9){z=y;A=o;break a}}else{v=j;w=d;x=d}while(0);e=v;g=w;h=x;i=12}while(0);if((i|0)==12)if(!h){z=e;A=g}else{B=h;C=B+24|0;return C|0}h=Bmc(32)|0;g=f[b>>2]|0;f[h+16>>2]=g;f[h+20>>2]=f[b+4>>2];if(g|0){b=g+-4|0;f[b>>2]=(f[b>>2]|0)+1}f[h+24>>2]=0;f[h+28>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=A;f[z>>2]=h;A=f[f[a>>2]>>2]|0;if(!A)D=h;else{f[a>>2]=A;D=f[z>>2]|0}RS(f[a+4>>2]|0,D);D=a+8|0;f[D>>2]=(f[D>>2]|0)+1;B=h;C=B+24|0;return C|0}function nmb(a,b){a=a|0;b=b|0;if(!b)return;nmb(a,f[b>>2]|0);nmb(a,f[b+4>>2]|0);ZG(b+24|0);ZG(b+16|0);Emc(b);return}function omb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+152|0;d=a+4|0;e=f[d>>2]|0;g=e&-2;if(!(e&1))h=g;else h=f[g+4>>2]|0;g=f[c>>2]|0;if((g|0)==535416){PDa(c,h,535416);i=f[c>>2]|0}else i=g;g=b[i+11>>0]|0;if(g<<24>>24<0)j=f[i+4>>2]|0;else j=g&255;if(!j)return;j=f[d>>2]|0;d=j&-2;if(!(j&1))k=d;else k=f[d+4>>2]|0;d=a+152|0;if((i|0)==535416)return;if(!k){f[d>>2]=535416;if(!i)return;else{l=i;m=g}}else{g=Bmc(12)|0;f[g>>2]=f[i>>2];f[g+4>>2]=f[i+4>>2];f[g+8>>2]=f[i+8>>2];f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[d>>2]=535416;l=g;m=b[g+11>>0]|0}if(m<<24>>24<0)Emc(f[l>>2]|0);Emc(l);return}function pmb(a,b){a=a|0;b=b|0;var c=0;c=Bmc(60)|0;qmb(c,b);b=Bmc(16)|0;f[b+4>>2]=1;f[b>>2]=132564;f[b+8>>2]=c;f[a>>2]=b;f[a+4>>2]=c;return}function qmb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0.0,G=0,H=0.0,I=0,K=0.0,L=0,M=0,N=0;d=u;u=u+32|0;e=d+16|0;g=d+8|0;h=d;uCa(a);f[a>>2]=132584;vCa(a,c);i=a+36|0;f[i>>2]=-1;f[g>>2]=0;f[g+4>>2]=0;j=YG(g,11)|0;k=447804;l=j+11|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));f[h>>2]=0;m=h+4|0;f[m>>2]=0;j=YG(h,15)|0;k=447816;l=j+15|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));o=c+4|0;c=f[o>>2]|0;do if(c){p=f[g>>2]|0;q=(p|0)==0?1163146:p;r=o;s=c;a:while(1){t=s;while(1){v=f[t+16>>2]|0;if((v|0)==(p|0))break;if((o7b((v|0)==0?1163146:v,q)|0)>=0)break;v=f[t+4>>2]|0;if(!v){w=r;break a}else t=v}s=f[t>>2]|0;if(!s){w=t;break}else r=t}if((w|0)!=(o|0)){r=f[w+16>>2]|0;if((p|0)!=(r|0)?(o7b(q,(r|0)==0?1163146:r)|0)<=-1:0){x=12;break}sCa(e,w+24|0,-1)}else x=12}else x=12;while(0);if((x|0)==12?(x=f[h>>2]|0,f[e>>2]=x,f[e+4>>2]=f[m>>2],x|0):0){m=x+-4|0;f[m>>2]=(f[m>>2]|0)+1}ZG(h);ZG(g);m=f[e>>2]|0;if((m|0)!=447816?(x=(m|0)==0?1163146:m,(o7b(x,447816)|0)!=0):0)if((m|0)!=447832?(o7b(x,447832)|0)!=0:0){f[h>>2]=0;x=h+4|0;f[x>>2]=0;m=e+4|0;YG(h,(f[m>>2]|0)+21|0)|0;w=f[h>>2]|0;j=w;k=447847;l=j+21|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));c=f[m>>2]|0;if(c|0)Krc(w+21|0,f[e>>2]|0,c|0)|0;f[g>>2]=0;f[g+4>>2]=0;YG(g,(f[x>>2]|0)+1|0)|0;c=f[x>>2]|0;if(!c){y=0;z=f[g>>2]|0;A=z+y|0;b[A>>0]=34;SQ(-5,g,447869,447882,75)}Krc(f[g>>2]|0,f[h>>2]|0,c|0)|0;y=f[x>>2]|0;z=f[g>>2]|0;A=z+y|0;b[A>>0]=34;SQ(-5,g,447869,447882,75)}else B=1;else B=0;f[i>>2]=B;f[g>>2]=0;f[g+4>>2]=0;j=YG(g,10)|0;k=447956;l=j+10|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));B=f[o>>2]|0;do if(B){i=f[g>>2]|0;A=(i|0)==0?1163146:i;y=o;z=B;b:while(1){x=z;while(1){c=f[x+16>>2]|0;if((c|0)==(i|0))break;if((o7b((c|0)==0?1163146:c,A)|0)>=0)break;c=f[x+4>>2]|0;if(!c){C=y;break b}else x=c}z=f[x>>2]|0;if(!z){C=x;break}else y=x}if((C|0)!=(o|0)){y=f[C+16>>2]|0;if((i|0)!=(y|0)?(o7b(A,(y|0)==0?1163146:y)|0)<=-1:0){D=5;break}y=rCa(C+24|0,-1)|0;D=y}else D=5}else D=5;while(0);C=a+40|0;f[C>>2]=D;ZG(g);D=f[C>>2]|0;if((D|0)<1|((D|0)%2|0|0)!=1){f[g>>2]=0;f[g+4>>2]=0;j=YG(g,58)|0;k=447967;l=j+58|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-5,g,447869,447882,79)}f[g>>2]=0;f[g+4>>2]=0;D=YG(g,5)|0;b[D>>0]=b[448026]|0;b[D+1>>0]=b[448027]|0;b[D+2>>0]=b[448028]|0;b[D+3>>0]=b[448029]|0;b[D+4>>0]=b[448030]|0;D=f[o>>2]|0;do if(D){C=f[g>>2]|0;B=(C|0)==0?1163146:C;y=o;z=D;c:while(1){q=z;while(1){p=f[q+16>>2]|0;if((p|0)==(C|0))break;if((o7b((p|0)==0?1163146:p,B)|0)>=0)break;p=f[q+4>>2]|0;if(!p){E=y;break c}else q=p}z=f[q>>2]|0;if(!z){E=q;break}else y=q}if((E|0)!=(o|0)){y=f[E+16>>2]|0;if((C|0)!=(y|0)?(o7b(B,(y|0)==0?1163146:y)|0)<=-1:0){F=1.0;break}F=+eEa(E+24|0,-1)}else F=1.0}else F=1.0;while(0);n[a+44>>2]=F;ZG(g);f[g>>2]=0;f[g+4>>2]=0;E=YG(g,4)|0;b[E>>0]=98;b[E+1>>0]=101;b[E+2>>0]=116;b[E+3>>0]=97;E=f[o>>2]|0;do if(E){D=f[g>>2]|0;y=(D|0)==0?1163146:D;z=o;A=E;d:while(1){i=A;while(1){x=f[i+16>>2]|0;if((x|0)==(D|0))break;if((o7b((x|0)==0?1163146:x,y)|0)>=0)break;x=f[i+4>>2]|0;if(!x){G=z;break d}else i=x}A=f[i>>2]|0;if(!A){G=i;break}else z=i}if((G|0)!=(o|0)){z=f[G+16>>2]|0;if((D|0)!=(z|0)?(o7b(y,(z|0)==0?1163146:z)|0)<=-1:0){H=.75;break}H=+eEa(G+24|0,-1)}else H=.75}else H=.75;while(0);n[a+48>>2]=H;ZG(g);f[g>>2]=0;f[g+4>>2]=0;G=YG(g,4)|0;b[G>>0]=98;b[G+1>>0]=105;b[G+2>>0]=97;b[G+3>>0]=115;G=f[o>>2]|0;do if(G){E=f[g>>2]|0;z=(E|0)==0?1163146:E;A=o;B=G;e:while(1){C=B;while(1){q=f[C+16>>2]|0;if((q|0)==(E|0))break;if((o7b((q|0)==0?1163146:q,z)|0)>=0)break;q=f[C+4>>2]|0;if(!q){I=A;break e}else C=q}B=f[C>>2]|0;if(!B){I=C;break}else A=C}if((I|0)!=(o|0)){A=f[I+16>>2]|0;if((E|0)!=(A|0)?(o7b(z,(A|0)==0?1163146:A)|0)<=-1:0){K=1.0;break}K=+eEa(I+24|0,-1)}else K=1.0}else K=1.0;while(0);n[a+52>>2]=K;ZG(g);f[g>>2]=0;f[g+4>>2]=0;j=YG(g,12)|0;k=448032;l=j+12|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));k=f[o>>2]|0;if(!k){L=1;M=a+56|0;b[M>>0]=L;ZG(g);ZG(e);u=d;return}j=f[g>>2]|0;l=(j|0)==0?1163146:j;I=o;G=k;f:while(1){k=G;while(1){A=f[k+16>>2]|0;if((A|0)==(j|0))break;if((o7b((A|0)==0?1163146:A,l)|0)>=0)break;A=f[k+4>>2]|0;if(!A){N=I;break f}else k=A}G=f[k>>2]|0;if(!G){N=k;break}else I=k}if((N|0)==(o|0)){L=1;M=a+56|0;b[M>>0]=L;ZG(g);ZG(e);u=d;return}o=f[N+16>>2]|0;if((j|0)!=(o|0)?(o7b(l,(o|0)==0?1163146:o)|0)<=-1:0){L=1;M=a+56|0;b[M>>0]=L;ZG(g);ZG(e);u=d;return}o=rCa(N+24|0,-1)|0;L=((o|0)!=0|(J|0)!=0)&1;M=a+56|0;b[M>>0]=L;ZG(g);ZG(e);u=d;return}function rmb(a){a=a|0;Emc(a);return}function smb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function tmb(a){a=a|0;Nza(a);Emc(a);return}function umb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=u;u=u+48|0;h=g+32|0;i=g+20|0;j=g+8|0;k=g;zT(h,132684);l=AD(c,-1)|0;if((l|0)!=(AD(d,-1)|0)){f[i>>2]=0;f[i+4>>2]=0;m=YG(i,41)|0;n=448045;o=m+41|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,i,475494,447882,149)}if((BD(c,-1)|0)==3)gAa(a,c,d,e);else{f[i>>2]=0;e=i+4|0;f[e>>2]=0;f[i+8>>2]=0;f[j>>2]=0;l=j+4|0;f[l>>2]=0;f[j+8>>2]=0;rD(c,i);rD(d,j);d=f[e>>2]|0;c=f[i>>2]|0;if((d-c|0)!=((f[l>>2]|0)-(f[j>>2]|0)|0)){f[k>>2]=0;f[k+4>>2]=0;m=YG(k,31)|0;n=449470;o=m+31|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,k,475494,447882,165)}a:do if((d|0)!=(c|0)){l=a+36|0;p=0;q=c;b:while(1){r=q;s=r+(p*56|0)|0;if((f[r+(p*56|0)+4>>2]|0)!=4){t=13;break}r=(f[j>>2]|0)+(p*56|0)|0;switch(f[l>>2]|0){case 0:{Amb(a,s,r);break}case 1:{Bmb(a,s,r);break}default:{t=17;break b}}p=p+1|0;q=f[i>>2]|0;if(p>>>0>=(((f[e>>2]|0)-q|0)/56|0)>>>0)break a}if((t|0)==13){f[k>>2]=0;f[k+4>>2]=0;m=YG(k,19)|0;n=448087;o=m+19|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,k,475494,447882,169)}else if((t|0)==17){f[k>>2]=0;f[k+4>>2]=0;m=YG(k,31)|0;n=448107;o=m+31|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-213,k,475494,447882,183)}}while(0);rt(j);rt(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function vmb(a,b){a=a|0;b=b|0;var c=0;if((b|2|0)!=3)if((b|0)==2)if((f[a+32>>2]|0)==3)c=(f[a+36>>2]|0)==0;else c=1;else c=0;else c=1;return c|0}function wmb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function xmb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function ymb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return}function zmb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0;d=u;u=u+16|0;e=d;g=f[c+4>>2]|0;h=f[c>>2]|0;c=h;if((g|0)==(h|0)){f[e>>2]=0;f[e+4>>2]=0;i=YG(e,17)|0;j=474364;k=i+17|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-215,e,461951,447882,406)}l=(f[a+36>>2]|0)==0;m=a+40|0;a=(g-h|0)/12|0;h=0;g=0;a:while(1){n=c+(g*12|0)|0;if(l){o=f[n>>2]|0;p=f[o+4>>2]|0;q=f[m>>2]|0;r=(q+-1|0)/2|0;s=f[o>>2]|0;t=((p|0)<(r|0)?p:r)<<1;v=f[c+(g*12|0)+4>>2]|0;w=v-o|0;x=w>>2;y=(o|0)==(v|0);do if(!y){if((w|0)<8){z=11;break a}if((w|0)==8){A=1;B=p<<2;C=t;break}else{D=2;E=1}do{E=Y(f[o+(D<<2)>>2]|0,E)|0;D=D+1|0}while((D|0)!=(x|0));v=Y(t,E)|0;F=p<<2;if(!y){if((w|0)<8){z=16;break a}if((w|0)==8){A=1;B=F;C=v}else{G=2;H=1;while(1){I=Y(f[o+(G<<2)>>2]|0,H)|0;G=G+1|0;if((G|0)==(x|0)){A=I;B=F;C=v;break}else H=I}}}else{A=0;B=F;C=v}}else{A=0;B=p<<2;C=0}while(0);t=(Y((Y(B,A)|0)+C|0,s)|0)+h|0;if((r|0)<(p|0)){H=(p-q<<1)+q|0;if(!y){if((w|0)<8){z=22;break}if((w|0)==8)K=1;else{G=2;I=1;while(1){L=Y(f[o+(G<<2)>>2]|0,I)|0;G=G+1|0;if((G|0)==(x|0)){K=L;break}else I=L}}}else K=0;M=(Y(K,H)|0)+t|0}else M=t}else{I=f[c+(g*12|0)+4>>2]|0;x=f[n>>2]|0;G=I-x|0;o=G>>2;w=x;if((w|0)!=(I|0)){if((G|0)<0){z=28;break}if(!G)N=1;else{G=0;I=1;while(1){x=Y(f[w+(G<<2)>>2]|0,I)|0;G=G+1|0;if((G|0)==(o|0)){N=x;break}else I=x}}}else N=0;I=f[m>>2]|0;M=(Y((Y(I<<1,I)|0)+2|0,N)|0)+h|0}g=g+1|0;if(g>>>0>=a>>>0){z=4;break}else h=M}if((z|0)==4){J=((M|0)<0)<<31>>31;u=d;return M|0}else if((z|0)==11){f[e>>2]=0;f[e+4>>2]=0;i=YG(e,70)|0;j=475084;k=i+70|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-215,e,475155,475161,161)}else if((z|0)==16){f[e>>2]=0;f[e+4>>2]=0;i=YG(e,70)|0;j=475084;k=i+70|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-215,e,475155,475161,161)}else if((z|0)==22){f[e>>2]=0;f[e+4>>2]=0;i=YG(e,70)|0;j=475084;k=i+70|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-215,e,475155,475161,161)}else if((z|0)==28){f[e>>2]=0;f[e+4>>2]=0;i=YG(e,70)|0;j=475084;k=i+70|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-215,e,475155,475161,161)}return 0}function Amb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0.0,o=0,p=0,q=0.0;e=u;u=u+64|0;g=e+8|0;h=e;i=f[c+40>>2]|0;j=f[i>>2]|0;k=f[i+4>>2]|0;l=f[a+40>>2]|0;m=(b[a+56>>0]|0)==0?1.0:+(l|0);o=Y(f[i+12>>2]|0,f[i+8>>2]|0)|0;i=pU()|0;p=(i|0)>1?i:1;i=f[c+16>>2]|0;c=f[d+16>>2]|0;q=+n[a+44>>2]/m;d=f[a+52>>2]|0;m=-+n[a+48>>2];f[g>>2]=132724;f[g+4>>2]=i;f[g+8>>2]=c;f[g+28>>2]=k;f[g+32>>2]=(l+-1|0)/2|0;n[g+12>>2]=q;f[g+16>>2]=d;n[g+20>>2]=m;f[g+24>>2]=o;f[g+36>>2]=j;f[g+40>>2]=p;f[h>>2]=0;f[h+4>>2]=p;oU(h,g,+(p|0));u=e;return}function Bmb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0.0,pa=0,qa=0,ra=0;e=u;u=u+384|0;g=e+256|0;h=e+200|0;i=e+144|0;j=e+88|0;k=e+32|0;l=e+16|0;m=e;o=f[c+40>>2]|0;p=f[o>>2]|0;q=f[o+4>>2]|0;if(!(b[a+56>>0]|0))r=1;else{o=f[a+40>>2]|0;r=Y(o,o)|0}f[h>>2]=f[c>>2];o=h+4|0;s=c+4|0;t=f[s>>2]|0;f[o>>2]=t;v=h+8|0;f[v>>2]=f[c+8>>2];f[h+12>>2]=f[c+12>>2];w=h+16|0;f[w>>2]=f[c+16>>2];f[h+20>>2]=f[c+20>>2];f[h+24>>2]=f[c+24>>2];f[h+28>>2]=f[c+28>>2];f[h+32>>2]=f[c+32>>2];x=h+36|0;y=f[c+36>>2]|0;f[x>>2]=y;z=h+40|0;f[z>>2]=v;v=h+48|0;A=h+44|0;f[A>>2]=v;f[v>>2]=0;f[h+52>>2]=0;if(!y)B=t;else{t=y+12|0;f[t>>2]=(f[t>>2]|0)+1;B=f[s>>2]|0}if((B|0)<3){B=f[c+44>>2]|0;s=f[A>>2]|0;f[s>>2]=f[B>>2];f[s+4>>2]=f[B+4>>2]}else{f[o>>2]=0;kP(h,c)}f[i>>2]=f[d>>2];c=i+4|0;B=d+4|0;s=f[B>>2]|0;f[c>>2]=s;t=i+8|0;f[t>>2]=f[d+8>>2];f[i+12>>2]=f[d+12>>2];y=i+16|0;f[y>>2]=f[d+16>>2];f[i+20>>2]=f[d+20>>2];f[i+24>>2]=f[d+24>>2];f[i+28>>2]=f[d+28>>2];f[i+32>>2]=f[d+32>>2];C=i+36|0;D=f[d+36>>2]|0;f[C>>2]=D;E=i+40|0;f[E>>2]=t;t=i+48|0;F=i+44|0;f[F>>2]=t;f[t>>2]=0;f[i+52>>2]=0;if(!D)G=s;else{s=D+12|0;f[s>>2]=(f[s>>2]|0)+1;G=f[B>>2]|0}if((G|0)<3){G=f[d+44>>2]|0;B=f[F>>2]|0;f[B>>2]=f[G>>2];f[B+4>>2]=f[G+4>>2]}else{f[c>>2]=0;kP(i,d)}a:do if((p|0)>0){d=(q|0)>0;G=g+8|0;B=g+4|0;s=a+44|0;H=+(r|0);D=a+52|0;I=g+8|0;J=g+12|0;K=g+4|0;L=a+48|0;M=l+8|0;N=l+4|0;O=g+8|0;P=g+12|0;Q=g+4|0;R=l+8|0;S=l+12|0;T=l+4|0;U=m+8|0;V=m+4|0;W=k+36|0;X=k+16|0;Z=k+4|0;_=k+40|0;$=k+44|0;aa=k+48|0;ba=j+36|0;ca=j+16|0;da=j+4|0;ea=j+40|0;fa=j+44|0;ga=j+48|0;ha=0;b:while(1){if(d){ia=0;do{ja=f[o>>2]|0;if((ja|0)<=2){ka=26;break b}la=f[z>>2]|0;ma=2;do{f[g+(ma+-2<<2)>>2]=f[la+(ma<<2)>>2];ma=ma+1|0}while((ma|0)!=(ja|0));ma=f[A>>2]|0;la=(f[w>>2]|0)+(Y(f[ma>>2]|0,ha)|0)|0;qP(j,ja+-2|0,g,f[h>>2]&4095,la+(Y(f[ma+4>>2]|0,ia)|0)|0,0);ma=f[c>>2]|0;if((ma|0)<=2){ka=30;break b}la=f[E>>2]|0;na=2;do{f[g+(na+-2<<2)>>2]=f[la+(na<<2)>>2];na=na+1|0}while((na|0)!=(ma|0));na=f[F>>2]|0;la=(f[y>>2]|0)+(Y(f[na>>2]|0,ha)|0)|0;qP(k,ma+-2|0,g,f[i>>2]&4095,la+(Y(f[na+4>>2]|0,ia)|0)|0,0);Cmb(a,j,k);na=G;f[na>>2]=0;f[na+4>>2]=0;f[g>>2]=33619968;f[B>>2]=k;IO(k,g,f[k>>2]&4095,+n[s>>2]/H,+n[D>>2]);f[I>>2]=0;f[J>>2]=0;f[g>>2]=16842752;f[K>>2]=k;oa=+n[L>>2];na=M;f[na>>2]=0;f[na+4>>2]=0;f[l>>2]=33619968;f[N>>2]=k;vS(g,oa,l);f[O>>2]=0;f[P>>2]=0;f[g>>2]=16842752;f[Q>>2]=j;f[R>>2]=0;f[S>>2]=0;f[l>>2]=16842752;f[T>>2]=k;na=U;f[na>>2]=0;f[na+4>>2]=0;f[m>>2]=33619968;f[V>>2]=k;RI(g,l,m,1.0,-1);na=f[W>>2]|0;if(na|0?(la=na+12|0,na=f[la>>2]|0,f[la>>2]=na+-1,(na|0)==1):0)lP(k);f[W>>2]=0;f[X>>2]=0;f[X+4>>2]=0;f[X+8>>2]=0;f[X+12>>2]=0;if((f[Z>>2]|0)>0){na=f[_>>2]|0;la=0;do{f[na+(la<<2)>>2]=0;la=la+1|0}while((la|0)<(f[Z>>2]|0))}la=f[$>>2]|0;if((la|0)!=(aa|0))tE(la);la=f[ba>>2]|0;if(la|0?(na=la+12|0,la=f[na>>2]|0,f[na>>2]=la+-1,(la|0)==1):0)lP(j);f[ba>>2]=0;f[ca>>2]=0;f[ca+4>>2]=0;f[ca+8>>2]=0;f[ca+12>>2]=0;if((f[da>>2]|0)>0){la=f[ea>>2]|0;na=0;do{f[la+(na<<2)>>2]=0;na=na+1|0}while((na|0)<(f[da>>2]|0))}na=f[fa>>2]|0;if((na|0)!=(ga|0))tE(na);ia=ia+1|0}while((ia|0)<(q|0))}ha=ha+1|0;if((ha|0)>=(p|0))break a}if((ka|0)==26){f[g>>2]=0;f[g+4>>2]=0;pa=YG(g,10)|0;qa=456353;ra=pa+10|0;do{b[pa>>0]=b[qa>>0]|0;pa=pa+1|0;qa=qa+1|0}while((pa|0)<(ra|0));SQ(-215,g,456364,475161,110)}else if((ka|0)==30){f[g>>2]=0;f[g+4>>2]=0;pa=YG(g,10)|0;qa=456353;ra=pa+10|0;do{b[pa>>0]=b[qa>>0]|0;pa=pa+1|0;qa=qa+1|0}while((pa|0)<(ra|0));SQ(-215,g,456364,475161,110)}}while(0);g=f[C>>2]|0;if(g|0?(qa=g+12|0,g=f[qa>>2]|0,f[qa>>2]=g+-1,(g|0)==1):0)lP(i);f[C>>2]=0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[c>>2]|0)>0){y=f[E>>2]|0;E=0;do{f[y+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[c>>2]|0))}c=f[F>>2]|0;if((c|0)!=(t|0))tE(c);c=f[x>>2]|0;if(c|0?(t=c+12|0,c=f[t>>2]|0,f[t>>2]=c+-1,(c|0)==1):0)lP(h);f[x>>2]=0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[o>>2]|0)>0){w=f[z>>2]|0;z=0;do{f[w+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[o>>2]|0))}o=f[A>>2]|0;if((o|0)==(v|0)){u=e;return}tE(o);u=e;return}function Cmb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+112|0;e=d+48|0;g=d+32|0;h=d+16|0;i=d+8|0;j=d;Ri(e,f[b+8>>2]|0,f[b+12>>2]|0,f[b>>2]&4095,f[b+16>>2]|0,f[f[b+44>>2]>>2]|0);f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=e;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=c;b=f[c>>2]&7;c=f[a+40>>2]|0;f[i>>2]=c;f[i+4>>2]=c;f[j>>2]=-1;f[j+4>>2]=-1;Baa(g,h,b,i,j,0,0);j=e+36|0;i=f[j>>2]|0;if(i|0?(b=i+12|0,i=f[b>>2]|0,f[b>>2]=i+-1,(i|0)==1):0)lP(e);f[j>>2]=0;j=e+16|0;i=e+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[i>>2]|0)>0){j=f[e+40>>2]|0;b=0;do{f[j+(b<<2)>>2]=0;b=b+1|0}while((b|0)<(f[i>>2]|0))}i=f[e+44>>2]|0;if((i|0)==(e+48|0)){u=d;return}tE(i);u=d;return}function Dmb(a){a=a|0;Emc(a);return}function Emb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0.0,o=0.0,p=0.0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0.0,J=0.0,K=0.0,L=0,M=0;c=u;u=u+1072|0;d=c;e=f[a+36>>2]|0;g=f[a+40>>2]|0;h=f[a+24>>2]|0;i=Y(h,e)|0;j=((g+-1+i|0)>>>0)/(g>>>0)|0;k=Y(f[b>>2]|0,j)|0;l=f[b+4>>2]|0;b=Y(l,j)|0;j=(l|0)==(g|0)?i:b;b=i>>>0<k>>>0?i:k;k=i>>>0<j>>>0?i:j;m=+n[a+12>>2];o=+n[a+16>>2];p=+n[a+20>>2];j=f[a+28>>2]|0;i=f[a+32>>2]|0;g=(i+j<<1)+2|0;l=d+8|0;f[d>>2]=l;q=d+4|0;f[q>>2]=g;if(g>>>0>264){r=Dmc(g>>>0>1073741823?-1:g<<2)|0;f[d>>2]=r;s=r}else s=l;r=s+(j<<2)+(i<<2)+4|0;if((i|0)>=0){g=0;while(1){n[r+(g+j<<2)>>2]=0.0;n[r+(~g<<2)>>2]=0.0;if((g|0)==(i|0))break;else g=g+1|0}}if(k>>>0>b>>>0){g=a+4|0;t=a+8|0;a=(j|0)>0;v=(i|0)>0;w=~i;x=b;while(1){b=(x>>>0)/(h>>>0)|0;if((b|0)>=(e|0))break;y=Y(b,h)|0;b=x-y|0;z=h-b|0;A=k-x|0;B=(A>>>0<z>>>0?A:z)+x|0;z=Y(y,j)|0;y=(f[t>>2]|0)+(z<<2)+(b<<2)|0;a:do if(x>>>0<B>>>0){if(!a){A=x;while(1){if(v){C=0;do C=C+1|0;while((C|0)!=(i|0))}uY(s,s,j);sY(s,s,j);C=A+1|0;if(C>>>0<B>>>0)A=C;else{D=C;break a}}}A=y;C=(f[g>>2]|0)+(z<<2)+(b<<2)|0;E=x;while(1){F=0;do{G=C+((Y(F,h)|0)<<2)|0;f[r+(F<<2)>>2]=f[G>>2];F=F+1|0}while((F|0)!=(j|0));if(v){H=0.0;F=0;while(1){I=+n[r+(F<<2)>>2];J=H+I*I;F=F+1|0;if((F|0)==(i|0)){K=J;L=0;break}else H=J}}else{K=0.0;L=0}do{H=+n[r+(L+i<<2)>>2];J=+n[r+(L+w<<2)>>2];I=K+(H+J)*(H-J);K=I<0.0?0.0:I;n[s+(L<<2)>>2]=o+m*K;L=L+1|0}while((L|0)!=(j|0));uY(s,s,j);F=0;do{G=s+(F<<2)|0;n[G>>2]=p*+n[G>>2];F=F+1|0}while((F|0)!=(j|0));sY(s,s,j);F=0;do{G=A+((Y(F,h)|0)<<2)|0;n[G>>2]=+n[r+(F<<2)>>2]*+n[s+(F<<2)>>2];F=F+1|0}while((F|0)!=(j|0));F=E+1|0;if(F>>>0<B>>>0){A=A+4|0;C=C+4|0;E=F}else{D=F;break}}}else D=x;while(0);if(k>>>0>D>>>0)x=D;else break}M=f[d>>2]|0}else M=s;if((M|0)==(l|0)){u=c;return}if(M|0)Fmc(M);f[d>>2]=l;f[q>>2]=264;u=c;return}function Fmb(a,b){a=a|0;b=b|0;var c=0;c=Bmc(40)|0;Gmb(c,b);b=Bmc(16)|0;f[b+4>>2]=1;f[b>>2]=132744;f[b+8>>2]=c;f[a>>2]=b;f[a+4>>2]=c;return}function Gmb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+16|0;e=d;uCa(a);f[a>>2]=132764;vCa(a,c);f[e>>2]=0;f[e+4>>2]=0;g=YG(e,9)|0;h=448426;i=g+9|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));j=f[c+4>>2]|0;do if(j){k=f[e>>2]|0;l=(k|0)==0?1163146:k;m=j;while(1){n=f[m+16>>2]|0;if((k|0)==(n|0)){o=9;break}p=(n|0)==0?1163146:n;if((o7b(l,p)|0)<0)q=m;else{if((o7b(p,l)|0)>=0){o=10;break}q=m+4|0}m=f[q>>2]|0;if(!m){o=14;break}}if((o|0)==9)ZG(e);else if((o|0)==10)ZG(e);else if((o|0)==14){ZG(e);break}f[e>>2]=0;f[e+4>>2]=0;g=YG(e,9)|0;h=448426;i=g+9|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));m=rCa(dDa(c,e)|0,-1)|0;l=a+36|0;f[l>>2]=m;ZG(e);if((f[l>>2]|0)>-1){u=d;return}else{f[e>>2]=0;f[e+4>>2]=0;g=YG(e,17)|0;h=448436;i=g+17|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));SQ(-215,e,448454,448469,61)}}else ZG(e);while(0);f[a+36>>2]=-1;u=d;return}function Hmb(a){a=a|0;Emc(a);return}function Imb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Jmb(a){a=a|0;Nza(a);Emc(a);return}function Kmb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;g=u;u=u+48|0;h=g+40|0;i=g+28|0;j=g+16|0;k=g;zT(h,132864);if((BD(c,-1)|0)==3)gAa(a,c,d,e);else{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[j>>2]=0;e=j+4|0;f[e>>2]=0;f[j+8>>2]=0;rD(c,i);rD(d,j);d=f[j>>2]|0;a:do if((f[e>>2]|0)!=(d|0)){c=k+8|0;a=k+4|0;l=0;m=d;while(1){n=m;o=f[i>>2]|0;p=f[o+4>>2]|0;if((p|0)<3)q=Y(f[o+12>>2]|0,f[o+8>>2]|0)|0;else{r=f[o+40>>2]|0;s=0;t=1;while(1){v=Y(f[r+(s<<2)>>2]|0,t)|0;s=s+1|0;if((s|0)==(p|0)){q=v;break}else t=v}}t=f[n+(l*56|0)+4>>2]|0;if((t|0)<3)w=Y(f[n+(l*56|0)+12>>2]|0,f[n+(l*56|0)+8>>2]|0)|0;else{p=f[n+(l*56|0)+40>>2]|0;s=0;r=1;while(1){v=Y(f[p+(s<<2)>>2]|0,r)|0;s=s+1|0;if((s|0)==(t|0)){w=v;break}else r=v}}if((q|0)!=(w|0))break;r=c;f[r>>2]=0;f[r+4>>2]=0;f[k>>2]=33619968;f[a>>2]=n+(l*56|0);kT(o,k);l=l+1|0;m=f[j>>2]|0;if(l>>>0>=(((f[e>>2]|0)-m|0)/56|0)>>>0)break a}f[k>>2]=0;f[k+4>>2]=0;m=YG(k,39)|0;l=448545;a=m+39|0;do{b[m>>0]=b[l>>0]|0;m=m+1|0;l=l+1|0}while((m|0)<(a|0));SQ(-215,k,475494,448469,97)}while(0);rt(j);rt(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function Lmb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+16|0;i=h;if(((f[c+4>>2]|0)-(f[c>>2]|0)|0)==12){j=f[a+36>>2]|0;k=(j|0)>-1?j:d;cAa(a,c,(k|0)>1?k:1,e,g)|0;u=h;return 0}else{f[i>>2]=0;f[i+4>>2]=0;h=YG(i,18)|0;g=475475;e=h+18|0;do{b[h>>0]=b[g>>0]|0;h=h+1|0;g=g+1|0}while((h|0)<(e|0));SQ(-215,i,475265,448469,74)}return 0}function Mmb(a,b){a=a|0;b=b|0;var c=0;c=Bmc(56)|0;Nmb(c,b);b=Bmc(16)|0;f[b+4>>2]=1;f[b>>2]=132904;f[b+8>>2]=c;f[a>>2]=b;f[a+4>>2]=c;return}function Nmb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0.0,r=0,s=0,t=0,v=0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0;d=u;u=u+16|0;e=d+8|0;g=d;uCa(a);f[a>>2]=132924;vCa(a,c);f[e>>2]=0;f[e+4>>2]=0;h=YG(e,1)|0;b[h>>0]=112;h=c+4|0;c=f[h>>2]|0;do if(c){i=f[e>>2]|0;j=(i|0)==0?1163146:i;k=h;l=c;a:while(1){m=l;while(1){o=f[m+16>>2]|0;if((o|0)==(i|0))break;if((o7b((o|0)==0?1163146:o,j)|0)>=0)break;o=f[m+4>>2]|0;if(!o){p=k;break a}else m=o}l=f[m>>2]|0;if(!l){p=m;break}else k=m}if((p|0)!=(h|0)){k=f[p+16>>2]|0;if((i|0)!=(k|0)?(o7b(j,(k|0)==0?1163146:k)|0)<=-1:0){q=2.0;break}q=+eEa(p+24|0,-1)}else q=2.0}else q=2.0;while(0);p=a+36|0;n[p>>2]=q;ZG(e);f[e>>2]=0;f[e+4>>2]=0;c=YG(e,3)|0;b[c>>0]=b[468047]|0;b[c+1>>0]=b[468048]|0;b[c+2>>0]=b[468049]|0;c=f[h>>2]|0;do if(c){k=f[e>>2]|0;l=(k|0)==0?1163146:k;o=h;r=c;b:while(1){s=r;while(1){t=f[s+16>>2]|0;if((t|0)==(k|0))break;if((o7b((t|0)==0?1163146:t,l)|0)>=0)break;t=f[s+4>>2]|0;if(!t){v=o;break b}else s=t}r=f[s>>2]|0;if(!r){v=s;break}else o=s}if((v|0)!=(h|0)){o=f[v+16>>2]|0;if((k|0)!=(o|0)?(o7b(l,(o|0)==0?1163146:o)|0)<=-1:0){w=1.000000013351432e-10;break}w=+eEa(v+24|0,-1)}else w=1.000000013351432e-10}else w=1.000000013351432e-10;while(0);n[a+40>>2]=w;ZG(e);f[e>>2]=0;f[e+4>>2]=0;v=YG(e,14)|0;c=448851;o=v+14|0;do{b[v>>0]=b[c>>0]|0;v=v+1|0;c=c+1|0}while((v|0)<(o|0));r=f[h>>2]|0;do if(r){j=f[e>>2]|0;i=(j|0)==0?1163146:j;m=h;t=r;c:while(1){x=t;while(1){y=f[x+16>>2]|0;if((y|0)==(j|0))break;if((o7b((y|0)==0?1163146:y,i)|0)>=0)break;y=f[x+4>>2]|0;if(!y){z=m;break c}else x=y}t=f[x>>2]|0;if(!t){z=x;break}else m=x}if((z|0)!=(h|0)){m=f[z+16>>2]|0;if((j|0)!=(m|0)?(o7b(i,(m|0)==0?1163146:m)|0)<=-1:0){A=1;break}m=rCa(z+24|0,-1)|0;A=(m|0)!=0|(J|0)!=0}else A=1}else A=1;while(0);z=a+44|0;b[z>>0]=A&1;ZG(e);f[e>>2]=0;f[e+4>>2]=0;v=YG(e,10)|0;c=448866;o=v+10|0;do{b[v>>0]=b[c>>0]|0;v=v+1|0;c=c+1|0}while((v|0)<(o|0));A=f[h>>2]|0;do if(A){r=f[e>>2]|0;m=(r|0)==0?1163146:r;t=h;l=A;d:while(1){k=l;while(1){s=f[k+16>>2]|0;if((s|0)==(r|0))break;if((o7b((s|0)==0?1163146:s,m)|0)>=0)break;s=f[k+4>>2]|0;if(!s){B=t;break d}else k=s}l=f[k>>2]|0;if(!l){B=k;break}else t=k}if((B|0)!=(h|0)){t=f[B+16>>2]|0;if((r|0)!=(t|0)?(o7b(m,(t|0)==0?1163146:t)|0)<=-1:0){C=1;break}t=rCa(B+24|0,-1)|0;C=t}else C=1}else C=1;while(0);B=a+48|0;f[B>>2]=C;ZG(e);f[e>>2]=0;f[e+4>>2]=0;v=YG(e,14)|0;c=448851;o=v+14|0;do{b[v>>0]=b[c>>0]|0;v=v+1|0;c=c+1|0}while((v|0)<(o|0));C=f[h>>2]|0;do if(C){A=f[e>>2]|0;t=(A|0)==0?1163146:A;l=C;while(1){i=f[l+16>>2]|0;if((A|0)==(i|0))break;j=(i|0)==0?1163146:i;if((o7b(t,j)|0)<0)D=l;else{if((o7b(j,t)|0)>=0)break;D=l+4|0}l=f[D>>2]|0;if(!l){E=65;break}}if((E|0)==65){ZG(e);break}f[g>>2]=0;f[g+4>>2]=0;l=YG(g,8)|0;t=l;b[t>>0]=101;b[t+1>>0]=110;b[t+2>>0]=100;b[t+3>>0]=95;t=l+4|0;b[t>>0]=97;b[t+1>>0]=120;b[t+2>>0]=105;b[t+3>>0]=115;t=f[h>>2]|0;if(!t){ZG(g);ZG(e);break}l=f[g>>2]|0;A=(l|0)==0?1163146:l;m=t;while(1){t=f[m+16>>2]|0;if((l|0)==(t|0)){E=61;break}r=(t|0)==0?1163146:t;if((o7b(A,r)|0)<0)F=m;else{if((o7b(r,A)|0)>=0){E=62;break}F=m+4|0}m=f[F>>2]|0;if(!m){E=67;break}}if((E|0)==61){ZG(g);ZG(e);f[e>>2]=0;G=e+4|0;f[G>>2]=0;H=YG(e,56)|0;v=H;c=448877;o=v+56|0;do{b[v>>0]=b[c>>0]|0;v=v+1|0;c=c+1|0}while((v|0)<(o|0));SQ(-215,e,448934,448957,59)}else if((E|0)==62){ZG(g);ZG(e);f[e>>2]=0;G=e+4|0;f[G>>2]=0;H=YG(e,56)|0;v=H;c=448877;o=v+56|0;do{b[v>>0]=b[c>>0]|0;v=v+1|0;c=c+1|0}while((v|0)<(o|0));SQ(-215,e,448934,448957,59)}else if((E|0)==67){ZG(g);ZG(e);break}}else ZG(e);while(0);f[e>>2]=0;f[e+4>>2]=0;g=YG(e,8)|0;E=g;b[E>>0]=101;b[E+1>>0]=110;b[E+2>>0]=100;b[E+3>>0]=95;E=g+4|0;b[E>>0]=97;b[E+1>>0]=120;b[E+2>>0]=105;b[E+3>>0]=115;if(!(b[z>>0]|0))I=f[B>>2]|0;else I=-1;B=f[h>>2]|0;do if(B){z=f[e>>2]|0;E=(z|0)==0?1163146:z;g=h;H=B;e:while(1){G=H;while(1){F=f[G+16>>2]|0;if((F|0)==(z|0))break;if((o7b((F|0)==0?1163146:F,E)|0)>=0)break;F=f[G+4>>2]|0;if(!F){K=g;break e}else G=F}H=f[G>>2]|0;if(!H){K=G;break}else g=G}if((K|0)!=(h|0)){g=f[K+16>>2]|0;if((z|0)!=(g|0)?(o7b(E,(g|0)==0?1163146:g)|0)<=-1:0){L=I;break}g=rCa(K+24|0,-1)|0;L=g}else L=I}else L=I;while(0);f[a+52>>2]=L;ZG(e);if(+n[p>>2]>0.0){u=d;return}else{f[e>>2]=0;f[e+4>>2]=0;v=YG(e,9)|0;c=449042;o=v+9|0;do{b[v>>0]=b[c>>0]|0;v=v+1|0;c=c+1|0}while((v|0)<(o|0));SQ(-215,e,448934,448957,61)}}function Omb(a){a=a|0;Emc(a);return}function Pmb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Qmb(a){a=a|0;Nza(a);Emc(a);return}function Rmb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+32|0;e=d+8|0;g=d;f[e>>2]=0;h=e+4|0;f[h>>2]=0;f[e+8>>2]=0;rD(c,e);c=f[e>>2]|0;i=c;if(((f[h>>2]|0)-c|0)!=56){f[g>>2]=0;f[g+4>>2]=0;c=YG(g,18)|0;h=475475;j=c+18|0;do{b[c>>0]=b[h>>0]|0;c=c+1|0;h=h+1|0}while((c|0)<(j|0));SQ(-215,g,476100,448957,96)}g=a+52|0;h=f[g>>2]|0;if((h|0)==-1)k=(f[i+4>>2]|0)+-1|0;else k=h;f[g>>2]=k;g=a+48|0;h=f[g>>2]|0;if((h|0)==-1)l=(f[i+4>>2]|0)+-1|0;else l=h;f[g>>2]=l;if((l|0)!=1){m=0;n=a+44|0;b[n>>0]=m;rt(e);u=d;return}m=(k|0)==((f[i+4>>2]|0)+-1|0)&1;n=a+44|0;b[n>>0]=m;rt(e);u=d;return}function Smb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0.0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0;g=u;u=u+544|0;h=g+520|0;i=g+80|0;j=g+64|0;k=g+512|0;l=g+496|0;m=g+484|0;o=g+472|0;q=g+416|0;r=g+360|0;s=g+32|0;t=g+304|0;v=g;zT(k,133024);if((BD(c,-1)|0)==3)gAa(a,c,d,e);else{f[l>>2]=0;w=l+4|0;f[w>>2]=0;f[l+8>>2]=0;f[m>>2]=0;x=m+4|0;f[x>>2]=0;f[m+8>>2]=0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;rD(c,l);rD(d,m);rD(e,o);e=f[l>>2]|0;d=e;if(((f[w>>2]|0)-e|0)!=56){f[h>>2]=0;y=h+4|0;f[y>>2]=0;z=YG(h,41)|0;A=z;B=449052;C=A+41|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));SQ(-215,h,475494,448957,202)}e=f[m>>2]|0;w=e;if(((f[x>>2]|0)-e|0)!=56){f[h>>2]=0;y=h+4|0;f[y>>2]=0;z=YG(h,41)|0;A=z;B=449052;C=A+41|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));SQ(-215,h,475494,448957,202)}z=d+4|0;y=f[z>>2]|0;if((y|0)<3)D=Y(f[d+12>>2]|0,f[d+8>>2]|0)|0;else{e=f[d+40>>2]|0;x=0;c=1;while(1){E=Y(f[e+(x<<2)>>2]|0,c)|0;x=x+1|0;if((x|0)==(y|0)){D=E;break}else c=E}}c=f[w+4>>2]|0;if((c|0)<3)F=Y(f[w+12>>2]|0,f[w+8>>2]|0)|0;else{x=f[w+40>>2]|0;e=0;E=1;while(1){G=Y(f[x+(e<<2)>>2]|0,E)|0;e=e+1|0;if((e|0)==(c|0)){F=G;break}else E=G}}if((D|0)!=(F|0)){f[h>>2]=0;f[h+4>>2]=0;A=YG(h,39)|0;B=449094;C=A+39|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));SQ(-215,h,475494,448957,203)}F=f[o>>2]|0;D=a+48|0;E=f[D>>2]|0;f[D>>2]=((E|0)<0?y:0)+E;E=a+52|0;c=f[E>>2]|0;f[E>>2]=((c|0)<0?y:0)+c;c=f[d+16>>2]|0;y=f[w+16>>2]|0;w=d+40|0;e=f[w>>2]|0;x=f[e+-4>>2]|0;f[i>>2]=0;G=i+4|0;f[G>>2]=0;f[i+8>>2]=0;hAa(i,e,e+(x<<2)|0);x=f[D>>2]|0;if((x|0)==-1){e=f[G>>2]|0;H=f[i>>2]|0;I=e-H>>2;J=e;K=H;L=e;M=H}else{H=f[i>>2]|0;e=f[G>>2]|0;I=x;J=e;K=H;L=e;M=H}if((M|0)!=(J|0)){H=L-K|0;if((H|0)<0|I>>>0>H>>>2>>>0){f[h>>2]=0;f[h+4>>2]=0;A=YG(h,70)|0;B=475084;C=A+70|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));SQ(-215,h,475155,475161,161)}if((I|0)>0){H=1;K=0;while(1){L=Y(f[M+(K<<2)>>2]|0,H)|0;K=K+1|0;if((K|0)==(I|0)){O=L;break}else H=L}}else O=1}else O=0;if(M|0){if((J|0)!=(M|0))f[G>>2]=J+(~((J+-4-M|0)>>>2)<<2);Emc(M)}M=f[w>>2]|0;J=f[M+-4>>2]|0;f[i>>2]=0;G=i+4|0;f[G>>2]=0;f[i+8>>2]=0;hAa(i,M,M+(J<<2)|0);J=f[D>>2]|0;D=(f[E>>2]|0)+1|0;E=(J|0)==-1?0:J;if((D|0)==-1){J=f[G>>2]|0;M=f[i>>2]|0;P=J-M>>2;Q=M;R=J;S=M;T=J}else{J=f[i>>2]|0;M=f[G>>2]|0;P=D;Q=J;R=M;S=J;T=M}if((Q|0)!=(R|0)){M=T-S>>2;if((E|0)>(M|0)){f[h>>2]=0;U=h+4|0;f[U>>2]=0;V=YG(h,70)|0;A=V;B=475084;C=A+70|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));SQ(-215,h,475155,475161,161)}if((E|0)>(P|0)|(P|0)>(M|0)){f[h>>2]=0;U=h+4|0;f[U>>2]=0;V=YG(h,70)|0;A=V;B=475084;C=A+70|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));SQ(-215,h,475155,475161,161)}if((E|0)<(P|0)){V=1;U=E;while(1){E=Y(f[Q+(U<<2)>>2]|0,V)|0;U=U+1|0;if((U|0)==(P|0)){W=E;break}else V=E}}else W=1}else W=0;if(Q|0){if((R|0)!=(Q|0))f[G>>2]=R+(~((R+-4-Q|0)>>>2)<<2);Emc(Q)}Q=Y(W,O)|0;if(!Q){f[h>>2]=0;f[h+4>>2]=0;A=YG(h,20)|0;B=449134;C=A+20|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));SQ(-215,h,475494,448957,215)}R=f[z>>2]|0;if((R|0)<3)X=Y(f[d+12>>2]|0,f[d+8>>2]|0)|0;else{d=f[w>>2]|0;w=0;z=1;while(1){G=Y(f[d+(w<<2)>>2]|0,z)|0;w=w+1|0;if((w|0)==(R|0)){X=G;break}else z=G}}z=(X>>>0)/(Q>>>0)|0;a:do if(O|0){Q=h+8|0;X=h+12|0;R=h+4|0;w=a+36|0;d=j+8|0;G=j+4|0;V=(z|0)==1;P=h+8|0;U=h+12|0;E=h+4|0;M=a+40|0;S=h+8|0;T=h+12|0;J=h+4|0;D=i+8|0;H=i+12|0;I=i+4|0;K=t+8|0;L=t+4|0;e=a+4|0;x=a+8|0;Z=Y(z,W)|0;_=r+36|0;$=r+16|0;aa=r+4|0;ba=r+40|0;ca=r+44|0;da=r+48|0;ea=q+36|0;fa=q+16|0;ga=q+4|0;ha=q+40|0;ia=q+44|0;ja=q+48|0;ka=i+4|0;la=i+8|0;ma=i+12|0;na=i+16|0;oa=i+20|0;pa=i+24|0;qa=i+28|0;ra=i+32|0;sa=i+36|0;ta=i+40|0;ua=i+48|0;va=i+44|0;wa=i+52|0;xa=h+8|0;ya=h+4|0;za=h+8|0;Aa=h+12|0;Ba=h+4|0;Ca=r+12|0;Da=j+8|0;Ea=j+4|0;Fa=h+8|0;Ga=h+12|0;Ha=h+4|0;Ia=j+8|0;Ja=j+12|0;Ka=j+4|0;La=t+8|0;Ma=t+4|0;Na=t+4|0;Oa=t+8|0;Pa=t+40|0;Qa=t+48|0;Ra=t+44|0;Sa=t+52|0;Ta=h+8|0;Ua=h+12|0;Va=h+4|0;Wa=i+8|0;Xa=i+4|0;Ya=v+8|0;Za=h+8|0;_a=h+12|0;$a=h+4|0;ab=i+8|0;bb=i+12|0;cb=i+4|0;db=j+8|0;eb=j+4|0;fb=h+8|0;gb=h+12|0;hb=h+4|0;ib=i+8|0;jb=i+4|0;kb=h+8|0;lb=h+12|0;mb=h+4|0;nb=i+8|0;ob=i+4|0;pb=h+8|0;qb=h+12|0;rb=h+4|0;sb=i+8|0;tb=i+12|0;ub=i+4|0;vb=j+8|0;wb=j+4|0;xb=t+36|0;yb=t+16|0;zb=0;Ab=c;Bb=y;while(1){Ri(q,W,z,5,Ab,0);Ri(r,W,z,5,Bb,0);jG(i,q);f[Q>>2]=0;f[X>>2]=0;f[h>>2]=-1056571392;f[R>>2]=i;Cb=+n[w>>2];Db=d;f[Db>>2]=0;f[Db+4>>2]=0;f[j>>2]=33619968;f[G>>2]=F;vS(h,Cb,j);Xi(i);if(!V){f[t>>2]=1124007936;A=Na;C=A+36|0;do{f[A>>2]=0;A=A+4|0}while((A|0)<(C|0));f[Pa>>2]=Oa;f[Ra>>2]=Qa;f[Qa>>2]=0;f[Sa>>2]=0;f[Ta>>2]=0;f[Ua>>2]=0;f[h>>2]=16842752;f[Va>>2]=F;Db=Wa;f[Db>>2]=0;f[Db+4>>2]=0;f[i>>2]=33619968;f[Xa>>2]=t;mK(h,i,0,0,-1);p[v>>3]=+n[M>>2];f[Ya>>2]=0;f[Ya+4>>2]=0;f[Ya+8>>2]=0;f[Ya+12>>2]=0;f[Ya+16>>2]=0;f[Ya+20>>2]=0;f[Za>>2]=0;f[_a>>2]=0;f[h>>2]=16842752;f[$a>>2]=t;f[i>>2]=-1056833530;f[cb>>2]=v;f[ab>>2]=1;f[bb>>2]=4;Db=db;f[Db>>2]=0;f[Db+4>>2]=0;f[j>>2]=33619968;f[eb>>2]=t;RH(h,i,j,rE()|0,-1);f[fb>>2]=0;f[gb>>2]=0;f[h>>2]=16842752;f[hb>>2]=t;Cb=+n[w>>2];Db=ib;f[Db>>2]=0;f[Db+4>>2]=0;f[i>>2]=33619968;f[jb>>2]=t;vS(h,-1.0/Cb,i);f[kb>>2]=0;f[lb>>2]=0;f[h>>2]=16842752;f[mb>>2]=t;Db=nb;f[Db>>2]=0;f[Db+4>>2]=0;f[i>>2]=33619968;f[ob>>2]=F;rT(h,W,1,i);f[pb>>2]=0;f[qb>>2]=0;f[h>>2]=16842752;f[rb>>2]=q;f[sb>>2]=0;f[tb>>2]=0;f[i>>2]=16842752;f[ub>>2]=F;Db=vb;f[Db>>2]=0;f[Db+4>>2]=0;f[j>>2]=33619968;f[wb>>2]=r;JI(h,i,j,1.0,-1);Db=f[xb>>2]|0;do if(Db|0){Eb=Db+12|0;Fb=f[Eb>>2]|0;f[Eb>>2]=Fb+-1;if((Fb|0)!=1)break;lP(t)}while(0);f[xb>>2]=0;f[yb>>2]=0;f[yb+4>>2]=0;f[yb+8>>2]=0;f[yb+12>>2]=0;if((f[Na>>2]|0)>0){Db=f[Pa>>2]|0;Fb=0;do{f[Db+(Fb<<2)>>2]=0;Fb=Fb+1|0}while((Fb|0)<(f[Na>>2]|0))}Fb=f[Ra>>2]|0;if((Fb|0)!=(Qa|0))tE(Fb)}else{f[P>>2]=0;f[U>>2]=0;f[h>>2]=16842752;f[E>>2]=F;XG(s,h);Cb=+N(+(+p[s>>3]+ +n[M>>2]),+(1.0/+n[w>>2]));f[S>>2]=0;f[T>>2]=0;f[h>>2]=16842752;f[J>>2]=q;p[j>>3]=1.0/Cb;f[i>>2]=-1056833530;f[I>>2]=j;f[D>>2]=1;f[H>>2]=1;Fb=K;f[Fb>>2]=0;f[Fb+4>>2]=0;f[t>>2]=33619968;f[L>>2]=r;JI(h,i,t,1.0,-1)}Fb=f[e>>2]|0;if((Fb|0)!=(f[x>>2]|0)){f[i>>2]=f[Fb>>2];Db=Fb+4|0;f[ka>>2]=f[Db>>2];f[la>>2]=f[Fb+8>>2];f[ma>>2]=f[Fb+12>>2];f[na>>2]=f[Fb+16>>2];f[oa>>2]=f[Fb+20>>2];f[pa>>2]=f[Fb+24>>2];f[qa>>2]=f[Fb+28>>2];f[ra>>2]=f[Fb+32>>2];Eb=f[Fb+36>>2]|0;f[sa>>2]=Eb;f[ta>>2]=la;f[va>>2]=ua;f[ua>>2]=0;f[wa>>2]=0;if(Eb|0){Gb=Eb+12|0;f[Gb>>2]=(f[Gb>>2]|0)+1}if((f[Db>>2]|0)<3){Db=f[Fb+44>>2]|0;Gb=f[va>>2]|0;f[Gb>>2]=f[Db>>2];f[Gb+4>>2]=f[Db+4>>2]}else{f[ka>>2]=0;kP(i,Fb)}Fb=f[ka>>2]|0;Db=(Fb|0)<3;if(Db)Hb=Y(f[ma>>2]|0,f[la>>2]|0)|0;else{Gb=f[ta>>2]|0;Eb=0;Ib=1;while(1){Jb=Y(f[Gb+(Eb<<2)>>2]|0,Ib)|0;Eb=Eb+1|0;if((Eb|0)==(Fb|0)){Hb=Jb;break}else Ib=Jb}}if((Hb|0)==1){Cb=+n[f[na>>2]>>2];Ib=xa;f[Ib>>2]=0;f[Ib+4>>2]=0;f[h>>2]=33619968;f[ya>>2]=r;IO(r,h,-1,Cb,0.0)}else{if(Db)Kb=Y(f[ma>>2]|0,f[la>>2]|0)|0;else{Ib=f[ta>>2]|0;Eb=0;Gb=1;while(1){Jb=Y(f[Ib+(Eb<<2)>>2]|0,Gb)|0;Eb=Eb+1|0;if((Eb|0)==(Fb|0)){Kb=Jb;break}else Gb=Jb}}if((Kb|0)!=(W|0))break;f[za>>2]=0;f[Aa>>2]=0;f[h>>2]=16842752;f[Ba>>2]=i;Gb=f[Ca>>2]|0;Fb=Da;f[Fb>>2]=0;f[Fb+4>>2]=0;f[j>>2]=33619968;f[Ea>>2]=F;rT(h,1,Gb,j);f[Fa>>2]=0;f[Ga>>2]=0;f[h>>2]=16842752;f[Ha>>2]=r;f[Ia>>2]=0;f[Ja>>2]=0;f[j>>2]=16842752;f[Ka>>2]=F;Gb=La;f[Gb>>2]=0;f[Gb+4>>2]=0;f[t>>2]=33619968;f[Ma>>2]=r;JI(h,j,t,1.0,-1)}Gb=f[sa>>2]|0;do if(Gb|0){Fb=Gb+12|0;Eb=f[Fb>>2]|0;f[Fb>>2]=Eb+-1;if((Eb|0)!=1)break;lP(i)}while(0);f[sa>>2]=0;f[na>>2]=0;f[na+4>>2]=0;f[na+8>>2]=0;f[na+12>>2]=0;if((f[ka>>2]|0)>0){Gb=f[ta>>2]|0;Eb=0;do{f[Gb+(Eb<<2)>>2]=0;Eb=Eb+1|0}while((Eb|0)<(f[ka>>2]|0))}Eb=f[va>>2]|0;if((Eb|0)!=(ua|0))tE(Eb)}Ab=Ab+(Z<<2)|0;Bb=Bb+(Z<<2)|0;Eb=f[_>>2]|0;do if(Eb|0){Gb=Eb+12|0;Fb=f[Gb>>2]|0;f[Gb>>2]=Fb+-1;if((Fb|0)!=1)break;lP(r)}while(0);f[_>>2]=0;f[$>>2]=0;f[$+4>>2]=0;f[$+8>>2]=0;f[$+12>>2]=0;if((f[aa>>2]|0)>0){Eb=f[ba>>2]|0;Fb=0;do{f[Eb+(Fb<<2)>>2]=0;Fb=Fb+1|0}while((Fb|0)<(f[aa>>2]|0))}Fb=f[ca>>2]|0;if((Fb|0)!=(da|0))tE(Fb);Fb=f[ea>>2]|0;do if(Fb|0){Eb=Fb+12|0;Gb=f[Eb>>2]|0;f[Eb>>2]=Gb+-1;if((Gb|0)!=1)break;lP(q)}while(0);f[ea>>2]=0;f[fa>>2]=0;f[fa+4>>2]=0;f[fa+8>>2]=0;f[fa+12>>2]=0;if((f[ga>>2]|0)>0){Fb=f[ha>>2]|0;Gb=0;do{f[Fb+(Gb<<2)>>2]=0;Gb=Gb+1|0}while((Gb|0)<(f[ga>>2]|0))}Gb=f[ia>>2]|0;if((Gb|0)!=(ja|0))tE(Gb);zb=zb+1|0;if(zb>>>0>=O>>>0)break a}f[h>>2]=0;f[h+4>>2]=0;A=YG(h,26)|0;B=449155;C=A+26|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));SQ(-215,h,475494,448957,255)}while(0);rt(o);rt(m);rt(l)}if(!(f[k+4>>2]|0)){u=g;return}u=g;return}function Tmb(a,c){a=a|0;c=c|0;var d=0;if((c|0)!=2){d=(c|0)==3;return d|0}if(+n[a+36>>2]!=2.0){d=0;return d|0}if((f[a+4>>2]|0)!=(f[a+8>>2]|0)){d=1;return d|0}if((f[a+32>>2]|0)==3){d=(b[a+44>>0]|0)==0;return d|0}if((f[a+48>>2]|0)!=1){d=0;return d|0}if(!(b[a+44>>0]|0)){d=1;return d|0}d=(f[a+52>>2]|0)>1;return d|0}function Umb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Vmb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=u;u=u+16|0;i=h;if(((f[c+4>>2]|0)-(f[c>>2]|0)|0)!=12){f[i>>2]=0;f[i+4>>2]=0;j=YG(i,18)|0;k=475475;l=j+18|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,i,475265,448957,85)}cAa(a,c,d,e,g)|0;e=g+4|0;d=f[e>>2]|0;a=f[g>>2]|0;i=d-a|0;k=(i|0)/12|0;j=d;if(!i){Wmb(g,1-k|0,f[c>>2]|0);m=f[g>>2]|0;n=f[m>>2]|0;f[n>>2]=1;u=h;return 1}if(k>>>0<=1){m=f[g>>2]|0;n=f[m>>2]|0;f[n>>2]=1;u=h;return 1}k=a+12|0;if((j|0)==(k|0)){m=f[g>>2]|0;n=f[m>>2]|0;f[n>>2]=1;u=h;return 1}else o=j;while(1){j=o+-12|0;f[e>>2]=j;a=f[j>>2]|0;if(!a)p=j;else{j=o+-8|0;c=f[j>>2]|0;if((c|0)!=(a|0))f[j>>2]=c+(~((c+-4-a|0)>>>2)<<2);Emc(a);p=f[e>>2]|0}if((p|0)==(k|0))break;else o=p}m=f[g>>2]|0;n=f[m>>2]|0;f[n>>2]=1;u=h;return 1}function Wmb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=a+8|0;e=f[d>>2]|0;g=a+4|0;h=f[g>>2]|0;if(((e-h|0)/12|0)>>>0>=b>>>0){i=b;j=h;do{fAa(j,c);j=(f[g>>2]|0)+12|0;f[g>>2]=j;i=i+-1|0}while((i|0)!=0);return}i=f[a>>2]|0;j=(h-i|0)/12|0;h=j+b|0;if(h>>>0>357913941)Ukc(a);k=(e-i|0)/12|0;i=k<<1;e=k>>>0<178956970?(i>>>0<h>>>0?h:i):357913941;do if(e)if(e>>>0>357913941){i=ye(8)|0;Jmc(i,511852);f[i>>2]=165276;Gf(i|0,26776,1555)}else{l=Bmc(e*12|0)|0;break}else l=0;while(0);i=l+(j*12|0)|0;j=i;h=l+(e*12|0)|0;e=b;b=j;l=i;do{fAa(l,c);l=b+12|0;b=l;e=e+-1|0}while((e|0)!=0);e=f[a>>2]|0;l=f[g>>2]|0;if((l|0)==(e|0)){m=j;n=e;o=e}else{c=l;l=j;j=i;do{c=c+-12|0;fAa(j+-12|0,c);j=l+-12|0;l=j}while((c|0)!=(e|0));m=l;n=f[a>>2]|0;o=f[g>>2]|0}f[a>>2]=m;f[g>>2]=b;f[d>>2]=h;h=n;if((o|0)!=(h|0)){d=o;do{o=d;d=d+-12|0;b=f[d>>2]|0;if(b|0){g=o+-8|0;o=f[g>>2]|0;if((o|0)!=(b|0))f[g>>2]=o+(~((o+-4-b|0)>>>2)<<2);Emc(b)}}while((d|0)!=(h|0))}if(!n)return;Emc(n);return}function Xmb(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0;c=Bmc(192)|0;Ymb(c,b);f[c>>2]=133064;f[c+88>>2]=1124007936;b=c+96|0;e=c+128|0;g=c+92|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=b;b=c+136|0;f[c+132>>2]=b;g=b;h=g+52|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));d[b+52>>1]=0;b=Bmc(16)|0;g=b+4|0;f[g>>2]=1;f[b>>2]=133176;f[b+8>>2]=c;f[a>>2]=b;f[a+4>>2]=c;f[g>>2]=(f[g>>2]|0)+1;c=f[g>>2]|0;f[g>>2]=c+-1;if((c|0)!=1)return;ai[f[(f[b>>2]|0)+8>>2]&2047](b);return}function Ymb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;d=u;u=u+32|0;e=d+20|0;g=d+16|0;h=d+12|0;i=d+8|0;j=d;uCa(a);k=a+36|0;l=k;m=l+48|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[a>>2]=133356;vCa(a,c);f[e>>2]=0;f[g>>2]=0;f[h>>2]=0;f[i>>2]=0;n=a+48|0;o=a+44|0;eob(c,a+40|0,k,e,g,i,h,n,o,a+64|0,a+60|0,a+76|0);k=f[e>>2]|0;if((k|0)!=(f[i>>2]|0)){f[j>>2]=0;p=j+4|0;f[p>>2]=0;q=YG(j,51)|0;l=q;r=451062;m=l+51|0;do{b[l>>0]=b[r>>0]|0;l=l+1|0;r=r+1|0}while((l|0)<(m|0));SQ(-213,j,451182,449502,73)}i=f[g>>2]|0;if((i|0)!=(f[h>>2]|0)){f[j>>2]=0;p=j+4|0;f[p>>2]=0;q=YG(j,51)|0;l=q;r=451062;m=l+51|0;do{b[l>>0]=b[r>>0]|0;l=l+1|0;r=r+1|0}while((l|0)<(m|0));SQ(-213,j,451182,449502,73)}f[a+52>>2]=i;f[a+56>>2]=k;f[j>>2]=0;f[j+4>>2]=0;l=YG(j,10)|0;r=459141;m=l+10|0;do{b[l>>0]=b[r>>0]|0;l=l+1|0;r=r+1|0}while((l|0)<(m|0));k=rCa(dDa(c,j)|0,-1)|0;i=a+84|0;f[i>>2]=k;ZG(j);f[j>>2]=0;f[j+4>>2]=0;k=YG(j,5)|0;b[k>>0]=b[483579]|0;b[k+1>>0]=b[483580]|0;b[k+2>>0]=b[483581]|0;b[k+3>>0]=b[483582]|0;b[k+4>>0]=b[483583]|0;k=c+4|0;c=f[k>>2]|0;do if(c){q=f[j>>2]|0;p=(q|0)==0?1163146:q;h=k;g=c;a:while(1){e=g;while(1){s=f[e+16>>2]|0;if((s|0)==(q|0))break;if((o7b((s|0)==0?1163146:s,p)|0)>=0)break;s=f[e+4>>2]|0;if(!s){t=h;break a}else e=s}g=f[e>>2]|0;if(!g){t=e;break}else h=e}if((t|0)!=(k|0)){h=f[t+16>>2]|0;if((q|0)!=(h|0)?(o7b(p,(h|0)==0?1163146:h)|0)<=-1:0){v=1;break}h=rCa(t+24|0,-1)|0;v=h}else v=1}else v=1;while(0);ZG(j);f[j>>2]=0;f[j+4>>2]=0;t=YG(j,5)|0;b[t>>0]=b[451207]|0;b[t+1>>0]=b[451208]|0;b[t+2>>0]=b[451209]|0;b[t+3>>0]=b[451210]|0;b[t+4>>0]=b[451211]|0;t=f[k>>2]|0;do if(t){c=f[j>>2]|0;h=(c|0)==0?1163146:c;g=k;s=t;b:while(1){w=s;while(1){x=f[w+16>>2]|0;if((x|0)==(c|0))break;if((o7b((x|0)==0?1163146:x,h)|0)>=0)break;x=f[w+4>>2]|0;if(!x){y=g;break b}else w=x}s=f[w>>2]|0;if(!s){y=w;break}else g=w}if((y|0)!=(k|0)){g=f[y+16>>2]|0;if((c|0)!=(g|0)?(o7b(h,(g|0)==0?1163146:g)|0)<=-1:0){z=0;break}g=rCa(y+24|0,-1)|0;z=g}else z=0}else z=0;while(0);y=a+72|0;f[y>>2]=z;ZG(j);f[j>>2]=0;f[j+4>>2]=0;z=YG(j,5)|0;b[z>>0]=b[451213]|0;b[z+1>>0]=b[451214]|0;b[z+2>>0]=b[451215]|0;b[z+3>>0]=b[451216]|0;b[z+4>>0]=b[451217]|0;z=f[k>>2]|0;do if(z){t=f[j>>2]|0;g=(t|0)==0?1163146:t;s=k;p=z;c:while(1){q=p;while(1){e=f[q+16>>2]|0;if((e|0)==(t|0))break;if((o7b((e|0)==0?1163146:e,g)|0)>=0)break;e=f[q+4>>2]|0;if(!e){A=s;break c}else q=e}p=f[q>>2]|0;if(!p){A=q;break}else s=q}if((A|0)!=(k|0)){s=f[A+16>>2]|0;if((t|0)!=(s|0)?(o7b(g,(s|0)==0?1163146:s)|0)<=-1:0){B=0;break}s=rCa(A+24|0,-1)|0;B=s}else B=0}else B=0;while(0);A=a+68|0;f[A>>2]=B;ZG(j);if((f[i>>2]|0)%(v|0)|0|0){f[j>>2]=0;f[j+4>>2]=0;l=YG(j,24)|0;r=451219;m=l+24|0;do{b[l>>0]=b[r>>0]|0;l=l+1|0;r=r+1|0}while((l|0)<(m|0));SQ(-215,j,451182,449502,84)}if((f[A>>2]|0)>=(f[o>>2]|0)){f[j>>2]=0;C=j+4|0;f[C>>2]=0;D=YG(j,66)|0;l=D;r=451244;m=l+66|0;do{b[l>>0]=b[r>>0]|0;l=l+1|0;r=r+1|0}while((l|0)<(m|0));SQ(-215,j,451182,449502,86)}if((f[y>>2]|0)<(f[n>>2]|0)){u=d;return}else{f[j>>2]=0;C=j+4|0;f[C>>2]=0;D=YG(j,66)|0;l=D;r=451244;m=l+66|0;do{b[l>>0]=b[r>>0]|0;l=l+1|0;r=r+1|0}while((l|0)<(m|0));SQ(-215,j,451182,449502,86)}}function Zmb(a){a=a|0;Emc(a);return}function _mb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function $mb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;f[a>>2]=133064;b=a+180|0;c=f[b>>2]|0;if(c|0?(d=c+4|0,e=f[d>>2]|0,f[d>>2]=e+-1,(e|0)==1):0)ai[f[(f[c>>2]|0)+8>>2]&2047](c);f[b>>2]=0;f[a+184>>2]=0;b=f[a+168>>2]|0;if(b|0){c=a+172|0;e=f[c>>2]|0;if((e|0)!=(b|0))f[c>>2]=e+(~((e+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+156>>2]|0;if(b|0){e=a+160|0;c=f[e>>2]|0;if((c|0)!=(b|0))f[e>>2]=c+(~((c+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+144>>2]|0;if(b|0){c=a+148|0;e=f[c>>2]|0;if((e|0)!=(b|0))f[c>>2]=e+(~((e+-8-b|0)>>>3)<<3);Emc(b)}b=a+88|0;e=a+124|0;c=f[e>>2]|0;if(c|0?(d=c+12|0,c=f[d>>2]|0,f[d>>2]=c+-1,(c|0)==1):0)lP(b);f[e>>2]=0;e=a+104|0;b=a+92|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[b>>2]|0)>0){e=f[a+128>>2]|0;c=0;do{f[e+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+132>>2]|0;if((b|0)==(a+136|0)){f[a>>2]=133248;g=a+76|0;ZG(g);Nza(a);return}tE(b);f[a>>2]=133248;g=a+76|0;ZG(g);Nza(a);return}function anb(a){a=a|0;$mb(a);Emc(a);return}function bnb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;e=u;u=u+368|0;g=e+32|0;h=e;i=e+256|0;j=e+312|0;k=e+200|0;l=e+144|0;m=e+88|0;snb(a,c,d);d=f[a+4>>2]|0;c=a+8|0;if((d|0)==(f[c>>2]|0)){f[g>>2]=0;f[g+4>>2]=0;n=YG(g,14)|0;o=450656;q=n+14|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(q|0));SQ(-215,g,476100,449502,269)}o=f[f[d+40>>2]>>2]|0;xP(j,d,1,o);f[i>>2]=1124007936;d=i+4|0;r=i+8|0;s=i+40|0;n=d;q=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(q|0));f[s>>2]=r;t=i+48|0;v=i+44|0;f[v>>2]=t;f[t>>2]=0;f[i+52>>2]=0;w=g+8|0;f[w>>2]=0;f[w+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=i;kT(j,g);w=j+36|0;x=f[w>>2]|0;if(x|0?(y=x+12|0,x=f[y>>2]|0,f[y>>2]=x+-1,(x|0)==1):0)lP(j);f[w>>2]=0;w=j+16|0;x=j+4|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[x>>2]|0)>0){w=f[j+40>>2]|0;y=0;do{f[w+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[x>>2]|0))}x=f[j+44>>2]|0;if((x|0)!=(j+48|0))tE(x);x=f[i>>2]|0;j=((f[f[v>>2]>>2]|0)>>>0)/((1212424721>>>(x<<2&28)&15)>>>0)|0;if(j&7|0){y=j+7&-8;j=x&4095;f[k>>2]=1124007936;x=k+4|0;w=k+8|0;z=k+40|0;n=x;q=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(q|0));f[z>>2]=w;w=k+48|0;A=k+44|0;f[A>>2]=w;f[w>>2]=0;f[k+52>>2]=0;f[g>>2]=o;f[g+4>>2]=y;iP(k,2,g,j);j=i+12|0;B=f[j>>2]|0;f[g>>2]=-2147483648;f[g+4>>2]=2147483647;f[h>>2]=B;f[h+4>>2]=y;mP(l,k,g,h);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[h+28>>2]=0;f[g>>2]=-1056833530;f[g+4>>2]=h;f[g+8>>2]=1;f[g+12>>2]=4;oT(l,g,rE()|0)|0;y=f[j>>2]|0;f[g>>2]=-2147483648;f[g+4>>2]=2147483647;f[h>>2]=0;f[h+4>>2]=y;mP(m,k,g,h);h=g+8|0;f[h>>2]=0;f[h+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=m;kT(i,g);h=m+36|0;y=f[h>>2]|0;if(y|0){B=y+12|0;f[B>>2]=(f[B>>2]|0)+1}B=i+36|0;y=f[B>>2]|0;if(y|0?(C=y+12|0,y=f[C>>2]|0,f[C>>2]=y+-1,(y|0)==1):0)lP(i);f[B>>2]=0;y=i+16|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[d>>2]|0)>0){C=f[s>>2]|0;D=0;do{f[C+(D<<2)>>2]=0;D=D+1|0;E=f[d>>2]|0}while((D|0)<(E|0));f[i>>2]=f[m>>2];if((E|0)<3)F=22;else F=24}else{f[i>>2]=f[m>>2];F=22}if((F|0)==22){E=f[m+4>>2]|0;if((E|0)<3){f[d>>2]=E;f[r>>2]=f[m+8>>2];f[j>>2]=f[m+12>>2];j=f[m+44>>2]|0;E=f[v>>2]|0;f[E>>2]=f[j>>2];f[E+4>>2]=f[j+4>>2]}else F=24}if((F|0)==24)kP(i,m);j=m+16|0;f[y>>2]=f[j>>2];f[i+20>>2]=f[m+20>>2];f[i+24>>2]=f[m+24>>2];f[i+28>>2]=f[m+28>>2];f[i+32>>2]=f[m+32>>2];y=f[h>>2]|0;f[B>>2]=y;if(y|0?(B=y+12|0,y=f[B>>2]|0,f[B>>2]=y+-1,(y|0)==1):0)lP(m);f[h>>2]=0;h=m+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[h>>2]|0)>0){j=f[m+40>>2]|0;y=0;do{f[j+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[h>>2]|0))}h=f[m+44>>2]|0;if((h|0)!=(m+48|0))tE(h);h=l+36|0;m=f[h>>2]|0;if(m|0?(y=m+12|0,m=f[y>>2]|0,f[y>>2]=m+-1,(m|0)==1):0)lP(l);f[h>>2]=0;h=l+16|0;m=l+4|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[m>>2]|0)>0){h=f[l+40>>2]|0;y=0;do{f[h+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[m>>2]|0))}m=f[l+44>>2]|0;if((m|0)!=(l+48|0))tE(m);m=k+36|0;l=f[m>>2]|0;if(l|0?(y=l+12|0,l=f[y>>2]|0,f[y>>2]=l+-1,(l|0)==1):0)lP(k);f[m>>2]=0;m=k+16|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[x>>2]|0)>0){m=f[z>>2]|0;z=0;do{f[m+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[x>>2]|0))}x=f[A>>2]|0;if((x|0)!=(w|0))tE(x)}x=a+88|0;if((x|0)!=(i|0)){w=i+36|0;A=f[w>>2]|0;if(A|0){z=A+12|0;f[z>>2]=(f[z>>2]|0)+1}z=a+124|0;A=f[z>>2]|0;if(A|0?(m=A+12|0,A=f[m>>2]|0,f[m>>2]=A+-1,(A|0)==1):0)lP(x);f[z>>2]=0;A=a+104|0;m=a+92|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[m>>2]|0)>0){k=f[a+128>>2]|0;l=0;do{f[k+(l<<2)>>2]=0;l=l+1|0;G=f[m>>2]|0}while((l|0)<(G|0));f[x>>2]=f[i>>2];if((G|0)<3)F=61;else F=63}else{f[x>>2]=f[i>>2];F=61}if((F|0)==61){G=f[d>>2]|0;if((G|0)<3){f[m>>2]=G;f[a+96>>2]=f[r>>2];f[a+100>>2]=f[i+12>>2];r=f[v>>2]|0;G=f[a+132>>2]|0;f[G>>2]=f[r>>2];f[G+4>>2]=f[r+4>>2]}else F=63}if((F|0)==63)kP(x,i);f[A>>2]=f[i+16>>2];f[a+108>>2]=f[i+20>>2];f[a+112>>2]=f[i+24>>2];f[a+116>>2]=f[i+28>>2];f[a+120>>2]=f[i+32>>2];f[z>>2]=f[w>>2]}p[g>>3]=1.0;tnb(a+144|0,o,g);w=f[a+4>>2]|0;if((((f[c>>2]|0)-w|0)/56|0)>>>0>1)xP(g,w+56|0,1,o);else{f[g>>2]=1124007936;w=g+8|0;c=g+40|0;n=g+4|0;q=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(q|0));f[c>>2]=w;w=g+48|0;f[g+44>>2]=w;f[w>>2]=0;f[g+52>>2]=0}w=a+156|0;c=o+2|0;n=a+160|0;a=f[n>>2]|0;q=f[w>>2]|0;z=a-q>>2;A=q;q=a;if(c>>>0<=z>>>0){if(c>>>0<z>>>0?(a=A+(c<<2)|0,(q|0)!=(a|0)):0)f[n>>2]=q+(~((q+-4-a|0)>>>2)<<2)}else hua(w,c-z|0);z=g+16|0;c=f[z>>2]|0;a:do if(c){a=f[g+4>>2]|0;if((a|0)<3)H=Y(f[g+12>>2]|0,f[g+8>>2]|0)|0;else{q=f[g+40>>2]|0;n=0;A=1;while(1){x=Y(f[q+(n<<2)>>2]|0,A)|0;n=n+1|0;if((n|0)==(a|0)){H=x;break}else A=x}}if(!((a|0)==0|(H|0)==0)){if((o|0)>0){A=f[g+40>>2]|0;n=A+4|0;q=f[g+44>>2]|0;x=f[g+12>>2]|0;r=f[w>>2]|0;if(f[g>>2]&16384|0){G=0;while(1){f[r+(G<<2)>>2]=f[c+(G<<2)>>2];G=G+1|0;if((G|0)==(o|0))break a}}G=(f[A>>2]|0)==1;a=0;do{do if(!G){m=f[q>>2]|0;if((f[n>>2]|0)==1){I=c+(Y(m,a)|0)|0;break}else{l=(a|0)/(x|0)|0;I=c+(Y(l,m)|0)+(a-(Y(l,x)|0)<<2)|0;break}}else I=c+(a<<2)|0;while(0);f[r+(a<<2)>>2]=f[I>>2];a=a+1|0}while((a|0)!=(o|0))}}else F=88}else F=88;while(0);if((F|0)==88?(o|0)>0:0)Drc(f[w>>2]|0,0,o<<2|0)|0;o=g+36|0;w=f[o>>2]|0;if(w|0?(F=w+12|0,w=f[F>>2]|0,f[F>>2]=w+-1,(w|0)==1):0)lP(g);f[o>>2]=0;o=g+4|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[o>>2]|0)>0){z=f[g+40>>2]|0;w=0;do{f[z+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[o>>2]|0))}o=f[g+44>>2]|0;if((o|0)!=(g+48|0))tE(o);o=i+36|0;g=f[o>>2]|0;if(g|0?(w=g+12|0,g=f[w>>2]|0,f[w>>2]=g+-1,(g|0)==1):0)lP(i);f[o>>2]=0;o=i+16|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[d>>2]|0)>0){o=f[s>>2]|0;s=0;do{f[o+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[d>>2]|0))}d=f[v>>2]|0;if((d|0)==(t|0)){u=e;return}tE(d);u=e;return}function cnb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;g=u;u=u+80|0;h=g+64|0;i=g+52|0;j=g+40|0;k=g+32|0;l=g+24|0;m=g+16|0;n=g+8|0;o=g;zT(h,133188);if((BD(c,-1)|0)==3)gAa(a,c,d,e);else{f[i>>2]=0;e=i+4|0;f[e>>2]=0;f[i+8>>2]=0;f[j>>2]=0;p=j+4|0;f[p>>2]=0;f[j+8>>2]=0;rD(c,i);rD(d,j);d=f[i>>2]|0;c=d;if(((f[e>>2]|0)-d|0)!=56){f[k>>2]=0;f[k+4>>2]=0;q=YG(k,26)|0;r=449661;s=q+26|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));SQ(-215,k,475494,449502,1025)}d=f[(f[c+40>>2]|0)+4>>2]|0;e=f[(f[a+4>>2]|0)+40>>2]|0;t=f[e+4>>2]|0;if((d|0)%(t|0)|0|0){f[k>>2]=0;f[k+4>>2]=0;q=YG(k,41)|0;r=449872;s=q+41|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));SQ(-215,k,475494,449502,1025)}v=f[j>>2]|0;w=v;if(((f[p>>2]|0)-v|0)!=56){f[k>>2]=0;f[k+4>>2]=0;q=YG(k,19)|0;r=475522;s=q+19|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));SQ(-215,k,475494,449502,1025)}if((f[c+16>>2]|0)==(f[w+16>>2]|0)){f[k>>2]=0;f[k+4>>2]=0;q=YG(k,33)|0;r=449914;s=q+33|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));SQ(-215,k,475494,449502,1025)}c=(d|0)/(t|0)|0;if((f[(f[w+40>>2]|0)+4>>2]|0)%(c|0)|0|0){f[k>>2]=0;f[k+4>>2]=0;q=YG(k,33)|0;r=449948;s=q+33|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));SQ(-215,k,475494,449502,1028)}w=f[e>>2]|0;e=a+168|0;t=f[e>>2]|0;d=a+172|0;v=f[d>>2]|0;if((v|0)!=(t|0))f[d>>2]=v+(~((v+-4-t|0)>>>2)<<2);t=a+184|0;v=f[t>>2]|0;if(v|0){p=a+180|0;x=Jnc(v,18536,21232,0)|0;v=f[p>>2]|0;y=(v|0)==0;if(!y){z=v+4|0;f[z>>2]=(f[z>>2]|0)+1}if(x|0)nnb(e,w+2|0,x+36|0);x=f[t>>2]|0;if(!x)A=0;else A=Jnc(x,18536,21248,0)|0;x=f[p>>2]|0;p=(x|0)==0;if(!p){z=x+4|0;f[z>>2]=(f[z>>2]|0)+1}if(A|0){z=f[A+4>>2]|0;if((f[z>>2]&20479|0)!=16389){f[k>>2]=0;B=k+4|0;f[B>>2]=0;C=YG(k,65)|0;q=C;r=449982;s=q+65|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));SQ(-215,k,475494,449502,1044)}A=f[z+4>>2]|0;if((A|0)<3)D=Y(f[z+12>>2]|0,f[z+8>>2]|0)|0;else{E=f[z+40>>2]|0;F=0;G=1;while(1){H=Y(f[E+(F<<2)>>2]|0,G)|0;F=F+1|0;if((F|0)==(A|0)){D=H;break}else G=H}}if((D|0)!=(w|0)){f[k>>2]=0;B=k+4|0;f[B>>2]=0;C=YG(k,65)|0;q=C;r=449982;s=q+65|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));SQ(-215,k,475494,449502,1044)}k=f[z+16>>2]|0;z=w+2|0;r=f[d>>2]|0;q=f[e>>2]|0;s=r-q>>2;C=q;q=r;do if(z>>>0>s>>>0)hua(e,z-s|0);else{if(z>>>0>=s>>>0)break;r=C+(z<<2)|0;if((q|0)==(r|0))break;f[d>>2]=q+(~((q+-4-r|0)>>>2)<<2)}while(0);q=k+(w<<2)-k|0;if(q|0)Mrc(f[e>>2]|0,k|0,q|0)|0;q=f[e>>2]|0;k=f[q+(w+-1<<2)>>2]|0;f[q+(w+1<<2)>>2]=k;f[q+(w<<2)>>2]=k}k=x;if(!p?(p=k+4|0,w=f[p>>2]|0,f[p>>2]=w+-1,(w|0)==1):0)ai[f[(f[x>>2]|0)+8>>2]&2047](k);k=v;if(!y?(y=k+4|0,x=f[y>>2]|0,f[y>>2]=x+-1,(x|0)==1):0)ai[f[(f[v>>2]|0)+8>>2]&2047](k)}k=pU()|0;v=f[i>>2]|0;x=f[j>>2]|0;f[l>>2]=f[a+36>>2];f[l+4>>2]=f[a+40>>2];f[m>>2]=f[a+52>>2];f[m+4>>2]=f[a+56>>2];f[n>>2]=f[a+44>>2];f[n+4>>2]=f[a+48>>2];f[o>>2]=f[a+60>>2];f[o+4>>2]=f[a+64>>2];onb(v,x,a+88|0,a+156|0,e,l,m,n,o,f[t>>2]|0,c,(k|0)>1?k:1);rt(j);rt(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function dnb(a,b){a=a|0;b=b|0;var c=0;if((b|0)!=2){c=(b|2|0)==3;return c|0}if((f[a+32>>2]|0)!=3){c=1;return c|0}c=(f[a+60>>2]|0)==(f[a+64>>2]|0);return c|0}function enb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function fnb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}
function $4b(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;i=u;u=u+32|0;j=i;k=j+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;k=a+4|0;l=f[k>>2]|0;do if(l){m=a+4|0;n=l;while(1){o=f[n+16>>2]|0;if((o|0)>(c|0)){p=f[n>>2]|0;if(!p){q=5;break}else{r=n;s=p}}else{if((o|0)>=(c|0)){q=10;break}t=n+4|0;o=f[t>>2]|0;if(!o){q=9;break}else{r=t;s=o}}m=r;n=s}if((q|0)==5){v=n;w=n;break}else if((q|0)==9){v=t;w=n;break}else if((q|0)==10){v=m;w=n;break}}else{v=k;w=k}while(0);k=f[v>>2]|0;if(k|0){f[k+40>>2]=h;x=k+24|0;y=x+10|0;z=b[y>>0]|0;A=z&-16;b[y>>0]=A;B=x;C=B;f[C>>2]=e;D=B+4|0;E=D;f[E>>2]=g;u=i;return}k=Bmc(48)|0;f[k+16>>2]=c;c=k+20|0;f[c>>2]=f[j>>2];f[c+4>>2]=f[j+4>>2];f[c+8>>2]=f[j+8>>2];f[c+12>>2]=f[j+12>>2];f[c+16>>2]=f[j+16>>2];f[c+20>>2]=f[j+20>>2];f[c+24>>2]=f[j+24>>2];f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=w;f[v>>2]=k;w=f[f[a>>2]>>2]|0;if(!w)F=k;else{f[a>>2]=w;F=f[v>>2]|0}RS(f[a+4>>2]|0,F);F=a+8|0;f[F>>2]=(f[F>>2]|0)+1;f[k+40>>2]=h;b[k+32>>0]=d;b[k+33>>0]=0;x=k+24|0;y=x+10|0;z=b[y>>0]|0;A=z&-16;b[y>>0]=A;B=x;C=B;f[C>>2]=e;D=B+4|0;E=D;f[E>>2]=g;u=i;return}function a5b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+32|0;e=d;g=d+24|0;h=a+4|0;a=f[h>>2]|0;if(a){i=h;j=a;a:while(1){a=j;while(1){if((f[a+16>>2]|0)>=(b|0))break;k=f[a+4>>2]|0;if(!k){l=i;break a}else a=k}j=f[a>>2]|0;if(!j){l=a;break}else i=a}if((l|0)!=(h|0)?(f[l+16>>2]|0)<=(b|0):0)m=l;else n=8}else n=8;if((n|0)==8){TDb(e,3,512019,327);QDb(g,ODb(ODb(e,512127)|0,512169)|0);UDb(e);m=h}h=(f[(f[m+24>>2]|0)+8>>2]|0)+8+(c<<3)|0;J=f[h+4>>2]|0;u=d;return f[h>>2]|0}function b5b(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=u;u=u+32|0;h=g;i=g+24|0;j=a+4|0;a=f[j>>2]|0;if(a){k=j;l=a;a:while(1){a=l;while(1){if((f[a+16>>2]|0)>=(b|0))break;m=f[a+4>>2]|0;if(!m){n=k;break a}else a=m}l=f[a>>2]|0;if(!l){n=a;break}else k=a}if((n|0)!=(j|0)?(f[n+16>>2]|0)<=(b|0):0)o=n;else p=8}else p=8;if((p|0)==8){TDb(h,3,512019,327);QDb(i,ODb(ODb(h,512127)|0,512169)|0);UDb(h);o=j}j=(f[(f[o+24>>2]|0)+8>>2]|0)+8+(c<<3)|0;f[j>>2]=d;f[j+4>>2]=e;u=g;return}function c5b(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;j=u;u=u+32|0;k=j;l=k+4|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;l=a+4|0;m=f[l>>2]|0;do if(m){n=a+4|0;o=m;while(1){p=f[o+16>>2]|0;if((p|0)>(c|0)){q=f[o>>2]|0;if(!q){r=5;break}else{s=o;t=q}}else{if((p|0)>=(c|0)){r=10;break}v=o+4|0;p=f[v>>2]|0;if(!p){r=9;break}else{s=v;t=p}}n=s;o=t}if((r|0)==5){w=o;x=o;break}else if((r|0)==9){w=v;x=o;break}else if((r|0)==10){w=n;x=o;break}}else{w=l;x=l}while(0);l=f[w>>2]|0;if(!l){r=Bmc(48)|0;f[r+16>>2]=c;c=r+20|0;f[c>>2]=f[k>>2];f[c+4>>2]=f[k+4>>2];f[c+8>>2]=f[k+8>>2];f[c+12>>2]=f[k+12>>2];f[c+16>>2]=f[k+16>>2];f[c+20>>2]=f[k+20>>2];f[c+24>>2]=f[k+24>>2];f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=x;f[w>>2]=r;x=f[f[a>>2]>>2]|0;if(!x)y=r;else{f[a>>2]=x;y=f[w>>2]|0}RS(f[a+4>>2]|0,y);y=a+8|0;f[y>>2]=(f[y>>2]|0)+1;y=r+24|0;f[r+40>>2]=i;b[r+32>>0]=d;b[r+33>>0]=1;b[r+35>>0]=e&1;e=f[a+12>>2]|0;if(!e){a=Bmc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;z=a}else{a=e+64|0;if(f[a>>2]|0)pBb(e,25120,16);r=oBb(e,16,1680)|0;f[r>>2]=0;f[r+4>>2]=0;d=r+8|0;f[d>>2]=0;if(f[a>>2]|0)pBb(e,26896,8);a=nBb(e,8)|0;f[d>>2]=a;f[a>>2]=e;z=r}f[y>>2]=z;A=y}else{f[l+40>>2]=i;A=l+24|0}l=f[A>>2]|0;A=f[l>>2]|0;if((A|0)!=(f[l+4>>2]|0)){B=A;C=l+8|0;D=f[C>>2]|0;E=B+1|0;f[l>>2]=E;F=D+8+(B<<3)|0;G=F;H=G;f[H>>2]=g;I=G+4|0;J=I;f[J>>2]=h;u=j;return}cEa(l,A+1|0);B=f[l>>2]|0;C=l+8|0;D=f[C>>2]|0;E=B+1|0;f[l>>2]=E;F=D+8+(B<<3)|0;G=F;H=G;f[H>>2]=g;I=G+4|0;J=I;f[J>>2]=h;u=j;return}function d5b(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(!b)return;if(f[b>>2]|0)return;Emc(b);return}function e5b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=a+4|0;a=f[e>>2]|0;if(!a){g=d;return g|0}else{h=e;i=a}a:while(1){a=i;while(1){if((f[a+16>>2]|0)>=(c|0))break;j=f[a+4>>2]|0;if(!j){k=h;break a}else a=j}i=f[a>>2]|0;if(!i){k=a;break}else h=a}if((k|0)==(e|0)){g=d;return g|0}e=k+16|0;if((f[e>>2]|0)>(c|0)){g=d;return g|0}if(b[e+18>>0]&1){g=d;return g|0}g=f[k+24>>2]|0;return g|0}function f5b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;h=u;u=u+32|0;i=h;j=i+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;j=a+4|0;k=f[j>>2]|0;do if(k){l=a+4|0;m=k;while(1){n=f[m+16>>2]|0;if((n|0)>(c|0)){o=f[m>>2]|0;if(!o){p=5;break}else{q=m;r=o}}else{if((n|0)>=(c|0)){p=10;break}s=m+4|0;n=f[s>>2]|0;if(!n){p=9;break}else{q=s;r=n}}l=q;m=r}if((p|0)==5){t=m;v=m;break}else if((p|0)==9){t=s;v=m;break}else if((p|0)==10){t=l;v=m;break}}else{t=j;v=j}while(0);j=f[t>>2]|0;if(j|0){f[j+40>>2]=g;w=j+24|0;x=w+10|0;y=b[x>>0]|0;z=y&-16;b[x>>0]=z;f[w>>2]=e;u=h;return}j=Bmc(48)|0;f[j+16>>2]=c;c=j+20|0;f[c>>2]=f[i>>2];f[c+4>>2]=f[i+4>>2];f[c+8>>2]=f[i+8>>2];f[c+12>>2]=f[i+12>>2];f[c+16>>2]=f[i+16>>2];f[c+20>>2]=f[i+20>>2];f[c+24>>2]=f[i+24>>2];f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=v;f[t>>2]=j;v=f[f[a>>2]>>2]|0;if(!v)A=j;else{f[a>>2]=v;A=f[t>>2]|0}RS(f[a+4>>2]|0,A);A=a+8|0;f[A>>2]=(f[A>>2]|0)+1;f[j+40>>2]=g;b[j+32>>0]=d;b[j+33>>0]=0;w=j+24|0;x=w+10|0;y=b[x>>0]|0;z=y&-16;b[x>>0]=z;f[w>>2]=e;u=h;return}function g5b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+32|0;e=d;g=d+24|0;h=a+4|0;a=f[h>>2]|0;if(a){i=h;j=a;a:while(1){a=j;while(1){if((f[a+16>>2]|0)>=(b|0))break;k=f[a+4>>2]|0;if(!k){l=i;break a}else a=k}j=f[a>>2]|0;if(!j){l=a;break}else i=a}if((l|0)!=(h|0)?(f[l+16>>2]|0)<=(b|0):0)m=l;else n=8}else n=8;if((n|0)==8){TDb(e,3,512019,328);QDb(g,ODb(ODb(e,512127)|0,512169)|0);UDb(e);m=h}u=d;return f[(f[(f[m+24>>2]|0)+8>>2]|0)+4+(c<<2)>>2]|0}function h5b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=u;u=u+32|0;g=e;h=e+24|0;i=a+4|0;a=f[i>>2]|0;if(a|0){j=i;k=a;a:while(1){a=k;while(1){if((f[a+16>>2]|0)>=(b|0))break;l=f[a+4>>2]|0;if(!l){m=j;break a}else a=l}k=f[a>>2]|0;if(!k){m=a;break}else j=a}if((m|0)!=(i|0)?(f[m+16>>2]|0)<=(b|0):0){n=m;o=n+24|0;p=f[o>>2]|0;q=p+8|0;r=f[q>>2]|0;s=r+4+(c<<2)|0;f[s>>2]=d;u=e;return}}TDb(g,3,512019,328);QDb(h,ODb(ODb(g,512127)|0,512169)|0);UDb(g);n=i;o=n+24|0;p=f[o>>2]|0;q=p+8|0;r=f[q>>2]|0;s=r+4+(c<<2)|0;f[s>>2]=d;u=e;return}function i5b(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;i=u;u=u+32|0;j=i;k=j+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;k=a+4|0;l=f[k>>2]|0;do if(l){m=a+4|0;n=l;while(1){o=f[n+16>>2]|0;if((o|0)>(c|0)){p=f[n>>2]|0;if(!p){q=5;break}else{r=n;s=p}}else{if((o|0)>=(c|0)){q=10;break}t=n+4|0;o=f[t>>2]|0;if(!o){q=9;break}else{r=t;s=o}}m=r;n=s}if((q|0)==5){v=n;w=n;break}else if((q|0)==9){v=t;w=n;break}else if((q|0)==10){v=m;w=n;break}}else{v=k;w=k}while(0);k=f[v>>2]|0;if(!k){q=Bmc(48)|0;f[q+16>>2]=c;c=q+20|0;f[c>>2]=f[j>>2];f[c+4>>2]=f[j+4>>2];f[c+8>>2]=f[j+8>>2];f[c+12>>2]=f[j+12>>2];f[c+16>>2]=f[j+16>>2];f[c+20>>2]=f[j+20>>2];f[c+24>>2]=f[j+24>>2];f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=w;f[v>>2]=q;w=f[f[a>>2]>>2]|0;if(!w)x=q;else{f[a>>2]=w;x=f[v>>2]|0}RS(f[a+4>>2]|0,x);x=a+8|0;f[x>>2]=(f[x>>2]|0)+1;x=q+24|0;f[q+40>>2]=h;b[q+32>>0]=d;b[q+33>>0]=1;b[q+35>>0]=e&1;e=f[a+12>>2]|0;if(!e){a=Bmc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;y=a}else{a=e+64|0;if(f[a>>2]|0)pBb(e,25128,16);q=oBb(e,16,1681)|0;f[q>>2]=0;f[q+4>>2]=0;d=q+8|0;f[d>>2]=0;if(f[a>>2]|0)pBb(e,26896,8);a=nBb(e,8)|0;f[d>>2]=a;f[a>>2]=e;y=q}f[x>>2]=y;z=x}else{f[k+40>>2]=h;z=k+24|0}k=f[z>>2]|0;z=f[k>>2]|0;if((z|0)!=(f[k+4>>2]|0)){A=z;B=k+8|0;C=f[B>>2]|0;D=A+1|0;f[k>>2]=D;E=C+4+(A<<2)|0;f[E>>2]=g;u=i;return}iFa(k,z+1|0);A=f[k>>2]|0;B=k+8|0;C=f[B>>2]|0;D=A+1|0;f[k>>2]=D;E=C+4+(A<<2)|0;f[E>>2]=g;u=i;return}function j5b(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(!b)return;if(f[b>>2]|0)return;Emc(b);return}function k5b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;g=a+4|0;a=f[g>>2]|0;if(a){h=g;i=a;a:while(1){a=i;while(1){if((f[a+16>>2]|0)>=(c|0))break;j=f[a+4>>2]|0;if(!j){k=h;break a}else a=j}i=f[a>>2]|0;if(!i){k=a;break}else h=a}if(((k|0)!=(g|0)?(g=k+16|0,(f[g>>2]|0)<=(c|0)):0)?(b[g+18>>0]&1)==0:0){g=k+24|0;l=f[g+4>>2]|0;m=f[g>>2]|0}else{l=e;m=d}}else{l=e;m=d}J=l;return m|0}function l5b(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;i=u;u=u+32|0;j=i;k=j+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;k=a+4|0;l=f[k>>2]|0;do if(l){m=a+4|0;n=l;while(1){o=f[n+16>>2]|0;if((o|0)>(c|0)){p=f[n>>2]|0;if(!p){q=5;break}else{r=n;s=p}}else{if((o|0)>=(c|0)){q=10;break}t=n+4|0;o=f[t>>2]|0;if(!o){q=9;break}else{r=t;s=o}}m=r;n=s}if((q|0)==5){v=n;w=n;break}else if((q|0)==9){v=t;w=n;break}else if((q|0)==10){v=m;w=n;break}}else{v=k;w=k}while(0);k=f[v>>2]|0;if(k|0){f[k+40>>2]=h;x=k+24|0;y=x+10|0;z=b[y>>0]|0;A=z&-16;b[y>>0]=A;B=x;C=B;f[C>>2]=e;D=B+4|0;E=D;f[E>>2]=g;u=i;return}k=Bmc(48)|0;f[k+16>>2]=c;c=k+20|0;f[c>>2]=f[j>>2];f[c+4>>2]=f[j+4>>2];f[c+8>>2]=f[j+8>>2];f[c+12>>2]=f[j+12>>2];f[c+16>>2]=f[j+16>>2];f[c+20>>2]=f[j+20>>2];f[c+24>>2]=f[j+24>>2];f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=w;f[v>>2]=k;w=f[f[a>>2]>>2]|0;if(!w)F=k;else{f[a>>2]=w;F=f[v>>2]|0}RS(f[a+4>>2]|0,F);F=a+8|0;f[F>>2]=(f[F>>2]|0)+1;f[k+40>>2]=h;b[k+32>>0]=d;b[k+33>>0]=0;x=k+24|0;y=x+10|0;z=b[y>>0]|0;A=z&-16;b[y>>0]=A;B=x;C=B;f[C>>2]=e;D=B+4|0;E=D;f[E>>2]=g;u=i;return}function m5b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+32|0;e=d;g=d+24|0;h=a+4|0;a=f[h>>2]|0;if(a){i=h;j=a;a:while(1){a=j;while(1){if((f[a+16>>2]|0)>=(b|0))break;k=f[a+4>>2]|0;if(!k){l=i;break a}else a=k}j=f[a>>2]|0;if(!j){l=a;break}else i=a}if((l|0)!=(h|0)?(f[l+16>>2]|0)<=(b|0):0)m=l;else n=8}else n=8;if((n|0)==8){TDb(e,3,512019,329);QDb(g,ODb(ODb(e,512127)|0,512169)|0);UDb(e);m=h}h=(f[(f[m+24>>2]|0)+8>>2]|0)+8+(c<<3)|0;J=f[h+4>>2]|0;u=d;return f[h>>2]|0}function n5b(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=u;u=u+32|0;h=g;i=g+24|0;j=a+4|0;a=f[j>>2]|0;if(a){k=j;l=a;a:while(1){a=l;while(1){if((f[a+16>>2]|0)>=(b|0))break;m=f[a+4>>2]|0;if(!m){n=k;break a}else a=m}l=f[a>>2]|0;if(!l){n=a;break}else k=a}if((n|0)!=(j|0)?(f[n+16>>2]|0)<=(b|0):0)o=n;else p=8}else p=8;if((p|0)==8){TDb(h,3,512019,329);QDb(i,ODb(ODb(h,512127)|0,512169)|0);UDb(h);o=j}j=(f[(f[o+24>>2]|0)+8>>2]|0)+8+(c<<3)|0;f[j>>2]=d;f[j+4>>2]=e;u=g;return}function o5b(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;j=u;u=u+32|0;k=j;l=k+4|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;l=a+4|0;m=f[l>>2]|0;do if(m){n=a+4|0;o=m;while(1){p=f[o+16>>2]|0;if((p|0)>(c|0)){q=f[o>>2]|0;if(!q){r=5;break}else{s=o;t=q}}else{if((p|0)>=(c|0)){r=10;break}v=o+4|0;p=f[v>>2]|0;if(!p){r=9;break}else{s=v;t=p}}n=s;o=t}if((r|0)==5){w=o;x=o;break}else if((r|0)==9){w=v;x=o;break}else if((r|0)==10){w=n;x=o;break}}else{w=l;x=l}while(0);l=f[w>>2]|0;if(!l){r=Bmc(48)|0;f[r+16>>2]=c;c=r+20|0;f[c>>2]=f[k>>2];f[c+4>>2]=f[k+4>>2];f[c+8>>2]=f[k+8>>2];f[c+12>>2]=f[k+12>>2];f[c+16>>2]=f[k+16>>2];f[c+20>>2]=f[k+20>>2];f[c+24>>2]=f[k+24>>2];f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=x;f[w>>2]=r;x=f[f[a>>2]>>2]|0;if(!x)y=r;else{f[a>>2]=x;y=f[w>>2]|0}RS(f[a+4>>2]|0,y);y=a+8|0;f[y>>2]=(f[y>>2]|0)+1;y=r+24|0;f[r+40>>2]=i;b[r+32>>0]=d;b[r+33>>0]=1;b[r+35>>0]=e&1;e=f[a+12>>2]|0;if(!e){a=Bmc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;z=a}else{a=e+64|0;if(f[a>>2]|0)pBb(e,25136,16);r=oBb(e,16,1682)|0;f[r>>2]=0;f[r+4>>2]=0;d=r+8|0;f[d>>2]=0;if(f[a>>2]|0)pBb(e,26896,8);a=nBb(e,8)|0;f[d>>2]=a;f[a>>2]=e;z=r}f[y>>2]=z;A=y}else{f[l+40>>2]=i;A=l+24|0}l=f[A>>2]|0;A=f[l>>2]|0;if((A|0)!=(f[l+4>>2]|0)){B=A;C=l+8|0;D=f[C>>2]|0;E=B+1|0;f[l>>2]=E;F=D+8+(B<<3)|0;G=F;H=G;f[H>>2]=g;I=G+4|0;J=I;f[J>>2]=h;u=j;return}bhb(l,A+1|0);B=f[l>>2]|0;C=l+8|0;D=f[C>>2]|0;E=B+1|0;f[l>>2]=E;F=D+8+(B<<3)|0;G=F;H=G;f[H>>2]=g;I=G+4|0;J=I;f[J>>2]=h;u=j;return}function p5b(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(!b)return;if(f[b>>2]|0)return;Emc(b);return}function q5b(a,c,d){a=a|0;c=c|0;d=+d;var e=0,g=0.0,h=0,i=0,j=0,k=0;e=a+4|0;a=f[e>>2]|0;if(!a){g=d;return +g}else{h=e;i=a}a:while(1){a=i;while(1){if((f[a+16>>2]|0)>=(c|0))break;j=f[a+4>>2]|0;if(!j){k=h;break a}else a=j}i=f[a>>2]|0;if(!i){k=a;break}else h=a}if((k|0)==(e|0)){g=d;return +g}e=k+16|0;if((f[e>>2]|0)>(c|0)){g=d;return +g}if(b[e+18>>0]&1){g=d;return +g}g=+n[k+24>>2];return +g}function r5b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;h=u;u=u+32|0;i=h;j=i+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;j=a+4|0;k=f[j>>2]|0;do if(k){l=a+4|0;m=k;while(1){o=f[m+16>>2]|0;if((o|0)>(c|0)){p=f[m>>2]|0;if(!p){q=5;break}else{r=m;s=p}}else{if((o|0)>=(c|0)){q=10;break}t=m+4|0;o=f[t>>2]|0;if(!o){q=9;break}else{r=t;s=o}}l=r;m=s}if((q|0)==5){v=m;w=m;break}else if((q|0)==9){v=t;w=m;break}else if((q|0)==10){v=l;w=m;break}}else{v=j;w=j}while(0);j=f[v>>2]|0;if(j|0){f[j+40>>2]=g;x=j+24|0;y=x+10|0;z=b[y>>0]|0;A=z&-16;b[y>>0]=A;n[x>>2]=e;u=h;return}j=Bmc(48)|0;f[j+16>>2]=c;c=j+20|0;f[c>>2]=f[i>>2];f[c+4>>2]=f[i+4>>2];f[c+8>>2]=f[i+8>>2];f[c+12>>2]=f[i+12>>2];f[c+16>>2]=f[i+16>>2];f[c+20>>2]=f[i+20>>2];f[c+24>>2]=f[i+24>>2];f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=w;f[v>>2]=j;w=f[f[a>>2]>>2]|0;if(!w)B=j;else{f[a>>2]=w;B=f[v>>2]|0}RS(f[a+4>>2]|0,B);B=a+8|0;f[B>>2]=(f[B>>2]|0)+1;f[j+40>>2]=g;b[j+32>>0]=d;b[j+33>>0]=0;x=j+24|0;y=x+10|0;z=b[y>>0]|0;A=z&-16;b[y>>0]=A;n[x>>2]=e;u=h;return}function s5b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0;d=u;u=u+32|0;e=d;g=d+24|0;h=a+4|0;a=f[h>>2]|0;if(a){i=h;j=a;a:while(1){a=j;while(1){if((f[a+16>>2]|0)>=(b|0))break;k=f[a+4>>2]|0;if(!k){l=i;break a}else a=k}j=f[a>>2]|0;if(!j){l=a;break}else i=a}if((l|0)!=(h|0)?(f[l+16>>2]|0)<=(b|0):0)m=l;else o=8}else o=8;if((o|0)==8){TDb(e,3,512019,330);QDb(g,ODb(ODb(e,512127)|0,512169)|0);UDb(e);m=h}u=d;return +(+n[(f[(f[m+24>>2]|0)+8>>2]|0)+4+(c<<2)>>2])}function t5b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0;e=u;u=u+32|0;g=e;h=e+24|0;i=a+4|0;a=f[i>>2]|0;if(a|0){j=i;k=a;a:while(1){a=k;while(1){if((f[a+16>>2]|0)>=(b|0))break;l=f[a+4>>2]|0;if(!l){m=j;break a}else a=l}k=f[a>>2]|0;if(!k){m=a;break}else j=a}if((m|0)!=(i|0)?(f[m+16>>2]|0)<=(b|0):0){o=m;p=o+24|0;q=f[p>>2]|0;r=q+8|0;s=f[r>>2]|0;t=s+4+(c<<2)|0;n[t>>2]=d;u=e;return}}TDb(g,3,512019,330);QDb(h,ODb(ODb(g,512127)|0,512169)|0);UDb(g);o=i;p=o+24|0;q=f[p>>2]|0;r=q+8|0;s=f[r>>2]|0;t=s+4+(c<<2)|0;n[t>>2]=d;u=e;return}function u5b(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;i=u;u=u+32|0;j=i;k=j+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;k=a+4|0;l=f[k>>2]|0;do if(l){m=a+4|0;o=l;while(1){p=f[o+16>>2]|0;if((p|0)>(c|0)){q=f[o>>2]|0;if(!q){r=5;break}else{s=o;t=q}}else{if((p|0)>=(c|0)){r=10;break}v=o+4|0;p=f[v>>2]|0;if(!p){r=9;break}else{s=v;t=p}}m=s;o=t}if((r|0)==5){w=o;x=o;break}else if((r|0)==9){w=v;x=o;break}else if((r|0)==10){w=m;x=o;break}}else{w=k;x=k}while(0);k=f[w>>2]|0;if(!k){r=Bmc(48)|0;f[r+16>>2]=c;c=r+20|0;f[c>>2]=f[j>>2];f[c+4>>2]=f[j+4>>2];f[c+8>>2]=f[j+8>>2];f[c+12>>2]=f[j+12>>2];f[c+16>>2]=f[j+16>>2];f[c+20>>2]=f[j+20>>2];f[c+24>>2]=f[j+24>>2];f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=x;f[w>>2]=r;x=f[f[a>>2]>>2]|0;if(!x)y=r;else{f[a>>2]=x;y=f[w>>2]|0}RS(f[a+4>>2]|0,y);y=a+8|0;f[y>>2]=(f[y>>2]|0)+1;y=r+24|0;f[r+40>>2]=h;b[r+32>>0]=d;b[r+33>>0]=1;b[r+35>>0]=e&1;e=f[a+12>>2]|0;if(!e){a=Bmc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;z=a}else{a=e+64|0;if(f[a>>2]|0)pBb(e,25144,16);r=oBb(e,16,1683)|0;f[r>>2]=0;f[r+4>>2]=0;d=r+8|0;f[d>>2]=0;if(f[a>>2]|0)pBb(e,26896,8);a=nBb(e,8)|0;f[d>>2]=a;f[a>>2]=e;z=r}f[y>>2]=z;A=y}else{f[k+40>>2]=h;A=k+24|0}k=f[A>>2]|0;A=f[k>>2]|0;if((A|0)!=(f[k+4>>2]|0)){B=A;C=k+8|0;D=f[C>>2]|0;E=B+1|0;f[k>>2]=E;F=D+4+(B<<2)|0;n[F>>2]=g;u=i;return}aEa(k,A+1|0);B=f[k>>2]|0;C=k+8|0;D=f[C>>2]|0;E=B+1|0;f[k>>2]=E;F=D+4+(B<<2)|0;n[F>>2]=g;u=i;return}function v5b(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(!b)return;if(f[b>>2]|0)return;Emc(b);return}function w5b(a,c,d){a=a|0;c=c|0;d=+d;var e=0,g=0.0,h=0,i=0,j=0,k=0;e=a+4|0;a=f[e>>2]|0;if(!a){g=d;return +g}else{h=e;i=a}a:while(1){a=i;while(1){if((f[a+16>>2]|0)>=(c|0))break;j=f[a+4>>2]|0;if(!j){k=h;break a}else a=j}i=f[a>>2]|0;if(!i){k=a;break}else h=a}if((k|0)==(e|0)){g=d;return +g}e=k+16|0;if((f[e>>2]|0)>(c|0)){g=d;return +g}if(b[e+18>>0]&1){g=d;return +g}g=+p[k+24>>3];return +g}function x5b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;h=u;u=u+32|0;i=h;j=i+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;j=a+4|0;k=f[j>>2]|0;do if(k){l=a+4|0;m=k;while(1){n=f[m+16>>2]|0;if((n|0)>(c|0)){o=f[m>>2]|0;if(!o){q=5;break}else{r=m;s=o}}else{if((n|0)>=(c|0)){q=10;break}t=m+4|0;n=f[t>>2]|0;if(!n){q=9;break}else{r=t;s=n}}l=r;m=s}if((q|0)==5){v=m;w=m;break}else if((q|0)==9){v=t;w=m;break}else if((q|0)==10){v=l;w=m;break}}else{v=j;w=j}while(0);j=f[v>>2]|0;if(j|0){f[j+40>>2]=g;x=j+24|0;y=x+10|0;z=b[y>>0]|0;A=z&-16;b[y>>0]=A;p[x>>3]=e;u=h;return}j=Bmc(48)|0;f[j+16>>2]=c;c=j+20|0;f[c>>2]=f[i>>2];f[c+4>>2]=f[i+4>>2];f[c+8>>2]=f[i+8>>2];f[c+12>>2]=f[i+12>>2];f[c+16>>2]=f[i+16>>2];f[c+20>>2]=f[i+20>>2];f[c+24>>2]=f[i+24>>2];f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=w;f[v>>2]=j;w=f[f[a>>2]>>2]|0;if(!w)B=j;else{f[a>>2]=w;B=f[v>>2]|0}RS(f[a+4>>2]|0,B);B=a+8|0;f[B>>2]=(f[B>>2]|0)+1;f[j+40>>2]=g;b[j+32>>0]=d;b[j+33>>0]=0;x=j+24|0;y=x+10|0;z=b[y>>0]|0;A=z&-16;b[y>>0]=A;p[x>>3]=e;u=h;return}function y5b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+32|0;e=d;g=d+24|0;h=a+4|0;a=f[h>>2]|0;if(a){i=h;j=a;a:while(1){a=j;while(1){if((f[a+16>>2]|0)>=(b|0))break;k=f[a+4>>2]|0;if(!k){l=i;break a}else a=k}j=f[a>>2]|0;if(!j){l=a;break}else i=a}if((l|0)!=(h|0)?(f[l+16>>2]|0)<=(b|0):0)m=l;else n=8}else n=8;if((n|0)==8){TDb(e,3,512019,331);QDb(g,ODb(ODb(e,512127)|0,512169)|0);UDb(e);m=h}u=d;return +(+p[(f[(f[m+24>>2]|0)+8>>2]|0)+8+(c<<3)>>3])}function z5b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0;e=u;u=u+32|0;g=e;h=e+24|0;i=a+4|0;a=f[i>>2]|0;if(a|0){j=i;k=a;a:while(1){a=k;while(1){if((f[a+16>>2]|0)>=(b|0))break;l=f[a+4>>2]|0;if(!l){m=j;break a}else a=l}k=f[a>>2]|0;if(!k){m=a;break}else j=a}if((m|0)!=(i|0)?(f[m+16>>2]|0)<=(b|0):0){n=m;o=n+24|0;q=f[o>>2]|0;r=q+8|0;s=f[r>>2]|0;t=s+8+(c<<3)|0;p[t>>3]=d;u=e;return}}TDb(g,3,512019,331);QDb(h,ODb(ODb(g,512127)|0,512169)|0);UDb(g);n=i;o=n+24|0;q=f[o>>2]|0;r=q+8|0;s=f[r>>2]|0;t=s+8+(c<<3)|0;p[t>>3]=d;u=e;return}function A5b(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;i=u;u=u+32|0;j=i;k=j+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;k=a+4|0;l=f[k>>2]|0;do if(l){m=a+4|0;n=l;while(1){o=f[n+16>>2]|0;if((o|0)>(c|0)){q=f[n>>2]|0;if(!q){r=5;break}else{s=n;t=q}}else{if((o|0)>=(c|0)){r=10;break}v=n+4|0;o=f[v>>2]|0;if(!o){r=9;break}else{s=v;t=o}}m=s;n=t}if((r|0)==5){w=n;x=n;break}else if((r|0)==9){w=v;x=n;break}else if((r|0)==10){w=m;x=n;break}}else{w=k;x=k}while(0);k=f[w>>2]|0;if(!k){r=Bmc(48)|0;f[r+16>>2]=c;c=r+20|0;f[c>>2]=f[j>>2];f[c+4>>2]=f[j+4>>2];f[c+8>>2]=f[j+8>>2];f[c+12>>2]=f[j+12>>2];f[c+16>>2]=f[j+16>>2];f[c+20>>2]=f[j+20>>2];f[c+24>>2]=f[j+24>>2];f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=x;f[w>>2]=r;x=f[f[a>>2]>>2]|0;if(!x)y=r;else{f[a>>2]=x;y=f[w>>2]|0}RS(f[a+4>>2]|0,y);y=a+8|0;f[y>>2]=(f[y>>2]|0)+1;y=r+24|0;f[r+40>>2]=h;b[r+32>>0]=d;b[r+33>>0]=1;b[r+35>>0]=e&1;e=f[a+12>>2]|0;if(!e){a=Bmc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;z=a}else{a=e+64|0;if(f[a>>2]|0)pBb(e,25152,16);r=oBb(e,16,1684)|0;f[r>>2]=0;f[r+4>>2]=0;d=r+8|0;f[d>>2]=0;if(f[a>>2]|0)pBb(e,26896,8);a=nBb(e,8)|0;f[d>>2]=a;f[a>>2]=e;z=r}f[y>>2]=z;A=y}else{f[k+40>>2]=h;A=k+24|0}k=f[A>>2]|0;A=f[k>>2]|0;if((A|0)!=(f[k+4>>2]|0)){B=A;C=k+8|0;D=f[C>>2]|0;E=B+1|0;f[k>>2]=E;F=D+8+(B<<3)|0;p[F>>3]=g;u=i;return}bEa(k,A+1|0);B=f[k>>2]|0;C=k+8|0;D=f[C>>2]|0;E=B+1|0;f[k>>2]=E;F=D+8+(B<<3)|0;p[F>>3]=g;u=i;return}function B5b(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(!b)return;if(f[b>>2]|0)return;Emc(b);return}function C5b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=a+4|0;a=f[e>>2]|0;if(!a){g=d;return g|0}else{h=e;i=a}a:while(1){a=i;while(1){if((f[a+16>>2]|0)>=(c|0))break;j=f[a+4>>2]|0;if(!j){k=h;break a}else a=j}i=f[a>>2]|0;if(!i){k=a;break}else h=a}if((k|0)==(e|0)){g=d;return g|0}e=k+16|0;if((f[e>>2]|0)>(c|0)){g=d;return g|0}if(b[e+18>>0]&1){g=d;return g|0}g=(b[k+24>>0]|0)!=0;return g|0}function D5b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;h=u;u=u+32|0;i=h;j=e&1;e=i+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;e=a+4|0;k=f[e>>2]|0;do if(k){l=a+4|0;m=k;while(1){n=f[m+16>>2]|0;if((n|0)>(c|0)){o=f[m>>2]|0;if(!o){p=5;break}else{q=m;r=o}}else{if((n|0)>=(c|0)){p=10;break}s=m+4|0;n=f[s>>2]|0;if(!n){p=9;break}else{q=s;r=n}}l=q;m=r}if((p|0)==5){t=m;v=m;break}else if((p|0)==9){t=s;v=m;break}else if((p|0)==10){t=l;v=m;break}}else{t=e;v=e}while(0);e=f[t>>2]|0;if(e|0){f[e+40>>2]=g;w=e+24|0;x=w+10|0;y=b[x>>0]|0;z=y&-16;b[x>>0]=z;b[w>>0]=j;u=h;return}e=Bmc(48)|0;f[e+16>>2]=c;c=e+20|0;f[c>>2]=f[i>>2];f[c+4>>2]=f[i+4>>2];f[c+8>>2]=f[i+8>>2];f[c+12>>2]=f[i+12>>2];f[c+16>>2]=f[i+16>>2];f[c+20>>2]=f[i+20>>2];f[c+24>>2]=f[i+24>>2];f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=v;f[t>>2]=e;v=f[f[a>>2]>>2]|0;if(!v)A=e;else{f[a>>2]=v;A=f[t>>2]|0}RS(f[a+4>>2]|0,A);A=a+8|0;f[A>>2]=(f[A>>2]|0)+1;f[e+40>>2]=g;b[e+32>>0]=d;b[e+33>>0]=0;w=e+24|0;x=w+10|0;y=b[x>>0]|0;z=y&-16;b[x>>0]=z;b[w>>0]=j;u=h;return}function E5b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+32|0;g=e;h=e+24|0;i=a+4|0;a=f[i>>2]|0;if(a){j=i;k=a;a:while(1){a=k;while(1){if((f[a+16>>2]|0)>=(c|0))break;l=f[a+4>>2]|0;if(!l){m=j;break a}else a=l}k=f[a>>2]|0;if(!k){m=a;break}else j=a}if((m|0)!=(i|0)?(f[m+16>>2]|0)<=(c|0):0)n=m;else o=8}else o=8;if((o|0)==8){TDb(g,3,512019,332);QDb(h,ODb(ODb(g,512127)|0,512169)|0);UDb(g);n=i}u=e;return (b[(f[(f[n+24>>2]|0)+8>>2]|0)+4+d>>0]|0)!=0|0}function F5b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=u;u=u+32|0;h=g;i=g+24|0;j=e&1;e=a+4|0;a=f[e>>2]|0;if(a|0){k=e;l=a;a:while(1){a=l;while(1){if((f[a+16>>2]|0)>=(c|0))break;m=f[a+4>>2]|0;if(!m){n=k;break a}else a=m}l=f[a>>2]|0;if(!l){n=a;break}else k=a}if((n|0)!=(e|0)?(f[n+16>>2]|0)<=(c|0):0){o=n;p=o+24|0;q=f[p>>2]|0;r=q+8|0;s=f[r>>2]|0;t=s+4+d|0;b[t>>0]=j;u=g;return}}TDb(h,3,512019,332);QDb(i,ODb(ODb(h,512127)|0,512169)|0);UDb(h);o=e;p=o+24|0;q=f[p>>2]|0;r=q+8|0;s=f[r>>2]|0;t=s+4+d|0;b[t>>0]=j;u=g;return}function G5b(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;i=u;u=u+32|0;j=i;k=g&1;g=j+4|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;g=a+4|0;l=f[g>>2]|0;do if(l){m=a+4|0;n=l;while(1){o=f[n+16>>2]|0;if((o|0)>(c|0)){p=f[n>>2]|0;if(!p){q=5;break}else{r=n;s=p}}else{if((o|0)>=(c|0)){q=10;break}t=n+4|0;o=f[t>>2]|0;if(!o){q=9;break}else{r=t;s=o}}m=r;n=s}if((q|0)==5){v=n;w=n;break}else if((q|0)==9){v=t;w=n;break}else if((q|0)==10){v=m;w=n;break}}else{v=g;w=g}while(0);g=f[v>>2]|0;if(!g){q=Bmc(48)|0;f[q+16>>2]=c;c=q+20|0;f[c>>2]=f[j>>2];f[c+4>>2]=f[j+4>>2];f[c+8>>2]=f[j+8>>2];f[c+12>>2]=f[j+12>>2];f[c+16>>2]=f[j+16>>2];f[c+20>>2]=f[j+20>>2];f[c+24>>2]=f[j+24>>2];f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=w;f[v>>2]=q;w=f[f[a>>2]>>2]|0;if(!w)x=q;else{f[a>>2]=w;x=f[v>>2]|0}RS(f[a+4>>2]|0,x);x=a+8|0;f[x>>2]=(f[x>>2]|0)+1;x=q+24|0;f[q+40>>2]=h;b[q+32>>0]=d;b[q+33>>0]=1;b[q+35>>0]=e&1;e=f[a+12>>2]|0;if(!e){a=Bmc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;y=a}else{a=e+64|0;if(f[a>>2]|0)pBb(e,25160,16);q=oBb(e,16,1685)|0;f[q>>2]=0;f[q+4>>2]=0;d=q+8|0;f[d>>2]=0;if(f[a>>2]|0)pBb(e,26896,8);a=nBb(e,8)|0;f[d>>2]=a;f[a>>2]=e;y=q}f[x>>2]=y;z=x}else{f[g+40>>2]=h;z=g+24|0}g=f[z>>2]|0;z=f[g>>2]|0;if((z|0)!=(f[g+4>>2]|0)){A=z;B=g+8|0;C=f[B>>2]|0;D=A+1|0;f[g>>2]=D;E=C+4+A|0;b[E>>0]=k;u=i;return}aJa(g,z+1|0);A=f[g>>2]|0;B=g+8|0;C=f[B>>2]|0;D=A+1|0;f[g>>2]=D;E=C+4+A|0;b[E>>0]=k;u=i;return}function H5b(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(!b)return;if(f[b>>2]|0)return;Emc(b);return}function I5b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;h=u;u=u+32|0;i=h;j=i+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;j=a+4|0;k=f[j>>2]|0;do if(k){l=a+4|0;m=k;while(1){n=f[m+16>>2]|0;if((n|0)>(c|0)){o=f[m>>2]|0;if(!o){p=5;break}else{q=m;r=o}}else{if((n|0)>=(c|0)){p=10;break}s=m+4|0;n=f[s>>2]|0;if(!n){p=9;break}else{q=s;r=n}}l=q;m=r}if((p|0)==5){t=m;v=m;break}else if((p|0)==9){t=s;v=m;break}else if((p|0)==10){t=l;v=m;break}}else{t=j;v=j}while(0);j=f[t>>2]|0;if(j|0){f[j+40>>2]=g;w=j+24|0;x=f[w>>2]|0;u=h;return x|0}j=Bmc(48)|0;f[j+16>>2]=c;c=j+20|0;f[c>>2]=f[i>>2];f[c+4>>2]=f[i+4>>2];f[c+8>>2]=f[i+8>>2];f[c+12>>2]=f[i+12>>2];f[c+16>>2]=f[i+16>>2];f[c+20>>2]=f[i+20>>2];f[c+24>>2]=f[i+24>>2];f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=v;f[t>>2]=j;v=f[f[a>>2]>>2]|0;if(!v)y=j;else{f[a>>2]=v;y=f[t>>2]|0}RS(f[a+4>>2]|0,y);y=a+8|0;f[y>>2]=(f[y>>2]|0)+1;y=j+24|0;f[j+40>>2]=g;b[j+33>>0]=1;b[j+32>>0]=d;b[j+35>>0]=e&1;do switch(f[149788+((d&255)<<2)>>2]|0){case 1:{e=f[a+12>>2]|0;if(!e){j=Bmc(12)|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;z=j}else{j=e+64|0;if(f[j>>2]|0)pBb(e,25112,16);g=oBb(e,16,1679)|0;f[g>>2]=0;f[g+4>>2]=0;t=g+8|0;f[t>>2]=0;if(f[j>>2]|0)pBb(e,26896,8);j=nBb(e,8)|0;f[t>>2]=j;f[j>>2]=e;z=g}f[y>>2]=z;w=y;x=f[w>>2]|0;u=h;return x|0}case 2:{g=f[a+12>>2]|0;if(!g){e=Bmc(12)|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;A=e}else{e=g+64|0;if(f[e>>2]|0)pBb(g,25120,16);j=oBb(g,16,1680)|0;f[j>>2]=0;f[j+4>>2]=0;t=j+8|0;f[t>>2]=0;if(f[e>>2]|0)pBb(g,26896,8);e=nBb(g,8)|0;f[t>>2]=e;f[e>>2]=g;A=j}f[y>>2]=A;w=y;x=f[w>>2]|0;u=h;return x|0}case 3:{j=f[a+12>>2]|0;if(!j){g=Bmc(12)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;B=g}else{g=j+64|0;if(f[g>>2]|0)pBb(j,25128,16);e=oBb(j,16,1681)|0;f[e>>2]=0;f[e+4>>2]=0;t=e+8|0;f[t>>2]=0;if(f[g>>2]|0)pBb(j,26896,8);g=nBb(j,8)|0;f[t>>2]=g;f[g>>2]=j;B=e}f[y>>2]=B;w=y;x=f[w>>2]|0;u=h;return x|0}case 4:{e=f[a+12>>2]|0;if(!e){j=Bmc(12)|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;C=j}else{j=e+64|0;if(f[j>>2]|0)pBb(e,25136,16);g=oBb(e,16,1682)|0;f[g>>2]=0;f[g+4>>2]=0;t=g+8|0;f[t>>2]=0;if(f[j>>2]|0)pBb(e,26896,8);j=nBb(e,8)|0;f[t>>2]=j;f[j>>2]=e;C=g}f[y>>2]=C;w=y;x=f[w>>2]|0;u=h;return x|0}case 5:{g=f[a+12>>2]|0;if(!g){e=Bmc(12)|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;D=e}else{e=g+64|0;if(f[e>>2]|0)pBb(g,25152,16);j=oBb(g,16,1684)|0;f[j>>2]=0;f[j+4>>2]=0;t=j+8|0;f[t>>2]=0;if(f[e>>2]|0)pBb(g,26896,8);e=nBb(g,8)|0;f[t>>2]=e;f[e>>2]=g;D=j}f[y>>2]=D;w=y;x=f[w>>2]|0;u=h;return x|0}case 6:{j=f[a+12>>2]|0;if(!j){g=Bmc(12)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;E=g}else{g=j+64|0;if(f[g>>2]|0)pBb(j,25144,16);e=oBb(j,16,1683)|0;f[e>>2]=0;f[e+4>>2]=0;t=e+8|0;f[t>>2]=0;if(f[g>>2]|0)pBb(j,26896,8);g=nBb(j,8)|0;f[t>>2]=g;f[g>>2]=j;E=e}f[y>>2]=E;w=y;x=f[w>>2]|0;u=h;return x|0}case 7:{e=f[a+12>>2]|0;if(!e){j=Bmc(12)|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;F=j}else{j=e+64|0;if(f[j>>2]|0)pBb(e,25160,16);g=oBb(e,16,1685)|0;f[g>>2]=0;f[g+4>>2]=0;t=g+8|0;f[t>>2]=0;if(f[j>>2]|0)pBb(e,26896,8);j=nBb(e,8)|0;f[t>>2]=j;f[j>>2]=e;F=g}f[y>>2]=F;w=y;x=f[w>>2]|0;u=h;return x|0}case 8:{g=f[a+12>>2]|0;if(!g){e=Bmc(12)|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;G=e}else{e=g+64|0;if(f[e>>2]|0)pBb(g,25112,16);j=oBb(g,16,1679)|0;f[j>>2]=0;f[j+4>>2]=0;t=j+8|0;f[t>>2]=0;if(f[e>>2]|0)pBb(g,26896,8);e=nBb(g,8)|0;f[t>>2]=e;f[e>>2]=g;G=j}f[y>>2]=G;w=y;x=f[w>>2]|0;u=h;return x|0}case 9:{j=f[a+12>>2]|0;if(!j){g=Bmc(16)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;H=g}else{if(f[j+64>>2]|0)pBb(j,25168,16);g=oBb(j,16,1686)|0;f[g>>2]=j;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;H=g}f[y>>2]=H;w=y;x=f[w>>2]|0;u=h;return x|0}case 10:{g=f[a+12>>2]|0;if(!g){j=Bmc(16)|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;I=j}else{if(f[g+64>>2]|0)pBb(g,24496,16);j=oBb(g,16,1674)|0;f[j>>2]=g;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;I=j}f[y>>2]=I;w=y;x=f[w>>2]|0;u=h;return x|0}default:{w=y;x=f[w>>2]|0;u=h;return x|0}}while(0);return 0}function J5b(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=a+12|0;d=f[c>>2]|0;if(!d){f[c>>2]=0;return}if(f[a>>2]|0){f[c>>2]=0;return}a=f[d>>2]|0;if((a|0)>0){e=0;do{g=f[d+4+(e<<2)>>2]|0;if(g|0){if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);Emc(g)}e=e+1|0}while((e|0)!=(a|0));h=f[c>>2]|0}else h=d;Emc(h);f[c>>2]=0;return}function K5b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=a+4|0;a=f[e>>2]|0;if(!a){g=d;return g|0}else{h=e;i=a}a:while(1){a=i;while(1){if((f[a+16>>2]|0)>=(c|0))break;j=f[a+4>>2]|0;if(!j){k=h;break a}else a=j}i=f[a>>2]|0;if(!i){k=a;break}else h=a}if((k|0)==(e|0)){g=d;return g|0}e=k+16|0;if((f[e>>2]|0)>(c|0)){g=d;return g|0}if(b[e+18>>0]&1){g=d;return g|0}g=f[k+24>>2]|0;return g|0}function L5b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;h=u;u=u+32|0;i=h;j=i+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;j=a+4|0;k=f[j>>2]|0;do if(k){l=a+4|0;m=k;while(1){n=f[m+16>>2]|0;if((n|0)>(c|0)){o=f[m>>2]|0;if(!o){p=5;break}else{q=m;r=o}}else{if((n|0)>=(c|0)){p=10;break}s=m+4|0;n=f[s>>2]|0;if(!n){p=9;break}else{q=s;r=n}}l=q;m=r}if((p|0)==5){t=m;v=m;break}else if((p|0)==9){t=s;v=m;break}else if((p|0)==10){t=l;v=m;break}}else{t=j;v=j}while(0);j=f[t>>2]|0;if(j|0){f[j+40>>2]=g;w=j+24|0;x=w+10|0;y=b[x>>0]|0;z=y&-16;b[x>>0]=z;f[w>>2]=e;u=h;return}j=Bmc(48)|0;f[j+16>>2]=c;c=j+20|0;f[c>>2]=f[i>>2];f[c+4>>2]=f[i+4>>2];f[c+8>>2]=f[i+8>>2];f[c+12>>2]=f[i+12>>2];f[c+16>>2]=f[i+16>>2];f[c+20>>2]=f[i+20>>2];f[c+24>>2]=f[i+24>>2];f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=v;f[t>>2]=j;v=f[f[a>>2]>>2]|0;if(!v)A=j;else{f[a>>2]=v;A=f[t>>2]|0}RS(f[a+4>>2]|0,A);A=a+8|0;f[A>>2]=(f[A>>2]|0)+1;f[j+40>>2]=g;b[j+32>>0]=d;b[j+33>>0]=0;w=j+24|0;x=w+10|0;y=b[x>>0]|0;z=y&-16;b[x>>0]=z;f[w>>2]=e;u=h;return}function M5b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+32|0;e=d;g=d+24|0;h=a+4|0;a=f[h>>2]|0;if(a){i=h;j=a;a:while(1){a=j;while(1){if((f[a+16>>2]|0)>=(b|0))break;k=f[a+4>>2]|0;if(!k){l=i;break a}else a=k}j=f[a>>2]|0;if(!j){l=a;break}else i=a}if((l|0)!=(h|0)?(f[l+16>>2]|0)<=(b|0):0)m=l;else n=8}else n=8;if((n|0)==8){TDb(e,3,512019,450);QDb(g,ODb(ODb(e,512127)|0,512169)|0);UDb(e);m=h}u=d;return f[(f[(f[m+24>>2]|0)+8>>2]|0)+4+(c<<2)>>2]|0}function N5b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=u;u=u+32|0;g=e;h=e+24|0;i=a+4|0;a=f[i>>2]|0;if(a|0){j=i;k=a;a:while(1){a=k;while(1){if((f[a+16>>2]|0)>=(b|0))break;l=f[a+4>>2]|0;if(!l){m=j;break a}else a=l}k=f[a>>2]|0;if(!k){m=a;break}else j=a}if((m|0)!=(i|0)?(f[m+16>>2]|0)<=(b|0):0){n=m;o=n+24|0;p=f[o>>2]|0;q=p+8|0;r=f[q>>2]|0;s=r+4+(c<<2)|0;f[s>>2]=d;u=e;return}}TDb(g,3,512019,457);QDb(h,ODb(ODb(g,512127)|0,512169)|0);UDb(g);n=i;o=n+24|0;p=f[o>>2]|0;q=p+8|0;r=f[q>>2]|0;s=r+4+(c<<2)|0;f[s>>2]=d;u=e;return}function O5b(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;i=u;u=u+32|0;j=i;k=j+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;k=a+4|0;l=f[k>>2]|0;do if(l){m=a+4|0;n=l;while(1){o=f[n+16>>2]|0;if((o|0)>(c|0)){p=f[n>>2]|0;if(!p){q=5;break}else{r=n;s=p}}else{if((o|0)>=(c|0)){q=10;break}t=n+4|0;o=f[t>>2]|0;if(!o){q=9;break}else{r=t;s=o}}m=r;n=s}if((q|0)==5){v=n;w=n;break}else if((q|0)==9){v=t;w=n;break}else if((q|0)==10){v=m;w=n;break}}else{v=k;w=k}while(0);k=f[v>>2]|0;if(!k){q=Bmc(48)|0;f[q+16>>2]=c;c=q+20|0;f[c>>2]=f[j>>2];f[c+4>>2]=f[j+4>>2];f[c+8>>2]=f[j+8>>2];f[c+12>>2]=f[j+12>>2];f[c+16>>2]=f[j+16>>2];f[c+20>>2]=f[j+20>>2];f[c+24>>2]=f[j+24>>2];f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=w;f[v>>2]=q;w=f[f[a>>2]>>2]|0;if(!w)x=q;else{f[a>>2]=w;x=f[v>>2]|0}RS(f[a+4>>2]|0,x);x=a+8|0;f[x>>2]=(f[x>>2]|0)+1;x=q+24|0;f[q+40>>2]=h;b[q+32>>0]=d;b[q+33>>0]=1;b[q+35>>0]=e&1;e=f[a+12>>2]|0;if(!e){a=Bmc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;y=a}else{a=e+64|0;if(f[a>>2]|0)pBb(e,25112,16);q=oBb(e,16,1679)|0;f[q>>2]=0;f[q+4>>2]=0;d=q+8|0;f[d>>2]=0;if(f[a>>2]|0)pBb(e,26896,8);a=nBb(e,8)|0;f[d>>2]=a;f[a>>2]=e;y=q}f[x>>2]=y;z=x}else{f[k+40>>2]=h;z=k+24|0}k=f[z>>2]|0;z=f[k>>2]|0;if((z|0)!=(f[k+4>>2]|0)){A=z;B=k+8|0;C=f[B>>2]|0;D=A+1|0;f[k>>2]=D;E=C+4+(A<<2)|0;f[E>>2]=g;u=i;return}eFa(k,z+1|0);A=f[k>>2]|0;B=k+8|0;C=f[B>>2]|0;D=A+1|0;f[k>>2]=D;E=C+4+(A<<2)|0;f[E>>2]=g;u=i;return}function P5b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=a+4|0;a=f[e>>2]|0;if(!a){g=d;return g|0}else{h=e;i=a}a:while(1){a=i;while(1){if((f[a+16>>2]|0)>=(c|0))break;j=f[a+4>>2]|0;if(!j){k=h;break a}else a=j}i=f[a>>2]|0;if(!i){k=a;break}else h=a}if((k|0)==(e|0)){g=d;return g|0}e=k+16|0;if((f[e>>2]|0)>(c|0)){g=d;return g|0}if(b[e+18>>0]&1){g=d;return g|0}g=f[k+24>>2]|0;return g|0}function Q5b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;g=u;u=u+32|0;h=g;i=h+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;i=a+4|0;j=f[i>>2]|0;do if(j){k=a+4|0;l=j;while(1){m=f[l+16>>2]|0;if((m|0)>(c|0)){n=f[l>>2]|0;if(!n){o=5;break}else{p=l;q=n}}else{if((m|0)>=(c|0)){o=10;break}r=l+4|0;m=f[r>>2]|0;if(!m){o=9;break}else{p=r;q=m}}k=p;l=q}if((o|0)==5){s=l;t=l;break}else if((o|0)==9){s=r;t=l;break}else if((o|0)==10){s=k;t=l;break}}else{s=i;t=i}while(0);i=f[s>>2]|0;if(i|0){f[i+40>>2]=e;v=i+24|0;w=v+10|0;x=b[w>>0]|0;y=x&-16;b[w>>0]=y;z=f[v>>2]|0;u=g;return z|0}i=Bmc(48)|0;f[i+16>>2]=c;c=i+20|0;f[c>>2]=f[h>>2];f[c+4>>2]=f[h+4>>2];f[c+8>>2]=f[h+8>>2];f[c+12>>2]=f[h+12>>2];f[c+16>>2]=f[h+16>>2];f[c+20>>2]=f[h+20>>2];f[c+24>>2]=f[h+24>>2];f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=t;f[s>>2]=i;t=f[f[a>>2]>>2]|0;if(!t)A=i;else{f[a>>2]=t;A=f[s>>2]|0}RS(f[a+4>>2]|0,A);A=a+8|0;f[A>>2]=(f[A>>2]|0)+1;A=i+24|0;f[i+40>>2]=e;b[i+32>>0]=d;b[i+33>>0]=0;i=f[a+12>>2]|0;if(!i){a=Bmc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;B=a}else{if(f[i+64>>2]|0)pBb(i,9552,16);a=oBb(i,16,1630)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;B=a}f[A>>2]=B;v=A;w=v+10|0;x=b[w>>0]|0;y=x&-16;b[w>>0]=y;z=f[v>>2]|0;u=g;return z|0}function R5b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+32|0;e=d;g=d+24|0;h=a+4|0;a=f[h>>2]|0;if(a){i=h;j=a;a:while(1){a=j;while(1){if((f[a+16>>2]|0)>=(b|0))break;k=f[a+4>>2]|0;if(!k){l=i;break a}else a=k}j=f[a>>2]|0;if(!j){l=a;break}else i=a}if((l|0)!=(h|0)?(f[l+16>>2]|0)<=(b|0):0)m=l;else n=8}else n=8;if((n|0)==8){TDb(e,3,512019,512);QDb(g,ODb(ODb(e,512127)|0,512169)|0);UDb(e);m=h}u=d;return f[(f[(f[m+24>>2]|0)+12>>2]|0)+4+(c<<2)>>2]|0}function S5b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+32|0;e=d;g=d+24|0;h=a+4|0;a=f[h>>2]|0;if(a){i=h;j=a;a:while(1){a=j;while(1){if((f[a+16>>2]|0)>=(b|0))break;k=f[a+4>>2]|0;if(!k){l=i;break a}else a=k}j=f[a>>2]|0;if(!j){l=a;break}else i=a}if((l|0)!=(h|0)?(f[l+16>>2]|0)<=(b|0):0)m=l;else n=8}else n=8;if((n|0)==8){TDb(e,3,512019,519);QDb(g,ODb(ODb(e,512127)|0,512169)|0);UDb(e);m=h}u=d;return f[(f[(f[m+24>>2]|0)+12>>2]|0)+4+(c<<2)>>2]|0}function T5b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;g=u;u=u+32|0;h=g;i=h+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;i=a+4|0;j=f[i>>2]|0;do if(j){k=a+4|0;l=j;while(1){m=f[l+16>>2]|0;if((m|0)>(c|0)){n=f[l>>2]|0;if(!n){o=5;break}else{p=l;q=n}}else{if((m|0)>=(c|0)){o=10;break}r=l+4|0;m=f[r>>2]|0;if(!m){o=9;break}else{p=r;q=m}}k=p;l=q}if((o|0)==5){s=l;t=l;break}else if((o|0)==9){s=r;t=l;break}else if((o|0)==10){s=k;t=l;break}}else{s=i;t=i}while(0);i=f[s>>2]|0;if(i|0){f[i+40>>2]=e;v=i+24|0;w=f[v>>2]|0;x=dFa(w)|0;u=g;return x|0}i=Bmc(48)|0;f[i+16>>2]=c;c=i+20|0;f[c>>2]=f[h>>2];f[c+4>>2]=f[h+4>>2];f[c+8>>2]=f[h+8>>2];f[c+12>>2]=f[h+12>>2];f[c+16>>2]=f[h+16>>2];f[c+20>>2]=f[h+20>>2];f[c+24>>2]=f[h+24>>2];f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=t;f[s>>2]=i;t=f[f[a>>2]>>2]|0;if(!t)y=i;else{f[a>>2]=t;y=f[s>>2]|0}RS(f[a+4>>2]|0,y);y=a+8|0;f[y>>2]=(f[y>>2]|0)+1;y=i+24|0;f[i+40>>2]=e;b[i+32>>0]=d;b[i+33>>0]=1;b[i+35>>0]=0;i=f[a+12>>2]|0;if(!i){a=Bmc(16)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;z=a}else{if(f[i+64>>2]|0)pBb(i,25168,16);a=oBb(i,16,1686)|0;f[a>>2]=i;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;z=a}f[y>>2]=z;v=y;w=f[v>>2]|0;x=dFa(w)|0;u=g;return x|0}function U5b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;h=u;u=u+32|0;i=h;j=i+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;j=a+4|0;k=f[j>>2]|0;do if(k){l=a+4|0;m=k;while(1){n=f[m+16>>2]|0;if((n|0)>(c|0)){o=f[m>>2]|0;if(!o){p=5;break}else{q=m;r=o}}else{if((n|0)>=(c|0)){p=10;break}s=m+4|0;n=f[s>>2]|0;if(!n){p=9;break}else{q=s;r=n}}l=q;m=r}if((p|0)==5){t=m;v=m;break}else if((p|0)==9){t=s;v=m;break}else if((p|0)==10){t=l;v=m;break}}else{t=j;v=j}while(0);j=f[t>>2]|0;if(!j){p=Bmc(48)|0;f[p+16>>2]=c;c=p+20|0;f[c>>2]=f[i>>2];f[c+4>>2]=f[i+4>>2];f[c+8>>2]=f[i+8>>2];f[c+12>>2]=f[i+12>>2];f[c+16>>2]=f[i+16>>2];f[c+20>>2]=f[i+20>>2];f[c+24>>2]=f[i+24>>2];f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=v;f[t>>2]=p;v=f[f[a>>2]>>2]|0;if(!v)w=p;else{f[a>>2]=v;w=f[t>>2]|0}RS(f[a+4>>2]|0,w);w=a+8|0;f[w>>2]=(f[w>>2]|0)+1;f[p+40>>2]=g;b[p+32>>0]=d;b[p+33>>0]=0;d=p+34|0;b[d>>0]=b[d>>0]&15;w=Sh[f[(f[e>>2]|0)+16>>2]&511](e,f[a+12>>2]|0)|0;f[p+24>>2]=w;b[d>>0]=b[d>>0]&-16;x=w;u=h;return x|0}else{f[j+40>>2]=g;g=j+34|0;w=b[g>>0]|0;b[g>>0]=w&-16;g=f[j+24>>2]|0;if(!(w&16)){x=g;u=h;return x|0}x=Sh[f[(f[g>>2]|0)+16>>2]&511](g,e)|0;u=h;return x|0}return 0}function V5b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;h=u;u=u+32|0;i=h;if(!g){j=a+4|0;k=f[j>>2]|0;if(!k){u=h;return}else{l=j;m=k}a:while(1){k=m;while(1){if((f[k+16>>2]|0)>=(c|0))break;n=f[k+4>>2]|0;if(!n){o=l;break a}else k=n}m=f[k>>2]|0;if(!m){o=k;break}else l=k}if((o|0)==(j|0)){u=h;return}if((f[o+16>>2]|0)>(c|0)){u=h;return}S4b(o+24|0);u=h;return}o=i+4|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;f[o+16>>2]=0;f[o+20>>2]=0;o=a+4|0;j=f[o>>2]|0;do if(j){l=a+4|0;m=j;while(1){n=f[m+16>>2]|0;if((n|0)>(c|0)){p=f[m>>2]|0;if(!p){q=14;break}else{r=m;s=p}}else{if((n|0)>=(c|0)){q=19;break}t=m+4|0;n=f[t>>2]|0;if(!n){q=18;break}else{r=t;s=n}}l=r;m=s}if((q|0)==14){v=m;w=m;break}else if((q|0)==18){v=t;w=m;break}else if((q|0)==19){v=l;w=m;break}}else{v=o;w=o}while(0);o=f[v>>2]|0;do if(!o){q=Bmc(48)|0;f[q+16>>2]=c;t=q+20|0;f[t>>2]=f[i>>2];f[t+4>>2]=f[i+4>>2];f[t+8>>2]=f[i+8>>2];f[t+12>>2]=f[i+12>>2];f[t+16>>2]=f[i+16>>2];f[t+20>>2]=f[i+20>>2];f[t+24>>2]=f[i+24>>2];f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=w;f[v>>2]=q;t=f[f[a>>2]>>2]|0;if(!t)x=q;else{f[a>>2]=t;x=f[v>>2]|0}RS(f[a+4>>2]|0,x);t=a+8|0;f[t>>2]=(f[t>>2]|0)+1;f[q+40>>2]=e;b[q+32>>0]=d;b[q+33>>0]=0;t=q+34|0;b[t>>0]=b[t>>0]&15;f[q+24>>2]=g;y=q}else{q=o+24|0;f[o+40>>2]=e;if(b[o+34>>0]&16){t=f[q>>2]|0;xh[f[(f[t>>2]|0)+24>>2]&2047](t,g);y=o;break}if((f[a+12>>2]|0)==0?(t=f[q>>2]|0,t|0):0)ai[f[(f[t>>2]|0)+4>>2]&2047](t);f[q>>2]=g;y=o}while(0);o=y+34|0;b[o>>0]=b[o>>0]&-16;u=h;return}function W5b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+32|0;e=d;g=d+24|0;h=a+4|0;a=f[h>>2]|0;if(a){i=h;j=a;a:while(1){a=j;while(1){if((f[a+16>>2]|0)>=(b|0))break;k=f[a+4>>2]|0;if(!k){l=i;break a}else a=k}j=f[a>>2]|0;if(!j){l=a;break}else i=a}if((l|0)!=(h|0)?(f[l+16>>2]|0)<=(b|0):0)m=l;else n=8}else n=8;if((n|0)==8){TDb(e,3,512019,725);QDb(g,ODb(ODb(e,512127)|0,512169)|0);UDb(e);m=h}u=d;return f[(f[(f[m+24>>2]|0)+12>>2]|0)+4+(c<<2)>>2]|0}function X5b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+32|0;e=d;g=d+24|0;h=a+4|0;a=f[h>>2]|0;if(a){i=h;j=a;a:while(1){a=j;while(1){if((f[a+16>>2]|0)>=(b|0))break;k=f[a+4>>2]|0;if(!k){l=i;break a}else a=k}j=f[a>>2]|0;if(!j){l=a;break}else i=a}if((l|0)!=(h|0)?(f[l+16>>2]|0)<=(b|0):0)m=l;else n=8}else n=8;if((n|0)==8){TDb(e,3,512019,732);QDb(g,ODb(ODb(e,512127)|0,512169)|0);UDb(e);m=h}u=d;return f[(f[(f[m+24>>2]|0)+12>>2]|0)+4+(c<<2)>>2]|0}function Y5b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;h=u;u=u+32|0;i=h;j=i+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;j=a+4|0;k=f[j>>2]|0;do if(k){l=a+4|0;m=k;while(1){n=f[m+16>>2]|0;if((n|0)>(c|0)){o=f[m>>2]|0;if(!o){p=5;break}else{q=m;r=o}}else{if((n|0)>=(c|0)){p=10;break}s=m+4|0;n=f[s>>2]|0;if(!n){p=9;break}else{q=s;r=n}}l=q;m=r}if((p|0)==5){t=m;v=m;break}else if((p|0)==9){t=s;v=m;break}else if((p|0)==10){t=l;v=m;break}}else{t=j;v=j}while(0);j=f[t>>2]|0;if(!j){p=Bmc(48)|0;f[p+16>>2]=c;c=p+20|0;f[c>>2]=f[i>>2];f[c+4>>2]=f[i+4>>2];f[c+8>>2]=f[i+8>>2];f[c+12>>2]=f[i+12>>2];f[c+16>>2]=f[i+16>>2];f[c+20>>2]=f[i+20>>2];f[c+24>>2]=f[i+24>>2];f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=v;f[t>>2]=p;v=f[f[a>>2]>>2]|0;if(!v)w=p;else{f[a>>2]=v;w=f[t>>2]|0}RS(f[a+4>>2]|0,w);w=a+8|0;f[w>>2]=(f[w>>2]|0)+1;w=p+24|0;f[p+40>>2]=g;b[p+32>>0]=d;b[p+33>>0]=1;p=f[a+12>>2]|0;if(!p){d=Bmc(16)|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;x=d}else{if(f[p+64>>2]|0)pBb(p,24496,16);d=oBb(p,16,1674)|0;f[d>>2]=p;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;x=d}f[w>>2]=x;y=w}else{f[j+40>>2]=g;y=j+24|0}j=f[y>>2]|0;g=f[j+12>>2]|0;if((g|0?(w=j+4|0,j=f[w>>2]|0,(j|0)<(f[g>>2]|0)):0)?(f[w>>2]=j+1,w=f[g+4+(j<<2)>>2]|0,w|0):0){z=w;u=h;return z|0}w=Sh[f[(f[e>>2]|0)+16>>2]&511](e,f[a+12>>2]|0)|0;XVb(f[y>>2]|0,w);z=w;u=h;return z|0}function Z5b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+32|0;e=d;g=d+24|0;i=a+4|0;a=f[i>>2]|0;if(a){j=i;k=a;a:while(1){a=k;while(1){if((f[a+16>>2]|0)>=(c|0))break;l=f[a+4>>2]|0;if(!l){m=j;break a}else a=l}k=f[a>>2]|0;if(!k){m=a;break}else j=a}if((m|0)!=(i|0)?(f[m+16>>2]|0)<=(c|0):0)n=m;else o=8}else o=8;if((o|0)==8){TDb(e,3,512019,771);QDb(g,ODb(ODb(e,512127)|0,512169)|0);UDb(e);n=i}i=n+24|0;do switch(f[149788+(h[n+32>>0]<<2)>>2]|0){case 1:{e=f[i>>2]|0;f[e>>2]=(f[e>>2]|0)+-1;u=d;return}case 2:{e=f[i>>2]|0;f[e>>2]=(f[e>>2]|0)+-1;u=d;return}case 3:{e=f[i>>2]|0;f[e>>2]=(f[e>>2]|0)+-1;u=d;return}case 4:{e=f[i>>2]|0;f[e>>2]=(f[e>>2]|0)+-1;u=d;return}case 6:{e=f[i>>2]|0;f[e>>2]=(f[e>>2]|0)+-1;u=d;return}case 5:{e=f[i>>2]|0;f[e>>2]=(f[e>>2]|0)+-1;u=d;return}case 7:{e=f[i>>2]|0;f[e>>2]=(f[e>>2]|0)+-1;u=d;return}case 8:{e=f[i>>2]|0;f[e>>2]=(f[e>>2]|0)+-1;u=d;return}case 9:{e=f[i>>2]|0;g=f[e+12>>2]|0;o=e+4|0;e=(f[o>>2]|0)+-1|0;f[o>>2]=e;o=f[g+4+(e<<2)>>2]|0;e=o+11|0;if((b[e>>0]|0)<0){b[f[o>>2]>>0]=0;f[o+4>>2]=0;u=d;return}else{b[o>>0]=0;b[e>>0]=0;u=d;return}break}case 10:{e=f[i>>2]|0;o=f[e+12>>2]|0;g=e+4|0;e=(f[g>>2]|0)+-1|0;f[g>>2]=e;g=f[o+4+(e<<2)>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g);u=d;return}default:{u=d;return}}while(0)}function _5b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+32|0;d=c;e=c+24|0;g=a+4|0;a=f[g>>2]|0;if(a){h=g;i=a;a:while(1){a=i;while(1){if((f[a+16>>2]|0)>=(b|0))break;j=f[a+4>>2]|0;if(!j){k=h;break a}else a=j}i=f[a>>2]|0;if(!i){k=a;break}else h=a}if((k|0)!=(g|0)?(f[k+16>>2]|0)<=(b|0):0)l=k;else m=8}else m=8;if((m|0)==8){TDb(d,3,512019,812);QDb(e,ODb(ODb(d,512127)|0,512169)|0);UDb(d);l=g}g=f[l+24>>2]|0;l=f[g+12>>2]|0;d=g+4|0;g=f[d>>2]|0;e=g+-1|0;f[d>>2]=e;d=l+4+(e<<2)|0;e=f[d>>2]|0;m=f[l>>2]|0;k=m+-1|0;f[l>>2]=k;if((g|0)>=(m|0)){u=c;return e|0}f[d>>2]=f[l+4+(k<<2)>>2];u=c;return e|0}function $5b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0.0;g=u;u=u+32|0;i=g;j=g+24|0;k=a+4|0;a=f[k>>2]|0;if(a){l=k;m=a;a:while(1){a=m;while(1){if((f[a+16>>2]|0)>=(c|0))break;n=f[a+4>>2]|0;if(!n){o=l;break a}else a=n}m=f[a>>2]|0;if(!m){o=a;break}else l=a}if((o|0)!=(k|0)?(f[o+16>>2]|0)<=(c|0):0)q=o;else r=8}else r=8;if((r|0)==8){TDb(i,3,512019,822);QDb(j,ODb(ODb(i,512127)|0,512169)|0);UDb(i);q=k}k=q+24|0;do switch(f[149788+((h[q+32>>0]|0)<<2)>>2]|0){case 1:{i=f[(f[k>>2]|0)+8>>2]|0;j=i+4+(d<<2)|0;r=i+4+(e<<2)|0;i=f[j>>2]|0;f[j>>2]=f[r>>2];f[r>>2]=i;u=g;return}case 2:{i=f[(f[k>>2]|0)+8>>2]|0;r=i+8+(d<<3)|0;j=i+8+(e<<3)|0;i=r;o=f[i>>2]|0;c=f[i+4>>2]|0;i=j;l=f[i+4>>2]|0;m=r;f[m>>2]=f[i>>2];f[m+4>>2]=l;l=j;f[l>>2]=o;f[l+4>>2]=c;u=g;return}case 3:{c=f[(f[k>>2]|0)+8>>2]|0;l=c+4+(d<<2)|0;o=c+4+(e<<2)|0;c=f[l>>2]|0;f[l>>2]=f[o>>2];f[o>>2]=c;u=g;return}case 4:{c=f[(f[k>>2]|0)+8>>2]|0;o=c+8+(d<<3)|0;l=c+8+(e<<3)|0;c=o;j=f[c>>2]|0;m=f[c+4>>2]|0;c=l;i=f[c+4>>2]|0;r=o;f[r>>2]=f[c>>2];f[r+4>>2]=i;i=l;f[i>>2]=j;f[i+4>>2]=m;u=g;return}case 6:{m=f[(f[k>>2]|0)+8>>2]|0;i=m+4+(d<<2)|0;j=m+4+(e<<2)|0;m=f[i>>2]|0;f[i>>2]=f[j>>2];f[j>>2]=m;u=g;return}case 5:{m=f[(f[k>>2]|0)+8>>2]|0;j=m+8+(d<<3)|0;i=m+8+(e<<3)|0;s=+p[j>>3];p[j>>3]=+p[i>>3];p[i>>3]=s;u=g;return}case 7:{i=f[(f[k>>2]|0)+8>>2]|0;j=i+4+d|0;m=i+4+e|0;i=b[j>>0]|0;b[j>>0]=b[m>>0]|0;b[m>>0]=i;u=g;return}case 8:{i=f[(f[k>>2]|0)+8>>2]|0;m=i+4+(d<<2)|0;j=i+4+(e<<2)|0;i=f[m>>2]|0;f[m>>2]=f[j>>2];f[j>>2]=i;u=g;return}case 9:{i=f[(f[k>>2]|0)+12>>2]|0;j=i+4+(d<<2)|0;m=i+4+(e<<2)|0;i=f[j>>2]|0;f[j>>2]=f[m>>2];f[m>>2]=i;u=g;return}case 10:{i=f[(f[k>>2]|0)+12>>2]|0;m=i+4+(d<<2)|0;j=i+4+(e<<2)|0;i=f[m>>2]|0;f[m>>2]=f[j>>2];f[j>>2]=i;u=g;return}default:{u=g;return}}while(0)}function a6b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;b=f[a>>2]|0;c=a+4|0;if((b|0)==(c|0))return;else d=b;while(1){S4b(d+24|0);b=f[d+4>>2]|0;if(!b){a=d+8|0;e=f[a>>2]|0;if((f[e>>2]|0)==(d|0))g=e;else{e=a;do{a=f[e>>2]|0;e=a+8|0;h=f[e>>2]|0}while((f[h>>2]|0)!=(a|0));g=h}}else{e=b;while(1){h=f[e>>2]|0;if(!h)break;else e=h}g=e}if((g|0)==(c|0))break;else d=g}return}function b6b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=f[b>>2]|0;d=b+4|0;if((c|0)==(d|0))return;else e=c;while(1){c6b(a,f[e+16>>2]|0,e+24|0);c=f[e+4>>2]|0;if(!c){b=e+8|0;g=f[b>>2]|0;if((f[g>>2]|0)==(e|0))h=g;else{g=b;do{b=f[g>>2]|0;g=b+8|0;i=f[g>>2]|0}while((f[i>>2]|0)!=(b|0));h=i}}else{g=c;while(1){i=f[g>>2]|0;if(!i)break;else g=i}h=g}if((h|0)==(d|0))break;else e=h}return}function c6b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0.0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0;e=u;u=u+32|0;g=e;if(b[d+9>>0]|0){h=f[d+16>>2]|0;i=g+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;i=a+4|0;j=f[i>>2]|0;do if(j){k=a+4|0;l=j;while(1){m=f[l+16>>2]|0;if((m|0)>(c|0)){n=f[l>>2]|0;if(!n){o=6;break}else{q=l;r=n}}else{if((m|0)>=(c|0)){o=11;break}s=l+4|0;m=f[s>>2]|0;if(!m){o=10;break}else{q=s;r=m}}k=q;l=r}if((o|0)==6){t=l;v=l;break}else if((o|0)==10){t=s;v=l;break}else if((o|0)==11){t=k;v=l;break}}else{t=i;v=i}while(0);i=f[t>>2]|0;if(!i){s=Bmc(48)|0;f[s+16>>2]=c;r=s+20|0;f[r>>2]=f[g>>2];f[r+4>>2]=f[g+4>>2];f[r+8>>2]=f[g+8>>2];f[r+12>>2]=f[g+12>>2];f[r+16>>2]=f[g+16>>2];f[r+20>>2]=f[g+20>>2];f[r+24>>2]=f[g+24>>2];f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=v;f[t>>2]=s;v=f[f[a>>2]>>2]|0;if(!v)w=s;else{f[a>>2]=v;w=f[t>>2]|0}RS(f[a+4>>2]|0,w);w=a+8|0;f[w>>2]=(f[w>>2]|0)+1;f[s+40>>2]=h;w=b[d+8>>0]|0;b[s+32>>0]=w;b[s+35>>0]=b[d+11>>0]|0;b[s+33>>0]=1;x=1;y=w;z=s+24|0}else{f[i+40>>2]=h;x=0;y=b[d+8>>0]|0;z=i+24|0}do switch(f[149788+((y&255)<<2)>>2]|0){case 1:{if(x){i=f[a+12>>2]|0;if(!i){h=Bmc(12)|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;A=h}else{h=i+64|0;if(f[h>>2]|0)pBb(i,25112,16);s=oBb(i,16,1679)|0;f[s>>2]=0;f[s+4>>2]=0;w=s+8|0;f[w>>2]=0;if(f[h>>2]|0)pBb(i,26896,8);h=nBb(i,8)|0;f[w>>2]=h;f[h>>2]=i;A=s}f[z>>2]=A;B=A}else B=f[z>>2]|0;s=f[d>>2]|0;i=f[s>>2]|0;if(!i){u=e;return}eFa(B,(f[B>>2]|0)+i|0);Krc((f[B+8>>2]|0)+4+(f[B>>2]<<2)|0,(f[s+8>>2]|0)+4|0,f[s>>2]<<2|0)|0;f[B>>2]=(f[B>>2]|0)+(f[s>>2]|0);u=e;return}case 2:{if(x){s=f[a+12>>2]|0;if(!s){i=Bmc(12)|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;C=i}else{i=s+64|0;if(f[i>>2]|0)pBb(s,25120,16);h=oBb(s,16,1680)|0;f[h>>2]=0;f[h+4>>2]=0;w=h+8|0;f[w>>2]=0;if(f[i>>2]|0)pBb(s,26896,8);i=nBb(s,8)|0;f[w>>2]=i;f[i>>2]=s;C=h}f[z>>2]=C;D=C}else D=f[z>>2]|0;h=f[d>>2]|0;s=f[h>>2]|0;if(!s){u=e;return}cEa(D,(f[D>>2]|0)+s|0);Krc((f[D+8>>2]|0)+8+(f[D>>2]<<3)|0,(f[h+8>>2]|0)+8|0,f[h>>2]<<3|0)|0;f[D>>2]=(f[D>>2]|0)+(f[h>>2]|0);u=e;return}case 3:{if(x){h=f[a+12>>2]|0;if(!h){s=Bmc(12)|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;E=s}else{s=h+64|0;if(f[s>>2]|0)pBb(h,25128,16);i=oBb(h,16,1681)|0;f[i>>2]=0;f[i+4>>2]=0;w=i+8|0;f[w>>2]=0;if(f[s>>2]|0)pBb(h,26896,8);s=nBb(h,8)|0;f[w>>2]=s;f[s>>2]=h;E=i}f[z>>2]=E;F=E}else F=f[z>>2]|0;i=f[d>>2]|0;h=f[i>>2]|0;if(!h){u=e;return}iFa(F,(f[F>>2]|0)+h|0);Krc((f[F+8>>2]|0)+4+(f[F>>2]<<2)|0,(f[i+8>>2]|0)+4|0,f[i>>2]<<2|0)|0;f[F>>2]=(f[F>>2]|0)+(f[i>>2]|0);u=e;return}case 4:{if(x){i=f[a+12>>2]|0;if(!i){h=Bmc(12)|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;G=h}else{h=i+64|0;if(f[h>>2]|0)pBb(i,25136,16);s=oBb(i,16,1682)|0;f[s>>2]=0;f[s+4>>2]=0;w=s+8|0;f[w>>2]=0;if(f[h>>2]|0)pBb(i,26896,8);h=nBb(i,8)|0;f[w>>2]=h;f[h>>2]=i;G=s}f[z>>2]=G;H=G}else H=f[z>>2]|0;s=f[d>>2]|0;i=f[s>>2]|0;if(!i){u=e;return}bhb(H,(f[H>>2]|0)+i|0);Krc((f[H+8>>2]|0)+8+(f[H>>2]<<3)|0,(f[s+8>>2]|0)+8|0,f[s>>2]<<3|0)|0;f[H>>2]=(f[H>>2]|0)+(f[s>>2]|0);u=e;return}case 6:{if(x){s=f[a+12>>2]|0;if(!s){i=Bmc(12)|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;I=i}else{i=s+64|0;if(f[i>>2]|0)pBb(s,25144,16);h=oBb(s,16,1683)|0;f[h>>2]=0;f[h+4>>2]=0;w=h+8|0;f[w>>2]=0;if(f[i>>2]|0)pBb(s,26896,8);i=nBb(s,8)|0;f[w>>2]=i;f[i>>2]=s;I=h}f[z>>2]=I;J=I}else J=f[z>>2]|0;h=f[d>>2]|0;s=f[h>>2]|0;if(!s){u=e;return}aEa(J,(f[J>>2]|0)+s|0);Krc((f[J+8>>2]|0)+4+(f[J>>2]<<2)|0,(f[h+8>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[J>>2]=(f[J>>2]|0)+(f[h>>2]|0);u=e;return}case 5:{if(x){h=f[a+12>>2]|0;if(!h){s=Bmc(12)|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;K=s}else{s=h+64|0;if(f[s>>2]|0)pBb(h,25152,16);i=oBb(h,16,1684)|0;f[i>>2]=0;f[i+4>>2]=0;w=i+8|0;f[w>>2]=0;if(f[s>>2]|0)pBb(h,26896,8);s=nBb(h,8)|0;f[w>>2]=s;f[s>>2]=h;K=i}f[z>>2]=K;L=K}else L=f[z>>2]|0;i=f[d>>2]|0;h=f[i>>2]|0;if(!h){u=e;return}bEa(L,(f[L>>2]|0)+h|0);Krc((f[L+8>>2]|0)+8+(f[L>>2]<<3)|0,(f[i+8>>2]|0)+8|0,f[i>>2]<<3|0)|0;f[L>>2]=(f[L>>2]|0)+(f[i>>2]|0);u=e;return}case 7:{if(x){i=f[a+12>>2]|0;if(!i){h=Bmc(12)|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;M=h}else{h=i+64|0;if(f[h>>2]|0)pBb(i,25160,16);s=oBb(i,16,1685)|0;f[s>>2]=0;f[s+4>>2]=0;w=s+8|0;f[w>>2]=0;if(f[h>>2]|0)pBb(i,26896,8);h=nBb(i,8)|0;f[w>>2]=h;f[h>>2]=i;M=s}f[z>>2]=M;N=M}else N=f[z>>2]|0;s=f[d>>2]|0;i=f[s>>2]|0;if(!i){u=e;return}aJa(N,(f[N>>2]|0)+i|0);Krc((f[N>>2]|0)+((f[N+8>>2]|0)+4)|0,(f[s+8>>2]|0)+4|0,f[s>>2]|0)|0;f[N>>2]=(f[N>>2]|0)+(f[s>>2]|0);u=e;return}case 8:{if(x){s=f[a+12>>2]|0;if(!s){i=Bmc(12)|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;O=i}else{i=s+64|0;if(f[i>>2]|0)pBb(s,25112,16);h=oBb(s,16,1679)|0;f[h>>2]=0;f[h+4>>2]=0;w=h+8|0;f[w>>2]=0;if(f[i>>2]|0)pBb(s,26896,8);i=nBb(s,8)|0;f[w>>2]=i;f[i>>2]=s;O=h}f[z>>2]=O;P=O}else P=f[z>>2]|0;h=f[d>>2]|0;s=f[h>>2]|0;if(!s){u=e;return}eFa(P,(f[P>>2]|0)+s|0);Krc((f[P+8>>2]|0)+4+(f[P>>2]<<2)|0,(f[h+8>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[P>>2]=(f[P>>2]|0)+(f[h>>2]|0);u=e;return}case 9:{if(x){h=f[a+12>>2]|0;if(!h){s=Bmc(16)|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;Q=s}else{if(f[h+64>>2]|0)pBb(h,25168,16);s=oBb(h,16,1686)|0;f[s>>2]=h;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;Q=s}f[z>>2]=Q;R=Q}else R=f[z>>2]|0;BHa(R,f[d>>2]|0);u=e;return}case 10:{if(x){s=f[a+12>>2]|0;if(!s){h=Bmc(16)|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;S=h}else{if(f[s+64>>2]|0)pBb(s,24496,16);h=oBb(s,16,1674)|0;f[h>>2]=s;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;S=h}f[z>>2]=S}h=f[d>>2]|0;s=h+4|0;if((f[s>>2]|0)<=0){u=e;return}i=h+12|0;h=a+12|0;w=0;do{t=f[(f[i>>2]|0)+4+(w<<2)>>2]|0;v=f[z>>2]|0;r=f[v+12>>2]|0;if(((r|0)!=0?(q=v+4|0,v=f[q>>2]|0,(v|0)<(f[r>>2]|0)):0)?(f[q>>2]=v+1,q=f[r+4+(v<<2)>>2]|0,(q|0)!=0):0)T=q;else{q=Sh[f[(f[t>>2]|0)+16>>2]&511](t,f[h>>2]|0)|0;XVb(f[z>>2]|0,q);T=q}xh[f[(f[T>>2]|0)+40>>2]&2047](T,t);w=w+1|0}while((w|0)<(f[s>>2]|0));u=e;return}default:{u=e;return}}while(0)}T=d+10|0;if(b[T>>0]&1){u=e;return}z=d+8|0;S=b[z>>0]|0;do switch(f[149788+((S&255)<<2)>>2]|0){case 1:{x=f[d>>2]|0;R=f[d+16>>2]|0;Q=g+4|0;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q+12>>2]=0;f[Q+16>>2]=0;f[Q+20>>2]=0;Q=a+4|0;P=f[Q>>2]|0;do if(P){O=a+4|0;N=P;while(1){M=f[N+16>>2]|0;if((M|0)>(c|0)){L=f[N>>2]|0;if(!L){o=144;break}else{U=N;V=L}}else{if((M|0)>=(c|0)){o=149;break}W=N+4|0;M=f[W>>2]|0;if(!M){o=148;break}else{U=W;V=M}}O=U;N=V}if((o|0)==144){X=N;Y=N;break}else if((o|0)==148){X=W;Y=N;break}else if((o|0)==149){X=O;Y=N;break}}else{X=Q;Y=Q}while(0);Q=f[X>>2]|0;if(!Q){P=Bmc(48)|0;f[P+16>>2]=c;M=P+20|0;f[M>>2]=f[g>>2];f[M+4>>2]=f[g+4>>2];f[M+8>>2]=f[g+8>>2];f[M+12>>2]=f[g+12>>2];f[M+16>>2]=f[g+16>>2];f[M+20>>2]=f[g+20>>2];f[M+24>>2]=f[g+24>>2];f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=Y;f[X>>2]=P;M=f[f[a>>2]>>2]|0;if(!M)Z=P;else{f[a>>2]=M;Z=f[X>>2]|0}RS(f[a+4>>2]|0,Z);M=a+8|0;f[M>>2]=(f[M>>2]|0)+1;f[P+40>>2]=R;b[P+32>>0]=S;b[P+33>>0]=0;_=P+24|0}else{f[Q+40>>2]=R;_=Q+24|0}Q=_+10|0;b[Q>>0]=b[Q>>0]&-16;f[_>>2]=x;u=e;return}case 2:{Q=d;P=f[Q>>2]|0;M=f[Q+4>>2]|0;Q=f[d+16>>2]|0;L=g+4|0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;f[L+16>>2]=0;f[L+20>>2]=0;L=a+4|0;K=f[L>>2]|0;do if(K){J=a+4|0;I=K;while(1){H=f[I+16>>2]|0;if((H|0)>(c|0)){G=f[I>>2]|0;if(!G){o=161;break}else{$=I;aa=G}}else{if((H|0)>=(c|0)){o=166;break}ba=I+4|0;H=f[ba>>2]|0;if(!H){o=165;break}else{$=ba;aa=H}}J=$;I=aa}if((o|0)==161){ca=I;da=I;break}else if((o|0)==165){ca=ba;da=I;break}else if((o|0)==166){ca=J;da=I;break}}else{ca=L;da=L}while(0);L=f[ca>>2]|0;if(!L){K=Bmc(48)|0;f[K+16>>2]=c;x=K+20|0;f[x>>2]=f[g>>2];f[x+4>>2]=f[g+4>>2];f[x+8>>2]=f[g+8>>2];f[x+12>>2]=f[g+12>>2];f[x+16>>2]=f[g+16>>2];f[x+20>>2]=f[g+20>>2];f[x+24>>2]=f[g+24>>2];f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=da;f[ca>>2]=K;x=f[f[a>>2]>>2]|0;if(!x)ea=K;else{f[a>>2]=x;ea=f[ca>>2]|0}RS(f[a+4>>2]|0,ea);x=a+8|0;f[x>>2]=(f[x>>2]|0)+1;f[K+40>>2]=Q;b[K+32>>0]=S;b[K+33>>0]=0;fa=K+24|0}else{f[L+40>>2]=Q;fa=L+24|0}L=fa+10|0;b[L>>0]=b[L>>0]&-16;L=fa;f[L>>2]=P;f[L+4>>2]=M;u=e;return}case 3:{L=f[d>>2]|0;K=f[d+16>>2]|0;x=g+4|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;f[x+16>>2]=0;f[x+20>>2]=0;x=a+4|0;R=f[x>>2]|0;do if(R){N=a+4|0;O=R;while(1){H=f[O+16>>2]|0;if((H|0)>(c|0)){G=f[O>>2]|0;if(!G){o=178;break}else{ga=O;ha=G}}else{if((H|0)>=(c|0)){o=183;break}ia=O+4|0;H=f[ia>>2]|0;if(!H){o=182;break}else{ga=ia;ha=H}}N=ga;O=ha}if((o|0)==178){ja=O;ka=O;break}else if((o|0)==182){ja=ia;ka=O;break}else if((o|0)==183){ja=N;ka=O;break}}else{ja=x;ka=x}while(0);x=f[ja>>2]|0;if(!x){R=Bmc(48)|0;f[R+16>>2]=c;M=R+20|0;f[M>>2]=f[g>>2];f[M+4>>2]=f[g+4>>2];f[M+8>>2]=f[g+8>>2];f[M+12>>2]=f[g+12>>2];f[M+16>>2]=f[g+16>>2];f[M+20>>2]=f[g+20>>2];f[M+24>>2]=f[g+24>>2];f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=ka;f[ja>>2]=R;M=f[f[a>>2]>>2]|0;if(!M)la=R;else{f[a>>2]=M;la=f[ja>>2]|0}RS(f[a+4>>2]|0,la);M=a+8|0;f[M>>2]=(f[M>>2]|0)+1;f[R+40>>2]=K;b[R+32>>0]=S;b[R+33>>0]=0;ma=R+24|0}else{f[x+40>>2]=K;ma=x+24|0}x=ma+10|0;b[x>>0]=b[x>>0]&-16;f[ma>>2]=L;u=e;return}case 4:{x=d;R=f[x>>2]|0;M=f[x+4>>2]|0;x=f[d+16>>2]|0;P=g+4|0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;f[P+16>>2]=0;f[P+20>>2]=0;P=a+4|0;Q=f[P>>2]|0;do if(Q){I=a+4|0;J=Q;while(1){H=f[J+16>>2]|0;if((H|0)>(c|0)){G=f[J>>2]|0;if(!G){o=195;break}else{na=J;oa=G}}else{if((H|0)>=(c|0)){o=200;break}pa=J+4|0;H=f[pa>>2]|0;if(!H){o=199;break}else{na=pa;oa=H}}I=na;J=oa}if((o|0)==195){qa=J;ra=J;break}else if((o|0)==199){qa=pa;ra=J;break}else if((o|0)==200){qa=I;ra=J;break}}else{qa=P;ra=P}while(0);P=f[qa>>2]|0;if(!P){Q=Bmc(48)|0;f[Q+16>>2]=c;L=Q+20|0;f[L>>2]=f[g>>2];f[L+4>>2]=f[g+4>>2];f[L+8>>2]=f[g+8>>2];f[L+12>>2]=f[g+12>>2];f[L+16>>2]=f[g+16>>2];f[L+20>>2]=f[g+20>>2];f[L+24>>2]=f[g+24>>2];f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=ra;f[qa>>2]=Q;L=f[f[a>>2]>>2]|0;if(!L)sa=Q;else{f[a>>2]=L;sa=f[qa>>2]|0}RS(f[a+4>>2]|0,sa);L=a+8|0;f[L>>2]=(f[L>>2]|0)+1;f[Q+40>>2]=x;b[Q+32>>0]=S;b[Q+33>>0]=0;ta=Q+24|0}else{f[P+40>>2]=x;ta=P+24|0}P=ta+10|0;b[P>>0]=b[P>>0]&-16;P=ta;f[P>>2]=R;f[P+4>>2]=M;u=e;return}case 6:{P=f[d>>2]|0;Q=f[d+16>>2]|0;L=g+4|0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;f[L+16>>2]=0;f[L+20>>2]=0;L=a+4|0;K=f[L>>2]|0;do if(K){O=a+4|0;N=K;while(1){H=f[N+16>>2]|0;if((H|0)>(c|0)){G=f[N>>2]|0;if(!G){o=212;break}else{ua=N;va=G}}else{if((H|0)>=(c|0)){o=217;break}wa=N+4|0;H=f[wa>>2]|0;if(!H){o=216;break}else{ua=wa;va=H}}O=ua;N=va}if((o|0)==212){xa=N;ya=N;break}else if((o|0)==216){xa=wa;ya=N;break}else if((o|0)==217){xa=O;ya=N;break}}else{xa=L;ya=L}while(0);L=f[xa>>2]|0;if(!L){K=Bmc(48)|0;f[K+16>>2]=c;M=K+20|0;f[M>>2]=f[g>>2];f[M+4>>2]=f[g+4>>2];f[M+8>>2]=f[g+8>>2];f[M+12>>2]=f[g+12>>2];f[M+16>>2]=f[g+16>>2];f[M+20>>2]=f[g+20>>2];f[M+24>>2]=f[g+24>>2];f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=ya;f[xa>>2]=K;M=f[f[a>>2]>>2]|0;if(!M)za=K;else{f[a>>2]=M;za=f[xa>>2]|0}RS(f[a+4>>2]|0,za);M=a+8|0;f[M>>2]=(f[M>>2]|0)+1;f[K+40>>2]=Q;b[K+32>>0]=S;b[K+33>>0]=0;Aa=K+24|0}else{f[L+40>>2]=Q;Aa=L+24|0}L=Aa+10|0;b[L>>0]=b[L>>0]&-16;f[Aa>>2]=P;u=e;return}case 5:{Ba=+p[d>>3];L=f[d+16>>2]|0;K=g+4|0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;f[K+16>>2]=0;f[K+20>>2]=0;K=a+4|0;M=f[K>>2]|0;do if(M){R=a+4|0;x=M;while(1){J=f[x+16>>2]|0;if((J|0)>(c|0)){I=f[x>>2]|0;if(!I){o=229;break}else{Ca=x;Da=I}}else{if((J|0)>=(c|0)){o=234;break}Ea=x+4|0;J=f[Ea>>2]|0;if(!J){o=233;break}else{Ca=Ea;Da=J}}R=Ca;x=Da}if((o|0)==229){Fa=x;Ga=x;break}else if((o|0)==233){Fa=Ea;Ga=x;break}else if((o|0)==234){Fa=R;Ga=x;break}}else{Fa=K;Ga=K}while(0);K=f[Fa>>2]|0;if(!K){M=Bmc(48)|0;f[M+16>>2]=c;P=M+20|0;f[P>>2]=f[g>>2];f[P+4>>2]=f[g+4>>2];f[P+8>>2]=f[g+8>>2];f[P+12>>2]=f[g+12>>2];f[P+16>>2]=f[g+16>>2];f[P+20>>2]=f[g+20>>2];f[P+24>>2]=f[g+24>>2];f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=Ga;f[Fa>>2]=M;P=f[f[a>>2]>>2]|0;if(!P)Ha=M;else{f[a>>2]=P;Ha=f[Fa>>2]|0}RS(f[a+4>>2]|0,Ha);P=a+8|0;f[P>>2]=(f[P>>2]|0)+1;f[M+40>>2]=L;b[M+32>>0]=S;b[M+33>>0]=0;Ia=M+24|0}else{f[K+40>>2]=L;Ia=K+24|0}K=Ia+10|0;b[K>>0]=b[K>>0]&-16;p[Ia>>3]=Ba;u=e;return}case 7:{K=b[d>>0]|0;M=f[d+16>>2]|0;P=g+4|0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;f[P+16>>2]=0;f[P+20>>2]=0;P=a+4|0;Q=f[P>>2]|0;do if(Q){N=a+4|0;O=Q;while(1){J=f[O+16>>2]|0;if((J|0)>(c|0)){I=f[O>>2]|0;if(!I){o=246;break}else{Ja=O;Ka=I}}else{if((J|0)>=(c|0)){o=251;break}La=O+4|0;J=f[La>>2]|0;if(!J){o=250;break}else{Ja=La;Ka=J}}N=Ja;O=Ka}if((o|0)==246){Ma=O;Na=O;break}else if((o|0)==250){Ma=La;Na=O;break}else if((o|0)==251){Ma=N;Na=O;break}}else{Ma=P;Na=P}while(0);P=f[Ma>>2]|0;if(!P){Q=Bmc(48)|0;f[Q+16>>2]=c;L=Q+20|0;f[L>>2]=f[g>>2];f[L+4>>2]=f[g+4>>2];f[L+8>>2]=f[g+8>>2];f[L+12>>2]=f[g+12>>2];f[L+16>>2]=f[g+16>>2];f[L+20>>2]=f[g+20>>2];f[L+24>>2]=f[g+24>>2];f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=Na;f[Ma>>2]=Q;L=f[f[a>>2]>>2]|0;if(!L)Oa=Q;else{f[a>>2]=L;Oa=f[Ma>>2]|0}RS(f[a+4>>2]|0,Oa);L=a+8|0;f[L>>2]=(f[L>>2]|0)+1;f[Q+40>>2]=M;b[Q+32>>0]=S;b[Q+33>>0]=0;Pa=Q+24|0}else{f[P+40>>2]=M;Pa=P+24|0}P=Pa+10|0;b[P>>0]=b[P>>0]&-16;b[Pa>>0]=K;u=e;return}case 8:{P=f[d>>2]|0;Q=f[d+16>>2]|0;L=g+4|0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;f[L+16>>2]=0;f[L+20>>2]=0;L=a+4|0;x=f[L>>2]|0;do if(x){R=a+4|0;J=x;while(1){I=f[J+16>>2]|0;if((I|0)>(c|0)){H=f[J>>2]|0;if(!H){o=263;break}else{Qa=J;Ra=H}}else{if((I|0)>=(c|0)){o=268;break}Sa=J+4|0;I=f[Sa>>2]|0;if(!I){o=267;break}else{Qa=Sa;Ra=I}}R=Qa;J=Ra}if((o|0)==263){Ta=J;Ua=J;break}else if((o|0)==267){Ta=Sa;Ua=J;break}else if((o|0)==268){Ta=R;Ua=J;break}}else{Ta=L;Ua=L}while(0);L=f[Ta>>2]|0;if(!L){x=Bmc(48)|0;f[x+16>>2]=c;K=x+20|0;f[K>>2]=f[g>>2];f[K+4>>2]=f[g+4>>2];f[K+8>>2]=f[g+8>>2];f[K+12>>2]=f[g+12>>2];f[K+16>>2]=f[g+16>>2];f[K+20>>2]=f[g+20>>2];f[K+24>>2]=f[g+24>>2];f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=Ua;f[Ta>>2]=x;K=f[f[a>>2]>>2]|0;if(!K)Va=x;else{f[a>>2]=K;Va=f[Ta>>2]|0}RS(f[a+4>>2]|0,Va);K=a+8|0;f[K>>2]=(f[K>>2]|0)+1;f[x+40>>2]=Q;b[x+32>>0]=S;b[x+33>>0]=0;Wa=x+24|0}else{f[L+40>>2]=Q;Wa=L+24|0}L=Wa+10|0;b[L>>0]=b[L>>0]&-16;f[Wa>>2]=P;u=e;return}case 9:{L=f[d>>2]|0;Qmc(Q5b(a,c,S,f[d+16>>2]|0)|0,L)|0;u=e;return}case 10:{L=f[d+16>>2]|0;x=g+4|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;f[x+16>>2]=0;f[x+20>>2]=0;x=a+4|0;K=f[x>>2]|0;do if(K){M=a+4|0;O=K;while(1){N=f[O+16>>2]|0;if((N|0)>(c|0)){I=f[O>>2]|0;if(!I){o=281;break}else{Xa=O;Ya=I}}else{if((N|0)>=(c|0)){o=286;break}Za=O+4|0;N=f[Za>>2]|0;if(!N){o=285;break}else{Xa=Za;Ya=N}}M=Xa;O=Ya}if((o|0)==281){_a=O;$a=O;break}else if((o|0)==285){_a=Za;$a=O;break}else if((o|0)==286){_a=M;$a=O;break}}else{_a=x;$a=x}while(0);x=f[_a>>2]|0;do if(!x){K=Bmc(48)|0;f[K+16>>2]=c;P=K+20|0;f[P>>2]=f[g>>2];f[P+4>>2]=f[g+4>>2];f[P+8>>2]=f[g+8>>2];f[P+12>>2]=f[g+12>>2];f[P+16>>2]=f[g+16>>2];f[P+20>>2]=f[g+20>>2];f[P+24>>2]=f[g+24>>2];f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=$a;f[_a>>2]=K;P=f[f[a>>2]>>2]|0;if(!P)ab=K;else{f[a>>2]=P;ab=f[_a>>2]|0}RS(f[a+4>>2]|0,ab);P=a+8|0;f[P>>2]=(f[P>>2]|0)+1;P=K+24|0;f[K+40>>2]=L;b[K+32>>0]=b[z>>0]|0;b[K+35>>0]=b[d+11>>0]|0;b[K+33>>0]=0;Q=K+34|0;K=b[Q>>0]&15;J=f[a+12>>2]|0;if(!(b[T>>0]&16)){b[Q>>0]=K;R=f[d>>2]|0;N=Sh[f[(f[R>>2]|0)+16>>2]&511](R,J)|0;f[P>>2]=N;xh[f[(f[N>>2]|0)+40>>2]&2047](N,f[d>>2]|0);bb=P;break}else{b[Q>>0]=K|16;K=f[d>>2]|0;Q=Sh[f[(f[K>>2]|0)+8>>2]&511](K,J)|0;f[P>>2]=Q;xh[f[(f[Q>>2]|0)+48>>2]&2047](Q,f[d>>2]|0);bb=P;break}}else{P=x+24|0;f[x+40>>2]=L;Q=(b[x+34>>0]&16)!=0;J=f[P>>2]|0;if(!(b[T>>0]&16))if(Q){K=Sh[f[(f[J>>2]|0)+16>>2]&511](J,f[d>>2]|0)|0;xh[f[(f[K>>2]|0)+40>>2]&2047](K,f[d>>2]|0);bb=P;break}else{xh[f[(f[J>>2]|0)+40>>2]&2047](J,f[d>>2]|0);bb=P;break}else{K=f[J>>2]|0;if(Q){xh[f[K+48>>2]&2047](J,f[d>>2]|0);bb=P;break}else{Q=f[K+40>>2]|0;K=f[d>>2]|0;N=Sh[f[(f[K>>2]|0)+12>>2]&511](K,J)|0;xh[Q&2047](J,N);bb=P;break}}}while(0);x=bb+10|0;b[x>>0]=b[x>>0]&-16;u=e;return}default:{u=e;return}}while(0)}function d6b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;c=u;u=u+16|0;d=c;if((f[a+12>>2]|0)==(f[b+12>>2]|0)){e=f[a>>2]|0;f[a>>2]=f[b>>2];f[b>>2]=e;e=a+4|0;g=b+4|0;h=f[e>>2]|0;f[e>>2]=f[g>>2];f[g>>2]=h;h=a+8|0;i=b+8|0;j=f[h>>2]|0;f[h>>2]=f[i>>2];f[i>>2]=j;if(!(f[h>>2]|0))k=a;else k=(f[e>>2]|0)+8|0;f[k>>2]=e;f[((j|0)==0?b:(f[g>>2]|0)+8|0)>>2]=g;u=c;return}f[d+4>>2]=0;f[d+8>>2]=0;g=d+4|0;f[d>>2]=g;j=d+12|0;f[j>>2]=0;e=f[b>>2]|0;k=b+4|0;if((e|0)==(k|0))l=e;else{h=e;while(1){c6b(d,f[h+16>>2]|0,h+24|0);e=f[h+4>>2]|0;if(!e){i=h+8|0;m=f[i>>2]|0;if((f[m>>2]|0)==(h|0))n=m;else{m=i;do{i=f[m>>2]|0;m=i+8|0;o=f[m>>2]|0}while((f[o>>2]|0)!=(i|0));n=o}}else{m=e;while(1){o=f[m>>2]|0;if(!o)break;else m=o}n=m}if((n|0)==(k|0))break;else h=n}l=f[b>>2]|0}if((l|0)!=(k|0)){n=l;while(1){S4b(n+24|0);l=f[n+4>>2]|0;if(!l){h=n+8|0;e=f[h>>2]|0;if((f[e>>2]|0)==(n|0))p=e;else{e=h;do{h=f[e>>2]|0;e=h+8|0;o=f[e>>2]|0}while((f[o>>2]|0)!=(h|0));p=o}}else{e=l;while(1){m=f[e>>2]|0;if(!m)break;else e=m}p=e}if((p|0)==(k|0))break;else n=p}}p=f[a>>2]|0;n=a+4|0;if((p|0)==(n|0))q=p;else{k=p;while(1){c6b(b,f[k+16>>2]|0,k+24|0);p=f[k+4>>2]|0;if(!p){l=k+8|0;m=f[l>>2]|0;if((f[m>>2]|0)==(k|0))r=m;else{m=l;do{l=f[m>>2]|0;m=l+8|0;o=f[m>>2]|0}while((f[o>>2]|0)!=(l|0));r=o}}else{m=p;while(1){e=f[m>>2]|0;if(!e)break;else m=e}r=m}if((r|0)==(n|0))break;else k=r}q=f[a>>2]|0}if((q|0)!=(n|0)){r=q;while(1){S4b(r+24|0);q=f[r+4>>2]|0;if(!q){k=r+8|0;b=f[k>>2]|0;if((f[b>>2]|0)==(r|0))s=b;else{b=k;do{k=f[b>>2]|0;b=k+8|0;p=f[b>>2]|0}while((f[p>>2]|0)!=(k|0));s=p}}else{b=q;while(1){m=f[b>>2]|0;if(!m)break;else b=m}s=b}if((s|0)==(n|0))break;else r=s}}s=f[d>>2]|0;if((s|0)!=(g|0)){r=s;while(1){c6b(a,f[r+16>>2]|0,r+24|0);s=f[r+4>>2]|0;if(!s){n=r+8|0;q=f[n>>2]|0;if((f[q>>2]|0)==(r|0))t=q;else{q=n;do{n=f[q>>2]|0;q=n+8|0;m=f[q>>2]|0}while((f[m>>2]|0)!=(n|0));t=m}}else{q=s;while(1){b=f[q>>2]|0;if(!b)break;else q=b}t=q}if((t|0)==(g|0))break;else r=t}}if((f[j>>2]|0)==0?(j=f[d>>2]|0,(j|0)!=(g|0)):0){t=j;while(1){N4b(t+24|0);j=f[t+4>>2]|0;if(!j){r=t+8|0;a=f[r>>2]|0;if((f[a>>2]|0)==(t|0))v=a;else{a=r;do{r=f[a>>2]|0;a=r+8|0;s=f[a>>2]|0}while((f[s>>2]|0)!=(r|0));v=s}}else{a=j;while(1){q=f[a>>2]|0;if(!q)break;else a=q}v=a}if((v|0)==(g|0))break;else t=v}}J4b(d,f[g>>2]|0);u=c;return}function e6b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;d=u;u=u+64|0;e=d;g=d+28|0;if((a|0)==(b|0)){u=d;return}h=a+4|0;i=f[h>>2]|0;j=(i|0)==0;if(!j){k=h;l=i;a:while(1){m=l;while(1){if((f[m+16>>2]|0)>=(c|0))break;n=f[m+4>>2]|0;if(!n){o=k;break a}else m=n}l=f[m>>2]|0;if(!l){o=m;break}else k=m}if((o|0)!=(h|0)?(f[o+16>>2]|0)<=(c|0):0)p=o;else q=9}else q=9;if((q|0)==9)p=h;o=b+4|0;k=f[o>>2]|0;l=(k|0)==0;if(!l){n=o;r=k;b:while(1){s=r;while(1){if((f[s+16>>2]|0)>=(c|0))break;t=f[s+4>>2]|0;if(!t){v=n;break b}else s=t}r=f[s>>2]|0;if(!r){v=s;break}else n=s}if((v|0)!=(o|0)?(f[v+16>>2]|0)<=(c|0):0)w=v;else q=17}else q=17;if((q|0)==17)w=o;v=(p|0)==(h|0);if(!((w|0)!=(o|0)|v^1)){u=d;return}n=(w|0)==(o|0);if(!(v|n)){if((f[a+12>>2]|0)==(f[b+12>>2]|0)){r=p+24|0;m=w+24|0;f[e>>2]=f[r>>2];f[e+4>>2]=f[r+4>>2];f[e+8>>2]=f[r+8>>2];f[e+12>>2]=f[r+12>>2];f[e+16>>2]=f[r+16>>2];f[e+20>>2]=f[r+20>>2];f[r>>2]=f[m>>2];f[r+4>>2]=f[m+4>>2];f[r+8>>2]=f[m+8>>2];f[r+12>>2]=f[m+12>>2];f[r+16>>2]=f[m+16>>2];f[r+20>>2]=f[m+20>>2];f[m>>2]=f[e>>2];f[m+4>>2]=f[e+4>>2];f[m+8>>2]=f[e+8>>2];f[m+12>>2]=f[e+12>>2];f[m+16>>2]=f[e+16>>2];f[m+20>>2]=f[e+20>>2];u=d;return}f[e+4>>2]=0;f[e+8>>2]=0;m=e+4|0;f[e>>2]=m;r=e+12|0;f[r>>2]=0;t=w+24|0;c6b(e,c,t);x=f[m>>2]|0;if(x){y=m;z=x;c:while(1){x=z;while(1){if((f[x+16>>2]|0)>=(c|0))break;A=f[x+4>>2]|0;if(!A){B=y;break c}else x=A}z=f[x>>2]|0;if(!z){B=x;break}else y=x}if((B|0)!=(m|0)?(f[B+16>>2]|0)<=(c|0):0)C=B;else q=29}else q=29;if((q|0)==29)C=m;S4b(t);t=p+24|0;c6b(b,c,t);S4b(t);c6b(a,c,C+24|0);if((f[r>>2]|0)==0?(r=f[e>>2]|0,(r|0)!=(m|0)):0){C=r;while(1){N4b(C+24|0);r=f[C+4>>2]|0;if(!r){t=C+8|0;B=f[t>>2]|0;if((f[B>>2]|0)==(C|0))D=B;else{B=t;do{t=f[B>>2]|0;B=t+8|0;y=f[B>>2]|0}while((f[y>>2]|0)!=(t|0));D=y}}else{B=r;while(1){x=f[B>>2]|0;if(!x)break;else B=x}D=B}if((D|0)==(m|0))break;else C=D}}J4b(e,f[m>>2]|0);u=d;return}if(v){if((f[a+12>>2]|0)==(f[b+12>>2]|0)){v=g+4|0;Mrc(v|0,w+24|0,24)|0;m=e+4|0;f[m>>2]=f[v>>2];f[m+4>>2]=f[v+4>>2];f[m+8>>2]=f[v+8>>2];f[m+12>>2]=f[v+12>>2];f[m+16>>2]=f[v+16>>2];f[m+20>>2]=f[v+20>>2];do if(!j){v=a+4|0;m=i;while(1){D=f[m+16>>2]|0;if((D|0)>(c|0)){C=f[m>>2]|0;if(!C){q=45;break}else{E=m;F=C}}else{if((D|0)>=(c|0)){q=50;break}G=m+4|0;D=f[G>>2]|0;if(!D){q=49;break}else{E=G;F=D}}v=E;m=F}if((q|0)==45){H=m;I=m;break}else if((q|0)==49){H=G;I=m;break}else if((q|0)==50){H=v;I=m;break}}else{H=h;I=h}while(0);if(!(f[H>>2]|0)){G=Bmc(48)|0;f[G+16>>2]=c;F=G+20|0;f[F>>2]=f[e>>2];f[F+4>>2]=f[e+4>>2];f[F+8>>2]=f[e+8>>2];f[F+12>>2]=f[e+12>>2];f[F+16>>2]=f[e+16>>2];f[F+20>>2]=f[e+20>>2];f[F+24>>2]=f[e+24>>2];f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=I;f[H>>2]=G;I=f[f[a>>2]>>2]|0;if(!I)J=G;else{f[a>>2]=I;J=f[H>>2]|0}RS(f[a+4>>2]|0,J);J=a+8|0;f[J>>2]=(f[J>>2]|0)+1}}else c6b(a,c,w+24|0);w=f[o>>2]|0;if(!w){u=d;return}else{K=o;L=w}d:while(1){J=L;while(1){if((f[J+16>>2]|0)>=(c|0))break;H=f[J+4>>2]|0;if(!H){M=K;break d}else J=H}L=f[J>>2]|0;if(!L){M=J;break}else K=J}if((M|0)==(o|0)){u=d;return}if((f[M+16>>2]|0)>(c|0)){u=d;return}K=f[M+4>>2]|0;if(!K){L=M+8|0;m=f[L>>2]|0;if((f[m>>2]|0)==(M|0))N=m;else{m=L;do{L=f[m>>2]|0;m=L+8|0;v=f[m>>2]|0}while((f[v>>2]|0)!=(L|0));N=v}}else{m=K;while(1){K=f[m>>2]|0;if(!K)break;else m=K}N=m}if((f[b>>2]|0)==(M|0))f[b>>2]=N;N=b+8|0;f[N>>2]=(f[N>>2]|0)+-1;gCa(w,M);Emc(M);u=d;return}if(!n){u=d;return}if((f[a+12>>2]|0)==(f[b+12>>2]|0)){n=g+4|0;Mrc(n|0,p+24|0,24)|0;g=e+4|0;f[g>>2]=f[n>>2];f[g+4>>2]=f[n+4>>2];f[g+8>>2]=f[n+8>>2];f[g+12>>2]=f[n+12>>2];f[g+16>>2]=f[n+16>>2];f[g+20>>2]=f[n+20>>2];do if(!l){n=b+4|0;g=k;while(1){M=f[g+16>>2]|0;if((M|0)>(c|0)){w=f[g>>2]|0;if(!w){q=79;break}else{O=g;P=w}}else{if((M|0)>=(c|0)){q=84;break}Q=g+4|0;M=f[Q>>2]|0;if(!M){q=83;break}else{O=Q;P=M}}n=O;g=P}if((q|0)==79){R=g;S=g;break}else if((q|0)==83){R=Q;S=g;break}else if((q|0)==84){R=n;S=g;break}}else{R=o;S=o}while(0);if(!(f[R>>2]|0)){o=Bmc(48)|0;f[o+16>>2]=c;q=o+20|0;f[q>>2]=f[e>>2];f[q+4>>2]=f[e+4>>2];f[q+8>>2]=f[e+8>>2];f[q+12>>2]=f[e+12>>2];f[q+16>>2]=f[e+16>>2];f[q+20>>2]=f[e+20>>2];f[q+24>>2]=f[e+24>>2];f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=S;f[R>>2]=o;S=f[f[b>>2]>>2]|0;if(!S)T=o;else{f[b>>2]=S;T=f[R>>2]|0}RS(f[b+4>>2]|0,T);T=b+8|0;f[T>>2]=(f[T>>2]|0)+1}}else c6b(b,c,p+24|0);p=f[h>>2]|0;if(!p){u=d;return}else{U=h;V=p}e:while(1){b=V;while(1){if((f[b+16>>2]|0)>=(c|0))break;T=f[b+4>>2]|0;if(!T){W=U;break e}else b=T}V=f[b>>2]|0;if(!V){W=b;break}else U=b}if((W|0)==(h|0)){u=d;return}if((f[W+16>>2]|0)>(c|0)){u=d;return}c=f[W+4>>2]|0;if(!c){h=W+8|0;U=f[h>>2]|0;if((f[U>>2]|0)==(W|0))X=U;else{U=h;do{h=f[U>>2]|0;U=h+8|0;V=f[U>>2]|0}while((f[V>>2]|0)!=(h|0));X=V}}else{U=c;while(1){c=f[U>>2]|0;if(!c)break;else U=c}X=U}if((f[a>>2]|0)==(W|0))f[a>>2]=X;X=a+8|0;f[X>>2]=(f[X>>2]|0)+-1;gCa(p,W);Emc(W);u=d;return}function f6b(a){a=a|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=f[a>>2]|0;d=a+4|0;if((c|0)==(d|0)){e=1;return e|0}else g=c;a:while(1){c=g+16|0;a=g+24|0;b:do if((f[149788+(h[g+32>>0]<<2)>>2]|0)==10){if(b[c+17>>0]|0){i=f[a>>2]|0;if((f[i+4>>2]|0)>0){j=0;k=i}else break;while(1){i=f[(f[k+12>>2]|0)+4+(j<<2)>>2]|0;j=j+1|0;if(!(ci[f[(f[i>>2]|0)+32>>2]&1023](i)|0)){e=0;l=17;break a}k=f[a>>2]|0;if((j|0)>=(f[k+4>>2]|0))break b}}i=b[c+18>>0]|0;if(!(i&1)){m=f[a>>2]|0;n=f[m>>2]|0;if(!(i&16))if(ci[f[n+32>>2]&1023](m)|0)break;else{e=0;l=17;break a}else if(ci[f[n+36>>2]&1023](m)|0)break;else{e=0;l=17;break a}}}while(0);a=f[g+4>>2]|0;if(!a){c=g+8|0;m=f[c>>2]|0;if((f[m>>2]|0)==(g|0))o=m;else{m=c;do{c=f[m>>2]|0;m=c+8|0;n=f[m>>2]|0}while((f[n>>2]|0)!=(c|0));o=n}}else{m=a;while(1){n=f[m>>2]|0;if(!n)break;else m=n}o=m}if((o|0)==(d|0)){e=1;l=17;break}else g=o}if((l|0)==17)return e|0;return 0}function g6b(a,c,d,e,g,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;var j=0,k=0,l=0;a=u;u=u+32|0;j=a;k=a+24|0;if(!(ki[f[(f[e>>2]|0)+8>>2]&511](e,d,g)|0)){l=0;u=a;return l|0}d=f[149864+(h[g>>0]<<2)>>2]|0;b[i>>0]=0;do if((c|0)==2&(b[g+1>>0]|0)!=0){if(d>>>0>=6){TDb(j,3,512019,74);QDb(k,ODb(j,512569)|0);UDb(j);break}if(35>>>(d&63)&1){b[i>>0]=1;l=1;u=a;return l|0}}while(0);l=(d|0)==(c|0);u=a;return l|0}function h6b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+32|0;i=h+16|0;j=h;k=c>>>3;if(g6b(0,c&7,k,e,j,i)|0){l=i6b(a,k,(b[i>>0]|0)!=0,j,d,g)|0;u=h;return l|0}else{l=ki[f[(f[g>>2]|0)+8>>2]&511](g,d,c)|0;u=h;return l|0}return 0}function i6b(a,c,d,e,g,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0.0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0;j=u;u=u+80|0;k=j+8|0;l=j+40|0;m=j+64|0;o=j;a:do if(d){q=f[g>>2]|0;r=g+4|0;if(q>>>0<(f[r>>2]|0)>>>0){t=b[q>>0]|0;v=t&255;if(t<<24>>24>-1){f[g>>2]=q+1;w=v}else{x=v;y=5}}else{x=0;y=5}if((y|0)==5){v=iCb(g,x)|0;q=J;if((q|0)>-1|(q|0)==-1&v>>>0>4294967295)w=v;else{z=0;u=j;return z|0}}v=fCb(g,w)|0;b:do switch(b[e>>0]|0){case 5:{if((nCb(g)|0)>0){q=e+2|0;t=e+12|0;while(1){A=f[g>>2]|0;if(A>>>0<(f[r>>2]|0)>>>0){B=b[A>>0]|0;C=B&255;if(B<<24>>24>-1){f[g>>2]=A+1;D=C}else{E=C;y=38}}else{E=0;y=38}if((y|0)==38){y=0;C=iCb(g,E)|0;A=J;if((A|0)>-1|(A|0)==-1&C>>>0>4294967295)D=C;else{z=0;break}}Y4b(a,c,5,(b[q>>0]|0)!=0,D,f[t>>2]|0);if((nCb(g)|0)<=0)break b}u=j;return z|0}break}case 3:{if((nCb(g)|0)>0){t=e+2|0;q=e+12|0;C=k+8|0;while(1){A=f[g>>2]|0;if(A>>>0<(f[r>>2]|0)>>>0?(B=b[A>>0]|0,B<<24>>24>-1):0){f[g>>2]=A+1;F=B&255;G=0}else{jCb(k,g);B=k;if(!(b[C>>0]|0)){z=0;break}else{F=f[B>>2]|0;G=f[B+4>>2]|0}}c5b(a,c,3,(b[t>>0]|0)!=0,F,G,f[q>>2]|0);if((nCb(g)|0)<=0)break b}u=j;return z|0}break}case 13:{if((nCb(g)|0)>0){q=e+2|0;t=e+12|0;while(1){C=f[g>>2]|0;if(C>>>0<(f[r>>2]|0)>>>0){B=b[C>>0]|0;A=B&255;if(B<<24>>24>-1){f[g>>2]=C+1;H=A}else{I=A;y=48}}else{I=0;y=48}if((y|0)==48){y=0;A=iCb(g,I)|0;C=J;if((C|0)>-1|(C|0)==-1&A>>>0>4294967295)H=A;else{z=0;break}}i5b(a,c,13,(b[q>>0]|0)!=0,H,f[t>>2]|0);if((nCb(g)|0)<=0)break b}u=j;return z|0}break}case 4:{if((nCb(g)|0)>0){t=e+2|0;q=e+12|0;A=k+8|0;while(1){C=f[g>>2]|0;if(C>>>0<(f[r>>2]|0)>>>0?(B=b[C>>0]|0,B<<24>>24>-1):0){f[g>>2]=C+1;K=B&255;L=0}else{jCb(k,g);B=k;if(!(b[A>>0]|0)){z=0;break}else{K=f[B>>2]|0;L=f[B+4>>2]|0}}o5b(a,c,4,(b[t>>0]|0)!=0,K,L,f[q>>2]|0);if((nCb(g)|0)<=0)break b}u=j;return z|0}break}case 17:{if((nCb(g)|0)>0){q=e+2|0;t=e+12|0;while(1){A=f[g>>2]|0;if(A>>>0<(f[r>>2]|0)>>>0){B=b[A>>0]|0;C=B&255;if(B<<24>>24>-1){f[g>>2]=A+1;M=C>>>1^0-(C&1)}else{N=C;y=58}}else{N=0;y=58}if((y|0)==58){y=0;C=iCb(g,N)|0;A=J;if((A|0)>-1|(A|0)==-1&C>>>0>4294967295)M=C>>>1^0-(C&1);else{z=0;break}}Y4b(a,c,17,(b[q>>0]|0)!=0,M,f[t>>2]|0);if((nCb(g)|0)<=0)break b}u=j;return z|0}break}case 18:{if((nCb(g)|0)>0){t=e+2|0;q=e+12|0;C=k+8|0;while(1){A=f[g>>2]|0;if(A>>>0<(f[r>>2]|0)>>>0?(B=b[A>>0]|0,B<<24>>24>-1):0){O=B&255;f[g>>2]=A+1;A=Irc(O|0,0,1)|0;B=J;P=zrc(0,0,O&1|0,0)|0;Q=A^P;R=B^J}else{jCb(k,g);B=k;P=f[B>>2]|0;A=(b[C>>0]|0)==0;O=Irc(P|0,f[B+4>>2]|0,1)|0;B=J;S=zrc(0,0,P&1|0,0)|0;if(A){z=0;break}else{Q=O^S;R=B^J}}c5b(a,c,18,(b[t>>0]|0)!=0,Q,R,f[q>>2]|0);if((nCb(g)|0)<=0)break b}u=j;return z|0}break}case 7:{if((nCb(g)|0)>0){q=e+2|0;t=e+12|0;while(1){C=f[g>>2]|0;if(((f[r>>2]|0)-C|0)>3){B=C;S=h[B>>0]|h[B+1>>0]<<8|h[B+2>>0]<<16|h[B+3>>0]<<24;f[k>>2]=S;f[g>>2]=C+4;T=S}else{if(!(uCb(g,k)|0))break;T=f[k>>2]|0}i5b(a,c,7,(b[q>>0]|0)!=0,T,f[t>>2]|0);if((nCb(g)|0)<=0)break b}z=0;u=j;return z|0}break}case 6:{if((nCb(g)|0)>0){t=e+2|0;q=e+12|0;while(1){S=f[g>>2]|0;if(((f[r>>2]|0)-S|0)>7){C=S;B=C;O=h[B>>0]|h[B+1>>0]<<8|h[B+2>>0]<<16|h[B+3>>0]<<24;B=C+4|0;C=h[B>>0]|h[B+1>>0]<<8|h[B+2>>0]<<16|h[B+3>>0]<<24;B=k;f[B>>2]=O;f[B+4>>2]=C;f[g>>2]=S+8;U=O;V=C}else{if(!(vCb(g,k)|0))break;C=k;U=f[C>>2]|0;V=f[C+4>>2]|0}o5b(a,c,6,(b[t>>0]|0)!=0,U,V,f[q>>2]|0);if((nCb(g)|0)<=0)break b}z=0;u=j;return z|0}break}case 15:{if((nCb(g)|0)>0){q=e+2|0;t=e+12|0;while(1){C=f[g>>2]|0;if(((f[r>>2]|0)-C|0)>3){O=C;S=h[O>>0]|h[O+1>>0]<<8|h[O+2>>0]<<16|h[O+3>>0]<<24;f[k>>2]=S;f[g>>2]=C+4;W=S}else{if(!(uCb(g,k)|0))break;W=f[k>>2]|0}Y4b(a,c,15,(b[q>>0]|0)!=0,W,f[t>>2]|0);if((nCb(g)|0)<=0)break b}z=0;u=j;return z|0}break}case 16:{if((nCb(g)|0)>0){t=e+2|0;q=e+12|0;while(1){S=f[g>>2]|0;if(((f[r>>2]|0)-S|0)>7){C=S;O=C;B=h[O>>0]|h[O+1>>0]<<8|h[O+2>>0]<<16|h[O+3>>0]<<24;O=C+4|0;C=h[O>>0]|h[O+1>>0]<<8|h[O+2>>0]<<16|h[O+3>>0]<<24;O=k;f[O>>2]=B;f[O+4>>2]=C;f[g>>2]=S+8;X=B;Y=C}else{if(!(vCb(g,k)|0))break;C=k;X=f[C>>2]|0;Y=f[C+4>>2]|0}c5b(a,c,16,(b[t>>0]|0)!=0,X,Y,f[q>>2]|0);if((nCb(g)|0)<=0)break b}z=0;u=j;return z|0}break}case 2:{if((nCb(g)|0)>0){q=e+2|0;t=e+12|0;while(1){C=f[g>>2]|0;if(((f[r>>2]|0)-C|0)>3){B=C;S=h[B>>0]|h[B+1>>0]<<8|h[B+2>>0]<<16|h[B+3>>0]<<24;f[k>>2]=S;f[g>>2]=C+4;Z=S}else{if(!(uCb(g,k)|0))break;Z=f[k>>2]|0}u5b(a,c,2,(b[q>>0]|0)!=0,(f[s>>2]=Z,+n[s>>2]),f[t>>2]|0);if((nCb(g)|0)<=0)break b}z=0;u=j;return z|0}break}case 1:{if((nCb(g)|0)>0){t=e+2|0;q=e+12|0;while(1){S=f[g>>2]|0;if(((f[r>>2]|0)-S|0)>7){C=S;B=C;O=h[B>>0]|h[B+1>>0]<<8|h[B+2>>0]<<16|h[B+3>>0]<<24;B=C+4|0;C=h[B>>0]|h[B+1>>0]<<8|h[B+2>>0]<<16|h[B+3>>0]<<24;B=k;f[B>>2]=O;f[B+4>>2]=C;f[g>>2]=S+8;f[s>>2]=O;f[s+4>>2]=C;_=+p[s>>3]}else{if(!(vCb(g,k)|0))break;_=+p[k>>3]}A5b(a,c,1,(b[t>>0]|0)!=0,_,f[q>>2]|0);if((nCb(g)|0)<=0)break b}z=0;u=j;return z|0}break}case 8:{if((nCb(g)|0)>0){q=e+2|0;t=e+12|0;C=k+8|0;while(1){O=f[g>>2]|0;if(O>>>0<(f[r>>2]|0)>>>0?(S=b[O>>0]|0,S<<24>>24>-1):0){f[g>>2]=O+1;$=S<<24>>24!=0}else{jCb(k,g);S=k;if(!(b[C>>0]|0)){z=0;break}else $=(f[S>>2]|0)!=0|(f[S+4>>2]|0)!=0}G5b(a,c,8,(b[q>>0]|0)!=0,$,f[t>>2]|0);if((nCb(g)|0)<=0)break b}u=j;return z|0}break}case 14:{if((nCb(g)|0)>0){t=e+4|0;q=e+8|0;C=e+2|0;S=e+12|0;while(1){O=f[g>>2]|0;if(O>>>0<(f[r>>2]|0)>>>0){B=b[O>>0]|0;A=B&255;if(B<<24>>24>-1){f[g>>2]=O+1;aa=A}else{ba=A;y=109}}else{ba=0;y=109}if((y|0)==109){y=0;A=iCb(g,ba)|0;O=J;if((O|0)>-1|(O|0)==-1&A>>>0>4294967295)aa=A;else{z=0;break}}if(Sh[f[t>>2]&511](f[q>>2]|0,aa)|0)O5b(a,c,14,(b[C>>0]|0)!=0,aa,f[S>>2]|0);else Yh[f[(f[i>>2]|0)+16>>2]&511](i,c,aa);if((nCb(g)|0)<=0)break b}u=j;return z|0}break}case 11:case 10:case 12:case 9:{TDb(l,3,512019,1221);QDb(m,ODb(l,512587)|0);UDb(l);break}default:{}}while(0);gCb(g,v)}else do switch(b[e>>0]|0){case 5:{r=f[g>>2]|0;if(r>>>0<(f[g+4>>2]|0)>>>0){S=b[r>>0]|0;C=S&255;if(S<<24>>24>-1){f[g>>2]=r+1;ca=C}else{da=C;y=120}}else{da=0;y=120}if((y|0)==120){C=iCb(g,da)|0;r=J;if((r|0)>-1|(r|0)==-1&C>>>0>4294967295)ca=C;else{z=0;u=j;return z|0}}C=f[e+12>>2]|0;if(b[e+1>>0]|0){Y4b(a,c,5,(b[e+2>>0]|0)!=0,ca,C);break a}r=k+4|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;f[r+16>>2]=0;f[r+20>>2]=0;r=a+4|0;S=f[r>>2]|0;do if(S){q=a+4|0;t=S;while(1){A=f[t+16>>2]|0;if((A|0)>(c|0)){O=f[t>>2]|0;if(!O){y=127;break}else{ea=t;fa=O}}else{if((A|0)>=(c|0)){y=132;break}ga=t+4|0;A=f[ga>>2]|0;if(!A){y=131;break}else{ea=ga;fa=A}}q=ea;t=fa}if((y|0)==127){ha=t;ia=t;break}else if((y|0)==131){ha=ga;ia=t;break}else if((y|0)==132){ha=q;ia=t;break}}else{ha=r;ia=r}while(0);r=f[ha>>2]|0;if(!r){S=Bmc(48)|0;f[S+16>>2]=c;A=S+20|0;f[A>>2]=f[k>>2];f[A+4>>2]=f[k+4>>2];f[A+8>>2]=f[k+8>>2];f[A+12>>2]=f[k+12>>2];f[A+16>>2]=f[k+16>>2];f[A+20>>2]=f[k+20>>2];f[A+24>>2]=f[k+24>>2];f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=ia;f[ha>>2]=S;A=f[f[a>>2]>>2]|0;if(!A)ja=S;else{f[a>>2]=A;ja=f[ha>>2]|0}RS(f[a+4>>2]|0,ja);A=a+8|0;f[A>>2]=(f[A>>2]|0)+1;f[S+40>>2]=C;b[S+32>>0]=5;b[S+33>>0]=0;ka=S+24|0}else{f[r+40>>2]=C;ka=r+24|0}r=ka+10|0;b[r>>0]=b[r>>0]&-16;f[ka>>2]=ca;break a;break}case 3:{r=f[g>>2]|0;if(r>>>0<(f[g+4>>2]|0)>>>0?(S=b[r>>0]|0,S<<24>>24>-1):0){f[g>>2]=r+1;la=S&255;ma=0}else{jCb(k,g);S=k;if(!(b[k+8>>0]|0)){z=0;u=j;return z|0}else{la=f[S>>2]|0;ma=f[S+4>>2]|0}}S=f[e+12>>2]|0;if(b[e+1>>0]|0){c5b(a,c,3,(b[e+2>>0]|0)!=0,la,ma,S);break a}r=k+4|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;f[r+16>>2]=0;f[r+20>>2]=0;r=a+4|0;A=f[r>>2]|0;do if(A){O=a+4|0;B=A;while(1){P=f[B+16>>2]|0;if((P|0)>(c|0)){na=f[B>>2]|0;if(!na){y=150;break}else{oa=B;pa=na}}else{if((P|0)>=(c|0)){y=155;break}qa=B+4|0;P=f[qa>>2]|0;if(!P){y=154;break}else{oa=qa;pa=P}}O=oa;B=pa}if((y|0)==150){ra=B;sa=B;break}else if((y|0)==154){ra=qa;sa=B;break}else if((y|0)==155){ra=O;sa=B;break}}else{ra=r;sa=r}while(0);r=f[ra>>2]|0;if(!r){A=Bmc(48)|0;f[A+16>>2]=c;C=A+20|0;f[C>>2]=f[k>>2];f[C+4>>2]=f[k+4>>2];f[C+8>>2]=f[k+8>>2];f[C+12>>2]=f[k+12>>2];f[C+16>>2]=f[k+16>>2];f[C+20>>2]=f[k+20>>2];f[C+24>>2]=f[k+24>>2];f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=sa;f[ra>>2]=A;C=f[f[a>>2]>>2]|0;if(!C)ta=A;else{f[a>>2]=C;ta=f[ra>>2]|0}RS(f[a+4>>2]|0,ta);C=a+8|0;f[C>>2]=(f[C>>2]|0)+1;f[A+40>>2]=S;b[A+32>>0]=3;b[A+33>>0]=0;ua=A+24|0}else{f[r+40>>2]=S;ua=r+24|0}r=ua+10|0;b[r>>0]=b[r>>0]&-16;r=ua;f[r>>2]=la;f[r+4>>2]=ma;break a;break}case 13:{r=f[g>>2]|0;if(r>>>0<(f[g+4>>2]|0)>>>0){A=b[r>>0]|0;C=A&255;if(A<<24>>24>-1){f[g>>2]=r+1;va=C}else{wa=C;y=166}}else{wa=0;y=166}if((y|0)==166){C=iCb(g,wa)|0;r=J;if((r|0)>-1|(r|0)==-1&C>>>0>4294967295)va=C;else{z=0;u=j;return z|0}}C=f[e+12>>2]|0;if(b[e+1>>0]|0){i5b(a,c,13,(b[e+2>>0]|0)!=0,va,C);break a}r=k+4|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;f[r+16>>2]=0;f[r+20>>2]=0;r=a+4|0;A=f[r>>2]|0;do if(A){t=a+4|0;q=A;while(1){P=f[q+16>>2]|0;if((P|0)>(c|0)){na=f[q>>2]|0;if(!na){y=173;break}else{xa=q;ya=na}}else{if((P|0)>=(c|0)){y=178;break}za=q+4|0;P=f[za>>2]|0;if(!P){y=177;break}else{xa=za;ya=P}}t=xa;q=ya}if((y|0)==173){Aa=q;Ba=q;break}else if((y|0)==177){Aa=za;Ba=q;break}else if((y|0)==178){Aa=t;Ba=q;break}}else{Aa=r;Ba=r}while(0);r=f[Aa>>2]|0;if(!r){A=Bmc(48)|0;f[A+16>>2]=c;S=A+20|0;f[S>>2]=f[k>>2];f[S+4>>2]=f[k+4>>2];f[S+8>>2]=f[k+8>>2];f[S+12>>2]=f[k+12>>2];f[S+16>>2]=f[k+16>>2];f[S+20>>2]=f[k+20>>2];f[S+24>>2]=f[k+24>>2];f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=Ba;f[Aa>>2]=A;S=f[f[a>>2]>>2]|0;if(!S)Ca=A;else{f[a>>2]=S;Ca=f[Aa>>2]|0}RS(f[a+4>>2]|0,Ca);S=a+8|0;f[S>>2]=(f[S>>2]|0)+1;f[A+40>>2]=C;b[A+32>>0]=13;b[A+33>>0]=0;Da=A+24|0}else{f[r+40>>2]=C;Da=r+24|0}r=Da+10|0;b[r>>0]=b[r>>0]&-16;f[Da>>2]=va;break a;break}case 4:{r=f[g>>2]|0;if(r>>>0<(f[g+4>>2]|0)>>>0?(A=b[r>>0]|0,A<<24>>24>-1):0){f[g>>2]=r+1;Ea=A&255;Fa=0}else{jCb(k,g);A=k;if(!(b[k+8>>0]|0)){z=0;u=j;return z|0}else{Ea=f[A>>2]|0;Fa=f[A+4>>2]|0}}A=f[e+12>>2]|0;if(b[e+1>>0]|0){o5b(a,c,4,(b[e+2>>0]|0)!=0,Ea,Fa,A);break a}r=k+4|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;f[r+16>>2]=0;f[r+20>>2]=0;r=a+4|0;S=f[r>>2]|0;do if(S){B=a+4|0;O=S;while(1){P=f[O+16>>2]|0;if((P|0)>(c|0)){na=f[O>>2]|0;if(!na){y=196;break}else{Ga=O;Ha=na}}else{if((P|0)>=(c|0)){y=201;break}Ia=O+4|0;P=f[Ia>>2]|0;if(!P){y=200;break}else{Ga=Ia;Ha=P}}B=Ga;O=Ha}if((y|0)==196){Ja=O;Ka=O;break}else if((y|0)==200){Ja=Ia;Ka=O;break}else if((y|0)==201){Ja=B;Ka=O;break}}else{Ja=r;Ka=r}while(0);r=f[Ja>>2]|0;if(!r){S=Bmc(48)|0;f[S+16>>2]=c;C=S+20|0;f[C>>2]=f[k>>2];f[C+4>>2]=f[k+4>>2];f[C+8>>2]=f[k+8>>2];f[C+12>>2]=f[k+12>>2];f[C+16>>2]=f[k+16>>2];f[C+20>>2]=f[k+20>>2];f[C+24>>2]=f[k+24>>2];f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=Ka;f[Ja>>2]=S;C=f[f[a>>2]>>2]|0;if(!C)La=S;else{f[a>>2]=C;La=f[Ja>>2]|0}RS(f[a+4>>2]|0,La);C=a+8|0;f[C>>2]=(f[C>>2]|0)+1;f[S+40>>2]=A;b[S+32>>0]=4;b[S+33>>0]=0;Ma=S+24|0}else{f[r+40>>2]=A;Ma=r+24|0}r=Ma+10|0;b[r>>0]=b[r>>0]&-16;r=Ma;f[r>>2]=Ea;f[r+4>>2]=Fa;break a;break}case 17:{r=f[g>>2]|0;if(r>>>0<(f[g+4>>2]|0)>>>0){S=b[r>>0]|0;C=S&255;if(S<<24>>24>-1){f[g>>2]=r+1;Na=C>>>1^0-(C&1)}else{Oa=C;y=212}}else{Oa=0;y=212}if((y|0)==212){C=iCb(g,Oa)|0;r=J;if((r|0)>-1|(r|0)==-1&C>>>0>4294967295)Na=C>>>1^0-(C&1);else{z=0;u=j;return z|0}}C=f[e+12>>2]|0;if(b[e+1>>0]|0){Y4b(a,c,17,(b[e+2>>0]|0)!=0,Na,C);break a}r=k+4|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;f[r+16>>2]=0;f[r+20>>2]=0;r=a+4|0;S=f[r>>2]|0;do if(S){q=a+4|0;t=S;while(1){P=f[t+16>>2]|0;if((P|0)>(c|0)){na=f[t>>2]|0;if(!na){y=219;break}else{Pa=t;Qa=na}}else{if((P|0)>=(c|0)){y=224;break}Ra=t+4|0;P=f[Ra>>2]|0;if(!P){y=223;break}else{Pa=Ra;Qa=P}}q=Pa;t=Qa}if((y|0)==219){Sa=t;Ta=t;break}else if((y|0)==223){Sa=Ra;Ta=t;break}else if((y|0)==224){Sa=q;Ta=t;break}}else{Sa=r;Ta=r}while(0);r=f[Sa>>2]|0;if(!r){S=Bmc(48)|0;f[S+16>>2]=c;A=S+20|0;f[A>>2]=f[k>>2];f[A+4>>2]=f[k+4>>2];f[A+8>>2]=f[k+8>>2];f[A+12>>2]=f[k+12>>2];f[A+16>>2]=f[k+16>>2];f[A+20>>2]=f[k+20>>2];f[A+24>>2]=f[k+24>>2];f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=Ta;f[Sa>>2]=S;A=f[f[a>>2]>>2]|0;if(!A)Ua=S;else{f[a>>2]=A;Ua=f[Sa>>2]|0}RS(f[a+4>>2]|0,Ua);A=a+8|0;f[A>>2]=(f[A>>2]|0)+1;f[S+40>>2]=C;b[S+32>>0]=17;b[S+33>>0]=0;Va=S+24|0}else{f[r+40>>2]=C;Va=r+24|0}r=Va+10|0;b[r>>0]=b[r>>0]&-16;f[Va>>2]=Na;break a;break}case 18:{r=f[g>>2]|0;if(r>>>0<(f[g+4>>2]|0)>>>0?(S=b[r>>0]|0,S<<24>>24>-1):0){A=S&255;f[g>>2]=r+1;r=Irc(A|0,0,1)|0;S=J;O=zrc(0,0,A&1|0,0)|0;Wa=r^O;Xa=S^J}else{jCb(k,g);S=k;O=f[S>>2]|0;r=(b[k+8>>0]|0)==0;A=Irc(O|0,f[S+4>>2]|0,1)|0;S=J;B=zrc(0,0,O&1|0,0)|0;O=S^J;if(r){z=0;u=j;return z|0}else{Wa=A^B;Xa=O}}O=f[e+12>>2]|0;if(b[e+1>>0]|0){c5b(a,c,18,(b[e+2>>0]|0)!=0,Wa,Xa,O);break a}B=k+4|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;f[B+16>>2]=0;f[B+20>>2]=0;B=a+4|0;A=f[B>>2]|0;do if(A){r=a+4|0;S=A;while(1){P=f[S+16>>2]|0;if((P|0)>(c|0)){na=f[S>>2]|0;if(!na){y=242;break}else{Ya=S;Za=na}}else{if((P|0)>=(c|0)){y=247;break}_a=S+4|0;P=f[_a>>2]|0;if(!P){y=246;break}else{Ya=_a;Za=P}}r=Ya;S=Za}if((y|0)==242){$a=S;ab=S;break}else if((y|0)==246){$a=_a;ab=S;break}else if((y|0)==247){$a=r;ab=S;break}}else{$a=B;ab=B}while(0);B=f[$a>>2]|0;if(!B){A=Bmc(48)|0;f[A+16>>2]=c;C=A+20|0;f[C>>2]=f[k>>2];f[C+4>>2]=f[k+4>>2];f[C+8>>2]=f[k+8>>2];f[C+12>>2]=f[k+12>>2];f[C+16>>2]=f[k+16>>2];f[C+20>>2]=f[k+20>>2];f[C+24>>2]=f[k+24>>2];f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=ab;f[$a>>2]=A;C=f[f[a>>2]>>2]|0;if(!C)bb=A;else{f[a>>2]=C;bb=f[$a>>2]|0}RS(f[a+4>>2]|0,bb);C=a+8|0;f[C>>2]=(f[C>>2]|0)+1;f[A+40>>2]=O;b[A+32>>0]=18;b[A+33>>0]=0;cb=A+24|0}else{f[B+40>>2]=O;cb=B+24|0}B=cb+10|0;b[B>>0]=b[B>>0]&-16;B=cb;f[B>>2]=Wa;f[B+4>>2]=Xa;break a;break}case 7:{B=f[g>>2]|0;do if(((f[g+4>>2]|0)-B|0)>3){A=B;C=h[A>>0]|h[A+1>>0]<<8|h[A+2>>0]<<16|h[A+3>>0]<<24;f[o>>2]=C;f[g>>2]=B+4;db=C}else{if(uCb(g,o)|0){db=f[o>>2]|0;break}z=0;u=j;return z|0}while(0);B=f[e+12>>2]|0;if(!(b[e+1>>0]|0)){O=k+4|0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;f[O+16>>2]=0;f[O+20>>2]=0;O=a+4|0;C=f[O>>2]|0;do if(C){A=a+4|0;t=C;while(1){q=f[t+16>>2]|0;if((q|0)>(c|0)){P=f[t>>2]|0;if(!P){y=265;break}else{eb=t;fb=P}}else{if((q|0)>=(c|0)){y=270;break}gb=t+4|0;q=f[gb>>2]|0;if(!q){y=269;break}else{eb=gb;fb=q}}A=eb;t=fb}if((y|0)==265){hb=t;ib=t;break}else if((y|0)==269){hb=gb;ib=t;break}else if((y|0)==270){hb=A;ib=t;break}}else{hb=O;ib=O}while(0);O=f[hb>>2]|0;if(!O){C=Bmc(48)|0;f[C+16>>2]=c;S=C+20|0;f[S>>2]=f[k>>2];f[S+4>>2]=f[k+4>>2];f[S+8>>2]=f[k+8>>2];f[S+12>>2]=f[k+12>>2];f[S+16>>2]=f[k+16>>2];f[S+20>>2]=f[k+20>>2];f[S+24>>2]=f[k+24>>2];f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=ib;f[hb>>2]=C;S=f[f[a>>2]>>2]|0;if(!S)jb=C;else{f[a>>2]=S;jb=f[hb>>2]|0}RS(f[a+4>>2]|0,jb);S=a+8|0;f[S>>2]=(f[S>>2]|0)+1;f[C+40>>2]=B;b[C+32>>0]=7;b[C+33>>0]=0;kb=C+24|0}else{f[O+40>>2]=B;kb=O+24|0}O=kb+10|0;b[O>>0]=b[O>>0]&-16;f[kb>>2]=db}else i5b(a,c,7,(b[e+2>>0]|0)!=0,db,B);break a;break}case 6:{O=f[g>>2]|0;do if(((f[g+4>>2]|0)-O|0)>7){C=O;S=C;r=h[S>>0]|h[S+1>>0]<<8|h[S+2>>0]<<16|h[S+3>>0]<<24;S=C+4|0;C=h[S>>0]|h[S+1>>0]<<8|h[S+2>>0]<<16|h[S+3>>0]<<24;S=o;f[S>>2]=r;f[S+4>>2]=C;f[g>>2]=O+8;lb=r;mb=C}else{if(vCb(g,o)|0){C=o;lb=f[C>>2]|0;mb=f[C+4>>2]|0;break}z=0;u=j;return z|0}while(0);O=f[e+12>>2]|0;if(!(b[e+1>>0]|0)){B=k+4|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;f[B+16>>2]=0;f[B+20>>2]=0;B=a+4|0;C=f[B>>2]|0;do if(C){r=a+4|0;S=C;while(1){q=f[S+16>>2]|0;if((q|0)>(c|0)){P=f[S>>2]|0;if(!P){y=289;break}else{nb=S;ob=P}}else{if((q|0)>=(c|0)){y=294;break}pb=S+4|0;q=f[pb>>2]|0;if(!q){y=293;break}else{nb=pb;ob=q}}r=nb;S=ob}if((y|0)==289){qb=S;rb=S;break}else if((y|0)==293){qb=pb;rb=S;break}else if((y|0)==294){qb=r;rb=S;break}}else{qb=B;rb=B}while(0);B=f[qb>>2]|0;if(!B){C=Bmc(48)|0;f[C+16>>2]=c;t=C+20|0;f[t>>2]=f[k>>2];f[t+4>>2]=f[k+4>>2];f[t+8>>2]=f[k+8>>2];f[t+12>>2]=f[k+12>>2];f[t+16>>2]=f[k+16>>2];f[t+20>>2]=f[k+20>>2];f[t+24>>2]=f[k+24>>2];f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=rb;f[qb>>2]=C;t=f[f[a>>2]>>2]|0;if(!t)sb=C;else{f[a>>2]=t;sb=f[qb>>2]|0}RS(f[a+4>>2]|0,sb);t=a+8|0;f[t>>2]=(f[t>>2]|0)+1;f[C+40>>2]=O;b[C+32>>0]=6;b[C+33>>0]=0;tb=C+24|0}else{f[B+40>>2]=O;tb=B+24|0}B=tb+10|0;b[B>>0]=b[B>>0]&-16;B=tb;f[B>>2]=lb;f[B+4>>2]=mb}else o5b(a,c,6,(b[e+2>>0]|0)!=0,lb,mb,O);break a;break}case 15:{B=f[g>>2]|0;do if(((f[g+4>>2]|0)-B|0)>3){C=B;t=h[C>>0]|h[C+1>>0]<<8|h[C+2>>0]<<16|h[C+3>>0]<<24;f[k>>2]=t;f[g>>2]=B+4;ub=t}else{if(uCb(g,k)|0){ub=f[k>>2]|0;break}z=0;u=j;return z|0}while(0);B=f[e+12>>2]|0;if(b[e+1>>0]|0){Y4b(a,c,15,(b[e+2>>0]|0)!=0,ub,B);break a}O=k+4|0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;f[O+16>>2]=0;f[O+20>>2]=0;O=a+4|0;t=f[O>>2]|0;do if(t){C=a+4|0;A=t;while(1){q=f[A+16>>2]|0;if((q|0)>(c|0)){P=f[A>>2]|0;if(!P){y=313;break}else{vb=A;wb=P}}else{if((q|0)>=(c|0)){y=318;break}xb=A+4|0;q=f[xb>>2]|0;if(!q){y=317;break}else{vb=xb;wb=q}}C=vb;A=wb}if((y|0)==313){yb=A;zb=A;break}else if((y|0)==317){yb=xb;zb=A;break}else if((y|0)==318){yb=C;zb=A;break}}else{yb=O;zb=O}while(0);O=f[yb>>2]|0;if(!O){t=Bmc(48)|0;f[t+16>>2]=c;S=t+20|0;f[S>>2]=f[k>>2];f[S+4>>2]=f[k+4>>2];f[S+8>>2]=f[k+8>>2];f[S+12>>2]=f[k+12>>2];f[S+16>>2]=f[k+16>>2];f[S+20>>2]=f[k+20>>2];f[S+24>>2]=f[k+24>>2];f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=zb;f[yb>>2]=t;S=f[f[a>>2]>>2]|0;if(!S)Ab=t;else{f[a>>2]=S;Ab=f[yb>>2]|0}RS(f[a+4>>2]|0,Ab);S=a+8|0;f[S>>2]=(f[S>>2]|0)+1;f[t+40>>2]=B;b[t+32>>0]=15;b[t+33>>0]=0;Bb=t+24|0}else{f[O+40>>2]=B;Bb=O+24|0}O=Bb+10|0;b[O>>0]=b[O>>0]&-16;f[Bb>>2]=ub;break a;break}case 16:{O=f[g>>2]|0;do if(((f[g+4>>2]|0)-O|0)>7){t=O;S=t;r=h[S>>0]|h[S+1>>0]<<8|h[S+2>>0]<<16|h[S+3>>0]<<24;S=t+4|0;t=h[S>>0]|h[S+1>>0]<<8|h[S+2>>0]<<16|h[S+3>>0]<<24;S=k;f[S>>2]=r;f[S+4>>2]=t;f[g>>2]=O+8;Cb=r;Db=t}else{if(vCb(g,k)|0){t=k;Cb=f[t>>2]|0;Db=f[t+4>>2]|0;break}z=0;u=j;return z|0}while(0);O=f[e+12>>2]|0;if(b[e+1>>0]|0){c5b(a,c,16,(b[e+2>>0]|0)!=0,Cb,Db,O);break a}B=k+4|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;f[B+16>>2]=0;f[B+20>>2]=0;B=a+4|0;t=f[B>>2]|0;do if(t){r=a+4|0;S=t;while(1){q=f[S+16>>2]|0;if((q|0)>(c|0)){P=f[S>>2]|0;if(!P){y=336;break}else{Eb=S;Fb=P}}else{if((q|0)>=(c|0)){y=341;break}Gb=S+4|0;q=f[Gb>>2]|0;if(!q){y=340;break}else{Eb=Gb;Fb=q}}r=Eb;S=Fb}if((y|0)==336){Hb=S;Ib=S;break}else if((y|0)==340){Hb=Gb;Ib=S;break}else if((y|0)==341){Hb=r;Ib=S;break}}else{Hb=B;Ib=B}while(0);B=f[Hb>>2]|0;if(!B){t=Bmc(48)|0;f[t+16>>2]=c;A=t+20|0;f[A>>2]=f[k>>2];f[A+4>>2]=f[k+4>>2];f[A+8>>2]=f[k+8>>2];f[A+12>>2]=f[k+12>>2];f[A+16>>2]=f[k+16>>2];f[A+20>>2]=f[k+20>>2];f[A+24>>2]=f[k+24>>2];f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=Ib;f[Hb>>2]=t;A=f[f[a>>2]>>2]|0;if(!A)Jb=t;else{f[a>>2]=A;Jb=f[Hb>>2]|0}RS(f[a+4>>2]|0,Jb);A=a+8|0;f[A>>2]=(f[A>>2]|0)+1;f[t+40>>2]=O;b[t+32>>0]=16;b[t+33>>0]=0;Kb=t+24|0}else{f[B+40>>2]=O;Kb=B+24|0}B=Kb+10|0;b[B>>0]=b[B>>0]&-16;B=Kb;f[B>>2]=Cb;f[B+4>>2]=Db;break a;break}case 2:{B=f[g>>2]|0;do if(((f[g+4>>2]|0)-B|0)>3){t=B;A=h[t>>0]|h[t+1>>0]<<8|h[t+2>>0]<<16|h[t+3>>0]<<24;f[k>>2]=A;f[g>>2]=B+4;Lb=A}else{if(uCb(g,k)|0){Lb=f[k>>2]|0;break}z=0;u=j;return z|0}while(0);B=f[e+12>>2]|0;if(b[e+1>>0]|0){u5b(a,c,2,(b[e+2>>0]|0)!=0,(f[s>>2]=Lb,+n[s>>2]),B);break a}O=k+4|0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;f[O+16>>2]=0;f[O+20>>2]=0;O=a+4|0;A=f[O>>2]|0;do if(A){t=a+4|0;C=A;while(1){q=f[C+16>>2]|0;if((q|0)>(c|0)){P=f[C>>2]|0;if(!P){y=359;break}else{Mb=C;Nb=P}}else{if((q|0)>=(c|0)){y=364;break}Ob=C+4|0;q=f[Ob>>2]|0;if(!q){y=363;break}else{Mb=Ob;Nb=q}}t=Mb;C=Nb}if((y|0)==359){Pb=C;Qb=C;break}else if((y|0)==363){Pb=Ob;Qb=C;break}else if((y|0)==364){Pb=t;Qb=C;break}}else{Pb=O;Qb=O}while(0);O=f[Pb>>2]|0;if(!O){A=Bmc(48)|0;f[A+16>>2]=c;S=A+20|0;f[S>>2]=f[k>>2];f[S+4>>2]=f[k+4>>2];f[S+8>>2]=f[k+8>>2];f[S+12>>2]=f[k+12>>2];f[S+16>>2]=f[k+16>>2];f[S+20>>2]=f[k+20>>2];f[S+24>>2]=f[k+24>>2];f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=Qb;f[Pb>>2]=A;S=f[f[a>>2]>>2]|0;if(!S)Rb=A;else{f[a>>2]=S;Rb=f[Pb>>2]|0}RS(f[a+4>>2]|0,Rb);S=a+8|0;f[S>>2]=(f[S>>2]|0)+1;f[A+40>>2]=B;b[A+32>>0]=2;b[A+33>>0]=0;Sb=A+24|0}else{f[O+40>>2]=B;Sb=O+24|0}O=Sb+10|0;b[O>>0]=b[O>>0]&-16;f[Sb>>2]=Lb;break a;break}case 1:{O=f[g>>2]|0;do if(((f[g+4>>2]|0)-O|0)>7){A=O;S=A;r=h[S>>0]|h[S+1>>0]<<8|h[S+2>>0]<<16|h[S+3>>0]<<24;S=A+4|0;A=h[S>>0]|h[S+1>>0]<<8|h[S+2>>0]<<16|h[S+3>>0]<<24;S=k;f[S>>2]=r;f[S+4>>2]=A;f[g>>2]=O+8;f[s>>2]=r;f[s+4>>2]=A;Tb=+p[s>>3]}else{if(vCb(g,k)|0){Tb=+p[k>>3];break}z=0;u=j;return z|0}while(0);O=f[e+12>>2]|0;if(b[e+1>>0]|0){A5b(a,c,1,(b[e+2>>0]|0)!=0,Tb,O);break a}B=k+4|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;f[B+16>>2]=0;f[B+20>>2]=0;B=a+4|0;A=f[B>>2]|0;do if(A){r=a+4|0;S=A;while(1){q=f[S+16>>2]|0;if((q|0)>(c|0)){P=f[S>>2]|0;if(!P){y=382;break}else{Ub=S;Vb=P}}else{if((q|0)>=(c|0)){y=387;break}Wb=S+4|0;q=f[Wb>>2]|0;if(!q){y=386;break}else{Ub=Wb;Vb=q}}r=Ub;S=Vb}if((y|0)==382){Xb=S;Yb=S;break}else if((y|0)==386){Xb=Wb;Yb=S;break}else if((y|0)==387){Xb=r;Yb=S;break}}else{Xb=B;Yb=B}while(0);B=f[Xb>>2]|0;if(!B){A=Bmc(48)|0;f[A+16>>2]=c;C=A+20|0;f[C>>2]=f[k>>2];f[C+4>>2]=f[k+4>>2];f[C+8>>2]=f[k+8>>2];f[C+12>>2]=f[k+12>>2];f[C+16>>2]=f[k+16>>2];f[C+20>>2]=f[k+20>>2];f[C+24>>2]=f[k+24>>2];f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=Yb;f[Xb>>2]=A;C=f[f[a>>2]>>2]|0;if(!C)Zb=A;else{f[a>>2]=C;Zb=f[Xb>>2]|0}RS(f[a+4>>2]|0,Zb);C=a+8|0;f[C>>2]=(f[C>>2]|0)+1;f[A+40>>2]=O;b[A+32>>0]=1;b[A+33>>0]=0;_b=A+24|0}else{f[B+40>>2]=O;_b=B+24|0}B=_b+10|0;b[B>>0]=b[B>>0]&-16;p[_b>>3]=Tb;break a;break}case 8:{B=f[g>>2]|0;if(B>>>0<(f[g+4>>2]|0)>>>0?(A=b[B>>0]|0,A<<24>>24>-1):0){f[g>>2]=B+1;$b=A<<24>>24!=0}else{jCb(k,g);A=k;if(!(b[k+8>>0]|0)){z=0;u=j;return z|0}else $b=(f[A>>2]|0)!=0|(f[A+4>>2]|0)!=0}A=f[e+12>>2]|0;if(b[e+1>>0]|0){G5b(a,c,8,(b[e+2>>0]|0)!=0,$b,A);break a}B=$b&1;C=k+4|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;f[C+16>>2]=0;f[C+20>>2]=0;C=a+4|0;t=f[C>>2]|0;do if(t){q=a+4|0;P=t;while(1){na=f[P+16>>2]|0;if((na|0)>(c|0)){ac=f[P>>2]|0;if(!ac){y=405;break}else{bc=P;cc=ac}}else{if((na|0)>=(c|0)){y=410;break}dc=P+4|0;na=f[dc>>2]|0;if(!na){y=409;break}else{bc=dc;cc=na}}q=bc;P=cc}if((y|0)==405){ec=P;fc=P;break}else if((y|0)==409){ec=dc;fc=P;break}else if((y|0)==410){ec=q;fc=P;break}}else{ec=C;fc=C}while(0);C=f[ec>>2]|0;if(!C){t=Bmc(48)|0;f[t+16>>2]=c;O=t+20|0;f[O>>2]=f[k>>2];f[O+4>>2]=f[k+4>>2];f[O+8>>2]=f[k+8>>2];f[O+12>>2]=f[k+12>>2];f[O+16>>2]=f[k+16>>2];f[O+20>>2]=f[k+20>>2];f[O+24>>2]=f[k+24>>2];f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=fc;f[ec>>2]=t;O=f[f[a>>2]>>2]|0;if(!O)gc=t;else{f[a>>2]=O;gc=f[ec>>2]|0}RS(f[a+4>>2]|0,gc);O=a+8|0;f[O>>2]=(f[O>>2]|0)+1;f[t+40>>2]=A;b[t+32>>0]=8;b[t+33>>0]=0;hc=t+24|0}else{f[C+40>>2]=A;hc=C+24|0}C=hc+10|0;b[C>>0]=b[C>>0]&-16;b[hc>>0]=B;break a;break}case 14:{C=f[g>>2]|0;if(C>>>0<(f[g+4>>2]|0)>>>0){t=b[C>>0]|0;O=t&255;if(t<<24>>24>-1){f[g>>2]=C+1;ic=O}else{jc=O;y=421}}else{jc=0;y=421}if((y|0)==421){O=iCb(g,jc)|0;C=J;if((C|0)>-1|(C|0)==-1&O>>>0>4294967295)ic=O;else{z=0;u=j;return z|0}}if(!(Sh[f[e+4>>2]&511](f[e+8>>2]|0,ic)|0)){Yh[f[(f[i>>2]|0)+16>>2]&511](i,c,ic);break a}O=f[e+12>>2]|0;if(b[e+1>>0]|0){O5b(a,c,14,(b[e+2>>0]|0)!=0,ic,O);break a}C=k+4|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;f[C+16>>2]=0;f[C+20>>2]=0;C=a+4|0;t=f[C>>2]|0;do if(t){S=a+4|0;r=t;while(1){na=f[r+16>>2]|0;if((na|0)>(c|0)){ac=f[r>>2]|0;if(!ac){y=430;break}else{kc=r;lc=ac}}else{if((na|0)>=(c|0)){y=435;break}mc=r+4|0;na=f[mc>>2]|0;if(!na){y=434;break}else{kc=mc;lc=na}}S=kc;r=lc}if((y|0)==430){nc=r;oc=r;break}else if((y|0)==434){nc=mc;oc=r;break}else if((y|0)==435){nc=S;oc=r;break}}else{nc=C;oc=C}while(0);C=f[nc>>2]|0;if(!C){t=Bmc(48)|0;f[t+16>>2]=c;B=t+20|0;f[B>>2]=f[k>>2];f[B+4>>2]=f[k+4>>2];f[B+8>>2]=f[k+8>>2];f[B+12>>2]=f[k+12>>2];f[B+16>>2]=f[k+16>>2];f[B+20>>2]=f[k+20>>2];f[B+24>>2]=f[k+24>>2];f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=oc;f[nc>>2]=t;B=f[f[a>>2]>>2]|0;if(!B)pc=t;else{f[a>>2]=B;pc=f[nc>>2]|0}RS(f[a+4>>2]|0,pc);B=a+8|0;f[B>>2]=(f[B>>2]|0)+1;f[t+40>>2]=O;b[t+32>>0]=14;b[t+33>>0]=0;qc=t+24|0}else{f[C+40>>2]=O;qc=C+24|0}C=qc+10|0;b[C>>0]=b[C>>0]&-16;f[qc>>2]=ic;break a;break}case 9:{C=f[e+12>>2]|0;if(!(b[e+1>>0]|0))rc=Q5b(a,c,9,C)|0;else rc=T5b(a,c,9,C)|0;if(HEb(g,rc)|0)break a;else z=0;u=j;return z|0}case 12:{C=f[e+12>>2]|0;if(!(b[e+1>>0]|0))sc=Q5b(a,c,12,C)|0;else sc=T5b(a,c,12,C)|0;if(HEb(g,sc)|0)break a;else z=0;u=j;return z|0}case 10:{C=f[e+4>>2]|0;t=f[e+12>>2]|0;if(!(b[e+1>>0]|0))tc=U5b(a,c,10,C,t)|0;else tc=Y5b(a,c,10,C,t)|0;t=g+40|0;C=f[t>>2]|0;f[t>>2]=C+-1;if((C|0)<=0){z=0;u=j;return z|0}if(!(Sh[f[(f[tc>>2]|0)+44>>2]&511](tc,g)|0)){z=0;u=j;return z|0}C=f[t>>2]|0;if((C|0)<(f[g+44>>2]|0))f[t>>2]=C+1;if((f[g+20>>2]|0)==(c<<3|4|0))break a;else z=0;u=j;return z|0}case 11:{C=f[e+4>>2]|0;t=f[e+12>>2]|0;if(!(b[e+1>>0]|0))uc=U5b(a,c,11,C,t)|0;else uc=Y5b(a,c,11,C,t)|0;t=f[g>>2]|0;if(t>>>0<(f[g+4>>2]|0)>>>0?(C=b[t>>0]|0,C<<24>>24>-1):0){f[g>>2]=t+1;vc=C&255}else{C=wCb(g)|0;if((C|0)>-1)vc=C;else{z=0;u=j;return z|0}}hCb(k,g,vc);if((f[k+4>>2]|0)>=0?Sh[f[(f[uc>>2]|0)+44>>2]&511](uc,g)|0:0){if(mCb(g,f[k>>2]|0)|0)break a;else z=0;u=j;return z|0}z=0;u=j;return z|0}default:break a}while(0);while(0);z=1;u=j;return z|0}function j6b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=a+4|0;a=f[e>>2]|0;if(!a)return;else{g=e;h=a}a:while(1){a=h;while(1){if((f[a+16>>2]|0)>=(b|0))break;i=f[a+4>>2]|0;if(!i){j=g;break a}else a=i}h=f[a>>2]|0;if(!h){j=a;break}else g=a}if((j|0)==(e|0))return;else k=j;while(1){j=f[k+16>>2]|0;if((j|0)>=(c|0)){l=14;break}k6b(k+24|0,j,d);j=f[k+4>>2]|0;if(!j){g=k+8|0;h=f[g>>2]|0;if((f[h>>2]|0)==(k|0))m=h;else{h=g;do{g=f[h>>2]|0;h=g+8|0;b=f[h>>2]|0}while((f[b>>2]|0)!=(g|0));m=b}}else{h=j;while(1){a=f[h>>2]|0;if(!a)break;else h=a}m=h}if((m|0)==(e|0)){l=14;break}else k=m}if((l|0)==14)return}function k6b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0;e=u;u=u+32|0;g=e;h=e+24|0;if(!(b[a+9>>0]|0)){i=b[a+10>>0]|0;if(i&1){u=e;return}do switch(b[a+8>>0]|0){case 5:{mEb(c,f[a>>2]|0,d);u=e;return}case 3:{j=a;nEb(c,f[j>>2]|0,f[j+4>>2]|0,d);u=e;return}case 13:{oEb(c,f[a>>2]|0,d);u=e;return}case 4:{j=a;pEb(c,f[j>>2]|0,f[j+4>>2]|0,d);u=e;return}case 17:{qEb(c,f[a>>2]|0,d);u=e;return}case 18:{j=a;rEb(c,f[j>>2]|0,f[j+4>>2]|0,d);u=e;return}case 7:{sEb(c,f[a>>2]|0,d);u=e;return}case 6:{j=a;tEb(c,f[j>>2]|0,f[j+4>>2]|0,d);u=e;return}case 15:{uEb(c,f[a>>2]|0,d);u=e;return}case 16:{j=a;vEb(c,f[j>>2]|0,f[j+4>>2]|0,d);u=e;return}case 2:{wEb(c,+n[a>>2],d);u=e;return}case 1:{xEb(c,+p[a>>3],d);u=e;return}case 8:{yEb(c,(b[a>>0]|0)!=0,d);u=e;return}case 9:{AEb(c,f[a>>2]|0,d);u=e;return}case 12:{CEb(c,f[a>>2]|0,d);u=e;return}case 14:{zEb(c,f[a>>2]|0,d);u=e;return}case 10:{EEb(c,f[a>>2]|0,d);u=e;return}case 11:{j=f[a>>2]|0;if(!(i&16)){FEb(c,j,d);u=e;return}else{Yh[f[(f[j>>2]|0)+60>>2]&511](j,c,d);u=e;return}break}default:{u=e;return}}while(0)}if(!(b[a+11>>0]|0))do switch(b[a+8>>0]|0){case 5:{i=f[a>>2]|0;if((f[i>>2]|0)>0){k=0;l=i}else{u=e;return}do{mEb(c,f[(f[l+8>>2]|0)+4+(k<<2)>>2]|0,d);k=k+1|0;l=f[a>>2]|0}while((k|0)<(f[l>>2]|0));u=e;return}case 3:{i=f[a>>2]|0;if((f[i>>2]|0)>0){m=0;o=i}else{u=e;return}do{i=(f[o+8>>2]|0)+8+(m<<3)|0;nEb(c,f[i>>2]|0,f[i+4>>2]|0,d);m=m+1|0;o=f[a>>2]|0}while((m|0)<(f[o>>2]|0));u=e;return}case 13:{i=f[a>>2]|0;if((f[i>>2]|0)>0){q=0;r=i}else{u=e;return}do{oEb(c,f[(f[r+8>>2]|0)+4+(q<<2)>>2]|0,d);q=q+1|0;r=f[a>>2]|0}while((q|0)<(f[r>>2]|0));u=e;return}case 4:{i=f[a>>2]|0;if((f[i>>2]|0)>0){s=0;t=i}else{u=e;return}do{i=(f[t+8>>2]|0)+8+(s<<3)|0;pEb(c,f[i>>2]|0,f[i+4>>2]|0,d);s=s+1|0;t=f[a>>2]|0}while((s|0)<(f[t>>2]|0));u=e;return}case 17:{i=f[a>>2]|0;if((f[i>>2]|0)>0){v=0;w=i}else{u=e;return}do{qEb(c,f[(f[w+8>>2]|0)+4+(v<<2)>>2]|0,d);v=v+1|0;w=f[a>>2]|0}while((v|0)<(f[w>>2]|0));u=e;return}case 18:{i=f[a>>2]|0;if((f[i>>2]|0)>0){x=0;y=i}else{u=e;return}do{i=(f[y+8>>2]|0)+8+(x<<3)|0;rEb(c,f[i>>2]|0,f[i+4>>2]|0,d);x=x+1|0;y=f[a>>2]|0}while((x|0)<(f[y>>2]|0));u=e;return}case 7:{i=f[a>>2]|0;if((f[i>>2]|0)>0){z=0;A=i}else{u=e;return}do{sEb(c,f[(f[A+8>>2]|0)+4+(z<<2)>>2]|0,d);z=z+1|0;A=f[a>>2]|0}while((z|0)<(f[A>>2]|0));u=e;return}case 6:{i=f[a>>2]|0;if((f[i>>2]|0)>0){B=0;C=i}else{u=e;return}do{i=(f[C+8>>2]|0)+8+(B<<3)|0;tEb(c,f[i>>2]|0,f[i+4>>2]|0,d);B=B+1|0;C=f[a>>2]|0}while((B|0)<(f[C>>2]|0));u=e;return}case 15:{i=f[a>>2]|0;if((f[i>>2]|0)>0){D=0;E=i}else{u=e;return}do{uEb(c,f[(f[E+8>>2]|0)+4+(D<<2)>>2]|0,d);D=D+1|0;E=f[a>>2]|0}while((D|0)<(f[E>>2]|0));u=e;return}case 16:{i=f[a>>2]|0;if((f[i>>2]|0)>0){F=0;G=i}else{u=e;return}do{i=(f[G+8>>2]|0)+8+(F<<3)|0;vEb(c,f[i>>2]|0,f[i+4>>2]|0,d);F=F+1|0;G=f[a>>2]|0}while((F|0)<(f[G>>2]|0));u=e;return}case 2:{i=f[a>>2]|0;if((f[i>>2]|0)>0){H=0;I=i}else{u=e;return}do{wEb(c,+n[(f[I+8>>2]|0)+4+(H<<2)>>2],d);H=H+1|0;I=f[a>>2]|0}while((H|0)<(f[I>>2]|0));u=e;return}case 1:{i=f[a>>2]|0;if((f[i>>2]|0)>0){K=0;L=i}else{u=e;return}do{xEb(c,+p[(f[L+8>>2]|0)+8+(K<<3)>>3],d);K=K+1|0;L=f[a>>2]|0}while((K|0)<(f[L>>2]|0));u=e;return}case 8:{i=f[a>>2]|0;if((f[i>>2]|0)>0){M=0;N=i}else{u=e;return}do{yEb(c,(b[(f[N+8>>2]|0)+4+M>>0]|0)!=0,d);M=M+1|0;N=f[a>>2]|0}while((M|0)<(f[N>>2]|0));u=e;return}case 9:{i=f[a>>2]|0;if((f[i+4>>2]|0)>0){O=0;P=i}else{u=e;return}do{AEb(c,f[(f[P+12>>2]|0)+4+(O<<2)>>2]|0,d);O=O+1|0;P=f[a>>2]|0}while((O|0)<(f[P+4>>2]|0));u=e;return}case 12:{i=f[a>>2]|0;if((f[i+4>>2]|0)>0){Q=0;R=i}else{u=e;return}do{CEb(c,f[(f[R+12>>2]|0)+4+(Q<<2)>>2]|0,d);Q=Q+1|0;R=f[a>>2]|0}while((Q|0)<(f[R+4>>2]|0));u=e;return}case 14:{i=f[a>>2]|0;if((f[i>>2]|0)>0){S=0;T=i}else{u=e;return}do{zEb(c,f[(f[T+8>>2]|0)+4+(S<<2)>>2]|0,d);S=S+1|0;T=f[a>>2]|0}while((S|0)<(f[T>>2]|0));u=e;return}case 10:{i=f[a>>2]|0;if((f[i+4>>2]|0)>0){U=0;V=i}else{u=e;return}do{EEb(c,f[(f[V+12>>2]|0)+4+(U<<2)>>2]|0,d);U=U+1|0;V=f[a>>2]|0}while((U|0)<(f[V+4>>2]|0));u=e;return}case 11:{i=f[a>>2]|0;if((f[i+4>>2]|0)>0){W=0;X=i}else{u=e;return}do{FEb(c,f[(f[X+12>>2]|0)+4+(W<<2)>>2]|0,d);W=W+1|0;X=f[a>>2]|0}while((W|0)<(f[X+4>>2]|0));u=e;return}default:{u=e;return}}while(0);X=a+12|0;if(!(f[X>>2]|0)){u=e;return}W=c<<3|2;c=d+8|0;if((f[c>>2]|0)>4){V=d+4|0;U=f[V>>2]|0;if(W>>>0>127){T=W;S=U;while(1){b[S>>0]=T|128;R=T>>>7;Q=S+1|0;if(T>>>0>16383){T=R;S=Q}else{Y=Q;Z=R;break}}}else{Y=U;Z=W}b[Y>>0]=Z;Z=Y+1-U|0;f[V>>2]=(f[V>>2]|0)+Z;V=(f[c>>2]|0)-Z|0;f[c>>2]=V;_=V}else{ECb(d,W);_=f[c>>2]|0}W=f[X>>2]|0;if((_|0)>4){_=d+4|0;X=f[_>>2]|0;if(W>>>0>127){V=W;Z=X;while(1){b[Z>>0]=V|128;U=V>>>7;Y=Z+1|0;if(V>>>0>16383){V=U;Z=Y}else{$=Y;aa=U;break}}}else{$=X;aa=W}b[$>>0]=aa;aa=$+1-X|0;f[_>>2]=(f[_>>2]|0)+aa;f[c>>2]=(f[c>>2]|0)-aa}else ECb(d,W);do switch(b[a+8>>0]|0){case 5:{W=f[a>>2]|0;if((f[W>>2]|0)<=0){u=e;return}aa=d+4|0;_=0;X=W;do{W=f[(f[X+8>>2]|0)+4+(_<<2)>>2]|0;$=((W|0)<0)<<31>>31;if((f[c>>2]|0)>9){Z=f[aa>>2]|0;V=W&255;if(W>>>0>127){U=Z;Y=V;S=W;T=$;while(1){b[U>>0]=Y|-128;R=S;S=Irc(S|0,T|0,7)|0;Q=U+1|0;P=S&255;if(!(T>>>0>0|(T|0)==0&R>>>0>16383)){ba=Q;ca=P;break}else{U=Q;Y=P;T=J}}}else{ba=Z;ca=V}b[ba>>0]=ca;T=ba+1-Z|0;f[aa>>2]=(f[aa>>2]|0)+T;f[c>>2]=(f[c>>2]|0)-T}else FCb(d,W,$);_=_+1|0;X=f[a>>2]|0}while((_|0)<(f[X>>2]|0));u=e;return}case 3:{X=f[a>>2]|0;if((f[X>>2]|0)<=0){u=e;return}_=d+4|0;aa=0;T=X;do{X=(f[T+8>>2]|0)+8+(aa<<3)|0;Y=f[X>>2]|0;U=f[X+4>>2]|0;if((f[c>>2]|0)>9){X=f[_>>2]|0;S=Y&255;if(U>>>0>0|(U|0)==0&Y>>>0>127){P=X;Q=S;R=Y;O=U;while(1){b[P>>0]=Q|-128;N=R;R=Irc(R|0,O|0,7)|0;M=P+1|0;L=R&255;if(!(O>>>0>0|(O|0)==0&N>>>0>16383)){da=M;ea=L;break}else{P=M;Q=L;O=J}}}else{da=X;ea=S}b[da>>0]=ea;O=da+1-X|0;f[_>>2]=(f[_>>2]|0)+O;f[c>>2]=(f[c>>2]|0)-O}else FCb(d,Y,U);aa=aa+1|0;T=f[a>>2]|0}while((aa|0)<(f[T>>2]|0));u=e;return}case 13:{T=f[a>>2]|0;if((f[T>>2]|0)<=0){u=e;return}aa=d+4|0;_=0;O=T;do{T=f[(f[O+8>>2]|0)+4+(_<<2)>>2]|0;if((f[c>>2]|0)>4){Q=f[aa>>2]|0;if(T>>>0>127){P=T;R=Q;while(1){b[R>>0]=P|128;$=P>>>7;W=R+1|0;if(P>>>0>16383){P=$;R=W}else{fa=W;ga=$;break}}}else{fa=Q;ga=T}b[fa>>0]=ga;R=fa+1-Q|0;f[aa>>2]=(f[aa>>2]|0)+R;f[c>>2]=(f[c>>2]|0)-R}else ECb(d,T);_=_+1|0;O=f[a>>2]|0}while((_|0)<(f[O>>2]|0));u=e;return}case 4:{O=f[a>>2]|0;if((f[O>>2]|0)<=0){u=e;return}_=d+4|0;aa=0;R=O;do{O=(f[R+8>>2]|0)+8+(aa<<3)|0;P=f[O>>2]|0;U=f[O+4>>2]|0;if((f[c>>2]|0)>9){O=f[_>>2]|0;Y=P&255;if(U>>>0>0|(U|0)==0&P>>>0>127){X=O;S=Y;$=P;W=U;while(1){b[X>>0]=S|-128;Z=$;$=Irc($|0,W|0,7)|0;V=X+1|0;L=$&255;if(!(W>>>0>0|(W|0)==0&Z>>>0>16383)){ha=V;ia=L;break}else{X=V;S=L;W=J}}}else{ha=O;ia=Y}b[ha>>0]=ia;W=ha+1-O|0;f[_>>2]=(f[_>>2]|0)+W;f[c>>2]=(f[c>>2]|0)-W}else FCb(d,P,U);aa=aa+1|0;R=f[a>>2]|0}while((aa|0)<(f[R>>2]|0));u=e;return}case 17:{R=f[a>>2]|0;if((f[R>>2]|0)<=0){u=e;return}aa=d+4|0;_=0;W=R;do{R=f[(f[W+8>>2]|0)+4+(_<<2)>>2]|0;S=R<<1^R>>31;if((f[c>>2]|0)>4){R=f[aa>>2]|0;if(S>>>0>127){X=S;$=R;while(1){b[$>>0]=X|128;T=X>>>7;Q=$+1|0;if(X>>>0>16383){X=T;$=Q}else{ja=Q;ka=T;break}}}else{ja=R;ka=S}b[ja>>0]=ka;$=ja+1-R|0;f[aa>>2]=(f[aa>>2]|0)+$;f[c>>2]=(f[c>>2]|0)-$}else ECb(d,S);_=_+1|0;W=f[a>>2]|0}while((_|0)<(f[W>>2]|0));u=e;return}case 18:{W=f[a>>2]|0;if((f[W>>2]|0)<=0){u=e;return}_=d+4|0;aa=0;$=W;do{W=(f[$+8>>2]|0)+8+(aa<<3)|0;X=f[W>>2]|0;U=f[W+4>>2]|0;W=Qrc(X|0,U|0,1)|0;P=J;O=Hrc(X|0,U|0,63)|0;U=W^O;O=P^J;if((f[c>>2]|0)>9){P=f[_>>2]|0;W=U&255;if(O>>>0>0|(O|0)==0&U>>>0>127){X=P;Y=W;T=U;Q=O;while(1){b[X>>0]=Y|-128;L=T;T=Irc(T|0,Q|0,7)|0;V=X+1|0;Z=T&255;if(!(Q>>>0>0|(Q|0)==0&L>>>0>16383)){la=V;ma=Z;break}else{X=V;Y=Z;Q=J}}}else{la=P;ma=W}b[la>>0]=ma;Q=la+1-P|0;f[_>>2]=(f[_>>2]|0)+Q;f[c>>2]=(f[c>>2]|0)-Q}else FCb(d,U,O);aa=aa+1|0;$=f[a>>2]|0}while((aa|0)<(f[$>>2]|0));u=e;return}case 7:{$=f[a>>2]|0;if((f[$>>2]|0)>0){na=0;oa=$}else{u=e;return}do{CCb(d,f[(f[oa+8>>2]|0)+4+(na<<2)>>2]|0);na=na+1|0;oa=f[a>>2]|0}while((na|0)<(f[oa>>2]|0));u=e;return}case 6:{$=f[a>>2]|0;if((f[$>>2]|0)>0){pa=0;qa=$}else{u=e;return}do{$=(f[qa+8>>2]|0)+8+(pa<<3)|0;DCb(d,f[$>>2]|0,f[$+4>>2]|0);pa=pa+1|0;qa=f[a>>2]|0}while((pa|0)<(f[qa>>2]|0));u=e;return}case 15:{$=f[a>>2]|0;if((f[$>>2]|0)>0){ra=0;sa=$}else{u=e;return}do{CCb(d,f[(f[sa+8>>2]|0)+4+(ra<<2)>>2]|0);ra=ra+1|0;sa=f[a>>2]|0}while((ra|0)<(f[sa>>2]|0));u=e;return}case 16:{$=f[a>>2]|0;if((f[$>>2]|0)>0){ta=0;ua=$}else{u=e;return}do{$=(f[ua+8>>2]|0)+8+(ta<<3)|0;DCb(d,f[$>>2]|0,f[$+4>>2]|0);ta=ta+1|0;ua=f[a>>2]|0}while((ta|0)<(f[ua>>2]|0));u=e;return}case 2:{$=f[a>>2]|0;if((f[$>>2]|0)>0){va=0;wa=$}else{u=e;return}do{CCb(d,f[(f[wa+8>>2]|0)+4+(va<<2)>>2]|0);va=va+1|0;wa=f[a>>2]|0}while((va|0)<(f[wa>>2]|0));u=e;return}case 1:{$=f[a>>2]|0;if((f[$>>2]|0)>0){xa=0;ya=$}else{u=e;return}do{$=(f[ya+8>>2]|0)+8+(xa<<3)|0;DCb(d,f[$>>2]|0,f[$+4>>2]|0);xa=xa+1|0;ya=f[a>>2]|0}while((xa|0)<(f[ya>>2]|0));u=e;return}case 8:{$=f[a>>2]|0;if((f[$>>2]|0)<=0){u=e;return}aa=d+4|0;_=0;Q=$;do{$=b[(f[Q+8>>2]|0)+4+_>>0]|0;if((f[c>>2]|0)>4){b[f[aa>>2]>>0]=$;f[aa>>2]=(f[aa>>2]|0)+1;f[c>>2]=(f[c>>2]|0)+-1}else ECb(d,$&255);_=_+1|0;Q=f[a>>2]|0}while((_|0)<(f[Q>>2]|0));u=e;return}case 14:{Q=f[a>>2]|0;if((f[Q>>2]|0)<=0){u=e;return}_=d+4|0;aa=0;$=Q;do{Q=f[(f[$+8>>2]|0)+4+(aa<<2)>>2]|0;Y=((Q|0)<0)<<31>>31;if((f[c>>2]|0)>9){X=f[_>>2]|0;T=Q&255;if(Q>>>0>127){S=X;R=T;Z=Q;V=Y;while(1){b[S>>0]=R|-128;L=Z;Z=Irc(Z|0,V|0,7)|0;M=S+1|0;N=Z&255;if(!(V>>>0>0|(V|0)==0&L>>>0>16383)){za=M;Aa=N;break}else{S=M;R=N;V=J}}}else{za=X;Aa=T}b[za>>0]=Aa;V=za+1-X|0;f[_>>2]=(f[_>>2]|0)+V;f[c>>2]=(f[c>>2]|0)-V}else FCb(d,Q,Y);aa=aa+1|0;$=f[a>>2]|0}while((aa|0)<(f[$>>2]|0));u=e;return}case 11:case 10:case 12:case 9:{TDb(g,3,512019,1469);QDb(h,ODb(g,512587)|0);UDb(g);u=e;return}default:{u=e;return}}while(0)}function l6b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;b=f[a>>2]|0;c=a+4|0;if((b|0)==(c|0)){d=0;return d|0}else{e=0;g=b}while(1){b=(m6b(g+24|0,f[g+16>>2]|0)|0)+e|0;a=f[g+4>>2]|0;if(!a){h=g+8|0;i=f[h>>2]|0;if((f[i>>2]|0)==(g|0))j=i;else{i=h;do{h=f[i>>2]|0;i=h+8|0;k=f[i>>2]|0}while((f[k>>2]|0)!=(h|0));j=k}}else{i=a;while(1){k=f[i>>2]|0;if(!k)break;else i=k}j=i}if((j|0)==(c|0)){d=b;break}else{e=b;g=j}}return d|0}function m6b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;d=u;u=u+32|0;e=d;g=d+24|0;if(!(b[a+9>>0]|0)){h=b[a+10>>0]|0;if(h&1){i=0;u=d;return i|0}j=b[a+8>>0]|0;k=(((($(c<<3|1|0)|0)^31)*9|0)+73|0)>>>6<<(j<<24>>24==10&1);do switch(j<<24>>24){case 5:{l=f[a>>2]|0;if((l|0)<0)m=10;else m=(((($(l|1|0)|0)^31)*9|0)+73|0)>>>6;i=m+k|0;u=d;return i|0}case 3:{l=a;i=(((((Prc(f[l>>2]|1|0,f[l+4>>2]|0,1)|0)^63)*9|0)+73|0)>>>6)+k|0;u=d;return i|0}case 13:{i=((((($(f[a>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)+k|0;u=d;return i|0}case 4:{l=a;i=(((((Prc(f[l>>2]|1|0,f[l+4>>2]|0,1)|0)^63)*9|0)+73|0)>>>6)+k|0;u=d;return i|0}case 17:{l=f[a>>2]|0;i=((((($(l<<1^l>>31|1|0)|0)^31)*9|0)+73|0)>>>6)+k|0;u=d;return i|0}case 18:{l=a;n=f[l>>2]|0;o=f[l+4>>2]|0;l=Qrc(n|0,o|0,1)|0;p=J;i=(((((Prc(l^(Hrc(n|0,o|0,63)|0)|1|0,p^J|0,1)|0)^63)*9|0)+73|0)>>>6)+k|0;u=d;return i|0}case 9:{p=f[a>>2]|0;o=b[p+11>>0]|0;n=o<<24>>24<0?f[p+4>>2]|0:o&255;i=n+k+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0;u=d;return i|0}case 12:{n=f[a>>2]|0;o=b[n+11>>0]|0;p=o<<24>>24<0?f[n+4>>2]|0:o&255;i=p+k+((((($(p|1|0)|0)^31)*9|0)+73|0)>>>6)|0;u=d;return i|0}case 14:{p=f[a>>2]|0;if((p|0)<0)q=10;else q=(((($(p|1|0)|0)^31)*9|0)+73|0)>>>6;i=q+k|0;u=d;return i|0}case 10:{p=f[a>>2]|0;i=(ci[f[(f[p>>2]|0)+48>>2]&1023](p)|0)+k|0;u=d;return i|0}case 11:{p=f[a>>2]|0;o=f[p>>2]|0;if(!(h&16)){n=ci[f[o+48>>2]&1023](p)|0;i=n+k+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0;u=d;return i|0}else{n=ci[f[o+40>>2]&1023](p)|0;i=n+k+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0;u=d;return i|0}break}case 7:{i=k+4|0;u=d;return i|0}case 6:{i=k+8|0;u=d;return i|0}case 15:{i=k+4|0;u=d;return i|0}case 16:{i=k+8|0;u=d;return i|0}case 2:{i=k+4|0;u=d;return i|0}case 1:{i=k+8|0;u=d;return i|0}case 8:{i=k+1|0;u=d;return i|0}default:{i=k;u=d;return i|0}}while(0)}k=b[a+8>>0]|0;if(b[a+11>>0]|0){do switch(k<<24>>24){case 5:{h=f[a>>2]|0;q=f[h>>2]|0;if((q|0)>0){m=f[h+8>>2]|0;h=0;j=0;while(1){n=f[m+4+(h<<2)>>2]|0;if((n|0)<0)r=10;else r=(((($(n|1|0)|0)^31)*9|0)+73|0)>>>6;n=r+j|0;h=h+1|0;if((h|0)>=(q|0)){s=n;t=39;break}else j=n}}else t=38;break}case 3:{j=f[a>>2]|0;q=f[j>>2]|0;if((q|0)>0){h=f[j+8>>2]|0;j=0;m=0;while(1){n=h+8+(j<<3)|0;p=Prc(f[n>>2]|1|0,f[n+4>>2]|0,1)|0;n=((((p^63)*9|0)+73|0)>>>6)+m|0;j=j+1|0;if((j|0)>=(q|0)){s=n;t=39;break}else m=n}}else t=38;break}case 13:{m=f[a>>2]|0;q=f[m>>2]|0;if((q|0)>0){j=f[m+8>>2]|0;m=0;h=0;while(1){n=((((($(f[j+4+(m<<2)>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)+h|0;m=m+1|0;if((m|0)>=(q|0)){s=n;t=39;break}else h=n}}else t=38;break}case 4:{h=f[a>>2]|0;q=f[h>>2]|0;if((q|0)>0){m=f[h+8>>2]|0;h=0;j=0;while(1){n=m+8+(h<<3)|0;p=Prc(f[n>>2]|1|0,f[n+4>>2]|0,1)|0;n=((((p^63)*9|0)+73|0)>>>6)+j|0;h=h+1|0;if((h|0)>=(q|0)){s=n;t=39;break}else j=n}}else t=38;break}case 17:{j=f[a>>2]|0;q=f[j>>2]|0;if((q|0)>0){h=f[j+8>>2]|0;j=0;m=0;while(1){n=f[h+4+(j<<2)>>2]|0;p=((((($(n<<1^n>>31|1|0)|0)^31)*9|0)+73|0)>>>6)+m|0;j=j+1|0;if((j|0)>=(q|0)){s=p;t=39;break}else m=p}}else t=38;break}case 18:{m=f[a>>2]|0;q=f[m>>2]|0;if((q|0)>0){j=f[m+8>>2]|0;m=0;h=0;while(1){p=j+8+(m<<3)|0;n=f[p>>2]|0;o=f[p+4>>2]|0;p=Qrc(n|0,o|0,1)|0;l=J;v=Hrc(n|0,o|0,63)|0;o=Prc(p^v|1|0,l^J|0,1)|0;l=((((o^63)*9|0)+73|0)>>>6)+h|0;m=m+1|0;if((m|0)>=(q|0)){s=l;t=39;break}else h=l}}else t=38;break}case 14:{h=f[a>>2]|0;q=f[h>>2]|0;if((q|0)>0){m=f[h+8>>2]|0;h=0;j=0;while(1){l=f[m+4+(h<<2)>>2]|0;if((l|0)<0)w=10;else w=(((($(l|1|0)|0)^31)*9|0)+73|0)>>>6;l=w+j|0;h=h+1|0;if((h|0)>=(q|0)){s=l;t=39;break}else j=l}}else t=38;break}case 7:{s=f[f[a>>2]>>2]<<2;t=39;break}case 6:{s=f[f[a>>2]>>2]<<3;t=39;break}case 15:{s=f[f[a>>2]>>2]<<2;t=39;break}case 16:{s=f[f[a>>2]>>2]<<3;t=39;break}case 2:{s=f[f[a>>2]>>2]<<2;t=39;break}case 1:{s=f[f[a>>2]>>2]<<3;t=39;break}case 8:{s=f[f[a>>2]>>2]|0;t=39;break}case 11:case 10:case 12:case 9:{TDb(e,3,512019,1581);QDb(g,ODb(e,512587)|0);UDb(e);t=37;break}default:t=37}while(0);if((t|0)==37){f[a+12>>2]=0;i=0;u=d;return i|0}else if((t|0)==38){f[a+12>>2]=0;i=0;u=d;return i|0}else if((t|0)==39){f[a+12>>2]=s;if(!s){i=0;u=d;return i|0}i=s+((((($(c<<3|3|0)|0)^31)*9|0)+73|0)>>>6)+((((($(s|1|0)|0)^31)*9|0)+73|0)>>>6)|0;u=d;return i|0}}s=(((($(c<<3|1|0)|0)^31)*9|0)+73|0)>>>6<<(k<<24>>24==10&1);do switch(k<<24>>24){case 5:{c=f[a>>2]|0;t=f[c>>2]|0;e=Y(t,s)|0;if((t|0)<=0){i=e;u=d;return i|0}g=f[c+8>>2]|0;c=0;w=e;while(1){e=f[g+4+(c<<2)>>2]|0;if((e|0)<0)x=10;else x=(((($(e|1|0)|0)^31)*9|0)+73|0)>>>6;e=x+w|0;c=c+1|0;if((c|0)>=(t|0)){i=e;break}else w=e}u=d;return i|0}case 3:{w=f[a>>2]|0;t=f[w>>2]|0;c=Y(t,s)|0;if((t|0)<=0){i=c;u=d;return i|0}g=f[w+8>>2]|0;w=0;e=c;while(1){c=g+8+(w<<3)|0;r=Prc(f[c>>2]|1|0,f[c+4>>2]|0,1)|0;c=((((r^63)*9|0)+73|0)>>>6)+e|0;w=w+1|0;if((w|0)>=(t|0)){i=c;break}else e=c}u=d;return i|0}case 13:{e=f[a>>2]|0;t=f[e>>2]|0;w=Y(t,s)|0;if((t|0)<=0){i=w;u=d;return i|0}g=f[e+8>>2]|0;e=0;c=w;while(1){w=((((($(f[g+4+(e<<2)>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)+c|0;e=e+1|0;if((e|0)>=(t|0)){i=w;break}else c=w}u=d;return i|0}case 4:{c=f[a>>2]|0;t=f[c>>2]|0;e=Y(t,s)|0;if((t|0)<=0){i=e;u=d;return i|0}g=f[c+8>>2]|0;c=0;w=e;while(1){e=g+8+(c<<3)|0;r=Prc(f[e>>2]|1|0,f[e+4>>2]|0,1)|0;e=((((r^63)*9|0)+73|0)>>>6)+w|0;c=c+1|0;if((c|0)>=(t|0)){i=e;break}else w=e}u=d;return i|0}case 17:{w=f[a>>2]|0;t=f[w>>2]|0;c=Y(t,s)|0;if((t|0)<=0){i=c;u=d;return i|0}g=f[w+8>>2]|0;w=0;e=c;while(1){c=f[g+4+(w<<2)>>2]|0;r=((((($(c<<1^c>>31|1|0)|0)^31)*9|0)+73|0)>>>6)+e|0;w=w+1|0;if((w|0)>=(t|0)){i=r;break}else e=r}u=d;return i|0}case 18:{e=f[a>>2]|0;t=f[e>>2]|0;w=Y(t,s)|0;if((t|0)<=0){i=w;u=d;return i|0}g=f[e+8>>2]|0;e=0;r=w;while(1){w=g+8+(e<<3)|0;c=f[w>>2]|0;j=f[w+4>>2]|0;w=Qrc(c|0,j|0,1)|0;q=J;h=Hrc(c|0,j|0,63)|0;j=Prc(w^h|1|0,q^J|0,1)|0;q=((((j^63)*9|0)+73|0)>>>6)+r|0;e=e+1|0;if((e|0)>=(t|0)){i=q;break}else r=q}u=d;return i|0}case 9:{r=f[a>>2]|0;t=f[r+4>>2]|0;e=Y(t,s)|0;if((t|0)<=0){i=e;u=d;return i|0}g=f[r+12>>2]|0;r=0;q=e;while(1){e=f[g+4+(r<<2)>>2]|0;j=b[e+11>>0]|0;h=j<<24>>24<0?f[e+4>>2]|0:j&255;j=h+q+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0;r=r+1|0;if((r|0)>=(t|0)){i=j;break}else q=j}u=d;return i|0}case 12:{q=f[a>>2]|0;t=f[q+4>>2]|0;r=Y(t,s)|0;if((t|0)<=0){i=r;u=d;return i|0}g=f[q+12>>2]|0;q=0;j=r;while(1){r=f[g+4+(q<<2)>>2]|0;h=b[r+11>>0]|0;e=h<<24>>24<0?f[r+4>>2]|0:h&255;h=e+j+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0;q=q+1|0;if((q|0)>=(t|0)){i=h;break}else j=h}u=d;return i|0}case 14:{j=f[a>>2]|0;t=f[j>>2]|0;q=Y(t,s)|0;if((t|0)<=0){i=q;u=d;return i|0}g=f[j+8>>2]|0;j=0;h=q;while(1){q=f[g+4+(j<<2)>>2]|0;if((q|0)<0)y=10;else y=(((($(q|1|0)|0)^31)*9|0)+73|0)>>>6;q=y+h|0;j=j+1|0;if((j|0)>=(t|0)){i=q;break}else h=q}u=d;return i|0}case 10:{h=f[a>>2]|0;t=f[h+4>>2]|0;j=Y(t,s)|0;if((t|0)>0){z=0;A=j;B=h}else{i=j;u=d;return i|0}while(1){j=f[(f[B+12>>2]|0)+4+(z<<2)>>2]|0;h=(ci[f[(f[j>>2]|0)+48>>2]&1023](j)|0)+A|0;z=z+1|0;B=f[a>>2]|0;if((z|0)>=(f[B+4>>2]|0)){i=h;break}else A=h}u=d;return i|0}case 11:{h=f[a>>2]|0;j=f[h+4>>2]|0;t=Y(j,s)|0;if((j|0)>0){C=0;D=t;E=h}else{i=t;u=d;return i|0}while(1){t=f[(f[E+12>>2]|0)+4+(C<<2)>>2]|0;h=ci[f[(f[t>>2]|0)+48>>2]&1023](t)|0;t=h+D+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0;C=C+1|0;E=f[a>>2]|0;if((C|0)>=(f[E+4>>2]|0)){i=t;break}else D=t}u=d;return i|0}case 7:{i=Y(f[f[a>>2]>>2]|0,s+4|0)|0;u=d;return i|0}case 6:{i=Y(f[f[a>>2]>>2]|0,s+8|0)|0;u=d;return i|0}case 15:{i=Y(f[f[a>>2]>>2]|0,s+4|0)|0;u=d;return i|0}case 16:{i=Y(f[f[a>>2]>>2]|0,s+8|0)|0;u=d;return i|0}case 2:{i=Y(f[f[a>>2]>>2]|0,s+4|0)|0;u=d;return i|0}case 1:{i=Y(f[f[a>>2]>>2]|0,s+8|0)|0;u=d;return i|0}case 8:{i=Y(f[f[a>>2]>>2]|0,s+1|0)|0;u=d;return i|0}default:{i=0;u=d;return i|0}}while(0);return 0}function n6b(a,b,c){a=a|0;b=b|0;c=c|0;c=u;u=u+32|0;b=c;TDb(b,3,512624,47);QDb(c+24|0,ODb(b,512722)|0);UDb(b);u=c;return 0}function o6b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+1040|0;e=d+16|0;g=d;f[g>>2]=f[c>>2];h=u8b(e,1024,b,g)|0;if((h|0)<1024){if((h|0)<=-1){u=d;return}$mc(a,e,h)|0;u=d;return}else{e=h+1|0;i=Dmc(e)|0;f[g>>2]=f[c>>2];c=u8b(i,e,b,g)|0;if(!((c|0)<0|(c|0)>(h|0)))$mc(a,i,c)|0;Fmc(i);u=d;return}}function p6b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[e>>2]=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;o6b(a,b,e);u=d;return}function q6b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[e>>2]=c;o6b(a,b,e);u=d;return}function r6b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;f[e>>2]=0;if(!d){g=241;return g|0}i=f[a+16>>2]|0;j=c+d|0;d=j+-7|0;k=(f[a+32>>2]|0)+(f[a>>2]|0)|0;l=f[a+44>>2]|0;m=f[a+24>>2]|0;n=f[a+28>>2]|0;o=a+4|0;a=k;p=c;while(1){q=p&7;a:do if(p>>>0<j>>>0&(q|0)!=0){r=p;while(1){if(b[l+(h[r>>0]|0)>>0]|0){s=r;break a}t=r+1|0;u=t&7;if(t>>>0<j>>>0&(u|0)!=0)r=t;else{v=t;w=u;x=6;break}}}else{v=p;w=q;x=6}while(0);b:do if((x|0)==6){x=0;if((w|0)==0&v>>>0<d>>>0){q=v;while(1){r=f[q>>2]|0;u=q+4|0;t=f[u>>2]|0;y=q+8|0;if((r-m|r+n|t-m|t+n)&-2139062144|0){if((b[l+(h[q+1>>0]|0)>>0]|b[l+(r&255)>>0]|b[l+(h[q+2>>0]|0)>>0]|b[l+(h[q+3>>0]|0)>>0])<<24>>24){s=q;break b}if((b[l+(h[q+5>>0]|0)>>0]|b[l+(t&255)>>0]|b[l+(h[q+6>>0]|0)>>0]|b[l+(h[q+7>>0]|0)>>0])<<24>>24){s=u;break b}}if(y>>>0<d>>>0)q=y;else{s=y;break}}}else s=v}while(0);if(s>>>0<j>>>0){z=k;A=s}else{B=k;C=s;x=18;break}while(1){D=b[z+(h[A>>0]|0)>>0]|0;E=D&255;F=A+1|0;if((D&255)>239){G=z;break}q=k+(E<<i)|0;if(F>>>0<j>>>0){z=q;A=F}else{G=q;break}}if((D&255)<=239){B=G;C=F;x=18;break}c:do if((G-a|0)>>>0<(f[o>>2]|0)>>>0)H=A;else{q=A;while(1){y=q+-1|0;if(y>>>0<=c>>>0){H=y;break c}if((b[y>>0]&-64)<<24>>24==-128)q=y;else{H=y;break}}}while(0);if(D<<24>>24==-3)p=H;else{I=H;J=E;break}}d:do if((x|0)==18)if((B-k|0)>>>0<(f[o>>2]|0)>>>0){I=C;J=241}else{E=C;while(1){H=E+-1|0;if(H>>>0<=c>>>0){I=H;J=240;break d}if((b[H>>0]&-64)<<24>>24==-128)E=H;else{I=H;J=240;break}}}while(0);f[e>>2]=I-c;g=J;return g|0}function s6b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;d=u;u=u+16|0;e=d;if(!c){g=0;h=(g|0)==(c|0);u=d;return h|0}i=a+c|0;j=i+-7|0;k=a;l=k+c|0;m=a;do{a=m&7;a:do if(m>>>0<i>>>0&(a|0)!=0){n=m;while(1){if((b[n>>0]|0)<=-1){o=n;break a}p=n+1|0;q=p&7;if(p>>>0<i>>>0&(q|0)!=0)n=p;else{r=p;s=q;t=7;break}}}else{r=m;s=a;t=7}while(0);b:do if((t|0)==7){t=0;if(r>>>0<j>>>0&(s|0)==0){a=r;while(1){if((f[a+4>>2]|f[a>>2])&-2139062144|0){o=a;break b}n=a+8|0;if(n>>>0<j>>>0)a=n;else{o=n;break}}}else o=r}while(0);c:do if(o>>>0<i>>>0){a=o;while(1){if((b[a>>0]|0)<=-1){v=a;break c}n=a+1|0;if(n>>>0<i>>>0)a=n;else{v=n;break}}}else v=o;while(0);a=r6b(157096,v,l-v|0,e)|0;m=v+(f[e>>2]|0)|0}while((a|0)==253);g=m-k|0;h=(g|0)==(c|0);u=d;return h|0}function t6b(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=a+11|0;d=b[c>>0]|0;if(d<<24>>24<0)e=f[a+4>>2]|0;else e=d&255;a:do if((e|0)>0){d=0;while(1){g=_mc(a,d)|0;h=(b[g>>0]|0)+-9<<24>>24;if((h&255)>23|(8388639>>>(h&255)&1|0)==0){i=d;break a}h=d+1|0;if((e|0)>(h|0))d=h;else{i=h;break}}}else i=0;while(0);if((e|0)==(i|0))if((b[c>>0]|0)<0){b[f[a>>2]>>0]=0;f[a+4>>2]=0;return}else{b[a>>0]=0;b[c>>0]=0;return}if((i|0)>0){enc(a,0,i)|0;j=e-i|0}else j=e;e=j+-1|0;if((j|0)>0)k=e;else return;while(1){j=_mc(a,k)|0;i=(b[j>>0]|0)+-9<<24>>24;if((i&255)>23|(8388639>>>(i&255)&1|0)==0)break;if((k|0)>0)k=k+-1|0;else{l=18;break}}if((l|0)==18)return;if((k|0)==(e|0))return;enc(a,k+1|0,-1)|0;return}function u6b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;e=u;u=u+16|0;g=e;i=b[c>>0]|0;if(i<<24>>24?(b[c+1>>0]|0)==0:0){j=b[a+11>>0]|0;k=j<<24>>24<0;l=k?f[a>>2]|0:a;m=k?f[a+4>>2]|0:j&255;j=l+m|0;if(!m){u=e;return}m=g+11|0;k=g+8|0;n=g+4|0;o=d+4|0;p=d+8|0;q=l;while(1){if((b[q>>0]|0)==i<<24>>24)r=q+1|0;else{l=q;while(1){s=l+1|0;if((s|0)==(j|0)){t=j;break}if((b[s>>0]|0)==i<<24>>24){t=s;break}else l=s}l=t-q|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;if(l>>>0>4294967279){v=12;break}if(l>>>0<11){b[m>>0]=l;if(!l)w=g;else{x=g;v=16}}else{s=l+16&-16;y=Bmc(s)|0;f[g>>2]=y;f[k>>2]=s|-2147483648;f[n>>2]=l;x=y;v=16}if((v|0)==16){v=0;Krc(x|0,q|0,l|0)|0;w=x}b[w+l>>0]=0;l=f[o>>2]|0;if((l|0)==(f[p>>2]|0))LY(d,g);else{Nmc(l,g);f[o>>2]=(f[o>>2]|0)+12}if((b[m>>0]|0)<0)Emc(f[g>>2]|0);r=t}if((r|0)==(j|0)){v=47;break}else q=r}if((v|0)==12)Lmc(g);else if((v|0)==47){u=e;return}}r=a+11|0;q=b[r>>0]|0;j=q<<24>>24<0;t=a+4|0;m=f[t>>2]|0;o=j?m:q&255;if(!o){u=e;return}p=s8b(c)|0;w=f[a>>2]|0;x=g+11|0;n=d+4|0;k=d+8|0;i=0;l=j?w:a;j=o;o=p;p=q;q=w;w=m;a:while(1){m=l+j|0;y=l+i|0;b:do if(!o)z=y;else{s=y;while(1){if(!(F7b(c,h[s>>0]|0,o)|0)){z=s;break b}s=s+1|0;if((s|0)==(m|0)){v=47;break a}}}while(0);A=z-l|0;if((A|0)==-1){v=47;break}m=p<<24>>24<0;y=m?q:a;s=m?w:p&255;m=s8b(c)|0;if(s>>>0<=A>>>0|(m|0)==0){v=35;break}B=y+A|0;C=y+s|0;D=c+m|0;c:do if((s|0)==(A|0))E=B;else{m=B;while(1){F=b[m>>0]|0;G=c;do{if(F<<24>>24==(b[G>>0]|0)){E=m;break c}G=G+1|0}while((G|0)!=(D|0));m=m+1|0;if((m|0)==(C|0)){v=35;break a}}}while(0);i=E-y|0;if((E|0)==(C|0)|(i|0)==-1){v=35;break}Omc(g,a,A,i-A|0,a);D=f[n>>2]|0;if((D|0)==(f[k>>2]|0))LY(d,g);else{Nmc(D,g);f[n>>2]=(f[n>>2]|0)+12}if((b[x>>0]|0)<0)Emc(f[g>>2]|0);p=b[r>>0]|0;D=p<<24>>24<0;B=f[a>>2]|0;w=f[t>>2]|0;j=D?w:p&255;o=s8b(c)|0;if(j>>>0<=i>>>0){v=47;break}else{l=D?B:a;q=B}}if((v|0)==35){Omc(g,a,A,-1,a);a=f[n>>2]|0;if((a|0)==(f[k>>2]|0))LY(d,g);else{Nmc(a,g);f[n>>2]=(f[n>>2]|0)+12}if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);u=e;return}else if((v|0)==47){u=e;return}}function v6b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;a:do if((a|0)==(c|0)){d=a;e=a;while(1){switch(b[d>>0]|0){case 92:case 0:{f=d;g=e;break a;break}default:{}}h=d+1|0;i=e+1|0;if((d|0)==(e|0)){d=h;e=i}else{f=h;g=i;break a}}}else{f=a;g=c}while(0);a=b[f>>0]|0;if(!(a<<24>>24)){j=g;b[j>>0]=0;k=j;l=c;m=k-l|0;return m|0}else{n=f;o=g;p=a}b:while(1){a=n+1|0;if(p<<24>>24==92){g=b[a>>0]|0;c:do switch(g|0){case 0:{j=o;q=28;break b;break}case 97:{b[o>>0]=7;r=o+1|0;s=a;break}case 98:{b[o>>0]=8;r=o+1|0;s=a;break}case 102:{b[o>>0]=12;r=o+1|0;s=a;break}case 110:{b[o>>0]=10;r=o+1|0;s=a;break}case 114:{b[o>>0]=13;r=o+1|0;s=a;break}case 116:{b[o>>0]=9;r=o+1|0;s=a;break}case 118:{b[o>>0]=11;r=o+1|0;s=a;break}case 92:{b[o>>0]=92;r=o+1|0;s=a;break}case 63:{b[o>>0]=63;r=o+1|0;s=a;break}case 39:{b[o>>0]=39;r=o+1|0;s=a;break}case 34:{b[o>>0]=34;r=o+1|0;s=a;break}case 55:case 54:case 53:case 52:case 51:case 50:case 49:case 48:{f=g+208|0;e=n+2|0;d=b[e>>0]|0;i=(d&-8)<<24>>24==48;h=i?e:a;e=i?(f<<3)+208+(d&255)|0:f;f=h+1|0;d=b[f>>0]|0;i=(d&-8)<<24>>24==48;b[o>>0]=i?(d&255)+208+(e<<3)|0:e;r=o+1|0;s=i?f:h;break}case 88:case 120:{h=b[n+2>>0]|0;if((h+-48&255)<10){t=0;u=a}else switch(h<<24>>24){case 65:case 66:case 67:case 68:case 69:case 70:case 97:case 98:case 99:case 100:case 101:case 102:{t=0;u=a;break}default:{r=o;s=a;break c}}d:while(1){h=u+1|0;f=b[h>>0]|0;if((f+-48&255)>=10)switch(f<<24>>24){case 65:case 66:case 67:case 68:case 69:case 70:case 97:case 98:case 99:case 100:case 101:case 102:break;default:break d}i=f&255;t=((f&255)>57?i+9|0:i)&15|t<<4;u=h}b[o>>0]=t;r=o+1|0;s=u;break}default:{r=o;s=a}}while(0);v=s+1|0;w=r}else{b[o>>0]=p;v=a;w=o+1|0}p=b[v>>0]|0;if(!(p<<24>>24)){j=w;q=28;break}else{n=v;o=w}}if((q|0)==28){b[j>>0]=0;k=j;l=c;m=k-l|0;return m|0}return 0}function w6b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=b[c+11>>0]|0;e=d<<24>>24<0;g=Dmc((e?f[c+4>>2]|0:d&255)+1|0)|0;d=v6b(e?f[c>>2]|0:c,g,0)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;if(d>>>0>4294967279)Lmc(a);if(d>>>0<11){b[a+11>>0]=d;if(!d){h=a;i=h+d|0;b[i>>0]=0;Fmc(g);return}else j=a}else{c=d+16&-16;e=Bmc(c)|0;f[a>>2]=e;f[a+8>>2]=c|-2147483648;f[a+4>>2]=d;j=e}Krc(j|0,g|0,d|0)|0;h=j;i=h+d|0;b[i>>0]=0;Fmc(g);return}function x6b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=f[a>>2]|0;e=a+4|0;g=f[e>>2]|0;i=(g|0)>0;if(i){j=0;k=0;while(1){l=(b[515449+(h[d+k>>0]|0)>>0]|0)+j|0;k=k+1|0;if((k|0)==(g|0)){m=l;break}else j=l}}else m=0;if((m|0)==(g|0)){$mc(c,d,g)|0;return}g=c+11|0;j=b[g>>0]|0;if(j<<24>>24<0)n=f[c+4>>2]|0;else n=j&255;Wmc(c,n+m|0,0);if((b[g>>0]|0)<0)o=f[c>>2]|0;else o=c;if(!i)return;i=o+n|0;n=0;o=d;while(1){d=b[o+n>>0]|0;a:do switch(d<<24>>24){case 10:{b[i>>0]=92;b[i+1>>0]=110;p=i+2|0;break}case 13:{b[i>>0]=92;b[i+1>>0]=114;p=i+2|0;break}case 9:{b[i>>0]=92;b[i+1>>0]=116;p=i+2|0;break}case 34:{b[i>>0]=92;b[i+1>>0]=34;p=i+2|0;break}case 39:{b[i>>0]=92;b[i+1>>0]=39;p=i+2|0;break}case 92:{b[i>>0]=92;b[i+1>>0]=92;p=i+2|0;break}default:{c=i+1|0;if(d<<24>>24>31&d<<24>>24!=127){b[i>>0]=d;p=c;break a}else{b[i>>0]=92;b[c>>0]=(d&255)>>>6|48;b[i+2>>0]=(d&255)>>>3&7|48;b[i+3>>0]=d&7|48;p=i+4|0;break a}}}while(0);d=n+1|0;if((d|0)>=(f[e>>2]|0))break;i=p;n=d;o=f[a>>2]|0}return}function y6b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+16|0;e=d+8|0;g=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;h=b[c+11>>0]|0;i=h<<24>>24<0;f[g>>2]=i?f[c>>2]|0:c;f[g+4>>2]=i?f[c+4>>2]|0:h&255;f[e>>2]=f[g>>2];f[e+4>>2]=f[g+4>>2];x6b(e,a);u=d;return}function z6b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=d+20|0;b[d+21>>0]=0;if((c|0)>-1|(c|0)==-1&a>>>0>4294967295){f=e;g=a;h=c;while(1){i=Grc(g|0,h|0,10,0)|0;j=Arc(i|0,J|0,48,0)|0;b[f>>0]=j;j=g;g=Rrc(g|0,h|0,10,0)|0;if(!((h|0)>0|(h|0)==0&j>>>0>9)){k=f;break}else{f=f+-1|0;h=J}}return k|0}if((c|0)>-1|(c|0)==-1&a>>>0>4294967286){h=zrc(48,0,a|0,c|0)|0;b[e>>0]=h;l=d+19|0}else{h=zrc(-10,-1,a|0,c|0)|0;c=J;a=Grc(h|0,c|0,10,0)|0;f=Arc(a|0,J|0,48,0)|0;b[e>>0]=f;f=Rrc(h|0,c|0,10,0)|0;c=Arc(f|0,J|0,1,0)|0;f=d+19|0;d=c;c=J;while(1){h=Grc(d|0,c|0,10,0)|0;e=Arc(h|0,J|0,48,0)|0;h=f+-1|0;b[f>>0]=e;e=d;d=Rrc(d|0,c|0,10,0)|0;if(!((c|0)>0|(c|0)==0&e>>>0>9)){l=h;break}else{f=h;c=J}}}b[l>>0]=45;k=l;return k|0}function A6b(a,c){a=a|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;d=c+10|0;b[c+11>>0]=0;if((a|0)>-1){e=d;f=a;while(1){b[e>>0]=((f|0)%10|0)+48;if((f|0)>9){e=e+-1|0;f=(f|0)/10|0}else{g=e;break}}return g|0}if((a|0)>-10){b[d>>0]=48-a;h=c+9|0}else{e=-10-a|0;b[d>>0]=((e|0)%10|0)+48;d=c+9|0;c=((e|0)/10|0)+1|0;while(1){e=d+-1|0;b[d>>0]=((c|0)%10|0)+48;if((c|0)>9){d=e;c=(c|0)/10|0}else{h=e;break}}}b[h>>0]=45;g=h;return g|0}function B6b(a,c){a=a|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;do if(a>>>0<=999999999){if(a>>>0<100){if(a>>>0>9){d=a;e=c;break}b[c>>0]=a+48;f=c+1|0;b[f>>0]=0;return f|0}if(a>>>0<1e4){if(a>>>0>999){g=a;h=c;i=8;break}j=(a>>>0)/100|0;b[c>>0]=j+48;k=j;l=a;m=c+1|0;i=9;break}if(a>>>0<1e6){if(a>>>0>99999){n=a;o=c;i=6;break}j=(a>>>0)/1e4|0;b[c>>0]=j+48;p=j;q=a;r=c+1|0;i=7;break}if(a>>>0>=1e8){j=(a>>>0)/1e8|0;b[c>>0]=j+48;s=j;t=c+1|0;i=3;break}if(a>>>0>9999999){u=a;v=c;i=4}else{j=(a>>>0)/1e6|0;b[c>>0]=j+48;w=j;x=a;y=c+1|0;i=5}}else{j=(a>>>0)/1e8|0;b[c>>0]=b[515722+(j<<1)>>0]|0;b[c+1>>0]=b[515722+(j<<1)+1>>0]|0;s=j;t=c+2|0;i=3}while(0);if((i|0)==3){u=(Y(s,-1e8)|0)+a|0;v=t;i=4}if((i|0)==4){t=(u>>>0)/1e6|0;b[v>>0]=b[515722+(t<<1)>>0]|0;b[v+1>>0]=b[515722+(t<<1)+1>>0]|0;w=t;x=u;y=v+2|0;i=5}if((i|0)==5){n=(Y(w,-1e6)|0)+x|0;o=y;i=6}if((i|0)==6){y=(n>>>0)/1e4|0;b[o>>0]=b[515722+(y<<1)>>0]|0;b[o+1>>0]=b[515722+(y<<1)+1>>0]|0;p=y;q=n;r=o+2|0;i=7}if((i|0)==7){g=(Y(p,-1e4)|0)+q|0;h=r;i=8}if((i|0)==8){r=(g>>>0)/100|0;b[h>>0]=b[515722+(r<<1)>>0]|0;b[h+1>>0]=b[515722+(r<<1)+1>>0]|0;k=r;l=g;m=h+2|0;i=9}if((i|0)==9){d=(Y(k,-100)|0)+l|0;e=m}b[e>>0]=b[515722+(d<<1)>>0]|0;b[e+1>>0]=b[515722+(d<<1)+1>>0]|0;f=e+2|0;b[f>>0]=0;return f|0}function C6b(a,c){a=a|0;c=c|0;var d=0,e=0;if((a|0)<0){b[c>>0]=45;d=0-a|0;e=c+1|0}else{d=a;e=c}return B6b(d,e)|0}function D6b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0;if((a|0)==(a|0)&0==(c|0))return B6b(a,d)|0;else{e=Src(a|0,c|0,1e9,0)|0;f=J;g=D6b(e,f,d)|0;d=Urc(e|0,f|0,-1e9,-1)|0;f=Arc(d|0,J|0,a|0,c|0)|0;c=(f>>>0)/1e7|0;b[g>>0]=b[515722+(c<<1)>>0]|0;b[g+1>>0]=b[515722+(c<<1)+1>>0]|0;a=(Y(c,-1e7)|0)+f|0;f=(a>>>0)/1e5|0;b[g+2>>0]=b[515722+(f<<1)>>0]|0;b[g+3>>0]=b[515722+(f<<1)+1>>0]|0;c=(Y(f,-1e5)|0)+a|0;a=(c>>>0)/1e3|0;b[g+4>>0]=b[515722+(a<<1)>>0]|0;b[g+5>>0]=b[515722+(a<<1)+1>>0]|0;f=(Y(a,-1e3)|0)+c|0;c=(f>>>0)/10|0;b[g+6>>0]=b[515722+(c<<1)>>0]|0;b[g+7>>0]=b[515722+(c<<1)+1>>0]|0;a=f+48+(Y(c,-10)|0)&255;c=g+9|0;b[g+8>>0]=a;b[c>>0]=0;return c|0}return 0}function E6b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+32|0;e=d;g=e+10|0;b[e+11>>0]=0;if((c|0)>-1){h=g;i=c;while(1){b[h>>0]=((i|0)%10|0)+48;if((i|0)>9){h=h+-1|0;i=(i|0)/10|0}else{j=h;break}}}else{if((c|0)>-10){b[g>>0]=48-c;k=e+9|0}else{h=-10-c|0;b[g>>0]=((h|0)%10|0)+48;g=e+9|0;e=((h|0)/10|0)+1|0;while(1){h=g+-1|0;b[g>>0]=((e|0)%10|0)+48;if((e|0)>9){g=h;e=(e|0)/10|0}else{k=h;break}}}b[k>>0]=45;j=k};f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;k=s8b(j)|0;if(k>>>0>4294967279)Lmc(a);if(k>>>0<11){b[a+11>>0]=k;if(!k){l=a;m=l+k|0;b[m>>0]=0;u=d;return}else n=a}else{e=k+16&-16;g=Bmc(e)|0;f[a>>2]=g;f[a+8>>2]=e|-2147483648;f[a+4>>2]=k;n=g}Krc(n|0,j|0,k|0)|0;l=n;m=l+k|0;b[m>>0]=0;u=d;return}function F6b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+32|0;e=d;g=B6b(c,e)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;c=g-e|0;if(c>>>0>4294967279)Lmc(a);if(c>>>0<11){b[a+11>>0]=c;h=a}else{i=c+16&-16;j=Bmc(i)|0;f[a>>2]=j;f[a+8>>2]=i|-2147483648;f[a+4>>2]=c;h=j}if((e|0)==(g|0)){k=h;b[k>>0]=0;u=d;return}else{l=h;m=e}while(1){b[l>>0]=b[m>>0]|0;m=m+1|0;if((m|0)==(g|0))break;else l=l+1|0}k=h+c|0;b[k>>0]=0;u=d;return}function G6b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+32|0;g=e;h=g+20|0;b[g+21>>0]=0;if((d|0)>-1|(d|0)==-1&c>>>0>4294967295){i=h;j=c;k=d;while(1){l=Grc(j|0,k|0,10,0)|0;m=Arc(l|0,J|0,48,0)|0;b[i>>0]=m;m=j;j=Rrc(j|0,k|0,10,0)|0;if(!((k|0)>0|(k|0)==0&m>>>0>9)){n=i;break}else{i=i+-1|0;k=J}}}else{if((d|0)>-1|(d|0)==-1&c>>>0>4294967286){k=zrc(48,0,c|0,d|0)|0;b[h>>0]=k;o=g+19|0}else{k=zrc(-10,-1,c|0,d|0)|0;d=J;c=Grc(k|0,d|0,10,0)|0;i=Arc(c|0,J|0,48,0)|0;b[h>>0]=i;i=Rrc(k|0,d|0,10,0)|0;d=Arc(i|0,J|0,1,0)|0;i=g+19|0;g=d;d=J;while(1){k=Grc(g|0,d|0,10,0)|0;h=Arc(k|0,J|0,48,0)|0;k=i+-1|0;b[i>>0]=h;h=g;g=Rrc(g|0,d|0,10,0)|0;if(!((d|0)>0|(d|0)==0&h>>>0>9)){o=k;break}else{i=k;d=J}}}b[o>>0]=45;n=o};f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;o=s8b(n)|0;if(o>>>0>4294967279)Lmc(a);if(o>>>0<11){b[a+11>>0]=o;if(!o){p=a;q=p+o|0;b[q>>0]=0;u=e;return}else r=a}else{d=o+16&-16;i=Bmc(d)|0;f[a>>2]=i;f[a+8>>2]=d|-2147483648;f[a+4>>2]=o;r=i}Krc(r|0,n|0,o|0)|0;p=r;q=p+o|0;b[q>>0]=0;u=e;return}function H6b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+32|0;g=e;h=D6b(c,d,g)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;d=h-g|0;if(d>>>0>4294967279)Lmc(a);if(d>>>0<11){b[a+11>>0]=d;i=a}else{c=d+16&-16;j=Bmc(c)|0;f[a>>2]=j;f[a+8>>2]=c|-2147483648;f[a+4>>2]=d;i=j}if((g|0)==(h|0)){k=i;b[k>>0]=0;u=e;return}else{l=i;m=g}while(1){b[l>>0]=b[m>>0]|0;m=m+1|0;if((m|0)==(h|0))break;else l=l+1|0}k=i+d|0;b[k>>0]=0;u=e;return}function I6b(a,c){a=a|0;c=+c;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+32|0;e=J6b(c,d)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;g=s8b(e)|0;if(g>>>0>4294967279)Lmc(a);if(g>>>0<11){b[a+11>>0]=g;if(!g){h=a;i=h+g|0;b[i>>0]=0;u=d;return}else j=a}else{k=g+16&-16;l=Bmc(k)|0;f[a>>2]=l;f[a+8>>2]=k|-2147483648;f[a+4>>2]=g;j=l}Krc(j|0,e|0,g|0)|0;h=j;i=h+g|0;b[i>>0]=0;u=d;return}function J6b(a,c){a=+a;c=c|0;var d=0,e=0,g=0,h=0,i=0.0,j=0,k=0;d=u;u=u+32|0;e=d+16|0;g=d;if(a==D){b[c>>0]=105;b[c+1>>0]=110;b[c+2>>0]=102;b[c+3>>0]=0;u=d;return c|0}if(a==-D){b[c>>0]=b[515922]|0;b[c+1>>0]=b[515923]|0;b[c+2>>0]=b[515924]|0;b[c+3>>0]=b[515925]|0;b[c+4>>0]=b[515926]|0;u=d;return c|0}p[s>>3]=a;h=f[s+4>>2]&2147483647;if(h>>>0>2146435072|(h|0)==2146435072&(f[s>>2]|0)>>>0>0){b[c>>0]=110;b[c+1>>0]=97;b[c+2>>0]=110;b[c+3>>0]=0;u=d;return c|0}f[g>>2]=15;p[g+8>>3]=a;O8b(c,32,515927,g)|0;i=+Y9b(c,0);p[g>>3]=i;if(+p[g>>3]!=a){f[e>>2]=17;p[e+8>>3]=a;O8b(c,32,515927,e)|0}a:do if(!(C8b(c,46)|0)){e=c;b:while(1){g=b[e>>0]|0;if((g+-48&255)>=10)switch(g<<24>>24){case 0:{break a;break}case 45:case 43:case 69:case 101:break;default:break b}e=e+1|0}b[e>>0]=46;g=e+1|0;h=b[g>>0]|0;if((h+-48&255)>=10){switch(h<<24>>24){case 0:case 45:case 43:case 69:case 101:{break a;break}default:j=g}c:while(1){k=j+1|0;h=b[k>>0]|0;if((h+-48&255)<10)break;switch(h<<24>>24){case 0:case 45:case 43:case 69:case 101:{break c;break}default:j=k}}Mrc(g|0,k|0,(s8b(k)|0)+1|0)|0}}while(0);u=d;return c|0}function K6b(a,c){a=a|0;c=+c;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+32|0;e=L6b(c,d)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;g=s8b(e)|0;if(g>>>0>4294967279)Lmc(a);if(g>>>0<11){b[a+11>>0]=g;if(!g){h=a;i=h+g|0;b[i>>0]=0;u=d;return}else j=a}else{k=g+16&-16;l=Bmc(k)|0;f[a>>2]=l;f[a+8>>2]=k|-2147483648;f[a+4>>2]=g;j=l}Krc(j|0,e|0,g|0)|0;h=j;i=h+g|0;b[i>>0]=0;u=d;return}function L6b(a,c){a=+a;c=c|0;var d=0,e=0,g=0,h=0.0,i=0,j=0.0,k=0,l=0,m=0,o=0;d=u;u=u+32|0;e=d+16|0;g=d;h=a;if(a==D){b[c>>0]=105;b[c+1>>0]=110;b[c+2>>0]=102;b[c+3>>0]=0;u=d;return c|0}if(a==-D){b[c>>0]=b[515922]|0;b[c+1>>0]=b[515923]|0;b[c+2>>0]=b[515924]|0;b[c+3>>0]=b[515925]|0;b[c+4>>0]=b[515926]|0;u=d;return c|0}if(((n[s>>2]=a,f[s>>2]|0)&2147483647)>>>0>2139095040){b[c>>0]=110;b[c+1>>0]=97;b[c+2>>0]=110;b[c+3>>0]=0;u=d;return c|0}f[g>>2]=6;p[g+8>>3]=h;O8b(c,24,515927,g)|0;i=f7b()|0;f[i>>2]=0;j=+W9b(c,g);if((b[c>>0]|0)!=0?(b[f[g>>2]>>0]|0)==0:0){g=f7b()|0;if(j!=a|(f[g>>2]|0)!=0)k=11}else k=11;if((k|0)==11){f[e>>2]=9;p[e+8>>3]=h;O8b(c,24,515927,e)|0}if(!(C8b(c,46)|0))l=c;else{u=d;return c|0}a:while(1){e=b[l>>0]|0;if((e+-48&255)>=10)switch(e<<24>>24){case 0:{k=21;break a;break}case 45:case 43:case 69:case 101:break;default:break a}l=l+1|0}if((k|0)==21){u=d;return c|0}b[l>>0]=46;k=l+1|0;l=b[k>>0]|0;if((l+-48&255)<10){u=d;return c|0}switch(l<<24>>24){case 0:case 45:case 43:case 69:case 101:{u=d;return c|0}default:m=k}b:while(1){o=m+1|0;l=b[o>>0]|0;if((l+-48&255)<10)break;switch(l<<24>>24){case 0:case 45:case 43:case 69:case 101:{break b;break}default:m=o}}Mrc(k|0,o|0,(s8b(o)|0)+1|0)|0;u=d;return c|0}function M6b(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;Nmc(e,a);a=N6b(e,c)|0;if((b[e+11>>0]|0)>=0){u=d;return a|0}Emc(f[e>>2]|0);u=d;return a|0}function N6b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=u;u=u+16|0;e=d+12|0;g=d;f[c>>2]=0;if(!(O6b(a,e)|0)){h=0;u=d;return h|0}if(b[e>>0]|0){e=b[a+11>>0]|0;i=e<<24>>24<0;j=i?f[a>>2]|0:a;k=i?f[a+4>>2]|0:e&255;e=j+k|0;a:do if((k|0)>0){i=0;l=j;while(1){m=b[l>>0]|0;n=m&255;o=n+-48|0;if((m&255)<48|(o|0)>9){p=0;q=i;break a}if((i|0)<-214748364){p=0;q=-2147483648;break a}m=i*10|0;if((m|0)<(n+2147483600|0)){p=0;q=-2147483648;break a}n=m-o|0;l=l+1|0;if(l>>>0>=e>>>0){p=1;q=n;break}else i=n}}else{p=1;q=0}while(0);f[c>>2]=q;h=p;u=d;return h|0}Nmc(g,a);a=b[g+11>>0]|0;p=a<<24>>24<0;q=f[g>>2]|0;e=p?q:g;j=p?f[g+4>>2]|0:a&255;a=e+j|0;b:do if((j|0)>0){g=0;k=e;while(1){i=b[k>>0]|0;l=i&255;n=l+-48|0;if((i&255)<48|(n|0)>9){r=0;s=g;break b}if((g|0)>214748364){r=0;s=2147483647;break b}i=g*10|0;if((i|0)>(-2147483601-l|0)){r=0;s=2147483647;break b}l=n+i|0;k=k+1|0;if(k>>>0>=a>>>0){r=1;s=l;break}else g=l}}else{r=1;s=0}while(0);f[c>>2]=s;if(!p){h=r;u=d;return h|0}Emc(q);h=r;u=d;return h|0}function O6b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+16|0;e=d;g=b[a+11>>0]|0;h=g<<24>>24<0;if(h){i=f[a>>2]|0;j=f[a+4>>2]|0}else{i=a;j=g&255}g=i+j|0;a:do if((j|0)>0){k=i;while(1){if((b[k>>0]|0)!=32){l=k;break a}m=k+1|0;if(m>>>0<g>>>0)k=m;else{l=m;break}}}else l=i;while(0);i=g;while(1){if(l>>>0>=i>>>0){n=0;o=19;break}g=i+-1|0;if((b[g>>0]|0)==32)i=g;else break}if((o|0)==19){u=d;return n|0}o=(b[l>>0]|0)==45;b[c>>0]=o&1;if(!o?(b[l>>0]|0)!=43:0)p=l;else{o=l+1|0;if(o>>>0<i>>>0)p=o;else{n=0;u=d;return n|0}}if(h)q=f[a>>2]|0;else q=a;h=p;Omc(e,a,h-q|0,i-h|0,a);Qmc(a,e)|0;if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);n=1;u=d;return n|0}function P6b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=a+40|0;e=c;g=f[e>>2]|0;h=f[e+4>>2]|0;e=Qrc(f[c+8>>2]|0,0,2)|0;c=Arc(e|0,J|0,-4,-1)|0;e=Qrc(1,0,c|0)|0;c=d;i=g;j=h;k=e|g;g=J|h;do{c=c+-1|0;b[c>>0]=b[515705+(i&15)>>0]|0;i=Irc(i|0,j|0,4)|0;j=J;k=Irc(k|0,g|0,4)|0;g=J}while(!((k|0)==0&(g|0)==0));f[a>>2]=c;f[a+4>>2]=d-c;return}function Q6b(a,b){a=a|0;b=b|0;$mc(a,f[b>>2]|0,f[b+4>>2]|0)|0;return}function R6b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+16|0;e=d;g=b[a+11>>0]|0;i=g<<24>>24<0;j=i?f[a>>2]|0:a;k=i?f[a+4>>2]|0:g&255;g=j;i=j+k|0;do{if((i|0)==(j|0)){l=0;m=9;break}i=i+-1|0}while(!(F7b(523408,h[i>>0]|0,1)|0));if((m|0)==9){u=d;return l|0}m=i-g|0;if((m|0)==-1){l=0;u=d;return l|0}g=m+1|0;if((g|0)==(k|0)){l=0;u=d;return l|0}Omc(e,a,g,-1,a);Qmc(c,e)|0;if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);l=1;u=d;return l|0}function S6b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+16|0;g=e;xh[f[(f[a>>2]|0)+96>>2]&2047](g,a);a=f[g>>2]|0;h=f[a+4>>2]|0;i=b[h+11>>0]|0;if(((i<<24>>24<0?f[h+4>>2]|0:i&255)|0)!=19){j=0;u=e;return j|0}if(knc(h,0,-1,515932,19)|0){j=0;u=e;return j|0}h=SIb(a,1)|0;f[c>>2]=h;h=SIb(a,2)|0;f[d>>2]=h;h=f[c>>2]|0;if(!h){j=0;u=e;return j|0}c=f[h+24>>2]|0;if(c|0?(f[c>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=h;dEb(c,g)}if((f[h+28>>2]|0)!=9){j=0;u=e;return j|0}h=f[d>>2]|0;if(!h){j=0;u=e;return j|0}d=f[h+24>>2]|0;if(d|0?(f[d>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=h;dEb(d,g)}j=(f[h+28>>2]|0)==12;u=e;return j|0}function T6b(){U6b(0);return}function U6b(a){a=a|0;hf(26872,524752);Sd(26888,524757,1,1,0);xe(26896,524526,1,-128,127);xe(26912,524531,1,-128,127);xe(26904,524543,1,0,255);xe(26920,524557,2,-32768,32767);xe(26928,524563,2,0,65535);xe(26936,524762,4,-2147483648,2147483647);xe(26944,524766,4,0,-1);xe(26952,524779,4,-2147483648,2147483647);xe(26960,524784,4,0,-1);yf(26968,524808,4);yf(26976,524920,8);sd(9552,524135);sd(25192,515994);pf(25216,4,516027);Wd(8928,516040);af(9440,0,516056);af(25240,0,516086);af(9432,1,516123);af(9456,2,516162);af(9448,3,516193);af(9464,4,516233);af(25248,5,516262);af(25256,4,516300);af(25264,5,516330);af(25240,0,516369);af(9432,1,516401);af(9456,2,516434);af(9448,3,516467);af(9464,4,516501);af(25248,5,516534);af(9472,6,516568);af(9480,7,516599);af(25272,7,516631);return}function V6b(a){a=a|0;return c9b(f[a+4>>2]|0)|0}function W6b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0;b=u;u=u+16|0;c=b;do if(a>>>0<245){d=a>>>0<11?16:a+11&-8;e=d>>>3;g=f[222995]|0;h=g>>>e;if(h&3|0){i=(h&1^1)+e|0;j=892020+(i<<1<<2)|0;k=j+8|0;l=f[k>>2]|0;m=l+8|0;n=f[m>>2]|0;if((j|0)==(n|0))f[222995]=g&~(1<<i);else{f[n+12>>2]=j;f[k>>2]=n}n=i<<3;f[l+4>>2]=n|3;i=l+n+4|0;f[i>>2]=f[i>>2]|1;o=m;u=b;return o|0}m=f[222997]|0;if(d>>>0>m>>>0){if(h|0){i=2<<e;n=h<<e&(i|0-i);i=(n&0-n)+-1|0;n=i>>>12&16;e=i>>>n;i=e>>>5&8;h=e>>>i;e=h>>>2&4;l=h>>>e;h=l>>>1&2;k=l>>>h;l=k>>>1&1;j=(i|n|e|h|l)+(k>>>l)|0;l=892020+(j<<1<<2)|0;k=l+8|0;h=f[k>>2]|0;e=h+8|0;n=f[e>>2]|0;if((l|0)==(n|0)){i=g&~(1<<j);f[222995]=i;p=i}else{f[n+12>>2]=l;f[k>>2]=n;p=g}n=(j<<3)-d|0;f[h+4>>2]=d|3;j=h+d|0;f[j+4>>2]=n|1;f[j+n>>2]=n;if(m|0){h=f[223e3]|0;k=m>>>3;l=892020+(k<<1<<2)|0;i=1<<k;if(!(p&i)){f[222995]=p|i;q=l;r=l+8|0}else{i=l+8|0;q=f[i>>2]|0;r=i}f[r>>2]=h;f[q+12>>2]=h;f[h+8>>2]=q;f[h+12>>2]=l}f[222997]=n;f[223e3]=j;o=e;u=b;return o|0}e=f[222996]|0;if(e){j=(e&0-e)+-1|0;n=j>>>12&16;l=j>>>n;j=l>>>5&8;h=l>>>j;l=h>>>2&4;i=h>>>l;h=i>>>1&2;k=i>>>h;i=k>>>1&1;s=f[892284+((j|n|l|h|i)+(k>>>i)<<2)>>2]|0;i=(f[s+4>>2]&-8)-d|0;k=f[s+16+(((f[s+16>>2]|0)==0&1)<<2)>>2]|0;if(!k){t=s;v=i}else{h=s;s=i;i=k;while(1){k=(f[i+4>>2]&-8)-d|0;l=k>>>0<s>>>0;n=l?k:s;k=l?i:h;i=f[i+16+(((f[i+16>>2]|0)==0&1)<<2)>>2]|0;if(!i){t=k;v=n;break}else{h=k;s=n}}}s=t+d|0;if(t>>>0<s>>>0){h=f[t+24>>2]|0;i=f[t+12>>2]|0;do if((i|0)==(t|0)){n=t+20|0;k=f[n>>2]|0;if(!k){l=t+16|0;j=f[l>>2]|0;if(!j){w=0;break}else{x=j;y=l}}else{x=k;y=n}while(1){n=x+20|0;k=f[n>>2]|0;if(k|0){x=k;y=n;continue}n=x+16|0;k=f[n>>2]|0;if(!k)break;else{x=k;y=n}}f[y>>2]=0;w=x}else{n=f[t+8>>2]|0;f[n+12>>2]=i;f[i+8>>2]=n;w=i}while(0);do if(h|0){i=f[t+28>>2]|0;n=892284+(i<<2)|0;if((t|0)==(f[n>>2]|0)){f[n>>2]=w;if(!w){f[222996]=e&~(1<<i);break}}else{f[h+16+(((f[h+16>>2]|0)!=(t|0)&1)<<2)>>2]=w;if(!w)break}f[w+24>>2]=h;i=f[t+16>>2]|0;if(i|0){f[w+16>>2]=i;f[i+24>>2]=w}i=f[t+20>>2]|0;if(i|0){f[w+20>>2]=i;f[i+24>>2]=w}}while(0);if(v>>>0<16){h=v+d|0;f[t+4>>2]=h|3;e=t+h+4|0;f[e>>2]=f[e>>2]|1}else{f[t+4>>2]=d|3;f[s+4>>2]=v|1;f[s+v>>2]=v;if(m|0){e=f[223e3]|0;h=m>>>3;i=892020+(h<<1<<2)|0;n=1<<h;if(!(g&n)){f[222995]=g|n;z=i;A=i+8|0}else{n=i+8|0;z=f[n>>2]|0;A=n}f[A>>2]=e;f[z+12>>2]=e;f[e+8>>2]=z;f[e+12>>2]=i}f[222997]=v;f[223e3]=s}o=t+8|0;u=b;return o|0}else B=d}else B=d}else B=d}else if(a>>>0<=4294967231){i=a+11|0;e=i&-8;n=f[222996]|0;if(n){h=0-e|0;k=i>>>8;if(k)if(e>>>0>16777215)C=31;else{i=(k+1048320|0)>>>16&8;l=k<<i;k=(l+520192|0)>>>16&4;j=l<<k;l=(j+245760|0)>>>16&2;D=14-(k|i|l)+(j<<l>>>15)|0;C=e>>>(D+7|0)&1|D<<1}else C=0;D=f[892284+(C<<2)>>2]|0;a:do if(!D){E=0;F=0;G=h;H=57}else{l=0;j=h;i=D;k=e<<((C|0)==31?0:25-(C>>>1)|0);I=0;while(1){J=(f[i+4>>2]&-8)-e|0;if(J>>>0<j>>>0)if(!J){K=i;L=0;M=i;H=61;break a}else{N=i;O=J}else{N=l;O=j}J=f[i+20>>2]|0;i=f[i+16+(k>>>31<<2)>>2]|0;P=(J|0)==0|(J|0)==(i|0)?I:J;J=(i|0)==0;if(J){E=P;F=N;G=O;H=57;break}else{l=N;j=O;k=k<<((J^1)&1);I=P}}}while(0);if((H|0)==57){if((E|0)==0&(F|0)==0){D=2<<C;h=n&(D|0-D);if(!h){B=e;break}D=(h&0-h)+-1|0;h=D>>>12&16;d=D>>>h;D=d>>>5&8;s=d>>>D;d=s>>>2&4;g=s>>>d;s=g>>>1&2;m=g>>>s;g=m>>>1&1;Q=0;R=f[892284+((D|h|d|s|g)+(m>>>g)<<2)>>2]|0}else{Q=F;R=E}if(!R){S=Q;T=G}else{K=Q;L=G;M=R;H=61}}if((H|0)==61)while(1){H=0;g=(f[M+4>>2]&-8)-e|0;m=g>>>0<L>>>0;s=m?g:L;g=m?M:K;M=f[M+16+(((f[M+16>>2]|0)==0&1)<<2)>>2]|0;if(!M){S=g;T=s;break}else{K=g;L=s;H=61}}if((S|0)!=0?T>>>0<((f[222997]|0)-e|0)>>>0:0){s=S+e|0;if(S>>>0>=s>>>0){o=0;u=b;return o|0}g=f[S+24>>2]|0;m=f[S+12>>2]|0;do if((m|0)==(S|0)){d=S+20|0;h=f[d>>2]|0;if(!h){D=S+16|0;I=f[D>>2]|0;if(!I){U=0;break}else{V=I;W=D}}else{V=h;W=d}while(1){d=V+20|0;h=f[d>>2]|0;if(h|0){V=h;W=d;continue}d=V+16|0;h=f[d>>2]|0;if(!h)break;else{V=h;W=d}}f[W>>2]=0;U=V}else{d=f[S+8>>2]|0;f[d+12>>2]=m;f[m+8>>2]=d;U=m}while(0);do if(g){m=f[S+28>>2]|0;d=892284+(m<<2)|0;if((S|0)==(f[d>>2]|0)){f[d>>2]=U;if(!U){d=n&~(1<<m);f[222996]=d;X=d;break}}else{f[g+16+(((f[g+16>>2]|0)!=(S|0)&1)<<2)>>2]=U;if(!U){X=n;break}}f[U+24>>2]=g;d=f[S+16>>2]|0;if(d|0){f[U+16>>2]=d;f[d+24>>2]=U}d=f[S+20>>2]|0;if(d){f[U+20>>2]=d;f[d+24>>2]=U;X=n}else X=n}else X=n;while(0);do if(T>>>0>=16){f[S+4>>2]=e|3;f[s+4>>2]=T|1;f[s+T>>2]=T;n=T>>>3;if(T>>>0<256){g=892020+(n<<1<<2)|0;d=f[222995]|0;m=1<<n;if(!(d&m)){f[222995]=d|m;Y=g;Z=g+8|0}else{m=g+8|0;Y=f[m>>2]|0;Z=m}f[Z>>2]=s;f[Y+12>>2]=s;f[s+8>>2]=Y;f[s+12>>2]=g;break}g=T>>>8;if(g)if(T>>>0>16777215)_=31;else{m=(g+1048320|0)>>>16&8;d=g<<m;g=(d+520192|0)>>>16&4;n=d<<g;d=(n+245760|0)>>>16&2;h=14-(g|m|d)+(n<<d>>>15)|0;_=T>>>(h+7|0)&1|h<<1}else _=0;h=892284+(_<<2)|0;f[s+28>>2]=_;d=s+16|0;f[d+4>>2]=0;f[d>>2]=0;d=1<<_;if(!(X&d)){f[222996]=X|d;f[h>>2]=s;f[s+24>>2]=h;f[s+12>>2]=s;f[s+8>>2]=s;break}d=T<<((_|0)==31?0:25-(_>>>1)|0);n=f[h>>2]|0;while(1){if((f[n+4>>2]&-8|0)==(T|0)){H=97;break}$=n+16+(d>>>31<<2)|0;h=f[$>>2]|0;if(!h){H=96;break}else{d=d<<1;n=h}}if((H|0)==96){f[$>>2]=s;f[s+24>>2]=n;f[s+12>>2]=s;f[s+8>>2]=s;break}else if((H|0)==97){d=n+8|0;h=f[d>>2]|0;f[h+12>>2]=s;f[d>>2]=s;f[s+8>>2]=h;f[s+12>>2]=n;f[s+24>>2]=0;break}}else{h=T+e|0;f[S+4>>2]=h|3;d=S+h+4|0;f[d>>2]=f[d>>2]|1}while(0);o=S+8|0;u=b;return o|0}else B=e}else B=e}else B=-1;while(0);S=f[222997]|0;if(S>>>0>=B>>>0){T=S-B|0;$=f[223e3]|0;if(T>>>0>15){_=$+B|0;f[223e3]=_;f[222997]=T;f[_+4>>2]=T|1;f[_+T>>2]=T;f[$+4>>2]=B|3}else{f[222997]=0;f[223e3]=0;f[$+4>>2]=S|3;T=$+S+4|0;f[T>>2]=f[T>>2]|1}o=$+8|0;u=b;return o|0}$=f[222998]|0;if($>>>0>B>>>0){T=$-B|0;f[222998]=T;S=f[223001]|0;_=S+B|0;f[223001]=_;f[_+4>>2]=T|1;f[S+4>>2]=B|3;o=S+8|0;u=b;return o|0}if(!(f[223113]|0)){f[223115]=4096;f[223114]=4096;f[223116]=-1;f[223117]=-1;f[223118]=0;f[223106]=0;S=c&-16^1431655768;f[c>>2]=S;f[223113]=S;aa=4096}else aa=f[223115]|0;S=B+48|0;c=B+47|0;T=aa+c|0;_=0-aa|0;aa=T&_;if(aa>>>0<=B>>>0){o=0;u=b;return o|0}X=f[223105]|0;if(X|0?(Y=f[223103]|0,Z=Y+aa|0,Z>>>0<=Y>>>0|Z>>>0>X>>>0):0){o=0;u=b;return o|0}b:do if(!(f[223106]&4)){X=f[223001]|0;c:do if(X){Z=892428;while(1){Y=f[Z>>2]|0;if(Y>>>0<=X>>>0?(ba=Z+4|0,(Y+(f[ba>>2]|0)|0)>>>0>X>>>0):0)break;Y=f[Z+8>>2]|0;if(!Y){H=118;break c}else Z=Y}n=T-$&_;if(n>>>0<2147483647){Y=Lrc(n|0)|0;if((Y|0)==((f[Z>>2]|0)+(f[ba>>2]|0)|0))if((Y|0)==(-1|0))ca=n;else{da=n;ea=Y;H=135;break b}else{fa=Y;ga=n;H=126}}else ca=0}else H=118;while(0);do if((H|0)==118){X=Lrc(0)|0;if((X|0)!=(-1|0)?(e=X,n=f[223114]|0,Y=n+-1|0,U=((Y&e|0)==0?0:(Y+e&0-n)-e|0)+aa|0,e=f[223103]|0,n=U+e|0,U>>>0>B>>>0&U>>>0<2147483647):0){Y=f[223105]|0;if(Y|0?n>>>0<=e>>>0|n>>>0>Y>>>0:0){ca=0;break}Y=Lrc(U|0)|0;if((Y|0)==(X|0)){da=U;ea=X;H=135;break b}else{fa=Y;ga=U;H=126}}else ca=0}while(0);do if((H|0)==126){U=0-ga|0;if(!(S>>>0>ga>>>0&(ga>>>0<2147483647&(fa|0)!=(-1|0))))if((fa|0)==(-1|0)){ca=0;break}else{da=ga;ea=fa;H=135;break b}Y=f[223115]|0;X=c-ga+Y&0-Y;if(X>>>0>=2147483647){da=ga;ea=fa;H=135;break b}if((Lrc(X|0)|0)==(-1|0)){Lrc(U|0)|0;ca=0;break}else{da=X+ga|0;ea=fa;H=135;break b}}while(0);f[223106]=f[223106]|4;ha=ca;H=133}else{ha=0;H=133}while(0);if(((H|0)==133?aa>>>0<2147483647:0)?(ca=Lrc(aa|0)|0,aa=Lrc(0)|0,fa=aa-ca|0,ga=fa>>>0>(B+40|0)>>>0,!((ca|0)==(-1|0)|ga^1|ca>>>0<aa>>>0&((ca|0)!=(-1|0)&(aa|0)!=(-1|0))^1)):0){da=ga?fa:ha;ea=ca;H=135}if((H|0)==135){ca=(f[223103]|0)+da|0;f[223103]=ca;if(ca>>>0>(f[223104]|0)>>>0)f[223104]=ca;ca=f[223001]|0;do if(ca){ha=892428;while(1){ia=f[ha>>2]|0;ja=ha+4|0;ka=f[ja>>2]|0;if((ea|0)==(ia+ka|0)){H=145;break}fa=f[ha+8>>2]|0;if(!fa)break;else ha=fa}if(((H|0)==145?(f[ha+12>>2]&8|0)==0:0)?ca>>>0<ea>>>0&ca>>>0>=ia>>>0:0){f[ja>>2]=ka+da;fa=ca+8|0;ga=(fa&7|0)==0?0:0-fa&7;fa=ca+ga|0;aa=(f[222998]|0)+(da-ga)|0;f[223001]=fa;f[222998]=aa;f[fa+4>>2]=aa|1;f[fa+aa+4>>2]=40;f[223002]=f[223117];break}if(ea>>>0<(f[222999]|0)>>>0)f[222999]=ea;aa=ea+da|0;fa=892428;while(1){if((f[fa>>2]|0)==(aa|0)){H=153;break}ga=f[fa+8>>2]|0;if(!ga)break;else fa=ga}if((H|0)==153?(f[fa+12>>2]&8|0)==0:0){f[fa>>2]=ea;ha=fa+4|0;f[ha>>2]=(f[ha>>2]|0)+da;ha=ea+8|0;ga=ea+((ha&7|0)==0?0:0-ha&7)|0;ha=aa+8|0;c=aa+((ha&7|0)==0?0:0-ha&7)|0;ha=ga+B|0;S=c-ga-B|0;f[ga+4>>2]=B|3;do if((c|0)!=(ca|0)){if((c|0)==(f[223e3]|0)){ba=(f[222997]|0)+S|0;f[222997]=ba;f[223e3]=ha;f[ha+4>>2]=ba|1;f[ha+ba>>2]=ba;break}ba=f[c+4>>2]|0;if((ba&3|0)==1){_=ba&-8;$=ba>>>3;d:do if(ba>>>0<256){T=f[c+8>>2]|0;X=f[c+12>>2]|0;if((X|0)==(T|0)){f[222995]=f[222995]&~(1<<$);break}else{f[T+12>>2]=X;f[X+8>>2]=T;break}}else{T=f[c+24>>2]|0;X=f[c+12>>2]|0;do if((X|0)==(c|0)){U=c+16|0;Y=U+4|0;n=f[Y>>2]|0;if(!n){e=f[U>>2]|0;if(!e){la=0;break}else{ma=e;na=U}}else{ma=n;na=Y}while(1){Y=ma+20|0;n=f[Y>>2]|0;if(n|0){ma=n;na=Y;continue}Y=ma+16|0;n=f[Y>>2]|0;if(!n)break;else{ma=n;na=Y}}f[na>>2]=0;la=ma}else{Y=f[c+8>>2]|0;f[Y+12>>2]=X;f[X+8>>2]=Y;la=X}while(0);if(!T)break;X=f[c+28>>2]|0;Y=892284+(X<<2)|0;do if((c|0)!=(f[Y>>2]|0)){f[T+16+(((f[T+16>>2]|0)!=(c|0)&1)<<2)>>2]=la;if(!la)break d}else{f[Y>>2]=la;if(la|0)break;f[222996]=f[222996]&~(1<<X);break d}while(0);f[la+24>>2]=T;X=c+16|0;Y=f[X>>2]|0;if(Y|0){f[la+16>>2]=Y;f[Y+24>>2]=la}Y=f[X+4>>2]|0;if(!Y)break;f[la+20>>2]=Y;f[Y+24>>2]=la}while(0);oa=c+_|0;pa=_+S|0}else{oa=c;pa=S}$=oa+4|0;f[$>>2]=f[$>>2]&-2;f[ha+4>>2]=pa|1;f[ha+pa>>2]=pa;$=pa>>>3;if(pa>>>0<256){ba=892020+($<<1<<2)|0;Z=f[222995]|0;Y=1<<$;if(!(Z&Y)){f[222995]=Z|Y;qa=ba;ra=ba+8|0}else{Y=ba+8|0;qa=f[Y>>2]|0;ra=Y}f[ra>>2]=ha;f[qa+12>>2]=ha;f[ha+8>>2]=qa;f[ha+12>>2]=ba;break}ba=pa>>>8;do if(!ba)sa=0;else{if(pa>>>0>16777215){sa=31;break}Y=(ba+1048320|0)>>>16&8;Z=ba<<Y;$=(Z+520192|0)>>>16&4;X=Z<<$;Z=(X+245760|0)>>>16&2;n=14-($|Y|Z)+(X<<Z>>>15)|0;sa=pa>>>(n+7|0)&1|n<<1}while(0);ba=892284+(sa<<2)|0;f[ha+28>>2]=sa;_=ha+16|0;f[_+4>>2]=0;f[_>>2]=0;_=f[222996]|0;n=1<<sa;if(!(_&n)){f[222996]=_|n;f[ba>>2]=ha;f[ha+24>>2]=ba;f[ha+12>>2]=ha;f[ha+8>>2]=ha;break}n=pa<<((sa|0)==31?0:25-(sa>>>1)|0);_=f[ba>>2]|0;while(1){if((f[_+4>>2]&-8|0)==(pa|0)){H=194;break}ta=_+16+(n>>>31<<2)|0;ba=f[ta>>2]|0;if(!ba){H=193;break}else{n=n<<1;_=ba}}if((H|0)==193){f[ta>>2]=ha;f[ha+24>>2]=_;f[ha+12>>2]=ha;f[ha+8>>2]=ha;break}else if((H|0)==194){n=_+8|0;ba=f[n>>2]|0;f[ba+12>>2]=ha;f[n>>2]=ha;f[ha+8>>2]=ba;f[ha+12>>2]=_;f[ha+24>>2]=0;break}}else{ba=(f[222998]|0)+S|0;f[222998]=ba;f[223001]=ha;f[ha+4>>2]=ba|1}while(0);o=ga+8|0;u=b;return o|0}ha=892428;while(1){S=f[ha>>2]|0;if(S>>>0<=ca>>>0?(ua=S+(f[ha+4>>2]|0)|0,ua>>>0>ca>>>0):0)break;ha=f[ha+8>>2]|0}ha=ua+-47|0;ga=ha+8|0;S=ha+((ga&7|0)==0?0:0-ga&7)|0;ga=ca+16|0;ha=S>>>0<ga>>>0?ca:S;S=ha+8|0;c=ea+8|0;aa=(c&7|0)==0?0:0-c&7;c=ea+aa|0;fa=da+-40-aa|0;f[223001]=c;f[222998]=fa;f[c+4>>2]=fa|1;f[c+fa+4>>2]=40;f[223002]=f[223117];fa=ha+4|0;f[fa>>2]=27;f[S>>2]=f[223107];f[S+4>>2]=f[223108];f[S+8>>2]=f[223109];f[S+12>>2]=f[223110];f[223107]=ea;f[223108]=da;f[223110]=0;f[223109]=S;S=ha+24|0;do{c=S;S=S+4|0;f[S>>2]=7}while((c+8|0)>>>0<ua>>>0);if((ha|0)!=(ca|0)){S=ha-ca|0;f[fa>>2]=f[fa>>2]&-2;f[ca+4>>2]=S|1;f[ha>>2]=S;c=S>>>3;if(S>>>0<256){aa=892020+(c<<1<<2)|0;ba=f[222995]|0;n=1<<c;if(!(ba&n)){f[222995]=ba|n;va=aa;wa=aa+8|0}else{n=aa+8|0;va=f[n>>2]|0;wa=n}f[wa>>2]=ca;f[va+12>>2]=ca;f[ca+8>>2]=va;f[ca+12>>2]=aa;break}aa=S>>>8;if(aa)if(S>>>0>16777215)xa=31;else{n=(aa+1048320|0)>>>16&8;ba=aa<<n;aa=(ba+520192|0)>>>16&4;c=ba<<aa;ba=(c+245760|0)>>>16&2;Z=14-(aa|n|ba)+(c<<ba>>>15)|0;xa=S>>>(Z+7|0)&1|Z<<1}else xa=0;Z=892284+(xa<<2)|0;f[ca+28>>2]=xa;f[ca+20>>2]=0;f[ga>>2]=0;ba=f[222996]|0;c=1<<xa;if(!(ba&c)){f[222996]=ba|c;f[Z>>2]=ca;f[ca+24>>2]=Z;f[ca+12>>2]=ca;f[ca+8>>2]=ca;break}c=S<<((xa|0)==31?0:25-(xa>>>1)|0);ba=f[Z>>2]|0;while(1){if((f[ba+4>>2]&-8|0)==(S|0)){H=216;break}ya=ba+16+(c>>>31<<2)|0;Z=f[ya>>2]|0;if(!Z){H=215;break}else{c=c<<1;ba=Z}}if((H|0)==215){f[ya>>2]=ca;f[ca+24>>2]=ba;f[ca+12>>2]=ca;f[ca+8>>2]=ca;break}else if((H|0)==216){c=ba+8|0;S=f[c>>2]|0;f[S+12>>2]=ca;f[c>>2]=ca;f[ca+8>>2]=S;f[ca+12>>2]=ba;f[ca+24>>2]=0;break}}}else{S=f[222999]|0;if((S|0)==0|ea>>>0<S>>>0)f[222999]=ea;f[223107]=ea;f[223108]=da;f[223110]=0;f[223004]=f[223113];f[223003]=-1;S=0;do{c=892020+(S<<1<<2)|0;f[c+12>>2]=c;f[c+8>>2]=c;S=S+1|0}while((S|0)!=32);S=ea+8|0;ba=(S&7|0)==0?0:0-S&7;S=ea+ba|0;c=da+-40-ba|0;f[223001]=S;f[222998]=c;f[S+4>>2]=c|1;f[S+c+4>>2]=40;f[223002]=f[223117]}while(0);da=f[222998]|0;if(da>>>0>B>>>0){ea=da-B|0;f[222998]=ea;da=f[223001]|0;ca=da+B|0;f[223001]=ca;f[ca+4>>2]=ea|1;f[da+4>>2]=B|3;o=da+8|0;u=b;return o|0}}da=f7b()|0;f[da>>2]=12;o=0;u=b;return o|0}function X6b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;if(!a)return;b=a+-8|0;c=f[222999]|0;d=f[a+-4>>2]|0;a=d&-8;e=b+a|0;do if(!(d&1)){g=f[b>>2]|0;if(!(d&3))return;h=b+(0-g)|0;i=g+a|0;if(h>>>0<c>>>0)return;if((h|0)==(f[223e3]|0)){j=e+4|0;k=f[j>>2]|0;if((k&3|0)!=3){l=h;m=i;n=h;break}f[222997]=i;f[j>>2]=k&-2;f[h+4>>2]=i|1;f[h+i>>2]=i;return}k=g>>>3;if(g>>>0<256){g=f[h+8>>2]|0;j=f[h+12>>2]|0;if((j|0)==(g|0)){f[222995]=f[222995]&~(1<<k);l=h;m=i;n=h;break}else{f[g+12>>2]=j;f[j+8>>2]=g;l=h;m=i;n=h;break}}g=f[h+24>>2]|0;j=f[h+12>>2]|0;do if((j|0)==(h|0)){k=h+16|0;o=k+4|0;p=f[o>>2]|0;if(!p){q=f[k>>2]|0;if(!q){r=0;break}else{s=q;t=k}}else{s=p;t=o}while(1){o=s+20|0;p=f[o>>2]|0;if(p|0){s=p;t=o;continue}o=s+16|0;p=f[o>>2]|0;if(!p)break;else{s=p;t=o}}f[t>>2]=0;r=s}else{o=f[h+8>>2]|0;f[o+12>>2]=j;f[j+8>>2]=o;r=j}while(0);if(g){j=f[h+28>>2]|0;o=892284+(j<<2)|0;if((h|0)==(f[o>>2]|0)){f[o>>2]=r;if(!r){f[222996]=f[222996]&~(1<<j);l=h;m=i;n=h;break}}else{f[g+16+(((f[g+16>>2]|0)!=(h|0)&1)<<2)>>2]=r;if(!r){l=h;m=i;n=h;break}}f[r+24>>2]=g;j=h+16|0;o=f[j>>2]|0;if(o|0){f[r+16>>2]=o;f[o+24>>2]=r}o=f[j+4>>2]|0;if(o){f[r+20>>2]=o;f[o+24>>2]=r;l=h;m=i;n=h}else{l=h;m=i;n=h}}else{l=h;m=i;n=h}}else{l=b;m=a;n=b}while(0);if(n>>>0>=e>>>0)return;b=e+4|0;a=f[b>>2]|0;if(!(a&1))return;if(!(a&2)){r=f[223e3]|0;if((e|0)==(f[223001]|0)){s=(f[222998]|0)+m|0;f[222998]=s;f[223001]=l;f[l+4>>2]=s|1;if((l|0)!=(r|0))return;f[223e3]=0;f[222997]=0;return}if((e|0)==(r|0)){r=(f[222997]|0)+m|0;f[222997]=r;f[223e3]=n;f[l+4>>2]=r|1;f[n+r>>2]=r;return}r=(a&-8)+m|0;s=a>>>3;do if(a>>>0<256){t=f[e+8>>2]|0;c=f[e+12>>2]|0;if((c|0)==(t|0)){f[222995]=f[222995]&~(1<<s);break}else{f[t+12>>2]=c;f[c+8>>2]=t;break}}else{t=f[e+24>>2]|0;c=f[e+12>>2]|0;do if((c|0)==(e|0)){d=e+16|0;o=d+4|0;j=f[o>>2]|0;if(!j){p=f[d>>2]|0;if(!p){u=0;break}else{v=p;w=d}}else{v=j;w=o}while(1){o=v+20|0;j=f[o>>2]|0;if(j|0){v=j;w=o;continue}o=v+16|0;j=f[o>>2]|0;if(!j)break;else{v=j;w=o}}f[w>>2]=0;u=v}else{o=f[e+8>>2]|0;f[o+12>>2]=c;f[c+8>>2]=o;u=c}while(0);if(t|0){c=f[e+28>>2]|0;h=892284+(c<<2)|0;if((e|0)==(f[h>>2]|0)){f[h>>2]=u;if(!u){f[222996]=f[222996]&~(1<<c);break}}else{f[t+16+(((f[t+16>>2]|0)!=(e|0)&1)<<2)>>2]=u;if(!u)break}f[u+24>>2]=t;c=e+16|0;h=f[c>>2]|0;if(h|0){f[u+16>>2]=h;f[h+24>>2]=u}h=f[c+4>>2]|0;if(h|0){f[u+20>>2]=h;f[h+24>>2]=u}}}while(0);f[l+4>>2]=r|1;f[n+r>>2]=r;if((l|0)==(f[223e3]|0)){f[222997]=r;return}else x=r}else{f[b>>2]=a&-2;f[l+4>>2]=m|1;f[n+m>>2]=m;x=m}m=x>>>3;if(x>>>0<256){n=892020+(m<<1<<2)|0;a=f[222995]|0;b=1<<m;if(!(a&b)){f[222995]=a|b;y=n;z=n+8|0}else{b=n+8|0;y=f[b>>2]|0;z=b}f[z>>2]=l;f[y+12>>2]=l;f[l+8>>2]=y;f[l+12>>2]=n;return}n=x>>>8;if(n)if(x>>>0>16777215)A=31;else{y=(n+1048320|0)>>>16&8;z=n<<y;n=(z+520192|0)>>>16&4;b=z<<n;z=(b+245760|0)>>>16&2;a=14-(n|y|z)+(b<<z>>>15)|0;A=x>>>(a+7|0)&1|a<<1}else A=0;a=892284+(A<<2)|0;f[l+28>>2]=A;f[l+20>>2]=0;f[l+16>>2]=0;z=f[222996]|0;b=1<<A;do if(z&b){y=x<<((A|0)==31?0:25-(A>>>1)|0);n=f[a>>2]|0;while(1){if((f[n+4>>2]&-8|0)==(x|0)){B=73;break}C=n+16+(y>>>31<<2)|0;m=f[C>>2]|0;if(!m){B=72;break}else{y=y<<1;n=m}}if((B|0)==72){f[C>>2]=l;f[l+24>>2]=n;f[l+12>>2]=l;f[l+8>>2]=l;break}else if((B|0)==73){y=n+8|0;t=f[y>>2]|0;f[t+12>>2]=l;f[y>>2]=l;f[l+8>>2]=t;f[l+12>>2]=n;f[l+24>>2]=0;break}}else{f[222996]=z|b;f[a>>2]=l;f[l+24>>2]=a;f[l+12>>2]=l;f[l+8>>2]=l}while(0);l=(f[223003]|0)+-1|0;f[223003]=l;if(!l)D=892436;else return;while(1){l=f[D>>2]|0;if(!l)break;else D=l+8|0}f[223003]=-1;return}function Y6b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;if(!a){c=W6b(b)|0;return c|0}if(b>>>0>4294967231){d=f7b()|0;f[d>>2]=12;c=0;return c|0}d=Z6b(a+-8|0,b>>>0<11?16:b+11&-8)|0;if(d|0){c=d+8|0;return c|0}d=W6b(b)|0;if(!d){c=0;return c|0}e=f[a+-4>>2]|0;g=(e&-8)-((e&3|0)==0?8:4)|0;Krc(d|0,a|0,(g>>>0<b>>>0?g:b)|0)|0;X6b(a);c=d;return c|0}function Z6b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=a+4|0;d=f[c>>2]|0;e=d&-8;g=a+e|0;if(!(d&3)){if(b>>>0<256){h=0;return h|0}if(e>>>0>=(b+4|0)>>>0?(e-b|0)>>>0<=f[223115]<<1>>>0:0){h=a;return h|0}h=0;return h|0}if(e>>>0>=b>>>0){i=e-b|0;if(i>>>0<=15){h=a;return h|0}j=a+b|0;f[c>>2]=d&1|b|2;f[j+4>>2]=i|3;k=j+i+4|0;f[k>>2]=f[k>>2]|1;_6b(j,i);h=a;return h|0}if((g|0)==(f[223001]|0)){i=(f[222998]|0)+e|0;j=i-b|0;k=a+b|0;if(i>>>0<=b>>>0){h=0;return h|0}f[c>>2]=d&1|b|2;f[k+4>>2]=j|1;f[223001]=k;f[222998]=j;h=a;return h|0}if((g|0)==(f[223e3]|0)){j=(f[222997]|0)+e|0;if(j>>>0<b>>>0){h=0;return h|0}k=j-b|0;i=d&1;if(k>>>0>15){l=a+b|0;m=l+k|0;f[c>>2]=i|b|2;f[l+4>>2]=k|1;f[m>>2]=k;n=m+4|0;f[n>>2]=f[n>>2]&-2;o=l;p=k}else{f[c>>2]=i|j|2;i=a+j+4|0;f[i>>2]=f[i>>2]|1;o=0;p=0}f[222997]=p;f[223e3]=o;h=a;return h|0}o=f[g+4>>2]|0;if(o&2|0){h=0;return h|0}p=(o&-8)+e|0;if(p>>>0<b>>>0){h=0;return h|0}e=p-b|0;i=o>>>3;do if(o>>>0<256){j=f[g+8>>2]|0;k=f[g+12>>2]|0;if((k|0)==(j|0)){f[222995]=f[222995]&~(1<<i);break}else{f[j+12>>2]=k;f[k+8>>2]=j;break}}else{j=f[g+24>>2]|0;k=f[g+12>>2]|0;do if((k|0)==(g|0)){l=g+16|0;n=l+4|0;m=f[n>>2]|0;if(!m){q=f[l>>2]|0;if(!q){r=0;break}else{s=q;t=l}}else{s=m;t=n}while(1){n=s+20|0;m=f[n>>2]|0;if(m|0){s=m;t=n;continue}n=s+16|0;m=f[n>>2]|0;if(!m)break;else{s=m;t=n}}f[t>>2]=0;r=s}else{n=f[g+8>>2]|0;f[n+12>>2]=k;f[k+8>>2]=n;r=k}while(0);if(j|0){k=f[g+28>>2]|0;n=892284+(k<<2)|0;if((g|0)==(f[n>>2]|0)){f[n>>2]=r;if(!r){f[222996]=f[222996]&~(1<<k);break}}else{f[j+16+(((f[j+16>>2]|0)!=(g|0)&1)<<2)>>2]=r;if(!r)break}f[r+24>>2]=j;k=g+16|0;n=f[k>>2]|0;if(n|0){f[r+16>>2]=n;f[n+24>>2]=r}n=f[k+4>>2]|0;if(n|0){f[r+20>>2]=n;f[n+24>>2]=r}}}while(0);r=d&1;if(e>>>0<16){f[c>>2]=p|r|2;d=a+p+4|0;f[d>>2]=f[d>>2]|1;h=a;return h|0}else{d=a+b|0;f[c>>2]=r|b|2;f[d+4>>2]=e|3;b=d+e+4|0;f[b>>2]=f[b>>2]|1;_6b(d,e);h=a;return h|0}return 0}function _6b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;c=a+b|0;d=f[a+4>>2]|0;do if(!(d&1)){e=f[a>>2]|0;if(!(d&3))return;g=a+(0-e)|0;h=e+b|0;if((g|0)==(f[223e3]|0)){i=c+4|0;j=f[i>>2]|0;if((j&3|0)!=3){k=g;l=h;break}f[222997]=h;f[i>>2]=j&-2;f[g+4>>2]=h|1;f[g+h>>2]=h;return}j=e>>>3;if(e>>>0<256){e=f[g+8>>2]|0;i=f[g+12>>2]|0;if((i|0)==(e|0)){f[222995]=f[222995]&~(1<<j);k=g;l=h;break}else{f[e+12>>2]=i;f[i+8>>2]=e;k=g;l=h;break}}e=f[g+24>>2]|0;i=f[g+12>>2]|0;do if((i|0)==(g|0)){j=g+16|0;m=j+4|0;n=f[m>>2]|0;if(!n){o=f[j>>2]|0;if(!o){p=0;break}else{q=o;r=j}}else{q=n;r=m}while(1){m=q+20|0;n=f[m>>2]|0;if(n|0){q=n;r=m;continue}m=q+16|0;n=f[m>>2]|0;if(!n)break;else{q=n;r=m}}f[r>>2]=0;p=q}else{m=f[g+8>>2]|0;f[m+12>>2]=i;f[i+8>>2]=m;p=i}while(0);if(e){i=f[g+28>>2]|0;m=892284+(i<<2)|0;if((g|0)==(f[m>>2]|0)){f[m>>2]=p;if(!p){f[222996]=f[222996]&~(1<<i);k=g;l=h;break}}else{f[e+16+(((f[e+16>>2]|0)!=(g|0)&1)<<2)>>2]=p;if(!p){k=g;l=h;break}}f[p+24>>2]=e;i=g+16|0;m=f[i>>2]|0;if(m|0){f[p+16>>2]=m;f[m+24>>2]=p}m=f[i+4>>2]|0;if(m){f[p+20>>2]=m;f[m+24>>2]=p;k=g;l=h}else{k=g;l=h}}else{k=g;l=h}}else{k=a;l=b}while(0);b=c+4|0;a=f[b>>2]|0;if(!(a&2)){p=f[223e3]|0;if((c|0)==(f[223001]|0)){q=(f[222998]|0)+l|0;f[222998]=q;f[223001]=k;f[k+4>>2]=q|1;if((k|0)!=(p|0))return;f[223e3]=0;f[222997]=0;return}if((c|0)==(p|0)){p=(f[222997]|0)+l|0;f[222997]=p;f[223e3]=k;f[k+4>>2]=p|1;f[k+p>>2]=p;return}p=(a&-8)+l|0;q=a>>>3;do if(a>>>0<256){r=f[c+8>>2]|0;d=f[c+12>>2]|0;if((d|0)==(r|0)){f[222995]=f[222995]&~(1<<q);break}else{f[r+12>>2]=d;f[d+8>>2]=r;break}}else{r=f[c+24>>2]|0;d=f[c+12>>2]|0;do if((d|0)==(c|0)){m=c+16|0;i=m+4|0;n=f[i>>2]|0;if(!n){j=f[m>>2]|0;if(!j){s=0;break}else{t=j;u=m}}else{t=n;u=i}while(1){i=t+20|0;n=f[i>>2]|0;if(n|0){t=n;u=i;continue}i=t+16|0;n=f[i>>2]|0;if(!n)break;else{t=n;u=i}}f[u>>2]=0;s=t}else{i=f[c+8>>2]|0;f[i+12>>2]=d;f[d+8>>2]=i;s=d}while(0);if(r|0){d=f[c+28>>2]|0;h=892284+(d<<2)|0;if((c|0)==(f[h>>2]|0)){f[h>>2]=s;if(!s){f[222996]=f[222996]&~(1<<d);break}}else{f[r+16+(((f[r+16>>2]|0)!=(c|0)&1)<<2)>>2]=s;if(!s)break}f[s+24>>2]=r;d=c+16|0;h=f[d>>2]|0;if(h|0){f[s+16>>2]=h;f[h+24>>2]=s}h=f[d+4>>2]|0;if(h|0){f[s+20>>2]=h;f[h+24>>2]=s}}}while(0);f[k+4>>2]=p|1;f[k+p>>2]=p;if((k|0)==(f[223e3]|0)){f[222997]=p;return}else v=p}else{f[b>>2]=a&-2;f[k+4>>2]=l|1;f[k+l>>2]=l;v=l}l=v>>>3;if(v>>>0<256){a=892020+(l<<1<<2)|0;b=f[222995]|0;p=1<<l;if(!(b&p)){f[222995]=b|p;w=a;x=a+8|0}else{p=a+8|0;w=f[p>>2]|0;x=p}f[x>>2]=k;f[w+12>>2]=k;f[k+8>>2]=w;f[k+12>>2]=a;return}a=v>>>8;if(a)if(v>>>0>16777215)y=31;else{w=(a+1048320|0)>>>16&8;x=a<<w;a=(x+520192|0)>>>16&4;p=x<<a;x=(p+245760|0)>>>16&2;b=14-(a|w|x)+(p<<x>>>15)|0;y=v>>>(b+7|0)&1|b<<1}else y=0;b=892284+(y<<2)|0;f[k+28>>2]=y;f[k+20>>2]=0;f[k+16>>2]=0;x=f[222996]|0;p=1<<y;if(!(x&p)){f[222996]=x|p;f[b>>2]=k;f[k+24>>2]=b;f[k+12>>2]=k;f[k+8>>2]=k;return}p=v<<((y|0)==31?0:25-(y>>>1)|0);y=f[b>>2]|0;while(1){if((f[y+4>>2]&-8|0)==(v|0)){z=69;break}A=y+16+(p>>>31<<2)|0;b=f[A>>2]|0;if(!b){z=68;break}else{p=p<<1;y=b}}if((z|0)==68){f[A>>2]=k;f[k+24>>2]=y;f[k+12>>2]=k;f[k+8>>2]=k;return}else if((z|0)==69){z=y+8|0;A=f[z>>2]|0;f[A+12>>2]=k;f[z>>2]=k;f[k+8>>2]=A;f[k+12>>2]=y;f[k+24>>2]=0;return}}function $6b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=a>>>0>16?a:16;if(!(c+-1&c))d=c;else{a=16;while(1)if(a>>>0<c>>>0)a=a<<1;else{d=a;break}}if((-64-d|0)>>>0<=b>>>0){a=f7b()|0;f[a>>2]=12;e=0;return e|0}a=b>>>0<11?16:b+11&-8;b=W6b(a+12+d|0)|0;if(!b){e=0;return e|0}c=b+-8|0;do if(b&d+-1){g=(b+d+-1&0-d)+-8|0;h=c;i=(g-h|0)>>>0>15?g:g+d|0;g=i-h|0;h=b+-4|0;j=f[h>>2]|0;k=(j&-8)-g|0;if(!(j&3)){f[i>>2]=(f[c>>2]|0)+g;f[i+4>>2]=k;l=i;m=i;break}else{j=i+4|0;f[j>>2]=k|f[j>>2]&1|2;n=i+k+4|0;f[n>>2]=f[n>>2]|1;f[h>>2]=g|f[h>>2]&1|2;f[j>>2]=f[j>>2]|1;_6b(c,g);l=i;m=i;break}}else{l=c;m=c}while(0);c=l+4|0;l=f[c>>2]|0;if(l&3|0?(b=l&-8,b>>>0>(a+16|0)>>>0):0){d=b-a|0;b=m+a|0;f[c>>2]=a|l&1|2;f[b+4>>2]=d|3;l=b+d+4|0;f[l>>2]=f[l>>2]|1;_6b(b,d)}e=m+8|0;return e|0}function a7b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;do if((b|0)!=8){d=b>>>2;if((b&3|0)!=0|(d|0)==0){e=22;return e|0}if(d+1073741823&d|0){e=22;return e|0}if((-64-b|0)>>>0<c>>>0){e=12;return e|0}else{g=$6b(b>>>0>16?b:16,c)|0;break}}else g=W6b(c)|0;while(0);if(!g){e=12;return e|0}f[a>>2]=g;e=0;return e|0}function b7b(a){a=a|0;var b=0,c=0,d=0;b=u;u=u+16|0;c=b;d=i7b(f[a+60>>2]|0)|0;f[c>>2]=d;d=e7b(je(6,c|0)|0)|0;u=b;return d|0}function c7b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;d=u;u=u+48|0;e=d+16|0;g=d;h=d+32|0;i=a+28|0;j=f[i>>2]|0;f[h>>2]=j;k=a+20|0;l=(f[k>>2]|0)-j|0;f[h+4>>2]=l;f[h+8>>2]=b;f[h+12>>2]=c;b=l+c|0;l=a+60|0;f[g>>2]=f[l>>2];f[g+4>>2]=h;f[g+8>>2]=2;j=e7b(Id(146,g|0)|0)|0;a:do if((b|0)!=(j|0)){g=2;m=b;n=h;o=j;while(1){if((o|0)<0)break;m=m-o|0;p=f[n+4>>2]|0;q=o>>>0>p>>>0;r=q?n+8|0:n;s=(q<<31>>31)+g|0;t=o-(q?p:0)|0;f[r>>2]=(f[r>>2]|0)+t;p=r+4|0;f[p>>2]=(f[p>>2]|0)-t;f[e>>2]=f[l>>2];f[e+4>>2]=r;f[e+8>>2]=s;o=e7b(Id(146,e|0)|0)|0;if((m|0)==(o|0)){v=3;break a}else{g=s;n=r}}f[a+16>>2]=0;f[i>>2]=0;f[k>>2]=0;f[a>>2]=f[a>>2]|32;if((g|0)==2)w=0;else w=c-(f[n+4>>2]|0)|0}else v=3;while(0);if((v|0)==3){v=f[a+44>>2]|0;f[a+16>>2]=v+(f[a+48>>2]|0);f[i>>2]=v;f[k>>2]=v;w=c}u=d;return w|0}function d7b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+32|0;e=d;g=d+20|0;f[e>>2]=f[a+60>>2];f[e+4>>2]=0;f[e+8>>2]=b;f[e+12>>2]=g;f[e+16>>2]=c;if((e7b(Fd(140,e|0)|0)|0)<0){f[g>>2]=-1;h=-1}else h=f[g>>2]|0;u=d;return h|0}function e7b(a){a=a|0;var b=0,c=0;if(a>>>0>4294963200){b=f7b()|0;f[b>>2]=0-a;c=-1}else c=a;return c|0}function f7b(){return (g7b()|0)+64|0}function g7b(){return h7b()|0}function h7b(){return 157272}function i7b(a){a=a|0;return a|0}function j7b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+32|0;g=e;h=e+16|0;f[h>>2]=c;i=h+4|0;j=a+48|0;k=f[j>>2]|0;f[i>>2]=d-((k|0)!=0&1);l=a+44|0;f[h+8>>2]=f[l>>2];f[h+12>>2]=k;f[g>>2]=f[a+60>>2];f[g+4>>2]=h;f[g+8>>2]=2;h=e7b(Hd(145,g|0)|0)|0;if((h|0)>=1){g=f[i>>2]|0;if(h>>>0>g>>>0){i=f[l>>2]|0;l=a+4|0;f[l>>2]=i;f[a+8>>2]=i+(h-g);if(!(f[j>>2]|0))m=d;else{f[l>>2]=i+1;b[c+(d+-1)>>0]=b[i>>0]|0;m=d}}else m=h}else{f[a>>2]=f[a>>2]|h&48^16;m=h}u=e;return m|0}function k7b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+32|0;g=e;f[a+36>>2]=223;if((f[a>>2]&64|0)==0?(f[g>>2]=f[a+60>>2],f[g+4>>2]=21523,f[g+8>>2]=e+16,te(54,g|0)|0):0)b[a+75>>0]=-1;g=c7b(a,c,d)|0;u=e;return g|0}function l7b(){return 892476}function m7b(a){a=a|0;var b=0,c=0,d=0;b=u;u=u+16|0;c=b;d=i7b(a)|0;f[c>>2]=d;d=je(6,c|0)|0;c=e7b((d|0)==-4?0:d)|0;u=b;return c|0}function n7b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+48|0;e=d+16|0;g=d;h=d+32|0;if(!(b&4194368))i=0;else{f[h>>2]=c;c=(f[h>>2]|0)+(4-1)&~(4-1);j=f[c>>2]|0;f[h>>2]=c+4;i=j}f[g>>2]=a;f[g+4>>2]=b|32768;f[g+8>>2]=i;i=ke(5,g|0)|0;if(!((b&524288|0)==0|(i|0)<0)){f[e>>2]=i;f[e+4>>2]=2;f[e+8>>2]=1;$c(221,e|0)|0}e=e7b(i)|0;u=d;return e|0}function o7b(a,c){a=a|0;c=c|0;var d=0,e=0,f=0,g=0;d=b[a>>0]|0;e=b[c>>0]|0;if(d<<24>>24==0?1:d<<24>>24!=e<<24>>24){f=e;g=d}else{d=c;c=a;do{c=c+1|0;d=d+1|0;a=b[c>>0]|0;e=b[d>>0]|0}while(!(a<<24>>24==0?1:a<<24>>24!=e<<24>>24));f=e;g=a}return (g&255)-(f&255)|0}function p7b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d;g=d+20|0;f[e>>2]=a;f[e+4>>2]=0;f[e+8>>2]=b;f[e+12>>2]=g;f[e+16>>2]=c;c=(e7b(Fd(140,e|0)|0)|0)!=0;u=d;return (c?-1:f[g>>2]|0)|0}function q7b(a){a=a|0;var b=0,c=0,d=0;if((f[a+76>>2]|0)>-1){b=(r7b(a)|0)==0;c=(f[a>>2]|0)>>>4&1;if(b)d=c;else d=c}else d=(f[a>>2]|0)>>>4&1;return d|0}function r7b(a){a=a|0;return 0}function s7b(a){a=a|0;return}function t7b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;if((f[a+76>>2]|0)>=0?(r7b(a)|0)!=0:0){b=a+4|0;c=f[b>>2]|0;if(c>>>0<(f[a+8>>2]|0)>>>0){f[b>>2]=c+1;d=h[c>>0]|0}else d=u7b(a)|0;e=d}else g=3;do if((g|0)==3){d=a+4|0;c=f[d>>2]|0;if(c>>>0<(f[a+8>>2]|0)>>>0){f[d>>2]=c+1;e=h[c>>0]|0;break}else{e=u7b(a)|0;break}}while(0);return e|0}function u7b(a){a=a|0;var b=0,c=0,d=0;b=u;u=u+16|0;c=b;if((v7b(a)|0)==0?(ki[f[a+32>>2]&511](a,c,1)|0)==1:0)d=h[c>>0]|0;else d=-1;u=b;return d|0}function v7b(a){a=a|0;var c=0,d=0,e=0;c=a+74|0;d=b[c>>0]|0;b[c>>0]=d+255|d;d=a+20|0;c=a+28|0;if((f[d>>2]|0)>>>0>(f[c>>2]|0)>>>0)ki[f[a+36>>2]&511](a,0,0)|0;f[a+16>>2]=0;f[c>>2]=0;f[d>>2]=0;d=f[a>>2]|0;if(!(d&4)){c=(f[a+44>>2]|0)+(f[a+48>>2]|0)|0;f[a+8>>2]=c;f[a+4>>2]=c;e=d<<27>>31}else{f[a>>2]=d|32;e=-1}return e|0}function w7b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=u;u=u+224|0;g=e+120|0;h=e+80|0;i=e;j=e+136|0;k=h;l=k+40|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[g>>2]=f[d>>2];if((x7b(0,c,g,i,h)|0)<0)m=-1;else{if((f[a+76>>2]|0)>-1)n=r7b(a)|0;else n=0;d=f[a>>2]|0;k=d&32;if((b[a+74>>0]|0)<1)f[a>>2]=d&-33;d=a+48|0;if(!(f[d>>2]|0)){l=a+44|0;o=f[l>>2]|0;f[l>>2]=j;p=a+28|0;f[p>>2]=j;q=a+20|0;f[q>>2]=j;f[d>>2]=80;r=a+16|0;f[r>>2]=j+80;j=x7b(a,c,g,i,h)|0;if(!o)s=j;else{ki[f[a+36>>2]&511](a,0,0)|0;t=(f[q>>2]|0)==0?-1:j;f[l>>2]=o;f[d>>2]=0;f[r>>2]=0;f[p>>2]=0;f[q>>2]=0;s=t}}else s=x7b(a,c,g,i,h)|0;h=f[a>>2]|0;f[a>>2]=h|k;if(n|0)s7b(a);m=(h&32|0)==0?s:-1}u=e;return m|0}function x7b(a,c,e,g,h){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0;i=u;u=u+64|0;j=i+16|0;k=i;l=i+24|0;m=i+8|0;n=i+20|0;f[j>>2]=c;o=(a|0)!=0;q=l+40|0;r=q;s=l+39|0;l=m+4|0;t=0;v=0;w=0;x=c;a:while(1){do if((v|0)>-1)if((t|0)>(2147483647-v|0)){c=f7b()|0;f[c>>2]=75;y=-1;break}else{y=t+v|0;break}else y=v;while(0);c=b[x>>0]|0;if(!(c<<24>>24)){z=87;break}else{A=c;B=x}b:while(1){switch(A<<24>>24){case 37:{C=B;D=B;z=9;break b;break}case 0:{E=B;F=B;break b;break}default:{}}c=B+1|0;f[j>>2]=c;A=b[c>>0]|0;B=c}c:do if((z|0)==9)while(1){z=0;if((b[D+1>>0]|0)!=37){E=C;F=D;break c}c=C+1|0;G=D+2|0;f[j>>2]=G;if((b[G>>0]|0)==37){C=c;D=G;z=9}else{E=c;F=G;break}}while(0);G=E-x|0;if(o)y7b(a,x,G);if(G|0){t=G;v=y;x=F;continue}G=F+1|0;c=(b[G>>0]|0)+-48|0;if(c>>>0<10){H=(b[F+2>>0]|0)==36;I=H?c:-1;K=H?1:w;L=H?F+3|0:G}else{I=-1;K=w;L=G}f[j>>2]=L;G=b[L>>0]|0;H=(G<<24>>24)+-32|0;d:do if(H>>>0<32){c=0;M=G;N=H;O=L;while(1){P=1<<N;if(!(P&75913)){Q=c;R=M;S=O;break d}T=P|c;P=O+1|0;f[j>>2]=P;U=b[P>>0]|0;N=(U<<24>>24)+-32|0;if(N>>>0>=32){Q=T;R=U;S=P;break}else{c=T;M=U;O=P}}}else{Q=0;R=G;S=L}while(0);if(R<<24>>24==42){G=S+1|0;H=(b[G>>0]|0)+-48|0;if(H>>>0<10?(b[S+2>>0]|0)==36:0){f[h+(H<<2)>>2]=10;V=f[g+((b[G>>0]|0)+-48<<3)>>2]|0;W=1;X=S+3|0}else{if(K|0){Y=-1;break}if(o){H=(f[e>>2]|0)+(4-1)&~(4-1);O=f[H>>2]|0;f[e>>2]=H+4;V=O;W=0;X=G}else{V=0;W=0;X=G}}f[j>>2]=X;G=(V|0)<0;Z=G?0-V|0:V;_=G?Q|8192:Q;$=W;aa=X}else{G=z7b(j)|0;if((G|0)<0){Y=-1;break}Z=G;_=Q;$=K;aa=f[j>>2]|0}do if((b[aa>>0]|0)==46){if((b[aa+1>>0]|0)!=42){f[j>>2]=aa+1;G=z7b(j)|0;ba=G;ca=f[j>>2]|0;break}G=aa+2|0;O=(b[G>>0]|0)+-48|0;if(O>>>0<10?(b[aa+3>>0]|0)==36:0){f[h+(O<<2)>>2]=10;O=f[g+((b[G>>0]|0)+-48<<3)>>2]|0;H=aa+4|0;f[j>>2]=H;ba=O;ca=H;break}if($|0){Y=-1;break a}if(o){H=(f[e>>2]|0)+(4-1)&~(4-1);O=f[H>>2]|0;f[e>>2]=H+4;da=O}else da=0;f[j>>2]=G;ba=da;ca=G}else{ba=-1;ca=aa}while(0);G=0;O=ca;while(1){if(((b[O>>0]|0)+-65|0)>>>0>57){Y=-1;break a}ea=O+1|0;f[j>>2]=ea;fa=b[(b[O>>0]|0)+-65+(516949+(G*58|0))>>0]|0;ga=fa&255;if((ga+-1|0)>>>0<8){G=ga;O=ea}else break}if(!(fa<<24>>24)){Y=-1;break}H=(I|0)>-1;do if(fa<<24>>24==19)if(H){Y=-1;break a}else z=49;else{if(H){f[h+(I<<2)>>2]=ga;M=g+(I<<3)|0;c=f[M+4>>2]|0;N=k;f[N>>2]=f[M>>2];f[N+4>>2]=c;z=49;break}if(!o){Y=0;break a}A7b(k,ga,e)}while(0);if((z|0)==49?(z=0,!o):0){t=0;v=y;w=$;x=ea;continue}H=b[O>>0]|0;c=(G|0)!=0&(H&15|0)==3?H&-33:H;H=_&-65537;N=(_&8192|0)==0?_:H;e:do switch(c|0){case 110:{switch((G&255)<<24>>24){case 0:{f[f[k>>2]>>2]=y;t=0;v=y;w=$;x=ea;continue a;break}case 1:{f[f[k>>2]>>2]=y;t=0;v=y;w=$;x=ea;continue a;break}case 2:{M=f[k>>2]|0;f[M>>2]=y;f[M+4>>2]=((y|0)<0)<<31>>31;t=0;v=y;w=$;x=ea;continue a;break}case 3:{d[f[k>>2]>>1]=y;t=0;v=y;w=$;x=ea;continue a;break}case 4:{b[f[k>>2]>>0]=y;t=0;v=y;w=$;x=ea;continue a;break}case 6:{f[f[k>>2]>>2]=y;t=0;v=y;w=$;x=ea;continue a;break}case 7:{M=f[k>>2]|0;f[M>>2]=y;f[M+4>>2]=((y|0)<0)<<31>>31;t=0;v=y;w=$;x=ea;continue a;break}default:{t=0;v=y;w=$;x=ea;continue a}}break}case 112:{ha=120;ia=ba>>>0>8?ba:8;ja=N|8;z=61;break}case 88:case 120:{ha=c;ia=ba;ja=N;z=61;break}case 111:{M=k;P=f[M>>2]|0;U=f[M+4>>2]|0;M=C7b(P,U,q)|0;T=r-M|0;ka=M;la=0;ma=517413;na=(N&8|0)==0|(ba|0)>(T|0)?ba:T+1|0;oa=N;pa=P;qa=U;z=67;break}case 105:case 100:{U=k;P=f[U>>2]|0;T=f[U+4>>2]|0;if((T|0)<0){U=zrc(0,0,P|0,T|0)|0;M=J;ra=k;f[ra>>2]=U;f[ra+4>>2]=M;sa=1;ta=517413;ua=U;va=M;z=66;break e}else{sa=(N&2049|0)!=0&1;ta=(N&2048|0)==0?((N&1|0)==0?517413:517415):517414;ua=P;va=T;z=66;break e}break}case 117:{T=k;sa=0;ta=517413;ua=f[T>>2]|0;va=f[T+4>>2]|0;z=66;break}case 99:{b[s>>0]=f[k>>2];wa=s;xa=0;ya=517413;za=q;Aa=1;Ba=H;break}case 109:{T=f7b()|0;Ca=E7b(f[T>>2]|0)|0;z=71;break}case 115:{T=f[k>>2]|0;Ca=T|0?T:517423;z=71;break}case 67:{f[m>>2]=f[k>>2];f[l>>2]=0;f[k>>2]=m;Da=-1;Ea=m;z=75;break}case 83:{T=f[k>>2]|0;if(!ba){G7b(a,32,Z,0,N);Fa=0;z=84}else{Da=ba;Ea=T;z=75}break}case 65:case 71:case 70:case 69:case 97:case 103:case 102:case 101:{t=I7b(a,+p[k>>3],Z,ba,N,c)|0;v=y;w=$;x=ea;continue a;break}default:{wa=x;xa=0;ya=517413;za=q;Aa=ba;Ba=N}}while(0);f:do if((z|0)==61){z=0;c=k;G=f[c>>2]|0;O=f[c+4>>2]|0;c=B7b(G,O,q,ha&32)|0;T=(ja&8|0)==0|(G|0)==0&(O|0)==0;ka=c;la=T?0:2;ma=T?517413:517413+(ha>>4)|0;na=ia;oa=ja;pa=G;qa=O;z=67}else if((z|0)==66){z=0;ka=D7b(ua,va,q)|0;la=sa;ma=ta;na=ba;oa=N;pa=ua;qa=va;z=67}else if((z|0)==71){z=0;O=F7b(Ca,0,ba)|0;G=(O|0)==0;wa=Ca;xa=0;ya=517413;za=G?Ca+ba|0:O;Aa=G?ba:O-Ca|0;Ba=H}else if((z|0)==75){z=0;O=Ea;G=0;T=0;while(1){c=f[O>>2]|0;if(!c){Ga=G;Ha=T;break}P=H7b(n,c)|0;if((P|0)<0|P>>>0>(Da-G|0)>>>0){Ga=G;Ha=P;break}c=P+G|0;if(Da>>>0>c>>>0){O=O+4|0;G=c;T=P}else{Ga=c;Ha=P;break}}if((Ha|0)<0){Y=-1;break a}G7b(a,32,Z,Ga,N);if(!Ga){Fa=0;z=84}else{T=Ea;G=0;while(1){O=f[T>>2]|0;if(!O){Fa=Ga;z=84;break f}P=H7b(n,O)|0;G=P+G|0;if((G|0)>(Ga|0)){Fa=Ga;z=84;break f}y7b(a,n,P);if(G>>>0>=Ga>>>0){Fa=Ga;z=84;break}else T=T+4|0}}}while(0);if((z|0)==67){z=0;H=(pa|0)!=0|(qa|0)!=0;T=(na|0)!=0|H;G=((H^1)&1)+(r-ka)|0;wa=T?ka:q;xa=la;ya=ma;za=q;Aa=T?((na|0)>(G|0)?na:G):na;Ba=(na|0)>-1?oa&-65537:oa}else if((z|0)==84){z=0;G7b(a,32,Z,Fa,N^8192);t=(Z|0)>(Fa|0)?Z:Fa;v=y;w=$;x=ea;continue}G=za-wa|0;T=(Aa|0)<(G|0)?G:Aa;H=T+xa|0;P=(Z|0)<(H|0)?H:Z;G7b(a,32,P,H,Ba);y7b(a,ya,xa);G7b(a,48,P,H,Ba^65536);G7b(a,48,T,G,0);y7b(a,wa,G);G7b(a,32,P,H,Ba^8192);t=P;v=y;w=$;x=ea}g:do if((z|0)==87)if(!a)if(!w)Y=0;else{ea=1;while(1){x=f[h+(ea<<2)>>2]|0;if(!x){Ia=ea;break}A7b(g+(ea<<3)|0,x,e);ea=ea+1|0;if((ea|0)>=10){Y=1;break g}}while(1){if(f[h+(Ia<<2)>>2]|0){Y=-1;break g}Ia=Ia+1|0;if((Ia|0)>=10){Y=1;break}}}else Y=y;while(0);u=i;return Y|0}function y7b(a,b,c){a=a|0;b=b|0;c=c|0;if(!(f[a>>2]&32))U7b(b,c,a)|0;return}function z7b(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=f[a>>2]|0;d=(b[c>>0]|0)+-48|0;if(d>>>0<10){e=0;g=c;c=d;while(1){d=c+(e*10|0)|0;g=g+1|0;f[a>>2]=g;c=(b[g>>0]|0)+-48|0;if(c>>>0>=10){h=d;break}else e=d}}else h=0;return h|0}function A7b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0.0;a:do if(b>>>0<=20)do switch(b|0){case 9:{d=(f[c>>2]|0)+(4-1)&~(4-1);e=f[d>>2]|0;f[c>>2]=d+4;f[a>>2]=e;break a;break}case 10:{e=(f[c>>2]|0)+(4-1)&~(4-1);d=f[e>>2]|0;f[c>>2]=e+4;e=a;f[e>>2]=d;f[e+4>>2]=((d|0)<0)<<31>>31;break a;break}case 11:{d=(f[c>>2]|0)+(4-1)&~(4-1);e=f[d>>2]|0;f[c>>2]=d+4;d=a;f[d>>2]=e;f[d+4>>2]=0;break a;break}case 12:{d=(f[c>>2]|0)+(8-1)&~(8-1);e=d;g=f[e>>2]|0;h=f[e+4>>2]|0;f[c>>2]=d+8;d=a;f[d>>2]=g;f[d+4>>2]=h;break a;break}case 13:{h=(f[c>>2]|0)+(4-1)&~(4-1);d=f[h>>2]|0;f[c>>2]=h+4;h=(d&65535)<<16>>16;d=a;f[d>>2]=h;f[d+4>>2]=((h|0)<0)<<31>>31;break a;break}case 14:{h=(f[c>>2]|0)+(4-1)&~(4-1);d=f[h>>2]|0;f[c>>2]=h+4;h=a;f[h>>2]=d&65535;f[h+4>>2]=0;break a;break}case 15:{h=(f[c>>2]|0)+(4-1)&~(4-1);d=f[h>>2]|0;f[c>>2]=h+4;h=(d&255)<<24>>24;d=a;f[d>>2]=h;f[d+4>>2]=((h|0)<0)<<31>>31;break a;break}case 16:{h=(f[c>>2]|0)+(4-1)&~(4-1);d=f[h>>2]|0;f[c>>2]=h+4;h=a;f[h>>2]=d&255;f[h+4>>2]=0;break a;break}case 17:{h=(f[c>>2]|0)+(8-1)&~(8-1);i=+p[h>>3];f[c>>2]=h+8;p[a>>3]=i;break a;break}case 18:{h=(f[c>>2]|0)+(8-1)&~(8-1);i=+p[h>>3];f[c>>2]=h+8;p[a>>3]=i;break a;break}default:break a}while(0);while(0);return}function B7b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;if((a|0)==0&(c|0)==0)f=d;else{g=d;d=c;c=a;while(1){a=g+-1|0;b[a>>0]=h[517461+(c&15)>>0]|0|e;c=Irc(c|0,d|0,4)|0;d=J;if((c|0)==0&(d|0)==0){f=a;break}else g=a}}return f|0}function C7b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0;if((a|0)==0&(c|0)==0)e=d;else{f=d;d=c;c=a;while(1){a=f+-1|0;b[a>>0]=c&7|48;c=Irc(c|0,d|0,3)|0;d=J;if((c|0)==0&(d|0)==0){e=a;break}else f=a}}return e|0}function D7b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;if(c>>>0>0|(c|0)==0&a>>>0>4294967295){e=d;f=a;g=c;while(1){c=Nrc(f|0,g|0,10,0)|0;e=e+-1|0;b[e>>0]=c&255|48;c=f;f=Src(f|0,g|0,10,0)|0;if(!(g>>>0>9|(g|0)==9&c>>>0>4294967295))break;else g=J}h=f;i=e}else{h=a;i=d}if(!h)j=i;else{d=h;h=i;while(1){i=h+-1|0;b[i>>0]=(d>>>0)%10|0|48;if(d>>>0<10){j=i;break}else{d=(d>>>0)/10|0;h=i}}}return j|0}function E7b(a){a=a|0;var b=0;b=(O7b()|0)+188|0;return P7b(a,f[b>>2]|0)|0}function F7b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;e=c&255;g=(d|0)!=0;a:do if(g&(a&3|0)!=0){h=c&255;i=a;j=d;while(1){if((b[i>>0]|0)==h<<24>>24){k=i;l=j;m=6;break a}n=i+1|0;o=j+-1|0;p=(o|0)!=0;if(p&(n&3|0)!=0){i=n;j=o}else{q=n;r=o;s=p;m=5;break}}}else{q=a;r=d;s=g;m=5}while(0);if((m|0)==5)if(s){k=q;l=r;m=6}else{t=q;u=0}b:do if((m|0)==6){q=c&255;if((b[k>>0]|0)==q<<24>>24){t=k;u=l}else{r=Y(e,16843009)|0;c:do if(l>>>0>3){s=k;g=l;while(1){d=f[s>>2]^r;if((d&-2139062144^-2139062144)&d+-16843009|0)break;d=s+4|0;a=g+-4|0;if(a>>>0>3){s=d;g=a}else{v=d;w=a;m=11;break c}}x=s;y=g}else{v=k;w=l;m=11}while(0);if((m|0)==11)if(!w){t=v;u=0;break}else{x=v;y=w}while(1){if((b[x>>0]|0)==q<<24>>24){t=x;u=y;break b}r=x+1|0;y=y+-1|0;if(!y){t=r;u=0;break}else x=r}}}while(0);return (u|0?t:0)|0}function G7b(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=u;u=u+256|0;g=f;if((c|0)>(d|0)&(e&73728|0)==0){e=c-d|0;Drc(g|0,b|0,(e>>>0<256?e:256)|0)|0;if(e>>>0>255){b=c-d|0;d=e;do{y7b(a,g,256);d=d+-256|0}while(d>>>0>255);h=b&255}else h=e;y7b(a,g,h)}u=f;return}function H7b(a,b){a=a|0;b=b|0;var c=0;if(!a)c=0;else c=M7b(a,b,0)|0;return c|0}function I7b(a,c,d,e,g,i){a=a|0;c=+c;d=d|0;e=e|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0.0,E=0,F=0,G=0,H=0.0,I=0,K=0,L=0,M=0,N=0.0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0.0,fa=0.0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0;j=u;u=u+560|0;k=j+8|0;l=j;m=j+524|0;n=m;o=j+512|0;f[l>>2]=0;p=o+12|0;J7b(c)|0;if((J|0)<0){q=-c;r=1;s=517430}else{q=c;r=(g&2049|0)!=0&1;s=(g&2048|0)==0?((g&1|0)==0?517431:517436):517433}J7b(q)|0;t=J&2146435072;do if(t>>>0<2146435072|(t|0)==2146435072&0<0){c=+K7b(q,l)*2.0;v=c!=0.0;if(v)f[l>>2]=(f[l>>2]|0)+-1;w=i|32;if((w|0)==97){x=i&32;y=(x|0)==0?s:s+9|0;z=r|2;A=12-e|0;do if(!(e>>>0>11|(A|0)==0)){B=8.0;C=A;do{C=C+-1|0;B=B*16.0}while((C|0)!=0);if((b[y>>0]|0)==45){D=-(B+(-c-B));break}else{D=c+B-B;break}}else D=c;while(0);A=f[l>>2]|0;C=(A|0)<0?0-A|0:A;E=D7b(C,((C|0)<0)<<31>>31,p)|0;if((E|0)==(p|0)){C=o+11|0;b[C>>0]=48;F=C}else F=E;b[F+-1>>0]=(A>>31&2)+43;A=F+-2|0;b[A>>0]=i+15;E=(e|0)<1;C=(g&8|0)==0;G=m;H=D;while(1){I=~~H;K=G+1|0;b[G>>0]=h[517461+I>>0]|x;H=(H-+(I|0))*16.0;if((K-n|0)==1?!(C&(E&H==0.0)):0){b[K>>0]=46;L=G+2|0}else L=K;if(!(H!=0.0))break;else G=L}G=L-n|0;E=p-A|0;C=(e|0)!=0&(G+-2|0)<(e|0)?e+2|0:G;x=E+z+C|0;G7b(a,32,d,x,g);y7b(a,y,z);G7b(a,48,d,x,g^65536);y7b(a,m,G);G7b(a,48,C-G|0,0,0);y7b(a,A,E);G7b(a,32,d,x,g^8192);M=x;break}x=(e|0)<0?6:e;if(v){E=(f[l>>2]|0)+-28|0;f[l>>2]=E;N=c*268435456.0;O=E}else{N=c;O=f[l>>2]|0}E=(O|0)<0?k:k+288|0;G=E;H=N;do{C=~~H>>>0;f[G>>2]=C;G=G+4|0;H=(H-+(C>>>0))*1.0e9}while(H!=0.0);if((O|0)>0){v=E;A=G;z=O;while(1){y=(z|0)<29?z:29;C=A+-4|0;if(C>>>0>=v>>>0){K=C;C=0;do{I=Qrc(f[K>>2]|0,0,y|0)|0;P=Arc(I|0,J|0,C|0,0)|0;I=J;Q=Nrc(P|0,I|0,1e9,0)|0;f[K>>2]=Q;C=Src(P|0,I|0,1e9,0)|0;K=K+-4|0}while(K>>>0>=v>>>0);if(C){K=v+-4|0;f[K>>2]=C;R=K}else R=v}else R=v;K=A;while(1){if(K>>>0<=R>>>0)break;I=K+-4|0;if(!(f[I>>2]|0))K=I;else break}C=(f[l>>2]|0)-y|0;f[l>>2]=C;if((C|0)>0){v=R;A=K;z=C}else{S=R;T=K;U=C;break}}}else{S=E;T=G;U=O}if((U|0)<0){z=((x+25|0)/9|0)+1|0;A=(w|0)==102;v=S;C=T;I=U;while(1){P=0-I|0;Q=(P|0)<9?P:9;if(v>>>0<C>>>0){P=(1<<Q)+-1|0;V=1e9>>>Q;W=0;X=v;do{Z=f[X>>2]|0;f[X>>2]=(Z>>>Q)+W;W=Y(Z&P,V)|0;X=X+4|0}while(X>>>0<C>>>0);X=(f[v>>2]|0)==0?v+4|0:v;if(!W){_=X;$=C}else{f[C>>2]=W;_=X;$=C+4|0}}else{_=(f[v>>2]|0)==0?v+4|0:v;$=C}X=A?E:_;V=($-X>>2|0)>(z|0)?X+(z<<2)|0:$;I=(f[l>>2]|0)+Q|0;f[l>>2]=I;if((I|0)>=0){aa=_;ba=V;break}else{v=_;C=V}}}else{aa=S;ba=T}C=E;if(aa>>>0<ba>>>0){v=(C-aa>>2)*9|0;I=f[aa>>2]|0;if(I>>>0<10)ca=v;else{z=v;v=10;while(1){v=v*10|0;A=z+1|0;if(I>>>0<v>>>0){ca=A;break}else z=A}}}else ca=0;z=(w|0)==103;v=(x|0)!=0;I=x-((w|0)!=102?ca:0)+((v&z)<<31>>31)|0;if((I|0)<(((ba-C>>2)*9|0)+-9|0)){A=I+9216|0;I=E+4+(((A|0)/9|0)+-1024<<2)|0;G=((A|0)%9|0)+1|0;if((G|0)<9){A=G;G=10;while(1){V=G*10|0;A=A+1|0;if((A|0)==9){da=V;break}else G=V}}else da=10;G=f[I>>2]|0;A=(G>>>0)%(da>>>0)|0;w=(I+4|0)==(ba|0);if(!(w&(A|0)==0)){B=(((G>>>0)/(da>>>0)|0)&1|0)==0?9007199254740992.0:9007199254740994.0;V=(da|0)/2|0;H=A>>>0<V>>>0?.5:w&(A|0)==(V|0)?1.0:1.5;if(!r){ea=H;fa=B}else{V=(b[s>>0]|0)==45;ea=V?-H:H;fa=V?-B:B}V=G-A|0;f[I>>2]=V;if(fa+ea!=fa){A=V+da|0;f[I>>2]=A;if(A>>>0>999999999){A=aa;V=I;while(1){G=V+-4|0;f[V>>2]=0;if(G>>>0<A>>>0){w=A+-4|0;f[w>>2]=0;ga=w}else ga=A;w=(f[G>>2]|0)+1|0;f[G>>2]=w;if(w>>>0>999999999){A=ga;V=G}else{ha=ga;ia=G;break}}}else{ha=aa;ia=I}V=(C-ha>>2)*9|0;A=f[ha>>2]|0;if(A>>>0<10){ja=ia;ka=V;la=ha}else{G=V;V=10;while(1){V=V*10|0;w=G+1|0;if(A>>>0<V>>>0){ja=ia;ka=w;la=ha;break}else G=w}}}else{ja=I;ka=ca;la=aa}}else{ja=I;ka=ca;la=aa}G=ja+4|0;ma=ka;na=ba>>>0>G>>>0?G:ba;oa=la}else{ma=ca;na=ba;oa=aa}G=na;while(1){if(G>>>0<=oa>>>0){pa=0;break}V=G+-4|0;if(!(f[V>>2]|0))G=V;else{pa=1;break}}I=0-ma|0;do if(z){V=((v^1)&1)+x|0;if((V|0)>(ma|0)&(ma|0)>-5){qa=i+-1|0;ra=V+-1-ma|0}else{qa=i+-2|0;ra=V+-1|0}V=g&8;if(!V){if(pa?(A=f[G+-4>>2]|0,(A|0)!=0):0)if(!((A>>>0)%10|0)){w=0;X=10;while(1){X=X*10|0;P=w+1|0;if((A>>>0)%(X>>>0)|0|0){sa=P;break}else w=P}}else sa=0;else sa=9;w=((G-C>>2)*9|0)+-9|0;if((qa|32|0)==102){X=w-sa|0;A=(X|0)>0?X:0;ta=qa;ua=(ra|0)<(A|0)?ra:A;va=0;break}else{A=w+ma-sa|0;w=(A|0)>0?A:0;ta=qa;ua=(ra|0)<(w|0)?ra:w;va=0;break}}else{ta=qa;ua=ra;va=V}}else{ta=i;ua=x;va=g&8}while(0);x=ua|va;C=(x|0)!=0&1;v=(ta|32|0)==102;if(v){wa=0;xa=(ma|0)>0?ma:0}else{z=(ma|0)<0?I:ma;w=D7b(z,((z|0)<0)<<31>>31,p)|0;z=p;if((z-w|0)<2){A=w;while(1){X=A+-1|0;b[X>>0]=48;if((z-X|0)<2)A=X;else{ya=X;break}}}else ya=w;b[ya+-1>>0]=(ma>>31&2)+43;A=ya+-2|0;b[A>>0]=ta;wa=A;xa=z-A|0}A=r+1+ua+C+xa|0;G7b(a,32,d,A,g);y7b(a,s,r);G7b(a,48,d,A,g^65536);if(v){I=oa>>>0>E>>>0?E:oa;X=m+9|0;Q=X;W=m+8|0;P=I;do{K=D7b(f[P>>2]|0,0,X)|0;if((P|0)==(I|0))if((K|0)==(X|0)){b[W>>0]=48;za=W}else za=K;else if(K>>>0>m>>>0){Drc(m|0,48,K-n|0)|0;y=K;while(1){Z=y+-1|0;if(Z>>>0>m>>>0)y=Z;else{za=Z;break}}}else za=K;y7b(a,za,Q-za|0);P=P+4|0}while(P>>>0<=E>>>0);if(x|0)y7b(a,523604,1);if(P>>>0<G>>>0&(ua|0)>0){E=ua;Q=P;while(1){W=D7b(f[Q>>2]|0,0,X)|0;if(W>>>0>m>>>0){Drc(m|0,48,W-n|0)|0;I=W;while(1){v=I+-1|0;if(v>>>0>m>>>0)I=v;else{Aa=v;break}}}else Aa=W;y7b(a,Aa,(E|0)<9?E:9);Q=Q+4|0;I=E+-9|0;if(!(Q>>>0<G>>>0&(E|0)>9)){Ba=I;break}else E=I}}else Ba=ua;G7b(a,48,Ba+9|0,9,0)}else{E=pa?G:oa+4|0;if((ua|0)>-1){Q=m+9|0;X=(va|0)==0;P=Q;x=0-n|0;I=m+8|0;K=ua;v=oa;while(1){C=D7b(f[v>>2]|0,0,Q)|0;if((C|0)==(Q|0)){b[I>>0]=48;Ca=I}else Ca=C;do if((v|0)==(oa|0)){C=Ca+1|0;y7b(a,Ca,1);if(X&(K|0)<1){Da=C;break}y7b(a,523604,1);Da=C}else{if(Ca>>>0<=m>>>0){Da=Ca;break}Drc(m|0,48,Ca+x|0)|0;C=Ca;while(1){z=C+-1|0;if(z>>>0>m>>>0)C=z;else{Da=z;break}}}while(0);W=P-Da|0;y7b(a,Da,(K|0)>(W|0)?W:K);C=K-W|0;v=v+4|0;if(!(v>>>0<E>>>0&(C|0)>-1)){Ea=C;break}else K=C}}else Ea=ua;G7b(a,48,Ea+18|0,18,0);y7b(a,wa,p-wa|0)}G7b(a,32,d,A,g^8192);M=A}else{K=(i&32|0)!=0;E=r+3|0;G7b(a,32,d,E,g&-65537);y7b(a,s,r);y7b(a,q!=q|0.0!=0.0?(K?519378:517457):K?517449:517453,3);G7b(a,32,d,E,g^8192);M=E}while(0);u=j;return ((M|0)<(d|0)?d:M)|0}function J7b(a){a=+a;var b=0;p[s>>3]=a;b=f[s>>2]|0;J=f[s+4>>2]|0;return b|0}function K7b(a,b){a=+a;b=b|0;return +(+L7b(a,b))}function L7b(a,b){a=+a;b=b|0;var c=0,d=0,e=0,g=0.0,h=0.0,i=0,j=0.0;p[s>>3]=a;c=f[s>>2]|0;d=f[s+4>>2]|0;e=Irc(c|0,d|0,52)|0;switch(e&2047){case 0:{if(a!=0.0){g=+L7b(a*18446744073709551616.0,b);h=g;i=(f[b>>2]|0)+-64|0}else{h=a;i=0}f[b>>2]=i;j=h;break}case 2047:{j=a;break}default:{f[b>>2]=(e&2047)+-1022;f[s>>2]=c;f[s+4>>2]=d&-2146435073|1071644672;j=+p[s>>3]}}return +j}function M7b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0;do if(a){if(c>>>0<128){b[a>>0]=c;e=1;break}d=(N7b()|0)+188|0;if(!(f[f[d>>2]>>2]|0))if((c&-128|0)==57216){b[a>>0]=c;e=1;break}else{d=f7b()|0;f[d>>2]=84;e=-1;break}if(c>>>0<2048){b[a>>0]=c>>>6|192;b[a+1>>0]=c&63|128;e=2;break}if(c>>>0<55296|(c&-8192|0)==57344){b[a>>0]=c>>>12|224;b[a+1>>0]=c>>>6&63|128;b[a+2>>0]=c&63|128;e=3;break}if((c+-65536|0)>>>0<1048576){b[a>>0]=c>>>18|240;b[a+1>>0]=c>>>12&63|128;b[a+2>>0]=c>>>6&63|128;b[a+3>>0]=c&63|128;e=4;break}else{d=f7b()|0;f[d>>2]=84;e=-1;break}}else e=1;while(0);return e|0}function N7b(){return h7b()|0}function O7b(){return h7b()|0}function P7b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0;d=0;while(1){if((h[517477+d>>0]|0)==(a|0)){e=2;break}g=d+1|0;if((g|0)==87){i=517565;j=87;e=5;break}else d=g}if((e|0)==2)if(!d)k=517565;else{i=517565;j=d;e=5}if((e|0)==5)while(1){e=0;d=i;do{a=d;d=d+1|0}while((b[a>>0]|0)!=0);j=j+-1|0;if(!j){k=d;break}else{i=d;e=5}}return Q7b(k,f[c+20>>2]|0)|0}function Q7b(a,b){a=a|0;b=b|0;return R7b(a,b)|0}function R7b(a,b){a=a|0;b=b|0;var c=0;if(!b)c=0;else c=S7b(f[b>>2]|0,f[b+4>>2]|0,a)|0;return (c|0?c:a)|0}function S7b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=(f[a>>2]|0)+1794895138|0;g=T7b(f[a+8>>2]|0,e)|0;h=T7b(f[a+12>>2]|0,e)|0;i=T7b(f[a+16>>2]|0,e)|0;a:do if((g>>>0<c>>>2>>>0?(j=c-(g<<2)|0,h>>>0<j>>>0&i>>>0<j>>>0):0)?((i|h)&3|0)==0:0){j=h>>>2;k=i>>>2;l=0;m=g;while(1){n=m>>>1;o=l+n|0;p=o<<1;q=p+j|0;r=T7b(f[a+(q<<2)>>2]|0,e)|0;s=T7b(f[a+(q+1<<2)>>2]|0,e)|0;if(!(s>>>0<c>>>0&r>>>0<(c-s|0)>>>0)){t=0;break a}if(b[a+(s+r)>>0]|0){t=0;break a}r=o7b(d,a+s|0)|0;if(!r)break;s=(r|0)<0;if((m|0)==1){t=0;break a}else{l=s?l:o;m=s?n:m-n|0}}m=p+k|0;l=T7b(f[a+(m<<2)>>2]|0,e)|0;j=T7b(f[a+(m+1<<2)>>2]|0,e)|0;if(j>>>0<c>>>0&l>>>0<(c-j|0)>>>0)t=(b[a+(j+l)>>0]|0)==0?a+j|0:0;else t=0}else t=0;while(0);return t|0}function T7b(a,b){a=a|0;b=b|0;var c=0;c=Orc(a|0)|0;return ((b|0)==0?a:c)|0}function U7b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=d+16|0;g=f[e>>2]|0;if(!g)if(!(V7b(d)|0)){h=f[e>>2]|0;i=5}else j=0;else{h=g;i=5}a:do if((i|0)==5){g=d+20|0;e=f[g>>2]|0;k=e;if((h-e|0)>>>0<c>>>0){j=ki[f[d+36>>2]&511](d,a,c)|0;break}b:do if((b[d+75>>0]|0)>-1){e=c;while(1){if(!e){l=0;m=a;n=c;o=k;break b}p=e+-1|0;if((b[a+p>>0]|0)==10)break;else e=p}p=ki[f[d+36>>2]&511](d,a,e)|0;if(p>>>0<e>>>0){j=p;break a}l=e;m=a+e|0;n=c-e|0;o=f[g>>2]|0}else{l=0;m=a;n=c;o=k}while(0);Krc(o|0,m|0,n|0)|0;f[g>>2]=(f[g>>2]|0)+n;j=l+n|0}while(0);return j|0}function V7b(a){a=a|0;var c=0,d=0,e=0;c=a+74|0;d=b[c>>0]|0;b[c>>0]=d+255|d;d=f[a>>2]|0;if(!(d&8)){f[a+8>>2]=0;f[a+4>>2]=0;c=f[a+44>>2]|0;f[a+28>>2]=c;f[a+20>>2]=c;f[a+16>>2]=c+(f[a+48>>2]|0);e=0}else{f[a>>2]=d|32;e=-1}return e|0}function W7b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[e>>2]=c;c=X7b(a,b,e)|0;u=d;return c|0}function X7b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0.0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0;e=u;u=u+288|0;g=e+8|0;i=e+17|0;j=e;k=e+16|0;if((f[a+76>>2]|0)>-1)l=r7b(a)|0;else l=0;m=b[c>>0]|0;a:do if(m<<24>>24){o=a+4|0;q=a+100|0;r=a+108|0;s=a+8|0;t=i+10|0;v=i+33|0;w=g+4|0;x=i+46|0;y=i+94|0;z=i+1|0;A=i+1|0;B=c;C=0;D=0;E=0;F=0;G=m;b:while(1){c:do if(!(Y7b(G&255)|0)){H=G<<24>>24==37;d:do if(H){I=B+1|0;K=b[I>>0]|0;e:do switch(K<<24>>24){case 37:{break d;break}case 42:{L=0;M=B+2|0;break}default:{N=(K&255)+-48|0;if(N>>>0<10?(b[B+2>>0]|0)==36:0){L=$7b(d,N)|0;M=B+3|0;break e}N=(f[d>>2]|0)+(4-1)&~(4-1);O=f[N>>2]|0;f[d>>2]=N+4;L=O;M=I}}while(0);I=b[M>>0]|0;K=I&255;if((K+-48|0)>>>0<10){O=0;N=M;P=K;while(1){K=(O*10|0)+-48+P|0;Q=N+1|0;R=b[Q>>0]|0;P=R&255;if((P+-48|0)>>>0>=10){S=K;T=Q;U=R;break}else{O=K;N=Q}}}else{S=0;T=M;U=I}N=U<<24>>24==109;O=(L|0)!=0;P=N?0:E;Q=N?0:F;K=N?T+1|0:T;V=O&N;N=K+1|0;switch(b[K>>0]|0){case 104:{R=(b[N>>0]|0)==104;W=R?-2:-1;X=R?K+2|0:N;break}case 108:{R=(b[N>>0]|0)==108;W=R?3:1;X=R?K+2|0:N;break}case 106:{W=3;X=N;break}case 116:case 122:{W=1;X=N;break}case 76:{W=2;X=N;break}case 110:case 112:case 67:case 83:case 91:case 99:case 115:case 88:case 71:case 70:case 69:case 65:case 103:case 102:case 101:case 97:case 120:case 117:case 111:case 105:case 100:{W=0;X=K;break}default:{Y=P;Z=Q;_=V;$=137;break b}}K=h[X>>0]|0;N=(K&47|0)==3;R=N?K|32:K;K=N?1:W;N=R&255;switch(N<<24>>24){case 99:{aa=(S|0)>1?S:1;ba=C;break}case 91:{aa=S;ba=C;break}case 110:{a8b(L,K,C,((C|0)<0)<<31>>31);ca=X;da=D;ea=C;fa=P;ga=Q;break c;break}default:{Z7b(a,0);do{ha=f[o>>2]|0;if(ha>>>0<(f[q>>2]|0)>>>0){f[o>>2]=ha+1;ia=h[ha>>0]|0}else ia=_7b(a)|0}while((Y7b(ia)|0)!=0);if(!(f[q>>2]|0))ja=f[o>>2]|0;else{I=(f[o>>2]|0)+-1|0;f[o>>2]=I;ja=I}aa=S;ba=(f[r>>2]|0)+C+ja-(f[s>>2]|0)|0}}Z7b(a,aa);I=f[o>>2]|0;ha=f[q>>2]|0;if(I>>>0<ha>>>0){f[o>>2]=I+1;ka=ha}else{if((_7b(a)|0)<0){Y=P;Z=Q;_=V;$=137;break b}ka=f[q>>2]|0}if(ka|0)f[o>>2]=(f[o>>2]|0)+-1;f:do switch(N<<24>>24){case 91:case 99:case 115:{ha=(R|0)==99;g:do if((R|16|0)==115){Drc(z|0,-1,256)|0;b[i>>0]=0;if((R|0)==115){b[v>>0]=0;b[t>>0]=0;b[t+1>>0]=0;b[t+2>>0]=0;b[t+3>>0]=0;b[t+4>>0]=0;la=X}else la=X}else{I=X+1|0;ma=(b[I>>0]|0)==94;na=ma&1;oa=ma?X+2|0:I;Drc(A|0,ma&1|0,256)|0;b[i>>0]=0;switch(b[oa>>0]|0){case 45:{pa=x;$=64;break}case 93:{pa=y;$=64;break}default:{qa=oa;ra=(na^1)&255}}if(($|0)==64){$=0;ma=(na^1)&255;b[pa>>0]=ma;qa=oa+1|0;ra=ma}ma=qa;while(1){oa=b[ma>>0]|0;h:do switch(oa<<24>>24){case 0:{Y=P;Z=Q;_=V;$=137;break b;break}case 93:{la=ma;break g;break}case 45:{na=ma+1|0;I=b[na>>0]|0;switch(I<<24>>24){case 93:case 0:{sa=ma;ta=45;break h;break}default:{}}ua=b[ma+-1>>0]|0;if((ua&255)<(I&255)){va=ua&255;do{va=va+1|0;b[i+va>>0]=ra;ua=b[na>>0]|0}while((va|0)<(ua&255|0));sa=na;ta=ua}else{sa=na;ta=I}break}default:{sa=ma;ta=oa}}while(0);b[i+((ta&255)+1)>>0]=ra;ma=sa+1|0}}while(0);ma=ha?aa+1|0:31;oa=(K|0)==1;i:do if(oa){if(V){va=W6b(ma<<2)|0;if(!va){Y=0;Z=0;_=1;$=137;break b}else wa=va}else wa=L;f[g>>2]=0;f[w>>2]=0;va=ma;ua=0;xa=wa;j:while(1){ya=(xa|0)==0;za=ua;while(1){k:while(1){Aa=f[o>>2]|0;if(Aa>>>0<(f[q>>2]|0)>>>0){f[o>>2]=Aa+1;Ba=h[Aa>>0]|0}else Ba=_7b(a)|0;if(!(b[i+(Ba+1)>>0]|0))break j;b[k>>0]=Ba;switch(b8b(j,k,1,g)|0){case -1:{Y=0;Z=xa;_=V;$=137;break b;break}case -2:break;default:break k}}if(ya)Ca=za;else{f[xa+(za<<2)>>2]=f[j>>2];Ca=za+1|0}if(V&(Ca|0)==(va|0))break;else za=Ca}ya=va<<1|1;I=Y6b(xa,ya<<2)|0;if(!I){Y=0;Z=xa;_=1;$=137;break b}else{na=va;va=ya;xa=I;ua=na}}if(!(c8b(g)|0)){Y=0;Z=xa;_=V;$=137;break b}else{Da=za;Ea=0;Fa=xa;Ga=xa}}else{if(V){ua=W6b(ma)|0;if(!ua){Y=0;Z=0;_=1;$=137;break b}else{Ha=ma;Ia=0;Ja=ua}while(1){ua=Ia;do{va=f[o>>2]|0;if(va>>>0<(f[q>>2]|0)>>>0){f[o>>2]=va+1;Ka=h[va>>0]|0}else Ka=_7b(a)|0;if(!(b[i+(Ka+1)>>0]|0)){Da=ua;Ea=Ja;Fa=0;Ga=0;break i}b[Ja+ua>>0]=Ka;ua=ua+1|0}while((ua|0)!=(Ha|0));ua=Ha<<1|1;va=Y6b(Ja,ua)|0;if(!va){Y=Ja;Z=0;_=1;$=137;break b}else{na=Ha;Ha=ua;Ja=va;Ia=na}}}if(!L){xa=ka;while(1){na=f[o>>2]|0;if(na>>>0<xa>>>0){f[o>>2]=na+1;La=h[na>>0]|0}else La=_7b(a)|0;if(!(b[i+(La+1)>>0]|0)){Da=0;Ea=0;Fa=0;Ga=0;break i}xa=f[q>>2]|0}}else{xa=0;na=ka;while(1){va=f[o>>2]|0;if(va>>>0<na>>>0){f[o>>2]=va+1;Ma=h[va>>0]|0}else Ma=_7b(a)|0;if(!(b[i+(Ma+1)>>0]|0)){Da=xa;Ea=L;Fa=0;Ga=0;break i}b[L+xa>>0]=Ma;xa=xa+1|0;na=f[q>>2]|0}}}while(0);if(!(f[q>>2]|0))Na=f[o>>2]|0;else{ma=(f[o>>2]|0)+-1|0;f[o>>2]=ma;Na=ma}ma=Na-(f[s>>2]|0)+(f[r>>2]|0)|0;if(!ma){Oa=Ea;Pa=Ga;$=139;break b}if(!((ma|0)==(aa|0)|ha^1)){Oa=Ea;Pa=Ga;$=139;break b}do if(V)if(oa){f[L>>2]=Fa;break}else{f[L>>2]=Ea;break}while(0);if(ha){Qa=la;Ra=Ea;Sa=Ga}else{if(Fa|0)f[Fa+(Da<<2)>>2]=0;if(!Ea){Qa=la;Ra=0;Sa=Ga;break f}b[Ea+Da>>0]=0;Qa=la;Ra=Ea;Sa=Ga}break}case 120:case 88:case 112:{Ta=16;$=125;break}case 111:{Ta=8;$=125;break}case 117:case 100:{Ta=10;$=125;break}case 105:{Ta=0;$=125;break}case 71:case 103:case 70:case 102:case 69:case 101:case 65:case 97:{Ua=+e8b(a,K,0);if((f[r>>2]|0)==((f[s>>2]|0)-(f[o>>2]|0)|0)){Oa=P;Pa=Q;$=139;break b}if(!L){Qa=X;Ra=P;Sa=Q}else switch(K|0){case 0:{n[L>>2]=Ua;Qa=X;Ra=P;Sa=Q;break f;break}case 1:{p[L>>3]=Ua;Qa=X;Ra=P;Sa=Q;break f;break}case 2:{p[L>>3]=Ua;Qa=X;Ra=P;Sa=Q;break f;break}default:{Qa=X;Ra=P;Sa=Q;break f}}break}default:{Qa=X;Ra=P;Sa=Q}}while(0);do if(($|0)==125){$=0;N=d8b(a,Ta,0,-1,-1)|0;if((f[r>>2]|0)==((f[s>>2]|0)-(f[o>>2]|0)|0)){Oa=P;Pa=Q;$=139;break b}if(O&(R|0)==112){f[L>>2]=N;Qa=X;Ra=P;Sa=Q;break}else{a8b(L,K,N,J);Qa=X;Ra=P;Sa=Q;break}}while(0);ca=Qa;da=(O&1)+D|0;ea=(f[r>>2]|0)+ba+(f[o>>2]|0)-(f[s>>2]|0)|0;fa=Ra;ga=Sa;break c}while(0);Q=B+(H&1)|0;Z7b(a,0);P=f[o>>2]|0;if(P>>>0<(f[q>>2]|0)>>>0){f[o>>2]=P+1;Va=h[P>>0]|0}else Va=_7b(a)|0;if((Va|0)!=(h[Q>>0]|0)){$=22;break b}ca=Q;da=D;ea=C+1|0;fa=E;ga=F}else{Q=B;while(1){P=Q+1|0;if(!(Y7b(h[P>>0]|0)|0))break;else Q=P}Z7b(a,0);do{H=f[o>>2]|0;if(H>>>0<(f[q>>2]|0)>>>0){f[o>>2]=H+1;Wa=h[H>>0]|0}else Wa=_7b(a)|0}while((Y7b(Wa)|0)!=0);if(!(f[q>>2]|0))Xa=f[o>>2]|0;else{H=(f[o>>2]|0)+-1|0;f[o>>2]=H;Xa=H}ca=Q;da=D;ea=(f[r>>2]|0)+C+Xa-(f[s>>2]|0)|0;fa=E;ga=F}while(0);B=ca+1|0;G=b[B>>0]|0;if(!(G<<24>>24)){Ya=da;break a}else{C=ea;D=da;E=fa;F=ga}}if(($|0)==22){if(f[q>>2]|0)f[o>>2]=(f[o>>2]|0)+-1;if((D|0)!=0|(Va|0)>-1){Ya=D;break}else{Za=0;_a=E;$a=F;$=138}}else if(($|0)==137){C=_&1;if(!D){Za=C;_a=Y;$a=Z;$=138}else{ab=C;bb=D;cb=Y;db=Z}}else if(($|0)==139){ab=V&1;bb=D;cb=Oa;db=Pa}if(($|0)==138){ab=Za;bb=-1;cb=_a;db=$a}if(!ab)Ya=bb;else{X6b(cb);X6b(db);Ya=bb}}else Ya=0;while(0);if(l|0)s7b(a);u=e;return Ya|0}function Y7b(a){a=a|0;return ((a|0)==32|(a+-9|0)>>>0<5)&1|0}function Z7b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;f[a+104>>2]=b;c=f[a+8>>2]|0;d=f[a+4>>2]|0;e=c-d|0;f[a+108>>2]=e;f[a+100>>2]=(b|0)!=0&(e|0)>(b|0)?d+b|0:c;return}function _7b(a){a=a|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=a+104|0;d=f[c>>2]|0;if((d|0)!=0?(f[a+108>>2]|0)>=(d|0):0)e=4;else{d=u7b(a)|0;if((d|0)>=0){g=f[c>>2]|0;c=a+8|0;if(g){i=f[c>>2]|0;j=f[a+4>>2]|0;k=a+108|0;l=g-(f[k>>2]|0)|0;g=i;if((i-j|0)<(l|0)){m=k;n=g;o=g;p=j}else{m=k;n=j+(l+-1)|0;o=g;p=j}}else{j=f[c>>2]|0;m=a+108|0;n=j;o=j;p=f[a+4>>2]|0}f[a+100>>2]=n;if(o|0)f[m>>2]=o+1-p+(f[m>>2]|0);m=p+-1|0;if((h[m>>0]|0|0)==(d|0))q=d;else{b[m>>0]=d;q=d}}else e=4}if((e|0)==4){f[a+100>>2]=0;q=-1}return q|0}function $7b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[d>>2]=f[a>>2];a=b;while(1){b=(f[d>>2]|0)+(4-1)&~(4-1);e=f[b>>2]|0;f[d>>2]=b+4;if(a>>>0>1)a=a+-1|0;else break}u=c;return e|0}function a8b(a,c,e,g){a=a|0;c=c|0;e=e|0;g=g|0;var h=0;a:do if(a|0)switch(c|0){case -2:{b[a>>0]=e;break a;break}case -1:{d[a>>1]=e;break a;break}case 0:{f[a>>2]=e;break a;break}case 1:{f[a>>2]=e;break a;break}case 3:{h=a;f[h>>2]=e;f[h+4>>2]=g;break a;break}default:break a}while(0);return}function b8b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;g=u;u=u+16|0;h=g;i=(e|0)==0?892564:e;e=f[i>>2]|0;a:do if(!c)if(!e)j=0;else k=17;else{l=(a|0)==0?h:a;if(!d)j=-2;else{if(!e){m=b[c>>0]|0;if(m<<24>>24>-1){f[l>>2]=m&255;j=m<<24>>24!=0&1;break}m=(p8b()|0)+188|0;n=b[c>>0]|0;if(!(f[f[m>>2]>>2]|0)){f[l>>2]=n<<24>>24&57343;j=1;break}m=(n&255)+-194|0;if(m>>>0>50){k=17;break}n=f[157848+(m<<2)>>2]|0;m=d+-1|0;if(!m)o=n;else{p=c+1|0;q=n;r=m;k=11}}else{p=c;q=e;r=d;k=11}b:do if((k|0)==11){m=b[p>>0]|0;n=(m&255)>>>3;if((n+-16|n+(q>>26))>>>0>7){k=17;break a}else{s=p;t=q;v=r;w=m}while(1){s=s+1|0;t=(w&255)+-128|t<<6;v=v+-1|0;if((t|0)>=0)break;if(!v){o=t;break b}w=b[s>>0]|0;if((w&-64)<<24>>24!=-128){k=17;break a}}f[i>>2]=0;f[l>>2]=t;j=d-v|0;break a}while(0);f[i>>2]=o;j=-2}}while(0);if((k|0)==17){f[i>>2]=0;i=f7b()|0;f[i>>2]=84;j=-1}u=g;return j|0}function c8b(a){a=a|0;var b=0;if(!a)b=1;else b=(f[a>>2]|0)==0;return b&1|0}function d8b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;a:do if(c>>>0>36){i=f7b()|0;f[i>>2]=22;j=0;k=0}else{i=a+4|0;l=a+100|0;do{m=f[i>>2]|0;if(m>>>0<(f[l>>2]|0)>>>0){f[i>>2]=m+1;n=h[m>>0]|0}else n=_7b(a)|0}while((Y7b(n)|0)!=0);b:do switch(n|0){case 43:case 45:{m=((n|0)==45)<<31>>31;o=f[i>>2]|0;if(o>>>0<(f[l>>2]|0)>>>0){f[i>>2]=o+1;p=m;q=h[o>>0]|0;break b}else{p=m;q=_7b(a)|0;break b}break}default:{p=0;q=n}}while(0);m=(c|0)==0;do if((c|16|0)==16&(q|0)==48){o=f[i>>2]|0;if(o>>>0<(f[l>>2]|0)>>>0){f[i>>2]=o+1;r=h[o>>0]|0}else r=_7b(a)|0;if((r|32|0)!=120)if(m){s=r;t=8;u=46;break}else{v=r;w=c;u=32;break}o=f[i>>2]|0;if(o>>>0<(f[l>>2]|0)>>>0){f[i>>2]=o+1;x=h[o>>0]|0}else x=_7b(a)|0;if((h[519383+x>>0]|0)>15){o=(f[l>>2]|0)!=0;if(o)f[i>>2]=(f[i>>2]|0)+-1;if(!d){Z7b(a,0);j=0;k=0;break a}if(!o){j=0;k=0;break a}f[i>>2]=(f[i>>2]|0)+-1;j=0;k=0;break a}else{s=x;t=16;u=46}}else{o=m?10:c;if((h[519383+q>>0]|0)>>>0<o>>>0){v=q;w=o;u=32}else{if(f[l>>2]|0)f[i>>2]=(f[i>>2]|0)+-1;Z7b(a,0);o=f7b()|0;f[o>>2]=22;j=0;k=0;break a}}while(0);c:do if((u|0)==32)if((w|0)==10){m=v+-48|0;if(m>>>0<10){o=0;y=m;do{o=(o*10|0)+y|0;m=f[i>>2]|0;if(m>>>0<(f[l>>2]|0)>>>0){f[i>>2]=m+1;z=h[m>>0]|0}else z=_7b(a)|0;y=z+-48|0}while(y>>>0<10&o>>>0<429496729);A=z;B=o;C=0}else{A=v;B=0;C=0}y=A+-48|0;if(y>>>0<10){m=A;D=B;E=C;F=y;while(1){y=Urc(D|0,E|0,10,0)|0;G=J;H=((F|0)<0)<<31>>31;I=~H;if(G>>>0>I>>>0|(G|0)==(I|0)&y>>>0>~F>>>0){K=10;L=m;M=D;N=E;u=72;break c}D=Arc(y|0,G|0,F|0,H|0)|0;E=J;H=f[i>>2]|0;if(H>>>0<(f[l>>2]|0)>>>0){f[i>>2]=H+1;O=h[H>>0]|0}else O=_7b(a)|0;F=O+-48|0;if(!(F>>>0<10&(E>>>0<429496729|(E|0)==429496729&D>>>0<2576980378)))break;else m=O}if(F>>>0>9){P=p;Q=E;R=D}else{K=10;L=O;M=D;N=E;u=72}}else{P=p;Q=C;R=B}}else{s=v;t=w;u=46}while(0);d:do if((u|0)==46){if(!(t+-1&t)){m=b[519639+((t*23|0)>>>5&7)>>0]|0;o=b[519383+s>>0]|0;H=o&255;if(H>>>0<t>>>0){G=0;y=H;do{G=y|G<<m;H=f[i>>2]|0;if(H>>>0<(f[l>>2]|0)>>>0){f[i>>2]=H+1;S=h[H>>0]|0}else S=_7b(a)|0;T=b[519383+S>>0]|0;y=T&255}while(G>>>0<134217728&y>>>0<t>>>0);U=S;V=T;W=0;X=G}else{U=s;V=o;W=0;X=0}y=Irc(-1,-1,m|0)|0;E=J;if((V&255)>>>0>=t>>>0|(W>>>0>E>>>0|(W|0)==(E|0)&X>>>0>y>>>0)){K=t;L=U;M=X;N=W;u=72;break}else{Z=X;_=W;$=V}while(1){D=Qrc(Z|0,_|0,m|0)|0;F=J;H=$&255|D;D=f[i>>2]|0;if(D>>>0<(f[l>>2]|0)>>>0){f[i>>2]=D+1;aa=h[D>>0]|0}else aa=_7b(a)|0;$=b[519383+aa>>0]|0;if(($&255)>>>0>=t>>>0|(F>>>0>E>>>0|(F|0)==(E|0)&H>>>0>y>>>0)){K=t;L=aa;M=H;N=F;u=72;break d}else{Z=H;_=F}}}y=b[519383+s>>0]|0;E=y&255;if(E>>>0<t>>>0){m=0;o=E;do{m=o+(Y(m,t)|0)|0;E=f[i>>2]|0;if(E>>>0<(f[l>>2]|0)>>>0){f[i>>2]=E+1;ba=h[E>>0]|0}else ba=_7b(a)|0;ca=b[519383+ba>>0]|0;o=ca&255}while(m>>>0<119304647&o>>>0<t>>>0);da=ba;ea=ca;fa=m;ga=0}else{da=s;ea=y;fa=0;ga=0}if((ea&255)>>>0<t>>>0){o=Src(-1,-1,t|0,0)|0;E=J;G=da;F=ga;H=fa;D=ea;while(1){if(F>>>0>E>>>0|(F|0)==(E|0)&H>>>0>o>>>0){K=t;L=G;M=H;N=F;u=72;break d}I=Urc(H|0,F|0,t|0,0)|0;ha=J;ia=D&255;if(ha>>>0>4294967295|(ha|0)==-1&I>>>0>~ia>>>0){K=t;L=G;M=H;N=F;u=72;break d}ja=Arc(ia|0,0,I|0,ha|0)|0;ha=J;I=f[i>>2]|0;if(I>>>0<(f[l>>2]|0)>>>0){f[i>>2]=I+1;ka=h[I>>0]|0}else ka=_7b(a)|0;D=b[519383+ka>>0]|0;if((D&255)>>>0>=t>>>0){K=t;L=ka;M=ja;N=ha;u=72;break}else{G=ka;F=ha;H=ja}}}else{K=t;L=da;M=fa;N=ga;u=72}}while(0);if((u|0)==72)if((h[519383+L>>0]|0)>>>0<K>>>0){do{H=f[i>>2]|0;if(H>>>0<(f[l>>2]|0)>>>0){f[i>>2]=H+1;la=h[H>>0]|0}else la=_7b(a)|0}while((h[519383+la>>0]|0)>>>0<K>>>0);H=f7b()|0;f[H>>2]=34;P=(e&1|0)==0&0==0?p:0;Q=g;R=e}else{P=p;Q=N;R=M}if(f[l>>2]|0)f[i>>2]=(f[i>>2]|0)+-1;if(!(Q>>>0<g>>>0|(Q|0)==(g|0)&R>>>0<e>>>0)){if(!((e&1|0)!=0|0!=0|(P|0)!=0)){H=f7b()|0;f[H>>2]=34;H=Arc(e|0,g|0,-1,-1)|0;j=J;k=H;break}if(Q>>>0>g>>>0|(Q|0)==(g|0)&R>>>0>e>>>0){H=f7b()|0;f[H>>2]=34;j=g;k=e;break}}H=((P|0)<0)<<31>>31;F=zrc(R^P|0,Q^H|0,P|0,H|0)|0;j=J;k=F}while(0);J=j;return k|0}function e8b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0.0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,E=0,F=0;switch(c|0){case 0:{e=-149;g=24;i=4;break}case 1:{e=-1074;g=53;i=4;break}case 2:{e=-1074;g=53;i=4;break}default:j=0.0}a:do if((i|0)==4){c=a+4|0;k=a+100|0;do{l=f[c>>2]|0;if(l>>>0<(f[k>>2]|0)>>>0){f[c>>2]=l+1;m=h[l>>0]|0}else m=_7b(a)|0}while((Y7b(m)|0)!=0);b:do switch(m|0){case 43:case 45:{l=1-(((m|0)==45&1)<<1)|0;n=f[c>>2]|0;if(n>>>0<(f[k>>2]|0)>>>0){f[c>>2]=n+1;o=h[n>>0]|0;p=l;break b}else{o=_7b(a)|0;p=l;break b}break}default:{o=m;p=1}}while(0);l=0;n=o;while(1){if((n|32|0)!=(b[519369+l>>0]|0)){q=l;r=n;break}do if(l>>>0<7){s=f[c>>2]|0;if(s>>>0<(f[k>>2]|0)>>>0){f[c>>2]=s+1;t=h[s>>0]|0;break}else{t=_7b(a)|0;break}}else t=n;while(0);s=l+1|0;if(s>>>0<8){l=s;n=t}else{q=s;r=t;break}}c:do switch(q|0){case 8:break;case 3:{i=23;break}default:{n=(d|0)!=0;if(n&q>>>0>3)if((q|0)==8)break c;else{i=23;break c}d:do if(!q){l=0;s=r;while(1){if((s|32|0)!=(b[519378+l>>0]|0)){u=l;v=s;break d}do if(l>>>0<2){w=f[c>>2]|0;if(w>>>0<(f[k>>2]|0)>>>0){f[c>>2]=w+1;x=h[w>>0]|0;break}else{x=_7b(a)|0;break}}else x=s;while(0);w=l+1|0;if(w>>>0<3){l=w;s=x}else{u=w;v=x;break}}}else{u=q;v=r}while(0);switch(u|0){case 3:{s=f[c>>2]|0;if(s>>>0<(f[k>>2]|0)>>>0){f[c>>2]=s+1;y=h[s>>0]|0}else y=_7b(a)|0;if((y|0)==40)z=1;else{if(!(f[k>>2]|0)){j=C;break a}f[c>>2]=(f[c>>2]|0)+-1;j=C;break a}while(1){s=f[c>>2]|0;if(s>>>0<(f[k>>2]|0)>>>0){f[c>>2]=s+1;A=h[s>>0]|0}else A=_7b(a)|0;if(!((A+-48|0)>>>0<10|(A+-65|0)>>>0<26)?!((A|0)==95|(A+-97|0)>>>0<26):0)break;z=z+1|0}if((A|0)==41){j=C;break a}s=(f[k>>2]|0)==0;if(!s)f[c>>2]=(f[c>>2]|0)+-1;if(!n){l=f7b()|0;f[l>>2]=22;Z7b(a,0);j=0.0;break a}if(!z){j=C;break a}else B=z;while(1){B=B+-1|0;if(!s)f[c>>2]=(f[c>>2]|0)+-1;if(!B){j=C;break a}}break}case 0:{if((v|0)==48){s=f[c>>2]|0;if(s>>>0<(f[k>>2]|0)>>>0){f[c>>2]=s+1;E=h[s>>0]|0}else E=_7b(a)|0;if((E|32|0)==120){j=+f8b(a,g,e,p,d);break a}if(!(f[k>>2]|0))F=48;else{f[c>>2]=(f[c>>2]|0)+-1;F=48}}else F=v;j=+g8b(a,F,g,e,p,d);break a;break}default:{if(f[k>>2]|0)f[c>>2]=(f[c>>2]|0)+-1;s=f7b()|0;f[s>>2]=22;Z7b(a,0);j=0.0;break a}}}}while(0);if((i|0)==23){s=(f[k>>2]|0)==0;if(!s)f[c>>2]=(f[c>>2]|0)+-1;if((d|0)!=0&q>>>0>3){n=q;do{if(!s)f[c>>2]=(f[c>>2]|0)+-1;n=n+-1|0}while(n>>>0>3)}}j=+(p|0)*D}while(0);return +j}function f8b(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0.0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0.0,G=0.0,H=0,I=0,K=0,L=0,M=0,N=0,O=0.0,P=0,Q=0.0,R=0.0,S=0,T=0.0,U=0,V=0,W=0,X=0.0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0.0,da=0,ea=0.0;g=a+4|0;i=f[g>>2]|0;j=a+100|0;if(i>>>0<(f[j>>2]|0)>>>0){f[g>>2]=i+1;k=h[i>>0]|0;l=0}else{k=_7b(a)|0;l=0}a:while(1){switch(k|0){case 46:{m=8;break a;break}case 48:break;default:{n=0;o=0;p=1.0;q=0.0;r=0;s=k;t=l;u=0;v=0;w=0;x=0;break a}}i=f[g>>2]|0;if(i>>>0<(f[j>>2]|0)>>>0){f[g>>2]=i+1;k=h[i>>0]|0;l=1;continue}else{k=_7b(a)|0;l=1;continue}}if((m|0)==8){k=f[g>>2]|0;if(k>>>0<(f[j>>2]|0)>>>0){f[g>>2]=k+1;y=h[k>>0]|0}else y=_7b(a)|0;if((y|0)==48){k=0;i=0;while(1){z=f[g>>2]|0;if(z>>>0<(f[j>>2]|0)>>>0){f[g>>2]=z+1;A=h[z>>0]|0}else A=_7b(a)|0;z=Arc(k|0,i|0,-1,-1)|0;B=J;if((A|0)==48){k=z;i=B}else{n=1;o=0;p=1.0;q=0.0;r=0;s=A;t=1;u=B;v=0;w=0;x=z;break}}}else{n=1;o=0;p=1.0;q=0.0;r=0;s=y;t=l;u=0;v=0;w=0;x=0}}while(1){l=s+-48|0;y=(s|0)==46;if(l>>>0>=10?!(y|((s|32)+-97|0)>>>0<6):0){C=s;break}if(y)if(!n){D=1;E=o;F=p;G=q;H=r;I=t;K=w;L=v;M=w;N=v}else{C=46;break}else{y=(s|0)>57?(s|32)+-87|0:l;do if(!((v|0)<0|(v|0)==0&w>>>0<8))if((v|0)<0|(v|0)==0&w>>>0<14){O=p*.0625;P=o;Q=O;R=q+O*+(y|0);S=r;break}else{l=(o|0)!=0|(y|0)==0;P=l?o:1;Q=p;R=l?q:q+p*.5;S=r;break}else{P=o;Q=p;R=q;S=y+(r<<4)|0}while(0);y=Arc(w|0,v|0,1,0)|0;D=n;E=P;F=Q;G=R;H=S;I=1;K=x;L=u;M=y;N=J}y=f[g>>2]|0;if(y>>>0<(f[j>>2]|0)>>>0){f[g>>2]=y+1;n=D;o=E;p=F;q=G;r=H;s=h[y>>0]|0;t=I;u=L;v=N;w=M;x=K;continue}else{n=D;o=E;p=F;q=G;r=H;s=_7b(a)|0;t=I;u=L;v=N;w=M;x=K;continue}}do if(!t){K=f[j>>2]|0;M=(K|0)!=0;if(M)f[g>>2]=(f[g>>2]|0)+-1;if(e){if(M)f[g>>2]=(f[g>>2]|0)+-1;if(!((n|0)==0|(K|0)==0))f[g>>2]=(f[g>>2]|0)+-1}else Z7b(a,0);T=+(d|0)*0.0}else{K=(n|0)==0;M=K?w:x;N=K?v:u;if((v|0)<0|(v|0)==0&w>>>0<8){K=r;L=w;I=v;while(1){s=K<<4;L=Arc(L|0,I|0,1,0)|0;I=J;if(!((I|0)<0|(I|0)==0&L>>>0<8)){U=s;break}else K=s}}else U=r;if((C|32|0)==112){K=h8b(a,e)|0;L=J;if((K|0)==0&(L|0)==-2147483648){if(!e){Z7b(a,0);T=0.0;break}if(!(f[j>>2]|0)){V=0;W=0}else{f[g>>2]=(f[g>>2]|0)+-1;V=0;W=0}}else{V=K;W=L}}else if(!(f[j>>2]|0)){V=0;W=0}else{f[g>>2]=(f[g>>2]|0)+-1;V=0;W=0}L=Qrc(M|0,N|0,2)|0;K=Arc(L|0,J|0,-32,-1)|0;L=Arc(K|0,J|0,V|0,W|0)|0;K=J;if(!U){T=+(d|0)*0.0;break}I=0-c|0;s=((I|0)<0)<<31>>31;if((K|0)>(s|0)|(K|0)==(s|0)&L>>>0>I>>>0){I=f7b()|0;f[I>>2]=34;T=+(d|0)*1797693134862315708145274.0e284*1797693134862315708145274.0e284;break}I=c+-106|0;s=((I|0)<0)<<31>>31;if((K|0)<(s|0)|(K|0)==(s|0)&L>>>0<I>>>0){I=f7b()|0;f[I>>2]=34;T=+(d|0)*2.2250738585072014e-308*2.2250738585072014e-308;break}if((U|0)>-1){G=q;I=U;s=L;H=K;while(1){E=!(G>=.5);o=I<<1|(E^1)&1;F=G+(E?G:G+-1.0);E=Arc(s|0,H|0,-1,-1)|0;D=J;if((o|0)>-1){G=F;I=o;s=E;H=D}else{X=F;Y=o;Z=E;_=D;break}}}else{X=q;Y=U;Z=L;_=K}H=((b|0)<0)<<31>>31;s=zrc(32,0,c|0,((c|0)<0)<<31>>31|0)|0;I=Arc(s|0,J|0,Z|0,_|0)|0;s=J;if((H|0)>(s|0)|(H|0)==(s|0)&b>>>0>I>>>0)if((I|0)>0){$=I;m=59}else{aa=0;ba=84;m=61}else{$=b;m=59}if((m|0)==59)if(($|0)<53){aa=$;ba=84-$|0;m=61}else{ca=0.0;da=$;ea=+(d|0)}if((m|0)==61){G=+(d|0);ca=+j8b(+i8b(1.0,ba),G);da=aa;ea=G}I=(Y&1|0)==0&(X!=0.0&(da|0)<32);G=ea*(I?0.0:X)+(ca+ea*+(((I&1)+Y|0)>>>0))-ca;if(!(G!=0.0)){I=f7b()|0;f[I>>2]=34}T=+l8b(G,Z)}while(0);return +T}function g8b(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0.0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0.0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0.0,kb=0.0,lb=0.0,mb=0.0,nb=0.0,ob=0.0,pb=0.0,qb=0.0,rb=0.0,sb=0.0,tb=0;i=u;u=u+512|0;j=i;k=d+c|0;l=0-k|0;m=a+4|0;n=a+100|0;o=b;b=0;a:while(1){switch(o|0){case 46:{p=6;break a;break}case 48:break;default:{q=0;r=o;s=b;t=0;v=0;break a}}w=f[m>>2]|0;if(w>>>0<(f[n>>2]|0)>>>0){f[m>>2]=w+1;o=h[w>>0]|0;b=1;continue}else{o=_7b(a)|0;b=1;continue}}if((p|0)==6){o=f[m>>2]|0;if(o>>>0<(f[n>>2]|0)>>>0){f[m>>2]=o+1;x=h[o>>0]|0}else x=_7b(a)|0;if((x|0)==48){o=0;w=0;while(1){y=Arc(o|0,w|0,-1,-1)|0;z=J;A=f[m>>2]|0;if(A>>>0<(f[n>>2]|0)>>>0){f[m>>2]=A+1;B=h[A>>0]|0}else B=_7b(a)|0;if((B|0)==48){o=y;w=z}else{q=1;r=B;s=1;t=y;v=z;break}}}else{q=1;r=x;s=b;t=0;v=0}}f[j>>2]=0;b=r+-48|0;x=(r|0)==46;b:do if(x|b>>>0<10){B=j+496|0;w=0;o=0;z=0;y=q;A=s;C=r;D=x;E=b;F=t;G=v;H=0;I=0;c:while(1){do if(D)if(!y){K=w;M=o;N=1;O=z;P=A;Q=H;R=I;S=H;T=I}else break c;else{U=Arc(H|0,I|0,1,0)|0;V=J;W=(C|0)!=48;if((o|0)>=125){if(!W){K=w;M=o;N=y;O=z;P=A;Q=F;R=G;S=U;T=V;break}f[B>>2]=f[B>>2]|1;K=w;M=o;N=y;O=z;P=A;Q=F;R=G;S=U;T=V;break}X=j+(o<<2)|0;if(!w)Z=E;else Z=C+-48+((f[X>>2]|0)*10|0)|0;f[X>>2]=Z;X=w+1|0;_=(X|0)==9;K=_?0:X;M=(_&1)+o|0;N=y;O=W?U:z;P=1;Q=F;R=G;S=U;T=V}while(0);V=f[m>>2]|0;if(V>>>0<(f[n>>2]|0)>>>0){f[m>>2]=V+1;$=h[V>>0]|0}else $=_7b(a)|0;E=$+-48|0;D=($|0)==46;if(!(D|E>>>0<10)){aa=K;ba=M;ca=O;da=N;ea=$;fa=P;ga=Q;ha=S;ia=R;ja=T;p=29;break b}else{w=K;o=M;z=O;y=N;A=P;C=$;F=Q;G=R;H=S;I=T}}ka=w;la=o;ma=z;na=H;oa=I;pa=F;qa=G;ra=(A|0)!=0;p=37}else{aa=0;ba=0;ca=0;da=q;ea=r;fa=s;ga=t;ha=0;ia=v;ja=0;p=29}while(0);do if((p|0)==29){v=(da|0)==0;t=v?ha:ga;s=v?ja:ia;v=(fa|0)!=0;if(!(v&(ea|32|0)==101))if((ea|0)>-1){ka=aa;la=ba;ma=ca;na=ha;oa=ja;pa=t;qa=s;ra=v;p=37;break}else{sa=aa;ta=ba;ua=ca;va=ha;wa=ja;xa=v;ya=t;za=s;p=39;break}v=h8b(a,g)|0;r=J;if((v|0)==0&(r|0)==-2147483648){if(!g){Z7b(a,0);Aa=0.0;break}if(!(f[n>>2]|0)){Ba=0;Ca=0}else{f[m>>2]=(f[m>>2]|0)+-1;Ba=0;Ca=0}}else{Ba=v;Ca=r}r=Arc(Ba|0,Ca|0,t|0,s|0)|0;Da=aa;Ea=ba;Fa=ca;Ga=r;Ha=ha;Ia=J;Ja=ja;p=41}while(0);if((p|0)==37)if(f[n>>2]|0){f[m>>2]=(f[m>>2]|0)+-1;if(ra){Da=ka;Ea=la;Fa=ma;Ga=pa;Ha=na;Ia=qa;Ja=oa;p=41}else p=40}else{sa=ka;ta=la;ua=ma;va=na;wa=oa;xa=ra;ya=pa;za=qa;p=39}if((p|0)==39)if(xa){Da=sa;Ea=ta;Fa=ua;Ga=ya;Ha=va;Ia=za;Ja=wa;p=41}else p=40;do if((p|0)==40){wa=f7b()|0;f[wa>>2]=22;Z7b(a,0);Aa=0.0}else if((p|0)==41){wa=f[j>>2]|0;if(!wa){Aa=+(e|0)*0.0;break}if(((Ja|0)<0|(Ja|0)==0&Ha>>>0<10)&((Ga|0)==(Ha|0)&(Ia|0)==(Ja|0))?(c|0)>30|(wa>>>c|0)==0:0){Aa=+(e|0)*+(wa>>>0);break}wa=(d|0)/-2|0;za=((wa|0)<0)<<31>>31;if((Ia|0)>(za|0)|(Ia|0)==(za|0)&Ga>>>0>wa>>>0){wa=f7b()|0;f[wa>>2]=34;Aa=+(e|0)*1797693134862315708145274.0e284*1797693134862315708145274.0e284;break}wa=d+-106|0;za=((wa|0)<0)<<31>>31;if((Ia|0)<(za|0)|(Ia|0)==(za|0)&Ga>>>0<wa>>>0){wa=f7b()|0;f[wa>>2]=34;Aa=+(e|0)*2.2250738585072014e-308*2.2250738585072014e-308;break}if(!Da)Ka=Ea;else{if((Da|0)<9){wa=j+(Ea<<2)|0;za=Da;va=f[wa>>2]|0;do{va=va*10|0;za=za+1|0}while((za|0)!=9);f[wa>>2]=va}Ka=Ea+1|0}if((Fa|0)<9?(Fa|0)<=(Ga|0)&(Ga|0)<18:0){za=f[j>>2]|0;if((Ga|0)==9){Aa=+(e|0)*+(za>>>0);break}if((Ga|0)<9){Aa=+(e|0)*+(za>>>0)/+(f[158052+(8-Ga<<2)>>2]|0);break}A=c+27+(Y(Ga,-3)|0)|0;if((A|0)>30|(za>>>A|0)==0){Aa=+(e|0)*+(za>>>0)*+(f[158052+(Ga+-10<<2)>>2]|0);break}}za=(Ga|0)%9|0;if(!za){La=0;Ma=Ka;Na=0;Oa=Ga}else{A=(Ga|0)>-1?za:za+9|0;za=f[158052+(8-A<<2)>>2]|0;if(Ka){G=1e9/(za|0)|0;F=0;I=0;H=Ga;z=0;do{o=j+(z<<2)|0;w=f[o>>2]|0;ya=((w>>>0)/(za>>>0)|0)+F|0;f[o>>2]=ya;F=Y(G,(w>>>0)%(za>>>0)|0)|0;w=(z|0)==(I|0)&(ya|0)==0;H=w?H+-9|0:H;I=w?I+1&127:I;z=z+1|0}while((z|0)!=(Ka|0));if(!F){Pa=I;Qa=Ka;Ra=H}else{f[j+(Ka<<2)>>2]=F;Pa=I;Qa=Ka+1|0;Ra=H}}else{Pa=0;Qa=0;Ra=Ga}La=0;Ma=Qa;Na=Pa;Oa=9-A+Ra|0}d:while(1){z=(Oa|0)<18;za=(Oa|0)==18;G=j+(Na<<2)|0;va=La;wa=Ma;while(1){if(!z){if(!za){Sa=va;Ta=Na;Ua=Oa;Va=wa;break d}if((f[G>>2]|0)>>>0>=9007199){Sa=va;Ta=Na;Ua=18;Va=wa;break d}}w=0;Wa=wa;ya=wa+127|0;while(1){o=ya&127;ua=j+(o<<2)|0;ta=Qrc(f[ua>>2]|0,0,29)|0;sa=Arc(ta|0,J|0,w|0,0)|0;ta=J;if(ta>>>0>0|(ta|0)==0&sa>>>0>1e9){xa=Src(sa|0,ta|0,1e9,0)|0;qa=Nrc(sa|0,ta|0,1e9,0)|0;Xa=xa;Ya=qa}else{Xa=0;Ya=sa}f[ua>>2]=Ya;ua=(o|0)==(Na|0);Wa=(Ya|0)==0&(((o|0)!=(Wa+127&127|0)|ua)^1)?o:Wa;if(ua)break;else{w=Xa;ya=o+-1|0}}va=va+-29|0;if(Xa|0)break;else wa=Wa}wa=Na+127&127;G=Wa+127&127;za=j+((Wa+126&127)<<2)|0;if((wa|0)==(Wa|0)){f[za>>2]=f[za>>2]|f[j+(G<<2)>>2];Za=G}else Za=Wa;f[j+(wa<<2)>>2]=Xa;La=va;Ma=Za;Na=wa;Oa=Oa+9|0}e:while(1){A=Va+1&127;H=j+((Va+127&127)<<2)|0;I=Sa;F=Ta;wa=Ua;while(1){G=(wa|0)==18;za=(wa|0)>27?9:1;_a=I;$a=F;while(1){z=0;while(1){ya=z+$a&127;if((ya|0)==(Va|0)){ab=2;p=88;break}w=f[j+(ya<<2)>>2]|0;ya=f[158084+(z<<2)>>2]|0;if(w>>>0<ya>>>0){ab=2;p=88;break}if(w>>>0>ya>>>0)break;ya=z+1|0;if((ya|0)<2)z=ya;else{ab=ya;p=88;break}}if((p|0)==88?(p=0,G&(ab|0)==2):0){bb=0.0;cb=0;db=Va;break e}eb=za+_a|0;if(($a|0)==(Va|0)){_a=eb;$a=Va}else break}G=(1<<za)+-1|0;z=1e9>>>za;fb=0;gb=$a;hb=wa;ya=$a;do{w=j+(ya<<2)|0;o=f[w>>2]|0;ua=(o>>>za)+fb|0;f[w>>2]=ua;fb=Y(o&G,z)|0;o=(ya|0)==(gb|0)&(ua|0)==0;hb=o?hb+-9|0:hb;gb=o?gb+1&127:gb;ya=ya+1&127}while((ya|0)!=(Va|0));if(!fb){I=eb;F=gb;wa=hb;continue}if((A|0)!=(gb|0))break;f[H>>2]=f[H>>2]|1;I=eb;F=gb;wa=hb}f[j+(Va<<2)>>2]=fb;Sa=eb;Ta=gb;Ua=hb;Va=A}while(1){wa=cb+$a&127;F=db+1&127;if((wa|0)==(db|0)){f[j+(F+-1<<2)>>2]=0;ib=F}else ib=db;bb=bb*1.0e9+ +((f[j+(wa<<2)>>2]|0)>>>0);cb=cb+1|0;if((cb|0)==2)break;else db=ib}jb=+(e|0);kb=jb*bb;wa=_a+53|0;F=wa-d|0;I=(F|0)<(c|0);H=I?((F|0)>0?F:0):c;if((H|0)<53){lb=+j8b(+i8b(1.0,105-H|0),kb);mb=+k8b(kb,+i8b(1.0,53-H|0));nb=lb;ob=mb;pb=lb+(kb-mb)}else{nb=0.0;ob=0.0;pb=kb}va=$a+2&127;if((va|0)!=(ib|0)){ya=f[j+(va<<2)>>2]|0;do if(ya>>>0>=5e8){if((ya|0)!=5e8){qb=jb*.75+ob;break}if(($a+3&127|0)==(ib|0)){qb=jb*.5+ob;break}else{qb=jb*.75+ob;break}}else{if((ya|0)==0?($a+3&127|0)==(ib|0):0){qb=ob;break}qb=jb*.25+ob}while(0);if((53-H|0)>1?!(+k8b(qb,1.0)!=0.0):0)rb=qb+1.0;else rb=qb}else rb=ob;jb=pb+rb-nb;do if((wa&2147483647|0)>(-2-k|0)){ya=!(+L(+jb)>=9007199254740992.0);va=((ya^1)&1)+_a|0;kb=ya?jb:jb*.5;if((va+50|0)<=(l|0)?!(rb!=0.0&(I&((H|0)!=(F|0)|ya))):0){sb=kb;tb=va;break}ya=f7b()|0;f[ya>>2]=34;sb=kb;tb=va}else{sb=jb;tb=_a}while(0);Aa=+l8b(sb,tb)}while(0);u=i;return +Aa}function h8b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;c=a+4|0;d=f[c>>2]|0;e=a+100|0;if(d>>>0<(f[e>>2]|0)>>>0){f[c>>2]=d+1;g=h[d>>0]|0}else g=_7b(a)|0;switch(g|0){case 43:case 45:{d=(g|0)==45&1;i=f[c>>2]|0;if(i>>>0<(f[e>>2]|0)>>>0){f[c>>2]=i+1;j=h[i>>0]|0}else j=_7b(a)|0;if((b|0)!=0&(j+-48|0)>>>0>9?(f[e>>2]|0)!=0:0){f[c>>2]=(f[c>>2]|0)+-1;k=d;l=j}else{k=d;l=j}break}default:{k=0;l=g}}if((l+-48|0)>>>0>9)if(!(f[e>>2]|0)){m=-2147483648;n=0}else{f[c>>2]=(f[c>>2]|0)+-1;m=-2147483648;n=0}else{g=0;j=l;while(1){g=j+-48+(g*10|0)|0;l=f[c>>2]|0;if(l>>>0<(f[e>>2]|0)>>>0){f[c>>2]=l+1;o=h[l>>0]|0}else o=_7b(a)|0;if(!((o+-48|0)>>>0<10&(g|0)<214748364))break;else j=o}j=((g|0)<0)<<31>>31;if((o+-48|0)>>>0<10){l=o;d=g;b=j;while(1){i=Urc(d|0,b|0,10,0)|0;p=J;q=Arc(l|0,((l|0)<0)<<31>>31|0,-48,-1)|0;r=Arc(q|0,J|0,i|0,p|0)|0;p=J;i=f[c>>2]|0;if(i>>>0<(f[e>>2]|0)>>>0){f[c>>2]=i+1;s=h[i>>0]|0}else s=_7b(a)|0;if((s+-48|0)>>>0<10&((p|0)<21474836|(p|0)==21474836&r>>>0<2061584302)){l=s;d=r;b=p}else{t=s;u=r;v=p;break}}}else{t=o;u=g;v=j}j=f[e>>2]|0;if((t+-48|0)>>>0<10){t=j;while(1){g=f[c>>2]|0;if(g>>>0<t>>>0){f[c>>2]=g+1;w=h[g>>0]|0;x=t}else{g=_7b(a)|0;w=g;x=f[e>>2]|0}if((w+-48|0)>>>0<10)t=x;else{y=x;break}}}else y=j;if(y|0)f[c>>2]=(f[c>>2]|0)+-1;c=(k|0)!=0;k=zrc(0,0,u|0,v|0)|0;m=c?J:v;n=c?k:u}J=m;return n|0}function i8b(a,b){a=+a;b=b|0;var c=0.0,d=0,e=0,g=0,h=0.0,i=0;if((b|0)<=1023)if((b|0)<-1022){c=a*2.2250738585072014e-308;d=b+1022|0;e=(d|0)<-1022;g=b+2044|0;h=e?c*2.2250738585072014e-308:c;i=e?((g|0)>-1022?g:-1022):d}else{h=a;i=b}else{c=a*8988465674311579538646525.0e283;d=b+-1023|0;g=(d|0)>1023;e=b+-2046|0;h=g?c*8988465674311579538646525.0e283:c;i=g?((e|0)<1023?e:1023):d}d=Qrc(i+1023|0,0,52)|0;i=J;f[s>>2]=d;f[s+4>>2]=i;return +(h*+p[s>>3])}function j8b(a,b){a=+a;b=+b;return +(+o8b(a,b))}function k8b(a,b){a=+a;b=+b;return +(+m8b(a,b))}function l8b(a,b){a=+a;b=b|0;return +(+i8b(a,b))}function m8b(a,b){a=+a;b=+b;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0.0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0.0;p[s>>3]=a;c=f[s>>2]|0;d=f[s+4>>2]|0;p[s>>3]=b;e=f[s>>2]|0;g=f[s+4>>2]|0;h=Irc(c|0,d|0,52)|0;i=h&2047;h=Irc(e|0,g|0,52)|0;j=h&2047;h=d&-2147483648;k=Qrc(e|0,g|0,1)|0;l=J;a:do if(!((k|0)==0&(l|0)==0)?(m=n8b(b)|0,n=J&2147483647,!((i|0)==2047|(n>>>0>2146435072|(n|0)==2146435072&m>>>0>0))):0){m=Qrc(c|0,d|0,1)|0;n=J;if(!(n>>>0>l>>>0|(n|0)==(l|0)&m>>>0>k>>>0))return +((m|0)==(k|0)&(n|0)==(l|0)?a*0.0:a);if(!i){n=Qrc(c|0,d|0,12)|0;m=J;if((m|0)>-1|(m|0)==-1&n>>>0>4294967295){o=0;q=n;n=m;while(1){m=o+-1|0;q=Qrc(q|0,n|0,1)|0;n=J;if(!((n|0)>-1|(n|0)==-1&q>>>0>4294967295)){r=m;break}else o=m}}else r=0;o=Qrc(c|0,d|0,1-r|0)|0;t=r;u=o;v=J}else{t=i;u=c;v=d&1048575|1048576}if(!j){o=Qrc(e|0,g|0,12)|0;q=J;if((q|0)>-1|(q|0)==-1&o>>>0>4294967295){n=0;m=o;o=q;while(1){q=n+-1|0;m=Qrc(m|0,o|0,1)|0;o=J;if(!((o|0)>-1|(o|0)==-1&m>>>0>4294967295)){w=q;break}else n=q}}else w=0;n=Qrc(e|0,g|0,1-w|0)|0;x=w;y=n;z=J}else{x=j;y=e;z=g&1048575|1048576}n=zrc(u|0,v|0,y|0,z|0)|0;m=J;o=(m|0)>-1|(m|0)==-1&n>>>0>4294967295;b:do if((t|0)>(x|0)){q=t;A=m;B=o;C=u;D=v;E=n;while(1){if(B)if((E|0)==0&(A|0)==0)break;else{F=E;G=A}else{F=C;G=D}H=Qrc(F|0,G|0,1)|0;I=J;K=q+-1|0;L=zrc(H|0,I|0,y|0,z|0)|0;M=J;N=(M|0)>-1|(M|0)==-1&L>>>0>4294967295;if((K|0)>(x|0)){q=K;A=M;B=N;C=H;D=I;E=L}else{O=K;P=N;Q=L;R=M;S=H;T=I;break b}}U=a*0.0;break a}else{O=t;P=o;Q=n;R=m;S=u;T=v}while(0);if(P)if((Q|0)==0&(R|0)==0){U=a*0.0;break}else{V=R;W=Q}else{V=T;W=S}if(V>>>0<1048576|(V|0)==1048576&W>>>0<0){m=O;n=W;o=V;while(1){E=Qrc(n|0,o|0,1)|0;D=J;C=m+-1|0;if(D>>>0<1048576|(D|0)==1048576&E>>>0<0){m=C;n=E;o=D}else{X=C;Y=E;Z=D;break}}}else{X=O;Y=W;Z=V}if((X|0)>0){o=Arc(Y|0,Z|0,0,-1048576)|0;n=J;m=Qrc(X|0,0,52)|0;_=n|J;$=o|m}else{m=Irc(Y|0,Z|0,1-X|0)|0;_=J;$=m}f[s>>2]=$;f[s+4>>2]=_|h;U=+p[s>>3]}else aa=3;while(0);if((aa|0)==3){ba=a*b;U=ba/ba}return +U}function n8b(a){a=+a;var b=0;p[s>>3]=a;b=f[s>>2]|0;J=f[s+4>>2]|0;return b|0}function o8b(a,b){a=+a;b=+b;var c=0,d=0,e=0;p[s>>3]=a;c=f[s>>2]|0;d=f[s+4>>2]|0;p[s>>3]=b;e=f[s+4>>2]&-2147483648|d&2147483647;f[s>>2]=c;f[s+4>>2]=e;return +(+p[s>>3])}function p8b(){return h7b()|0}function q8b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+16|0;e=d;g=c&255;b[e>>0]=g;i=a+16|0;j=f[i>>2]|0;if(!j)if(!(V7b(a)|0)){k=f[i>>2]|0;l=4}else m=-1;else{k=j;l=4}do if((l|0)==4){j=a+20|0;i=f[j>>2]|0;if(i>>>0<k>>>0?(n=c&255,(n|0)!=(b[a+75>>0]|0)):0){f[j>>2]=i+1;b[i>>0]=g;m=n;break}if((ki[f[a+36>>2]&511](a,e,1)|0)==1)m=h[e>>0]|0;else m=-1}while(0);u=d;return m|0}function r8b(a,b){a=a|0;b=b|0;var c=0;c=s8b(a)|0;return ((t8b(a,1,c,b)|0)!=(c|0))<<31>>31|0}function s8b(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=a;a:do if(!(c&3)){d=a;e=4}else{g=a;h=c;while(1){if(!(b[g>>0]|0)){i=h;break a}j=g+1|0;h=j;if(!(h&3)){d=j;e=4;break}else g=j}}while(0);if((e|0)==4){e=d;while(1){k=f[e>>2]|0;if(!((k&-2139062144^-2139062144)&k+-16843009))e=e+4|0;else break}if(!((k&255)<<24>>24))l=e;else{k=e;while(1){e=k+1|0;if(!(b[e>>0]|0)){l=e;break}else k=e}}i=l}return i-c|0}function t8b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=Y(c,b)|0;g=(b|0)==0?0:c;if((f[d+76>>2]|0)>-1){c=(r7b(d)|0)==0;h=U7b(a,e,d)|0;if(c)i=h;else{s7b(d);i=h}}else i=U7b(a,e,d)|0;if((i|0)==(e|0))j=g;else j=(i>>>0)/(b>>>0)|0;return j|0}function u8b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=u;u=u+128|0;h=g+124|0;i=g;j=i;k=158092;l=j+124|0;do{f[j>>2]=f[k>>2];j=j+4|0;k=k+4|0}while((j|0)<(l|0));if((c+-1|0)>>>0>2147483646)if(!c){m=h;n=1;o=4}else{h=f7b()|0;f[h>>2]=75;p=-1}else{m=a;n=c;o=4}if((o|0)==4){o=-2-m|0;c=n>>>0>o>>>0?o:n;f[i+48>>2]=c;n=i+20|0;f[n>>2]=m;f[i+44>>2]=m;o=m+c|0;m=i+16|0;f[m>>2]=o;f[i+28>>2]=o;o=w7b(i,d,e)|0;if(!c)p=o;else{c=f[n>>2]|0;b[c+(((c|0)==(f[m>>2]|0))<<31>>31)>>0]=0;p=o}}u=g;return p|0}function v8b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=a+20|0;e=f[d>>2]|0;g=(f[a+16>>2]|0)-e|0;a=g>>>0>c>>>0?c:g;Krc(e|0,b|0,a|0)|0;f[d>>2]=(f[d>>2]|0)+a;return c|0}function w8b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=Y(d,c)|0;h=(c|0)==0?0:d;if((f[e+76>>2]|0)>-1)i=r7b(e)|0;else i=0;d=e+74|0;j=b[d>>0]|0;b[d>>0]=j+255|j;j=e+4|0;d=f[j>>2]|0;k=(f[e+8>>2]|0)-d|0;l=k>>>0<g>>>0?k:g;if((k|0)>0){Krc(a|0,d|0,l|0)|0;f[j>>2]=d+l;m=g-l|0;n=a+l|0}else{m=g;n=a}a:do if(!m)o=13;else{a=e+32|0;l=m;d=n;while(1){if(v7b(e)|0)break;j=ki[f[a>>2]&511](e,d,l)|0;if((j+1|0)>>>0<2)break;k=l-j|0;if(!k){o=13;break a}else{l=k;d=d+j|0}}if(i|0)s7b(e);p=((g-l|0)>>>0)/(c>>>0)|0}while(0);if((o|0)==13)if(!i)p=h;else{s7b(e);p=h}return p|0}function x8b(a){a=a|0;var b=0,c=0,d=0;if(!(f[a>>2]&128))b=1;else b=(f[a+20>>2]|0)>>>0>(f[a+28>>2]|0)>>>0?2:1;c=ki[f[a+40>>2]&511](a,0,b)|0;if((c|0)<0)d=c;else d=c-(f[a+8>>2]|0)+(f[a+4>>2]|0)+(f[a+20>>2]|0)-(f[a+28>>2]|0)|0;return d|0}function y8b(a){a=a|0;var b=0,c=0,d=0;if((f[a+76>>2]|0)>-1){b=(r7b(a)|0)==0;c=x8b(a)|0;if(b)d=c;else d=c}else d=x8b(a)|0;return d|0}function z8b(a){a=a|0;return y8b(a)|0}function A8b(){_e(892568);return 892576}function B8b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+64|0;e=d+40|0;g=d+24|0;h=d+16|0;i=d;j=d+56|0;k=b[c>>0]|0;if(F7b(519648,k<<24>>24,4)|0){l=W6b(1156)|0;if(!l)m=0;else{n=l;o=n+124|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));if(!(C8b(c,43)|0))f[l>>2]=k<<24>>24==114?8:4;if(!(C8b(c,101)|0))p=k;else{f[i>>2]=a;f[i+4>>2]=2;f[i+8>>2]=1;$c(221,i|0)|0;p=b[c>>0]|0}if(p<<24>>24==97){f[h>>2]=a;f[h+4>>2]=3;p=$c(221,h|0)|0;if(!(p&1024)){f[g>>2]=a;f[g+4>>2]=4;f[g+8>>2]=p|1024;$c(221,g|0)|0}g=f[l>>2]|128;f[l>>2]=g;q=g}else q=f[l>>2]|0;f[l+60>>2]=a;f[l+44>>2]=l+132;f[l+48>>2]=1024;g=l+75|0;b[g>>0]=-1;if((q&8|0)==0?(f[e>>2]=a,f[e+4>>2]=21523,f[e+8>>2]=j,(te(54,e|0)|0)==0):0)b[g>>0]=10;f[l+32>>2]=225;f[l+36>>2]=223;f[l+40>>2]=224;f[l+12>>2]=710;if(!(f[223120]|0))f[l+76>>2]=-1;D8b(l)|0;m=l}}else{l=f7b()|0;f[l>>2]=22;m=0}u=d;return m|0}function C8b(a,c){a=a|0;c=c|0;var d=0;d=F8b(a,c)|0;return ((b[d>>0]|0)==(c&255)<<24>>24?d:0)|0}function D8b(a){a=a|0;var b=0,c=0;b=A8b()|0;f[a+56>>2]=f[b>>2];c=f[b>>2]|0;if(c|0)f[c+52>>2]=a;f[b>>2]=a;E8b();return a|0}function E8b(){Af(892568);return}function F8b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=c&255;a:do if(!d)e=a+(s8b(a)|0)|0;else{if(!(a&3))g=a;else{h=c&255;i=a;while(1){j=b[i>>0]|0;if(j<<24>>24==0?1:j<<24>>24==h<<24>>24){e=i;break a}j=i+1|0;if(!(j&3)){g=j;break}else i=j}}i=Y(d,16843009)|0;h=f[g>>2]|0;b:do if(!((h&-2139062144^-2139062144)&h+-16843009)){j=g;k=h;while(1){l=k^i;if((l&-2139062144^-2139062144)&l+-16843009|0){m=j;break b}l=j+4|0;k=f[l>>2]|0;if((k&-2139062144^-2139062144)&k+-16843009|0){m=l;break}else j=l}}else m=g;while(0);i=c&255;h=m;while(1){j=b[h>>0]|0;if(j<<24>>24==0?1:j<<24>>24==i<<24>>24){e=h;break}else h=h+1|0}}while(0);return e|0}function G8b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;if((f[a+76>>2]|0)>-1)b=r7b(a)|0;else b=0;H8b(a);c=(f[a>>2]&1|0)!=0;if(!c){d=A8b()|0;e=f[a+52>>2]|0;g=a+56|0;if(e|0)f[e+56>>2]=f[g>>2];h=f[g>>2]|0;if(h|0)f[h+52>>2]=e;if((f[d>>2]|0)==(a|0))f[d>>2]=h;E8b()}h=I8b(a)|0;d=ci[f[a+12>>2]&1023](a)|0|h;h=f[a+92>>2]|0;if(h|0)X6b(h);if(c){if(b|0)s7b(a)}else X6b(a);return d|0}function H8b(a){a=a|0;var b=0,c=0,d=0;if(f[a+68>>2]|0){b=f[a+116>>2]|0;c=a+112|0;if(b|0)f[b+112>>2]=f[c>>2];a=f[c>>2]|0;if(!a)d=(K8b()|0)+232|0;else d=a+116|0;f[d>>2]=b}return}function I8b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;do if(a){if((f[a+76>>2]|0)<=-1){b=J8b(a)|0;break}c=(r7b(a)|0)==0;d=J8b(a)|0;if(c)b=d;else{s7b(a);b=d}}else{if(!(f[39443]|0))e=0;else e=I8b(f[39443]|0)|0;d=A8b()|0;c=f[d>>2]|0;if(!c)g=e;else{d=c;c=e;while(1){if((f[d+76>>2]|0)>-1)h=r7b(d)|0;else h=0;if((f[d+20>>2]|0)>>>0>(f[d+28>>2]|0)>>>0)i=J8b(d)|0|c;else i=c;if(h|0)s7b(d);d=f[d+56>>2]|0;if(!d){g=i;break}else c=i}}E8b();b=g}while(0);return b|0}function J8b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;b=a+20|0;c=a+28|0;if((f[b>>2]|0)>>>0>(f[c>>2]|0)>>>0?(ki[f[a+36>>2]&511](a,0,0)|0,(f[b>>2]|0)==0):0)d=-1;else{e=a+4|0;g=f[e>>2]|0;h=a+8|0;i=f[h>>2]|0;if(g>>>0<i>>>0)ki[f[a+40>>2]&511](a,g-i|0,1)|0;f[a+16>>2]=0;f[c>>2]=0;f[b>>2]=0;f[h>>2]=0;f[e>>2]=0;d=0}return d|0}function K8b(){return h7b()|0}function L8b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;if((f[a+76>>2]|0)>=0?(r7b(a)|0)!=0:0){b=a+4|0;c=f[b>>2]|0;if(c>>>0<(f[a+8>>2]|0)>>>0){f[b>>2]=c+1;d=h[c>>0]|0}else d=u7b(a)|0;e=d}else g=3;do if((g|0)==3){d=a+4|0;c=f[d>>2]|0;if(c>>>0<(f[a+8>>2]|0)>>>0){f[d>>2]=c+1;e=h[c>>0]|0;break}else{e=u7b(a)|0;break}}while(0);return e|0}function M8b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[e>>2]=c;c=w7b(a,b,e)|0;u=d;return c|0}function N8b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;a:do if(!c)i=0;else{do if(d|0){j=(a|0)==0?g:a;k=b[c>>0]|0;if(k<<24>>24>-1){f[j>>2]=k&255;i=k<<24>>24!=0&1;break a}k=(P8b()|0)+188|0;l=b[c>>0]|0;if(!(f[f[k>>2]>>2]|0)){f[j>>2]=l<<24>>24&57343;i=1;break a}k=(l&255)+-194|0;if(k>>>0<=50){l=c+1|0;m=f[157848+(k<<2)>>2]|0;if(d>>>0<4?m&-2147483648>>>((d*6|0)+-6|0)|0:0)break;k=h[l>>0]|0;l=k>>>3;if((l+-16|l+(m>>26))>>>0<=7){l=k+-128|m<<6;if((l|0)>=0){f[j>>2]=l;i=2;break a}m=(h[c+2>>0]|0)+-128|0;if(m>>>0<=63){k=m|l<<6;if((k|0)>=0){f[j>>2]=k;i=3;break a}l=(h[c+3>>0]|0)+-128|0;if(l>>>0<=63){f[j>>2]=l|k<<6;i=4;break a}}}}}while(0);k=f7b()|0;f[k>>2]=84;i=-1}while(0);u=e;return i|0}function O8b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+16|0;g=e;f[g>>2]=d;d=u8b(a,b,c,g)|0;u=e;return d|0}function P8b(){return h7b()|0}function Q8b(a){a=a|0;var b=0;b=a;while(1)if(!(f[b>>2]|0))break;else b=b+4|0;return b-a>>2|0}function R8b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;e=u;u=u+16|0;g=e;a:do if(!a){h=f[c>>2]|0;i=f[h>>2]|0;if(!i)j=0;else{k=h;h=0;l=i;while(1){if(l>>>0>127){i=M7b(g,l,0)|0;if((i|0)==-1){j=-1;break a}else m=i}else m=1;i=m+h|0;k=k+4|0;l=f[k>>2]|0;if(!l){j=i;break}else h=i}}}else{b:do if(d>>>0>3){h=a;l=d;k=f[c>>2]|0;while(1){i=f[k>>2]|0;if((i+-1|0)>>>0>126){if(!i)break;n=M7b(h,i,0)|0;if((n|0)==-1){j=-1;break a}o=h+n|0;p=l-n|0;q=k}else{b[h>>0]=i;o=h+1|0;p=l+-1|0;q=f[c>>2]|0}k=q+4|0;f[c>>2]=k;if(p>>>0<=3){r=o;s=p;break b}else{h=o;l=p}}b[h>>0]=0;f[c>>2]=0;j=d-l|0;break a}else{r=a;s=d}while(0);if(s){k=r;i=s;n=f[c>>2]|0;while(1){t=f[n>>2]|0;if((t+-1|0)>>>0>126){if(!t){v=19;break}w=M7b(g,t,0)|0;if((w|0)==-1){j=-1;break a}if(i>>>0<w>>>0){v=22;break}M7b(k,f[n>>2]|0,0)|0;x=k+w|0;y=i-w|0;z=n}else{b[k>>0]=t;x=k+1|0;y=i+-1|0;z=f[c>>2]|0}n=z+4|0;f[c>>2]=n;if(!y){j=d;break a}else{k=x;i=y}}if((v|0)==19){b[k>>0]=0;f[c>>2]=0;j=d-i|0;break}else if((v|0)==22){j=d-i|0;break}}else j=d}while(0);u=e;return j|0}function S8b(a,b){a=a|0;b=b|0;T8b(a,b)|0;return a|0}function T8b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=c;a:do if(!((d^a)&3)){if(!(d&3)){e=c;g=a}else{h=c;i=a;while(1){j=b[h>>0]|0;b[i>>0]=j;if(!(j<<24>>24)){k=i;break a}j=h+1|0;l=i+1|0;if(!(j&3)){e=j;g=l;break}else{h=j;i=l}}}i=f[e>>2]|0;if(!((i&-2139062144^-2139062144)&i+-16843009)){h=g;l=e;j=i;while(1){i=l+4|0;m=h+4|0;f[h>>2]=j;j=f[i>>2]|0;if((j&-2139062144^-2139062144)&j+-16843009|0){n=i;o=m;break}else{h=m;l=i}}}else{n=e;o=g}p=n;q=o;r=8}else{p=c;q=a;r=8}while(0);if((r|0)==8){r=b[p>>0]|0;b[q>>0]=r;if(!(r<<24>>24))k=q;else{r=q;q=p;while(1){q=q+1|0;p=r+1|0;a=b[q>>0]|0;b[p>>0]=a;if(!(a<<24>>24)){k=p;break}else r=p}}}return k|0}function U8b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;if((f[d+76>>2]|0)>-1)e=r7b(d)|0;else e=0;g=c+-1|0;i=(g|0)!=0;if((c|0)<2){c=d+74|0;j=b[c>>0]|0;b[c>>0]=j+255|j;if(e|0)s7b(d);if(i)k=0;else{b[a>>0]=0;k=a}}else{a:do if(i){j=d+4|0;c=d+8|0;l=g;m=a;while(1){n=f[j>>2]|0;o=n;p=(f[c>>2]|0)-o|0;q=F7b(n,10,p)|0;r=(q|0)==0;s=r?p:1-o+q|0;q=s>>>0<l>>>0?s:l;Krc(m|0,n|0,q|0)|0;n=(f[j>>2]|0)+q|0;f[j>>2]=n;t=m+q|0;s=l-q|0;if(!(r&(s|0)!=0)){u=t;v=17;break a}if(n>>>0>=(f[c>>2]|0)>>>0){r=u7b(d)|0;if((r|0)<0)break;else w=r}else{f[j>>2]=n+1;w=h[n>>0]|0}l=s+-1|0;s=t+1|0;b[t>>0]=w;if(!((l|0)!=0&(w&255|0)!=10)){u=s;v=17;break a}else m=s}if((t|0)!=(a|0)?(f[d>>2]&16|0)!=0:0){u=t;v=17}else x=0}else{u=a;v=17}while(0);if((v|0)==17)if(!a)x=0;else{b[u>>0]=0;x=a}if(!e)k=x;else{s7b(d);k=x}}return k|0}function V8b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;do if((a|0)!=-1){if((f[c+76>>2]|0)>-1)d=r7b(c)|0;else d=0;e=c+4|0;g=f[e>>2]|0;if(!g){v7b(c)|0;h=f[e>>2]|0;i=(d|0)!=0;if(!h)j=i;else{k=h;l=i;m=7}}else{k=g;l=(d|0)!=0;m=7}if((m|0)==7)if(k>>>0>((f[c+44>>2]|0)+-8|0)>>>0){g=k+-1|0;f[e>>2]=g;b[g>>0]=a;f[c>>2]=f[c>>2]&-17;if(!l){n=a;break}s7b(c);n=a;break}else j=l;if(j){s7b(c);n=-1}else n=-1}else n=-1;while(0);return n|0}function W8b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+128|0;e=d;g=e;h=g+124|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e+32>>2]=299;f[e+44>>2]=a;f[e+76>>2]=-1;f[e+84>>2]=a;a=X7b(e,b,c)|0;u=d;return a|0}function X8b(a,b,c){a=a|0;b=b|0;c=c|0;return Y8b(a,b,c)|0}function Y8b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=a+84|0;e=f[d>>2]|0;g=c+256|0;h=F7b(e,0,g)|0;i=(h|0)==0?g:h-e|0;h=i>>>0<c>>>0?i:c;Krc(b|0,e|0,h|0)|0;f[a+4>>2]=e+h;b=e+i|0;f[a+8>>2]=b;f[d>>2]=b;return h|0}function Z8b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[e>>2]=c;c=W8b(a,b,e)|0;u=d;return c|0}function _8b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=a&255;e=a&255;if((f[c+76>>2]|0)>=0?(r7b(c)|0)!=0:0){if((e|0)!=(b[c+75>>0]|0)?(g=c+20|0,h=f[g>>2]|0,h>>>0<(f[c+16>>2]|0)>>>0):0){f[g>>2]=h+1;b[h>>0]=d;i=e}else i=q8b(c,a)|0;s7b(c);j=i}else k=3;do if((k|0)==3){if((e|0)!=(b[c+75>>0]|0)?(i=c+20|0,h=f[i>>2]|0,h>>>0<(f[c+16>>2]|0)>>>0):0){f[i>>2]=h+1;b[h>>0]=d;j=e;break}j=q8b(c,a)|0}while(0);return j|0}function $8b(a,b,c){a=a|0;b=b|0;c=c|0;return u8b(a,2147483647,b,c)|0}function a9b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;if((f[a+76>>2]|0)>-1){d=(r7b(a)|0)==0;e=b9b(a,b,c)|0;if(d)g=e;else{s7b(a);g=e}}else g=b9b(a,b,c)|0;return g|0}function b9b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;if((c|0)==1)d=b-(f[a+8>>2]|0)+(f[a+4>>2]|0)|0;else d=b;b=a+20|0;e=a+28|0;if((f[b>>2]|0)>>>0>(f[e>>2]|0)>>>0?(ki[f[a+36>>2]&511](a,0,0)|0,(f[b>>2]|0)==0):0)g=-1;else{f[a+16>>2]=0;f[e>>2]=0;f[b>>2]=0;if((ki[f[a+40>>2]&511](a,d,c)|0)<0)g=-1;else{f[a+8>>2]=0;f[a+4>>2]=0;f[a>>2]=f[a>>2]&-17;g=0}}return g|0}function c9b(a){a=a|0;var b=0,c=0,d=0;b=(s8b(a)|0)+1|0;c=W6b(b)|0;if(!c)d=0;else{Krc(c|0,a|0,b|0)|0;d=c}return d|0}function d9b(a){a=a|0;var c=0,d=0,e=0,f=0;c=(C8b(a,43)|0)==0;d=b[a>>0]|0;e=c?d<<24>>24!=114&1:2;c=(C8b(a,120)|0)==0;f=c?e:e|128;e=(C8b(a,101)|0)==0;a=e?f:f|524288;f=d<<24>>24==114?a:a|64;a=d<<24>>24==119?f|512:f;return (d<<24>>24==97?a|1024:a)|0}function e9b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;if(F7b(519648,b[c>>0]|0,4)|0){i=d9b(c)|0;f[h>>2]=a;f[h+4>>2]=i|32768;f[h+8>>2]=438;a=e7b(ke(5,h|0)|0)|0;if((a|0)>=0){if(i&524288|0){f[g>>2]=a;f[g+4>>2]=2;f[g+8>>2]=1;$c(221,g|0)|0}g=B8b(a,c)|0;if(!g){f[e>>2]=a;je(6,e|0)|0;j=0}else j=g}else j=0}else{g=f7b()|0;f[g>>2]=22;j=0}u=d;return j|0}function f9b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;f[e>>2]=f[c>>2];g=u8b(0,0,b,e)|0;if((g|0)>=0?(e=g+1|0,g=W6b(e)|0,f[a>>2]=g,(g|0)!=0):0)h=u8b(g,e,b,c)|0;else h=-1;u=d;return h|0}function g9b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[e>>2]=c;c=$8b(a,b,e)|0;u=d;return c|0}function h9b(a,b){a=a|0;b=b|0;var c=0;c=F7b(a,0,b)|0;return ((c|0)==0?b:c-a|0)|0}function i9b(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;g=u;u=u+1040|0;h=g+8|0;i=g;j=f[b>>2]|0;f[i>>2]=j;k=(a|0)!=0;l=k?d:256;d=k?a:h;a=j;a:do if((l|0)!=0&(j|0)!=0){m=0;n=c;o=l;p=d;q=a;while(1){r=n>>>2;s=r>>>0>=o>>>0;if(!(n>>>0>131|s)){t=p;v=m;w=n;x=o;y=q;break a}z=s?o:r;A=n-z|0;r=j9b(p,i,z,e)|0;if((r|0)==-1)break;z=(p|0)==(h|0);s=o-(z?0:r)|0;B=z?p:p+(r<<2)|0;z=r+m|0;r=f[i>>2]|0;if((s|0)!=0&(r|0)!=0){m=z;n=A;o=s;p=B;q=r}else{t=B;v=z;w=A;x=s;y=r;break a}}t=p;v=-1;w=A;x=0;y=f[i>>2]|0}else{t=d;v=0;w=c;x=l;y=a}while(0);b:do if((y|0)!=0?(x|0)!=0&(w|0)!=0:0){a=v;l=w;c=t;d=x;A=y;while(1){C=b8b(c,A,l,e)|0;if((C+2|0)>>>0<3)break;A=(f[i>>2]|0)+C|0;f[i>>2]=A;l=l-C|0;d=d+-1|0;h=a+1|0;if(!((d|0)!=0&(l|0)!=0)){D=h;break b}else{a=h;c=c+4|0}}switch(C|0){case -1:{D=-1;break b;break}case 0:{f[i>>2]=0;D=a;break b;break}default:{f[e>>2]=0;D=a;break b}}}else D=v;while(0);if(k)f[b>>2]=f[i>>2];u=g;return D|0}function j9b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0;g=f[c>>2]|0;if((e|0)!=0?(i=f[e>>2]|0,(i|0)!=0):0)if(!a){j=i;k=g;l=d;m=25}else{f[e>>2]=0;n=i;o=a;p=d;q=g;m=43}else m=5;a:do if((m|0)==5){i=(k9b()|0)+188|0;e=(a|0)!=0;if(f[f[i>>2]>>2]|0)if(e){r=a;s=d;t=g;m=15;break}else{u=g;v=d;m=14;break}if(!e){w=s8b(g)|0;m=59;break}b:do if(!d)x=g;else{e=g;i=a;y=d;while(1){z=b[e>>0]|0;if(!(z<<24>>24))break;A=e+1|0;f[i>>2]=z<<24>>24&57343;z=y+-1|0;if(!z){x=A;break b}else{e=A;i=i+4|0;y=z}}f[i>>2]=0;f[c>>2]=0;w=d-y|0;m=59;break a}while(0);f[c>>2]=x;w=d;m=59}while(0);c:while(1){d:do if((m|0)==14){m=0;x=u;g=v;while(1){e=b[x>>0]|0;if(((e&255)+-1|0)>>>0<127?(x&3|0)==0:0){z=f[x>>2]|0;A=z&255;if(!((z+-16843009|z)&-2139062144)){z=x;B=g;do{z=z+4|0;B=B+-4|0;C=f[z>>2]|0}while(!((C+-16843009|C)&-2139062144|0));D=z;E=B;F=C&255}else{D=x;E=g;F=A}}else{D=x;E=g;F=e}G=F&255;if((G+-1|0)>>>0>=127)break;x=D+1|0;g=E+-1|0}g=G+-194|0;if(g>>>0>50){H=D;I=a;J=E;m=53}else{j=f[157848+(g<<2)>>2]|0;k=D+1|0;l=E;m=25;continue c}}else if((m|0)==15){m=0;e:do if(!s)K=t;else{g=r;x=s;y=t;while(1){i=b[y>>0]|0;do if(((i&255)+-1|0)>>>0<127?x>>>0>4&(y&3|0)==0:0){L=g;M=x;N=y;while(1){O=f[N>>2]|0;if((O+-16843009|O)&-2139062144|0){m=38;break}f[L>>2]=O&255;f[L+4>>2]=h[N+1>>0];f[L+8>>2]=h[N+2>>0];P=N+4|0;Q=L+16|0;f[L+12>>2]=h[N+3>>0];R=M+-4|0;if(R>>>0>4){L=Q;M=R;N=P}else{m=37;break}}if((m|0)==37){m=0;S=Q;T=R;U=P;V=b[P>>0]|0;break}else if((m|0)==38){m=0;S=L;T=M;U=N;V=O&255;break}}else{S=g;T=x;U=y;V=i}while(0);W=V&255;if((W+-1|0)>>>0>=127)break;i=U+1|0;f[S>>2]=W;x=T+-1|0;if(!x){K=i;break e}else{g=S+4|0;y=i}}y=W+-194|0;if(y>>>0>50){H=U;I=S;J=T;m=53;break d}n=f[157848+(y<<2)>>2]|0;o=S;p=T;q=U+1|0;m=43;continue c}while(0);f[c>>2]=K;w=d;m=59;continue c}else if((m|0)==25){m=0;y=(h[k>>0]|0)>>>3;if((y+-16|y+(j>>26))>>>0>7){X=a;Y=j;Z=k;_=l;m=52}else{y=k+1|0;if(j&33554432){if((b[y>>0]&-64)<<24>>24!=-128){X=a;Y=j;Z=k;_=l;m=52;break}g=k+2|0;if(!(j&524288))$=g;else{if((b[g>>0]&-64)<<24>>24!=-128){X=a;Y=j;Z=k;_=l;m=52;break}$=k+3|0}}else $=y;u=$;v=l+-1|0;m=14;continue c}}else if((m|0)==43){m=0;y=h[q>>0]|0;g=y>>>3;if((g+-16|g+(n>>26))>>>0>7){X=o;Y=n;Z=q;_=p;m=52}else{g=q+1|0;x=y+-128|n<<6;do if((x|0)<0){y=(h[g>>0]|0)+-128|0;if(y>>>0>63){aa=q+-1|0;ba=o;break d}e=q+2|0;A=y|x<<6;if((A|0)<0){y=(h[e>>0]|0)+-128|0;if(y>>>0>63){aa=q+-1|0;ba=o;break d}else{ca=q+3|0;da=y|A<<6;break}}else{ca=e;da=A}}else{ca=g;da=x}while(0);f[o>>2]=da;r=o+4|0;s=p+-1|0;t=ca;m=15;continue c}}else if((m|0)==59){m=0;return w|0}while(0);if((m|0)==52){m=0;x=Z+-1|0;if(!Y){H=x;I=X;J=_;m=53}else{aa=x;ba=X}}if((m|0)==53){m=0;if(!(b[H>>0]|0)){if(I|0){f[I>>2]=0;f[c>>2]=0}w=d-J|0;m=59;continue}else{aa=H;ba=I}}x=f7b()|0;f[x>>2]=84;if(!ba){w=-1;m=59;continue}f[c>>2]=aa;w=-1;m=59}return 0}function k9b(){return h7b()|0}function l9b(a){a=a|0;var b=0;if((f[a+76>>2]|0)>-1){b=(r7b(a)|0)==0;b9b(a,0,0)|0;f[a>>2]=f[a>>2]&-33;if(!b)s7b(a)}else{b9b(a,0,0)|0;f[a>>2]=f[a>>2]&-33}return}function m9b(a,b,c){a=a|0;b=b|0;c=c|0;return a9b(a,b,c)|0}function n9b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=o9b(a,b,c,-1,0)|0;return d|0}function o9b(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+128|0;h=g;f[h>>2]=0;i=h+4|0;f[i>>2]=a;f[h+44>>2]=a;j=h+8|0;f[j>>2]=(a|0)<0?-1:a+2147483647|0;f[h+76>>2]=-1;Z7b(h,0);k=d8b(h,c,1,d,e)|0;if(b|0)f[b>>2]=a+((f[i>>2]|0)+(f[h+108>>2]|0)-(f[j>>2]|0));u=g;return k|0}function p9b(a){a=a|0;var b=0;b=(q9b(a)|0)==0;return (b?a:a|32)|0}function q9b(a){a=a|0;return (a+-65|0)>>>0<26|0}function r9b(a){a=a|0;var b=0;b=(s9b(a)|0)==0;return (b?a:a&95)|0}function s9b(a){a=a|0;return (a+-97|0)>>>0<26|0}function t9b(a,b){a=a|0;b=b|0;return (a+-48|0)>>>0<10|0}function u9b(a){a=a|0;if(v9b(a)|0)X6b(a);return}function v9b(a){a=a|0;return (a|0)!=157824&((a|0)!=0&(a|0)!=892540)&1|0}function w9b(a,b){a=a|0;b=b|0;return -1|0}function x9b(a){a=a|0;var b=0,c=0;b=(y9b()|0)+188|0;c=f[b>>2]|0;if(a|0)f[b>>2]=(a|0)==(-1|0)?892516:a;return ((c|0)==892516?-1:c)|0}function y9b(){return h7b()|0}function z9b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;d=u;u=u+272|0;e=d+8|0;g=d;do if(!(b[c>>0]|0)){h=Ge(519652)|0;if(h|0?b[h>>0]|0:0){i=h;break}h=Ge(519659+(a*12|0)|0)|0;if(h|0?b[h>>0]|0:0){i=h;break}h=Ge(519731)|0;if(h|0?b[h>>0]|0:0){i=h;break}i=519736}else i=c;while(0);c=0;a:while(1){switch(b[i+c>>0]|0){case 47:case 0:{j=c;break a;break}default:{}}h=c+1|0;if(h>>>0<15)c=h;else{j=h;break}}c=b[i>>0]|0;if(c<<24>>24!=46?(b[i+j>>0]|0)==0:0)if(c<<24>>24==67){k=i;l=15}else{m=i;l=16}else{k=519736;l=15}if((l|0)==15)if(!(b[k+1>>0]|0)){n=k;l=18}else{m=k;l=16}b:do if((l|0)==16)if((o7b(m,519736)|0)!=0?(o7b(m,519744)|0)!=0:0){k=f[223145]|0;if(k|0){i=k;do{if(!(o7b(m,i+8|0)|0)){o=i;break b}i=f[i+24>>2]|0}while((i|0)!=0)}_e(892584);i=f[223145]|0;c:do if(i|0){k=i;while(1){if(!(o7b(m,k+8|0)|0))break;c=f[k+24>>2]|0;if(!c)break c;else k=c}Af(892584);o=k;break b}while(0);d:do if(((f[223121]|0)==0?(i=Ge(519750)|0,(i|0)!=0):0)?(b[i>>0]|0)!=0:0){c=254-j|0;h=j+1|0;p=i;while(1){i=F8b(p,58)|0;q=b[i>>0]|0;r=((q<<24>>24!=0)<<31>>31)+(i-p)|0;if(r>>>0<c>>>0){Krc(e|0,p|0,r|0)|0;s=e+r|0;b[s>>0]=47;Krc(s+1|0,m|0,j|0)|0;b[e+(h+r)>>0]=0;t=Mf(e|0,g|0)|0;if(t|0)break;v=b[i>>0]|0}else v=q;p=i+(v<<24>>24!=0&1)|0;if(!(b[p>>0]|0)){l=41;break d}}p=W6b(28)|0;h=f[g>>2]|0;if(!p){A9b(t,h)|0;l=41;break}else{f[p>>2]=t;f[p+4>>2]=h;h=p+8|0;Krc(h|0,m|0,j|0)|0;b[h+j>>0]=0;f[p+24>>2]=f[223145];f[223145]=p;w=p;break}}else l=41;while(0);if((l|0)==41){p=W6b(28)|0;if(!p)w=p;else{f[p>>2]=f[39444];f[p+4>>2]=f[39445];h=p+8|0;Krc(h|0,m|0,j|0)|0;b[h+j>>0]=0;f[p+24>>2]=f[223145];f[223145]=p;w=p}}Af(892584);o=(a|0)==0&(w|0)==0?157776:w}else{n=m;l=18}while(0);do if((l|0)==18){if((a|0)==0?(b[n+1>>0]|0)==46:0){o=157776;break}o=0}while(0);u=d;return o|0}function A9b(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;B9b();f[d>>2]=a;f[d+4>>2]=b;b=e7b(ae(91,d|0)|0)|0;u=c;return b|0}function B9b(){return}function C9b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;if(!d)e=0;else{f=b[a>>0]|0;g=f&255;h=b[c>>0]|0;i=h&255;a:do if(!(f<<24>>24)){j=i;k=g}else{l=a;m=d;n=c;o=f;p=i;q=g;r=h;while(1){m=m+-1|0;if(!(o<<24>>24==r<<24>>24&((m|0)!=0&r<<24>>24!=0))){j=p;k=q;break a}l=l+1|0;n=n+1|0;o=b[l>>0]|0;s=o&255;r=b[n>>0]|0;t=r&255;if(!(o<<24>>24)){j=t;k=s;break}else{p=t;q=s}}}while(0);e=k-j|0}return e|0}function D9b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return d|0}function E9b(a,b){a=a|0;b=b|0;return F9b(a)|0}function F9b(a){a=a|0;return ((a+-48|0)>>>0<10|((a|32)+-97|0)>>>0<6)&1|0}function G9b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if(c|0){d=c;c=b;b=a;while(1){d=d+-1|0;f[b>>2]=f[c>>2];if(!d)break;else{c=c+4|0;b=b+4|0}}}return a|0}function H9b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+32|0;e=d;a:do if(!(v9b(c)|0)){g=(c|0)==0;h=0;i=0;do{j=(1<<i&a|0)!=0;if(g|j)k=z9b(i,j?b:1163146)|0;else k=f[c+(i<<2)>>2]|0;h=((k|0)!=0&1)+h|0;f[e+(i<<2)>>2]=k;i=i+1|0}while((i|0)!=6);switch(h|0){case 0:{l=892540;break a;break}case 1:{if((f[e>>2]|0)==157776){l=157824;break a}break}default:{}}l=c}else{i=0;do{if(1<<i&a|0){g=z9b(i,b)|0;f[c+(i<<2)>>2]=g}i=i+1|0}while((i|0)!=6);l=c}while(0);u=d;return l|0}function I9b(a){a=a|0;return 0}function J9b(a){a=+a;var b=0,c=0,d=0,e=0,g=0.0,h=0.0,i=0,j=0.0,k=0.0,l=0,m=0,n=0.0,o=0.0;p[s>>3]=a;b=f[s+4>>2]|0;c=b&2147483647;d=Irc(f[s>>2]|0,b|0,63)|0;do if(c>>>0>1078159481){b=K9b(a)|0;e=J&2147483647;if(!(e>>>0>2146435072|(e|0)==2146435072&b>>>0>0))if(!d)if(a>709.782712893384)g=a*8988465674311579538646525.0e283;else{h=.5;i=12}else g=-1.0;else g=a}else{if(c>>>0<=1071001154)if(c>>>0<1016070144){g=a;break}else{j=a;k=0.0;l=0;i=15;break}b=(d|0)!=0;if(c>>>0>=1072734898){h=b?-.5:.5;i=12;break}if(b){m=-1;n=a+.6931471803691238;o=-1.9082149292705877e-10;i=13;break}else{m=1;n=a+-.6931471803691238;o=1.9082149292705877e-10;i=13;break}}while(0);if((i|0)==12){c=~~(a*1.4426950408889634+h);h=+(c|0);m=c;n=a-h*.6931471803691238;o=h*1.9082149292705877e-10;i=13}if((i|0)==13){h=n-o;j=h;k=n-h-o;l=m;i=15}a:do if((i|0)==15){o=j*.5;h=j*o;n=h*(h*(h*(h*(4.008217827329362e-06-h*2.0109921818362437e-07)+-7.93650757867488e-05)+1.5873015872548146e-03)+-.03333333333333313)+1.0;a=3.0-o*n;o=h*((n-a)/(6.0-j*a));if(!l){g=j-(j*o-h);break}a=j*(o-k)-k-h;switch(l|0){case -1:{g=(j-a)*.5+-.5;break a;break}case 1:{if(j<-.25){g=(a-(j+.5))*-2.0;break a}else{g=(j-a)*2.0+1.0;break a}break}default:{m=Qrc(l+1023|0,0,52)|0;c=J;f[s>>2]=m;f[s+4>>2]=c;h=+p[s>>3];if(l>>>0>56){o=j-a+1.0;g=((l|0)==1024?o*2.0*8988465674311579538646525.0e283:h*o)+-1.0;break a}else{c=Qrc(1023-l|0,0,52)|0;m=J;d=(l|0)<20;f[s>>2]=c;f[s+4>>2]=m;o=+p[s>>3];g=h*((d?1.0-o:1.0)+(j-(d?a:o+a)));break a}}}}while(0);return +g}function K9b(a){a=+a;var b=0;p[s>>3]=a;b=f[s>>2]|0;J=f[s+4>>2]|0;return b|0}function L9b(a){a=a|0;return 0}function M9b(a){a=a|0;return 0}function N9b(a){a=+a;var b=0,c=0,d=0.0,e=0.0;b=(n[s>>2]=a,f[s>>2]|0);if((b&2130706432)>>>0<=1249902592){c=(b|0)<0;d=(c?8388608.0:-8388608.0)+((c?-8388608.0:8388608.0)+a);if(d==0.0)e=c?-0.0:0.0;else e=d}else e=a;return +e}function O9b(a){a=+a;var b=0,c=0,d=0.0,e=0.0;p[s>>3]=a;b=f[s+4>>2]|0;c=b&2146435072;if(!(c>>>0>1126170624|(c|0)==1126170624&0>0)){c=(b|0)<0;d=(c?4503599627370496.0:-4503599627370496.0)+((c?-4503599627370496.0:4503599627370496.0)+a);if(d==0.0)e=c?-0.0:0.0;else e=d}else e=a;return +e}function P9b(a){a=+a;var b=0,c=0,d=0.0,e=0.0;b=(n[s>>2]=a,f[s>>2]|0);c=b&2147483647;a=(f[s>>2]=c,+n[s>>2]);do if(c>>>0>1057791828)if(c>>>0>1092616192){d=0.0/a+1.0;break}else{d=1.0-2.0/(+Q9b(a*2.0)+2.0);break}else{if(c>>>0>1048757624){e=+Q9b(a*2.0);d=e/(e+2.0);break}if(c>>>0>8388607){e=+Q9b(a*-2.0);d=-e/(e+2.0)}else d=a}while(0);return +((b|0)<0?-d:d)}function Q9b(a){a=+a;var b=0,c=0,d=0,e=0.0,g=0.0,h=0,i=0.0,j=0.0,k=0,l=0,m=0.0,o=0.0;b=(n[s>>2]=a,f[s>>2]|0);c=b&2147483647;d=b>>>31;do if(c>>>0>1100331075)if(c>>>0<=2139095040)if(!d)if(a>88.7216796875)e=a*1701411834604692317316873.0e14;else{g=.5;h=12}else e=-1.0;else e=a;else{if(c>>>0<=1051816472)if(c>>>0<855638016){e=a;break}else{i=a;j=0.0;k=0;h=15;break}b=(d|0)!=0;if(c>>>0>=1065686418){g=b?-.5:.5;h=12;break}if(b){l=-1;m=a+.6931381225585938;o=-9.05800061445916e-06;h=13;break}else{l=1;m=a+-.6931381225585938;o=9.05800061445916e-06;h=13;break}}while(0);if((h|0)==12){c=~~(a*1.4426950216293335+g);g=+(c|0);l=c;m=a-g*.6931381225585938;o=g*9.05800061445916e-06;h=13}if((h|0)==13){g=m-o;i=g;j=m-g-o;k=l;h=15}a:do if((h|0)==15){o=i*.5;g=i*o;m=g*(g*1.5807170420885086e-03+-.03333321213722229)+1.0;a=3.0-o*m;o=g*((m-a)/(6.0-i*a));if(!k){e=i-(i*o-g);break}a=i*(o-j)-j-g;switch(k|0){case -1:{e=(i-a)*.5+-.5;break a;break}case 1:{if(i<-.25){e=(a-(i+.5))*-2.0;break a}else{e=(i-a)*2.0+1.0;break a}break}default:{g=(f[s>>2]=(k<<23)+1065353216,+n[s>>2]);if(k>>>0>56){o=i-a+1.0;e=((k|0)==128?o*2.0*1701411834604692317316873.0e14:g*o)+-1.0;break a}else{l=(k|0)<23;o=(f[s>>2]=127-k<<23,+n[s>>2]);e=g*((l?1.0-o:1.0)+(i-(l?a:o+a)));break a}}}}while(0);return +e}function R9b(a,b){a=+a;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0.0,k=0,l=0.0;p[s>>3]=a;c=f[s>>2]|0;d=f[s+4>>2]|0;e=Irc(c|0,d|0,52)|0;g=e&2047;e=g+-1023|0;if((e|0)>51){p[b>>3]=a;f[s>>2]=0;f[s+4>>2]=d&-2147483648;return +((c|0)==0&(d&1048575|0)==0|(e|0)!=1024?+p[s>>3]:a)}do if(g>>>0>=1023){h=Irc(-1,1048575,e|0)|0;i=J;if((h&c|0)==0&(i&d|0)==0){p[b>>3]=a;f[s>>2]=0;f[s+4>>2]=d&-2147483648;j=+p[s>>3];break}else{k=c&~h;h=d&~i;f[s>>2]=k;f[s+4>>2]=h;l=+p[s>>3];i=b;f[i>>2]=k;f[i+4>>2]=h;j=a-l;break}}else{h=b;f[h>>2]=0;f[h+4>>2]=d&-2147483648;j=a}while(0);return +j}function S9b(a){a=+a;var b=0,c=0,d=0,e=0.0,g=0,h=0,i=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,q=0.0,r=0.0,t=0.0;p[s>>3]=a;b=f[s>>2]|0;c=f[s+4>>2]|0;d=(c|0)<0;do if(d|c>>>0<1048576){if((b|0)==0&(c&2147483647|0)==0){e=-1.0/(a*a);break}if(d){e=(a-a)/0.0;break}else{p[s>>3]=a*18014398509481984.0;g=f[s+4>>2]|0;h=-1077;i=g;j=f[s>>2]|0;k=g;l=9;break}}else if(c>>>0<=2146435071)if((b|0)==0&0==0&(c|0)==1072693248)e=0.0;else{h=-1023;i=c;j=b;k=c;l=9}else e=a;while(0);if((l|0)==9){l=i+614242|0;f[s>>2]=j;f[s+4>>2]=(l&1048575)+1072079006;a=+p[s>>3]+-1.0;m=a*(a*.5);n=a/(a+2.0);o=n*n;q=o*o;p[s>>3]=a-m;j=f[s+4>>2]|0;f[s>>2]=0;f[s+4>>2]=j;r=+p[s>>3];t=a-r-m+n*(m+(q*(q*(q*.15313837699209373+.22222198432149784)+.3999999999940942)+o*(q*(q*(q*.14798198605116586+.1818357216161805)+.2857142874366239)+.6666666666666735)));q=r*.4342944818781689;o=+(h+(l>>>20)|0);m=o*.30102999566361177;n=m+q;e=n+(q+(m-n)+(t*.4342944818781689+(o*3.694239077158931e-13+(r+t)*2.5082946711645275e-11)))}return +e}function T9b(a){a=+a;var b=0,c=0,d=0.0,e=0.0;p[s>>3]=a;b=f[s+4>>2]|0;c=b&2147483647;f[s>>2]=f[s>>2];f[s+4>>2]=c;a=+p[s>>3];do if(c>>>0>1071748074)if(c>>>0>1077149696){d=1.0-0.0/a;break}else{d=1.0-2.0/(+J9b(a*2.0)+2.0);break}else{if(c>>>0>1070618798){e=+J9b(a*2.0);d=e/(e+2.0);break}if(c>>>0>1048575){e=+J9b(a*-2.0);d=-e/(e+2.0)}else d=a}while(0);return +((b|0)<0?-d:d)}function U9b(a){a=+a;return ~~+N9b(a)|0}function V9b(a){a=+a;var b=0,c=0.0;b=L9b(32)|0;c=+O9b(a);return ~~c|0}function W9b(a,b){a=a|0;b=b|0;return +(+X9b(a,b,0))}function X9b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0.0;d=u;u=u+128|0;e=d;g=e;h=g+124|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));g=e+4|0;f[g>>2]=a;h=e+8|0;f[h>>2]=-1;f[e+44>>2]=a;f[e+76>>2]=-1;Z7b(e,0);i=+e8b(e,c,1);c=(f[g>>2]|0)-(f[h>>2]|0)+(f[e+108>>2]|0)|0;if(b|0)f[b>>2]=c|0?a+c|0:a;u=d;return +i}function Y9b(a,b){a=a|0;b=b|0;return +(+X9b(a,b,1))}function Z9b(a,b){a=a|0;b=b|0;return +(+X9b(a,b,2))}function _9b(a,b,c){a=a|0;b=b|0;c=c|0;return +(+W9b(a,b))}function $9b(a,b,c){a=a|0;b=b|0;c=c|0;return +(+Y9b(a,b))}function aac(a,b,c){a=a|0;b=b|0;c=c|0;return +(+Z9b(a,b))}function bac(a){a=a|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;c=a;while(1){d=b[c>>0]|0;e=d<<24>>24;f=c+1|0;if(!(Y7b(e)|0))break;else c=f}switch(e|0){case 45:{g=1;h=5;break}case 43:{g=0;h=5;break}default:{i=0;j=c;k=d}}if((h|0)==5){i=g;j=f;k=b[f>>0]|0}f=(k<<24>>24)+-48|0;if(f>>>0<10){k=0;g=j;j=f;while(1){g=g+1|0;f=(k*10|0)-j|0;j=(b[g>>0]|0)+-48|0;if(j>>>0>=10){l=f;break}else k=f}}else l=0;return (i|0?l:0-l|0)|0}function cac(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=o9b(a,b,c,-1,-1)|0;return d|0}function dac(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=o9b(a,b,c,0,-2147483648)|0;return d|0}function eac(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=o9b(a,b,c,-2147483648,0)|0;return d|0}function fac(a){a=a|0;return +(+Y9b(a,0))}function gac(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;a:do if(!d)e=0;else{f=a;g=d;h=c;while(1){i=b[f>>0]|0;j=b[h>>0]|0;if(i<<24>>24!=j<<24>>24)break;g=g+-1|0;if(!g){e=0;break a}else{f=f+1|0;h=h+1|0}}e=(i&255)-(j&255)|0}while(0);return e|0}function hac(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0;e=c&255;c=d;while(1){if(!c){f=0;break}c=c+-1|0;d=a+c|0;if((b[d>>0]|0)==e<<24>>24){f=d;break}}return f|0}function iac(a,b){a=a|0;b=b|0;return hac(a,b,(s8b(a)|0)+1|0)|0}function jac(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if(c|0){d=c;c=a;while(1){d=d+-1|0;f[c>>2]=b;if(!d)break;else c=c+4|0}}return a|0}function kac(a,c){a=a|0;c=c|0;var d=0,e=0,f=0;d=b[c>>0]|0;do if(d<<24>>24){e=C8b(a,d<<24>>24)|0;if(e)if(b[c+1>>0]|0)if(b[e+1>>0]|0){if(!(b[c+2>>0]|0)){f=lac(e,c)|0;break}if(b[e+2>>0]|0){if(!(b[c+3>>0]|0)){f=mac(e,c)|0;break}if(b[e+3>>0]|0)if(!(b[c+4>>0]|0)){f=nac(e,c)|0;break}else{f=oac(e,c)|0;break}else f=0}else f=0}else f=0;else f=e;else f=0}else f=a;while(0);return f|0}function lac(a,c){a=a|0;c=c|0;var d=0,e=0,f=0,g=0;d=(h[c>>0]|0)<<8|(h[c+1>>0]|0);c=h[a>>0]|0;e=a;while(1){a=e+1|0;f=b[a>>0]|0;if(!(f<<24>>24)){g=0;break}c=f&255|c<<8&65280;if((c|0)==(d|0)){g=e;break}else e=a}return g|0}function mac(a,c){a=a|0;c=c|0;var d=0,e=0,f=0,g=0,i=0,j=0;d=(h[c+1>>0]|0)<<16|(h[c>>0]|0)<<24|(h[c+2>>0]|0)<<8;c=a+2|0;e=b[c>>0]|0;f=(h[a+1>>0]|0)<<16|(h[a>>0]|0)<<24|(e&255)<<8;a=e<<24>>24!=0;if((f|0)==(d|0)|a^1){g=c;i=a}else{a=c;c=f;while(1){f=a+1|0;e=b[f>>0]|0;c=(e&255|c)<<8;j=e<<24>>24!=0;if((c|0)==(d|0)|j^1){g=f;i=j;break}else a=f}}return (i?g+-2|0:0)|0}function nac(a,c){a=a|0;c=c|0;var d=0,e=0,f=0,g=0,i=0,j=0;d=(h[c+1>>0]|0)<<16|(h[c>>0]|0)<<24|(h[c+2>>0]|0)<<8|(h[c+3>>0]|0);c=a+3|0;e=b[c>>0]|0;f=e&255|((h[a+1>>0]|0)<<16|(h[a>>0]|0)<<24|(h[a+2>>0]|0)<<8);a=e<<24>>24!=0;if((f|0)==(d|0)|a^1){g=a;i=c}else{a=c;c=f;while(1){f=a+1|0;e=b[f>>0]|0;c=e&255|c<<8;j=e<<24>>24!=0;if((c|0)==(d|0)|j^1){g=j;i=f;break}else a=f}}return (g?i+-3|0:0)|0}function oac(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;d=u;u=u+1056|0;e=d+1024|0;g=d;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[e+28>>2]=0;h=b[c>>0]|0;a:do if(h<<24>>24){i=0;j=h;k=h&255;while(1){if(!(b[a+i>>0]|0)){l=0;break a}m=e+(((j&255)>>>5&255)<<2)|0;f[m>>2]=f[m>>2]|1<<(j&31);i=i+1|0;f[g+(k<<2)>>2]=i;m=b[c+i>>0]|0;if(!(m<<24>>24))break;else{j=m;k=m&255}}k=i>>>0>1;if(k){j=0;m=-1;n=1;b:while(1){o=1;p=j;q=n;while(1){r=p;s=q;c:while(1){t=1;v=s;while(1){w=b[c+(t+m)>>0]|0;x=b[c+v>>0]|0;if(w<<24>>24!=x<<24>>24)break c;if((t|0)==(o|0))break;t=t+1|0;y=t+r|0;if(y>>>0>=i>>>0){z=o;A=m;break b}else v=y}t=o+r|0;s=t+1|0;if(s>>>0>=i>>>0){z=o;A=m;break b}else r=t}s=v-m|0;if((w&255)<=(x&255))break;q=v+1|0;if(q>>>0>=i>>>0){z=s;A=m;break b}else{o=s;p=v}}n=r+2|0;if(n>>>0>=i>>>0){z=1;A=r;break}else{j=r+1|0;m=r}}if(k){m=0;j=-1;n=1;while(1){p=1;o=m;q=n;while(1){B=o;s=q;d:while(1){t=1;C=s;while(1){D=b[c+(t+j)>>0]|0;E=b[c+C>>0]|0;if(D<<24>>24!=E<<24>>24)break d;if((t|0)==(p|0))break;t=t+1|0;y=t+B|0;if(y>>>0>=i>>>0){F=z;G=A;H=i;I=p;J=j;K=27;break a}else C=y}t=p+B|0;s=t+1|0;if(s>>>0>=i>>>0){F=z;G=A;H=i;I=p;J=j;K=27;break a}else B=t}s=C-j|0;if((D&255)>=(E&255))break;q=C+1|0;if(q>>>0>=i>>>0){F=z;G=A;H=i;I=s;J=j;K=27;break a}else{p=s;o=C}}n=B+2|0;if(n>>>0>=i>>>0){F=z;G=A;H=i;I=1;J=B;K=27;break}else{m=B+1|0;j=B}}}else{F=z;G=A;H=i;I=1;J=-1;K=27}}else{F=1;G=-1;H=i;I=1;J=-1;K=27}}else{F=1;G=-1;H=0;I=1;J=-1;K=27}while(0);e:do if((K|0)==27){A=(J+1|0)>>>0>(G+1|0)>>>0;z=A?I:F;B=A?J:G;A=B+1|0;if(!(gac(c,c+z|0,A)|0)){L=H-z|0;M=z}else{z=H-B+-1|0;L=0;M=(B>>>0>z>>>0?B:z)+1|0}z=H|63;C=H+-1|0;E=(L|0)!=0;D=H-M|0;r=a;v=0;x=a;while(1){w=r;do if((x-w|0)>>>0<H>>>0){h=F7b(x,0,z)|0;if(h)if((h-w|0)>>>0<H>>>0){l=0;break e}else{N=h;break}else{N=x+z|0;break}}else N=x;while(0);w=b[r+C>>0]|0;f:do if(!(1<<(w&31)&f[e+(((w&255)>>>5&255)<<2)>>2])){O=0;P=H}else{h=H-(f[g+((w&255)<<2)>>2]|0)|0;if(h|0){O=0;P=E&(v|0)!=0&h>>>0<M>>>0?D:h;break}h=A>>>0>v>>>0?A:v;j=b[c+h>>0]|0;g:do if(!(j<<24>>24))Q=A;else{m=h;n=j;while(1){if(n<<24>>24!=(b[r+m>>0]|0))break;k=m+1|0;n=b[c+k>>0]|0;if(!(n<<24>>24)){Q=A;break g}else m=k}O=0;P=m-B|0;break f}while(0);while(1){if(Q>>>0<=v>>>0){l=r;break e}Q=Q+-1|0;if((b[c+Q>>0]|0)!=(b[r+Q>>0]|0)){O=L;P=M;break}}}while(0);r=r+P|0;v=O;x=N}}while(0);u=d;return l|0}function pac(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;if(a-b>>2>>>0>=c>>>0){if(c|0){d=b;e=a;g=c;while(1){g=g+-1|0;f[e>>2]=f[d>>2];if(!g)break;else{d=d+4|0;e=e+4|0}}}}else{e=c;do{e=e+-1|0;f[a+(e<<2)>>2]=f[b+(e<<2)>>2]}while((e|0)!=0)}return a|0}function qac(a,b,c){a=a|0;b=b|0;c=c|0;return b8b(0,a,b,c|0?c:892592)|0}function rac(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;e=u;u=u+272|0;g=e+8|0;h=e;i=f[b>>2]|0;f[h>>2]=i;j=(a|0)!=0;k=j?d:256;d=j?a:g;a=i;a:do if((k|0)!=0&(i|0)!=0){l=0;m=c;n=k;o=d;p=a;while(1){q=m>>>0>=n>>>0;if(!(q|m>>>0>32)){r=o;s=l;t=m;v=n;w=p;break a}x=q?n:m;y=m-x|0;q=R8b(o,h,x,0)|0;if((q|0)==-1)break;x=(o|0)==(g|0);z=n-(x?0:q)|0;A=x?o:o+q|0;x=q+l|0;q=f[h>>2]|0;if((z|0)!=0&(q|0)!=0){l=x;m=y;n=z;o=A;p=q}else{r=A;s=x;t=y;v=z;w=q;break a}}r=o;s=-1;t=y;v=0;w=f[h>>2]|0}else{r=d;s=0;t=c;v=k;w=a}while(0);b:do if((w|0)!=0?(v|0)!=0&(t|0)!=0:0){a=s;k=t;c=r;d=v;y=w;while(1){B=M7b(c,f[y>>2]|0,0)|0;if((B+1|0)>>>0<2)break;y=(f[h>>2]|0)+4|0;f[h>>2]=y;k=k+-1|0;d=d-B|0;g=B+a|0;if(!((d|0)!=0&(k|0)!=0)){C=g;break b}else{a=g;c=c+B|0}}if(!B){f[h>>2]=0;C=a}else C=-1}else C=s;while(0);if(j)f[b>>2]=f[h>>2];u=e;return C|0}function sac(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[e>>2]=a;f[e+4>>2]=b;f[e+8>>2]=c;c=e7b(ff(4,e|0)|0)|0;u=d;return c|0}function tac(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[e>>2]=a;f[e+4>>2]=b;f[e+8>>2]=c;c=e7b(he(3,e|0)|0)|0;u=d;return c|0}function uac(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;d=cac(a,b,c)|0;return d|0}function vac(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;d=dac(a,b,c)|0;return d|0}function wac(){return 158216}function xac(){return 158220}function yac(){return 159760}function zac(){var a=0;a=(Aac()|0)+188|0;return (f[f[a>>2]>>2]|0?4:1)|0}function Aac(){return h7b()|0}function Bac(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;e=a;a=c;a:while(1){c=a;f=a+-1|0;g=e;while(1){h=g;b:while(1){i=h;j=c-i|0;k=h+1|0;switch(j|0){case 1:case 0:{break a;break}case 2:{l=5;break a;break}case 3:{l=7;break a;break}case 4:{l=8;break a;break}case 5:{l=9;break a;break}default:{}}if((j|0)<31){l=11;break a}m=h+(j>>>1)|0;if((j|0)>999){n=j>>>2;o=Eac(h,h+n|0,m,m+n|0,f,d)|0}else o=Cac(h,m,f,d)|0;p=b[h>>0]|0;n=b[m>>0]|0;if(p<<24>>24<n<<24>>24){q=f;r=o;break}else s=f;while(1){s=s+-1|0;if((h|0)==(s|0))break;t=b[s>>0]|0;if(t<<24>>24<n<<24>>24){l=28;break b}}n=b[f>>0]|0;if(p<<24>>24<n<<24>>24)u=k;else{j=k;while(1){if((j|0)==(f|0))break a;v=b[j>>0]|0;w=j+1|0;if(p<<24>>24<v<<24>>24)break;else j=w}b[j>>0]=n;b[f>>0]=v;u=w}if((u|0)==(f|0))break a;else{x=f;y=u}while(1){z=b[h>>0]|0;A=y;while(1){B=b[A>>0]|0;C=A+1|0;if(z<<24>>24<B<<24>>24){D=x;break}else A=C}do{D=D+-1|0;E=b[D>>0]|0}while(z<<24>>24<E<<24>>24);if(A>>>0>=D>>>0){h=A;continue b}b[A>>0]=E;b[D>>0]=B;x=D;y=C}}if((l|0)==28){l=0;b[h>>0]=t;b[s>>0]=p;q=s;r=o+1|0}c:do if(k>>>0<q>>>0){n=m;j=q;z=k;F=r;while(1){G=b[n>>0]|0;H=z;while(1){I=b[H>>0]|0;J=H+1|0;if(I<<24>>24<G<<24>>24)H=J;else{K=j;break}}do{K=K+-1|0;L=b[K>>0]|0}while(L<<24>>24>=G<<24>>24);if(H>>>0>K>>>0){M=n;N=F;O=H;break c}b[H>>0]=L;b[K>>0]=I;n=(n|0)==(H|0)?K:n;j=K;z=J;F=F+1|0}}else{M=m;N=r;O=k}while(0);if((O|0)!=(M|0)?(F=b[M>>0]|0,z=b[O>>0]|0,F<<24>>24<z<<24>>24):0){b[O>>0]=F;b[M>>0]=z;P=N+1|0}else P=N;if(!P){Q=Gac(h,O,d)|0;z=O+1|0;if(Gac(z,a,d)|0){l=45;break}if(Q){g=z;continue}else R=z}else R=O+1|0;z=O;if((z-i|0)>=(c-z|0)){l=44;break}Bac(h,O,d);g=R}if((l|0)==44){l=0;Bac(R,a,d);e=h;a=O;continue}else if((l|0)==45){l=0;if(Q)break;else{e=h;a=O;continue}}}if((l|0)==5){O=b[f>>0]|0;e=b[h>>0]|0;if(O<<24>>24<e<<24>>24){b[h>>0]=O;b[f>>0]=e}}else if((l|0)==7)Cac(h,k,f,d)|0;else if((l|0)==8)Dac(h,k,h+2|0,f,d)|0;else if((l|0)==9)Eac(h,k,h+2|0,h+3|0,f,d)|0;else if((l|0)==11)Fac(h,a,d);return}function Cac(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;e=b[c>>0]|0;f=b[a>>0]|0;g=b[d>>0]|0;h=g<<24>>24<e<<24>>24;do if(e<<24>>24<f<<24>>24){if(h){b[a>>0]=g;b[d>>0]=f;i=1;break}b[a>>0]=e;b[c>>0]=f;j=b[d>>0]|0;if(j<<24>>24<f<<24>>24){b[c>>0]=j;b[d>>0]=f;i=2}else i=1}else if(h){b[c>>0]=g;b[d>>0]=e;j=b[c>>0]|0;k=b[a>>0]|0;if(j<<24>>24<k<<24>>24){b[a>>0]=j;b[c>>0]=k;i=2}else i=1}else i=0;while(0);return i|0}function Dac(a,c,d,e,f){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;g=Cac(a,c,d,f)|0;f=b[e>>0]|0;h=b[d>>0]|0;if(f<<24>>24<h<<24>>24){b[d>>0]=f;b[e>>0]=h;h=g+1|0;e=b[d>>0]|0;f=b[c>>0]|0;if(e<<24>>24<f<<24>>24){b[c>>0]=e;b[d>>0]=f;f=b[c>>0]|0;d=b[a>>0]|0;if(f<<24>>24<d<<24>>24){b[a>>0]=f;b[c>>0]=d;i=g+3|0}else i=g+2|0}else i=h}else i=g;return i|0}function Eac(a,c,d,e,f,g){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;h=Dac(a,c,d,e,g)|0;g=b[f>>0]|0;i=b[e>>0]|0;if(g<<24>>24<i<<24>>24){b[e>>0]=g;b[f>>0]=i;i=h+1|0;f=b[e>>0]|0;g=b[d>>0]|0;if(f<<24>>24<g<<24>>24){b[d>>0]=f;b[e>>0]=g;g=h+2|0;e=b[d>>0]|0;f=b[c>>0]|0;if(e<<24>>24<f<<24>>24){b[c>>0]=e;b[d>>0]=f;f=b[c>>0]|0;d=b[a>>0]|0;if(f<<24>>24<d<<24>>24){b[a>>0]=f;b[c>>0]=d;j=h+4|0}else j=h+3|0}else j=g}else j=i}else j=h;return j|0}function Fac(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a+2|0;Cac(a,a+1|0,e,d)|0;d=a+3|0;f=e;while(1){if((d|0)==(c|0))break;e=b[d>>0]|0;g=b[f>>0]|0;if(e<<24>>24<g<<24>>24){h=f;i=d;j=g;while(1){b[i>>0]=j;if((h|0)==(a|0)){k=a;break}g=h+-1|0;j=b[g>>0]|0;if(e<<24>>24>=j<<24>>24){k=h;break}else{l=h;h=g;i=l}}b[k>>0]=e}i=d;d=d+1|0;f=i}return}function Gac(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=a+2|0;f=c+-1|0;g=a+1|0;switch(c-a|0){case 1:case 0:{h=1;break}case 2:{i=b[f>>0]|0;j=b[a>>0]|0;if(i<<24>>24<j<<24>>24){b[a>>0]=i;b[f>>0]=j;h=1}else h=1;break}case 3:{Cac(a,g,f,d)|0;h=1;break}case 4:{Dac(a,g,e,f,d)|0;h=1;break}case 5:{Eac(a,g,e,a+3|0,f,d)|0;h=1;break}default:{Cac(a,g,e,d)|0;d=a+3|0;g=0;f=e;while(1){if((d|0)==(c|0)){k=1;l=0;break}e=b[d>>0]|0;j=b[f>>0]|0;if(e<<24>>24<j<<24>>24){i=f;m=d;n=j;while(1){b[m>>0]=n;if((i|0)==(a|0)){o=a;break}j=i+-1|0;n=b[j>>0]|0;if(e<<24>>24>=n<<24>>24){o=i;break}else{p=i;i=j;m=p}}b[o>>0]=e;m=g+1|0;if((m|0)==8){k=0;l=(d+1|0)==(c|0);break}else q=m}else q=g;m=d;d=d+1|0;g=q;f=m}h=l|k}}return h|0}function Hac(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;e=a;a=c;a:while(1){c=a;f=a+-1|0;g=e;while(1){h=g;b:while(1){i=h;j=c-i|0;k=h+1|0;switch(j|0){case 1:case 0:{break a;break}case 2:{l=5;break a;break}case 3:{l=7;break a;break}case 4:{l=8;break a;break}case 5:{l=9;break a;break}default:{}}if((j|0)<31){l=11;break a}m=h+(j>>>1)|0;if((j|0)>999){n=j>>>2;o=Kac(h,h+n|0,m,m+n|0,f,d)|0}else o=Iac(h,m,f,d)|0;p=b[h>>0]|0;n=b[m>>0]|0;if((p&255)<(n&255)){q=f;r=o;break}else s=f;while(1){s=s+-1|0;if((h|0)==(s|0))break;t=b[s>>0]|0;if((t&255)<(n&255)){l=28;break b}}n=b[f>>0]|0;if((p&255)<(n&255))u=k;else{j=k;while(1){if((j|0)==(f|0))break a;v=b[j>>0]|0;w=j+1|0;if((p&255)<(v&255))break;else j=w}b[j>>0]=n;b[f>>0]=v;u=w}if((u|0)==(f|0))break a;else{x=f;y=u}while(1){z=b[h>>0]|0;A=y;while(1){B=b[A>>0]|0;C=A+1|0;if((z&255)<(B&255)){D=x;break}else A=C}do{D=D+-1|0;E=b[D>>0]|0}while((z&255)<(E&255));if(A>>>0>=D>>>0){h=A;continue b}b[A>>0]=E;b[D>>0]=B;x=D;y=C}}if((l|0)==28){l=0;b[h>>0]=t;b[s>>0]=p;q=s;r=o+1|0}c:do if(k>>>0<q>>>0){n=m;j=q;z=k;F=r;while(1){G=b[n>>0]|0;H=z;while(1){I=b[H>>0]|0;J=H+1|0;if((I&255)<(G&255))H=J;else{K=j;break}}do{K=K+-1|0;L=b[K>>0]|0}while((L&255)>=(G&255));if(H>>>0>K>>>0){M=n;N=F;O=H;break c}b[H>>0]=L;b[K>>0]=I;n=(n|0)==(H|0)?K:n;j=K;z=J;F=F+1|0}}else{M=m;N=r;O=k}while(0);if((O|0)!=(M|0)?(F=b[M>>0]|0,z=b[O>>0]|0,(F&255)<(z&255)):0){b[O>>0]=F;b[M>>0]=z;P=N+1|0}else P=N;if(!P){Q=Mac(h,O,d)|0;z=O+1|0;if(Mac(z,a,d)|0){l=45;break}if(Q){g=z;continue}else R=z}else R=O+1|0;z=O;if((z-i|0)>=(c-z|0)){l=44;break}Hac(h,O,d);g=R}if((l|0)==44){l=0;Hac(R,a,d);e=h;a=O;continue}else if((l|0)==45){l=0;if(Q)break;else{e=h;a=O;continue}}}if((l|0)==5){O=b[f>>0]|0;e=b[h>>0]|0;if((O&255)<(e&255)){b[h>>0]=O;b[f>>0]=e}}else if((l|0)==7)Iac(h,k,f,d)|0;else if((l|0)==8)Jac(h,k,h+2|0,f,d)|0;else if((l|0)==9)Kac(h,k,h+2|0,h+3|0,f,d)|0;else if((l|0)==11)Lac(h,a,d);return}function Iac(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;e=b[c>>0]|0;f=b[a>>0]|0;g=b[d>>0]|0;h=(g&255)<(e&255);do if((e&255)<(f&255)){if(h){b[a>>0]=g;b[d>>0]=f;i=1;break}b[a>>0]=e;b[c>>0]=f;j=b[d>>0]|0;if((j&255)<(f&255)){b[c>>0]=j;b[d>>0]=f;i=2}else i=1}else if(h){b[c>>0]=g;b[d>>0]=e;j=b[c>>0]|0;k=b[a>>0]|0;if((j&255)<(k&255)){b[a>>0]=j;b[c>>0]=k;i=2}else i=1}else i=0;while(0);return i|0}function Jac(a,c,d,e,f){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;g=Iac(a,c,d,f)|0;f=b[e>>0]|0;h=b[d>>0]|0;if((f&255)<(h&255)){b[d>>0]=f;b[e>>0]=h;h=g+1|0;e=b[d>>0]|0;f=b[c>>0]|0;if((e&255)<(f&255)){b[c>>0]=e;b[d>>0]=f;f=b[c>>0]|0;d=b[a>>0]|0;if((f&255)<(d&255)){b[a>>0]=f;b[c>>0]=d;i=g+3|0}else i=g+2|0}else i=h}else i=g;return i|0}function Kac(a,c,d,e,f,g){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;h=Jac(a,c,d,e,g)|0;g=b[f>>0]|0;i=b[e>>0]|0;if((g&255)<(i&255)){b[e>>0]=g;b[f>>0]=i;i=h+1|0;f=b[e>>0]|0;g=b[d>>0]|0;if((f&255)<(g&255)){b[d>>0]=f;b[e>>0]=g;g=h+2|0;e=b[d>>0]|0;f=b[c>>0]|0;if((e&255)<(f&255)){b[c>>0]=e;b[d>>0]=f;f=b[c>>0]|0;d=b[a>>0]|0;if((f&255)<(d&255)){b[a>>0]=f;b[c>>0]=d;j=h+4|0}else j=h+3|0}else j=g}else j=i}else j=h;return j|0}function Lac(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a+2|0;Iac(a,a+1|0,e,d)|0;d=a+3|0;f=e;while(1){if((d|0)==(c|0))break;e=b[d>>0]|0;g=b[f>>0]|0;if((e&255)<(g&255)){h=f;i=d;j=g;while(1){b[i>>0]=j;if((h|0)==(a|0)){k=a;break}g=h+-1|0;j=b[g>>0]|0;if((e&255)>=(j&255)){k=h;break}else{l=h;h=g;i=l}}b[k>>0]=e}i=d;d=d+1|0;f=i}return}function Mac(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=a+2|0;f=c+-1|0;g=a+1|0;switch(c-a|0){case 1:case 0:{h=1;break}case 2:{i=b[f>>0]|0;j=b[a>>0]|0;if((i&255)<(j&255)){b[a>>0]=i;b[f>>0]=j;h=1}else h=1;break}case 3:{Iac(a,g,f,d)|0;h=1;break}case 4:{Jac(a,g,e,f,d)|0;h=1;break}case 5:{Kac(a,g,e,a+3|0,f,d)|0;h=1;break}default:{Iac(a,g,e,d)|0;d=a+3|0;g=0;f=e;while(1){if((d|0)==(c|0)){k=1;l=0;break}e=b[d>>0]|0;j=b[f>>0]|0;if((e&255)<(j&255)){i=f;m=d;n=j;while(1){b[m>>0]=n;if((i|0)==(a|0)){o=a;break}j=i+-1|0;n=b[j>>0]|0;if((e&255)>=(n&255)){o=i;break}else{p=i;i=j;m=p}}b[o>>0]=e;m=g+1|0;if((m|0)==8){k=0;l=(d+1|0)==(c|0);break}else q=m}else q=g;m=d;d=d+1|0;g=q;f=m}h=l|k}}return h|0}function Nac(a,b,c){a=a|0;b=b|0;c=c|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;e=a;a=b;a:while(1){b=a;f=a+-2|0;g=e;while(1){h=g;b:while(1){i=h;j=b-i|0;k=j>>1;l=h+2|0;switch(k|0){case 1:case 0:{break a;break}case 2:{m=5;break a;break}case 3:{m=7;break a;break}case 4:{m=8;break a;break}case 5:{m=9;break a;break}default:{}}if((j|0)<62){m=11;break a}n=h+(((k|0)/2|0)<<1)|0;if((j|0)>1998){j=(k|0)/4|0;o=Qac(h,h+(j<<1)|0,n,n+(j<<1)|0,f,c)|0}else o=Oac(h,n,f,c)|0;p=d[h>>1]|0;j=d[n>>1]|0;if(p<<16>>16<j<<16>>16){q=f;r=o;break}else s=f;while(1){s=s+-2|0;if((h|0)==(s|0))break;t=d[s>>1]|0;if(t<<16>>16<j<<16>>16){m=28;break b}}j=d[f>>1]|0;if(p<<16>>16<j<<16>>16)u=l;else{k=l;while(1){if((k|0)==(f|0))break a;v=d[k>>1]|0;w=k+2|0;if(p<<16>>16<v<<16>>16)break;else k=w}d[k>>1]=j;d[f>>1]=v;u=w}if((u|0)==(f|0))break a;else{x=f;y=u}while(1){z=d[h>>1]|0;A=y;while(1){B=d[A>>1]|0;C=A+2|0;if(z<<16>>16<B<<16>>16){D=x;break}else A=C}do{D=D+-2|0;E=d[D>>1]|0}while(z<<16>>16<E<<16>>16);if(A>>>0>=D>>>0){h=A;continue b}d[A>>1]=E;d[D>>1]=B;x=D;y=C}}if((m|0)==28){m=0;d[h>>1]=t;d[s>>1]=p;q=s;r=o+1|0}c:do if(l>>>0<q>>>0){j=n;k=q;z=l;F=r;while(1){G=d[j>>1]|0;H=z;while(1){I=d[H>>1]|0;J=H+2|0;if(I<<16>>16<G<<16>>16)H=J;else{K=k;break}}do{K=K+-2|0;L=d[K>>1]|0}while(L<<16>>16>=G<<16>>16);if(H>>>0>K>>>0){M=j;N=F;O=H;break c}d[H>>1]=L;d[K>>1]=I;j=(j|0)==(H|0)?K:j;k=K;z=J;F=F+1|0}}else{M=n;N=r;O=l}while(0);if((O|0)!=(M|0)?(F=d[M>>1]|0,z=d[O>>1]|0,F<<16>>16<z<<16>>16):0){d[O>>1]=F;d[M>>1]=z;P=N+1|0}else P=N;if(!P){Q=Sac(h,O,c)|0;z=O+2|0;if(Sac(z,a,c)|0){m=45;break}if(Q){g=z;continue}else R=z}else R=O+2|0;z=O;if((z-i|0)>=(b-z|0)){m=44;break}Nac(h,O,c);g=R}if((m|0)==44){m=0;Nac(R,a,c);e=h;a=O;continue}else if((m|0)==45){m=0;if(Q)break;else{e=h;a=O;continue}}}if((m|0)==5){O=d[f>>1]|0;e=d[h>>1]|0;if(O<<16>>16<e<<16>>16){d[h>>1]=O;d[f>>1]=e}}else if((m|0)==7)Oac(h,l,f,c)|0;else if((m|0)==8)Pac(h,l,h+4|0,f,c)|0;else if((m|0)==9)Qac(h,l,h+4|0,h+6|0,f,c)|0;else if((m|0)==11)Rac(h,a,c);return}function Oac(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;e=d[b>>1]|0;f=d[a>>1]|0;g=d[c>>1]|0;h=g<<16>>16<e<<16>>16;do if(e<<16>>16<f<<16>>16){if(h){d[a>>1]=g;d[c>>1]=f;i=1;break}d[a>>1]=e;d[b>>1]=f;j=d[c>>1]|0;if(j<<16>>16<f<<16>>16){d[b>>1]=j;d[c>>1]=f;i=2}else i=1}else if(h){d[b>>1]=g;d[c>>1]=e;j=d[b>>1]|0;k=d[a>>1]|0;if(j<<16>>16<k<<16>>16){d[a>>1]=j;d[b>>1]=k;i=2}else i=1}else i=0;while(0);return i|0}function Pac(a,b,c,e,f){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;var g=0,h=0,i=0;g=Oac(a,b,c,f)|0;f=d[e>>1]|0;h=d[c>>1]|0;if(f<<16>>16<h<<16>>16){d[c>>1]=f;d[e>>1]=h;h=g+1|0;e=d[c>>1]|0;f=d[b>>1]|0;if(e<<16>>16<f<<16>>16){d[b>>1]=e;d[c>>1]=f;f=d[b>>1]|0;c=d[a>>1]|0;if(f<<16>>16<c<<16>>16){d[a>>1]=f;d[b>>1]=c;i=g+3|0}else i=g+2|0}else i=h}else i=g;return i|0}function Qac(a,b,c,e,f,g){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;h=Pac(a,b,c,e,g)|0;g=d[f>>1]|0;i=d[e>>1]|0;if(g<<16>>16<i<<16>>16){d[e>>1]=g;d[f>>1]=i;i=h+1|0;f=d[e>>1]|0;g=d[c>>1]|0;if(f<<16>>16<g<<16>>16){d[c>>1]=f;d[e>>1]=g;g=h+2|0;e=d[c>>1]|0;f=d[b>>1]|0;if(e<<16>>16<f<<16>>16){d[b>>1]=e;d[c>>1]=f;f=d[b>>1]|0;c=d[a>>1]|0;if(f<<16>>16<c<<16>>16){d[a>>1]=f;d[b>>1]=c;j=h+4|0}else j=h+3|0}else j=g}else j=i}else j=h;return j|0}function Rac(a,b,c){a=a|0;b=b|0;c=c|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a+4|0;Oac(a,a+2|0,e,c)|0;c=a+6|0;f=e;while(1){if((c|0)==(b|0))break;e=d[c>>1]|0;g=d[f>>1]|0;if(e<<16>>16<g<<16>>16){h=f;i=c;j=g;while(1){d[i>>1]=j;if((h|0)==(a|0)){k=a;break}g=h+-2|0;j=d[g>>1]|0;if(e<<16>>16>=j<<16>>16){k=h;break}else{l=h;h=g;i=l}}d[k>>1]=e}i=c;c=c+2|0;f=i}return}function Sac(a,b,c){a=a|0;b=b|0;c=c|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=a+4|0;f=a+2|0;g=b+-2|0;switch(b-a>>1|0){case 1:case 0:{h=1;break}case 2:{i=d[g>>1]|0;j=d[a>>1]|0;if(i<<16>>16<j<<16>>16){d[a>>1]=i;d[g>>1]=j;h=1}else h=1;break}case 3:{Oac(a,f,g,c)|0;h=1;break}case 4:{Pac(a,f,e,g,c)|0;h=1;break}case 5:{Qac(a,f,e,a+6|0,g,c)|0;h=1;break}default:{Oac(a,f,e,c)|0;c=a+6|0;f=0;g=e;while(1){if((c|0)==(b|0)){k=1;l=0;break}e=d[c>>1]|0;j=d[g>>1]|0;if(e<<16>>16<j<<16>>16){i=g;m=c;n=j;while(1){d[m>>1]=n;if((i|0)==(a|0)){o=a;break}j=i+-2|0;n=d[j>>1]|0;if(e<<16>>16>=n<<16>>16){o=i;break}else{p=i;i=j;m=p}}d[o>>1]=e;m=f+1|0;if((m|0)==8){k=0;l=(c+2|0)==(b|0);break}else q=m}else q=f;m=c;c=c+2|0;f=q;g=m}h=l|k}}return h|0}function Tac(a,b,c){a=a|0;b=b|0;c=c|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;e=a;a=b;a:while(1){b=a;f=a+-2|0;g=e;while(1){h=g;b:while(1){i=h;j=b-i|0;k=j>>1;l=h+2|0;switch(k|0){case 1:case 0:{break a;break}case 2:{m=5;break a;break}case 3:{m=7;break a;break}case 4:{m=8;break a;break}case 5:{m=9;break a;break}default:{}}if((j|0)<62){m=11;break a}n=h+(((k|0)/2|0)<<1)|0;if((j|0)>1998){j=(k|0)/4|0;o=Wac(h,h+(j<<1)|0,n,n+(j<<1)|0,f,c)|0}else o=Uac(h,n,f,c)|0;p=d[h>>1]|0;j=d[n>>1]|0;if((p&65535)<(j&65535)){q=f;r=o;break}else s=f;while(1){s=s+-2|0;if((h|0)==(s|0))break;t=d[s>>1]|0;if((t&65535)<(j&65535)){m=28;break b}}j=d[f>>1]|0;if((p&65535)<(j&65535))u=l;else{k=l;while(1){if((k|0)==(f|0))break a;v=d[k>>1]|0;w=k+2|0;if((p&65535)<(v&65535))break;else k=w}d[k>>1]=j;d[f>>1]=v;u=w}if((u|0)==(f|0))break a;else{x=f;y=u}while(1){z=d[h>>1]|0;A=y;while(1){B=d[A>>1]|0;C=A+2|0;if((z&65535)<(B&65535)){D=x;break}else A=C}do{D=D+-2|0;E=d[D>>1]|0}while((z&65535)<(E&65535));if(A>>>0>=D>>>0){h=A;continue b}d[A>>1]=E;d[D>>1]=B;x=D;y=C}}if((m|0)==28){m=0;d[h>>1]=t;d[s>>1]=p;q=s;r=o+1|0}c:do if(l>>>0<q>>>0){j=n;k=q;z=l;F=r;while(1){G=d[j>>1]|0;H=z;while(1){I=d[H>>1]|0;J=H+2|0;if((I&65535)<(G&65535))H=J;else{K=k;break}}do{K=K+-2|0;L=d[K>>1]|0}while((L&65535)>=(G&65535));if(H>>>0>K>>>0){M=j;N=F;O=H;break c}d[H>>1]=L;d[K>>1]=I;j=(j|0)==(H|0)?K:j;k=K;z=J;F=F+1|0}}else{M=n;N=r;O=l}while(0);if((O|0)!=(M|0)?(F=d[M>>1]|0,z=d[O>>1]|0,(F&65535)<(z&65535)):0){d[O>>1]=F;d[M>>1]=z;P=N+1|0}else P=N;if(!P){Q=Yac(h,O,c)|0;z=O+2|0;if(Yac(z,a,c)|0){m=45;break}if(Q){g=z;continue}else R=z}else R=O+2|0;z=O;if((z-i|0)>=(b-z|0)){m=44;break}Tac(h,O,c);g=R}if((m|0)==44){m=0;Tac(R,a,c);e=h;a=O;continue}else if((m|0)==45){m=0;if(Q)break;else{e=h;a=O;continue}}}if((m|0)==5){O=d[f>>1]|0;e=d[h>>1]|0;if((O&65535)<(e&65535)){d[h>>1]=O;d[f>>1]=e}}else if((m|0)==7)Uac(h,l,f,c)|0;else if((m|0)==8)Vac(h,l,h+4|0,f,c)|0;else if((m|0)==9)Wac(h,l,h+4|0,h+6|0,f,c)|0;else if((m|0)==11)Xac(h,a,c);return}function Uac(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;e=d[b>>1]|0;f=d[a>>1]|0;g=d[c>>1]|0;h=(g&65535)<(e&65535);do if((e&65535)<(f&65535)){if(h){d[a>>1]=g;d[c>>1]=f;i=1;break}d[a>>1]=e;d[b>>1]=f;j=d[c>>1]|0;if((j&65535)<(f&65535)){d[b>>1]=j;d[c>>1]=f;i=2}else i=1}else if(h){d[b>>1]=g;d[c>>1]=e;j=d[b>>1]|0;k=d[a>>1]|0;if((j&65535)<(k&65535)){d[a>>1]=j;d[b>>1]=k;i=2}else i=1}else i=0;while(0);return i|0}function Vac(a,b,c,e,f){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;var g=0,h=0,i=0;g=Uac(a,b,c,f)|0;f=d[e>>1]|0;h=d[c>>1]|0;if((f&65535)<(h&65535)){d[c>>1]=f;d[e>>1]=h;h=g+1|0;e=d[c>>1]|0;f=d[b>>1]|0;if((e&65535)<(f&65535)){d[b>>1]=e;d[c>>1]=f;f=d[b>>1]|0;c=d[a>>1]|0;if((f&65535)<(c&65535)){d[a>>1]=f;d[b>>1]=c;i=g+3|0}else i=g+2|0}else i=h}else i=g;return i|0}function Wac(a,b,c,e,f,g){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;h=Vac(a,b,c,e,g)|0;g=d[f>>1]|0;i=d[e>>1]|0;if((g&65535)<(i&65535)){d[e>>1]=g;d[f>>1]=i;i=h+1|0;f=d[e>>1]|0;g=d[c>>1]|0;if((f&65535)<(g&65535)){d[c>>1]=f;d[e>>1]=g;g=h+2|0;e=d[c>>1]|0;f=d[b>>1]|0;if((e&65535)<(f&65535)){d[b>>1]=e;d[c>>1]=f;f=d[b>>1]|0;c=d[a>>1]|0;if((f&65535)<(c&65535)){d[a>>1]=f;d[b>>1]=c;j=h+4|0}else j=h+3|0}else j=g}else j=i}else j=h;return j|0}function Xac(a,b,c){a=a|0;b=b|0;c=c|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a+4|0;Uac(a,a+2|0,e,c)|0;c=a+6|0;f=e;while(1){if((c|0)==(b|0))break;e=d[c>>1]|0;g=d[f>>1]|0;if((e&65535)<(g&65535)){h=f;i=c;j=g;while(1){d[i>>1]=j;if((h|0)==(a|0)){k=a;break}g=h+-2|0;j=d[g>>1]|0;if((e&65535)>=(j&65535)){k=h;break}else{l=h;h=g;i=l}}d[k>>1]=e}i=c;c=c+2|0;f=i}return}function Yac(a,b,c){a=a|0;b=b|0;c=c|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=a+4|0;f=a+2|0;g=b+-2|0;switch(b-a>>1|0){case 1:case 0:{h=1;break}case 2:{i=d[g>>1]|0;j=d[a>>1]|0;if((i&65535)<(j&65535)){d[a>>1]=i;d[g>>1]=j;h=1}else h=1;break}case 3:{Uac(a,f,g,c)|0;h=1;break}case 4:{Vac(a,f,e,g,c)|0;h=1;break}case 5:{Wac(a,f,e,a+6|0,g,c)|0;h=1;break}default:{Uac(a,f,e,c)|0;c=a+6|0;f=0;g=e;while(1){if((c|0)==(b|0)){k=1;l=0;break}e=d[c>>1]|0;j=d[g>>1]|0;if((e&65535)<(j&65535)){i=g;m=c;n=j;while(1){d[m>>1]=n;if((i|0)==(a|0)){o=a;break}j=i+-2|0;n=d[j>>1]|0;if((e&65535)>=(n&65535)){o=i;break}else{p=i;i=j;m=p}}d[o>>1]=e;m=f+1|0;if((m|0)==8){k=0;l=(c+2|0)==(b|0);break}else q=m}else q=f;m=c;c=c+2|0;f=q;g=m}h=l|k}}return h|0}function Zac(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;d=a;a=b;a:while(1){b=a;e=a+-4|0;g=d;while(1){h=g;b:while(1){i=h;j=b-i|0;k=j>>2;l=h+4|0;switch(k|0){case 1:case 0:{break a;break}case 2:{m=5;break a;break}case 3:{m=7;break a;break}case 4:{m=8;break a;break}case 5:{m=9;break a;break}default:{}}if((j|0)<124){m=11;break a}n=h+(((k|0)/2|0)<<2)|0;if((j|0)>3996){j=(k|0)/4|0;o=abc(h,h+(j<<2)|0,n,n+(j<<2)|0,e,c)|0}else o=_ac(h,n,e,c)|0;p=f[h>>2]|0;j=f[n>>2]|0;if((p|0)<(j|0)){q=e;r=o;break}else s=e;while(1){s=s+-4|0;if((h|0)==(s|0))break;t=f[s>>2]|0;if((t|0)<(j|0)){m=28;break b}}j=f[e>>2]|0;if((p|0)<(j|0))u=l;else{k=l;while(1){if((k|0)==(e|0))break a;v=f[k>>2]|0;w=k+4|0;if((p|0)<(v|0))break;else k=w}f[k>>2]=j;f[e>>2]=v;u=w}if((u|0)==(e|0))break a;else{x=e;y=u}while(1){z=f[h>>2]|0;A=y;while(1){B=f[A>>2]|0;C=A+4|0;if((z|0)<(B|0)){D=x;break}else A=C}do{D=D+-4|0;E=f[D>>2]|0}while((z|0)<(E|0));if(A>>>0>=D>>>0){h=A;continue b}f[A>>2]=E;f[D>>2]=B;x=D;y=C}}if((m|0)==28){m=0;f[h>>2]=t;f[s>>2]=p;q=s;r=o+1|0}c:do if(l>>>0<q>>>0){j=n;k=q;z=l;F=r;while(1){G=f[j>>2]|0;H=z;while(1){I=f[H>>2]|0;J=H+4|0;if((I|0)<(G|0))H=J;else{K=k;break}}do{K=K+-4|0;L=f[K>>2]|0}while((L|0)>=(G|0));if(H>>>0>K>>>0){M=j;N=F;O=H;break c}f[H>>2]=L;f[K>>2]=I;j=(j|0)==(H|0)?K:j;k=K;z=J;F=F+1|0}}else{M=n;N=r;O=l}while(0);if((O|0)!=(M|0)?(F=f[M>>2]|0,z=f[O>>2]|0,(F|0)<(z|0)):0){f[O>>2]=F;f[M>>2]=z;P=N+1|0}else P=N;if(!P){Q=cbc(h,O,c)|0;z=O+4|0;if(cbc(z,a,c)|0){m=45;break}if(Q){g=z;continue}else R=z}else R=O+4|0;z=O;if((z-i|0)>=(b-z|0)){m=44;break}Zac(h,O,c);g=R}if((m|0)==44){m=0;Zac(R,a,c);d=h;a=O;continue}else if((m|0)==45){m=0;if(Q)break;else{d=h;a=O;continue}}}if((m|0)==5){O=f[e>>2]|0;d=f[h>>2]|0;if((O|0)<(d|0)){f[h>>2]=O;f[e>>2]=d}}else if((m|0)==7)_ac(h,l,e,c)|0;else if((m|0)==8)$ac(h,l,h+8|0,e,c)|0;else if((m|0)==9)abc(h,l,h+8|0,h+12|0,e,c)|0;else if((m|0)==11)bbc(h,a,c);return}function _ac(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;d=f[b>>2]|0;e=f[a>>2]|0;g=f[c>>2]|0;h=(g|0)<(d|0);do if((d|0)<(e|0)){if(h){f[a>>2]=g;f[c>>2]=e;i=1;break}f[a>>2]=d;f[b>>2]=e;j=f[c>>2]|0;if((j|0)<(e|0)){f[b>>2]=j;f[c>>2]=e;i=2}else i=1}else if(h){f[b>>2]=g;f[c>>2]=d;j=f[b>>2]|0;k=f[a>>2]|0;if((j|0)<(k|0)){f[a>>2]=j;f[b>>2]=k;i=2}else i=1}else i=0;while(0);return i|0}function $ac(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=_ac(a,b,c,e)|0;e=f[d>>2]|0;h=f[c>>2]|0;if((e|0)<(h|0)){f[c>>2]=e;f[d>>2]=h;h=g+1|0;d=f[c>>2]|0;e=f[b>>2]|0;if((d|0)<(e|0)){f[b>>2]=d;f[c>>2]=e;e=f[b>>2]|0;c=f[a>>2]|0;if((e|0)<(c|0)){f[a>>2]=e;f[b>>2]=c;i=g+3|0}else i=g+2|0}else i=h}else i=g;return i|0}function abc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=$ac(a,b,c,d,g)|0;g=f[e>>2]|0;i=f[d>>2]|0;if((g|0)<(i|0)){f[d>>2]=g;f[e>>2]=i;i=h+1|0;e=f[d>>2]|0;g=f[c>>2]|0;if((e|0)<(g|0)){f[c>>2]=e;f[d>>2]=g;g=h+2|0;d=f[c>>2]|0;e=f[b>>2]|0;if((d|0)<(e|0)){f[b>>2]=d;f[c>>2]=e;e=f[b>>2]|0;c=f[a>>2]|0;if((e|0)<(c|0)){f[a>>2]=e;f[b>>2]=c;j=h+4|0}else j=h+3|0}else j=g}else j=i}else j=h;return j|0}function bbc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a+8|0;_ac(a,a+4|0,d,c)|0;c=a+12|0;e=d;while(1){if((c|0)==(b|0))break;d=f[c>>2]|0;g=f[e>>2]|0;if((d|0)<(g|0)){h=e;i=c;j=g;while(1){f[i>>2]=j;if((h|0)==(a|0)){k=a;break}g=h+-4|0;j=f[g>>2]|0;if((d|0)>=(j|0)){k=h;break}else{l=h;h=g;i=l}}f[k>>2]=d}i=c;c=c+4|0;e=i}return}function cbc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=a+4|0;e=b+-4|0;g=a+8|0;switch(b-a>>2|0){case 1:case 0:{h=1;break}case 2:{i=f[e>>2]|0;j=f[a>>2]|0;if((i|0)<(j|0)){f[a>>2]=i;f[e>>2]=j;h=1}else h=1;break}case 3:{_ac(a,d,e,c)|0;h=1;break}case 4:{$ac(a,d,g,e,c)|0;h=1;break}case 5:{abc(a,d,g,a+12|0,e,c)|0;h=1;break}default:{_ac(a,d,g,c)|0;c=a+12|0;d=0;e=g;while(1){if((c|0)==(b|0)){k=1;l=0;break}g=f[c>>2]|0;j=f[e>>2]|0;if((g|0)<(j|0)){i=e;m=c;n=j;while(1){f[m>>2]=n;if((i|0)==(a|0)){o=a;break}j=i+-4|0;n=f[j>>2]|0;if((g|0)>=(n|0)){o=i;break}else{p=i;i=j;m=p}}f[o>>2]=g;m=d+1|0;if((m|0)==8){k=0;l=(c+4|0)==(b|0);break}else q=m}else q=d;m=c;c=c+4|0;d=q;e=m}h=l|k}}return h|0}function dbc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0.0,q=0.0,r=0,s=0,t=0,u=0.0,v=0,w=0.0,x=0,y=0,z=0,A=0.0,B=0.0,C=0,D=0,E=0.0,F=0,G=0,H=0,I=0,J=0.0,K=0,L=0,M=0.0,N=0,O=0,P=0,Q=0,R=0,S=0;d=a;a=b;a:while(1){b=a;e=a+-4|0;f=d;while(1){g=f;b:while(1){h=g;i=b-h|0;j=i>>2;k=g+4|0;switch(j|0){case 1:case 0:{break a;break}case 2:{l=5;break a;break}case 3:{l=7;break a;break}case 4:{l=8;break a;break}case 5:{l=9;break a;break}default:{}}if((i|0)<124){l=11;break a}m=g+(((j|0)/2|0)<<2)|0;if((i|0)>3996){i=(j|0)/4|0;o=gbc(g,g+(i<<2)|0,m,m+(i<<2)|0,e,c)|0}else o=ebc(g,m,e,c)|0;p=+n[g>>2];q=+n[m>>2];if(p<q){r=e;s=o;break}else t=e;while(1){t=t+-4|0;if((g|0)==(t|0))break;u=+n[t>>2];if(u<q){l=28;break b}}q=+n[e>>2];if(p<q)v=k;else{i=k;while(1){if((i|0)==(e|0))break a;w=+n[i>>2];x=i+4|0;if(p<w)break;else i=x}n[i>>2]=q;n[e>>2]=w;v=x}if((v|0)==(e|0))break a;else{y=e;z=v}while(1){A=+n[g>>2];j=z;while(1){B=+n[j>>2];C=j+4|0;if(A<B){D=y;break}else j=C}do{D=D+-4|0;E=+n[D>>2]}while(A<E);if(j>>>0>=D>>>0){g=j;continue b}n[j>>2]=E;n[D>>2]=B;y=D;z=C}}if((l|0)==28){l=0;n[g>>2]=u;n[t>>2]=p;r=t;s=o+1|0}c:do if(k>>>0<r>>>0){i=m;F=r;G=k;H=s;while(1){q=+n[i>>2];I=G;while(1){J=+n[I>>2];K=I+4|0;if(J<q)I=K;else{L=F;break}}do{L=L+-4|0;M=+n[L>>2]}while(!(M<q));if(I>>>0>L>>>0){N=i;O=H;P=I;break c}n[I>>2]=M;n[L>>2]=J;i=(i|0)==(I|0)?L:i;F=L;G=K;H=H+1|0}}else{N=m;O=s;P=k}while(0);if((P|0)!=(N|0)?(q=+n[N>>2],A=+n[P>>2],q<A):0){n[P>>2]=q;n[N>>2]=A;Q=O+1|0}else Q=O;if(!Q){R=ibc(g,P,c)|0;H=P+4|0;if(ibc(H,a,c)|0){l=45;break}if(R){f=H;continue}else S=H}else S=P+4|0;H=P;if((H-h|0)>=(b-H|0)){l=44;break}dbc(g,P,c);f=S}if((l|0)==44){l=0;dbc(S,a,c);d=g;a=P;continue}else if((l|0)==45){l=0;if(R)break;else{d=g;a=P;continue}}}if((l|0)==5){J=+n[e>>2];M=+n[g>>2];if(J<M){n[g>>2]=J;n[e>>2]=M}}else if((l|0)==7)ebc(g,k,e,c)|0;else if((l|0)==8)fbc(g,k,g+8|0,e,c)|0;else if((l|0)==9)gbc(g,k,g+8|0,g+12|0,e,c)|0;else if((l|0)==11)hbc(g,a,c);return}function ebc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0.0,f=0.0,g=0.0,h=0,i=0.0,j=0.0;e=+n[b>>2];f=+n[a>>2];g=+n[c>>2];d=g<e;do if(e<f){if(d){n[a>>2]=g;n[c>>2]=f;h=1;break}n[a>>2]=e;n[b>>2]=f;i=+n[c>>2];if(i<f){n[b>>2]=i;n[c>>2]=f;h=2}else h=1}else if(d){n[b>>2]=g;n[c>>2]=e;i=+n[b>>2];j=+n[a>>2];if(i<j){n[a>>2]=i;n[b>>2]=j;h=2}else h=1}else h=0;while(0);return h|0}function fbc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0.0,h=0.0,i=0;f=ebc(a,b,c,e)|0;g=+n[d>>2];h=+n[c>>2];if(g<h){n[c>>2]=g;n[d>>2]=h;d=f+1|0;h=+n[c>>2];g=+n[b>>2];if(h<g){n[b>>2]=h;n[c>>2]=g;g=+n[b>>2];h=+n[a>>2];if(g<h){n[a>>2]=g;n[b>>2]=h;i=f+3|0}else i=f+2|0}else i=d}else i=f;return i|0}function gbc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0.0,i=0.0,j=0;g=fbc(a,b,c,d,f)|0;h=+n[e>>2];i=+n[d>>2];if(h<i){n[d>>2]=h;n[e>>2]=i;e=g+1|0;i=+n[d>>2];h=+n[c>>2];if(i<h){n[c>>2]=i;n[d>>2]=h;d=g+2|0;h=+n[c>>2];i=+n[b>>2];if(h<i){n[b>>2]=h;n[c>>2]=i;i=+n[b>>2];h=+n[a>>2];if(i<h){n[a>>2]=i;n[b>>2]=h;j=g+4|0}else j=g+3|0}else j=d}else j=e}else j=g;return j|0}function hbc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0.0,h=0,i=0,j=0;d=a+8|0;ebc(a,a+4|0,d,c)|0;c=a+12|0;e=d;while(1){if((c|0)==(b|0))break;g=+n[c>>2];if(g<+n[e>>2]){d=e;h=c;while(1){f[h>>2]=f[d>>2];if((d|0)==(a|0))break;i=d+-4|0;if(g<+n[i>>2]){j=d;d=i;h=j}else break}n[d>>2]=g}h=c;c=c+4|0;e=h}return}function ibc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0.0,j=0.0,k=0,l=0,m=0,o=0,p=0,q=0;d=a+4|0;e=b+-4|0;g=a+8|0;switch(b-a>>2|0){case 1:case 0:{h=1;break}case 2:{i=+n[e>>2];j=+n[a>>2];if(i<j){n[a>>2]=i;n[e>>2]=j;h=1}else h=1;break}case 3:{ebc(a,d,e,c)|0;h=1;break}case 4:{fbc(a,d,g,e,c)|0;h=1;break}case 5:{gbc(a,d,g,a+12|0,e,c)|0;h=1;break}default:{ebc(a,d,g,c)|0;c=a+12|0;d=0;e=g;while(1){if((c|0)==(b|0)){k=1;l=0;break}j=+n[c>>2];if(j<+n[e>>2]){g=e;m=c;while(1){f[m>>2]=f[g>>2];if((g|0)==(a|0))break;o=g+-4|0;if(j<+n[o>>2]){p=g;g=o;m=p}else break}n[g>>2]=j;m=d+1|0;if((m|0)==8){k=0;l=(c+4|0)==(b|0);break}else q=m}else q=d;m=c;c=c+4|0;d=q;e=m}h=l|k}}return h|0}function jbc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0.0,q=0.0,r=0,s=0,t=0,u=0.0,v=0,w=0.0,x=0,y=0,z=0,A=0.0,B=0.0,C=0,D=0,E=0.0,F=0,G=0,H=0,I=0,J=0.0,K=0,L=0,M=0.0,N=0,O=0,P=0,Q=0,R=0,S=0;d=a;a=b;a:while(1){b=a;e=a+-8|0;f=d;while(1){g=f;b:while(1){h=g;i=b-h|0;j=i>>3;k=g+8|0;switch(j|0){case 1:case 0:{break a;break}case 2:{l=5;break a;break}case 3:{l=7;break a;break}case 4:{l=8;break a;break}case 5:{l=9;break a;break}default:{}}if((i|0)<248){l=11;break a}m=g+(((j|0)/2|0)<<3)|0;if((i|0)>7992){i=(j|0)/4|0;n=mbc(g,g+(i<<3)|0,m,m+(i<<3)|0,e,c)|0}else n=kbc(g,m,e,c)|0;o=+p[g>>3];q=+p[m>>3];if(o<q){r=e;s=n;break}else t=e;while(1){t=t+-8|0;if((g|0)==(t|0))break;u=+p[t>>3];if(u<q){l=28;break b}}q=+p[e>>3];if(o<q)v=k;else{i=k;while(1){if((i|0)==(e|0))break a;w=+p[i>>3];x=i+8|0;if(o<w)break;else i=x}p[i>>3]=q;p[e>>3]=w;v=x}if((v|0)==(e|0))break a;else{y=e;z=v}while(1){A=+p[g>>3];j=z;while(1){B=+p[j>>3];C=j+8|0;if(A<B){D=y;break}else j=C}do{D=D+-8|0;E=+p[D>>3]}while(A<E);if(j>>>0>=D>>>0){g=j;continue b}p[j>>3]=E;p[D>>3]=B;y=D;z=C}}if((l|0)==28){l=0;p[g>>3]=u;p[t>>3]=o;r=t;s=n+1|0}c:do if(k>>>0<r>>>0){i=m;F=r;G=k;H=s;while(1){q=+p[i>>3];I=G;while(1){J=+p[I>>3];K=I+8|0;if(J<q)I=K;else{L=F;break}}do{L=L+-8|0;M=+p[L>>3]}while(!(M<q));if(I>>>0>L>>>0){N=i;O=H;P=I;break c}p[I>>3]=M;p[L>>3]=J;i=(i|0)==(I|0)?L:i;F=L;G=K;H=H+1|0}}else{N=m;O=s;P=k}while(0);if((P|0)!=(N|0)?(q=+p[N>>3],A=+p[P>>3],q<A):0){p[P>>3]=q;p[N>>3]=A;Q=O+1|0}else Q=O;if(!Q){R=obc(g,P,c)|0;H=P+8|0;if(obc(H,a,c)|0){l=45;break}if(R){f=H;continue}else S=H}else S=P+8|0;H=P;if((H-h|0)>=(b-H|0)){l=44;break}jbc(g,P,c);f=S}if((l|0)==44){l=0;jbc(S,a,c);d=g;a=P;continue}else if((l|0)==45){l=0;if(R)break;else{d=g;a=P;continue}}}if((l|0)==5){J=+p[e>>3];M=+p[g>>3];if(J<M){p[g>>3]=J;p[e>>3]=M}}else if((l|0)==7)kbc(g,k,e,c)|0;else if((l|0)==8)lbc(g,k,g+16|0,e,c)|0;else if((l|0)==9)mbc(g,k,g+16|0,g+24|0,e,c)|0;else if((l|0)==11)nbc(g,a,c);return}function kbc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0.0,f=0.0,g=0.0,h=0,i=0.0,j=0.0;e=+p[b>>3];f=+p[a>>3];g=+p[c>>3];d=g<e;do if(e<f){if(d){p[a>>3]=g;p[c>>3]=f;h=1;break}p[a>>3]=e;p[b>>3]=f;i=+p[c>>3];if(i<f){p[b>>3]=i;p[c>>3]=f;h=2}else h=1}else if(d){p[b>>3]=g;p[c>>3]=e;i=+p[b>>3];j=+p[a>>3];if(i<j){p[a>>3]=i;p[b>>3]=j;h=2}else h=1}else h=0;while(0);return h|0}function lbc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0.0,h=0.0,i=0;f=kbc(a,b,c,e)|0;g=+p[d>>3];h=+p[c>>3];if(g<h){p[c>>3]=g;p[d>>3]=h;d=f+1|0;h=+p[c>>3];g=+p[b>>3];if(h<g){p[b>>3]=h;p[c>>3]=g;g=+p[b>>3];h=+p[a>>3];if(g<h){p[a>>3]=g;p[b>>3]=h;i=f+3|0}else i=f+2|0}else i=d}else i=f;return i|0}function mbc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0.0,i=0.0,j=0;g=lbc(a,b,c,d,f)|0;h=+p[e>>3];i=+p[d>>3];if(h<i){p[d>>3]=h;p[e>>3]=i;e=g+1|0;i=+p[d>>3];h=+p[c>>3];if(i<h){p[c>>3]=i;p[d>>3]=h;d=g+2|0;h=+p[c>>3];i=+p[b>>3];if(h<i){p[b>>3]=h;p[c>>3]=i;i=+p[b>>3];h=+p[a>>3];if(i<h){p[a>>3]=i;p[b>>3]=h;j=g+4|0}else j=g+3|0}else j=d}else j=e}else j=g;return j|0}function nbc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0.0,g=0.0,h=0,i=0.0,j=0,k=0,l=0;d=a+16|0;kbc(a,a+8|0,d,c)|0;c=a+24|0;e=d;while(1){if((c|0)==(b|0))break;f=+p[c>>3];g=+p[e>>3];if(f<g){d=e;h=c;i=g;while(1){p[h>>3]=i;if((d|0)==(a|0)){j=a;break}k=d+-8|0;i=+p[k>>3];if(!(f<i)){j=d;break}else{l=d;d=k;h=l}}p[j>>3]=f}h=c;c=c+8|0;e=h}return}function obc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0.0,i=0.0,j=0,k=0,l=0,m=0.0,n=0,o=0,q=0,r=0;d=b+-8|0;e=a+8|0;f=a+16|0;switch(b-a>>3|0){case 1:case 0:{g=1;break}case 2:{h=+p[d>>3];i=+p[a>>3];if(h<i){p[a>>3]=h;p[d>>3]=i;g=1}else g=1;break}case 3:{kbc(a,e,d,c)|0;g=1;break}case 4:{lbc(a,e,f,d,c)|0;g=1;break}case 5:{mbc(a,e,f,a+24|0,d,c)|0;g=1;break}default:{kbc(a,e,f,c)|0;c=a+24|0;e=0;d=f;while(1){if((c|0)==(b|0)){j=1;k=0;break}i=+p[c>>3];h=+p[d>>3];if(i<h){f=d;l=c;m=h;while(1){p[l>>3]=m;if((f|0)==(a|0)){n=a;break}o=f+-8|0;m=+p[o>>3];if(!(i<m)){n=f;break}else{q=f;f=o;l=q}}p[n>>3]=i;l=e+1|0;if((l|0)==8){j=0;k=(c+8|0)==(b|0);break}else r=l}else r=e;l=c;c=c+8|0;e=r;d=l}g=k|j}}return g|0}function pbc(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;b=u;u=u+16|0;c=b;d=b+8|0;e=b+4|0;f[d>>2]=a;do if(a>>>0>=212){g=(a>>>0)/210|0;h=g*210|0;f[e>>2]=a-h;i=0;j=g;g=(qbc(161492,161684,e,c)|0)-161492>>2;k=h;a:while(1){l=(f[161492+(g<<2)>>2]|0)+k|0;h=5;while(1){if(h>>>0>=47){m=211;n=i;o=8;break}p=f[161300+(h<<2)>>2]|0;q=(l>>>0)/(p>>>0)|0;if(q>>>0<p>>>0){o=106;break a}if((l|0)==(Y(q,p)|0)){r=i;break}else h=h+1|0}b:do if((o|0)==8){c:while(1){o=0;h=(l>>>0)/(m>>>0)|0;do if(h>>>0>=m>>>0)if((l|0)!=(Y(h,m)|0)){p=m+10|0;q=(l>>>0)/(p>>>0)|0;if(q>>>0>=p>>>0)if((l|0)!=(Y(q,p)|0)){q=m+12|0;s=(l>>>0)/(q>>>0)|0;if(s>>>0>=q>>>0)if((l|0)!=(Y(s,q)|0)){s=m+16|0;t=(l>>>0)/(s>>>0)|0;if(t>>>0>=s>>>0)if((l|0)!=(Y(t,s)|0)){t=m+18|0;v=(l>>>0)/(t>>>0)|0;if(v>>>0>=t>>>0)if((l|0)!=(Y(v,t)|0)){v=m+22|0;w=(l>>>0)/(v>>>0)|0;if(w>>>0>=v>>>0)if((l|0)!=(Y(w,v)|0)){w=m+28|0;x=(l>>>0)/(w>>>0)|0;if(x>>>0>=w>>>0)if((l|0)==(Y(x,w)|0)){y=w;z=9;A=n}else{x=m+30|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+36|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+40|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+42|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+46|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+52|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+58|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+60|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+66|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+70|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+72|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+78|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+82|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+88|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+96|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+100|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+102|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+106|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+108|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+112|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+120|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+126|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+130|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+136|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+138|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+142|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+148|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+150|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+156|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+162|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+166|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+168|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+172|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+178|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+180|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+186|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+190|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+192|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+196|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+198|0;B=(l>>>0)/(x>>>0)|0;if(B>>>0<x>>>0){y=x;z=1;A=l;break}if((l|0)==(Y(B,x)|0)){y=x;z=9;A=n;break}x=m+208|0;B=(l>>>0)/(x>>>0)|0;C=B>>>0<x>>>0;D=(l|0)==(Y(B,x)|0);y=C|D?x:m+210|0;z=C?1:D?9:0;A=C?l:n}else{y=w;z=1;A=l}}else{y=v;z=9;A=n}else{y=v;z=1;A=l}}else{y=t;z=9;A=n}else{y=t;z=1;A=l}}else{y=s;z=9;A=n}else{y=s;z=1;A=l}}else{y=q;z=9;A=n}else{y=q;z=1;A=l}}else{y=p;z=9;A=n}else{y=p;z=1;A=l}}else{y=m;z=9;A=n}else{y=m;z=1;A=l}while(0);switch(z&15){case 9:{r=A;break b;break}case 0:{m=y;n=A;o=8;break}default:break c}}if(!z)r=A;else{o=107;break a}}while(0);h=g+1|0;p=(h|0)==48;q=(p&1)+j|0;i=r;j=q;g=p?0:h;k=q*210|0}if((o|0)==106){f[d>>2]=l;E=l;break}else if((o|0)==107){f[d>>2]=l;E=A;break}}else{k=qbc(161300,161492,d,c)|0;E=f[k>>2]|0}while(0);u=b;return E|0}function qbc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;d=f[c>>2]|0;c=a;e=b-a>>2;while(1){if(!e)break;a=(e|0)/2|0;b=c+(a<<2)|0;g=(f[b>>2]|0)>>>0<d>>>0;c=g?b+4|0:c;e=g?e+-1-a|0:a}return c|0}function rbc(a){a=a|0;sbc(a);return}function sbc(a){a=a|0;f[a>>2]=161692;tbc(a,0);oec(a+28|0);X6b(f[a+32>>2]|0);X6b(f[a+36>>2]|0);X6b(f[a+48>>2]|0);X6b(f[a+60>>2]|0);return}function tbc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a+32|0;d=a+36|0;e=f[a+40>>2]|0;while(1){if(!e)break;g=e+-1|0;Yh[f[(f[c>>2]|0)+(g<<2)>>2]&511](b,a,f[(f[d>>2]|0)+(g<<2)>>2]|0);e=g}return}function ubc(a){a=a|0;sbc(a);Emc(a);return}function vbc(a){a=a|0;sbc(a);return}function wbc(a){a=a|0;f[a>>2]=161708;oec(a+4|0);return}function xbc(a){a=a|0;wbc(a);Emc(a);return}function ybc(a,b){a=a|0;b=b|0;return}function zbc(a,b,c){a=a|0;b=b|0;c=c|0;return a|0}function Abc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;g=a;f[g>>2]=0;f[g+4>>2]=0;g=a+8|0;f[g>>2]=-1;f[g+4>>2]=-1;return}function Bbc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;d=a;f[d>>2]=0;f[d+4>>2]=0;d=a+8|0;f[d>>2]=-1;f[d+4>>2]=-1;return}function Cbc(a){a=a|0;return 0}function Dbc(a){a=a|0;return 0}function Ebc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;Kbc()|0;e=a+12|0;g=a+16|0;h=c;c=0;while(1){if((c|0)>=(d|0))break;i=f[e>>2]|0;j=f[g>>2]|0;if(i>>>0<j>>>0){k=j-i|0;j=d-c|0;l=(j|0)<(k|0)?j:k;Mbc(h,i,l)|0;f[e>>2]=(f[e>>2]|0)+l;h=h+l|0;c=l+c|0;continue}l=ci[f[(f[a>>2]|0)+40>>2]&1023](a)|0;if((l|0)==-1)break;i=Nbc(l)|0;b[h>>0]=i;h=h+1|0;c=c+1|0}return c|0}function Fbc(a){a=a|0;return Kbc()|0}function Gbc(a){a=a|0;var c=0,d=0;c=ci[f[(f[a>>2]|0)+36>>2]&1023](a)|0;if((c|0)==(Kbc()|0))d=Kbc()|0;else{c=a+12|0;a=f[c>>2]|0;f[c>>2]=a+1;d=Lbc(b[a>>0]|0)|0}return d|0}function Hbc(a,b){a=a|0;b=b|0;return Kbc()|0}function Ibc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=Kbc()|0;g=a+24|0;h=a+28|0;i=c;c=0;while(1){if((c|0)>=(d|0))break;j=f[g>>2]|0;k=f[h>>2]|0;if(j>>>0<k>>>0){l=k-j|0;k=d-c|0;m=(k|0)<(l|0)?k:l;Mbc(j,i,m)|0;f[g>>2]=(f[g>>2]|0)+m;i=i+m|0;c=m+c|0;continue}m=f[(f[a>>2]|0)+52>>2]|0;j=Lbc(b[i>>0]|0)|0;if((Sh[m&511](a,j)|0)==(e|0))break;i=i+1|0;c=c+1|0}return c|0}function Jbc(a,b){a=a|0;b=b|0;return Kbc()|0}function Kbc(){return -1}function Lbc(a){a=a|0;return a&255|0}function Mbc(a,b,c){a=a|0;b=b|0;c=c|0;if(c|0)Krc(a|0,b|0,c|0)|0;return a|0}function Nbc(a){a=a|0;return a&255|0}function Obc(a){a=a|0;f[a>>2]=161772;oec(a+4|0);return}function Pbc(a){a=a|0;Obc(a);Emc(a);return}function Qbc(a,b){a=a|0;b=b|0;return}function Rbc(a,b,c){a=a|0;b=b|0;c=c|0;return a|0}function Sbc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;g=a;f[g>>2]=0;f[g+4>>2]=0;g=a+8|0;f[g>>2]=-1;f[g+4>>2]=-1;return}function Tbc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;d=a;f[d>>2]=0;f[d+4>>2]=0;d=a+8|0;f[d>>2]=-1;f[d+4>>2]=-1;return}function Ubc(a){a=a|0;return 0}function Vbc(a){a=a|0;return 0}function Wbc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;acc()|0;d=a+12|0;e=a+16|0;g=b;b=0;while(1){if((b|0)>=(c|0))break;h=f[d>>2]|0;i=f[e>>2]|0;if(h>>>0<i>>>0){j=i-h>>2;i=c-b|0;k=(i|0)<(j|0)?i:j;ccc(g,h,k)|0;f[d>>2]=(f[d>>2]|0)+(k<<2);g=g+(k<<2)|0;b=k+b|0;continue}k=ci[f[(f[a>>2]|0)+40>>2]&1023](a)|0;if((k|0)==-1)break;h=dcc(k)|0;f[g>>2]=h;g=g+4|0;b=b+1|0}return b|0}function Xbc(a){a=a|0;return acc()|0}function Ybc(a){a=a|0;var b=0,c=0;b=ci[f[(f[a>>2]|0)+36>>2]&1023](a)|0;if((b|0)==(acc()|0))c=acc()|0;else{b=a+12|0;a=f[b>>2]|0;f[b>>2]=a+4;c=bcc(f[a>>2]|0)|0}return c|0}function Zbc(a,b){a=a|0;b=b|0;return acc()|0}function _bc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=acc()|0;e=a+24|0;g=a+28|0;h=b;b=0;while(1){if((b|0)>=(c|0))break;i=f[e>>2]|0;j=f[g>>2]|0;if(i>>>0<j>>>0){k=j-i>>2;j=c-b|0;l=(j|0)<(k|0)?j:k;ccc(i,h,l)|0;f[e>>2]=(f[e>>2]|0)+(l<<2);h=h+(l<<2)|0;b=l+b|0;continue}l=f[(f[a>>2]|0)+52>>2]|0;i=bcc(f[h>>2]|0)|0;if((Sh[l&511](a,i)|0)==(d|0))break;h=h+4|0;b=b+1|0}return b|0}function $bc(a,b){a=a|0;b=b|0;return acc()|0}function acc(){return -1}function bcc(a){a=a|0;return a|0}function ccc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if(!c)d=a;else{G9b(a,b,c)|0;d=a}return d|0}function dcc(a){a=a|0;return a|0}function ecc(a){a=a|0;icc(a,161868);rbc(a+8|0);return}function fcc(a){a=a|0;ecc(a);Emc(a);return}function gcc(a){a=a|0;ecc(a+(f[(f[a>>2]|0)+-12>>2]|0)|0);return}function hcc(a){a=a|0;fcc(a+(f[(f[a>>2]|0)+-12>>2]|0)|0);return}function icc(a,b){a=a|0;b=b|0;return}function jcc(a){a=a|0;ncc(a,161916);vbc(a+8|0);return}function kcc(a){a=a|0;jcc(a);Emc(a);return}function lcc(a){a=a|0;jcc(a+(f[(f[a>>2]|0)+-12>>2]|0)|0);return}function mcc(a){a=a|0;kcc(a+(f[(f[a>>2]|0)+-12>>2]|0)|0);return}function ncc(a,b){a=a|0;b=b|0;return}function occ(a){a=a|0;scc(a,161924);rbc(a+4|0);return}function pcc(a){a=a|0;occ(a);Emc(a);return}function qcc(a){a=a|0;occ(a+(f[(f[a>>2]|0)+-12>>2]|0)|0);return}function rcc(a){a=a|0;pcc(a+(f[(f[a>>2]|0)+-12>>2]|0)|0);return}function scc(a,b){a=a|0;b=b|0;return}function tcc(a){a=a|0;xcc(a,161972);vbc(a+4|0);return}function ucc(a){a=a|0;tcc(a);Emc(a);return}function vcc(a){a=a|0;tcc(a+(f[(f[a>>2]|0)+-12>>2]|0)|0);return}function wcc(a){a=a|0;ucc(a+(f[(f[a>>2]|0)+-12>>2]|0)|0);return}function xcc(a,b){a=a|0;b=b|0;return}function ycc(a){a=a|0;Ecc(a,162040);rbc(a+12|0);return}function zcc(a){a=a|0;ycc(a);Emc(a);return}function Acc(a){a=a|0;ycc(a+-8|0);return}function Bcc(a){a=a|0;zcc(a+-8|0);return}function Ccc(a){a=a|0;ycc(a+(f[(f[a>>2]|0)+-12>>2]|0)|0);return}function Dcc(a){a=a|0;zcc(a+(f[(f[a>>2]|0)+-12>>2]|0)|0);return}function Ecc(a,b){a=a|0;b=b|0;scc(a+8|0,b+12|0);icc(a,b+4|0);return}function Fcc(a){a=a|0;return s8b(a)|0}function Gcc(a,c){a=a|0;c=c|0;b[a>>0]=b[c>>0]|0;return}function Hcc(a,b){a=a|0;b=b|0;f[a+16>>2]=(f[a+24>>2]|0)==0|b;return}function Icc(a,b){a=a|0;b=b|0;var c=0;f[a+24>>2]=b;f[a+16>>2]=(b|0)==0&1;f[a+20>>2]=0;f[a+4>>2]=4098;f[a+12>>2]=0;f[a+8>>2]=6;b=a+28|0;c=a+32|0;a=c+40|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(a|0));rmc(b);return}function Jcc(a,b){a=a|0;b=b|0;return (a|0)==(b|0)|0}function Kcc(a,b){a=a|0;b=b|0;pmc(a,b+28|0);return}function Lcc(a,b){a=a|0;b=b|0;return (a|0)==(b|0)|0}function Mcc(a,b){a=a|0;b=b|0;return a<<24>>24==b<<24>>24|0}function Ncc(a){a=a|0;var b=0;f[a>>2]=161708;rmc(a+4|0);b=a+8|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;return}function Occ(a){a=a|0;var b=0;f[a>>2]=161772;rmc(a+4|0);b=a+8|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;return}function Pcc(a,c,e){a=a|0;c=c|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;g=u;u=u+16|0;h=g;b[a>>0]=0;i=c+(f[(f[c>>2]|0)+-12>>2]|0)|0;j=f[i+16>>2]|0;if(!j){k=f[i+72>>2]|0;if(k|0)Qcc(k)|0;do if(!e?(k=c+(f[(f[c>>2]|0)+-12>>2]|0)|0,f[k+4>>2]&4096|0):0){Kcc(h,k);k=nec(h,893644)|0;oec(h);l=f[c+(f[(f[c>>2]|0)+-12>>2]|0)+24>>2]|0;m=k+8|0;k=l;n=(l|0)==0;o=k+12|0;p=k+16|0;q=l;while(1){if(n){r=0;s=0;break}t=f[o>>2]|0;if((t|0)==(f[p>>2]|0))v=ci[f[(f[q>>2]|0)+36>>2]&1023](k)|0;else v=Lbc(b[t>>0]|0)|0;t=Jcc(v,Kbc()|0)|0;w=t?0:l;if(t){r=0;s=0;break}t=w;x=t+12|0;y=f[x>>2]|0;z=t+16|0;if((y|0)==(f[z>>2]|0))A=ci[f[(f[w>>2]|0)+36>>2]&1023](t)|0;else A=Lbc(b[y>>0]|0)|0;if((A&255)<<24>>24<=-1){r=t;s=l;break}if(!(d[(f[m>>2]|0)+(A<<24>>24<<1)>>1]&8192)){r=t;s=l;break}y=f[x>>2]|0;if((y|0)==(f[z>>2]|0)){ci[f[(f[w>>2]|0)+40>>2]&1023](t)|0;continue}else{f[x>>2]=y+1;Lbc(b[y>>0]|0)|0;continue}}if(s|0){l=f[r+12>>2]|0;if((l|0)==(f[r+16>>2]|0))B=ci[f[(f[s>>2]|0)+36>>2]&1023](r)|0;else B=Lbc(b[l>>0]|0)|0;if(!(Jcc(B,Kbc()|0)|0))break}l=c+(f[(f[c>>2]|0)+-12>>2]|0)|0;Hcc(l,f[l+16>>2]|6)}while(0);b[a>>0]=(f[c+(f[(f[c>>2]|0)+-12>>2]|0)+16>>2]|0)==0&1}else Hcc(i,j|4);u=g;return}function Qcc(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;if(f[a+(f[(f[a>>2]|0)+-12>>2]|0)+24>>2]|0){Rcc(d,a);if(b[d>>0]|0?(e=f[a+(f[(f[a>>2]|0)+-12>>2]|0)+24>>2]|0,(ci[f[(f[e>>2]|0)+24>>2]&1023](e)|0)==-1):0){e=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;Hcc(e,f[e+16>>2]|1)}Scc(d)}u=c;return a|0}function Rcc(a,c){a=a|0;c=c|0;var d=0;b[a>>0]=0;f[a+4>>2]=c;d=c+(f[(f[c>>2]|0)+-12>>2]|0)|0;if(!(f[d+16>>2]|0)){c=f[d+72>>2]|0;if(c|0)Qcc(c)|0;b[a>>0]=1}return}function Scc(a){a=a|0;var b=0,c=0;b=a+4|0;a=f[b>>2]|0;c=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;if((((f[c+24>>2]|0?(f[c+16>>2]|0)==0:0)?f[c+4>>2]&8192|0:0)?!(id()|0):0)?(c=f[b>>2]|0,a=f[c+(f[(f[c>>2]|0)+-12>>2]|0)+24>>2]|0,(ci[f[(f[a>>2]|0)+24>>2]&1023](a)|0)==-1):0){a=f[b>>2]|0;b=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;Hcc(b,f[b+16>>2]|1)}return}function Tcc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+32|0;e=d+24|0;g=d+20|0;h=d+16|0;i=d+12|0;j=d+28|0;k=d+8|0;l=d+4|0;m=d;Pcc(j,a,0);if(b[j>>0]|0){f[k>>2]=0;Kcc(m,a+(f[(f[a>>2]|0)+-12>>2]|0)|0);j=nec(m,893668)|0;n=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;o=f[(f[j>>2]|0)+16>>2]|0;f[h>>2]=f[n+24>>2];f[i>>2]=0;f[g>>2]=f[h>>2];f[e>>2]=f[i>>2];Vf[o&127](j,g,e,n,k,l)|0;oec(m);f[c>>2]=f[l>>2];l=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;Hcc(l,f[l+16>>2]|f[k>>2])}u=d;return a|0}function Ucc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+32|0;e=d+20|0;g=d+16|0;h=d+12|0;i=d+8|0;j=d+24|0;k=d+4|0;l=d;Pcc(j,a,0);if(b[j>>0]|0){f[k>>2]=0;Kcc(l,a+(f[(f[a>>2]|0)+-12>>2]|0)|0);j=nec(l,893668)|0;m=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;n=f[(f[j>>2]|0)+28>>2]|0;f[h>>2]=f[m+24>>2];f[i>>2]=0;f[g>>2]=f[h>>2];f[e>>2]=f[i>>2];Vf[n&127](j,g,e,m,k,c)|0;oec(l);l=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;Hcc(l,f[l+16>>2]|f[k>>2])}u=d;return a|0}function Vcc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+32|0;e=d+20|0;g=d+16|0;h=d+12|0;i=d+8|0;j=d+24|0;k=d+4|0;l=d;Pcc(j,a,0);if(b[j>>0]|0){f[k>>2]=0;Kcc(l,a+(f[(f[a>>2]|0)+-12>>2]|0)|0);j=nec(l,893668)|0;m=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;n=f[(f[j>>2]|0)+40>>2]|0;f[h>>2]=f[m+24>>2];f[i>>2]=0;f[g>>2]=f[h>>2];f[e>>2]=f[i>>2];Vf[n&127](j,g,e,m,k,c)|0;oec(l);l=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;Hcc(l,f[l+16>>2]|f[k>>2])}u=d;return a|0}function Wcc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+16|0;g=e;h=a+4|0;f[h>>2]=0;Pcc(g,a,1);i=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;if(b[g>>0]|0){g=f[i+24>>2]|0;j=ki[f[(f[g>>2]|0)+32>>2]&511](g,c,d)|0;f[h>>2]=j;if((j|0)!=(d|0)){d=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;Hcc(d,f[d+16>>2]|6)}}else Hcc(i,f[i+16>>2]|4);u=e;return a|0}function Xcc(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;if(f[a+(f[(f[a>>2]|0)+-12>>2]|0)+24>>2]|0){Ycc(d,a);if(b[d>>0]|0?(e=f[a+(f[(f[a>>2]|0)+-12>>2]|0)+24>>2]|0,(ci[f[(f[e>>2]|0)+24>>2]&1023](e)|0)==-1):0){e=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;Hcc(e,f[e+16>>2]|1)}Zcc(d)}u=c;return a|0}function Ycc(a,c){a=a|0;c=c|0;var d=0;b[a>>0]=0;f[a+4>>2]=c;d=c+(f[(f[c>>2]|0)+-12>>2]|0)|0;if(!(f[d+16>>2]|0)){c=f[d+72>>2]|0;if(c|0)Xcc(c)|0;b[a>>0]=1}return}function Zcc(a){a=a|0;var b=0,c=0;b=a+4|0;a=f[b>>2]|0;c=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;if((((f[c+24>>2]|0?(f[c+16>>2]|0)==0:0)?f[c+4>>2]&8192|0:0)?!(id()|0):0)?(c=f[b>>2]|0,a=f[c+(f[(f[c>>2]|0)+-12>>2]|0)+24>>2]|0,(ci[f[(f[a>>2]|0)+24>>2]&1023](a)|0)==-1):0){a=f[b>>2]|0;b=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;Hcc(b,f[b+16>>2]|1)}return}function _cc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+16|0;e=d+12|0;g=d+8|0;h=d;Rcc(h,a);if(b[h>>0]|0){Kcc(e,a+(f[(f[a>>2]|0)+-12>>2]|0)|0);i=nec(e,893700)|0;oec(e);j=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;k=f[j+24>>2]|0;l=Kbc()|0;m=j+76|0;if(Jcc(l,f[m>>2]|0)|0){Kcc(e,j);l=nec(e,893644)|0;n=Sh[f[(f[l>>2]|0)+28>>2]&511](l,32)|0;oec(e);l=n<<24>>24;f[m>>2]=l;o=l}else o=f[m>>2]|0;m=f[(f[i>>2]|0)+16>>2]|0;f[g>>2]=k;f[e>>2]=f[g>>2];if(!(lh[m&127](i,e,j,o&255,c)|0)){c=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;Hcc(c,f[c+16>>2]|5)}}Scc(h);u=d;return a|0}function $cc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+16|0;e=d+12|0;g=d+8|0;h=d;Rcc(h,a);if(b[h>>0]|0){Kcc(e,a+(f[(f[a>>2]|0)+-12>>2]|0)|0);i=nec(e,893700)|0;oec(e);j=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;k=f[j+24>>2]|0;l=Kbc()|0;m=j+76|0;if(Jcc(l,f[m>>2]|0)|0){Kcc(e,j);l=nec(e,893644)|0;n=Sh[f[(f[l>>2]|0)+28>>2]&511](l,32)|0;oec(e);l=n<<24>>24;f[m>>2]=l;o=l}else o=f[m>>2]|0;m=f[(f[i>>2]|0)+24>>2]|0;f[g>>2]=k;f[e>>2]=f[g>>2];if(!(lh[m&127](i,e,j,o&255,c)|0)){c=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;Hcc(c,f[c+16>>2]|5)}}Scc(h);u=d;return a|0}function adc(a,c){a=a|0;c=+c;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+16|0;e=d+12|0;g=d+8|0;h=d;Rcc(h,a);if(b[h>>0]|0){Kcc(e,a+(f[(f[a>>2]|0)+-12>>2]|0)|0);i=nec(e,893700)|0;oec(e);j=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;k=f[j+24>>2]|0;l=Kbc()|0;m=j+76|0;if(Jcc(l,f[m>>2]|0)|0){Kcc(e,j);l=nec(e,893644)|0;n=Sh[f[(f[l>>2]|0)+28>>2]&511](l,32)|0;oec(e);l=n<<24>>24;f[m>>2]=l;o=l}else o=f[m>>2]|0;m=f[(f[i>>2]|0)+32>>2]|0;f[g>>2]=k;f[e>>2]=f[g>>2];if(!(ph[m&7](i,e,j,o&255,c)|0)){o=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;Hcc(o,f[o+16>>2]|5)}}Scc(h);u=d;return a|0}function bdc(a,c){a=a|0;c=+c;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+16|0;e=d+12|0;g=d+8|0;h=d;Rcc(h,a);if(b[h>>0]|0){Kcc(e,a+(f[(f[a>>2]|0)+-12>>2]|0)|0);i=nec(e,893700)|0;oec(e);j=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;k=f[j+24>>2]|0;l=Kbc()|0;m=j+76|0;if(Jcc(l,f[m>>2]|0)|0){Kcc(e,j);l=nec(e,893644)|0;n=Sh[f[(f[l>>2]|0)+28>>2]&511](l,32)|0;oec(e);l=n<<24>>24;f[m>>2]=l;o=l}else o=f[m>>2]|0;m=f[(f[i>>2]|0)+32>>2]|0;f[g>>2]=k;f[e>>2]=f[g>>2];if(!(ph[m&7](i,e,j,o&255,c)|0)){o=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;Hcc(o,f[o+16>>2]|5)}}Scc(h);u=d;return a|0}function cdc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+16|0;e=d;Rcc(e,a);do if(b[e>>0]|0){g=f[a+(f[(f[a>>2]|0)+-12>>2]|0)+24>>2]|0;h=g;if(g|0){i=h+24|0;j=f[i>>2]|0;if((j|0)==(f[h+28>>2]|0)){k=f[(f[g>>2]|0)+52>>2]|0;g=Lbc(c)|0;l=Sh[k&511](h,g)|0}else{f[i>>2]=j+1;b[j>>0]=c;l=Lbc(c)|0}if(!(Jcc(l,Kbc()|0)|0))break}j=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;Hcc(j,f[j+16>>2]|1)}while(0);Scc(e);u=d;return a|0}function ddc(a){a=a|0;var b=0;b=a+16|0;f[b>>2]=f[b>>2]|1;return}function edc(){gdc();return}function fdc(){return}function gdc(){hdc(0);Ad(1687,1163144,x|0)|0;return}function hdc(a){a=a|0;var b=0;a=f[39379]|0;jdc(893276,a,893332);f[223149]=161840;f[223151]=161860;f[223150]=0;Icc(892604,893276);f[223169]=0;b=Kbc()|0;f[223170]=b;kdc(893340,a,893396);f[223171]=161888;f[223173]=161908;f[223172]=0;Icc(892692,893340);f[223191]=0;a=acc()|0;f[223192]=a;a=f[39411]|0;ldc(893404,a,893452);f[223193]=8780;f[223194]=8800;Icc(892776,893404);f[223212]=0;b=Kbc()|0;f[223213]=b;mdc(893460,a,893508);f[223214]=161944;f[223215]=161964;Icc(892860,893460);f[223233]=0;a=acc()|0;f[223234]=a;a=f[39286]|0;ldc(893516,a,893564);f[223235]=8780;f[223236]=8800;Icc(892944,893516);f[223254]=0;b=Kbc()|0;f[223255]=b;b=f[892940+(f[(f[223235]|0)+-12>>2]|0)+24>>2]|0;f[223277]=8780;f[223278]=8800;Icc(893112,b);f[223296]=0;b=Kbc()|0;f[223297]=b;mdc(893572,a,893620);f[223256]=161944;f[223257]=161964;Icc(893028,893572);f[223275]=0;a=acc()|0;f[223276]=a;a=f[893024+(f[(f[223256]|0)+-12>>2]|0)+24>>2]|0;f[223298]=161944;f[223299]=161964;Icc(893196,a);f[223317]=0;a=acc()|0;f[223318]=a;f[892596+(f[(f[223149]|0)+-12>>2]|0)+72>>2]=892772;f[892684+(f[(f[223171]|0)+-12>>2]|0)+72>>2]=892856;a=892940+(f[(f[223235]|0)+-12>>2]|0)+4|0;f[a>>2]=f[a>>2]|8192;a=893024+(f[(f[223256]|0)+-12>>2]|0)+4|0;f[a>>2]=f[a>>2]|8192;f[892940+(f[(f[223235]|0)+-12>>2]|0)+72>>2]=892772;f[893024+(f[(f[223256]|0)+-12>>2]|0)+72>>2]=892856;return}function idc(a){a=a|0;Qcc(892772)|0;Xcc(892856)|0;Qcc(893108)|0;Xcc(893192)|0;return}function jdc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+16|0;g=e;Ncc(a);f[a>>2]=162268;f[a+32>>2]=c;f[a+40>>2]=d;d=Kbc()|0;f[a+48>>2]=d;b[a+52>>0]=0;d=f[(f[a>>2]|0)+8>>2]|0;pmc(g,a+4|0);xh[d&2047](a,g);oec(g);u=e;return}function kdc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+16|0;g=e;Occ(a);f[a>>2]=162204;f[a+32>>2]=c;f[a+40>>2]=d;d=acc()|0;f[a+48>>2]=d;b[a+52>>0]=0;d=f[(f[a>>2]|0)+8>>2]|0;pmc(g,a+4|0);xh[d&2047](a,g);oec(g);u=e;return}function ldc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+16|0;g=e;Ncc(a);f[a>>2]=162140;f[a+32>>2]=c;pmc(g,a+4|0);c=nec(g,895436)|0;oec(g);f[a+36>>2]=c;f[a+40>>2]=d;d=(ci[f[(f[c>>2]|0)+28>>2]&1023](c)|0)&1;b[a+44>>0]=d;u=e;return}function mdc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+16|0;g=e;Occ(a);f[a>>2]=162076;f[a+32>>2]=c;pmc(g,a+4|0);c=nec(g,895444)|0;oec(g);f[a+36>>2]=c;f[a+40>>2]=d;d=(ci[f[(f[c>>2]|0)+28>>2]&1023](c)|0)&1;b[a+44>>0]=d;u=e;return}function ndc(a){a=a|0;Obc(a);return}function odc(a){a=a|0;ndc(a);Emc(a);return}function pdc(a,c){a=a|0;c=c|0;var d=0;ci[f[(f[a>>2]|0)+24>>2]&1023](a)|0;d=nec(c,895444)|0;f[a+36>>2]=d;c=(ci[f[(f[d>>2]|0)+28>>2]&1023](d)|0)&1;b[a+44>>0]=c;return}function qdc(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;b=u;u=u+16|0;c=b+8|0;d=b;e=a+36|0;g=a+40|0;h=c+8|0;i=c;j=a+32|0;a:while(1){a=f[e>>2]|0;k=lh[f[(f[a>>2]|0)+20>>2]&127](a,f[g>>2]|0,c,h,d)|0;a=(f[d>>2]|0)-i|0;if((t8b(c,1,a,f[j>>2]|0)|0)!=(a|0)){l=-1;break}switch(k|0){case 1:break;case 2:{l=-1;break a;break}default:{m=4;break a}}}if((m|0)==4)l=((I8b(f[j>>2]|0)|0)!=0)<<31>>31;u=b;return l|0}function rdc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;a:do if(!(b[a+44>>0]|0)){e=0;g=c;while(1){if((e|0)>=(d|0)){h=e;break a}i=f[(f[a>>2]|0)+52>>2]|0;j=bcc(f[g>>2]|0)|0;k=Sh[i&511](a,j)|0;if((k|0)==(acc()|0)){h=e;break a}e=e+1|0;g=g+4|0}}else h=t8b(c,4,d,f[a+32>>2]|0)|0;while(0);return h|0}function sdc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;d=u;u=u+32|0;e=d+16|0;g=d+8|0;h=d+4|0;i=d;do if(!(Lcc(c,acc()|0)|0)){j=dcc(c)|0;f[g>>2]=j;j=a+32|0;if(b[a+44>>0]|0){if((t8b(g,4,1,f[j>>2]|0)|0)==1){k=15;break}l=acc()|0;break}f[h>>2]=e;m=g+4|0;n=a+36|0;o=a+40|0;p=e+8|0;q=e;r=g;while(1){s=f[n>>2]|0;t=Ei[f[(f[s>>2]|0)+12>>2]&15](s,f[o>>2]|0,r,m,i,e,p,h)|0;s=(t|0)==1;if((f[i>>2]|0)==(r|0)){k=14;break}if((t|0)==3)if((t8b(r,1,1,f[j>>2]|0)|0)==1)v=r;else{k=14;break}else{if((t|1|0)!=1){k=14;break}t=(f[h>>2]|0)-q|0;if((t8b(e,1,t,f[j>>2]|0)|0)!=(t|0)){k=14;break}v=s?f[i>>2]|0:r}if(s)r=v;else{k=13;break}}if((k|0)==13){k=15;break}else if((k|0)==14){l=acc()|0;break}}else k=15;while(0);if((k|0)==15)l=tdc(c)|0;u=d;return l|0}function tdc(a){a=a|0;var b=0;if(Lcc(a,acc()|0)|0)b=~(acc()|0);else b=a;return b|0}function udc(a){a=a|0;wbc(a);return}function vdc(a){a=a|0;udc(a);Emc(a);return}function wdc(a,c){a=a|0;c=c|0;var d=0;ci[f[(f[a>>2]|0)+24>>2]&1023](a)|0;d=nec(c,895436)|0;f[a+36>>2]=d;c=(ci[f[(f[d>>2]|0)+28>>2]&1023](d)|0)&1;b[a+44>>0]=c;return}function xdc(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;b=u;u=u+16|0;c=b+8|0;d=b;e=a+36|0;g=a+40|0;h=c+8|0;i=c;j=a+32|0;a:while(1){a=f[e>>2]|0;k=lh[f[(f[a>>2]|0)+20>>2]&127](a,f[g>>2]|0,c,h,d)|0;a=(f[d>>2]|0)-i|0;if((t8b(c,1,a,f[j>>2]|0)|0)!=(a|0)){l=-1;break}switch(k|0){case 1:break;case 2:{l=-1;break a;break}default:{m=4;break a}}}if((m|0)==4)l=((I8b(f[j>>2]|0)|0)!=0)<<31>>31;u=b;return l|0}function ydc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;a:do if(!(b[a+44>>0]|0)){e=0;g=c;while(1){if((e|0)>=(d|0)){h=e;break a}i=f[(f[a>>2]|0)+52>>2]|0;j=Lbc(b[g>>0]|0)|0;k=Sh[i&511](a,j)|0;if((k|0)==(Kbc()|0)){h=e;break a}e=e+1|0;g=g+1|0}}else h=t8b(c,1,d,f[a+32>>2]|0)|0;while(0);return h|0}function zdc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;d=u;u=u+32|0;e=d+16|0;g=d+8|0;h=d+4|0;i=d;do if(!(Jcc(c,Kbc()|0)|0)){j=Nbc(c)|0;b[g>>0]=j;j=a+32|0;if(b[a+44>>0]|0){if((t8b(g,1,1,f[j>>2]|0)|0)==1){k=15;break}l=Kbc()|0;break}f[h>>2]=e;m=g+1|0;n=a+36|0;o=a+40|0;p=e+8|0;q=e;r=g;while(1){s=f[n>>2]|0;t=Ei[f[(f[s>>2]|0)+12>>2]&15](s,f[o>>2]|0,r,m,i,e,p,h)|0;s=(t|0)==1;if((f[i>>2]|0)==(r|0)){k=14;break}if((t|0)==3)if((t8b(r,1,1,f[j>>2]|0)|0)==1)v=r;else{k=14;break}else{if((t|1|0)!=1){k=14;break}t=(f[h>>2]|0)-q|0;if((t8b(e,1,t,f[j>>2]|0)|0)!=(t|0)){k=14;break}v=s?f[i>>2]|0:r}if(s)r=v;else{k=13;break}}if((k|0)==13){k=15;break}else if((k|0)==14){l=Kbc()|0;break}}else k=15;while(0);if((k|0)==15)l=Adc(c)|0;u=d;return l|0}function Adc(a){a=a|0;var b=0;if(Jcc(a,Kbc()|0)|0)b=~(Kbc()|0);else b=a;return b|0}function Bdc(a){a=a|0;Obc(a);return}function Cdc(a){a=a|0;Bdc(a);Emc(a);return}function Ddc(a,c){a=a|0;c=c|0;var d=0,e=0;d=nec(c,895444)|0;c=a+36|0;f[c>>2]=d;e=ci[f[(f[d>>2]|0)+24>>2]&1023](d)|0;d=a+44|0;f[d>>2]=e;e=f[c>>2]|0;c=(ci[f[(f[e>>2]|0)+28>>2]&1023](e)|0)&1;b[a+53>>0]=c;if((f[d>>2]|0)>8)Ihc(520249);else return}function Edc(a){a=a|0;return Hdc(a,0)|0}function Fdc(a){a=a|0;return Hdc(a,1)|0}function Gdc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=u;u=u+32|0;e=d+16|0;g=d+8|0;h=d+4|0;i=d;j=Lcc(c,acc()|0)|0;k=a+52|0;l=(b[k>>0]|0)!=0;m=a+48|0;do if(j)if(l)n=c;else{o=f[m>>2]|0;p=((Lcc(o,acc()|0)|0)^1)&1;b[k>>0]=p;n=o}else{if(l){o=dcc(f[m>>2]|0)|0;f[h>>2]=o;o=f[a+36>>2]|0;switch(Ei[f[(f[o>>2]|0)+12>>2]&15](o,f[a+40>>2]|0,h,h+4|0,i,e,e+8|0,g)|0){case 1:case 2:{q=10;break}case 3:{b[e>>0]=f[m>>2];f[g>>2]=e+1;q=7;break}default:q=7}a:do if((q|0)==7){o=a+32|0;while(1){p=f[g>>2]|0;if(p>>>0<=e>>>0){r=1;s=0;break a}t=p+-1|0;f[g>>2]=t;if((V8b(b[t>>0]|0,f[o>>2]|0)|0)==-1){q=10;break}}}while(0);if((q|0)==10){r=0;s=acc()|0}if(!r){n=s;break}}f[m>>2]=c;b[k>>0]=1;n=c}while(0);u=d;return n|0}function Hdc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+32|0;e=d+16|0;g=d+8|0;h=d+4|0;i=d;j=a+52|0;k=a+48|0;if(b[j>>0]|0){l=f[k>>2]|0;if(c){m=acc()|0;f[k>>2]=m;b[j>>0]=0;n=l}else n=l}else{l=f[a+44>>2]|0;j=(l|0)>1?l:1;l=a+32|0;m=0;while(1){if((m|0)>=(j|0)){o=9;break}p=L8b(f[l>>2]|0)|0;if((p|0)==-1){o=8;break}b[e+m>>0]=p;m=m+1|0}if((o|0)==8)q=acc()|0;else if((o|0)==9){do if(!(b[a+53>>0]|0)){m=a+40|0;p=a+36|0;r=g+4|0;s=j;a:while(1){t=f[m>>2]|0;v=t;w=f[v>>2]|0;x=f[v+4>>2]|0;v=f[p>>2]|0;y=e+s|0;switch(Ei[f[(f[v>>2]|0)+16>>2]&15](v,t,e,y,h,g,r,i)|0){case 3:{o=16;break a;break}case 2:{o=18;break a;break}case 1:break;default:break a}t=f[m>>2]|0;f[t>>2]=w;f[t+4>>2]=x;if((s|0)==8){o=18;break}x=L8b(f[l>>2]|0)|0;if((x|0)==-1){o=18;break}b[y>>0]=x;s=s+1|0}if((o|0)==16)f[g>>2]=b[e>>0];else if((o|0)==18){z=acc()|0;break}A=s;o=19}else{f[g>>2]=b[e>>0];A=j;o=19}while(0);b:do if((o|0)==19){c:do if(c){j=bcc(f[g>>2]|0)|0;f[k>>2]=j}else{j=A;do{if((j|0)<=0)break c;j=j+-1|0;i=bcc(b[e+j>>0]|0)|0}while((V8b(i,f[l>>2]|0)|0)!=-1);z=acc()|0;break b}while(0);z=bcc(f[g>>2]|0)|0}while(0);q=z}n=q}u=d;return n|0}function Idc(a){a=a|0;wbc(a);return}function Jdc(a){a=a|0;Idc(a);Emc(a);return}function Kdc(a,c){a=a|0;c=c|0;var d=0,e=0;d=nec(c,895436)|0;c=a+36|0;f[c>>2]=d;e=ci[f[(f[d>>2]|0)+24>>2]&1023](d)|0;d=a+44|0;f[d>>2]=e;e=f[c>>2]|0;c=(ci[f[(f[e>>2]|0)+28>>2]&1023](e)|0)&1;b[a+53>>0]=c;if((f[d>>2]|0)>8)Ihc(520249);else return}function Ldc(a){a=a|0;return Odc(a,0)|0}function Mdc(a){a=a|0;return Odc(a,1)|0}function Ndc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=u;u=u+32|0;e=d+16|0;g=d+4|0;h=d+8|0;i=d;j=Jcc(c,Kbc()|0)|0;k=a+52|0;l=(b[k>>0]|0)!=0;m=a+48|0;do if(j)if(l)n=c;else{o=f[m>>2]|0;p=((Jcc(o,Kbc()|0)|0)^1)&1;b[k>>0]=p;n=o}else{if(l){o=Nbc(f[m>>2]|0)|0;b[h>>0]=o;o=f[a+36>>2]|0;switch(Ei[f[(f[o>>2]|0)+12>>2]&15](o,f[a+40>>2]|0,h,h+1|0,i,e,e+8|0,g)|0){case 1:case 2:{q=10;break}case 3:{b[e>>0]=f[m>>2];f[g>>2]=e+1;q=7;break}default:q=7}a:do if((q|0)==7){o=a+32|0;while(1){p=f[g>>2]|0;if(p>>>0<=e>>>0){r=1;s=0;break a}t=p+-1|0;f[g>>2]=t;if((V8b(b[t>>0]|0,f[o>>2]|0)|0)==-1){q=10;break}}}while(0);if((q|0)==10){r=0;s=Kbc()|0}if(!r){n=s;break}}f[m>>2]=c;b[k>>0]=1;n=c}while(0);u=d;return n|0}function Odc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+32|0;e=d+16|0;g=d+8|0;h=d+4|0;i=d;j=a+52|0;k=a+48|0;if(b[j>>0]|0){l=f[k>>2]|0;if(c){m=Kbc()|0;f[k>>2]=m;b[j>>0]=0;n=l}else n=l}else{l=f[a+44>>2]|0;j=(l|0)>1?l:1;l=a+32|0;m=0;while(1){if((m|0)>=(j|0)){o=9;break}p=L8b(f[l>>2]|0)|0;if((p|0)==-1){o=8;break}b[e+m>>0]=p;m=m+1|0}if((o|0)==8)q=Kbc()|0;else if((o|0)==9){do if(!(b[a+53>>0]|0)){m=a+40|0;p=a+36|0;r=g+1|0;s=j;a:while(1){t=f[m>>2]|0;v=t;w=f[v>>2]|0;x=f[v+4>>2]|0;v=f[p>>2]|0;y=e+s|0;switch(Ei[f[(f[v>>2]|0)+16>>2]&15](v,t,e,y,h,g,r,i)|0){case 3:{o=16;break a;break}case 2:{o=18;break a;break}case 1:break;default:break a}t=f[m>>2]|0;f[t>>2]=w;f[t+4>>2]=x;if((s|0)==8){o=18;break}x=L8b(f[l>>2]|0)|0;if((x|0)==-1){o=18;break}b[y>>0]=x;s=s+1|0}if((o|0)==16)b[g>>0]=b[e>>0]|0;else if((o|0)==18){z=Kbc()|0;break}A=s;o=19}else{b[g>>0]=b[e>>0]|0;A=j;o=19}while(0);b:do if((o|0)==19){c:do if(c){j=Lbc(b[g>>0]|0)|0;f[k>>2]=j}else{j=A;do{if((j|0)<=0)break c;j=j+-1|0;i=Lbc(b[e+j>>0]|0)|0}while((V8b(i,f[l>>2]|0)|0)!=-1);z=Kbc()|0;break b}while(0);z=Lbc(b[g>>0]|0)|0}while(0);q=z}n=q}u=d;return n|0}function Pdc(a){a=a|0;Vdc(a);return}function Qdc(a){a=a|0;Pdc(a);Emc(a);return}function Rdc(a){a=a|0;if(a|0)ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Sdc(a,c,d,e,f){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;a=e;e=c;while(1){if((a|0)==(f|0)){g=7;break}if((e|0)==(d|0)){h=-1;break}c=b[e>>0]|0;i=b[a>>0]|0;if(c<<24>>24<i<<24>>24){h=-1;break}if(i<<24>>24<c<<24>>24){h=1;break}a=a+1|0;e=e+1|0}if((g|0)==7)h=(e|0)!=(d|0)&1;return h|0}function Tdc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;c=u;u=u+16|0;g=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;h=e-d|0;if(h>>>0>4294967279)Lmc(a);if(h>>>0<11){b[a+11>>0]=h;i=a}else{j=h+16&-16;k=Bmc(j)|0;f[a>>2]=k;f[a+8>>2]=j|-2147483648;f[a+4>>2]=h;i=k}k=d;d=i;while(1){if((k|0)==(e|0))break;Gcc(d,k);k=k+1|0;d=d+1|0}b[g>>0]=0;Gcc(i+h|0,g);u=c;return}function Udc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0;a=0;e=c;while(1){if((e|0)==(d|0))break;c=(b[e>>0]|0)+(a<<4)|0;f=c&-268435456;a=(f>>>24|f)^c;e=e+1|0}return a|0}function Vdc(a){a=a|0;return}function Wdc(a){a=a|0;Vdc(a);return}function Xdc(a){a=a|0;Wdc(a);Emc(a);return}function Ydc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;a=d;d=b;while(1){if((a|0)==(e|0)){g=7;break}if((d|0)==(c|0)){h=-1;break}b=f[d>>2]|0;i=f[a>>2]|0;if((b|0)<(i|0)){h=-1;break}if((i|0)<(b|0)){h=1;break}a=a+4|0;d=d+4|0}if((g|0)==7)h=(d|0)!=(c|0)&1;return h|0}function Zdc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;g=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;h=e-d>>2;if(h>>>0>1073741807)Lmc(a);do if(h>>>0>=2){i=h+4&-4;if(i>>>0>1073741823)Qe();else{j=Bmc(i<<2)|0;f[a>>2]=j;f[a+8>>2]=i|-2147483648;f[a+4>>2]=h;k=d;l=j;break}}else{b[a+8+3>>0]=h;k=d;l=a}while(0);while(1){if((k|0)==(e|0))break;$dc(l,k);k=k+4|0;l=l+4|0}f[g>>2]=0;$dc(l,g);u=c;return}function _dc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;a=0;d=b;while(1){if((d|0)==(c|0))break;b=(f[d>>2]|0)+(a<<4)|0;e=b&-268435456;a=(e>>>24|e)^b;d=d+4|0}return a|0}function $dc(a,b){a=a|0;b=b|0;f[a>>2]=f[b>>2];return}function aec(a){a=a|0;Vdc(a);return}function bec(a){a=a|0;Vdc(a);Emc(a);return}function cec(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;i=u;u=u+48|0;j=i+40|0;k=i+16|0;l=i+8|0;m=i+12|0;n=i+4|0;o=i;if(!(f[e+4>>2]&1)){f[l>>2]=-1;p=f[(f[a>>2]|0)+16>>2]|0;f[m>>2]=f[c>>2];f[n>>2]=f[d>>2];f[k>>2]=f[m>>2];f[j>>2]=f[n>>2];n=Vf[p&127](a,k,j,e,g,l)|0;f[c>>2]=n;switch(f[l>>2]|0){case 0:{b[h>>0]=0;break}case 1:{b[h>>0]=1;break}default:{b[h>>0]=1;f[g>>2]=4}}q=f[c>>2]|0}else{Kcc(j,e);l=nec(j,893644)|0;oec(j);Kcc(j,e);e=nec(j,893660)|0;oec(j);xh[f[(f[e>>2]|0)+24>>2]&2047](k,e);xh[f[(f[e>>2]|0)+28>>2]&2047](k+12|0,e);f[o>>2]=f[d>>2];d=k+24|0;f[j>>2]=f[o>>2];o=(Vec(c,j,k,d,l,g,1)|0)==(k|0)&1;b[h>>0]=o;o=f[c>>2]|0;c=d;do{c=c+-12|0;Pmc(c)}while((c|0)!=(k|0));q=o}u=i;return q|0}function dec(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=Tec(a,j,i,d,e,g)|0;u=h;return l|0}function eec(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=Rec(a,j,i,d,e,g)|0;u=h;return l|0}function fec(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=Pec(a,j,i,d,e,g)|0;u=h;return l|0}function gec(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=Nec(a,j,i,d,e,g)|0;u=h;return l|0}function hec(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=Lec(a,j,i,d,e,g)|0;u=h;return l|0}function iec(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=Hec(a,j,i,d,e,g)|0;u=h;return l|0}function jec(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=Fec(a,j,i,d,e,g)|0;u=h;return l|0}function kec(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=Dec(a,j,i,d,e,g)|0;u=h;return l|0}function lec(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=yec(a,j,i,d,e,g)|0;u=h;return l|0}function mec(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;a=u;u=u+240|0;i=a;j=a+204|0;k=a+192|0;l=a+180|0;m=a+176|0;n=a+16|0;o=a+8|0;p=a+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;q=0;while(1){if((q|0)==3)break;f[k+(q<<2)>>2]=0;q=q+1|0}Kcc(l,e);e=nec(l,893644)|0;Bg[f[(f[e>>2]|0)+32>>2]&127](e,520397,520423,j)|0;oec(l);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[l+(e<<2)>>2]=0;e=e+1|0}e=l+11|0;q=l+8|0;if((b[e>>0]|0)<0)r=(f[q>>2]&2147483647)+-1|0;else r=10;Wmc(l,r,0);r=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=r;f[o>>2]=n;f[p>>2]=0;s=l+4|0;t=f[c>>2]|0;v=r;r=t;w=t;a:while(1){if(r){t=f[r+12>>2]|0;if((t|0)==(f[r+16>>2]|0))x=ci[f[(f[r>>2]|0)+36>>2]&1023](r)|0;else x=Lbc(b[t>>0]|0)|0;if(Jcc(x,Kbc()|0)|0){f[c>>2]=0;y=0;z=0;A=1}else{y=r;z=w;A=0}}else{y=0;z=0;A=1}t=f[d>>2]|0;do if(t){B=f[t+12>>2]|0;if((B|0)==(f[t+16>>2]|0))C=ci[f[(f[t>>2]|0)+36>>2]&1023](t)|0;else C=Lbc(b[B>>0]|0)|0;if(!(Jcc(C,Kbc()|0)|0))if(A){D=t;break}else{E=v;F=t;break a}else{f[d>>2]=0;G=22;break}}else G=22;while(0);if((G|0)==22){G=0;if(A){E=v;F=0;break}else D=0}t=b[e>>0]|0;B=t<<24>>24<0?f[s>>2]|0:t&255;if((f[m>>2]|0)==(v+B|0)){Wmc(l,B<<1,0);if((b[e>>0]|0)<0)H=(f[q>>2]&2147483647)+-1|0;else H=10;Wmc(l,H,0);t=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=t+B;I=t}else I=v;t=y+12|0;B=f[t>>2]|0;J=y+16|0;if((B|0)==(f[J>>2]|0))K=ci[f[(f[y>>2]|0)+36>>2]&1023](y)|0;else K=Lbc(b[B>>0]|0)|0;if(pec(K&255,16,I,m,p,0,k,n,o,j)|0){E=I;F=D;break}B=f[t>>2]|0;if((B|0)==(f[J>>2]|0)){ci[f[(f[y>>2]|0)+40>>2]&1023](y)|0;v=I;r=y;w=z;continue}else{f[t>>2]=B+1;Lbc(b[B>>0]|0)|0;v=I;r=y;w=z;continue}}Wmc(l,(f[m>>2]|0)-E|0,0);E=(b[e>>0]|0)<0?f[l>>2]|0:l;e=qec()|0;f[i>>2]=h;if((rec(E,e,520430,i)|0)!=1)f[g>>2]=4;if(y){i=f[y+12>>2]|0;if((i|0)==(f[y+16>>2]|0))L=ci[f[(f[z>>2]|0)+36>>2]&1023](y)|0;else L=Lbc(b[i>>0]|0)|0;if(Jcc(L,Kbc()|0)|0){f[c>>2]=0;M=1}else M=0}else M=1;do if(F){L=f[F+12>>2]|0;if((L|0)==(f[F+16>>2]|0))N=ci[f[(f[F>>2]|0)+36>>2]&1023](F)|0;else N=Lbc(b[L>>0]|0)|0;if(!(Jcc(N,Kbc()|0)|0))if(M)break;else{G=51;break}else{f[d>>2]=0;G=49;break}}else G=49;while(0);if((G|0)==49?M:0)G=51;if((G|0)==51)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;Pmc(l);Pmc(k);u=a;return g|0}function nec(a,b){a=a|0;b=b|0;var c=0;c=f[a>>2]|0;return tec(c,sec(b)|0)|0}function oec(a){a=a|0;ymc(f[a>>2]|0)|0;return}function pec(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;m=f[e>>2]|0;n=(m|0)==(d|0);do if(n){o=(b[l+24>>0]|0)==a<<24>>24;if(!o?(b[l+25>>0]|0)!=a<<24>>24:0){p=5;break}f[e>>2]=d+1;b[d>>0]=o?43:45;f[g>>2]=0;q=0}else p=5;while(0);a:do if((p|0)==5){o=b[i+11>>0]|0;if(a<<24>>24==h<<24>>24?((o<<24>>24<0?f[i+4>>2]|0:o&255)|0)!=0:0){o=f[k>>2]|0;if((o-j|0)>=160){q=0;break}r=f[g>>2]|0;f[k>>2]=o+4;f[o>>2]=r;f[g>>2]=0;q=0;break}r=l+26|0;o=0;while(1){s=l+o|0;if((o|0)==26){t=r;break}if((b[s>>0]|0)==a<<24>>24){t=s;break}else o=o+1|0}o=t-l|0;if((o|0)>23)q=-1;else{r=520397+o|0;switch(c|0){case 10:case 8:{if((o|0)>=(c|0)){q=-1;break a}break}case 16:{if((o|0)>=22){if(n){q=-1;break a}if((m-d|0)>=3){q=-1;break a}if((b[m+-1>>0]|0)!=48){q=-1;break a}f[g>>2]=0;o=b[r>>0]|0;f[e>>2]=m+1;b[m>>0]=o;q=0;break a}break}default:{}}o=b[r>>0]|0;f[e>>2]=m+1;b[m>>0]=o;f[g>>2]=(f[g>>2]|0)+1;q=0}}while(0);return q|0}function qec(){var a=0;if((b[537144]|0)==0?src(537144)|0:0){a=H9b(2147483647,520433,0)|0;f[223413]=a}return f[223413]|0}function rec(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+16|0;g=e;f[g>>2]=d;d=x9b(b)|0;b=W8b(a,c,g)|0;if(d|0)x9b(d)|0;u=e;return b|0}function sec(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=u;u=u+48|0;c=b+32|0;d=b+24|0;e=b;g=b+16|0;f[g>>2]=1688;f[g+4>>2]=0;f[c>>2]=f[g>>2];f[c+4>>2]=f[g+4>>2];vec(e,c,a);if((f[a>>2]|0)!=-1){f[c>>2]=e;f[d>>2]=c;Amc(a,d,1689)}u=b;return (f[a+4>>2]|0)+-1|0}function tec(a,b){a=a|0;b=b|0;return f[(f[a+8>>2]|0)+(b<<2)>>2]|0}function uec(a){a=a|0;var b=0;b=f[223414]|0;f[223414]=b+1;f[a+4>>2]=b+1;return}function vec(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=f[b>>2]|0;e=f[b+4>>2]|0;f[a>>2]=c;f[a+4>>2]=d;f[a+8>>2]=e;return}function wec(a){a=a|0;xec(f[f[a>>2]>>2]|0);return}function xec(a){a=a|0;var b=0,c=0,d=0,e=0;b=f[a+4>>2]|0;c=f[a+8>>2]|0;d=(f[a>>2]|0)+(c>>1)|0;if(!(c&1))e=b;else e=f[(f[d>>2]|0)+b>>2]|0;ai[e&2047](d);return}function yec(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0,R=0,S=0;a=u;u=u+240|0;i=a+200|0;j=a+199|0;k=a+198|0;l=a+184|0;m=a+172|0;n=a+168|0;o=a+8|0;q=a+4|0;r=a;s=a+197|0;t=a+196|0;zec(l,e,i,j,k);f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[m+(e<<2)>>2]=0;e=e+1|0}e=m+11|0;v=m+8|0;if((b[e>>0]|0)<0)w=(f[v>>2]&2147483647)+-1|0;else w=10;Wmc(m,w,0);w=(b[e>>0]|0)<0?f[m>>2]|0:m;f[n>>2]=w;f[q>>2]=o;f[r>>2]=0;b[s>>0]=1;b[t>>0]=69;x=m+4|0;y=f[c>>2]|0;z=w;w=y;A=y;a:while(1){if(w){y=f[w+12>>2]|0;if((y|0)==(f[w+16>>2]|0))B=ci[f[(f[w>>2]|0)+36>>2]&1023](w)|0;else B=Lbc(b[y>>0]|0)|0;if(Jcc(B,Kbc()|0)|0){f[c>>2]=0;C=0;D=0;E=1}else{C=w;D=A;E=0}}else{C=0;D=0;E=1}y=f[d>>2]|0;do if(y){F=f[y+12>>2]|0;if((F|0)==(f[y+16>>2]|0))G=ci[f[(f[y>>2]|0)+36>>2]&1023](y)|0;else G=Lbc(b[F>>0]|0)|0;if(!(Jcc(G,Kbc()|0)|0))if(E){H=y;break}else{I=z;J=y;break a}else{f[d>>2]=0;K=19;break}}else K=19;while(0);if((K|0)==19){K=0;if(E){I=z;J=0;break}else H=0}y=b[e>>0]|0;F=y<<24>>24<0?f[x>>2]|0:y&255;if((f[n>>2]|0)==(z+F|0)){Wmc(m,F<<1,0);if((b[e>>0]|0)<0)L=(f[v>>2]&2147483647)+-1|0;else L=10;Wmc(m,L,0);y=(b[e>>0]|0)<0?f[m>>2]|0:m;f[n>>2]=y+F;M=y}else M=z;y=C+12|0;F=f[y>>2]|0;N=C+16|0;if((F|0)==(f[N>>2]|0))O=ci[f[(f[C>>2]|0)+36>>2]&1023](C)|0;else O=Lbc(b[F>>0]|0)|0;if(Aec(O&255,s,t,M,n,b[j>>0]|0,b[k>>0]|0,l,o,q,r,i)|0){I=M;J=H;break}F=f[y>>2]|0;if((F|0)==(f[N>>2]|0)){ci[f[(f[C>>2]|0)+40>>2]&1023](C)|0;z=M;w=C;A=D;continue}else{f[y>>2]=F+1;Lbc(b[F>>0]|0)|0;z=M;w=C;A=D;continue}}A=b[l+11>>0]|0;if(!((b[s>>0]|0)==0?1:((A<<24>>24<0?f[l+4>>2]|0:A&255)|0)==0)?(A=f[q>>2]|0,(A-o|0)<160):0){s=f[r>>2]|0;f[q>>2]=A+4;f[A>>2]=s}P=+Bec(I,f[n>>2]|0,g);p[h>>3]=P;Cec(l,o,f[q>>2]|0,g);if(C){q=f[C+12>>2]|0;if((q|0)==(f[C+16>>2]|0))Q=ci[f[(f[D>>2]|0)+36>>2]&1023](C)|0;else Q=Lbc(b[q>>0]|0)|0;if(Jcc(Q,Kbc()|0)|0){f[c>>2]=0;R=1}else R=0}else R=1;do if(J){Q=f[J+12>>2]|0;if((Q|0)==(f[J+16>>2]|0))S=ci[f[(f[J>>2]|0)+36>>2]&1023](J)|0;else S=Lbc(b[Q>>0]|0)|0;if(!(Jcc(S,Kbc()|0)|0))if(R)break;else{K=49;break}else{f[d>>2]=0;K=47;break}}else K=47;while(0);if((K|0)==47?R:0)K=49;if((K|0)==49)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;Pmc(m);Pmc(l);u=a;return g|0}function zec(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;h=u;u=u+16|0;i=h;Kcc(i,c);c=nec(i,893644)|0;Bg[f[(f[c>>2]|0)+32>>2]&127](c,520397,520429,d)|0;d=nec(i,893660)|0;c=ci[f[(f[d>>2]|0)+12>>2]&1023](d)|0;b[e>>0]=c;c=ci[f[(f[d>>2]|0)+16>>2]&1023](d)|0;b[g>>0]=c;xh[f[(f[d>>2]|0)+20>>2]&2047](a,d);oec(i);u=h;return}function Aec(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0;o=k;a:do if(a<<24>>24==h<<24>>24)if(b[c>>0]|0){b[c>>0]=0;k=f[g>>2]|0;f[g>>2]=k+1;b[k>>0]=46;k=b[j+11>>0]|0;if(((k<<24>>24<0?f[j+4>>2]|0:k&255)|0)!=0?(k=f[l>>2]|0,(k-o|0)<160):0){p=f[m>>2]|0;f[l>>2]=k+4;f[k>>2]=p;q=0}else q=0}else q=-1;else{if(a<<24>>24==i<<24>>24?(p=b[j+11>>0]|0,(p<<24>>24<0?f[j+4>>2]|0:p&255)|0):0){if(!(b[c>>0]|0)){q=-1;break}p=f[l>>2]|0;if((p-o|0)>=160){q=0;break}k=f[m>>2]|0;f[l>>2]=p+4;f[p>>2]=k;f[m>>2]=0;q=0;break}k=n+32|0;p=0;while(1){r=n+p|0;if((p|0)==32){s=k;break}if((b[r>>0]|0)==a<<24>>24){s=r;break}else p=p+1|0}p=s-n|0;if((p|0)>31)q=-1;else{k=b[520397+p>>0]|0;switch(p|0){case 24:case 25:{r=f[g>>2]|0;if((r|0)!=(e|0)?(b[r+-1>>0]&95)!=(b[d>>0]&127):0){q=-1;break a}f[g>>2]=r+1;b[r>>0]=k;q=0;break a;break}case 23:case 22:{b[d>>0]=80;r=f[g>>2]|0;f[g>>2]=r+1;b[r>>0]=k;q=0;break a;break}default:{r=k&95;if((((r|0)==(b[d>>0]|0)?(b[d>>0]=r|128,b[c>>0]|0):0)?(b[c>>0]=0,r=b[j+11>>0]|0,(r<<24>>24<0?f[j+4>>2]|0:r&255)|0):0)?(r=f[l>>2]|0,(r-o|0)<160):0){t=f[m>>2]|0;f[l>>2]=r+4;f[r>>2]=t}t=f[g>>2]|0;f[g>>2]=t+1;b[t>>0]=k;if((p|0)>21){q=0;break a}f[m>>2]=(f[m>>2]|0)+1;q=0;break a}}}}while(0);return q|0}function Bec(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0.0,h=0,i=0,j=0.0,k=0.0,l=0,m=0.0;d=u;u=u+16|0;e=d;if((a|0)==(b|0)){f[c>>2]=4;g=0.0}else{h=f7b()|0;i=f[h>>2]|0;h=f7b()|0;f[h>>2]=0;j=+aac(a,e,qec()|0);a=f7b()|0;h=f[a>>2]|0;if(!h){a=f7b()|0;f[a>>2]=i}if((f[e>>2]|0)==(b|0))if((h|0)==34){k=j;l=6}else m=j;else{k=0.0;l=6}if((l|0)==6){f[c>>2]=4;m=k}g=m}u=d;return +g}function Cec(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;g=b[a+11>>0]|0;h=g<<24>>24<0;i=a+4|0;j=f[i>>2]|0;k=g&255;do if((h?j:k)|0){if((c|0)==(d|0))l=j;else{g=d;m=c;while(1){n=g+-4|0;if(m>>>0>=n>>>0)break;o=f[m>>2]|0;f[m>>2]=f[n>>2];f[n>>2]=o;g=n;m=m+4|0}l=f[i>>2]|0}m=h?f[a>>2]|0:a;g=d+-4|0;n=m+(h?l:k)|0;o=c;p=m;while(1){q=b[p>>0]|0;r=q<<24>>24>0&q<<24>>24!=127;if(o>>>0>=g>>>0)break;if(r?(q<<24>>24|0)!=(f[o>>2]|0):0){s=10;break}o=o+4|0;p=(n-p|0)>1?p+1|0:p}if((s|0)==10){f[e>>2]=4;break}if(r?((f[g>>2]|0)+-1|0)>>>0>=q<<24>>24>>>0:0)f[e>>2]=4}while(0);return}function Dec(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0,R=0,S=0;a=u;u=u+240|0;i=a+200|0;j=a+199|0;k=a+198|0;l=a+184|0;m=a+172|0;n=a+168|0;o=a+8|0;q=a+4|0;r=a;s=a+197|0;t=a+196|0;zec(l,e,i,j,k);f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[m+(e<<2)>>2]=0;e=e+1|0}e=m+11|0;v=m+8|0;if((b[e>>0]|0)<0)w=(f[v>>2]&2147483647)+-1|0;else w=10;Wmc(m,w,0);w=(b[e>>0]|0)<0?f[m>>2]|0:m;f[n>>2]=w;f[q>>2]=o;f[r>>2]=0;b[s>>0]=1;b[t>>0]=69;x=m+4|0;y=f[c>>2]|0;z=w;w=y;A=y;a:while(1){if(w){y=f[w+12>>2]|0;if((y|0)==(f[w+16>>2]|0))B=ci[f[(f[w>>2]|0)+36>>2]&1023](w)|0;else B=Lbc(b[y>>0]|0)|0;if(Jcc(B,Kbc()|0)|0){f[c>>2]=0;C=0;D=0;E=1}else{C=w;D=A;E=0}}else{C=0;D=0;E=1}y=f[d>>2]|0;do if(y){F=f[y+12>>2]|0;if((F|0)==(f[y+16>>2]|0))G=ci[f[(f[y>>2]|0)+36>>2]&1023](y)|0;else G=Lbc(b[F>>0]|0)|0;if(!(Jcc(G,Kbc()|0)|0))if(E){H=y;break}else{I=z;J=y;break a}else{f[d>>2]=0;K=19;break}}else K=19;while(0);if((K|0)==19){K=0;if(E){I=z;J=0;break}else H=0}y=b[e>>0]|0;F=y<<24>>24<0?f[x>>2]|0:y&255;if((f[n>>2]|0)==(z+F|0)){Wmc(m,F<<1,0);if((b[e>>0]|0)<0)L=(f[v>>2]&2147483647)+-1|0;else L=10;Wmc(m,L,0);y=(b[e>>0]|0)<0?f[m>>2]|0:m;f[n>>2]=y+F;M=y}else M=z;y=C+12|0;F=f[y>>2]|0;N=C+16|0;if((F|0)==(f[N>>2]|0))O=ci[f[(f[C>>2]|0)+36>>2]&1023](C)|0;else O=Lbc(b[F>>0]|0)|0;if(Aec(O&255,s,t,M,n,b[j>>0]|0,b[k>>0]|0,l,o,q,r,i)|0){I=M;J=H;break}F=f[y>>2]|0;if((F|0)==(f[N>>2]|0)){ci[f[(f[C>>2]|0)+40>>2]&1023](C)|0;z=M;w=C;A=D;continue}else{f[y>>2]=F+1;Lbc(b[F>>0]|0)|0;z=M;w=C;A=D;continue}}A=b[l+11>>0]|0;if(!((b[s>>0]|0)==0?1:((A<<24>>24<0?f[l+4>>2]|0:A&255)|0)==0)?(A=f[q>>2]|0,(A-o|0)<160):0){s=f[r>>2]|0;f[q>>2]=A+4;f[A>>2]=s}P=+Eec(I,f[n>>2]|0,g);p[h>>3]=P;Cec(l,o,f[q>>2]|0,g);if(C){q=f[C+12>>2]|0;if((q|0)==(f[C+16>>2]|0))Q=ci[f[(f[D>>2]|0)+36>>2]&1023](C)|0;else Q=Lbc(b[q>>0]|0)|0;if(Jcc(Q,Kbc()|0)|0){f[c>>2]=0;R=1}else R=0}else R=1;do if(J){Q=f[J+12>>2]|0;if((Q|0)==(f[J+16>>2]|0))S=ci[f[(f[J>>2]|0)+36>>2]&1023](J)|0;else S=Lbc(b[Q>>0]|0)|0;if(!(Jcc(S,Kbc()|0)|0))if(R)break;else{K=49;break}else{f[d>>2]=0;K=47;break}}else K=47;while(0);if((K|0)==47?R:0)K=49;if((K|0)==49)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;Pmc(m);Pmc(l);u=a;return g|0}function Eec(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0.0,h=0,i=0,j=0.0,k=0.0,l=0,m=0.0;d=u;u=u+16|0;e=d;if((a|0)==(b|0)){f[c>>2]=4;g=0.0}else{h=f7b()|0;i=f[h>>2]|0;h=f7b()|0;f[h>>2]=0;j=+$9b(a,e,qec()|0);a=f7b()|0;h=f[a>>2]|0;if(!h){a=f7b()|0;f[a>>2]=i}if((f[e>>2]|0)==(b|0))if((h|0)==34){k=j;l=6}else m=j;else{k=0.0;l=6}if((l|0)==6){f[c>>2]=4;m=k}g=m}u=d;return +g}function Fec(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0,R=0,S=0;a=u;u=u+240|0;i=a+200|0;j=a+199|0;k=a+198|0;l=a+184|0;m=a+172|0;o=a+168|0;p=a+8|0;q=a+4|0;r=a;s=a+197|0;t=a+196|0;zec(l,e,i,j,k);f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[m+(e<<2)>>2]=0;e=e+1|0}e=m+11|0;v=m+8|0;if((b[e>>0]|0)<0)w=(f[v>>2]&2147483647)+-1|0;else w=10;Wmc(m,w,0);w=(b[e>>0]|0)<0?f[m>>2]|0:m;f[o>>2]=w;f[q>>2]=p;f[r>>2]=0;b[s>>0]=1;b[t>>0]=69;x=m+4|0;y=f[c>>2]|0;z=w;w=y;A=y;a:while(1){if(w){y=f[w+12>>2]|0;if((y|0)==(f[w+16>>2]|0))B=ci[f[(f[w>>2]|0)+36>>2]&1023](w)|0;else B=Lbc(b[y>>0]|0)|0;if(Jcc(B,Kbc()|0)|0){f[c>>2]=0;C=0;D=0;E=1}else{C=w;D=A;E=0}}else{C=0;D=0;E=1}y=f[d>>2]|0;do if(y){F=f[y+12>>2]|0;if((F|0)==(f[y+16>>2]|0))G=ci[f[(f[y>>2]|0)+36>>2]&1023](y)|0;else G=Lbc(b[F>>0]|0)|0;if(!(Jcc(G,Kbc()|0)|0))if(E){H=y;break}else{I=z;J=y;break a}else{f[d>>2]=0;K=19;break}}else K=19;while(0);if((K|0)==19){K=0;if(E){I=z;J=0;break}else H=0}y=b[e>>0]|0;F=y<<24>>24<0?f[x>>2]|0:y&255;if((f[o>>2]|0)==(z+F|0)){Wmc(m,F<<1,0);if((b[e>>0]|0)<0)L=(f[v>>2]&2147483647)+-1|0;else L=10;Wmc(m,L,0);y=(b[e>>0]|0)<0?f[m>>2]|0:m;f[o>>2]=y+F;M=y}else M=z;y=C+12|0;F=f[y>>2]|0;N=C+16|0;if((F|0)==(f[N>>2]|0))O=ci[f[(f[C>>2]|0)+36>>2]&1023](C)|0;else O=Lbc(b[F>>0]|0)|0;if(Aec(O&255,s,t,M,o,b[j>>0]|0,b[k>>0]|0,l,p,q,r,i)|0){I=M;J=H;break}F=f[y>>2]|0;if((F|0)==(f[N>>2]|0)){ci[f[(f[C>>2]|0)+40>>2]&1023](C)|0;z=M;w=C;A=D;continue}else{f[y>>2]=F+1;Lbc(b[F>>0]|0)|0;z=M;w=C;A=D;continue}}A=b[l+11>>0]|0;if(!((b[s>>0]|0)==0?1:((A<<24>>24<0?f[l+4>>2]|0:A&255)|0)==0)?(A=f[q>>2]|0,(A-p|0)<160):0){s=f[r>>2]|0;f[q>>2]=A+4;f[A>>2]=s}P=+Gec(I,f[o>>2]|0,g);n[h>>2]=P;Cec(l,p,f[q>>2]|0,g);if(C){q=f[C+12>>2]|0;if((q|0)==(f[C+16>>2]|0))Q=ci[f[(f[D>>2]|0)+36>>2]&1023](C)|0;else Q=Lbc(b[q>>0]|0)|0;if(Jcc(Q,Kbc()|0)|0){f[c>>2]=0;R=1}else R=0}else R=1;do if(J){Q=f[J+12>>2]|0;if((Q|0)==(f[J+16>>2]|0))S=ci[f[(f[J>>2]|0)+36>>2]&1023](J)|0;else S=Lbc(b[Q>>0]|0)|0;if(!(Jcc(S,Kbc()|0)|0))if(R)break;else{K=49;break}else{f[d>>2]=0;K=47;break}}else K=47;while(0);if((K|0)==47?R:0)K=49;if((K|0)==49)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;Pmc(m);Pmc(l);u=a;return g|0}function Gec(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0.0,h=0,i=0,j=0.0,k=0.0,l=0,m=0.0;d=u;u=u+16|0;e=d;if((a|0)==(b|0)){f[c>>2]=4;g=0.0}else{h=f7b()|0;i=f[h>>2]|0;h=f7b()|0;f[h>>2]=0;j=+_9b(a,e,qec()|0);a=f7b()|0;h=f[a>>2]|0;if(!h){a=f7b()|0;f[a>>2]=i}if((f[e>>2]|0)==(b|0))if((h|0)==34){k=j;l=6}else m=j;else{k=0.0;l=6}if((l|0)==6){f[c>>2]=4;m=k}g=m}u=d;return +g}function Hec(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0;a=u;u=u+224|0;i=a+198|0;j=a+196|0;k=a+184|0;l=a+172|0;m=a+168|0;n=a+8|0;o=a+4|0;p=a;q=Iec(e)|0;Jec(k,e,i,j);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[l+(e<<2)>>2]=0;e=e+1|0}e=l+11|0;r=l+8|0;if((b[e>>0]|0)<0)s=(f[r>>2]&2147483647)+-1|0;else s=10;Wmc(l,s,0);s=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=s;f[o>>2]=n;f[p>>2]=0;t=l+4|0;v=f[c>>2]|0;w=s;s=v;x=v;a:while(1){if(s){v=f[s+12>>2]|0;if((v|0)==(f[s+16>>2]|0))y=ci[f[(f[s>>2]|0)+36>>2]&1023](s)|0;else y=Lbc(b[v>>0]|0)|0;if(Jcc(y,Kbc()|0)|0){f[c>>2]=0;z=0;A=0;B=1}else{z=s;A=x;B=0}}else{z=0;A=0;B=1}v=f[d>>2]|0;do if(v){C=f[v+12>>2]|0;if((C|0)==(f[v+16>>2]|0))D=ci[f[(f[v>>2]|0)+36>>2]&1023](v)|0;else D=Lbc(b[C>>0]|0)|0;if(!(Jcc(D,Kbc()|0)|0))if(B){E=v;break}else{F=w;G=v;break a}else{f[d>>2]=0;H=19;break}}else H=19;while(0);if((H|0)==19){H=0;if(B){F=w;G=0;break}else E=0}v=b[e>>0]|0;C=v<<24>>24<0?f[t>>2]|0:v&255;if((f[m>>2]|0)==(w+C|0)){Wmc(l,C<<1,0);if((b[e>>0]|0)<0)I=(f[r>>2]&2147483647)+-1|0;else I=10;Wmc(l,I,0);v=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=v+C;K=v}else K=w;v=z+12|0;C=f[v>>2]|0;L=z+16|0;if((C|0)==(f[L>>2]|0))M=ci[f[(f[z>>2]|0)+36>>2]&1023](z)|0;else M=Lbc(b[C>>0]|0)|0;if(pec(M&255,q,K,m,p,b[j>>0]|0,k,n,o,i)|0){F=K;G=E;break}C=f[v>>2]|0;if((C|0)==(f[L>>2]|0)){ci[f[(f[z>>2]|0)+40>>2]&1023](z)|0;w=K;s=z;x=A;continue}else{f[v>>2]=C+1;Lbc(b[C>>0]|0)|0;w=K;s=z;x=A;continue}}x=b[k+11>>0]|0;if((x<<24>>24<0?f[k+4>>2]|0:x&255)|0?(x=f[o>>2]|0,(x-n|0)<160):0){s=f[p>>2]|0;f[o>>2]=x+4;f[x>>2]=s}s=Kec(F,f[m>>2]|0,g,q)|0;q=h;f[q>>2]=s;f[q+4>>2]=J;Cec(k,n,f[o>>2]|0,g);if(z){o=f[z+12>>2]|0;if((o|0)==(f[z+16>>2]|0))N=ci[f[(f[A>>2]|0)+36>>2]&1023](z)|0;else N=Lbc(b[o>>0]|0)|0;if(Jcc(N,Kbc()|0)|0){f[c>>2]=0;O=1}else O=0}else O=1;do if(G){N=f[G+12>>2]|0;if((N|0)==(f[G+16>>2]|0))P=ci[f[(f[G>>2]|0)+36>>2]&1023](G)|0;else P=Lbc(b[N>>0]|0)|0;if(!(Jcc(P,Kbc()|0)|0))if(O)break;else{H=49;break}else{f[d>>2]=0;H=47;break}}else H=47;while(0);if((H|0)==47?O:0)H=49;if((H|0)==49)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;Pmc(l);Pmc(k);u=a;return g|0}function Iec(a){a=a|0;var b=0;switch(f[a+4>>2]&74){case 64:{b=8;break}case 8:{b=16;break}case 0:{b=0;break}default:b=10}return b|0}function Jec(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;g=u;u=u+16|0;h=g;Kcc(h,c);c=nec(h,893644)|0;Bg[f[(f[c>>2]|0)+32>>2]&127](c,520397,520423,d)|0;d=nec(h,893660)|0;c=ci[f[(f[d>>2]|0)+16>>2]&1023](d)|0;b[e>>0]=c;xh[f[(f[d>>2]|0)+20>>2]&2047](a,d);oec(h);u=g;return}function Kec(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=u;u=u+16|0;h=g;do if((a|0)==(c|0)){f[d>>2]=4;i=0;j=0}else{if((b[a>>0]|0)==45){f[d>>2]=4;i=0;j=0;break}k=f7b()|0;l=f[k>>2]|0;k=f7b()|0;f[k>>2]=0;k=uac(a,h,e,qec()|0)|0;m=J;n=f7b()|0;o=f[n>>2]|0;if(!o){n=f7b()|0;f[n>>2]=l}if((f[h>>2]|0)==(c|0))if((o|0)==34){p=-1;q=-1;r=8}else{s=k;t=m}else{p=0;q=0;r=8}if((r|0)==8){f[d>>2]=4;s=p;t=q}i=t;j=s}while(0);J=i;u=g;return j|0}function Lec(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;a=u;u=u+224|0;i=a+198|0;j=a+196|0;k=a+184|0;l=a+172|0;m=a+168|0;n=a+8|0;o=a+4|0;p=a;q=Iec(e)|0;Jec(k,e,i,j);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[l+(e<<2)>>2]=0;e=e+1|0}e=l+11|0;r=l+8|0;if((b[e>>0]|0)<0)s=(f[r>>2]&2147483647)+-1|0;else s=10;Wmc(l,s,0);s=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=s;f[o>>2]=n;f[p>>2]=0;t=l+4|0;v=f[c>>2]|0;w=s;s=v;x=v;a:while(1){if(s){v=f[s+12>>2]|0;if((v|0)==(f[s+16>>2]|0))y=ci[f[(f[s>>2]|0)+36>>2]&1023](s)|0;else y=Lbc(b[v>>0]|0)|0;if(Jcc(y,Kbc()|0)|0){f[c>>2]=0;z=0;A=0;B=1}else{z=s;A=x;B=0}}else{z=0;A=0;B=1}v=f[d>>2]|0;do if(v){C=f[v+12>>2]|0;if((C|0)==(f[v+16>>2]|0))D=ci[f[(f[v>>2]|0)+36>>2]&1023](v)|0;else D=Lbc(b[C>>0]|0)|0;if(!(Jcc(D,Kbc()|0)|0))if(B){E=v;break}else{F=w;G=v;break a}else{f[d>>2]=0;H=19;break}}else H=19;while(0);if((H|0)==19){H=0;if(B){F=w;G=0;break}else E=0}v=b[e>>0]|0;C=v<<24>>24<0?f[t>>2]|0:v&255;if((f[m>>2]|0)==(w+C|0)){Wmc(l,C<<1,0);if((b[e>>0]|0)<0)I=(f[r>>2]&2147483647)+-1|0;else I=10;Wmc(l,I,0);v=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=v+C;J=v}else J=w;v=z+12|0;C=f[v>>2]|0;K=z+16|0;if((C|0)==(f[K>>2]|0))L=ci[f[(f[z>>2]|0)+36>>2]&1023](z)|0;else L=Lbc(b[C>>0]|0)|0;if(pec(L&255,q,J,m,p,b[j>>0]|0,k,n,o,i)|0){F=J;G=E;break}C=f[v>>2]|0;if((C|0)==(f[K>>2]|0)){ci[f[(f[z>>2]|0)+40>>2]&1023](z)|0;w=J;s=z;x=A;continue}else{f[v>>2]=C+1;Lbc(b[C>>0]|0)|0;w=J;s=z;x=A;continue}}x=b[k+11>>0]|0;if((x<<24>>24<0?f[k+4>>2]|0:x&255)|0?(x=f[o>>2]|0,(x-n|0)<160):0){s=f[p>>2]|0;f[o>>2]=x+4;f[x>>2]=s}s=Mec(F,f[m>>2]|0,g,q)|0;f[h>>2]=s;Cec(k,n,f[o>>2]|0,g);if(z){o=f[z+12>>2]|0;if((o|0)==(f[z+16>>2]|0))M=ci[f[(f[A>>2]|0)+36>>2]&1023](z)|0;else M=Lbc(b[o>>0]|0)|0;if(Jcc(M,Kbc()|0)|0){f[c>>2]=0;N=1}else N=0}else N=1;do if(G){M=f[G+12>>2]|0;if((M|0)==(f[G+16>>2]|0))O=ci[f[(f[G>>2]|0)+36>>2]&1023](G)|0;else O=Lbc(b[M>>0]|0)|0;if(!(Jcc(O,Kbc()|0)|0))if(N)break;else{H=49;break}else{f[d>>2]=0;H=47;break}}else H=47;while(0);if((H|0)==47?N:0)H=49;if((H|0)==49)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;Pmc(l);Pmc(k);u=a;return g|0}function Mec(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=u;u=u+16|0;h=g;do if((a|0)==(c|0)){f[d>>2]=4;i=0}else{if((b[a>>0]|0)==45){f[d>>2]=4;i=0;break}j=f7b()|0;k=f[j>>2]|0;j=f7b()|0;f[j>>2]=0;j=uac(a,h,e,qec()|0)|0;l=J;m=f7b()|0;n=f[m>>2]|0;if(!n){m=f7b()|0;f[m>>2]=k}do if((f[h>>2]|0)==(c|0))if(l>>>0>0|(l|0)==0&j>>>0>4294967295|(n|0)==34){f[d>>2]=4;o=-1;break}else{o=j;break}else{f[d>>2]=4;o=0}while(0);i=o}while(0);u=g;return i|0}function Nec(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;a=u;u=u+224|0;i=a+198|0;j=a+196|0;k=a+184|0;l=a+172|0;m=a+168|0;n=a+8|0;o=a+4|0;p=a;q=Iec(e)|0;Jec(k,e,i,j);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[l+(e<<2)>>2]=0;e=e+1|0}e=l+11|0;r=l+8|0;if((b[e>>0]|0)<0)s=(f[r>>2]&2147483647)+-1|0;else s=10;Wmc(l,s,0);s=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=s;f[o>>2]=n;f[p>>2]=0;t=l+4|0;v=f[c>>2]|0;w=s;s=v;x=v;a:while(1){if(s){v=f[s+12>>2]|0;if((v|0)==(f[s+16>>2]|0))y=ci[f[(f[s>>2]|0)+36>>2]&1023](s)|0;else y=Lbc(b[v>>0]|0)|0;if(Jcc(y,Kbc()|0)|0){f[c>>2]=0;z=0;A=0;B=1}else{z=s;A=x;B=0}}else{z=0;A=0;B=1}v=f[d>>2]|0;do if(v){C=f[v+12>>2]|0;if((C|0)==(f[v+16>>2]|0))D=ci[f[(f[v>>2]|0)+36>>2]&1023](v)|0;else D=Lbc(b[C>>0]|0)|0;if(!(Jcc(D,Kbc()|0)|0))if(B){E=v;break}else{F=w;G=v;break a}else{f[d>>2]=0;H=19;break}}else H=19;while(0);if((H|0)==19){H=0;if(B){F=w;G=0;break}else E=0}v=b[e>>0]|0;C=v<<24>>24<0?f[t>>2]|0:v&255;if((f[m>>2]|0)==(w+C|0)){Wmc(l,C<<1,0);if((b[e>>0]|0)<0)I=(f[r>>2]&2147483647)+-1|0;else I=10;Wmc(l,I,0);v=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=v+C;J=v}else J=w;v=z+12|0;C=f[v>>2]|0;K=z+16|0;if((C|0)==(f[K>>2]|0))L=ci[f[(f[z>>2]|0)+36>>2]&1023](z)|0;else L=Lbc(b[C>>0]|0)|0;if(pec(L&255,q,J,m,p,b[j>>0]|0,k,n,o,i)|0){F=J;G=E;break}C=f[v>>2]|0;if((C|0)==(f[K>>2]|0)){ci[f[(f[z>>2]|0)+40>>2]&1023](z)|0;w=J;s=z;x=A;continue}else{f[v>>2]=C+1;Lbc(b[C>>0]|0)|0;w=J;s=z;x=A;continue}}x=b[k+11>>0]|0;if((x<<24>>24<0?f[k+4>>2]|0:x&255)|0?(x=f[o>>2]|0,(x-n|0)<160):0){s=f[p>>2]|0;f[o>>2]=x+4;f[x>>2]=s}s=Oec(F,f[m>>2]|0,g,q)|0;f[h>>2]=s;Cec(k,n,f[o>>2]|0,g);if(z){o=f[z+12>>2]|0;if((o|0)==(f[z+16>>2]|0))M=ci[f[(f[A>>2]|0)+36>>2]&1023](z)|0;else M=Lbc(b[o>>0]|0)|0;if(Jcc(M,Kbc()|0)|0){f[c>>2]=0;N=1}else N=0}else N=1;do if(G){M=f[G+12>>2]|0;if((M|0)==(f[G+16>>2]|0))O=ci[f[(f[G>>2]|0)+36>>2]&1023](G)|0;else O=Lbc(b[M>>0]|0)|0;if(!(Jcc(O,Kbc()|0)|0))if(N)break;else{H=49;break}else{f[d>>2]=0;H=47;break}}else H=47;while(0);if((H|0)==47?N:0)H=49;if((H|0)==49)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;Pmc(l);Pmc(k);u=a;return g|0}function Oec(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=u;u=u+16|0;h=g;do if((a|0)==(c|0)){f[d>>2]=4;i=0}else{if((b[a>>0]|0)==45){f[d>>2]=4;i=0;break}j=f7b()|0;k=f[j>>2]|0;j=f7b()|0;f[j>>2]=0;j=uac(a,h,e,qec()|0)|0;l=J;m=f7b()|0;n=f[m>>2]|0;if(!n){m=f7b()|0;f[m>>2]=k}do if((f[h>>2]|0)==(c|0))if(l>>>0>0|(l|0)==0&j>>>0>4294967295|(n|0)==34){f[d>>2]=4;o=-1;break}else{o=j;break}else{f[d>>2]=4;o=0}while(0);i=o}while(0);u=g;return i|0}function Pec(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;a=u;u=u+224|0;j=a+198|0;k=a+196|0;l=a+184|0;m=a+172|0;n=a+168|0;o=a+8|0;p=a+4|0;q=a;r=Iec(g)|0;Jec(l,g,j,k);f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;g=0;while(1){if((g|0)==3)break;f[m+(g<<2)>>2]=0;g=g+1|0}g=m+11|0;s=m+8|0;if((b[g>>0]|0)<0)t=(f[s>>2]&2147483647)+-1|0;else t=10;Wmc(m,t,0);t=(b[g>>0]|0)<0?f[m>>2]|0:m;f[n>>2]=t;f[p>>2]=o;f[q>>2]=0;v=m+4|0;w=f[c>>2]|0;x=t;t=w;y=w;a:while(1){if(t){w=f[t+12>>2]|0;if((w|0)==(f[t+16>>2]|0))z=ci[f[(f[t>>2]|0)+36>>2]&1023](t)|0;else z=Lbc(b[w>>0]|0)|0;if(Jcc(z,Kbc()|0)|0){f[c>>2]=0;A=0;B=0;C=1}else{A=t;B=y;C=0}}else{A=0;B=0;C=1}w=f[e>>2]|0;do if(w){D=f[w+12>>2]|0;if((D|0)==(f[w+16>>2]|0))E=ci[f[(f[w>>2]|0)+36>>2]&1023](w)|0;else E=Lbc(b[D>>0]|0)|0;if(!(Jcc(E,Kbc()|0)|0))if(C){F=w;break}else{G=x;H=w;break a}else{f[e>>2]=0;I=19;break}}else I=19;while(0);if((I|0)==19){I=0;if(C){G=x;H=0;break}else F=0}w=b[g>>0]|0;D=w<<24>>24<0?f[v>>2]|0:w&255;if((f[n>>2]|0)==(x+D|0)){Wmc(m,D<<1,0);if((b[g>>0]|0)<0)J=(f[s>>2]&2147483647)+-1|0;else J=10;Wmc(m,J,0);w=(b[g>>0]|0)<0?f[m>>2]|0:m;f[n>>2]=w+D;K=w}else K=x;w=A+12|0;D=f[w>>2]|0;L=A+16|0;if((D|0)==(f[L>>2]|0))M=ci[f[(f[A>>2]|0)+36>>2]&1023](A)|0;else M=Lbc(b[D>>0]|0)|0;if(pec(M&255,r,K,n,q,b[k>>0]|0,l,o,p,j)|0){G=K;H=F;break}D=f[w>>2]|0;if((D|0)==(f[L>>2]|0)){ci[f[(f[A>>2]|0)+40>>2]&1023](A)|0;x=K;t=A;y=B;continue}else{f[w>>2]=D+1;Lbc(b[D>>0]|0)|0;x=K;t=A;y=B;continue}}y=b[l+11>>0]|0;if((y<<24>>24<0?f[l+4>>2]|0:y&255)|0?(y=f[p>>2]|0,(y-o|0)<160):0){t=f[q>>2]|0;f[p>>2]=y+4;f[y>>2]=t}t=Qec(G,f[n>>2]|0,h,r)|0;d[i>>1]=t;Cec(l,o,f[p>>2]|0,h);if(A){p=f[A+12>>2]|0;if((p|0)==(f[A+16>>2]|0))N=ci[f[(f[B>>2]|0)+36>>2]&1023](A)|0;else N=Lbc(b[p>>0]|0)|0;if(Jcc(N,Kbc()|0)|0){f[c>>2]=0;O=1}else O=0}else O=1;do if(H){N=f[H+12>>2]|0;if((N|0)==(f[H+16>>2]|0))P=ci[f[(f[H>>2]|0)+36>>2]&1023](H)|0;else P=Lbc(b[N>>0]|0)|0;if(!(Jcc(P,Kbc()|0)|0))if(O)break;else{I=49;break}else{f[e>>2]=0;I=47;break}}else I=47;while(0);if((I|0)==47?O:0)I=49;if((I|0)==49)f[h>>2]=f[h>>2]|2;h=f[c>>2]|0;Pmc(m);Pmc(l);u=a;return h|0}function Qec(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=u;u=u+16|0;h=g;do if((a|0)==(c|0)){f[d>>2]=4;i=0}else{if((b[a>>0]|0)==45){f[d>>2]=4;i=0;break}j=f7b()|0;k=f[j>>2]|0;j=f7b()|0;f[j>>2]=0;j=uac(a,h,e,qec()|0)|0;l=J;m=f7b()|0;n=f[m>>2]|0;if(!n){m=f7b()|0;f[m>>2]=k}do if((f[h>>2]|0)==(c|0))if(l>>>0>0|(l|0)==0&j>>>0>65535|(n|0)==34){f[d>>2]=4;o=-1;break}else{o=j&65535;break}else{f[d>>2]=4;o=0}while(0);i=o}while(0);u=g;return i|0}function Rec(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0;a=u;u=u+224|0;i=a+198|0;j=a+196|0;k=a+184|0;l=a+172|0;m=a+168|0;n=a+8|0;o=a+4|0;p=a;q=Iec(e)|0;Jec(k,e,i,j);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[l+(e<<2)>>2]=0;e=e+1|0}e=l+11|0;r=l+8|0;if((b[e>>0]|0)<0)s=(f[r>>2]&2147483647)+-1|0;else s=10;Wmc(l,s,0);s=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=s;f[o>>2]=n;f[p>>2]=0;t=l+4|0;v=f[c>>2]|0;w=s;s=v;x=v;a:while(1){if(s){v=f[s+12>>2]|0;if((v|0)==(f[s+16>>2]|0))y=ci[f[(f[s>>2]|0)+36>>2]&1023](s)|0;else y=Lbc(b[v>>0]|0)|0;if(Jcc(y,Kbc()|0)|0){f[c>>2]=0;z=0;A=0;B=1}else{z=s;A=x;B=0}}else{z=0;A=0;B=1}v=f[d>>2]|0;do if(v){C=f[v+12>>2]|0;if((C|0)==(f[v+16>>2]|0))D=ci[f[(f[v>>2]|0)+36>>2]&1023](v)|0;else D=Lbc(b[C>>0]|0)|0;if(!(Jcc(D,Kbc()|0)|0))if(B){E=v;break}else{F=w;G=v;break a}else{f[d>>2]=0;H=19;break}}else H=19;while(0);if((H|0)==19){H=0;if(B){F=w;G=0;break}else E=0}v=b[e>>0]|0;C=v<<24>>24<0?f[t>>2]|0:v&255;if((f[m>>2]|0)==(w+C|0)){Wmc(l,C<<1,0);if((b[e>>0]|0)<0)I=(f[r>>2]&2147483647)+-1|0;else I=10;Wmc(l,I,0);v=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=v+C;K=v}else K=w;v=z+12|0;C=f[v>>2]|0;L=z+16|0;if((C|0)==(f[L>>2]|0))M=ci[f[(f[z>>2]|0)+36>>2]&1023](z)|0;else M=Lbc(b[C>>0]|0)|0;if(pec(M&255,q,K,m,p,b[j>>0]|0,k,n,o,i)|0){F=K;G=E;break}C=f[v>>2]|0;if((C|0)==(f[L>>2]|0)){ci[f[(f[z>>2]|0)+40>>2]&1023](z)|0;w=K;s=z;x=A;continue}else{f[v>>2]=C+1;Lbc(b[C>>0]|0)|0;w=K;s=z;x=A;continue}}x=b[k+11>>0]|0;if((x<<24>>24<0?f[k+4>>2]|0:x&255)|0?(x=f[o>>2]|0,(x-n|0)<160):0){s=f[p>>2]|0;f[o>>2]=x+4;f[x>>2]=s}s=Sec(F,f[m>>2]|0,g,q)|0;q=h;f[q>>2]=s;f[q+4>>2]=J;Cec(k,n,f[o>>2]|0,g);if(z){o=f[z+12>>2]|0;if((o|0)==(f[z+16>>2]|0))N=ci[f[(f[A>>2]|0)+36>>2]&1023](z)|0;else N=Lbc(b[o>>0]|0)|0;if(Jcc(N,Kbc()|0)|0){f[c>>2]=0;O=1}else O=0}else O=1;do if(G){N=f[G+12>>2]|0;if((N|0)==(f[G+16>>2]|0))P=ci[f[(f[G>>2]|0)+36>>2]&1023](G)|0;else P=Lbc(b[N>>0]|0)|0;if(!(Jcc(P,Kbc()|0)|0))if(O)break;else{H=49;break}else{f[d>>2]=0;H=47;break}}else H=47;while(0);if((H|0)==47?O:0)H=49;if((H|0)==49)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;Pmc(l);Pmc(k);u=a;return g|0}function Sec(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+16|0;g=e;if((a|0)==(b|0)){f[c>>2]=4;h=0;i=0}else{j=f7b()|0;k=f[j>>2]|0;j=f7b()|0;f[j>>2]=0;j=vac(a,g,d,qec()|0)|0;d=J;a=f7b()|0;l=f[a>>2]|0;if(!l){a=f7b()|0;f[a>>2]=k}if((f[g>>2]|0)==(b|0))if((l|0)==34){f[c>>2]=4;l=(d|0)>0|(d|0)==0&j>>>0>0;m=l?-1:0;n=l?2147483647:-2147483648}else{m=j;n=d}else{f[c>>2]=4;m=0;n=0}h=n;i=m}J=h;u=e;return i|0}function Tec(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;a=u;u=u+224|0;i=a+198|0;j=a+196|0;k=a+184|0;l=a+172|0;m=a+168|0;n=a+8|0;o=a+4|0;p=a;q=Iec(e)|0;Jec(k,e,i,j);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[l+(e<<2)>>2]=0;e=e+1|0}e=l+11|0;r=l+8|0;if((b[e>>0]|0)<0)s=(f[r>>2]&2147483647)+-1|0;else s=10;Wmc(l,s,0);s=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=s;f[o>>2]=n;f[p>>2]=0;t=l+4|0;v=f[c>>2]|0;w=s;s=v;x=v;a:while(1){if(s){v=f[s+12>>2]|0;if((v|0)==(f[s+16>>2]|0))y=ci[f[(f[s>>2]|0)+36>>2]&1023](s)|0;else y=Lbc(b[v>>0]|0)|0;if(Jcc(y,Kbc()|0)|0){f[c>>2]=0;z=0;A=0;B=1}else{z=s;A=x;B=0}}else{z=0;A=0;B=1}v=f[d>>2]|0;do if(v){C=f[v+12>>2]|0;if((C|0)==(f[v+16>>2]|0))D=ci[f[(f[v>>2]|0)+36>>2]&1023](v)|0;else D=Lbc(b[C>>0]|0)|0;if(!(Jcc(D,Kbc()|0)|0))if(B){E=v;break}else{F=w;G=v;break a}else{f[d>>2]=0;H=19;break}}else H=19;while(0);if((H|0)==19){H=0;if(B){F=w;G=0;break}else E=0}v=b[e>>0]|0;C=v<<24>>24<0?f[t>>2]|0:v&255;if((f[m>>2]|0)==(w+C|0)){Wmc(l,C<<1,0);if((b[e>>0]|0)<0)I=(f[r>>2]&2147483647)+-1|0;else I=10;Wmc(l,I,0);v=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=v+C;J=v}else J=w;v=z+12|0;C=f[v>>2]|0;K=z+16|0;if((C|0)==(f[K>>2]|0))L=ci[f[(f[z>>2]|0)+36>>2]&1023](z)|0;else L=Lbc(b[C>>0]|0)|0;if(pec(L&255,q,J,m,p,b[j>>0]|0,k,n,o,i)|0){F=J;G=E;break}C=f[v>>2]|0;if((C|0)==(f[K>>2]|0)){ci[f[(f[z>>2]|0)+40>>2]&1023](z)|0;w=J;s=z;x=A;continue}else{f[v>>2]=C+1;Lbc(b[C>>0]|0)|0;w=J;s=z;x=A;continue}}x=b[k+11>>0]|0;if((x<<24>>24<0?f[k+4>>2]|0:x&255)|0?(x=f[o>>2]|0,(x-n|0)<160):0){s=f[p>>2]|0;f[o>>2]=x+4;f[x>>2]=s}s=Uec(F,f[m>>2]|0,g,q)|0;f[h>>2]=s;Cec(k,n,f[o>>2]|0,g);if(z){o=f[z+12>>2]|0;if((o|0)==(f[z+16>>2]|0))M=ci[f[(f[A>>2]|0)+36>>2]&1023](z)|0;else M=Lbc(b[o>>0]|0)|0;if(Jcc(M,Kbc()|0)|0){f[c>>2]=0;N=1}else N=0}else N=1;do if(G){M=f[G+12>>2]|0;if((M|0)==(f[G+16>>2]|0))O=ci[f[(f[G>>2]|0)+36>>2]&1023](G)|0;else O=Lbc(b[M>>0]|0)|0;if(!(Jcc(O,Kbc()|0)|0))if(N)break;else{H=49;break}else{f[d>>2]=0;H=47;break}}else H=47;while(0);if((H|0)==47?N:0)H=49;if((H|0)==49)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;Pmc(l);Pmc(k);u=a;return g|0}function Uec(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e;if((a|0)==(b|0)){f[c>>2]=4;h=0}else{i=f7b()|0;j=f[i>>2]|0;i=f7b()|0;f[i>>2]=0;i=vac(a,g,d,qec()|0)|0;d=J;a=f7b()|0;k=f[a>>2]|0;if(!k){a=f7b()|0;f[a>>2]=j}a:do if((f[g>>2]|0)==(b|0)){do if((k|0)==34){f[c>>2]=4;if((d|0)>0|(d|0)==0&i>>>0>0){l=2147483647;break a}}else{if((d|0)<-1|(d|0)==-1&i>>>0<2147483648){f[c>>2]=4;break}if((d|0)>0|(d|0)==0&i>>>0>2147483647){f[c>>2]=4;l=2147483647;break a}else{l=i;break a}}while(0);l=-2147483648}else{f[c>>2]=4;l=0}while(0);h=l}u=e;return h|0}function Vec(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;j=u;u=u+112|0;k=j;l=(e-d|0)/12|0;if(l>>>0>100){m=W6b(l)|0;if(!m)Gmc();else{n=m;o=m}}else{n=k;o=0}k=l;l=d;m=n;p=0;while(1){if((l|0)==(e|0))break;q=b[l+11>>0]|0;if(q<<24>>24<0)r=f[l+4>>2]|0;else r=q&255;if(!r){b[m>>0]=2;s=k+-1|0;t=p+1|0}else{b[m>>0]=1;s=k;t=p}k=s;l=l+12|0;m=m+1|0;p=t}t=0;m=k;k=p;a:while(1){p=f[a>>2]|0;do if(p){l=f[p+12>>2]|0;if((l|0)==(f[p+16>>2]|0))v=ci[f[(f[p>>2]|0)+36>>2]&1023](p)|0;else v=Lbc(b[l>>0]|0)|0;if(Jcc(v,Kbc()|0)|0){f[a>>2]=0;w=1;break}else{w=(f[a>>2]|0)==0;break}}else w=1;while(0);p=f[c>>2]|0;if(p){l=f[p+12>>2]|0;if((l|0)==(f[p+16>>2]|0))x=ci[f[(f[p>>2]|0)+36>>2]&1023](p)|0;else x=Lbc(b[l>>0]|0)|0;if(Jcc(x,Kbc()|0)|0){f[c>>2]=0;y=0;z=1}else{y=p;z=0}}else{y=0;z=1}A=f[a>>2]|0;if(!((m|0)!=0&(w^z)))break;p=f[A+12>>2]|0;if((p|0)==(f[A+16>>2]|0))B=ci[f[(f[A>>2]|0)+36>>2]&1023](A)|0;else B=Lbc(b[p>>0]|0)|0;p=B&255;if(i)C=p;else C=Sh[f[(f[g>>2]|0)+12>>2]&511](g,p)|0;p=t+1|0;l=d;s=0;r=n;q=k;D=m;while(1){if((l|0)==(e|0))break;do if((b[r>>0]|0)==1){E=l+11|0;if((b[E>>0]|0)<0)F=f[l>>2]|0;else F=l;G=b[F+t>>0]|0;if(i)H=G;else H=Sh[f[(f[g>>2]|0)+12>>2]&511](g,G)|0;G=D+-1|0;if(C<<24>>24!=H<<24>>24){b[r>>0]=0;I=s;J=q;K=G;break}L=b[E>>0]|0;if(L<<24>>24<0)M=f[l+4>>2]|0;else M=L&255;if((M|0)==(p|0)){b[r>>0]=2;I=1;J=q+1|0;K=G}else{I=1;J=q;K=D}}else{I=s;J=q;K=D}while(0);l=l+12|0;s=I;r=r+1|0;q=J;D=K}if(!s){t=p;m=D;k=q;continue}r=f[a>>2]|0;l=r+12|0;G=f[l>>2]|0;if((G|0)==(f[r+16>>2]|0))ci[f[(f[r>>2]|0)+40>>2]&1023](r)|0;else{f[l>>2]=G+1;Lbc(b[G>>0]|0)|0}if((q+D|0)>>>0>1){N=d;O=n;P=q}else{t=p;m=D;k=q;continue}while(1){if((N|0)==(e|0)){t=p;m=D;k=P;continue a}if((b[O>>0]|0)==2){G=b[N+11>>0]|0;if(G<<24>>24<0)Q=f[N+4>>2]|0;else Q=G&255;if((Q|0)!=(p|0)){b[O>>0]=0;R=P+-1|0}else R=P}else R=P;N=N+12|0;O=O+1|0;P=R}}do if(A){R=f[A+12>>2]|0;if((R|0)==(f[A+16>>2]|0))S=ci[f[(f[A>>2]|0)+36>>2]&1023](A)|0;else S=Lbc(b[R>>0]|0)|0;if(Jcc(S,Kbc()|0)|0){f[a>>2]=0;T=1;break}else{T=(f[a>>2]|0)==0;break}}else T=1;while(0);do if(y){a=f[y+12>>2]|0;if((a|0)==(f[y+16>>2]|0))U=ci[f[(f[y>>2]|0)+36>>2]&1023](y)|0;else U=Lbc(b[a>>0]|0)|0;if(!(Jcc(U,Kbc()|0)|0))if(T){V=d;W=n;break}else{X=77;break}else{f[c>>2]=0;X=41;break}}else X=41;while(0);if((X|0)==41)if(T)X=77;else{V=d;W=n}if((X|0)==77){f[h>>2]=f[h>>2]|2;V=d;W=n}while(1){if((V|0)==(e|0)){X=81;break}if((b[W>>0]|0)==2){Y=V;break}V=V+12|0;W=W+1|0}if((X|0)==81){f[h>>2]=f[h>>2]|4;Y=e}X6b(o);u=j;return Y|0}function Wec(a){a=a|0;Vdc(a);return}function Xec(a){a=a|0;Vdc(a);Emc(a);return}function Yec(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;i=u;u=u+48|0;j=i+40|0;k=i+16|0;l=i+8|0;m=i+12|0;n=i+4|0;o=i;if(!(f[e+4>>2]&1)){f[l>>2]=-1;p=f[(f[a>>2]|0)+16>>2]|0;f[m>>2]=f[c>>2];f[n>>2]=f[d>>2];f[k>>2]=f[m>>2];f[j>>2]=f[n>>2];n=Vf[p&127](a,k,j,e,g,l)|0;f[c>>2]=n;switch(f[l>>2]|0){case 0:{b[h>>0]=0;break}case 1:{b[h>>0]=1;break}default:{b[h>>0]=1;f[g>>2]=4}}q=f[c>>2]|0}else{Kcc(j,e);l=nec(j,893676)|0;oec(j);Kcc(j,e);e=nec(j,893684)|0;oec(j);xh[f[(f[e>>2]|0)+24>>2]&2047](k,e);xh[f[(f[e>>2]|0)+28>>2]&2047](k+12|0,e);f[o>>2]=f[d>>2];d=k+24|0;f[j>>2]=f[o>>2];o=(ufc(c,j,k,d,l,g,1)|0)==(k|0)&1;b[h>>0]=o;o=f[c>>2]|0;c=d;do{c=c+-12|0;lnc(c)}while((c|0)!=(k|0));q=o}u=i;return q|0}function Zec(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=tfc(a,j,i,d,e,g)|0;u=h;return l|0}function _ec(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=sfc(a,j,i,d,e,g)|0;u=h;return l|0}function $ec(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=rfc(a,j,i,d,e,g)|0;u=h;return l|0}function afc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=qfc(a,j,i,d,e,g)|0;u=h;return l|0}function bfc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=pfc(a,j,i,d,e,g)|0;u=h;return l|0}function cfc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=nfc(a,j,i,d,e,g)|0;u=h;return l|0}function dfc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=mfc(a,j,i,d,e,g)|0;u=h;return l|0}function efc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=lfc(a,j,i,d,e,g)|0;u=h;return l|0}function ffc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=ifc(a,j,i,d,e,g)|0;u=h;return l|0}function gfc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;a=u;u=u+320|0;i=a;j=a+208|0;k=a+192|0;l=a+180|0;m=a+176|0;n=a+16|0;o=a+8|0;p=a+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;q=0;while(1){if((q|0)==3)break;f[k+(q<<2)>>2]=0;q=q+1|0}Kcc(l,e);e=nec(l,893676)|0;Bg[f[(f[e>>2]|0)+48>>2]&127](e,520397,520423,j)|0;oec(l);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[l+(e<<2)>>2]=0;e=e+1|0}e=l+11|0;q=l+8|0;if((b[e>>0]|0)<0)r=(f[q>>2]&2147483647)+-1|0;else r=10;Wmc(l,r,0);r=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=r;f[o>>2]=n;f[p>>2]=0;s=l+4|0;t=f[c>>2]|0;v=r;r=t;w=t;a:while(1){if(r){t=f[r+12>>2]|0;if((t|0)==(f[r+16>>2]|0))x=ci[f[(f[r>>2]|0)+36>>2]&1023](r)|0;else x=bcc(f[t>>2]|0)|0;if(Lcc(x,acc()|0)|0){f[c>>2]=0;y=0;z=0;A=1}else{y=r;z=w;A=0}}else{y=0;z=0;A=1}t=f[d>>2]|0;do if(t){B=f[t+12>>2]|0;if((B|0)==(f[t+16>>2]|0))C=ci[f[(f[t>>2]|0)+36>>2]&1023](t)|0;else C=bcc(f[B>>2]|0)|0;if(!(Lcc(C,acc()|0)|0))if(A){D=t;break}else{E=v;F=t;break a}else{f[d>>2]=0;G=22;break}}else G=22;while(0);if((G|0)==22){G=0;if(A){E=v;F=0;break}else D=0}t=b[e>>0]|0;B=t<<24>>24<0?f[s>>2]|0:t&255;if((f[m>>2]|0)==(v+B|0)){Wmc(l,B<<1,0);if((b[e>>0]|0)<0)H=(f[q>>2]&2147483647)+-1|0;else H=10;Wmc(l,H,0);t=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=t+B;I=t}else I=v;t=y+12|0;B=f[t>>2]|0;J=y+16|0;if((B|0)==(f[J>>2]|0))K=ci[f[(f[y>>2]|0)+36>>2]&1023](y)|0;else K=bcc(f[B>>2]|0)|0;if(hfc(K,16,I,m,p,0,k,n,o,j)|0){E=I;F=D;break}B=f[t>>2]|0;if((B|0)==(f[J>>2]|0)){ci[f[(f[y>>2]|0)+40>>2]&1023](y)|0;v=I;r=y;w=z;continue}else{f[t>>2]=B+4;bcc(f[B>>2]|0)|0;v=I;r=y;w=z;continue}}Wmc(l,(f[m>>2]|0)-E|0,0);E=(b[e>>0]|0)<0?f[l>>2]|0:l;e=qec()|0;f[i>>2]=h;if((rec(E,e,520430,i)|0)!=1)f[g>>2]=4;if(y){i=f[y+12>>2]|0;if((i|0)==(f[y+16>>2]|0))L=ci[f[(f[z>>2]|0)+36>>2]&1023](y)|0;else L=bcc(f[i>>2]|0)|0;if(Lcc(L,acc()|0)|0){f[c>>2]=0;M=1}else M=0}else M=1;do if(F){L=f[F+12>>2]|0;if((L|0)==(f[F+16>>2]|0))N=ci[f[(f[F>>2]|0)+36>>2]&1023](F)|0;else N=bcc(f[L>>2]|0)|0;if(!(Lcc(N,acc()|0)|0))if(M)break;else{G=51;break}else{f[d>>2]=0;G=49;break}}else G=49;while(0);if((G|0)==49?M:0)G=51;if((G|0)==51)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;Pmc(l);Pmc(k);u=a;return g|0}function hfc(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;m=f[e>>2]|0;n=(m|0)==(d|0);do if(n){o=(f[l+96>>2]|0)==(a|0);if(!o?(f[l+100>>2]|0)!=(a|0):0){p=5;break}f[e>>2]=d+1;b[d>>0]=o?43:45;f[g>>2]=0;q=0}else p=5;while(0);a:do if((p|0)==5){o=b[i+11>>0]|0;if((a|0)==(h|0)?((o<<24>>24<0?f[i+4>>2]|0:o&255)|0)!=0:0){o=f[k>>2]|0;if((o-j|0)>=160){q=0;break}r=f[g>>2]|0;f[k>>2]=o+4;f[o>>2]=r;f[g>>2]=0;q=0;break}r=l+104|0;o=0;while(1){s=l+(o<<2)|0;if((o|0)==26){t=r;break}if((f[s>>2]|0)==(a|0)){t=s;break}else o=o+1|0}o=t-l|0;r=o>>2;if((o|0)>92)q=-1;else{s=520397+r|0;switch(c|0){case 10:case 8:{if((r|0)>=(c|0)){q=-1;break a}break}case 16:{if((o|0)>=88){if(n){q=-1;break a}if((m-d|0)>=3){q=-1;break a}if((b[m+-1>>0]|0)!=48){q=-1;break a}f[g>>2]=0;o=b[s>>0]|0;f[e>>2]=m+1;b[m>>0]=o;q=0;break a}break}default:{}}o=b[s>>0]|0;f[e>>2]=m+1;b[m>>0]=o;f[g>>2]=(f[g>>2]|0)+1;q=0}}while(0);return q|0}function ifc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0,R=0,S=0;a=u;u=u+352|0;i=a+208|0;j=a+200|0;k=a+196|0;l=a+184|0;m=a+172|0;n=a+168|0;o=a+8|0;q=a+4|0;r=a;s=a+337|0;t=a+336|0;jfc(l,e,i,j,k);f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[m+(e<<2)>>2]=0;e=e+1|0}e=m+11|0;v=m+8|0;if((b[e>>0]|0)<0)w=(f[v>>2]&2147483647)+-1|0;else w=10;Wmc(m,w,0);w=(b[e>>0]|0)<0?f[m>>2]|0:m;f[n>>2]=w;f[q>>2]=o;f[r>>2]=0;b[s>>0]=1;b[t>>0]=69;x=m+4|0;y=f[c>>2]|0;z=w;w=y;A=y;a:while(1){if(w){y=f[w+12>>2]|0;if((y|0)==(f[w+16>>2]|0))B=ci[f[(f[w>>2]|0)+36>>2]&1023](w)|0;else B=bcc(f[y>>2]|0)|0;if(Lcc(B,acc()|0)|0){f[c>>2]=0;C=0;D=0;E=1}else{C=w;D=A;E=0}}else{C=0;D=0;E=1}y=f[d>>2]|0;do if(y){F=f[y+12>>2]|0;if((F|0)==(f[y+16>>2]|0))G=ci[f[(f[y>>2]|0)+36>>2]&1023](y)|0;else G=bcc(f[F>>2]|0)|0;if(!(Lcc(G,acc()|0)|0))if(E){H=y;break}else{I=z;J=y;break a}else{f[d>>2]=0;K=19;break}}else K=19;while(0);if((K|0)==19){K=0;if(E){I=z;J=0;break}else H=0}y=b[e>>0]|0;F=y<<24>>24<0?f[x>>2]|0:y&255;if((f[n>>2]|0)==(z+F|0)){Wmc(m,F<<1,0);if((b[e>>0]|0)<0)L=(f[v>>2]&2147483647)+-1|0;else L=10;Wmc(m,L,0);y=(b[e>>0]|0)<0?f[m>>2]|0:m;f[n>>2]=y+F;M=y}else M=z;y=C+12|0;F=f[y>>2]|0;N=C+16|0;if((F|0)==(f[N>>2]|0))O=ci[f[(f[C>>2]|0)+36>>2]&1023](C)|0;else O=bcc(f[F>>2]|0)|0;if(kfc(O,s,t,M,n,f[j>>2]|0,f[k>>2]|0,l,o,q,r,i)|0){I=M;J=H;break}F=f[y>>2]|0;if((F|0)==(f[N>>2]|0)){ci[f[(f[C>>2]|0)+40>>2]&1023](C)|0;z=M;w=C;A=D;continue}else{f[y>>2]=F+4;bcc(f[F>>2]|0)|0;z=M;w=C;A=D;continue}}A=b[l+11>>0]|0;if(!((b[s>>0]|0)==0?1:((A<<24>>24<0?f[l+4>>2]|0:A&255)|0)==0)?(A=f[q>>2]|0,(A-o|0)<160):0){s=f[r>>2]|0;f[q>>2]=A+4;f[A>>2]=s}P=+Bec(I,f[n>>2]|0,g);p[h>>3]=P;Cec(l,o,f[q>>2]|0,g);if(C){q=f[C+12>>2]|0;if((q|0)==(f[C+16>>2]|0))Q=ci[f[(f[D>>2]|0)+36>>2]&1023](C)|0;else Q=bcc(f[q>>2]|0)|0;if(Lcc(Q,acc()|0)|0){f[c>>2]=0;R=1}else R=0}else R=1;do if(J){Q=f[J+12>>2]|0;if((Q|0)==(f[J+16>>2]|0))S=ci[f[(f[J>>2]|0)+36>>2]&1023](J)|0;else S=bcc(f[Q>>2]|0)|0;if(!(Lcc(S,acc()|0)|0))if(R)break;else{K=49;break}else{f[d>>2]=0;K=47;break}}else K=47;while(0);if((K|0)==47?R:0)K=49;if((K|0)==49)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;Pmc(m);Pmc(l);u=a;return g|0}function jfc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;g=u;u=u+16|0;h=g;Kcc(h,b);b=nec(h,893676)|0;Bg[f[(f[b>>2]|0)+48>>2]&127](b,520397,520429,c)|0;c=nec(h,893684)|0;b=ci[f[(f[c>>2]|0)+12>>2]&1023](c)|0;f[d>>2]=b;b=ci[f[(f[c>>2]|0)+16>>2]&1023](c)|0;f[e>>2]=b;xh[f[(f[c>>2]|0)+20>>2]&2047](a,c);oec(h);u=g;return}function kfc(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0;o=k;a:do if((a|0)==(h|0))if(b[c>>0]|0){b[c>>0]=0;k=f[g>>2]|0;f[g>>2]=k+1;b[k>>0]=46;k=b[j+11>>0]|0;if(((k<<24>>24<0?f[j+4>>2]|0:k&255)|0)!=0?(k=f[l>>2]|0,(k-o|0)<160):0){p=f[m>>2]|0;f[l>>2]=k+4;f[k>>2]=p;q=0}else q=0}else q=-1;else{if((a|0)==(i|0)?(p=b[j+11>>0]|0,(p<<24>>24<0?f[j+4>>2]|0:p&255)|0):0){if(!(b[c>>0]|0)){q=-1;break}p=f[l>>2]|0;if((p-o|0)>=160){q=0;break}k=f[m>>2]|0;f[l>>2]=p+4;f[p>>2]=k;f[m>>2]=0;q=0;break}k=n+128|0;p=0;while(1){r=n+(p<<2)|0;if((p|0)==32){s=k;break}if((f[r>>2]|0)==(a|0)){s=r;break}else p=p+1|0}p=s-n|0;k=p>>2;if((p|0)<=124){r=b[520397+k>>0]|0;switch(k|0){case 24:case 25:{k=f[g>>2]|0;if((k|0)!=(e|0)?(b[k+-1>>0]&95)!=(b[d>>0]&127):0){q=-1;break a}f[g>>2]=k+1;b[k>>0]=r;q=0;break a;break}case 23:case 22:{b[d>>0]=80;break}default:{k=r&95;if((((k|0)==(b[d>>0]|0)?(b[d>>0]=k|128,b[c>>0]|0):0)?(b[c>>0]=0,k=b[j+11>>0]|0,(k<<24>>24<0?f[j+4>>2]|0:k&255)|0):0)?(k=f[l>>2]|0,(k-o|0)<160):0){t=f[m>>2]|0;f[l>>2]=k+4;f[k>>2]=t}}}t=f[g>>2]|0;f[g>>2]=t+1;b[t>>0]=r;if((p|0)>84)q=0;else{f[m>>2]=(f[m>>2]|0)+1;q=0}}else q=-1}while(0);return q|0}function lfc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0,R=0,S=0;a=u;u=u+352|0;i=a+208|0;j=a+200|0;k=a+196|0;l=a+184|0;m=a+172|0;n=a+168|0;o=a+8|0;q=a+4|0;r=a;s=a+337|0;t=a+336|0;jfc(l,e,i,j,k);f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[m+(e<<2)>>2]=0;e=e+1|0}e=m+11|0;v=m+8|0;if((b[e>>0]|0)<0)w=(f[v>>2]&2147483647)+-1|0;else w=10;Wmc(m,w,0);w=(b[e>>0]|0)<0?f[m>>2]|0:m;f[n>>2]=w;f[q>>2]=o;f[r>>2]=0;b[s>>0]=1;b[t>>0]=69;x=m+4|0;y=f[c>>2]|0;z=w;w=y;A=y;a:while(1){if(w){y=f[w+12>>2]|0;if((y|0)==(f[w+16>>2]|0))B=ci[f[(f[w>>2]|0)+36>>2]&1023](w)|0;else B=bcc(f[y>>2]|0)|0;if(Lcc(B,acc()|0)|0){f[c>>2]=0;C=0;D=0;E=1}else{C=w;D=A;E=0}}else{C=0;D=0;E=1}y=f[d>>2]|0;do if(y){F=f[y+12>>2]|0;if((F|0)==(f[y+16>>2]|0))G=ci[f[(f[y>>2]|0)+36>>2]&1023](y)|0;else G=bcc(f[F>>2]|0)|0;if(!(Lcc(G,acc()|0)|0))if(E){H=y;break}else{I=z;J=y;break a}else{f[d>>2]=0;K=19;break}}else K=19;while(0);if((K|0)==19){K=0;if(E){I=z;J=0;break}else H=0}y=b[e>>0]|0;F=y<<24>>24<0?f[x>>2]|0:y&255;if((f[n>>2]|0)==(z+F|0)){Wmc(m,F<<1,0);if((b[e>>0]|0)<0)L=(f[v>>2]&2147483647)+-1|0;else L=10;Wmc(m,L,0);y=(b[e>>0]|0)<0?f[m>>2]|0:m;f[n>>2]=y+F;M=y}else M=z;y=C+12|0;F=f[y>>2]|0;N=C+16|0;if((F|0)==(f[N>>2]|0))O=ci[f[(f[C>>2]|0)+36>>2]&1023](C)|0;else O=bcc(f[F>>2]|0)|0;if(kfc(O,s,t,M,n,f[j>>2]|0,f[k>>2]|0,l,o,q,r,i)|0){I=M;J=H;break}F=f[y>>2]|0;if((F|0)==(f[N>>2]|0)){ci[f[(f[C>>2]|0)+40>>2]&1023](C)|0;z=M;w=C;A=D;continue}else{f[y>>2]=F+4;bcc(f[F>>2]|0)|0;z=M;w=C;A=D;continue}}A=b[l+11>>0]|0;if(!((b[s>>0]|0)==0?1:((A<<24>>24<0?f[l+4>>2]|0:A&255)|0)==0)?(A=f[q>>2]|0,(A-o|0)<160):0){s=f[r>>2]|0;f[q>>2]=A+4;f[A>>2]=s}P=+Eec(I,f[n>>2]|0,g);p[h>>3]=P;Cec(l,o,f[q>>2]|0,g);if(C){q=f[C+12>>2]|0;if((q|0)==(f[C+16>>2]|0))Q=ci[f[(f[D>>2]|0)+36>>2]&1023](C)|0;else Q=bcc(f[q>>2]|0)|0;if(Lcc(Q,acc()|0)|0){f[c>>2]=0;R=1}else R=0}else R=1;do if(J){Q=f[J+12>>2]|0;if((Q|0)==(f[J+16>>2]|0))S=ci[f[(f[J>>2]|0)+36>>2]&1023](J)|0;else S=bcc(f[Q>>2]|0)|0;if(!(Lcc(S,acc()|0)|0))if(R)break;else{K=49;break}else{f[d>>2]=0;K=47;break}}else K=47;while(0);if((K|0)==47?R:0)K=49;if((K|0)==49)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;Pmc(m);Pmc(l);u=a;return g|0}function mfc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0,R=0,S=0;a=u;u=u+352|0;i=a+208|0;j=a+200|0;k=a+196|0;l=a+184|0;m=a+172|0;o=a+168|0;p=a+8|0;q=a+4|0;r=a;s=a+337|0;t=a+336|0;jfc(l,e,i,j,k);f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[m+(e<<2)>>2]=0;e=e+1|0}e=m+11|0;v=m+8|0;if((b[e>>0]|0)<0)w=(f[v>>2]&2147483647)+-1|0;else w=10;Wmc(m,w,0);w=(b[e>>0]|0)<0?f[m>>2]|0:m;f[o>>2]=w;f[q>>2]=p;f[r>>2]=0;b[s>>0]=1;b[t>>0]=69;x=m+4|0;y=f[c>>2]|0;z=w;w=y;A=y;a:while(1){if(w){y=f[w+12>>2]|0;if((y|0)==(f[w+16>>2]|0))B=ci[f[(f[w>>2]|0)+36>>2]&1023](w)|0;else B=bcc(f[y>>2]|0)|0;if(Lcc(B,acc()|0)|0){f[c>>2]=0;C=0;D=0;E=1}else{C=w;D=A;E=0}}else{C=0;D=0;E=1}y=f[d>>2]|0;do if(y){F=f[y+12>>2]|0;if((F|0)==(f[y+16>>2]|0))G=ci[f[(f[y>>2]|0)+36>>2]&1023](y)|0;else G=bcc(f[F>>2]|0)|0;if(!(Lcc(G,acc()|0)|0))if(E){H=y;break}else{I=z;J=y;break a}else{f[d>>2]=0;K=19;break}}else K=19;while(0);if((K|0)==19){K=0;if(E){I=z;J=0;break}else H=0}y=b[e>>0]|0;F=y<<24>>24<0?f[x>>2]|0:y&255;if((f[o>>2]|0)==(z+F|0)){Wmc(m,F<<1,0);if((b[e>>0]|0)<0)L=(f[v>>2]&2147483647)+-1|0;else L=10;Wmc(m,L,0);y=(b[e>>0]|0)<0?f[m>>2]|0:m;f[o>>2]=y+F;M=y}else M=z;y=C+12|0;F=f[y>>2]|0;N=C+16|0;if((F|0)==(f[N>>2]|0))O=ci[f[(f[C>>2]|0)+36>>2]&1023](C)|0;else O=bcc(f[F>>2]|0)|0;if(kfc(O,s,t,M,o,f[j>>2]|0,f[k>>2]|0,l,p,q,r,i)|0){I=M;J=H;break}F=f[y>>2]|0;if((F|0)==(f[N>>2]|0)){ci[f[(f[C>>2]|0)+40>>2]&1023](C)|0;z=M;w=C;A=D;continue}else{f[y>>2]=F+4;bcc(f[F>>2]|0)|0;z=M;w=C;A=D;continue}}A=b[l+11>>0]|0;if(!((b[s>>0]|0)==0?1:((A<<24>>24<0?f[l+4>>2]|0:A&255)|0)==0)?(A=f[q>>2]|0,(A-p|0)<160):0){s=f[r>>2]|0;f[q>>2]=A+4;f[A>>2]=s}P=+Gec(I,f[o>>2]|0,g);n[h>>2]=P;Cec(l,p,f[q>>2]|0,g);if(C){q=f[C+12>>2]|0;if((q|0)==(f[C+16>>2]|0))Q=ci[f[(f[D>>2]|0)+36>>2]&1023](C)|0;else Q=bcc(f[q>>2]|0)|0;if(Lcc(Q,acc()|0)|0){f[c>>2]=0;R=1}else R=0}else R=1;do if(J){Q=f[J+12>>2]|0;if((Q|0)==(f[J+16>>2]|0))S=ci[f[(f[J>>2]|0)+36>>2]&1023](J)|0;else S=bcc(f[Q>>2]|0)|0;if(!(Lcc(S,acc()|0)|0))if(R)break;else{K=49;break}else{f[d>>2]=0;K=47;break}}else K=47;while(0);if((K|0)==47?R:0)K=49;if((K|0)==49)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;Pmc(m);Pmc(l);u=a;return g|0}function nfc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0;a=u;u=u+304|0;i=a+200|0;j=a+196|0;k=a+184|0;l=a+172|0;m=a+168|0;n=a+8|0;o=a+4|0;p=a;q=Iec(e)|0;ofc(k,e,i,j);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[l+(e<<2)>>2]=0;e=e+1|0}e=l+11|0;r=l+8|0;if((b[e>>0]|0)<0)s=(f[r>>2]&2147483647)+-1|0;else s=10;Wmc(l,s,0);s=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=s;f[o>>2]=n;f[p>>2]=0;t=l+4|0;v=f[c>>2]|0;w=s;s=v;x=v;a:while(1){if(s){v=f[s+12>>2]|0;if((v|0)==(f[s+16>>2]|0))y=ci[f[(f[s>>2]|0)+36>>2]&1023](s)|0;else y=bcc(f[v>>2]|0)|0;if(Lcc(y,acc()|0)|0){f[c>>2]=0;z=0;A=0;B=1}else{z=s;A=x;B=0}}else{z=0;A=0;B=1}v=f[d>>2]|0;do if(v){C=f[v+12>>2]|0;if((C|0)==(f[v+16>>2]|0))D=ci[f[(f[v>>2]|0)+36>>2]&1023](v)|0;else D=bcc(f[C>>2]|0)|0;if(!(Lcc(D,acc()|0)|0))if(B){E=v;break}else{F=w;G=v;break a}else{f[d>>2]=0;H=19;break}}else H=19;while(0);if((H|0)==19){H=0;if(B){F=w;G=0;break}else E=0}v=b[e>>0]|0;C=v<<24>>24<0?f[t>>2]|0:v&255;if((f[m>>2]|0)==(w+C|0)){Wmc(l,C<<1,0);if((b[e>>0]|0)<0)I=(f[r>>2]&2147483647)+-1|0;else I=10;Wmc(l,I,0);v=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=v+C;K=v}else K=w;v=z+12|0;C=f[v>>2]|0;L=z+16|0;if((C|0)==(f[L>>2]|0))M=ci[f[(f[z>>2]|0)+36>>2]&1023](z)|0;else M=bcc(f[C>>2]|0)|0;if(hfc(M,q,K,m,p,f[j>>2]|0,k,n,o,i)|0){F=K;G=E;break}C=f[v>>2]|0;if((C|0)==(f[L>>2]|0)){ci[f[(f[z>>2]|0)+40>>2]&1023](z)|0;w=K;s=z;x=A;continue}else{f[v>>2]=C+4;bcc(f[C>>2]|0)|0;w=K;s=z;x=A;continue}}x=b[k+11>>0]|0;if((x<<24>>24<0?f[k+4>>2]|0:x&255)|0?(x=f[o>>2]|0,(x-n|0)<160):0){s=f[p>>2]|0;f[o>>2]=x+4;f[x>>2]=s}s=Kec(F,f[m>>2]|0,g,q)|0;q=h;f[q>>2]=s;f[q+4>>2]=J;Cec(k,n,f[o>>2]|0,g);if(z){o=f[z+12>>2]|0;if((o|0)==(f[z+16>>2]|0))N=ci[f[(f[A>>2]|0)+36>>2]&1023](z)|0;else N=bcc(f[o>>2]|0)|0;if(Lcc(N,acc()|0)|0){f[c>>2]=0;O=1}else O=0}else O=1;do if(G){N=f[G+12>>2]|0;if((N|0)==(f[G+16>>2]|0))P=ci[f[(f[G>>2]|0)+36>>2]&1023](G)|0;else P=bcc(f[N>>2]|0)|0;if(!(Lcc(P,acc()|0)|0))if(O)break;else{H=49;break}else{f[d>>2]=0;H=47;break}}else H=47;while(0);if((H|0)==47?O:0)H=49;if((H|0)==49)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;Pmc(l);Pmc(k);u=a;return g|0}function ofc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+16|0;g=e;Kcc(g,b);b=nec(g,893676)|0;Bg[f[(f[b>>2]|0)+48>>2]&127](b,520397,520423,c)|0;c=nec(g,893684)|0;b=ci[f[(f[c>>2]|0)+16>>2]&1023](c)|0;f[d>>2]=b;xh[f[(f[c>>2]|0)+20>>2]&2047](a,c);oec(g);u=e;return}function pfc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;a=u;u=u+304|0;i=a+200|0;j=a+196|0;k=a+184|0;l=a+172|0;m=a+168|0;n=a+8|0;o=a+4|0;p=a;q=Iec(e)|0;ofc(k,e,i,j);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[l+(e<<2)>>2]=0;e=e+1|0}e=l+11|0;r=l+8|0;if((b[e>>0]|0)<0)s=(f[r>>2]&2147483647)+-1|0;else s=10;Wmc(l,s,0);s=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=s;f[o>>2]=n;f[p>>2]=0;t=l+4|0;v=f[c>>2]|0;w=s;s=v;x=v;a:while(1){if(s){v=f[s+12>>2]|0;if((v|0)==(f[s+16>>2]|0))y=ci[f[(f[s>>2]|0)+36>>2]&1023](s)|0;else y=bcc(f[v>>2]|0)|0;if(Lcc(y,acc()|0)|0){f[c>>2]=0;z=0;A=0;B=1}else{z=s;A=x;B=0}}else{z=0;A=0;B=1}v=f[d>>2]|0;do if(v){C=f[v+12>>2]|0;if((C|0)==(f[v+16>>2]|0))D=ci[f[(f[v>>2]|0)+36>>2]&1023](v)|0;else D=bcc(f[C>>2]|0)|0;if(!(Lcc(D,acc()|0)|0))if(B){E=v;break}else{F=w;G=v;break a}else{f[d>>2]=0;H=19;break}}else H=19;while(0);if((H|0)==19){H=0;if(B){F=w;G=0;break}else E=0}v=b[e>>0]|0;C=v<<24>>24<0?f[t>>2]|0:v&255;if((f[m>>2]|0)==(w+C|0)){Wmc(l,C<<1,0);if((b[e>>0]|0)<0)I=(f[r>>2]&2147483647)+-1|0;else I=10;Wmc(l,I,0);v=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=v+C;J=v}else J=w;v=z+12|0;C=f[v>>2]|0;K=z+16|0;if((C|0)==(f[K>>2]|0))L=ci[f[(f[z>>2]|0)+36>>2]&1023](z)|0;else L=bcc(f[C>>2]|0)|0;if(hfc(L,q,J,m,p,f[j>>2]|0,k,n,o,i)|0){F=J;G=E;break}C=f[v>>2]|0;if((C|0)==(f[K>>2]|0)){ci[f[(f[z>>2]|0)+40>>2]&1023](z)|0;w=J;s=z;x=A;continue}else{f[v>>2]=C+4;bcc(f[C>>2]|0)|0;w=J;s=z;x=A;continue}}x=b[k+11>>0]|0;if((x<<24>>24<0?f[k+4>>2]|0:x&255)|0?(x=f[o>>2]|0,(x-n|0)<160):0){s=f[p>>2]|0;f[o>>2]=x+4;f[x>>2]=s}s=Mec(F,f[m>>2]|0,g,q)|0;f[h>>2]=s;Cec(k,n,f[o>>2]|0,g);if(z){o=f[z+12>>2]|0;if((o|0)==(f[z+16>>2]|0))M=ci[f[(f[A>>2]|0)+36>>2]&1023](z)|0;else M=bcc(f[o>>2]|0)|0;if(Lcc(M,acc()|0)|0){f[c>>2]=0;N=1}else N=0}else N=1;do if(G){M=f[G+12>>2]|0;if((M|0)==(f[G+16>>2]|0))O=ci[f[(f[G>>2]|0)+36>>2]&1023](G)|0;else O=bcc(f[M>>2]|0)|0;if(!(Lcc(O,acc()|0)|0))if(N)break;else{H=49;break}else{f[d>>2]=0;H=47;break}}else H=47;while(0);if((H|0)==47?N:0)H=49;if((H|0)==49)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;Pmc(l);Pmc(k);u=a;return g|0}function qfc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;a=u;u=u+304|0;i=a+200|0;j=a+196|0;k=a+184|0;l=a+172|0;m=a+168|0;n=a+8|0;o=a+4|0;p=a;q=Iec(e)|0;ofc(k,e,i,j);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[l+(e<<2)>>2]=0;e=e+1|0}e=l+11|0;r=l+8|0;if((b[e>>0]|0)<0)s=(f[r>>2]&2147483647)+-1|0;else s=10;Wmc(l,s,0);s=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=s;f[o>>2]=n;f[p>>2]=0;t=l+4|0;v=f[c>>2]|0;w=s;s=v;x=v;a:while(1){if(s){v=f[s+12>>2]|0;if((v|0)==(f[s+16>>2]|0))y=ci[f[(f[s>>2]|0)+36>>2]&1023](s)|0;else y=bcc(f[v>>2]|0)|0;if(Lcc(y,acc()|0)|0){f[c>>2]=0;z=0;A=0;B=1}else{z=s;A=x;B=0}}else{z=0;A=0;B=1}v=f[d>>2]|0;do if(v){C=f[v+12>>2]|0;if((C|0)==(f[v+16>>2]|0))D=ci[f[(f[v>>2]|0)+36>>2]&1023](v)|0;else D=bcc(f[C>>2]|0)|0;if(!(Lcc(D,acc()|0)|0))if(B){E=v;break}else{F=w;G=v;break a}else{f[d>>2]=0;H=19;break}}else H=19;while(0);if((H|0)==19){H=0;if(B){F=w;G=0;break}else E=0}v=b[e>>0]|0;C=v<<24>>24<0?f[t>>2]|0:v&255;if((f[m>>2]|0)==(w+C|0)){Wmc(l,C<<1,0);if((b[e>>0]|0)<0)I=(f[r>>2]&2147483647)+-1|0;else I=10;Wmc(l,I,0);v=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=v+C;J=v}else J=w;v=z+12|0;C=f[v>>2]|0;K=z+16|0;if((C|0)==(f[K>>2]|0))L=ci[f[(f[z>>2]|0)+36>>2]&1023](z)|0;else L=bcc(f[C>>2]|0)|0;if(hfc(L,q,J,m,p,f[j>>2]|0,k,n,o,i)|0){F=J;G=E;break}C=f[v>>2]|0;if((C|0)==(f[K>>2]|0)){ci[f[(f[z>>2]|0)+40>>2]&1023](z)|0;w=J;s=z;x=A;continue}else{f[v>>2]=C+4;bcc(f[C>>2]|0)|0;w=J;s=z;x=A;continue}}x=b[k+11>>0]|0;if((x<<24>>24<0?f[k+4>>2]|0:x&255)|0?(x=f[o>>2]|0,(x-n|0)<160):0){s=f[p>>2]|0;f[o>>2]=x+4;f[x>>2]=s}s=Oec(F,f[m>>2]|0,g,q)|0;f[h>>2]=s;Cec(k,n,f[o>>2]|0,g);if(z){o=f[z+12>>2]|0;if((o|0)==(f[z+16>>2]|0))M=ci[f[(f[A>>2]|0)+36>>2]&1023](z)|0;else M=bcc(f[o>>2]|0)|0;if(Lcc(M,acc()|0)|0){f[c>>2]=0;N=1}else N=0}else N=1;do if(G){M=f[G+12>>2]|0;if((M|0)==(f[G+16>>2]|0))O=ci[f[(f[G>>2]|0)+36>>2]&1023](G)|0;else O=bcc(f[M>>2]|0)|0;if(!(Lcc(O,acc()|0)|0))if(N)break;else{H=49;break}else{f[d>>2]=0;H=47;break}}else H=47;while(0);if((H|0)==47?N:0)H=49;if((H|0)==49)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;Pmc(l);Pmc(k);u=a;return g|0}function rfc(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;a=u;u=u+304|0;j=a+200|0;k=a+196|0;l=a+184|0;m=a+172|0;n=a+168|0;o=a+8|0;p=a+4|0;q=a;r=Iec(g)|0;ofc(l,g,j,k);f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;g=0;while(1){if((g|0)==3)break;f[m+(g<<2)>>2]=0;g=g+1|0}g=m+11|0;s=m+8|0;if((b[g>>0]|0)<0)t=(f[s>>2]&2147483647)+-1|0;else t=10;Wmc(m,t,0);t=(b[g>>0]|0)<0?f[m>>2]|0:m;f[n>>2]=t;f[p>>2]=o;f[q>>2]=0;v=m+4|0;w=f[c>>2]|0;x=t;t=w;y=w;a:while(1){if(t){w=f[t+12>>2]|0;if((w|0)==(f[t+16>>2]|0))z=ci[f[(f[t>>2]|0)+36>>2]&1023](t)|0;else z=bcc(f[w>>2]|0)|0;if(Lcc(z,acc()|0)|0){f[c>>2]=0;A=0;B=0;C=1}else{A=t;B=y;C=0}}else{A=0;B=0;C=1}w=f[e>>2]|0;do if(w){D=f[w+12>>2]|0;if((D|0)==(f[w+16>>2]|0))E=ci[f[(f[w>>2]|0)+36>>2]&1023](w)|0;else E=bcc(f[D>>2]|0)|0;if(!(Lcc(E,acc()|0)|0))if(C){F=w;break}else{G=x;H=w;break a}else{f[e>>2]=0;I=19;break}}else I=19;while(0);if((I|0)==19){I=0;if(C){G=x;H=0;break}else F=0}w=b[g>>0]|0;D=w<<24>>24<0?f[v>>2]|0:w&255;if((f[n>>2]|0)==(x+D|0)){Wmc(m,D<<1,0);if((b[g>>0]|0)<0)J=(f[s>>2]&2147483647)+-1|0;else J=10;Wmc(m,J,0);w=(b[g>>0]|0)<0?f[m>>2]|0:m;f[n>>2]=w+D;K=w}else K=x;w=A+12|0;D=f[w>>2]|0;L=A+16|0;if((D|0)==(f[L>>2]|0))M=ci[f[(f[A>>2]|0)+36>>2]&1023](A)|0;else M=bcc(f[D>>2]|0)|0;if(hfc(M,r,K,n,q,f[k>>2]|0,l,o,p,j)|0){G=K;H=F;break}D=f[w>>2]|0;if((D|0)==(f[L>>2]|0)){ci[f[(f[A>>2]|0)+40>>2]&1023](A)|0;x=K;t=A;y=B;continue}else{f[w>>2]=D+4;bcc(f[D>>2]|0)|0;x=K;t=A;y=B;continue}}y=b[l+11>>0]|0;if((y<<24>>24<0?f[l+4>>2]|0:y&255)|0?(y=f[p>>2]|0,(y-o|0)<160):0){t=f[q>>2]|0;f[p>>2]=y+4;f[y>>2]=t}t=Qec(G,f[n>>2]|0,h,r)|0;d[i>>1]=t;Cec(l,o,f[p>>2]|0,h);if(A){p=f[A+12>>2]|0;if((p|0)==(f[A+16>>2]|0))N=ci[f[(f[B>>2]|0)+36>>2]&1023](A)|0;else N=bcc(f[p>>2]|0)|0;if(Lcc(N,acc()|0)|0){f[c>>2]=0;O=1}else O=0}else O=1;do if(H){N=f[H+12>>2]|0;if((N|0)==(f[H+16>>2]|0))P=ci[f[(f[H>>2]|0)+36>>2]&1023](H)|0;else P=bcc(f[N>>2]|0)|0;if(!(Lcc(P,acc()|0)|0))if(O)break;else{I=49;break}else{f[e>>2]=0;I=47;break}}else I=47;while(0);if((I|0)==47?O:0)I=49;if((I|0)==49)f[h>>2]=f[h>>2]|2;h=f[c>>2]|0;Pmc(m);Pmc(l);u=a;return h|0}function sfc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0;a=u;u=u+304|0;i=a+200|0;j=a+196|0;k=a+184|0;l=a+172|0;m=a+168|0;n=a+8|0;o=a+4|0;p=a;q=Iec(e)|0;ofc(k,e,i,j);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[l+(e<<2)>>2]=0;e=e+1|0}e=l+11|0;r=l+8|0;if((b[e>>0]|0)<0)s=(f[r>>2]&2147483647)+-1|0;else s=10;Wmc(l,s,0);s=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=s;f[o>>2]=n;f[p>>2]=0;t=l+4|0;v=f[c>>2]|0;w=s;s=v;x=v;a:while(1){if(s){v=f[s+12>>2]|0;if((v|0)==(f[s+16>>2]|0))y=ci[f[(f[s>>2]|0)+36>>2]&1023](s)|0;else y=bcc(f[v>>2]|0)|0;if(Lcc(y,acc()|0)|0){f[c>>2]=0;z=0;A=0;B=1}else{z=s;A=x;B=0}}else{z=0;A=0;B=1}v=f[d>>2]|0;do if(v){C=f[v+12>>2]|0;if((C|0)==(f[v+16>>2]|0))D=ci[f[(f[v>>2]|0)+36>>2]&1023](v)|0;else D=bcc(f[C>>2]|0)|0;if(!(Lcc(D,acc()|0)|0))if(B){E=v;break}else{F=w;G=v;break a}else{f[d>>2]=0;H=19;break}}else H=19;while(0);if((H|0)==19){H=0;if(B){F=w;G=0;break}else E=0}v=b[e>>0]|0;C=v<<24>>24<0?f[t>>2]|0:v&255;if((f[m>>2]|0)==(w+C|0)){Wmc(l,C<<1,0);if((b[e>>0]|0)<0)I=(f[r>>2]&2147483647)+-1|0;else I=10;Wmc(l,I,0);v=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=v+C;K=v}else K=w;v=z+12|0;C=f[v>>2]|0;L=z+16|0;if((C|0)==(f[L>>2]|0))M=ci[f[(f[z>>2]|0)+36>>2]&1023](z)|0;else M=bcc(f[C>>2]|0)|0;if(hfc(M,q,K,m,p,f[j>>2]|0,k,n,o,i)|0){F=K;G=E;break}C=f[v>>2]|0;if((C|0)==(f[L>>2]|0)){ci[f[(f[z>>2]|0)+40>>2]&1023](z)|0;w=K;s=z;x=A;continue}else{f[v>>2]=C+4;bcc(f[C>>2]|0)|0;w=K;s=z;x=A;continue}}x=b[k+11>>0]|0;if((x<<24>>24<0?f[k+4>>2]|0:x&255)|0?(x=f[o>>2]|0,(x-n|0)<160):0){s=f[p>>2]|0;f[o>>2]=x+4;f[x>>2]=s}s=Sec(F,f[m>>2]|0,g,q)|0;q=h;f[q>>2]=s;f[q+4>>2]=J;Cec(k,n,f[o>>2]|0,g);if(z){o=f[z+12>>2]|0;if((o|0)==(f[z+16>>2]|0))N=ci[f[(f[A>>2]|0)+36>>2]&1023](z)|0;else N=bcc(f[o>>2]|0)|0;if(Lcc(N,acc()|0)|0){f[c>>2]=0;O=1}else O=0}else O=1;do if(G){N=f[G+12>>2]|0;if((N|0)==(f[G+16>>2]|0))P=ci[f[(f[G>>2]|0)+36>>2]&1023](G)|0;else P=bcc(f[N>>2]|0)|0;if(!(Lcc(P,acc()|0)|0))if(O)break;else{H=49;break}else{f[d>>2]=0;H=47;break}}else H=47;while(0);if((H|0)==47?O:0)H=49;if((H|0)==49)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;Pmc(l);Pmc(k);u=a;return g|0}function tfc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;a=u;u=u+304|0;i=a+200|0;j=a+196|0;k=a+184|0;l=a+172|0;m=a+168|0;n=a+8|0;o=a+4|0;p=a;q=Iec(e)|0;ofc(k,e,i,j);f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;e=0;while(1){if((e|0)==3)break;f[l+(e<<2)>>2]=0;e=e+1|0}e=l+11|0;r=l+8|0;if((b[e>>0]|0)<0)s=(f[r>>2]&2147483647)+-1|0;else s=10;Wmc(l,s,0);s=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=s;f[o>>2]=n;f[p>>2]=0;t=l+4|0;v=f[c>>2]|0;w=s;s=v;x=v;a:while(1){if(s){v=f[s+12>>2]|0;if((v|0)==(f[s+16>>2]|0))y=ci[f[(f[s>>2]|0)+36>>2]&1023](s)|0;else y=bcc(f[v>>2]|0)|0;if(Lcc(y,acc()|0)|0){f[c>>2]=0;z=0;A=0;B=1}else{z=s;A=x;B=0}}else{z=0;A=0;B=1}v=f[d>>2]|0;do if(v){C=f[v+12>>2]|0;if((C|0)==(f[v+16>>2]|0))D=ci[f[(f[v>>2]|0)+36>>2]&1023](v)|0;else D=bcc(f[C>>2]|0)|0;if(!(Lcc(D,acc()|0)|0))if(B){E=v;break}else{F=w;G=v;break a}else{f[d>>2]=0;H=19;break}}else H=19;while(0);if((H|0)==19){H=0;if(B){F=w;G=0;break}else E=0}v=b[e>>0]|0;C=v<<24>>24<0?f[t>>2]|0:v&255;if((f[m>>2]|0)==(w+C|0)){Wmc(l,C<<1,0);if((b[e>>0]|0)<0)I=(f[r>>2]&2147483647)+-1|0;else I=10;Wmc(l,I,0);v=(b[e>>0]|0)<0?f[l>>2]|0:l;f[m>>2]=v+C;J=v}else J=w;v=z+12|0;C=f[v>>2]|0;K=z+16|0;if((C|0)==(f[K>>2]|0))L=ci[f[(f[z>>2]|0)+36>>2]&1023](z)|0;else L=bcc(f[C>>2]|0)|0;if(hfc(L,q,J,m,p,f[j>>2]|0,k,n,o,i)|0){F=J;G=E;break}C=f[v>>2]|0;if((C|0)==(f[K>>2]|0)){ci[f[(f[z>>2]|0)+40>>2]&1023](z)|0;w=J;s=z;x=A;continue}else{f[v>>2]=C+4;bcc(f[C>>2]|0)|0;w=J;s=z;x=A;continue}}x=b[k+11>>0]|0;if((x<<24>>24<0?f[k+4>>2]|0:x&255)|0?(x=f[o>>2]|0,(x-n|0)<160):0){s=f[p>>2]|0;f[o>>2]=x+4;f[x>>2]=s}s=Uec(F,f[m>>2]|0,g,q)|0;f[h>>2]=s;Cec(k,n,f[o>>2]|0,g);if(z){o=f[z+12>>2]|0;if((o|0)==(f[z+16>>2]|0))M=ci[f[(f[A>>2]|0)+36>>2]&1023](z)|0;else M=bcc(f[o>>2]|0)|0;if(Lcc(M,acc()|0)|0){f[c>>2]=0;N=1}else N=0}else N=1;do if(G){M=f[G+12>>2]|0;if((M|0)==(f[G+16>>2]|0))O=ci[f[(f[G>>2]|0)+36>>2]&1023](G)|0;else O=bcc(f[M>>2]|0)|0;if(!(Lcc(O,acc()|0)|0))if(N)break;else{H=49;break}else{f[d>>2]=0;H=47;break}}else H=47;while(0);if((H|0)==47?N:0)H=49;if((H|0)==49)f[g>>2]=f[g>>2]|2;g=f[c>>2]|0;Pmc(l);Pmc(k);u=a;return g|0}function ufc(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;j=u;u=u+112|0;k=j;l=(e-d|0)/12|0;if(l>>>0>100){m=W6b(l)|0;if(!m)Gmc();else{n=m;o=m}}else{n=k;o=0}k=0;m=l;l=d;p=n;while(1){if((l|0)==(e|0))break;q=b[l+8+3>>0]|0;if(q<<24>>24<0)r=f[l+4>>2]|0;else r=q&255;if(!r){b[p>>0]=2;s=k+1|0;t=m+-1|0}else{b[p>>0]=1;s=k;t=m}k=s;m=t;l=l+12|0;p=p+1|0}p=0;l=k;k=m;a:while(1){m=f[a>>2]|0;do if(m){t=f[m+12>>2]|0;if((t|0)==(f[m+16>>2]|0))v=ci[f[(f[m>>2]|0)+36>>2]&1023](m)|0;else v=bcc(f[t>>2]|0)|0;if(Lcc(v,acc()|0)|0){f[a>>2]=0;w=1;break}else{w=(f[a>>2]|0)==0;break}}else w=1;while(0);m=f[c>>2]|0;if(m){t=f[m+12>>2]|0;if((t|0)==(f[m+16>>2]|0))x=ci[f[(f[m>>2]|0)+36>>2]&1023](m)|0;else x=bcc(f[t>>2]|0)|0;if(Lcc(x,acc()|0)|0){f[c>>2]=0;y=0;z=1}else{y=m;z=0}}else{y=0;z=1}A=f[a>>2]|0;if(!((k|0)!=0&(w^z)))break;m=f[A+12>>2]|0;if((m|0)==(f[A+16>>2]|0))B=ci[f[(f[A>>2]|0)+36>>2]&1023](A)|0;else B=bcc(f[m>>2]|0)|0;if(i)C=B;else C=Sh[f[(f[g>>2]|0)+28>>2]&511](g,B)|0;m=p+1|0;t=d;s=0;r=n;q=l;D=k;while(1){if((t|0)==(e|0))break;do if((b[r>>0]|0)==1){E=t+8+3|0;if((b[E>>0]|0)<0)F=f[t>>2]|0;else F=t;G=f[F+(p<<2)>>2]|0;if(i)H=G;else H=Sh[f[(f[g>>2]|0)+28>>2]&511](g,G)|0;G=D+-1|0;if((C|0)!=(H|0)){b[r>>0]=0;I=s;J=q;K=G;break}L=b[E>>0]|0;if(L<<24>>24<0)M=f[t+4>>2]|0;else M=L&255;if((M|0)==(m|0)){b[r>>0]=2;I=1;J=q+1|0;K=G}else{I=1;J=q;K=D}}else{I=s;J=q;K=D}while(0);t=t+12|0;s=I;r=r+1|0;q=J;D=K}if(!s){p=m;l=q;k=D;continue}r=f[a>>2]|0;t=r+12|0;G=f[t>>2]|0;if((G|0)==(f[r+16>>2]|0))ci[f[(f[r>>2]|0)+40>>2]&1023](r)|0;else{f[t>>2]=G+4;bcc(f[G>>2]|0)|0}if((q+D|0)>>>0>1){N=d;O=n;P=q}else{p=m;l=q;k=D;continue}while(1){if((N|0)==(e|0)){p=m;l=P;k=D;continue a}if((b[O>>0]|0)==2){G=b[N+8+3>>0]|0;if(G<<24>>24<0)Q=f[N+4>>2]|0;else Q=G&255;if((Q|0)!=(m|0)){b[O>>0]=0;R=P+-1|0}else R=P}else R=P;N=N+12|0;O=O+1|0;P=R}}do if(A){R=f[A+12>>2]|0;if((R|0)==(f[A+16>>2]|0))S=ci[f[(f[A>>2]|0)+36>>2]&1023](A)|0;else S=bcc(f[R>>2]|0)|0;if(Lcc(S,acc()|0)|0){f[a>>2]=0;T=1;break}else{T=(f[a>>2]|0)==0;break}}else T=1;while(0);do if(y){a=f[y+12>>2]|0;if((a|0)==(f[y+16>>2]|0))U=ci[f[(f[y>>2]|0)+36>>2]&1023](y)|0;else U=bcc(f[a>>2]|0)|0;if(!(Lcc(U,acc()|0)|0))if(T){V=d;W=n;break}else{X=77;break}else{f[c>>2]=0;X=41;break}}else X=41;while(0);if((X|0)==41)if(T)X=77;else{V=d;W=n}if((X|0)==77){f[h>>2]=f[h>>2]|2;V=d;W=n}while(1){if((V|0)==(e|0)){X=81;break}if((b[W>>0]|0)==2){Y=V;break}V=V+12|0;W=W+1|0}if((X|0)==81){f[h>>2]=f[h>>2]|4;Y=e}X6b(o);u=j;return Y|0}function vfc(a){a=a|0;Vdc(a);return}function wfc(a){a=a|0;Vdc(a);Emc(a);return}function xfc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=u;u=u+16|0;i=h+4|0;j=h;if(!(f[d+4>>2]&1)){k=f[(f[a>>2]|0)+24>>2]|0;f[j>>2]=f[c>>2];f[i>>2]=f[j>>2];l=lh[k&127](a,i,d,e,g&1)|0}else{Kcc(i,d);d=nec(i,893660)|0;oec(i);e=f[d>>2]|0;if(g)xh[f[e+24>>2]&2047](i,d);else xh[f[e+28>>2]&2047](i,d);d=i+11|0;e=b[d>>0]|0;if(e<<24>>24<0){m=e;n=f[i>>2]|0;o=8}else{p=i;q=e}while(1){if((o|0)==8){o=0;p=n;q=m}e=q<<24>>24<0;if((p|0)==((e?f[i>>2]|0:i)+(e?f[i+4>>2]|0:q&255)|0))break;e=b[p>>0]|0;g=f[c>>2]|0;if(g|0){a=g+24|0;k=f[a>>2]|0;if((k|0)==(f[g+28>>2]|0)){j=f[(f[g>>2]|0)+52>>2]|0;r=Lbc(e)|0;s=Sh[j&511](g,r)|0}else{f[a>>2]=k+1;b[k>>0]=e;s=Lbc(e)|0}if(Jcc(s,Kbc()|0)|0)f[c>>2]=0}m=b[d>>0]|0;n=p+1|0;o=8}o=f[c>>2]|0;Pmc(i);l=o}u=h;return l|0}function yfc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;a=u;u=u+64|0;h=a;i=a+52|0;j=a+39|0;k=a+16|0;l=a+12|0;m=a+4|0;n=a+8|0;b[i>>0]=b[520648]|0;b[i+1>>0]=b[520649]|0;b[i+2>>0]=b[520650]|0;b[i+3>>0]=b[520651]|0;b[i+4>>0]=b[520652]|0;b[i+5>>0]=b[520653]|0;Kfc(i+1|0,524580,1,f[d+4>>2]|0);o=qec()|0;f[h>>2]=g;g=j+(Ffc(j,13,o,i,h)|0)|0;i=Gfc(j,g,d)|0;Kcc(h,d);Lfc(j,i,g,k,l,m,h);oec(h);f[n>>2]=f[c>>2];c=f[l>>2]|0;l=f[m>>2]|0;f[h>>2]=f[n>>2];n=bR(h,k,c,l,d,e)|0;u=a;return n|0}function zfc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;a=u;u=u+96|0;h=a+8|0;i=a;j=a+71|0;k=a+28|0;l=a+24|0;m=a+16|0;n=a+20|0;o=i;f[o>>2]=37;f[o+4>>2]=0;Kfc(i+1|0,524585,1,f[c+4>>2]|0);o=qec()|0;p=h;f[p>>2]=e;f[p+4>>2]=g;g=j+(Ffc(j,23,o,i,h)|0)|0;i=Gfc(j,g,c)|0;Kcc(h,c);Lfc(j,i,g,k,l,m,h);oec(h);f[n>>2]=f[b>>2];b=f[l>>2]|0;l=f[m>>2]|0;f[h>>2]=f[n>>2];n=bR(h,k,b,l,c,d)|0;u=a;return n|0}function Afc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;a=u;u=u+64|0;h=a;i=a+52|0;j=a+40|0;k=a+16|0;l=a+12|0;m=a+4|0;n=a+8|0;b[i>>0]=b[520648]|0;b[i+1>>0]=b[520649]|0;b[i+2>>0]=b[520650]|0;b[i+3>>0]=b[520651]|0;b[i+4>>0]=b[520652]|0;b[i+5>>0]=b[520653]|0;Kfc(i+1|0,524580,0,f[d+4>>2]|0);o=qec()|0;f[h>>2]=g;g=j+(Ffc(j,12,o,i,h)|0)|0;i=Gfc(j,g,d)|0;Kcc(h,d);Lfc(j,i,g,k,l,m,h);oec(h);f[n>>2]=f[c>>2];c=f[l>>2]|0;l=f[m>>2]|0;f[h>>2]=f[n>>2];n=bR(h,k,c,l,d,e)|0;u=a;return n|0}function Bfc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;a=u;u=u+96|0;h=a+8|0;i=a;j=a+71|0;k=a+28|0;l=a+24|0;m=a+16|0;n=a+20|0;o=i;f[o>>2]=37;f[o+4>>2]=0;Kfc(i+1|0,524585,0,f[c+4>>2]|0);o=qec()|0;p=h;f[p>>2]=e;f[p+4>>2]=g;g=j+(Ffc(j,23,o,i,h)|0)|0;i=Gfc(j,g,c)|0;Kcc(h,c);Lfc(j,i,g,k,l,m,h);oec(h);f[n>>2]=f[b>>2];b=f[l>>2]|0;l=f[m>>2]|0;f[h>>2]=f[n>>2];n=bR(h,k,b,l,c,d)|0;u=a;return n|0}function Cfc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;a=u;u=u+176|0;g=a+72|0;h=a+48|0;i=a+32|0;j=a+24|0;k=a+8|0;l=a;m=a+134|0;n=a+68|0;o=a+76|0;q=a+64|0;r=a+60|0;s=a+56|0;t=l;f[t>>2]=37;f[t+4>>2]=0;t=Hfc(l+1|0,1163146,f[c+4>>2]|0)|0;f[n>>2]=m;v=qec()|0;if(t){f[k>>2]=f[c+8>>2];p[k+8>>3]=e;w=Ffc(m,30,v,l,k)|0}else{p[j>>3]=e;w=Ffc(m,30,v,l,j)|0}if((w|0)>29){j=qec()|0;if(t){f[i>>2]=f[c+8>>2];p[i+8>>3]=e;x=Ifc(n,j,l,i)|0}else{p[h>>3]=e;x=Ifc(n,j,l,h)|0}h=f[n>>2]|0;if(!h)Gmc();else{y=x;z=h;A=h}}else{y=w;z=0;A=f[n>>2]|0}n=A+y|0;w=Gfc(A,n,c)|0;if((A|0)!=(m|0)){m=W6b(y<<1)|0;if(!m)Gmc();else{B=m;C=m}}else{B=o;C=0}Kcc(g,c);Jfc(A,w,n,B,q,r,g);oec(g);f[s>>2]=f[b>>2];b=f[q>>2]|0;q=f[r>>2]|0;f[g>>2]=f[s>>2];s=bR(g,B,b,q,c,d)|0;X6b(C);X6b(z);u=a;return s|0}function Dfc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;a=u;u=u+176|0;g=a+72|0;h=a+48|0;i=a+32|0;j=a+24|0;k=a+8|0;l=a;m=a+134|0;n=a+68|0;o=a+76|0;q=a+64|0;r=a+60|0;s=a+56|0;t=l;f[t>>2]=37;f[t+4>>2]=0;t=Hfc(l+1|0,520646,f[c+4>>2]|0)|0;f[n>>2]=m;v=qec()|0;if(t){f[k>>2]=f[c+8>>2];p[k+8>>3]=e;w=Ffc(m,30,v,l,k)|0}else{p[j>>3]=e;w=Ffc(m,30,v,l,j)|0}if((w|0)>29){j=qec()|0;if(t){f[i>>2]=f[c+8>>2];p[i+8>>3]=e;x=Ifc(n,j,l,i)|0}else{p[h>>3]=e;x=Ifc(n,j,l,h)|0}h=f[n>>2]|0;if(!h)Gmc();else{y=x;z=h;A=h}}else{y=w;z=0;A=f[n>>2]|0}n=A+y|0;w=Gfc(A,n,c)|0;if((A|0)!=(m|0)){m=W6b(y<<1)|0;if(!m)Gmc();else{B=m;C=m}}else{B=o;C=0}Kcc(g,c);Jfc(A,w,n,B,q,r,g);oec(g);f[s>>2]=f[b>>2];b=f[q>>2]|0;q=f[r>>2]|0;f[g>>2]=f[s>>2];s=bR(g,B,b,q,c,d)|0;X6b(C);X6b(z);u=a;return s|0}function Efc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;a=u;u=u+80|0;h=a;i=a+68|0;j=a+48|0;k=a+8|0;l=a+4|0;b[i>>0]=b[520640]|0;b[i+1>>0]=b[520641]|0;b[i+2>>0]=b[520642]|0;b[i+3>>0]=b[520643]|0;b[i+4>>0]=b[520644]|0;b[i+5>>0]=b[520645]|0;m=qec()|0;f[h>>2]=g;g=Ffc(j,20,m,i,h)|0;i=j+g|0;m=Gfc(j,i,d)|0;Kcc(h,d);n=nec(h,893644)|0;oec(h);Bg[f[(f[n>>2]|0)+32>>2]&127](n,j,i,k)|0;n=k+g|0;f[l>>2]=f[c>>2];f[h>>2]=f[l>>2];l=bR(h,k,(m|0)==(i|0)?n:k+(m-j)|0,n,d,e)|0;u=a;return l|0}function Ffc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;g=u;u=u+16|0;h=g;f[h>>2]=e;e=x9b(c)|0;c=u8b(a,b,d,h)|0;if(e|0)x9b(e)|0;u=g;return c|0}function Gfc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;a:do switch((f[d+4>>2]&176)<<24>>24){case 16:{e=b[a>>0]|0;g=a+1|0;switch(e<<24>>24){case 43:case 45:{h=g;break a;break}default:{}}if((c-a|0)>1&e<<24>>24==48){switch(b[g>>0]|0){case 88:case 120:break;default:{i=6;break a}}h=a+2|0}else i=6;break}case 32:{h=c;break}default:i=6}while(0);if((i|0)==6)h=a;return h|0}function Hfc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;if(!(d&2048))e=a;else{b[a>>0]=43;e=a+1|0}if(!(d&1024))f=e;else{b[e>>0]=35;f=e+1|0}e=d&260;a=(d&16384|0)!=0;d=(e|0)==260;if(d){g=0;h=f}else{b[f>>0]=46;b[f+1>>0]=42;g=1;h=f+2|0}f=c;c=h;while(1){h=b[f>>0]|0;if(!(h<<24>>24))break;b[c>>0]=h;f=f+1|0;c=c+1|0}a:do switch(e&511){case 4:{i=a?70:102;break}case 256:{i=a?69:101;break}default:if(d){i=a?65:97;break a}else{i=a?71:103;break a}}while(0);b[c>>0]=i;return g|0}function Ifc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+16|0;g=e;f[g>>2]=d;d=x9b(b)|0;b=f9b(a,c,g)|0;if(d|0)x9b(d)|0;u=e;return b|0}function Jfc(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;j=u;u=u+16|0;k=j;l=nec(i,893644)|0;m=nec(i,893660)|0;xh[f[(f[m>>2]|0)+20>>2]&2047](k,m);f[h>>2]=e;i=b[a>>0]|0;switch(i<<24>>24){case 43:case 45:{n=Sh[f[(f[l>>2]|0)+28>>2]&511](l,i)|0;i=f[h>>2]|0;f[h>>2]=i+1;b[i>>0]=n;o=a+1|0;break}default:o=a}n=d;a:do if((n-o|0)>1?(b[o>>0]|0)==48:0){i=o+1|0;switch(b[i>>0]|0){case 88:case 120:break;default:{p=o;q=10;break a}}r=Sh[f[(f[l>>2]|0)+28>>2]&511](l,48)|0;s=f[h>>2]|0;f[h>>2]=s+1;b[s>>0]=r;r=o+2|0;s=Sh[f[(f[l>>2]|0)+28>>2]&511](l,b[i>>0]|0)|0;i=f[h>>2]|0;f[h>>2]=i+1;b[i>>0]=s;s=r;while(1){if(s>>>0>=d>>>0){t=r;v=s;break a}i=b[s>>0]|0;if(!(E9b(i,qec()|0)|0)){t=r;v=s;break a}s=s+1|0}}else{p=o;q=10}while(0);b:do if((q|0)==10)while(1){q=0;if(p>>>0>=d>>>0){t=o;v=p;break b}s=b[p>>0]|0;if(!(t9b(s,qec()|0)|0)){t=o;v=p;break b}p=p+1|0;q=10}while(0);p=k+11|0;o=b[p>>0]|0;s=k+4|0;r=t;i=a;c:do if((o<<24>>24<0?f[s>>2]|0:o&255)|0){d:do if((t|0)!=(v|0)){a=v;w=t;while(1){x=a+-1|0;if(w>>>0>=x>>>0)break d;y=b[w>>0]|0;b[w>>0]=b[x>>0]|0;b[x>>0]=y;a=x;w=w+1|0}}while(0);w=ci[f[(f[m>>2]|0)+16>>2]&1023](m)|0;a=t;x=0;y=0;while(1){if(a>>>0>=v>>>0)break;z=b[((b[p>>0]|0)<0?f[k>>2]|0:k)+y>>0]|0;if(z<<24>>24>0&(x|0)==(z<<24>>24|0)){z=f[h>>2]|0;f[h>>2]=z+1;b[z>>0]=w;z=b[p>>0]|0;A=(y>>>0<((z<<24>>24<0?f[s>>2]|0:z&255)+-1|0)>>>0&1)+y|0;B=0}else{A=y;B=x}z=Sh[f[(f[l>>2]|0)+28>>2]&511](l,b[a>>0]|0)|0;C=f[h>>2]|0;f[h>>2]=C+1;b[C>>0]=z;a=a+1|0;x=B+1|0;y=A}y=e+(r-i)|0;x=f[h>>2]|0;if((y|0)==(x|0))D=l;else{a=x;x=y;while(1){y=a+-1|0;if(x>>>0>=y>>>0){D=l;break c}w=b[x>>0]|0;b[x>>0]=b[y>>0]|0;b[y>>0]=w;a=y;x=x+1|0}}}else{Bg[f[(f[l>>2]|0)+32>>2]&127](l,t,v,f[h>>2]|0)|0;f[h>>2]=(f[h>>2]|0)+(v-r);D=l}while(0);r=v;while(1){if(r>>>0>=d>>>0){E=r;break}v=b[r>>0]|0;F=r+1|0;if(v<<24>>24==46){q=29;break}t=Sh[f[(f[D>>2]|0)+28>>2]&511](l,v)|0;v=f[h>>2]|0;f[h>>2]=v+1;b[v>>0]=t;r=F}if((q|0)==29){q=ci[f[(f[m>>2]|0)+12>>2]&1023](m)|0;m=f[h>>2]|0;f[h>>2]=m+1;b[m>>0]=q;E=F}Bg[f[(f[l>>2]|0)+32>>2]&127](l,E,d,f[h>>2]|0)|0;l=(f[h>>2]|0)+(n-E)|0;f[h>>2]=l;f[g>>2]=(c|0)==(d|0)?l:e+(c-i)|0;Pmc(k);u=j;return}function Kfc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;if(!(e&2048))f=a;else{b[a>>0]=43;f=a+1|0}if(!(e&512)){g=c;h=f}else{b[f>>0]=35;g=c;h=f+1|0}while(1){f=b[g>>0]|0;if(!(f<<24>>24))break;b[h>>0]=f;g=g+1|0;h=h+1|0}switch(e&74){case 64:{i=111;break}case 8:{i=e&16384|0?88:120;break}default:i=d?100:117}b[h>>0]=i;return}function Lfc(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;j=u;u=u+16|0;k=j;l=nec(i,893644)|0;m=nec(i,893660)|0;xh[f[(f[m>>2]|0)+20>>2]&2047](k,m);i=k+11|0;n=b[i>>0]|0;o=k+4|0;p=a;q=d;if((n<<24>>24<0?f[o>>2]|0:n&255)|0){f[h>>2]=e;n=b[a>>0]|0;switch(n<<24>>24){case 43:case 45:{r=Sh[f[(f[l>>2]|0)+28>>2]&511](l,n)|0;n=f[h>>2]|0;f[h>>2]=n+1;b[n>>0]=r;s=a+1|0;break}default:s=a}a:do if((q-s|0)>1?(b[s>>0]|0)==48:0){r=s+1|0;switch(b[r>>0]|0){case 88:case 120:break;default:{t=s;break a}}n=Sh[f[(f[l>>2]|0)+28>>2]&511](l,48)|0;v=f[h>>2]|0;f[h>>2]=v+1;b[v>>0]=n;n=Sh[f[(f[l>>2]|0)+28>>2]&511](l,b[r>>0]|0)|0;r=f[h>>2]|0;f[h>>2]=r+1;b[r>>0]=n;t=s+2|0}else t=s;while(0);b:do if((t|0)!=(d|0)){s=d;n=t;while(1){r=s+-1|0;if(n>>>0>=r>>>0)break b;v=b[n>>0]|0;b[n>>0]=b[r>>0]|0;b[r>>0]=v;s=r;n=n+1|0}}while(0);n=ci[f[(f[m>>2]|0)+16>>2]&1023](m)|0;m=t;s=0;r=0;while(1){if(m>>>0>=d>>>0)break;v=b[((b[i>>0]|0)<0?f[k>>2]|0:k)+s>>0]|0;if(v<<24>>24!=0&(r|0)==(v<<24>>24|0)){v=f[h>>2]|0;f[h>>2]=v+1;b[v>>0]=n;v=b[i>>0]|0;w=(s>>>0<((v<<24>>24<0?f[o>>2]|0:v&255)+-1|0)>>>0&1)+s|0;x=0}else{w=s;x=r}v=Sh[f[(f[l>>2]|0)+28>>2]&511](l,b[m>>0]|0)|0;y=f[h>>2]|0;f[h>>2]=y+1;b[y>>0]=v;m=m+1|0;s=w;r=x+1|0}x=e+(t-p)|0;t=f[h>>2]|0;if((x|0)==(t|0))z=x;else{r=t;t=x;while(1){x=r+-1|0;if(t>>>0>=x>>>0)break;w=b[t>>0]|0;b[t>>0]=b[x>>0]|0;b[x>>0]=w;r=x;t=t+1|0}z=f[h>>2]|0}}else{Bg[f[(f[l>>2]|0)+32>>2]&127](l,a,d,e)|0;a=e+(q-p)|0;f[h>>2]=a;z=a}f[g>>2]=(c|0)==(d|0)?z:e+(c-p)|0;Pmc(k);u=j;return}function Mfc(a){a=a|0;Vdc(a);return}function Nfc(a){a=a|0;Vdc(a);Emc(a);return}function Ofc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;h=u;u=u+16|0;i=h+4|0;j=h;if(!(f[d+4>>2]&1)){k=f[(f[a>>2]|0)+24>>2]|0;f[j>>2]=f[c>>2];f[i>>2]=f[j>>2];l=lh[k&127](a,i,d,e,g&1)|0}else{Kcc(i,d);d=nec(i,893684)|0;oec(i);e=f[d>>2]|0;if(g)xh[f[e+24>>2]&2047](i,d);else xh[f[e+28>>2]&2047](i,d);d=i+8+3|0;e=b[d>>0]|0;g=f[i>>2]|0;a=i+4|0;k=e<<24>>24<0?g:i;j=e;e=g;while(1){g=j<<24>>24<0;if((k|0)==((g?e:i)+((g?f[a>>2]|0:j&255)<<2)|0))break;g=f[k>>2]|0;m=f[c>>2]|0;if(m|0){n=m+24|0;o=f[n>>2]|0;if((o|0)==(f[m+28>>2]|0)){p=f[(f[m>>2]|0)+52>>2]|0;q=bcc(g)|0;r=Sh[p&511](m,q)|0}else{f[n>>2]=o+4;f[o>>2]=g;r=bcc(g)|0}if(Lcc(r,acc()|0)|0)f[c>>2]=0}k=k+4|0;j=b[d>>0]|0;e=f[i>>2]|0}e=f[c>>2]|0;lnc(i);l=e}u=h;return l|0}function Pfc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;a=u;u=u+128|0;h=a;i=a+122|0;j=a+108|0;k=a+16|0;l=a+12|0;m=a+4|0;n=a+8|0;b[i>>0]=b[520648]|0;b[i+1>>0]=b[520649]|0;b[i+2>>0]=b[520650]|0;b[i+3>>0]=b[520651]|0;b[i+4>>0]=b[520652]|0;b[i+5>>0]=b[520653]|0;Kfc(i+1|0,524580,1,f[d+4>>2]|0);o=qec()|0;f[h>>2]=g;g=j+(Ffc(j,13,o,i,h)|0)|0;i=Gfc(j,g,d)|0;Kcc(h,d);Zfc(j,i,g,k,l,m,h);oec(h);f[n>>2]=f[c>>2];c=f[l>>2]|0;l=f[m>>2]|0;f[h>>2]=f[n>>2];n=Wfc(h,k,c,l,d,e)|0;u=a;return n|0}function Qfc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;a=u;u=u+224|0;h=a+8|0;i=a;j=a+200|0;k=a+28|0;l=a+24|0;m=a+16|0;n=a+20|0;o=i;f[o>>2]=37;f[o+4>>2]=0;Kfc(i+1|0,524585,1,f[c+4>>2]|0);o=qec()|0;p=h;f[p>>2]=e;f[p+4>>2]=g;g=j+(Ffc(j,23,o,i,h)|0)|0;i=Gfc(j,g,c)|0;Kcc(h,c);Zfc(j,i,g,k,l,m,h);oec(h);f[n>>2]=f[b>>2];b=f[l>>2]|0;l=f[m>>2]|0;f[h>>2]=f[n>>2];n=Wfc(h,k,b,l,c,d)|0;u=a;return n|0}function Rfc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;a=u;u=u+128|0;h=a;i=a+112|0;j=a+100|0;k=a+16|0;l=a+12|0;m=a+4|0;n=a+8|0;b[i>>0]=b[520648]|0;b[i+1>>0]=b[520649]|0;b[i+2>>0]=b[520650]|0;b[i+3>>0]=b[520651]|0;b[i+4>>0]=b[520652]|0;b[i+5>>0]=b[520653]|0;Kfc(i+1|0,524580,0,f[d+4>>2]|0);o=qec()|0;f[h>>2]=g;g=j+(Ffc(j,12,o,i,h)|0)|0;i=Gfc(j,g,d)|0;Kcc(h,d);Zfc(j,i,g,k,l,m,h);oec(h);f[n>>2]=f[c>>2];c=f[l>>2]|0;l=f[m>>2]|0;f[h>>2]=f[n>>2];n=Wfc(h,k,c,l,d,e)|0;u=a;return n|0}function Sfc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;a=u;u=u+224|0;h=a+8|0;i=a;j=a+200|0;k=a+28|0;l=a+24|0;m=a+16|0;n=a+20|0;o=i;f[o>>2]=37;f[o+4>>2]=0;Kfc(i+1|0,524585,0,f[c+4>>2]|0);o=qec()|0;p=h;f[p>>2]=e;f[p+4>>2]=g;g=j+(Ffc(j,23,o,i,h)|0)|0;i=Gfc(j,g,c)|0;Kcc(h,c);Zfc(j,i,g,k,l,m,h);oec(h);f[n>>2]=f[b>>2];b=f[l>>2]|0;l=f[m>>2]|0;f[h>>2]=f[n>>2];n=Wfc(h,k,b,l,c,d)|0;u=a;return n|0}function Tfc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;a=u;u=u+336|0;g=a+300|0;h=a+48|0;i=a+32|0;j=a+24|0;k=a+8|0;l=a;m=a+304|0;n=a+296|0;o=a+68|0;q=a+64|0;r=a+60|0;s=a+56|0;t=l;f[t>>2]=37;f[t+4>>2]=0;t=Hfc(l+1|0,1163146,f[c+4>>2]|0)|0;f[n>>2]=m;v=qec()|0;if(t){f[k>>2]=f[c+8>>2];p[k+8>>3]=e;w=Ffc(m,30,v,l,k)|0}else{p[j>>3]=e;w=Ffc(m,30,v,l,j)|0}if((w|0)>29){j=qec()|0;if(t){f[i>>2]=f[c+8>>2];p[i+8>>3]=e;x=Ifc(n,j,l,i)|0}else{p[h>>3]=e;x=Ifc(n,j,l,h)|0}h=f[n>>2]|0;if(!h)Gmc();else{y=x;z=h;A=h}}else{y=w;z=0;A=f[n>>2]|0}n=A+y|0;w=Gfc(A,n,c)|0;do if((A|0)!=(m|0)){h=W6b(y<<3)|0;if(!h)Gmc();else{B=h;C=0;D=h;break}}else{B=o;C=1;D=0}while(0);Kcc(g,c);Yfc(A,w,n,B,q,r,g);oec(g);f[s>>2]=f[b>>2];n=f[q>>2]|0;q=f[r>>2]|0;f[g>>2]=f[s>>2];s=Wfc(g,B,n,q,c,d)|0;f[b>>2]=s;if(!C)X6b(D);X6b(z);u=a;return s|0}function Ufc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;a=u;u=u+336|0;g=a+300|0;h=a+48|0;i=a+32|0;j=a+24|0;k=a+8|0;l=a;m=a+304|0;n=a+296|0;o=a+68|0;q=a+64|0;r=a+60|0;s=a+56|0;t=l;f[t>>2]=37;f[t+4>>2]=0;t=Hfc(l+1|0,520646,f[c+4>>2]|0)|0;f[n>>2]=m;v=qec()|0;if(t){f[k>>2]=f[c+8>>2];p[k+8>>3]=e;w=Ffc(m,30,v,l,k)|0}else{p[j>>3]=e;w=Ffc(m,30,v,l,j)|0}if((w|0)>29){j=qec()|0;if(t){f[i>>2]=f[c+8>>2];p[i+8>>3]=e;x=Ifc(n,j,l,i)|0}else{p[h>>3]=e;x=Ifc(n,j,l,h)|0}h=f[n>>2]|0;if(!h)Gmc();else{y=x;z=h;A=h}}else{y=w;z=0;A=f[n>>2]|0}n=A+y|0;w=Gfc(A,n,c)|0;do if((A|0)!=(m|0)){h=W6b(y<<3)|0;if(!h)Gmc();else{B=h;C=0;D=h;break}}else{B=o;C=1;D=0}while(0);Kcc(g,c);Yfc(A,w,n,B,q,r,g);oec(g);f[s>>2]=f[b>>2];n=f[q>>2]|0;q=f[r>>2]|0;f[g>>2]=f[s>>2];s=Wfc(g,B,n,q,c,d)|0;f[b>>2]=s;if(!C)X6b(D);X6b(z);u=a;return s|0}function Vfc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;a=u;u=u+192|0;h=a;i=a+176|0;j=a+156|0;k=a+4|0;l=a+152|0;b[i>>0]=b[520640]|0;b[i+1>>0]=b[520641]|0;b[i+2>>0]=b[520642]|0;b[i+3>>0]=b[520643]|0;b[i+4>>0]=b[520644]|0;b[i+5>>0]=b[520645]|0;m=qec()|0;f[h>>2]=g;g=Ffc(j,20,m,i,h)|0;i=j+g|0;m=Gfc(j,i,d)|0;Kcc(h,d);n=nec(h,893676)|0;oec(h);Bg[f[(f[n>>2]|0)+48>>2]&127](n,j,i,k)|0;n=k+(g<<2)|0;f[l>>2]=f[c>>2];f[h>>2]=f[l>>2];l=Wfc(h,k,(m|0)==(i|0)?n:k+(m-j<<2)|0,n,d,e)|0;u=a;return l|0}function Wfc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;i=u;u=u+16|0;j=i+12|0;k=i;l=f[a>>2]|0;a:do if(!l)m=0;else{n=e;o=c;p=n-o>>2;q=g+12|0;r=f[q>>2]|0;s=(r|0)>(p|0)?r-p|0:0;p=d;r=p-o|0;o=r>>2;if((r|0)>0?(ki[f[(f[l>>2]|0)+48>>2]&511](l,c,o)|0)!=(o|0):0){f[a>>2]=0;m=0;break}do if((s|0)>0){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;if(s>>>0>1073741807)Lmc(k);do if(s>>>0>=2){o=s+4&2147483644;if(o>>>0>1073741823)Qe();else{r=Bmc(o<<2)|0;f[k>>2]=r;t=k+8|0;f[t>>2]=o|-2147483648;f[k+4>>2]=s;v=r;w=t+3|0;x=k;break}}else{t=k+8+3|0;b[t>>0]=s;v=k;w=t;x=k}while(0);Xfc(v,s,h)|0;f[j>>2]=0;$dc(v+(s<<2)|0,j);if((ki[f[(f[l>>2]|0)+48>>2]&511](l,(b[w>>0]|0)<0?f[k>>2]|0:x,s)|0)==(s|0)){lnc(k);break}else{f[a>>2]=0;lnc(k);m=0;break a}}while(0);s=n-p|0;t=s>>2;if((s|0)>0?(ki[f[(f[l>>2]|0)+48>>2]&511](l,d,t)|0)!=(t|0):0){f[a>>2]=0;m=0;break}f[q>>2]=0;m=l}while(0);u=i;return m|0}function Xfc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if(!b)d=a;else{jac(a,c,b)|0;d=a}return d|0}function Yfc(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;j=u;u=u+16|0;k=j;l=nec(i,893676)|0;m=nec(i,893684)|0;xh[f[(f[m>>2]|0)+20>>2]&2047](k,m);f[h>>2]=e;i=b[a>>0]|0;switch(i<<24>>24){case 43:case 45:{n=Sh[f[(f[l>>2]|0)+44>>2]&511](l,i)|0;i=f[h>>2]|0;f[h>>2]=i+4;f[i>>2]=n;o=a+1|0;break}default:o=a}n=d;a:do if((n-o|0)>1?(b[o>>0]|0)==48:0){i=o+1|0;switch(b[i>>0]|0){case 88:case 120:break;default:{p=o;q=10;break a}}r=Sh[f[(f[l>>2]|0)+44>>2]&511](l,48)|0;s=f[h>>2]|0;f[h>>2]=s+4;f[s>>2]=r;r=o+2|0;s=Sh[f[(f[l>>2]|0)+44>>2]&511](l,b[i>>0]|0)|0;i=f[h>>2]|0;f[h>>2]=i+4;f[i>>2]=s;s=r;while(1){if(s>>>0>=d>>>0){t=r;v=s;break a}i=b[s>>0]|0;if(!(E9b(i,qec()|0)|0)){t=r;v=s;break a}s=s+1|0}}else{p=o;q=10}while(0);b:do if((q|0)==10)while(1){q=0;if(p>>>0>=d>>>0){t=o;v=p;break b}s=b[p>>0]|0;if(!(t9b(s,qec()|0)|0)){t=o;v=p;break b}p=p+1|0;q=10}while(0);p=k+11|0;o=b[p>>0]|0;s=k+4|0;r=t;i=a;c:do if((o<<24>>24<0?f[s>>2]|0:o&255)|0){d:do if((t|0)!=(v|0)){a=v;w=t;while(1){x=a+-1|0;if(w>>>0>=x>>>0)break d;y=b[w>>0]|0;b[w>>0]=b[x>>0]|0;b[x>>0]=y;a=x;w=w+1|0}}while(0);w=ci[f[(f[m>>2]|0)+16>>2]&1023](m)|0;a=t;x=0;y=0;while(1){if(a>>>0>=v>>>0)break;z=b[p>>0]|0;A=z<<24>>24<0;B=b[(A?f[k>>2]|0:k)+x>>0]|0;if(B<<24>>24>0&(y|0)==(B<<24>>24|0)){B=f[h>>2]|0;f[h>>2]=B+4;f[B>>2]=w;C=(x>>>0<((A?f[s>>2]|0:z&255)+-1|0)>>>0&1)+x|0;D=0}else{C=x;D=y}z=Sh[f[(f[l>>2]|0)+44>>2]&511](l,b[a>>0]|0)|0;A=f[h>>2]|0;f[h>>2]=A+4;f[A>>2]=z;a=a+1|0;x=C;y=D+1|0}y=e+(r-i<<2)|0;x=f[h>>2]|0;if((y|0)==(x|0)){E=l;F=y}else{a=x;w=y;while(1){y=a+-4|0;if(w>>>0>=y>>>0){E=l;F=x;break c}z=f[w>>2]|0;f[w>>2]=f[y>>2];f[y>>2]=z;a=y;w=w+4|0}}}else{Bg[f[(f[l>>2]|0)+48>>2]&127](l,t,v,f[h>>2]|0)|0;w=(f[h>>2]|0)+(v-r<<2)|0;f[h>>2]=w;E=l;F=w}while(0);r=v;v=F;while(1){if(r>>>0>=d>>>0){G=r;H=v;break}F=b[r>>0]|0;I=r+1|0;if(F<<24>>24==46){q=29;break}t=Sh[f[(f[E>>2]|0)+44>>2]&511](l,F)|0;F=f[h>>2]|0;D=F+4|0;f[h>>2]=D;f[F>>2]=t;r=I;v=D}if((q|0)==29){q=ci[f[(f[m>>2]|0)+12>>2]&1023](m)|0;m=f[h>>2]|0;v=m+4|0;f[h>>2]=v;f[m>>2]=q;G=I;H=v}Bg[f[(f[l>>2]|0)+48>>2]&127](l,G,d,H)|0;H=(f[h>>2]|0)+(n-G<<2)|0;f[h>>2]=H;f[g>>2]=(c|0)==(d|0)?H:e+(c-i<<2)|0;Pmc(k);u=j;return}function Zfc(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;j=u;u=u+16|0;k=j;l=nec(i,893676)|0;m=nec(i,893684)|0;xh[f[(f[m>>2]|0)+20>>2]&2047](k,m);i=k+11|0;n=b[i>>0]|0;o=k+4|0;p=a;q=d;if((n<<24>>24<0?f[o>>2]|0:n&255)|0){f[h>>2]=e;n=b[a>>0]|0;switch(n<<24>>24){case 43:case 45:{r=Sh[f[(f[l>>2]|0)+44>>2]&511](l,n)|0;n=f[h>>2]|0;f[h>>2]=n+4;f[n>>2]=r;s=a+1|0;break}default:s=a}a:do if((q-s|0)>1?(b[s>>0]|0)==48:0){r=s+1|0;switch(b[r>>0]|0){case 88:case 120:break;default:{t=s;break a}}n=Sh[f[(f[l>>2]|0)+44>>2]&511](l,48)|0;v=f[h>>2]|0;f[h>>2]=v+4;f[v>>2]=n;n=Sh[f[(f[l>>2]|0)+44>>2]&511](l,b[r>>0]|0)|0;r=f[h>>2]|0;f[h>>2]=r+4;f[r>>2]=n;t=s+2|0}else t=s;while(0);b:do if((t|0)!=(d|0)){s=d;n=t;while(1){r=s+-1|0;if(n>>>0>=r>>>0)break b;v=b[n>>0]|0;b[n>>0]=b[r>>0]|0;b[r>>0]=v;s=r;n=n+1|0}}while(0);n=ci[f[(f[m>>2]|0)+16>>2]&1023](m)|0;m=t;s=0;r=0;while(1){if(m>>>0>=d>>>0)break;v=b[i>>0]|0;w=v<<24>>24<0;x=b[(w?f[k>>2]|0:k)+s>>0]|0;if(x<<24>>24!=0&(r|0)==(x<<24>>24|0)){x=f[h>>2]|0;f[h>>2]=x+4;f[x>>2]=n;y=(s>>>0<((w?f[o>>2]|0:v&255)+-1|0)>>>0&1)+s|0;z=0}else{y=s;z=r}v=Sh[f[(f[l>>2]|0)+44>>2]&511](l,b[m>>0]|0)|0;w=f[h>>2]|0;f[h>>2]=w+4;f[w>>2]=v;m=m+1|0;s=y;r=z+1|0}z=e+(t-p<<2)|0;t=f[h>>2]|0;if((z|0)==(t|0))A=z;else{r=t;t=z;while(1){z=r+-4|0;if(t>>>0>=z>>>0)break;y=f[t>>2]|0;f[t>>2]=f[z>>2];f[z>>2]=y;r=z;t=t+4|0}A=f[h>>2]|0}}else{Bg[f[(f[l>>2]|0)+48>>2]&127](l,a,d,e)|0;a=e+(q-p<<2)|0;f[h>>2]=a;A=a}f[g>>2]=(c|0)==(d|0)?A:e+(c-p<<2)|0;Pmc(k);u=j;return}function _fc(a){a=a|0;Vdc(a);return}function $fc(a){a=a|0;Vdc(a);Emc(a);return}function agc(a){a=a|0;return 2}function bgc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=wgc(a,j,i,d,e,g,521171,521179)|0;u=h;return l|0}function cgc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;i=u;u=u+16|0;j=i+12|0;k=i+8|0;l=i+4|0;m=i;n=a+8|0;o=ci[f[(f[n>>2]|0)+20>>2]&1023](n)|0;f[l>>2]=f[c>>2];f[m>>2]=f[d>>2];d=b[o+11>>0]|0;c=d<<24>>24<0;n=c?f[o>>2]|0:o;p=n+(c?f[o+4>>2]|0:d&255)|0;f[k>>2]=f[l>>2];f[j>>2]=f[m>>2];m=wgc(a,k,j,e,g,h,n,p)|0;u=i;return m|0}function dgc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=u;u=u+16|0;i=h+4|0;j=h;Kcc(i,d);d=nec(i,893644)|0;oec(i);f[j>>2]=f[c>>2];f[i>>2]=f[j>>2];ugc(a,g+24|0,b,i,e,d);u=h;return f[b>>2]|0}function egc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=u;u=u+16|0;i=h+4|0;j=h;Kcc(i,d);d=nec(i,893644)|0;oec(i);f[j>>2]=f[c>>2];f[i>>2]=f[j>>2];vgc(a,g+16|0,b,i,e,d);u=h;return f[b>>2]|0}function fgc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=u;u=u+16|0;i=h+4|0;j=h;Kcc(i,d);d=nec(i,893644)|0;oec(i);f[j>>2]=f[c>>2];f[i>>2]=f[j>>2];Hgc(a,g+20|0,b,i,e,d);u=h;return f[b>>2]|0}function ggc(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;j=u;u=u+144|0;k=j+128|0;l=j+112|0;m=j+124|0;n=j+120|0;o=j+116|0;p=j+108|0;q=j+104|0;r=j+100|0;s=j+96|0;t=j+92|0;v=j+88|0;w=j+84|0;x=j+80|0;y=j+76|0;z=j+72|0;A=j+68|0;B=j+64|0;C=j+60|0;D=j+56|0;E=j+52|0;F=j+48|0;G=j+44|0;H=j+40|0;I=j+36|0;J=j+32|0;K=j+28|0;L=j+24|0;M=j+20|0;N=j+16|0;O=j+12|0;P=j+8|0;Q=j+4|0;R=j;f[g>>2]=0;Kcc(k,e);S=nec(k,893644)|0;oec(k);T=h+8|0;U=h+20|0;V=h+16|0;W=h+24|0;X=a+8|0;do switch(i<<24>>24|0){case 65:case 97:{f[m>>2]=f[d>>2];f[k>>2]=f[m>>2];ugc(a,W,c,k,g,S);Y=26;break}case 104:case 66:case 98:{f[n>>2]=f[d>>2];f[k>>2]=f[n>>2];vgc(a,V,c,k,g,S);Y=26;break}case 99:{Z=ci[f[(f[X>>2]|0)+12>>2]&1023](X)|0;f[o>>2]=f[c>>2];f[p>>2]=f[d>>2];_=b[Z+11>>0]|0;$=_<<24>>24<0;aa=$?f[Z>>2]|0:Z;ba=aa+($?f[Z+4>>2]|0:_&255)|0;f[l>>2]=f[o>>2];f[k>>2]=f[p>>2];_=wgc(a,l,k,e,g,h,aa,ba)|0;f[c>>2]=_;Y=26;break}case 101:case 100:{f[q>>2]=f[d>>2];f[k>>2]=f[q>>2];xgc(a,h+12|0,c,k,g,S);Y=26;break}case 68:{f[r>>2]=f[c>>2];f[s>>2]=f[d>>2];f[l>>2]=f[r>>2];f[k>>2]=f[s>>2];_=wgc(a,l,k,e,g,h,521131,521139)|0;f[c>>2]=_;Y=26;break}case 70:{f[t>>2]=f[c>>2];f[v>>2]=f[d>>2];f[l>>2]=f[t>>2];f[k>>2]=f[v>>2];_=wgc(a,l,k,e,g,h,521139,521147)|0;f[c>>2]=_;Y=26;break}case 72:{f[w>>2]=f[d>>2];f[k>>2]=f[w>>2];ygc(a,T,c,k,g,S);Y=26;break}case 73:{f[x>>2]=f[d>>2];f[k>>2]=f[x>>2];zgc(a,T,c,k,g,S);Y=26;break}case 106:{f[y>>2]=f[d>>2];f[k>>2]=f[y>>2];Agc(a,h+28|0,c,k,g,S);Y=26;break}case 109:{f[z>>2]=f[d>>2];f[k>>2]=f[z>>2];Bgc(a,V,c,k,g,S);Y=26;break}case 77:{f[A>>2]=f[d>>2];f[k>>2]=f[A>>2];Cgc(a,h+4|0,c,k,g,S);Y=26;break}case 116:case 110:{f[B>>2]=f[d>>2];f[k>>2]=f[B>>2];Dgc(a,c,k,g,S);Y=26;break}case 112:{f[C>>2]=f[d>>2];f[k>>2]=f[C>>2];Egc(a,T,c,k,g,S);Y=26;break}case 114:{f[D>>2]=f[c>>2];f[E>>2]=f[d>>2];f[l>>2]=f[D>>2];f[k>>2]=f[E>>2];_=wgc(a,l,k,e,g,h,521147,521158)|0;f[c>>2]=_;Y=26;break}case 82:{f[F>>2]=f[c>>2];f[G>>2]=f[d>>2];f[l>>2]=f[F>>2];f[k>>2]=f[G>>2];_=wgc(a,l,k,e,g,h,521158,521163)|0;f[c>>2]=_;Y=26;break}case 83:{f[H>>2]=f[d>>2];f[k>>2]=f[H>>2];Fgc(a,h,c,k,g,S);Y=26;break}case 84:{f[I>>2]=f[c>>2];f[J>>2]=f[d>>2];f[l>>2]=f[I>>2];f[k>>2]=f[J>>2];_=wgc(a,l,k,e,g,h,521163,521171)|0;f[c>>2]=_;Y=26;break}case 119:{f[K>>2]=f[d>>2];f[k>>2]=f[K>>2];Ggc(a,W,c,k,g,S);Y=26;break}case 120:{_=f[(f[a>>2]|0)+20>>2]|0;f[L>>2]=f[c>>2];f[M>>2]=f[d>>2];f[l>>2]=f[L>>2];f[k>>2]=f[M>>2];ca=Vf[_&127](a,l,k,e,g,h)|0;break}case 88:{_=ci[f[(f[X>>2]|0)+24>>2]&1023](X)|0;f[N>>2]=f[c>>2];f[O>>2]=f[d>>2];ba=b[_+11>>0]|0;aa=ba<<24>>24<0;Z=aa?f[_>>2]|0:_;$=Z+(aa?f[_+4>>2]|0:ba&255)|0;f[l>>2]=f[N>>2];f[k>>2]=f[O>>2];ba=wgc(a,l,k,e,g,h,Z,$)|0;f[c>>2]=ba;Y=26;break}case 121:{f[P>>2]=f[d>>2];f[k>>2]=f[P>>2];Hgc(a,U,c,k,g,S);Y=26;break}case 89:{f[Q>>2]=f[d>>2];f[k>>2]=f[Q>>2];Igc(a,U,c,k,g,S);Y=26;break}case 37:{f[R>>2]=f[d>>2];f[k>>2]=f[R>>2];Jgc(a,c,k,g,S);Y=26;break}default:{f[g>>2]=f[g>>2]|4;Y=26}}while(0);if((Y|0)==26)ca=f[c>>2]|0;u=j;return ca|0}function hgc(a){a=a|0;if((b[537216]|0)==0?src(537216)|0:0){sgc();f[223629]=894348}return f[223629]|0}function igc(a){a=a|0;if((b[537200]|0)==0?src(537200)|0:0){qgc();f[223586]=894056}return f[223586]|0}function jgc(a){a=a|0;if((b[537184]|0)==0?src(537184)|0:0){ogc();f[223513]=893764}return f[223513]|0}function kgc(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((b[537176]|0)==0?src(537176)|0:0){f[223438]=0;f[223439]=0;f[223440]=0;d=Fcc(520889)|0;if(d>>>0>4294967279)Lmc(893752);if(d>>>0<11){b[893763]=d;e=893752}else{g=d+16&-16;h=Bmc(g)|0;f[223438]=h;f[223440]=g|-2147483648;f[223439]=d;e=h}Mbc(e,520889,d)|0;b[c>>0]=0;Gcc(e+d|0,c);Ad(1633,893752,x|0)|0}u=a;return 893752}function lgc(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((b[537168]|0)==0?src(537168)|0:0){f[223435]=0;f[223436]=0;f[223437]=0;d=Fcc(520877)|0;if(d>>>0>4294967279)Lmc(893740);if(d>>>0<11){b[893751]=d;e=893740}else{g=d+16&-16;h=Bmc(g)|0;f[223435]=h;f[223437]=g|-2147483648;f[223436]=d;e=h}Mbc(e,520877,d)|0;b[c>>0]=0;Gcc(e+d|0,c);Ad(1633,893740,x|0)|0}u=a;return 893740}function mgc(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((b[537160]|0)==0?src(537160)|0:0){f[223432]=0;f[223433]=0;f[223434]=0;d=Fcc(520868)|0;if(d>>>0>4294967279)Lmc(893728);if(d>>>0<11){b[893739]=d;e=893728}else{g=d+16&-16;h=Bmc(g)|0;f[223432]=h;f[223434]=g|-2147483648;f[223433]=d;e=h}Mbc(e,520868,d)|0;b[c>>0]=0;Gcc(e+d|0,c);Ad(1633,893728,x|0)|0}u=a;return 893728}function ngc(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((b[537152]|0)==0?src(537152)|0:0){f[223429]=0;f[223430]=0;f[223431]=0;d=Fcc(520859)|0;if(d>>>0>4294967279)Lmc(893716);if(d>>>0<11){b[893727]=d;e=893716}else{g=d+16&-16;h=Bmc(g)|0;f[223429]=h;f[223431]=g|-2147483648;f[223430]=d;e=h}Mbc(e,520859,d)|0;b[c>>0]=0;Gcc(e+d|0,c);Ad(1633,893716,x|0)|0}u=a;return 893716}function ogc(){var a=0,c=0;if((b[537192]|0)==0?src(537192)|0:0){a=893764;do{f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;c=0;while(1){if((c|0)==3)break;f[a+(c<<2)>>2]=0;c=c+1|0}a=a+12|0}while((a|0)!=894052);Ad(1690,0,x|0)|0}Vmc(893764,520910)|0;Vmc(893776,520913)|0;return}function pgc(a){a=a|0;a=894052;do{a=a+-12|0;Pmc(a)}while((a|0)!=893764);return}function qgc(){var a=0,c=0;if((b[537208]|0)==0?src(537208)|0:0){a=894056;do{f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;c=0;while(1){if((c|0)==3)break;f[a+(c<<2)>>2]=0;c=c+1|0}a=a+12|0}while((a|0)!=894344);Ad(1691,0,x|0)|0}Vmc(894056,520916)|0;Vmc(894068,520924)|0;Vmc(894080,520933)|0;Vmc(894092,520939)|0;Vmc(894104,520945)|0;Vmc(894116,520949)|0;Vmc(894128,520954)|0;Vmc(894140,520959)|0;Vmc(894152,520966)|0;Vmc(894164,520976)|0;Vmc(894176,520984)|0;Vmc(894188,520993)|0;Vmc(894200,521002)|0;Vmc(894212,521006)|0;Vmc(894224,521010)|0;Vmc(894236,521014)|0;Vmc(894248,520945)|0;Vmc(894260,521018)|0;Vmc(894272,521022)|0;Vmc(894284,521026)|0;Vmc(894296,521030)|0;Vmc(894308,521034)|0;Vmc(894320,521038)|0;Vmc(894332,521042)|0;return}function rgc(a){a=a|0;a=894344;do{a=a+-12|0;Pmc(a)}while((a|0)!=894056);return}function sgc(){var a=0,c=0;if((b[537224]|0)==0?src(537224)|0:0){a=894348;do{f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;c=0;while(1){if((c|0)==3)break;f[a+(c<<2)>>2]=0;c=c+1|0}a=a+12|0}while((a|0)!=894516);Ad(1692,0,x|0)|0}Vmc(894348,521046)|0;Vmc(894360,521053)|0;Vmc(894372,521060)|0;Vmc(894384,521068)|0;Vmc(894396,521078)|0;Vmc(894408,521087)|0;Vmc(894420,521094)|0;Vmc(894432,521103)|0;Vmc(894444,521107)|0;Vmc(894456,521111)|0;Vmc(894468,521115)|0;Vmc(894480,521119)|0;Vmc(894492,521123)|0;Vmc(894504,521127)|0;return}function tgc(a){a=a|0;a=894516;do{a=a+-12|0;Pmc(a)}while((a|0)!=894348);return}function ugc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+16|0;i=h+4|0;j=h;k=a+8|0;a=ci[f[f[k>>2]>>2]&1023](k)|0;f[j>>2]=f[d>>2];f[i>>2]=f[j>>2];j=(Vec(c,i,a,a+168|0,g,e,0)|0)-a|0;if((j|0)<168)f[b>>2]=((j|0)/12|0|0)%7|0;u=h;return}function vgc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+16|0;i=h+4|0;j=h;k=a+8|0;a=ci[f[(f[k>>2]|0)+4>>2]&1023](k)|0;f[j>>2]=f[d>>2];f[i>>2]=f[j>>2];j=(Vec(c,i,a,a+288|0,g,e,0)|0)-a|0;if((j|0)<288)f[b>>2]=((j|0)/12|0|0)%12|0;u=h;return}function wgc(a,c,e,g,h,i,j,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0;l=u;u=u+16|0;m=l+12|0;n=l+8|0;o=l+4|0;p=l;Kcc(m,g);q=nec(m,893644)|0;oec(m);f[h>>2]=0;r=q+8|0;s=j;j=0;a:while(1){t=(s|0)!=(k|0);v=j;while(1){w=f[c>>2]|0;if(!(t&(v|0)==0)){x=w;break a}y=w;if(w){z=f[w+12>>2]|0;if((z|0)==(f[w+16>>2]|0))A=ci[f[(f[w>>2]|0)+36>>2]&1023](w)|0;else A=Lbc(b[z>>0]|0)|0;if(Jcc(A,Kbc()|0)|0){f[c>>2]=0;B=0;C=1;D=0}else{B=w;C=0;D=y}}else{B=0;C=1;D=y}y=f[e>>2]|0;w=y;do if(y){z=f[y+12>>2]|0;if((z|0)==(f[y+16>>2]|0))E=ci[f[(f[y>>2]|0)+36>>2]&1023](y)|0;else E=Lbc(b[z>>0]|0)|0;if(!(Jcc(E,Kbc()|0)|0))if(C){F=y;G=w;break}else{H=61;break a}else{f[e>>2]=0;I=0;H=16;break}}else{I=w;H=16}while(0);if((H|0)==16){H=0;if(C){H=61;break a}else{F=0;G=I}}if((ki[f[(f[q>>2]|0)+36>>2]&511](q,b[s>>0]|0,0)|0)<<24>>24==37){H=19;break}w=b[s>>0]|0;if(w<<24>>24>-1?(J=f[r>>2]|0,d[J+(w<<24>>24<<1)>>1]&8192):0){K=s;H=27;break}L=B+12|0;w=f[L>>2]|0;M=B+16|0;if((w|0)==(f[M>>2]|0))N=ci[f[(f[B>>2]|0)+36>>2]&1023](B)|0;else N=Lbc(b[w>>0]|0)|0;w=Sh[f[(f[q>>2]|0)+12>>2]&511](q,N&255)|0;if(w<<24>>24==(Sh[f[(f[q>>2]|0)+12>>2]&511](q,b[s>>0]|0)|0)<<24>>24){H=57;break}f[h>>2]=4;v=4}b:do if((H|0)==19){H=0;v=s+1|0;if((v|0)==(k|0)){H=61;break a}t=ki[f[(f[q>>2]|0)+36>>2]&511](q,b[v>>0]|0,0)|0;switch(t<<24>>24){case 48:case 69:{w=s+2|0;if((w|0)==(k|0)){H=61;break a}O=t;P=ki[f[(f[q>>2]|0)+36>>2]&511](q,b[w>>0]|0,0)|0;Q=v;break}default:{O=0;P=t;Q=s}}t=f[(f[a>>2]|0)+36>>2]|0;f[o>>2]=D;f[p>>2]=G;f[n>>2]=f[o>>2];f[m>>2]=f[p>>2];v=Ei[t&15](a,n,m,g,h,i,P,O)|0;f[c>>2]=v;R=Q+2|0}else if((H|0)==27){while(1){H=0;v=K+1|0;if((v|0)==(k|0)){S=k;break}t=b[v>>0]|0;if(t<<24>>24<=-1){S=v;break}if(!(d[J+(t<<24>>24<<1)>>1]&8192)){S=v;break}else{K=v;H=27}}v=B;t=F;w=F;while(1){if(v){y=f[v+12>>2]|0;if((y|0)==(f[v+16>>2]|0))T=ci[f[(f[v>>2]|0)+36>>2]&1023](v)|0;else T=Lbc(b[y>>0]|0)|0;if(Jcc(T,Kbc()|0)|0){f[c>>2]=0;U=1;V=0}else{U=0;V=v}}else{U=1;V=0}do if(w){y=f[w+12>>2]|0;if((y|0)==(f[w+16>>2]|0))W=ci[f[(f[w>>2]|0)+36>>2]&1023](w)|0;else W=Lbc(b[y>>0]|0)|0;if(!(Jcc(W,Kbc()|0)|0))if(U^(t|0)==0){X=t;Y=t;break}else{R=S;break b}else{f[e>>2]=0;Z=0;H=43;break}}else{Z=t;H=43}while(0);if((H|0)==43){H=0;if(U){R=S;break b}else{X=Z;Y=0}}y=V+12|0;z=f[y>>2]|0;_=V+16|0;if((z|0)==(f[_>>2]|0))$=ci[f[(f[V>>2]|0)+36>>2]&1023](V)|0;else $=Lbc(b[z>>0]|0)|0;if(($&255)<<24>>24<=-1){R=S;break b}if(!(d[(f[r>>2]|0)+($<<24>>24<<1)>>1]&8192)){R=S;break b}z=f[y>>2]|0;if((z|0)==(f[_>>2]|0)){ci[f[(f[V>>2]|0)+40>>2]&1023](V)|0;v=V;t=X;w=Y;continue}else{f[y>>2]=z+1;Lbc(b[z>>0]|0)|0;v=V;t=X;w=Y;continue}}}else if((H|0)==57){H=0;w=s+1|0;t=f[L>>2]|0;if((t|0)==(f[M>>2]|0)){ci[f[(f[B>>2]|0)+40>>2]&1023](B)|0;R=w;break}else{f[L>>2]=t+1;Lbc(b[t>>0]|0)|0;R=w;break}}while(0);s=R;j=f[h>>2]|0}if((H|0)==61){f[h>>2]=4;x=B}if(x){B=f[x+12>>2]|0;if((B|0)==(f[x+16>>2]|0))aa=ci[f[(f[x>>2]|0)+36>>2]&1023](x)|0;else aa=Lbc(b[B>>0]|0)|0;if(Jcc(aa,Kbc()|0)|0){f[c>>2]=0;ba=0;ca=1}else{ba=x;ca=0}}else{ba=0;ca=1}x=f[e>>2]|0;do if(x){c=f[x+12>>2]|0;if((c|0)==(f[x+16>>2]|0))da=ci[f[(f[x>>2]|0)+36>>2]&1023](x)|0;else da=Lbc(b[c>>0]|0)|0;if(!(Jcc(da,Kbc()|0)|0))if(ca)break;else{H=76;break}else{f[e>>2]=0;H=74;break}}else H=74;while(0);if((H|0)==74?ca:0)H=76;if((H|0)==76)f[h>>2]=f[h>>2]|2;u=l;return ba|0}function xgc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=Kgc(c,h,e,g,2)|0;g=f[e>>2]|0;if((i+-1|0)>>>0<31&(g&4|0)==0)f[b>>2]=i;else f[e>>2]=g|4;u=a;return}function ygc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=Kgc(c,h,e,g,2)|0;g=f[e>>2]|0;if((i|0)<24&(g&4|0)==0)f[b>>2]=i;else f[e>>2]=g|4;u=a;return}function zgc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=Kgc(c,h,e,g,2)|0;g=f[e>>2]|0;if((i+-1|0)>>>0<12&(g&4|0)==0)f[b>>2]=i;else f[e>>2]=g|4;u=a;return}function Agc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=Kgc(c,h,e,g,3)|0;g=f[e>>2]|0;if((i|0)<366&(g&4|0)==0)f[b>>2]=i;else f[e>>2]=g|4;u=a;return}function Bgc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=Kgc(c,h,e,g,2)|0;g=f[e>>2]|0;if((i|0)<13&(g&4|0)==0)f[b>>2]=i+-1;else f[e>>2]=g|4;u=a;return}function Cgc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=Kgc(c,h,e,g,2)|0;g=f[e>>2]|0;if((i|0)<60&(g&4|0)==0)f[b>>2]=i;else f[e>>2]=g|4;u=a;return}function Dgc(a,c,e,g,h){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;a=h+8|0;a:while(1){h=f[c>>2]|0;do if(h){i=f[h+12>>2]|0;if((i|0)==(f[h+16>>2]|0))j=ci[f[(f[h>>2]|0)+36>>2]&1023](h)|0;else j=Lbc(b[i>>0]|0)|0;if(Jcc(j,Kbc()|0)|0){f[c>>2]=0;k=1;break}else{k=(f[c>>2]|0)==0;break}}else k=1;while(0);h=f[e>>2]|0;do if(h){i=f[h+12>>2]|0;if((i|0)==(f[h+16>>2]|0))l=ci[f[(f[h>>2]|0)+36>>2]&1023](h)|0;else l=Lbc(b[i>>0]|0)|0;if(!(Jcc(l,Kbc()|0)|0))if(k){m=h;break}else{n=h;break a}else{f[e>>2]=0;o=15;break}}else o=15;while(0);if((o|0)==15){o=0;if(k){n=0;break}else m=0}h=f[c>>2]|0;i=f[h+12>>2]|0;if((i|0)==(f[h+16>>2]|0))p=ci[f[(f[h>>2]|0)+36>>2]&1023](h)|0;else p=Lbc(b[i>>0]|0)|0;if((p&255)<<24>>24<=-1){n=m;break}if(!(d[(f[a>>2]|0)+(p<<24>>24<<1)>>1]&8192)){n=m;break}i=f[c>>2]|0;h=i+12|0;q=f[h>>2]|0;if((q|0)==(f[i+16>>2]|0)){ci[f[(f[i>>2]|0)+40>>2]&1023](i)|0;continue}else{f[h>>2]=q+1;Lbc(b[q>>0]|0)|0;continue}}m=f[c>>2]|0;do if(m){p=f[m+12>>2]|0;if((p|0)==(f[m+16>>2]|0))r=ci[f[(f[m>>2]|0)+36>>2]&1023](m)|0;else r=Lbc(b[p>>0]|0)|0;if(Jcc(r,Kbc()|0)|0){f[c>>2]=0;s=1;break}else{s=(f[c>>2]|0)==0;break}}else s=1;while(0);do if(n){c=f[n+12>>2]|0;if((c|0)==(f[n+16>>2]|0))t=ci[f[(f[n>>2]|0)+36>>2]&1023](n)|0;else t=Lbc(b[c>>0]|0)|0;if(!(Jcc(t,Kbc()|0)|0))if(s)break;else{o=40;break}else{f[e>>2]=0;o=38;break}}else o=38;while(0);if((o|0)==38?s:0)o=40;if((o|0)==40)f[g>>2]=f[g>>2]|2;return}function Egc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0;i=u;u=u+16|0;j=i+4|0;k=i;l=a+8|0;a=ci[f[(f[l>>2]|0)+8>>2]&1023](l)|0;l=b[a+11>>0]|0;if(l<<24>>24<0)m=f[a+4>>2]|0;else m=l&255;l=b[a+12+11>>0]|0;if(l<<24>>24<0)n=f[a+16>>2]|0;else n=l&255;do if((m|0)!=(0-n|0)){f[k>>2]=f[e>>2];f[j>>2]=f[k>>2];l=(Vec(d,j,a,a+24|0,h,g,0)|0)-a|0;o=f[c>>2]|0;if((o|0)==12&(l|0)==0){f[c>>2]=0;break}if((o|0)<12&(l|0)==12)f[c>>2]=o+12}else f[g>>2]=f[g>>2]|4;while(0);u=i;return}function Fgc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=Kgc(c,h,e,g,2)|0;g=f[e>>2]|0;if((i|0)<61&(g&4|0)==0)f[b>>2]=i;else f[e>>2]=g|4;u=a;return}function Ggc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=Kgc(c,h,e,g,1)|0;g=f[e>>2]|0;if((i|0)<7&(g&4|0)==0)f[b>>2]=i;else f[e>>2]=g|4;u=a;return}function Hgc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=Kgc(c,h,e,g,4)|0;if(!(f[e>>2]&4)){if((i|0)<69)j=i+2e3|0;else j=(i|0)<100?i+1900|0:i;f[b>>2]=j+-1900}u=a;return}function Igc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=Kgc(c,h,e,g,4)|0;if(!(f[e>>2]&4))f[b>>2]=i+-1900;u=a;return}function Jgc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;a=f[c>>2]|0;do if(a){h=f[a+12>>2]|0;if((h|0)==(f[a+16>>2]|0))i=ci[f[(f[a>>2]|0)+36>>2]&1023](a)|0;else i=Lbc(b[h>>0]|0)|0;if(Jcc(i,Kbc()|0)|0){f[c>>2]=0;j=1;break}else{j=(f[c>>2]|0)==0;break}}else j=1;while(0);i=f[d>>2]|0;do if(i){a=f[i+12>>2]|0;if((a|0)==(f[i+16>>2]|0))k=ci[f[(f[i>>2]|0)+36>>2]&1023](i)|0;else k=Lbc(b[a>>0]|0)|0;if(!(Jcc(k,Kbc()|0)|0))if(j){l=i;m=16;break}else{n=6;m=38;break}else{f[d>>2]=0;m=14;break}}else m=14;while(0);if((m|0)==14)if(j){n=6;m=38}else{l=0;m=16}a:do if((m|0)==16){j=f[c>>2]|0;i=f[j+12>>2]|0;if((i|0)==(f[j+16>>2]|0))o=ci[f[(f[j>>2]|0)+36>>2]&1023](j)|0;else o=Lbc(b[i>>0]|0)|0;if((ki[f[(f[g>>2]|0)+36>>2]&511](g,o&255,0)|0)<<24>>24==37){i=f[c>>2]|0;j=i+12|0;k=f[j>>2]|0;if((k|0)==(f[i+16>>2]|0))ci[f[(f[i>>2]|0)+40>>2]&1023](i)|0;else{f[j>>2]=k+1;Lbc(b[k>>0]|0)|0}k=f[c>>2]|0;do if(k){j=f[k+12>>2]|0;if((j|0)==(f[k+16>>2]|0))p=ci[f[(f[k>>2]|0)+36>>2]&1023](k)|0;else p=Lbc(b[j>>0]|0)|0;if(Jcc(p,Kbc()|0)|0){f[c>>2]=0;q=1;break}else{q=(f[c>>2]|0)==0;break}}else q=1;while(0);do if(l|0){k=f[l+12>>2]|0;if((k|0)==(f[l+16>>2]|0))r=ci[f[(f[l>>2]|0)+36>>2]&1023](l)|0;else r=Lbc(b[k>>0]|0)|0;if(!(Jcc(r,Kbc()|0)|0))if(q)break a;else{n=2;m=38;break a}else{f[d>>2]=0;break}}while(0);if(q){n=2;m=38}}else{n=4;m=38}}while(0);if((m|0)==38)f[e>>2]=f[e>>2]|n;return}function Kgc(a,c,e,g,h){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;i=f[a>>2]|0;do if(i){j=f[i+12>>2]|0;if((j|0)==(f[i+16>>2]|0))k=ci[f[(f[i>>2]|0)+36>>2]&1023](i)|0;else k=Lbc(b[j>>0]|0)|0;if(Jcc(k,Kbc()|0)|0){f[a>>2]=0;l=1;break}else{l=(f[a>>2]|0)==0;break}}else l=1;while(0);k=f[c>>2]|0;do if(k){i=f[k+12>>2]|0;if((i|0)==(f[k+16>>2]|0))m=ci[f[(f[k>>2]|0)+36>>2]&1023](k)|0;else m=Lbc(b[i>>0]|0)|0;if(!(Jcc(m,Kbc()|0)|0))if(l){n=k;o=17;break}else{o=16;break}else{f[c>>2]=0;o=14;break}}else o=14;while(0);if((o|0)==14)if(l)o=16;else{n=0;o=17}a:do if((o|0)==16){f[e>>2]=f[e>>2]|6;p=0}else if((o|0)==17){l=f[a>>2]|0;k=f[l+12>>2]|0;if((k|0)==(f[l+16>>2]|0))q=ci[f[(f[l>>2]|0)+36>>2]&1023](l)|0;else q=Lbc(b[k>>0]|0)|0;k=q&255;if(k<<24>>24>-1?(l=g+8|0,d[(f[l>>2]|0)+(q<<24>>24<<1)>>1]&2048):0){m=(ki[f[(f[g>>2]|0)+36>>2]&511](g,k,0)|0)<<24>>24;k=f[a>>2]|0;i=k+12|0;j=f[i>>2]|0;if((j|0)==(f[k+16>>2]|0)){ci[f[(f[k>>2]|0)+40>>2]&1023](k)|0;r=m;s=h;t=n;u=n}else{f[i>>2]=j+1;Lbc(b[j>>0]|0)|0;r=m;s=h;t=n;u=n}while(1){v=r+-48|0;m=s+-1|0;j=f[a>>2]|0;do if(j){i=f[j+12>>2]|0;if((i|0)==(f[j+16>>2]|0))w=ci[f[(f[j>>2]|0)+36>>2]&1023](j)|0;else w=Lbc(b[i>>0]|0)|0;if(Jcc(w,Kbc()|0)|0){f[a>>2]=0;x=1;break}else{x=(f[a>>2]|0)==0;break}}else x=1;while(0);do if(u){j=f[u+12>>2]|0;if((j|0)==(f[u+16>>2]|0))y=ci[f[(f[u>>2]|0)+36>>2]&1023](u)|0;else y=Lbc(b[j>>0]|0)|0;if(Jcc(y,Kbc()|0)|0){f[c>>2]=0;z=0;A=1;B=0;break}else{z=t;A=(t|0)==0;B=t;break}}else{z=t;A=1;B=0}while(0);C=f[a>>2]|0;if(!((s|0)>1&(x^A)))break;j=f[C+12>>2]|0;if((j|0)==(f[C+16>>2]|0))D=ci[f[(f[C>>2]|0)+36>>2]&1023](C)|0;else D=Lbc(b[j>>0]|0)|0;j=D&255;if(j<<24>>24<=-1){p=v;break a}if(!(d[(f[l>>2]|0)+(D<<24>>24<<1)>>1]&2048)){p=v;break a}i=((ki[f[(f[g>>2]|0)+36>>2]&511](g,j,0)|0)<<24>>24)+(v*10|0)|0;j=f[a>>2]|0;k=j+12|0;E=f[k>>2]|0;if((E|0)==(f[j+16>>2]|0)){ci[f[(f[j>>2]|0)+40>>2]&1023](j)|0;r=i;s=m;t=z;u=B;continue}else{f[k>>2]=E+1;Lbc(b[E>>0]|0)|0;r=i;s=m;t=z;u=B;continue}}do if(C){l=f[C+12>>2]|0;if((l|0)==(f[C+16>>2]|0))F=ci[f[(f[C>>2]|0)+36>>2]&1023](C)|0;else F=Lbc(b[l>>0]|0)|0;if(Jcc(F,Kbc()|0)|0){f[a>>2]=0;G=1;break}else{G=(f[a>>2]|0)==0;break}}else G=1;while(0);do if(z){l=f[z+12>>2]|0;if((l|0)==(f[z+16>>2]|0))H=ci[f[(f[z>>2]|0)+36>>2]&1023](z)|0;else H=Lbc(b[l>>0]|0)|0;if(!(Jcc(H,Kbc()|0)|0))if(G){p=v;break a}else break;else{f[c>>2]=0;o=62;break}}else o=62;while(0);if((o|0)==62?!G:0){p=v;break}f[e>>2]=f[e>>2]|2;p=v;break}f[e>>2]=f[e>>2]|4;p=0}while(0);return p|0}function Lgc(a){a=a|0;Vdc(a);return}function Mgc(a){a=a|0;Vdc(a);Emc(a);return}function Ngc(a){a=a|0;return 2}function Ogc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+12|0;j=h+8|0;k=h+4|0;l=h;f[k>>2]=f[b>>2];f[l>>2]=f[c>>2];f[j>>2]=f[k>>2];f[i>>2]=f[l>>2];l=ihc(a,j,i,d,e,g,164036,164068)|0;u=h;return l|0}function Pgc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;i=u;u=u+16|0;j=i+12|0;k=i+8|0;l=i+4|0;m=i;n=a+8|0;o=ci[f[(f[n>>2]|0)+20>>2]&1023](n)|0;f[l>>2]=f[c>>2];f[m>>2]=f[d>>2];d=b[o+8+3>>0]|0;c=d<<24>>24<0;n=c?f[o>>2]|0:o;p=n+((c?f[o+4>>2]|0:d&255)<<2)|0;f[k>>2]=f[l>>2];f[j>>2]=f[m>>2];m=ihc(a,k,j,e,g,h,n,p)|0;u=i;return m|0}function Qgc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=u;u=u+16|0;i=h+4|0;j=h;Kcc(i,d);d=nec(i,893676)|0;oec(i);f[j>>2]=f[c>>2];f[i>>2]=f[j>>2];ghc(a,g+24|0,b,i,e,d);u=h;return f[b>>2]|0}function Rgc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=u;u=u+16|0;i=h+4|0;j=h;Kcc(i,d);d=nec(i,893676)|0;oec(i);f[j>>2]=f[c>>2];f[i>>2]=f[j>>2];hhc(a,g+16|0,b,i,e,d);u=h;return f[b>>2]|0}function Sgc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=u;u=u+16|0;i=h+4|0;j=h;Kcc(i,d);d=nec(i,893676)|0;oec(i);f[j>>2]=f[c>>2];f[i>>2]=f[j>>2];thc(a,g+20|0,b,i,e,d);u=h;return f[b>>2]|0}function Tgc(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;j=u;u=u+144|0;k=j+128|0;l=j+112|0;m=j+124|0;n=j+120|0;o=j+116|0;p=j+108|0;q=j+104|0;r=j+100|0;s=j+96|0;t=j+92|0;v=j+88|0;w=j+84|0;x=j+80|0;y=j+76|0;z=j+72|0;A=j+68|0;B=j+64|0;C=j+60|0;D=j+56|0;E=j+52|0;F=j+48|0;G=j+44|0;H=j+40|0;I=j+36|0;J=j+32|0;K=j+28|0;L=j+24|0;M=j+20|0;N=j+16|0;O=j+12|0;P=j+8|0;Q=j+4|0;R=j;f[g>>2]=0;Kcc(k,e);S=nec(k,893676)|0;oec(k);T=h+8|0;U=h+20|0;V=h+16|0;W=h+24|0;X=a+8|0;do switch(i<<24>>24|0){case 65:case 97:{f[m>>2]=f[d>>2];f[k>>2]=f[m>>2];ghc(a,W,c,k,g,S);Y=26;break}case 104:case 66:case 98:{f[n>>2]=f[d>>2];f[k>>2]=f[n>>2];hhc(a,V,c,k,g,S);Y=26;break}case 99:{Z=ci[f[(f[X>>2]|0)+12>>2]&1023](X)|0;f[o>>2]=f[c>>2];f[p>>2]=f[d>>2];_=b[Z+8+3>>0]|0;$=_<<24>>24<0;aa=$?f[Z>>2]|0:Z;ba=aa+(($?f[Z+4>>2]|0:_&255)<<2)|0;f[l>>2]=f[o>>2];f[k>>2]=f[p>>2];_=ihc(a,l,k,e,g,h,aa,ba)|0;f[c>>2]=_;Y=26;break}case 101:case 100:{f[q>>2]=f[d>>2];f[k>>2]=f[q>>2];jhc(a,h+12|0,c,k,g,S);Y=26;break}case 68:{f[r>>2]=f[c>>2];f[s>>2]=f[d>>2];f[l>>2]=f[r>>2];f[k>>2]=f[s>>2];_=ihc(a,l,k,e,g,h,163876,163908)|0;f[c>>2]=_;Y=26;break}case 70:{f[t>>2]=f[c>>2];f[v>>2]=f[d>>2];f[l>>2]=f[t>>2];f[k>>2]=f[v>>2];_=ihc(a,l,k,e,g,h,163908,163940)|0;f[c>>2]=_;Y=26;break}case 72:{f[w>>2]=f[d>>2];f[k>>2]=f[w>>2];khc(a,T,c,k,g,S);Y=26;break}case 73:{f[x>>2]=f[d>>2];f[k>>2]=f[x>>2];lhc(a,T,c,k,g,S);Y=26;break}case 106:{f[y>>2]=f[d>>2];f[k>>2]=f[y>>2];mhc(a,h+28|0,c,k,g,S);Y=26;break}case 109:{f[z>>2]=f[d>>2];f[k>>2]=f[z>>2];nhc(a,V,c,k,g,S);Y=26;break}case 77:{f[A>>2]=f[d>>2];f[k>>2]=f[A>>2];ohc(a,h+4|0,c,k,g,S);Y=26;break}case 116:case 110:{f[B>>2]=f[d>>2];f[k>>2]=f[B>>2];phc(a,c,k,g,S);Y=26;break}case 112:{f[C>>2]=f[d>>2];f[k>>2]=f[C>>2];qhc(a,T,c,k,g,S);Y=26;break}case 114:{f[D>>2]=f[c>>2];f[E>>2]=f[d>>2];f[l>>2]=f[D>>2];f[k>>2]=f[E>>2];_=ihc(a,l,k,e,g,h,163940,163984)|0;f[c>>2]=_;Y=26;break}case 82:{f[F>>2]=f[c>>2];f[G>>2]=f[d>>2];f[l>>2]=f[F>>2];f[k>>2]=f[G>>2];_=ihc(a,l,k,e,g,h,163984,164004)|0;f[c>>2]=_;Y=26;break}case 83:{f[H>>2]=f[d>>2];f[k>>2]=f[H>>2];rhc(a,h,c,k,g,S);Y=26;break}case 84:{f[I>>2]=f[c>>2];f[J>>2]=f[d>>2];f[l>>2]=f[I>>2];f[k>>2]=f[J>>2];_=ihc(a,l,k,e,g,h,164004,164036)|0;f[c>>2]=_;Y=26;break}case 119:{f[K>>2]=f[d>>2];f[k>>2]=f[K>>2];shc(a,W,c,k,g,S);Y=26;break}case 120:{_=f[(f[a>>2]|0)+20>>2]|0;f[L>>2]=f[c>>2];f[M>>2]=f[d>>2];f[l>>2]=f[L>>2];f[k>>2]=f[M>>2];ca=Vf[_&127](a,l,k,e,g,h)|0;break}case 88:{_=ci[f[(f[X>>2]|0)+24>>2]&1023](X)|0;f[N>>2]=f[c>>2];f[O>>2]=f[d>>2];ba=b[_+8+3>>0]|0;aa=ba<<24>>24<0;Z=aa?f[_>>2]|0:_;$=Z+((aa?f[_+4>>2]|0:ba&255)<<2)|0;f[l>>2]=f[N>>2];f[k>>2]=f[O>>2];ba=ihc(a,l,k,e,g,h,Z,$)|0;f[c>>2]=ba;Y=26;break}case 121:{f[P>>2]=f[d>>2];f[k>>2]=f[P>>2];thc(a,U,c,k,g,S);Y=26;break}case 89:{f[Q>>2]=f[d>>2];f[k>>2]=f[Q>>2];uhc(a,U,c,k,g,S);Y=26;break}case 37:{f[R>>2]=f[d>>2];f[k>>2]=f[R>>2];vhc(a,c,k,g,S);Y=26;break}default:{f[g>>2]=f[g>>2]|4;Y=26}}while(0);if((Y|0)==26)ca=f[c>>2]|0;u=j;return ca|0}function Ugc(a){a=a|0;if((b[537296]|0)==0?src(537296)|0:0){ehc();f[223832]=895160}return f[223832]|0}function Vgc(a){a=a|0;if((b[537280]|0)==0?src(537280)|0:0){chc();f[223789]=894868}return f[223789]|0}function Wgc(a){a=a|0;if((b[537264]|0)==0?src(537264)|0:0){ahc();f[223716]=894576}return f[223716]|0}function Xgc(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((b[537256]|0)==0?src(537256)|0:0){f[223641]=0;f[223642]=0;f[223643]=0;d=$gc(162908)|0;if(d>>>0>1073741807)Lmc(894564);do if(d>>>0>=2){e=d+4&-4;if(e>>>0>1073741823)Qe();else{g=Bmc(e<<2)|0;f[223641]=g;f[223643]=e|-2147483648;f[223642]=d;h=g;break}}else{b[894575]=d;h=894564}while(0);ccc(h,162908,d)|0;f[c>>2]=0;$dc(h+(d<<2)|0,c);Ad(1693,894564,x|0)|0}u=a;return 894564}function Ygc(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((b[537248]|0)==0?src(537248)|0:0){f[223638]=0;f[223639]=0;f[223640]=0;d=$gc(162860)|0;if(d>>>0>1073741807)Lmc(894552);do if(d>>>0>=2){e=d+4&-4;if(e>>>0>1073741823)Qe();else{g=Bmc(e<<2)|0;f[223638]=g;f[223640]=e|-2147483648;f[223639]=d;h=g;break}}else{b[894563]=d;h=894552}while(0);ccc(h,162860,d)|0;f[c>>2]=0;$dc(h+(d<<2)|0,c);Ad(1693,894552,x|0)|0}u=a;return 894552}function Zgc(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((b[537240]|0)==0?src(537240)|0:0){f[223635]=0;f[223636]=0;f[223637]=0;d=$gc(162824)|0;if(d>>>0>1073741807)Lmc(894540);do if(d>>>0>=2){e=d+4&-4;if(e>>>0>1073741823)Qe();else{g=Bmc(e<<2)|0;f[223635]=g;f[223637]=e|-2147483648;f[223636]=d;h=g;break}}else{b[894551]=d;h=894540}while(0);ccc(h,162824,d)|0;f[c>>2]=0;$dc(h+(d<<2)|0,c);Ad(1693,894540,x|0)|0}u=a;return 894540}function _gc(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((b[537232]|0)==0?src(537232)|0:0){f[223632]=0;f[223633]=0;f[223634]=0;d=$gc(162788)|0;if(d>>>0>1073741807)Lmc(894528);do if(d>>>0>=2){e=d+4&-4;if(e>>>0>1073741823)Qe();else{g=Bmc(e<<2)|0;f[223632]=g;f[223634]=e|-2147483648;f[223633]=d;h=g;break}}else{b[894539]=d;h=894528}while(0);ccc(h,162788,d)|0;f[c>>2]=0;$dc(h+(d<<2)|0,c);Ad(1693,894528,x|0)|0}u=a;return 894528}function $gc(a){a=a|0;return Q8b(a)|0}function ahc(){var a=0,c=0;if((b[537272]|0)==0?src(537272)|0:0){a=894576;do{f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;c=0;while(1){if((c|0)==3)break;f[a+(c<<2)>>2]=0;c=c+1|0}a=a+12|0}while((a|0)!=894864);Ad(1694,0,x|0)|0}qnc(894576,162992)|0;qnc(894588,163004)|0;return}function bhc(a){a=a|0;a=894864;do{a=a+-12|0;lnc(a)}while((a|0)!=894576);return}function chc(){var a=0,c=0;if((b[537288]|0)==0?src(537288)|0:0){a=894868;do{f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;c=0;while(1){if((c|0)==3)break;f[a+(c<<2)>>2]=0;c=c+1|0}a=a+12|0}while((a|0)!=895156);Ad(1695,0,x|0)|0}qnc(894868,163016)|0;qnc(894880,163048)|0;qnc(894892,163084)|0;qnc(894904,163108)|0;qnc(894916,163132)|0;qnc(894928,163148)|0;qnc(894940,163168)|0;qnc(894952,163188)|0;qnc(894964,163216)|0;qnc(894976,163256)|0;qnc(894988,163288)|0;qnc(895e3,163324)|0;qnc(895012,163360)|0;qnc(895024,163376)|0;qnc(895036,163392)|0;qnc(895048,163408)|0;qnc(895060,163132)|0;qnc(895072,163424)|0;qnc(895084,163440)|0;qnc(895096,163456)|0;qnc(895108,163472)|0;qnc(895120,163488)|0;qnc(895132,163504)|0;qnc(895144,163520)|0;return}function dhc(a){a=a|0;a=895156;do{a=a+-12|0;lnc(a)}while((a|0)!=894868);return}function ehc(){var a=0,c=0;if((b[537304]|0)==0?src(537304)|0:0){a=895160;do{f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;c=0;while(1){if((c|0)==3)break;f[a+(c<<2)>>2]=0;c=c+1|0}a=a+12|0}while((a|0)!=895328);Ad(1696,0,x|0)|0}qnc(895160,163536)|0;qnc(895172,163564)|0;qnc(895184,163592)|0;qnc(895196,163624)|0;qnc(895208,163664)|0;qnc(895220,163700)|0;qnc(895232,163728)|0;qnc(895244,163764)|0;qnc(895256,163780)|0;qnc(895268,163796)|0;qnc(895280,163812)|0;qnc(895292,163828)|0;qnc(895304,163844)|0;qnc(895316,163860)|0;return}function fhc(a){a=a|0;a=895328;do{a=a+-12|0;lnc(a)}while((a|0)!=895160);return}function ghc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+16|0;i=h+4|0;j=h;k=a+8|0;a=ci[f[f[k>>2]>>2]&1023](k)|0;f[j>>2]=f[d>>2];f[i>>2]=f[j>>2];j=(ufc(c,i,a,a+168|0,g,e,0)|0)-a|0;if((j|0)<168)f[b>>2]=((j|0)/12|0|0)%7|0;u=h;return}function hhc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+16|0;i=h+4|0;j=h;k=a+8|0;a=ci[f[(f[k>>2]|0)+4>>2]&1023](k)|0;f[j>>2]=f[d>>2];f[i>>2]=f[j>>2];j=(ufc(c,i,a,a+288|0,g,e,0)|0)-a|0;if((j|0)<288)f[b>>2]=((j|0)/12|0|0)%12|0;u=h;return}function ihc(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;j=u;u=u+16|0;k=j+12|0;l=j+8|0;m=j+4|0;n=j;Kcc(k,d);o=nec(k,893676)|0;oec(k);f[e>>2]=0;p=h;h=0;a:while(1){q=(p|0)!=(i|0);r=h;while(1){s=f[b>>2]|0;if(!(q&(r|0)==0)){t=s;break a}v=s;if(s){w=f[s+12>>2]|0;if((w|0)==(f[s+16>>2]|0))x=ci[f[(f[s>>2]|0)+36>>2]&1023](s)|0;else x=bcc(f[w>>2]|0)|0;if(Lcc(x,acc()|0)|0){f[b>>2]=0;y=0;z=1;A=0}else{y=s;z=0;A=v}}else{y=0;z=1;A=v}v=f[c>>2]|0;s=v;do if(v){w=f[v+12>>2]|0;if((w|0)==(f[v+16>>2]|0))B=ci[f[(f[v>>2]|0)+36>>2]&1023](v)|0;else B=bcc(f[w>>2]|0)|0;if(!(Lcc(B,acc()|0)|0))if(z){C=v;D=s;break}else{E=58;break a}else{f[c>>2]=0;F=0;E=16;break}}else{F=s;E=16}while(0);if((E|0)==16){E=0;if(z){E=58;break a}else{C=0;D=F}}if((ki[f[(f[o>>2]|0)+52>>2]&511](o,f[p>>2]|0,0)|0)<<24>>24==37){E=19;break}if(ki[f[(f[o>>2]|0)+12>>2]&511](o,8192,f[p>>2]|0)|0){G=p;E=26;break}H=y+12|0;s=f[H>>2]|0;I=y+16|0;if((s|0)==(f[I>>2]|0))J=ci[f[(f[y>>2]|0)+36>>2]&1023](y)|0;else J=bcc(f[s>>2]|0)|0;s=Sh[f[(f[o>>2]|0)+28>>2]&511](o,J)|0;if((s|0)==(Sh[f[(f[o>>2]|0)+28>>2]&511](o,f[p>>2]|0)|0)){E=54;break}f[e>>2]=4;r=4}b:do if((E|0)==19){E=0;r=p+4|0;if((r|0)==(i|0)){E=58;break a}q=ki[f[(f[o>>2]|0)+52>>2]&511](o,f[r>>2]|0,0)|0;switch(q<<24>>24){case 48:case 69:{s=p+8|0;if((s|0)==(i|0)){E=58;break a}K=q;L=ki[f[(f[o>>2]|0)+52>>2]&511](o,f[s>>2]|0,0)|0;M=r;break}default:{K=0;L=q;M=p}}q=f[(f[a>>2]|0)+36>>2]|0;f[m>>2]=A;f[n>>2]=D;f[l>>2]=f[m>>2];f[k>>2]=f[n>>2];r=Ei[q&15](a,l,k,d,e,g,L,K)|0;f[b>>2]=r;N=M+8|0}else if((E|0)==26){while(1){E=0;r=G+4|0;if((r|0)==(i|0)){O=i;break}if(ki[f[(f[o>>2]|0)+12>>2]&511](o,8192,f[r>>2]|0)|0){G=r;E=26}else{O=r;break}}r=y;q=C;s=C;while(1){if(r){v=f[r+12>>2]|0;if((v|0)==(f[r+16>>2]|0))P=ci[f[(f[r>>2]|0)+36>>2]&1023](r)|0;else P=bcc(f[v>>2]|0)|0;if(Lcc(P,acc()|0)|0){f[b>>2]=0;Q=1;R=0}else{Q=0;R=r}}else{Q=1;R=0}do if(s){v=f[s+12>>2]|0;if((v|0)==(f[s+16>>2]|0))S=ci[f[(f[s>>2]|0)+36>>2]&1023](s)|0;else S=bcc(f[v>>2]|0)|0;if(!(Lcc(S,acc()|0)|0))if(Q^(q|0)==0){T=q;U=q;break}else{N=O;break b}else{f[c>>2]=0;V=0;E=41;break}}else{V=q;E=41}while(0);if((E|0)==41){E=0;if(Q){N=O;break b}else{T=V;U=0}}v=R+12|0;w=f[v>>2]|0;W=R+16|0;if((w|0)==(f[W>>2]|0))X=ci[f[(f[R>>2]|0)+36>>2]&1023](R)|0;else X=bcc(f[w>>2]|0)|0;if(!(ki[f[(f[o>>2]|0)+12>>2]&511](o,8192,X)|0)){N=O;break b}w=f[v>>2]|0;if((w|0)==(f[W>>2]|0)){ci[f[(f[R>>2]|0)+40>>2]&1023](R)|0;r=R;q=T;s=U;continue}else{f[v>>2]=w+4;bcc(f[w>>2]|0)|0;r=R;q=T;s=U;continue}}}else if((E|0)==54){E=0;s=p+4|0;q=f[H>>2]|0;if((q|0)==(f[I>>2]|0)){ci[f[(f[y>>2]|0)+40>>2]&1023](y)|0;N=s;break}else{f[H>>2]=q+4;bcc(f[q>>2]|0)|0;N=s;break}}while(0);p=N;h=f[e>>2]|0}if((E|0)==58){f[e>>2]=4;t=y}if(t){y=f[t+12>>2]|0;if((y|0)==(f[t+16>>2]|0))Y=ci[f[(f[t>>2]|0)+36>>2]&1023](t)|0;else Y=bcc(f[y>>2]|0)|0;if(Lcc(Y,acc()|0)|0){f[b>>2]=0;Z=0;_=1}else{Z=t;_=0}}else{Z=0;_=1}t=f[c>>2]|0;do if(t){b=f[t+12>>2]|0;if((b|0)==(f[t+16>>2]|0))$=ci[f[(f[t>>2]|0)+36>>2]&1023](t)|0;else $=bcc(f[b>>2]|0)|0;if(!(Lcc($,acc()|0)|0))if(_)break;else{E=73;break}else{f[c>>2]=0;E=71;break}}else E=71;while(0);if((E|0)==71?_:0)E=73;if((E|0)==73)f[e>>2]=f[e>>2]|2;u=j;return Z|0}function jhc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=whc(c,h,e,g,2)|0;g=f[e>>2]|0;if((i+-1|0)>>>0<31&(g&4|0)==0)f[b>>2]=i;else f[e>>2]=g|4;u=a;return}function khc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=whc(c,h,e,g,2)|0;g=f[e>>2]|0;if((i|0)<24&(g&4|0)==0)f[b>>2]=i;else f[e>>2]=g|4;u=a;return}function lhc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=whc(c,h,e,g,2)|0;g=f[e>>2]|0;if((i+-1|0)>>>0<12&(g&4|0)==0)f[b>>2]=i;else f[e>>2]=g|4;u=a;return}function mhc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=whc(c,h,e,g,3)|0;g=f[e>>2]|0;if((i|0)<366&(g&4|0)==0)f[b>>2]=i;else f[e>>2]=g|4;u=a;return}function nhc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=whc(c,h,e,g,2)|0;g=f[e>>2]|0;if((i|0)<13&(g&4|0)==0)f[b>>2]=i+-1;else f[e>>2]=g|4;u=a;return}function ohc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=whc(c,h,e,g,2)|0;g=f[e>>2]|0;if((i|0)<60&(g&4|0)==0)f[b>>2]=i;else f[e>>2]=g|4;u=a;return}function phc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;a:while(1){a=f[b>>2]|0;do if(a){g=f[a+12>>2]|0;if((g|0)==(f[a+16>>2]|0))h=ci[f[(f[a>>2]|0)+36>>2]&1023](a)|0;else h=bcc(f[g>>2]|0)|0;if(Lcc(h,acc()|0)|0){f[b>>2]=0;i=1;break}else{i=(f[b>>2]|0)==0;break}}else i=1;while(0);a=f[c>>2]|0;do if(a){g=f[a+12>>2]|0;if((g|0)==(f[a+16>>2]|0))j=ci[f[(f[a>>2]|0)+36>>2]&1023](a)|0;else j=bcc(f[g>>2]|0)|0;if(!(Lcc(j,acc()|0)|0))if(i){k=a;break}else{l=a;break a}else{f[c>>2]=0;m=15;break}}else m=15;while(0);if((m|0)==15){m=0;if(i){l=0;break}else k=0}a=f[b>>2]|0;g=f[a+12>>2]|0;if((g|0)==(f[a+16>>2]|0))n=ci[f[(f[a>>2]|0)+36>>2]&1023](a)|0;else n=bcc(f[g>>2]|0)|0;if(!(ki[f[(f[e>>2]|0)+12>>2]&511](e,8192,n)|0)){l=k;break}g=f[b>>2]|0;a=g+12|0;o=f[a>>2]|0;if((o|0)==(f[g+16>>2]|0)){ci[f[(f[g>>2]|0)+40>>2]&1023](g)|0;continue}else{f[a>>2]=o+4;bcc(f[o>>2]|0)|0;continue}}k=f[b>>2]|0;do if(k){n=f[k+12>>2]|0;if((n|0)==(f[k+16>>2]|0))p=ci[f[(f[k>>2]|0)+36>>2]&1023](k)|0;else p=bcc(f[n>>2]|0)|0;if(Lcc(p,acc()|0)|0){f[b>>2]=0;q=1;break}else{q=(f[b>>2]|0)==0;break}}else q=1;while(0);do if(l){b=f[l+12>>2]|0;if((b|0)==(f[l+16>>2]|0))r=ci[f[(f[l>>2]|0)+36>>2]&1023](l)|0;else r=bcc(f[b>>2]|0)|0;if(!(Lcc(r,acc()|0)|0))if(q)break;else{m=39;break}else{f[c>>2]=0;m=37;break}}else m=37;while(0);if((m|0)==37?q:0)m=39;if((m|0)==39)f[d>>2]=f[d>>2]|2;return}function qhc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0;i=u;u=u+16|0;j=i+4|0;k=i;l=a+8|0;a=ci[f[(f[l>>2]|0)+8>>2]&1023](l)|0;l=b[a+8+3>>0]|0;if(l<<24>>24<0)m=f[a+4>>2]|0;else m=l&255;l=b[a+20+3>>0]|0;if(l<<24>>24<0)n=f[a+16>>2]|0;else n=l&255;do if((m|0)!=(0-n|0)){f[k>>2]=f[e>>2];f[j>>2]=f[k>>2];l=(ufc(d,j,a,a+24|0,h,g,0)|0)-a|0;o=f[c>>2]|0;if((o|0)==12&(l|0)==0){f[c>>2]=0;break}if((o|0)<12&(l|0)==12)f[c>>2]=o+12}else f[g>>2]=f[g>>2]|4;while(0);u=i;return}function rhc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=whc(c,h,e,g,2)|0;g=f[e>>2]|0;if((i|0)<61&(g&4|0)==0)f[b>>2]=i;else f[e>>2]=g|4;u=a;return}function shc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=whc(c,h,e,g,1)|0;g=f[e>>2]|0;if((i|0)<7&(g&4|0)==0)f[b>>2]=i;else f[e>>2]=g|4;u=a;return}function thc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=whc(c,h,e,g,4)|0;if(!(f[e>>2]&4)){if((i|0)<69)j=i+2e3|0;else j=(i|0)<100?i+1900|0:i;f[b>>2]=j+-1900}u=a;return}function uhc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=u;u=u+16|0;h=a+4|0;i=a;f[i>>2]=f[d>>2];f[h>>2]=f[i>>2];i=whc(c,h,e,g,4)|0;if(!(f[e>>2]&4))f[b>>2]=i+-1900;u=a;return}function vhc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;a=f[b>>2]|0;do if(a){g=f[a+12>>2]|0;if((g|0)==(f[a+16>>2]|0))h=ci[f[(f[a>>2]|0)+36>>2]&1023](a)|0;else h=bcc(f[g>>2]|0)|0;if(Lcc(h,acc()|0)|0){f[b>>2]=0;i=1;break}else{i=(f[b>>2]|0)==0;break}}else i=1;while(0);h=f[c>>2]|0;do if(h){a=f[h+12>>2]|0;if((a|0)==(f[h+16>>2]|0))j=ci[f[(f[h>>2]|0)+36>>2]&1023](h)|0;else j=bcc(f[a>>2]|0)|0;if(!(Lcc(j,acc()|0)|0))if(i){k=h;l=16;break}else{m=6;l=38;break}else{f[c>>2]=0;l=14;break}}else l=14;while(0);if((l|0)==14)if(i){m=6;l=38}else{k=0;l=16}a:do if((l|0)==16){i=f[b>>2]|0;h=f[i+12>>2]|0;if((h|0)==(f[i+16>>2]|0))n=ci[f[(f[i>>2]|0)+36>>2]&1023](i)|0;else n=bcc(f[h>>2]|0)|0;if((ki[f[(f[e>>2]|0)+52>>2]&511](e,n,0)|0)<<24>>24==37){h=f[b>>2]|0;i=h+12|0;j=f[i>>2]|0;if((j|0)==(f[h+16>>2]|0))ci[f[(f[h>>2]|0)+40>>2]&1023](h)|0;else{f[i>>2]=j+4;bcc(f[j>>2]|0)|0}j=f[b>>2]|0;do if(j){i=f[j+12>>2]|0;if((i|0)==(f[j+16>>2]|0))o=ci[f[(f[j>>2]|0)+36>>2]&1023](j)|0;else o=bcc(f[i>>2]|0)|0;if(Lcc(o,acc()|0)|0){f[b>>2]=0;p=1;break}else{p=(f[b>>2]|0)==0;break}}else p=1;while(0);do if(k|0){j=f[k+12>>2]|0;if((j|0)==(f[k+16>>2]|0))q=ci[f[(f[k>>2]|0)+36>>2]&1023](k)|0;else q=bcc(f[j>>2]|0)|0;if(!(Lcc(q,acc()|0)|0))if(p)break a;else{m=2;l=38;break a}else{f[c>>2]=0;break}}while(0);if(p){m=2;l=38}}else{m=4;l=38}}while(0);if((l|0)==38)f[d>>2]=f[d>>2]|m;return}function whc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;g=f[a>>2]|0;do if(g){h=f[g+12>>2]|0;if((h|0)==(f[g+16>>2]|0))i=ci[f[(f[g>>2]|0)+36>>2]&1023](g)|0;else i=bcc(f[h>>2]|0)|0;if(Lcc(i,acc()|0)|0){f[a>>2]=0;j=1;break}else{j=(f[a>>2]|0)==0;break}}else j=1;while(0);i=f[b>>2]|0;do if(i){g=f[i+12>>2]|0;if((g|0)==(f[i+16>>2]|0))k=ci[f[(f[i>>2]|0)+36>>2]&1023](i)|0;else k=bcc(f[g>>2]|0)|0;if(!(Lcc(k,acc()|0)|0))if(j){l=i;m=17;break}else{m=16;break}else{f[b>>2]=0;m=14;break}}else m=14;while(0);if((m|0)==14)if(j)m=16;else{l=0;m=17}a:do if((m|0)==16){f[c>>2]=f[c>>2]|6;n=0}else if((m|0)==17){j=f[a>>2]|0;i=f[j+12>>2]|0;if((i|0)==(f[j+16>>2]|0))o=ci[f[(f[j>>2]|0)+36>>2]&1023](j)|0;else o=bcc(f[i>>2]|0)|0;if(!(ki[f[(f[d>>2]|0)+12>>2]&511](d,2048,o)|0)){f[c>>2]=f[c>>2]|4;n=0;break}i=(ki[f[(f[d>>2]|0)+52>>2]&511](d,o,0)|0)<<24>>24;j=f[a>>2]|0;k=j+12|0;g=f[k>>2]|0;if((g|0)==(f[j+16>>2]|0)){ci[f[(f[j>>2]|0)+40>>2]&1023](j)|0;p=i;q=e;r=l;s=l}else{f[k>>2]=g+4;bcc(f[g>>2]|0)|0;p=i;q=e;r=l;s=l}while(1){t=p+-48|0;i=q+-1|0;g=f[a>>2]|0;do if(g){k=f[g+12>>2]|0;if((k|0)==(f[g+16>>2]|0))u=ci[f[(f[g>>2]|0)+36>>2]&1023](g)|0;else u=bcc(f[k>>2]|0)|0;if(Lcc(u,acc()|0)|0){f[a>>2]=0;v=1;break}else{v=(f[a>>2]|0)==0;break}}else v=1;while(0);do if(s){g=f[s+12>>2]|0;if((g|0)==(f[s+16>>2]|0))w=ci[f[(f[s>>2]|0)+36>>2]&1023](s)|0;else w=bcc(f[g>>2]|0)|0;if(Lcc(w,acc()|0)|0){f[b>>2]=0;x=0;y=1;z=0;break}else{x=r;y=(r|0)==0;z=r;break}}else{x=r;y=1;z=0}while(0);A=f[a>>2]|0;if(!((q|0)>1&(v^y)))break;g=f[A+12>>2]|0;if((g|0)==(f[A+16>>2]|0))B=ci[f[(f[A>>2]|0)+36>>2]&1023](A)|0;else B=bcc(f[g>>2]|0)|0;if(!(ki[f[(f[d>>2]|0)+12>>2]&511](d,2048,B)|0)){n=t;break a}g=((ki[f[(f[d>>2]|0)+52>>2]&511](d,B,0)|0)<<24>>24)+(t*10|0)|0;k=f[a>>2]|0;j=k+12|0;h=f[j>>2]|0;if((h|0)==(f[k+16>>2]|0)){ci[f[(f[k>>2]|0)+40>>2]&1023](k)|0;p=g;q=i;r=x;s=z;continue}else{f[j>>2]=h+4;bcc(f[h>>2]|0)|0;p=g;q=i;r=x;s=z;continue}}do if(A){g=f[A+12>>2]|0;if((g|0)==(f[A+16>>2]|0))C=ci[f[(f[A>>2]|0)+36>>2]&1023](A)|0;else C=bcc(f[g>>2]|0)|0;if(Lcc(C,acc()|0)|0){f[a>>2]=0;D=1;break}else{D=(f[a>>2]|0)==0;break}}else D=1;while(0);do if(x){g=f[x+12>>2]|0;if((g|0)==(f[x+16>>2]|0))E=ci[f[(f[x>>2]|0)+36>>2]&1023](x)|0;else E=bcc(f[g>>2]|0)|0;if(!(Lcc(E,acc()|0)|0))if(D){n=t;break a}else break;else{f[b>>2]=0;m=60;break}}else m=60;while(0);if((m|0)==60?!D:0){n=t;break}f[c>>2]=f[c>>2]|2;n=t}while(0);return n|0}function xhc(a){a=a|0;Chc(a+8|0);Vdc(a);return}function yhc(a){a=a|0;Chc(a+8|0);Vdc(a);Emc(a);return}function zhc(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0;e=u;u=u+112|0;d=e+4|0;j=e;f[j>>2]=d+100;Ahc(a+8|0,d,j,g,h,i);i=f[j>>2]|0;j=d;d=f[c>>2]|0;while(1){if((j|0)==(i|0))break;c=b[j>>0]|0;if(!d)k=0;else{h=d+24|0;g=f[h>>2]|0;if((g|0)==(f[d+28>>2]|0)){a=f[(f[d>>2]|0)+52>>2]|0;l=Lbc(c)|0;m=Sh[a&511](d,l)|0}else{f[h>>2]=g+1;b[g>>0]=c;m=Lbc(c)|0}c=Jcc(m,Kbc()|0)|0;k=c?0:d}j=j+1|0;d=k}u=e;return d|0}function Ahc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0;i=u;u=u+16|0;j=i;b[j>>0]=37;k=j+1|0;b[k>>0]=g;l=j+2|0;b[l>>0]=h;b[j+3>>0]=0;if(h<<24>>24){b[k>>0]=h;b[l>>0]=g}g=Bhc(c,f[d>>2]|0)|0;l=c+(mf(c|0,g|0,j|0,e|0,f[a>>2]|0)|0)|0;f[d>>2]=l;u=i;return}function Bhc(a,b){a=a|0;b=b|0;return b-a|0}function Chc(a){a=a|0;var b=0;b=f[a>>2]|0;if((b|0)!=(qec()|0))u9b(f[a>>2]|0);return}function Dhc(a){a=a|0;Chc(a+8|0);Vdc(a);return}function Ehc(a){a=a|0;Chc(a+8|0);Vdc(a);Emc(a);return}function Fhc(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0;d=u;u=u+416|0;c=d+8|0;i=d;f[i>>2]=c+400;Ghc(a+8|0,c,i,e,g,h);h=f[i>>2]|0;i=c;c=f[b>>2]|0;while(1){if((i|0)==(h|0))break;b=f[i>>2]|0;if(!c)j=0;else{g=c+24|0;e=f[g>>2]|0;if((e|0)==(f[c+28>>2]|0)){a=f[(f[c>>2]|0)+52>>2]|0;k=bcc(b)|0;l=Sh[a&511](c,k)|0}else{f[g>>2]=e+4;f[e>>2]=b;l=bcc(b)|0}b=Lcc(l,acc()|0)|0;j=b?0:c}i=i+4|0;c=j}u=d;return c|0}function Ghc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+128|0;i=h+16|0;j=h+12|0;k=h;l=h+8|0;f[j>>2]=i+100;Ahc(a,i,j,d,e,g);g=k;f[g>>2]=0;f[g+4>>2]=0;f[l>>2]=i;i=Hhc(b,f[c>>2]|0)|0;g=x9b(f[a>>2]|0)|0;a=j9b(b,l,i,k)|0;if(g|0)x9b(g)|0;if((a|0)==-1)Ihc(0);else{f[c>>2]=b+(a<<2);u=h;return}}function Hhc(a,b){a=a|0;b=b|0;return b-a>>2|0}function Ihc(a){a=a|0;Qe()}function Jhc(a){a=a|0;Vdc(a);return}function Khc(a){a=a|0;Vdc(a);Emc(a);return}function Lhc(a){a=a|0;return 127}function Mhc(a){a=a|0;return 127}function Nhc(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;f[a+(b<<2)>>2]=0;b=b+1|0}return}function Ohc(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;f[a+(b<<2)>>2]=0;b=b+1|0}return}function Phc(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;f[a+(b<<2)>>2]=0;b=b+1|0}return}function Qhc(a,c){a=a|0;c=c|0;var d=0;c=u;u=u+16|0;d=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b[a+11>>0]=1;Uhc(a,1,45)|0;b[d>>0]=0;Gcc(a+1|0,d);u=c;return}function Rhc(a){a=a|0;return 0}function Shc(a,c){a=a|0;c=c|0;b[a>>0]=2;b[a+1>>0]=3;b[a+2>>0]=0;b[a+3>>0]=4;return}function Thc(a,c){a=a|0;c=c|0;b[a>>0]=2;b[a+1>>0]=3;b[a+2>>0]=0;b[a+3>>0]=4;return}function Uhc(a,b,c){a=a|0;b=b|0;c=c|0;if(b|0)Drc(a|0,(Lbc(c)|0)&255|0,b|0)|0;return a|0}function Vhc(a){a=a|0;Vdc(a);return}function Whc(a){a=a|0;Vdc(a);Emc(a);return}function Xhc(a){a=a|0;return 127}function Yhc(a){a=a|0;return 127}function Zhc(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;f[a+(b<<2)>>2]=0;b=b+1|0}return}function _hc(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;f[a+(b<<2)>>2]=0;b=b+1|0}return}function $hc(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;f[a+(b<<2)>>2]=0;b=b+1|0}return}function aic(a,c){a=a|0;c=c|0;var d=0;c=u;u=u+16|0;d=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b[a+11>>0]=1;Uhc(a,1,45)|0;b[d>>0]=0;Gcc(a+1|0,d);u=c;return}function bic(a){a=a|0;return 0}function cic(a,c){a=a|0;c=c|0;b[a>>0]=2;b[a+1>>0]=3;b[a+2>>0]=0;b[a+3>>0]=4;return}function dic(a,c){a=a|0;c=c|0;b[a>>0]=2;b[a+1>>0]=3;b[a+2>>0]=0;b[a+3>>0]=4;return}function eic(a){a=a|0;Vdc(a);return}function fic(a){a=a|0;Vdc(a);Emc(a);return}function gic(a){a=a|0;return 2147483647}function hic(a){a=a|0;return 2147483647}function iic(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;f[a+(b<<2)>>2]=0;b=b+1|0}return}function jic(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;f[a+(b<<2)>>2]=0;b=b+1|0}return}function kic(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;f[a+(b<<2)>>2]=0;b=b+1|0}return}function lic(a,c){a=a|0;c=c|0;var d=0;c=u;u=u+16|0;d=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b[a+8+3>>0]=1;Xfc(a,1,45)|0;f[d>>2]=0;$dc(a+4|0,d);u=c;return}function mic(a){a=a|0;return 0}function nic(a,c){a=a|0;c=c|0;b[a>>0]=2;b[a+1>>0]=3;b[a+2>>0]=0;b[a+3>>0]=4;return}function oic(a,c){a=a|0;c=c|0;b[a>>0]=2;b[a+1>>0]=3;b[a+2>>0]=0;b[a+3>>0]=4;return}function pic(a){a=a|0;Vdc(a);return}function qic(a){a=a|0;Vdc(a);Emc(a);return}function ric(a){a=a|0;return 2147483647}function sic(a){a=a|0;return 2147483647}function tic(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;f[a+(b<<2)>>2]=0;b=b+1|0}return}function uic(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;f[a+(b<<2)>>2]=0;b=b+1|0}return}function vic(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;f[a+(b<<2)>>2]=0;b=b+1|0}return}function wic(a,c){a=a|0;c=c|0;var d=0;c=u;u=u+16|0;d=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b[a+8+3>>0]=1;Xfc(a,1,45)|0;f[d>>2]=0;$dc(a+4|0,d);u=c;return}function xic(a){a=a|0;return 0}function yic(a,c){a=a|0;c=c|0;b[a>>0]=2;b[a+1>>0]=3;b[a+2>>0]=0;b[a+3>>0]=4;return}function zic(a,c){a=a|0;c=c|0;b[a>>0]=2;b[a+1>>0]=3;b[a+2>>0]=0;b[a+3>>0]=4;return}function Aic(a){a=a|0;Vdc(a);return}function Bic(a){a=a|0;Vdc(a);Emc(a);return}function Cic(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;a=u;u=u+240|0;j=a+24|0;k=a;l=a+140|0;m=a+16|0;n=a+12|0;o=a+8|0;p=a+136|0;q=a+4|0;r=a+36|0;f[m>>2]=l;s=m+4|0;f[s>>2]=1697;Kcc(o,g);t=nec(o,893644)|0;b[p>>0]=0;f[q>>2]=f[d>>2];v=f[g+4>>2]|0;f[j>>2]=f[q>>2];if(Fic(c,j,e,o,v,h,p,t,m,n,l+100|0)|0){Bg[f[(f[t>>2]|0)+32>>2]&127](t,521696,521706,j)|0;t=f[n>>2]|0;l=f[m>>2]|0;v=t-l|0;e=l;l=t;if((v|0)>98){t=W6b(v+2|0)|0;if(!t)Gmc();else{w=t;x=t}}else{w=r;x=0}if(!(b[p>>0]|0))y=w;else{b[w>>0]=45;y=w+1|0}w=j+10|0;p=j;t=e;e=y;y=l;while(1){if(t>>>0>=y>>>0)break;l=b[t>>0]|0;v=j;while(1){if((v|0)==(w|0)){z=w;break}if((b[v>>0]|0)==l<<24>>24){z=v;break}v=v+1|0}b[e>>0]=b[521696+(z-p)>>0]|0;t=t+1|0;e=e+1|0;y=f[n>>2]|0}b[e>>0]=0;f[k>>2]=i;if((Z8b(r,521707,k)|0)!=1)Ihc(0);if(x|0)X6b(x)}x=f[c>>2]|0;do if(x){k=f[x+12>>2]|0;if((k|0)==(f[x+16>>2]|0))A=ci[f[(f[x>>2]|0)+36>>2]&1023](x)|0;else A=Lbc(b[k>>0]|0)|0;if(Jcc(A,Kbc()|0)|0){f[c>>2]=0;B=1;break}else{B=(f[c>>2]|0)==0;break}}else B=1;while(0);A=f[d>>2]|0;do if(A){x=f[A+12>>2]|0;if((x|0)==(f[A+16>>2]|0))C=ci[f[(f[A>>2]|0)+36>>2]&1023](A)|0;else C=Lbc(b[x>>0]|0)|0;if(!(Jcc(C,Kbc()|0)|0))if(B)break;else{D=34;break}else{f[d>>2]=0;D=32;break}}else D=32;while(0);if((D|0)==32?B:0)D=34;if((D|0)==34)f[h>>2]=f[h>>2]|2;h=f[c>>2]|0;oec(o);o=f[m>>2]|0;f[m>>2]=0;if(o|0)ai[f[s>>2]&2047](o);u=a;return h|0}function Dic(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;a=u;u=u+144|0;j=a+24|0;k=a+32|0;l=a+16|0;m=a+8|0;n=a;o=a+28|0;p=a+4|0;f[l>>2]=k;q=l+4|0;f[q>>2]=1697;Kcc(n,g);r=nec(n,893644)|0;b[o>>0]=0;s=f[d>>2]|0;f[p>>2]=s;t=f[g+4>>2]|0;f[j>>2]=f[p>>2];p=s;if(Fic(c,j,e,n,t,h,o,r,l,m,k+100|0)|0){k=i+11|0;if((b[k>>0]|0)<0){t=f[i>>2]|0;b[j>>0]=0;Gcc(t,j);f[i+4>>2]=0}else{b[j>>0]=0;Gcc(i,j);b[k>>0]=0}if(b[o>>0]|0)bnc(i,Sh[f[(f[r>>2]|0)+28>>2]&511](r,45)|0);o=Sh[f[(f[r>>2]|0)+28>>2]&511](r,48)|0;r=f[m>>2]|0;m=r+-1|0;k=f[l>>2]|0;while(1){if(k>>>0>=m>>>0)break;if((b[k>>0]|0)!=o<<24>>24)break;k=k+1|0}oZ(i,k,r)|0}r=f[c>>2]|0;do if(r){k=f[r+12>>2]|0;if((k|0)==(f[r+16>>2]|0))v=ci[f[(f[r>>2]|0)+36>>2]&1023](r)|0;else v=Lbc(b[k>>0]|0)|0;if(Jcc(v,Kbc()|0)|0){f[c>>2]=0;w=1;break}else{w=(f[c>>2]|0)==0;break}}else w=1;while(0);do if(s){v=f[p+12>>2]|0;if((v|0)==(f[p+16>>2]|0))x=ci[f[(f[s>>2]|0)+36>>2]&1023](p)|0;else x=Lbc(b[v>>0]|0)|0;if(!(Jcc(x,Kbc()|0)|0))if(w)break;else{y=27;break}else{f[d>>2]=0;y=25;break}}else y=25;while(0);if((y|0)==25?w:0)y=27;if((y|0)==27)f[h>>2]=f[h>>2]|2;h=f[c>>2]|0;oec(n);n=f[l>>2]|0;f[l>>2]=0;if(n|0)ai[f[q>>2]&2047](n);u=a;return h|0}function Eic(a){a=a|0;return}function Fic(a,c,e,g,i,j,k,l,m,n,o){a=a|0;c=c|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;var p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0;p=u;u=u+512|0;q=p+88|0;r=p+96|0;s=p+80|0;t=p+72|0;v=p+68|0;w=p+500|0;x=p+497|0;y=p+496|0;z=p+56|0;A=p+44|0;B=p+32|0;C=p+20|0;D=p+8|0;E=p+4|0;F=p;f[q>>2]=o;f[s>>2]=r;o=s+4|0;f[o>>2]=1697;f[t>>2]=r;f[v>>2]=r+400;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;r=0;while(1){if((r|0)==3)break;f[z+(r<<2)>>2]=0;r=r+1|0}f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;r=0;while(1){if((r|0)==3)break;f[A+(r<<2)>>2]=0;r=r+1|0}f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;r=0;while(1){if((r|0)==3)break;f[B+(r<<2)>>2]=0;r=r+1|0}f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;r=0;while(1){if((r|0)==3)break;f[C+(r<<2)>>2]=0;r=r+1|0}f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;r=0;while(1){if((r|0)==3)break;f[D+(r<<2)>>2]=0;r=r+1|0}Gic(e,g,w,x,y,z,A,B,C,E);f[n>>2]=f[m>>2];g=l+8|0;l=B+11|0;e=B+4|0;r=C+11|0;G=C+4|0;H=(i&512|0)!=0;i=A+11|0;I=A+4|0;J=D+11|0;K=D+4|0;L=w+3|0;M=z+11|0;N=z+4|0;O=0;P=0;a:while(1){Q=(O|0)!=0;if(P>>>0>=4){R=234;break}S=f[a>>2]|0;do if(S){T=f[S+12>>2]|0;if((T|0)==(f[S+16>>2]|0))U=ci[f[(f[S>>2]|0)+36>>2]&1023](S)|0;else U=Lbc(b[T>>0]|0)|0;if(Jcc(U,Kbc()|0)|0){f[a>>2]=0;V=1;break}else{V=(f[a>>2]|0)==0;break}}else V=1;while(0);S=f[c>>2]|0;do if(S){T=f[S+12>>2]|0;if((T|0)==(f[S+16>>2]|0))W=ci[f[(f[S>>2]|0)+36>>2]&1023](S)|0;else W=Lbc(b[T>>0]|0)|0;if(!(Jcc(W,Kbc()|0)|0))if(V){X=S;break}else{R=234;break a}else{f[c>>2]=0;R=31;break}}else R=31;while(0);if((R|0)==31){R=0;if(V){R=234;break}else X=0}S=(P|0)!=3;b:do switch(b[w+P>>0]|0){case 1:{if(S){T=f[a>>2]|0;Y=f[T+12>>2]|0;if((Y|0)==(f[T+16>>2]|0))Z=ci[f[(f[T>>2]|0)+36>>2]&1023](T)|0;else Z=Lbc(b[Y>>0]|0)|0;if((Z&255)<<24>>24<=-1){R=44;break a}if(!(d[(f[g>>2]|0)+(Z<<24>>24<<1)>>1]&8192)){R=44;break a}Y=f[a>>2]|0;T=Y+12|0;_=f[T>>2]|0;if((_|0)==(f[Y+16>>2]|0))$=ci[f[(f[Y>>2]|0)+40>>2]&1023](Y)|0;else{f[T>>2]=_+1;$=Lbc(b[_>>0]|0)|0}bnc(D,$&255);aa=X;ba=X;R=46}else ca=O;break}case 0:{if(S){aa=X;ba=X;R=46}else ca=O;break}case 3:{_=b[l>>0]|0;T=_<<24>>24<0?f[e>>2]|0:_&255;_=b[r>>0]|0;Y=_<<24>>24<0?f[G>>2]|0:_&255;if((T|0)==(0-Y|0))ca=O;else{_=(T|0)==0;T=f[a>>2]|0;da=f[T+12>>2]|0;ea=(da|0)==(f[T+16>>2]|0);if(_|(Y|0)==0){if(ea)fa=ci[f[(f[T>>2]|0)+36>>2]&1023](T)|0;else fa=Lbc(b[da>>0]|0)|0;Y=fa&255;if(_){if(Y<<24>>24!=(b[((b[r>>0]|0)<0?f[C>>2]|0:C)>>0]|0)){ca=O;break b}_=f[a>>2]|0;ga=_+12|0;ha=f[ga>>2]|0;if((ha|0)==(f[_+16>>2]|0))ci[f[(f[_>>2]|0)+40>>2]&1023](_)|0;else{f[ga>>2]=ha+1;Lbc(b[ha>>0]|0)|0}b[k>>0]=1;ha=b[r>>0]|0;ca=(ha<<24>>24<0?f[G>>2]|0:ha&255)>>>0>1?C:O;break b}if(Y<<24>>24!=(b[((b[l>>0]|0)<0?f[B>>2]|0:B)>>0]|0)){b[k>>0]=1;ca=O;break b}Y=f[a>>2]|0;ha=Y+12|0;ga=f[ha>>2]|0;if((ga|0)==(f[Y+16>>2]|0))ci[f[(f[Y>>2]|0)+40>>2]&1023](Y)|0;else{f[ha>>2]=ga+1;Lbc(b[ga>>0]|0)|0}ga=b[l>>0]|0;ca=(ga<<24>>24<0?f[e>>2]|0:ga&255)>>>0>1?B:O;break b}if(ea)ia=ci[f[(f[T>>2]|0)+36>>2]&1023](T)|0;else ia=Lbc(b[da>>0]|0)|0;da=f[a>>2]|0;T=da+12|0;ea=f[T>>2]|0;ga=(ea|0)==(f[da+16>>2]|0);if((ia&255)<<24>>24==(b[((b[l>>0]|0)<0?f[B>>2]|0:B)>>0]|0)){if(ga)ci[f[(f[da>>2]|0)+40>>2]&1023](da)|0;else{f[T>>2]=ea+1;Lbc(b[ea>>0]|0)|0}T=b[l>>0]|0;ca=(T<<24>>24<0?f[e>>2]|0:T&255)>>>0>1?B:O;break b}if(ga)ja=ci[f[(f[da>>2]|0)+36>>2]&1023](da)|0;else ja=Lbc(b[ea>>0]|0)|0;if((ja&255)<<24>>24!=(b[((b[r>>0]|0)<0?f[C>>2]|0:C)>>0]|0)){R=103;break a}ea=f[a>>2]|0;da=ea+12|0;ga=f[da>>2]|0;if((ga|0)==(f[ea+16>>2]|0))ci[f[(f[ea>>2]|0)+40>>2]&1023](ea)|0;else{f[da>>2]=ga+1;Lbc(b[ga>>0]|0)|0}b[k>>0]=1;ga=b[r>>0]|0;ca=(ga<<24>>24<0?f[G>>2]|0:ga&255)>>>0>1?C:O}break}case 2:{if(!(P>>>0<2|Q)?!(H|(P|0)==2&(b[L>>0]|0)!=0):0){ca=0;break b}ga=b[i>>0]|0;da=ga<<24>>24<0;ea=f[A>>2]|0;T=da?ea:A;ha=T;c:do if((P|0)!=0?(h[w+(P+-1)>>0]|0)<2:0){Y=T+(da?f[I>>2]|0:ga&255)|0;_=ha;while(1){ka=_;if((ka|0)==(Y|0))break;la=b[ka>>0]|0;if(la<<24>>24<=-1)break;if(!(d[(f[g>>2]|0)+(la<<24>>24<<1)>>1]&8192))break;_=ka+1|0}Y=_-ha|0;ka=b[J>>0]|0;la=ka<<24>>24<0;ma=la?f[K>>2]|0:ka&255;if(Y>>>0<=ma>>>0){ka=(la?f[D>>2]|0:D)+ma|0;ma=T;la=ka+(0-Y)|0;while(1){if((la|0)==(ka|0)){na=X;oa=_;pa=ga;qa=ea;ra=X;break c}if((b[la>>0]|0)!=(b[ma>>0]|0)){na=X;oa=ha;pa=ga;qa=ea;ra=X;break c}ma=ma+1|0;la=la+1|0}}else{na=X;oa=ha;pa=ga;qa=ea;ra=X}}else{na=X;oa=ha;pa=ga;qa=ea;ra=X}while(0);d:while(1){ea=pa<<24>>24<0;ga=(ea?qa:A)+(ea?f[I>>2]|0:pa&255)|0;ea=oa;if((ea|0)==(ga|0)){sa=ga;break}ga=f[a>>2]|0;do if(ga){ha=f[ga+12>>2]|0;if((ha|0)==(f[ga+16>>2]|0))ta=ci[f[(f[ga>>2]|0)+36>>2]&1023](ga)|0;else ta=Lbc(b[ha>>0]|0)|0;if(Jcc(ta,Kbc()|0)|0){f[a>>2]=0;ua=1;break}else{ua=(f[a>>2]|0)==0;break}}else ua=1;while(0);do if(ra){ga=f[ra+12>>2]|0;if((ga|0)==(f[ra+16>>2]|0))va=ci[f[(f[ra>>2]|0)+36>>2]&1023](ra)|0;else va=Lbc(b[ga>>0]|0)|0;if(!(Jcc(va,Kbc()|0)|0))if(ua^(na|0)==0){wa=na;xa=na;break}else{sa=ea;break d}else{f[c>>2]=0;ya=0;R=132;break}}else{ya=na;R=132}while(0);if((R|0)==132){R=0;if(ua){sa=ea;break}else{wa=ya;xa=0}}ga=f[a>>2]|0;ha=f[ga+12>>2]|0;if((ha|0)==(f[ga+16>>2]|0))za=ci[f[(f[ga>>2]|0)+36>>2]&1023](ga)|0;else za=Lbc(b[ha>>0]|0)|0;if((za&255)<<24>>24!=(b[ea>>0]|0)){sa=ea;break}ha=f[a>>2]|0;ga=ha+12|0;T=f[ga>>2]|0;if((T|0)==(f[ha+16>>2]|0))ci[f[(f[ha>>2]|0)+40>>2]&1023](ha)|0;else{f[ga>>2]=T+1;Lbc(b[T>>0]|0)|0}na=wa;oa=ea+1|0;pa=b[i>>0]|0;qa=f[A>>2]|0;ra=xa}if(H?(T=b[i>>0]|0,ga=T<<24>>24<0,(sa|0)!=((ga?f[A>>2]|0:A)+(ga?f[I>>2]|0:T&255)|0)):0){R=144;break a}else ca=O;break}case 4:{T=0;ga=X;ha=X;e:while(1){da=f[a>>2]|0;do if(da){la=f[da+12>>2]|0;if((la|0)==(f[da+16>>2]|0))Aa=ci[f[(f[da>>2]|0)+36>>2]&1023](da)|0;else Aa=Lbc(b[la>>0]|0)|0;if(Jcc(Aa,Kbc()|0)|0){f[a>>2]=0;Ba=1;break}else{Ba=(f[a>>2]|0)==0;break}}else Ba=1;while(0);do if(ha){da=f[ha+12>>2]|0;if((da|0)==(f[ha+16>>2]|0))Ca=ci[f[(f[ha>>2]|0)+36>>2]&1023](ha)|0;else Ca=Lbc(b[da>>0]|0)|0;if(!(Jcc(Ca,Kbc()|0)|0))if(Ba^(ga|0)==0){Da=ga;Ea=ga;break}else{Fa=ga;break e}else{f[c>>2]=0;Ga=0;R=158;break}}else{Ga=ga;R=158}while(0);if((R|0)==158){R=0;if(Ba){Fa=Ga;break}else{Da=Ga;Ea=0}}da=f[a>>2]|0;ea=f[da+12>>2]|0;if((ea|0)==(f[da+16>>2]|0))Ha=ci[f[(f[da>>2]|0)+36>>2]&1023](da)|0;else Ha=Lbc(b[ea>>0]|0)|0;ea=Ha&255;if(ea<<24>>24>-1?(d[(f[g>>2]|0)+(Ha<<24>>24<<1)>>1]&2048)!=0:0){da=f[n>>2]|0;if((da|0)==(f[q>>2]|0)){Hic(m,n,q);Ia=f[n>>2]|0}else Ia=da;f[n>>2]=Ia+1;b[Ia>>0]=ea;Ja=T+1|0}else{da=b[M>>0]|0;if(!(ea<<24>>24==(b[y>>0]|0)&(T|0?((da<<24>>24<0?f[N>>2]|0:da&255)|0)!=0:0))){Fa=Da;break}da=f[t>>2]|0;if((da|0)==(f[v>>2]|0)){Iic(s,t,v);Ka=f[t>>2]|0}else Ka=da;f[t>>2]=Ka+4;f[Ka>>2]=T;Ja=0}da=f[a>>2]|0;ea=da+12|0;la=f[ea>>2]|0;if((la|0)==(f[da+16>>2]|0)){ci[f[(f[da>>2]|0)+40>>2]&1023](da)|0;T=Ja;ga=Da;ha=Ea;continue}else{f[ea>>2]=la+1;Lbc(b[la>>0]|0)|0;T=Ja;ga=Da;ha=Ea;continue}}ha=f[t>>2]|0;if(T|0?(f[s>>2]|0)!=(ha|0):0){if((ha|0)==(f[v>>2]|0)){Iic(s,t,v);La=f[t>>2]|0}else La=ha;f[t>>2]=La+4;f[La>>2]=T}f:do if((f[E>>2]|0)>0){ha=f[a>>2]|0;do if(ha){ga=f[ha+12>>2]|0;if((ga|0)==(f[ha+16>>2]|0))Ma=ci[f[(f[ha>>2]|0)+36>>2]&1023](ha)|0;else Ma=Lbc(b[ga>>0]|0)|0;if(Jcc(Ma,Kbc()|0)|0){f[a>>2]=0;Na=1;break}else{Na=(f[a>>2]|0)==0;break}}else Na=1;while(0);do if(Fa){ha=f[Fa+12>>2]|0;if((ha|0)==(f[Fa+16>>2]|0))Oa=ci[f[(f[Fa>>2]|0)+36>>2]&1023](Fa)|0;else Oa=Lbc(b[ha>>0]|0)|0;if(!(Jcc(Oa,Kbc()|0)|0))if(Na){Pa=Fa;break}else{R=232;break a}else{f[c>>2]=0;R=193;break}}else R=193;while(0);if((R|0)==193){R=0;if(Na){R=232;break a}else Pa=0}ha=f[a>>2]|0;ga=f[ha+12>>2]|0;if((ga|0)==(f[ha+16>>2]|0))Qa=ci[f[(f[ha>>2]|0)+36>>2]&1023](ha)|0;else Qa=Lbc(b[ga>>0]|0)|0;if((Qa&255)<<24>>24!=(b[x>>0]|0)){R=232;break a}ga=f[a>>2]|0;ha=ga+12|0;la=f[ha>>2]|0;if((la|0)==(f[ga+16>>2]|0)){ci[f[(f[ga>>2]|0)+40>>2]&1023](ga)|0;Ra=Pa;Sa=Pa}else{f[ha>>2]=la+1;Lbc(b[la>>0]|0)|0;Ra=Pa;Sa=Pa}while(1){if((f[E>>2]|0)<=0)break f;la=f[a>>2]|0;do if(la){ha=f[la+12>>2]|0;if((ha|0)==(f[la+16>>2]|0))Ta=ci[f[(f[la>>2]|0)+36>>2]&1023](la)|0;else Ta=Lbc(b[ha>>0]|0)|0;if(Jcc(Ta,Kbc()|0)|0){f[a>>2]=0;Ua=1;break}else{Ua=(f[a>>2]|0)==0;break}}else Ua=1;while(0);do if(Sa){la=f[Sa+12>>2]|0;if((la|0)==(f[Sa+16>>2]|0))Va=ci[f[(f[Sa>>2]|0)+36>>2]&1023](Sa)|0;else Va=Lbc(b[la>>0]|0)|0;if(!(Jcc(Va,Kbc()|0)|0))if(Ua^(Ra|0)==0){Wa=Ra;Xa=Ra;break}else{R=232;break a}else{f[c>>2]=0;Ya=0;R=216;break}}else{Ya=Ra;R=216}while(0);if((R|0)==216){R=0;if(Ua){R=232;break a}else{Wa=Ya;Xa=0}}la=f[a>>2]|0;ha=f[la+12>>2]|0;if((ha|0)==(f[la+16>>2]|0))Za=ci[f[(f[la>>2]|0)+36>>2]&1023](la)|0;else Za=Lbc(b[ha>>0]|0)|0;if((Za&255)<<24>>24<=-1){R=232;break a}if(!(d[(f[g>>2]|0)+(Za<<24>>24<<1)>>1]&2048)){R=232;break a}if((f[n>>2]|0)==(f[q>>2]|0))Hic(m,n,q);ha=f[a>>2]|0;la=f[ha+12>>2]|0;if((la|0)==(f[ha+16>>2]|0))_a=ci[f[(f[ha>>2]|0)+36>>2]&1023](ha)|0;else _a=Lbc(b[la>>0]|0)|0;la=f[n>>2]|0;f[n>>2]=la+1;b[la>>0]=_a;f[E>>2]=(f[E>>2]|0)+-1;la=f[a>>2]|0;ha=la+12|0;ga=f[ha>>2]|0;if((ga|0)==(f[la+16>>2]|0)){ci[f[(f[la>>2]|0)+40>>2]&1023](la)|0;Ra=Wa;Sa=Xa;continue}else{f[ha>>2]=ga+1;Lbc(b[ga>>0]|0)|0;Ra=Wa;Sa=Xa;continue}}}while(0);if((f[n>>2]|0)==(f[m>>2]|0)){R=232;break a}else ca=O;break}default:ca=O}while(0);g:do if((R|0)==46)while(1){R=0;S=f[a>>2]|0;do if(S){T=f[S+12>>2]|0;if((T|0)==(f[S+16>>2]|0))$a=ci[f[(f[S>>2]|0)+36>>2]&1023](S)|0;else $a=Lbc(b[T>>0]|0)|0;if(Jcc($a,Kbc()|0)|0){f[a>>2]=0;ab=1;break}else{ab=(f[a>>2]|0)==0;break}}else ab=1;while(0);do if(ba){S=f[ba+12>>2]|0;if((S|0)==(f[ba+16>>2]|0))bb=ci[f[(f[ba>>2]|0)+36>>2]&1023](ba)|0;else bb=Lbc(b[S>>0]|0)|0;if(!(Jcc(bb,Kbc()|0)|0))if(ab^(aa|0)==0){cb=aa;db=aa;break}else{ca=O;break g}else{f[c>>2]=0;eb=0;R=59;break}}else{eb=aa;R=59}while(0);if((R|0)==59){R=0;if(ab){ca=O;break g}else{cb=eb;db=0}}S=f[a>>2]|0;T=f[S+12>>2]|0;if((T|0)==(f[S+16>>2]|0))fb=ci[f[(f[S>>2]|0)+36>>2]&1023](S)|0;else fb=Lbc(b[T>>0]|0)|0;if((fb&255)<<24>>24<=-1){ca=O;break g}if(!(d[(f[g>>2]|0)+(fb<<24>>24<<1)>>1]&8192)){ca=O;break g}T=f[a>>2]|0;S=T+12|0;ga=f[S>>2]|0;if((ga|0)==(f[T+16>>2]|0))gb=ci[f[(f[T>>2]|0)+40>>2]&1023](T)|0;else{f[S>>2]=ga+1;gb=Lbc(b[ga>>0]|0)|0}bnc(D,gb&255);aa=cb;ba=db;R=46}while(0);O=ca;P=P+1|0}h:do if((R|0)==44){f[j>>2]=f[j>>2]|4;hb=0}else if((R|0)==103){f[j>>2]=f[j>>2]|4;hb=0}else if((R|0)==144){f[j>>2]=f[j>>2]|4;hb=0}else if((R|0)==232){f[j>>2]=f[j>>2]|4;hb=0}else if((R|0)==234){i:do if(Q){P=O+11|0;ca=O+4|0;db=1;j:while(1){ba=b[P>>0]|0;if(ba<<24>>24<0)ib=f[ca>>2]|0;else ib=ba&255;if(db>>>0>=ib>>>0)break i;ba=f[a>>2]|0;do if(ba){cb=f[ba+12>>2]|0;if((cb|0)==(f[ba+16>>2]|0))jb=ci[f[(f[ba>>2]|0)+36>>2]&1023](ba)|0;else jb=Lbc(b[cb>>0]|0)|0;if(Jcc(jb,Kbc()|0)|0){f[a>>2]=0;kb=1;break}else{kb=(f[a>>2]|0)==0;break}}else kb=1;while(0);ba=f[c>>2]|0;do if(ba){cb=f[ba+12>>2]|0;if((cb|0)==(f[ba+16>>2]|0))lb=ci[f[(f[ba>>2]|0)+36>>2]&1023](ba)|0;else lb=Lbc(b[cb>>0]|0)|0;if(!(Jcc(lb,Kbc()|0)|0))if(kb)break;else break j;else{f[c>>2]=0;R=253;break}}else R=253;while(0);if((R|0)==253?(R=0,kb):0)break;ba=f[a>>2]|0;cb=f[ba+12>>2]|0;if((cb|0)==(f[ba+16>>2]|0))mb=ci[f[(f[ba>>2]|0)+36>>2]&1023](ba)|0;else mb=Lbc(b[cb>>0]|0)|0;if((b[P>>0]|0)<0)nb=f[O>>2]|0;else nb=O;if((mb&255)<<24>>24!=(b[nb+db>>0]|0))break;cb=db+1|0;ba=f[a>>2]|0;aa=ba+12|0;gb=f[aa>>2]|0;if((gb|0)==(f[ba+16>>2]|0)){ci[f[(f[ba>>2]|0)+40>>2]&1023](ba)|0;db=cb;continue}else{f[aa>>2]=gb+1;Lbc(b[gb>>0]|0)|0;db=cb;continue}}f[j>>2]=f[j>>2]|4;hb=0;break h}while(0);db=f[s>>2]|0;P=f[t>>2]|0;if((db|0)!=(P|0)){f[F>>2]=0;Cec(z,db,P,F);if(!(f[F>>2]|0)){hb=1;break}else{f[j>>2]=f[j>>2]|4;hb=0;break}}else hb=1}while(0);Pmc(D);Pmc(C);Pmc(B);Pmc(A);Pmc(z);z=f[s>>2]|0;f[s>>2]=0;if(z|0)ai[f[o>>2]&2047](z);u=p;return hb|0}
function Qsa(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;h=u;u=u+2048|0;i=h;j=f[a+40>>2]|0;k=f[j+4>>2]|0;l=f[j>>2]|0;j=f[b+40>>2]|0;m=f[j+4>>2]|0;n=f[j>>2]|0;j=(f[a>>2]|0)>>>3&511;o=j+1|0;q=f[a+16>>2]|0;r=f[a+48>>2]|0;a=0;do{s=V9b(+p[g+((a&3)<<3)>>3])|0;f[i+(a<<2)>>2]=s;a=a+1|0}while((a|0)!=(o|0));a=r>>>2;if(f[b>>2]&16384){r=(f[c>>2]&16384|0)!=0;g=Y(r?n:1,m)|0;if(r){t=g;v=1}else{w=g;x=5}}else{w=m;x=5}if((x|0)==5)if((n|0)>0){t=w;v=n}else{u=h;return}n=b+16|0;w=b+44|0;b=c+16|0;m=c+44|0;c=(j|0)==0;j=(t|0)>0;g=k+-1|0;r=l+-1|0;s=(o|0)==3;y=(o|0)==4;z=(e|0)==5;A=0;do{B=(f[n>>2]|0)+(Y(f[f[w>>2]>>2]|0,A)|0)|0;C=(f[b>>2]|0)+(Y(f[f[m>>2]>>2]|0,A)|0)|0;a:do if(c){if(j)switch(e|0){case 1:{D=0;do{E=D<<1;F=d[C+(E<<1)>>1]|0;G=F<<16>>16;H=d[C+((E|1)<<1)>>1]|0;E=H<<16>>16;if(G>>>0<k>>>0&E>>>0<l>>>0){I=E;J=G}else{I=H<<16>>16>-1?((E|0)<(l|0)?E:r):0;J=F<<16>>16>-1?((G|0)<(k|0)?G:g):0}G=q+((Y(I,a)|0)+J<<2)|0;f[B+(D<<2)>>2]=f[G>>2];D=D+1|0}while((D|0)!=(t|0));break}case 0:{D=0;do{G=D<<1;F=d[C+(G<<1)>>1]|0;E=d[C+((G|1)<<1)>>1]|0;if(F>>>0<k>>>0&E>>>0<l>>>0)K=q+((Y(E,a)|0)+F<<2)|0;else K=i;f[B+(D<<2)>>2]=f[K>>2];D=D+1|0}while((D|0)!=(t|0));break}default:{D=0;do{F=D<<1;E=d[C+(F<<1)>>1]|0;G=d[C+((F|1)<<1)>>1]|0;if(!(E>>>0<k>>>0&G>>>0<l>>>0)){if(!z){F=sT(E,k,e)|0;L=F;M=sT(G,l,e)|0;x=30}}else{L=E;M=G;x=30}if((x|0)==30){x=0;G=q+((Y(M,a)|0)+L<<2)|0;f[B+(D<<2)>>2]=f[G>>2]}D=D+1|0}while((D|0)!=(t|0))}}}else if(j){if(z){D=0;G=B;while(1){E=D<<1;F=d[C+(E<<1)>>1]|0;H=d[C+((E|1)<<1)>>1]|0;do if(F>>>0<k>>>0&H>>>0<l>>>0){E=q+((Y(H,a)|0)<<2)|0;if(s){N=E+(F*3<<2)|0;f[G>>2]=f[N>>2];f[G+4>>2]=f[N+4>>2];f[G+8>>2]=f[N+8>>2];break}if(y){N=E+(F<<2<<2)|0;f[G>>2]=f[N>>2];f[G+4>>2]=f[N+4>>2];f[G+8>>2]=f[N+8>>2];f[G+12>>2]=f[N+12>>2];break}N=E+((Y(F,o)|0)<<2)|0;E=0;do{f[G+(E<<2)>>2]=f[N+(E<<2)>>2];E=E+1|0}while((E|0)!=(o|0))}while(0);D=D+1|0;if((D|0)==(t|0))break a;else G=G+(o<<2)|0}}else{O=0;P=B}while(1){G=O<<1;D=d[C+(G<<1)>>1]|0;F=D<<16>>16;H=d[C+((G|1)<<1)>>1]|0;G=H<<16>>16;b:do if(F>>>0<k>>>0&G>>>0<l>>>0){E=q+((Y(G,a)|0)<<2)|0;if(s){N=E+(F*3<<2)|0;f[P>>2]=f[N>>2];f[P+4>>2]=f[N+4>>2];f[P+8>>2]=f[N+8>>2];break}if(y){N=E+(F<<2<<2)|0;f[P>>2]=f[N>>2];f[P+4>>2]=f[N+4>>2];f[P+8>>2]=f[N+8>>2];f[P+12>>2]=f[N+12>>2];break}N=E+((Y(F,o)|0)<<2)|0;E=0;do{f[P+(E<<2)>>2]=f[N+(E<<2)>>2];E=E+1|0}while((E|0)!=(o|0))}else{switch(e|0){case 5:{break b;break}case 1:{Q=q+((Y(H<<16>>16>-1?((G|0)<(l|0)?G:r):0,a)|0)<<2)+((Y(D<<16>>16>-1?((F|0)<(k|0)?F:g):0,o)|0)<<2)|0;break}case 0:{Q=i;break}default:{E=sT(F,k,e)|0;Q=q+((Y(sT(G,l,e)|0,a)|0)<<2)+((Y(E,o)|0)<<2)|0}}E=0;do{f[P+(E<<2)>>2]=f[Q+(E<<2)>>2];E=E+1|0}while((E|0)!=(o|0))}while(0);O=O+1|0;if((O|0)==(t|0))break;else P=P+(o<<2)|0}}while(0);A=A+1|0}while((A|0)!=(v|0));u=h;return}function Rsa(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;h=u;u=u+2048|0;i=h;j=f[a+40>>2]|0;k=f[j+4>>2]|0;l=f[j>>2]|0;j=f[b+40>>2]|0;m=f[j+4>>2]|0;o=f[j>>2]|0;j=(f[a>>2]|0)>>>3&511;q=j+1|0;r=f[a+16>>2]|0;s=f[a+48>>2]|0;a=0;do{n[i+(a<<2)>>2]=+p[g+((a&3)<<3)>>3];a=a+1|0}while((a|0)!=(q|0));a=s>>>2;if(f[b>>2]&16384){s=(f[c>>2]&16384|0)!=0;g=Y(s?o:1,m)|0;if(s){t=g;v=1}else{w=g;x=5}}else{w=m;x=5}if((x|0)==5)if((o|0)>0){t=w;v=o}else{u=h;return}o=b+16|0;w=b+44|0;b=c+16|0;m=c+44|0;c=(j|0)==0;j=(t|0)>0;g=k+-1|0;s=l+-1|0;y=(q|0)==3;z=(q|0)==4;A=(e|0)==5;B=0;do{C=(f[o>>2]|0)+(Y(f[f[w>>2]>>2]|0,B)|0)|0;D=(f[b>>2]|0)+(Y(f[f[m>>2]>>2]|0,B)|0)|0;a:do if(c){if(j)switch(e|0){case 1:{E=0;do{F=E<<1;G=d[D+(F<<1)>>1]|0;H=G<<16>>16;I=d[D+((F|1)<<1)>>1]|0;F=I<<16>>16;if(H>>>0<k>>>0&F>>>0<l>>>0){J=F;K=H}else{J=I<<16>>16>-1?((F|0)<(l|0)?F:s):0;K=G<<16>>16>-1?((H|0)<(k|0)?H:g):0}H=r+((Y(J,a)|0)+K<<2)|0;f[C+(E<<2)>>2]=f[H>>2];E=E+1|0}while((E|0)!=(t|0));break}case 0:{E=0;do{H=E<<1;G=d[D+(H<<1)>>1]|0;F=d[D+((H|1)<<1)>>1]|0;if(G>>>0<k>>>0&F>>>0<l>>>0)L=r+((Y(F,a)|0)+G<<2)|0;else L=i;f[C+(E<<2)>>2]=f[L>>2];E=E+1|0}while((E|0)!=(t|0));break}default:{E=0;do{G=E<<1;F=d[D+(G<<1)>>1]|0;H=d[D+((G|1)<<1)>>1]|0;if(!(F>>>0<k>>>0&H>>>0<l>>>0)){if(!A){G=sT(F,k,e)|0;M=G;N=sT(H,l,e)|0;x=30}}else{M=F;N=H;x=30}if((x|0)==30){x=0;H=r+((Y(N,a)|0)+M<<2)|0;f[C+(E<<2)>>2]=f[H>>2]}E=E+1|0}while((E|0)!=(t|0))}}}else if(j){if(A){E=0;H=C;while(1){F=E<<1;G=d[D+(F<<1)>>1]|0;I=d[D+((F|1)<<1)>>1]|0;do if(G>>>0<k>>>0&I>>>0<l>>>0){F=r+((Y(I,a)|0)<<2)|0;if(y){O=F+(G*3<<2)|0;f[H>>2]=f[O>>2];f[H+4>>2]=f[O+4>>2];f[H+8>>2]=f[O+8>>2];break}if(z){O=F+(G<<2<<2)|0;f[H>>2]=f[O>>2];f[H+4>>2]=f[O+4>>2];f[H+8>>2]=f[O+8>>2];f[H+12>>2]=f[O+12>>2];break}O=F+((Y(G,q)|0)<<2)|0;F=0;do{f[H+(F<<2)>>2]=f[O+(F<<2)>>2];F=F+1|0}while((F|0)!=(q|0))}while(0);E=E+1|0;if((E|0)==(t|0))break a;else H=H+(q<<2)|0}}else{P=0;Q=C}while(1){H=P<<1;E=d[D+(H<<1)>>1]|0;G=E<<16>>16;I=d[D+((H|1)<<1)>>1]|0;H=I<<16>>16;b:do if(G>>>0<k>>>0&H>>>0<l>>>0){F=r+((Y(H,a)|0)<<2)|0;if(y){O=F+(G*3<<2)|0;f[Q>>2]=f[O>>2];f[Q+4>>2]=f[O+4>>2];f[Q+8>>2]=f[O+8>>2];break}if(z){O=F+(G<<2<<2)|0;f[Q>>2]=f[O>>2];f[Q+4>>2]=f[O+4>>2];f[Q+8>>2]=f[O+8>>2];f[Q+12>>2]=f[O+12>>2];break}O=F+((Y(G,q)|0)<<2)|0;F=0;do{f[Q+(F<<2)>>2]=f[O+(F<<2)>>2];F=F+1|0}while((F|0)!=(q|0))}else{switch(e|0){case 5:{break b;break}case 1:{R=r+((Y(I<<16>>16>-1?((H|0)<(l|0)?H:s):0,a)|0)<<2)+((Y(E<<16>>16>-1?((G|0)<(k|0)?G:g):0,q)|0)<<2)|0;break}case 0:{R=i;break}default:{F=sT(G,k,e)|0;R=r+((Y(sT(H,l,e)|0,a)|0)<<2)+((Y(F,q)|0)<<2)|0}}F=0;do{f[Q+(F<<2)>>2]=f[R+(F<<2)>>2];F=F+1|0}while((F|0)!=(q|0))}while(0);P=P+1|0;if((P|0)==(t|0))break;else Q=Q+(q<<2)|0}}while(0);B=B+1|0}while((B|0)!=(v|0));u=h;return}function Ssa(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;h=u;u=u+4096|0;i=h;j=f[a+40>>2]|0;k=f[j+4>>2]|0;l=f[j>>2]|0;j=f[b+40>>2]|0;m=f[j+4>>2]|0;n=f[j>>2]|0;j=(f[a>>2]|0)>>>3&511;o=j+1|0;q=f[a+16>>2]|0;r=f[a+48>>2]|0;a=0;do{p[i+(a<<3)>>3]=+p[g+((a&3)<<3)>>3];a=a+1|0}while((a|0)!=(o|0));a=r>>>3;if(f[b>>2]&16384){r=(f[c>>2]&16384|0)!=0;g=Y(r?n:1,m)|0;if(r){s=g;t=1}else{v=g;w=5}}else{v=m;w=5}if((w|0)==5)if((n|0)>0){s=v;t=n}else{u=h;return}n=b+16|0;v=b+44|0;b=c+16|0;m=c+44|0;c=(j|0)==0;j=(s|0)>0;g=k+-1|0;r=l+-1|0;x=(o|0)==3;y=(o|0)==4;z=(e|0)==5;A=0;do{B=(f[n>>2]|0)+(Y(f[f[v>>2]>>2]|0,A)|0)|0;C=(f[b>>2]|0)+(Y(f[f[m>>2]>>2]|0,A)|0)|0;a:do if(c){if(j)switch(e|0){case 1:{D=0;do{E=D<<1;F=d[C+(E<<1)>>1]|0;G=F<<16>>16;H=d[C+((E|1)<<1)>>1]|0;E=H<<16>>16;if(G>>>0<k>>>0&E>>>0<l>>>0){I=E;J=G}else{I=H<<16>>16>-1?((E|0)<(l|0)?E:r):0;J=F<<16>>16>-1?((G|0)<(k|0)?G:g):0}G=q+((Y(I,a)|0)+J<<3)|0;p[B+(D<<3)>>3]=+p[G>>3];D=D+1|0}while((D|0)!=(s|0));break}case 0:{D=0;do{G=D<<1;F=d[C+(G<<1)>>1]|0;E=d[C+((G|1)<<1)>>1]|0;if(F>>>0<k>>>0&E>>>0<l>>>0)K=q+((Y(E,a)|0)+F<<3)|0;else K=i;p[B+(D<<3)>>3]=+p[K>>3];D=D+1|0}while((D|0)!=(s|0));break}default:{D=0;do{F=D<<1;E=d[C+(F<<1)>>1]|0;G=d[C+((F|1)<<1)>>1]|0;if(!(E>>>0<k>>>0&G>>>0<l>>>0)){if(!z){F=sT(E,k,e)|0;L=F;M=sT(G,l,e)|0;w=30}}else{L=E;M=G;w=30}if((w|0)==30){w=0;G=q+((Y(M,a)|0)+L<<3)|0;p[B+(D<<3)>>3]=+p[G>>3]}D=D+1|0}while((D|0)!=(s|0))}}}else if(j){if(z){D=0;G=B;while(1){E=D<<1;F=d[C+(E<<1)>>1]|0;H=d[C+((E|1)<<1)>>1]|0;do if(F>>>0<k>>>0&H>>>0<l>>>0){E=q+((Y(H,a)|0)<<3)|0;if(x){N=E+(F*3<<3)|0;p[G>>3]=+p[N>>3];p[G+8>>3]=+p[N+8>>3];p[G+16>>3]=+p[N+16>>3];break}if(y){N=E+(F<<2<<3)|0;p[G>>3]=+p[N>>3];p[G+8>>3]=+p[N+8>>3];p[G+16>>3]=+p[N+16>>3];p[G+24>>3]=+p[N+24>>3];break}N=E+((Y(F,o)|0)<<3)|0;E=0;do{p[G+(E<<3)>>3]=+p[N+(E<<3)>>3];E=E+1|0}while((E|0)!=(o|0))}while(0);D=D+1|0;if((D|0)==(s|0))break a;else G=G+(o<<3)|0}}else{O=0;P=B}while(1){G=O<<1;D=d[C+(G<<1)>>1]|0;F=D<<16>>16;H=d[C+((G|1)<<1)>>1]|0;G=H<<16>>16;b:do if(F>>>0<k>>>0&G>>>0<l>>>0){E=q+((Y(G,a)|0)<<3)|0;if(x){N=E+(F*3<<3)|0;p[P>>3]=+p[N>>3];p[P+8>>3]=+p[N+8>>3];p[P+16>>3]=+p[N+16>>3];break}if(y){N=E+(F<<2<<3)|0;p[P>>3]=+p[N>>3];p[P+8>>3]=+p[N+8>>3];p[P+16>>3]=+p[N+16>>3];p[P+24>>3]=+p[N+24>>3];break}N=E+((Y(F,o)|0)<<3)|0;E=0;do{p[P+(E<<3)>>3]=+p[N+(E<<3)>>3];E=E+1|0}while((E|0)!=(o|0))}else{switch(e|0){case 5:{break b;break}case 1:{Q=q+((Y(H<<16>>16>-1?((G|0)<(l|0)?G:r):0,a)|0)<<3)+((Y(D<<16>>16>-1?((F|0)<(k|0)?F:g):0,o)|0)<<3)|0;break}case 0:{Q=i;break}default:{E=sT(F,k,e)|0;Q=q+((Y(sT(G,l,e)|0,a)|0)<<3)+((Y(E,o)|0)<<3)|0}}E=0;do{p[P+(E<<3)>>3]=+p[Q+(E<<3)>>3];E=E+1|0}while((E|0)!=(o|0))}while(0);O=O+1|0;if((O|0)==(s|0))break;else P=P+(o<<3)|0}}while(0);A=A+1|0}while((A|0)!=(t|0));u=h;return}function Tsa(a,b,c,d,e,g,h,i,j,k,l,m,n){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0.0,C=0.0,D=0;o=u;u=u+1408|0;q=o+1352|0;r=o+1288|0;s=o+1296|0;t=o+208|0;v=o+224|0;w=o+216|0;x=o+32|0;y=o;f[r>>2]=d;f[r+4>>2]=e;mD(q,r,a,b,c);f[t>>2]=i;f[t+4>>2]=j;mD(s,t,a,g,h);h=s+12|0;g=f[h>>2]|0;a=g<<1;t=v+8|0;f[v>>2]=t;j=v+4|0;f[j>>2]=a;if(a>>>0>264){i=Dmc(a>>>0>1073741823?-1:a<<2)|0;f[v>>2]=i;z=i}else z=t;i=z+(g<<2)|0;if((g|0)>0){A=+p[k>>3];B=+p[k+24>>3];g=f[h>>2]|0;a=0;do{C=+(a|0);c=V9b(C*A*1024.0)|0;f[z+(a<<2)>>2]=c;c=V9b(C*B*1024.0)|0;f[i+(a<<2)>>2]=c;a=a+1|0}while((a|0)<(g|0))}g=s+8|0;a=f[g>>2]|0;f[w>>2]=0;f[w+4>>2]=a;B=+p[n+8>>3];A=+p[n+16>>3];C=+p[n+24>>3];p[y>>3]=+p[n>>3];p[y+8>>3]=B;p[y+16>>3]=A;p[y+24>>3]=C;Usa(x,q,s,l,m,y,z,i,k);k=s+4|0;i=f[k>>2]|0;if((i|0)<3)D=Y(f[h>>2]|0,f[g>>2]|0)|0;else{g=f[s+40>>2]|0;h=0;z=1;while(1){y=Y(f[g+(h<<2)>>2]|0,z)|0;h=h+1|0;if((h|0)==(i|0)){D=y;break}else z=y}}oU(w,x,+(D>>>0)*.0000152587890625);Vsa(x);x=f[v>>2]|0;if((x|0)!=(t|0)){if(x|0)Fmc(x);f[v>>2]=t;f[j>>2]=264}j=s+36|0;t=f[j>>2]|0;if(t|0?(v=t+12|0,t=f[v>>2]|0,f[v>>2]=t+-1,(t|0)==1):0)lP(s);f[j>>2]=0;j=s+16|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[k>>2]|0)>0){j=f[s+40>>2]|0;t=0;do{f[j+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[k>>2]|0))}k=f[s+44>>2]|0;if((k|0)!=(s+48|0))tE(k);k=q+36|0;s=f[k>>2]|0;if(s|0?(t=s+12|0,s=f[t>>2]|0,f[t>>2]=s+-1,(s|0)==1):0)lP(q);f[k>>2]=0;k=q+16|0;s=q+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[s>>2]|0)>0){k=f[q+40>>2]|0;t=0;do{f[k+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[s>>2]|0))}s=f[q+44>>2]|0;if((s|0)==(q+48|0)){u=o;return}tE(s);u=o;return}function Usa(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0.0,u=0,v=0,w=0.0,x=0,y=0,z=0.0,A=0,B=0,C=0.0,D=0,E=0,F=0,G=0;f[a>>2]=70372;k=a+4|0;f[k>>2]=f[b>>2];l=a+8|0;m=b+4|0;f[l>>2]=f[m>>2];n=a+12|0;f[n>>2]=f[b+8>>2];f[a+16>>2]=f[b+12>>2];f[a+20>>2]=f[b+16>>2];f[a+24>>2]=f[b+20>>2];f[a+28>>2]=f[b+24>>2];f[a+32>>2]=f[b+28>>2];f[a+36>>2]=f[b+32>>2];o=f[b+36>>2]|0;f[a+40>>2]=o;f[a+44>>2]=n;n=a+52|0;q=a+48|0;f[q>>2]=n;f[n>>2]=0;f[a+56>>2]=0;if(o|0){n=o+12|0;f[n>>2]=(f[n>>2]|0)+1}if((f[m>>2]|0)<3){m=f[b+44>>2]|0;n=f[q>>2]|0;f[n>>2]=f[m>>2];f[n+4>>2]=f[m+4>>2]}else{f[l>>2]=0;kP(k,b)}b=a+60|0;f[b>>2]=f[c>>2];k=a+64|0;l=c+4|0;f[k>>2]=f[l>>2];m=a+68|0;f[m>>2]=f[c+8>>2];f[a+72>>2]=f[c+12>>2];f[a+76>>2]=f[c+16>>2];f[a+80>>2]=f[c+20>>2];f[a+84>>2]=f[c+24>>2];f[a+88>>2]=f[c+28>>2];f[a+92>>2]=f[c+32>>2];n=f[c+36>>2]|0;f[a+96>>2]=n;f[a+100>>2]=m;m=a+108|0;q=a+104|0;f[q>>2]=m;f[m>>2]=0;f[a+112>>2]=0;if(n|0){m=n+12|0;f[m>>2]=(f[m>>2]|0)+1}if((f[l>>2]|0)<3){l=f[c+44>>2]|0;m=f[q>>2]|0;f[m>>2]=f[l>>2];f[m+4>>2]=f[l+4>>2];r=a+116|0;f[r>>2]=d;s=a+120|0;f[s>>2]=e;t=+p[g>>3];u=a+128|0;p[u>>3]=t;v=g+8|0;w=+p[v>>3];x=a+136|0;p[x>>3]=w;y=g+16|0;z=+p[y>>3];A=a+144|0;p[A>>3]=z;B=g+24|0;C=+p[B>>3];D=a+152|0;p[D>>3]=C;E=a+160|0;f[E>>2]=h;F=a+164|0;f[F>>2]=i;G=a+168|0;f[G>>2]=j;return}else{f[k>>2]=0;kP(b,c);r=a+116|0;f[r>>2]=d;s=a+120|0;f[s>>2]=e;t=+p[g>>3];u=a+128|0;p[u>>3]=t;v=g+8|0;w=+p[v>>3];x=a+136|0;p[x>>3]=w;y=g+16|0;z=+p[y>>3];A=a+144|0;p[A>>3]=z;B=g+24|0;C=+p[B>>3];D=a+152|0;p[D>>3]=C;E=a+160|0;f[E>>2]=h;F=a+164|0;f[F>>2]=i;G=a+168|0;f[G>>2]=j;return}}function Vsa(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=70372;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))tE(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;tE(b);return}function Wsa(a){a=a|0;Vsa(a);Emc(a);return}function Xsa(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0.0,eb=0.0,fb=0.0,gb=0.0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0.0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0;c=u;u=u+24912|0;e=c+8520|0;g=c+328|0;h=c+272|0;i=c+216|0;j=c+160|0;k=c+104|0;l=c+88|0;m=c+72|0;n=c+56|0;o=c;q=a+116|0;r=(f[q>>2]|0)==0?512:16;s=a+60|0;t=f[a+68>>2]|0;v=4096/(((t|0)<32?t:32)|0)|0;w=a+72|0;x=f[w>>2]|0;y=(x|0)<(v|0)?x:v;v=4096/(y|0)|0;x=(t|0)<(v|0)?t:v;v=f[b>>2]|0;t=b+4|0;if((v|0)>=(f[t>>2]|0)){u=c;return}b=h+4|0;z=h+8|0;A=h+12|0;B=h+16|0;C=h+20|0;D=h+24|0;E=h+28|0;F=h+40|0;G=h+48|0;H=h+44|0;I=h+52|0;J=i+4|0;K=i+8|0;L=i+40|0;M=i+48|0;N=i+44|0;O=i+52|0;P=k+4|0;Q=k+8|0;R=k+12|0;S=a+4|0;T=k+8|0;U=k+12|0;V=k+4|0;W=l+8|0;X=l+4|0;Z=m+8|0;_=m+12|0;$=m+4|0;aa=o+4|0;ba=o+8|0;ca=o+40|0;da=o+48|0;ea=o+44|0;fa=o+52|0;ga=n+8|0;ha=n+12|0;ia=n+4|0;ja=a+120|0;ka=a+128|0;la=o+36|0;ma=o+16|0;na=j+36|0;oa=j+16|0;pa=j+4|0;qa=j+40|0;ra=j+44|0;sa=j+48|0;ta=i+36|0;ua=i+16|0;va=h+36|0;wa=k+4|0;xa=k+8|0;ya=k+12|0;za=k+16|0;Aa=k+20|0;Ba=k+24|0;Ca=k+28|0;Da=k+40|0;Ea=k+48|0;Fa=k+44|0;Ga=k+52|0;Ha=l+8|0;Ia=l+12|0;Ja=l+4|0;Ka=m+8|0;La=m+4|0;Ma=n+8|0;Na=n+12|0;Oa=n+4|0;Pa=o+8|0;Qa=o+12|0;Ra=o+4|0;Sa=k+36|0;Ta=a+168|0;Ua=a+160|0;Va=a+164|0;a=D+8|0;Wa=Ba+8|0;Xa=v;v=f[w>>2]|0;while(1){if((v|0)>0){Ya=0;Za=v;while(1){_a=Za-Ya|0;$a=(_a|0)<(y|0)?_a:y;_a=(f[t>>2]|0)-Xa|0;ab=(_a|0)<(x|0)?_a:x;f[h>>2]=1124007947;f[b>>2]=2;f[z>>2]=ab;f[A>>2]=$a;f[B>>2]=e;f[C>>2]=e;_a=a;f[_a>>2]=0;f[_a+4>>2]=0;f[F>>2]=z;f[H>>2]=G;_a=$a<<2;f[G>>2]=_a;f[I>>2]=4;bb=e+(Y(ab,_a)|0)|0;f[E>>2]=bb;f[D>>2]=bb+(0-_a)+_a;hP(h);f[i>>2]=1124007936;_a=J;bb=_a+36|0;do{f[_a>>2]=0;_a=_a+4|0}while((_a|0)<(bb|0));f[L>>2]=K;f[N>>2]=M;f[M>>2]=0;f[O>>2]=0;f[k>>2]=Ya;f[P>>2]=Xa;f[Q>>2]=$a;f[R>>2]=ab;pP(j,s,k);if((ab|0)>0){cb=f[Ta>>2]|0;db=+p[cb+8>>3];eb=+p[cb+16>>3];fb=+p[cb+32>>3];gb=+p[cb+40>>3];cb=f[q>>2]|0;hb=(cb|0)==0;ib=($a|0)>0;jb=0;do{kb=Y(jb,$a)|0;lb=e+(kb<<1<<1)|0;mb=+(jb+Xa|0);nb=(V9b((mb*db+eb)*1024.0)|0)+r|0;ob=(V9b((mb*fb+gb)*1024.0)|0)+r|0;if(hb){if(ib){pb=f[Ua>>2]|0;qb=f[Va>>2]|0;rb=0;do{sb=rb+Ya|0;tb=(f[pb+(sb<<2)>>2]|0)+nb>>10;ub=(f[qb+(sb<<2)>>2]|0)+ob>>10;sb=rb<<1;d[lb+(sb<<1)>>1]=(tb+32768|0)>>>0<65536?tb:(tb|0)>0?32767:32768;d[lb+((sb|1)<<1)>>1]=(ub+32768|0)>>>0<65536?ub:(ub|0)>0?32767:32768;rb=rb+1|0}while((rb|0)<($a|0))}}else{rb=g+(kb<<1)|0;if(ib){qb=f[Ua>>2]|0;pb=f[Va>>2]|0;ub=0;do{sb=ub+Ya|0;tb=(f[qb+(sb<<2)>>2]|0)+nb|0;vb=(f[pb+(sb<<2)>>2]|0)+ob|0;sb=tb>>10;wb=ub<<1;d[lb+(wb<<1)>>1]=(sb+32768|0)>>>0<65536?sb:(sb|0)>0?32767:32768;sb=vb>>10;d[lb+((wb|1)<<1)>>1]=(sb+32768|0)>>>0<65536?sb:(sb|0)>0?32767:32768;d[rb+(ub<<1)>>1]=vb&992|tb>>>5&31;ub=ub+1|0}while((ub|0)<($a|0))}}jb=jb+1|0}while((jb|0)<(ab|0));xb=cb}else xb=f[q>>2]|0;if(!xb){f[T>>2]=0;f[U>>2]=0;f[k>>2]=16842752;f[V>>2]=S;cb=W;f[cb>>2]=0;f[cb+4>>2]=0;f[l>>2]=33619968;f[X>>2]=j;f[Z>>2]=0;f[_>>2]=0;f[m>>2]=16842752;f[$>>2]=h;f[o>>2]=1124007936;_a=aa;bb=_a+36|0;do{f[_a>>2]=0;_a=_a+4|0}while((_a|0)<(bb|0));f[ca>>2]=ba;f[ea>>2]=da;f[da>>2]=0;f[fa>>2]=0;f[ga>>2]=0;f[ha>>2]=0;f[n>>2]=16842752;f[ia>>2]=o;usa(k,l,m,n,0,f[ja>>2]|0,ka);_a=f[la>>2]|0;if(_a|0?(bb=_a+12|0,_a=f[bb>>2]|0,f[bb>>2]=_a+-1,(_a|0)==1):0)lP(o);f[la>>2]=0;f[ma>>2]=0;f[ma+4>>2]=0;f[ma+8>>2]=0;f[ma+12>>2]=0;if((f[aa>>2]|0)>0){_a=f[ca>>2]|0;bb=0;do{f[_a+(bb<<2)>>2]=0;bb=bb+1|0}while((bb|0)<(f[aa>>2]|0))}bb=f[ea>>2]|0;if((bb|0)!=(da|0))tE(bb)}else{f[k>>2]=1124007938;f[wa>>2]=2;f[xa>>2]=ab;f[ya>>2]=$a;f[za>>2]=g;f[Aa>>2]=g;bb=Wa;f[bb>>2]=0;f[bb+4>>2]=0;f[Da>>2]=xa;f[Fa>>2]=Ea;bb=$a<<1;f[Ea>>2]=bb;f[Ga>>2]=2;_a=g+((Y(ab,$a)|0)<<1)|0;f[Ca>>2]=_a;f[Ba>>2]=_a+(0-bb)+bb;hP(k);f[Ha>>2]=0;f[Ia>>2]=0;f[l>>2]=16842752;f[Ja>>2]=S;bb=Ka;f[bb>>2]=0;f[bb+4>>2]=0;f[m>>2]=33619968;f[La>>2]=j;f[Ma>>2]=0;f[Na>>2]=0;f[n>>2]=16842752;f[Oa>>2]=h;f[Pa>>2]=0;f[Qa>>2]=0;f[o>>2]=16842752;f[Ra>>2]=k;usa(l,m,n,o,f[q>>2]|0,f[ja>>2]|0,ka);bb=f[Sa>>2]|0;if(bb|0?(_a=bb+12|0,bb=f[_a>>2]|0,f[_a>>2]=bb+-1,(bb|0)==1):0)lP(k);f[Sa>>2]=0;f[za>>2]=0;f[za+4>>2]=0;f[za+8>>2]=0;f[za+12>>2]=0;if((f[wa>>2]|0)>0){bb=f[Da>>2]|0;_a=0;do{f[bb+(_a<<2)>>2]=0;_a=_a+1|0}while((_a|0)<(f[wa>>2]|0))}_a=f[Fa>>2]|0;if((_a|0)!=(Ea|0))tE(_a)}_a=f[na>>2]|0;if(_a|0?(bb=_a+12|0,_a=f[bb>>2]|0,f[bb>>2]=_a+-1,(_a|0)==1):0)lP(j);f[na>>2]=0;f[oa>>2]=0;f[oa+4>>2]=0;f[oa+8>>2]=0;f[oa+12>>2]=0;if((f[pa>>2]|0)>0){_a=f[qa>>2]|0;bb=0;do{f[_a+(bb<<2)>>2]=0;bb=bb+1|0}while((bb|0)<(f[pa>>2]|0))}bb=f[ra>>2]|0;if((bb|0)!=(sa|0))tE(bb);bb=f[ta>>2]|0;if(bb|0?(_a=bb+12|0,bb=f[_a>>2]|0,f[_a>>2]=bb+-1,(bb|0)==1):0)lP(i);f[ta>>2]=0;f[ua>>2]=0;f[ua+4>>2]=0;f[ua+8>>2]=0;f[ua+12>>2]=0;if((f[J>>2]|0)>0){bb=f[L>>2]|0;_a=0;do{f[bb+(_a<<2)>>2]=0;_a=_a+1|0}while((_a|0)<(f[J>>2]|0))}_a=f[N>>2]|0;if((_a|0)!=(M|0))tE(_a);_a=f[va>>2]|0;if(_a|0?(bb=_a+12|0,_a=f[bb>>2]|0,f[bb>>2]=_a+-1,(_a|0)==1):0)lP(h);f[va>>2]=0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[b>>2]|0)>0){_a=f[F>>2]|0;bb=0;do{f[_a+(bb<<2)>>2]=0;bb=bb+1|0}while((bb|0)<(f[b>>2]|0))}bb=f[H>>2]|0;if((bb|0)!=(G|0))tE(bb);Ya=Ya+y|0;bb=f[w>>2]|0;if((bb|0)<=(Ya|0)){yb=bb;break}else Za=bb}}else yb=v;Xa=Xa+x|0;if((Xa|0)>=(f[t>>2]|0))break;else v=yb}u=c;return}function Ysa(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0;j=u;u=u+304|0;k=j;l=j+296|0;m=j+240|0;n=j+176|0;o=j+232|0;q=j+120|0;r=j+64|0;s=j+48|0;zT(l,70384);t=g&7;a:do if((CD(a,-1)|0)>=5){switch(g&7){case 2:case 4:break;default:break a}f[k>>2]=0;f[k+4>>2]=0;v=YG(k,89)|0;w=293961;x=v+89|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-215,k,294051,293344,2597)}while(0);do if((pD(a)|0)==65536){y=f[a+4>>2]|0;f[m>>2]=f[y>>2];z=m+4|0;A=y+4|0;f[z>>2]=f[A>>2];B=m+8|0;f[B>>2]=f[y+8>>2];f[m+12>>2]=f[y+12>>2];f[m+16>>2]=f[y+16>>2];f[m+20>>2]=f[y+20>>2];f[m+24>>2]=f[y+24>>2];f[m+28>>2]=f[y+28>>2];f[m+32>>2]=f[y+32>>2];C=f[y+36>>2]|0;f[m+36>>2]=C;f[m+40>>2]=B;B=m+48|0;D=m+44|0;f[D>>2]=B;f[B>>2]=0;f[m+52>>2]=0;if(C|0){B=C+12|0;f[B>>2]=(f[B>>2]|0)+1}if((f[A>>2]|0)<3){A=f[y+44>>2]|0;B=f[D>>2]|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];break}else{f[z>>2]=0;kP(m,y);break}}else lD(m,a,-1);while(0);do if((pD(d)|0)==65536){a=f[d+4>>2]|0;f[n>>2]=f[a>>2];y=n+4|0;z=a+4|0;f[y>>2]=f[z>>2];A=n+8|0;f[A>>2]=f[a+8>>2];f[n+12>>2]=f[a+12>>2];f[n+16>>2]=f[a+16>>2];f[n+20>>2]=f[a+20>>2];f[n+24>>2]=f[a+24>>2];f[n+28>>2]=f[a+28>>2];f[n+32>>2]=f[a+32>>2];B=f[a+36>>2]|0;f[n+36>>2]=B;f[n+40>>2]=A;A=n+48|0;D=n+44|0;f[D>>2]=A;f[A>>2]=0;f[n+52>>2]=0;if(B|0){A=B+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[z>>2]|0)<3){z=f[a+44>>2]|0;A=f[D>>2]|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];break}else{f[y>>2]=0;kP(n,a);break}}else lD(n,d,-1);while(0);d=f[e>>2]|0;a=f[e+4>>2]|0;if(!(Y(a,d)|0)){e=f[m+40>>2]|0;E=f[e>>2]|0;F=f[e+4>>2]|0}else{E=a;F=d}f[o>>2]=F;f[o+4>>2]=E;HD(c,o,f[m>>2]&4095,-1,0,0);do if((pD(c)|0)==65536){o=f[c+4>>2]|0;f[q>>2]=f[o>>2];E=q+4|0;F=o+4|0;f[E>>2]=f[F>>2];d=q+8|0;f[d>>2]=f[o+8>>2];f[q+12>>2]=f[o+12>>2];f[q+16>>2]=f[o+16>>2];f[q+20>>2]=f[o+20>>2];f[q+24>>2]=f[o+24>>2];f[q+28>>2]=f[o+28>>2];f[q+32>>2]=f[o+32>>2];a=f[o+36>>2]|0;f[q+36>>2]=a;f[q+40>>2]=d;d=q+48|0;e=q+44|0;f[e>>2]=d;f[d>>2]=0;f[q+52>>2]=0;if(a|0){d=a+12|0;f[d>>2]=(f[d>>2]|0)+1}if((f[F>>2]|0)<3){F=f[o+44>>2]|0;d=f[e>>2]|0;f[d>>2]=f[F>>2];f[d+4>>2]=f[F+4>>2];break}else{f[E>>2]=0;kP(q,o);break}}else lD(q,c,-1);while(0);c=m+12|0;if((f[c>>2]|0)<=0){f[k>>2]=0;G=k+4|0;f[G>>2]=0;H=YG(k,28)|0;v=H;w=294062;x=v+28|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-215,k,294051,293344,2611)}o=m+8|0;if((f[o>>2]|0)<=0){f[k>>2]=0;G=k+4|0;f[G>>2]=0;H=YG(k,28)|0;v=H;w=294062;x=v+28|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-215,k,294051,293344,2611)}H=q+16|0;G=m+16|0;if((f[H>>2]|0)==(f[G>>2]|0)){f[r>>2]=1124007936;E=r+4|0;F=r+8|0;d=r+40|0;v=E;x=v+36|0;do{f[v>>2]=0;v=v+4|0}while((v|0)<(x|0));f[d>>2]=F;e=r+48|0;a=r+44|0;f[a>>2]=e;f[e>>2]=0;f[r+52>>2]=0;y=k+8|0;f[y>>2]=0;f[y+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=r;kT(m,k);y=r+36|0;z=f[y>>2]|0;if(z|0){A=z+12|0;f[A>>2]=(f[A>>2]|0)+1}A=m+36|0;z=f[A>>2]|0;if(z|0?(D=z+12|0,z=f[D>>2]|0,f[D>>2]=z+-1,(z|0)==1):0)lP(m);f[A>>2]=0;z=m+4|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[z>>2]|0)>0){D=f[m+40>>2]|0;B=0;do{f[D+(B<<2)>>2]=0;B=B+1|0;I=f[z>>2]|0}while((B|0)<(I|0));f[m>>2]=f[r>>2];if((I|0)<3)J=41;else J=43}else{f[m>>2]=f[r>>2];J=41}if((J|0)==41){I=f[E>>2]|0;if((I|0)<3){f[z>>2]=I;f[o>>2]=f[F>>2];f[c>>2]=f[r+12>>2];F=f[a>>2]|0;I=f[m+44>>2]|0;f[I>>2]=f[F>>2];f[I+4>>2]=f[F+4>>2]}else J=43}if((J|0)==43)kP(m,r);J=r+16|0;f[G>>2]=f[J>>2];f[m+20>>2]=f[r+20>>2];f[m+24>>2]=f[r+24>>2];f[m+28>>2]=f[r+28>>2];f[m+32>>2]=f[r+32>>2];F=f[y>>2]|0;f[A>>2]=F;if(F|0?(A=F+12|0,F=f[A>>2]|0,f[A>>2]=F+-1,(F|0)==1):0)lP(r);f[y>>2]=0;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;f[J+12>>2]=0;if((f[E>>2]|0)>0){J=f[d>>2]|0;d=0;do{f[J+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[E>>2]|0))}E=f[a>>2]|0;if((E|0)!=(e|0))tE(E)}v=k;x=v+48|0;do{f[v>>2]=0;v=v+4|0}while((v|0)<(x|0));f[r>>2]=1124007942;E=r+4|0;f[E>>2]=2;e=r+8|0;f[e>>2]=2;f[r+12>>2]=3;a=r+16|0;f[a>>2]=k;f[r+20>>2]=k;d=r+24|0;J=r+40|0;y=d+8|0;f[y>>2]=0;f[y+4>>2]=0;f[J>>2]=e;e=r+48|0;y=r+44|0;f[y>>2]=e;f[e>>2]=24;f[r+52>>2]=8;f[r+28>>2]=k+48;f[d>>2]=k+48;hP(r);d=(t|0)==3?1:t;if(((f[n>>2]&4095)+-5|0)>>>0>=2){f[s>>2]=0;K=s+4|0;f[K>>2]=0;L=YG(s,76)|0;v=L;w=294091;x=v+76|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-215,s,294051,293344,2620)}if((f[n+8>>2]|0)!=2){f[s>>2]=0;K=s+4|0;f[K>>2]=0;L=YG(s,76)|0;v=L;w=294091;x=v+76|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-215,s,294051,293344,2620)}if((f[n+12>>2]|0)!=3){f[s>>2]=0;K=s+4|0;f[K>>2]=0;L=YG(s,76)|0;v=L;w=294091;x=v+76|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-215,s,294051,293344,2620)}w=s+8|0;f[w>>2]=0;f[w+4>>2]=0;f[s>>2]=33619968;f[s+4>>2]=r;IO(n,s,f[r>>2]&4095,1.0,0.0);if(!(g&16)){M=+p[k>>3];g=k+32|0;N=+p[g>>3];s=k+8|0;O=+p[s>>3];w=k+24|0;P=+p[w>>3];Q=M*N-O*P;R=Q!=0.0?1.0/Q:0.0;Q=N*R;N=M*R;p[k>>3]=Q;M=-R;R=O*M;p[s>>3]=R;O=P*M;p[w>>3]=O;p[g>>3]=N;g=k+16|0;M=+p[g>>3];w=k+40|0;P=+p[w>>3];p[g>>3]=-(Q*M)-R*P;p[w>>3]=-(M*O)-N*P}w=m+48|0;g=q+48|0;Tsa(f[m>>2]&4095,f[G>>2]|0,f[w>>2]|0,f[c>>2]|0,f[o>>2]|0,f[H>>2]|0,f[g>>2]|0,f[q+12>>2]|0,f[q+8>>2]|0,k,d,h,i);i=r+36|0;h=f[i>>2]|0;if(h|0?(d=h+12|0,h=f[d>>2]|0,f[d>>2]=h+-1,(h|0)==1):0)lP(r);f[i>>2]=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[E>>2]|0)>0){a=f[J>>2]|0;J=0;do{f[a+(J<<2)>>2]=0;J=J+1|0}while((J|0)<(f[E>>2]|0))}E=f[y>>2]|0;if((E|0)!=(e|0))tE(E);E=q+36|0;e=f[E>>2]|0;if(e|0?(y=e+12|0,e=f[y>>2]|0,f[y>>2]=e+-1,(e|0)==1):0)lP(q);f[E>>2]=0;E=q+4|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[E>>2]|0)>0){H=f[q+40>>2]|0;e=0;do{f[H+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[E>>2]|0))}E=f[q+44>>2]|0;if((E|0)!=(g|0))tE(E);E=n+36|0;g=f[E>>2]|0;do if(g|0){q=g+12|0;e=f[q>>2]|0;f[q>>2]=e+-1;if((e|0)!=1)break;lP(n)}while(0);f[E>>2]=0;E=n+16|0;g=n+4|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[g>>2]|0)>0){E=f[n+40>>2]|0;e=0;do{f[E+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[g>>2]|0))}g=f[n+44>>2]|0;if((g|0)!=(n+48|0))tE(g);g=m+36|0;n=f[g>>2]|0;do if(n|0){e=n+12|0;E=f[e>>2]|0;f[e>>2]=E+-1;if((E|0)!=1)break;lP(m)}while(0);f[g>>2]=0;g=m+4|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[g>>2]|0)>0){G=f[m+40>>2]|0;n=0;do{f[G+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[g>>2]|0))}g=f[m+44>>2]|0;if((g|0)!=(w|0))tE(g);if(!(f[l+4>>2]|0)){u=j;return}u=j;return}function Zsa(a,b,c,d,e,g,h,i,j,k,l,m,n){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0.0,B=0;o=u;u=u+336|0;q=o+272|0;r=o+208|0;s=o+216|0;t=o+192|0;v=o+200|0;w=o+32|0;x=o;f[r>>2]=d;f[r+4>>2]=e;mD(q,r,a,b,c);f[t>>2]=i;f[t+4>>2]=j;mD(s,t,a,g,h);h=s+8|0;g=f[h>>2]|0;f[v>>2]=0;f[v+4>>2]=g;y=+p[n+8>>3];z=+p[n+16>>3];A=+p[n+24>>3];p[x>>3]=+p[n>>3];p[x+8>>3]=y;p[x+16>>3]=z;p[x+24>>3]=A;_sa(w,q,s,k,l,m,x);x=s+4|0;m=f[x>>2]|0;if((m|0)<3)B=Y(f[s+12>>2]|0,f[h>>2]|0)|0;else{h=f[s+40>>2]|0;l=0;k=1;while(1){n=Y(f[h+(l<<2)>>2]|0,k)|0;l=l+1|0;if((l|0)==(m|0)){B=n;break}else k=n}}oU(v,w,+(B>>>0)*.0000152587890625);$sa(w);w=s+36|0;B=f[w>>2]|0;if(B|0?(v=B+12|0,B=f[v>>2]|0,f[v>>2]=B+-1,(B|0)==1):0)lP(s);f[w>>2]=0;w=s+16|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[x>>2]|0)>0){w=f[s+40>>2]|0;B=0;do{f[w+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[x>>2]|0))}x=f[s+44>>2]|0;if((x|0)!=(s+48|0))tE(x);x=q+36|0;s=f[x>>2]|0;if(s|0?(B=s+12|0,s=f[B>>2]|0,f[B>>2]=s+-1,(s|0)==1):0)lP(q);f[x>>2]=0;x=q+16|0;s=q+4|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[s>>2]|0)>0){x=f[q+40>>2]|0;B=0;do{f[x+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[s>>2]|0))}s=f[q+44>>2]|0;if((s|0)==(q+48|0)){u=o;return}tE(s);u=o;return}function _sa(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0.0,t=0,u=0,v=0.0,w=0,x=0,y=0.0,z=0,A=0,B=0.0,C=0;f[a>>2]=70412;i=a+4|0;f[i>>2]=f[b>>2];j=a+8|0;k=b+4|0;f[j>>2]=f[k>>2];l=a+12|0;f[l>>2]=f[b+8>>2];f[a+16>>2]=f[b+12>>2];f[a+20>>2]=f[b+16>>2];f[a+24>>2]=f[b+20>>2];f[a+28>>2]=f[b+24>>2];f[a+32>>2]=f[b+28>>2];f[a+36>>2]=f[b+32>>2];m=f[b+36>>2]|0;f[a+40>>2]=m;f[a+44>>2]=l;l=a+52|0;n=a+48|0;f[n>>2]=l;f[l>>2]=0;f[a+56>>2]=0;if(m|0){l=m+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[k>>2]|0)<3){k=f[b+44>>2]|0;l=f[n>>2]|0;f[l>>2]=f[k>>2];f[l+4>>2]=f[k+4>>2]}else{f[j>>2]=0;kP(i,b)}b=a+60|0;f[b>>2]=f[c>>2];i=a+64|0;j=c+4|0;f[i>>2]=f[j>>2];k=a+68|0;f[k>>2]=f[c+8>>2];f[a+72>>2]=f[c+12>>2];f[a+76>>2]=f[c+16>>2];f[a+80>>2]=f[c+20>>2];f[a+84>>2]=f[c+24>>2];f[a+88>>2]=f[c+28>>2];f[a+92>>2]=f[c+32>>2];l=f[c+36>>2]|0;f[a+96>>2]=l;f[a+100>>2]=k;k=a+108|0;n=a+104|0;f[n>>2]=k;f[k>>2]=0;f[a+112>>2]=0;if(l|0){k=l+12|0;f[k>>2]=(f[k>>2]|0)+1}if((f[j>>2]|0)<3){j=f[c+44>>2]|0;k=f[n>>2]|0;f[k>>2]=f[j>>2];f[k+4>>2]=f[j+4>>2];o=a+116|0;f[o>>2]=d;q=a+120|0;f[q>>2]=e;r=a+124|0;f[r>>2]=g;s=+p[h>>3];t=a+128|0;p[t>>3]=s;u=h+8|0;v=+p[u>>3];w=a+136|0;p[w>>3]=v;x=h+16|0;y=+p[x>>3];z=a+144|0;p[z>>3]=y;A=h+24|0;B=+p[A>>3];C=a+152|0;p[C>>3]=B;return}else{f[i>>2]=0;kP(b,c);o=a+116|0;f[o>>2]=d;q=a+120|0;f[q>>2]=e;r=a+124|0;f[r>>2]=g;s=+p[h>>3];t=a+128|0;p[t>>3]=s;u=h+8|0;v=+p[u>>3];w=a+136|0;p[w>>3]=v;x=h+16|0;y=+p[x>>3];z=a+144|0;p[z>>3]=y;A=h+24|0;B=+p[A>>3];C=a+152|0;p[C>>3]=B;return}}function $sa(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=70412;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))tE(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;tE(b);return}function ata(a){a=a|0;$sa(a);Emc(a);return}function bta(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0.0,bb=0.0,cb=0.0,db=0.0,eb=0.0,fb=0.0,gb=0.0,hb=0.0,ib=0.0,jb=0.0,kb=0.0,lb=0.0,mb=0,nb=0,ob=0,pb=0.0,qb=0.0,rb=0.0,sb=0.0,tb=0,ub=0.0,vb=0.0,wb=0.0,xb=0,yb=0,zb=0,Ab=0,Bb=0;c=u;u=u+6480|0;e=c+2376|0;g=c+328|0;h=c+272|0;i=c+216|0;j=c+160|0;k=c+104|0;l=c+88|0;m=c+72|0;n=c+56|0;o=c;q=a+60|0;r=f[a+72>>2]|0;s=f[a+68>>2]|0;t=1024/(((s|0)<16?s:16)|0)|0;v=(r|0)<(t|0)?r:t;t=1024/(v|0)|0;w=(s|0)<(t|0)?s:t;t=f[b>>2]|0;s=b+4|0;if((t|0)>=(f[s>>2]|0)){u=c;return}b=(r|0)>0;x=h+4|0;y=h+8|0;z=h+12|0;A=h+16|0;B=h+20|0;C=h+24|0;D=h+28|0;E=h+40|0;F=h+48|0;G=h+44|0;H=h+52|0;I=i+4|0;J=i+8|0;K=i+40|0;L=i+48|0;M=i+44|0;N=i+52|0;O=k+4|0;P=k+8|0;Q=k+12|0;R=a+120|0;S=a+4|0;T=k+8|0;U=k+12|0;V=k+4|0;W=l+8|0;X=l+4|0;Z=m+8|0;_=m+12|0;$=m+4|0;aa=o+4|0;ba=o+8|0;ca=o+40|0;da=o+48|0;ea=o+44|0;fa=o+52|0;ga=n+8|0;ha=n+12|0;ia=n+4|0;ja=a+124|0;ka=a+128|0;la=o+36|0;ma=o+16|0;na=j+36|0;oa=j+16|0;pa=j+4|0;qa=j+40|0;ra=j+44|0;sa=j+48|0;ta=i+36|0;ua=i+16|0;va=h+36|0;wa=k+4|0;xa=k+8|0;ya=k+12|0;za=k+16|0;Aa=k+20|0;Ba=k+24|0;Ca=k+28|0;Da=k+40|0;Ea=k+48|0;Fa=k+44|0;Ga=k+52|0;Ha=l+8|0;Ia=l+12|0;Ja=l+4|0;Ka=m+8|0;La=m+4|0;Ma=n+8|0;Na=n+12|0;Oa=n+4|0;Pa=o+8|0;Qa=o+12|0;Ra=o+4|0;Sa=k+36|0;Ta=a+116|0;a=C+8|0;Ua=Ba+8|0;Va=t;do{if(b){t=0;do{Wa=r-t|0;Xa=(Wa|0)<(v|0)?Wa:v;Wa=(f[s>>2]|0)-Va|0;Ya=(Wa|0)<(w|0)?Wa:w;f[h>>2]=1124007947;f[x>>2]=2;f[y>>2]=Ya;f[z>>2]=Xa;f[A>>2]=e;f[B>>2]=e;Wa=a;f[Wa>>2]=0;f[Wa+4>>2]=0;f[E>>2]=y;f[G>>2]=F;Wa=Xa<<2;f[F>>2]=Wa;f[H>>2]=4;Za=e+(Y(Ya,Wa)|0)|0;f[D>>2]=Za;f[C>>2]=Za+(0-Wa)+Wa;hP(h);f[i>>2]=1124007936;Wa=I;Za=Wa+36|0;do{f[Wa>>2]=0;Wa=Wa+4|0}while((Wa|0)<(Za|0));f[K>>2]=J;f[M>>2]=L;f[L>>2]=0;f[N>>2]=0;f[k>>2]=t;f[O>>2]=Va;f[P>>2]=Xa;f[Q>>2]=Ya;pP(j,q,k);_a=(f[R>>2]|0)==0;if((Ya|0)>0){$a=f[Ta>>2]|0;ab=+p[$a>>3];bb=+(t|0);cb=bb*ab;db=+p[$a+8>>3];eb=+p[$a+16>>3];fb=+p[$a+24>>3];gb=bb*fb;hb=+p[$a+32>>3];ib=+p[$a+40>>3];jb=+p[$a+48>>3];kb=bb*jb;bb=+p[$a+56>>3];lb=+p[$a+64>>3];$a=(Xa|0)>0;mb=0;do{nb=Y(mb,Xa)|0;ob=e+(nb<<1<<1)|0;pb=+(mb+Va|0);qb=eb+(cb+pb*db);rb=ib+(gb+pb*hb);sb=lb+(kb+pb*bb);if(_a){if($a){tb=0;do{pb=+(tb|0);ub=sb+pb*jb;vb=ub!=0.0?1.0/ub:0.0;ub=vb*(qb+pb*ab);wb=ub<2147483647.0?ub:2147483647.0;ub=vb*(rb+pb*fb);pb=ub<2147483647.0?ub:2147483647.0;xb=V9b(wb>-2147483648.0?wb:-2147483648.0)|0;yb=V9b(pb>-2147483648.0?pb:-2147483648.0)|0;zb=tb<<1;d[ob+(zb<<1)>>1]=(xb+32768|0)>>>0<65536?xb:(xb|0)>0?32767:32768;d[ob+((zb|1)<<1)>>1]=(yb+32768|0)>>>0<65536?yb:(yb|0)>0?32767:32768;tb=tb+1|0}while((tb|0)<(Xa|0))}}else{tb=g+(nb<<1)|0;if($a){yb=0;do{pb=+(yb|0);wb=sb+pb*jb;ub=wb!=0.0?32.0/wb:0.0;wb=ub*(qb+pb*ab);vb=wb<2147483647.0?wb:2147483647.0;wb=ub*(rb+pb*fb);pb=wb<2147483647.0?wb:2147483647.0;zb=V9b(vb>-2147483648.0?vb:-2147483648.0)|0;xb=V9b(pb>-2147483648.0?pb:-2147483648.0)|0;Ab=zb>>5;Bb=yb<<1;d[ob+(Bb<<1)>>1]=(Ab+32768|0)>>>0<65536?Ab:(Ab|0)>0?32767:32768;Ab=xb>>5;d[ob+((Bb|1)<<1)>>1]=(Ab+32768|0)>>>0<65536?Ab:(Ab|0)>0?32767:32768;d[tb+(yb<<1)>>1]=xb<<5&992|zb&31;yb=yb+1|0}while((yb|0)<(Xa|0))}}mb=mb+1|0}while((mb|0)<(Ya|0))}if(_a){f[T>>2]=0;f[U>>2]=0;f[k>>2]=16842752;f[V>>2]=S;mb=W;f[mb>>2]=0;f[mb+4>>2]=0;f[l>>2]=33619968;f[X>>2]=j;f[Z>>2]=0;f[_>>2]=0;f[m>>2]=16842752;f[$>>2]=h;f[o>>2]=1124007936;Wa=aa;Za=Wa+36|0;do{f[Wa>>2]=0;Wa=Wa+4|0}while((Wa|0)<(Za|0));f[ca>>2]=ba;f[ea>>2]=da;f[da>>2]=0;f[fa>>2]=0;f[ga>>2]=0;f[ha>>2]=0;f[n>>2]=16842752;f[ia>>2]=o;usa(k,l,m,n,0,f[ja>>2]|0,ka);Wa=f[la>>2]|0;if(Wa|0?(Za=Wa+12|0,Wa=f[Za>>2]|0,f[Za>>2]=Wa+-1,(Wa|0)==1):0)lP(o);f[la>>2]=0;f[ma>>2]=0;f[ma+4>>2]=0;f[ma+8>>2]=0;f[ma+12>>2]=0;if((f[aa>>2]|0)>0){Wa=f[ca>>2]|0;Za=0;do{f[Wa+(Za<<2)>>2]=0;Za=Za+1|0}while((Za|0)<(f[aa>>2]|0))}Za=f[ea>>2]|0;if((Za|0)!=(da|0))tE(Za)}else{f[k>>2]=1124007938;f[wa>>2]=2;f[xa>>2]=Ya;f[ya>>2]=Xa;f[za>>2]=g;f[Aa>>2]=g;Za=Ua;f[Za>>2]=0;f[Za+4>>2]=0;f[Da>>2]=xa;f[Fa>>2]=Ea;Za=Xa<<1;f[Ea>>2]=Za;f[Ga>>2]=2;Wa=g+((Y(Ya,Xa)|0)<<1)|0;f[Ca>>2]=Wa;f[Ba>>2]=Wa+(0-Za)+Za;hP(k);f[Ha>>2]=0;f[Ia>>2]=0;f[l>>2]=16842752;f[Ja>>2]=S;Za=Ka;f[Za>>2]=0;f[Za+4>>2]=0;f[m>>2]=33619968;f[La>>2]=j;f[Ma>>2]=0;f[Na>>2]=0;f[n>>2]=16842752;f[Oa>>2]=h;f[Pa>>2]=0;f[Qa>>2]=0;f[o>>2]=16842752;f[Ra>>2]=k;usa(l,m,n,o,f[R>>2]|0,f[ja>>2]|0,ka);Za=f[Sa>>2]|0;if(Za|0?(Wa=Za+12|0,Za=f[Wa>>2]|0,f[Wa>>2]=Za+-1,(Za|0)==1):0)lP(k);f[Sa>>2]=0;f[za>>2]=0;f[za+4>>2]=0;f[za+8>>2]=0;f[za+12>>2]=0;if((f[wa>>2]|0)>0){Za=f[Da>>2]|0;Wa=0;do{f[Za+(Wa<<2)>>2]=0;Wa=Wa+1|0}while((Wa|0)<(f[wa>>2]|0))}Wa=f[Fa>>2]|0;if((Wa|0)!=(Ea|0))tE(Wa)}Wa=f[na>>2]|0;if(Wa|0?(Za=Wa+12|0,Wa=f[Za>>2]|0,f[Za>>2]=Wa+-1,(Wa|0)==1):0)lP(j);f[na>>2]=0;f[oa>>2]=0;f[oa+4>>2]=0;f[oa+8>>2]=0;f[oa+12>>2]=0;if((f[pa>>2]|0)>0){Wa=f[qa>>2]|0;Za=0;do{f[Wa+(Za<<2)>>2]=0;Za=Za+1|0}while((Za|0)<(f[pa>>2]|0))}Za=f[ra>>2]|0;if((Za|0)!=(sa|0))tE(Za);Za=f[ta>>2]|0;if(Za|0?(Wa=Za+12|0,Za=f[Wa>>2]|0,f[Wa>>2]=Za+-1,(Za|0)==1):0)lP(i);f[ta>>2]=0;f[ua>>2]=0;f[ua+4>>2]=0;f[ua+8>>2]=0;f[ua+12>>2]=0;if((f[I>>2]|0)>0){Za=f[K>>2]|0;Wa=0;do{f[Za+(Wa<<2)>>2]=0;Wa=Wa+1|0}while((Wa|0)<(f[I>>2]|0))}Wa=f[M>>2]|0;if((Wa|0)!=(L|0))tE(Wa);Wa=f[va>>2]|0;if(Wa|0?(Za=Wa+12|0,Wa=f[Za>>2]|0,f[Za>>2]=Wa+-1,(Wa|0)==1):0)lP(h);f[va>>2]=0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[x>>2]|0)>0){Wa=f[E>>2]|0;Za=0;do{f[Wa+(Za<<2)>>2]=0;Za=Za+1|0}while((Za|0)<(f[x>>2]|0))}Za=f[G>>2]|0;if((Za|0)!=(F|0))tE(Za);t=t+v|0}while((r|0)>(t|0))}Va=Va+w|0}while((Va|0)<(f[s>>2]|0));u=c;return}function cta(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;j=u;u=u+352|0;k=j;l=j+336|0;m=j+280|0;n=j+216|0;o=j+272|0;p=j+160|0;q=j+104|0;r=j+88|0;s=j+72|0;zT(l,70424);if(!(AD(a,-1)|0)){f[k>>2]=0;f[k+4>>2]=0;t=YG(k,16)|0;v=294287;w=t+16|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,k,294304,293344,2903)}do if((pD(a)|0)==65536){x=f[a+4>>2]|0;f[m>>2]=f[x>>2];y=m+4|0;z=x+4|0;f[y>>2]=f[z>>2];A=m+8|0;f[A>>2]=f[x+8>>2];f[m+12>>2]=f[x+12>>2];f[m+16>>2]=f[x+16>>2];f[m+20>>2]=f[x+20>>2];f[m+24>>2]=f[x+24>>2];f[m+28>>2]=f[x+28>>2];f[m+32>>2]=f[x+32>>2];B=f[x+36>>2]|0;f[m+36>>2]=B;f[m+40>>2]=A;A=m+48|0;C=m+44|0;f[C>>2]=A;f[A>>2]=0;f[m+52>>2]=0;if(B|0){A=B+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[z>>2]|0)<3){z=f[x+44>>2]|0;A=f[C>>2]|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];break}else{f[y>>2]=0;kP(m,x);break}}else lD(m,a,-1);while(0);do if((pD(d)|0)==65536){a=f[d+4>>2]|0;f[n>>2]=f[a>>2];x=n+4|0;y=a+4|0;f[x>>2]=f[y>>2];z=n+8|0;f[z>>2]=f[a+8>>2];f[n+12>>2]=f[a+12>>2];f[n+16>>2]=f[a+16>>2];f[n+20>>2]=f[a+20>>2];f[n+24>>2]=f[a+24>>2];f[n+28>>2]=f[a+28>>2];f[n+32>>2]=f[a+32>>2];A=f[a+36>>2]|0;f[n+36>>2]=A;f[n+40>>2]=z;z=n+48|0;C=n+44|0;f[C>>2]=z;f[z>>2]=0;f[n+52>>2]=0;if(A|0){z=A+12|0;f[z>>2]=(f[z>>2]|0)+1}if((f[y>>2]|0)<3){y=f[a+44>>2]|0;z=f[C>>2]|0;f[z>>2]=f[y>>2];f[z+4>>2]=f[y+4>>2];break}else{f[x>>2]=0;kP(n,a);break}}else lD(n,d,-1);while(0);d=f[e>>2]|0;a=f[e+4>>2]|0;if(!(Y(a,d)|0)){e=f[m+40>>2]|0;D=f[e>>2]|0;E=f[e+4>>2]|0}else{D=a;E=d}f[o>>2]=E;f[o+4>>2]=D;HD(c,o,f[m>>2]&4095,-1,0,0);do if((pD(c)|0)==65536){o=f[c+4>>2]|0;f[p>>2]=f[o>>2];D=p+4|0;E=o+4|0;f[D>>2]=f[E>>2];d=p+8|0;f[d>>2]=f[o+8>>2];f[p+12>>2]=f[o+12>>2];a=p+16|0;f[a>>2]=f[o+16>>2];f[p+20>>2]=f[o+20>>2];f[p+24>>2]=f[o+24>>2];f[p+28>>2]=f[o+28>>2];f[p+32>>2]=f[o+32>>2];e=f[o+36>>2]|0;f[p+36>>2]=e;f[p+40>>2]=d;d=p+48|0;x=p+44|0;f[x>>2]=d;f[d>>2]=0;f[p+52>>2]=0;if(e|0){d=e+12|0;f[d>>2]=(f[d>>2]|0)+1}if((f[E>>2]|0)<3){E=f[o+44>>2]|0;d=f[x>>2]|0;f[d>>2]=f[E>>2];f[d+4>>2]=f[E+4>>2];F=a;break}else{f[D>>2]=0;kP(p,o);F=a;break}}else{lD(p,c,-1);F=p+16|0}while(0);c=m+16|0;if((f[F>>2]|0)==(f[c>>2]|0)){f[q>>2]=1124007936;a=q+4|0;o=q+8|0;D=q+40|0;t=a;w=t+36|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(w|0));f[D>>2]=o;E=q+48|0;d=q+44|0;f[d>>2]=E;f[E>>2]=0;f[q+52>>2]=0;x=k+8|0;f[x>>2]=0;f[x+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=q;kT(m,k);x=q+36|0;e=f[x>>2]|0;if(e|0){y=e+12|0;f[y>>2]=(f[y>>2]|0)+1}y=m+36|0;e=f[y>>2]|0;if(e|0?(z=e+12|0,e=f[z>>2]|0,f[z>>2]=e+-1,(e|0)==1):0)lP(m);f[y>>2]=0;e=m+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[e>>2]|0)>0){z=f[m+40>>2]|0;C=0;do{f[z+(C<<2)>>2]=0;C=C+1|0;G=f[e>>2]|0}while((C|0)<(G|0));f[m>>2]=f[q>>2];if((G|0)<3)H=37;else H=39}else{f[m>>2]=f[q>>2];H=37}if((H|0)==37){G=f[a>>2]|0;if((G|0)<3){f[e>>2]=G;f[m+8>>2]=f[o>>2];f[m+12>>2]=f[q+12>>2];o=f[d>>2]|0;G=f[m+44>>2]|0;f[G>>2]=f[o>>2];f[G+4>>2]=f[o+4>>2]}else H=39}if((H|0)==39)kP(m,q);H=q+16|0;f[c>>2]=f[H>>2];f[m+20>>2]=f[q+20>>2];f[m+24>>2]=f[q+24>>2];f[m+28>>2]=f[q+28>>2];f[m+32>>2]=f[q+32>>2];o=f[x>>2]|0;f[y>>2]=o;if(o|0?(y=o+12|0,o=f[y>>2]|0,f[y>>2]=o+-1,(o|0)==1):0)lP(q);f[x>>2]=0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[a>>2]|0)>0){H=f[D>>2]|0;D=0;do{f[H+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[a>>2]|0))}a=f[d>>2]|0;if((a|0)!=(E|0))tE(a)}f[q>>2]=1124007942;a=q+4|0;f[a>>2]=2;E=q+8|0;f[E>>2]=3;f[q+12>>2]=3;d=q+16|0;f[d>>2]=k;f[q+20>>2]=k;D=q+24|0;H=q+40|0;x=D+8|0;f[x>>2]=0;f[x+4>>2]=0;f[H>>2]=E;E=q+48|0;x=q+44|0;f[x>>2]=E;f[E>>2]=24;f[q+52>>2]=8;f[q+28>>2]=k+72;f[D>>2]=k+72;hP(q);k=g&7;D=(k|0)==3?1:k;if(((f[n>>2]&4095)+-5|0)>>>0>=2){f[r>>2]=0;I=r+4|0;f[I>>2]=0;J=YG(r,76)|0;t=J;v=294320;w=t+76|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,r,294304,293344,2927)}if((f[n+8>>2]|0)!=3){f[r>>2]=0;I=r+4|0;f[I>>2]=0;J=YG(r,76)|0;t=J;v=294320;w=t+76|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,r,294304,293344,2927)}if((f[n+12>>2]|0)!=3){f[r>>2]=0;I=r+4|0;f[I>>2]=0;J=YG(r,76)|0;t=J;v=294320;w=t+76|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,r,294304,293344,2927)}v=r+8|0;f[v>>2]=0;f[v+4>>2]=0;f[r>>2]=33619968;f[r+4>>2]=q;IO(n,r,f[q>>2]&4095,1.0,0.0);if(!(g&16)){f[r+8>>2]=0;f[r+12>>2]=0;f[r>>2]=16842752;f[r+4>>2]=q;g=s+8|0;f[g>>2]=0;f[g+4>>2]=0;f[s>>2]=33619968;f[s+4>>2]=q;+zU(r,s,0)}s=m+48|0;r=p+48|0;Zsa(f[m>>2]&4095,f[c>>2]|0,f[s>>2]|0,f[m+12>>2]|0,f[m+8>>2]|0,f[F>>2]|0,f[r>>2]|0,f[p+12>>2]|0,f[p+8>>2]|0,f[d>>2]|0,D,h,i);i=q+36|0;h=f[i>>2]|0;if(h|0?(D=h+12|0,h=f[D>>2]|0,f[D>>2]=h+-1,(h|0)==1):0)lP(q);f[i>>2]=0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[a>>2]|0)>0){d=f[H>>2]|0;H=0;do{f[d+(H<<2)>>2]=0;H=H+1|0}while((H|0)<(f[a>>2]|0))}a=f[x>>2]|0;if((a|0)!=(E|0))tE(a);a=p+36|0;E=f[a>>2]|0;if(E|0?(x=E+12|0,E=f[x>>2]|0,f[x>>2]=E+-1,(E|0)==1):0)lP(p);f[a>>2]=0;a=p+4|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[a>>2]|0)>0){F=f[p+40>>2]|0;E=0;do{f[F+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[a>>2]|0))}a=f[p+44>>2]|0;if((a|0)!=(r|0))tE(a);a=n+36|0;r=f[a>>2]|0;if(r|0?(p=r+12|0,r=f[p>>2]|0,f[p>>2]=r+-1,(r|0)==1):0)lP(n);f[a>>2]=0;a=n+16|0;r=n+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[r>>2]|0)>0){a=f[n+40>>2]|0;p=0;do{f[a+(p<<2)>>2]=0;p=p+1|0}while((p|0)<(f[r>>2]|0))}r=f[n+44>>2]|0;if((r|0)!=(n+48|0))tE(r);r=m+36|0;n=f[r>>2]|0;do if(n|0){p=n+12|0;a=f[p>>2]|0;f[p>>2]=a+-1;if((a|0)!=1)break;lP(m)}while(0);f[r>>2]=0;r=m+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[r>>2]|0)>0){c=f[m+40>>2]|0;n=0;do{f[c+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[r>>2]|0))}r=f[m+44>>2]|0;if((r|0)!=(s|0))tE(r);if(!(f[l+4>>2]|0)){u=j;return}u=j;return}function dta(a,b,c,d){a=a|0;b=b|0;c=+c;d=+d;var e=0,g=0,h=0,i=0.0,j=0.0,k=0,l=0,m=0,o=0,q=0.0;e=u;u=u+16|0;g=e+8|0;h=e;zT(h,70444);i=c*.017453292519943295;c=+O(+i)*d;j=+P(+i)*d;f[a>>2]=1124007936;k=a+8|0;l=a+40|0;m=a+4|0;o=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(o|0));f[l>>2]=k;k=a+48|0;f[a+44>>2]=k;f[k>>2]=0;f[a+52>>2]=0;f[g>>2]=2;f[g+4>>2]=3;iP(a,2,g,6);g=f[a+16>>2]|0;p[g>>3]=c;p[g+8>>3]=j;d=1.0-c;i=+n[b>>2];q=+n[b+4>>2];p[g+16>>3]=d*i-j*q;p[g+24>>3]=-j;p[g+32>>3]=c;p[g+40>>3]=j*i+d*q;if(!(f[h+4>>2]|0)){u=e;return}u=e;return}function eta(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0.0,K=0,L=0.0,M=0,N=0.0;e=u;u=u+800|0;g=e+64|0;h=e+792|0;i=e+736|0;j=e;k=e+680|0;l=e+624|0;m=e+608|0;o=e+592|0;q=e+576|0;zT(h,70464);f[a>>2]=1124007936;r=a+8|0;s=a+40|0;t=a+4|0;v=t+36|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(v|0));f[s>>2]=r;r=a+48|0;f[a+44>>2]=r;f[r>>2]=0;f[a+52>>2]=0;f[g>>2]=3;f[g+4>>2]=3;iP(a,2,g,6);r=a+16|0;a=f[r>>2]|0;f[i>>2]=1124007942;s=i+4|0;f[s>>2]=2;w=i+8|0;f[w>>2]=8;f[i+12>>2]=1;x=i+16|0;f[x>>2]=a;f[i+20>>2]=a;y=i+24|0;z=i+40|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;f[z>>2]=w;w=i+48|0;A=i+44|0;f[A>>2]=w;B=i+52|0;f[B>>2]=0;f[w>>2]=0;if(!a){f[g>>2]=0;f[g+4>>2]=0;t=YG(g,28)|0;C=294548;v=t+28|0;do{b[t>>0]=b[C>>0]|0;t=t+1|0;C=C+1|0}while((t|0)<(v|0));SQ(-215,g,294577,465158,579)}f[w>>2]=8;f[B>>2]=8;B=a+64|0;f[i+28>>2]=B;f[y>>2]=B;hP(i);f[k>>2]=1124007942;B=k+4|0;f[B>>2]=2;y=k+8|0;f[y>>2]=8;f[k+12>>2]=8;a=k+16|0;f[a>>2]=g;f[k+20>>2]=g;C=k+24|0;t=k+40|0;v=C+8|0;f[v>>2]=0;f[v+4>>2]=0;f[t>>2]=y;y=k+48|0;v=k+44|0;f[v>>2]=y;f[y>>2]=64;f[k+52>>2]=8;f[k+28>>2]=g+512;f[C>>2]=g+512;hP(k);f[l>>2]=1124007942;C=l+4|0;f[C>>2]=2;D=l+8|0;f[D>>2]=8;f[l+12>>2]=1;E=l+16|0;f[E>>2]=j;f[l+20>>2]=j;F=l+24|0;G=l+40|0;H=F+8|0;f[H>>2]=0;f[H+4>>2]=0;f[G>>2]=D;D=l+48|0;H=l+44|0;f[H>>2]=D;f[D>>2]=8;f[l+52>>2]=8;f[l+28>>2]=j+64;f[F>>2]=j+64;hP(l);F=0;do{I=+n[c+(F<<3)>>2];J=I;K=F+4|0;p[g+(K<<6)+24>>3]=J;p[g+(F<<6)>>3]=J;J=+n[c+(F<<3)+4>>2];L=J;p[g+(K<<6)+32>>3]=L;p[g+(F<<6)+8>>3]=L;p[g+(K<<6)+40>>3]=1.0;p[g+(F<<6)+16>>3]=1.0;M=g+(K<<6)|0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;f[M+16>>2]=0;f[M+20>>2]=0;M=g+(F<<6)+24|0;L=-I;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;f[M+16>>2]=0;f[M+20>>2]=0;I=+n[d+(F<<3)>>2];p[g+(F<<6)+48>>3]=I*L;N=-J;p[g+(F<<6)+56>>3]=I*N;J=+n[d+(F<<3)+4>>2];p[g+(K<<6)+48>>3]=J*L;p[g+(K<<6)+56>>3]=J*N;p[j+(F<<3)>>3]=I;p[j+(K<<3)>>3]=J;F=F+1|0}while((F|0)!=4);if((b[528136]|0)==0?src(528136)|0:0){F=_R(294581,0)|0;f[222560]=F}f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=k;f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=l;F=q+8|0;f[F>>2]=0;f[F+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=i;IU(m,o,q,f[222560]|0)|0;p[(f[r>>2]|0)+64>>3]=1.0;r=l+36|0;q=f[r>>2]|0;if(q|0?(o=q+12|0,q=f[o>>2]|0,f[o>>2]=q+-1,(q|0)==1):0)lP(l);f[r>>2]=0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[C>>2]|0)>0){E=f[G>>2]|0;G=0;do{f[E+(G<<2)>>2]=0;G=G+1|0}while((G|0)<(f[C>>2]|0))}C=f[H>>2]|0;if((C|0)!=(D|0))tE(C);C=k+36|0;D=f[C>>2]|0;if(D|0?(H=D+12|0,D=f[H>>2]|0,f[H>>2]=D+-1,(D|0)==1):0)lP(k);f[C>>2]=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[B>>2]|0)>0){a=f[t>>2]|0;t=0;do{f[a+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[B>>2]|0))}B=f[v>>2]|0;if((B|0)!=(y|0))tE(B);B=i+36|0;y=f[B>>2]|0;if(y|0?(v=y+12|0,y=f[v>>2]|0,f[v>>2]=y+-1,(y|0)==1):0)lP(i);f[B>>2]=0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[s>>2]|0)>0){x=f[z>>2]|0;z=0;do{f[x+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[s>>2]|0))}s=f[A>>2]|0;if((s|0)!=(w|0))tE(s);if(!(f[h+4>>2]|0)){u=e;return}u=e;return}function fta(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0;e=u;u=u+560|0;g=e+48|0;h=e+496|0;i=e;j=e+440|0;k=e+384|0;l=e+368|0;m=e+352|0;o=e+336|0;f[a>>2]=1124007936;q=a+8|0;r=a+40|0;s=a+4|0;t=s+36|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(t|0));f[r>>2]=q;q=a+48|0;f[a+44>>2]=q;f[q>>2]=0;f[a+52>>2]=0;f[g>>2]=2;f[g+4>>2]=3;iP(a,2,g,6);q=f[a+16>>2]|0;f[h>>2]=1124007942;a=h+4|0;f[a>>2]=2;r=h+8|0;f[r>>2]=6;f[h+12>>2]=1;v=h+16|0;f[v>>2]=q;f[h+20>>2]=q;w=h+24|0;x=h+40|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;f[x>>2]=r;r=h+48|0;y=h+44|0;f[y>>2]=r;z=h+52|0;f[z>>2]=0;f[r>>2]=0;if(!q){f[g>>2]=0;f[g+4>>2]=0;s=YG(g,28)|0;A=294548;t=s+28|0;do{b[s>>0]=b[A>>0]|0;s=s+1|0;A=A+1|0}while((s|0)<(t|0));SQ(-215,g,294577,465158,579)}f[r>>2]=8;f[z>>2]=8;z=q+48|0;f[h+28>>2]=z;f[w>>2]=z;hP(h);f[j>>2]=1124007942;z=j+4|0;f[z>>2]=2;w=j+8|0;f[w>>2]=6;f[j+12>>2]=6;q=j+16|0;f[q>>2]=g;f[j+20>>2]=g;A=j+24|0;B=j+40|0;C=A+8|0;f[C>>2]=0;f[C+4>>2]=0;f[B>>2]=w;w=j+48|0;C=j+44|0;f[C>>2]=w;f[w>>2]=48;f[j+52>>2]=8;f[j+28>>2]=g+288;f[A>>2]=g+288;hP(j);f[k>>2]=1124007942;A=k+4|0;f[A>>2]=2;D=k+8|0;f[D>>2]=6;f[k+12>>2]=1;E=k+16|0;f[E>>2]=i;f[k+20>>2]=i;F=k+24|0;G=k+40|0;H=F+8|0;f[H>>2]=0;f[H+4>>2]=0;f[G>>2]=D;D=k+48|0;H=k+44|0;f[H>>2]=D;f[D>>2]=8;f[k+52>>2]=8;f[k+28>>2]=i+48;f[F>>2]=i+48;hP(k);I=+n[c>>2];p[g+72>>3]=I;p[g>>3]=I;I=+n[c+4>>2];p[g+80>>3]=I;p[g+8>>3]=I;p[g+88>>3]=1.0;p[g+16>>3]=1.0;s=g+24|0;t=s+48|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(t|0));p[i>>3]=+n[d>>2];p[i+8>>3]=+n[d+4>>2];I=+n[c+8>>2];p[g+168>>3]=I;p[g+96>>3]=I;I=+n[c+12>>2];p[g+176>>3]=I;p[g+104>>3]=I;p[g+184>>3]=1.0;p[g+112>>3]=1.0;F=d+8|0;s=g+120|0;t=s+48|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(t|0));p[i+16>>3]=+n[F>>2];p[i+24>>3]=+n[d+12>>2];I=+n[c+16>>2];p[g+264>>3]=I;p[g+192>>3]=I;I=+n[c+20>>2];p[g+272>>3]=I;p[g+200>>3]=I;p[g+280>>3]=1.0;p[g+208>>3]=1.0;c=d+16|0;s=g+216|0;t=s+48|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(t|0));p[i+32>>3]=+n[c>>2];p[i+40>>3]=+n[d+20>>2];f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=j;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=k;d=o+8|0;f[d>>2]=0;f[d+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=h;IU(l,m,o,0)|0;o=k+36|0;m=f[o>>2]|0;if(m|0?(l=m+12|0,m=f[l>>2]|0,f[l>>2]=m+-1,(m|0)==1):0)lP(k);f[o>>2]=0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[A>>2]|0)>0){E=f[G>>2]|0;G=0;do{f[E+(G<<2)>>2]=0;G=G+1|0}while((G|0)<(f[A>>2]|0))}A=f[H>>2]|0;if((A|0)!=(D|0))tE(A);A=j+36|0;D=f[A>>2]|0;if(D|0?(H=D+12|0,D=f[H>>2]|0,f[H>>2]=D+-1,(D|0)==1):0)lP(j);f[A>>2]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[z>>2]|0)>0){q=f[B>>2]|0;B=0;do{f[q+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[z>>2]|0))}z=f[C>>2]|0;if((z|0)!=(w|0))tE(z);z=h+36|0;w=f[z>>2]|0;if(w|0?(C=w+12|0,w=f[C>>2]|0,f[C>>2]=w+-1,(w|0)==1):0)lP(h);f[z>>2]=0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[a>>2]|0)>0){v=f[x>>2]|0;x=0;do{f[v+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[a>>2]|0))}a=f[y>>2]|0;if((a|0)==(r|0)){u=e;return}tE(a);u=e;return}function gta(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=u;u=u+128|0;g=e+64|0;h=e+8|0;i=e;do if((pD(c)|0)==65536){j=f[c+4>>2]|0;f[g>>2]=f[j>>2];k=g+4|0;l=j+4|0;f[k>>2]=f[l>>2];m=g+8|0;f[m>>2]=f[j+8>>2];f[g+12>>2]=f[j+12>>2];f[g+16>>2]=f[j+16>>2];f[g+20>>2]=f[j+20>>2];f[g+24>>2]=f[j+24>>2];f[g+28>>2]=f[j+28>>2];f[g+32>>2]=f[j+32>>2];n=f[j+36>>2]|0;f[g+36>>2]=n;f[g+40>>2]=m;m=g+48|0;o=g+44|0;f[o>>2]=m;f[m>>2]=0;f[g+52>>2]=0;if(n|0){m=n+12|0;f[m>>2]=(f[m>>2]|0)+1}if((f[l>>2]|0)<3){l=f[j+44>>2]|0;m=f[o>>2]|0;f[m>>2]=f[l>>2];f[m+4>>2]=f[l+4>>2];break}else{f[k>>2]=0;kP(g,j);break}}else lD(g,c,-1);while(0);do if((pD(d)|0)==65536){c=f[d+4>>2]|0;f[h>>2]=f[c>>2];j=h+4|0;k=c+4|0;f[j>>2]=f[k>>2];l=h+8|0;f[l>>2]=f[c+8>>2];f[h+12>>2]=f[c+12>>2];f[h+16>>2]=f[c+16>>2];f[h+20>>2]=f[c+20>>2];f[h+24>>2]=f[c+24>>2];f[h+28>>2]=f[c+28>>2];f[h+32>>2]=f[c+32>>2];m=f[c+36>>2]|0;f[h+36>>2]=m;f[h+40>>2]=l;l=h+48|0;o=h+44|0;f[o>>2]=l;f[l>>2]=0;f[h+52>>2]=0;if(m|0){l=m+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[k>>2]|0)<3){k=f[c+44>>2]|0;l=f[o>>2]|0;f[l>>2]=f[k>>2];f[l+4>>2]=f[k+4>>2];break}else{f[j>>2]=0;kP(h,c);break}}else lD(h,d,-1);while(0);if((BP(g,2,5,1)|0)!=4){f[i>>2]=0;p=i+4|0;f[p>>2]=0;q=YG(i,66)|0;r=q;s=294703;t=r+66|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,i,294770,293344,3159)}if((BP(h,2,5,1)|0)!=4){f[i>>2]=0;p=i+4|0;f[p>>2]=0;q=YG(i,66)|0;r=q;s=294703;t=r+66|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,i,294770,293344,3159)}i=g+16|0;s=h+16|0;eta(a,f[i>>2]|0,f[s>>2]|0);a=h+36|0;r=f[a>>2]|0;if(r|0?(t=r+12|0,r=f[t>>2]|0,f[t>>2]=r+-1,(r|0)==1):0)lP(h);f[a>>2]=0;a=h+4|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[a>>2]|0)>0){s=f[h+40>>2]|0;r=0;do{f[s+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[a>>2]|0))}a=f[h+44>>2]|0;if((a|0)!=(h+48|0))tE(a);a=g+36|0;h=f[a>>2]|0;if(h|0?(r=h+12|0,h=f[r>>2]|0,f[r>>2]=h+-1,(h|0)==1):0)lP(g);f[a>>2]=0;a=g+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[a>>2]|0)>0){i=f[g+40>>2]|0;h=0;do{f[i+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[a>>2]|0))}a=f[g+44>>2]|0;if((a|0)==(g+48|0)){u=e;return}tE(a);u=e;return}function hta(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=u;u=u+128|0;g=e+64|0;h=e+8|0;i=e;do if((pD(c)|0)==65536){j=f[c+4>>2]|0;f[g>>2]=f[j>>2];k=g+4|0;l=j+4|0;f[k>>2]=f[l>>2];m=g+8|0;f[m>>2]=f[j+8>>2];f[g+12>>2]=f[j+12>>2];f[g+16>>2]=f[j+16>>2];f[g+20>>2]=f[j+20>>2];f[g+24>>2]=f[j+24>>2];f[g+28>>2]=f[j+28>>2];f[g+32>>2]=f[j+32>>2];n=f[j+36>>2]|0;f[g+36>>2]=n;f[g+40>>2]=m;m=g+48|0;o=g+44|0;f[o>>2]=m;f[m>>2]=0;f[g+52>>2]=0;if(n|0){m=n+12|0;f[m>>2]=(f[m>>2]|0)+1}if((f[l>>2]|0)<3){l=f[j+44>>2]|0;m=f[o>>2]|0;f[m>>2]=f[l>>2];f[m+4>>2]=f[l+4>>2];break}else{f[k>>2]=0;kP(g,j);break}}else lD(g,c,-1);while(0);do if((pD(d)|0)==65536){c=f[d+4>>2]|0;f[h>>2]=f[c>>2];j=h+4|0;k=c+4|0;f[j>>2]=f[k>>2];l=h+8|0;f[l>>2]=f[c+8>>2];f[h+12>>2]=f[c+12>>2];f[h+16>>2]=f[c+16>>2];f[h+20>>2]=f[c+20>>2];f[h+24>>2]=f[c+24>>2];f[h+28>>2]=f[c+28>>2];f[h+32>>2]=f[c+32>>2];m=f[c+36>>2]|0;f[h+36>>2]=m;f[h+40>>2]=l;l=h+48|0;o=h+44|0;f[o>>2]=l;f[l>>2]=0;f[h+52>>2]=0;if(m|0){l=m+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[k>>2]|0)<3){k=f[c+44>>2]|0;l=f[o>>2]|0;f[l>>2]=f[k>>2];f[l+4>>2]=f[k+4>>2];break}else{f[j>>2]=0;kP(h,c);break}}else lD(h,d,-1);while(0);if((BP(g,2,5,1)|0)!=3){f[i>>2]=0;p=i+4|0;f[p>>2]=0;q=YG(i,66)|0;r=q;s=294794;t=r+66|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,i,294861,293344,3166)}if((BP(h,2,5,1)|0)!=3){f[i>>2]=0;p=i+4|0;f[p>>2]=0;q=YG(i,66)|0;r=q;s=294794;t=r+66|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,i,294861,293344,3166)}i=g+16|0;s=h+16|0;fta(a,f[i>>2]|0,f[s>>2]|0);a=h+36|0;r=f[a>>2]|0;if(r|0?(t=r+12|0,r=f[t>>2]|0,f[t>>2]=r+-1,(r|0)==1):0)lP(h);f[a>>2]=0;a=h+4|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[a>>2]|0)>0){s=f[h+40>>2]|0;r=0;do{f[s+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[a>>2]|0))}a=f[h+44>>2]|0;if((a|0)!=(h+48|0))tE(a);a=g+36|0;h=f[a>>2]|0;if(h|0?(r=h+12|0,h=f[r>>2]|0,f[r>>2]=h+-1,(h|0)==1):0)lP(g);f[a>>2]=0;a=g+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[a>>2]|0)>0){i=f[g+40>>2]|0;h=0;do{f[i+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[a>>2]|0))}a=f[g+44>>2]|0;if((a|0)==(g+48|0)){u=e;return}tE(a);u=e;return}function ita(a){a=a|0;Drc(a|0,0,192)|0;return}function jta(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0.0,J=0.0,K=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0.0,za=0.0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0.0,yb=0.0,zb=0.0,Ab=0.0,Bb=0.0,Cb=0.0,Db=0.0,Eb=0.0,Fb=0.0,Gb=0.0,Hb=0.0,Ib=0.0,Jb=0.0,Kb=0.0,Lb=0.0,Mb=0.0,Nb=0.0,Ob=0.0,Pb=0.0,Qb=0.0,Rb=0,Sb=0,Tb=0.0,Ub=0.0,Vb=0.0,Wb=0.0,Xb=0.0,Yb=0.0,Zb=0.0,_b=0.0,$b=0.0,ac=0.0;e=u;u=u+1344|0;g=e+264|0;h=e+256|0;i=e+320|0;j=e+248|0;k=e+192|0;l=e+136|0;m=e+8|0;o=e+120|0;q=e+104|0;r=e;s=e+88|0;zT(h,70484);t=oD(c,-1)|0;v=t&7;w=t&4088;nD(j,c,-1);if((f[j>>2]|0)>=1?(x=j+4|0,(f[x>>2]|0)>=1):0){do if((pD(c)|0)==65536){y=f[c+4>>2]|0;f[k>>2]=f[y>>2];z=k+4|0;A=y+4|0;f[z>>2]=f[A>>2];B=k+8|0;f[B>>2]=f[y+8>>2];f[k+12>>2]=f[y+12>>2];f[k+16>>2]=f[y+16>>2];f[k+20>>2]=f[y+20>>2];f[k+24>>2]=f[y+24>>2];f[k+28>>2]=f[y+28>>2];f[k+32>>2]=f[y+32>>2];C=f[y+36>>2]|0;f[k+36>>2]=C;f[k+40>>2]=B;B=k+48|0;D=k+44|0;f[D>>2]=B;f[B>>2]=0;f[k+52>>2]=0;if(C|0){B=C+12|0;f[B>>2]=(f[B>>2]|0)+1}if((f[A>>2]|0)<3){A=f[y+44>>2]|0;B=f[D>>2]|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];break}else{f[z>>2]=0;kP(k,y);break}}else lD(k,c,-1);while(0);if((v|1|0)==5&(BP(k,2,-1,1)|0)>-1){Drc(a|0,0,192)|0;c=BP(k,2,-1,1)|0;y=f[k>>2]|0;z=(y&7|0)==5;A=f[k+16>>2]|0;if((y&6|0)!=4){f[g>>2]=0;f[g+4>>2]=0;E=YG(g,54)|0;F=294880;G=E+54|0;do{b[E>>0]=b[F>>0]|0;E=E+1|0;F=F+1|0}while((E|0)<(G|0));SQ(-215,g,294935,294950,101)}if(c|0){y=c+-1|0;if(z){H=+n[A+(y<<3)+4>>2];I=+n[A+(y<<3)>>2]}else{H=+(f[A+(y<<3)+4>>2]|0);I=+(f[A+(y<<3)>>2]|0)}J=I*I;K=H*H;if((c|0)>0)if(z){z=0;N=0.0;O=0.0;P=K;Q=J;R=0.0;S=0.0;T=0.0;U=0.0;V=0.0;W=0.0;X=0.0;Z=0.0;_=I;$=H;while(1){aa=_;_=+n[A+(z<<3)>>2];ba=$;$=+n[A+(z<<3)+4>>2];ca=Q;Q=_*_;da=P;P=$*$;ea=aa*$-ba*_;fa=aa+_;ga=ba+$;ha=N+ea;ia=fa*ea;ja=O+ia;ka=ga*ea;la=R+ka;ma=S+ea*(Q+aa*fa);na=Z+ea*(aa*(ba+ga)+_*($+ga));oa=X+ea*(P+ba*ga);pa=W+(ca+Q)*ia;ia=T+(da+P)*ka;ka=V+ea*(ca*(ba*3.0+$)+aa*(_*2.0)*ga+Q*(ba+$*3.0));ga=U+ea*(P*(aa+_*3.0)+(da*(aa*3.0+_)+fa*(ba*($*2.0))));z=z+1|0;if((z|0)==(c|0)){qa=ha;ra=ja;sa=la;ta=ma;ua=ia;va=ga;wa=ka;xa=pa;ya=oa;za=na;break}else{N=ha;O=ja;R=la;S=ma;T=ia;U=ga;V=ka;W=pa;X=oa;Z=na}}}else{z=0;Z=0.0;X=0.0;W=K;K=J;J=0.0;V=0.0;U=0.0;T=0.0;S=0.0;R=0.0;O=0.0;N=0.0;$=I;I=H;while(1){H=$;$=+(f[A+(z<<3)>>2]|0);_=I;I=+(f[A+(z<<3)+4>>2]|0);P=K;K=$*$;Q=W;W=I*I;na=H*I-_*$;oa=H+$;pa=_+I;ka=Z+na;ga=oa*na;ia=X+ga;ma=pa*na;la=J+ma;ja=V+na*(K+H*oa);ha=N+na*(H*(_+pa)+$*(I+pa));ba=O+na*(W+_*pa);fa=R+(P+K)*ga;ga=U+(Q+W)*ma;ma=S+na*(P*(_*3.0+I)+H*($*2.0)*pa+K*(_+I*3.0));pa=T+na*(W*(H+$*3.0)+(Q*(H*3.0+$)+oa*(_*(I*2.0))));z=z+1|0;if((z|0)==(c|0)){qa=ka;ra=ia;sa=la;ta=ja;ua=ga;va=pa;wa=ma;xa=fa;ya=ba;za=ha;break}else{Z=ka;X=ia;J=la;V=ja;U=ga;T=pa;S=ma;R=fa;O=ba;N=ha}}}else{qa=0.0;ra=0.0;sa=0.0;ta=0.0;ua=0.0;va=0.0;wa=0.0;xa=0.0;ya=0.0;za=0.0}if(+L(+qa)>1.1920928955078125e-07){c=qa>0.0;N=c?.16666666666666666:-.16666666666666666;O=c?.08333333333333333:-.08333333333333333;R=c?.05:-.05;S=c?.016666666666666666:-.016666666666666666;T=qa*(c?.5:-.5);p[a>>3]=T;qa=ra*N;p[a+8>>3]=qa;ra=sa*N;p[a+16>>3]=ra;N=ta*O;p[a+24>>3]=N;ta=za*(c?.041666666666666664:-.041666666666666664);p[a+32>>3]=ta;za=ya*O;p[a+40>>3]=za;O=xa*R;p[a+48>>3]=O;xa=wa*S;p[a+56>>3]=xa;wa=va*S;p[a+64>>3]=wa;S=ua*R;p[a+72>>3]=S;c=+L(+T)>2.220446049250313e-16;R=1.0/T;T=c?R:0.0;ua=c?ra*R:0.0;va=c?qa*R:0.0;R=qa*va;ya=N-R;N=qa*ua;qa=ta-N;ta=ra*ua;sa=za-ta;p[a+80>>3]=ya;p[a+88>>3]=qa;p[a+96>>3]=sa;za=O-va*(R+ya*3.0);p[a+104>>3]=za;R=qa+qa;O=xa-va*(ra*va+R)-ua*ya;p[a+112>>3]=O;ra=wa-ua*(N+R)-va*sa;p[a+120>>3]=ra;va=S-ua*(ta+sa*3.0);p[a+128>>3]=va;ta=T*T;ua=ta*+M(+(+L(+T)));p[a+136>>3]=ta*ya;p[a+144>>3]=ta*qa;p[a+152>>3]=ta*sa;p[a+160>>3]=za*ua;p[a+168>>3]=O*ua;p[a+176>>3]=ra*ua;p[a+184>>3]=va*ua}}}else{if(w|0){f[g>>2]=0;f[g+4>>2]=0;E=YG(g,43)|0;F=295019;G=E+43|0;do{b[E>>0]=b[F>>0]|0;E=E+1|0;F=F+1|0}while((E|0)<(G|0));SQ(-5,g,295063,294950,681)}a:do if((v|0)==0|d)Aa=1075;else switch(t&7){case 2:{Aa=1076;break a;break}case 3:{Aa=1077;break a;break}case 5:{Aa=1078;break a;break}case 6:{Aa=1079;break a;break}default:{f[g>>2]=0;f[g+4>>2]=0;SQ(-210,g,295063,294950,696)}}while(0);f[g>>2]=f[k>>2];t=g+4|0;v=k+4|0;F=f[v>>2]|0;f[t>>2]=F;E=g+8|0;f[E>>2]=f[k+8>>2];f[g+12>>2]=f[k+12>>2];G=g+16|0;f[G>>2]=f[k+16>>2];f[g+20>>2]=f[k+20>>2];f[g+24>>2]=f[k+24>>2];f[g+28>>2]=f[k+28>>2];f[g+32>>2]=f[k+32>>2];w=g+36|0;c=f[k+36>>2]|0;f[w>>2]=c;z=g+40|0;f[z>>2]=E;E=g+48|0;A=g+44|0;f[A>>2]=E;f[E>>2]=0;f[g+52>>2]=0;if(!c)Ba=F;else{F=c+12|0;f[F>>2]=(f[F>>2]|0)+1;Ba=f[v>>2]|0}if((Ba|0)<3){Ba=f[k+44>>2]|0;v=f[A>>2]|0;f[v>>2]=f[Ba>>2];f[v+4>>2]=f[Ba+4>>2]}else{f[t>>2]=0;kP(g,k)}Ba=f[x>>2]|0;if((Ba|0)>0){v=m+4|0;F=m+8|0;c=m+12|0;y=m+4|0;B=m+8|0;D=m+12|0;C=m+16|0;Ca=m+20|0;Da=m+24|0;Ea=m+28|0;Fa=m+40|0;Ga=m+48|0;Ha=m+44|0;Ia=m+52|0;Ja=o+8|0;Ka=o+12|0;La=o+4|0;Ma=q+8|0;Na=q+12|0;Oa=q+4|0;Pa=s+8|0;Qa=s+4|0;Ra=m+36|0;Sa=l+36|0;Ta=l+16|0;Ua=l+4|0;Va=l+40|0;Wa=l+8|0;Xa=l+12|0;Ya=l+44|0;Za=l+20|0;_a=l+24|0;$a=l+28|0;ab=m+32|0;bb=l+32|0;cb=m+8|0;db=m+16|0;eb=m+24|0;fb=m+32|0;gb=m+40|0;hb=m+48|0;ib=m+56|0;jb=m+64|0;kb=m+72|0;lb=l+48|0;mb=Da+8|0;nb=0;ua=0.0;va=0.0;ra=0.0;O=0.0;za=0.0;sa=0.0;ta=0.0;qa=0.0;ya=0.0;T=0.0;ob=Ba;Ba=f[j>>2]|0;while(1){pb=ob-nb|0;qb=(pb|0)<32?pb:32;if((Ba|0)>0){S=+(nb|0);pb=0;R=ua;N=va;wa=ra;xa=O;U=za;V=sa;J=ta;X=qa;Z=ya;I=T;rb=Ba;do{sb=rb-pb|0;tb=(sb|0)<32?sb:32;f[m>>2]=pb;f[v>>2]=nb;f[F>>2]=tb;f[c>>2]=qb;pP(l,g,m);if(d){f[m>>2]=1124007936;f[y>>2]=2;f[B>>2]=qb;f[D>>2]=tb;f[C>>2]=i;f[Ca>>2]=i;sb=mb;f[sb>>2]=0;f[sb+4>>2]=0;f[Fa>>2]=B;f[Ha>>2]=Ga;sb=Y(tb,qb)|0;f[Ga>>2]=tb;f[Ia>>2]=1;ub=i+sb|0;f[Ea>>2]=ub;f[Da>>2]=ub+(0-tb)+tb;hP(m);f[Ja>>2]=0;f[Ka>>2]=0;f[o>>2]=16842752;f[La>>2]=l;p[r>>3]=0.0;f[q>>2]=-1056833530;f[Oa>>2]=r;f[Ma>>2]=1;f[Na>>2]=1;tb=Pa;f[tb>>2]=0;f[tb+4>>2]=0;f[s>>2]=33619968;f[Qa>>2]=m;nJ(o,q,s,5);tb=f[Ra>>2]|0;if(tb|0){ub=tb+12|0;f[ub>>2]=(f[ub>>2]|0)+1}ub=f[Sa>>2]|0;do if(ub|0){tb=ub+12|0;sb=f[tb>>2]|0;f[tb>>2]=sb+-1;if((sb|0)!=1)break;lP(l)}while(0);f[Sa>>2]=0;f[Ta>>2]=0;f[Ta+4>>2]=0;f[Ta+8>>2]=0;f[Ta+12>>2]=0;if((f[Ua>>2]|0)>0){ub=f[Va>>2]|0;sb=0;do{f[ub+(sb<<2)>>2]=0;sb=sb+1|0;vb=f[Ua>>2]|0}while((sb|0)<(vb|0));f[l>>2]=f[m>>2];if((vb|0)<3)wb=62;else wb=64}else{f[l>>2]=f[m>>2];wb=62}do if((wb|0)==62){wb=0;sb=f[y>>2]|0;if((sb|0)>=3){wb=64;break}f[Ua>>2]=sb;f[Wa>>2]=f[B>>2];f[Xa>>2]=f[D>>2];sb=f[Ha>>2]|0;ub=f[Ya>>2]|0;f[ub>>2]=f[sb>>2];f[ub+4>>2]=f[sb+4>>2]}while(0);if((wb|0)==64){wb=0;kP(l,m)}f[Ta>>2]=f[C>>2];f[Za>>2]=f[Ca>>2];f[_a>>2]=f[Da>>2];f[$a>>2]=f[Ea>>2];f[bb>>2]=f[ab>>2];sb=f[Ra>>2]|0;f[Sa>>2]=sb;do if(sb|0){ub=sb+12|0;tb=f[ub>>2]|0;f[ub>>2]=tb+-1;if((tb|0)!=1)break;lP(m)}while(0);f[Ra>>2]=0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[y>>2]|0)>0){sb=f[Fa>>2]|0;tb=0;do{f[sb+(tb<<2)>>2]=0;tb=tb+1|0}while((tb|0)<(f[y>>2]|0))}tb=f[Ha>>2]|0;if((tb|0)!=(Ga|0))tE(tb)}xh[Aa&2047](l,m);$=+p[m>>3];if(d){W=$*.00392156862745098;p[m>>3]=W;K=+p[cb>>3]*.00392156862745098;p[cb>>3]=K;ha=+p[db>>3]*.00392156862745098;p[db>>3]=ha;ba=+p[eb>>3]*.00392156862745098;p[eb>>3]=ba;fa=+p[fb>>3]*.00392156862745098;p[fb>>3]=fa;ma=+p[gb>>3]*.00392156862745098;p[gb>>3]=ma;pa=+p[hb>>3]*.00392156862745098;p[hb>>3]=pa;ga=+p[ib>>3]*.00392156862745098;p[ib>>3]=ga;ja=+p[jb>>3]*.00392156862745098;p[jb>>3]=ja;la=+p[kb>>3]*.00392156862745098;p[kb>>3]=la;xb=W;yb=K;zb=ha;Ab=ba;Bb=fa;Cb=ma;Db=pa;Eb=ga;Fb=ja;Gb=la}else{xb=$;yb=+p[cb>>3];zb=+p[db>>3];Ab=+p[eb>>3];Bb=+p[fb>>3];Cb=+p[gb>>3];Db=+p[hb>>3];Eb=+p[ib>>3];Fb=+p[jb>>3];Gb=+p[kb>>3]}$=+(pb|0);la=$*xb;ja=S*xb;R=R+xb;ga=yb+la;I=I+ga;pa=ja+zb;N=N+pa;wa=wa+(Ab+$*(la+yb*2.0));ma=$*pa;pa=S*yb;xa=xa+(pa+(Bb+ma));U=U+(Cb+S*(ja+zb*2.0));V=V+(Db+$*(Ab*3.0+$*(la+yb*3.0)));J=J+(S*Ab+(Eb+$*(ma+(pa+Bb)*2.0)));X=X+($*Cb+(Fb+S*(S*ga+($*zb+Bb)*2.0)));Z=Z+(S*(S*(ja+zb*3.0)+Cb*3.0)+Gb);tb=f[Sa>>2]|0;do if(tb|0){sb=tb+12|0;ub=f[sb>>2]|0;f[sb>>2]=ub+-1;if((ub|0)!=1)break;lP(l)}while(0);f[Sa>>2]=0;f[Ta>>2]=0;f[Ta+4>>2]=0;f[Ta+8>>2]=0;f[Ta+12>>2]=0;if((f[Ua>>2]|0)>0){tb=f[Va>>2]|0;ub=0;do{f[tb+(ub<<2)>>2]=0;ub=ub+1|0}while((ub|0)<(f[Ua>>2]|0))}ub=f[Ya>>2]|0;if((ub|0)!=(lb|0))tE(ub);pb=pb+32|0;rb=f[j>>2]|0}while((rb|0)>(pb|0));Hb=R;Ib=N;Jb=wa;Kb=xa;Lb=U;Mb=V;Nb=J;Ob=X;Pb=Z;Qb=I;Rb=f[x>>2]|0;Sb=rb}else{Hb=ua;Ib=va;Jb=ra;Kb=O;Lb=za;Mb=sa;Nb=ta;Ob=qa;Pb=ya;Qb=T;Rb=ob;Sb=Ba}nb=nb+32|0;if((Rb|0)<=(nb|0)){Tb=Hb;Ub=Ib;Vb=Jb;Wb=Kb;Xb=Lb;Yb=Mb;Zb=Nb;_b=Ob;$b=Pb;ac=Qb;break}else{ua=Hb;va=Ib;ra=Jb;O=Kb;za=Lb;sa=Mb;ta=Nb;qa=Ob;ya=Pb;T=Qb;ob=Rb;Ba=Sb}}}else{Tb=0.0;Ub=0.0;Vb=0.0;Wb=0.0;Xb=0.0;Yb=0.0;Zb=0.0;_b=0.0;$b=0.0;ac=0.0}Sb=+L(+Tb)>2.220446049250313e-16;Qb=1.0/Tb;T=Sb?Qb:0.0;Pb=Sb?Ub*Qb:0.0;ya=Sb?ac*Qb:0.0;Qb=ac*ya;Ob=Vb-Qb;qa=ac*Pb;Nb=Wb-qa;ta=Ub*Pb;Mb=Xb-ta;sa=Yb-ya*(Qb+Ob*3.0);Qb=Nb+Nb;Lb=Zb-ya*(Ub*ya+Qb)-Pb*Ob;za=_b-Pb*(qa+Qb)-ya*Mb;ya=$b-Pb*(ta+Mb*3.0);ta=T*T;Pb=+M(+(+L(+T)))*ta;p[a>>3]=Tb;p[a+8>>3]=ac;p[a+16>>3]=Ub;p[a+24>>3]=Vb;p[a+32>>3]=Wb;p[a+40>>3]=Xb;p[a+48>>3]=Yb;p[a+56>>3]=Zb;p[a+64>>3]=_b;p[a+72>>3]=$b;p[a+80>>3]=Ob;p[a+88>>3]=Nb;p[a+96>>3]=Mb;p[a+104>>3]=sa;p[a+112>>3]=Lb;p[a+120>>3]=za;p[a+128>>3]=ya;p[a+136>>3]=ta*Ob;p[a+144>>3]=ta*Nb;p[a+152>>3]=ta*Mb;p[a+160>>3]=Pb*sa;p[a+168>>3]=Pb*Lb;p[a+176>>3]=Pb*za;p[a+184>>3]=Pb*ya;Sb=f[w>>2]|0;if(Sb|0?(Ba=Sb+12|0,Sb=f[Ba>>2]|0,f[Ba>>2]=Sb+-1,(Sb|0)==1):0)lP(g);f[w>>2]=0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[t>>2]|0)>0){G=f[z>>2]|0;z=0;do{f[G+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[t>>2]|0))}t=f[A>>2]|0;if((t|0)!=(E|0))tE(t)}t=k+36|0;E=f[t>>2]|0;if(E|0?(A=E+12|0,E=f[A>>2]|0,f[A>>2]=E+-1,(E|0)==1):0)lP(k);f[t>>2]=0;t=k+16|0;E=k+4|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[E>>2]|0)>0){t=f[k+40>>2]|0;A=0;do{f[t+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[E>>2]|0))}E=f[k+44>>2]|0;if((E|0)!=(k+48|0))tE(E)}else Drc(a|0,0,192)|0;if(!(f[h+4>>2]|0)){u=e;return}u=e;return}function kta(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0.0;c=f[a+40>>2]|0;e=f[c+4>>2]|0;g=f[c>>2]|0;if((g|0)>0?(c=f[a+16>>2]|0,h=f[f[a+44>>2]>>2]|0,(e|0)>0):0){a=0;i=0;j=0;k=0;l=0;m=0;n=0;o=0;q=0;r=0;s=0;t=0;u=0;v=0;w=0;x=0;y=0;z=0;A=0;B=0;C=0;do{D=c+(Y(h,a)|0)|0;E=0;F=0;G=0;H=0;I=0;K=0;do{L=d[D+(H<<1)>>1]|0;M=Y(L,H)|0;G=L+G|0;F=M+F|0;L=Y(M,H)|0;E=L+E|0;M=Y(L,H)|0;I=Arc(M|0,((M|0)<0)<<31>>31|0,I|0,K|0)|0;K=J;H=H+1|0}while((H|0)!=(e|0));H=Y(G,a)|0;D=Y(a,a)|0;M=((H|0)<0)<<31>>31;L=Urc(H|0,M|0,D|0,0)|0;z=Arc(z|0,A|0,L|0,J|0)|0;A=J;L=((F|0)<0)<<31>>31;N=Urc(F|0,L|0,D|0,0)|0;B=Arc(B|0,C|0,N|0,J|0)|0;C=J;N=((E|0)<0)<<31>>31;O=Urc(E|0,N|0,a|0,((a|0)<0)<<31>>31|0)|0;i=Arc(i|0,j|0,O|0,J|0)|0;j=J;k=Arc(k|0,l|0,I|0,K|0)|0;l=J;O=Y(G,D)|0;m=Arc(m|0,n|0,O|0,((O|0)<0)<<31>>31|0)|0;n=J;O=Y(F,a)|0;o=Arc(o|0,q|0,O|0,((O|0)<0)<<31>>31|0)|0;q=J;r=Arc(r|0,s|0,E|0,N|0)|0;s=J;t=Arc(t|0,u|0,H|0,M|0)|0;u=J;v=Arc(v|0,w|0,F|0,L|0)|0;w=J;x=Arc(x|0,y|0,G|0,((G|0)<0)<<31>>31|0)|0;y=J;a=a+1|0}while((a|0)!=(g|0));P=+(x>>>0)+4294967296.0*+(y|0);Q=+(v>>>0)+4294967296.0*+(w|0);R=+(t>>>0)+4294967296.0*+(u|0);S=+(r>>>0)+4294967296.0*+(s|0);T=+(o>>>0)+4294967296.0*+(q|0);U=+(m>>>0)+4294967296.0*+(n|0);V=+(k>>>0)+4294967296.0*+(l|0);W=+(i>>>0)+4294967296.0*+(j|0);X=+(B>>>0)+4294967296.0*+(C|0);Z=+(z>>>0)+4294967296.0*+(A|0)}else{P=0.0;Q=0.0;R=0.0;S=0.0;T=0.0;U=0.0;V=0.0;W=0.0;X=0.0;Z=0.0}p[b>>3]=P;p[b+8>>3]=Q;p[b+16>>3]=R;p[b+24>>3]=S;p[b+32>>3]=T;p[b+40>>3]=U;p[b+48>>3]=V;p[b+56>>3]=W;p[b+64>>3]=X;p[b+72>>3]=Z;return}function lta(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0,J=0.0,K=0.0,L=0.0,M=0.0,N=0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0.0;c=u;u=u+80|0;d=c;e=f[a+40>>2]|0;g=f[e+4>>2]|0;h=f[e>>2]|0;e=d;i=e+80|0;do{f[e>>2]=0;e=e+4|0}while((e|0)<(i|0));if((h|0)<=0){e=b;j=d;i=e+80|0;do{f[e>>2]=f[j>>2];e=e+4|0;j=j+4|0}while((e|0)<(i|0));u=c;return}k=f[a+16>>2]|0;l=f[f[a+44>>2]>>2]|0;a=d+72|0;m=d+64|0;o=d+56|0;q=d+48|0;r=d+40|0;s=d+32|0;t=d+24|0;v=d+16|0;w=d+8|0;if((g|0)>0){x=0;y=0.0;z=0.0;A=0.0;B=0.0;C=0.0;D=0.0;E=0.0;F=0.0;G=0.0;H=0.0;while(1){I=k+(Y(l,x)|0)|0;J=0.0;K=0.0;L=0.0;M=0.0;N=0;do{O=+n[I+(N<<2)>>2];P=+(N|0);Q=P*O;M=M+O;L=L+Q;O=P*Q;K=K+O;J=J+P*O;N=N+1|0}while((N|0)!=(g|0));O=+(x|0);P=O*M;Q=+(Y(x,x)|0);R=Q*P+y;S=Q*L+z;T=O*K+A;U=J+B;V=Q*M+C;Q=O*L+D;O=K+E;W=P+F;P=L+G;X=M+H;x=x+1|0;if((x|0)==(h|0)){Z=R;_=S;$=T;aa=U;ba=V;ca=Q;da=O;ea=W;fa=P;ga=X;break}else{y=R;z=S;A=T;B=U;C=V;D=Q;E=O;F=W;G=P;H=X}}}else{x=0;H=0.0;G=0.0;F=0.0;E=0.0;D=0.0;C=0.0;while(1){B=+(x|0)*0.0;A=+(Y(x,x)|0);z=A*B+H;y=A*0.0;A=y+G;X=B+F;P=y+E;y=B+D;W=B+C;x=x+1|0;if((x|0)==(h|0)){Z=z;_=A;$=X;aa=0.0;ba=P;ca=y;da=0.0;ea=W;fa=0.0;ga=0.0;break}else{H=z;G=A;F=X;E=P;D=y;C=W}}}p[a>>3]=Z;p[m>>3]=_;p[o>>3]=$;p[q>>3]=aa;p[r>>3]=ba;p[s>>3]=ca;p[t>>3]=da;p[v>>3]=ea;p[w>>3]=fa;p[d>>3]=ga;e=b;j=d;i=e+80|0;do{f[e>>2]=f[j>>2];e=e+4|0;j=j+4|0}while((e|0)<(i|0));u=c;return}function mta(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0,I=0.0,J=0.0,K=0.0,L=0.0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0;c=u;u=u+80|0;d=c;e=f[a+40>>2]|0;g=f[e+4>>2]|0;h=f[e>>2]|0;e=d;i=e+80|0;do{f[e>>2]=0;e=e+4|0}while((e|0)<(i|0));if((h|0)<=0){e=b;j=d;i=e+80|0;do{f[e>>2]=f[j>>2];e=e+4|0;j=j+4|0}while((e|0)<(i|0));u=c;return}k=f[a+16>>2]|0;l=f[f[a+44>>2]>>2]|0;a=d+72|0;m=d+64|0;n=d+56|0;o=d+48|0;q=d+40|0;r=d+32|0;s=d+24|0;t=d+16|0;v=d+8|0;if((g|0)>0){w=0;x=0.0;y=0.0;z=0.0;A=0.0;B=0.0;C=0.0;D=0.0;E=0.0;F=0.0;G=0.0;while(1){H=k+(Y(l,w)|0)|0;I=0.0;J=0.0;K=0.0;L=0.0;M=0;do{N=+p[H+(M<<3)>>3];O=+(M|0);P=O*N;L=L+N;K=K+P;N=O*P;J=J+N;I=I+O*N;M=M+1|0}while((M|0)!=(g|0));N=+(w|0);O=N*L;P=+(Y(w,w)|0);Q=P*O+x;R=P*K+y;S=N*J+z;T=I+A;U=P*L+B;P=N*K+C;N=J+D;V=O+E;O=K+F;W=L+G;w=w+1|0;if((w|0)==(h|0)){X=Q;Z=R;_=S;$=T;aa=U;ba=P;ca=N;da=V;ea=O;fa=W;break}else{x=Q;y=R;z=S;A=T;B=U;C=P;D=N;E=V;F=O;G=W}}}else{w=0;G=0.0;F=0.0;E=0.0;D=0.0;C=0.0;B=0.0;while(1){A=+(w|0)*0.0;z=+(Y(w,w)|0);y=z*A+G;x=z*0.0;z=x+F;W=A+E;O=x+D;x=A+C;V=A+B;w=w+1|0;if((w|0)==(h|0)){X=y;Z=z;_=W;$=0.0;aa=O;ba=x;ca=0.0;da=V;ea=0.0;fa=0.0;break}else{G=y;F=z;E=W;D=O;C=x;B=V}}}p[a>>3]=X;p[m>>3]=Z;p[n>>3]=_;p[o>>3]=$;p[q>>3]=aa;p[r>>3]=ba;p[s>>3]=ca;p[t>>3]=da;p[v>>3]=ea;p[d>>3]=fa;e=b;j=d;i=e+80|0;do{f[e>>2]=f[j>>2];e=e+4|0;j=j+4|0}while((e|0)<(i|0));u=c;return}function nta(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0;c=f[a+40>>2]|0;d=f[c+4>>2]|0;e=f[c>>2]|0;if((e|0)>0?(c=f[a+16>>2]|0,g=f[f[a+44>>2]>>2]|0,(d|0)>0):0){a=0;i=0;j=0;k=0;l=0;m=0;n=0;o=0;q=0;r=0;s=0;do{t=c+(Y(g,a)|0)|0;u=0;v=0;w=0;x=0;y=0;do{z=h[t+y>>0]|0;A=Y(z,y)|0;x=z+x|0;w=A+w|0;z=Y(A,y)|0;v=z+v|0;u=(Y(z,y)|0)+u|0;y=y+1|0}while((y|0)!=(d|0));y=Y(x,a)|0;t=Y(a,a)|0;i=i+(Y(y,t)|0)|0;j=j+(Y(w,t)|0)|0;k=k+(Y(v,a)|0)|0;l=l+u|0;m=m+(Y(x,t)|0)|0;n=n+(Y(w,a)|0)|0;o=o+v|0;q=q+y|0;r=r+w|0;s=s+x|0;a=a+1|0}while((a|0)!=(e|0));B=+(s|0);C=+(r|0);D=+(q|0);E=+(o|0);F=+(n|0);G=+(m|0);H=+(l|0);I=+(k|0);J=+(j|0);K=+(i|0)}else{B=0.0;C=0.0;D=0.0;E=0.0;F=0.0;G=0.0;H=0.0;I=0.0;J=0.0;K=0.0}p[b>>3]=B;p[b+8>>3]=C;p[b+16>>3]=D;p[b+24>>3]=E;p[b+32>>3]=F;p[b+40>>3]=G;p[b+48>>3]=H;p[b+56>>3]=I;p[b+64>>3]=J;p[b+72>>3]=K;return}function ota(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0.0;c=f[a+40>>2]|0;d=f[c+4>>2]|0;e=f[c>>2]|0;if((e|0)>0?(c=f[a+16>>2]|0,g=f[f[a+44>>2]>>2]|0,(d|0)>0):0){a=0;h=0;i=0;k=0;l=0;m=0;n=0;o=0;q=0;r=0;s=0;t=0;u=0;v=0;w=0;x=0;y=0;z=0;A=0;B=0;C=0;do{D=c+(Y(g,a)|0)|0;E=0;F=0;G=0;H=0;I=0;K=0;do{L=j[D+(H<<1)>>1]|0;M=Y(L,H)|0;G=L+G|0;F=M+F|0;L=Y(M,H)|0;E=L+E|0;M=Y(L,H)|0;I=Arc(M|0,((M|0)<0)<<31>>31|0,I|0,K|0)|0;K=J;H=H+1|0}while((H|0)!=(d|0));H=Y(G,a)|0;D=Y(a,a)|0;M=((H|0)<0)<<31>>31;L=Urc(H|0,M|0,D|0,0)|0;z=Arc(z|0,A|0,L|0,J|0)|0;A=J;L=((F|0)<0)<<31>>31;N=Urc(F|0,L|0,D|0,0)|0;B=Arc(B|0,C|0,N|0,J|0)|0;C=J;N=((E|0)<0)<<31>>31;O=Urc(E|0,N|0,a|0,((a|0)<0)<<31>>31|0)|0;h=Arc(h|0,i|0,O|0,J|0)|0;i=J;k=Arc(k|0,l|0,I|0,K|0)|0;l=J;O=Y(G,D)|0;m=Arc(m|0,n|0,O|0,((O|0)<0)<<31>>31|0)|0;n=J;O=Y(F,a)|0;o=Arc(o|0,q|0,O|0,((O|0)<0)<<31>>31|0)|0;q=J;r=Arc(r|0,s|0,E|0,N|0)|0;s=J;t=Arc(t|0,u|0,H|0,M|0)|0;u=J;v=Arc(v|0,w|0,F|0,L|0)|0;w=J;x=Arc(x|0,y|0,G|0,((G|0)<0)<<31>>31|0)|0;y=J;a=a+1|0}while((a|0)!=(e|0));P=+(x>>>0)+4294967296.0*+(y|0);Q=+(v>>>0)+4294967296.0*+(w|0);R=+(t>>>0)+4294967296.0*+(u|0);S=+(r>>>0)+4294967296.0*+(s|0);T=+(o>>>0)+4294967296.0*+(q|0);U=+(m>>>0)+4294967296.0*+(n|0);V=+(k>>>0)+4294967296.0*+(l|0);W=+(h>>>0)+4294967296.0*+(i|0);X=+(B>>>0)+4294967296.0*+(C|0);Z=+(z>>>0)+4294967296.0*+(A|0)}else{P=0.0;Q=0.0;R=0.0;S=0.0;T=0.0;U=0.0;V=0.0;W=0.0;X=0.0;Z=0.0}p[b>>3]=P;p[b+8>>3]=Q;p[b+16>>3]=R;p[b+24>>3]=S;p[b+32>>3]=T;p[b+40>>3]=U;p[b+48>>3]=V;p[b+56>>3]=W;p[b+64>>3]=X;p[b+72>>3]=Z;return}function pta(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0.0,i=0,j=0,k=0.0,l=0.0,m=0.0,n=0,o=0.0,q=0.0,r=0.0,s=0.0;c=u;u=u+16|0;d=c;zT(d,70504);e=a+160|0;g=a+176|0;h=+p[e>>3]+ +p[g>>3];i=a+168|0;j=a+184|0;k=+p[i>>3]+ +p[j>>3];l=h*h;m=k*k;n=a+144|0;o=+p[n>>3]*4.0;q=+p[a+136>>3];r=+p[a+152>>3];s=q-r;p[b>>3]=q+r;p[b+8>>3]=s*s+o*+p[n>>3];p[b+24>>3]=l+m;p[b+40>>3]=k*(h*o)+(l-m)*s;s=h*(l-m*3.0);h=k*(l*3.0-m);m=+p[e>>3]-+p[g>>3]*3.0;l=+p[i>>3]*3.0-+p[j>>3];p[b+16>>3]=m*m+l*l;p[b+32>>3]=s*m+h*l;p[b+48>>3]=s*l-h*m;if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function qta(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0.0,U=0,V=0,W=0,X=0,Z=0.0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0.0,Sa=0,Ta=0;i=u;u=u+1584|0;j=i+544|0;k=i+488|0;l=i+224|0;m=i+464|0;o=i+408|0;p=i+352|0;q=i+480|0;r=i+296|0;s=i+472|0;t=i+272|0;v=i;w=i+256|0;zT(m,70524);do if((pD(a)|0)==65536){x=f[a+4>>2]|0;f[o>>2]=f[x>>2];y=o+4|0;z=x+4|0;f[y>>2]=f[z>>2];A=o+8|0;f[A>>2]=f[x+8>>2];f[o+12>>2]=f[x+12>>2];f[o+16>>2]=f[x+16>>2];f[o+20>>2]=f[x+20>>2];f[o+24>>2]=f[x+24>>2];f[o+28>>2]=f[x+28>>2];f[o+32>>2]=f[x+32>>2];B=f[x+36>>2]|0;f[o+36>>2]=B;f[o+40>>2]=A;A=o+48|0;C=o+44|0;f[C>>2]=A;f[A>>2]=0;f[o+52>>2]=0;if(B|0){A=B+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[z>>2]|0)<3){z=f[x+44>>2]|0;A=f[C>>2]|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];break}else{f[y>>2]=0;kP(o,x);break}}else lD(o,a,-1);while(0);f[p>>2]=1124007936;a=p+4|0;x=p+8|0;y=p+40|0;z=a;A=z+36|0;do{f[z>>2]=0;z=z+4|0}while((z|0)<(A|0));f[y>>2]=x;C=p+48|0;B=p+44|0;f[B>>2]=C;f[C>>2]=0;f[p+52>>2]=0;D=lE(d)|0;if(f[o>>2]&4095|0){f[j>>2]=0;f[j+4>>2]=0;z=YG(j,21)|0;E=295163;A=z+21|0;do{b[z>>0]=b[E>>0]|0;z=z+1|0;E=E+1|0}while((z|0)<(A|0));rta(-215,j,295185,724)}F=o+40|0;G=f[F>>2]|0;H=f[G>>2]|0;f[q>>2]=f[G+4>>2];f[q+4>>2]=H;HD(c,q,5,-1,0,0);do if((pD(c)|0)==65536){q=f[c+4>>2]|0;f[r>>2]=f[q>>2];H=r+4|0;G=q+4|0;f[H>>2]=f[G>>2];I=r+8|0;f[I>>2]=f[q+8>>2];f[r+12>>2]=f[q+12>>2];f[r+16>>2]=f[q+16>>2];f[r+20>>2]=f[q+20>>2];f[r+24>>2]=f[q+24>>2];f[r+28>>2]=f[q+28>>2];f[r+32>>2]=f[q+32>>2];J=f[q+36>>2]|0;f[r+36>>2]=J;f[r+40>>2]=I;I=r+48|0;K=r+44|0;f[K>>2]=I;f[I>>2]=0;f[r+52>>2]=0;if(J|0){I=J+12|0;f[I>>2]=(f[I>>2]|0)+1}if((f[G>>2]|0)<3){G=f[q+44>>2]|0;I=f[K>>2]|0;f[I>>2]=f[G>>2];f[I+4>>2]=f[G+4>>2];break}else{f[H>>2]=0;kP(r,q);break}}else lD(r,c,-1);while(0);a:do if(D){if((h|1|0)!=1){f[j>>2]=0;f[j+4>>2]=0;z=YG(j,62)|0;E=295203;A=z+62|0;do{b[z>>0]=b[E>>0]|0;z=z+1|0;E=E+1|0}while((z|0)<(A|0));rta(-215,j,295185,731)}c=f[F>>2]|0;q=f[c>>2]|0;f[s>>2]=f[c+4>>2];f[s+4>>2]=q;HD(d,s,4,-1,0,0);do if((pD(d)|0)==65536){q=f[d+4>>2]|0;f[j>>2]=f[q>>2];c=j+4|0;H=q+4|0;f[c>>2]=f[H>>2];G=j+8|0;f[G>>2]=f[q+8>>2];f[j+12>>2]=f[q+12>>2];f[j+16>>2]=f[q+16>>2];f[j+20>>2]=f[q+20>>2];f[j+24>>2]=f[q+24>>2];f[j+28>>2]=f[q+28>>2];f[j+32>>2]=f[q+32>>2];I=j+36|0;K=f[q+36>>2]|0;f[I>>2]=K;f[j+40>>2]=G;G=j+48|0;J=j+44|0;f[J>>2]=G;f[G>>2]=0;f[j+52>>2]=0;if(K|0){G=K+12|0;f[G>>2]=(f[G>>2]|0)+1}if((f[H>>2]|0)<3){H=f[q+44>>2]|0;G=f[J>>2]|0;f[G>>2]=f[H>>2];f[G+4>>2]=f[H+4>>2];L=I;break}else{f[c>>2]=0;kP(j,q);L=I;break}}else{lD(j,d,-1);L=j+36|0}while(0);I=f[L>>2]|0;if(I|0){q=I+12|0;f[q>>2]=(f[q>>2]|0)+1}q=p+36|0;I=f[q>>2]|0;if(I|0?(c=I+12|0,I=f[c>>2]|0,f[c>>2]=I+-1,(I|0)==1):0)lP(p);f[q>>2]=0;I=p+16|0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[a>>2]|0)>0){c=f[y>>2]|0;H=0;do{f[c+(H<<2)>>2]=0;H=H+1|0;M=f[a>>2]|0}while((H|0)<(M|0));f[p>>2]=f[j>>2];if((M|0)<3)N=37;else N=39}else{f[p>>2]=f[j>>2];N=37}if((N|0)==37){H=f[j+4>>2]|0;if((H|0)<3){f[a>>2]=H;f[x>>2]=f[j+8>>2];f[p+12>>2]=f[j+12>>2];H=f[j+44>>2]|0;c=f[B>>2]|0;f[c>>2]=f[H>>2];f[c+4>>2]=f[H+4>>2]}else N=39}if((N|0)==39)kP(p,j);H=j+16|0;f[I>>2]=f[H>>2];f[p+20>>2]=f[j+20>>2];f[p+24>>2]=f[j+24>>2];f[p+28>>2]=f[j+28>>2];f[p+32>>2]=f[j+32>>2];c=f[L>>2]|0;f[q>>2]=c;if(c|0?(G=c+12|0,c=f[G>>2]|0,f[G>>2]=c+-1,(c|0)==1):0)lP(j);f[L>>2]=0;c=j+4|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[c>>2]|0)>0){H=f[j+40>>2]|0;G=0;do{f[H+(G<<2)>>2]=0;G=G+1|0}while((G|0)<(f[c>>2]|0))}c=f[j+44>>2]|0;if((c|0)!=(j+48|0))tE(c);f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;f[t+16>>2]=0;O=5;P=t}else{f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;f[t+16>>2]=0;switch(g|0){case 0:case 3:case 5:{O=g;P=t;break a;break}default:{}}f[j>>2]=0;f[j+4>>2]=0;z=YG(j,41)|0;E=295266;A=z+41|0;do{b[z>>0]=b[E>>0]|0;z=z+1|0;E=E+1|0}while((z|0)<(A|0));rta(-201,j,295185,741)}while(0);P=(e|0)==1;if((e|2|0)!=3){g=(e|0)==2&D?5:O;if(!g){O=f[F>>2]|0;L=f[r+40>>2]|0;if(!((f[O>>2]|0)==(f[L>>2]|0)?(f[O+4>>2]|0)==(f[L+4>>2]|0):0)){f[j>>2]=0;f[j+4>>2]=0;z=YG(j,24)|0;E=295308;A=z+24|0;do{b[z>>0]=b[E>>0]|0;z=z+1|0;E=E+1|0}while((z|0)<(A|0));rta(-215,j,295333,564)}if(f[o>>2]&4095|0){f[j>>2]=0;Q=j+4|0;f[Q>>2]=0;R=YG(j,47)|0;z=R;E=295347;A=z+47|0;do{b[z>>0]=b[E>>0]|0;z=z+1|0;E=E+1|0}while((z|0)<(A|0));rta(-215,j,295333,566)}if((f[r>>2]&4095|0)!=5){f[j>>2]=0;Q=j+4|0;f[Q>>2]=0;R=YG(j,47)|0;z=R;E=295347;A=z+47|0;do{b[z>>0]=b[E>>0]|0;z=z+1|0;E=E+1|0}while((z|0)<(A|0));rta(-215,j,295333,566)}R=o+8|0;Q=f[R>>2]|0;L=o+12|0;O=f[L>>2]|0;x=Q<<1;M=Q*3|0;d=(Q*12|0)+4+(Q<<3)|0;s=O<<3;c=d>>>0<s>>>0?s:d;d=j+8|0;f[j>>2]=d;s=j+4|0;f[s>>2]=c;if(c>>>0>1032){G=Dmc(c)|0;f[j>>2]=G;S=G}else S=d;G=S+(x<<2)+3&-4;c=G;H=G;G=(Q|0)>0;if(G){q=0;do{T=+(Y(q,q)|0);n[S+(q<<2)>>2]=T;q=q+1|0}while((q|0)!=(Q|0))}if((Q|0)<(x|0)){q=Q;do{n[S+(q<<2)>>2]=999999986991104.0;q=q+1|0}while((q|0)!=(x|0))}if(G){G=(x|0)>1?x:1;Drc(H|0,0,G<<2|0)|0;U=G}else U=0;if((U|0)<=(M|0)){G=U;while(1){f[c+(G<<2)>>2]=G-x;if((G|0)<(M|0))G=G+1|0;else break}}f[k>>2]=0;f[k+4>>2]=O;f[l>>2]=70552;f[l+4>>2]=o;f[l+8>>2]=r;G=f[R>>2]|0;f[l+12>>2]=c+(G<<1<<2)+4;f[l+16>>2]=S;c=f[o+4>>2]|0;if((c|0)<3)V=Y(f[L>>2]|0,G)|0;else{G=f[F>>2]|0;L=0;R=1;while(1){M=Y(f[G+(L<<2)>>2]|0,R)|0;L=L+1|0;if((L|0)==(c|0)){V=M;break}else R=M}}oU(k,l,+(V>>>0)*.0000152587890625);V=S+(O<<2)|0;n[S>>2]=0.0;n[V>>2]=0.0;if((O|0)>1){R=1;do{n[V+(R<<2)>>2]=.5/+(R|0);T=+(Y(R,R)|0);n[S+(R<<2)>>2]=T;R=R+1|0}while((R|0)!=(O|0))}f[k>>2]=0;f[k+4>>2]=Q;f[l>>2]=70572;f[l+4>>2]=r;f[l+8>>2]=S;f[l+12>>2]=V;oU(k,l,-1.0);V=f[j>>2]|0;if((V|0)!=(d|0)){if(V|0)Fmc(V);f[j>>2]=d;f[s>>2]=1032}}else{W=g;N=80}}else{W=D?5:3;N=80}if((N|0)==80){switch(e|0){case 3:{X=0;break}case 2:case 1:{X=P?1:2;break}default:{f[j>>2]=0;f[j+4>>2]=0;z=YG(j,73)|0;E=295395;A=z+73|0;do{b[z>>0]=b[E>>0]|0;z=z+1|0;E=E+1|0}while((z|0)<(A|0));rta(-215,j,295185,784)}}switch(X+(W*10|0)|0){case 30:{n[t>>2]=1.0;Z=1.0;_=1;break}case 31:{n[t>>2]=1.0;Z=2.0;_=1;break}case 32:{n[t>>2]=.9549999833106995;Z=1.3693000078201294;_=1;break}case 50:{n[t>>2]=1.0;n[t+4>>2]=1.0;Z=2.0;_=2;break}case 51:{n[t>>2]=1.0;n[t+4>>2]=2.0;Z=3.0;_=2;break}case 52:{n[t>>2]=1.0;n[t+4>>2]=1.399999976158142;Z=2.196899890899658;_=2;break}default:{f[j>>2]=0;f[j+4>>2]=0;z=YG(j,19)|0;E=295469;A=z+19|0;do{b[z>>0]=b[E>>0]|0;z=z+1|0;E=E+1|0}while((z|0)<(A|0));rta(-5,j,295489,445)}}n[t+(_<<2)>>2]=Z;_=f[F>>2]|0;E=(W|0)==3;W=E?2:4;X=(f[_>>2]|0)+W|0;P=(f[_+4>>2]|0)+W|0;f[k>>2]=1124007936;W=k+4|0;_=k+8|0;e=k+40|0;z=W;A=z+36|0;do{f[z>>2]=0;z=z+4|0}while((z|0)<(A|0));f[e>>2]=_;_=k+48|0;N=k+44|0;f[N>>2]=_;f[_>>2]=0;f[k+52>>2]=0;f[j>>2]=X;f[j+4>>2]=P;iP(k,2,j,4);b:do if(D){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;f[l+28>>2]=0;f[j>>2]=-1056833530;f[j+4>>2]=l;f[j+8>>2]=1;f[j+12>>2]=4;oT(p,j,rE()|0)|0;if(!h){hG(v,o,0.0);f[j>>2]=1124007936;P=j+4|0;X=j+8|0;g=j+40|0;z=P;A=z+36|0;do{f[z>>2]=0;z=z+4|0}while((z|0)<(A|0));f[g>>2]=X;s=j+48|0;d=j+44|0;f[d>>2]=s;f[s>>2]=0;f[j+52>>2]=0;V=f[v>>2]|0;rh[f[(f[V>>2]|0)+12>>2]&255](V,v,j,-1);Xi(v);f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=j;V=w+8|0;f[V>>2]=0;f[V+4>>2]=0;f[w>>2]=33619968;f[w+4>>2]=p;Z6(l,w,8,4,0)|0;V=j+36|0;S=f[V>>2]|0;if(S|0?(Q=S+12|0,S=f[Q>>2]|0,f[Q>>2]=S+-1,(S|0)==1):0)lP(j);f[V>>2]=0;V=j+16|0;f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;f[V+12>>2]=0;if((f[P>>2]|0)>0){V=f[g>>2]|0;S=0;do{f[V+(S<<2)>>2]=0;S=S+1|0}while((S|0)<(f[P>>2]|0))}P=f[d>>2]|0;if((P|0)!=(s|0))tE(P)}else{P=o+8|0;if((f[P>>2]|0)>0){S=o+12|0;V=f[o+16>>2]|0;g=f[o+44>>2]|0;X=f[p+16>>2]|0;Q=0;O=1;R=f[S>>2]|0;while(1){c=V+(Y(f[g>>2]|0,Q)|0)|0;L=X+(Y(f[f[B>>2]>>2]|0,Q)|0)|0;if((R|0)>0){G=0;M=O;x=R;while(1){if(!(b[c+G>>0]|0)){f[L+(G<<2)>>2]=M;$=M+1|0;aa=f[S>>2]|0}else{$=M;aa=x}G=G+1|0;if((G|0)>=(aa|0)){ba=$;ca=aa;break}else{M=$;x=aa}}}else{ba=O;ca=R}Q=Q+1|0;if((Q|0)>=(f[P>>2]|0))break;else{O=ba;R=ca}}}}Z=+n[t+4>>2];T=+n[t+8>>2];R=U9b(+n[t>>2]*65536.0)|0;O=U9b(Z*65536.0)|0;P=U9b(T*65536.0)|0;Q=f[o+16>>2]|0;S=f[k+16>>2]|0;X=f[N>>2]|0;g=f[r+16>>2]|0;V=f[p+16>>2]|0;s=f[o+48>>2]|0;d=(f[_>>2]|0)>>>2;x=(f[r+48>>2]|0)>>>2;M=(f[C>>2]|0)>>>2;G=f[F>>2]|0;L=f[G+4>>2]|0;c=f[G>>2]|0;G=f[e>>2]|0;U=f[G+4>>2]|0;H=f[G>>2]|0;if((U|0)>0){G=S+(Y(f[X>>2]|0,H+-1|0)|0)|0;q=0;do{f[S+(q<<2)>>2]=2147483647;f[G+(q<<2)>>2]=2147483647;q=q+1|0}while((q|0)!=(U|0));q=f[X>>2]|0;G=S+q|0;I=S+(Y(q,H+-2|0)|0)|0;q=0;do{f[G+(q<<2)>>2]=2147483647;f[I+(q<<2)>>2]=2147483647;q=q+1|0}while((q|0)!=(U|0))}if((c|0)>0){U=(L|0)>0;q=d<<1;I=M<<1;G=~I;H=1-I|0;X=-2-M|0;J=~M;K=1-M|0;da=2-M|0;ea=L+1|0;fa=0;do{ga=Y(fa,s)|0;ha=S+((Y(fa+2|0,d)|0)<<2)+8|0;ia=Y(fa,M)|0;f[ha+(L<<2)>>2]=2147483647;f[ha+-4>>2]=2147483647;f[ha+(ea<<2)>>2]=2147483647;f[ha+-8>>2]=2147483647;ja=Q+ga|0;ga=V+(ia<<2)|0;if(U){ia=0;do{if(!(b[ja+ia>>0]|0)){ka=0;la=ha}else{ma=ia-q|0;na=(f[ha+(ma+-1<<2)>>2]|0)+P|0;if(na>>>0<2147483647){oa=na;pa=f[ga+(ia+G<<2)>>2]|0}else{oa=2147483647;pa=0}na=(f[ha+(ma+1<<2)>>2]|0)+P|0;if(oa>>>0>na>>>0){qa=na;ra=f[ga+(H+ia<<2)>>2]|0}else{qa=oa;ra=pa}na=ia-d|0;ma=(f[ha+(na+-2<<2)>>2]|0)+P|0;if(qa>>>0>ma>>>0){sa=ma;ta=f[ga+(X+ia<<2)>>2]|0}else{sa=qa;ta=ra}ma=(f[ha+(na+-1<<2)>>2]|0)+O|0;if(sa>>>0>ma>>>0){ua=ma;va=f[ga+(ia+J<<2)>>2]|0}else{ua=sa;va=ta}ma=(f[ha+(na<<2)>>2]|0)+R|0;if(ua>>>0>ma>>>0){wa=ma;xa=f[ga+(ia-M<<2)>>2]|0}else{wa=ua;xa=va}ma=(f[ha+(na+1<<2)>>2]|0)+O|0;if(wa>>>0>ma>>>0){ya=ma;za=f[ga+(K+ia<<2)>>2]|0}else{ya=wa;za=xa}ma=(f[ha+(na+2<<2)>>2]|0)+P|0;if(ya>>>0>ma>>>0){Aa=ma;Ba=f[ga+(da+ia<<2)>>2]|0}else{Aa=ya;Ba=za}ma=ia+-1|0;na=(f[ha+(ma<<2)>>2]|0)+R|0;if(Aa>>>0>na>>>0){Ca=na;Da=f[ga+(ma<<2)>>2]|0}else{Ca=Aa;Da=Ba}f[ha+(ia<<2)>>2]=Ca;ka=Da;la=ga}f[la+(ia<<2)>>2]=ka;ia=ia+1|0}while((ia|0)!=(L|0))}fa=fa+1|0}while((fa|0)!=(c|0));fa=q+-1|0;da=I+-1|0;K=M+2|0;J=c;do{X=J;J=J+-1|0;H=g+((Y(J,x)|0)<<2)|0;G=S+((Y(X+1|0,d)|0)<<2)+8|0;Q=V+((Y(J,M)|0)<<2)|0;if(U){ea=L;do{s=ea;ea=ea+-1|0;ia=G+(ea<<2)|0;ga=f[ia>>2]|0;ha=Q+(ea<<2)|0;if(ga>>>0>R>>>0){ja=(f[G+(s+q<<2)>>2]|0)+P|0;ma=ga>>>0>ja>>>0;na=ma?ja:ga;ja=(f[G+(fa+ea<<2)>>2]|0)+P|0;Ea=na>>>0>ja>>>0;Fa=Ea?ja:na;na=ea+d|0;ja=(f[G+(na+2<<2)>>2]|0)+P|0;Ga=Fa>>>0>ja>>>0;Ha=Ga?ja:Fa;Fa=(f[G+(s+d<<2)>>2]|0)+O|0;ja=Ha>>>0>Fa>>>0;Ia=ja?Fa:Ha;Ha=(f[G+(na<<2)>>2]|0)+R|0;Fa=Ia>>>0>Ha>>>0;Ja=ea+M|0;Ka=Fa?Ha:Ia;Ia=(f[G+(na+-1<<2)>>2]|0)+O|0;Ha=Ka>>>0>Ia>>>0;La=Ha?Ia:Ka;Ka=(f[G+(na+-2<<2)>>2]|0)+P|0;na=La>>>0>Ka>>>0;Ia=na?Ka:La;La=(f[G+(s<<2)>>2]|0)+R|0;Ka=Ia>>>0>La>>>0;Ma=Ka?La:Ia;Ia=f[(Ka?Q+(s<<2)|0:na?Q+(Ja+-2<<2)|0:Ha?Q+(Ja+-1<<2)|0:Fa?Q+(Ja<<2)|0:ja?Q+(s+M<<2)|0:Ga?Q+(K+ea<<2)|0:Ea?Q+(da+ea<<2)|0:ma?Q+(s+I<<2)|0:ha)>>2]|0;f[ia>>2]=Ma;f[ha>>2]=Ia;Na=Ma}else Na=ga;n[H+(ea<<2)>>2]=+((Na>>>0<536870911?Na:536870911)>>>0)*.0000152587890625}while((s|0)>1)}}while((X|0)>1)}}else{T=+n[t>>2];Z=+n[t+4>>2];if(E){I=U9b(T*65536.0)|0;da=U9b(Z*65536.0)|0;K=f[o+16>>2]|0;M=f[k+16>>2]|0;R=f[r+16>>2]|0;P=f[o+48>>2]|0;O=(f[_>>2]|0)>>>2;d=(f[r+48>>2]|0)>>>2;fa=f[F>>2]|0;q=f[fa+4>>2]|0;L=f[fa>>2]|0;fa=f[e>>2]|0;U=f[fa+4>>2]|0;if((U|0)>0){J=M+(Y(f[f[N>>2]>>2]|0,(f[fa>>2]|0)+-1|0)|0)|0;fa=0;do{f[M+(fa<<2)>>2]=2147483647;f[J+(fa<<2)>>2]=2147483647;fa=fa+1|0}while((fa|0)!=(U|0))}if((L|0)<=0)break;U=(q|0)>0;if(U){fa=0;do{J=Y(fa,P)|0;fa=fa+1|0;V=M+((Y(fa,O)|0)<<2)+4|0;f[V+(q<<2)>>2]=2147483647;f[V+-4>>2]=2147483647;S=K+J|0;J=0;x=2147483647;while(1){if(!(b[S+J>>0]|0))Oa=0;else{g=J-O|0;c=(f[V+(g+-1<<2)>>2]|0)+da|0;ea=(f[V+(g<<2)>>2]|0)+I|0;H=c>>>0>ea>>>0?ea:c;c=(f[V+(g+1<<2)>>2]|0)+da|0;g=H>>>0>c>>>0?c:H;H=x+I|0;Oa=g>>>0>H>>>0?H:g}f[V+(J<<2)>>2]=Oa;J=J+1|0;if((J|0)==(q|0))break;else x=Oa}}while((fa|0)!=(L|0))}else{fa=0;do{fa=fa+1|0;K=M+((Y(fa,O)|0)<<2)+4|0;f[K+(q<<2)>>2]=2147483647;f[K+-4>>2]=2147483647}while((fa|0)!=(L|0))}if(U)Pa=L;else break;while(1){fa=Pa;Pa=Pa+-1|0;K=R+((Y(Pa,d)|0)<<2)|0;P=M+((Y(fa,O)|0)<<2)+4|0;x=q;do{J=x;x=x+-1|0;V=P+(x<<2)|0;S=f[V>>2]|0;if(S>>>0>I>>>0){X=x+O|0;g=(f[P+(J+O<<2)>>2]|0)+da|0;H=S>>>0>g>>>0?g:S;g=(f[P+(X<<2)>>2]|0)+I|0;c=H>>>0>g>>>0?g:H;H=(f[P+(X+-1<<2)>>2]|0)+da|0;X=c>>>0>H>>>0?H:c;c=(f[P+(J<<2)>>2]|0)+I|0;H=X>>>0>c>>>0?c:X;f[V>>2]=H;Qa=H}else Qa=S;n[K+(x<<2)>>2]=+((Qa>>>0<536870911?Qa:536870911)>>>0)*.0000152587890625}while((J|0)>1);if((fa|0)<=1)break b}}Ra=+n[t+8>>2];I=U9b(T*65536.0)|0;da=U9b(Z*65536.0)|0;O=U9b(Ra*65536.0)|0;q=f[o+16>>2]|0;M=f[k+16>>2]|0;d=f[N>>2]|0;R=f[r+16>>2]|0;L=f[o+48>>2]|0;U=(f[_>>2]|0)>>>2;x=(f[r+48>>2]|0)>>>2;K=f[F>>2]|0;P=f[K+4>>2]|0;J=f[K>>2]|0;K=f[e>>2]|0;S=f[K+4>>2]|0;H=f[K>>2]|0;if((S|0)>0){K=M+(Y(f[d>>2]|0,H+-1|0)|0)|0;V=0;do{f[M+(V<<2)>>2]=2147483647;f[K+(V<<2)>>2]=2147483647;V=V+1|0}while((V|0)!=(S|0));V=f[d>>2]|0;K=M+V|0;X=M+(Y(V,H+-2|0)|0)|0;V=0;do{f[K+(V<<2)>>2]=2147483647;f[X+(V<<2)>>2]=2147483647;V=V+1|0}while((V|0)!=(S|0))}if((J|0)>0){S=(P|0)>0;V=U<<1;X=P+1|0;if(S){K=0;do{H=Y(K,L)|0;d=M+((Y(K+2|0,U)|0)<<2)+8|0;f[d+(P<<2)>>2]=2147483647;f[d+-4>>2]=2147483647;f[d+(X<<2)>>2]=2147483647;f[d+-8>>2]=2147483647;c=q+H|0;H=0;do{if(!(b[c+H>>0]|0))Sa=0;else{g=H-V|0;ea=(f[d+(g+-1<<2)>>2]|0)+O|0;Q=(f[d+(g+1<<2)>>2]|0)+O|0;g=ea>>>0>Q>>>0?Q:ea;ea=H-U|0;Q=(f[d+(ea+-2<<2)>>2]|0)+O|0;G=g>>>0>Q>>>0?Q:g;g=(f[d+(ea+-1<<2)>>2]|0)+da|0;Q=G>>>0>g>>>0?g:G;G=(f[d+(ea<<2)>>2]|0)+I|0;g=Q>>>0>G>>>0?G:Q;Q=(f[d+(ea+1<<2)>>2]|0)+da|0;G=g>>>0>Q>>>0?Q:g;g=(f[d+(ea+2<<2)>>2]|0)+O|0;ea=G>>>0>g>>>0?g:G;G=(f[d+(H+-1<<2)>>2]|0)+I|0;Sa=ea>>>0>G>>>0?G:ea}f[d+(H<<2)>>2]=Sa;H=H+1|0}while((H|0)!=(P|0));K=K+1|0}while((K|0)!=(J|0))}else{K=0;do{q=M+((Y(K+2|0,U)|0)<<2)+8|0;f[q+(P<<2)>>2]=2147483647;f[q+-4>>2]=2147483647;f[q+(X<<2)>>2]=2147483647;f[q+-8>>2]=2147483647;K=K+1|0}while((K|0)!=(J|0))}K=V+-1|0;if(S){X=J;do{q=X;X=X+-1|0;L=R+((Y(X,x)|0)<<2)|0;H=M+((Y(q+1|0,U)|0)<<2)+8|0;d=P;do{c=d;d=d+-1|0;fa=H+(d<<2)|0;ea=f[fa>>2]|0;if(ea>>>0>I>>>0){G=(f[H+(c+V<<2)>>2]|0)+O|0;g=ea>>>0>G>>>0?G:ea;G=(f[H+(K+d<<2)>>2]|0)+O|0;Q=g>>>0>G>>>0?G:g;g=d+U|0;G=(f[H+(g+2<<2)>>2]|0)+O|0;s=Q>>>0>G>>>0?G:Q;Q=(f[H+(c+U<<2)>>2]|0)+da|0;G=s>>>0>Q>>>0?Q:s;s=(f[H+(g<<2)>>2]|0)+I|0;Q=G>>>0>s>>>0?s:G;G=(f[H+(g+-1<<2)>>2]|0)+da|0;s=Q>>>0>G>>>0?G:Q;Q=(f[H+(g+-2<<2)>>2]|0)+O|0;g=s>>>0>Q>>>0?Q:s;s=(f[H+(c<<2)>>2]|0)+I|0;Q=g>>>0>s>>>0?s:g;f[fa>>2]=Q;Ta=Q}else Ta=ea;n[L+(d<<2)>>2]=+((Ta>>>0<536870911?Ta:536870911)>>>0)*.0000152587890625}while((c|0)>1)}while((q|0)>1)}}}while(0);Ta=k+36|0;Sa=f[Ta>>2]|0;if(Sa|0?(t=Sa+12|0,Sa=f[t>>2]|0,f[t>>2]=Sa+-1,(Sa|0)==1):0)lP(k);f[Ta>>2]=0;Ta=k+16|0;f[Ta>>2]=0;f[Ta+4>>2]=0;f[Ta+8>>2]=0;f[Ta+12>>2]=0;if((f[W>>2]|0)>0){Ta=f[e>>2]|0;e=0;do{f[Ta+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[W>>2]|0))}W=f[N>>2]|0;if((W|0)!=(_|0))tE(W)}W=r+36|0;_=f[W>>2]|0;if(_|0?(N=_+12|0,_=f[N>>2]|0,f[N>>2]=_+-1,(_|0)==1):0)lP(r);f[W>>2]=0;W=r+16|0;_=r+4|0;f[W>>2]=0;f[W+4>>2]=0;f[W+8>>2]=0;f[W+12>>2]=0;if((f[_>>2]|0)>0){W=f[r+40>>2]|0;N=0;do{f[W+(N<<2)>>2]=0;N=N+1|0}while((N|0)<(f[_>>2]|0))}_=f[r+44>>2]|0;if((_|0)!=(r+48|0))tE(_);_=p+36|0;r=f[_>>2]|0;if(r|0?(N=r+12|0,r=f[N>>2]|0,f[N>>2]=r+-1,(r|0)==1):0)lP(p);f[_>>2]=0;_=p+16|0;f[_>>2]=0;f[_+4>>2]=0;f[_+8>>2]=0;f[_+12>>2]=0;if((f[a>>2]|0)>0){_=f[y>>2]|0;y=0;do{f[_+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[a>>2]|0))}a=f[B>>2]|0;if((a|0)!=(C|0))tE(a);a=o+36|0;C=f[a>>2]|0;if(C|0?(B=C+12|0,C=f[B>>2]|0,f[B>>2]=C+-1,(C|0)==1):0)lP(o);f[a>>2]=0;a=o+16|0;C=o+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[C>>2]|0)>0){a=f[F>>2]|0;F=0;do{f[a+(F<<2)>>2]=0;F=F+1|0}while((F|0)<(f[C>>2]|0))}C=f[o+44>>2]|0;if((C|0)!=(o+48|0))tE(C);if(!(f[m+4>>2]|0)){u=i;return}u=i;return}function rta(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;SQ(a,b,c,295557,d);return}function sta(a){a=a|0;Emc(a);return}function tta(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0.0,E=0,F=0.0;c=u;u=u+1040|0;d=c;e=f[b>>2]|0;g=f[b+4>>2]|0;b=f[a+4>>2]|0;h=f[b+12>>2]|0;i=(h*12|0)+24|0;j=d+8|0;f[d>>2]=j;k=d+4|0;f[k>>2]=i;if(i>>>0>1032){l=Dmc(i)|0;f[d>>2]=l;m=l}else m=j;l=m+(h<<2)|0;i=l+(h<<2)+4+3&-4;a:do if((e|0)<(g|0)){o=f[b+16>>2]|0;p=f[b+44>>2]|0;q=l+4|0;r=(h|0)>0;s=a+8|0;if((h|0)<=1){t=e;while(1){v=o+(Y(f[p>>2]|0,t)|0)|0;f[i>>2]=0;n[l>>2]=-999999986991104.0;n[q>>2]=999999986991104.0;f[m>>2]=f[v>>2];if(r){w=f[s>>2]|0;x=0;y=0;while(1){z=+(x|0);A=y;while(1){B=A+1|0;if(+n[l+(B<<2)>>2]<z)A=B;else break}B=f[i+(A<<2)>>2]|0;C=x-B|0;z=+M(+(+n[w+(((C|0)>-1?C:0-C|0)<<2)>>2]+ +n[m+(B<<2)>>2]));n[v+(x<<2)>>2]=z;x=x+1|0;if((x|0)==(h|0))break;else y=A}}t=t+1|0;if((t|0)==(g|0))break a}}t=f[s>>2]|0;y=f[a+12>>2]|0;x=e;do{v=o+(Y(f[p>>2]|0,x)|0)|0;f[i>>2]=0;n[l>>2]=-999999986991104.0;n[q>>2]=999999986991104.0;f[m>>2]=f[v>>2];w=0;B=1;do{z=+n[v+(B<<2)>>2];n[m+(B<<2)>>2]=z;D=z+ +n[t+(B<<2)>>2];C=w;while(1){E=f[i+(C<<2)>>2]|0;F=(D-+n[v+(E<<2)>>2]-+n[t+(E<<2)>>2])*+n[y+(B-E<<2)>>2];if(F>+n[l+(C<<2)>>2])break;else C=C+-1|0}w=C+1|0;f[i+(w<<2)>>2]=B;n[l+(w<<2)>>2]=F;n[l+(C+2<<2)>>2]=999999986991104.0;B=B+1|0}while((B|0)!=(h|0));if(r){B=0;w=0;while(1){D=+(B|0);A=w;while(1){E=A+1|0;if(+n[l+(E<<2)>>2]<D)A=E;else break}C=f[i+(A<<2)>>2]|0;E=B-C|0;D=+M(+(+n[t+(((E|0)>-1?E:0-E|0)<<2)>>2]+ +n[m+(C<<2)>>2]));n[v+(B<<2)>>2]=D;B=B+1|0;if((B|0)==(h|0))break;else w=A}}x=x+1|0}while((x|0)!=(g|0))}while(0);if((m|0)==(j|0)){u=c;return}Fmc(m);f[d>>2]=j;f[k>>2]=1032;u=c;return}function uta(a){a=a|0;Emc(a);return}function vta(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+1072|0;e=d;g=f[c>>2]|0;h=f[c+4>>2]|0;c=f[a+4>>2]|0;i=f[c+8>>2]|0;j=f[c+48>>2]|0;k=f[a+8>>2]|0;l=(f[k+48>>2]|0)>>>2;m=e+8|0;f[e>>2]=m;n=e+4|0;f[n>>2]=i;if(i>>>0>264){o=Dmc(i>>>0>1073741823?-1:i<<2)|0;f[e>>2]=o;p=o}else p=m;if((g|0)<(h|0)?(o=i+-1|0,q=a+12|0,r=a+16|0,a=0-j|0,(i|0)>0):0){j=f[c+16>>2]|0;s=f[c+44>>2]|0;c=f[k+16>>2]|0;k=g;do{g=o;t=j+(Y(f[s>>2]|0,o)|0)+k|0;v=o;while(1){v=b[t>>0]|0?v+1|0:0;f[p+(g<<2)>>2]=v;if((g|0)<=0)break;else{g=g+-1|0;t=t+a|0}}t=f[q>>2]|0;g=f[r>>2]|0;v=c+(k<<2)|0;w=0;x=o;while(1){y=p+(w<<2)|0;x=x+1-(f[t+(x-(f[y>>2]|0)<<2)>>2]|0)|0;f[y>>2]=x;f[v>>2]=f[g+(x<<2)>>2];w=w+1|0;if((w|0)==(i|0))break;else v=v+(l<<2)|0}k=k+1|0}while((k|0)!=(h|0))}if((p|0)==(m|0)){u=d;return}Fmc(p);f[e>>2]=m;f[n>>2]=264;u=d;return}function wta(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;i=u;u=u+400|0;j=i+144|0;k=i+136|0;l=i+128|0;m=i+72|0;n=i+64|0;o=i+8|0;p=i;zT(p,70584);if((d|0)==1&(g|0)==0){zT(l,70604);do if((pD(a)|0)==65536){l=f[a+4>>2]|0;f[m>>2]=f[l>>2];g=m+4|0;q=l+4|0;f[g>>2]=f[q>>2];r=m+8|0;f[r>>2]=f[l+8>>2];f[m+12>>2]=f[l+12>>2];f[m+16>>2]=f[l+16>>2];f[m+20>>2]=f[l+20>>2];f[m+24>>2]=f[l+24>>2];f[m+28>>2]=f[l+28>>2];f[m+32>>2]=f[l+32>>2];s=f[l+36>>2]|0;f[m+36>>2]=s;f[m+40>>2]=r;r=m+48|0;t=m+44|0;f[t>>2]=r;f[r>>2]=0;f[m+52>>2]=0;if(s|0){r=s+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[q>>2]|0)<3){q=f[l+44>>2]|0;r=f[t>>2]|0;f[r>>2]=f[q>>2];f[r+4>>2]=f[q+4>>2];v=m;break}else{f[g>>2]=0;kP(m,l);v=m;break}}else{lD(m,a,-1);v=m}while(0);if(f[v>>2]&4095|0){f[j>>2]=0;f[j+4>>2]=0;w=YG(j,21)|0;x=295163;y=w+21|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));rta(-215,j,295711,692)}l=m+40|0;g=f[l>>2]|0;q=f[g>>2]|0;f[n>>2]=f[g+4>>2];f[n+4>>2]=q;HD(c,n,0,-1,0,0);do if((pD(c)|0)==65536){n=f[c+4>>2]|0;f[o>>2]=f[n>>2];q=o+4|0;g=n+4|0;f[q>>2]=f[g>>2];r=o+8|0;f[r>>2]=f[n+8>>2];f[o+12>>2]=f[n+12>>2];t=o+16|0;f[t>>2]=f[n+16>>2];f[o+20>>2]=f[n+20>>2];f[o+24>>2]=f[n+24>>2];f[o+28>>2]=f[n+28>>2];f[o+32>>2]=f[n+32>>2];s=f[n+36>>2]|0;f[o+36>>2]=s;f[o+40>>2]=r;r=o+48|0;z=o+44|0;f[z>>2]=r;f[r>>2]=0;f[o+52>>2]=0;if(s|0){A=s+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[g>>2]|0)<3){g=f[n+44>>2]|0;A=f[z>>2]|0;f[A>>2]=f[g>>2];f[A+4>>2]=f[g+4>>2];B=t;C=r;break}else{f[q>>2]=0;kP(o,n);B=t;C=r;break}}else{lD(o,c,-1);B=o+16|0;C=o+48|0}while(0);r=f[m+12>>2]|0;t=f[m+8>>2]|0;n=m+16|0;q=f[n>>2]|0;g=f[B>>2]|0;A=m+48|0;z=f[A>>2]|0;s=f[C>>2]|0;if(f[v>>2]&4095|0){f[k>>2]=0;D=k+4|0;f[D>>2]=0;E=YG(k,46)|0;w=E;x=295735;y=w+46|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));rta(-215,k,295782,621)}if(f[o>>2]&4095|0){f[k>>2]=0;D=k+4|0;f[D>>2]=0;E=YG(k,46)|0;w=E;x=295735;y=w+46|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));rta(-215,k,295782,621)}E=f[l>>2]|0;D=o+40|0;v=f[D>>2]|0;if((f[E>>2]|0)==(f[v>>2]|0)?(f[E+4>>2]|0)==(f[v+4>>2]|0):0)F=0;else{f[k>>2]=0;f[k+4>>2]=0;w=YG(k,24)|0;x=295308;y=w+24|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));rta(-215,k,295782,622)}do{k=F;F=F+1|0;b[j+k>>0]=F>>>0<256?F:(k>>>31)+255|0}while((F|0)!=256);F=((b[q>>0]|0)!=0)<<31>>31;b[g>>0]=F;k=(r|0)>1;if(k){x=1;w=F;do{if(!(b[q+x>>0]|0))G=0;else G=h[j+(w&255)>>0]|0;w=G&255;b[g+x>>0]=w;x=x+1|0}while((x|0)!=(r|0))}do if((t|0)>1){x=0-s|0;w=Y(s,t+-1|0)|0;if(k){H=1;I=g;J=q}else{G=1;F=g;y=q;do{y=y+z|0;F=F+s|0;if(!(b[y>>0]|0))K=0;else K=h[j+(h[F+x>>0]|0)>>0]|0;b[F>>0]=K;G=G+1|0}while((G|0)!=(t|0));L=g+w|0;break}do{J=J+z|0;I=I+s|0;if(!(b[J>>0]|0))M=0;else M=h[j+(h[I+x>>0]|0)>>0]|0;b[I>>0]=M;G=M;F=1;while(1){if(!(b[J+F>>0]|0))N=0;else{y=h[I+(F-s)>>0]|0;N=h[j+((G|0)>(y|0)?y:G)>>0]|0}b[I+F>>0]=N;F=F+1|0;if((F|0)==(r|0))break;else G=N}H=H+1|0}while((H|0)!=(t|0));L=g+w|0}else L=g;while(0);g=r+-1|0;H=r+-2|0;r=(H|0)>-1;if(r){N=h[L+g>>0]|0;I=H;while(1){J=h[j+N>>0]|0;M=L+I|0;z=J-(h[M>>0]|0)+256|0;if(z>>>0<769)O=h[277436+z>>0]|0;else O=0;N=J-O|0;b[M>>0]=N;if((I|0)<=0)break;else I=I+-1|0}}I=t+-2|0;a:do if((I|0)>-1){t=0-s|0;N=s+g|0;if(r){P=I;Q=L}else{O=I;M=L;while(1){M=M+t|0;J=b[j+(h[M+N>>0]|0)>>0]|0;z=M+g|0;K=b[z>>0]|0;b[z>>0]=(J&255)>(K&255)?K:J;if((O|0)<=0)break a;else O=O+-1|0}}while(1){Q=Q+t|0;O=b[j+(h[Q+N>>0]|0)>>0]|0;M=Q+g|0;w=b[M>>0]|0;J=(O&255)>(w&255)?w:O;b[M>>0]=J;M=J&255;J=H;while(1){O=h[Q+(J+s)>>0]|0;w=b[j+(M>>>0>O>>>0?O:M)>>0]|0;O=Q+J|0;K=b[O>>0]|0;z=(w&255)>(K&255)?K:w;b[O>>0]=z;if((J|0)>0){M=z&255;J=J+-1|0}else break}if((P|0)<=0)break;else P=P+-1|0}}while(0);P=o+36|0;Q=f[P>>2]|0;if(Q|0?(j=Q+12|0,Q=f[j>>2]|0,f[j>>2]=Q+-1,(Q|0)==1):0)lP(o);f[P>>2]=0;P=o+4|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[P>>2]|0)>0){B=f[D>>2]|0;D=0;do{f[B+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[P>>2]|0))}P=f[o+44>>2]|0;if((P|0)!=(C|0))tE(P);P=m+36|0;C=f[P>>2]|0;if(C|0?(o=C+12|0,C=f[o>>2]|0,f[o>>2]=C+-1,(C|0)==1):0)lP(m);f[P>>2]=0;P=m+4|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[P>>2]|0)>0){n=f[l>>2]|0;l=0;do{f[n+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[P>>2]|0))}P=f[m+44>>2]|0;if((P|0)!=(A|0))tE(P)}else qta(a,c,rE()|0,d,e,1);if(!(f[p+4>>2]|0)){u=i;return}u=i;return}function xta(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=83836;b=a+268|0;c=a+304|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+284|0;b=a+272|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+308>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+312>>2]|0;if((b|0)!=(a+316|0))tE(b);b=a+212|0;d=a+248|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+228|0;b=a+216|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+252>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+256>>2]|0;if((b|0)!=(a+260|0))tE(b);b=a+156|0;c=a+192|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+172|0;b=a+160|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+196>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+200>>2]|0;if((b|0)!=(a+204|0))tE(b);b=a+100|0;d=a+136|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+116|0;b=a+104|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+140>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+144>>2]|0;if((b|0)!=(a+148|0))tE(b);b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+16>>2]|0;if(b|0){d=a+20|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~(((c+-12-b|0)>>>0)/12|0)*12|0);Emc(b)}b=f[a+4>>2]|0;if(!b)return;c=a+8|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~(((a+-44-b|0)>>>0)/44|0)*44|0);Emc(b);return}function yta(a){a=a|0;xta(a);Emc(a);return}function zta(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0.0,M=0,N=0,O=0.0,P=0.0,Q=0,R=0,S=0,T=0,U=0,W=0,X=0.0,Z=0.0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0.0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0;j=u;u=u+2208|0;k=j+1136|0;l=j+1072|0;m=j+1064|0;o=j+1080|0;q=j;r=a+324|0;f[r>>2]=c;s=a+52|0;f[s>>2]=f[i>>2];t=a+56|0;f[t>>2]=f[i+4>>2];i=a+28|0;b[i>>0]=h&1;h=f[(f[c>>2]|0)+52>>2]|0;f[l>>2]=f[e>>2];v=e+4|0;f[l+4>>2]=f[v>>2];f[m>>2]=f[g>>2];f[m+4>>2]=f[g+4>>2];Ug[h&127](c,d,a+212|0,a+268|0,l,m);m=f[v>>2]|0;f[a+92>>2]=f[e>>2];f[a+96>>2]=m;m=f[r>>2]|0;e=f[m+4>>2]|0;f[a+44>>2]=e;v=f[m+8>>2]|0;f[a+48>>2]=v;l=f[m+12>>2]|0;d=f[m+16>>2]|0;c=f[m+20>>2]|0;h=f[m+24>>2]|0;g=f[m+28>>2]|0;w=f[m+32>>2]|0;x=f[m+36>>2]|0;m=Y(d,l)|0;y=a+60|0;f[y>>2]=((e-l|0)/(c|0)|0)+1;e=a+64|0;f[e>>2]=((v-d|0)/(h|0)|0)+1;z=(l|0)/(g|0)|0;A=(d|0)/(w|0)|0;B=a+68|0;f[B>>2]=z;C=a+72|0;f[C>>2]=A;D=Y(Y(z,x)|0,A)|0;A=a+76|0;f[A>>2]=D;do if(b[i>>0]|0){z=(((f[a+224>>2]|0)-l|0)/(f[s>>2]|0)|0)+1|0;E=((v|0)/(f[t>>2]|0)|0)+1|0;F=a+100|0;G=Y(z,D)|0;if(!(((((f[a+104>>2]|0)<3?(f[a+108>>2]|0)==(E|0):0)?(f[a+112>>2]|0)==(G|0):0)?(f[F>>2]&4095|0)==5:0)?(f[a+116>>2]|0)!=0:0)){f[k>>2]=E;f[k+4>>2]=G;iP(F,2,k,5)}F=a+156|0;if(!(((((f[a+160>>2]|0)<3?(f[a+164>>2]|0)==(E|0):0)?(f[a+168>>2]|0)==(z|0):0)?(f[F>>2]&4095|0)==0:0)?(f[a+172>>2]|0)!=0:0)){f[k>>2]=E;f[k+4>>2]=z;iP(F,2,k,0)}F=f[a+108>>2]|0;z=a+32|0;E=a+36|0;G=f[E>>2]|0;H=f[z>>2]|0;I=G-H>>2;J=H;H=G;if(F>>>0<=I>>>0){if(F>>>0<I>>>0?(G=J+(F<<2)|0,(H|0)!=(G|0)):0)f[E>>2]=H+(~((H+-4-G|0)>>>2)<<2);if(!F)break}else $C(z,F-I|0);Drc(f[z>>2]|0,-1,F<<2|0)|0}while(0);f[o>>2]=1124007936;D=o+4|0;t=o+8|0;v=o+40|0;s=D;i=s+36|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(i|0));f[v>>2]=t;t=o+48|0;F=o+44|0;f[F>>2]=t;f[t>>2]=0;f[o+52>>2]=0;f[k>>2]=d;f[k+4>>2]=l;iP(o,2,k,5);z=f[r>>2]|0;K=+p[z+48>>3];if(K>0.0)L=K;else L=+((f[z+16>>2]|0)+(f[z+12>>2]|0)|0)*.125;K=L;L=1.0/(K*K*2.0);z=k+8|0;f[k>>2]=z;r=k+4|0;f[r>>2]=d;if(d>>>0>264){I=Dmc(d>>>0>1073741823?-1:d<<2)|0;f[k>>2]=I;M=I}else M=z;I=q+8|0;f[q>>2]=I;G=q+4|0;f[G>>2]=l;if(l>>>0>264){H=Dmc(l>>>0>1073741823?-1:l<<2)|0;f[q>>2]=H;N=H}else N=I;K=+(d|0)*.5;O=+(l|0)*.5;H=(d|0)>0;if(H){E=0;do{P=+(E|0)-K;n[M+(E<<2)>>2]=P*P;E=E+1|0}while((E|0)!=(d|0))}E=(l|0)>0;if(E){J=0;do{K=+(J|0)-O;n[N+(J<<2)>>2]=K*K;J=J+1|0}while((J|0)!=(l|0))}if(H?(J=f[o+16>>2]|0,E):0){Q=f[f[F>>2]>>2]|0;R=0;do{S=M+(R<<2)|0;T=J+(Y(Q,R)|0)|0;U=0;do{O=+V(+-(L*(+n[S>>2]+ +n[N+(U<<2)>>2])));n[T+(U<<2)>>2]=O;U=U+1|0}while((U|0)!=(l|0));R=R+1|0}while((R|0)!=(d|0))}if((N|0)==(I|0))W=M;else{Fmc(N);N=f[k>>2]|0;f[q>>2]=I;f[G>>2]=264;W=N}if((W|0)!=(z|0)){if(W|0)Fmc(W);f[k>>2]=z;f[r>>2]=264}r=a+16|0;z=Y(f[e>>2]|0,f[y>>2]|0)|0;k=a+20|0;W=f[k>>2]|0;N=f[r>>2]|0;G=(W-N|0)/12|0;I=N;N=W;if(z>>>0<=G>>>0){if(z>>>0<G>>>0?(W=I+(z*12|0)|0,(N|0)!=(W|0)):0)f[k>>2]=N+(~(((N+-12-W|0)>>>0)/12|0)*12|0)}else Bta(r,z-G|0);G=a+4|0;z=m*3|0;W=a+8|0;N=f[W>>2]|0;k=f[G>>2]|0;I=(N-k|0)/44|0;q=k;k=N;if(z>>>0<=I>>>0){if(z>>>0<I>>>0?(N=q+(z*44|0)|0,(k|0)!=(N|0)):0)f[W>>2]=k+(~(((k+-44-N|0)>>>0)/44|0)*44|0)}else Cta(G,z-I|0);I=a+88|0;f[I>>2]=0;z=a+84|0;f[z>>2]=0;N=a+80|0;f[N>>2]=0;if(E){L=+(g|0);O=+(w|0);w=m<<1;g=a+224|0;E=a+280|0;a=f[o+16>>2]|0;k=f[F>>2]|0;W=0;do{if(H){K=(+(W|0)+.5)/L+-.5;q=~~K;M=q-(+(q|0)>K&1)|0;q=M+1|0;P=K-+(M|0);K=1.0-P;R=0;do{X=(+(R|0)+.5)/O+-.5;Q=~~X;J=Q-(+(Q|0)>X&1)|0;Q=J+1|0;Z=X-+(J|0);U=f[B>>2]|0;T=M>>>0<U>>>0;do if(T&q>>>0<U>>>0){S=f[C>>2]|0;_=J>>>0<S>>>0;if(_&Q>>>0<S>>>0){$=f[I>>2]|0;f[I>>2]=$+1;aa=$+w|0;$=f[G>>2]|0;ba=Y((Y(S,M)|0)+J|0,x)|0;f[$+(aa*44|0)+8>>2]=ba;X=1.0-Z;n[$+(aa*44|0)+24>>2]=K*X;ba=Y((Y(f[C>>2]|0,q)|0)+J|0,x)|0;f[$+(aa*44|0)+12>>2]=ba;n[$+(aa*44|0)+28>>2]=P*X;ba=Y((Y(f[C>>2]|0,M)|0)+Q|0,x)|0;f[$+(aa*44|0)+16>>2]=ba;n[$+(aa*44|0)+32>>2]=K*Z;ba=Y((Y(f[C>>2]|0,q)|0)+Q|0,x)|0;f[$+(aa*44|0)+20>>2]=ba;ca=$+(aa*44|0)|0;da=3;ea=P*Z;break}else{aa=f[z>>2]|0;f[z>>2]=aa+1;$=aa+m|0;aa=f[G>>2]|0;X=_?1.0-Z:Z;ba=_?J:Q;_=Y(ba+(Y(S,M)|0)|0,x)|0;f[aa+($*44|0)+8>>2]=_;n[aa+($*44|0)+24>>2]=K*X;_=Y((Y(f[C>>2]|0,q)|0)+ba|0,x)|0;f[aa+($*44|0)+12>>2]=_;n[aa+($*44|0)+28>>2]=P*X;f[aa+($*44|0)+20>>2]=0;f[aa+($*44|0)+16>>2]=0;n[aa+($*44|0)+36>>2]=0.0;ca=aa+($*44|0)|0;da=2;ea=0.0;break}}else{X=T?K:P;$=T?M:q;aa=f[C>>2]|0;_=J>>>0<aa>>>0;if(_&Q>>>0<aa>>>0){ba=f[z>>2]|0;f[z>>2]=ba+1;S=ba+m|0;ba=f[G>>2]|0;fa=Y((Y(aa,$)|0)+J|0,x)|0;f[ba+(S*44|0)+8>>2]=fa;n[ba+(S*44|0)+24>>2]=(1.0-Z)*X;fa=Y((Y(f[C>>2]|0,$)|0)+Q|0,x)|0;f[ba+(S*44|0)+12>>2]=fa;n[ba+(S*44|0)+28>>2]=Z*X;f[ba+(S*44|0)+20>>2]=0;f[ba+(S*44|0)+16>>2]=0;n[ba+(S*44|0)+36>>2]=0.0;ca=ba+(S*44|0)|0;da=2;ea=0.0;break}else{S=f[N>>2]|0;f[N>>2]=S+1;ba=f[G>>2]|0;fa=Y((_?J:Q)+(Y(aa,$)|0)|0,x)|0;f[ba+(S*44|0)+8>>2]=fa;n[ba+(S*44|0)+24>>2]=X*(_?1.0-Z:Z);f[ba+(S*44|0)+20>>2]=0;f[ba+(S*44|0)+16>>2]=0;f[ba+(S*44|0)+12>>2]=0;n[ba+(S*44|0)+36>>2]=0.0;n[ba+(S*44|0)+32>>2]=0.0;ca=ba+(S*44|0)|0;da=1;ea=0.0;break}}while(0);n[ca+24+(da<<2)>>2]=ea;Q=(Y(f[g>>2]|0,R)|0)+W<<1;f[ca>>2]=Q;Q=(Y(f[E>>2]|0,R)|0)+W<<1;f[ca+4>>2]=Q;Q=a+(Y(f[k>>2]|0,R)|0)+(W<<2)|0;f[ca+40>>2]=f[Q>>2];R=R+1|0}while((R|0)!=(d|0))}W=W+1|0}while((W|0)!=(l|0));l=f[z>>2]|0;if((l|0)>0){W=0;do{d=f[G>>2]|0;s=d+(((f[N>>2]|0)+W|0)*44|0)|0;ga=d+((W+m|0)*44|0)|0;i=s+44|0;do{f[s>>2]=f[ga>>2];s=s+4|0;ga=ga+4|0}while((s|0)<(i|0));W=W+1|0;d=f[z>>2]|0}while((W|0)<(d|0));ha=d}else ha=l}else ha=0;l=f[I>>2]|0;if((l|0)>0){W=m<<1;m=f[G>>2]|0;s=m+(((f[N>>2]|0)+ha|0)*44|0)|0;ga=m+(W*44|0)|0;i=s+44|0;do{f[s>>2]=f[ga>>2];s=s+4|0;ga=ga+4|0}while((s|0)<(i|0));m=f[I>>2]|0;if((m|0)>1){d=1;do{ca=f[G>>2]|0;s=ca+(((f[N>>2]|0)+d+(f[z>>2]|0)|0)*44|0)|0;ga=ca+((d+W|0)*44|0)|0;i=s+44|0;do{f[s>>2]=f[ga>>2];s=s+4|0;ga=ga+4|0}while((s|0)<(i|0));d=d+1|0;ca=f[I>>2]|0}while((d|0)<(ca|0));ia=ca}else ia=m;ja=ia;ka=f[z>>2]|0}else{ja=l;ka=ha}ha=ka+(f[N>>2]|0)|0;f[z>>2]=ha;f[I>>2]=ha+ja;ja=f[y>>2]|0;if((ja|0)>0?(y=f[e>>2]|0,(y|0)>0):0){e=f[r>>2]|0;r=f[A>>2]|0;A=0;do{ha=Y(A,c)|0;I=Y(y,A)|0;z=0;do{N=I+z|0;ka=Y(r,N)|0;f[e+(N*12|0)>>2]=ka;ka=Y(z,h)|0;f[e+(N*12|0)+4>>2]=ha;f[e+(N*12|0)+8>>2]=ka;z=z+1|0}while((z|0)<(y|0));A=A+1|0}while((A|0)<(ja|0))}ja=o+36|0;A=f[ja>>2]|0;if(A|0?(y=A+12|0,A=f[y>>2]|0,f[y>>2]=A+-1,(A|0)==1):0)lP(o);f[ja>>2]=0;ja=o+16|0;f[ja>>2]=0;f[ja+4>>2]=0;f[ja+8>>2]=0;f[ja+12>>2]=0;if((f[D>>2]|0)>0){ja=f[v>>2]|0;v=0;do{f[ja+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[D>>2]|0))}D=f[F>>2]|0;if((D|0)==(t|0)){u=j;return}tE(D);u=j;return}function Ata(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,o=0.0,q=0,r=0.0,t=0.0,v=0,w=0,x=0,y=0.0,z=0;c=u;u=u+16|0;d=c+4|0;e=c;g=f[a+76>>2]|0;h=g+-4|0;i=0;j=0.0;k=0.0;l=0.0;m=0.0;do{o=+n[b+(i<<2)>>2];j=j+o*o;o=+n[b+((i|1)<<2)>>2];k=k+o*o;o=+n[b+((i|2)<<2)>>2];l=l+o*o;o=+n[b+((i|3)<<2)>>2];m=m+o*o;i=i+4|0}while(i>>>0<=h>>>0);o=m+l+(k+j);if(i>>>0<g>>>0){j=o;q=i;while(1){k=+n[b+(q<<2)>>2];l=j+k*k;q=q+1|0;if((q|0)==(g|0)){r=l;break}else j=l}}else r=o;o=1.0/(+(g>>>0)*.10000000149011612+ +M(+r));r=+p[(f[a+324>>2]|0)+64>>3];n[d>>2]=r;a=0;j=0.0;l=0.0;k=0.0;m=0.0;do{q=b+(a<<2)|0;t=o*+n[q>>2];n[e>>2]=t;i=f[(r<t?d:e)>>2]|0;f[q>>2]=i;q=b+((a|1)<<2)|0;t=o*+n[q>>2];n[e>>2]=t;v=f[(r<t?d:e)>>2]|0;f[q>>2]=v;q=b+((a|2)<<2)|0;t=o*+n[q>>2];n[e>>2]=t;w=f[(r<t?d:e)>>2]|0;f[q>>2]=w;q=b+((a|3)<<2)|0;t=o*+n[q>>2];n[e>>2]=t;x=f[(r<t?d:e)>>2]|0;f[q>>2]=x;t=(f[s>>2]=i,+n[s>>2]);j=j+t*t;t=(f[s>>2]=v,+n[s>>2]);l=l+t*t;t=(f[s>>2]=w,+n[s>>2]);k=k+t*t;t=(f[s>>2]=x,+n[s>>2]);m=m+t*t;a=a+4|0}while(a>>>0<=h>>>0);t=m+k+(l+j);if(a>>>0<g>>>0){j=t;h=a;while(1){a=b+(h<<2)|0;l=o*+n[a>>2];n[e>>2]=l;x=f[(r<l?d:e)>>2]|0;f[a>>2]=x;l=(f[s>>2]=x,+n[s>>2]);k=j+l*l;h=h+1|0;if((h|0)==(g|0)){y=k;break}else j=k}}else y=t;t=1.0/(+M(+y)+1.0000000474974513e-03);if(!g){u=c;return}else z=0;do{h=b+(z<<2)|0;n[h>>2]=t*+n[h>>2];z=z+1|0}while((z|0)!=(g|0));u=c;return}function Bta(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;h=g;if(((d-g|0)/12|0)>>>0>=b>>>0){Drc(g|0,0,b*12|0)|0;f[e>>2]=h+(b*12|0);return}i=f[a>>2]|0;j=(g-i|0)/12|0;g=j+b|0;k=i;if(g>>>0>357913941)Ukc(a);l=(d-i|0)/12|0;d=l<<1;m=l>>>0<178956970?(d>>>0<g>>>0?g:d):357913941;do if(m)if(m>>>0>357913941){d=ye(8)|0;Jmc(d,511852);f[d>>2]=165276;Gf(d|0,26776,1555)}else{n=Bmc(m*12|0)|0;break}else n=0;while(0);d=n+(j*12|0)|0;j=n+(m*12|0)|0;Drc(d|0,0,b*12|0)|0;m=d+(b*12|0)|0;if((h|0)==(k|0)){o=d;p=i}else{i=h;h=d;do{d=i;i=i+-12|0;f[h+-12>>2]=f[i>>2];f[h+-8>>2]=f[d+-8>>2];f[h+-4>>2]=f[d+-4>>2];h=h+-12|0}while((i|0)!=(k|0));o=h;p=f[a>>2]|0}f[a>>2]=o;f[e>>2]=m;f[c>>2]=j;if(!p)return;Emc(p);return}function Cta(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/44|0)>>>0>=b>>>0){h=b;i=g;do{j=i;k=j+44|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));i=(f[e>>2]|0)+44|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/44|0;g=i+b|0;if(g>>>0>97612893)Ukc(a);l=(d-h|0)/44|0;h=l<<1;d=l>>>0<48806446?(h>>>0<g>>>0?g:h):97612893;do if(d)if(d>>>0>97612893){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{m=Bmc(d*44|0)|0;break}else m=0;while(0);h=m+(i*44|0)|0;i=m+(d*44|0)|0;d=b;b=h;m=h;do{j=b;k=j+44|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));b=m+44|0;m=b;d=d+-1|0}while((d|0)!=0);d=f[a>>2]|0;b=(f[e>>2]|0)-d|0;j=h+(((b|0)/-44|0)*44|0)|0;if((b|0)>0)Krc(j|0,d|0,b|0)|0;f[a>>2]=j;f[e>>2]=m;f[c>>2]=i;if(!d)return;Emc(d);return}function Dta(a){a=a|0;var b=0,c=0;f[a>>2]=83860;uN(a+88|0);b=f[a+76>>2]|0;if(!b)return;c=a+80|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-4-b|0)>>>2)<<2);Emc(b);return}function Eta(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=83860;uN(a+88|0);b=f[a+76>>2]|0;if(!b){Emc(a);return}c=a+80|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b);Emc(a);return}function Fta(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0.0;d=u;u=u+128|0;e=d+112|0;g=d+56|0;h=d;do if((pD(c)|0)==65536){i=f[c+4>>2]|0;f[g>>2]=f[i>>2];j=g+4|0;k=i+4|0;f[j>>2]=f[k>>2];l=g+8|0;f[l>>2]=f[i+8>>2];f[g+12>>2]=f[i+12>>2];f[g+16>>2]=f[i+16>>2];f[g+20>>2]=f[i+20>>2];f[g+24>>2]=f[i+24>>2];f[g+28>>2]=f[i+28>>2];f[g+32>>2]=f[i+32>>2];m=f[i+36>>2]|0;f[g+36>>2]=m;f[g+40>>2]=l;l=g+48|0;o=g+44|0;f[o>>2]=l;f[l>>2]=0;f[g+52>>2]=0;if(m|0){l=m+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[k>>2]|0)<3){k=f[i+44>>2]|0;l=f[o>>2]|0;f[l>>2]=f[k>>2];f[l+4>>2]=f[k+4>>2];break}else{f[j>>2]=0;kP(g,i);break}}else lD(g,c,-1);while(0);c=a+76|0;i=e+8|0;f[i>>2]=0;f[i+4>>2]=0;f[e>>2]=-2113732603;f[e+4>>2]=c;IO(g,e,5,1.0,0.0);i=g+36|0;j=f[i>>2]|0;if(j|0?(k=j+12|0,j=f[k>>2]|0,f[k>>2]=j+-1,(j|0)==1):0)lP(g);f[i>>2]=0;i=g+16|0;j=g+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[j>>2]|0)>0){i=f[g+40>>2]|0;k=0;do{f[i+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[j>>2]|0))}j=f[g+44>>2]|0;if((j|0)!=(g+48|0))tE(j);j=a+80|0;g=(f[j>>2]|0)-(f[c>>2]|0)>>2;k=_ta(a)|0;if(!((g|0)==(k+1|0)|((g|0)==0|(g|0)==(k|0)))){f[e>>2]=0;f[e+4>>2]=0;p=YG(e,19)|0;k=373830;q=p+19|0;do{b[p>>0]=b[k>>0]|0;p=p+1|0;k=k+1|0}while((p|0)<(q|0));SQ(-215,e,373850,371692,117)}k=(f[j>>2]|0)-(f[c>>2]|0)>>2;f[h>>2]=1124007936;g=h+4|0;i=h+8|0;l=h+40|0;p=g;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[l>>2]=i;i=h+48|0;p=h+44|0;f[p>>2]=i;f[i>>2]=0;f[h+52>>2]=0;f[e>>2]=1;f[e+4>>2]=k;iP(h,2,e,5);k=f[a+12>>2]|0;q=f[a+16>>2]|0;o=Y(Y((k|0)/(f[a+28>>2]|0)|0,f[a+36>>2]|0)|0,(q|0)/(f[a+32>>2]|0)|0)|0;m=f[a+20>>2]|0;r=f[a+24>>2]|0;s=((f[a+4>>2]|0)-k+m|0)/(m|0)|0;m=((f[a+8>>2]|0)-q+r|0)/(r|0)|0;if((m|0)>0?(r=f[h+16>>2]|0,q=(o|0)==0,(s|0)>0):0){k=f[c>>2]|0;t=0;do{v=Y(t,s)|0;if(!q){w=0;do{x=k+((Y((Y(w,m)|0)+t|0,o)|0)<<2)|0;y=r+((Y(w+v|0,o)|0)<<2)|0;z=0;do{f[y+(z<<2)>>2]=f[x+(z<<2)>>2];z=z+1|0}while((z|0)!=(o|0));w=w+1|0}while((w|0)!=(s|0))}t=t+1|0}while((t|0)!=(m|0))}m=_ta(a)|0;t=f[c>>2]|0;if((f[j>>2]|0)-t>>2>>>0>m>>>0)A=+n[t+(m<<2)>>2];else A=0.0;n[a+136>>2]=A;m=e+8|0;f[m>>2]=0;f[m+4>>2]=0;f[e>>2]=34209792;f[e+4>>2]=a+88;kT(h,e);e=h+36|0;a=f[e>>2]|0;if(a|0?(m=a+12|0,a=f[m>>2]|0,f[m>>2]=a+-1,(a|0)==1):0)lP(h);f[e>>2]=0;e=h+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[g>>2]|0)>0){e=f[l>>2]|0;l=0;do{f[e+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[g>>2]|0))}g=f[p>>2]|0;if((g|0)==(i|0)){u=d;return}tE(g);u=d;return}function Gta(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=u;u=u+208|0;e=d+156|0;g=d+112|0;h=d+24|0;i=d+104|0;j=d+96|0;k=d+88|0;l=d+80|0;m=d+72|0;n=d+16|0;o=d;if((a$(c)|0)!=6){p=0;u=d;return p|0}R_(i,c,373678);S_(h,f[i>>2]|0,f[i+4>>2]|0,0);i=h+20|0;q=f[i>>2]|0;f[e>>2]=f[h>>2];f[e+4>>2]=q;b$(e,a+4|0,0);q=U_(h)|0;r=f[h+20>>2]|0;f[e>>2]=f[h>>2];f[e+4>>2]=r;b$(e,a+8|0,0);U_(q)|0;R_(j,c,373686);S_(e,f[j>>2]|0,f[j+4>>2]|0,0);j=h;q=e;r=j+44|0;do{f[j>>2]=f[q>>2];j=j+4|0;q=q+4|0}while((j|0)<(r|0));s=f[i>>2]|0;f[e>>2]=f[h>>2];f[e+4>>2]=s;b$(e,a+12|0,0);s=U_(h)|0;t=f[h+20>>2]|0;f[e>>2]=f[h>>2];f[e+4>>2]=t;b$(e,a+16|0,0);U_(s)|0;R_(k,c,373696);S_(e,f[k>>2]|0,f[k+4>>2]|0,0);j=h;q=e;r=j+44|0;do{f[j>>2]=f[q>>2];j=j+4|0;q=q+4|0}while((j|0)<(r|0));k=f[i>>2]|0;f[e>>2]=f[h>>2];f[e+4>>2]=k;b$(e,a+20|0,0);k=U_(h)|0;s=f[h+20>>2]|0;f[e>>2]=f[h>>2];f[e+4>>2]=s;b$(e,a+24|0,0);U_(k)|0;R_(l,c,373812);S_(e,f[l>>2]|0,f[l+4>>2]|0,0);j=h;q=e;r=j+44|0;do{f[j>>2]=f[q>>2];j=j+4|0;q=q+4|0}while((j|0)<(r|0));q=f[i>>2]|0;f[e>>2]=f[h>>2];f[e+4>>2]=q;b$(e,a+28|0,0);q=U_(h)|0;i=f[h+20>>2]|0;f[e>>2]=f[h>>2];f[e+4>>2]=i;b$(e,a+32|0,0);U_(q)|0;R_(e,c,373708);b$(e,a+36|0,0);R_(e,c,373714);b$(e,a+40|0,0);R_(e,c,373821);d$(e,a+48|0,0.0);R_(e,c,373728);b$(e,a+56|0,0);R_(e,c,373746);d$(e,a+64|0,0.0);R_(g,c,373761);b$(g,e,0);b[a+72>>0]=(f[e>>2]|0)!=0&1;R_(e,c,373777);b$(e,a+140|0,0);R_(m,c,373785);if(!(f[m+4>>2]|0))b[a+144>>0]=0;else{R_(g,c,373785);b$(g,e,0);b[a+144>>0]=(f[e>>2]|0)!=0&1}R_(n,c,373800);if((a$(n)|0)==5?(f[o>>2]=0,c=o+4|0,f[c>>2]=0,f[o+8>>2]=0,S_(g,f[n>>2]|0,f[n+4>>2]|0,0),f[e>>2]=g,kua(e,o,2147483647),g=f[(f[a>>2]|0)+8>>2]|0,f[e+8>>2]=0,f[e+12>>2]=0,f[e>>2]=-2130509819,f[e+4>>2]=o,xh[g&2047](a,e),e=f[o>>2]|0,e|0):0){o=f[c>>2]|0;if((o|0)!=(e|0))f[c>>2]=o+(~((o+-4-e|0)>>>2)<<2);Emc(e)}p=1;u=d;return p|0}function Hta(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0.0,q=0.0,r=0,s=0;e=u;u=u+16|0;g=e+8|0;i=e;if(f[d+4>>2]|0)N_(c,d)|0;f[g>>2]=0;f[g+4>>2]=0;d=YG(g,27)|0;j=373650;k=d+27|0;do{b[d>>0]=b[j>>0]|0;d=d+1|0;j=j+1|0}while((d|0)<(k|0));l=N_(c,g)|0;ZG(g);f[g>>2]=0;f[g+4>>2]=0;m=YG(g,7)|0;b[m>>0]=b[373678]|0;b[m+1>>0]=b[373679]|0;b[m+2>>0]=b[373680]|0;b[m+3>>0]=b[373681]|0;b[m+4>>0]=b[373682]|0;b[m+5>>0]=b[373683]|0;b[m+6>>0]=b[373684]|0;m=N_(l,g)|0;ZG(g);l=iua(m,a+4|0)|0;f[g>>2]=0;f[g+4>>2]=0;d=YG(g,9)|0;j=373686;k=d+9|0;do{b[d>>0]=b[j>>0]|0;d=d+1|0;j=j+1|0}while((d|0)<(k|0));m=N_(l,g)|0;ZG(g);l=iua(m,a+12|0)|0;f[g>>2]=0;f[g+4>>2]=0;d=YG(g,11)|0;j=373696;k=d+11|0;do{b[d>>0]=b[j>>0]|0;d=d+1|0;j=j+1|0}while((d|0)<(k|0));m=N_(l,g)|0;ZG(g);l=iua(m,a+20|0)|0;f[g>>2]=0;f[g+4>>2]=0;m=YG(g,8)|0;n=m;b[n>>0]=99;b[n+1>>0]=101;b[n+2>>0]=108;b[n+3>>0]=108;n=m+4|0;b[n>>0]=83;b[n+1>>0]=105;b[n+2>>0]=122;b[n+3>>0]=101;n=N_(l,g)|0;ZG(g);l=iua(n,a+28|0)|0;f[g>>2]=0;f[g+4>>2]=0;n=YG(g,5)|0;b[n>>0]=b[373708]|0;b[n+1>>0]=b[373709]|0;b[n+2>>0]=b[373710]|0;b[n+3>>0]=b[373711]|0;b[n+4>>0]=b[373712]|0;n=N_(l,g)|0;ZG(g);l=a+36|0;if(ci[f[(f[c>>2]|0)+12>>2]&1023](n)|0){m=c+32|0;if((f[m>>2]|0)==6){f[g>>2]=0;f[g+4>>2]=0;d=YG(g,30)|0;j=387098;k=d+30|0;do{b[d>>0]=b[j>>0]|0;d=d+1|0;j=j+1|0}while((d|0)<(k|0));SQ(-2,g,523834,387129,1183)}W_(n,c+12|0,f[l>>2]|0);if(f[m>>2]&4|0)f[m>>2]=6}f[g>>2]=0;f[g+4>>2]=0;d=YG(g,13)|0;j=373714;k=d+13|0;do{b[d>>0]=b[j>>0]|0;d=d+1|0;j=j+1|0}while((d|0)<(k|0));m=N_(n,g)|0;ZG(g);n=a+40|0;if(ci[f[(f[c>>2]|0)+12>>2]&1023](m)|0){l=c+32|0;if((f[l>>2]|0)==6){f[g>>2]=0;f[g+4>>2]=0;d=YG(g,30)|0;j=387098;k=d+30|0;do{b[d>>0]=b[j>>0]|0;d=d+1|0;j=j+1|0}while((d|0)<(k|0));SQ(-2,g,523834,387129,1183)}W_(m,c+12|0,f[n>>2]|0);if(f[l>>2]&4|0)f[l>>2]=6}f[g>>2]=0;f[g+4>>2]=0;l=YG(g,8)|0;n=l;b[n>>0]=119;b[n+1>>0]=105;b[n+2>>0]=110;b[n+3>>0]=83;n=l+4|0;b[n>>0]=105;b[n+1>>0]=103;b[n+2>>0]=109;b[n+3>>0]=97;n=N_(m,g)|0;ZG(g);o=+p[a+48>>3];if(o>0.0)q=o;else q=+((f[a+16>>2]|0)+(f[a+12>>2]|0)|0)*.125;if(ci[f[(f[c>>2]|0)+12>>2]&1023](n)|0){m=c+32|0;if((f[m>>2]|0)==6){f[g>>2]=0;f[g+4>>2]=0;d=YG(g,30)|0;j=387098;k=d+30|0;do{b[d>>0]=b[j>>0]|0;d=d+1|0;j=j+1|0}while((d|0)<(k|0));SQ(-2,g,523834,387129,1183)}Y_(n,c+12|0,q);if(f[m>>2]&4|0)f[m>>2]=6}f[g>>2]=0;f[g+4>>2]=0;d=YG(g,17)|0;j=373728;k=d+17|0;do{b[d>>0]=b[j>>0]|0;d=d+1|0;j=j+1|0}while((d|0)<(k|0));m=N_(n,g)|0;ZG(g);n=a+56|0;if(ci[f[(f[c>>2]|0)+12>>2]&1023](m)|0){l=c+32|0;if((f[l>>2]|0)==6){f[g>>2]=0;f[g+4>>2]=0;d=YG(g,30)|0;j=387098;k=d+30|0;do{b[d>>0]=b[j>>0]|0;d=d+1|0;j=j+1|0}while((d|0)<(k|0));SQ(-2,g,523834,387129,1183)}W_(m,c+12|0,f[n>>2]|0);if(f[l>>2]&4|0)f[l>>2]=6}f[g>>2]=0;f[g+4>>2]=0;d=YG(g,14)|0;j=373746;k=d+14|0;do{b[d>>0]=b[j>>0]|0;d=d+1|0;j=j+1|0}while((d|0)<(k|0));l=N_(m,g)|0;ZG(g);m=a+64|0;if(ci[f[(f[c>>2]|0)+12>>2]&1023](l)|0){n=c+32|0;if((f[n>>2]|0)==6){f[g>>2]=0;f[g+4>>2]=0;d=YG(g,30)|0;j=387098;k=d+30|0;do{b[d>>0]=b[j>>0]|0;d=d+1|0;j=j+1|0}while((d|0)<(k|0));SQ(-2,g,523834,387129,1183)}Y_(l,c+12|0,+p[m>>3]);if(f[n>>2]&4|0)f[n>>2]=6}f[g>>2]=0;f[g+4>>2]=0;d=YG(g,15)|0;j=373761;k=d+15|0;do{b[d>>0]=b[j>>0]|0;d=d+1|0;j=j+1|0}while((d|0)<(k|0));n=N_(l,g)|0;ZG(g);l=a+72|0;if(ci[f[(f[c>>2]|0)+12>>2]&1023](n)|0){m=c+32|0;if((f[m>>2]|0)==6){f[g>>2]=0;f[g+4>>2]=0;d=YG(g,30)|0;j=387098;k=d+30|0;do{b[d>>0]=b[j>>0]|0;d=d+1|0;j=j+1|0}while((d|0)<(k|0));SQ(-2,g,523834,387129,1183)}W_(n,c+12|0,h[l>>0]|0);if(f[m>>2]&4|0)f[m>>2]=6}f[g>>2]=0;f[g+4>>2]=0;m=YG(g,7)|0;b[m>>0]=b[373777]|0;b[m+1>>0]=b[373778]|0;b[m+2>>0]=b[373779]|0;b[m+3>>0]=b[373780]|0;b[m+4>>0]=b[373781]|0;b[m+5>>0]=b[373782]|0;b[m+6>>0]=b[373783]|0;m=N_(n,g)|0;ZG(g);n=a+140|0;if(ci[f[(f[c>>2]|0)+12>>2]&1023](m)|0){l=c+32|0;if((f[l>>2]|0)==6){f[g>>2]=0;f[g+4>>2]=0;d=YG(g,30)|0;j=387098;k=d+30|0;do{b[d>>0]=b[j>>0]|0;d=d+1|0;j=j+1|0}while((d|0)<(k|0));SQ(-2,g,523834,387129,1183)}W_(m,c+12|0,f[n>>2]|0);if(f[l>>2]&4|0)f[l>>2]=6}f[g>>2]=0;f[g+4>>2]=0;d=YG(g,14)|0;j=373785;k=d+14|0;do{b[d>>0]=b[j>>0]|0;d=d+1|0;j=j+1|0}while((d|0)<(k|0));l=N_(m,g)|0;ZG(g);m=a+144|0;if(ci[f[(f[c>>2]|0)+12>>2]&1023](l)|0){n=c+32|0;if((f[n>>2]|0)==6){f[g>>2]=0;f[g+4>>2]=0;d=YG(g,30)|0;j=387098;k=d+30|0;do{b[d>>0]=b[j>>0]|0;d=d+1|0;j=j+1|0}while((d|0)<(k|0));SQ(-2,g,523834,387129,1183)}W_(l,c+12|0,h[m>>0]|0);if(f[n>>2]&4|0)f[n>>2]=6}n=a+76|0;if((f[n>>2]|0)==(f[a+80>>2]|0)){f[g>>2]=0;r=g+4|0;f[r>>2]=0;s=YG(g,1)|0;b[s>>0]=125;N_(c,g)|0;ZG(g);u=e;return}f[g>>2]=0;f[g+4>>2]=0;d=YG(g,11)|0;j=373800;k=d+11|0;do{b[d>>0]=b[j>>0]|0;d=d+1|0;j=j+1|0}while((d|0)<(k|0));a=N_(c,g)|0;ZG(g);if(!(ci[f[(f[c>>2]|0)+12>>2]&1023](a)|0)){f[g>>2]=0;r=g+4|0;f[r>>2]=0;s=YG(g,1)|0;b[s>>0]=125;N_(c,g)|0;ZG(g);u=e;return}m=c+32|0;if((f[m>>2]|0)==6){f[g>>2]=0;f[g+4>>2]=0;d=YG(g,30)|0;j=387098;k=d+30|0;do{b[d>>0]=b[j>>0]|0;d=d+1|0;j=j+1|0}while((d|0)<(k|0));SQ(-2,g,523834,387129,1183)}f[g>>2]=0;f[g+4>>2]=0;__(i,a,c+12|0,13,g);ZG(g);f[g>>2]=a;jua(g,n);$_(i);if(!(f[m>>2]&4)){f[g>>2]=0;r=g+4|0;f[r>>2]=0;s=YG(g,1)|0;b[s>>0]=125;N_(c,g)|0;ZG(g);u=e;return}f[m>>2]=6;f[g>>2]=0;r=g+4|0;f[r>>2]=0;s=YG(g,1)|0;b[s>>0]=125;N_(c,g)|0;ZG(g);u=e;return}function Ita(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+144|0;e=d+136|0;g=d+88|0;h=d+44|0;i=d+8|0;j=d;f[e>>2]=0;f[e+4>>2]=0;K_(i,b,0,e);ZG(e);if(f[c+4>>2]|0){Q_(j,i,c);k=f[a>>2]|0;l=k+12|0;m=f[l>>2]|0;n=Sh[m&511](a,j)|0;C_(i);u=d;return n|0}M_(e,i,0);c=e+4|0;S_(g,f[e>>2]|0,f[c>>2]|0,0);b=f[e>>2]|0;o=f[c>>2]|0;S_(h,b,o,T_(e)|0);e=f[g>>2]|0;o=e;if((((e|0)==(f[h>>2]|0)?(f[g+4>>2]|0)==(f[h+4>>2]|0):0)?(f[g+20>>2]|0)==(f[h+20>>2]|0):0)?(f[g+40>>2]|0)==(f[h+40>>2]|0):0){f[j>>2]=0;f[j+4>>2]=0}else{h=f[g+20>>2]|0;f[j>>2]=o;f[j+4>>2]=h}k=f[a>>2]|0;l=k+12|0;m=f[l>>2]|0;n=Sh[m&511](a,j)|0;C_(i);u=d;return n|0}function Jta(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+48|0;e=d+8|0;g=d;f[g>>2]=0;f[g+4>>2]=0;K_(e,b,1,g);ZG(g);h=f[(f[a>>2]|0)+16>>2]|0;i=f[c+4>>2]|0;if(i){j=f[c>>2]|0;f[g>>2]=j;f[g+4>>2]=i;if(j|0){i=j+-4|0;f[i>>2]=(f[i>>2]|0)+1}}else P_(g,b);Yh[h&511](a,e,g);ZG(g);C_(e);u=d;return}function Kta(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;f[c+4>>2]=f[a+4>>2];f[c+8>>2]=f[a+8>>2];f[c+12>>2]=f[a+12>>2];f[c+16>>2]=f[a+16>>2];f[c+20>>2]=f[a+20>>2];f[c+24>>2]=f[a+24>>2];f[c+28>>2]=f[a+28>>2];f[c+32>>2]=f[a+32>>2];f[c+36>>2]=f[a+36>>2];f[c+40>>2]=f[a+40>>2];p[c+48>>3]=+p[a+48>>3];f[c+56>>2]=f[a+56>>2];p[c+64>>3]=+p[a+64>>3];b[c+72>>0]=b[a+72>>0]|0;if((c|0)==(a|0)){d=a+140|0;e=f[d>>2]|0;g=c+140|0;f[g>>2]=e;h=a+144|0;i=b[h>>0]|0;j=c+144|0;b[j>>0]=i;return}ZA(c+76|0,f[a+76>>2]|0,f[a+80>>2]|0);d=a+140|0;e=f[d>>2]|0;g=c+140|0;f[g>>2]=e;h=a+144|0;i=b[h>>0]|0;j=c+144|0;b[j>>0]=i;return}function Lta(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;h=u;u=u+416|0;i=h+408|0;j=h+400|0;k=h+392|0;l=h+336|0;m=h+8|0;n=h;zT(i,84144);o=f[d>>2]|0;p=d+4|0;q=f[p>>2]|0;if(!(q|o)){r=f[a+28>>2]|0;f[d>>2]=r;s=f[a+32>>2]|0;f[p>>2]=s;t=r;v=s}else{t=o;v=q}q=f[a+20>>2]|0;o=(t|0)<(q|0);s=o?q:t;r=o?t:q;if((r|0)>0){q=s;t=r;while(1){r=(q|0)%(t|0)|0;if((r|0)>0){o=t;t=r;q=o}else{w=t;break}}}else w=s;s=f[a+24>>2]|0;t=(v|0)<(s|0);q=t?s:v;o=t?v:s;if((o|0)>0){s=q;v=o;while(1){o=(s|0)%(v|0)|0;if((o|0)>0){t=v;v=o;s=t}else{x=v;break}}}else x=q;f[j>>2]=w;w=j+4|0;f[w>>2]=x;nD(k,b,-1);x=g+4|0;q=(f[x>>2]|0)-(f[g>>2]|0)>>3;v=f[e>>2]|0;s=f[j>>2]|0;t=s+-1+((v|0)>0?v:0)&0-s;f[e>>2]=t;s=e+4|0;v=f[s>>2]|0;o=f[w>>2]|0;w=o+-1+((v|0)>0?v:0)&0-o;f[s>>2]=w;o=(t<<1)+(f[k>>2]|0)|0;t=(w<<1)+(f[k+4>>2]|0)|0;do if((pD(b)|0)==65536){k=f[b+4>>2]|0;f[l>>2]=f[k>>2];w=l+4|0;v=k+4|0;f[w>>2]=f[v>>2];r=l+8|0;f[r>>2]=f[k+8>>2];f[l+12>>2]=f[k+12>>2];f[l+16>>2]=f[k+16>>2];f[l+20>>2]=f[k+20>>2];f[l+24>>2]=f[k+24>>2];f[l+28>>2]=f[k+28>>2];f[l+32>>2]=f[k+32>>2];y=f[k+36>>2]|0;f[l+36>>2]=y;f[l+40>>2]=r;r=l+48|0;z=l+44|0;f[z>>2]=r;f[r>>2]=0;f[l+52>>2]=0;if(y|0){r=y+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[v>>2]|0)<3){v=f[k+44>>2]|0;r=f[z>>2]|0;f[r>>2]=f[v>>2];f[r+4>>2]=f[v+4>>2];break}else{f[w>>2]=0;kP(l,k);break}}else lD(l,b,-1);while(0);b=(q|0)==0;Zta(m,a,l,e,e,b,j);if(b)A=Y(((t-(f[m+48>>2]|0)|0)/(f[p>>2]|0)|0)+1|0,((o-(f[m+44>>2]|0)|0)/(f[d>>2]|0)|0)+1|0)|0;else A=q;q=f[m+16>>2]|0;t=Y(f[m+64>>2]|0,f[m+60>>2]|0)|0;b=f[m+76>>2]|0;j=_ta(a)|0;k=Y(j,A)|0;w=c+4|0;v=f[w>>2]|0;r=f[c>>2]|0;z=v-r>>2;y=r;r=v;if(k>>>0<=z>>>0){if(k>>>0<z>>>0?(v=y+(k<<2)|0,(r|0)!=(v|0)):0)f[w>>2]=r+(~((r+-4-v|0)>>>2)<<2)}else hua(c,k-z|0);if(A|0?(z=m+44|0,k=l+12|0,v=a+4|0,r=l+8|0,w=a+8|0,a=n+4|0,y=b<<2,(t|0)>0):0){b=0;do{B=Y(b,j)|0;C=(f[c>>2]|0)+(B<<2)|0;B=f[g>>2]|0;if((B|0)!=(f[x>>2]|0)){D=f[B+(b<<3)>>2]|0;E=f[B+(b<<3)+4>>2]|0;B=f[e>>2]|0;if((((D|0)>=(0-B|0)?(D|0)<=((f[k>>2]|0)+B-(f[v>>2]|0)|0):0)?(B=f[s>>2]|0,(E|0)>=(0-B|0)):0)?(E|0)<=((f[r>>2]|0)+B-(f[w>>2]|0)|0):0){F=D;G=E;H=33}}else{E=f[d>>2]|0;D=((o-(f[z>>2]|0)|0)/(E|0)|0)+1|0;B=(b|0)/(D|0)|0;I=Y(b-(Y(D,B)|0)|0,E)|0;E=Y(f[p>>2]|0,B)|0;F=I-(f[e>>2]|0)|0;G=E-(f[s>>2]|0)|0;H=33}if((H|0)==33){H=0;E=0;do{I=(f[q+(E*12|0)+8>>2]|0)+G|0;B=C+(f[q+(E*12|0)>>2]<<2)|0;f[n>>2]=(f[q+(E*12|0)+4>>2]|0)+F;f[a>>2]=I;I=aua(m,n,B)|0;if((I|0)!=(B|0))Krc(B|0,I|0,y|0)|0;E=E+1|0}while((E|0)<(t|0))}b=b+1|0}while(b>>>0<A>>>0)}xta(m);m=l+36|0;A=f[m>>2]|0;if(A|0?(b=A+12|0,A=f[b>>2]|0,f[b>>2]=A+-1,(A|0)==1):0)lP(l);f[m>>2]=0;m=l+16|0;A=l+4|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[A>>2]|0)>0){m=f[l+40>>2]|0;b=0;do{f[m+(b<<2)>>2]=0;b=b+1|0}while((b|0)<(f[A>>2]|0))}A=f[l+44>>2]|0;if((A|0)!=(l+48|0))tE(A);if(!(f[i+4>>2]|0)){u=h;return}u=h;return}function Mta(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0.0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0.0,la=0.0,ma=0,na=0,oa=0,pa=0.0,qa=0,ra=0;k=u;u=u+384|0;l=k+376|0;m=k+368|0;o=k+40|0;q=k+24|0;r=k+16|0;s=k;t=k+8|0;zT(l,84124);v=f[d>>2]|0;w=d+4|0;x=f[w>>2]|0;if((x|0)!=(v|0))f[w>>2]=x+(~((x+-8-v|0)>>>3)<<3);v=f[e>>2]|0;x=e+4|0;y=f[x>>2]|0;if((y|0)!=(v|0))f[x>>2]=y+(~((y+-8-v|0)>>>3)<<3);v=a+76|0;y=a+80|0;if((f[v>>2]|0)!=(f[y>>2]|0)){z=f[h>>2]|0;A=h+4|0;B=f[A>>2]|0;if(!(B|z)){C=f[a+28>>2]|0;f[h>>2]=C;D=f[a+32>>2]|0;f[A>>2]=D;E=C;F=D}else{E=z;F=B}B=f[a+20>>2]|0;z=(E|0)<(B|0);D=z?B:E;C=z?E:B;if((C|0)>0){B=D;E=C;while(1){C=(B|0)%(E|0)|0;if((C|0)>0){z=E;E=C;B=z}else{G=E;break}}}else G=D;D=f[a+24>>2]|0;E=(F|0)<(D|0);B=E?D:F;z=E?F:D;if((z|0)>0){D=B;F=z;while(1){z=(D|0)%(F|0)|0;if((z|0)>0){E=F;F=z;D=E}else{H=F;break}}}else H=B;f[m>>2]=G;B=m+4|0;f[B>>2]=H;F=j+4|0;D=(f[F>>2]|0)-(f[j>>2]|0)>>3;E=f[i>>2]|0;z=G+-1+((E|0)>0?E:0)&0-G;f[i>>2]=z;G=i+4|0;E=f[G>>2]|0;C=H+-1+((E|0)>0?E:0)&0-H;f[G>>2]=C;H=c+12|0;E=(z<<1)+(f[H>>2]|0)|0;z=c+8|0;I=(C<<1)+(f[z>>2]|0)|0;C=(D|0)==0;Zta(o,a,c,i,i,C,m);if(C)J=Y(((I-(f[o+48>>2]|0)|0)/(f[A>>2]|0)|0)+1|0,((E-(f[o+44>>2]|0)|0)/(f[h>>2]|0)|0)+1|0)|0;else J=D;D=f[o+16>>2]|0;I=Y(f[o+64>>2]|0,f[o+60>>2]|0)|0;C=f[o+76>>2]|0;c=_ta(a)|0;K=f[v>>2]|0;if((f[y>>2]|0)-K>>2>>>0>c>>>0)L=+n[K+(c<<2)>>2];else L=0.0;M=L;f[q>>2]=0;c=q+4|0;f[c>>2]=0;f[q+8>>2]=0;do if(C)if(C>>>0>1073741823)Ukc(q);else{K=C<<2;y=Bmc(K)|0;f[q>>2]=y;N=y+(C<<2)|0;f[q+8>>2]=N;Drc(y|0,0,K|0)|0;f[c>>2]=N;O=y;P=y;break}else{O=0;P=0}while(0);do if(J){y=r+4|0;N=o+44|0;K=(I|0)>0;Q=t+4|0;R=C+-4|0;S=(C|0)<4;T=d+8|0;U=e+8|0;V=a+4|0;W=a+8|0;X=C&-4;Z=(C|0)>0;_=(X|0)<(C|0);$=0;while(1){f[r>>2]=0;f[y>>2]=0;aa=f[j>>2]|0;if((aa|0)==(f[F>>2]|0)){ba=f[h>>2]|0;ca=((E-(f[N>>2]|0)|0)/(ba|0)|0)+1|0;da=($|0)/(ca|0)|0;ea=Y($-(Y(ca,da)|0)|0,ba)|0;ba=Y(f[A>>2]|0,da)|0;da=ea-(f[i>>2]|0)|0;ea=ba-(f[G>>2]|0)|0;f[r>>2]=da;f[y>>2]=ea;if((da|0)%(f[m>>2]|0)|0|0){fa=34;break}if(!((ea|0)%(f[B>>2]|0)|0)){ga=da;ha=ea;fa=35}else{fa=34;break}}else{ea=f[aa+($<<3)>>2]|0;f[r>>2]=ea;da=f[aa+($<<3)+4>>2]|0;f[y>>2]=da;aa=f[i>>2]|0;if((((ea|0)>=(0-aa|0)?(ea|0)<=((f[H>>2]|0)+aa-(f[V>>2]|0)|0):0)?(aa=f[G>>2]|0,(da|0)>=(0-aa|0)):0)?(da|0)<=((f[z>>2]|0)+aa-(f[W>>2]|0)|0):0){ga=ea;ha=da;fa=35}}if((fa|0)==35){fa=0;p[s>>3]=M;da=f[v>>2]|0;a:do if(K)if(S){ea=0;aa=da;ba=ga;ca=ha;while(1){ia=(f[D+(ea*12|0)+8>>2]|0)+ca|0;f[t>>2]=(f[D+(ea*12|0)+4>>2]|0)+ba;f[Q>>2]=ia;ia=aua(o,t,f[q>>2]|0)|0;if(Z){ja=0;L=+p[s>>3];do{L=L+ +n[ia+(ja<<2)>>2]*+n[aa+(ja<<2)>>2];ja=ja+1|0}while((ja|0)!=(C|0));p[s>>3]=L}ja=ea+1|0;if((ja|0)>=(I|0))break;ea=ja;aa=aa+(C<<2)|0;ba=f[r>>2]|0;ca=f[y>>2]|0}ka=+p[s>>3];break}else{ca=0;ba=da;aa=ga;ea=ha;while(1){ja=(f[D+(ca*12|0)+8>>2]|0)+ea|0;f[t>>2]=(f[D+(ca*12|0)+4>>2]|0)+aa;f[Q>>2]=ja;ja=aua(o,t,f[q>>2]|0)|0;ia=0;la=+p[s>>3];do{ma=ia|1;na=ia|2;oa=ia|3;la=la+(+n[ja+(ia<<2)>>2]*+n[ba+(ia<<2)>>2]+ +n[ja+(ma<<2)>>2]*+n[ba+(ma<<2)>>2]+ +n[ja+(na<<2)>>2]*+n[ba+(na<<2)>>2]+ +n[ja+(oa<<2)>>2]*+n[ba+(oa<<2)>>2]);ia=ia+4|0}while((ia|0)<=(R|0));p[s>>3]=la;if(_){ia=X;L=la;do{L=L+ +n[ja+(ia<<2)>>2]*+n[ba+(ia<<2)>>2];ia=ia+1|0}while((ia|0)!=(C|0));p[s>>3]=L;pa=L}else pa=la;ia=ca+1|0;if((ia|0)>=(I|0)){ka=pa;break a}ca=ia;ba=ba+(C<<2)|0;aa=f[r>>2]|0;ea=f[y>>2]|0}}else ka=M;while(0);do if(ka>=g){da=f[w>>2]|0;if((da|0)==(f[T>>2]|0))G1(d,r);else{f[da>>2]=f[r>>2];f[da+4>>2]=f[y>>2];f[w>>2]=da+8}da=f[x>>2]|0;if((da|0)==(f[U>>2]|0)){$ta(e,s);break}else{p[da>>3]=+p[s>>3];f[x>>2]=da+8;break}}while(0)}$=$+1|0;if($>>>0>=J>>>0){fa=22;break}}if((fa|0)==22){$=f[q>>2]|0;qa=$;ra=$;break}else if((fa|0)==34){f[s>>2]=0;f[s+4>>2]=0;$=YG(s,65)|0;U=373302;y=$+65|0;do{b[$>>0]=b[U>>0]|0;$=$+1|0;U=U+1|0}while(($|0)<(y|0));SQ(-215,s,373368,371692,1705)}}else{qa=P;ra=O}while(0);if(qa|0){O=f[c>>2]|0;if((O|0)!=(qa|0))f[c>>2]=O+(~((O+-4-qa|0)>>>2)<<2);Emc(ra)}xta(o)}if(!(f[l+4>>2]|0)){u=k;return}u=k;return}function Nta(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0;i=u;u=u+48|0;j=i+32|0;k=i+16|0;l=i+8|0;m=i;zT(j,84104);f[k>>2]=0;n=k+4|0;f[n>>2]=0;f[k+8>>2]=0;o=f[(f[a>>2]|0)+36>>2]|0;f[l>>2]=f[e>>2];f[l+4>>2]=f[e+4>>2];f[m>>2]=f[g>>2];f[m+4>>2]=f[g+4>>2];Rf[o&7](a,b,c,k,d,l,m,h);h=f[k>>2]|0;if(h|0){k=f[n>>2]|0;if((k|0)!=(h|0))f[n>>2]=k+(~((k+-8-h|0)>>>3)<<3);Emc(h)}if(!(f[j+4>>2]|0)){u=i;return}u=i;return}function Ota(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=+i;j=+j;k=k|0;var l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0,M=0,N=0.0,O=0,P=0.0,Q=0,R=0;l=u;u=u+288|0;m=l+272|0;n=l+112|0;o=l+264|0;q=l+252|0;r=l+240|0;s=l+228|0;t=l+216|0;v=l+204|0;w=l+200|0;x=l+144|0;y=l+136|0;z=l;A=l+128|0;B=l+120|0;zT(m,84044);p[n>>3]=1.0;nD(o,b,-1);f[q>>2]=0;C=q+4|0;f[C>>2]=0;f[q+8>>2]=0;D=a+140|0;a:do if((f[D>>2]|0)>0){E=q+8|0;F=a+4|0;G=o+4|0;H=a+8|0;if(!(i<=1.0)){I=0;J=0;K=1.0;L=0}else{$ta(q,n);M=0;break}while(1){if((I|0)==(J|0))$ta(q,n);else{p[I>>3]=K;f[C>>2]=I+8}N=+p[n>>3];O=V9b(+(f[o>>2]|0)/N)|0;if((O|0)<(f[F>>2]|0)){M=L;break a}O=V9b(+(f[G>>2]|0)/N)|0;if((O|0)<(f[H>>2]|0)){M=L;break a}P=N*i;p[n>>3]=P;O=L+1|0;if((O|0)>=(f[D>>2]|0)){M=O;break a}I=f[C>>2]|0;J=f[E>>2]|0;K=P;L=O}}else M=0;while(0);L=(M|0)>1?M:1;M=f[C>>2]|0;J=f[q>>2]|0;I=M-J>>3;D=J;J=M;if(L>>>0<=I>>>0){if(L>>>0<I>>>0?(M=D+(L<<3)|0,(J|0)!=(M|0)):0)f[C>>2]=J+(~((J+-8-M|0)>>>3)<<3)}else m6(q,L-I|0);I=g+4|0;if(!(f[I>>2]|f[g>>2])){f[g>>2]=f[a+20>>2];f[I>>2]=f[a+24>>2]}f[r>>2]=0;I=r+4|0;f[I>>2]=0;f[r+8>>2]=0;f[s>>2]=0;L=s+4|0;f[L>>2]=0;f[s+8>>2]=0;f[t>>2]=0;M=t+4|0;f[M>>2]=0;f[t+8>>2]=0;f[v>>2]=0;J=v+4|0;f[J>>2]=0;f[v+8>>2]=0;QR(w);do if((pD(b)|0)==65536){D=f[b+4>>2]|0;f[x>>2]=f[D>>2];n=x+4|0;E=D+4|0;f[n>>2]=f[E>>2];H=x+8|0;f[H>>2]=f[D+8>>2];f[x+12>>2]=f[D+12>>2];f[x+16>>2]=f[D+16>>2];f[x+20>>2]=f[D+20>>2];f[x+24>>2]=f[D+24>>2];f[x+28>>2]=f[D+28>>2];f[x+32>>2]=f[D+32>>2];G=f[D+36>>2]|0;f[x+36>>2]=G;f[x+40>>2]=H;H=x+48|0;F=x+44|0;f[F>>2]=H;f[H>>2]=0;f[x+52>>2]=0;if(G|0){H=G+12|0;f[H>>2]=(f[H>>2]|0)+1}if((f[E>>2]|0)<3){E=f[D+44>>2]|0;H=f[F>>2]|0;f[H>>2]=f[E>>2];f[H+4>>2]=f[E+4>>2];break}else{f[n>>2]=0;kP(x,D);break}}else lD(x,b,-1);while(0);b=f[q>>2]|0;D=(f[C>>2]|0)-b>>3;f[y>>2]=0;f[y+4>>2]=D;bua(z,a,x,e,g,h,b,r,w,t,s);oU(y,z,-1.0);y=f[s>>2]|0;b=f[L>>2]|0;if((y|0)!=(b|0)){h=v+8|0;g=y;do{y=f[J>>2]|0;if((y|0)==(f[h>>2]|0))$ta(v,g);else{p[y>>3]=+p[g>>3];f[J>>2]=y+8}g=g+8|0}while((g|0)!=(b|0))}b=f[c>>2]|0;g=c+4|0;h=f[g>>2]|0;if((h|0)==(b|0))Q=b;else{y=h+(~((h+-16-b|0)>>>4)<<4)|0;f[g>>2]=y;Q=y}y=f[r>>2]|0;b=f[I>>2]|0;b:do if((y|0)!=(b|0)){h=c+8|0;D=Q;n=y;while(1){if((D|0)==(f[h>>2]|0))Yta(c,n);else{f[D>>2]=f[n>>2];f[D+4>>2]=f[n+4>>2];f[D+8>>2]=f[n+8>>2];f[D+12>>2]=f[n+12>>2];f[g>>2]=D+16}E=n+16|0;if((E|0)==(b|0))break b;D=f[g>>2]|0;n=E}}while(0);g=f[d>>2]|0;b=d+4|0;y=f[b>>2]|0;if((y|0)==(g|0))R=g;else{Q=y+(~((y+-8-g|0)>>>3)<<3)|0;f[b>>2]=Q;R=Q}Q=f[t>>2]|0;g=f[M>>2]|0;c:do if((Q|0)!=(g|0)){y=d+8|0;n=Q;D=R;while(1){if((D|0)==(f[y>>2]|0))$ta(d,n);else{p[D>>3]=+p[n>>3];f[b>>2]=D+8}h=n+8|0;if((h|0)==(g|0))break c;n=h;D=f[b>>2]|0}}while(0);if(k){f[A>>2]=f[a+4>>2];f[A+4>>2]=f[a+8>>2];xwa(c,d,v,j,A)}else cua(0,c,d,~~j,.2);f[B>>2]=f[o>>2];f[B+4>>2]=f[o+4>>2];Owa(B,c,0,d);f[z>>2]=84072;d=z+8|0;c=z+44|0;B=f[c>>2]|0;if(B|0?(o=B+12|0,B=f[o>>2]|0,f[o>>2]=B+-1,(B|0)==1):0)lP(d);f[c>>2]=0;c=z+24|0;d=z+12|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[d>>2]|0)>0){c=f[z+48>>2]|0;B=0;do{f[c+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[d>>2]|0))}d=f[z+52>>2]|0;if((d|0)!=(z+56|0))tE(d);d=x+36|0;z=f[d>>2]|0;if(z|0?(B=z+12|0,z=f[B>>2]|0,f[B>>2]=z+-1,(z|0)==1):0)lP(x);f[d>>2]=0;d=x+16|0;z=x+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[z>>2]|0)>0){d=f[x+40>>2]|0;B=0;do{f[d+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[z>>2]|0))}z=f[x+44>>2]|0;if((z|0)!=(x+48|0))tE(z);RR(w);w=f[v>>2]|0;if(w|0){v=f[J>>2]|0;if((v|0)!=(w|0))f[J>>2]=v+(~((v+-8-w|0)>>>3)<<3);Emc(w)}w=f[t>>2]|0;if(w|0){t=f[M>>2]|0;if((t|0)!=(w|0))f[M>>2]=t+(~((t+-8-w|0)>>>3)<<3);Emc(w)}w=f[s>>2]|0;if(w|0){s=f[L>>2]|0;if((s|0)!=(w|0))f[L>>2]=s+(~((s+-8-w|0)>>>3)<<3);Emc(w)}w=f[r>>2]|0;if(w|0){r=f[I>>2]|0;if((r|0)!=(w|0))f[I>>2]=r+(~((r+-16-w|0)>>>4)<<4);Emc(w)}w=f[q>>2]|0;if(w|0){q=f[C>>2]|0;if((q|0)!=(w|0))f[C>>2]=q+(~((q+-8-w|0)>>>3)<<3);Emc(w)}if(!(f[m+4>>2]|0)){u=l;return}u=l;return}function Pta(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;g=g|0;h=+h;i=+i;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0;k=u;u=u+48|0;l=k+32|0;m=k+16|0;n=k+8|0;o=k;zT(l,84024);f[m>>2]=0;p=m+4|0;f[p>>2]=0;f[m+8>>2]=0;q=f[(f[a>>2]|0)+44>>2]|0;f[n>>2]=f[e>>2];f[n+4>>2]=f[e+4>>2];f[o>>2]=f[g>>2];f[o+4>>2]=f[g+4>>2];rg[q&3](a,b,c,m,d,n,o,h,i,j);j=f[m>>2]|0;if(j|0){m=f[p>>2]|0;if((m|0)!=(j|0))f[p>>2]=m+(~((m+-8-j|0)>>>3)<<3);Emc(j)}if(!(f[l+4>>2]|0)){u=k;return}u=k;return}function Qta(a,c,d,e,g,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0.0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0.0,ya=0,za=0.0,Aa=0.0,Ba=0.0,Ca=0.0,Da=0.0,Ea=0.0,Fa=0.0,Ga=0;j=u;u=u+2496|0;k=j+1432|0;l=j+1424|0;m=j+1416|0;o=j+1408|0;p=j+1352|0;q=j+288|0;r=j+232|0;s=j+176|0;t=j+120|0;v=j+64|0;w=j+48|0;x=j+32|0;y=j+16|0;z=j;zT(l,84004);switch(f[c>>2]&4095){case 16:case 0:break;default:{f[k>>2]=0;f[k+4>>2]=0;A=YG(k,44)|0;B=372393;C=A+44|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));SQ(-215,k,372438,371692,242)}}D=f[c+12>>2]|0;E=f[g>>2]|0;F=f[i>>2]|0;G=E+D+F|0;H=g+4|0;I=(f[H>>2]|0)+(f[c+8>>2]|0)+(f[i+4>>2]|0)|0;if(!(((((f[d+4>>2]|0)<3?(f[d+8>>2]|0)==(I|0):0)?(f[d+12>>2]|0)==(G|0):0)?(f[d>>2]&4095|0)==13:0)?(f[d+16>>2]|0)!=0:0)){f[k>>2]=I;f[k+4>>2]=G;iP(d,2,k,13)}if(!(((((f[e+4>>2]|0)<3?(f[e+8>>2]|0)==(I|0):0)?(f[e+12>>2]|0)==(G|0):0)?(f[e>>2]&4095|0)==8:0)?(f[e+16>>2]|0)!=0:0)){f[k>>2]=I;f[k+4>>2]=G;iP(e,2,k,8)}f[m>>2]=0;i=m+4|0;f[i>>2]=0;f[o>>2]=0;J=o+4|0;f[J>>2]=0;vP(c,m,o);K=(f[c>>2]|0)>>>3&511;f[p>>2]=1124007936;L=p+4|0;N=p+8|0;O=p+40|0;A=L;C=A+36|0;do{f[A>>2]=0;A=A+4|0}while((A|0)<(C|0));f[O>>2]=N;N=p+48|0;P=p+44|0;f[P>>2]=N;f[N>>2]=0;f[p+52>>2]=0;f[k>>2]=1;f[k+4>>2]=256;iP(p,2,k,5);Q=p+16|0;R=f[Q>>2]|0;if(!(b[a+72>>0]|0)){S=0;do{n[R+(S<<2)>>2]=+(S|0);S=S+1|0}while((S|0)!=256)}else{S=0;do{T=+M(+(+(S|0)));n[R+(S<<2)>>2]=T;S=S+1|0}while((S|0)!=256)}S=G+4+I|0;U=k+8|0;f[k>>2]=U;V=k+4|0;f[V>>2]=S;if(S>>>0>264){W=Dmc(S>>>0>1073741823?-1:S<<2)|0;f[k>>2]=W;X=W}else X=U;W=X+4|0;S=W+(G<<2)+8|0;if((G|0)>=-1){Z=-1;while(1){_=sT(Z-(f[g>>2]|0)+(f[o>>2]|0)|0,f[m>>2]|0,4)|0;f[W+(Z<<2)>>2]=_-(f[o>>2]|0);if((Z|0)<(G|0))Z=Z+1|0;else break}}if((I|0)>=-1){Z=-1;while(1){o=sT(Z-(f[H>>2]|0)+(f[J>>2]|0)|0,f[i>>2]|0,4)|0;f[S+(Z<<2)>>2]=o-(f[J>>2]|0);if((Z|0)<(I|0))Z=Z+1|0;else break}}Z=G<<2;J=q+8|0;f[q>>2]=J;i=q+4|0;f[i>>2]=Z;if(Z>>>0>264){H=Dmc(Z>>>0>1073741823?-1:Z<<2)|0;f[q>>2]=H;$=H}else $=J;Ri(r,1,G,5,$,0);Ri(s,1,G,5,$+(G<<2)|0,0);H=G<<1;Ri(t,1,G,5,$+(H<<2)|0,0);Z=G*3|0;Ri(v,1,G,5,$+(Z<<2)|0,0);if((K|0)==2&(G|0)>-2){o=F+E+D+1|0;D=0;while(1){E=X+(D<<2)|0;f[E>>2]=(f[E>>2]|0)*3;if((D|0)==(o|0))break;else D=D+1|0}}D=a+36|0;T=+(f[D>>2]|0)/(b[a+144>>0]|0?6.283185307179586:3.141592653589793);a:do if((I|0)>0){a=c+16|0;o=c+44|0;X=c+48|0;E=d+16|0;F=d+44|0;m=e+16|0;g=e+44|0;_=(K|0)==0;aa=w+8|0;ba=w+12|0;ca=w+4|0;da=x+8|0;ea=x+12|0;fa=x+4|0;ga=y+8|0;ha=y+4|0;ia=z+8|0;ja=z+4|0;ka=(G|0)>0;la=0;b:while(1){ma=f[a>>2]|0;na=ma+(Y(f[f[o>>2]>>2]|0,f[S+(la<<2)>>2]|0)|0)|0;oa=f[X>>2]|0;pa=ma+(Y(f[S+(la+-1<<2)>>2]|0,oa)|0)|0;qa=la;la=la+1|0;ra=ma+(Y(f[S+(la<<2)>>2]|0,oa)|0)|0;oa=(f[E>>2]|0)+(Y(f[f[F>>2]>>2]|0,qa)|0)|0;ma=(f[m>>2]|0)+(Y(f[f[g>>2]>>2]|0,qa)|0)|0;if(_){if(ka){qa=0;sa=f[W>>2]|0;do{ta=qa;qa=qa+1|0;ua=sa;sa=f[W+(qa<<2)>>2]|0;n[$+(ta<<2)>>2]=+n[R+(h[na+sa>>0]<<2)>>2]-+n[R+(h[na+(f[W+(ta+-1<<2)>>2]|0)>>0]<<2)>>2];n[$+(ta+G<<2)>>2]=+n[R+(h[ra+ua>>0]<<2)>>2]-+n[R+(h[pa+ua>>0]<<2)>>2]}while((qa|0)!=(G|0))}}else if(ka){qa=0;sa=f[W>>2]|0;do{ua=qa;qa=qa+1|0;ta=sa;sa=f[W+(qa<<2)>>2]|0;va=na+sa|0;wa=na+(f[W+(ua+-1<<2)>>2]|0)|0;xa=+n[R+(h[va+2>>0]<<2)>>2]-+n[R+(h[wa+2>>0]<<2)>>2];ya=ta+2|0;za=+n[R+(h[ra+ya>>0]<<2)>>2]-+n[R+(h[pa+ya>>0]<<2)>>2];Aa=xa*xa+za*za;Ba=+n[R+(h[va+1>>0]<<2)>>2]-+n[R+(h[wa+1>>0]<<2)>>2];ya=ta+1|0;Ca=+n[R+(h[ra+ya>>0]<<2)>>2]-+n[R+(h[pa+ya>>0]<<2)>>2];Da=Ba*Ba+Ca*Ca;ya=Aa<Da;Ea=+n[R+(h[va>>0]<<2)>>2]-+n[R+(h[wa>>0]<<2)>>2];Fa=+n[R+(h[ra+ta>>0]<<2)>>2]-+n[R+(h[pa+ta>>0]<<2)>>2];ta=(ya?Da:Aa)<Ea*Ea+Fa*Fa;n[$+(ua<<2)>>2]=ta?Ea:ya?Ba:xa;n[$+(ua+G<<2)>>2]=ta?Fa:ya?Ca:za}while((qa|0)!=(G|0))}f[aa>>2]=0;f[ba>>2]=0;f[w>>2]=16842752;f[ca>>2]=r;f[da>>2]=0;f[ea>>2]=0;f[x>>2]=16842752;f[fa>>2]=s;qa=ga;f[qa>>2]=0;f[qa+4>>2]=0;f[y>>2]=33619968;f[ha>>2]=t;qa=ia;f[qa>>2]=0;f[qa+4>>2]=0;f[z>>2]=33619968;f[ja>>2]=v;rS(w,x,y,z,0);if(ka){qa=0;do{za=+n[$+(qa+H<<2)>>2];Ca=T*+n[$+(qa+Z<<2)>>2]+-.5;pa=~~Ca;ra=pa-(+(pa|0)>Ca&1)|0;Fa=Ca-+(ra|0);pa=qa<<1;n[oa+(pa<<2)>>2]=za*(1.0-Fa);na=pa|1;n[oa+(na<<2)>>2]=za*Fa;sa=f[D>>2]|0;if((ra|0)<0)Ga=ra+sa|0;else Ga=ra-((ra|0)<(sa|0)?0:sa)|0;if(Ga>>>0>=sa>>>0)break b;b[ma+pa>>0]=Ga;pa=Ga+1|0;b[ma+na>>0]=(pa|0)<(f[D>>2]|0)?pa&255:0;qa=qa+1|0}while((qa|0)<(G|0))}if((la|0)>=(I|0))break a}f[w>>2]=0;f[w+4>>2]=0;A=YG(w,32)|0;B=372454;C=A+32|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));SQ(-215,w,372438,371692,540)}while(0);w=v+36|0;B=f[w>>2]|0;if(B|0?(A=B+12|0,B=f[A>>2]|0,f[A>>2]=B+-1,(B|0)==1):0)lP(v);f[w>>2]=0;w=v+16|0;B=v+4|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[B>>2]|0)>0){w=f[v+40>>2]|0;A=0;do{f[w+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[B>>2]|0))}B=f[v+44>>2]|0;if((B|0)!=(v+48|0))tE(B);B=t+36|0;v=f[B>>2]|0;if(v|0?(A=v+12|0,v=f[A>>2]|0,f[A>>2]=v+-1,(v|0)==1):0)lP(t);f[B>>2]=0;B=t+16|0;v=t+4|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[v>>2]|0)>0){B=f[t+40>>2]|0;A=0;do{f[B+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[v>>2]|0))}v=f[t+44>>2]|0;if((v|0)!=(t+48|0))tE(v);v=s+36|0;t=f[v>>2]|0;if(t|0?(A=t+12|0,t=f[A>>2]|0,f[A>>2]=t+-1,(t|0)==1):0)lP(s);f[v>>2]=0;v=s+16|0;t=s+4|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[t>>2]|0)>0){v=f[s+40>>2]|0;A=0;do{f[v+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[t>>2]|0))}t=f[s+44>>2]|0;if((t|0)!=(s+48|0))tE(t);t=r+36|0;s=f[t>>2]|0;do if(s|0){A=s+12|0;v=f[A>>2]|0;f[A>>2]=v+-1;if((v|0)!=1)break;lP(r)}while(0);f[t>>2]=0;t=r+16|0;s=r+4|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[s>>2]|0)>0){t=f[r+40>>2]|0;v=0;do{f[t+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[s>>2]|0))}s=f[r+44>>2]|0;if((s|0)!=(r+48|0))tE(s);s=f[q>>2]|0;if((s|0)!=(J|0)){if(s|0)Fmc(s);f[q>>2]=J;f[i>>2]=264}i=f[k>>2]|0;if((i|0)!=(U|0)){if(i|0)Fmc(i);f[k>>2]=U;f[V>>2]=264}V=p+36|0;U=f[V>>2]|0;do if(U|0){k=U+12|0;i=f[k>>2]|0;f[k>>2]=i+-1;if((i|0)!=1)break;lP(p)}while(0);f[V>>2]=0;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q+12>>2]=0;if((f[L>>2]|0)>0){Q=f[O>>2]|0;O=0;do{f[Q+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[L>>2]|0))}L=f[P>>2]|0;if((L|0)!=(N|0))tE(L);if(!(f[l+4>>2]|0)){u=j;return}u=j;return}function Rta(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0.0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0.0;j=u;u=u+384|0;k=j+376|0;l=j+368|0;m=j+40|0;o=j+24|0;q=j+16|0;r=j;s=j+8|0;zT(k,83984);t=f[d>>2]|0;v=d+4|0;w=f[v>>2]|0;if((w|0)!=(t|0))f[v>>2]=w+(~((w+-8-t|0)>>>3)<<3);t=f[e>>2]|0;w=e+4|0;x=f[w>>2]|0;if((x|0)!=(t|0))f[w>>2]=x+(~((x+-8-t|0)>>>3)<<3);t=a+76|0;x=a+80|0;if((f[t>>2]|0)!=(f[x>>2]|0)?(y=f[c>>2]|0,z=f[c+4>>2]|0,A=z,B=y,(y|0)!=(z|0)):0){z=f[h>>2]|0;y=h+4|0;C=f[y>>2]|0;if(!(C|z)){D=f[a+28>>2]|0;f[h>>2]=D;E=f[a+32>>2]|0;f[y>>2]=E;F=D;G=E}else{F=z;G=C}C=f[a+20>>2]|0;z=(F|0)<(C|0);E=z?C:F;D=z?F:C;if((D|0)>0){C=E;F=D;while(1){D=(C|0)%(F|0)|0;if((D|0)>0){z=F;F=D;C=z}else{H=F;break}}}else H=E;E=f[a+24>>2]|0;F=(G|0)<(E|0);C=F?E:G;z=F?G:E;if((z|0)>0){E=C;G=z;while(1){z=(E|0)%(G|0)|0;if((z|0)>0){F=G;G=z;E=F}else{I=G;break}}}else I=C;f[l>>2]=H;f[l+4>>2]=I;C=A-B>>3;B=f[i>>2]|0;A=H+-1+((B|0)>0?B:0)&0-H;f[i>>2]=A;H=i+4|0;B=f[H>>2]|0;G=I+-1+((B|0)>0?B:0)&0-I;f[H>>2]=G;I=b+12|0;B=(A<<1)+(f[I>>2]|0)|0;A=b+8|0;E=(G<<1)+(f[A>>2]|0)|0;Zta(m,a,b,i,i,1,l);if(!C)J=Y(((E-(f[m+48>>2]|0)|0)/(f[y>>2]|0)|0)+1|0,((B-(f[m+44>>2]|0)|0)/(f[h>>2]|0)|0)+1|0)|0;else J=C;C=f[m+16>>2]|0;h=Y(f[m+64>>2]|0,f[m+60>>2]|0)|0;B=f[m+76>>2]|0;y=_ta(a)|0;E=f[t>>2]|0;if((f[x>>2]|0)-E>>2>>>0>y>>>0)K=+n[E+(y<<2)>>2];else K=0.0;L=K;f[o>>2]=0;y=o+4|0;f[y>>2]=0;f[o+8>>2]=0;do if(B)if(B>>>0>1073741823)Ukc(o);else{E=B<<2;x=Bmc(E)|0;f[o>>2]=x;l=x+(B<<2)|0;f[o+8>>2]=l;Drc(x|0,0,E|0)|0;f[y>>2]=l;M=x;N=x;break}else{M=0;N=0}while(0);if(!J){O=N;P=M}else{M=q+4|0;N=e+8|0;x=a+4|0;l=a+8|0;a=(h|0)>0;E=s+4|0;b=B+-4|0;G=(B|0)<4;F=d+8|0;z=B&-4;D=(B|0)>0;Q=(z|0)<(B|0);R=0;do{f[q>>2]=0;f[M>>2]=0;S=f[c>>2]|0;T=f[S+(R<<3)>>2]|0;f[q>>2]=T;U=f[S+(R<<3)+4>>2]|0;f[M>>2]=U;S=f[i>>2]|0;if((((T|0)>=(0-S|0)?(T|0)<=((f[I>>2]|0)+S-(f[x>>2]|0)|0):0)?(S=f[H>>2]|0,(U|0)>=(0-S|0)):0)?(U|0)<=((f[A>>2]|0)+S-(f[l>>2]|0)|0):0){p[r>>3]=L;S=f[t>>2]|0;a:do if(a){if(G){V=0;W=S;X=T;Z=U;while(1){_=(f[C+(V*12|0)+8>>2]|0)+Z|0;f[s>>2]=(f[C+(V*12|0)+4>>2]|0)+X;f[E>>2]=_;_=aua(m,s,f[o>>2]|0)|0;if(D){$=0;K=+p[r>>3];do{K=K+ +n[_+($<<2)>>2]*+n[W+($<<2)>>2];$=$+1|0}while(($|0)!=(B|0));p[r>>3]=K}$=V+1|0;if(($|0)>=(h|0))break a;V=$;W=W+(B<<2)|0;X=f[q>>2]|0;Z=f[M>>2]|0}}else{aa=0;ba=S;ca=T;da=U}while(1){Z=(f[C+(aa*12|0)+8>>2]|0)+da|0;f[s>>2]=(f[C+(aa*12|0)+4>>2]|0)+ca;f[E>>2]=Z;Z=aua(m,s,f[o>>2]|0)|0;X=0;ea=+p[r>>3];do{W=X|1;V=X|2;$=X|3;ea=ea+(+n[Z+(X<<2)>>2]*+n[ba+(X<<2)>>2]+ +n[Z+(W<<2)>>2]*+n[ba+(W<<2)>>2]+ +n[Z+(V<<2)>>2]*+n[ba+(V<<2)>>2]+ +n[Z+($<<2)>>2]*+n[ba+($<<2)>>2]);X=X+4|0}while((X|0)<=(b|0));p[r>>3]=ea;if(Q){X=z;K=ea;do{K=K+ +n[Z+(X<<2)>>2]*+n[ba+(X<<2)>>2];X=X+1|0}while((X|0)!=(B|0));p[r>>3]=K}X=aa+1|0;if((X|0)>=(h|0))break a;aa=X;ba=ba+(B<<2)|0;ca=f[q>>2]|0;da=f[M>>2]|0}}while(0);U=f[w>>2]|0;if((U|0)==(f[N>>2]|0))$ta(e,r);else{p[U>>3]=+p[r>>3];f[w>>2]=U+8}do if(+p[r>>3]>=g){U=f[v>>2]|0;if((U|0)==(f[F>>2]|0)){G1(d,q);break}else{f[U>>2]=f[q>>2];f[U+4>>2]=f[M>>2];f[v>>2]=U+8;break}}while(0)}else{p[r>>3]=-10.0;U=f[w>>2]|0;if((U|0)==(f[N>>2]|0))$ta(e,r);else{p[U>>3]=-10.0;f[w>>2]=U+8}}R=R+1|0}while(R>>>0<J>>>0);J=f[o>>2]|0;O=J;P=J}if(O|0){J=f[y>>2]|0;if((J|0)!=(O|0))f[y>>2]=J+(~((J+-4-O|0)>>>2)<<2);Emc(P)}xta(m)}if(!(f[k+4>>2]|0)){u=j;return}u=j;return}function Sta(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=u;u=u+144|0;i=h+128|0;j=h+116|0;k=h+112|0;l=h+104|0;m=h;n=h+96|0;zT(i,83924);f[j>>2]=0;o=j+4|0;f[o>>2]=0;f[j+8>>2]=0;QR(k);p=(f[d+4>>2]|0)-(f[d>>2]|0)>>5;f[l>>2]=0;f[l+4>>2]=p;f[n>>2]=8;f[n+4>>2]=8;Tta(m,a,b,e,n,d,j,k);oU(l,m,-1.0);f[m>>2]=83952;l=m+8|0;d=m+44|0;n=f[d>>2]|0;if(n|0?(b=n+12|0,n=f[b>>2]|0,f[b>>2]=n+-1,(n|0)==1):0)lP(l);f[d>>2]=0;d=m+24|0;l=m+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[l>>2]|0)>0){d=f[m+48>>2]|0;n=0;do{f[d+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[l>>2]|0))}l=f[m+52>>2]|0;if((l|0)!=(m+56|0))tE(l);l=f[o>>2]|0;m=f[j>>2]|0;n=l-m>>4;d=c+4|0;b=f[d>>2]|0;a=f[c>>2]|0;p=b-a>>4;q=a;a=b;b=m;m=l;if(n>>>0<=p>>>0)if(n>>>0<p>>>0?(l=q+(n<<4)|0,(a|0)!=(l|0)):0){f[d>>2]=a+(~((a+-16-l|0)>>>4)<<4);r=b;s=m}else{r=b;s=m}else{Uta(c,n-p|0);r=f[j>>2]|0;s=f[o>>2]|0}if((r|0)!=(s|0)){p=r;r=f[c>>2]|0;while(1){f[r>>2]=f[p>>2];f[r+4>>2]=f[p+4>>2];f[r+8>>2]=f[p+8>>2];f[r+12>>2]=f[p+12>>2];p=p+16|0;if((p|0)==(s|0))break;else r=r+16|0}}uwa(c,g,.2);RR(k);k=f[j>>2]|0;if(k|0){j=f[o>>2]|0;if((j|0)!=(k|0))f[o>>2]=j+(~((j+-16-k|0)>>>4)<<4);Emc(k)}if(!(f[i+4>>2]|0)){u=h;return}u=h;return}function Tta(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;f[a>>2]=83952;j=a+8|0;f[j>>2]=1124007936;k=a+12|0;l=a+16|0;m=a+48|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;n=a+56|0;o=a+52|0;f[o>>2]=n;f[n>>2]=0;f[a+60>>2]=0;n=a+76|0;f[n>>2]=0;q=a+80|0;f[q>>2]=0;f[a+4>>2]=b;if((j|0)==(c|0)){r=a+64|0;p[r>>3]=d;s=f[e>>2]|0;f[n>>2]=s;t=e+4|0;u=f[t>>2]|0;f[q>>2]=u;v=a+72|0;f[v>>2]=g;w=a+84|0;f[w>>2]=h;x=a+88|0;f[x>>2]=i;return}b=c+36|0;y=f[b>>2]|0;if(y){z=y+12|0;f[z>>2]=(f[z>>2]|0)+1;z=a+44|0;y=f[z>>2]|0;if((y|0)!=0?(A=y+12|0,y=f[A>>2]|0,f[A>>2]=y+-1,(y|0)==1):0){lP(j);B=z}else B=z}else B=a+44|0;f[B>>2]=0;z=a+24|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[k>>2]|0)>0){y=f[m>>2]|0;m=0;do{f[y+(m<<2)>>2]=0;m=m+1|0;C=f[k>>2]|0}while((m|0)<(C|0));f[j>>2]=f[c>>2];if((C|0)<3)D=12;else D=14}else{f[j>>2]=f[c>>2];D=12}if((D|0)==12){C=f[c+4>>2]|0;if((C|0)<3){f[k>>2]=C;f[l>>2]=f[c+8>>2];f[a+20>>2]=f[c+12>>2];l=f[c+44>>2]|0;C=f[o>>2]|0;f[C>>2]=f[l>>2];f[C+4>>2]=f[l+4>>2]}else D=14}if((D|0)==14)kP(j,c);f[z>>2]=f[c+16>>2];f[a+28>>2]=f[c+20>>2];f[a+32>>2]=f[c+24>>2];f[a+36>>2]=f[c+28>>2];f[a+40>>2]=f[c+32>>2];f[B>>2]=f[b>>2];r=a+64|0;p[r>>3]=d;s=f[e>>2]|0;f[n>>2]=s;t=e+4|0;u=f[t>>2]|0;f[q>>2]=u;v=a+72|0;f[v>>2]=g;w=a+84|0;f[w>>2]=h;x=a+88|0;f[x>>2]=i;return}function Uta(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>4>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;i=(f[e>>2]|0)+16|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>4;g=i+b|0;if(g>>>0>268435455)Ukc(a);j=d-h|0;h=j>>3;d=j>>4>>>0<134217727?(h>>>0<g>>>0?g:h):268435455;do if(d)if(d>>>0>268435455){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{k=Bmc(d<<4)|0;break}else k=0;while(0);h=k+(i<<4)|0;i=h;g=k+(d<<4)|0;d=b;b=h;k=i;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;b=k+16|0;k=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;j=g;if((b|0)==(g|0)){l=i;m=j}else{i=b+-16-j|0;j=b;b=h;while(1){n=j;j=j+-16|0;f[b+-16>>2]=f[j>>2];f[b+-12>>2]=f[n+-12>>2];f[b+-8>>2]=f[n+-8>>2];f[b+-4>>2]=f[n+-4>>2];if((j|0)==(g|0))break;else b=b+-16|0}l=h+(~(i>>>4)<<4)|0;m=f[a>>2]|0}f[a>>2]=l;f[e>>2]=k;f[c>>2]=d;if(!m)return;Emc(m);return}function Vta(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=83952;b=a+8|0;c=a+44|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+24|0;b=a+12|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+48>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+52>>2]|0;if((b|0)==(a+56|0))return;tE(b);return}function Wta(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=83952;b=a+8|0;c=a+44|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+24|0;b=a+12|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+48>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+52>>2]|0;if((b|0)==(a+56|0)){Emc(a);return}tE(b);Emc(a);return}function Xta(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0.0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0;c=u;u=u+256|0;d=c+232|0;e=c+224|0;g=c+168|0;h=c+104|0;i=c+160|0;j=c+48|0;k=c+40|0;l=c+24|0;m=c+16|0;n=c+8|0;o=c;zT(e,83964);q=f[b>>2]|0;r=f[b+4>>2]|0;b=a+8|0;s=a+20|0;t=a+72|0;v=+p[f[f[t>>2]>>2]>>3];w=+(f[s>>2]|0)/v;x=~~w;y=(+(x|0)<w&1)+x|0;x=a+16|0;w=+(f[x>>2]|0)/v;z=~~w;A=(+(z|0)<w&1)+z|0;z=f[b>>2]&4095;f[g>>2]=1124007936;B=g+4|0;C=g+8|0;D=g+40|0;E=B;F=E+36|0;do{f[E>>2]=0;E=E+4|0}while((E|0)<(F|0));f[D>>2]=C;C=g+48|0;E=g+44|0;f[E>>2]=C;f[C>>2]=0;f[g+52>>2]=0;f[d>>2]=A;f[d+4>>2]=y;iP(g,2,d,z);f[d>>2]=0;z=d+4|0;f[z>>2]=0;f[d+8>>2]=0;if((q|0)<(r|0)){y=i+4|0;A=g+16|0;F=a+48|0;G=k+4|0;H=a+24|0;I=a+56|0;J=j+36|0;K=h+36|0;L=h+16|0;M=h+4|0;N=h+40|0;O=j+4|0;P=j+8|0;Q=h+8|0;R=j+12|0;S=h+12|0;T=j+44|0;U=h+44|0;V=j+16|0;W=j+20|0;X=h+20|0;Y=j+24|0;Z=h+24|0;_=j+28|0;$=h+28|0;aa=j+32|0;ba=h+32|0;ca=j+40|0;da=j+48|0;ea=a+4|0;fa=a+64|0;ga=n+4|0;ha=a+76|0;ia=o+4|0;ja=a+80|0;ka=a+88|0;la=h+48|0;ma=a+84|0;a=j+4|0;na=j+8|0;oa=j+12|0;pa=j+8|0;qa=j+12|0;ra=j+4|0;sa=l+8|0;ta=l+4|0;ua=m+4|0;va=q;do{w=+p[(f[f[t>>2]>>2]|0)+(va<<5)>>3];q=V9b(+(f[s>>2]|0)/w)|0;wa=V9b(+(f[x>>2]|0)/w)|0;f[i>>2]=q;f[y>>2]=wa;mD(h,i,f[b>>2]&4095,f[A>>2]|0,0);xa=f[F>>2]|0;if((wa|0)==(f[xa>>2]|0)?(q|0)==(f[xa+4>>2]|0):0){f[k>>2]=q;f[G>>2]=wa;mD(j,k,f[b>>2]&4095,f[H>>2]|0,f[I>>2]|0);xa=f[J>>2]|0;if(xa|0){ya=xa+12|0;f[ya>>2]=(f[ya>>2]|0)+1}ya=f[K>>2]|0;if(ya|0?(xa=ya+12|0,ya=f[xa>>2]|0,f[xa>>2]=ya+-1,(ya|0)==1):0)lP(h);f[K>>2]=0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;if((f[M>>2]|0)>0){ya=f[N>>2]|0;xa=0;do{f[ya+(xa<<2)>>2]=0;xa=xa+1|0;za=f[M>>2]|0}while((xa|0)<(za|0));f[h>>2]=f[j>>2];if((za|0)<3)Aa=14;else Aa=16}else{f[h>>2]=f[j>>2];Aa=14}if((Aa|0)==14){Aa=0;xa=f[O>>2]|0;if((xa|0)<3){f[M>>2]=xa;f[Q>>2]=f[P>>2];f[S>>2]=f[R>>2];xa=f[T>>2]|0;ya=f[U>>2]|0;f[ya>>2]=f[xa>>2];f[ya+4>>2]=f[xa+4>>2]}else Aa=16}if((Aa|0)==16){Aa=0;kP(h,j)}f[L>>2]=f[V>>2];f[X>>2]=f[W>>2];f[Z>>2]=f[Y>>2];f[$>>2]=f[_>>2];f[ba>>2]=f[aa>>2];xa=f[J>>2]|0;f[K>>2]=xa;if(xa|0?(ya=xa+12|0,xa=f[ya>>2]|0,f[ya>>2]=xa+-1,(xa|0)==1):0)lP(j);f[J>>2]=0;f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;f[V+12>>2]=0;if((f[O>>2]|0)>0){xa=f[ca>>2]|0;ya=0;do{f[xa+(ya<<2)>>2]=0;ya=ya+1|0}while((ya|0)<(f[O>>2]|0))}ya=f[T>>2]|0;if((ya|0)!=(da|0))tE(ya)}else{f[pa>>2]=0;f[qa>>2]=0;f[j>>2]=16842752;f[ra>>2]=b;ya=sa;f[ya>>2]=0;f[ya+4>>2]=0;f[l>>2]=33619968;f[ta>>2]=h;f[m>>2]=q;f[ua>>2]=wa;wma(j,l,m,0.0,0.0,5)}ya=f[ea>>2]|0;xa=f[(f[ya>>2]|0)+56>>2]|0;Ba=f[f[t>>2]>>2]|0;v=+p[fa>>3];f[n>>2]=0;f[ga>>2]=0;f[o>>2]=f[ha>>2];f[ia>>2]=f[ja>>2];Kh[xa&7](ya,h,Ba+(va<<5)+8|0,d,Ba+(va<<5)+20|0,v,n,o);Ba=f[ea>>2]|0;ya=V9b(w*+(f[Ba+4>>2]|0))|0;xa=V9b(w*+(f[Ba+8>>2]|0))|0;SR(f[ka>>2]|0);Ba=f[z>>2]|0;Ca=f[d>>2]|0;if((Ba|0)!=(Ca|0)){Da=0;Ea=Ca;Ca=Ba;while(1){Ba=Ea;Fa=f[ma>>2]|0;Ga=V9b(w*+(f[Ba+(Da<<3)>>2]|0))|0;Ha=V9b(w*+(f[Ba+(Da<<3)+4>>2]|0))|0;f[j>>2]=Ga;f[a>>2]=Ha;f[na>>2]=ya;f[oa>>2]=xa;Ba=Fa+4|0;Ia=f[Ba>>2]|0;if((Ia|0)==(f[Fa+8>>2]|0)){Yta(Fa,j);Ja=f[d>>2]|0;Ka=f[z>>2]|0}else{f[Ia>>2]=Ga;f[Ia+4>>2]=Ha;f[Ia+8>>2]=ya;f[Ia+12>>2]=xa;f[Ba>>2]=Ia+16;Ja=Ea;Ka=Ca}Da=Da+1|0;if(Da>>>0>=Ka-Ja>>3>>>0)break;else{Ea=Ja;Ca=Ka}}}TR(f[ka>>2]|0);Ca=f[K>>2]|0;if(Ca|0?(Ea=Ca+12|0,Ca=f[Ea>>2]|0,f[Ea>>2]=Ca+-1,(Ca|0)==1):0)lP(h);f[K>>2]=0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;if((f[M>>2]|0)>0){Ca=f[N>>2]|0;Ea=0;do{f[Ca+(Ea<<2)>>2]=0;Ea=Ea+1|0}while((Ea|0)<(f[M>>2]|0))}Ea=f[U>>2]|0;if((Ea|0)!=(la|0))tE(Ea);va=va+1|0}while((va|0)<(r|0));r=f[d>>2]|0;if(r|0){d=f[z>>2]|0;if((d|0)!=(r|0))f[z>>2]=d+(~((d+-8-r|0)>>>3)<<3);Emc(r)}}r=g+36|0;d=f[r>>2]|0;if(d|0?(z=d+12|0,d=f[z>>2]|0,f[z>>2]=d+-1,(d|0)==1):0)lP(g);f[r>>2]=0;r=g+16|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[B>>2]|0)>0){r=f[D>>2]|0;D=0;do{f[r+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[B>>2]|0))}B=f[E>>2]|0;if((B|0)!=(C|0))tE(B);if(!(f[e+4>>2]|0)){u=c;return}u=c;return}function Yta(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=d-e>>4;h=g+1|0;i=e;j=d;if(h>>>0>268435455)Ukc(a);d=a+8|0;k=(f[d>>2]|0)-e|0;l=k>>3;m=k>>4>>>0<134217727?(l>>>0<h>>>0?h:l):268435455;do if(m)if(m>>>0>268435455){l=ye(8)|0;Jmc(l,511852);f[l>>2]=165276;Gf(l|0,26776,1555)}else{n=Bmc(m<<4)|0;break}else n=0;while(0);l=n+(g<<4)|0;h=n+(m<<4)|0;f[l>>2]=f[b>>2];f[n+(g<<4)+4>>2]=f[b+4>>2];f[n+(g<<4)+8>>2]=f[b+8>>2];f[n+(g<<4)+12>>2]=f[b+12>>2];b=l+16|0;if((j|0)==(i|0))o=l;else{g=j+-16-e|0;n=j;j=l;while(1){m=n;n=n+-16|0;f[j+-16>>2]=f[n>>2];f[j+-12>>2]=f[m+-12>>2];f[j+-8>>2]=f[m+-8>>2];f[j+-4>>2]=f[m+-4>>2];if((n|0)==(i|0))break;else j=j+-16|0}o=l+(~(g>>>4)<<4)|0}f[a>>2]=o;f[c>>2]=b;f[d>>2]=h;if(!e)return;Emc(e);return}function Zta(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0;f[a>>2]=83836;i=a+4|0;j=a+32|0;f[a+92>>2]=0;f[a+96>>2]=0;k=a+100|0;l=a+108|0;m=a+140|0;n=a+104|0;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;n=j;o=n+44|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;l=a+148|0;f[a+144>>2]=l;f[l>>2]=0;f[a+152>>2]=0;f[k>>2]=1124007941;k=a+156|0;l=a+164|0;m=a+196|0;n=a+160|0;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;l=a+204|0;f[a+200>>2]=l;f[l>>2]=0;f[a+208>>2]=0;f[k>>2]=1124007936;f[a+212>>2]=1124007936;k=a+220|0;l=a+252|0;n=a+216|0;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[l>>2]=k;k=a+260|0;f[a+256>>2]=k;f[k>>2]=0;f[a+264>>2]=0;f[a+268>>2]=1124007936;k=a+276|0;l=a+308|0;n=a+272|0;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[l>>2]=k;k=a+316|0;f[a+312>>2]=k;f[k>>2]=0;f[a+320>>2]=0;Oh[f[(f[a>>2]|0)+8>>2]&127](a,b,c,d,e,g,h);return}function _ta(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;c=u;u=u+16|0;d=c;e=f[a+12>>2]|0;g=f[a+28>>2]|0;if((e|0)%(g|0)|0|0){f[d>>2]=0;h=d+4|0;f[h>>2]=0;i=YG(d,80)|0;j=i;k=371996;l=j+80|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,d,372077,371692,90)}m=f[a+16>>2]|0;n=f[a+32>>2]|0;if((m|0)%(n|0)|0|0){f[d>>2]=0;h=d+4|0;f[h>>2]=0;i=YG(d,80)|0;j=i;k=371996;l=j+80|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,d,372077,371692,90)}i=(f[a+4>>2]|0)-e|0;h=f[a+20>>2]|0;if((i|0)%(h|0)|0|0){f[d>>2]=0;o=d+4|0;f[o>>2]=0;p=YG(d,123)|0;j=p;k=372095;l=j+123|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,d,372077,371692,92)}q=(f[a+8>>2]|0)-m|0;r=f[a+24>>2]|0;if(!((q|0)%(r|0)|0)){s=Y(Y(Y(Y((e|0)/(g|0)|0,f[a+36>>2]|0)|0,(m|0)/(n|0)|0)|0,((i|0)/(h|0)|0)+1|0)|0,((q|0)/(r|0)|0)+1|0)|0;u=c;return s|0}else{f[d>>2]=0;o=d+4|0;f[o>>2]=0;p=YG(d,123)|0;j=p;k=372095;l=j+123|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,d,372077,371692,92)}return 0}function $ta(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>3;h=g+1|0;if(h>>>0>536870911)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>2;l=j>>3>>>0<268435455?(k>>>0<h>>>0?h:k):536870911;do if(l)if(l>>>0>536870911){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<3)|0;break}else m=0;while(0);k=m+(g<<3)|0;p[k>>3]=+p[b>>3];b=k+(0-g<<3)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+8;f[i>>2]=m+(l<<3);if(!d)return;Emc(d);return}function aua(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0.0,H=0.0,I=0,J=0.0,K=0.0,L=0;e=u;u=u+96|0;g=e;i=e+88|0;j=e+32|0;k=f[a+96>>2]|0;l=(f[c>>2]|0)+(f[a+92>>2]|0)|0;f[c>>2]=l;m=c+4|0;o=(f[m>>2]|0)+k|0;f[m>>2]=o;do if(b[a+28>>0]|0){k=f[a+52>>2]|0;if((l|0)%(k|0)|0|0){f[g>>2]=0;p=g+4|0;f[p>>2]=0;q=YG(g,63)|0;r=q;s=371923;t=r+63|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,g,371987,371692,872)}v=f[a+56>>2]|0;if((o|0)%(v|0)|0|0){f[g>>2]=0;p=g+4|0;f[p>>2]=0;q=YG(g,63)|0;r=q;s=371923;t=r+63|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,g,371987,371692,872)}w=(l|0)/(k|0)|0;x=((o|0)/(v|0)|0|0)%(f[a+108>>2]|0)|0;y=a+32|0;if((o|0)!=(f[(f[y>>2]|0)+(x<<2)>>2]|0)){f[g>>2]=x;f[g+4>>2]=x+1;f[i>>2]=-2147483648;f[i+4>>2]=2147483647;mP(j,a+156|0,g,i);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;nT(j,g)|0;f[(f[y>>2]|0)+(x<<2)>>2]=f[m>>2];y=j+36|0;z=f[y>>2]|0;if(z|0?(A=z+12|0,z=f[A>>2]|0,f[A>>2]=z+-1,(z|0)==1):0)lP(j);f[y>>2]=0;y=j+16|0;z=j+4|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[z>>2]|0)>0){y=f[j+40>>2]|0;A=0;do{f[y+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[z>>2]|0))}z=f[j+44>>2]|0;if((z|0)!=(j+48|0))tE(z)}z=(f[a+116>>2]|0)+(Y(f[f[a+144>>2]>>2]|0,x)|0)|0;A=a+76|0;y=z+((Y(f[A>>2]|0,w)|0)<<2)|0;z=(f[a+172>>2]|0)+(Y(f[f[a+200>>2]>>2]|0,x)|0)+w|0;if(!(b[z>>0]|0)){b[z>>0]=1;B=y;C=A;D=f[m>>2]|0;E=f[c>>2]|0;break}else{F=y;u=e;return F|0}}else{B=d;C=a+76|0;D=o;E=l}while(0);l=f[a+80>>2]|0;o=f[a+84>>2]|0;d=f[a+88>>2]|0;c=E<<1;E=(f[a+228>>2]|0)+(Y(f[f[a+256>>2]>>2]|0,D)|0)+(c<<2)|0;m=(f[a+284>>2]|0)+(Y(f[f[a+312>>2]>>2]|0,D)|0)+c|0;Drc(B|0,0,f[C>>2]<<2|0)|0;C=f[a+4>>2]|0;if((l|0)>0){c=0;do{D=E+(f[C+(c*44|0)>>2]<<2)|0;G=+n[C+(c*44|0)+40>>2]*+n[C+(c*44|0)+24>>2];j=m+(f[C+(c*44|0)+4>>2]|0)|0;g=B+(f[C+(c*44|0)+8>>2]<<2)|0;i=g+(h[j>>0]<<2)|0;s=g+(h[j+1>>0]<<2)|0;H=+n[s>>2]+G*+n[D+4>>2];n[i>>2]=+n[i>>2]+G*+n[D>>2];n[s>>2]=H;c=c+1|0}while((c|0)!=(l|0));I=l}else I=0;if((I|0)<(o|0)){l=I;do{c=E+(f[C+(l*44|0)>>2]<<2)|0;H=+n[c>>2];G=+n[c+4>>2];c=m+(f[C+(l*44|0)+4>>2]|0)|0;s=h[c>>0]|0;D=h[c+1>>0]|0;c=B+(f[C+(l*44|0)+8>>2]<<2)|0;i=C+(l*44|0)+40|0;J=+n[i>>2]*+n[C+(l*44|0)+24>>2];j=c+(s<<2)|0;g=c+(D<<2)|0;K=+n[g>>2]+G*J;n[j>>2]=+n[j>>2]+H*J;n[g>>2]=K;g=B+(f[C+(l*44|0)+12>>2]<<2)|0;K=+n[i>>2]*+n[C+(l*44|0)+28>>2];i=g+(s<<2)|0;s=g+(D<<2)|0;J=+n[s>>2]+G*K;n[i>>2]=+n[i>>2]+H*K;n[s>>2]=J;l=l+1|0}while((l|0)!=(o|0));L=o}else L=I;if((L|0)<(d|0)){I=L;do{L=E+(f[C+(I*44|0)>>2]<<2)|0;J=+n[L>>2];K=+n[L+4>>2];L=m+(f[C+(I*44|0)+4>>2]|0)|0;o=h[L>>0]|0;l=h[L+1>>0]|0;L=B+(f[C+(I*44|0)+8>>2]<<2)|0;s=C+(I*44|0)+40|0;H=+n[s>>2]*+n[C+(I*44|0)+24>>2];i=L+(o<<2)|0;D=L+(l<<2)|0;G=+n[D>>2]+K*H;n[i>>2]=+n[i>>2]+J*H;n[D>>2]=G;D=B+(f[C+(I*44|0)+12>>2]<<2)|0;G=+n[s>>2]*+n[C+(I*44|0)+28>>2];i=D+(o<<2)|0;L=D+(l<<2)|0;H=+n[L>>2]+K*G;n[i>>2]=+n[i>>2]+J*G;n[L>>2]=H;L=B+(f[C+(I*44|0)+16>>2]<<2)|0;H=+n[s>>2]*+n[C+(I*44|0)+32>>2];i=L+(o<<2)|0;D=L+(l<<2)|0;G=+n[D>>2]+K*H;n[i>>2]=+n[i>>2]+J*H;n[D>>2]=G;D=B+(f[C+(I*44|0)+20>>2]<<2)|0;G=+n[s>>2]*+n[C+(I*44|0)+36>>2];s=D+(o<<2)|0;o=D+(l<<2)|0;H=+n[o>>2]+K*G;n[s>>2]=+n[s>>2]+J*G;n[o>>2]=H;I=I+1|0}while((I|0)!=(d|0))}xh[f[(f[a>>2]|0)+12>>2]&2047](a,B);F=B;u=e;return F|0}function bua(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;f[a>>2]=84072;m=a+8|0;f[m>>2]=1124007936;n=a+12|0;o=a+16|0;q=a+48|0;r=n;s=r+36|0;do{f[r>>2]=0;r=r+4|0}while((r|0)<(s|0));f[q>>2]=o;r=a+56|0;s=a+52|0;f[s>>2]=r;f[r>>2]=0;f[a+60>>2]=0;r=a+72|0;t=a+76|0;u=a+80|0;v=a+84|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;f[a+4>>2]=b;if((m|0)==(c|0)){w=a+64|0;p[w>>3]=d;x=f[e>>2]|0;f[r>>2]=x;y=e+4|0;z=f[y>>2]|0;f[t>>2]=z;A=f[g>>2]|0;f[u>>2]=A;B=g+4|0;C=f[B>>2]|0;f[v>>2]=C;D=a+88|0;f[D>>2]=h;E=a+92|0;f[E>>2]=i;F=a+96|0;f[F>>2]=k;G=a+100|0;f[G>>2]=l;H=a+104|0;f[H>>2]=j;return}b=c+36|0;I=f[b>>2]|0;if(I){J=I+12|0;f[J>>2]=(f[J>>2]|0)+1;J=a+44|0;I=f[J>>2]|0;if((I|0)!=0?(K=I+12|0,I=f[K>>2]|0,f[K>>2]=I+-1,(I|0)==1):0){lP(m);L=J}else L=J}else L=a+44|0;f[L>>2]=0;J=a+24|0;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;f[J+12>>2]=0;if((f[n>>2]|0)>0){I=f[q>>2]|0;q=0;do{f[I+(q<<2)>>2]=0;q=q+1|0;M=f[n>>2]|0}while((q|0)<(M|0));f[m>>2]=f[c>>2];if((M|0)<3)N=12;else N=14}else{f[m>>2]=f[c>>2];N=12}if((N|0)==12){M=f[c+4>>2]|0;if((M|0)<3){f[n>>2]=M;f[o>>2]=f[c+8>>2];f[a+20>>2]=f[c+12>>2];o=f[c+44>>2]|0;M=f[s>>2]|0;f[M>>2]=f[o>>2];f[M+4>>2]=f[o+4>>2]}else N=14}if((N|0)==14)kP(m,c);f[J>>2]=f[c+16>>2];f[a+28>>2]=f[c+20>>2];f[a+32>>2]=f[c+24>>2];f[a+36>>2]=f[c+28>>2];f[a+40>>2]=f[c+32>>2];f[L>>2]=f[b>>2];w=a+64|0;p[w>>3]=d;x=f[e>>2]|0;f[r>>2]=x;y=e+4|0;z=f[y>>2]|0;f[t>>2]=z;A=f[g>>2]|0;f[u>>2]=A;B=g+4|0;C=f[B>>2]|0;f[v>>2]=C;D=a+88|0;f[D>>2]=h;E=a+92|0;f[E>>2]=i;F=a+96|0;f[F>>2]=k;G=a+100|0;f[G>>2]=l;H=a+104|0;f[H>>2]=j;return}function cua(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=+g;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0.0,J=0.0,K=0.0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0;a=u;u=u+96|0;h=a+16|0;i=a+88|0;j=a+72|0;k=a+8|0;l=a+60|0;m=a+48|0;n=a+32|0;o=a;zT(i,84084);if((e|0)>=1?(q=f[c>>2]|0,r=c+4|0,s=f[r>>2]|0,(q|0)!=(s|0)):0){t=d+4|0;if((s-q>>4|0)!=((f[t>>2]|0)-(f[d>>2]|0)>>3|0)){f[h>>2]=0;f[h+4>>2]=0;q=YG(h,33)|0;s=372722;v=q+33|0;do{b[q>>0]=b[s>>0]|0;q=q+1|0;s=s+1|0}while((q|0)<(v|0));SQ(-215,h,372756,371692,3790)}f[j>>2]=0;s=j+4|0;f[s>>2]=0;f[j+8>>2]=0;p[k>>3]=g;f[h>>2]=f[k>>2];f[h+4>>2]=f[k+4>>2];k=dua(c,j,h)|0;f[h>>2]=0;q=h+4|0;f[q>>2]=0;f[h+8>>2]=0;v=(k|0)==0;do if(!v)if(k>>>0>134217727)Ukc(h);else{w=k<<5;x=Bmc(w)|0;f[h>>2]=x;f[h+8>>2]=x+(k<<5);Drc(x|0,0,w|0)|0;f[q>>2]=x+w;y=x;break}else y=0;while(0);f[l>>2]=0;x=l+4|0;f[x>>2]=0;f[l+8>>2]=0;if(v)z=0;else{w=k<<2;A=Bmc(w)|0;f[l>>2]=A;B=A+(k<<2)|0;f[l+8>>2]=B;Drc(A|0,0,w|0)|0;f[x>>2]=B;z=A}f[m>>2]=0;A=m+4|0;f[A>>2]=0;f[m+8>>2]=0;if(v){C=0;D=0}else{v=Bmc(k<<3)|0;f[A>>2]=v;f[m>>2]=v;B=v+(k<<3)|0;f[m+8>>2]=B;w=k;E=v;while(1){p[E>>3]=-1797693134862315708145274.0e284;w=w+-1|0;if(!w)break;else E=E+8|0}f[A>>2]=B;C=v;D=v}v=f[j>>2]|0;B=(f[s>>2]|0)-v|0;E=B>>2;w=v;if((B|0)>0){B=0;do{v=f[w+(B<<2)>>2]|0;F=f[c>>2]|0;G=y+(v<<5)|0;p[G>>3]=+(f[F+(B<<4)>>2]|0)+ +p[G>>3];G=y+(v<<5)+8|0;p[G>>3]=+(f[F+(B<<4)+4>>2]|0)+ +p[G>>3];G=y+(v<<5)+16|0;p[G>>3]=+(f[F+(B<<4)+8>>2]|0)+ +p[G>>3];G=y+(v<<5)+24|0;p[G>>3]=+(f[F+(B<<4)+12>>2]|0)+ +p[G>>3];G=D+(v<<3)|0;H=+p[G>>3];I=+p[(f[d>>2]|0)+(B<<3)>>3];p[G>>3]=H<I?I:H;G=z+(v<<2)|0;f[G>>2]=(f[G>>2]|0)+1;B=B+1|0}while((B|0)<(E|0))}E=(k|0)>0;if(E){B=0;do{w=y+(B<<5)|0;G=y+(B<<5)+8|0;v=y+(B<<5)+16|0;F=y+(B<<5)+24|0;H=1.0/+(f[z+(B<<2)>>2]|0);I=+p[G>>3]*H;J=+p[v>>3]*H;K=+p[F>>3]*H;p[w>>3]=+p[w>>3]*H;p[G>>3]=I;p[v>>3]=J;p[F>>3]=K;B=B+1|0}while((B|0)!=(k|0))}B=f[c>>2]|0;F=f[r>>2]|0;if((F|0)!=(B|0))f[r>>2]=F+(~((F+-16-B|0)>>>4)<<4);B=f[d>>2]|0;F=f[t>>2]|0;if((F|0)!=(B|0))f[t>>2]=F+(~((F+-8-B|0)>>>3)<<3);if(E){E=n+4|0;B=n+8|0;F=n+12|0;v=c+8|0;G=d+8|0;w=f[l>>2]|0;L=f[m>>2]|0;M=0;N=y;y=z;z=D;while(1){O=V9b(+p[N+(M<<5)>>3])|0;P=V9b(+p[N+(M<<5)+8>>3])|0;Q=V9b(+p[N+(M<<5)+16>>3])|0;R=V9b(+p[N+(M<<5)+24>>3])|0;f[n>>2]=O;f[E>>2]=P;f[B>>2]=Q;f[F>>2]=R;S=f[y+(M<<2)>>2]|0;p[o>>3]=+p[z+(M<<3)>>3];do if((S|0)>(e|0)){T=f[h>>2]|0;U=Q+O|0;V=R+P|0;W=(S|0)>3?S:3;a:do if((S|0)<3){X=0;while(1){do if((X|0)!=(M|0)?(f[y+(X<<2)>>2]|0)>(e|0):0){Y=V9b(+p[T+(X<<5)>>3])|0;Z=V9b(+p[T+(X<<5)+8>>3])|0;_=V9b(+p[T+(X<<5)+16>>3])|0;$=V9b(+p[T+(X<<5)+24>>3])|0;aa=V9b(+(_|0)*g)|0;ba=V9b(+($|0)*g)|0;if((O|0)<(Y-aa|0)|(P|0)<(Z-ba|0))break;if((U|0)>(_+Y+aa|0))break;if((V|0)<=($+Z+ba|0)){ca=X;break a}}while(0);ba=X+1|0;if((ba|0)<(k|0))X=ba;else{ca=ba;break}}}else{X=0;while(1){ba=f[y+(X<<2)>>2]|0;do if((X|0)!=(M|0)&(ba|0)>(e|0)){Z=V9b(+p[T+(X<<5)>>3])|0;$=V9b(+p[T+(X<<5)+8>>3])|0;aa=V9b(+p[T+(X<<5)+16>>3])|0;Y=V9b(+p[T+(X<<5)+24>>3])|0;_=V9b(+(aa|0)*g)|0;da=V9b(+(Y|0)*g)|0;if((O|0)<(Z-_|0)|(P|0)<($-da|0))break;if((U|0)>(aa+Z+_|0))break;if((ba|0)>(W|0)?(V|0)<=(Y+$+da|0):0){ca=X;break a}}while(0);ba=X+1|0;if((ba|0)<(k|0))X=ba;else{ca=ba;break}}}while(0);if((ca|0)==(k|0)){V=f[r>>2]|0;if((V|0)==(f[v>>2]|0))Yta(c,n);else{f[V>>2]=O;f[V+4>>2]=P;f[V+8>>2]=Q;f[V+12>>2]=R;f[r>>2]=V+16}V=f[t>>2]|0;if((V|0)==(f[G>>2]|0)){$ta(d,o);break}else{p[V>>3]=+p[o>>3];f[t>>2]=V+8;break}}}while(0);R=M+1|0;if((R|0)>=(k|0))break;M=R;N=f[h>>2]|0;y=w;z=L}L=f[m>>2]|0;ea=L;fa=L}else{ea=D;fa=C}if(ea|0){C=f[A>>2]|0;if((C|0)!=(ea|0))f[A>>2]=C+(~((C+-8-ea|0)>>>3)<<3);Emc(fa)}fa=f[l>>2]|0;if(fa|0){l=f[x>>2]|0;if((l|0)!=(fa|0))f[x>>2]=l+(~((l+-4-fa|0)>>>2)<<2);Emc(fa)}fa=f[h>>2]|0;if(fa|0){h=f[q>>2]|0;if((h|0)!=(fa|0))f[q>>2]=h+(~((h+-32-fa|0)>>>5)<<5);Emc(fa)}fa=f[j>>2]|0;if(fa|0){j=f[s>>2]|0;if((j|0)!=(fa|0))f[s>>2]=j+(~((j+-4-fa|0)>>>2)<<2);Emc(fa)}}if(!(f[i+4>>2]|0)){u=a;return}u=a;return}function dua(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;e=u;u=u+32|0;g=e+8|0;h=e;i=f[a>>2]|0;j=(f[a+4>>2]|0)-i|0;a=j>>4;k=i;i=j>>3;f[g>>2]=0;l=g+4|0;f[l>>2]=0;f[g+8>>2]=0;do if(i)if(i>>>0>1073741823)Ukc(g);else{m=j>>1;n=Bmc(m)|0;f[g>>2]=n;o=n+(i<<2)|0;f[g+8>>2]=o;Drc(n|0,0,m|0)|0;f[l>>2]=o;q=n;break}else q=0;while(0);i=(j|0)>0;a:do if(i){j=0;do{f[q+(j<<3)>>2]=-1;f[q+(j<<3)+4>>2]=0;j=j+1|0}while((j|0)<(a|0));if(i){j=0;b:while(1){n=j;while(1){o=f[q+(n<<3)>>2]|0;if((o|0)>-1)n=o;else break}o=k+(j<<4)+8|0;m=k+(j<<4)+12|0;r=k+(j<<4)|0;s=k+(j<<4)+4|0;t=q+(j<<3)|0;v=0;w=n;while(1){if(((((j|0)!=(v|0)?(x=f[k+(v<<4)+8>>2]|0,y=f[o>>2]|0,z=f[k+(v<<4)+12>>2]|0,A=f[m>>2]|0,B=+p[d>>3]*+(((A|0)>(z|0)?z:A)+((y|0)>(x|0)?x:y)|0)*.5,C=f[r>>2]|0,D=f[k+(v<<4)>>2]|0,E=C-D|0,+(((E|0)>-1?E:0-E|0)|0)<=B):0)?(E=f[s>>2]|0,F=f[k+(v<<4)+4>>2]|0,G=E-F|0,+(((G|0)>-1?G:0-G|0)|0)<=B):0)?(G=y-x+C-D|0,+(((G|0)>-1?G:0-G|0)|0)<=B):0)?(G=A-z+E-F|0,+(((G|0)>-1?G:0-G|0)|0)<=B):0){G=v;while(1){H=q+(G<<3)|0;F=f[H>>2]|0;if((F|0)>-1)G=F;else break}if((G|0)!=(w|0)){F=f[q+(w<<3)+4>>2]|0;E=q+(G<<3)+4|0;z=f[E>>2]|0;if((F|0)>(z|0)){f[H>>2]=w;I=w}else{f[q+(w<<3)>>2]=G;f[E>>2]=((F|0)==(z|0)&1)+z;I=G}if((f[q+(I<<3)>>2]|0)>=0)break b;z=q+(v<<3)|0;F=f[z>>2]|0;if((F|0)>-1){E=F;F=z;do{f[F>>2]=I;F=q+(E<<3)|0;E=f[F>>2]|0}while((E|0)>-1)}E=f[t>>2]|0;if((E|0)>-1){F=t;G=E;do{f[F>>2]=I;F=q+(G<<3)|0;G=f[F>>2]|0}while((G|0)>-1);J=I}else J=I}else J=w}else J=w;v=v+1|0;if((v|0)>=(a|0))break;else w=J}j=j+1|0;if((j|0)>=(a|0))break a}f[h>>2]=0;f[h+4>>2]=0;j=YG(h,23)|0;w=372772;v=j+23|0;do{b[j>>0]=b[w>>0]|0;j=j+1|0;w=w+1|0}while((j|0)<(v|0));SQ(-215,h,372796,372806,512)}}while(0);h=c+4|0;J=f[h>>2]|0;I=f[c>>2]|0;H=J-I>>2;k=I;I=J;if(a>>>0<=H>>>0){if(a>>>0<H>>>0?(J=k+(a<<2)|0,(I|0)!=(J|0)):0)f[h>>2]=I+(~((I+-4-J|0)>>>2)<<2)}else $C(c,a-H|0);if(i){i=f[c>>2]|0;c=0;H=0;while(1){J=H;while(1){I=f[q+(J<<3)>>2]|0;if((I|0)>-1)J=I;else break}I=q+(J<<3)+4|0;h=f[I>>2]|0;if((h|0)>-1){k=~c;f[I>>2]=k;K=c+1|0;L=k}else{K=c;L=h}f[i+(H<<2)>>2]=~L;H=H+1|0;if((H|0)>=(a|0)){M=K;break}else c=K}}else M=0;K=f[g>>2]|0;if(!K){u=e;return M|0}g=f[l>>2]|0;if((g|0)!=(K|0))f[l>>2]=g+(~((g+-4-K|0)>>>2)<<2);Emc(K);u=e;return M|0}function eua(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=84072;b=a+8|0;c=a+44|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+24|0;b=a+12|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+48>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+52>>2]|0;if((b|0)==(a+56|0))return;tE(b);return}function fua(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=84072;b=a+8|0;c=a+44|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+24|0;b=a+12|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+48>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+52>>2]|0;if((b|0)==(a+56|0)){Emc(a);return}tE(b);Emc(a);return}function gua(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0.0,v=0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0;c=u;u=u+272|0;d=c+248|0;e=c+192|0;g=c+176|0;h=c;i=c+112|0;j=c+168|0;k=c+56|0;l=c+48|0;m=c+32|0;n=c+24|0;o=c+16|0;q=c+8|0;r=f[b>>2]|0;s=f[b+4>>2]|0;do if((r|0)<=0)if((s|0)>1){t=+p[(f[a+88>>2]|0)+(r+1<<3)>>3];break}else{b=f[a+20>>2]|0;v=f[a+16>>2]|0;t=+(((b|0)<(v|0)?v:b)|0);break}else t=+p[(f[a+88>>2]|0)+(r<<3)>>3];while(0);b=a+8|0;v=a+20|0;w=+(f[v>>2]|0)/t;x=~~w;y=(+(x|0)<w&1)+x|0;x=a+16|0;w=+(f[x>>2]|0)/t;z=~~w;A=(+(z|0)<w&1)+z|0;z=f[b>>2]&4095;f[e>>2]=1124007936;B=e+4|0;C=e+8|0;D=e+40|0;E=B;F=E+36|0;do{f[E>>2]=0;E=E+4|0}while((E|0)<(F|0));f[D>>2]=C;C=e+48|0;E=e+44|0;f[E>>2]=C;f[C>>2]=0;f[e+52>>2]=0;f[d>>2]=A;f[d+4>>2]=y;iP(e,2,d,z);f[d>>2]=0;z=d+4|0;f[z>>2]=0;f[d+8>>2]=0;f[g>>2]=0;y=g+4|0;f[y>>2]=0;f[g+8>>2]=0;if((r|0)<(s|0)){A=a+88|0;F=j+4|0;G=e+16|0;H=a+48|0;I=l+4|0;J=a+24|0;K=a+56|0;L=k+36|0;M=i+36|0;N=i+16|0;O=i+4|0;P=i+40|0;Q=k+4|0;R=k+8|0;S=i+8|0;T=k+12|0;U=i+12|0;V=k+44|0;W=i+44|0;X=k+16|0;Y=k+20|0;Z=i+20|0;_=k+24|0;$=i+24|0;aa=k+28|0;ba=i+28|0;ca=k+32|0;da=i+32|0;ea=k+40|0;fa=k+48|0;ga=a+4|0;ha=a+64|0;ia=a+72|0;ja=o+4|0;ka=a+76|0;la=a+80|0;ma=q+4|0;na=a+84|0;oa=k+4|0;pa=k+8|0;qa=a+104|0;ra=a+96|0;sa=i+48|0;ta=a+92|0;ua=k+4|0;va=k+8|0;wa=k+12|0;xa=a+100|0;a=k+8|0;ya=k+12|0;za=k+4|0;Aa=m+8|0;Ba=m+4|0;Ca=n+4|0;Da=r;do{w=+p[(f[A>>2]|0)+(Da<<3)>>3];p[h>>3]=w;r=V9b(+(f[v>>2]|0)/w)|0;Ea=V9b(+(f[x>>2]|0)/w)|0;f[j>>2]=r;f[F>>2]=Ea;mD(i,j,f[b>>2]&4095,f[G>>2]|0,0);Fa=f[H>>2]|0;if((Ea|0)==(f[Fa>>2]|0)?(r|0)==(f[Fa+4>>2]|0):0){f[l>>2]=r;f[I>>2]=Ea;mD(k,l,f[b>>2]&4095,f[J>>2]|0,f[K>>2]|0);Fa=f[L>>2]|0;if(Fa|0){Ga=Fa+12|0;f[Ga>>2]=(f[Ga>>2]|0)+1}Ga=f[M>>2]|0;if(Ga|0?(Fa=Ga+12|0,Ga=f[Fa>>2]|0,f[Fa>>2]=Ga+-1,(Ga|0)==1):0)lP(i);f[M>>2]=0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;if((f[O>>2]|0)>0){Ga=f[P>>2]|0;Fa=0;do{f[Ga+(Fa<<2)>>2]=0;Fa=Fa+1|0;Ha=f[O>>2]|0}while((Fa|0)<(Ha|0));f[i>>2]=f[k>>2];if((Ha|0)<3)Ia=19;else Ia=21}else{f[i>>2]=f[k>>2];Ia=19}if((Ia|0)==19){Ia=0;Fa=f[Q>>2]|0;if((Fa|0)<3){f[O>>2]=Fa;f[S>>2]=f[R>>2];f[U>>2]=f[T>>2];Fa=f[V>>2]|0;Ga=f[W>>2]|0;f[Ga>>2]=f[Fa>>2];f[Ga+4>>2]=f[Fa+4>>2]}else Ia=21}if((Ia|0)==21){Ia=0;kP(i,k)}f[N>>2]=f[X>>2];f[Z>>2]=f[Y>>2];f[$>>2]=f[_>>2];f[ba>>2]=f[aa>>2];f[da>>2]=f[ca>>2];Fa=f[L>>2]|0;f[M>>2]=Fa;if(Fa|0?(Ga=Fa+12|0,Fa=f[Ga>>2]|0,f[Ga>>2]=Fa+-1,(Fa|0)==1):0)lP(k);f[L>>2]=0;f[X>>2]=0;f[X+4>>2]=0;f[X+8>>2]=0;f[X+12>>2]=0;if((f[Q>>2]|0)>0){Fa=f[ea>>2]|0;Ga=0;do{f[Fa+(Ga<<2)>>2]=0;Ga=Ga+1|0}while((Ga|0)<(f[Q>>2]|0))}Ga=f[V>>2]|0;if((Ga|0)!=(fa|0))tE(Ga)}else{f[a>>2]=0;f[ya>>2]=0;f[k>>2]=16842752;f[za>>2]=b;Ga=Aa;f[Ga>>2]=0;f[Ga+4>>2]=0;f[m>>2]=33619968;f[Ba>>2]=i;f[n>>2]=r;f[Ca>>2]=Ea;wma(k,m,n,0.0,0.0,5)}Ga=f[ga>>2]|0;Fa=f[(f[Ga>>2]|0)+36>>2]|0;w=+p[ha>>3];f[o>>2]=f[ia>>2];f[ja>>2]=f[ka>>2];f[q>>2]=f[la>>2];f[ma>>2]=f[na>>2];f[k>>2]=0;f[oa>>2]=0;f[pa>>2]=0;Rf[Fa&7](Ga,i,d,g,w,o,q,k);Ga=f[k>>2]|0;if(Ga|0){Fa=f[oa>>2]|0;if((Fa|0)!=(Ga|0))f[oa>>2]=Fa+(~((Fa+-8-Ga|0)>>>3)<<3);Emc(Ga)}Ga=f[ga>>2]|0;w=+p[h>>3];Fa=V9b(+(f[Ga+4>>2]|0)*w)|0;Ja=V9b(w*+(f[Ga+8>>2]|0))|0;SR(f[qa>>2]|0);Ga=f[d>>2]|0;if((f[z>>2]|0)!=(Ga|0)){Ka=0;La=Ga;do{Ga=La;Ma=f[ta>>2]|0;w=+p[h>>3];Na=V9b(+(f[Ga+(Ka<<3)>>2]|0)*w)|0;Oa=V9b(w*+(f[Ga+(Ka<<3)+4>>2]|0))|0;f[k>>2]=Na;f[ua>>2]=Oa;f[va>>2]=Fa;f[wa>>2]=Ja;Ga=Ma+4|0;Pa=f[Ga>>2]|0;if((Pa|0)==(f[Ma+8>>2]|0))Yta(Ma,k);else{f[Pa>>2]=Na;f[Pa+4>>2]=Oa;f[Pa+8>>2]=Fa;f[Pa+12>>2]=Ja;f[Ga>>2]=Pa+16}Pa=f[xa>>2]|0;do if(Pa|0){Ga=Pa+4|0;Oa=f[Ga>>2]|0;if((Oa|0)==(f[Pa+8>>2]|0)){$ta(Pa,h);break}else{p[Oa>>3]=+p[h>>3];f[Ga>>2]=Oa+8;break}}while(0);Ka=Ka+1|0;La=f[d>>2]|0}while(Ka>>>0<(f[z>>2]|0)-La>>3>>>0)}TR(f[qa>>2]|0);if(f[ra>>2]|0?(f[g>>2]|0)!=(f[y>>2]|0):0){SR(f[qa>>2]|0);La=f[z>>2]|0;Ka=f[d>>2]|0;if((La|0)!=(Ka|0)){Ja=0;Fa=Ka;Ka=La;while(1){La=f[ra>>2]|0;Ea=(f[g>>2]|0)+(Ja<<3)|0;r=La+4|0;Pa=f[r>>2]|0;if((Pa|0)==(f[La+8>>2]|0)){$ta(La,Ea);Qa=f[d>>2]|0;Ra=f[z>>2]|0}else{p[Pa>>3]=+p[Ea>>3];f[r>>2]=Pa+8;Qa=Fa;Ra=Ka}Ja=Ja+1|0;if(Ja>>>0>=Ra-Qa>>3>>>0)break;else{Fa=Qa;Ka=Ra}}}TR(f[qa>>2]|0)}Ka=f[M>>2]|0;if(Ka|0?(Fa=Ka+12|0,Ka=f[Fa>>2]|0,f[Fa>>2]=Ka+-1,(Ka|0)==1):0)lP(i);f[M>>2]=0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;if((f[O>>2]|0)>0){Ka=f[P>>2]|0;Fa=0;do{f[Ka+(Fa<<2)>>2]=0;Fa=Fa+1|0}while((Fa|0)<(f[O>>2]|0))}Fa=f[W>>2]|0;if((Fa|0)!=(sa|0))tE(Fa);Da=Da+1|0}while((Da|0)<(s|0));s=f[g>>2]|0;if(s|0){g=f[y>>2]|0;if((g|0)!=(s|0))f[y>>2]=g+(~((g+-8-s|0)>>>3)<<3);Emc(s)}}s=f[d>>2]|0;if(s|0){d=f[z>>2]|0;if((d|0)!=(s|0))f[z>>2]=d+(~((d+-8-s|0)>>>3)<<3);Emc(s)}s=e+36|0;d=f[s>>2]|0;if(d|0?(z=d+12|0,d=f[z>>2]|0,f[z>>2]=d+-1,(d|0)==1):0)lP(e);f[s>>2]=0;s=e+16|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[B>>2]|0)>0){s=f[D>>2]|0;D=0;do{f[s+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[B>>2]|0))}B=f[E>>2]|0;if((B|0)==(C|0)){u=c;return}tE(B);u=c;return}function hua(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>2>>>0>=b>>>0){Drc(g|0,0,b<<2|0)|0;f[e>>2]=g+(b<<2);return}h=f[a>>2]|0;i=g-h|0;g=i>>2;j=g+b|0;if(j>>>0>1073741823)Ukc(a);k=d-h|0;d=k>>1;l=k>>2>>>0<536870911?(d>>>0<j>>>0?j:d):1073741823;do if(l)if(l>>>0>1073741823){d=ye(8)|0;Jmc(d,511852);f[d>>2]=165276;Gf(d|0,26776,1555)}else{m=Bmc(l<<2)|0;break}else m=0;while(0);d=m+(g<<2)|0;Drc(d|0,0,b<<2|0)|0;j=d+(0-g<<2)|0;if((i|0)>0)Krc(j|0,h|0,i|0)|0;f[a>>2]=j;f[e>>2]=d+(b<<2);f[c>>2]=m+(l<<2);if(!h)return;Emc(h);return}function iua(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d+8|0;g=d;if(!(ci[f[(f[a>>2]|0)+12>>2]&1023](a)|0)){u=d;return a|0}h=a+32|0;if((f[h>>2]|0)==6){f[e>>2]=0;f[e+4>>2]=0;i=YG(e,30)|0;j=387098;k=i+30|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-2,e,523834,387129,1183)}f[g>>2]=0;f[g+4>>2]=0;__(e,a,a+12|0,13,g);ZG(g);Z_(a,f[c>>2]|0);Z_(a,f[c+4>>2]|0);$_(e);if(!(f[h>>2]&4)){u=d;return a|0}f[h>>2]=6;u=d;return a|0}function jua(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d+8|0;g=d;b[e>>0]=49;b[e+1>>0]=102;b[e+2>>0]=0;h=f[a>>2]|0;f[g>>2]=0;f[g+4>>2]=0;a=s8b(e)|0;if(a|0)Krc(YG(g,a)|0,e|0,a|0)|0;a=f[c>>2]|0;e=f[c+4>>2]|0;O_(h,g,(a|0)==(e|0)?0:a,e-a|0);ZG(g);u=d;return}function kua(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=u;u=u+16|0;g=e+8|0;h=e;i=f[a>>2]|0;j=f[i+40>>2]|0;b[g>>0]=49;b[g+1>>0]=102;b[g+2>>0]=0;k=j>>>0>d>>>0?d:j;j=c+4|0;d=f[j>>2]|0;l=f[c>>2]|0;m=d-l>>2;n=l;l=d;if(k>>>0<=m>>>0)if(k>>>0<m>>>0?(d=n+(k<<2)|0,(l|0)!=(d|0)):0){f[j>>2]=l+(~((l+-4-d|0)>>>2)<<2);o=i}else o=i;else{hua(c,k-m|0);o=f[a>>2]|0}f[h>>2]=0;f[h+4>>2]=0;a=s8b(g)|0;if(!a){p=f[c>>2]|0;q=f[j>>2]|0;r=(p|0)==(q|0);s=r?0:p;t=k<<2;V_(o,h,s,t)|0;ZG(h);u=e;return}Krc(YG(h,a)|0,g|0,a|0)|0;p=f[c>>2]|0;q=f[j>>2]|0;r=(p|0)==(q|0);s=r?0:p;t=k<<2;V_(o,h,s,t)|0;ZG(h);u=e;return}function lua(){H0(890268,373886,841,1626,504,250,842);Ad(1619,890268,x|0)|0;return}function mua(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;if(b[528144]|0){c=f[21041]|0;d=f[c>>2]|0;e=f[a>>2]|0;g=(d|0)==(e|0);h=g&1;return h|0}if(!(src(528144)|0)){c=f[21041]|0;d=f[c>>2]|0;e=f[a>>2]|0;g=(d|0)==(e|0);h=g&1;return h|0}f[132038]=83860;f[132039]=64;f[132040]=128;f[132041]=16;f[132042]=16;f[132043]=8;f[132044]=8;f[132045]=8;f[132046]=8;f[132047]=9;f[132048]=1;p[66025]=-1.0;f[132052]=0;p[66027]=.2;b[528224]=1;f[132057]=0;f[132058]=0;f[132059]=0;f[132060]=1124007936;f[132061]=0;f[132062]=0;f[132063]=0;f[132064]=0;f[132065]=0;f[132066]=0;f[132067]=0;f[132068]=528248;f[132069]=528280;f[132071]=0;f[132070]=0;n[132072]=-1.0;f[132073]=64;b[528296]=0;Ad(696,528152,x|0)|0;c=f[21041]|0;d=f[c>>2]|0;e=f[a>>2]|0;g=(d|0)==(e|0);h=g&1;return h|0}function nua(a){a=a|0;var b=0;if(!a)return;b=f[a>>2]|0;if(!b)return;ai[f[(f[b>>2]|0)+4>>2]&2047](b);f[a>>2]=0;return}function oua(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;f[e>>2]=a;f[e+4>>2]=c;c=Bmc(152)|0;f[c>>2]=83860;f[c+4>>2]=64;f[c+8>>2]=128;f[c+12>>2]=16;f[c+16>>2]=16;f[c+20>>2]=8;f[c+24>>2]=8;f[c+28>>2]=8;f[c+32>>2]=8;f[c+36>>2]=9;f[c+40>>2]=1;p[c+48>>3]=-1.0;f[c+56>>2]=0;p[c+64>>3]=.2;b[c+72>>0]=1;f[c+76>>2]=0;f[c+80>>2]=0;f[c+84>>2]=0;f[c+88>>2]=1124007936;a=c+92|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[c+120>>2]=c+96;a=c+128|0;f[c+124>>2]=a;f[c+132>>2]=0;f[a>>2]=0;n[c+136>>2]=-1.0;f[c+140>>2]=64;b[c+144>>0]=0;if(Gta(c,e)|0){g=c;u=d;return g|0}ai[f[(f[c>>2]|0)+4>>2]&2047](c);g=0;u=d;return g|0}function pua(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;d=u;u=u+48|0;e=d+8|0;g=d;if(!((a|0)!=0&(c|0)!=0)){u=d;return}L_(e,a,0);a=f[(f[c>>2]|0)+16>>2]|0;f[g>>2]=0;f[g+4>>2]=0;if(b|0?(h=s8b(b)|0,h|0):0)Krc(YG(g,h)|0,b|0,h|0)|0;Yh[a&511](c,e,g);ZG(g);C_(e);u=d;return}function qua(a){a=a|0;var b=0,c=0,d=0;if(!a){b=0;return b|0}c=Bmc(152)|0;f[c>>2]=83860;d=c+4|0;f[c+76>>2]=0;f[c+80>>2]=0;f[c+84>>2]=0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[d+24>>2]=0;f[d+28>>2]=0;f[c+88>>2]=1124007936;d=c+92|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[d+24>>2]=0;f[c+120>>2]=c+96;d=c+128|0;f[c+124>>2]=d;f[c+132>>2]=0;f[d>>2]=0;xh[f[(f[a>>2]|0)+28>>2]&2047](a,c);b=c;return b|0}function rua(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=0;b=a+4|0;f[b>>2]=0;f[a+8>>2]=0;c=Bmc(15124)|0;f[b>>2]=c;f[a>>2]=c;d=c+15124|0;f[a+8>>2]=d;a=84168;e=c;while(1){f[e>>2]=f[a>>2];a=a+4|0;if((a|0)==99292)break;else e=e+4|0}f[b>>2]=d;return}function sua(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=0;b=a+4|0;f[b>>2]=0;f[a+8>>2]=0;c=Bmc(7924)|0;f[b>>2]=c;f[a>>2]=c;d=c+7924|0;f[a+8>>2]=d;a=99292;e=c;while(1){f[e>>2]=f[a>>2];a=a+4|0;if((a|0)==107216)break;else e=e+4|0}f[b>>2]=d;return}function tua(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;Emc(d);return}function uua(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=107224;b=a+348|0;c=f[b>>2]|0;if(c|0?(d=c+4|0,e=f[d>>2]|0,f[d>>2]=e+-1,(e|0)==1):0)ai[f[(f[c>>2]|0)+8>>2]&2047](c);f[b>>2]=0;f[a+352>>2]=0;uN(a+300|0);uN(a+252|0);uN(a+204|0);uN(a+156|0);b=a+100|0;c=a+136|0;e=f[c>>2]|0;if(e|0?(d=e+12|0,e=f[d>>2]|0,f[d>>2]=e+-1,(e|0)==1):0)lP(b);f[c>>2]=0;c=a+116|0;b=a+104|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+140>>2]|0;e=0;do{f[c+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[b>>2]|0))}b=f[a+144>>2]|0;if((b|0)!=(a+148|0))tE(b);b=a+44|0;e=a+80|0;c=f[e>>2]|0;if(c|0?(d=c+12|0,c=f[d>>2]|0,f[d>>2]=c+-1,(c|0)==1):0)lP(b);f[e>>2]=0;e=a+60|0;b=a+48|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[b>>2]|0)>0){e=f[a+84>>2]|0;c=0;do{f[e+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+88>>2]|0;if((b|0)==(a+92|0))return;tE(b);return}function vua(a){a=a|0;uua(a);Emc(a);return}function wua(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;f[a+8>>2]=f[c>>2];f[a+12>>2]=f[c+4>>2];c=a+24|0;b=a+348|0;d=a+352|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;c=f[d>>2]|0;if(c|0){a=f[c>>2]|0;e=c+4|0;c=f[e>>2]|0;if((c|0)==(a|0))return 1;f[e>>2]=c+(~(((c+-20-a|0)>>>0)/20|0)*20|0);return 1}a=Bmc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;c=Bmc(16)|0;e=c+4|0;f[e>>2]=1;f[c>>2]=107304;f[c+8>>2]=a;f[e>>2]=(f[e>>2]|0)+1;g=f[b>>2]|0;f[b>>2]=c;f[d>>2]=a;if(g|0?(a=g+4|0,d=f[a>>2]|0,f[a>>2]=d+-1,(d|0)==1):0)ai[f[(f[g>>2]|0)+8>>2]&2047](g);g=f[e>>2]|0;f[e>>2]=g+-1;if((g|0)!=1)return 1;ai[f[(f[c>>2]|0)+8>>2]&2047](c);return 1}function xua(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;return}function yua(a){a=a|0;return -1}function zua(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0;d=u;u=u+192|0;e=d+136|0;g=d+128|0;h=d+120|0;i=d+104|0;j=d+112|0;k=d+48|0;l=d+40|0;m=d+16|0;o=d;p=d+32|0;zT(g,107276);nD(h,b,-1);f[i>>2]=f[h>>2];f[i+4>>2]=f[h+4>>2];h=Iua(a,i,c)|0;c=a+352|0;i=f[c>>2]|0;q=f[i+4>>2]|0;r=f[i>>2]|0;s=q-r|0;t=(s|0)/20|0;if(!s)v=0;else{if((q|0)==(r|0))Vkc(i);i=r;r=f[i+8>>2]|0;q=a+100|0;s=a+112|0;w=(f[i+4>>2]|0)+15&-16;i=f[s>>2]|0;x=(i|0)<(w|0)?w:i;i=a+108|0;w=f[i>>2]|0;y=(w|0)<(r|0)?r:w;f[j>>2]=y;if(h){ai[f[(f[a>>2]|0)+48>>2]&2047](a);Jua(f[c>>2]|0,a+300|0)}do if((pD(b)|0)==655360?(Y(f[a+28>>2]|0,f[a+24>>2]|0)|0)>0:0){h=a+204|0;w=Y(f[a+40>>2]|0,f[a+20>>2]|0)|0;r=f[a+16>>2]|0;if(!(((((f[a+208>>2]|0)<3?(f[a+212>>2]|0)==(w|0):0)?(f[a+216>>2]|0)==(r|0):0)?(f[h>>2]&4095|0)==4:0)?(f[a+228>>2]|0)!=0:0)){f[e>>2]=w;f[e+4>>2]=r;rN(h,2,e,4,0)}h=a+156|0;if(!(((((f[a+160>>2]|0)<3?(f[a+164>>2]|0)==(y|0):0)?(f[a+168>>2]|0)==(x|0):0)?(f[h>>2]&4095|0)==0:0)?(f[a+180>>2]|0)!=0:0)){f[e>>2]=y;f[e+4>>2]=x;rN(h,2,e,0,0)}r=k+4|0;w=k+8|0;z=k+12|0;A=k+8|0;B=k+4|0;C=e+32|0;D=l+4|0;E=k+8|0;F=k+12|0;G=k+4|0;H=0;while(1){I=f[c>>2]|0;J=f[I>>2]|0;if((((f[I+4>>2]|0)-J|0)/20|0)>>>0<=H>>>0){K=22;break}L=J;J=(f[L+(H*20|0)+4>>2]|0)+-1|0;M=(f[L+(H*20|0)+8>>2]|0)+-1|0;f[k>>2]=0;f[r>>2]=0;f[w>>2]=J;f[z>>2]=M;qN(e,h,k);M=A;f[M>>2]=0;f[M+4>>2]=0;f[k>>2]=34209792;f[B>>2]=e;M=f[C>>2]|0;J=f[M>>2]|0;f[l>>2]=f[M+4>>2];f[D>>2]=J;N=1.0/+n[L+(H*20|0)>>2];wma(b,k,l,N,N,5);L=f[(f[a>>2]|0)+44>>2]|0;f[E>>2]=0;f[F>>2]=0;f[k>>2]=17432576;f[G>>2]=e;Yh[L&511](a,H,k);uN(e);H=H+1|0;if(H>>>0>=t>>>0){K=24;break}}if((K|0)==22)Vkc(I);else if((K|0)==24){f[a+4>>2]=2;break}}else K=25;while(0);if((K|0)==25){do if((pD(b)|0)==65536){I=f[b+4>>2]|0;f[k>>2]=f[I>>2];l=k+4|0;y=I+4|0;f[l>>2]=f[y>>2];H=k+8|0;f[H>>2]=f[I+8>>2];f[k+12>>2]=f[I+12>>2];f[k+16>>2]=f[I+16>>2];f[k+20>>2]=f[I+20>>2];f[k+24>>2]=f[I+24>>2];f[k+28>>2]=f[I+28>>2];f[k+32>>2]=f[I+32>>2];G=f[I+36>>2]|0;f[k+36>>2]=G;f[k+40>>2]=H;H=k+48|0;F=k+44|0;f[F>>2]=H;f[H>>2]=0;f[k+52>>2]=0;if(G|0){H=G+12|0;f[H>>2]=(f[H>>2]|0)+1}if((f[y>>2]|0)<3){y=f[I+44>>2]|0;H=f[F>>2]|0;f[H>>2]=f[y>>2];f[H+4>>2]=f[y+4>>2];break}else{f[l>>2]=0;kP(k,I);break}}else lD(k,b,-1);while(0);b=a+44|0;I=Y(f[a+40>>2]|0,f[a+20>>2]|0)|0;l=f[a+16>>2]|0;if(!(((((f[a+48>>2]|0)<3?(f[a+52>>2]|0)==(I|0):0)?(f[a+56>>2]|0)==(l|0):0)?(f[b>>2]&4095|0)==4:0)?(f[a+60>>2]|0)!=0:0)){f[e>>2]=I;f[e+4>>2]=l;iP(b,2,e,4)}b=f[j>>2]|0;if(!(((((f[a+104>>2]|0)<3?(f[i>>2]|0)==(b|0):0)?(f[s>>2]|0)==(x|0):0)?(f[q>>2]&4095|0)==0:0)?(f[a+116>>2]|0)!=0:0)){f[e>>2]=b;f[e+4>>2]=x;iP(q,2,e,0)}q=a+116|0;x=m+8|0;b=m+12|0;s=m+4|0;i=o+8|0;j=o+4|0;l=e+40|0;I=p+4|0;y=m+8|0;H=m+12|0;F=m+4|0;G=e+36|0;E=e+16|0;D=e+4|0;C=e+44|0;B=e+48|0;A=0;do{O=f[c>>2]|0;h=f[O>>2]|0;if((((f[O+4>>2]|0)-h|0)/20|0)>>>0<=A>>>0){K=46;break}z=h;Ri(e,(f[z+(A*20|0)+8>>2]|0)+-1|0,(f[z+(A*20|0)+4>>2]|0)+-1|0,0,f[q>>2]|0,0);f[x>>2]=0;f[b>>2]=0;f[m>>2]=16842752;f[s>>2]=k;h=i;f[h>>2]=0;f[h+4>>2]=0;f[o>>2]=33619968;f[j>>2]=e;h=f[l>>2]|0;w=f[h>>2]|0;f[p>>2]=f[h+4>>2];f[I>>2]=w;N=1.0/+n[z+(A*20|0)>>2];wma(m,o,p,N,N,5);z=f[(f[a>>2]|0)+44>>2]|0;f[y>>2]=0;f[H>>2]=0;f[m>>2]=16842752;f[F>>2]=e;Yh[z&511](a,A,m);z=f[G>>2]|0;if(z|0?(w=z+12|0,z=f[w>>2]|0,f[w>>2]=z+-1,(z|0)==1):0)lP(e);f[G>>2]=0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[D>>2]|0)>0){z=f[l>>2]|0;w=0;do{f[z+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[D>>2]|0))}w=f[C>>2]|0;if((w|0)!=(B|0))tE(w);A=A+1|0}while(A>>>0<t>>>0);if((K|0)==46)Vkc(O);f[a+4>>2]=1;a=k+36|0;O=f[a>>2]|0;if(O|0?(K=O+12|0,O=f[K>>2]|0,f[K>>2]=O+-1,(O|0)==1):0)lP(k);f[a>>2]=0;a=k+16|0;O=k+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[O>>2]|0)>0){a=f[k+40>>2]|0;K=0;do{f[a+(K<<2)>>2]=0;K=K+1|0}while((K|0)<(f[O>>2]|0))}O=f[k+44>>2]|0;if((O|0)!=(k+48|0))tE(O)}v=1}if(!(f[g+4>>2]|0)){u=d;return v|0}u=d;return v|0}function Aua(a,b,c){a=a|0;b=b|0;c=c|0;return 1}function Bua(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=u;u=u+16|0;d=c;e=a+4|0;if(!(f[e>>2]&2)){g=d+8|0;f[g>>2]=0;f[g+4>>2]=0;f[d>>2]=34209792;f[d+4>>2]=a+204;kT(a+44|0,d);f[e>>2]=f[e>>2]|2}e=f[b>>2]|0;d=b+4|0;while(1){g=f[d>>2]|0;if((g|0)==(e|0))break;h=g+-48|0;f[d>>2]=h;uN(h)}h=a+300|0;g=b+8|0;if((e|0)==(f[g>>2]|0)){Hua(b,h);i=f[d>>2]|0}else{f[e>>2]=f[h>>2];j=e+4|0;k=a+304|0;f[j>>2]=f[k>>2];l=e+8|0;f[l>>2]=f[a+308>>2];f[e+12>>2]=f[a+312>>2];f[e+16>>2]=f[a+316>>2];f[e+20>>2]=f[a+320>>2];m=f[a+324>>2]|0;f[e+24>>2]=m;f[e+28>>2]=f[a+328>>2];f[e+32>>2]=l;l=e+40|0;n=e+36|0;f[n>>2]=l;f[e+44>>2]=0;f[l>>2]=0;if(m|0){l=m+8|0;f[l>>2]=(f[l>>2]|0)+1}if((f[k>>2]|0)<3){k=f[a+336>>2]|0;l=f[n>>2]|0;f[l>>2]=f[k>>2];f[l+4>>2]=f[k+4>>2]}else{f[j>>2]=0;tN(e,h)}h=(f[d>>2]|0)+48|0;f[d>>2]=h;i=h}h=a+204|0;if((i|0)==(f[g>>2]|0)){Hua(b,h);o=f[d>>2]|0}else{f[i>>2]=f[h>>2];e=i+4|0;j=a+208|0;f[e>>2]=f[j>>2];k=i+8|0;f[k>>2]=f[a+212>>2];f[i+12>>2]=f[a+216>>2];f[i+16>>2]=f[a+220>>2];f[i+20>>2]=f[a+224>>2];l=f[a+228>>2]|0;f[i+24>>2]=l;f[i+28>>2]=f[a+232>>2];f[i+32>>2]=k;k=i+40|0;n=i+36|0;f[n>>2]=k;f[i+44>>2]=0;f[k>>2]=0;if(l|0){k=l+8|0;f[k>>2]=(f[k>>2]|0)+1}if((f[j>>2]|0)<3){j=f[a+240>>2]|0;k=f[n>>2]|0;f[k>>2]=f[j>>2];f[k+4>>2]=f[j+4>>2]}else{f[e>>2]=0;tN(i,h)}h=(f[d>>2]|0)+48|0;f[d>>2]=h;o=h}h=a+252|0;if((o|0)==(f[g>>2]|0)){Hua(b,h);u=c;return}f[o>>2]=f[h>>2];b=o+4|0;g=a+256|0;f[b>>2]=f[g>>2];i=o+8|0;f[i>>2]=f[a+260>>2];f[o+12>>2]=f[a+264>>2];f[o+16>>2]=f[a+268>>2];f[o+20>>2]=f[a+272>>2];e=f[a+276>>2]|0;f[o+24>>2]=e;f[o+28>>2]=f[a+280>>2];f[o+32>>2]=i;i=o+40|0;j=o+36|0;f[j>>2]=i;f[o+44>>2]=0;f[i>>2]=0;if(e|0){i=e+8|0;f[i>>2]=(f[i>>2]|0)+1}if((f[g>>2]|0)<3){g=f[a+288>>2]|0;a=f[j>>2]|0;f[a>>2]=f[g>>2];f[a+4>>2]=f[g+4>>2]}else{f[b>>2]=0;tN(o,h)}f[d>>2]=(f[d>>2]|0)+48;u=c;return}function Cua(a){a=a|0;var b=0,c=0,d=0,e=0;b=u;u=u+16|0;c=b;d=a+4|0;if(f[d>>2]&1|0){u=b;return}e=c+8|0;f[e>>2]=0;f[e+4>>2]=0;f[c>>2]=33619968;f[c+4>>2]=a+44;BN(a+204|0,c);f[d>>2]=f[d>>2]|1;u=b;return}function Dua(a,b){a=a|0;b=b|0;return 0.0}function Eua(a,b){a=a|0;b=b|0;return 0}function Fua(a,b,c){a=a|0;b=b|0;c=c|0;return}function Gua(a){a=a|0;return}function Hua(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=a+4|0;d=f[a>>2]|0;e=((f[c>>2]|0)-d|0)/48|0;g=e+1|0;if(g>>>0>89478485)Ukc(a);h=a+8|0;i=((f[h>>2]|0)-d|0)/48|0;d=i<<1;j=i>>>0<44739242?(d>>>0<g>>>0?g:d):89478485;do if(j)if(j>>>0>89478485){d=ye(8)|0;Jmc(d,511852);f[d>>2]=165276;Gf(d|0,26776,1555)}else{k=Bmc(j*48|0)|0;break}else k=0;while(0);d=k+(e*48|0)|0;g=d;i=k+(j*48|0)|0;f[d>>2]=f[b>>2];j=k+(e*48|0)+4|0;l=b+4|0;m=f[l>>2]|0;f[j>>2]=m;n=k+(e*48|0)+8|0;f[n>>2]=f[b+8>>2];f[k+(e*48|0)+12>>2]=f[b+12>>2];f[k+(e*48|0)+16>>2]=f[b+16>>2];f[k+(e*48|0)+20>>2]=f[b+20>>2];o=f[b+24>>2]|0;f[k+(e*48|0)+24>>2]=o;f[k+(e*48|0)+28>>2]=f[b+28>>2];f[k+(e*48|0)+32>>2]=n;n=k+(e*48|0)+40|0;p=k+(e*48|0)+36|0;f[p>>2]=n;f[k+(e*48|0)+44>>2]=0;f[n>>2]=0;if(!o)q=m;else{m=o+8|0;f[m>>2]=(f[m>>2]|0)+1;q=f[l>>2]|0}if((q|0)<3){q=f[b+36>>2]|0;l=f[p>>2]|0;f[l>>2]=f[q>>2];f[l+4>>2]=f[q+4>>2]}else{f[j>>2]=0;tN(d,b)}b=d+48|0;j=f[a>>2]|0;q=f[c>>2]|0;if((q|0)==(j|0)){r=g;s=j;t=q}else{l=q;q=g;g=d;do{d=g+-48|0;p=l;l=l+-48|0;f[d>>2]=f[l>>2];m=g+-44|0;o=p+-44|0;f[m>>2]=f[o>>2];n=g+-40|0;f[n>>2]=f[p+-40>>2];f[g+-36>>2]=f[p+-36>>2];f[g+-32>>2]=f[p+-32>>2];f[g+-28>>2]=f[p+-28>>2];e=f[p+-24>>2]|0;f[g+-24>>2]=e;f[g+-20>>2]=f[p+-20>>2];f[g+-16>>2]=n;n=g+-8|0;k=g+-12|0;f[k>>2]=n;f[g+-4>>2]=0;f[n>>2]=0;if(e|0){n=e+8|0;f[n>>2]=(f[n>>2]|0)+1}if((f[o>>2]|0)<3){o=f[p+-12>>2]|0;p=f[k>>2]|0;f[p>>2]=f[o>>2];f[p+4>>2]=f[o+4>>2]}else{f[m>>2]=0;tN(d,l)}g=q+-48|0;q=g}while((l|0)!=(j|0));r=q;s=f[a>>2]|0;t=f[c>>2]|0}f[a>>2]=r;f[c>>2]=b;f[h>>2]=i;i=s;h=t;while(1){t=h;if((t|0)==(i|0))break;b=t+-48|0;uN(b);h=b}if(!s)return;Emc(s);return}function Iua(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0,E=0,F=0.0,G=0,H=0,I=0,J=0,K=0;d=a+348|0;e=a+352|0;if(!(f[e>>2]|0)){g=Bmc(12)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;h=Bmc(16)|0;i=h+4|0;f[i>>2]=1;f[h>>2]=107304;f[h+8>>2]=g;f[i>>2]=(f[i>>2]|0)+1;j=f[d>>2]|0;f[d>>2]=h;f[e>>2]=g;if(j|0?(g=j+4|0,d=f[g>>2]|0,f[g>>2]=d+-1,(d|0)==1):0)ai[f[(f[j>>2]|0)+8>>2]&2047](j);j=f[i>>2]|0;f[i>>2]=j+-1;if((j|0)==1)ai[f[(f[h>>2]|0)+8>>2]&2047](h)}h=f[c>>2]|0;j=(f[c+4>>2]|0)-h>>2;i=f[e>>2]|0;d=i+4|0;g=f[d>>2]|0;k=f[i>>2]|0;l=(g-k|0)/20|0;m=k;k=g;g=h;if(j>>>0<=l>>>0)if(j>>>0<l>>>0?(h=m+(j*20|0)|0,(k|0)!=(h|0)):0){f[d>>2]=k+(~(((k+-20-h|0)>>>0)/20|0)*20|0);o=g}else o=g;else{Kua(i,j-l|0);o=f[c>>2]|0}i=a+16|0;g=f[i>>2]|0;h=a+20|0;a=f[h>>2]|0;k=(U9b(+(f[b>>2]|0)/+n[o>>2])|0)+62&-32;o=(g|0)<(k|0);f[i>>2]=o?k:g;g=(j|0)!=(l|0)|o;if(!j){p=g;q=0;r=0;s=a;t=q+r|0;u=(s|0)<(t|0);v=u?t:s;f[h>>2]=v;w=(v|0)!=(a|0);x=p|w;return x|0}o=f[e>>2]|0;e=f[o>>2]|0;l=((f[o+4>>2]|0)-e|0)/20|0;k=e;e=f[c>>2]|0;c=b+4|0;d=0;m=g;g=0;y=0;z=0;while(1){if(l>>>0<=d>>>0){A=15;break}B=k+(d*20|0)|0;if(!m){C=+n[e+(d<<2)>>2];if(+L(+(+n[B>>2]-C))>C*1.1920928955078125e-05){D=1;E=B;F=C}else{D=0;E=B;F=C}}else{D=1;E=B;F=+n[e+(d<<2)>>2]}B=U9b(+(f[b>>2]|0)/F)|0;G=U9b(+(f[c>>2]|0)/F)|0;f[k+(d*20|0)+16>>2]=F>=2.0?1:2;n[E>>2]=F;H=B+1|0;B=G+1|0;f[k+(d*20|0)+4>>2]=H;f[k+(d*20|0)+8>>2]=B;G=(d|0)==0?B:g;I=f[i>>2]|0;J=(H+y|0)>(I|0);K=J?0:y;z=(J?G:0)+z|0;g=J?B:G;G=(Y(z,I)|0)+K|0;f[k+(d*20|0)+12>>2]=G;d=d+1|0;if(d>>>0>=j>>>0)break;else{m=D;y=K+H|0}}if((A|0)==15)Vkc(o);p=D;q=g;r=z;s=f[h>>2]|0;t=q+r|0;u=(s|0)<(t|0);v=u?t:s;f[h>>2]=v;w=(v|0)!=(a|0);x=p|w;return x|0}function Jua(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=u;u=u+80|0;d=c;e=c+56|0;g=f[a>>2]|0;h=a+4|0;i=f[h>>2]|0;if((g|0)==(i|0)){j=b+24|0;k=f[j>>2]|0;if(k|0?(l=k+8|0,k=f[l>>2]|0,f[l>>2]=k+-1,(k|0)==1):0)vN(b);k=b+4|0;if((f[k>>2]|0)>0){l=f[b+32>>2]|0;m=0;do{f[l+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[k>>2]|0))}f[j>>2]=0;n=f[a>>2]|0;o=f[h>>2]|0}else{n=g;o=i}Ri(d,1,o-n|0,0,n,0);n=e+8|0;f[n>>2]=0;f[n+4>>2]=0;f[e>>2]=34209792;f[e+4>>2]=b;kT(d,e);e=d+36|0;b=f[e>>2]|0;if(b|0?(n=b+12|0,b=f[n>>2]|0,f[n>>2]=b+-1,(b|0)==1):0)lP(d);f[e>>2]=0;e=d+16|0;b=d+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[b>>2]|0)>0){e=f[d+40>>2]|0;n=0;do{f[e+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[b>>2]|0))}b=f[d+44>>2]|0;if((b|0)==(d+48|0)){u=c;return}tE(b);u=c;return}function Kua(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/20|0)>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;i=(f[e>>2]|0)+20|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/20|0;g=i+b|0;if(g>>>0>214748364)Ukc(a);j=(d-h|0)/20|0;h=j<<1;d=j>>>0<107374182?(h>>>0<g>>>0?g:h):214748364;do if(d)if(d>>>0>214748364){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{k=Bmc(d*20|0)|0;break}else k=0;while(0);h=k+(i*20|0)|0;i=h;g=k+(d*20|0)|0;d=b;b=h;k=i;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;b=k+20|0;k=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;if((b|0)==(g|0)){l=i;m=g}else{j=b;b=i;i=h;do{h=j;j=j+-20|0;f[i+-20>>2]=f[j>>2];f[i+-16>>2]=f[h+-16>>2];f[i+-12>>2]=f[h+-12>>2];n=h+-8|0;h=f[n+4>>2]|0;o=i+-8|0;f[o>>2]=f[n>>2];f[o+4>>2]=h;i=b+-20|0;b=i}while((j|0)!=(g|0));l=b;m=f[a>>2]|0}f[a>>2]=l;f[e>>2]=k;f[c>>2]=d;if(!m)return;Emc(m);return}function Lua(a){a=a|0;Emc(a);return}function Mua(a){a=a|0;var b=0,c=0,d=0,e=0;b=f[a+8>>2]|0;if(b|0){c=f[b>>2]|0;if(c|0){d=b+4|0;e=f[d>>2]|0;if((e|0)!=(c|0))f[d>>2]=e+(~(((e+-20-c|0)>>>0)/20|0)*20|0);Emc(c)}Emc(b)}ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Nua(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;f[a>>2]=107324;b=a+372|0;c=f[b>>2]|0;if(c|0?(d=c+4|0,e=f[d>>2]|0,f[d>>2]=e+-1,(e|0)==1):0)ai[f[(f[c>>2]|0)+8>>2]&2047](c);f[b>>2]=0;f[a+376>>2]=0;b=a+364|0;c=f[b>>2]|0;if(c|0?(e=c+4|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)ai[f[(f[c>>2]|0)+8>>2]&2047](c);f[b>>2]=0;f[a+368>>2]=0;b=a+356|0;c=f[b>>2]|0;if(!c){f[b>>2]=0;g=a+360|0;f[g>>2]=0;uua(a);return}d=c+4|0;e=f[d>>2]|0;f[d>>2]=e+-1;if((e|0)!=1){f[b>>2]=0;g=a+360|0;f[g>>2]=0;uua(a);return}ai[f[(f[c>>2]|0)+8>>2]&2047](c);f[b>>2]=0;g=a+360|0;f[g>>2]=0;uua(a);return}function Oua(a){a=a|0;Nua(a);Emc(a);return}function Pua(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+64|0;g=e+8|0;h=e+16|0;i=e;f[g>>2]=f[d>>2];f[g+4>>2]=f[d+4>>2];wua(a,0,g)|0;g=T_(c)|0;if(!g){f[h>>2]=0;f[h+4>>2]=0;d=YG(h,5)|0;b[d>>0]=b[374631]|0;b[d+1>>0]=b[374632]|0;b[d+2>>0]=b[374633]|0;b[d+3>>0]=b[374634]|0;b[d+4>>0]=b[374635]|0;SQ(-215,h,386937,374120,585)}d=a+356|0;j=a+360|0;if(!(f[j>>2]|0)){k=Bmc(12)|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;l=Bmc(16)|0;m=l+4|0;f[m>>2]=1;f[l>>2]=107444;f[l+8>>2]=k;f[m>>2]=(f[m>>2]|0)+1;n=f[d>>2]|0;f[d>>2]=l;f[j>>2]=k;if(n|0?(k=n+4|0,d=f[k>>2]|0,f[k>>2]=d+-1,(d|0)==1):0)ai[f[(f[n>>2]|0)+8>>2]&2047](n);n=f[m>>2]|0;f[m>>2]=n+-1;if((n|0)==1)ai[f[(f[l>>2]|0)+8>>2]&2047](l)}l=a+364|0;n=a+368|0;if(!(f[n>>2]|0)){m=Bmc(12)|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;d=Bmc(16)|0;k=d+4|0;f[k>>2]=1;f[d>>2]=107464;f[d+8>>2]=m;f[k>>2]=(f[k>>2]|0)+1;o=f[l>>2]|0;f[l>>2]=d;f[n>>2]=m;if(o|0?(m=o+4|0,n=f[m>>2]|0,f[m>>2]=n+-1,(n|0)==1):0)ai[f[(f[o>>2]|0)+8>>2]&2047](o);o=f[k>>2]|0;f[k>>2]=o+-1;if((o|0)==1)ai[f[(f[d>>2]|0)+8>>2]&2047](d)}d=a+372|0;o=a+376|0;if(!(f[o>>2]|0)){k=Bmc(12)|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;n=Bmc(16)|0;m=n+4|0;f[m>>2]=1;f[n>>2]=107464;f[n+8>>2]=k;f[m>>2]=(f[m>>2]|0)+1;l=f[d>>2]|0;f[d>>2]=n;f[o>>2]=k;if(l|0?(k=l+4|0,o=f[k>>2]|0,f[k>>2]=o+-1,(o|0)==1):0)ai[f[(f[l>>2]|0)+8>>2]&2047](l);l=f[m>>2]|0;f[m>>2]=l+-1;if((l|0)==1)ai[f[(f[n>>2]|0)+8>>2]&2047](n)}n=f[j>>2]|0;l=n+4|0;m=f[l>>2]|0;o=f[n>>2]|0;k=m-o>>6;d=o;o=m;if(g>>>0<=k>>>0){if(g>>>0<k>>>0?(m=d+(g<<6)|0,(o|0)!=(m|0)):0)f[l>>2]=o+(~((o+-64-m|0)>>>6)<<6)}else cva(n,g-k|0);S_(h,f[c>>2]|0,f[c+4>>2]|0,0);c=a+380|0;b[c>>0]=0;k=f[j>>2]|0;f[a+16>>2]=0;f[a+20>>2]=0;j=a+252|0;n=a+276|0;m=f[n>>2]|0;if(m|0?(o=m+8|0,m=f[o>>2]|0,f[o>>2]=m+-1,(m|0)==1):0)vN(j);j=a+256|0;if((f[j>>2]|0)>0){m=f[a+284>>2]|0;o=0;do{f[m+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[j>>2]|0))}f[n>>2]=0;n=h+20|0;j=i+4|0;o=0;do{m=(f[k>>2]|0)+(o<<6)|0;l=f[n>>2]|0;f[i>>2]=f[h>>2];f[j>>2]=l;dva(m,i)|0;if(b[(f[k>>2]|0)+(o<<6)>>0]|0)b[c>>0]=1;o=o+1|0;U_(h)|0}while((o|0)!=(g|0));f[a+40>>2]=b[c>>0]|0?3:2;c=(f[a+8>>2]|0)+-2|0;g=(f[a+12>>2]|0)+-2|0;f[a+408>>2]=1;f[a+412>>2]=1;f[a+416>>2]=c;f[a+420>>2]=g;g=a+24|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;u=e;return 1}function Qua(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0;d=Bmc(436)|0;e=d+8|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[d+44>>2]=1124007936;e=d+52|0;g=d+84|0;h=d+48|0;i=h+36|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));f[g>>2]=e;e=d+92|0;f[d+88>>2]=e;f[e>>2]=0;f[d+96>>2]=0;f[d+100>>2]=1124007936;e=d+108|0;g=d+140|0;h=d+104|0;i=h+36|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));f[g>>2]=e;e=d+148|0;f[d+144>>2]=e;f[e>>2]=0;f[d+152>>2]=0;f[d+156>>2]=1124007936;e=d+160|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[d+188>>2]=d+164;e=d+196|0;f[d+192>>2]=e;f[d+200>>2]=0;f[e>>2]=0;f[d+204>>2]=1124007936;e=d+208|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[d+236>>2]=d+212;e=d+244|0;f[d+240>>2]=e;f[d+248>>2]=0;f[e>>2]=0;f[d+252>>2]=1124007936;e=d+256|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[d+284>>2]=d+260;e=d+292|0;f[d+288>>2]=e;f[d+296>>2]=0;f[e>>2]=0;f[d+300>>2]=1124007936;e=d+304|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[d+332>>2]=d+308;e=d+340|0;f[d+336>>2]=e;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[d>>2]=107324;e=d+356|0;g=d+24|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;h=d+392|0;i=h+40|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));f[g>>2]=4;f[d+28>>2]=2;f[d+32>>2]=0;f[d+36>>2]=0;f[d+40>>2]=0;f[d+384>>2]=0;f[d+388>>2]=0;n[d+432>>2]=0.0;g=d+380|0;b[g>>0]=0;h=Bmc(16)|0;i=h+4|0;f[i>>2]=1;f[h>>2]=107424;f[h+8>>2]=d;j=h;k=d;$ua(d,c)|0;l=f[c+356>>2]|0;m=f[c+360>>2]|0;if(l|0){o=l+4|0;f[o>>2]=(f[o>>2]|0)+1}o=f[e>>2]|0;f[e>>2]=l;f[d+360>>2]=m;if(o|0?(m=o+4|0,l=f[m>>2]|0,f[m>>2]=l+-1,(l|0)==1):0)ai[f[(f[o>>2]|0)+8>>2]&2047](o);o=d+364|0;l=f[c+364>>2]|0;m=f[c+368>>2]|0;if(l|0){e=l+4|0;f[e>>2]=(f[e>>2]|0)+1}e=f[o>>2]|0;f[o>>2]=l;f[d+368>>2]=m;if(e|0?(m=e+4|0,l=f[m>>2]|0,f[m>>2]=l+-1,(l|0)==1):0)ai[f[(f[e>>2]|0)+8>>2]&2047](e);e=d+372|0;l=f[c+372>>2]|0;m=f[c+376>>2]|0;if(l|0){o=l+4|0;f[o>>2]=(f[o>>2]|0)+1}o=f[e>>2]|0;f[e>>2]=l;f[d+376>>2]=m;if(o|0?(m=o+4|0,l=f[m>>2]|0,f[m>>2]=l+-1,(l|0)==1):0)ai[f[(f[o>>2]|0)+8>>2]&2047](o);o=c+380|0;f[g>>2]=f[o>>2];f[g+4>>2]=f[o+4>>2];f[g+8>>2]=f[o+8>>2];f[g+12>>2]=f[o+12>>2];f[g+16>>2]=f[o+16>>2];f[g+20>>2]=f[o+20>>2];f[g+24>>2]=f[o+24>>2];f[d+408>>2]=f[c+408>>2];f[d+412>>2]=f[c+412>>2];f[d+416>>2]=f[c+416>>2];f[d+420>>2]=f[c+420>>2];o=d+424|0;d=c+424|0;f[o>>2]=f[d>>2];f[o+4>>2]=f[d+4>>2];f[o+8>>2]=f[d+8>>2];f[a>>2]=j;f[a+4>>2]=k;f[i>>2]=(f[i>>2]|0)+1;k=f[i>>2]|0;f[i>>2]=k+-1;if((k|0)!=1)return;ai[f[(f[h>>2]|0)+8>>2]&2047](h);return}function Rua(a){a=a|0;return 0}function Sua(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0.0,k=0.0,l=0.0;d=_ua(a,c)|0;c=f[b>>2]|0;if((c|0)<0){e=0;return e|0}g=f[b+4>>2]|0;if((g|0)<0){e=0;return e|0}if(((f[a+8>>2]|0)+c|0)>=(f[d+4>>2]|0)){e=0;return e|0}if(((f[a+12>>2]|0)+g|0)>=(f[d+8>>2]|0)){e=0;return e|0}b=(f[a+60>>2]|0)+(Y(f[f[a+88>>2]>>2]|0,g)|0)+(c<<2)|0;c=b+(f[d+12>>2]<<2)|0;f[a+424>>2]=c;d=c+(f[a+388>>2]<<2)|0;b=f[a+392>>2]|0;g=f[a+396>>2]|0;h=f[a+400>>2]|0;i=f[a+404>>2]|0;j=+(Y(f[a+420>>2]|0,f[a+416>>2]|0)|0);k=+((f[c+(b<<2)>>2]|0)-(f[c+(g<<2)>>2]|0)-(f[c+(h<<2)>>2]|0)+(f[c+(i<<2)>>2]|0)|0);l=+(((f[d+(b<<2)>>2]|0)-(f[d+(g<<2)>>2]|0)-(f[d+(h<<2)>>2]|0)+(f[d+(i<<2)>>2]|0)|0)>>>0)*j-k*k;if(l>0.0){k=1.0/+M(+l);n[a+432>>2]=k;e=j*k<.1;return e|0}else{n[a+432>>2]=1.0;e=0;return e|0}return 0}function Tua(a,b){a=a|0;b=b|0;return +(+Zua(a,b))}function Uua(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;e=u;u=u+256|0;g=e+240|0;i=e+184|0;j=e+128|0;k=e+72|0;l=e+56|0;m=e+24|0;n=e;o=e+48|0;p=e+40|0;q=e+16|0;zT(g,107396);r=f[a+352>>2]|0;s=f[r>>2]|0;if((((f[r+4>>2]|0)-s|0)/20|0)>>>0<=c>>>0)Vkc(r);r=s;s=a+380|0;t=a+16|0;v=(Y(f[a+20>>2]|0,f[t>>2]|0)|0)<<h[s>>0];w=a+388|0;f[w>>2]=v;if((pD(d)|0)!=655360){v=r+(c*20|0)+4|0;f[o>>2]=f[v>>2];x=r+(c*20|0)+8|0;f[o+4>>2]=f[x>>2];y=a+92|0;mD(i,o,4,(f[a+60>>2]|0)+(f[r+(c*20|0)+12>>2]<<2)|0,f[y>>2]|0);f[p>>2]=f[v>>2];f[p+4>>2]=f[x>>2];o=i+16|0;z=i+44|0;mD(j,p,4,(f[o>>2]|0)+(f[w>>2]<<2)|0,f[y>>2]|0);if(b[s>>0]|0){f[q>>2]=f[v>>2];f[q+4>>2]=f[x>>2];mD(k,q,4,(f[o>>2]|0)+(f[a+384>>2]<<2)|0,f[y>>2]|0);y=l+8|0;f[y>>2]=0;f[y+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=i;y=m+8|0;f[y>>2]=0;f[y+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=j;y=n+8|0;f[y>>2]=0;f[y+4>>2]=0;f[n>>2]=33619968;f[n+4>>2]=k;S6(d,l,m,n,4,4);y=k+36|0;q=f[y>>2]|0;if(q|0?(x=q+12|0,q=f[x>>2]|0,f[x>>2]=q+-1,(q|0)==1):0)lP(k);f[y>>2]=0;y=k+16|0;q=k+4|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[q>>2]|0)>0){y=f[k+40>>2]|0;x=0;do{f[y+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[q>>2]|0))}q=f[k+44>>2]|0;if((q|0)!=(k+48|0))tE(q)}else{q=k+8|0;f[q>>2]=0;f[q+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=i;q=l+8|0;f[q>>2]=0;f[q+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=j;S6(d,k,l,rE()|0,4,4)}q=j+36|0;x=f[q>>2]|0;if(x|0?(y=x+12|0,x=f[y>>2]|0,f[y>>2]=x+-1,(x|0)==1):0)lP(j);f[q>>2]=0;q=j+16|0;x=j+4|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[x>>2]|0)>0){q=f[j+40>>2]|0;y=0;do{f[q+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[x>>2]|0))}x=f[j+44>>2]|0;if((x|0)!=(j+48|0))tE(x);x=i+36|0;y=f[x>>2]|0;if(y|0?(q=y+12|0,y=f[q>>2]|0,f[q>>2]=y+-1,(y|0)==1):0)lP(i);f[x>>2]=0;x=i+4|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[x>>2]|0)>0){o=f[i+40>>2]|0;y=0;do{f[o+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[x>>2]|0))}x=f[z>>2]|0;if((x|0)!=(i+48|0))tE(x)}else{x=f[r+(c*20|0)+12>>2]|0;z=f[t>>2]|0;y=(x|0)%(z|0)|0;o=(x|0)/(z|0)|0;x=f[w>>2]|0;w=a+204|0;q=r+(c*20|0)+4|0;v=f[q>>2]|0;p=r+(c*20|0)+8|0;c=f[p>>2]|0;f[j>>2]=y;f[j+4>>2]=o;f[j+8>>2]=v;f[j+12>>2]=c;qN(i,w,j);c=f[q>>2]|0;v=f[p>>2]|0;f[k>>2]=y;f[k+4>>2]=((x|0)/(z|0)|0)+o;f[k+8>>2]=c;f[k+12>>2]=v;qN(j,w,k);f[j>>2]=f[j>>2]&-8|4;if(!(b[s>>0]|0)){s=j+24|0;v=f[s>>2]|0;c=k+8|0;f[c>>2]=0;f[c+4>>2]=0;f[k>>2]=34209792;f[k+4>>2]=i;c=l+8|0;f[c>>2]=0;f[c+4>>2]=0;f[l>>2]=34209792;f[l+4>>2]=j;S6(d,k,l,rE()|0,4,4);if((f[s>>2]|0)!=(v|0)){f[k>>2]=0;A=k+4|0;f[A>>2]=0;B=YG(k,61)|0;C=B;D=374274;E=C+61|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,k,374336,374120,659)}v=f[j+32>>2]|0;if(!((f[v>>2]|0)==(f[p>>2]|0)?(f[v+4>>2]|0)==(f[q>>2]|0):0)){f[k>>2]=0;A=k+4|0;f[A>>2]=0;B=YG(k,61)|0;C=B;D=374274;E=C+61|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,k,374336,374120,659)}if((f[j>>2]&4095|0)!=4){f[k>>2]=0;A=k+4|0;f[A>>2]=0;B=YG(k,61)|0;C=B;D=374274;E=C+61|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,k,374336,374120,659)}}else{D=((f[a+384>>2]|0)/(f[t>>2]|0)|0)+o|0;o=f[q>>2]|0;q=f[p>>2]|0;f[l>>2]=y;f[l+4>>2]=D;f[l+8>>2]=o;f[l+12>>2]=q;qN(k,w,l);w=l+8|0;f[w>>2]=0;f[w+4>>2]=0;f[l>>2]=34209792;f[l+4>>2]=i;w=m+8|0;f[w>>2]=0;f[w+4>>2]=0;f[m>>2]=34209792;f[m+4>>2]=j;w=n+8|0;f[w>>2]=0;f[w+4>>2]=0;f[n>>2]=34209792;f[n+4>>2]=k;S6(d,l,m,n,4,4);uN(k)}uN(j);uN(i)}if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function Vua(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;c=u;u=u+16|0;d=c;zT(d,107376);e=f[a+16>>2]|0;if(b[a+380>>0]|0){g=Y(f[a+20>>2]|0,e)|0;f[a+384>>2]=g}g=f[a+408>>2]|0;h=f[a+412>>2]|0;i=Y(h,e)|0;f[a+392>>2]=i+g;j=(f[a+416>>2]|0)+g|0;f[a+396>>2]=j+i;i=Y((f[a+420>>2]|0)+h|0,e)|0;f[a+400>>2]=i+g;f[a+404>>2]=j+i;i=f[a+360>>2]|0;j=(f[i+4>>2]|0)-(f[i>>2]|0)>>6;g=a+368|0;h=f[g>>2]|0;k=h+4|0;l=f[k>>2]|0;m=f[h>>2]|0;n=l-m>>6;o=m;m=l;if(j>>>0<=n>>>0){if(j>>>0<n>>>0?(l=o+(j<<6)|0,(m|0)!=(l|0)):0)f[k>>2]=m+(~((m+-64-l|0)>>>6)<<6);l=f[h>>2]|0;m=a+428|0;f[m>>2]=l;if(!j)p=1;else{q=l;r=m;s=9}}else{Wua(h,j-n|0);n=f[f[g>>2]>>2]|0;g=a+428|0;f[g>>2]=n;q=n;r=g;s=9}if((s|0)==9){s=a+384|0;Xua(q,f[i>>2]|0,e,f[s>>2]|0);if((j|0)==1)p=0;else{q=1;do{Xua((f[r>>2]|0)+(q<<6)|0,(f[i>>2]|0)+(q<<6)|0,e,f[s>>2]|0);q=q+1|0}while((q|0)!=(j|0));p=0}}q=a+376|0;s=f[q>>2]|0;r=s+4|0;g=f[r>>2]|0;n=f[s>>2]|0;h=g-n>>6;m=n;n=g;if(j>>>0<=h>>>0)if(j>>>0<h>>>0?(g=m+(j<<6)|0,(n|0)!=(g|0)):0){f[r>>2]=n+(~((n+-64-g|0)>>>6)<<6);t=s}else t=s;else{Wua(s,j-h|0);t=f[q>>2]|0}a:do if(p)v=t;else{h=a+32|0;s=a+384|0;g=0;n=t;while(1){r=f[n>>2]|0;if((f[n+4>>2]|0)-r>>6>>>0<=g>>>0)break;m=f[h>>2]|0;Xua(r+(g<<6)|0,(f[i>>2]|0)+(g<<6)|0,(m|0)>0?m:e,f[s>>2]|0);g=g+1|0;m=f[q>>2]|0;if(g>>>0>=j>>>0){v=m;break a}else n=m}Vkc(n)}while(0);Yua(v,a+252|0);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function Wua(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>6>>>0>=b>>>0){h=b;i=g;do{j=i;k=j+60|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));i=(f[e>>2]|0)+64|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>6;g=i+b|0;if(g>>>0>67108863)Ukc(a);l=d-h|0;h=l>>5;d=l>>6>>>0<33554431?(h>>>0<g>>>0?g:h):67108863;do if(d)if(d>>>0>67108863){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{m=Bmc(d<<6)|0;break}else m=0;while(0);h=m+(i<<6)|0;i=m+(d<<6)|0;d=b;b=h;m=h;do{j=b;k=j+60|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));b=m+64|0;m=b;d=d+-1|0}while((d|0)!=0);d=f[a>>2]|0;b=(f[e>>2]|0)-d|0;j=h+(0-(b>>6)<<6)|0;if((b|0)>0)Krc(j|0,d|0,b|0)|0;f[a>>2]=j;f[e>>2]=m;f[c>>2]=i;if(!d)return;Emc(d);return}function Xua(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;f[a+48>>2]=f[c+20>>2];g=c+24|0;f[a+52>>2]=f[c+40>>2];h=c+44|0;f[a+56>>2]=f[c+60>>2];i=c+4|0;j=f[i>>2]|0;if(!(b[c>>0]|0)){k=c+8|0;l=(Y(f[k>>2]|0,d)|0)+j|0;f[a>>2]=l;l=c+12|0;m=(f[l>>2]|0)+(f[i>>2]|0)+(Y(f[k>>2]|0,d)|0)|0;f[a+4>>2]=m;m=c+16|0;n=(Y((f[m>>2]|0)+(f[k>>2]|0)|0,d)|0)+(f[i>>2]|0)|0;f[a+8>>2]=n;n=(f[l>>2]|0)+(f[i>>2]|0)+(Y((f[m>>2]|0)+(f[k>>2]|0)|0,d)|0)|0;f[a+12>>2]=n;n=c+28|0;k=(Y(f[n>>2]|0,d)|0)+(f[g>>2]|0)|0;f[a+16>>2]=k;k=c+32|0;m=(f[k>>2]|0)+(f[g>>2]|0)+(Y(f[n>>2]|0,d)|0)|0;f[a+20>>2]=m;m=c+36|0;l=(Y((f[m>>2]|0)+(f[n>>2]|0)|0,d)|0)+(f[g>>2]|0)|0;f[a+24>>2]=l;l=(f[k>>2]|0)+(f[g>>2]|0)+(Y((f[m>>2]|0)+(f[n>>2]|0)|0,d)|0)|0;f[a+28>>2]=l;l=c+48|0;n=(Y(f[l>>2]|0,d)|0)+(f[h>>2]|0)|0;f[a+32>>2]=n;n=c+52|0;m=(f[n>>2]|0)+(f[h>>2]|0)+(Y(f[l>>2]|0,d)|0)|0;f[a+36>>2]=m;m=c+56|0;k=(Y((f[m>>2]|0)+(f[l>>2]|0)|0,d)|0)+(f[h>>2]|0)|0;f[a+40>>2]=k;o=(f[n>>2]|0)+(f[h>>2]|0)|0;p=f[l>>2]|0;q=f[m>>2]|0;r=q+p|0;s=Y(r,d)|0;t=s+o|0;u=a+44|0;f[u>>2]=t;return}else{m=c+8|0;l=j+e+(Y(f[m>>2]|0,d)|0)|0;f[a>>2]=l;l=c+16|0;j=f[l>>2]|0;n=(f[i>>2]|0)+e-j+(Y((f[m>>2]|0)+j|0,d)|0)|0;f[a+4>>2]=n;n=c+12|0;j=f[n>>2]|0;k=(f[i>>2]|0)+e+j+(Y((f[m>>2]|0)+j|0,d)|0)|0;f[a+8>>2]=k;k=f[n>>2]|0;n=f[l>>2]|0;l=(f[i>>2]|0)+e+k-n+(Y(n+k+(f[m>>2]|0)|0,d)|0)|0;f[a+12>>2]=l;l=c+28|0;m=(f[g>>2]|0)+e+(Y(f[l>>2]|0,d)|0)|0;f[a+16>>2]=m;m=c+36|0;k=f[m>>2]|0;n=(f[g>>2]|0)+e-k+(Y((f[l>>2]|0)+k|0,d)|0)|0;f[a+20>>2]=n;n=c+32|0;k=f[n>>2]|0;i=(f[g>>2]|0)+e+k+(Y((f[l>>2]|0)+k|0,d)|0)|0;f[a+24>>2]=i;i=f[n>>2]|0;n=f[m>>2]|0;m=(f[g>>2]|0)+e+i-n+(Y(n+i+(f[l>>2]|0)|0,d)|0)|0;f[a+28>>2]=m;m=c+48|0;l=(f[h>>2]|0)+e+(Y(f[m>>2]|0,d)|0)|0;f[a+32>>2]=l;l=c+56|0;i=f[l>>2]|0;n=(f[h>>2]|0)+e-i+(Y((f[m>>2]|0)+i|0,d)|0)|0;f[a+36>>2]=n;n=c+52|0;c=f[n>>2]|0;i=(f[h>>2]|0)+e+c+(Y((f[m>>2]|0)+c|0,d)|0)|0;f[a+40>>2]=i;i=f[n>>2]|0;n=f[l>>2]|0;o=(f[h>>2]|0)+e+i-n|0;p=(f[m>>2]|0)+i|0;q=n;r=q+p|0;s=Y(r,d)|0;t=s+o|0;u=a+44|0;f[u>>2]=t;return}}function Yua(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=u;u=u+80|0;d=c;e=c+56|0;g=f[a>>2]|0;h=a+4|0;i=f[h>>2]|0;if((g|0)==(i|0)){j=b+24|0;k=f[j>>2]|0;if(k|0?(l=k+8|0,k=f[l>>2]|0,f[l>>2]=k+-1,(k|0)==1):0)vN(b);k=b+4|0;if((f[k>>2]|0)>0){l=f[b+32>>2]|0;m=0;do{f[l+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[k>>2]|0))}f[j>>2]=0;n=f[a>>2]|0;o=f[h>>2]|0}else{n=g;o=i}Ri(d,1,o-n|0,0,n,0);n=e+8|0;f[n>>2]=0;f[n+4>>2]=0;f[e>>2]=34209792;f[e+4>>2]=b;kT(d,e);e=d+36|0;b=f[e>>2]|0;if(b|0?(n=b+12|0,b=f[n>>2]|0,f[n>>2]=b+-1,(b|0)==1):0)lP(d);f[e>>2]=0;e=d+16|0;b=d+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[b>>2]|0)>0){e=f[d+40>>2]|0;n=0;do{f[e+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[b>>2]|0))}b=f[d+44>>2]|0;if((b|0)==(d+48|0)){u=c;return}tE(b);u=c;return}function Zua(a,b){a=a|0;b=b|0;var c=0,d=0,e=0.0,g=0.0,h=0.0,i=0,j=0.0,k=0.0;c=f[a+428>>2]|0;d=f[a+424>>2]|0;e=+n[c+(b<<6)+48>>2]*+((f[d+(f[c+(b<<6)>>2]<<2)>>2]|0)-(f[d+(f[c+(b<<6)+4>>2]<<2)>>2]|0)-(f[d+(f[c+(b<<6)+8>>2]<<2)>>2]|0)+(f[d+(f[c+(b<<6)+12>>2]<<2)>>2]|0)|0)+ +n[c+(b<<6)+52>>2]*+((f[d+(f[c+(b<<6)+16>>2]<<2)>>2]|0)-(f[d+(f[c+(b<<6)+20>>2]<<2)>>2]|0)-(f[d+(f[c+(b<<6)+24>>2]<<2)>>2]|0)+(f[d+(f[c+(b<<6)+28>>2]<<2)>>2]|0)|0);g=+n[c+(b<<6)+56>>2];if(!(g!=0.0)){h=e;i=a+432|0;j=+n[i>>2];k=h*j;return +k}h=e+g*+((f[d+(f[c+(b<<6)+32>>2]<<2)>>2]|0)-(f[d+(f[c+(b<<6)+36>>2]<<2)>>2]|0)-(f[d+(f[c+(b<<6)+40>>2]<<2)>>2]|0)+(f[d+(f[c+(b<<6)+44>>2]<<2)>>2]|0)|0);i=a+432|0;j=+n[i>>2];k=h*j;return +k}function _ua(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;if((c|0)>-1?(g=f[a+352>>2]|0,a=f[g>>2]|0,h=((f[g+4>>2]|0)-a|0)/20|0,(h|0)>(c|0)):0)if(h>>>0>c>>>0){u=d;return a+(c*20|0)|0}else Vkc(g);f[e>>2]=0;f[e+4>>2]=0;g=YG(e,50)|0;c=374417;a=g+50|0;do{b[g>>0]=b[c>>0]|0;g=g+1|0;c=c+1|0}while((g|0)<(a|0));SQ(-215,e,374468,374481,46);return 0}function $ua(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;f[a+4>>2]=f[b+4>>2];f[a+8>>2]=f[b+8>>2];f[a+12>>2]=f[b+12>>2];f[a+16>>2]=f[b+16>>2];f[a+20>>2]=f[b+20>>2];f[a+24>>2]=f[b+24>>2];f[a+28>>2]=f[b+28>>2];f[a+32>>2]=f[b+32>>2];f[a+36>>2]=f[b+36>>2];f[a+40>>2]=f[b+40>>2];c=a+44|0;d=b+44|0;e=(a|0)==(b|0);do if(!e){g=b+80|0;h=f[g>>2]|0;if(h|0){i=h+12|0;f[i>>2]=(f[i>>2]|0)+1}i=a+80|0;h=f[i>>2]|0;if(h|0?(j=h+12|0,h=f[j>>2]|0,f[j>>2]=h+-1,(h|0)==1):0)lP(c);f[i>>2]=0;h=a+60|0;j=a+48|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[j>>2]|0)>0){k=f[a+84>>2]|0;l=0;do{f[k+(l<<2)>>2]=0;l=l+1|0;m=f[j>>2]|0}while((l|0)<(m|0));f[c>>2]=f[d>>2];if((m|0)<3)n=12;else n=14}else{f[c>>2]=f[d>>2];n=12}if((n|0)==12){l=f[b+48>>2]|0;if((l|0)<3){f[j>>2]=l;f[a+52>>2]=f[b+52>>2];f[a+56>>2]=f[b+56>>2];l=f[b+88>>2]|0;k=f[a+88>>2]|0;f[k>>2]=f[l>>2];f[k+4>>2]=f[l+4>>2]}else n=14}if((n|0)==14)kP(c,d);f[h>>2]=f[b+60>>2];f[a+64>>2]=f[b+64>>2];f[a+68>>2]=f[b+68>>2];f[a+72>>2]=f[b+72>>2];f[a+76>>2]=f[b+76>>2];f[i>>2]=f[g>>2];l=a+100|0;k=b+100|0;if(!e){o=b+136|0;p=f[o>>2]|0;if(p|0){q=p+12|0;f[q>>2]=(f[q>>2]|0)+1}q=a+136|0;p=f[q>>2]|0;if(p|0?(r=p+12|0,p=f[r>>2]|0,f[r>>2]=p+-1,(p|0)==1):0)lP(l);f[q>>2]=0;p=a+116|0;r=a+104|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[r>>2]|0)>0){s=f[a+140>>2]|0;t=0;do{f[s+(t<<2)>>2]=0;t=t+1|0;u=f[r>>2]|0}while((t|0)<(u|0));f[l>>2]=f[k>>2];if((u|0)<3)n=26;else n=28}else{f[l>>2]=f[k>>2];n=26}if((n|0)==26){t=f[b+104>>2]|0;if((t|0)<3){f[r>>2]=t;f[a+108>>2]=f[b+108>>2];f[a+112>>2]=f[b+112>>2];t=f[b+144>>2]|0;s=f[a+144>>2]|0;f[s>>2]=f[t>>2];f[s+4>>2]=f[t+4>>2]}else n=28}if((n|0)==28)kP(l,k);f[p>>2]=f[b+116>>2];f[a+120>>2]=f[b+120>>2];f[a+124>>2]=f[b+124>>2];f[a+128>>2]=f[b+128>>2];f[a+132>>2]=f[b+132>>2];f[q>>2]=f[o>>2];t=a+156|0;s=b+156|0;if(!e){g=b+180|0;i=f[g>>2]|0;if(i|0){h=i+8|0;f[h>>2]=(f[h>>2]|0)+1}h=a+180|0;i=f[h>>2]|0;if(i|0?(j=i+8|0,i=f[j>>2]|0,f[j>>2]=i+-1,(i|0)==1):0)vN(t);i=a+160|0;if((f[i>>2]|0)>0){j=f[a+188>>2]|0;v=0;do{f[j+(v<<2)>>2]=0;v=v+1|0;w=f[i>>2]|0}while((v|0)<(w|0));f[h>>2]=0;f[t>>2]=f[s>>2];if((w|0)<3)n=40;else n=42}else{f[h>>2]=0;f[t>>2]=f[s>>2];n=40}if((n|0)==40){v=f[b+160>>2]|0;if((v|0)<3){f[i>>2]=v;f[a+164>>2]=f[b+164>>2];f[a+168>>2]=f[b+168>>2];v=f[b+192>>2]|0;j=f[a+192>>2]|0;f[j>>2]=f[v>>2];f[j+4>>2]=f[v+4>>2]}else n=42}if((n|0)==42)tN(t,s);f[a+172>>2]=f[b+172>>2];v=a+176|0;if(!(f[v>>2]|0))f[v>>2]=f[b+176>>2];f[h>>2]=f[g>>2];f[a+184>>2]=f[b+184>>2];v=a+204|0;j=b+204|0;if(!e){o=b+228|0;q=f[o>>2]|0;if(q|0){p=q+8|0;f[p>>2]=(f[p>>2]|0)+1}p=a+228|0;q=f[p>>2]|0;if(q|0?(k=q+8|0,q=f[k>>2]|0,f[k>>2]=q+-1,(q|0)==1):0)vN(v);q=a+208|0;if((f[q>>2]|0)>0){k=f[a+236>>2]|0;l=0;do{f[k+(l<<2)>>2]=0;l=l+1|0;x=f[q>>2]|0}while((l|0)<(x|0));f[p>>2]=0;f[v>>2]=f[j>>2];if((x|0)<3)n=56;else n=58}else{f[p>>2]=0;f[v>>2]=f[j>>2];n=56}if((n|0)==56){l=f[b+208>>2]|0;if((l|0)<3){f[q>>2]=l;f[a+212>>2]=f[b+212>>2];f[a+216>>2]=f[b+216>>2];l=f[b+240>>2]|0;k=f[a+240>>2]|0;f[k>>2]=f[l>>2];f[k+4>>2]=f[l+4>>2]}else n=58}if((n|0)==58)tN(v,j);f[a+220>>2]=f[b+220>>2];l=a+224|0;if(!(f[l>>2]|0))f[l>>2]=f[b+224>>2];f[p>>2]=f[o>>2];f[a+232>>2]=f[b+232>>2];l=a+252|0;k=b+252|0;if(!e){g=b+276|0;h=f[g>>2]|0;if(h|0){s=h+8|0;f[s>>2]=(f[s>>2]|0)+1}s=a+276|0;h=f[s>>2]|0;do if(h|0){t=h+8|0;i=f[t>>2]|0;f[t>>2]=i+-1;if((i|0)!=1)break;vN(l)}while(0);h=a+256|0;if((f[h>>2]|0)>0){o=f[a+284>>2]|0;p=0;do{f[o+(p<<2)>>2]=0;p=p+1|0;y=f[h>>2]|0}while((p|0)<(y|0));f[s>>2]=0;f[l>>2]=f[k>>2];if((y|0)<3)n=72;else n=74}else{f[s>>2]=0;f[l>>2]=f[k>>2];n=72}do if((n|0)==72){p=f[b+256>>2]|0;if((p|0)>=3){n=74;break}f[h>>2]=p;f[a+260>>2]=f[b+260>>2];f[a+264>>2]=f[b+264>>2];p=f[b+288>>2]|0;o=f[a+288>>2]|0;f[o>>2]=f[p>>2];f[o+4>>2]=f[p+4>>2]}while(0);if((n|0)==74)tN(l,k);f[a+268>>2]=f[b+268>>2];h=a+272|0;if(!(f[h>>2]|0))f[h>>2]=f[b+272>>2];f[s>>2]=f[g>>2];f[a+280>>2]=f[b+280>>2];h=a+300|0;p=b+300|0;if(e)break;o=b+324|0;j=f[o>>2]|0;if(j|0){v=j+8|0;f[v>>2]=(f[v>>2]|0)+1}v=a+324|0;j=f[v>>2]|0;do if(j|0){q=j+8|0;i=f[q>>2]|0;f[q>>2]=i+-1;if((i|0)!=1)break;vN(h)}while(0);j=a+304|0;if((f[j>>2]|0)>0){g=f[a+332>>2]|0;s=0;do{f[g+(s<<2)>>2]=0;s=s+1|0;z=f[j>>2]|0}while((s|0)<(z|0));f[v>>2]=0;f[h>>2]=f[p>>2];if((z|0)<3)n=88;else n=90}else{f[v>>2]=0;f[h>>2]=f[p>>2];n=88}do if((n|0)==88){s=f[b+304>>2]|0;if((s|0)>=3){n=90;break}f[j>>2]=s;f[a+308>>2]=f[b+308>>2];f[a+312>>2]=f[b+312>>2];s=f[b+336>>2]|0;g=f[a+336>>2]|0;f[g>>2]=f[s>>2];f[g+4>>2]=f[s+4>>2]}while(0);if((n|0)==90)tN(h,p);f[a+316>>2]=f[b+316>>2];j=a+320|0;if(!(f[j>>2]|0))f[j>>2]=f[b+320>>2];f[v>>2]=f[o>>2];f[a+328>>2]=f[b+328>>2]}}}}}while(0);n=a+348|0;z=f[b+348>>2]|0;e=f[b+352>>2]|0;if(z|0){b=z+4|0;f[b>>2]=(f[b>>2]|0)+1}b=f[n>>2]|0;f[n>>2]=z;f[a+352>>2]=e;if(!b)return a|0;e=b+4|0;z=f[e>>2]|0;f[e>>2]=z+-1;if((z|0)!=1)return a|0;ai[f[(f[b>>2]|0)+8>>2]&2047](b);return a|0}function ava(a){a=a|0;Emc(a);return}function bva(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function cva(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=a+8|0;e=f[d>>2]|0;g=a+4|0;h=f[g>>2]|0;if(e-h>>6>>>0>=c>>>0){i=c;j=h;do{b[j>>0]=0;k=j+4|0;l=k+60|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));j=(f[g>>2]|0)+64|0;f[g>>2]=j;i=i+-1|0}while((i|0)!=0);return}i=f[a>>2]|0;j=h-i>>6;h=j+c|0;if(h>>>0>67108863)Ukc(a);m=e-i|0;i=m>>5;e=m>>6>>>0<33554431?(i>>>0<h>>>0?h:i):67108863;do if(e)if(e>>>0>67108863){i=ye(8)|0;Jmc(i,511852);f[i>>2]=165276;Gf(i|0,26776,1555)}else{n=Bmc(e<<6)|0;break}else n=0;while(0);i=n+(j<<6)|0;j=i;h=n+(e<<6)|0;e=c;c=j;n=i;do{b[n>>0]=0;k=n+4|0;l=k+60|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));n=c+64|0;c=n;e=e+-1|0}while((e|0)!=0);e=h;h=f[a>>2]|0;n=f[g>>2]|0;k=h;if((n|0)==(h|0)){o=j;p=k}else{j=n+-64-k|0;k=n;n=i;while(1){l=k;k=k+-64|0;b[n+-64>>0]=b[k>>0]|0;f[n+-60>>2]=f[l+-60>>2];f[n+-56>>2]=f[l+-56>>2];f[n+-52>>2]=f[l+-52>>2];f[n+-48>>2]=f[l+-48>>2];f[n+-44>>2]=f[l+-44>>2];f[n+-40>>2]=f[l+-40>>2];f[n+-36>>2]=f[l+-36>>2];f[n+-32>>2]=f[l+-32>>2];f[n+-28>>2]=f[l+-28>>2];f[n+-24>>2]=f[l+-24>>2];f[n+-20>>2]=f[l+-20>>2];f[n+-16>>2]=f[l+-16>>2];f[n+-12>>2]=f[l+-12>>2];f[n+-8>>2]=f[l+-8>>2];f[n+-4>>2]=f[l+-4>>2];if((k|0)==(h|0))break;else n=n+-64|0}o=i+(~(j>>>6)<<6)|0;p=f[a>>2]|0}f[a>>2]=o;f[g>>2]=c;f[d>>2]=e;if(!p)return;Emc(p);return}function dva(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;d=u;u=u+160|0;e=d+152|0;g=d+136|0;h=d+88|0;i=d+44|0;j=d;k=d+144|0;R_(g,c,378364);l=g+4|0;S_(h,f[g>>2]|0,f[l>>2]|0,0);m=f[g>>2]|0;n=f[l>>2]|0;S_(i,m,n,T_(g)|0);g=a+4|0;n=g+60|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(n|0));g=h+40|0;n=h+4|0;m=i+4|0;l=h+20|0;o=i+20|0;p=i+40|0;q=j+20|0;r=e+4|0;s=e+4|0;t=e+4|0;v=e+4|0;w=e+4|0;x=0;while(1){y=f[h>>2]|0;if((((y|0)==(f[i>>2]|0)?(f[n>>2]|0)==(f[m>>2]|0):0)?(f[l>>2]|0)==(f[o>>2]|0):0)?(f[g>>2]|0)==(f[p>>2]|0):0)break;S_(j,y,f[l>>2]|0,0);y=f[q>>2]|0;f[e>>2]=f[j>>2];f[r>>2]=y;b$(e,a+4+(x*20|0)|0,0);y=U_(j)|0;z=f[j+20>>2]|0;f[e>>2]=f[j>>2];f[s>>2]=z;b$(e,a+4+(x*20|0)+4|0,0);z=U_(y)|0;y=f[j+20>>2]|0;f[e>>2]=f[j>>2];f[t>>2]=y;b$(e,a+4+(x*20|0)+8|0,0);y=U_(z)|0;z=f[j+20>>2]|0;f[e>>2]=f[j>>2];f[v>>2]=z;b$(e,a+4+(x*20|0)+12|0,0);z=U_(y)|0;y=f[j+20>>2]|0;f[e>>2]=f[j>>2];f[w>>2]=y;c$(e,a+4+(x*20|0)+16|0,0.0);U_(z)|0;U_(h)|0;x=x+1|0}R_(k,c,378370);b$(k,e,0);b[a>>0]=(f[e>>2]|0)!=0&1;u=d;return 1}function eva(a){a=a|0;Emc(a);return}function fva(a){a=a|0;var b=0,c=0,d=0,e=0;b=f[a+8>>2]|0;if(b|0){c=f[b>>2]|0;if(c|0){d=b+4|0;e=f[d>>2]|0;if((e|0)!=(c|0))f[d>>2]=e+(~((e+-64-c|0)>>>6)<<6);Emc(c)}Emc(b)}ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function gva(a){a=a|0;Emc(a);return}function hva(a){a=a|0;var b=0,c=0,d=0,e=0;b=f[a+8>>2]|0;if(b|0){c=f[b>>2]|0;if(c|0){d=b+4|0;e=f[d>>2]|0;if((e|0)!=(c|0))f[d>>2]=e+(~((e+-64-c|0)>>>6)<<6);Emc(c)}Emc(b)}ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function iva(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;f[a>>2]=107484;b=a+372|0;c=f[b>>2]|0;if(c|0?(d=c+4|0,e=f[d>>2]|0,f[d>>2]=e+-1,(e|0)==1):0)ai[f[(f[c>>2]|0)+8>>2]&2047](c);f[b>>2]=0;f[a+376>>2]=0;b=a+364|0;c=f[b>>2]|0;if(c|0?(e=c+4|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)ai[f[(f[c>>2]|0)+8>>2]&2047](c);f[b>>2]=0;f[a+368>>2]=0;b=a+356|0;c=f[b>>2]|0;if(!c){f[b>>2]=0;g=a+360|0;f[g>>2]=0;uua(a);return}d=c+4|0;e=f[d>>2]|0;f[d>>2]=e+-1;if((e|0)!=1){f[b>>2]=0;g=a+360|0;f[g>>2]=0;uua(a);return}ai[f[(f[c>>2]|0)+8>>2]&2047](c);f[b>>2]=0;g=a+360|0;f[g>>2]=0;uua(a);return}function jva(a){a=a|0;iva(a);Emc(a);return}function kva(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=u;u=u+112|0;e=d+56|0;g=d+64|0;h=d+8|0;i=d;f[e>>2]=f[c>>2];f[e+4>>2]=f[c+4>>2];wua(a,0,e)|0;e=a+356|0;c=a+360|0;if(!(f[c>>2]|0)){j=Bmc(12)|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;k=Bmc(16)|0;l=k+4|0;f[l>>2]=1;f[k>>2]=107564;f[k+8>>2]=j;f[l>>2]=(f[l>>2]|0)+1;m=f[e>>2]|0;f[e>>2]=k;f[c>>2]=j;if(m|0?(j=m+4|0,e=f[j>>2]|0,f[j>>2]=e+-1,(e|0)==1):0)ai[f[(f[m>>2]|0)+8>>2]&2047](m);m=f[l>>2]|0;f[l>>2]=m+-1;if((m|0)==1)ai[f[(f[k>>2]|0)+8>>2]&2047](k)}k=a+364|0;m=a+368|0;if(!(f[m>>2]|0)){l=Bmc(12)|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;e=Bmc(16)|0;j=e+4|0;f[j>>2]=1;f[e>>2]=107584;f[e+8>>2]=l;f[j>>2]=(f[j>>2]|0)+1;n=f[k>>2]|0;f[k>>2]=e;f[m>>2]=l;if(n|0?(l=n+4|0,m=f[l>>2]|0,f[l>>2]=m+-1,(m|0)==1):0)ai[f[(f[n>>2]|0)+8>>2]&2047](n);n=f[j>>2]|0;f[j>>2]=n+-1;if((n|0)==1)ai[f[(f[e>>2]|0)+8>>2]&2047](e)}e=a+372|0;n=a+376|0;if(!(f[n>>2]|0)){j=Bmc(12)|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;m=Bmc(16)|0;l=m+4|0;f[l>>2]=1;f[m>>2]=107584;f[m+8>>2]=j;f[l>>2]=(f[l>>2]|0)+1;k=f[e>>2]|0;f[e>>2]=m;f[n>>2]=j;if(k|0?(j=k+4|0,n=f[j>>2]|0,f[j>>2]=n+-1,(n|0)==1):0)ai[f[(f[k>>2]|0)+8>>2]&2047](k);k=f[l>>2]|0;f[l>>2]=k+-1;if((k|0)==1)ai[f[(f[m>>2]|0)+8>>2]&2047](m)}m=f[c>>2]|0;k=T_(b)|0;l=m+4|0;n=f[l>>2]|0;j=f[m>>2]|0;e=n-j>>4;o=j;j=n;if(k>>>0<=e>>>0){if(k>>>0<e>>>0?(n=o+(k<<4)|0,(j|0)!=(n|0)):0)f[l>>2]=j+(~((j+-16-n|0)>>>4)<<4)}else Ava(m,k-e|0);f[a+380>>2]=0;e=b+4|0;S_(g,f[b>>2]|0,f[e>>2]|0,0);k=f[b>>2]|0;m=f[e>>2]|0;S_(h,k,m,T_(b)|0);b=f[c>>2]|0;c=g+40|0;m=g+4|0;k=h+4|0;e=g+20|0;n=h+20|0;j=h+40|0;l=i+4|0;o=0;while(1){p=f[g>>2]|0;q=p;if((((p|0)==(f[h>>2]|0)?(f[m>>2]|0)==(f[k>>2]|0):0)?(f[e>>2]|0)==(f[n>>2]|0):0)?(f[c>>2]|0)==(f[j>>2]|0):0)break;p=(f[b>>2]|0)+(o<<4)|0;r=f[e>>2]|0;f[i>>2]=q;f[l>>2]=r;Bva(p,i)|0;U_(g)|0;o=o+1|0}f[a+40>>2]=1;o=a+24|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;u=d;return 1}function lva(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=Bmc(388)|0;tva(c);d=Bmc(16)|0;e=d+4|0;f[e>>2]=1;f[d>>2]=107544;f[d+8>>2]=c;g=d;h=c;$ua(c,b)|0;i=c+356|0;j=f[b+356>>2]|0;k=f[b+360>>2]|0;if(j|0){l=j+4|0;f[l>>2]=(f[l>>2]|0)+1}l=f[i>>2]|0;f[i>>2]=j;f[c+360>>2]=k;if(l|0?(k=l+4|0,j=f[k>>2]|0,f[k>>2]=j+-1,(j|0)==1):0)ai[f[(f[l>>2]|0)+8>>2]&2047](l);l=c+364|0;j=f[b+364>>2]|0;k=f[b+368>>2]|0;if(j|0){i=j+4|0;f[i>>2]=(f[i>>2]|0)+1}i=f[l>>2]|0;f[l>>2]=j;f[c+368>>2]=k;if(i|0?(k=i+4|0,j=f[k>>2]|0,f[k>>2]=j+-1,(j|0)==1):0)ai[f[(f[i>>2]|0)+8>>2]&2047](i);i=c+372|0;j=f[b+372>>2]|0;k=f[b+376>>2]|0;if(j|0){l=j+4|0;f[l>>2]=(f[l>>2]|0)+1}l=f[i>>2]|0;f[i>>2]=j;f[c+376>>2]=k;if(l|0?(k=l+4|0,j=f[k>>2]|0,f[k>>2]=j+-1,(j|0)==1):0)ai[f[(f[l>>2]|0)+8>>2]&2047](l);l=b+380|0;b=f[l+4>>2]|0;j=c+380|0;f[j>>2]=f[l>>2];f[j+4>>2]=b;f[a>>2]=g;f[a+4>>2]=h;f[e>>2]=(f[e>>2]|0)+1;h=f[e>>2]|0;f[e>>2]=h+-1;if((h|0)!=1)return;ai[f[(f[d>>2]|0)+8>>2]&2047](d);return}function mva(a){a=a|0;return 1}function nva(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+16|0;g=e;if((d|0)>-1?(h=f[a+352>>2]|0,i=f[h>>2]|0,j=((f[h+4>>2]|0)-i|0)/20|0,(j|0)>(d|0)):0){if(j>>>0<=d>>>0)Vkc(h);h=i;i=f[c>>2]|0;if((i|0)<0){k=0;u=e;return k|0}j=f[c+4>>2]|0;if((j|0)<0){k=0;u=e;return k|0}if(((f[a+8>>2]|0)+i|0)>=(f[h+(d*20|0)+4>>2]|0)){k=0;u=e;return k|0}if(((f[a+12>>2]|0)+j|0)>=(f[h+(d*20|0)+8>>2]|0)){k=0;u=e;return k|0}c=(f[a+60>>2]|0)+(Y(f[f[a+88>>2]>>2]|0,j)|0)+(i<<2)|0;f[a+384>>2]=c+(f[h+(d*20|0)+12>>2]<<2);k=1;u=e;return k|0}f[g>>2]=0;f[g+4>>2]=0;k=YG(g,50)|0;e=374417;d=k+50|0;do{b[k>>0]=b[e>>0]|0;k=k+1|0;e=e+1|0}while((k|0)<(d|0));SQ(-215,g,374898,374120,868);return 0}function ova(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=f[a+380>>2]|0;d=f[a+384>>2]|0;a=f[d+(f[c+(b<<6)+20>>2]<<2)>>2]|0;e=f[d+(f[c+(b<<6)+24>>2]<<2)>>2]|0;g=f[d+(f[c+(b<<6)+36>>2]<<2)>>2]|0;h=f[d+(f[c+(b<<6)+40>>2]<<2)>>2]|0;i=a-e-g+h|0;j=f[d+(f[c+(b<<6)+4>>2]<<2)>>2]|0;k=f[d+(f[c+(b<<6)+16>>2]<<2)>>2]|0;l=f[d+(f[c+(b<<6)+8>>2]<<2)>>2]|0;m=f[d+(f[c+(b<<6)+28>>2]<<2)>>2]|0;n=f[d+(f[c+(b<<6)+44>>2]<<2)>>2]|0;o=f[d+(f[c+(b<<6)+56>>2]<<2)>>2]|0;p=f[d+(f[c+(b<<6)+52>>2]<<2)>>2]|0;q=f[d+(f[c+(b<<6)+32>>2]<<2)>>2]|0;return ((e-a+j-l|0)>=(i|0)?64:0)|(((f[d+(f[c+(b<<6)>>2]<<2)>>2]|0)+a-j-k|0)>=(i|0)?128:0)|((l-e-(f[d+(f[c+(b<<6)+12>>2]<<2)>>2]|0)+m|0)>=(i|0)?32:0)|((e-h-m+n|0)>=(i|0)?16:0)|((h-n-o+(f[d+(f[c+(b<<6)+60>>2]<<2)>>2]|0)|0)>=(i|0)?8:0)|((g-h+o-p|0)>=(i|0)?4:0)|(g-a+k-q|0)>=(i|0)|((p-g+q-(f[d+(f[c+(b<<6)+48>>2]<<2)>>2]|0)|0)>=(i|0)?2:0)|0}function pva(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+80|0;e=d+24|0;g=d+8|0;h=d;i=f[a+352>>2]|0;j=f[i>>2]|0;if((((f[i+4>>2]|0)-j|0)/20|0)>>>0<=b>>>0)Vkc(i);i=j;if((pD(c)|0)==655360){j=f[i+(b*20|0)+12>>2]|0;k=f[a+16>>2]|0;l=f[i+(b*20|0)+4>>2]|0;m=f[i+(b*20|0)+8>>2]|0;f[g>>2]=(j|0)%(k|0)|0;f[g+4>>2]=(j|0)/(k|0)|0;f[g+8>>2]=l;f[g+12>>2]=m;qN(e,a+204|0,g);m=g+8|0;f[m>>2]=0;f[m+4>>2]=0;f[g>>2]=34209792;f[g+4>>2]=e;m=rE()|0;S6(c,g,m,rE()|0,4,-1);uN(e);u=d;return}f[h>>2]=f[i+(b*20|0)+4>>2];f[h+4>>2]=f[i+(b*20|0)+8>>2];mD(e,h,4,(f[a+60>>2]|0)+(f[i+(b*20|0)+12>>2]<<2)|0,f[a+92>>2]|0);a=g+8|0;f[a>>2]=0;f[a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=e;a=rE()|0;S6(c,g,a,rE()|0,4,-1);a=e+36|0;g=f[a>>2]|0;if(g|0?(c=g+12|0,g=f[c>>2]|0,f[c>>2]=g+-1,(g|0)==1):0)lP(e);f[a>>2]=0;a=e+16|0;g=e+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[g>>2]|0)>0){a=f[e+40>>2]|0;c=0;do{f[a+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[g>>2]|0))}g=f[e+44>>2]|0;if((g|0)!=(e+48|0))tE(g);u=d;return}function qva(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=f[a+16>>2]|0;c=f[a+360>>2]|0;d=(f[c+4>>2]|0)-(f[c>>2]|0)>>4;e=a+368|0;g=f[e>>2]|0;h=g+4|0;i=f[h>>2]|0;j=f[g>>2]|0;k=i-j>>6;l=j;j=i;if(d>>>0<=k>>>0){if(d>>>0<k>>>0?(i=l+(d<<6)|0,(j|0)!=(i|0)):0)f[h>>2]=j+(~((j+-64-i|0)>>>6)<<6);i=f[g>>2]|0;f[a+380>>2]=i;if(!d){m=g;n=a+252|0;sva(m,n);return}else{o=i;p=g}}else{rva(g,d-k|0);k=f[e>>2]|0;e=f[k>>2]|0;f[a+380>>2]=e;o=e;p=k}k=o;o=f[c>>2]|0;c=0;do{e=f[o+(c<<4)>>2]|0;g=f[o+(c<<4)+4>>2]|0;i=f[o+(c<<4)+8>>2]|0;j=f[o+(c<<4)+12>>2]|0;h=Y(g,b)|0;f[k+(c<<6)>>2]=h+e;l=i+e|0;f[k+(c<<6)+4>>2]=l+h;q=Y(j+g|0,b)|0;f[k+(c<<6)+16>>2]=q+e;f[k+(c<<6)+20>>2]=q+l;r=(i<<1)+e|0;f[k+(c<<6)+8>>2]=r+h;s=r+i|0;f[k+(c<<6)+12>>2]=s+h;f[k+(c<<6)+24>>2]=q+r;f[k+(c<<6)+28>>2]=s+q;q=(j<<1)+g|0;g=Y(q,b)|0;f[k+(c<<6)+40>>2]=g+r;f[k+(c<<6)+44>>2]=g+s;h=Y(q+j|0,b)|0;f[k+(c<<6)+56>>2]=h+r;f[k+(c<<6)+60>>2]=h+s;f[k+(c<<6)+32>>2]=g+e;f[k+(c<<6)+36>>2]=g+l;f[k+(c<<6)+48>>2]=h+e;f[k+(c<<6)+52>>2]=h+l;c=c+1|0}while((c|0)!=(d|0));m=p;n=a+252|0;sva(m,n);return}function rva(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>6>>>0>=b>>>0){h=b;i=g;do{j=i;k=j+64|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));i=(f[e>>2]|0)+64|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>6;g=i+b|0;if(g>>>0>67108863)Ukc(a);l=d-h|0;h=l>>5;d=l>>6>>>0<33554431?(h>>>0<g>>>0?g:h):67108863;do if(d)if(d>>>0>67108863){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{m=Bmc(d<<6)|0;break}else m=0;while(0);h=m+(i<<6)|0;i=m+(d<<6)|0;d=b;b=h;m=h;do{j=b;k=j+64|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));b=m+64|0;m=b;d=d+-1|0}while((d|0)!=0);d=f[a>>2]|0;b=(f[e>>2]|0)-d|0;j=h+(0-(b>>6)<<6)|0;if((b|0)>0)Krc(j|0,d|0,b|0)|0;f[a>>2]=j;f[e>>2]=m;f[c>>2]=i;if(!d)return;Emc(d);return}function sva(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=u;u=u+80|0;d=c;e=c+56|0;g=f[a>>2]|0;h=a+4|0;i=f[h>>2]|0;if((g|0)==(i|0)){j=b+24|0;k=f[j>>2]|0;if(k|0?(l=k+8|0,k=f[l>>2]|0,f[l>>2]=k+-1,(k|0)==1):0)vN(b);k=b+4|0;if((f[k>>2]|0)>0){l=f[b+32>>2]|0;m=0;do{f[l+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[k>>2]|0))}f[j>>2]=0;n=f[a>>2]|0;o=f[h>>2]|0}else{n=g;o=i}Ri(d,1,o-n|0,0,n,0);n=e+8|0;f[n>>2]=0;f[n+4>>2]=0;f[e>>2]=34209792;f[e+4>>2]=b;kT(d,e);e=d+36|0;b=f[e>>2]|0;if(b|0?(n=b+12|0,b=f[n>>2]|0,f[n>>2]=b+-1,(b|0)==1):0)lP(d);f[e>>2]=0;e=d+16|0;b=d+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[b>>2]|0)>0){e=f[d+40>>2]|0;n=0;do{f[e+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[b>>2]|0))}b=f[d+44>>2]|0;if((b|0)==(d+48|0)){u=c;return}tE(b);u=c;return}function tva(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;b=a+8|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[b+28>>2]=0;f[a+44>>2]=1124007936;b=a+52|0;c=a+84|0;d=a+48|0;e=d+36|0;do{f[d>>2]=0;d=d+4|0}while((d|0)<(e|0));f[c>>2]=b;b=a+92|0;f[a+88>>2]=b;f[b>>2]=0;f[a+96>>2]=0;f[a+100>>2]=1124007936;b=a+108|0;c=a+140|0;d=a+104|0;e=d+36|0;do{f[d>>2]=0;d=d+4|0}while((d|0)<(e|0));f[c>>2]=b;b=a+148|0;f[a+144>>2]=b;f[b>>2]=0;f[a+152>>2]=0;f[a+156>>2]=1124007936;b=a+160|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[a+188>>2]=a+164;b=a+196|0;f[a+192>>2]=b;f[a+200>>2]=0;f[b>>2]=0;f[a+204>>2]=1124007936;b=a+208|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[a+236>>2]=a+212;b=a+244|0;f[a+240>>2]=b;f[a+248>>2]=0;f[b>>2]=0;f[a+252>>2]=1124007936;b=a+256|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[a+284>>2]=a+260;b=a+292|0;f[a+288>>2]=b;f[a+296>>2]=0;f[b>>2]=0;f[a+300>>2]=1124007936;b=a+304|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[a+332>>2]=a+308;b=a+340|0;f[a+336>>2]=b;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[a>>2]=107484;b=a+356|0;c=a+364|0;d=a+368|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;e=Bmc(12)|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=Bmc(16)|0;h=g+4|0;f[h>>2]=1;f[g>>2]=107564;f[g+8>>2]=e;f[h>>2]=(f[h>>2]|0)+1;i=f[b>>2]|0;f[b>>2]=g;f[a+360>>2]=e;if(i|0?(e=i+4|0,b=f[e>>2]|0,f[e>>2]=b+-1,(b|0)==1):0)ai[f[(f[i>>2]|0)+8>>2]&2047](i);i=f[h>>2]|0;f[h>>2]=i+-1;if((i|0)==1)ai[f[(f[g>>2]|0)+8>>2]&2047](g);g=Bmc(12)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;i=Bmc(16)|0;h=i+4|0;f[h>>2]=1;f[i>>2]=107584;f[i+8>>2]=g;f[h>>2]=(f[h>>2]|0)+1;b=f[c>>2]|0;f[c>>2]=i;f[d>>2]=g;if(b|0?(g=b+4|0,d=f[g>>2]|0,f[g>>2]=d+-1,(d|0)==1):0)ai[f[(f[b>>2]|0)+8>>2]&2047](b);b=f[h>>2]|0;f[h>>2]=b+-1;if((b|0)==1)ai[f[(f[i>>2]|0)+8>>2]&2047](i);i=Bmc(12)|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b=Bmc(16)|0;h=b+4|0;f[h>>2]=1;f[b>>2]=107304;f[b+8>>2]=i;d=a+348|0;f[h>>2]=(f[h>>2]|0)+1;g=f[d>>2]|0;f[d>>2]=b;f[a+352>>2]=i;if(g|0?(i=g+4|0,d=f[i>>2]|0,f[i>>2]=d+-1,(d|0)==1):0)ai[f[(f[g>>2]|0)+8>>2]&2047](g);g=f[h>>2]|0;f[h>>2]=g+-1;if((g|0)!=1){j=a+380|0;f[j>>2]=0;k=a+384|0;f[k>>2]=0;return}ai[f[(f[b>>2]|0)+8>>2]&2047](b);j=a+380|0;f[j>>2]=0;k=a+384|0;f[k>>2]=0;return}function uva(a){a=a|0;Emc(a);return}function vva(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function wva(a){a=a|0;Emc(a);return}function xva(a){a=a|0;var b=0,c=0,d=0,e=0;b=f[a+8>>2]|0;if(b|0){c=f[b>>2]|0;if(c|0){d=b+4|0;e=f[d>>2]|0;if((e|0)!=(c|0))f[d>>2]=e+(~((e+-64-c|0)>>>6)<<6);Emc(c)}Emc(b)}ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function yva(a){a=a|0;Emc(a);return}function zva(a){a=a|0;var b=0,c=0,d=0,e=0;b=f[a+8>>2]|0;if(b|0){c=f[b>>2]|0;if(c|0){d=b+4|0;e=f[d>>2]|0;if((e|0)!=(c|0))f[d>>2]=e+(~((e+-16-c|0)>>>4)<<4);Emc(c)}Emc(b)}ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Ava(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>4>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;i=(f[e>>2]|0)+16|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>4;g=i+b|0;if(g>>>0>268435455)Ukc(a);j=d-h|0;h=j>>3;d=j>>4>>>0<134217727?(h>>>0<g>>>0?g:h):268435455;do if(d)if(d>>>0>268435455){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{k=Bmc(d<<4)|0;break}else k=0;while(0);h=k+(i<<4)|0;i=h;g=k+(d<<4)|0;d=b;b=h;k=i;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;b=k+16|0;k=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;j=g;if((b|0)==(g|0)){l=i;m=j}else{i=b+-16-j|0;j=b;b=h;while(1){n=j;j=j+-16|0;f[b+-16>>2]=f[j>>2];f[b+-12>>2]=f[n+-12>>2];f[b+-8>>2]=f[n+-8>>2];f[b+-4>>2]=f[n+-4>>2];if((j|0)==(g|0))break;else b=b+-16|0}l=h+(~(i>>>4)<<4)|0;m=f[a>>2]|0}f[a>>2]=l;f[e>>2]=k;f[c>>2]=d;if(!m)return;Emc(m);return}function Bva(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+64|0;d=c+56|0;e=c+48|0;g=c;R_(e,b,375218);S_(g,f[e>>2]|0,f[e+4>>2]|0,0);e=f[g+20>>2]|0;f[d>>2]=f[g>>2];f[d+4>>2]=e;b$(d,a,0);e=U_(g)|0;b=f[g+20>>2]|0;f[d>>2]=f[g>>2];f[d+4>>2]=b;b$(d,a+4|0,0);b=U_(e)|0;e=f[g+20>>2]|0;f[d>>2]=f[g>>2];f[d+4>>2]=e;b$(d,a+8|0,0);e=U_(b)|0;b=f[g+20>>2]|0;f[d>>2]=f[g>>2];f[d+4>>2]=b;b$(d,a+12|0,0);U_(e)|0;u=c;return 1}function Cva(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=107604;RR(a+416|0);uN(a+368|0);uN(a+320|0);uN(a+272|0);uN(a+224|0);uN(a+176|0);uN(a+128|0);b=a+120|0;c=f[b>>2]|0;if(c|0?(d=c+4|0,e=f[d>>2]|0,f[d>>2]=e+-1,(e|0)==1):0)ai[f[(f[c>>2]|0)+8>>2]&2047](c);f[b>>2]=0;f[a+124>>2]=0;b=a+112|0;c=f[b>>2]|0;if(c|0?(e=c+4|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)ai[f[(f[c>>2]|0)+8>>2]&2047](c);f[b>>2]=0;f[a+116>>2]=0;b=a+104|0;c=f[b>>2]|0;if(c|0?(d=c+4|0,e=f[d>>2]|0,f[d>>2]=e+-1,(e|0)==1):0)ai[f[(f[c>>2]|0)+8>>2]&2047](c);f[b>>2]=0;f[a+108>>2]=0;fwa(a+4|0);WX(a);return}function Dva(a){a=a|0;Cva(a);Emc(a);return}function Eva(a,b){a=a|0;b=b|0;gwa(a,b)|0;return}function Fva(a){a=a|0;var b=0;if(f[a+116>>2]|0){b=0;return b|0}b=(f[a+32>>2]|0)==(f[a+36>>2]|0);return b|0}function Gva(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=u;u=u+240|0;d=c+132|0;e=c+88|0;g=c+44|0;h=c+8|0;i=c;j=a+112|0;k=f[j>>2]|0;if(k|0?(l=k+4|0,m=f[l>>2]|0,f[l>>2]=m+-1,(m|0)==1):0)ai[f[(f[k>>2]|0)+8>>2]&2047](k);f[j>>2]=0;k=a+116|0;f[k>>2]=0;m=d;l=m+100|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(l|0));m=a+4|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;f[m+24>>2]=0;if((m|0)!=(d|0)){bwa(a+32|0,0,0);cwa(a+44|0,f[d+40>>2]|0,f[d+44>>2]|0);dwa(a+56|0,f[d+52>>2]|0,f[d+56>>2]|0);ZA(a+68|0,f[d+64>>2]|0,f[d+68>>2]|0);c2(a+80|0,f[d+76>>2]|0,f[d+80>>2]|0);ewa(a+92|0,f[d+88>>2]|0,f[d+92>>2]|0)}fwa(d);m=a+104|0;l=f[m>>2]|0;if(l|0?(n=l+4|0,o=f[n>>2]|0,f[n>>2]=o+-1,(o|0)==1):0)ai[f[(f[l>>2]|0)+8>>2]&2047](l);f[m>>2]=0;f[a+108>>2]=0;f[d>>2]=0;f[d+4>>2]=0;K_(h,b,0,d);ZG(d);if(!(F_(h)|0)){p=0;C_(h);u=c;return p|0}M_(d,h,0);m=d+4|0;S_(e,f[d>>2]|0,f[m>>2]|0,0);l=f[d>>2]|0;o=f[m>>2]|0;S_(g,l,o,T_(d)|0);d=f[e>>2]|0;o=d;if((((d|0)==(f[g>>2]|0)?(f[e+4>>2]|0)==(f[g+4>>2]|0):0)?(f[e+20>>2]|0)==(f[g+20>>2]|0):0)?(f[e+40>>2]|0)==(f[g+40>>2]|0):0){f[i>>2]=0;f[i+4>>2]=0}else{g=f[e+20>>2]|0;f[i>>2]=o;f[i+4>>2]=g}if(gwa(a,i)|0){p=1;C_(h);u=c;return p|0}G_(h);i=f[b>>2]|0;b=PY((i|0)==0?1163146:i,0,0,0)|0;if(!b)q=0;else{i=Bmc(16)|0;f[i+4>>2]=1;f[i>>2]=107984;f[i+8>>2]=b;q=i}i=f[j>>2]|0;f[j>>2]=q;f[k>>2]=b;if(i|0?(b=i+4|0,q=f[b>>2]|0,f[b>>2]=q+-1,(q|0)==1):0)ai[f[(f[i>>2]|0)+8>>2]&2047](i);p=(f[k>>2]|0)!=0;C_(h);u=c;return p|0}function Hva(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;j=u;u=u+48|0;k=j+40|0;l=j+28|0;m=j+16|0;n=j+8|0;o=j;zT(k,107956);f[l>>2]=0;p=l+4|0;f[p>>2]=0;f[l+8>>2]=0;f[m>>2]=0;q=m+4|0;f[q>>2]=0;f[m+8>>2]=0;r=f[(f[a>>2]|0)+44>>2]|0;f[n>>2]=f[h>>2];f[n+4>>2]=f[h+4>>2];f[o>>2]=f[i>>2];f[o+4>>2]=f[i+4>>2];Cg[r&3](a,b,c,l,m,d,e,g,n,o,0);o=f[m>>2]|0;if(o|0){m=f[q>>2]|0;if((m|0)!=(o|0))f[q>>2]=m+(~((m+-8-o|0)>>>3)<<3);Emc(o)}o=f[l>>2]|0;if(o|0){l=f[p>>2]|0;if((l|0)!=(o|0))f[p>>2]=l+(~((l+-4-o|0)>>>2)<<2);Emc(o)}if(!(f[k+4>>2]|0)){u=j;return}u=j;return}function Iva(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;l=u;u=u+160|0;m=l+136|0;n=l+128|0;o=l+72|0;p=l+56|0;q=l+32|0;r=l+48|0;s=l+24|0;t=l+16|0;v=l+8|0;w=l;zT(n,107916);do if((pD(c)|0)==65536){x=f[c+4>>2]|0;f[o>>2]=f[x>>2];y=o+4|0;z=x+4|0;f[y>>2]=f[z>>2];A=o+8|0;f[A>>2]=f[x+8>>2];f[o+12>>2]=f[x+12>>2];f[o+16>>2]=f[x+16>>2];f[o+20>>2]=f[x+20>>2];f[o+24>>2]=f[x+24>>2];f[o+28>>2]=f[x+28>>2];f[o+32>>2]=f[x+32>>2];B=f[x+36>>2]|0;f[o+36>>2]=B;f[o+40>>2]=A;A=o+48|0;C=o+44|0;f[C>>2]=A;f[A>>2]=0;f[o+52>>2]=0;if(B|0){A=B+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[z>>2]|0)<3){z=f[x+44>>2]|0;A=f[C>>2]|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];break}else{f[y>>2]=0;kP(o,x);break}}else lD(o,c,-1);while(0);if(!(g>1.0)){f[m>>2]=0;D=m+4|0;f[D>>2]=0;E=YG(m,41)|0;F=E;G=376784;H=F+41|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,m,375286,374120,1424)}if(f[o>>2]&7|0){f[m>>2]=0;D=m+4|0;f[D>>2]=0;E=YG(m,41)|0;F=E;G=376784;H=F+41|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,m,375286,374120,1424)}if(!(ci[f[(f[a>>2]|0)+20>>2]&1023](a)|0)){f[p>>2]=0;G=p+4|0;f[G>>2]=0;f[p+8>>2]=0;f[q>>2]=0;F=q+4|0;f[F>>2]=0;f[q+8>>2]=0;if(ci[f[(f[a>>2]|0)+48>>2]&1023](a)|0){f[m>>2]=0;H=m+4|0;f[H>>2]=0;f[m+8>>2]=0;E=f[a+112>>2]|0;f[r>>2]=E;D=r+4|0;f[D>>2]=f[a+116>>2];if(E|0){c=E+4|0;f[c>>2]=(f[c>>2]|0)+1}f[s>>2]=f[j>>2];f[s+4>>2]=f[j+4>>2];f[t>>2]=f[k>>2];f[t+4>>2]=f[k+4>>2];Qva(o,r,d,p,q,m,g,h,i,s,t,0);t=f[r>>2]|0;if(t|0?(s=t+4|0,i=f[s>>2]|0,f[s>>2]=i+-1,(i|0)==1):0)ai[f[(f[t>>2]|0)+8>>2]&2047](t);f[r>>2]=0;f[D>>2]=0;D=f[H>>2]|0;r=f[m>>2]|0;t=(D-r|0)/20|0;i=e+4|0;s=f[i>>2]|0;c=f[e>>2]|0;E=s-c>>2;x=c;c=s;s=r;r=D;if(t>>>0<=E>>>0)if(t>>>0<E>>>0?(D=x+(t<<2)|0,(c|0)!=(D|0)):0){f[i>>2]=c+(~((c+-4-D|0)>>>2)<<2);I=s;J=r;K=x}else{I=s;J=r;K=x}else{$C(e,t-E|0);I=f[m>>2]|0;J=f[H>>2]|0;K=f[e>>2]|0}if((I|0)!=(J|0)){E=I;t=K;while(1){f[t>>2]=f[E+16>>2];E=E+20|0;if((E|0)==(J|0))break;else t=t+4|0}}if(I|0){if((J|0)!=(I|0))f[H>>2]=J+(~(((J+-20-I|0)>>>0)/20|0)*20|0);Emc(I)}}else{f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=o;f[v>>2]=f[j>>2];f[v+4>>2]=f[j+4>>2];f[w>>2]=f[k>>2];f[w+4>>2]=f[k+4>>2];Rva(a,m,d,p,q,g,v,w,0);zT(m,107936);Sva(d,h,.2,e,0)}e=f[q>>2]|0;if(e|0){q=f[F>>2]|0;if((q|0)!=(e|0))f[F>>2]=q+(~((q+-8-e|0)>>>3)<<3);Emc(e)}e=f[p>>2]|0;if(e|0){p=f[G>>2]|0;if((p|0)!=(e|0))f[G>>2]=p+(~((p+-4-e|0)>>>2)<<2);Emc(e)}}e=o+36|0;p=f[e>>2]|0;if(p|0?(G=p+12|0,p=f[G>>2]|0,f[G>>2]=p+-1,(p|0)==1):0)lP(o);f[e>>2]=0;e=o+16|0;p=o+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[p>>2]|0)>0){e=f[o+40>>2]|0;G=0;do{f[e+(G<<2)>>2]=0;G=G+1|0}while((G|0)<(f[p>>2]|0))}p=f[o+44>>2]|0;if((p|0)!=(o+48|0))tE(p);if(!(f[n+4>>2]|0)){u=l;return}u=l;return}function Jva(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;n=u;u=u+128|0;o=n+64|0;p=n+56|0;q=n+16|0;r=n+48|0;s=n+40|0;t=n+32|0;v=n+8|0;w=n;zT(p,107676);if(!(h>1.0)){f[o>>2]=0;x=o+4|0;f[x>>2]=0;y=YG(o,42)|0;z=y;A=375243;B=z+42|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));SQ(-215,o,375286,374120,1376)}if(BD(c,-1)|0){f[o>>2]=0;x=o+4|0;f[x>>2]=0;y=YG(o,42)|0;z=y;A=375243;B=z+42|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));SQ(-215,o,375286,374120,1376)}do if(!(ci[f[(f[a>>2]|0)+20>>2]&1023](a)|0)){if(!(ci[f[(f[a>>2]|0)+48>>2]&1023](a)|0)){f[v>>2]=f[k>>2];f[v+4>>2]=f[k+4>>2];f[w>>2]=f[l>>2];f[w+4>>2]=f[l+4>>2];Rva(a,c,d,e,g,h,v,w,m);if(m){zT(o,107696);Sva(d,i,.2,e,g);break}else{zT(o,107716);Sva(d,i,.2,0,0);break}}do if((pD(c)|0)==65536){A=f[c+4>>2]|0;f[o>>2]=f[A>>2];z=o+4|0;B=A+4|0;f[z>>2]=f[B>>2];y=o+8|0;f[y>>2]=f[A+8>>2];f[o+12>>2]=f[A+12>>2];f[o+16>>2]=f[A+16>>2];f[o+20>>2]=f[A+20>>2];f[o+24>>2]=f[A+24>>2];f[o+28>>2]=f[A+28>>2];f[o+32>>2]=f[A+32>>2];x=f[A+36>>2]|0;f[o+36>>2]=x;f[o+40>>2]=y;y=o+48|0;C=o+44|0;f[C>>2]=y;f[y>>2]=0;f[o+52>>2]=0;if(x|0){y=x+12|0;f[y>>2]=(f[y>>2]|0)+1}if((f[B>>2]|0)<3){B=f[A+44>>2]|0;y=f[C>>2]|0;f[y>>2]=f[B>>2];f[y+4>>2]=f[B+4>>2];break}else{f[z>>2]=0;kP(o,A);break}}else lD(o,c,-1);while(0);f[q>>2]=0;A=q+4|0;f[A>>2]=0;f[q+8>>2]=0;z=f[a+112>>2]|0;f[r>>2]=z;B=r+4|0;f[B>>2]=f[a+116>>2];if(z|0){y=z+4|0;f[y>>2]=(f[y>>2]|0)+1}f[s>>2]=f[k>>2];f[s+4>>2]=f[k+4>>2];f[t>>2]=f[l>>2];f[t+4>>2]=f[l+4>>2];Qva(o,r,d,e,g,q,h,i,j,s,t,m);y=f[r>>2]|0;if(y|0?(z=y+4|0,C=f[z>>2]|0,f[z>>2]=C+-1,(C|0)==1):0)ai[f[(f[y>>2]|0)+8>>2]&2047](y);f[r>>2]=0;f[B>>2]=0;B=f[q>>2]|0;if(B|0){y=f[A>>2]|0;if((y|0)!=(B|0))f[A>>2]=y+(~(((y+-20-B|0)>>>0)/20|0)*20|0);Emc(B)}B=o+36|0;y=f[B>>2]|0;if(y|0?(A=y+12|0,y=f[A>>2]|0,f[A>>2]=y+-1,(y|0)==1):0)lP(o);f[B>>2]=0;B=o+16|0;y=o+4|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[y>>2]|0)>0){B=f[o+40>>2]|0;A=0;do{f[B+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[y>>2]|0))}y=f[o+44>>2]|0;if((y|0)!=(o+48|0))tE(y)}while(0);if(!(f[p+4>>2]|0)){u=n;return}u=n;return}function Kva(a){a=a|0;return (f[a+116>>2]|0)!=0|0}function Lva(a,b){a=a|0;b=b|0;f[a>>2]=f[b+24>>2];f[a+4>>2]=f[b+28>>2];return}function Mva(a){a=a|0;var b=0;b=f[a+108>>2]|0;return ci[f[(f[b>>2]|0)+16>>2]&1023](b)|0}function Nva(a){a=a|0;return f[a+116>>2]|0}function Ova(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=a+120|0;d=f[b>>2]|0;e=f[b+4>>2]|0;if(d|0){b=d+4|0;f[b>>2]=(f[b>>2]|0)+1}b=f[c>>2]|0;f[c>>2]=d;f[a+124>>2]=e;if(!b)return;e=b+4|0;a=f[e>>2]|0;f[e>>2]=a+-1;if((a|0)!=1)return;ai[f[(f[b>>2]|0)+8>>2]&2047](b);return}function Pva(a,b){a=a|0;b=b|0;var c=0;c=f[b+120>>2]|0;f[a>>2]=c;f[a+4>>2]=f[b+124>>2];if(!c)return;b=c+4|0;f[b>>2]=(f[b>>2]|0)+1;return}function Qva(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=+i;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;o=u;u=u+64|0;p=o+56|0;q=o+48|0;r=o;s=o+40|0;t=o+32|0;v=RV(0)|0;if(!v)w=0;else{x=Bmc(16)|0;f[x+4>>2]=1;f[x>>2]=58892;f[x+8>>2]=v;w=x}x=f[a+8>>2]|0;y=(f[a+4>>2]|0)==1?1:f[a+12>>2]|0;z=f[a>>2]|0;A=f[a+16>>2]|0;f[r+8>>2]=0;f[r+12>>2]=0;f[r+16>>2]=A;f[r+20>>2]=x;f[r+24>>2]=y;f[r+4>>2]=f[f[a+44>>2]>>2];f[r>>2]=z&20479|1111621632;z=f[c+4>>2]|0;c=f[l+4>>2]|0;f[s>>2]=f[l>>2];f[s+4>>2]=c;c=f[m+4>>2]|0;f[t>>2]=f[m>>2];f[t+4>>2]=c;f[q>>2]=f[s>>2];f[q+4>>2]=f[s+4>>2];f[p>>2]=f[t>>2];f[p+4>>2]=f[t+4>>2];t=bxa(r,z,v,e,g,i,j,k,q,p,n)|0;do if(t)if((f[t+28>>2]|0)==20){B=q;C=f[t+24>>2]|0;break}else{f[p>>2]=0;f[p+4>>2]=0;n=YG(p,39)|0;k=376491;j=n+39|0;do{b[n>>0]=b[k>>0]|0;n=n+1|0;k=k+1|0}while((n|0)<(j|0));SQ(-215,p,376531,376535,2965)}else{B=q;C=0}while(0);B=h+4|0;k=f[B>>2]|0;n=f[h>>2]|0;j=(k-n|0)/20|0;g=n;n=k;if(C>>>0<=j>>>0){if(C>>>0<j>>>0?(k=g+(C*20|0)|0,(n|0)!=(k|0)):0)f[B>>2]=n+(~(((n+-20-k|0)>>>0)/20|0)*20|0)}else awa(h,C-j|0);if((t|0)!=0&(C|0)!=0){C=f[h>>2]|0;f[q>>2]=0;f[q+4>>2]=1073741823;f[p>>2]=f[q>>2];f[p+4>>2]=f[q+4>>2];cW(t,C,p)|0}p=f[B>>2]|0;C=f[h>>2]|0;t=(p-C|0)/20|0;q=d+4|0;j=f[q>>2]|0;k=f[d>>2]|0;n=j-k>>4;g=k;k=j;j=C;C=p;if(t>>>0<=n>>>0)if(t>>>0<n>>>0?(p=g+(t<<4)|0,(k|0)!=(p|0)):0){f[q>>2]=k+(~((k+-16-p|0)>>>4)<<4);D=g;E=j;F=C}else{D=g;E=j;F=C}else{Uta(d,t-n|0);D=f[d>>2]|0;E=f[h>>2]|0;F=f[B>>2]|0}if((E|0)!=(F|0)){B=D;D=E;while(1){E=f[D+4>>2]|0;h=f[D+8>>2]|0;d=f[D+12>>2]|0;f[B>>2]=f[D>>2];f[B+4>>2]=E;f[B+8>>2]=h;f[B+12>>2]=d;D=D+20|0;if((D|0)==(F|0))break;else B=B+16|0}}if(!w){u=o;return}B=w+4|0;F=f[B>>2]|0;f[B>>2]=F+-1;if((F|0)!=1){u=o;return}ai[f[(f[w>>2]|0)+8>>2]&2047](w);u=o;return}function Rva(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;j=j|0;k=k|0;var l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0.0,R=0,S=0,T=0,U=0,V=0.0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0;l=u;u=u+1360|0;m=l+1248|0;o=l+1240|0;q=l+1232|0;r=l+1224|0;s=l+1212|0;t=l+1200|0;v=l;w=l+1184|0;x=l+1128|0;y=l+64|0;z=l+56|0;zT(o,107756);nD(q,c,-1);xh[f[(f[a>>2]|0)+52>>2]&2047](r,a);A=j+4|0;if((f[A>>2]|0)!=0?(f[j>>2]|0)!=0:0){B=q+4|0;C=B;D=f[B>>2]|0}else{f[j>>2]=f[q>>2];B=q+4|0;E=f[B>>2]|0;f[A>>2]=E;C=B;D=E}E=r+4|0;B=f[E>>2]|0;if((D|0)>=(B|0)?(F=f[q>>2]|0,G=f[r>>2]|0,(F|0)>=(G|0)):0){f[s>>2]=0;H=s+4|0;f[H>>2]=0;f[s+8>>2]=0;f[t>>2]=0;I=t+4|0;f[I>>2]=0;f[t+8>>2]=0;J=s+8|0;K=Bmc(4096)|0;L=K;M=K+4096|0;f[s>>2]=L;f[H>>2]=L;f[J>>2]=M;N=t+8|0;O=Bmc(4096)|0;P=O;f[t>>2]=P;f[I>>2]=P;f[N>>2]=O+4096;O=V9b(+(G|0))|0;a:do if(!((O|0)>(F|0)|(V9b(+(B|0))|0)>(D|0))){Q=1.0;P=F;R=B;S=G;T=K;U=M;while(1){V=Q;n[m>>2]=V;if((T|0)==(U|0)){tua(s,m);W=f[r>>2]|0;X=f[E>>2]|0;Z=f[q>>2]|0}else{n[T>>2]=V;f[H>>2]=T+4;W=S;X=R;Z=P}V=Q*h;_=V9b(V*+(W|0))|0;$=V9b(V*+(X|0))|0;if((_|0)>(Z|0)?1:($|0)>(f[C>>2]|0))break;Q=V;P=Z;R=X;S=W;T=f[H>>2]|0;U=f[J>>2]|0}U=f[H>>2]|0;T=f[s>>2]|0;S=T;R=U;if((U|0)!=(T|0)){P=i+4|0;Q=+n[S>>2];$=U9b(+(W|0)*Q)|0;if(($|0)>(f[j>>2]|0)){aa=H;ba=S;ca=R;da=U;ea=T;fa=S;ga=S}else{_=0;V=Q;ha=S;ia=U;U=T;ja=S;ka=R;la=S;ma=S;na=U9b(Q*+(X|0))|0;oa=$;while(1){if((na|0)>(f[A>>2]|0)){aa=H;ba=ja;ca=ka;da=ia;ea=U;fa=ma;ga=la;break a}do if((oa|0)>=(f[i>>2]|0)?(na|0)>=(f[P>>2]|0):0){$=f[I>>2]|0;if(($|0)==(f[N>>2]|0)){tua(t,ha);pa=f[H>>2]|0;qa=f[s>>2]|0;ra=qa;sa=qa;ta=pa;ua=ra;va=ra;wa=pa;xa=ra;break}else{n[$>>2]=V;f[I>>2]=$+4;sa=U;ta=ia;ua=ma;va=la;wa=ka;xa=ja;break}}else{sa=U;ta=ia;ua=ma;va=la;wa=ka;xa=ja}while(0);_=_+1|0;if(_>>>0>=ta-sa>>2>>>0){aa=H;ba=xa;ca=wa;da=ta;ea=sa;fa=ua;ga=va;break a}$=f[E>>2]|0;ha=sa+(_<<2)|0;V=+n[ha>>2];oa=U9b(+(f[r>>2]|0)*V)|0;na=U9b(V*+($|0))|0;if((oa|0)>(f[j>>2]|0)){aa=H;ba=xa;ca=wa;da=ta;ea=sa;fa=ua;ga=va;break}else{ia=ta;U=sa;ja=xa;ka=wa;la=va;ma=ua}}}}else{aa=H;ba=S;ca=R;da=T;ea=T;fa=S;ga=S}}else{aa=H;ba=K;ca=K;da=L;ea=L;fa=K;ga=K}while(0);if(!((ba|0)==(ca|0)?1:(f[t>>2]|0)!=(f[I>>2]|0))){f[m>>2]=0;ca=m+4|0;f[ca>>2]=0;f[m+8>>2]=0;if((da|0)!=(ea|0)){ba=i+4|0;K=m+8|0;L=0;ua=ga;ga=0;va=0;wa=fa;xa=ea;ea=da;while(1){h=+n[ua+(L<<2)>>2];da=U9b(+(f[r>>2]|0)*h)|0;sa=U9b(h*+(f[E>>2]|0))|0;ta=(f[i>>2]|0)-da|0;da=Y(ta,ta)|0;ta=(f[ba>>2]|0)-sa|0;h=+((Y(ta,ta)|0)+da|0);p[v>>3]=h;if((ga|0)==(va|0)){$ta(m,v);da=f[s>>2]|0;ya=da;za=f[aa>>2]|0;Aa=da}else{p[ga>>3]=h;f[ca>>2]=ga+8;ya=xa;za=ea;Aa=wa}da=L+1|0;if(da>>>0>=za-ya>>2>>>0)break;L=da;ua=ya;ga=f[ca>>2]|0;va=f[K>>2]|0;wa=Aa;xa=ya;ea=za}za=f[m>>2]|0;ea=za;if((f[ca>>2]|0)==(za|0)){Ba=0;Ca=Aa;Da=ea}else{ya=(f[ca>>2]|0)-za>>3;za=0;xa=0;while(1){wa=+p[ea+(xa<<3)>>3]>+p[ea+(za<<3)>>3]?za:xa;za=za+1|0;if(za>>>0>=ya>>>0){Ba=wa;Ca=Aa;Da=ea;break}else xa=wa}}}else{Ba=0;Ca=fa;Da=0}fa=Ca+(Ba<<2)|0;Ba=f[I>>2]|0;if((Ba|0)==(f[N>>2]|0)){tua(t,fa);Ea=f[m>>2]|0}else{f[Ba>>2]=f[fa>>2];f[I>>2]=Ba+4;Ea=Da}if(Ea|0){Da=f[ca>>2]|0;if((Da|0)!=(Ea|0))f[ca>>2]=Da+(~((Da+-8-Ea|0)>>>3)<<3);Emc(Ea)}}Ea=f[d>>2]|0;Da=d+4|0;ca=f[Da>>2]|0;if((ca|0)!=(Ea|0))f[Da>>2]=ca+(~((ca+-16-Ea|0)>>>4)<<4);Ea=f[e>>2]|0;ca=e+4|0;Da=f[ca>>2]|0;if((Da|0)!=(Ea|0))f[ca>>2]=Da+(~((Da+-4-Ea|0)>>>2)<<2);Ea=f[g>>2]|0;Da=g+4|0;ca=f[Da>>2]|0;if((ca|0)!=(Ea|0))f[Da>>2]=ca+(~((ca+-8-Ea|0)>>>3)<<3);f[v>>2]=1124007936;Ea=v+4|0;ca=v+8|0;Da=v+40|0;Ba=Ea;fa=Ba+36|0;do{f[Ba>>2]=0;Ba=Ba+4|0}while((Ba|0)<(fa|0));f[Da>>2]=ca;N=v+48|0;Ca=v+44|0;f[Ca>>2]=N;f[N>>2]=0;f[v+52>>2]=0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;do if((CD(c,-1)|0)<=1){if((pD(c)|0)!=65536){xa=m+8|0;f[xa>>2]=0;f[xa+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=v;FD(c,m);break}do if((pD(c)|0)==65536){xa=f[c+4>>2]|0;f[m>>2]=f[xa>>2];ea=m+4|0;Aa=xa+4|0;f[ea>>2]=f[Aa>>2];ya=m+8|0;f[ya>>2]=f[xa+8>>2];f[m+12>>2]=f[xa+12>>2];f[m+16>>2]=f[xa+16>>2];f[m+20>>2]=f[xa+20>>2];f[m+24>>2]=f[xa+24>>2];f[m+28>>2]=f[xa+28>>2];f[m+32>>2]=f[xa+32>>2];za=m+36|0;wa=f[xa+36>>2]|0;f[za>>2]=wa;f[m+40>>2]=ya;ya=m+48|0;K=m+44|0;f[K>>2]=ya;f[ya>>2]=0;f[m+52>>2]=0;if(wa|0){ya=wa+12|0;f[ya>>2]=(f[ya>>2]|0)+1}if((f[Aa>>2]|0)<3){Aa=f[xa+44>>2]|0;ya=f[K>>2]|0;f[ya>>2]=f[Aa>>2];f[ya+4>>2]=f[Aa+4>>2];Fa=za;break}else{f[ea>>2]=0;kP(m,xa);Fa=za;break}}else{lD(m,c,-1);Fa=m+36|0}while(0);S=f[Fa>>2]|0;if(S|0){T=S+12|0;f[T>>2]=(f[T>>2]|0)+1}T=v+36|0;S=f[T>>2]|0;if(S|0?(R=S+12|0,S=f[R>>2]|0,f[R>>2]=S+-1,(S|0)==1):0)lP(v);f[T>>2]=0;S=v+16|0;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;if((f[Ea>>2]|0)>0){R=f[Da>>2]|0;za=0;do{f[R+(za<<2)>>2]=0;za=za+1|0;Ga=f[Ea>>2]|0}while((za|0)<(Ga|0));f[v>>2]=f[m>>2];if((Ga|0)<3)Ha=71;else Ha=73}else{f[v>>2]=f[m>>2];Ha=71}if((Ha|0)==71){za=f[m+4>>2]|0;if((za|0)<3){f[Ea>>2]=za;f[ca>>2]=f[m+8>>2];f[v+12>>2]=f[m+12>>2];za=f[m+44>>2]|0;R=f[Ca>>2]|0;f[R>>2]=f[za>>2];f[R+4>>2]=f[za+4>>2]}else Ha=73}if((Ha|0)==73)kP(v,m);za=m+16|0;f[S>>2]=f[za>>2];f[v+20>>2]=f[m+20>>2];f[v+24>>2]=f[m+24>>2];f[v+28>>2]=f[m+28>>2];f[v+32>>2]=f[m+32>>2];R=f[Fa>>2]|0;f[T>>2]=R;if(R|0?(xa=R+12|0,R=f[xa>>2]|0,f[xa>>2]=R+-1,(R|0)==1):0)lP(m);f[Fa>>2]=0;R=m+4|0;f[za>>2]=0;f[za+4>>2]=0;f[za+8>>2]=0;f[za+12>>2]=0;if((f[R>>2]|0)>0){za=f[m+40>>2]|0;xa=0;do{f[za+(xa<<2)>>2]=0;xa=xa+1|0}while((xa|0)<(f[R>>2]|0))}R=f[m+44>>2]|0;if((R|0)!=(m+48|0))tE(R)}else{R=m+8|0;f[R>>2]=0;f[R+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=v;g1(c,m,6,0)}while(0);f[w>>2]=16842752;c=w+4|0;f[c>>2]=v;f[w+8>>2]=0;f[w+12>>2]=0;Fa=a+108|0;ca=f[Fa>>2]|0;if(ki[f[(f[ca>>2]|0)+20>>2]&511](ca,w,t)|0){ca=f[Fa>>2]|0;ai[f[(f[ca>>2]|0)+32>>2]&2047](ca);f[x>>2]=1124007936;ca=x+4|0;Ga=x+8|0;R=x+40|0;Ba=ca;fa=Ba+36|0;do{f[Ba>>2]=0;Ba=Ba+4|0}while((Ba|0)<(fa|0));f[R>>2]=Ga;xa=x+48|0;za=x+44|0;f[za>>2]=xa;f[xa>>2]=0;f[x+52>>2]=0;T=f[a+124>>2]|0;if(T|0){S=f[(f[T>>2]|0)+8>>2]|0;do if((pD(w)|0)==65536){ea=f[c>>2]|0;f[y>>2]=f[ea>>2];Aa=y+4|0;ya=ea+4|0;f[Aa>>2]=f[ya>>2];K=y+8|0;f[K>>2]=f[ea+8>>2];f[y+12>>2]=f[ea+12>>2];f[y+16>>2]=f[ea+16>>2];f[y+20>>2]=f[ea+20>>2];f[y+24>>2]=f[ea+24>>2];f[y+28>>2]=f[ea+28>>2];f[y+32>>2]=f[ea+32>>2];wa=f[ea+36>>2]|0;f[y+36>>2]=wa;f[y+40>>2]=K;K=y+48|0;va=y+44|0;f[va>>2]=K;f[K>>2]=0;f[y+52>>2]=0;if(wa|0){K=wa+12|0;f[K>>2]=(f[K>>2]|0)+1}if((f[ya>>2]|0)<3){ya=f[ea+44>>2]|0;K=f[va>>2]|0;f[K>>2]=f[ya>>2];f[K+4>>2]=f[ya+4>>2];break}else{f[Aa>>2]=0;kP(y,ea);break}}else lD(y,w,-1);while(0);Yh[S&511](m,T,y);T=m+36|0;S=f[T>>2]|0;if(S|0){w=S+12|0;f[w>>2]=(f[w>>2]|0)+1}w=x+36|0;S=f[w>>2]|0;if(S|0?(c=S+12|0,S=f[c>>2]|0,f[c>>2]=S+-1,(S|0)==1):0)lP(x);f[w>>2]=0;S=x+16|0;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;if((f[ca>>2]|0)>0){c=f[R>>2]|0;ea=0;do{f[c+(ea<<2)>>2]=0;ea=ea+1|0;Ia=f[ca>>2]|0}while((ea|0)<(Ia|0));f[x>>2]=f[m>>2];if((Ia|0)<3)Ha=103;else Ha=105}else{f[x>>2]=f[m>>2];Ha=103}if((Ha|0)==103){Ia=f[m+4>>2]|0;if((Ia|0)<3){f[ca>>2]=Ia;f[Ga>>2]=f[m+8>>2];f[x+12>>2]=f[m+12>>2];Ga=f[m+44>>2]|0;Ia=f[za>>2]|0;f[Ia>>2]=f[Ga>>2];f[Ia+4>>2]=f[Ga+4>>2]}else Ha=105}if((Ha|0)==105)kP(x,m);Ha=m+16|0;f[S>>2]=f[Ha>>2];f[x+20>>2]=f[m+20>>2];f[x+24>>2]=f[m+24>>2];f[x+28>>2]=f[m+28>>2];f[x+32>>2]=f[m+32>>2];S=f[T>>2]|0;f[w>>2]=S;do if(S|0){w=S+12|0;Ga=f[w>>2]|0;f[w>>2]=Ga+-1;if((Ga|0)!=1)break;lP(m)}while(0);f[T>>2]=0;T=m+4|0;f[Ha>>2]=0;f[Ha+4>>2]=0;f[Ha+8>>2]=0;f[Ha+12>>2]=0;if((f[T>>2]|0)>0){Ha=f[m+40>>2]|0;S=0;do{f[Ha+(S<<2)>>2]=0;S=S+1|0}while((S|0)<(f[T>>2]|0))}T=f[m+44>>2]|0;if((T|0)!=(m+48|0))tE(T);T=y+36|0;S=f[T>>2]|0;do if(S|0){Ha=S+12|0;Ga=f[Ha>>2]|0;f[Ha>>2]=Ga+-1;if((Ga|0)!=1)break;lP(y)}while(0);f[T>>2]=0;T=y+16|0;S=y+4|0;f[T>>2]=0;f[T+4>>2]=0;f[T+8>>2]=0;f[T+12>>2]=0;if((f[S>>2]|0)>0){T=f[y+40>>2]|0;Ga=0;do{f[T+(Ga<<2)>>2]=0;Ga=Ga+1|0}while((Ga|0)<(f[S>>2]|0))}S=f[y+44>>2]|0;if((S|0)!=(y+48|0))tE(S)}S=(f[I>>2]|0)-(f[t>>2]|0)>>2;Ga=y+8|0;f[y>>2]=Ga;T=y+4|0;f[T>>2]=S;if(S>>>0>264){Ha=Dmc(S>>>0>1073741823?-1:S<<2)|0;f[y>>2]=Ha;Ja=Ha}else Ja=Ga;Ha=f[(f[Fa>>2]|0)+352>>2]|0;Fa=f[Ha>>2]|0;if(((f[Ha+4>>2]|0)-Fa|0)<=0){f[m>>2]=0;f[m+4>>2]=0;Ba=YG(m,50)|0;Ha=374417;fa=Ba+50|0;do{b[Ba>>0]=b[Ha>>0]|0;Ba=Ba+1|0;Ha=Ha+1|0}while((Ba|0)<(fa|0));SQ(-215,m,374468,374481,46)}Ha=Fa;Fa=a+28|0;Ba=(f[Ha+4>>2]|0)-(f[a+24>>2]|0)|0;h=+(((Ba|0)>0?Ba:0)|0)*.03125;Ba=~~h;fa=(+(Ba|0)<h&1)+Ba|0;if(S|0){Ba=fa+-1|0;w=0;do{Ia=(f[Ha+(w*20|0)+8>>2]|0)-(f[Fa>>2]|0)|0;ea=f[Ha+(w*20|0)+16>>2]|0;c=(Ba+((((Ia|0)>0?Ia:0)|0)/(ea|0)|0)|0)/(fa|0)|0;Ia=Y((c|0)>1?c:1,ea)|0;f[Ja+(w<<2)>>2]=Ia;w=w+1|0}while((w|0)!=(S|0))}Tva(m,a,S,fa,Ha,Ja,d,e,g,k,x,a+416|0);f[z>>2]=0;f[z+4>>2]=fa;oU(z,m,-1.0);Uva(m);m=f[y>>2]|0;if((m|0)!=(Ga|0)){if(m|0)Fmc(m);f[y>>2]=Ga;f[T>>2]=264}T=x+36|0;Ga=f[T>>2]|0;if(Ga|0?(y=Ga+12|0,Ga=f[y>>2]|0,f[y>>2]=Ga+-1,(Ga|0)==1):0)lP(x);f[T>>2]=0;T=x+16|0;f[T>>2]=0;f[T+4>>2]=0;f[T+8>>2]=0;f[T+12>>2]=0;if((f[ca>>2]|0)>0){T=f[R>>2]|0;R=0;do{f[T+(R<<2)>>2]=0;R=R+1|0}while((R|0)<(f[ca>>2]|0))}ca=f[za>>2]|0;if((ca|0)!=(xa|0))tE(ca)}ca=v+36|0;xa=f[ca>>2]|0;if(xa|0?(za=xa+12|0,xa=f[za>>2]|0,f[za>>2]=xa+-1,(xa|0)==1):0)lP(v);f[ca>>2]=0;ca=v+16|0;f[ca>>2]=0;f[ca+4>>2]=0;f[ca+8>>2]=0;f[ca+12>>2]=0;if((f[Ea>>2]|0)>0){ca=f[Da>>2]|0;Da=0;do{f[ca+(Da<<2)>>2]=0;Da=Da+1|0}while((Da|0)<(f[Ea>>2]|0))}Ea=f[Ca>>2]|0;if((Ea|0)!=(N|0))tE(Ea);Ea=f[t>>2]|0;if(Ea|0){t=f[I>>2]|0;if((t|0)!=(Ea|0))f[I>>2]=t+(~((t+-4-Ea|0)>>>2)<<2);Emc(Ea)}Ea=f[s>>2]|0;if(Ea|0){s=f[H>>2]|0;if((s|0)!=(Ea|0))f[H>>2]=s+(~((s+-4-Ea|0)>>>2)<<2);Emc(Ea)}}if(!(f[o+4>>2]|0)){u=l;return}u=l;return}function Sva(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0.0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;g=u;u=u+112|0;h=g+16|0;i=g+104|0;j=g+92|0;k=g+8|0;l=g+80|0;m=g+68|0;n=g+56|0;o=g+40|0;q=g+32|0;r=g;s=g+28|0;zT(i,107736);if((b|0)>=1?(t=a+4|0,(f[a>>2]|0)!=(f[t>>2]|0)):0){f[j>>2]=0;v=j+4|0;f[v>>2]=0;f[j+8>>2]=0;p[k>>3]=c;f[h>>2]=f[k>>2];f[h+4>>2]=f[k+4>>2];k=dua(a,j,h)|0;f[h>>2]=0;w=h+4|0;f[w>>2]=0;f[h+8>>2]=0;x=(k|0)==0;do if(!x)if(k>>>0>268435455)Ukc(h);else{y=k<<4;z=Bmc(y)|0;f[h>>2]=z;f[h+8>>2]=z+(k<<4);Drc(z|0,0,y|0)|0;f[w>>2]=z+y;A=z;break}else A=0;while(0);f[l>>2]=0;z=l+4|0;f[z>>2]=0;f[l+8>>2]=0;if(x)B=0;else{y=k<<2;C=Bmc(y)|0;f[l>>2]=C;D=C+(k<<2)|0;f[l+8>>2]=D;Drc(C|0,0,y|0)|0;f[z>>2]=D;B=C}f[m>>2]=0;C=m+4|0;f[C>>2]=0;f[m+8>>2]=0;if(x)E=0;else{D=k<<2;y=Bmc(D)|0;f[m>>2]=y;F=y+(k<<2)|0;f[m+8>>2]=F;Drc(y|0,0,D|0)|0;f[C>>2]=F;E=y}f[n>>2]=0;y=n+4|0;f[y>>2]=0;f[n+8>>2]=0;if(x)G=0;else{x=Bmc(k<<3)|0;f[y>>2]=x;f[n>>2]=x;F=x+(k<<3)|0;f[n+8>>2]=F;D=k;H=x;while(1){p[H>>3]=2.2250738585072014e-308;D=D+-1|0;if(!D)break;else H=H+8|0}f[y>>2]=F;G=x}x=f[j>>2]|0;F=(f[v>>2]|0)-x|0;H=F>>2;D=(F|0)>0;F=x;if(D){x=f[a>>2]|0;I=0;do{J=f[F+(I<<2)>>2]|0;K=A+(J<<4)|0;f[K>>2]=(f[K>>2]|0)+(f[x+(I<<4)>>2]|0);K=A+(J<<4)+4|0;f[K>>2]=(f[K>>2]|0)+(f[x+(I<<4)+4>>2]|0);K=A+(J<<4)+8|0;f[K>>2]=(f[K>>2]|0)+(f[x+(I<<4)+8>>2]|0);K=A+(J<<4)+12|0;f[K>>2]=(f[K>>2]|0)+(f[x+(I<<4)+12>>2]|0);K=B+(J<<2)|0;f[K>>2]=(f[K>>2]|0)+1;I=I+1|0}while((I|0)<(H|0))}I=(e|0)!=0;x=(d|0)!=0;if(x&I?(K=f[d>>2]|0,(K|0)!=(f[d+4>>2]|0)):0){J=f[e>>2]|0;L=(J|0)==(f[e+4>>2]|0);if(L|D^1){M=L;N=G}else{L=f[n>>2]|0;D=0;do{O=f[F+(D<<2)>>2]|0;P=f[K+(D<<2)>>2]|0;Q=E+(O<<2)|0;R=f[Q>>2]|0;if((P|0)<=(R|0)){if((P|0)==(R|0)?(S=+p[J+(D<<3)>>3],R=L+(O<<3)|0,S>+p[R>>3]):0)p[R>>3]=S}else{f[Q>>2]=P;p[L+(O<<3)>>3]=+p[J+(D<<3)>>3]}D=D+1|0}while((D|0)<(H|0));M=0;N=L}}else{M=1;N=G}G=(k|0)>0;if(G){L=0;do{H=A+(L<<4)|0;D=A+(L<<4)+4|0;J=f[D>>2]|0;K=A+(L<<4)+8|0;F=f[K>>2]|0;O=A+(L<<4)+12|0;P=f[O>>2]|0;S=1.0/+(f[B+(L<<2)>>2]|0);Q=U9b(+(f[H>>2]|0)*S)|0;R=U9b(+(J|0)*S)|0;J=U9b(+(F|0)*S)|0;F=U9b(+(P|0)*S)|0;f[H>>2]=Q;f[D>>2]=R;f[K>>2]=J;f[O>>2]=F;L=L+1|0}while((L|0)!=(k|0))}L=f[a>>2]|0;F=f[t>>2]|0;if((F|0)!=(L|0))f[t>>2]=F+(~((F+-16-L|0)>>>4)<<4);if(x?(L=f[d>>2]|0,F=d+4|0,O=f[F>>2]|0,(O|0)!=(L|0)):0)f[F>>2]=O+(~((O+-4-L|0)>>>2)<<2);if(I?(L=f[e>>2]|0,O=e+4|0,F=f[O>>2]|0,(F|0)!=(L|0)):0)f[O>>2]=F+(~((F+-8-L|0)>>>3)<<3);if(G){G=o+4|0;L=o+8|0;F=o+12|0;O=a+8|0;J=M?q:s;M=d+4|0;K=d+8|0;R=e+4|0;D=e+8|0;Q=f[n>>2]|0;H=f[l>>2]|0;P=f[m>>2]|0;T=0;U=A;A=B;B=E;while(1){E=f[U+(T<<4)>>2]|0;f[o>>2]=E;V=f[U+(T<<4)+4>>2]|0;f[G>>2]=V;W=f[U+(T<<4)+8>>2]|0;f[L>>2]=W;X=f[U+(T<<4)+12>>2]|0;f[F>>2]=X;Y=f[A+(T<<2)>>2]|0;f[q>>2]=Y;p[r>>3]=+p[Q+(T<<3)>>3];f[s>>2]=f[B+(T<<2)>>2];do if((Y|0)>(b|0)){Z=f[h>>2]|0;_=W+E|0;$=X+V|0;aa=(Y|0)>3?Y:3;a:do if((Y|0)<3){ba=0;while(1){do if((ba|0)!=(T|0)?(f[A+(ba<<2)>>2]|0)>(b|0):0){ca=f[Z+(ba<<4)>>2]|0;da=f[Z+(ba<<4)+4>>2]|0;ea=f[Z+(ba<<4)+8>>2]|0;fa=f[Z+(ba<<4)+12>>2]|0;ga=V9b(+(ea|0)*c)|0;ha=V9b(+(fa|0)*c)|0;if((E|0)<(ca-ga|0)|(V|0)<(da-ha|0))break;if((_|0)>(ea+ca+ga|0))break;if(($|0)<=(fa+da+ha|0)){ia=ba;break a}}while(0);ha=ba+1|0;if((ha|0)<(k|0))ba=ha;else{ia=ha;break}}}else{ba=0;while(1){ha=f[A+(ba<<2)>>2]|0;do if((ba|0)!=(T|0)&(ha|0)>(b|0)){da=f[Z+(ba<<4)>>2]|0;fa=f[Z+(ba<<4)+4>>2]|0;ga=f[Z+(ba<<4)+8>>2]|0;ca=f[Z+(ba<<4)+12>>2]|0;ea=V9b(+(ga|0)*c)|0;ja=V9b(+(ca|0)*c)|0;if((E|0)<(da-ea|0)|(V|0)<(fa-ja|0))break;if((_|0)>(ga+da+ea|0))break;if((ha|0)>(aa|0)?($|0)<=(ca+fa+ja|0):0){ia=ba;break a}}while(0);ha=ba+1|0;if((ha|0)<(k|0))ba=ha;else{ia=ha;break}}}while(0);if((ia|0)==(k|0)){$=f[t>>2]|0;if(($|0)==(f[O>>2]|0))Yta(a,o);else{f[$>>2]=E;f[$+4>>2]=V;f[$+8>>2]=W;f[$+12>>2]=X;f[t>>2]=$+16}do if(x){$=f[M>>2]|0;if(($|0)==(f[K>>2]|0)){MR(d,J);break}else{f[$>>2]=f[J>>2];f[M>>2]=$+4;break}}while(0);if(!I)break;$=f[R>>2]|0;if(($|0)==(f[D>>2]|0)){$ta(e,r);break}else{p[$>>3]=+p[r>>3];f[R>>2]=$+8;break}}}while(0);X=T+1|0;if((X|0)>=(k|0))break;T=X;U=f[h>>2]|0;A=H;B=P}ka=f[n>>2]|0}else ka=N;if(ka|0){N=f[y>>2]|0;if((N|0)!=(ka|0))f[y>>2]=N+(~((N+-8-ka|0)>>>3)<<3);Emc(ka)}ka=f[m>>2]|0;if(ka|0){m=f[C>>2]|0;if((m|0)!=(ka|0))f[C>>2]=m+(~((m+-4-ka|0)>>>2)<<2);Emc(ka)}ka=f[l>>2]|0;if(ka|0){l=f[z>>2]|0;if((l|0)!=(ka|0))f[z>>2]=l+(~((l+-4-ka|0)>>>2)<<2);Emc(ka)}ka=f[h>>2]|0;if(ka|0){h=f[w>>2]|0;if((h|0)!=(ka|0))f[w>>2]=h+(~((h+-16-ka|0)>>>4)<<4);Emc(ka)}ka=f[j>>2]|0;if(ka|0){j=f[v>>2]|0;if((j|0)!=(ka|0))f[v>>2]=j+(~((j+-4-ka|0)>>>2)<<2);Emc(ka)}}else la=3;do if((la|0)==3?!((d|0)==0|(e|0)!=0):0){ka=(f[a+4>>2]|0)-(f[a>>2]|0)>>4;j=d+4|0;v=f[j>>2]|0;h=f[d>>2]|0;w=v-h>>2;l=h;h=v;if(ka>>>0<=w>>>0){if(ka>>>0<w>>>0?(v=l+(ka<<2)|0,(h|0)!=(v|0)):0)f[j>>2]=h+(~((h+-4-v|0)>>>2)<<2);if(!ka)break}else $C(d,ka-w|0);w=f[d>>2]|0;v=0;do{f[w+(v<<2)>>2]=1;v=v+1|0}while((v|0)!=(ka|0))}while(0);if(!(f[i+4>>2]|0)){u=g;return}u=g;return}function Tva(a,b,c,d,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;f[a>>2]=107784;f[a+36>>2]=0;f[a+40>>2]=0;f[a+44>>2]=0;n=a+48|0;f[n>>2]=1124007936;o=a+52|0;p=a+56|0;q=a+88|0;r=o;s=r+36|0;do{f[r>>2]=0;r=r+4|0}while((r|0)<(s|0));f[q>>2]=p;r=a+96|0;s=a+92|0;f[s>>2]=r;f[r>>2]=0;f[a+100>>2]=0;f[a+4>>2]=b;f[a+12>>2]=c;f[a+16>>2]=d;f[a+20>>2]=e;f[a+24>>2]=g;f[a+8>>2]=h;f[a+28>>2]=k?i:0;f[a+32>>2]=k?j:0;if((n|0)==(l|0)){t=a+104|0;f[t>>2]=m;return}j=l+36|0;k=f[j>>2]|0;if(k){i=k+12|0;f[i>>2]=(f[i>>2]|0)+1;i=a+84|0;k=f[i>>2]|0;if((k|0)!=0?(h=k+12|0,k=f[h>>2]|0,f[h>>2]=k+-1,(k|0)==1):0){lP(n);u=i}else u=i}else u=a+84|0;f[u>>2]=0;i=a+64|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[o>>2]|0)>0){k=f[q>>2]|0;q=0;do{f[k+(q<<2)>>2]=0;q=q+1|0;v=f[o>>2]|0}while((q|0)<(v|0));f[n>>2]=f[l>>2];if((v|0)<3)w=12;else w=14}else{f[n>>2]=f[l>>2];w=12}if((w|0)==12){v=f[l+4>>2]|0;if((v|0)<3){f[o>>2]=v;f[p>>2]=f[l+8>>2];f[a+60>>2]=f[l+12>>2];p=f[l+44>>2]|0;v=f[s>>2]|0;f[v>>2]=f[p>>2];f[v+4>>2]=f[p+4>>2]}else w=14}if((w|0)==14)kP(n,l);f[i>>2]=f[l+16>>2];f[a+68>>2]=f[l+20>>2];f[a+72>>2]=f[l+24>>2];f[a+76>>2]=f[l+28>>2];f[a+80>>2]=f[l+32>>2];f[u>>2]=f[j>>2];t=a+104|0;f[t>>2]=m;return}function Uva(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=107784;b=a+48|0;c=a+84|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+64|0;b=a+52|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+88>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+92>>2]|0;if((b|0)!=(a+96|0))tE(b);b=f[a+36>>2]|0;if(!b)return;d=a+40|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-4-b|0)>>>2)<<2);Emc(b);return}function Vva(a){a=a|0;Uva(a);Emc(a);return}function Wva(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0.0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0.0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0;c=u;u=u+48|0;d=c+40|0;e=c+32|0;g=c;h=c+8|0;i=c+16|0;zT(d,107796);j=a+4|0;k=f[(f[j>>2]|0)+108>>2]|0;xh[f[(f[k>>2]|0)+12>>2]&2047](e,k);p[g>>3]=0.0;k=f[j>>2]|0;l=f[k+24>>2]|0;m=f[k+28>>2]|0;k=a+12|0;o=f[k>>2]|0;if((o|0)>0){q=a+20|0;r=a+24|0;s=b+4|0;t=+(l|0);v=+(m|0);w=h+4|0;x=a+28|0;y=a+104|0;z=a+8|0;A=i+4|0;B=i+8|0;C=i+12|0;D=i+4|0;E=i+8|0;F=i+12|0;G=a+32|0;a=0;H=o;while(1){o=f[q>>2]|0;I=+n[o+(a*20|0)>>2];J=f[o+(a*20|0)+16>>2]|0;K=f[(f[r>>2]|0)+(a<<2)>>2]|0;L=Y(f[b>>2]|0,K)|0;M=(f[o+(a*20|0)+4>>2]|0)-l|0;N=(M|0)>0;O=N?M:0;M=(f[o+(a*20|0)+8>>2]|0)-m|0;o=(M|0)>0?M:0;M=Y(f[s>>2]|0,K)|0;K=(o|0)<(M|0)?o:M;M=U9b(t*I)|0;o=U9b(v*I)|0;if((L|0)<(K|0)){P=L;do{if(N){Q=I*+(P|0);L=0;do{R=f[j>>2]|0;f[h>>2]=L;f[w>>2]=P;S=Xva(R,e,h,a,g)|0;if(!(f[x>>2]|0))if((S|0)>0){SR(f[y>>2]|0);R=f[z>>2]|0;T=U9b(I*+(L|0))|0;U=U9b(Q)|0;f[i>>2]=T;f[A>>2]=U;f[B>>2]=M;f[C>>2]=o;V=R+4|0;W=f[V>>2]|0;if((W|0)==(f[R+8>>2]|0))Yta(R,i);else{f[W>>2]=T;f[W+4>>2]=U;f[W+8>>2]=M;f[W+12>>2]=o;f[V>>2]=W+16}TR(f[y>>2]|0);X=S}else X=S;else{W=f[j>>2]|0;if((S|0)==1){V=f[W+36>>2]|0;U=f[W+32>>2]|0;Z=(V-U|0)/-12|0;_=U;$=V}else{Z=S;_=f[W+32>>2]|0;$=f[W+36>>2]|0}W=($-_|0)/12|0;if((W|0)==(0-Z|0)){SR(f[y>>2]|0);S=f[z>>2]|0;V=U9b(I*+(L|0))|0;U=U9b(Q)|0;f[i>>2]=V;f[D>>2]=U;f[E>>2]=M;f[F>>2]=o;T=S+4|0;R=f[T>>2]|0;if((R|0)==(f[S+8>>2]|0))Yta(S,i);else{f[R>>2]=V;f[R+4>>2]=U;f[R+8>>2]=M;f[R+12>>2]=o;f[T>>2]=R+16}R=f[x>>2]|0;f[i>>2]=W;T=R+4|0;U=f[T>>2]|0;if((U|0)==(f[R+8>>2]|0))MR(R,i);else{f[U>>2]=W;f[T>>2]=U+4}U=f[G>>2]|0;T=U+4|0;W=f[T>>2]|0;if((W|0)==(f[U+8>>2]|0))$ta(U,g);else{p[W>>3]=+p[g>>3];f[T>>2]=W+8}TR(f[y>>2]|0);X=Z}else X=Z}L=L+J+((X|0)==0?J:0)|0}while((L|0)<(O|0))}P=P+J|0}while((P|0)<(K|0));aa=f[k>>2]|0}else aa=H;a=a+1|0;if((a|0)>=(aa|0))break;else H=aa}}aa=f[e>>2]|0;if(aa|0?(e=aa+4|0,H=f[e>>2]|0,f[e>>2]=H+-1,(H|0)==1):0)ai[f[(f[aa>>2]|0)+8>>2]&2047](aa);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function Xva(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;g=u;u=u+16|0;h=g+8|0;i=g;zT(h,107816);j=f[b+4>>2]|0;k=f[(f[j>>2]|0)+24>>2]|0;f[i>>2]=f[c>>2];f[i+4>>2]=f[c+4>>2];do if(ki[k&511](j,i,d)|0){c=f[a+8>>2]|0;l=(c|0)==0;if((f[a+20>>2]|0)==1){if(l){m=Yva(a,b,e)|0;break}if((c|0)!=1){m=-2;break}m=Zva(a,b,e)|0;break}else{if(l){m=_va(a,b,e)|0;break}if((c|0)!=1){m=-2;break}m=$va(a,b,e)|0;break}}else m=-1;while(0);if(!(f[h+4>>2]|0)){u=g;return m|0}u=g;return m|0}function Yva(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0.0,r=0.0,s=0.0,t=0.0,v=0.0,w=0,x=0;e=u;u=u+16|0;g=e+8|0;h=e;zT(g,107896);i=f[a+92>>2]|0;if((i|0)==(f[a+96>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;j=YG(h,28)|0;k=375807;l=j+28|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,h,375987,374481,575)}h=f[c+4>>2]|0;c=f[a+32>>2]|0;k=(f[a+36>>2]|0)-c|0;a=(k|0)/12|0;a:do if((k|0)>0){j=i;l=0;while(1){m=f[c+(l*12|0)+4>>2]|0;if((m|0)>0){o=0;q=0.0;while(1){r=+Zua(h,f[j+(o<<4)>>2]|0);s=q+ +n[(r<+n[j+(o<<4)+4>>2]?j+(o<<4)+8|0:j+(o<<4)+12|0)>>2];o=o+1|0;if((o|0)>=(m|0)){t=s;break}else q=s}}else t=0.0;if(t<+n[c+(l*12|0)+8>>2])break;o=l+1|0;if((o|0)<(a|0)){j=j+(m<<4)|0;l=o}else{v=t;w=9;break a}}p[d>>3]=t;x=0-l|0}else{v=0.0;w=9}while(0);if((w|0)==9){p[d>>3]=v;x=1}if(!(f[g+4>>2]|0)){u=e;return x|0}u=e;return x|0}function Zva(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0.0,P=0.0,Q=0.0,R=0,S=0;e=u;u=u+16|0;g=e+8|0;h=e;zT(g,107876);i=f[a+92>>2]|0;if((i|0)==(f[a+96>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;j=YG(h,28)|0;k=375807;l=j+28|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,h,375836,374481,614)}h=f[a+32>>2]|0;k=(f[a+36>>2]|0)-h|0;j=(k|0)/12|0;l=f[c+4>>2]|0;c=((f[a+12>>2]|0)+31|0)/32|0;m=h;a:do if((k|0)>0){h=l+380|0;o=l+384|0;q=f[a+80>>2]|0;r=i;s=0;while(1){t=f[m+(s*12|0)+4>>2]|0;if((t|0)>0){v=f[h>>2]|0;w=f[o>>2]|0;x=0;y=0.0;while(1){z=f[r+(x<<4)>>2]|0;A=f[w+(f[v+(z<<6)+20>>2]<<2)>>2]|0;B=f[w+(f[v+(z<<6)+24>>2]<<2)>>2]|0;C=f[w+(f[v+(z<<6)+36>>2]<<2)>>2]|0;D=f[w+(f[v+(z<<6)+40>>2]<<2)>>2]|0;E=A-B-C+D|0;F=f[w+(f[v+(z<<6)+4>>2]<<2)>>2]|0;G=f[w+(f[v+(z<<6)+16>>2]<<2)>>2]|0;H=f[w+(f[v+(z<<6)+8>>2]<<2)>>2]|0;I=f[w+(f[v+(z<<6)+28>>2]<<2)>>2]|0;J=f[w+(f[v+(z<<6)+44>>2]<<2)>>2]|0;K=f[w+(f[v+(z<<6)+56>>2]<<2)>>2]|0;L=f[w+(f[v+(z<<6)+52>>2]<<2)>>2]|0;M=f[w+(f[v+(z<<6)+32>>2]<<2)>>2]|0;N=q+((Y(x,c)|0)<<2)+((((B-A+F-H|0)>=(E|0)?2:0)|(((f[w+(f[v+(z<<6)>>2]<<2)>>2]|0)+A-F-G|0)>=(E|0)?4:0)|(H-B-(f[w+(f[v+(z<<6)+12>>2]<<2)>>2]|0)+I|0)>=(E|0))<<2)|0;O=y+ +n[(1<<(((D-J-K+(f[w+(f[v+(z<<6)+60>>2]<<2)>>2]|0)|0)>=(E|0)?8:0)|((B-D-I+J|0)>=(E|0)?16:0)|((C-D+K-L|0)>=(E|0)?4:0)|(C-A+G-M|0)>=(E|0)|((L-C+M-(f[w+(f[v+(z<<6)+48>>2]<<2)>>2]|0)|0)>=(E|0)?2:0))&f[N>>2]|0?r+(x<<4)+8|0:r+(x<<4)+12|0)>>2];x=x+1|0;if((x|0)==(t|0)){P=O;break}else y=O}}else P=0.0;if(P<+n[m+(s*12|0)+8>>2])break;q=q+((Y(t,c)|0)<<2)|0;x=s+1|0;if((x|0)>=(j|0)){Q=P;R=11;break a}else{r=r+(t<<4)|0;s=x}}p[d>>3]=P;S=0-s|0}else{Q=0.0;R=11}while(0);if((R|0)==11){p[d>>3]=Q;S=1}if(!(f[g+4>>2]|0)){u=e;return S|0}u=e;return S|0}function _va(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0,E=0.0,F=0;d=u;u=u+16|0;e=d;zT(e,107856);g=f[a+32>>2]|0;h=(f[a+36>>2]|0)-g|0;i=(h|0)/12|0;j=f[b+4>>2]|0;b=f[a+68>>2]|0;k=f[a+56>>2]|0;l=f[a+44>>2]|0;a=g;a:do if((h|0)>0){g=0;m=0;o=0;while(1){q=f[a+(o*12|0)+4>>2]|0;p[c>>3]=0.0;if((q|0)>0){r=a+(o*12|0)|0;s=0;t=g;v=m;while(1){w=(f[r>>2]|0)+s|0;x=0;do{y=x+t|0;z=+Zua(j,f[k+(y<<4)>>2]|0);x=f[(z<+n[k+(y<<4)+4>>2]?k+(y<<4)+8|0:k+(y<<4)+12|0)>>2]|0}while((x|0)>0);z=+p[c>>3]+ +n[b+(v-x<<2)>>2];p[c>>3]=z;y=f[l+(w<<2)>>2]|0;A=y+t|0;B=v+1+y|0;s=s+1|0;if((s|0)>=(q|0)){C=A;D=B;E=z;break}else{t=A;v=B}}}else{C=g;D=m;E=0.0}if(E<+n[a+(o*12|0)+8>>2]){F=0-o|0;break a}o=o+1|0;if((o|0)>=(i|0)){F=1;break}else{g=C;m=D}}}else F=1;while(0);if(!(f[e+4>>2]|0)){u=d;return F|0}u=d;return F|0}function $va(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0.0,T=0,U=0,V=0.0,W=0,X=0;d=u;u=u+16|0;e=d;zT(e,107836);g=f[a+32>>2]|0;h=(f[a+36>>2]|0)-g|0;i=(h|0)/12|0;j=f[b+4>>2]|0;b=((f[a+12>>2]|0)+31|0)/32|0;k=f[a+80>>2]|0;l=f[a+68>>2]|0;m=f[a+56>>2]|0;o=f[a+44>>2]|0;a=g;if((h|0)>0){h=j+380|0;g=j+384|0;j=0;q=0;r=0;while(1){s=f[a+(r*12|0)+4>>2]|0;if((s|0)>0){t=f[a+(r*12|0)>>2]|0;v=f[h>>2]|0;w=f[g>>2]|0;x=0;y=j;z=q;A=0.0;while(1){B=0;do{C=B+y|0;D=f[m+(C<<4)>>2]|0;E=f[w+(f[v+(D<<6)+20>>2]<<2)>>2]|0;F=f[w+(f[v+(D<<6)+24>>2]<<2)>>2]|0;G=f[w+(f[v+(D<<6)+36>>2]<<2)>>2]|0;H=f[w+(f[v+(D<<6)+40>>2]<<2)>>2]|0;I=E-F-G+H|0;J=f[w+(f[v+(D<<6)+4>>2]<<2)>>2]|0;K=f[w+(f[v+(D<<6)+16>>2]<<2)>>2]|0;L=f[w+(f[v+(D<<6)+8>>2]<<2)>>2]|0;M=f[w+(f[v+(D<<6)+28>>2]<<2)>>2]|0;N=f[w+(f[v+(D<<6)+44>>2]<<2)>>2]|0;O=f[w+(f[v+(D<<6)+56>>2]<<2)>>2]|0;P=f[w+(f[v+(D<<6)+52>>2]<<2)>>2]|0;Q=f[w+(f[v+(D<<6)+32>>2]<<2)>>2]|0;R=k+((Y(C,b)|0)<<2)+((((F-E+J-L|0)>=(I|0)?2:0)|(((f[w+(f[v+(D<<6)>>2]<<2)>>2]|0)+E-J-K|0)>=(I|0)?4:0)|(L-F-(f[w+(f[v+(D<<6)+12>>2]<<2)>>2]|0)+M|0)>=(I|0))<<2)|0;B=f[(1<<(((H-N-O+(f[w+(f[v+(D<<6)+60>>2]<<2)>>2]|0)|0)>=(I|0)?8:0)|((F-H-M+N|0)>=(I|0)?16:0)|((G-H+O-P|0)>=(I|0)?4:0)|(G-E+K-Q|0)>=(I|0)|((P-G+Q-(f[w+(f[v+(D<<6)+48>>2]<<2)>>2]|0)|0)>=(I|0)?2:0))&f[R>>2]|0?m+(C<<4)+8|0:m+(C<<4)+12|0)>>2]|0}while((B|0)>0);S=A+ +n[l+(z-B<<2)>>2];C=f[o+(t+x<<2)>>2]|0;R=C+y|0;I=z+1+C|0;x=x+1|0;if((x|0)==(s|0)){T=R;U=I;V=S;break}else{y=R;z=I;A=S}}}else{T=j;U=q;V=0.0}if(V<+n[a+(r*12|0)+8>>2]){W=0-r|0;break}r=r+1|0;if((r|0)>=(i|0)){W=1;break}else{j=T;q=U}}p[c>>3]=V;X=W}else X=1;if(!(f[e+4>>2]|0)){u=d;return X|0}u=d;return X|0}function awa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/20|0)>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;i=(f[e>>2]|0)+20|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/20|0;g=i+b|0;if(g>>>0>214748364)Ukc(a);j=(d-h|0)/20|0;h=j<<1;d=j>>>0<107374182?(h>>>0<g>>>0?g:h):214748364;do if(d)if(d>>>0>214748364){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{k=Bmc(d*20|0)|0;break}else k=0;while(0);h=k+(i*20|0)|0;i=k+(d*20|0)|0;d=b;b=h;k=h;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;b=k+20|0;k=b;d=d+-1|0}while((d|0)!=0);d=f[a>>2]|0;b=(f[e>>2]|0)-d|0;g=h+(((b|0)/-20|0)*20|0)|0;if((b|0)>0)Krc(g|0,d|0,b|0)|0;f[a>>2]=g;f[e>>2]=k;f[c>>2]=i;if(!d)return;Emc(d);return}function bwa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=c;e=b;g=d-e|0;h=(g|0)/12|0;i=a+8|0;j=f[i>>2]|0;k=f[a>>2]|0;l=k;if(h>>>0<=((j-k|0)/12|0)>>>0){m=a+4|0;n=((f[m>>2]|0)-k|0)/12|0;o=h>>>0>n>>>0;p=o?b+(n*12|0)|0:c;c=p;n=c-e|0;if(n|0)Mrc(k|0,b|0,n|0)|0;e=l+(((n|0)/12|0)*12|0)|0;if(o){o=d-c|0;if((o|0)<=0)return;Krc(f[m>>2]|0,p|0,o|0)|0;f[m>>2]=(f[m>>2]|0)+(((o>>>0)/12|0)*12|0);return}else{o=f[m>>2]|0;if((o|0)==(e|0))return;f[m>>2]=o+(~(((o+-12-e|0)>>>0)/12|0)*12|0);return}}e=k;if(!k)q=j;else{j=a+4|0;o=f[j>>2]|0;if((o|0)!=(l|0))f[j>>2]=o+(~(((o+-12-k|0)>>>0)/12|0)*12|0);Emc(e);f[i>>2]=0;f[j>>2]=0;f[a>>2]=0;q=0}if(h>>>0>357913941)Ukc(a);j=(q|0)/12|0;q=j<<1;e=j>>>0<178956970?(q>>>0<h>>>0?h:q):357913941;if(e>>>0>357913941)Ukc(a);q=Bmc(e*12|0)|0;h=a+4|0;f[h>>2]=q;f[a>>2]=q;f[i>>2]=q+(e*12|0);if((g|0)<=0)return;Krc(q|0,b|0,g|0)|0;f[h>>2]=q+(((g>>>0)/12|0)*12|0);return}function cwa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=c;e=b;g=d-e|0;h=g>>2;i=a+8|0;j=f[i>>2]|0;k=f[a>>2]|0;l=k;if(h>>>0<=j-k>>2>>>0){m=a+4|0;n=(f[m>>2]|0)-k>>2;o=h>>>0>n>>>0;p=o?b+(n<<2)|0:c;c=p;n=c-e|0;e=n>>2;if(e|0)Mrc(k|0,b|0,n|0)|0;n=l+(e<<2)|0;if(o){o=d-c|0;if((o|0)<=0)return;Krc(f[m>>2]|0,p|0,o|0)|0;f[m>>2]=(f[m>>2]|0)+(o>>>2<<2);return}else{o=f[m>>2]|0;if((o|0)==(n|0))return;f[m>>2]=o+(~((o+-4-n|0)>>>2)<<2);return}}n=k;if(!k)q=j;else{j=a+4|0;o=f[j>>2]|0;if((o|0)!=(l|0))f[j>>2]=o+(~((o+-4-k|0)>>>2)<<2);Emc(n);f[i>>2]=0;f[j>>2]=0;f[a>>2]=0;q=0}if(h>>>0>1073741823)Ukc(a);j=q>>1;n=q>>2>>>0<536870911?(j>>>0<h>>>0?h:j):1073741823;if(n>>>0>1073741823)Ukc(a);j=Bmc(n<<2)|0;h=a+4|0;f[h>>2]=j;f[a>>2]=j;f[i>>2]=j+(n<<2);if((g|0)<=0)return;Krc(j|0,b|0,g|0)|0;f[h>>2]=j+(g>>>2<<2);return}function dwa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=c;e=b;g=d-e|0;h=g>>4;i=a+8|0;j=f[i>>2]|0;k=f[a>>2]|0;l=k;if(h>>>0<=j-k>>4>>>0){m=a+4|0;n=(f[m>>2]|0)-k>>4;o=h>>>0>n>>>0;p=o?b+(n<<4)|0:c;c=p;n=c-e|0;e=n>>4;if(e|0)Mrc(k|0,b|0,n|0)|0;n=l+(e<<4)|0;if(o){o=d-c|0;if((o|0)<=0)return;Krc(f[m>>2]|0,p|0,o|0)|0;f[m>>2]=(f[m>>2]|0)+(o>>>4<<4);return}else{o=f[m>>2]|0;if((o|0)==(n|0))return;f[m>>2]=o+(~((o+-16-n|0)>>>4)<<4);return}}n=k;if(!k)q=j;else{j=a+4|0;o=f[j>>2]|0;if((o|0)!=(l|0))f[j>>2]=o+(~((o+-16-k|0)>>>4)<<4);Emc(n);f[i>>2]=0;f[j>>2]=0;f[a>>2]=0;q=0}if(h>>>0>268435455)Ukc(a);j=q>>3;n=q>>4>>>0<134217727?(j>>>0<h>>>0?h:j):268435455;if(n>>>0>268435455)Ukc(a);j=Bmc(n<<4)|0;h=a+4|0;f[h>>2]=j;f[a>>2]=j;f[i>>2]=j+(n<<4);if((g|0)<=0)return;Krc(j|0,b|0,g|0)|0;f[h>>2]=j+(g>>>4<<4);return}function ewa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=c;e=b;g=d-e|0;h=g>>4;i=a+8|0;j=f[i>>2]|0;k=f[a>>2]|0;l=k;if(h>>>0<=j-k>>4>>>0){m=a+4|0;n=(f[m>>2]|0)-k>>4;o=h>>>0>n>>>0;p=o?b+(n<<4)|0:c;c=p;n=c-e|0;e=n>>4;if(e|0)Mrc(k|0,b|0,n|0)|0;n=l+(e<<4)|0;if(o){o=d-c|0;if((o|0)<=0)return;Krc(f[m>>2]|0,p|0,o|0)|0;f[m>>2]=(f[m>>2]|0)+(o>>>4<<4);return}else{o=f[m>>2]|0;if((o|0)==(n|0))return;f[m>>2]=o+(~((o+-16-n|0)>>>4)<<4);return}}n=k;if(!k)q=j;else{j=a+4|0;o=f[j>>2]|0;if((o|0)!=(l|0))f[j>>2]=o+(~((o+-16-k|0)>>>4)<<4);Emc(n);f[i>>2]=0;f[j>>2]=0;f[a>>2]=0;q=0}if(h>>>0>268435455)Ukc(a);j=q>>3;n=q>>4>>>0<134217727?(j>>>0<h>>>0?h:j):268435455;if(n>>>0>268435455)Ukc(a);j=Bmc(n<<4)|0;h=a+4|0;f[h>>2]=j;f[a>>2]=j;f[i>>2]=j+(n<<4);if((g|0)<=0)return;Krc(j|0,b|0,g|0)|0;f[h>>2]=j+(g>>>4<<4);return}function fwa(a){a=a|0;var b=0,c=0,d=0;b=f[a+88>>2]|0;if(b|0){c=a+92|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-16-b|0)>>>4)<<4);Emc(b)}b=f[a+76>>2]|0;if(b|0){d=a+80|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+64>>2]|0;if(b|0){c=a+68|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+52>>2]|0;if(b|0){d=a+56|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-16-b|0)>>>4)<<4);Emc(b)}b=f[a+40>>2]|0;if(b|0){c=a+44|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+28>>2]|0;if(!b)return;d=a+32|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~(((a+-12-b|0)>>>0)/12|0)*12|0);Emc(b);return}function gwa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;d=c+8|0;e=c;g=a+224|0;h=a+248|0;i=f[h>>2]|0;if(i|0?(j=i+8|0,i=f[j>>2]|0,f[j>>2]=i+-1,(i|0)==1):0)vN(g);g=a+228|0;if((f[g>>2]|0)>0){i=f[a+256>>2]|0;j=0;do{f[i+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[g>>2]|0))}f[h>>2]=0;h=a+272|0;g=a+296|0;j=f[g>>2]|0;if(j|0?(i=j+8|0,j=f[i>>2]|0,f[i>>2]=j+-1,(j|0)==1):0)vN(h);h=a+276|0;if((f[h>>2]|0)>0){j=f[a+304>>2]|0;i=0;do{f[j+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[h>>2]|0))}f[g>>2]=0;g=a+320|0;h=a+344|0;i=f[h>>2]|0;if(i|0?(j=i+8|0,i=f[j>>2]|0,f[j>>2]=i+-1,(i|0)==1):0)vN(g);g=a+324|0;if((f[g>>2]|0)>0){i=f[a+352>>2]|0;j=0;do{f[i+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[g>>2]|0))}f[h>>2]=0;if(!(jwa(a+4|0,b)|0)){k=0;u=c;return k|0}kwa(d,f[a+8>>2]|0);h=a+104|0;g=f[d>>2]|0;j=f[d+4>>2]|0;if(g|0){i=g+4|0;f[i>>2]=(f[i>>2]|0)+1}i=f[h>>2]|0;f[h>>2]=g;g=a+108|0;f[g>>2]=j;if(i|0?(j=i+4|0,h=f[j>>2]|0,f[j>>2]=h+-1,(h|0)==1):0)ai[f[(f[i>>2]|0)+8>>2]&2047](i);i=f[d>>2]|0;if(i|0?(h=i+4|0,j=f[h>>2]|0,f[h>>2]=j+-1,(j|0)==1):0)ai[f[(f[i>>2]|0)+8>>2]&2047](i);R_(d,b,377244);if(!(f[d+4>>2]|0))l=0;else{b=f[g>>2]|0;g=f[(f[b>>2]|0)+8>>2]|0;f[e>>2]=f[a+24>>2];f[e+4>>2]=f[a+28>>2];l=ki[g&511](b,d,e)|0}k=l;u=c;return k|0}function hwa(a){a=a|0;Emc(a);return}function iwa(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=b;f[c>>2]=f[a+8>>2];Uwa(c);if(!a){u=b;return}ai[f[(f[a>>2]|0)+4>>2]&2047](a);u=b;return}function jwa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0;d=u;u=u+512|0;e=d+16|0;g=d+480|0;h=d+464|0;i=d+504|0;j=d+496|0;k=d+8|0;l=d+488|0;m=d+420|0;o=d+376|0;p=d;q=d+352|0;r=d+472|0;s=d+292|0;t=d+248|0;v=d+232|0;w=d+216|0;x=d+200|0;y=d+196|0;z=d+152|0;A=d+108|0;B=d+64|0;C=d+368|0;D=d+344|0;E=d+336|0;F=d+60|0;G=d+240|0;H=d+224|0;I=d+208|0;R_(e,c,377253);f[g>>2]=0;f[g+4>>2]=0;e$(e,g,g);J=f[g>>2]|0;if((J|0)!=377263?o7b((J|0)==0?1163146:J,377263)|0:0){K=0;ZG(g);u=d;return K|0}f[a>>2]=0;R_(e,c,377269);f[h>>2]=0;f[h+4>>2]=0;e$(e,h,h);J=f[h>>2]|0;if((J|0)!=377281?(L=(J|0)==0?1163146:J,(o7b(L,377281)|0)!=0):0)if((J|0)!=377286?(o7b(L,377286)|0)!=0:0){if((J|0)==377290){M=a+4|0;f[M>>2]=2;f[e>>2]=0;N=e+4|0;f[N>>2]=0;O=YG(e,35)|0;P=O;Q=377294;R=P+35|0;do{b[P>>0]=b[Q>>0]|0;P=P+1|0;Q=Q+1|0}while((P|0)<(R|0));SQ(-213,e,386937,374120,1472)}if(!(o7b(L,377290)|0)){M=a+4|0;f[M>>2]=2;f[e>>2]=0;N=e+4|0;f[N>>2]=0;O=YG(e,35)|0;P=O;Q=377294;R=P+35|0;do{b[P>>0]=b[Q>>0]|0;P=P+1|0;Q=Q+1|0}while((P|0)<(R|0));SQ(-213,e,386937,374120,1472)}else S=0}else{T=1;U=10}else{T=0;U=10}if((U|0)==10){f[a+4>>2]=T;R_(i,c,473145);b$(i,e,0);i=a+20|0;f[i>>2]=f[e>>2];R_(j,c,473280);b$(j,e,0);j=f[e>>2]|0;f[a+24>>2]=j;if((j|0)<=0){f[e>>2]=0;V=e+4|0;f[V>>2]=0;W=YG(e,47)|0;P=W;Q=377330;R=P+47|0;do{b[P>>0]=b[Q>>0]|0;P=P+1|0;Q=Q+1|0}while((P|0)<(R|0));SQ(-215,e,386937,374120,1479)}if((f[i>>2]|0)<=0){f[e>>2]=0;V=e+4|0;f[V>>2]=0;W=YG(e,47)|0;P=W;Q=377330;R=P+47|0;do{b[P>>0]=b[Q>>0]|0;P=P+1|0;Q=Q+1|0}while((P|0)<(R|0));SQ(-215,e,386937,374120,1479)}R_(k,c,377378);W=k+4|0;if((f[W>>2]|0)!=0?(R_(l,k,377392),b$(l,e,0),l=f[e>>2]|0,f[a+8>>2]=l,V=(l+31|0)/32|0,i=(l|0)>0,l=i?V+3|0:4,R_(e,c,378308),c=e,j=f[c>>2]|0,T=f[c+4>>2]|0,c=k,f[c>>2]=j,f[c+4>>2]=T,!(T>>>0<1|(T|0)==1&j>>>0<0)):0){j=a+28|0;lwa(j,T_(k)|0);T=a+40|0;c=f[T>>2]|0;O=a+44|0;N=f[O>>2]|0;if((N|0)!=(c|0))f[O>>2]=N+(~((N+-4-c|0)>>>2)<<2);c=a+52|0;N=f[c>>2]|0;M=a+56|0;L=f[M>>2]|0;if((L|0)!=(N|0))f[M>>2]=L+(~((L+-16-N|0)>>>4)<<4);N=a+88|0;L=f[N>>2]|0;J=a+92|0;X=f[J>>2]|0;if((X|0)!=(L|0))f[J>>2]=X+(~((X+-16-L|0)>>>4)<<4);S_(m,f[k>>2]|0,f[W>>2]|0,0);L=f[k>>2]|0;X=f[W>>2]|0;S_(o,L,X,T_(k)|0);k=a+12|0;f[k>>2]=2147483647;X=a+16|0;f[X>>2]=0;L=m+4|0;W=o+4|0;Z=m+20|0;_=o+20|0;$=m+40|0;aa=o+40|0;ba=p+4|0;ca=q+8|0;da=q+4|0;ea=a+32|0;fa=a+36|0;ga=s+4|0;ha=t+4|0;ia=s+20|0;ja=t+20|0;ka=s+40|0;la=t+40|0;ma=v+4|0;na=w+4|0;oa=x+4|0;pa=a+48|0;qa=a+64|0;ra=a+68|0;sa=a+76|0;ta=a+80|0;ua=z+4|0;va=A+4|0;wa=z+20|0;xa=A+20|0;ya=z+40|0;za=A+40|0;Aa=C+4|0;Ba=B+8|0;Ca=D+4|0;Da=B+12|0;Ea=E+4|0;Fa=a+60|0;Ga=H+4|0;Ha=B+4|0;Ia=G+4|0;Ja=a+84|0;Ka=I+4|0;La=a+72|0;Ma=0;a:while(1){Na=f[m>>2]|0;Oa=Na;if((((Na|0)==(f[o>>2]|0)?(f[L>>2]|0)==(f[W>>2]|0):0)?(f[Z>>2]|0)==(f[_>>2]|0):0)?(f[$>>2]|0)==(f[aa>>2]|0):0){U=71;break}Na=f[Z>>2]|0;f[p>>2]=Oa;f[ba>>2]=Na;R_(r,p,377404);c$(r,e,0.0);n[ca>>2]=+n[e>>2]+-9.999999747378752e-06;R_(e,p,377419);Na=e;Oa=f[Na>>2]|0;Pa=f[Na+4>>2]|0;Na=p;f[Na>>2]=Oa;f[Na+4>>2]=Pa;if(Pa>>>0<1|(Pa|0)==1&Oa>>>0<0){U=27;break}Oa=T_(p)|0;f[da>>2]=Oa;f[q>>2]=(f[O>>2]|0)-(f[T>>2]|0)>>2;Oa=f[ea>>2]|0;if((Oa|0)==(f[fa>>2]|0))mwa(j,q);else{f[Oa>>2]=f[q>>2];f[Oa+4>>2]=f[q+4>>2];f[Oa+8>>2]=f[q+8>>2];f[ea>>2]=(f[ea>>2]|0)+12}Oa=f[j>>2]|0;nwa(T,(f[Oa+(Ma*12|0)+4>>2]|0)+(f[Oa+(Ma*12|0)>>2]|0)|0);S_(s,f[p>>2]|0,f[ba>>2]|0,0);Oa=f[p>>2]|0;Pa=f[ba>>2]|0;S_(t,Oa,Pa,T_(p)|0);while(1){Pa=f[s>>2]|0;Oa=Pa;if((((Pa|0)==(f[t>>2]|0)?(f[ga>>2]|0)==(f[ha>>2]|0):0)?(f[ia>>2]|0)==(f[ja>>2]|0):0)?(f[ka>>2]|0)==(f[la>>2]|0):0)break;Pa=f[ia>>2]|0;f[v>>2]=Oa;f[ma>>2]=Pa;R_(w,v,377435);R_(x,v,377449);if((f[na>>2]|0)==0|(f[oa>>2]|0)==0){U=69;break a}Pa=(T_(w)|0)/(l|0)|0;f[y>>2]=Pa;Oa=f[k>>2]|0;f[k>>2]=(Pa|0)<(Oa|0)?Pa:Oa;Oa=f[X>>2]|0;f[X>>2]=(Oa|0)<(Pa|0)?Pa:Oa;Oa=f[O>>2]|0;if((Oa|0)==(f[pa>>2]|0))owa(T,y);else{f[Oa>>2]=Pa;f[O>>2]=Oa+4}pwa(c,((f[M>>2]|0)-(f[c>>2]|0)>>4)+(f[y>>2]|0)|0);Oa=f[ra>>2]|0;Pa=f[qa>>2]|0;qwa(qa,(Oa-Pa>>2)+(T_(x)|0)|0);if(i)rwa(sa,((f[ta>>2]|0)-(f[sa>>2]|0)>>2)+(Y(f[y>>2]|0,V)|0)|0);S_(z,f[w>>2]|0,f[na>>2]|0,0);Pa=f[w>>2]|0;Oa=f[na>>2]|0;S_(A,Pa,Oa,T_(w)|0);b:while(1){Oa=f[z>>2]|0;Pa=Oa;do if((Oa|0)==(f[A>>2]|0)){if((f[ua>>2]|0)!=(f[va>>2]|0))break;if((f[wa>>2]|0)!=(f[xa>>2]|0))break;if((f[ya>>2]|0)==(f[za>>2]|0))break b}while(0);Oa=f[wa>>2]|0;f[C>>2]=Pa;f[Aa>>2]=Oa;b$(C,e,0);f[Ba>>2]=f[e>>2];U_(z)|0;Oa=f[wa>>2]|0;f[D>>2]=f[z>>2];f[Ca>>2]=Oa;b$(D,e,0);f[Da>>2]=f[e>>2];U_(z)|0;Oa=f[wa>>2]|0;f[E>>2]=f[z>>2];f[Ea>>2]=Oa;b$(E,e,0);f[B>>2]=f[e>>2];U_(z)|0;if(i){Oa=0;while(1){if((Oa|0)>=(V|0))break;Na=f[wa>>2]|0;f[G>>2]=f[z>>2];f[Ia>>2]=Na;b$(G,e,0);Na=f[e>>2]|0;f[F>>2]=Na;Qa=f[ta>>2]|0;if((Qa|0)==(f[Ja>>2]|0))MR(sa,F);else{f[Qa>>2]=Na;f[ta>>2]=Qa+4}U_(z)|0;Oa=Oa+1|0}n[Ha>>2]=0.0}else{Oa=f[wa>>2]|0;f[H>>2]=f[z>>2];f[Ga>>2]=Oa;c$(H,e,0.0);f[Ha>>2]=f[e>>2];U_(z)|0}Oa=f[M>>2]|0;if((Oa|0)==(f[Fa>>2]|0))swa(c,B);else{f[Oa>>2]=f[B>>2];f[Oa+4>>2]=f[B+4>>2];f[Oa+8>>2]=f[B+8>>2];f[Oa+12>>2]=f[B+12>>2];f[M>>2]=(f[M>>2]|0)+16}}S_(e,f[x>>2]|0,f[oa>>2]|0,0);P=z;Q=e;R=P+44|0;do{f[P>>2]=f[Q>>2];P=P+4|0;Q=Q+4|0}while((P|0)<(R|0));Oa=f[x>>2]|0;Pa=f[oa>>2]|0;S_(B,Oa,Pa,T_(x)|0);P=A;Q=B;R=P+44|0;do{f[P>>2]=f[Q>>2];P=P+4|0;Q=Q+4|0}while((P|0)<(R|0));c:while(1){Pa=f[z>>2]|0;Oa=Pa;do if((Pa|0)==(f[A>>2]|0)){if((f[ua>>2]|0)!=(f[va>>2]|0))break;if((f[wa>>2]|0)!=(f[xa>>2]|0))break;if((f[ya>>2]|0)==(f[za>>2]|0))break c}while(0);Pa=f[wa>>2]|0;f[I>>2]=Oa;f[Ka>>2]=Pa;c$(I,e,0.0);Pa=f[e>>2]|0;f[B>>2]=Pa;Qa=f[ra>>2]|0;if((Qa|0)==(f[La>>2]|0))tua(qa,B);else{f[Qa>>2]=Pa;f[ra>>2]=Qa+4}U_(z)|0}U_(s)|0}U_(m)|0;Ma=Ma+1|0}d:do if((U|0)==27)Ra=0;else if((U|0)==69)Ra=0;else if((U|0)==71)if((f[X>>2]|0)==1?(Ma=f[j>>2]|0,m=(f[ea>>2]|0)-Ma|0,s=(m|0)/12|0,(m|0)!=0):0){m=a+64|0;z=e+4|0;ra=e+8|0;B=e+12|0;qa=a+96|0;La=0;I=0;Ka=0;wa=Ma;while(1){Ma=f[wa+(La*12|0)+4>>2]|0;if((Ma|0)>0){za=0;ya=I;xa=Ka;while(1){va=f[c>>2]|0;ua=f[va+(xa<<4)+4>>2]|0;A=f[m>>2]|0;Q=f[A+(ya<<2)>>2]|0;P=f[A+(ya+1<<2)>>2]|0;f[e>>2]=f[va+(xa<<4)>>2];f[z>>2]=ua;f[ra>>2]=Q;f[B>>2]=P;P=f[J>>2]|0;if((P|0)==(f[qa>>2]|0))twa(N,e);else{f[P>>2]=f[e>>2];f[P+4>>2]=f[e+4>>2];f[P+8>>2]=f[e+8>>2];f[P+12>>2]=f[e+12>>2];f[J>>2]=(f[J>>2]|0)+16}za=za+1|0;P=xa+1|0;Q=ya+2|0;if((za|0)>=(Ma|0)){Sa=Q;Ta=P;break}else{ya=Q;xa=P}}}else{Sa=I;Ta=Ka}xa=La+1|0;if(xa>>>0>=s>>>0){Ra=1;break d}La=xa;I=Sa;Ka=Ta;wa=f[j>>2]|0}}else Ra=1;while(0);Ua=Ra}else Ua=0;S=Ua}ZG(h);K=S;ZG(g);u=d;return K|0}function kwa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;switch(c|0){case 0:{c=Bmc(436)|0;d=c+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[c+44>>2]=1124007936;d=c+52|0;e=c+84|0;g=c+48|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=c+92|0;f[c+88>>2]=d;f[d>>2]=0;f[c+96>>2]=0;f[c+100>>2]=1124007936;d=c+108|0;e=c+140|0;g=c+104|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=c+148|0;f[c+144>>2]=d;f[d>>2]=0;f[c+152>>2]=0;f[c+156>>2]=1124007936;d=c+160|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[d+24>>2]=0;f[c+188>>2]=c+164;d=c+196|0;f[c+192>>2]=d;f[c+200>>2]=0;f[d>>2]=0;f[c+204>>2]=1124007936;d=c+208|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[d+24>>2]=0;f[c+236>>2]=c+212;d=c+244|0;f[c+240>>2]=d;f[c+248>>2]=0;f[d>>2]=0;f[c+252>>2]=1124007936;d=c+256|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[d+24>>2]=0;f[c+284>>2]=c+260;d=c+292|0;f[c+288>>2]=d;f[c+296>>2]=0;f[d>>2]=0;f[c+300>>2]=1124007936;d=c+304|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[d+24>>2]=0;f[c+332>>2]=c+308;d=c+340|0;f[c+336>>2]=d;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[c>>2]=107324;d=c+356|0;e=c+24|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;g=c+392|0;h=g+40|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=4;f[c+28>>2]=2;f[c+32>>2]=0;f[c+36>>2]=0;f[c+40>>2]=0;f[c+384>>2]=0;f[c+388>>2]=0;n[c+432>>2]=0.0;b[c+380>>0]=0;e=Bmc(16)|0;f[e+4>>2]=1;f[e>>2]=107424;f[e+8>>2]=c;f[a>>2]=e;f[a+4>>2]=c;return}case 1:{c=Bmc(388)|0;tva(c);e=Bmc(16)|0;f[e+4>>2]=1;f[e>>2]=107544;f[e+8>>2]=c;f[a>>2]=e;f[a+4>>2]=c;return}default:{f[a>>2]=0;f[a+4>>2]=0;return}}}function lwa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=a+8|0;d=f[a>>2]|0;if((((f[c>>2]|0)-d|0)/12|0)>>>0>=b>>>0)return;e=a+4|0;if(b>>>0>357913941){g=ye(8)|0;Jmc(g,511852);f[g>>2]=165276;Gf(g|0,26776,1555)}g=(f[e>>2]|0)-d|0;h=Bmc(b*12|0)|0;i=h+(((g|0)/12|0)*12|0)|0;j=i+(((g|0)/-12|0)*12|0)|0;if((g|0)>0)Krc(j|0,d|0,g|0)|0;f[a>>2]=j;f[e>>2]=i;f[c>>2]=h+(b*12|0);if(!d)return;Emc(d);return}function mwa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=(e|0)/12|0;h=g+1|0;if(h>>>0>357913941)Ukc(a);i=a+8|0;j=((f[i>>2]|0)-d|0)/12|0;k=j<<1;l=j>>>0<178956970?(k>>>0<h>>>0?h:k):357913941;do if(l)if(l>>>0>357913941){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l*12|0)|0;break}else m=0;while(0);k=m+(g*12|0)|0;f[k>>2]=f[b>>2];f[k+4>>2]=f[b+4>>2];f[k+8>>2]=f[b+8>>2];b=k+(((e|0)/-12|0)*12|0)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+12;f[i>>2]=m+(l*12|0);if(!d)return;Emc(d);return}function nwa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[a>>2]|0;if((f[c>>2]|0)-d>>2>>>0>=b>>>0)return;e=a+4|0;if(b>>>0>1073741823){g=ye(8)|0;Jmc(g,511852);f[g>>2]=165276;Gf(g|0,26776,1555)}g=(f[e>>2]|0)-d|0;h=g>>2;i=Bmc(b<<2)|0;j=i+(h<<2)|0;k=j+(0-h<<2)|0;if((g|0)>0)Krc(k|0,d|0,g|0)|0;f[a>>2]=k;f[e>>2]=j;f[c>>2]=i+(b<<2);if(!d)return;Emc(d);return}function owa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;Emc(d);return}function pwa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[a>>2]|0;if((f[c>>2]|0)-d>>4>>>0>=b>>>0)return;e=a+4|0;if(b>>>0>268435455){g=ye(8)|0;Jmc(g,511852);f[g>>2]=165276;Gf(g|0,26776,1555)}g=(f[e>>2]|0)-d|0;h=g>>4;i=Bmc(b<<4)|0;j=i+(h<<4)|0;k=j+(0-h<<4)|0;if((g|0)>0)Krc(k|0,d|0,g|0)|0;f[a>>2]=k;f[e>>2]=j;f[c>>2]=i+(b<<4);if(!d)return;Emc(d);return}function qwa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[a>>2]|0;if((f[c>>2]|0)-d>>2>>>0>=b>>>0)return;e=a+4|0;if(b>>>0>1073741823){g=ye(8)|0;Jmc(g,511852);f[g>>2]=165276;Gf(g|0,26776,1555)}g=(f[e>>2]|0)-d|0;h=g>>2;i=Bmc(b<<2)|0;j=i+(h<<2)|0;k=j+(0-h<<2)|0;if((g|0)>0)Krc(k|0,d|0,g|0)|0;f[a>>2]=k;f[e>>2]=j;f[c>>2]=i+(b<<2);if(!d)return;Emc(d);return}function rwa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[a>>2]|0;if((f[c>>2]|0)-d>>2>>>0>=b>>>0)return;e=a+4|0;if(b>>>0>1073741823){g=ye(8)|0;Jmc(g,511852);f[g>>2]=165276;Gf(g|0,26776,1555)}g=(f[e>>2]|0)-d|0;h=g>>2;i=Bmc(b<<2)|0;j=i+(h<<2)|0;k=j+(0-h<<2)|0;if((g|0)>0)Krc(k|0,d|0,g|0)|0;f[a>>2]=k;f[e>>2]=j;f[c>>2]=i+(b<<2);if(!d)return;Emc(d);return}function swa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>4;h=g+1|0;if(h>>>0>268435455)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>3;l=j>>4>>>0<134217727?(k>>>0<h>>>0?h:k):268435455;do if(l)if(l>>>0>268435455){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<4)|0;break}else m=0;while(0);k=m+(g<<4)|0;f[k>>2]=f[b>>2];f[k+4>>2]=f[b+4>>2];f[k+8>>2]=f[b+8>>2];f[k+12>>2]=f[b+12>>2];b=k+(0-g<<4)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+16;f[i>>2]=m+(l<<4);if(!d)return;Emc(d);return}function twa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>4;h=g+1|0;if(h>>>0>268435455)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>3;l=j>>4>>>0<134217727?(k>>>0<h>>>0?h:k):268435455;do if(l)if(l>>>0>268435455){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<4)|0;break}else m=0;while(0);k=m+(g<<4)|0;f[k>>2]=f[b>>2];f[k+4>>2]=f[b+4>>2];f[k+8>>2]=f[b+8>>2];f[k+12>>2]=f[b+12>>2];b=k+(0-g<<4)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+16;f[i>>2]=m+(l<<4);if(!d)return;Emc(d);return}function uwa(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0;d=u;u=u+16|0;e=d;zT(e,107716);Sva(a,b,c,0,0);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function vwa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0;e=u;u=u+16|0;g=e;zT(g,107936);Sva(a,c,d,b,0);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function wwa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var g=0,h=0;g=u;u=u+16|0;h=g;zT(h,107696);Sva(a,d,e,b,c);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function xwa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0.0,J=0.0,K=0,L=0;g=u;u=u+192|0;h=g+172|0;i=g+160|0;j=g+148|0;k=g+136|0;l=g+88|0;m=g;n=g+120|0;o=g+112|0;zT(o,107996);q=f[e>>2]|0;r=f[e+4>>2]|0;e=a+4|0;s=f[e>>2]|0;t=f[a>>2]|0;v=s-t|0;w=v>>4;f[h>>2]=0;x=h+4|0;f[x>>2]=0;f[h+8>>2]=0;y=(w|0)==0;z=t;A=s;do if(!y)if(w>>>0>178956970)Ukc(h);else{s=w*24|0;B=Bmc(s)|0;f[h>>2]=B;f[h+8>>2]=B+(w*24|0);Drc(B|0,0,s|0)|0;f[x>>2]=B+s;C=B;break}else C=0;while(0);f[i>>2]=0;B=i+4|0;f[B>>2]=0;f[i+8>>2]=0;f[j>>2]=0;s=j+4|0;f[s>>2]=0;f[j+8>>2]=0;if(y)D=0;else{y=v>>1;E=Bmc(y)|0;f[j>>2]=E;F=E+(w<<3)|0;f[j+8>>2]=F;Drc(E|0,0,y|0)|0;f[s>>2]=F;D=E}f[k>>2]=0;E=k+4|0;f[E>>2]=0;f[k+8>>2]=0;if((v|0)>0){v=f[b>>2]|0;F=f[c>>2]|0;c=0;do{p[D+(c<<3)>>3]=+p[v+(c<<3)>>3];y=(f[z+(c<<4)+12>>2]|0)+(f[z+(c<<4)+4>>2]<<1)|0;G=V9b(+((f[z+(c<<4)+8>>2]|0)+(f[z+(c<<4)>>2]<<1)|0)*.5)|0;H=+(V9b(+(y|0)*.5)|0);I=+W(+(+p[F+(c<<3)>>3]));p[C+(c*24|0)>>3]=+(G|0);p[C+(c*24|0)+8>>3]=H;p[C+(c*24|0)+16>>3]=I;c=c+1|0}while((c|0)<(w|0))}if((A|0)!=(z|0))f[e>>2]=A+(~((A+-16-t|0)>>>4)<<4);t=f[b>>2]|0;A=b+4|0;z=f[A>>2]|0;if((z|0)!=(t|0))f[A>>2]=z+(~((z+-8-t|0)>>>3)<<3);p[l>>3]=8.0;p[l+8>>3]=16.0;p[l+16>>3]=.26236426446749106;ywa(m,l,h,j,1.0e-05,100);zwa(m,i,k,1.0);l=f[i>>2]|0;if((f[B>>2]|0)!=(l|0)){t=n+4|0;z=n+8|0;w=n+12|0;c=a+8|0;C=b+8|0;I=+(q|0);H=+(r|0);r=0;q=l;do{l=q;J=+V(+(+p[l+(r*24|0)+16>>3]));F=~~(I*J);v=~~(H*J);D=~~(+p[l+(r*24|0)>>3]-+((F|0)/2|0|0));G=~~(+p[l+(r*24|0)+8>>3]-+((v|0)/2|0|0));f[n>>2]=D;f[t>>2]=G;f[z>>2]=F;f[w>>2]=v;l=f[k>>2]|0;do if(+p[l+(r<<3)>>3]>d){y=f[e>>2]|0;if((y|0)==(f[c>>2]|0)){Yta(a,n);K=f[k>>2]|0}else{f[y>>2]=D;f[y+4>>2]=G;f[y+8>>2]=F;f[y+12>>2]=v;f[e>>2]=y+16;K=l}y=K+(r<<3)|0;L=f[A>>2]|0;if((L|0)==(f[C>>2]|0)){$ta(b,y);break}else{p[L>>3]=+p[y>>3];f[A>>2]=L+8;break}}while(0);r=r+1|0;q=f[i>>2]|0}while(r>>>0<(((f[B>>2]|0)-q|0)/24|0)>>>0)}q=f[m+64>>2]|0;if(q|0){r=m+68|0;A=f[r>>2]|0;if((A|0)!=(q|0))f[r>>2]=A+(~(((A+-24-q|0)>>>0)/24|0)*24|0);Emc(q)}q=f[m+52>>2]|0;if(q|0){A=m+56|0;r=f[A>>2]|0;if((r|0)!=(q|0))f[A>>2]=r+(~(((r+-24-q|0)>>>0)/24|0)*24|0);Emc(q)}q=f[m+12>>2]|0;if(q|0){r=m+16|0;A=f[r>>2]|0;if((A|0)!=(q|0))f[r>>2]=A+(~((A+-8-q|0)>>>3)<<3);Emc(q)}q=f[m>>2]|0;if(q|0){A=m+4|0;m=f[A>>2]|0;if((m|0)!=(q|0))f[A>>2]=m+(~(((m+-24-q|0)>>>0)/24|0)*24|0);Emc(q)}q=f[k>>2]|0;if(q|0){k=f[E>>2]|0;if((k|0)!=(q|0))f[E>>2]=k+(~((k+-8-q|0)>>>3)<<3);Emc(q)}q=f[j>>2]|0;if(q|0){j=f[s>>2]|0;if((j|0)!=(q|0))f[s>>2]=j+(~((j+-8-q|0)>>>3)<<3);Emc(q)}q=f[i>>2]|0;if(q|0){i=f[B>>2]|0;if((i|0)!=(q|0))f[B>>2]=i+(~(((i+-24-q|0)>>>0)/24|0)*24|0);Emc(q)}q=f[h>>2]|0;if(q|0){h=f[x>>2]|0;if((h|0)!=(q|0))f[x>>2]=h+(~(((h+-24-q|0)>>>0)/24|0)*24|0);Emc(q)}if(!(f[o+4>>2]|0)){u=g;return}u=g;return}function ywa(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0;h=u;u=u+48|0;i=h+24|0;j=h;k=a+4|0;l=a+12|0;m=a+52|0;n=a+56|0;o=a+64|0;q=a+68|0;r=a;s=r+48|0;do{f[r>>2]=0;r=r+4|0}while((r|0)<(s|0));f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;p[a+24>>3]=+p[b>>3];r=a+32|0;p[r>>3]=+p[b+8>>3];s=a+40|0;p[s>>3]=+p[b+16>>3];if((l|0)!=(d|0))Cwa(l,f[d>>2]|0,f[d+4>>2]|0);if((a|0)==(c|0))t=c+4|0;else{d=c+4|0;Dwa(a,f[c>>2]|0,f[d>>2]|0);t=d}d=((f[t>>2]|0)-(f[c>>2]|0)|0)/24|0;c=a+48|0;f[c>>2]=d;t=f[n>>2]|0;l=f[m>>2]|0;b=(t-l|0)/24|0;v=l;l=t;if(d>>>0<=b>>>0)if(d>>>0<b>>>0?(t=v+(d*24|0)|0,(l|0)!=(t|0)):0){f[n>>2]=l+(~(((l+-24-t|0)>>>0)/24|0)*24|0);w=d}else w=d;else{Ewa(m,d-b|0);w=f[c>>2]|0}c=f[q>>2]|0;b=f[o>>2]|0;d=(c-b|0)/24|0;t=b;b=c;if(w>>>0<=d>>>0){if(w>>>0<d>>>0?(c=t+(w*24|0)|0,(b|0)!=(c|0)):0)f[q>>2]=b+(~(((b+-24-c|0)>>>0)/24|0)*24|0)}else Ewa(o,w-d|0);d=a+76|0;f[d>>2]=g;g=a+80|0;p[g>>3]=e;w=f[a>>2]|0;if((f[k>>2]|0)==(w|0)){u=h;return}c=i+8|0;b=i+16|0;q=i+8|0;t=i+16|0;l=j+8|0;n=j+16|0;v=a+24|0;x=0;y=w;do{Fwa(i,a,y+(x*24|0)|0);w=f[m>>2]|0;z=w+(x*24|0)|0;p[z>>3]=+p[i>>3];A=w+(x*24|0)+8|0;p[A>>3]=+p[c>>3];B=w+(x*24|0)+16|0;p[B>>3]=+p[b>>3];e=+p[z>>3];C=+p[A>>3];D=+p[B>>3];f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;if((f[d>>2]|0)>0){B=0;E=D;F=e;G=C;do{p[i>>3]=F;p[q>>3]=G;p[t>>3]=E;Fwa(j,a,i);F=+p[j>>3];G=+p[l>>3];E=+p[n>>3];H=+p[t>>3];I=+V(+H);J=(+p[i>>3]-F)/(+p[v>>3]*I);K=(+p[q>>3]-G)/(+p[r>>3]*I);I=(H-E)/+p[s>>3];B=B+1|0;if(I*I+(K*K+J*J)<=+p[g>>3])break}while((B|0)<(f[d>>2]|0));L=F;M=G;N=E;O=f[m>>2]|0}else{L=e;M=C;N=D;O=w}B=f[o>>2]|0;p[B+(x*24|0)>>3]=L;p[B+(x*24|0)+8>>3]=M;p[B+(x*24|0)+16>>3]=N;y=f[a>>2]|0;J=+p[y+(x*24|0)+8>>3];K=+p[y+(x*24|0)+16>>3];B=O+(x*24|0)|0;p[B>>3]=+p[B>>3]-+p[y+(x*24|0)>>3];B=O+(x*24|0)+8|0;p[B>>3]=+p[B>>3]-J;B=O+(x*24|0)+16|0;p[B>>3]=+p[B>>3]-K;x=x+1|0}while(x>>>0<(((f[k>>2]|0)-y|0)/24|0)>>>0);u=h;return}function zwa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0,z=0.0,A=0.0,B=0.0,C=0,D=0.0,E=0.0,F=0.0,G=0.0,H=0,I=0,J=0,K=0;e=a+64|0;g=a+68|0;h=f[e>>2]|0;i=b+4|0;if((f[g>>2]|0)!=(h|0)){j=b+8|0;k=a+24|0;l=a+32|0;m=a+40|0;n=0;o=h;while(1){h=o;q=f[i>>2]|0;r=f[b>>2]|0;s=r;t=q;a:do if((q|0)==(r|0))u=14;else{v=+p[k>>3];w=+p[l>>3];x=+p[m>>3];y=(q-r|0)/24|0;z=+p[h+(n*24|0)>>3];A=+p[h+(n*24|0)+8>>3];B=+p[h+(n*24|0)+16>>3];C=0;while(1){D=+p[s+(C*24|0)+16>>3];E=+V(+D);F=(+p[s+(C*24|0)>>3]-z)/(v*E);G=(+p[s+(C*24|0)+8>>3]-A)/(w*E);E=(D-B)/x;C=C+1|0;if(E*E+(G*G+F*F)<d){H=o;break a}if(C>>>0>=y>>>0){u=14;break}}}while(0);do if((u|0)==14){u=0;s=h+(n*24|0)|0;if((t|0)==(f[j>>2]|0)){Awa(b,s);H=f[e>>2]|0;break}else{p[t>>3]=+p[s>>3];p[t+8>>3]=+p[h+(n*24|0)+8>>3];p[t+16>>3]=+p[h+(n*24|0)+16>>3];f[i>>2]=t+24;H=o;break}}while(0);n=n+1|0;if(n>>>0>=(((f[g>>2]|0)-H|0)/24|0)>>>0)break;else o=H}}H=f[i>>2]|0;o=f[b>>2]|0;g=(H-o|0)/24|0;n=c+4|0;e=f[n>>2]|0;j=f[c>>2]|0;u=e-j>>3;m=j;j=e;e=o;if(g>>>0<=u>>>0)if(g>>>0<u>>>0?(l=m+(g<<3)|0,(j|0)!=(l|0)):0){f[n>>2]=j+(~((j+-8-l|0)>>>3)<<3);I=e;J=H;K=o}else{I=e;J=H;K=o}else{m6(c,g-u|0);u=f[b>>2]|0;I=u;J=f[i>>2]|0;K=u}if((J|0)==(K|0))return;K=0;J=I;do{d=+Bwa(a,J+(K*24|0)|0);p[(f[c>>2]|0)+(K<<3)>>3]=d;K=K+1|0;J=f[b>>2]|0}while(K>>>0<(((f[i>>2]|0)-J|0)/24|0)>>>0);return}function Awa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=(d-e|0)/24|0;h=g+1|0;i=e;j=d;if(h>>>0>178956970)Ukc(a);d=a+8|0;k=((f[d>>2]|0)-e|0)/24|0;l=k<<1;m=k>>>0<89478485?(l>>>0<h>>>0?h:l):178956970;do if(m)if(m>>>0>178956970){l=ye(8)|0;Jmc(l,511852);f[l>>2]=165276;Gf(l|0,26776,1555)}else{n=Bmc(m*24|0)|0;break}else n=0;while(0);l=n+(g*24|0)|0;h=n+(m*24|0)|0;p[l>>3]=+p[b>>3];p[n+(g*24|0)+8>>3]=+p[b+8>>3];p[n+(g*24|0)+16>>3]=+p[b+16>>3];b=l+24|0;if((j|0)==(i|0))o=l;else{g=j;j=l;while(1){l=g;g=g+-24|0;p[j+-24>>3]=+p[g>>3];p[j+-16>>3]=+p[l+-16>>3];p[j+-8>>3]=+p[l+-8>>3];l=j+-24|0;if((g|0)==(i|0)){o=l;break}else j=l}}f[a>>2]=o;f[c>>2]=b;f[d>>2]=h;if(!e)return;Emc(e);return}function Bwa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0.0,h=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0;c=f[a+4>>2]|0;d=f[a>>2]|0;e=d;if((c|0)==(d|0)){g=0.0;return +g}h=+p[a+24>>3];i=+p[a+32>>3];j=+p[a+40>>3];k=+p[b>>3];l=+p[b+8>>3];m=+p[b+16>>3];b=f[a+12>>2]|0;a=(c-d|0)/24|0;n=0.0;d=0;while(1){o=+p[e+(d*24|0)+16>>3];q=+V(+o);r=h*q;s=i*q;q=(+p[e+(d*24|0)>>3]-k)/r;t=(+p[e+(d*24|0)+8>>3]-l)/s;u=(o-m)/j;o=n+ +p[b+(d<<3)>>3]*+V(+((q*q+t*t+u*u)*-.5))/+M(+(j+(r+s)));d=d+1|0;if(d>>>0>=a>>>0){g=o;break}else n=o}return +g}function Cwa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=c;e=b;g=d-e|0;h=g>>3;i=a+8|0;j=f[i>>2]|0;k=f[a>>2]|0;l=k;if(h>>>0<=j-k>>3>>>0){m=a+4|0;n=(f[m>>2]|0)-k>>3;o=h>>>0>n>>>0;p=o?b+(n<<3)|0:c;c=p;n=c-e|0;e=n>>3;if(e|0)Mrc(k|0,b|0,n|0)|0;n=l+(e<<3)|0;if(o){o=d-c|0;if((o|0)<=0)return;Krc(f[m>>2]|0,p|0,o|0)|0;f[m>>2]=(f[m>>2]|0)+(o>>>3<<3);return}else{o=f[m>>2]|0;if((o|0)==(n|0))return;f[m>>2]=o+(~((o+-8-n|0)>>>3)<<3);return}}n=k;if(!k)q=j;else{j=a+4|0;o=f[j>>2]|0;if((o|0)!=(l|0))f[j>>2]=o+(~((o+-8-k|0)>>>3)<<3);Emc(n);f[i>>2]=0;f[j>>2]=0;f[a>>2]=0;q=0}if(h>>>0>536870911)Ukc(a);j=q>>2;n=q>>3>>>0<268435455?(j>>>0<h>>>0?h:j):536870911;if(n>>>0>536870911)Ukc(a);j=Bmc(n<<3)|0;h=a+4|0;f[h>>2]=j;f[a>>2]=j;f[i>>2]=j+(n<<3);if((g|0)<=0)return;Krc(j|0,b|0,g|0)|0;f[h>>2]=j+(g>>>3<<3);return}function Dwa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0;d=(c-b|0)/24|0;e=a+8|0;g=f[e>>2]|0;h=f[a>>2]|0;i=h;if(d>>>0<=((g-h|0)/24|0)>>>0){j=a+4|0;k=f[j>>2]|0;l=(k-h|0)/24|0;m=d>>>0>l>>>0;n=b+(l*24|0)|0;l=m?n:c;o=k;if((l|0)==(b|0))q=i;else{k=b;r=i;while(1){p[r>>3]=+p[k>>3];p[r+8>>3]=+p[k+8>>3];p[r+16>>3]=+p[k+16>>3];k=k+24|0;s=r+24|0;if((k|0)==(l|0)){q=s;break}else r=s}}if(!m){if((o|0)==(q|0))return;f[j>>2]=o+(~(((o+-24-q|0)>>>0)/24|0)*24|0);return}if((l|0)==(c|0))return;l=n;n=f[j>>2]|0;do{p[n>>3]=+p[l>>3];p[n+8>>3]=+p[l+8>>3];p[n+16>>3]=+p[l+16>>3];l=l+24|0;n=n+24|0}while((l|0)!=(c|0));f[j>>2]=n;return}n=h;if(!h)t=g;else{g=a+4|0;j=f[g>>2]|0;if((j|0)!=(i|0))f[g>>2]=j+(~(((j+-24-h|0)>>>0)/24|0)*24|0);Emc(n);f[e>>2]=0;f[g>>2]=0;f[a>>2]=0;t=0}if(d>>>0>178956970)Ukc(a);g=(t|0)/24|0;t=g<<1;n=g>>>0<89478485?(t>>>0<d>>>0?d:t):178956970;if(n>>>0>178956970)Ukc(a);t=Bmc(n*24|0)|0;d=a+4|0;f[d>>2]=t;f[a>>2]=t;f[e>>2]=t+(n*24|0);if((b|0)==(c|0))return;n=b;b=t;do{p[b>>3]=+p[n>>3];p[b+8>>3]=+p[n+8>>3];p[b+16>>3]=+p[n+16>>3];n=n+24|0;b=b+24|0}while((n|0)!=(c|0));f[d>>2]=b;return}function Ewa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/24|0)>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;i=(f[e>>2]|0)+24|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/24|0;g=i+b|0;if(g>>>0>178956970)Ukc(a);j=(d-h|0)/24|0;h=j<<1;d=j>>>0<89478485?(h>>>0<g>>>0?g:h):178956970;do if(d)if(d>>>0>178956970){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{k=Bmc(d*24|0)|0;break}else k=0;while(0);h=k+(i*24|0)|0;i=h;g=k+(d*24|0)|0;d=b;b=h;k=i;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;b=k+24|0;k=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;if((b|0)==(g|0)){l=i;m=g}else{i=b;b=h;do{h=i;i=i+-24|0;p[b+-24>>3]=+p[i>>3];p[b+-16>>3]=+p[h+-16>>3];p[b+-8>>3]=+p[h+-8>>3];b=b+-24|0}while((i|0)!=(g|0));l=b;m=f[a>>2]|0}f[a>>2]=l;f[e>>2]=k;f[c>>2]=d;if(!m)return;Emc(m);return}function Fwa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,N=0.0,O=0.0;d=a+8|0;e=a+16|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;g=f[b+4>>2]|0;h=f[b>>2]|0;i=h;if((g|0)==(h|0)){j=0.0;k=0.0;l=0.0;m=0.0;n=0.0;o=0.0;q=m/j;p[a>>3]=q;r=n/l;p[d>>3]=r;s=o/k;p[e>>3]=s;return}t=+p[c>>3];u=+p[c+8>>3];v=+p[b+24>>3];w=+p[b+32>>3];x=+p[b+40>>3];y=+p[c+16>>3]/x;c=f[b+12>>2]|0;b=(g-h|0)/24|0;h=0;z=0.0;A=0.0;B=0.0;C=0.0;D=0.0;E=0.0;do{F=+p[i+(h*24|0)+16>>3];G=+V(+F);H=v*G;I=w*G;G=+p[i+(h*24|0)>>3]/H;J=+p[i+(h*24|0)+8>>3]/I;K=F/x;F=G-t/H;L=J-u/I;N=K-y;O=+p[c+(h<<3)>>3]*+V(+((N*N+(F*F+L*L))*-.5))/+M(+(x+(H+I)));C=C+G*O;D=J*O+D;E=K*O+E;z=z+O/H;B=B+O/I;A=A+O/x;h=h+1|0}while(h>>>0<b>>>0);p[a>>3]=C;p[d>>3]=D;p[e>>3]=E;j=z;k=A;l=B;m=C;n=D;o=E;q=m/j;p[a>>3]=q;r=n/l;p[d>>3]=r;s=o/k;p[e>>3]=s;return}function Gwa(a){a=a|0;var b=0,c=0,d=0;cY(a);f[a>>2]=107604;b=a+128|0;c=a+4|0;d=c+124|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(d|0));f[b>>2]=1124007936;b=a+132|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[a+160>>2]=a+136;b=a+168|0;f[a+164>>2]=b;f[a+172>>2]=0;f[b>>2]=0;f[a+176>>2]=1124007936;b=a+180|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[a+208>>2]=a+184;b=a+216|0;f[a+212>>2]=b;f[a+220>>2]=0;f[b>>2]=0;f[a+224>>2]=1124007936;b=a+228|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[a+256>>2]=a+232;b=a+264|0;f[a+260>>2]=b;f[a+268>>2]=0;f[b>>2]=0;f[a+272>>2]=1124007936;b=a+276|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[a+304>>2]=a+280;b=a+312|0;f[a+308>>2]=b;f[a+316>>2]=0;f[b>>2]=0;f[a+320>>2]=1124007936;b=a+324|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[a+352>>2]=a+328;b=a+360|0;f[a+356>>2]=b;f[a+364>>2]=0;f[b>>2]=0;f[a+368>>2]=1124007936;b=a+372|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[a+400>>2]=a+376;b=a+408|0;f[a+404>>2]=b;f[a+412>>2]=0;f[b>>2]=0;QR(a+416|0);return}function Hwa(a){a=a|0;f[a>>2]=0;f[a+4>>2]=0;return}function Iwa(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;Jwa(a,b)|0;return}function Jwa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=Bmc(420)|0;Gwa(c);d=Bmc(16)|0;e=d+4|0;f[e>>2]=1;f[d>>2]=108024;f[d+8>>2]=c;f[e>>2]=(f[e>>2]|0)+1;g=f[a>>2]|0;f[a>>2]=d;h=a+4|0;f[h>>2]=c;if(g|0?(c=g+4|0,i=f[c>>2]|0,f[c>>2]=i+-1,(i|0)==1):0)ai[f[(f[g>>2]|0)+8>>2]&2047](g);g=f[e>>2]|0;f[e>>2]=g+-1;if((g|0)==1)ai[f[(f[d>>2]|0)+8>>2]&2047](d);d=f[h>>2]|0;if(Sh[f[(f[d>>2]|0)+32>>2]&511](d,b)|0){b=f[h>>2]|0;if(!b){j=0;return j|0}j=(ci[f[(f[b>>2]|0)+20>>2]&1023](b)|0)^1;return j|0}b=f[a>>2]|0;if(b|0?(d=b+4|0,g=f[d>>2]|0,f[d>>2]=g+-1,(g|0)==1):0)ai[f[(f[b>>2]|0)+8>>2]&2047](b);f[a>>2]=0;f[h>>2]=0;j=0;return j|0}function Kwa(a){a=a|0;Emc(a);return}function Lwa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Mwa(a){a=a|0;var b=0,c=0,d=0;b=f[a>>2]|0;if(b|0?(c=b+4|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)ai[f[(f[b>>2]|0)+8>>2]&2047](b);f[a>>2]=0;f[a+4>>2]=0;return}function Nwa(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;if(!b){c=1;return c|0}c=ci[f[(f[b>>2]|0)+20>>2]&1023](b)|0;return c|0}function Owa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;g=u;u=u+16|0;h=g;i=c+4|0;j=f[i>>2]|0;k=f[c>>2]|0;c=j-k>>4;l=f[a>>2]|0;m=f[a+4>>2]|0;a=(d|0)!=0;n=k;if(a?((f[d+4>>2]|0)-(f[d>>2]|0)>>2|0)!=(c|0):0){f[h>>2]=0;f[h+4>>2]=0;o=YG(h,14)|0;q=377715;r=o+14|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));SQ(-215,h,377730,374120,1659)}k=(e|0)!=0;if(k?((f[e+4>>2]|0)-(f[e>>2]|0)>>3|0)!=(c|0):0){f[h>>2]=0;f[h+4>>2]=0;o=YG(h,14)|0;q=377742;r=o+14|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));SQ(-215,h,377730,374120,1663)}a:do if(c){h=d+4|0;q=e+4|0;if(!a){o=k^1;r=0;s=0;while(1){t=f[n+(r<<4)>>2]|0;v=(t|0)>0?t:0;w=f[n+(r<<4)+4>>2]|0;x=(w|0)>0?w:0;y=(f[n+(r<<4)+8>>2]|0)+t|0;t=((y|0)<(l|0)?y:l)-v|0;y=(f[n+(r<<4)+12>>2]|0)+w|0;w=((y|0)<(m|0)?y:m)-x|0;y=(t|0)<1|(w|0)<1;z=y?0:w;w=y?0:t;if((w|0)<1|(z|0)<1)A=s;else{f[n+(s<<4)>>2]=y?0:v;f[n+(s<<4)+4>>2]=y?0:x;f[n+(s<<4)+8>>2]=w;f[n+(s<<4)+12>>2]=z;if(!(r>>>0<=s>>>0|o)){z=f[e>>2]|0;w=(f[q>>2]|0)-z>>3;if(w>>>0<=r>>>0){B=25;break}x=z;if(w>>>0<=s>>>0){B=27;break}p[x+(s<<3)>>3]=+p[x+(r<<3)>>3]}A=s+1|0}r=r+1|0;if(r>>>0>=c>>>0){C=A;break a}else s=A}if((B|0)==25)Vkc(e);else if((B|0)==27)Vkc(e)}else{D=0;E=0}while(1){s=f[n+(D<<4)>>2]|0;r=(s|0)>0?s:0;o=f[n+(D<<4)+4>>2]|0;x=(o|0)>0?o:0;w=(f[n+(D<<4)+8>>2]|0)+s|0;s=((w|0)<(l|0)?w:l)-r|0;w=(f[n+(D<<4)+12>>2]|0)+o|0;o=((w|0)<(m|0)?w:m)-x|0;w=(s|0)<1|(o|0)<1;z=w?0:o;o=w?0:s;if((o|0)<1|(z|0)<1)F=E;else{f[n+(E<<4)>>2]=w?0:r;f[n+(E<<4)+4>>2]=w?0:x;f[n+(E<<4)+8>>2]=o;f[n+(E<<4)+12>>2]=z;if(D>>>0>E>>>0){z=f[d>>2]|0;o=(f[h>>2]|0)-z>>2;if(o>>>0<=D>>>0){B=22;break}x=z;if(o>>>0<=E>>>0){B=23;break}f[x+(E<<2)>>2]=f[x+(D<<2)>>2];if(k){x=f[e>>2]|0;o=(f[q>>2]|0)-x>>3;if(o>>>0<=D>>>0){B=25;break}z=x;if(o>>>0<=E>>>0){B=27;break}p[z+(E<<3)>>3]=+p[z+(D<<3)>>3]}}F=E+1|0}D=D+1|0;if(D>>>0>=c>>>0){C=F;break a}else E=F}if((B|0)==22)Vkc(d);else if((B|0)==23)Vkc(d);else if((B|0)==25)Vkc(e);else if((B|0)==27)Vkc(e)}else C=0;while(0);if(C>>>0>=c>>>0){u=g;return}c=j;j=n+(C<<4)|0;if((c|0)!=(j|0))f[i>>2]=c+(~((c+-16-j|0)>>>4)<<4);do if(a){j=d+4|0;c=f[j>>2]|0;i=f[d>>2]|0;n=c-i>>2;B=c;if(C>>>0>n>>>0){$C(d,C-n|0);break}if(C>>>0<n>>>0?(n=i+(C<<2)|0,(B|0)!=(n|0)):0)f[j>>2]=B+(~((B+-4-n|0)>>>2)<<2)}while(0);if(!k){u=g;return}k=e+4|0;d=f[k>>2]|0;a=f[e>>2]|0;n=d-a>>3;B=d;if(C>>>0>n>>>0){m6(e,C-n|0);u=g;return}if(C>>>0>=n>>>0){u=g;return}n=a+(C<<3)|0;if((B|0)==(n|0)){u=g;return}f[k>>2]=B+(~((B+-8-n|0)>>>3)<<3);u=g;return}function Pwa(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0;k=u;u=u+48|0;l=k+32|0;m=k+24|0;n=k+16|0;o=k+8|0;p=k;zT(l,108036);q=a+4|0;a=f[q>>2]|0;if(a|0?!(ci[f[(f[a>>2]|0)+20>>2]&1023](a)|0):0){a=f[q>>2]|0;q=f[(f[a>>2]|0)+36>>2]|0;f[n>>2]=f[i>>2];f[n+4>>2]=f[i+4>>2];f[o>>2]=f[j>>2];f[o+4>>2]=f[j+4>>2];Vg[q&3](a,c,d,e,g,h,n,o);nD(p,c,-1);Owa(p,d,0,0);if(!(f[l+4>>2]|0)){u=k;return}u=k;return}f[m>>2]=0;f[m+4>>2]=0;k=YG(m,8)|0;l=k;b[l>>0]=33;b[l+1>>0]=101;b[l+2>>0]=109;b[l+3>>0]=112;l=k+4|0;b[l>>0]=116;b[l+1>>0]=121;b[l+2>>0]=40;b[l+3>>0]=41;SQ(-215,m,375286,374120,1698)}function Qwa(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0;l=u;u=u+48|0;m=l+32|0;n=l+24|0;o=l+16|0;p=l+8|0;q=l;zT(m,108056);r=a+4|0;a=f[r>>2]|0;if(a|0?!(ci[f[(f[a>>2]|0)+20>>2]&1023](a)|0):0){a=f[r>>2]|0;r=f[(f[a>>2]|0)+40>>2]|0;f[o>>2]=f[j>>2];f[o+4>>2]=f[j+4>>2];f[p>>2]=f[k>>2];f[p+4>>2]=f[k+4>>2];th[r&7](a,c,d,e,g,h,i,o,p);nD(q,c,-1);Owa(q,d,e,0);if(!(f[m+4>>2]|0)){u=l;return}u=l;return}f[n>>2]=0;f[n+4>>2]=0;l=YG(n,8)|0;m=l;b[m>>0]=33;b[m+1>>0]=101;b[m+2>>0]=109;b[m+3>>0]=112;m=l+4|0;b[m>>0]=116;b[m+1>>0]=121;b[m+2>>0]=40;b[m+3>>0]=41;SQ(-215,n,375286,374120,1712)}function Rwa(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0;n=u;u=u+48|0;o=n+32|0;p=n+24|0;q=n+16|0;r=n+8|0;s=n;zT(o,108076);t=a+4|0;a=f[t>>2]|0;if(a|0?!(ci[f[(f[a>>2]|0)+20>>2]&1023](a)|0):0){a=f[t>>2]|0;t=f[(f[a>>2]|0)+44>>2]|0;f[q>>2]=f[k>>2];f[q+4>>2]=f[k+4>>2];f[r>>2]=f[l>>2];f[r+4>>2]=f[l+4>>2];Cg[t&3](a,c,d,e,g,h,i,j,q,r,m);nD(s,c,-1);Owa(s,d,e,g);if(!(f[o+4>>2]|0)){u=n;return}u=n;return}f[p>>2]=0;f[p+4>>2]=0;n=YG(p,8)|0;o=n;b[o>>0]=33;b[o+1>>0]=101;b[o+2>>0]=109;b[o+3>>0]=112;o=n+4|0;b[o>>0]=116;b[o+1>>0]=121;b[o+2>>0]=40;b[o+3>>0]=41;SQ(-215,p,375286,374120,1729)}function Swa(){H0(890396,378150,843,1627,505,251,844);Ad(1619,890396,x|0)|0;return}function Twa(a){a=a|0;var b=0;if(!a)b=0;else b=(f[a>>2]&-65536|0)==1112539136;return b&1|0}function Uwa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;if(!a)return;b=f[a>>2]|0;if(!b)return;c=b+4|0;if((f[c>>2]|0)>0){d=b+32|0;e=0;do{g=f[d>>2]|0;h=f[g+(e*24|0)+8>>2]|0;if((f[g+(e*24|0)>>2]|0)>0){g=0;i=h;while(1){vE(f[i+(g*24|0)+4>>2]|0);f[(f[(f[d>>2]|0)+(e*24|0)+8>>2]|0)+(g*24|0)+4>>2]=0;g=g+1|0;j=f[d>>2]|0;k=f[j+(e*24|0)+8>>2]|0;if((g|0)>=(f[j+(e*24|0)>>2]|0)){l=k;break}else i=k}}else l=h;vE(l);f[(f[d>>2]|0)+(e*24|0)+8>>2]=0;e=e+1|0}while((e|0)<(f[c>>2]|0))}c=b+36|0;b=f[c>>2]|0;if(b|0){vE(b);f[c>>2]=0}vE(f[a>>2]|0);f[a>>2]=0;return}function Vwa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0;d=u;u=u+752|0;e=d+352|0;g=d+344|0;h=d+336|0;i=d+328|0;j=d+312|0;k=d+296|0;l=d+280|0;m=d+264|0;o=d+248|0;q=d+232|0;r=d+216|0;s=d+200|0;t=d+184|0;v=d+168|0;w=d+152|0;x=d+136|0;y=d+120|0;z=d+104|0;A=d+88|0;B=d+72|0;C=d+56|0;D=d+40|0;E=d+24|0;F=d+16|0;G=d+8|0;H=d;I=d+456|0;J=d+488|0;K=d+424|0;L=d+392|0;M=d+360|0;N=QY(a,c,378308)|0;if(!N){f[I>>2]=0;O=I+4|0;f[O>>2]=0;P=YG(I,19)|0;Q=P;R=378455;S=Q+19|0;do{b[Q>>0]=b[R>>0]|0;Q=Q+1|0;R=R+1|0}while((Q|0)<(S|0));Ywa(-2,I,378475,1789)}if((f[N>>2]&7|0)!=5){f[I>>2]=0;O=I+4|0;f[O>>2]=0;P=YG(I,19)|0;Q=P;R=378455;S=Q+19|0;do{b[Q>>0]=b[R>>0]|0;Q=Q+1|0;R=R+1|0}while((Q|0)<(S|0));Ywa(-2,I,378475,1789)}P=N+8|0;N=f[(f[P>>2]|0)+24>>2]|0;O=(N*24|0)+40|0;if((N|0)<1){f[I>>2]=0;f[I+4>>2]=0;Q=YG(I,35)|0;R=378173;S=Q+35|0;do{b[Q>>0]=b[R>>0]|0;Q=Q+1|0;R=R+1|0}while((Q|0)<(S|0));Ywa(-211,I,378209,114)}T=uE(O)|0;Drc(T|0,0,O|0)|0;O=T+32|0;f[O>>2]=T+40;f[T>>2]=1112539136;U=T+4|0;f[U>>2]=N;V=QY(a,c,463632)|0;if(!V){f[I>>2]=0;W=I+4|0;f[W>>2]=0;X=YG(I,34)|0;Q=X;R=378497;S=Q+34|0;do{b[Q>>0]=b[R>>0]|0;Q=Q+1|0;R=R+1|0}while((Q|0)<(S|0));Ywa(-2,I,378475,1797)}if((f[V>>2]&7|0)!=5){f[I>>2]=0;W=I+4|0;f[W>>2]=0;X=YG(I,34)|0;Q=X;R=378497;S=Q+34|0;do{b[Q>>0]=b[R>>0]|0;Q=Q+1|0;R=R+1|0}while((Q|0)<(S|0));Ywa(-2,I,378475,1797)}c=V+8|0;V=f[c>>2]|0;if((f[V+24>>2]|0)!=2){f[I>>2]=0;W=I+4|0;f[W>>2]=0;X=YG(I,34)|0;Q=X;R=378497;S=Q+34|0;do{b[Q>>0]=b[R>>0]|0;Q=Q+1|0;R=R+1|0}while((Q|0)<(S|0));Ywa(-2,I,378475,1797)}X=bW(V,0)|0;if((f[X>>2]&7|0)!=1){f[I>>2]=0;Y=I+4|0;f[Y>>2]=0;Z=YG(I,49)|0;Q=Z;R=378532;S=Q+49|0;do{b[Q>>0]=b[R>>0]|0;Q=Q+1|0;R=R+1|0}while((Q|0)<(S|0));Ywa(-2,I,378475,1800)}V=f[X+8>>2]|0;if((V|0)<1){f[I>>2]=0;Y=I+4|0;f[Y>>2]=0;Z=YG(I,49)|0;Q=Z;R=378532;S=Q+49|0;do{b[Q>>0]=b[R>>0]|0;Q=Q+1|0;R=R+1|0}while((Q|0)<(S|0));Ywa(-2,I,378475,1800)}Z=T+8|0;f[Z>>2]=V;V=bW(f[c>>2]|0,1)|0;if((f[V>>2]&7|0)!=1){f[I>>2]=0;_=I+4|0;f[_>>2]=0;$=YG(I,50)|0;Q=$;R=378582;S=Q+50|0;do{b[Q>>0]=b[R>>0]|0;Q=Q+1|0;R=R+1|0}while((Q|0)<(S|0));Ywa(-2,I,378475,1804)}c=f[V+8>>2]|0;if((c|0)<1){f[I>>2]=0;_=I+4|0;f[_>>2]=0;$=YG(I,50)|0;Q=$;R=378582;S=Q+50|0;do{b[Q>>0]=b[R>>0]|0;Q=Q+1|0;R=R+1|0}while((Q|0)<(S|0));Ywa(-2,I,378475,1804)}R=T+12|0;f[R>>2]=c;eW(f[P>>2]|0,K,0);P=K+12|0;c=K+20|0;Q=I+12|0;S=I+20|0;$=L+12|0;_=L+20|0;V=M+12|0;Y=M+20|0;X=0;a:while(1){W=f[P>>2]|0;if((f[W>>2]&7|0)!=6){aa=18;break}ba=QY(a,W,378324)|0;if(!ba){aa=24;break}if((f[ba>>2]&7|0)!=5){aa=24;break}ca=ba+8|0;ba=f[(f[ca>>2]|0)+24>>2]|0;if((ba|0)<1){aa=24;break}da=uE(ba*24|0)|0;ba=f[O>>2]|0;f[ba+(X*24|0)+8>>2]=da;ea=f[ca>>2]|0;fa=f[ea+24>>2]|0;if((fa|0)>0){ga=0;do{f[da+(ga*24|0)+4>>2]=0;ga=ga+1|0;ha=f[ca>>2]|0;ia=f[ha+24>>2]|0}while((ga|0)<(ia|0));ja=ia;ka=ha}else{ja=fa;ka=ea}f[ba+(X*24|0)>>2]=ja;eW(ka,I,0);if((f[(f[ca>>2]|0)+24>>2]|0)>0){la=0;while(1){ga=f[(f[O>>2]|0)+(X*24|0)+8>>2]|0;da=f[Q>>2]|0;if((f[da>>2]&7|0)!=5){aa=32;break a}ha=da+8|0;da=f[(f[ha>>2]|0)+24>>2]|0;if((da|0)<1){aa=32;break a}ia=ga+(la*24|0)|0;f[ia>>2]=da;ma=uE(da*80|4)|0;da=ga+(la*24|0)+4|0;f[da>>2]=ma;na=f[ia>>2]|0;oa=ma+(na<<6)|0;ma=ga+(la*24|0)+8|0;f[ma>>2]=oa;pa=oa+(na<<2)|0;oa=ga+(la*24|0)+12|0;f[oa>>2]=pa;qa=pa+(na<<2)|0;pa=ga+(la*24|0)+16|0;f[pa>>2]=qa;ra=ga+(la*24|0)+20|0;f[ra>>2]=qa+(na<<2);eW(f[ha>>2]|0,L,0);if((f[(f[ha>>2]|0)+24>>2]|0)>0){sa=0;na=0;while(1){qa=f[$>>2]|0;if((f[qa>>2]&7|0)!=6){aa=37;break a}ga=QY(a,qa,378356)|0;if(!ga){aa=42;break a}if((f[ga>>2]&7|0)!=6){aa=42;break a}ta=QY(a,ga,378364)|0;if(!ta){aa=48;break a}if((f[ta>>2]&7|0)!=5){aa=48;break a}ua=ta+8|0;ta=f[ua>>2]|0;if(((f[ta+24>>2]|0)+-1|0)>>>0>2){aa=48;break a}eW(ta,M,0);ta=f[(f[ua>>2]|0)+24>>2]|0;if((ta|0)>0){va=0;while(1){wa=f[V>>2]|0;if((f[wa>>2]&7|0)!=5){aa=55;break a}xa=wa+8|0;wa=f[xa>>2]|0;if((f[wa+24>>2]|0)!=5){aa=55;break a}ya=f[wa+52>>2]|0;do if(!ya)aa=61;else{if(!(f[ya+12>>2]|0)){aa=61;break}za=f[ya+16>>2]|0}while(0);if((aa|0)==61){aa=0;za=bW(wa,0)|0}if((f[za>>2]&7|0)!=1){aa=64;break a}ya=f[za+8>>2]|0;if((ya|0)<0){aa=64;break a}Aa=f[xa>>2]|0;Ba=f[Aa+52>>2]|0;do if(!Ba)aa=70;else{if((f[Ba+12>>2]|0)>>>0<=1){aa=70;break}Ca=(f[Ba+16>>2]|0)+16|0}while(0);if((aa|0)==70){aa=0;Ca=bW(Aa,1)|0}if((f[Ca>>2]&7|0)!=1){aa=73;break a}Ba=f[Ca+8>>2]|0;if((Ba|0)<0){aa=73;break a}wa=f[xa>>2]|0;Da=f[wa+52>>2]|0;do if(!Da)aa=79;else{if((f[Da+12>>2]|0)>>>0<=2){aa=79;break}Ea=(f[Da+16>>2]|0)+32|0}while(0);if((aa|0)==79){aa=0;Ea=bW(wa,2)|0}if((f[Ea>>2]&7|0)!=1){aa=83;break a}Da=f[Ea+8>>2]|0;if((Da|0)<1){aa=83;break a}if((Da+ya|0)>(f[Z>>2]|0)){aa=83;break a}Aa=f[xa>>2]|0;Fa=f[Aa+52>>2]|0;do if(!Fa)aa=89;else{if((f[Fa+12>>2]|0)>>>0<=3){aa=89;break}Ga=(f[Fa+16>>2]|0)+48|0}while(0);if((aa|0)==89){aa=0;Ga=bW(Aa,3)|0}if((f[Ga>>2]&7|0)!=1){aa=93;break a}Fa=f[Ga+8>>2]|0;if((Fa|0)<1){aa=93;break a}if((Fa+Ba|0)>(f[R>>2]|0)){aa=93;break a}wa=f[xa>>2]|0;Ha=f[wa+52>>2]|0;do if(!Ha)aa=99;else{if((f[Ha+12>>2]|0)>>>0<=4){aa=99;break}Ia=(f[Ha+16>>2]|0)+64|0}while(0);if((aa|0)==99){aa=0;Ia=bW(wa,4)|0}if((f[Ia>>2]&7|0)!=2){aa=101;break a}Ha=f[da>>2]|0;n[Ha+(sa<<6)+4+(va*20|0)+16>>2]=+p[Ia+8>>3];f[Ha+(sa<<6)+4+(va*20|0)>>2]=ya;f[Ha+(sa<<6)+4+(va*20|0)+4>>2]=Ba;f[Ha+(sa<<6)+4+(va*20|0)+8>>2]=Da;f[Ha+(sa<<6)+4+(va*20|0)+12>>2]=Fa;Ha=(f[V>>2]|0)+16|0;f[V>>2]=Ha;if(Ha>>>0>=(f[Y>>2]|0)>>>0)mW(M,1);Ha=va+1|0;Ja=f[(f[ua>>2]|0)+24>>2]|0;if((Ha|0)<(Ja|0))va=Ha;else break}if((Ja|0)<3){Ka=Ja;aa=107}}else{Ka=ta;aa=107}if((aa|0)==107)while(1){aa=0;ua=(f[da>>2]|0)+(sa<<6)+4+(Ka*20|0)|0;Ka=Ka+1|0;f[ua>>2]=0;f[ua+4>>2]=0;f[ua+8>>2]=0;f[ua+12>>2]=0;f[ua+16>>2]=0;if((Ka|0)==3)break;else aa=107}ta=QY(a,ga,378370)|0;if(!ta){aa=110;break a}if((f[ta>>2]&7|0)!=1){aa=110;break a}f[(f[da>>2]|0)+(sa<<6)>>2]=(f[ta+8>>2]|0)!=0&1;ta=QY(a,qa,378377)|0;if(!ta){aa=115;break a}if((f[ta>>2]&7|0)!=2){aa=115;break a}n[(f[ma>>2]|0)+(sa<<2)>>2]=+p[ta+8>>3];ta=QY(a,qa,378387)|0;if(!ta){ua=QY(a,qa,378397)|0;if(!ua){aa=127;break a}if((f[ua>>2]&7|0)!=2){aa=131;break a}if((na|0)>(f[ia>>2]|0)){aa=135;break a}f[(f[oa>>2]|0)+(sa<<2)>>2]=0-na;n[(f[ra>>2]|0)+(na<<2)>>2]=+p[ua+8>>3];La=na+1|0}else{if((f[ta>>2]&7|0)!=1){aa=122;break a}ua=f[ta+8>>2]|0;if((ua|0)<=(sa|0)){aa=122;break a}if((ua|0)>=(f[(f[ha>>2]|0)+24>>2]|0)){aa=122;break a}f[(f[oa>>2]|0)+(sa<<2)>>2]=ua;La=na}ua=QY(a,qa,378406)|0;if(!ua){ta=QY(a,qa,378417)|0;if(!ta){aa=148;break a}if((f[ta>>2]&7|0)!=2){aa=152;break a}if((La|0)>(f[ia>>2]|0)){aa=156;break a}f[(f[pa>>2]|0)+(sa<<2)>>2]=0-La;n[(f[ra>>2]|0)+(La<<2)>>2]=+p[ta+8>>3];Ma=La+1|0}else{if((f[ua>>2]&7|0)!=1){aa=143;break a}ta=f[ua+8>>2]|0;if((ta|0)<=(sa|0)){aa=143;break a}if((ta|0)>=(f[(f[ha>>2]|0)+24>>2]|0)){aa=143;break a}f[(f[pa>>2]|0)+(sa<<2)>>2]=ta;Ma=La}ta=(f[$>>2]|0)+16|0;f[$>>2]=ta;if(ta>>>0>=(f[_>>2]|0)>>>0)mW(L,1);ta=sa+1|0;if((ta|0)<(f[(f[ha>>2]|0)+24>>2]|0)){sa=ta;na=Ma}else{Na=Ma;break}}}else Na=0;if((Na|0)!=((f[ia>>2]|0)+1|0)){aa=164;break a}na=(f[Q>>2]|0)+16|0;f[Q>>2]=na;if(na>>>0>=(f[S>>2]|0)>>>0)mW(I,1);na=la+1|0;if((na|0)<(f[(f[ca>>2]|0)+24>>2]|0))la=na;else break}}ca=QY(a,W,378427)|0;if(!ca){aa=172;break}if((f[ca>>2]&7|0)!=2){aa=172;break}n[(f[O>>2]|0)+(X*24|0)+4>>2]=+p[ca+8>>3];ca=QY(a,W,378443)|0;if(!ca){aa=179;break}if((f[ca>>2]&7|0)!=1){aa=179;break}ba=f[ca+8>>2]|0;if((ba|0)<-1){aa=179;break}if((ba|0)>=(f[U>>2]|0)){aa=179;break}ca=QY(a,W,378450)|0;if(!ca){aa=186;break}if((f[ca>>2]&7|0)!=1){aa=186;break}ea=f[ca+8>>2]|0;if((ea|0)<-1){aa=186;break}if((ea|0)>=(f[U>>2]|0)){aa=186;break}ca=f[O>>2]|0;f[ca+(X*24|0)+20>>2]=ba;f[ca+(X*24|0)+12>>2]=ea;f[ca+(X*24|0)+16>>2]=-1;do if((ba|0)!=-1){ea=ca+(ba*24|0)+16|0;if((f[ea>>2]|0)!=-1)break;f[ea>>2]=X}while(0);ba=(f[P>>2]|0)+16|0;f[P>>2]=ba;if(ba>>>0>=(f[c>>2]|0)>>>0)mW(K,1);ba=X+1|0;if((ba|0)<(N|0))X=ba;else{aa=195;break}}switch(aa|0){case 18:{f[H>>2]=X;g9b(J,378633,H)|0;f[H>>2]=0;f[H+4>>2]=0;aa=s8b(J)|0;if(!aa)Ywa(-2,H,378475,1818);Krc(YG(H,aa)|0,J|0,aa|0)|0;Ywa(-2,H,378475,1818);break}case 24:{f[G>>2]=X;g9b(J,378650,G)|0;f[G>>2]=0;f[G+4>>2]=0;H=s8b(J)|0;if(!H)Ywa(-2,G,378475,1826);Krc(YG(G,H)|0,J|0,H|0)|0;Ywa(-2,G,378475,1826);break}case 32:{f[F>>2]=X;f[F+4>>2]=la;g9b(J,378697,F)|0;f[F>>2]=0;f[F+4>>2]=0;G=s8b(J)|0;if(!G)Ywa(-2,F,378475,1852);Krc(YG(F,G)|0,J|0,G|0)|0;Ywa(-2,F,378475,1852);break}case 37:{f[E>>2]=sa;f[E+4>>2]=X;f[E+8>>2]=la;g9b(J,378752,E)|0;f[E>>2]=0;f[E+4>>2]=0;F=s8b(J)|0;if(!F)Ywa(-2,E,378475,1880);Krc(YG(E,F)|0,J|0,F|0)|0;Ywa(-2,E,378475,1880);break}case 42:{f[D>>2]=X;f[D+4>>2]=la;f[D+8>>2]=sa;g9b(J,378805,D)|0;f[D>>2]=0;f[D+4>>2]=0;E=s8b(J)|0;if(!E)Ywa(-2,D,378475,1887);Krc(YG(D,E)|0,J|0,E|0)|0;Ywa(-2,D,378475,1887);break}case 48:{f[C>>2]=X;f[C+4>>2]=la;f[C+8>>2]=sa;g9b(J,378867,C)|0;f[C>>2]=0;f[C+4>>2]=0;D=s8b(J)|0;if(!D)Ywa(-2,C,378475,1896);Krc(YG(C,D)|0,J|0,D|0)|0;Ywa(-2,C,378475,1896);break}case 55:{f[B>>2]=va;f[B+4>>2]=X;f[B+8>>2]=la;f[B+12>>2]=sa;g9b(J,378932,B)|0;f[B>>2]=0;f[B+4>>2]=0;C=s8b(J)|0;if(!C)Ywa(-2,B,378475,1909);Krc(YG(B,C)|0,J|0,C|0)|0;Ywa(-2,B,378475,1909);break}case 64:{f[A>>2]=X;f[A+4>>2]=la;f[A+8>>2]=sa;f[A+12>>2]=va;g9b(J,378994,A)|0;f[A>>2]=0;f[A+4>>2]=0;B=s8b(J)|0;if(!B)Ywa(-2,A,378475,1917);Krc(YG(A,B)|0,J|0,B|0)|0;Ywa(-2,A,378475,1917);break}case 73:{f[z>>2]=X;f[z+4>>2]=la;f[z+8>>2]=sa;f[z+12>>2]=va;g9b(J,379075,z)|0;f[z>>2]=0;f[z+4>>2]=0;A=s8b(J)|0;if(!A)Ywa(-2,z,378475,1925);Krc(YG(z,A)|0,J|0,A|0)|0;Ywa(-2,z,378475,1925);break}case 83:{f[y>>2]=X;f[y+4>>2]=la;f[y+8>>2]=sa;f[y+12>>2]=va;g9b(J,379156,y)|0;f[y>>2]=0;f[y+4>>2]=0;z=s8b(J)|0;if(!z)Ywa(-2,y,378475,1935);Krc(YG(y,z)|0,J|0,z|0)|0;Ywa(-2,y,378475,1935);break}case 93:{f[x>>2]=X;f[x+4>>2]=la;f[x+8>>2]=sa;f[x+12>>2]=va;g9b(J,379271,x)|0;f[x>>2]=0;f[x+4>>2]=0;y=s8b(J)|0;if(!y)Ywa(-2,x,378475,1945);Krc(YG(x,y)|0,J|0,y|0)|0;Ywa(-2,x,378475,1945);break}case 101:{f[w>>2]=X;f[w+4>>2]=la;f[w+8>>2]=sa;f[w+12>>2]=va;g9b(J,379389,w)|0;f[w>>2]=0;f[w+4>>2]=0;va=s8b(J)|0;if(!va)Ywa(-2,w,378475,1953);Krc(YG(w,va)|0,J|0,va|0)|0;Ywa(-2,w,378475,1953);break}case 110:{f[v>>2]=X;f[v+4>>2]=la;f[v+8>>2]=sa;g9b(J,379455,v)|0;f[v>>2]=0;f[v+4>>2]=0;w=s8b(J)|0;if(!w)Ywa(-2,v,378475,1972);Krc(YG(v,w)|0,J|0,w|0)|0;Ywa(-2,v,378475,1972);break}case 115:{f[t>>2]=X;f[t+4>>2]=la;f[t+8>>2]=sa;g9b(J,379507,t)|0;f[t>>2]=0;f[t+4>>2]=0;v=s8b(J)|0;if(!v)Ywa(-2,t,378475,1980);Krc(YG(t,v)|0,J|0,v|0)|0;Ywa(-2,t,378475,1980);break}case 122:{f[s>>2]=X;f[s+4>>2]=la;f[s+8>>2]=sa;g9b(J,379567,s)|0;f[s>>2]=0;f[s+4>>2]=0;t=s8b(J)|0;if(!t)Ywa(-2,s,378475,1991);Krc(YG(s,t)|0,J|0,t|0)|0;Ywa(-2,s,378475,1991);break}case 127:{f[r>>2]=X;f[r+4>>2]=la;f[r+8>>2]=sa;g9b(J,379633,r)|0;f[r>>2]=0;f[r+4>>2]=0;s=s8b(J)|0;if(!s)Ywa(-2,r,378475,2003);Krc(YG(r,s)|0,J|0,s|0)|0;Ywa(-2,r,378475,2003);break}case 131:{f[q>>2]=X;f[q+4>>2]=la;f[q+8>>2]=sa;g9b(J,379705,q)|0;f[q>>2]=0;f[q+4>>2]=0;r=s8b(J)|0;if(!r)Ywa(-2,q,378475,2009);Krc(YG(q,r)|0,J|0,r|0)|0;Ywa(-2,q,378475,2009);break}case 135:{f[o>>2]=X;f[o+4>>2]=la;f[o+8>>2]=sa;g9b(J,379766,o)|0;f[o>>2]=0;f[o+4>>2]=0;q=s8b(J)|0;if(!q)Ywa(-2,o,378475,2016);Krc(YG(o,q)|0,J|0,q|0)|0;Ywa(-2,o,378475,2016);break}case 143:{f[m>>2]=X;f[m+4>>2]=la;f[m+8>>2]=sa;g9b(J,379838,m)|0;f[m>>2]=0;f[m+4>>2]=0;o=s8b(J)|0;if(!o)Ywa(-2,m,378475,2029);Krc(YG(m,o)|0,J|0,o|0)|0;Ywa(-2,m,378475,2029);break}case 148:{f[l>>2]=X;f[l+4>>2]=la;f[l+8>>2]=sa;g9b(J,379905,l)|0;f[l>>2]=0;f[l+4>>2]=0;m=s8b(J)|0;if(!m)Ywa(-2,l,378475,2041);Krc(YG(l,m)|0,J|0,m|0)|0;Ywa(-2,l,378475,2041);break}case 152:{f[k>>2]=X;f[k+4>>2]=la;f[k+8>>2]=sa;g9b(J,379979,k)|0;f[k>>2]=0;f[k+4>>2]=0;l=s8b(J)|0;if(!l)Ywa(-2,k,378475,2047);Krc(YG(k,l)|0,J|0,l|0)|0;Ywa(-2,k,378475,2047);break}case 156:{f[j>>2]=X;f[j+4>>2]=la;f[j+8>>2]=sa;g9b(J,379766,j)|0;f[j>>2]=0;f[j+4>>2]=0;sa=s8b(J)|0;if(!sa)Ywa(-2,j,378475,2054);Krc(YG(j,sa)|0,J|0,sa|0)|0;Ywa(-2,j,378475,2054);break}case 164:{f[i>>2]=X;f[i+4>>2]=la;g9b(J,380041,i)|0;f[i>>2]=0;f[i+4>>2]=0;la=s8b(J)|0;if(!la)Ywa(-2,i,378475,2066);Krc(YG(i,la)|0,J|0,la|0)|0;Ywa(-2,i,378475,2066);break}case 172:{f[h>>2]=X;g9b(J,380103,h)|0;f[h>>2]=0;f[h+4>>2]=0;i=s8b(J)|0;if(!i)Ywa(-2,h,378475,2076);Krc(YG(h,i)|0,J|0,i|0)|0;Ywa(-2,h,378475,2076);break}case 179:{f[g>>2]=X;g9b(J,380151,g)|0;f[g>>2]=0;f[g+4>>2]=0;h=s8b(J)|0;if(!h)Ywa(-2,g,378475,2088);Krc(YG(g,h)|0,J|0,h|0)|0;Ywa(-2,g,378475,2088);break}case 186:{f[e>>2]=X;g9b(J,380193,e)|0;f[e>>2]=0;f[e+4>>2]=0;X=s8b(J)|0;if(!X)Ywa(-2,e,378475,2096);Krc(YG(e,X)|0,J|0,X|0)|0;Ywa(-2,e,378475,2096);break}case 195:{u=d;return T|0}}return 0}function Wwa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;g=u;u=u+368|0;h=g+104|0;i=g+16|0;j=g+8|0;k=g;l=g+112|0;m=g+24|0;o=g+96|0;p=g+88|0;q=g+80|0;r=g+72|0;s=g+64|0;t=g+56|0;v=g+48|0;w=g+40|0;x=g+32|0;y=e;e=f[y+4>>2]|0;z=m;f[z>>2]=f[y>>2];f[z+4>>2]=e;f[h>>2]=f[m>>2];f[h+4>>2]=f[m+4>>2];XY(a,c,6,378150,h);f[o>>2]=0;f[o+4>>2]=0;f[h>>2]=f[o>>2];f[h+4>>2]=f[o+4>>2];XY(a,463632,13,0,h);ZY(a,0,f[d+8>>2]|0);ZY(a,0,f[d+12>>2]|0);YY(a);f[p>>2]=0;f[p+4>>2]=0;f[h>>2]=f[p>>2];f[h+4>>2]=f[p+4>>2];XY(a,378308,5,0,h);p=d+4|0;if((f[p>>2]|0)<=0){YY(a);YY(a);u=g;return}o=q+4|0;c=r+4|0;m=d+32|0;d=s+4|0;e=t+4|0;z=v+4|0;y=w+4|0;A=x+4|0;B=0;do{f[q>>2]=0;f[o>>2]=0;f[h>>2]=f[q>>2];f[h+4>>2]=f[q+4>>2];XY(a,0,6,0,h);f[k>>2]=B;g9b(l,378315,k)|0;aZ(a,l,1);f[r>>2]=0;f[c>>2]=0;f[h>>2]=f[r>>2];f[h+4>>2]=f[r+4>>2];XY(a,378324,5,0,h);C=f[m>>2]|0;if((f[C+(B*24|0)>>2]|0)>0){D=0;E=C;do{C=f[E+(B*24|0)+8>>2]|0;f[s>>2]=0;f[d>>2]=0;f[h>>2]=f[s>>2];f[h+4>>2]=f[s+4>>2];XY(a,0,5,0,h);f[j>>2]=D;g9b(l,378330,j)|0;aZ(a,l,1);F=C+(D*24|0)|0;if((f[F>>2]|0)>0){G=C+(D*24|0)+4|0;H=C+(D*24|0)+8|0;I=C+(D*24|0)+12|0;J=C+(D*24|0)+16|0;K=C+(D*24|0)+20|0;C=0;do{L=f[G>>2]|0;f[t>>2]=0;f[e>>2]=0;f[h>>2]=f[t>>2];f[h+4>>2]=f[t+4>>2];XY(a,0,6,0,h);if(!C){M=l;N=378346;O=M+10|0;do{b[M>>0]=b[N>>0]|0;M=M+1|0;N=N+1|0}while((M|0)<(O|0))}else{f[i>>2]=C;g9b(l,378338,i)|0}aZ(a,l,1);f[v>>2]=0;f[z>>2]=0;f[h>>2]=f[v>>2];f[h+4>>2]=f[v+4>>2];XY(a,378356,6,0,h);f[w>>2]=0;f[y>>2]=0;f[h>>2]=f[w>>2];f[h+4>>2]=f[w+4>>2];XY(a,378364,5,0,h);N=L+(C<<6)+12|0;if((f[N>>2]|0?(f[x>>2]=0,f[A>>2]=0,f[h>>2]=f[x>>2],f[h+4>>2]=f[x+4>>2],XY(a,0,13,0,h),ZY(a,0,f[L+(C<<6)+4>>2]|0),ZY(a,0,f[L+(C<<6)+8>>2]|0),ZY(a,0,f[N>>2]|0),ZY(a,0,f[L+(C<<6)+16>>2]|0),_Y(a,0,+n[L+(C<<6)+20>>2]),YY(a),N=L+(C<<6)+32|0,f[N>>2]|0):0)?(f[x>>2]=0,f[A>>2]=0,f[h>>2]=f[x>>2],f[h+4>>2]=f[x+4>>2],XY(a,0,13,0,h),ZY(a,0,f[L+(C<<6)+24>>2]|0),ZY(a,0,f[L+(C<<6)+28>>2]|0),ZY(a,0,f[N>>2]|0),ZY(a,0,f[L+(C<<6)+36>>2]|0),_Y(a,0,+n[L+(C<<6)+40>>2]),YY(a),N=L+(C<<6)+52|0,f[N>>2]|0):0){f[x>>2]=0;f[A>>2]=0;f[h>>2]=f[x>>2];f[h+4>>2]=f[x+4>>2];XY(a,0,13,0,h);ZY(a,0,f[L+(C<<6)+44>>2]|0);ZY(a,0,f[L+(C<<6)+48>>2]|0);ZY(a,0,f[N>>2]|0);ZY(a,0,f[L+(C<<6)+56>>2]|0);_Y(a,0,+n[L+(C<<6)+60>>2]);YY(a)}YY(a);ZY(a,378370,f[L+(C<<6)>>2]|0);YY(a);_Y(a,378377,+n[(f[H>>2]|0)+(C<<2)>>2]);N=f[(f[I>>2]|0)+(C<<2)>>2]|0;if((N|0)>0)ZY(a,378387,N);else _Y(a,378397,+n[(f[K>>2]|0)+(0-N<<2)>>2]);N=f[(f[J>>2]|0)+(C<<2)>>2]|0;if((N|0)>0)ZY(a,378406,N);else _Y(a,378417,+n[(f[K>>2]|0)+(0-N<<2)>>2]);YY(a);C=C+1|0}while((C|0)<(f[F>>2]|0))}YY(a);D=D+1|0;E=f[m>>2]|0}while((D|0)<(f[E+(B*24|0)>>2]|0))}YY(a);_Y(a,378427,+n[(f[m>>2]|0)+(B*24|0)+4>>2]);ZY(a,378443,f[(f[m>>2]|0)+(B*24|0)+20>>2]|0);ZY(a,378450,f[(f[m>>2]|0)+(B*24|0)+12>>2]|0);YY(a);B=B+1|0}while((B|0)<(f[p>>2]|0));YY(a);YY(a);u=g;return}function Xwa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;c=u;u=u+16|0;d=c;e=f[a+4>>2]|0;g=(e*24|0)+40|0;if((e|0)<1){f[d>>2]=0;f[d+4>>2]=0;h=YG(d,35)|0;i=378173;j=h+35|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));Ywa(-211,d,378209,114)}d=uE(g)|0;Drc(d|0,0,g|0)|0;g=d+40|0;k=d+32|0;f[k>>2]=g;f[d>>2]=1112539136;f[d+4>>2]=e;l=a+8|0;m=f[l+4>>2]|0;n=d+8|0;f[n>>2]=f[l>>2];f[n+4>>2]=m;m=a+32|0;a=0;n=g;while(1){g=f[m>>2]|0;f[n+(a*24|0)+20>>2]=f[g+(a*24|0)+20>>2];f[n+(a*24|0)+12>>2]=f[g+(a*24|0)+12>>2];f[n+(a*24|0)+16>>2]=f[g+(a*24|0)+16>>2];f[n+(a*24|0)+4>>2]=f[g+(a*24|0)+4>>2];f[n+(a*24|0)>>2]=0;l=uE((f[g+(a*24|0)>>2]|0)*24|0)|0;g=f[k>>2]|0;f[g+(a*24|0)+8>>2]=l;o=f[m>>2]|0;p=f[o+(a*24|0)>>2]|0;f[g+(a*24|0)>>2]=p;q=(p|0)>0;a:do if(q){r=0;do{f[l+(r*24|0)+4>>2]=0;r=r+1|0}while((r|0)<(p|0));if(q){r=0;s=o;t=l;while(1){v=f[s+(a*24|0)+8>>2]|0;w=f[v+(r*24|0)>>2]|0;x=t+(r*24|0)|0;f[x>>2]=w;y=uE(w*80|4)|0;w=t+(r*24|0)+4|0;f[w>>2]=y;z=f[x>>2]|0;A=y+(z<<6)|0;B=t+(r*24|0)+8|0;f[B>>2]=A;C=A+(z<<2)|0;A=t+(r*24|0)+12|0;f[A>>2]=C;D=C+(z<<2)|0;C=t+(r*24|0)+16|0;f[C>>2]=D;E=D+(z<<2)|0;D=t+(r*24|0)+20|0;f[D>>2]=E;b:do if((z|0)>0){F=v+(r*24|0)+4|0;G=v+(r*24|0)+8|0;H=v+(r*24|0)+12|0;I=v+(r*24|0)+16|0;J=v+(r*24|0)+20|0;K=0;L=y;while(1){h=L+(K<<6)|0;i=(f[F>>2]|0)+(K<<6)|0;j=h+64|0;do{f[h>>2]=f[i>>2];h=h+4|0;i=i+4|0}while((h|0)<(j|0));f[(f[B>>2]|0)+(K<<2)>>2]=f[(f[G>>2]|0)+(K<<2)>>2];f[(f[A>>2]|0)+(K<<2)>>2]=f[(f[H>>2]|0)+(K<<2)>>2];f[(f[C>>2]|0)+(K<<2)>>2]=f[(f[I>>2]|0)+(K<<2)>>2];M=f[J>>2]|0;N=f[D>>2]|0;f[N+(K<<2)>>2]=f[M+(K<<2)>>2];O=K+1|0;P=f[x>>2]|0;if((O|0)>=(P|0)){Q=P;R=M;S=N;break b}K=O;L=f[w>>2]|0}}else{Q=z;R=f[v+(r*24|0)+20>>2]|0;S=E}while(0);f[S+(Q<<2)>>2]=f[R+(Q<<2)>>2];E=r+1|0;v=f[k>>2]|0;if((E|0)>=(f[v+(a*24|0)>>2]|0)){T=v;break a}r=E;s=f[m>>2]|0;t=f[v+(a*24|0)+8>>2]|0}}else T=g}else T=g;while(0);a=a+1|0;if((a|0)==(e|0))break;else n=T}u=c;return d|0}function Ywa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;SQ(a,b,c,378240,d);return}function Zwa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=+g;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0.0,ma=0.0,na=0.0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0.0,za=0.0,Aa=0.0,Ba=0,Ca=0;h=u;u=u+160|0;i=h+120|0;j=h+92|0;k=h+64|0;l=h+60|0;m=h+56|0;o=h+8|0;q=h;f[l>>2]=0;f[m>>2]=0;r=(a|0)!=0;if(!r){s=r?-5:-27;f[o>>2]=0;t=o+4|0;f[t>>2]=0;v=YG(o,26)|0;w=v;x=380233;y=w+26|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));Ywa(s,o,380260,411)}if((f[a>>2]&-65536|0)!=1112539136){s=r?-5:-27;f[o>>2]=0;t=o+4|0;f[t>>2]=0;v=YG(o,26)|0;w=v;x=380233;y=w+26|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));Ywa(s,o,380260,411)}if(g<=0.0){f[o>>2]=0;f[o+4>>2]=0;w=YG(o,22)|0;x=380296;y=w+22|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));Ywa(-211,o,380260,414)}s=PT(c,i,l,0)|0;i=PT(d,j,m,0)|0;if(f[m>>2]|f[l>>2]|0){f[o>>2]=0;f[o+4>>2]=0;w=YG(o,20)|0;x=380319;y=w+20|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));Ywa(-24,o,380260,420)}l=s+20|0;if((f[l>>2]|0)!=(f[i+20>>2]|0)){f[o>>2]=0;z=o+4|0;f[z>>2]=0;A=YG(o,43)|0;w=A;x=380340;y=w+43|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));Ywa(-209,o,380260,423)}j=s+24|0;if((f[j>>2]|0)!=(f[i+24>>2]|0)){f[o>>2]=0;z=o+4|0;f[z>>2]=0;A=YG(o,43)|0;w=A;x=380340;y=w+43|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));Ywa(-209,o,380260,423)}if((f[i>>2]&4095|0)!=6){f[o>>2]=0;B=o+4|0;f[B>>2]=0;C=YG(o,77)|0;w=C;x=380384;y=w+77|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));Ywa(-210,o,380260,428)}if((f[s>>2]&4095|0)!=4){f[o>>2]=0;B=o+4|0;f[B>>2]=0;C=YG(o,77)|0;w=C;x=380384;y=w+77|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));Ywa(-210,o,380260,428)}C=a+36|0;B=f[C>>2]|0;if(!B){_wa(a);D=f[C>>2]|0}else D=B;do if(f[D+4>>2]|0){B=PT(e,k,m,0)|0;if((f[B>>2]&4095|0)!=4){f[o>>2]=0;f[o+4>>2]=0;w=YG(o,77)|0;x=380384;y=w+77|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));Ywa(-210,o,380260,441)}C=s+4|0;if((f[C>>2]|0)!=(f[B+4>>2]|0)){f[o>>2]=0;f[o+4>>2]=0;w=YG(o,62)|0;x=380462;y=w+62|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));Ywa(-209,o,380260,445)}if((f[l>>2]|0)!=(f[B+20>>2]|0)){f[o>>2]=0;E=o+4|0;f[E>>2]=0;F=YG(o,43)|0;w=F;x=380340;y=w+43|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));Ywa(-209,o,380260,448)}if((f[j>>2]|0)==(f[B+24>>2]|0)){A=D+72|0;f[A>>2]=f[B>>2];f[A+4>>2]=f[B+4>>2];f[A+8>>2]=f[B+8>>2];f[A+12>>2]=f[B+12>>2];f[A+16>>2]=f[B+16>>2];f[A+20>>2]=f[B+20>>2];f[A+24>>2]=f[B+24>>2];G=B;H=C;break}else{f[o>>2]=0;E=o+4|0;f[E>>2]=0;F=YG(o,43)|0;w=F;x=380340;y=w+43|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));Ywa(-209,o,380260,448)}}else{G=e;H=s+4|0}while(0);p[a+24>>3]=g;e=a+8|0;F=V9b(+(f[e>>2]|0)*g)|0;f[a+16>>2]=F;F=a+12|0;E=V9b(+(f[F>>2]|0)*g)|0;f[a+20>>2]=E;E=D+16|0;f[E>>2]=f[s>>2];f[E+4>>2]=f[s+4>>2];f[E+8>>2]=f[s+8>>2];f[E+12>>2]=f[s+12>>2];f[E+16>>2]=f[s+16>>2];f[E+20>>2]=f[s+20>>2];f[E+24>>2]=f[s+24>>2];E=D+44|0;f[E>>2]=f[i>>2];f[E+4>>2]=f[i+4>>2];f[E+8>>2]=f[i+8>>2];f[E+12>>2]=f[i+12>>2];f[E+16>>2]=f[i+16>>2];f[E+20>>2]=f[i+20>>2];f[E+24>>2]=f[i+24>>2];E=V9b(g)|0;j=V9b(+((f[e>>2]|0)+-2|0)*g)|0;e=V9b(+((f[F>>2]|0)+-2|0)*g)|0;I=1.0/+(Y(e,j)|0);p[D+8>>3]=I;F=s+16|0;s=f[H>>2]|0;l=Y(s,E)|0;m=E<<2;f[D+120>>2]=(f[F>>2]|0)+l+m;k=j+E|0;j=k<<2;f[D+124>>2]=(f[F>>2]|0)+l+j;l=e+E|0;e=Y(s,l)|0;f[D+128>>2]=(f[F>>2]|0)+e+m;f[D+132>>2]=(f[F>>2]|0)+e+j;j=i+16|0;e=f[i+4>>2]|0;i=Y(e,E)|0;m=E<<3;f[D+104>>2]=(f[j>>2]|0)+i+m;E=k<<3;f[D+108>>2]=(f[j>>2]|0)+i+E;i=Y(e,l)|0;f[D+112>>2]=(f[j>>2]|0)+i+m;f[D+116>>2]=(f[j>>2]|0)+i+E;E=f[a+4>>2]|0;if((E|0)<=0){u=h;return}i=D+100|0;D=a+32|0;a=o+4|0;j=o+8|0;m=o+12|0;l=G+16|0;e=G+4|0;G=o+16|0;k=o+20|0;s=o+24|0;C=o+28|0;B=o+32|0;A=o+36|0;z=o+40|0;d=o+44|0;c=0;v=f[i>>2]|0;a:while(1){if((f[v+(c*28|0)>>2]|0)>0){t=0;r=v;while(1){J=f[r+(c*28|0)+8>>2]|0;if((f[J+(t*12|0)>>2]|0)>0){K=0;L=J;while(1){J=f[(f[(f[D>>2]|0)+(c*24|0)+8>>2]|0)+(t*24|0)+4>>2]|0;M=f[L+(t*12|0)+4>>2]|0;w=o;y=w+48|0;do{f[w>>2]=0;w=w+4|0}while((w|0)<(y|0));do if(!(f[M+(K*72|0)>>2]|0)){N=-1;O=-1;P=0;Q=0;R=0;S=0;T=0}else{U=f[J+(K<<6)+4>>2]|0;V=f[J+(K<<6)+8>>2]|0;W=f[J+(K<<6)+12>>2]|0;X=f[J+(K<<6)+16>>2]|0;f[o>>2]=U;f[a>>2]=V;f[j>>2]=W;f[m>>2]=X;Z=W+-1|0;_=X+-1|0;if(!(f[M+(K*72|0)+20>>2]|0)){N=_;O=Z;P=1;Q=W;R=X;S=U;T=V;break}$=f[J+(K<<6)+24>>2]|0;aa=f[J+(K<<6)+28>>2]|0;ba=f[J+(K<<6)+32>>2]|0;ca=f[J+(K<<6)+36>>2]|0;f[G>>2]=$;f[k>>2]=aa;f[s>>2]=ba;f[C>>2]=ca;da=ba+-1|0;ba=(Z>>>0>=da>>>0?da^Z:0)^Z;Z=$-U+-1|0;$=(ba>>>0>=Z>>>0?Z^ba:0)^ba;ba=ca+-1|0;ca=(_>>>0>=ba>>>0?ba^_:0)^_;_=aa-V+-1|0;aa=(ca>>>0>=_>>>0?ca^_:0)^ca;if(!(f[M+(K*72|0)+40>>2]|0)){N=aa;O=$;P=2;Q=W;R=X;S=U;T=V;break}ca=f[J+(K<<6)+44>>2]|0;_=f[J+(K<<6)+48>>2]|0;ba=f[J+(K<<6)+52>>2]|0;Z=f[J+(K<<6)+56>>2]|0;f[B>>2]=ca;f[A>>2]=_;f[z>>2]=ba;f[d>>2]=Z;da=ba+-1|0;ba=($>>>0>=da>>>0?da^$:0)^$;$=ca-U+-1|0;ca=Z+-1|0;Z=(aa>>>0>=ca>>>0?ca^aa:0)^aa;aa=_-V+-1|0;N=(Z>>>0>=aa>>>0?Z^aa:0)^Z;O=(ba>>>0>=$>>>0?$^ba:0)^ba;P=3;Q=W;R=X;S=U;T=V}while(0);V=O+1|0;U=N+1|0;X=(Q|0)/(V|0)|0;W=(R|0)/(U|0)|0;if((X|0)<1){ba=(V9b(+(Q|0)*g)|0)/(X|0)|0;ea=V9b(+(S|0)*g)|0;fa=1;ga=ba}else{ea=0;fa=0;ga=0}if((W|0)<1){ba=(V9b(+(R|0)*g)|0)/(W|0)|0;ha=V9b(+(T|0)*g)|0;ia=1;ja=ba}else{ha=0;ia=0;ja=0}if(!P){ka=53;break a}ba=(fa|0)==0;W=(ia|0)==0;X=(f[J+(K<<6)>>2]|0)!=0;la=I*(X?.5:1.0);ma=0.0;na=0.0;$=0;Z=S;aa=Q;while(1){if(ba){_=V9b(+(Z|0)*g)|0;oa=V9b(+(aa|0)*g)|0;pa=_}else{oa=(Y(aa,ga)|0)/(V|0)|0;pa=((Y(Z-S|0,ga)|0)/(V|0)|0)+ea|0}_=f[o+($<<4)+4>>2]|0;ca=f[o+($<<4)+12>>2]|0;if(W){da=V9b(+(_|0)*g)|0;qa=V9b(+(ca|0)*g)|0;ra=da}else{qa=(Y(ca,ja)|0)/(U|0)|0;ra=((Y(_-T|0,ja)|0)/(U|0)|0)+ha|0}_=pa<<2;ca=qa+ra|0;da=oa+pa|0;sa=da<<2;if(X){ta=f[e>>2]|0;ua=ra+oa|0;va=(f[l>>2]|0)+(Y(ta,ua)|0)+sa|0;f[M+(K*72|0)+($*20|0)+8>>2]=va;va=(f[l>>2]|0)+(Y(ta,ua+qa|0)|0)+(da-qa<<2)|0;f[M+(K*72|0)+($*20|0)+12>>2]=va;va=(f[l>>2]|0)+(Y(ta,ra)|0)+_|0;f[M+(K*72|0)+($*20|0)>>2]=va;wa=(f[l>>2]|0)+(Y(ta,ca)|0)+(pa-qa<<2)|0;xa=M+(K*72|0)+($*20|0)+4|0}else{ta=f[H>>2]|0;va=Y(ta,ra)|0;f[M+(K*72|0)+($*20|0)>>2]=(f[F>>2]|0)+va+_;f[M+(K*72|0)+($*20|0)+4>>2]=(f[F>>2]|0)+va+sa;va=Y(ta,ca)|0;f[M+(K*72|0)+($*20|0)+8>>2]=(f[F>>2]|0)+va+_;wa=(f[F>>2]|0)+va+sa|0;xa=M+(K*72|0)+($*20|0)+12|0}f[xa>>2]=wa;ya=la*+n[J+(K<<6)+4+($*20|0)+16>>2];n[M+(K*72|0)+($*20|0)+16>>2]=ya;if(!$){za=+(Y(qa,oa)|0);Aa=na}else{za=ma;Aa=na+ +(qa|0)*(+(oa|0)*ya)}sa=$+1|0;if((sa|0)==(P|0))break;ma=za;na=Aa;$=sa;Z=f[o+(sa<<4)>>2]|0;aa=f[o+(sa<<4)+8>>2]|0}if(!(za>0.0)){ka=53;break a}n[M+(K*72|0)+16>>2]=-Aa/za;K=K+1|0;aa=f[i>>2]|0;L=f[aa+(c*28|0)+8>>2]|0;if((K|0)>=(f[L+(t*12|0)>>2]|0)){Ba=aa;break}}}else Ba=r;t=t+1|0;if((t|0)>=(f[Ba+(c*28|0)>>2]|0)){Ca=Ba;break}else r=Ba}}else Ca=v;c=c+1|0;if((c|0)>=(E|0)){ka=57;break}else v=Ca}if((ka|0)==53){f[q>>2]=0;f[q+4>>2]=0;w=YG(q,9)|0;x=380525;y=w+9|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));Ywa(-215,q,380260,602)}else if((ka|0)==57){u=h;return}}function _wa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;c=u;u=u+1040|0;d=c+8|0;e=c;g=c+32|0;h=c+24|0;i=(a|0)!=0;if(!i){j=i?-5:-27;f[h>>2]=0;k=h+4|0;f[k>>2]=0;l=YG(h,26)|0;m=l;o=380233;p=m+26|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));Ywa(j,h,380535,174)}if((f[a>>2]&-65536|0)!=1112539136){j=i?-5:-27;f[h>>2]=0;k=h+4|0;f[k>>2]=0;l=YG(h,26)|0;m=l;o=380233;p=m+26|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));Ywa(j,h,380535,174)}j=a+36|0;if(f[j>>2]|0){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,36)|0;o=380569;p=m+36|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));Ywa(-2,h,380535,177)}l=a+32|0;k=f[l>>2]|0;if(!k){f[h>>2]=0;f[h+4>>2]=0;Ywa(-27,h,380535,180)}i=a+4|0;q=f[i>>2]|0;if((q|0)<1){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,33)|0;o=380606;p=m+33|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));Ywa(-211,h,380535,183)}h=f[a+8>>2]|0;o=f[a+12>>2]|0;a=0;r=0;s=0;t=0;a:while(1){v=f[k+(t*24|0)+8>>2]|0;if(!v){w=13;break}x=f[k+(t*24|0)>>2]|0;if((x|0)<1){w=13;break}a=x+a|0;y=0;z=r;A=s;while(1){B=f[v+(y*24|0)>>2]|0;z=B+z|0;if((B|0)>0){C=f[v+(y*24|0)+4>>2]|0;D=0;E=A;while(1){F=C+(D<<6)|0;G=f[C+(D<<6)+12>>2]|0;do if(G){H=f[C+(D<<6)+4>>2]|0;I=f[C+(D<<6)+8>>2]|0;J=f[C+(D<<6)+16>>2]|0;K=(f[F>>2]|0)!=0;M=E|K;if((H+G|0)>(h|0)|(I|G|J|0)<0){N=0;w=25;break a}if(!K)if((H|0)<0|(J+I|0)>(o|0)){N=0;w=25;break a}else{O=M;break}if((H|0)<(J|0)){N=0;w=25;break a}if((I+G+J|0)>(o|0)){N=0;w=25;break a}else O=M}else O=E;while(0);G=f[C+(D<<6)+32>>2]|0;do if(G){M=f[C+(D<<6)+24>>2]|0;J=f[C+(D<<6)+28>>2]|0;I=f[C+(D<<6)+36>>2]|0;H=(f[F>>2]|0)!=0;K=O|H;if((M+G|0)>(h|0)|(J|G|I|0)<0){N=1;w=25;break a}if(!H)if((M|0)<0|(I+J|0)>(o|0)){N=1;w=25;break a}else{P=K;break}if((M|0)<(I|0)){N=1;w=25;break a}if((J+G+I|0)>(o|0)){N=1;w=25;break a}else P=K}else P=O;while(0);G=f[C+(D<<6)+52>>2]|0;do if(G){K=f[C+(D<<6)+44>>2]|0;I=f[C+(D<<6)+48>>2]|0;J=f[C+(D<<6)+56>>2]|0;M=(f[F>>2]|0)!=0;H=P|M;if((K+G|0)>(h|0)|(I|G|J|0)<0){N=2;w=25;break a}if(!M)if((K|0)<0|(J+I|0)>(o|0)){N=2;w=25;break a}else{Q=H;break}if((K|0)<(J|0)){N=2;w=25;break a}if((I+G+J|0)>(o|0)){N=2;w=25;break a}else Q=H}else Q=P;while(0);D=D+1|0;if((D|0)>=(B|0)){R=Q;break}else E=Q}}else R=A;E=y+1|0;if((E|0)>=(x|0))break;else{y=E;A=R}}A=t+1|0;if((A|0)>=(q|0)){w=31;break}else{r=z;s=R;t=A}}if((w|0)==13){f[e>>2]=t;g9b(g,380640,e)|0;f[e>>2]=0;f[e+4>>2]=0;s=s8b(g)|0;if(!s)Ywa(-2,e,380535,198);Krc(YG(e,s)|0,g|0,s|0)|0;Ywa(-2,e,380535,198)}else if((w|0)==25){f[d>>2]=N;f[d+4>>2]=y;f[d+8>>2]=t;g9b(g,380738,d)|0;f[d>>2]=0;f[d+4>>2]=0;t=s8b(g)|0;if(!t)Ywa(-27,d,380535,230);Krc(YG(d,t)|0,g|0,t|0)|0;Ywa(-27,d,380535,230)}else if((w|0)==31){w=uE((z*72|0)+144+(a*12|0)+(a+z<<2)+(q*28|0)|0)|0;Drc(w+8|0,0,136)|0;q=f[i>>2]|0;f[w>>2]=q;z=w+144|0;d=w+100|0;f[d>>2]=z;t=z+(q*28|0)|0;g=w+141|0;b[g>>0]=1;f[w+4>>2]=R&1;R=w+140|0;b[R>>0]=0;if((q|0)<=0){f[j>>2]=w;vE(0);vE(0);vE(0);vE(0);vE(0);vE(0);u=c;return}y=t;N=t+(a*12|0)|0;a=0;t=z;z=q;while(1){q=f[l>>2]|0;e=q+(a*24|0)|0;s=f[e>>2]|0;f[t+(a*28|0)>>2]=s;n[t+(a*28|0)+4>>2]=+n[q+(a*24|0)+4>>2]+-9.999999747378752e-05;r=t+(a*28|0)+8|0;f[r>>2]=y;Q=t+(a*28|0)+12|0;f[Q>>2]=1;P=y+(s*12|0)|0;o=f[q+(a*24|0)+20>>2]|0;f[t+(a*28|0)+24>>2]=(o|0)==-1?0:t+(o*28|0)|0;o=f[q+(a*24|0)+12>>2]|0;h=(o|0)==-1?0:t+(o*28|0)|0;f[t+(a*28|0)+16>>2]=h;o=f[q+(a*24|0)+16>>2]|0;f[t+(a*28|0)+20>>2]=(o|0)==-1?0:t+(o*28|0)|0;b[R>>0]=(h|0)!=0|b[R>>0];if((s|0)>0){s=q+(a*24|0)+8|0;q=0;h=N;o=y;while(1){O=f[s>>2]|0;k=f[O+(q*24|0)>>2]|0;A=h+(k*72|0)|0;f[o+(q*12|0)>>2]=k;x=o+(q*12|0)+4|0;f[x>>2]=h;f[o+(q*12|0)+8>>2]=A;b:do if((k|0)>0){v=O+(q*24|0)+4|0;E=O+(q*24|0)+8|0;B=O+(q*24|0)+12|0;D=O+(q*24|0)+16|0;C=0;G=h;while(1){F=f[v>>2]|0;m=G+(C*72|0)|0;p=m+72|0;do{f[m>>2]=-1;m=m+4|0}while((m|0)<(p|0));f[G+(C*72|0)+60>>2]=f[(f[E>>2]|0)+(C<<2)>>2];f[G+(C*72|0)+64>>2]=f[(f[B>>2]|0)+(C<<2)>>2];f[G+(C*72|0)+68>>2]=f[(f[D>>2]|0)+(C<<2)>>2];if((!(+L(+(+n[F+(C<<6)+60>>2]))<2.220446049250313e-16)?(f[F+(C<<6)+52>>2]|0)!=0:0)?(f[F+(C<<6)+56>>2]|0)!=0:0)f[Q>>2]=0;else{H=G+(C*72|0)+40|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;f[H+16>>2]=0}H=C+1|0;if((H|0)==(k|0))break b;C=H;G=f[x>>2]|0}}while(0);Krc(A|0,f[O+(q*24|0)+20>>2]|0,(k<<2)+4|0)|0;S=A+(k<<2)+4+3&-4;b[g>>0]=(k|0)==1&(b[g>>0]|0)!=0&1;x=q+1|0;if((x|0)>=(f[e>>2]|0))break;q=x;h=S;o=f[r>>2]|0}T=S;U=f[i>>2]|0}else{T=N;U=z}r=a+1|0;if((r|0)>=(U|0))break;y=P;N=T;a=r;t=f[d>>2]|0;z=U}f[j>>2]=w;vE(0);vE(0);vE(0);vE(0);vE(0);vE(0);u=c;return}}function $wa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0.0,v=0.0,w=0.0,x=0.0,y=0,z=0.0,A=0,B=0,C=0.0,D=0.0,E=0.0;h=u;u=u+16|0;i=h;j=(a|0)!=0;if(!j){k=j?-5:-27;f[i>>2]=0;l=i+4|0;f[l>>2]=0;m=YG(i,23)|0;o=m;q=380856;r=o+23|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));Ywa(k,i,380880,684)}if((f[a>>2]&-65536|0)!=1112539136){k=j?-5:-27;f[i>>2]=0;l=i+4|0;f[l>>2]=0;m=YG(i,23)|0;o=m;q=380856;r=o+23|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));Ywa(k,i,380880,684)}k=f[a+36>>2]|0;if(!k){f[i>>2]=0;f[i+4>>2]=0;o=YG(i,76)|0;q=380910;r=o+76|0;do{b[o>>0]=b[q>>0]|0;o=o+1|0;q=q+1|0}while((o|0)<(r|0));Ywa(-27,i,380880,689)}if((d|c|0)<0){s=-1;u=h;return s|0}if(((f[a+16>>2]|0)+c|0)>=(f[k+40>>2]|0)){s=-1;u=h;return s|0}if(((f[a+20>>2]|0)+d|0)>=(f[k+36>>2]|0)){s=-1;u=h;return s|0}a=(Y((f[k+20>>2]|0)>>>2,d)|0)+c|0;i=(Y((f[k+48>>2]|0)>>>3,d)|0)+c|0;t=+p[k+8>>3];v=t*+((f[(f[k+120>>2]|0)+(a<<2)>>2]|0)-(f[(f[k+124>>2]|0)+(a<<2)>>2]|0)-(f[(f[k+128>>2]|0)+(a<<2)>>2]|0)+(f[(f[k+132>>2]|0)+(a<<2)>>2]|0)|0);w=t*(+p[(f[k+104>>2]|0)+(i<<3)>>3]-+p[(f[k+108>>2]|0)+(i<<3)>>3]-+p[(f[k+112>>2]|0)+(i<<3)>>3]+ +p[(f[k+116>>2]|0)+(i<<3)>>3])-v*v;if(!(w>=0.0))x=1.0;else x=+M(+w);if(b[k+140>>0]|0){i=f[k+100>>2]|0;if(!i){s=1;u=h;return s|0}else y=i;a:while(1){p[e>>3]=0.0;i=f[y>>2]|0;if((i|0)>0){c=f[y+8>>2]|0;d=0;w=0.0;while(1){v=+axa(c+(d*12|0)|0,x,a)+w;p[e>>3]=v;d=d+1|0;if((d|0)>=(i|0)){z=v;break}else w=v}}else z=0.0;if(z>=+n[y+4>>2]){i=f[y+20>>2]|0;if(!i){s=1;A=43;break}else{y=i;continue}}else B=y;while(1){i=f[B+16>>2]|0;if(i|0){y=i;continue a}B=f[B+24>>2]|0;if(!B){s=0;A=43;break a}}}if((A|0)==43){u=h;return s|0}}B=f[k>>2]|0;y=(B|0)>(g|0);if(!(b[k+141>>0]|0)){if(!y){s=1;u=h;return s|0}i=f[k+100>>2]|0;d=g;while(1){p[e>>3]=0.0;c=f[i+(d*28|0)>>2]|0;if((c|0)>0){q=f[i+(d*28|0)+8>>2]|0;o=0;z=0.0;while(1){w=+axa(q+(o*12|0)|0,x,a)+z;p[e>>3]=w;o=o+1|0;if((o|0)>=(c|0)){C=w;break}else z=w}}else C=0.0;if(C<+n[i+(d*28|0)+4>>2]){s=0-d|0;A=43;break}d=d+1|0;if((d|0)>=(B|0)){s=1;A=43;break}}if((A|0)==43){u=h;return s|0}}if(!y){s=1;u=h;return s|0}y=f[k+100>>2]|0;k=g;while(1){g=f[y+(k*28|0)>>2]|0;d=(g|0)>0;if(!(f[y+(k*28|0)+12>>2]|0))if(d){i=f[y+(k*28|0)+8>>2]|0;c=0;C=0.0;while(1){o=f[i+(c*12|0)+4>>2]|0;z=+n[o+16>>2]*+((f[(f[o>>2]|0)+(a<<2)>>2]|0)-(f[(f[o+4>>2]|0)+(a<<2)>>2]|0)-(f[(f[o+8>>2]|0)+(a<<2)>>2]|0)+(f[(f[o+12>>2]|0)+(a<<2)>>2]|0)|0)+ +n[o+36>>2]*+((f[(f[o+20>>2]|0)+(a<<2)>>2]|0)-(f[(f[o+24>>2]|0)+(a<<2)>>2]|0)-(f[(f[o+28>>2]|0)+(a<<2)>>2]|0)+(f[(f[o+32>>2]|0)+(a<<2)>>2]|0)|0);q=f[o+40>>2]|0;if(!q)D=z;else D=z+ +n[o+56>>2]*+((f[q+(a<<2)>>2]|0)-(f[(f[o+44>>2]|0)+(a<<2)>>2]|0)-(f[(f[o+48>>2]|0)+(a<<2)>>2]|0)+(f[(f[o+52>>2]|0)+(a<<2)>>2]|0)|0);z=C+ +n[(f[i+(c*12|0)+8>>2]|0)+((D>=x*+n[o+60>>2]&1)<<2)>>2];c=c+1|0;if((c|0)>=(g|0)){E=z;break}else C=z}}else E=0.0;else if(d){c=f[y+(k*28|0)+8>>2]|0;i=0;C=0.0;while(1){o=f[c+(i*12|0)+4>>2]|0;z=C+ +n[(f[c+(i*12|0)+8>>2]|0)+((+n[o+16>>2]*+((f[(f[o>>2]|0)+(a<<2)>>2]|0)-(f[(f[o+4>>2]|0)+(a<<2)>>2]|0)-(f[(f[o+8>>2]|0)+(a<<2)>>2]|0)+(f[(f[o+12>>2]|0)+(a<<2)>>2]|0)|0)+ +n[o+36>>2]*+((f[(f[o+20>>2]|0)+(a<<2)>>2]|0)-(f[(f[o+24>>2]|0)+(a<<2)>>2]|0)-(f[(f[o+28>>2]|0)+(a<<2)>>2]|0)+(f[(f[o+32>>2]|0)+(a<<2)>>2]|0)|0)>=x*+n[o+60>>2]&1)<<2)>>2];i=i+1|0;if((i|0)>=(g|0)){E=z;break}else C=z}}else E=0.0;if(E<+n[y+(k*28|0)+4>>2]){A=35;break}g=k+1|0;if((g|0)<(B|0))k=g;else{A=42;break}}if((A|0)==35){p[e>>3]=E;s=0-k|0;u=h;return s|0}else if((A|0)==42){p[e>>3]=E;s=1;u=h;return s|0}return 0}function axa(a,b,c){a=a|0;b=+b;c=c|0;var d=0,e=0,g=0.0,h=0,i=0.0;d=f[a+4>>2]|0;e=0;do{g=+n[d+(e*72|0)+16>>2]*+((f[(f[d+(e*72|0)>>2]|0)+(c<<2)>>2]|0)-(f[(f[d+(e*72|0)+4>>2]|0)+(c<<2)>>2]|0)-(f[(f[d+(e*72|0)+8>>2]|0)+(c<<2)>>2]|0)+(f[(f[d+(e*72|0)+12>>2]|0)+(c<<2)>>2]|0)|0)+ +n[d+(e*72|0)+36>>2]*+((f[(f[d+(e*72|0)+20>>2]|0)+(c<<2)>>2]|0)-(f[(f[d+(e*72|0)+24>>2]|0)+(c<<2)>>2]|0)-(f[(f[d+(e*72|0)+28>>2]|0)+(c<<2)>>2]|0)+(f[(f[d+(e*72|0)+32>>2]|0)+(c<<2)>>2]|0)|0);h=f[d+(e*72|0)+40>>2]|0;if(!h)i=g;else i=g+ +n[d+(e*72|0)+56>>2]*+((f[h+(c<<2)>>2]|0)-(f[(f[d+(e*72|0)+44>>2]|0)+(c<<2)>>2]|0)-(f[(f[d+(e*72|0)+48>>2]|0)+(c<<2)>>2]|0)+(f[(f[d+(e*72|0)+52>>2]|0)+(c<<2)>>2]|0)|0);e=f[(i<+n[d+(e*72|0)+60>>2]*b?d+(e*72|0)+64|0:d+(e*72|0)+68|0)>>2]|0}while((e|0)>0);return +(+n[(f[a+8>>2]|0)+(0-e<<2)>>2])}function bxa(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0.0,na=0.0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0.0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0.0,Ub=0.0,Vb=0,Wb=0.0,Xb=0.0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0;n=u;u=u+704|0;o=n+696|0;q=n+664|0;r=n+652|0;s=n+640|0;t=n+628|0;v=n+624|0;w=n+620|0;x=n+592|0;y=n+564|0;z=n+536|0;A=n+176|0;B=n+508|0;C=n+480|0;D=n+424|0;E=n+352|0;F=n+344|0;G=n;H=n+288|0;I=n+232|0;J=n+408|0;zT(o,108116);f[r>>2]=0;K=r+4|0;f[K>>2]=0;f[r+8>>2]=0;f[s>>2]=0;L=s+4|0;f[L>>2]=0;f[s+8>>2]=0;f[t>>2]=0;M=t+4|0;f[M>>2]=0;f[t+8>>2]=0;N=(j&1|0)!=0;O=j&4;P=(O|0)!=0;Q=(j&8|0)!=0;QR(w);R=(c|0)!=0;if(!R){f[x>>2]=0;S=x+4|0;f[S>>2]=0;T=YG(x,26)|0;U=T;V=381065;W=U+26|0;do{b[U>>0]=b[V>>0]|0;U=U+1|0;V=V+1|0}while((U|0)<(W|0));X=R?-5:-27;Ywa(X,x,381092,1238)}if((f[c>>2]&-65536|0)!=1112539136){f[x>>2]=0;S=x+4|0;f[S>>2]=0;T=YG(x,26)|0;U=T;V=381065;W=U+26|0;do{b[U>>0]=b[V>>0]|0;U=U+1|0;V=V+1|0}while((U|0)<(W|0));X=R?-5:-27;Ywa(X,x,381092,1238)}if(!d){f[x>>2]=0;f[x+4>>2]=0;U=YG(x,20)|0;V=381118;W=U+20|0;do{b[U>>0]=b[V>>0]|0;U=U+1|0;V=V+1|0}while((U|0)<(W|0));Ywa(-27,x,381092,1241)}X=PT(a,q,v,0)|0;if(f[v>>2]|0){f[x>>2]=0;f[x+4>>2]=0;U=YG(x,20)|0;V=380319;W=U+20|0;do{b[U>>0]=b[V>>0]|0;U=U+1|0;V=V+1|0}while((U|0)<(W|0));Ywa(-24,x,381092,1245)}if(f[X>>2]&7|0){f[x>>2]=0;f[x+4>>2]=0;U=YG(x,31)|0;V=381139;W=U+31|0;do{b[U>>0]=b[V>>0]|0;U=U+1|0;V=V+1|0}while((U|0)<(W|0));Ywa(-210,x,381092,1248)}if(h<=1.0){f[x>>2]=0;f[x+4>>2]=0;U=YG(x,24)|0;V=381171;W=U+24|0;do{b[U>>0]=b[V>>0]|0;U=U+1|0;V=V+1|0}while((U|0)<(W|0));Ywa(-211,x,381092,1251)}V=l+4|0;U=f[V>>2]|0;if((U|0)!=0?(W=f[l>>2]|0,(W|0)!=0):0){v=X+20|0;q=X+24|0;Z=q;_=v;$=W;aa=U;ba=f[v>>2]|0;ca=f[q>>2]|0}else{q=X+20|0;v=f[q>>2]|0;f[V>>2]=v;U=X+24|0;W=f[U>>2]|0;f[l>>2]=W;Z=U;_=q;$=W;aa=v;ba=v;ca=W}W=DT(ba,ca,0)|0;if(!W)da=0;else{ca=Bmc(16)|0;f[ca+4>>2]=1;f[ca>>2]=108144;f[ca+8>>2]=W;da=ca}ca=DT((f[_>>2]|0)+1|0,(f[Z>>2]|0)+1|0,4)|0;if(!ca)ea=0;else{ba=Bmc(16)|0;f[ba+4>>2]=1;f[ba>>2]=108144;f[ba+8>>2]=ca;ea=ba}ba=DT((f[_>>2]|0)+1|0,(f[Z>>2]|0)+1|0,6)|0;if(!ba)fa=0;else{v=Bmc(16)|0;f[v+4>>2]=1;f[v>>2]=108144;f[v+8>>2]=ba;fa=v}v=c+36|0;q=f[v>>2]|0;if(!q){_wa(c);ga=f[v>>2]|0}else ga=q;if(!(f[ga+4>>2]|0)){ha=0;ia=0}else{ga=DT((f[_>>2]|0)+1|0,(f[Z>>2]|0)+1|0,4)|0;if(!ga)ja=0;else{Z=Bmc(16)|0;f[Z+4>>2]=1;f[Z>>2]=108144;f[Z+8>>2]=ga;ja=Z}ha=ja;ia=ga}ga=$V(0,56,20,d)|0;if(!(f[X>>2]&4088))ka=X;else{h1(X,W,6);ka=W}a:do if((j&6|0)==2){X=f[c+8>>2]|0;d=f[c+12>>2]|0;ja=ka+20|0;Z=ka+24|0;_=DT((f[ja>>2]|0)+1|0,(f[Z>>2]|0)+1|0,0)|0;if(!_)la=0;else{q=Bmc(16)|0;f[q+4>>2]=1;f[q>>2]=108144;f[q+8>>2]=_;la=q}ma=+(X|0);na=+(d|0);q=X+-2|0;v=d+-2|0;U=k+4|0;a=_+16|0;_=x+4|0;R=x+8|0;T=x+12|0;S=x+16|0;oa=x+20|0;pa=x+24|0;qa=ca+16|0;ra=y+4|0;sa=y+8|0;ta=y+12|0;ua=y+16|0;va=y+20|0;wa=y+24|0;xa=ba+16|0;ya=z+4|0;za=z+8|0;Aa=z+12|0;Ba=z+16|0;Ca=z+20|0;Da=z+24|0;Ea=(ia|0)==0;Fa=A+4|0;Ga=A+8|0;Ha=A+12|0;Ia=A+16|0;Ja=A+20|0;Ka=A+24|0;La=W+16|0;Ma=C+4|0;Na=C+8|0;Oa=C+12|0;Pa=C+16|0;Qa=C+20|0;Ra=C+24|0;Sa=F+4|0;Ta=J+4|0;Ua=J+8|0;Va=J+12|0;Wa=I+36|0;Xa=I+16|0;Ya=I+4|0;Za=I+40|0;_a=I+44|0;$a=I+48|0;ab=H+36|0;bb=H+16|0;cb=H+4|0;db=H+40|0;eb=H+44|0;fb=H+48|0;gb=E+36|0;hb=E+16|0;ib=E+4|0;jb=E+40|0;kb=E+44|0;lb=E+48|0;mb=D+36|0;nb=D+16|0;ob=D+4|0;pb=D+40|0;qb=D+44|0;rb=D+48|0;sb=ia+16|0;tb=B+4|0;ub=B+8|0;vb=B+12|0;wb=B+16|0;xb=B+20|0;yb=B+24|0;zb=1.0;while(1){Ab=V9b(ma*zb)|0;Bb=V9b(na*zb)|0;Cb=V9b(+(f[Z>>2]|0)/zb)|0;Db=V9b(+(f[ja>>2]|0)/zb)|0;Eb=Cb-X|0;Fb=Eb+1|0;Gb=Db-d|0;Hb=Gb+1|0;if((Gb|Eb|0)<0){Ib=76;break}if((Ab|0)>(f[l>>2]|0)){Ib=78;break}if((Bb|0)>(f[V>>2]|0)){Ib=77;break}do if((Ab|0)>=(f[k>>2]|0)){if((Bb|0)<(f[U>>2]|0)){Ib=74;break}Eb=f[a>>2]|0;f[x>>2]=1111638016;f[_>>2]=Cb;f[R>>2]=0;f[T>>2]=0;f[S>>2]=Eb;f[oa>>2]=Db;f[pa>>2]=Cb;Eb=Db+1|0;Jb=Cb+1|0;Kb=f[qa>>2]|0;Lb=Jb<<2;f[y>>2]=1111638020;f[ra>>2]=Lb;f[sa>>2]=0;f[ta>>2]=0;f[ua>>2]=Kb;f[va>>2]=Eb;f[wa>>2]=Jb;Kb=f[xa>>2]|0;f[z>>2]=1111638022;f[ya>>2]=Jb<<3;f[za>>2]=0;f[Aa>>2]=0;f[Ba>>2]=Kb;f[Ca>>2]=Eb;f[Da>>2]=Jb;if(Ea)Mb=0;else{Kb=f[sb>>2]|0;f[B>>2]=1111638020;f[tb>>2]=Lb;f[ub>>2]=0;f[vb>>2]=0;f[wb>>2]=Kb;f[xb>>2]=Eb;f[yb>>2]=Jb;Mb=B}f[A>>2]=1111638021;f[Fa>>2]=Fb<<2;f[Ga>>2]=0;f[Ha>>2]=0;f[Ia>>2]=0;f[Ja>>2]=Hb;f[Ka>>2]=Fb;Jb=f[La>>2]|0;f[C>>2]=1111638016;f[Ma>>2]=Fb;f[Na>>2]=0;f[Oa>>2]=0;f[Pa>>2]=Jb;f[Qa>>2]=Hb;f[Ra>>2]=Fb;xma(ka,x,5);V6(x,y,z,Mb);Jb=zb>2.0?1:2;Eb=((Y((Fb|0)/(Jb|0)|0,Gb+Jb|0)|0)/(Jb|0)|0)+500|0;Kb=(Eb|0)<1e3?1:(Eb|0)/1e3|0;Eb=(Kb|0)<100?Kb:100;Zwa(c,y,z,Mb,1.0);mU(D,A,0,1,0,0);mU(E,C,0,1,0,0);f[F>>2]=0;f[Sa>>2]=Eb;Kb=Jb+-1+((Eb+Gb|0)/(Eb|0)|0)|0;mU(H,y,0,1,0,0);mU(I,z,0,1,0,0);f[J>>2]=1;f[Ta>>2]=1;f[Ua>>2]=q;f[Va>>2]=v;cxa(G,c,Kb-((Kb|0)%(Jb|0)|0)|0,zb,H,I,D,E,J,r,e,g,m,w);oU(F,G,-1.0);dxa(G);Jb=f[Wa>>2]|0;do if(Jb|0){Kb=Jb+12|0;Eb=f[Kb>>2]|0;f[Kb>>2]=Eb+-1;if((Eb|0)!=1)break;lP(I)}while(0);f[Wa>>2]=0;f[Xa>>2]=0;f[Xa+4>>2]=0;f[Xa+8>>2]=0;f[Xa+12>>2]=0;if((f[Ya>>2]|0)>0){Jb=f[Za>>2]|0;Eb=0;do{f[Jb+(Eb<<2)>>2]=0;Eb=Eb+1|0}while((Eb|0)<(f[Ya>>2]|0))}Eb=f[_a>>2]|0;if((Eb|0)!=($a|0))tE(Eb);Eb=f[ab>>2]|0;do if(Eb|0){Jb=Eb+12|0;Kb=f[Jb>>2]|0;f[Jb>>2]=Kb+-1;if((Kb|0)!=1)break;lP(H)}while(0);f[ab>>2]=0;f[bb>>2]=0;f[bb+4>>2]=0;f[bb+8>>2]=0;f[bb+12>>2]=0;if((f[cb>>2]|0)>0){Eb=f[db>>2]|0;Kb=0;do{f[Eb+(Kb<<2)>>2]=0;Kb=Kb+1|0}while((Kb|0)<(f[cb>>2]|0))}Kb=f[eb>>2]|0;if((Kb|0)!=(fb|0))tE(Kb);Kb=f[gb>>2]|0;do if(Kb|0){Eb=Kb+12|0;Jb=f[Eb>>2]|0;f[Eb>>2]=Jb+-1;if((Jb|0)!=1)break;lP(E)}while(0);f[gb>>2]=0;f[hb>>2]=0;f[hb+4>>2]=0;f[hb+8>>2]=0;f[hb+12>>2]=0;if((f[ib>>2]|0)>0){Kb=f[jb>>2]|0;Jb=0;do{f[Kb+(Jb<<2)>>2]=0;Jb=Jb+1|0}while((Jb|0)<(f[ib>>2]|0))}Jb=f[kb>>2]|0;if((Jb|0)!=(lb|0))tE(Jb);Jb=f[mb>>2]|0;do if(Jb|0){Kb=Jb+12|0;Eb=f[Kb>>2]|0;f[Kb>>2]=Eb+-1;if((Eb|0)!=1)break;lP(D)}while(0);f[mb>>2]=0;f[nb>>2]=0;f[nb+4>>2]=0;f[nb+8>>2]=0;f[nb+12>>2]=0;if((f[ob>>2]|0)>0){Jb=f[pb>>2]|0;Eb=0;do{f[Jb+(Eb<<2)>>2]=0;Eb=Eb+1|0}while((Eb|0)<(f[ob>>2]|0))}Eb=f[qb>>2]|0;if((Eb|0)!=(rb|0))tE(Eb)}else Ib=74;while(0);if((Ib|0)==74)Ib=0;zb=zb*h}if((Ib|0)==76){Nb=la;Ob=0;break}else if((Ib|0)==77){Nb=la;Ob=0;break}else if((Ib|0)==78){Nb=la;Ob=0;break}}else{rb=ia;V6(ka,ca,ba,rb);if(N){qb=ka+24|0;ob=DT((f[ka+20>>2]|0)+1|0,(f[qb>>2]|0)+1|0,4)|0;if(!ob)Pb=0;else{pb=Bmc(16)|0;f[pb+4>>2]=1;f[pb>>2]=108144;f[pb+8>>2]=ob;Pb=pb}n8(ka,W,0.0,50.0,3);V6(W,ob,0,0);Qb=qb;Rb=Pb;Sb=ob}else{Qb=ka+24|0;Rb=0;Sb=0}ob=c+8|0;qb=f[ob>>2]|0;zb=+(qb|0);pb=f[Qb>>2]|0;na=+(pb+-10|0);if(zb<na){ma=+(f[c+12>>2]|0);Tb=+((f[ka+20>>2]|0)+-10|0);nb=0;Ub=1.0;while(1){if(!(Ub*ma<Tb)){Vb=nb;Wb=Ub;break}mb=nb+1|0;Xb=Ub*h;if(Xb*zb<na){nb=mb;Ub=Xb}else{Vb=mb;Wb=Xb;break}}Ub=1.0/h;na=P?Ub:h;if((Vb|0)>0){nb=c+12|0;mb=ka+20|0;lb=k+4|0;kb=Sb;ib=kb+16|0;jb=kb+4|0;kb=x+4|0;hb=x+8|0;gb=x+12|0;fb=ca+16|0;eb=ca+4|0;cb=y+4|0;db=y+8|0;bb=y+12|0;ab=z+4|0;$a=A+20|0;_a=A+24|0;Ya=A+28|0;Za=A+4|0;Xa=A+8|0;Wa=A+16|0;v=A+36|0;Va=A+40|0;q=A+44|0;Ua=A+48|0;Ta=(i|0)>1?i:1;Sa=r+8|0;Ra=z+4|0;Qa=z+8|0;Pa=z+12|0;zb=Q?.6:.4;Tb=P?Ub*Wb:1.0;Oa=Vb;Na=0;Ma=0;La=0;Ka=0;Ja=qb;Ia=pb;Ha=f[k>>2]|0;while(1){Ga=Oa+-1|0;Ub=Tb>2.0?Tb:2.0;Fa=V9b(Tb*+(Ja|0))|0;yb=V9b(Tb*+(f[nb>>2]|0))|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;xb=V9b(+(Ia-Fa|0)/Ub)|0;wb=V9b(+((f[mb>>2]|0)-yb|0)/Ub)|0;do if((Fa|0)<(Ha|0))Ib=92;else{if((yb|0)<(f[lb>>2]|0)){Ib=92;break}if((Fa|0)>($|0)|(yb|0)>(aa|0))if(P){Yb=Na;Zb=Ma;_b=La;$b=Ka;ac=Ha;break}else{Nb=0;Ob=Rb;break a}Zwa(c,ca,ba,rb,Tb);vT(W);if(N){ma=+(Fa|0);vb=V9b(ma*.15)|0;Xb=+(yb|0);ub=V9b(Xb*.15)|0;tb=V9b(ma*.7)|0;sb=V9b(Xb*.7)|0;Ea=f[ib>>2]|0;Da=f[jb>>2]|0;Ca=Ea+(Y(Da,ub)|0)+(vb<<2)|0;f[x>>2]=Ca;f[kb>>2]=Ca+(tb<<2);Ca=sb+ub|0;sb=Ea+(Y(Da,Ca)|0)+(vb<<2)|0;f[hb>>2]=sb;f[gb>>2]=sb+(tb<<2);sb=f[fb>>2]|0;Da=f[eb>>2]|0;Ea=sb+(Y(Da,ub)|0)+(vb<<2)|0;f[y>>2]=Ea;f[cb>>2]=Ea+(tb<<2);Ea=sb+(Y(Da,Ca)|0)+(vb<<2)|0;f[db>>2]=Ea;f[bb>>2]=Ea+(tb<<2)}tb=Y(Ka,La)|0;if((tb|0)>0){Ea=V9b(+(Ma|0)/Ub)|0;vb=V9b(+(Ka+Ma-yb|0)/Ub)|0;Ca=V9b(+(Na|0)/Ub)|0;bc=vb;cc=V9b(+(La+Na-Fa|0)/Ub)|0;dc=Ea;ec=Ca}else{bc=wb;cc=xb;dc=0;ec=0}f[z>>2]=dc;f[ab>>2]=bc;Ca=f[eb>>2]|0;f[A>>2]=108164;f[Za>>2]=c;f[$a>>2]=Fa;f[_a>>2]=yb;Ea=Ya;f[Ea>>2]=ec;f[Ea+4>>2]=cc;p[Xa>>3]=Ub;f[Wa>>2]=Ca;f[v>>2]=x;f[Va>>2]=y;f[q>>2]=r;f[Ua>>2]=w;oU(z,A,-1.0);if(!P){Yb=Na;Zb=Ma;_b=La;$b=Ka;ac=Ha;break}Ca=f[r>>2]|0;Ea=f[K>>2]|0;if((Ca|0)==(Ea|0)){Yb=Na;Zb=Ma;_b=La;$b=Ka;ac=Ha;break}if(tb|0){Yb=Na;Zb=Ma;_b=La;$b=Ka;ac=Ha;break}tb=Ea-Ca>>4;vb=f[L>>2]|0;Da=f[s>>2]|0;sb=vb-Da>>4;ub=Da;Da=vb;do if(tb>>>0>sb>>>0){Uta(s,tb-sb|0);fc=f[r>>2]|0;gc=f[K>>2]|0}else{if(tb>>>0>=sb>>>0){fc=Ca;gc=Ea;break}vb=ub+(tb<<4)|0;if((Da|0)==(vb|0)){fc=Ca;gc=Ea;break}f[L>>2]=Da+(~((Da+-16-vb|0)>>>4)<<4);fc=Ca;gc=Ea}while(0);if((fc|0)!=(gc|0)){Ea=fc;Ca=f[s>>2]|0;while(1){f[Ca>>2]=f[Ea>>2];f[Ca+4>>2]=f[Ea+4>>2];f[Ca+8>>2]=f[Ea+8>>2];f[Ca+12>>2]=f[Ea+12>>2];Ea=Ea+16|0;if((Ea|0)==(gc|0))break;else Ca=Ca+16|0}}uwa(s,Ta,.2);Ca=f[s>>2]|0;Ea=f[L>>2]|0;if((Ca|0)==(Ea|0)){Yb=Na;Zb=Ma;_b=La;$b=Ka;ac=Ha;break}Da=Ea-Ca>>4;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if(!Da){hc=0;ic=0;jc=0;kc=0}else{Ea=0;tb=0;ub=0;sb=0;vb=0;while(1){Ba=f[Ca+(Ea<<4)+8>>2]|0;Aa=f[Ca+(Ea<<4)+12>>2]|0;if((Y(Aa,Ba)|0)>(Y(ub,tb)|0)){za=f[Ca+(Ea<<4)>>2]|0;f[z>>2]=za;ya=f[Ca+(Ea<<4)+4>>2]|0;f[Ra>>2]=ya;f[Qa>>2]=Ba;f[Pa>>2]=Aa;lc=ya;mc=za;nc=Aa;oc=Ba}else{lc=sb;mc=vb;nc=ub;oc=tb}Ea=Ea+1|0;if((Ea|0)==(Da|0)){hc=mc;ic=lc;jc=oc;kc=nc;break}else{tb=oc;ub=nc;sb=lc;vb=mc}}}vb=f[K>>2]|0;if((vb|0)==(f[Sa>>2]|0))Yta(r,z);else{f[vb>>2]=hc;f[vb+4>>2]=ic;f[vb+8>>2]=jc;f[vb+12>>2]=kc;f[K>>2]=vb+16}vb=f[z>>2]|0;sb=f[Ra>>2]|0;ub=f[Qa>>2]|0;tb=f[Pa>>2]|0;Xb=+(ub|0);Da=V9b(Xb*.2)|0;ma=+(tb|0);Ea=V9b(ma*.2)|0;Ca=vb-Da|0;vb=(Ca|0)>0?Ca:0;Ca=sb-Ea|0;sb=(Ca|0)>0?Ca:0;Ca=(Da<<1)+ub|0;ub=(f[Qb>>2]|0)+-1-vb|0;Da=(Ea<<1)+tb|0;tb=(f[mb>>2]|0)+-1-sb|0;Ea=V9b(zb*Xb)|0;f[k>>2]=Ea;Ba=V9b(zb*ma)|0;f[lb>>2]=Ba;Yb=vb;Zb=sb;_b=(ub|0)<(Ca|0)?ub:Ca;$b=(tb|0)<(Da|0)?tb:Da;ac=Ea}while(0);if((Ib|0)==92){Ib=0;if(P){Nb=0;Ob=Rb;break a}else{Yb=Na;Zb=Ma;_b=La;$b=Ka;ac=Ha}}if((Oa|0)<=1){Nb=0;Ob=Rb;break a}Tb=na*Tb;Oa=Ga;Na=Yb;Ma=Zb;La=_b;Ka=$b;Ja=f[ob>>2]|0;Ia=f[Qb>>2]|0;Ha=ac}}else{Nb=0;Ob=Rb}}else{Nb=0;Ob=Rb}}while(0);Rb=f[K>>2]|0;ac=f[r>>2]|0;Qb=Rb-ac>>4;$b=f[L>>2]|0;_b=f[s>>2]|0;Zb=$b-_b>>4;Yb=_b;_b=$b;$b=ac;ac=Rb;if(Qb>>>0<=Zb>>>0)if(Qb>>>0<Zb>>>0?(Rb=Yb+(Qb<<4)|0,(_b|0)!=(Rb|0)):0){f[L>>2]=_b+(~((_b+-16-Rb|0)>>>4)<<4);pc=$b;qc=ac}else{pc=$b;qc=ac}else{Uta(s,Qb-Zb|0);pc=f[r>>2]|0;qc=f[K>>2]|0}if((pc|0)!=(qc|0)){Zb=pc;pc=f[s>>2]|0;while(1){f[pc>>2]=f[Zb>>2];f[pc+4>>2]=f[Zb+4>>2];f[pc+8>>2]=f[Zb+8>>2];f[pc+12>>2]=f[Zb+12>>2];Zb=Zb+16|0;if((Zb|0)==(qc|0))break;else pc=pc+16|0}}do if(O|i)if(m){wwa(s,e,g,i,.2);break}else{vwa(s,t,(i|0)>1?i:1,.2);break}else{pc=(f[L>>2]|0)-(f[s>>2]|0)>>4;f[x>>2]=0;qc=f[M>>2]|0;Zb=f[t>>2]|0;Qb=qc-Zb>>2;ac=Zb;Zb=qc;do if(pc>>>0>Qb>>>0)cs(t,pc-Qb|0,x);else{if(pc>>>0>=Qb>>>0)break;qc=ac+(pc<<2)|0;if((Zb|0)==(qc|0))break;f[M>>2]=Zb+(~((Zb+-4-qc|0)>>>2)<<2)}while(0)}while(0);i=f[L>>2]|0;g=f[s>>2]|0;e=(i|0)==(g|0);if(P){P=g;if(!e){f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;f[x+16>>2]=0;m=x+8|0;O=x+12|0;Zb=x+4|0;pc=f[t>>2]|0;ac=x+16|0;Qb=i-g>>4;i=0;qc=0;$b=0;while(1){Rb=f[P+(i<<4)+8>>2]|0;_b=f[P+(i<<4)+12>>2]|0;if((Y(_b,Rb)|0)>(Y($b,qc)|0)){Yb=f[P+(i<<4)+4>>2]|0;f[x>>2]=f[P+(i<<4)>>2];f[Zb>>2]=Yb;f[m>>2]=Rb;f[O>>2]=_b;f[ac>>2]=f[pc+(i<<2)>>2];rc=_b;sc=Rb}else{rc=$b;sc=qc}i=i+1|0;if(i>>>0>=Qb>>>0)break;else{qc=sc;$b=rc}}nW(ga,x)|0}}else if(!e){e=x+4|0;rc=x+8|0;$b=x+12|0;sc=x+16|0;qc=0;Qb=g;do{g=Qb;i=f[g+(qc<<4)+4>>2]|0;pc=f[g+(qc<<4)+8>>2]|0;ac=f[g+(qc<<4)+12>>2]|0;f[x>>2]=f[g+(qc<<4)>>2];f[e>>2]=i;f[rc>>2]=pc;f[$b>>2]=ac;ac=f[t>>2]|0;if((ac|0)==(f[M>>2]|0))tc=0;else tc=f[ac+(qc<<2)>>2]|0;f[sc>>2]=tc;nW(ga,x)|0;qc=qc+1|0;Qb=f[s>>2]|0}while(qc>>>0<(f[L>>2]|0)-Qb>>4>>>0)}RR(w);w=f[t>>2]|0;if(w|0){t=f[M>>2]|0;if((t|0)!=(w|0))f[M>>2]=t+(~((t+-4-w|0)>>>2)<<2);Emc(w)}w=f[s>>2]|0;if(w|0){s=f[L>>2]|0;if((s|0)!=(w|0))f[L>>2]=s+(~((s+-16-w|0)>>>4)<<4);Emc(w)}w=f[r>>2]|0;if(w|0){r=f[K>>2]|0;if((r|0)!=(w|0))f[K>>2]=r+(~((r+-16-w|0)>>>4)<<4);Emc(w)}w=Nb;do if(Nb|0){r=w+4|0;K=f[r>>2]|0;f[r>>2]=K+-1;if((K|0)!=1)break;ai[f[(f[Nb>>2]|0)+8>>2]&2047](w)}while(0);w=Ob;do if(Ob|0){Nb=w+4|0;K=f[Nb>>2]|0;f[Nb>>2]=K+-1;if((K|0)!=1)break;ai[f[(f[Ob>>2]|0)+8>>2]&2047](w)}while(0);w=fa;do if(fa|0){Ob=w+4|0;K=f[Ob>>2]|0;f[Ob>>2]=K+-1;if((K|0)!=1)break;ai[f[(f[fa>>2]|0)+8>>2]&2047](w)}while(0);w=ha;do if(ha|0){fa=w+4|0;K=f[fa>>2]|0;f[fa>>2]=K+-1;if((K|0)!=1)break;ai[f[(f[ha>>2]|0)+8>>2]&2047](w)}while(0);w=ea;do if(ea|0){ha=w+4|0;K=f[ha>>2]|0;f[ha>>2]=K+-1;if((K|0)!=1)break;ai[f[(f[ea>>2]|0)+8>>2]&2047](w)}while(0);w=da;do if(da|0){ea=w+4|0;K=f[ea>>2]|0;f[ea>>2]=K+-1;if((K|0)!=1)break;ai[f[(f[da>>2]|0)+8>>2]&2047](w)}while(0);if(!(f[o+4>>2]|0)){u=n;return ga|0}u=n;return ga|0}function cxa(a,b,c,d,e,g,h,i,j,k,l,m,n,o){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;var q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;f[a>>2]=108204;q=a+24|0;f[q>>2]=1124007936;r=a+28|0;s=a+32|0;t=a+64|0;u=r;v=u+36|0;do{f[u>>2]=0;u=u+4|0}while((u|0)<(v|0));f[t>>2]=s;w=a+72|0;x=a+68|0;f[x>>2]=w;f[w>>2]=0;f[a+76>>2]=0;w=a+80|0;f[w>>2]=1124007936;y=a+84|0;z=a+88|0;A=a+120|0;u=y;v=u+36|0;do{f[u>>2]=0;u=u+4|0}while((u|0)<(v|0));f[A>>2]=z;u=a+128|0;v=a+124|0;f[v>>2]=u;f[u>>2]=0;f[a+132>>2]=0;u=a+144|0;f[u>>2]=0;f[u+4>>2]=0;f[u+8>>2]=0;f[u+12>>2]=0;f[a+4>>2]=b;f[a+8>>2]=c;p[a+16>>3]=d;if((q|0)!=(e|0)){c=e+36|0;b=f[c>>2]|0;if(b){B=b+12|0;f[B>>2]=(f[B>>2]|0)+1;B=a+60|0;b=f[B>>2]|0;if((b|0)!=0?(C=b+12|0,b=f[C>>2]|0,f[C>>2]=b+-1,(b|0)==1):0){lP(q);D=B}else D=B}else D=a+60|0;f[D>>2]=0;B=a+40|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[r>>2]|0)>0){b=f[t>>2]|0;t=0;do{f[b+(t<<2)>>2]=0;t=t+1|0;E=f[r>>2]|0}while((t|0)<(E|0));f[q>>2]=f[e>>2];if((E|0)<3)F=12;else F=14}else{f[q>>2]=f[e>>2];F=12}if((F|0)==12){E=f[e+4>>2]|0;if((E|0)<3){f[r>>2]=E;f[s>>2]=f[e+8>>2];f[a+36>>2]=f[e+12>>2];s=f[e+44>>2]|0;E=f[x>>2]|0;f[E>>2]=f[s>>2];f[E+4>>2]=f[s+4>>2]}else F=14}if((F|0)==14)kP(q,e);f[B>>2]=f[e+16>>2];f[a+44>>2]=f[e+20>>2];f[a+48>>2]=f[e+24>>2];f[a+52>>2]=f[e+28>>2];f[a+56>>2]=f[e+32>>2];f[D>>2]=f[c>>2]}if((w|0)==(g|0)){G=a+136|0;f[G>>2]=h;H=a+140|0;f[H>>2]=i;I=f[j>>2]|0;f[u>>2]=I;J=j+4|0;K=f[J>>2]|0;L=a+148|0;f[L>>2]=K;M=j+8|0;N=f[M>>2]|0;O=a+152|0;f[O>>2]=N;P=j+12|0;Q=f[P>>2]|0;R=a+156|0;f[R>>2]=Q;S=a+160|0;f[S>>2]=k;T=n?l:0;U=a+164|0;f[U>>2]=T;V=n?m:0;W=a+168|0;f[W>>2]=V;X=a+172|0;f[X>>2]=o;return}c=g+36|0;D=f[c>>2]|0;if(D|0){e=D+12|0;f[e>>2]=(f[e>>2]|0)+1}e=a+116|0;D=f[e>>2]|0;if(D|0?(B=D+12|0,D=f[B>>2]|0,f[B>>2]=D+-1,(D|0)==1):0)lP(w);f[e>>2]=0;D=a+96|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[y>>2]|0)>0){B=f[A>>2]|0;A=0;do{f[B+(A<<2)>>2]=0;A=A+1|0;Y=f[y>>2]|0}while((A|0)<(Y|0));f[w>>2]=f[g>>2];if((Y|0)<3)F=27;else F=29}else{f[w>>2]=f[g>>2];F=27}if((F|0)==27){Y=f[g+4>>2]|0;if((Y|0)<3){f[y>>2]=Y;f[z>>2]=f[g+8>>2];f[a+92>>2]=f[g+12>>2];z=f[g+44>>2]|0;Y=f[v>>2]|0;f[Y>>2]=f[z>>2];f[Y+4>>2]=f[z+4>>2]}else F=29}if((F|0)==29)kP(w,g);f[D>>2]=f[g+16>>2];f[a+100>>2]=f[g+20>>2];f[a+104>>2]=f[g+24>>2];f[a+108>>2]=f[g+28>>2];f[a+112>>2]=f[g+32>>2];f[e>>2]=f[c>>2];G=a+136|0;f[G>>2]=h;H=a+140|0;f[H>>2]=i;I=f[j>>2]|0;f[u>>2]=I;J=j+4|0;K=f[J>>2]|0;L=a+148|0;f[L>>2]=K;M=j+8|0;N=f[M>>2]|0;O=a+152|0;f[O>>2]=N;P=j+12|0;Q=f[P>>2]|0;R=a+156|0;f[R>>2]=Q;S=a+160|0;f[S>>2]=k;T=n?l:0;U=a+164|0;f[U>>2]=T;V=n?m:0;W=a+168|0;f[W>>2]=V;X=a+172|0;f[X>>2]=o;return}function dxa(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=108204;b=a+80|0;c=a+116|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+96|0;b=a+84|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+120>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+124>>2]|0;if((b|0)!=(a+128|0))tE(b);b=a+24|0;d=a+60|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+40|0;b=a+28|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+64>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0))return;tE(b);return}function exa(a){a=a|0;Emc(a);return}function fxa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0.0,R=0,S=0,T=0,U=0,V=0,W=0.0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0;c=u;u=u+80|0;d=c+64|0;e=c;g=c+56|0;h=c+32|0;i=c+12|0;j=c+52|0;k=c+48|0;l=c+44|0;m=c+40|0;n=c+24|0;o=c+8|0;zT(h,108176);q=f[b>>2]|0;r=f[b+4>>2]|0;b=f[a+36>>2]|0;s=f[b>>2]|0;t=f[b+4>>2]|0;v=f[b+8>>2]|0;w=f[b+12>>2]|0;b=f[a+40>>2]|0;x=f[b>>2]|0;y=f[b+4>>2]|0;z=f[b+8>>2]|0;A=f[b+12>>2]|0;b=(s|0)==0;B=(f[a+16>>2]|0)>>>2;f[i>>2]=0;C=i+4|0;f[C>>2]=0;f[i+8>>2]=0;if((q|0)<(r|0)){D=a+8|0;E=a+28|0;F=a+32|0;G=a+4|0;H=d+4|0;H=a+20|0;I=a+24|0;J=d+4|0;K=d+8|0;L=d+12|0;M=i+8|0;N=a+48|0;O=a+44|0;P=q;q=f[F>>2]|0;while(1){Q=+p[D>>3];R=V9b(+(P|0)*Q)|0;S=f[E>>2]|0;a:do if((S|0)<(q|0)){T=Y(R,B)|0;U=S;V=q;W=Q;while(1){X=V9b(+(U|0)*W)|0;if(!b?(Z=X+T|0,((f[s+(Z<<2)>>2]|0)-(f[t+(Z<<2)>>2]|0)-(f[v+(Z<<2)>>2]|0)+(f[w+(Z<<2)>>2]|0)|0)<100?1:((f[x+(Z<<2)>>2]|0)-(f[y+(Z<<2)>>2]|0)-(f[z+(Z<<2)>>2]|0)+(f[A+(Z<<2)>>2]|0)|0)<20):0){_=2;$=V}else{Z=f[G>>2]|0;zT(d,108096);aa=$wa(Z,X,R,e,0)|0;if((aa|0)>0){Z=f[H>>2]|0;ba=f[I>>2]|0;f[d>>2]=X;f[J>>2]=R;f[K>>2]=Z;f[L>>2]=ba;ca=f[C>>2]|0;if((ca|0)==(f[M>>2]|0)){Yta(i,d);da=f[C>>2]|0}else{f[ca>>2]=X;f[ca+4>>2]=R;f[ca+8>>2]=Z;f[ca+12>>2]=ba;ba=ca+16|0;f[C>>2]=ba;da=ba}if(da-(f[i>>2]|0)>>4>>>0>99?(SR(f[N>>2]|0),ba=f[O>>2]|0,f[j>>2]=f[ba+4>>2],f[k>>2]=f[i>>2],f[l>>2]=f[C>>2],f[g>>2]=f[j>>2],f[e>>2]=f[k>>2],f[d>>2]=f[l>>2],gxa(ba,g,e,d)|0,TR(f[N>>2]|0),ba=f[i>>2]|0,ca=f[C>>2]|0,(ca|0)!=(ba|0)):0)f[C>>2]=ca+(~((ca+-16-ba|0)>>>4)<<4)}_=aa|0?1:2;$=f[F>>2]|0}aa=_+U|0;if((aa|0)>=($|0)){ea=$;break a}U=aa;V=$;W=+p[D>>3]}}else ea=q;while(0);P=P+1|0;if((P|0)>=(r|0))break;else q=ea}ea=f[i>>2]|0;if((f[C>>2]|0)==(ea|0))fa=ea;else{ea=a+48|0;SR(f[ea>>2]|0);q=f[a+44>>2]|0;f[m>>2]=f[q+4>>2];f[n>>2]=f[i>>2];f[o>>2]=f[C>>2];f[g>>2]=f[m>>2];f[e>>2]=f[n>>2];f[d>>2]=f[o>>2];gxa(q,g,e,d)|0;TR(f[ea>>2]|0);fa=f[i>>2]|0}if(fa|0){i=f[C>>2]|0;if((i|0)!=(fa|0))f[C>>2]=i+(~((i+-16-fa|0)>>>4)<<4);Emc(fa)}}if(!(f[h+4>>2]|0)){u=c;return}u=c;return}function gxa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;e=f[a>>2]|0;g=e;h=(f[b>>2]|0)-g|0;b=h>>4;i=e+(b<<4)|0;j=f[c>>2]|0;c=f[d>>2]|0;d=c-j|0;k=d>>4;l=j;m=c;if((d|0)<=0){n=i;return n|0}d=a+8|0;o=f[d>>2]|0;p=a+4|0;q=f[p>>2]|0;r=q;if((k|0)<=(o-r>>4|0)){s=i;t=r-s|0;u=t>>4;if((k|0)>(u|0)){v=l+(u<<4)|0;u=v;if((v|0)==(m|0))w=q;else{x=m+-16-u|0;y=v;v=q;while(1){f[v>>2]=f[y>>2];f[v+4>>2]=f[y+4>>2];f[v+8>>2]=f[y+8>>2];f[v+12>>2]=f[y+12>>2];y=y+16|0;if((y|0)==(m|0))break;else v=v+16|0}v=q+((x>>>4)+1<<4)|0;f[p>>2]=v;w=v}if((t|0)>0){z=u;A=w}else{n=i;return n|0}}else{z=c;A=q}c=A-(i+(k<<4))>>4;w=i+(c<<4)|0;if(w>>>0<q>>>0){u=(q+(0-c<<4)+~s|0)>>>4;s=w;t=A;while(1){f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2];f[t+8>>2]=f[s+8>>2];f[t+12>>2]=f[s+12>>2];s=s+16|0;if(s>>>0>=q>>>0)break;else t=t+16|0}f[p>>2]=A+(u+1<<4)}if(c|0){c=w;w=A;do{A=c;c=c+-16|0;u=w;w=w+-16|0;f[w>>2]=f[c>>2];f[u+-12>>2]=f[A+-12>>2];f[u+-8>>2]=f[A+-8>>2];f[u+-4>>2]=f[A+-4>>2]}while((c|0)!=(i|0))}c=z;if((l|0)==(c|0)){n=i;return n|0}else{B=i;C=l}while(1){f[B>>2]=f[C>>2];f[B+4>>2]=f[C+4>>2];f[B+8>>2]=f[C+8>>2];f[B+12>>2]=f[C+12>>2];C=C+16|0;if((C|0)==(c|0)){n=i;break}else B=B+16|0}return n|0}B=(r-g>>4)+k|0;if(B>>>0>268435455)Ukc(a);k=o-g|0;o=k>>3;r=k>>4>>>0<134217727?(o>>>0<B>>>0?B:o):268435455;o=i;B=h>>4;do if(r)if(r>>>0>268435455){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{D=Bmc(r<<4)|0;break}else D=0;while(0);h=D+(B<<4)|0;B=D+(r<<4)|0;if((l|0)==(m|0))E=h;else{r=((m+-16-j|0)>>>4)+1|0;j=l;l=h;while(1){f[l>>2]=f[j>>2];f[l+4>>2]=f[j+4>>2];f[l+8>>2]=f[j+8>>2];f[l+12>>2]=f[j+12>>2];j=j+16|0;if((j|0)==(m|0))break;else l=l+16|0}E=h+(r<<4)|0}if(!b)F=h;else{b=i+-16-g|0;g=i;r=h;while(1){l=g;g=g+-16|0;f[r+-16>>2]=f[g>>2];f[r+-12>>2]=f[l+-12>>2];f[r+-8>>2]=f[l+-8>>2];f[r+-4>>2]=f[l+-4>>2];if((g|0)==(e|0))break;else r=r+-16|0}F=h+(~(b>>>4)<<4)|0}b=F;if((q|0)==(i|0))G=E;else{F=q+-16-o|0;o=i;i=E;while(1){f[i>>2]=f[o>>2];f[i+4>>2]=f[o+4>>2];f[i+8>>2]=f[o+8>>2];f[i+12>>2]=f[o+12>>2];o=o+16|0;if((o|0)==(q|0))break;else i=i+16|0}G=E+((F>>>4)+1<<4)|0}f[a>>2]=b;f[p>>2]=G;f[d>>2]=B;if(!e){n=h;return n|0}Emc(e);n=h;return n|0}function hxa(a){a=a|0;dxa(a);Emc(a);return}function ixa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0.0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0.0,na=0,oa=0,pa=0,qa=0;c=u;u=u+176|0;d=c+160|0;e=c+152|0;g=c+148|0;h=c+72|0;i=c+56|0;j=c+40|0;k=c+24|0;l=c;m=c+144|0;n=c+140|0;o=c+136|0;q=c+132|0;r=c+128|0;s=c+124|0;t=c+120|0;v=c+116|0;w=c+112|0;x=c+108|0;y=c+104|0;z=c+100|0;A=c+96|0;B=c+92|0;C=c+88|0;D=c+84|0;E=c+80|0;F=c+68|0;G=c+52|0;H=c+36|0;I=c+20|0;J=c+16|0;K=c+12|0;L=c+8|0;zT(h,108216);M=a+4|0;N=f[M>>2]|0;O=f[N+8>>2]|0;P=f[N+12>>2]|0;N=a+16|0;Q=+p[N>>3];R=V9b(+(O|0)*Q)|0;S=V9b(+(P|0)*Q)|0;T=f[a+8>>2]|0;U=Y(T,f[b>>2]|0)|0;V=Y(f[b+4>>2]|0,T)|0;T=(f[a+32>>2]|0)+~P|0;P=(T|0)<(V|0)?T:V;if((P|0)>(U|0)?(V=f[a+36>>2]|0,(V|0)>(O+1|0)):0){T=V+~O|0;O=Q>2.0?1:2;f[i>>2]=0;V=i+4|0;f[V>>2]=0;f[i+8>>2]=0;f[j>>2]=0;b=j+4|0;f[b>>2]=0;f[j+8>>2]=0;f[k>>2]=0;W=k+4|0;f[W>>2]=0;f[k+8>>2]=0;X=(T|0)>0;Z=a+164|0;_=d+4|0;$=d+8|0;aa=d+12|0;ba=i+8|0;ca=a+172|0;da=a+160|0;ea=d+4|0;fa=d+8|0;ga=d+12|0;ha=j+8|0;ia=k+8|0;ja=a+168|0;ka=U;do{if(X){Q=+(ka|0);U=0;do{la=$wa(f[M>>2]|0,U,ka,l,0)|0;if(!(f[Z>>2]|0)){if((la|0)>0){ma=+p[N>>3];na=V9b(+(U|0)*ma)|0;oa=V9b(Q*ma)|0;f[d>>2]=na;f[_>>2]=oa;f[$>>2]=R;f[aa>>2]=S;pa=f[V>>2]|0;if((pa|0)==(f[ba>>2]|0)){Yta(i,d);qa=f[V>>2]|0}else{f[pa>>2]=na;f[pa+4>>2]=oa;f[pa+8>>2]=R;f[pa+12>>2]=S;oa=pa+16|0;f[V>>2]=oa;qa=oa}if(qa-(f[i>>2]|0)>>4>>>0>99?(SR(f[ca>>2]|0),oa=f[da>>2]|0,f[x>>2]=f[oa+4>>2],f[y>>2]=f[i>>2],f[z>>2]=f[V>>2],f[g>>2]=f[x>>2],f[e>>2]=f[y>>2],f[d>>2]=f[z>>2],gxa(oa,g,e,d)|0,TR(f[ca>>2]|0),oa=f[i>>2]|0,pa=f[V>>2]|0,(pa|0)!=(oa|0)):0)f[V>>2]=pa+(~((pa+-16-oa|0)>>>4)<<4)}}else{oa=f[(f[M>>2]|0)+4>>2]|0;pa=(la|0)==1?0-oa|0:la;if((pa+oa|0)<4){ma=+p[N>>3];oa=V9b(+(U|0)*ma)|0;la=V9b(Q*ma)|0;f[d>>2]=oa;f[ea>>2]=la;f[fa>>2]=R;f[ga>>2]=S;na=f[V>>2]|0;if((na|0)==(f[ba>>2]|0))Yta(i,d);else{f[na>>2]=oa;f[na+4>>2]=la;f[na+8>>2]=R;f[na+12>>2]=S;f[V>>2]=na+16}na=0-pa|0;f[d>>2]=na;pa=f[b>>2]|0;if((pa|0)==(f[ha>>2]|0))MR(j,d);else{f[pa>>2]=na;f[b>>2]=pa+4}pa=f[W>>2]|0;if((pa|0)==(f[ia>>2]|0))$ta(k,l);else{p[pa>>3]=+p[l>>3];f[W>>2]=pa+8}if((f[V>>2]|0)-(f[i>>2]|0)>>4>>>0>99){SR(f[ca>>2]|0);pa=f[da>>2]|0;f[m>>2]=f[pa+4>>2];f[n>>2]=f[i>>2];f[o>>2]=f[V>>2];f[g>>2]=f[m>>2];f[e>>2]=f[n>>2];f[d>>2]=f[o>>2];gxa(pa,g,e,d)|0;pa=f[Z>>2]|0;f[q>>2]=f[pa+4>>2];f[r>>2]=f[j>>2];f[s>>2]=f[b>>2];f[g>>2]=f[q>>2];f[e>>2]=f[r>>2];f[d>>2]=f[s>>2];d2(pa,g,e,d)|0;pa=f[ja>>2]|0;f[t>>2]=f[pa+4>>2];f[v>>2]=f[k>>2];f[w>>2]=f[W>>2];f[g>>2]=f[t>>2];f[e>>2]=f[v>>2];f[d>>2]=f[w>>2];jxa(pa,g,e,d)|0;TR(f[ca>>2]|0);pa=f[i>>2]|0;na=f[V>>2]|0;if((na|0)!=(pa|0))f[V>>2]=na+(~((na+-16-pa|0)>>>4)<<4);pa=f[j>>2]|0;na=f[b>>2]|0;if((na|0)!=(pa|0))f[b>>2]=na+(~((na+-4-pa|0)>>>2)<<2);pa=f[k>>2]|0;na=f[W>>2]|0;if((na|0)!=(pa|0))f[W>>2]=na+(~((na+-8-pa|0)>>>3)<<3)}}}U=U+O|0}while((U|0)<(T|0))}ka=ka+O|0}while((ka|0)<(P|0));if((f[b>>2]|0)==(f[j>>2]|0)){if((f[V>>2]|0)!=(f[i>>2]|0)){P=a+172|0;SR(f[P>>2]|0);ka=f[a+160>>2]|0;f[J>>2]=f[ka+4>>2];f[K>>2]=f[i>>2];f[L>>2]=f[V>>2];f[g>>2]=f[J>>2];f[e>>2]=f[K>>2];f[d>>2]=f[L>>2];gxa(ka,g,e,d)|0;TR(f[P>>2]|0)}}else{P=a+172|0;SR(f[P>>2]|0);ka=f[a+160>>2]|0;f[A>>2]=f[ka+4>>2];f[B>>2]=f[i>>2];f[C>>2]=f[V>>2];f[g>>2]=f[A>>2];f[e>>2]=f[B>>2];f[d>>2]=f[C>>2];gxa(ka,g,e,d)|0;ka=f[a+164>>2]|0;f[D>>2]=f[ka+4>>2];f[E>>2]=f[j>>2];f[F>>2]=f[b>>2];f[g>>2]=f[D>>2];f[e>>2]=f[E>>2];f[d>>2]=f[F>>2];d2(ka,g,e,d)|0;ka=f[a+168>>2]|0;f[G>>2]=f[ka+4>>2];f[H>>2]=f[k>>2];f[I>>2]=f[W>>2];f[g>>2]=f[G>>2];f[e>>2]=f[H>>2];f[d>>2]=f[I>>2];jxa(ka,g,e,d)|0;TR(f[P>>2]|0)}P=f[k>>2]|0;if(P|0){k=f[W>>2]|0;if((k|0)!=(P|0))f[W>>2]=k+(~((k+-8-P|0)>>>3)<<3);Emc(P)}P=f[j>>2]|0;if(P|0){j=f[b>>2]|0;if((j|0)!=(P|0))f[b>>2]=j+(~((j+-4-P|0)>>>2)<<2);Emc(P)}P=f[i>>2]|0;if(P|0){i=f[V>>2]|0;if((i|0)!=(P|0))f[V>>2]=i+(~((i+-16-P|0)>>>4)<<4);Emc(P)}}if(!(f[h+4>>2]|0)){u=c;return}u=c;return}function jxa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;e=f[a>>2]|0;g=e;h=(f[b>>2]|0)-g|0;b=e+(h>>3<<3)|0;i=f[c>>2]|0;j=f[d>>2]|0;d=j-i|0;k=d>>3;l=j;if((d|0)<=0){m=b;return m|0}d=a+8|0;n=f[d>>2]|0;o=a+4|0;q=f[o>>2]|0;r=q;if((k|0)<=(n-r>>3|0)){s=b;t=r-s|0;u=t>>3;if((k|0)>(u|0)){v=i+(u<<3)|0;u=v;if((v|0)==(l|0))w=q;else{x=l+-8-u|0;y=v;v=q;while(1){p[v>>3]=+p[y>>3];y=y+8|0;if((y|0)==(l|0))break;else v=v+8|0}v=q+((x>>>3)+1<<3)|0;f[o>>2]=v;w=v}if((t|0)>0){z=u;A=w}else{m=b;return m|0}}else{z=j;A=q}j=A-(b+(k<<3))|0;w=j>>3;u=b+(w<<3)|0;if(u>>>0<q>>>0){t=(q+(0-w<<3)+~s|0)>>>3;s=u;u=A;while(1){p[u>>3]=+p[s>>3];s=s+8|0;if(s>>>0>=q>>>0)break;else u=u+8|0}f[o>>2]=A+(t+1<<3)}if(!w)B=i;else{Mrc(A+(0-w<<3)|0,b|0,j|0)|0;B=f[c>>2]|0}c=z-B|0;if(!c){m=b;return m|0}Mrc(b|0,B|0,c|0)|0;m=b;return m|0}c=(r-g>>3)+k|0;if(c>>>0>536870911)Ukc(a);k=n-g|0;g=k>>2;n=k>>3>>>0<268435455?(g>>>0<c>>>0?c:g):536870911;g=b;c=h>>3;do if(n)if(n>>>0>536870911){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{C=Bmc(n<<3)|0;break}else C=0;while(0);k=C+(c<<3)|0;B=C+(n<<3)|0;n=i;if((n|0)==(l|0))D=k;else{C=((l+-8-i|0)>>>3)+1|0;i=n;n=k;while(1){p[n>>3]=+p[i>>3];i=i+8|0;if((i|0)==(l|0))break;else n=n+8|0}D=k+(C<<3)|0}C=k+(0-c<<3)|0;if((h|0)>0)Krc(C|0,e|0,h|0)|0;h=r-g|0;if((h|0)>0){Krc(D|0,b|0,h|0)|0;E=D+(h>>>3<<3)|0}else E=D;f[a>>2]=C;f[o>>2]=E;f[d>>2]=B;if(!e){m=k;return m|0}Emc(e);m=k;return m|0}function kxa(a){a=a|0;Emc(a);return}function lxa(a){a=a|0;iU(a+12|0,f[a+8>>2]|0);if(!a)return;ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function mxa(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;j=j|0;k=+k;l=l|0;var m=0,n=0,o=0;m=u;u=u+16|0;n=m;zT(n,108236);o=Bmc(48)|0;cY(o);f[o>>2]=108264;f[o+4>>2]=g;p[o+8>>3]=e;b[o+16>>0]=0;f[o+20>>2]=h;f[o+24>>2]=i;f[o+28>>2]=j;p[o+32>>3]=k;f[o+40>>2]=l;l=Bmc(16)|0;j=l+4|0;f[j>>2]=1;f[l>>2]=108376;f[l+8>>2]=o;f[j>>2]=(f[j>>2]|0)+1;i=f[j>>2]|0;f[j>>2]=i+-1;if((i|0)==1)ai[f[(f[l>>2]|0)+8>>2]&2047](l);rh[f[(f[o>>2]|0)+32>>2]&255](o,a,c,d);d=f[j>>2]|0;f[j>>2]=d+-1;if((d|0)==1)ai[f[(f[l>>2]|0)+8>>2]&2047](l);if(!(f[n+4>>2]|0)){u=m;return}u=m;return}function nxa(a){a=a|0;Emc(a);return}function oxa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function pxa(a){a=a|0;WX(a);Emc(a);return}function qxa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0.0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0.0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0.0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0.0,vd=0.0,wd=0.0,xd=0,yd=0.0,zd=0.0,Ad=0.0,Bd=0,Cd=0,Dd=0,Ed=0.0,Fd=0,Gd=0.0,Hd=0.0,Id=0.0,Jd=0.0,Kd=0.0,Ld=0.0,Md=0.0,Nd=0.0,Od=0.0,Pd=0.0,Qd=0.0,Rd=0.0,Sd=0.0,Td=0.0,Ud=0.0,Vd=0,Wd=0,Xd=0.0,Yd=0.0,Zd=0.0,_d=0.0,$d=0.0,ae=0,be=0,ce=0,de=0,ee=0,fe=0,ge=0.0,he=0,ie=0,je=0,ke=0,le=0;g=u;u=u+7040|0;h=g+2128|0;i=g+5968|0;j=g+1064|0;k=g;l=g+4904|0;m=g+3840|0;o=g+3808|0;q=g+3752|0;r=g+3696|0;s=g+3688|0;t=g+3624|0;v=g+3560|0;w=g+3504|0;x=g+3832|0;y=g+3448|0;z=g+3824|0;A=g+3816|0;B=g+3336|0;C=g+3280|0;D=g+3224|0;E=g+3680|0;F=g+3616|0;zT(o,108388);do if((pD(c)|0)==65536){G=f[c+4>>2]|0;f[q>>2]=f[G>>2];H=q+4|0;I=G+4|0;f[H>>2]=f[I>>2];J=q+8|0;f[J>>2]=f[G+8>>2];f[q+12>>2]=f[G+12>>2];f[q+16>>2]=f[G+16>>2];f[q+20>>2]=f[G+20>>2];f[q+24>>2]=f[G+24>>2];f[q+28>>2]=f[G+28>>2];f[q+32>>2]=f[G+32>>2];K=f[G+36>>2]|0;f[q+36>>2]=K;f[q+40>>2]=J;J=q+48|0;L=q+44|0;f[L>>2]=J;f[J>>2]=0;f[q+52>>2]=0;if(K|0){J=K+12|0;f[J>>2]=(f[J>>2]|0)+1}if((f[I>>2]|0)<3){I=f[G+44>>2]|0;J=f[L>>2]|0;f[J>>2]=f[I>>2];f[J+4>>2]=f[I+4>>2];break}else{f[H>>2]=0;kP(q,G);break}}else lD(q,c,-1);while(0);do if((pD(d)|0)==65536){c=f[d+4>>2]|0;f[r>>2]=f[c>>2];G=r+4|0;H=c+4|0;f[G>>2]=f[H>>2];I=r+8|0;f[I>>2]=f[c+8>>2];f[r+12>>2]=f[c+12>>2];f[r+16>>2]=f[c+16>>2];f[r+20>>2]=f[c+20>>2];f[r+24>>2]=f[c+24>>2];f[r+28>>2]=f[c+28>>2];f[r+32>>2]=f[c+32>>2];J=f[c+36>>2]|0;f[r+36>>2]=J;L=r+40|0;f[L>>2]=I;I=r+48|0;K=r+44|0;f[K>>2]=I;f[I>>2]=0;f[r+52>>2]=0;if(J|0){I=J+12|0;f[I>>2]=(f[I>>2]|0)+1}if((f[H>>2]|0)<3){H=f[c+44>>2]|0;I=f[K>>2]|0;f[I>>2]=f[H>>2];f[I+4>>2]=f[H+4>>2];M=L;break}else{f[G>>2]=0;kP(r,c);M=L;break}}else{lD(r,d,-1);M=r+40|0}while(0);f[s>>2]=q;f[s+4>>2]=r;f[t>>2]=1124007936;d=t+4|0;L=t+8|0;c=t+40|0;G=d;H=G+36|0;do{f[G>>2]=0;G=G+4|0}while((G|0)<(H|0));f[c>>2]=L;I=t+48|0;K=t+44|0;f[K>>2]=I;f[I>>2]=0;f[t+52>>2]=0;f[v>>2]=1124007936;J=v+4|0;N=v+8|0;O=v+40|0;G=J;H=G+36|0;do{f[G>>2]=0;G=G+4|0}while((G|0)<(H|0));f[O>>2]=N;P=v+48|0;Q=v+44|0;f[Q>>2]=P;f[P>>2]=0;f[v+52>>2]=0;f[w>>2]=1124007936;R=w+4|0;S=w+8|0;T=w+40|0;G=R;H=G+36|0;do{f[G>>2]=0;G=G+4|0}while((G|0)<(H|0));f[T>>2]=S;S=w+48|0;U=w+44|0;f[U>>2]=S;f[S>>2]=0;f[w+52>>2]=0;W=f[a+4>>2]|0;X=q+40|0;Z=f[X>>2]|0;_=f[Z+4>>2]|0;$=f[Z>>2]|0;Z=f[M>>2]|0;if(!(($|0)==(f[Z>>2]|0)?(_|0)==(f[Z+4>>2]|0):0)){f[h>>2]=0;aa=h+4|0;f[aa>>2]=0;ba=YG(h,110)|0;G=ba;ca=381802;H=G+110|0;do{b[G>>0]=b[ca>>0]|0;G=G+1|0;ca=ca+1|0}while((G|0)<(H|0));Ixa(h,383162,1114)}Z=(f[q>>2]|0)>>>3&511;if(!((Z|0)==0?(Z|0)==((f[r>>2]|0)>>>3&511|0):0)){f[h>>2]=0;aa=h+4|0;f[aa>>2]=0;ba=YG(h,110)|0;G=ba;ca=381802;H=G+110|0;do{b[G>>0]=b[ca>>0]|0;G=G+1|0;ca=ca+1|0}while((G|0)<(H|0));Ixa(h,383162,1114)}Z=a+8|0;if(!(+p[Z>>3]<1.0)){f[h>>2]=0;aa=h+4|0;f[aa>>2]=0;ba=YG(h,110)|0;G=ba;ca=381802;H=G+110|0;do{b[G>>0]=b[ca>>0]|0;G=G+1|0;ca=ca+1|0}while((G|0)<(H|0));Ixa(h,383162,1114)}f[x>>2]=_;f[x+4>>2]=$;HD(e,x,13,-1,0,0);do if((pD(e)|0)==65536){x=f[e+4>>2]|0;f[y>>2]=f[x>>2];$=y+4|0;_=x+4|0;f[$>>2]=f[_>>2];ba=y+8|0;f[ba>>2]=f[x+8>>2];f[y+12>>2]=f[x+12>>2];f[y+16>>2]=f[x+16>>2];f[y+20>>2]=f[x+20>>2];f[y+24>>2]=f[x+24>>2];f[y+28>>2]=f[x+28>>2];f[y+32>>2]=f[x+32>>2];aa=f[x+36>>2]|0;f[y+36>>2]=aa;f[y+40>>2]=ba;ba=y+48|0;da=y+44|0;f[da>>2]=ba;f[ba>>2]=0;f[y+52>>2]=0;if(aa|0){ba=aa+12|0;f[ba>>2]=(f[ba>>2]|0)+1}if((f[_>>2]|0)<3){_=f[x+44>>2]|0;ba=f[da>>2]|0;f[ba>>2]=f[_>>2];f[ba+4>>2]=f[_+4>>2];break}else{f[$>>2]=0;kP(y,x);break}}else lD(y,e,-1);while(0);if((W|0)>0){ea=+p[Z>>3];fa=+(f[q+12>>2]|0);ga=+(f[q+8>>2]|0);ha=1.0;e=0;while(1){ha=ha*ea;if(ha*fa<32.0|ha*ga<32.0){ia=e;break}x=e+1|0;if((x|0)>=(W|0)){ia=x;break}else e=x}if((ia|0)>-1){ja=ia;ka=30}else la=y+36|0}else{ja=0;ka=30}a:do if((ka|0)==30){ia=q+12|0;e=q+8|0;W=v+12|0;x=v+16|0;$=i+4|0;_=t+16|0;ba=a+40|0;da=h+8|0;aa=h+12|0;ma=h+4|0;na=i+8|0;oa=i+4|0;pa=z+4|0;qa=h+8|0;ra=h+4|0;sa=C+4|0;ta=C+8|0;ua=C+40|0;va=C+48|0;wa=C+44|0;xa=C+52|0;ya=D+4|0;za=D+8|0;Aa=D+40|0;Ba=D+48|0;Ca=D+44|0;Da=D+52|0;Ea=h+8|0;Fa=h+4|0;Ga=h+8|0;Ha=h+12|0;Ia=h+4|0;Ja=i+8|0;Ka=i+4|0;La=E+4|0;Ma=h+8|0;Na=h+12|0;Oa=h+4|0;Pa=i+8|0;Qa=i+4|0;Ra=F+4|0;Sa=a+28|0;Ta=a+32|0;Ua=C+12|0;Va=l+8|0;Wa=l+4|0;Xa=m+8|0;Ya=m+4|0;Za=h+4|0;_a=h+8|0;$a=h+40|0;ab=h+48|0;bb=h+44|0;cb=h+52|0;db=i+8|0;eb=i+12|0;fb=i+4|0;gb=h+16|0;hb=i+16|0;ib=i+44|0;jb=i+36|0;kb=i+4|0;lb=i+40|0;mb=i+48|0;nb=h+36|0;ob=C+16|0;pb=B+56|0;qb=a+24|0;rb=v+36|0;sb=t+36|0;tb=t+12|0;ub=v+20|0;vb=t+20|0;wb=v+24|0;xb=t+24|0;yb=v+28|0;zb=t+28|0;Ab=v+32|0;Bb=t+32|0;Cb=D+36|0;Db=D+16|0;Eb=C+36|0;Fb=a+20|0;Gb=h+8|0;Hb=h+4|0;Ib=h+8|0;Jb=h+4|0;Kb=i+8|0;Lb=i+4|0;Mb=Kb;Nb=j+8|0;Ob=j+4|0;Pb=k+8|0;Qb=k+4|0;Rb=h+8|0;Sb=h+12|0;Tb=h+4|0;Ub=i+8|0;Vb=i+4|0;Wb=A+4|0;Xb=h+8|0;Yb=h+4|0;Zb=y+36|0;_b=y+4|0;$b=y+8|0;ac=y+12|0;bc=y+44|0;cc=y+16|0;dc=y+20|0;ec=y+24|0;fc=y+28|0;gc=y+32|0;hc=B+4|0;ic=B+8|0;jc=B+40|0;kc=B+48|0;lc=B+44|0;mc=B+52|0;nc=B+56|0;oc=B+60|0;pc=B+64|0;qc=B+96|0;rc=B+104|0;sc=B+100|0;tc=B+108|0;uc=B+56|0;vc=B+92|0;wc=B+72|0;xc=B+60|0;yc=B+96|0;zc=B+100|0;Ac=B+104|0;Bc=B+36|0;Cc=B+16|0;Dc=B+4|0;Ec=B+40|0;Fc=B+44|0;Gc=B+48|0;Hc=ja;b:while(1){Ic=(Hc|0)>0;if(Ic){ga=+p[Z>>3];Jc=0;ha=1.0;while(1){fa=ha*ga;Jc=Jc+1|0;if((Jc|0)==(Hc|0)){Kc=fa;break}else ha=fa}}else Kc=1.0;ha=(1.0/Kc+-1.0)*.5;Jc=V9b(ha*5.0)|0|1;Lc=(Jc|0)>3?Jc:3;Jc=V9b(Kc*+(f[ia>>2]|0))|0;Mc=V9b(Kc*+(f[e>>2]|0))|0;do if(Ic){if(((f[J>>2]|0)<3?(f[N>>2]|0)==(Mc|0):0)&(f[W>>2]|0)==(Jc|0)?!((f[x>>2]|0)==0?1:(f[v>>2]&4095|0)!=13):0)break;f[i>>2]=Mc;f[$>>2]=Jc;iP(v,2,i,13)}else{Nc=f[Zb>>2]|0;if(Nc|0){Oc=Nc+12|0;f[Oc>>2]=(f[Oc>>2]|0)+1}Oc=f[rb>>2]|0;if(Oc|0?(Nc=Oc+12|0,Oc=f[Nc>>2]|0,f[Nc>>2]=Oc+-1,(Oc|0)==1):0)lP(v);f[rb>>2]=0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[J>>2]|0)>0){Oc=f[O>>2]|0;Nc=0;do{f[Oc+(Nc<<2)>>2]=0;Nc=Nc+1|0;Pc=f[J>>2]|0}while((Nc|0)<(Pc|0));f[v>>2]=f[y>>2];if((Pc|0)<3)ka=50;else ka=52}else{f[v>>2]=f[y>>2];ka=50}if((ka|0)==50){ka=0;Nc=f[_b>>2]|0;if((Nc|0)<3){f[J>>2]=Nc;f[N>>2]=f[$b>>2];f[W>>2]=f[ac>>2];Nc=f[bc>>2]|0;Oc=f[Q>>2]|0;f[Oc>>2]=f[Nc>>2];f[Oc+4>>2]=f[Nc+4>>2]}else ka=52}if((ka|0)==52){ka=0;kP(v,y)}f[x>>2]=f[cc>>2];f[ub>>2]=f[dc>>2];f[wb>>2]=f[ec>>2];f[yb>>2]=f[fc>>2];f[Ab>>2]=f[gc>>2];f[rb>>2]=f[Zb>>2]}while(0);if(f[_>>2]|0){Nc=f[d>>2]|0;if((Nc|0)<3)Qc=Y(f[tb>>2]|0,f[L>>2]|0)|0;else{Oc=f[c>>2]|0;Rc=0;Sc=1;while(1){Tc=Y(f[Oc+(Rc<<2)>>2]|0,Sc)|0;Rc=Rc+1|0;if((Rc|0)==(Nc|0)){Qc=Tc;break}else Sc=Tc}}if(!((Nc|0)==0|(Qc|0)==0)){f[Rb>>2]=0;f[Sb>>2]=0;f[h>>2]=16842752;f[Tb>>2]=t;Sc=Ub;f[Sc>>2]=0;f[Sc+4>>2]=0;f[i>>2]=33619968;f[Vb>>2]=v;f[A>>2]=Jc;f[Wb>>2]=Mc;wma(h,i,A,0.0,0.0,1);ga=1.0/+p[Z>>3];Sc=Xb;f[Sc>>2]=0;f[Sc+4>>2]=0;f[h>>2]=33619968;f[Yb>>2]=v;IO(v,h,-1,ga,0.0)}else ka=60}else ka=60;do if((ka|0)==60){ka=0;if(!(f[ba>>2]&4)){pG(h,Mc,Jc,13);Sc=f[h>>2]|0;rh[f[(f[Sc>>2]|0)+12>>2]&255](Sc,h,v,-1);Xi(h);break}else{f[da>>2]=0;f[aa>>2]=0;f[h>>2]=16842752;f[ma>>2]=y;Sc=na;f[Sc>>2]=0;f[Sc+4>>2]=0;f[i>>2]=33619968;f[oa>>2]=v;f[z>>2]=Jc;f[pa>>2]=Mc;wma(h,i,z,0.0,0.0,3);Sc=qa;f[Sc>>2]=0;f[Sc+4>>2]=0;f[h>>2]=33619968;f[ra>>2]=v;IO(v,h,-1,Kc,0.0);break}}while(0);f[B>>2]=1124007936;G=hc;H=G+36|0;do{f[G>>2]=0;G=G+4|0}while((G|0)<(H|0));f[jc>>2]=ic;f[lc>>2]=kc;f[kc>>2]=0;f[mc>>2]=0;f[nc>>2]=1124007936;G=oc;H=G+36|0;do{f[G>>2]=0;G=G+4|0}while((G|0)<(H|0));f[qc>>2]=pc;f[sc>>2]=rc;f[rc>>2]=0;f[tc>>2]=0;f[C>>2]=1124007936;G=sa;H=G+36|0;do{f[G>>2]=0;G=G+4|0}while((G|0)<(H|0));f[ua>>2]=ta;f[wa>>2]=va;f[va>>2]=0;f[xa>>2]=0;f[D>>2]=1124007936;G=ya;H=G+36|0;do{f[G>>2]=0;G=G+4|0}while((G|0)<(H|0));f[Aa>>2]=za;f[Ca>>2]=Ba;f[Ba>>2]=0;f[Da>>2]=0;Nc=0;do{Sc=f[s+(Nc<<2)>>2]|0;Rc=Ea;f[Rc>>2]=0;f[Rc+4>>2]=0;f[h>>2]=33619968;f[Fa>>2]=w;IO(Sc,h,5,1.0,0.0);f[Ga>>2]=0;f[Ha>>2]=0;f[h>>2]=16842752;f[Ia>>2]=w;Sc=Ja;f[Sc>>2]=0;f[Sc+4>>2]=0;f[i>>2]=33619968;f[Ka>>2]=w;f[E>>2]=Lc;f[La>>2]=Lc;Yaa(h,i,E,ha,ha,4);f[Ma>>2]=0;f[Na>>2]=0;f[h>>2]=16842752;f[Oa>>2]=w;Sc=Pa;f[Sc>>2]=0;f[Sc+4>>2]=0;f[i>>2]=33619968;f[Qa>>2]=C;f[F>>2]=Jc;f[Ra>>2]=Mc;wma(h,i,F,1.0,0.0,1);Sc=B+(Nc*56|0)|0;Rc=f[Sa>>2]|0;ga=+p[Ta>>3];if((f[C>>2]&4095|0)!=5)break b;Oc=f[Ua>>2]|0;Tc=f[ta>>2]|0;Uc=(Rc*6|0)+3|0;f[l>>2]=Va;f[Wa>>2]=Uc;if(Uc>>>0>264){Vc=Dmc(Uc>>>0>1073741823?-1:Uc<<2)|0;f[l>>2]=Vc;Wc=Vc}else Wc=Va;Vc=Rc<<1;Uc=(Oc+Vc|0)*3|0;f[m>>2]=Xa;f[Ya>>2]=Uc;if(Uc>>>0>264){Xc=Dmc(Uc>>>0>1073741823?-1:Uc<<2)|0;f[m>>2]=Xc;Yc=Xc}else Yc=Xa;Xc=Wc+(Rc<<2)|0;Uc=Xc+(Vc<<2)+4|0;Zc=Uc+(Vc<<2)+4|0;Vc=Rc*3|0;_c=Yc+(Vc<<2)|0;fa=ga<1.1920928955078125e-07?+(Rc|0)*.3:ga;$c=0-Rc|0;ad=(Rc|0)<($c|0);if(!ad){ga=fa*(fa*2.0);bd=$c;fa=0.0;while(1){ea=+V(+(+(Y(bd,0-bd|0)|0)/ga));n[Xc+(bd<<2)>>2]=ea;fa=fa+ea;if((bd|0)>=(Rc|0))break;else bd=bd+1|0}ga=1.0/fa;bd=$c;while(1){cd=Xc+(bd<<2)|0;ea=ga*+n[cd>>2];n[cd>>2]=ea;n[Uc+(bd<<2)>>2]=+(bd|0)*ea;dd=+(Y(bd,bd)|0)*ea;n[Zc+(bd<<2)>>2]=dd;if((bd|0)<(Rc|0))bd=bd+1|0;else break}}f[h>>2]=1124007936;G=Za;H=G+36|0;do{f[G>>2]=0;G=G+4|0}while((G|0)<(H|0));f[$a>>2]=_a;f[bb>>2]=ab;f[ab>>2]=0;f[cb>>2]=0;f[i>>2]=6;f[$>>2]=6;iP(h,2,i,6);p[j>>3]=0.0;f[i>>2]=-1056833530;f[fb>>2]=j;f[db>>2]=1;f[eb>>2]=1;oT(h,i,rE()|0)|0;if(ad){bd=f[gb>>2]|0;ed=bd;fd=bd}else{bd=f[gb>>2]|0;cd=f[f[bb>>2]>>2]|0;gd=bd+cd+8|0;hd=bd+(cd*3|0)+24|0;id=bd+(cd*5|0)+40|0;cd=$c;while(1){ga=+n[Xc+(cd<<2)>>2];fa=+(cd|0);jd=$c;while(1){dd=ga*+n[Xc+(jd<<2)>>2];p[bd>>3]=+p[bd>>3]+dd;ea=+(jd|0);kd=ea*(ea*dd);p[gd>>3]=+p[gd>>3]+kd;p[hd>>3]=+p[hd>>3]+ea*(ea*kd);p[id>>3]=fa*(fa*kd)+ +p[id>>3];if((jd|0)<(Rc|0))jd=jd+1|0;else break}if((cd|0)<(Rc|0))cd=cd+1|0;else{ed=bd;fd=bd;break}}}bd=f[f[bb>>2]>>2]|0;fa=+p[ed+bd+8>>3];cd=ed+(bd<<2)|0;p[cd>>3]=fa;id=ed+(bd*3|0)|0;p[id>>3]=fa;p[fd+32>>3]=fa;p[fd+24>>3]=fa;p[fd+(bd<<1)+16>>3]=fa;p[cd+32>>3]=+p[id+24>>3];fa=+p[ed+(bd*5|0)+40>>3];p[cd+24>>3]=fa;p[id+32>>3]=fa;nG(k,h,3);_0(i,k);Xi(k);id=f[hb>>2]|0;cd=f[f[ib>>2]>>2]|0;fa=+p[id+cd+8>>3];ga=+p[id+24>>3];kd=+p[id+(cd*3|0)+24>>3];ea=+p[id+(cd*5|0)+40>>3];cd=f[jb>>2]|0;do if(cd|0){id=cd+12|0;bd=f[id>>2]|0;f[id>>2]=bd+-1;if((bd|0)!=1)break;lP(i)}while(0);f[jb>>2]=0;f[hb>>2]=0;f[hb+4>>2]=0;f[hb+8>>2]=0;f[hb+12>>2]=0;if((f[kb>>2]|0)>0){cd=f[lb>>2]|0;bd=0;do{f[cd+(bd<<2)>>2]=0;bd=bd+1|0}while((bd|0)<(f[kb>>2]|0))}bd=f[ib>>2]|0;if((bd|0)!=(mb|0))tE(bd);bd=f[nb>>2]|0;do if(bd|0){cd=bd+12|0;id=f[cd>>2]|0;f[cd>>2]=id+-1;if((id|0)!=1)break;lP(h)}while(0);f[nb>>2]=0;f[gb>>2]=0;f[gb+4>>2]=0;f[gb+8>>2]=0;f[gb+12>>2]=0;if((f[Za>>2]|0)>0){bd=f[$a>>2]|0;id=0;do{f[bd+(id<<2)>>2]=0;id=id+1|0}while((id|0)<(f[Za>>2]|0))}id=f[bb>>2]|0;if((id|0)!=(ab|0))tE(id);do if((f[B+(Nc*56|0)+4>>2]|0)<3){if((f[B+(Nc*56|0)+8>>2]|0)!=(Tc|0)){ka=103;break}if((f[B+(Nc*56|0)+12>>2]|0)!=(Oc|0)){ka=103;break}if((f[Sc>>2]&4095|0)!=37){ka=103;break}if(!(f[B+(Nc*56|0)+16>>2]|0))ka=103}else ka=103;while(0);if((ka|0)==103){ka=0;f[i>>2]=Tc;f[$>>2]=Oc;iP(Sc,2,i,37)}if((Tc|0)>0){id=f[ob>>2]|0;bd=f[f[wa>>2]>>2]|0;cd=f[B+(Nc*56|0)+16>>2]|0;hd=f[f[B+(Nc*56|0)+44>>2]>>2]|0;gd=(Oc|0)>0;$c=(Rc|0)<1;ad=(Rc|0)>0;jd=Oc*3|0;ld=Tc+-1|0;md=Rc+1|0;nd=$c|gd^1;od=0;do{dd=+n[Xc>>2];pd=id+(Y(od,bd)|0)|0;qd=cd+(Y(od,hd)|0)|0;do if(gd){rd=0;do{sd=rd*3|0;n[_c+(sd<<2)>>2]=dd*+n[pd+(rd<<2)>>2];n[_c+(sd+2<<2)>>2]=0.0;n[_c+(sd+1<<2)>>2]=0.0;rd=rd+1|0}while((rd|0)!=(Oc|0));if(nd)break;else td=1;do{ud=+n[Xc+(td<<2)>>2];vd=+n[Uc+(td<<2)>>2];wd=+n[Zc+(td<<2)>>2];rd=od-td|0;sd=id+(Y((rd|0)>0?rd:0,bd)|0)|0;rd=td+od|0;xd=id+(Y((ld|0)<(rd|0)?ld:rd,bd)|0)|0;rd=0;do{yd=+n[sd+(rd<<2)>>2];zd=+n[xd+(rd<<2)>>2];Ad=yd+zd;Bd=rd*3|0;Cd=_c+(Bd<<2)|0;Dd=_c+(Bd+1<<2)|0;Ed=+n[Dd>>2]+vd*(zd-yd);Fd=_c+(Bd+2<<2)|0;yd=wd*Ad+ +n[Fd>>2];n[Cd>>2]=+n[Cd>>2]+ud*Ad;n[Dd>>2]=Ed;n[Fd>>2]=yd;rd=rd+1|0}while((rd|0)!=(Oc|0));td=td+1|0}while((td|0)!=(md|0))}while(0);if(ad){pd=0;do{f[_c+(~pd<<2)>>2]=f[_c+(2-pd<<2)>>2];rd=pd+jd|0;f[_c+(rd<<2)>>2]=f[_c+(rd+-3<<2)>>2];pd=pd+1|0}while((pd|0)<(Vc|0))}c:do if(gd){pd=0;ud=dd;while(1){rd=pd*3|0;wd=ud*+n[_c+(rd<<2)>>2];vd=ud*+n[_c+(rd+1<<2)>>2];yd=ud*+n[_c+(rd+2<<2)>>2];if($c){Gd=0.0;Hd=yd;Id=0.0;Jd=vd;Kd=0.0;Ld=wd}else{Ed=0.0;Ad=yd;yd=0.0;zd=vd;vd=0.0;Md=wd;rd=1;while(1){xd=(rd+pd|0)*3|0;wd=+n[_c+(xd<<2)>>2];sd=(pd-rd|0)*3|0;Nd=+n[_c+(sd<<2)>>2];Od=wd+Nd;Pd=+n[Xc+(rd<<2)>>2];Qd=Md+Od*Pd;Rd=yd+Od*+n[Zc+(rd<<2)>>2];Od=+n[Uc+(rd<<2)>>2];Sd=vd+(wd-Nd)*Od;Nd=+n[_c+(xd+1<<2)>>2];wd=+n[_c+(sd+1<<2)>>2];Td=zd+Pd*(Nd+wd);Ud=Ed+Od*(Nd-wd);wd=Ad+Pd*(+n[_c+(xd+2<<2)>>2]+ +n[_c+(sd+2<<2)>>2]);rd=rd+1|0;if((rd|0)==(md|0)){Gd=Ud;Hd=wd;Id=Rd;Jd=Td;Kd=Sd;Ld=Qd;break}else{Ed=Ud;Ad=wd;yd=Rd;zd=Td;vd=Sd;Md=Qd}}}rd=pd*5|0;n[qd+(rd+1<<2)>>2]=fa*Kd;n[qd+(rd<<2)>>2]=fa*Jd;Md=ga*Ld;n[qd+(rd+3<<2)>>2]=Md+kd*Id;n[qd+(rd+2<<2)>>2]=Md+kd*Hd;n[qd+(rd+4<<2)>>2]=ea*Gd;rd=pd+1|0;if((rd|0)==(Oc|0))break c;pd=rd;ud=+n[Xc>>2]}}while(0);od=od+1|0}while((od|0)!=(Tc|0))}Tc=f[m>>2]|0;if((Tc|0)!=(Xa|0)){if(Tc|0)Fmc(Tc);f[m>>2]=Xa;f[Ya>>2]=264}Tc=f[l>>2]|0;if((Tc|0)!=(Va|0)){if(Tc|0)Fmc(Tc);f[l>>2]=Va;f[Wa>>2]=264}Nc=Nc+1|0}while((Nc|0)<2);Jxa(B,pb,v,D,0,f[N>>2]|0);Nc=f[qb>>2]|0;if((Nc|0)>0){Mc=0;Jc=Nc;do{Nc=f[Fb>>2]|0;Lc=(Mc|0)<(Jc+-1|0);Tc=f[W>>2]|0;od=f[N>>2]|0;Xc=(Nc|0)/2|0;Oc=1024/(Tc|0)|0;md=(Oc|0)<(Nc|0)?Nc:Oc;if(!(f[ba>>2]&256)){ha=1.0/+(Y(Nc,Nc)|0);Oc=(((Xc<<1)+Tc|0)*5|0)+10|0;f[h>>2]=Gb;f[Hb>>2]=Oc;if(Oc>>>0>136){_c=Dmc(Oc>>>0>536870911?-1:Oc<<3)|0;f[h>>2]=_c;Vd=_c}else Vd=Gb;_c=(Xc*5|0)+5|0;Oc=Vd+(_c<<3)|0;Uc=f[Db>>2]|0;Zc=Tc*5|0;$c=(Tc|0)>0;if($c){ea=+(Xc+2|0);gd=0;do{p[Oc+(gd<<3)>>3]=ea*+n[Uc+(gd<<2)>>2];gd=gd+1|0}while((gd|0)<(Zc|0))}gd=(Nc|0)>3;do if(gd){Vc=od+-1|0;jd=f[f[Ca>>2]>>2]|0;if($c)Wd=1;else break;do{ad=Uc+(Y((Vc|0)<(Wd|0)?Vc:Wd,jd)|0)|0;bd=0;do{ld=Oc+(bd<<3)|0;p[ld>>3]=+p[ld>>3]+ +n[ad+(bd<<2)>>2];bd=bd+1|0}while((bd|0)<(Zc|0));Wd=Wd+1|0}while((Wd|0)<(Xc|0))}while(0);if((od|0)>0){jd=od+-1|0;Vc=(_c|0)>0;ea=+(Xc+2|0);bd=Oc+8|0;ad=Oc+16|0;ld=Oc+24|0;id=Oc+32|0;nd=0;hd=Uc;cd=0;while(1){Rc=(f[x>>2]|0)+(Y(f[f[Q>>2]>>2]|0,cd)|0)|0;Sc=cd-Xc+-1|0;qd=f[f[Ca>>2]>>2]|0;pd=hd+(Y(qd,(Sc|0)>0?Sc:0)|0)|0;Sc=cd+Xc|0;rd=hd+(Y(qd,(jd|0)<(Sc|0)?jd:Sc)|0)|0;if($c){Sc=0;do{qd=Oc+(Sc<<3)|0;p[qd>>3]=+p[qd>>3]+(+n[rd+(Sc<<2)>>2]-+n[pd+(Sc<<2)>>2]);Sc=Sc+1|0}while((Sc|0)<(Zc|0))}if(Vc){Sc=0;do{p[Oc+(~Sc<<3)>>3]=+p[Oc+(4-Sc<<3)>>3];pd=Sc+Zc|0;p[Oc+(pd<<3)>>3]=+p[Oc+(pd+-5<<3)>>3];Sc=Sc+1|0}while((Sc|0)!=(_c|0))}kd=ea*+p[Oc>>3];ga=ea*+p[bd>>3];fa=ea*+p[ad>>3];dd=ea*+p[ld>>3];ud=ea*+p[id>>3];if(gd){Md=kd;vd=ga;zd=fa;yd=ud;Ad=dd;Sc=1;while(1){pd=Sc*5|0;Ed=Md+ +p[Oc+(pd<<3)>>3];Qd=vd+ +p[Oc+(pd+1<<3)>>3];Sd=zd+ +p[Oc+(pd+2<<3)>>3];Td=Ad+ +p[Oc+(pd+3<<3)>>3];Rd=yd+ +p[Oc+(pd+4<<3)>>3];Sc=Sc+1|0;if((Sc|0)>=(Xc|0)){Xd=Ed;Yd=Qd;Zd=Sd;_d=Rd;$d=Td;break}else{Md=Ed;vd=Qd;zd=Sd;yd=Rd;Ad=Td}}}else{Xd=kd;Yd=ga;Zd=fa;_d=ud;$d=dd}if($c){Ad=Xd;yd=Yd;zd=Zd;vd=_d;Md=$d;Sc=0;do{pd=(Sc+Xc|0)*5|0;rd=(Sc-Xc|0)*5|0;Ad=Ad+(+p[Oc+(pd<<3)>>3]-+p[Oc+(rd+-5<<3)>>3]);yd=yd+(+p[Oc+(pd+1<<3)>>3]-+p[Oc+(rd+-4<<3)>>3]);zd=zd+(+p[Oc+(pd+2<<3)>>3]-+p[Oc+(rd+-3<<3)>>3]);Md=Md+(+p[Oc+(pd+3<<3)>>3]-+p[Oc+(rd+-2<<3)>>3]);vd=vd+(+p[Oc+(pd+4<<3)>>3]-+p[Oc+(rd+-1<<3)>>3]);Td=ha*Ad;Rd=ha*yd;Sd=ha*zd;Qd=ha*Md;Ed=ha*vd;wd=1.0/(Td*Sd-Rd*Rd+.001);rd=Sc<<1;n[Rc+(rd<<2)>>2]=wd*(Td*Ed-Rd*Qd);n[Rc+((rd|1)<<2)>>2]=wd*(Sd*Qd-Rd*Ed);Sc=Sc+1|0}while((Sc|0)!=(Tc|0))}Sc=(cd|0)==(jd|0)?od:cd-Nc|0;do if(Lc){if((Sc|0)!=(od|0)&(Sc|0)<(nd+md|0)){ae=nd;break}Jxa(B,pb,v,D,nd,Sc);ae=Sc}else ae=nd;while(0);Sc=cd+1|0;if((Sc|0)>=(od|0))break;nd=ae;hd=f[Db>>2]|0;cd=Sc}be=f[h>>2]|0}else be=Vd;if((be|0)!=(Gb|0)){if(be|0)Fmc(be);f[h>>2]=Gb;f[Hb>>2]=136}}else{ha=+(Xc|0)*.3;cd=Xc<<1;hd=((cd+Tc|0)*5|0)+26|0;f[h>>2]=Ib;f[Jb>>2]=hd;if(hd>>>0>264){nd=Dmc(hd>>>0>1073741823?-1:hd<<2)|0;f[h>>2]=nd;ce=nd}else ce=Ib;nd=Tc*5|0;hd=nd+16|0;f[i>>2]=Kb;f[Lb>>2]=hd;if(hd>>>0>264){jd=Dmc(hd>>>0>1073741823?-1:hd<<2)|0;f[i>>2]=jd;de=jd}else de=Mb;jd=Xc*5|0;hd=jd+21|0;f[j>>2]=Nb;f[Ob>>2]=hd;if(hd>>>0>264){Oc=Dmc(hd>>>0>1073741823?-1:hd<<2)|0;f[j>>2]=Oc;ee=Oc}else ee=Nb;Oc=cd|1;f[k>>2]=Pb;f[Qb>>2]=Oc;if(Oc>>>0>264){cd=Dmc(Oc>>>0>1073741823?-1:Oc<<2)|0;f[k>>2]=cd;fe=cd}else fe=Pb;cd=ce+(jd+5<<2)+15&-16;Oc=de+15&-16;n[ee>>2]=1.0;hd=(Nc|0)<2;if(hd)ge=1.0;else{ea=ha*(ha*2.0);$c=1;ha=1.0;while(1){vd=+V(+(+(Y($c,0-$c|0)|0)/ea));n[ee+($c<<2)>>2]=vd;Md=ha+vd*2.0;if(($c|0)<(Xc|0)){$c=$c+1|0;ha=Md}else{ge=Md;break}}}ha=1.0/ge;$c=(Nc|0)<-1;if(!$c){gd=0;while(1){id=ee+(gd<<2)|0;n[id>>2]=ha*+n[id>>2];if((gd|0)<(Xc|0))gd=gd+1|0;else break}}if((od|0)>0){gd=(Tc|0)>0;id=fe+(Xc<<2)|0;ld=(jd|0)>0;ad=od+-1|0;bd=0;_c=0;while(1){Zc=(f[x>>2]|0)+(Y(f[f[Q>>2]>>2]|0,bd)|0)|0;if(!$c){Vc=f[Db>>2]|0;Uc=f[f[Ca>>2]>>2]|0;Sc=0;while(1){Rc=bd-Sc|0;rd=Vc+(Y((Rc|0)>0?Rc:0,Uc)|0)|0;f[fe+(Xc-Sc<<2)>>2]=rd;rd=Sc+bd|0;Rc=Vc+(Y((ad|0)<(rd|0)?ad:rd,Uc)|0)|0;f[fe+(Sc+Xc<<2)>>2]=Rc;if((Xc|0)>(Sc|0))Sc=Sc+1|0;else break}}d:do if(gd){Sc=f[id>>2]|0;if(hd){Uc=0;while(1){n[cd+(Uc<<2)>>2]=+n[Sc+(Uc<<2)>>2]*+n[ee>>2];Uc=Uc+1|0;if((Uc|0)>=(nd|0))break d}}else he=0;do{ha=+n[Sc+(he<<2)>>2]*+n[ee>>2];Uc=1;while(1){ha=ha+(+n[(f[fe+(Uc+Xc<<2)>>2]|0)+(he<<2)>>2]+ +n[(f[fe+(Xc-Uc<<2)>>2]|0)+(he<<2)>>2])*+n[ee+(Uc<<2)>>2];if((Xc|0)<=(Uc|0))break;else Uc=Uc+1|0}n[cd+(he<<2)>>2]=ha;he=he+1|0}while((he|0)<(nd|0))}while(0);if(ld){Sc=0;do{f[cd+(~Sc<<2)>>2]=f[cd+(4-Sc<<2)>>2];Uc=Sc+nd|0;f[cd+(Uc<<2)>>2]=f[cd+(Uc+-5<<2)>>2];Sc=Sc+1|0}while((Sc|0)!=(jd|0))}if(gd){if(hd){Sc=0;do{n[Oc+(Sc<<2)>>2]=+n[cd+(Sc<<2)>>2]*+n[ee>>2];Sc=Sc+1|0}while((Sc|0)<(nd|0));ie=0}else{Sc=0;do{ea=+n[cd+(Sc<<2)>>2]*+n[ee>>2];Uc=1;while(1){Vc=Uc*5|0;ea=ea+ +n[ee+(Uc<<2)>>2]*(+n[cd+(Sc-Vc<<2)>>2]+ +n[cd+(Vc+Sc<<2)>>2]);if((Uc|0)>=(Xc|0))break;else Uc=Uc+1|0}n[Oc+(Sc<<2)>>2]=ea;Sc=Sc+1|0}while((Sc|0)<(nd|0));ie=0}do{Sc=ie*5|0;Md=+n[Oc+(Sc<<2)>>2];vd=+n[Oc+(Sc+1<<2)>>2];zd=+n[Oc+(Sc+2<<2)>>2];yd=+n[Oc+(Sc+3<<2)>>2];Ad=+n[Oc+(Sc+4<<2)>>2];dd=1.0/(Md*zd-vd*vd+.001);Sc=ie<<1;n[Zc+(Sc<<2)>>2]=(Md*Ad-vd*yd)*dd;n[Zc+((Sc|1)<<2)>>2]=(zd*yd-vd*Ad)*dd;ie=ie+1|0}while((ie|0)!=(Tc|0))}Zc=(bd|0)==(ad|0)?od:bd-Nc|0;do if(Lc){if((Zc|0)!=(od|0)&(Zc|0)<(_c+md|0)){je=_c;break}Jxa(B,pb,v,D,_c,Zc);je=Zc}else je=_c;while(0);bd=bd+1|0;if((bd|0)>=(od|0))break;else _c=je}ke=f[k>>2]|0}else ke=fe;if((ke|0)!=(Pb|0)){if(ke|0)Fmc(ke);f[k>>2]=Pb;f[Qb>>2]=264}_c=f[j>>2]|0;if((_c|0)!=(Nb|0)){if(_c|0)Fmc(_c);f[j>>2]=Nb;f[Ob>>2]=264}_c=f[i>>2]|0;if((_c|0)!=(Kb|0)){if(_c|0)Fmc(_c);f[i>>2]=Kb;f[Lb>>2]=264}_c=f[h>>2]|0;if((_c|0)!=(Ib|0)){if(_c|0)Fmc(_c);f[h>>2]=Ib;f[Jb>>2]=264}}Mc=Mc+1|0;Jc=f[qb>>2]|0}while((Mc|0)<(Jc|0))}Jc=f[rb>>2]|0;if(Jc|0){Mc=Jc+12|0;f[Mc>>2]=(f[Mc>>2]|0)+1}Mc=f[sb>>2]|0;if(Mc|0?(Jc=Mc+12|0,Mc=f[Jc>>2]|0,f[Jc>>2]=Mc+-1,(Mc|0)==1):0)lP(t);f[sb>>2]=0;f[_>>2]=0;f[_+4>>2]=0;f[_+8>>2]=0;f[_+12>>2]=0;if((f[d>>2]|0)>0){Mc=f[c>>2]|0;Jc=0;do{f[Mc+(Jc<<2)>>2]=0;Jc=Jc+1|0;le=f[d>>2]|0}while((Jc|0)<(le|0));f[t>>2]=f[v>>2];if((le|0)<3)ka=228;else ka=230}else{f[t>>2]=f[v>>2];ka=228}if((ka|0)==228){ka=0;Jc=f[J>>2]|0;if((Jc|0)<3){f[d>>2]=Jc;f[L>>2]=f[N>>2];f[tb>>2]=f[W>>2];Jc=f[Q>>2]|0;Mc=f[K>>2]|0;f[Mc>>2]=f[Jc>>2];f[Mc+4>>2]=f[Jc+4>>2]}else ka=230}if((ka|0)==230){ka=0;kP(t,v)}f[_>>2]=f[x>>2];f[vb>>2]=f[ub>>2];f[xb>>2]=f[wb>>2];f[zb>>2]=f[yb>>2];f[Bb>>2]=f[Ab>>2];f[sb>>2]=f[rb>>2];Jc=f[Cb>>2]|0;if(Jc|0?(Mc=Jc+12|0,Jc=f[Mc>>2]|0,f[Mc>>2]=Jc+-1,(Jc|0)==1):0)lP(D);f[Cb>>2]=0;f[Db>>2]=0;f[Db+4>>2]=0;f[Db+8>>2]=0;f[Db+12>>2]=0;if((f[ya>>2]|0)>0){Jc=f[Aa>>2]|0;Mc=0;do{f[Jc+(Mc<<2)>>2]=0;Mc=Mc+1|0}while((Mc|0)<(f[ya>>2]|0))}Mc=f[Ca>>2]|0;if((Mc|0)!=(Ba|0))tE(Mc);Mc=f[Eb>>2]|0;do if(Mc|0){Jc=Mc+12|0;_c=f[Jc>>2]|0;f[Jc>>2]=_c+-1;if((_c|0)!=1)break;lP(C)}while(0);f[Eb>>2]=0;f[ob>>2]=0;f[ob+4>>2]=0;f[ob+8>>2]=0;f[ob+12>>2]=0;if((f[sa>>2]|0)>0){Mc=f[ua>>2]|0;_c=0;do{f[Mc+(_c<<2)>>2]=0;_c=_c+1|0}while((_c|0)<(f[sa>>2]|0))}_c=f[wa>>2]|0;if((_c|0)!=(va|0))tE(_c);_c=f[vc>>2]|0;do if(_c|0){Mc=_c+12|0;Jc=f[Mc>>2]|0;f[Mc>>2]=Jc+-1;if((Jc|0)!=1)break;lP(uc)}while(0);f[vc>>2]=0;f[wc>>2]=0;f[wc+4>>2]=0;f[wc+8>>2]=0;f[wc+12>>2]=0;if((f[xc>>2]|0)>0){_c=f[yc>>2]|0;Jc=0;do{f[_c+(Jc<<2)>>2]=0;Jc=Jc+1|0}while((Jc|0)<(f[xc>>2]|0))}Jc=f[zc>>2]|0;if((Jc|0)!=(Ac|0))tE(Jc);Jc=f[Bc>>2]|0;do if(Jc|0){_c=Jc+12|0;Mc=f[_c>>2]|0;f[_c>>2]=Mc+-1;if((Mc|0)!=1)break;lP(B)}while(0);f[Bc>>2]=0;f[Cc>>2]=0;f[Cc+4>>2]=0;f[Cc+8>>2]=0;f[Cc+12>>2]=0;if((f[Dc>>2]|0)>0){Jc=f[Ec>>2]|0;Mc=0;do{f[Jc+(Mc<<2)>>2]=0;Mc=Mc+1|0}while((Mc|0)<(f[Dc>>2]|0))}Mc=f[Fc>>2]|0;if((Mc|0)!=(Gc|0))tE(Mc);if(Ic)Hc=Hc+-1|0;else{la=Zb;break a}}f[h>>2]=0;f[h+4>>2]=0;G=YG(h,22)|0;ca=381913;H=G+22|0;do{b[G>>0]=b[ca>>0]|0;G=G+1|0;ca=ca+1|0}while((G|0)<(H|0));Ixa(h,381936,120)}while(0);h=f[la>>2]|0;if(h|0?(ca=h+12|0,h=f[ca>>2]|0,f[ca>>2]=h+-1,(h|0)==1):0)lP(y);f[la>>2]=0;la=y+16|0;h=y+4|0;f[la>>2]=0;f[la+4>>2]=0;f[la+8>>2]=0;f[la+12>>2]=0;if((f[h>>2]|0)>0){la=f[y+40>>2]|0;ca=0;do{f[la+(ca<<2)>>2]=0;ca=ca+1|0}while((ca|0)<(f[h>>2]|0))}h=f[y+44>>2]|0;if((h|0)!=(y+48|0))tE(h);h=w+36|0;y=f[h>>2]|0;if(y|0?(ca=y+12|0,y=f[ca>>2]|0,f[ca>>2]=y+-1,(y|0)==1):0)lP(w);f[h>>2]=0;h=w+16|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[R>>2]|0)>0){h=f[T>>2]|0;T=0;do{f[h+(T<<2)>>2]=0;T=T+1|0}while((T|0)<(f[R>>2]|0))}R=f[U>>2]|0;if((R|0)!=(S|0))tE(R);R=v+36|0;S=f[R>>2]|0;if(S|0?(U=S+12|0,S=f[U>>2]|0,f[U>>2]=S+-1,(S|0)==1):0)lP(v);f[R>>2]=0;R=v+16|0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((f[J>>2]|0)>0){R=f[O>>2]|0;O=0;do{f[R+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[J>>2]|0))}J=f[Q>>2]|0;if((J|0)!=(P|0))tE(J);J=t+36|0;P=f[J>>2]|0;if(P|0?(Q=P+12|0,P=f[Q>>2]|0,f[Q>>2]=P+-1,(P|0)==1):0)lP(t);f[J>>2]=0;J=t+16|0;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;f[J+12>>2]=0;if((f[d>>2]|0)>0){J=f[c>>2]|0;c=0;do{f[J+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[K>>2]|0;if((d|0)!=(I|0))tE(d);d=r+36|0;I=f[d>>2]|0;do if(I|0){K=I+12|0;c=f[K>>2]|0;f[K>>2]=c+-1;if((c|0)!=1)break;lP(r)}while(0);f[d>>2]=0;d=r+16|0;I=r+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[I>>2]|0)>0){d=f[M>>2]|0;M=0;do{f[d+(M<<2)>>2]=0;M=M+1|0}while((M|0)<(f[I>>2]|0))}I=f[r+44>>2]|0;if((I|0)!=(r+48|0))tE(I);I=q+36|0;r=f[I>>2]|0;do if(r|0){M=r+12|0;d=f[M>>2]|0;f[M>>2]=d+-1;if((d|0)!=1)break;lP(q)}while(0);f[I>>2]=0;I=q+16|0;r=q+4|0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[r>>2]|0)>0){I=f[X>>2]|0;X=0;do{f[I+(X<<2)>>2]=0;X=X+1|0}while((X|0)<(f[r>>2]|0))}r=f[q+44>>2]|0;if((r|0)!=(q+48|0))tE(r);if(!(f[o+4>>2]|0)){u=g;return}u=g;return}function rxa(a){a=a|0;return}function sxa(a){a=a|0;return f[a+4>>2]|0}function txa(a,b){a=a|0;b=b|0;f[a+4>>2]=b;return}function uxa(a){a=a|0;return +(+p[a+8>>3])}function vxa(a,b){a=a|0;b=+b;p[a+8>>3]=b;return}function wxa(a){a=a|0;return (b[a+16>>0]|0)!=0|0}function xxa(a,c){a=a|0;c=c|0;b[a+16>>0]=c&1;return}function yxa(a){a=a|0;return f[a+20>>2]|0}function zxa(a,b){a=a|0;b=b|0;f[a+20>>2]=b;return}function Axa(a){a=a|0;return f[a+24>>2]|0}function Bxa(a,b){a=a|0;b=b|0;f[a+24>>2]=b;return}function Cxa(a){a=a|0;return f[a+28>>2]|0}function Dxa(a,b){a=a|0;b=b|0;f[a+28>>2]=b;return}function Exa(a){a=a|0;return +(+p[a+32>>3])}function Fxa(a,b){a=a|0;b=+b;p[a+32>>3]=b;return}function Gxa(a){a=a|0;return f[a+40>>2]|0}function Hxa(a,b){a=a|0;b=b|0;f[a+40>>2]=b;return}function Ixa(a,b,c){a=a|0;b=b|0;c=c|0;SQ(-215,a,b,381953,c);return}function Jxa(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0,V=0,W=0.0,X=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0;h=u;u=u+16|0;i=h;j=f[c+12>>2]|0;k=f[c+8>>2]|0;l=f[b+16>>2]|0;m=(f[b+48>>2]|0)>>>2;if(!(((((f[d+4>>2]|0)<3?(f[d+8>>2]|0)==(k|0):0)?(f[d+12>>2]|0)==(j|0):0)?(f[d>>2]&4095|0)==37:0)?(f[d+16>>2]|0)!=0:0)){f[i>>2]=k;f[i+4>>2]=j;iP(d,2,i,37)}if((e|0)>=(g|0)){u=h;return}i=f[c+16>>2]|0;b=f[f[c+44>>2]>>2]|0;c=f[a+16>>2]|0;o=f[f[a+44>>2]>>2]|0;a=f[d+16>>2]|0;p=f[f[d+44>>2]>>2]|0;d=(j|0)>0;q=j+-1|0;r=k+-1|0;s=m+5|0;t=m+1|0;v=m+6|0;w=m+2|0;x=m+7|0;y=m+3|0;z=m+8|0;A=m+4|0;B=m+9|0;C=j+-10|0;D=k+-10|0;E=j+-5|0;F=k+-5|0;k=e;do{e=i+(Y(b,k)|0)|0;G=c+(Y(o,k)|0)|0;H=a+(Y(p,k)|0)|0;if(d){I=+(k|0);J=(k|0)<5;K=108408+(k<<2)|0;L=(k|0)<(F|0);M=108408+(r-k<<2)|0;N=(k+-5|0)>>>0>=D>>>0;O=0;do{P=O<<1;Q=+n[e+(P<<2)>>2];R=+n[e+((P|1)<<2)>>2];S=+(O|0)+Q;T=I+R;P=~~S;U=P-(+(P|0)>S&1)|0;P=~~T;V=P-(+(P|0)>T&1)|0;P=l+((Y(V,m)|0)<<2)+(U*5<<2)|0;W=S-+(U|0);S=T-+(V|0);if(U>>>0<q>>>0&V>>>0<r>>>0){T=1.0-W;X=1.0-S;Z=T*X;_=W*X;X=T*S;T=W*S;V=O*5|0;$=Z*+n[P>>2]+_*+n[P+20>>2]+X*+n[P+(m<<2)>>2]+T*+n[P+(s<<2)>>2];aa=(Z*+n[P+16>>2]+_*+n[P+36>>2]+X*+n[P+(A<<2)>>2]+T*+n[P+(B<<2)>>2]+ +n[G+(V+4<<2)>>2])*.25;ba=(Z*+n[P+12>>2]+_*+n[P+32>>2]+X*+n[P+(y<<2)>>2]+T*+n[P+(z<<2)>>2]+ +n[G+(V+3<<2)>>2])*.5;ca=(Z*+n[P+8>>2]+_*+n[P+28>>2]+X*+n[P+(w<<2)>>2]+T*+n[P+(x<<2)>>2]+ +n[G+(V+2<<2)>>2])*.5;da=Z*+n[P+4>>2]+_*+n[P+24>>2]+X*+n[P+(t<<2)>>2]+T*+n[P+(v<<2)>>2];ea=V}else{V=O*5|0;$=0.0;aa=+n[G+(V+4<<2)>>2]*.5;ba=+n[G+(V+3<<2)>>2];ca=+n[G+(V+2<<2)>>2];da=0.0;ea=V}V=ea+1|0;T=R*ca+Q*aa+(+n[G+(ea<<2)>>2]-$)*.5;X=Q*ba+R*aa+(+n[G+(V<<2)>>2]-da)*.5;if((O+-5|0)>>>0>=C>>>0|N){if((O|0)<5)fa=+n[108408+(O<<2)>>2];else fa=1.0;if((O|0)<(E|0))ga=1.0;else ga=+n[108408+(q-O<<2)>>2];if(J)ha=+n[K>>2];else ha=1.0;if(L)ia=1.0;else ia=+n[M>>2];R=fa*ga*ha*ia;ja=T*R;ka=aa*R;la=ba*R;ma=ca*R;na=X*R}else{ja=T;ka=aa;la=ba;ma=ca;na=X}X=ka*ka;n[H+(ea<<2)>>2]=ma*ma+X;n[H+(V<<2)>>2]=(ma+la)*ka;n[H+(ea+2<<2)>>2]=la*la+X;n[H+(ea+3<<2)>>2]=na*ka+ma*ja;n[H+(ea+4<<2)>>2]=na*la+ka*ja;O=O+1|0}while((O|0)!=(j|0))}k=k+1|0}while((k|0)!=(g|0));u=h;return}function Kxa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,M=0,N=0,O=0,P=0.0,Q=0.0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0;e=u;u=u+432|0;g=e+424|0;h=e+368|0;i=e+320|0;j=e+264|0;k=e;l=e+248|0;m=e+192|0;zT(g,108428);f[h>>2]=1124007936;n=h+4|0;o=h+8|0;q=h+40|0;r=n;s=r+36|0;do{f[r>>2]=0;r=r+4|0}while((r|0)<(s|0));f[q>>2]=o;t=h+48|0;v=h+44|0;f[v>>2]=t;f[t>>2]=0;f[h+52>>2]=0;f[i>>2]=1124007936;w=i+4|0;x=i+8|0;y=i+20|0;z=i+24|0;A=i+28|0;B=i+32|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;f[w+16>>2]=0;f[w+20>>2]=0;f[w+24>>2]=0;f[B>>2]=x;C=i+40|0;D=i+36|0;f[D>>2]=C;f[i+44>>2]=0;f[C>>2]=0;C=(pD(a)|0)==655360;if(C){qD(j,a,-1);E=j+24|0;F=f[E>>2]|0;if(F|0){G=F+8|0;f[G>>2]=(f[G>>2]|0)+1}G=f[z>>2]|0;if(G|0?(F=G+8|0,G=f[F>>2]|0,f[F>>2]=G+-1,(G|0)==1):0)vN(i);if((f[w>>2]|0)>0){G=f[B>>2]|0;F=0;do{f[G+(F<<2)>>2]=0;F=F+1|0;H=f[w>>2]|0}while((F|0)<(H|0));f[z>>2]=0;f[i>>2]=f[j>>2];if((H|0)<3)I=12;else I=14}else{f[z>>2]=0;f[i>>2]=f[j>>2];I=12}if((I|0)==12){H=f[j+4>>2]|0;if((H|0)<3){f[w>>2]=H;f[x>>2]=f[j+8>>2];f[i+12>>2]=f[j+12>>2];x=f[j+36>>2]|0;H=f[D>>2]|0;f[H>>2]=f[x>>2];f[H+4>>2]=f[x+4>>2]}else I=14}if((I|0)==14)tN(i,j);f[i+16>>2]=f[j+16>>2];if(!(f[y>>2]|0))f[y>>2]=f[j+20>>2];f[z>>2]=f[E>>2];f[A>>2]=f[j+28>>2];A=f[i>>2]|0;E=f[B>>2]|0;B=f[E+4>>2]|0;z=f[E>>2]|0;uN(j);J=A;K=B;M=z}else{do if((pD(a)|0)==65536){z=f[a+4>>2]|0;f[j>>2]=f[z>>2];B=j+4|0;A=z+4|0;f[B>>2]=f[A>>2];E=j+8|0;f[E>>2]=f[z+8>>2];f[j+12>>2]=f[z+12>>2];f[j+16>>2]=f[z+16>>2];f[j+20>>2]=f[z+20>>2];f[j+24>>2]=f[z+24>>2];f[j+28>>2]=f[z+28>>2];f[j+32>>2]=f[z+32>>2];y=j+36|0;x=f[z+36>>2]|0;f[y>>2]=x;f[j+40>>2]=E;E=j+48|0;H=j+44|0;f[H>>2]=E;f[E>>2]=0;f[j+52>>2]=0;if(x|0){E=x+12|0;f[E>>2]=(f[E>>2]|0)+1}if((f[A>>2]|0)<3){A=f[z+44>>2]|0;E=f[H>>2]|0;f[E>>2]=f[A>>2];f[E+4>>2]=f[A+4>>2];N=y;break}else{f[B>>2]=0;kP(j,z);N=y;break}}else{lD(j,a,-1);N=j+36|0}while(0);a=f[N>>2]|0;if(a|0){y=a+12|0;f[y>>2]=(f[y>>2]|0)+1}y=h+36|0;a=f[y>>2]|0;if(a|0?(z=a+12|0,a=f[z>>2]|0,f[z>>2]=a+-1,(a|0)==1):0)lP(h);f[y>>2]=0;a=h+16|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[n>>2]|0)>0){z=f[q>>2]|0;B=0;do{f[z+(B<<2)>>2]=0;B=B+1|0;O=f[n>>2]|0}while((B|0)<(O|0));f[h>>2]=f[j>>2];if((O|0)<3)I=35;else I=37}else{f[h>>2]=f[j>>2];I=35}if((I|0)==35){O=f[j+4>>2]|0;if((O|0)<3){f[n>>2]=O;f[o>>2]=f[j+8>>2];f[h+12>>2]=f[j+12>>2];o=f[j+44>>2]|0;O=f[v>>2]|0;f[O>>2]=f[o>>2];f[O+4>>2]=f[o+4>>2]}else I=37}if((I|0)==37)kP(h,j);o=j+16|0;f[a>>2]=f[o>>2];f[h+20>>2]=f[j+20>>2];f[h+24>>2]=f[j+24>>2];f[h+28>>2]=f[j+28>>2];f[h+32>>2]=f[j+32>>2];a=f[N>>2]|0;f[y>>2]=a;y=f[h>>2]|0;O=f[q>>2]|0;B=f[O+4>>2]|0;z=f[O>>2]|0;if(a|0?(O=a+12|0,a=f[O>>2]|0,f[O>>2]=a+-1,(a|0)==1):0)lP(j);f[N>>2]=0;N=j+4|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[N>>2]|0)>0){o=f[j+40>>2]|0;a=0;do{f[o+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[N>>2]|0))}N=f[j+44>>2]|0;if((N|0)!=(j+48|0))tE(N);J=y;K=B;M=z}z=f[c>>2]|0;f[j>>2]=z;B=j+4|0;y=c+4|0;N=f[y>>2]|0;f[B>>2]=N;a=j+8|0;o=c+8|0;O=f[o>>2]|0;f[a>>2]=O;A=j+12|0;E=c+12|0;H=f[E>>2]|0;f[A>>2]=H;if(J&4088|0){f[k>>2]=0;f[k+4>>2]=0;J=YG(k,7)|0;b[J>>0]=b[382350]|0;b[J+1>>0]=b[382351]|0;b[J+2>>0]=b[382352]|0;b[J+3>>0]=b[382353]|0;b[J+4>>0]=b[382354]|0;b[J+5>>0]=b[382355]|0;b[J+6>>0]=b[382356]|0;Lxa(-215,k,61)}if((H|0)<1|(O|0)<1){f[k>>2]=0;f[k+4>>2]=0;r=YG(k,35)|0;J=382358;s=r+35|0;do{b[r>>0]=b[J>>0]|0;r=r+1|0;J=J+1|0}while((r|0)<(s|0));Lxa(-5,k,64)}J=(z|0)>0?z:0;r=(N|0)>0?N:0;s=z+O|0;x=((K|0)<(s|0)?K:s)-J|0;s=N+H|0;D=((M|0)<(s|0)?M:s)-r|0;s=(x|0)<1|(D|0)<1;f[c>>2]=s?0:J;f[y>>2]=s?0:r;f[o>>2]=s?0:x;f[E>>2]=s?0:D;D=f[d>>2]|0;if(!(D&2))P=1.0;else{Q=+p[d+8>>3];P=Q<0.0?0.0:Q}s=V9b(P*P)|0;x=((s|0)<0)<<31>>31;if(!(D&1))R=100;else{D=f[d+4>>2]|0;R=(D|0)>1?D:1}D=(K|0)/2|0;d=(M|0)/2|0;r=l+8|0;J=l+12|0;w=l+4|0;F=k+8|0;G=k+16|0;S=l+8|0;T=l+12|0;U=l+4|0;V=m+36|0;W=m+16|0;X=m+4|0;Z=m+40|0;_=m+44|0;$=m+48|0;aa=0;ba=z;z=N;N=O;O=H;while(1){H=(ba|0)>0?ba:0;ca=(z|0)>0?z:0;da=N+ba|0;ea=((K|0)<(da|0)?K:da)-H|0;da=O+z|0;fa=((M|0)<(da|0)?M:da)-ca|0;da=(ea|0)<1|(fa|0)<1;ga=da?0:fa;ha=da?0:ea;f[j>>2]=da?0:H;f[B>>2]=da?0:ca;f[a>>2]=ha;f[A>>2]=ga;if((ca|H|0)==0|da?da|(ea|fa|0)==0:0){f[j>>2]=D;f[B>>2]=d}f[a>>2]=(ha|0)>1?ha:1;f[A>>2]=(ga|0)>1?ga:1;if(!C){pP(m,h,j);f[S>>2]=0;f[T>>2]=0;f[l>>2]=16842752;f[U>>2]=m;jta(k,l,0);ga=f[V>>2]|0;if(ga|0?(ha=ga+12|0,ga=f[ha>>2]|0,f[ha>>2]=ga+-1,(ga|0)==1):0)lP(m);f[V>>2]=0;f[W>>2]=0;f[W+4>>2]=0;f[W+8>>2]=0;f[W+12>>2]=0;if((f[X>>2]|0)>0){ga=f[Z>>2]|0;ha=0;do{f[ga+(ha<<2)>>2]=0;ha=ha+1|0}while((ha|0)<(f[X>>2]|0))}ha=f[_>>2]|0;if((ha|0)!=($|0))tE(ha)}else{qN(m,i,j);f[r>>2]=0;f[J>>2]=0;f[l>>2]=17432576;f[w>>2]=m;jta(k,l,0);uN(m)}P=+p[k>>3];if(+L(+P)<2.220446049250313e-16){I=71;break}ha=V9b(+p[F>>3]/P-+(f[o>>2]|0)*.5)|0;ga=V9b(+p[G>>3]/P-+(f[E>>2]|0)*.5)|0;fa=f[j>>2]|0;ea=fa+ha|0;ha=f[a>>2]|0;da=K-ha|0;H=(ea|0)>0?ea:0;ea=(da|0)<(H|0)?da:H;H=f[B>>2]|0;da=H+ga|0;ga=f[A>>2]|0;ca=M-ga|0;ia=(da|0)>0?da:0;da=(ca|0)<(ia|0)?ca:ia;ia=ea-fa|0;fa=da-H|0;f[j>>2]=ea;f[B>>2]=da;if(0<(x|0)|(0==(x|0)?((Y(fa,fa)|0)+(Y(ia,ia)|0)|0)>>>0<s>>>0:0)){ja=ea;ka=da;la=ha;ma=ga;I=73;break}ia=aa+1|0;if((ia|0)<(R|0)){aa=ia;ba=ea;z=da;N=ha;O=ga}else{na=ia;oa=ea;pa=da;qa=ha;ra=ga;break}}if((I|0)==71){ja=f[j>>2]|0;ka=f[B>>2]|0;la=f[a>>2]|0;ma=f[A>>2]|0;I=73}if((I|0)==73){na=aa;oa=ja;pa=ka;qa=la;ra=ma}f[c>>2]=oa;f[y>>2]=pa;f[o>>2]=qa;f[E>>2]=ra;uN(i);i=h+36|0;ra=f[i>>2]|0;if(ra|0?(E=ra+12|0,ra=f[E>>2]|0,f[E>>2]=ra+-1,(ra|0)==1):0)lP(h);f[i>>2]=0;i=h+16|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[n>>2]|0)>0){i=f[q>>2]|0;q=0;do{f[i+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[n>>2]|0))}n=f[v>>2]|0;if((n|0)!=(t|0))tE(n);if(!(f[g+4>>2]|0)){u=e;return na|0}u=e;return na|0}function Lxa(a,b,c){a=a|0;b=b|0;c=c|0;SQ(a,b,382394,382404,c);return}function Mxa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,N=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,V=0.0,W=0.0,X=0.0,Y=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0;e=u;u=u+384|0;g=e;h=e+368|0;i=e+312|0;j=e+264|0;k=e+248|0;l=e+192|0;zT(h,108448);f[i>>2]=1124007936;m=i+4|0;o=i+8|0;q=i+40|0;r=m;s=r+36|0;do{f[r>>2]=0;r=r+4|0}while((r|0)<(s|0));f[q>>2]=o;r=i+48|0;s=i+44|0;f[s>>2]=r;f[r>>2]=0;f[i+52>>2]=0;f[j>>2]=1124007936;t=j+4|0;v=j+8|0;w=j+20|0;x=j+24|0;y=j+28|0;z=j+32|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;f[t+16>>2]=0;f[t+20>>2]=0;f[t+24>>2]=0;f[z>>2]=v;A=j+40|0;B=j+36|0;f[B>>2]=A;f[j+44>>2]=0;f[A>>2]=0;A=(pD(b)|0)==655360;if(A){qD(g,b,-1);C=g+24|0;D=f[C>>2]|0;if(D|0){E=D+8|0;f[E>>2]=(f[E>>2]|0)+1}E=f[x>>2]|0;if(E|0?(D=E+8|0,E=f[D>>2]|0,f[D>>2]=E+-1,(E|0)==1):0)vN(j);if((f[t>>2]|0)>0){E=f[z>>2]|0;D=0;do{f[E+(D<<2)>>2]=0;D=D+1|0;F=f[t>>2]|0}while((D|0)<(F|0));f[x>>2]=0;f[j>>2]=f[g>>2];if((F|0)<3)G=12;else G=14}else{f[x>>2]=0;f[j>>2]=f[g>>2];G=12}if((G|0)==12){F=f[g+4>>2]|0;if((F|0)<3){f[t>>2]=F;f[v>>2]=f[g+8>>2];f[j+12>>2]=f[g+12>>2];v=f[g+36>>2]|0;F=f[B>>2]|0;f[F>>2]=f[v>>2];f[F+4>>2]=f[v+4>>2]}else G=14}if((G|0)==14)tN(j,g);f[j+16>>2]=f[g+16>>2];if(!(f[w>>2]|0))f[w>>2]=f[g+20>>2];f[x>>2]=f[C>>2];f[y>>2]=f[g+28>>2];y=f[z>>2]|0;z=f[y+4>>2]|0;C=f[y>>2]|0;uN(g);H=z;I=C}else{do if((pD(b)|0)==65536){C=f[b+4>>2]|0;f[g>>2]=f[C>>2];z=g+4|0;y=C+4|0;f[z>>2]=f[y>>2];x=g+8|0;f[x>>2]=f[C+8>>2];f[g+12>>2]=f[C+12>>2];f[g+16>>2]=f[C+16>>2];f[g+20>>2]=f[C+20>>2];f[g+24>>2]=f[C+24>>2];f[g+28>>2]=f[C+28>>2];f[g+32>>2]=f[C+32>>2];w=g+36|0;v=f[C+36>>2]|0;f[w>>2]=v;f[g+40>>2]=x;x=g+48|0;F=g+44|0;f[F>>2]=x;f[x>>2]=0;f[g+52>>2]=0;if(v|0){x=v+12|0;f[x>>2]=(f[x>>2]|0)+1}if((f[y>>2]|0)<3){y=f[C+44>>2]|0;x=f[F>>2]|0;f[x>>2]=f[y>>2];f[x+4>>2]=f[y+4>>2];J=w;break}else{f[z>>2]=0;kP(g,C);J=w;break}}else{lD(g,b,-1);J=g+36|0}while(0);w=f[J>>2]|0;if(w|0){C=w+12|0;f[C>>2]=(f[C>>2]|0)+1}C=i+36|0;w=f[C>>2]|0;if(w|0?(z=w+12|0,w=f[z>>2]|0,f[z>>2]=w+-1,(w|0)==1):0)lP(i);f[C>>2]=0;w=i+16|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[m>>2]|0)>0){z=f[q>>2]|0;y=0;do{f[z+(y<<2)>>2]=0;y=y+1|0;K=f[m>>2]|0}while((y|0)<(K|0));f[i>>2]=f[g>>2];if((K|0)<3)G=35;else G=37}else{f[i>>2]=f[g>>2];G=35}if((G|0)==35){K=f[g+4>>2]|0;if((K|0)<3){f[m>>2]=K;f[o>>2]=f[g+8>>2];f[i+12>>2]=f[g+12>>2];o=f[g+44>>2]|0;K=f[s>>2]|0;f[K>>2]=f[o>>2];f[K+4>>2]=f[o+4>>2]}else G=37}if((G|0)==37)kP(i,g);G=g+16|0;f[w>>2]=f[G>>2];f[i+20>>2]=f[g+20>>2];f[i+24>>2]=f[g+24>>2];f[i+28>>2]=f[g+28>>2];f[i+32>>2]=f[g+32>>2];w=f[J>>2]|0;f[C>>2]=w;C=f[q>>2]|0;o=f[C+4>>2]|0;K=f[C>>2]|0;if(w|0?(C=w+12|0,w=f[C>>2]|0,f[C>>2]=w+-1,(w|0)==1):0)lP(g);f[J>>2]=0;J=g+4|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[J>>2]|0)>0){G=f[g+40>>2]|0;w=0;do{f[G+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[J>>2]|0))}J=f[g+44>>2]|0;if((J|0)!=(g+48|0))tE(J);H=o;I=K};f[g>>2]=f[d>>2];f[g+4>>2]=f[d+4>>2];f[g+8>>2]=f[d+8>>2];f[g+12>>2]=f[d+12>>2];Kxa(b,c,g)|0;b=f[c>>2]|0;d=(b|0)<10?0:b+-10|0;f[c>>2]=d;b=c+4|0;K=f[b>>2]|0;o=(K|0)<10?0:K+-10|0;f[b>>2]=o;K=c+8|0;J=(f[K>>2]|0)+20|0;f[K>>2]=(d+J|0)>(H|0)?H-d|0:J;J=c+12|0;d=(f[J>>2]|0)+20|0;f[J>>2]=(o+d|0)>(I|0)?I-o|0:d;if(!A){pP(l,i,c);f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=l;jta(g,k,0);A=l+36|0;d=f[A>>2]|0;if(d|0?(o=d+12|0,d=f[o>>2]|0,f[o>>2]=d+-1,(d|0)==1):0)lP(l);f[A>>2]=0;A=l+16|0;d=l+4|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[d>>2]|0)>0){A=f[l+40>>2]|0;o=0;do{f[A+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[d>>2]|0))}d=f[l+44>>2]|0;if((d|0)!=(l+48|0))tE(d)}else{qN(l,j,c);f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=17432576;f[k+4>>2]=l;jta(g,k,0);uN(l)}N=+p[g>>3];Q=+p[g+88>>3];R=+p[g+80>>3];S=+p[g+96>>3];if(+L(+N)<2.220446049250313e-16){f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0}else{T=+p[g+16>>3];V=1.0/N;l=V9b(V*+p[g+8>>3]+ +(f[c>>2]|0))|0;g=V9b(V*T+ +(f[b>>2]|0))|0;T=Q*V;N=V*R-V*S;W=+U(+(T*2.0),+(N+ +M(+(T*(T*4.0)+N*N))));N=+O(+W);T=+P(+W);X=N*N;Y=Q*(N*2.0*T);Q=T*T;Z=+M(+(V*(S*Q+(R*X+Y))))*4.0;_=+M(+(V*(S*X+(R*Q-Y))))*4.0;if(Z<_){$=1.5707963267948966-W;aa=Z;ba=_;ca=N;da=T}else{$=W;aa=_;ba=Z;ca=T;da=N}k=V9b(+L(+(da*ba)))|0;d=V9b(+L(+(ca*aa)))|0;o=((k|0)<(d|0)?d:k)+2|0;k=H-l<<1;d=(o|0)>(k|0)?k:o;o=V9b(+L(+(ca*ba)))|0;k=V9b(+L(+(da*aa)))|0;A=((o|0)<(k|0)?k:o)+2|0;o=I-g<<1;k=(A|0)>(o|0)?o:A;A=l-((d|0)/2|0)|0;l=(A|0)>0?A:0;f[c>>2]=l;c=g-((k|0)/2|0)|0;g=(c|0)>0?c:0;f[b>>2]=g;b=H-l|0;H=(b|0)>(d|0)?d:b;f[K>>2]=H;K=I-g|0;I=(K|0)>(k|0)?k:K;f[J>>2]=I;da=ba;ba=aa;aa=($+1.5707963267948966)*180.0/3.141592653589793;if(aa<0.0){$=aa;while(1){ca=$+360.0;if(ca<0.0)$=ca;else{ea=ca;break}}}else ea=aa;if(!(ea>=360.0))fa=ea;else{aa=ea;while(1){ea=aa+-360.0;if(!(ea>=360.0)){fa=ea;break}else aa=ea}}n[a>>2]=+(l|0)+ +(H|0)*.5;n[a+4>>2]=+(g|0)+ +(I|0)*.5;n[a+8>>2]=ba;n[a+12>>2]=da;n[a+16>>2]=!(fa>=180.0)?fa:fa+-180.0}uN(j);j=i+36|0;a=f[j>>2]|0;if(a|0?(I=a+12|0,a=f[I>>2]|0,f[I>>2]=a+-1,(a|0)==1):0)lP(i);f[j>>2]=0;j=i+16|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[m>>2]|0)>0){j=f[q>>2]|0;q=0;do{f[j+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[m>>2]|0))}m=f[s>>2]|0;if((m|0)!=(r|0))tE(m);if(!(f[h+4>>2]|0)){u=e;return}u=e;return}function Nxa(a){a=a|0;Emc(a);return}function Oxa(a,c){a=a|0;c=c|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0.0,t=0,v=0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0,la=0.0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0.0,ta=0.0,ua=0.0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0.0,Ya=0.0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0.0,db=0.0,eb=0.0,fb=0,gb=0.0,hb=0.0,ib=0.0,jb=0,kb=0,lb=0.0,mb=0.0,nb=0.0,ob=0.0,pb=0.0,qb=0.0,rb=0.0,sb=0.0,tb=0.0,ub=0.0,vb=0.0,wb=0,xb=0.0,yb=0.0,zb=0.0,Ab=0.0,Bb=0.0,Cb=0.0,Db=0.0,Eb=0,Fb=0.0;e=u;u=u+1200|0;g=e+1184|0;i=e+136|0;j=e+80|0;k=e+16|0;l=e+24|0;m=e;o=e+8|0;zT(g,108488);q=a+32|0;r=f[q>>2]|0;s=+(r+-1|0)*.5;t=a+36|0;v=f[t>>2]|0;w=+(v+-1|0)*.5;x=f[a+4>>2]|0;y=f[a+8>>2]|0;z=f[a+12>>2]|0;A=((f[x>>2]|0)>>>3&511)+1|0;B=A<<1;C=Y(Y(r*3|0,v)|0,A)|0;D=i+8|0;f[i>>2]=D;E=i+4|0;f[E>>2]=C;if(C>>>0>520){F=Dmc(C>>>0>2147483647?-1:C<<1)|0;f[i>>2]=F;G=F}else G=D;f[k>>2]=r;f[k+4>>2]=v;mD(j,k,(A<<3)+-5|0,G,0);G=f[q>>2]|0;f[m>>2]=G;k=f[t>>2]|0;f[m+4>>2]=k;mD(l,m,(A<<4)+-5|0,(f[i>>2]|0)+((Y(Y(k,A)|0,G)|0)<<1)|0,0);G=f[c>>2]|0;k=c+4|0;a:do if((G|0)<(f[k>>2]|0)){c=a+16|0;m=a+56|0;v=a+60|0;r=a+64|0;F=a+20|0;C=a+24|0;H=a+28|0;I=z+12|0;J=z+8|0;K=z+48|0;N=x+48|0;O=y+48|0;P=x+16|0;Q=z+16|0;R=j+16|0;S=j+44|0;T=l+16|0;U=l+44|0;V=B|1;W=a+68|0;X=a+44|0;Z=y+12|0;_=y+8|0;$=y+16|0;aa=a+48|0;ba=A<<5;ca=G;b:while(1){da=f[c>>2]|0;ea=f[m>>2]|0;fa=1.0/+(1<<ea|0);ga=+n[da+(ca<<3)>>2]*fa;ha=+n[da+(ca<<3)+4>>2]*fa;if((ea|0)==(f[v>>2]|0))if(!(f[r>>2]&4)){ia=ga;ja=ha;ka=f[F>>2]|0}else{la=fa;ma=17}else{la=2.0;ma=17}if((ma|0)==17){ma=0;da=f[F>>2]|0;ia=la*+n[da+(ca<<3)>>2];ja=la*+n[da+(ca<<3)+4>>2];ka=da}da=ka+(ca<<3)|0;n[da>>2]=ia;na=ka+(ca<<3)+4|0;n[na>>2]=ja;fa=ga-s;ga=ha-w;oa=~~fa;pa=oa-(+(oa|0)>fa&1)|0;oa=~~ga;qa=oa-(+(oa|0)>ga&1)|0;oa=f[q>>2]|0;c:do if((((pa|0)>=(0-oa|0)?(pa|0)<(f[I>>2]|0):0)?(ra=f[t>>2]|0,(qa|0)>=(0-ra|0)):0)?(qa|0)<(f[J>>2]|0):0){ha=fa-+(pa|0);sa=ga-+(qa|0);ta=1.0-ha;ua=1.0-sa;va=U9b(ta*ua*16384.0)|0;wa=U9b(ha*ua*16384.0)|0;xa=U9b(sa*ta*16384.0)|0;ya=16384-va-wa-xa|0;za=((f[K>>2]|0)>>>0)/((1212424721>>>(f[z>>2]<<2&28)&15)>>>0)|0;Aa=((f[N>>2]|0)>>>0)/((1212424721>>>(f[x>>2]<<2&28)&15)>>>0)|0;Ba=((f[O>>2]|0)>>>0)/((1212424721>>>(f[y>>2]<<2&28)&15)>>>0)|0;if((ra|0)>0){Ca=Y(pa,A)|0;Da=Y(pa,B)|0;Ea=za+B|0;Fa=za+1|0;Ga=Ea+1|0;Ha=f[P>>2]|0;Ia=f[Q>>2]|0;Ja=f[R>>2]|0;Ka=f[f[S>>2]>>2]|0;La=f[T>>2]|0;Ma=f[f[U>>2]>>2]|0;Na=Y(oa,A)|0;Oa=(Na|0)>0;ta=0.0;sa=0.0;ua=0.0;Pa=0;Qa=ra;while(1){Ra=Pa+qa|0;Sa=Ha+(Y(Ra,Aa)|0)+Ca|0;Ta=Ja+(Y(Ka,Pa)|0)|0;if(Oa){Ua=La+(Y(Ma,Pa)|0)|0;Va=0;Wa=Ia+((Y(Ra,za)|0)<<1)+(Da<<1)|0;ha=ta;Xa=sa;Ya=ua;while(1){Ra=Y(h[Sa+Va>>0]|0,va)|0;Za=Y(h[Sa+(Va+A)>>0]|0,wa)|0;_a=Va+Aa|0;$a=Y(h[Sa+_a>>0]|0,xa)|0;ab=(Ra+256+Za+$a+(Y(h[Sa+(_a+A)>>0]|0,ya)|0)|0)>>>9;_a=Y(d[Wa>>1]|0,va)|0;$a=Y(d[Wa+(B<<1)>>1]|0,wa)|0;Za=Y(d[Wa+(za<<1)>>1]|0,xa)|0;Ra=_a+8192+$a+Za+(Y(d[Wa+(Ea<<1)>>1]|0,ya)|0)>>14;Za=Y(d[Wa+2>>1]|0,va)|0;$a=Y(d[Wa+(V<<1)>>1]|0,wa)|0;_a=Y(d[Wa+(Fa<<1)>>1]|0,xa)|0;bb=Za+8192+$a+_a+(Y(d[Wa+(Ga<<1)>>1]|0,ya)|0)>>14;d[Ta+(Va<<1)>>1]=ab;d[Ua>>1]=Ra;d[Ua+2>>1]=bb;ha=ha+ +(Y(Ra,Ra)|0);Xa=Xa+ +(Y(bb,Ra)|0);Ya=Ya+ +(Y(bb,bb)|0);Va=Va+1|0;if((Va|0)>=(Na|0))break;else{Ua=Ua+4|0;Wa=Wa+4|0}}cb=ha;db=Xa;eb=Ya;fb=f[t>>2]|0}else{cb=ta;db=sa;eb=ua;fb=Qa}Pa=Pa+1|0;if((Pa|0)>=(fb|0))break;else{ta=cb;sa=db;ua=eb;Qa=fb}}gb=cb;hb=db;ib=eb;jb=fb;kb=f[q>>2]|0}else{gb=0.0;hb=0.0;ib=0.0;jb=ra;kb=oa}ua=gb*9.5367431640625e-07;sa=hb*9.5367431640625e-07;ta=ib*9.5367431640625e-07;lb=ta*ua-sa*sa;mb=ua-ta;nb=(ta+ua-+M(+(sa*(sa*4.0)+mb*mb)))/+(Y(jb<<1,kb)|0);Qa=f[H>>2]|0;if(Qa|0?f[r>>2]&8|0:0)n[Qa+(ca<<2)>>2]=nb;if(lb<1.1920928955078125e-07?1:nb<+n[W>>2]){if(ea|0)break;Qa=f[C>>2]|0;if(!Qa)break;b[Qa+ca>>0]=0;break}nb=1.0/lb;Qa=f[X>>2]|0;d:do if((Qa|0)>0){Pa=0-kb|0;Na=0-jb|0;ya=(jb|0)>0;Ga=Y(kb,A)|0;xa=(Ga|0)>0;Fa=0;lb=ia-s;mb=ja-w;ob=0.0;pb=0.0;e:while(1){wa=~~lb;va=wa-(+(wa|0)>lb&1)|0;wa=~~mb;Ea=wa-(+(wa|0)>mb&1)|0;if((va|0)<(Pa|0))break;if((Ea|0)<(Na|0)?1:(va|0)>=(f[Z>>2]|0))break;if((Ea|0)>=(f[_>>2]|0))break;qb=lb-+(va|0);rb=mb-+(Ea|0);sb=1.0-qb;tb=1.0-rb;wa=U9b(sb*tb*16384.0)|0;za=U9b(qb*tb*16384.0)|0;Aa=U9b(sb*rb*16384.0)|0;Da=16384-wa-za-Aa|0;do if(ya){Ia=f[$>>2]|0;Ma=Y(va,A)|0;La=f[R>>2]|0;Oa=f[f[S>>2]>>2]|0;Ka=f[T>>2]|0;Ja=f[f[U>>2]>>2]|0;if(xa){ub=0.0;vb=0.0;wb=0}else{xb=0.0;yb=0.0;break}while(1){Ca=Ia+(Y(wb+Ea|0,Ba)|0)+Ma|0;Ha=La+(Y(Oa,wb)|0)|0;Wa=Ka+(Y(Ja,wb)|0)|0;rb=ub;sb=vb;Ua=0;while(1){Va=Y(h[Ca+Ua>>0]|0,wa)|0;Ta=Y(h[Ca+(Ua+A)>>0]|0,za)|0;Sa=Ua+Ba|0;bb=Y(h[Ca+Sa>>0]|0,Aa)|0;Ra=Va+256+Ta+bb+(Y(h[Ca+(Sa+A)>>0]|0,Da)|0)>>9;Sa=Ra-(d[Ha+(Ua<<1)>>1]|0)|0;sb=sb+ +(Y(Sa,d[Wa>>1]|0)|0);rb=rb+ +(Y(Sa,d[Wa+2>>1]|0)|0);Ua=Ua+1|0;if((Ua|0)>=(Ga|0))break;else Wa=Wa+4|0}wb=wb+1|0;if((wb|0)>=(jb|0)){xb=rb;yb=sb;break}else{ub=rb;vb=sb}}}else{xb=0.0;yb=0.0}while(0);tb=yb*9.5367431640625e-07;qb=xb*9.5367431640625e-07;zb=ob;ob=nb*(sa*qb-ta*tb);Ab=pb;pb=nb*(sa*tb-ua*qb);lb=lb+ob;mb=mb+pb;Bb=s+lb;Cb=w+mb;n[da>>2]=Bb;n[na>>2]=Cb;qb=ob;tb=pb;if(qb*qb+tb*tb<=+p[aa>>3])break d;do if((Fa|0)>0){if(!(+L(+(zb+ob))<.01))break;if(+L(+(Ab+pb))<.01){ma=59;break e}}while(0);Fa=Fa+1|0;if((Fa|0)>=(Qa|0))break d}if((ma|0)==59){ma=0;n[da>>2]=Bb-ob*.5;n[na>>2]=Cb-pb*.5;break}if(!ea){Fa=f[C>>2]|0;if(!Fa){ma=62;break b}b[Fa+ca>>0]=0}}while(0);Qa=f[C>>2]|0;if(!Qa){ma=62;break b}ra=Qa+ca|0;if(((b[ra>>0]|0?(Qa=f[H>>2]|0,Qa|0):0)?(f[m>>2]|0)==0:0)?(f[r>>2]&8|0)==0:0){Fa=f[F>>2]|0;ua=+n[Fa+(ca<<3)>>2]-s;sa=+n[Fa+(ca<<3)+4>>2]-w;Fa=~~ua;Ga=Fa-(+(Fa|0)>ua&1)|0;Fa=~~sa;xa=Fa-(+(Fa|0)>sa&1)|0;Fa=f[q>>2]|0;do if((Ga|0)>=(0-Fa|0)){if((Ga|0)>=(f[Z>>2]|0))break;ya=f[t>>2]|0;if((xa|0)<(0-ya|0))break;if((xa|0)>=(f[_>>2]|0))break;nb=ua-+(Ga|0);ta=sa-+(xa|0);mb=1.0-nb;lb=1.0-ta;Na=U9b(mb*lb*16384.0)|0;Pa=U9b(nb*lb*16384.0)|0;Da=U9b(mb*ta*16384.0)|0;Aa=16384-Na-Pa-Da|0;do if((ya|0)>0){za=f[$>>2]|0;wa=Y(Ga,A)|0;Ea=f[R>>2]|0;va=f[f[S>>2]>>2]|0;Ja=Y(Fa,A)|0;if((Ja|0)>0){Db=0.0;Eb=0}else{Fb=0.0;break}while(1){Ka=za+(Y(Eb+xa|0,Ba)|0)+wa|0;Oa=Ea+(Y(va,Eb)|0)|0;ta=Db;La=0;do{Ma=Y(h[Ka+La>>0]|0,Na)|0;Ia=Y(h[Ka+(La+A)>>0]|0,Pa)|0;Wa=La+Ba|0;Ua=Y(h[Ka+Wa>>0]|0,Da)|0;Ha=Ma+256+Ia+Ua+(Y(h[Ka+(Wa+A)>>0]|0,Aa)|0)>>9;ta=ta+ +L(+(+(Ha-(d[Oa+(La<<1)>>1]|0)|0)));La=La+1|0}while((La|0)<(Ja|0));Eb=Eb+1|0;if((Eb|0)>=(ya|0)){Fb=ta;break}else Db=ta}}else Fb=0.0;while(0);pb=Fb/+(Y(Y(ba,ya)|0,Fa)|0);n[Qa+(ca<<2)>>2]=pb;break c}while(0);b[ra>>0]=0}}else ma=22;while(0);if((ma|0)==22?(ma=0,(ea|0)==0):0){na=f[C>>2]|0;if(na|0)b[na+ca>>0]=0;na=f[H>>2]|0;if(na|0)n[na+(ca<<2)>>2]=0.0}ca=ca+1|0;if((ca|0)>=(f[k>>2]|0))break a}if((ma|0)==62){f[o>>2]=0;f[o+4>>2]=0;ca=YG(o,14)|0;H=382595;C=ca+14|0;do{b[ca>>0]=b[H>>0]|0;ca=ca+1|0;H=H+1|0}while((ca|0)<(C|0));SQ(-215,o,523657,382610,657)}}while(0);o=l+36|0;ma=f[o>>2]|0;if(ma|0?(k=ma+12|0,ma=f[k>>2]|0,f[k>>2]=ma+-1,(ma|0)==1):0)lP(l);f[o>>2]=0;o=l+16|0;ma=l+4|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[ma>>2]|0)>0){o=f[l+40>>2]|0;k=0;do{f[o+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[ma>>2]|0))}ma=f[l+44>>2]|0;if((ma|0)!=(l+48|0))tE(ma);ma=j+36|0;l=f[ma>>2]|0;if(l|0?(k=l+12|0,l=f[k>>2]|0,f[k>>2]=l+-1,(l|0)==1):0)lP(j);f[ma>>2]=0;ma=j+16|0;l=j+4|0;f[ma>>2]=0;f[ma+4>>2]=0;f[ma+8>>2]=0;f[ma+12>>2]=0;if((f[l>>2]|0)>0){ma=f[j+40>>2]|0;k=0;do{f[ma+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[l>>2]|0))}l=f[j+44>>2]|0;if((l|0)!=(j+48|0))tE(l);l=f[i>>2]|0;if((l|0)!=(D|0)){if(l|0)Fmc(l);f[i>>2]=D;f[E>>2]=520}if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function Pxa(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0;k=u;u=u+368|0;l=k+312|0;m=k+304|0;n=k+248|0;o=k+192|0;p=k+64|0;q=k+136|0;r=k+120|0;s=k+32|0;t=k;zT(m,108508);do if((pD(a)|0)==65536){v=f[a+4>>2]|0;f[n>>2]=f[v>>2];w=n+4|0;x=v+4|0;f[w>>2]=f[x>>2];y=n+8|0;f[y>>2]=f[v+8>>2];f[n+12>>2]=f[v+12>>2];f[n+16>>2]=f[v+16>>2];f[n+20>>2]=f[v+20>>2];f[n+24>>2]=f[v+24>>2];f[n+28>>2]=f[v+28>>2];f[n+32>>2]=f[v+32>>2];z=f[v+36>>2]|0;f[n+36>>2]=z;f[n+40>>2]=y;y=n+48|0;A=n+44|0;f[A>>2]=y;f[y>>2]=0;f[n+52>>2]=0;if(z|0){y=z+12|0;f[y>>2]=(f[y>>2]|0)+1}if((f[x>>2]|0)<3){x=f[v+44>>2]|0;y=f[A>>2]|0;f[y>>2]=f[x>>2];f[y+4>>2]=f[x+4>>2];B=n;break}else{f[w>>2]=0;kP(n,v);B=n;break}}else{lD(n,a,-1);B=n}while(0);if(f[B>>2]&7|0){f[l>>2]=0;C=l+4|0;f[C>>2]=0;D=YG(l,63)|0;E=D;F=382789;G=E+63|0;do{b[E>>0]=b[F>>0]|0;E=E+1|0;F=F+1|0}while((E|0)<(G|0));SQ(-215,l,382853,382610,706)}if((f[d>>2]|0)<=2){f[l>>2]=0;C=l+4|0;f[C>>2]=0;D=YG(l,63)|0;E=D;F=382789;G=E+63|0;do{b[E>>0]=b[F>>0]|0;E=E+1|0;F=F+1|0}while((E|0)<(G|0));SQ(-215,l,382853,382610,706)}a=d+4|0;if((f[a>>2]|0)<=2){f[l>>2]=0;C=l+4|0;f[C>>2]=0;D=YG(l,63)|0;E=D;F=382789;G=E+63|0;do{b[E>>0]=b[F>>0]|0;E=E+1|0;F=F+1|0}while((E|0)<(G|0));SQ(-215,l,382853,382610,706)}F=g?2:1;iE(c,1,Y(F,e+1|0)|0,0,-1,1,0);E=f[B>>2]|0;G=E<<1&8176|11;do if(j?(h&16|0)==0&(E&32768|0)!=0:0){f[l>>2]=0;D=l+4|0;f[D>>2]=0;f[o>>2]=0;C=o+4|0;f[C>>2]=0;vP(n,l,o);v=f[o>>2]|0;w=f[d>>2]|0;if((v|0)<(w|0)){H=38;break}x=f[C>>2]|0;C=f[a>>2]|0;if((x|0)<(C|0)){H=38;break}y=n+12|0;if((w+v+(f[y>>2]|0)|0)>(f[l>>2]|0)){H=38;break}v=n+8|0;if((C+x+(f[v>>2]|0)|0)>(f[D>>2]|0)){H=38;break}D=fE(c,0)|0;if((D|0)!=(n|0)){x=n+36|0;C=f[x>>2]|0;if(C|0){w=C+12|0;f[w>>2]=(f[w>>2]|0)+1}w=D+36|0;C=f[w>>2]|0;if(C|0?(A=C+12|0,C=f[A>>2]|0,f[A>>2]=C+-1,(C|0)==1):0)lP(D);f[w>>2]=0;C=D+16|0;A=D+4|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[A>>2]|0)>0){z=f[D+40>>2]|0;I=0;do{f[z+(I<<2)>>2]=0;I=I+1|0;J=f[A>>2]|0}while((I|0)<(J|0));f[D>>2]=f[B>>2];if((J|0)<3)H=29;else H=31}else{f[D>>2]=f[B>>2];H=29}if((H|0)==29){I=f[n+4>>2]|0;if((I|0)<3){f[A>>2]=I;f[D+8>>2]=f[v>>2];f[D+12>>2]=f[y>>2];I=f[n+44>>2]|0;z=f[D+44>>2]|0;f[z>>2]=f[I>>2];f[z+4>>2]=f[I+4>>2]}else H=31}if((H|0)==31)kP(D,n);f[C>>2]=f[n+16>>2];f[D+20>>2]=f[n+20>>2];f[D+24>>2]=f[n+24>>2];f[D+28>>2]=f[n+28>>2];f[D+32>>2]=f[n+32>>2];f[w>>2]=f[x>>2]}}else H=38;while(0);if((H|0)==38){J=fE(c,0)|0;E=J+16|0;if(f[E>>2]|0){j=f[J+4>>2]|0;if((j|0)<3)K=Y(f[J+12>>2]|0,f[J+8>>2]|0)|0;else{I=f[J+40>>2]|0;z=0;L=1;while(1){M=Y(f[I+(z<<2)>>2]|0,L)|0;z=z+1|0;if((z|0)==(j|0)){K=M;break}else L=M}}if(!((j|0)==0|(K|0)==0)){K=f[a>>2]|0;j=f[d>>2]|0;wP(J,K,K,j,j)|0}}j=f[J>>2]|0;K=f[B>>2]|0;L=n+12|0;z=f[L>>2]|0;if(!((K^j)&4095)){I=f[d>>2]|0;if(!((f[J+12>>2]|0)==((I<<1)+z|0)?(f[J+8>>2]|0)==((f[a>>2]<<1)+(f[n+8>>2]|0)|0):0)){N=I;H=49}}else{N=f[d>>2]|0;H=49}do if((H|0)==49){I=(f[a>>2]<<1)+(f[n+8>>2]|0)|0;M=(N<<1)+z|0;O=K&4095;if((((f[J+4>>2]|0)<3?(f[J+8>>2]|0)==(I|0):0)?(f[J+12>>2]|0)==(M|0):0)?!((j&4095|0)!=(O|0)|(f[E>>2]|0)==0):0)break;f[l>>2]=I;f[l+4>>2]=M;iP(J,2,l,O)}while(0);if((h|0)==5){E=f[a>>2]|0;j=f[L>>2]|0;L=f[n+8>>2]|0;f[p>>2]=f[d>>2];f[p+4>>2]=E;f[p+8>>2]=j;f[p+12>>2]=L;pP(o,J,p);L=l+8|0;f[L>>2]=0;f[L+4>>2]=0;f[l>>2]=-1040121856;f[l+4>>2]=o;kT(n,l);L=o+36|0;j=f[L>>2]|0;if(j|0?(E=j+12|0,j=f[E>>2]|0,f[E>>2]=j+-1,(j|0)==1):0)lP(o);f[L>>2]=0;L=o+16|0;j=o+4|0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;if((f[j>>2]|0)>0){L=f[o+40>>2]|0;E=0;do{f[L+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[j>>2]|0))}j=f[o+44>>2]|0;if((j|0)!=(o+48|0))tE(j)}else{f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=n;j=o+8|0;f[j>>2]=0;f[j+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=J;j=f[a>>2]|0;E=f[d>>2]|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;f[p+16>>2]=0;f[p+20>>2]=0;f[p+24>>2]=0;f[p+28>>2]=0;tT(l,o,j,j,E,E,h,p)}E=0-(f[a>>2]|0)|0;j=0-(f[d>>2]|0)|0;wP(J,E,E,j,j)|0}j=n+40|0;E=f[j>>2]|0;J=f[E>>2]|0;f[o>>2]=f[E+4>>2];E=o+4|0;f[E>>2]=J;J=fE(c,0)|0;f[p>>2]=f[J>>2];L=p+4|0;K=J+4|0;f[L>>2]=f[K>>2];z=p+8|0;f[z>>2]=f[J+8>>2];N=p+12|0;f[N>>2]=f[J+12>>2];O=p+16|0;f[O>>2]=f[J+16>>2];M=p+20|0;f[M>>2]=f[J+20>>2];I=p+24|0;f[I>>2]=f[J+24>>2];P=p+28|0;f[P>>2]=f[J+28>>2];Q=p+32|0;f[Q>>2]=f[J+32>>2];R=p+36|0;S=f[J+36>>2]|0;f[R>>2]=S;T=p+40|0;f[T>>2]=z;U=p+48|0;V=p+44|0;f[V>>2]=U;f[U>>2]=0;f[p+52>>2]=0;if(S|0){W=S+12|0;f[W>>2]=(f[W>>2]|0)+1}if((f[K>>2]|0)<3){K=f[J+44>>2]|0;W=f[V>>2]|0;f[W>>2]=f[K>>2];f[W+4>>2]=f[K+4>>2]}else{f[L>>2]=0;kP(p,J)}f[q>>2]=f[p>>2];J=q+4|0;K=f[L>>2]|0;f[J>>2]=K;W=q+8|0;f[W>>2]=f[z>>2];S=q+12|0;f[S>>2]=f[N>>2];X=q+16|0;f[X>>2]=f[O>>2];Z=q+20|0;f[Z>>2]=f[M>>2];_=q+24|0;f[_>>2]=f[I>>2];$=q+28|0;f[$>>2]=f[P>>2];aa=q+32|0;f[aa>>2]=f[Q>>2];ba=q+36|0;ca=f[R>>2]|0;f[ba>>2]=ca;da=q+40|0;f[da>>2]=W;ea=q+48|0;fa=q+44|0;f[fa>>2]=ea;f[ea>>2]=0;f[q+52>>2]=0;if(!ca)ga=K;else{K=ca+12|0;f[K>>2]=(f[K>>2]|0)+1;ga=f[L>>2]|0}if((ga|0)<3){ga=f[V>>2]|0;K=f[fa>>2]|0;f[K>>2]=f[ga>>2];f[K+4>>2]=f[ga+4>>2]}else{f[J>>2]=0;kP(q,p)}a:do if((e|0)<0)ha=e;else{ga=r+4|0;K=r+8|0;ca=r+12|0;ia=(i|0)==5;ja=l+36|0;ka=l+16|0;la=l+4|0;ma=l+40|0;na=l+44|0;oa=l+48|0;pa=r+8|0;qa=r+12|0;ra=r+4|0;sa=s+8|0;ta=s+4|0;ua=i|16;va=G&4091;wa=l+4|0;xa=r+4|0;ya=r+8|0;za=r+12|0;Aa=l+36|0;Ba=l+4|0;Ca=l+8|0;Da=l+12|0;Ea=l+44|0;Fa=l+16|0;Ga=l+20|0;Ha=l+24|0;Ia=l+28|0;Ja=l+32|0;Ka=l+40|0;La=l+48|0;Ma=l+8|0;Na=l+12|0;Oa=l+4|0;Pa=r+8|0;Qa=r+4|0;Ra=(h|0)==5;Sa=l+8|0;Ta=l+12|0;Ua=l+4|0;Va=r+8|0;Wa=r+4|0;Xa=h|16;Ya=0;while(1){if(Ya|0){Za=fE(c,Y(Ya,F)|0)|0;_a=Za+16|0;if(f[_a>>2]|0){$a=f[Za+4>>2]|0;if(($a|0)<3)ab=Y(f[Za+12>>2]|0,f[Za+8>>2]|0)|0;else{bb=f[Za+40>>2]|0;cb=0;db=1;while(1){eb=Y(f[bb+(cb<<2)>>2]|0,db)|0;cb=cb+1|0;if((cb|0)==($a|0)){ab=eb;break}else db=eb}}if(!(($a|0)==0|(ab|0)==0)){db=f[a>>2]|0;cb=f[d>>2]|0;wP(Za,db,db,cb,cb)|0}}cb=f[Za>>2]|0;db=f[B>>2]|0;bb=f[o>>2]|0;if(!((db^cb)&4095)){eb=f[d>>2]|0;if((f[Za+12>>2]|0)==((eb<<1)+bb|0)?(fb=f[a>>2]|0,gb=f[E>>2]|0,(f[Za+8>>2]|0)==((fb<<1)+gb|0)):0){hb=eb;ib=fb;jb=bb;kb=gb}else{lb=eb;H=90}}else{lb=f[d>>2]|0;H=90}b:do if((H|0)==90){H=0;eb=f[E>>2]|0;gb=f[a>>2]|0;fb=(gb<<1)+eb|0;mb=(lb<<1)+bb|0;nb=db&4095;do if((f[Za+4>>2]|0)<3?(f[Za+8>>2]|0)==(fb|0):0){if((f[Za+12>>2]|0)!=(mb|0))break;if(!((cb&4095|0)!=(nb|0)|(f[_a>>2]|0)==0)){hb=lb;ib=gb;jb=bb;kb=eb;break b}}while(0);f[l>>2]=fb;f[wa>>2]=mb;iP(Za,2,l,nb);hb=f[d>>2]|0;ib=f[a>>2]|0;jb=f[o>>2]|0;kb=f[E>>2]|0}while(0);f[r>>2]=hb;f[xa>>2]=ib;f[ya>>2]=jb;f[za>>2]=kb;pP(l,Za,r);bb=f[Aa>>2]|0;if(bb|0){_a=bb+12|0;f[_a>>2]=(f[_a>>2]|0)+1}_a=f[ba>>2]|0;if(_a|0?(bb=_a+12|0,_a=f[bb>>2]|0,f[bb>>2]=_a+-1,(_a|0)==1):0)lP(q);f[ba>>2]=0;f[X>>2]=0;f[X+4>>2]=0;f[X+8>>2]=0;f[X+12>>2]=0;if((f[J>>2]|0)>0){_a=f[da>>2]|0;bb=0;do{f[_a+(bb<<2)>>2]=0;bb=bb+1|0;ob=f[J>>2]|0}while((bb|0)<(ob|0));f[q>>2]=f[l>>2];if((ob|0)<3)H=105;else H=107}else{f[q>>2]=f[l>>2];H=105}do if((H|0)==105){H=0;bb=f[Ba>>2]|0;if((bb|0)>=3){H=107;break}f[J>>2]=bb;f[W>>2]=f[Ca>>2];f[S>>2]=f[Da>>2];bb=f[Ea>>2]|0;_a=f[fa>>2]|0;f[_a>>2]=f[bb>>2];f[_a+4>>2]=f[bb+4>>2]}while(0);if((H|0)==107){H=0;kP(q,l)}f[X>>2]=f[Fa>>2];f[Z>>2]=f[Ga>>2];f[_>>2]=f[Ha>>2];f[$>>2]=f[Ia>>2];f[aa>>2]=f[Ja>>2];bb=f[Aa>>2]|0;f[ba>>2]=bb;do if(bb|0){_a=bb+12|0;cb=f[_a>>2]|0;f[_a>>2]=cb+-1;if((cb|0)!=1)break;lP(l)}while(0);f[Aa>>2]=0;f[Fa>>2]=0;f[Fa+4>>2]=0;f[Fa+8>>2]=0;f[Fa+12>>2]=0;if((f[Ba>>2]|0)>0){bb=f[Ka>>2]|0;cb=0;do{f[bb+(cb<<2)>>2]=0;cb=cb+1|0}while((cb|0)<(f[Ba>>2]|0))}cb=f[Ea>>2]|0;if((cb|0)!=(La|0))tE(cb);f[Ma>>2]=0;f[Na>>2]=0;f[l>>2]=16842752;f[Oa>>2]=p;cb=Pa;f[cb>>2]=0;f[cb+4>>2]=0;f[r>>2]=33619968;f[Qa>>2]=q;i1(l,r,o,4);if(!Ra){f[Sa>>2]=0;f[Ta>>2]=0;f[l>>2]=16842752;f[Ua>>2]=q;cb=Va;f[cb>>2]=0;f[cb+4>>2]=0;f[r>>2]=33619968;f[Wa>>2]=Za;cb=f[a>>2]|0;bb=f[d>>2]|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;f[s+16>>2]=0;f[s+20>>2]=0;f[s+24>>2]=0;f[s+28>>2]=0;tT(l,r,cb,cb,bb,bb,Xa,s)}bb=0-(f[a>>2]|0)|0;cb=0-(f[d>>2]|0)|0;wP(Za,bb,bb,cb,cb)|0}if(g){cb=fE(c,(Y(Ya,F)|0)+1|0)|0;bb=cb+16|0;if(f[bb>>2]|0){_a=f[cb+4>>2]|0;if((_a|0)<3)pb=Y(f[cb+12>>2]|0,f[cb+8>>2]|0)|0;else{db=f[cb+40>>2]|0;$a=0;eb=1;while(1){gb=Y(f[db+($a<<2)>>2]|0,eb)|0;$a=$a+1|0;if(($a|0)==(_a|0)){pb=gb;break}else eb=gb}}if(!((_a|0)==0|(pb|0)==0)){eb=f[a>>2]|0;$a=f[d>>2]|0;wP(cb,eb,eb,$a,$a)|0}}$a=f[cb>>2]&4095;eb=f[o>>2]|0;if(($a|0)==(G|0)){db=f[d>>2]|0;if((f[cb+12>>2]|0)==((db<<1)+eb|0)?(Za=f[a>>2]|0,gb=f[E>>2]|0,(f[cb+8>>2]|0)==((Za<<1)+gb|0)):0){qb=db;rb=Za;sb=eb;tb=gb}else{ub=db;H=131}}else{ub=f[d>>2]|0;H=131}c:do if((H|0)==131){H=0;db=f[E>>2]|0;gb=f[a>>2]|0;Za=(gb<<1)+db|0;vb=(ub<<1)+eb|0;do if((f[cb+4>>2]|0)<3){if((f[cb+8>>2]|0)!=(Za|0))break;if((f[cb+12>>2]|0)!=(vb|0))break;if(!(($a|0)!=(va|0)|(f[bb>>2]|0)==0)){qb=ub;rb=gb;sb=eb;tb=db;break c}}while(0);f[l>>2]=Za;f[wa>>2]=vb;iP(cb,2,l,va);qb=f[d>>2]|0;rb=f[a>>2]|0;sb=f[o>>2]|0;tb=f[E>>2]|0}while(0);f[r>>2]=qb;f[ga>>2]=rb;f[K>>2]=sb;f[ca>>2]=tb;pP(l,cb,r);Qxa(q,l);if(!ia){f[pa>>2]=0;f[qa>>2]=0;f[r>>2]=16842752;f[ra>>2]=l;eb=sa;f[eb>>2]=0;f[eb+4>>2]=0;f[s>>2]=33619968;f[ta>>2]=cb;eb=f[a>>2]|0;bb=f[d>>2]|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;f[t+16>>2]=0;f[t+20>>2]=0;f[t+24>>2]=0;f[t+28>>2]=0;tT(r,s,eb,eb,bb,bb,ua,t)}bb=0-(f[a>>2]|0)|0;eb=0-(f[d>>2]|0)|0;wP(cb,bb,bb,eb,eb)|0;eb=f[ja>>2]|0;do if(eb|0){bb=eb+12|0;$a=f[bb>>2]|0;f[bb>>2]=$a+-1;if(($a|0)!=1)break;lP(l)}while(0);f[ja>>2]=0;f[ka>>2]=0;f[ka+4>>2]=0;f[ka+8>>2]=0;f[ka+12>>2]=0;if((f[la>>2]|0)>0){eb=f[ma>>2]|0;cb=0;do{f[eb+(cb<<2)>>2]=0;cb=cb+1|0}while((cb|0)<(f[la>>2]|0))}cb=f[na>>2]|0;if((cb|0)!=(oa|0))tE(cb)}cb=((f[o>>2]|0)+1|0)/2|0;eb=((f[E>>2]|0)+1|0)/2|0;f[o>>2]=cb;f[E>>2]=eb;if((cb|0)<=(f[d>>2]|0))break;if((eb|0)<=(f[a>>2]|0))break;eb=f[ba>>2]|0;if(eb|0){cb=eb+12|0;f[cb>>2]=(f[cb>>2]|0)+1}cb=f[R>>2]|0;if(cb|0?(eb=cb+12|0,cb=f[eb>>2]|0,f[eb>>2]=cb+-1,(cb|0)==1):0)lP(p);f[R>>2]=0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;if((f[L>>2]|0)>0){cb=f[T>>2]|0;eb=0;do{f[cb+(eb<<2)>>2]=0;eb=eb+1|0;wb=f[L>>2]|0}while((eb|0)<(wb|0));f[p>>2]=f[q>>2];if((wb|0)<3)H=160;else H=162}else{f[p>>2]=f[q>>2];H=160}do if((H|0)==160){H=0;eb=f[J>>2]|0;if((eb|0)>=3){H=162;break}f[L>>2]=eb;f[z>>2]=f[W>>2];f[N>>2]=f[S>>2];eb=f[fa>>2]|0;cb=f[V>>2]|0;f[cb>>2]=f[eb>>2];f[cb+4>>2]=f[eb+4>>2]}while(0);if((H|0)==162){H=0;kP(p,q)}f[O>>2]=f[X>>2];f[M>>2]=f[Z>>2];f[I>>2]=f[_>>2];f[P>>2]=f[$>>2];f[Q>>2]=f[aa>>2];f[R>>2]=f[ba>>2];if((Ya|0)<(e|0))Ya=Ya+1|0;else{ha=e;break a}}iE(c,1,Y(Ya+1|0,F)|0,0,-1,1,0);ha=Ya}while(0);F=f[ba>>2]|0;if(F|0?(c=F+12|0,F=f[c>>2]|0,f[c>>2]=F+-1,(F|0)==1):0)lP(q);f[ba>>2]=0;f[X>>2]=0;f[X+4>>2]=0;f[X+8>>2]=0;f[X+12>>2]=0;if((f[J>>2]|0)>0){X=f[da>>2]|0;da=0;do{f[X+(da<<2)>>2]=0;da=da+1|0}while((da|0)<(f[J>>2]|0))}J=f[fa>>2]|0;if((J|0)!=(ea|0))tE(J);J=f[R>>2]|0;if(J|0?(ea=J+12|0,J=f[ea>>2]|0,f[ea>>2]=J+-1,(J|0)==1):0)lP(p);f[R>>2]=0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;if((f[L>>2]|0)>0){O=f[T>>2]|0;T=0;do{f[O+(T<<2)>>2]=0;T=T+1|0}while((T|0)<(f[L>>2]|0))}L=f[V>>2]|0;if((L|0)!=(U|0))tE(L);L=n+36|0;U=f[L>>2]|0;if(U|0?(V=U+12|0,U=f[V>>2]|0,f[V>>2]=U+-1,(U|0)==1):0)lP(n);f[L>>2]=0;L=n+16|0;U=n+4|0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;if((f[U>>2]|0)>0){L=f[j>>2]|0;j=0;do{f[L+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[U>>2]|0))}U=f[n+44>>2]|0;if((U|0)!=(n+48|0))tE(U);if(!(f[m+4>>2]|0)){u=k;return ha|0}u=k;return ha|0}function Qxa(a,c){a=a|0;c=c|0;var e=0,g=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;e=u;u=u+1056|0;g=e;i=f[a+8>>2]|0;k=f[a+12>>2]|0;l=f[a>>2]|0;m=(l>>>3&511)+1|0;n=Y(m,k)|0;if(l&7|0){f[g>>2]=0;f[g+4>>2]=0;l=YG(g,14)|0;o=382877;p=l+14|0;do{b[l>>0]=b[o>>0]|0;l=l+1|0;o=o+1|0}while((l|0)<(p|0));SQ(-215,g,382892,382610,60)}o=(m<<4)+4091&4091;if(!(((((f[c+4>>2]|0)<3?(f[c+8>>2]|0)==(i|0):0)?(f[c+12>>2]|0)==(k|0):0)?(f[c>>2]&4095|0)==(o|0):0)?(f[c+16>>2]|0)!=0:0)){f[g>>2]=i;f[g+4>>2]=k;iP(c,2,g,o)}o=(Y(m,k+2|0)|0)+15&-16;l=(o<<1)+64|0;p=g+8|0;f[g>>2]=p;q=g+4|0;f[q>>2]=l;if(l>>>0>520){r=Dmc(l>>>0>2147483647?-1:l<<1)|0;f[g>>2]=r;s=r}else s=p;r=s+(m<<1)+15&-16;l=r+(o<<1)|0;if((i|0)>0){o=(i|0)!=1;t=o&1;v=i+-1|0;w=o?i+-2|0:0;o=(n|0)>0;x=(k|0)>1;y=x?m:0;z=Y(m,x?k+-2|0:0)|0;k=f[a+16>>2]|0;x=f[f[a+44>>2]>>2]|0;a=f[c+16>>2]|0;A=f[f[c+44>>2]>>2]|0;c=0;do{B=k+(Y(x,(c|0)>0?c+-1|0:t)|0)|0;C=k+(Y(x,c)|0)|0;D=c;c=c+1|0;E=k+(Y(x,(D|0)<(v|0)?c:w)|0)|0;F=a+(Y(A,D)|0)|0;if(o){D=0;do{G=h[B+D>>0]|0;H=h[E+D>>0]|0;d[r+(D<<1)>>1]=((H+G|0)*3|0)+((h[C+D>>0]|0)*10|0);d[l+(D<<1)>>1]=H-G;D=D+1|0}while((D|0)!=(n|0));I=0}else I=0;do{D=I+y|0;C=I-m|0;d[r+(C<<1)>>1]=d[r+(D<<1)>>1]|0;E=I+z|0;B=I+n|0;d[r+(B<<1)>>1]=d[r+(E<<1)>>1]|0;d[l+(C<<1)>>1]=d[l+(D<<1)>>1]|0;d[l+(B<<1)>>1]=d[l+(E<<1)>>1]|0;I=I+1|0}while((I|0)!=(m|0));if(o){E=0;do{B=E+m|0;D=E-m|0;C=(((d[l+(D<<1)>>1]|0)+(d[l+(B<<1)>>1]|0)|0)*3|0)+((d[l+(E<<1)>>1]|0)*10|0)&65535;G=E<<1;d[F+(G<<1)>>1]=(j[r+(B<<1)>>1]|0)-(j[r+(D<<1)>>1]|0);d[F+((G|1)<<1)>>1]=C;E=E+1|0}while((E|0)!=(n|0))}}while((c|0)!=(i|0))}if((s|0)==(p|0)){u=e;return}Fmc(s);f[g>>2]=p;f[q>>2]=520;u=e;return}function Rxa(a){a=a|0;Emc(a);return}function Sxa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Txa(a){a=a|0;WX(a);Emc(a);return}function Uxa(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0.0,ta=0.0,ua=0.0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0;j=u;u=u+576|0;k=j+512|0;l=j+504|0;m=j+448|0;o=j+440|0;q=j+384|0;r=j+328|0;s=j+272|0;t=j+244|0;v=j+232|0;w=j+176|0;x=j+120|0;y=j+264|0;z=j+256|0;A=j+32|0;B=j+104|0;C=j;zT(l,108632);do if((pD(e)|0)==65536){D=f[e+4>>2]|0;f[m>>2]=f[D>>2];E=m+4|0;F=D+4|0;f[E>>2]=f[F>>2];G=m+8|0;f[G>>2]=f[D+8>>2];f[m+12>>2]=f[D+12>>2];f[m+16>>2]=f[D+16>>2];f[m+20>>2]=f[D+20>>2];f[m+24>>2]=f[D+24>>2];f[m+28>>2]=f[D+28>>2];f[m+32>>2]=f[D+32>>2];H=f[D+36>>2]|0;f[m+36>>2]=H;f[m+40>>2]=G;G=m+48|0;I=m+44|0;f[I>>2]=G;f[G>>2]=0;f[m+52>>2]=0;if(H|0){G=H+12|0;f[G>>2]=(f[G>>2]|0)+1}if((f[F>>2]|0)<3){F=f[D+44>>2]|0;G=f[I>>2]|0;f[G>>2]=f[F>>2];f[G+4>>2]=f[F+4>>2];break}else{f[E>>2]=0;kP(m,D);break}}else lD(m,e,-1);while(0);e=a+12|0;if((f[e>>2]|0)<=-1){f[k>>2]=0;J=k+4|0;f[J>>2]=0;K=YG(k,56)|0;L=K;M=383105;N=L+56|0;do{b[L>>0]=b[M>>0]|0;L=L+1|0;M=M+1|0}while((L|0)<(N|0));SQ(-215,k,383162,382610,1241)}D=a+4|0;if((f[D>>2]|0)<=2){f[k>>2]=0;J=k+4|0;f[J>>2]=0;K=YG(k,56)|0;L=K;M=383105;N=L+56|0;do{b[L>>0]=b[M>>0]|0;L=L+1|0;M=M+1|0}while((L|0)<(N|0));SQ(-215,k,383162,382610,1241)}E=a+8|0;if((f[E>>2]|0)<=2){f[k>>2]=0;J=k+4|0;f[J>>2]=0;K=YG(k,56)|0;L=K;M=383105;N=L+56|0;do{b[L>>0]=b[M>>0]|0;L=L+1|0;M=M+1|0}while((L|0)<(N|0));SQ(-215,k,383162,382610,1241)}K=BP(m,2,5,1)|0;if((K|0)<=-1){f[k>>2]=0;f[k+4>>2]=0;L=YG(k,56)|0;M=383167;N=L+56|0;do{b[L>>0]=b[M>>0]|0;L=L+1|0;M=M+1|0}while((L|0)<(N|0));SQ(-215,k,383162,382610,1244)}if(K){J=a+32|0;if(!(f[J>>2]&4)){F=f[m+40>>2]|0;G=f[F>>2]|0;f[o>>2]=f[F+4>>2];f[o+4>>2]=G;HD(g,o,f[m>>2]&4095,-1,1,0)}do if((pD(g)|0)==65536){o=f[g+4>>2]|0;f[q>>2]=f[o>>2];G=q+4|0;F=o+4|0;f[G>>2]=f[F>>2];I=q+8|0;f[I>>2]=f[o+8>>2];f[q+12>>2]=f[o+12>>2];f[q+16>>2]=f[o+16>>2];f[q+20>>2]=f[o+20>>2];f[q+24>>2]=f[o+24>>2];f[q+28>>2]=f[o+28>>2];f[q+32>>2]=f[o+32>>2];H=f[o+36>>2]|0;f[q+36>>2]=H;f[q+40>>2]=I;I=q+48|0;O=q+44|0;f[O>>2]=I;f[I>>2]=0;f[q+52>>2]=0;if(H|0){I=H+12|0;f[I>>2]=(f[I>>2]|0)+1}if((f[F>>2]|0)<3){F=f[o+44>>2]|0;I=f[O>>2]|0;f[I>>2]=f[F>>2];f[I+4>>2]=f[F+4>>2];break}else{f[G>>2]=0;kP(q,o);break}}else lD(q,g,-1);while(0);if((BP(q,2,5,1)|0)!=(K|0)){f[k>>2]=0;f[k+4>>2]=0;L=YG(k,50)|0;M=383224;N=L+50|0;do{b[L>>0]=b[M>>0]|0;L=L+1|0;M=M+1|0}while((L|0)<(N|0));SQ(-215,k,383162,382610,1258)}o=f[m+16>>2]|0;G=q+16|0;F=f[G>>2]|0;I=q+44|0;iE(h,K,1,0,-1,1,0);do if((pD(h)|0)==65536){O=f[h+4>>2]|0;f[r>>2]=f[O>>2];H=r+4|0;P=O+4|0;f[H>>2]=f[P>>2];Q=r+8|0;f[Q>>2]=f[O+8>>2];f[r+12>>2]=f[O+12>>2];f[r+16>>2]=f[O+16>>2];f[r+20>>2]=f[O+20>>2];f[r+24>>2]=f[O+24>>2];f[r+28>>2]=f[O+28>>2];f[r+32>>2]=f[O+32>>2];R=f[O+36>>2]|0;f[r+36>>2]=R;f[r+40>>2]=Q;Q=r+48|0;S=r+44|0;f[S>>2]=Q;f[Q>>2]=0;f[r+52>>2]=0;if(R|0){Q=R+12|0;f[Q>>2]=(f[Q>>2]|0)+1}if((f[P>>2]|0)<3){P=f[O+44>>2]|0;Q=f[S>>2]|0;f[Q>>2]=f[P>>2];f[Q+4>>2]=f[P+4>>2];T=r;break}else{f[H>>2]=0;kP(r,O);T=r;break}}else{lD(r,h,-1);T=r}while(0);f[s>>2]=1124007936;O=s+4|0;H=s+8|0;P=s+40|0;L=O;N=L+36|0;do{f[L>>2]=0;L=L+4|0}while((L|0)<(N|0));f[P>>2]=H;Q=s+48|0;S=s+44|0;f[S>>2]=Q;f[Q>>2]=0;f[s+52>>2]=0;if(!(f[T>>2]&16384)){f[k>>2]=0;f[k+4>>2]=0;L=YG(k,24)|0;M=383275;N=L+24|0;do{b[L>>0]=b[M>>0]|0;L=L+1|0;M=M+1|0}while((L|0)<(N|0));SQ(-215,k,383162,382610,1265)}T=r+16|0;R=f[T>>2]|0;U=r+44|0;if((K|0)>0)Drc(R|0,1,K|0)|0;do if(lE(i)|0){iE(i,K,1,5,-1,1,0);do if((pD(i)|0)==65536){V=f[i+4>>2]|0;f[k>>2]=f[V>>2];W=k+4|0;X=V+4|0;f[W>>2]=f[X>>2];Z=k+8|0;f[Z>>2]=f[V+8>>2];f[k+12>>2]=f[V+12>>2];f[k+16>>2]=f[V+16>>2];f[k+20>>2]=f[V+20>>2];f[k+24>>2]=f[V+24>>2];f[k+28>>2]=f[V+28>>2];f[k+32>>2]=f[V+32>>2];_=k+36|0;$=f[V+36>>2]|0;f[_>>2]=$;f[k+40>>2]=Z;Z=k+48|0;aa=k+44|0;f[aa>>2]=Z;f[Z>>2]=0;f[k+52>>2]=0;if($|0){Z=$+12|0;f[Z>>2]=(f[Z>>2]|0)+1}if((f[X>>2]|0)<3){X=f[V+44>>2]|0;Z=f[aa>>2]|0;f[Z>>2]=f[X>>2];f[Z+4>>2]=f[X+4>>2];ba=_;break}else{f[W>>2]=0;kP(k,V);ba=_;break}}else{lD(k,i,-1);ba=k+36|0}while(0);_=f[ba>>2]|0;if(_|0){V=_+12|0;f[V>>2]=(f[V>>2]|0)+1}V=s+36|0;_=f[V>>2]|0;if(_|0?(W=_+12|0,_=f[W>>2]|0,f[W>>2]=_+-1,(_|0)==1):0)lP(s);f[V>>2]=0;_=s+16|0;f[_>>2]=0;f[_+4>>2]=0;f[_+8>>2]=0;f[_+12>>2]=0;if((f[O>>2]|0)>0){W=f[P>>2]|0;X=0;do{f[W+(X<<2)>>2]=0;X=X+1|0;ca=f[O>>2]|0}while((X|0)<(ca|0));f[s>>2]=f[k>>2];if((ca|0)<3)da=56;else da=58}else{f[s>>2]=f[k>>2];da=56}do if((da|0)==56){X=f[k+4>>2]|0;if((X|0)>=3){da=58;break}f[O>>2]=X;f[H>>2]=f[k+8>>2];f[s+12>>2]=f[k+12>>2];X=f[k+44>>2]|0;W=f[S>>2]|0;f[W>>2]=f[X>>2];f[W+4>>2]=f[X+4>>2]}while(0);if((da|0)==58)kP(s,k);X=k+16|0;f[_>>2]=f[X>>2];f[s+20>>2]=f[k+20>>2];f[s+24>>2]=f[k+24>>2];f[s+28>>2]=f[k+28>>2];f[s+32>>2]=f[k+32>>2];W=f[ba>>2]|0;f[V>>2]=W;do if(W|0){Z=W+12|0;aa=f[Z>>2]|0;f[Z>>2]=aa+-1;if((aa|0)!=1)break;lP(k)}while(0);f[ba>>2]=0;W=k+4|0;f[X>>2]=0;f[X+4>>2]=0;f[X+8>>2]=0;f[X+12>>2]=0;if((f[W>>2]|0)>0){V=f[k+40>>2]|0;aa=0;do{f[V+(aa<<2)>>2]=0;aa=aa+1|0}while((aa|0)<(f[W>>2]|0))}W=f[k+44>>2]|0;if((W|0)!=(k+48|0))tE(W);if(!(f[s>>2]&16384)){f[k>>2]=0;f[k+4>>2]=0;L=YG(k,21)|0;M=383300;N=L+21|0;do{b[L>>0]=b[M>>0]|0;L=L+1|0;M=M+1|0}while((L|0)<(N|0));SQ(-215,k,383162,382610,1276)}else{ea=f[_>>2]|0;break}}else ea=0;while(0);f[t>>2]=0;ba=t+4|0;f[ba>>2]=0;f[t+8>>2]=0;f[v>>2]=0;H=v+4|0;f[H>>2]=0;f[v+8>>2]=0;if((pD(c)|0)==327680){rD(c,t);ca=f[t>>2]|0;W=(f[ba>>2]|0)-ca|0;ba=((W|0)/56|0)+-1|0;aa=ca;if((W|0)<=0){f[k>>2]=0;f[k+4>>2]=0;L=YG(k,12)|0;M=383322;N=L+12|0;do{b[L>>0]=b[M>>0]|0;L=L+1|0;M=M+1|0}while((L|0)<(N|0));SQ(-215,k,383162,382610,1291)}if(((ba|0)%2|0|0)==1?(W=f[aa+56>>2]|0,(W&7|0)==3?((f[aa>>2]|0)>>>2&1022|1|0)==(W>>>3&511|0):0):0){fa=2;ga=(ba|0)/2|0}else{fa=1;ga=ba}do if((ga|0)>0){f[k>>2]=0;ba=k+4|0;f[ba>>2]=0;f[w>>2]=0;W=w+4|0;f[W>>2]=0;vP(aa+(fa*56|0)|0,k,w);ca=f[w>>2]|0;V=f[D>>2]|0;if((ca|0)<(V|0)){f[x>>2]=0;ha=x+4|0;f[ha>>2]=0;ia=YG(x,187)|0;Krc(ia|0,383335,187)|0;SQ(-215,x,383162,382610,1307)}X=f[W>>2]|0;W=f[E>>2]|0;if((X|0)<(W|0)){f[x>>2]=0;ha=x+4|0;f[ha>>2]=0;ia=YG(x,187)|0;Krc(ia|0,383335,187)|0;SQ(-215,x,383162,382610,1307)}Z=f[t>>2]|0;if((V+ca+(f[Z+(fa*56|0)+12>>2]|0)|0)>(f[k>>2]|0)){f[x>>2]=0;ha=x+4|0;f[ha>>2]=0;ia=YG(x,187)|0;Krc(ia|0,383335,187)|0;SQ(-215,x,383162,382610,1307)}if((W+X+(f[Z+(fa*56|0)+8>>2]|0)|0)>(f[ba>>2]|0)){f[x>>2]=0;ha=x+4|0;f[ha>>2]=0;ia=YG(x,187)|0;Krc(ia|0,383335,187)|0;SQ(-215,x,383162,382610,1307)}else break}while(0);if((ga|0)<(f[e>>2]|0)){f[e>>2]=ga;ja=fa;ka=ga}else{ja=fa;ka=ga}}else{ja=1;ka=-1}do if((pD(d)|0)==327680){rD(d,v);ga=f[v>>2]|0;fa=(f[H>>2]|0)-ga|0;ia=((fa|0)/56|0)+-1|0;ha=ga;if((fa|0)<=0){f[k>>2]=0;f[k+4>>2]=0;L=YG(k,12)|0;M=383523;N=L+12|0;do{b[L>>0]=b[M>>0]|0;L=L+1|0;M=M+1|0}while((L|0)<(N|0));SQ(-215,k,383162,382610,1319)}do if(((ia|0)%2|0|0)==1){_=f[ha+56>>2]|0;if(!((_&7|0)==3?((f[ha>>2]|0)>>>2&1022|1|0)==(_>>>3&511|0):0)){la=1;ma=ia;break}la=2;ma=(ia|0)/2|0}else{la=1;ma=ia}while(0);do if((ma|0)>0){f[k>>2]=0;ia=k+4|0;f[ia>>2]=0;f[w>>2]=0;_=w+4|0;f[_>>2]=0;vP(ha+(la*56|0)|0,k,w);fa=f[w>>2]|0;ga=f[D>>2]|0;if((fa|0)<(ga|0)){f[x>>2]=0;na=x+4|0;f[na>>2]=0;oa=YG(x,187)|0;Krc(oa|0,383536,187)|0;SQ(-215,x,383162,382610,1335)}aa=f[_>>2]|0;_=f[E>>2]|0;if((aa|0)<(_|0)){f[x>>2]=0;na=x+4|0;f[na>>2]=0;oa=YG(x,187)|0;Krc(oa|0,383536,187)|0;SQ(-215,x,383162,382610,1335)}ba=f[v>>2]|0;if((ga+fa+(f[ba+(la*56|0)+12>>2]|0)|0)>(f[k>>2]|0)){f[x>>2]=0;na=x+4|0;f[na>>2]=0;oa=YG(x,187)|0;Krc(oa|0,383536,187)|0;SQ(-215,x,383162,382610,1335)}if((_+aa+(f[ba+(la*56|0)+8>>2]|0)|0)>(f[ia>>2]|0)){f[x>>2]=0;na=x+4|0;f[na>>2]=0;oa=YG(x,187)|0;Krc(oa|0,383536,187)|0;SQ(-215,x,383162,382610,1335)}else break}while(0);if((ma|0)>=(f[e>>2]|0)){pa=la;qa=ma;break}f[e>>2]=ma;pa=la;qa=ma}else{pa=1;qa=-1}while(0);if((ka|0)<0){ka=k+8|0;f[ka>>2]=0;f[ka+4>>2]=0;f[k>>2]=33882112;f[k+4>>2]=t;f[y>>2]=f[D>>2];f[y+4>>2]=f[E>>2];ka=Pxa(c,k,y,f[e>>2]|0,0,4,0,1)|0;f[e>>2]=ka}if((qa|0)<0){qa=k+8|0;f[qa>>2]=0;f[qa+4>>2]=0;f[k>>2]=33882112;f[k+4>>2]=v;f[z>>2]=f[D>>2];f[z+4>>2]=f[E>>2];qa=Pxa(d,k,z,f[e>>2]|0,0,4,0,1)|0;f[e>>2]=qa}qa=a+16|0;z=f[qa>>2]|0;d=a+20|0;if(!(z&1))ra=30;else{ka=f[d>>2]|0;y=(ka|0)>0?ka:0;ra=(y|0)<100?y:100}f[d>>2]=ra;ra=a+24|0;if(!(z&2))sa=.01;else{ta=+p[ra>>3];ua=ta<0.0?0.0:ta;sa=ua>10.0?10.0:ua}p[ra>>3]=sa*sa;f[w>>2]=1124007936;ra=w+4|0;z=w+8|0;d=w+40|0;L=ra;N=L+36|0;do{f[L>>2]=0;L=L+4|0}while((L|0)<(N|0));f[d>>2]=z;z=w+48|0;y=w+44|0;f[y>>2]=z;f[z>>2]=0;f[w+52>>2]=0;ka=(ja|0)==1;if(ka){c=f[t>>2]|0;ma=(f[D>>2]<<1)+(f[c+12>>2]|0)|0;la=f[c>>2]<<1&4080|11;f[k>>2]=(f[E>>2]<<1)+(f[c+8>>2]|0);f[k+4>>2]=ma;iP(w,2,k,la)}la=f[e>>2]|0;a:do if((la|0)>-1){ma=k+4|0;c=k+8|0;oa=k+40|0;na=k+48|0;H=k+44|0;ha=k+52|0;ia=w+16|0;ba=B+4|0;aa=B+8|0;_=B+12|0;fa=A+36|0;ga=k+36|0;Z=k+16|0;X=A+4|0;W=A+8|0;ca=A+12|0;V=k+12|0;$=A+44|0;va=A+16|0;wa=A+20|0;xa=k+20|0;ya=A+24|0;za=k+24|0;Aa=A+28|0;Ba=k+28|0;Ca=A+32|0;Da=k+32|0;Ea=A+40|0;Fa=A+48|0;Ga=A+8|0;Ha=A+12|0;Ia=A+4|0;Ja=B+8|0;Ka=B+4|0;La=x+36|0;Ma=x+16|0;Na=x+4|0;Oa=x+40|0;Pa=x+44|0;Qa=x+48|0;Ra=x+4|0;Sa=a+40|0;Ta=A+32|0;Ua=A+36|0;Va=A+40|0;Wa=A+4|0;Xa=A+12|0;Ya=A+8|0;Za=A+16|0;_a=A+20|0;$a=A+24|0;ab=A+28|0;bb=A+56|0;cb=A+60|0;db=A+64|0;eb=A+68|0;fb=la;while(1){f[k>>2]=1124007936;L=ma;N=L+36|0;do{f[L>>2]=0;L=L+4|0}while((L|0)<(N|0));f[oa>>2]=c;f[H>>2]=na;f[na>>2]=0;f[ha>>2]=0;gb=Y(fb,ja)|0;do if(ka){hb=f[(f[t>>2]|0)+(gb*56|0)+40>>2]|0;ib=f[hb+4>>2]|0;jb=f[hb>>2]|0;Ri(x,(f[E>>2]<<1)+jb|0,(f[D>>2]<<1)+ib|0,f[w>>2]&4095,f[ia>>2]|0,0);hb=f[E>>2]|0;f[B>>2]=f[D>>2];f[ba>>2]=hb;f[aa>>2]=ib;f[_>>2]=jb;pP(A,x,B);jb=f[fa>>2]|0;if(jb|0){ib=jb+12|0;f[ib>>2]=(f[ib>>2]|0)+1}ib=f[ga>>2]|0;do if(ib|0){jb=ib+12|0;hb=f[jb>>2]|0;f[jb>>2]=hb+-1;if((hb|0)!=1)break;lP(k)}while(0);f[ga>>2]=0;f[Z>>2]=0;f[Z+4>>2]=0;f[Z+8>>2]=0;f[Z+12>>2]=0;if((f[ma>>2]|0)>0){ib=f[oa>>2]|0;hb=0;do{f[ib+(hb<<2)>>2]=0;hb=hb+1|0;kb=f[ma>>2]|0}while((hb|0)<(kb|0));f[k>>2]=f[A>>2];if((kb|0)<3)da=123;else da=125}else{f[k>>2]=f[A>>2];da=123}do if((da|0)==123){da=0;hb=f[X>>2]|0;if((hb|0)>=3){da=125;break}f[ma>>2]=hb;f[c>>2]=f[W>>2];f[V>>2]=f[ca>>2];hb=f[$>>2]|0;ib=f[H>>2]|0;f[ib>>2]=f[hb>>2];f[ib+4>>2]=f[hb+4>>2]}while(0);if((da|0)==125){da=0;kP(k,A)}f[Z>>2]=f[va>>2];f[xa>>2]=f[wa>>2];f[za>>2]=f[ya>>2];f[Ba>>2]=f[Aa>>2];f[Da>>2]=f[Ca>>2];hb=f[fa>>2]|0;f[ga>>2]=hb;do if(hb|0){ib=hb+12|0;jb=f[ib>>2]|0;f[ib>>2]=jb+-1;if((jb|0)!=1)break;lP(A)}while(0);f[fa>>2]=0;f[va>>2]=0;f[va+4>>2]=0;f[va+8>>2]=0;f[va+12>>2]=0;if((f[X>>2]|0)>0){hb=f[Ea>>2]|0;jb=0;do{f[hb+(jb<<2)>>2]=0;jb=jb+1|0}while((jb|0)<(f[X>>2]|0))}jb=f[$>>2]|0;if((jb|0)!=(Fa|0))tE(jb);Qxa((f[t>>2]|0)+(gb*56|0)|0,k);f[Ga>>2]=0;f[Ha>>2]=0;f[A>>2]=16842752;f[Ia>>2]=k;jb=Ja;f[jb>>2]=0;f[jb+4>>2]=0;f[B>>2]=33619968;f[Ka>>2]=x;jb=f[E>>2]|0;hb=f[D>>2]|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;f[C+16>>2]=0;f[C+20>>2]=0;f[C+24>>2]=0;f[C+28>>2]=0;tT(A,B,jb,jb,hb,hb,16,C);hb=f[La>>2]|0;do if(hb|0){jb=hb+12|0;ib=f[jb>>2]|0;f[jb>>2]=ib+-1;if((ib|0)!=1)break;lP(x)}while(0);f[La>>2]=0;f[Ma>>2]=0;f[Ma+4>>2]=0;f[Ma+8>>2]=0;f[Ma+12>>2]=0;if((f[Na>>2]|0)>0){hb=f[Oa>>2]|0;ib=0;do{f[hb+(ib<<2)>>2]=0;ib=ib+1|0}while((ib|0)<(f[Na>>2]|0))}ib=f[Pa>>2]|0;if((ib|0)!=(Qa|0))tE(ib)}else{ib=gb+1|0;hb=f[t>>2]|0;jb=hb+(ib*56|0)|0;if((k|0)==(jb|0))break;lb=hb+(ib*56|0)+36|0;mb=f[lb>>2]|0;do if(mb|0){nb=mb+12|0;f[nb>>2]=(f[nb>>2]|0)+1;nb=f[ga>>2]|0;if(!nb)break;ob=nb+12|0;nb=f[ob>>2]|0;f[ob>>2]=nb+-1;if((nb|0)!=1)break;lP(k)}while(0);f[ga>>2]=0;f[Z>>2]=0;f[Z+4>>2]=0;f[Z+8>>2]=0;f[Z+12>>2]=0;if((f[ma>>2]|0)>0){mb=f[oa>>2]|0;nb=0;do{f[mb+(nb<<2)>>2]=0;nb=nb+1|0;pb=f[ma>>2]|0}while((nb|0)<(pb|0));f[k>>2]=f[jb>>2];if((pb|0)<3)da=153;else da=155}else{f[k>>2]=f[jb>>2];da=153}do if((da|0)==153){da=0;nb=f[hb+(ib*56|0)+4>>2]|0;if((nb|0)>=3){da=155;break}f[ma>>2]=nb;f[c>>2]=f[hb+(ib*56|0)+8>>2];f[V>>2]=f[hb+(ib*56|0)+12>>2];nb=f[hb+(ib*56|0)+44>>2]|0;mb=f[H>>2]|0;f[mb>>2]=f[nb>>2];f[mb+4>>2]=f[nb+4>>2]}while(0);if((da|0)==155){da=0;kP(k,jb)}f[Z>>2]=f[hb+(ib*56|0)+16>>2];f[xa>>2]=f[hb+(ib*56|0)+20>>2];f[za>>2]=f[hb+(ib*56|0)+24>>2];f[Ba>>2]=f[hb+(ib*56|0)+28>>2];f[Da>>2]=f[hb+(ib*56|0)+32>>2];f[ga>>2]=f[lb>>2]}while(0);nb=f[t>>2]|0;mb=f[nb+(gb*56|0)+40>>2]|0;ob=Y(fb,pa)|0;qb=f[v>>2]|0;rb=f[qb+(ob*56|0)+40>>2]|0;if(!((f[mb>>2]|0)==(f[rb>>2]|0)?(f[mb+4>>2]|0)==(f[rb+4>>2]|0):0)){da=158;break}if((f[qb+(ob*56|0)>>2]^f[nb+(gb*56|0)>>2])&4095|0){da=160;break}f[x>>2]=0;f[Ra>>2]=K;rb=f[D>>2]|0;mb=f[E>>2]|0;sb=f[e>>2]|0;tb=f[J>>2]|0;sa=+p[Sa>>3];f[A>>2]=108476;f[Wa>>2]=nb+(gb*56|0);f[Xa>>2]=k;f[Ya>>2]=qb+(ob*56|0);f[Za>>2]=o;f[_a>>2]=F;f[$a>>2]=R;f[ab>>2]=ea;f[Ta>>2]=rb;f[Ua>>2]=mb;f[Va>>2]=f[qa>>2];f[Va+4>>2]=f[qa+4>>2];f[Va+8>>2]=f[qa+8>>2];f[Va+12>>2]=f[qa+12>>2];f[bb>>2]=fb;f[cb>>2]=sb;f[db>>2]=tb;n[eb>>2]=sa;oU(x,A,-1.0);tb=f[ga>>2]|0;do if(tb|0){sb=tb+12|0;mb=f[sb>>2]|0;f[sb>>2]=mb+-1;if((mb|0)!=1)break;lP(k)}while(0);f[ga>>2]=0;f[Z>>2]=0;f[Z+4>>2]=0;f[Z+8>>2]=0;f[Z+12>>2]=0;if((f[ma>>2]|0)>0){tb=f[oa>>2]|0;gb=0;do{f[tb+(gb<<2)>>2]=0;gb=gb+1|0}while((gb|0)<(f[ma>>2]|0))}gb=f[H>>2]|0;if((gb|0)!=(na|0))tE(gb);if((fb|0)>0)fb=fb+-1|0;else break a}if((da|0)==158){f[x>>2]=0;f[x+4>>2]=0;L=YG(x,68)|0;M=383724;N=L+68|0;do{b[L>>0]=b[M>>0]|0;L=L+1|0;M=M+1|0}while((L|0)<(N|0));SQ(-215,x,383162,382610,1378)}else if((da|0)==160){f[x>>2]=0;f[x+4>>2]=0;L=YG(x,68)|0;M=383793;N=L+68|0;do{b[L>>0]=b[M>>0]|0;L=L+1|0;M=M+1|0}while((L|0)<(N|0));SQ(-215,x,383162,382610,1379)}}while(0);x=w+36|0;M=f[x>>2]|0;do if(M|0){L=M+12|0;N=f[L>>2]|0;f[L>>2]=N+-1;if((N|0)!=1)break;lP(w)}while(0);f[x>>2]=0;x=w+16|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[ra>>2]|0)>0){x=f[d>>2]|0;d=0;do{f[x+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[ra>>2]|0))}ra=f[y>>2]|0;if((ra|0)!=(z|0))tE(ra);rt(v);rt(t);t=s+36|0;v=f[t>>2]|0;do if(v|0){ra=v+12|0;z=f[ra>>2]|0;f[ra>>2]=z+-1;if((z|0)!=1)break;lP(s)}while(0);f[t>>2]=0;t=s+16|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[O>>2]|0)>0){t=f[P>>2]|0;P=0;do{f[t+(P<<2)>>2]=0;P=P+1|0}while((P|0)<(f[O>>2]|0))}O=f[S>>2]|0;if((O|0)!=(Q|0))tE(O);O=r+36|0;Q=f[O>>2]|0;do if(Q|0){S=Q+12|0;P=f[S>>2]|0;f[S>>2]=P+-1;if((P|0)!=1)break;lP(r)}while(0);f[O>>2]=0;O=r+4|0;f[T>>2]=0;f[T+4>>2]=0;f[T+8>>2]=0;f[T+12>>2]=0;if((f[O>>2]|0)>0){T=f[r+40>>2]|0;Q=0;do{f[T+(Q<<2)>>2]=0;Q=Q+1|0}while((Q|0)<(f[O>>2]|0))}O=f[U>>2]|0;if((O|0)!=(r+48|0))tE(O);O=q+36|0;r=f[O>>2]|0;do if(r|0){U=r+12|0;Q=f[U>>2]|0;f[U>>2]=Q+-1;if((Q|0)!=1)break;lP(q)}while(0);f[O>>2]=0;O=q+4|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[O>>2]|0)>0){G=f[q+40>>2]|0;r=0;do{f[G+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[O>>2]|0))}O=f[I>>2]|0;if((O|0)!=(q+48|0))tE(O)}else{GD(g);GD(h);GD(i)}i=m+36|0;h=f[i>>2]|0;if(h|0?(g=h+12|0,h=f[g>>2]|0,f[g>>2]=h+-1,(h|0)==1):0)lP(m);f[i>>2]=0;i=m+16|0;h=m+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[h>>2]|0)>0){i=f[m+40>>2]|0;g=0;do{f[i+(g<<2)>>2]=0;g=g+1|0}while((g|0)<(f[h>>2]|0))}h=f[m+44>>2]|0;if((h|0)!=(m+48|0))tE(h);if(!(f[l+4>>2]|0)){u=j;return}u=j;return}function Vxa(a,b){a=a|0;b=b|0;f[a>>2]=f[b+4>>2];f[a+4>>2]=f[b+8>>2];return}function Wxa(a,b){a=a|0;b=b|0;f[a+4>>2]=f[b>>2];f[a+8>>2]=f[b+4>>2];return}function Xxa(a){a=a|0;return f[a+12>>2]|0}function Yxa(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function Zxa(a,b){a=a|0;b=b|0;var c=0;c=b+16|0;f[a>>2]=f[c>>2];f[a+4>>2]=f[c+4>>2];f[a+8>>2]=f[c+8>>2];f[a+12>>2]=f[c+12>>2];return}function _xa(a,b){a=a|0;b=b|0;var c=0;c=a+16|0;f[c>>2]=f[b>>2];f[c+4>>2]=f[b+4>>2];f[c+8>>2]=f[b+8>>2];f[c+12>>2]=f[b+12>>2];return}function $xa(a){a=a|0;return f[a+32>>2]|0}function aya(a,b){a=a|0;b=b|0;f[a+32>>2]=b;return}function bya(a){a=a|0;return +(+p[a+40>>3])}function cya(a,b){a=a|0;b=+b;p[a+40>>3]=b;return}function dya(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=+l;var m=0,n=0,o=0,q=0.0;m=f[h>>2]|0;n=f[h+4>>2]|0;h=f[j>>2]|0;o=f[j+4>>2]|0;q=+p[j+8>>3];j=Bmc(48)|0;cY(j);f[j>>2]=108536;f[j+4>>2]=m;f[j+8>>2]=n;f[j+12>>2]=i;f[j+16>>2]=h;f[j+20>>2]=o;p[j+24>>3]=q;f[j+32>>2]=k;p[j+40>>3]=l;k=Bmc(16)|0;o=k+4|0;f[o>>2]=1;f[k>>2]=108620;f[k+8>>2]=j;f[o>>2]=(f[o>>2]|0)+1;h=f[o>>2]|0;f[o>>2]=h+-1;if((h|0)==1)ai[f[(f[k>>2]|0)+8>>2]&2047](k);Oh[f[(f[j>>2]|0)+32>>2]&127](j,a,b,c,d,e,g);g=f[o>>2]|0;f[o>>2]=g+-1;if((g|0)!=1)return;ai[f[(f[k>>2]|0)+8>>2]&2047](k);return}function eya(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;fya(a,b,c,d,500,.5,3);return}function fya(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;var j=0,k=0,l=0,m=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0.0,ga=0,ha=0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0.0,hb=0.0,ib=0.0,jb=0.0,kb=0.0,lb=0.0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0.0,vb=0,wb=0,xb=0;j=u;u=u+672|0;k=j+16|0;l=j+656|0;m=j+600|0;o=j+544|0;q=j+488|0;r=j+472|0;t=j+460|0;v=j+448|0;w=j+376|0;x=j+392|0;y=j+320|0;z=j+232|0;A=j+176|0;B=j+152|0;C=j+136|0;D=j+312|0;E=j+304|0;F=j+296|0;G=j+288|0;H=j+72|0;I=j+168|0;K=j;N=j+124|0;O=j+112|0;P=j+100|0;Q=j+88|0;zT(l,108652);f[m>>2]=1124007936;R=m+4|0;S=m+8|0;T=m+40|0;U=R;V=U+36|0;do{f[U>>2]=0;U=U+4|0}while((U|0)<(V|0));f[T>>2]=S;W=m+48|0;X=m+44|0;f[X>>2]=W;f[W>>2]=0;f[m+52>>2]=0;f[k>>2]=2;f[k+4>>2]=3;iP(m,2,k,6);do if((pD(c)|0)==65536){Y=f[c+4>>2]|0;f[o>>2]=f[Y>>2];Z=o+4|0;_=Y+4|0;f[Z>>2]=f[_>>2];$=o+8|0;f[$>>2]=f[Y+8>>2];f[o+12>>2]=f[Y+12>>2];f[o+16>>2]=f[Y+16>>2];f[o+20>>2]=f[Y+20>>2];f[o+24>>2]=f[Y+24>>2];f[o+28>>2]=f[Y+28>>2];f[o+32>>2]=f[Y+32>>2];aa=f[Y+36>>2]|0;f[o+36>>2]=aa;f[o+40>>2]=$;$=o+48|0;ba=o+44|0;f[ba>>2]=$;f[$>>2]=0;f[o+52>>2]=0;if(aa|0){$=aa+12|0;f[$>>2]=(f[$>>2]|0)+1}if((f[_>>2]|0)<3){_=f[Y+44>>2]|0;$=f[ba>>2]|0;f[$>>2]=f[_>>2];f[$+4>>2]=f[_+4>>2];break}else{f[Z>>2]=0;kP(o,Y);break}}else lD(o,c,-1);while(0);do if((pD(d)|0)==65536){c=f[d+4>>2]|0;f[q>>2]=f[c>>2];Y=q+4|0;Z=c+4|0;f[Y>>2]=f[Z>>2];_=q+8|0;f[_>>2]=f[c+8>>2];f[q+12>>2]=f[c+12>>2];f[q+16>>2]=f[c+16>>2];f[q+20>>2]=f[c+20>>2];f[q+24>>2]=f[c+24>>2];f[q+28>>2]=f[c+28>>2];f[q+32>>2]=f[c+32>>2];$=f[c+36>>2]|0;f[q+36>>2]=$;f[q+40>>2]=_;_=q+48|0;ba=q+44|0;f[ba>>2]=_;f[_>>2]=0;f[q+52>>2]=0;if($|0){_=$+12|0;f[_>>2]=(f[_>>2]|0)+1}if((f[Z>>2]|0)<3){Z=f[c+44>>2]|0;_=f[ba>>2]|0;f[_>>2]=f[Z>>2];f[_+4>>2]=f[Z+4>>2];break}else{f[Y>>2]=0;kP(q,c);break}}else lD(q,d,-1);while(0);f[r>>2]=0;d=r+4|0;f[d>>2]=0;f[r+8>>2]=0;f[t>>2]=0;c=t+4|0;f[c>>2]=0;f[t+8>>2]=0;f[v>>2]=0;Y=v+4|0;f[Y>>2]=0;f[v+8>>2]=0;f[w>>2]=0;Z=w+4|0;f[Z>>2]=0;f[w+8>>2]=0;if((i|0)<3){f[k>>2]=0;f[k+4>>2]=0;U=YG(k,44)|0;ca=384118;V=U+44|0;do{b[U>>0]=b[ca>>0]|0;U=U+1|0;ca=ca+1|0}while((U|0)<(V|0));SQ(-5,k,384163,382610,1516)}if(h>1.0|h<0.0){f[k>>2]=0;f[k+4>>2]=0;U=YG(k,49)|0;ca=384186;V=U+49|0;do{b[U>>0]=b[ca>>0]|0;U=U+1|0;ca=ca+1|0}while((U|0)<(V|0));SQ(-5,k,384163,382610,1519)}_=o+40|0;ba=f[_>>2]|0;$=q+40|0;aa=f[$>>2]|0;if((f[ba>>2]|0)!=(f[aa>>2]|0)?1:(f[ba+4>>2]|0)!=(f[aa+4>>2]|0)){f[k>>2]=0;f[k+4>>2]=0;U=YG(k,41)|0;ca=384236;V=U+41|0;do{b[U>>0]=b[ca>>0]|0;U=U+1|0;ca=ca+1|0}while((U|0)<(V|0));SQ(-209,k,384163,382610,1522)}if((f[q>>2]^f[o>>2])&4095|0){f[k>>2]=0;f[k+4>>2]=0;U=YG(k,46)|0;ca=384522;V=U+46|0;do{b[U>>0]=b[ca>>0]|0;U=U+1|0;ca=ca+1|0}while((U|0)<(V|0));SQ(-205,k,384163,382610,1525)}aa=BP(o,2,-1,1)|0;do if((aa|0)>0){xP(x,o,2,aa);ba=k+8|0;f[ba>>2]=0;f[ba+4>>2]=0;f[k>>2]=-2113732595;f[k+4>>2]=r;IO(x,k,5,1.0,0.0);ba=x+36|0;da=f[ba>>2]|0;if(da|0?(ea=da+12|0,da=f[ea>>2]|0,f[ea>>2]=da+-1,(da|0)==1):0)lP(x);f[ba>>2]=0;ba=x+16|0;da=x+4|0;f[ba>>2]=0;f[ba+4>>2]=0;f[ba+8>>2]=0;f[ba+12>>2]=0;if((f[da>>2]|0)>0){ba=f[x+40>>2]|0;ea=0;do{f[ba+(ea<<2)>>2]=0;ea=ea+1|0}while((ea|0)<(f[da>>2]|0))}da=f[x+44>>2]|0;if((da|0)!=(x+48|0))tE(da);xP(y,q,2,aa);da=k+8|0;f[da>>2]=0;f[da+4>>2]=0;f[k>>2]=-2113732595;f[k+4>>2]=t;IO(y,k,5,1.0,0.0);da=y+36|0;ea=f[da>>2]|0;if(ea|0?(ba=ea+12|0,ea=f[ba>>2]|0,f[ba>>2]=ea+-1,(ea|0)==1):0)lP(y);f[da>>2]=0;da=y+16|0;ea=y+4|0;f[da>>2]=0;f[da+4>>2]=0;f[da+8>>2]=0;f[da+12>>2]=0;if((f[ea>>2]|0)>0){da=f[y+40>>2]|0;ba=0;do{f[da+(ba<<2)>>2]=0;ba=ba+1|0}while((ba|0)<(f[ea>>2]|0))}ea=f[y+44>>2]|0;if((ea|0)==(y+48|0)){fa=1.0;ga=aa}else{tE(ea);fa=1.0;ga=aa}}else{ea=f[o>>2]|0;if(ea&7|0){f[k>>2]=0;f[k+4>>2]=0;U=YG(k,52)|0;ca=384308;V=U+52|0;do{b[U>>0]=b[ca>>0]|0;U=U+1|0;ca=ca+1|0}while((U|0)<(V|0));SQ(-210,k,384163,382610,1605)}ba=ea>>>3;switch(ba&511){case 0:case 2:case 3:break;default:{f[k>>2]=0;f[k+4>>2]=0;U=YG(k,29)|0;ca=384278;V=U+29|0;do{b[U>>0]=b[ca>>0]|0;U=U+1|0;ca=ca+1|0}while((U|0)<(V|0));SQ(-215,k,384163,382610,1537)}}ea=f[_>>2]|0;da=f[ea+4>>2]|0;ha=f[ea>>2]|0;ia=+(da|0);ja=160.0/ia;ka=+(ha|0);la=120.0/ka;ma=ja<la?la:ja;ja=ma>1.0?ma:1.0;ea=V9b(ia*ja)|0;na=V9b(ka*ja)|0;oa=(ba&511|0)!=0;if(oa|((ea|0)!=(da|0)|(na|0)!=(ha|0))){f[k>>2]=1124007936;ha=k+4|0;da=k+8|0;pa=k+40|0;U=ha;V=U+36|0;do{f[U>>2]=0;U=U+4|0}while((U|0)<(V|0));f[pa>>2]=da;ba=k+48|0;qa=k+44|0;f[qa>>2]=ba;f[ba>>2]=0;f[k+52>>2]=0;f[z>>2]=1124007936;ra=z+4|0;sa=z+8|0;ta=z+40|0;U=ra;V=U+36|0;do{f[U>>2]=0;U=U+4|0}while((U|0)<(V|0));f[ta>>2]=sa;ua=z+48|0;va=z+44|0;f[va>>2]=ua;f[ua>>2]=0;f[z+52>>2]=0;if(oa){f[A>>2]=1124007936;wa=A+4|0;xa=A+8|0;ya=A+40|0;U=wa;V=U+36|0;do{f[U>>2]=0;U=U+4|0}while((U|0)<(V|0));f[ya>>2]=xa;oa=A+48|0;za=A+44|0;f[za>>2]=oa;f[oa>>2]=0;f[A+52>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;f[B>>2]=16842752;f[B+4>>2]=o;Aa=C+8|0;f[Aa>>2]=0;f[Aa+4>>2]=0;f[C>>2]=33619968;f[C+4>>2]=A;g1(B,C,6,0);f[B+8>>2]=0;f[B+12>>2]=0;f[B>>2]=16842752;f[B+4>>2]=A;Aa=C+8|0;f[Aa>>2]=0;f[Aa+4>>2]=0;f[C>>2]=33619968;f[C+4>>2]=k;f[D>>2]=ea;f[D+4>>2]=na;wma(B,C,D,0.0,0.0,3);f[B+8>>2]=0;f[B+12>>2]=0;f[B>>2]=16842752;f[B+4>>2]=q;Aa=C+8|0;f[Aa>>2]=0;f[Aa+4>>2]=0;f[C>>2]=33619968;f[C+4>>2]=A;g1(B,C,6,0);f[B+8>>2]=0;f[B+12>>2]=0;f[B>>2]=16842752;f[B+4>>2]=A;Aa=C+8|0;f[Aa>>2]=0;f[Aa+4>>2]=0;f[C>>2]=33619968;f[C+4>>2]=z;f[E>>2]=ea;f[E+4>>2]=na;wma(B,C,E,0.0,0.0,3);Aa=A+36|0;Ba=f[Aa>>2]|0;if(Ba|0?(Ca=Ba+12|0,Ba=f[Ca>>2]|0,f[Ca>>2]=Ba+-1,(Ba|0)==1):0)lP(A);f[Aa>>2]=0;Aa=A+16|0;f[Aa>>2]=0;f[Aa+4>>2]=0;f[Aa+8>>2]=0;f[Aa+12>>2]=0;if((f[wa>>2]|0)>0){Aa=f[ya>>2]|0;Ba=0;do{f[Aa+(Ba<<2)>>2]=0;Ba=Ba+1|0}while((Ba|0)<(f[wa>>2]|0))}wa=f[za>>2]|0;if((wa|0)!=(oa|0))tE(wa)}else{f[A+8>>2]=0;f[A+12>>2]=0;f[A>>2]=16842752;f[A+4>>2]=o;wa=B+8|0;f[wa>>2]=0;f[wa+4>>2]=0;f[B>>2]=33619968;f[B+4>>2]=k;f[F>>2]=ea;f[F+4>>2]=na;wma(A,B,F,0.0,0.0,3);f[A+8>>2]=0;f[A+12>>2]=0;f[A>>2]=16842752;f[A+4>>2]=q;wa=B+8|0;f[wa>>2]=0;f[wa+4>>2]=0;f[B>>2]=33619968;f[B+4>>2]=z;f[G>>2]=ea;f[G+4>>2]=na;wma(A,B,G,0.0,0.0,3)}wa=k+36|0;Ba=f[wa>>2]|0;if(Ba|0){Aa=Ba+12|0;f[Aa>>2]=(f[Aa>>2]|0)+1}Aa=o+36|0;Ba=f[Aa>>2]|0;if(Ba|0?(ya=Ba+12|0,Ba=f[ya>>2]|0,f[ya>>2]=Ba+-1,(Ba|0)==1):0)lP(o);f[Aa>>2]=0;Ba=o+16|0;ya=o+4|0;f[Ba>>2]=0;f[Ba+4>>2]=0;f[Ba+8>>2]=0;f[Ba+12>>2]=0;if((f[ya>>2]|0)>0){xa=f[_>>2]|0;Ca=0;do{f[xa+(Ca<<2)>>2]=0;Ca=Ca+1|0;Da=f[ya>>2]|0}while((Ca|0)<(Da|0));f[o>>2]=f[k>>2];if((Da|0)<3)Ea=65;else Ea=67}else{f[o>>2]=f[k>>2];Ea=65}if((Ea|0)==65){Ca=f[ha>>2]|0;if((Ca|0)<3){f[ya>>2]=Ca;f[o+8>>2]=f[da>>2];f[o+12>>2]=f[k+12>>2];Ca=f[qa>>2]|0;xa=f[o+44>>2]|0;f[xa>>2]=f[Ca>>2];f[xa+4>>2]=f[Ca+4>>2]}else Ea=67}if((Ea|0)==67)kP(o,k);Ca=k+16|0;f[Ba>>2]=f[Ca>>2];f[o+20>>2]=f[k+20>>2];f[o+24>>2]=f[k+24>>2];f[o+28>>2]=f[k+28>>2];f[o+32>>2]=f[k+32>>2];f[Aa>>2]=f[wa>>2];xa=z+36|0;oa=f[xa>>2]|0;if(oa|0){za=oa+12|0;f[za>>2]=(f[za>>2]|0)+1}za=q+36|0;oa=f[za>>2]|0;if(oa|0?(Fa=oa+12|0,oa=f[Fa>>2]|0,f[Fa>>2]=oa+-1,(oa|0)==1):0)lP(q);f[za>>2]=0;oa=q+16|0;Fa=q+4|0;f[oa>>2]=0;f[oa+4>>2]=0;f[oa+8>>2]=0;f[oa+12>>2]=0;if((f[Fa>>2]|0)>0){Ga=f[$>>2]|0;Ha=0;do{f[Ga+(Ha<<2)>>2]=0;Ha=Ha+1|0;Ia=f[Fa>>2]|0}while((Ha|0)<(Ia|0));f[q>>2]=f[z>>2];if((Ia|0)<3)Ea=78;else Ea=80}else{f[q>>2]=f[z>>2];Ea=78}if((Ea|0)==78){Ha=f[ra>>2]|0;if((Ha|0)<3){f[Fa>>2]=Ha;f[q+8>>2]=f[sa>>2];f[q+12>>2]=f[z+12>>2];Ha=f[va>>2]|0;Ga=f[q+44>>2]|0;f[Ga>>2]=f[Ha>>2];f[Ga+4>>2]=f[Ha+4>>2]}else Ea=80}if((Ea|0)==80)kP(q,z);Ha=z+16|0;f[oa>>2]=f[Ha>>2];f[q+20>>2]=f[z+20>>2];f[q+24>>2]=f[z+24>>2];f[q+28>>2]=f[z+28>>2];f[q+32>>2]=f[z+32>>2];Ga=f[xa>>2]|0;f[za>>2]=Ga;do if(Ga|0){Aa=Ga+12|0;Ba=f[Aa>>2]|0;f[Aa>>2]=Ba+-1;if((Ba|0)!=1)break;lP(z)}while(0);f[xa>>2]=0;f[Ha>>2]=0;f[Ha+4>>2]=0;f[Ha+8>>2]=0;f[Ha+12>>2]=0;if((f[ra>>2]|0)>0){Ga=f[ta>>2]|0;za=0;do{f[Ga+(za<<2)>>2]=0;za=za+1|0}while((za|0)<(f[ra>>2]|0))}ra=f[va>>2]|0;if((ra|0)!=(ua|0))tE(ra);ra=f[wa>>2]|0;do if(ra|0){za=ra+12|0;Ga=f[za>>2]|0;f[za>>2]=Ga+-1;if((Ga|0)!=1)break;lP(k)}while(0);f[wa>>2]=0;f[Ca>>2]=0;f[Ca+4>>2]=0;f[Ca+8>>2]=0;f[Ca+12>>2]=0;if((f[ha>>2]|0)>0){ra=f[pa>>2]|0;ua=0;do{f[ra+(ua<<2)>>2]=0;ua=ua+1|0}while((ua|0)<(f[ha>>2]|0))}ha=f[qa>>2]|0;if((ha|0)!=(ba|0))tE(ha)}ha=V9b(+(ea|0)*15.0/+(na|0))|0;ua=ha*15|0;ra=f[d>>2]|0;pa=f[r>>2]|0;Ca=ra-pa>>3;wa=pa;pa=ra;if(ua>>>0<=Ca>>>0){if(ua>>>0<Ca>>>0?(ra=wa+(ua<<3)|0,(pa|0)!=(ra|0)):0)f[d>>2]=pa+(~((pa+-8-ra|0)>>>3)<<3)}else IQ(r,ua-Ca|0);Ca=f[c>>2]|0;ra=f[t>>2]|0;pa=Ca-ra>>3;wa=ra;ra=Ca;if(ua>>>0<=pa>>>0){if(ua>>>0<pa>>>0?(Ca=wa+(ua<<3)|0,(ra|0)!=(Ca|0)):0)f[c>>2]=ra+(~((ra+-8-Ca|0)>>>3)<<3)}else IQ(t,ua-pa|0);pa=f[Z>>2]|0;Ca=f[w>>2]|0;ra=pa-Ca|0;wa=Ca;Ca=pa;if(ua>>>0<=ra>>>0){if(ua>>>0<ra>>>0?(pa=wa+ua|0,(Ca|0)!=(pa|0)):0)f[Z>>2]=pa}else KD(w,ua-ra|0);ra=(ha|0)>0;ka=+(ea|0);ia=+(ha|0);pa=f[r>>2]|0;ma=+(na|0);if(ra){Ca=0;wa=0;while(1){la=ma*(+(Ca|0)+.5)/15.0;va=0;Ga=wa;while(1){n[pa+(Ga<<3)>>2]=ka*(+(va|0)+.5)/ia;n[pa+(Ga<<3)+4>>2]=la;va=va+1|0;if((va|0)==(ha|0))break;else Ga=Ga+1|0}Ca=Ca+1|0;if((Ca|0)==15)break;else wa=ha+wa|0}}f[z+8>>2]=0;f[z+12>>2]=0;f[z>>2]=16842752;f[z+4>>2]=o;f[A+8>>2]=0;f[A+12>>2]=0;f[A>>2]=16842752;f[A+4>>2]=q;f[B+8>>2]=0;f[B+12>>2]=0;f[B>>2]=-2130509811;f[B+4>>2]=r;wa=C+8|0;f[wa>>2]=0;f[wa+4>>2]=0;f[C>>2]=-2096955379;f[C+4>>2]=t;wa=H+8|0;f[wa>>2]=0;f[wa+4>>2]=0;f[H>>2]=-2113732608;f[H+4>>2]=w;wa=rE()|0;f[I>>2]=21;f[I+4>>2]=21;f[K>>2]=1;f[K+4>>2]=40;p[K+8>>3]=.1;f[k>>2]=f[K>>2];f[k+4>>2]=f[K+4>>2];f[k+8>>2]=f[K+8>>2];f[k+12>>2]=f[K+12>>2];dya(z,A,B,C,H,wa,I,3,k,0,.0001);if(ra){wa=f[w>>2]|0;ha=0;Ca=0;while(1){if(!(b[wa+ha>>0]|0))Ja=Ca;else{if((ha|0)>(Ca|0)){pa=f[r>>2]|0;f[pa+(Ca<<3)>>2]=f[pa+(ha<<3)>>2];f[pa+(Ca<<3)+4>>2]=f[pa+(ha<<3)+4>>2];pa=f[t>>2]|0;f[pa+(Ca<<3)>>2]=f[pa+(ha<<3)>>2];f[pa+(Ca<<3)+4>>2]=f[pa+(ha<<3)+4>>2]}Ja=Ca+1|0}ha=ha+1|0;if((ha|0)>=(ua|0)){Ka=Ja;break}else Ca=Ja}}else Ka=0;Ca=f[d>>2]|0;ua=f[r>>2]|0;ha=Ca-ua>>3;wa=ua;ua=Ca;if(Ka>>>0<=ha>>>0){if(Ka>>>0<ha>>>0?(Ca=wa+(Ka<<3)|0,(ua|0)!=(Ca|0)):0)f[d>>2]=ua+(~((ua+-8-Ca|0)>>>3)<<3)}else IQ(r,Ka-ha|0);ha=f[c>>2]|0;Ca=f[t>>2]|0;ua=ha-Ca>>3;wa=ha;if(Ka>>>0>ua>>>0){IQ(t,Ka-ua|0);fa=ja;ga=Ka;break}if(Ka>>>0<ua>>>0?(ua=Ca+(Ka<<3)|0,(wa|0)!=(ua|0)):0){f[c>>2]=wa+(~((wa+-8-ua|0)>>>3)<<3);fa=ja;ga=Ka}else{fa=ja;ga=Ka}}while(0);Ka=f[Y>>2]|0;Ja=f[v>>2]|0;I=Ka-Ja>>2;H=Ja;Ja=Ka;if(ga>>>0<=I>>>0){if(ga>>>0<I>>>0?(Ka=H+(ga<<2)|0,(Ja|0)!=(Ka|0)):0)f[Y>>2]=Ja+(~((Ja+-4-Ka|0)>>>2)<<2)}else $C(v,ga-I|0);if((ga|0)>=(i|0)){f[z+8>>2]=0;f[z+12>>2]=0;f[z>>2]=-2130509811;f[z+4>>2]=t;Wha(k,z);f[z>>2]=0;I=z+4|0;f[I>>2]=0;f[z+8>>2]=0;Ka=(i|0)==0;do if(!Ka)if(i>>>0>536870911)Ukc(z);else{Ja=i<<3;H=Bmc(Ja)|0;f[z>>2]=H;C=H+(i<<3)|0;f[z+8>>2]=C;Drc(H|0,0,Ja|0)|0;f[I>>2]=C;break}while(0);f[A>>2]=0;C=A+4|0;f[C>>2]=0;f[A+8>>2]=0;if(!Ka){Ja=i<<3;H=Bmc(Ja)|0;f[A>>2]=H;K=H+(i<<3)|0;f[A+8>>2]=K;Drc(H|0,0,Ja|0)|0;f[C>>2]=K}a:do if((g|0)>0){K=B+4|0;Ja=B+8|0;H=i<<2;Ia=B+8|0;Da=(i|0)>0;G=m+16|0;F=(ga|0)>0;ia=+(ga|0)*h;E=k+8|0;D=k+12|0;ca=N+4|0;aa=O+4|0;y=(ga|0)==0;x=0;ua=0;wa=-1;Ca=-1;while(1){f[B>>2]=0;f[K>>2]=0;f[Ja>>2]=0;if(Ka){La=0;Ma=0}else{ha=Bmc(H)|0;f[B>>2]=ha;ra=ha+(i<<2)|0;f[Ia>>2]=ra;Drc(ha|0,0,H|0)|0;f[K>>2]=ra;La=ha;Ma=ha}b:do if(Da){ha=f[r>>2]|0;ra=f[z>>2]|0;pa=ra+4|0;na=Ma+4|0;ea=ra+8|0;ba=ra+12|0;qa=Ma+8|0;Ga=ra+16|0;va=ra+20|0;za=f[t>>2]|0;ta=f[A>>2]|0;Ha=ta+4|0;xa=Ma+4|0;oa=ta+8|0;sa=ta+12|0;Fa=Ma+8|0;Ba=ta+16|0;Aa=ta+20|0;da=ra+8|0;ya=ra+16|0;Na=0;Oa=wa;Pa=Ca;while(1){Qa=Ma+(Na<<2)|0;Ra=(Na|0)>0;Sa=Na;Na=Na+1|0;Ta=(Na|0)==(i|0);Ua=Ma+(Sa<<2)|0;Va=0;Wa=Oa;Xa=Pa;c:while(1){Ya=Urc(Wa|0,0,-130063606,0)|0;Za=Arc(Ya|0,J|0,Xa|0,0)|0;if(y){_a=Wa;$a=Xa;ab=0}else{_a=Za;$a=J;ab=(Za>>>0)%(ga>>>0)|0}f[Qa>>2]=ab;d:do if(Ra){Za=f[Ua>>2]|0;Ya=ha+(Za<<3)|0;bb=ha+(Za<<3)+4|0;cb=za+(Za<<3)|0;db=za+(Za<<3)+4|0;eb=0;while(1){fb=f[Ma+(eb<<2)>>2]|0;if((fb|0)==(Za|0))break d;ka=+L(+(+n[Ya>>2]-+n[ha+(fb<<3)>>2]));if(ka+ +L(+(+n[bb>>2]-+n[ha+(fb<<3)+4>>2]))<1.1920928955078125e-07)break d;ka=+L(+(+n[cb>>2]-+n[za+(fb<<3)>>2]));eb=eb+1|0;if(ka+ +L(+(+n[db>>2]-+n[za+(fb<<3)+4>>2]))<1.1920928955078125e-07)break d;if((eb|0)>=(Sa|0)){Ea=165;break}}}else Ea=165;while(0);do if((Ea|0)==165){Ea=0;if(!Ta)break c;eb=f[Ma>>2]|0;f[ra>>2]=f[ha+(eb<<3)>>2];f[pa>>2]=f[ha+(eb<<3)+4>>2];eb=f[na>>2]|0;f[ea>>2]=f[ha+(eb<<3)>>2];f[ba>>2]=f[ha+(eb<<3)+4>>2];eb=f[qa>>2]|0;f[Ga>>2]=f[ha+(eb<<3)>>2];f[va>>2]=f[ha+(eb<<3)+4>>2];eb=f[Ma>>2]|0;db=f[za+(eb<<3)>>2]|0;f[ta>>2]=db;cb=f[za+(eb<<3)+4>>2]|0;f[Ha>>2]=cb;eb=f[xa>>2]|0;bb=f[za+(eb<<3)>>2]|0;f[oa>>2]=bb;Ya=f[za+(eb<<3)+4>>2]|0;f[sa>>2]=Ya;eb=f[Fa>>2]|0;Za=f[za+(eb<<3)>>2]|0;f[Ba>>2]=Za;fb=f[za+(eb<<3)+4>>2]|0;f[Aa>>2]=fb;ka=+n[ra>>2];ma=+n[da>>2]-ka;la=+n[pa>>2];gb=+n[ba>>2]-la;hb=+n[ya>>2]-ka;ka=+n[va>>2]-la;la=(f[s>>2]=bb,+n[s>>2]);ib=(f[s>>2]=db,+n[s>>2]);jb=la-ib;la=(f[s>>2]=Ya,+n[s>>2]);kb=(f[s>>2]=cb,+n[s>>2]);lb=la-kb;la=(f[s>>2]=Za,+n[s>>2])-ib;ib=(f[s>>2]=fb,+n[s>>2])-kb;if(+L(+(ma*ka-gb*hb))<+M(+(ma*ma+gb*gb))*.01*+M(+(hb*hb+ka*ka)))break;if(!(+L(+(jb*ib-lb*la))<+M(+(jb*jb+lb*lb))*.01*+M(+(la*la+ib*ib))))break c}while(0);Va=Va+1|0;if((Va|0)>=(g|0)){mb=15;nb=x;ob=_a;pb=$a;qb=Ma;rb=La;break b}else{Wa=_a;Xa=$a}}if((Na|0)>=(i|0)){sb=_a;tb=$a;Ea=169;break}else{Oa=_a;Pa=$a}}}else{sb=wa;tb=Ca;Ea=169}while(0);if((Ea|0)==169){Ea=0;gya(N,z);gya(O,A);hya(N,O,3,m,e);Pa=f[O>>2]|0;if(Pa|0){Oa=f[aa>>2]|0;if((Oa|0)!=(Pa|0))f[aa>>2]=Oa+(~((Oa+-8-Pa|0)>>>3)<<3);Emc(Pa)}Pa=f[N>>2]|0;if(Pa|0){Oa=f[ca>>2]|0;if((Oa|0)!=(Pa|0))f[ca>>2]=Oa+(~((Oa+-8-Pa|0)>>>3)<<3);Emc(Pa)}Pa=f[G>>2]|0;if(F){Oa=f[r>>2]|0;ib=+p[Pa+16>>3];Na=f[t>>2]|0;la=+p[Pa+24>>3];lb=+p[Pa+32>>3];jb=+p[Pa+40>>3];va=f[v>>2]|0;ka=+p[Pa>>3];hb=+p[Pa+8>>3];Pa=0;ya=0;while(1){gb=+n[Oa+(ya<<3)>>2];ma=+n[Oa+(ya<<3)+4>>2];kb=+L(+(ib+(ka*gb+hb*ma)-+n[Na+(ya<<3)>>2]));ub=+L(+(jb+(gb*la+ma*lb)-+n[Na+(ya<<3)+4>>2]));ba=f[E>>2]|0;pa=f[D>>2]|0;if(kb+ub<+(((ba|0)<(pa|0)?pa:ba)|0)*.05){f[va+(Pa<<2)>>2]=ya;vb=Pa+1|0}else vb=Pa;ya=ya+1|0;if((ya|0)==(ga|0)){wb=vb;break}else Pa=vb}}else wb=0;Pa=f[B>>2]|0;mb=!(+(wb|0)>=ia)?0:13;nb=wb;ob=sb;pb=tb;qb=Pa;rb=Pa}if(qb|0){Pa=f[K>>2]|0;if((Pa|0)!=(qb|0))f[K>>2]=Pa+(~((Pa+-4-qb|0)>>>2)<<2);Emc(rb)}ua=ua+1|0;if((mb|0)==13)break;if((ua|0)>=(g|0)){Ea=188;break a}else{x=nb;wa=ob;Ca=pb}}if((nb|0)<(ga|0)&(nb|0)>0){Ca=f[v>>2]|0;wa=f[r>>2]|0;x=f[t>>2]|0;ua=0;do{K=f[Ca+(ua<<2)>>2]|0;f[wa+(ua<<3)>>2]=f[wa+(K<<3)>>2];f[wa+(ua<<3)+4>>2]=f[wa+(K<<3)+4>>2];f[x+(ua<<3)>>2]=f[x+(K<<3)>>2];f[x+(ua<<3)+4>>2]=f[x+(K<<3)+4>>2];ua=ua+1|0}while((ua|0)!=(nb|0))}gya(P,r);gya(Q,t);hya(P,Q,nb,m,e);ua=f[Q>>2]|0;if(ua|0){x=Q+4|0;wa=f[x>>2]|0;if((wa|0)!=(ua|0))f[x>>2]=wa+(~((wa+-8-ua|0)>>>3)<<3);Emc(ua)}ua=f[P>>2]|0;if(ua|0){wa=P+4|0;x=f[wa>>2]|0;if((x|0)!=(ua|0))f[wa>>2]=x+(~((x+-8-ua|0)>>>3)<<3);Emc(ua)}ua=f[G>>2]|0;x=ua+16|0;p[x>>3]=+p[x>>3]/fa;x=ua+(f[f[X>>2]>>2]|0)+16|0;p[x>>3]=+p[x>>3]/fa;f[a>>2]=f[m>>2];x=a+4|0;wa=f[R>>2]|0;f[x>>2]=wa;Ca=a+8|0;f[Ca>>2]=f[S>>2];f[a+12>>2]=f[m+12>>2];f[a+16>>2]=ua;f[a+20>>2]=f[m+20>>2];f[a+24>>2]=f[m+24>>2];f[a+28>>2]=f[m+28>>2];f[a+32>>2]=f[m+32>>2];ua=f[m+36>>2]|0;f[a+36>>2]=ua;f[a+40>>2]=Ca;Ca=a+48|0;K=a+44|0;f[K>>2]=Ca;f[Ca>>2]=0;f[a+52>>2]=0;if(!ua)xb=wa;else{wa=ua+12|0;f[wa>>2]=(f[wa>>2]|0)+1;xb=f[R>>2]|0}if((xb|0)<3){wa=f[X>>2]|0;ua=f[K>>2]|0;f[ua>>2]=f[wa>>2];f[ua+4>>2]=f[wa+4>>2];break}else{f[x>>2]=0;kP(a,m);break}}else Ea=188;while(0);if((Ea|0)==188){f[a>>2]=1124007936;Ea=a+8|0;xb=a+40|0;U=a+4|0;V=U+36|0;do{f[U>>2]=0;U=U+4|0}while((U|0)<(V|0));f[xb>>2]=Ea;Ea=a+48|0;f[a+44>>2]=Ea;f[Ea>>2]=0;f[a+52>>2]=0}Ea=f[A>>2]|0;if(Ea|0){A=f[C>>2]|0;if((A|0)!=(Ea|0))f[C>>2]=A+(~((A+-8-Ea|0)>>>3)<<3);Emc(Ea)}Ea=f[z>>2]|0;if(Ea|0){z=f[I>>2]|0;if((z|0)!=(Ea|0))f[I>>2]=z+(~((z+-8-Ea|0)>>>3)<<3);Emc(Ea)}}else{f[a>>2]=1124007936;Ea=a+8|0;z=a+40|0;U=a+4|0;V=U+36|0;do{f[U>>2]=0;U=U+4|0}while((U|0)<(V|0));f[z>>2]=Ea;Ea=a+48|0;f[a+44>>2]=Ea;f[Ea>>2]=0;f[a+52>>2]=0}a=f[w>>2]|0;if(a|0){if((f[Z>>2]|0)!=(a|0))f[Z>>2]=a;Emc(a)}a=f[v>>2]|0;if(a|0){v=f[Y>>2]|0;if((v|0)!=(a|0))f[Y>>2]=v+(~((v+-4-a|0)>>>2)<<2);Emc(a)}a=f[t>>2]|0;if(a|0){t=f[c>>2]|0;if((t|0)!=(a|0))f[c>>2]=t+(~((t+-8-a|0)>>>3)<<3);Emc(a)}a=f[r>>2]|0;if(a|0){r=f[d>>2]|0;if((r|0)!=(a|0))f[d>>2]=r+(~((r+-8-a|0)>>>3)<<3);Emc(a)}a=q+36|0;r=f[a>>2]|0;if(r|0?(d=r+12|0,r=f[d>>2]|0,f[d>>2]=r+-1,(r|0)==1):0)lP(q);f[a>>2]=0;a=q+16|0;r=q+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[r>>2]|0)>0){a=f[$>>2]|0;$=0;do{f[a+($<<2)>>2]=0;$=$+1|0}while(($|0)<(f[r>>2]|0))}r=f[q+44>>2]|0;if((r|0)!=(q+48|0))tE(r);r=o+36|0;q=f[r>>2]|0;if(q|0?($=q+12|0,q=f[$>>2]|0,f[$>>2]=q+-1,(q|0)==1):0)lP(o);f[r>>2]=0;r=o+16|0;q=o+4|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[q>>2]|0)>0){r=f[_>>2]|0;_=0;do{f[r+(_<<2)>>2]=0;_=_+1|0}while((_|0)<(f[q>>2]|0))}q=f[o+44>>2]|0;if((q|0)!=(o+48|0))tE(q);q=m+36|0;o=f[q>>2]|0;do if(o|0){_=o+12|0;r=f[_>>2]|0;f[_>>2]=r+-1;if((r|0)!=1)break;lP(m)}while(0);f[q>>2]=0;q=m+16|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[R>>2]|0)>0){q=f[T>>2]|0;T=0;do{f[q+(T<<2)>>2]=0;T=T+1|0}while((T|0)<(f[R>>2]|0))}R=f[X>>2]|0;if((R|0)!=(W|0))tE(R);if(!(f[l+4>>2]|0)){u=j;return}u=j;return}function gya(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;f[a>>2]=0;c=a+4|0;f[c>>2]=0;f[a+8>>2]=0;d=b+4|0;e=(f[d>>2]|0)-(f[b>>2]|0)|0;g=e>>3;if(!g)return;if(g>>>0>536870911)Ukc(a);h=Bmc(e)|0;f[c>>2]=h;f[a>>2]=h;f[a+8>>2]=h+(g<<3);g=f[b>>2]|0;b=f[d>>2]|0;if((g|0)==(b|0))return;d=b+-8-g|0;a=g;g=h;while(1){f[g>>2]=f[a>>2];f[g+4>>2]=f[a+4>>2];a=a+8|0;if((a|0)==(b|0))break;else g=g+8|0}f[c>>2]=h+((d>>>3)+1<<3);return}function hya(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Y=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0;h=u;u=u+608|0;i=h+104|0;j=h+56|0;k=h;l=h+552|0;m=h+496|0;o=h+440|0;q=h+424|0;r=h+408|0;s=h+392|0;if(!(f[e>>2]&16384)){f[i>>2]=0;f[i+4>>2]=0;t=YG(i,16)|0;v=384361;w=t+16|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,i,384378,382610,1418)}if(g){Drc(i|0,0,288)|0;t=j;w=t+48|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(w|0));f[k>>2]=1124007942;g=k+4|0;f[g>>2]=2;v=k+8|0;f[v>>2]=6;f[k+12>>2]=6;x=k+16|0;f[x>>2]=i;f[k+20>>2]=i;y=k+24|0;z=k+40|0;A=y+8|0;f[A>>2]=0;f[A+4>>2]=0;f[z>>2]=v;v=k+48|0;A=k+44|0;f[A>>2]=v;f[v>>2]=48;f[k+52>>2]=8;f[k+28>>2]=i+288;f[y>>2]=i+288;hP(k);f[l>>2]=1124007942;y=l+4|0;f[y>>2]=2;B=l+8|0;f[B>>2]=6;f[l+12>>2]=1;C=l+16|0;f[C>>2]=j;f[l+20>>2]=j;D=l+24|0;E=l+40|0;F=D+8|0;f[F>>2]=0;f[F+4>>2]=0;f[E>>2]=B;B=l+48|0;F=l+44|0;f[F>>2]=B;f[B>>2]=8;f[l+52>>2]=8;f[l+28>>2]=j+48;f[D>>2]=j+48;hP(l);xP(m,e,1,6);if((d|0)>0){D=f[a>>2]|0;G=i+8|0;H=i+16|0;I=i+56|0;J=i+64|0;K=f[c>>2]|0;L=j+8|0;M=j+16|0;N=j+24|0;O=j+32|0;P=j+40|0;Q=0;R=+p[M>>3];S=+p[N>>3];T=+p[O>>3];U=+p[P>>3];V=+p[i>>3];W=+p[G>>3];X=+p[H>>3];Y=+p[I>>3];Z=+p[J>>3];_=+p[j>>3];$=+p[L>>3];do{aa=+n[D+(Q<<3)>>2];V=V+aa*aa;ba=+n[D+(Q<<3)+4>>2];W=W+ba*aa;X=X+aa;Y=Y+ba*ba;Z=Z+ba;ca=+n[K+(Q<<3)>>2];_=_+aa*ca;$=$+ba*ca;R=R+ca;ca=+n[K+(Q<<3)+4>>2];S=S+aa*ca;T=T+ba*ca;U=U+ca;Q=Q+1|0}while((Q|0)!=(d|0));p[i>>3]=V;p[G>>3]=W;p[H>>3]=X;p[I>>3]=Y;p[J>>3]=Z;p[j>>3]=_;p[L>>3]=$;p[M>>3]=R;p[N>>3]=S;p[O>>3]=T;p[P>>3]=U;da=W;ea=X;fa=Z;ga=V;ha=Y}else{da=+p[i+8>>3];ea=+p[i+16>>3];fa=+p[i+64>>3];ga=+p[i>>3];ha=+p[i+56>>3]}p[i+48>>3]=da;p[i+216>>3]=da;p[i+176>>3]=da;p[i+96>>3]=ea;p[i+264>>3]=ea;p[i+184>>3]=ea;p[i+104>>3]=fa;p[i+272>>3]=fa;p[i+232>>3]=fa;p[i+168>>3]=ga;p[i+224>>3]=ha;ha=+(d|0);p[i+112>>3]=ha;p[i+280>>3]=ha;f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=k;f[q+8>>2]=0;f[q+12>>2]=0;f[q>>2]=16842752;f[q+4>>2]=l;P=r+8|0;f[P>>2]=0;f[P+4>>2]=0;f[r>>2]=33619968;f[r+4>>2]=m;IU(o,q,r,2)|0;P=m+36|0;O=f[P>>2]|0;if(O|0?(N=O+12|0,O=f[N>>2]|0,f[N>>2]=O+-1,(O|0)==1):0)lP(m);f[P>>2]=0;P=m+16|0;O=m+4|0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;if((f[O>>2]|0)>0){P=f[m+40>>2]|0;N=0;do{f[P+(N<<2)>>2]=0;N=N+1|0}while((N|0)<(f[O>>2]|0))}O=f[m+44>>2]|0;if((O|0)!=(m+48|0))tE(O);O=l+36|0;N=f[O>>2]|0;if(N|0?(P=N+12|0,N=f[P>>2]|0,f[P>>2]=N+-1,(N|0)==1):0)lP(l);f[O>>2]=0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[y>>2]|0)>0){C=f[E>>2]|0;E=0;do{f[C+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[y>>2]|0))}y=f[F>>2]|0;if((y|0)!=(B|0))tE(y);y=k+36|0;B=f[y>>2]|0;if(B|0?(F=B+12|0,B=f[F>>2]|0,f[F>>2]=B+-1,(B|0)==1):0)lP(k);f[y>>2]=0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[g>>2]|0)>0){x=f[z>>2]|0;z=0;do{f[x+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[g>>2]|0))}g=f[A>>2]|0;if((g|0)!=(v|0))tE(g);u=h;return}else{t=i;w=t+128|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(w|0));f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;f[j+24>>2]=0;f[j+28>>2]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;f[k+24>>2]=0;f[k+28>>2]=0;f[l>>2]=1124007942;t=l+4|0;f[t>>2]=2;w=l+8|0;f[w>>2]=4;f[l+12>>2]=4;g=l+16|0;f[g>>2]=i;f[l+20>>2]=i;v=l+24|0;A=l+40|0;z=v+8|0;f[z>>2]=0;f[z+4>>2]=0;f[A>>2]=w;w=l+48|0;z=l+44|0;f[z>>2]=w;f[w>>2]=32;f[l+52>>2]=8;f[l+28>>2]=i+128;f[v>>2]=i+128;hP(l);f[m>>2]=1124007942;v=m+4|0;f[v>>2]=2;x=m+8|0;f[x>>2]=4;f[m+12>>2]=1;y=m+16|0;f[y>>2]=j;f[m+20>>2]=j;B=m+24|0;F=m+40|0;E=B+8|0;f[E>>2]=0;f[E+4>>2]=0;f[F>>2]=x;x=m+48|0;E=m+44|0;f[E>>2]=x;f[x>>2]=8;f[m+52>>2]=8;f[m+28>>2]=j+32;f[B>>2]=j+32;hP(m);f[o>>2]=1124007942;B=o+4|0;f[B>>2]=2;C=o+8|0;f[C>>2]=4;f[o+12>>2]=1;O=o+16|0;f[O>>2]=k;f[o+20>>2]=k;N=o+24|0;P=o+40|0;M=N+8|0;f[M>>2]=0;f[M+4>>2]=0;f[P>>2]=C;C=o+48|0;M=o+44|0;f[M>>2]=C;f[C>>2]=8;f[o+52>>2]=8;f[o+28>>2]=k+32;f[N>>2]=k+32;hP(o);if((d|0)>0){N=f[a>>2]|0;a=i+16|0;L=i+24|0;J=f[c>>2]|0;c=j+8|0;I=j+16|0;H=j+24|0;G=0;ha=+p[i>>3];ga=+p[a>>3];fa=+p[L>>3];ea=+p[j>>3];da=+p[c>>3];Y=+p[I>>3];V=+p[H>>3];do{Z=+n[N+(G<<3)>>2];X=+n[N+(G<<3)+4>>2];ha=ha+(Z*Z+X*X);ga=ga+Z;fa=fa+X;W=+n[J+(G<<3)>>2];U=+n[J+(G<<3)+4>>2];ea=ea+(Z*W+X*U);da=da+(Z*U-X*W);Y=Y+W;V=V+U;G=G+1|0}while((G|0)!=(d|0));p[i>>3]=ha;p[a>>3]=ga;p[L>>3]=fa;p[j>>3]=ea;p[c>>3]=da;p[I>>3]=Y;p[H>>3]=V;ia=ha;ja=fa;ka=ga}else{ia=+p[i>>3];ja=+p[i+24>>3];ka=+p[i+16>>3]}p[i+40>>3]=ia;ia=-ja;p[i+48>>3]=ia;p[i+72>>3]=ia;p[i+64>>3]=ka;p[i+56>>3]=ka;p[i+104>>3]=ka;ka=+(d|0);p[i+120>>3]=ka;p[i+80>>3]=ka;p[i+96>>3]=ja;f[q+8>>2]=0;f[q+12>>2]=0;f[q>>2]=16842752;f[q+4>>2]=l;f[r+8>>2]=0;f[r+12>>2]=0;f[r>>2]=16842752;f[r+4>>2]=m;i=s+8|0;f[i>>2]=0;f[i+4>>2]=0;f[s>>2]=33619968;f[s+4>>2]=o;IU(q,r,s,2)|0;s=f[e+16>>2]|0;ja=+p[k>>3];p[s+32>>3]=ja;p[s>>3]=ja;e=k+8|0;p[s+8>>3]=-+p[e>>3];p[s+24>>3]=+p[e>>3];p[s+16>>3]=+p[k+16>>3];p[s+40>>3]=+p[k+24>>3];k=o+36|0;s=f[k>>2]|0;if(s|0?(e=s+12|0,s=f[e>>2]|0,f[e>>2]=s+-1,(s|0)==1):0)lP(o);f[k>>2]=0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;if((f[B>>2]|0)>0){O=f[P>>2]|0;P=0;do{f[O+(P<<2)>>2]=0;P=P+1|0}while((P|0)<(f[B>>2]|0))}B=f[M>>2]|0;if((B|0)!=(C|0))tE(B);B=m+36|0;C=f[B>>2]|0;if(C|0?(M=C+12|0,C=f[M>>2]|0,f[M>>2]=C+-1,(C|0)==1):0)lP(m);f[B>>2]=0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[v>>2]|0)>0){y=f[F>>2]|0;F=0;do{f[y+(F<<2)>>2]=0;F=F+1|0}while((F|0)<(f[v>>2]|0))}v=f[E>>2]|0;if((v|0)!=(x|0))tE(v);v=l+36|0;x=f[v>>2]|0;if(x|0?(E=x+12|0,x=f[E>>2]|0,f[E>>2]=x+-1,(x|0)==1):0)lP(l);f[v>>2]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[t>>2]|0)>0){g=f[A>>2]|0;A=0;do{f[g+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[t>>2]|0))}t=f[z>>2]|0;if((t|0)!=(w|0))tE(t);u=h;return}}
function xE(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;g=u;u=u+656|0;h=g+312|0;i=g+256|0;j=g+592|0;k=g+32|0;l=g+536|0;m=g;if(!(Sh[f[(f[a>>2]|0)+8>>2]&511](a,b)|0)){f[j>>2]=1124007936;a=j+4|0;n=j+8|0;o=j+40|0;q=a;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));f[o>>2]=n;n=j+48|0;s=j+44|0;f[s>>2]=n;f[n>>2]=0;f[j+52>>2]=0;t=f[b>>2]|0;rh[f[(f[t>>2]|0)+12>>2]&255](t,b,j,-1);t=c;v=f[t>>2]|0;w=f[t+4>>2]|0;t=d;x=f[t+4>>2]|0;y=h;f[y>>2]=f[t>>2];f[y+4>>2]=x;x=i;f[x>>2]=v;f[x+4>>2]=w;mP(l,j,i,h);f[h>>2]=1124007936;w=h+4|0;x=h+8|0;v=h+40|0;q=w;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));f[v>>2]=x;x=h+48|0;y=h+44|0;f[y>>2]=x;f[x>>2]=0;f[h+52>>2]=0;f[i>>2]=1124007936;t=i+4|0;z=i+8|0;A=i+40|0;q=t;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));f[A>>2]=z;z=i+48|0;B=i+44|0;f[B>>2]=z;f[z>>2]=0;f[i+52>>2]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;f[m+24>>2]=0;f[m+28>>2]=0;VE(k,41556,0,l,h,i,1.0,1.0,m);WE(e,k)|0;Xi(k);m=i+36|0;C=f[m>>2]|0;if(C|0?(D=C+12|0,C=f[D>>2]|0,f[D>>2]=C+-1,(C|0)==1):0)lP(i);f[m>>2]=0;m=i+16|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[t>>2]|0)>0){m=f[A>>2]|0;A=0;do{f[m+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[t>>2]|0))}t=f[B>>2]|0;if((t|0)!=(z|0))tE(t);t=h+36|0;z=f[t>>2]|0;if(z|0?(B=z+12|0,z=f[B>>2]|0,f[B>>2]=z+-1,(z|0)==1):0)lP(h);f[t>>2]=0;t=h+16|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[w>>2]|0)>0){t=f[v>>2]|0;v=0;do{f[t+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[w>>2]|0))}w=f[y>>2]|0;if((w|0)!=(x|0))tE(w);w=l+36|0;x=f[w>>2]|0;if(x|0?(y=x+12|0,x=f[y>>2]|0,f[y>>2]=x+-1,(x|0)==1):0)lP(l);f[w>>2]=0;w=l+16|0;x=l+4|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[x>>2]|0)>0){w=f[l+40>>2]|0;y=0;do{f[w+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[x>>2]|0))}x=f[l+44>>2]|0;if((x|0)!=(l+48|0))tE(x);x=j+36|0;l=f[x>>2]|0;if(l|0?(y=l+12|0,l=f[y>>2]|0,f[y>>2]=l+-1,(l|0)==1):0)lP(j);f[x>>2]=0;x=j+16|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[a>>2]|0)>0){x=f[o>>2]|0;o=0;do{f[x+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[a>>2]|0))}a=f[s>>2]|0;if((a|0)!=(n|0))tE(a);u=g;return}a=f[b>>2]|0;n=f[b+4>>2]|0;f[i>>2]=1124007936;s=i+4|0;o=i+8|0;x=i+40|0;q=s;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));f[x>>2]=o;o=i+48|0;l=i+44|0;f[l>>2]=o;f[o>>2]=0;f[i+52>>2]=0;f[j>>2]=1124007936;y=j+4|0;w=j+8|0;v=j+40|0;q=y;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));f[v>>2]=w;w=j+48|0;t=j+44|0;f[t>>2]=w;f[w>>2]=0;f[j+52>>2]=0;f[k>>2]=1124007936;z=k+4|0;B=k+8|0;A=k+40|0;q=z;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));f[A>>2]=B;B=k+48|0;q=k+44|0;f[q>>2]=B;f[B>>2]=0;f[k+52>>2]=0;VE(h,a,n,i,j,k,+p[b+176>>3],+p[b+184>>3],b+192|0);WE(e,h)|0;Xi(h);n=k+36|0;a=f[n>>2]|0;if(a|0?(r=a+12|0,a=f[r>>2]|0,f[r>>2]=a+-1,(a|0)==1):0)lP(k);f[n>>2]=0;n=k+16|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[z>>2]|0)>0){n=f[A>>2]|0;A=0;do{f[n+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[z>>2]|0))}z=f[q>>2]|0;if((z|0)!=(B|0))tE(z);z=j+36|0;B=f[z>>2]|0;if(B|0?(q=B+12|0,B=f[q>>2]|0,f[q>>2]=B+-1,(B|0)==1):0)lP(j);f[z>>2]=0;z=j+16|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[y>>2]|0)>0){z=f[v>>2]|0;v=0;do{f[z+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[y>>2]|0))}y=f[t>>2]|0;if((y|0)!=(w|0))tE(y);y=i+36|0;w=f[y>>2]|0;if(w|0?(t=w+12|0,w=f[t>>2]|0,f[t>>2]=w+-1,(w|0)==1):0)lP(i);f[y>>2]=0;y=i+16|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[s>>2]|0)>0){y=f[x>>2]|0;x=0;do{f[y+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[s>>2]|0))}s=f[l>>2]|0;if((s|0)!=(o|0))tE(s);if(f[b+24>>2]|0){s=c;o=f[s>>2]|0;l=f[s+4>>2]|0;s=d;x=f[s+4>>2]|0;y=h;f[y>>2]=f[s>>2];f[y+4>>2]=x;x=i;f[x>>2]=o;f[x+4>>2]=l;mP(j,b+8|0,i,h);l=e+8|0;x=j+36|0;o=f[x>>2]|0;if((l|0)==(j|0))E=o;else{if(o|0){y=o+12|0;f[y>>2]=(f[y>>2]|0)+1}y=e+44|0;o=f[y>>2]|0;if(o|0?(s=o+12|0,o=f[s>>2]|0,f[s>>2]=o+-1,(o|0)==1):0)lP(l);f[y>>2]=0;o=e+24|0;s=e+12|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[s>>2]|0)>0){w=f[e+48>>2]|0;t=0;do{f[w+(t<<2)>>2]=0;t=t+1|0;F=f[s>>2]|0}while((t|0)<(F|0));f[l>>2]=f[j>>2];if((F|0)<3)G=38;else G=40}else{f[l>>2]=f[j>>2];G=38}if((G|0)==38){F=f[j+4>>2]|0;if((F|0)<3){f[s>>2]=F;f[e+16>>2]=f[j+8>>2];f[e+20>>2]=f[j+12>>2];F=f[j+44>>2]|0;s=f[e+52>>2]|0;f[s>>2]=f[F>>2];f[s+4>>2]=f[F+4>>2]}else G=40}if((G|0)==40)kP(l,j);f[o>>2]=f[j+16>>2];f[e+28>>2]=f[j+20>>2];f[e+32>>2]=f[j+24>>2];f[e+36>>2]=f[j+28>>2];f[e+40>>2]=f[j+32>>2];o=f[x>>2]|0;f[y>>2]=o;E=o}if(E|0?(o=E+12|0,E=f[o>>2]|0,f[o>>2]=E+-1,(E|0)==1):0)lP(j);f[x>>2]=0;x=j+16|0;E=j+4|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[E>>2]|0)>0){x=f[j+40>>2]|0;o=0;do{f[x+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[E>>2]|0))}E=f[j+44>>2]|0;if((E|0)!=(j+48|0))tE(E)}if(f[b+80>>2]|0){E=c;o=f[E>>2]|0;x=f[E+4>>2]|0;E=d;y=f[E+4>>2]|0;l=h;f[l>>2]=f[E>>2];f[l+4>>2]=y;y=i;f[y>>2]=o;f[y+4>>2]=x;mP(j,b+64|0,i,h);x=e+64|0;y=j+36|0;o=f[y>>2]|0;if((x|0)==(j|0))H=o;else{if(o|0){l=o+12|0;f[l>>2]=(f[l>>2]|0)+1}l=e+100|0;o=f[l>>2]|0;if(o|0?(E=o+12|0,o=f[E>>2]|0,f[E>>2]=o+-1,(o|0)==1):0)lP(x);f[l>>2]=0;o=e+80|0;E=e+68|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[E>>2]|0)>0){F=f[e+104>>2]|0;s=0;do{f[F+(s<<2)>>2]=0;s=s+1|0;I=f[E>>2]|0}while((s|0)<(I|0));f[x>>2]=f[j>>2];if((I|0)<3)G=63;else G=65}else{f[x>>2]=f[j>>2];G=63}if((G|0)==63){I=f[j+4>>2]|0;if((I|0)<3){f[E>>2]=I;f[e+72>>2]=f[j+8>>2];f[e+76>>2]=f[j+12>>2];I=f[j+44>>2]|0;E=f[e+108>>2]|0;f[E>>2]=f[I>>2];f[E+4>>2]=f[I+4>>2]}else G=65}if((G|0)==65)kP(x,j);f[o>>2]=f[j+16>>2];f[e+84>>2]=f[j+20>>2];f[e+88>>2]=f[j+24>>2];f[e+92>>2]=f[j+28>>2];f[e+96>>2]=f[j+32>>2];o=f[y>>2]|0;f[l>>2]=o;H=o}if(H|0?(o=H+12|0,H=f[o>>2]|0,f[o>>2]=H+-1,(H|0)==1):0)lP(j);f[y>>2]=0;y=j+16|0;H=j+4|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[H>>2]|0)>0){y=f[j+40>>2]|0;o=0;do{f[y+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[H>>2]|0))}H=f[j+44>>2]|0;if((H|0)!=(j+48|0))tE(H)}if(!(f[b+136>>2]|0)){u=g;return}H=c;c=f[H>>2]|0;o=f[H+4>>2]|0;H=d;d=f[H+4>>2]|0;y=h;f[y>>2]=f[H>>2];f[y+4>>2]=d;d=i;f[d>>2]=c;f[d+4>>2]=o;mP(j,b+120|0,i,h);h=e+120|0;i=j+36|0;b=f[i>>2]|0;if((h|0)==(j|0))J=b;else{if(b|0){o=b+12|0;f[o>>2]=(f[o>>2]|0)+1}o=e+156|0;b=f[o>>2]|0;if(b|0?(d=b+12|0,b=f[d>>2]|0,f[d>>2]=b+-1,(b|0)==1):0)lP(h);f[o>>2]=0;b=e+136|0;d=e+124|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){c=f[e+160>>2]|0;y=0;do{f[c+(y<<2)>>2]=0;y=y+1|0;K=f[d>>2]|0}while((y|0)<(K|0));f[h>>2]=f[j>>2];if((K|0)<3)G=88;else G=90}else{f[h>>2]=f[j>>2];G=88}if((G|0)==88){K=f[j+4>>2]|0;if((K|0)<3){f[d>>2]=K;f[e+128>>2]=f[j+8>>2];f[e+132>>2]=f[j+12>>2];K=f[j+44>>2]|0;d=f[e+164>>2]|0;f[d>>2]=f[K>>2];f[d+4>>2]=f[K+4>>2]}else G=90}if((G|0)==90)kP(h,j);f[b>>2]=f[j+16>>2];f[e+140>>2]=f[j+20>>2];f[e+144>>2]=f[j+24>>2];f[e+148>>2]=f[j+28>>2];f[e+152>>2]=f[j+32>>2];e=f[i>>2]|0;f[o>>2]=e;J=e}if(J|0?(e=J+12|0,J=f[e>>2]|0,f[e>>2]=J+-1,(J|0)==1):0)lP(j);f[i>>2]=0;i=j+16|0;J=j+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[J>>2]|0)>0){i=f[j+40>>2]|0;e=0;do{f[i+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[J>>2]|0))}J=f[j+44>>2]|0;if((J|0)!=(j+48|0))tE(J);u=g;return}function yE(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;e=u;u=u+656|0;g=e+256|0;h=e+32|0;i=e+592|0;j=e+536|0;k=e+480|0;l=e;if(!(Sh[f[(f[a>>2]|0)+8>>2]&511](a,b)|0)){f[g>>2]=1124007936;a=g+4|0;m=g+8|0;n=g+40|0;o=a;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[n>>2]=m;m=g+48|0;r=g+44|0;f[r>>2]=m;f[m>>2]=0;f[g+52>>2]=0;s=f[b>>2]|0;rh[f[(f[s>>2]|0)+12>>2]&255](s,b,g,-1);sP(i,g,c);f[j>>2]=1124007936;s=j+4|0;t=j+8|0;v=j+40|0;o=s;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[v>>2]=t;t=j+48|0;w=j+44|0;f[w>>2]=t;f[t>>2]=0;f[j+52>>2]=0;f[k>>2]=1124007936;x=k+4|0;y=k+8|0;z=k+40|0;o=x;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[z>>2]=y;y=k+48|0;A=k+44|0;f[A>>2]=y;f[y>>2]=0;f[k+52>>2]=0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;f[l+28>>2]=0;VE(h,41556,0,i,j,k,1.0,1.0,l);WE(d,h)|0;Xi(h);l=k+36|0;B=f[l>>2]|0;if(B|0?(C=B+12|0,B=f[C>>2]|0,f[C>>2]=B+-1,(B|0)==1):0)lP(k);f[l>>2]=0;l=k+16|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[x>>2]|0)>0){l=f[z>>2]|0;z=0;do{f[l+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[x>>2]|0))}x=f[A>>2]|0;if((x|0)!=(y|0))tE(x);x=j+36|0;y=f[x>>2]|0;if(y|0?(A=y+12|0,y=f[A>>2]|0,f[A>>2]=y+-1,(y|0)==1):0)lP(j);f[x>>2]=0;x=j+16|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[s>>2]|0)>0){x=f[v>>2]|0;v=0;do{f[x+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[s>>2]|0))}s=f[w>>2]|0;if((s|0)!=(t|0))tE(s);s=i+36|0;t=f[s>>2]|0;if(t|0?(w=t+12|0,t=f[w>>2]|0,f[w>>2]=t+-1,(t|0)==1):0)lP(i);f[s>>2]=0;s=i+16|0;t=i+4|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[t>>2]|0)>0){s=f[i+40>>2]|0;w=0;do{f[s+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[t>>2]|0))}t=f[i+44>>2]|0;if((t|0)!=(i+48|0))tE(t);t=g+36|0;w=f[t>>2]|0;if(w|0?(s=w+12|0,w=f[s>>2]|0,f[s>>2]=w+-1,(w|0)==1):0)lP(g);f[t>>2]=0;t=g+16|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[a>>2]|0)>0){t=f[n>>2]|0;n=0;do{f[t+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[a>>2]|0))}a=f[r>>2]|0;if((a|0)!=(m|0))tE(a);u=e;return}a=f[b>>2]|0;m=f[b+4>>2]|0;f[h>>2]=1124007936;r=h+4|0;n=h+8|0;t=h+40|0;o=r;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[t>>2]=n;n=h+48|0;w=h+44|0;f[w>>2]=n;f[n>>2]=0;f[h+52>>2]=0;f[i>>2]=1124007936;s=i+4|0;v=i+8|0;x=i+40|0;o=s;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[x>>2]=v;v=i+48|0;y=i+44|0;f[y>>2]=v;f[v>>2]=0;f[i+52>>2]=0;f[j>>2]=1124007936;A=j+4|0;z=j+8|0;l=j+40|0;o=A;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[l>>2]=z;z=j+48|0;o=j+44|0;f[o>>2]=z;f[z>>2]=0;f[j+52>>2]=0;VE(g,a,m,h,i,j,+p[b+176>>3],+p[b+184>>3],b+192|0);WE(d,g)|0;Xi(g);m=j+36|0;a=f[m>>2]|0;if(a|0?(q=a+12|0,a=f[q>>2]|0,f[q>>2]=a+-1,(a|0)==1):0)lP(j);f[m>>2]=0;m=j+16|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[A>>2]|0)>0){m=f[l>>2]|0;l=0;do{f[m+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[A>>2]|0))}A=f[o>>2]|0;if((A|0)!=(z|0))tE(A);A=i+36|0;z=f[A>>2]|0;if(z|0?(o=z+12|0,z=f[o>>2]|0,f[o>>2]=z+-1,(z|0)==1):0)lP(i);f[A>>2]=0;A=i+16|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[s>>2]|0)>0){A=f[x>>2]|0;x=0;do{f[A+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[s>>2]|0))}s=f[y>>2]|0;if((s|0)!=(v|0))tE(s);s=h+36|0;v=f[s>>2]|0;if(v|0?(y=v+12|0,v=f[y>>2]|0,f[y>>2]=v+-1,(v|0)==1):0)lP(h);f[s>>2]=0;s=h+16|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[r>>2]|0)>0){s=f[t>>2]|0;t=0;do{f[s+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[r>>2]|0))}r=f[w>>2]|0;if((r|0)!=(n|0))tE(r);if(f[b+24>>2]|0){sP(g,b+8|0,c);r=d+8|0;n=g+36|0;w=f[n>>2]|0;if((r|0)==(g|0))D=w;else{if(w|0){t=w+12|0;f[t>>2]=(f[t>>2]|0)+1}t=d+44|0;w=f[t>>2]|0;if(w|0?(s=w+12|0,w=f[s>>2]|0,f[s>>2]=w+-1,(w|0)==1):0)lP(r);f[t>>2]=0;w=d+24|0;s=d+12|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[s>>2]|0)>0){h=f[d+48>>2]|0;v=0;do{f[h+(v<<2)>>2]=0;v=v+1|0;E=f[s>>2]|0}while((v|0)<(E|0));f[r>>2]=f[g>>2];if((E|0)<3)F=38;else F=40}else{f[r>>2]=f[g>>2];F=38}if((F|0)==38){E=f[g+4>>2]|0;if((E|0)<3){f[s>>2]=E;f[d+16>>2]=f[g+8>>2];f[d+20>>2]=f[g+12>>2];E=f[g+44>>2]|0;s=f[d+52>>2]|0;f[s>>2]=f[E>>2];f[s+4>>2]=f[E+4>>2]}else F=40}if((F|0)==40)kP(r,g);f[w>>2]=f[g+16>>2];f[d+28>>2]=f[g+20>>2];f[d+32>>2]=f[g+24>>2];f[d+36>>2]=f[g+28>>2];f[d+40>>2]=f[g+32>>2];w=f[n>>2]|0;f[t>>2]=w;D=w}if(D|0?(w=D+12|0,D=f[w>>2]|0,f[w>>2]=D+-1,(D|0)==1):0)lP(g);f[n>>2]=0;n=g+16|0;D=g+4|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[D>>2]|0)>0){n=f[g+40>>2]|0;w=0;do{f[n+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[D>>2]|0))}D=f[g+44>>2]|0;if((D|0)!=(g+48|0))tE(D)}if(f[b+80>>2]|0){sP(g,b+64|0,c);D=d+64|0;w=g+36|0;n=f[w>>2]|0;if((D|0)==(g|0))G=n;else{if(n|0){t=n+12|0;f[t>>2]=(f[t>>2]|0)+1}t=d+100|0;n=f[t>>2]|0;if(n|0?(r=n+12|0,n=f[r>>2]|0,f[r>>2]=n+-1,(n|0)==1):0)lP(D);f[t>>2]=0;n=d+80|0;r=d+68|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[r>>2]|0)>0){E=f[d+104>>2]|0;s=0;do{f[E+(s<<2)>>2]=0;s=s+1|0;H=f[r>>2]|0}while((s|0)<(H|0));f[D>>2]=f[g>>2];if((H|0)<3)F=63;else F=65}else{f[D>>2]=f[g>>2];F=63}if((F|0)==63){H=f[g+4>>2]|0;if((H|0)<3){f[r>>2]=H;f[d+72>>2]=f[g+8>>2];f[d+76>>2]=f[g+12>>2];H=f[g+44>>2]|0;r=f[d+108>>2]|0;f[r>>2]=f[H>>2];f[r+4>>2]=f[H+4>>2]}else F=65}if((F|0)==65)kP(D,g);f[n>>2]=f[g+16>>2];f[d+84>>2]=f[g+20>>2];f[d+88>>2]=f[g+24>>2];f[d+92>>2]=f[g+28>>2];f[d+96>>2]=f[g+32>>2];n=f[w>>2]|0;f[t>>2]=n;G=n}if(G|0?(n=G+12|0,G=f[n>>2]|0,f[n>>2]=G+-1,(G|0)==1):0)lP(g);f[w>>2]=0;w=g+16|0;G=g+4|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[G>>2]|0)>0){w=f[g+40>>2]|0;n=0;do{f[w+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[G>>2]|0))}G=f[g+44>>2]|0;if((G|0)!=(g+48|0))tE(G)}if(!(f[b+136>>2]|0)){u=e;return}sP(g,b+120|0,c);c=d+120|0;b=g+36|0;G=f[b>>2]|0;if((c|0)==(g|0))I=G;else{if(G|0){n=G+12|0;f[n>>2]=(f[n>>2]|0)+1}n=d+156|0;G=f[n>>2]|0;if(G|0?(w=G+12|0,G=f[w>>2]|0,f[w>>2]=G+-1,(G|0)==1):0)lP(c);f[n>>2]=0;G=d+136|0;w=d+124|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[w>>2]|0)>0){t=f[d+160>>2]|0;D=0;do{f[t+(D<<2)>>2]=0;D=D+1|0;J=f[w>>2]|0}while((D|0)<(J|0));f[c>>2]=f[g>>2];if((J|0)<3)F=88;else F=90}else{f[c>>2]=f[g>>2];F=88}if((F|0)==88){J=f[g+4>>2]|0;if((J|0)<3){f[w>>2]=J;f[d+128>>2]=f[g+8>>2];f[d+132>>2]=f[g+12>>2];J=f[g+44>>2]|0;w=f[d+164>>2]|0;f[w>>2]=f[J>>2];f[w+4>>2]=f[J+4>>2]}else F=90}if((F|0)==90)kP(c,g);f[G>>2]=f[g+16>>2];f[d+140>>2]=f[g+20>>2];f[d+144>>2]=f[g+24>>2];f[d+148>>2]=f[g+28>>2];f[d+152>>2]=f[g+32>>2];d=f[b>>2]|0;f[n>>2]=d;I=d}if(I|0?(d=I+12|0,I=f[d>>2]|0,f[d>>2]=I+-1,(I|0)==1):0)lP(g);f[b>>2]=0;b=g+16|0;I=g+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[I>>2]|0)>0){b=f[g+40>>2]|0;d=0;do{f[b+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[I>>2]|0))}I=f[g+44>>2]|0;if((I|0)!=(g+48|0))tE(I);u=e;return}function zE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;a=u;u=u+112|0;d=a+88|0;e=a+72|0;g=a+56|0;h=a;f[h>>2]=1124007936;i=h+4|0;j=h+8|0;k=h+40|0;l=i;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=j;j=h+48|0;l=h+44|0;f[l>>2]=j;f[j>>2]=0;f[h+52>>2]=0;m=f[b>>2]|0;rh[f[(f[m>>2]|0)+12>>2]&255](m,b,h,-1);f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=c;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=h;b=g+8|0;f[b>>2]=0;f[b+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;RH(d,e,g,rE()|0,-1);g=h+36|0;e=f[g>>2]|0;if(e|0?(d=e+12|0,e=f[d>>2]|0,f[d>>2]=e+-1,(e|0)==1):0)lP(h);f[g>>2]=0;g=h+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[i>>2]|0)>0){g=f[k>>2]|0;k=0;do{f[g+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[i>>2]|0))}i=f[l>>2]|0;if((i|0)==(j|0)){u=a;return}tE(i);u=a;return}function AE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;a=u;u=u+112|0;d=a+88|0;e=a+72|0;g=a+56|0;h=a;f[h>>2]=1124007936;i=h+4|0;j=h+8|0;k=h+40|0;l=i;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=j;j=h+48|0;l=h+44|0;f[l>>2]=j;f[j>>2]=0;f[h+52>>2]=0;m=f[b>>2]|0;rh[f[(f[m>>2]|0)+12>>2]&255](m,b,h,-1);f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=c;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=h;b=g+8|0;f[b>>2]=0;f[b+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;fI(d,e,g,rE()|0,-1);g=h+36|0;e=f[g>>2]|0;if(e|0?(d=e+12|0,e=f[d>>2]|0,f[d>>2]=e+-1,(e|0)==1):0)lP(h);f[g>>2]=0;g=h+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[i>>2]|0)>0){g=f[k>>2]|0;k=0;do{f[g+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[i>>2]|0))}i=f[l>>2]|0;if((i|0)==(j|0)){u=a;return}tE(i);u=a;return}function BE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;a=u;u=u+176|0;d=a+160|0;e=a+144|0;g=a+128|0;h=a+72|0;i=a+56|0;j=a;f[j>>2]=1124007936;k=j+4|0;l=j+8|0;m=j+40|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;l=j+48|0;p=j+44|0;f[p>>2]=l;f[l>>2]=0;f[j+52>>2]=0;q=f[b>>2]|0;rh[f[(f[q>>2]|0)+12>>2]&255](q,b,j,-1);f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=c;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=j;f[h>>2]=1124007936;b=h+4|0;q=h+8|0;r=h+40|0;n=b;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[r>>2]=q;q=h+48|0;n=h+44|0;f[n>>2]=q;f[q>>2]=0;f[h+52>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=h;o=i+8|0;f[o>>2]=0;f[o+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=c;UW(d,e,1.0,g,0.0,i,0);i=h+36|0;g=f[i>>2]|0;if(g|0?(e=g+12|0,g=f[e>>2]|0,f[e>>2]=g+-1,(g|0)==1):0)lP(h);f[i>>2]=0;i=h+16|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[b>>2]|0)>0){i=f[r>>2]|0;r=0;do{f[i+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[b>>2]|0))}b=f[n>>2]|0;if((b|0)!=(q|0))tE(b);b=j+36|0;q=f[b>>2]|0;if(q|0?(n=q+12|0,q=f[n>>2]|0,f[n>>2]=q+-1,(q|0)==1):0)lP(j);f[b>>2]=0;b=j+16|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[k>>2]|0)>0){b=f[m>>2]|0;m=0;do{f[b+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[k>>2]|0))}k=f[p>>2]|0;if((k|0)==(l|0)){u=a;return}tE(k);u=a;return}function CE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;a=u;u=u+112|0;d=a+88|0;e=a+72|0;g=a+56|0;h=a;f[h>>2]=1124007936;i=h+4|0;j=h+8|0;k=h+40|0;l=i;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=j;j=h+48|0;l=h+44|0;f[l>>2]=j;f[j>>2]=0;f[h+52>>2]=0;m=f[b>>2]|0;rh[f[(f[m>>2]|0)+12>>2]&255](m,b,h,-1);f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=c;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=h;b=g+8|0;f[b>>2]=0;f[b+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;RI(d,e,g,1.0,-1);g=h+36|0;e=f[g>>2]|0;if(e|0?(d=e+12|0,e=f[d>>2]|0,f[d>>2]=e+-1,(e|0)==1):0)lP(h);f[g>>2]=0;g=h+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[i>>2]|0)>0){g=f[k>>2]|0;k=0;do{f[g+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[i>>2]|0))}i=f[l>>2]|0;if((i|0)==(j|0)){u=a;return}tE(i);u=a;return}function DE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;a=u;u=u+112|0;d=a+88|0;e=a+72|0;g=a+56|0;h=a;f[h>>2]=1124007936;i=h+4|0;j=h+8|0;k=h+40|0;l=i;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=j;j=h+48|0;l=h+44|0;f[l>>2]=j;f[j>>2]=0;f[h+52>>2]=0;m=f[b>>2]|0;rh[f[(f[m>>2]|0)+12>>2]&255](m,b,h,-1);f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=c;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=h;b=g+8|0;f[b>>2]=0;f[b+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;$G(d,e,g,rE()|0);g=h+36|0;e=f[g>>2]|0;if(e|0?(d=e+12|0,e=f[d>>2]|0,f[d>>2]=e+-1,(e|0)==1):0)lP(h);f[g>>2]=0;g=h+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[i>>2]|0)>0){g=f[k>>2]|0;k=0;do{f[g+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[i>>2]|0))}i=f[l>>2]|0;if((i|0)==(j|0)){u=a;return}tE(i);u=a;return}function EE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;a=u;u=u+112|0;d=a+88|0;e=a+72|0;g=a+56|0;h=a;f[h>>2]=1124007936;i=h+4|0;j=h+8|0;k=h+40|0;l=i;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=j;j=h+48|0;l=h+44|0;f[l>>2]=j;f[j>>2]=0;f[h+52>>2]=0;m=f[b>>2]|0;rh[f[(f[m>>2]|0)+12>>2]&255](m,b,h,-1);f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=c;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=h;b=g+8|0;f[b>>2]=0;f[b+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;dH(d,e,g,rE()|0);g=h+36|0;e=f[g>>2]|0;if(e|0?(d=e+12|0,e=f[d>>2]|0,f[d>>2]=e+-1,(e|0)==1):0)lP(h);f[g>>2]=0;g=h+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[i>>2]|0)>0){g=f[k>>2]|0;k=0;do{f[g+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[i>>2]|0))}i=f[l>>2]|0;if((i|0)==(j|0)){u=a;return}tE(i);u=a;return}function FE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;a=u;u=u+112|0;d=a+88|0;e=a+72|0;g=a+56|0;h=a;f[h>>2]=1124007936;i=h+4|0;j=h+8|0;k=h+40|0;l=i;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=j;j=h+48|0;l=h+44|0;f[l>>2]=j;f[j>>2]=0;f[h+52>>2]=0;m=f[b>>2]|0;rh[f[(f[m>>2]|0)+12>>2]&255](m,b,h,-1);f[d+8>>2]=0;f[d+12>>2]=0;f[d>>2]=16842752;f[d+4>>2]=c;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=16842752;f[e+4>>2]=h;b=g+8|0;f[b>>2]=0;f[b+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;gH(d,e,g,rE()|0);g=h+36|0;e=f[g>>2]|0;if(e|0?(d=e+12|0,e=f[d>>2]|0,f[d>>2]=e+-1,(e|0)==1):0)lP(h);f[g>>2]=0;g=h+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[i>>2]|0)>0){g=f[k>>2]|0;k=0;do{f[g+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[i>>2]|0))}i=f[l>>2]|0;if((i|0)==(j|0)){u=a;return}tE(i);u=a;return}function GE(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0.0,G=0.0,H=0,I=0,J=0.0;e=u;u=u+160|0;g=e+144|0;h=e;i=e+88|0;j=e+32|0;zT(g,42736);k=f[c>>2]|0;if((k|0)==(a|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[h+28>>2]=0;f[i>>2]=1124007936;a=i+4|0;l=i+8|0;m=i+40|0;n=a;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;q=i+48|0;r=i+44|0;f[r>>2]=q;f[q>>2]=0;f[i+52>>2]=0;f[j>>2]=1124007936;s=j+4|0;t=j+8|0;v=j+40|0;n=s;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[v>>2]=t;n=j+48|0;o=j+44|0;f[o>>2]=n;f[n>>2]=0;f[j+52>>2]=0;w=f[b>>2]|0;do if((w|0)==41800){if(f[b+80>>2]|0?!(+p[b+184>>3]==0.0):0){x=21;break}y=b+8|0;if((i|0)!=(y|0)){z=b+44|0;A=f[z>>2]|0;if(A){B=A+12|0;f[B>>2]=(f[B>>2]|0)+1;B=i+36|0;A=f[B>>2]|0;if((A|0)!=0?(C=A+12|0,A=f[C>>2]|0,f[C>>2]=A+-1,(A|0)==1):0){lP(i);D=B}else D=B}else D=i+36|0;f[D>>2]=0;B=i+16|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[a>>2]|0)>0){A=f[m>>2]|0;C=0;do{f[A+(C<<2)>>2]=0;C=C+1|0;E=f[a>>2]|0}while((C|0)<(E|0));f[i>>2]=f[y>>2];if((E|0)<3)x=16;else x=18}else{f[i>>2]=f[y>>2];x=16}if((x|0)==16){C=f[b+12>>2]|0;if((C|0)<3){f[a>>2]=C;f[l>>2]=f[b+16>>2];f[i+12>>2]=f[b+20>>2];C=f[b+52>>2]|0;A=f[r>>2]|0;f[A>>2]=f[C>>2];f[A+4>>2]=f[C+4>>2]}else x=18}if((x|0)==18)kP(i,y);f[B>>2]=f[b+24>>2];f[i+20>>2]=f[b+28>>2];f[i+24>>2]=f[b+32>>2];f[i+28>>2]=f[b+36>>2];f[i+32>>2]=f[b+40>>2];f[D>>2]=f[z>>2]}F=+p[b+176>>3];C=b+192|0;f[h>>2]=f[C>>2];f[h+4>>2]=f[C+4>>2];f[h+8>>2]=f[C+8>>2];f[h+12>>2]=f[C+12>>2];f[h+16>>2]=f[C+16>>2];f[h+20>>2]=f[C+20>>2];f[h+24>>2]=f[C+24>>2];f[h+28>>2]=f[C+28>>2];G=F}else x=21;while(0);if((x|0)==21){rh[f[(f[w>>2]|0)+12>>2]&255](w,b,i,-1);G=1.0}w=f[c>>2]|0;do if((w|0)==41800){if(f[c+80>>2]|0?!(+p[c+184>>3]==0.0):0){x=41;break}D=c+8|0;if((j|0)!=(D|0)){l=c+44|0;E=f[l>>2]|0;if(E|0){C=E+12|0;f[C>>2]=(f[C>>2]|0)+1}C=j+36|0;E=f[C>>2]|0;if(E|0?(A=E+12|0,E=f[A>>2]|0,f[A>>2]=E+-1,(E|0)==1):0)lP(j);f[C>>2]=0;E=j+16|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[s>>2]|0)>0){A=f[v>>2]|0;H=0;do{f[A+(H<<2)>>2]=0;H=H+1|0;I=f[s>>2]|0}while((H|0)<(I|0));f[j>>2]=f[D>>2];if((I|0)<3)x=36;else x=38}else{f[j>>2]=f[D>>2];x=36}if((x|0)==36){H=f[c+12>>2]|0;if((H|0)<3){f[s>>2]=H;f[t>>2]=f[c+16>>2];f[j+12>>2]=f[c+20>>2];H=f[c+52>>2]|0;A=f[o>>2]|0;f[A>>2]=f[H>>2];f[A+4>>2]=f[H+4>>2]}else x=38}if((x|0)==38)kP(j,D);f[E>>2]=f[c+24>>2];f[j+20>>2]=f[c+28>>2];f[j+24>>2]=f[c+32>>2];f[j+28>>2]=f[c+36>>2];f[j+32>>2]=f[c+40>>2];f[C>>2]=f[l>>2]}F=+p[c+176>>3];p[h>>3]=+p[c+192>>3]+ +p[h>>3];H=h+8|0;p[H>>3]=+p[c+200>>3]+ +p[H>>3];H=h+16|0;p[H>>3]=+p[c+208>>3]+ +p[H>>3];H=h+24|0;p[H>>3]=+p[c+216>>3]+ +p[H>>3];J=F}else x=41;while(0);if((x|0)==41){rh[f[(f[w>>2]|0)+12>>2]&255](w,c,j,-1);J=1.0}EF(d,i,j,G,J,h);h=j+36|0;w=f[h>>2]|0;if(w|0?(x=w+12|0,w=f[x>>2]|0,f[x>>2]=w+-1,(w|0)==1):0)lP(j);f[h>>2]=0;h=j+16|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[s>>2]|0)>0){h=f[v>>2]|0;v=0;do{f[h+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[s>>2]|0))}s=f[o>>2]|0;if((s|0)!=(n|0))tE(s);s=i+36|0;n=f[s>>2]|0;if(n|0?(o=n+12|0,n=f[o>>2]|0,f[o>>2]=n+-1,(n|0)==1):0)lP(i);f[s>>2]=0;s=i+16|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[a>>2]|0)>0){s=f[m>>2]|0;m=0;do{f[s+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[a>>2]|0))}a=f[r>>2]|0;if((a|0)!=(q|0))tE(a)}else rh[f[(f[k>>2]|0)+52>>2]&255](k,b,c,d);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function HE(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;a=u;u=u+128|0;e=a+112|0;g=a+56|0;h=a;zT(e,42716);f[g>>2]=1124007936;i=g+4|0;j=g+8|0;k=g+40|0;l=i;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=j;j=g+48|0;n=g+44|0;f[n>>2]=j;f[j>>2]=0;f[g+52>>2]=0;o=f[b>>2]|0;rh[f[(f[o>>2]|0)+12>>2]&255](o,b,g,-1);f[h>>2]=1124007936;b=h+4|0;o=h+8|0;p=h+40|0;l=b;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[p>>2]=o;o=h+48|0;l=h+44|0;f[l>>2]=o;f[o>>2]=0;f[h+52>>2]=0;EF(d,g,h,1.0,0.0,c);c=h+36|0;d=f[c>>2]|0;if(d|0?(m=d+12|0,d=f[m>>2]|0,f[m>>2]=d+-1,(d|0)==1):0)lP(h);f[c>>2]=0;c=h+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[p>>2]|0;p=0;do{f[c+(p<<2)>>2]=0;p=p+1|0}while((p|0)<(f[b>>2]|0))}b=f[l>>2]|0;if((b|0)!=(o|0))tE(b);b=g+36|0;o=f[b>>2]|0;if(o|0?(l=o+12|0,o=f[l>>2]|0,f[l>>2]=o+-1,(o|0)==1):0)lP(g);f[b>>2]=0;b=g+16|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[i>>2]|0)>0){b=f[k>>2]|0;k=0;do{f[b+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[i>>2]|0))}i=f[n>>2]|0;if((i|0)!=(j|0))tE(i);if(!(f[e+4>>2]|0)){u=a;return}u=a;return}function IE(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0.0,G=0.0,H=0,I=0,J=0.0;e=u;u=u+160|0;g=e+144|0;h=e;i=e+88|0;j=e+32|0;zT(g,42696);k=f[c>>2]|0;if((k|0)==(a|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[h+28>>2]=0;f[i>>2]=1124007936;a=i+4|0;l=i+8|0;m=i+40|0;n=a;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;q=i+48|0;r=i+44|0;f[r>>2]=q;f[q>>2]=0;f[i+52>>2]=0;f[j>>2]=1124007936;s=j+4|0;t=j+8|0;v=j+40|0;n=s;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[v>>2]=t;n=j+48|0;o=j+44|0;f[o>>2]=n;f[n>>2]=0;f[j+52>>2]=0;w=f[b>>2]|0;do if((w|0)==41800){if(f[b+80>>2]|0?!(+p[b+184>>3]==0.0):0){x=21;break}y=b+8|0;if((i|0)!=(y|0)){z=b+44|0;A=f[z>>2]|0;if(A){B=A+12|0;f[B>>2]=(f[B>>2]|0)+1;B=i+36|0;A=f[B>>2]|0;if((A|0)!=0?(C=A+12|0,A=f[C>>2]|0,f[C>>2]=A+-1,(A|0)==1):0){lP(i);D=B}else D=B}else D=i+36|0;f[D>>2]=0;B=i+16|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[a>>2]|0)>0){A=f[m>>2]|0;C=0;do{f[A+(C<<2)>>2]=0;C=C+1|0;E=f[a>>2]|0}while((C|0)<(E|0));f[i>>2]=f[y>>2];if((E|0)<3)x=16;else x=18}else{f[i>>2]=f[y>>2];x=16}if((x|0)==16){C=f[b+12>>2]|0;if((C|0)<3){f[a>>2]=C;f[l>>2]=f[b+16>>2];f[i+12>>2]=f[b+20>>2];C=f[b+52>>2]|0;A=f[r>>2]|0;f[A>>2]=f[C>>2];f[A+4>>2]=f[C+4>>2]}else x=18}if((x|0)==18)kP(i,y);f[B>>2]=f[b+24>>2];f[i+20>>2]=f[b+28>>2];f[i+24>>2]=f[b+32>>2];f[i+28>>2]=f[b+36>>2];f[i+32>>2]=f[b+40>>2];f[D>>2]=f[z>>2]}F=+p[b+176>>3];C=b+192|0;f[h>>2]=f[C>>2];f[h+4>>2]=f[C+4>>2];f[h+8>>2]=f[C+8>>2];f[h+12>>2]=f[C+12>>2];f[h+16>>2]=f[C+16>>2];f[h+20>>2]=f[C+20>>2];f[h+24>>2]=f[C+24>>2];f[h+28>>2]=f[C+28>>2];G=F}else x=21;while(0);if((x|0)==21){rh[f[(f[w>>2]|0)+12>>2]&255](w,b,i,-1);G=1.0}w=f[c>>2]|0;do if((w|0)==41800){if(f[c+80>>2]|0?!(+p[c+184>>3]==0.0):0){x=41;break}D=c+8|0;if((j|0)!=(D|0)){l=c+44|0;E=f[l>>2]|0;if(E|0){C=E+12|0;f[C>>2]=(f[C>>2]|0)+1}C=j+36|0;E=f[C>>2]|0;if(E|0?(A=E+12|0,E=f[A>>2]|0,f[A>>2]=E+-1,(E|0)==1):0)lP(j);f[C>>2]=0;E=j+16|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[s>>2]|0)>0){A=f[v>>2]|0;H=0;do{f[A+(H<<2)>>2]=0;H=H+1|0;I=f[s>>2]|0}while((H|0)<(I|0));f[j>>2]=f[D>>2];if((I|0)<3)x=36;else x=38}else{f[j>>2]=f[D>>2];x=36}if((x|0)==36){H=f[c+12>>2]|0;if((H|0)<3){f[s>>2]=H;f[t>>2]=f[c+16>>2];f[j+12>>2]=f[c+20>>2];H=f[c+52>>2]|0;A=f[o>>2]|0;f[A>>2]=f[H>>2];f[A+4>>2]=f[H+4>>2]}else x=38}if((x|0)==38)kP(j,D);f[E>>2]=f[c+24>>2];f[j+20>>2]=f[c+28>>2];f[j+24>>2]=f[c+32>>2];f[j+28>>2]=f[c+36>>2];f[j+32>>2]=f[c+40>>2];f[C>>2]=f[l>>2]}F=-+p[c+176>>3];p[h>>3]=+p[h>>3]-+p[c+192>>3];H=h+8|0;p[H>>3]=+p[H>>3]-+p[c+200>>3];H=h+16|0;p[H>>3]=+p[H>>3]-+p[c+208>>3];H=h+24|0;p[H>>3]=+p[H>>3]-+p[c+216>>3];J=F}else x=41;while(0);if((x|0)==41){rh[f[(f[w>>2]|0)+12>>2]&255](w,c,j,-1);J=-1.0}EF(d,i,j,G,J,h);h=j+36|0;w=f[h>>2]|0;if(w|0?(x=w+12|0,w=f[x>>2]|0,f[x>>2]=w+-1,(w|0)==1):0)lP(j);f[h>>2]=0;h=j+16|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[s>>2]|0)>0){h=f[v>>2]|0;v=0;do{f[h+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[s>>2]|0))}s=f[o>>2]|0;if((s|0)!=(n|0))tE(s);s=i+36|0;n=f[s>>2]|0;if(n|0?(o=n+12|0,n=f[o>>2]|0,f[o>>2]=n+-1,(n|0)==1):0)lP(i);f[s>>2]=0;s=i+16|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[a>>2]|0)>0){s=f[m>>2]|0;m=0;do{f[s+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[a>>2]|0))}a=f[r>>2]|0;if((a|0)!=(q|0))tE(a)}else rh[f[(f[k>>2]|0)+60>>2]&255](k,b,c,d);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function JE(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;a=u;u=u+128|0;e=a+112|0;g=a+56|0;h=a;zT(e,42676);f[g>>2]=1124007936;i=g+4|0;j=g+8|0;k=g+40|0;l=i;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=j;j=g+48|0;n=g+44|0;f[n>>2]=j;f[j>>2]=0;f[g+52>>2]=0;o=f[c>>2]|0;rh[f[(f[o>>2]|0)+12>>2]&255](o,c,g,-1);f[h>>2]=1124007936;c=h+4|0;o=h+8|0;p=h+40|0;l=c;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[p>>2]=o;o=h+48|0;l=h+44|0;f[l>>2]=o;f[o>>2]=0;f[h+52>>2]=0;EF(d,g,h,-1.0,0.0,b);b=h+36|0;d=f[b>>2]|0;if(d|0?(m=d+12|0,d=f[m>>2]|0,f[m>>2]=d+-1,(d|0)==1):0)lP(h);f[b>>2]=0;b=h+16|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[c>>2]|0)>0){b=f[p>>2]|0;p=0;do{f[b+(p<<2)>>2]=0;p=p+1|0}while((p|0)<(f[c>>2]|0))}c=f[l>>2]|0;if((c|0)!=(o|0))tE(c);c=g+36|0;o=f[c>>2]|0;if(o|0?(l=o+12|0,o=f[l>>2]|0,f[l>>2]=o+-1,(o|0)==1):0)lP(g);f[c>>2]=0;c=g+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[i>>2]|0)>0){c=f[k>>2]|0;k=0;do{f[c+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[i>>2]|0))}i=f[n>>2]|0;if((i|0)!=(j|0))tE(i);if(!(f[e+4>>2]|0)){u=a;return}u=a;return}function KE(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0.0,H=0.0,I=0.0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0.0,R=0;g=u;u=u+128|0;h=g+112|0;i=g+56|0;j=g;zT(h,42656);k=f[c>>2]|0;if((k|0)==(a|0)){f[i>>2]=1124007936;l=i+4|0;m=i+8|0;n=i+40|0;o=l;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[n>>2]=m;r=i+48|0;s=i+44|0;f[s>>2]=r;f[r>>2]=0;f[i+52>>2]=0;f[j>>2]=1124007936;t=j+4|0;v=j+8|0;w=j+40|0;o=t;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[w>>2]=v;o=j+48|0;q=j+44|0;f[q>>2]=o;f[o>>2]=0;f[j+52>>2]=0;x=f[b>>2]|0;do if(!((x|0)==42160?(f[b+4>>2]|0)==47:0))if((x|0)==41800){if(f[b+80>>2]|0?!(+p[b+184>>3]==0.0):0){y=52;break}if(((+p[b+192>>3]==0.0?+p[b+200>>3]==0.0:0)?+p[b+208>>3]==0.0:0)?+p[b+216>>3]==0.0:0){z=b+8|0;if((i|0)!=(z|0)){A=b+44|0;B=f[A>>2]|0;if(B){C=B+12|0;f[C>>2]=(f[C>>2]|0)+1;C=i+36|0;B=f[C>>2]|0;if((B|0)!=0?(D=B+12|0,B=f[D>>2]|0,f[D>>2]=B+-1,(B|0)==1):0){lP(i);E=C}else E=C}else E=i+36|0;f[E>>2]=0;C=i+16|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[l>>2]|0)>0){B=f[n>>2]|0;D=0;do{f[B+(D<<2)>>2]=0;D=D+1|0;F=f[l>>2]|0}while((D|0)<(F|0));f[i>>2]=f[z>>2];if((F|0)<3)y=47;else y=49}else{f[i>>2]=f[z>>2];y=47}if((y|0)==47){D=f[b+12>>2]|0;if((D|0)<3){f[l>>2]=D;f[m>>2]=f[b+16>>2];f[i+12>>2]=f[b+20>>2];D=f[b+52>>2]|0;B=f[s>>2]|0;f[B>>2]=f[D>>2];f[B+4>>2]=f[D+4>>2]}else y=49}if((y|0)==49)kP(i,z);f[C>>2]=f[b+24>>2];f[i+20>>2]=f[b+28>>2];f[i+24>>2]=f[b+32>>2];f[i+28>>2]=f[b+36>>2];f[i+32>>2]=f[b+40>>2];f[E>>2]=f[A>>2]}G=+p[b+176>>3]*e;y=53}else y=52}else y=52;else{if(f[b+80>>2]|0?!(+p[b+184>>3]==0.0):0){y=52;break}do if((a|0)==41800){if(f[c+80>>2]|0?!(+p[c+184>>3]==0.0):0){y=27;break}if(((+p[c+192>>3]==0.0?+p[c+200>>3]==0.0:0)?+p[c+208>>3]==0.0:0)?+p[c+216>>3]==0.0:0){H=+p[c+176>>3]*e;D=c+8|0;if((j|0)==(D|0))I=H;else{B=c+44|0;J=f[B>>2]|0;if(J){K=J+12|0;f[K>>2]=(f[K>>2]|0)+1;K=j+36|0;J=f[K>>2]|0;if((J|0)!=0?(L=J+12|0,J=f[L>>2]|0,f[L>>2]=J+-1,(J|0)==1):0){lP(j);M=K}else M=K}else M=j+36|0;f[M>>2]=0;K=j+16|0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[t>>2]|0)>0){J=f[w>>2]|0;L=0;do{f[J+(L<<2)>>2]=0;L=L+1|0;N=f[t>>2]|0}while((L|0)<(N|0));f[j>>2]=f[D>>2];if((N|0)<3)y=23;else y=25}else{f[j>>2]=f[D>>2];y=23}if((y|0)==23){L=f[c+12>>2]|0;if((L|0)<3){f[t>>2]=L;f[v>>2]=f[c+16>>2];f[j+12>>2]=f[c+20>>2];L=f[c+52>>2]|0;J=f[q>>2]|0;f[J>>2]=f[L>>2];f[J+4>>2]=f[L+4>>2]}else y=25}if((y|0)==25)kP(j,D);f[K>>2]=f[c+24>>2];f[j+20>>2]=f[c+28>>2];f[j+24>>2]=f[c+32>>2];f[j+28>>2]=f[c+36>>2];f[j+32>>2]=f[c+40>>2];f[M>>2]=f[B>>2];I=H}}else y=27}else y=27;while(0);if((y|0)==27){rh[f[(f[a>>2]|0)+12>>2]&255](a,c,j,-1);I=e}yF(d,47,j,b+8|0,I/+p[b+176>>3])}while(0);if((y|0)==52){rh[f[(f[x>>2]|0)+12>>2]&255](x,b,i,-1);G=e;y=53}if((y|0)==53){x=f[c>>2]|0;do if((x|0)==41800){if(f[c+80>>2]|0?!(+p[c+184>>3]==0.0):0){y=95;break}if(((+p[c+192>>3]==0.0?+p[c+200>>3]==0.0:0)?+p[c+208>>3]==0.0:0)?+p[c+216>>3]==0.0:0){a=c+8|0;if((j|0)!=(a|0)){M=c+44|0;N=f[M>>2]|0;if(N|0){E=N+12|0;f[E>>2]=(f[E>>2]|0)+1}E=j+36|0;N=f[E>>2]|0;if(N|0?(m=N+12|0,N=f[m>>2]|0,f[m>>2]=N+-1,(N|0)==1):0)lP(j);f[E>>2]=0;N=j+16|0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;if((f[t>>2]|0)>0){m=f[w>>2]|0;F=0;do{f[m+(F<<2)>>2]=0;F=F+1|0;O=f[t>>2]|0}while((F|0)<(O|0));f[j>>2]=f[a>>2];if((O|0)<3)y=71;else y=73}else{f[j>>2]=f[a>>2];y=71}if((y|0)==71){F=f[c+12>>2]|0;if((F|0)<3){f[t>>2]=F;f[v>>2]=f[c+16>>2];f[j+12>>2]=f[c+20>>2];F=f[c+52>>2]|0;m=f[q>>2]|0;f[m>>2]=f[F>>2];f[m+4>>2]=f[F+4>>2]}else y=73}if((y|0)==73)kP(j,a);f[N>>2]=f[c+24>>2];f[j+20>>2]=f[c+28>>2];f[j+24>>2]=f[c+32>>2];f[j+28>>2]=f[c+36>>2];f[j+32>>2]=f[c+40>>2];f[E>>2]=f[M>>2]}P=42;Q=G*+p[c+176>>3]}else y=95}else if((x|0)==42160?(f[c+4>>2]|0)==47:0){if(f[c+80>>2]|0?!(+p[c+184>>3]==0.0):0){y=95;break}F=c+8|0;if((j|0)!=(F|0)){m=c+44|0;A=f[m>>2]|0;if(A|0){C=A+12|0;f[C>>2]=(f[C>>2]|0)+1}C=j+36|0;A=f[C>>2]|0;if(A|0?(z=A+12|0,A=f[z>>2]|0,f[z>>2]=A+-1,(A|0)==1):0)lP(j);f[C>>2]=0;A=j+16|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[t>>2]|0)>0){z=f[w>>2]|0;L=0;do{f[z+(L<<2)>>2]=0;L=L+1|0;R=f[t>>2]|0}while((L|0)<(R|0));f[j>>2]=f[F>>2];if((R|0)<3)y=90;else y=92}else{f[j>>2]=f[F>>2];y=90}if((y|0)==90){L=f[c+12>>2]|0;if((L|0)<3){f[t>>2]=L;f[v>>2]=f[c+16>>2];f[j+12>>2]=f[c+20>>2];L=f[c+52>>2]|0;z=f[q>>2]|0;f[z>>2]=f[L>>2];f[z+4>>2]=f[L+4>>2]}else y=92}if((y|0)==92)kP(j,F);f[A>>2]=f[c+24>>2];f[j+20>>2]=f[c+28>>2];f[j+24>>2]=f[c+32>>2];f[j+28>>2]=f[c+36>>2];f[j+32>>2]=f[c+40>>2];f[C>>2]=f[m>>2]}P=47;Q=G*+p[c+176>>3]}else y=95;while(0);if((y|0)==95){rh[f[(f[x>>2]|0)+12>>2]&255](x,c,j,-1);P=42;Q=G}yF(d,P,i,j,Q)}P=j+36|0;x=f[P>>2]|0;if(x|0?(y=x+12|0,x=f[y>>2]|0,f[y>>2]=x+-1,(x|0)==1):0)lP(j);f[P>>2]=0;P=j+16|0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;if((f[t>>2]|0)>0){P=f[w>>2]|0;w=0;do{f[P+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[t>>2]|0))}t=f[q>>2]|0;if((t|0)!=(o|0))tE(t);t=i+36|0;o=f[t>>2]|0;if(o|0?(q=o+12|0,o=f[q>>2]|0,f[q>>2]=o+-1,(o|0)==1):0)lP(i);f[t>>2]=0;t=i+16|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[l>>2]|0)>0){t=f[n>>2]|0;n=0;do{f[t+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[l>>2]|0))}l=f[s>>2]|0;if((l|0)!=(r|0))tE(l)}else yh[f[(f[k>>2]|0)+68>>2]&31](k,b,c,d,e);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function LE(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;a=u;u=u+160|0;e=a+144|0;g=a+88|0;h=a+32|0;i=a;zT(e,42636);f[g>>2]=1124007936;j=g+4|0;k=g+8|0;l=g+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;k=g+48|0;o=g+44|0;f[o>>2]=k;f[k>>2]=0;f[g+52>>2]=0;p=f[b>>2]|0;rh[f[(f[p>>2]|0)+12>>2]&255](p,b,g,-1);f[h>>2]=1124007936;b=h+4|0;p=h+8|0;q=h+40|0;m=b;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[q>>2]=p;p=h+48|0;m=h+44|0;f[m>>2]=p;f[p>>2]=0;f[h+52>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;f[i+24>>2]=0;f[i+28>>2]=0;EF(d,g,h,c,0.0,i);i=h+36|0;d=f[i>>2]|0;if(d|0?(n=d+12|0,d=f[n>>2]|0,f[n>>2]=d+-1,(d|0)==1):0)lP(h);f[i>>2]=0;i=h+16|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[b>>2]|0)>0){i=f[q>>2]|0;q=0;do{f[i+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[b>>2]|0))}b=f[m>>2]|0;if((b|0)!=(p|0))tE(b);b=g+36|0;p=f[b>>2]|0;if(p|0?(m=p+12|0,p=f[m>>2]|0,f[m>>2]=p+-1,(p|0)==1):0)lP(g);f[b>>2]=0;b=g+16|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[j>>2]|0)>0){b=f[l>>2]|0;l=0;do{f[b+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[j>>2]|0))}j=f[o>>2]|0;if((j|0)!=(k|0))tE(j);if(!(f[e+4>>2]|0)){u=a;return}u=a;return}function ME(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0.0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0,P=0;g=u;u=u+128|0;h=g+112|0;i=g+56|0;j=g;zT(h,42616);k=f[c>>2]|0;a:do if((k|0)==(a|0)){l=f[b>>2]|0;do if((l|0)==42160?(f[b+4>>2]|0)==47:0){if(f[b+80>>2]|0?!(+p[b+184>>3]==0.0):0)break;if((a|0)==42160?(f[c+4>>2]|0)==47:0){if(f[c+80>>2]|0?!(+p[c+184>>3]==0.0):0)break;yF(d,47,c+8|0,b+8|0,+p[b+176>>3]/+p[c+176>>3]);break a}}while(0);f[i>>2]=1124007936;m=i+4|0;n=i+8|0;o=i+40|0;q=m;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));f[o>>2]=n;s=i+48|0;t=i+44|0;f[t>>2]=s;f[s>>2]=0;f[i+52>>2]=0;f[j>>2]=1124007936;v=j+4|0;w=j+8|0;x=j+40|0;q=v;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));f[x>>2]=w;q=j+48|0;r=j+44|0;f[r>>2]=q;f[q>>2]=0;f[j+52>>2]=0;do if((l|0)==41800){if(f[b+80>>2]|0?!(+p[b+184>>3]==0.0):0){y=32;break}if(((+p[b+192>>3]==0.0?+p[b+200>>3]==0.0:0)?+p[b+208>>3]==0.0:0)?+p[b+216>>3]==0.0:0){z=b+8|0;if((i|0)!=(z|0)){A=b+44|0;B=f[A>>2]|0;if(B){C=B+12|0;f[C>>2]=(f[C>>2]|0)+1;C=i+36|0;B=f[C>>2]|0;if((B|0)!=0?(D=B+12|0,B=f[D>>2]|0,f[D>>2]=B+-1,(B|0)==1):0){lP(i);E=C}else E=C}else E=i+36|0;f[E>>2]=0;C=i+16|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[m>>2]|0)>0){B=f[o>>2]|0;D=0;do{f[B+(D<<2)>>2]=0;D=D+1|0;F=f[m>>2]|0}while((D|0)<(F|0));f[i>>2]=f[z>>2];if((F|0)<3)y=27;else y=29}else{f[i>>2]=f[z>>2];y=27}if((y|0)==27){D=f[b+12>>2]|0;if((D|0)<3){f[m>>2]=D;f[n>>2]=f[b+16>>2];f[i+12>>2]=f[b+20>>2];D=f[b+52>>2]|0;B=f[t>>2]|0;f[B>>2]=f[D>>2];f[B+4>>2]=f[D+4>>2]}else y=29}if((y|0)==29)kP(i,z);f[C>>2]=f[b+24>>2];f[i+20>>2]=f[b+28>>2];f[i+24>>2]=f[b+32>>2];f[i+28>>2]=f[b+36>>2];f[i+32>>2]=f[b+40>>2];f[E>>2]=f[A>>2]}G=+p[b+176>>3]*e}else y=32}else y=32;while(0);if((y|0)==32){rh[f[(f[l>>2]|0)+12>>2]&255](l,b,i,-1);G=e}n=f[c>>2]|0;do if((n|0)==41800){if(f[c+80>>2]|0?!(+p[c+184>>3]==0.0):0){y=75;break}if(((+p[c+192>>3]==0.0?+p[c+200>>3]==0.0:0)?+p[c+208>>3]==0.0:0)?+p[c+216>>3]==0.0:0){D=c+8|0;if((j|0)!=(D|0)){B=c+44|0;H=f[B>>2]|0;if(H|0){I=H+12|0;f[I>>2]=(f[I>>2]|0)+1}I=j+36|0;H=f[I>>2]|0;if(H|0?(J=H+12|0,H=f[J>>2]|0,f[J>>2]=H+-1,(H|0)==1):0)lP(j);f[I>>2]=0;H=j+16|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[v>>2]|0)>0){J=f[x>>2]|0;K=0;do{f[J+(K<<2)>>2]=0;K=K+1|0;L=f[v>>2]|0}while((K|0)<(L|0));f[j>>2]=f[D>>2];if((L|0)<3)y=51;else y=53}else{f[j>>2]=f[D>>2];y=51}if((y|0)==51){K=f[c+12>>2]|0;if((K|0)<3){f[v>>2]=K;f[w>>2]=f[c+16>>2];f[j+12>>2]=f[c+20>>2];K=f[c+52>>2]|0;J=f[r>>2]|0;f[J>>2]=f[K>>2];f[J+4>>2]=f[K+4>>2]}else y=53}if((y|0)==53)kP(j,D);f[H>>2]=f[c+24>>2];f[j+20>>2]=f[c+28>>2];f[j+24>>2]=f[c+32>>2];f[j+28>>2]=f[c+36>>2];f[j+32>>2]=f[c+40>>2];f[I>>2]=f[B>>2]}M=47;N=G/+p[c+176>>3]}else y=75}else if((n|0)==42160?(f[c+4>>2]|0)==47:0){if(f[c+80>>2]|0?!(+p[c+184>>3]==0.0):0){y=75;break}K=c+8|0;if((j|0)!=(K|0)){J=c+44|0;A=f[J>>2]|0;if(A|0){C=A+12|0;f[C>>2]=(f[C>>2]|0)+1}C=j+36|0;A=f[C>>2]|0;if(A|0?(z=A+12|0,A=f[z>>2]|0,f[z>>2]=A+-1,(A|0)==1):0)lP(j);f[C>>2]=0;A=j+16|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[v>>2]|0)>0){z=f[x>>2]|0;O=0;do{f[z+(O<<2)>>2]=0;O=O+1|0;P=f[v>>2]|0}while((O|0)<(P|0));f[j>>2]=f[K>>2];if((P|0)<3)y=70;else y=72}else{f[j>>2]=f[K>>2];y=70}if((y|0)==70){O=f[c+12>>2]|0;if((O|0)<3){f[v>>2]=O;f[w>>2]=f[c+16>>2];f[j+12>>2]=f[c+20>>2];O=f[c+52>>2]|0;z=f[r>>2]|0;f[z>>2]=f[O>>2];f[z+4>>2]=f[O+4>>2]}else y=72}if((y|0)==72)kP(j,K);f[A>>2]=f[c+24>>2];f[j+20>>2]=f[c+28>>2];f[j+24>>2]=f[c+32>>2];f[j+28>>2]=f[c+36>>2];f[j+32>>2]=f[c+40>>2];f[C>>2]=f[J>>2]}M=42;N=G/+p[c+176>>3]}else y=75;while(0);if((y|0)==75){rh[f[(f[n>>2]|0)+12>>2]&255](n,c,j,-1);M=47;N=G}yF(d,M,i,j,N);w=j+36|0;l=f[w>>2]|0;if(l|0?(O=l+12|0,l=f[O>>2]|0,f[O>>2]=l+-1,(l|0)==1):0)lP(j);f[w>>2]=0;w=j+16|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[v>>2]|0)>0){w=f[x>>2]|0;l=0;do{f[w+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[v>>2]|0))}v=f[r>>2]|0;if((v|0)!=(q|0))tE(v);v=i+36|0;l=f[v>>2]|0;if(l|0?(w=l+12|0,l=f[w>>2]|0,f[w>>2]=l+-1,(l|0)==1):0)lP(i);f[v>>2]=0;v=i+16|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[m>>2]|0)>0){v=f[o>>2]|0;l=0;do{f[v+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[m>>2]|0))}m=f[t>>2]|0;if((m|0)!=(s|0))tE(m)}else yh[f[(f[k>>2]|0)+76>>2]&31](k,b,c,d,e);while(0);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function NE(a,b,c,d){a=a|0;b=+b;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;a=u;u=u+128|0;e=a+112|0;g=a+56|0;h=a;zT(e,42596);f[g>>2]=1124007936;i=g+4|0;j=g+8|0;k=g+40|0;l=i;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=j;j=g+48|0;n=g+44|0;f[n>>2]=j;f[j>>2]=0;f[g+52>>2]=0;o=f[c>>2]|0;rh[f[(f[o>>2]|0)+12>>2]&255](o,c,g,-1);f[h>>2]=1124007936;c=h+4|0;o=h+8|0;p=h+40|0;l=c;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[p>>2]=o;o=h+48|0;l=h+44|0;f[l>>2]=o;f[o>>2]=0;f[h+52>>2]=0;yF(d,47,g,h,b);d=h+36|0;m=f[d>>2]|0;if(m|0?(q=m+12|0,m=f[q>>2]|0,f[q>>2]=m+-1,(m|0)==1):0)lP(h);f[d>>2]=0;d=h+16|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[c>>2]|0)>0){d=f[p>>2]|0;p=0;do{f[d+(p<<2)>>2]=0;p=p+1|0}while((p|0)<(f[c>>2]|0))}c=f[l>>2]|0;if((c|0)!=(o|0))tE(c);c=g+36|0;o=f[c>>2]|0;if(o|0?(l=o+12|0,o=f[l>>2]|0,f[l>>2]=o+-1,(o|0)==1):0)lP(g);f[c>>2]=0;c=g+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[i>>2]|0)>0){c=f[k>>2]|0;k=0;do{f[c+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[i>>2]|0))}i=f[n>>2]|0;if((i|0)!=(j|0))tE(i);if(!(f[e+4>>2]|0)){u=a;return}u=a;return}function OE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;a=u;u=u+128|0;d=a+112|0;e=a+56|0;g=a;zT(d,42576);f[e>>2]=1124007936;h=e+4|0;i=e+8|0;j=e+40|0;k=h;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=e+48|0;m=e+44|0;f[m>>2]=i;f[i>>2]=0;f[e+52>>2]=0;n=f[b>>2]|0;rh[f[(f[n>>2]|0)+12>>2]&255](n,b,e,-1);f[g>>2]=1124007936;b=g+4|0;n=g+8|0;o=g+40|0;k=b;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[o>>2]=n;n=g+48|0;k=g+44|0;f[k>>2]=n;f[n>>2]=0;f[g+52>>2]=0;yF(c,97,e,g,1.0);c=g+36|0;l=f[c>>2]|0;if(l|0?(p=l+12|0,l=f[p>>2]|0,f[p>>2]=l+-1,(l|0)==1):0)lP(g);f[c>>2]=0;c=g+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[o>>2]|0;o=0;do{f[c+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[b>>2]|0))}b=f[k>>2]|0;if((b|0)!=(n|0))tE(b);b=e+36|0;n=f[b>>2]|0;if(n|0?(k=n+12|0,n=f[k>>2]|0,f[k>>2]=n+-1,(n|0)==1):0)lP(e);f[b>>2]=0;b=e+16|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[h>>2]|0)>0){b=f[j>>2]|0;j=0;do{f[b+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[h>>2]|0))}h=f[m>>2]|0;if((h|0)!=(i|0))tE(h);if(!(f[d+4>>2]|0)){u=a;return}u=a;return}function PE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;a=u;u=u+64|0;d=a+56|0;e=a;zT(d,42556);f[e>>2]=1124007936;g=e+4|0;h=e+8|0;i=e+40|0;j=g;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;h=e+48|0;j=e+44|0;f[j>>2]=h;f[h>>2]=0;f[e+52>>2]=0;k=f[b>>2]|0;rh[f[(f[k>>2]|0)+12>>2]&255](k,b,e,-1);wF(c,e,1.0);c=e+36|0;b=f[c>>2]|0;if(b|0?(k=b+12|0,b=f[k>>2]|0,f[k>>2]=b+-1,(b|0)==1):0)lP(e);f[c>>2]=0;c=e+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[g>>2]|0)>0){c=f[i>>2]|0;i=0;do{f[c+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[g>>2]|0))}g=f[j>>2]|0;if((g|0)!=(h|0))tE(g);if(!(f[d+4>>2]|0)){u=a;return}u=a;return}function QE(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0,T=0.0,U=0;e=u;u=u+432|0;g=e+32|0;h=e;i=e+368|0;j=e+312|0;k=e+256|0;l=f[c>>2]|0;if((l|0)!=(a|0)){rh[f[(f[l>>2]|0)+92>>2]&255](l,b,c,d);u=e;return}f[i>>2]=1124007936;l=i+4|0;a=i+8|0;m=i+40|0;n=l;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=a;q=i+48|0;r=i+44|0;f[r>>2]=q;f[q>>2]=0;f[i+52>>2]=0;f[j>>2]=1124007936;s=j+4|0;t=j+8|0;v=j+40|0;n=s;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[v>>2]=t;w=j+48|0;x=j+44|0;f[x>>2]=w;f[w>>2]=0;f[j+52>>2]=0;y=f[b>>2]|0;a:do if((y|0)==41796){z=+p[b+176>>3];A=b+8|0;if((i|0)==(A|0)){B=1;C=z}else{D=b+44|0;E=f[D>>2]|0;if(E){F=E+12|0;f[F>>2]=(f[F>>2]|0)+1;F=i+36|0;E=f[F>>2]|0;if((E|0)!=0?(G=E+12|0,E=f[G>>2]|0,f[G>>2]=E+-1,(E|0)==1):0){lP(i);H=F}else H=F}else H=i+36|0;f[H>>2]=0;F=i+16|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[l>>2]|0)>0){E=f[m>>2]|0;G=0;do{f[E+(G<<2)>>2]=0;G=G+1|0;I=f[l>>2]|0}while((G|0)<(I|0));f[i>>2]=f[A>>2];if((I|0)<3)J=14;else J=16}else{f[i>>2]=f[A>>2];J=14}if((J|0)==14){G=f[b+12>>2]|0;if((G|0)<3){f[l>>2]=G;f[a>>2]=f[b+16>>2];f[i+12>>2]=f[b+20>>2];G=f[b+52>>2]|0;E=f[r>>2]|0;f[E>>2]=f[G>>2];f[E+4>>2]=f[G+4>>2]}else J=16}if((J|0)==16)kP(i,A);f[F>>2]=f[b+24>>2];f[i+20>>2]=f[b+28>>2];f[i+24>>2]=f[b+32>>2];f[i+28>>2]=f[b+36>>2];f[i+32>>2]=f[b+40>>2];f[H>>2]=f[D>>2];B=1;C=z}}else{do if((y|0)==41800){if(f[b+80>>2]|0?!(+p[b+184>>3]==0.0):0)break;if(((+p[b+192>>3]==0.0?+p[b+200>>3]==0.0:0)?+p[b+208>>3]==0.0:0)?+p[b+216>>3]==0.0:0){K=+p[b+176>>3];G=b+8|0;if((i|0)==(G|0)){B=0;C=K;break a}E=b+44|0;L=f[E>>2]|0;if(L){M=L+12|0;f[M>>2]=(f[M>>2]|0)+1;M=i+36|0;L=f[M>>2]|0;if((L|0)!=0?(N=L+12|0,L=f[N>>2]|0,f[N>>2]=L+-1,(L|0)==1):0){lP(i);O=M}else O=M}else O=i+36|0;f[O>>2]=0;M=i+16|0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[l>>2]|0)>0){L=f[m>>2]|0;N=0;do{f[L+(N<<2)>>2]=0;N=N+1|0;P=f[l>>2]|0}while((N|0)<(P|0));f[i>>2]=f[G>>2];if((P|0)<3)J=36;else J=38}else{f[i>>2]=f[G>>2];J=36}if((J|0)==36){N=f[b+12>>2]|0;if((N|0)<3){f[l>>2]=N;f[a>>2]=f[b+16>>2];f[i+12>>2]=f[b+20>>2];N=f[b+52>>2]|0;L=f[r>>2]|0;f[L>>2]=f[N>>2];f[L+4>>2]=f[N+4>>2]}else J=38}if((J|0)==38)kP(i,G);f[M>>2]=f[b+24>>2];f[i+20>>2]=f[b+28>>2];f[i+24>>2]=f[b+32>>2];f[i+28>>2]=f[b+36>>2];f[i+32>>2]=f[b+40>>2];f[O>>2]=f[E>>2];B=0;C=K;break a}}while(0);rh[f[(f[y>>2]|0)+12>>2]&255](y,b,i,-1);B=0;C=1.0}while(0);b=f[c>>2]|0;b:do if((b|0)==41796){y=B|2;z=C*+p[c+176>>3];O=c+8|0;if((j|0)==(O|0)){Q=y;R=z}else{a=c+44|0;P=f[a>>2]|0;if(P|0){H=P+12|0;f[H>>2]=(f[H>>2]|0)+1}H=j+36|0;P=f[H>>2]|0;if(P|0?(I=P+12|0,P=f[I>>2]|0,f[I>>2]=P+-1,(P|0)==1):0)lP(j);f[H>>2]=0;P=j+16|0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;if((f[s>>2]|0)>0){I=f[v>>2]|0;D=0;do{f[I+(D<<2)>>2]=0;D=D+1|0;S=f[s>>2]|0}while((D|0)<(S|0));f[j>>2]=f[O>>2];if((S|0)<3)J=53;else J=55}else{f[j>>2]=f[O>>2];J=53}if((J|0)==53){D=f[c+12>>2]|0;if((D|0)<3){f[s>>2]=D;f[t>>2]=f[c+16>>2];f[j+12>>2]=f[c+20>>2];D=f[c+52>>2]|0;I=f[x>>2]|0;f[I>>2]=f[D>>2];f[I+4>>2]=f[D+4>>2]}else J=55}if((J|0)==55)kP(j,O);f[P>>2]=f[c+24>>2];f[j+20>>2]=f[c+28>>2];f[j+24>>2]=f[c+32>>2];f[j+28>>2]=f[c+36>>2];f[j+32>>2]=f[c+40>>2];f[H>>2]=f[a>>2];Q=y;R=z}}else{do if((b|0)==41800){if(f[c+80>>2]|0?!(+p[c+184>>3]==0.0):0)break;if(((+p[c+192>>3]==0.0?+p[c+200>>3]==0.0:0)?+p[c+208>>3]==0.0:0)?+p[c+216>>3]==0.0:0){T=C*+p[c+176>>3];D=c+8|0;if((j|0)==(D|0)){Q=B;R=T;break b}I=c+44|0;F=f[I>>2]|0;if(F|0){A=F+12|0;f[A>>2]=(f[A>>2]|0)+1}A=j+36|0;F=f[A>>2]|0;if(F|0?(N=F+12|0,F=f[N>>2]|0,f[N>>2]=F+-1,(F|0)==1):0)lP(j);f[A>>2]=0;F=j+16|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[s>>2]|0)>0){N=f[v>>2]|0;L=0;do{f[N+(L<<2)>>2]=0;L=L+1|0;U=f[s>>2]|0}while((L|0)<(U|0));f[j>>2]=f[D>>2];if((U|0)<3)J=75;else J=77}else{f[j>>2]=f[D>>2];J=75}if((J|0)==75){L=f[c+12>>2]|0;if((L|0)<3){f[s>>2]=L;f[t>>2]=f[c+16>>2];f[j+12>>2]=f[c+20>>2];L=f[c+52>>2]|0;N=f[x>>2]|0;f[N>>2]=f[L>>2];f[N+4>>2]=f[L+4>>2]}else J=77}if((J|0)==77)kP(j,D);f[F>>2]=f[c+24>>2];f[j+20>>2]=f[c+28>>2];f[j+24>>2]=f[c+32>>2];f[j+28>>2]=f[c+36>>2];f[j+32>>2]=f[c+40>>2];f[A>>2]=f[I>>2];Q=B;R=T;break b}}while(0);rh[f[(f[b>>2]|0)+12>>2]&255](b,c,j,-1);Q=B;R=C}while(0);f[k>>2]=1124007936;B=k+4|0;c=k+8|0;b=k+40|0;n=B;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[b>>2]=c;c=k+48|0;n=k+44|0;f[n>>2]=c;f[c>>2]=0;f[k+52>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[h+28>>2]=0;VE(g,41804,Q,i,j,k,R,1.0,h);WE(d,g)|0;Xi(g);g=k+36|0;d=f[g>>2]|0;if(d|0?(h=d+12|0,d=f[h>>2]|0,f[h>>2]=d+-1,(d|0)==1):0)lP(k);f[g>>2]=0;g=k+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[B>>2]|0)>0){g=f[b>>2]|0;b=0;do{f[g+(b<<2)>>2]=0;b=b+1|0}while((b|0)<(f[B>>2]|0))}B=f[n>>2]|0;if((B|0)!=(c|0))tE(B);B=j+36|0;c=f[B>>2]|0;if(c|0?(n=c+12|0,c=f[n>>2]|0,f[n>>2]=c+-1,(c|0)==1):0)lP(j);f[B>>2]=0;B=j+16|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[s>>2]|0)>0){B=f[v>>2]|0;v=0;do{f[B+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[s>>2]|0))}s=f[x>>2]|0;if((s|0)!=(w|0))tE(s);s=i+36|0;w=f[s>>2]|0;if(w|0?(x=w+12|0,w=f[x>>2]|0,f[x>>2]=w+-1,(w|0)==1):0)lP(i);f[s>>2]=0;s=i+16|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[l>>2]|0)>0){s=f[m>>2]|0;m=0;do{f[s+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[l>>2]|0))}l=f[r>>2]|0;if((l|0)!=(q|0))tE(l);u=e;return}function RE(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;a=u;u=u+64|0;e=a;f[e>>2]=1124007936;g=e+4|0;h=e+8|0;i=e+40|0;j=g;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;h=e+48|0;j=e+44|0;f[j>>2]=h;f[h>>2]=0;f[e+52>>2]=0;k=f[b>>2]|0;rh[f[(f[k>>2]|0)+12>>2]&255](k,b,e,-1);UE(d,c,e);c=e+36|0;d=f[c>>2]|0;if(d|0?(b=d+12|0,d=f[b>>2]|0,f[b>>2]=d+-1,(d|0)==1):0)lP(e);f[c>>2]=0;c=e+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[g>>2]|0)>0){c=f[i>>2]|0;i=0;do{f[c+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[g>>2]|0))}g=f[j>>2]|0;if((g|0)==(h|0)){u=a;return}tE(g);u=a;return}function SE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;if(f[c+24>>2]|0){b=f[c+12>>2]|0;if((b|0)<3)d=Y(f[c+20>>2]|0,f[c+16>>2]|0)|0;else{e=f[c+48>>2]|0;g=0;h=1;while(1){i=Y(f[e+(g<<2)>>2]|0,h)|0;g=g+1|0;if((g|0)==(b|0)){d=i;break}else h=i}}if(!((b|0)==0|(d|0)==0))j=c+48|0;else k=8}else k=8;do if((k|0)==8){if(f[c+80>>2]|0){d=f[c+68>>2]|0;if((d|0)<3)l=Y(f[c+76>>2]|0,f[c+72>>2]|0)|0;else{b=f[c+104>>2]|0;h=0;g=1;while(1){e=Y(f[b+(h<<2)>>2]|0,g)|0;h=h+1|0;if((h|0)==(d|0)){l=e;break}else g=e}}if(!((d|0)==0|(l|0)==0)){j=c+160|0;break}}j=c+104|0}while(0);c=f[j>>2]|0;j=f[c>>2]|0;f[a>>2]=f[c+4>>2];f[a+4>>2]=j;return}function TE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;a=u;u=u+16|0;c=a;zT(c,41416);d=b+8|0;if(f[b+24>>2]|0){e=f[b+12>>2]|0;if((e|0)<3)g=Y(f[b+20>>2]|0,f[b+16>>2]|0)|0;else{h=f[b+48>>2]|0;i=0;j=1;while(1){k=Y(f[h+(i<<2)>>2]|0,j)|0;i=i+1|0;if((i|0)==(e|0)){g=k;break}else j=k}}if(!((e|0)==0|(g|0)==0))l=d;else m=7}else m=7;do if((m|0)==7){d=b+64|0;if(f[b+80>>2]|0){g=f[b+68>>2]|0;if((g|0)<3)n=Y(f[b+76>>2]|0,f[b+72>>2]|0)|0;else{e=f[b+104>>2]|0;j=0;i=1;while(1){h=Y(f[e+(j<<2)>>2]|0,i)|0;j=j+1|0;if((j|0)==(g|0)){n=h;break}else i=h}}if(!((g|0)==0|(n|0)==0)){l=b+120|0;break}}l=d}while(0);b=f[l>>2]&4095;if(!(f[c+4>>2]|0)){u=a;return b|0}u=a;return b|0}function UE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=u;u=u+368|0;e=d+32|0;g=d+312|0;h=d+256|0;i=d;f[g>>2]=1124007936;j=g+4|0;k=g+8|0;l=g+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;k=g+48|0;o=g+44|0;f[o>>2]=k;f[k>>2]=0;f[g+52>>2]=0;f[h>>2]=1124007936;p=h+4|0;q=h+8|0;r=h+40|0;m=p;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[r>>2]=q;q=h+48|0;m=h+44|0;f[m>>2]=q;f[q>>2]=0;f[h+52>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;f[i+24>>2]=0;f[i+28>>2]=0;VE(e,41436,b,c,g,h,1.0,0.0,i);WE(a,e)|0;Xi(e);e=h+36|0;a=f[e>>2]|0;if(a|0?(i=a+12|0,a=f[i>>2]|0,f[i>>2]=a+-1,(a|0)==1):0)lP(h);f[e>>2]=0;e=h+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[p>>2]|0)>0){e=f[r>>2]|0;r=0;do{f[e+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[p>>2]|0))}p=f[m>>2]|0;if((p|0)!=(q|0))tE(p);p=g+36|0;q=f[p>>2]|0;if(q|0?(m=q+12|0,q=f[m>>2]|0,f[m>>2]=q+-1,(q|0)==1):0)lP(g);f[p>>2]=0;p=g+16|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[j>>2]|0)>0){p=f[l>>2]|0;l=0;do{f[p+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[j>>2]|0))}j=f[o>>2]|0;if((j|0)==(k|0)){u=d;return}tE(j);u=d;return}function VE(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=+i;j=j|0;var k=0,l=0,m=0,n=0,o=0,q=0,r=0.0,s=0,t=0,u=0.0,v=0,w=0,x=0.0,y=0,z=0,A=0.0,B=0;f[a>>2]=b;f[a+4>>2]=c;c=a+8|0;f[c>>2]=f[d>>2];b=a+12|0;k=d+4|0;f[b>>2]=f[k>>2];l=a+16|0;f[l>>2]=f[d+8>>2];f[a+20>>2]=f[d+12>>2];f[a+24>>2]=f[d+16>>2];f[a+28>>2]=f[d+20>>2];f[a+32>>2]=f[d+24>>2];f[a+36>>2]=f[d+28>>2];f[a+40>>2]=f[d+32>>2];m=f[d+36>>2]|0;f[a+44>>2]=m;f[a+48>>2]=l;l=a+56|0;n=a+52|0;f[n>>2]=l;f[l>>2]=0;f[a+60>>2]=0;if(m|0){l=m+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[k>>2]|0)<3){k=f[d+44>>2]|0;l=f[n>>2]|0;f[l>>2]=f[k>>2];f[l+4>>2]=f[k+4>>2]}else{f[b>>2]=0;kP(c,d)}d=a+64|0;f[d>>2]=f[e>>2];c=a+68|0;b=e+4|0;f[c>>2]=f[b>>2];k=a+72|0;f[k>>2]=f[e+8>>2];f[a+76>>2]=f[e+12>>2];f[a+80>>2]=f[e+16>>2];f[a+84>>2]=f[e+20>>2];f[a+88>>2]=f[e+24>>2];f[a+92>>2]=f[e+28>>2];f[a+96>>2]=f[e+32>>2];l=f[e+36>>2]|0;f[a+100>>2]=l;f[a+104>>2]=k;k=a+112|0;n=a+108|0;f[n>>2]=k;f[k>>2]=0;f[a+116>>2]=0;if(l|0){k=l+12|0;f[k>>2]=(f[k>>2]|0)+1}if((f[b>>2]|0)<3){b=f[e+44>>2]|0;k=f[n>>2]|0;f[k>>2]=f[b>>2];f[k+4>>2]=f[b+4>>2]}else{f[c>>2]=0;kP(d,e)}e=a+120|0;f[e>>2]=f[g>>2];d=a+124|0;c=g+4|0;f[d>>2]=f[c>>2];b=a+128|0;f[b>>2]=f[g+8>>2];f[a+132>>2]=f[g+12>>2];f[a+136>>2]=f[g+16>>2];f[a+140>>2]=f[g+20>>2];f[a+144>>2]=f[g+24>>2];f[a+148>>2]=f[g+28>>2];f[a+152>>2]=f[g+32>>2];k=f[g+36>>2]|0;f[a+156>>2]=k;f[a+160>>2]=b;b=a+168|0;n=a+164|0;f[n>>2]=b;f[b>>2]=0;f[a+172>>2]=0;if(k|0){b=k+12|0;f[b>>2]=(f[b>>2]|0)+1}if((f[c>>2]|0)<3){c=f[g+44>>2]|0;b=f[n>>2]|0;f[b>>2]=f[c>>2];f[b+4>>2]=f[c+4>>2];o=a+176|0;p[o>>3]=h;q=a+184|0;p[q>>3]=i;r=+p[j>>3];s=a+192|0;p[s>>3]=r;t=j+8|0;u=+p[t>>3];v=a+200|0;p[v>>3]=u;w=j+16|0;x=+p[w>>3];y=a+208|0;p[y>>3]=x;z=j+24|0;A=+p[z>>3];B=a+216|0;p[B>>3]=A;return}else{f[d>>2]=0;kP(e,g);o=a+176|0;p[o>>3]=h;q=a+184|0;p[q>>3]=i;r=+p[j>>3];s=a+192|0;p[s>>3]=r;t=j+8|0;u=+p[t>>3];v=a+200|0;p[v>>3]=u;w=j+16|0;x=+p[w>>3];y=a+208|0;p[y>>3]=x;z=j+24|0;A=+p[z>>3];B=a+216|0;p[B>>3]=A;return}}function WE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;c=b;d=f[c+4>>2]|0;e=a;f[e>>2]=f[c>>2];f[e+4>>2]=d;d=a+8|0;e=b+8|0;c=(a|0)==(b|0);if(c){g=a+176|0;h=b+176|0;i=g;j=h;k=i+48|0;do{f[i>>2]=f[j>>2];i=i+4|0;j=j+4|0}while((i|0)<(k|0));return a|0}l=b+44|0;m=f[l>>2]|0;if(m|0){n=m+12|0;f[n>>2]=(f[n>>2]|0)+1}n=a+44|0;m=f[n>>2]|0;if(m|0?(o=m+12|0,m=f[o>>2]|0,f[o>>2]=m+-1,(m|0)==1):0)lP(d);f[n>>2]=0;m=a+24|0;o=a+12|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[o>>2]|0)>0){p=f[a+48>>2]|0;q=0;do{f[p+(q<<2)>>2]=0;q=q+1|0;r=f[o>>2]|0}while((q|0)<(r|0));f[d>>2]=f[e>>2];if((r|0)<3)s=12;else s=14}else{f[d>>2]=f[e>>2];s=12}if((s|0)==12){r=f[b+12>>2]|0;if((r|0)<3){f[o>>2]=r;f[a+16>>2]=f[b+16>>2];f[a+20>>2]=f[b+20>>2];r=f[b+52>>2]|0;o=f[a+52>>2]|0;f[o>>2]=f[r>>2];f[o+4>>2]=f[r+4>>2]}else s=14}if((s|0)==14)kP(d,e);f[m>>2]=f[b+24>>2];f[a+28>>2]=f[b+28>>2];f[a+32>>2]=f[b+32>>2];f[a+36>>2]=f[b+36>>2];f[a+40>>2]=f[b+40>>2];f[n>>2]=f[l>>2];l=a+64|0;n=b+64|0;if(c){g=a+176|0;h=b+176|0;i=g;j=h;k=i+48|0;do{f[i>>2]=f[j>>2];i=i+4|0;j=j+4|0}while((i|0)<(k|0));return a|0}m=b+100|0;e=f[m>>2]|0;if(e|0){d=e+12|0;f[d>>2]=(f[d>>2]|0)+1}d=a+100|0;e=f[d>>2]|0;if(e|0?(r=e+12|0,e=f[r>>2]|0,f[r>>2]=e+-1,(e|0)==1):0)lP(l);f[d>>2]=0;e=a+80|0;r=a+68|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[r>>2]|0)>0){o=f[a+104>>2]|0;q=0;do{f[o+(q<<2)>>2]=0;q=q+1|0;t=f[r>>2]|0}while((q|0)<(t|0));f[l>>2]=f[n>>2];if((t|0)<3)s=26;else s=28}else{f[l>>2]=f[n>>2];s=26}if((s|0)==26){t=f[b+68>>2]|0;if((t|0)<3){f[r>>2]=t;f[a+72>>2]=f[b+72>>2];f[a+76>>2]=f[b+76>>2];t=f[b+108>>2]|0;r=f[a+108>>2]|0;f[r>>2]=f[t>>2];f[r+4>>2]=f[t+4>>2]}else s=28}if((s|0)==28)kP(l,n);f[e>>2]=f[b+80>>2];f[a+84>>2]=f[b+84>>2];f[a+88>>2]=f[b+88>>2];f[a+92>>2]=f[b+92>>2];f[a+96>>2]=f[b+96>>2];f[d>>2]=f[m>>2];m=a+120|0;d=b+120|0;if(c){g=a+176|0;h=b+176|0;i=g;j=h;k=i+48|0;do{f[i>>2]=f[j>>2];i=i+4|0;j=j+4|0}while((i|0)<(k|0));return a|0}c=b+156|0;e=f[c>>2]|0;if(e|0){n=e+12|0;f[n>>2]=(f[n>>2]|0)+1}n=a+156|0;e=f[n>>2]|0;if(e|0?(l=e+12|0,e=f[l>>2]|0,f[l>>2]=e+-1,(e|0)==1):0)lP(m);f[n>>2]=0;e=a+136|0;l=a+124|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[l>>2]|0)>0){t=f[a+160>>2]|0;r=0;do{f[t+(r<<2)>>2]=0;r=r+1|0;u=f[l>>2]|0}while((r|0)<(u|0));f[m>>2]=f[d>>2];if((u|0)<3)s=40;else s=42}else{f[m>>2]=f[d>>2];s=40}if((s|0)==40){u=f[b+124>>2]|0;if((u|0)<3){f[l>>2]=u;f[a+128>>2]=f[b+128>>2];f[a+132>>2]=f[b+132>>2];u=f[b+164>>2]|0;l=f[a+164>>2]|0;f[l>>2]=f[u>>2];f[l+4>>2]=f[u+4>>2]}else s=42}if((s|0)==42)kP(m,d);f[e>>2]=f[b+136>>2];f[a+140>>2]=f[b+140>>2];f[a+144>>2]=f[b+144>>2];f[a+148>>2]=f[b+148>>2];f[a+152>>2]=f[b+152>>2];f[n>>2]=f[c>>2];g=a+176|0;h=b+176|0;i=g;j=h;k=i+48|0;do{f[i>>2]=f[j>>2];i=i+4|0;j=j+4|0}while((i|0)<(k|0));return a|0}function XE(a){a=a|0;Emc(a);return}function YE(a,b){a=a|0;b=b|0;return 0}function ZE(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;a=u;u=u+96|0;e=a+32|0;g=a+16|0;h=a;f[e>>2]=1124007936;i=e+4|0;j=e+8|0;k=e+40|0;l=i;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=j;j=e+48|0;l=e+44|0;f[l>>2]=j;f[j>>2]=0;f[e+52>>2]=0;if((d|0)!=-1?(f[b+8>>2]&4095|0)!=(d|0):0)n=e;else n=c;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b+8;m=h+8|0;f[m>>2]=0;f[m+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=n;+zU(g,h,f[b+4>>2]|0);if((f[n+16>>2]|0)!=(f[c+16>>2]|0)){b=g+8|0;f[b>>2]=0;f[b+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;IO(n,g,d,1.0,0.0)}d=e+36|0;g=f[d>>2]|0;if(g|0?(n=g+12|0,g=f[n>>2]|0,f[n>>2]=g+-1,(g|0)==1):0)lP(e);f[d>>2]=0;d=e+16|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[i>>2]|0)>0){d=f[k>>2]|0;k=0;do{f[d+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[i>>2]|0))}i=f[l>>2]|0;if((i|0)==(j|0)){u=a;return}tE(i);u=a;return}function _E(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=f[c>>2]|0;if((f[b>>2]|0)==41436&(e|0)==41556){$E(d,f[b+4>>2]|0,b+8|0,c+8|0);return}if((a|0)==(e|0)){QE(e,b,c,d);return}else{rh[f[(f[e>>2]|0)+92>>2]&255](e,b,c,d);return}}function $E(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+320|0;g=e+32|0;h=e+256|0;i=e;f[h>>2]=1124007936;j=h+4|0;k=h+8|0;l=h+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;k=h+48|0;m=h+44|0;f[m>>2]=k;f[k>>2]=0;f[h+52>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;f[i+24>>2]=0;f[i+28>>2]=0;VE(g,41560,b,c,d,h,1.0,1.0,i);WE(a,g)|0;Xi(g);g=h+36|0;a=f[g>>2]|0;if(a|0?(i=a+12|0,a=f[i>>2]|0,f[i>>2]=a+-1,(a|0)==1):0)lP(h);f[g>>2]=0;g=h+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[j>>2]|0)>0){g=f[l>>2]|0;l=0;do{f[g+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[j>>2]|0))}j=f[m>>2]|0;if((j|0)==(k|0)){u=e;return}tE(j);u=e;return}function aF(a){a=a|0;Emc(a);return}function bF(a,b){a=a|0;b=b|0;return 0}function cF(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;a=u;u=u+112|0;e=a+48|0;g=a+32|0;h=a+16|0;i=a;f[e>>2]=1124007936;j=e+4|0;k=e+8|0;l=e+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;k=e+48|0;m=e+44|0;f[m>>2]=k;f[k>>2]=0;f[e+52>>2]=0;if((d|0)!=-1?(f[b+8>>2]&4095|0)!=(d|0):0)o=e;else o=c;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b+8;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b+64;n=i+8|0;f[n>>2]=0;f[n+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=o;IU(g,h,i,f[b+4>>2]|0)|0;if((f[o+16>>2]|0)!=(f[c+16>>2]|0)){b=g+8|0;f[b>>2]=0;f[b+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;IO(o,g,d,1.0,0.0)}d=e+36|0;g=f[d>>2]|0;if(g|0?(o=g+12|0,g=f[o>>2]|0,f[o>>2]=g+-1,(g|0)==1):0)lP(e);f[d>>2]=0;d=e+16|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[j>>2]|0)>0){d=f[l>>2]|0;l=0;do{f[d+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[j>>2]|0))}j=f[m>>2]|0;if((j|0)==(k|0)){u=a;return}tE(j);u=a;return}function dF(a){a=a|0;Emc(a);return}function eF(a,b){a=a|0;b=b|0;return 1}function fF(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;a=u;u=u+16|0;g=a;h=c+8|0;if((e|0)!=-1?(i=f[h>>2]|0,(i&4095|0)!=(e|0)):0){if((i^e)&4088|0){f[g>>2]=0;f[g+4>>2]=0;i=YG(g,34)|0;j=189791;k=i+34|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-215,g,189826,189695,1201)}j=g+8|0;f[j>>2]=0;f[j+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=d;IO(h,g,e,1.0,0.0);u=a;return}if((h|0)==(d|0)){u=a;return}e=c+44|0;g=f[e>>2]|0;if(g|0){j=g+12|0;f[j>>2]=(f[j>>2]|0)+1}j=d+36|0;g=f[j>>2]|0;if(g|0?(i=g+12|0,g=f[i>>2]|0,f[i>>2]=g+-1,(g|0)==1):0)lP(d);f[j>>2]=0;g=d+16|0;i=d+4|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[i>>2]|0)>0){k=f[d+40>>2]|0;l=0;do{f[k+(l<<2)>>2]=0;l=l+1|0;m=f[i>>2]|0}while((l|0)<(m|0));f[d>>2]=f[c+8>>2];if((m|0)<3)n=14;else n=16}else{f[d>>2]=f[c+8>>2];n=14}if((n|0)==14){m=f[c+12>>2]|0;if((m|0)<3){f[i>>2]=m;f[d+8>>2]=f[c+16>>2];f[d+12>>2]=f[c+20>>2];m=f[c+52>>2]|0;i=f[d+44>>2]|0;f[i>>2]=f[m>>2];f[i+4>>2]=f[m+4>>2]}else n=16}if((n|0)==16)kP(d,h);f[g>>2]=f[c+24>>2];f[d+20>>2]=f[c+28>>2];f[d+24>>2]=f[c+32>>2];f[d+28>>2]=f[c+36>>2];f[d+32>>2]=f[c+40>>2];f[j>>2]=f[e>>2];u=a;return}function gF(a){a=a|0;Emc(a);return}function hF(a,b){a=a|0;b=b|0;return 0}function iF(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0.0,s=0.0;a=u;u=u+128|0;e=a+64|0;g=a+48|0;h=a+32|0;i=a+16|0;j=a;f[e>>2]=1124007936;k=e+4|0;l=e+8|0;m=e+40|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;l=e+48|0;n=e+44|0;f[n>>2]=l;f[l>>2]=0;f[e+52>>2]=0;if((d|0)!=-1?(f[b+8>>2]&4095|0)!=(d|0):0)q=e;else q=c;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b+8;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b+64;r=+p[b+176>>3];f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b+120;s=+p[b+184>>3];o=j+8|0;f[o>>2]=0;f[o+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=q;UW(g,h,r,i,s,j,f[b+4>>2]|0);if((f[q+16>>2]|0)!=(f[c+16>>2]|0)){b=g+8|0;f[b>>2]=0;f[b+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;IO(q,g,d,1.0,0.0)}d=e+36|0;g=f[d>>2]|0;if(g|0?(q=g+12|0,g=f[q>>2]|0,f[q>>2]=g+-1,(g|0)==1):0)lP(e);f[d>>2]=0;d=e+16|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[k>>2]|0)>0){d=f[m>>2]|0;m=0;do{f[d+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[k>>2]|0))}k=f[n>>2]|0;if((k|0)==(l|0)){u=a;return}tE(k);u=a;return}function jF(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0.0,o=0.0,q=0.0,r=0,s=0;e=u;u=u+272|0;g=e+32|0;h=e;i=e+256|0;zT(i,41984);j=f[b>>2]|0;k=(j|0)==41556;l=f[c>>2]|0;m=(l|0)==41556;n=k?1.0:+p[b+176>>3];o=m?1.0:+p[c+176>>3];q=+p[b+184>>3];a:do if((j|0)!=41804|(f[b+136>>2]|0)!=0&q!=0.0)r=12;else{do if(!m){if((l|0)!=41800)if((l|0)==41796)break;else{r=12;break a}if(f[c+80>>2]|0?!(+p[c+184>>3]==0.0):0){r=12;break a}if(!(+p[c+192>>3]==0.0)){r=12;break a}if(!(+p[c+200>>3]==0.0)){r=12;break a}if(!(+p[c+208>>3]==0.0)){r=12;break a}if(!(+p[c+216>>3]==0.0)){r=12;break a}}while(0);s=((l|0)==41796?4:0)|f[b+4>>2]&-5;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[h+28>>2]=0;VE(g,41804,s,b+8|0,b+64|0,c+8|0,n,o,h);WE(d,g)|0;Xi(g)}while(0);b:do if((r|0)==12){c:do if(!((l|0)!=41804|(f[c+136>>2]|0?+p[c+184>>3]!=0.0:0))){do if(!k){if((j|0)!=41800)if((j|0)==41796)break;else break c;if(!((f[b+80>>2]|0)==0|q==0.0))break c;if(!(+p[b+192>>3]==0.0))break c;if(!(+p[b+200>>3]==0.0))break c;if(!(+p[b+208>>3]==0.0))break c;if(!(+p[b+216>>3]==0.0))break c}while(0);m=((j|0)==41796?4:0)|f[c+4>>2]&-5;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[h+28>>2]=0;VE(g,41804,m,c+8|0,c+64|0,b+8|0,o,n,h);WE(d,g)|0;Xi(g);break b}while(0);if((a|0)==(l|0)){GE(l,b,c,d);break}else{rh[f[(f[l>>2]|0)+52>>2]&255](l,b,c,d);break}}while(0);if(!(f[i+4>>2]|0)){u=e;return}u=e;return}function kF(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0.0,o=0.0,q=0.0,r=0,s=0;e=u;u=u+272|0;g=e+32|0;h=e;i=e+256|0;zT(i,41964);j=f[b>>2]|0;k=(j|0)==41556;l=f[c>>2]|0;m=(l|0)==41556;n=k?1.0:+p[b+176>>3];o=m?1.0:+p[c+176>>3];q=+p[b+184>>3];a:do if((j|0)!=41804|(f[b+136>>2]|0)!=0&q!=0.0)r=12;else{do if(!m){if((l|0)!=41800)if((l|0)==41796)break;else{r=12;break a}if(f[c+80>>2]|0?!(+p[c+184>>3]==0.0):0){r=12;break a}if(!(+p[c+192>>3]==0.0)){r=12;break a}if(!(+p[c+200>>3]==0.0)){r=12;break a}if(!(+p[c+208>>3]==0.0)){r=12;break a}if(!(+p[c+216>>3]==0.0)){r=12;break a}}while(0);s=((l|0)==41796?4:0)|f[b+4>>2]&-5;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[h+28>>2]=0;VE(g,41804,s,b+8|0,b+64|0,c+8|0,n,-o,h);WE(d,g)|0;Xi(g)}while(0);b:do if((r|0)==12){c:do if(!((l|0)!=41804|(f[c+136>>2]|0?+p[c+184>>3]!=0.0:0))){do if(!k){if((j|0)!=41800)if((j|0)==41796)break;else break c;if(!((f[b+80>>2]|0)==0|q==0.0))break c;if(!(+p[b+192>>3]==0.0))break c;if(!(+p[b+200>>3]==0.0))break c;if(!(+p[b+208>>3]==0.0))break c;if(!(+p[b+216>>3]==0.0))break c}while(0);m=((j|0)==41796?4:0)|f[c+4>>2]&-5;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[h+28>>2]=0;VE(g,41804,m,c+8|0,c+64|0,b+8|0,-o,n,h);WE(d,g)|0;Xi(g);break b}while(0);if((a|0)==(l|0)){IE(l,b,c,d);break}else{rh[f[(f[l>>2]|0)+60>>2]&255](l,b,c,d);break}}while(0);if(!(f[i+4>>2]|0)){u=e;return}u=e;return}function lF(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;var e=0;a=u;u=u+16|0;e=a;zT(e,41944);WE(d,b)|0;b=d+176|0;p[b>>3]=+p[b>>3]*c;b=d+184|0;p[b>>3]=+p[b>>3]*c;if(!(f[e+4>>2]|0)){u=a;return}u=a;return}function mF(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;a=u;u=u+16|0;d=a;zT(d,41924);WE(c,b)|0;e=f[b+4>>2]|0;f[c+4>>2]=(e<<1&2|e&4|e>>>1&1)^7;KJ(c+8|0,c+64|0);if(!(f[d+4>>2]|0)){u=a;return}u=a;return}function nF(a){a=a|0;Emc(a);return}function oF(a,b){a=a|0;b=b|0;return 1}function pF(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0.0,s=0,t=0,v=0,w=0.0,x=0.0;a=u;u=u+112|0;e=a+48|0;g=a+32|0;h=a+16|0;i=a;f[e>>2]=1124007936;j=e+4|0;k=e+8|0;l=e+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;k=e+48|0;m=e+44|0;f[m>>2]=k;f[k>>2]=0;f[e+52>>2]=0;if((d|0)!=-1?(f[b+8>>2]&4095|0)!=(d|0):0)o=e;else o=c;n=b+64|0;q=b+192|0;a:do if(!(f[b+80>>2]|0)){do if((+p[b+200>>3]==0.0?+p[b+208>>3]==0.0:0)?+p[b+216>>3]==0.0:0){r=+p[b+176>>3];if((f[o+16>>2]|0)==(f[c+16>>2]|0)?!(+L(+r)!=1.0):0)break;s=g+8|0;f[s>>2]=0;f[s+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;IO(b+8|0,g,d,r,+p[q>>3]);break a}while(0);r=+p[b+176>>3];if(r==1.0){f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b+8;f[h>>2]=-1056833530;f[h+4>>2]=q;f[h+8>>2]=1;f[h+12>>2]=4;s=i+8|0;f[s>>2]=0;f[s+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=o;RH(g,h,i,rE()|0,-1);t=38;break}if(r==-1.0){f[g>>2]=-1056833530;f[g+4>>2]=q;f[g+8>>2]=1;f[g+12>>2]=4;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b+8;s=i+8|0;f[s>>2]=0;f[s+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=o;fI(g,h,i,rE()|0,-1);t=38;break}else{s=b+8|0;v=g+8|0;f[v>>2]=0;f[v+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=o;IO(s,g,f[s>>2]&4095,r,0.0);f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=o;f[h>>2]=-1056833530;f[h+4>>2]=q;f[h+8>>2]=1;f[h+12>>2]=4;s=i+8|0;f[s>>2]=0;f[s+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=o;RH(g,h,i,rE()|0,-1);t=38;break}}else{r=+p[q>>3];w=+p[b+200>>3];if(r==0.0&w==0.0?+p[b+208>>3]==0.0:0){if(w==0.0?+p[b+216>>3]!=0.0:0)t=9}else t=8;if((t|0)==8?w==0.0:0)t=9;if(((t|0)==9?+p[b+208>>3]==0.0:0)?+p[b+216>>3]==0.0:0){f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b+8;w=+p[b+176>>3];f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=n;x=+p[b+184>>3];s=i+8|0;f[s>>2]=0;f[s+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=o;fJ(g,w,h,x,r,i,-1);t=38;break}r=+p[b+176>>3];x=+p[b+184>>3];s=x==1.0;do if(r==1.0){if(s){f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b+8;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=n;v=i+8|0;f[v>>2]=0;f[v+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=o;RH(g,h,i,rE()|0,-1);break}if(x==-1.0){f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b+8;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=n;v=i+8|0;f[v>>2]=0;f[v+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=o;fI(g,h,i,rE()|0,-1);break}else{f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=n;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b+8;v=i+8|0;f[v>>2]=0;f[v+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=o;lX(g,x,h,i);break}}else{if(!s){f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b+8;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=n;v=i+8|0;f[v>>2]=0;f[v+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=o;fJ(g,r,h,x,0.0,i,-1);break}if(r==-1.0){f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=n;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b+8;v=i+8|0;f[v>>2]=0;f[v+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=o;fI(g,h,i,rE()|0,-1);break}else{f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b+8;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=n;v=i+8|0;f[v>>2]=0;f[v+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=o;lX(g,r,h,i);break}}while(0);if((+p[b+200>>3]==0.0?+p[b+208>>3]==0.0:0)?+p[b+216>>3]==0.0:0){t=38;break}f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=o;f[h>>2]=-1056833530;f[h+4>>2]=q;f[h+8>>2]=1;f[h+12>>2]=4;s=i+8|0;f[s>>2]=0;f[s+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=o;RH(g,h,i,rE()|0,-1);t=38}while(0);if((t|0)==38?(f[o+16>>2]|0)!=(f[c+16>>2]|0):0){t=g+8|0;f[t>>2]=0;f[t+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;IO(o,g,f[c>>2]&4095,1.0,0.0)}c=e+36|0;g=f[c>>2]|0;if(g|0?(o=g+12|0,g=f[o>>2]|0,f[o>>2]=g+-1,(g|0)==1):0)lP(e);f[c>>2]=0;c=e+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[j>>2]|0)>0){c=f[l>>2]|0;l=0;do{f[c+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[j>>2]|0))}j=f[m>>2]|0;if((j|0)==(k|0)){u=a;return}tE(j);u=a;return}function qF(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;a=u;u=u+16|0;e=a;zT(e,42380);WE(d,b)|0;b=d+192|0;p[b>>3]=+p[c>>3]+ +p[b>>3];b=d+200|0;p[b>>3]=+p[c+8>>3]+ +p[b>>3];b=d+208|0;p[b>>3]=+p[c+16>>3]+ +p[b>>3];b=d+216|0;p[b>>3]=+p[c+24>>3]+ +p[b>>3];if(!(f[e+4>>2]|0)){u=a;return}u=a;return}function rF(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0.0,i=0,j=0.0,k=0,l=0.0;a=u;u=u+16|0;e=a;zT(e,42360);WE(d,c)|0;c=d+176|0;p[c>>3]=-+p[c>>3];c=d+184|0;p[c>>3]=-+p[c>>3];c=d+192|0;g=d+200|0;h=+p[b+8>>3]-+p[g>>3];i=d+208|0;j=+p[b+16>>3]-+p[i>>3];k=d+216|0;l=+p[b+24>>3]-+p[k>>3];p[c>>3]=+p[b>>3]-+p[c>>3];p[g>>3]=h;p[i>>3]=j;p[k>>3]=l;if(!(f[e+4>>2]|0)){u=a;return}u=a;return}function sF(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;var e=0;a=u;u=u+16|0;e=a;zT(e,42340);WE(d,b)|0;b=d+176|0;p[b>>3]=+p[b>>3]*c;b=d+184|0;p[b>>3]=+p[b>>3]*c;b=d+192|0;p[b>>3]=+p[b>>3]*c;b=d+200|0;p[b>>3]=+p[b>>3]*c;b=d+208|0;p[b>>3]=+p[b>>3]*c;b=d+216|0;p[b>>3]=+p[b>>3]*c;if(!(f[e+4>>2]|0)){u=a;return}u=a;return}function tF(a,b,c,d){a=a|0;b=+b;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0;a=u;u=u+64|0;e=a+56|0;g=a;zT(e,42320);do if((f[c>>2]|0)==41800){if(f[c+80>>2]|0?!(+p[c+184>>3]==0.0):0){h=17;break}if(((+p[c+192>>3]==0.0?+p[c+200>>3]==0.0:0)?+p[c+208>>3]==0.0:0)?+p[c+216>>3]==0.0:0){f[g>>2]=1124007936;i=g+4|0;j=g+8|0;k=g+40|0;l=i;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=j;l=g+48|0;m=g+44|0;f[m>>2]=l;f[l>>2]=0;f[g+52>>2]=0;yF(d,47,c+8|0,g,b/+p[c+176>>3]);n=g+36|0;o=f[n>>2]|0;if(o|0?(q=o+12|0,o=f[q>>2]|0,f[q>>2]=o+-1,(o|0)==1):0)lP(g);f[n>>2]=0;n=g+16|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[i>>2]|0)>0){n=f[k>>2]|0;o=0;do{f[n+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[i>>2]|0))}i=f[m>>2]|0;if((i|0)!=(l|0))tE(i)}else h=17}else h=17;while(0);if((h|0)==17)NE(0,b,c,d);if(!(f[e+4>>2]|0)){u=a;return}u=a;return}function uF(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0.0,k=0.0,l=0.0,m=0.0;a=u;u=u+48|0;d=a+32|0;e=a;zT(d,42140);g=b+64|0;h=(f[b+80>>2]|0)==0;if(!h?!(+p[b+184>>3]==0.0):0)i=6;else i=3;do if((i|0)==3){j=+p[b+176>>3];if(!(+L(+j)==1.0))if(h){i=8;break}else{i=6;break}else{k=-(+p[b+200>>3]*j);l=-(+p[b+208>>3]*j);m=-(+p[b+216>>3]*j);p[e>>3]=-(+p[b+192>>3]*j);p[e+8>>3]=k;p[e+16>>3]=l;p[e+24>>3]=m;xF(c,97,b+8|0,e);break}}while(0);if((i|0)==6){m=+p[b+176>>3];l=+p[b+184>>3];if(m+l==0.0&m*l==-1.0)yF(c,97,b+8|0,g,1.0);else i=8}if((i|0)==8)OE(0,b,c);if(!(f[d+4>>2]|0)){u=a;return}u=a;return}function vF(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;a=u;u=u+16|0;d=a;zT(d,42120);do if((f[b>>2]|0)==41800){if(f[b+80>>2]|0?!(+p[b+184>>3]==0.0):0){e=9;break}if(((+p[b+192>>3]==0.0?+p[b+200>>3]==0.0:0)?+p[b+208>>3]==0.0:0)?+p[b+216>>3]==0.0:0)wF(c,b+8|0,+p[b+176>>3]);else e=9}else e=9;while(0);if((e|0)==9)PE(0,b,c);if(!(f[d+4>>2]|0)){u=a;return}u=a;return}function wF(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=u;u=u+368|0;e=d+32|0;g=d+312|0;h=d+256|0;i=d;f[g>>2]=1124007936;j=g+4|0;k=g+8|0;l=g+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;k=g+48|0;o=g+44|0;f[o>>2]=k;f[k>>2]=0;f[g+52>>2]=0;f[h>>2]=1124007936;p=h+4|0;q=h+8|0;r=h+40|0;m=p;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[r>>2]=q;q=h+48|0;m=h+44|0;f[m>>2]=q;f[q>>2]=0;f[h+52>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;f[i+24>>2]=0;f[i+28>>2]=0;VE(e,41796,0,b,g,h,c,0.0,i);WE(a,e)|0;Xi(e);e=h+36|0;a=f[e>>2]|0;if(a|0?(i=a+12|0,a=f[i>>2]|0,f[i>>2]=a+-1,(a|0)==1):0)lP(h);f[e>>2]=0;e=h+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[p>>2]|0)>0){e=f[r>>2]|0;r=0;do{f[e+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[p>>2]|0))}p=f[m>>2]|0;if((p|0)!=(q|0))tE(p);p=g+36|0;q=f[p>>2]|0;if(q|0?(m=q+12|0,q=f[m>>2]|0,f[m>>2]=q+-1,(q|0)==1):0)lP(g);f[p>>2]=0;p=g+16|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[j>>2]|0)>0){p=f[l>>2]|0;l=0;do{f[p+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[j>>2]|0))}j=f[o>>2]|0;if((j|0)==(k|0)){u=d;return}tE(j);u=d;return}function xF(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+336|0;g=e;h=e+280|0;i=e+224|0;f[h>>2]=1124007936;j=h+4|0;k=h+8|0;l=h+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;k=h+48|0;o=h+44|0;f[o>>2]=k;f[k>>2]=0;f[h+52>>2]=0;f[i>>2]=1124007936;p=i+4|0;q=i+8|0;r=i+40|0;m=p;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[r>>2]=q;q=i+48|0;m=i+44|0;f[m>>2]=q;f[q>>2]=0;f[i+52>>2]=0;VE(g,42160,b<<24>>24,c,h,i,1.0,0.0,d);WE(a,g)|0;Xi(g);g=i+36|0;a=f[g>>2]|0;if(a|0?(d=a+12|0,a=f[d>>2]|0,f[d>>2]=a+-1,(a|0)==1):0)lP(i);f[g>>2]=0;g=i+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[p>>2]|0)>0){g=f[r>>2]|0;r=0;do{f[g+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[p>>2]|0))}p=f[m>>2]|0;if((p|0)!=(q|0))tE(p);p=h+36|0;q=f[p>>2]|0;if(q|0?(m=q+12|0,q=f[m>>2]|0,f[m>>2]=q+-1,(q|0)==1):0)lP(h);f[p>>2]=0;p=h+16|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[j>>2]|0)>0){p=f[l>>2]|0;l=0;do{f[p+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[j>>2]|0))}j=f[o>>2]|0;if((j|0)==(k|0)){u=e;return}tE(j);u=e;return}function yF(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=u;u=u+320|0;h=g+32|0;i=g+256|0;j=g;f[i>>2]=1124007936;k=i+4|0;l=i+8|0;m=i+40|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;l=i+48|0;n=i+44|0;f[n>>2]=l;f[l>>2]=0;f[i+52>>2]=0;o=f[d+16>>2]|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;f[j+24>>2]=0;f[j+28>>2]=0;VE(h,42160,b<<24>>24,c,d,i,e,+((o|0)!=0&1),j);WE(a,h)|0;Xi(h);h=i+36|0;a=f[h>>2]|0;if(a|0?(j=a+12|0,a=f[j>>2]|0,f[j>>2]=a+-1,(a|0)==1):0)lP(i);f[h>>2]=0;h=i+16|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[k>>2]|0)>0){h=f[m>>2]|0;m=0;do{f[h+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[k>>2]|0))}k=f[n>>2]|0;if((k|0)==(l|0)){u=g;return}tE(k);u=g;return}function zF(a){a=a|0;Emc(a);return}function AF(a,b){a=a|0;b=b|0;return 1}function BF(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0.0,v=0,w=0,x=0;a=u;u=u+112|0;g=a+48|0;h=a+32|0;i=a+16|0;j=a;f[g>>2]=1124007936;k=g+4|0;l=g+8|0;m=g+40|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;l=g+48|0;q=g+44|0;f[q>>2]=l;f[l>>2]=0;f[g+52>>2]=0;if((e|0)!=-1?(f[c+8>>2]&4095|0)!=(e|0):0)r=g;else r=d;a:do switch(f[c+4>>2]|0){case 42:{f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c+8;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=c+64;s=j+8|0;f[s>>2]=0;f[s+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=r;JI(h,i,j,+p[c+176>>3],-1);break}case 47:{if(!(f[c+80>>2]|0)){t=+p[c+176>>3];f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c+8;s=i+8|0;f[s>>2]=0;f[s+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=r;ZI(t,h,i,-1);break a}else{f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c+8;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=c+64;s=j+8|0;f[s>>2]=0;f[s+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=r;RI(h,i,j,+p[c+176>>3],-1);break a}break}case 38:{if(!(f[c+80>>2]|0)){f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c+8;f[i>>2]=-1056833530;f[i+4>>2]=c+192;f[i+8>>2]=1;f[i+12>>2]=4;s=j+8|0;f[s>>2]=0;f[s+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=r;$G(h,i,j,rE()|0);break a}else{f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c+8;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=c+64;s=j+8|0;f[s>>2]=0;f[s+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=r;$G(h,i,j,rE()|0);break a}break}case 124:{if(!(f[c+80>>2]|0)){f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c+8;f[i>>2]=-1056833530;f[i+4>>2]=c+192;f[i+8>>2]=1;f[i+12>>2]=4;s=j+8|0;f[s>>2]=0;f[s+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=r;dH(h,i,j,rE()|0);break a}else{f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c+8;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=c+64;s=j+8|0;f[s>>2]=0;f[s+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=r;dH(h,i,j,rE()|0);break a}break}case 94:{if(!(f[c+80>>2]|0)){f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c+8;f[i>>2]=-1056833530;f[i+4>>2]=c+192;f[i+8>>2]=1;f[i+12>>2]=4;s=j+8|0;f[s>>2]=0;f[s+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=r;gH(h,i,j,rE()|0);break a}else{f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c+8;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=c+64;s=j+8|0;f[s>>2]=0;f[s+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=r;gH(h,i,j,rE()|0);break a}break}case 126:{if(!(f[c+80>>2]|0)){f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c+8;s=i+8|0;f[s>>2]=0;f[s+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=r;jH(h,i,rE()|0);break a}else{f[h>>2]=0;v=h+4|0;f[v>>2]=0;w=YG(h,17)|0;n=w;x=190513;o=n+17|0;do{b[n>>0]=b[x>>0]|0;n=n+1|0;x=x+1|0}while((n|0)<(o|0));SQ(-2,h,189826,189695,1371)}break}case 109:{QH(c+8|0,c+64|0,r);break}case 110:{f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c+8;f[i>>2]=-1056833530;f[i+4>>2]=c+192;f[i+8>>2]=1;f[i+12>>2]=1;s=j+8|0;f[s>>2]=0;f[s+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=r;AH(h,i,j);break}case 77:{PH(c+8|0,c+64|0,r);break}case 78:{f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c+8;f[i>>2]=-1056833530;f[i+4>>2]=c+192;f[i+8>>2]=1;f[i+12>>2]=1;s=j+8|0;f[s>>2]=0;f[s+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=r;lH(h,i,j);break}case 97:{if(f[c+80>>2]|0){f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c+8;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=c+64;s=j+8|0;f[s>>2]=0;f[s+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=r;uI(h,i,j);break a}if(!(f[c+80>>2]|0)){f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=c+8;f[i>>2]=-1056833530;f[i+4>>2]=c+192;f[i+8>>2]=1;f[i+12>>2]=4;s=j+8|0;f[s>>2]=0;f[s+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=r;uI(h,i,j);break a}else{f[h>>2]=0;v=h+4|0;f[v>>2]=0;w=YG(h,17)|0;n=w;x=190513;o=n+17|0;do{b[n>>0]=b[x>>0]|0;n=n+1|0;x=x+1|0}while((n|0)<(o|0));SQ(-2,h,189826,189695,1371)}break}default:{f[h>>2]=0;v=h+4|0;f[v>>2]=0;w=YG(h,17)|0;n=w;x=190513;o=n+17|0;do{b[n>>0]=b[x>>0]|0;n=n+1|0;x=x+1|0}while((n|0)<(o|0));SQ(-2,h,189826,189695,1371)}}while(0);if((f[r+16>>2]|0)!=(f[d+16>>2]|0)){x=h+8|0;f[x>>2]=0;f[x+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=d;IO(r,h,e,1.0,0.0)}e=g+36|0;h=f[e>>2]|0;if(h|0?(r=h+12|0,h=f[r>>2]|0,f[r>>2]=h+-1,(h|0)==1):0)lP(g);f[e>>2]=0;e=g+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[k>>2]|0)>0){e=f[m>>2]|0;m=0;do{f[e+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[k>>2]|0))}k=f[q>>2]|0;if((k|0)==(l|0)){u=a;return}tE(k);u=a;return}function CF(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;var e=0,g=0;a=u;u=u+16|0;e=a;zT(e,42300);switch(f[b+4>>2]|0){case 47:case 42:{WE(d,b)|0;g=d+176|0;p[g>>3]=+p[g>>3]*c;break}default:LE(0,b,c,d)}if(!(f[e+4>>2]|0)){u=a;return}u=a;return}function DF(a,b,c,d){a=a|0;b=+b;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0.0,r=0,s=0,t=0;a=u;u=u+96|0;e=a+88|0;g=a+32|0;h=a;zT(e,42280);do if((f[c+4>>2]|0)==47){if(f[c+80>>2]|0?!(+p[c+184>>3]==0.0):0){i=13;break}j=c+8|0;f[g>>2]=1124007936;k=g+4|0;l=g+8|0;m=g+40|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;n=g+48|0;o=g+44|0;f[o>>2]=n;f[n>>2]=0;f[g+52>>2]=0;q=+p[c+176>>3];f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[h+28>>2]=0;EF(d,j,g,b/q,0.0,h);r=g+36|0;s=f[r>>2]|0;if(s|0?(t=s+12|0,s=f[t>>2]|0,f[t>>2]=s+-1,(s|0)==1):0)lP(g);f[r>>2]=0;r=g+16|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[k>>2]|0)>0){r=f[m>>2]|0;s=0;do{f[r+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[k>>2]|0))}k=f[o>>2]|0;if((k|0)!=(n|0))tE(k)}else i=13;while(0);if((i|0)==13)NE(0,b,c,d);if(!(f[e+4>>2]|0)){u=a;return}u=a;return}function EF(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;h=u;u=u+288|0;i=h;j=h+224|0;f[j>>2]=1124007936;k=j+4|0;l=j+8|0;m=j+40|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;l=j+48|0;n=j+44|0;f[n>>2]=l;f[l>>2]=0;f[j+52>>2]=0;VE(i,41800,0,b,c,j,d,e,g);WE(a,i)|0;Xi(i);i=j+36|0;a=f[i>>2]|0;if(a|0?(g=a+12|0,a=f[g>>2]|0,f[g>>2]=a+-1,(a|0)==1):0)lP(j);f[i>>2]=0;i=j+16|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[k>>2]|0)>0){i=f[m>>2]|0;m=0;do{f[i+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[k>>2]|0))}k=f[n>>2]|0;if((k|0)==(l|0)){u=h;return}tE(k);u=h;return}function FF(a){a=a|0;Emc(a);return}function GF(a,b){a=a|0;b=b|0;return 0}function HF(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0.0;a=u;u=u+96|0;e=a+32|0;g=a+16|0;h=a;f[e>>2]=1124007936;i=e+4|0;j=e+8|0;k=e+40|0;l=i;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=j;j=e+48|0;l=e+44|0;f[l>>2]=j;f[j>>2]=0;f[e+52>>2]=0;if((d|0)!=-1?(f[b+8>>2]&4095|0)!=(d|0):0)n=e;else n=c;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b+8;m=h+8|0;f[m>>2]=0;f[m+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=n;SJ(g,h);o=+p[b+176>>3];if(o!=1.0?1:(f[n+16>>2]|0)!=(f[c+16>>2]|0)){b=g+8|0;f[b>>2]=0;f[b+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;IO(n,g,d,o,0.0)}d=e+36|0;g=f[d>>2]|0;if(g|0?(n=g+12|0,g=f[n>>2]|0,f[n>>2]=g+-1,(g|0)==1):0)lP(e);f[d>>2]=0;d=e+16|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[i>>2]|0)>0){d=f[k>>2]|0;k=0;do{f[d+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[i>>2]|0))}i=f[l>>2]|0;if((i|0)==(j|0)){u=a;return}tE(i);u=a;return}function IF(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;var e=0;a=u;u=u+16|0;e=a;zT(e,42536);WE(d,b)|0;b=d+176|0;p[b>>3]=+p[b>>3]*c;if(!(f[e+4>>2]|0)){u=a;return}u=a;return}function JF(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0.0,i=0,j=0,k=0,l=0,m=0,n=0;a=u;u=u+96|0;d=a+88|0;e=a+32|0;g=a;zT(d,42516);h=+p[b+176>>3];i=b+8|0;if(!(h==1.0)){f[e>>2]=1124007936;b=e+4|0;j=e+8|0;k=e+40|0;l=b;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=j;j=e+48|0;l=e+44|0;f[l>>2]=j;f[j>>2]=0;f[e+52>>2]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;EF(c,i,e,h,0.0,g);g=e+36|0;m=f[g>>2]|0;if(m|0?(n=m+12|0,m=f[n>>2]|0,f[n>>2]=m+-1,(m|0)==1):0)lP(e);f[g>>2]=0;g=e+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[b>>2]|0)>0){g=f[k>>2]|0;k=0;do{f[g+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[b>>2]|0))}b=f[l>>2]|0;if((b|0)!=(j|0))tE(b)}else KF(c,i);if(!(f[d+4>>2]|0)){u=a;return}u=a;return}function KF(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=u;u=u+368|0;d=c+32|0;e=c+312|0;g=c+256|0;h=c;f[e>>2]=1124007936;i=e+4|0;j=e+8|0;k=e+40|0;l=i;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=j;j=e+48|0;n=e+44|0;f[n>>2]=j;f[j>>2]=0;f[e+52>>2]=0;f[g>>2]=1124007936;o=g+4|0;p=g+8|0;q=g+40|0;l=o;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[q>>2]=p;p=g+48|0;l=g+44|0;f[l>>2]=p;f[p>>2]=0;f[g+52>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[h+28>>2]=0;VE(d,41556,0,b,e,g,1.0,0.0,h);WE(a,d)|0;Xi(d);d=g+36|0;a=f[d>>2]|0;if(a|0?(h=a+12|0,a=f[h>>2]|0,f[h>>2]=a+-1,(a|0)==1):0)lP(g);f[d>>2]=0;d=g+16|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[o>>2]|0)>0){d=f[q>>2]|0;q=0;do{f[d+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[o>>2]|0))}o=f[l>>2]|0;if((o|0)!=(p|0))tE(o);o=e+36|0;p=f[o>>2]|0;if(p|0?(l=p+12|0,p=f[l>>2]|0,f[l>>2]=p+-1,(p|0)==1):0)lP(e);f[o>>2]=0;o=e+16|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[i>>2]|0)>0){o=f[k>>2]|0;k=0;do{f[o+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[i>>2]|0))}i=f[n>>2]|0;if((i|0)==(j|0)){u=c;return}tE(i);u=c;return}function LF(a){a=a|0;Emc(a);return}function MF(a,b){a=a|0;b=b|0;return 1}function NF(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;a=u;u=u+112|0;e=a+48|0;g=a+32|0;h=a+16|0;i=a;f[e>>2]=1124007936;j=e+4|0;k=e+8|0;l=e+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;k=e+48|0;m=e+44|0;f[m>>2]=k;f[k>>2]=0;f[e+52>>2]=0;n=(d|0)==-1|(d|0)==0?c:e;if(!(f[b+80>>2]|0)){f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b+8;f[h>>2]=-1056833530;f[h+4>>2]=b+176;f[h+8>>2]=1;f[h+12>>2]=1;o=i+8|0;f[o>>2]=0;f[o+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=n;nJ(g,h,i,f[b+4>>2]|0)}else{f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=b+8;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=b+64;o=i+8|0;f[o>>2]=0;f[o+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=n;nJ(g,h,i,f[b+4>>2]|0)}if((f[n+16>>2]|0)!=(f[c+16>>2]|0)){b=g+8|0;f[b>>2]=0;f[b+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;IO(n,g,d,1.0,0.0)}d=e+36|0;g=f[d>>2]|0;if(g|0?(n=g+12|0,g=f[n>>2]|0,f[n>>2]=g+-1,(g|0)==1):0)lP(e);f[d>>2]=0;d=e+16|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[j>>2]|0)>0){d=f[l>>2]|0;l=0;do{f[d+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[j>>2]|0))}j=f[m>>2]|0;if((j|0)==(k|0)){u=a;return}tE(j);u=a;return}function OF(a){a=a|0;Emc(a);return}function PF(a,b){a=a|0;b=b|0;return 0}function QF(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;a=u;u=u+64|0;g=a+32|0;h=a;i=(e|0)==-1?f[c+8>>2]&4095:e;e=c+12|0;j=f[e>>2]|0;k=f[c+48>>2]|0;do if((j|0)<3){l=f[k+4>>2]|0;m=f[k>>2]|0;n=i&4095;if(((((f[d+4>>2]|0)<3?(f[d+8>>2]|0)==(m|0):0)?(f[d+12>>2]|0)==(l|0):0)?(f[d>>2]&4095|0)==(n|0):0)?f[d+16>>2]|0:0)break;f[g>>2]=m;f[g+4>>2]=l;iP(d,2,g,n)}else iP(d,j,k,i);while(0);i=f[c+4>>2]|0;if((i|0)==73&(f[e>>2]|0)<3){e=g+8|0;f[e>>2]=0;f[e+4>>2]=0;f[g>>2]=50397184;f[g+4>>2]=d;p[h>>3]=+p[c+176>>3];e=h+8|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;QJ(g,h);u=a;return}switch(i|0){case 48:{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;nT(d,g)|0;u=a;return}case 49:{p[g>>3]=+p[c+176>>3];c=g+8|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;f[c+16>>2]=0;f[c+20>>2]=0;nT(d,g)|0;u=a;return}default:{f[g>>2]=0;f[g+4>>2]=0;a=YG(g,31)|0;d=192187;c=a+31|0;do{b[a>>0]=b[d>>0]|0;a=a+1|0;d=d+1|0}while((a|0)<(c|0));SQ(-2,g,189826,189695,1606)}}}function RF(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;var e=0;a=u;u=u+16|0;e=a;zT(e,42988);WE(d,b)|0;b=d+176|0;p[b>>3]=+p[b>>3]*c;if(!(f[e+4>>2]|0)){u=a;return}u=a;return}function SF(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;f[a>>2]=41556;f[a+4>>2]=0;c=a+8|0;f[c>>2]=f[b>>2];d=a+12|0;e=b+4|0;f[d>>2]=f[e>>2];g=a+16|0;f[g>>2]=f[b+8>>2];f[a+20>>2]=f[b+12>>2];f[a+24>>2]=f[b+16>>2];f[a+28>>2]=f[b+20>>2];f[a+32>>2]=f[b+24>>2];f[a+36>>2]=f[b+28>>2];f[a+40>>2]=f[b+32>>2];h=f[b+36>>2]|0;f[a+44>>2]=h;f[a+48>>2]=g;g=a+56|0;i=a+52|0;f[i>>2]=g;f[g>>2]=0;f[a+60>>2]=0;if(h|0){g=h+12|0;f[g>>2]=(f[g>>2]|0)+1}if((f[e>>2]|0)<3){e=f[b+44>>2]|0;g=f[i>>2]|0;f[g>>2]=f[e>>2];f[g+4>>2]=f[e+4>>2]}else{f[d>>2]=0;kP(c,b)}f[a+64>>2]=1124007936;b=a+72|0;c=a+104|0;d=a+68|0;e=d+36|0;do{f[d>>2]=0;d=d+4|0}while((d|0)<(e|0));f[c>>2]=b;b=a+112|0;f[a+108>>2]=b;f[b>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;b=a+128|0;c=a+160|0;d=a+124|0;e=d+36|0;do{f[d>>2]=0;d=d+4|0}while((d|0)<(e|0));f[c>>2]=b;b=a+168|0;f[a+164>>2]=b;f[b>>2]=0;f[a+172>>2]=0;p[a+176>>3]=1.0;d=a+184|0;e=d+40|0;do{f[d>>2]=0;d=d+4|0}while((d|0)<(e|0));return}function TF(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;d=a+16|0;e=a+48|0;g=a+12|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+56|0;f[a+52>>2]=d;f[d>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;d=a+72|0;e=a+104|0;g=a+68|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+112|0;f[a+108>>2]=d;f[d>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;d=a+128|0;e=a+160|0;g=a+124|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+168|0;f[a+164>>2]=d;g=d;h=g+56|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));g=f[b>>2]|0;rh[f[(f[g>>2]|0)+96>>2]&255](g,b,c,a);return}function UF(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+64|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;g=a+16|0;h=a+48|0;i=a+12|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+56|0;f[a+52>>2]=g;f[g>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;g=a+72|0;h=a+104|0;i=a+68|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+112|0;f[a+108>>2]=g;f[g>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;g=a+128|0;h=a+160|0;i=a+124|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+168|0;f[a+164>>2]=g;i=g;j=i+56|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[e>>2]=1124007936;g=e+4|0;h=e+8|0;k=e+40|0;i=g;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[k>>2]=h;h=e+48|0;i=e+44|0;f[i>>2]=h;f[h>>2]=0;f[e+52>>2]=0;EF(a,c,e,1.0,0.0,b);b=e+36|0;c=f[b>>2]|0;if(c|0?(a=c+12|0,c=f[a>>2]|0,f[a>>2]=c+-1,(c|0)==1):0)lP(e);f[b>>2]=0;b=e+16|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[g>>2]|0)>0){b=f[k>>2]|0;k=0;do{f[b+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[g>>2]|0))}g=f[i>>2]|0;if((g|0)==(h|0)){u=d;return}tE(g);u=d;return}function VF(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;d=a+16|0;e=a+48|0;g=a+12|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+56|0;f[a+52>>2]=d;f[d>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;d=a+72|0;e=a+104|0;g=a+68|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+112|0;f[a+108>>2]=d;f[d>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;d=a+128|0;e=a+160|0;g=a+124|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+168|0;f[a+164>>2]=d;g=d;h=g+56|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));g=f[b>>2]|0;rh[f[(f[g>>2]|0)+56>>2]&255](g,b,c,a);return}function WF(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;d=a+16|0;e=a+48|0;g=a+12|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+56|0;f[a+52>>2]=d;f[d>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;d=a+72|0;e=a+104|0;g=a+68|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+112|0;f[a+108>>2]=d;f[d>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;d=a+128|0;e=a+160|0;g=a+124|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+168|0;f[a+164>>2]=d;g=d;h=g+56|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));g=f[b>>2]|0;rh[f[(f[g>>2]|0)+52>>2]&255](g,b,c,a);return}function XF(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+32|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;g=a+16|0;h=a+48|0;i=a+12|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+56|0;f[a+52>>2]=g;f[g>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;g=a+72|0;h=a+104|0;i=a+68|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+112|0;f[a+108>>2]=g;f[g>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;g=a+128|0;h=a+160|0;i=a+124|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+168|0;f[a+164>>2]=g;i=g;j=i+56|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[e+28>>2]=0;EF(a,b,c,1.0,-1.0,e);u=d;return}function YF(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+224|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;g=a+16|0;h=a+48|0;i=a+12|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+56|0;f[a+52>>2]=g;f[g>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;g=a+72|0;h=a+104|0;i=a+68|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+112|0;f[a+108>>2]=g;f[g>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;g=a+128|0;h=a+160|0;i=a+124|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+168|0;f[a+164>>2]=g;i=g;j=i+56|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));i=f[b>>2]|0;j=f[(f[i>>2]|0)+60>>2]|0;SF(e,c);rh[j&255](i,b,e,a);Xi(e);u=d;return}function ZF(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0.0,l=0.0,m=0.0;d=u;u=u+32|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;g=a+16|0;h=a+48|0;i=a+12|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+56|0;f[a+52>>2]=g;f[g>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;g=a+72|0;h=a+104|0;i=a+68|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+112|0;f[a+108>>2]=g;f[g>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;g=a+128|0;h=a+160|0;i=a+124|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+168|0;f[a+164>>2]=g;i=g;j=i+56|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));i=f[b>>2]|0;j=f[(f[i>>2]|0)+56>>2]|0;k=-+p[c+8>>3];l=-+p[c+16>>3];m=-+p[c+24>>3];p[e>>3]=-+p[c>>3];p[e+8>>3]=k;p[e+16>>3]=l;p[e+24>>3]=m;rh[j&255](i,b,e,a);u=d;return}function _F(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;d=a+16|0;e=a+48|0;g=a+12|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+56|0;f[a+52>>2]=d;f[d>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;d=a+72|0;e=a+104|0;g=a+68|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+112|0;f[a+108>>2]=d;f[d>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;d=a+128|0;e=a+160|0;g=a+124|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+168|0;f[a+164>>2]=d;g=d;h=g+56|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));g=f[b>>2]|0;rh[f[(f[g>>2]|0)+60>>2]&255](g,b,c,a);return}function $F(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=u;u=u+96|0;d=c+32|0;e=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;g=a+16|0;h=a+48|0;i=a+12|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+56|0;f[a+52>>2]=g;f[g>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;g=a+72|0;h=a+104|0;i=a+68|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+112|0;f[a+108>>2]=g;f[g>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;g=a+128|0;h=a+160|0;i=a+124|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+168|0;f[a+164>>2]=g;i=g;j=i+56|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[d>>2]=1124007936;g=d+4|0;h=d+8|0;k=d+40|0;i=g;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[k>>2]=h;h=d+48|0;i=d+44|0;f[i>>2]=h;f[h>>2]=0;f[d+52>>2]=0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[e+28>>2]=0;EF(a,b,d,-1.0,0.0,e);e=d+36|0;b=f[e>>2]|0;if(b|0?(a=b+12|0,b=f[a>>2]|0,f[a>>2]=b+-1,(b|0)==1):0)lP(d);f[e>>2]=0;e=d+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[g>>2]|0)>0){e=f[k>>2]|0;k=0;do{f[e+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[g>>2]|0))}g=f[i>>2]|0;if((g|0)==(h|0)){u=c;return}tE(g);u=c;return}function aG(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+32|0;d=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;e=a+16|0;g=a+48|0;h=a+12|0;i=h+36|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));f[g>>2]=e;e=a+56|0;f[a+52>>2]=e;f[e>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;e=a+72|0;g=a+104|0;h=a+68|0;i=h+36|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));f[g>>2]=e;e=a+112|0;f[a+108>>2]=e;f[e>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;e=a+128|0;g=a+160|0;h=a+124|0;i=h+36|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));f[g>>2]=e;e=a+168|0;f[a+164>>2]=e;h=e;i=h+56|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));h=f[b>>2]|0;i=f[(f[h>>2]|0)+64>>2]|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[d+24>>2]=0;f[d+28>>2]=0;rh[i&255](h,d,b,a);u=c;return}function bG(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+320|0;e=d+32|0;g=d;h=d+256|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;i=a+16|0;j=a+48|0;k=a+12|0;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=a+56|0;f[a+52>>2]=i;f[i>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;i=a+72|0;j=a+104|0;k=a+68|0;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=a+112|0;f[a+108>>2]=i;f[i>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;i=a+128|0;j=a+160|0;k=a+124|0;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=a+168|0;f[a+164>>2]=i;k=i;l=k+56|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[h>>2]=1124007936;i=h+4|0;j=h+8|0;m=h+40|0;k=i;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[m>>2]=j;j=h+48|0;k=h+44|0;f[k>>2]=j;f[j>>2]=0;f[h+52>>2]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;VE(e,41804,0,b,c,h,1.0,1.0,g);WE(a,e)|0;Xi(e);e=h+36|0;a=f[e>>2]|0;if(a|0?(g=a+12|0,a=f[g>>2]|0,f[g>>2]=a+-1,(a|0)==1):0)lP(h);f[e>>2]=0;e=h+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[i>>2]|0)>0){e=f[m>>2]|0;m=0;do{f[e+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[i>>2]|0))}i=f[k>>2]|0;if((i|0)==(j|0)){u=d;return}tE(i);u=d;return}function cG(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+96|0;e=d+32|0;g=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;h=a+16|0;i=a+48|0;j=a+12|0;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;h=a+56|0;f[a+52>>2]=h;f[h>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;h=a+72|0;i=a+104|0;j=a+68|0;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;h=a+112|0;f[a+108>>2]=h;f[h>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;h=a+128|0;i=a+160|0;j=a+124|0;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;h=a+168|0;f[a+164>>2]=h;j=h;k=j+56|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[e>>2]=1124007936;h=e+4|0;i=e+8|0;l=e+40|0;j=h;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[l>>2]=i;i=e+48|0;j=e+44|0;f[j>>2]=i;f[i>>2]=0;f[e+52>>2]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;EF(a,b,e,c,0.0,g);g=e+36|0;b=f[g>>2]|0;if(b|0?(a=b+12|0,b=f[a>>2]|0,f[a>>2]=b+-1,(b|0)==1):0)lP(e);f[g>>2]=0;g=e+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[h>>2]|0)>0){g=f[l>>2]|0;l=0;do{f[g+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[h>>2]|0))}h=f[j>>2]|0;if((h|0)==(i|0)){u=d;return}tE(h);u=d;return}function dG(a,b,c){a=a|0;b=+b;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+96|0;e=d+32|0;g=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;h=a+16|0;i=a+48|0;j=a+12|0;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;h=a+56|0;f[a+52>>2]=h;f[h>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;h=a+72|0;i=a+104|0;j=a+68|0;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;h=a+112|0;f[a+108>>2]=h;f[h>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;h=a+128|0;i=a+160|0;j=a+124|0;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;h=a+168|0;f[a+164>>2]=h;j=h;k=j+56|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[e>>2]=1124007936;h=e+4|0;i=e+8|0;l=e+40|0;j=h;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[l>>2]=i;i=e+48|0;j=e+44|0;f[j>>2]=i;f[i>>2]=0;f[e+52>>2]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;EF(a,c,e,b,0.0,g);g=e+36|0;c=f[g>>2]|0;if(c|0?(a=c+12|0,c=f[a>>2]|0,f[a>>2]=c+-1,(c|0)==1):0)lP(e);f[g>>2]=0;g=e+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[h>>2]|0)>0){g=f[l>>2]|0;l=0;do{f[g+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[h>>2]|0))}h=f[j>>2]|0;if((h|0)==(i|0)){u=d;return}tE(h);u=d;return}function eG(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,g=0,h=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;d=a+16|0;e=a+48|0;g=a+12|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+56|0;f[a+52>>2]=d;f[d>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;d=a+72|0;e=a+104|0;g=a+68|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+112|0;f[a+108>>2]=d;f[d>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;d=a+128|0;e=a+160|0;g=a+124|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+168|0;f[a+164>>2]=d;g=d;h=g+56|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));g=f[b>>2]|0;Bh[f[(f[g>>2]|0)+72>>2]&15](g,b,c,a);return}function fG(a,b,c){a=a|0;b=+b;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+64|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;g=a+16|0;h=a+48|0;i=a+12|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+56|0;f[a+52>>2]=g;f[g>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;g=a+72|0;h=a+104|0;i=a+68|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+112|0;f[a+108>>2]=g;f[g>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;g=a+128|0;h=a+160|0;i=a+124|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+168|0;f[a+164>>2]=g;i=g;j=i+56|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[e>>2]=1124007936;g=e+4|0;h=e+8|0;k=e+40|0;i=g;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[k>>2]=h;h=e+48|0;i=e+44|0;f[i>>2]=h;f[h>>2]=0;f[e+52>>2]=0;yF(a,47,c,e,b);c=e+36|0;a=f[c>>2]|0;if(a|0?(j=a+12|0,a=f[j>>2]|0,f[j>>2]=a+-1,(a|0)==1):0)lP(e);f[c>>2]=0;c=e+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[g>>2]|0)>0){c=f[k>>2]|0;k=0;do{f[c+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[g>>2]|0))}g=f[i>>2]|0;if((g|0)==(h|0)){u=d;return}tE(g);u=d;return}function gG(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=u;u=u+368|0;g=e+32|0;h=e+312|0;i=e+256|0;j=e;f[h>>2]=1124007936;k=h+4|0;l=h+8|0;m=h+40|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;l=h+48|0;p=h+44|0;f[p>>2]=l;f[l>>2]=0;f[h+52>>2]=0;f[i>>2]=1124007936;q=i+4|0;r=i+8|0;s=i+40|0;n=q;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[s>>2]=r;r=i+48|0;n=i+44|0;f[n>>2]=r;f[r>>2]=0;f[i+52>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;f[j+24>>2]=0;f[j+28>>2]=0;VE(g,43008,b,c,h,i,d,1.0,j);WE(a,g)|0;Xi(g);g=i+36|0;a=f[g>>2]|0;if(a|0?(j=a+12|0,a=f[j>>2]|0,f[j>>2]=a+-1,(a|0)==1):0)lP(i);f[g>>2]=0;g=i+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[q>>2]|0)>0){g=f[s>>2]|0;s=0;do{f[g+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[q>>2]|0))}q=f[n>>2]|0;if((q|0)!=(r|0))tE(q);q=h+36|0;r=f[q>>2]|0;if(r|0?(n=r+12|0,r=f[n>>2]|0,f[n>>2]=r+-1,(r|0)==1):0)lP(h);f[q>>2]=0;q=h+16|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[k>>2]|0)>0){q=f[m>>2]|0;m=0;do{f[q+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[k>>2]|0))}k=f[p>>2]|0;if((k|0)==(l|0)){u=e;return}tE(k);u=e;return}function hG(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,g=0,h=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;d=a+16|0;e=a+48|0;g=a+12|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+56|0;f[a+52>>2]=d;f[d>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;d=a+72|0;e=a+104|0;g=a+68|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+112|0;f[a+108>>2]=d;f[d>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;d=a+128|0;e=a+160|0;g=a+124|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+168|0;f[a+164>>2]=d;g=d;h=g+56|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));gG(a,0,b,c);return}function iG(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;d=a+16|0;e=a+48|0;g=a+12|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+56|0;f[a+52>>2]=d;f[d>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;d=a+72|0;e=a+104|0;g=a+68|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+112|0;f[a+108>>2]=d;f[d>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;d=a+128|0;e=a+160|0;g=a+124|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=d;d=a+168|0;f[a+164>>2]=d;g=d;h=g+56|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));yF(a,38,b,c,1.0);return}function jG(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=u;u=u+48|0;d=c+32|0;e=c;zT(d,43012);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;g=a+16|0;h=a+48|0;i=a+12|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+56|0;f[a+52>>2]=g;f[g>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;g=a+72|0;h=a+104|0;i=a+68|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+112|0;f[a+108>>2]=g;f[g>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;g=a+128|0;h=a+160|0;i=a+124|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+168|0;f[a+164>>2]=g;i=g;j=i+56|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[e+28>>2]=0;xF(a,97,b,e);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function kG(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[b>>2]|0;if((c|0)==41796|(c|0)==41436){d=f[b+20>>2]|0;f[a>>2]=f[b+16>>2];f[a+4>>2]=d;return}if((c|0)==41804){d=f[b+16>>2]|0;f[a>>2]=f[b+76>>2];f[a+4>>2]=d;return}if((c|0)==41560){d=f[b+20>>2]|0;f[a>>2]=f[b+76>>2];f[a+4>>2]=d;return}if(!(f[134485]|0)){d=pR()|0;SR(d);if(!(f[134485]|0)){e=Bmc(4)|0;f[e>>2]=42880;f[134485]=e}TR(d)}if((f[134485]|0)==(c|0)){c=f[b+48>>2]|0;d=f[c>>2]|0;f[a>>2]=f[c+4>>2];f[a+4>>2]=d;return}d=f[b>>2]|0;if(!d){f[a>>2]=0;f[a+4>>2]=0;return}else{Yh[f[(f[d>>2]|0)+100>>2]&511](a,d,b);return}}function lG(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;b=u;u=u+16|0;c=b;zT(c,43032);d=f[a>>2]|0;if(!(f[134485]|0)){e=pR()|0;SR(e);if(!(f[134485]|0)){g=Bmc(4)|0;f[g>>2]=42880;f[134485]=g}TR(e)}if((f[134485]|0)!=(d|0)){d=f[a>>2]|0;if((d|0)!=43008)if(!d)h=-1;else h=Sh[f[(f[d>>2]|0)+104>>2]&511](d,a)|0;else h=0}else h=f[a+8>>2]&4095;if(!(f[c+4>>2]|0)){u=b;return h|0}u=b;return h|0}function mG(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+16|0;d=c;zT(d,43052);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;e=a+16|0;g=a+48|0;h=a+12|0;i=h+36|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));f[g>>2]=e;e=a+56|0;f[a+52>>2]=e;f[e>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;e=a+72|0;g=a+104|0;h=a+68|0;i=h+36|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));f[g>>2]=e;e=a+112|0;f[a+108>>2]=e;f[e>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;e=a+128|0;g=a+160|0;h=a+124|0;i=h+36|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));f[g>>2]=e;e=a+168|0;f[a+164>>2]=e;h=e;i=h+56|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));wF(a,b,1.0);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function nG(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+16|0;e=d;zT(e,43072);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;g=a+16|0;h=a+48|0;i=a+12|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+56|0;f[a+52>>2]=g;f[g>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;g=a+72|0;h=a+104|0;i=a+68|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+112|0;f[a+108>>2]=g;f[g>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;g=a+128|0;h=a+160|0;i=a+124|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+168|0;f[a+164>>2]=g;i=g;j=i+56|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));UE(a,c,b);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function oG(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+240|0;g=e+224|0;h=e;zT(g,43092);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;i=a+16|0;j=a+48|0;k=a+12|0;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=a+56|0;f[a+52>>2]=i;f[i>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;i=a+72|0;j=a+104|0;k=a+68|0;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=a+112|0;f[a+108>>2]=i;f[i>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;i=a+128|0;j=a+160|0;k=a+124|0;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=a+168|0;f[a+164>>2]=i;k=i;l=k+56|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));if((pD(c)|0)!=393216){do if((pD(c)|0)==65536){k=f[c+4>>2]|0;f[h>>2]=f[k>>2];l=h+4|0;i=k+4|0;f[l>>2]=f[i>>2];j=h+8|0;f[j>>2]=f[k+8>>2];f[h+12>>2]=f[k+12>>2];f[h+16>>2]=f[k+16>>2];f[h+20>>2]=f[k+20>>2];f[h+24>>2]=f[k+24>>2];f[h+28>>2]=f[k+28>>2];f[h+32>>2]=f[k+32>>2];m=f[k+36>>2]|0;f[h+36>>2]=m;f[h+40>>2]=j;j=h+48|0;n=h+44|0;f[n>>2]=j;f[j>>2]=0;f[h+52>>2]=0;if(m|0){j=m+12|0;f[j>>2]=(f[j>>2]|0)+1}if((f[i>>2]|0)<3){i=f[k+44>>2]|0;j=f[n>>2]|0;f[j>>2]=f[i>>2];f[j+4>>2]=f[i+4>>2];break}else{f[l>>2]=0;kP(h,k);break}}else lD(h,c,-1);while(0);yF(a,42,b,h,d);k=h+36|0;l=f[k>>2]|0;if(l|0?(i=l+12|0,l=f[i>>2]|0,f[i>>2]=l+-1,(l|0)==1):0)lP(h);f[k>>2]=0;k=h+16|0;l=h+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[l>>2]|0)>0){k=f[h+40>>2]|0;i=0;do{f[k+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[l>>2]|0))}l=f[h+44>>2]|0;if((l|0)!=(h+48|0))tE(l)}else{l=f[c+4>>2]|0;c=f[l>>2]|0;i=f[(f[c>>2]|0)+68>>2]|0;SF(h,b);yh[i&31](c,h,l,a,d);Xi(h)}if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function pG(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e+8|0;h=e;zT(g,43112);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;i=a+16|0;j=a+48|0;k=a+12|0;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=a+56|0;f[a+52>>2]=i;f[i>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;i=a+72|0;j=a+104|0;k=a+68|0;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=a+112|0;f[a+108>>2]=i;f[i>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;i=a+128|0;j=a+160|0;k=a+124|0;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=a+168|0;f[a+164>>2]=i;k=i;l=k+56|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[h>>2]=c;f[h+4>>2]=b;qG(a,48,h,d,1.0);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function qG(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=u;u=u+432|0;h=g+32|0;i=g+376|0;j=g+312|0;k=g+320|0;l=g+256|0;m=g;if(!(f[134485]|0)){n=pR()|0;SR(n);if(!(f[134485]|0)){o=Bmc(4)|0;f[o>>2]=42880;f[134485]=o}TR(n)}n=f[134485]|0;f[j>>2]=f[c>>2];f[j+4>>2]=f[c+4>>2];mD(i,j,d,-286331154,0);f[k>>2]=1124007936;d=k+4|0;j=k+8|0;c=k+40|0;o=d;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));f[c>>2]=j;j=k+48|0;q=k+44|0;f[q>>2]=j;f[j>>2]=0;f[k+52>>2]=0;f[l>>2]=1124007936;r=l+4|0;s=l+8|0;t=l+40|0;o=r;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));f[t>>2]=s;s=l+48|0;o=l+44|0;f[o>>2]=s;f[s>>2]=0;f[l+52>>2]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;f[m+24>>2]=0;f[m+28>>2]=0;VE(h,n,b,i,k,l,e,0.0,m);WE(a,h)|0;Xi(h);h=l+36|0;a=f[h>>2]|0;if(a|0?(m=a+12|0,a=f[m>>2]|0,f[m>>2]=a+-1,(a|0)==1):0)lP(l);f[h>>2]=0;h=l+16|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[r>>2]|0)>0){h=f[t>>2]|0;t=0;do{f[h+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[r>>2]|0))}r=f[o>>2]|0;if((r|0)!=(s|0))tE(r);r=k+36|0;s=f[r>>2]|0;if(s|0?(o=s+12|0,s=f[o>>2]|0,f[o>>2]=s+-1,(s|0)==1):0)lP(k);f[r>>2]=0;r=k+16|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[d>>2]|0)>0){r=f[c>>2]|0;c=0;do{f[r+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[q>>2]|0;if((d|0)!=(j|0))tE(d);d=i+36|0;j=f[d>>2]|0;if(j|0?(q=j+12|0,j=f[q>>2]|0,f[q>>2]=j+-1,(j|0)==1):0)lP(i);f[d>>2]=0;d=i+16|0;j=i+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[j>>2]|0)>0){d=f[i+40>>2]|0;q=0;do{f[d+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[j>>2]|0))}j=f[i+44>>2]|0;if((j|0)==(i+48|0)){u=g;return}tE(j);u=g;return}function rG(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d+8|0;g=d;zT(e,43132);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;h=a+16|0;i=a+48|0;j=a+12|0;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;h=a+56|0;f[a+52>>2]=h;f[h>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;h=a+72|0;i=a+104|0;j=a+68|0;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;h=a+112|0;f[a+108>>2]=h;f[h>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;h=a+128|0;i=a+160|0;j=a+124|0;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;h=a+168|0;f[a+164>>2]=h;j=h;k=j+56|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[g>>2]=f[b>>2];f[g+4>>2]=f[b+4>>2];qG(a,48,g,c,1.0);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function sG(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e+8|0;h=e;zT(g,43152);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;i=a+16|0;j=a+48|0;k=a+12|0;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=a+56|0;f[a+52>>2]=i;f[i>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;i=a+72|0;j=a+104|0;k=a+68|0;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=a+112|0;f[a+108>>2]=i;f[i>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;i=a+128|0;j=a+160|0;k=a+124|0;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=a+168|0;f[a+164>>2]=i;k=i;l=k+56|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[h>>2]=c;f[h+4>>2]=b;qG(a,49,h,d,1.0);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function tG(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d+8|0;g=d;zT(e,43172);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;h=a+16|0;i=a+48|0;j=a+12|0;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;h=a+56|0;f[a+52>>2]=h;f[h>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;h=a+72|0;i=a+104|0;j=a+68|0;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;h=a+112|0;f[a+108>>2]=h;f[h>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;h=a+128|0;i=a+160|0;j=a+124|0;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;h=a+168|0;f[a+164>>2]=h;j=h;k=j+56|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[g>>2]=f[b>>2];f[g+4>>2]=f[b+4>>2];qG(a,49,g,c,1.0);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function uG(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e+8|0;h=e;zT(g,43192);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;i=a+16|0;j=a+48|0;k=a+12|0;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=a+56|0;f[a+52>>2]=i;f[i>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;i=a+72|0;j=a+104|0;k=a+68|0;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=a+112|0;f[a+108>>2]=i;f[i>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;i=a+128|0;j=a+160|0;k=a+124|0;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=a+168|0;f[a+164>>2]=i;k=i;l=k+56|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[h>>2]=c;f[h+4>>2]=b;qG(a,73,h,d,1.0);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function vG(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d+8|0;g=d;zT(e,43212);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=1124007936;h=a+16|0;i=a+48|0;j=a+12|0;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;h=a+56|0;f[a+52>>2]=h;f[h>>2]=0;f[a+60>>2]=0;f[a+64>>2]=1124007936;h=a+72|0;i=a+104|0;j=a+68|0;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;h=a+112|0;f[a+108>>2]=h;f[h>>2]=0;f[a+116>>2]=0;f[a+120>>2]=1124007936;h=a+128|0;i=a+160|0;j=a+124|0;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;h=a+168|0;f[a+164>>2]=h;j=h;k=j+56|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[g>>2]=f[b>>2];f[g+4>>2]=f[b+4>>2];qG(a,73,g,c,1.0);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function wG(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;i=u;u=u+1088|0;j=i+1072|0;k=i+32|0;l=i;zT(j,43232);do if(h|0){if(!((a|0)!=0&(c|0)!=0&(d|0)!=0&(e|0)!=0&(g|0)!=0)){f[k>>2]=0;f[k+4>>2]=0;m=YG(k,60)|0;n=192705;o=m+60|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));xG(k,192766,101)}p=f[d>>2]|0;q=1212424721>>>(p<<2&28)&15;r=p&7;p=e+c|0;s=(p<<3)+8+(h<<5)|0;t=k+8|0;f[k>>2]=t;v=k+4|0;f[v>>2]=s;if(s>>>0>1032){w=Dmc(s)|0;f[k>>2]=w;x=w}else x=t;w=x+(c<<2)+(e<<2)|0;s=w+(c<<2)+(e<<2)+4|0;y=s+(h<<2)|0;z=y+(h<<2)|0;A=z+(h<<2<<2)|0;B=A+(h<<2)|0;C=0;do{f[x+(C<<2)>>2]=a+(C*56|0);C=C+1|0}while((C|0)!=(c|0));D=0;do{f[x+(D+c<<2)>>2]=d+(D*56|0);D=D+1|0}while((D|0)!=(e|0));f[w+(p<<2)>>2]=0;C=0;a:while(1){E=C<<1;F=f[g+(E<<2)>>2]|0;G=f[g+((E|1)<<2)>>2]|0;if((F|0)>-1){E=F;F=0;while(1){H=a+(F*56|0)|0;I=f[H>>2]|0;J=I>>>3&511;if((E|0)<=(J|0))break;K=F+1|0;if(K>>>0<c>>>0){E=E+-1-J|0;F=K}else{L=21;break a}}if((I&7|0)!=(r|0)){L=21;break}K=C<<2;f[z+(K<<2)>>2]=F;J=Y(E,q)|0;f[z+((K|1)<<2)>>2]=J;M=((f[H>>2]|0)>>>3&511)+1|0}else{J=C<<2;f[z+(J<<2)>>2]=p;f[z+((J|1)<<2)>>2]=0;M=0}f[A+(C<<2)>>2]=M;J=G;K=0;while(1){N=d+(K*56|0)|0;O=f[N>>2]|0;P=O>>>3&511;if((J|0)<=(P|0))break;Q=K+1|0;if(Q>>>0<e>>>0){J=J+-1-P|0;K=Q}else{L=22;break a}}if(!((J|0)>-1&(O&7|0)==(r|0))){L=22;break}G=C<<2;f[z+((G|2)<<2)>>2]=K+c;E=Y(J,q)|0;f[z+((G|3)<<2)>>2]=E;f[B+(C<<2)>>2]=((f[N>>2]|0)>>>3&511)+1;C=C+1|0;if(C>>>0>=h>>>0){L=23;break}}if((L|0)==21){f[l>>2]=0;f[l+4>>2]=0;m=YG(l,36)|0;n=192778;o=m+36|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));xG(l,192766,128)}else if((L|0)==22){f[l>>2]=0;f[l+4>>2]=0;m=YG(l,47)|0;n=192815;o=m+47|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));xG(l,192766,141)}else if((L|0)==23){IN(l,x,w,p);C=f[l+20>>2]|0;E=((q+1023|0)>>>0)/(q>>>0)|0;G=(E|0)<(C|0)?E:C;E=f[43252+(r<<2)>>2]|0;F=l+16|0;Q=(C|0)>0;P=Y(G,q)|0;R=0;while(1){if(R>>>0<(f[F>>2]|0)>>>0)S=0;else break;do{T=S<<2;f[s+(S<<2)>>2]=(f[w+(f[z+(T<<2)>>2]<<2)>>2]|0)+(f[z+((T|1)<<2)>>2]|0);f[y+(S<<2)>>2]=(f[w+(f[z+((T|2)<<2)>>2]<<2)>>2]|0)+(f[z+((T|3)<<2)>>2]|0);S=S+1|0}while((S|0)!=(h|0));b:do if(Q){J=0;do{K=C-J|0;Ug[E&127](s,A,y,B,(G|0)<(K|0)?G:K,h);J=J+G|0;K=(J|0)<(C|0);if(K)U=0;else break b;do{T=Y(P,f[A+(U<<2)>>2]|0)|0;V=s+(U<<2)|0;f[V>>2]=(f[V>>2]|0)+T;T=Y(P,f[B+(U<<2)>>2]|0)|0;V=y+(U<<2)|0;f[V>>2]=(f[V>>2]|0)+T;U=U+1|0}while((U|0)!=(h|0))}while(K)}while(0);JN(l)|0;R=R+1|0}R=f[k>>2]|0;if((R|0)!=(t|0)){if(R|0)Fmc(R);f[k>>2]=t;f[v>>2]=1032}break}}while(0);if(!(f[j+4>>2]|0)){u=i;return}u=i;return}function xG(a,b,c){a=a|0;b=b|0;c=c|0;SQ(-215,a,b,192863,c);return}function yG(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if((h|0)<=0)return;i=g+-2|0;if((g|0)<2){if((g|0)==1)j=0;else return;do{k=f[a+(j<<2)>>2]|0;if(!k)l=0;else l=b[k>>0]|0;b[f[d+(j<<2)>>2]>>0]=l;j=j+1|0}while((j|0)!=(h|0));return}j=g&-2;if((j|0)<(g|0))m=0;else{g=0;do{l=f[a+(g<<2)>>2]|0;k=f[d+(g<<2)>>2]|0;n=f[c+(g<<2)>>2]|0;o=f[e+(g<<2)>>2]|0;if(!l){p=o<<1;q=k;r=0;while(1){b[q+o>>0]=0;b[q>>0]=0;r=r+2|0;if((r|0)>(i|0))break;else q=q+p|0}}else{p=n<<1;q=o<<1;r=l;s=k;t=0;while(1){u=b[r+n>>0]|0;b[s>>0]=b[r>>0]|0;b[s+o>>0]=u;t=t+2|0;if((t|0)>(i|0))break;else{r=r+p|0;s=s+q|0}}}g=g+1|0}while((g|0)!=(h|0));return}do{g=f[a+(m<<2)>>2]|0;q=f[d+(m<<2)>>2]|0;s=f[c+(m<<2)>>2]|0;p=f[e+(m<<2)>>2]|0;if(!g){r=p<<1;t=q;o=0;while(1){b[t+p>>0]=0;b[t>>0]=0;o=o+2|0;if((o|0)>(i|0))break;else t=t+r|0}r=q+(Y(p,j)|0)|0;b[r>>0]=0}else{r=s<<1;t=p<<1;o=Y(s,j)|0;n=g;k=q;l=0;while(1){u=b[n+s>>0]|0;b[k>>0]=b[n>>0]|0;b[k+p>>0]=u;l=l+2|0;if((l|0)>(i|0))break;else{n=n+r|0;k=k+t|0}}t=q+(Y(p,j)|0)|0;b[t>>0]=b[g+o>>0]|0}m=m+1|0}while((m|0)!=(h|0));return}function zG(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;if((h|0)<=0)return;i=g+-2|0;if((g|0)<2){if((g|0)==1)j=0;else return;do{k=f[a+(j<<2)>>2]|0;if(!k)l=0;else l=d[k>>1]|0;d[f[c+(j<<2)>>2]>>1]=l;j=j+1|0}while((j|0)!=(h|0));return}j=i>>>1;l=(j<<2)+4|0;if(((j<<1)+2|0)<(g|0))m=0;else{g=0;do{j=f[a+(g<<2)>>2]|0;k=f[c+(g<<2)>>2]|0;n=f[b+(g<<2)>>2]|0;o=f[e+(g<<2)>>2]|0;if(!j){p=o<<1;q=k;r=0;while(1){d[q+(o<<1)>>1]=0;d[q>>1]=0;r=r+2|0;if((r|0)>(i|0))break;else q=q+(p<<1)|0}}else{p=n<<1;q=o<<1;r=j;s=k;t=0;while(1){u=d[r+(n<<1)>>1]|0;d[s>>1]=d[r>>1]|0;d[s+(o<<1)>>1]=u;t=t+2|0;if((t|0)>(i|0))break;else{r=r+(p<<1)|0;s=s+(q<<1)|0}}}g=g+1|0}while((g|0)!=(h|0));return}do{g=f[a+(m<<2)>>2]|0;q=f[c+(m<<2)>>2]|0;s=f[b+(m<<2)>>2]|0;p=f[e+(m<<2)>>2]|0;if(!g){r=p<<1;t=Y(p,l)|0;o=q;n=0;while(1){d[o+(p<<1)>>1]=0;d[o>>1]=0;n=n+2|0;if((n|0)>(i|0))break;else o=o+(r<<1)|0}d[q+t>>1]=0}else{r=s<<1;o=p<<1;n=Y(s,l)|0;k=Y(p,l)|0;j=g;u=q;v=0;while(1){w=d[j+(s<<1)>>1]|0;d[u>>1]=d[j>>1]|0;d[u+(p<<1)>>1]=w;v=v+2|0;if((v|0)>(i|0))break;else{j=j+(r<<1)|0;u=u+(o<<1)|0}}d[q+k>>1]=d[g+n>>1]|0}m=m+1|0}while((m|0)!=(h|0));return}function AG(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;if((g|0)<=0)return;h=e+-2|0;if((e|0)<2){if((e|0)==1)i=0;else return;do{j=f[a+(i<<2)>>2]|0;if(!j)k=0;else k=f[j>>2]|0;f[f[c+(i<<2)>>2]>>2]=k;i=i+1|0}while((i|0)!=(g|0));return}i=h>>>1;k=(i<<3)+8|0;if(((i<<1)+2|0)<(e|0))l=0;else{e=0;do{i=f[a+(e<<2)>>2]|0;j=f[c+(e<<2)>>2]|0;m=f[b+(e<<2)>>2]|0;n=f[d+(e<<2)>>2]|0;if(!i){o=n<<1;p=j;q=0;while(1){f[p+(n<<2)>>2]=0;f[p>>2]=0;q=q+2|0;if((q|0)>(h|0))break;else p=p+(o<<2)|0}}else{o=m<<1;p=n<<1;q=i;r=j;s=0;while(1){t=f[q+(m<<2)>>2]|0;f[r>>2]=f[q>>2];f[r+(n<<2)>>2]=t;s=s+2|0;if((s|0)>(h|0))break;else{q=q+(o<<2)|0;r=r+(p<<2)|0}}}e=e+1|0}while((e|0)!=(g|0));return}do{e=f[a+(l<<2)>>2]|0;p=f[c+(l<<2)>>2]|0;r=f[b+(l<<2)>>2]|0;o=f[d+(l<<2)>>2]|0;if(!e){q=o<<1;s=Y(o,k)|0;n=p;m=0;while(1){f[n+(o<<2)>>2]=0;f[n>>2]=0;m=m+2|0;if((m|0)>(h|0))break;else n=n+(q<<2)|0}f[p+s>>2]=0}else{q=r<<1;n=o<<1;m=Y(r,k)|0;j=Y(o,k)|0;i=e;t=p;u=0;while(1){v=f[i+(r<<2)>>2]|0;f[t>>2]=f[i>>2];f[t+(o<<2)>>2]=v;u=u+2|0;if((u|0)>(h|0))break;else{i=i+(q<<2)|0;t=t+(n<<2)|0}}f[p+j>>2]=f[e+m>>2]}l=l+1|0}while((l|0)!=(g|0));return}function BG(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;if((g|0)<=0)return;h=e+-2|0;if((e|0)<2){if((e|0)==1)i=0;else return;do{j=f[a+(i<<2)>>2]|0;if(!j){k=0;l=0}else{m=j;k=f[m>>2]|0;l=f[m+4>>2]|0}m=f[c+(i<<2)>>2]|0;f[m>>2]=k;f[m+4>>2]=l;i=i+1|0}while((i|0)!=(g|0));return}i=h>>>1;l=(i<<4)+16|0;if(((i<<1)+2|0)<(e|0))n=0;else{e=0;do{i=f[a+(e<<2)>>2]|0;k=f[c+(e<<2)>>2]|0;m=f[b+(e<<2)>>2]|0;j=f[d+(e<<2)>>2]|0;if(!i){o=j<<1;p=k;q=0;while(1){r=p+(j<<3)|0;f[r>>2]=0;f[r+4>>2]=0;r=p;f[r>>2]=0;f[r+4>>2]=0;q=q+2|0;if((q|0)>(h|0))break;else p=p+(o<<3)|0}}else{o=m<<1;p=j<<1;q=i;r=k;s=0;while(1){t=q;u=f[t+4>>2]|0;v=q+(m<<3)|0;w=f[v>>2]|0;x=f[v+4>>2]|0;v=r;f[v>>2]=f[t>>2];f[v+4>>2]=u;u=r+(j<<3)|0;f[u>>2]=w;f[u+4>>2]=x;s=s+2|0;if((s|0)>(h|0))break;else{q=q+(o<<3)|0;r=r+(p<<3)|0}}}e=e+1|0}while((e|0)!=(g|0));return}do{e=f[a+(n<<2)>>2]|0;p=f[c+(n<<2)>>2]|0;r=f[b+(n<<2)>>2]|0;o=f[d+(n<<2)>>2]|0;if(!e){q=o<<1;s=Y(o,l)|0;j=p;m=0;while(1){k=j+(o<<3)|0;f[k>>2]=0;f[k+4>>2]=0;k=j;f[k>>2]=0;f[k+4>>2]=0;m=m+2|0;if((m|0)>(h|0))break;else j=j+(q<<3)|0}q=p+s|0;f[q>>2]=0;f[q+4>>2]=0}else{q=r<<1;j=o<<1;m=Y(r,l)|0;k=Y(o,l)|0;i=e;x=p;u=0;while(1){w=i;v=f[w+4>>2]|0;t=i+(r<<3)|0;y=f[t>>2]|0;z=f[t+4>>2]|0;t=x;f[t>>2]=f[w>>2];f[t+4>>2]=v;v=x+(o<<3)|0;f[v>>2]=y;f[v+4>>2]=z;u=u+2|0;if((u|0)>(h|0))break;else{i=i+(q<<3)|0;x=x+(j<<3)|0}}j=e+m|0;x=f[j+4>>2]|0;q=p+k|0;f[q>>2]=f[j>>2];f[q+4>>2]=x}n=n+1|0}while((n|0)!=(g|0));return}function CG(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=0;do{f[a+8+(d*56|0)>>2]=1124007936;e=a+8+(d*56|0)+8|0;g=a+8+(d*56|0)+40|0;h=a+8+(d*56|0)+4|0;i=h+36|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));f[g>>2]=e;j=a+8+(d*56|0)+48|0;f[a+8+(d*56|0)+44>>2]=j;f[j>>2]=0;f[a+8+(d*56|0)+52>>2]=0;d=d+1|0}while((d|0)!=26);f[a>>2]=c;c=a+4|0;f[c>>2]=26;if(b>>>0<=26){f[c>>2]=b;return}EG(a);f[c>>2]=b;c=b*56|0;d=Dmc(b>>>0>76695844|c>>>0>4294967291?-1:c+4|0)|0;f[d>>2]=b;c=d+4|0;d=c+(b*56|0)|0;b=c;do{f[b>>2]=1124007936;j=b+8|0;k=b+40|0;h=b+4|0;i=h+36|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));f[k>>2]=j;e=b+48|0;f[b+44>>2]=e;f[e>>2]=0;f[b+52>>2]=0;b=b+56|0}while((b|0)!=(d|0));f[a>>2]=c;return}function DG(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;EG(a);b=a+8|0;c=a+1464|0;do{a=c;c=c+-56|0;d=a+-20|0;e=f[d>>2]|0;if(e|0?(g=e+12|0,e=f[g>>2]|0,f[g>>2]=e+-1,(e|0)==1):0)lP(c);f[d>>2]=0;d=a+-40|0;e=a+-52|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[e>>2]|0)>0){d=f[a+-16>>2]|0;g=0;do{f[d+(g<<2)>>2]=0;g=g+1|0}while((g|0)<(f[e>>2]|0))}e=f[a+-12>>2]|0;if((e|0)!=(a+-8|0))tE(e)}while((c|0)!=(b|0));return}function EG(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a>>2]|0;c=a+8|0;if((b|0)==(c|0))return;if(b|0){d=b+-4|0;e=f[d>>2]|0;if(e|0){g=b+(e*56|0)|0;do{e=g;g=g+-56|0;h=e+-20|0;i=f[h>>2]|0;if(i|0?(j=i+12|0,i=f[j>>2]|0,f[j>>2]=i+-1,(i|0)==1):0)lP(g);f[h>>2]=0;h=e+-40|0;i=e+-52|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[i>>2]|0)>0){h=f[e+-16>>2]|0;j=0;do{f[h+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[i>>2]|0))}i=f[e+-12>>2]|0;if((i|0)!=(e+-8|0))tE(i)}while((g|0)!=(b|0))}Fmc(d)}f[a>>2]=c;f[a+4>>2]=26;return}function FG(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;e=u;u=u+1536|0;g=e+1520|0;h=e+56|0;i=e;zT(g,43284);j=d+4|0;if((f[d>>2]|0)!=(f[j>>2]|0)){if(((pD(a)|0)!=327680?(pD(a)|0)!=983040:0)?(pD(a)|0)!=262144:0)k=(pD(a)|0)!=720896;else k=0;if(((pD(c)|0)!=327680?(pD(c)|0)!=983040:0)?(pD(c)|0)!=262144:0)l=(pD(c)|0)!=720896;else l=0;if(k)m=1;else m=AD(a,-1)|0;if(l)n=1;else n=AD(c,-1)|0;if(!((n|0)>0&((m|0)>0?((f[j>>2]|0)-(f[d>>2]|0)&4|0)==0:0))){f[h>>2]=0;f[h+4>>2]=0;o=YG(h,44)|0;p=193016;q=o+44|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));xG(h,192766,328)}CG(h,n+m|0);p=f[h>>2]|0;o=a+4|0;q=i+4|0;r=i+8|0;s=i+12|0;t=i+16|0;v=i+20|0;w=i+24|0;x=i+28|0;y=i+32|0;z=i+36|0;A=i+40|0;B=i+48|0;C=i+44|0;D=i+52|0;E=0;do{F=k?-1:E;do if((F|0)<0&(pD(a)|0)==65536){G=f[o>>2]|0;f[i>>2]=f[G>>2];H=G+4|0;f[q>>2]=f[H>>2];f[r>>2]=f[G+8>>2];f[s>>2]=f[G+12>>2];f[t>>2]=f[G+16>>2];f[v>>2]=f[G+20>>2];f[w>>2]=f[G+24>>2];f[x>>2]=f[G+28>>2];f[y>>2]=f[G+32>>2];I=f[G+36>>2]|0;f[z>>2]=I;f[A>>2]=r;f[C>>2]=B;f[B>>2]=0;f[D>>2]=0;if(I|0){J=I+12|0;f[J>>2]=(f[J>>2]|0)+1}if((f[H>>2]|0)<3){H=f[G+44>>2]|0;J=f[C>>2]|0;f[J>>2]=f[H>>2];f[J+4>>2]=f[H+4>>2];break}else{f[q>>2]=0;kP(i,G);break}}else lD(i,a,F);while(0);F=p+(E*56|0)|0;if((F|0)!=(i|0)){G=f[z>>2]|0;if(G|0){H=G+12|0;f[H>>2]=(f[H>>2]|0)+1}H=p+(E*56|0)+36|0;G=f[H>>2]|0;if(G|0?(J=G+12|0,G=f[J>>2]|0,f[J>>2]=G+-1,(G|0)==1):0)lP(F);f[H>>2]=0;G=p+(E*56|0)+16|0;J=p+(E*56|0)+4|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[J>>2]|0)>0){I=f[p+(E*56|0)+40>>2]|0;K=0;do{f[I+(K<<2)>>2]=0;K=K+1|0;L=f[J>>2]|0}while((K|0)<(L|0));f[F>>2]=f[i>>2];if((L|0)<3)M=36;else M=38}else{f[F>>2]=f[i>>2];M=36}if((M|0)==36){M=0;K=f[q>>2]|0;if((K|0)<3){f[J>>2]=K;f[p+(E*56|0)+8>>2]=f[r>>2];f[p+(E*56|0)+12>>2]=f[s>>2];K=f[C>>2]|0;I=f[p+(E*56|0)+44>>2]|0;f[I>>2]=f[K>>2];f[I+4>>2]=f[K+4>>2]}else M=38}if((M|0)==38){M=0;kP(F,i)}f[G>>2]=f[t>>2];f[p+(E*56|0)+20>>2]=f[v>>2];f[p+(E*56|0)+24>>2]=f[w>>2];f[p+(E*56|0)+28>>2]=f[x>>2];f[p+(E*56|0)+32>>2]=f[y>>2];f[H>>2]=f[z>>2]}K=f[z>>2]|0;if(K|0?(I=K+12|0,K=f[I>>2]|0,f[I>>2]=K+-1,(K|0)==1):0)lP(i);f[z>>2]=0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[q>>2]|0)>0){K=f[A>>2]|0;I=0;do{f[K+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[q>>2]|0))}I=f[C>>2]|0;if((I|0)!=(B|0))tE(I);E=E+1|0}while((E|0)<(m|0));E=c+4|0;B=i+4|0;C=i+8|0;q=i+12|0;A=i+16|0;t=i+20|0;z=i+24|0;y=i+28|0;x=i+32|0;w=i+36|0;v=i+40|0;s=i+48|0;r=i+44|0;L=i+52|0;a=0;do{D=l?-1:a;do if((D|0)<0&(pD(c)|0)==65536){o=f[E>>2]|0;f[i>>2]=f[o>>2];k=o+4|0;f[B>>2]=f[k>>2];f[C>>2]=f[o+8>>2];f[q>>2]=f[o+12>>2];f[A>>2]=f[o+16>>2];f[t>>2]=f[o+20>>2];f[z>>2]=f[o+24>>2];f[y>>2]=f[o+28>>2];f[x>>2]=f[o+32>>2];I=f[o+36>>2]|0;f[w>>2]=I;f[v>>2]=C;f[r>>2]=s;f[s>>2]=0;f[L>>2]=0;if(I|0){K=I+12|0;f[K>>2]=(f[K>>2]|0)+1}if((f[k>>2]|0)<3){k=f[o+44>>2]|0;K=f[r>>2]|0;f[K>>2]=f[k>>2];f[K+4>>2]=f[k+4>>2];break}else{f[B>>2]=0;kP(i,o);break}}else lD(i,c,D);while(0);D=a+m|0;o=p+(D*56|0)|0;if((o|0)!=(i|0)){k=f[w>>2]|0;if(k|0){K=k+12|0;f[K>>2]=(f[K>>2]|0)+1}K=p+(D*56|0)+36|0;k=f[K>>2]|0;if(k|0?(I=k+12|0,k=f[I>>2]|0,f[I>>2]=k+-1,(k|0)==1):0)lP(o);f[K>>2]=0;k=p+(D*56|0)+16|0;I=p+(D*56|0)+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[I>>2]|0)>0){H=f[p+(D*56|0)+40>>2]|0;G=0;do{f[H+(G<<2)>>2]=0;G=G+1|0;N=f[I>>2]|0}while((G|0)<(N|0));f[o>>2]=f[i>>2];if((N|0)<3)M=67;else M=69}else{f[o>>2]=f[i>>2];M=67}if((M|0)==67){M=0;G=f[B>>2]|0;if((G|0)<3){f[I>>2]=G;f[p+(D*56|0)+8>>2]=f[C>>2];f[p+(D*56|0)+12>>2]=f[q>>2];G=f[r>>2]|0;H=f[p+(D*56|0)+44>>2]|0;f[H>>2]=f[G>>2];f[H+4>>2]=f[G+4>>2]}else M=69}if((M|0)==69){M=0;kP(o,i)}f[k>>2]=f[A>>2];f[p+(D*56|0)+20>>2]=f[t>>2];f[p+(D*56|0)+24>>2]=f[z>>2];f[p+(D*56|0)+28>>2]=f[y>>2];f[p+(D*56|0)+32>>2]=f[x>>2];f[K>>2]=f[w>>2]}G=f[w>>2]|0;if(G|0?(H=G+12|0,G=f[H>>2]|0,f[H>>2]=G+-1,(G|0)==1):0)lP(i);f[w>>2]=0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[B>>2]|0)>0){G=f[v>>2]|0;H=0;do{f[G+(H<<2)>>2]=0;H=H+1|0}while((H|0)<(f[B>>2]|0))}H=f[r>>2]|0;if((H|0)!=(s|0))tE(H);a=a+1|0}while((a|0)<(n|0));a=f[d>>2]|0;wG(p,m,p+(m*56|0)|0,n,a,(f[j>>2]|0)-a>>2>>>1);DG(h)}if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function GG(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=u;u=u+128|0;g=e+120|0;h=e+112|0;i=e+56|0;j=e;zT(g,43304);k=oD(a,-1)|0;l=k&7;if((d|0)<=-1){f[h>>2]=0;m=h+4|0;f[m>>2]=0;n=YG(h,20)|0;o=n;p=193154;q=o+20|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));xG(h,193175,425)}if((k>>>3&511|0)<(d|0)){f[h>>2]=0;m=h+4|0;f[m>>2]=0;n=YG(h,20)|0;o=n;p=193154;q=o+20|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));xG(h,193175,425)}f[h>>2]=d;f[h+4>>2]=0;do if((pD(a)|0)==65536){d=f[a+4>>2]|0;f[i>>2]=f[d>>2];p=i+4|0;o=d+4|0;f[p>>2]=f[o>>2];q=i+8|0;f[q>>2]=f[d+8>>2];f[i+12>>2]=f[d+12>>2];f[i+16>>2]=f[d+16>>2];f[i+20>>2]=f[d+20>>2];f[i+24>>2]=f[d+24>>2];f[i+28>>2]=f[d+28>>2];f[i+32>>2]=f[d+32>>2];n=f[d+36>>2]|0;f[i+36>>2]=n;m=i+40|0;f[m>>2]=q;q=i+48|0;k=i+44|0;f[k>>2]=q;f[q>>2]=0;f[i+52>>2]=0;if(n|0){q=n+12|0;f[q>>2]=(f[q>>2]|0)+1}if((f[o>>2]|0)<3){o=f[d+44>>2]|0;q=f[k>>2]|0;f[q>>2]=f[o>>2];f[q+4>>2]=f[o+4>>2];r=m;s=p;break}else{f[p>>2]=0;kP(i,d);r=m;s=p;break}}else{lD(i,a,-1);r=i+40|0;s=i+4|0}while(0);ID(c,f[s>>2]|0,f[r>>2]|0,l,-1,0,0);do if((pD(c)|0)==65536){l=f[c+4>>2]|0;f[j>>2]=f[l>>2];a=j+4|0;p=l+4|0;f[a>>2]=f[p>>2];m=j+8|0;f[m>>2]=f[l+8>>2];f[j+12>>2]=f[l+12>>2];f[j+16>>2]=f[l+16>>2];f[j+20>>2]=f[l+20>>2];f[j+24>>2]=f[l+24>>2];f[j+28>>2]=f[l+28>>2];f[j+32>>2]=f[l+32>>2];d=f[l+36>>2]|0;f[j+36>>2]=d;f[j+40>>2]=m;m=j+48|0;o=j+44|0;f[o>>2]=m;f[m>>2]=0;f[j+52>>2]=0;if(d|0){m=d+12|0;f[m>>2]=(f[m>>2]|0)+1}if((f[p>>2]|0)<3){p=f[l+44>>2]|0;m=f[o>>2]|0;f[m>>2]=f[p>>2];f[m+4>>2]=f[p+4>>2];break}else{f[a>>2]=0;kP(j,l);break}}else lD(j,c,-1);while(0);wG(i,1,j,1,h,1);h=j+36|0;c=f[h>>2]|0;if(c|0?(l=c+12|0,c=f[l>>2]|0,f[l>>2]=c+-1,(c|0)==1):0)lP(j);f[h>>2]=0;h=j+16|0;c=j+4|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[c>>2]|0)>0){h=f[j+40>>2]|0;l=0;do{f[h+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[c>>2]|0))}c=f[j+44>>2]|0;if((c|0)!=(j+48|0))tE(c);c=i+36|0;j=f[c>>2]|0;if(j|0?(l=j+12|0,j=f[l>>2]|0,f[l>>2]=j+-1,(j|0)==1):0)lP(i);f[c>>2]=0;c=i+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[s>>2]|0)>0){c=f[r>>2]|0;r=0;do{f[c+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[s>>2]|0))}s=f[i+44>>2]|0;if((s|0)!=(i+48|0))tE(s);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function HG(){var a=0;a=_R(193244,1e3)|0;f[134499]=a;return}function IG(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0.0,sa=0.0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0.0,rb=0,sb=0,tb=0,ub=0,vb=0.0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0.0,Jb=0.0,Kb=0,Lb=0.0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0.0,Vb=0.0,Wb=0.0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0.0,bc=0.0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0.0,qc=0,rc=0,sc=0,tc=0.0,uc=0,vc=0,wc=0.0,xc=0,yc=0.0,zc=0,Ac=0,Bc=0.0,Cc=0.0,Dc=0.0,Ec=0,Fc=0.0,Gc=0,Hc=0,Ic=0.0,Jc=0.0,Kc=0.0;j=u;u=u+2224|0;k=j+552|0;l=j+1960|0;m=j+1944|0;o=j+1936|0;q=j+1912|0;r=j+1904|0;t=j+1848|0;v=j+1736|0;w=j+1680|0;x=j+1624|0;y=j+1792|0;z=j+1560|0;A=j+1504|0;B=j+1392|0;C=j+1128|0;D=j;E=j+608|0;F=j+1616|0;G=j+520|0;H=j+1448|0;zT(r,43324);do if((pD(a)|0)==65536){I=f[a+4>>2]|0;f[t>>2]=f[I>>2];K=t+4|0;L=I+4|0;f[K>>2]=f[L>>2];M=t+8|0;f[M>>2]=f[I+8>>2];N=t+12|0;f[N>>2]=f[I+12>>2];f[t+16>>2]=f[I+16>>2];f[t+20>>2]=f[I+20>>2];f[t+24>>2]=f[I+24>>2];f[t+28>>2]=f[I+28>>2];f[t+32>>2]=f[I+32>>2];O=f[I+36>>2]|0;f[t+36>>2]=O;f[t+40>>2]=M;P=t+48|0;Q=t+44|0;f[Q>>2]=P;f[P>>2]=0;f[t+52>>2]=0;if(O|0){P=O+12|0;f[P>>2]=(f[P>>2]|0)+1}if((f[L>>2]|0)<3){L=f[I+44>>2]|0;P=f[Q>>2]|0;f[P>>2]=f[L>>2];f[P+4>>2]=f[L+4>>2];R=M;S=N;T=t;U=K;break}else{f[K>>2]=0;kP(t,I);R=M;S=N;T=t;U=K;break}}else{lD(t,a,-1);R=t+8|0;S=t+12|0;T=t;U=t+4|0}while(0);a=f[R>>2]|0;R=(a|0)==1;K=f[S>>2]|0;S=R?K:a;a=f[T>>2]|0;T=Y((a>>>3&511)+1|0,R?1:K)|0;K=(g|0)>1?g:1;if(!((c|0)>0&((f[U>>2]|0)<3&(a&7|0)==5))){f[k>>2]=0;f[k+4>>2]=0;V=YG(k,42)|0;W=193279;X=V+42|0;do{b[V>>0]=b[W>>0]|0;V=V+1|0;W=W+1|0}while((V|0)<(X|0));SQ(-215,k,193322,193329,240)}if((S|0)<(c|0)){f[k>>2]=0;f[k+4>>2]=0;a=YG(k,6)|0;b[a>>0]=b[193394]|0;b[a+1>>0]=b[193395]|0;b[a+2>>0]=b[193396]|0;b[a+3>>0]=b[193397]|0;b[a+4>>0]=b[193398]|0;b[a+5>>0]=b[193399]|0;SQ(-215,k,193322,193329,241)}a=t+16|0;g=t+44|0;N=t+48|0;Ri(v,S,T,5,f[a>>2]|0,R?T<<2:f[N>>2]|0);iE(d,S,1,4,-1,1,0);f[w>>2]=1124007936;R=w+4|0;M=w+8|0;I=w+40|0;V=R;X=V+36|0;do{f[V>>2]=0;V=V+4|0}while((V|0)<(X|0));f[I>>2]=M;L=w+48|0;P=w+44|0;f[P>>2]=L;f[L>>2]=0;f[w+52>>2]=0;do if((pD(d)|0)==65536){Q=f[d+4>>2]|0;f[x>>2]=f[Q>>2];O=x+4|0;Z=Q+4|0;f[O>>2]=f[Z>>2];_=x+8|0;f[_>>2]=f[Q+8>>2];$=x+12|0;f[$>>2]=f[Q+12>>2];f[x+16>>2]=f[Q+16>>2];f[x+20>>2]=f[Q+20>>2];f[x+24>>2]=f[Q+24>>2];f[x+28>>2]=f[Q+28>>2];f[x+32>>2]=f[Q+32>>2];aa=f[Q+36>>2]|0;f[x+36>>2]=aa;f[x+40>>2]=_;ba=x+48|0;ca=x+44|0;f[ca>>2]=ba;f[ba>>2]=0;f[x+52>>2]=0;if(aa|0){ba=aa+12|0;f[ba>>2]=(f[ba>>2]|0)+1}if((f[Z>>2]|0)<3){Z=f[Q+44>>2]|0;ba=f[ca>>2]|0;f[ba>>2]=f[Z>>2];f[ba+4>>2]=f[Z+4>>2];da=$;ea=_;break}else{f[O>>2]=0;kP(x,Q);da=$;ea=_;break}}else{lD(x,d,-1);da=x+12|0;ea=x+8|0}while(0);_=(h&1|0)!=0;$=f[da>>2]|0;Q=f[ea>>2]|0;O=(($|0)==1|(Q|0)==1)&(Y(Q,$)|0)==(S|0);a:do if(_){if(!O){f[k>>2]=0;fa=k+4|0;f[fa>>2]=0;ga=YG(k,152)|0;Krc(ga|0,193401,152)|0;SQ(-215,k,193322,193329,253)}if((f[x>>2]&20479|0)!=16388){f[k>>2]=0;fa=k+4|0;f[fa>>2]=0;ga=YG(k,152)|0;Krc(ga|0,193401,152)|0;SQ(-215,k,193322,193329,253)}xP(y,x,1,S);$=k+8|0;f[$>>2]=0;f[$+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=w;kT(y,k);$=y+36|0;Q=f[$>>2]|0;if(Q|0?(Z=Q+12|0,Q=f[Z>>2]|0,f[Z>>2]=Q+-1,(Q|0)==1):0)lP(y);f[$>>2]=0;$=y+16|0;Q=y+4|0;f[$>>2]=0;f[$+4>>2]=0;f[$+8>>2]=0;f[$+12>>2]=0;if((f[Q>>2]|0)>0){$=f[y+40>>2]|0;Z=0;do{f[$+(Z<<2)>>2]=0;Z=Z+1|0}while((Z|0)<(f[Q>>2]|0))}Q=f[y+44>>2]|0;if((Q|0)!=(y+48|0))tE(Q);if((S|0)>0){Q=f[w+16>>2]|0;Z=f[I>>2]|0;$=Z+4|0;ba=f[P>>2]|0;ca=f[w+12>>2]|0;if(f[w>>2]&16384|0){aa=0;while(1){if((f[Q+(aa<<2)>>2]|0)>>>0>=c>>>0)break;aa=aa+1|0;if((aa|0)>=(S|0))break a}f[k>>2]=0;ha=k+4|0;f[ha>>2]=0;ia=YG(k,42)|0;V=ia;W=193554;X=V+42|0;do{b[V>>0]=b[W>>0]|0;V=V+1|0;W=W+1|0}while((V|0)<(X|0));SQ(-215,k,193322,193329,257)}aa=(f[Z>>2]|0)==1;ja=0;while(1){do if(!aa){ka=f[ba>>2]|0;if((f[$>>2]|0)==1){la=Q+(Y(ka,ja)|0)|0;break}else{ma=(ja|0)/(ca|0)|0;la=Q+(Y(ma,ka)|0)+(ja-(Y(ma,ca)|0)<<2)|0;break}}else la=Q+(ja<<2)|0;while(0);ja=ja+1|0;if((f[la>>2]|0)>>>0>=c>>>0)break;if((ja|0)>=(S|0))break a}f[k>>2]=0;ha=k+4|0;f[ha>>2]=0;ia=YG(k,42)|0;V=ia;W=193554;X=V+42|0;do{b[V>>0]=b[W>>0]|0;V=V+1|0;W=W+1|0}while((V|0)<(X|0));SQ(-215,k,193322,193329,257)}}else{if(O?(ja=f[x>>2]|0,(ja&20479|0)==16388):0)na=ja;else{iE(d,S,1,4,-1,0,0);do if((pD(d)|0)==65536){ja=f[d+4>>2]|0;f[k>>2]=f[ja>>2];Q=k+4|0;ca=ja+4|0;f[Q>>2]=f[ca>>2];$=k+8|0;f[$>>2]=f[ja+8>>2];f[k+12>>2]=f[ja+12>>2];f[k+16>>2]=f[ja+16>>2];f[k+20>>2]=f[ja+20>>2];f[k+24>>2]=f[ja+24>>2];f[k+28>>2]=f[ja+28>>2];f[k+32>>2]=f[ja+32>>2];ba=k+36|0;aa=f[ja+36>>2]|0;f[ba>>2]=aa;f[k+40>>2]=$;$=k+48|0;Z=k+44|0;f[Z>>2]=$;f[$>>2]=0;f[k+52>>2]=0;if(aa|0){$=aa+12|0;f[$>>2]=(f[$>>2]|0)+1}if((f[ca>>2]|0)<3){ca=f[ja+44>>2]|0;$=f[Z>>2]|0;f[$>>2]=f[ca>>2];f[$+4>>2]=f[ca+4>>2];oa=ba;break}else{f[Q>>2]=0;kP(k,ja);oa=ba;break}}else{lD(k,d,-1);oa=k+36|0}while(0);ba=f[oa>>2]|0;if(ba|0){ja=ba+12|0;f[ja>>2]=(f[ja>>2]|0)+1}ja=x+36|0;ba=f[ja>>2]|0;if(ba|0?(Q=ba+12|0,ba=f[Q>>2]|0,f[Q>>2]=ba+-1,(ba|0)==1):0)lP(x);f[ja>>2]=0;ba=x+16|0;Q=x+4|0;f[ba>>2]=0;f[ba+4>>2]=0;f[ba+8>>2]=0;f[ba+12>>2]=0;if((f[Q>>2]|0)>0){ca=f[x+40>>2]|0;$=0;do{f[ca+($<<2)>>2]=0;$=$+1|0;pa=f[Q>>2]|0}while(($|0)<(pa|0));f[x>>2]=f[k>>2];if((pa|0)<3)qa=63;else qa=65}else{f[x>>2]=f[k>>2];qa=63}if((qa|0)==63){$=f[k+4>>2]|0;if(($|0)<3){f[Q>>2]=$;f[ea>>2]=f[k+8>>2];f[da>>2]=f[k+12>>2];$=f[k+44>>2]|0;ca=f[x+44>>2]|0;f[ca>>2]=f[$>>2];f[ca+4>>2]=f[$+4>>2]}else qa=65}if((qa|0)==65)kP(x,k);$=k+16|0;f[ba>>2]=f[$>>2];f[x+20>>2]=f[k+20>>2];f[x+24>>2]=f[k+24>>2];f[x+28>>2]=f[k+28>>2];f[x+32>>2]=f[k+32>>2];ca=f[oa>>2]|0;f[ja>>2]=ca;if(ca|0?(Z=ca+12|0,ca=f[Z>>2]|0,f[Z>>2]=ca+-1,(ca|0)==1):0)lP(k);f[oa>>2]=0;ca=k+4|0;f[$>>2]=0;f[$+4>>2]=0;f[$+8>>2]=0;f[$+12>>2]=0;if((f[ca>>2]|0)>0){$=f[k+40>>2]|0;Z=0;do{f[$+(Z<<2)>>2]=0;Z=Z+1|0}while((Z|0)<(f[ca>>2]|0))}ca=f[k+44>>2]|0;if((ca|0)!=(k+48|0))tE(ca);na=f[x>>2]|0}ca=f[x+40>>2]|0;Z=f[ca+4>>2]|0;$=f[ca>>2]|0;ca=na&4095;if(((((f[R>>2]|0)<3?(f[M>>2]|0)==($|0):0)?(f[w+12>>2]|0)==(Z|0):0)?(f[w>>2]&4095|0)==(ca|0):0)?f[w+16>>2]|0:0)break;f[k>>2]=$;f[k+4>>2]=Z;iP(w,2,k,ca)}while(0);M=w+16|0;na=f[M>>2]|0;f[z>>2]=1124007936;oa=z+4|0;da=z+8|0;ea=z+40|0;V=oa;X=V+36|0;do{f[V>>2]=0;V=V+4|0}while((V|0)<(X|0));f[ea>>2]=da;da=z+48|0;pa=z+44|0;f[pa>>2]=da;f[da>>2]=0;f[z+52>>2]=0;f[k>>2]=c;d=k+4|0;f[d>>2]=T;iP(z,2,k,5);f[A>>2]=1124007936;O=A+4|0;ia=A+8|0;ha=A+40|0;V=O;X=V+36|0;do{f[V>>2]=0;V=V+4|0}while((V|0)<(X|0));f[ha>>2]=ia;ia=A+48|0;la=A+44|0;f[la>>2]=ia;f[ia>>2]=0;f[A+52>>2]=0;f[k>>2]=c;f[d>>2]=T;iP(A,2,k,5);f[B>>2]=1124007936;y=B+4|0;ga=B+8|0;fa=B+40|0;V=y;X=V+36|0;do{f[V>>2]=0;V=V+4|0}while((V|0)<(X|0));f[fa>>2]=ga;ga=B+48|0;ca=B+44|0;f[ca>>2]=ga;f[ga>>2]=0;f[B+52>>2]=0;f[k>>2]=1;f[d>>2]=T;iP(B,2,k,5);d=C+8|0;f[C>>2]=d;Z=C+4|0;$=c>>>0>64;f[Z>>2]=c;if($){ja=Dmc(c>>>0>1073741823?-1:c<<2)|0;f[C>>2]=ja}ja=D+8|0;f[D>>2]=ja;ba=D+4|0;f[ba>>2]=S;if(S>>>0>64){Q=Dmc(S>>>0>536870911?-1:S<<3)|0;f[D>>2]=Q}Q=JL()|0;aa=f[e>>2]|0;ma=e+8|0;if(!(aa&2))ra=1.1920928955078125e-07;else{sa=+p[ma>>3];ra=sa<0.0?0.0:sa}p[ma>>3]=ra*ra;ka=e+4|0;if(!(aa&1))ta=100;else{aa=f[ka>>2]|0;e=(aa|0)>2?aa:2;ta=(e|0)<100?e:100}e=(c|0)==1;aa=e?1:K;f[ka>>2]=e?2:ta;ta=E+8|0;Drc(ta|0,0,512)|0;f[E>>2]=ta;e=E+4|0;f[e>>2]=T;if(T>>>0>64){K=Dmc(T>>>0>536870911?-1:T<<3)|0;Drc(K|0,0,T<<3|0)|0;f[E>>2]=K;ua=K}else ua=ta;K=(h&2|0)!=0;if(!K){h=v+16|0;va=f[h>>2]|0;wa=v+44|0;xa=(T|0)>0;if(xa?(ya=f[va>>2]|0,f[ua>>2]=ya,f[ua+4>>2]=ya,(T|0)!=1):0){ya=1;do{ua=f[E>>2]|0;za=f[va+(ya<<2)>>2]|0;f[ua+(ya<<3)>>2]=za;f[ua+(ya<<3)+4>>2]=za;ya=ya+1|0}while((ya|0)!=(T|0))}if((S|0)>1?(ya=f[h>>2]|0,h=f[f[wa>>2]>>2]|0,wa=f[E>>2]|0,xa):0){xa=1;do{va=ya+(Y(h,xa)|0)|0;za=0;do{ua=f[va+(za<<2)>>2]|0;f[k>>2]=ua;Aa=wa+(za<<3)|0;ra=(f[s>>2]=ua,+n[s>>2]);f[Aa>>2]=f[(ra<+n[Aa>>2]?k:Aa)>>2];Aa=wa+(za<<3)+4|0;f[Aa>>2]=f[(+n[Aa>>2]<ra?k:Aa)>>2];za=za+1|0}while((za|0)!=(T|0));xa=xa+1|0}while((xa|0)!=(S|0))}}b:do if((aa|0)>0){xa=v+12|0;wa=v+8|0;h=l+8|0;ya=l+4|0;za=c>>>0>1073741823?-1:c<<2;va=m+8|0;Aa=m+4|0;ua=v+16|0;Ba=v+44|0;Ca=(c|0)>1;Da=o+4|0;Ea=q+4|0;Fa=q+8|0;Ga=q+12|0;Ha=q+16|0;Ia=z+16|0;Ja=k+4|0;ra=1.0/+(T|0);Ja=(T|0)>0;sa=ra*2.0+1.0;Ka=k+4|0;La=l+4|0;Ma=l+8|0;Na=l+12|0;Oa=l+16|0;Pa=(Y(Y(S,c)|0,T)|0)+-1|0;Qa=(S|0)>0;Ra=B+16|0;Sa=A+16|0;Ta=k+4|0;Ua=l+4|0;Va=l+8|0;Wa=l+12|0;Xa=l+16|0;Ya=(Y(T,S)|0)+-1|0;Za=F+4|0;_a=k+8|0;$a=k+12|0;ab=k+4|0;bb=l+36|0;cb=l+16|0;db=l+4|0;eb=l+40|0;fb=l+44|0;gb=l+48|0;hb=H+36|0;ib=H+16|0;jb=H+4|0;kb=H+40|0;lb=H+44|0;mb=H+48|0;nb=k+8|0;ob=k+4|0;pb=c<<2;qb=1797693134862315708145274.0e284;rb=0;c:while(1){sb=_&(rb|0)<1;tb=0;while(1){ub=(tb|0)==0;vb=ub?1797693134862315708145274.0e284:0.0;KJ(z,A);d:do if(sb|ub^1){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;f[k+24>>2]=0;f[k+28>>2]=0;nT(z,k)|0;Drc(f[C>>2]|0,0,pb|0)|0;e:do if(Qa){wb=f[ua>>2]|0;xb=f[Ba>>2]|0;yb=f[Ia>>2]|0;zb=f[pa>>2]|0;Ab=f[C>>2]|0;if(Ja)Bb=0;else{Cb=0;while(1){Db=Ab+(f[na+(Cb<<2)>>2]<<2)|0;f[Db>>2]=(f[Db>>2]|0)+1;Cb=Cb+1|0;if((Cb|0)==(S|0))break e}}do{Cb=wb+(Y(f[xb>>2]|0,Bb)|0)|0;Db=f[na+(Bb<<2)>>2]|0;Eb=yb+(Y(f[zb>>2]|0,Db)|0)|0;Fb=0;do{Gb=Eb+(Fb<<2)|0;n[Gb>>2]=+n[Cb+(Fb<<2)>>2]+ +n[Gb>>2];Fb=Fb+1|0}while((Fb|0)!=(T|0));Fb=Ab+(Db<<2)|0;f[Fb>>2]=(f[Fb>>2]|0)+1;Bb=Bb+1|0}while((Bb|0)!=(S|0))}while(0);Ab=0;zb=f[C>>2]|0;while(1){do if(!(f[zb+(Ab<<2)>>2]|0)){if(Ca){yb=1;xb=0;while(1){wb=(f[zb+(xb<<2)>>2]|0)<(f[zb+(yb<<2)>>2]|0)?yb:xb;yb=yb+1|0;if((yb|0)==(c|0)){Hb=wb;break}else xb=wb}}else Hb=0;xb=f[Ia>>2]|0;yb=f[pa>>2]|0;Db=xb+(Y(f[yb>>2]|0,Hb)|0)|0;wb=f[Ra>>2]|0;Fb=f[zb+(Hb<<2)>>2]|0;Ib=1.0/+(Fb|0);if(Ja){Cb=0;do{n[wb+(Cb<<2)>>2]=Ib*+n[Db+(Cb<<2)>>2];Cb=Cb+1|0}while((Cb|0)!=(T|0))}if(Qa){Cb=0;Eb=-1;Ib=0.0;while(1){if((f[na+(Cb<<2)>>2]|0)==(Hb|0)){Jb=+PL((f[ua>>2]|0)+(Y(f[f[Ba>>2]>>2]|0,Cb)|0)|0,wb,T);Gb=!(Ib<=Jb);Kb=Gb?Eb:Cb;Lb=Gb?Ib:Jb}else{Kb=Eb;Lb=Ib}Cb=Cb+1|0;if((Cb|0)>=(S|0))break;else{Eb=Kb;Ib=Lb}}Eb=f[C>>2]|0;Mb=Kb;Nb=Eb;Ob=f[Eb+(Hb<<2)>>2]|0;Pb=f[pa>>2]|0;Qb=f[Ia>>2]|0}else{Mb=-1;Nb=zb;Ob=Fb;Pb=yb;Qb=xb}f[Nb+(Hb<<2)>>2]=Ob+-1;Eb=Nb+(Ab<<2)|0;f[Eb>>2]=(f[Eb>>2]|0)+1;f[na+(Mb<<2)>>2]=Ab;Eb=(f[ua>>2]|0)+(Y(f[f[Ba>>2]>>2]|0,Mb)|0)|0;Cb=Qb+(Y(f[Pb>>2]|0,Ab)|0)|0;if(Ja)Rb=0;else{Sb=Nb;break}do{wb=Eb+(Rb<<2)|0;Gb=Db+(Rb<<2)|0;n[Gb>>2]=+n[Gb>>2]-+n[wb>>2];Gb=Cb+(Rb<<2)|0;n[Gb>>2]=+n[wb>>2]+ +n[Gb>>2];Rb=Rb+1|0}while((Rb|0)!=(T|0));Sb=Nb}else Sb=zb;while(0);Ab=Ab+1|0;if((Ab|0)>=(c|0))break;else zb=Sb}zb=f[Ia>>2]|0;Ab=f[f[pa>>2]>>2]|0;Cb=f[C>>2]|0;Db=(tb|0)>0;Eb=f[Sa>>2]|0;xb=f[la>>2]|0;if(Ja){Tb=0;Ub=vb}else{yb=0;Ib=vb;while(1){if(!(f[Cb+(yb<<2)>>2]|0)){qa=206;break c}Jb=Db&Ib<0.0?0.0:Ib;yb=yb+1|0;if((yb|0)>=(c|0)){Vb=Jb;break d}else Ib=Jb}}while(1){yb=zb+(Y(Ab,Tb)|0)|0;Fb=f[Cb+(Tb<<2)>>2]|0;if(!Fb){qa=206;break c}Ib=1.0/+(Fb|0);Fb=0;do{Gb=yb+(Fb<<2)|0;n[Gb>>2]=Ib*+n[Gb>>2];Fb=Fb+1|0}while((Fb|0)!=(T|0));if(Db){Fb=Eb+(Y(f[xb>>2]|0,Tb)|0)|0;Gb=0;Ib=0.0;do{Jb=+n[yb+(Gb<<2)>>2]-+n[Fb+(Gb<<2)>>2];Ib=Ib+Jb*Jb;Gb=Gb+1|0}while((Gb|0)!=(T|0));Wb=Ub<Ib?Ib:Ub}else Wb=Ub;Tb=Tb+1|0;if((Tb|0)>=(c|0)){Vb=Wb;break}else Ub=Wb}}else{if(!K){xb=f[E>>2]|0;Eb=f[Ia>>2]|0;Db=f[f[pa>>2]>>2]|0;if(!Ja){Vb=vb;break}Cb=Q;Ab=0;zb=f[Cb>>2]|0;Gb=f[Cb+4>>2]|0;while(1){Cb=Eb+(Y(Db,Ab)|0)|0;Fb=0;Xb=zb;Yb=Gb;do{yb=Urc(Xb|0,0,-130063606,0)|0;Xb=Arc(yb|0,J|0,Yb|0,0)|0;Yb=J;Jb=+n[xb+(Fb<<3)>>2];n[Cb+(Fb<<2)>>2]=Jb+(+n[xb+(Fb<<3)+4>>2]-Jb)*(sa*(+(Xb>>>0)*2.3283064365386963e-10)-ra);Fb=Fb+1|0}while((Fb|0)!=(T|0));Ab=Ab+1|0;if((Ab|0)==(c|0))break;else{zb=Xb;Gb=Yb}}Gb=Q;f[Gb>>2]=Xb;f[Gb+4>>2]=Yb;Vb=vb;break}zT(k,43344);Gb=f[xa>>2]|0;zb=f[wa>>2]|0;f[l>>2]=h;f[ya>>2]=c;if($){Ab=Dmc(za)|0;f[l>>2]=Ab;Zb=Ab}else Zb=h;Ab=zb*3|0;f[m>>2]=va;f[Aa>>2]=0;if(!zb){f[Aa>>2]=0;_b=va}else{f[Aa>>2]=Ab;xb=Dmc(Ab>>>0>1073741823?-1:Ab<<2)|0;f[m>>2]=xb;_b=xb}xb=_b;Ab=_b+(zb<<2)|0;Db=Ab;Eb=Ab+(zb<<2)|0;Ab=Q;Fb=f[Ab+4>>2]|0;Cb=Urc(f[Ab>>2]|0,0,-130063606,0)|0;Ab=Arc(Cb|0,J|0,Fb|0,0)|0;Fb=Q;f[Fb>>2]=Ab;f[Fb+4>>2]=J;Fb=(Ab>>>0)%(zb>>>0)|0;f[Zb>>2]=Fb;Ab=(zb|0)>0;f:do if(Ab){Cb=0;Ib=0.0;yb=Fb;while(1){wb=f[ua>>2]|0;$b=f[f[Ba>>2]>>2]|0;Jb=+PL(wb+(Y($b,Cb)|0)|0,wb+(Y($b,yb)|0)|0,Gb);n[_b+(Cb<<2)>>2]=Jb;ac=Ib+Jb;$b=Cb+1|0;if(($b|0)>=(zb|0)){bc=ac;break f}Cb=$b;Ib=ac;yb=f[Zb>>2]|0}}else bc=0.0;while(0);if(Ca){Fb=zb+-1|0;yb=(zb|0)>1;Cb=(Y(zb,Gb)|0)+-1|0;$b=1;Ib=bc;wb=Eb;cc=xb;dc=Db;while(1){ec=cc;do if(yb){fc=0;gc=-1;ac=1797693134862315708145274.0e284;hc=wb;ic=dc;while(1){jc=Q;kc=f[jc+4>>2]|0;lc=Urc(f[jc>>2]|0,0,-130063606,0)|0;jc=Arc(lc|0,J|0,kc|0,0)|0;kc=J;lc=Urc(jc|0,0,-130063606,0)|0;mc=Arc(lc|0,J|0,kc|0,0)|0;kc=Q;f[kc>>2]=mc;f[kc+4>>2]=J;kc=0;Jb=Ib*((+(mc>>>0)+4294967296.0*+(jc>>>0))*5.421010862427522e-20);while(1){Jb=Jb-+n[ec+(kc<<2)>>2];if(Jb<=0.0){nc=kc;break}jc=kc+1|0;if((jc|0)>=(Fb|0)){nc=jc;break}else kc=jc}f[o>>2]=0;f[Da>>2]=zb;kc=hc;f[q>>2]=43372;f[Ea>>2]=kc;f[Fa>>2]=v;f[Ga>>2]=ec;f[Ha>>2]=nc;jc=f[134499]|0;oU(o,q,+((((jc+Cb|0)>>>0)/(jc>>>0)|0)>>>0));jc=0;Jb=0.0;do{Jb=Jb+ +n[kc+(jc<<2)>>2];jc=jc+1|0}while((jc|0)!=(zb|0));if(Jb<ac){oc=nc;pc=Jb;qc=ic;rc=hc}else{oc=gc;pc=ac;qc=hc;rc=ic}fc=fc+1|0;if((fc|0)>=3){sc=oc;tc=pc;uc=qc;vc=rc;break}else{gc=oc;ac=pc;hc=qc;ic=rc}}}else{ic=Q;hc=f[ic+4>>2]|0;gc=Urc(f[ic>>2]|0,0,-130063606,0)|0;ic=Arc(gc|0,J|0,hc|0,0)|0;hc=J;gc=Urc(ic|0,0,-130063606,0)|0;ic=Arc(gc|0,J|0,hc|0,0)|0;hc=Q;f[hc>>2]=ic;f[hc+4>>2]=J;f[o>>2]=0;f[Da>>2]=zb;hc=wb;f[q>>2]=43372;f[Ea>>2]=hc;f[Fa>>2]=v;f[Ga>>2]=ec;f[Ha>>2]=0;ic=f[134499]|0;oU(o,q,+((((ic+Cb|0)>>>0)/(ic>>>0)|0)>>>0));if(Ab){ic=0;ac=0.0;do{ac=ac+ +n[hc+(ic<<2)>>2];ic=ic+1|0}while((ic|0)!=(zb|0));if(ac<1797693134862315708145274.0e284){wc=ac;qa=155}else{xc=-1;yc=1797693134862315708145274.0e284;zc=wb;Ac=dc}}else{wc=0.0;qa=155}if((qa|0)==155){qa=0;xc=0;yc=wc;zc=dc;Ac=wb}ic=Q;hc=f[ic+4>>2]|0;gc=Urc(f[ic>>2]|0,0,-130063606,0)|0;ic=Arc(gc|0,J|0,hc|0,0)|0;hc=J;gc=Urc(ic|0,0,-130063606,0)|0;ic=Arc(gc|0,J|0,hc|0,0)|0;hc=Q;f[hc>>2]=ic;f[hc+4>>2]=J;f[o>>2]=0;f[Da>>2]=zb;hc=zc;f[q>>2]=43372;f[Ea>>2]=hc;f[Fa>>2]=v;f[Ga>>2]=ec;f[Ha>>2]=0;ic=f[134499]|0;oU(o,q,+((((ic+Cb|0)>>>0)/(ic>>>0)|0)>>>0));if(Ab){ic=0;Bc=0.0;while(1){Cc=Bc+ +n[hc+(ic<<2)>>2];ic=ic+1|0;if((ic|0)==(zb|0)){Dc=Cc;break}else Bc=Cc}}else Dc=0.0;if(Dc<yc){Ec=0;Fc=Dc;Gc=Ac;Hc=zc}else{Ec=xc;Fc=yc;Gc=zc;Hc=Ac}ic=Q;hc=f[ic+4>>2]|0;gc=Urc(f[ic>>2]|0,0,-130063606,0)|0;ic=Arc(gc|0,J|0,hc|0,0)|0;hc=J;gc=Urc(ic|0,0,-130063606,0)|0;ic=Arc(gc|0,J|0,hc|0,0)|0;hc=Q;f[hc>>2]=ic;f[hc+4>>2]=J;f[o>>2]=0;f[Da>>2]=zb;hc=Gc;f[q>>2]=43372;f[Ea>>2]=hc;f[Fa>>2]=v;f[Ga>>2]=ec;f[Ha>>2]=0;ic=f[134499]|0;oU(o,q,+((((ic+Cb|0)>>>0)/(ic>>>0)|0)>>>0));if(Ab){ic=0;Bc=0.0;while(1){ac=Bc+ +n[hc+(ic<<2)>>2];ic=ic+1|0;if((ic|0)==(zb|0)){Ic=ac;break}else Bc=ac}}else Ic=0.0;if(!(Ic<Fc)){sc=Ec;tc=Fc;uc=Gc;vc=Hc;break}sc=0;tc=Ic;uc=Hc;vc=Gc}while(0);f[Zb+($b<<2)>>2]=sc;$b=$b+1|0;if(($b|0)>=(c|0))break;else{ec=cc;Ib=tc;wb=uc;cc=vc;dc=ec}}}dc=f[ua>>2]|0;cc=f[f[Ba>>2]>>2]|0;wb=f[Ia>>2]|0;$b=f[f[pa>>2]>>2]|0;if((Gb|0)>0){zb=0;do{Ab=dc+(Y(f[Zb+(zb<<2)>>2]|0,cc)|0)|0;Cb=wb+(Y(zb,$b)|0)|0;Fb=0;do{f[Cb+(Fb<<2)>>2]=f[Ab+(Fb<<2)>>2];Fb=Fb+1|0}while((Fb|0)!=(Gb|0));zb=zb+1|0}while((zb|0)!=(c|0))}zb=f[m>>2]|0;if((zb|0)!=(va|0)){if(zb|0)Fmc(zb);f[m>>2]=va;f[Aa>>2]=0}zb=f[l>>2]|0;if((zb|0)!=(h|0)){if(zb|0)Fmc(zb);f[l>>2]=h;f[ya>>2]=64}Vb=vb}while(0);ub=tb+1|0;zb=f[ka>>2]|0;if((ub|0)==(((zb|0)>2?zb:2)|0))break;if(Vb<=+p[ma>>3])break;f[k>>2]=0;f[Ka>>2]=S;zb=f[D>>2]|0;f[l>>2]=43412;f[La>>2]=zb;f[Ma>>2]=na;f[Na>>2]=v;f[Oa>>2]=z;zb=f[134499]|0;oU(k,l,+((((Pa+zb|0)>>>0)/(zb>>>0)|0)>>>0));tb=ub}f[k>>2]=0;f[Ta>>2]=S;tb=f[D>>2]|0;f[l>>2]=43392;f[Ua>>2]=tb;f[Va>>2]=na;f[Wa>>2]=v;f[Xa>>2]=z;tb=f[134499]|0;oU(k,l,+((((Ya+tb|0)>>>0)/(tb>>>0)|0)>>>0));f[F>>2]=S;f[Za>>2]=1;mD(l,F,6,f[D>>2]|0,0);f[_a>>2]=0;f[$a>>2]=0;f[k>>2]=16842752;f[ab>>2]=l;XG(G,k);vb=+p[G>>3];tb=f[bb>>2]|0;if(tb|0?(sb=tb+12|0,tb=f[sb>>2]|0,f[sb>>2]=tb+-1,(tb|0)==1):0)lP(l);f[bb>>2]=0;f[cb>>2]=0;f[cb+4>>2]=0;f[cb+8>>2]=0;f[cb+12>>2]=0;if((f[db>>2]|0)>0){tb=f[eb>>2]|0;sb=0;do{f[tb+(sb<<2)>>2]=0;sb=sb+1|0}while((sb|0)<(f[db>>2]|0))}sb=f[fb>>2]|0;if((sb|0)!=(gb|0))tE(sb);if(vb<qb){g:do if(lE(i)|0){do if(hE(i)|0){if((CD(i,-1)|0)!=(T|0))break;xP(H,z,T,0);kT(H,i);sb=f[hb>>2]|0;do if(sb|0){tb=sb+12|0;ub=f[tb>>2]|0;f[tb>>2]=ub+-1;if((ub|0)!=1)break;lP(H)}while(0);f[hb>>2]=0;f[ib>>2]=0;f[ib+4>>2]=0;f[ib+8>>2]=0;f[ib+12>>2]=0;if((f[jb>>2]|0)>0){sb=f[kb>>2]|0;ub=0;do{f[sb+(ub<<2)>>2]=0;ub=ub+1|0}while((ub|0)<(f[jb>>2]|0))}ub=f[lb>>2]|0;if((ub|0)==(mb|0))break g;tE(ub);break g}while(0);kT(z,i)}while(0);ub=nb;f[ub>>2]=0;f[ub+4>>2]=0;f[k>>2]=33619968;f[ob>>2]=x;kT(w,k);Jc=vb}else Jc=qb;rb=rb+1|0;if((rb|0)>=(aa|0)){Kc=Jc;break b}else qb=Jc}if((qa|0)==206){f[k>>2]=0;f[k+4>>2]=0;V=YG(k,16)|0;W=193597;X=V+16|0;do{b[V>>0]=b[W>>0]|0;V=V+1|0;W=W+1|0}while((V|0)<(X|0));SQ(-215,k,193322,193329,408)}}else Kc=1797693134862315708145274.0e284;while(0);k=f[E>>2]|0;if((k|0)!=(ta|0)){if(k|0)Fmc(k);f[E>>2]=ta;f[e>>2]=64}e=f[D>>2]|0;if((e|0)!=(ja|0)){if(e|0)Fmc(e);f[D>>2]=ja;f[ba>>2]=64}ba=f[C>>2]|0;if((ba|0)!=(d|0)){if(ba|0)Fmc(ba);f[C>>2]=d;f[Z>>2]=64}Z=B+36|0;d=f[Z>>2]|0;if(d|0?(C=d+12|0,d=f[C>>2]|0,f[C>>2]=d+-1,(d|0)==1):0)lP(B);f[Z>>2]=0;Z=B+16|0;f[Z>>2]=0;f[Z+4>>2]=0;f[Z+8>>2]=0;f[Z+12>>2]=0;if((f[y>>2]|0)>0){Z=f[fa>>2]|0;fa=0;do{f[Z+(fa<<2)>>2]=0;fa=fa+1|0}while((fa|0)<(f[y>>2]|0))}y=f[ca>>2]|0;if((y|0)!=(ga|0))tE(y);y=A+36|0;ga=f[y>>2]|0;do if(ga|0){ca=ga+12|0;fa=f[ca>>2]|0;f[ca>>2]=fa+-1;if((fa|0)!=1)break;lP(A)}while(0);f[y>>2]=0;y=A+16|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[O>>2]|0)>0){y=f[ha>>2]|0;ha=0;do{f[y+(ha<<2)>>2]=0;ha=ha+1|0}while((ha|0)<(f[O>>2]|0))}O=f[la>>2]|0;if((O|0)!=(ia|0))tE(O);O=z+36|0;ia=f[O>>2]|0;do if(ia|0){la=ia+12|0;ha=f[la>>2]|0;f[la>>2]=ha+-1;if((ha|0)!=1)break;lP(z)}while(0);f[O>>2]=0;O=z+16|0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;if((f[oa>>2]|0)>0){O=f[ea>>2]|0;ea=0;do{f[O+(ea<<2)>>2]=0;ea=ea+1|0}while((ea|0)<(f[oa>>2]|0))}oa=f[pa>>2]|0;if((oa|0)!=(da|0))tE(oa);oa=x+36|0;da=f[oa>>2]|0;do if(da|0){pa=da+12|0;ea=f[pa>>2]|0;f[pa>>2]=ea+-1;if((ea|0)!=1)break;lP(x)}while(0);f[oa>>2]=0;oa=x+16|0;da=x+4|0;f[oa>>2]=0;f[oa+4>>2]=0;f[oa+8>>2]=0;f[oa+12>>2]=0;if((f[da>>2]|0)>0){oa=f[x+40>>2]|0;ea=0;do{f[oa+(ea<<2)>>2]=0;ea=ea+1|0}while((ea|0)<(f[da>>2]|0))}da=f[x+44>>2]|0;if((da|0)!=(x+48|0))tE(da);da=w+36|0;x=f[da>>2]|0;do if(x|0){ea=x+12|0;oa=f[ea>>2]|0;f[ea>>2]=oa+-1;if((oa|0)!=1)break;lP(w)}while(0);f[da>>2]=0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[R>>2]|0)>0){M=f[I>>2]|0;I=0;do{f[M+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[R>>2]|0))}R=f[P>>2]|0;if((R|0)!=(L|0))tE(R);R=v+36|0;L=f[R>>2]|0;do if(L|0){P=L+12|0;I=f[P>>2]|0;f[P>>2]=I+-1;if((I|0)!=1)break;lP(v)}while(0);f[R>>2]=0;R=v+16|0;L=v+4|0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((f[L>>2]|0)>0){R=f[v+40>>2]|0;I=0;do{f[R+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[L>>2]|0))}L=f[v+44>>2]|0;if((L|0)!=(v+48|0))tE(L);L=t+36|0;v=f[L>>2]|0;do if(v|0){I=v+12|0;R=f[I>>2]|0;f[I>>2]=R+-1;if((R|0)!=1)break;lP(t)}while(0);f[L>>2]=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[U>>2]|0)>0){a=f[t+40>>2]|0;t=0;do{f[a+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[U>>2]|0))}U=f[g>>2]|0;if((U|0)!=(N|0))tE(U);if(!(f[r+4>>2]|0)){u=j;return +Kc}u=j;return +Kc}function JG(a){a=a|0;Emc(a);return}function KG(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0.0,s=0,t=0.0;c=u;u=u+16|0;d=c;zT(d,43424);e=f[b>>2]|0;g=f[b+4>>2]|0;b=a+16|0;h=f[b>>2]|0;i=f[h+8>>2]|0;j=f[h+12>>2]|0;a:do if((e|0)<(g|0)){h=a+12|0;k=a+4|0;l=a+8|0;if((i|0)>0)m=e;else{n=f[k>>2]|0;o=f[l>>2]|0;q=e;while(1){p[n+(q<<3)>>3]=1797693134862315708145274.0e284;f[o+(q<<2)>>2]=0;q=q+1|0;if((q|0)==(g|0))break a}}do{q=f[h>>2]|0;o=(f[q+16>>2]|0)+(Y(f[f[q+44>>2]>>2]|0,m)|0)|0;q=0;r=1797693134862315708145274.0e284;n=0;do{s=f[b>>2]|0;t=+PL(o,(f[s+16>>2]|0)+(Y(f[f[s+44>>2]>>2]|0,q)|0)|0,j);s=r>t;n=s?q:n;r=s?t:r;q=q+1|0}while((q|0)<(i|0));p[(f[k>>2]|0)+(m<<3)>>3]=r;f[(f[l>>2]|0)+(m<<2)>>2]=n;m=m+1|0}while((m|0)<(g|0))}while(0);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function LG(a){a=a|0;Emc(a);return}function MG(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0.0;c=u;u=u+16|0;d=c;zT(d,43444);e=f[b>>2]|0;g=f[b+4>>2]|0;b=a+16|0;h=f[b>>2]|0;i=f[h+12>>2]|0;a:do if((e|0)<(g|0)){j=a+12|0;k=a+8|0;l=a+4|0;m=e;n=h;while(1){o=f[j>>2]|0;q=(f[o+16>>2]|0)+(Y(f[f[o+44>>2]>>2]|0,m)|0)|0;r=+PL(q,(f[n+16>>2]|0)+(Y(f[f[n+44>>2]>>2]|0,f[(f[k>>2]|0)+(m<<2)>>2]|0)|0)|0,i);p[(f[l>>2]|0)+(m<<3)>>3]=r;q=m+1|0;if((q|0)>=(g|0))break a;m=q;n=f[b>>2]|0}}while(0);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function NG(a){a=a|0;Emc(a);return}function OG(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0.0;c=u;u=u+16|0;d=c+8|0;e=c;zT(d,43464);g=f[b>>2]|0;h=f[b+4>>2]|0;b=a+8|0;i=f[b>>2]|0;j=f[i+12>>2]|0;a:do if((g|0)<(h|0)){k=a+16|0;l=a+12|0;m=a+4|0;o=g;p=i;while(1){q=f[p+16>>2]|0;r=f[f[p+44>>2]>>2]|0;s=q+(Y(r,o)|0)|0;t=+PL(s,q+(Y(f[k>>2]|0,r)|0)|0,j);n[e>>2]=t;r=(f[l>>2]|0)+(o<<2)|0;f[(f[m>>2]|0)+(o<<2)>>2]=f[(+n[r>>2]<t?r:e)>>2];r=o+1|0;if((r|0)>=(h|0))break a;o=r;p=f[b>>2]|0}}while(0);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function PG(a){a=a|0;return f[43484+(a<<2)>>2]|0}function QG(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0;if(!c){i=(g|0)%4|0;switch(i|0){case 1:{j=f[d>>2]|0;k=e+-4|0;if((e|0)<4){l=a;m=j;n=0}else{o=g<<1;p=g*3|0;q=g<<2;r=e&-4;s=a;t=j;j=0;while(1){t=(h[s>>0]|0)+t+(h[s+g>>0]|0)+(h[s+o>>0]|0)+(h[s+p>>0]|0)|0;j=j+4|0;if((j|0)>(k|0))break;else s=s+q|0}l=a+(Y(r,g)|0)|0;m=t;n=r}if((n|0)<(e|0)){r=m;t=n;q=l;while(1){l=(h[q>>0]|0)+r|0;t=t+1|0;if((t|0)==(e|0)){u=l;v=e;break}else{r=l;q=q+g|0}}}else{u=m;v=n}f[d>>2]=u;w=v;break}case 2:{v=f[d>>2]|0;u=d+4|0;n=f[u>>2]|0;if((e|0)>0){m=n;q=v;r=0;t=a;while(1){l=(h[t>>0]|0)+q|0;s=(h[t+1>>0]|0)+m|0;r=r+1|0;if((r|0)==(e|0)){x=s;y=l;z=e;break}else{m=s;q=l;t=t+g|0}}}else{x=n;y=v;z=0}f[d>>2]=y;f[u>>2]=x;w=z;break}case 3:{z=f[d>>2]|0;x=d+4|0;u=f[x>>2]|0;y=d+8|0;v=f[y>>2]|0;if((e|0)>0){n=v;t=u;q=z;m=0;r=a;while(1){l=(h[r>>0]|0)+q|0;s=(h[r+1>>0]|0)+t|0;k=(h[r+2>>0]|0)+n|0;m=m+1|0;if((m|0)==(e|0)){A=k;B=s;C=l;D=e;break}else{n=k;t=s;q=l;r=r+g|0}}}else{A=v;B=u;C=z;D=0}f[d>>2]=C;f[x>>2]=B;f[y>>2]=A;w=D;break}default:w=0}if((i|0)<(g|0)){E=i;F=w}else{G=e;return G|0}while(1){w=d+(E<<2)|0;i=f[w>>2]|0;D=d+(E+1<<2)|0;A=f[D>>2]|0;y=d+(E+2<<2)|0;B=f[y>>2]|0;x=d+(E+3<<2)|0;C=f[x>>2]|0;if((F|0)<(e|0)){z=C;u=B;v=A;r=i;q=a+(Y(F,g)|0)+E|0;t=F;while(1){n=(h[q>>0]|0)+r|0;m=(h[q+1>>0]|0)+v|0;l=(h[q+2>>0]|0)+u|0;s=(h[q+3>>0]|0)+z|0;t=t+1|0;if((t|0)==(e|0)){H=s;I=l;J=m;K=n;L=e;break}else{z=s;u=l;v=m;r=n;q=q+g|0}}}else{H=C;I=B;J=A;K=i;L=F}f[w>>2]=K;f[D>>2]=J;f[y>>2]=I;f[x>>2]=H;E=E+4|0;if((E|0)>=(g|0)){G=e;break}else F=L}return G|0}switch(g|0){case 1:{L=f[d>>2]|0;if((e|0)>0){F=L;E=0;H=0;while(1){if(!(b[c+H>>0]|0)){M=F;N=E}else{M=(h[a+H>>0]|0)+F|0;N=E+1|0}H=H+1|0;if((H|0)==(e|0)){O=M;P=N;break}else{F=M;E=N}}}else{O=L;P=0}f[d>>2]=O;G=P;return G|0}case 3:{P=f[d>>2]|0;O=d+4|0;L=f[O>>2]|0;N=d+8|0;E=f[N>>2]|0;if((e|0)>0){M=E;F=L;H=P;I=0;J=0;K=a;while(1){if(!(b[c+I>>0]|0)){Q=M;R=F;S=H;T=J}else{Q=(h[K+2>>0]|0)+M|0;R=(h[K+1>>0]|0)+F|0;S=(h[K>>0]|0)+H|0;T=J+1|0}I=I+1|0;if((I|0)==(e|0)){U=Q;V=R;W=S;X=T;break}else{M=Q;F=R;H=S;J=T;K=K+3|0}}}else{U=E;V=L;W=P;X=0}f[d>>2]=W;f[O>>2]=V;f[N>>2]=U;G=X;return G|0}default:{if((e|0)<=0){G=0;return G|0}X=g+-4|0;if((g|0)<4){if((g|0)>0){Z=0;_=0;$=a}else{U=0;N=0;while(1){V=N+((b[c+U>>0]|0)!=0&1)|0;U=U+1|0;if((U|0)==(e|0)){G=V;break}else N=V}return G|0}while(1){if(!(b[c+Z>>0]|0))aa=_;else{N=0;do{U=d+(N<<2)|0;f[U>>2]=(f[U>>2]|0)+(h[$+N>>0]|0);N=N+1|0}while((N|0)!=(g|0));aa=_+1|0}Z=Z+1|0;if((Z|0)==(e|0)){G=aa;break}else{_=aa;$=$+g|0}}return G|0}$=g&-4;if(($|0)<(g|0)){ba=0;ca=0;da=a}else{aa=0;_=0;Z=a;while(1){if(!(b[c+aa>>0]|0))ea=_;else{a=0;do{N=d+(a<<2)|0;x=a|1;y=d+(x<<2)|0;D=(h[Z+x>>0]|0)+(f[y>>2]|0)|0;f[N>>2]=(h[Z+a>>0]|0)+(f[N>>2]|0);f[y>>2]=D;D=a|2;y=d+(D<<2)|0;N=a|3;x=d+(N<<2)|0;w=(h[Z+N>>0]|0)+(f[x>>2]|0)|0;f[y>>2]=(h[Z+D>>0]|0)+(f[y>>2]|0);f[x>>2]=w;a=a+4|0}while((a|0)<=(X|0));ea=_+1|0}aa=aa+1|0;if((aa|0)==(e|0)){G=ea;break}else{_=ea;Z=Z+g|0}}return G|0}while(1){if(!(b[c+ba>>0]|0))fa=ca;else{Z=0;do{ea=d+(Z<<2)|0;_=Z|1;aa=d+(_<<2)|0;a=(h[da+_>>0]|0)+(f[aa>>2]|0)|0;f[ea>>2]=(h[da+Z>>0]|0)+(f[ea>>2]|0);f[aa>>2]=a;a=Z|2;aa=d+(a<<2)|0;ea=Z|3;_=d+(ea<<2)|0;w=(h[da+ea>>0]|0)+(f[_>>2]|0)|0;f[aa>>2]=(h[da+a>>0]|0)+(f[aa>>2]|0);f[_>>2]=w;Z=Z+4|0}while((Z|0)<=(X|0));ga=$;do{Z=d+(ga<<2)|0;f[Z>>2]=(f[Z>>2]|0)+(h[da+ga>>0]|0);ga=ga+1|0}while((ga|0)!=(g|0));fa=ca+1|0}ba=ba+1|0;if((ba|0)==(e|0)){G=fa;break}else{ca=fa;da=da+g|0}}return G|0}}return 0}function RG(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0;if(!c){h=(g|0)%4|0;switch(h|0){case 1:{i=f[d>>2]|0;j=e+-4|0;if((e|0)<4){k=a;l=i;m=0}else{n=g<<1;o=g*3|0;p=g<<2;q=e&-4;r=a;s=i;i=0;while(1){s=(b[r>>0]|0)+s+(b[r+g>>0]|0)+(b[r+n>>0]|0)+(b[r+o>>0]|0)|0;i=i+4|0;if((i|0)>(j|0))break;else r=r+p|0}k=a+(Y(q,g)|0)|0;l=s;m=q}if((m|0)<(e|0)){q=l;s=m;p=k;while(1){k=(b[p>>0]|0)+q|0;s=s+1|0;if((s|0)==(e|0)){t=k;u=e;break}else{q=k;p=p+g|0}}}else{t=l;u=m}f[d>>2]=t;v=u;break}case 2:{u=f[d>>2]|0;t=d+4|0;m=f[t>>2]|0;if((e|0)>0){l=m;p=u;q=0;s=a;while(1){k=(b[s>>0]|0)+p|0;r=(b[s+1>>0]|0)+l|0;q=q+1|0;if((q|0)==(e|0)){w=r;x=k;y=e;break}else{l=r;p=k;s=s+g|0}}}else{w=m;x=u;y=0}f[d>>2]=x;f[t>>2]=w;v=y;break}case 3:{y=f[d>>2]|0;w=d+4|0;t=f[w>>2]|0;x=d+8|0;u=f[x>>2]|0;if((e|0)>0){m=u;s=t;p=y;l=0;q=a;while(1){k=(b[q>>0]|0)+p|0;r=(b[q+1>>0]|0)+s|0;j=(b[q+2>>0]|0)+m|0;l=l+1|0;if((l|0)==(e|0)){z=j;A=r;B=k;C=e;break}else{m=j;s=r;p=k;q=q+g|0}}}else{z=u;A=t;B=y;C=0}f[d>>2]=B;f[w>>2]=A;f[x>>2]=z;v=C;break}default:v=0}if((h|0)<(g|0)){D=h;E=v}else{F=e;return F|0}while(1){v=d+(D<<2)|0;h=f[v>>2]|0;C=d+(D+1<<2)|0;z=f[C>>2]|0;x=d+(D+2<<2)|0;A=f[x>>2]|0;w=d+(D+3<<2)|0;B=f[w>>2]|0;if((E|0)<(e|0)){y=B;t=A;u=z;q=h;p=a+(Y(E,g)|0)+D|0;s=E;while(1){m=(b[p>>0]|0)+q|0;l=(b[p+1>>0]|0)+u|0;k=(b[p+2>>0]|0)+t|0;r=(b[p+3>>0]|0)+y|0;s=s+1|0;if((s|0)==(e|0)){G=r;H=k;I=l;J=m;K=e;break}else{y=r;t=k;u=l;q=m;p=p+g|0}}}else{G=B;H=A;I=z;J=h;K=E}f[v>>2]=J;f[C>>2]=I;f[x>>2]=H;f[w>>2]=G;D=D+4|0;if((D|0)>=(g|0)){F=e;break}else E=K}return F|0}switch(g|0){case 1:{K=f[d>>2]|0;if((e|0)>0){E=K;D=0;G=0;while(1){if(!(b[c+G>>0]|0)){L=E;M=D}else{L=(b[a+G>>0]|0)+E|0;M=D+1|0}G=G+1|0;if((G|0)==(e|0)){N=L;O=M;break}else{E=L;D=M}}}else{N=K;O=0}f[d>>2]=N;F=O;return F|0}case 3:{O=f[d>>2]|0;N=d+4|0;K=f[N>>2]|0;M=d+8|0;D=f[M>>2]|0;if((e|0)>0){L=D;E=K;G=O;H=0;I=0;J=a;while(1){if(!(b[c+H>>0]|0)){P=L;Q=E;R=G;S=I}else{P=(b[J+2>>0]|0)+L|0;Q=(b[J+1>>0]|0)+E|0;R=(b[J>>0]|0)+G|0;S=I+1|0}H=H+1|0;if((H|0)==(e|0)){T=P;U=Q;V=R;W=S;break}else{L=P;E=Q;G=R;I=S;J=J+3|0}}}else{T=D;U=K;V=O;W=0}f[d>>2]=V;f[N>>2]=U;f[M>>2]=T;F=W;return F|0}default:{if((e|0)<=0){F=0;return F|0}W=g+-4|0;if((g|0)<4){if((g|0)>0){X=0;Z=0;_=a}else{T=0;M=0;while(1){U=M+((b[c+T>>0]|0)!=0&1)|0;T=T+1|0;if((T|0)==(e|0)){F=U;break}else M=U}return F|0}while(1){if(!(b[c+X>>0]|0))$=Z;else{M=0;do{T=d+(M<<2)|0;f[T>>2]=(f[T>>2]|0)+(b[_+M>>0]|0);M=M+1|0}while((M|0)!=(g|0));$=Z+1|0}X=X+1|0;if((X|0)==(e|0)){F=$;break}else{Z=$;_=_+g|0}}return F|0}_=g&-4;if((_|0)<(g|0)){aa=0;ba=0;ca=a}else{$=0;Z=0;X=a;while(1){if(!(b[c+$>>0]|0))da=Z;else{a=0;do{M=d+(a<<2)|0;w=a|1;x=d+(w<<2)|0;C=(b[X+w>>0]|0)+(f[x>>2]|0)|0;f[M>>2]=(b[X+a>>0]|0)+(f[M>>2]|0);f[x>>2]=C;C=a|2;x=d+(C<<2)|0;M=a|3;w=d+(M<<2)|0;v=(b[X+M>>0]|0)+(f[w>>2]|0)|0;f[x>>2]=(b[X+C>>0]|0)+(f[x>>2]|0);f[w>>2]=v;a=a+4|0}while((a|0)<=(W|0));da=Z+1|0}$=$+1|0;if(($|0)==(e|0)){F=da;break}else{Z=da;X=X+g|0}}return F|0}while(1){if(!(b[c+aa>>0]|0))ea=ba;else{X=0;do{da=d+(X<<2)|0;Z=X|1;$=d+(Z<<2)|0;a=(b[ca+Z>>0]|0)+(f[$>>2]|0)|0;f[da>>2]=(b[ca+X>>0]|0)+(f[da>>2]|0);f[$>>2]=a;a=X|2;$=d+(a<<2)|0;da=X|3;Z=d+(da<<2)|0;v=(b[ca+da>>0]|0)+(f[Z>>2]|0)|0;f[$>>2]=(b[ca+a>>0]|0)+(f[$>>2]|0);f[Z>>2]=v;X=X+4|0}while((X|0)<=(W|0));fa=_;do{X=d+(fa<<2)|0;f[X>>2]=(f[X>>2]|0)+(b[ca+fa>>0]|0);fa=fa+1|0}while((fa|0)!=(g|0));ea=ba+1|0}aa=aa+1|0;if((aa|0)==(e|0)){F=ea;break}else{ba=ea;ca=ca+g|0}}return F|0}}return 0}function SG(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;if(!c){h=(g|0)%4|0;switch(h|0){case 1:{i=f[d>>2]|0;k=e+-4|0;if((e|0)<4){l=a;m=i;n=0}else{o=g<<1;p=g*3|0;q=g<<2;r=k>>>2;s=Y((r<<3)+8|0,g)|0;t=a;u=i;i=0;while(1){u=(j[t>>1]|0)+u+(j[t+(g<<1)>>1]|0)+(j[t+(o<<1)>>1]|0)+(j[t+(p<<1)>>1]|0)|0;i=i+4|0;if((i|0)>(k|0))break;else t=t+(q<<1)|0}l=a+s|0;m=u;n=(r<<2)+4|0}if((n|0)<(e|0)){r=m;u=n;s=l;while(1){l=(j[s>>1]|0)+r|0;u=u+1|0;if((u|0)==(e|0)){v=l;w=e;break}else{r=l;s=s+(g<<1)|0}}}else{v=m;w=n}f[d>>2]=v;x=w;break}case 2:{w=f[d>>2]|0;v=d+4|0;n=f[v>>2]|0;if((e|0)>0){m=n;s=w;r=0;u=a;while(1){l=(j[u>>1]|0)+s|0;q=(j[u+2>>1]|0)+m|0;r=r+1|0;if((r|0)==(e|0)){y=q;z=l;A=e;break}else{m=q;s=l;u=u+(g<<1)|0}}}else{y=n;z=w;A=0}f[d>>2]=z;f[v>>2]=y;x=A;break}case 3:{A=f[d>>2]|0;y=d+4|0;v=f[y>>2]|0;z=d+8|0;w=f[z>>2]|0;if((e|0)>0){n=w;u=v;s=A;m=0;r=a;while(1){l=(j[r>>1]|0)+s|0;q=(j[r+2>>1]|0)+u|0;t=(j[r+4>>1]|0)+n|0;m=m+1|0;if((m|0)==(e|0)){B=t;C=q;D=l;E=e;break}else{n=t;u=q;s=l;r=r+(g<<1)|0}}}else{B=w;C=v;D=A;E=0}f[d>>2]=D;f[y>>2]=C;f[z>>2]=B;x=E;break}default:x=0}if((h|0)<(g|0)){F=h;G=x}else{H=e;return H|0}while(1){x=d+(F<<2)|0;h=f[x>>2]|0;E=d+(F+1<<2)|0;B=f[E>>2]|0;z=d+(F+2<<2)|0;C=f[z>>2]|0;y=d+(F+3<<2)|0;D=f[y>>2]|0;if((G|0)<(e|0)){A=D;v=C;w=B;r=h;s=a+((Y(G,g)|0)<<1)+(F<<1)|0;u=G;while(1){n=(j[s>>1]|0)+r|0;m=(j[s+2>>1]|0)+w|0;l=(j[s+4>>1]|0)+v|0;q=(j[s+6>>1]|0)+A|0;u=u+1|0;if((u|0)==(e|0)){I=q;J=l;K=m;L=n;M=e;break}else{A=q;v=l;w=m;r=n;s=s+(g<<1)|0}}}else{I=D;J=C;K=B;L=h;M=G}f[x>>2]=L;f[E>>2]=K;f[z>>2]=J;f[y>>2]=I;F=F+4|0;if((F|0)>=(g|0)){H=e;break}else G=M}return H|0}switch(g|0){case 1:{M=f[d>>2]|0;if((e|0)>0){G=M;F=0;I=0;while(1){if(!(b[c+I>>0]|0)){N=G;O=F}else{N=(j[a+(I<<1)>>1]|0)+G|0;O=F+1|0}I=I+1|0;if((I|0)==(e|0)){P=N;Q=O;break}else{G=N;F=O}}}else{P=M;Q=0}f[d>>2]=P;H=Q;return H|0}case 3:{Q=f[d>>2]|0;P=d+4|0;M=f[P>>2]|0;O=d+8|0;F=f[O>>2]|0;if((e|0)>0){N=F;G=M;I=Q;J=0;K=0;L=a;while(1){if(!(b[c+J>>0]|0)){R=N;S=G;T=I;U=K}else{R=(j[L+4>>1]|0)+N|0;S=(j[L+2>>1]|0)+G|0;T=(j[L>>1]|0)+I|0;U=K+1|0}J=J+1|0;if((J|0)==(e|0)){V=R;W=S;X=T;Z=U;break}else{N=R;G=S;I=T;K=U;L=L+6|0}}}else{V=F;W=M;X=Q;Z=0}f[d>>2]=X;f[P>>2]=W;f[O>>2]=V;H=Z;return H|0}default:{if((e|0)<=0){H=0;return H|0}Z=g+-4|0;if((g|0)<4){if((g|0)>0){_=0;$=0;aa=a}else{V=0;O=0;while(1){W=O+((b[c+V>>0]|0)!=0&1)|0;V=V+1|0;if((V|0)==(e|0)){H=W;break}else O=W}return H|0}while(1){if(!(b[c+_>>0]|0))ba=$;else{O=0;do{V=d+(O<<2)|0;f[V>>2]=(f[V>>2]|0)+(j[aa+(O<<1)>>1]|0);O=O+1|0}while((O|0)!=(g|0));ba=$+1|0}_=_+1|0;if((_|0)==(e|0)){H=ba;break}else{$=ba;aa=aa+(g<<1)|0}}return H|0}aa=g&-4;if((aa|0)<(g|0)){ca=0;da=0;ea=a}else{ba=0;$=0;_=a;while(1){if(!(b[c+ba>>0]|0))fa=$;else{a=0;do{O=d+(a<<2)|0;y=a|1;z=d+(y<<2)|0;E=(j[_+(y<<1)>>1]|0)+(f[z>>2]|0)|0;f[O>>2]=(j[_+(a<<1)>>1]|0)+(f[O>>2]|0);f[z>>2]=E;E=a|2;z=d+(E<<2)|0;O=a|3;y=d+(O<<2)|0;x=(j[_+(O<<1)>>1]|0)+(f[y>>2]|0)|0;f[z>>2]=(j[_+(E<<1)>>1]|0)+(f[z>>2]|0);f[y>>2]=x;a=a+4|0}while((a|0)<=(Z|0));fa=$+1|0}ba=ba+1|0;if((ba|0)==(e|0)){H=fa;break}else{$=fa;_=_+(g<<1)|0}}return H|0}while(1){if(!(b[c+ca>>0]|0))ga=da;else{_=0;do{fa=d+(_<<2)|0;$=_|1;ba=d+($<<2)|0;a=(j[ea+($<<1)>>1]|0)+(f[ba>>2]|0)|0;f[fa>>2]=(j[ea+(_<<1)>>1]|0)+(f[fa>>2]|0);f[ba>>2]=a;a=_|2;ba=d+(a<<2)|0;fa=_|3;$=d+(fa<<2)|0;x=(j[ea+(fa<<1)>>1]|0)+(f[$>>2]|0)|0;f[ba>>2]=(j[ea+(a<<1)>>1]|0)+(f[ba>>2]|0);f[$>>2]=x;_=_+4|0}while((_|0)<=(Z|0));ha=aa;do{_=d+(ha<<2)|0;f[_>>2]=(f[_>>2]|0)+(j[ea+(ha<<1)>>1]|0);ha=ha+1|0}while((ha|0)!=(g|0));ga=da+1|0}ca=ca+1|0;if((ca|0)==(e|0)){H=ga;break}else{da=ga;ea=ea+(g<<1)|0}}return H|0}}return 0}function TG(a,c,e,g,h){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;if(!c){i=(h|0)%4|0;switch(i|0){case 1:{j=f[e>>2]|0;k=g+-4|0;if((g|0)<4){l=a;m=j;n=0}else{o=h<<1;p=h*3|0;q=h<<2;r=k>>>2;s=Y((r<<3)+8|0,h)|0;t=a;u=j;j=0;while(1){u=(d[t>>1]|0)+u+(d[t+(h<<1)>>1]|0)+(d[t+(o<<1)>>1]|0)+(d[t+(p<<1)>>1]|0)|0;j=j+4|0;if((j|0)>(k|0))break;else t=t+(q<<1)|0}l=a+s|0;m=u;n=(r<<2)+4|0}if((n|0)<(g|0)){r=m;u=n;s=l;while(1){l=(d[s>>1]|0)+r|0;u=u+1|0;if((u|0)==(g|0)){v=l;w=g;break}else{r=l;s=s+(h<<1)|0}}}else{v=m;w=n}f[e>>2]=v;x=w;break}case 2:{w=f[e>>2]|0;v=e+4|0;n=f[v>>2]|0;if((g|0)>0){m=n;s=w;r=0;u=a;while(1){l=(d[u>>1]|0)+s|0;q=(d[u+2>>1]|0)+m|0;r=r+1|0;if((r|0)==(g|0)){y=q;z=l;A=g;break}else{m=q;s=l;u=u+(h<<1)|0}}}else{y=n;z=w;A=0}f[e>>2]=z;f[v>>2]=y;x=A;break}case 3:{A=f[e>>2]|0;y=e+4|0;v=f[y>>2]|0;z=e+8|0;w=f[z>>2]|0;if((g|0)>0){n=w;u=v;s=A;m=0;r=a;while(1){l=(d[r>>1]|0)+s|0;q=(d[r+2>>1]|0)+u|0;t=(d[r+4>>1]|0)+n|0;m=m+1|0;if((m|0)==(g|0)){B=t;C=q;D=l;E=g;break}else{n=t;u=q;s=l;r=r+(h<<1)|0}}}else{B=w;C=v;D=A;E=0}f[e>>2]=D;f[y>>2]=C;f[z>>2]=B;x=E;break}default:x=0}if((i|0)<(h|0)){F=i;G=x}else{H=g;return H|0}while(1){x=e+(F<<2)|0;i=f[x>>2]|0;E=e+(F+1<<2)|0;B=f[E>>2]|0;z=e+(F+2<<2)|0;C=f[z>>2]|0;y=e+(F+3<<2)|0;D=f[y>>2]|0;if((G|0)<(g|0)){A=D;v=C;w=B;r=i;s=a+((Y(G,h)|0)<<1)+(F<<1)|0;u=G;while(1){n=(d[s>>1]|0)+r|0;m=(d[s+2>>1]|0)+w|0;l=(d[s+4>>1]|0)+v|0;q=(d[s+6>>1]|0)+A|0;u=u+1|0;if((u|0)==(g|0)){I=q;J=l;K=m;L=n;M=g;break}else{A=q;v=l;w=m;r=n;s=s+(h<<1)|0}}}else{I=D;J=C;K=B;L=i;M=G}f[x>>2]=L;f[E>>2]=K;f[z>>2]=J;f[y>>2]=I;F=F+4|0;if((F|0)>=(h|0)){H=g;break}else G=M}return H|0}switch(h|0){case 1:{M=f[e>>2]|0;if((g|0)>0){G=M;F=0;I=0;while(1){if(!(b[c+I>>0]|0)){N=G;O=F}else{N=(d[a+(I<<1)>>1]|0)+G|0;O=F+1|0}I=I+1|0;if((I|0)==(g|0)){P=N;Q=O;break}else{G=N;F=O}}}else{P=M;Q=0}f[e>>2]=P;H=Q;return H|0}case 3:{Q=f[e>>2]|0;P=e+4|0;M=f[P>>2]|0;O=e+8|0;F=f[O>>2]|0;if((g|0)>0){N=F;G=M;I=Q;J=0;K=0;L=a;while(1){if(!(b[c+J>>0]|0)){R=N;S=G;T=I;U=K}else{R=(d[L+4>>1]|0)+N|0;S=(d[L+2>>1]|0)+G|0;T=(d[L>>1]|0)+I|0;U=K+1|0}J=J+1|0;if((J|0)==(g|0)){V=R;W=S;X=T;Z=U;break}else{N=R;G=S;I=T;K=U;L=L+6|0}}}else{V=F;W=M;X=Q;Z=0}f[e>>2]=X;f[P>>2]=W;f[O>>2]=V;H=Z;return H|0}default:{if((g|0)<=0){H=0;return H|0}Z=h+-4|0;if((h|0)<4){if((h|0)>0){_=0;$=0;aa=a}else{V=0;O=0;while(1){W=O+((b[c+V>>0]|0)!=0&1)|0;V=V+1|0;if((V|0)==(g|0)){H=W;break}else O=W}return H|0}while(1){if(!(b[c+_>>0]|0))ba=$;else{O=0;do{V=e+(O<<2)|0;f[V>>2]=(f[V>>2]|0)+(d[aa+(O<<1)>>1]|0);O=O+1|0}while((O|0)!=(h|0));ba=$+1|0}_=_+1|0;if((_|0)==(g|0)){H=ba;break}else{$=ba;aa=aa+(h<<1)|0}}return H|0}aa=h&-4;if((aa|0)<(h|0)){ca=0;da=0;ea=a}else{ba=0;$=0;_=a;while(1){if(!(b[c+ba>>0]|0))fa=$;else{a=0;do{O=e+(a<<2)|0;y=a|1;z=e+(y<<2)|0;E=(d[_+(y<<1)>>1]|0)+(f[z>>2]|0)|0;f[O>>2]=(d[_+(a<<1)>>1]|0)+(f[O>>2]|0);f[z>>2]=E;E=a|2;z=e+(E<<2)|0;O=a|3;y=e+(O<<2)|0;x=(d[_+(O<<1)>>1]|0)+(f[y>>2]|0)|0;f[z>>2]=(d[_+(E<<1)>>1]|0)+(f[z>>2]|0);f[y>>2]=x;a=a+4|0}while((a|0)<=(Z|0));fa=$+1|0}ba=ba+1|0;if((ba|0)==(g|0)){H=fa;break}else{$=fa;_=_+(h<<1)|0}}return H|0}while(1){if(!(b[c+ca>>0]|0))ga=da;else{_=0;do{fa=e+(_<<2)|0;$=_|1;ba=e+($<<2)|0;a=(d[ea+($<<1)>>1]|0)+(f[ba>>2]|0)|0;f[fa>>2]=(d[ea+(_<<1)>>1]|0)+(f[fa>>2]|0);f[ba>>2]=a;a=_|2;ba=e+(a<<2)|0;fa=_|3;$=e+(fa<<2)|0;x=(d[ea+(fa<<1)>>1]|0)+(f[$>>2]|0)|0;f[ba>>2]=(d[ea+(a<<1)>>1]|0)+(f[ba>>2]|0);f[$>>2]=x;_=_+4|0}while((_|0)<=(Z|0));ha=aa;do{_=e+(ha<<2)|0;f[_>>2]=(f[_>>2]|0)+(d[ea+(ha<<1)>>1]|0);ha=ha+1|0}while((ha|0)!=(h|0));ga=da+1|0}ca=ca+1|0;if((ca|0)==(g|0)){H=ga;break}else{da=ga;ea=ea+(h<<1)|0}}return H|0}}return 0}function UG(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0.0,j=0,k=0,l=0.0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0.0,v=0,w=0.0,x=0,y=0,z=0.0,A=0.0,B=0.0,C=0.0,D=0,E=0.0,F=0.0,G=0.0,H=0.0,I=0,J=0,K=0,L=0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0,R=0.0,S=0,T=0.0,U=0,V=0.0,W=0.0,X=0.0,Z=0,_=0.0,$=0.0,aa=0.0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;if(!c){h=(g|0)%4|0;switch(h|0){case 1:{i=+p[d>>3];j=e+-4|0;if((e|0)<4){k=a;l=i;m=0}else{n=g<<1;o=g*3|0;q=g<<2;r=j>>>2;s=Y((r<<4)+16|0,g)|0;t=a;u=i;v=0;while(1){u=u+ +((f[t+(g<<2)>>2]|0)+(f[t>>2]|0)+(f[t+(n<<2)>>2]|0)+(f[t+(o<<2)>>2]|0)|0);v=v+4|0;if((v|0)>(j|0))break;else t=t+(q<<2)|0}k=a+s|0;l=u;m=(r<<2)+4|0}if((m|0)<(e|0)){u=l;r=m;s=k;while(1){i=u+ +(f[s>>2]|0);r=r+1|0;if((r|0)==(e|0)){w=i;x=e;break}else{u=i;s=s+(g<<2)|0}}}else{w=l;x=m}p[d>>3]=w;y=x;break}case 2:{w=+p[d>>3];x=d+8|0;l=+p[x>>3];if((e|0)>0){u=l;i=w;m=0;s=a;while(1){z=i+ +(f[s>>2]|0);A=u+ +(f[s+4>>2]|0);m=m+1|0;if((m|0)==(e|0)){B=A;C=z;D=e;break}else{u=A;i=z;s=s+(g<<2)|0}}}else{B=l;C=w;D=0}p[d>>3]=C;p[x>>3]=B;y=D;break}case 3:{B=+p[d>>3];D=d+8|0;C=+p[D>>3];x=d+16|0;w=+p[x>>3];if((e|0)>0){l=w;i=C;u=B;s=0;m=a;while(1){z=u+ +(f[m>>2]|0);A=i+ +(f[m+4>>2]|0);E=l+ +(f[m+8>>2]|0);s=s+1|0;if((s|0)==(e|0)){F=E;G=A;H=z;I=e;break}else{l=E;i=A;u=z;m=m+(g<<2)|0}}}else{F=w;G=C;H=B;I=0}p[d>>3]=H;p[D>>3]=G;p[x>>3]=F;y=I;break}default:y=0}if((h|0)<(g|0)){J=h;K=y}else{L=e;return L|0}while(1){y=d+(J<<3)|0;F=+p[y>>3];h=d+(J+1<<3)|0;G=+p[h>>3];I=d+(J+2<<3)|0;H=+p[I>>3];x=d+(J+3<<3)|0;B=+p[x>>3];if((K|0)<(e|0)){C=B;w=H;u=G;i=F;D=a+((Y(K,g)|0)<<2)+(J<<2)|0;m=K;while(1){l=i+ +(f[D>>2]|0);z=u+ +(f[D+4>>2]|0);A=w+ +(f[D+8>>2]|0);E=C+ +(f[D+12>>2]|0);m=m+1|0;if((m|0)==(e|0)){M=E;N=A;O=z;P=l;Q=e;break}else{C=E;w=A;u=z;i=l;D=D+(g<<2)|0}}}else{M=B;N=H;O=G;P=F;Q=K}p[y>>3]=P;p[h>>3]=O;p[I>>3]=N;p[x>>3]=M;J=J+4|0;if((J|0)>=(g|0)){L=e;break}else K=Q}return L|0}switch(g|0){case 1:{M=+p[d>>3];if((e|0)>0){N=M;Q=0;K=0;while(1){if(!(b[c+K>>0]|0)){R=N;S=Q}else{R=N+ +(f[a+(K<<2)>>2]|0);S=Q+1|0}K=K+1|0;if((K|0)==(e|0)){T=R;U=S;break}else{N=R;Q=S}}}else{T=M;U=0}p[d>>3]=T;L=U;return L|0}case 3:{T=+p[d>>3];U=d+8|0;M=+p[U>>3];S=d+16|0;R=+p[S>>3];if((e|0)>0){N=R;O=M;P=T;Q=0;K=0;J=a;while(1){if(!(b[c+Q>>0]|0)){V=N;W=O;X=P;Z=K}else{V=N+ +(f[J+8>>2]|0);W=O+ +(f[J+4>>2]|0);X=P+ +(f[J>>2]|0);Z=K+1|0}Q=Q+1|0;if((Q|0)==(e|0)){_=V;$=W;aa=X;ba=Z;break}else{N=V;O=W;P=X;K=Z;J=J+12|0}}}else{_=R;$=M;aa=T;ba=0}p[d>>3]=aa;p[U>>3]=$;p[S>>3]=_;L=ba;return L|0}default:{if((e|0)<=0){L=0;return L|0}ba=g+-4|0;if((g|0)<4){if((g|0)>0){ca=0;da=0;ea=a}else{S=0;U=0;while(1){J=U+((b[c+S>>0]|0)!=0&1)|0;S=S+1|0;if((S|0)==(e|0)){L=J;break}else U=J}return L|0}while(1){if(!(b[c+ca>>0]|0))fa=da;else{U=0;do{S=d+(U<<3)|0;p[S>>3]=+p[S>>3]+ +(f[ea+(U<<2)>>2]|0);U=U+1|0}while((U|0)!=(g|0));fa=da+1|0}ca=ca+1|0;if((ca|0)==(e|0)){L=fa;break}else{da=fa;ea=ea+(g<<2)|0}}return L|0}ea=g&-4;if((ea|0)<(g|0)){ga=0;ha=0;ia=a}else{fa=0;da=0;ca=a;while(1){if(!(b[c+fa>>0]|0))ja=da;else{a=0;do{U=d+(a<<3)|0;x=a|1;I=d+(x<<3)|0;F=+p[I>>3]+ +(f[ca+(x<<2)>>2]|0);p[U>>3]=+p[U>>3]+ +(f[ca+(a<<2)>>2]|0);p[I>>3]=F;I=a|2;U=d+(I<<3)|0;x=a|3;h=d+(x<<3)|0;F=+p[h>>3]+ +(f[ca+(x<<2)>>2]|0);p[U>>3]=+p[U>>3]+ +(f[ca+(I<<2)>>2]|0);p[h>>3]=F;a=a+4|0}while((a|0)<=(ba|0));ja=da+1|0}fa=fa+1|0;if((fa|0)==(e|0)){L=ja;break}else{da=ja;ca=ca+(g<<2)|0}}return L|0}while(1){if(!(b[c+ga>>0]|0))ka=ha;else{ca=0;do{ja=d+(ca<<3)|0;da=ca|1;fa=d+(da<<3)|0;F=+p[fa>>3]+ +(f[ia+(da<<2)>>2]|0);p[ja>>3]=+p[ja>>3]+ +(f[ia+(ca<<2)>>2]|0);p[fa>>3]=F;fa=ca|2;ja=d+(fa<<3)|0;da=ca|3;a=d+(da<<3)|0;F=+p[a>>3]+ +(f[ia+(da<<2)>>2]|0);p[ja>>3]=+p[ja>>3]+ +(f[ia+(fa<<2)>>2]|0);p[a>>3]=F;ca=ca+4|0}while((ca|0)<=(ba|0));la=ea;do{ca=d+(la<<3)|0;p[ca>>3]=+p[ca>>3]+ +(f[ia+(la<<2)>>2]|0);la=la+1|0}while((la|0)!=(g|0));ka=ha+1|0}ga=ga+1|0;if((ga|0)==(e|0)){L=ka;break}else{ha=ka;ia=ia+(g<<2)|0}}return L|0}}return 0}function VG(a,c,d,e,f){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0.0,i=0,j=0,k=0.0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,u=0.0,v=0,w=0.0,x=0,y=0,z=0.0,A=0.0,B=0.0,C=0.0,D=0,E=0.0,F=0.0,G=0.0,H=0.0,I=0,J=0,K=0,L=0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0,R=0.0,S=0,T=0.0,U=0,V=0.0,W=0.0,X=0.0,Z=0,_=0.0,$=0.0,aa=0.0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;if(!c){g=(f|0)%4|0;switch(g|0){case 1:{h=+p[d>>3];i=e+-4|0;if((e|0)<4){j=a;k=h;l=0}else{m=f<<1;o=f*3|0;q=f<<2;r=i>>>2;s=Y((r<<4)+16|0,f)|0;t=a;u=h;v=0;while(1){u=u+(+n[t>>2]+ +n[t+(f<<2)>>2]+ +n[t+(m<<2)>>2]+ +n[t+(o<<2)>>2]);v=v+4|0;if((v|0)>(i|0))break;else t=t+(q<<2)|0}j=a+s|0;k=u;l=(r<<2)+4|0}if((l|0)<(e|0)){u=k;r=l;s=j;while(1){h=u+ +n[s>>2];r=r+1|0;if((r|0)==(e|0)){w=h;x=e;break}else{u=h;s=s+(f<<2)|0}}}else{w=k;x=l}p[d>>3]=w;y=x;break}case 2:{w=+p[d>>3];x=d+8|0;k=+p[x>>3];if((e|0)>0){u=k;h=w;l=0;s=a;while(1){z=h+ +n[s>>2];A=u+ +n[s+4>>2];l=l+1|0;if((l|0)==(e|0)){B=A;C=z;D=e;break}else{u=A;h=z;s=s+(f<<2)|0}}}else{B=k;C=w;D=0}p[d>>3]=C;p[x>>3]=B;y=D;break}case 3:{B=+p[d>>3];D=d+8|0;C=+p[D>>3];x=d+16|0;w=+p[x>>3];if((e|0)>0){k=w;h=C;u=B;s=0;l=a;while(1){z=u+ +n[l>>2];A=h+ +n[l+4>>2];E=k+ +n[l+8>>2];s=s+1|0;if((s|0)==(e|0)){F=E;G=A;H=z;I=e;break}else{k=E;h=A;u=z;l=l+(f<<2)|0}}}else{F=w;G=C;H=B;I=0}p[d>>3]=H;p[D>>3]=G;p[x>>3]=F;y=I;break}default:y=0}if((g|0)<(f|0)){J=g;K=y}else{L=e;return L|0}while(1){y=d+(J<<3)|0;F=+p[y>>3];g=d+(J+1<<3)|0;G=+p[g>>3];I=d+(J+2<<3)|0;H=+p[I>>3];x=d+(J+3<<3)|0;B=+p[x>>3];if((K|0)<(e|0)){C=B;w=H;u=G;h=F;D=a+((Y(K,f)|0)<<2)+(J<<2)|0;l=K;while(1){k=h+ +n[D>>2];z=u+ +n[D+4>>2];A=w+ +n[D+8>>2];E=C+ +n[D+12>>2];l=l+1|0;if((l|0)==(e|0)){M=E;N=A;O=z;P=k;Q=e;break}else{C=E;w=A;u=z;h=k;D=D+(f<<2)|0}}}else{M=B;N=H;O=G;P=F;Q=K}p[y>>3]=P;p[g>>3]=O;p[I>>3]=N;p[x>>3]=M;J=J+4|0;if((J|0)>=(f|0)){L=e;break}else K=Q}return L|0}switch(f|0){case 1:{M=+p[d>>3];if((e|0)>0){N=M;Q=0;K=0;while(1){if(!(b[c+K>>0]|0)){R=N;S=Q}else{R=N+ +n[a+(K<<2)>>2];S=Q+1|0}K=K+1|0;if((K|0)==(e|0)){T=R;U=S;break}else{N=R;Q=S}}}else{T=M;U=0}p[d>>3]=T;L=U;return L|0}case 3:{T=+p[d>>3];U=d+8|0;M=+p[U>>3];S=d+16|0;R=+p[S>>3];if((e|0)>0){N=R;O=M;P=T;Q=0;K=0;J=a;while(1){if(!(b[c+Q>>0]|0)){V=N;W=O;X=P;Z=K}else{V=N+ +n[J+8>>2];W=O+ +n[J+4>>2];X=P+ +n[J>>2];Z=K+1|0}Q=Q+1|0;if((Q|0)==(e|0)){_=V;$=W;aa=X;ba=Z;break}else{N=V;O=W;P=X;K=Z;J=J+12|0}}}else{_=R;$=M;aa=T;ba=0}p[d>>3]=aa;p[U>>3]=$;p[S>>3]=_;L=ba;return L|0}default:{if((e|0)<=0){L=0;return L|0}ba=f+-4|0;if((f|0)<4){if((f|0)>0){ca=0;da=0;ea=a}else{S=0;U=0;while(1){J=U+((b[c+S>>0]|0)!=0&1)|0;S=S+1|0;if((S|0)==(e|0)){L=J;break}else U=J}return L|0}while(1){if(!(b[c+ca>>0]|0))fa=da;else{U=0;do{S=d+(U<<3)|0;p[S>>3]=+p[S>>3]+ +n[ea+(U<<2)>>2];U=U+1|0}while((U|0)!=(f|0));fa=da+1|0}ca=ca+1|0;if((ca|0)==(e|0)){L=fa;break}else{da=fa;ea=ea+(f<<2)|0}}return L|0}ea=f&-4;if((ea|0)<(f|0)){ga=0;ha=0;ia=a}else{fa=0;da=0;ca=a;while(1){if(!(b[c+fa>>0]|0))ja=da;else{a=0;do{U=d+(a<<3)|0;x=a|1;I=d+(x<<3)|0;F=+p[I>>3]+ +n[ca+(x<<2)>>2];p[U>>3]=+p[U>>3]+ +n[ca+(a<<2)>>2];p[I>>3]=F;I=a|2;U=d+(I<<3)|0;x=a|3;g=d+(x<<3)|0;F=+p[g>>3]+ +n[ca+(x<<2)>>2];p[U>>3]=+p[U>>3]+ +n[ca+(I<<2)>>2];p[g>>3]=F;a=a+4|0}while((a|0)<=(ba|0));ja=da+1|0}fa=fa+1|0;if((fa|0)==(e|0)){L=ja;break}else{da=ja;ca=ca+(f<<2)|0}}return L|0}while(1){if(!(b[c+ga>>0]|0))ka=ha;else{ca=0;do{ja=d+(ca<<3)|0;da=ca|1;fa=d+(da<<3)|0;F=+p[fa>>3]+ +n[ia+(da<<2)>>2];p[ja>>3]=+p[ja>>3]+ +n[ia+(ca<<2)>>2];p[fa>>3]=F;fa=ca|2;ja=d+(fa<<3)|0;da=ca|3;a=d+(da<<3)|0;F=+p[a>>3]+ +n[ia+(da<<2)>>2];p[ja>>3]=+p[ja>>3]+ +n[ia+(fa<<2)>>2];p[a>>3]=F;ca=ca+4|0}while((ca|0)<=(ba|0));la=ea;do{ca=d+(la<<3)|0;p[ca>>3]=+p[ca>>3]+ +n[ia+(la<<2)>>2];la=la+1|0}while((la|0)!=(f|0));ka=ha+1|0}ga=ga+1|0;if((ga|0)==(e|0)){L=ka;break}else{ha=ka;ia=ia+(f<<2)|0}}return L|0}}return 0}function WG(a,c,d,e,f){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0.0,i=0,j=0,k=0.0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0.0,u=0,v=0.0,w=0,x=0,y=0.0,z=0.0,A=0.0,B=0.0,C=0,D=0.0,E=0.0,F=0.0,G=0.0,H=0,I=0,J=0,K=0,L=0.0,M=0.0,N=0.0,O=0.0,P=0,Q=0.0,R=0,S=0.0,T=0,U=0.0,V=0.0,W=0.0,X=0,Z=0.0,_=0.0,$=0.0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0;if(!c){g=(f|0)%4|0;switch(g|0){case 1:{h=+p[d>>3];i=e+-4|0;if((e|0)<4){j=a;k=h;l=0}else{m=f<<1;n=f*3|0;o=f<<2;q=i>>>2;r=Y((q<<5)+32|0,f)|0;s=a;t=h;u=0;while(1){t=t+(+p[s>>3]+ +p[s+(f<<3)>>3]+ +p[s+(m<<3)>>3]+ +p[s+(n<<3)>>3]);u=u+4|0;if((u|0)>(i|0))break;else s=s+(o<<3)|0}j=a+r|0;k=t;l=(q<<2)+4|0}if((l|0)<(e|0)){t=k;q=l;r=j;while(1){h=t+ +p[r>>3];q=q+1|0;if((q|0)==(e|0)){v=h;w=e;break}else{t=h;r=r+(f<<3)|0}}}else{v=k;w=l}p[d>>3]=v;x=w;break}case 2:{v=+p[d>>3];w=d+8|0;k=+p[w>>3];if((e|0)>0){t=k;h=v;l=0;r=a;while(1){y=h+ +p[r>>3];z=t+ +p[r+8>>3];l=l+1|0;if((l|0)==(e|0)){A=z;B=y;C=e;break}else{t=z;h=y;r=r+(f<<3)|0}}}else{A=k;B=v;C=0}p[d>>3]=B;p[w>>3]=A;x=C;break}case 3:{A=+p[d>>3];C=d+8|0;B=+p[C>>3];w=d+16|0;v=+p[w>>3];if((e|0)>0){k=v;h=B;t=A;r=0;l=a;while(1){y=t+ +p[l>>3];z=h+ +p[l+8>>3];D=k+ +p[l+16>>3];r=r+1|0;if((r|0)==(e|0)){E=D;F=z;G=y;H=e;break}else{k=D;h=z;t=y;l=l+(f<<3)|0}}}else{E=v;F=B;G=A;H=0}p[d>>3]=G;p[C>>3]=F;p[w>>3]=E;x=H;break}default:x=0}if((g|0)<(f|0)){I=g;J=x}else{K=e;return K|0}while(1){x=d+(I<<3)|0;E=+p[x>>3];g=d+(I+1<<3)|0;F=+p[g>>3];H=d+(I+2<<3)|0;G=+p[H>>3];w=d+(I+3<<3)|0;A=+p[w>>3];if((J|0)<(e|0)){B=A;v=G;t=F;h=E;C=a+((Y(J,f)|0)<<3)+(I<<3)|0;l=J;while(1){k=h+ +p[C>>3];y=t+ +p[C+8>>3];z=v+ +p[C+16>>3];D=B+ +p[C+24>>3];l=l+1|0;if((l|0)==(e|0)){L=D;M=z;N=y;O=k;P=e;break}else{B=D;v=z;t=y;h=k;C=C+(f<<3)|0}}}else{L=A;M=G;N=F;O=E;P=J}p[x>>3]=O;p[g>>3]=N;p[H>>3]=M;p[w>>3]=L;I=I+4|0;if((I|0)>=(f|0)){K=e;break}else J=P}return K|0}switch(f|0){case 1:{L=+p[d>>3];if((e|0)>0){M=L;P=0;J=0;while(1){if(!(b[c+J>>0]|0)){Q=M;R=P}else{Q=M+ +p[a+(J<<3)>>3];R=P+1|0}J=J+1|0;if((J|0)==(e|0)){S=Q;T=R;break}else{M=Q;P=R}}}else{S=L;T=0}p[d>>3]=S;K=T;return K|0}case 3:{S=+p[d>>3];T=d+8|0;L=+p[T>>3];R=d+16|0;Q=+p[R>>3];if((e|0)>0){M=Q;N=L;O=S;P=0;J=0;I=a;while(1){if(!(b[c+P>>0]|0)){U=M;V=N;W=O;X=J}else{U=M+ +p[I+16>>3];V=N+ +p[I+8>>3];W=O+ +p[I>>3];X=J+1|0}P=P+1|0;if((P|0)==(e|0)){Z=U;_=V;$=W;aa=X;break}else{M=U;N=V;O=W;J=X;I=I+24|0}}}else{Z=Q;_=L;$=S;aa=0}p[d>>3]=$;p[T>>3]=_;p[R>>3]=Z;K=aa;return K|0}default:{if((e|0)<=0){K=0;return K|0}aa=f+-4|0;if((f|0)<4){if((f|0)>0){ba=0;ca=0;da=a}else{R=0;T=0;while(1){I=T+((b[c+R>>0]|0)!=0&1)|0;R=R+1|0;if((R|0)==(e|0)){K=I;break}else T=I}return K|0}while(1){if(!(b[c+ba>>0]|0))ea=ca;else{T=0;do{R=d+(T<<3)|0;p[R>>3]=+p[da+(T<<3)>>3]+ +p[R>>3];T=T+1|0}while((T|0)!=(f|0));ea=ca+1|0}ba=ba+1|0;if((ba|0)==(e|0)){K=ea;break}else{ca=ea;da=da+(f<<3)|0}}return K|0}da=f&-4;if((da|0)<(f|0)){fa=0;ga=0;ha=a}else{ea=0;ca=0;ba=a;while(1){if(!(b[c+ea>>0]|0))ia=ca;else{a=0;do{T=d+(a<<3)|0;w=a|1;H=d+(w<<3)|0;E=+p[H>>3]+ +p[ba+(w<<3)>>3];p[T>>3]=+p[T>>3]+ +p[ba+(a<<3)>>3];p[H>>3]=E;H=a|2;T=d+(H<<3)|0;w=a|3;g=d+(w<<3)|0;E=+p[g>>3]+ +p[ba+(w<<3)>>3];p[T>>3]=+p[T>>3]+ +p[ba+(H<<3)>>3];p[g>>3]=E;a=a+4|0}while((a|0)<=(aa|0));ia=ca+1|0}ea=ea+1|0;if((ea|0)==(e|0)){K=ia;break}else{ca=ia;ba=ba+(f<<3)|0}}return K|0}while(1){if(!(b[c+fa>>0]|0))ja=ga;else{ba=0;do{ia=d+(ba<<3)|0;ca=ba|1;ea=d+(ca<<3)|0;E=+p[ea>>3]+ +p[ha+(ca<<3)>>3];p[ia>>3]=+p[ia>>3]+ +p[ha+(ba<<3)>>3];p[ea>>3]=E;ea=ba|2;ia=d+(ea<<3)|0;ca=ba|3;a=d+(ca<<3)|0;E=+p[a>>3]+ +p[ha+(ca<<3)>>3];p[ia>>3]=+p[ia>>3]+ +p[ha+(ea<<3)>>3];p[a>>3]=E;ba=ba+4|0}while((ba|0)<=(aa|0));ka=da;do{ba=d+(ka<<3)|0;p[ba>>3]=+p[ha+(ka<<3)>>3]+ +p[ba>>3];ka=ka+1|0}while((ka|0)!=(f|0));ja=ga+1|0}fa=fa+1|0;if((fa|0)==(e|0)){K=ja;break}else{ga=ja;ha=ha+(f<<3)|0}}return K|0}}return 0}function XG(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;d=u;u=u+1184|0;e=d+1168|0;g=d+1112|0;h=d+1104|0;i=d+1096|0;j=d+1064|0;k=d;zT(e,43516);do if((pD(c)|0)==65536){l=f[c+4>>2]|0;f[g>>2]=f[l>>2];m=g+4|0;n=l+4|0;f[m>>2]=f[n>>2];o=g+8|0;f[o>>2]=f[l+8>>2];f[g+12>>2]=f[l+12>>2];f[g+16>>2]=f[l+16>>2];f[g+20>>2]=f[l+20>>2];f[g+24>>2]=f[l+24>>2];f[g+28>>2]=f[l+28>>2];f[g+32>>2]=f[l+32>>2];q=f[l+36>>2]|0;f[g+36>>2]=q;f[g+40>>2]=o;o=g+48|0;r=g+44|0;f[r>>2]=o;f[o>>2]=0;f[g+52>>2]=0;if(q|0){o=q+12|0;f[o>>2]=(f[o>>2]|0)+1}if((f[n>>2]|0)<3){n=f[l+44>>2]|0;o=f[r>>2]|0;f[o>>2]=f[n>>2];f[o+4>>2]=f[n+4>>2];s=g;break}else{f[m>>2]=0;kP(g,l);s=g;break}}else{lD(g,c,-1);s=g}while(0);c=f[s>>2]|0;s=c>>>3&511;l=s+1|0;m=c&7;c=f[43484+(m<<2)>>2]|0;if(!((m|0)!=7&l>>>0<5)){f[h>>2]=0;f[h+4>>2]=0;n=YG(h,20)|0;o=210174;r=n+20|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(r|0));SQ(-215,h,461807,194179,617)}f[h>>2]=g;f[h+4>>2]=0;f[i>>2]=0;IN(j,h,i,-1);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;h=f[j+20>>2]|0;o=k+8|0;f[k>>2]=o;n=k+4|0;f[n>>2]=264;r=m>>>0<4;if(r){q=m>>>0<2?8388608:32768;m=(q|0)<(h|0)?q:h;f[n>>2]=l;Drc(o|0,0,(s<<2)+4|0)|0;s=f[g+4>>2]|0;if((s|0)>0){t=m;v=q;w=f[(f[g+44>>2]|0)+(s+-1<<2)>>2]|0;x=o}else{t=m;v=q;w=0;x=o}}else{t=h;v=0;w=0;x=a}q=j+16|0;a:do if((h|0)>0){m=0;s=0;while(1){if(m>>>0>=(f[q>>2]|0)>>>0)break a;y=m+1|0;z=f[i>>2]|0;if(r){A=0;B=s;C=z;while(1){D=h-A|0;E=(t|0)<(D|0)?t:D;lh[c&127](C,0,x,E,l)|0;D=E+B|0;if((D+t|0)<(v|0)?((E+A|0)<(h|0)?1:y>>>0<(f[q>>2]|0)>>>0):0)F=D;else{G=0;H=21}if((H|0)==21)while(1){H=0;D=x+(G<<2)|0;I=a+(G<<3)|0;p[I>>3]=+p[I>>3]+ +(f[D>>2]|0);f[D>>2]=0;G=G+1|0;if((G|0)==(l|0)){F=0;break}else H=21}D=Y(E,w)|0;C=(f[i>>2]|0)+D|0;f[i>>2]=C;A=A+t|0;if((h|0)<=(A|0)){J=F;break}else B=F}}else{B=0;A=s;C=z;while(1){D=h-B|0;I=(t|0)<(D|0)?t:D;lh[c&127](C,0,x,I,l)|0;D=I+A|0;K=Y(I,w)|0;C=(f[i>>2]|0)+K|0;f[i>>2]=C;B=B+t|0;if((h|0)<=(B|0)){J=D;break}else A=D}}JN(j)|0;m=y;s=J}}else{s=0;while(1){if(s>>>0>=(f[q>>2]|0)>>>0)break a;JN(j)|0;s=s+1|0}}while(0);j=f[k>>2]|0;if((j|0)!=(o|0)){if(j|0)Fmc(j);f[k>>2]=o;f[n>>2]=264}n=g+36|0;o=f[n>>2]|0;if(o|0?(k=o+12|0,o=f[k>>2]|0,f[k>>2]=o+-1,(o|0)==1):0)lP(g);f[n>>2]=0;n=g+16|0;o=g+4|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[o>>2]|0)>0){n=f[g+40>>2]|0;k=0;do{f[n+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[o>>2]|0))}o=f[g+44>>2]|0;if((o|0)!=(g+48|0))tE(o);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function YG(a,c){a=a|0;c=c|0;var d=0,e=0;d=sE(c+8&-4)|0;f[d>>2]=1;e=d+4|0;f[a>>2]=e;f[a+4>>2]=c;b[e+c>>0]=0;return f[a>>2]|0}function ZG(a){a=a|0;var b=0;b=f[a>>2]|0;f[a+4>>2]=0;f[a>>2]=0;if(!b)return;a=b+-4|0;b=f[a>>2]|0;f[a>>2]=b+-1;if((b|0)!=1)return;tE(a);return}function _G(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=u;u=u+16|0;h=g;i=g+8|0;j=f[a+4>>2]|0;if((j|0)<3)k=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{l=f[a+40>>2]|0;m=0;n=1;while(1){o=Y(f[l+(m<<2)>>2]|0,n)|0;m=m+1|0;if((m|0)==(j|0)){k=o;break}else n=o}}n=c>>>3&511;j=n+1|0;m=c&7;l=j<<(47696>>>(m<<1)&3);o=PN(f[a>>2]&7,c)|0;c=f[a+16>>2]|0;a=(k|0)<=(n|0);f[h>>2]=a?k:j;f[h+4>>2]=1;Fh[o&255](c,1,0,1,d,1,h,0);if(a){if((k|0)!=1){f[i>>2]=0;f[i+4>>2]=0;k=YG(i,8)|0;a=k;b[a>>0]=115;b[a+1>>0]=99;b[a+2>>0]=110;b[a+3>>0]=32;a=k+4|0;b[a>>0]=61;b[a+1>>0]=61;b[a+2>>0]=32;b[a+3>>0]=49;SQ(-215,i,194272,194295,68)}i=1212424721>>>(m<<2)&15;if(i>>>0<l>>>0){m=i;do{b[d+m>>0]=b[d+(m-i)>>0]|0;m=m+1|0}while((m|0)!=(l|0))}}m=Y(l,e)|0;if(l>>>0<m>>>0)p=l;else{u=g;return}do{b[d+p>>0]=b[d+(p-l)>>0]|0;p=p+1|0}while((p|0)!=(m|0));u=g;return}function $G(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+16|0;g=e+8|0;h=e;zT(g,43536);f[h>>2]=100;bH(a,b,c,d,h,1,9);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function aH(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;cH(a,b,c,d,e,f,g,h);return}function bH(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0;j=u;u=u+1440|0;k=j+1376|0;l=j+1368|0;m=j+1352|0;n=j+1360|0;o=j+312|0;q=j+256|0;r=j;s=j+184|0;t=j+128|0;v=j+104|0;w=j+88|0;x=j+56|0;y=j+248|0;z=j+240|0;A=a;B=c;C=pD(a)|0;D=pD(c)|0;E=oD(a,-1)|0;F=E&7;G=(E>>>3&511)+1|0;H=oD(c,-1)|0;I=H&7;K=(H>>>3&511)+1|0;L=zD(a,-1)|0;M=zD(c,-1)|0;N=(L|0)<3;if(N)nD(l,a,-1);else{f[l>>2]=0;f[l+4>>2]=0}L=(M|0)<3;if(L)nD(m,c,-1);else{f[m>>2]=0;f[m+4>>2]=0}M=DD(e)|0;if(((C|0)==(D|0)&(N&L)?(L=f[l>>2]|0,N=f[l+4>>2]|0,(L|0)==(f[m>>2]|0)?(N|0)==(f[m+4>>2]|0):0):0)?!((E|0)!=(H|0)|M^1):0){f[n>>2]=L;f[n+4>>2]=N;HD(d,n,E,-1,0,0);if(h){O=g;P=G<<(47696>>>(E<<1&14)&3)}else{O=g+(F<<2)|0;P=G}n=f[O>>2]|0;do if((pD(a)|0)==65536){O=f[a+4>>2]|0;f[k>>2]=f[O>>2];N=k+4|0;L=O+4|0;f[N>>2]=f[L>>2];Q=k+8|0;f[Q>>2]=f[O+8>>2];f[k+12>>2]=f[O+12>>2];f[k+16>>2]=f[O+16>>2];f[k+20>>2]=f[O+20>>2];f[k+24>>2]=f[O+24>>2];f[k+28>>2]=f[O+28>>2];f[k+32>>2]=f[O+32>>2];R=f[O+36>>2]|0;f[k+36>>2]=R;f[k+40>>2]=Q;Q=k+48|0;S=k+44|0;f[S>>2]=Q;f[Q>>2]=0;f[k+52>>2]=0;if(R|0){Q=R+12|0;f[Q>>2]=(f[Q>>2]|0)+1}if((f[L>>2]|0)<3){L=f[O+44>>2]|0;Q=f[S>>2]|0;f[Q>>2]=f[L>>2];f[Q+4>>2]=f[L+4>>2];break}else{f[N>>2]=0;kP(k,O);break}}else lD(k,a,-1);while(0);do if((pD(c)|0)==65536){O=f[c+4>>2]|0;f[o>>2]=f[O>>2];N=o+4|0;L=O+4|0;f[N>>2]=f[L>>2];Q=o+8|0;f[Q>>2]=f[O+8>>2];f[o+12>>2]=f[O+12>>2];f[o+16>>2]=f[O+16>>2];f[o+20>>2]=f[O+20>>2];f[o+24>>2]=f[O+24>>2];f[o+28>>2]=f[O+28>>2];f[o+32>>2]=f[O+32>>2];S=f[O+36>>2]|0;f[o+36>>2]=S;f[o+40>>2]=Q;Q=o+48|0;R=o+44|0;f[R>>2]=Q;f[Q>>2]=0;f[o+52>>2]=0;if(S|0){Q=S+12|0;f[Q>>2]=(f[Q>>2]|0)+1}if((f[L>>2]|0)<3){L=f[O+44>>2]|0;Q=f[R>>2]|0;f[Q>>2]=f[L>>2];f[Q+4>>2]=f[L+4>>2];break}else{f[N>>2]=0;kP(o,O);break}}else lD(o,c,-1);while(0);do if((pD(d)|0)==65536){O=f[d+4>>2]|0;f[q>>2]=f[O>>2];N=q+4|0;L=O+4|0;f[N>>2]=f[L>>2];Q=q+8|0;f[Q>>2]=f[O+8>>2];f[q+12>>2]=f[O+12>>2];f[q+16>>2]=f[O+16>>2];f[q+20>>2]=f[O+20>>2];f[q+24>>2]=f[O+24>>2];f[q+28>>2]=f[O+28>>2];f[q+32>>2]=f[O+32>>2];R=f[O+36>>2]|0;f[q+36>>2]=R;f[q+40>>2]=Q;Q=q+48|0;S=q+44|0;f[S>>2]=Q;f[Q>>2]=0;f[q+52>>2]=0;if(R|0){Q=R+12|0;f[Q>>2]=(f[Q>>2]|0)+1}if((f[L>>2]|0)<3){L=f[O+44>>2]|0;Q=f[S>>2]|0;f[Q>>2]=f[L>>2];f[Q+4>>2]=f[L+4>>2];T=q;break}else{f[N>>2]=0;kP(q,O);T=q;break}}else{lD(q,d,-1);T=q}while(0);O=f[k>>2]|0;N=f[o>>2]|0;L=f[T>>2]|0;T=f[k+12>>2]|0;Q=f[k+8>>2]|0;S=Urc(Q|0,((Q|0)<0)<<31>>31|0,T|0,((T|0)<0)<<31>>31|0)|0;if((O&16384&N&L|0)!=0?(S|0)==(S|0)&(((S|0)<0)<<31>>31|0)==(J|0):0){U=1;V=S}else{U=Q;V=T}T=Y(V,P)|0;P=k+16|0;V=k+44|0;Q=k+48|0;S=o+16|0;L=o+44|0;N=o+48|0;O=q+16|0;R=q+44|0;W=q+48|0;Rh[n&127](f[P>>2]|0,f[Q>>2]|0,f[S>>2]|0,f[N>>2]|0,f[O>>2]|0,f[W>>2]|0,T,U,0);U=q+36|0;T=f[U>>2]|0;if(T|0?(n=T+12|0,T=f[n>>2]|0,f[n>>2]=T+-1,(T|0)==1):0)lP(q);f[U>>2]=0;U=q+4|0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;if((f[U>>2]|0)>0){O=f[q+40>>2]|0;T=0;do{f[O+(T<<2)>>2]=0;T=T+1|0}while((T|0)<(f[U>>2]|0))}U=f[R>>2]|0;if((U|0)!=(W|0))tE(U);U=o+36|0;W=f[U>>2]|0;if(W|0?(R=W+12|0,W=f[R>>2]|0,f[R>>2]=W+-1,(W|0)==1):0)lP(o);f[U>>2]=0;U=o+4|0;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;if((f[U>>2]|0)>0){S=f[o+40>>2]|0;W=0;do{f[S+(W<<2)>>2]=0;W=W+1|0}while((W|0)<(f[U>>2]|0))}U=f[L>>2]|0;if((U|0)!=(N|0))tE(U);U=k+36|0;N=f[U>>2]|0;if(N|0?(L=N+12|0,N=f[L>>2]|0,f[L>>2]=N+-1,(N|0)==1):0)lP(k);f[U>>2]=0;U=k+4|0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;if((f[U>>2]|0)>0){P=f[k+40>>2]|0;N=0;do{f[P+(N<<2)>>2]=0;N=N+1|0}while((N|0)<(f[U>>2]|0))}U=f[V>>2]|0;if((U|0)!=(Q|0))tE(U);u=j;return}a:do if((i|0)==12){X=1;Z=E;_=F;$=G;aa=B;ba=A}else{U=(C|0)==131072;Q=(D|0)==131072;if(((Q&1)+(U&1)|0)!=1?(E|0)==(H|0)&(yD(a,c)|0):0){if(yD(a,c)|0){X=0;Z=E;_=F;$=G;aa=B;ba=A;break}f[k>>2]=0;f[k+4>>2]=0;ca=YG(k,41)|0;da=194501;ea=ca+41|0;do{b[ca>>0]=b[da>>0]|0;ca=ca+1|0;da=da+1|0}while((ca|0)<(ea|0));SQ(-215,k,194491,194295,230)}b:do if((zD(a,-1)|0)<=2?ED(a,-1)|0:0){nD(k,a,-1);V=f[k>>2]|0;N=(V|0)==1;if(N){if(!((C|0)!=131072&Q)){fa=f[k+4>>2]|0;ga=71}}else if(!((C|0)!=131072&Q|(f[k+4>>2]|0)!=1)){fa=1;ga=71}do if((ga|0)==71){P=(fa|0)==1;if(!((V|0)==(K|0)&P|N&(P|(fa|0)==(K|0)))){if(!(N&(fa|0)==4))break;if(!(K>>>0<5&(oD(a,-1)|0)==6))break b}P=f[l>>2]|0;L=l+4|0;W=f[L>>2]|0;f[l>>2]=f[m>>2];S=m+4|0;f[L>>2]=f[S>>2];f[m>>2]=P;f[S>>2]=W;X=1;Z=H;_=I;$=K;aa=A;ba=B;break a}while(0)}while(0);if((zD(c,-1)|0)>2){f[k>>2]=0;ha=k+4|0;f[ha>>2]=0;ia=YG(k,130)|0;Krc(ia|0,194360,130)|0;SQ(-209,k,194491,194295,225)}if(!(ED(c,-1)|0)){f[k>>2]=0;ha=k+4|0;f[ha>>2]=0;ia=YG(k,130)|0;Krc(ia|0,194360,130)|0;SQ(-209,k,194491,194295,225)}nD(k,c,-1);Q=f[k>>2]|0;N=(Q|0)==1;if(N){if(!(U&(D|0)!=131072)){ja=f[k+4>>2]|0;ga=83}}else if(!(U&(D|0)!=131072|(f[k+4>>2]|0)!=1)){ja=1;ga=83}if((ga|0)==83){V=(ja|0)==1;if((Q|0)==(G|0)&V|N&(V|(ja|0)==(G|0))){X=1;Z=E;_=F;$=G;aa=B;ba=A;break}if(N&(ja|0)==4){if(G>>>0<5&(oD(c,-1)|0)==6){X=1;Z=E;_=F;$=G;aa=B;ba=A;break}f[k>>2]=0;ha=k+4|0;f[ha>>2]=0;ia=YG(k,130)|0;Krc(ia|0,194360,130)|0;SQ(-209,k,194491,194295,225)}}f[k>>2]=0;ha=k+4|0;f[ha>>2]=0;ia=YG(k,130)|0;Krc(ia|0,194360,130)|0;SQ(-209,k,194491,194295,225)}while(0);ia=(Z>>>3&511)+1<<(47696>>>(Z<<1&14)&3);f[k>>2]=ia;ha=((ia+1023|0)>>>0)/(ia>>>0)|0;if(!M){if((oD(e,-1)|0|1|0)!=1){f[o>>2]=0;ka=o+4|0;f[ka>>2]=0;la=YG(o,60)|0;ca=la;da=194543;ea=ca+60|0;do{b[ca>>0]=b[da>>0]|0;ca=ca+1|0;da=da+1|0}while((ca|0)<(ea|0));SQ(-215,o,194491,194295,241)}ia=ba;if(!(yD(e,ia)|0)){f[o>>2]=0;ka=o+4|0;f[ka>>2]=0;la=YG(o,60)|0;ca=la;da=194543;ea=ca+60|0;do{b[ca>>0]=b[da>>0]|0;ca=ca+1|0;da=da+1|0}while((ca|0)<(ea|0));SQ(-215,o,194491,194295,241)}da=iT(f[k>>2]|0)|0;if(yD(d,ia)|0){ma=(oD(d,-1)|0)!=(Z|0);na=da;oa=ia}else{ma=1;na=da;oa=ia}}else{ma=0;na=0;oa=ba}ba=o+8|0;f[o>>2]=ba;ia=o+4|0;f[ia>>2]=1032;jE(d,oa,Z);if(!(M|ma^1)){p[r>>3]=0.0;f[q>>2]=-1056833530;f[q+4>>2]=r;f[q+8>>2]=1;f[q+12>>2]=1;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;mE(d,q,s)}do if((pD(oa)|0)==65536){ma=f[oa+4>>2]|0;f[q>>2]=f[ma>>2];Z=q+4|0;da=ma+4|0;f[Z>>2]=f[da>>2];ca=q+8|0;f[ca>>2]=f[ma+8>>2];f[q+12>>2]=f[ma+12>>2];f[q+16>>2]=f[ma+16>>2];f[q+20>>2]=f[ma+20>>2];f[q+24>>2]=f[ma+24>>2];f[q+28>>2]=f[ma+28>>2];f[q+32>>2]=f[ma+32>>2];ea=f[ma+36>>2]|0;f[q+36>>2]=ea;f[q+40>>2]=ca;ca=q+48|0;la=q+44|0;f[la>>2]=ca;f[ca>>2]=0;f[q+52>>2]=0;if(ea|0){ca=ea+12|0;f[ca>>2]=(f[ca>>2]|0)+1}if((f[da>>2]|0)<3){da=f[ma+44>>2]|0;ca=f[la>>2]|0;f[ca>>2]=f[da>>2];f[ca+4>>2]=f[da+4>>2];break}else{f[Z>>2]=0;kP(q,ma);break}}else lD(q,oa,-1);while(0);oa=aa;do if((pD(oa)|0)==65536){aa=f[oa+4>>2]|0;f[r>>2]=f[aa>>2];ma=r+4|0;Z=aa+4|0;f[ma>>2]=f[Z>>2];da=r+8|0;f[da>>2]=f[aa+8>>2];f[r+12>>2]=f[aa+12>>2];f[r+16>>2]=f[aa+16>>2];f[r+20>>2]=f[aa+20>>2];f[r+24>>2]=f[aa+24>>2];f[r+28>>2]=f[aa+28>>2];f[r+32>>2]=f[aa+32>>2];ca=f[aa+36>>2]|0;f[r+36>>2]=ca;f[r+40>>2]=da;da=r+48|0;la=r+44|0;f[la>>2]=da;f[da>>2]=0;f[r+52>>2]=0;if(ca|0){da=ca+12|0;f[da>>2]=(f[da>>2]|0)+1}if((f[Z>>2]|0)<3){Z=f[aa+44>>2]|0;da=f[la>>2]|0;f[da>>2]=f[Z>>2];f[da+4>>2]=f[Z+4>>2];break}else{f[ma>>2]=0;kP(r,aa);break}}else lD(r,oa,-1);while(0);do if((pD(d)|0)==65536){oa=f[d+4>>2]|0;f[s>>2]=f[oa>>2];aa=s+4|0;ma=oa+4|0;f[aa>>2]=f[ma>>2];Z=s+8|0;f[Z>>2]=f[oa+8>>2];f[s+12>>2]=f[oa+12>>2];f[s+16>>2]=f[oa+16>>2];f[s+20>>2]=f[oa+20>>2];f[s+24>>2]=f[oa+24>>2];f[s+28>>2]=f[oa+28>>2];f[s+32>>2]=f[oa+32>>2];da=f[oa+36>>2]|0;f[s+36>>2]=da;f[s+40>>2]=Z;Z=s+48|0;la=s+44|0;f[la>>2]=Z;f[Z>>2]=0;f[s+52>>2]=0;if(da|0){Z=da+12|0;f[Z>>2]=(f[Z>>2]|0)+1}if((f[ma>>2]|0)<3){ma=f[oa+44>>2]|0;Z=f[la>>2]|0;f[Z>>2]=f[ma>>2];f[Z+4>>2]=f[ma+4>>2];break}else{f[aa>>2]=0;kP(s,oa);break}}else lD(s,d,-1);while(0);do if((pD(e)|0)==65536){d=f[e+4>>2]|0;f[t>>2]=f[d>>2];oa=t+4|0;aa=d+4|0;f[oa>>2]=f[aa>>2];ma=t+8|0;f[ma>>2]=f[d+8>>2];f[t+12>>2]=f[d+12>>2];f[t+16>>2]=f[d+16>>2];f[t+20>>2]=f[d+20>>2];f[t+24>>2]=f[d+24>>2];f[t+28>>2]=f[d+28>>2];f[t+32>>2]=f[d+32>>2];Z=f[d+36>>2]|0;f[t+36>>2]=Z;f[t+40>>2]=ma;ma=t+48|0;la=t+44|0;f[la>>2]=ma;f[ma>>2]=0;f[t+52>>2]=0;if(Z|0){ma=Z+12|0;f[ma>>2]=(f[ma>>2]|0)+1}if((f[aa>>2]|0)<3){aa=f[d+44>>2]|0;ma=f[la>>2]|0;f[ma>>2]=f[aa>>2];f[ma+4>>2]=f[aa+4>>2];break}else{f[oa>>2]=0;kP(t,d);break}}else lD(t,e,-1);while(0);e=h?f[k>>2]|0:$;$=f[(h?g:g+(_<<2)|0)>>2]|0;if(X){f[v>>2]=q;f[v+4>>2]=s;f[v+8>>2]=t;f[v+12>>2]=0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;IN(x,v,w,-1);X=f[x+20>>2]|0;_=ha>>>0<X>>>0?ha:X;g=(Y(Y(f[k>>2]|0,M?1:2)|0,_)|0)+32|0;if((f[ia>>2]|0)>>>0<g>>>0){h=f[o>>2]|0;if((h|0)!=(ba|0)){if(h|0)Fmc(h);f[o>>2]=ba;f[ia>>2]=1032}f[ia>>2]=g;if(g>>>0>1032){h=Dmc(g)|0;f[o>>2]=h;pa=h}else pa=ba}else{f[ia>>2]=g;pa=f[o>>2]|0}g=pa+(Y(f[k>>2]|0,_)|0)+15&-16;_G(r,f[q>>2]&4095,pa,_);h=x+16|0;d=w+4|0;oa=w+8|0;aa=z+4|0;c:do if(!X){ma=0;while(1){if(ma>>>0>=(f[h>>2]|0)>>>0)break c;JN(x)|0;ma=ma+1|0}}else{ma=0;while(1){if(ma>>>0>=(f[h>>2]|0)>>>0)break c;U=f[w>>2]|0;if(M){la=0;Z=U;da=f[d>>2]|0;do{ca=X-la|0;ea=ca>>>0>_>>>0?_:ca;ca=Y(ea,e)|0;Rh[$&127](Z,0,pa,0,da,0,ca,1,0);ca=Y(f[k>>2]|0,ea)|0;Z=(f[w>>2]|0)+ca|0;f[w>>2]=Z;da=(f[d>>2]|0)+ca|0;f[d>>2]=da;la=la+_|0}while(X>>>0>la>>>0)}else{la=0;da=U;do{Z=X-la|0;ca=Z>>>0>_>>>0?_:Z;Z=Y(ca,e)|0;Rh[$&127](da,0,pa,0,g,0,Z,1,0);Z=f[oa>>2]|0;ea=f[d>>2]|0;f[z>>2]=ca;f[aa>>2]=1;Fh[na&255](g,0,Z,0,ea,0,z,k);f[oa>>2]=(f[oa>>2]|0)+ca;ea=Y(f[k>>2]|0,ca)|0;da=(f[w>>2]|0)+ea|0;f[w>>2]=da;f[d>>2]=(f[d>>2]|0)+ea;la=la+_|0}while(X>>>0>la>>>0)}JN(x)|0;ma=ma+1|0}}while(0)}else{f[v>>2]=q;f[v+4>>2]=r;f[v+8>>2]=s;f[v+12>>2]=t;f[v+16>>2]=0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;IN(x,v,w,-1);v=f[x+20>>2]|0;if((Y(v,e)|0)<0)qa=2147483647/(e|0)|0;else qa=v;do if(!M){X=ha>>>0<qa>>>0?ha:qa;_=Y(f[k>>2]|0,X)|0;if((f[ia>>2]|0)>>>0>=_>>>0){f[ia>>2]=_;ra=f[o>>2]|0;sa=X;break}d=f[o>>2]|0;if((d|0)!=(ba|0)){if(d|0)Fmc(d);f[o>>2]=ba;f[ia>>2]=1032}f[ia>>2]=_;if(_>>>0>1032){d=Dmc(_)|0;f[o>>2]=d;ra=d;sa=X}else{ra=ba;sa=X}}else{ra=0;sa=qa}while(0);qa=x+16|0;ha=(v|0)==0;X=w+4|0;d=w+8|0;_=w+12|0;oa=y+4|0;z=0;while(1){if(z>>>0>=(f[qa>>2]|0)>>>0)break;d:do if(!ha){g=f[w>>2]|0;aa=f[X>>2]|0;if(!M){pa=0;h=g;ma=aa;while(1){la=v-pa|0;da=la>>>0>sa>>>0?sa:la;la=Y(da,e)|0;Rh[$&127](h,0,ma,0,ra,0,la,1,0);la=f[_>>2]|0;U=f[d>>2]|0;f[y>>2]=da;f[oa>>2]=1;Fh[na&255](ra,0,la,0,U,0,y,k);f[_>>2]=(f[_>>2]|0)+da;U=Y(f[k>>2]|0,da)|0;h=(f[w>>2]|0)+U|0;f[w>>2]=h;ma=(f[X>>2]|0)+U|0;f[X>>2]=ma;f[d>>2]=(f[d>>2]|0)+U;pa=pa+sa|0;if(v>>>0<=pa>>>0)break d}}pa=0;ma=g;h=aa;U=f[d>>2]|0;do{da=v-pa|0;la=da>>>0>sa>>>0?sa:da;da=Y(la,e)|0;Rh[$&127](ma,0,h,0,U,0,da,1,0);da=Y(f[k>>2]|0,la)|0;ma=(f[w>>2]|0)+da|0;f[w>>2]=ma;h=(f[X>>2]|0)+da|0;f[X>>2]=h;U=(f[d>>2]|0)+da|0;f[d>>2]=U;pa=pa+sa|0}while(v>>>0>pa>>>0)}while(0);JN(x)|0;z=z+1|0}}z=t+36|0;x=f[z>>2]|0;if(x|0?(v=x+12|0,x=f[v>>2]|0,f[v>>2]=x+-1,(x|0)==1):0)lP(t);f[z>>2]=0;z=t+16|0;x=t+4|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[x>>2]|0)>0){z=f[t+40>>2]|0;v=0;do{f[z+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[x>>2]|0))}x=f[t+44>>2]|0;if((x|0)!=(t+48|0))tE(x);x=s+36|0;t=f[x>>2]|0;if(t|0?(v=t+12|0,t=f[v>>2]|0,f[v>>2]=t+-1,(t|0)==1):0)lP(s);f[x>>2]=0;x=s+16|0;t=s+4|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[t>>2]|0)>0){x=f[s+40>>2]|0;v=0;do{f[x+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[t>>2]|0))}t=f[s+44>>2]|0;if((t|0)!=(s+48|0))tE(t);t=r+36|0;s=f[t>>2]|0;if(s|0?(v=s+12|0,s=f[v>>2]|0,f[v>>2]=s+-1,(s|0)==1):0)lP(r);f[t>>2]=0;t=r+16|0;s=r+4|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[s>>2]|0)>0){t=f[r+40>>2]|0;v=0;do{f[t+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[s>>2]|0))}s=f[r+44>>2]|0;if((s|0)!=(r+48|0))tE(s);s=q+36|0;r=f[s>>2]|0;do if(r|0){v=r+12|0;t=f[v>>2]|0;f[v>>2]=t+-1;if((t|0)!=1)break;lP(q)}while(0);f[s>>2]=0;s=q+16|0;r=q+4|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[r>>2]|0)>0){s=f[q+40>>2]|0;t=0;do{f[s+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[r>>2]|0))}r=f[q+44>>2]|0;if((r|0)!=(q+48|0))tE(r);r=f[o>>2]|0;if((r|0)!=(ba|0)){if(r|0)Fmc(r);f[o>>2]=ba;f[ia>>2]=1032}u=j;return}function cH(a,c,d,e,f,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=d;m=f;n=a;o=j;while(1){if(k){p=0;do{b[m+p>>0]=b[l+p>>0]&b[n+p>>0];p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+e|0;m=m+g|0;n=n+c|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=d;d=f;f=a;a=j;while(1){j=0;do{l=j|1;k=b[m+l>>0]&b[f+l>>0];b[d+j>>0]=b[m+j>>0]&b[f+j>>0];b[d+l>>0]=k;k=j|2;l=j|3;p=b[m+l>>0]&b[f+l>>0];b[d+k>>0]=b[m+k>>0]&b[f+k>>0];b[d+l>>0]=p;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{b[d+j>>0]=b[m+j>>0]&b[f+j>>0];j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+e|0;d=d+g|0;f=f+c|0;a=a+-1|0}}return}function dH(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+16|0;g=e+8|0;h=e;zT(g,43556);f[h>>2]=101;bH(a,b,c,d,h,1,10);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function eH(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;fH(a,b,c,d,e,f,g,h);return}function fH(a,c,d,e,f,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=d;m=f;n=a;o=j;while(1){if(k){p=0;do{b[m+p>>0]=b[l+p>>0]|b[n+p>>0];p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+e|0;m=m+g|0;n=n+c|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=d;d=f;f=a;a=j;while(1){j=0;do{l=j|1;k=b[m+l>>0]|b[f+l>>0];b[d+j>>0]=b[m+j>>0]|b[f+j>>0];b[d+l>>0]=k;k=j|2;l=j|3;p=b[m+l>>0]|b[f+l>>0];b[d+k>>0]=b[m+k>>0]|b[f+k>>0];b[d+l>>0]=p;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{b[d+j>>0]=b[m+j>>0]|b[f+j>>0];j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+e|0;d=d+g|0;f=f+c|0;a=a+-1|0}}return}function gH(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+16|0;g=e+8|0;h=e;zT(g,43576);f[h>>2]=102;bH(a,b,c,d,h,1,11);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function hH(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;iH(a,b,c,d,e,f,g,h);return}function iH(a,c,d,e,f,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=d;m=f;n=a;o=j;while(1){if(k){p=0;do{b[m+p>>0]=b[l+p>>0]^b[n+p>>0];p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+e|0;m=m+g|0;n=n+c|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=d;d=f;f=a;a=j;while(1){j=0;do{l=j|1;k=b[m+l>>0]^b[f+l>>0];b[d+j>>0]=b[m+j>>0]^b[f+j>>0];b[d+l>>0]=k;k=j|2;l=j|3;p=b[m+l>>0]^b[f+l>>0];b[d+k>>0]=b[m+k>>0]^b[f+k>>0];b[d+l>>0]=p;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{b[d+j>>0]=b[m+j>>0]^b[f+j>>0];j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+e|0;d=d+g|0;f=f+c|0;a=a+-1|0}}return}function jH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d+8|0;g=d;zT(e,43596);f[g>>2]=103;bH(a,a,b,c,g,1,12);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function kH(a,c,d,e,f,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){if((h|0)>0){k=f;l=a;m=j}else return;while(1){e=0;do{b[k+e>>0]=~b[l+e>>0];e=e+1|0}while((e|0)!=(h|0));if(!m)break;else{k=k+g|0;l=l+c|0;m=m+-1|0}}return}m=h&-4;if((m|0)<(h|0)){n=f;o=a;p=j}else{l=f;f=a;a=j;while(1){j=0;do{k=j|1;e=~b[f+k>>0];b[l+j>>0]=~b[f+j>>0];b[l+k>>0]=e;e=j|2;k=j|3;d=~b[f+k>>0];b[l+e>>0]=~b[f+e>>0];b[l+k>>0]=d;j=j+4|0}while((j|0)<=(i|0));if(!a)break;else{l=l+g|0;f=f+c|0;a=a+-1|0}}return}while(1){a=0;do{f=a|1;l=~b[o+f>>0];b[n+a>>0]=~b[o+a>>0];b[n+f>>0]=l;l=a|2;f=a|3;j=~b[o+f>>0];b[n+l>>0]=~b[o+l>>0];b[n+f>>0]=j;a=a+4|0}while((a|0)<=(i|0));q=m;do{b[n+q>>0]=~b[o+q>>0];q=q+1|0}while((q|0)!=(h|0));if(!p)break;else{n=n+g|0;o=o+c|0;p=p+-1|0}}return}function lH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;zT(e,43616);bH(a,b,c,rE()|0,43636,0,14);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function mH(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;zH(a,b,c,d,e,f,g,h);return}function nH(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;yH(a,b,c,d,e,f,g,h);return}function oH(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;xH(a,b,c,d,e,f,g,h);return}function pH(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;wH(a,b,c,d,e,f,g,h);return}function qH(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;vH(a,b,c,d,e,f,g,h);return}function rH(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;uH(a,b,c,d,e,f,g,h);return}function sH(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;tH(a,b,c,d,e,f,g,h);return}function tH(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0.0,r=0.0,s=0.0,t=0.0;i=h+-1|0;if(!h)return;h=g+-4|0;if((g|0)<4){j=(g|0)>0;k=c;l=e;m=a;n=i;while(1){if(j){o=0;do{q=+p[m+(o<<3)>>3];r=+p[k+(o<<3)>>3];p[l+(o<<3)>>3]=q<r?r:q;o=o+1|0}while((o|0)!=(g|0))}if(!n)break;else{k=k+d|0;l=l+f|0;m=m+b|0;n=n+-1|0}}return}n=g&-4;m=(n|0)<(g|0);l=c;c=e;e=a;a=i;while(1){i=0;do{q=+p[e+(i<<3)>>3];r=+p[l+(i<<3)>>3];k=i|1;s=+p[e+(k<<3)>>3];t=+p[l+(k<<3)>>3];p[c+(i<<3)>>3]=q<r?r:q;p[c+(k<<3)>>3]=s<t?t:s;k=i|2;s=+p[e+(k<<3)>>3];t=+p[l+(k<<3)>>3];j=i|3;q=+p[e+(j<<3)>>3];r=+p[l+(j<<3)>>3];p[c+(k<<3)>>3]=s<t?t:s;p[c+(j<<3)>>3]=q<r?r:q;i=i+4|0}while((i|0)<=(h|0));if(m){i=n;do{q=+p[e+(i<<3)>>3];r=+p[l+(i<<3)>>3];p[c+(i<<3)>>3]=q<r?r:q;i=i+1|0}while((i|0)!=(g|0))}if(!a)break;else{l=l+d|0;c=c+f|0;e=e+b|0;a=a+-1|0}}return}function uH(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0.0;i=h+-1|0;if(!h)return;h=g+-4|0;if((g|0)<4){j=(g|0)>0;k=c;l=e;m=a;o=i;while(1){if(j){p=0;do{q=+n[m+(p<<2)>>2];r=+n[k+(p<<2)>>2];n[l+(p<<2)>>2]=q<r?r:q;p=p+1|0}while((p|0)!=(g|0))}if(!o)break;else{k=k+d|0;l=l+f|0;m=m+b|0;o=o+-1|0}}return}o=g&-4;m=(o|0)<(g|0);l=c;c=e;e=a;a=i;while(1){i=0;do{q=+n[e+(i<<2)>>2];r=+n[l+(i<<2)>>2];k=i|1;s=+n[e+(k<<2)>>2];t=+n[l+(k<<2)>>2];n[c+(i<<2)>>2]=q<r?r:q;n[c+(k<<2)>>2]=s<t?t:s;k=i|2;s=+n[e+(k<<2)>>2];t=+n[l+(k<<2)>>2];j=i|3;q=+n[e+(j<<2)>>2];r=+n[l+(j<<2)>>2];n[c+(k<<2)>>2]=s<t?t:s;n[c+(j<<2)>>2]=q<r?r:q;i=i+4|0}while((i|0)<=(h|0));if(m){i=o;do{q=+n[e+(i<<2)>>2];r=+n[l+(i<<2)>>2];n[c+(i<<2)>>2]=q<r?r:q;i=i+1|0}while((i|0)!=(g|0))}if(!a)break;else{l=l+d|0;c=c+f|0;e=e+b|0;a=a+-1|0}}return}function vH(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=c;m=e;n=a;o=j;while(1){if(k){p=0;do{q=f[n+(p<<2)>>2]|0;r=f[l+(p<<2)>>2]|0;f[m+(p<<2)>>2]=(q|0)<(r|0)?r:q;p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+d|0;m=m+g|0;n=n+b|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=c;c=e;e=a;a=j;while(1){j=0;do{l=f[e+(j<<2)>>2]|0;k=f[m+(j<<2)>>2]|0;p=j|1;q=f[e+(p<<2)>>2]|0;r=f[m+(p<<2)>>2]|0;f[c+(j<<2)>>2]=(l|0)<(k|0)?k:l;f[c+(p<<2)>>2]=(q|0)<(r|0)?r:q;q=j|2;r=f[e+(q<<2)>>2]|0;p=f[m+(q<<2)>>2]|0;l=j|3;k=f[e+(l<<2)>>2]|0;s=f[m+(l<<2)>>2]|0;f[c+(q<<2)>>2]=(r|0)<(p|0)?p:r;f[c+(l<<2)>>2]=(k|0)<(s|0)?s:k;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{k=f[e+(j<<2)>>2]|0;s=f[m+(j<<2)>>2]|0;f[c+(j<<2)>>2]=(k|0)<(s|0)?s:k;j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+d|0;c=c+g|0;e=e+b|0;a=a+-1|0}}return}function wH(a,b,c,e,f,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=c;m=f;n=a;o=j;while(1){if(k){p=0;do{q=d[n+(p<<1)>>1]|0;r=d[l+(p<<1)>>1]|0;d[m+(p<<1)>>1]=q<<16>>16<r<<16>>16?r:q;p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+e|0;m=m+g|0;n=n+b|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=c;c=f;f=a;a=j;while(1){j=0;do{l=d[f+(j<<1)>>1]|0;k=d[m+(j<<1)>>1]|0;p=j|1;q=d[f+(p<<1)>>1]|0;r=d[m+(p<<1)>>1]|0;d[c+(j<<1)>>1]=l<<16>>16<k<<16>>16?k:l;d[c+(p<<1)>>1]=q<<16>>16<r<<16>>16?r:q;q=j|2;r=d[f+(q<<1)>>1]|0;p=d[m+(q<<1)>>1]|0;l=j|3;k=d[f+(l<<1)>>1]|0;s=d[m+(l<<1)>>1]|0;d[c+(q<<1)>>1]=r<<16>>16<p<<16>>16?p:r;d[c+(l<<1)>>1]=k<<16>>16<s<<16>>16?s:k;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{k=d[f+(j<<1)>>1]|0;s=d[m+(j<<1)>>1]|0;d[c+(j<<1)>>1]=k<<16>>16<s<<16>>16?s:k;j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+e|0;c=c+g|0;f=f+b|0;a=a+-1|0}}return}function xH(a,b,c,e,f,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=c;m=f;n=a;o=j;while(1){if(k){p=0;do{q=d[n+(p<<1)>>1]|0;r=d[l+(p<<1)>>1]|0;d[m+(p<<1)>>1]=(q&65535)<(r&65535)?r:q;p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+e|0;m=m+g|0;n=n+b|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=c;c=f;f=a;a=j;while(1){j=0;do{l=d[f+(j<<1)>>1]|0;k=d[m+(j<<1)>>1]|0;p=j|1;q=d[f+(p<<1)>>1]|0;r=d[m+(p<<1)>>1]|0;d[c+(j<<1)>>1]=(l&65535)<(k&65535)?k:l;d[c+(p<<1)>>1]=(q&65535)<(r&65535)?r:q;q=j|2;r=d[f+(q<<1)>>1]|0;p=d[m+(q<<1)>>1]|0;l=j|3;k=d[f+(l<<1)>>1]|0;s=d[m+(l<<1)>>1]|0;d[c+(q<<1)>>1]=(r&65535)<(p&65535)?p:r;d[c+(l<<1)>>1]=(k&65535)<(s&65535)?s:k;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{k=d[f+(j<<1)>>1]|0;s=d[m+(j<<1)>>1]|0;d[c+(j<<1)>>1]=(k&65535)<(s&65535)?s:k;j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+e|0;c=c+g|0;f=f+b|0;a=a+-1|0}}return}function yH(a,c,d,e,f,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=d;m=f;n=a;o=j;while(1){if(k){p=0;do{q=b[n+p>>0]|0;r=b[l+p>>0]|0;b[m+p>>0]=q<<24>>24<r<<24>>24?r:q;p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+e|0;m=m+g|0;n=n+c|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=d;d=f;f=a;a=j;while(1){j=0;do{l=b[f+j>>0]|0;k=b[m+j>>0]|0;p=j|1;q=b[f+p>>0]|0;r=b[m+p>>0]|0;b[d+j>>0]=l<<24>>24<k<<24>>24?k:l;b[d+p>>0]=q<<24>>24<r<<24>>24?r:q;q=j|2;r=b[f+q>>0]|0;p=b[m+q>>0]|0;l=j|3;k=b[f+l>>0]|0;s=b[m+l>>0]|0;b[d+q>>0]=r<<24>>24<p<<24>>24?p:r;b[d+l>>0]=k<<24>>24<s<<24>>24?s:k;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{k=b[f+j>>0]|0;s=b[m+j>>0]|0;b[d+j>>0]=k<<24>>24<s<<24>>24?s:k;j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+e|0;d=d+g|0;f=f+c|0;a=a+-1|0}}return}function zH(a,c,d,e,f,g,i,j){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;k=j+-1|0;if(!j)return;j=i+-4|0;if((i|0)<4){l=(i|0)>0;m=d;n=f;o=a;p=k;while(1){if(l){q=0;do{r=h[o+q>>0]|0;b[n+q>>0]=(h[216138+(256-r+(h[m+q>>0]|0))>>0]|0)+r;q=q+1|0}while((q|0)!=(i|0))}if(!p)break;else{m=m+e|0;n=n+g|0;o=o+c|0;p=p+-1|0}}return}p=i&-4;o=(p|0)<(i|0);n=d;d=f;f=a;a=k;while(1){k=0;do{m=h[f+k>>0]|0;l=k|1;q=h[f+l>>0]|0;r=(h[216138+(256-q+(h[n+l>>0]|0))>>0]|0)+q&255;b[d+k>>0]=(h[216138+(256-m+(h[n+k>>0]|0))>>0]|0)+m;b[d+l>>0]=r;r=k|2;l=h[f+r>>0]|0;m=k|3;q=h[f+m>>0]|0;s=(h[216138+(256-q+(h[n+m>>0]|0))>>0]|0)+q&255;b[d+r>>0]=(h[216138+(256-l+(h[n+r>>0]|0))>>0]|0)+l;b[d+m>>0]=s;k=k+4|0}while((k|0)<=(j|0));if(o){k=p;do{s=h[f+k>>0]|0;b[d+k>>0]=(h[216138+(256-s+(h[n+k>>0]|0))>>0]|0)+s;k=k+1|0}while((k|0)!=(i|0))}if(!a)break;else{n=n+e|0;d=d+g|0;f=f+c|0;a=a+-1|0}}return}function AH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;zT(e,43668);bH(a,b,c,rE()|0,43688,0,13);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function BH(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;OH(a,b,c,d,e,f,g,h);return}function CH(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;NH(a,b,c,d,e,f,g,h);return}function DH(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;MH(a,b,c,d,e,f,g,h);return}function EH(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;LH(a,b,c,d,e,f,g,h);return}function FH(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;KH(a,b,c,d,e,f,g,h);return}function GH(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;JH(a,b,c,d,e,f,g,h);return}function HH(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;IH(a,b,c,d,e,f,g,h);return}function IH(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0.0,r=0.0,s=0.0,t=0.0;i=h+-1|0;if(!h)return;h=g+-4|0;if((g|0)<4){j=(g|0)>0;k=c;l=e;m=a;n=i;while(1){if(j){o=0;do{q=+p[m+(o<<3)>>3];r=+p[k+(o<<3)>>3];p[l+(o<<3)>>3]=r<q?r:q;o=o+1|0}while((o|0)!=(g|0))}if(!n)break;else{k=k+d|0;l=l+f|0;m=m+b|0;n=n+-1|0}}return}n=g&-4;m=(n|0)<(g|0);l=c;c=e;e=a;a=i;while(1){i=0;do{q=+p[e+(i<<3)>>3];r=+p[l+(i<<3)>>3];k=i|1;s=+p[e+(k<<3)>>3];t=+p[l+(k<<3)>>3];p[c+(i<<3)>>3]=r<q?r:q;p[c+(k<<3)>>3]=t<s?t:s;k=i|2;s=+p[e+(k<<3)>>3];t=+p[l+(k<<3)>>3];j=i|3;q=+p[e+(j<<3)>>3];r=+p[l+(j<<3)>>3];p[c+(k<<3)>>3]=t<s?t:s;p[c+(j<<3)>>3]=r<q?r:q;i=i+4|0}while((i|0)<=(h|0));if(m){i=n;do{q=+p[e+(i<<3)>>3];r=+p[l+(i<<3)>>3];p[c+(i<<3)>>3]=r<q?r:q;i=i+1|0}while((i|0)!=(g|0))}if(!a)break;else{l=l+d|0;c=c+f|0;e=e+b|0;a=a+-1|0}}return}function JH(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0.0;i=h+-1|0;if(!h)return;h=g+-4|0;if((g|0)<4){j=(g|0)>0;k=c;l=e;m=a;o=i;while(1){if(j){p=0;do{q=+n[m+(p<<2)>>2];r=+n[k+(p<<2)>>2];n[l+(p<<2)>>2]=r<q?r:q;p=p+1|0}while((p|0)!=(g|0))}if(!o)break;else{k=k+d|0;l=l+f|0;m=m+b|0;o=o+-1|0}}return}o=g&-4;m=(o|0)<(g|0);l=c;c=e;e=a;a=i;while(1){i=0;do{q=+n[e+(i<<2)>>2];r=+n[l+(i<<2)>>2];k=i|1;s=+n[e+(k<<2)>>2];t=+n[l+(k<<2)>>2];n[c+(i<<2)>>2]=r<q?r:q;n[c+(k<<2)>>2]=t<s?t:s;k=i|2;s=+n[e+(k<<2)>>2];t=+n[l+(k<<2)>>2];j=i|3;q=+n[e+(j<<2)>>2];r=+n[l+(j<<2)>>2];n[c+(k<<2)>>2]=t<s?t:s;n[c+(j<<2)>>2]=r<q?r:q;i=i+4|0}while((i|0)<=(h|0));if(m){i=o;do{q=+n[e+(i<<2)>>2];r=+n[l+(i<<2)>>2];n[c+(i<<2)>>2]=r<q?r:q;i=i+1|0}while((i|0)!=(g|0))}if(!a)break;else{l=l+d|0;c=c+f|0;e=e+b|0;a=a+-1|0}}return}function KH(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=c;m=e;n=a;o=j;while(1){if(k){p=0;do{q=f[n+(p<<2)>>2]|0;r=f[l+(p<<2)>>2]|0;f[m+(p<<2)>>2]=(r|0)<(q|0)?r:q;p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+d|0;m=m+g|0;n=n+b|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=c;c=e;e=a;a=j;while(1){j=0;do{l=f[e+(j<<2)>>2]|0;k=f[m+(j<<2)>>2]|0;p=j|1;q=f[e+(p<<2)>>2]|0;r=f[m+(p<<2)>>2]|0;f[c+(j<<2)>>2]=(k|0)<(l|0)?k:l;f[c+(p<<2)>>2]=(r|0)<(q|0)?r:q;q=j|2;r=f[e+(q<<2)>>2]|0;p=f[m+(q<<2)>>2]|0;l=j|3;k=f[e+(l<<2)>>2]|0;s=f[m+(l<<2)>>2]|0;f[c+(q<<2)>>2]=(p|0)<(r|0)?p:r;f[c+(l<<2)>>2]=(s|0)<(k|0)?s:k;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{k=f[e+(j<<2)>>2]|0;s=f[m+(j<<2)>>2]|0;f[c+(j<<2)>>2]=(s|0)<(k|0)?s:k;j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+d|0;c=c+g|0;e=e+b|0;a=a+-1|0}}return}function LH(a,b,c,e,f,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=c;m=f;n=a;o=j;while(1){if(k){p=0;do{q=d[n+(p<<1)>>1]|0;r=d[l+(p<<1)>>1]|0;d[m+(p<<1)>>1]=r<<16>>16<q<<16>>16?r:q;p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+e|0;m=m+g|0;n=n+b|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=c;c=f;f=a;a=j;while(1){j=0;do{l=d[f+(j<<1)>>1]|0;k=d[m+(j<<1)>>1]|0;p=j|1;q=d[f+(p<<1)>>1]|0;r=d[m+(p<<1)>>1]|0;d[c+(j<<1)>>1]=k<<16>>16<l<<16>>16?k:l;d[c+(p<<1)>>1]=r<<16>>16<q<<16>>16?r:q;q=j|2;r=d[f+(q<<1)>>1]|0;p=d[m+(q<<1)>>1]|0;l=j|3;k=d[f+(l<<1)>>1]|0;s=d[m+(l<<1)>>1]|0;d[c+(q<<1)>>1]=p<<16>>16<r<<16>>16?p:r;d[c+(l<<1)>>1]=s<<16>>16<k<<16>>16?s:k;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{k=d[f+(j<<1)>>1]|0;s=d[m+(j<<1)>>1]|0;d[c+(j<<1)>>1]=s<<16>>16<k<<16>>16?s:k;j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+e|0;c=c+g|0;f=f+b|0;a=a+-1|0}}return}function MH(a,b,c,e,f,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=c;m=f;n=a;o=j;while(1){if(k){p=0;do{q=d[n+(p<<1)>>1]|0;r=d[l+(p<<1)>>1]|0;d[m+(p<<1)>>1]=(r&65535)<(q&65535)?r:q;p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+e|0;m=m+g|0;n=n+b|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=c;c=f;f=a;a=j;while(1){j=0;do{l=d[f+(j<<1)>>1]|0;k=d[m+(j<<1)>>1]|0;p=j|1;q=d[f+(p<<1)>>1]|0;r=d[m+(p<<1)>>1]|0;d[c+(j<<1)>>1]=(k&65535)<(l&65535)?k:l;d[c+(p<<1)>>1]=(r&65535)<(q&65535)?r:q;q=j|2;r=d[f+(q<<1)>>1]|0;p=d[m+(q<<1)>>1]|0;l=j|3;k=d[f+(l<<1)>>1]|0;s=d[m+(l<<1)>>1]|0;d[c+(q<<1)>>1]=(p&65535)<(r&65535)?p:r;d[c+(l<<1)>>1]=(s&65535)<(k&65535)?s:k;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{k=d[f+(j<<1)>>1]|0;s=d[m+(j<<1)>>1]|0;d[c+(j<<1)>>1]=(s&65535)<(k&65535)?s:k;j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+e|0;c=c+g|0;f=f+b|0;a=a+-1|0}}return}function NH(a,c,d,e,f,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=d;m=f;n=a;o=j;while(1){if(k){p=0;do{q=b[n+p>>0]|0;r=b[l+p>>0]|0;b[m+p>>0]=r<<24>>24<q<<24>>24?r:q;p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+e|0;m=m+g|0;n=n+c|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=d;d=f;f=a;a=j;while(1){j=0;do{l=b[f+j>>0]|0;k=b[m+j>>0]|0;p=j|1;q=b[f+p>>0]|0;r=b[m+p>>0]|0;b[d+j>>0]=k<<24>>24<l<<24>>24?k:l;b[d+p>>0]=r<<24>>24<q<<24>>24?r:q;q=j|2;r=b[f+q>>0]|0;p=b[m+q>>0]|0;l=j|3;k=b[f+l>>0]|0;s=b[m+l>>0]|0;b[d+q>>0]=p<<24>>24<r<<24>>24?p:r;b[d+l>>0]=s<<24>>24<k<<24>>24?s:k;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{k=b[f+j>>0]|0;s=b[m+j>>0]|0;b[d+j>>0]=s<<24>>24<k<<24>>24?s:k;j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+e|0;d=d+g|0;f=f+c|0;a=a+-1|0}}return}function OH(a,c,d,e,f,g,i,j){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;k=j+-1|0;if(!j)return;j=i+-4|0;if((i|0)<4){l=(i|0)>0;m=d;n=f;o=a;p=k;while(1){if(l){q=0;do{r=h[o+q>>0]|0;b[n+q>>0]=r-(h[216138+((r|256)-(h[m+q>>0]|0))>>0]|0);q=q+1|0}while((q|0)!=(i|0))}if(!p)break;else{m=m+e|0;n=n+g|0;o=o+c|0;p=p+-1|0}}return}p=i&-4;o=(p|0)<(i|0);n=d;d=f;f=a;a=k;while(1){k=0;do{m=h[f+k>>0]|0;l=k|1;q=h[f+l>>0]|0;r=q-(h[216138+((q|256)-(h[n+l>>0]|0))>>0]|0)&255;b[d+k>>0]=m-(h[216138+((m|256)-(h[n+k>>0]|0))>>0]|0);b[d+l>>0]=r;r=k|2;l=h[f+r>>0]|0;m=k|3;q=h[f+m>>0]|0;s=q-(h[216138+((q|256)-(h[n+m>>0]|0))>>0]|0)&255;b[d+r>>0]=l-(h[216138+((l|256)-(h[n+r>>0]|0))>>0]|0);b[d+m>>0]=s;k=k+4|0}while((k|0)<=(j|0));if(o){k=p;do{s=h[f+k>>0]|0;b[d+k>>0]=s-(h[216138+((s|256)-(h[n+k>>0]|0))>>0]|0);k=k+1|0}while((k|0)!=(i|0))}if(!a)break;else{n=n+e|0;d=d+g|0;f=f+c|0;a=a+-1|0}}return}function PH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+64|0;e=d+48|0;g=d+32|0;h=d+16|0;i=d;zT(e,43720);j=g+8|0;f[j>>2]=0;f[j+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b;bH(h,i,g,rE()|0,43636,0,14);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function QH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+64|0;e=d+48|0;g=d+32|0;h=d+16|0;i=d;zT(e,43740);j=g+8|0;f[j>>2]=0;f[j+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=a;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=b;bH(h,i,g,rE()|0,43688,0,13);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function RH(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;g=u;u=u+16|0;h=g;zT(h,43760);SH(a,b,c,d,e,43780,0,0,0);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function SH(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0.0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0;k=u;u=u+1504|0;l=k+1448|0;m=k+1440|0;n=k+1432|0;o=k+1424|0;q=k;r=k+1368|0;s=k+1232|0;t=k+1168|0;v=k+128|0;w=k+104|0;x=k+88|0;y=k+56|0;z=k+1360|0;A=k+1352|0;B=k+1344|0;C=k+1336|0;D=k+1328|0;E=k+1320|0;F=k+1312|0;G=k+1304|0;H=k+1296|0;I=k+1288|0;K=k+1224|0;L=a;M=c;N=pD(a)|0;O=pD(c)|0;P=DD(e)|0;Q=P^1;R=oD(a,-1)|0;S=R&7;T=R>>>3&511;U=T+1|0;V=oD(c,-1)|0;W=V&7;f[m>>2]=W;X=(V>>>3&511)+1|0;Z=zD(a,-1)|0;_=zD(c,-1)|0;$=(Z|0)<3;if($)nD(n,a,-1);else{f[n>>2]=0;f[n+4>>2]=0}aa=(_|0)<3;if(aa)nD(o,c,-1);else{f[o>>2]=0;f[o+4>>2]=0}if((zD(a,-1)|0)<=2?ED(a,-1)|0:0){nD(l,a,-1);ba=f[l>>2]|0;ca=(ba|0)==1;if(!ca?(f[l+4>>2]|0)!=1:0)da=0;else if(!((N|0)!=131072&(O|0)==131072)){ea=f[l+4>>2]|0;fa=(ea|0)==1;if(!((ba|0)==(X|0)&fa|ca&(fa|(ea|0)==(X|0))))if(ca&(ea|0)==4)da=X>>>0<5&(oD(a,-1)|0)==6;else da=0;else da=1}else da=0;ga=da}else ga=0;if((zD(c,-1)|0)<=2?ED(c,-1)|0:0){nD(l,c,-1);da=f[l>>2]|0;ea=(da|0)==1;if(!ea?(f[l+4>>2]|0)!=1:0)ha=0;else if(!((N|0)==131072&(O|0)!=131072)){ca=f[l+4>>2]|0;fa=(ca|0)==1;if(!((da|0)==(U|0)&fa|ea&(fa|(ca|0)==(U|0))))if(ea&(ca|0)==4)ha=U>>>0<5&(oD(c,-1)|0)==6;else ha=0;else ha=1}else ha=0;ia=ha}else ia=0;do if((N|0)==(O|0)|(T|0)==0?!((R|0)!=(V|0)|Q|aa&($&((f[n>>2]|0)==(f[o>>2]|0)?(f[n+4>>2]|0)==(f[o+4>>2]|0):0))^1):0){if(!(hE(d)|0)?(g|0)<0|(g&7|0)==(S|0):0){if(ga^ia)break}else{if(!(hE(d)|0))break;if(ga^ia|(oD(d,-1)|0)!=(R|0))break}jE(d,a,R);do if((pD(a)|0)==65536){ha=f[a+4>>2]|0;f[l>>2]=f[ha>>2];ca=l+4|0;ea=ha+4|0;f[ca>>2]=f[ea>>2];fa=l+8|0;f[fa>>2]=f[ha+8>>2];f[l+12>>2]=f[ha+12>>2];f[l+16>>2]=f[ha+16>>2];f[l+20>>2]=f[ha+20>>2];f[l+24>>2]=f[ha+24>>2];f[l+28>>2]=f[ha+28>>2];f[l+32>>2]=f[ha+32>>2];da=f[ha+36>>2]|0;f[l+36>>2]=da;f[l+40>>2]=fa;fa=l+48|0;ba=l+44|0;f[ba>>2]=fa;f[fa>>2]=0;f[l+52>>2]=0;if(da|0){fa=da+12|0;f[fa>>2]=(f[fa>>2]|0)+1}if((f[ea>>2]|0)<3){ea=f[ha+44>>2]|0;fa=f[ba>>2]|0;f[fa>>2]=f[ea>>2];f[fa+4>>2]=f[ea+4>>2];break}else{f[ca>>2]=0;kP(l,ha);break}}else lD(l,a,-1);while(0);do if((pD(c)|0)==65536){ha=f[c+4>>2]|0;f[q>>2]=f[ha>>2];ca=q+4|0;ea=ha+4|0;f[ca>>2]=f[ea>>2];fa=q+8|0;f[fa>>2]=f[ha+8>>2];f[q+12>>2]=f[ha+12>>2];f[q+16>>2]=f[ha+16>>2];f[q+20>>2]=f[ha+20>>2];f[q+24>>2]=f[ha+24>>2];f[q+28>>2]=f[ha+28>>2];f[q+32>>2]=f[ha+32>>2];ba=f[ha+36>>2]|0;f[q+36>>2]=ba;f[q+40>>2]=fa;fa=q+48|0;da=q+44|0;f[da>>2]=fa;f[fa>>2]=0;f[q+52>>2]=0;if(ba|0){fa=ba+12|0;f[fa>>2]=(f[fa>>2]|0)+1}if((f[ea>>2]|0)<3){ea=f[ha+44>>2]|0;fa=f[da>>2]|0;f[fa>>2]=f[ea>>2];f[fa+4>>2]=f[ea+4>>2];break}else{f[ca>>2]=0;kP(q,ha);break}}else lD(q,c,-1);while(0);do if((pD(d)|0)==65536){ha=f[d+4>>2]|0;f[r>>2]=f[ha>>2];ca=r+4|0;ea=ha+4|0;f[ca>>2]=f[ea>>2];fa=r+8|0;f[fa>>2]=f[ha+8>>2];f[r+12>>2]=f[ha+12>>2];f[r+16>>2]=f[ha+16>>2];f[r+20>>2]=f[ha+20>>2];f[r+24>>2]=f[ha+24>>2];f[r+28>>2]=f[ha+28>>2];f[r+32>>2]=f[ha+32>>2];da=f[ha+36>>2]|0;f[r+36>>2]=da;f[r+40>>2]=fa;fa=r+48|0;ba=r+44|0;f[ba>>2]=fa;f[fa>>2]=0;f[r+52>>2]=0;if(da|0){fa=da+12|0;f[fa>>2]=(f[fa>>2]|0)+1}if((f[ea>>2]|0)<3){ea=f[ha+44>>2]|0;fa=f[ba>>2]|0;f[fa>>2]=f[ea>>2];f[fa+4>>2]=f[ea+4>>2];ja=r;break}else{f[ca>>2]=0;kP(r,ha);ja=r;break}}else{lD(r,d,-1);ja=r}while(0);ha=f[l>>2]|0;ca=(ha>>>3&511)+1|0;ea=f[q>>2]|0;fa=f[ja>>2]|0;ba=f[l+12>>2]|0;da=f[l+8>>2]|0;ka=Urc(ba|0,((ba|0)<0)<<31>>31|0,ca|0,0)|0;la=Urc(ka|0,J|0,da|0,((da|0)<0)<<31>>31|0)|0;if((ha&16384&ea&fa|0)!=0?(la|0)==(la|0)&(((la|0)<0)<<31>>31|0)==(J|0):0){ma=1;na=la}else{ma=da;na=Y(ba,ca)|0}ca=l+16|0;ba=l+44|0;da=l+48|0;la=q+16|0;fa=q+44|0;ea=q+48|0;ha=r+16|0;ka=r+44|0;oa=r+48|0;Rh[f[h+(S<<2)>>2]&127](f[ca>>2]|0,f[da>>2]|0,f[la>>2]|0,f[ea>>2]|0,f[ha>>2]|0,f[oa>>2]|0,na,ma,j);pa=r+36|0;qa=f[pa>>2]|0;if(qa|0?(ra=qa+12|0,qa=f[ra>>2]|0,f[ra>>2]=qa+-1,(qa|0)==1):0)lP(r);f[pa>>2]=0;pa=r+4|0;f[ha>>2]=0;f[ha+4>>2]=0;f[ha+8>>2]=0;f[ha+12>>2]=0;if((f[pa>>2]|0)>0){ha=f[r+40>>2]|0;qa=0;do{f[ha+(qa<<2)>>2]=0;qa=qa+1|0}while((qa|0)<(f[pa>>2]|0))}pa=f[ka>>2]|0;if((pa|0)!=(oa|0))tE(pa);pa=q+36|0;qa=f[pa>>2]|0;if(qa|0?(ha=qa+12|0,qa=f[ha>>2]|0,f[ha>>2]=qa+-1,(qa|0)==1):0)lP(q);f[pa>>2]=0;pa=q+4|0;f[la>>2]=0;f[la+4>>2]=0;f[la+8>>2]=0;f[la+12>>2]=0;if((f[pa>>2]|0)>0){qa=f[q+40>>2]|0;ha=0;do{f[qa+(ha<<2)>>2]=0;ha=ha+1|0}while((ha|0)<(f[pa>>2]|0))}pa=f[fa>>2]|0;if((pa|0)!=(ea|0))tE(pa);pa=l+36|0;ha=f[pa>>2]|0;do if(ha|0){qa=ha+12|0;la=f[qa>>2]|0;f[qa>>2]=la+-1;if((la|0)!=1)break;lP(l)}while(0);f[pa>>2]=0;ha=l+4|0;f[ca>>2]=0;f[ca+4>>2]=0;f[ca+8>>2]=0;f[ca+12>>2]=0;if((f[ha>>2]|0)>0){ea=f[l+40>>2]|0;fa=0;do{f[ea+(fa<<2)>>2]=0;fa=fa+1|0}while((fa|0)<(f[ha>>2]|0))}ha=f[ba>>2]|0;if((ha|0)!=(da|0))tE(ha);u=k;return}while(0);do if((Z|0)==(_|0)?(ma=f[n>>2]|0,na=f[n+4>>2]|0,(U|0)==(X|0)&((ma|0)==(f[o>>2]|0)?(na|0)==(f[o+4>>2]|0):0)):0){if((N|0)==131072?(ma|0)==1&((na|0)==4|(na|0)==1):0){sa=87;break}if((O|0)==131072?(ma|0)==1&((na|0)==4|(na|0)==1):0)sa=87;else{ta=0;ua=0;va=R;wa=S;xa=U;ya=V;za=M;Aa=L}}else sa=87;while(0);do if((sa|0)==87){a:do if((zD(a,-1)|0)<=2?ED(a,-1)|0:0){nD(l,a,-1);_=f[l>>2]|0;Z=(_|0)==1;if(!(!Z?(f[l+4>>2]|0)!=1:0))sa=91;do if((sa|0)==91?!((N|0)!=131072&(O|0)==131072):0){na=f[l+4>>2]|0;ma=(na|0)==1;if(!((_|0)==(X|0)&ma|Z&(ma|(na|0)==(X|0)))){if(!(Z&(na|0)==4))break;if(!(X>>>0<5&(oD(a,-1)|0)==6)){sa=98;break a}}na=f[n>>2]|0;ma=n+4|0;ja=f[ma>>2]|0;f[n>>2]=f[o>>2];ia=o+4|0;f[ma>>2]=f[ia>>2];f[o>>2]=na;f[ia>>2]=ja;f[m>>2]=S;Ba=1;Ca=V;Da=W;Ea=X;Fa=R;Ga=U;Ha=L;Ia=M;break a}while(0);sa=98}else sa=98;while(0);do if((sa|0)==98){if((zD(c,-1)|0)>2){f[l>>2]=0;Ja=l+4|0;f[Ja>>2]=0;Ka=YG(l,153)|0;Krc(Ka|0,195087,153)|0;SQ(-209,l,195241,194295,659)}if(!(ED(c,-1)|0)){f[l>>2]=0;Ja=l+4|0;f[Ja>>2]=0;Ka=YG(l,153)|0;Krc(Ka|0,195087,153)|0;SQ(-209,l,195241,194295,659)}nD(l,c,-1);da=f[l>>2]|0;ba=(da|0)==1;if(!(!ba?(f[l+4>>2]|0)!=1:0))sa=102;if((sa|0)==102?!((N|0)==131072&(O|0)!=131072):0){Z=f[l+4>>2]|0;_=(Z|0)==1;if((da|0)==(U|0)&_|ba&(_|(Z|0)==(U|0))){Ba=0;Ca=R;Da=S;Ea=U;Fa=V;Ga=X;Ha=M;Ia=L;break}if(ba&(Z|0)==4){if(U>>>0<5&(oD(c,-1)|0)==6){Ba=0;Ca=R;Da=S;Ea=U;Fa=V;Ga=X;Ha=M;Ia=L;break}f[l>>2]=0;Ja=l+4|0;f[Ja>>2]=0;Ka=YG(l,153)|0;Krc(Ka|0,195087,153)|0;SQ(-209,l,195241,194295,659)}}f[l>>2]=0;Ja=l+4|0;f[Ja>>2]=0;Ka=YG(l,153)|0;Krc(Ka|0,195087,153)|0;SQ(-209,l,195241,194295,659)}while(0);if((Fa|0)!=6){f[l>>2]=0;La=l+4|0;f[La>>2]=0;Ma=YG(l,55)|0;Na=Ma;Oa=195251;Pa=Na+55|0;do{b[Na>>0]=b[Oa>>0]|0;Na=Na+1|0;Oa=Oa+1|0}while((Na|0)<(Pa|0));SQ(-215,l,195241,194295,661)}Z=o+4|0;switch(f[Z>>2]|0){case 4:case 1:break;default:{f[l>>2]=0;La=l+4|0;f[La>>2]=0;Ma=YG(l,55)|0;Na=Ma;Oa=195251;Pa=Na+55|0;do{b[Na>>0]=b[Oa>>0]|0;Na=Na+1|0;Oa=Oa+1|0}while((Na|0)<(Pa|0));SQ(-215,l,195241,194295,661)}}if(i){f[m>>2]=6;ta=1;ua=Ba<<24>>24!=0;va=Ca;wa=Da;xa=Ea;ya=6;za=Ha;Aa=Ia;break}ba=Ha;do if((pD(ba)|0)==65536){_=f[ba+4>>2]|0;f[l>>2]=f[_>>2];da=l+4|0;ja=_+4|0;f[da>>2]=f[ja>>2];ia=l+8|0;f[ia>>2]=f[_+8>>2];f[l+12>>2]=f[_+12>>2];na=l+16|0;f[na>>2]=f[_+16>>2];f[l+20>>2]=f[_+20>>2];f[l+24>>2]=f[_+24>>2];f[l+28>>2]=f[_+28>>2];f[l+32>>2]=f[_+32>>2];ma=f[_+36>>2]|0;f[l+36>>2]=ma;f[l+40>>2]=ia;ia=l+48|0;ga=l+44|0;f[ga>>2]=ia;f[ia>>2]=0;f[l+52>>2]=0;if(ma|0){ia=ma+12|0;f[ia>>2]=(f[ia>>2]|0)+1}if((f[ja>>2]|0)<3){ja=f[_+44>>2]|0;ia=f[ga>>2]|0;f[ia>>2]=f[ja>>2];f[ia+4>>2]=f[ja+4>>2];Qa=ga;Ra=na;break}else{f[da>>2]=0;kP(l,_);Qa=ga;Ra=na;break}}else{lD(l,ba,-1);Qa=l+44|0;Ra=l+16|0}while(0);ba=f[Ra>>2]|0;na=(f[o>>2]|0)==1&(f[Z>>2]|0)==1?Ga:Ea;ga=0;_=-2147483648;da=2147483647;while(1){Sa=+p[ba+(ga<<3)>>3];ja=V9b(Sa)|0;if(+(ja|0)!=Sa){sa=126;break}_=(_|0)<(ja|0)?ja:_;da=(da|0)>(ja|0)?ja:da;ga=ga+1|0;if((ga|0)>=(na|0)){sa=123;break}}if((sa|0)==123){na=(da|0)>-1;if(!(na&(_|0)<256))if((da|0)>-129&(_|0)<128)Ta=1;else Ta=na&(_|0)<65536?2:(da|0)>-32769&(_|0)<32768?3:4;else Ta=0}else if((sa|0)==126){f[m>>2]=6;Ta=Da>>>0<4|(Da|0)==5?5:6}f[m>>2]=Ta;na=l+36|0;ga=f[na>>2]|0;if(ga|0?(ba=ga+12|0,ga=f[ba>>2]|0,f[ba>>2]=ga+-1,(ga|0)==1):0)lP(l);f[na>>2]=0;na=l+4|0;f[Ra>>2]=0;f[Ra+4>>2]=0;f[Ra+8>>2]=0;f[Ra+12>>2]=0;if((f[na>>2]|0)>0){ga=f[l+40>>2]|0;ba=0;do{f[ga+(ba<<2)>>2]=0;ba=ba+1|0}while((ba|0)<(f[na>>2]|0))}na=f[Qa>>2]|0;if((na|0)!=(l+48|0))tE(na);ta=1;ua=Ba<<24>>24!=0;va=Ca;wa=Da;xa=Ea;ya=6;za=Ha;Aa=Ia}while(0);do if((g|0)<0){if(hE(d)|0){Ua=oD(d,-1)|0;break}if((va|0)==(ya|0)|ta)Ua=va;else{f[l>>2]=0;f[l+4>>2]=0;Krc(YG(l,136)|0,195307,136)|0;SQ(-5,l,195241,194295,683)}}else Ua=g;while(0);g=Ua&7;Ia=f[m>>2]|0;do if(!((wa|0)==(Ia|0)&(g|0)==(wa|0))){if(i){m=(Ia|0)>5?Ia:5;Ha=(wa|0)<(m|0)?m:wa;Va=(Ha|0)<(g|0)?g:Ha;break}if((wa|0)<2&(Ia|0)<2)Wa=3;else Wa=(wa|0)<5&(Ia|0)<5?4:(wa|0)<(Ia|0)?Ia:wa;Ha=(Wa|0)<(g|0)?g:Wa;if(g>>>0<5)Va=(wa|0)<5|(Ia|0)<5?4:Ha;else Va=Ha}else Va=wa;while(0);wa=(xa<<3)+-8|0;Ia=g|wa;g=Va&7;Wa=g|wa;do if(P)jE(d,Aa,Ia);else{if((oD(e,-1)|0|1|0)!=1){f[l>>2]=0;Xa=l+4|0;f[Xa>>2]=0;Ya=YG(l,64)|0;Na=Ya;Oa=195444;Pa=Na+64|0;do{b[Na>>0]=b[Oa>>0]|0;Na=Na+1|0;Oa=Oa+1|0}while((Na|0)<(Pa|0));SQ(-215,l,195241,194295,715)}i=Aa;if(!(yD(e,i)|0)){f[l>>2]=0;Xa=l+4|0;f[Xa>>2]=0;Ya=YG(l,64)|0;Na=Ya;Oa=195444;Pa=Na+64|0;do{b[Na>>0]=b[Oa>>0]|0;Na=Na+1|0;Oa=Oa+1|0}while((Na|0)<(Pa|0));SQ(-215,l,195241,194295,715)}if(yD(d,i)|0){Ha=(oD(d,-1)|0)==(Ia|0);jE(d,i,Ia);if(Ha)break}else jE(d,i,Ia);p[q>>3]=0.0;f[l>>2]=-1056833530;f[l+4>>2]=q;f[l+8>>2]=1;f[l+12>>2]=1;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;mE(d,l,r)}while(0);if((va|0)==(Wa|0))Za=0;else Za=PN(va,Wa)|0;if((ya|0)!=(va|0))if((ya|0)==(Wa|0))_a=0;else _a=PN(ya,Wa)|0;else _a=Za;if((Ia|0)==(Wa|0))$a=0;else $a=PN(Wa,Ia)|0;Ia=(va>>>3&511)+1<<(47696>>>(va<<1&14)&3);va=(ya>>>3&511)+1<<(47696>>>(ya<<1&14)&3);ya=(wa>>>3&511)+1|0;wa=ya<<(47696>>>(Ua<<1&14)&3);f[l>>2]=wa;Ua=ya<<(47696>>>(Va<<1&14)&3);Va=((Ua+1023|0)>>>0)/(Ua>>>0)|0;ya=iT(wa)|0;wa=Aa;do if((pD(wa)|0)==65536){Aa=f[wa+4>>2]|0;f[q>>2]=f[Aa>>2];Oa=q+4|0;Na=Aa+4|0;f[Oa>>2]=f[Na>>2];Pa=q+8|0;f[Pa>>2]=f[Aa+8>>2];f[q+12>>2]=f[Aa+12>>2];f[q+16>>2]=f[Aa+16>>2];f[q+20>>2]=f[Aa+20>>2];f[q+24>>2]=f[Aa+24>>2];f[q+28>>2]=f[Aa+28>>2];f[q+32>>2]=f[Aa+32>>2];Ya=f[Aa+36>>2]|0;f[q+36>>2]=Ya;f[q+40>>2]=Pa;Pa=q+48|0;Xa=q+44|0;f[Xa>>2]=Pa;f[Pa>>2]=0;f[q+52>>2]=0;if(Ya|0){Pa=Ya+12|0;f[Pa>>2]=(f[Pa>>2]|0)+1}if((f[Na>>2]|0)<3){Na=f[Aa+44>>2]|0;Pa=f[Xa>>2]|0;f[Pa>>2]=f[Na>>2];f[Pa+4>>2]=f[Na+4>>2];break}else{f[Oa>>2]=0;kP(q,Aa);break}}else lD(q,wa,-1);while(0);wa=za;do if((pD(wa)|0)==65536){za=f[wa+4>>2]|0;f[r>>2]=f[za>>2];Aa=r+4|0;Oa=za+4|0;f[Aa>>2]=f[Oa>>2];Na=r+8|0;f[Na>>2]=f[za+8>>2];f[r+12>>2]=f[za+12>>2];f[r+16>>2]=f[za+16>>2];f[r+20>>2]=f[za+20>>2];f[r+24>>2]=f[za+24>>2];f[r+28>>2]=f[za+28>>2];f[r+32>>2]=f[za+32>>2];Pa=f[za+36>>2]|0;f[r+36>>2]=Pa;f[r+40>>2]=Na;Na=r+48|0;Xa=r+44|0;f[Xa>>2]=Na;f[Na>>2]=0;f[r+52>>2]=0;if(Pa|0){Na=Pa+12|0;f[Na>>2]=(f[Na>>2]|0)+1}if((f[Oa>>2]|0)<3){Oa=f[za+44>>2]|0;Na=f[Xa>>2]|0;f[Na>>2]=f[Oa>>2];f[Na+4>>2]=f[Oa+4>>2];break}else{f[Aa>>2]=0;kP(r,za);break}}else lD(r,wa,-1);while(0);do if((pD(d)|0)==65536){wa=f[d+4>>2]|0;f[s>>2]=f[wa>>2];za=s+4|0;Aa=wa+4|0;f[za>>2]=f[Aa>>2];Oa=s+8|0;f[Oa>>2]=f[wa+8>>2];f[s+12>>2]=f[wa+12>>2];f[s+16>>2]=f[wa+16>>2];f[s+20>>2]=f[wa+20>>2];f[s+24>>2]=f[wa+24>>2];f[s+28>>2]=f[wa+28>>2];f[s+32>>2]=f[wa+32>>2];Na=f[wa+36>>2]|0;f[s+36>>2]=Na;f[s+40>>2]=Oa;Oa=s+48|0;Xa=s+44|0;f[Xa>>2]=Oa;f[Oa>>2]=0;f[s+52>>2]=0;if(Na|0){Oa=Na+12|0;f[Oa>>2]=(f[Oa>>2]|0)+1}if((f[Aa>>2]|0)<3){Aa=f[wa+44>>2]|0;Oa=f[Xa>>2]|0;f[Oa>>2]=f[Aa>>2];f[Oa+4>>2]=f[Aa+4>>2];break}else{f[za>>2]=0;kP(s,wa);break}}else lD(s,d,-1);while(0);do if((pD(e)|0)==65536){d=f[e+4>>2]|0;f[t>>2]=f[d>>2];wa=t+4|0;za=d+4|0;f[wa>>2]=f[za>>2];Aa=t+8|0;f[Aa>>2]=f[d+8>>2];f[t+12>>2]=f[d+12>>2];f[t+16>>2]=f[d+16>>2];f[t+20>>2]=f[d+20>>2];f[t+24>>2]=f[d+24>>2];f[t+28>>2]=f[d+28>>2];f[t+32>>2]=f[d+32>>2];Oa=f[d+36>>2]|0;f[t+36>>2]=Oa;f[t+40>>2]=Aa;Aa=t+48|0;Xa=t+44|0;f[Xa>>2]=Aa;f[Aa>>2]=0;f[t+52>>2]=0;if(Oa|0){Aa=Oa+12|0;f[Aa>>2]=(f[Aa>>2]|0)+1}if((f[za>>2]|0)<3){za=f[d+44>>2]|0;Aa=f[Xa>>2]|0;f[Aa>>2]=f[za>>2];f[Aa+4>>2]=f[za+4>>2];break}else{f[wa>>2]=0;kP(t,d);break}}else lD(t,e,-1);while(0);e=v+8|0;f[v>>2]=e;d=v+4|0;f[d>>2]=1032;wa=(Za|0)!=0;za=(_a|0)!=0;Aa=($a|0)!=0;Xa=(ta|za?Ua:0)+(wa?Ua:0)+(Aa?Ua:0)+(P?0:f[l>>2]|0)|0;Oa=f[h+(g<<2)>>2]|0;if(ta){f[w>>2]=q;f[w+4>>2]=s;f[w+8>>2]=t;f[w+12>>2]=0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;IN(y,w,x,-1);ta=f[y+20>>2]|0;g=Va>>>0<ta>>>0?Va:ta;h=(Y(g,Xa)|0)+64|0;do if((f[d>>2]|0)>>>0<h>>>0){Na=f[v>>2]|0;if((Na|0)!=(e|0)){if(Na|0)Fmc(Na);f[v>>2]=e;f[d>>2]=1032}f[d>>2]=h;if(h>>>0<=1032){ab=e;break}Na=Dmc(h)|0;f[v>>2]=Na;ab=Na}else{f[d>>2]=h;ab=f[v>>2]|0}while(0);h=Y(g,Ua)|0;Na=wa?ab+h+15&-16:ab;Pa=wa?ab:0;ab=Na+h+15&-16;Ya=P?ab:Aa?ab+h+15&-16:ab;_G(r,Wa,Na,g);Wa=y+16|0;h=(ta|0)==0;Ha=Na;Na=x+4|0;m=F+4|0;Ea=Pa;Da=Aa|Q;Ca=G+4|0;Ba=I+4|0;Qa=x+8|0;Ra=K+4|0;Ta=H+4|0;sa=0;while(1){if(sa>>>0>=(f[Wa>>2]|0)>>>0)break;if(!h){Ga=0;o=f[x>>2]|0;Ma=f[Na>>2]|0;do{La=ta-Ga|0;Fa=La>>>0>g>>>0?g:La;La=Y(Fa,xa)|0;if(wa){f[F>>2]=La;f[m>>2]=1;Fh[Za&255](o,1,0,1,Pa,1,F,0);bb=Ea}else bb=o;Ka=ua?Ha:bb;Ja=ua?bb:Ha;do if(Da){Rh[Oa&127](Ka,1,Ja,1,ab,1,La,1,j);if(P){f[G>>2]=La;f[Ca>>2]=1;Fh[$a&255](ab,1,0,1,Ma,1,G,0);break}if(Aa){f[I>>2]=La;f[Ba>>2]=1;Fh[$a&255](ab,1,0,1,Ya,1,I,0);L=f[Qa>>2]|0;f[K>>2]=Fa;f[Ra>>2]=1;Fh[ya&255](Ya,1,L,1,Ma,1,K,l)}else{L=f[Qa>>2]|0;f[H>>2]=Fa;f[Ta>>2]=1;Fh[ya&255](ab,1,L,1,Ma,1,H,l)}f[Qa>>2]=(f[Qa>>2]|0)+Fa}else Rh[Oa&127](Ka,1,Ja,1,Ma,1,La,1,j);while(0);La=Y(Fa,Ia)|0;o=(f[x>>2]|0)+La|0;f[x>>2]=o;La=Y(f[l>>2]|0,Fa)|0;Ma=(f[Na>>2]|0)+La|0;f[Na>>2]=Ma;Ga=Ga+g|0}while(ta>>>0>Ga>>>0)}JN(y)|0;sa=sa+1|0}}else{f[w>>2]=q;f[w+4>>2]=r;f[w+8>>2]=s;f[w+12>>2]=t;f[w+16>>2]=0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;IN(y,w,x,-1);w=f[y+20>>2]|0;sa=(wa|Q|za|Aa)&Va>>>0<w>>>0?Va:w;Va=(Y(sa,Xa)|0)+64|0;do if((f[d>>2]|0)>>>0<Va>>>0){Xa=f[v>>2]|0;if((Xa|0)!=(e|0)){if(Xa|0)Fmc(Xa);f[v>>2]=e;f[d>>2]=1032}f[d>>2]=Va;if(Va>>>0<=1032){cb=e;break}Xa=Dmc(Va)|0;f[v>>2]=Xa;cb=Xa}else{f[d>>2]=Va;cb=f[v>>2]|0}while(0);Va=Y(sa,Ua)|0;Ua=wa?cb+Va+15&-16:cb;Xa=wa?cb:0;ta=za?Ua+Va+15&-16:Ua;g=za?Ua:0;Ua=P?ta:Aa?ta+Va+15&-16:ta;Va=y+16|0;Na=(w|0)==0;Qa=x+4|0;H=x+8|0;ab=z+4|0;Ta=za^1;za=Aa|Q;Q=B+4|0;K=D+4|0;Ya=x+12|0;Ra=E+4|0;I=C+4|0;Ba=A+4|0;G=0;while(1){if(G>>>0>=(f[Va>>2]|0)>>>0)break;if(!Na){Ca=0;Da=f[x>>2]|0;Ha=f[Qa>>2]|0;bb=f[H>>2]|0;do{ua=w-Ca|0;Ea=ua>>>0>sa>>>0?sa:ua;ua=Y(Ea,xa)|0;if(wa){f[z>>2]=ua;f[ab>>2]=1;Fh[Za&255](Da,1,0,1,Xa,1,z,0);db=cb;eb=f[x>>2]|0;fb=f[Qa>>2]|0}else{db=Da;eb=Da;fb=Ha}F=(eb|0)==(fb|0);if(F|Ta)gb=F?db:Ha;else{f[A>>2]=ua;f[Ba>>2]=1;Fh[_a&255](Ha,1,0,1,g,1,A,0);gb=g}do if(za){Rh[Oa&127](db,1,gb,1,ta,0,ua,1,j);if(P){f[B>>2]=ua;f[Q>>2]=1;Fh[$a&255](ta,1,0,1,bb,1,B,0);break}if(Aa){f[D>>2]=ua;f[K>>2]=1;Fh[$a&255](ta,1,0,1,Ua,1,D,0);F=f[Ya>>2]|0;f[E>>2]=Ea;f[Ra>>2]=1;Fh[ya&255](Ua,1,F,1,bb,1,E,l)}else{F=f[Ya>>2]|0;f[C>>2]=Ea;f[I>>2]=1;Fh[ya&255](ta,1,F,1,bb,1,C,l)}f[Ya>>2]=(f[Ya>>2]|0)+Ea}else Rh[Oa&127](db,1,gb,1,bb,1,ua,1,j);while(0);ua=Y(Ea,Ia)|0;Da=(f[x>>2]|0)+ua|0;f[x>>2]=Da;ua=Y(Ea,va)|0;Ha=(f[Qa>>2]|0)+ua|0;f[Qa>>2]=Ha;ua=Y(f[l>>2]|0,Ea)|0;bb=(f[H>>2]|0)+ua|0;f[H>>2]=bb;Ca=Ca+sa|0}while(w>>>0>Ca>>>0)}JN(y)|0;G=G+1|0}}G=f[v>>2]|0;if((G|0)!=(e|0)){if(G|0)Fmc(G);f[v>>2]=e;f[d>>2]=1032}d=t+36|0;e=f[d>>2]|0;do if(e|0){v=e+12|0;G=f[v>>2]|0;f[v>>2]=G+-1;if((G|0)!=1)break;lP(t)}while(0);f[d>>2]=0;d=t+16|0;e=t+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[e>>2]|0)>0){d=f[t+40>>2]|0;G=0;do{f[d+(G<<2)>>2]=0;G=G+1|0}while((G|0)<(f[e>>2]|0))}e=f[t+44>>2]|0;if((e|0)!=(t+48|0))tE(e);e=s+36|0;t=f[e>>2]|0;do if(t|0){G=t+12|0;d=f[G>>2]|0;f[G>>2]=d+-1;if((d|0)!=1)break;lP(s)}while(0);f[e>>2]=0;e=s+16|0;t=s+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[t>>2]|0)>0){e=f[s+40>>2]|0;d=0;do{f[e+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[t>>2]|0))}t=f[s+44>>2]|0;if((t|0)!=(s+48|0))tE(t);t=r+36|0;s=f[t>>2]|0;do if(s|0){d=s+12|0;e=f[d>>2]|0;f[d>>2]=e+-1;if((e|0)!=1)break;lP(r)}while(0);f[t>>2]=0;t=r+16|0;s=r+4|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[s>>2]|0)>0){t=f[r+40>>2]|0;e=0;do{f[t+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[s>>2]|0))}s=f[r+44>>2]|0;if((s|0)!=(r+48|0))tE(s);s=q+36|0;r=f[s>>2]|0;do if(r|0){e=r+12|0;t=f[e>>2]|0;f[e>>2]=t+-1;if((t|0)!=1)break;lP(q)}while(0);f[s>>2]=0;s=q+16|0;r=q+4|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[r>>2]|0)>0){s=f[q+40>>2]|0;t=0;do{f[s+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[r>>2]|0))}r=f[q+44>>2]|0;if((r|0)!=(q+48|0))tE(r);u=k;return}function TH(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;eI(a,b,c,d,e,f,g,h);return}function UH(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;dI(a,b,c,d,e,f,g,h);return}function VH(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;cI(a,b,c,d,e,f,g,h);return}function WH(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;bI(a,b,c,d,e,f,g,h);return}function XH(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;aI(a,b,c,d,e,f,g,h);return}function YH(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;$H(a,b,c,d,e,f,g,h);return}function ZH(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;_H(a,b,c,d,e,f,g,h);return}function _H(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0.0;i=h+-1|0;if(!h)return;h=g+-4|0;if((g|0)<4){j=(g|0)>0;k=c;l=e;m=a;n=i;while(1){if(j){o=0;do{p[l+(o<<3)>>3]=+p[m+(o<<3)>>3]+ +p[k+(o<<3)>>3];o=o+1|0}while((o|0)!=(g|0))}if(!n)break;else{k=k+d|0;l=l+f|0;m=m+b|0;n=n+-1|0}}return}n=g&-4;m=(n|0)<(g|0);l=c;c=e;e=a;a=i;while(1){i=0;do{k=i|1;q=+p[e+(k<<3)>>3]+ +p[l+(k<<3)>>3];p[c+(i<<3)>>3]=+p[e+(i<<3)>>3]+ +p[l+(i<<3)>>3];p[c+(k<<3)>>3]=q;k=i|2;j=i|3;q=+p[e+(j<<3)>>3]+ +p[l+(j<<3)>>3];p[c+(k<<3)>>3]=+p[e+(k<<3)>>3]+ +p[l+(k<<3)>>3];p[c+(j<<3)>>3]=q;i=i+4|0}while((i|0)<=(h|0));if(m){i=n;do{p[c+(i<<3)>>3]=+p[e+(i<<3)>>3]+ +p[l+(i<<3)>>3];i=i+1|0}while((i|0)!=(g|0))}if(!a)break;else{l=l+d|0;c=c+f|0;e=e+b|0;a=a+-1|0}}return}function $H(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0.0;i=h+-1|0;if(!h)return;h=g+-4|0;if((g|0)<4){j=(g|0)>0;k=c;l=e;m=a;o=i;while(1){if(j){p=0;do{n[l+(p<<2)>>2]=+n[m+(p<<2)>>2]+ +n[k+(p<<2)>>2];p=p+1|0}while((p|0)!=(g|0))}if(!o)break;else{k=k+d|0;l=l+f|0;m=m+b|0;o=o+-1|0}}return}o=g&-4;m=(o|0)<(g|0);l=c;c=e;e=a;a=i;while(1){i=0;do{k=i|1;q=+n[e+(k<<2)>>2]+ +n[l+(k<<2)>>2];n[c+(i<<2)>>2]=+n[e+(i<<2)>>2]+ +n[l+(i<<2)>>2];n[c+(k<<2)>>2]=q;k=i|2;j=i|3;q=+n[e+(j<<2)>>2]+ +n[l+(j<<2)>>2];n[c+(k<<2)>>2]=+n[e+(k<<2)>>2]+ +n[l+(k<<2)>>2];n[c+(j<<2)>>2]=q;i=i+4|0}while((i|0)<=(h|0));if(m){i=o;do{n[c+(i<<2)>>2]=+n[e+(i<<2)>>2]+ +n[l+(i<<2)>>2];i=i+1|0}while((i|0)!=(g|0))}if(!a)break;else{l=l+d|0;c=c+f|0;e=e+b|0;a=a+-1|0}}return}function aI(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=c;m=e;n=a;o=j;while(1){if(k){p=0;do{f[m+(p<<2)>>2]=(f[l+(p<<2)>>2]|0)+(f[n+(p<<2)>>2]|0);p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+d|0;m=m+g|0;n=n+b|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=c;c=e;e=a;a=j;while(1){j=0;do{l=j|1;k=(f[m+(l<<2)>>2]|0)+(f[e+(l<<2)>>2]|0)|0;f[c+(j<<2)>>2]=(f[m+(j<<2)>>2]|0)+(f[e+(j<<2)>>2]|0);f[c+(l<<2)>>2]=k;k=j|2;l=j|3;p=(f[m+(l<<2)>>2]|0)+(f[e+(l<<2)>>2]|0)|0;f[c+(k<<2)>>2]=(f[m+(k<<2)>>2]|0)+(f[e+(k<<2)>>2]|0);f[c+(l<<2)>>2]=p;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{f[c+(j<<2)>>2]=(f[m+(j<<2)>>2]|0)+(f[e+(j<<2)>>2]|0);j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+d|0;c=c+g|0;e=e+b|0;a=a+-1|0}}return}function bI(a,b,c,e,f,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=c;m=f;n=a;o=j;while(1){if(k){p=0;do{q=(d[l+(p<<1)>>1]|0)+(d[n+(p<<1)>>1]|0)|0;d[m+(p<<1)>>1]=(q+32768|0)>>>0<65536?q:(q|0)>0?32767:32768;p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+e|0;m=m+g|0;n=n+b|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=c;c=f;f=a;a=j;while(1){j=0;do{l=(d[m+(j<<1)>>1]|0)+(d[f+(j<<1)>>1]|0)|0;k=j|1;p=(d[m+(k<<1)>>1]|0)+(d[f+(k<<1)>>1]|0)|0;d[c+(j<<1)>>1]=(l+32768|0)>>>0<65536?l:(l|0)>0?32767:32768;d[c+(k<<1)>>1]=(p+32768|0)>>>0<65536?p:(p|0)>0?32767:32768;p=j|2;k=(d[m+(p<<1)>>1]|0)+(d[f+(p<<1)>>1]|0)|0;l=j|3;q=(d[m+(l<<1)>>1]|0)+(d[f+(l<<1)>>1]|0)|0;d[c+(p<<1)>>1]=(k+32768|0)>>>0<65536?k:(k|0)>0?32767:32768;d[c+(l<<1)>>1]=(q+32768|0)>>>0<65536?q:(q|0)>0?32767:32768;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{q=(d[m+(j<<1)>>1]|0)+(d[f+(j<<1)>>1]|0)|0;d[c+(j<<1)>>1]=(q+32768|0)>>>0<65536?q:(q|0)>0?32767:32768;j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+e|0;c=c+g|0;f=f+b|0;a=a+-1|0}}return}function cI(a,b,c,e,f,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;k=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){l=(h|0)>0;m=c;n=f;o=a;p=k;while(1){if(l){q=0;do{r=(j[m+(q<<1)>>1]|0)+(j[o+(q<<1)>>1]|0)|0;d[n+(q<<1)>>1]=r>>>0<65536?r:r|0?65535:0;q=q+1|0}while((q|0)!=(h|0))}if(!p)break;else{m=m+e|0;n=n+g|0;o=o+b|0;p=p+-1|0}}return}p=h&-4;o=(p|0)<(h|0);n=c;c=f;f=a;a=k;while(1){k=0;do{m=(j[n+(k<<1)>>1]|0)+(j[f+(k<<1)>>1]|0)|0;l=k|1;q=(j[n+(l<<1)>>1]|0)+(j[f+(l<<1)>>1]|0)|0;d[c+(k<<1)>>1]=m>>>0<65536?m:m|0?65535:0;d[c+(l<<1)>>1]=q>>>0<65536?q:q|0?65535:0;q=k|2;l=(j[n+(q<<1)>>1]|0)+(j[f+(q<<1)>>1]|0)|0;m=k|3;r=(j[n+(m<<1)>>1]|0)+(j[f+(m<<1)>>1]|0)|0;d[c+(q<<1)>>1]=l>>>0<65536?l:l|0?65535:0;d[c+(m<<1)>>1]=r>>>0<65536?r:r|0?65535:0;k=k+4|0}while((k|0)<=(i|0));if(o){k=p;do{r=(j[n+(k<<1)>>1]|0)+(j[f+(k<<1)>>1]|0)|0;d[c+(k<<1)>>1]=r>>>0<65536?r:r|0?65535:0;k=k+1|0}while((k|0)!=(h|0))}if(!a)break;else{n=n+e|0;c=c+g|0;f=f+b|0;a=a+-1|0}}return}function dI(a,c,d,e,f,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=d;m=f;n=a;o=j;while(1){if(k){p=0;do{q=(b[l+p>>0]|0)+(b[n+p>>0]|0)|0;b[m+p>>0]=(q+128|0)>>>0<256?q:(q|0)>0?127:128;p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+e|0;m=m+g|0;n=n+c|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=d;d=f;f=a;a=j;while(1){j=0;do{l=(b[m+j>>0]|0)+(b[f+j>>0]|0)|0;k=j|1;p=(b[m+k>>0]|0)+(b[f+k>>0]|0)|0;b[d+j>>0]=(l+128|0)>>>0<256?l:(l|0)>0?127:128;b[d+k>>0]=(p+128|0)>>>0<256?p:(p|0)>0?127:128;p=j|2;k=(b[m+p>>0]|0)+(b[f+p>>0]|0)|0;l=j|3;q=(b[m+l>>0]|0)+(b[f+l>>0]|0)|0;b[d+p>>0]=(k+128|0)>>>0<256?k:(k|0)>0?127:128;b[d+l>>0]=(q+128|0)>>>0<256?q:(q|0)>0?127:128;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{q=(b[m+j>>0]|0)+(b[f+j>>0]|0)|0;b[d+j>>0]=(q+128|0)>>>0<256?q:(q|0)>0?127:128;j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+e|0;d=d+g|0;f=f+c|0;a=a+-1|0}}return}function eI(a,c,d,e,f,g,i,j){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0;k=j+-1|0;if(!j)return;j=i+-4|0;if((i|0)<4){l=(i|0)>0;m=d;n=f;o=a;p=k;while(1){if(l){q=0;do{b[n+q>>0]=b[216138+((h[o+q>>0]|0|256)+(h[m+q>>0]|0))>>0]|0;q=q+1|0}while((q|0)!=(i|0))}if(!p)break;else{m=m+e|0;n=n+g|0;o=o+c|0;p=p+-1|0}}return}p=i&-4;o=(p|0)<(i|0);n=d;d=f;f=a;a=k;while(1){k=0;do{m=k|1;l=b[216138+((h[f+m>>0]|0|256)+(h[n+m>>0]|0))>>0]|0;b[d+k>>0]=b[216138+((h[f+k>>0]|0|256)+(h[n+k>>0]|0))>>0]|0;b[d+m>>0]=l;l=k|2;m=k|3;q=b[216138+((h[f+m>>0]|0|256)+(h[n+m>>0]|0))>>0]|0;b[d+l>>0]=b[216138+((h[f+l>>0]|0|256)+(h[n+l>>0]|0))>>0]|0;b[d+m>>0]=q;k=k+4|0}while((k|0)<=(j|0));if(o){k=p;do{b[d+k>>0]=b[216138+((h[f+k>>0]|0|256)+(h[n+k>>0]|0))>>0]|0;k=k+1|0}while((k|0)!=(i|0))}if(!a)break;else{n=n+e|0;d=d+g|0;f=f+c|0;a=a+-1|0}}return}function fI(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;g=u;u=u+16|0;h=g;zT(h,43812);SH(a,b,c,d,e,43832,0,0,1);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function gI(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;tI(a,b,c,d,e,f,g,h);return}function hI(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;sI(a,b,c,d,e,f,g,h);return}function iI(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;rI(a,b,c,d,e,f,g,h);return}function jI(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;qI(a,b,c,d,e,f,g,h);return}function kI(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;pI(a,b,c,d,e,f,g,h);return}function lI(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;oI(a,b,c,d,e,f,g,h);return}function mI(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;nI(a,b,c,d,e,f,g,h);return}function nI(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0.0;i=h+-1|0;if(!h)return;h=g+-4|0;if((g|0)<4){j=(g|0)>0;k=c;l=e;m=a;n=i;while(1){if(j){o=0;do{p[l+(o<<3)>>3]=+p[m+(o<<3)>>3]-+p[k+(o<<3)>>3];o=o+1|0}while((o|0)!=(g|0))}if(!n)break;else{k=k+d|0;l=l+f|0;m=m+b|0;n=n+-1|0}}return}n=g&-4;m=(n|0)<(g|0);l=c;c=e;e=a;a=i;while(1){i=0;do{k=i|1;q=+p[e+(k<<3)>>3]-+p[l+(k<<3)>>3];p[c+(i<<3)>>3]=+p[e+(i<<3)>>3]-+p[l+(i<<3)>>3];p[c+(k<<3)>>3]=q;k=i|2;j=i|3;q=+p[e+(j<<3)>>3]-+p[l+(j<<3)>>3];p[c+(k<<3)>>3]=+p[e+(k<<3)>>3]-+p[l+(k<<3)>>3];p[c+(j<<3)>>3]=q;i=i+4|0}while((i|0)<=(h|0));if(m){i=n;do{p[c+(i<<3)>>3]=+p[e+(i<<3)>>3]-+p[l+(i<<3)>>3];i=i+1|0}while((i|0)!=(g|0))}if(!a)break;else{l=l+d|0;c=c+f|0;e=e+b|0;a=a+-1|0}}return}function oI(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0.0;i=h+-1|0;if(!h)return;h=g+-4|0;if((g|0)<4){j=(g|0)>0;k=c;l=e;m=a;o=i;while(1){if(j){p=0;do{n[l+(p<<2)>>2]=+n[m+(p<<2)>>2]-+n[k+(p<<2)>>2];p=p+1|0}while((p|0)!=(g|0))}if(!o)break;else{k=k+d|0;l=l+f|0;m=m+b|0;o=o+-1|0}}return}o=g&-4;m=(o|0)<(g|0);l=c;c=e;e=a;a=i;while(1){i=0;do{k=i|1;q=+n[e+(k<<2)>>2]-+n[l+(k<<2)>>2];n[c+(i<<2)>>2]=+n[e+(i<<2)>>2]-+n[l+(i<<2)>>2];n[c+(k<<2)>>2]=q;k=i|2;j=i|3;q=+n[e+(j<<2)>>2]-+n[l+(j<<2)>>2];n[c+(k<<2)>>2]=+n[e+(k<<2)>>2]-+n[l+(k<<2)>>2];n[c+(j<<2)>>2]=q;i=i+4|0}while((i|0)<=(h|0));if(m){i=o;do{n[c+(i<<2)>>2]=+n[e+(i<<2)>>2]-+n[l+(i<<2)>>2];i=i+1|0}while((i|0)!=(g|0))}if(!a)break;else{l=l+d|0;c=c+f|0;e=e+b|0;a=a+-1|0}}return}function pI(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=c;m=e;n=a;o=j;while(1){if(k){p=0;do{f[m+(p<<2)>>2]=(f[n+(p<<2)>>2]|0)-(f[l+(p<<2)>>2]|0);p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+d|0;m=m+g|0;n=n+b|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=c;c=e;e=a;a=j;while(1){j=0;do{l=j|1;k=(f[e+(l<<2)>>2]|0)-(f[m+(l<<2)>>2]|0)|0;f[c+(j<<2)>>2]=(f[e+(j<<2)>>2]|0)-(f[m+(j<<2)>>2]|0);f[c+(l<<2)>>2]=k;k=j|2;l=j|3;p=(f[e+(l<<2)>>2]|0)-(f[m+(l<<2)>>2]|0)|0;f[c+(k<<2)>>2]=(f[e+(k<<2)>>2]|0)-(f[m+(k<<2)>>2]|0);f[c+(l<<2)>>2]=p;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{f[c+(j<<2)>>2]=(f[e+(j<<2)>>2]|0)-(f[m+(j<<2)>>2]|0);j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+d|0;c=c+g|0;e=e+b|0;a=a+-1|0}}return}function qI(a,b,c,e,f,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=c;m=f;n=a;o=j;while(1){if(k){p=0;do{q=(d[n+(p<<1)>>1]|0)-(d[l+(p<<1)>>1]|0)|0;d[m+(p<<1)>>1]=(q+32768|0)>>>0<65536?q:(q|0)>0?32767:32768;p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+e|0;m=m+g|0;n=n+b|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=c;c=f;f=a;a=j;while(1){j=0;do{l=(d[f+(j<<1)>>1]|0)-(d[m+(j<<1)>>1]|0)|0;k=j|1;p=(d[f+(k<<1)>>1]|0)-(d[m+(k<<1)>>1]|0)|0;d[c+(j<<1)>>1]=(l+32768|0)>>>0<65536?l:(l|0)>0?32767:32768;d[c+(k<<1)>>1]=(p+32768|0)>>>0<65536?p:(p|0)>0?32767:32768;p=j|2;k=(d[f+(p<<1)>>1]|0)-(d[m+(p<<1)>>1]|0)|0;l=j|3;q=(d[f+(l<<1)>>1]|0)-(d[m+(l<<1)>>1]|0)|0;d[c+(p<<1)>>1]=(k+32768|0)>>>0<65536?k:(k|0)>0?32767:32768;d[c+(l<<1)>>1]=(q+32768|0)>>>0<65536?q:(q|0)>0?32767:32768;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{q=(d[f+(j<<1)>>1]|0)-(d[m+(j<<1)>>1]|0)|0;d[c+(j<<1)>>1]=(q+32768|0)>>>0<65536?q:(q|0)>0?32767:32768;j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+e|0;c=c+g|0;f=f+b|0;a=a+-1|0}}return}function rI(a,b,c,e,f,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;k=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){l=(h|0)>0;m=c;n=f;o=a;p=k;while(1){if(l){q=0;do{r=(j[o+(q<<1)>>1]|0)-(j[m+(q<<1)>>1]|0)|0;d[n+(q<<1)>>1]=r>>>0<65536?r:(r|0)>0?65535:0;q=q+1|0}while((q|0)!=(h|0))}if(!p)break;else{m=m+e|0;n=n+g|0;o=o+b|0;p=p+-1|0}}return}p=h&-4;o=(p|0)<(h|0);n=c;c=f;f=a;a=k;while(1){k=0;do{m=(j[f+(k<<1)>>1]|0)-(j[n+(k<<1)>>1]|0)|0;l=k|1;q=(j[f+(l<<1)>>1]|0)-(j[n+(l<<1)>>1]|0)|0;d[c+(k<<1)>>1]=m>>>0<65536?m:(m|0)>0?65535:0;d[c+(l<<1)>>1]=q>>>0<65536?q:(q|0)>0?65535:0;q=k|2;l=(j[f+(q<<1)>>1]|0)-(j[n+(q<<1)>>1]|0)|0;m=k|3;r=(j[f+(m<<1)>>1]|0)-(j[n+(m<<1)>>1]|0)|0;d[c+(q<<1)>>1]=l>>>0<65536?l:(l|0)>0?65535:0;d[c+(m<<1)>>1]=r>>>0<65536?r:(r|0)>0?65535:0;k=k+4|0}while((k|0)<=(i|0));if(o){k=p;do{r=(j[f+(k<<1)>>1]|0)-(j[n+(k<<1)>>1]|0)|0;d[c+(k<<1)>>1]=r>>>0<65536?r:(r|0)>0?65535:0;k=k+1|0}while((k|0)!=(h|0))}if(!a)break;else{n=n+e|0;c=c+g|0;f=f+b|0;a=a+-1|0}}return}function sI(a,c,d,e,f,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=d;m=f;n=a;o=j;while(1){if(k){p=0;do{q=(b[n+p>>0]|0)-(b[l+p>>0]|0)|0;b[m+p>>0]=(q+128|0)>>>0<256?q:(q|0)>0?127:128;p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+e|0;m=m+g|0;n=n+c|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=d;d=f;f=a;a=j;while(1){j=0;do{l=(b[f+j>>0]|0)-(b[m+j>>0]|0)|0;k=j|1;p=(b[f+k>>0]|0)-(b[m+k>>0]|0)|0;b[d+j>>0]=(l+128|0)>>>0<256?l:(l|0)>0?127:128;b[d+k>>0]=(p+128|0)>>>0<256?p:(p|0)>0?127:128;p=j|2;k=(b[f+p>>0]|0)-(b[m+p>>0]|0)|0;l=j|3;q=(b[f+l>>0]|0)-(b[m+l>>0]|0)|0;b[d+p>>0]=(k+128|0)>>>0<256?k:(k|0)>0?127:128;b[d+l>>0]=(q+128|0)>>>0<256?q:(q|0)>0?127:128;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{q=(b[f+j>>0]|0)-(b[m+j>>0]|0)|0;b[d+j>>0]=(q+128|0)>>>0<256?q:(q|0)>0?127:128;j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+e|0;d=d+g|0;f=f+c|0;a=a+-1|0}}return}function tI(a,c,d,e,f,g,i,j){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0;k=j+-1|0;if(!j)return;j=i+-4|0;if((i|0)<4){l=(i|0)>0;m=d;n=f;o=a;p=k;while(1){if(l){q=0;do{b[n+q>>0]=b[216138+((h[o+q>>0]|0|256)-(h[m+q>>0]|0))>>0]|0;q=q+1|0}while((q|0)!=(i|0))}if(!p)break;else{m=m+e|0;n=n+g|0;o=o+c|0;p=p+-1|0}}return}p=i&-4;o=(p|0)<(i|0);n=d;d=f;f=a;a=k;while(1){k=0;do{m=k|1;l=b[216138+((h[f+m>>0]|0|256)-(h[n+m>>0]|0))>>0]|0;b[d+k>>0]=b[216138+((h[f+k>>0]|0|256)-(h[n+k>>0]|0))>>0]|0;b[d+m>>0]=l;l=k|2;m=k|3;q=b[216138+((h[f+m>>0]|0|256)-(h[n+m>>0]|0))>>0]|0;b[d+l>>0]=b[216138+((h[f+l>>0]|0|256)-(h[n+l>>0]|0))>>0]|0;b[d+m>>0]=q;k=k+4|0}while((k|0)<=(j|0));if(o){k=p;do{b[d+k>>0]=b[216138+((h[f+k>>0]|0|256)-(h[n+k>>0]|0))>>0]|0;k=k+1|0}while((k|0)!=(i|0))}if(!a)break;else{n=n+e|0;d=d+g|0;f=f+c|0;a=a+-1|0}}return}function uI(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;zT(e,43864);SH(a,b,c,rE()|0,-1,43884,0,0,3);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function vI(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;II(a,b,c,d,e,f,g,h);return}function wI(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;HI(a,b,c,d,e,f,g,h);return}function xI(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;GI(a,b,c,d,e,f,g,h);return}function yI(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;FI(a,b,c,d,e,f,g,h);return}function zI(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;EI(a,b,c,d,e,f,g,h);return}function AI(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;DI(a,b,c,d,e,f,g,h);return}function BI(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;CI(a,b,c,d,e,f,g,h);return}function CI(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0.0,r=0.0;i=h+-1|0;if(!h)return;h=g+-4|0;if((g|0)<4){j=(g|0)>0;k=c;l=e;m=a;n=i;while(1){if(j){o=0;do{q=+L(+(+p[m+(o<<3)>>3]-+p[k+(o<<3)>>3]));p[l+(o<<3)>>3]=q;o=o+1|0}while((o|0)!=(g|0))}if(!n)break;else{k=k+d|0;l=l+f|0;m=m+b|0;n=n+-1|0}}return}n=g&-4;m=(n|0)<(g|0);l=c;c=e;e=a;a=i;while(1){i=0;do{q=+L(+(+p[e+(i<<3)>>3]-+p[l+(i<<3)>>3]));k=i|1;r=+L(+(+p[e+(k<<3)>>3]-+p[l+(k<<3)>>3]));p[c+(i<<3)>>3]=q;p[c+(k<<3)>>3]=r;k=i|2;r=+L(+(+p[e+(k<<3)>>3]-+p[l+(k<<3)>>3]));j=i|3;q=+L(+(+p[e+(j<<3)>>3]-+p[l+(j<<3)>>3]));p[c+(k<<3)>>3]=r;p[c+(j<<3)>>3]=q;i=i+4|0}while((i|0)<=(h|0));if(m){i=n;do{q=+L(+(+p[e+(i<<3)>>3]-+p[l+(i<<3)>>3]));p[c+(i<<3)>>3]=q;i=i+1|0}while((i|0)!=(g|0))}if(!a)break;else{l=l+d|0;c=c+f|0;e=e+b|0;a=a+-1|0}}return}function DI(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0.0,r=0.0;i=h+-1|0;if(!h)return;h=g+-4|0;if((g|0)<4){j=(g|0)>0;k=c;l=e;m=a;o=i;while(1){if(j){p=0;do{q=+L(+(+n[m+(p<<2)>>2]-+n[k+(p<<2)>>2]));n[l+(p<<2)>>2]=q;p=p+1|0}while((p|0)!=(g|0))}if(!o)break;else{k=k+d|0;l=l+f|0;m=m+b|0;o=o+-1|0}}return}o=g&-4;m=(o|0)<(g|0);l=c;c=e;e=a;a=i;while(1){i=0;do{q=+L(+(+n[e+(i<<2)>>2]-+n[l+(i<<2)>>2]));k=i|1;r=+L(+(+n[e+(k<<2)>>2]-+n[l+(k<<2)>>2]));n[c+(i<<2)>>2]=q;n[c+(k<<2)>>2]=r;k=i|2;r=+L(+(+n[e+(k<<2)>>2]-+n[l+(k<<2)>>2]));j=i|3;q=+L(+(+n[e+(j<<2)>>2]-+n[l+(j<<2)>>2]));n[c+(k<<2)>>2]=r;n[c+(j<<2)>>2]=q;i=i+4|0}while((i|0)<=(h|0));if(m){i=o;do{q=+L(+(+n[e+(i<<2)>>2]-+n[l+(i<<2)>>2]));n[c+(i<<2)>>2]=q;i=i+1|0}while((i|0)!=(g|0))}if(!a)break;else{l=l+d|0;c=c+f|0;e=e+b|0;a=a+-1|0}}return}function EI(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=c;m=e;n=a;o=j;while(1){if(k){p=0;do{q=f[n+(p<<2)>>2]|0;r=f[l+(p<<2)>>2]|0;f[m+(p<<2)>>2]=(q|0)>(r|0)?q-r|0:r-q|0;p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+d|0;m=m+g|0;n=n+b|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=c;c=e;e=a;a=j;while(1){j=0;do{l=f[e+(j<<2)>>2]|0;k=f[m+(j<<2)>>2]|0;p=j|1;q=f[e+(p<<2)>>2]|0;r=f[m+(p<<2)>>2]|0;f[c+(j<<2)>>2]=(l|0)>(k|0)?l-k|0:k-l|0;f[c+(p<<2)>>2]=(q|0)>(r|0)?q-r|0:r-q|0;q=j|2;r=f[e+(q<<2)>>2]|0;p=f[m+(q<<2)>>2]|0;l=j|3;k=f[e+(l<<2)>>2]|0;s=f[m+(l<<2)>>2]|0;f[c+(q<<2)>>2]=(r|0)>(p|0)?r-p|0:p-r|0;f[c+(l<<2)>>2]=(k|0)>(s|0)?k-s|0:s-k|0;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{k=f[e+(j<<2)>>2]|0;s=f[m+(j<<2)>>2]|0;f[c+(j<<2)>>2]=(k|0)>(s|0)?k-s|0:s-k|0;j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+d|0;c=c+g|0;e=e+b|0;a=a+-1|0}}return}function FI(a,b,c,e,f,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;if(!i)return;j=h+-4|0;k=(h|0)<4;l=h&-4;m=c;c=f;f=a;a=i;while(1){a=a+-1|0;if(k)n=0;else{i=0;do{o=(d[f+(i<<1)>>1]|0)-(d[m+(i<<1)>>1]|0)|0;p=(o|0)>-1?o:0-o|0;o=i|1;q=(d[f+(o<<1)>>1]|0)-(d[m+(o<<1)>>1]|0)|0;r=(q|0)>-1?q:0-q|0;d[c+(i<<1)>>1]=(p+32768|0)>>>0<65536?p:(p|0)>0?32767:32768;d[c+(o<<1)>>1]=(r+32768|0)>>>0<65536?r:(r|0)>0?32767:32768;r=i|2;o=(d[f+(r<<1)>>1]|0)-(d[m+(r<<1)>>1]|0)|0;p=(o|0)>-1?o:0-o|0;o=i|3;q=(d[f+(o<<1)>>1]|0)-(d[m+(o<<1)>>1]|0)|0;s=(q|0)>-1?q:0-q|0;d[c+(r<<1)>>1]=(p+32768|0)>>>0<65536?p:(p|0)>0?32767:32768;d[c+(o<<1)>>1]=(s+32768|0)>>>0<65536?s:(s|0)>0?32767:32768;i=i+4|0}while((i|0)<=(j|0));n=l}if((n|0)<(h|0)){i=n;do{s=(d[f+(i<<1)>>1]|0)-(d[m+(i<<1)>>1]|0)|0;o=(s|0)>-1?s:0-s|0;d[c+(i<<1)>>1]=(o+32768|0)>>>0<65536?o:(o|0)>0?32767:32768;i=i+1|0}while((i|0)!=(h|0))}if(!a)break;else{m=m+e|0;c=c+g|0;f=f+b|0}}return}function GI(a,b,c,e,f,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=c;m=f;n=a;o=j;while(1){if(k){p=0;do{q=d[n+(p<<1)>>1]|0;r=d[l+(p<<1)>>1]|0;s=(q&65535)>(r&65535);d[m+(p<<1)>>1]=((s?q:r)&65535)-((s?r:q)&65535);p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+e|0;m=m+g|0;n=n+b|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=c;c=f;f=a;a=j;while(1){j=0;do{l=d[f+(j<<1)>>1]|0;k=d[m+(j<<1)>>1]|0;p=(l&65535)>(k&65535);q=j|1;r=d[f+(q<<1)>>1]|0;s=d[m+(q<<1)>>1]|0;t=(r&65535)>(s&65535);d[c+(j<<1)>>1]=((p?l:k)&65535)-((p?k:l)&65535);d[c+(q<<1)>>1]=((t?r:s)&65535)-((t?s:r)&65535);r=j|2;s=d[f+(r<<1)>>1]|0;t=d[m+(r<<1)>>1]|0;q=(s&65535)>(t&65535);l=j|3;k=d[f+(l<<1)>>1]|0;p=d[m+(l<<1)>>1]|0;u=(k&65535)>(p&65535);d[c+(r<<1)>>1]=((q?s:t)&65535)-((q?t:s)&65535);d[c+(l<<1)>>1]=((u?k:p)&65535)-((u?p:k)&65535);j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{k=d[f+(j<<1)>>1]|0;p=d[m+(j<<1)>>1]|0;u=(k&65535)>(p&65535);d[c+(j<<1)>>1]=((u?k:p)&65535)-((u?p:k)&65535);j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+e|0;c=c+g|0;f=f+b|0;a=a+-1|0}}return}function HI(a,c,d,e,f,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=d;m=f;n=a;o=j;while(1){if(k){p=0;do{q=(b[n+p>>0]|0)-(b[l+p>>0]|0)|0;r=(q|0)>-1?q:0-q|0;b[m+p>>0]=(r+128|0)>>>0<256?r:(r|0)>0?127:128;p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+e|0;m=m+g|0;n=n+c|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=d;d=f;f=a;a=j;while(1){j=0;do{l=(b[f+j>>0]|0)-(b[m+j>>0]|0)|0;k=(l|0)>-1?l:0-l|0;l=j|1;p=(b[f+l>>0]|0)-(b[m+l>>0]|0)|0;r=(p|0)>-1?p:0-p|0;b[d+j>>0]=(k+128|0)>>>0<256?k:(k|0)>0?127:128;b[d+l>>0]=(r+128|0)>>>0<256?r:(r|0)>0?127:128;r=j|2;l=(b[f+r>>0]|0)-(b[m+r>>0]|0)|0;k=(l|0)>-1?l:0-l|0;l=j|3;p=(b[f+l>>0]|0)-(b[m+l>>0]|0)|0;q=(p|0)>-1?p:0-p|0;b[d+r>>0]=(k+128|0)>>>0<256?k:(k|0)>0?127:128;b[d+l>>0]=(q+128|0)>>>0<256?q:(q|0)>0?127:128;j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{q=(b[f+j>>0]|0)-(b[m+j>>0]|0)|0;l=(q|0)>-1?q:0-q|0;b[d+j>>0]=(l+128|0)>>>0<256?l:(l|0)>0?127:128;j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+e|0;d=d+g|0;f=f+c|0;a=a+-1|0}}return}function II(a,c,d,e,f,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){k=(h|0)>0;l=d;m=f;n=a;o=j;while(1){if(k){p=0;do{q=b[n+p>>0]|0;r=b[l+p>>0]|0;s=(q&255)>(r&255);b[m+p>>0]=((s?q:r)&255)-((s?r:q)&255);p=p+1|0}while((p|0)!=(h|0))}if(!o)break;else{l=l+e|0;m=m+g|0;n=n+c|0;o=o+-1|0}}return}o=h&-4;n=(o|0)<(h|0);m=d;d=f;f=a;a=j;while(1){j=0;do{l=b[f+j>>0]|0;k=b[m+j>>0]|0;p=(l&255)>(k&255);q=j|1;r=b[f+q>>0]|0;s=b[m+q>>0]|0;t=(r&255)>(s&255);b[d+j>>0]=((p?l:k)&255)-((p?k:l)&255);b[d+q>>0]=((t?r:s)&255)-((t?s:r)&255);r=j|2;s=b[f+r>>0]|0;t=b[m+r>>0]|0;q=(s&255)>(t&255);l=j|3;k=b[f+l>>0]|0;p=b[m+l>>0]|0;u=(k&255)>(p&255);b[d+r>>0]=((q?s:t)&255)-((q?t:s)&255);b[d+l>>0]=((u?k:p)&255)-((u?p:k)&255);j=j+4|0}while((j|0)<=(i|0));if(n){j=o;do{k=b[f+j>>0]|0;p=b[m+j>>0]|0;u=(k&255)>(p&255);b[d+j>>0]=((u?k:p)&255)-((u?p:k)&255);j=j+1|0}while((j|0)!=(h|0))}if(!a)break;else{m=m+e|0;d=d+g|0;f=f+c|0;a=a+-1|0}}return}function JI(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+16|0;h=g;i=g+8|0;p[h>>3]=d;zT(i,43916);j=rE()|0;k=+L(+(d+-1.0))<2.220446049250313e-16;SH(a,b,c,j,e,43936,1,h,k?4:5);if(!(f[i+4>>2]|0)){u=g;return}u=g;return}function KI(a,c,d,e,f,g,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;l=+p[k>>3];k=j+-1|0;m=(j|0)==0;if(l==1.0){if(m)return;j=i+-4|0;if((i|0)<4){if((i|0)>0){n=d;o=f;q=a;r=k}else return;while(1){s=0;do{t=Y(h[n+s>>0]|0,h[q+s>>0]|0)|0;b[o+s>>0]=t>>>0<256?t:t|0?255:0;s=s+1|0}while((s|0)!=(i|0));if(!r)break;else{n=n+e|0;o=o+g|0;q=q+c|0;r=r+-1|0}}return}r=i&-4;q=(r|0)<(i|0);o=d;n=f;s=a;t=k;while(1){u=0;do{v=Y(h[o+u>>0]|0,h[s+u>>0]|0)|0;w=u|1;x=Y(h[o+w>>0]|0,h[s+w>>0]|0)|0;b[n+u>>0]=v>>>0<256?v:v|0?255:0;b[n+w>>0]=x>>>0<256?x:x|0?255:0;x=u|2;w=Y(h[o+x>>0]|0,h[s+x>>0]|0)|0;v=u|3;y=Y(h[o+v>>0]|0,h[s+v>>0]|0)|0;b[n+x>>0]=w>>>0<256?w:w|0?255:0;b[n+v>>0]=y>>>0<256?y:y|0?255:0;u=u+4|0}while((u|0)<=(j|0));if(q){u=r;do{y=Y(h[o+u>>0]|0,h[s+u>>0]|0)|0;b[n+u>>0]=y>>>0<256?y:y|0?255:0;u=u+1|0}while((u|0)!=(i|0))}if(!t)break;else{o=o+e|0;n=n+g|0;s=s+c|0;t=t+-1|0}}return}else{if(m)return;m=i+-4|0;if((i|0)<4){if((i|0)>0){z=d;A=f;B=a;C=k}else return;while(1){t=0;do{s=U9b(l*+(h[B+t>>0]|0)*+(h[z+t>>0]|0))|0;b[A+t>>0]=s>>>0<256?s:(s|0)>0?255:0;t=t+1|0}while((t|0)!=(i|0));if(!C)break;else{z=z+e|0;A=A+g|0;B=B+c|0;C=C+-1|0}}return}C=i&-4;B=(C|0)<(i|0);A=d;d=f;f=a;a=k;while(1){k=0;do{z=U9b(l*+(h[f+k>>0]|0)*+(h[A+k>>0]|0))|0;t=k|1;s=U9b(l*+(h[f+t>>0]|0)*+(h[A+t>>0]|0))|0;b[d+k>>0]=z>>>0<256?z:(z|0)>0?255:0;b[d+t>>0]=s>>>0<256?s:(s|0)>0?255:0;s=k|2;t=U9b(l*+(h[f+s>>0]|0)*+(h[A+s>>0]|0))|0;z=k|3;n=U9b(l*+(h[f+z>>0]|0)*+(h[A+z>>0]|0))|0;b[d+s>>0]=t>>>0<256?t:(t|0)>0?255:0;b[d+z>>0]=n>>>0<256?n:(n|0)>0?255:0;k=k+4|0}while((k|0)<=(m|0));if(B){k=C;do{n=U9b(l*+(h[f+k>>0]|0)*+(h[A+k>>0]|0))|0;b[d+k>>0]=n>>>0<256?n:(n|0)>0?255:0;k=k+1|0}while((k|0)!=(i|0))}if(!a)break;else{A=A+e|0;d=d+g|0;f=f+c|0;a=a+-1|0}}return}}function LI(a,c,d,e,f,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;k=+p[j>>3];j=i+-1|0;l=(i|0)==0;if(!(k==1.0)){if(l)return;i=h+-4|0;if((h|0)<4){if((h|0)>0){m=d;n=f;o=a;q=j}else return;while(1){r=0;do{s=U9b(k*+(b[o+r>>0]|0)*+(b[m+r>>0]|0))|0;b[n+r>>0]=(s+128|0)>>>0<256?s:(s|0)>0?127:128;r=r+1|0}while((r|0)!=(h|0));if(!q)break;else{m=m+e|0;n=n+g|0;o=o+c|0;q=q+-1|0}}return}q=h&-4;o=(q|0)<(h|0);n=d;m=f;r=a;s=j;while(1){t=0;do{u=U9b(k*+(b[r+t>>0]|0)*+(b[n+t>>0]|0))|0;v=t|1;w=U9b(k*+(b[r+v>>0]|0)*+(b[n+v>>0]|0))|0;b[m+t>>0]=(u+128|0)>>>0<256?u:(u|0)>0?127:128;b[m+v>>0]=(w+128|0)>>>0<256?w:(w|0)>0?127:128;w=t|2;v=U9b(k*+(b[r+w>>0]|0)*+(b[n+w>>0]|0))|0;u=t|3;x=U9b(k*+(b[r+u>>0]|0)*+(b[n+u>>0]|0))|0;b[m+w>>0]=(v+128|0)>>>0<256?v:(v|0)>0?127:128;b[m+u>>0]=(x+128|0)>>>0<256?x:(x|0)>0?127:128;t=t+4|0}while((t|0)<=(i|0));if(o){t=q;do{x=U9b(k*+(b[r+t>>0]|0)*+(b[n+t>>0]|0))|0;b[m+t>>0]=(x+128|0)>>>0<256?x:(x|0)>0?127:128;t=t+1|0}while((t|0)!=(h|0))}if(!s)break;else{n=n+e|0;m=m+g|0;r=r+c|0;s=s+-1|0}}return}if(l)return;l=h+-4|0;if((h|0)<4){if((h|0)>0){y=d;z=f;A=a;B=j}else return;while(1){s=0;do{r=Y(b[y+s>>0]|0,b[A+s>>0]|0)|0;b[z+s>>0]=(r+128|0)>>>0<256?r:(r|0)>0?127:128;s=s+1|0}while((s|0)!=(h|0));if(!B)break;else{y=y+e|0;z=z+g|0;A=A+c|0;B=B+-1|0}}return}B=h&-4;if((B|0)<(h|0)){C=d;D=f;E=a;F=j}else{A=d;d=f;f=a;a=j;while(1){j=0;do{z=Y(b[A+j>>0]|0,b[f+j>>0]|0)|0;y=j|1;s=Y(b[A+y>>0]|0,b[f+y>>0]|0)|0;b[d+j>>0]=(z+128|0)>>>0<256?z:(z|0)>0?127:128;b[d+y>>0]=(s+128|0)>>>0<256?s:(s|0)>0?127:128;s=j|2;y=Y(b[A+s>>0]|0,b[f+s>>0]|0)|0;z=j|3;r=Y(b[A+z>>0]|0,b[f+z>>0]|0)|0;b[d+s>>0]=(y+128|0)>>>0<256?y:(y|0)>0?127:128;b[d+z>>0]=(r+128|0)>>>0<256?r:(r|0)>0?127:128;j=j+4|0}while((j|0)<=(l|0));if(!a)break;else{A=A+e|0;d=d+g|0;f=f+c|0;a=a+-1|0}}return}while(1){a=0;do{f=Y(b[C+a>>0]|0,b[E+a>>0]|0)|0;d=a|1;A=Y(b[C+d>>0]|0,b[E+d>>0]|0)|0;b[D+a>>0]=(f+128|0)>>>0<256?f:(f|0)>0?127:128;b[D+d>>0]=(A+128|0)>>>0<256?A:(A|0)>0?127:128;A=a|2;d=Y(b[C+A>>0]|0,b[E+A>>0]|0)|0;f=a|3;j=Y(b[C+f>>0]|0,b[E+f>>0]|0)|0;b[D+A>>0]=(d+128|0)>>>0<256?d:(d|0)>0?127:128;b[D+f>>0]=(j+128|0)>>>0<256?j:(j|0)>0?127:128;a=a+4|0}while((a|0)<=(l|0));G=B;do{a=Y(b[C+G>>0]|0,b[E+G>>0]|0)|0;b[D+G>>0]=(a+128|0)>>>0<256?a:(a|0)>0?127:128;G=G+1|0}while((G|0)!=(h|0));if(!F)break;else{C=C+e|0;D=D+g|0;E=E+c|0;F=F+-1|0}}return}function MI(a,b,c,e,f,g,h,i,k){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0.0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;l=+p[k>>3];k=b>>>1;b=e>>>1;e=g>>>1;g=i+-1|0;m=(i|0)==0;if(!(l==1.0)){if(m)return;i=h+-4|0;n=(h|0)<4;o=h&-4;q=c;r=f;s=a;t=g;while(1){if(n)u=0;else{v=0;do{w=U9b(l*+(j[s+(v<<1)>>1]|0)*+(j[q+(v<<1)>>1]|0))|0;x=v|1;y=U9b(l*+(j[s+(x<<1)>>1]|0)*+(j[q+(x<<1)>>1]|0))|0;d[r+(v<<1)>>1]=w>>>0<65536?w:(w|0)>0?65535:0;d[r+(x<<1)>>1]=y>>>0<65536?y:(y|0)>0?65535:0;y=v|2;x=U9b(l*+(j[s+(y<<1)>>1]|0)*+(j[q+(y<<1)>>1]|0))|0;w=v|3;z=U9b(l*+(j[s+(w<<1)>>1]|0)*+(j[q+(w<<1)>>1]|0))|0;d[r+(y<<1)>>1]=x>>>0<65536?x:(x|0)>0?65535:0;d[r+(w<<1)>>1]=z>>>0<65536?z:(z|0)>0?65535:0;v=v+4|0}while((v|0)<=(i|0));u=o}if((u|0)<(h|0)){v=u;do{z=U9b(l*+(j[s+(v<<1)>>1]|0)*+(j[q+(v<<1)>>1]|0))|0;d[r+(v<<1)>>1]=z>>>0<65536?z:(z|0)>0?65535:0;v=v+1|0}while((v|0)!=(h|0))}if(!t)break;else{q=q+(b<<1)|0;r=r+(e<<1)|0;s=s+(k<<1)|0;t=t+-1|0}}return}if(m)return;m=h+-4|0;if((h|0)<4){if((h|0)>0){A=c;B=f;C=a;D=g}else return;while(1){t=0;do{s=Y(j[A+(t<<1)>>1]|0,j[C+(t<<1)>>1]|0)|0;d[B+(t<<1)>>1]=s>>>0<65536?s:s|0?65535:0;t=t+1|0}while((t|0)!=(h|0));if(!D)break;else{A=A+(b<<1)|0;B=B+(e<<1)|0;C=C+(k<<1)|0;D=D+-1|0}}return}D=h&-4;C=(D|0)<(h|0);B=c;c=f;f=a;a=g;while(1){g=0;do{A=Y(j[B+(g<<1)>>1]|0,j[f+(g<<1)>>1]|0)|0;t=g|1;s=Y(j[B+(t<<1)>>1]|0,j[f+(t<<1)>>1]|0)|0;d[c+(g<<1)>>1]=A>>>0<65536?A:A|0?65535:0;d[c+(t<<1)>>1]=s>>>0<65536?s:s|0?65535:0;s=g|2;t=Y(j[B+(s<<1)>>1]|0,j[f+(s<<1)>>1]|0)|0;A=g|3;r=Y(j[B+(A<<1)>>1]|0,j[f+(A<<1)>>1]|0)|0;d[c+(s<<1)>>1]=t>>>0<65536?t:t|0?65535:0;d[c+(A<<1)>>1]=r>>>0<65536?r:r|0?65535:0;g=g+4|0}while((g|0)<=(m|0));if(C){g=D;do{r=Y(j[B+(g<<1)>>1]|0,j[f+(g<<1)>>1]|0)|0;d[c+(g<<1)>>1]=r>>>0<65536?r:r|0?65535:0;g=g+1|0}while((g|0)!=(h|0))}if(!a)break;else{B=B+(b<<1)|0;c=c+(e<<1)|0;f=f+(k<<1)|0;a=a+-1|0}}return}function NI(a,b,c,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;k=+p[j>>3];j=b>>>1;b=e>>>1;e=g>>>1;g=i+-1|0;l=(i|0)==0;if(!(k==1.0)){if(l)return;i=h+-4|0;m=(h|0)<4;n=h&-4;o=c;q=f;r=a;s=g;while(1){if(m)t=0;else{u=0;do{v=U9b(k*+(d[r+(u<<1)>>1]|0)*+(d[o+(u<<1)>>1]|0))|0;w=u|1;x=U9b(k*+(d[r+(w<<1)>>1]|0)*+(d[o+(w<<1)>>1]|0))|0;d[q+(u<<1)>>1]=(v+32768|0)>>>0<65536?v:(v|0)>0?32767:32768;d[q+(w<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;x=u|2;w=U9b(k*+(d[r+(x<<1)>>1]|0)*+(d[o+(x<<1)>>1]|0))|0;v=u|3;y=U9b(k*+(d[r+(v<<1)>>1]|0)*+(d[o+(v<<1)>>1]|0))|0;d[q+(x<<1)>>1]=(w+32768|0)>>>0<65536?w:(w|0)>0?32767:32768;d[q+(v<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;u=u+4|0}while((u|0)<=(i|0));t=n}if((t|0)<(h|0)){u=t;do{y=U9b(k*+(d[r+(u<<1)>>1]|0)*+(d[o+(u<<1)>>1]|0))|0;d[q+(u<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;u=u+1|0}while((u|0)!=(h|0))}if(!s)break;else{o=o+(b<<1)|0;q=q+(e<<1)|0;r=r+(j<<1)|0;s=s+-1|0}}return}if(l)return;l=h+-4|0;if((h|0)<4){if((h|0)>0){z=c;A=f;B=a;C=g}else return;while(1){s=0;do{r=Y(d[z+(s<<1)>>1]|0,d[B+(s<<1)>>1]|0)|0;d[A+(s<<1)>>1]=(r+32768|0)>>>0<65536?r:(r|0)>0?32767:32768;s=s+1|0}while((s|0)!=(h|0));if(!C)break;else{z=z+(b<<1)|0;A=A+(e<<1)|0;B=B+(j<<1)|0;C=C+-1|0}}return}C=h&-4;B=(C|0)<(h|0);A=c;c=f;f=a;a=g;while(1){g=0;do{z=Y(d[A+(g<<1)>>1]|0,d[f+(g<<1)>>1]|0)|0;s=g|1;r=Y(d[A+(s<<1)>>1]|0,d[f+(s<<1)>>1]|0)|0;d[c+(g<<1)>>1]=(z+32768|0)>>>0<65536?z:(z|0)>0?32767:32768;d[c+(s<<1)>>1]=(r+32768|0)>>>0<65536?r:(r|0)>0?32767:32768;r=g|2;s=Y(d[A+(r<<1)>>1]|0,d[f+(r<<1)>>1]|0)|0;z=g|3;q=Y(d[A+(z<<1)>>1]|0,d[f+(z<<1)>>1]|0)|0;d[c+(r<<1)>>1]=(s+32768|0)>>>0<65536?s:(s|0)>0?32767:32768;d[c+(z<<1)>>1]=(q+32768|0)>>>0<65536?q:(q|0)>0?32767:32768;g=g+4|0}while((g|0)<=(l|0));if(B){g=C;do{q=Y(d[A+(g<<1)>>1]|0,d[f+(g<<1)>>1]|0)|0;d[c+(g<<1)>>1]=(q+32768|0)>>>0<65536?q:(q|0)>0?32767:32768;g=g+1|0}while((g|0)!=(h|0))}if(!a)break;else{A=A+(b<<1)|0;c=c+(e<<1)|0;f=f+(j<<1)|0;a=a+-1|0}}return}function OI(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;k=+p[j>>3];j=b>>>2;b=d>>>2;d=g>>>2;g=i+-1|0;l=(i|0)==0;if(!(k==1.0)){if(l)return;i=h+-4|0;if((h|0)<4){if((h|0)>0){m=c;n=e;o=a;q=g}else return;while(1){r=0;do{s=V9b(k*+(f[o+(r<<2)>>2]|0)*+(f[m+(r<<2)>>2]|0))|0;f[n+(r<<2)>>2]=s;r=r+1|0}while((r|0)!=(h|0));if(!q)break;else{m=m+(b<<2)|0;n=n+(d<<2)|0;o=o+(j<<2)|0;q=q+-1|0}}return}q=h&-4;o=(q|0)<(h|0);n=c;m=e;r=a;s=g;while(1){t=0;do{u=V9b(k*+(f[r+(t<<2)>>2]|0)*+(f[n+(t<<2)>>2]|0))|0;v=t|1;w=V9b(k*+(f[r+(v<<2)>>2]|0)*+(f[n+(v<<2)>>2]|0))|0;f[m+(t<<2)>>2]=u;f[m+(v<<2)>>2]=w;w=t|2;v=V9b(k*+(f[r+(w<<2)>>2]|0)*+(f[n+(w<<2)>>2]|0))|0;u=t|3;x=V9b(k*+(f[r+(u<<2)>>2]|0)*+(f[n+(u<<2)>>2]|0))|0;f[m+(w<<2)>>2]=v;f[m+(u<<2)>>2]=x;t=t+4|0}while((t|0)<=(i|0));if(o){t=q;do{x=V9b(k*+(f[r+(t<<2)>>2]|0)*+(f[n+(t<<2)>>2]|0))|0;f[m+(t<<2)>>2]=x;t=t+1|0}while((t|0)!=(h|0))}if(!s)break;else{n=n+(b<<2)|0;m=m+(d<<2)|0;r=r+(j<<2)|0;s=s+-1|0}}return}if(l)return;l=h+-4|0;if((h|0)<4){if((h|0)>0){y=c;z=e;A=a;B=g}else return;while(1){s=0;do{r=Y(f[y+(s<<2)>>2]|0,f[A+(s<<2)>>2]|0)|0;f[z+(s<<2)>>2]=r;s=s+1|0}while((s|0)!=(h|0));if(!B)break;else{y=y+(b<<2)|0;z=z+(d<<2)|0;A=A+(j<<2)|0;B=B+-1|0}}return}B=h&-4;if((B|0)<(h|0)){C=c;D=e;E=a;F=g}else{A=c;c=e;e=a;a=g;while(1){g=0;do{z=Y(f[A+(g<<2)>>2]|0,f[e+(g<<2)>>2]|0)|0;y=g|1;s=Y(f[A+(y<<2)>>2]|0,f[e+(y<<2)>>2]|0)|0;f[c+(g<<2)>>2]=z;f[c+(y<<2)>>2]=s;s=g|2;y=Y(f[A+(s<<2)>>2]|0,f[e+(s<<2)>>2]|0)|0;z=g|3;r=Y(f[A+(z<<2)>>2]|0,f[e+(z<<2)>>2]|0)|0;f[c+(s<<2)>>2]=y;f[c+(z<<2)>>2]=r;g=g+4|0}while((g|0)<=(l|0));if(!a)break;else{A=A+(b<<2)|0;c=c+(d<<2)|0;e=e+(j<<2)|0;a=a+-1|0}}return}while(1){a=0;do{e=Y(f[C+(a<<2)>>2]|0,f[E+(a<<2)>>2]|0)|0;c=a|1;A=Y(f[C+(c<<2)>>2]|0,f[E+(c<<2)>>2]|0)|0;f[D+(a<<2)>>2]=e;f[D+(c<<2)>>2]=A;A=a|2;c=Y(f[C+(A<<2)>>2]|0,f[E+(A<<2)>>2]|0)|0;e=a|3;g=Y(f[C+(e<<2)>>2]|0,f[E+(e<<2)>>2]|0)|0;f[D+(A<<2)>>2]=c;f[D+(e<<2)>>2]=g;a=a+4|0}while((a|0)<=(l|0));G=B;do{a=Y(f[C+(G<<2)>>2]|0,f[E+(G<<2)>>2]|0)|0;f[D+(G<<2)>>2]=a;G=G+1|0}while((G|0)!=(h|0));if(!F)break;else{C=C+(b<<2)|0;D=D+(d<<2)|0;E=E+(j<<2)|0;F=F+-1|0}}return}function PI(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;j=+p[i>>3];i=b>>>2;b=d>>>2;d=f>>>2;f=h+-1|0;k=(h|0)==0;if(!(j==1.0)){if(k)return;h=g+-4|0;if((g|0)<4){if((g|0)>0){l=c;m=e;o=a;q=f}else return;while(1){r=0;do{n[m+(r<<2)>>2]=j*+n[o+(r<<2)>>2]*+n[l+(r<<2)>>2];r=r+1|0}while((r|0)!=(g|0));if(!q)break;else{l=l+(b<<2)|0;m=m+(d<<2)|0;o=o+(i<<2)|0;q=q+-1|0}}return}q=g&-4;o=(q|0)<(g|0);m=c;l=e;r=a;s=f;while(1){t=0;do{u=t|1;v=j*+n[r+(u<<2)>>2]*+n[m+(u<<2)>>2];n[l+(t<<2)>>2]=j*+n[r+(t<<2)>>2]*+n[m+(t<<2)>>2];n[l+(u<<2)>>2]=v;u=t|2;w=t|3;v=j*+n[r+(w<<2)>>2]*+n[m+(w<<2)>>2];n[l+(u<<2)>>2]=j*+n[r+(u<<2)>>2]*+n[m+(u<<2)>>2];n[l+(w<<2)>>2]=v;t=t+4|0}while((t|0)<=(h|0));if(o){t=q;do{n[l+(t<<2)>>2]=j*+n[r+(t<<2)>>2]*+n[m+(t<<2)>>2];t=t+1|0}while((t|0)!=(g|0))}if(!s)break;else{m=m+(b<<2)|0;l=l+(d<<2)|0;r=r+(i<<2)|0;s=s+-1|0}}return}if(k)return;k=g+-4|0;if((g|0)<4){if((g|0)>0){x=c;y=e;z=a;A=f}else return;while(1){s=0;do{n[y+(s<<2)>>2]=+n[z+(s<<2)>>2]*+n[x+(s<<2)>>2];s=s+1|0}while((s|0)!=(g|0));if(!A)break;else{x=x+(b<<2)|0;y=y+(d<<2)|0;z=z+(i<<2)|0;A=A+-1|0}}return}A=g&-4;if((A|0)<(g|0)){B=c;C=e;D=a;E=f}else{z=c;c=e;e=a;a=f;while(1){f=0;do{y=f|1;j=+n[e+(y<<2)>>2]*+n[z+(y<<2)>>2];n[c+(f<<2)>>2]=+n[e+(f<<2)>>2]*+n[z+(f<<2)>>2];n[c+(y<<2)>>2]=j;y=f|2;x=f|3;j=+n[e+(x<<2)>>2]*+n[z+(x<<2)>>2];n[c+(y<<2)>>2]=+n[e+(y<<2)>>2]*+n[z+(y<<2)>>2];n[c+(x<<2)>>2]=j;f=f+4|0}while((f|0)<=(k|0));if(!a)break;else{z=z+(b<<2)|0;c=c+(d<<2)|0;e=e+(i<<2)|0;a=a+-1|0}}return}while(1){a=0;do{e=a|1;j=+n[D+(e<<2)>>2]*+n[B+(e<<2)>>2];n[C+(a<<2)>>2]=+n[D+(a<<2)>>2]*+n[B+(a<<2)>>2];n[C+(e<<2)>>2]=j;e=a|2;c=a|3;j=+n[D+(c<<2)>>2]*+n[B+(c<<2)>>2];n[C+(e<<2)>>2]=+n[D+(e<<2)>>2]*+n[B+(e<<2)>>2];n[C+(c<<2)>>2]=j;a=a+4|0}while((a|0)<=(k|0));F=A;do{n[C+(F<<2)>>2]=+n[D+(F<<2)>>2]*+n[B+(F<<2)>>2];F=F+1|0}while((F|0)!=(g|0));if(!E)break;else{B=B+(b<<2)|0;C=C+(d<<2)|0;D=D+(i<<2)|0;E=E+-1|0}}return}function QI(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;j=+p[i>>3];i=b>>>3;b=d>>>3;d=f>>>3;f=h+-1|0;k=(h|0)==0;if(!(j==1.0)){if(k)return;h=g+-4|0;if((g|0)<4){if((g|0)>0){l=c;m=e;n=a;o=f}else return;while(1){q=0;do{p[m+(q<<3)>>3]=j*+p[n+(q<<3)>>3]*+p[l+(q<<3)>>3];q=q+1|0}while((q|0)!=(g|0));if(!o)break;else{l=l+(b<<3)|0;m=m+(d<<3)|0;n=n+(i<<3)|0;o=o+-1|0}}return}o=g&-4;n=(o|0)<(g|0);m=c;l=e;q=a;r=f;while(1){s=0;do{t=s|1;u=j*+p[q+(t<<3)>>3]*+p[m+(t<<3)>>3];p[l+(s<<3)>>3]=j*+p[q+(s<<3)>>3]*+p[m+(s<<3)>>3];p[l+(t<<3)>>3]=u;t=s|2;v=s|3;u=j*+p[q+(v<<3)>>3]*+p[m+(v<<3)>>3];p[l+(t<<3)>>3]=j*+p[q+(t<<3)>>3]*+p[m+(t<<3)>>3];p[l+(v<<3)>>3]=u;s=s+4|0}while((s|0)<=(h|0));if(n){s=o;do{p[l+(s<<3)>>3]=j*+p[q+(s<<3)>>3]*+p[m+(s<<3)>>3];s=s+1|0}while((s|0)!=(g|0))}if(!r)break;else{m=m+(b<<3)|0;l=l+(d<<3)|0;q=q+(i<<3)|0;r=r+-1|0}}return}if(k)return;k=g+-4|0;if((g|0)<4){if((g|0)>0){w=c;x=e;y=a;z=f}else return;while(1){r=0;do{p[x+(r<<3)>>3]=+p[y+(r<<3)>>3]*+p[w+(r<<3)>>3];r=r+1|0}while((r|0)!=(g|0));if(!z)break;else{w=w+(b<<3)|0;x=x+(d<<3)|0;y=y+(i<<3)|0;z=z+-1|0}}return}z=g&-4;if((z|0)<(g|0)){A=c;B=e;C=a;D=f}else{y=c;c=e;e=a;a=f;while(1){f=0;do{x=f|1;j=+p[e+(x<<3)>>3]*+p[y+(x<<3)>>3];p[c+(f<<3)>>3]=+p[e+(f<<3)>>3]*+p[y+(f<<3)>>3];p[c+(x<<3)>>3]=j;x=f|2;w=f|3;j=+p[e+(w<<3)>>3]*+p[y+(w<<3)>>3];p[c+(x<<3)>>3]=+p[e+(x<<3)>>3]*+p[y+(x<<3)>>3];p[c+(w<<3)>>3]=j;f=f+4|0}while((f|0)<=(k|0));if(!a)break;else{y=y+(b<<3)|0;c=c+(d<<3)|0;e=e+(i<<3)|0;a=a+-1|0}}return}while(1){a=0;do{e=a|1;j=+p[C+(e<<3)>>3]*+p[A+(e<<3)>>3];p[B+(a<<3)>>3]=+p[C+(a<<3)>>3]*+p[A+(a<<3)>>3];p[B+(e<<3)>>3]=j;e=a|2;c=a|3;j=+p[C+(c<<3)>>3]*+p[A+(c<<3)>>3];p[B+(e<<3)>>3]=+p[C+(e<<3)>>3]*+p[A+(e<<3)>>3];p[B+(c<<3)>>3]=j;a=a+4|0}while((a|0)<=(k|0));E=z;do{p[B+(E<<3)>>3]=+p[C+(E<<3)>>3]*+p[A+(E<<3)>>3];E=E+1|0}while((E|0)!=(g|0));if(!D)break;else{A=A+(b<<3)|0;B=B+(d<<3)|0;C=C+(i<<3)|0;D=D+-1|0}}return}function RI(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;var g=0,h=0,i=0;g=u;u=u+16|0;h=g;i=g+8|0;p[h>>3]=d;zT(i,43968);SH(a,b,c,rE()|0,e,43988,1,h,6);if(!(f[i+4>>2]|0)){u=g;return}u=g;return}function SI(a,c,d,e,f,g,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;l=+p[k>>3];k=(i|0)>0&(j|0)!=0;if(!a){if(k){m=f;n=d;o=j}else return;while(1){q=0;do{r=b[n+q>>0]|0;if(!(r<<24>>24))s=0;else{t=U9b(l/+(r&255))|0;s=(t>>>0<256?t:(t|0)>0?255:0)&255}b[m+q>>0]=s;q=q+1|0}while((q|0)!=(i|0));o=o+-1|0;if(!o)break;else{m=m+g|0;n=n+e|0}}return}else{if(k){u=d;v=f;w=a;x=j}else return;while(1){j=0;do{a=b[u+j>>0]|0;if(!(a<<24>>24))y=0;else{f=U9b(l*+(h[w+j>>0]|0)/+(a&255))|0;y=(f>>>0<256?f:(f|0)>0?255:0)&255}b[v+j>>0]=y;j=j+1|0}while((j|0)!=(i|0));x=x+-1|0;if(!x)break;else{u=u+e|0;v=v+g|0;w=w+c|0}}return}}function TI(a,c,d,e,f,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0,m=0,n=0,o=0,q=0;k=+p[j>>3];if((h|0)>0&(i|0)!=0){l=d;m=f;n=a;o=i}else return;while(1){i=0;do{a=b[l+i>>0]|0;if(!(a<<24>>24))q=0;else{f=U9b(k*+(b[n+i>>0]|0)/+(a<<24>>24))|0;q=((f+128|0)>>>0<256?f:(f|0)>0?127:128)&255}b[m+i>>0]=q;i=i+1|0}while((i|0)!=(h|0));o=o+-1|0;if(!o)break;else{l=l+e|0;m=m+g|0;n=n+c|0}}return}function UI(a,b,c,e,f,g,h,i,k){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0.0,n=0,o=0,q=0,r=0,s=0;l=b>>>1;b=e>>>1;e=g>>>1;m=+p[k>>3];if((h|0)>0&(i|0)!=0){n=c;o=f;q=a;r=i}else return;while(1){i=0;do{a=d[n+(i<<1)>>1]|0;if(!(a<<16>>16))s=0;else{f=U9b(m*+(j[q+(i<<1)>>1]|0)/+(a&65535))|0;s=(f>>>0<65536?f:(f|0)>0?65535:0)&65535}d[o+(i<<1)>>1]=s;i=i+1|0}while((i|0)!=(h|0));r=r+-1|0;if(!r)break;else{n=n+(b<<1)|0;o=o+(e<<1)|0;q=q+(l<<1)|0}}return}function VI(a,b,c,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0.0,m=0,n=0,o=0,q=0,r=0;k=b>>>1;b=e>>>1;e=g>>>1;l=+p[j>>3];if((h|0)>0&(i|0)!=0){m=c;n=f;o=a;q=i}else return;while(1){i=0;do{a=d[m+(i<<1)>>1]|0;if(!(a<<16>>16))r=0;else{f=U9b(l*+(d[o+(i<<1)>>1]|0)/+(a<<16>>16))|0;r=((f+32768|0)>>>0<65536?f:(f|0)>0?32767:32768)&65535}d[n+(i<<1)>>1]=r;i=i+1|0}while((i|0)!=(h|0));q=q+-1|0;if(!q)break;else{m=m+(b<<1)|0;n=n+(e<<1)|0;o=o+(k<<1)|0}}return}function WI(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0.0,m=0,n=0,o=0,q=0,r=0;k=b>>>2;b=d>>>2;d=g>>>2;l=+p[j>>3];if((h|0)>0&(i|0)!=0){m=c;n=e;o=a;q=i}else return;while(1){i=0;do{a=f[m+(i<<2)>>2]|0;if(!a)r=0;else r=U9b(l*+(f[o+(i<<2)>>2]|0)/+(a|0))|0;f[n+(i<<2)>>2]=r;i=i+1|0}while((i|0)!=(h|0));q=q+-1|0;if(!q)break;else{m=m+(b<<2)|0;n=n+(d<<2)|0;o=o+(k<<2)|0}}return}function XI(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0,l=0,m=0,o=0,q=0.0,r=0.0;j=+p[i>>3];i=b>>>2;b=d>>>2;d=f>>>2;if((g|0)>0&(h|0)!=0){k=c;l=e;m=a;o=h}else return;while(1){h=0;do{q=+n[k+(h<<2)>>2];if(q!=0.0)r=j*+n[m+(h<<2)>>2]/q;else r=0.0;n[l+(h<<2)>>2]=r;h=h+1|0}while((h|0)!=(g|0));o=o+-1|0;if(!o)break;else{k=k+(b<<2)|0;l=l+(d<<2)|0;m=m+(i<<2)|0}}return}function YI(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0,l=0,m=0,n=0,o=0.0,q=0.0;j=+p[i>>3];i=b>>>3;b=d>>>3;d=f>>>3;if((g|0)>0&(h|0)!=0){k=c;l=e;m=a;n=h}else return;while(1){h=0;do{o=+p[k+(h<<3)>>3];if(o!=0.0)q=j*+p[m+(h<<3)>>3]/o;else q=0.0;p[l+(h<<3)>>3]=q;h=h+1|0}while((h|0)!=(g|0));n=n+-1|0;if(!n)break;else{k=k+(b<<3)|0;l=l+(d<<3)|0;m=m+(i<<3)|0}}return}function ZI(a,b,c,d){a=+a;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+16|0;g=e;h=e+8|0;p[g>>3]=a;zT(h,44020);SH(b,b,c,rE()|0,d,44040,1,g,7);if(!(f[h+4>>2]|0)){u=e;return}u=e;return}function _I(a,c,d,e,f,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0,m=0,n=0,o=0;k=+p[j>>3];if((h|0)>0&(i|0)!=0){l=f;m=d;n=i}else return;while(1){i=0;do{d=b[m+i>>0]|0;if(!(d<<24>>24))o=0;else{f=U9b(k/+(d&255))|0;o=(f>>>0<256?f:(f|0)>0?255:0)&255}b[l+i>>0]=o;i=i+1|0}while((i|0)!=(h|0));n=n+-1|0;if(!n)break;else{l=l+g|0;m=m+e|0}}return}function $I(a,c,d,e,f,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0,m=0,n=0,o=0;k=+p[j>>3];if((h|0)>0&(i|0)!=0){l=f;m=d;n=i}else return;while(1){i=0;do{d=b[m+i>>0]|0;if(!(d<<24>>24))o=0;else{f=U9b(k/+(d<<24>>24))|0;o=((f+128|0)>>>0<256?f:(f|0)>0?127:128)&255}b[l+i>>0]=o;i=i+1|0}while((i|0)!=(h|0));n=n+-1|0;if(!n)break;else{l=l+g|0;m=m+e|0}}return}function aJ(a,b,c,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0,m=0,n=0,o=0;b=e>>>1;e=g>>>1;k=+p[j>>3];if((h|0)>0&(i|0)!=0){l=f;m=c;n=i}else return;while(1){i=0;do{c=d[m+(i<<1)>>1]|0;if(!(c<<16>>16))o=0;else{f=U9b(k/+(c&65535))|0;o=(f>>>0<65536?f:(f|0)>0?65535:0)&65535}d[l+(i<<1)>>1]=o;i=i+1|0}while((i|0)!=(h|0));n=n+-1|0;if(!n)break;else{l=l+(e<<1)|0;m=m+(b<<1)|0}}return}function bJ(a,b,c,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0,m=0,n=0,o=0;b=e>>>1;e=g>>>1;k=+p[j>>3];if((h|0)>0&(i|0)!=0){l=f;m=c;n=i}else return;while(1){i=0;do{c=d[m+(i<<1)>>1]|0;if(!(c<<16>>16))o=0;else{f=U9b(k/+(c<<16>>16))|0;o=((f+32768|0)>>>0<65536?f:(f|0)>0?32767:32768)&65535}d[l+(i<<1)>>1]=o;i=i+1|0}while((i|0)!=(h|0));n=n+-1|0;if(!n)break;else{l=l+(e<<1)|0;m=m+(b<<1)|0}}return}function cJ(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0,m=0,n=0,o=0;b=d>>>2;d=g>>>2;k=+p[j>>3];if((h|0)>0&(i|0)!=0){l=e;m=c;n=i}else return;while(1){i=0;do{c=f[m+(i<<2)>>2]|0;if(!c)o=0;else o=U9b(k/+(c|0))|0;f[l+(i<<2)>>2]=o;i=i+1|0}while((i|0)!=(h|0));n=n+-1|0;if(!n)break;else{l=l+(d<<2)|0;m=m+(b<<2)|0}}return}function dJ(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0,l=0,m=0,o=0.0;j=+p[i>>3];i=d>>>2;d=f>>>2;if((g|0)>0&(h|0)!=0){k=e;l=c;m=h}else return;while(1){h=0;do{o=+n[l+(h<<2)>>2];n[k+(h<<2)>>2]=o!=0.0?j/o:0.0;h=h+1|0}while((h|0)!=(g|0));m=m+-1|0;if(!m)break;else{k=k+(d<<2)|0;l=l+(i<<2)|0}}return}function eJ(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0,l=0,m=0,n=0.0;j=+p[i>>3];i=d>>>3;d=f>>>3;if((g|0)>0&(h|0)!=0){k=e;l=c;m=h}else return;while(1){h=0;do{n=+p[l+(h<<3)>>3];p[k+(h<<3)>>3]=n!=0.0?j/n:0.0;h=h+1|0}while((h|0)!=(g|0));m=m+-1|0;if(!m)break;else{k=k+(d<<3)|0;l=l+(i<<3)|0}}return}function fJ(a,b,c,d,e,g,h){a=a|0;b=+b;c=c|0;d=+d;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0;i=u;u=u+32|0;j=i+24|0;k=i;zT(j,44072);p[k>>3]=b;p[k+8>>3]=d;p[k+16>>3]=e;SH(a,c,g,rE()|0,h,44092,1,k,8);if(!(f[j+4>>2]|0)){u=i;return}u=i;return}function gJ(a,c,d,e,f,g,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0.0,m=0.0,o=0.0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0,x=0;l=+p[k>>3];m=+p[k+8>>3];o=+p[k+16>>3];if(!j)return;k=i+-4|0;q=(i|0)<4;r=i&-4;s=d;d=f;f=a;a=j;while(1){a=a+-1|0;if(q)t=0;else{j=0;do{u=j|1;v=o+(l*+n[47112+((h[f+u>>0]|0)+128<<2)>>2]+m*+n[47112+((h[s+u>>0]|0)+128<<2)>>2]);w=U9b(o+(l*+n[47112+((h[f+j>>0]|0)+128<<2)>>2]+m*+n[47112+((h[s+j>>0]|0)+128<<2)>>2]))|0;b[d+j>>0]=w>>>0<256?w:(w|0)>0?255:0;w=U9b(v)|0;b[d+u>>0]=w>>>0<256?w:(w|0)>0?255:0;w=j|2;u=j|3;v=o+(l*+n[47112+((h[f+u>>0]|0)+128<<2)>>2]+m*+n[47112+((h[s+u>>0]|0)+128<<2)>>2]);x=U9b(o+(l*+n[47112+((h[f+w>>0]|0)+128<<2)>>2]+m*+n[47112+((h[s+w>>0]|0)+128<<2)>>2]))|0;b[d+w>>0]=x>>>0<256?x:(x|0)>0?255:0;x=U9b(v)|0;b[d+u>>0]=x>>>0<256?x:(x|0)>0?255:0;j=j+4|0}while((j|0)<=(k|0));t=r}if((t|0)<(i|0)){j=t;do{x=U9b(o+(l*+n[47112+((h[f+j>>0]|0)+128<<2)>>2]+m*+n[47112+((h[s+j>>0]|0)+128<<2)>>2]))|0;b[d+j>>0]=x>>>0<256?x:(x|0)>0?255:0;j=j+1|0}while((j|0)!=(i|0))}if(!a)break;else{s=s+e|0;d=d+g|0;f=f+c|0}}return}function hJ(a,c,d,e,f,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0.0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0;k=+p[j>>3];l=+p[j+8>>3];m=+p[j+16>>3];if(!i)return;j=h+-4|0;n=(h|0)<4;o=h&-4;q=d;d=f;f=a;a=i;while(1){a=a+-1|0;if(n)r=0;else{i=0;do{s=U9b(m+(k*+(b[f+i>>0]|0)+l*+(b[q+i>>0]|0)))|0;t=i|1;u=U9b(m+(k*+(b[f+t>>0]|0)+l*+(b[q+t>>0]|0)))|0;b[d+i>>0]=(s+128|0)>>>0<256?s:(s|0)>0?127:128;b[d+t>>0]=(u+128|0)>>>0<256?u:(u|0)>0?127:128;u=i|2;t=U9b(m+(k*+(b[f+u>>0]|0)+l*+(b[q+u>>0]|0)))|0;s=i|3;v=U9b(m+(k*+(b[f+s>>0]|0)+l*+(b[q+s>>0]|0)))|0;b[d+u>>0]=(t+128|0)>>>0<256?t:(t|0)>0?127:128;b[d+s>>0]=(v+128|0)>>>0<256?v:(v|0)>0?127:128;i=i+4|0}while((i|0)<=(j|0));r=o}if((r|0)<(h|0)){i=r;do{v=U9b(m+(k*+(b[f+i>>0]|0)+l*+(b[q+i>>0]|0)))|0;b[d+i>>0]=(v+128|0)>>>0<256?v:(v|0)>0?127:128;i=i+1|0}while((i|0)!=(h|0))}if(!a)break;else{q=q+e|0;d=d+g|0;f=f+c|0}}return}function iJ(a,b,c,e,f,g,h,i,k){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0.0,m=0.0,n=0.0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;l=+p[k>>3];m=+p[k+8>>3];n=+p[k+16>>3];k=b>>>1;b=e>>>1;e=g>>>1;if(!i)return;g=h+-4|0;o=(h|0)<4;q=h&-4;r=c;c=f;f=a;a=i;while(1){a=a+-1|0;if(o)s=0;else{i=0;do{t=U9b(n+(l*+(j[f+(i<<1)>>1]|0)+m*+(j[r+(i<<1)>>1]|0)))|0;u=i|1;v=U9b(n+(l*+(j[f+(u<<1)>>1]|0)+m*+(j[r+(u<<1)>>1]|0)))|0;d[c+(i<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;d[c+(u<<1)>>1]=v>>>0<65536?v:(v|0)>0?65535:0;v=i|2;u=U9b(n+(l*+(j[f+(v<<1)>>1]|0)+m*+(j[r+(v<<1)>>1]|0)))|0;t=i|3;w=U9b(n+(l*+(j[f+(t<<1)>>1]|0)+m*+(j[r+(t<<1)>>1]|0)))|0;d[c+(v<<1)>>1]=u>>>0<65536?u:(u|0)>0?65535:0;d[c+(t<<1)>>1]=w>>>0<65536?w:(w|0)>0?65535:0;i=i+4|0}while((i|0)<=(g|0));s=q}if((s|0)<(h|0)){i=s;do{w=U9b(n+(l*+(j[f+(i<<1)>>1]|0)+m*+(j[r+(i<<1)>>1]|0)))|0;d[c+(i<<1)>>1]=w>>>0<65536?w:(w|0)>0?65535:0;i=i+1|0}while((i|0)!=(h|0))}if(!a)break;else{r=r+(b<<1)|0;c=c+(e<<1)|0;f=f+(k<<1)|0}}return}function jJ(a,b,c,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0.0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0;k=+p[j>>3];l=+p[j+8>>3];m=+p[j+16>>3];j=b>>>1;b=e>>>1;e=g>>>1;if(!i)return;g=h+-4|0;n=(h|0)<4;o=h&-4;q=c;c=f;f=a;a=i;while(1){a=a+-1|0;if(n)r=0;else{i=0;do{s=U9b(m+(k*+(d[f+(i<<1)>>1]|0)+l*+(d[q+(i<<1)>>1]|0)))|0;t=i|1;u=U9b(m+(k*+(d[f+(t<<1)>>1]|0)+l*+(d[q+(t<<1)>>1]|0)))|0;d[c+(i<<1)>>1]=(s+32768|0)>>>0<65536?s:(s|0)>0?32767:32768;d[c+(t<<1)>>1]=(u+32768|0)>>>0<65536?u:(u|0)>0?32767:32768;u=i|2;t=U9b(m+(k*+(d[f+(u<<1)>>1]|0)+l*+(d[q+(u<<1)>>1]|0)))|0;s=i|3;v=U9b(m+(k*+(d[f+(s<<1)>>1]|0)+l*+(d[q+(s<<1)>>1]|0)))|0;d[c+(u<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;d[c+(s<<1)>>1]=(v+32768|0)>>>0<65536?v:(v|0)>0?32767:32768;i=i+4|0}while((i|0)<=(g|0));r=o}if((r|0)<(h|0)){i=r;do{v=U9b(m+(k*+(d[f+(i<<1)>>1]|0)+l*+(d[q+(i<<1)>>1]|0)))|0;d[c+(i<<1)>>1]=(v+32768|0)>>>0<65536?v:(v|0)>0?32767:32768;i=i+1|0}while((i|0)!=(h|0))}if(!a)break;else{q=q+(b<<1)|0;c=c+(e<<1)|0;f=f+(j<<1)|0}}return}function kJ(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0.0,n=0,o=0,q=0,r=0,s=0,t=0,u=0;k=+p[j>>3];l=+p[j+8>>3];m=+p[j+16>>3];j=b>>>2;b=d>>>2;d=g>>>2;g=i+-1|0;if(!i)return;i=h+-4|0;if((h|0)<4){if((h|0)>0){n=c;o=e;q=a;r=g}else return;while(1){s=0;do{t=V9b(m+(k*+(f[q+(s<<2)>>2]|0)+l*+(f[n+(s<<2)>>2]|0)))|0;f[o+(s<<2)>>2]=t;s=s+1|0}while((s|0)!=(h|0));if(!r)break;else{n=n+(b<<2)|0;o=o+(d<<2)|0;q=q+(j<<2)|0;r=r+-1|0}}return}r=h&-4;q=(r|0)<(h|0);o=c;c=e;e=a;a=g;while(1){g=0;do{n=V9b(m+(k*+(f[e+(g<<2)>>2]|0)+l*+(f[o+(g<<2)>>2]|0)))|0;s=g|1;t=V9b(m+(k*+(f[e+(s<<2)>>2]|0)+l*+(f[o+(s<<2)>>2]|0)))|0;f[c+(g<<2)>>2]=n;f[c+(s<<2)>>2]=t;t=g|2;s=V9b(m+(k*+(f[e+(t<<2)>>2]|0)+l*+(f[o+(t<<2)>>2]|0)))|0;n=g|3;u=V9b(m+(k*+(f[e+(n<<2)>>2]|0)+l*+(f[o+(n<<2)>>2]|0)))|0;f[c+(t<<2)>>2]=s;f[c+(n<<2)>>2]=u;g=g+4|0}while((g|0)<=(i|0));if(q){g=r;do{u=V9b(m+(k*+(f[e+(g<<2)>>2]|0)+l*+(f[o+(g<<2)>>2]|0)))|0;f[c+(g<<2)>>2]=u;g=g+1|0}while((g|0)!=(h|0))}if(!a)break;else{o=o+(b<<2)|0;c=c+(d<<2)|0;e=e+(j<<2)|0;a=a+-1|0}}return}function lJ(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0.0,l=0.0,m=0,o=0,q=0,r=0,s=0,t=0.0;j=+p[i>>3];k=+p[i+8>>3];l=+p[i+16>>3];i=b>>>2;b=d>>>2;d=f>>>2;f=h+-1|0;if(!h)return;h=g+-4|0;if((g|0)<4){if((g|0)>0){m=c;o=e;q=a;r=f}else return;while(1){s=0;do{n[o+(s<<2)>>2]=l+(j*+n[q+(s<<2)>>2]+k*+n[m+(s<<2)>>2]);s=s+1|0}while((s|0)!=(g|0));if(!r)break;else{m=m+(b<<2)|0;o=o+(d<<2)|0;q=q+(i<<2)|0;r=r+-1|0}}return}r=g&-4;q=(r|0)<(g|0);o=c;c=e;e=a;a=f;while(1){f=0;do{m=f|1;t=l+(j*+n[e+(m<<2)>>2]+k*+n[o+(m<<2)>>2]);n[c+(f<<2)>>2]=l+(j*+n[e+(f<<2)>>2]+k*+n[o+(f<<2)>>2]);n[c+(m<<2)>>2]=t;m=f|2;s=f|3;t=l+(j*+n[e+(s<<2)>>2]+k*+n[o+(s<<2)>>2]);n[c+(m<<2)>>2]=l+(j*+n[e+(m<<2)>>2]+k*+n[o+(m<<2)>>2]);n[c+(s<<2)>>2]=t;f=f+4|0}while((f|0)<=(h|0));if(q){f=r;do{n[c+(f<<2)>>2]=l+(j*+n[e+(f<<2)>>2]+k*+n[o+(f<<2)>>2]);f=f+1|0}while((f|0)!=(g|0))}if(!a)break;else{o=o+(b<<2)|0;c=c+(d<<2)|0;e=e+(i<<2)|0;a=a+-1|0}}return}function mJ(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0.0,l=0.0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0;j=+p[i>>3];k=+p[i+8>>3];l=+p[i+16>>3];i=b>>>3;b=d>>>3;d=f>>>3;f=h+-1|0;if(!h)return;h=g+-4|0;if((g|0)<4){if((g|0)>0){m=c;n=e;o=a;q=f}else return;while(1){r=0;do{p[n+(r<<3)>>3]=l+(j*+p[o+(r<<3)>>3]+k*+p[m+(r<<3)>>3]);r=r+1|0}while((r|0)!=(g|0));if(!q)break;else{m=m+(b<<3)|0;n=n+(d<<3)|0;o=o+(i<<3)|0;q=q+-1|0}}return}q=g&-4;if((q|0)<(g|0)){s=c;t=e;u=a;v=f}else{o=c;c=e;e=a;a=f;while(1){f=0;do{n=f|1;w=l+(j*+p[e+(n<<3)>>3]+k*+p[o+(n<<3)>>3]);p[c+(f<<3)>>3]=l+(j*+p[e+(f<<3)>>3]+k*+p[o+(f<<3)>>3]);p[c+(n<<3)>>3]=w;n=f|2;m=f|3;w=l+(j*+p[e+(m<<3)>>3]+k*+p[o+(m<<3)>>3]);p[c+(n<<3)>>3]=l+(j*+p[e+(n<<3)>>3]+k*+p[o+(n<<3)>>3]);p[c+(m<<3)>>3]=w;f=f+4|0}while((f|0)<=(h|0));if(!a)break;else{o=o+(b<<3)|0;c=c+(d<<3)|0;e=e+(i<<3)|0;a=a+-1|0}}return}while(1){a=0;do{e=a|1;w=l+(j*+p[u+(e<<3)>>3]+k*+p[s+(e<<3)>>3]);p[t+(a<<3)>>3]=l+(j*+p[u+(a<<3)>>3]+k*+p[s+(a<<3)>>3]);p[t+(e<<3)>>3]=w;e=a|2;c=a|3;w=l+(j*+p[u+(c<<3)>>3]+k*+p[s+(c<<3)>>3]);p[t+(e<<3)>>3]=l+(j*+p[u+(e<<3)>>3]+k*+p[s+(e<<3)>>3]);p[t+(c<<3)>>3]=w;a=a+4|0}while((a|0)<=(h|0));x=q;do{p[t+(x<<3)>>3]=l+(j*+p[u+(x<<3)>>3]+k*+p[s+(x<<3)>>3]);x=x+1|0}while((x|0)!=(g|0));if(!v)break;else{s=s+(b<<3)|0;t=t+(d<<3)|0;u=u+(i<<3)|0;v=v+-1|0}}return}function nJ(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0.0,ka=0.0,la=0,ma=0,na=0,oa=0,pa=0;g=u;u=u+1456|0;h=g+1400|0;i=g+1392|0;j=g+1384|0;k=g+1264|0;l=g+1376|0;m=g+1208|0;n=g+1320|0;o=g+1184|0;q=g+96|0;r=g+1152|0;s=g+112|0;t=g+88|0;v=g+1200|0;w=g+56|0;x=g;f[i>>2]=e;zT(j,44124);if(e>>>0>=6){f[h>>2]=0;f[h+4>>2]=0;y=YG(h,92)|0;z=195977;A=y+92|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,h,196070,194295,1234)}e=DD(a)|0;if(e^(DD(c)|0)){f[h>>2]=0;f[h+4>>2]=0;y=YG(h,30)|0;z=196078;A=y+30|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,h,196070,194295,1236)}if(DD(a)|0?DD(c)|0:0)GD(d);else B=8;a:do if((B|0)==8){z=pD(a)|0;if(((((pD(c)|0)==131072&1)+((z|0)==131072&1)|0)!=1?yD(a,c)|0:0)?(z=oD(a,-1)|0,(z|0)==(oD(c,-1)|0)):0)C=0;else B=11;do if((B|0)==11){z=oD(c,-1)|0;y=pD(a)|0;A=pD(c)|0;if((zD(a,-1)|0)<=2?ED(a,-1)|0:0){nD(h,a,-1);e=f[h>>2]|0;D=(e|0)==1;if(!D?(f[h+4>>2]|0)!=1:0)E=0;else{F=(z>>>3&511)+1|0;if(!((y|0)!=131072&(A|0)==131072)){A=f[h+4>>2]|0;y=(A|0)==1;if(!((e|0)==(F|0)&y|D&(y|(A|0)==(F|0))))if(D&(A|0)==4)E=F>>>0<5&(oD(a,-1)|0)==6;else E=0;else E=1}else E=0}G=E}else G=0;F=oD(a,-1)|0;A=pD(c)|0;D=pD(a)|0;if((zD(c,-1)|0)<=2?ED(c,-1)|0:0){nD(h,c,-1);y=f[h>>2]|0;e=(y|0)==1;if(!e?(f[h+4>>2]|0)!=1:0)H=0;else{z=(F>>>3&511)+1|0;if(!((A|0)!=131072&(D|0)==131072)){D=f[h+4>>2]|0;A=(D|0)==1;if(!((y|0)==(z|0)&A|e&(A|(D|0)==(z|0))))if(e&(D|0)==4)H=z>>>0<5&(oD(c,-1)|0)==6;else H=0;else H=1}else H=0}I=H}else I=0;if(I|G^1){if(G^I){C=1;break}f[h>>2]=0;f[h+4>>2]=0;Krc(YG(h,139)|0,196109,139)|0;SQ(-209,h,196070,194295,1263)}z=f[i>>2]|0;switch(z|0){case 3:{K=1;break}case 4:{K=2;break}case 2:{K=4;break}default:K=(z|0)==1?3:z}f[i>>2]=K;nJ(c,a,d,K);break a}while(0);z=pD(a)|0;D=pD(c)|0;do if((pD(a)|0)==65536){e=f[a+4>>2]|0;f[h>>2]=f[e>>2];A=h+4|0;y=e+4|0;f[A>>2]=f[y>>2];F=h+8|0;f[F>>2]=f[e+8>>2];f[h+12>>2]=f[e+12>>2];f[h+16>>2]=f[e+16>>2];f[h+20>>2]=f[e+20>>2];f[h+24>>2]=f[e+24>>2];f[h+28>>2]=f[e+28>>2];f[h+32>>2]=f[e+32>>2];L=f[e+36>>2]|0;f[h+36>>2]=L;f[h+40>>2]=F;F=h+48|0;M=h+44|0;f[M>>2]=F;f[F>>2]=0;f[h+52>>2]=0;if(L|0){F=L+12|0;f[F>>2]=(f[F>>2]|0)+1}if((f[y>>2]|0)<3){y=f[e+44>>2]|0;F=f[M>>2]|0;f[F>>2]=f[y>>2];f[F+4>>2]=f[y+4>>2];break}else{f[A>>2]=0;kP(h,e);break}}else lD(h,a,-1);while(0);do if((pD(c)|0)==65536){e=f[c+4>>2]|0;f[k>>2]=f[e>>2];A=k+4|0;y=e+4|0;f[A>>2]=f[y>>2];F=k+8|0;f[F>>2]=f[e+8>>2];f[k+12>>2]=f[e+12>>2];f[k+16>>2]=f[e+16>>2];f[k+20>>2]=f[e+20>>2];f[k+24>>2]=f[e+24>>2];f[k+28>>2]=f[e+28>>2];f[k+32>>2]=f[e+32>>2];M=f[e+36>>2]|0;f[k+36>>2]=M;f[k+40>>2]=F;F=k+48|0;L=k+44|0;f[L>>2]=F;f[F>>2]=0;f[k+52>>2]=0;if(M|0){F=M+12|0;f[F>>2]=(f[F>>2]|0)+1}if((f[y>>2]|0)<3){y=f[e+44>>2]|0;F=f[L>>2]|0;f[F>>2]=f[y>>2];f[F+4>>2]=f[y+4>>2];break}else{f[A>>2]=0;kP(k,e);break}}else lD(k,c,-1);while(0);e=h+4|0;A=f[e>>2]|0;if(((z|0)==(D|0)&(A|0)<3?(f[k+4>>2]|0)<3:0)?(y=h+40|0,F=f[y>>2]|0,L=f[F+4>>2]|0,M=f[F>>2]|0,N=f[k+40>>2]|0,(M|0)==(f[N>>2]|0)?(L|0)==(f[N+4>>2]|0):0):0){N=f[h>>2]|0;O=f[k>>2]|0;P=(N>>>3&511)+1|0;if(!((O^N)&4095)){f[l>>2]=L;f[l+4>>2]=M;HD(d,l,(P<<3)+-8|0,-1,0,0);do if((pD(d)|0)==65536){M=f[d+4>>2]|0;f[m>>2]=f[M>>2];L=m+4|0;Q=M+4|0;f[L>>2]=f[Q>>2];R=m+8|0;f[R>>2]=f[M+8>>2];f[m+12>>2]=f[M+12>>2];f[m+16>>2]=f[M+16>>2];f[m+20>>2]=f[M+20>>2];f[m+24>>2]=f[M+24>>2];f[m+28>>2]=f[M+28>>2];f[m+32>>2]=f[M+32>>2];S=f[M+36>>2]|0;f[m+36>>2]=S;f[m+40>>2]=R;R=m+48|0;T=m+44|0;f[T>>2]=R;f[R>>2]=0;f[m+52>>2]=0;if(S|0){R=S+12|0;f[R>>2]=(f[R>>2]|0)+1}if((f[Q>>2]|0)<3){Q=f[M+44>>2]|0;R=f[T>>2]|0;f[R>>2]=f[Q>>2];f[R+4>>2]=f[Q+4>>2];U=m;break}else{f[L>>2]=0;kP(m,M);U=m;break}}else{lD(m,d,-1);U=m}while(0);D=f[h>>2]|0;z=(D>>>3&511)+1|0;M=f[k>>2]|0;L=f[U>>2]|0;Q=f[h+12>>2]|0;R=f[h+8>>2]|0;T=Urc(Q|0,((Q|0)<0)<<31>>31|0,z|0,0)|0;S=Urc(T|0,J|0,R|0,((R|0)<0)<<31>>31|0)|0;if((D&16384&M&L|0)!=0?(S|0)==(S|0)&(((S|0)<0)<<31>>31|0)==(J|0):0){V=1;W=S}else{V=R;W=Y(Q,z)|0}z=m+16|0;Q=m+44|0;R=m+48|0;Rh[f[44144+((D&7)<<2)>>2]&127](f[h+16>>2]|0,f[h+48>>2]|0,f[k+16>>2]|0,f[k+48>>2]|0,f[z>>2]|0,f[R>>2]|0,W,V,i);D=m+36|0;S=f[D>>2]|0;if(S|0?(L=S+12|0,S=f[L>>2]|0,f[L>>2]=S+-1,(S|0)==1):0)lP(m);f[D>>2]=0;D=m+4|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[D>>2]|0)>0){z=f[m+40>>2]|0;S=0;do{f[z+(S<<2)>>2]=0;S=S+1|0}while((S|0)<(f[D>>2]|0))}D=f[Q>>2]|0;if((D|0)!=(R|0))tE(D);X=k+36|0}else{Z=k;_=y;$=N;aa=O;ba=P;ca=F;da=h;B=75}}else{D=f[h>>2]|0;S=h+40|0;Z=k;_=S;$=D;aa=f[k>>2]|0;ba=(D>>>3&511)+1|0;ca=f[S>>2]|0;da=h;B=75}if((B|0)==75){S=$&7;D=aa&7;ID(d,A,ca,(ba<<3)+-8|0,-1,0,0);xP(m,h,1,0);z=m+36|0;L=f[z>>2]|0;if(L|0){M=L+12|0;f[M>>2]=(f[M>>2]|0)+1}M=h+36|0;L=f[M>>2]|0;if(L|0?(T=L+12|0,L=f[T>>2]|0,f[T>>2]=L+-1,(L|0)==1):0)lP(h);f[M>>2]=0;L=h+16|0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;if((f[e>>2]|0)>0){T=f[_>>2]|0;ea=0;do{f[T+(ea<<2)>>2]=0;ea=ea+1|0;fa=f[e>>2]|0}while((ea|0)<(fa|0));f[da>>2]=f[m>>2];if((fa|0)<3)B=85;else B=87}else{f[da>>2]=f[m>>2];B=85}if((B|0)==85){ea=f[m+4>>2]|0;if((ea|0)<3){f[e>>2]=ea;f[h+8>>2]=f[m+8>>2];f[h+12>>2]=f[m+12>>2];ea=f[m+44>>2]|0;T=f[h+44>>2]|0;f[T>>2]=f[ea>>2];f[T+4>>2]=f[ea+4>>2]}else B=87}if((B|0)==87)kP(h,m);ea=m+16|0;f[L>>2]=f[ea>>2];f[h+20>>2]=f[m+20>>2];f[h+24>>2]=f[m+24>>2];f[h+28>>2]=f[m+28>>2];f[h+32>>2]=f[m+32>>2];T=f[z>>2]|0;f[M>>2]=T;if(T|0?(A=T+12|0,T=f[A>>2]|0,f[A>>2]=T+-1,(T|0)==1):0)lP(m);f[z>>2]=0;T=m+4|0;f[ea>>2]=0;f[ea+4>>2]=0;f[ea+8>>2]=0;f[ea+12>>2]=0;if((f[T>>2]|0)>0){ea=f[m+40>>2]|0;A=0;do{f[ea+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[T>>2]|0))}T=f[m+44>>2]|0;if((T|0)!=(m+48|0))tE(T);xP(m,k,1,0);T=m+36|0;A=f[T>>2]|0;if(A|0){ea=A+12|0;f[ea>>2]=(f[ea>>2]|0)+1}ea=k+36|0;A=f[ea>>2]|0;if(A|0?(z=A+12|0,A=f[z>>2]|0,f[z>>2]=A+-1,(A|0)==1):0)lP(k);f[ea>>2]=0;A=k+16|0;z=k+4|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[z>>2]|0)>0){M=f[k+40>>2]|0;L=0;do{f[M+(L<<2)>>2]=0;L=L+1|0;ga=f[z>>2]|0}while((L|0)<(ga|0));f[Z>>2]=f[m>>2];if((ga|0)<3)B=106;else B=108}else{f[Z>>2]=f[m>>2];B=106}if((B|0)==106){L=f[m+4>>2]|0;if((L|0)<3){f[z>>2]=L;f[k+8>>2]=f[m+8>>2];f[k+12>>2]=f[m+12>>2];L=f[m+44>>2]|0;M=f[k+44>>2]|0;f[M>>2]=f[L>>2];f[M+4>>2]=f[L+4>>2]}else B=108}if((B|0)==108)kP(k,m);L=m+16|0;f[A>>2]=f[L>>2];f[k+20>>2]=f[m+20>>2];f[k+24>>2]=f[m+24>>2];f[k+28>>2]=f[m+28>>2];f[k+32>>2]=f[m+32>>2];M=f[T>>2]|0;f[ea>>2]=M;do if(M|0){F=M+12|0;P=f[F>>2]|0;f[F>>2]=P+-1;if((P|0)!=1)break;lP(m)}while(0);f[T>>2]=0;M=m+4|0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;if((f[M>>2]|0)>0){z=f[m+40>>2]|0;P=0;do{f[z+(P<<2)>>2]=0;P=P+1|0}while((P|0)<(f[M>>2]|0))}M=f[m+44>>2]|0;if((M|0)!=(m+48|0))tE(M);do if((pD(d)|0)==65536){M=f[d+4>>2]|0;f[n>>2]=f[M>>2];P=n+4|0;z=M+4|0;f[P>>2]=f[z>>2];L=n+8|0;f[L>>2]=f[M+8>>2];f[n+12>>2]=f[M+12>>2];f[n+16>>2]=f[M+16>>2];f[n+20>>2]=f[M+20>>2];f[n+24>>2]=f[M+24>>2];f[n+28>>2]=f[M+28>>2];f[n+32>>2]=f[M+32>>2];T=f[M+36>>2]|0;f[n+36>>2]=T;f[n+40>>2]=L;L=n+48|0;F=n+44|0;f[F>>2]=L;f[L>>2]=0;f[n+52>>2]=0;if(T|0){L=T+12|0;f[L>>2]=(f[L>>2]|0)+1}if((f[z>>2]|0)<3){z=f[M+44>>2]|0;L=f[F>>2]|0;f[L>>2]=f[z>>2];f[L+4>>2]=f[z+4>>2];break}else{f[P>>2]=0;kP(n,M);break}}else lD(n,d,-1);while(0);xP(m,n,1,0);M=n+36|0;P=f[M>>2]|0;do if(P|0){z=P+12|0;L=f[z>>2]|0;f[z>>2]=L+-1;if((L|0)!=1)break;lP(n)}while(0);f[M>>2]=0;P=n+16|0;L=n+4|0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;if((f[L>>2]|0)>0){P=f[n+40>>2]|0;z=0;do{f[P+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[L>>2]|0))}L=f[n+44>>2]|0;if((L|0)!=(n+48|0))tE(L);L=f[e>>2]|0;if((L|0)>0)ha=f[(f[h+44>>2]|0)+(L+-1<<2)>>2]|0;else ha=0;L=(ha|0)==0?1:ha;z=((L+1023|0)>>>0)/(L>>>0)|0;P=f[44144+(S<<2)>>2]|0;if(C){f[o>>2]=h;f[o+4>>2]=m;f[o+8>>2]=0;M=q;f[M>>2]=0;f[M+4>>2]=0;IN(r,o,q,-1);M=f[r+20>>2]|0;F=z>>>0<M>>>0?z:M;z=Y(F,L)|0;T=s+8|0;f[s>>2]=T;O=s+4|0;f[O>>2]=z;if(z>>>0>1032){N=Dmc(z)|0;f[s>>2]=N;ia=N}else ia=T;b:do if(S>>>0>4){_G(k,S,ia,F);B=162}else{p[t>>3]=0.0;N=PN(D,6)|0;z=f[A>>2]|0;f[v>>2]=1;f[v+4>>2]=1;Fh[N&255](z,1,0,1,t,1,v,0);ja=+p[t>>3];do if(ja<+p[10720+(S<<3)>>3]){z=f[i>>2]|0;ka=(z|0)==5|(z+-1|0)>>>0<2?255.0:0.0;p[w>>3]=ka;p[w+8>>3]=ka;p[w+16>>3]=ka;p[w+24>>3]=ka;nT(m,w)|0}else{if(ja>+p[10784+(S<<3)>>3]){ka=((f[i>>2]|0)+-3|0)>>>0<3?255.0:0.0;p[w>>3]=ka;p[w+8>>3]=ka;p[w+16>>3]=ka;p[w+24>>3]=ka;nT(m,w)|0;break}z=V9b(ja)|0;f[w>>2]=z;c:do if(ja!=+(z|0)){N=f[i>>2]|0;if((N|1|0)==3){y=~~ja;f[w>>2]=(+(y|0)<ja&1)+y;break}switch(N|0){case 1:case 4:{y=~~ja;f[w>>2]=y-(+(y|0)>ja&1);break c;break}default:{ka=(N|0)==5?255.0:0.0;p[x>>3]=ka;p[x+8>>3]=ka;p[x+16>>3]=ka;p[x+24>>3]=ka;nT(m,x)|0;break b}}}while(0);f[x>>2]=1124007940;z=x+4|0;f[z>>2]=2;N=x+8|0;f[N>>2]=1;f[x+12>>2]=1;y=x+16|0;f[y>>2]=w;f[x+20>>2]=w;R=x+24|0;Q=x+40|0;la=R+8|0;f[la>>2]=0;f[la+4>>2]=0;f[Q>>2]=N;N=x+48|0;la=x+44|0;f[la>>2]=N;f[N>>2]=4;f[x+52>>2]=4;ma=w+4|0;f[x+28>>2]=ma;f[R>>2]=ma;hP(x);_G(x,S,ia,F);ma=x+36|0;R=f[ma>>2]|0;do if(R|0){na=R+12|0;oa=f[na>>2]|0;f[na>>2]=oa+-1;if((oa|0)!=1)break;lP(x)}while(0);f[ma>>2]=0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[z>>2]|0)>0){R=f[Q>>2]|0;oa=0;do{f[R+(oa<<2)>>2]=0;oa=oa+1|0}while((oa|0)<(f[z>>2]|0))}z=f[la>>2]|0;if((z|0)!=(N|0))tE(z);B=162;break b}while(0)}while(0);d:do if((B|0)==162){S=r+16|0;A=q+4|0;if(!M){D=0;while(1){if(D>>>0>=(f[S>>2]|0)>>>0)break d;JN(r)|0;D=D+1|0}}else pa=0;while(1){if(pa>>>0>=(f[S>>2]|0)>>>0)break d;D=0;e=f[q>>2]|0;z=f[A>>2]|0;do{oa=M-D|0;R=oa>>>0>F>>>0?F:oa;Rh[P&127](e,0,ia,0,z,0,R,1,i);oa=Y(R,L)|0;e=(f[q>>2]|0)+oa|0;f[q>>2]=e;z=(f[A>>2]|0)+R|0;f[A>>2]=z;D=D+F|0}while(M>>>0>D>>>0);JN(r)|0;pa=pa+1|0}}while(0);M=f[s>>2]|0;if((M|0)!=(T|0)){if(M|0)Fmc(M);f[s>>2]=T;f[O>>2]=1032}}else{f[o>>2]=h;f[o+4>>2]=k;f[o+8>>2]=m;f[o+12>>2]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;IN(r,o,q,-1);M=f[r+20>>2]|0;F=r+16|0;L=q+4|0;A=q+8|0;S=0;while(1){if(S>>>0>=(f[F>>2]|0)>>>0)break;Rh[P&127](f[q>>2]|0,0,f[L>>2]|0,0,f[A>>2]|0,0,M,1,i);JN(r)|0;S=S+1|0}}S=m+36|0;M=f[S>>2]|0;do if(M|0){A=M+12|0;L=f[A>>2]|0;f[A>>2]=L+-1;if((L|0)!=1)break;lP(m)}while(0);f[S>>2]=0;M=m+16|0;L=m+4|0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[L>>2]|0)>0){M=f[m+40>>2]|0;A=0;do{f[M+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[L>>2]|0))}L=f[m+44>>2]|0;if((L|0)!=(m+48|0))tE(L);X=ea}L=f[X>>2]|0;if(L|0?(A=L+12|0,L=f[A>>2]|0,f[A>>2]=L+-1,(L|0)==1):0)lP(k);f[X>>2]=0;L=k+16|0;A=k+4|0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;if((f[A>>2]|0)>0){L=f[k+40>>2]|0;M=0;do{f[L+(M<<2)>>2]=0;M=M+1|0}while((M|0)<(f[A>>2]|0))}A=f[k+44>>2]|0;if((A|0)!=(k+48|0))tE(A);A=h+36|0;M=f[A>>2]|0;if(M|0?(L=M+12|0,M=f[L>>2]|0,f[L>>2]=M+-1,(M|0)==1):0)lP(h);f[A>>2]=0;A=h+16|0;M=h+4|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[M>>2]|0)>0){A=f[h+40>>2]|0;L=0;do{f[A+(L<<2)>>2]=0;L=L+1|0}while((L|0)<(f[M>>2]|0))}M=f[h+44>>2]|0;if((M|0)!=(h+48|0))tE(M)}while(0);if(!(f[j+4>>2]|0)){u=g;return}u=g;return}function oJ(a,c,d,e,g,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;m=a;a=d;d=f[l>>2]|0;l=(d|1|0)==3;n=l?a:m;o=l?e:c;p=l?m:a;a=l?c:e;e=l?((d|0)==2?4:1):d;switch(e|0){case 1:case 4:{d=(e|0)==1?0:255;if((k|0)!=0&(j|0)>0){q=g;r=k;s=p;t=n}else return;while(1){r=r+-1|0;l=t;c=s;m=0;do{b[q+m>>0]=((h[l+m>>0]|0)>(h[c+m>>0]|0))<<31>>31^d;m=m+1|0}while((m|0)!=(j|0));if(!r)break;else{q=q+i|0;s=c+a|0;t=l+o|0}}return}case 0:case 5:{t=(e|0)==0?0:255;if((k|0)!=0&(j|0)>0){u=g;v=k;w=p;x=n}else return;while(1){v=v+-1|0;n=x;p=w;k=0;do{b[u+k>>0]=((b[n+k>>0]|0)==(b[p+k>>0]|0))<<31>>31^t;k=k+1|0}while((k|0)!=(j|0));if(!v)break;else{u=u+i|0;w=p+a|0;x=n+o|0}}return}default:return}}function pJ(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;l=f[k>>2]|0;k=a;a=d;d=(l|1|0)==3;m=d?e:c;n=d?k:a;o=d?c:e;e=d?a:k;k=d?((l|0)==2?4:1):l;switch(k|0){case 1:case 4:{l=(k|0)==1?0:255;d=j+-1|0;if(!j)return;a=i+-4|0;if((i|0)<4){if((i|0)>0){p=g;q=n;r=e;s=d}else return;while(1){c=r;t=q;u=0;do{b[p+u>>0]=((b[c+u>>0]|0)>(b[t+u>>0]|0))<<31>>31^l;u=u+1|0}while((u|0)!=(i|0));if(!s)break;else{p=p+h|0;q=t+o|0;r=c+m|0;s=s+-1|0}}return}s=i&-4;if((s|0)<(i|0)){v=g;w=n;x=e;y=d}else{r=g;q=n;p=e;u=d;while(1){d=p;z=q;A=0;do{B=A|1;C=((b[d+B>>0]|0)>(b[z+B>>0]|0))<<31>>31^l;b[r+A>>0]=((b[d+A>>0]|0)>(b[z+A>>0]|0))<<31>>31^l;b[r+B>>0]=C;C=A|2;B=A|3;D=((b[d+B>>0]|0)>(b[z+B>>0]|0))<<31>>31^l;b[r+C>>0]=((b[d+C>>0]|0)>(b[z+C>>0]|0))<<31>>31^l;b[r+B>>0]=D;A=A+4|0}while((A|0)<=(a|0));if(!u)break;else{r=r+h|0;q=z+o|0;p=d+m|0;u=u+-1|0}}return}while(1){u=x;p=w;q=0;do{r=q|1;A=((b[u+r>>0]|0)>(b[p+r>>0]|0))<<31>>31^l;b[v+q>>0]=((b[u+q>>0]|0)>(b[p+q>>0]|0))<<31>>31^l;b[v+r>>0]=A;A=q|2;r=q|3;c=((b[u+r>>0]|0)>(b[p+r>>0]|0))<<31>>31^l;b[v+A>>0]=((b[u+A>>0]|0)>(b[p+A>>0]|0))<<31>>31^l;b[v+r>>0]=c;q=q+4|0}while((q|0)<=(a|0));E=s;do{b[v+E>>0]=((b[u+E>>0]|0)>(b[p+E>>0]|0))<<31>>31^l;E=E+1|0}while((E|0)!=(i|0));if(!y)break;else{v=v+h|0;w=p+o|0;x=u+m|0;y=y+-1|0}}return}case 0:case 5:{y=(k|0)==0?0:255;k=j+-1|0;if(!j)return;j=i+-4|0;if((i|0)<4){if((i|0)>0){F=g;G=n;H=e;I=k}else return;while(1){x=H;w=G;v=0;do{b[F+v>>0]=((b[x+v>>0]|0)==(b[w+v>>0]|0))<<31>>31^y;v=v+1|0}while((v|0)!=(i|0));if(!I)break;else{F=F+h|0;G=w+o|0;H=x+m|0;I=I+-1|0}}return}I=i&-4;if((I|0)<(i|0)){J=g;K=n;L=e;M=k}else{H=g;g=n;n=e;e=k;while(1){k=n;G=g;F=0;do{v=F|1;u=((b[k+v>>0]|0)==(b[G+v>>0]|0))<<31>>31^y;b[H+F>>0]=((b[k+F>>0]|0)==(b[G+F>>0]|0))<<31>>31^y;b[H+v>>0]=u;u=F|2;v=F|3;p=((b[k+v>>0]|0)==(b[G+v>>0]|0))<<31>>31^y;b[H+u>>0]=((b[k+u>>0]|0)==(b[G+u>>0]|0))<<31>>31^y;b[H+v>>0]=p;F=F+4|0}while((F|0)<=(j|0));if(!e)break;else{H=H+h|0;g=G+o|0;n=k+m|0;e=e+-1|0}}return}while(1){e=L;n=K;g=0;do{H=g|1;F=((b[e+H>>0]|0)==(b[n+H>>0]|0))<<31>>31^y;b[J+g>>0]=((b[e+g>>0]|0)==(b[n+g>>0]|0))<<31>>31^y;b[J+H>>0]=F;F=g|2;H=g|3;x=((b[e+H>>0]|0)==(b[n+H>>0]|0))<<31>>31^y;b[J+F>>0]=((b[e+F>>0]|0)==(b[n+F>>0]|0))<<31>>31^y;b[J+H>>0]=x;g=g+4|0}while((g|0)<=(j|0));N=I;do{b[J+N>>0]=((b[e+N>>0]|0)==(b[n+N>>0]|0))<<31>>31^y;N=N+1|0}while((N|0)!=(i|0));if(!M)break;else{J=J+h|0;K=n+o|0;L=e+m|0;M=M+-1|0}}return}default:return}}function qJ(a,c,e,g,h,i,k,l,m){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;n=f[m>>2]|0;m=a;a=e;e=c>>>1;c=g>>>1;g=(n|1|0)==3;o=g?c:e;p=g?m:a;q=g?e:c;c=g?a:m;m=g?((n|0)==2?4:1):n;switch(m|0){case 1:case 4:{n=(m|0)==1?0:255;g=l+-1|0;if(!l)return;a=k+-4|0;if((k|0)<4){if((k|0)>0){r=h;s=p;t=c;u=g}else return;while(1){e=t;v=s;w=0;do{b[r+w>>0]=((j[e+(w<<1)>>1]|0)>(j[v+(w<<1)>>1]|0))<<31>>31^n;w=w+1|0}while((w|0)!=(k|0));if(!u)break;else{r=r+i|0;s=v+(q<<1)|0;t=e+(o<<1)|0;u=u+-1|0}}return}u=k&-4;if((u|0)<(k|0)){x=h;y=p;z=c;A=g}else{t=h;s=p;r=c;w=g;while(1){g=r;B=s;C=0;do{D=C|1;E=((j[g+(D<<1)>>1]|0)>(j[B+(D<<1)>>1]|0))<<31>>31^n;b[t+C>>0]=((j[g+(C<<1)>>1]|0)>(j[B+(C<<1)>>1]|0))<<31>>31^n;b[t+D>>0]=E;E=C|2;D=C|3;F=((j[g+(D<<1)>>1]|0)>(j[B+(D<<1)>>1]|0))<<31>>31^n;b[t+E>>0]=((j[g+(E<<1)>>1]|0)>(j[B+(E<<1)>>1]|0))<<31>>31^n;b[t+D>>0]=F;C=C+4|0}while((C|0)<=(a|0));if(!w)break;else{t=t+i|0;s=B+(q<<1)|0;r=g+(o<<1)|0;w=w+-1|0}}return}while(1){w=z;r=y;s=0;do{t=s|1;C=((j[w+(t<<1)>>1]|0)>(j[r+(t<<1)>>1]|0))<<31>>31^n;b[x+s>>0]=((j[w+(s<<1)>>1]|0)>(j[r+(s<<1)>>1]|0))<<31>>31^n;b[x+t>>0]=C;C=s|2;t=s|3;e=((j[w+(t<<1)>>1]|0)>(j[r+(t<<1)>>1]|0))<<31>>31^n;b[x+C>>0]=((j[w+(C<<1)>>1]|0)>(j[r+(C<<1)>>1]|0))<<31>>31^n;b[x+t>>0]=e;s=s+4|0}while((s|0)<=(a|0));G=u;do{b[x+G>>0]=((j[w+(G<<1)>>1]|0)>(j[r+(G<<1)>>1]|0))<<31>>31^n;G=G+1|0}while((G|0)!=(k|0));if(!A)break;else{x=x+i|0;y=r+(q<<1)|0;z=w+(o<<1)|0;A=A+-1|0}}return}case 0:case 5:{A=(m|0)==0?0:255;m=l+-1|0;if(!l)return;l=k+-4|0;if((k|0)<4){if((k|0)>0){H=h;I=p;J=c;K=m}else return;while(1){z=J;y=I;x=0;do{b[H+x>>0]=((d[z+(x<<1)>>1]|0)==(d[y+(x<<1)>>1]|0))<<31>>31^A;x=x+1|0}while((x|0)!=(k|0));if(!K)break;else{H=H+i|0;I=y+(q<<1)|0;J=z+(o<<1)|0;K=K+-1|0}}return}K=k&-4;J=(K|0)<(k|0);I=h;h=p;p=c;c=m;while(1){m=p;H=h;x=0;do{w=x|1;r=((d[m+(w<<1)>>1]|0)==(d[H+(w<<1)>>1]|0))<<31>>31^A;b[I+x>>0]=((d[m+(x<<1)>>1]|0)==(d[H+(x<<1)>>1]|0))<<31>>31^A;b[I+w>>0]=r;r=x|2;w=x|3;G=((d[m+(w<<1)>>1]|0)==(d[H+(w<<1)>>1]|0))<<31>>31^A;b[I+r>>0]=((d[m+(r<<1)>>1]|0)==(d[H+(r<<1)>>1]|0))<<31>>31^A;b[I+w>>0]=G;x=x+4|0}while((x|0)<=(l|0));if(J){x=K;do{b[I+x>>0]=((d[m+(x<<1)>>1]|0)==(d[H+(x<<1)>>1]|0))<<31>>31^A;x=x+1|0}while((x|0)!=(k|0))}if(!c)break;else{I=I+i|0;h=H+(q<<1)|0;p=m+(o<<1)|0;c=c+-1|0}}return}default:return}}function rJ(a,c,e,g,h,i,j,k,l){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;m=a;a=e;e=f[l>>2]|0;l=c>>>1;c=g>>>1;g=(e|1|0)==3;n=g?a:m;o=g?c:l;p=g?m:a;a=g?l:c;c=g?((e|0)==2?4:1):e;switch(c|0){case 1:case 4:{e=(c|0)==1?0:255;if((k|0)!=0&(j|0)>0){q=h;r=k;s=p;t=n}else return;while(1){r=r+-1|0;g=t;l=s;m=0;do{b[q+m>>0]=((d[g+(m<<1)>>1]|0)>(d[l+(m<<1)>>1]|0))<<31>>31^e;m=m+1|0}while((m|0)!=(j|0));if(!r)break;else{q=q+i|0;s=l+(a<<1)|0;t=g+(o<<1)|0}}return}case 0:case 5:{t=(c|0)==0?0:255;if((k|0)!=0&(j|0)>0){u=h;v=k;w=p;x=n}else return;while(1){v=v+-1|0;n=x;p=w;k=0;do{b[u+k>>0]=((d[n+(k<<1)>>1]|0)==(d[p+(k<<1)>>1]|0))<<31>>31^t;k=k+1|0}while((k|0)!=(j|0));if(!v)break;else{u=u+i|0;w=p+(a<<1)|0;x=n+(o<<1)|0}}return}default:return}}function sJ(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;l=f[k>>2]|0;k=a;a=d;d=c>>>2;c=e>>>2;e=(l|1|0)==3;m=e?c:d;n=e?k:a;o=e?d:c;c=e?a:k;k=e?((l|0)==2?4:1):l;switch(k|0){case 1:case 4:{l=(k|0)==1?0:255;e=j+-1|0;if(!j)return;a=i+-4|0;if((i|0)<4){if((i|0)>0){p=g;q=n;r=c;s=e}else return;while(1){d=r;t=q;u=0;do{b[p+u>>0]=((f[d+(u<<2)>>2]|0)>(f[t+(u<<2)>>2]|0))<<31>>31^l;u=u+1|0}while((u|0)!=(i|0));if(!s)break;else{p=p+h|0;q=t+(o<<2)|0;r=d+(m<<2)|0;s=s+-1|0}}return}s=i&-4;if((s|0)<(i|0)){v=g;w=n;x=c;y=e}else{r=g;q=n;p=c;u=e;while(1){e=p;z=q;A=0;do{B=A|1;C=((f[e+(B<<2)>>2]|0)>(f[z+(B<<2)>>2]|0))<<31>>31^l;b[r+A>>0]=((f[e+(A<<2)>>2]|0)>(f[z+(A<<2)>>2]|0))<<31>>31^l;b[r+B>>0]=C;C=A|2;B=A|3;D=((f[e+(B<<2)>>2]|0)>(f[z+(B<<2)>>2]|0))<<31>>31^l;b[r+C>>0]=((f[e+(C<<2)>>2]|0)>(f[z+(C<<2)>>2]|0))<<31>>31^l;b[r+B>>0]=D;A=A+4|0}while((A|0)<=(a|0));if(!u)break;else{r=r+h|0;q=z+(o<<2)|0;p=e+(m<<2)|0;u=u+-1|0}}return}while(1){u=x;p=w;q=0;do{r=q|1;A=((f[u+(r<<2)>>2]|0)>(f[p+(r<<2)>>2]|0))<<31>>31^l;b[v+q>>0]=((f[u+(q<<2)>>2]|0)>(f[p+(q<<2)>>2]|0))<<31>>31^l;b[v+r>>0]=A;A=q|2;r=q|3;d=((f[u+(r<<2)>>2]|0)>(f[p+(r<<2)>>2]|0))<<31>>31^l;b[v+A>>0]=((f[u+(A<<2)>>2]|0)>(f[p+(A<<2)>>2]|0))<<31>>31^l;b[v+r>>0]=d;q=q+4|0}while((q|0)<=(a|0));E=s;do{b[v+E>>0]=((f[u+(E<<2)>>2]|0)>(f[p+(E<<2)>>2]|0))<<31>>31^l;E=E+1|0}while((E|0)!=(i|0));if(!y)break;else{v=v+h|0;w=p+(o<<2)|0;x=u+(m<<2)|0;y=y+-1|0}}return}case 0:case 5:{y=(k|0)==0?0:255;k=j+-1|0;if(!j)return;j=i+-4|0;if((i|0)<4){if((i|0)>0){F=g;G=n;H=c;I=k}else return;while(1){x=H;w=G;v=0;do{b[F+v>>0]=((f[x+(v<<2)>>2]|0)==(f[w+(v<<2)>>2]|0))<<31>>31^y;v=v+1|0}while((v|0)!=(i|0));if(!I)break;else{F=F+h|0;G=w+(o<<2)|0;H=x+(m<<2)|0;I=I+-1|0}}return}I=i&-4;H=(I|0)<(i|0);G=g;g=n;n=c;c=k;while(1){k=n;F=g;v=0;do{u=v|1;p=((f[k+(u<<2)>>2]|0)==(f[F+(u<<2)>>2]|0))<<31>>31^y;b[G+v>>0]=((f[k+(v<<2)>>2]|0)==(f[F+(v<<2)>>2]|0))<<31>>31^y;b[G+u>>0]=p;p=v|2;u=v|3;E=((f[k+(u<<2)>>2]|0)==(f[F+(u<<2)>>2]|0))<<31>>31^y;b[G+p>>0]=((f[k+(p<<2)>>2]|0)==(f[F+(p<<2)>>2]|0))<<31>>31^y;b[G+u>>0]=E;v=v+4|0}while((v|0)<=(j|0));if(H){v=I;do{b[G+v>>0]=((f[k+(v<<2)>>2]|0)==(f[F+(v<<2)>>2]|0))<<31>>31^y;v=v+1|0}while((v|0)!=(i|0))}if(!c)break;else{G=G+h|0;g=F+(o<<2)|0;n=k+(m<<2)|0;c=c+-1|0}}return}default:return}}function tJ(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;l=f[k>>2]|0;k=a;a=d;d=c>>>2;c=e>>>2;e=(l|1|0)==3;m=e?c:d;o=e?k:a;p=e?d:c;c=e?a:k;k=e?((l|0)==2?4:1):l;switch(k|0){case 1:case 4:{l=(k|0)==1?0:255;e=j+-1|0;if(!j)return;a=i+-4|0;if((i|0)<4){if((i|0)>0){q=g;r=o;s=c;t=e}else return;while(1){d=s;u=r;v=0;do{b[q+v>>0]=(+n[d+(v<<2)>>2]>+n[u+(v<<2)>>2])<<31>>31^l;v=v+1|0}while((v|0)!=(i|0));if(!t)break;else{q=q+h|0;r=u+(p<<2)|0;s=d+(m<<2)|0;t=t+-1|0}}return}t=i&-4;if((t|0)<(i|0)){w=g;x=o;y=c;z=e}else{s=g;r=o;q=c;v=e;while(1){e=q;A=r;B=0;do{C=B|1;D=(+n[e+(C<<2)>>2]>+n[A+(C<<2)>>2])<<31>>31^l;b[s+B>>0]=(+n[e+(B<<2)>>2]>+n[A+(B<<2)>>2])<<31>>31^l;b[s+C>>0]=D;D=B|2;C=B|3;E=(+n[e+(C<<2)>>2]>+n[A+(C<<2)>>2])<<31>>31^l;b[s+D>>0]=(+n[e+(D<<2)>>2]>+n[A+(D<<2)>>2])<<31>>31^l;b[s+C>>0]=E;B=B+4|0}while((B|0)<=(a|0));if(!v)break;else{s=s+h|0;r=A+(p<<2)|0;q=e+(m<<2)|0;v=v+-1|0}}return}while(1){v=y;q=x;r=0;do{s=r|1;B=(+n[v+(s<<2)>>2]>+n[q+(s<<2)>>2])<<31>>31^l;b[w+r>>0]=(+n[v+(r<<2)>>2]>+n[q+(r<<2)>>2])<<31>>31^l;b[w+s>>0]=B;B=r|2;s=r|3;d=(+n[v+(s<<2)>>2]>+n[q+(s<<2)>>2])<<31>>31^l;b[w+B>>0]=(+n[v+(B<<2)>>2]>+n[q+(B<<2)>>2])<<31>>31^l;b[w+s>>0]=d;r=r+4|0}while((r|0)<=(a|0));F=t;do{b[w+F>>0]=(+n[v+(F<<2)>>2]>+n[q+(F<<2)>>2])<<31>>31^l;F=F+1|0}while((F|0)!=(i|0));if(!z)break;else{w=w+h|0;x=q+(p<<2)|0;y=v+(m<<2)|0;z=z+-1|0}}return}case 0:case 5:{z=(k|0)==0?0:255;k=j+-1|0;if(!j)return;j=i+-4|0;if((i|0)<4){if((i|0)>0){G=g;H=o;I=c;J=k}else return;while(1){y=I;x=H;w=0;do{b[G+w>>0]=(+n[y+(w<<2)>>2]==+n[x+(w<<2)>>2])<<31>>31^z;w=w+1|0}while((w|0)!=(i|0));if(!J)break;else{G=G+h|0;H=x+(p<<2)|0;I=y+(m<<2)|0;J=J+-1|0}}return}J=i&-4;I=(J|0)<(i|0);H=g;g=o;o=c;c=k;while(1){k=o;G=g;w=0;do{v=w|1;q=(+n[k+(v<<2)>>2]==+n[G+(v<<2)>>2])<<31>>31^z;b[H+w>>0]=(+n[k+(w<<2)>>2]==+n[G+(w<<2)>>2])<<31>>31^z;b[H+v>>0]=q;q=w|2;v=w|3;F=(+n[k+(v<<2)>>2]==+n[G+(v<<2)>>2])<<31>>31^z;b[H+q>>0]=(+n[k+(q<<2)>>2]==+n[G+(q<<2)>>2])<<31>>31^z;b[H+v>>0]=F;w=w+4|0}while((w|0)<=(j|0));if(I){w=J;do{b[H+w>>0]=(+n[k+(w<<2)>>2]==+n[G+(w<<2)>>2])<<31>>31^z;w=w+1|0}while((w|0)!=(i|0))}if(!c)break;else{H=H+h|0;g=G+(p<<2)|0;o=k+(m<<2)|0;c=c+-1|0}}return}default:return}}function uJ(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;l=f[k>>2]|0;k=a;a=d;d=c>>>3;c=e>>>3;e=(l|1|0)==3;m=e?c:d;n=e?k:a;o=e?d:c;c=e?a:k;k=e?((l|0)==2?4:1):l;switch(k|0){case 1:case 4:{l=(k|0)==1?0:255;e=j+-1|0;if(!j)return;a=i+-4|0;if((i|0)<4){if((i|0)>0){q=g;r=n;s=c;t=e}else return;while(1){d=s;u=r;v=0;do{b[q+v>>0]=(+p[d+(v<<3)>>3]>+p[u+(v<<3)>>3])<<31>>31^l;v=v+1|0}while((v|0)!=(i|0));if(!t)break;else{q=q+h|0;r=u+(o<<3)|0;s=d+(m<<3)|0;t=t+-1|0}}return}t=i&-4;if((t|0)<(i|0)){w=g;x=n;y=c;z=e}else{s=g;r=n;q=c;v=e;while(1){e=q;A=r;B=0;do{C=B|1;D=(+p[e+(C<<3)>>3]>+p[A+(C<<3)>>3])<<31>>31^l;b[s+B>>0]=(+p[e+(B<<3)>>3]>+p[A+(B<<3)>>3])<<31>>31^l;b[s+C>>0]=D;D=B|2;C=B|3;E=(+p[e+(C<<3)>>3]>+p[A+(C<<3)>>3])<<31>>31^l;b[s+D>>0]=(+p[e+(D<<3)>>3]>+p[A+(D<<3)>>3])<<31>>31^l;b[s+C>>0]=E;B=B+4|0}while((B|0)<=(a|0));if(!v)break;else{s=s+h|0;r=A+(o<<3)|0;q=e+(m<<3)|0;v=v+-1|0}}return}while(1){v=y;q=x;r=0;do{s=r|1;B=(+p[v+(s<<3)>>3]>+p[q+(s<<3)>>3])<<31>>31^l;b[w+r>>0]=(+p[v+(r<<3)>>3]>+p[q+(r<<3)>>3])<<31>>31^l;b[w+s>>0]=B;B=r|2;s=r|3;d=(+p[v+(s<<3)>>3]>+p[q+(s<<3)>>3])<<31>>31^l;b[w+B>>0]=(+p[v+(B<<3)>>3]>+p[q+(B<<3)>>3])<<31>>31^l;b[w+s>>0]=d;r=r+4|0}while((r|0)<=(a|0));F=t;do{b[w+F>>0]=(+p[v+(F<<3)>>3]>+p[q+(F<<3)>>3])<<31>>31^l;F=F+1|0}while((F|0)!=(i|0));if(!z)break;else{w=w+h|0;x=q+(o<<3)|0;y=v+(m<<3)|0;z=z+-1|0}}return}case 0:case 5:{z=(k|0)==0?0:255;k=j+-1|0;if(!j)return;j=i+-4|0;if((i|0)<4){if((i|0)>0){G=g;H=n;I=c;J=k}else return;while(1){y=I;x=H;w=0;do{b[G+w>>0]=(+p[y+(w<<3)>>3]==+p[x+(w<<3)>>3])<<31>>31^z;w=w+1|0}while((w|0)!=(i|0));if(!J)break;else{G=G+h|0;H=x+(o<<3)|0;I=y+(m<<3)|0;J=J+-1|0}}return}J=i&-4;I=(J|0)<(i|0);H=g;g=n;n=c;c=k;while(1){k=n;G=g;w=0;do{v=w|1;q=(+p[k+(v<<3)>>3]==+p[G+(v<<3)>>3])<<31>>31^z;b[H+w>>0]=(+p[k+(w<<3)>>3]==+p[G+(w<<3)>>3])<<31>>31^z;b[H+v>>0]=q;q=w|2;v=w|3;F=(+p[k+(v<<3)>>3]==+p[G+(v<<3)>>3])<<31>>31^z;b[H+q>>0]=(+p[k+(q<<3)>>3]==+p[G+(q<<3)>>3])<<31>>31^z;b[H+v>>0]=F;w=w+4|0}while((w|0)<=(j|0));if(I){w=J;do{b[H+w>>0]=(+p[k+(w<<3)>>3]==+p[G+(w<<3)>>3])<<31>>31^z;w=w+1|0}while((w|0)!=(i|0))}if(!c)break;else{H=H+h|0;g=G+(o<<3)|0;n=k+(m<<3)|0;c=c+-1|0}}return}default:return}}function vJ(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0;g=u;u=u+1440|0;h=g+1424|0;i=g+1368|0;j=g+1312|0;k=g+1256|0;l=g+1200|0;m=g+1188|0;n=g+1168|0;o=g+1144|0;q=g+1104|0;r=g+56|0;s=g;t=g+1160|0;v=g+1136|0;w=g+1096|0;zT(h,44176);if(DD(a)|0){f[i>>2]=0;f[i+4>>2]=0;x=YG(i,14)|0;y=196308;z=x+14|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));SQ(-215,i,196323,194295,1762)}A=pD(a)|0;B=pD(c)|0;C=pD(d)|0;do if((pD(a)|0)==65536){D=f[a+4>>2]|0;f[i>>2]=f[D>>2];E=i+4|0;F=D+4|0;f[E>>2]=f[F>>2];G=i+8|0;f[G>>2]=f[D+8>>2];f[i+12>>2]=f[D+12>>2];f[i+16>>2]=f[D+16>>2];f[i+20>>2]=f[D+20>>2];f[i+24>>2]=f[D+24>>2];f[i+28>>2]=f[D+28>>2];f[i+32>>2]=f[D+32>>2];H=f[D+36>>2]|0;f[i+36>>2]=H;f[i+40>>2]=G;G=i+48|0;I=i+44|0;f[I>>2]=G;f[G>>2]=0;f[i+52>>2]=0;if(H|0){G=H+12|0;f[G>>2]=(f[G>>2]|0)+1}if((f[F>>2]|0)<3){F=f[D+44>>2]|0;G=f[I>>2]|0;f[G>>2]=f[F>>2];f[G+4>>2]=f[F+4>>2];break}else{f[E>>2]=0;kP(i,D);break}}else lD(i,a,-1);while(0);do if((pD(c)|0)==65536){a=f[c+4>>2]|0;f[j>>2]=f[a>>2];D=j+4|0;E=a+4|0;f[D>>2]=f[E>>2];F=j+8|0;f[F>>2]=f[a+8>>2];f[j+12>>2]=f[a+12>>2];f[j+16>>2]=f[a+16>>2];f[j+20>>2]=f[a+20>>2];f[j+24>>2]=f[a+24>>2];f[j+28>>2]=f[a+28>>2];f[j+32>>2]=f[a+32>>2];G=f[a+36>>2]|0;f[j+36>>2]=G;f[j+40>>2]=F;F=j+48|0;I=j+44|0;f[I>>2]=F;f[F>>2]=0;f[j+52>>2]=0;if(G|0){F=G+12|0;f[F>>2]=(f[F>>2]|0)+1}if((f[E>>2]|0)<3){E=f[a+44>>2]|0;F=f[I>>2]|0;f[F>>2]=f[E>>2];f[F+4>>2]=f[E+4>>2];break}else{f[D>>2]=0;kP(j,a);break}}else lD(j,c,-1);while(0);do if((pD(d)|0)==65536){c=f[d+4>>2]|0;f[k>>2]=f[c>>2];a=k+4|0;D=c+4|0;f[a>>2]=f[D>>2];E=k+8|0;f[E>>2]=f[c+8>>2];f[k+12>>2]=f[c+12>>2];f[k+16>>2]=f[c+16>>2];f[k+20>>2]=f[c+20>>2];f[k+24>>2]=f[c+24>>2];f[k+28>>2]=f[c+28>>2];f[k+32>>2]=f[c+32>>2];F=f[c+36>>2]|0;f[k+36>>2]=F;f[k+40>>2]=E;E=k+48|0;I=k+44|0;f[I>>2]=E;f[E>>2]=0;f[k+52>>2]=0;if(F|0){E=F+12|0;f[E>>2]=(f[E>>2]|0)+1}if((f[D>>2]|0)<3){D=f[c+44>>2]|0;E=f[I>>2]|0;f[E>>2]=f[D>>2];f[E+4>>2]=f[D+4>>2];break}else{f[a>>2]=0;kP(k,c);break}}else lD(k,d,-1);while(0);d=(A|0)!=131072;a:do if(!(d&(B|0)==131072)?(c=f[i+40>>2]|0,a=f[c+-4>>2]|0,D=f[j+40>>2]|0,(a|0)==(f[D+-4>>2]|0)):0){if((a|0)==2){if((f[c>>2]|0)!=(f[D>>2]|0)){J=33;break}if((f[c+4>>2]|0)!=(f[D+4>>2]|0)){J=33;break}}else if((a|0)>0){E=0;do{if((f[c+(E<<2)>>2]|0)!=(f[D+(E<<2)>>2]|0)){J=33;break a}E=E+1|0}while((E|0)<(a|0))}a=f[i>>2]|0;if(!((f[j>>2]^a)&4095)){K=0;L=a}else J=33}else J=33;while(0);if((J|0)==33){a=f[i>>2]|0;if((f[j+4>>2]|0)>2){f[l>>2]=0;M=l+4|0;f[M>>2]=0;N=YG(l,90)|0;x=N;y=196331;z=x+90|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));SQ(-209,l,196323,194295,1778)}E=f[j>>2]|0;if(!(E&16384)){f[l>>2]=0;M=l+4|0;f[M>>2]=0;N=YG(l,90)|0;x=N;y=196331;z=x+90|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));SQ(-209,l,196323,194295,1778)}D=f[j+40>>2]|0;c=f[D+4>>2]|0;I=f[D>>2]|0;D=(c|0)==1;F=(I|0)==1;if(!(D|F)){f[l>>2]=0;M=l+4|0;f[M>>2]=0;N=YG(l,90)|0;x=N;y=196331;z=x+90|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));SQ(-209,l,196323,194295,1778)}G=(a>>>3&511)+1|0;if((A|0)==131072&(B|0)!=131072){f[l>>2]=0;M=l+4|0;f[M>>2]=0;N=YG(l,90)|0;x=N;y=196331;z=x+90|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));SQ(-209,l,196323,194295,1778)}if(!((c|0)==(G|0)&F|D&(F|(I|0)==(G|0)))?G>>>0>4|(E&4095|0)!=6|D&(I|0)==4^1:0){f[l>>2]=0;M=l+4|0;f[M>>2]=0;N=YG(l,90)|0;x=N;y=196331;z=x+90|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));SQ(-209,l,196323,194295,1778)}else{K=1;L=a}}b:do if(!(d&(C|0)==131072)?(a=f[i+40>>2]|0,N=f[a+-4>>2]|0,M=f[k+40>>2]|0,(N|0)==(f[M+-4>>2]|0)):0){if((N|0)==2){if((f[a>>2]|0)!=(f[M>>2]|0)){J=49;break}if((f[a+4>>2]|0)!=(f[M+4>>2]|0)){J=49;break}}else if((N|0)>0){I=0;do{if((f[a+(I<<2)>>2]|0)!=(f[M+(I<<2)>>2]|0)){J=49;break b}I=I+1|0}while((I|0)<(N|0))}if(!((f[k>>2]^L)&4095))if(K){f[l>>2]=0;O=l+4|0;f[O>>2]=0;P=YG(l,20)|0;x=P;y=196513;z=x+20|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));SQ(-215,l,196323,194295,1791)}else{N=L>>>3;I=N&511;Q=0;R=N;S=I;T=I+1|0;U=i;V=0;W=0;break}else J=49}else J=49;while(0);if((J|0)==49){if((f[k+4>>2]|0)>2){f[l>>2]=0;X=l+4|0;f[X>>2]=0;Z=YG(l,90)|0;x=Z;y=196422;z=x+90|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));SQ(-209,l,196323,194295,1787)}d=f[k>>2]|0;if(!(d&16384)){f[l>>2]=0;X=l+4|0;f[X>>2]=0;Z=YG(l,90)|0;x=Z;y=196422;z=x+90|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));SQ(-209,l,196323,194295,1787)}I=f[k+40>>2]|0;N=f[I+4>>2]|0;M=f[I>>2]|0;I=(N|0)==1;a=(M|0)==1;if(!(I|a)){f[l>>2]=0;X=l+4|0;f[X>>2]=0;Z=YG(l,90)|0;x=Z;y=196422;z=x+90|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));SQ(-209,l,196323,194295,1787)}D=L>>>3;E=D&511;G=E+1|0;if((A|0)==131072&(C|0)!=131072){f[l>>2]=0;X=l+4|0;f[X>>2]=0;Z=YG(l,90)|0;x=Z;y=196422;z=x+90|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));SQ(-209,l,196323,194295,1787)}if(!((N|0)==(G|0)&a|I&(a|(M|0)==(G|0)))?G>>>0>4|(d&4095|0)!=6|I&(M|0)==4^1:0){f[l>>2]=0;X=l+4|0;f[X>>2]=0;Z=YG(l,90)|0;x=Z;y=196422;z=x+90|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));SQ(-209,l,196323,194295,1787)}if(K){Q=1;R=D;S=E;T=G;U=i;V=1;W=K&1}else{f[l>>2]=0;O=l+4|0;f[O>>2]=0;P=YG(l,20)|0;x=P;y=196513;z=x+20|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));SQ(-215,l,196323,194295,1791)}}P=L&7;L=i+4|0;O=f[L>>2]|0;if((O|0)>0)_=f[(f[i+44>>2]|0)+(O+-1<<2)>>2]|0;else _=0;G=((_+1023|0)>>>0)/(_>>>0)|0;E=i+40|0;ID(e,O,f[E>>2]|0,0,-1,0,0);do if((pD(e)|0)==65536){O=f[e+4>>2]|0;f[l>>2]=f[O>>2];D=l+4|0;Z=O+4|0;f[D>>2]=f[Z>>2];X=l+8|0;f[X>>2]=f[O+8>>2];f[l+12>>2]=f[O+12>>2];f[l+16>>2]=f[O+16>>2];f[l+20>>2]=f[O+20>>2];f[l+24>>2]=f[O+24>>2];f[l+28>>2]=f[O+28>>2];f[l+32>>2]=f[O+32>>2];M=f[O+36>>2]|0;f[l+36>>2]=M;f[l+40>>2]=X;X=l+48|0;I=l+44|0;f[I>>2]=X;f[X>>2]=0;f[l+52>>2]=0;if(M|0){X=M+12|0;f[X>>2]=(f[X>>2]|0)+1}if((f[Z>>2]|0)<3){Z=f[O+44>>2]|0;X=f[I>>2]|0;f[X>>2]=f[Z>>2];f[X+4>>2]=f[Z+4>>2];break}else{f[D>>2]=0;kP(l,O);break}}else lD(l,e,-1);while(0);e=f[44196+(P<<2)>>2]|0;f[m>>2]=i;f[m+4>>2]=l;f[m+8>>2]=0;f[n>>2]=i;f[n+4>>2]=l;f[n+8>>2]=j;f[n+12>>2]=k;f[n+16>>2]=0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;O=K&Q;IN(q,O?m:n,o,-1);n=f[q+20>>2]|0;m=G>>>0<n>>>0?G:n;G=(T<<3)+128+(Y(m,(Y(_,W+V|0)|0)+T|0)|0)|0;V=r+8|0;f[r>>2]=V;W=r+4|0;f[W>>2]=G;if(G>>>0>1032){D=Dmc(G)|0;f[r>>2]=D;$=D}else $=V;D=$+(Y(m,T)|0)+15&-16;if(O){O=Y(m,_)|0;G=D+O+15&-16;Z=f[j>>2]|0;if((f[k>>2]^Z)&4095|0){f[s>>2]=0;f[s+4>>2]=0;x=YG(s,22)|0;y=196534;z=x+22|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));SQ(-215,s,196323,194295,1818)}y=Z&7;if(P>>>0<4&(y|0)!=(P|0)){Z=G+O+15&-16;O=Z;x=Z;Z=x+(T<<2)|0;z=PN(y,4)|0;y=j+16|0;X=f[y>>2]|0;I=j+44|0;f[t>>2]=T;f[t+4>>2]=1;Fh[z&255](X,1,0,1,O,1,t,0);t=k+16|0;X=f[t>>2]|0;M=k+44|0;f[v>>2]=T;f[v+4>>2]=1;Fh[z&255](X,1,0,1,Z,1,v,0);v=V9b(+p[10720+(P<<3)>>3])|0;X=V9b(+p[10784+(P<<3)>>3])|0;P=v+1|0;z=0;do{d=x+(z<<2)|0;a=f[d>>2]|0;N=Z+(z<<2)|0;C=f[N>>2]|0;if((C|0)<(v|0)|((a|0)>(X|0)|(a|0)>(C|0))){f[d>>2]=P;f[N>>2]=v}z=z+1|0}while((z|0)!=(T|0));Ri(s,T,1,4,O,0);O=s+36|0;z=f[O>>2]|0;if(z|0){v=z+12|0;f[v>>2]=(f[v>>2]|0)+1}v=j+36|0;z=f[v>>2]|0;if(z|0?(P=z+12|0,z=f[P>>2]|0,f[P>>2]=z+-1,(z|0)==1):0)lP(j);f[v>>2]=0;z=j+4|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[z>>2]|0)>0){P=f[j+40>>2]|0;X=0;do{f[P+(X<<2)>>2]=0;X=X+1|0;aa=f[z>>2]|0}while((X|0)<(aa|0));f[j>>2]=f[s>>2];if((aa|0)<3)J=89;else J=91}else{f[j>>2]=f[s>>2];J=89}if((J|0)==89){aa=f[s+4>>2]|0;if((aa|0)<3){f[z>>2]=aa;f[j+8>>2]=f[s+8>>2];f[j+12>>2]=f[s+12>>2];aa=f[s+44>>2]|0;z=f[I>>2]|0;f[z>>2]=f[aa>>2];f[z+4>>2]=f[aa+4>>2]}else J=91}if((J|0)==91)kP(j,s);aa=s+16|0;f[y>>2]=f[aa>>2];f[j+20>>2]=f[s+20>>2];f[j+24>>2]=f[s+24>>2];f[j+28>>2]=f[s+28>>2];f[j+32>>2]=f[s+32>>2];y=f[O>>2]|0;f[v>>2]=y;if(y|0?(v=y+12|0,y=f[v>>2]|0,f[v>>2]=y+-1,(y|0)==1):0)lP(s);f[O>>2]=0;O=s+4|0;f[aa>>2]=0;f[aa+4>>2]=0;f[aa+8>>2]=0;f[aa+12>>2]=0;if((f[O>>2]|0)>0){aa=f[s+40>>2]|0;y=0;do{f[aa+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[O>>2]|0))}O=f[s+44>>2]|0;if((O|0)!=(s+48|0))tE(O);Ri(s,T,1,4,Z,0);Z=s+36|0;O=f[Z>>2]|0;if(O|0){y=O+12|0;f[y>>2]=(f[y>>2]|0)+1}y=k+36|0;O=f[y>>2]|0;do if(O|0){aa=O+12|0;v=f[aa>>2]|0;f[aa>>2]=v+-1;if((v|0)!=1)break;lP(k)}while(0);f[y>>2]=0;O=k+4|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[O>>2]|0)>0){v=f[k+40>>2]|0;aa=0;do{f[v+(aa<<2)>>2]=0;aa=aa+1|0;ba=f[O>>2]|0}while((aa|0)<(ba|0));f[k>>2]=f[s>>2];if((ba|0)<3)J=110;else J=112}else{f[k>>2]=f[s>>2];J=110}do if((J|0)==110){ba=f[s+4>>2]|0;if((ba|0)>=3){J=112;break}f[O>>2]=ba;f[k+8>>2]=f[s+8>>2];f[k+12>>2]=f[s+12>>2];ba=f[s+44>>2]|0;aa=f[M>>2]|0;f[aa>>2]=f[ba>>2];f[aa+4>>2]=f[ba+4>>2]}while(0);if((J|0)==112)kP(k,s);J=s+16|0;f[t>>2]=f[J>>2];f[k+20>>2]=f[s+20>>2];f[k+24>>2]=f[s+24>>2];f[k+28>>2]=f[s+28>>2];f[k+32>>2]=f[s+32>>2];t=f[Z>>2]|0;f[y>>2]=t;do if(t|0){y=t+12|0;M=f[y>>2]|0;f[y>>2]=M+-1;if((M|0)!=1)break;lP(s)}while(0);f[Z>>2]=0;Z=s+4|0;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;f[J+12>>2]=0;if((f[Z>>2]|0)>0){J=f[s+40>>2]|0;t=0;do{f[J+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[Z>>2]|0))}Z=f[s+44>>2]|0;if((Z|0)!=(s+48|0))tE(Z)}_G(j,f[U>>2]&4095,D,m);_G(k,f[U>>2]&4095,G,m);ca=D;da=G}else{ca=0;da=0}G=q+16|0;D=(n|0)==0;U=o+((K?2:3)<<2)|0;Z=(S|0)==0;s=o+4|0;t=w+4|0;J=R+1&3;R=(J|0)==0?4:J;J=R&255;M=R>>>0>=T>>>0;y=o+8|0;O=0;while(1){if(O>>>0>=(f[G>>2]|0)>>>0)break;if(!D){ba=0;do{aa=n-ba|0;v=aa>>>0>m>>>0?m:aa;aa=Y(v,_)|0;if(K)ea=ca;else{z=f[y>>2]|0;f[y>>2]=z+aa;ea=z}if(Q)fa=da;else{z=f[U>>2]|0;f[U>>2]=z+aa;fa=z}z=f[o>>2]|0;I=Z?f[s>>2]|0:$;X=Y(v,T)|0;f[w>>2]=X;f[t>>2]=1;Rh[e&127](z,0,ea,0,fa,0,I,0,w);c:do if(!Z){I=f[s>>2]|0;switch(J&7){case 1:{if(!v)break c;else{ga=0;ha=0}while(1){b[I+ga>>0]=b[$+ha>>0]|0;ga=ga+1|0;if((ga|0)==(v|0))break;else ha=ha+T|0}break}case 2:{if(!v)break c;else{ia=0;ja=0}while(1){b[I+ja>>0]=b[$+(ia+1)>>0]&b[$+ia>>0];ja=ja+1|0;if((ja|0)==(v|0))break;else ia=ia+T|0}break}case 3:{if(!v)break c;else{ka=0;la=0}while(1){b[I+la>>0]=b[$+(ka+1)>>0]&b[$+ka>>0]&b[$+(ka+2)>>0];la=la+1|0;if((la|0)==(v|0))break;else ka=ka+T|0}break}default:{if(!v)break c;else{ma=0;na=0}while(1){b[I+ma>>0]=b[$+(na+1)>>0]&b[$+na>>0]&b[$+(na+2)>>0]&b[$+(na+3)>>0];ma=ma+1|0;if((ma|0)==(v|0))break;else na=na+T|0}}}if(!(M|(v|0)==0)){z=R;do{X=0;P=z;while(1){x=I+X|0;b[x>>0]=b[$+(P+1)>>0]&b[$+P>>0]&b[$+(P+2)>>0]&b[$+(P+3)>>0]&b[x>>0];X=X+1|0;if((X|0)==(v|0))break;else P=P+T|0}z=z+4|0}while((z|0)<=(S|0))}}while(0);f[o>>2]=(f[o>>2]|0)+aa;f[s>>2]=(f[s>>2]|0)+v;ba=ba+m|0}while(n>>>0>ba>>>0)}JN(q)|0;O=O+1|0}O=f[r>>2]|0;if((O|0)!=(V|0)){if(O|0)Fmc(O);f[r>>2]=V;f[W>>2]=1032}W=l+36|0;V=f[W>>2]|0;if(V|0?(r=V+12|0,V=f[r>>2]|0,f[r>>2]=V+-1,(V|0)==1):0)lP(l);f[W>>2]=0;W=l+16|0;V=l+4|0;f[W>>2]=0;f[W+4>>2]=0;f[W+8>>2]=0;f[W+12>>2]=0;if((f[V>>2]|0)>0){W=f[l+40>>2]|0;r=0;do{f[W+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[V>>2]|0))}V=f[l+44>>2]|0;if((V|0)!=(l+48|0))tE(V);V=k+36|0;l=f[V>>2]|0;if(l|0?(r=l+12|0,l=f[r>>2]|0,f[r>>2]=l+-1,(l|0)==1):0)lP(k);f[V>>2]=0;V=k+16|0;l=k+4|0;f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;f[V+12>>2]=0;if((f[l>>2]|0)>0){V=f[k+40>>2]|0;r=0;do{f[V+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[l>>2]|0))}l=f[k+44>>2]|0;if((l|0)!=(k+48|0))tE(l);l=j+36|0;k=f[l>>2]|0;if(k|0?(r=k+12|0,k=f[r>>2]|0,f[r>>2]=k+-1,(k|0)==1):0)lP(j);f[l>>2]=0;l=j+16|0;k=j+4|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[k>>2]|0)>0){l=f[j+40>>2]|0;r=0;do{f[l+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[k>>2]|0))}k=f[j+44>>2]|0;if((k|0)!=(j+48|0))tE(k);k=i+36|0;j=f[k>>2]|0;do if(j|0){r=j+12|0;l=f[r>>2]|0;f[r>>2]=l+-1;if((l|0)!=1)break;lP(i)}while(0);f[k>>2]=0;k=i+16|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[L>>2]|0)>0){k=f[E>>2]|0;E=0;do{f[k+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[L>>2]|0))}L=f[i+44>>2]|0;if((L|0)!=(i+48|0))tE(L);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function wJ(a,c,d,e,g,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;m=f[l>>2]|0;n=f[l+4>>2]|0;if(!n)return;l=m+-4|0;if((m|0)<4){o=(m|0)>0;p=a;q=j;r=g;s=d;t=n;while(1){t=t+-1|0;if(o){u=0;do{v=b[p+u>>0]|0;if((h[s+u>>0]|0)>(v&255))w=0;else w=(v&255)<=(h[r+u>>0]|0);b[q+u>>0]=w<<31>>31;u=u+1|0}while((u|0)!=(m|0))}if(!t)break;else{p=p+c|0;q=q+k|0;r=r+i|0;s=s+e|0}}return}s=m&-4;r=(s|0)<(m|0);q=a;a=j;j=g;g=d;d=n;while(1){n=0;do{p=b[q+n>>0]|0;if((h[g+n>>0]|0)>(p&255))x=0;else x=(p&255)<=(h[j+n>>0]|0);p=n|1;t=b[q+p>>0]|0;if((h[g+p>>0]|0)>(t&255))y=0;else y=(t&255)<=(h[j+p>>0]|0);b[a+n>>0]=x<<31>>31;b[a+p>>0]=y<<31>>31;p=n|2;t=b[q+p>>0]|0;if((h[g+p>>0]|0)>(t&255))z=0;else z=(t&255)<=(h[j+p>>0]|0);t=n|3;w=b[q+t>>0]|0;if((h[g+t>>0]|0)>(w&255))A=0;else A=(w&255)<=(h[j+t>>0]|0);b[a+p>>0]=z<<31>>31;b[a+t>>0]=A<<31>>31;n=n+4|0}while((n|0)<=(l|0));d=d+-1|0;if(r){n=s;do{t=b[q+n>>0]|0;if((h[g+n>>0]|0)>(t&255))B=0;else B=(t&255)<=(h[j+n>>0]|0);b[a+n>>0]=B<<31>>31;n=n+1|0}while((n|0)!=(m|0))}if(!d)break;else{q=q+c|0;a=a+k|0;j=j+i|0;g=g+e|0}}return}function xJ(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;l=f[k>>2]|0;m=f[k+4>>2]|0;if(!m)return;k=l+-4|0;if((l|0)<4){n=(l|0)>0;o=a;p=i;q=g;r=d;s=m;while(1){s=s+-1|0;if(n){t=0;do{u=b[o+t>>0]|0;if((b[r+t>>0]|0)>u<<24>>24)v=0;else v=u<<24>>24<=(b[q+t>>0]|0);b[p+t>>0]=v<<31>>31;t=t+1|0}while((t|0)!=(l|0))}if(!s)break;else{o=o+c|0;p=p+j|0;q=q+h|0;r=r+e|0}}return}r=l&-4;q=(r|0)<(l|0);p=a;a=i;i=g;g=d;d=m;while(1){m=0;do{o=b[p+m>>0]|0;if((b[g+m>>0]|0)>o<<24>>24)w=0;else w=o<<24>>24<=(b[i+m>>0]|0);o=m|1;s=b[p+o>>0]|0;if((b[g+o>>0]|0)>s<<24>>24)x=0;else x=s<<24>>24<=(b[i+o>>0]|0);b[a+m>>0]=w<<31>>31;b[a+o>>0]=x<<31>>31;o=m|2;s=b[p+o>>0]|0;if((b[g+o>>0]|0)>s<<24>>24)y=0;else y=s<<24>>24<=(b[i+o>>0]|0);s=m|3;v=b[p+s>>0]|0;if((b[g+s>>0]|0)>v<<24>>24)z=0;else z=v<<24>>24<=(b[i+s>>0]|0);b[a+o>>0]=y<<31>>31;b[a+s>>0]=z<<31>>31;m=m+4|0}while((m|0)<=(k|0));d=d+-1|0;if(q){m=r;do{s=b[p+m>>0]|0;if((b[g+m>>0]|0)>s<<24>>24)A=0;else A=s<<24>>24<=(b[i+m>>0]|0);b[a+m>>0]=A<<31>>31;m=m+1|0}while((m|0)!=(l|0))}if(!d)break;else{p=p+c|0;a=a+j|0;i=i+h|0;g=g+e|0}}return}function yJ(a,c,e,g,h,i,k,l,m){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;n=f[m>>2]|0;o=f[m+4>>2]|0;m=c>>>1;c=g>>>1;g=i>>>1;if(!o)return;i=n+-4|0;if((n|0)<4){p=(n|0)>0;q=a;r=k;s=h;t=e;u=o;while(1){u=u+-1|0;if(p){v=0;do{w=d[q+(v<<1)>>1]|0;if((j[t+(v<<1)>>1]|0)>(w&65535))x=0;else x=(w&65535)<=(j[s+(v<<1)>>1]|0);b[r+v>>0]=x<<31>>31;v=v+1|0}while((v|0)!=(n|0))}if(!u)break;else{q=q+(m<<1)|0;r=r+l|0;s=s+(g<<1)|0;t=t+(c<<1)|0}}return}t=n&-4;s=(t|0)<(n|0);r=a;a=k;k=h;h=e;e=o;while(1){o=0;do{q=d[r+(o<<1)>>1]|0;if((j[h+(o<<1)>>1]|0)>(q&65535))y=0;else y=(q&65535)<=(j[k+(o<<1)>>1]|0);q=o|1;u=d[r+(q<<1)>>1]|0;if((j[h+(q<<1)>>1]|0)>(u&65535))z=0;else z=(u&65535)<=(j[k+(q<<1)>>1]|0);b[a+o>>0]=y<<31>>31;b[a+q>>0]=z<<31>>31;q=o|2;u=d[r+(q<<1)>>1]|0;if((j[h+(q<<1)>>1]|0)>(u&65535))A=0;else A=(u&65535)<=(j[k+(q<<1)>>1]|0);u=o|3;x=d[r+(u<<1)>>1]|0;if((j[h+(u<<1)>>1]|0)>(x&65535))B=0;else B=(x&65535)<=(j[k+(u<<1)>>1]|0);b[a+q>>0]=A<<31>>31;b[a+u>>0]=B<<31>>31;o=o+4|0}while((o|0)<=(i|0));e=e+-1|0;if(s){o=t;do{u=d[r+(o<<1)>>1]|0;if((j[h+(o<<1)>>1]|0)>(u&65535))C=0;else C=(u&65535)<=(j[k+(o<<1)>>1]|0);b[a+o>>0]=C<<31>>31;o=o+1|0}while((o|0)!=(n|0))}if(!e)break;else{r=r+(m<<1)|0;a=a+l|0;k=k+(g<<1)|0;h=h+(c<<1)|0}}return}function zJ(a,c,e,g,h,i,j,k,l){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;m=f[l>>2]|0;n=f[l+4>>2]|0;l=c>>>1;c=g>>>1;g=i>>>1;if(!n)return;i=m+-4|0;if((m|0)<4){o=(m|0)>0;p=a;q=j;r=h;s=e;t=n;while(1){t=t+-1|0;if(o){u=0;do{v=d[p+(u<<1)>>1]|0;if((d[s+(u<<1)>>1]|0)>v<<16>>16)w=0;else w=v<<16>>16<=(d[r+(u<<1)>>1]|0);b[q+u>>0]=w<<31>>31;u=u+1|0}while((u|0)!=(m|0))}if(!t)break;else{p=p+(l<<1)|0;q=q+k|0;r=r+(g<<1)|0;s=s+(c<<1)|0}}return}s=m&-4;r=(s|0)<(m|0);q=a;a=j;j=h;h=e;e=n;while(1){n=0;do{p=d[q+(n<<1)>>1]|0;if((d[h+(n<<1)>>1]|0)>p<<16>>16)x=0;else x=p<<16>>16<=(d[j+(n<<1)>>1]|0);p=n|1;t=d[q+(p<<1)>>1]|0;if((d[h+(p<<1)>>1]|0)>t<<16>>16)y=0;else y=t<<16>>16<=(d[j+(p<<1)>>1]|0);b[a+n>>0]=x<<31>>31;b[a+p>>0]=y<<31>>31;p=n|2;t=d[q+(p<<1)>>1]|0;if((d[h+(p<<1)>>1]|0)>t<<16>>16)z=0;else z=t<<16>>16<=(d[j+(p<<1)>>1]|0);t=n|3;w=d[q+(t<<1)>>1]|0;if((d[h+(t<<1)>>1]|0)>w<<16>>16)A=0;else A=w<<16>>16<=(d[j+(t<<1)>>1]|0);b[a+p>>0]=z<<31>>31;b[a+t>>0]=A<<31>>31;n=n+4|0}while((n|0)<=(i|0));e=e+-1|0;if(r){n=s;do{t=d[q+(n<<1)>>1]|0;if((d[h+(n<<1)>>1]|0)>t<<16>>16)B=0;else B=t<<16>>16<=(d[j+(n<<1)>>1]|0);b[a+n>>0]=B<<31>>31;n=n+1|0}while((n|0)!=(m|0))}if(!e)break;else{q=q+(l<<1)|0;a=a+k|0;j=j+(g<<1)|0;h=h+(c<<1)|0}}return}function AJ(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;l=f[k>>2]|0;m=f[k+4>>2]|0;k=c>>>2;c=e>>>2;e=h>>>2;if(!m)return;h=l+-4|0;if((l|0)<4){n=(l|0)>0;o=a;p=i;q=g;r=d;s=m;while(1){s=s+-1|0;if(n){t=0;do{u=f[o+(t<<2)>>2]|0;if((f[r+(t<<2)>>2]|0)>(u|0))v=0;else v=(u|0)<=(f[q+(t<<2)>>2]|0);b[p+t>>0]=v<<31>>31;t=t+1|0}while((t|0)!=(l|0))}if(!s)break;else{o=o+(k<<2)|0;p=p+j|0;q=q+(e<<2)|0;r=r+(c<<2)|0}}return}r=l&-4;q=(r|0)<(l|0);p=a;a=i;i=g;g=d;d=m;while(1){m=0;do{o=f[p+(m<<2)>>2]|0;if((f[g+(m<<2)>>2]|0)>(o|0))w=0;else w=(o|0)<=(f[i+(m<<2)>>2]|0);o=m|1;s=f[p+(o<<2)>>2]|0;if((f[g+(o<<2)>>2]|0)>(s|0))x=0;else x=(s|0)<=(f[i+(o<<2)>>2]|0);b[a+m>>0]=w<<31>>31;b[a+o>>0]=x<<31>>31;o=m|2;s=f[p+(o<<2)>>2]|0;if((f[g+(o<<2)>>2]|0)>(s|0))y=0;else y=(s|0)<=(f[i+(o<<2)>>2]|0);s=m|3;v=f[p+(s<<2)>>2]|0;if((f[g+(s<<2)>>2]|0)>(v|0))z=0;else z=(v|0)<=(f[i+(s<<2)>>2]|0);b[a+o>>0]=y<<31>>31;b[a+s>>0]=z<<31>>31;m=m+4|0}while((m|0)<=(h|0));d=d+-1|0;if(q){m=r;do{s=f[p+(m<<2)>>2]|0;if((f[g+(m<<2)>>2]|0)>(s|0))A=0;else A=(s|0)<=(f[i+(m<<2)>>2]|0);b[a+m>>0]=A<<31>>31;m=m+1|0}while((m|0)!=(l|0))}if(!d)break;else{p=p+(k<<2)|0;a=a+j|0;i=i+(e<<2)|0;g=g+(c<<2)|0}}return}function BJ(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0;l=f[k>>2]|0;m=f[k+4>>2]|0;k=c>>>2;c=e>>>2;e=h>>>2;if(!m)return;h=l+-4|0;if((l|0)<4){o=(l|0)>0;p=a;q=i;r=g;s=d;t=m;while(1){t=t+-1|0;if(o){u=0;do{v=+n[p+(u<<2)>>2];if(!(+n[s+(u<<2)>>2]<=v))w=0;else w=v<=+n[r+(u<<2)>>2];b[q+u>>0]=w<<31>>31;u=u+1|0}while((u|0)!=(l|0))}if(!t)break;else{p=p+(k<<2)|0;q=q+j|0;r=r+(e<<2)|0;s=s+(c<<2)|0}}return}s=l&-4;r=(s|0)<(l|0);q=a;a=i;i=g;g=d;d=m;while(1){m=0;do{v=+n[q+(m<<2)>>2];if(!(+n[g+(m<<2)>>2]<=v))x=0;else x=v<=+n[i+(m<<2)>>2];p=m|1;v=+n[q+(p<<2)>>2];if(!(+n[g+(p<<2)>>2]<=v))y=0;else y=v<=+n[i+(p<<2)>>2];b[a+m>>0]=x<<31>>31;b[a+p>>0]=y<<31>>31;p=m|2;v=+n[q+(p<<2)>>2];if(!(+n[g+(p<<2)>>2]<=v))z=0;else z=v<=+n[i+(p<<2)>>2];t=m|3;v=+n[q+(t<<2)>>2];if(!(+n[g+(t<<2)>>2]<=v))A=0;else A=v<=+n[i+(t<<2)>>2];b[a+p>>0]=z<<31>>31;b[a+t>>0]=A<<31>>31;m=m+4|0}while((m|0)<=(h|0));d=d+-1|0;if(r){m=s;do{v=+n[q+(m<<2)>>2];if(!(+n[g+(m<<2)>>2]<=v))B=0;else B=v<=+n[i+(m<<2)>>2];b[a+m>>0]=B<<31>>31;m=m+1|0}while((m|0)!=(l|0))}if(!d)break;else{q=q+(k<<2)|0;a=a+j|0;i=i+(e<<2)|0;g=g+(c<<2)|0}}return}function CJ(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0;l=f[k>>2]|0;m=f[k+4>>2]|0;k=c>>>3;c=e>>>3;e=h>>>3;if(!m)return;h=l+-4|0;if((l|0)<4){n=(l|0)>0;o=a;q=i;r=g;s=d;t=m;while(1){t=t+-1|0;if(n){u=0;do{v=+p[o+(u<<3)>>3];if(!(+p[s+(u<<3)>>3]<=v))w=0;else w=v<=+p[r+(u<<3)>>3];b[q+u>>0]=w<<31>>31;u=u+1|0}while((u|0)!=(l|0))}if(!t)break;else{o=o+(k<<3)|0;q=q+j|0;r=r+(e<<3)|0;s=s+(c<<3)|0}}return}s=l&-4;r=(s|0)<(l|0);q=a;a=i;i=g;g=d;d=m;while(1){m=0;do{v=+p[q+(m<<3)>>3];if(!(+p[g+(m<<3)>>3]<=v))x=0;else x=v<=+p[i+(m<<3)>>3];o=m|1;v=+p[q+(o<<3)>>3];if(!(+p[g+(o<<3)>>3]<=v))y=0;else y=v<=+p[i+(o<<3)>>3];b[a+m>>0]=x<<31>>31;b[a+o>>0]=y<<31>>31;o=m|2;v=+p[q+(o<<3)>>3];if(!(+p[g+(o<<3)>>3]<=v))z=0;else z=v<=+p[i+(o<<3)>>3];t=m|3;v=+p[q+(t<<3)>>3];if(!(+p[g+(t<<3)>>3]<=v))A=0;else A=v<=+p[i+(t<<3)>>3];b[a+o>>0]=z<<31>>31;b[a+t>>0]=A<<31>>31;m=m+4|0}while((m|0)<=(h|0));d=d+-1|0;if(r){m=s;do{v=+p[q+(m<<3)>>3];if(!(+p[g+(m<<3)>>3]<=v))B=0;else B=v<=+p[i+(m<<3)>>3];b[a+m>>0]=B<<31>>31;m=m+1|0}while((m|0)!=(l|0))}if(!d)break;else{q=q+(k<<3)|0;a=a+j|0;i=i+(e<<3)|0;g=g+(c<<3)|0}}return}function DJ(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=(e|0)%4|0;h=(g|0)==0?4:g;g=f[c>>2]|0;a:do if((h|0)==1){if((e|0)==1){Krc(g|0,a|0,d|0)|0;i=1;break}if((d|0)>0){j=0;k=0;while(1){b[g+j>>0]=b[a+k>>0]|0;j=j+1|0;if((j|0)==(d|0)){i=1;break}else k=k+e|0}}else return}else{k=f[c+4>>2]|0;if((h|0)==2)if((d|0)>0){j=0;l=0;while(1){b[g+l>>0]=b[a+j>>0]|0;b[k+l>>0]=b[a+(j+1)>>0]|0;l=l+1|0;if((l|0)==(d|0)){i=2;break a}else j=j+e|0}}else return;j=f[c+8>>2]|0;if((h|0)==3)if((d|0)>0){l=0;m=0;while(1){b[g+m>>0]=b[a+l>>0]|0;b[k+m>>0]=b[a+(l+1)>>0]|0;b[j+m>>0]=b[a+(l+2)>>0]|0;m=m+1|0;if((m|0)==(d|0)){i=3;break}else l=l+e|0}}else return;else{l=f[c+12>>2]|0;if((d|0)>0){m=0;n=0;while(1){b[g+n>>0]=b[a+m>>0]|0;b[k+n>>0]=b[a+(m+1)>>0]|0;b[j+n>>0]=b[a+(m+2)>>0]|0;b[l+n>>0]=b[a+(m+3)>>0]|0;n=n+1|0;if((n|0)==(d|0)){i=h;break}else m=m+e|0}}else return}}while(0);if((d|0)>0&(i|0)<(e|0))o=i;else return;do{i=f[c+(o<<2)>>2]|0;h=f[c+(o+1<<2)>>2]|0;g=f[c+(o+2<<2)>>2]|0;m=f[c+(o+3<<2)>>2]|0;n=o;l=0;while(1){b[i+l>>0]=b[a+n>>0]|0;b[h+l>>0]=b[a+(n+1)>>0]|0;b[g+l>>0]=b[a+(n+2)>>0]|0;b[m+l>>0]=b[a+(n+3)>>0]|0;l=l+1|0;if((l|0)==(d|0))break;else n=n+e|0}o=o+4|0}while((o|0)<(e|0));return}function EJ(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=(e|0)%4|0;h=(g|0)==0?4:g;g=f[b>>2]|0;a:do if((h|0)==1){if((e|0)==1){Krc(g|0,a|0,c<<1|0)|0;i=1;break}if((c|0)>0){j=0;k=0;while(1){d[g+(j<<1)>>1]=d[a+(k<<1)>>1]|0;j=j+1|0;if((j|0)==(c|0)){i=1;break}else k=k+e|0}}else return}else{k=f[b+4>>2]|0;if((h|0)==2)if((c|0)>0){j=0;l=0;while(1){d[g+(l<<1)>>1]=d[a+(j<<1)>>1]|0;d[k+(l<<1)>>1]=d[a+(j+1<<1)>>1]|0;l=l+1|0;if((l|0)==(c|0)){i=2;break a}else j=j+e|0}}else return;j=f[b+8>>2]|0;if((h|0)==3)if((c|0)>0){l=0;m=0;while(1){d[g+(m<<1)>>1]=d[a+(l<<1)>>1]|0;d[k+(m<<1)>>1]=d[a+(l+1<<1)>>1]|0;d[j+(m<<1)>>1]=d[a+(l+2<<1)>>1]|0;m=m+1|0;if((m|0)==(c|0)){i=3;break}else l=l+e|0}}else return;else{l=f[b+12>>2]|0;if((c|0)>0){m=0;n=0;while(1){d[g+(n<<1)>>1]=d[a+(m<<1)>>1]|0;d[k+(n<<1)>>1]=d[a+(m+1<<1)>>1]|0;d[j+(n<<1)>>1]=d[a+(m+2<<1)>>1]|0;d[l+(n<<1)>>1]=d[a+(m+3<<1)>>1]|0;n=n+1|0;if((n|0)==(c|0)){i=h;break}else m=m+e|0}}else return}}while(0);if((c|0)>0&(i|0)<(e|0))o=i;else return;do{i=f[b+(o<<2)>>2]|0;h=f[b+(o+1<<2)>>2]|0;g=f[b+(o+2<<2)>>2]|0;m=f[b+(o+3<<2)>>2]|0;n=o;l=0;while(1){d[i+(l<<1)>>1]=d[a+(n<<1)>>1]|0;d[h+(l<<1)>>1]=d[a+(n+1<<1)>>1]|0;d[g+(l<<1)>>1]=d[a+(n+2<<1)>>1]|0;d[m+(l<<1)>>1]=d[a+(n+3<<1)>>1]|0;l=l+1|0;if((l|0)==(c|0))break;else n=n+e|0}o=o+4|0}while((o|0)<(e|0));return}function FJ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=(d|0)%4|0;g=(e|0)==0?4:e;e=f[b>>2]|0;a:do if((g|0)==1){if((d|0)==1){Krc(e|0,a|0,c<<2|0)|0;h=1;break}if((c|0)>0){i=0;j=0;while(1){f[e+(i<<2)>>2]=f[a+(j<<2)>>2];i=i+1|0;if((i|0)==(c|0)){h=1;break}else j=j+d|0}}else return}else{j=f[b+4>>2]|0;if((g|0)==2)if((c|0)>0){i=0;k=0;while(1){f[e+(k<<2)>>2]=f[a+(i<<2)>>2];f[j+(k<<2)>>2]=f[a+(i+1<<2)>>2];k=k+1|0;if((k|0)==(c|0)){h=2;break a}else i=i+d|0}}else return;i=f[b+8>>2]|0;if((g|0)==3)if((c|0)>0){k=0;l=0;while(1){f[e+(l<<2)>>2]=f[a+(k<<2)>>2];f[j+(l<<2)>>2]=f[a+(k+1<<2)>>2];f[i+(l<<2)>>2]=f[a+(k+2<<2)>>2];l=l+1|0;if((l|0)==(c|0)){h=3;break}else k=k+d|0}}else return;else{k=f[b+12>>2]|0;if((c|0)>0){l=0;m=0;while(1){f[e+(m<<2)>>2]=f[a+(l<<2)>>2];f[j+(m<<2)>>2]=f[a+(l+1<<2)>>2];f[i+(m<<2)>>2]=f[a+(l+2<<2)>>2];f[k+(m<<2)>>2]=f[a+(l+3<<2)>>2];m=m+1|0;if((m|0)==(c|0)){h=g;break}else l=l+d|0}}else return}}while(0);if((c|0)>0&(h|0)<(d|0))n=h;else return;do{h=f[b+(n<<2)>>2]|0;g=f[b+(n+1<<2)>>2]|0;e=f[b+(n+2<<2)>>2]|0;l=f[b+(n+3<<2)>>2]|0;m=n;k=0;while(1){f[h+(k<<2)>>2]=f[a+(m<<2)>>2];f[g+(k<<2)>>2]=f[a+(m+1<<2)>>2];f[e+(k<<2)>>2]=f[a+(m+2<<2)>>2];f[l+(k<<2)>>2]=f[a+(m+3<<2)>>2];k=k+1|0;if((k|0)==(c|0))break;else m=m+d|0}n=n+4|0}while((n|0)<(d|0));return}function GJ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=(d|0)%4|0;g=(e|0)==0?4:e;e=f[b>>2]|0;a:do if((g|0)==1){if((d|0)==1){Krc(e|0,a|0,c<<3|0)|0;h=1;break}if((c|0)>0){i=0;j=0;while(1){k=a+(j<<3)|0;l=f[k+4>>2]|0;m=e+(i<<3)|0;f[m>>2]=f[k>>2];f[m+4>>2]=l;i=i+1|0;if((i|0)==(c|0)){h=1;break}else j=j+d|0}}else return}else{j=f[b+4>>2]|0;if((g|0)==2)if((c|0)>0){i=0;l=0;while(1){m=a+(i<<3)|0;k=f[m+4>>2]|0;n=e+(l<<3)|0;f[n>>2]=f[m>>2];f[n+4>>2]=k;k=a+(i+1<<3)|0;n=f[k+4>>2]|0;m=j+(l<<3)|0;f[m>>2]=f[k>>2];f[m+4>>2]=n;l=l+1|0;if((l|0)==(c|0)){h=2;break a}else i=i+d|0}}else return;i=f[b+8>>2]|0;if((g|0)==3)if((c|0)>0){l=0;n=0;while(1){m=a+(l<<3)|0;k=f[m+4>>2]|0;o=e+(n<<3)|0;f[o>>2]=f[m>>2];f[o+4>>2]=k;k=a+(l+1<<3)|0;o=f[k+4>>2]|0;m=j+(n<<3)|0;f[m>>2]=f[k>>2];f[m+4>>2]=o;o=a+(l+2<<3)|0;m=f[o+4>>2]|0;k=i+(n<<3)|0;f[k>>2]=f[o>>2];f[k+4>>2]=m;n=n+1|0;if((n|0)==(c|0)){h=3;break}else l=l+d|0}}else return;else{l=f[b+12>>2]|0;if((c|0)>0){n=0;m=0;while(1){k=a+(n<<3)|0;o=f[k+4>>2]|0;p=e+(m<<3)|0;f[p>>2]=f[k>>2];f[p+4>>2]=o;o=a+(n+1<<3)|0;p=f[o+4>>2]|0;k=j+(m<<3)|0;f[k>>2]=f[o>>2];f[k+4>>2]=p;p=a+(n+2<<3)|0;k=f[p+4>>2]|0;o=i+(m<<3)|0;f[o>>2]=f[p>>2];f[o+4>>2]=k;k=a+(n+3<<3)|0;o=f[k+4>>2]|0;p=l+(m<<3)|0;f[p>>2]=f[k>>2];f[p+4>>2]=o;m=m+1|0;if((m|0)==(c|0)){h=g;break}else n=n+d|0}}else return}}while(0);if((c|0)>0&(h|0)<(d|0))q=h;else return;do{h=f[b+(q<<2)>>2]|0;g=f[b+(q+1<<2)>>2]|0;e=f[b+(q+2<<2)>>2]|0;n=f[b+(q+3<<2)>>2]|0;m=q;l=0;while(1){i=a+(m<<3)|0;j=f[i+4>>2]|0;o=h+(l<<3)|0;f[o>>2]=f[i>>2];f[o+4>>2]=j;j=a+(m+1<<3)|0;o=f[j+4>>2]|0;i=g+(l<<3)|0;f[i>>2]=f[j>>2];f[i+4>>2]=o;o=a+(m+2<<3)|0;i=f[o+4>>2]|0;j=e+(l<<3)|0;f[j>>2]=f[o>>2];f[j+4>>2]=i;i=a+(m+3<<3)|0;j=f[i+4>>2]|0;o=n+(l<<3)|0;f[o>>2]=f[i>>2];f[o+4>>2]=j;l=l+1|0;if((l|0)==(c|0))break;else m=m+d|0}q=q+4|0}while((q|0)<(d|0));return}function HJ(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;d=u;u=u+1104|0;e=d+1096|0;g=d+1080|0;h=d+40|0;i=d+8|0;j=d;zT(e,44228);k=f[a>>2]|0;l=k&7;m=k>>>3&511;k=m+1|0;if(m){n=a+4|0;o=a+40|0;p=0;while(1){iP(c+(p*56|0)|0,f[n>>2]|0,f[o>>2]|0,l);if((p|0)<(m|0))p=p+1|0;else break}p=f[44248+(l<<2)>>2]|0;if((l|0)==7){f[g>>2]=0;f[g+4>>2]=0;l=YG(g,9)|0;o=274048;q=l+9|0;do{b[l>>0]=b[o>>0]|0;l=l+1|0;o=o+1|0}while((l|0)<(q|0));IJ(-215,g,405663,307)}o=f[n>>2]|0;if((o|0)>0)r=f[(f[a+44>>2]|0)+(o+-1<<2)>>2]|0;else r=0;o=1212424721>>>(f[a>>2]<<2&28)&15;f[g>>2]=((r+1023|0)>>>0)/(r>>>0)|0;n=m+2|0;m=(n<<3)+16|0;l=h+8|0;f[h>>2]=l;q=h+4|0;f[q>>2]=m;if(m>>>0>1032){s=Dmc(m)|0;f[h>>2]=s;t=s}else t=l;s=t+(k<<2)+4+15&-16;m=s;f[t>>2]=a;v=0;do{w=v;v=v+1|0;f[t+(v<<2)>>2]=c+(w*56|0)}while((v|0)!=(k|0));v=s;IN(i,t,v,n);n=f[i+20>>2]|0;f[j>>2]=n;t=536870911/(k>>>0)|0;if(k>>>0<5)x=n;else{s=f[g>>2]|0;x=s>>>0<n>>>0?s:f[j>>2]|0}s=x>>>0<t>>>0?x:t;t=i+16|0;x=m+4|0;w=n;y=n;n=0;while(1){if(n>>>0>=(f[t>>2]|0)>>>0)break;if(!w){z=0;A=y}else{B=w;C=y;D=0;while(1){E=B-D|0;F=s>>>0<E>>>0?s:E;rh[p&255](f[v>>2]|0,x,F,k);D=D+s|0;if(D>>>0<C>>>0){E=Y(r,F)|0;f[v>>2]=(f[v>>2]|0)+E;E=Y(o,F)|0;F=0;do{F=F+1|0;G=m+(F<<2)|0;f[G>>2]=(f[G>>2]|0)+E}while((F|0)!=(k|0));H=f[j>>2]|0}else H=C;if(H>>>0<=D>>>0){z=H;A=H;break}else{B=H;C=H}}}JN(i)|0;w=z;y=A;n=n+1|0}n=f[h>>2]|0;if((n|0)!=(l|0)){if(n|0)Fmc(n);f[h>>2]=l;f[q>>2]=1032}}else{q=g+8|0;f[q>>2]=0;f[q+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=c;kT(a,g)}if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function IJ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;SQ(a,b,c,196623,d);return}function JJ(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=u;u=u+80|0;e=d+72|0;g=d+16|0;h=d;zT(e,44280);do if((pD(a)|0)==65536){i=f[a+4>>2]|0;f[g>>2]=f[i>>2];j=g+4|0;k=i+4|0;f[j>>2]=f[k>>2];l=g+8|0;f[l>>2]=f[i+8>>2];f[g+12>>2]=f[i+12>>2];m=g+16|0;f[m>>2]=f[i+16>>2];f[g+20>>2]=f[i+20>>2];f[g+24>>2]=f[i+24>>2];f[g+28>>2]=f[i+28>>2];f[g+32>>2]=f[i+32>>2];n=f[i+36>>2]|0;f[g+36>>2]=n;f[g+40>>2]=l;l=g+48|0;o=g+44|0;f[o>>2]=l;f[l>>2]=0;f[g+52>>2]=0;if(n|0){l=n+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[k>>2]|0)<3){k=f[i+44>>2]|0;l=f[o>>2]|0;f[l>>2]=f[k>>2];f[l+4>>2]=f[k+4>>2];p=m;break}else{f[j>>2]=0;kP(g,i);p=m;break}}else{lD(g,a,-1);p=g+16|0}while(0);if(f[p>>2]|0){a=g+4|0;m=f[a>>2]|0;if((m|0)<3)q=Y(f[g+12>>2]|0,f[g+8>>2]|0)|0;else{i=f[g+40>>2]|0;j=0;k=1;while(1){l=Y(f[i+(j<<2)>>2]|0,k)|0;j=j+1|0;if((j|0)==(m|0)){q=l;break}else k=l}}if(!((m|0)==0|(q|0)==0)){if((hE(c)|0?!(DD(c)|0):0)?(q=oD(c,-1)|0,(q|0)!=(f[g>>2]&7|0)):0){f[h>>2]=0;f[h+4>>2]=0;q=YG(h,58)|0;m=196730;k=q+58|0;do{b[q>>0]=b[m>>0]|0;q=q+1|0;m=m+1|0}while((q|0)<(k|0));IJ(-215,h,405663,402)}m=f[g>>2]|0;q=m&7;k=m>>>3&511;iE(c,k+1|0,1,q,-1,0,0);m=g+40|0;j=0;while(1){ID(c,f[a>>2]|0,f[m>>2]|0,q,j,0,0);if((j|0)<(k|0))j=j+1|0;else break}f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;rD(c,h);HJ(g,f[h>>2]|0);rt(h)}else r=14}else r=14;if((r|0)==14)GD(c);c=g+36|0;r=f[c>>2]|0;if(r|0?(h=r+12|0,r=f[h>>2]|0,f[h>>2]=r+-1,(r|0)==1):0)lP(g);f[c>>2]=0;c=g+4|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[c>>2]|0)>0){p=f[g+40>>2]|0;r=0;do{f[p+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[c>>2]|0))}c=f[g+44>>2]|0;if((c|0)!=(g+48|0))tE(c);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function KJ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=f[a>>2]|0;f[a>>2]=f[b>>2];f[b>>2]=c;c=a+4|0;d=b+4|0;e=f[c>>2]|0;f[c>>2]=f[d>>2];f[d>>2]=e;e=a+8|0;d=b+8|0;c=f[e>>2]|0;f[e>>2]=f[d>>2];f[d>>2]=c;c=a+12|0;g=b+12|0;h=f[c>>2]|0;f[c>>2]=f[g>>2];f[g>>2]=h;h=a+16|0;g=b+16|0;c=f[h>>2]|0;f[h>>2]=f[g>>2];f[g>>2]=c;c=a+20|0;g=b+20|0;h=f[c>>2]|0;f[c>>2]=f[g>>2];f[g>>2]=h;h=a+24|0;g=b+24|0;c=f[h>>2]|0;f[h>>2]=f[g>>2];f[g>>2]=c;c=a+28|0;g=b+28|0;h=f[c>>2]|0;f[c>>2]=f[g>>2];f[g>>2]=h;h=a+32|0;g=b+32|0;c=f[h>>2]|0;f[h>>2]=f[g>>2];f[g>>2]=c;c=a+36|0;g=b+36|0;h=f[c>>2]|0;f[c>>2]=f[g>>2];f[g>>2]=h;h=a+40|0;g=b+40|0;c=f[h>>2]|0;f[h>>2]=f[g>>2];f[g>>2]=c;c=a+44|0;i=b+44|0;j=f[c>>2]|0;f[c>>2]=f[i>>2];f[i>>2]=j;k=a+48|0;l=b+48|0;m=f[k>>2]|0;f[k>>2]=f[l>>2];f[l>>2]=m;m=a+52|0;a=b+52|0;b=f[m>>2]|0;f[m>>2]=f[a>>2];f[a>>2]=b;if((f[c>>2]|0)==(l|0)){f[c>>2]=k;f[h>>2]=e;n=f[i>>2]|0}else n=j;if((n|0)!=(k|0))return;f[i>>2]=l;f[g>>2]=d;return}function LJ(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;e=u;u=u+144|0;g=e+128|0;h=e+72|0;i=e+16|0;j=e;zT(g,44300);do if((a|0)!=0&(c|0)!=0){k=a+8|0;l=0;m=0;while(1){if((f[a+(l*56|0)+4>>2]|0)>=3){n=8;break}o=f[a+(l*56|0)+8>>2]|0;if((o|0)!=(f[k>>2]|0)){n=8;break}p=f[a>>2]|0;if((p^f[a+(l*56|0)>>2])&4095|0){n=8;break}m=(f[a+(l*56|0)+12>>2]|0)+m|0;l=l+1|0;if(l>>>0>=c>>>0){n=4;break}}if((n|0)==4){iE(d,o,m,p&4095,-1,0,0);do if((pD(d)|0)==65536){l=f[d+4>>2]|0;f[h>>2]=f[l>>2];k=h+4|0;q=l+4|0;f[k>>2]=f[q>>2];r=h+8|0;f[r>>2]=f[l+8>>2];f[h+12>>2]=f[l+12>>2];f[h+16>>2]=f[l+16>>2];f[h+20>>2]=f[l+20>>2];f[h+24>>2]=f[l+24>>2];f[h+28>>2]=f[l+28>>2];f[h+32>>2]=f[l+32>>2];s=f[l+36>>2]|0;f[h+36>>2]=s;f[h+40>>2]=r;r=h+48|0;t=h+44|0;f[t>>2]=r;f[r>>2]=0;f[h+52>>2]=0;if(s|0){r=s+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[q>>2]|0)<3){q=f[l+44>>2]|0;r=f[t>>2]|0;f[r>>2]=f[q>>2];f[r+4>>2]=f[q+4>>2];break}else{f[k>>2]=0;kP(h,l);break}}else lD(h,d,-1);while(0);m=j+4|0;l=j+8|0;k=j+12|0;q=j+8|0;r=j+4|0;t=i+36|0;s=i+16|0;v=i+4|0;w=i+40|0;x=i+44|0;y=i+48|0;z=0;A=0;while(1){B=a+(A*56|0)+12|0;C=f[B>>2]|0;D=f[a+(A*56|0)+8>>2]|0;f[j>>2]=z;f[m>>2]=0;f[l>>2]=C;f[k>>2]=D;pP(i,h,j);D=q;f[D>>2]=0;f[D+4>>2]=0;f[j>>2]=33619968;f[r>>2]=i;kT(a+(A*56|0)|0,j);D=f[B>>2]|0;B=f[t>>2]|0;if(B|0?(C=B+12|0,B=f[C>>2]|0,f[C>>2]=B+-1,(B|0)==1):0)lP(i);f[t>>2]=0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[v>>2]|0)>0){B=f[w>>2]|0;C=0;do{f[B+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[v>>2]|0))}C=f[x>>2]|0;if((C|0)!=(y|0))tE(C);A=A+1|0;if(A>>>0>=c>>>0)break;else z=D+z|0}z=h+36|0;A=f[z>>2]|0;if(A|0?(y=A+12|0,A=f[y>>2]|0,f[y>>2]=A+-1,(A|0)==1):0)lP(h);f[z>>2]=0;z=h+16|0;A=h+4|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[A>>2]|0)>0){z=f[h+40>>2]|0;y=0;do{f[z+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[A>>2]|0))}A=f[h+44>>2]|0;if((A|0)!=(h+48|0))tE(A);break}else if((n|0)==8){f[h>>2]=0;f[h+4>>2]=0;A=YG(h,80)|0;y=196837;z=A+80|0;do{b[A>>0]=b[y>>0]|0;A=A+1|0;y=y+1|0}while((A|0)<(z|0));MJ(-215,h,196918,63)}}else GD(d);while(0);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function MJ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;SQ(a,b,c,196926,d);return}function NJ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+32|0;d=c+16|0;e=c;zT(d,44320);f[e>>2]=0;g=e+4|0;f[g>>2]=0;f[e+8>>2]=0;rD(a,e);a=f[e>>2]|0;h=f[g>>2]|0;LJ((a|0)==(h|0)?0:a,(h-a|0)/56|0,b);rt(e);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function OJ(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;e=u;u=u+144|0;g=e+128|0;h=e+72|0;i=e+16|0;j=e;zT(g,44340);do if((a|0)!=0&(c|0)!=0){k=a+12|0;l=0;m=0;while(1){if((f[a+(l*56|0)+4>>2]|0)>=3){n=8;break}o=f[a+(l*56|0)+12>>2]|0;if((o|0)!=(f[k>>2]|0)){n=8;break}p=f[a>>2]|0;if((p^f[a+(l*56|0)>>2])&4095|0){n=8;break}m=(f[a+(l*56|0)+8>>2]|0)+m|0;l=l+1|0;if(l>>>0>=c>>>0){n=4;break}}if((n|0)==4){iE(d,m,o,p&4095,-1,0,0);do if((pD(d)|0)==65536){l=f[d+4>>2]|0;f[h>>2]=f[l>>2];k=h+4|0;q=l+4|0;f[k>>2]=f[q>>2];r=h+8|0;f[r>>2]=f[l+8>>2];f[h+12>>2]=f[l+12>>2];f[h+16>>2]=f[l+16>>2];f[h+20>>2]=f[l+20>>2];f[h+24>>2]=f[l+24>>2];f[h+28>>2]=f[l+28>>2];f[h+32>>2]=f[l+32>>2];s=f[l+36>>2]|0;f[h+36>>2]=s;f[h+40>>2]=r;r=h+48|0;t=h+44|0;f[t>>2]=r;f[r>>2]=0;f[h+52>>2]=0;if(s|0){r=s+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[q>>2]|0)<3){q=f[l+44>>2]|0;r=f[t>>2]|0;f[r>>2]=f[q>>2];f[r+4>>2]=f[q+4>>2];break}else{f[k>>2]=0;kP(h,l);break}}else lD(h,d,-1);while(0);m=j+4|0;l=j+8|0;k=j+12|0;q=j+8|0;r=j+4|0;t=i+36|0;s=i+16|0;v=i+4|0;w=i+40|0;x=i+44|0;y=i+48|0;z=0;A=0;while(1){B=f[a+(A*56|0)+12>>2]|0;C=a+(A*56|0)+8|0;D=f[C>>2]|0;f[j>>2]=0;f[m>>2]=z;f[l>>2]=B;f[k>>2]=D;pP(i,h,j);D=q;f[D>>2]=0;f[D+4>>2]=0;f[j>>2]=33619968;f[r>>2]=i;kT(a+(A*56|0)|0,j);D=f[C>>2]|0;C=f[t>>2]|0;if(C|0?(B=C+12|0,C=f[B>>2]|0,f[B>>2]=C+-1,(C|0)==1):0)lP(i);f[t>>2]=0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[v>>2]|0)>0){C=f[w>>2]|0;B=0;do{f[C+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[v>>2]|0))}B=f[x>>2]|0;if((B|0)!=(y|0))tE(B);A=A+1|0;if(A>>>0>=c>>>0)break;else z=D+z|0}z=h+36|0;A=f[z>>2]|0;if(A|0?(y=A+12|0,A=f[y>>2]|0,f[y>>2]=A+-1,(A|0)==1):0)lP(h);f[z>>2]=0;z=h+16|0;A=h+4|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[A>>2]|0)>0){z=f[h+40>>2]|0;y=0;do{f[z+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[A>>2]|0))}A=f[h+44>>2]|0;if((A|0)!=(h+48|0))tE(A);break}else if((n|0)==8){f[h>>2]=0;f[h+4>>2]=0;A=YG(h,80)|0;y=197099;z=A+80|0;do{b[A>>0]=b[y>>0]|0;A=A+1|0;y=y+1|0}while((A|0)<(z|0));MJ(-215,h,197180,108)}}else GD(d);while(0);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function PJ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+32|0;d=c+16|0;e=c;zT(d,44360);f[e>>2]=0;g=e+4|0;f[g>>2]=0;f[e+8>>2]=0;rD(a,e);a=f[e>>2]|0;h=f[g>>2]|0;OJ((a|0)==(h|0)?0:a,(h-a|0)/56|0,b);rt(e);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function QJ(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0;d=u;u=u+160|0;e=d+144|0;g=d+88|0;h=d;i=d+32|0;zT(e,44380);if((zD(a,-1)|0)>=3){f[g>>2]=0;f[g+4>>2]=0;j=YG(g,14)|0;k=197285;l=j+14|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));MJ(-215,g,197300,184)}do if((pD(a)|0)==65536){k=f[a+4>>2]|0;f[g>>2]=f[k>>2];j=g+4|0;l=k+4|0;f[j>>2]=f[l>>2];m=g+8|0;f[m>>2]=f[k+8>>2];o=g+12|0;f[o>>2]=f[k+12>>2];f[g+16>>2]=f[k+16>>2];f[g+20>>2]=f[k+20>>2];f[g+24>>2]=f[k+24>>2];f[g+28>>2]=f[k+28>>2];f[g+32>>2]=f[k+32>>2];q=f[k+36>>2]|0;f[g+36>>2]=q;f[g+40>>2]=m;r=g+48|0;s=g+44|0;f[s>>2]=r;f[r>>2]=0;f[g+52>>2]=0;if(q|0){r=q+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[l>>2]|0)<3){l=f[k+44>>2]|0;r=f[s>>2]|0;f[r>>2]=f[l>>2];f[r+4>>2]=f[l+4>>2];t=o;v=g;w=m;break}else{f[j>>2]=0;kP(g,k);t=o;v=g;w=m;break}}else{lD(g,a,-1);t=g+12|0;v=g;w=g+8|0}while(0);a=f[w>>2]|0;w=f[t>>2]|0;a:do switch(f[v>>2]&4095){case 5:{t=f[g+16>>2]|0;x=+p[c>>3];m=(f[g+48>>2]|0)>>>2;if((a|0)>0){if((w|0)<=0){o=0;k=t;while(1){if((o|0)<(w|0))n[k+(o<<2)>>2]=x;o=o+1|0;if((o|0)==(a|0))break a;else k=k+(m<<2)|0}}k=w<<2;o=0;j=t;while(1){Drc(t+((Y(m,o)|0)<<2)|0,0,k|0)|0;if((o|0)<(w|0))n[j+(o<<2)>>2]=x;o=o+1|0;if((o|0)==(a|0))break;else j=j+(m<<2)|0}}break}case 6:{x=+p[c>>3];m=(f[g+48>>2]|0)>>>3;if((a|0)>0&(w|0)>0){j=0;o=f[g+16>>2]|0;while(1){k=0;do{p[o+(k<<3)>>3]=(k|0)==(j|0)?x:0.0;k=k+1|0}while((k|0)!=(w|0));j=j+1|0;if((j|0)==(a|0))break;else o=o+(m<<3)|0}}break}default:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[h+28>>2]=0;nT(g,h)|0;sP(i,g,0);nT(i,c)|0;m=i+36|0;o=f[m>>2]|0;if(o|0?(j=o+12|0,o=f[j>>2]|0,f[j>>2]=o+-1,(o|0)==1):0)lP(i);f[m>>2]=0;m=i+16|0;o=i+4|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[o>>2]|0)>0){m=f[i+40>>2]|0;j=0;do{f[m+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[o>>2]|0))}o=f[i+44>>2]|0;if((o|0)!=(i+48|0))tE(o)}}while(0);i=g+36|0;c=f[i>>2]|0;if(c|0?(h=c+12|0,c=f[h>>2]|0,f[h>>2]=c+-1,(c|0)==1):0)lP(g);f[i>>2]=0;i=g+16|0;c=g+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[c>>2]|0)>0){i=f[g+40>>2]|0;h=0;do{f[i+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[c>>2]|0))}c=f[g+44>>2]|0;if((c|0)!=(g+48|0))tE(c);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function RJ(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0.0,t=0.0,v=0.0,w=0.0;d=u;u=u+144|0;e=d+128|0;g=d+72|0;h=d+56|0;i=d;zT(e,44400);do if((pD(c)|0)==65536){j=f[c+4>>2]|0;f[g>>2]=f[j>>2];k=g+4|0;l=j+4|0;f[k>>2]=f[l>>2];m=g+8|0;f[m>>2]=f[j+8>>2];f[g+12>>2]=f[j+12>>2];f[g+16>>2]=f[j+16>>2];f[g+20>>2]=f[j+20>>2];f[g+24>>2]=f[j+24>>2];f[g+28>>2]=f[j+28>>2];f[g+32>>2]=f[j+32>>2];o=f[j+36>>2]|0;f[g+36>>2]=o;f[g+40>>2]=m;m=g+48|0;q=g+44|0;f[q>>2]=m;f[m>>2]=0;f[g+52>>2]=0;if(o|0){m=o+12|0;f[m>>2]=(f[m>>2]|0)+1}if((f[l>>2]|0)<3){l=f[j+44>>2]|0;m=f[q>>2]|0;f[m>>2]=f[l>>2];f[m+4>>2]=f[l+4>>2];r=k;break}else{f[k>>2]=0;kP(g,j);r=k;break}}else{lD(g,c,-1);r=g+4|0}while(0);if((f[r>>2]|0)>=3){f[h>>2]=0;f[h+4>>2]=0;c=YG(h,11)|0;k=218417;j=c+11|0;do{b[c>>0]=b[k>>0]|0;c=c+1|0;k=k+1|0}while((c|0)<(j|0));MJ(-215,h,197367,232)}k=f[g+12>>2]|0;c=f[g+8>>2]|0;j=(k|0)<(c|0)?k:c;switch(f[g>>2]&4095){case 5:{c=f[g+16>>2]|0;k=((f[g+48>>2]|0)>>>2)+1|0;if((j|0)>0){l=0;s=0.0;while(1){m=c+((Y(l,k)|0)<<2)|0;t=s+ +n[m>>2];l=l+1|0;if((l|0)>=(j|0)){v=t;break}else s=t}}else v=0.0;p[a>>3]=v;l=a+8|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;break}case 6:{l=f[g+16>>2]|0;k=((f[g+48>>2]|0)>>>3)+1|0;if((j|0)>0){v=0.0;c=0;while(1){m=l+((Y(c,k)|0)<<3)|0;s=v+ +p[m>>3];c=c+1|0;if((c|0)>=(j|0)){w=s;break}else v=s}}else w=0.0;p[a>>3]=w;j=a+8|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;break}default:{sP(i,g,0);f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=i;XG(a,h);h=i+36|0;a=f[h>>2]|0;if(a|0?(j=a+12|0,a=f[j>>2]|0,f[j>>2]=a+-1,(a|0)==1):0)lP(i);f[h>>2]=0;h=i+16|0;a=i+4|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[a>>2]|0)>0){h=f[i+40>>2]|0;j=0;do{f[h+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[a>>2]|0))}a=f[i+44>>2]|0;if((a|0)!=(i+48|0))tE(a)}}a=g+36|0;i=f[a>>2]|0;if(i|0?(j=i+12|0,i=f[j>>2]|0,f[j>>2]=i+-1,(i|0)==1):0)lP(g);f[a>>2]=0;a=g+16|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[r>>2]|0)>0){a=f[g+40>>2]|0;i=0;do{f[a+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[r>>2]|0))}r=f[g+44>>2]|0;if((r|0)!=(g+48|0))tE(r);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function SJ(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;d=u;u=u+144|0;e=d+136|0;g=d+80|0;h=d+24|0;i=d;j=d+16|0;zT(e,44420);k=oD(a,-1)|0;l=(k>>>3&511)+1<<(47696>>>(k<<1&14)&3);if(!((l|0)<33&(zD(a,-1)|0)<3)){f[g>>2]=0;f[g+4>>2]=0;m=YG(g,29)|0;n=197406;o=m+29|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));MJ(-215,g,197436,498)}do if((pD(a)|0)==65536){k=f[a+4>>2]|0;f[g>>2]=f[k>>2];p=g+4|0;q=k+4|0;f[p>>2]=f[q>>2];r=g+8|0;f[r>>2]=f[k+8>>2];f[g+12>>2]=f[k+12>>2];s=g+16|0;f[s>>2]=f[k+16>>2];f[g+20>>2]=f[k+20>>2];f[g+24>>2]=f[k+24>>2];f[g+28>>2]=f[k+28>>2];f[g+32>>2]=f[k+32>>2];t=f[k+36>>2]|0;f[g+36>>2]=t;f[g+40>>2]=r;r=g+48|0;v=g+44|0;f[v>>2]=r;f[r>>2]=0;f[g+52>>2]=0;if(t|0){r=t+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[q>>2]|0)<3){q=f[k+44>>2]|0;r=f[v>>2]|0;f[r>>2]=f[q>>2];f[r+4>>2]=f[q+4>>2];w=s;break}else{f[p>>2]=0;kP(g,k);w=s;break}}else{lD(g,a,-1);w=g+16|0}while(0);if(f[w>>2]|0){a=f[g+4>>2]|0;if((a|0)<3)x=Y(f[g+12>>2]|0,f[g+8>>2]|0)|0;else{s=f[g+40>>2]|0;k=0;p=1;while(1){q=Y(f[s+(k<<2)>>2]|0,p)|0;k=k+1|0;if((k|0)==(a|0)){x=q;break}else p=q}}if(!((a|0)==0|(x|0)==0)){x=g+12|0;a=g+8|0;iE(c,f[x>>2]|0,f[a>>2]|0,f[g>>2]&4095,-1,0,0);do if((pD(c)|0)==65536){p=f[c+4>>2]|0;f[h>>2]=f[p>>2];k=h+4|0;s=p+4|0;f[k>>2]=f[s>>2];q=h+8|0;f[q>>2]=f[p+8>>2];r=h+12|0;f[r>>2]=f[p+12>>2];f[h+16>>2]=f[p+16>>2];f[h+20>>2]=f[p+20>>2];f[h+24>>2]=f[p+24>>2];f[h+28>>2]=f[p+28>>2];f[h+32>>2]=f[p+32>>2];v=f[p+36>>2]|0;f[h+36>>2]=v;f[h+40>>2]=q;q=h+48|0;t=h+44|0;f[t>>2]=q;f[q>>2]=0;f[h+52>>2]=0;if(v|0){q=v+12|0;f[q>>2]=(f[q>>2]|0)+1}if((f[s>>2]|0)<3){s=f[p+44>>2]|0;q=f[t>>2]|0;f[q>>2]=f[s>>2];f[q+4>>2]=f[s+4>>2];y=r;break}else{f[k>>2]=0;kP(h,p);y=r;break}}else{lD(h,c,-1);y=h+12|0}while(0);r=f[a>>2]|0;do if((r|0)==(f[y>>2]|0)?(a=f[x>>2]|0,(a|0)==(f[h+8>>2]|0)):0){p=f[h+16>>2]|0;k=f[w>>2]|0;if((p|0)!=(k|0)){s=f[44572+(l<<2)>>2]|0;if(!s){f[i>>2]=0;f[i+4>>2]=0;m=YG(i,9)|0;n=274048;o=m+9|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));MJ(-215,i,197436,533)}else{q=f[g+48>>2]|0;t=f[h+48>>2]|0;v=f[g+40>>2]|0;z=f[v>>2]|0;f[j>>2]=f[v+4>>2];f[j+4>>2]=z;sh[s&255](k,q,p,t,j);break}}t=f[44440+(l<<2)>>2]|0;if(!t){f[i>>2]=0;f[i+4>>2]=0;m=YG(i,9)|0;n=274048;o=m+9|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));MJ(-215,i,197436,526)}if((r|0)==(a|0)){Yh[t&511](p,f[h+48>>2]|0,r);break}else{f[i>>2]=0;f[i+4>>2]=0;m=YG(i,20)|0;n=386031;o=m+20|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));MJ(-215,i,197436,527)}}else A=26;while(0);do if((A|0)==26){l=f[g+40>>2]|0;j=f[h+40>>2]|0;if(!((f[l>>2]|0)==(f[j>>2]|0)?(f[l+4>>2]|0)==(f[j+4>>2]|0):0)){f[i>>2]=0;B=i+4|0;f[B>>2]=0;C=YG(i,60)|0;m=C;n=197446;o=m+60|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));MJ(-215,i,197436,516)}if((f[x>>2]|0)==1|(r|0)==1){j=i+8|0;f[j>>2]=0;f[j+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=h;kT(g,i);break}else{f[i>>2]=0;B=i+4|0;f[B>>2]=0;C=YG(i,60)|0;m=C;n=197446;o=m+60|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));MJ(-215,i,197436,516)}}while(0);i=h+36|0;n=f[i>>2]|0;if(n|0?(m=n+12|0,n=f[m>>2]|0,f[m>>2]=n+-1,(n|0)==1):0)lP(h);f[i>>2]=0;i=h+16|0;n=h+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[n>>2]|0)>0){i=f[h+40>>2]|0;m=0;do{f[i+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[n>>2]|0))}n=f[h+44>>2]|0;if((n|0)!=(h+48|0))tE(n)}else A=16}else A=16;if((A|0)==16)GD(c);c=g+36|0;A=f[c>>2]|0;if(A|0?(n=A+12|0,A=f[n>>2]|0,f[n>>2]=A+-1,(A|0)==1):0)lP(g);f[c>>2]=0;c=g+4|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[c>>2]|0)>0){w=f[g+40>>2]|0;A=0;do{f[w+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[c>>2]|0))}c=f[g+44>>2]|0;if((c|0)!=(g+48|0))tE(c);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function TJ(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;h=f[g>>2]|0;i=f[g+4>>2]|0;g=h+-4|0;do if((h|0)<4)j=0;else{k=i+-4|0;if((i|0)<4){if((i|0)>0){l=0;do{m=d+(Y(l,e)|0)|0;n=d+(Y(l|1,e)|0)|0;o=d+(Y(l|2,e)|0)|0;p=d+(Y(l|3,e)|0)|0;q=a+l|0;r=0;do{s=q+(Y(r,c)|0)|0;b[m+r>>0]=b[s>>0]|0;b[n+r>>0]=b[s+1>>0]|0;b[o+r>>0]=b[s+2>>0]|0;b[p+r>>0]=b[s+3>>0]|0;r=r+1|0}while((r|0)!=(i|0));l=l+4|0}while((l|0)<=(g|0))}j=h&-4;break}l=i&-4;r=(l|0)<(i|0);p=0;do{o=d+(Y(p,e)|0)|0;n=d+(Y(p|1,e)|0)|0;m=d+(Y(p|2,e)|0)|0;q=d+(Y(p|3,e)|0)|0;s=a+p|0;t=0;do{u=s+(Y(t,c)|0)|0;v=t|1;w=s+(Y(v,c)|0)|0;x=t|2;y=s+(Y(x,c)|0)|0;z=t|3;A=s+(Y(z,c)|0)|0;b[o+t>>0]=b[u>>0]|0;b[o+v>>0]=b[w>>0]|0;b[o+x>>0]=b[y>>0]|0;b[o+z>>0]=b[A>>0]|0;b[n+t>>0]=b[u+1>>0]|0;b[n+v>>0]=b[w+1>>0]|0;b[n+x>>0]=b[y+1>>0]|0;b[n+z>>0]=b[A+1>>0]|0;b[m+t>>0]=b[u+2>>0]|0;b[m+v>>0]=b[w+2>>0]|0;b[m+x>>0]=b[y+2>>0]|0;b[m+z>>0]=b[A+2>>0]|0;b[q+t>>0]=b[u+3>>0]|0;b[q+v>>0]=b[w+3>>0]|0;b[q+x>>0]=b[y+3>>0]|0;b[q+z>>0]=b[A+3>>0]|0;t=t+4|0}while((t|0)<=(k|0));if(r){t=l;do{A=s+(Y(t,c)|0)|0;b[o+t>>0]=b[A>>0]|0;b[n+t>>0]=b[A+1>>0]|0;b[m+t>>0]=b[A+2>>0]|0;b[q+t>>0]=b[A+3>>0]|0;t=t+1|0}while((t|0)!=(i|0))}p=p+4|0}while((p|0)<=(g|0));j=h&-4}while(0);if((j|0)>=(h|0))return;g=i+-4|0;if((i|0)<4){if((i|0)>0)B=j;else return;do{p=d+(Y(B,e)|0)|0;l=a+B|0;r=0;do{k=l+(Y(r,c)|0)|0;b[p+r>>0]=b[k>>0]|0;r=r+1|0}while((r|0)!=(i|0));B=B+1|0}while((B|0)!=(h|0));return}B=i&-4;if((B|0)<(i|0))C=j;else{r=j;do{j=d+(Y(r,e)|0)|0;p=a+r|0;l=0;do{k=p+(Y(l,c)|0)|0;t=l|1;q=p+(Y(t,c)|0)|0;m=l|2;n=p+(Y(m,c)|0)|0;o=l|3;s=p+(Y(o,c)|0)|0;b[j+l>>0]=b[k>>0]|0;b[j+t>>0]=b[q>>0]|0;b[j+m>>0]=b[n>>0]|0;b[j+o>>0]=b[s>>0]|0;l=l+4|0}while((l|0)<=(g|0));r=r+1|0}while((r|0)!=(h|0));return}do{r=d+(Y(C,e)|0)|0;l=a+C|0;j=0;do{p=l+(Y(j,c)|0)|0;s=j|1;o=l+(Y(s,c)|0)|0;n=j|2;m=l+(Y(n,c)|0)|0;q=j|3;t=l+(Y(q,c)|0)|0;b[r+j>>0]=b[p>>0]|0;b[r+s>>0]=b[o>>0]|0;b[r+n>>0]=b[m>>0]|0;b[r+q>>0]=b[t>>0]|0;j=j+4|0}while((j|0)<=(g|0));D=B;do{j=l+(Y(D,c)|0)|0;b[r+D>>0]=b[j>>0]|0;D=D+1|0}while((D|0)!=(i|0));C=C+1|0}while((C|0)!=(h|0));return}function UJ(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;h=f[g>>2]|0;i=f[g+4>>2]|0;g=h+-4|0;do if((h|0)<4)j=0;else{k=i+-4|0;if((i|0)<4){if((i|0)>0){l=0;do{m=c+(Y(l,e)|0)|0;n=c+(Y(l|1,e)|0)|0;o=c+(Y(l|2,e)|0)|0;p=c+(Y(l|3,e)|0)|0;q=a+(l<<1)|0;r=0;do{s=q+(Y(r,b)|0)|0;d[m+(r<<1)>>1]=d[s>>1]|0;d[n+(r<<1)>>1]=d[s+2>>1]|0;d[o+(r<<1)>>1]=d[s+4>>1]|0;d[p+(r<<1)>>1]=d[s+6>>1]|0;r=r+1|0}while((r|0)!=(i|0));l=l+4|0}while((l|0)<=(g|0))}j=h&-4;break}l=i&-4;r=(l|0)<(i|0);p=0;do{o=c+(Y(p,e)|0)|0;n=c+(Y(p|1,e)|0)|0;m=c+(Y(p|2,e)|0)|0;q=c+(Y(p|3,e)|0)|0;s=a+(p<<1)|0;t=0;do{u=s+(Y(t,b)|0)|0;v=t|1;w=s+(Y(v,b)|0)|0;x=t|2;y=s+(Y(x,b)|0)|0;z=t|3;A=s+(Y(z,b)|0)|0;d[o+(t<<1)>>1]=d[u>>1]|0;d[o+(v<<1)>>1]=d[w>>1]|0;d[o+(x<<1)>>1]=d[y>>1]|0;d[o+(z<<1)>>1]=d[A>>1]|0;d[n+(t<<1)>>1]=d[u+2>>1]|0;d[n+(v<<1)>>1]=d[w+2>>1]|0;d[n+(x<<1)>>1]=d[y+2>>1]|0;d[n+(z<<1)>>1]=d[A+2>>1]|0;d[m+(t<<1)>>1]=d[u+4>>1]|0;d[m+(v<<1)>>1]=d[w+4>>1]|0;d[m+(x<<1)>>1]=d[y+4>>1]|0;d[m+(z<<1)>>1]=d[A+4>>1]|0;d[q+(t<<1)>>1]=d[u+6>>1]|0;d[q+(v<<1)>>1]=d[w+6>>1]|0;d[q+(x<<1)>>1]=d[y+6>>1]|0;d[q+(z<<1)>>1]=d[A+6>>1]|0;t=t+4|0}while((t|0)<=(k|0));if(r){t=l;do{A=s+(Y(t,b)|0)|0;d[o+(t<<1)>>1]=d[A>>1]|0;d[n+(t<<1)>>1]=d[A+2>>1]|0;d[m+(t<<1)>>1]=d[A+4>>1]|0;d[q+(t<<1)>>1]=d[A+6>>1]|0;t=t+1|0}while((t|0)!=(i|0))}p=p+4|0}while((p|0)<=(g|0));j=h&-4}while(0);if((j|0)>=(h|0))return;g=i+-4|0;if((i|0)<4){if((i|0)>0)B=j;else return;do{p=c+(Y(B,e)|0)|0;l=a+(B<<1)|0;r=0;do{k=l+(Y(r,b)|0)|0;d[p+(r<<1)>>1]=d[k>>1]|0;r=r+1|0}while((r|0)!=(i|0));B=B+1|0}while((B|0)!=(h|0));return}B=i&-4;if((B|0)<(i|0))C=j;else{r=j;do{j=c+(Y(r,e)|0)|0;p=a+(r<<1)|0;l=0;do{k=p+(Y(l,b)|0)|0;t=l|1;q=p+(Y(t,b)|0)|0;m=l|2;n=p+(Y(m,b)|0)|0;o=l|3;s=p+(Y(o,b)|0)|0;d[j+(l<<1)>>1]=d[k>>1]|0;d[j+(t<<1)>>1]=d[q>>1]|0;d[j+(m<<1)>>1]=d[n>>1]|0;d[j+(o<<1)>>1]=d[s>>1]|0;l=l+4|0}while((l|0)<=(g|0));r=r+1|0}while((r|0)!=(h|0));return}do{r=c+(Y(C,e)|0)|0;l=a+(C<<1)|0;j=0;do{p=l+(Y(j,b)|0)|0;s=j|1;o=l+(Y(s,b)|0)|0;n=j|2;m=l+(Y(n,b)|0)|0;q=j|3;t=l+(Y(q,b)|0)|0;d[r+(j<<1)>>1]=d[p>>1]|0;d[r+(s<<1)>>1]=d[o>>1]|0;d[r+(n<<1)>>1]=d[m>>1]|0;d[r+(q<<1)>>1]=d[t>>1]|0;j=j+4|0}while((j|0)<=(g|0));D=B;do{j=l+(Y(D,b)|0)|0;d[r+(D<<1)>>1]=d[j>>1]|0;D=D+1|0}while((D|0)!=(i|0));C=C+1|0}while((C|0)!=(h|0));return}function VJ(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;h=f[g>>2]|0;i=f[g+4>>2]|0;g=h+-4|0;do if((h|0)<4)j=0;else{k=i+-4|0;if((i|0)<4){if((i|0)>0){l=0;do{m=d+(Y(l,e)|0)|0;n=d+(Y(l|1,e)|0)|0;o=d+(Y(l|2,e)|0)|0;p=d+(Y(l|3,e)|0)|0;q=a+(l*3|0)|0;r=0;do{s=q+(Y(r,c)|0)|0;t=m+(r*3|0)|0;b[t>>0]=b[s>>0]|0;b[t+1>>0]=b[s+1>>0]|0;b[t+2>>0]=b[s+2>>0]|0;t=s+3|0;u=n+(r*3|0)|0;b[u>>0]=b[t>>0]|0;b[u+1>>0]=b[t+1>>0]|0;b[u+2>>0]=b[t+2>>0]|0;t=s+6|0;u=o+(r*3|0)|0;b[u>>0]=b[t>>0]|0;b[u+1>>0]=b[t+1>>0]|0;b[u+2>>0]=b[t+2>>0]|0;t=s+9|0;s=p+(r*3|0)|0;b[s>>0]=b[t>>0]|0;b[s+1>>0]=b[t+1>>0]|0;b[s+2>>0]=b[t+2>>0]|0;r=r+1|0}while((r|0)!=(i|0));l=l+4|0}while((l|0)<=(g|0))}j=h&-4;break}l=i&-4;r=(l|0)<(i|0);p=0;do{o=d+(Y(p,e)|0)|0;n=d+(Y(p|1,e)|0)|0;m=d+(Y(p|2,e)|0)|0;q=d+(Y(p|3,e)|0)|0;t=a+(p*3|0)|0;s=0;do{u=t+(Y(s,c)|0)|0;v=s|1;w=t+(Y(v,c)|0)|0;x=s|2;y=t+(Y(x,c)|0)|0;z=s|3;A=t+(Y(z,c)|0)|0;B=o+(s*3|0)|0;b[B>>0]=b[u>>0]|0;b[B+1>>0]=b[u+1>>0]|0;b[B+2>>0]=b[u+2>>0]|0;B=o+(v*3|0)|0;b[B>>0]=b[w>>0]|0;b[B+1>>0]=b[w+1>>0]|0;b[B+2>>0]=b[w+2>>0]|0;B=o+(x*3|0)|0;b[B>>0]=b[y>>0]|0;b[B+1>>0]=b[y+1>>0]|0;b[B+2>>0]=b[y+2>>0]|0;B=o+(z*3|0)|0;b[B>>0]=b[A>>0]|0;b[B+1>>0]=b[A+1>>0]|0;b[B+2>>0]=b[A+2>>0]|0;B=u+3|0;C=n+(s*3|0)|0;b[C>>0]=b[B>>0]|0;b[C+1>>0]=b[B+1>>0]|0;b[C+2>>0]=b[B+2>>0]|0;B=w+3|0;C=n+(v*3|0)|0;b[C>>0]=b[B>>0]|0;b[C+1>>0]=b[B+1>>0]|0;b[C+2>>0]=b[B+2>>0]|0;B=y+3|0;C=n+(x*3|0)|0;b[C>>0]=b[B>>0]|0;b[C+1>>0]=b[B+1>>0]|0;b[C+2>>0]=b[B+2>>0]|0;B=A+3|0;C=n+(z*3|0)|0;b[C>>0]=b[B>>0]|0;b[C+1>>0]=b[B+1>>0]|0;b[C+2>>0]=b[B+2>>0]|0;B=u+6|0;C=m+(s*3|0)|0;b[C>>0]=b[B>>0]|0;b[C+1>>0]=b[B+1>>0]|0;b[C+2>>0]=b[B+2>>0]|0;B=w+6|0;C=m+(v*3|0)|0;b[C>>0]=b[B>>0]|0;b[C+1>>0]=b[B+1>>0]|0;b[C+2>>0]=b[B+2>>0]|0;B=y+6|0;C=m+(x*3|0)|0;b[C>>0]=b[B>>0]|0;b[C+1>>0]=b[B+1>>0]|0;b[C+2>>0]=b[B+2>>0]|0;B=A+6|0;C=m+(z*3|0)|0;b[C>>0]=b[B>>0]|0;b[C+1>>0]=b[B+1>>0]|0;b[C+2>>0]=b[B+2>>0]|0;B=u+9|0;u=q+(s*3|0)|0;b[u>>0]=b[B>>0]|0;b[u+1>>0]=b[B+1>>0]|0;b[u+2>>0]=b[B+2>>0]|0;B=w+9|0;w=q+(v*3|0)|0;b[w>>0]=b[B>>0]|0;b[w+1>>0]=b[B+1>>0]|0;b[w+2>>0]=b[B+2>>0]|0;B=y+9|0;y=q+(x*3|0)|0;b[y>>0]=b[B>>0]|0;b[y+1>>0]=b[B+1>>0]|0;b[y+2>>0]=b[B+2>>0]|0;B=A+9|0;A=q+(z*3|0)|0;b[A>>0]=b[B>>0]|0;b[A+1>>0]=b[B+1>>0]|0;b[A+2>>0]=b[B+2>>0]|0;s=s+4|0}while((s|0)<=(k|0));if(r){s=l;do{B=t+(Y(s,c)|0)|0;A=o+(s*3|0)|0;b[A>>0]=b[B>>0]|0;b[A+1>>0]=b[B+1>>0]|0;b[A+2>>0]=b[B+2>>0]|0;A=B+3|0;z=n+(s*3|0)|0;b[z>>0]=b[A>>0]|0;b[z+1>>0]=b[A+1>>0]|0;b[z+2>>0]=b[A+2>>0]|0;A=B+6|0;z=m+(s*3|0)|0;b[z>>0]=b[A>>0]|0;b[z+1>>0]=b[A+1>>0]|0;b[z+2>>0]=b[A+2>>0]|0;A=B+9|0;B=q+(s*3|0)|0;b[B>>0]=b[A>>0]|0;b[B+1>>0]=b[A+1>>0]|0;b[B+2>>0]=b[A+2>>0]|0;s=s+1|0}while((s|0)!=(i|0))}p=p+4|0}while((p|0)<=(g|0));j=h&-4}while(0);if((j|0)>=(h|0))return;g=i+-4|0;if((i|0)<4){if((i|0)>0)D=j;else return;do{p=d+(Y(D,e)|0)|0;l=a+(D*3|0)|0;r=0;do{k=l+(Y(r,c)|0)|0;s=p+(r*3|0)|0;b[s>>0]=b[k>>0]|0;b[s+1>>0]=b[k+1>>0]|0;b[s+2>>0]=b[k+2>>0]|0;r=r+1|0}while((r|0)!=(i|0));D=D+1|0}while((D|0)!=(h|0));return}D=i&-4;if((D|0)<(i|0))E=j;else{r=j;do{j=d+(Y(r,e)|0)|0;p=a+(r*3|0)|0;l=0;do{k=p+(Y(l,c)|0)|0;s=l|1;q=p+(Y(s,c)|0)|0;m=l|2;n=p+(Y(m,c)|0)|0;o=l|3;t=p+(Y(o,c)|0)|0;A=j+(l*3|0)|0;b[A>>0]=b[k>>0]|0;b[A+1>>0]=b[k+1>>0]|0;b[A+2>>0]=b[k+2>>0]|0;k=j+(s*3|0)|0;b[k>>0]=b[q>>0]|0;b[k+1>>0]=b[q+1>>0]|0;b[k+2>>0]=b[q+2>>0]|0;q=j+(m*3|0)|0;b[q>>0]=b[n>>0]|0;b[q+1>>0]=b[n+1>>0]|0;b[q+2>>0]=b[n+2>>0]|0;n=j+(o*3|0)|0;b[n>>0]=b[t>>0]|0;b[n+1>>0]=b[t+1>>0]|0;b[n+2>>0]=b[t+2>>0]|0;l=l+4|0}while((l|0)<=(g|0));r=r+1|0}while((r|0)!=(h|0));return}do{r=d+(Y(E,e)|0)|0;l=a+(E*3|0)|0;j=0;do{p=l+(Y(j,c)|0)|0;t=j|1;n=l+(Y(t,c)|0)|0;o=j|2;q=l+(Y(o,c)|0)|0;m=j|3;k=l+(Y(m,c)|0)|0;s=r+(j*3|0)|0;b[s>>0]=b[p>>0]|0;b[s+1>>0]=b[p+1>>0]|0;b[s+2>>0]=b[p+2>>0]|0;p=r+(t*3|0)|0;b[p>>0]=b[n>>0]|0;b[p+1>>0]=b[n+1>>0]|0;b[p+2>>0]=b[n+2>>0]|0;n=r+(o*3|0)|0;b[n>>0]=b[q>>0]|0;b[n+1>>0]=b[q+1>>0]|0;b[n+2>>0]=b[q+2>>0]|0;q=r+(m*3|0)|0;b[q>>0]=b[k>>0]|0;b[q+1>>0]=b[k+1>>0]|0;b[q+2>>0]=b[k+2>>0]|0;j=j+4|0}while((j|0)<=(g|0));F=D;do{j=l+(Y(F,c)|0)|0;k=r+(F*3|0)|0;b[k>>0]=b[j>>0]|0;b[k+1>>0]=b[j+1>>0]|0;b[k+2>>0]=b[j+2>>0]|0;F=F+1|0}while((F|0)!=(i|0));E=E+1|0}while((E|0)!=(h|0));return}function WJ(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;g=f[e>>2]|0;h=f[e+4>>2]|0;e=g+-4|0;do if((g|0)<4)i=0;else{j=h+-4|0;if((h|0)<4){if((h|0)>0){k=0;do{l=c+(Y(k,d)|0)|0;m=c+(Y(k|1,d)|0)|0;n=c+(Y(k|2,d)|0)|0;o=c+(Y(k|3,d)|0)|0;p=a+(k<<2)|0;q=0;do{r=p+(Y(q,b)|0)|0;f[l+(q<<2)>>2]=f[r>>2];f[m+(q<<2)>>2]=f[r+4>>2];f[n+(q<<2)>>2]=f[r+8>>2];f[o+(q<<2)>>2]=f[r+12>>2];q=q+1|0}while((q|0)!=(h|0));k=k+4|0}while((k|0)<=(e|0))}i=g&-4;break}k=h&-4;q=(k|0)<(h|0);o=0;do{n=c+(Y(o,d)|0)|0;m=c+(Y(o|1,d)|0)|0;l=c+(Y(o|2,d)|0)|0;p=c+(Y(o|3,d)|0)|0;r=a+(o<<2)|0;s=0;do{t=r+(Y(s,b)|0)|0;u=s|1;v=r+(Y(u,b)|0)|0;w=s|2;x=r+(Y(w,b)|0)|0;y=s|3;z=r+(Y(y,b)|0)|0;f[n+(s<<2)>>2]=f[t>>2];f[n+(u<<2)>>2]=f[v>>2];f[n+(w<<2)>>2]=f[x>>2];f[n+(y<<2)>>2]=f[z>>2];f[m+(s<<2)>>2]=f[t+4>>2];f[m+(u<<2)>>2]=f[v+4>>2];f[m+(w<<2)>>2]=f[x+4>>2];f[m+(y<<2)>>2]=f[z+4>>2];f[l+(s<<2)>>2]=f[t+8>>2];f[l+(u<<2)>>2]=f[v+8>>2];f[l+(w<<2)>>2]=f[x+8>>2];f[l+(y<<2)>>2]=f[z+8>>2];f[p+(s<<2)>>2]=f[t+12>>2];f[p+(u<<2)>>2]=f[v+12>>2];f[p+(w<<2)>>2]=f[x+12>>2];f[p+(y<<2)>>2]=f[z+12>>2];s=s+4|0}while((s|0)<=(j|0));if(q){s=k;do{z=r+(Y(s,b)|0)|0;f[n+(s<<2)>>2]=f[z>>2];f[m+(s<<2)>>2]=f[z+4>>2];f[l+(s<<2)>>2]=f[z+8>>2];f[p+(s<<2)>>2]=f[z+12>>2];s=s+1|0}while((s|0)!=(h|0))}o=o+4|0}while((o|0)<=(e|0));i=g&-4}while(0);if((i|0)>=(g|0))return;e=h+-4|0;if((h|0)<4){if((h|0)>0)A=i;else return;do{o=c+(Y(A,d)|0)|0;k=a+(A<<2)|0;q=0;do{j=k+(Y(q,b)|0)|0;f[o+(q<<2)>>2]=f[j>>2];q=q+1|0}while((q|0)!=(h|0));A=A+1|0}while((A|0)!=(g|0));return}A=h&-4;if((A|0)<(h|0))B=i;else{q=i;do{i=c+(Y(q,d)|0)|0;o=a+(q<<2)|0;k=0;do{j=o+(Y(k,b)|0)|0;s=k|1;p=o+(Y(s,b)|0)|0;l=k|2;m=o+(Y(l,b)|0)|0;n=k|3;r=o+(Y(n,b)|0)|0;f[i+(k<<2)>>2]=f[j>>2];f[i+(s<<2)>>2]=f[p>>2];f[i+(l<<2)>>2]=f[m>>2];f[i+(n<<2)>>2]=f[r>>2];k=k+4|0}while((k|0)<=(e|0));q=q+1|0}while((q|0)!=(g|0));return}do{q=c+(Y(B,d)|0)|0;k=a+(B<<2)|0;i=0;do{o=k+(Y(i,b)|0)|0;r=i|1;n=k+(Y(r,b)|0)|0;m=i|2;l=k+(Y(m,b)|0)|0;p=i|3;s=k+(Y(p,b)|0)|0;f[q+(i<<2)>>2]=f[o>>2];f[q+(r<<2)>>2]=f[n>>2];f[q+(m<<2)>>2]=f[l>>2];f[q+(p<<2)>>2]=f[s>>2];i=i+4|0}while((i|0)<=(e|0));C=A;do{i=k+(Y(C,b)|0)|0;f[q+(C<<2)>>2]=f[i>>2];C=C+1|0}while((C|0)!=(h|0));B=B+1|0}while((B|0)!=(g|0));return}function XJ(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;h=f[g>>2]|0;i=f[g+4>>2]|0;g=h+-4|0;do if((h|0)<4)j=0;else{k=i+-4|0;if((i|0)<4){if((i|0)>0){l=0;do{m=c+(Y(l,e)|0)|0;n=c+(Y(l|1,e)|0)|0;o=c+(Y(l|2,e)|0)|0;p=c+(Y(l|3,e)|0)|0;q=a+(l*6|0)|0;r=0;do{s=q+(Y(r,b)|0)|0;t=m+(r*6|0)|0;d[t>>1]=d[s>>1]|0;d[t+2>>1]=d[s+2>>1]|0;d[t+4>>1]=d[s+4>>1]|0;t=s+6|0;u=n+(r*6|0)|0;d[u>>1]=d[t>>1]|0;d[u+2>>1]=d[t+2>>1]|0;d[u+4>>1]=d[t+4>>1]|0;t=s+12|0;u=o+(r*6|0)|0;d[u>>1]=d[t>>1]|0;d[u+2>>1]=d[t+2>>1]|0;d[u+4>>1]=d[t+4>>1]|0;t=s+18|0;s=p+(r*6|0)|0;d[s>>1]=d[t>>1]|0;d[s+2>>1]=d[t+2>>1]|0;d[s+4>>1]=d[t+4>>1]|0;r=r+1|0}while((r|0)!=(i|0));l=l+4|0}while((l|0)<=(g|0))}j=h&-4;break}l=i&-4;r=(l|0)<(i|0);p=0;do{o=c+(Y(p,e)|0)|0;n=c+(Y(p|1,e)|0)|0;m=c+(Y(p|2,e)|0)|0;q=c+(Y(p|3,e)|0)|0;t=a+(p*6|0)|0;s=0;do{u=t+(Y(s,b)|0)|0;v=s|1;w=t+(Y(v,b)|0)|0;x=s|2;y=t+(Y(x,b)|0)|0;z=s|3;A=t+(Y(z,b)|0)|0;B=o+(s*6|0)|0;d[B>>1]=d[u>>1]|0;d[B+2>>1]=d[u+2>>1]|0;d[B+4>>1]=d[u+4>>1]|0;B=o+(v*6|0)|0;d[B>>1]=d[w>>1]|0;d[B+2>>1]=d[w+2>>1]|0;d[B+4>>1]=d[w+4>>1]|0;B=o+(x*6|0)|0;d[B>>1]=d[y>>1]|0;d[B+2>>1]=d[y+2>>1]|0;d[B+4>>1]=d[y+4>>1]|0;B=o+(z*6|0)|0;d[B>>1]=d[A>>1]|0;d[B+2>>1]=d[A+2>>1]|0;d[B+4>>1]=d[A+4>>1]|0;B=u+6|0;C=n+(s*6|0)|0;d[C>>1]=d[B>>1]|0;d[C+2>>1]=d[B+2>>1]|0;d[C+4>>1]=d[B+4>>1]|0;B=w+6|0;C=n+(v*6|0)|0;d[C>>1]=d[B>>1]|0;d[C+2>>1]=d[B+2>>1]|0;d[C+4>>1]=d[B+4>>1]|0;B=y+6|0;C=n+(x*6|0)|0;d[C>>1]=d[B>>1]|0;d[C+2>>1]=d[B+2>>1]|0;d[C+4>>1]=d[B+4>>1]|0;B=A+6|0;C=n+(z*6|0)|0;d[C>>1]=d[B>>1]|0;d[C+2>>1]=d[B+2>>1]|0;d[C+4>>1]=d[B+4>>1]|0;B=u+12|0;C=m+(s*6|0)|0;d[C>>1]=d[B>>1]|0;d[C+2>>1]=d[B+2>>1]|0;d[C+4>>1]=d[B+4>>1]|0;B=w+12|0;C=m+(v*6|0)|0;d[C>>1]=d[B>>1]|0;d[C+2>>1]=d[B+2>>1]|0;d[C+4>>1]=d[B+4>>1]|0;B=y+12|0;C=m+(x*6|0)|0;d[C>>1]=d[B>>1]|0;d[C+2>>1]=d[B+2>>1]|0;d[C+4>>1]=d[B+4>>1]|0;B=A+12|0;C=m+(z*6|0)|0;d[C>>1]=d[B>>1]|0;d[C+2>>1]=d[B+2>>1]|0;d[C+4>>1]=d[B+4>>1]|0;B=u+18|0;u=q+(s*6|0)|0;d[u>>1]=d[B>>1]|0;d[u+2>>1]=d[B+2>>1]|0;d[u+4>>1]=d[B+4>>1]|0;B=w+18|0;w=q+(v*6|0)|0;d[w>>1]=d[B>>1]|0;d[w+2>>1]=d[B+2>>1]|0;d[w+4>>1]=d[B+4>>1]|0;B=y+18|0;y=q+(x*6|0)|0;d[y>>1]=d[B>>1]|0;d[y+2>>1]=d[B+2>>1]|0;d[y+4>>1]=d[B+4>>1]|0;B=A+18|0;A=q+(z*6|0)|0;d[A>>1]=d[B>>1]|0;d[A+2>>1]=d[B+2>>1]|0;d[A+4>>1]=d[B+4>>1]|0;s=s+4|0}while((s|0)<=(k|0));if(r){s=l;do{B=t+(Y(s,b)|0)|0;A=o+(s*6|0)|0;d[A>>1]=d[B>>1]|0;d[A+2>>1]=d[B+2>>1]|0;d[A+4>>1]=d[B+4>>1]|0;A=B+6|0;z=n+(s*6|0)|0;d[z>>1]=d[A>>1]|0;d[z+2>>1]=d[A+2>>1]|0;d[z+4>>1]=d[A+4>>1]|0;A=B+12|0;z=m+(s*6|0)|0;d[z>>1]=d[A>>1]|0;d[z+2>>1]=d[A+2>>1]|0;d[z+4>>1]=d[A+4>>1]|0;A=B+18|0;B=q+(s*6|0)|0;d[B>>1]=d[A>>1]|0;d[B+2>>1]=d[A+2>>1]|0;d[B+4>>1]=d[A+4>>1]|0;s=s+1|0}while((s|0)!=(i|0))}p=p+4|0}while((p|0)<=(g|0));j=h&-4}while(0);if((j|0)>=(h|0))return;g=i+-4|0;if((i|0)<4){if((i|0)>0)D=j;else return;do{p=c+(Y(D,e)|0)|0;l=a+(D*6|0)|0;r=0;do{k=l+(Y(r,b)|0)|0;s=p+(r*6|0)|0;d[s>>1]=d[k>>1]|0;d[s+2>>1]=d[k+2>>1]|0;d[s+4>>1]=d[k+4>>1]|0;r=r+1|0}while((r|0)!=(i|0));D=D+1|0}while((D|0)!=(h|0));return}D=i&-4;if((D|0)<(i|0))E=j;else{r=j;do{j=c+(Y(r,e)|0)|0;p=a+(r*6|0)|0;l=0;do{k=p+(Y(l,b)|0)|0;s=l|1;q=p+(Y(s,b)|0)|0;m=l|2;n=p+(Y(m,b)|0)|0;o=l|3;t=p+(Y(o,b)|0)|0;A=j+(l*6|0)|0;d[A>>1]=d[k>>1]|0;d[A+2>>1]=d[k+2>>1]|0;d[A+4>>1]=d[k+4>>1]|0;k=j+(s*6|0)|0;d[k>>1]=d[q>>1]|0;d[k+2>>1]=d[q+2>>1]|0;d[k+4>>1]=d[q+4>>1]|0;q=j+(m*6|0)|0;d[q>>1]=d[n>>1]|0;d[q+2>>1]=d[n+2>>1]|0;d[q+4>>1]=d[n+4>>1]|0;n=j+(o*6|0)|0;d[n>>1]=d[t>>1]|0;d[n+2>>1]=d[t+2>>1]|0;d[n+4>>1]=d[t+4>>1]|0;l=l+4|0}while((l|0)<=(g|0));r=r+1|0}while((r|0)!=(h|0));return}do{r=c+(Y(E,e)|0)|0;l=a+(E*6|0)|0;j=0;do{p=l+(Y(j,b)|0)|0;t=j|1;n=l+(Y(t,b)|0)|0;o=j|2;q=l+(Y(o,b)|0)|0;m=j|3;k=l+(Y(m,b)|0)|0;s=r+(j*6|0)|0;d[s>>1]=d[p>>1]|0;d[s+2>>1]=d[p+2>>1]|0;d[s+4>>1]=d[p+4>>1]|0;p=r+(t*6|0)|0;d[p>>1]=d[n>>1]|0;d[p+2>>1]=d[n+2>>1]|0;d[p+4>>1]=d[n+4>>1]|0;n=r+(o*6|0)|0;d[n>>1]=d[q>>1]|0;d[n+2>>1]=d[q+2>>1]|0;d[n+4>>1]=d[q+4>>1]|0;q=r+(m*6|0)|0;d[q>>1]=d[k>>1]|0;d[q+2>>1]=d[k+2>>1]|0;d[q+4>>1]=d[k+4>>1]|0;j=j+4|0}while((j|0)<=(g|0));F=D;do{j=l+(Y(F,b)|0)|0;k=r+(F*6|0)|0;d[k>>1]=d[j>>1]|0;d[k+2>>1]=d[j+2>>1]|0;d[k+4>>1]=d[j+4>>1]|0;F=F+1|0}while((F|0)!=(i|0));E=E+1|0}while((E|0)!=(h|0));return}function YJ(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;g=f[e>>2]|0;h=f[e+4>>2]|0;e=g+-4|0;do if((g|0)<4)i=0;else{j=h+-4|0;if((h|0)<4){if((h|0)>0){k=0;do{l=c+(Y(k,d)|0)|0;m=c+(Y(k|1,d)|0)|0;n=c+(Y(k|2,d)|0)|0;o=c+(Y(k|3,d)|0)|0;p=a+(k<<3)|0;q=0;do{r=p+(Y(q,b)|0)|0;s=r;t=f[s+4>>2]|0;u=l+(q<<3)|0;f[u>>2]=f[s>>2];f[u+4>>2]=t;t=r+8|0;u=f[t+4>>2]|0;s=m+(q<<3)|0;f[s>>2]=f[t>>2];f[s+4>>2]=u;u=r+16|0;s=f[u+4>>2]|0;t=n+(q<<3)|0;f[t>>2]=f[u>>2];f[t+4>>2]=s;s=r+24|0;r=f[s+4>>2]|0;t=o+(q<<3)|0;f[t>>2]=f[s>>2];f[t+4>>2]=r;q=q+1|0}while((q|0)!=(h|0));k=k+4|0}while((k|0)<=(e|0))}i=g&-4;break}k=h&-4;q=(k|0)<(h|0);o=0;do{n=c+(Y(o,d)|0)|0;m=c+(Y(o|1,d)|0)|0;l=c+(Y(o|2,d)|0)|0;p=c+(Y(o|3,d)|0)|0;r=a+(o<<3)|0;t=0;do{s=r+(Y(t,b)|0)|0;u=t|1;v=r+(Y(u,b)|0)|0;w=t|2;x=r+(Y(w,b)|0)|0;y=t|3;z=r+(Y(y,b)|0)|0;A=s;B=f[A+4>>2]|0;C=n+(t<<3)|0;f[C>>2]=f[A>>2];f[C+4>>2]=B;B=v;C=f[B+4>>2]|0;A=n+(u<<3)|0;f[A>>2]=f[B>>2];f[A+4>>2]=C;C=x;A=f[C+4>>2]|0;B=n+(w<<3)|0;f[B>>2]=f[C>>2];f[B+4>>2]=A;A=z;B=f[A+4>>2]|0;C=n+(y<<3)|0;f[C>>2]=f[A>>2];f[C+4>>2]=B;B=s+8|0;C=f[B+4>>2]|0;A=m+(t<<3)|0;f[A>>2]=f[B>>2];f[A+4>>2]=C;C=v+8|0;A=f[C+4>>2]|0;B=m+(u<<3)|0;f[B>>2]=f[C>>2];f[B+4>>2]=A;A=x+8|0;B=f[A+4>>2]|0;C=m+(w<<3)|0;f[C>>2]=f[A>>2];f[C+4>>2]=B;B=z+8|0;C=f[B+4>>2]|0;A=m+(y<<3)|0;f[A>>2]=f[B>>2];f[A+4>>2]=C;C=s+16|0;A=f[C+4>>2]|0;B=l+(t<<3)|0;f[B>>2]=f[C>>2];f[B+4>>2]=A;A=v+16|0;B=f[A+4>>2]|0;C=l+(u<<3)|0;f[C>>2]=f[A>>2];f[C+4>>2]=B;B=x+16|0;C=f[B+4>>2]|0;A=l+(w<<3)|0;f[A>>2]=f[B>>2];f[A+4>>2]=C;C=z+16|0;A=f[C+4>>2]|0;B=l+(y<<3)|0;f[B>>2]=f[C>>2];f[B+4>>2]=A;A=s+24|0;s=f[A+4>>2]|0;B=p+(t<<3)|0;f[B>>2]=f[A>>2];f[B+4>>2]=s;s=v+24|0;v=f[s+4>>2]|0;B=p+(u<<3)|0;f[B>>2]=f[s>>2];f[B+4>>2]=v;v=x+24|0;x=f[v+4>>2]|0;B=p+(w<<3)|0;f[B>>2]=f[v>>2];f[B+4>>2]=x;x=z+24|0;z=f[x+4>>2]|0;B=p+(y<<3)|0;f[B>>2]=f[x>>2];f[B+4>>2]=z;t=t+4|0}while((t|0)<=(j|0));if(q){t=k;do{z=r+(Y(t,b)|0)|0;B=z;x=f[B+4>>2]|0;y=n+(t<<3)|0;f[y>>2]=f[B>>2];f[y+4>>2]=x;x=z+8|0;y=f[x+4>>2]|0;B=m+(t<<3)|0;f[B>>2]=f[x>>2];f[B+4>>2]=y;y=z+16|0;B=f[y+4>>2]|0;x=l+(t<<3)|0;f[x>>2]=f[y>>2];f[x+4>>2]=B;B=z+24|0;z=f[B+4>>2]|0;x=p+(t<<3)|0;f[x>>2]=f[B>>2];f[x+4>>2]=z;t=t+1|0}while((t|0)!=(h|0))}o=o+4|0}while((o|0)<=(e|0));i=g&-4}while(0);if((i|0)>=(g|0))return;e=h+-4|0;if((h|0)<4){if((h|0)>0)D=i;else return;do{o=c+(Y(D,d)|0)|0;k=a+(D<<3)|0;q=0;do{j=k+(Y(q,b)|0)|0;t=f[j+4>>2]|0;p=o+(q<<3)|0;f[p>>2]=f[j>>2];f[p+4>>2]=t;q=q+1|0}while((q|0)!=(h|0));D=D+1|0}while((D|0)!=(g|0));return}D=h&-4;if((D|0)<(h|0))E=i;else{q=i;do{i=c+(Y(q,d)|0)|0;o=a+(q<<3)|0;k=0;do{t=k|1;p=o+(Y(t,b)|0)|0;j=k|2;l=o+(Y(j,b)|0)|0;m=k|3;n=o+(Y(m,b)|0)|0;r=o+(Y(k,b)|0)|0;z=f[r+4>>2]|0;x=i+(k<<3)|0;f[x>>2]=f[r>>2];f[x+4>>2]=z;z=p;p=f[z+4>>2]|0;x=i+(t<<3)|0;f[x>>2]=f[z>>2];f[x+4>>2]=p;p=l;l=f[p+4>>2]|0;x=i+(j<<3)|0;f[x>>2]=f[p>>2];f[x+4>>2]=l;l=n;n=f[l+4>>2]|0;x=i+(m<<3)|0;f[x>>2]=f[l>>2];f[x+4>>2]=n;k=k+4|0}while((k|0)<=(e|0));q=q+1|0}while((q|0)!=(g|0));return}do{q=c+(Y(E,d)|0)|0;k=a+(E<<3)|0;i=0;do{o=i|1;n=k+(Y(o,b)|0)|0;x=i|2;l=k+(Y(x,b)|0)|0;m=i|3;p=k+(Y(m,b)|0)|0;j=k+(Y(i,b)|0)|0;z=f[j+4>>2]|0;t=q+(i<<3)|0;f[t>>2]=f[j>>2];f[t+4>>2]=z;z=n;n=f[z+4>>2]|0;t=q+(o<<3)|0;f[t>>2]=f[z>>2];f[t+4>>2]=n;n=l;l=f[n+4>>2]|0;t=q+(x<<3)|0;f[t>>2]=f[n>>2];f[t+4>>2]=l;l=p;p=f[l+4>>2]|0;t=q+(m<<3)|0;f[t>>2]=f[l>>2];f[t+4>>2]=p;i=i+4|0}while((i|0)<=(e|0));F=D;do{i=k+(Y(F,b)|0)|0;p=f[i+4>>2]|0;t=q+(F<<3)|0;f[t>>2]=f[i>>2];f[t+4>>2]=p;F=F+1|0}while((F|0)!=(h|0));E=E+1|0}while((E|0)!=(g|0));return}function ZJ(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;g=f[e>>2]|0;h=f[e+4>>2]|0;e=g+-4|0;do if((g|0)<4)i=0;else{j=h+-4|0;if((h|0)<4){if((h|0)>0){k=0;do{l=c+(Y(k,d)|0)|0;m=c+(Y(k|1,d)|0)|0;n=c+(Y(k|2,d)|0)|0;o=c+(Y(k|3,d)|0)|0;p=a+(k*12|0)|0;q=0;do{r=p+(Y(q,b)|0)|0;s=l+(q*12|0)|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2];f[s+8>>2]=f[r+8>>2];s=r+12|0;t=m+(q*12|0)|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2];f[t+8>>2]=f[s+8>>2];s=r+24|0;t=n+(q*12|0)|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2];f[t+8>>2]=f[s+8>>2];s=r+36|0;r=o+(q*12|0)|0;f[r>>2]=f[s>>2];f[r+4>>2]=f[s+4>>2];f[r+8>>2]=f[s+8>>2];q=q+1|0}while((q|0)!=(h|0));k=k+4|0}while((k|0)<=(e|0))}i=g&-4;break}k=h&-4;q=(k|0)<(h|0);o=0;do{n=c+(Y(o,d)|0)|0;m=c+(Y(o|1,d)|0)|0;l=c+(Y(o|2,d)|0)|0;p=c+(Y(o|3,d)|0)|0;s=a+(o*12|0)|0;r=0;do{t=s+(Y(r,b)|0)|0;u=r|1;v=s+(Y(u,b)|0)|0;w=r|2;x=s+(Y(w,b)|0)|0;y=r|3;z=s+(Y(y,b)|0)|0;A=n+(r*12|0)|0;f[A>>2]=f[t>>2];f[A+4>>2]=f[t+4>>2];f[A+8>>2]=f[t+8>>2];A=n+(u*12|0)|0;f[A>>2]=f[v>>2];f[A+4>>2]=f[v+4>>2];f[A+8>>2]=f[v+8>>2];A=n+(w*12|0)|0;f[A>>2]=f[x>>2];f[A+4>>2]=f[x+4>>2];f[A+8>>2]=f[x+8>>2];A=n+(y*12|0)|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];f[A+8>>2]=f[z+8>>2];A=t+12|0;B=m+(r*12|0)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];A=v+12|0;B=m+(u*12|0)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];A=x+12|0;B=m+(w*12|0)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];A=z+12|0;B=m+(y*12|0)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];A=t+24|0;B=l+(r*12|0)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];A=v+24|0;B=l+(u*12|0)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];A=x+24|0;B=l+(w*12|0)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];A=z+24|0;B=l+(y*12|0)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];A=t+36|0;t=p+(r*12|0)|0;f[t>>2]=f[A>>2];f[t+4>>2]=f[A+4>>2];f[t+8>>2]=f[A+8>>2];A=v+36|0;v=p+(u*12|0)|0;f[v>>2]=f[A>>2];f[v+4>>2]=f[A+4>>2];f[v+8>>2]=f[A+8>>2];A=x+36|0;x=p+(w*12|0)|0;f[x>>2]=f[A>>2];f[x+4>>2]=f[A+4>>2];f[x+8>>2]=f[A+8>>2];A=z+36|0;z=p+(y*12|0)|0;f[z>>2]=f[A>>2];f[z+4>>2]=f[A+4>>2];f[z+8>>2]=f[A+8>>2];r=r+4|0}while((r|0)<=(j|0));if(q){r=k;do{A=s+(Y(r,b)|0)|0;z=n+(r*12|0)|0;f[z>>2]=f[A>>2];f[z+4>>2]=f[A+4>>2];f[z+8>>2]=f[A+8>>2];z=A+12|0;y=m+(r*12|0)|0;f[y>>2]=f[z>>2];f[y+4>>2]=f[z+4>>2];f[y+8>>2]=f[z+8>>2];z=A+24|0;y=l+(r*12|0)|0;f[y>>2]=f[z>>2];f[y+4>>2]=f[z+4>>2];f[y+8>>2]=f[z+8>>2];z=A+36|0;A=p+(r*12|0)|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];f[A+8>>2]=f[z+8>>2];r=r+1|0}while((r|0)!=(h|0))}o=o+4|0}while((o|0)<=(e|0));i=g&-4}while(0);if((i|0)>=(g|0))return;e=h+-4|0;if((h|0)<4){if((h|0)>0)C=i;else return;do{o=c+(Y(C,d)|0)|0;k=a+(C*12|0)|0;q=0;do{j=k+(Y(q,b)|0)|0;r=o+(q*12|0)|0;f[r>>2]=f[j>>2];f[r+4>>2]=f[j+4>>2];f[r+8>>2]=f[j+8>>2];q=q+1|0}while((q|0)!=(h|0));C=C+1|0}while((C|0)!=(g|0));return}C=h&-4;if((C|0)<(h|0))D=i;else{q=i;do{i=c+(Y(q,d)|0)|0;o=a+(q*12|0)|0;k=0;do{j=o+(Y(k,b)|0)|0;r=k|1;p=o+(Y(r,b)|0)|0;l=k|2;m=o+(Y(l,b)|0)|0;n=k|3;s=o+(Y(n,b)|0)|0;z=i+(k*12|0)|0;f[z>>2]=f[j>>2];f[z+4>>2]=f[j+4>>2];f[z+8>>2]=f[j+8>>2];j=i+(r*12|0)|0;f[j>>2]=f[p>>2];f[j+4>>2]=f[p+4>>2];f[j+8>>2]=f[p+8>>2];p=i+(l*12|0)|0;f[p>>2]=f[m>>2];f[p+4>>2]=f[m+4>>2];f[p+8>>2]=f[m+8>>2];m=i+(n*12|0)|0;f[m>>2]=f[s>>2];f[m+4>>2]=f[s+4>>2];f[m+8>>2]=f[s+8>>2];k=k+4|0}while((k|0)<=(e|0));q=q+1|0}while((q|0)!=(g|0));return}do{q=c+(Y(D,d)|0)|0;k=a+(D*12|0)|0;i=0;do{o=k+(Y(i,b)|0)|0;s=i|1;m=k+(Y(s,b)|0)|0;n=i|2;p=k+(Y(n,b)|0)|0;l=i|3;j=k+(Y(l,b)|0)|0;r=q+(i*12|0)|0;f[r>>2]=f[o>>2];f[r+4>>2]=f[o+4>>2];f[r+8>>2]=f[o+8>>2];o=q+(s*12|0)|0;f[o>>2]=f[m>>2];f[o+4>>2]=f[m+4>>2];f[o+8>>2]=f[m+8>>2];m=q+(n*12|0)|0;f[m>>2]=f[p>>2];f[m+4>>2]=f[p+4>>2];f[m+8>>2]=f[p+8>>2];p=q+(l*12|0)|0;f[p>>2]=f[j>>2];f[p+4>>2]=f[j+4>>2];f[p+8>>2]=f[j+8>>2];i=i+4|0}while((i|0)<=(e|0));E=C;do{i=k+(Y(E,b)|0)|0;j=q+(E*12|0)|0;f[j>>2]=f[i>>2];f[j+4>>2]=f[i+4>>2];f[j+8>>2]=f[i+8>>2];E=E+1|0}while((E|0)!=(h|0));D=D+1|0}while((D|0)!=(g|0));return}function _J(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;g=f[e>>2]|0;h=f[e+4>>2]|0;e=g+-4|0;do if((g|0)<4)i=0;else{j=h+-4|0;if((h|0)<4){if((h|0)>0){k=0;do{l=c+(Y(k,d)|0)|0;m=c+(Y(k|1,d)|0)|0;n=c+(Y(k|2,d)|0)|0;o=c+(Y(k|3,d)|0)|0;p=a+(k<<4)|0;q=0;do{r=p+(Y(q,b)|0)|0;s=l+(q<<4)|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2];f[s+8>>2]=f[r+8>>2];f[s+12>>2]=f[r+12>>2];s=r+16|0;t=m+(q<<4)|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2];f[t+8>>2]=f[s+8>>2];f[t+12>>2]=f[s+12>>2];s=r+32|0;t=n+(q<<4)|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2];f[t+8>>2]=f[s+8>>2];f[t+12>>2]=f[s+12>>2];s=r+48|0;r=o+(q<<4)|0;f[r>>2]=f[s>>2];f[r+4>>2]=f[s+4>>2];f[r+8>>2]=f[s+8>>2];f[r+12>>2]=f[s+12>>2];q=q+1|0}while((q|0)!=(h|0));k=k+4|0}while((k|0)<=(e|0))}i=g&-4;break}k=h&-4;q=(k|0)<(h|0);o=0;do{n=c+(Y(o,d)|0)|0;m=c+(Y(o|1,d)|0)|0;l=c+(Y(o|2,d)|0)|0;p=c+(Y(o|3,d)|0)|0;s=a+(o<<4)|0;r=0;do{t=s+(Y(r,b)|0)|0;u=r|1;v=s+(Y(u,b)|0)|0;w=r|2;x=s+(Y(w,b)|0)|0;y=r|3;z=s+(Y(y,b)|0)|0;A=n+(r<<4)|0;f[A>>2]=f[t>>2];f[A+4>>2]=f[t+4>>2];f[A+8>>2]=f[t+8>>2];f[A+12>>2]=f[t+12>>2];A=n+(u<<4)|0;f[A>>2]=f[v>>2];f[A+4>>2]=f[v+4>>2];f[A+8>>2]=f[v+8>>2];f[A+12>>2]=f[v+12>>2];A=n+(w<<4)|0;f[A>>2]=f[x>>2];f[A+4>>2]=f[x+4>>2];f[A+8>>2]=f[x+8>>2];f[A+12>>2]=f[x+12>>2];A=n+(y<<4)|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];f[A+8>>2]=f[z+8>>2];f[A+12>>2]=f[z+12>>2];A=t+16|0;B=m+(r<<4)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];A=v+16|0;B=m+(u<<4)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];A=x+16|0;B=m+(w<<4)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];A=z+16|0;B=m+(y<<4)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];A=t+32|0;B=l+(r<<4)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];A=v+32|0;B=l+(u<<4)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];A=x+32|0;B=l+(w<<4)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];A=z+32|0;B=l+(y<<4)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];A=t+48|0;t=p+(r<<4)|0;f[t>>2]=f[A>>2];f[t+4>>2]=f[A+4>>2];f[t+8>>2]=f[A+8>>2];f[t+12>>2]=f[A+12>>2];A=v+48|0;v=p+(u<<4)|0;f[v>>2]=f[A>>2];f[v+4>>2]=f[A+4>>2];f[v+8>>2]=f[A+8>>2];f[v+12>>2]=f[A+12>>2];A=x+48|0;x=p+(w<<4)|0;f[x>>2]=f[A>>2];f[x+4>>2]=f[A+4>>2];f[x+8>>2]=f[A+8>>2];f[x+12>>2]=f[A+12>>2];A=z+48|0;z=p+(y<<4)|0;f[z>>2]=f[A>>2];f[z+4>>2]=f[A+4>>2];f[z+8>>2]=f[A+8>>2];f[z+12>>2]=f[A+12>>2];r=r+4|0}while((r|0)<=(j|0));if(q){r=k;do{A=s+(Y(r,b)|0)|0;z=n+(r<<4)|0;f[z>>2]=f[A>>2];f[z+4>>2]=f[A+4>>2];f[z+8>>2]=f[A+8>>2];f[z+12>>2]=f[A+12>>2];z=A+16|0;y=m+(r<<4)|0;f[y>>2]=f[z>>2];f[y+4>>2]=f[z+4>>2];f[y+8>>2]=f[z+8>>2];f[y+12>>2]=f[z+12>>2];z=A+32|0;y=l+(r<<4)|0;f[y>>2]=f[z>>2];f[y+4>>2]=f[z+4>>2];f[y+8>>2]=f[z+8>>2];f[y+12>>2]=f[z+12>>2];z=A+48|0;A=p+(r<<4)|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];f[A+8>>2]=f[z+8>>2];f[A+12>>2]=f[z+12>>2];r=r+1|0}while((r|0)!=(h|0))}o=o+4|0}while((o|0)<=(e|0));i=g&-4}while(0);if((i|0)>=(g|0))return;e=h+-4|0;if((h|0)<4){if((h|0)>0)C=i;else return;do{o=c+(Y(C,d)|0)|0;k=a+(C<<4)|0;q=0;do{j=k+(Y(q,b)|0)|0;r=o+(q<<4)|0;f[r>>2]=f[j>>2];f[r+4>>2]=f[j+4>>2];f[r+8>>2]=f[j+8>>2];f[r+12>>2]=f[j+12>>2];q=q+1|0}while((q|0)!=(h|0));C=C+1|0}while((C|0)!=(g|0));return}C=h&-4;if((C|0)<(h|0))D=i;else{q=i;do{i=c+(Y(q,d)|0)|0;o=a+(q<<4)|0;k=0;do{j=o+(Y(k,b)|0)|0;r=k|1;p=o+(Y(r,b)|0)|0;l=k|2;m=o+(Y(l,b)|0)|0;n=k|3;s=o+(Y(n,b)|0)|0;z=i+(k<<4)|0;f[z>>2]=f[j>>2];f[z+4>>2]=f[j+4>>2];f[z+8>>2]=f[j+8>>2];f[z+12>>2]=f[j+12>>2];j=i+(r<<4)|0;f[j>>2]=f[p>>2];f[j+4>>2]=f[p+4>>2];f[j+8>>2]=f[p+8>>2];f[j+12>>2]=f[p+12>>2];p=i+(l<<4)|0;f[p>>2]=f[m>>2];f[p+4>>2]=f[m+4>>2];f[p+8>>2]=f[m+8>>2];f[p+12>>2]=f[m+12>>2];m=i+(n<<4)|0;f[m>>2]=f[s>>2];f[m+4>>2]=f[s+4>>2];f[m+8>>2]=f[s+8>>2];f[m+12>>2]=f[s+12>>2];k=k+4|0}while((k|0)<=(e|0));q=q+1|0}while((q|0)!=(g|0));return}do{q=c+(Y(D,d)|0)|0;k=a+(D<<4)|0;i=0;do{o=k+(Y(i,b)|0)|0;s=i|1;m=k+(Y(s,b)|0)|0;n=i|2;p=k+(Y(n,b)|0)|0;l=i|3;j=k+(Y(l,b)|0)|0;r=q+(i<<4)|0;f[r>>2]=f[o>>2];f[r+4>>2]=f[o+4>>2];f[r+8>>2]=f[o+8>>2];f[r+12>>2]=f[o+12>>2];o=q+(s<<4)|0;f[o>>2]=f[m>>2];f[o+4>>2]=f[m+4>>2];f[o+8>>2]=f[m+8>>2];f[o+12>>2]=f[m+12>>2];m=q+(n<<4)|0;f[m>>2]=f[p>>2];f[m+4>>2]=f[p+4>>2];f[m+8>>2]=f[p+8>>2];f[m+12>>2]=f[p+12>>2];p=q+(l<<4)|0;f[p>>2]=f[j>>2];f[p+4>>2]=f[j+4>>2];f[p+8>>2]=f[j+8>>2];f[p+12>>2]=f[j+12>>2];i=i+4|0}while((i|0)<=(e|0));E=C;do{i=k+(Y(E,b)|0)|0;j=q+(E<<4)|0;f[j>>2]=f[i>>2];f[j+4>>2]=f[i+4>>2];f[j+8>>2]=f[i+8>>2];f[j+12>>2]=f[i+12>>2];E=E+1|0}while((E|0)!=(h|0));D=D+1|0}while((D|0)!=(g|0));return}function $J(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;g=f[e>>2]|0;h=f[e+4>>2]|0;e=g+-4|0;do if((g|0)<4)i=0;else{j=h+-4|0;if((h|0)<4){if((h|0)>0){k=0;do{l=c+(Y(k,d)|0)|0;m=c+(Y(k|1,d)|0)|0;n=c+(Y(k|2,d)|0)|0;o=c+(Y(k|3,d)|0)|0;p=a+(k*24|0)|0;q=0;do{r=p+(Y(q,b)|0)|0;s=l+(q*24|0)|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2];f[s+8>>2]=f[r+8>>2];f[s+12>>2]=f[r+12>>2];f[s+16>>2]=f[r+16>>2];f[s+20>>2]=f[r+20>>2];s=r+24|0;t=m+(q*24|0)|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2];f[t+8>>2]=f[s+8>>2];f[t+12>>2]=f[s+12>>2];f[t+16>>2]=f[s+16>>2];f[t+20>>2]=f[s+20>>2];s=r+48|0;t=n+(q*24|0)|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2];f[t+8>>2]=f[s+8>>2];f[t+12>>2]=f[s+12>>2];f[t+16>>2]=f[s+16>>2];f[t+20>>2]=f[s+20>>2];s=r+72|0;r=o+(q*24|0)|0;f[r>>2]=f[s>>2];f[r+4>>2]=f[s+4>>2];f[r+8>>2]=f[s+8>>2];f[r+12>>2]=f[s+12>>2];f[r+16>>2]=f[s+16>>2];f[r+20>>2]=f[s+20>>2];q=q+1|0}while((q|0)!=(h|0));k=k+4|0}while((k|0)<=(e|0))}i=g&-4;break}k=h&-4;q=(k|0)<(h|0);o=0;do{n=c+(Y(o,d)|0)|0;m=c+(Y(o|1,d)|0)|0;l=c+(Y(o|2,d)|0)|0;p=c+(Y(o|3,d)|0)|0;s=a+(o*24|0)|0;r=0;do{t=s+(Y(r,b)|0)|0;u=r|1;v=s+(Y(u,b)|0)|0;w=r|2;x=s+(Y(w,b)|0)|0;y=r|3;z=s+(Y(y,b)|0)|0;A=n+(r*24|0)|0;f[A>>2]=f[t>>2];f[A+4>>2]=f[t+4>>2];f[A+8>>2]=f[t+8>>2];f[A+12>>2]=f[t+12>>2];f[A+16>>2]=f[t+16>>2];f[A+20>>2]=f[t+20>>2];A=n+(u*24|0)|0;f[A>>2]=f[v>>2];f[A+4>>2]=f[v+4>>2];f[A+8>>2]=f[v+8>>2];f[A+12>>2]=f[v+12>>2];f[A+16>>2]=f[v+16>>2];f[A+20>>2]=f[v+20>>2];A=n+(w*24|0)|0;f[A>>2]=f[x>>2];f[A+4>>2]=f[x+4>>2];f[A+8>>2]=f[x+8>>2];f[A+12>>2]=f[x+12>>2];f[A+16>>2]=f[x+16>>2];f[A+20>>2]=f[x+20>>2];A=n+(y*24|0)|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];f[A+8>>2]=f[z+8>>2];f[A+12>>2]=f[z+12>>2];f[A+16>>2]=f[z+16>>2];f[A+20>>2]=f[z+20>>2];A=t+24|0;B=m+(r*24|0)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];f[B+16>>2]=f[A+16>>2];f[B+20>>2]=f[A+20>>2];A=v+24|0;B=m+(u*24|0)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];f[B+16>>2]=f[A+16>>2];f[B+20>>2]=f[A+20>>2];A=x+24|0;B=m+(w*24|0)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];f[B+16>>2]=f[A+16>>2];f[B+20>>2]=f[A+20>>2];A=z+24|0;B=m+(y*24|0)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];f[B+16>>2]=f[A+16>>2];f[B+20>>2]=f[A+20>>2];A=t+48|0;B=l+(r*24|0)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];f[B+16>>2]=f[A+16>>2];f[B+20>>2]=f[A+20>>2];A=v+48|0;B=l+(u*24|0)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];f[B+16>>2]=f[A+16>>2];f[B+20>>2]=f[A+20>>2];A=x+48|0;B=l+(w*24|0)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];f[B+16>>2]=f[A+16>>2];f[B+20>>2]=f[A+20>>2];A=z+48|0;B=l+(y*24|0)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];f[B+16>>2]=f[A+16>>2];f[B+20>>2]=f[A+20>>2];A=t+72|0;t=p+(r*24|0)|0;f[t>>2]=f[A>>2];f[t+4>>2]=f[A+4>>2];f[t+8>>2]=f[A+8>>2];f[t+12>>2]=f[A+12>>2];f[t+16>>2]=f[A+16>>2];f[t+20>>2]=f[A+20>>2];A=v+72|0;v=p+(u*24|0)|0;f[v>>2]=f[A>>2];f[v+4>>2]=f[A+4>>2];f[v+8>>2]=f[A+8>>2];f[v+12>>2]=f[A+12>>2];f[v+16>>2]=f[A+16>>2];f[v+20>>2]=f[A+20>>2];A=x+72|0;x=p+(w*24|0)|0;f[x>>2]=f[A>>2];f[x+4>>2]=f[A+4>>2];f[x+8>>2]=f[A+8>>2];f[x+12>>2]=f[A+12>>2];f[x+16>>2]=f[A+16>>2];f[x+20>>2]=f[A+20>>2];A=z+72|0;z=p+(y*24|0)|0;f[z>>2]=f[A>>2];f[z+4>>2]=f[A+4>>2];f[z+8>>2]=f[A+8>>2];f[z+12>>2]=f[A+12>>2];f[z+16>>2]=f[A+16>>2];f[z+20>>2]=f[A+20>>2];r=r+4|0}while((r|0)<=(j|0));if(q){r=k;do{A=s+(Y(r,b)|0)|0;z=n+(r*24|0)|0;f[z>>2]=f[A>>2];f[z+4>>2]=f[A+4>>2];f[z+8>>2]=f[A+8>>2];f[z+12>>2]=f[A+12>>2];f[z+16>>2]=f[A+16>>2];f[z+20>>2]=f[A+20>>2];z=A+24|0;y=m+(r*24|0)|0;f[y>>2]=f[z>>2];f[y+4>>2]=f[z+4>>2];f[y+8>>2]=f[z+8>>2];f[y+12>>2]=f[z+12>>2];f[y+16>>2]=f[z+16>>2];f[y+20>>2]=f[z+20>>2];z=A+48|0;y=l+(r*24|0)|0;f[y>>2]=f[z>>2];f[y+4>>2]=f[z+4>>2];f[y+8>>2]=f[z+8>>2];f[y+12>>2]=f[z+12>>2];f[y+16>>2]=f[z+16>>2];f[y+20>>2]=f[z+20>>2];z=A+72|0;A=p+(r*24|0)|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];f[A+8>>2]=f[z+8>>2];f[A+12>>2]=f[z+12>>2];f[A+16>>2]=f[z+16>>2];f[A+20>>2]=f[z+20>>2];r=r+1|0}while((r|0)!=(h|0))}o=o+4|0}while((o|0)<=(e|0));i=g&-4}while(0);if((i|0)>=(g|0))return;e=h+-4|0;if((h|0)<4){if((h|0)>0)C=i;else return;do{o=c+(Y(C,d)|0)|0;k=a+(C*24|0)|0;q=0;do{j=k+(Y(q,b)|0)|0;r=o+(q*24|0)|0;f[r>>2]=f[j>>2];f[r+4>>2]=f[j+4>>2];f[r+8>>2]=f[j+8>>2];f[r+12>>2]=f[j+12>>2];f[r+16>>2]=f[j+16>>2];f[r+20>>2]=f[j+20>>2];q=q+1|0}while((q|0)!=(h|0));C=C+1|0}while((C|0)!=(g|0));return}C=h&-4;if((C|0)<(h|0))D=i;else{q=i;do{i=c+(Y(q,d)|0)|0;o=a+(q*24|0)|0;k=0;do{j=o+(Y(k,b)|0)|0;r=k|1;p=o+(Y(r,b)|0)|0;l=k|2;m=o+(Y(l,b)|0)|0;n=k|3;s=o+(Y(n,b)|0)|0;z=i+(k*24|0)|0;f[z>>2]=f[j>>2];f[z+4>>2]=f[j+4>>2];f[z+8>>2]=f[j+8>>2];f[z+12>>2]=f[j+12>>2];f[z+16>>2]=f[j+16>>2];f[z+20>>2]=f[j+20>>2];j=i+(r*24|0)|0;f[j>>2]=f[p>>2];f[j+4>>2]=f[p+4>>2];f[j+8>>2]=f[p+8>>2];f[j+12>>2]=f[p+12>>2];f[j+16>>2]=f[p+16>>2];f[j+20>>2]=f[p+20>>2];p=i+(l*24|0)|0;f[p>>2]=f[m>>2];f[p+4>>2]=f[m+4>>2];f[p+8>>2]=f[m+8>>2];f[p+12>>2]=f[m+12>>2];f[p+16>>2]=f[m+16>>2];f[p+20>>2]=f[m+20>>2];m=i+(n*24|0)|0;f[m>>2]=f[s>>2];f[m+4>>2]=f[s+4>>2];f[m+8>>2]=f[s+8>>2];f[m+12>>2]=f[s+12>>2];f[m+16>>2]=f[s+16>>2];f[m+20>>2]=f[s+20>>2];k=k+4|0}while((k|0)<=(e|0));q=q+1|0}while((q|0)!=(g|0));return}do{q=c+(Y(D,d)|0)|0;k=a+(D*24|0)|0;i=0;do{o=k+(Y(i,b)|0)|0;s=i|1;m=k+(Y(s,b)|0)|0;n=i|2;p=k+(Y(n,b)|0)|0;l=i|3;j=k+(Y(l,b)|0)|0;r=q+(i*24|0)|0;f[r>>2]=f[o>>2];f[r+4>>2]=f[o+4>>2];f[r+8>>2]=f[o+8>>2];f[r+12>>2]=f[o+12>>2];f[r+16>>2]=f[o+16>>2];f[r+20>>2]=f[o+20>>2];o=q+(s*24|0)|0;f[o>>2]=f[m>>2];f[o+4>>2]=f[m+4>>2];f[o+8>>2]=f[m+8>>2];f[o+12>>2]=f[m+12>>2];f[o+16>>2]=f[m+16>>2];f[o+20>>2]=f[m+20>>2];m=q+(n*24|0)|0;f[m>>2]=f[p>>2];f[m+4>>2]=f[p+4>>2];f[m+8>>2]=f[p+8>>2];f[m+12>>2]=f[p+12>>2];f[m+16>>2]=f[p+16>>2];f[m+20>>2]=f[p+20>>2];p=q+(l*24|0)|0;f[p>>2]=f[j>>2];f[p+4>>2]=f[j+4>>2];f[p+8>>2]=f[j+8>>2];f[p+12>>2]=f[j+12>>2];f[p+16>>2]=f[j+16>>2];f[p+20>>2]=f[j+20>>2];i=i+4|0}while((i|0)<=(e|0));E=C;do{i=k+(Y(E,b)|0)|0;j=q+(E*24|0)|0;f[j>>2]=f[i>>2];f[j+4>>2]=f[i+4>>2];f[j+8>>2]=f[i+8>>2];f[j+12>>2]=f[i+12>>2];f[j+16>>2]=f[i+16>>2];f[j+20>>2]=f[i+20>>2];E=E+1|0}while((E|0)!=(h|0));D=D+1|0}while((D|0)!=(g|0));return}function aK(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;g=f[e>>2]|0;h=f[e+4>>2]|0;e=g+-4|0;do if((g|0)<4)i=0;else{j=h+-4|0;if((h|0)<4){if((h|0)>0){k=0;do{l=c+(Y(k,d)|0)|0;m=c+(Y(k|1,d)|0)|0;n=c+(Y(k|2,d)|0)|0;o=c+(Y(k|3,d)|0)|0;p=a+(k<<5)|0;q=0;do{r=p+(Y(q,b)|0)|0;s=l+(q<<5)|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2];f[s+8>>2]=f[r+8>>2];f[s+12>>2]=f[r+12>>2];f[s+16>>2]=f[r+16>>2];f[s+20>>2]=f[r+20>>2];f[s+24>>2]=f[r+24>>2];f[s+28>>2]=f[r+28>>2];s=r+32|0;t=m+(q<<5)|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2];f[t+8>>2]=f[s+8>>2];f[t+12>>2]=f[s+12>>2];f[t+16>>2]=f[s+16>>2];f[t+20>>2]=f[s+20>>2];f[t+24>>2]=f[s+24>>2];f[t+28>>2]=f[s+28>>2];s=r+64|0;t=n+(q<<5)|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2];f[t+8>>2]=f[s+8>>2];f[t+12>>2]=f[s+12>>2];f[t+16>>2]=f[s+16>>2];f[t+20>>2]=f[s+20>>2];f[t+24>>2]=f[s+24>>2];f[t+28>>2]=f[s+28>>2];s=r+96|0;r=o+(q<<5)|0;f[r>>2]=f[s>>2];f[r+4>>2]=f[s+4>>2];f[r+8>>2]=f[s+8>>2];f[r+12>>2]=f[s+12>>2];f[r+16>>2]=f[s+16>>2];f[r+20>>2]=f[s+20>>2];f[r+24>>2]=f[s+24>>2];f[r+28>>2]=f[s+28>>2];q=q+1|0}while((q|0)!=(h|0));k=k+4|0}while((k|0)<=(e|0))}i=g&-4;break}k=h&-4;q=(k|0)<(h|0);o=0;do{n=c+(Y(o,d)|0)|0;m=c+(Y(o|1,d)|0)|0;l=c+(Y(o|2,d)|0)|0;p=c+(Y(o|3,d)|0)|0;s=a+(o<<5)|0;r=0;do{t=s+(Y(r,b)|0)|0;u=r|1;v=s+(Y(u,b)|0)|0;w=r|2;x=s+(Y(w,b)|0)|0;y=r|3;z=s+(Y(y,b)|0)|0;A=n+(r<<5)|0;f[A>>2]=f[t>>2];f[A+4>>2]=f[t+4>>2];f[A+8>>2]=f[t+8>>2];f[A+12>>2]=f[t+12>>2];f[A+16>>2]=f[t+16>>2];f[A+20>>2]=f[t+20>>2];f[A+24>>2]=f[t+24>>2];f[A+28>>2]=f[t+28>>2];A=n+(u<<5)|0;f[A>>2]=f[v>>2];f[A+4>>2]=f[v+4>>2];f[A+8>>2]=f[v+8>>2];f[A+12>>2]=f[v+12>>2];f[A+16>>2]=f[v+16>>2];f[A+20>>2]=f[v+20>>2];f[A+24>>2]=f[v+24>>2];f[A+28>>2]=f[v+28>>2];A=n+(w<<5)|0;f[A>>2]=f[x>>2];f[A+4>>2]=f[x+4>>2];f[A+8>>2]=f[x+8>>2];f[A+12>>2]=f[x+12>>2];f[A+16>>2]=f[x+16>>2];f[A+20>>2]=f[x+20>>2];f[A+24>>2]=f[x+24>>2];f[A+28>>2]=f[x+28>>2];A=n+(y<<5)|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];f[A+8>>2]=f[z+8>>2];f[A+12>>2]=f[z+12>>2];f[A+16>>2]=f[z+16>>2];f[A+20>>2]=f[z+20>>2];f[A+24>>2]=f[z+24>>2];f[A+28>>2]=f[z+28>>2];A=t+32|0;B=m+(r<<5)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];f[B+16>>2]=f[A+16>>2];f[B+20>>2]=f[A+20>>2];f[B+24>>2]=f[A+24>>2];f[B+28>>2]=f[A+28>>2];A=v+32|0;B=m+(u<<5)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];f[B+16>>2]=f[A+16>>2];f[B+20>>2]=f[A+20>>2];f[B+24>>2]=f[A+24>>2];f[B+28>>2]=f[A+28>>2];A=x+32|0;B=m+(w<<5)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];f[B+16>>2]=f[A+16>>2];f[B+20>>2]=f[A+20>>2];f[B+24>>2]=f[A+24>>2];f[B+28>>2]=f[A+28>>2];A=z+32|0;B=m+(y<<5)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];f[B+16>>2]=f[A+16>>2];f[B+20>>2]=f[A+20>>2];f[B+24>>2]=f[A+24>>2];f[B+28>>2]=f[A+28>>2];A=t+64|0;B=l+(r<<5)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];f[B+16>>2]=f[A+16>>2];f[B+20>>2]=f[A+20>>2];f[B+24>>2]=f[A+24>>2];f[B+28>>2]=f[A+28>>2];A=v+64|0;B=l+(u<<5)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];f[B+16>>2]=f[A+16>>2];f[B+20>>2]=f[A+20>>2];f[B+24>>2]=f[A+24>>2];f[B+28>>2]=f[A+28>>2];A=x+64|0;B=l+(w<<5)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];f[B+16>>2]=f[A+16>>2];f[B+20>>2]=f[A+20>>2];f[B+24>>2]=f[A+24>>2];f[B+28>>2]=f[A+28>>2];A=z+64|0;B=l+(y<<5)|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];f[B+8>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];f[B+16>>2]=f[A+16>>2];f[B+20>>2]=f[A+20>>2];f[B+24>>2]=f[A+24>>2];f[B+28>>2]=f[A+28>>2];A=t+96|0;t=p+(r<<5)|0;f[t>>2]=f[A>>2];f[t+4>>2]=f[A+4>>2];f[t+8>>2]=f[A+8>>2];f[t+12>>2]=f[A+12>>2];f[t+16>>2]=f[A+16>>2];f[t+20>>2]=f[A+20>>2];f[t+24>>2]=f[A+24>>2];f[t+28>>2]=f[A+28>>2];A=v+96|0;v=p+(u<<5)|0;f[v>>2]=f[A>>2];f[v+4>>2]=f[A+4>>2];f[v+8>>2]=f[A+8>>2];f[v+12>>2]=f[A+12>>2];f[v+16>>2]=f[A+16>>2];f[v+20>>2]=f[A+20>>2];f[v+24>>2]=f[A+24>>2];f[v+28>>2]=f[A+28>>2];A=x+96|0;x=p+(w<<5)|0;f[x>>2]=f[A>>2];f[x+4>>2]=f[A+4>>2];f[x+8>>2]=f[A+8>>2];f[x+12>>2]=f[A+12>>2];f[x+16>>2]=f[A+16>>2];f[x+20>>2]=f[A+20>>2];f[x+24>>2]=f[A+24>>2];f[x+28>>2]=f[A+28>>2];A=z+96|0;z=p+(y<<5)|0;f[z>>2]=f[A>>2];f[z+4>>2]=f[A+4>>2];f[z+8>>2]=f[A+8>>2];f[z+12>>2]=f[A+12>>2];f[z+16>>2]=f[A+16>>2];f[z+20>>2]=f[A+20>>2];f[z+24>>2]=f[A+24>>2];f[z+28>>2]=f[A+28>>2];r=r+4|0}while((r|0)<=(j|0));if(q){r=k;do{A=s+(Y(r,b)|0)|0;z=n+(r<<5)|0;f[z>>2]=f[A>>2];f[z+4>>2]=f[A+4>>2];f[z+8>>2]=f[A+8>>2];f[z+12>>2]=f[A+12>>2];f[z+16>>2]=f[A+16>>2];f[z+20>>2]=f[A+20>>2];f[z+24>>2]=f[A+24>>2];f[z+28>>2]=f[A+28>>2];z=A+32|0;y=m+(r<<5)|0;f[y>>2]=f[z>>2];f[y+4>>2]=f[z+4>>2];f[y+8>>2]=f[z+8>>2];f[y+12>>2]=f[z+12>>2];f[y+16>>2]=f[z+16>>2];f[y+20>>2]=f[z+20>>2];f[y+24>>2]=f[z+24>>2];f[y+28>>2]=f[z+28>>2];z=A+64|0;y=l+(r<<5)|0;f[y>>2]=f[z>>2];f[y+4>>2]=f[z+4>>2];f[y+8>>2]=f[z+8>>2];f[y+12>>2]=f[z+12>>2];f[y+16>>2]=f[z+16>>2];f[y+20>>2]=f[z+20>>2];f[y+24>>2]=f[z+24>>2];f[y+28>>2]=f[z+28>>2];z=A+96|0;A=p+(r<<5)|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];f[A+8>>2]=f[z+8>>2];f[A+12>>2]=f[z+12>>2];f[A+16>>2]=f[z+16>>2];f[A+20>>2]=f[z+20>>2];f[A+24>>2]=f[z+24>>2];f[A+28>>2]=f[z+28>>2];r=r+1|0}while((r|0)!=(h|0))}o=o+4|0}while((o|0)<=(e|0));i=g&-4}while(0);if((i|0)>=(g|0))return;e=h+-4|0;if((h|0)<4){if((h|0)>0)C=i;else return;do{o=c+(Y(C,d)|0)|0;k=a+(C<<5)|0;q=0;do{j=k+(Y(q,b)|0)|0;r=o+(q<<5)|0;f[r>>2]=f[j>>2];f[r+4>>2]=f[j+4>>2];f[r+8>>2]=f[j+8>>2];f[r+12>>2]=f[j+12>>2];f[r+16>>2]=f[j+16>>2];f[r+20>>2]=f[j+20>>2];f[r+24>>2]=f[j+24>>2];f[r+28>>2]=f[j+28>>2];q=q+1|0}while((q|0)!=(h|0));C=C+1|0}while((C|0)!=(g|0));return}C=h&-4;if((C|0)<(h|0))D=i;else{q=i;do{i=c+(Y(q,d)|0)|0;o=a+(q<<5)|0;k=0;do{j=o+(Y(k,b)|0)|0;r=k|1;p=o+(Y(r,b)|0)|0;l=k|2;m=o+(Y(l,b)|0)|0;n=k|3;s=o+(Y(n,b)|0)|0;z=i+(k<<5)|0;f[z>>2]=f[j>>2];f[z+4>>2]=f[j+4>>2];f[z+8>>2]=f[j+8>>2];f[z+12>>2]=f[j+12>>2];f[z+16>>2]=f[j+16>>2];f[z+20>>2]=f[j+20>>2];f[z+24>>2]=f[j+24>>2];f[z+28>>2]=f[j+28>>2];j=i+(r<<5)|0;f[j>>2]=f[p>>2];f[j+4>>2]=f[p+4>>2];f[j+8>>2]=f[p+8>>2];f[j+12>>2]=f[p+12>>2];f[j+16>>2]=f[p+16>>2];f[j+20>>2]=f[p+20>>2];f[j+24>>2]=f[p+24>>2];f[j+28>>2]=f[p+28>>2];p=i+(l<<5)|0;f[p>>2]=f[m>>2];f[p+4>>2]=f[m+4>>2];f[p+8>>2]=f[m+8>>2];f[p+12>>2]=f[m+12>>2];f[p+16>>2]=f[m+16>>2];f[p+20>>2]=f[m+20>>2];f[p+24>>2]=f[m+24>>2];f[p+28>>2]=f[m+28>>2];m=i+(n<<5)|0;f[m>>2]=f[s>>2];f[m+4>>2]=f[s+4>>2];f[m+8>>2]=f[s+8>>2];f[m+12>>2]=f[s+12>>2];f[m+16>>2]=f[s+16>>2];f[m+20>>2]=f[s+20>>2];f[m+24>>2]=f[s+24>>2];f[m+28>>2]=f[s+28>>2];k=k+4|0}while((k|0)<=(e|0));q=q+1|0}while((q|0)!=(g|0));return}do{q=c+(Y(D,d)|0)|0;k=a+(D<<5)|0;i=0;do{o=k+(Y(i,b)|0)|0;s=i|1;m=k+(Y(s,b)|0)|0;n=i|2;p=k+(Y(n,b)|0)|0;l=i|3;j=k+(Y(l,b)|0)|0;r=q+(i<<5)|0;f[r>>2]=f[o>>2];f[r+4>>2]=f[o+4>>2];f[r+8>>2]=f[o+8>>2];f[r+12>>2]=f[o+12>>2];f[r+16>>2]=f[o+16>>2];f[r+20>>2]=f[o+20>>2];f[r+24>>2]=f[o+24>>2];f[r+28>>2]=f[o+28>>2];o=q+(s<<5)|0;f[o>>2]=f[m>>2];f[o+4>>2]=f[m+4>>2];f[o+8>>2]=f[m+8>>2];f[o+12>>2]=f[m+12>>2];f[o+16>>2]=f[m+16>>2];f[o+20>>2]=f[m+20>>2];f[o+24>>2]=f[m+24>>2];f[o+28>>2]=f[m+28>>2];m=q+(n<<5)|0;f[m>>2]=f[p>>2];f[m+4>>2]=f[p+4>>2];f[m+8>>2]=f[p+8>>2];f[m+12>>2]=f[p+12>>2];f[m+16>>2]=f[p+16>>2];f[m+20>>2]=f[p+20>>2];f[m+24>>2]=f[p+24>>2];f[m+28>>2]=f[p+28>>2];p=q+(l<<5)|0;f[p>>2]=f[j>>2];f[p+4>>2]=f[j+4>>2];f[p+8>>2]=f[j+8>>2];f[p+12>>2]=f[j+12>>2];f[p+16>>2]=f[j+16>>2];f[p+20>>2]=f[j+20>>2];f[p+24>>2]=f[j+24>>2];f[p+28>>2]=f[j+28>>2];i=i+4|0}while((i|0)<=(e|0));E=C;do{i=k+(Y(E,b)|0)|0;j=q+(E<<5)|0;f[j>>2]=f[i>>2];f[j+4>>2]=f[i+4>>2];f[j+8>>2]=f[i+8>>2];f[j+12>>2]=f[i+12>>2];f[j+16>>2]=f[i+16>>2];f[j+20>>2]=f[i+20>>2];f[j+24>>2]=f[i+24>>2];f[j+28>>2]=f[i+28>>2];E=E+1|0}while((E|0)!=(h|0));D=D+1|0}while((D|0)!=(g|0));return}function bK(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;if((d|0)>0)e=0;else return;do{f=a+(Y(e,c)|0)|0;g=a+e|0;e=e+1|0;if((e|0)<(d|0)){h=e;do{i=f+h|0;j=g+(Y(h,c)|0)|0;k=b[i>>0]|0;b[i>>0]=b[j>>0]|0;b[j>>0]=k;h=h+1|0}while((h|0)!=(d|0))}}while((e|0)!=(d|0));return}function cK(a,b,c){a=a|0;b=b|0;c=c|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;if((c|0)>0)e=0;else return;do{f=a+(Y(e,b)|0)|0;g=a+(e<<1)|0;e=e+1|0;if((e|0)<(c|0)){h=e;do{i=f+(h<<1)|0;j=g+(Y(h,b)|0)|0;k=d[i>>1]|0;d[i>>1]=d[j>>1]|0;d[j>>1]=k;h=h+1|0}while((h|0)!=(c|0))}}while((e|0)!=(c|0));return}function dK(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;if((d|0)>0)e=0;else return;do{f=a+(Y(e,c)|0)|0;g=a+(e*3|0)|0;e=e+1|0;if((e|0)<(d|0)){h=e;do{i=g+(Y(h,c)|0)|0;j=f+(h*3|0)|0;k=b[j>>0]|0;l=b[f+(h*3|0)+1>>0]|0;m=b[f+(h*3|0)+2>>0]|0;b[j>>0]=b[i>>0]|0;b[j+1>>0]=b[i+1>>0]|0;b[j+2>>0]=b[i+2>>0]|0;b[i>>0]=k;b[i+1>>0]=l;b[i+2>>0]=m;h=h+1|0}while((h|0)!=(d|0))}}while((e|0)!=(d|0));return}function eK(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;if((c|0)>0)d=0;else return;do{e=a+(Y(d,b)|0)|0;g=a+(d<<2)|0;d=d+1|0;if((d|0)<(c|0)){h=d;do{i=e+(h<<2)|0;j=g+(Y(h,b)|0)|0;k=f[i>>2]|0;f[i>>2]=f[j>>2];f[j>>2]=k;h=h+1|0}while((h|0)!=(c|0))}}while((d|0)!=(c|0));return}function fK(a,b,c){a=a|0;b=b|0;c=c|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;if((c|0)>0)e=0;else return;do{f=a+(Y(e,b)|0)|0;g=a+(e*6|0)|0;e=e+1|0;if((e|0)<(c|0)){h=e;do{i=f+(h*6|0)|0;j=g+(Y(h,b)|0)|0;k=d[i>>1]|0;l=d[f+(h*6|0)+2>>1]|0;m=d[f+(h*6|0)+4>>1]|0;d[i>>1]=d[j>>1]|0;d[i+2>>1]=d[j+2>>1]|0;d[i+4>>1]=d[j+4>>1]|0;d[j>>1]=k;d[j+2>>1]=l;d[j+4>>1]=m;h=h+1|0}while((h|0)!=(c|0))}}while((e|0)!=(c|0));return}function gK(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;if((c|0)>0)d=0;else return;do{e=a+(Y(d,b)|0)|0;g=a+(d<<3)|0;d=d+1|0;if((d|0)<(c|0)){h=d;do{i=e+(h<<3)|0;j=g+(Y(h,b)|0)|0;k=f[i>>2]|0;l=f[e+(h<<3)+4>>2]|0;m=j;n=f[m+4>>2]|0;o=i;f[o>>2]=f[m>>2];f[o+4>>2]=n;n=j;f[n>>2]=k;f[n+4>>2]=l;h=h+1|0}while((h|0)!=(c|0))}}while((d|0)!=(c|0));return}function hK(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;if((c|0)>0)d=0;else return;do{e=a+(Y(d,b)|0)|0;g=a+(d*12|0)|0;d=d+1|0;if((d|0)<(c|0)){h=d;do{i=e+(h*12|0)|0;j=g+(Y(h,b)|0)|0;k=f[i>>2]|0;l=f[e+(h*12|0)+4>>2]|0;m=f[e+(h*12|0)+8>>2]|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];f[j>>2]=k;f[j+4>>2]=l;f[j+8>>2]=m;h=h+1|0}while((h|0)!=(c|0))}}while((d|0)!=(c|0));return}function iK(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;if((c|0)>0)d=0;else return;do{e=a+(Y(d,b)|0)|0;g=a+(d<<4)|0;d=d+1|0;if((d|0)<(c|0)){h=d;do{i=e+(h<<4)|0;j=g+(Y(h,b)|0)|0;k=f[i>>2]|0;l=f[e+(h<<4)+4>>2]|0;m=f[e+(h<<4)+8>>2]|0;n=f[e+(h<<4)+12>>2]|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];f[i+12>>2]=f[j+12>>2];f[j>>2]=k;f[j+4>>2]=l;f[j+8>>2]=m;f[j+12>>2]=n;h=h+1|0}while((h|0)!=(c|0))}}while((d|0)!=(c|0));return}function jK(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if((c|0)>0)d=0;else return;do{e=a+(Y(d,b)|0)|0;g=a+(d*24|0)|0;d=d+1|0;if((d|0)<(c|0)){h=d;do{i=e+(h*24|0)|0;j=g+(Y(h,b)|0)|0;k=f[i>>2]|0;l=f[e+(h*24|0)+4>>2]|0;m=f[e+(h*24|0)+8>>2]|0;n=f[e+(h*24|0)+12>>2]|0;o=f[e+(h*24|0)+16>>2]|0;p=f[e+(h*24|0)+20>>2]|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];f[i+12>>2]=f[j+12>>2];f[i+16>>2]=f[j+16>>2];f[i+20>>2]=f[j+20>>2];f[j>>2]=k;f[j+4>>2]=l;f[j+8>>2]=m;f[j+12>>2]=n;f[j+16>>2]=o;f[j+20>>2]=p;h=h+1|0}while((h|0)!=(c|0))}}while((d|0)!=(c|0));return}function kK(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;if((c|0)>0)d=0;else return;do{e=a+(Y(d,b)|0)|0;g=a+(d<<5)|0;d=d+1|0;if((d|0)<(c|0)){h=d;do{i=e+(h<<5)|0;j=g+(Y(h,b)|0)|0;k=f[i>>2]|0;l=f[e+(h<<5)+4>>2]|0;m=f[e+(h<<5)+8>>2]|0;n=f[e+(h<<5)+12>>2]|0;o=f[e+(h<<5)+16>>2]|0;p=f[e+(h<<5)+20>>2]|0;q=f[e+(h<<5)+24>>2]|0;r=f[e+(h<<5)+28>>2]|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];f[i+12>>2]=f[j+12>>2];f[i+16>>2]=f[j+16>>2];f[i+20>>2]=f[j+20>>2];f[i+24>>2]=f[j+24>>2];f[i+28>>2]=f[j+28>>2];f[j>>2]=k;f[j+4>>2]=l;f[j+8>>2]=m;f[j+12>>2]=n;f[j+16>>2]=o;f[j+20>>2]=p;f[j+24>>2]=q;f[j+28>>2]=r;h=h+1|0}while((h|0)!=(c|0))}}while((d|0)!=(c|0));return}function lK(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;d=u;u=u+80|0;e=d+64|0;g=d+8|0;h=d;zT(e,44704);do if((pD(a)|0)==65536){i=f[a+4>>2]|0;f[g>>2]=f[i>>2];j=g+4|0;k=i+4|0;f[j>>2]=f[k>>2];l=g+8|0;f[l>>2]=f[i+8>>2];f[g+12>>2]=f[i+12>>2];f[g+16>>2]=f[i+16>>2];f[g+20>>2]=f[i+20>>2];f[g+24>>2]=f[i+24>>2];f[g+28>>2]=f[i+28>>2];f[g+32>>2]=f[i+32>>2];m=f[i+36>>2]|0;f[g+36>>2]=m;f[g+40>>2]=l;l=g+48|0;n=g+44|0;f[n>>2]=l;f[l>>2]=0;f[g+52>>2]=0;if(m|0){o=m+12|0;f[o>>2]=(f[o>>2]|0)+1}if((f[k>>2]|0)<3){k=f[i+44>>2]|0;o=f[n>>2]|0;f[o>>2]=f[k>>2];f[o+4>>2]=f[k+4>>2];p=j;q=l;break}else{f[j>>2]=0;kP(g,i);p=j;q=l;break}}else{lD(g,a,-1);p=g+4|0;q=g+48|0}while(0);a=f[q>>2]|0;l=f[p>>2]|0;if((l|0)>0)if((l|0)<3)r=f[(f[g+44>>2]|0)+(l+-1<<2)>>2]|0;else{f[h>>2]=0;s=h+4|0;f[s>>2]=0;t=YG(h,31)|0;v=t;w=197551;x=v+31|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));MJ(-215,h,197583,547)}else r=0;l=f[g+8>>2]|0;if((l|0)!=(f[g+12>>2]|0)){f[h>>2]=0;s=h+4|0;f[s>>2]=0;t=YG(h,31)|0;v=t;w=197551;x=v+31|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));MJ(-215,h,197583,547)}h=g+16|0;w=f[h>>2]|0;v=g+44|0;if((l|0)>0)if(c){c=0;do{x=c;c=c+1|0;if((c|0)<(l|0)){t=Y(x,a)|0;s=Y(x,r)|0;x=c;do{Krc(w+((Y(x,r)|0)+t)|0,w+((Y(x,a)|0)+s)|0,r|0)|0;x=x+1|0}while((x|0)!=(l|0))}}while((c|0)!=(l|0))}else{c=0;do{if((c|0)>0){x=Y(c,a)|0;s=Y(c,r)|0;t=0;do{Krc(w+((Y(t,r)|0)+x)|0,w+((Y(t,a)|0)+s)|0,r|0)|0;t=t+1|0}while((t|0)!=(c|0))}c=c+1|0}while((c|0)!=(l|0))}l=g+36|0;c=f[l>>2]|0;if(c|0?(r=c+12|0,c=f[r>>2]|0,f[r>>2]=c+-1,(c|0)==1):0)lP(g);f[l>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[p>>2]|0)>0){h=f[g+40>>2]|0;g=0;do{f[h+(g<<2)>>2]=0;g=g+1|0}while((g|0)<(f[p>>2]|0))}p=f[v>>2]|0;if((p|0)!=(q|0))tE(p);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function mK(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0;h=u;u=u+272|0;i=h+224|0;j=h+216|0;k=h+168|0;l=h+112|0;m=h+56|0;n=h;zT(j,44724);if((zD(a,-1)|0)>=3){f[i>>2]=0;f[i+4>>2]=0;o=YG(i,16)|0;p=212618;q=o+16|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));MJ(-215,i,197642,969)}r=oD(a,-1)|0;s=r&7;t=r&4088;if((g|0)<0)if(hE(c)|0)v=oD(c,-1)|0;else v=r;else v=g;g=(v|0)>-1?v:r;v=g&7;w=v|t;x=(e|0)==1;if(e>>>0>=4){f[i>>2]=0;f[i+4>>2]=0;o=YG(i,88)|0;p=197649;q=o+88|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));MJ(-215,i,197642,979)}f[k>>2]=1124007936;y=k+4|0;z=k+8|0;A=k+20|0;B=k+24|0;C=k+28|0;D=k+32|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;f[y+16>>2]=0;f[y+20>>2]=0;f[y+24>>2]=0;f[D>>2]=z;E=k+40|0;F=k+36|0;f[F>>2]=E;f[k+44>>2]=0;f[E>>2]=0;if((pD(a)|0)==655360){qD(i,a,-1);E=i+24|0;G=f[E>>2]|0;if(G|0){H=G+8|0;f[H>>2]=(f[H>>2]|0)+1}H=f[B>>2]|0;if(H|0?(G=H+8|0,H=f[G>>2]|0,f[G>>2]=H+-1,(H|0)==1):0)vN(k);if((f[y>>2]|0)>0){H=f[D>>2]|0;D=0;do{f[H+(D<<2)>>2]=0;D=D+1|0;I=f[y>>2]|0}while((D|0)<(I|0));f[B>>2]=0;f[k>>2]=f[i>>2];if((I|0)<3)J=19;else J=21}else{f[B>>2]=0;f[k>>2]=f[i>>2];J=19}if((J|0)==19){I=f[i+4>>2]|0;if((I|0)<3){f[y>>2]=I;f[z>>2]=f[i+8>>2];f[k+12>>2]=f[i+12>>2];z=f[i+36>>2]|0;I=f[F>>2]|0;f[I>>2]=f[z>>2];f[I+4>>2]=f[z+4>>2]}else J=21}if((J|0)==21)tN(k,i);f[k+16>>2]=f[i+16>>2];if(!(f[A>>2]|0))f[A>>2]=f[i+20>>2];f[B>>2]=f[E>>2];f[C>>2]=f[i+28>>2];uN(i)}do if((pD(a)|0)==65536){C=f[a+4>>2]|0;f[l>>2]=f[C>>2];E=l+4|0;B=C+4|0;f[E>>2]=f[B>>2];A=l+8|0;f[A>>2]=f[C+8>>2];z=l+12|0;f[z>>2]=f[C+12>>2];f[l+16>>2]=f[C+16>>2];f[l+20>>2]=f[C+20>>2];f[l+24>>2]=f[C+24>>2];f[l+28>>2]=f[C+28>>2];f[l+32>>2]=f[C+32>>2];I=f[C+36>>2]|0;f[l+36>>2]=I;f[l+40>>2]=A;F=l+48|0;y=l+44|0;f[y>>2]=F;f[F>>2]=0;f[l+52>>2]=0;if(I|0){F=I+12|0;f[F>>2]=(f[F>>2]|0)+1}if((f[B>>2]|0)<3){B=f[C+44>>2]|0;F=f[y>>2]|0;f[F>>2]=f[B>>2];f[F+4>>2]=f[B+4>>2];K=z;L=A;break}else{f[E>>2]=0;kP(l,C);K=z;L=A;break}}else{lD(l,a,-1);K=l+12|0;L=l+8|0}while(0);a=(d|0)==0;iE(c,a?1:f[L>>2]|0,a?f[K>>2]|0:1,w,-1,0,0);do if((pD(c)|0)==65536){w=f[c+4>>2]|0;f[m>>2]=f[w>>2];d=m+4|0;A=w+4|0;f[d>>2]=f[A>>2];z=m+8|0;f[z>>2]=f[w+8>>2];C=m+12|0;f[C>>2]=f[w+12>>2];E=m+16|0;f[E>>2]=f[w+16>>2];B=m+20|0;f[B>>2]=f[w+20>>2];F=m+24|0;f[F>>2]=f[w+24>>2];y=m+28|0;f[y>>2]=f[w+28>>2];I=m+32|0;f[I>>2]=f[w+32>>2];D=m+36|0;H=f[w+36>>2]|0;f[D>>2]=H;f[m+40>>2]=z;G=m+48|0;M=m+44|0;f[M>>2]=G;f[G>>2]=0;f[m+52>>2]=0;if(H|0){G=H+12|0;f[G>>2]=(f[G>>2]|0)+1}if((f[A>>2]|0)<3){A=f[w+44>>2]|0;G=f[M>>2]|0;f[G>>2]=f[A>>2];f[G+4>>2]=f[A+4>>2];N=m;O=d;P=z;Q=C;R=E;S=E;T=B;U=F;V=y;W=I;X=D;Y=D;break}else{f[d>>2]=0;kP(m,w);N=m;O=d;P=z;Q=C;R=E;S=E;T=B;U=F;V=y;W=I;X=D;Y=D;break}}else{lD(m,c,-1);D=m+16|0;I=m+36|0;N=m;O=m+4|0;P=m+8|0;Q=m+12|0;R=D;S=D;T=m+20|0;U=m+24|0;V=m+28|0;W=m+32|0;X=I;Y=I}while(0);f[n>>2]=f[N>>2];c=n+4|0;I=f[O>>2]|0;f[c>>2]=I;D=n+8|0;f[D>>2]=f[P>>2];y=n+12|0;f[y>>2]=f[Q>>2];F=n+16|0;f[F>>2]=f[S>>2];f[n+20>>2]=f[T>>2];f[n+24>>2]=f[U>>2];f[n+28>>2]=f[V>>2];f[n+32>>2]=f[W>>2];W=n+36|0;V=f[Y>>2]|0;f[W>>2]=V;Y=n+40|0;f[Y>>2]=D;U=n+48|0;T=n+44|0;f[T>>2]=U;f[U>>2]=0;f[n+52>>2]=0;if(!V)Z=I;else{I=V+12|0;f[I>>2]=(f[I>>2]|0)+1;Z=f[O>>2]|0}if((Z|0)<3){Z=f[m+44>>2]|0;I=f[T>>2]|0;f[I>>2]=f[Z>>2];f[I+4>>2]=f[Z+4>>2]}else{f[c>>2]=0;kP(n,m)}do if(x)if(!((g|r)&4)){Z=f[P>>2]|0;I=f[Q>>2]|0;V=t|4;if(((f[c>>2]|0)<3?(f[D>>2]|0)==(Z|0):0)&(f[y>>2]|0)==(I|0)?!((f[F>>2]|0)==0?1:(f[n>>2]&4095|0)!=(V|0)):0){_=4;$=0;break}f[i>>2]=Z;f[i+4>>2]=I;iP(n,2,i,V);_=4;$=0}else{_=v;$=0}else{_=v;$=e}while(0);e=($|0)==0;a:do if(a){if(e){v=(s|0)==0;if(v&(_|0)==4){aa=1041;break}y=(_|0)==5;if(v&y){aa=1042;break}D=(_|0)==6;if(v&D){aa=1043;break}v=(s|0)==2;if(v&y){aa=1044;break}if(v&D){aa=1045;break}v=(s|0)==3;if(v&y){aa=1046;break}if(v&D){aa=1047;break}v=(s|0)==5;if(v&y){aa=1048;break}if(v&D){aa=1049;break}else{ba=(s|0)==6&D?1035:0;J=88;break}}switch($|0){case 2:{if(!(_|s)){aa=1050;break a}if((s|0)==2&(_|0)==2){aa=1051;break a}if((s|0)==3&(_|0)==3){aa=1052;break a}if((s|0)==5&(_|0)==5){aa=1053;break a}else{ba=(s|0)==6&(_|0)==6?1036:0;J=88;break a}break}case 3:{if(!(_|s)){aa=1054;break a}if((s|0)==2&(_|0)==2){aa=1055;break a}if((s|0)==3&(_|0)==3){aa=1056;break a}if((s|0)==5&(_|0)==5){aa=1057;break a}else{ba=(s|0)==6&(_|0)==6?1037:0;J=88;break a}break}default:{f[i>>2]=0;ca=i+4|0;f[ca>>2]=0;da=YG(i,57)|0;o=da;p=197738;q=o+57|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));MJ(-210,i,197642,1111)}}}else{if(e){D=(s|0)==0;if(D&(_|0)==4){aa=1058;break}v=(_|0)==5;if(D&v){aa=1059;break}y=(_|0)==6;if(D&y){aa=1060;break}D=(s|0)==2;if(D&v){aa=1061;break}if(D&y){aa=1062;break}D=(s|0)==3;if(D&v){aa=1063;break}if(D&y){aa=1064;break}D=(s|0)==5;if(D&v){aa=1065;break}if(D&y){aa=1066;break}else{ba=(s|0)==6&y?1038:0;J=88;break}}switch($|0){case 2:{if(!(_|s)){aa=1067;break a}if((s|0)==2&(_|0)==2){aa=1068;break a}if((s|0)==3&(_|0)==3){aa=1069;break a}if((s|0)==5&(_|0)==5){aa=1070;break a}else{ba=(s|0)==6&(_|0)==6?1039:0;J=88;break a}break}case 3:{if(!(_|s)){aa=1071;break a}if((s|0)==2&(_|0)==2){aa=1072;break a}if((s|0)==3&(_|0)==3){aa=1073;break a}if((s|0)==5&(_|0)==5){aa=1074;break a}else{ba=(s|0)==6&(_|0)==6?1040:0;J=88;break a}break}default:{f[i>>2]=0;ca=i+4|0;f[ca>>2]=0;da=YG(i,57)|0;o=da;p=197738;q=o+57|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));MJ(-210,i,197642,1111)}}}while(0);if((J|0)==88)if(!ba){f[i>>2]=0;ca=i+4|0;f[ca>>2]=0;da=YG(i,57)|0;o=da;p=197738;q=o+57|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));MJ(-210,i,197642,1111)}else aa=ba;xh[aa&2047](l,n);if(x){x=i+8|0;f[x>>2]=0;f[x+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=m;IO(n,i,f[N>>2]&4095,1.0/+((a?f[L>>2]|0:f[K>>2]|0)|0),0.0)}K=f[W>>2]|0;if(K|0?(L=K+12|0,K=f[L>>2]|0,f[L>>2]=K+-1,(K|0)==1):0)lP(n);f[W>>2]=0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[c>>2]|0)>0){F=f[Y>>2]|0;Y=0;do{f[F+(Y<<2)>>2]=0;Y=Y+1|0}while((Y|0)<(f[c>>2]|0))}c=f[T>>2]|0;if((c|0)!=(U|0))tE(c);c=f[X>>2]|0;if(c|0?(U=c+12|0,c=f[U>>2]|0,f[U>>2]=c+-1,(c|0)==1):0)lP(m);f[X>>2]=0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((f[O>>2]|0)>0){R=f[m+40>>2]|0;X=0;do{f[R+(X<<2)>>2]=0;X=X+1|0}while((X|0)<(f[O>>2]|0))}O=f[m+44>>2]|0;if((O|0)!=(m+48|0))tE(O);O=l+36|0;m=f[O>>2]|0;if(m|0?(X=m+12|0,m=f[X>>2]|0,f[X>>2]=m+-1,(m|0)==1):0)lP(l);f[O>>2]=0;O=l+16|0;m=l+4|0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;if((f[m>>2]|0)>0){O=f[l+40>>2]|0;X=0;do{f[O+(X<<2)>>2]=0;X=X+1|0}while((X|0)<(f[m>>2]|0))}m=f[l+44>>2]|0;if((m|0)!=(l+48|0))tE(m);uN(k);if(!(f[j+4>>2]|0)){u=h;return}u=h;return}function nK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0;c=u;u=u+1104|0;d=c;e=f[a+40>>2]|0;g=f[e>>2]|0;h=Y(((f[a>>2]|0)>>>3&511)+1|0,f[e+4>>2]|0)|0;e=d+8|0;f[d>>2]=e;i=d+4|0;f[i>>2]=h;if(h>>>0>136){j=Dmc(h>>>0>536870911?-1:h<<3)|0;f[d>>2]=j;k=j}else k=e;j=f[b+16>>2]|0;b=f[a+16>>2]|0;l=(f[a+48>>2]|0)>>>3;a=(h|0)>0;if(a){m=0;do{p[k+(m<<3)>>3]=+p[b+(m<<3)>>3];m=m+1|0}while((m|0)!=(h|0))}m=g+-1|0;a:do if(m|0){g=h+-4|0;if((h|0)<4){n=b;o=m;while(1){n=n+(l<<3)|0;if(a){q=0;do{r=k+(q<<3)|0;p[r>>3]=+p[r>>3]+ +p[n+(q<<3)>>3];q=q+1|0}while((q|0)!=(h|0))}o=o+-1|0;if(!o)break a}}o=h&-4;n=(o|0)<(h|0);q=b;r=m;do{q=q+(l<<3)|0;s=0;do{t=k+(s<<3)|0;v=s|1;w=k+(v<<3)|0;x=+p[w>>3]+ +p[q+(v<<3)>>3];p[t>>3]=+p[t>>3]+ +p[q+(s<<3)>>3];p[w>>3]=x;w=s|2;t=k+(w<<3)|0;v=s|3;y=k+(v<<3)|0;x=+p[y>>3]+ +p[q+(v<<3)>>3];p[t>>3]=+p[t>>3]+ +p[q+(w<<3)>>3];p[y>>3]=x;s=s+4|0}while((s|0)<=(g|0));if(n){s=o;do{y=k+(s<<3)|0;p[y>>3]=+p[y>>3]+ +p[q+(s<<3)>>3];s=s+1|0}while((s|0)!=(h|0))}r=r+-1|0}while((r|0)!=0)}while(0);if(a){a=0;do{p[j+(a<<3)>>3]=+p[k+(a<<3)>>3];a=a+1|0}while((a|0)!=(h|0))}if((k|0)==(e|0)){u=c;return}Fmc(k);f[d>>2]=e;f[i>>2]=136;u=c;return}function oK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0.0,t=0.0,v=0,w=0,x=0,y=0,z=0.0,A=0.0;c=u;u=u+1104|0;d=c;e=f[a+40>>2]|0;g=f[e>>2]|0;h=Y(((f[a>>2]|0)>>>3&511)+1|0,f[e+4>>2]|0)|0;e=d+8|0;f[d>>2]=e;i=d+4|0;f[i>>2]=h;if(h>>>0>136){j=Dmc(h>>>0>536870911?-1:h<<3)|0;f[d>>2]=j;k=j}else k=e;j=f[b+16>>2]|0;b=f[a+16>>2]|0;l=(f[a+48>>2]|0)>>>3;a=(h|0)>0;if(a){m=0;do{p[k+(m<<3)>>3]=+p[b+(m<<3)>>3];m=m+1|0}while((m|0)!=(h|0))}m=g+-1|0;a:do if(m|0){g=h+-4|0;if((h|0)<4){n=b;o=m;while(1){n=n+(l<<3)|0;if(a){q=0;do{r=k+(q<<3)|0;s=+p[r>>3];t=+p[n+(q<<3)>>3];p[r>>3]=s<t?t:s;q=q+1|0}while((q|0)!=(h|0))}o=o+-1|0;if(!o)break a}}o=h&-4;n=(o|0)<(h|0);q=b;r=m;do{q=q+(l<<3)|0;v=0;do{w=k+(v<<3)|0;s=+p[w>>3];t=+p[q+(v<<3)>>3];x=v|1;y=k+(x<<3)|0;z=+p[y>>3];A=+p[q+(x<<3)>>3];p[w>>3]=s<t?t:s;p[y>>3]=z<A?A:z;y=v|2;w=k+(y<<3)|0;z=+p[w>>3];A=+p[q+(y<<3)>>3];y=v|3;x=k+(y<<3)|0;s=+p[x>>3];t=+p[q+(y<<3)>>3];p[w>>3]=z<A?A:z;p[x>>3]=s<t?t:s;v=v+4|0}while((v|0)<=(g|0));if(n){v=o;do{x=k+(v<<3)|0;s=+p[x>>3];t=+p[q+(v<<3)>>3];p[x>>3]=s<t?t:s;v=v+1|0}while((v|0)!=(h|0))}r=r+-1|0}while((r|0)!=0)}while(0);if(a){a=0;do{p[j+(a<<3)>>3]=+p[k+(a<<3)>>3];a=a+1|0}while((a|0)!=(h|0))}if((k|0)==(e|0)){u=c;return}Fmc(k);f[d>>2]=e;f[i>>2]=136;u=c;return}function pK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0.0,t=0.0,v=0,w=0,x=0,y=0,z=0.0,A=0.0;c=u;u=u+1104|0;d=c;e=f[a+40>>2]|0;g=f[e>>2]|0;h=Y(((f[a>>2]|0)>>>3&511)+1|0,f[e+4>>2]|0)|0;e=d+8|0;f[d>>2]=e;i=d+4|0;f[i>>2]=h;if(h>>>0>136){j=Dmc(h>>>0>536870911?-1:h<<3)|0;f[d>>2]=j;k=j}else k=e;j=f[b+16>>2]|0;b=f[a+16>>2]|0;l=(f[a+48>>2]|0)>>>3;a=(h|0)>0;if(a){m=0;do{p[k+(m<<3)>>3]=+p[b+(m<<3)>>3];m=m+1|0}while((m|0)!=(h|0))}m=g+-1|0;a:do if(m|0){g=h+-4|0;if((h|0)<4){n=b;o=m;while(1){n=n+(l<<3)|0;if(a){q=0;do{r=k+(q<<3)|0;s=+p[r>>3];t=+p[n+(q<<3)>>3];p[r>>3]=t<s?t:s;q=q+1|0}while((q|0)!=(h|0))}o=o+-1|0;if(!o)break a}}o=h&-4;n=(o|0)<(h|0);q=b;r=m;do{q=q+(l<<3)|0;v=0;do{w=k+(v<<3)|0;s=+p[w>>3];t=+p[q+(v<<3)>>3];x=v|1;y=k+(x<<3)|0;z=+p[y>>3];A=+p[q+(x<<3)>>3];p[w>>3]=t<s?t:s;p[y>>3]=A<z?A:z;y=v|2;w=k+(y<<3)|0;z=+p[w>>3];A=+p[q+(y<<3)>>3];y=v|3;x=k+(y<<3)|0;s=+p[x>>3];t=+p[q+(y<<3)>>3];p[w>>3]=A<z?A:z;p[x>>3]=t<s?t:s;v=v+4|0}while((v|0)<=(g|0));if(n){v=o;do{x=k+(v<<3)|0;s=+p[x>>3];t=+p[q+(v<<3)>>3];p[x>>3]=t<s?t:s;v=v+1|0}while((v|0)!=(h|0))}r=r+-1|0}while((r|0)!=0)}while(0);if(a){a=0;do{p[j+(a<<3)>>3]=+p[k+(a<<3)>>3];a=a+1|0}while((a|0)!=(h|0))}if((k|0)==(e|0)){u=c;return}Fmc(k);f[d>>2]=e;f[i>>2]=136;u=c;return}function qK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0.0,x=0,y=0.0,z=0.0,A=0,B=0.0;c=f[a+40>>2]|0;d=f[c>>2]|0;e=((f[a>>2]|0)>>>3&511)+1|0;g=Y(e,f[c+4>>2]|0)|0;if((d|0)<=0)return;c=f[a+16>>2]|0;h=f[f[a+44>>2]>>2]|0;a=f[b+16>>2]|0;i=f[f[b+44>>2]>>2]|0;b=(g|0)==(e|0);j=e<<1;k=e<<2;l=g-k|0;m=(j|0)>(l|0);n=e*3|0;o=(j|0)<(g|0);q=0;do{r=c+(Y(h,q)|0)|0;s=a+(Y(i,q)|0)|0;a:do if(b){t=0;do{p[s+(t<<3)>>3]=+p[r+(t<<3)>>3];t=t+1|0}while((t|0)!=(e|0))}else{if(m){t=0;while(1){u=+p[r+(t<<3)>>3];v=+p[r+(t+e<<3)>>3];if(o){w=u;x=j;while(1){y=w+ +p[r+(x+t<<3)>>3];x=x+e|0;if((x|0)>=(g|0)){z=y;break}else w=y}}else z=u;p[s+(t<<3)>>3]=v+z;t=t+1|0;if((t|0)==(e|0))break a}}else A=0;do{w=+p[r+(A+e<<3)>>3];y=+p[r+(A<<3)>>3];t=j;do{x=t+A|0;y=y+ +p[r+(x<<3)>>3]+ +p[r+(x+j<<3)>>3];w=w+ +p[r+(x+e<<3)>>3]+ +p[r+(x+n<<3)>>3];t=t+k|0}while((t|0)<=(l|0));if((t|0)<(g|0)){v=y;x=t;while(1){u=v+ +p[r+(x+A<<3)>>3];x=x+e|0;if((x|0)>=(g|0)){B=u;break}else v=u}}else B=y;p[s+(A<<3)>>3]=w+B;A=A+1|0}while((A|0)!=(e|0))}while(0);q=q+1|0}while((q|0)!=(d|0));return}function rK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0,C=0.0,D=0.0,E=0.0;c=f[a+40>>2]|0;d=f[c>>2]|0;e=((f[a>>2]|0)>>>3&511)+1|0;g=Y(e,f[c+4>>2]|0)|0;if((d|0)<=0)return;c=f[a+16>>2]|0;h=f[f[a+44>>2]>>2]|0;a=f[b+16>>2]|0;i=f[f[b+44>>2]>>2]|0;b=(g|0)==(e|0);j=e<<1;k=e<<2;l=g-k|0;m=(j|0)>(l|0);n=e*3|0;o=(j|0)<(g|0);q=0;do{r=c+(Y(h,q)|0)|0;s=a+(Y(i,q)|0)|0;a:do if(b){t=0;do{p[s+(t<<3)>>3]=+p[r+(t<<3)>>3];t=t+1|0}while((t|0)!=(e|0))}else{if(m){t=0;while(1){u=+p[r+(t<<3)>>3];v=+p[r+(t+e<<3)>>3];if(o){w=j;x=u;while(1){y=+p[r+(w+t<<3)>>3];z=x<y?y:x;w=w+e|0;if((w|0)>=(g|0)){A=z;break}else x=z}}else A=u;p[s+(t<<3)>>3]=A<v?v:A;t=t+1|0;if((t|0)==(e|0))break a}}else B=0;do{x=+p[r+(B+e<<3)>>3];z=+p[r+(B<<3)>>3];t=j;do{w=t+B|0;y=+p[r+(w<<3)>>3];C=z<y?y:z;y=+p[r+(w+e<<3)>>3];D=x<y?y:x;y=+p[r+(w+j<<3)>>3];z=C<y?y:C;C=+p[r+(w+n<<3)>>3];x=D<C?C:D;t=t+k|0}while((t|0)<=(l|0));if((t|0)<(g|0)){w=t;v=z;while(1){u=+p[r+(w+B<<3)>>3];D=v<u?u:v;w=w+e|0;if((w|0)>=(g|0)){E=D;break}else v=D}}else E=z;p[s+(B<<3)>>3]=E<x?x:E;B=B+1|0}while((B|0)!=(e|0))}while(0);q=q+1|0}while((q|0)!=(d|0));return}function sK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0,C=0.0,D=0.0,E=0.0;c=f[a+40>>2]|0;d=f[c>>2]|0;e=((f[a>>2]|0)>>>3&511)+1|0;g=Y(e,f[c+4>>2]|0)|0;if((d|0)<=0)return;c=f[a+16>>2]|0;h=f[f[a+44>>2]>>2]|0;a=f[b+16>>2]|0;i=f[f[b+44>>2]>>2]|0;b=(g|0)==(e|0);j=e<<1;k=e<<2;l=g-k|0;m=(j|0)>(l|0);n=e*3|0;o=(j|0)<(g|0);q=0;do{r=c+(Y(h,q)|0)|0;s=a+(Y(i,q)|0)|0;a:do if(b){t=0;do{p[s+(t<<3)>>3]=+p[r+(t<<3)>>3];t=t+1|0}while((t|0)!=(e|0))}else{if(m){t=0;while(1){u=+p[r+(t<<3)>>3];v=+p[r+(t+e<<3)>>3];if(o){w=j;x=u;while(1){y=+p[r+(w+t<<3)>>3];z=y<x?y:x;w=w+e|0;if((w|0)>=(g|0)){A=z;break}else x=z}}else A=u;p[s+(t<<3)>>3]=v<A?v:A;t=t+1|0;if((t|0)==(e|0))break a}}else B=0;do{x=+p[r+(B+e<<3)>>3];z=+p[r+(B<<3)>>3];t=j;do{w=t+B|0;y=+p[r+(w<<3)>>3];C=y<z?y:z;y=+p[r+(w+e<<3)>>3];D=y<x?y:x;y=+p[r+(w+j<<3)>>3];z=y<C?y:C;C=+p[r+(w+n<<3)>>3];x=C<D?C:D;t=t+k|0}while((t|0)<=(l|0));if((t|0)<(g|0)){w=t;v=z;while(1){u=+p[r+(w+B<<3)>>3];D=u<v?u:v;w=w+e|0;if((w|0)>=(g|0)){E=D;break}else v=D}}else E=z;p[s+(B<<3)>>3]=x<E?x:E;B=B+1|0}while((B|0)!=(e|0))}while(0);q=q+1|0}while((q|0)!=(d|0));return}function tK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0,C=0.0,D=0.0,E=0.0;c=f[a+40>>2]|0;d=f[c>>2]|0;e=((f[a>>2]|0)>>>3&511)+1|0;g=Y(e,f[c+4>>2]|0)|0;if((d|0)<=0)return;c=f[a+16>>2]|0;h=f[f[a+44>>2]>>2]|0;a=f[b+16>>2]|0;i=f[f[b+44>>2]>>2]|0;b=(g|0)==(e|0);j=e<<1;k=e<<2;l=g-k|0;m=(j|0)>(l|0);o=e*3|0;p=(j|0)<(g|0);q=0;do{r=c+(Y(h,q)|0)|0;s=a+(Y(i,q)|0)|0;a:do if(b){t=0;do{f[s+(t<<2)>>2]=f[r+(t<<2)>>2];t=t+1|0}while((t|0)!=(e|0))}else{if(m){t=0;while(1){u=+n[r+(t<<2)>>2];v=+n[r+(t+e<<2)>>2];if(p){w=j;x=u;while(1){y=+n[r+(w+t<<2)>>2];z=y<x?y:x;w=w+e|0;if((w|0)>=(g|0)){A=z;break}else x=z}}else A=u;n[s+(t<<2)>>2]=v<A?v:A;t=t+1|0;if((t|0)==(e|0))break a}}else B=0;do{x=+n[r+(B+e<<2)>>2];z=+n[r+(B<<2)>>2];t=j;do{w=t+B|0;y=+n[r+(w<<2)>>2];C=y<z?y:z;y=+n[r+(w+e<<2)>>2];D=y<x?y:x;y=+n[r+(w+j<<2)>>2];z=y<C?y:C;C=+n[r+(w+o<<2)>>2];x=C<D?C:D;t=t+k|0}while((t|0)<=(l|0));if((t|0)<(g|0)){w=t;v=z;while(1){u=+n[r+(w+B<<2)>>2];D=u<v?u:v;w=w+e|0;if((w|0)>=(g|0)){E=D;break}else v=D}}else E=z;n[s+(B<<2)>>2]=x<E?x:E;B=B+1|0}while((B|0)!=(e|0))}while(0);q=q+1|0}while((q|0)!=(d|0));return}function uK(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;c=f[a+40>>2]|0;e=f[c>>2]|0;g=((f[a>>2]|0)>>>3&511)+1|0;h=Y(g,f[c+4>>2]|0)|0;if((e|0)<=0)return;c=f[a+16>>2]|0;i=f[f[a+44>>2]>>2]|0;a=f[b+16>>2]|0;j=f[f[b+44>>2]>>2]|0;b=(h|0)==(g|0);k=g<<1;l=g<<2;m=h-l|0;n=(k|0)>(m|0);o=g*3|0;p=(k|0)<(h|0);q=0;do{r=c+(Y(i,q)|0)|0;s=a+(Y(j,q)|0)|0;a:do if(b){t=0;do{d[s+(t<<1)>>1]=d[r+(t<<1)>>1]|0;t=t+1|0}while((t|0)!=(g|0))}else{if(n){t=0;while(1){u=d[r+(t<<1)>>1]|0;v=d[r+(t+g<<1)>>1]|0;if(p){w=k;x=u;while(1){y=d[r+(w+t<<1)>>1]|0;z=y<<16>>16<x<<16>>16?y:x;w=w+g|0;if((w|0)>=(h|0)){A=z;break}else x=z}}else A=u;d[s+(t<<1)>>1]=v<<16>>16<A<<16>>16?v:A;t=t+1|0;if((t|0)==(g|0))break a}}else B=0;do{t=d[r+(B+g<<1)>>1]|0;x=d[r+(B<<1)>>1]|0;w=k;do{z=w+B|0;y=d[r+(z<<1)>>1]|0;C=y<<16>>16<x<<16>>16?y:x;y=d[r+(z+g<<1)>>1]|0;D=y<<16>>16<t<<16>>16?y:t;y=d[r+(z+k<<1)>>1]|0;x=y<<16>>16<C<<16>>16?y:C;C=d[r+(z+o<<1)>>1]|0;t=C<<16>>16<D<<16>>16?C:D;w=w+l|0}while((w|0)<=(m|0));if((w|0)<(h|0)){v=w;u=x;while(1){D=d[r+(v+B<<1)>>1]|0;C=D<<16>>16<u<<16>>16?D:u;v=v+g|0;if((v|0)>=(h|0)){E=C;break}else u=C}}else E=x;d[s+(B<<1)>>1]=t<<16>>16<E<<16>>16?t:E;B=B+1|0}while((B|0)!=(g|0))}while(0);q=q+1|0}while((q|0)!=(e|0));return}function vK(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;c=f[a+40>>2]|0;e=f[c>>2]|0;g=((f[a>>2]|0)>>>3&511)+1|0;h=Y(g,f[c+4>>2]|0)|0;if((e|0)<=0)return;c=f[a+16>>2]|0;i=f[f[a+44>>2]>>2]|0;a=f[b+16>>2]|0;j=f[f[b+44>>2]>>2]|0;b=(h|0)==(g|0);k=g<<1;l=g<<2;m=h-l|0;n=(k|0)>(m|0);o=g*3|0;p=(k|0)<(h|0);q=0;do{r=c+(Y(i,q)|0)|0;s=a+(Y(j,q)|0)|0;a:do if(b){t=0;do{d[s+(t<<1)>>1]=d[r+(t<<1)>>1]|0;t=t+1|0}while((t|0)!=(g|0))}else{if(n){t=0;while(1){u=d[r+(t<<1)>>1]|0;v=d[r+(t+g<<1)>>1]|0;if(p){w=k;x=u;while(1){y=d[r+(w+t<<1)>>1]|0;z=(y&65535)<(x&65535)?y:x;w=w+g|0;if((w|0)>=(h|0)){A=z;break}else x=z}}else A=u;d[s+(t<<1)>>1]=(v&65535)<(A&65535)?v:A;t=t+1|0;if((t|0)==(g|0))break a}}else B=0;do{t=d[r+(B+g<<1)>>1]|0;x=d[r+(B<<1)>>1]|0;w=k;do{z=w+B|0;y=d[r+(z<<1)>>1]|0;C=(y&65535)<(x&65535)?y:x;y=d[r+(z+g<<1)>>1]|0;D=(y&65535)<(t&65535)?y:t;y=d[r+(z+k<<1)>>1]|0;x=(y&65535)<(C&65535)?y:C;C=d[r+(z+o<<1)>>1]|0;t=(C&65535)<(D&65535)?C:D;w=w+l|0}while((w|0)<=(m|0));if((w|0)<(h|0)){v=w;u=x;while(1){D=d[r+(v+B<<1)>>1]|0;C=(D&65535)<(u&65535)?D:u;v=v+g|0;if((v|0)>=(h|0)){E=C;break}else u=C}}else E=x;d[s+(B<<1)>>1]=(t&65535)<(E&65535)?t:E;B=B+1|0}while((B|0)!=(g|0))}while(0);q=q+1|0}while((q|0)!=(e|0));return}function wK(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;d=f[a+40>>2]|0;e=f[d>>2]|0;g=((f[a>>2]|0)>>>3&511)+1|0;i=Y(g,f[d+4>>2]|0)|0;if((e|0)<=0)return;d=a+16|0;j=a+44|0;a=c+16|0;k=c+44|0;c=(i|0)==(g|0);l=g<<1;m=g<<2;n=i-m|0;o=(l|0)>(n|0);p=g*3|0;q=(l|0)<(i|0);r=0;do{s=(f[d>>2]|0)+(Y(f[f[j>>2]>>2]|0,r)|0)|0;t=(f[a>>2]|0)+(Y(f[f[k>>2]>>2]|0,r)|0)|0;a:do if(c){u=0;do{b[t+u>>0]=b[s+u>>0]|0;u=u+1|0}while((u|0)!=(g|0))}else{if(o){u=0;while(1){v=b[s+u>>0]|0;w=b[s+(u+g)>>0]|0;if(q){x=v;y=l;while(1){z=x&255;A=z-(h[216138+((z|256)-(h[s+(y+u)>>0]|0))>>0]|0)&255;y=y+g|0;if((y|0)>=(i|0)){B=A;break}else x=A}}else B=v;x=B&255;b[t+u>>0]=x-(h[216138+((x|256)-(w&255))>>0]|0);u=u+1|0;if((u|0)==(g|0))break a}}else C=0;do{u=b[s+(C+g)>>0]|0;x=b[s+C>>0]|0;y=l;while(1){A=y+C|0;z=x&255;D=z-(h[216138+((z|256)-(h[s+A>>0]|0))>>0]|0)|0;z=u&255;E=z-(h[216138+((z|256)-(h[s+(A+g)>>0]|0))>>0]|0)|0;F=D-(h[216138+((D&255|256)-(h[s+(A+l)>>0]|0))>>0]|0)|0;G=E-(h[216138+((E&255|256)-(h[s+(A+p)>>0]|0))>>0]|0)|0;y=y+m|0;if((y|0)>(n|0))break;else{u=G&255;x=F&255}}if((y|0)<(i|0)){x=F;u=y;while(1){w=x&255;v=w-(h[216138+((w|256)-(h[s+(u+C)>>0]|0))>>0]|0)|0;u=u+g|0;if((u|0)>=(i|0)){H=v;break}else x=v}}else H=F;b[t+C>>0]=H-(h[216138+((H&255|256)-(G&255))>>0]|0);C=C+1|0}while((C|0)!=(g|0))}while(0);r=r+1|0}while((r|0)!=(e|0));return}function xK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0,C=0.0,D=0.0,E=0.0;c=f[a+40>>2]|0;d=f[c>>2]|0;e=((f[a>>2]|0)>>>3&511)+1|0;g=Y(e,f[c+4>>2]|0)|0;if((d|0)<=0)return;c=f[a+16>>2]|0;h=f[f[a+44>>2]>>2]|0;a=f[b+16>>2]|0;i=f[f[b+44>>2]>>2]|0;b=(g|0)==(e|0);j=e<<1;k=e<<2;l=g-k|0;m=(j|0)>(l|0);o=e*3|0;p=(j|0)<(g|0);q=0;do{r=c+(Y(h,q)|0)|0;s=a+(Y(i,q)|0)|0;a:do if(b){t=0;do{f[s+(t<<2)>>2]=f[r+(t<<2)>>2];t=t+1|0}while((t|0)!=(e|0))}else{if(m){t=0;while(1){u=+n[r+(t<<2)>>2];v=+n[r+(t+e<<2)>>2];if(p){w=j;x=u;while(1){y=+n[r+(w+t<<2)>>2];z=x<y?y:x;w=w+e|0;if((w|0)>=(g|0)){A=z;break}else x=z}}else A=u;n[s+(t<<2)>>2]=A<v?v:A;t=t+1|0;if((t|0)==(e|0))break a}}else B=0;do{x=+n[r+(B+e<<2)>>2];z=+n[r+(B<<2)>>2];t=j;do{w=t+B|0;y=+n[r+(w<<2)>>2];C=z<y?y:z;y=+n[r+(w+e<<2)>>2];D=x<y?y:x;y=+n[r+(w+j<<2)>>2];z=C<y?y:C;C=+n[r+(w+o<<2)>>2];x=D<C?C:D;t=t+k|0}while((t|0)<=(l|0));if((t|0)<(g|0)){w=t;v=z;while(1){u=+n[r+(w+B<<2)>>2];D=v<u?u:v;w=w+e|0;if((w|0)>=(g|0)){E=D;break}else v=D}}else E=z;n[s+(B<<2)>>2]=E<x?x:E;B=B+1|0}while((B|0)!=(e|0))}while(0);q=q+1|0}while((q|0)!=(d|0));return}function yK(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;c=f[a+40>>2]|0;e=f[c>>2]|0;g=((f[a>>2]|0)>>>3&511)+1|0;h=Y(g,f[c+4>>2]|0)|0;if((e|0)<=0)return;c=f[a+16>>2]|0;i=f[f[a+44>>2]>>2]|0;a=f[b+16>>2]|0;j=f[f[b+44>>2]>>2]|0;b=(h|0)==(g|0);k=g<<1;l=g<<2;m=h-l|0;n=(k|0)>(m|0);o=g*3|0;p=(k|0)<(h|0);q=0;do{r=c+(Y(i,q)|0)|0;s=a+(Y(j,q)|0)|0;a:do if(b){t=0;do{d[s+(t<<1)>>1]=d[r+(t<<1)>>1]|0;t=t+1|0}while((t|0)!=(g|0))}else{if(n){t=0;while(1){u=d[r+(t<<1)>>1]|0;v=d[r+(t+g<<1)>>1]|0;if(p){w=k;x=u;while(1){y=d[r+(w+t<<1)>>1]|0;z=x<<16>>16<y<<16>>16?y:x;w=w+g|0;if((w|0)>=(h|0)){A=z;break}else x=z}}else A=u;d[s+(t<<1)>>1]=A<<16>>16<v<<16>>16?v:A;t=t+1|0;if((t|0)==(g|0))break a}}else B=0;do{t=d[r+(B+g<<1)>>1]|0;x=d[r+(B<<1)>>1]|0;w=k;do{z=w+B|0;y=d[r+(z<<1)>>1]|0;C=x<<16>>16<y<<16>>16?y:x;y=d[r+(z+g<<1)>>1]|0;D=t<<16>>16<y<<16>>16?y:t;y=d[r+(z+k<<1)>>1]|0;x=C<<16>>16<y<<16>>16?y:C;C=d[r+(z+o<<1)>>1]|0;t=D<<16>>16<C<<16>>16?C:D;w=w+l|0}while((w|0)<=(m|0));if((w|0)<(h|0)){v=w;u=x;while(1){D=d[r+(v+B<<1)>>1]|0;C=u<<16>>16<D<<16>>16?D:u;v=v+g|0;if((v|0)>=(h|0)){E=C;break}else u=C}}else E=x;d[s+(B<<1)>>1]=E<<16>>16<t<<16>>16?t:E;B=B+1|0}while((B|0)!=(g|0))}while(0);q=q+1|0}while((q|0)!=(e|0));return}function zK(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;c=f[a+40>>2]|0;e=f[c>>2]|0;g=((f[a>>2]|0)>>>3&511)+1|0;h=Y(g,f[c+4>>2]|0)|0;if((e|0)<=0)return;c=f[a+16>>2]|0;i=f[f[a+44>>2]>>2]|0;a=f[b+16>>2]|0;j=f[f[b+44>>2]>>2]|0;b=(h|0)==(g|0);k=g<<1;l=g<<2;m=h-l|0;n=(k|0)>(m|0);o=g*3|0;p=(k|0)<(h|0);q=0;do{r=c+(Y(i,q)|0)|0;s=a+(Y(j,q)|0)|0;a:do if(b){t=0;do{d[s+(t<<1)>>1]=d[r+(t<<1)>>1]|0;t=t+1|0}while((t|0)!=(g|0))}else{if(n){t=0;while(1){u=d[r+(t<<1)>>1]|0;v=d[r+(t+g<<1)>>1]|0;if(p){w=k;x=u;while(1){y=d[r+(w+t<<1)>>1]|0;z=(x&65535)<(y&65535)?y:x;w=w+g|0;if((w|0)>=(h|0)){A=z;break}else x=z}}else A=u;d[s+(t<<1)>>1]=(A&65535)<(v&65535)?v:A;t=t+1|0;if((t|0)==(g|0))break a}}else B=0;do{t=d[r+(B+g<<1)>>1]|0;x=d[r+(B<<1)>>1]|0;w=k;do{z=w+B|0;y=d[r+(z<<1)>>1]|0;C=(x&65535)<(y&65535)?y:x;y=d[r+(z+g<<1)>>1]|0;D=(t&65535)<(y&65535)?y:t;y=d[r+(z+k<<1)>>1]|0;x=(C&65535)<(y&65535)?y:C;C=d[r+(z+o<<1)>>1]|0;t=(D&65535)<(C&65535)?C:D;w=w+l|0}while((w|0)<=(m|0));if((w|0)<(h|0)){v=w;u=x;while(1){D=d[r+(v+B<<1)>>1]|0;C=(u&65535)<(D&65535)?D:u;v=v+g|0;if((v|0)>=(h|0)){E=C;break}else u=C}}else E=x;d[s+(B<<1)>>1]=(E&65535)<(t&65535)?t:E;B=B+1|0}while((B|0)!=(g|0))}while(0);q=q+1|0}while((q|0)!=(e|0));return}function AK(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;d=f[a+40>>2]|0;e=f[d>>2]|0;g=((f[a>>2]|0)>>>3&511)+1|0;i=Y(g,f[d+4>>2]|0)|0;if((e|0)<=0)return;d=a+16|0;j=a+44|0;a=c+16|0;k=c+44|0;c=(i|0)==(g|0);l=g<<1;m=g<<2;n=i-m|0;o=(l|0)>(n|0);p=g*3|0;q=(l|0)<(i|0);r=0;do{s=(f[d>>2]|0)+(Y(f[f[j>>2]>>2]|0,r)|0)|0;t=(f[a>>2]|0)+(Y(f[f[k>>2]>>2]|0,r)|0)|0;a:do if(c){u=0;do{b[t+u>>0]=b[s+u>>0]|0;u=u+1|0}while((u|0)!=(g|0))}else{if(o){u=0;while(1){v=b[s+u>>0]|0;w=b[s+(u+g)>>0]|0;if(q){x=v;y=l;while(1){z=x&255;A=(h[216138+(256-z+(h[s+(y+u)>>0]|0))>>0]|0)+z&255;y=y+g|0;if((y|0)>=(i|0)){B=A;break}else x=A}}else B=v;x=B&255;b[t+u>>0]=(h[216138+((w&255|256)-x)>>0]|0)+x;u=u+1|0;if((u|0)==(g|0))break a}}else C=0;do{u=b[s+(C+g)>>0]|0;x=b[s+C>>0]|0;y=l;while(1){A=y+C|0;z=x&255;D=(h[216138+(256-z+(h[s+A>>0]|0))>>0]|0)+z|0;z=u&255;E=(h[216138+(256-z+(h[s+(A+g)>>0]|0))>>0]|0)+z|0;F=(h[216138+(256-(D&255)+(h[s+(A+l)>>0]|0))>>0]|0)+D|0;G=(h[216138+(256-(E&255)+(h[s+(A+p)>>0]|0))>>0]|0)+E|0;y=y+m|0;if((y|0)>(n|0))break;else{u=G&255;x=F&255}}if((y|0)<(i|0)){x=F;u=y;while(1){w=x&255;v=(h[216138+(256-w+(h[s+(u+C)>>0]|0))>>0]|0)+w|0;u=u+g|0;if((u|0)>=(i|0)){H=v;break}else x=v}}else H=F;b[t+C>>0]=(h[216138+((G&255|256)-(H&255))>>0]|0)+H;C=C+1|0}while((C|0)!=(g|0))}while(0);r=r+1|0}while((r|0)!=(e|0));return}function BK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0,z=0.0,A=0.0,B=0,C=0.0;c=f[a+40>>2]|0;d=f[c>>2]|0;e=((f[a>>2]|0)>>>3&511)+1|0;g=Y(e,f[c+4>>2]|0)|0;if((d|0)<=0)return;c=f[a+16>>2]|0;h=f[f[a+44>>2]>>2]|0;a=f[b+16>>2]|0;i=f[f[b+44>>2]>>2]|0;b=(g|0)==(e|0);j=e<<1;k=e<<2;l=g-k|0;m=(j|0)>(l|0);o=e*3|0;q=(j|0)<(g|0);r=0;do{s=c+(Y(h,r)|0)|0;t=a+(Y(i,r)|0)|0;a:do if(b){u=0;do{p[t+(u<<3)>>3]=+n[s+(u<<2)>>2];u=u+1|0}while((u|0)!=(e|0))}else{if(m){u=0;while(1){v=+n[s+(u<<2)>>2];w=+n[s+(u+e<<2)>>2];if(q){x=v;y=j;while(1){z=x+ +n[s+(y+u<<2)>>2];y=y+e|0;if((y|0)>=(g|0)){A=z;break}else x=z}}else A=v;p[t+(u<<3)>>3]=w+A;u=u+1|0;if((u|0)==(e|0))break a}}else B=0;do{x=+n[s+(B+e<<2)>>2];z=+n[s+(B<<2)>>2];u=j;do{y=u+B|0;z=z+ +n[s+(y<<2)>>2]+ +n[s+(y+j<<2)>>2];x=x+ +n[s+(y+e<<2)>>2]+ +n[s+(y+o<<2)>>2];u=u+k|0}while((u|0)<=(l|0));if((u|0)<(g|0)){w=z;y=u;while(1){v=w+ +n[s+(y+B<<2)>>2];y=y+e|0;if((y|0)>=(g|0)){C=v;break}else w=v}}else C=z;p[t+(B<<3)>>3]=x+C;B=B+1|0}while((B|0)!=(e|0))}while(0);r=r+1|0}while((r|0)!=(d|0));return}function CK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0.0,x=0,y=0.0,z=0.0,A=0,B=0.0;c=f[a+40>>2]|0;d=f[c>>2]|0;e=((f[a>>2]|0)>>>3&511)+1|0;g=Y(e,f[c+4>>2]|0)|0;if((d|0)<=0)return;c=f[a+16>>2]|0;h=f[f[a+44>>2]>>2]|0;a=f[b+16>>2]|0;i=f[f[b+44>>2]>>2]|0;b=(g|0)==(e|0);j=e<<1;k=e<<2;l=g-k|0;m=(j|0)>(l|0);o=e*3|0;p=(j|0)<(g|0);q=0;do{r=c+(Y(h,q)|0)|0;s=a+(Y(i,q)|0)|0;a:do if(b){t=0;do{f[s+(t<<2)>>2]=f[r+(t<<2)>>2];t=t+1|0}while((t|0)!=(e|0))}else{if(m){t=0;while(1){u=+n[r+(t<<2)>>2];v=+n[r+(t+e<<2)>>2];if(p){w=u;x=j;while(1){y=w+ +n[r+(x+t<<2)>>2];x=x+e|0;if((x|0)>=(g|0)){z=y;break}else w=y}}else z=u;n[s+(t<<2)>>2]=v+z;t=t+1|0;if((t|0)==(e|0))break a}}else A=0;do{w=+n[r+(A+e<<2)>>2];y=+n[r+(A<<2)>>2];t=j;do{x=t+A|0;y=y+ +n[r+(x<<2)>>2]+ +n[r+(x+j<<2)>>2];w=w+ +n[r+(x+e<<2)>>2]+ +n[r+(x+o<<2)>>2];t=t+k|0}while((t|0)<=(l|0));if((t|0)<(g|0)){v=y;x=t;while(1){u=v+ +n[r+(x+A<<2)>>2];x=x+e|0;if((x|0)>=(g|0)){B=u;break}else v=u}}else B=y;n[s+(A<<2)>>2]=w+B;A=A+1|0}while((A|0)!=(e|0))}while(0);q=q+1|0}while((q|0)!=(d|0));return}function DK(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0,z=0.0,A=0.0,B=0,C=0.0;c=f[a+40>>2]|0;e=f[c>>2]|0;g=((f[a>>2]|0)>>>3&511)+1|0;h=Y(g,f[c+4>>2]|0)|0;if((e|0)<=0)return;c=f[a+16>>2]|0;i=f[f[a+44>>2]>>2]|0;a=f[b+16>>2]|0;j=f[f[b+44>>2]>>2]|0;b=(h|0)==(g|0);k=g<<1;l=g<<2;m=h-l|0;n=(k|0)>(m|0);o=g*3|0;q=(k|0)<(h|0);r=0;do{s=c+(Y(i,r)|0)|0;t=a+(Y(j,r)|0)|0;a:do if(b){u=0;do{p[t+(u<<3)>>3]=+(d[s+(u<<1)>>1]|0);u=u+1|0}while((u|0)!=(g|0))}else{if(n){u=0;while(1){v=+(d[s+(u<<1)>>1]|0);w=+(d[s+(u+g<<1)>>1]|0);if(q){x=v;y=k;while(1){z=x+ +(d[s+(y+u<<1)>>1]|0);y=y+g|0;if((y|0)>=(h|0)){A=z;break}else x=z}}else A=v;p[t+(u<<3)>>3]=w+A;u=u+1|0;if((u|0)==(g|0))break a}}else B=0;do{x=+(d[s+(B+g<<1)>>1]|0);z=+(d[s+(B<<1)>>1]|0);u=k;do{y=u+B|0;z=z+ +(d[s+(y<<1)>>1]|0)+ +(d[s+(y+k<<1)>>1]|0);x=x+ +(d[s+(y+g<<1)>>1]|0)+ +(d[s+(y+o<<1)>>1]|0);u=u+l|0}while((u|0)<=(m|0));if((u|0)<(h|0)){w=z;y=u;while(1){v=w+ +(d[s+(y+B<<1)>>1]|0);y=y+g|0;if((y|0)>=(h|0)){C=v;break}else w=v}}else C=z;p[t+(B<<3)>>3]=x+C;B=B+1|0}while((B|0)!=(g|0))}while(0);r=r+1|0}while((r|0)!=(e|0));return}function EK(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0,z=0.0,A=0.0,B=0,C=0.0;c=f[a+40>>2]|0;e=f[c>>2]|0;g=((f[a>>2]|0)>>>3&511)+1|0;h=Y(g,f[c+4>>2]|0)|0;if((e|0)<=0)return;c=f[a+16>>2]|0;i=f[f[a+44>>2]>>2]|0;a=f[b+16>>2]|0;j=f[f[b+44>>2]>>2]|0;b=(h|0)==(g|0);k=g<<1;l=g<<2;m=h-l|0;o=(k|0)>(m|0);p=g*3|0;q=(k|0)<(h|0);r=0;do{s=c+(Y(i,r)|0)|0;t=a+(Y(j,r)|0)|0;a:do if(b){u=0;do{n[t+(u<<2)>>2]=+(d[s+(u<<1)>>1]|0);u=u+1|0}while((u|0)!=(g|0))}else{if(o){u=0;while(1){v=+(d[s+(u<<1)>>1]|0);w=+(d[s+(u+g<<1)>>1]|0);if(q){x=v;y=k;while(1){z=x+ +(d[s+(y+u<<1)>>1]|0);y=y+g|0;if((y|0)>=(h|0)){A=z;break}else x=z}}else A=v;n[t+(u<<2)>>2]=w+A;u=u+1|0;if((u|0)==(g|0))break a}}else B=0;do{x=+(d[s+(B+g<<1)>>1]|0);z=+(d[s+(B<<1)>>1]|0);u=k;do{y=u+B|0;z=z+ +(d[s+(y<<1)>>1]|0)+ +(d[s+(y+k<<1)>>1]|0);x=x+ +(d[s+(y+g<<1)>>1]|0)+ +(d[s+(y+p<<1)>>1]|0);u=u+l|0}while((u|0)<=(m|0));if((u|0)<(h|0)){w=z;y=u;while(1){v=w+ +(d[s+(y+B<<1)>>1]|0);y=y+g|0;if((y|0)>=(h|0)){C=v;break}else w=v}}else C=z;n[t+(B<<2)>>2]=x+C;B=B+1|0}while((B|0)!=(g|0))}while(0);r=r+1|0}while((r|0)!=(e|0));return}function FK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0,z=0.0,A=0.0,B=0,C=0.0;c=f[a+40>>2]|0;d=f[c>>2]|0;e=((f[a>>2]|0)>>>3&511)+1|0;g=Y(e,f[c+4>>2]|0)|0;if((d|0)<=0)return;c=f[a+16>>2]|0;h=f[f[a+44>>2]>>2]|0;a=f[b+16>>2]|0;i=f[f[b+44>>2]>>2]|0;b=(g|0)==(e|0);k=e<<1;l=e<<2;m=g-l|0;n=(k|0)>(m|0);o=e*3|0;q=(k|0)<(g|0);r=0;do{s=c+(Y(h,r)|0)|0;t=a+(Y(i,r)|0)|0;a:do if(b){u=0;do{p[t+(u<<3)>>3]=+(j[s+(u<<1)>>1]|0);u=u+1|0}while((u|0)!=(e|0))}else{if(n){u=0;while(1){v=+(j[s+(u<<1)>>1]|0);w=+(j[s+(u+e<<1)>>1]|0);if(q){x=v;y=k;while(1){z=x+ +(j[s+(y+u<<1)>>1]|0);y=y+e|0;if((y|0)>=(g|0)){A=z;break}else x=z}}else A=v;p[t+(u<<3)>>3]=w+A;u=u+1|0;if((u|0)==(e|0))break a}}else B=0;do{x=+(j[s+(B+e<<1)>>1]|0);z=+(j[s+(B<<1)>>1]|0);u=k;do{y=u+B|0;z=z+ +(j[s+(y<<1)>>1]|0)+ +(j[s+(y+k<<1)>>1]|0);x=x+ +(j[s+(y+e<<1)>>1]|0)+ +(j[s+(y+o<<1)>>1]|0);u=u+l|0}while((u|0)<=(m|0));if((u|0)<(g|0)){w=z;y=u;while(1){v=w+ +(j[s+(y+B<<1)>>1]|0);y=y+e|0;if((y|0)>=(g|0)){C=v;break}else w=v}}else C=z;p[t+(B<<3)>>3]=x+C;B=B+1|0}while((B|0)!=(e|0))}while(0);r=r+1|0}while((r|0)!=(d|0));return}function GK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0,z=0.0,A=0.0,B=0,C=0.0;c=f[a+40>>2]|0;d=f[c>>2]|0;e=((f[a>>2]|0)>>>3&511)+1|0;g=Y(e,f[c+4>>2]|0)|0;if((d|0)<=0)return;c=f[a+16>>2]|0;h=f[f[a+44>>2]>>2]|0;a=f[b+16>>2]|0;i=f[f[b+44>>2]>>2]|0;b=(g|0)==(e|0);k=e<<1;l=e<<2;m=g-l|0;o=(k|0)>(m|0);p=e*3|0;q=(k|0)<(g|0);r=0;do{s=c+(Y(h,r)|0)|0;t=a+(Y(i,r)|0)|0;a:do if(b){u=0;do{n[t+(u<<2)>>2]=+(j[s+(u<<1)>>1]|0);u=u+1|0}while((u|0)!=(e|0))}else{if(o){u=0;while(1){v=+(j[s+(u<<1)>>1]|0);w=+(j[s+(u+e<<1)>>1]|0);if(q){x=v;y=k;while(1){z=x+ +(j[s+(y+u<<1)>>1]|0);y=y+e|0;if((y|0)>=(g|0)){A=z;break}else x=z}}else A=v;n[t+(u<<2)>>2]=w+A;u=u+1|0;if((u|0)==(e|0))break a}}else B=0;do{x=+(j[s+(B+e<<1)>>1]|0);z=+(j[s+(B<<1)>>1]|0);u=k;do{y=u+B|0;z=z+ +(j[s+(y<<1)>>1]|0)+ +(j[s+(y+k<<1)>>1]|0);x=x+ +(j[s+(y+e<<1)>>1]|0)+ +(j[s+(y+p<<1)>>1]|0);u=u+l|0}while((u|0)<=(m|0));if((u|0)<(g|0)){w=z;y=u;while(1){v=w+ +(j[s+(y+B<<1)>>1]|0);y=y+e|0;if((y|0)>=(g|0)){C=v;break}else w=v}}else C=z;n[t+(B<<2)>>2]=x+C;B=B+1|0}while((B|0)!=(e|0))}while(0);r=r+1|0}while((r|0)!=(d|0));return}function HK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;c=f[a+40>>2]|0;d=f[c>>2]|0;e=((f[a>>2]|0)>>>3&511)+1|0;g=Y(e,f[c+4>>2]|0)|0;if((d|0)<=0)return;c=(g|0)==(e|0);i=e<<1;j=e<<2;k=g-j|0;l=(i|0)>(k|0);m=e*3|0;n=f[a+16>>2]|0;o=f[f[a+44>>2]>>2]|0;a=f[b+16>>2]|0;q=f[f[b+44>>2]>>2]|0;b=(i|0)<(g|0);r=0;do{s=n+(Y(o,r)|0)|0;t=a+(Y(q,r)|0)|0;a:do if(c){u=0;do{p[t+(u<<3)>>3]=+(h[s+u>>0]|0);u=u+1|0}while((u|0)!=(e|0))}else{if(l){u=0;while(1){v=h[s+u>>0]|0;w=h[s+(u+e)>>0]|0;if(b){x=v;y=i;while(1){z=(h[s+(y+u)>>0]|0)+x|0;y=y+e|0;if((y|0)>=(g|0)){A=z;break}else x=z}}else A=v;p[t+(u<<3)>>3]=+(A+w|0);u=u+1|0;if((u|0)==(e|0))break a}}else B=0;do{u=h[s+(B+e)>>0]|0;x=h[s+B>>0]|0;y=i;do{z=y+B|0;x=(h[s+z>>0]|0)+x+(h[s+(z+i)>>0]|0)|0;u=(h[s+(z+e)>>0]|0)+u+(h[s+(z+m)>>0]|0)|0;y=y+j|0}while((y|0)<=(k|0));if((y|0)<(g|0)){w=x;v=y;while(1){z=(h[s+(v+B)>>0]|0)+w|0;v=v+e|0;if((v|0)>=(g|0)){C=z;break}else w=z}}else C=x;p[t+(B<<3)>>3]=+(C+u|0);B=B+1|0}while((B|0)!=(e|0))}while(0);r=r+1|0}while((r|0)!=(d|0));return}function IK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;c=f[a+40>>2]|0;d=f[c>>2]|0;e=((f[a>>2]|0)>>>3&511)+1|0;g=Y(e,f[c+4>>2]|0)|0;if((d|0)<=0)return;c=(g|0)==(e|0);i=e<<1;j=e<<2;k=g-j|0;l=(i|0)>(k|0);m=e*3|0;o=f[a+16>>2]|0;p=f[f[a+44>>2]>>2]|0;a=f[b+16>>2]|0;q=f[f[b+44>>2]>>2]|0;b=(i|0)<(g|0);r=0;do{s=o+(Y(p,r)|0)|0;t=a+(Y(q,r)|0)|0;a:do if(c){u=0;do{n[t+(u<<2)>>2]=+(h[s+u>>0]|0);u=u+1|0}while((u|0)!=(e|0))}else{if(l){u=0;while(1){v=h[s+u>>0]|0;w=h[s+(u+e)>>0]|0;if(b){x=v;y=i;while(1){z=(h[s+(y+u)>>0]|0)+x|0;y=y+e|0;if((y|0)>=(g|0)){A=z;break}else x=z}}else A=v;n[t+(u<<2)>>2]=+(A+w|0);u=u+1|0;if((u|0)==(e|0))break a}}else B=0;do{u=h[s+(B+e)>>0]|0;x=h[s+B>>0]|0;y=i;do{z=y+B|0;x=(h[s+z>>0]|0)+x+(h[s+(z+i)>>0]|0)|0;u=(h[s+(z+e)>>0]|0)+u+(h[s+(z+m)>>0]|0)|0;y=y+j|0}while((y|0)<=(k|0));if((y|0)<(g|0)){w=x;v=y;while(1){z=(h[s+(v+B)>>0]|0)+w|0;v=v+e|0;if((v|0)>=(g|0)){C=z;break}else w=z}}else C=x;n[t+(B<<2)>>2]=+(C+u|0);B=B+1|0}while((B|0)!=(e|0))}while(0);r=r+1|0}while((r|0)!=(d|0));return}function JK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;c=f[a+40>>2]|0;d=f[c>>2]|0;e=((f[a>>2]|0)>>>3&511)+1|0;g=Y(e,f[c+4>>2]|0)|0;if((d|0)<=0)return;c=(g|0)==(e|0);i=e<<1;j=e<<2;k=g-j|0;l=(i|0)>(k|0);m=e*3|0;n=f[a+16>>2]|0;o=f[a+44>>2]|0;a=f[b+16>>2]|0;p=f[b+44>>2]|0;b=(i|0)<(g|0);q=0;do{r=n+(Y(f[o>>2]|0,q)|0)|0;s=a+(Y(f[p>>2]|0,q)|0)|0;a:do if(c){t=0;do{f[s+(t<<2)>>2]=h[r+t>>0];t=t+1|0}while((t|0)!=(e|0))}else{if(l){t=0;while(1){u=h[r+t>>0]|0;v=h[r+(t+e)>>0]|0;if(b){w=u;x=i;while(1){y=(h[r+(x+t)>>0]|0)+w|0;x=x+e|0;if((x|0)>=(g|0)){z=y;break}else w=y}}else z=u;f[s+(t<<2)>>2]=z+v;t=t+1|0;if((t|0)==(e|0))break a}}else A=0;do{t=h[r+(A+e)>>0]|0;w=h[r+A>>0]|0;x=i;do{y=x+A|0;w=(h[r+y>>0]|0)+w+(h[r+(y+i)>>0]|0)|0;t=(h[r+(y+e)>>0]|0)+t+(h[r+(y+m)>>0]|0)|0;x=x+j|0}while((x|0)<=(k|0));if((x|0)<(g|0)){v=w;u=x;while(1){y=(h[r+(u+A)>>0]|0)+v|0;u=u+e|0;if((u|0)>=(g|0)){B=y;break}else v=y}}else B=w;f[s+(A<<2)>>2]=B+t;A=A+1|0}while((A|0)!=(e|0))}while(0);q=q+1|0}while((q|0)!=(d|0));return}function KK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0.0,t=0.0,v=0,w=0,x=0,y=0,z=0.0,A=0.0;c=u;u=u+1072|0;d=c;e=f[a+40>>2]|0;g=f[e>>2]|0;h=Y(((f[a>>2]|0)>>>3&511)+1|0,f[e+4>>2]|0)|0;e=d+8|0;f[d>>2]=e;i=d+4|0;f[i>>2]=h;if(h>>>0>264){j=Dmc(h>>>0>1073741823?-1:h<<2)|0;f[d>>2]=j;k=j}else k=e;j=f[b+16>>2]|0;b=f[a+16>>2]|0;l=(f[a+48>>2]|0)>>>2;a=(h|0)>0;if(a){m=0;do{f[k+(m<<2)>>2]=f[b+(m<<2)>>2];m=m+1|0}while((m|0)!=(h|0))}m=g+-1|0;a:do if(m|0){g=h+-4|0;if((h|0)<4){o=b;p=m;while(1){o=o+(l<<2)|0;if(a){q=0;do{r=k+(q<<2)|0;s=+n[r>>2];t=+n[o+(q<<2)>>2];n[r>>2]=t<s?t:s;q=q+1|0}while((q|0)!=(h|0))}p=p+-1|0;if(!p)break a}}p=h&-4;o=(p|0)<(h|0);q=b;r=m;do{q=q+(l<<2)|0;v=0;do{w=k+(v<<2)|0;s=+n[w>>2];t=+n[q+(v<<2)>>2];x=v|1;y=k+(x<<2)|0;z=+n[y>>2];A=+n[q+(x<<2)>>2];n[w>>2]=t<s?t:s;n[y>>2]=A<z?A:z;y=v|2;w=k+(y<<2)|0;z=+n[w>>2];A=+n[q+(y<<2)>>2];y=v|3;x=k+(y<<2)|0;s=+n[x>>2];t=+n[q+(y<<2)>>2];n[w>>2]=A<z?A:z;n[x>>2]=t<s?t:s;v=v+4|0}while((v|0)<=(g|0));if(o){v=p;do{x=k+(v<<2)|0;s=+n[x>>2];t=+n[q+(v<<2)>>2];n[x>>2]=t<s?t:s;v=v+1|0}while((v|0)!=(h|0))}r=r+-1|0}while((r|0)!=0)}while(0);if(a){a=0;do{f[j+(a<<2)>>2]=f[k+(a<<2)>>2];a=a+1|0}while((a|0)!=(h|0))}if((k|0)==(e|0)){u=c;return}Fmc(k);f[d>>2]=e;f[i>>2]=264;u=c;return}function LK(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;c=u;u=u+1056|0;e=c;g=f[a+40>>2]|0;h=f[g>>2]|0;i=Y(((f[a>>2]|0)>>>3&511)+1|0,f[g+4>>2]|0)|0;g=e+8|0;f[e>>2]=g;j=e+4|0;f[j>>2]=i;if(i>>>0>520){k=Dmc(i>>>0>2147483647?-1:i<<1)|0;f[e>>2]=k;l=k}else l=g;k=f[b+16>>2]|0;b=f[a+16>>2]|0;m=(f[a+48>>2]|0)>>>1;a=(i|0)>0;if(a){n=0;do{d[l+(n<<1)>>1]=d[b+(n<<1)>>1]|0;n=n+1|0}while((n|0)!=(i|0))}n=h+-1|0;a:do if(n|0){h=i+-4|0;if((i|0)<4){o=b;p=n;while(1){o=o+(m<<1)|0;if(a){q=0;do{r=l+(q<<1)|0;s=d[r>>1]|0;t=d[o+(q<<1)>>1]|0;d[r>>1]=t<<16>>16<s<<16>>16?t:s;q=q+1|0}while((q|0)!=(i|0))}p=p+-1|0;if(!p)break a}}p=i&-4;o=(p|0)<(i|0);q=b;s=n;do{q=q+(m<<1)|0;t=0;do{r=l+(t<<1)|0;v=d[r>>1]|0;w=d[q+(t<<1)>>1]|0;x=t|1;y=l+(x<<1)|0;z=d[y>>1]|0;A=d[q+(x<<1)>>1]|0;d[r>>1]=w<<16>>16<v<<16>>16?w:v;d[y>>1]=A<<16>>16<z<<16>>16?A:z;z=t|2;A=l+(z<<1)|0;y=d[A>>1]|0;v=d[q+(z<<1)>>1]|0;z=t|3;w=l+(z<<1)|0;r=d[w>>1]|0;x=d[q+(z<<1)>>1]|0;d[A>>1]=v<<16>>16<y<<16>>16?v:y;d[w>>1]=x<<16>>16<r<<16>>16?x:r;t=t+4|0}while((t|0)<=(h|0));if(o){t=p;do{r=l+(t<<1)|0;x=d[r>>1]|0;w=d[q+(t<<1)>>1]|0;d[r>>1]=w<<16>>16<x<<16>>16?w:x;t=t+1|0}while((t|0)!=(i|0))}s=s+-1|0}while((s|0)!=0)}while(0);if(a){a=0;do{d[k+(a<<1)>>1]=d[l+(a<<1)>>1]|0;a=a+1|0}while((a|0)!=(i|0))}if((l|0)==(g|0)){u=c;return}Fmc(l);f[e>>2]=g;f[j>>2]=520;u=c;return}function MK(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;c=u;u=u+1056|0;e=c;g=f[a+40>>2]|0;h=f[g>>2]|0;i=Y(((f[a>>2]|0)>>>3&511)+1|0,f[g+4>>2]|0)|0;g=e+8|0;f[e>>2]=g;j=e+4|0;f[j>>2]=i;if(i>>>0>520){k=Dmc(i>>>0>2147483647?-1:i<<1)|0;f[e>>2]=k;l=k}else l=g;k=f[b+16>>2]|0;b=f[a+16>>2]|0;m=(f[a+48>>2]|0)>>>1;a=(i|0)>0;if(a){n=0;do{d[l+(n<<1)>>1]=d[b+(n<<1)>>1]|0;n=n+1|0}while((n|0)!=(i|0))}n=h+-1|0;a:do if(n|0){h=i+-4|0;if((i|0)<4){o=b;p=n;while(1){o=o+(m<<1)|0;if(a){q=0;do{r=l+(q<<1)|0;s=d[r>>1]|0;t=d[o+(q<<1)>>1]|0;d[r>>1]=(t&65535)<(s&65535)?t:s;q=q+1|0}while((q|0)!=(i|0))}p=p+-1|0;if(!p)break a}}p=i&-4;o=(p|0)<(i|0);q=b;s=n;do{q=q+(m<<1)|0;t=0;do{r=l+(t<<1)|0;v=d[r>>1]|0;w=d[q+(t<<1)>>1]|0;x=t|1;y=l+(x<<1)|0;z=d[y>>1]|0;A=d[q+(x<<1)>>1]|0;d[r>>1]=(w&65535)<(v&65535)?w:v;d[y>>1]=(A&65535)<(z&65535)?A:z;z=t|2;A=l+(z<<1)|0;y=d[A>>1]|0;v=d[q+(z<<1)>>1]|0;z=t|3;w=l+(z<<1)|0;r=d[w>>1]|0;x=d[q+(z<<1)>>1]|0;d[A>>1]=(v&65535)<(y&65535)?v:y;d[w>>1]=(x&65535)<(r&65535)?x:r;t=t+4|0}while((t|0)<=(h|0));if(o){t=p;do{r=l+(t<<1)|0;x=d[r>>1]|0;w=d[q+(t<<1)>>1]|0;d[r>>1]=(w&65535)<(x&65535)?w:x;t=t+1|0}while((t|0)!=(i|0))}s=s+-1|0}while((s|0)!=0)}while(0);if(a){a=0;do{d[k+(a<<1)>>1]=d[l+(a<<1)>>1]|0;a=a+1|0}while((a|0)!=(i|0))}if((l|0)==(g|0)){u=c;return}Fmc(l);f[e>>2]=g;f[j>>2]=520;u=c;return}function NK(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;d=u;u=u+1040|0;e=d;g=f[a+40>>2]|0;i=f[g>>2]|0;j=Y(((f[a>>2]|0)>>>3&511)+1|0,f[g+4>>2]|0)|0;g=e+8|0;f[e>>2]=g;k=e+4|0;f[k>>2]=j;if(j>>>0>1032){l=Dmc(j)|0;f[e>>2]=l;m=l}else m=g;l=f[c+16>>2]|0;c=f[a+16>>2]|0;n=f[a+48>>2]|0;a=(j|0)>0;if(a){o=0;do{b[m+o>>0]=b[c+o>>0]|0;o=o+1|0}while((o|0)!=(j|0))}o=i+-1|0;a:do if(o|0){i=j+-4|0;if((j|0)<4){p=c;q=o;while(1){p=p+n|0;if(a){r=0;do{s=m+r|0;t=h[s>>0]|0;b[s>>0]=t-(h[216138+((t|256)-(h[p+r>>0]|0))>>0]|0);r=r+1|0}while((r|0)!=(j|0))}q=q+-1|0;if(!q)break a}}q=j&-4;p=(q|0)<(j|0);r=c;t=o;do{r=r+n|0;s=0;do{v=m+s|0;w=h[v>>0]|0;x=s|1;y=m+x|0;z=h[y>>0]|0;A=z-(h[216138+((z|256)-(h[r+x>>0]|0))>>0]|0)&255;b[v>>0]=w-(h[216138+((w|256)-(h[r+s>>0]|0))>>0]|0);b[y>>0]=A;A=s|2;y=m+A|0;w=h[y>>0]|0;v=s|3;x=m+v|0;z=h[x>>0]|0;B=z-(h[216138+((z|256)-(h[r+v>>0]|0))>>0]|0)&255;b[y>>0]=w-(h[216138+((w|256)-(h[r+A>>0]|0))>>0]|0);b[x>>0]=B;s=s+4|0}while((s|0)<=(i|0));if(p){s=q;do{B=m+s|0;x=h[B>>0]|0;b[B>>0]=x-(h[216138+((x|256)-(h[r+s>>0]|0))>>0]|0);s=s+1|0}while((s|0)!=(j|0))}t=t+-1|0}while((t|0)!=0)}while(0);if(a){a=0;do{b[l+a>>0]=b[m+a>>0]|0;a=a+1|0}while((a|0)!=(j|0));C=f[e>>2]|0}else C=m;if((C|0)==(g|0)){u=d;return}if(C|0)Fmc(C);f[e>>2]=g;f[k>>2]=1032;u=d;return}function OK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0.0,t=0.0,v=0,w=0,x=0,y=0,z=0.0,A=0.0;c=u;u=u+1072|0;d=c;e=f[a+40>>2]|0;g=f[e>>2]|0;h=Y(((f[a>>2]|0)>>>3&511)+1|0,f[e+4>>2]|0)|0;e=d+8|0;f[d>>2]=e;i=d+4|0;f[i>>2]=h;if(h>>>0>264){j=Dmc(h>>>0>1073741823?-1:h<<2)|0;f[d>>2]=j;k=j}else k=e;j=f[b+16>>2]|0;b=f[a+16>>2]|0;l=(f[a+48>>2]|0)>>>2;a=(h|0)>0;if(a){m=0;do{f[k+(m<<2)>>2]=f[b+(m<<2)>>2];m=m+1|0}while((m|0)!=(h|0))}m=g+-1|0;a:do if(m|0){g=h+-4|0;if((h|0)<4){o=b;p=m;while(1){o=o+(l<<2)|0;if(a){q=0;do{r=k+(q<<2)|0;s=+n[r>>2];t=+n[o+(q<<2)>>2];n[r>>2]=s<t?t:s;q=q+1|0}while((q|0)!=(h|0))}p=p+-1|0;if(!p)break a}}p=h&-4;o=(p|0)<(h|0);q=b;r=m;do{q=q+(l<<2)|0;v=0;do{w=k+(v<<2)|0;s=+n[w>>2];t=+n[q+(v<<2)>>2];x=v|1;y=k+(x<<2)|0;z=+n[y>>2];A=+n[q+(x<<2)>>2];n[w>>2]=s<t?t:s;n[y>>2]=z<A?A:z;y=v|2;w=k+(y<<2)|0;z=+n[w>>2];A=+n[q+(y<<2)>>2];y=v|3;x=k+(y<<2)|0;s=+n[x>>2];t=+n[q+(y<<2)>>2];n[w>>2]=z<A?A:z;n[x>>2]=s<t?t:s;v=v+4|0}while((v|0)<=(g|0));if(o){v=p;do{x=k+(v<<2)|0;s=+n[x>>2];t=+n[q+(v<<2)>>2];n[x>>2]=s<t?t:s;v=v+1|0}while((v|0)!=(h|0))}r=r+-1|0}while((r|0)!=0)}while(0);if(a){a=0;do{f[j+(a<<2)>>2]=f[k+(a<<2)>>2];a=a+1|0}while((a|0)!=(h|0))}if((k|0)==(e|0)){u=c;return}Fmc(k);f[d>>2]=e;f[i>>2]=264;u=c;return}function PK(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;c=u;u=u+1056|0;e=c;g=f[a+40>>2]|0;h=f[g>>2]|0;i=Y(((f[a>>2]|0)>>>3&511)+1|0,f[g+4>>2]|0)|0;g=e+8|0;f[e>>2]=g;j=e+4|0;f[j>>2]=i;if(i>>>0>520){k=Dmc(i>>>0>2147483647?-1:i<<1)|0;f[e>>2]=k;l=k}else l=g;k=f[b+16>>2]|0;b=f[a+16>>2]|0;m=(f[a+48>>2]|0)>>>1;a=(i|0)>0;if(a){n=0;do{d[l+(n<<1)>>1]=d[b+(n<<1)>>1]|0;n=n+1|0}while((n|0)!=(i|0))}n=h+-1|0;a:do if(n|0){h=i+-4|0;if((i|0)<4){o=b;p=n;while(1){o=o+(m<<1)|0;if(a){q=0;do{r=l+(q<<1)|0;s=d[r>>1]|0;t=d[o+(q<<1)>>1]|0;d[r>>1]=s<<16>>16<t<<16>>16?t:s;q=q+1|0}while((q|0)!=(i|0))}p=p+-1|0;if(!p)break a}}p=i&-4;o=(p|0)<(i|0);q=b;s=n;do{q=q+(m<<1)|0;t=0;do{r=l+(t<<1)|0;v=d[r>>1]|0;w=d[q+(t<<1)>>1]|0;x=t|1;y=l+(x<<1)|0;z=d[y>>1]|0;A=d[q+(x<<1)>>1]|0;d[r>>1]=v<<16>>16<w<<16>>16?w:v;d[y>>1]=z<<16>>16<A<<16>>16?A:z;z=t|2;A=l+(z<<1)|0;y=d[A>>1]|0;v=d[q+(z<<1)>>1]|0;z=t|3;w=l+(z<<1)|0;r=d[w>>1]|0;x=d[q+(z<<1)>>1]|0;d[A>>1]=y<<16>>16<v<<16>>16?v:y;d[w>>1]=r<<16>>16<x<<16>>16?x:r;t=t+4|0}while((t|0)<=(h|0));if(o){t=p;do{r=l+(t<<1)|0;x=d[r>>1]|0;w=d[q+(t<<1)>>1]|0;d[r>>1]=x<<16>>16<w<<16>>16?w:x;t=t+1|0}while((t|0)!=(i|0))}s=s+-1|0}while((s|0)!=0)}while(0);if(a){a=0;do{d[k+(a<<1)>>1]=d[l+(a<<1)>>1]|0;a=a+1|0}while((a|0)!=(i|0))}if((l|0)==(g|0)){u=c;return}Fmc(l);f[e>>2]=g;f[j>>2]=520;u=c;return}function QK(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;c=u;u=u+1056|0;e=c;g=f[a+40>>2]|0;h=f[g>>2]|0;i=Y(((f[a>>2]|0)>>>3&511)+1|0,f[g+4>>2]|0)|0;g=e+8|0;f[e>>2]=g;j=e+4|0;f[j>>2]=i;if(i>>>0>520){k=Dmc(i>>>0>2147483647?-1:i<<1)|0;f[e>>2]=k;l=k}else l=g;k=f[b+16>>2]|0;b=f[a+16>>2]|0;m=(f[a+48>>2]|0)>>>1;a=(i|0)>0;if(a){n=0;do{d[l+(n<<1)>>1]=d[b+(n<<1)>>1]|0;n=n+1|0}while((n|0)!=(i|0))}n=h+-1|0;a:do if(n|0){h=i+-4|0;if((i|0)<4){o=b;p=n;while(1){o=o+(m<<1)|0;if(a){q=0;do{r=l+(q<<1)|0;s=d[r>>1]|0;t=d[o+(q<<1)>>1]|0;d[r>>1]=(s&65535)<(t&65535)?t:s;q=q+1|0}while((q|0)!=(i|0))}p=p+-1|0;if(!p)break a}}p=i&-4;o=(p|0)<(i|0);q=b;s=n;do{q=q+(m<<1)|0;t=0;do{r=l+(t<<1)|0;v=d[r>>1]|0;w=d[q+(t<<1)>>1]|0;x=t|1;y=l+(x<<1)|0;z=d[y>>1]|0;A=d[q+(x<<1)>>1]|0;d[r>>1]=(v&65535)<(w&65535)?w:v;d[y>>1]=(z&65535)<(A&65535)?A:z;z=t|2;A=l+(z<<1)|0;y=d[A>>1]|0;v=d[q+(z<<1)>>1]|0;z=t|3;w=l+(z<<1)|0;r=d[w>>1]|0;x=d[q+(z<<1)>>1]|0;d[A>>1]=(y&65535)<(v&65535)?v:y;d[w>>1]=(r&65535)<(x&65535)?x:r;t=t+4|0}while((t|0)<=(h|0));if(o){t=p;do{r=l+(t<<1)|0;x=d[r>>1]|0;w=d[q+(t<<1)>>1]|0;d[r>>1]=(x&65535)<(w&65535)?w:x;t=t+1|0}while((t|0)!=(i|0))}s=s+-1|0}while((s|0)!=0)}while(0);if(a){a=0;do{d[k+(a<<1)>>1]=d[l+(a<<1)>>1]|0;a=a+1|0}while((a|0)!=(i|0))}if((l|0)==(g|0)){u=c;return}Fmc(l);f[e>>2]=g;f[j>>2]=520;u=c;return}function RK(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;d=u;u=u+1040|0;e=d;g=f[a+40>>2]|0;i=f[g>>2]|0;j=Y(((f[a>>2]|0)>>>3&511)+1|0,f[g+4>>2]|0)|0;g=e+8|0;f[e>>2]=g;k=e+4|0;f[k>>2]=j;if(j>>>0>1032){l=Dmc(j)|0;f[e>>2]=l;m=l}else m=g;l=f[c+16>>2]|0;c=f[a+16>>2]|0;n=f[a+48>>2]|0;a=(j|0)>0;if(a){o=0;do{b[m+o>>0]=b[c+o>>0]|0;o=o+1|0}while((o|0)!=(j|0))}o=i+-1|0;a:do if(o|0){i=j+-4|0;if((j|0)<4){p=c;q=o;while(1){p=p+n|0;if(a){r=0;do{s=m+r|0;t=h[s>>0]|0;b[s>>0]=(h[216138+(256-t+(h[p+r>>0]|0))>>0]|0)+t;r=r+1|0}while((r|0)!=(j|0))}q=q+-1|0;if(!q)break a}}q=j&-4;p=(q|0)<(j|0);r=c;t=o;do{r=r+n|0;s=0;do{v=m+s|0;w=h[v>>0]|0;x=s|1;y=m+x|0;z=h[y>>0]|0;A=(h[216138+(256-z+(h[r+x>>0]|0))>>0]|0)+z&255;b[v>>0]=(h[216138+(256-w+(h[r+s>>0]|0))>>0]|0)+w;b[y>>0]=A;A=s|2;y=m+A|0;w=h[y>>0]|0;v=s|3;z=m+v|0;x=h[z>>0]|0;B=(h[216138+(256-x+(h[r+v>>0]|0))>>0]|0)+x&255;b[y>>0]=(h[216138+(256-w+(h[r+A>>0]|0))>>0]|0)+w;b[z>>0]=B;s=s+4|0}while((s|0)<=(i|0));if(p){s=q;do{B=m+s|0;z=h[B>>0]|0;b[B>>0]=(h[216138+(256-z+(h[r+s>>0]|0))>>0]|0)+z;s=s+1|0}while((s|0)!=(j|0))}t=t+-1|0}while((t|0)!=0)}while(0);if(a){a=0;do{b[l+a>>0]=b[m+a>>0]|0;a=a+1|0}while((a|0)!=(j|0));C=f[e>>2]|0}else C=m;if((C|0)==(g|0)){u=d;return}if(C|0)Fmc(C);f[e>>2]=g;f[k>>2]=1032;u=d;return}function SK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0.0,z=0;c=u;u=u+1104|0;d=c;e=f[a+40>>2]|0;g=f[e>>2]|0;h=Y(((f[a>>2]|0)>>>3&511)+1|0,f[e+4>>2]|0)|0;e=d+8|0;f[d>>2]=e;i=d+4|0;f[i>>2]=h;if(h>>>0>136){j=Dmc(h>>>0>536870911?-1:h<<3)|0;f[d>>2]=j;k=j}else k=e;j=f[b+16>>2]|0;b=f[a+16>>2]|0;l=(f[a+48>>2]|0)>>>2;a=(h|0)>0;if(a){m=0;do{p[k+(m<<3)>>3]=+n[b+(m<<2)>>2];m=m+1|0}while((m|0)!=(h|0))}m=g+-1|0;a:do if(m|0){g=h+-4|0;if((h|0)<4){o=b;q=m;while(1){o=o+(l<<2)|0;if(a){r=0;do{s=k+(r<<3)|0;p[s>>3]=+p[s>>3]+ +n[o+(r<<2)>>2];r=r+1|0}while((r|0)!=(h|0))}q=q+-1|0;if(!q)break a}}q=h&-4;o=(q|0)<(h|0);r=b;s=m;do{r=r+(l<<2)|0;t=0;do{v=k+(t<<3)|0;w=t|1;x=k+(w<<3)|0;y=+p[x>>3]+ +n[r+(w<<2)>>2];p[v>>3]=+p[v>>3]+ +n[r+(t<<2)>>2];p[x>>3]=y;x=t|2;v=k+(x<<3)|0;w=t|3;z=k+(w<<3)|0;y=+p[z>>3]+ +n[r+(w<<2)>>2];p[v>>3]=+p[v>>3]+ +n[r+(x<<2)>>2];p[z>>3]=y;t=t+4|0}while((t|0)<=(g|0));if(o){t=q;do{z=k+(t<<3)|0;p[z>>3]=+p[z>>3]+ +n[r+(t<<2)>>2];t=t+1|0}while((t|0)!=(h|0))}s=s+-1|0}while((s|0)!=0)}while(0);if(a){a=0;do{p[j+(a<<3)>>3]=+p[k+(a<<3)>>3];a=a+1|0}while((a|0)!=(h|0))}if((k|0)==(e|0)){u=c;return}Fmc(k);f[d>>2]=e;f[i>>2]=136;u=c;return}function TK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0;c=u;u=u+1072|0;d=c;e=f[a+40>>2]|0;g=f[e>>2]|0;h=Y(((f[a>>2]|0)>>>3&511)+1|0,f[e+4>>2]|0)|0;e=d+8|0;f[d>>2]=e;i=d+4|0;f[i>>2]=h;if(h>>>0>264){j=Dmc(h>>>0>1073741823?-1:h<<2)|0;f[d>>2]=j;k=j}else k=e;j=f[b+16>>2]|0;b=f[a+16>>2]|0;l=(f[a+48>>2]|0)>>>2;a=(h|0)>0;if(a){m=0;do{f[k+(m<<2)>>2]=f[b+(m<<2)>>2];m=m+1|0}while((m|0)!=(h|0))}m=g+-1|0;a:do if(m|0){g=h+-4|0;if((h|0)<4){o=b;p=m;while(1){o=o+(l<<2)|0;if(a){q=0;do{r=k+(q<<2)|0;n[r>>2]=+n[r>>2]+ +n[o+(q<<2)>>2];q=q+1|0}while((q|0)!=(h|0))}p=p+-1|0;if(!p)break a}}p=h&-4;o=(p|0)<(h|0);q=b;r=m;do{q=q+(l<<2)|0;s=0;do{t=k+(s<<2)|0;v=s|1;w=k+(v<<2)|0;x=+n[w>>2]+ +n[q+(v<<2)>>2];n[t>>2]=+n[t>>2]+ +n[q+(s<<2)>>2];n[w>>2]=x;w=s|2;t=k+(w<<2)|0;v=s|3;y=k+(v<<2)|0;x=+n[y>>2]+ +n[q+(v<<2)>>2];n[t>>2]=+n[t>>2]+ +n[q+(w<<2)>>2];n[y>>2]=x;s=s+4|0}while((s|0)<=(g|0));if(o){s=p;do{y=k+(s<<2)|0;n[y>>2]=+n[y>>2]+ +n[q+(s<<2)>>2];s=s+1|0}while((s|0)!=(h|0))}r=r+-1|0}while((r|0)!=0)}while(0);if(a){a=0;do{f[j+(a<<2)>>2]=f[k+(a<<2)>>2];a=a+1|0}while((a|0)!=(h|0))}if((k|0)==(e|0)){u=c;return}Fmc(k);f[d>>2]=e;f[i>>2]=264;u=c;return}function UK(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0.0,z=0;c=u;u=u+1104|0;e=c;g=f[a+40>>2]|0;h=f[g>>2]|0;i=Y(((f[a>>2]|0)>>>3&511)+1|0,f[g+4>>2]|0)|0;g=e+8|0;f[e>>2]=g;j=e+4|0;f[j>>2]=i;if(i>>>0>136){k=Dmc(i>>>0>536870911?-1:i<<3)|0;f[e>>2]=k;l=k}else l=g;k=f[b+16>>2]|0;b=f[a+16>>2]|0;m=(f[a+48>>2]|0)>>>1;a=(i|0)>0;if(a){n=0;do{p[l+(n<<3)>>3]=+(d[b+(n<<1)>>1]|0);n=n+1|0}while((n|0)!=(i|0))}n=h+-1|0;a:do if(n|0){h=i+-4|0;if((i|0)<4){o=b;q=n;while(1){o=o+(m<<1)|0;if(a){r=0;do{s=l+(r<<3)|0;p[s>>3]=+p[s>>3]+ +(d[o+(r<<1)>>1]|0);r=r+1|0}while((r|0)!=(i|0))}q=q+-1|0;if(!q)break a}}q=i&-4;o=(q|0)<(i|0);r=b;s=n;do{r=r+(m<<1)|0;t=0;do{v=l+(t<<3)|0;w=t|1;x=l+(w<<3)|0;y=+p[x>>3]+ +(d[r+(w<<1)>>1]|0);p[v>>3]=+p[v>>3]+ +(d[r+(t<<1)>>1]|0);p[x>>3]=y;x=t|2;v=l+(x<<3)|0;w=t|3;z=l+(w<<3)|0;y=+p[z>>3]+ +(d[r+(w<<1)>>1]|0);p[v>>3]=+p[v>>3]+ +(d[r+(x<<1)>>1]|0);p[z>>3]=y;t=t+4|0}while((t|0)<=(h|0));if(o){t=q;do{z=l+(t<<3)|0;p[z>>3]=+p[z>>3]+ +(d[r+(t<<1)>>1]|0);t=t+1|0}while((t|0)!=(i|0))}s=s+-1|0}while((s|0)!=0)}while(0);if(a){a=0;do{p[k+(a<<3)>>3]=+p[l+(a<<3)>>3];a=a+1|0}while((a|0)!=(i|0))}if((l|0)==(g|0)){u=c;return}Fmc(l);f[e>>2]=g;f[j>>2]=136;u=c;return}function VK(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0.0,z=0;c=u;u=u+1072|0;e=c;g=f[a+40>>2]|0;h=f[g>>2]|0;i=Y(((f[a>>2]|0)>>>3&511)+1|0,f[g+4>>2]|0)|0;g=e+8|0;f[e>>2]=g;j=e+4|0;f[j>>2]=i;if(i>>>0>264){k=Dmc(i>>>0>1073741823?-1:i<<2)|0;f[e>>2]=k;l=k}else l=g;k=f[b+16>>2]|0;b=f[a+16>>2]|0;m=(f[a+48>>2]|0)>>>1;a=(i|0)>0;if(a){o=0;do{n[l+(o<<2)>>2]=+(d[b+(o<<1)>>1]|0);o=o+1|0}while((o|0)!=(i|0))}o=h+-1|0;a:do if(o|0){h=i+-4|0;if((i|0)<4){p=b;q=o;while(1){p=p+(m<<1)|0;if(a){r=0;do{s=l+(r<<2)|0;n[s>>2]=+n[s>>2]+ +(d[p+(r<<1)>>1]|0);r=r+1|0}while((r|0)!=(i|0))}q=q+-1|0;if(!q)break a}}q=i&-4;p=(q|0)<(i|0);r=b;s=o;do{r=r+(m<<1)|0;t=0;do{v=l+(t<<2)|0;w=t|1;x=l+(w<<2)|0;y=+n[x>>2]+ +(d[r+(w<<1)>>1]|0);n[v>>2]=+n[v>>2]+ +(d[r+(t<<1)>>1]|0);n[x>>2]=y;x=t|2;v=l+(x<<2)|0;w=t|3;z=l+(w<<2)|0;y=+n[z>>2]+ +(d[r+(w<<1)>>1]|0);n[v>>2]=+n[v>>2]+ +(d[r+(x<<1)>>1]|0);n[z>>2]=y;t=t+4|0}while((t|0)<=(h|0));if(p){t=q;do{z=l+(t<<2)|0;n[z>>2]=+n[z>>2]+ +(d[r+(t<<1)>>1]|0);t=t+1|0}while((t|0)!=(i|0))}s=s+-1|0}while((s|0)!=0)}while(0);if(a){a=0;do{f[k+(a<<2)>>2]=f[l+(a<<2)>>2];a=a+1|0}while((a|0)!=(i|0))}if((l|0)==(g|0)){u=c;return}Fmc(l);f[e>>2]=g;f[j>>2]=264;u=c;return}function WK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0.0,z=0;c=u;u=u+1104|0;d=c;e=f[a+40>>2]|0;g=f[e>>2]|0;h=Y(((f[a>>2]|0)>>>3&511)+1|0,f[e+4>>2]|0)|0;e=d+8|0;f[d>>2]=e;i=d+4|0;f[i>>2]=h;if(h>>>0>136){k=Dmc(h>>>0>536870911?-1:h<<3)|0;f[d>>2]=k;l=k}else l=e;k=f[b+16>>2]|0;b=f[a+16>>2]|0;m=(f[a+48>>2]|0)>>>1;a=(h|0)>0;if(a){n=0;do{p[l+(n<<3)>>3]=+(j[b+(n<<1)>>1]|0);n=n+1|0}while((n|0)!=(h|0))}n=g+-1|0;a:do if(n|0){g=h+-4|0;if((h|0)<4){o=b;q=n;while(1){o=o+(m<<1)|0;if(a){r=0;do{s=l+(r<<3)|0;p[s>>3]=+p[s>>3]+ +(j[o+(r<<1)>>1]|0);r=r+1|0}while((r|0)!=(h|0))}q=q+-1|0;if(!q)break a}}q=h&-4;o=(q|0)<(h|0);r=b;s=n;do{r=r+(m<<1)|0;t=0;do{v=l+(t<<3)|0;w=t|1;x=l+(w<<3)|0;y=+p[x>>3]+ +(j[r+(w<<1)>>1]|0);p[v>>3]=+p[v>>3]+ +(j[r+(t<<1)>>1]|0);p[x>>3]=y;x=t|2;v=l+(x<<3)|0;w=t|3;z=l+(w<<3)|0;y=+p[z>>3]+ +(j[r+(w<<1)>>1]|0);p[v>>3]=+p[v>>3]+ +(j[r+(x<<1)>>1]|0);p[z>>3]=y;t=t+4|0}while((t|0)<=(g|0));if(o){t=q;do{z=l+(t<<3)|0;p[z>>3]=+p[z>>3]+ +(j[r+(t<<1)>>1]|0);t=t+1|0}while((t|0)!=(h|0))}s=s+-1|0}while((s|0)!=0)}while(0);if(a){a=0;do{p[k+(a<<3)>>3]=+p[l+(a<<3)>>3];a=a+1|0}while((a|0)!=(h|0))}if((l|0)==(e|0)){u=c;return}Fmc(l);f[d>>2]=e;f[i>>2]=136;u=c;return}function XK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0.0,z=0;c=u;u=u+1072|0;d=c;e=f[a+40>>2]|0;g=f[e>>2]|0;h=Y(((f[a>>2]|0)>>>3&511)+1|0,f[e+4>>2]|0)|0;e=d+8|0;f[d>>2]=e;i=d+4|0;f[i>>2]=h;if(h>>>0>264){k=Dmc(h>>>0>1073741823?-1:h<<2)|0;f[d>>2]=k;l=k}else l=e;k=f[b+16>>2]|0;b=f[a+16>>2]|0;m=(f[a+48>>2]|0)>>>1;a=(h|0)>0;if(a){o=0;do{n[l+(o<<2)>>2]=+(j[b+(o<<1)>>1]|0);o=o+1|0}while((o|0)!=(h|0))}o=g+-1|0;a:do if(o|0){g=h+-4|0;if((h|0)<4){p=b;q=o;while(1){p=p+(m<<1)|0;if(a){r=0;do{s=l+(r<<2)|0;n[s>>2]=+n[s>>2]+ +(j[p+(r<<1)>>1]|0);r=r+1|0}while((r|0)!=(h|0))}q=q+-1|0;if(!q)break a}}q=h&-4;p=(q|0)<(h|0);r=b;s=o;do{r=r+(m<<1)|0;t=0;do{v=l+(t<<2)|0;w=t|1;x=l+(w<<2)|0;y=+n[x>>2]+ +(j[r+(w<<1)>>1]|0);n[v>>2]=+n[v>>2]+ +(j[r+(t<<1)>>1]|0);n[x>>2]=y;x=t|2;v=l+(x<<2)|0;w=t|3;z=l+(w<<2)|0;y=+n[z>>2]+ +(j[r+(w<<1)>>1]|0);n[v>>2]=+n[v>>2]+ +(j[r+(x<<1)>>1]|0);n[z>>2]=y;t=t+4|0}while((t|0)<=(g|0));if(p){t=q;do{z=l+(t<<2)|0;n[z>>2]=+n[z>>2]+ +(j[r+(t<<1)>>1]|0);t=t+1|0}while((t|0)!=(h|0))}s=s+-1|0}while((s|0)!=0)}while(0);if(a){a=0;do{f[k+(a<<2)>>2]=f[l+(a<<2)>>2];a=a+1|0}while((a|0)!=(h|0))}if((l|0)==(e|0)){u=c;return}Fmc(l);f[d>>2]=e;f[i>>2]=264;u=c;return}function YK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;c=u;u=u+1072|0;d=c;e=f[a+40>>2]|0;g=f[e>>2]|0;i=Y(((f[a>>2]|0)>>>3&511)+1|0,f[e+4>>2]|0)|0;e=d+8|0;f[d>>2]=e;j=d+4|0;f[j>>2]=i;if(i>>>0>264){k=Dmc(i>>>0>1073741823?-1:i<<2)|0;f[d>>2]=k;l=k}else l=e;k=f[b+16>>2]|0;b=f[a+16>>2]|0;m=f[a+48>>2]|0;a=(i|0)>0;if(a){n=0;do{f[l+(n<<2)>>2]=h[b+n>>0];n=n+1|0}while((n|0)!=(i|0))}n=g+-1|0;a:do if(n|0){g=i+-4|0;if((i|0)<4){o=b;q=n;while(1){o=o+m|0;if(a){r=0;do{s=l+(r<<2)|0;f[s>>2]=(h[o+r>>0]|0)+(f[s>>2]|0);r=r+1|0}while((r|0)!=(i|0))}q=q+-1|0;if(!q)break a}}q=i&-4;o=(q|0)<(i|0);r=b;s=n;do{r=r+m|0;t=0;do{v=l+(t<<2)|0;w=t|1;x=l+(w<<2)|0;y=(h[r+w>>0]|0)+(f[x>>2]|0)|0;f[v>>2]=(h[r+t>>0]|0)+(f[v>>2]|0);f[x>>2]=y;y=t|2;x=l+(y<<2)|0;v=t|3;w=l+(v<<2)|0;z=(h[r+v>>0]|0)+(f[w>>2]|0)|0;f[x>>2]=(h[r+y>>0]|0)+(f[x>>2]|0);f[w>>2]=z;t=t+4|0}while((t|0)<=(g|0));if(o){t=q;do{z=l+(t<<2)|0;f[z>>2]=(h[r+t>>0]|0)+(f[z>>2]|0);t=t+1|0}while((t|0)!=(i|0))}s=s+-1|0}while((s|0)!=0)}while(0);if(a){a=0;do{p[k+(a<<3)>>3]=+(f[l+(a<<2)>>2]|0);a=a+1|0}while((a|0)!=(i|0))}if((l|0)==(e|0)){u=c;return}Fmc(l);f[d>>2]=e;f[j>>2]=264;u=c;return}function ZK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;c=u;u=u+1072|0;d=c;e=f[a+40>>2]|0;g=f[e>>2]|0;i=Y(((f[a>>2]|0)>>>3&511)+1|0,f[e+4>>2]|0)|0;e=d+8|0;f[d>>2]=e;j=d+4|0;f[j>>2]=i;if(i>>>0>264){k=Dmc(i>>>0>1073741823?-1:i<<2)|0;f[d>>2]=k;l=k}else l=e;k=f[b+16>>2]|0;b=f[a+16>>2]|0;m=f[a+48>>2]|0;a=(i|0)>0;if(a){o=0;do{f[l+(o<<2)>>2]=h[b+o>>0];o=o+1|0}while((o|0)!=(i|0))}o=g+-1|0;a:do if(o|0){g=i+-4|0;if((i|0)<4){p=b;q=o;while(1){p=p+m|0;if(a){r=0;do{s=l+(r<<2)|0;f[s>>2]=(h[p+r>>0]|0)+(f[s>>2]|0);r=r+1|0}while((r|0)!=(i|0))}q=q+-1|0;if(!q)break a}}q=i&-4;p=(q|0)<(i|0);r=b;s=o;do{r=r+m|0;t=0;do{v=l+(t<<2)|0;w=t|1;x=l+(w<<2)|0;y=(h[r+w>>0]|0)+(f[x>>2]|0)|0;f[v>>2]=(h[r+t>>0]|0)+(f[v>>2]|0);f[x>>2]=y;y=t|2;x=l+(y<<2)|0;v=t|3;w=l+(v<<2)|0;z=(h[r+v>>0]|0)+(f[w>>2]|0)|0;f[x>>2]=(h[r+y>>0]|0)+(f[x>>2]|0);f[w>>2]=z;t=t+4|0}while((t|0)<=(g|0));if(p){t=q;do{z=l+(t<<2)|0;f[z>>2]=(h[r+t>>0]|0)+(f[z>>2]|0);t=t+1|0}while((t|0)!=(i|0))}s=s+-1|0}while((s|0)!=0)}while(0);if(a){a=0;do{n[k+(a<<2)>>2]=+(f[l+(a<<2)>>2]|0);a=a+1|0}while((a|0)!=(i|0))}if((l|0)==(e|0)){u=c;return}Fmc(l);f[d>>2]=e;f[j>>2]=264;u=c;return}function _K(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;c=u;u=u+1072|0;d=c;e=f[a+40>>2]|0;g=f[e>>2]|0;i=Y(((f[a>>2]|0)>>>3&511)+1|0,f[e+4>>2]|0)|0;e=d+8|0;f[d>>2]=e;j=d+4|0;f[j>>2]=i;if(i>>>0>264){k=Dmc(i>>>0>1073741823?-1:i<<2)|0;f[d>>2]=k;l=k}else l=e;k=f[b+16>>2]|0;b=f[a+16>>2]|0;m=f[a+48>>2]|0;a=(i|0)>0;if(a){n=0;do{f[l+(n<<2)>>2]=h[b+n>>0];n=n+1|0}while((n|0)!=(i|0))}n=g+-1|0;a:do if(n|0){g=i+-4|0;if((i|0)<4){o=b;p=n;while(1){o=o+m|0;if(a){q=0;do{r=l+(q<<2)|0;f[r>>2]=(h[o+q>>0]|0)+(f[r>>2]|0);q=q+1|0}while((q|0)!=(i|0))}p=p+-1|0;if(!p)break a}}p=i&-4;o=(p|0)<(i|0);q=b;r=n;do{q=q+m|0;s=0;do{t=l+(s<<2)|0;v=s|1;w=l+(v<<2)|0;x=(h[q+v>>0]|0)+(f[w>>2]|0)|0;f[t>>2]=(h[q+s>>0]|0)+(f[t>>2]|0);f[w>>2]=x;x=s|2;w=l+(x<<2)|0;t=s|3;v=l+(t<<2)|0;y=(h[q+t>>0]|0)+(f[v>>2]|0)|0;f[w>>2]=(h[q+x>>0]|0)+(f[w>>2]|0);f[v>>2]=y;s=s+4|0}while((s|0)<=(g|0));if(o){s=p;do{y=l+(s<<2)|0;f[y>>2]=(h[q+s>>0]|0)+(f[y>>2]|0);s=s+1|0}while((s|0)!=(i|0))}r=r+-1|0}while((r|0)!=0)}while(0);if(a){a=0;do{f[k+(a<<2)>>2]=f[l+(a<<2)>>2];a=a+1|0}while((a|0)!=(i|0))}if((l|0)==(e|0)){u=c;return}Fmc(l);f[d>>2]=e;f[j>>2]=264;u=c;return}
function tba(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0,Zd=0,_d=0,$d=0,ae=0,be=0,ce=0,de=0,ee=0,fe=0,ge=0,he=0,ie=0,je=0,ke=0,le=0,me=0,ne=0,oe=0,pe=0,qe=0,re=0,se=0,te=0,ue=0,ve=0,we=0,xe=0,ye=0,ze=0,Ae=0,Be=0,Ce=0,De=0,Ee=0,Fe=0,Ge=0,He=0,Ie=0,Je=0,Ke=0,Le=0,Me=0,Ne=0,Oe=0,Pe=0,Qe=0,Re=0,Se=0,Te=0,Ue=0,Ve=0,We=0,Xe=0,Ye=0,Ze=0,_e=0,$e=0,af=0,bf=0,cf=0,df=0,ef=0,ff=0,gf=0,hf=0,jf=0,kf=0;e=u;u=u+128|0;g=e+120|0;i=e+100|0;j=e;k=f[a+16>>2]|0;l=f[c+16>>2]|0;m=f[a+48>>2]|0;n=f[c+48>>2]|0;o=f[c+40>>2]|0;c=f[o+4>>2]|0;p=f[o>>2]|0;o=(f[a>>2]|0)>>>3;a=o&511;q=a+1|0;b[g>>0]=0;switch(d|0){case 3:{d=(p|0)==1;if((c|0)==1|d){r=p+c|0;s=r+-1|0;t=d?q:m;v=d?0:m-q|0;w=d?q:n;if((r|0)<=1){u=e;return}d=0-t|0;x=r+-2|0;r=k;y=l;z=0;while(1){A=(z|0)>0?d:0;B=(z|0)<(x|0)?t:0;C=0;D=r;while(1){E=h[D+A>>0]|0;F=h[D>>0]|0;G=E-F+256|0;if(G>>>0<769)H=h[277436+G>>0]|0;else H=0;G=H+F|0;F=G-(h[D+B>>0]|0)+256|0;if(F>>>0<769)I=h[277436+F>>0]|0;else I=0;F=G-I|0;G=(E|256)-H-F|0;if(G>>>0<769)J=h[277436+G>>0]|0;else J=0;b[y+C>>0]=J+F;C=C+1|0;if((C|0)==(q|0))break;else D=D+1|0}z=z+1|0;if((z|0)>=(s|0))break;else{r=r+q+v|0;y=y+w|0}}u=e;return}w=Y(q,c)|0;if((p|0)<=0){u=e;return}y=p+-1|0;v=(o|-512)^511;r=v+-1+w|0;s=w-q|0;z=l;J=0;while(1){H=J+-1|0;I=k+(Y((H|0)>0?H:0,m)|0)|0;H=k+(Y(J,m)|0)|0;J=J+1|0;t=k+(Y((y|0)<(J|0)?y:J,m)|0)|0;x=b[g>>0]&1?q:w;d=0;a:while(1){if((d|0)<(x|0)){D=d;do{C=D-((D|0)>(a|0)?q:0)|0;B=((D|0)<(s|0)?q:0)+D|0;A=h[I+C>>0]|0;F=h[I+D>>0]|0;G=h[I+B>>0]|0;E=h[H+C>>0]|0;K=h[H+D>>0]|0;L=h[H+B>>0]|0;M=h[t+C>>0]|0;C=h[t+D>>0]|0;N=h[t+B>>0]|0;B=F-G+256|0;if(B>>>0<769)O=h[277436+B>>0]|0;else O=0;B=O+G|0;G=F-O|0;F=K-L+256|0;if(F>>>0<769)P=h[277436+F>>0]|0;else P=0;F=P+L|0;L=K-P|0;K=C-N+256|0;if(K>>>0<769)Q=h[277436+K>>0]|0;else Q=0;K=Q+N|0;N=C-Q|0;C=A-G+256|0;if(C>>>0<769)R=h[277436+C>>0]|0;else R=0;C=R+G|0;G=E-L+256|0;if(G>>>0<769)S=h[277436+G>>0]|0;else S=0;G=S+L|0;L=E-S|0;E=M-N+256|0;if(E>>>0<769)T=h[277436+E>>0]|0;else T=0;E=T+N|0;N=M-T|0;M=C-B+256|0;if(M>>>0<769)U=h[277436+M>>0]|0;else U=0;M=U+B|0;B=G-F+256|0;if(B>>>0<769)V=h[277436+B>>0]|0;else V=0;B=V+F|0;F=G-V|0;G=E-K+256|0;if(G>>>0<769)W=h[277436+G>>0]|0;else W=0;G=E-W|0;E=(A|256)-R-L|0;if(E>>>0<769)X=h[277436+E>>0]|0;else X=0;E=256-K+B-W|0;if(E>>>0<769)Z=h[277436+E>>0]|0;else Z=0;E=F-G+256|0;if(E>>>0<769)_=h[277436+E>>0]|0;else _=0;E=F-_|0;F=L+256-N+X|0;if(F>>>0<769)$=h[277436+F>>0]|0;else $=0;F=C+256-U-E|0;if(F>>>0<769)aa=h[277436+F>>0]|0;else aa=0;F=aa+E|0;E=M+256-B+Z|0;if(E>>>0<769)ba=h[277436+E>>0]|0;else ba=0;E=M-ba|0;M=256-G-_+F|0;if(M>>>0<769)ca=h[277436+M>>0]|0;else ca=0;M=F-ca|0;F=M-E+256|0;if(F>>>0<769)da=h[277436+F>>0]|0;else da=0;F=M-da|0;M=N+256+$-F|0;if(M>>>0<769)ea=h[277436+M>>0]|0;else ea=0;M=ea+F|0;F=256-E-da+M|0;if(F>>>0<769)fa=h[277436+F>>0]|0;else fa=0;b[z+D>>0]=M-fa;D=D+1|0}while((D|0)!=(x|0));ga=x}else ga=d;if((x|0)==(w|0))break;if((ga|0)>(r|0)){x=w;d=ga;continue}else ha=ga;while(1){D=I+ha|0;M=h[D+v>>0]|0;F=h[D>>0]|0;E=h[D+q>>0]|0;D=H+ha|0;N=h[D+v>>0]|0;G=h[D>>0]|0;B=h[D+q>>0]|0;D=t+ha|0;C=h[D+v>>0]|0;L=h[D>>0]|0;K=h[D+q>>0]|0;D=F-E+256|0;if(D>>>0<769)ia=h[277436+D>>0]|0;else ia=0;D=ia+E|0;E=F-ia|0;F=G-B+256|0;if(F>>>0<769)ja=h[277436+F>>0]|0;else ja=0;F=ja+B|0;B=G-ja|0;G=L-K+256|0;if(G>>>0<769)ka=h[277436+G>>0]|0;else ka=0;G=ka+K|0;K=L-ka|0;L=M-E+256|0;if(L>>>0<769)la=h[277436+L>>0]|0;else la=0;L=la+E|0;E=N-B+256|0;if(E>>>0<769)ma=h[277436+E>>0]|0;else ma=0;E=ma+B|0;B=N-ma|0;N=C-K+256|0;if(N>>>0<769)na=h[277436+N>>0]|0;else na=0;N=na+K|0;K=C-na|0;C=L-D+256|0;if(C>>>0<769)oa=h[277436+C>>0]|0;else oa=0;C=oa+D|0;D=E-F+256|0;if(D>>>0<769)pa=h[277436+D>>0]|0;else pa=0;D=pa+F|0;F=E-pa|0;E=N-G+256|0;if(E>>>0<769)qa=h[277436+E>>0]|0;else qa=0;E=N-qa|0;N=(M|256)-la-B|0;if(N>>>0<769)ra=h[277436+N>>0]|0;else ra=0;N=256-G+D-qa|0;if(N>>>0<769)sa=h[277436+N>>0]|0;else sa=0;N=F-E+256|0;if(N>>>0<769)ta=h[277436+N>>0]|0;else ta=0;N=F-ta|0;F=B+256-K+ra|0;if(F>>>0<769)ua=h[277436+F>>0]|0;else ua=0;F=L+256-oa-N|0;if(F>>>0<769)va=h[277436+F>>0]|0;else va=0;F=va+N|0;N=C+256-D+sa|0;if(N>>>0<769)wa=h[277436+N>>0]|0;else wa=0;N=C-wa|0;C=256-E-ta+F|0;if(C>>>0<769)xa=h[277436+C>>0]|0;else xa=0;C=F-xa|0;F=C-N+256|0;if(F>>>0<769)ya=h[277436+F>>0]|0;else ya=0;F=C-ya|0;C=K+256+ua-F|0;if(C>>>0<769)za=h[277436+C>>0]|0;else za=0;C=za+F|0;F=256-N-ya+C|0;if(F>>>0<769)Aa=h[277436+F>>0]|0;else Aa=0;b[z+ha>>0]=C-Aa;C=ha+1|0;if((ha|0)<(r|0))ha=C;else{x=w;d=C;continue a}}}if((J|0)==(p|0))break;else z=z+n|0}u=e;return}case 5:{z=(p|0)==1;if((c|0)==1|z){J=p+c|0;w=J+-1|0;ha=z?q:m;r=z?0:m-q|0;Aa=z?q:n;if((J|0)<=1){u=e;return}z=0-ha|0;ya=z<<1;za=J+-2|0;ua=J+-3|0;J=ha<<1;xa=k;ta=l;wa=0;while(1){sa=(wa|0)>0?z:0;va=(wa|0)>1?ya:sa;oa=(wa|0)<(za|0)?ha:0;ra=(wa|0)<(ua|0)?J:oa;qa=xa;la=0;while(1){pa=h[qa+va>>0]|0;na=h[qa+sa>>0]|0;ma=h[qa>>0]|0;ka=h[qa+oa>>0]|0;ja=h[qa+ra>>0]|0;ia=pa-na+256|0;if(ia>>>0<769)Ba=h[277436+ia>>0]|0;else Ba=0;ia=ka-ja+256|0;if(ia>>>0<769)Ca=h[277436+ia>>0]|0;else Ca=0;ia=Ca+ja|0;ja=ka-Ca|0;ka=ma-ja+256|0;if(ka>>>0<769)Da=h[277436+ka>>0]|0;else Da=0;ka=Da+ja|0;ja=ma-Da|0;ma=ka-ia+256|0;if(ma>>>0<769)Ea=h[277436+ma>>0]|0;else Ea=0;ma=(pa|256)-Ba-ja|0;if(ma>>>0<769)Fa=h[277436+ma>>0]|0;else Fa=0;ma=Fa+ja|0;ja=256-ia-Ea+ma|0;if(ja>>>0<769)Ga=h[277436+ja>>0]|0;else Ga=0;ja=ma-Ga|0;ma=Ba+na+256|0;na=ma-ka+Ea|0;if(na>>>0<769)Ha=h[277436+na>>0]|0;else Ha=0;na=ma-ja-Ha|0;if(na>>>0<769)Ia=h[277436+na>>0]|0;else Ia=0;b[ta+la>>0]=Ia+ja;la=la+1|0;if((la|0)==(q|0))break;else qa=qa+1|0}wa=wa+1|0;if((wa|0)>=(w|0))break;else{xa=xa+q+r|0;ta=ta+Aa|0}}u=e;return}Aa=Y(q,c)|0;if((p|0)<=0){u=e;return}c=i+4|0;ta=i+8|0;r=p+-1|0;xa=i+12|0;w=i+16|0;wa=q<<1;Ia=0-wa|0;Ha=Aa+-1-wa|0;Ea=(o|-512)^511;o=j+4|0;Ba=j+8|0;Ga=j+16|0;Fa=j+20|0;Da=j+12|0;Ca=j+28|0;J=j+32|0;ua=j+24|0;ha=j+40|0;za=j+44|0;ya=j+36|0;z=j+52|0;qa=j+56|0;la=j+48|0;ra=j+64|0;oa=j+68|0;sa=j+60|0;va=j+76|0;ja=j+80|0;na=j+72|0;ma=j+84|0;ka=j+88|0;ia=j+92|0;pa=j+96|0;v=Aa-q|0;ga=Aa-wa|0;fa=j+4|0;da=j+8|0;ea=j+16|0;$=j+20|0;ca=j+12|0;_=j+28|0;ba=j+32|0;Z=j+24|0;aa=j+40|0;U=j+44|0;X=j+36|0;W=j+52|0;R=j+56|0;V=j+48|0;T=j+64|0;S=j+68|0;Q=j+60|0;P=j+76|0;O=j+80|0;s=j+72|0;y=j+84|0;d=j+88|0;x=j+92|0;t=j+96|0;H=l;l=0;while(1){I=l+-2|0;C=k+(Y((I|0)>0?I:0,m)|0)|0;f[i>>2]=C;C=l+-1|0;I=k+(Y((C|0)>0?C:0,m)|0)|0;f[c>>2]=I;I=k+(Y(l,m)|0)|0;f[ta>>2]=I;I=l;l=l+1|0;C=k+(Y((r|0)<(l|0)?r:l,m)|0)|0;f[xa>>2]=C;C=I+2|0;I=k+(Y((r|0)<(C|0)?r:C,m)|0)|0;f[w>>2]=I;I=b[g>>0]&1?wa:Aa;C=0;b:while(1){if((C|0)<(I|0)){F=C;do{N=F-((F|0)>(a|0)?q:0)|0;K=(F|0)<(wa|0)?N:F-wa|0;E=((F|0)<(v|0)?q:0)+F|0;D=(F|0)<(ga|0)?F+wa|0:E;L=f[i>>2]|0;f[j>>2]=h[L+K>>0];B=h[L+N>>0]|0;f[fa>>2]=B;G=h[L+F>>0]|0;f[da>>2]=G;M=h[L+E>>0]|0;f[ca>>2]=M;A=h[L+D>>0]|0;f[ea>>2]=A;L=f[c>>2]|0;Ja=h[L+K>>0]|0;f[$>>2]=Ja;Ka=h[L+N>>0]|0;f[Z>>2]=Ka;La=h[L+F>>0]|0;f[_>>2]=La;Ma=h[L+E>>0]|0;f[ba>>2]=Ma;Na=h[L+D>>0]|0;f[X>>2]=Na;L=f[ta>>2]|0;Oa=h[L+K>>0]|0;f[aa>>2]=Oa;Pa=h[L+N>>0]|0;f[U>>2]=Pa;Qa=h[L+F>>0]|0;f[V>>2]=Qa;Ra=h[L+E>>0]|0;f[W>>2]=Ra;Sa=h[L+D>>0]|0;f[R>>2]=Sa;L=f[xa>>2]|0;Ta=h[L+K>>0]|0;f[Q>>2]=Ta;Ua=h[L+N>>0]|0;f[T>>2]=Ua;Va=h[L+F>>0]|0;f[S>>2]=Va;Wa=h[L+E>>0]|0;f[s>>2]=Wa;Xa=h[L+D>>0]|0;f[P>>2]=Xa;L=f[w>>2]|0;Ya=h[L+K>>0]|0;f[O>>2]=Ya;K=h[L+N>>0]|0;f[y>>2]=K;N=h[L+F>>0]|0;f[d>>2]=N;Za=h[L+E>>0]|0;f[x>>2]=Za;E=h[L+D>>0]|0;f[t>>2]=E;D=B-G+256|0;if(D>>>0<769)_a=h[277436+D>>0]|0;else _a=0;D=_a+G|0;f[da>>2]=D;G=(f[fa>>2]|0)-_a|0;f[fa>>2]=G;B=f[j>>2]|0;L=B-G+256|0;if(L>>>0<769)$a=h[277436+L>>0]|0;else $a=0;L=$a+G|0;f[fa>>2]=L;G=B-$a|0;f[j>>2]=G;B=L-D+256|0;if(B>>>0<769)ab=h[277436+B>>0]|0;else ab=0;B=ab+D|0;f[da>>2]=B;D=L-ab|0;f[fa>>2]=D;L=A-Ja+256|0;if(L>>>0<769)bb=h[277436+L>>0]|0;else bb=0;L=bb+Ja|0;f[$>>2]=L;Ja=A-bb|0;f[ea>>2]=Ja;A=M-Ja+256|0;if(A>>>0<769)cb=h[277436+A>>0]|0;else cb=0;A=cb+Ja|0;f[ea>>2]=A;Ja=M-cb|0;f[ca>>2]=Ja;M=A-L+256|0;if(M>>>0<769)db=h[277436+M>>0]|0;else db=0;M=db+L|0;f[$>>2]=M;L=A-db|0;f[ea>>2]=L;A=G-Ja+256|0;if(A>>>0<769)eb=h[277436+A>>0]|0;else eb=0;A=eb+Ja|0;f[ca>>2]=A;Ja=G-eb|0;f[j>>2]=Ja;G=B-M+256|0;if(G>>>0<769)fb=h[277436+G>>0]|0;else fb=0;G=fb+M|0;f[$>>2]=G;M=B-fb|0;f[da>>2]=M;B=M-A+256|0;if(B>>>0<769)gb=h[277436+B>>0]|0;else gb=0;B=gb+A|0;f[ca>>2]=B;A=M-gb|0;f[da>>2]=A;M=D-L+256|0;if(M>>>0<769)hb=h[277436+M>>0]|0;else hb=0;M=hb+L|0;f[ea>>2]=M;L=D-hb|0;f[fa>>2]=L;D=L-A+256|0;if(D>>>0<769)ib=h[277436+D>>0]|0;else ib=0;D=ib+A|0;f[da>>2]=D;A=L-ib|0;f[fa>>2]=A;L=B-M+256|0;if(L>>>0<769)jb=h[277436+L>>0]|0;else jb=0;L=jb+M|0;f[ea>>2]=L;M=B-jb|0;f[ca>>2]=M;B=La-Ma+256|0;if(B>>>0<769)kb=h[277436+B>>0]|0;else kb=0;B=kb+Ma|0;f[ba>>2]=B;Ma=La-kb|0;f[_>>2]=Ma;La=Ka-Ma+256|0;if(La>>>0<769)lb=h[277436+La>>0]|0;else lb=0;La=lb+Ma|0;f[_>>2]=La;Ma=Ka-lb|0;f[Z>>2]=Ma;Ka=La-B+256|0;if(Ka>>>0<769)mb=h[277436+Ka>>0]|0;else mb=0;Ka=mb+B|0;f[ba>>2]=Ka;B=La-mb|0;f[_>>2]=B;La=Oa-Pa+256|0;if(La>>>0<769)nb=h[277436+La>>0]|0;else nb=0;La=nb+Pa|0;f[U>>2]=La;Pa=Oa-nb|0;f[aa>>2]=Pa;Oa=Na-Pa+256|0;if(Oa>>>0<769)ob=h[277436+Oa>>0]|0;else ob=0;Oa=ob+Pa|0;f[aa>>2]=Oa;Pa=Na-ob|0;f[X>>2]=Pa;Na=Oa-La+256|0;if(Na>>>0<769)pb=h[277436+Na>>0]|0;else pb=0;Na=pb+La|0;f[U>>2]=Na;La=Oa-pb|0;f[aa>>2]=La;Oa=Ma-Pa+256|0;if(Oa>>>0<769)qb=h[277436+Oa>>0]|0;else qb=0;Oa=qb+Pa|0;f[X>>2]=Oa;Pa=Ma-qb|0;f[Z>>2]=Pa;Ma=Ka-Na+256|0;if(Ma>>>0<769)rb=h[277436+Ma>>0]|0;else rb=0;Ma=rb+Na|0;f[U>>2]=Ma;Na=Ka-rb|0;f[ba>>2]=Na;Ka=Na-Oa+256|0;if(Ka>>>0<769)sb=h[277436+Ka>>0]|0;else sb=0;Ka=sb+Oa|0;f[X>>2]=Ka;Oa=Na-sb|0;f[ba>>2]=Oa;Na=B-La+256|0;if(Na>>>0<769)tb=h[277436+Na>>0]|0;else tb=0;Na=tb+La|0;f[aa>>2]=Na;La=B-tb|0;f[_>>2]=La;B=La-Oa+256|0;if(B>>>0<769)ub=h[277436+B>>0]|0;else ub=0;B=ub+Oa|0;f[ba>>2]=B;Oa=La-ub|0;f[_>>2]=Oa;La=Ka-Na+256|0;if(La>>>0<769)vb=h[277436+La>>0]|0;else vb=0;La=vb+Na|0;f[aa>>2]=La;Na=Ka-vb|0;f[X>>2]=Na;Ka=Ja-Pa+256|0;if(Ka>>>0<769)wb=h[277436+Ka>>0]|0;else wb=0;Ka=wb+Pa|0;f[Z>>2]=Ka;Pa=Ja-wb|0;f[j>>2]=Pa;Ja=L-La+256|0;if(Ja>>>0<769)xb=h[277436+Ja>>0]|0;else xb=0;Ja=xb+La|0;f[aa>>2]=Ja;La=L-xb|0;f[ea>>2]=La;L=La-Ka+256|0;if(L>>>0<769)yb=h[277436+L>>0]|0;else yb=0;L=yb+Ka|0;f[Z>>2]=L;Ka=La-yb|0;f[ea>>2]=Ka;La=D-B+256|0;if(La>>>0<769)zb=h[277436+La>>0]|0;else zb=0;La=zb+B|0;f[ba>>2]=La;B=D-zb|0;f[da>>2]=B;D=B-Ka+256|0;if(D>>>0<769)Ab=h[277436+D>>0]|0;else Ab=0;D=Ab+Ka|0;f[ea>>2]=D;Ka=B-Ab|0;f[da>>2]=Ka;B=L-La+256|0;if(B>>>0<769)Bb=h[277436+B>>0]|0;else Bb=0;B=Bb+La|0;f[ba>>2]=B;La=L-Bb|0;f[Z>>2]=La;L=A-Oa+256|0;if(L>>>0<769)Cb=h[277436+L>>0]|0;else Cb=0;L=Cb+Oa|0;f[_>>2]=L;Oa=A-Cb|0;f[fa>>2]=Oa;A=G-Ma+256|0;if(A>>>0<769)Db=h[277436+A>>0]|0;else Db=0;A=Db+Ma|0;f[U>>2]=A;Ma=G-Db|0;f[$>>2]=Ma;G=Ma-L+256|0;if(G>>>0<769)Eb=h[277436+G>>0]|0;else Eb=0;G=Eb+L|0;f[_>>2]=G;L=Ma-Eb|0;f[$>>2]=L;Ma=M-Na+256|0;if(Ma>>>0<769)Fb=h[277436+Ma>>0]|0;else Fb=0;Ma=Fb+Na|0;f[X>>2]=Ma;Na=M-Fb|0;f[ca>>2]=Na;M=Na-L+256|0;if(M>>>0<769)Gb=h[277436+M>>0]|0;else Gb=0;M=Gb+L|0;f[$>>2]=M;L=Na-Gb|0;f[ca>>2]=L;Na=G-Ma+256|0;if(Na>>>0<769)Hb=h[277436+Na>>0]|0;else Hb=0;Na=Hb+Ma|0;f[X>>2]=Na;Ma=G-Hb|0;f[_>>2]=Ma;G=Oa-Ka+256|0;if(G>>>0<769)Ib=h[277436+G>>0]|0;else Ib=0;G=Ib+Ka|0;f[da>>2]=G;Ka=Oa-Ib|0;f[fa>>2]=Ka;Oa=L-D+256|0;if(Oa>>>0<769)Jb=h[277436+Oa>>0]|0;else Jb=0;Oa=Jb+D|0;f[ea>>2]=Oa;D=L-Jb|0;f[ca>>2]=D;L=M-La+256|0;if(L>>>0<769)Kb=h[277436+L>>0]|0;else Kb=0;L=Kb+La|0;f[Z>>2]=L;La=M-Kb|0;f[$>>2]=La;M=Ma-B+256|0;if(M>>>0<769)Lb=h[277436+M>>0]|0;else Lb=0;M=Lb+B|0;f[ba>>2]=M;B=Ma-Lb|0;f[_>>2]=B;Ma=Na-Ja+256|0;if(Ma>>>0<769)Mb=h[277436+Ma>>0]|0;else Mb=0;Ma=Mb+Ja|0;f[aa>>2]=Ma;Ja=Na-Mb|0;f[X>>2]=Ja;Na=Ra-Sa+256|0;if(Na>>>0<769)Nb=h[277436+Na>>0]|0;else Nb=0;Na=Nb+Sa|0;f[R>>2]=Na;Sa=Ra-Nb|0;f[W>>2]=Sa;Ra=Qa-Sa+256|0;if(Ra>>>0<769)Ob=h[277436+Ra>>0]|0;else Ob=0;Ra=Ob+Sa|0;f[W>>2]=Ra;Sa=Qa-Ob|0;f[V>>2]=Sa;Qa=Ra-Na+256|0;if(Qa>>>0<769)Pb=h[277436+Qa>>0]|0;else Pb=0;Qa=Pb+Na|0;f[R>>2]=Qa;Na=Ra-Pb|0;f[W>>2]=Na;Ra=Ua-Va+256|0;if(Ra>>>0<769)Qb=h[277436+Ra>>0]|0;else Qb=0;Ra=Qb+Va|0;f[S>>2]=Ra;Va=Ua-Qb|0;f[T>>2]=Va;Ua=Ta-Va+256|0;if(Ua>>>0<769)Rb=h[277436+Ua>>0]|0;else Rb=0;Ua=Rb+Va|0;f[T>>2]=Ua;Va=Ta-Rb|0;f[Q>>2]=Va;Ta=Ua-Ra+256|0;if(Ta>>>0<769)Sb=h[277436+Ta>>0]|0;else Sb=0;Ta=Sb+Ra|0;f[S>>2]=Ta;Ra=Ua-Sb|0;f[T>>2]=Ra;Ua=Sa-Va+256|0;if(Ua>>>0<769)Tb=h[277436+Ua>>0]|0;else Tb=0;Ua=Tb+Va|0;f[Q>>2]=Ua;Va=Sa-Tb|0;f[V>>2]=Va;Sa=Qa-Ta+256|0;if(Sa>>>0<769)Ub=h[277436+Sa>>0]|0;else Ub=0;Sa=Ub+Ta|0;f[S>>2]=Sa;Ta=Qa-Ub|0;f[R>>2]=Ta;Qa=Ta-Ua+256|0;if(Qa>>>0<769)Vb=h[277436+Qa>>0]|0;else Vb=0;Qa=Vb+Ua|0;f[Q>>2]=Qa;Ua=Ta-Vb|0;f[R>>2]=Ua;Ta=Na-Ra+256|0;if(Ta>>>0<769)Wb=h[277436+Ta>>0]|0;else Wb=0;Ta=Wb+Ra|0;f[T>>2]=Ta;Ra=Na-Wb|0;f[W>>2]=Ra;Na=Ra-Ua+256|0;if(Na>>>0<769)Xb=h[277436+Na>>0]|0;else Xb=0;Na=Xb+Ua|0;f[R>>2]=Na;Ua=Ra-Xb|0;f[W>>2]=Ua;Ra=Qa-Ta+256|0;if(Ra>>>0<769)Yb=h[277436+Ra>>0]|0;else Yb=0;Ra=Yb+Ta|0;f[T>>2]=Ra;Ta=Qa-Yb|0;f[Q>>2]=Ta;Qa=Xa-Ya+256|0;if(Qa>>>0<769)Zb=h[277436+Qa>>0]|0;else Zb=0;Qa=Zb+Ya|0;f[O>>2]=Qa;Ya=Xa-Zb|0;f[P>>2]=Ya;Xa=Wa-Ya+256|0;if(Xa>>>0<769)_b=h[277436+Xa>>0]|0;else _b=0;Xa=_b+Ya|0;f[P>>2]=Xa;Ya=Wa-_b|0;f[s>>2]=Ya;Wa=Xa-Qa+256|0;if(Wa>>>0<769)$b=h[277436+Wa>>0]|0;else $b=0;Wa=$b+Qa|0;f[O>>2]=Wa;Qa=Xa-$b|0;f[P>>2]=Qa;Xa=K-N+256|0;if(Xa>>>0<769)ac=h[277436+Xa>>0]|0;else ac=0;Xa=ac+N|0;f[d>>2]=Xa;N=K-ac|0;f[y>>2]=N;K=Za-E+256|0;if(K>>>0<769)bc=h[277436+K>>0]|0;else bc=0;K=bc+E|0;f[t>>2]=K;E=Za-bc|0;f[x>>2]=E;Za=N-E+256|0;if(Za>>>0<769)cc=h[277436+Za>>0]|0;else cc=0;Za=cc+E|0;f[x>>2]=Za;E=N-cc|0;f[y>>2]=E;N=Xa-K+256|0;if(N>>>0<769)dc=h[277436+N>>0]|0;else dc=0;N=dc+K|0;f[t>>2]=N;K=Xa-dc|0;f[d>>2]=K;Xa=K-Za+256|0;if(Xa>>>0<769)ec=h[277436+Xa>>0]|0;else ec=0;Xa=ec+Za|0;f[x>>2]=Xa;Za=K-ec|0;f[d>>2]=Za;K=Ya-E+256|0;if(K>>>0<769)fc=h[277436+K>>0]|0;else fc=0;K=fc+E|0;f[y>>2]=K;E=Ya-fc|0;f[s>>2]=E;Ya=Wa-Xa+256|0;if(Ya>>>0<769)gc=h[277436+Ya>>0]|0;else gc=0;Ya=gc+Xa|0;f[x>>2]=Ya;Xa=Wa-gc|0;f[O>>2]=Xa;Wa=Xa-K+256|0;if(Wa>>>0<769)hc=h[277436+Wa>>0]|0;else hc=0;Wa=hc+K|0;f[y>>2]=Wa;K=Xa-hc|0;f[O>>2]=K;Xa=Qa-Za+256|0;if(Xa>>>0<769)ic=h[277436+Xa>>0]|0;else ic=0;Xa=ic+Za|0;f[d>>2]=Xa;Za=Qa-ic|0;f[P>>2]=Za;Qa=Xa-N+256|0;if(Qa>>>0<769)jc=h[277436+Qa>>0]|0;else jc=0;Qa=jc+N|0;f[t>>2]=Qa;N=Xa-jc|0;f[d>>2]=N;Xa=Za-K+256|0;if(Xa>>>0<769)kc=h[277436+Xa>>0]|0;else kc=0;Xa=kc+K|0;f[O>>2]=Xa;K=Za-kc|0;f[P>>2]=K;Za=Wa-N+256|0;if(Za>>>0<769)lc=h[277436+Za>>0]|0;else lc=0;Za=lc+N|0;f[d>>2]=Za;N=Wa-lc|0;f[y>>2]=N;Wa=Ya-Qa+256|0;if(Wa>>>0<769)mc=h[277436+Wa>>0]|0;else mc=0;Wa=mc+Qa|0;f[t>>2]=Wa;Qa=Ya-mc|0;f[x>>2]=Qa;Ya=Va-E+256|0;if(Ya>>>0<769)nc=h[277436+Ya>>0]|0;else nc=0;Ya=nc+E|0;f[s>>2]=Ya;E=Va-nc|0;f[V>>2]=E;Va=Ra-Za+256|0;if(Va>>>0<769)oc=h[277436+Va>>0]|0;else oc=0;Va=oc+Za|0;f[d>>2]=Va;Za=Ra-oc|0;f[T>>2]=Za;Ra=Za-Ya+256|0;if(Ra>>>0<769)pc=h[277436+Ra>>0]|0;else pc=0;Ra=pc+Ya|0;f[s>>2]=Ra;Ya=Za-pc|0;f[T>>2]=Ya;Za=Na-Xa+256|0;if(Za>>>0<769)qc=h[277436+Za>>0]|0;else qc=0;Za=qc+Xa|0;f[O>>2]=Za;Xa=Na-qc|0;f[R>>2]=Xa;Na=Za-Wa+256|0;if(Na>>>0<769)rc=h[277436+Na>>0]|0;else rc=0;Na=rc+Wa|0;f[t>>2]=Na;Wa=Za-rc|0;f[O>>2]=Wa;Za=Xa-Ya+256|0;if(Za>>>0<769)sc=h[277436+Za>>0]|0;else sc=0;Za=sc+Ya|0;f[T>>2]=Za;Ya=Xa-sc|0;f[R>>2]=Ya;Xa=Ra-Wa+256|0;if(Xa>>>0<769)tc=h[277436+Xa>>0]|0;else tc=0;Xa=tc+Wa|0;f[O>>2]=Xa;Wa=Ra-tc|0;f[s>>2]=Wa;Ra=Va-Na+256|0;if(Ra>>>0<769)uc=h[277436+Ra>>0]|0;else uc=0;Ra=uc+Na|0;f[t>>2]=Ra;Na=Va-uc|0;f[d>>2]=Na;Va=Ua-K+256|0;if(Va>>>0<769)vc=h[277436+Va>>0]|0;else vc=0;Va=vc+K|0;f[P>>2]=Va;K=Ua-vc|0;f[W>>2]=K;Ua=Sa-Qa+256|0;if(Ua>>>0<769)wc=h[277436+Ua>>0]|0;else wc=0;Ua=wc+Qa|0;f[x>>2]=Ua;Qa=Sa-wc|0;f[S>>2]=Qa;Sa=Qa-Va+256|0;if(Sa>>>0<769)xc=h[277436+Sa>>0]|0;else xc=0;Sa=xc+Va|0;f[P>>2]=Sa;Va=Qa-xc|0;f[S>>2]=Va;Qa=Ta-N+256|0;if(Qa>>>0<769)yc=h[277436+Qa>>0]|0;else yc=0;Qa=yc+N|0;f[y>>2]=Qa;N=Ta-yc|0;f[Q>>2]=N;Ta=N-Va+256|0;if(Ta>>>0<769)zc=h[277436+Ta>>0]|0;else zc=0;Ta=zc+Va|0;f[S>>2]=Ta;Va=N-zc|0;f[Q>>2]=Va;N=Sa-Qa+256|0;if(N>>>0<769)Ac=h[277436+N>>0]|0;else Ac=0;N=Ac+Qa|0;f[y>>2]=N;Qa=Sa-Ac|0;f[P>>2]=Qa;Sa=K-Ya+256|0;if(Sa>>>0<769)Bc=h[277436+Sa>>0]|0;else Bc=0;Sa=Bc+Ya|0;f[R>>2]=Sa;Ya=K-Bc|0;f[W>>2]=Ya;K=Va-Za+256|0;if(K>>>0<769)Cc=h[277436+K>>0]|0;else Cc=0;K=Cc+Za|0;f[T>>2]=K;Za=Va-Cc|0;f[Q>>2]=Za;Va=Ta-Wa+256|0;if(Va>>>0<769)Dc=h[277436+Va>>0]|0;else Dc=0;Va=Dc+Wa|0;f[s>>2]=Va;Wa=Ta-Dc|0;f[S>>2]=Wa;Ta=Qa-Xa+256|0;if(Ta>>>0<769)Ec=h[277436+Ta>>0]|0;else Ec=0;Ta=Ec+Xa|0;f[O>>2]=Ta;Xa=Qa-Ec|0;f[P>>2]=Xa;Qa=N-Na+256|0;if(Qa>>>0<769)Fc=h[277436+Qa>>0]|0;else Fc=0;Qa=Fc+Na|0;f[d>>2]=Qa;Na=N-Fc|0;f[y>>2]=Na;N=Ua-Ra+256|0;if(N>>>0<769)Gc=h[277436+N>>0]|0;else Gc=0;N=Gc+Ra|0;f[t>>2]=N;Ra=Ua-Gc|0;f[x>>2]=Ra;Ua=Pa-E+256|0;if(Ua>>>0<769)Hc=h[277436+Ua>>0]|0;else Hc=0;Ua=Hc+E|0;f[V>>2]=Ua;f[j>>2]=Pa-Hc;Pa=M-Ta+256|0;if(Pa>>>0<769)Ic=h[277436+Pa>>0]|0;else Ic=0;f[O>>2]=Ic+Ta;Ta=M-Ic|0;f[ba>>2]=Ta;M=Ta-Ua+256|0;if(M>>>0<769)Jc=h[277436+M>>0]|0;else Jc=0;M=Jc+Ua|0;f[V>>2]=M;f[ba>>2]=Ta-Jc;Ta=Oa-K+256|0;if(Ta>>>0<769)Kc=h[277436+Ta>>0]|0;else Kc=0;Ta=Kc+K|0;f[T>>2]=Ta;f[ea>>2]=Oa-Kc;Oa=Ta-N+256|0;if(Oa>>>0<769)Lc=h[277436+Oa>>0]|0;else Lc=0;f[t>>2]=Lc+N;N=Ta-Lc|0;f[T>>2]=N;Ta=M-N+256|0;if(Ta>>>0<769)Mc=h[277436+Ta>>0]|0;else Mc=0;f[T>>2]=Mc+N;N=M-Mc|0;f[V>>2]=N;M=G-Sa+256|0;if(M>>>0<769)Nc=h[277436+M>>0]|0;else Nc=0;M=Nc+Sa|0;f[R>>2]=M;f[da>>2]=G-Nc;G=Ma-Qa+256|0;if(G>>>0<769)Oc=h[277436+G>>0]|0;else Oc=0;f[d>>2]=Oc+Qa;Qa=Ma-Oc|0;f[aa>>2]=Qa;Ma=Qa-M+256|0;if(Ma>>>0<769)Pc=h[277436+Ma>>0]|0;else Pc=0;f[R>>2]=Pc+M;M=Qa-Pc|0;f[aa>>2]=M;Qa=L-Va+256|0;if(Qa>>>0<769)Qc=h[277436+Qa>>0]|0;else Qc=0;f[s>>2]=Qc+Va;Va=L-Qc|0;f[Z>>2]=Va;L=Va-M+256|0;if(L>>>0<769)Rc=h[277436+L>>0]|0;else Rc=0;L=Rc+M|0;f[aa>>2]=L;f[Z>>2]=Va-Rc;Va=L-N+256|0;if(Va>>>0<769)Sc=h[277436+Va>>0]|0;else Sc=0;Va=Sc+N|0;f[V>>2]=Va;f[aa>>2]=L-Sc;L=Ka-Ya+256|0;if(L>>>0<769)Tc=h[277436+L>>0]|0;else Tc=0;L=Tc+Ya|0;f[W>>2]=L;f[fa>>2]=Ka-Tc;Ka=Ja-Na+256|0;if(Ka>>>0<769)Uc=h[277436+Ka>>0]|0;else Uc=0;f[y>>2]=Uc+Na;Na=Ja-Uc|0;f[X>>2]=Na;Ja=Na-L+256|0;if(Ja>>>0<769)Vc=h[277436+Ja>>0]|0;else Vc=0;Ja=Vc+L|0;f[W>>2]=Ja;f[X>>2]=Na-Vc;Na=La-Wa+256|0;if(Na>>>0<769)Wc=h[277436+Na>>0]|0;else Wc=0;Na=Wc+Wa|0;f[S>>2]=Na;f[$>>2]=La-Wc;La=Ja-Na+256|0;if(La>>>0<769)Xc=h[277436+La>>0]|0;else Xc=0;f[S>>2]=Xc+Na;Na=Ja-Xc|0;f[W>>2]=Na;Ja=D-Za+256|0;if(Ja>>>0<769)Yc=h[277436+Ja>>0]|0;else Yc=0;Ja=Yc+Za|0;f[Q>>2]=Ja;f[ca>>2]=D-Yc;D=A-Ra+256|0;if(D>>>0<769)Zc=h[277436+D>>0]|0;else Zc=0;f[x>>2]=Zc+Ra;Ra=A-Zc|0;f[U>>2]=Ra;A=Ra-Ja+256|0;if(A>>>0<769)_c=h[277436+A>>0]|0;else _c=0;f[Q>>2]=_c+Ja;Ja=Ra-_c|0;f[U>>2]=Ja;Ra=B-Xa+256|0;if(Ra>>>0<769)$c=h[277436+Ra>>0]|0;else $c=0;f[P>>2]=$c+Xa;Xa=B-$c|0;f[_>>2]=Xa;B=Xa-Ja+256|0;if(B>>>0<769)ad=h[277436+B>>0]|0;else ad=0;B=ad+Ja|0;f[U>>2]=B;f[_>>2]=Xa-ad;Xa=B-Na+256|0;if(Xa>>>0<769)bd=h[277436+Xa>>0]|0;else bd=0;f[W>>2]=bd+Na;Na=B-bd|0;f[U>>2]=Na;B=Na-Va+256|0;if(B>>>0<769)cd=h[277436+B>>0]|0;else cd=0;b[H+F>>0]=cd+Va;F=F+1|0}while((F|0)!=(I|0));dd=I}else dd=C;if((I|0)==(Aa|0))break;if((dd|0)>(Ha|0)){I=Aa;C=dd;continue}else ed=dd;while(1){F=(f[i>>2]|0)+ed|0;f[j>>2]=h[F+Ia>>0];Va=h[F+Ea>>0]|0;f[o>>2]=Va;B=h[F>>0]|0;f[Ba>>2]=B;Na=h[F+q>>0]|0;f[Da>>2]=Na;Xa=h[F+wa>>0]|0;f[Ga>>2]=Xa;F=(f[c>>2]|0)+ed|0;Ja=h[F+Ia>>0]|0;f[Fa>>2]=Ja;Ra=h[F+Ea>>0]|0;f[ua>>2]=Ra;A=h[F>>0]|0;f[Ca>>2]=A;D=h[F+q>>0]|0;f[J>>2]=D;Za=h[F+wa>>0]|0;f[ya>>2]=Za;F=(f[ta>>2]|0)+ed|0;La=h[F+Ia>>0]|0;f[ha>>2]=La;Wa=h[F+Ea>>0]|0;f[za>>2]=Wa;L=h[F>>0]|0;f[la>>2]=L;Ka=h[F+q>>0]|0;f[z>>2]=Ka;Ya=h[F+wa>>0]|0;f[qa>>2]=Ya;F=(f[xa>>2]|0)+ed|0;N=h[F+Ia>>0]|0;f[sa>>2]=N;M=h[F+Ea>>0]|0;f[ra>>2]=M;Qa=h[F>>0]|0;f[oa>>2]=Qa;Ma=h[F+q>>0]|0;f[na>>2]=Ma;G=h[F+wa>>0]|0;f[va>>2]=G;F=(f[w>>2]|0)+ed|0;Sa=h[F+Ia>>0]|0;f[ja>>2]=Sa;Ta=h[F+Ea>>0]|0;f[ma>>2]=Ta;Oa=h[F>>0]|0;f[ka>>2]=Oa;K=h[F+q>>0]|0;f[ia>>2]=K;Ua=h[F+wa>>0]|0;f[pa>>2]=Ua;F=Va-B+256|0;if(F>>>0<769)fd=h[277436+F>>0]|0;else fd=0;F=fd+B|0;f[Ba>>2]=F;B=(f[o>>2]|0)-fd|0;f[o>>2]=B;Va=f[j>>2]|0;Pa=Va-B+256|0;if(Pa>>>0<769)gd=h[277436+Pa>>0]|0;else gd=0;Pa=gd+B|0;f[o>>2]=Pa;B=Va-gd|0;f[j>>2]=B;Va=Pa-F+256|0;if(Va>>>0<769)hd=h[277436+Va>>0]|0;else hd=0;Va=hd+F|0;f[Ba>>2]=Va;F=Pa-hd|0;f[o>>2]=F;Pa=Xa-Ja+256|0;if(Pa>>>0<769)id=h[277436+Pa>>0]|0;else id=0;Pa=id+Ja|0;f[Fa>>2]=Pa;Ja=Xa-id|0;f[Ga>>2]=Ja;Xa=Na-Ja+256|0;if(Xa>>>0<769)jd=h[277436+Xa>>0]|0;else jd=0;Xa=jd+Ja|0;f[Ga>>2]=Xa;Ja=Na-jd|0;f[Da>>2]=Ja;Na=Xa-Pa+256|0;if(Na>>>0<769)kd=h[277436+Na>>0]|0;else kd=0;Na=kd+Pa|0;f[Fa>>2]=Na;Pa=Xa-kd|0;f[Ga>>2]=Pa;Xa=B-Ja+256|0;if(Xa>>>0<769)ld=h[277436+Xa>>0]|0;else ld=0;Xa=ld+Ja|0;f[Da>>2]=Xa;Ja=B-ld|0;f[j>>2]=Ja;B=Va-Na+256|0;if(B>>>0<769)md=h[277436+B>>0]|0;else md=0;B=md+Na|0;f[Fa>>2]=B;Na=Va-md|0;f[Ba>>2]=Na;Va=Na-Xa+256|0;if(Va>>>0<769)nd=h[277436+Va>>0]|0;else nd=0;Va=nd+Xa|0;f[Da>>2]=Va;Xa=Na-nd|0;f[Ba>>2]=Xa;Na=F-Pa+256|0;if(Na>>>0<769)od=h[277436+Na>>0]|0;else od=0;Na=od+Pa|0;f[Ga>>2]=Na;Pa=F-od|0;f[o>>2]=Pa;F=Pa-Xa+256|0;if(F>>>0<769)pd=h[277436+F>>0]|0;else pd=0;F=pd+Xa|0;f[Ba>>2]=F;Xa=Pa-pd|0;f[o>>2]=Xa;Pa=Va-Na+256|0;if(Pa>>>0<769)qd=h[277436+Pa>>0]|0;else qd=0;Pa=qd+Na|0;f[Ga>>2]=Pa;Na=Va-qd|0;f[Da>>2]=Na;Va=A-D+256|0;if(Va>>>0<769)rd=h[277436+Va>>0]|0;else rd=0;Va=rd+D|0;f[J>>2]=Va;D=A-rd|0;f[Ca>>2]=D;A=Ra-D+256|0;if(A>>>0<769)sd=h[277436+A>>0]|0;else sd=0;A=sd+D|0;f[Ca>>2]=A;D=Ra-sd|0;f[ua>>2]=D;Ra=A-Va+256|0;if(Ra>>>0<769)td=h[277436+Ra>>0]|0;else td=0;Ra=td+Va|0;f[J>>2]=Ra;Va=A-td|0;f[Ca>>2]=Va;A=La-Wa+256|0;if(A>>>0<769)ud=h[277436+A>>0]|0;else ud=0;A=ud+Wa|0;f[za>>2]=A;Wa=La-ud|0;f[ha>>2]=Wa;La=Za-Wa+256|0;if(La>>>0<769)vd=h[277436+La>>0]|0;else vd=0;La=vd+Wa|0;f[ha>>2]=La;Wa=Za-vd|0;f[ya>>2]=Wa;Za=La-A+256|0;if(Za>>>0<769)wd=h[277436+Za>>0]|0;else wd=0;Za=wd+A|0;f[za>>2]=Za;A=La-wd|0;f[ha>>2]=A;La=D-Wa+256|0;if(La>>>0<769)xd=h[277436+La>>0]|0;else xd=0;La=xd+Wa|0;f[ya>>2]=La;Wa=D-xd|0;f[ua>>2]=Wa;D=Ra-Za+256|0;if(D>>>0<769)yd=h[277436+D>>0]|0;else yd=0;D=yd+Za|0;f[za>>2]=D;Za=Ra-yd|0;f[J>>2]=Za;Ra=Za-La+256|0;if(Ra>>>0<769)zd=h[277436+Ra>>0]|0;else zd=0;Ra=zd+La|0;f[ya>>2]=Ra;La=Za-zd|0;f[J>>2]=La;Za=Va-A+256|0;if(Za>>>0<769)Ad=h[277436+Za>>0]|0;else Ad=0;Za=Ad+A|0;f[ha>>2]=Za;A=Va-Ad|0;f[Ca>>2]=A;Va=A-La+256|0;if(Va>>>0<769)Bd=h[277436+Va>>0]|0;else Bd=0;Va=Bd+La|0;f[J>>2]=Va;La=A-Bd|0;f[Ca>>2]=La;A=Ra-Za+256|0;if(A>>>0<769)Cd=h[277436+A>>0]|0;else Cd=0;A=Cd+Za|0;f[ha>>2]=A;Za=Ra-Cd|0;f[ya>>2]=Za;Ra=Ja-Wa+256|0;if(Ra>>>0<769)Dd=h[277436+Ra>>0]|0;else Dd=0;Ra=Dd+Wa|0;f[ua>>2]=Ra;Wa=Ja-Dd|0;f[j>>2]=Wa;Ja=Pa-A+256|0;if(Ja>>>0<769)Ed=h[277436+Ja>>0]|0;else Ed=0;Ja=Ed+A|0;f[ha>>2]=Ja;A=Pa-Ed|0;f[Ga>>2]=A;Pa=A-Ra+256|0;if(Pa>>>0<769)Fd=h[277436+Pa>>0]|0;else Fd=0;Pa=Fd+Ra|0;f[ua>>2]=Pa;Ra=A-Fd|0;f[Ga>>2]=Ra;A=F-Va+256|0;if(A>>>0<769)Gd=h[277436+A>>0]|0;else Gd=0;A=Gd+Va|0;f[J>>2]=A;Va=F-Gd|0;f[Ba>>2]=Va;F=Va-Ra+256|0;if(F>>>0<769)Hd=h[277436+F>>0]|0;else Hd=0;F=Hd+Ra|0;f[Ga>>2]=F;Ra=Va-Hd|0;f[Ba>>2]=Ra;Va=Pa-A+256|0;if(Va>>>0<769)Id=h[277436+Va>>0]|0;else Id=0;Va=Id+A|0;f[J>>2]=Va;A=Pa-Id|0;f[ua>>2]=A;Pa=Xa-La+256|0;if(Pa>>>0<769)Jd=h[277436+Pa>>0]|0;else Jd=0;Pa=Jd+La|0;f[Ca>>2]=Pa;La=Xa-Jd|0;f[o>>2]=La;Xa=B-D+256|0;if(Xa>>>0<769)Kd=h[277436+Xa>>0]|0;else Kd=0;Xa=Kd+D|0;f[za>>2]=Xa;D=B-Kd|0;f[Fa>>2]=D;B=D-Pa+256|0;if(B>>>0<769)Ld=h[277436+B>>0]|0;else Ld=0;B=Ld+Pa|0;f[Ca>>2]=B;Pa=D-Ld|0;f[Fa>>2]=Pa;D=Na-Za+256|0;if(D>>>0<769)Md=h[277436+D>>0]|0;else Md=0;D=Md+Za|0;f[ya>>2]=D;Za=Na-Md|0;f[Da>>2]=Za;Na=Za-Pa+256|0;if(Na>>>0<769)Nd=h[277436+Na>>0]|0;else Nd=0;Na=Nd+Pa|0;f[Fa>>2]=Na;Pa=Za-Nd|0;f[Da>>2]=Pa;Za=B-D+256|0;if(Za>>>0<769)Od=h[277436+Za>>0]|0;else Od=0;Za=Od+D|0;f[ya>>2]=Za;D=B-Od|0;f[Ca>>2]=D;B=La-Ra+256|0;if(B>>>0<769)Pd=h[277436+B>>0]|0;else Pd=0;B=Pd+Ra|0;f[Ba>>2]=B;Ra=La-Pd|0;f[o>>2]=Ra;La=Pa-F+256|0;if(La>>>0<769)Qd=h[277436+La>>0]|0;else Qd=0;La=Qd+F|0;f[Ga>>2]=La;F=Pa-Qd|0;f[Da>>2]=F;Pa=Na-A+256|0;if(Pa>>>0<769)Rd=h[277436+Pa>>0]|0;else Rd=0;Pa=Rd+A|0;f[ua>>2]=Pa;A=Na-Rd|0;f[Fa>>2]=A;Na=D-Va+256|0;if(Na>>>0<769)Sd=h[277436+Na>>0]|0;else Sd=0;Na=Sd+Va|0;f[J>>2]=Na;Va=D-Sd|0;f[Ca>>2]=Va;D=Za-Ja+256|0;if(D>>>0<769)Td=h[277436+D>>0]|0;else Td=0;D=Td+Ja|0;f[ha>>2]=D;Ja=Za-Td|0;f[ya>>2]=Ja;Za=Ka-Ya+256|0;if(Za>>>0<769)Ud=h[277436+Za>>0]|0;else Ud=0;Za=Ud+Ya|0;f[qa>>2]=Za;Ya=Ka-Ud|0;f[z>>2]=Ya;Ka=L-Ya+256|0;if(Ka>>>0<769)Vd=h[277436+Ka>>0]|0;else Vd=0;Ka=Vd+Ya|0;f[z>>2]=Ka;Ya=L-Vd|0;f[la>>2]=Ya;L=Ka-Za+256|0;if(L>>>0<769)Wd=h[277436+L>>0]|0;else Wd=0;L=Wd+Za|0;f[qa>>2]=L;Za=Ka-Wd|0;f[z>>2]=Za;Ka=M-Qa+256|0;if(Ka>>>0<769)Xd=h[277436+Ka>>0]|0;else Xd=0;Ka=Xd+Qa|0;f[oa>>2]=Ka;Qa=M-Xd|0;f[ra>>2]=Qa;M=N-Qa+256|0;if(M>>>0<769)Yd=h[277436+M>>0]|0;else Yd=0;M=Yd+Qa|0;f[ra>>2]=M;Qa=N-Yd|0;f[sa>>2]=Qa;N=M-Ka+256|0;if(N>>>0<769)Zd=h[277436+N>>0]|0;else Zd=0;N=Zd+Ka|0;f[oa>>2]=N;Ka=M-Zd|0;f[ra>>2]=Ka;M=Ya-Qa+256|0;if(M>>>0<769)_d=h[277436+M>>0]|0;else _d=0;M=_d+Qa|0;f[sa>>2]=M;Qa=Ya-_d|0;f[la>>2]=Qa;Ya=L-N+256|0;if(Ya>>>0<769)$d=h[277436+Ya>>0]|0;else $d=0;Ya=$d+N|0;f[oa>>2]=Ya;N=L-$d|0;f[qa>>2]=N;L=N-M+256|0;if(L>>>0<769)ae=h[277436+L>>0]|0;else ae=0;L=ae+M|0;f[sa>>2]=L;M=N-ae|0;f[qa>>2]=M;N=Za-Ka+256|0;if(N>>>0<769)be=h[277436+N>>0]|0;else be=0;N=be+Ka|0;f[ra>>2]=N;Ka=Za-be|0;f[z>>2]=Ka;Za=Ka-M+256|0;if(Za>>>0<769)ce=h[277436+Za>>0]|0;else ce=0;Za=ce+M|0;f[qa>>2]=Za;M=Ka-ce|0;f[z>>2]=M;Ka=L-N+256|0;if(Ka>>>0<769)de=h[277436+Ka>>0]|0;else de=0;Ka=de+N|0;f[ra>>2]=Ka;N=L-de|0;f[sa>>2]=N;L=G-Sa+256|0;if(L>>>0<769)ee=h[277436+L>>0]|0;else ee=0;L=ee+Sa|0;f[ja>>2]=L;Sa=G-ee|0;f[va>>2]=Sa;G=Ma-Sa+256|0;if(G>>>0<769)fe=h[277436+G>>0]|0;else fe=0;G=fe+Sa|0;f[va>>2]=G;Sa=Ma-fe|0;f[na>>2]=Sa;Ma=G-L+256|0;if(Ma>>>0<769)ge=h[277436+Ma>>0]|0;else ge=0;Ma=ge+L|0;f[ja>>2]=Ma;L=G-ge|0;f[va>>2]=L;G=Ta-Oa+256|0;if(G>>>0<769)he=h[277436+G>>0]|0;else he=0;G=he+Oa|0;f[ka>>2]=G;Oa=Ta-he|0;f[ma>>2]=Oa;Ta=K-Ua+256|0;if(Ta>>>0<769)ie=h[277436+Ta>>0]|0;else ie=0;Ta=ie+Ua|0;f[pa>>2]=Ta;Ua=K-ie|0;f[ia>>2]=Ua;K=Oa-Ua+256|0;if(K>>>0<769)je=h[277436+K>>0]|0;else je=0;K=je+Ua|0;f[ia>>2]=K;Ua=Oa-je|0;f[ma>>2]=Ua;Oa=G-Ta+256|0;if(Oa>>>0<769)ke=h[277436+Oa>>0]|0;else ke=0;Oa=ke+Ta|0;f[pa>>2]=Oa;Ta=G-ke|0;f[ka>>2]=Ta;G=Ta-K+256|0;if(G>>>0<769)le=h[277436+G>>0]|0;else le=0;G=le+K|0;f[ia>>2]=G;K=Ta-le|0;f[ka>>2]=K;Ta=Sa-Ua+256|0;if(Ta>>>0<769)me=h[277436+Ta>>0]|0;else me=0;Ta=me+Ua|0;f[ma>>2]=Ta;Ua=Sa-me|0;f[na>>2]=Ua;Sa=Ma-G+256|0;if(Sa>>>0<769)ne=h[277436+Sa>>0]|0;else ne=0;Sa=ne+G|0;f[ia>>2]=Sa;G=Ma-ne|0;f[ja>>2]=G;Ma=G-Ta+256|0;if(Ma>>>0<769)oe=h[277436+Ma>>0]|0;else oe=0;Ma=oe+Ta|0;f[ma>>2]=Ma;Ta=G-oe|0;f[ja>>2]=Ta;G=L-K+256|0;if(G>>>0<769)pe=h[277436+G>>0]|0;else pe=0;G=pe+K|0;f[ka>>2]=G;K=L-pe|0;f[va>>2]=K;L=G-Oa+256|0;if(L>>>0<769)qe=h[277436+L>>0]|0;else qe=0;L=qe+Oa|0;f[pa>>2]=L;Oa=G-qe|0;f[ka>>2]=Oa;G=K-Ta+256|0;if(G>>>0<769)re=h[277436+G>>0]|0;else re=0;G=re+Ta|0;f[ja>>2]=G;Ta=K-re|0;f[va>>2]=Ta;K=Ma-Oa+256|0;if(K>>>0<769)se=h[277436+K>>0]|0;else se=0;K=se+Oa|0;f[ka>>2]=K;Oa=Ma-se|0;f[ma>>2]=Oa;Ma=Sa-L+256|0;if(Ma>>>0<769)te=h[277436+Ma>>0]|0;else te=0;Ma=te+L|0;f[pa>>2]=Ma;L=Sa-te|0;f[ia>>2]=L;Sa=Qa-Ua+256|0;if(Sa>>>0<769)ue=h[277436+Sa>>0]|0;else ue=0;Sa=ue+Ua|0;f[na>>2]=Sa;Ua=Qa-ue|0;f[la>>2]=Ua;Qa=Ka-K+256|0;if(Qa>>>0<769)ve=h[277436+Qa>>0]|0;else ve=0;Qa=ve+K|0;f[ka>>2]=Qa;K=Ka-ve|0;f[ra>>2]=K;Ka=K-Sa+256|0;if(Ka>>>0<769)we=h[277436+Ka>>0]|0;else we=0;Ka=we+Sa|0;f[na>>2]=Ka;Sa=K-we|0;f[ra>>2]=Sa;K=Za-G+256|0;if(K>>>0<769)xe=h[277436+K>>0]|0;else xe=0;K=xe+G|0;f[ja>>2]=K;G=Za-xe|0;f[qa>>2]=G;Za=K-Ma+256|0;if(Za>>>0<769)ye=h[277436+Za>>0]|0;else ye=0;Za=ye+Ma|0;f[pa>>2]=Za;Ma=K-ye|0;f[ja>>2]=Ma;K=G-Sa+256|0;if(K>>>0<769)ze=h[277436+K>>0]|0;else ze=0;K=ze+Sa|0;f[ra>>2]=K;Sa=G-ze|0;f[qa>>2]=Sa;G=Ka-Ma+256|0;if(G>>>0<769)Ae=h[277436+G>>0]|0;else Ae=0;G=Ae+Ma|0;f[ja>>2]=G;Ma=Ka-Ae|0;f[na>>2]=Ma;Ka=Qa-Za+256|0;if(Ka>>>0<769)Be=h[277436+Ka>>0]|0;else Be=0;Ka=Be+Za|0;f[pa>>2]=Ka;Za=Qa-Be|0;f[ka>>2]=Za;Qa=M-Ta+256|0;if(Qa>>>0<769)Ce=h[277436+Qa>>0]|0;else Ce=0;Qa=Ce+Ta|0;f[va>>2]=Qa;Ta=M-Ce|0;f[z>>2]=Ta;M=Ya-L+256|0;if(M>>>0<769)De=h[277436+M>>0]|0;else De=0;M=De+L|0;f[ia>>2]=M;L=Ya-De|0;f[oa>>2]=L;Ya=L-Qa+256|0;if(Ya>>>0<769)Ee=h[277436+Ya>>0]|0;else Ee=0;Ya=Ee+Qa|0;f[va>>2]=Ya;Qa=L-Ee|0;f[oa>>2]=Qa;L=N-Oa+256|0;if(L>>>0<769)Fe=h[277436+L>>0]|0;else Fe=0;L=Fe+Oa|0;f[ma>>2]=L;Oa=N-Fe|0;f[sa>>2]=Oa;N=Oa-Qa+256|0;if(N>>>0<769)Ge=h[277436+N>>0]|0;else Ge=0;N=Ge+Qa|0;f[oa>>2]=N;Qa=Oa-Ge|0;f[sa>>2]=Qa;Oa=Ya-L+256|0;if(Oa>>>0<769)He=h[277436+Oa>>0]|0;else He=0;Oa=He+L|0;f[ma>>2]=Oa;L=Ya-He|0;f[va>>2]=L;Ya=Ta-Sa+256|0;if(Ya>>>0<769)Ie=h[277436+Ya>>0]|0;else Ie=0;Ya=Ie+Sa|0;f[qa>>2]=Ya;Sa=Ta-Ie|0;f[z>>2]=Sa;Ta=Qa-K+256|0;if(Ta>>>0<769)Je=h[277436+Ta>>0]|0;else Je=0;Ta=Je+K|0;f[ra>>2]=Ta;K=Qa-Je|0;f[sa>>2]=K;Qa=N-Ma+256|0;if(Qa>>>0<769)Ke=h[277436+Qa>>0]|0;else Ke=0;Qa=Ke+Ma|0;f[na>>2]=Qa;Ma=N-Ke|0;f[oa>>2]=Ma;N=L-G+256|0;if(N>>>0<769)Le=h[277436+N>>0]|0;else Le=0;N=Le+G|0;f[ja>>2]=N;G=L-Le|0;f[va>>2]=G;L=Oa-Za+256|0;if(L>>>0<769)Me=h[277436+L>>0]|0;else Me=0;L=Me+Za|0;f[ka>>2]=L;Za=Oa-Me|0;f[ma>>2]=Za;Oa=M-Ka+256|0;if(Oa>>>0<769)Ne=h[277436+Oa>>0]|0;else Ne=0;Oa=Ne+Ka|0;f[pa>>2]=Oa;Ka=M-Ne|0;f[ia>>2]=Ka;M=Wa-Ua+256|0;if(M>>>0<769)Oe=h[277436+M>>0]|0;else Oe=0;M=Oe+Ua|0;f[la>>2]=M;f[j>>2]=Wa-Oe;Wa=Na-N+256|0;if(Wa>>>0<769)Pe=h[277436+Wa>>0]|0;else Pe=0;f[ja>>2]=Pe+N;N=Na-Pe|0;f[J>>2]=N;Na=N-M+256|0;if(Na>>>0<769)Qe=h[277436+Na>>0]|0;else Qe=0;Na=Qe+M|0;f[la>>2]=Na;f[J>>2]=N-Qe;N=La-Ta+256|0;if(N>>>0<769)Re=h[277436+N>>0]|0;else Re=0;N=Re+Ta|0;f[ra>>2]=N;f[Ga>>2]=La-Re;La=N-Oa+256|0;if(La>>>0<769)Se=h[277436+La>>0]|0;else Se=0;f[pa>>2]=Se+Oa;Oa=N-Se|0;f[ra>>2]=Oa;N=Na-Oa+256|0;if(N>>>0<769)Te=h[277436+N>>0]|0;else Te=0;f[ra>>2]=Te+Oa;Oa=Na-Te|0;f[la>>2]=Oa;Na=B-Ya+256|0;if(Na>>>0<769)Ue=h[277436+Na>>0]|0;else Ue=0;Na=Ue+Ya|0;f[qa>>2]=Na;f[Ba>>2]=B-Ue;B=D-L+256|0;if(B>>>0<769)Ve=h[277436+B>>0]|0;else Ve=0;f[ka>>2]=Ve+L;L=D-Ve|0;f[ha>>2]=L;D=L-Na+256|0;if(D>>>0<769)We=h[277436+D>>0]|0;else We=0;f[qa>>2]=We+Na;Na=L-We|0;f[ha>>2]=Na;L=Pa-Qa+256|0;if(L>>>0<769)Xe=h[277436+L>>0]|0;else Xe=0;f[na>>2]=Xe+Qa;Qa=Pa-Xe|0;f[ua>>2]=Qa;Pa=Qa-Na+256|0;if(Pa>>>0<769)Ye=h[277436+Pa>>0]|0;else Ye=0;Pa=Ye+Na|0;f[ha>>2]=Pa;f[ua>>2]=Qa-Ye;Qa=Pa-Oa+256|0;if(Qa>>>0<769)Ze=h[277436+Qa>>0]|0;else Ze=0;Qa=Ze+Oa|0;f[la>>2]=Qa;f[ha>>2]=Pa-Ze;Pa=Ra-Sa+256|0;if(Pa>>>0<769)_e=h[277436+Pa>>0]|0;else _e=0;Pa=_e+Sa|0;f[z>>2]=Pa;f[o>>2]=Ra-_e;Ra=Ja-Za+256|0;if(Ra>>>0<769)$e=h[277436+Ra>>0]|0;else $e=0;f[ma>>2]=$e+Za;Za=Ja-$e|0;f[ya>>2]=Za;Ja=Za-Pa+256|0;if(Ja>>>0<769)af=h[277436+Ja>>0]|0;else af=0;Ja=af+Pa|0;f[z>>2]=Ja;f[ya>>2]=Za-af;Za=A-Ma+256|0;if(Za>>>0<769)bf=h[277436+Za>>0]|0;else bf=0;Za=bf+Ma|0;f[oa>>2]=Za;f[Fa>>2]=A-bf;A=Ja-Za+256|0;if(A>>>0<769)cf=h[277436+A>>0]|0;else cf=0;f[oa>>2]=cf+Za;Za=Ja-cf|0;f[z>>2]=Za;Ja=F-K+256|0;if(Ja>>>0<769)df=h[277436+Ja>>0]|0;else df=0;Ja=df+K|0;f[sa>>2]=Ja;f[Da>>2]=F-df;F=Xa-Ka+256|0;if(F>>>0<769)ef=h[277436+F>>0]|0;else ef=0;f[ia>>2]=ef+Ka;Ka=Xa-ef|0;f[za>>2]=Ka;Xa=Ka-Ja+256|0;if(Xa>>>0<769)ff=h[277436+Xa>>0]|0;else ff=0;f[sa>>2]=ff+Ja;Ja=Ka-ff|0;f[za>>2]=Ja;Ka=Va-G+256|0;if(Ka>>>0<769)gf=h[277436+Ka>>0]|0;else gf=0;f[va>>2]=gf+G;G=Va-gf|0;f[Ca>>2]=G;Va=G-Ja+256|0;if(Va>>>0<769)hf=h[277436+Va>>0]|0;else hf=0;Va=hf+Ja|0;f[za>>2]=Va;f[Ca>>2]=G-hf;G=Va-Za+256|0;if(G>>>0<769)jf=h[277436+G>>0]|0;else jf=0;f[z>>2]=jf+Za;Za=Va-jf|0;f[za>>2]=Za;Va=Za-Qa+256|0;if(Va>>>0<769)kf=h[277436+Va>>0]|0;else kf=0;b[H+ed>>0]=kf+Qa;Qa=ed+1|0;if((ed|0)<(Ha|0))ed=Qa;else{I=Aa;C=Qa;continue b}}}if((l|0)==(p|0))break;else H=H+n|0}u=e;return}default:{u=e;return}}}function uba(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=+g;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0.0,H=0.0,I=0.0,J=0,K=0,N=0,O=0,P=0,Q=0,R=0,S=0.0,T=0,U=0,W=0,X=0.0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0.0,ea=0.0,fa=0,ga=0,ha=0;i=u;u=u+384|0;j=i+104|0;k=i+88|0;l=i+328|0;m=i+32|0;o=i+280|0;q=i;r=i+272|0;s=i+320|0;t=i+216|0;v=i+160|0;zT(r,56160);nD(s,a,-1);HD(c,s,oD(a,-1)|0,-1,0,0);do if((pD(a)|0)==65536){s=f[a+4>>2]|0;f[t>>2]=f[s>>2];w=t+4|0;x=s+4|0;f[w>>2]=f[x>>2];y=t+8|0;f[y>>2]=f[s+8>>2];f[t+12>>2]=f[s+12>>2];f[t+16>>2]=f[s+16>>2];f[t+20>>2]=f[s+20>>2];f[t+24>>2]=f[s+24>>2];f[t+28>>2]=f[s+28>>2];f[t+32>>2]=f[s+32>>2];z=f[s+36>>2]|0;f[t+36>>2]=z;f[t+40>>2]=y;y=t+48|0;A=t+44|0;f[A>>2]=y;f[y>>2]=0;f[t+52>>2]=0;if(z|0){y=z+12|0;f[y>>2]=(f[y>>2]|0)+1}if((f[x>>2]|0)<3){x=f[s+44>>2]|0;y=f[A>>2]|0;f[y>>2]=f[x>>2];f[y+4>>2]=f[x+4>>2];break}else{f[w>>2]=0;kP(t,s);break}}else lD(t,a,-1);while(0);do if((pD(c)|0)==65536){a=f[c+4>>2]|0;f[v>>2]=f[a>>2];s=v+4|0;w=a+4|0;f[s>>2]=f[w>>2];x=v+8|0;f[x>>2]=f[a+8>>2];f[v+12>>2]=f[a+12>>2];f[v+16>>2]=f[a+16>>2];f[v+20>>2]=f[a+20>>2];f[v+24>>2]=f[a+24>>2];f[v+28>>2]=f[a+28>>2];f[v+32>>2]=f[a+32>>2];y=f[a+36>>2]|0;f[v+36>>2]=y;f[v+40>>2]=x;x=v+48|0;A=v+44|0;f[A>>2]=x;f[x>>2]=0;f[v+52>>2]=0;if(y|0){x=y+12|0;f[x>>2]=(f[x>>2]|0)+1}if((f[w>>2]|0)<3){w=f[a+44>>2]|0;x=f[A>>2]|0;f[x>>2]=f[w>>2];f[x+4>>2]=f[w+4>>2];break}else{f[s>>2]=0;kP(v,a);break}}else lD(v,c,-1);while(0);c=f[t>>2]|0;switch(c&7){case 0:{a=(c>>>3&511)+1|0;s=f[f[t+40>>2]>>2]|0;switch(c&4095){case 16:case 0:break;default:{f[j>>2]=0;B=j+4|0;f[B>>2]=0;C=YG(j,72)|0;D=C;E=259338;F=D+72|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));p8(-215,j,259411,5503)}}if((f[t+16>>2]|0)==(f[v+16>>2]|0)){f[j>>2]=0;B=j+4|0;f[B>>2]=0;C=YG(j,72)|0;D=C;E=259338;F=D+72|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));p8(-215,j,259411,5503)}G=!(e<=0.0)?e:1.0;H=!(g<=0.0)?g:1.0;I=-.5/(G*G);G=-.5/(H*H);if((d|0)<1)J=V9b(H*1.5)|0;else J=d>>>1;C=(J|0)>1?J:1;J=C<<1|1;f[j>>2]=1124007936;B=j+4|0;w=j+8|0;x=j+40|0;D=B;F=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(F|0));f[x>>2]=w;w=j+48|0;A=j+44|0;f[A>>2]=w;f[w>>2]=0;f[j+52>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=t;y=l+8|0;f[y>>2]=0;f[y+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=j;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;f[m+24>>2]=0;f[m+28>>2]=0;tT(k,l,C,C,C,C,h,m);y=a<<8;z=a<<10;K=Bmc(z)|0;Drc(K|0,0,z|0)|0;z=Y(J,J)|0;f[k>>2]=0;J=k+4|0;f[J>>2]=0;f[k+8>>2]=0;if(z>>>0>1073741823)Ukc(k);N=z<<2;O=Bmc(N)|0;f[k>>2]=O;P=O+(z<<2)|0;f[k+8>>2]=P;Drc(O|0,0,N|0)|0;f[J>>2]=P;P=Bmc(N)|0;Drc(P|0,0,N|0)|0;N=0;do{H=+V(+(I*+(Y(N,N)|0)));n[K+(N<<2)>>2]=H;N=N+1|0}while((N|0)!=(y|0));y=0-C|0;if((C|0)<(y|0))Q=0;else{I=+(C|0);N=f[w>>2]|0;z=0;R=y;while(1){H=+(R|0);S=H*H;T=Y(R,N)|0;U=y;W=z;while(1){H=+(U|0);X=+M(+(S+H*H));if(X>I)Z=W;else{_=(Y(U,a)|0)+T|0;H=+V(+(G*(X*X)));n[O+(W<<2)>>2]=H;f[P+(W<<2)>>2]=_;Z=W+1|0}if((U|0)<(C|0)){U=U+1|0;W=Z}else break}if((R|0)<(C|0)){z=Z;R=R+1|0}else{Q=Z;break}}}f[l>>2]=56188;f[l+4>>2]=j;f[l+8>>2]=v;f[l+12>>2]=C;f[l+16>>2]=Q;f[l+20>>2]=P;f[l+24>>2]=O;f[l+28>>2]=K;f[m>>2]=0;f[m+4>>2]=s;s=f[v+4>>2]|0;if((s|0)<3)$=Y(f[v+12>>2]|0,f[v+8>>2]|0)|0;else{O=f[v+40>>2]|0;Q=0;C=1;while(1){Z=Y(f[O+(Q<<2)>>2]|0,C)|0;Q=Q+1|0;if((Q|0)==(s|0)){$=Z;break}else C=Z}}oU(m,l,+($>>>0)*.0000152587890625);Emc(P);P=f[k>>2]|0;if(P|0){$=f[J>>2]|0;if(($|0)!=(P|0))f[J>>2]=$+(~(($+-4-P|0)>>>2)<<2);Emc(P)}Emc(K);K=j+36|0;P=f[K>>2]|0;if(P|0?($=P+12|0,P=f[$>>2]|0,f[$>>2]=P+-1,(P|0)==1):0)lP(j);f[K>>2]=0;K=j+16|0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[B>>2]|0)>0){K=f[x>>2]|0;x=0;do{f[K+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[B>>2]|0))}B=f[A>>2]|0;if((B|0)!=(w|0))tE(B);break}case 5:{B=(c>>>3&511)+1|0;p[j>>3]=-1.0;p[k>>3]=1.0;w=f[f[t+40>>2]>>2]|0;switch(c&4095){case 21:case 5:break;default:{f[l>>2]=0;aa=l+4|0;f[aa>>2]=0;ba=YG(l,74)|0;D=ba;E=259430;F=D+74|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));p8(-215,l,259505,5766)}}if((f[t+16>>2]|0)==(f[v+16>>2]|0)){f[l>>2]=0;aa=l+4|0;f[aa>>2]=0;ba=YG(l,74)|0;D=ba;E=259430;F=D+74|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));p8(-215,l,259505,5766)}G=!(e<=0.0)?e:1.0;e=!(g<=0.0)?g:1.0;g=-.5/(G*G);I=-.5/(e*e);if((d|0)<1)ca=V9b(e*1.5)|0;else ca=d>>>1;d=(ca|0)>1?ca:1;ca=d<<1|1;xP(m,t,1,0);f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=m;QV(l,j,k,0,0,rE()|0);ba=m+36|0;aa=f[ba>>2]|0;if(aa|0?(c=aa+12|0,aa=f[c>>2]|0,f[c>>2]=aa+-1,(aa|0)==1):0)lP(m);f[ba>>2]=0;ba=m+16|0;aa=m+4|0;f[ba>>2]=0;f[ba+4>>2]=0;f[ba+8>>2]=0;f[ba+12>>2]=0;if((f[aa>>2]|0)>0){ba=f[m+40>>2]|0;c=0;do{f[ba+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[aa>>2]|0))}aa=f[m+44>>2]|0;if((aa|0)!=(m+48|0))tE(aa);if(!(+L(+(+p[j>>3]-+p[k>>3]))<1.1920928955078125e-07)){f[l>>2]=1124007936;aa=l+4|0;c=l+8|0;ba=l+40|0;D=aa;F=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(F|0));f[ba>>2]=c;c=l+48|0;A=l+44|0;f[A>>2]=c;f[c>>2]=0;f[l+52>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=t;x=o+8|0;f[x>>2]=0;f[x+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=l;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;f[q+16>>2]=0;f[q+20>>2]=0;f[q+24>>2]=0;f[q+28>>2]=0;tT(m,o,d,d,d,d,h,q);h=m+8|0;f[h>>2]=0;f[h+4>>2]=0;f[m>>2]=50397184;f[m+4>>2]=l;GS(m,G*-5.0);h=Y(ca,ca)|0;f[m>>2]=0;ca=m+4|0;f[ca>>2]=0;f[m+8>>2]=0;if(h>>>0>1073741823)Ukc(m);x=h<<2;K=Bmc(x)|0;f[m>>2]=K;P=K+(h<<2)|0;f[m+8>>2]=P;Drc(K|0,0,x|0)|0;f[ca>>2]=P;P=Bmc(x)|0;Drc(P|0,0,x|0)|0;G=+p[k>>3];e=+p[j>>3];k=B<<12;x=k|2;h=x<<2;$=Bmc(h)|0;Drc($|0,0,h|0)|0;S=+(k|0)/(+(B|0)*(G-e));k=0;e=1.0;while(1){if(e>0.0){G=+(k|0)/S;H=+V(+(g*(G*G)));da=H;ea=H}else{da=e;ea=0.0}n[$+(k<<2)>>2]=ea;k=k+1|0;if((k|0)==(x|0))break;else e=da}x=0-d|0;if((d|0)<(x|0))fa=0;else{da=+(d|0);k=(f[c>>2]|0)>>>2;h=0;J=x;while(1){e=+(J|0);ea=e*e;C=Y(J,k)|0;s=x;Q=h;while(1){e=+(s|0);g=+M(+(ea+e*e));if(g>da)ga=Q;else{O=(Y(s,B)|0)+C|0;e=+V(+(I*(g*g)));n[K+(Q<<2)>>2]=e;f[P+(Q<<2)>>2]=O;ga=Q+1|0}if((s|0)<(d|0)){s=s+1|0;Q=ga}else break}if((J|0)<(d|0)){h=ga;J=J+1|0}else{fa=ga;break}}}f[o>>2]=56208;f[o+4>>2]=B;f[o+8>>2]=d;f[o+12>>2]=fa;f[o+16>>2]=P;f[o+20>>2]=l;f[o+24>>2]=v;n[o+28>>2]=S;f[o+32>>2]=K;f[o+36>>2]=$;f[q>>2]=0;f[q+4>>2]=w;w=f[v+4>>2]|0;if((w|0)<3)ha=Y(f[v+12>>2]|0,f[v+8>>2]|0)|0;else{K=f[v+40>>2]|0;fa=0;d=1;while(1){B=Y(f[K+(fa<<2)>>2]|0,d)|0;fa=fa+1|0;if((fa|0)==(w|0)){ha=B;break}else d=B}}oU(q,o,+(ha>>>0)*.0000152587890625);Emc($);Emc(P);P=f[m>>2]|0;if(P|0){m=f[ca>>2]|0;if((m|0)!=(P|0))f[ca>>2]=m+(~((m+-4-P|0)>>>2)<<2);Emc(P)}P=l+36|0;m=f[P>>2]|0;if(m|0?(ca=m+12|0,m=f[ca>>2]|0,f[ca>>2]=m+-1,(m|0)==1):0)lP(l);f[P>>2]=0;P=l+16|0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;if((f[aa>>2]|0)>0){P=f[ba>>2]|0;ba=0;do{f[P+(ba<<2)>>2]=0;ba=ba+1|0}while((ba|0)<(f[aa>>2]|0))}aa=f[A>>2]|0;if((aa|0)!=(c|0))tE(aa)}else{aa=l+8|0;f[aa>>2]=0;f[aa+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=v;kT(t,l)}break}default:{f[j>>2]=0;f[j+4>>2]=0;D=YG(j,61)|0;E=259525;F=D+61|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));p8(-210,j,259587,5962)}}j=v+36|0;E=f[j>>2]|0;if(E|0?(D=E+12|0,E=f[D>>2]|0,f[D>>2]=E+-1,(E|0)==1):0)lP(v);f[j>>2]=0;j=v+16|0;E=v+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[E>>2]|0)>0){j=f[v+40>>2]|0;D=0;do{f[j+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[E>>2]|0))}E=f[v+44>>2]|0;if((E|0)!=(v+48|0))tE(E);E=t+36|0;v=f[E>>2]|0;if(v|0?(D=v+12|0,v=f[D>>2]|0,f[D>>2]=v+-1,(v|0)==1):0)lP(t);f[E>>2]=0;E=t+16|0;v=t+4|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[v>>2]|0)>0){E=f[t+40>>2]|0;D=0;do{f[E+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[v>>2]|0))}v=f[t+44>>2]|0;if((v|0)!=(t+48|0))tE(v);if(!(f[r+4>>2]|0)){u=i;return}u=i;return}function vba(a){a=a|0;Emc(a);return}function wba(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0.0,G=0.0,H=0,I=0.0,J=0.0,K=0.0,M=0.0,N=0,O=0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0,U=0,V=0.0,W=0.0,X=0.0,Z=0.0,_=0,$=0.0,aa=0.0,ba=0;d=u;u=u+16|0;e=d;g=f[a+24>>2]|0;h=f[(f[g+40>>2]|0)+4>>2]|0;i=f[c>>2]|0;j=f[c+4>>2]|0;if((i|0)>=(j|0)){u=d;return}c=f[a+20>>2]|0;k=f[a+8>>2]|0;l=f[c+16>>2]|0;m=f[f[c+44>>2]>>2]|0;c=f[a+4>>2]|0;o=Y(c,k)|0;p=f[g+16>>2]|0;q=f[f[g+44>>2]>>2]|0;g=(h|0)>0;r=a+12|0;s=a+16|0;t=a+28|0;v=a+32|0;w=a+36|0;a=h*3|0;x=i;a:while(1){i=l+(Y(m,k+x|0)|0)+(o<<2)|0;y=p+(Y(q,x)|0)|0;b:do switch(c|0){case 1:{if(g){z=f[r>>2]|0;if((z|0)<=0){A=0;while(1){n[y+(A<<2)>>2]=C;A=A+1|0;if((A|0)==(h|0))break b}}A=f[s>>2]|0;B=f[v>>2]|0;D=f[w>>2]|0;E=0;do{F=+n[i+(E<<2)>>2];G=+n[t>>2];H=0;I=0.0;J=0.0;do{K=+n[i+((f[A+(H<<2)>>2]|0)+E<<2)>>2];M=+L(+(K-F))*G;N=~~M;O=N-(+(N|0)>M&1)|0;P=+n[D+(O<<2)>>2];Q=+n[B+(H<<2)>>2]*(P+(+n[D+(O+1<<2)>>2]-P)*(M-+(O|0)));I=I+K*Q;J=J+Q;H=H+1|0}while((H|0)<(z|0));n[y+(E<<2)>>2]=I/J;E=E+1|0}while((E|0)!=(h|0))}break}case 3:{if(g){E=f[r>>2]|0;if((E|0)<=0){z=0;while(1){n[y+(z<<2)>>2]=C;n[y+(z+1<<2)>>2]=C;n[y+(z+2<<2)>>2]=C;z=z+3|0;if((z|0)>=(a|0))break b}}z=f[s>>2]|0;D=f[v>>2]|0;B=f[w>>2]|0;A=0;do{H=i+(A<<2)|0;G=+n[H>>2];O=A+1|0;F=+n[i+(O<<2)>>2];N=A+2|0;Q=+n[i+(N<<2)>>2];K=+n[t>>2];M=0.0;P=0.0;R=0.0;S=0.0;T=0;do{U=H+(f[z+(T<<2)>>2]<<2)|0;V=+n[U>>2];W=+n[U+4>>2];X=+n[U+8>>2];Z=(+L(+(V-G))+ +L(+(W-F))+ +L(+(X-Q)))*K;U=~~Z;_=U-(+(U|0)>Z&1)|0;$=+n[B+(_<<2)>>2];aa=+n[D+(T<<2)>>2]*($+(+n[B+(_+1<<2)>>2]-$)*(Z-+(_|0)));M=M+V*aa;P=P+W*aa;S=S+X*aa;R=R+aa;T=T+1|0}while((T|0)<(E|0));K=1.0/R;n[y+(A<<2)>>2]=K*M;n[y+(O<<2)>>2]=P*K;n[y+(N<<2)>>2]=S*K;A=A+3|0}while((A|0)<(a|0))}break}default:{ba=17;break a}}while(0);x=x+1|0;if((x|0)>=(j|0)){ba=20;break}}if((ba|0)==17){f[e>>2]=0;f[e+4>>2]=0;j=YG(e,7)|0;b[j>>0]=b[259603]|0;b[j+1>>0]=b[259604]|0;b[j+2>>0]=b[259605]|0;b[j+3>>0]=b[259606]|0;b[j+4>>0]=b[259607]|0;b[j+5>>0]=b[259608]|0;b[j+6>>0]=b[259609]|0;p8(-215,e,523657,5648)}else if((ba|0)==20){u=d;return}}function xba(a){a=a|0;Emc(a);return}function yba(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0,F=0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0;d=a+8|0;e=f[d>>2]|0;g=(f[e>>2]|0)>>>3&511;i=g+1|0;j=f[(f[e+40>>2]|0)+4>>2]|0;k=f[c>>2]|0;l=c+4|0;if((k|0)>=(f[l>>2]|0))return;c=a+4|0;m=a+12|0;o=(g|0)==0;g=(j|0)>0;p=a+16|0;q=a+20|0;r=a+24|0;s=a+28|0;a=j*3|0;t=k;k=e;while(1){e=f[c>>2]|0;u=f[m>>2]|0;v=(f[e+16>>2]|0)+(Y(f[f[e+44>>2]>>2]|0,u+t|0)|0)+(Y(u,i)|0)|0;u=(f[k+16>>2]|0)+(Y(f[f[k+44>>2]>>2]|0,t)|0)|0;if(o){if(g){e=0;do{w=h[v+e>>0]|0;x=f[p>>2]|0;if((x|0)>0){y=f[q>>2]|0;z=f[r>>2]|0;A=f[s>>2]|0;B=0;C=0.0;D=0.0;while(1){E=b[v+((f[y+(B<<2)>>2]|0)+e)>>0]|0;F=(E&255)-w|0;G=+n[z+(B<<2)>>2]*+n[A+(((F|0)>-1?F:0-F|0)<<2)>>2];H=C+ +(E&255)*G;I=D+G;B=B+1|0;if((B|0)>=(x|0)){J=H;K=I;break}else{C=H;D=I}}}else{J=0.0;K=0.0}x=(U9b(J/K)|0)&255;b[u+e>>0]=x;e=e+1|0}while((e|0)!=(j|0))}}else if(g){e=0;do{x=v+e|0;B=h[x>>0]|0;A=e+1|0;z=h[v+A>>0]|0;w=e+2|0;y=h[v+w>>0]|0;E=f[p>>2]|0;if((E|0)>0){F=f[q>>2]|0;L=f[r>>2]|0;M=f[s>>2]|0;D=0.0;C=0.0;I=0.0;H=0.0;N=0;while(1){O=x+(f[F+(N<<2)>>2]|0)|0;P=b[O>>0]|0;Q=b[O+1>>0]|0;R=b[O+2>>0]|0;O=(P&255)-B|0;S=(Q&255)-z|0;T=(R&255)-y|0;G=+n[L+(N<<2)>>2]*+n[M+(((S|0)>-1?S:0-S|0)+((O|0)>-1?O:0-O|0)+((T|0)>-1?T:0-T|0)<<2)>>2];U=H+ +(P&255)*G;V=I+ +(Q&255)*G;W=C+ +(R&255)*G;X=D+G;N=N+1|0;if((N|0)>=(E|0)){Z=X;_=W;$=V;aa=U;break}else{D=X;C=W;I=V;H=U}}}else{Z=0.0;_=0.0;$=0.0;aa=0.0}H=1.0/Z;E=U9b(aa*H)|0;N=U9b($*H)|0;M=U9b(_*H)|0;b[u+e>>0]=E;b[u+A>>0]=N;b[u+w>>0]=M;e=e+3|0}while((e|0)<(a|0))}e=t+1|0;if((e|0)>=(f[l>>2]|0))break;t=e;k=f[d>>2]|0}return}function zba(a,c,d,e){a=a|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,r=0.0,s=0,t=0,v=0.0,w=0.0,x=0,y=0,z=0.0;g=u;u=u+320|0;h=g+304|0;i=g+248|0;j=g+192|0;k=g;zT(h,56220);jta(k,a,0);pta(k,i);jta(k,c,0);pta(k,j);switch(d|0){case 1:{d=0;c=0;e=0.0;a=0;while(1){l=+p[i+(a<<3)>>3];m=+L(+l);n=+p[j+(a<<3)>>3];o=+L(+n);c=l!=l|0.0!=0.0|l==0.0?c:1;d=n!=n|0.0!=0.0|n==0.0?d:1;if(m>1.0e-05&o>1.0e-05){q=1.0/((l>0.0?1.0:l<0.0?-1.0:0.0)*+S9b(m));r=e+ +L(+(1.0/((n>0.0?1.0:n<0.0?-1.0:0.0)*+S9b(o))-q))}else r=e;a=a+1|0;if((a|0)==7)break;else e=r}s=(d&1)!=0;t=(c&1)!=0;v=r;break}case 2:{c=0;d=0;r=0.0;a=0;while(1){e=+p[i+(c<<3)>>3];q=+L(+e);o=+p[j+(c<<3)>>3];n=+L(+o);d=e!=e|0.0!=0.0|e==0.0?d:1;a=o!=o|0.0!=0.0|o==0.0?a:1;if(q>1.0e-05&n>1.0e-05){m=(e>0.0?1.0:e<0.0?-1.0:0.0)*+S9b(q);w=r+ +L(+((o>0.0?1.0:o<0.0?-1.0:0.0)*+S9b(n)-m))}else w=r;c=c+1|0;if((c|0)==7)break;else r=w}s=(a&1)!=0;t=(d&1)!=0;v=w;break}case 3:{d=0;a=0;c=0;w=0.0;while(1){r=+p[i+(d<<3)>>3];m=+L(+r);n=+p[j+(d<<3)>>3];o=+L(+n);x=c|r==r&0.0==0.0&r!=0.0;y=a|n==n&0.0==0.0&n!=0.0;if(m>1.0e-05&o>1.0e-05?(q=(r>0.0?1.0:r<0.0?-1.0:0.0)*+S9b(m),m=+L(+((q-(n>0.0?1.0:n<0.0?-1.0:0.0)*+S9b(o))/q)),w<m):0)z=m;else z=w;d=d+1|0;if((d|0)==7){s=y;t=x;v=z;break}else{a=y;c=x;w=z}}break}default:{f[k>>2]=0;f[k+4>>2]=0;c=YG(k,25)|0;a=259756;d=c+25|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));SQ(-5,k,259782,259794,161)}}z=t^s?1797693134862315708145274.0e284:v;if(!(f[h+4>>2]|0)){u=g;return +z}u=g;return +z}function Aba(a){a=a|0;return}function Bba(a){a=a|0;Emc(a);return}function Cba(a){a=a|0;return}function Dba(a){a=a|0;Emc(a);return}function Eba(a){a=a|0;return}function Fba(a){a=a|0;return}function Gba(a){a=a|0;Emc(a);return}function Hba(a){a=a|0;return}function Iba(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=56316;b=a+192|0;c=f[b>>2]|0;if(c|0?(d=c+4|0,e=f[d>>2]|0,f[d>>2]=e+-1,(e|0)==1):0)ai[f[(f[c>>2]|0)+8>>2]&2047](c);f[b>>2]=0;f[a+196>>2]=0;b=a+184|0;c=f[b>>2]|0;if(c|0?(e=c+4|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)ai[f[(f[c>>2]|0)+8>>2]&2047](c);f[b>>2]=0;f[a+188>>2]=0;b=a+176|0;c=f[b>>2]|0;if(c|0?(d=c+4|0,e=f[d>>2]|0,f[d>>2]=e+-1,(e|0)==1):0)ai[f[(f[c>>2]|0)+8>>2]&2047](c);f[b>>2]=0;f[a+180>>2]=0;b=f[a+164>>2]|0;if(b|0){c=a+168|0;e=f[c>>2]|0;if((e|0)!=(b|0))f[c>>2]=e+(~((e+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+128>>2]|0;if(b|0){e=a+132|0;if((f[e>>2]|0)!=(b|0))f[e>>2]=b;Emc(b)}b=f[a+116>>2]|0;if(b|0){e=a+120|0;if((f[e>>2]|0)!=(b|0))f[e>>2]=b;Emc(b)}b=f[a+104>>2]|0;if(b|0){e=a+108|0;if((f[e>>2]|0)!=(b|0))f[e>>2]=b;Emc(b)}b=f[a+92>>2]|0;if(b|0){e=a+96|0;if((f[e>>2]|0)!=(b|0))f[e>>2]=b;Emc(b)}b=f[a+76>>2]|0;if(!b)return;e=a+80|0;a=f[e>>2]|0;if((a|0)!=(b|0))f[e>>2]=a+(~((a+-4-b|0)>>>2)<<2);Emc(b);return}function Jba(a){a=a|0;Iba(a);Emc(a);return}function Kba(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0;g=u;u=u+16|0;h=g;i=f[c>>2]|0;j=a+36|0;f[j>>2]=i;k=f[c+4>>2]|0;c=a+40|0;f[c>>2]=k;l=f[e>>2]|0;m=f[e+4>>2]|0;e=f[d>>2]|0;n=f[d+4>>2]|0;d=a+44|0;f[d>>2]=l;o=a+48|0;f[o>>2]=m;p=a+52|0;f[p>>2]=e;q=a+56|0;f[q>>2]=n;if(((e+l|0)>(i|0)?1:(l|m|e|n|0)<0)|(n+m|0)>(k|0)){f[h>>2]=0;f[h+4>>2]=0;Krc(YG(h,143)|0,260311,143)|0;SQ(-215,h,260455,260039,173)}k=a+4|0;m=f[k>>2]|0;n=(m>>>3&511)+1<<(47696>>>(m<<1&14)&3);l=a+12|0;i=f[l>>2]|0;r=(i>>>3&511)+1<<(47696>>>(i<<1&14)&3);i=a+116|0;s=f[i>>2]|0;t=a+120|0;v=(s|0)==(f[t>>2]|0)?0:s;s=a+16|0;w=a+20|0;x=f[w>>2]|0;y=x+3|0;z=a+28|0;A=f[z>>2]|0;B=x-A+-1|0;x=((A|0)<(B|0)?B:A)<<1|1;A=(y|0)<(x|0)?x:y;y=a+32|0;x=f[y>>2]|0;if((x|0)>=(e|0)){B=a+164|0;C=a+168|0;D=f[C>>2]|0;E=f[B>>2]|0;if((A|0)==(D-E>>2|0))F=a+180|0;else{G=C;H=C;I=B;J=B;K=E;L=D;M=7}}else{D=a+168|0;E=a+164|0;G=D;H=D;I=E;J=E;K=f[E>>2]|0;L=f[D>>2]|0;M=7}do if((M|0)==7){D=L-K>>2;E=K;B=L;if(A>>>0<=D>>>0)if(A>>>0<D>>>0?(C=E+(A<<2)|0,(B|0)!=(C|0)):0){f[G>>2]=B+(~((B+-4-C|0)>>>2)<<2);N=x;O=e;P=m}else{N=x;O=e;P=m}else{l6(J,A-D|0);N=f[y>>2]|0;O=f[p>>2]|0;P=f[k>>2]|0}D=(N|0)<(O|0)?O:N;f[y>>2]=D;C=(P>>>3&511)+1|0;B=a+104|0;E=Y(D+-1+(f[s>>2]|0)|0,n)|0;D=a+108|0;Q=f[D>>2]|0;R=f[B>>2]|0;S=Q-R|0;T=R;R=Q;if(E>>>0<=S>>>0){if(E>>>0<S>>>0?(Q=T+E|0,(R|0)!=(Q|0)):0)f[D>>2]=Q}else KD(B,E-S|0);if(!(f[a+72>>2]|0)){if(!v){f[h>>2]=0;f[h+4>>2]=0;U=YG(h,16)|0;V=260461;W=U+16|0;do{b[U>>0]=b[V>>0]|0;U=U+1|0;V=V+1|0}while((U|0)<(W|0));SQ(-215,h,260455,260039,191)}S=a+128|0;E=f[l>>2]|0;Q=f[y>>2]|0;D=f[s>>2]|0;R=Y((E>>>3&511)+1<<(47696>>>(E<<1&14)&3),Q+63+D|0)|0;E=a+132|0;T=f[E>>2]|0;X=f[S>>2]|0;Z=T-X|0;_=X;$=T;if(R>>>0<=Z>>>0)if(R>>>0<Z>>>0?(T=_+R|0,($|0)!=(T|0)):0){f[E>>2]=T;aa=X;ba=Q;ca=D}else{aa=X;ba=Q;ca=D}else{KD(S,R-Z|0);aa=f[S>>2]|0;ba=f[y>>2]|0;ca=f[s>>2]|0}S=aa+63&-64;Z=Y(ba+-1+ca|0,n)|0;R=a+180|0;D=f[R>>2]|0;if(!D)da=f[B>>2]|0;else da=S;if((Z|0)>0){Q=(f[t>>2]|0)-(f[i>>2]|0)|0;X=0;do{T=Z-X|0;Q=(T|0)<(Q|0)?T:Q;if((Q|0)>0){T=0;do{b[da+(T+X)>>0]=b[v+T>>0]|0;T=T+1|0}while((T|0)<(Q|0))}X=Q+X|0}while((Z|0)>(X|0));ea=f[R>>2]|0}else ea=D;if(!ea){X=f[a+188>>2]|0;sh[f[(f[X>>2]|0)+8>>2]&255](X,f[B>>2]|0,S,f[y>>2]|0,C);fa=R}else fa=R}else fa=a+180|0;if(!(f[fa>>2]|0))ga=0;else ga=(f[s>>2]|0)+-1|0;X=Y((f[y>>2]|0)+63+ga&-64,r)|0;Z=a+92|0;Q=(Y(X,(f[H>>2]|0)-(f[I>>2]|0)>>2)|0)+64|0;X=a+96|0;T=f[X>>2]|0;E=f[Z>>2]|0;$=T-E|0;if(Q>>>0>$>>>0){KD(Z,Q-$|0);F=fa;break}if(Q>>>0<$>>>0?($=E+Q|0,(T|0)!=($|0)):0){f[X>>2]=$;F=fa}else F=fa}while(0);fa=f[p>>2]|0;I=f[F>>2]|0;H=(I|0)==0;ga=f[s>>2]|0;y=Y(fa+15+(H?0:ga+-1|0)&-16,r)|0;r=a+140|0;f[r>>2]=y;y=f[a+24>>2]|0;ea=f[d>>2]|0;d=y-ea|0;da=(d|0)>0;i=a+60|0;f[i>>2]=da?d:0;t=f[j>>2]|0;j=ga+-1-y+ea+fa-t|0;fa=(j|0)>0;ga=a+64|0;f[ga>>2]=fa?j:0;a:do if(da|fa){j=a+68|0;ca=f[j>>2]|0;if(!ca){if(!v){f[h>>2]=0;f[h+4>>2]=0;U=YG(h,16)|0;V=260461;W=U+16|0;do{b[U>>0]=b[V>>0]|0;U=U+1|0;V=V+1|0}while((U|0)<(W|0));SQ(-215,h,260455,260039,225)}if(!H){R=(f[a+168>>2]|0)-(f[a+164>>2]|0)|0;if((R|0)>0)ha=R>>2;else break}else ha=1;R=a+104|0;C=a+92|0;S=0;B=I;while(1){if(!B)ia=f[R>>2]|0;else ia=((f[C>>2]|0)+63&-64)+(Y(f[r>>2]|0,S)|0)|0;Krc(ia|0,v|0,Y(f[i>>2]|0,n)|0)|0;D=f[ga>>2]|0;Krc(ia+(Y((f[p>>2]|0)+-1+(f[s>>2]|0)-D|0,n)|0)|0,v|0,Y(D,n)|0)|0;D=S+1|0;if((D|0)==(ha|0))break a;S=D;B=f[F>>2]|0}}B=((y|0)<(ea|0)?y:ea)-ea|0;S=f[a+88>>2]|0;C=f[a+76>>2]|0;b:do if(da){if((S|0)>0){ja=0;ka=d;la=ca}else{sT(0-d|0,t,ca)|0;R=f[i>>2]|0;if((R|0)>1){ma=R;na=1}else break;while(1){sT(na-ma|0,t,f[j>>2]|0)|0;na=na+1|0;ma=f[i>>2]|0;if((na|0)>=(ma|0))break b}}while(1){R=Y((sT(ja-ka|0,t,la)|0)+B|0,S)|0;D=Y(ja,S)|0;ba=0;do{f[C+(ba+D<<2)>>2]=ba+R;ba=ba+1|0}while((ba|0)!=(S|0));ba=ja+1|0;R=f[i>>2]|0;if((ba|0)>=(R|0))break b;ja=ba;ka=R;la=f[j>>2]|0}}while(0);if((f[ga>>2]|0)>0){if((S|0)>0)oa=0;else{ca=0;while(1){sT(ca+t|0,t,f[j>>2]|0)|0;ca=ca+1|0;if((ca|0)>=(f[ga>>2]|0))break a}}do{ca=Y((sT(oa+t|0,t,f[j>>2]|0)|0)+B|0,S)|0;R=0;do{ba=C+((Y((f[i>>2]|0)+oa|0,S)|0)+R<<2)|0;f[ba>>2]=R+ca;R=R+1|0}while((R|0)!=(S|0));oa=oa+1|0}while((oa|0)<(f[ga>>2]|0))}}while(0);f[a+160>>2]=0;f[a+156>>2]=0;ga=f[o>>2]|0;o=f[z>>2]|0;z=ga-o|0;oa=(z|0)>0?z:0;f[a+148>>2]=oa;z=a+144|0;f[z>>2]=oa;oa=ga+-1+(f[q>>2]|0)+(f[w>>2]|0)-o|0;o=f[c>>2]|0;f[a+152>>2]=(o|0)<(oa|0)?o:oa;oa=f[a+196>>2]|0;if(oa|0)ai[f[(f[oa>>2]|0)+12>>2]&2047](oa);oa=f[F>>2]|0;if(!oa){pa=f[z>>2]|0;u=g;return pa|0}ai[f[(f[oa>>2]|0)+12>>2]&2047](oa);pa=f[z>>2]|0;u=g;return pa|0}function Lba(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+16|0;g=e;h=f[(f[a>>2]|0)+8>>2]|0;i=f[b+40>>2]|0;b=f[i>>2]|0;f[g>>2]=f[i+4>>2];f[g+4>>2]=b;Bg[h&127](a,c,g,d)|0;u=e;return (f[a+144>>2]|0)-(f[d+4>>2]|0)|0}function Mba(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0;i=u;u=u+16|0;j=i;if((f[a+36>>2]|0)<=0){f[j>>2]=0;k=j+4|0;f[k>>2]=0;l=YG(j,43)|0;m=l;n=260201;o=m+43|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,j,260245,260039,288)}p=a+40|0;if((f[p>>2]|0)<=0){f[j>>2]=0;k=j+4|0;f[k>>2]=0;l=YG(j,43)|0;m=l;n=260201;o=m+43|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,j,260245,260039,288)}l=f[a+76>>2]|0;k=a+4|0;q=f[k>>2]|0;r=(q>>>3&511)+1<<(47696>>>(q<<1&14)&3);q=f[a+88>>2]|0;s=f[a+164>>2]|0;t=(f[a+168>>2]|0)-s>>2;v=((f[a+12>>2]|0)>>>3&511)+1|0;w=a+52|0;x=f[w>>2]|0;y=f[a+16>>2]|0;z=f[a+20>>2]|0;A=f[a+28>>2]|0;B=f[a+60>>2]|0;C=f[a+64>>2]|0;D=f[a+24>>2]|0;E=f[a+44>>2]|0;F=a+180|0;G=(f[F>>2]|0)==0;if((B|0)>0|(C|0)>0)H=(f[a+68>>2]|0)!=0;else H=0;I=c+(Y((D|0)<(E|0)?D:E,0-r|0)|0)|0;E=a+144|0;D=f[E>>2]|0;c=a+156|0;J=f[c>>2]|0;K=(f[a+152>>2]|0)-D-J|0;L=(K|0)<(e|0)?K:e;if(!((g|0)!=0&(I|0)!=0&(L|0)>0)){f[j>>2]=0;f[j+4>>2]=0;m=YG(j,23)|0;n=260253;o=m+23|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,j,260245,260039,307)}e=t-A|0;K=a+48|0;M=t+1-z|0;N=a+148|0;O=a+92|0;P=a+140|0;Q=a+104|0;R=Y(B,r)|0;S=x+-1+y-C|0;y=Y(S-B|0,r)|0;T=(q<<2|0)==(r|0);U=Y(B,q)|0;B=(U|0)>0;V=Y(C,q)|0;W=(V|0)>0;X=Y(S,q)|0;q=(R|0)>0;Z=Y(C,r)|0;C=(Z|0)>0;_=Y(S,r)|0;r=a+188|0;S=a+56|0;$=a+160|0;aa=z+-1|0;ba=a+196|0;ca=a+72|0;da=a+128|0;a=I;I=g;g=0;ea=L;L=D;D=J;a:while(1){J=e-L-D+(f[K>>2]|0)|0;fa=(J|0)>0?J:M;J=(ea|0)<(fa|0)?ea:fa;fa=ea-J|0;ga=J+-1|0;do if((J|0)>0){ha=Y(J,d)|0;if(G){ia=a;ja=L;ka=D;la=ga;while(1){ma=((f[O>>2]|0)+63&-64)+(Y(f[P>>2]|0,(ja-(f[N>>2]|0)+ka|0)%(t|0)|0)|0)|0;na=f[Q>>2]|0;f[c>>2]=ka+1;if((ka|0)>=(t|0)){f[c>>2]=ka;f[E>>2]=ja+1}Krc(na+R|0,ia|0,y|0)|0;do if(H)if(T){if(B){oa=0;do{f[na+(oa<<2)>>2]=f[ia+(f[l+(oa<<2)>>2]<<2)>>2];oa=oa+1|0}while((oa|0)!=(U|0))}if(W)pa=0;else break;do{f[na+(pa+X<<2)>>2]=f[ia+(f[l+(pa+U<<2)>>2]<<2)>>2];pa=pa+1|0}while((pa|0)!=(V|0))}else{if(q){oa=0;do{b[na+oa>>0]=b[ia+(f[l+(oa<<2)>>2]|0)>>0]|0;oa=oa+1|0}while((oa|0)!=(R|0))}if(C)qa=0;else break;do{b[na+(qa+_)>>0]=b[ia+(f[l+(qa+R<<2)>>2]|0)>>0]|0;qa=qa+1|0}while((qa|0)!=(Z|0))}while(0);oa=f[r>>2]|0;sh[f[(f[oa>>2]|0)+8>>2]&255](oa,na,ma,x,((f[k>>2]|0)>>>3&511)+1|0);if((la|0)<=0)break;ia=ia+d|0;ja=f[E>>2]|0;ka=f[c>>2]|0;la=la+-1|0}ra=a+ha|0;break}else{la=a;ka=L;ja=D;ia=ga;while(1){oa=((f[O>>2]|0)+63&-64)+(Y(f[P>>2]|0,(ka-(f[N>>2]|0)+ja|0)%(t|0)|0)|0)|0;f[c>>2]=ja+1;if((ja|0)>=(t|0)){f[c>>2]=ja;f[E>>2]=ka+1}Krc(oa+R|0,la|0,y|0)|0;do if(H)if(T){if(B){sa=0;do{f[oa+(sa<<2)>>2]=f[la+(f[l+(sa<<2)>>2]<<2)>>2];sa=sa+1|0}while((sa|0)!=(U|0))}if(W)ta=0;else break;do{f[oa+(ta+X<<2)>>2]=f[la+(f[l+(ta+U<<2)>>2]<<2)>>2];ta=ta+1|0}while((ta|0)!=(V|0))}else{if(q){sa=0;do{b[oa+sa>>0]=b[la+(f[l+(sa<<2)>>2]|0)>>0]|0;sa=sa+1|0}while((sa|0)!=(R|0))}if(C)ua=0;else break;do{b[oa+(ua+_)>>0]=b[la+(f[l+(ua+R<<2)>>2]|0)>>0]|0;ua=ua+1|0}while((ua|0)!=(Z|0))}while(0);if((ia|0)<=0)break;la=la+d|0;ka=f[E>>2]|0;ja=f[c>>2]|0;ia=ia+-1|0}ra=a+ha|0;break}}else ra=a;while(0);ga=f[$>>2]|0;J=aa-g+(f[S>>2]|0)-ga|0;ia=(J|0)<(t|0)?J:t;b:do if((ia|0)>0){J=g-A|0;ja=0;ka=ga;while(1){la=sT(J+ja+ka+(f[K>>2]|0)|0,f[p>>2]|0,f[ca>>2]|0)|0;if((la|0)<0)va=(f[da>>2]|0)+63&-64;else{oa=f[E>>2]|0;if((la|0)<(oa|0)){wa=46;break a}if((la|0)>=((f[c>>2]|0)+oa|0)){xa=ja;break b}va=((f[O>>2]|0)+63&-64)+(Y(f[P>>2]|0,(la-(f[N>>2]|0)|0)%(t|0)|0)|0)|0}f[s+(ja<<2)>>2]=va;la=ja+1|0;if((la|0)>=(ia|0)){xa=la;break b}ja=la;ka=f[$>>2]|0}}else xa=0;while(0);if((xa|0)<(z|0))break;ia=xa-aa|0;ga=f[F>>2]|0;if(!ga){ka=f[ba>>2]|0;ja=Y(f[w>>2]|0,v)|0;Ug[f[(f[ka>>2]|0)+8>>2]&127](ka,s,I,h,ia,ja)}else Oh[f[(f[ga>>2]|0)+8>>2]&127](ga,s,I,h,ia,f[w>>2]|0,v);ga=I+(Y(ia,h)|0)|0;a=ra;I=ga;g=ia+g|0;ea=fa;L=f[E>>2]|0;D=f[c>>2]|0}if((wa|0)==46){f[j>>2]=0;f[j+4>>2]=0;m=YG(j,14)|0;n=260277;o=m+14|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,j,260245,260039,363)}wa=(f[$>>2]|0)+g|0;f[$>>2]=wa;if((wa|0)>(f[S>>2]|0)){f[j>>2]=0;f[j+4>>2]=0;m=YG(j,18)|0;n=260292;o=m+18|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,j,260245,260039,380)}else{u=i;return g|0}return 0}function Nba(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+16|0;i=h+8|0;j=h;zT(i,56340);if((f[c>>2]&4095|0)==(f[a+4>>2]|0)?(f[d>>2]&4095|0)==(f[a+8>>2]|0):0){k=Bg[f[(f[a>>2]|0)+12>>2]&127](a,c,e,g)|0;g=f[c+48>>2]|0;e=(f[c+16>>2]|0)+(Y(g,k)|0)|0;Vf[f[(f[a>>2]|0)+16>>2]&127](a,e,g,(f[a+152>>2]|0)-(f[a+144>>2]|0)|0,f[d+16>>2]|0,f[d+48>>2]|0)|0;if(!(f[i+4>>2]|0)){u=h;return}u=h;return}f[j>>2]=0;f[j+4>>2]=0;h=YG(j,46)|0;i=259992;d=h+46|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(d|0));SQ(-215,j,472702,260039,388)}function Oba(a){a=a|0;f[a>>2]=56248;f[a+8>>2]=-1;f[a+4>>2]=-1;return}function Pba(a){a=a|0;f[a>>2]=56268;f[a+8>>2]=-1;f[a+4>>2]=-1;return}function Qba(a){a=a|0;var b=0;f[a>>2]=56292;b=a+4|0;f[b>>2]=-1;f[b+4>>2]=-1;f[b+8>>2]=-1;f[b+12>>2]=-1;return}function Rba(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0;f[a>>2]=56316;f[a+4>>2]=-1;f[a+8>>2]=-1;f[a+12>>2]=-1;l=a+16|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[a+36>>2]=-1;f[a+40>>2]=-1;l=a+44|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[a+68>>2]=1;f[a+72>>2]=1;l=a+76|0;m=l+124|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));Sba(a,b,c,d,e,g,h,i,j,k);return}function Sba(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;m=u;u=u+16|0;n=m;o=g&4095;p=a+4|0;f[p>>2]=o;q=(g>>>3&511)+1<<(47696>>>(o<<1&14)&3);f[a+8>>2]=h&4095;h=a+12|0;f[h>>2]=i&4095;i=a+176|0;o=f[c>>2]|0;g=f[c+4>>2]|0;if(o|0){c=o+4|0;f[c>>2]=(f[c>>2]|0)+1}c=f[i>>2]|0;f[i>>2]=o;o=a+180|0;f[o>>2]=g;if(c|0?(g=c+4|0,i=f[g>>2]|0,f[g>>2]=i+-1,(i|0)==1):0)ai[f[(f[c>>2]|0)+8>>2]&2047](c);c=a+184|0;i=f[d>>2]|0;g=f[d+4>>2]|0;if(i|0){d=i+4|0;f[d>>2]=(f[d>>2]|0)+1}d=f[c>>2]|0;f[c>>2]=i;i=a+188|0;f[i>>2]=g;if(d|0?(g=d+4|0,c=f[g>>2]|0,f[g>>2]=c+-1,(c|0)==1):0)ai[f[(f[d>>2]|0)+8>>2]&2047](d);d=a+192|0;c=f[e>>2]|0;g=f[e+4>>2]|0;if(c|0){e=c+4|0;f[e>>2]=(f[e>>2]|0)+1}e=f[d>>2]|0;f[d>>2]=c;c=a+196|0;f[c>>2]=g;if(e|0?(g=e+4|0,d=f[g>>2]|0,f[g>>2]=d+-1,(d|0)==1):0)ai[f[(f[e>>2]|0)+8>>2]&2047](e);e=(k|0)<0?j:k;k=a+68|0;f[k>>2]=j;j=a+72|0;f[j>>2]=e;if((e|0)==3){f[n>>2]=0;f[n+4>>2]=0;r=YG(n,31)|0;s=260498;t=r+31|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,n,260530,260039,127)}e=f[o>>2]|0;do if(!e){o=f[i>>2]|0;if(!o){f[n>>2]=0;v=n+4|0;f[v>>2]=0;w=YG(n,25)|0;r=w;s=260535;t=r+25|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,n,260530,260039,131)}d=f[c>>2]|0;if(!d){f[n>>2]=0;v=n+4|0;f[v>>2]=0;w=YG(n,25)|0;r=w;s=260535;t=r+25|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,n,260530,260039,131)}else{g=f[o+4>>2]|0;x=f[d+4>>2]|0;f[a+16>>2]=g;f[a+20>>2]=x;y=f[o+8>>2]|0;z=f[d+8>>2]|0;f[a+24>>2]=y;A=z;B=y;C=g;D=x;break}}else if((f[h>>2]|0)==(f[p>>2]|0)){x=f[e+4>>2]|0;f[a+16>>2]=x;g=f[e+8>>2]|0;f[a+20>>2]=g;y=f[e+12>>2]|0;f[a+24>>2]=y;A=f[e+16>>2]|0;B=y;C=x;D=g;break}else{f[n>>2]=0;f[n+4>>2]=0;r=YG(n,18)|0;s=260561;t=r+18|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,n,260530,260039,137)}while(0);f[a+28>>2]=A;if(!((B|A|0)>-1&(B|0)<(C|0)&(A|0)<(D|0))){f[n>>2]=0;f[n+4>>2]=0;r=YG(n,83)|0;s=260580;t=r+83|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,n,260530,260039,143)}n=q>>>((f[p>>2]|0)>>>1&2);f[a+88>>2]=n;s=C+-1|0;C=(s|0)>1?s:1;s=a+76|0;r=Y(C,n)|0;n=a+80|0;t=f[n>>2]|0;D=f[s>>2]|0;A=t-D>>2;B=D;D=t;if(r>>>0<=A>>>0){if(r>>>0<A>>>0?(t=B+(r<<2)|0,(D|0)!=(t|0)):0)f[n>>2]=D+(~((D+-4-t|0)>>>2)<<2)}else $C(s,r-A|0);f[a+140>>2]=0;f[a+32>>2]=0;A=f[a+128>>2]|0;r=a+132|0;if((f[r>>2]|0)!=(A|0))f[r>>2]=A;if(f[k>>2]|0?f[j>>2]|0:0){E=a+36|0;f[E>>2]=-1;F=a+40|0;f[F>>2]=-1;u=m;return}j=a+116|0;k=Y(C,q)|0;q=a+120|0;A=f[q>>2]|0;r=f[j>>2]|0;s=A-r|0;t=r;r=A;if(k>>>0<=s>>>0)if(k>>>0<s>>>0?(A=t+k|0,(r|0)!=(A|0)):0){f[q>>2]=A;G=t}else G=t;else{KD(j,k-s|0);G=f[j>>2]|0}j=f[p>>2]|0;p=j>>>3&511;s=p+1|0;lU(l,G,(s>>>0>4?24:p<<3)|j&7,Y(s,C)|0);E=a+36|0;f[E>>2]=-1;F=a+40|0;f[F>>2]=-1;u=m;return}function Tba(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0.0,v=0.0,w=0.0,x=0,y=0.0,z=0;d=u;u=u+128|0;e=d+72|0;g=d+16|0;h=d;do if((pD(a)|0)==65536){i=f[a+4>>2]|0;f[e>>2]=f[i>>2];j=e+4|0;k=i+4|0;f[j>>2]=f[k>>2];l=e+8|0;f[l>>2]=f[i+8>>2];f[e+12>>2]=f[i+12>>2];f[e+16>>2]=f[i+16>>2];f[e+20>>2]=f[i+20>>2];f[e+24>>2]=f[i+24>>2];f[e+28>>2]=f[i+28>>2];f[e+32>>2]=f[i+32>>2];m=f[i+36>>2]|0;f[e+36>>2]=m;f[e+40>>2]=l;l=e+48|0;n=e+44|0;f[n>>2]=l;f[l>>2]=0;f[e+52>>2]=0;if(m|0){l=m+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[k>>2]|0)<3){k=f[i+44>>2]|0;l=f[n>>2]|0;f[l>>2]=f[k>>2];f[l+4>>2]=f[k+4>>2];o=e;break}else{f[j>>2]=0;kP(e,i);o=e;break}}else{lD(e,a,-1);o=e}while(0);if(f[o>>2]&4088|0){f[g>>2]=0;f[g+4>>2]=0;q=YG(g,23)|0;o=260664;r=q+23|0;do{b[q>>0]=b[o>>0]|0;q=q+1|0;o=o+1|0}while((q|0)<(r|0));SQ(-215,g,260688,260039,407)}o=e+8|0;a=e+12|0;i=Y(f[a>>2]|0,f[o>>2]|0)|0;f[g>>2]=1124007936;j=g+4|0;k=g+8|0;l=g+40|0;q=j;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));f[l>>2]=k;k=g+48|0;q=g+44|0;f[q>>2]=k;f[k>>2]=0;f[g+52>>2]=0;r=h+8|0;f[r>>2]=0;f[r+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=g;IO(e,h,6,1.0,0.0);h=g+16|0;r=f[h>>2]|0;n=f[o>>2]|0;o=f[a>>2]|0;if((n|0)==1|(o|0)==1?(f[c>>2]<<1|1|0)==(o|0):0)s=(f[c+4>>2]<<1|1|0)==(n|0)?15:12;else s=12;if((i|0)>0){n=i+-1|0;t=0.0;c=0;o=s;while(1){v=+p[r+(c<<3)>>3];w=+p[r+(n-c<<3)>>3];a=v!=w?o&-2:o;m=v!=-w?a&-3:a;a=v<0.0?m&-5:m;m=v!=+(V9b(v)|0);x=m?a&-9:a;w=t+v;c=c+1|0;if((c|0)==(i|0)){y=w;z=x;break}else{t=w;o=x}}}else{y=0.0;z=s}s=+L(+(y+-1.0))>(+L(+y)+1.0)*1.1920928955078125e-07;o=s?z&-5:z;z=g+36|0;s=f[z>>2]|0;if(s|0?(i=s+12|0,s=f[i>>2]|0,f[i>>2]=s+-1,(s|0)==1):0)lP(g);f[z>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[j>>2]|0)>0){h=f[l>>2]|0;l=0;do{f[h+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[j>>2]|0))}j=f[q>>2]|0;if((j|0)!=(k|0))tE(j);j=e+36|0;k=f[j>>2]|0;if(k|0?(q=k+12|0,k=f[q>>2]|0,f[q>>2]=k+-1,(k|0)==1):0)lP(e);f[j>>2]=0;j=e+16|0;k=e+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[k>>2]|0)>0){j=f[e+40>>2]|0;q=0;do{f[j+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[k>>2]|0))}k=f[e+44>>2]|0;if((k|0)==(e+48|0)){u=d;return o|0}tE(k);u=d;return o|0}function Uba(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;i=u;u=u+80|0;j=i;k=i+64|0;l=i+8|0;do if((pD(e)|0)==65536){m=f[e+4>>2]|0;f[l>>2]=f[m>>2];n=l+4|0;o=m+4|0;f[n>>2]=f[o>>2];p=l+8|0;f[p>>2]=f[m+8>>2];f[l+12>>2]=f[m+12>>2];f[l+16>>2]=f[m+16>>2];f[l+20>>2]=f[m+20>>2];f[l+24>>2]=f[m+24>>2];f[l+28>>2]=f[m+28>>2];f[l+32>>2]=f[m+32>>2];q=f[m+36>>2]|0;f[l+36>>2]=q;f[l+40>>2]=p;p=l+48|0;r=l+44|0;f[r>>2]=p;f[p>>2]=0;f[l+52>>2]=0;if(q|0){p=q+12|0;f[p>>2]=(f[p>>2]|0)+1}if((f[o>>2]|0)<3){o=f[m+44>>2]|0;p=f[r>>2]|0;f[p>>2]=f[o>>2];f[p+4>>2]=f[o+4>>2];break}else{f[n>>2]=0;kP(l,m);break}}else lD(l,e,-1);while(0);e=c&7;m=d&7;if((d^c)&4088|0){f[k>>2]=0;s=k+4|0;f[s>>2]=0;t=YG(k,89)|0;v=t;w=260702;x=v+89|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-215,k,260792,260039,3605)}if((m|0)<((e>>>0>4?e:4)|0)){f[k>>2]=0;s=k+4|0;f[s>>2]=0;t=YG(k,89)|0;v=t;w=260702;x=v+89|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-215,k,260792,260039,3605)}if((f[l>>2]&4095|0)!=(m|0)){f[k>>2]=0;s=k+4|0;f[s>>2]=0;t=YG(k,89)|0;v=t;w=260702;x=v+89|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-215,k,260792,260039,3605)}w=(e|0)==0;v=w&(m|0)==4;do if(h&3|0?((f[l+12>>2]|0)+(f[l+8>>2]|0)|0)<7:0){if(v){x=Bmc(76)|0;Vba(x,l,g,h,k);t=Bmc(16)|0;s=t+4|0;f[s>>2]=1;f[t>>2]=56368;f[t+8>>2]=x;f[a>>2]=t;f[a+4>>2]=x;f[s>>2]=(f[s>>2]|0)+1;x=f[s>>2]|0;f[s>>2]=x+-1;if((x|0)==1)ai[f[(f[t>>2]|0)+8>>2]&2047](t);break}if((e|0)==5&(m|0)==5){t=Bmc(76)|0;Wba(t,l,g,h,k);x=Bmc(16)|0;s=x+4|0;f[s>>2]=1;f[x>>2]=56388;f[x+8>>2]=t;f[a>>2]=x;f[a+4>>2]=t;f[s>>2]=(f[s>>2]|0)+1;t=f[s>>2]|0;f[s>>2]=t+-1;if((t|0)==1)ai[f[(f[x>>2]|0)+8>>2]&2047](x)}else y=25}else if(v){x=Bmc(72)|0;Xba(x,l,g,k);t=Bmc(16)|0;s=t+4|0;f[s>>2]=1;f[t>>2]=56408;f[t+8>>2]=x;f[a>>2]=t;f[a+4>>2]=x;f[s>>2]=(f[s>>2]|0)+1;x=f[s>>2]|0;f[s>>2]=x+-1;if((x|0)==1)ai[f[(f[t>>2]|0)+8>>2]&2047](t)}else y=25;while(0);do if((y|0)==25){v=(m|0)==5;if(w&v){h=Bmc(72)|0;Yba(h,l,g,k);t=Bmc(16)|0;x=t+4|0;f[x>>2]=1;f[t>>2]=56428;f[t+8>>2]=h;f[a>>2]=t;f[a+4>>2]=h;f[x>>2]=(f[x>>2]|0)+1;h=f[x>>2]|0;f[x>>2]=h+-1;if((h|0)!=1)break;ai[f[(f[t>>2]|0)+8>>2]&2047](t);break}t=(m|0)==6;if(w&t){h=Bmc(72)|0;Zba(h,l,g,k);x=Bmc(16)|0;s=x+4|0;f[s>>2]=1;f[x>>2]=56448;f[x+8>>2]=h;f[a>>2]=x;f[a+4>>2]=h;f[s>>2]=(f[s>>2]|0)+1;h=f[s>>2]|0;f[s>>2]=h+-1;if((h|0)!=1)break;ai[f[(f[x>>2]|0)+8>>2]&2047](x);break}x=(e|0)==2;if(x&v){h=Bmc(72)|0;_ba(h,l,g,k);s=Bmc(16)|0;n=s+4|0;f[n>>2]=1;f[s>>2]=56468;f[s+8>>2]=h;f[a>>2]=s;f[a+4>>2]=h;f[n>>2]=(f[n>>2]|0)+1;h=f[n>>2]|0;f[n>>2]=h+-1;if((h|0)!=1)break;ai[f[(f[s>>2]|0)+8>>2]&2047](s);break}if(x&t){x=Bmc(72)|0;$ba(x,l,g,k);s=Bmc(16)|0;h=s+4|0;f[h>>2]=1;f[s>>2]=56488;f[s+8>>2]=x;f[a>>2]=s;f[a+4>>2]=x;f[h>>2]=(f[h>>2]|0)+1;x=f[h>>2]|0;f[h>>2]=x+-1;if((x|0)!=1)break;ai[f[(f[s>>2]|0)+8>>2]&2047](s);break}s=(e|0)==3;if(s&v){x=Bmc(72)|0;aca(x,l,g,k);h=Bmc(16)|0;n=h+4|0;f[n>>2]=1;f[h>>2]=56508;f[h+8>>2]=x;f[a>>2]=h;f[a+4>>2]=x;f[n>>2]=(f[n>>2]|0)+1;x=f[n>>2]|0;f[n>>2]=x+-1;if((x|0)==1)ai[f[(f[h>>2]|0)+8>>2]&2047](h);break}if(s&t){s=Bmc(72)|0;bca(s,l,g,k);h=Bmc(16)|0;x=h+4|0;f[x>>2]=1;f[h>>2]=56528;f[h+8>>2]=s;f[a>>2]=h;f[a+4>>2]=s;f[x>>2]=(f[x>>2]|0)+1;s=f[x>>2]|0;f[x>>2]=s+-1;if((s|0)!=1)break;ai[f[(f[h>>2]|0)+8>>2]&2047](h);break}h=(e|0)==5;if(h&v){v=Bmc(72)|0;cca(v,l,g,k);s=Bmc(16)|0;x=s+4|0;f[x>>2]=1;f[s>>2]=56548;f[s+8>>2]=v;f[a>>2]=s;f[a+4>>2]=v;f[x>>2]=(f[x>>2]|0)+1;v=f[x>>2]|0;f[x>>2]=v+-1;if((v|0)==1)ai[f[(f[s>>2]|0)+8>>2]&2047](s);break}if(h&t){h=Bmc(72)|0;dca(h,l,g,k);s=Bmc(16)|0;v=s+4|0;f[v>>2]=1;f[s>>2]=56568;f[s+8>>2]=h;f[a>>2]=s;f[a+4>>2]=h;f[v>>2]=(f[v>>2]|0)+1;h=f[v>>2]|0;f[v>>2]=h+-1;if((h|0)!=1)break;ai[f[(f[s>>2]|0)+8>>2]&2047](s);break}if(!((e|0)==6&t)){f[j>>2]=c;f[j+4>>2]=d;aR(k,260811,j);SQ(-213,k,260792,260039,3644)}t=Bmc(72)|0;eca(t,l,g,k);s=Bmc(16)|0;h=s+4|0;f[h>>2]=1;f[s>>2]=56588;f[s+8>>2]=t;f[a>>2]=s;f[a+4>>2]=t;f[h>>2]=(f[h>>2]|0)+1;t=f[h>>2]|0;f[h>>2]=t+-1;if((t|0)==1)ai[f[(f[s>>2]|0)+8>>2]&2047](s)}while(0);a=l+36|0;k=f[a>>2]|0;if(k|0?(g=k+12|0,k=f[g>>2]|0,f[g>>2]=k+-1,(k|0)==1):0)lP(l);f[a>>2]=0;a=l+16|0;k=l+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[k>>2]|0)>0){a=f[l+40>>2]|0;g=0;do{f[a+(g<<2)>>2]=0;g=g+1|0}while((g|0)<(f[k>>2]|0))}k=f[l+44>>2]|0;if((k|0)==(l+48|0)){u=i;return}tE(k);u=i;return}function Vba(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;h=u;u=u+16|0;i=h;lda(a,c,d,g);f[a>>2]=56848;f[a+72>>2]=e;if(e&3|0?(f[a+4>>2]|0)<6:0){u=h;return}f[i>>2]=0;f[i+4>>2]=0;h=YG(i,84)|0;a=262256;e=h+84|0;do{b[h>>0]=b[a>>0]|0;h=h+1|0;a=a+1|0}while((h|0)<(e|0));SQ(-215,i,262341,260039,3112)}function Wba(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;h=u;u=u+16|0;i=h;dda(a,c,d,g);f[a>>2]=56808;f[a+72>>2]=e;if(e&3|0?(f[a+4>>2]|0)<6:0){u=h;return}f[i>>2]=0;f[i+4>>2]=0;h=YG(i,84)|0;a=262256;e=h+84|0;do{b[h>>0]=b[a>>0]|0;h=h+1|0;a=a+1|0}while((h|0)<(e|0));SQ(-215,i,262341,260039,3112)}function Xba(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;e=u;u=u+16|0;g=e;h=a+8|0;f[h>>2]=-1;i=a+4|0;f[i>>2]=-1;f[a>>2]=56788;j=a+12|0;f[j>>2]=1124007936;k=a+16|0;l=a+20|0;m=a+52|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;p=a+60|0;q=a+56|0;f[q>>2]=p;f[p>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((j|0)!=(c|0)){p=c+36|0;r=f[p>>2]|0;if(r){s=r+12|0;f[s>>2]=(f[s>>2]|0)+1;s=a+48|0;r=f[s>>2]|0;if((r|0)!=0?(t=r+12|0,r=f[t>>2]|0,f[t>>2]=r+-1,(r|0)==1):0){lP(j);v=s}else v=s}else v=a+48|0;f[v>>2]=0;s=a+28|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[k>>2]|0)>0){r=f[m>>2]|0;m=0;do{f[r+(m<<2)>>2]=0;m=m+1|0;w=f[k>>2]|0}while((m|0)<(w|0));f[j>>2]=f[c>>2];if((w|0)<3)x=13;else x=15}else{f[j>>2]=f[c>>2];x=13}if((x|0)==13){w=f[c+4>>2]|0;if((w|0)<3){f[k>>2]=w;f[l>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];w=f[c+44>>2]|0;k=f[q>>2]|0;f[k>>2]=f[w>>2];f[k+4>>2]=f[w+4>>2]}else x=15}if((x|0)==15)kP(j,c);f[s>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[v>>2]=f[p>>2]}}else{p=g+8|0;f[p>>2]=0;f[p+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=j;kT(c,g)}f[h>>2]=d;d=f[l>>2]|0;l=f[a+24>>2]|0;f[i>>2]=d+-1+l;if((f[j>>2]&4095|0)!=4){f[g>>2]=0;y=g+4|0;f[y>>2]=0;z=YG(g,77)|0;n=z;A=260968;o=n+77|0;do{b[n>>0]=b[A>>0]|0;n=n+1|0;A=A+1|0}while((n|0)<(o|0));SQ(-215,g,261046,260039,3053)}if((d|0)==1|(l|0)==1){u=e;return}else{f[g>>2]=0;y=g+4|0;f[y>>2]=0;z=YG(g,77)|0;n=z;A=260968;o=n+77|0;do{b[n>>0]=b[A>>0]|0;n=n+1|0;A=A+1|0}while((n|0)<(o|0));SQ(-215,g,261046,260039,3053)}}function Yba(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;e=u;u=u+16|0;g=e;h=a+8|0;f[h>>2]=-1;i=a+4|0;f[i>>2]=-1;f[a>>2]=56768;j=a+12|0;f[j>>2]=1124007936;k=a+16|0;l=a+20|0;m=a+52|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;p=a+60|0;q=a+56|0;f[q>>2]=p;f[p>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((j|0)!=(c|0)){p=c+36|0;r=f[p>>2]|0;if(r){s=r+12|0;f[s>>2]=(f[s>>2]|0)+1;s=a+48|0;r=f[s>>2]|0;if((r|0)!=0?(t=r+12|0,r=f[t>>2]|0,f[t>>2]=r+-1,(r|0)==1):0){lP(j);v=s}else v=s}else v=a+48|0;f[v>>2]=0;s=a+28|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[k>>2]|0)>0){r=f[m>>2]|0;m=0;do{f[r+(m<<2)>>2]=0;m=m+1|0;w=f[k>>2]|0}while((m|0)<(w|0));f[j>>2]=f[c>>2];if((w|0)<3)x=13;else x=15}else{f[j>>2]=f[c>>2];x=13}if((x|0)==13){w=f[c+4>>2]|0;if((w|0)<3){f[k>>2]=w;f[l>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];w=f[c+44>>2]|0;k=f[q>>2]|0;f[k>>2]=f[w>>2];f[k+4>>2]=f[w+4>>2]}else x=15}if((x|0)==15)kP(j,c);f[s>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[v>>2]=f[p>>2]}}else{p=g+8|0;f[p>>2]=0;f[p+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=j;kT(c,g)}f[h>>2]=d;d=f[l>>2]|0;l=f[a+24>>2]|0;f[i>>2]=d+-1+l;if((f[j>>2]&4095|0)!=5){f[g>>2]=0;y=g+4|0;f[y>>2]=0;z=YG(g,77)|0;n=z;A=260968;o=n+77|0;do{b[n>>0]=b[A>>0]|0;n=n+1|0;A=A+1|0}while((n|0)<(o|0));SQ(-215,g,261046,260039,3053)}if((d|0)==1|(l|0)==1){u=e;return}else{f[g>>2]=0;y=g+4|0;f[y>>2]=0;z=YG(g,77)|0;n=z;A=260968;o=n+77|0;do{b[n>>0]=b[A>>0]|0;n=n+1|0;A=A+1|0}while((n|0)<(o|0));SQ(-215,g,261046,260039,3053)}}function Zba(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;e=u;u=u+16|0;g=e;h=a+8|0;f[h>>2]=-1;i=a+4|0;f[i>>2]=-1;f[a>>2]=56748;j=a+12|0;f[j>>2]=1124007936;k=a+16|0;l=a+20|0;m=a+52|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;p=a+60|0;q=a+56|0;f[q>>2]=p;f[p>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((j|0)!=(c|0)){p=c+36|0;r=f[p>>2]|0;if(r){s=r+12|0;f[s>>2]=(f[s>>2]|0)+1;s=a+48|0;r=f[s>>2]|0;if((r|0)!=0?(t=r+12|0,r=f[t>>2]|0,f[t>>2]=r+-1,(r|0)==1):0){lP(j);v=s}else v=s}else v=a+48|0;f[v>>2]=0;s=a+28|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[k>>2]|0)>0){r=f[m>>2]|0;m=0;do{f[r+(m<<2)>>2]=0;m=m+1|0;w=f[k>>2]|0}while((m|0)<(w|0));f[j>>2]=f[c>>2];if((w|0)<3)x=13;else x=15}else{f[j>>2]=f[c>>2];x=13}if((x|0)==13){w=f[c+4>>2]|0;if((w|0)<3){f[k>>2]=w;f[l>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];w=f[c+44>>2]|0;k=f[q>>2]|0;f[k>>2]=f[w>>2];f[k+4>>2]=f[w+4>>2]}else x=15}if((x|0)==15)kP(j,c);f[s>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[v>>2]=f[p>>2]}}else{p=g+8|0;f[p>>2]=0;f[p+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=j;kT(c,g)}f[h>>2]=d;d=f[l>>2]|0;l=f[a+24>>2]|0;f[i>>2]=d+-1+l;if((f[j>>2]&4095|0)!=6){f[g>>2]=0;y=g+4|0;f[y>>2]=0;z=YG(g,77)|0;n=z;A=260968;o=n+77|0;do{b[n>>0]=b[A>>0]|0;n=n+1|0;A=A+1|0}while((n|0)<(o|0));SQ(-215,g,261046,260039,3053)}if((d|0)==1|(l|0)==1){u=e;return}else{f[g>>2]=0;y=g+4|0;f[y>>2]=0;z=YG(g,77)|0;n=z;A=260968;o=n+77|0;do{b[n>>0]=b[A>>0]|0;n=n+1|0;A=A+1|0}while((n|0)<(o|0));SQ(-215,g,261046,260039,3053)}}function _ba(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;e=u;u=u+16|0;g=e;h=a+8|0;f[h>>2]=-1;i=a+4|0;f[i>>2]=-1;f[a>>2]=56728;j=a+12|0;f[j>>2]=1124007936;k=a+16|0;l=a+20|0;m=a+52|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;p=a+60|0;q=a+56|0;f[q>>2]=p;f[p>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((j|0)!=(c|0)){p=c+36|0;r=f[p>>2]|0;if(r){s=r+12|0;f[s>>2]=(f[s>>2]|0)+1;s=a+48|0;r=f[s>>2]|0;if((r|0)!=0?(t=r+12|0,r=f[t>>2]|0,f[t>>2]=r+-1,(r|0)==1):0){lP(j);v=s}else v=s}else v=a+48|0;f[v>>2]=0;s=a+28|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[k>>2]|0)>0){r=f[m>>2]|0;m=0;do{f[r+(m<<2)>>2]=0;m=m+1|0;w=f[k>>2]|0}while((m|0)<(w|0));f[j>>2]=f[c>>2];if((w|0)<3)x=13;else x=15}else{f[j>>2]=f[c>>2];x=13}if((x|0)==13){w=f[c+4>>2]|0;if((w|0)<3){f[k>>2]=w;f[l>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];w=f[c+44>>2]|0;k=f[q>>2]|0;f[k>>2]=f[w>>2];f[k+4>>2]=f[w+4>>2]}else x=15}if((x|0)==15)kP(j,c);f[s>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[v>>2]=f[p>>2]}}else{p=g+8|0;f[p>>2]=0;f[p+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=j;kT(c,g)}f[h>>2]=d;d=f[l>>2]|0;l=f[a+24>>2]|0;f[i>>2]=d+-1+l;if((f[j>>2]&4095|0)!=5){f[g>>2]=0;y=g+4|0;f[y>>2]=0;z=YG(g,77)|0;n=z;A=260968;o=n+77|0;do{b[n>>0]=b[A>>0]|0;n=n+1|0;A=A+1|0}while((n|0)<(o|0));SQ(-215,g,261046,260039,3053)}if((d|0)==1|(l|0)==1){u=e;return}else{f[g>>2]=0;y=g+4|0;f[y>>2]=0;z=YG(g,77)|0;n=z;A=260968;o=n+77|0;do{b[n>>0]=b[A>>0]|0;n=n+1|0;A=A+1|0}while((n|0)<(o|0));SQ(-215,g,261046,260039,3053)}}function $ba(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;e=u;u=u+16|0;g=e;h=a+8|0;f[h>>2]=-1;i=a+4|0;f[i>>2]=-1;f[a>>2]=56708;j=a+12|0;f[j>>2]=1124007936;k=a+16|0;l=a+20|0;m=a+52|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;p=a+60|0;q=a+56|0;f[q>>2]=p;f[p>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((j|0)!=(c|0)){p=c+36|0;r=f[p>>2]|0;if(r){s=r+12|0;f[s>>2]=(f[s>>2]|0)+1;s=a+48|0;r=f[s>>2]|0;if((r|0)!=0?(t=r+12|0,r=f[t>>2]|0,f[t>>2]=r+-1,(r|0)==1):0){lP(j);v=s}else v=s}else v=a+48|0;f[v>>2]=0;s=a+28|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[k>>2]|0)>0){r=f[m>>2]|0;m=0;do{f[r+(m<<2)>>2]=0;m=m+1|0;w=f[k>>2]|0}while((m|0)<(w|0));f[j>>2]=f[c>>2];if((w|0)<3)x=13;else x=15}else{f[j>>2]=f[c>>2];x=13}if((x|0)==13){w=f[c+4>>2]|0;if((w|0)<3){f[k>>2]=w;f[l>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];w=f[c+44>>2]|0;k=f[q>>2]|0;f[k>>2]=f[w>>2];f[k+4>>2]=f[w+4>>2]}else x=15}if((x|0)==15)kP(j,c);f[s>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[v>>2]=f[p>>2]}}else{p=g+8|0;f[p>>2]=0;f[p+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=j;kT(c,g)}f[h>>2]=d;d=f[l>>2]|0;l=f[a+24>>2]|0;f[i>>2]=d+-1+l;if((f[j>>2]&4095|0)!=6){f[g>>2]=0;y=g+4|0;f[y>>2]=0;z=YG(g,77)|0;n=z;A=260968;o=n+77|0;do{b[n>>0]=b[A>>0]|0;n=n+1|0;A=A+1|0}while((n|0)<(o|0));SQ(-215,g,261046,260039,3053)}if((d|0)==1|(l|0)==1){u=e;return}else{f[g>>2]=0;y=g+4|0;f[y>>2]=0;z=YG(g,77)|0;n=z;A=260968;o=n+77|0;do{b[n>>0]=b[A>>0]|0;n=n+1|0;A=A+1|0}while((n|0)<(o|0));SQ(-215,g,261046,260039,3053)}}function aca(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;e=u;u=u+16|0;g=e;h=a+8|0;f[h>>2]=-1;i=a+4|0;f[i>>2]=-1;f[a>>2]=56688;j=a+12|0;f[j>>2]=1124007936;k=a+16|0;l=a+20|0;m=a+52|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;p=a+60|0;q=a+56|0;f[q>>2]=p;f[p>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((j|0)!=(c|0)){p=c+36|0;r=f[p>>2]|0;if(r){s=r+12|0;f[s>>2]=(f[s>>2]|0)+1;s=a+48|0;r=f[s>>2]|0;if((r|0)!=0?(t=r+12|0,r=f[t>>2]|0,f[t>>2]=r+-1,(r|0)==1):0){lP(j);v=s}else v=s}else v=a+48|0;f[v>>2]=0;s=a+28|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[k>>2]|0)>0){r=f[m>>2]|0;m=0;do{f[r+(m<<2)>>2]=0;m=m+1|0;w=f[k>>2]|0}while((m|0)<(w|0));f[j>>2]=f[c>>2];if((w|0)<3)x=13;else x=15}else{f[j>>2]=f[c>>2];x=13}if((x|0)==13){w=f[c+4>>2]|0;if((w|0)<3){f[k>>2]=w;f[l>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];w=f[c+44>>2]|0;k=f[q>>2]|0;f[k>>2]=f[w>>2];f[k+4>>2]=f[w+4>>2]}else x=15}if((x|0)==15)kP(j,c);f[s>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[v>>2]=f[p>>2]}}else{p=g+8|0;f[p>>2]=0;f[p+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=j;kT(c,g)}f[h>>2]=d;d=f[l>>2]|0;l=f[a+24>>2]|0;f[i>>2]=d+-1+l;if((f[j>>2]&4095|0)!=5){f[g>>2]=0;y=g+4|0;f[y>>2]=0;z=YG(g,77)|0;n=z;A=260968;o=n+77|0;do{b[n>>0]=b[A>>0]|0;n=n+1|0;A=A+1|0}while((n|0)<(o|0));SQ(-215,g,261046,260039,3053)}if((d|0)==1|(l|0)==1){u=e;return}else{f[g>>2]=0;y=g+4|0;f[y>>2]=0;z=YG(g,77)|0;n=z;A=260968;o=n+77|0;do{b[n>>0]=b[A>>0]|0;n=n+1|0;A=A+1|0}while((n|0)<(o|0));SQ(-215,g,261046,260039,3053)}}function bca(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;e=u;u=u+16|0;g=e;h=a+8|0;f[h>>2]=-1;i=a+4|0;f[i>>2]=-1;f[a>>2]=56668;j=a+12|0;f[j>>2]=1124007936;k=a+16|0;l=a+20|0;m=a+52|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;p=a+60|0;q=a+56|0;f[q>>2]=p;f[p>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((j|0)!=(c|0)){p=c+36|0;r=f[p>>2]|0;if(r){s=r+12|0;f[s>>2]=(f[s>>2]|0)+1;s=a+48|0;r=f[s>>2]|0;if((r|0)!=0?(t=r+12|0,r=f[t>>2]|0,f[t>>2]=r+-1,(r|0)==1):0){lP(j);v=s}else v=s}else v=a+48|0;f[v>>2]=0;s=a+28|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[k>>2]|0)>0){r=f[m>>2]|0;m=0;do{f[r+(m<<2)>>2]=0;m=m+1|0;w=f[k>>2]|0}while((m|0)<(w|0));f[j>>2]=f[c>>2];if((w|0)<3)x=13;else x=15}else{f[j>>2]=f[c>>2];x=13}if((x|0)==13){w=f[c+4>>2]|0;if((w|0)<3){f[k>>2]=w;f[l>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];w=f[c+44>>2]|0;k=f[q>>2]|0;f[k>>2]=f[w>>2];f[k+4>>2]=f[w+4>>2]}else x=15}if((x|0)==15)kP(j,c);f[s>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[v>>2]=f[p>>2]}}else{p=g+8|0;f[p>>2]=0;f[p+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=j;kT(c,g)}f[h>>2]=d;d=f[l>>2]|0;l=f[a+24>>2]|0;f[i>>2]=d+-1+l;if((f[j>>2]&4095|0)!=6){f[g>>2]=0;y=g+4|0;f[y>>2]=0;z=YG(g,77)|0;n=z;A=260968;o=n+77|0;do{b[n>>0]=b[A>>0]|0;n=n+1|0;A=A+1|0}while((n|0)<(o|0));SQ(-215,g,261046,260039,3053)}if((d|0)==1|(l|0)==1){u=e;return}else{f[g>>2]=0;y=g+4|0;f[y>>2]=0;z=YG(g,77)|0;n=z;A=260968;o=n+77|0;do{b[n>>0]=b[A>>0]|0;n=n+1|0;A=A+1|0}while((n|0)<(o|0));SQ(-215,g,261046,260039,3053)}}function cca(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;e=u;u=u+16|0;g=e;h=a+8|0;f[h>>2]=-1;i=a+4|0;f[i>>2]=-1;f[a>>2]=56648;j=a+12|0;f[j>>2]=1124007936;k=a+16|0;l=a+20|0;m=a+52|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;p=a+60|0;q=a+56|0;f[q>>2]=p;f[p>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((j|0)!=(c|0)){p=c+36|0;r=f[p>>2]|0;if(r){s=r+12|0;f[s>>2]=(f[s>>2]|0)+1;s=a+48|0;r=f[s>>2]|0;if((r|0)!=0?(t=r+12|0,r=f[t>>2]|0,f[t>>2]=r+-1,(r|0)==1):0){lP(j);v=s}else v=s}else v=a+48|0;f[v>>2]=0;s=a+28|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[k>>2]|0)>0){r=f[m>>2]|0;m=0;do{f[r+(m<<2)>>2]=0;m=m+1|0;w=f[k>>2]|0}while((m|0)<(w|0));f[j>>2]=f[c>>2];if((w|0)<3)x=13;else x=15}else{f[j>>2]=f[c>>2];x=13}if((x|0)==13){w=f[c+4>>2]|0;if((w|0)<3){f[k>>2]=w;f[l>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];w=f[c+44>>2]|0;k=f[q>>2]|0;f[k>>2]=f[w>>2];f[k+4>>2]=f[w+4>>2]}else x=15}if((x|0)==15)kP(j,c);f[s>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[v>>2]=f[p>>2]}}else{p=g+8|0;f[p>>2]=0;f[p+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=j;kT(c,g)}f[h>>2]=d;d=f[l>>2]|0;l=f[a+24>>2]|0;f[i>>2]=d+-1+l;if((f[j>>2]&4095|0)!=5){f[g>>2]=0;y=g+4|0;f[y>>2]=0;z=YG(g,77)|0;n=z;A=260968;o=n+77|0;do{b[n>>0]=b[A>>0]|0;n=n+1|0;A=A+1|0}while((n|0)<(o|0));SQ(-215,g,261046,260039,3053)}if((d|0)==1|(l|0)==1){u=e;return}else{f[g>>2]=0;y=g+4|0;f[y>>2]=0;z=YG(g,77)|0;n=z;A=260968;o=n+77|0;do{b[n>>0]=b[A>>0]|0;n=n+1|0;A=A+1|0}while((n|0)<(o|0));SQ(-215,g,261046,260039,3053)}}function dca(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;e=u;u=u+16|0;g=e;h=a+8|0;f[h>>2]=-1;i=a+4|0;f[i>>2]=-1;f[a>>2]=56628;j=a+12|0;f[j>>2]=1124007936;k=a+16|0;l=a+20|0;m=a+52|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;p=a+60|0;q=a+56|0;f[q>>2]=p;f[p>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((j|0)!=(c|0)){p=c+36|0;r=f[p>>2]|0;if(r){s=r+12|0;f[s>>2]=(f[s>>2]|0)+1;s=a+48|0;r=f[s>>2]|0;if((r|0)!=0?(t=r+12|0,r=f[t>>2]|0,f[t>>2]=r+-1,(r|0)==1):0){lP(j);v=s}else v=s}else v=a+48|0;f[v>>2]=0;s=a+28|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[k>>2]|0)>0){r=f[m>>2]|0;m=0;do{f[r+(m<<2)>>2]=0;m=m+1|0;w=f[k>>2]|0}while((m|0)<(w|0));f[j>>2]=f[c>>2];if((w|0)<3)x=13;else x=15}else{f[j>>2]=f[c>>2];x=13}if((x|0)==13){w=f[c+4>>2]|0;if((w|0)<3){f[k>>2]=w;f[l>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];w=f[c+44>>2]|0;k=f[q>>2]|0;f[k>>2]=f[w>>2];f[k+4>>2]=f[w+4>>2]}else x=15}if((x|0)==15)kP(j,c);f[s>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[v>>2]=f[p>>2]}}else{p=g+8|0;f[p>>2]=0;f[p+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=j;kT(c,g)}f[h>>2]=d;d=f[l>>2]|0;l=f[a+24>>2]|0;f[i>>2]=d+-1+l;if((f[j>>2]&4095|0)!=6){f[g>>2]=0;y=g+4|0;f[y>>2]=0;z=YG(g,77)|0;n=z;A=260968;o=n+77|0;do{b[n>>0]=b[A>>0]|0;n=n+1|0;A=A+1|0}while((n|0)<(o|0));SQ(-215,g,261046,260039,3053)}if((d|0)==1|(l|0)==1){u=e;return}else{f[g>>2]=0;y=g+4|0;f[y>>2]=0;z=YG(g,77)|0;n=z;A=260968;o=n+77|0;do{b[n>>0]=b[A>>0]|0;n=n+1|0;A=A+1|0}while((n|0)<(o|0));SQ(-215,g,261046,260039,3053)}}function eca(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;e=u;u=u+16|0;g=e;h=a+8|0;f[h>>2]=-1;i=a+4|0;f[i>>2]=-1;f[a>>2]=56608;j=a+12|0;f[j>>2]=1124007936;k=a+16|0;l=a+20|0;m=a+52|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;p=a+60|0;q=a+56|0;f[q>>2]=p;f[p>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((j|0)!=(c|0)){p=c+36|0;r=f[p>>2]|0;if(r){s=r+12|0;f[s>>2]=(f[s>>2]|0)+1;s=a+48|0;r=f[s>>2]|0;if((r|0)!=0?(t=r+12|0,r=f[t>>2]|0,f[t>>2]=r+-1,(r|0)==1):0){lP(j);v=s}else v=s}else v=a+48|0;f[v>>2]=0;s=a+28|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[k>>2]|0)>0){r=f[m>>2]|0;m=0;do{f[r+(m<<2)>>2]=0;m=m+1|0;w=f[k>>2]|0}while((m|0)<(w|0));f[j>>2]=f[c>>2];if((w|0)<3)x=13;else x=15}else{f[j>>2]=f[c>>2];x=13}if((x|0)==13){w=f[c+4>>2]|0;if((w|0)<3){f[k>>2]=w;f[l>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];w=f[c+44>>2]|0;k=f[q>>2]|0;f[k>>2]=f[w>>2];f[k+4>>2]=f[w+4>>2]}else x=15}if((x|0)==15)kP(j,c);f[s>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[v>>2]=f[p>>2]}}else{p=g+8|0;f[p>>2]=0;f[p+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=j;kT(c,g)}f[h>>2]=d;d=f[l>>2]|0;l=f[a+24>>2]|0;f[i>>2]=d+-1+l;if((f[j>>2]&4095|0)!=6){f[g>>2]=0;y=g+4|0;f[y>>2]=0;z=YG(g,77)|0;n=z;A=260968;o=n+77|0;do{b[n>>0]=b[A>>0]|0;n=n+1|0;A=A+1|0}while((n|0)<(o|0));SQ(-215,g,261046,260039,3053)}if((d|0)==1|(l|0)==1){u=e;return}else{f[g>>2]=0;y=g+4|0;f[y>>2]=0;z=YG(g,77)|0;n=z;A=260968;o=n+77|0;do{b[n>>0]=b[A>>0]|0;n=n+1|0;A=A+1|0}while((n|0)<(o|0));SQ(-215,g,261046,260039,3053)}}function fca(a){a=a|0;Emc(a);return}function gca(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function hca(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=56608;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;tE(b);return}function ica(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=56608;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function jca(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,q=0.0,r=0.0,s=0;g=f[a+4>>2]|0;h=f[a+28>>2]|0;a=Y(e,d)|0;d=a+-4|0;do if((a|0)<4)i=0;else{if((g|0)>1)j=0;else{k=0;do{l=b+(k<<3)|0;m=+p[h>>3];n=m*+p[l+8>>3];o=m*+p[l+16>>3];q=m*+p[l+24>>3];p[c+(k<<3)>>3]=m*+p[l>>3];p[c+((k|1)<<3)>>3]=n;p[c+((k|2)<<3)>>3]=o;p[c+((k|3)<<3)>>3]=q;k=k+4|0}while((k|0)<=(d|0));i=a&-4;break}do{k=b+(j<<3)|0;q=+p[h>>3];l=k;o=q*+p[k+24>>3];n=q*+p[k+16>>3];m=q*+p[k+8>>3];r=q*+p[k>>3];k=1;do{l=l+(e<<3)|0;q=+p[h+(k<<3)>>3];r=r+q*+p[l>>3];m=m+q*+p[l+8>>3];n=n+q*+p[l+16>>3];o=o+q*+p[l+24>>3];k=k+1|0}while((k|0)!=(g|0));p[c+(j<<3)>>3]=r;p[c+((j|1)<<3)>>3]=m;p[c+((j|2)<<3)>>3]=n;p[c+((j|3)<<3)>>3]=o;j=j+4|0}while((j|0)<=(d|0));i=a&-4}while(0);if((i|0)>=(a|0))return;if((g|0)>1)s=i;else{d=i;do{p[c+(d<<3)>>3]=+p[h>>3]*+p[b+(d<<3)>>3];d=d+1|0}while((d|0)!=(a|0));return}do{d=b+(s<<3)|0;q=+p[h>>3]*+p[d>>3];i=d;d=1;do{i=i+(e<<3)|0;q=q+ +p[h+(d<<3)>>3]*+p[i>>3];d=d+1|0}while((d|0)!=(g|0));p[c+(s<<3)>>3]=q;s=s+1|0}while((s|0)!=(a|0));return}function kca(a){a=a|0;Emc(a);return}function lca(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function mca(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=56628;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;tE(b);return}function nca(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=56628;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function oca(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0.0,o=0.0,q=0.0,r=0.0,s=0.0,t=0;g=f[a+4>>2]|0;h=f[a+28>>2]|0;a=Y(e,d)|0;d=a+-4|0;do if((a|0)<4)i=0;else{if((g|0)>1)j=0;else{k=0;do{l=b+(k<<2)|0;m=+p[h>>3];o=m*+n[l+4>>2];q=m*+n[l+8>>2];r=m*+n[l+12>>2];p[c+(k<<3)>>3]=m*+n[l>>2];p[c+((k|1)<<3)>>3]=o;p[c+((k|2)<<3)>>3]=q;p[c+((k|3)<<3)>>3]=r;k=k+4|0}while((k|0)<=(d|0));i=a&-4;break}do{k=b+(j<<2)|0;r=+p[h>>3];l=k;q=r*+n[k+12>>2];o=r*+n[k+8>>2];m=r*+n[k+4>>2];s=r*+n[k>>2];k=1;do{l=l+(e<<2)|0;r=+p[h+(k<<3)>>3];s=s+r*+n[l>>2];m=m+r*+n[l+4>>2];o=o+r*+n[l+8>>2];q=q+r*+n[l+12>>2];k=k+1|0}while((k|0)!=(g|0));p[c+(j<<3)>>3]=s;p[c+((j|1)<<3)>>3]=m;p[c+((j|2)<<3)>>3]=o;p[c+((j|3)<<3)>>3]=q;j=j+4|0}while((j|0)<=(d|0));i=a&-4}while(0);if((i|0)>=(a|0))return;if((g|0)>1)t=i;else{d=i;do{p[c+(d<<3)>>3]=+p[h>>3]*+n[b+(d<<2)>>2];d=d+1|0}while((d|0)!=(a|0));return}do{d=b+(t<<2)|0;r=+p[h>>3]*+n[d>>2];i=d;d=1;do{i=i+(e<<2)|0;r=r+ +p[h+(d<<3)>>3]*+n[i>>2];d=d+1|0}while((d|0)!=(g|0));p[c+(t<<3)>>3]=r;t=t+1|0}while((t|0)!=(a|0));return}function pca(a){a=a|0;Emc(a);return}function qca(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function rca(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=56648;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;tE(b);return}function sca(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=56648;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function tca(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0;g=f[a+4>>2]|0;h=f[a+28>>2]|0;a=Y(e,d)|0;d=a+-4|0;do if((a|0)<4)i=0;else{if((g|0)>1)j=0;else{k=0;do{l=b+(k<<2)|0;m=+n[h>>2];o=m*+n[l+4>>2];p=m*+n[l+8>>2];q=m*+n[l+12>>2];n[c+(k<<2)>>2]=m*+n[l>>2];n[c+((k|1)<<2)>>2]=o;n[c+((k|2)<<2)>>2]=p;n[c+((k|3)<<2)>>2]=q;k=k+4|0}while((k|0)<=(d|0));i=a&-4;break}do{k=b+(j<<2)|0;q=+n[h>>2];l=k;p=q*+n[k+12>>2];o=q*+n[k+8>>2];m=q*+n[k+4>>2];r=q*+n[k>>2];k=1;do{l=l+(e<<2)|0;q=+n[h+(k<<2)>>2];r=r+q*+n[l>>2];m=m+q*+n[l+4>>2];o=o+q*+n[l+8>>2];p=p+q*+n[l+12>>2];k=k+1|0}while((k|0)!=(g|0));n[c+(j<<2)>>2]=r;n[c+((j|1)<<2)>>2]=m;n[c+((j|2)<<2)>>2]=o;n[c+((j|3)<<2)>>2]=p;j=j+4|0}while((j|0)<=(d|0));i=a&-4}while(0);if((i|0)>=(a|0))return;if((g|0)>1)s=i;else{d=i;do{n[c+(d<<2)>>2]=+n[h>>2]*+n[b+(d<<2)>>2];d=d+1|0}while((d|0)!=(a|0));return}do{d=b+(s<<2)|0;q=+n[h>>2]*+n[d>>2];i=d;d=1;do{i=i+(e<<2)|0;q=q+ +n[h+(d<<2)>>2]*+n[i>>2];d=d+1|0}while((d|0)!=(g|0));n[c+(s<<2)>>2]=q;s=s+1|0}while((s|0)!=(a|0));return}function uca(a){a=a|0;Emc(a);return}function vca(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function wca(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=56668;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;tE(b);return}function xca(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=56668;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function yca(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0.0,o=0.0,q=0.0,r=0.0,s=0.0,t=0;h=f[a+4>>2]|0;i=f[a+28>>2]|0;a=Y(g,e)|0;e=a+-4|0;do if((a|0)<4)j=0;else{if((h|0)>1)k=0;else{l=0;do{m=b+(l<<1)|0;n=+p[i>>3];o=n*+(d[m+2>>1]|0);q=n*+(d[m+4>>1]|0);r=n*+(d[m+6>>1]|0);p[c+(l<<3)>>3]=n*+(d[m>>1]|0);p[c+((l|1)<<3)>>3]=o;p[c+((l|2)<<3)>>3]=q;p[c+((l|3)<<3)>>3]=r;l=l+4|0}while((l|0)<=(e|0));j=a&-4;break}do{l=b+(k<<1)|0;r=+p[i>>3];m=l;q=r*+(d[l+6>>1]|0);o=r*+(d[l+4>>1]|0);n=r*+(d[l+2>>1]|0);s=r*+(d[l>>1]|0);l=1;do{m=m+(g<<1)|0;r=+p[i+(l<<3)>>3];s=s+r*+(d[m>>1]|0);n=n+r*+(d[m+2>>1]|0);o=o+r*+(d[m+4>>1]|0);q=q+r*+(d[m+6>>1]|0);l=l+1|0}while((l|0)!=(h|0));p[c+(k<<3)>>3]=s;p[c+((k|1)<<3)>>3]=n;p[c+((k|2)<<3)>>3]=o;p[c+((k|3)<<3)>>3]=q;k=k+4|0}while((k|0)<=(e|0));j=a&-4}while(0);if((j|0)>=(a|0))return;if((h|0)>1)t=j;else{e=j;do{p[c+(e<<3)>>3]=+p[i>>3]*+(d[b+(e<<1)>>1]|0);e=e+1|0}while((e|0)!=(a|0));return}do{e=b+(t<<1)|0;r=+p[i>>3]*+(d[e>>1]|0);j=e;e=1;do{j=j+(g<<1)|0;r=r+ +p[i+(e<<3)>>3]*+(d[j>>1]|0);e=e+1|0}while((e|0)!=(h|0));p[c+(t<<3)>>3]=r;t=t+1|0}while((t|0)!=(a|0));return}function zca(a){a=a|0;Emc(a);return}function Aca(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Bca(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=56688;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;tE(b);return}function Cca(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=56688;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function Dca(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0;h=f[a+4>>2]|0;i=f[a+28>>2]|0;a=Y(g,e)|0;e=a+-4|0;do if((a|0)<4)j=0;else{if((h|0)>1)k=0;else{l=0;do{m=b+(l<<1)|0;o=+n[i>>2];p=o*+(d[m+2>>1]|0);q=o*+(d[m+4>>1]|0);r=o*+(d[m+6>>1]|0);n[c+(l<<2)>>2]=o*+(d[m>>1]|0);n[c+((l|1)<<2)>>2]=p;n[c+((l|2)<<2)>>2]=q;n[c+((l|3)<<2)>>2]=r;l=l+4|0}while((l|0)<=(e|0));j=a&-4;break}do{l=b+(k<<1)|0;r=+n[i>>2];m=l;q=r*+(d[l+6>>1]|0);p=r*+(d[l+4>>1]|0);o=r*+(d[l+2>>1]|0);s=r*+(d[l>>1]|0);l=1;do{m=m+(g<<1)|0;r=+n[i+(l<<2)>>2];s=s+r*+(d[m>>1]|0);o=o+r*+(d[m+2>>1]|0);p=p+r*+(d[m+4>>1]|0);q=q+r*+(d[m+6>>1]|0);l=l+1|0}while((l|0)!=(h|0));n[c+(k<<2)>>2]=s;n[c+((k|1)<<2)>>2]=o;n[c+((k|2)<<2)>>2]=p;n[c+((k|3)<<2)>>2]=q;k=k+4|0}while((k|0)<=(e|0));j=a&-4}while(0);if((j|0)>=(a|0))return;if((h|0)>1)t=j;else{e=j;do{n[c+(e<<2)>>2]=+n[i>>2]*+(d[b+(e<<1)>>1]|0);e=e+1|0}while((e|0)!=(a|0));return}do{e=b+(t<<1)|0;r=+n[i>>2]*+(d[e>>1]|0);j=e;e=1;do{j=j+(g<<1)|0;r=r+ +n[i+(e<<2)>>2]*+(d[j>>1]|0);e=e+1|0}while((e|0)!=(h|0));n[c+(t<<2)>>2]=r;t=t+1|0}while((t|0)!=(a|0));return}function Eca(a){a=a|0;Emc(a);return}function Fca(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Gca(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=56708;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;tE(b);return}function Hca(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=56708;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function Ica(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,k=0,l=0,m=0,n=0.0,o=0.0,q=0.0,r=0.0,s=0.0,t=0;g=f[a+4>>2]|0;h=f[a+28>>2]|0;a=Y(e,d)|0;d=a+-4|0;do if((a|0)<4)i=0;else{if((g|0)>1)k=0;else{l=0;do{m=b+(l<<1)|0;n=+p[h>>3];o=n*+(j[m+2>>1]|0);q=n*+(j[m+4>>1]|0);r=n*+(j[m+6>>1]|0);p[c+(l<<3)>>3]=n*+(j[m>>1]|0);p[c+((l|1)<<3)>>3]=o;p[c+((l|2)<<3)>>3]=q;p[c+((l|3)<<3)>>3]=r;l=l+4|0}while((l|0)<=(d|0));i=a&-4;break}do{l=b+(k<<1)|0;r=+p[h>>3];m=l;q=r*+(j[l+6>>1]|0);o=r*+(j[l+4>>1]|0);n=r*+(j[l+2>>1]|0);s=r*+(j[l>>1]|0);l=1;do{m=m+(e<<1)|0;r=+p[h+(l<<3)>>3];s=s+r*+(j[m>>1]|0);n=n+r*+(j[m+2>>1]|0);o=o+r*+(j[m+4>>1]|0);q=q+r*+(j[m+6>>1]|0);l=l+1|0}while((l|0)!=(g|0));p[c+(k<<3)>>3]=s;p[c+((k|1)<<3)>>3]=n;p[c+((k|2)<<3)>>3]=o;p[c+((k|3)<<3)>>3]=q;k=k+4|0}while((k|0)<=(d|0));i=a&-4}while(0);if((i|0)>=(a|0))return;if((g|0)>1)t=i;else{d=i;do{p[c+(d<<3)>>3]=+p[h>>3]*+(j[b+(d<<1)>>1]|0);d=d+1|0}while((d|0)!=(a|0));return}do{d=b+(t<<1)|0;r=+p[h>>3]*+(j[d>>1]|0);i=d;d=1;do{i=i+(e<<1)|0;r=r+ +p[h+(d<<3)>>3]*+(j[i>>1]|0);d=d+1|0}while((d|0)!=(g|0));p[c+(t<<3)>>3]=r;t=t+1|0}while((t|0)!=(a|0));return}function Jca(a){a=a|0;Emc(a);return}function Kca(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Lca(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=56728;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;tE(b);return}function Mca(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=56728;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function Nca(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,k=0,l=0,m=0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0;g=f[a+4>>2]|0;h=f[a+28>>2]|0;a=Y(e,d)|0;d=a+-4|0;do if((a|0)<4)i=0;else{if((g|0)>1)k=0;else{l=0;do{m=b+(l<<1)|0;o=+n[h>>2];p=o*+(j[m+2>>1]|0);q=o*+(j[m+4>>1]|0);r=o*+(j[m+6>>1]|0);n[c+(l<<2)>>2]=o*+(j[m>>1]|0);n[c+((l|1)<<2)>>2]=p;n[c+((l|2)<<2)>>2]=q;n[c+((l|3)<<2)>>2]=r;l=l+4|0}while((l|0)<=(d|0));i=a&-4;break}do{l=b+(k<<1)|0;r=+n[h>>2];m=l;q=r*+(j[l+6>>1]|0);p=r*+(j[l+4>>1]|0);o=r*+(j[l+2>>1]|0);s=r*+(j[l>>1]|0);l=1;do{m=m+(e<<1)|0;r=+n[h+(l<<2)>>2];s=s+r*+(j[m>>1]|0);o=o+r*+(j[m+2>>1]|0);p=p+r*+(j[m+4>>1]|0);q=q+r*+(j[m+6>>1]|0);l=l+1|0}while((l|0)!=(g|0));n[c+(k<<2)>>2]=s;n[c+((k|1)<<2)>>2]=o;n[c+((k|2)<<2)>>2]=p;n[c+((k|3)<<2)>>2]=q;k=k+4|0}while((k|0)<=(d|0));i=a&-4}while(0);if((i|0)>=(a|0))return;if((g|0)>1)t=i;else{d=i;do{n[c+(d<<2)>>2]=+n[h>>2]*+(j[b+(d<<1)>>1]|0);d=d+1|0}while((d|0)!=(a|0));return}do{d=b+(t<<1)|0;r=+n[h>>2]*+(j[d>>1]|0);i=d;d=1;do{i=i+(e<<1)|0;r=r+ +n[h+(d<<2)>>2]*+(j[i>>1]|0);d=d+1|0}while((d|0)!=(g|0));n[c+(t<<2)>>2]=r;t=t+1|0}while((t|0)!=(a|0));return}function Oca(a){a=a|0;Emc(a);return}function Pca(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Qca(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=56748;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;tE(b);return}function Rca(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=56748;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function Sca(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0.0,o=0.0,q=0.0,r=0.0,s=0.0,t=0;g=f[a+4>>2]|0;i=f[a+28>>2]|0;a=Y(e,d)|0;d=a+-4|0;do if((a|0)<4)j=0;else{if((g|0)>1)k=0;else{l=0;do{m=b+l|0;n=+p[i>>3];o=n*+(h[m+1>>0]|0);q=n*+(h[m+2>>0]|0);r=n*+(h[m+3>>0]|0);p[c+(l<<3)>>3]=n*+(h[m>>0]|0);p[c+((l|1)<<3)>>3]=o;p[c+((l|2)<<3)>>3]=q;p[c+((l|3)<<3)>>3]=r;l=l+4|0}while((l|0)<=(d|0));j=a&-4;break}do{l=b+k|0;r=+p[i>>3];m=l;q=r*+(h[l+3>>0]|0);o=r*+(h[l+2>>0]|0);n=r*+(h[l+1>>0]|0);s=r*+(h[l>>0]|0);l=1;do{m=m+e|0;r=+p[i+(l<<3)>>3];s=s+r*+(h[m>>0]|0);n=n+r*+(h[m+1>>0]|0);o=o+r*+(h[m+2>>0]|0);q=q+r*+(h[m+3>>0]|0);l=l+1|0}while((l|0)!=(g|0));p[c+(k<<3)>>3]=s;p[c+((k|1)<<3)>>3]=n;p[c+((k|2)<<3)>>3]=o;p[c+((k|3)<<3)>>3]=q;k=k+4|0}while((k|0)<=(d|0));j=a&-4}while(0);if((j|0)>=(a|0))return;if((g|0)>1)t=j;else{d=j;do{p[c+(d<<3)>>3]=+p[i>>3]*+(h[b+d>>0]|0);d=d+1|0}while((d|0)!=(a|0));return}do{d=b+t|0;r=+p[i>>3]*+(h[d>>0]|0);j=d;d=1;do{j=j+e|0;r=r+ +p[i+(d<<3)>>3]*+(h[j>>0]|0);d=d+1|0}while((d|0)!=(g|0));p[c+(t<<3)>>3]=r;t=t+1|0}while((t|0)!=(a|0));return}function Tca(a){a=a|0;Emc(a);return}function Uca(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Vca(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=56768;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;tE(b);return}function Wca(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=56768;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function Xca(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0;g=f[a+4>>2]|0;i=f[a+28>>2]|0;a=Y(e,d)|0;d=a+-4|0;do if((a|0)<4)j=0;else{if((g|0)>1)k=0;else{l=0;do{m=b+l|0;o=+n[i>>2];p=o*+(h[m+1>>0]|0);q=o*+(h[m+2>>0]|0);r=o*+(h[m+3>>0]|0);n[c+(l<<2)>>2]=o*+(h[m>>0]|0);n[c+((l|1)<<2)>>2]=p;n[c+((l|2)<<2)>>2]=q;n[c+((l|3)<<2)>>2]=r;l=l+4|0}while((l|0)<=(d|0));j=a&-4;break}do{l=b+k|0;r=+n[i>>2];m=l;q=r*+(h[l+3>>0]|0);p=r*+(h[l+2>>0]|0);o=r*+(h[l+1>>0]|0);s=r*+(h[l>>0]|0);l=1;do{m=m+e|0;r=+n[i+(l<<2)>>2];s=s+r*+(h[m>>0]|0);o=o+r*+(h[m+1>>0]|0);p=p+r*+(h[m+2>>0]|0);q=q+r*+(h[m+3>>0]|0);l=l+1|0}while((l|0)!=(g|0));n[c+(k<<2)>>2]=s;n[c+((k|1)<<2)>>2]=o;n[c+((k|2)<<2)>>2]=p;n[c+((k|3)<<2)>>2]=q;k=k+4|0}while((k|0)<=(d|0));j=a&-4}while(0);if((j|0)>=(a|0))return;if((g|0)>1)t=j;else{d=j;do{n[c+(d<<2)>>2]=+n[i>>2]*+(h[b+d>>0]|0);d=d+1|0}while((d|0)!=(a|0));return}do{d=b+t|0;r=+n[i>>2]*+(h[d>>0]|0);j=d;d=1;do{j=j+e|0;r=r+ +n[i+(d<<2)>>2]*+(h[j>>0]|0);d=d+1|0}while((d|0)!=(g|0));n[c+(t<<2)>>2]=r;t=t+1|0}while((t|0)!=(a|0));return}function Yca(a){a=a|0;Emc(a);return}function Zca(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function _ca(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=56788;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;tE(b);return}function $ca(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=56788;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function ada(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;g=f[a+4>>2]|0;i=f[a+28>>2]|0;a=Y(e,d)|0;d=a+-4|0;do if((a|0)<4)j=0;else{if((g|0)>1)k=0;else{l=0;do{m=b+l|0;n=f[i>>2]|0;o=Y(h[m>>0]|0,n)|0;p=Y(h[m+1>>0]|0,n)|0;q=Y(h[m+2>>0]|0,n)|0;r=Y(h[m+3>>0]|0,n)|0;f[c+(l<<2)>>2]=o;f[c+((l|1)<<2)>>2]=p;f[c+((l|2)<<2)>>2]=q;f[c+((l|3)<<2)>>2]=r;l=l+4|0}while((l|0)<=(d|0));j=a&-4;break}do{l=b+k|0;r=f[i>>2]|0;q=Y(h[l>>0]|0,r)|0;p=Y(h[l+1>>0]|0,r)|0;o=Y(h[l+2>>0]|0,r)|0;n=l;m=Y(h[l+3>>0]|0,r)|0;r=o;o=p;p=q;q=1;do{n=n+e|0;l=f[i+(q<<2)>>2]|0;p=(Y(h[n>>0]|0,l)|0)+p|0;o=(Y(h[n+1>>0]|0,l)|0)+o|0;r=(Y(h[n+2>>0]|0,l)|0)+r|0;m=(Y(h[n+3>>0]|0,l)|0)+m|0;q=q+1|0}while((q|0)!=(g|0));f[c+(k<<2)>>2]=p;f[c+((k|1)<<2)>>2]=o;f[c+((k|2)<<2)>>2]=r;f[c+((k|3)<<2)>>2]=m;k=k+4|0}while((k|0)<=(d|0));j=a&-4}while(0);if((j|0)>=(a|0))return;if((g|0)>1)s=j;else{d=j;do{j=Y(h[b+d>>0]|0,f[i>>2]|0)|0;f[c+(d<<2)>>2]=j;d=d+1|0}while((d|0)!=(a|0));return}do{d=b+s|0;j=Y(h[d>>0]|0,f[i>>2]|0)|0;k=d;d=1;do{k=k+e|0;j=(Y(h[k>>0]|0,f[i+(d<<2)>>2]|0)|0)+j|0;d=d+1|0}while((d|0)!=(g|0));f[c+(s<<2)>>2]=j;s=s+1|0}while((s|0)!=(a|0));return}function bda(a){a=a|0;Emc(a);return}function cda(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function dda(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;e=u;u=u+16|0;g=e;h=a+8|0;f[h>>2]=-1;i=a+4|0;f[i>>2]=-1;f[a>>2]=56828;j=a+12|0;f[j>>2]=1124007936;k=a+16|0;l=a+20|0;m=a+52|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;p=a+60|0;q=a+56|0;f[q>>2]=p;f[p>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((j|0)!=(c|0)){p=c+36|0;r=f[p>>2]|0;if(r){s=r+12|0;f[s>>2]=(f[s>>2]|0)+1;s=a+48|0;r=f[s>>2]|0;if((r|0)!=0?(t=r+12|0,r=f[t>>2]|0,f[t>>2]=r+-1,(r|0)==1):0){lP(j);v=s}else v=s}else v=a+48|0;f[v>>2]=0;s=a+28|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[k>>2]|0)>0){r=f[m>>2]|0;m=0;do{f[r+(m<<2)>>2]=0;m=m+1|0;w=f[k>>2]|0}while((m|0)<(w|0));f[j>>2]=f[c>>2];if((w|0)<3)x=13;else x=15}else{f[j>>2]=f[c>>2];x=13}if((x|0)==13){w=f[c+4>>2]|0;if((w|0)<3){f[k>>2]=w;f[l>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];w=f[c+44>>2]|0;k=f[q>>2]|0;f[k>>2]=f[w>>2];f[k+4>>2]=f[w+4>>2]}else x=15}if((x|0)==15)kP(j,c);f[s>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[v>>2]=f[p>>2]}}else{p=g+8|0;f[p>>2]=0;f[p+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=j;kT(c,g)}f[h>>2]=d;d=f[l>>2]|0;l=f[a+24>>2]|0;f[i>>2]=d+-1+l;if((f[j>>2]&4095|0)!=5){f[g>>2]=0;y=g+4|0;f[y>>2]=0;z=YG(g,77)|0;n=z;A=260968;o=n+77|0;do{b[n>>0]=b[A>>0]|0;n=n+1|0;A=A+1|0}while((n|0)<(o|0));SQ(-215,g,261046,260039,3053)}if((d|0)==1|(l|0)==1){u=e;return}else{f[g>>2]=0;y=g+4|0;f[y>>2]=0;z=YG(g,77)|0;n=z;A=260968;o=n+77|0;do{b[n>>0]=b[A>>0]|0;n=n+1|0;A=A+1|0}while((n|0)<(o|0));SQ(-215,g,261046,260039,3053)}}function eda(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=56828;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;tE(b);return}function fda(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=56828;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function gda(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0;g=f[a+4>>2]|0;h=f[a+28>>2]|0;a=Y(e,d)|0;d=a+-4|0;do if((a|0)<4)i=0;else{if((g|0)>1)j=0;else{k=0;do{l=b+(k<<2)|0;m=+n[h>>2];o=m*+n[l+4>>2];p=m*+n[l+8>>2];q=m*+n[l+12>>2];n[c+(k<<2)>>2]=m*+n[l>>2];n[c+((k|1)<<2)>>2]=o;n[c+((k|2)<<2)>>2]=p;n[c+((k|3)<<2)>>2]=q;k=k+4|0}while((k|0)<=(d|0));i=a&-4;break}do{k=b+(j<<2)|0;q=+n[h>>2];l=k;p=q*+n[k+12>>2];o=q*+n[k+8>>2];m=q*+n[k+4>>2];r=q*+n[k>>2];k=1;do{l=l+(e<<2)|0;q=+n[h+(k<<2)>>2];r=r+q*+n[l>>2];m=m+q*+n[l+4>>2];o=o+q*+n[l+8>>2];p=p+q*+n[l+12>>2];k=k+1|0}while((k|0)!=(g|0));n[c+(j<<2)>>2]=r;n[c+((j|1)<<2)>>2]=m;n[c+((j|2)<<2)>>2]=o;n[c+((j|3)<<2)>>2]=p;j=j+4|0}while((j|0)<=(d|0));i=a&-4}while(0);if((i|0)>=(a|0))return;if((g|0)>1)s=i;else{d=i;do{n[c+(d<<2)>>2]=+n[h>>2]*+n[b+(d<<2)>>2];d=d+1|0}while((d|0)!=(a|0));return}do{d=b+(s<<2)|0;q=+n[h>>2]*+n[d>>2];i=d;d=1;do{i=i+(e<<2)|0;q=q+ +n[h+(d<<2)>>2]*+n[i>>2];d=d+1|0}while((d|0)!=(g|0));n[c+(s<<2)>>2]=q;s=s+1|0}while((s|0)!=(a|0));return}function hda(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=56828;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function ida(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0.0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0,F=0,G=0,H=0,I=0.0,J=0,K=0;g=f[a+4>>2]|0;h=(g|0)/2|0;i=Y(h,e)|0;j=(f[a+28>>2]|0)+(h<<2)|0;k=b+(i<<2)|0;l=Y(e,d)|0;if(!(f[a+72>>2]&1)){a:do switch(g|0){case 3:{m=+n[j+4>>2];a=l+-2|0;d=(l|0)<2;if(+n[j>>2]==0.0&m==1.0){if(d){o=k;p=0;break a}q=0-e|0;r=e+1|0;s=1-e|0;t=a>>>1;u=t<<1;v=b+((i<<2)+(t<<3)+8)|0;t=k;w=0;while(1){x=+n[t+(r<<2)>>2]-+n[t+(s<<2)>>2];n[c+(w<<2)>>2]=+n[t+(e<<2)>>2]-+n[t+(q<<2)>>2];n[c+((w|1)<<2)>>2]=x;w=w+2|0;if((w|0)>(a|0))break;else t=t+8|0}o=v;p=u+2|0;break a}else{if(d){o=k;p=0;break a}t=0-e|0;w=e+1|0;q=1-e|0;s=a>>>1;r=s<<1;y=b+((i<<2)+(s<<3)+8)|0;s=k;z=0;while(1){x=m*(+n[s+(w<<2)>>2]-+n[s+(q<<2)>>2]);n[c+(z<<2)>>2]=m*(+n[s+(e<<2)>>2]-+n[s+(t<<2)>>2]);n[c+((z|1)<<2)>>2]=x;z=z+2|0;if((z|0)>(a|0))break;else s=s+8|0}o=y;p=r+2|0;break a}break}case 5:{m=+n[j+4>>2];x=+n[j+8>>2];s=l+-2|0;if((l|0)<2){o=k;p=0}else{a=0-e|0;z=e<<1;t=a<<1;q=e+1|0;w=1-e|0;d=z|1;u=1-z|0;v=s>>>1;A=v<<1;B=b+((i<<2)+(v<<3)+8)|0;v=0;C=k;while(1){D=m*(+n[C+(q<<2)>>2]-+n[C+(w<<2)>>2])+x*(+n[C+(d<<2)>>2]-+n[C+(u<<2)>>2]);n[c+(v<<2)>>2]=m*(+n[C+(e<<2)>>2]-+n[C+(a<<2)>>2])+x*(+n[C+(z<<2)>>2]-+n[C+(t<<2)>>2]);n[c+((v|1)<<2)>>2]=D;v=v+2|0;if((v|0)>(s|0))break;else C=C+8|0}o=B;p=A+2|0}break}default:{o=k;p=0}}while(0);if((p|0)>=(l|0))return;if((g|0)<2){C=o;s=p;while(1){n[c+(s<<2)>>2]=+n[j>>2]*+n[C>>2];s=s+1|0;if((s|0)==(l|0))break;else C=C+4|0}return}else{E=o;F=p}while(1){x=+n[j>>2]*+n[E>>2];p=e;o=1;while(1){x=x+ +n[j+(o<<2)>>2]*(+n[E+(p<<2)>>2]-+n[E+(0-p<<2)>>2]);if((o|0)>=(h|0))break;else{p=p+e|0;o=o+1|0}}n[c+(F<<2)>>2]=x;F=F+1|0;if((F|0)==(l|0))break;else E=E+4|0}return}b:do switch(g|0){case 1:{if(+n[j>>2]==1.0?(E=l+-2|0,(l|0)>=2):0){F=E>>>1;o=F<<1;p=b+((i<<2)+(F<<3)+8)|0;F=0;A=k;while(1){B=F|1;C=f[k+(B<<2)>>2]|0;f[c+(F<<2)>>2]=f[A>>2];f[c+(B<<2)>>2]=C;C=F+2|0;if((C|0)>(E|0))break;else{F=C;A=k+(C<<2)|0}}G=p;H=o+2|0}else{G=k;H=0}break}case 3:{x=+n[j>>2];m=+n[j+4>>2];A=m==1.0;if(x==2.0&A){F=l+-2|0;if((l|0)<2){G=k;H=0;break b}E=0-e|0;C=1-e|0;B=e+1|0;s=F>>>1;v=s<<1;t=b+((i<<2)+(s<<3)+8)|0;s=k;z=0;while(1){D=+n[s+(B<<2)>>2]+(+n[s+(C<<2)>>2]+ +n[s+4>>2]*2.0);n[c+(z<<2)>>2]=+n[s+(e<<2)>>2]+(+n[s+(E<<2)>>2]+ +n[s>>2]*2.0);n[c+((z|1)<<2)>>2]=D;z=z+2|0;if((z|0)>(F|0))break;else s=s+8|0}G=t;H=v+2|0;break b}s=l+-2|0;F=(l|0)<2;if(x==-2.0&A){if(F){G=k;H=0;break b}z=0-e|0;E=1-e|0;C=e+1|0;B=s>>>1;o=B<<1;p=b+((i<<2)+(B<<3)+8)|0;B=k;a=0;while(1){D=+n[B+(C<<2)>>2]+(+n[B+(E<<2)>>2]-+n[B+4>>2]*2.0);n[c+(a<<2)>>2]=+n[B+(e<<2)>>2]+(+n[B+(z<<2)>>2]-+n[B>>2]*2.0);n[c+((a|1)<<2)>>2]=D;a=a+2|0;if((a|0)>(s|0))break;else B=B+8|0}G=p;H=o+2|0;break b}else{if(F){G=k;H=0;break b}B=0-e|0;a=1-e|0;z=e+1|0;E=s>>>1;C=E<<1;A=b+((i<<2)+(E<<3)+8)|0;E=k;v=0;while(1){D=x*+n[E+4>>2]+m*(+n[E+(a<<2)>>2]+ +n[E+(z<<2)>>2]);n[c+(v<<2)>>2]=x*+n[E>>2]+m*(+n[E+(B<<2)>>2]+ +n[E+(e<<2)>>2]);n[c+((v|1)<<2)>>2]=D;v=v+2|0;if((v|0)>(s|0))break;else E=E+8|0}G=A;H=C+2|0;break b}break}case 5:{m=+n[j>>2];x=+n[j+4>>2];D=+n[j+8>>2];E=l+-2|0;s=(l|0)<2;if(m==-2.0&x==0.0&D==1.0){if(s){G=k;H=0;break b}v=0-e<<1;B=e<<1;z=1-B|0;a=B|1;F=E>>>1;o=F<<1;p=b+((i<<2)+(F<<3)+8)|0;F=k;t=0;while(1){I=+n[F+(z<<2)>>2]-+n[F+4>>2]*2.0+ +n[F+(a<<2)>>2];n[c+(t<<2)>>2]=+n[F+(v<<2)>>2]-+n[F>>2]*2.0+ +n[F+(B<<2)>>2];n[c+((t|1)<<2)>>2]=I;t=t+2|0;if((t|0)>(E|0))break;else F=F+8|0}G=p;H=o+2|0;break b}else{if(s){G=k;H=0;break b}F=0-e|0;t=F<<1;B=e<<1;v=1-e|0;a=e+1|0;z=1-B|0;C=B|1;A=E>>>1;u=A<<1;d=b+((i<<2)+(A<<3)+8)|0;A=k;w=0;while(1){I=m*+n[A+4>>2]+x*(+n[A+(v<<2)>>2]+ +n[A+(a<<2)>>2])+D*(+n[A+(z<<2)>>2]+ +n[A+(C<<2)>>2]);n[c+(w<<2)>>2]=m*+n[A>>2]+x*(+n[A+(F<<2)>>2]+ +n[A+(e<<2)>>2])+D*(+n[A+(t<<2)>>2]+ +n[A+(B<<2)>>2]);n[c+((w|1)<<2)>>2]=I;w=w+2|0;if((w|0)>(E|0))break;else A=A+8|0}G=d;H=u+2|0;break b}break}default:{G=k;H=0}}while(0);if((H|0)>=(l|0))return;if((g|0)<2){g=G;k=H;while(1){n[c+(k<<2)>>2]=+n[j>>2]*+n[g>>2];k=k+1|0;if((k|0)==(l|0))break;else g=g+4|0}return}else{J=G;K=H}while(1){H=e;G=1;D=+n[j>>2]*+n[J>>2];while(1){D=D+ +n[j+(G<<2)>>2]*(+n[J+(H<<2)>>2]+ +n[J+(0-H<<2)>>2]);if((G|0)>=(h|0))break;else{H=H+e|0;G=G+1|0}}n[c+(K<<2)>>2]=D;K=K+1|0;if((K|0)==(l|0))break;else J=J+4|0}return}function jda(a){a=a|0;Emc(a);return}function kda(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function lda(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;e=u;u=u+16|0;g=e;h=a+8|0;f[h>>2]=-1;i=a+4|0;f[i>>2]=-1;f[a>>2]=56868;j=a+12|0;f[j>>2]=1124007936;k=a+16|0;l=a+20|0;m=a+52|0;n=k;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[m>>2]=l;p=a+60|0;q=a+56|0;f[q>>2]=p;f[p>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((j|0)!=(c|0)){p=c+36|0;r=f[p>>2]|0;if(r){s=r+12|0;f[s>>2]=(f[s>>2]|0)+1;s=a+48|0;r=f[s>>2]|0;if((r|0)!=0?(t=r+12|0,r=f[t>>2]|0,f[t>>2]=r+-1,(r|0)==1):0){lP(j);v=s}else v=s}else v=a+48|0;f[v>>2]=0;s=a+28|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[k>>2]|0)>0){r=f[m>>2]|0;m=0;do{f[r+(m<<2)>>2]=0;m=m+1|0;w=f[k>>2]|0}while((m|0)<(w|0));f[j>>2]=f[c>>2];if((w|0)<3)x=13;else x=15}else{f[j>>2]=f[c>>2];x=13}if((x|0)==13){w=f[c+4>>2]|0;if((w|0)<3){f[k>>2]=w;f[l>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];w=f[c+44>>2]|0;k=f[q>>2]|0;f[k>>2]=f[w>>2];f[k+4>>2]=f[w+4>>2]}else x=15}if((x|0)==15)kP(j,c);f[s>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[v>>2]=f[p>>2]}}else{p=g+8|0;f[p>>2]=0;f[p+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=j;kT(c,g)}f[h>>2]=d;d=f[l>>2]|0;l=f[a+24>>2]|0;f[i>>2]=d+-1+l;if((f[j>>2]&4095|0)!=4){f[g>>2]=0;y=g+4|0;f[y>>2]=0;z=YG(g,77)|0;n=z;A=260968;o=n+77|0;do{b[n>>0]=b[A>>0]|0;n=n+1|0;A=A+1|0}while((n|0)<(o|0));SQ(-215,g,261046,260039,3053)}if((d|0)==1|(l|0)==1){u=e;return}else{f[g>>2]=0;y=g+4|0;f[y>>2]=0;z=YG(g,77)|0;n=z;A=260968;o=n+77|0;do{b[n>>0]=b[A>>0]|0;n=n+1|0;A=A+1|0}while((n|0)<(o|0));SQ(-215,g,261046,260039,3053)}}function mda(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=56868;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;tE(b);return}function nda(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=56868;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function oda(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;g=f[a+4>>2]|0;i=f[a+28>>2]|0;a=Y(e,d)|0;d=a+-4|0;do if((a|0)<4)j=0;else{if((g|0)>1)k=0;else{l=0;do{m=b+l|0;n=f[i>>2]|0;o=Y(h[m>>0]|0,n)|0;p=Y(h[m+1>>0]|0,n)|0;q=Y(h[m+2>>0]|0,n)|0;r=Y(h[m+3>>0]|0,n)|0;f[c+(l<<2)>>2]=o;f[c+((l|1)<<2)>>2]=p;f[c+((l|2)<<2)>>2]=q;f[c+((l|3)<<2)>>2]=r;l=l+4|0}while((l|0)<=(d|0));j=a&-4;break}do{l=b+k|0;r=f[i>>2]|0;q=Y(h[l>>0]|0,r)|0;p=Y(h[l+1>>0]|0,r)|0;o=Y(h[l+2>>0]|0,r)|0;n=l;m=Y(h[l+3>>0]|0,r)|0;r=o;o=p;p=q;q=1;do{n=n+e|0;l=f[i+(q<<2)>>2]|0;p=(Y(h[n>>0]|0,l)|0)+p|0;o=(Y(h[n+1>>0]|0,l)|0)+o|0;r=(Y(h[n+2>>0]|0,l)|0)+r|0;m=(Y(h[n+3>>0]|0,l)|0)+m|0;q=q+1|0}while((q|0)!=(g|0));f[c+(k<<2)>>2]=p;f[c+((k|1)<<2)>>2]=o;f[c+((k|2)<<2)>>2]=r;f[c+((k|3)<<2)>>2]=m;k=k+4|0}while((k|0)<=(d|0));j=a&-4}while(0);if((j|0)>=(a|0))return;if((g|0)>1)s=j;else{d=j;do{j=Y(h[b+d>>0]|0,f[i>>2]|0)|0;f[c+(d<<2)>>2]=j;d=d+1|0}while((d|0)!=(a|0));return}do{d=b+s|0;j=Y(h[d>>0]|0,f[i>>2]|0)|0;k=d;d=1;do{k=k+e|0;j=(Y(h[k>>0]|0,f[i+(d<<2)>>2]|0)|0)+j|0;d=d+1|0}while((d|0)!=(g|0));f[c+(s<<2)>>2]=j;s=s+1|0}while((s|0)!=(a|0));return}function pda(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=56868;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function qda(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;g=f[a+4>>2]|0;i=(g|0)/2|0;j=Y(i,e)|0;k=(f[a+28>>2]|0)+(i<<2)|0;l=b+j|0;m=Y(e,d)|0;if(!(f[a+72>>2]&1)){a:do switch(g|0){case 3:{a=f[k+4>>2]|0;d=m+-2|0;n=(m|0)<2;if((f[k>>2]|0)==0&(a|0)==1){if(n){o=l;p=0;break a}q=0-e|0;r=e+1|0;s=1-e|0;t=d&-2;u=j+t+2|0;v=l;w=0;while(1){x=(h[v+r>>0]|0)-(h[v+s>>0]|0)|0;f[c+(w<<2)>>2]=(h[v+e>>0]|0)-(h[v+q>>0]|0);f[c+((w|1)<<2)>>2]=x;w=w+2|0;if((w|0)>(d|0))break;else v=v+2|0}o=b+u|0;p=t+2|0;break a}else{if(n){o=l;p=0;break a}v=0-e|0;w=e+1|0;q=1-e|0;s=d&-2;r=j+s+2|0;x=l;y=0;while(1){z=Y((h[x+e>>0]|0)-(h[x+v>>0]|0)|0,a)|0;A=Y((h[x+w>>0]|0)-(h[x+q>>0]|0)|0,a)|0;f[c+(y<<2)>>2]=z;f[c+((y|1)<<2)>>2]=A;y=y+2|0;if((y|0)>(d|0))break;else x=x+2|0}o=b+r|0;p=s+2|0;break a}break}case 5:{x=f[k+4>>2]|0;d=f[k+8>>2]|0;y=m+-2|0;if((m|0)<2){o=l;p=0}else{a=0-e|0;q=e<<1;w=a<<1;v=e+1|0;n=1-e|0;t=q|1;u=1-q|0;A=y&-2;z=j+A+2|0;B=0;C=l;while(1){D=Y((h[C+e>>0]|0)-(h[C+a>>0]|0)|0,x)|0;E=(Y((h[C+q>>0]|0)-(h[C+w>>0]|0)|0,d)|0)+D|0;D=Y((h[C+v>>0]|0)-(h[C+n>>0]|0)|0,x)|0;F=(Y((h[C+t>>0]|0)-(h[C+u>>0]|0)|0,d)|0)+D|0;f[c+(B<<2)>>2]=E;f[c+((B|1)<<2)>>2]=F;B=B+2|0;if((B|0)>(y|0))break;else C=C+2|0}o=b+z|0;p=A+2|0}break}default:{o=l;p=0}}while(0);if((p|0)>=(m|0))return;if((g|0)<2){C=o;y=p;while(1){B=Y(h[C>>0]|0,f[k>>2]|0)|0;f[c+(y<<2)>>2]=B;y=y+1|0;if((y|0)==(m|0))break;else C=C+1|0}return}else{G=o;H=p}while(1){p=Y(h[G>>0]|0,f[k>>2]|0)|0;o=e;C=1;while(1){p=(Y((h[G+o>>0]|0)-(h[G+(0-o)>>0]|0)|0,f[k+(C<<2)>>2]|0)|0)+p|0;if((C|0)>=(i|0))break;else{o=o+e|0;C=C+1|0}}f[c+(H<<2)>>2]=p;H=H+1|0;if((H|0)==(m|0))break;else G=G+1|0}return}b:do switch(g|0){case 1:{if((f[k>>2]|0)==1?(G=m+-2|0,(m|0)>=2):0){H=G&-2;C=j+H+2|0;o=0;A=l;while(1){z=o|1;y=h[l+z>>0]|0;f[c+(o<<2)>>2]=h[A>>0];f[c+(z<<2)>>2]=y;y=o+2|0;if((y|0)>(G|0))break;else{o=y;A=l+y|0}}I=b+C|0;J=H+2|0}else{I=l;J=0}break}case 3:{A=f[k>>2]|0;o=f[k+4>>2]|0;G=(o|0)==1;if((A|0)==2&G){p=m+-2|0;if((m|0)<2){I=l;J=0;break b}y=0-e|0;z=1-e|0;B=e+1|0;d=p&-2;u=j+d+2|0;t=l;x=0;while(1){n=((h[t+1>>0]|0)<<1)+(h[t+z>>0]|0)+(h[t+B>>0]|0)|0;f[c+(x<<2)>>2]=((h[t>>0]|0)<<1)+(h[t+y>>0]|0)+(h[t+e>>0]|0);f[c+((x|1)<<2)>>2]=n;x=x+2|0;if((x|0)>(p|0))break;else t=t+2|0}I=b+u|0;J=d+2|0;break b}t=m+-2|0;p=(m|0)<2;if((A|0)==-2&G){if(p){I=l;J=0;break b}x=0-e|0;y=1-e|0;B=e+1|0;z=t&-2;H=j+z+2|0;C=l;n=0;while(1){v=(h[C+y>>0]|0)-((h[C+1>>0]|0)<<1)+(h[C+B>>0]|0)|0;f[c+(n<<2)>>2]=(h[C+x>>0]|0)-((h[C>>0]|0)<<1)+(h[C+e>>0]|0);f[c+((n|1)<<2)>>2]=v;n=n+2|0;if((n|0)>(t|0))break;else C=C+2|0}I=b+H|0;J=z+2|0;break b}else{if(p){I=l;J=0;break b}C=0-e|0;n=1-e|0;x=e+1|0;B=t&-2;y=j+B+2|0;G=l;d=0;while(1){u=Y(h[G>>0]|0,A)|0;v=(Y((h[G+e>>0]|0)+(h[G+C>>0]|0)|0,o)|0)+u|0;u=Y(h[G+1>>0]|0,A)|0;w=(Y((h[G+x>>0]|0)+(h[G+n>>0]|0)|0,o)|0)+u|0;f[c+(d<<2)>>2]=v;f[c+((d|1)<<2)>>2]=w;d=d+2|0;if((d|0)>(t|0))break;else G=G+2|0}I=b+y|0;J=B+2|0;break b}break}case 5:{G=f[k>>2]|0;t=f[k+4>>2]|0;d=f[k+8>>2]|0;o=m+-2|0;n=(m|0)<2;if((G|0)==-2&(t|0)==0&(d|0)==1){if(n){I=l;J=0;break b}x=0-e<<1;A=e<<1;C=1-A|0;p=A|1;z=o&-2;H=j+z+2|0;w=l;v=0;while(1){u=Y(h[w>>0]|0,-2)|0;q=Y(h[w+1>>0]|0,-2)|0;a=q+(h[w+C>>0]|0)+(h[w+p>>0]|0)|0;f[c+(v<<2)>>2]=u+(h[w+x>>0]|0)+(h[w+A>>0]|0);f[c+((v|1)<<2)>>2]=a;v=v+2|0;if((v|0)>(o|0))break;else w=w+2|0}I=b+H|0;J=z+2|0;break b}else{if(n){I=l;J=0;break b}w=0-e|0;v=w<<1;A=e<<1;x=1-e|0;p=e+1|0;C=1-A|0;B=A|1;y=o&-2;a=j+y+2|0;u=l;q=0;while(1){s=Y(h[u>>0]|0,G)|0;r=(Y((h[u+e>>0]|0)+(h[u+w>>0]|0)|0,t)|0)+s|0;s=r+(Y((h[u+A>>0]|0)+(h[u+v>>0]|0)|0,d)|0)|0;r=Y(h[u+1>>0]|0,G)|0;F=(Y((h[u+p>>0]|0)+(h[u+x>>0]|0)|0,t)|0)+r|0;r=F+(Y((h[u+B>>0]|0)+(h[u+C>>0]|0)|0,d)|0)|0;f[c+(q<<2)>>2]=s;f[c+((q|1)<<2)>>2]=r;q=q+2|0;if((q|0)>(o|0))break;else u=u+2|0}I=b+a|0;J=y+2|0;break b}break}default:{I=l;J=0}}while(0);if((J|0)>=(m|0))return;if((g|0)<2){g=I;l=J;while(1){b=Y(h[g>>0]|0,f[k>>2]|0)|0;f[c+(l<<2)>>2]=b;l=l+1|0;if((l|0)==(m|0))break;else g=g+1|0}return}else{K=I;L=J}while(1){J=e;I=1;g=Y(h[K>>0]|0,f[k>>2]|0)|0;while(1){g=(Y((h[K+(0-J)>>0]|0)+(h[K+J>>0]|0)|0,f[k+(I<<2)>>2]|0)|0)+g|0;if((I|0)>=(i|0))break;else{J=J+e|0;I=I+1|0}}f[c+(L<<2)>>2]=g;L=L+1|0;if((L|0)==(m|0))break;else K=K+1|0}return}function rda(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=+i;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;k=u;u=u+80|0;l=k;m=k+72|0;n=k+64|0;o=k+8|0;do if((pD(e)|0)==65536){p=f[e+4>>2]|0;f[o>>2]=f[p>>2];q=o+4|0;r=p+4|0;f[q>>2]=f[r>>2];s=o+8|0;f[s>>2]=f[p+8>>2];f[o+12>>2]=f[p+12>>2];f[o+16>>2]=f[p+16>>2];f[o+20>>2]=f[p+20>>2];f[o+24>>2]=f[p+24>>2];f[o+28>>2]=f[p+28>>2];f[o+32>>2]=f[p+32>>2];t=f[p+36>>2]|0;f[o+36>>2]=t;f[o+40>>2]=s;s=o+48|0;v=o+44|0;f[v>>2]=s;f[s>>2]=0;f[o+52>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[p+44>>2]|0;s=f[v>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2];break}else{f[q>>2]=0;kP(o,p);break}}else lD(o,e,-1);while(0);e=c&7;p=d&7;if((d^c)&4088|0){f[m>>2]=0;w=m+4|0;f[w>>2]=0;x=YG(m,89)|0;y=x;z=262657;A=y+89|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,m,262747,260039,3658)}if((e|0)<((p>>>0>4?p:4)|0)){f[m>>2]=0;w=m+4|0;f[w>>2]=0;x=YG(m,89)|0;y=x;z=262657;A=y+89|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,m,262747,260039,3658)}if((f[o>>2]&4095|0)!=(e|0)){f[m>>2]=0;w=m+4|0;f[w>>2]=0;x=YG(m,89)|0;y=x;z=262657;A=y+89|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,m,262747,260039,3658)}do if(!(h&3)){z=(p|0)==0;if((e|0)==4&z){f[n>>2]=j;f[n+4>>2]=(j|0)==0?0:1<<j+-1;y=Bmc(84)|0;sda(y,o,g,i,n,m);A=Bmc(16)|0;x=A+4|0;f[x>>2]=1;f[A>>2]=56888;f[A+8>>2]=y;f[a>>2]=A;f[a+4>>2]=y;f[x>>2]=(f[x>>2]|0)+1;y=f[x>>2]|0;f[x>>2]=y+-1;if((y|0)==1)ai[f[(f[A>>2]|0)+8>>2]&2047](A);break}A=(e|0)==5;if(A&z){y=Bmc(76)|0;tda(y,o,g,i,m,n);x=Bmc(16)|0;w=x+4|0;f[w>>2]=1;f[x>>2]=56908;f[x+8>>2]=y;f[a>>2]=x;f[a+4>>2]=y;f[w>>2]=(f[w>>2]|0)+1;y=f[w>>2]|0;f[w>>2]=y+-1;if((y|0)!=1)break;ai[f[(f[x>>2]|0)+8>>2]&2047](x);break}x=(e|0)==6;if(x&z){z=Bmc(80)|0;uda(z,o,g,i,m,n);y=Bmc(16)|0;w=y+4|0;f[w>>2]=1;f[y>>2]=56928;f[y+8>>2]=z;f[a>>2]=y;f[a+4>>2]=z;f[w>>2]=(f[w>>2]|0)+1;z=f[w>>2]|0;f[w>>2]=z+-1;if((z|0)!=1)break;ai[f[(f[y>>2]|0)+8>>2]&2047](y);break}y=(p|0)==2;if(A&y){z=Bmc(76)|0;vda(z,o,g,i,m,n);w=Bmc(16)|0;q=w+4|0;f[q>>2]=1;f[w>>2]=56948;f[w+8>>2]=z;f[a>>2]=w;f[a+4>>2]=z;f[q>>2]=(f[q>>2]|0)+1;z=f[q>>2]|0;f[q>>2]=z+-1;if((z|0)!=1)break;ai[f[(f[w>>2]|0)+8>>2]&2047](w);break}if(x&y){y=Bmc(80)|0;wda(y,o,g,i,m,n);w=Bmc(16)|0;z=w+4|0;f[z>>2]=1;f[w>>2]=56968;f[w+8>>2]=y;f[a>>2]=w;f[a+4>>2]=y;f[z>>2]=(f[z>>2]|0)+1;y=f[z>>2]|0;f[z>>2]=y+-1;if((y|0)!=1)break;ai[f[(f[w>>2]|0)+8>>2]&2047](w);break}w=(p|0)==3;if(A&w){y=Bmc(76)|0;xda(y,o,g,i,m,n);z=Bmc(16)|0;q=z+4|0;f[q>>2]=1;f[z>>2]=56988;f[z+8>>2]=y;f[a>>2]=z;f[a+4>>2]=y;f[q>>2]=(f[q>>2]|0)+1;y=f[q>>2]|0;f[q>>2]=y+-1;if((y|0)!=1)break;ai[f[(f[z>>2]|0)+8>>2]&2047](z);break}if(x&w){w=Bmc(80)|0;yda(w,o,g,i,m,n);z=Bmc(16)|0;y=z+4|0;f[y>>2]=1;f[z>>2]=57008;f[z+8>>2]=w;f[a>>2]=z;f[a+4>>2]=w;f[y>>2]=(f[y>>2]|0)+1;w=f[y>>2]|0;f[y>>2]=w+-1;if((w|0)!=1)break;ai[f[(f[z>>2]|0)+8>>2]&2047](z);break}if(A&(p|0)==5){A=Bmc(76)|0;zda(A,o,g,i,m,n);z=Bmc(16)|0;w=z+4|0;f[w>>2]=1;f[z>>2]=57028;f[z+8>>2]=A;f[a>>2]=z;f[a+4>>2]=A;f[w>>2]=(f[w>>2]|0)+1;A=f[w>>2]|0;f[w>>2]=A+-1;if((A|0)!=1)break;ai[f[(f[z>>2]|0)+8>>2]&2047](z);break}if(!(x&(p|0)==6)){f[l>>2]=c;B=l+4|0;f[B>>2]=d;aR(m,262769,l);SQ(-213,m,262747,260039,3739)}x=Bmc(80)|0;Ada(x,o,g,i,m,n);z=Bmc(16)|0;A=z+4|0;f[A>>2]=1;f[z>>2]=57048;f[z+8>>2]=x;f[a>>2]=z;f[a+4>>2]=x;f[A>>2]=(f[A>>2]|0)+1;x=f[A>>2]|0;f[A>>2]=x+-1;if((x|0)==1)ai[f[(f[z>>2]|0)+8>>2]&2047](z)}else{if(((f[o+12>>2]|0)+(f[o+8>>2]|0)|0)==4){z=(e|0)==4;if(z&(p|0)==0){f[m>>2]=j;f[m+4>>2]=(j|0)==0?0:1<<j+-1;x=Bmc(88)|0;Bda(x,o,g,i,h,m,n);A=Bmc(16)|0;w=A+4|0;f[w>>2]=1;f[A>>2]=57068;f[A+8>>2]=x;f[a>>2]=A;f[a+4>>2]=x;f[w>>2]=(f[w>>2]|0)+1;x=f[w>>2]|0;f[w>>2]=x+-1;if((x|0)==1)ai[f[(f[A>>2]|0)+8>>2]&2047](A);break}if(z&(p|0)==3&(j|0)==0){z=Bmc(80)|0;Cda(z,o,g,i,h,m,n);A=Bmc(16)|0;x=A+4|0;f[x>>2]=1;f[A>>2]=57088;f[A+8>>2]=z;f[a>>2]=A;f[a+4>>2]=z;f[x>>2]=(f[x>>2]|0)+1;z=f[x>>2]|0;f[x>>2]=z+-1;if((z|0)==1)ai[f[(f[A>>2]|0)+8>>2]&2047](A);break}if((e|0)==5&(p|0)==5){A=Bmc(80)|0;Dda(A,o,g,i,h,m,n);z=Bmc(16)|0;x=z+4|0;f[x>>2]=1;f[z>>2]=57108;f[z+8>>2]=A;f[a>>2]=z;f[a+4>>2]=A;f[x>>2]=(f[x>>2]|0)+1;A=f[x>>2]|0;f[x>>2]=A+-1;if((A|0)==1)ai[f[(f[z>>2]|0)+8>>2]&2047](z);break}}z=(p|0)==0;A=(e|0)==4;if(A&z){f[m>>2]=j;f[m+4>>2]=(j|0)==0?0:1<<j+-1;x=Bmc(88)|0;Eda(x,o,g,i,h,m,n);w=Bmc(16)|0;y=w+4|0;f[y>>2]=1;f[w>>2]=57128;f[w+8>>2]=x;f[a>>2]=w;f[a+4>>2]=x;f[y>>2]=(f[y>>2]|0)+1;x=f[y>>2]|0;f[y>>2]=x+-1;if((x|0)==1)ai[f[(f[w>>2]|0)+8>>2]&2047](w);break}w=(e|0)==5;if(w&z){x=Bmc(80)|0;Fda(x,o,g,i,h,m,n);y=Bmc(16)|0;q=y+4|0;f[q>>2]=1;f[y>>2]=57148;f[y+8>>2]=x;f[a>>2]=y;f[a+4>>2]=x;f[q>>2]=(f[q>>2]|0)+1;x=f[q>>2]|0;f[q>>2]=x+-1;if((x|0)!=1)break;ai[f[(f[y>>2]|0)+8>>2]&2047](y);break}y=(e|0)==6;if(y&z){z=Bmc(88)|0;Gda(z,o,g,i,h,m,n);x=Bmc(16)|0;q=x+4|0;f[q>>2]=1;f[x>>2]=57168;f[x+8>>2]=z;f[a>>2]=x;f[a+4>>2]=z;f[q>>2]=(f[q>>2]|0)+1;z=f[q>>2]|0;f[q>>2]=z+-1;if((z|0)!=1)break;ai[f[(f[x>>2]|0)+8>>2]&2047](x);break}x=(p|0)==2;if(w&x){z=Bmc(80)|0;Hda(z,o,g,i,h,m,n);q=Bmc(16)|0;r=q+4|0;f[r>>2]=1;f[q>>2]=57188;f[q+8>>2]=z;f[a>>2]=q;f[a+4>>2]=z;f[r>>2]=(f[r>>2]|0)+1;z=f[r>>2]|0;f[r>>2]=z+-1;if((z|0)!=1)break;ai[f[(f[q>>2]|0)+8>>2]&2047](q);break}if(y&x){x=Bmc(88)|0;Ida(x,o,g,i,h,m,n);q=Bmc(16)|0;z=q+4|0;f[z>>2]=1;f[q>>2]=57208;f[q+8>>2]=x;f[a>>2]=q;f[a+4>>2]=x;f[z>>2]=(f[z>>2]|0)+1;x=f[z>>2]|0;f[z>>2]=x+-1;if((x|0)!=1)break;ai[f[(f[q>>2]|0)+8>>2]&2047](q);break}q=(p|0)==3;if(A&q){A=Bmc(80)|0;Jda(A,o,g,i,h,m,n);x=Bmc(16)|0;z=x+4|0;f[z>>2]=1;f[x>>2]=57228;f[x+8>>2]=A;f[a>>2]=x;f[a+4>>2]=A;f[z>>2]=(f[z>>2]|0)+1;A=f[z>>2]|0;f[z>>2]=A+-1;if((A|0)!=1)break;ai[f[(f[x>>2]|0)+8>>2]&2047](x);break}if(w&q){x=Bmc(80)|0;Kda(x,o,g,i,h,m,n);A=Bmc(16)|0;z=A+4|0;f[z>>2]=1;f[A>>2]=57248;f[A+8>>2]=x;f[a>>2]=A;f[a+4>>2]=x;f[z>>2]=(f[z>>2]|0)+1;x=f[z>>2]|0;f[z>>2]=x+-1;if((x|0)==1)ai[f[(f[A>>2]|0)+8>>2]&2047](A);break}if(y&q){q=Bmc(88)|0;Lda(q,o,g,i,h,m,n);A=Bmc(16)|0;x=A+4|0;f[x>>2]=1;f[A>>2]=57268;f[A+8>>2]=q;f[a>>2]=A;f[a+4>>2]=q;f[x>>2]=(f[x>>2]|0)+1;q=f[x>>2]|0;f[x>>2]=q+-1;if((q|0)!=1)break;ai[f[(f[A>>2]|0)+8>>2]&2047](A);break}if(w&(p|0)==5){w=Bmc(80)|0;Mda(w,o,g,i,h,m,n);A=Bmc(16)|0;q=A+4|0;f[q>>2]=1;f[A>>2]=57288;f[A+8>>2]=w;f[a>>2]=A;f[a+4>>2]=w;f[q>>2]=(f[q>>2]|0)+1;w=f[q>>2]|0;f[q>>2]=w+-1;if((w|0)==1)ai[f[(f[A>>2]|0)+8>>2]&2047](A);break}if(!(y&(p|0)==6)){f[l>>2]=c;B=l+4|0;f[B>>2]=d;aR(m,262769,l);SQ(-213,m,262747,260039,3739)}y=Bmc(88)|0;Nda(y,o,g,i,h,m,n);A=Bmc(16)|0;w=A+4|0;f[w>>2]=1;f[A>>2]=57308;f[A+8>>2]=y;f[a>>2]=A;f[a+4>>2]=y;f[w>>2]=(f[w>>2]|0)+1;y=f[w>>2]|0;f[w>>2]=y+-1;if((y|0)==1)ai[f[(f[A>>2]|0)+8>>2]&2047](A)}while(0);a=o+36|0;n=f[a>>2]|0;if(n|0?(m=n+12|0,n=f[m>>2]|0,f[m>>2]=n+-1,(n|0)==1):0)lP(o);f[a>>2]=0;a=o+16|0;n=o+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[n>>2]|0)>0){a=f[o+40>>2]|0;m=0;do{f[a+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[n>>2]|0))}n=f[o+44>>2]|0;if((n|0)==(o+48|0)){u=k;return}tE(n);u=k;return}function sda(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;h=u;u=u+16|0;i=h;j=a+8|0;f[j>>2]=-1;k=a+4|0;f[k>>2]=-1;f[a>>2]=57784;l=a+12|0;f[l>>2]=1124007936;m=a+16|0;n=a+20|0;o=a+52|0;p=m;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[o>>2]=n;r=a+60|0;s=a+56|0;f[s>>2]=r;t=a+68|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if(f[c>>2]&16384){if((l|0)!=(c|0)){r=c+36|0;v=f[r>>2]|0;if(v){w=v+12|0;f[w>>2]=(f[w>>2]|0)+1;w=a+48|0;v=f[w>>2]|0;if((v|0)!=0?(x=v+12|0,v=f[x>>2]|0,f[x>>2]=v+-1,(v|0)==1):0){lP(l);y=w}else y=w}else y=a+48|0;f[y>>2]=0;w=a+28|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[m>>2]|0)>0){v=f[o>>2]|0;o=0;do{f[v+(o<<2)>>2]=0;o=o+1|0;z=f[m>>2]|0}while((o|0)<(z|0));f[l>>2]=f[c>>2];if((z|0)<3)A=13;else A=15}else{f[l>>2]=f[c>>2];A=13}if((A|0)==13){z=f[c+4>>2]|0;if((z|0)<3){f[m>>2]=z;f[n>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];z=f[c+44>>2]|0;m=f[s>>2]|0;f[m>>2]=f[z>>2];f[m+4>>2]=f[z+4>>2]}else A=15}if((A|0)==15)kP(l,c);f[w>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[y>>2]=f[r>>2]}}else{r=i+8|0;f[r>>2]=0;f[r+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=l;kT(c,i)}f[j>>2]=d;d=f[n>>2]|0;n=f[a+24>>2]|0;f[k>>2]=d+-1+n;k=V9b(e)|0;f[a+80>>2]=k;k=g;g=f[k+4>>2]|0;a=t;f[a>>2]=f[k>>2];f[a+4>>2]=g;if((f[l>>2]&4095|0)!=4){f[i>>2]=0;B=i+4|0;f[B>>2]=0;C=YG(i,77)|0;p=C;D=264008;q=p+77|0;do{b[p>>0]=b[D>>0]|0;p=p+1|0;D=D+1|0}while((p|0)<(q|0));SQ(-215,i,264086,260039,3251)}if((d|0)==1|(n|0)==1){u=h;return}else{f[i>>2]=0;B=i+4|0;f[B>>2]=0;C=YG(i,77)|0;p=C;D=264008;q=p+77|0;do{b[p>>0]=b[D>>0]|0;p=p+1|0;D=D+1|0}while((p|0)<(q|0));SQ(-215,i,264086,260039,3251)}}function tda(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;h=u;u=u+16|0;g=h;i=a+8|0;f[i>>2]=-1;j=a+4|0;f[j>>2]=-1;f[a>>2]=57736;k=a+12|0;f[k>>2]=1124007936;l=a+16|0;m=a+20|0;o=a+52|0;p=l;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[o>>2]=m;r=a+60|0;s=a+56|0;f[s>>2]=r;f[r>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((k|0)!=(c|0)){r=c+36|0;t=f[r>>2]|0;if(t){v=t+12|0;f[v>>2]=(f[v>>2]|0)+1;v=a+48|0;t=f[v>>2]|0;if((t|0)!=0?(w=t+12|0,t=f[w>>2]|0,f[w>>2]=t+-1,(t|0)==1):0){lP(k);x=v}else x=v}else x=a+48|0;f[x>>2]=0;v=a+28|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[l>>2]|0)>0){t=f[o>>2]|0;o=0;do{f[t+(o<<2)>>2]=0;o=o+1|0;y=f[l>>2]|0}while((o|0)<(y|0));f[k>>2]=f[c>>2];if((y|0)<3)z=13;else z=15}else{f[k>>2]=f[c>>2];z=13}if((z|0)==13){y=f[c+4>>2]|0;if((y|0)<3){f[l>>2]=y;f[m>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];y=f[c+44>>2]|0;l=f[s>>2]|0;f[l>>2]=f[y>>2];f[l+4>>2]=f[y+4>>2]}else z=15}if((z|0)==15)kP(k,c);f[v>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[x>>2]=f[r>>2]}}else{r=g+8|0;f[r>>2]=0;f[r+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=k;kT(c,g)}f[i>>2]=d;d=f[m>>2]|0;m=f[a+24>>2]|0;f[j>>2]=d+-1+m;n[a+72>>2]=e;if((f[k>>2]&4095|0)!=5){f[g>>2]=0;A=g+4|0;f[A>>2]=0;B=YG(g,77)|0;p=B;C=264008;q=p+77|0;do{b[p>>0]=b[C>>0]|0;p=p+1|0;C=C+1|0}while((p|0)<(q|0));SQ(-215,g,264086,260039,3251)}if((d|0)==1|(m|0)==1){u=h;return}else{f[g>>2]=0;A=g+4|0;f[A>>2]=0;B=YG(g,77)|0;p=B;C=264008;q=p+77|0;do{b[p>>0]=b[C>>0]|0;p=p+1|0;C=C+1|0}while((p|0)<(q|0));SQ(-215,g,264086,260039,3251)}}function uda(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;h=u;u=u+16|0;g=h;i=a+8|0;f[i>>2]=-1;j=a+4|0;f[j>>2]=-1;f[a>>2]=57688;k=a+12|0;f[k>>2]=1124007936;l=a+16|0;m=a+20|0;n=a+52|0;o=l;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[n>>2]=m;r=a+60|0;s=a+56|0;f[s>>2]=r;f[r>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((k|0)!=(c|0)){r=c+36|0;t=f[r>>2]|0;if(t){v=t+12|0;f[v>>2]=(f[v>>2]|0)+1;v=a+48|0;t=f[v>>2]|0;if((t|0)!=0?(w=t+12|0,t=f[w>>2]|0,f[w>>2]=t+-1,(t|0)==1):0){lP(k);x=v}else x=v}else x=a+48|0;f[x>>2]=0;v=a+28|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[l>>2]|0)>0){t=f[n>>2]|0;n=0;do{f[t+(n<<2)>>2]=0;n=n+1|0;y=f[l>>2]|0}while((n|0)<(y|0));f[k>>2]=f[c>>2];if((y|0)<3)z=13;else z=15}else{f[k>>2]=f[c>>2];z=13}if((z|0)==13){y=f[c+4>>2]|0;if((y|0)<3){f[l>>2]=y;f[m>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];y=f[c+44>>2]|0;l=f[s>>2]|0;f[l>>2]=f[y>>2];f[l+4>>2]=f[y+4>>2]}else z=15}if((z|0)==15)kP(k,c);f[v>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[x>>2]=f[r>>2]}}else{r=g+8|0;f[r>>2]=0;f[r+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=k;kT(c,g)}f[i>>2]=d;d=f[m>>2]|0;m=f[a+24>>2]|0;f[j>>2]=d+-1+m;p[a+72>>3]=e;if((f[k>>2]&4095|0)!=6){f[g>>2]=0;A=g+4|0;f[A>>2]=0;B=YG(g,77)|0;o=B;C=264008;q=o+77|0;do{b[o>>0]=b[C>>0]|0;o=o+1|0;C=C+1|0}while((o|0)<(q|0));SQ(-215,g,264086,260039,3251)}if((d|0)==1|(m|0)==1){u=h;return}else{f[g>>2]=0;A=g+4|0;f[A>>2]=0;B=YG(g,77)|0;o=B;C=264008;q=o+77|0;do{b[o>>0]=b[C>>0]|0;o=o+1|0;C=C+1|0}while((o|0)<(q|0));SQ(-215,g,264086,260039,3251)}}function vda(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;h=u;u=u+16|0;g=h;i=a+8|0;f[i>>2]=-1;j=a+4|0;f[j>>2]=-1;f[a>>2]=57640;k=a+12|0;f[k>>2]=1124007936;l=a+16|0;m=a+20|0;o=a+52|0;p=l;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[o>>2]=m;r=a+60|0;s=a+56|0;f[s>>2]=r;f[r>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((k|0)!=(c|0)){r=c+36|0;t=f[r>>2]|0;if(t){v=t+12|0;f[v>>2]=(f[v>>2]|0)+1;v=a+48|0;t=f[v>>2]|0;if((t|0)!=0?(w=t+12|0,t=f[w>>2]|0,f[w>>2]=t+-1,(t|0)==1):0){lP(k);x=v}else x=v}else x=a+48|0;f[x>>2]=0;v=a+28|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[l>>2]|0)>0){t=f[o>>2]|0;o=0;do{f[t+(o<<2)>>2]=0;o=o+1|0;y=f[l>>2]|0}while((o|0)<(y|0));f[k>>2]=f[c>>2];if((y|0)<3)z=13;else z=15}else{f[k>>2]=f[c>>2];z=13}if((z|0)==13){y=f[c+4>>2]|0;if((y|0)<3){f[l>>2]=y;f[m>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];y=f[c+44>>2]|0;l=f[s>>2]|0;f[l>>2]=f[y>>2];f[l+4>>2]=f[y+4>>2]}else z=15}if((z|0)==15)kP(k,c);f[v>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[x>>2]=f[r>>2]}}else{r=g+8|0;f[r>>2]=0;f[r+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=k;kT(c,g)}f[i>>2]=d;d=f[m>>2]|0;m=f[a+24>>2]|0;f[j>>2]=d+-1+m;n[a+72>>2]=e;if((f[k>>2]&4095|0)!=5){f[g>>2]=0;A=g+4|0;f[A>>2]=0;B=YG(g,77)|0;p=B;C=264008;q=p+77|0;do{b[p>>0]=b[C>>0]|0;p=p+1|0;C=C+1|0}while((p|0)<(q|0));SQ(-215,g,264086,260039,3251)}if((d|0)==1|(m|0)==1){u=h;return}else{f[g>>2]=0;A=g+4|0;f[A>>2]=0;B=YG(g,77)|0;p=B;C=264008;q=p+77|0;do{b[p>>0]=b[C>>0]|0;p=p+1|0;C=C+1|0}while((p|0)<(q|0));SQ(-215,g,264086,260039,3251)}}function wda(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;h=u;u=u+16|0;g=h;i=a+8|0;f[i>>2]=-1;j=a+4|0;f[j>>2]=-1;f[a>>2]=57592;k=a+12|0;f[k>>2]=1124007936;l=a+16|0;m=a+20|0;n=a+52|0;o=l;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[n>>2]=m;r=a+60|0;s=a+56|0;f[s>>2]=r;f[r>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((k|0)!=(c|0)){r=c+36|0;t=f[r>>2]|0;if(t){v=t+12|0;f[v>>2]=(f[v>>2]|0)+1;v=a+48|0;t=f[v>>2]|0;if((t|0)!=0?(w=t+12|0,t=f[w>>2]|0,f[w>>2]=t+-1,(t|0)==1):0){lP(k);x=v}else x=v}else x=a+48|0;f[x>>2]=0;v=a+28|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[l>>2]|0)>0){t=f[n>>2]|0;n=0;do{f[t+(n<<2)>>2]=0;n=n+1|0;y=f[l>>2]|0}while((n|0)<(y|0));f[k>>2]=f[c>>2];if((y|0)<3)z=13;else z=15}else{f[k>>2]=f[c>>2];z=13}if((z|0)==13){y=f[c+4>>2]|0;if((y|0)<3){f[l>>2]=y;f[m>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];y=f[c+44>>2]|0;l=f[s>>2]|0;f[l>>2]=f[y>>2];f[l+4>>2]=f[y+4>>2]}else z=15}if((z|0)==15)kP(k,c);f[v>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[x>>2]=f[r>>2]}}else{r=g+8|0;f[r>>2]=0;f[r+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=k;kT(c,g)}f[i>>2]=d;d=f[m>>2]|0;m=f[a+24>>2]|0;f[j>>2]=d+-1+m;p[a+72>>3]=e;if((f[k>>2]&4095|0)!=6){f[g>>2]=0;A=g+4|0;f[A>>2]=0;B=YG(g,77)|0;o=B;C=264008;q=o+77|0;do{b[o>>0]=b[C>>0]|0;o=o+1|0;C=C+1|0}while((o|0)<(q|0));SQ(-215,g,264086,260039,3251)}if((d|0)==1|(m|0)==1){u=h;return}else{f[g>>2]=0;A=g+4|0;f[A>>2]=0;B=YG(g,77)|0;o=B;C=264008;q=o+77|0;do{b[o>>0]=b[C>>0]|0;o=o+1|0;C=C+1|0}while((o|0)<(q|0));SQ(-215,g,264086,260039,3251)}}function xda(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;h=u;u=u+16|0;g=h;i=a+8|0;f[i>>2]=-1;j=a+4|0;f[j>>2]=-1;f[a>>2]=57496;k=a+12|0;f[k>>2]=1124007936;l=a+16|0;m=a+20|0;o=a+52|0;p=l;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[o>>2]=m;r=a+60|0;s=a+56|0;f[s>>2]=r;f[r>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((k|0)!=(c|0)){r=c+36|0;t=f[r>>2]|0;if(t){v=t+12|0;f[v>>2]=(f[v>>2]|0)+1;v=a+48|0;t=f[v>>2]|0;if((t|0)!=0?(w=t+12|0,t=f[w>>2]|0,f[w>>2]=t+-1,(t|0)==1):0){lP(k);x=v}else x=v}else x=a+48|0;f[x>>2]=0;v=a+28|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[l>>2]|0)>0){t=f[o>>2]|0;o=0;do{f[t+(o<<2)>>2]=0;o=o+1|0;y=f[l>>2]|0}while((o|0)<(y|0));f[k>>2]=f[c>>2];if((y|0)<3)z=13;else z=15}else{f[k>>2]=f[c>>2];z=13}if((z|0)==13){y=f[c+4>>2]|0;if((y|0)<3){f[l>>2]=y;f[m>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];y=f[c+44>>2]|0;l=f[s>>2]|0;f[l>>2]=f[y>>2];f[l+4>>2]=f[y+4>>2]}else z=15}if((z|0)==15)kP(k,c);f[v>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[x>>2]=f[r>>2]}}else{r=g+8|0;f[r>>2]=0;f[r+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=k;kT(c,g)}f[i>>2]=d;d=f[m>>2]|0;m=f[a+24>>2]|0;f[j>>2]=d+-1+m;n[a+72>>2]=e;if((f[k>>2]&4095|0)!=5){f[g>>2]=0;A=g+4|0;f[A>>2]=0;B=YG(g,77)|0;p=B;C=264008;q=p+77|0;do{b[p>>0]=b[C>>0]|0;p=p+1|0;C=C+1|0}while((p|0)<(q|0));SQ(-215,g,264086,260039,3251)}if((d|0)==1|(m|0)==1){u=h;return}else{f[g>>2]=0;A=g+4|0;f[A>>2]=0;B=YG(g,77)|0;p=B;C=264008;q=p+77|0;do{b[p>>0]=b[C>>0]|0;p=p+1|0;C=C+1|0}while((p|0)<(q|0));SQ(-215,g,264086,260039,3251)}}function yda(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;h=u;u=u+16|0;g=h;i=a+8|0;f[i>>2]=-1;j=a+4|0;f[j>>2]=-1;f[a>>2]=57448;k=a+12|0;f[k>>2]=1124007936;l=a+16|0;m=a+20|0;n=a+52|0;o=l;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[n>>2]=m;r=a+60|0;s=a+56|0;f[s>>2]=r;f[r>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((k|0)!=(c|0)){r=c+36|0;t=f[r>>2]|0;if(t){v=t+12|0;f[v>>2]=(f[v>>2]|0)+1;v=a+48|0;t=f[v>>2]|0;if((t|0)!=0?(w=t+12|0,t=f[w>>2]|0,f[w>>2]=t+-1,(t|0)==1):0){lP(k);x=v}else x=v}else x=a+48|0;f[x>>2]=0;v=a+28|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[l>>2]|0)>0){t=f[n>>2]|0;n=0;do{f[t+(n<<2)>>2]=0;n=n+1|0;y=f[l>>2]|0}while((n|0)<(y|0));f[k>>2]=f[c>>2];if((y|0)<3)z=13;else z=15}else{f[k>>2]=f[c>>2];z=13}if((z|0)==13){y=f[c+4>>2]|0;if((y|0)<3){f[l>>2]=y;f[m>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];y=f[c+44>>2]|0;l=f[s>>2]|0;f[l>>2]=f[y>>2];f[l+4>>2]=f[y+4>>2]}else z=15}if((z|0)==15)kP(k,c);f[v>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[x>>2]=f[r>>2]}}else{r=g+8|0;f[r>>2]=0;f[r+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=k;kT(c,g)}f[i>>2]=d;d=f[m>>2]|0;m=f[a+24>>2]|0;f[j>>2]=d+-1+m;p[a+72>>3]=e;if((f[k>>2]&4095|0)!=6){f[g>>2]=0;A=g+4|0;f[A>>2]=0;B=YG(g,77)|0;o=B;C=264008;q=o+77|0;do{b[o>>0]=b[C>>0]|0;o=o+1|0;C=C+1|0}while((o|0)<(q|0));SQ(-215,g,264086,260039,3251)}if((d|0)==1|(m|0)==1){u=h;return}else{f[g>>2]=0;A=g+4|0;f[A>>2]=0;B=YG(g,77)|0;o=B;C=264008;q=o+77|0;do{b[o>>0]=b[C>>0]|0;o=o+1|0;C=C+1|0}while((o|0)<(q|0));SQ(-215,g,264086,260039,3251)}}function zda(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;h=u;u=u+16|0;g=h;i=a+8|0;f[i>>2]=-1;j=a+4|0;f[j>>2]=-1;f[a>>2]=57400;k=a+12|0;f[k>>2]=1124007936;l=a+16|0;m=a+20|0;o=a+52|0;p=l;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[o>>2]=m;r=a+60|0;s=a+56|0;f[s>>2]=r;f[r>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((k|0)!=(c|0)){r=c+36|0;t=f[r>>2]|0;if(t){v=t+12|0;f[v>>2]=(f[v>>2]|0)+1;v=a+48|0;t=f[v>>2]|0;if((t|0)!=0?(w=t+12|0,t=f[w>>2]|0,f[w>>2]=t+-1,(t|0)==1):0){lP(k);x=v}else x=v}else x=a+48|0;f[x>>2]=0;v=a+28|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[l>>2]|0)>0){t=f[o>>2]|0;o=0;do{f[t+(o<<2)>>2]=0;o=o+1|0;y=f[l>>2]|0}while((o|0)<(y|0));f[k>>2]=f[c>>2];if((y|0)<3)z=13;else z=15}else{f[k>>2]=f[c>>2];z=13}if((z|0)==13){y=f[c+4>>2]|0;if((y|0)<3){f[l>>2]=y;f[m>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];y=f[c+44>>2]|0;l=f[s>>2]|0;f[l>>2]=f[y>>2];f[l+4>>2]=f[y+4>>2]}else z=15}if((z|0)==15)kP(k,c);f[v>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[x>>2]=f[r>>2]}}else{r=g+8|0;f[r>>2]=0;f[r+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=k;kT(c,g)}f[i>>2]=d;d=f[m>>2]|0;m=f[a+24>>2]|0;f[j>>2]=d+-1+m;n[a+72>>2]=e;if((f[k>>2]&4095|0)!=5){f[g>>2]=0;A=g+4|0;f[A>>2]=0;B=YG(g,77)|0;p=B;C=264008;q=p+77|0;do{b[p>>0]=b[C>>0]|0;p=p+1|0;C=C+1|0}while((p|0)<(q|0));SQ(-215,g,264086,260039,3251)}if((d|0)==1|(m|0)==1){u=h;return}else{f[g>>2]=0;A=g+4|0;f[A>>2]=0;B=YG(g,77)|0;p=B;C=264008;q=p+77|0;do{b[p>>0]=b[C>>0]|0;p=p+1|0;C=C+1|0}while((p|0)<(q|0));SQ(-215,g,264086,260039,3251)}}function Ada(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;h=u;u=u+16|0;g=h;i=a+8|0;f[i>>2]=-1;j=a+4|0;f[j>>2]=-1;f[a>>2]=57352;k=a+12|0;f[k>>2]=1124007936;l=a+16|0;m=a+20|0;n=a+52|0;o=l;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[n>>2]=m;r=a+60|0;s=a+56|0;f[s>>2]=r;f[r>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((k|0)!=(c|0)){r=c+36|0;t=f[r>>2]|0;if(t){v=t+12|0;f[v>>2]=(f[v>>2]|0)+1;v=a+48|0;t=f[v>>2]|0;if((t|0)!=0?(w=t+12|0,t=f[w>>2]|0,f[w>>2]=t+-1,(t|0)==1):0){lP(k);x=v}else x=v}else x=a+48|0;f[x>>2]=0;v=a+28|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[l>>2]|0)>0){t=f[n>>2]|0;n=0;do{f[t+(n<<2)>>2]=0;n=n+1|0;y=f[l>>2]|0}while((n|0)<(y|0));f[k>>2]=f[c>>2];if((y|0)<3)z=13;else z=15}else{f[k>>2]=f[c>>2];z=13}if((z|0)==13){y=f[c+4>>2]|0;if((y|0)<3){f[l>>2]=y;f[m>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];y=f[c+44>>2]|0;l=f[s>>2]|0;f[l>>2]=f[y>>2];f[l+4>>2]=f[y+4>>2]}else z=15}if((z|0)==15)kP(k,c);f[v>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[x>>2]=f[r>>2]}}else{r=g+8|0;f[r>>2]=0;f[r+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=k;kT(c,g)}f[i>>2]=d;d=f[m>>2]|0;m=f[a+24>>2]|0;f[j>>2]=d+-1+m;p[a+72>>3]=e;if((f[k>>2]&4095|0)!=6){f[g>>2]=0;A=g+4|0;f[A>>2]=0;B=YG(g,77)|0;o=B;C=264008;q=o+77|0;do{b[o>>0]=b[C>>0]|0;o=o+1|0;C=C+1|0}while((o|0)<(q|0));SQ(-215,g,264086,260039,3251)}if((d|0)==1|(m|0)==1){u=h;return}else{f[g>>2]=0;A=g+4|0;f[A>>2]=0;B=YG(g,77)|0;o=B;C=264008;q=o+77|0;do{b[o>>0]=b[C>>0]|0;o=o+1|0;C=C+1|0}while((o|0)<(q|0));SQ(-215,g,264086,260039,3251)}}function Bda(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;Eda(a,c,d,e,g,h,i);f[a>>2]=57952;if((f[a+4>>2]|0)==3){u=j;return}else{f[k>>2]=0;f[k+4>>2]=0;j=YG(k,16)|0;a=265331;i=j+16|0;do{b[j>>0]=b[a>>0]|0;j=j+1|0;a=a+1|0}while((j|0)<(i|0));SQ(-215,k,265348,260039,3420)}}function Cda(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;qfa(a,c,d,e,g,h,i);f[a>>2]=57880;if((f[a+4>>2]|0)==3){u=j;return}else{f[k>>2]=0;f[k+4>>2]=0;j=YG(k,16)|0;a=265331;i=j+16|0;do{b[j>>0]=b[a>>0]|0;j=j+1|0;a=a+1|0}while((j|0)<(i|0));SQ(-215,k,265348,260039,3420)}}function Dda(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;ffa(a,c,d,e,g,h,i);f[a>>2]=57808;if((f[a+4>>2]|0)==3){u=j;return}else{f[k>>2]=0;f[k+4>>2]=0;j=YG(k,16)|0;a=265331;i=j+16|0;do{b[j>>0]=b[a>>0]|0;j=j+1|0;a=a+1|0}while((j|0)<(i|0));SQ(-215,k,265348,260039,3420)}}function Eda(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;sda(a,c,d,e,h,i);f[a>>2]=57760;f[a+84>>2]=g;if(!(g&3)){f[k>>2]=0;f[k+4>>2]=0;g=YG(k,64)|0;a=262954;i=g+64|0;do{b[g>>0]=b[a>>0]|0;g=g+1|0;a=a+1|0}while((g|0)<(i|0));SQ(-215,k,263019,260039,3314)}else{u=j;return}}function Fda(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;tda(a,c,d,e,h,i);f[a>>2]=57712;f[a+76>>2]=g;if(!(g&3)){f[k>>2]=0;f[k+4>>2]=0;g=YG(k,64)|0;a=262954;i=g+64|0;do{b[g>>0]=b[a>>0]|0;g=g+1|0;a=a+1|0}while((g|0)<(i|0));SQ(-215,k,263019,260039,3314)}else{u=j;return}}function Gda(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;uda(a,c,d,e,h,i);f[a>>2]=57664;f[a+80>>2]=g;if(!(g&3)){f[k>>2]=0;f[k+4>>2]=0;g=YG(k,64)|0;a=262954;i=g+64|0;do{b[g>>0]=b[a>>0]|0;g=g+1|0;a=a+1|0}while((g|0)<(i|0));SQ(-215,k,263019,260039,3314)}else{u=j;return}}function Hda(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;vda(a,c,d,e,h,i);f[a>>2]=57616;f[a+76>>2]=g;if(!(g&3)){f[k>>2]=0;f[k+4>>2]=0;g=YG(k,64)|0;a=262954;i=g+64|0;do{b[g>>0]=b[a>>0]|0;g=g+1|0;a=a+1|0}while((g|0)<(i|0));SQ(-215,k,263019,260039,3314)}else{u=j;return}}function Ida(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;wda(a,c,d,e,h,i);f[a>>2]=57568;f[a+80>>2]=g;if(!(g&3)){f[k>>2]=0;f[k+4>>2]=0;g=YG(k,64)|0;a=262954;i=g+64|0;do{b[g>>0]=b[a>>0]|0;g=g+1|0;a=a+1|0}while((g|0)<(i|0));SQ(-215,k,263019,260039,3314)}else{u=j;return}}function Jda(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;qea(a,c,d,e,h,i);f[a>>2]=57520;f[a+76>>2]=g;if(!(g&3)){f[k>>2]=0;f[k+4>>2]=0;g=YG(k,64)|0;a=262954;i=g+64|0;do{b[g>>0]=b[a>>0]|0;g=g+1|0;a=a+1|0}while((g|0)<(i|0));SQ(-215,k,263019,260039,3314)}else{u=j;return}}function Kda(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;xda(a,c,d,e,h,i);f[a>>2]=57472;f[a+76>>2]=g;if(!(g&3)){f[k>>2]=0;f[k+4>>2]=0;g=YG(k,64)|0;a=262954;i=g+64|0;do{b[g>>0]=b[a>>0]|0;g=g+1|0;a=a+1|0}while((g|0)<(i|0));SQ(-215,k,263019,260039,3314)}else{u=j;return}}function Lda(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;yda(a,c,d,e,h,i);f[a>>2]=57424;f[a+80>>2]=g;if(!(g&3)){f[k>>2]=0;f[k+4>>2]=0;g=YG(k,64)|0;a=262954;i=g+64|0;do{b[g>>0]=b[a>>0]|0;g=g+1|0;a=a+1|0}while((g|0)<(i|0));SQ(-215,k,263019,260039,3314)}else{u=j;return}}function Mda(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;zda(a,c,d,e,h,i);f[a>>2]=57376;f[a+76>>2]=g;if(!(g&3)){f[k>>2]=0;f[k+4>>2]=0;g=YG(k,64)|0;a=262954;i=g+64|0;do{b[g>>0]=b[a>>0]|0;g=g+1|0;a=a+1|0}while((g|0)<(i|0));SQ(-215,k,263019,260039,3314)}else{u=j;return}}function Nda(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;Ada(a,c,d,e,h,i);f[a>>2]=57328;f[a+80>>2]=g;if(!(g&3)){f[k>>2]=0;f[k+4>>2]=0;g=YG(k,64)|0;a=262954;i=g+64|0;do{b[g>>0]=b[a>>0]|0;g=g+1|0;a=a+1|0}while((g|0)<(i|0));SQ(-215,k,263019,260039,3314)}else{u=j;return}}function Oda(a){a=a|0;Emc(a);return}function Pda(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Qda(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57352;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;tE(b);return}function Rda(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57352;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function Sda(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0.0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0.0,t=0,u=0.0,v=0.0,w=0.0,x=0.0,y=0;h=f[a+28>>2]|0;i=+p[a+72>>3];j=f[a+4>>2]|0;if(!e)return;a=g+-4|0;k=(g|0)<4;l=(j|0)>1;m=g&-4;n=b;b=c;c=e;while(1){c=c+-1|0;a:do if(k)o=0;else{e=f[n>>2]|0;if(l)q=0;else{r=0;while(1){s=+p[h>>3];t=e+(r<<3)|0;u=i+s*+p[t+8>>3];v=i+s*+p[t+16>>3];w=i+s*+p[t+24>>3];p[b+(r<<3)>>3]=i+s*+p[t>>3];p[b+((r|1)<<3)>>3]=u;p[b+((r|2)<<3)>>3]=v;p[b+((r|3)<<3)>>3]=w;r=r+4|0;if((r|0)>(a|0)){o=m;break a}}}do{w=+p[h>>3];r=e+(q<<3)|0;v=i+w*+p[r+24>>3];u=i+w*+p[r+16>>3];s=i+w*+p[r+8>>3];x=i+w*+p[r>>3];r=1;do{t=(f[n+(r<<2)>>2]|0)+(q<<3)|0;w=+p[h+(r<<3)>>3];x=x+w*+p[t>>3];s=s+w*+p[t+8>>3];u=u+w*+p[t+16>>3];v=v+w*+p[t+24>>3];r=r+1|0}while((r|0)!=(j|0));p[b+(q<<3)>>3]=x;p[b+((q|1)<<3)>>3]=s;p[b+((q|2)<<3)>>3]=u;p[b+((q|3)<<3)>>3]=v;q=q+4|0}while((q|0)<=(a|0));o=m}while(0);b:do if((o|0)<(g|0)){e=f[n>>2]|0;if(l)y=o;else{r=o;while(1){p[b+(r<<3)>>3]=i+ +p[h>>3]*+p[e+(r<<3)>>3];r=r+1|0;if((r|0)==(g|0))break b}}do{w=i+ +p[h>>3]*+p[e+(y<<3)>>3];r=1;do{w=w+ +p[h+(r<<3)>>3]*+p[(f[n+(r<<2)>>2]|0)+(y<<3)>>3];r=r+1|0}while((r|0)!=(j|0));p[b+(y<<3)>>3]=w;y=y+1|0}while((y|0)!=(g|0))}while(0);if(!c)break;else{n=n+4|0;b=b+d|0}}return}function Tda(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57352;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function Uda(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0.0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0,B=0,C=0.0,D=0,E=0,F=0,G=0.0,H=0;h=f[a+4>>2]|0;i=(h|0)/2|0;j=(f[a+28>>2]|0)+(i<<3)|0;k=+p[a+72>>3];l=b+(i<<2)|0;b=e+-1|0;m=(e|0)==0;if(!(f[a+80>>2]&1)){if(m)return;a=g+-4|0;e=(g|0)<4;n=(h|0)<2;o=g&-4;q=c;r=l;s=b;while(1){a:do if(e)t=0;else{if(n){u=0;while(1){p[q+(u<<3)>>3]=k;p[q+((u|1)<<3)>>3]=k;p[q+((u|2)<<3)>>3]=k;p[q+((u|3)<<3)>>3]=k;u=u+4|0;if((u|0)>(a|0)){t=o;break a}}}else v=0;do{w=k;x=k;y=k;z=k;u=1;while(1){A=(f[r+(u<<2)>>2]|0)+(v<<3)|0;B=(f[r+(0-u<<2)>>2]|0)+(v<<3)|0;C=+p[j+(u<<3)>>3];z=z+C*(+p[A>>3]-+p[B>>3]);y=y+C*(+p[A+8>>3]-+p[B+8>>3]);x=x+C*(+p[A+16>>3]-+p[B+16>>3]);w=w+C*(+p[A+24>>3]-+p[B+24>>3]);if((u|0)>=(i|0))break;else u=u+1|0}p[q+(v<<3)>>3]=z;p[q+((v|1)<<3)>>3]=y;p[q+((v|2)<<3)>>3]=x;p[q+((v|3)<<3)>>3]=w;v=v+4|0}while((v|0)<=(a|0));t=o}while(0);b:do if((t|0)<(g|0)){if(n){u=t;while(1){p[q+(u<<3)>>3]=k;u=u+1|0;if((u|0)==(g|0))break b}}else D=t;do{C=k;u=1;while(1){C=C+ +p[j+(u<<3)>>3]*(+p[(f[r+(u<<2)>>2]|0)+(D<<3)>>3]-+p[(f[r+(0-u<<2)>>2]|0)+(D<<3)>>3]);if((u|0)>=(i|0))break;else u=u+1|0}p[q+(D<<3)>>3]=C;D=D+1|0}while((D|0)!=(g|0))}while(0);if(!s)break;else{q=q+d|0;r=r+4|0;s=s+-1|0}}return}else{if(m)return;m=g+-4|0;s=(g|0)<4;r=(h|0)<2;h=g&-4;q=l;l=c;c=b;while(1){c:do if(s)E=0;else{b=f[q>>2]|0;if(r){D=0;while(1){w=+p[j>>3];t=b+(D<<3)|0;x=k+w*+p[t+8>>3];y=k+w*+p[t+16>>3];z=k+w*+p[t+24>>3];p[l+(D<<3)>>3]=k+w*+p[t>>3];p[l+((D|1)<<3)>>3]=x;p[l+((D|2)<<3)>>3]=y;p[l+((D|3)<<3)>>3]=z;D=D+4|0;if((D|0)>(m|0)){E=h;break c}}}else F=0;do{z=+p[j>>3];D=b+(F<<3)|0;y=k+z*+p[D+24>>3];x=k+z*+p[D+16>>3];w=k+z*+p[D+8>>3];G=k+z*+p[D>>3];D=1;while(1){t=(f[q+(D<<2)>>2]|0)+(F<<3)|0;n=(f[q+(0-D<<2)>>2]|0)+(F<<3)|0;z=+p[j+(D<<3)>>3];G=G+z*(+p[t>>3]+ +p[n>>3]);w=w+z*(+p[t+8>>3]+ +p[n+8>>3]);x=x+z*(+p[t+16>>3]+ +p[n+16>>3]);y=y+z*(+p[t+24>>3]+ +p[n+24>>3]);if((D|0)>=(i|0))break;else D=D+1|0}p[l+(F<<3)>>3]=G;p[l+((F|1)<<3)>>3]=w;p[l+((F|2)<<3)>>3]=x;p[l+((F|3)<<3)>>3]=y;F=F+4|0}while((F|0)<=(m|0));E=h}while(0);d:do if((E|0)<(g|0)){b=f[q>>2]|0;if(r){D=E;while(1){p[l+(D<<3)>>3]=k+ +p[j>>3]*+p[b+(D<<3)>>3];D=D+1|0;if((D|0)==(g|0))break d}}else H=E;do{C=k+ +p[j>>3]*+p[b+(H<<3)>>3];D=1;while(1){C=C+ +p[j+(D<<3)>>3]*(+p[(f[q+(D<<2)>>2]|0)+(H<<3)>>3]+ +p[(f[q+(0-D<<2)>>2]|0)+(H<<3)>>3]);if((D|0)>=(i|0))break;else D=D+1|0}p[l+(H<<3)>>3]=C;H=H+1|0}while((H|0)!=(g|0))}while(0);if(!c)break;else{q=q+4|0;l=l+d|0;c=c+-1|0}}return}}function Vda(a){a=a|0;Emc(a);return}function Wda(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Xda(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57400;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;tE(b);return}function Yda(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57400;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function Zda(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0.0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0.0,v=0.0,w=0.0,x=0.0,y=0;h=f[a+28>>2]|0;i=+n[a+72>>2];j=f[a+4>>2]|0;if(!e)return;a=g+-4|0;k=(g|0)<4;l=(j|0)>1;m=g&-4;o=b;b=c;c=e;while(1){c=c+-1|0;a:do if(k)p=0;else{e=f[o>>2]|0;if(l)q=0;else{r=0;while(1){s=+n[h>>2];t=e+(r<<2)|0;u=i+s*+n[t+4>>2];v=i+s*+n[t+8>>2];w=i+s*+n[t+12>>2];n[b+(r<<2)>>2]=i+s*+n[t>>2];n[b+((r|1)<<2)>>2]=u;n[b+((r|2)<<2)>>2]=v;n[b+((r|3)<<2)>>2]=w;r=r+4|0;if((r|0)>(a|0)){p=m;break a}}}do{w=+n[h>>2];r=e+(q<<2)|0;v=i+w*+n[r+12>>2];u=i+w*+n[r+8>>2];s=i+w*+n[r+4>>2];x=i+w*+n[r>>2];r=1;do{t=(f[o+(r<<2)>>2]|0)+(q<<2)|0;w=+n[h+(r<<2)>>2];x=x+w*+n[t>>2];s=s+w*+n[t+4>>2];u=u+w*+n[t+8>>2];v=v+w*+n[t+12>>2];r=r+1|0}while((r|0)!=(j|0));n[b+(q<<2)>>2]=x;n[b+((q|1)<<2)>>2]=s;n[b+((q|2)<<2)>>2]=u;n[b+((q|3)<<2)>>2]=v;q=q+4|0}while((q|0)<=(a|0));p=m}while(0);b:do if((p|0)<(g|0)){e=f[o>>2]|0;if(l)y=p;else{r=p;while(1){n[b+(r<<2)>>2]=i+ +n[h>>2]*+n[e+(r<<2)>>2];r=r+1|0;if((r|0)==(g|0))break b}}do{w=i+ +n[h>>2]*+n[e+(y<<2)>>2];r=1;do{w=w+ +n[h+(r<<2)>>2]*+n[(f[o+(r<<2)>>2]|0)+(y<<2)>>2];r=r+1|0}while((r|0)!=(j|0));n[b+(y<<2)>>2]=w;y=y+1|0}while((y|0)!=(g|0))}while(0);if(!c)break;else{o=o+4|0;b=b+d|0}}return}function _da(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57400;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function $da(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0.0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0,B=0,C=0.0,D=0,E=0,F=0,G=0.0,H=0;h=f[a+4>>2]|0;i=(h|0)/2|0;j=(f[a+28>>2]|0)+(i<<2)|0;k=+n[a+72>>2];l=b+(i<<2)|0;b=e+-1|0;m=(e|0)==0;if(!(f[a+76>>2]&1)){if(m)return;a=g+-4|0;e=(g|0)<4;o=(h|0)<2;p=g&-4;q=c;r=l;s=b;while(1){a:do if(e)t=0;else{if(o){u=0;while(1){n[q+(u<<2)>>2]=k;n[q+((u|1)<<2)>>2]=k;n[q+((u|2)<<2)>>2]=k;n[q+((u|3)<<2)>>2]=k;u=u+4|0;if((u|0)>(a|0)){t=p;break a}}}else v=0;do{w=k;x=k;y=k;z=k;u=1;while(1){A=(f[r+(u<<2)>>2]|0)+(v<<2)|0;B=(f[r+(0-u<<2)>>2]|0)+(v<<2)|0;C=+n[j+(u<<2)>>2];z=z+C*(+n[A>>2]-+n[B>>2]);y=y+C*(+n[A+4>>2]-+n[B+4>>2]);x=x+C*(+n[A+8>>2]-+n[B+8>>2]);w=w+C*(+n[A+12>>2]-+n[B+12>>2]);if((u|0)>=(i|0))break;else u=u+1|0}n[q+(v<<2)>>2]=z;n[q+((v|1)<<2)>>2]=y;n[q+((v|2)<<2)>>2]=x;n[q+((v|3)<<2)>>2]=w;v=v+4|0}while((v|0)<=(a|0));t=p}while(0);b:do if((t|0)<(g|0)){if(o){u=t;while(1){n[q+(u<<2)>>2]=k;u=u+1|0;if((u|0)==(g|0))break b}}else D=t;do{C=k;u=1;while(1){C=C+ +n[j+(u<<2)>>2]*(+n[(f[r+(u<<2)>>2]|0)+(D<<2)>>2]-+n[(f[r+(0-u<<2)>>2]|0)+(D<<2)>>2]);if((u|0)>=(i|0))break;else u=u+1|0}n[q+(D<<2)>>2]=C;D=D+1|0}while((D|0)!=(g|0))}while(0);if(!s)break;else{q=q+d|0;r=r+4|0;s=s+-1|0}}return}else{if(m)return;m=g+-4|0;s=(g|0)<4;r=(h|0)<2;h=g&-4;q=l;l=c;c=b;while(1){c:do if(s)E=0;else{b=f[q>>2]|0;if(r){D=0;while(1){w=+n[j>>2];t=b+(D<<2)|0;x=k+w*+n[t+4>>2];y=k+w*+n[t+8>>2];z=k+w*+n[t+12>>2];n[l+(D<<2)>>2]=k+w*+n[t>>2];n[l+((D|1)<<2)>>2]=x;n[l+((D|2)<<2)>>2]=y;n[l+((D|3)<<2)>>2]=z;D=D+4|0;if((D|0)>(m|0)){E=h;break c}}}else F=0;do{z=+n[j>>2];D=b+(F<<2)|0;y=k+z*+n[D+12>>2];x=k+z*+n[D+8>>2];w=k+z*+n[D+4>>2];G=k+z*+n[D>>2];D=1;while(1){t=(f[q+(D<<2)>>2]|0)+(F<<2)|0;o=(f[q+(0-D<<2)>>2]|0)+(F<<2)|0;z=+n[j+(D<<2)>>2];G=G+z*(+n[t>>2]+ +n[o>>2]);w=w+z*(+n[t+4>>2]+ +n[o+4>>2]);x=x+z*(+n[t+8>>2]+ +n[o+8>>2]);y=y+z*(+n[t+12>>2]+ +n[o+12>>2]);if((D|0)>=(i|0))break;else D=D+1|0}n[l+(F<<2)>>2]=G;n[l+((F|1)<<2)>>2]=w;n[l+((F|2)<<2)>>2]=x;n[l+((F|3)<<2)>>2]=y;F=F+4|0}while((F|0)<=(m|0));E=h}while(0);d:do if((E|0)<(g|0)){b=f[q>>2]|0;if(r){D=E;while(1){n[l+(D<<2)>>2]=k+ +n[j>>2]*+n[b+(D<<2)>>2];D=D+1|0;if((D|0)==(g|0))break d}}else H=E;do{C=k+ +n[j>>2]*+n[b+(H<<2)>>2];D=1;while(1){C=C+ +n[j+(D<<2)>>2]*(+n[(f[q+(D<<2)>>2]|0)+(H<<2)>>2]+ +n[(f[q+(0-D<<2)>>2]|0)+(H<<2)>>2]);if((D|0)>=(i|0))break;else D=D+1|0}n[l+(H<<2)>>2]=C;H=H+1|0}while((H|0)!=(g|0))}while(0);if(!c)break;else{q=q+4|0;l=l+d|0;c=c+-1|0}}return}}function aea(a){a=a|0;Emc(a);return}function bea(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function cea(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57448;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;tE(b);return}function dea(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57448;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function eea(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0.0,k=0,l=0,m=0,n=0,o=0,q=0,r=0.0,s=0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0,z=0.0,A=0.0,B=0;i=f[a+28>>2]|0;j=+p[a+72>>3];k=f[a+4>>2]|0;if(!g)return;a=h+-4|0;l=(h|0)<4;m=(k|0)>1;n=h&-4;o=b;b=c;c=g;while(1){c=c+-1|0;a:do if(l)q=0;else{r=+p[i>>3];g=f[o>>2]|0;if(m)s=0;else{t=0;while(1){u=g+(t<<3)|0;v=j+r*+p[u+8>>3];w=j+r*+p[u+16>>3];x=j+r*+p[u+24>>3];y=V9b(j+r*+p[u>>3])|0;d[b+(t<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;y=V9b(v)|0;d[b+((t|1)<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;y=V9b(w)|0;d[b+((t|2)<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;y=V9b(x)|0;d[b+((t|3)<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;t=t+4|0;if((t|0)>(a|0)){q=n;break a}}}do{t=g+(s<<3)|0;x=j+r*+p[t+24>>3];w=j+r*+p[t+16>>3];v=j+r*+p[t+8>>3];z=j+r*+p[t>>3];t=1;do{y=(f[o+(t<<2)>>2]|0)+(s<<3)|0;A=+p[i+(t<<3)>>3];z=z+A*+p[y>>3];v=v+A*+p[y+8>>3];w=w+A*+p[y+16>>3];x=x+A*+p[y+24>>3];t=t+1|0}while((t|0)!=(k|0));t=V9b(z)|0;d[b+(s<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;t=V9b(v)|0;d[b+((s|1)<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;t=V9b(w)|0;d[b+((s|2)<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;t=V9b(x)|0;d[b+((s|3)<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;s=s+4|0}while((s|0)<=(a|0));q=n}while(0);b:do if((q|0)<(h|0)){r=+p[i>>3];g=f[o>>2]|0;if(m)B=q;else{t=q;while(1){y=V9b(j+r*+p[g+(t<<3)>>3])|0;d[b+(t<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;t=t+1|0;if((t|0)==(h|0))break b}}do{A=j+r*+p[g+(B<<3)>>3];t=1;do{A=A+ +p[i+(t<<3)>>3]*+p[(f[o+(t<<2)>>2]|0)+(B<<3)>>3];t=t+1|0}while((t|0)!=(k|0));t=V9b(A)|0;d[b+(B<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;B=B+1|0}while((B|0)!=(h|0))}while(0);if(!c)break;else{o=o+4|0;b=b+e|0}}return}function fea(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57448;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function gea(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0.0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0,x=0,y=0,z=0.0,A=0.0,B=0.0,C=0,D=0,E=0.0,F=0.0,G=0,H=0,I=0,J=0;i=f[a+4>>2]|0;j=(i|0)/2|0;k=(f[a+28>>2]|0)+(j<<3)|0;l=+p[a+72>>3];m=b+(j<<2)|0;b=g+-1|0;n=(g|0)==0;if(f[a+80>>2]&1|0){if(n)return;a=h+-4|0;g=(h|0)<4;o=(i|0)<2;q=h&-4;r=m;s=c;t=b;while(1){a:do if(g)u=0;else{v=+p[k>>3];w=f[r>>2]|0;if(o){x=0;while(1){y=w+(x<<3)|0;z=l+v*+p[y+8>>3];A=l+v*+p[y+16>>3];B=l+v*+p[y+24>>3];C=V9b(l+v*+p[y>>3])|0;d[s+(x<<1)>>1]=(C+32768|0)>>>0<65536?C:(C|0)>0?32767:32768;C=V9b(z)|0;d[s+((x|1)<<1)>>1]=(C+32768|0)>>>0<65536?C:(C|0)>0?32767:32768;C=V9b(A)|0;d[s+((x|2)<<1)>>1]=(C+32768|0)>>>0<65536?C:(C|0)>0?32767:32768;C=V9b(B)|0;d[s+((x|3)<<1)>>1]=(C+32768|0)>>>0<65536?C:(C|0)>0?32767:32768;x=x+4|0;if((x|0)>(a|0)){u=q;break a}}}else D=0;do{x=w+(D<<3)|0;B=l+v*+p[x+24>>3];A=l+v*+p[x+16>>3];z=l+v*+p[x+8>>3];E=l+v*+p[x>>3];x=1;while(1){C=(f[r+(x<<2)>>2]|0)+(D<<3)|0;y=(f[r+(0-x<<2)>>2]|0)+(D<<3)|0;F=+p[k+(x<<3)>>3];E=E+F*(+p[C>>3]+ +p[y>>3]);z=z+F*(+p[C+8>>3]+ +p[y+8>>3]);A=A+F*(+p[C+16>>3]+ +p[y+16>>3]);B=B+F*(+p[C+24>>3]+ +p[y+24>>3]);if((x|0)>=(j|0))break;else x=x+1|0}x=V9b(E)|0;d[s+(D<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;x=V9b(z)|0;d[s+((D|1)<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;x=V9b(A)|0;d[s+((D|2)<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;x=V9b(B)|0;d[s+((D|3)<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;D=D+4|0}while((D|0)<=(a|0));u=q}while(0);b:do if((u|0)<(h|0)){v=+p[k>>3];w=f[r>>2]|0;if(o){x=u;while(1){y=V9b(l+v*+p[w+(x<<3)>>3])|0;d[s+(x<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;x=x+1|0;if((x|0)==(h|0))break b}}else G=u;do{F=l+v*+p[w+(G<<3)>>3];x=1;while(1){F=F+ +p[k+(x<<3)>>3]*(+p[(f[r+(x<<2)>>2]|0)+(G<<3)>>3]+ +p[(f[r+(0-x<<2)>>2]|0)+(G<<3)>>3]);if((x|0)>=(j|0))break;else x=x+1|0}x=V9b(F)|0;d[s+(G<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;G=G+1|0}while((G|0)!=(h|0))}while(0);if(!t)break;else{r=r+4|0;s=s+e|0;t=t+-1|0}}return}if(n)return;n=h+-4|0;t=(h|0)<4;s=(i|0)<2;i=h&-4;r=c;c=m;m=b;while(1){c:do if(t)H=0;else{if(s){b=V9b(l)|0;G=((b+32768|0)>>>0<65536?b:(b|0)>0?32767:32768)&65535;b=0;while(1){d[r+(b<<1)>>1]=G;d[r+((b|1)<<1)>>1]=G;d[r+((b|2)<<1)>>1]=G;d[r+((b|3)<<1)>>1]=G;b=b+4|0;if((b|0)>(n|0)){H=i;break c}}}else I=0;do{v=l;B=l;A=l;z=l;b=1;while(1){G=(f[c+(b<<2)>>2]|0)+(I<<3)|0;u=(f[c+(0-b<<2)>>2]|0)+(I<<3)|0;E=+p[k+(b<<3)>>3];z=z+E*(+p[G>>3]-+p[u>>3]);A=A+E*(+p[G+8>>3]-+p[u+8>>3]);B=B+E*(+p[G+16>>3]-+p[u+16>>3]);v=v+E*(+p[G+24>>3]-+p[u+24>>3]);if((b|0)>=(j|0))break;else b=b+1|0}b=V9b(z)|0;d[r+(I<<1)>>1]=(b+32768|0)>>>0<65536?b:(b|0)>0?32767:32768;b=V9b(A)|0;d[r+((I|1)<<1)>>1]=(b+32768|0)>>>0<65536?b:(b|0)>0?32767:32768;b=V9b(B)|0;d[r+((I|2)<<1)>>1]=(b+32768|0)>>>0<65536?b:(b|0)>0?32767:32768;b=V9b(v)|0;d[r+((I|3)<<1)>>1]=(b+32768|0)>>>0<65536?b:(b|0)>0?32767:32768;I=I+4|0}while((I|0)<=(n|0));H=i}while(0);d:do if((H|0)<(h|0)){if(s){b=V9b(l)|0;u=((b+32768|0)>>>0<65536?b:(b|0)>0?32767:32768)&65535;b=H;while(1){d[r+(b<<1)>>1]=u;b=b+1|0;if((b|0)==(h|0))break d}}else J=H;do{F=l;b=1;while(1){F=F+ +p[k+(b<<3)>>3]*(+p[(f[c+(b<<2)>>2]|0)+(J<<3)>>3]-+p[(f[c+(0-b<<2)>>2]|0)+(J<<3)>>3]);if((b|0)>=(j|0))break;else b=b+1|0}b=V9b(F)|0;d[r+(J<<1)>>1]=(b+32768|0)>>>0<65536?b:(b|0)>0?32767:32768;J=J+1|0}while((J|0)!=(h|0))}while(0);if(!m)break;else{r=r+e|0;c=c+4|0;m=m+-1|0}}return}function hea(a){a=a|0;Emc(a);return}function iea(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function jea(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57496;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;tE(b);return}function kea(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57496;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function lea(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0.0,k=0,l=0,m=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0,z=0.0,A=0.0,B=0;i=f[a+28>>2]|0;j=+n[a+72>>2];k=f[a+4>>2]|0;if(!g)return;a=h+-4|0;l=(h|0)<4;m=(k|0)>1;o=h&-4;p=b;b=c;c=g;while(1){c=c+-1|0;a:do if(l)q=0;else{r=+n[i>>2];g=f[p>>2]|0;if(m)s=0;else{t=0;while(1){u=g+(t<<2)|0;v=j+r*+n[u+4>>2];w=j+r*+n[u+8>>2];x=j+r*+n[u+12>>2];y=U9b(j+r*+n[u>>2])|0;d[b+(t<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;y=U9b(v)|0;d[b+((t|1)<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;y=U9b(w)|0;d[b+((t|2)<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;y=U9b(x)|0;d[b+((t|3)<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;t=t+4|0;if((t|0)>(a|0)){q=o;break a}}}do{t=g+(s<<2)|0;x=j+r*+n[t+12>>2];w=j+r*+n[t+8>>2];v=j+r*+n[t+4>>2];z=j+r*+n[t>>2];t=1;do{y=(f[p+(t<<2)>>2]|0)+(s<<2)|0;A=+n[i+(t<<2)>>2];z=z+A*+n[y>>2];v=v+A*+n[y+4>>2];w=w+A*+n[y+8>>2];x=x+A*+n[y+12>>2];t=t+1|0}while((t|0)!=(k|0));t=U9b(z)|0;d[b+(s<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;t=U9b(v)|0;d[b+((s|1)<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;t=U9b(w)|0;d[b+((s|2)<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;t=U9b(x)|0;d[b+((s|3)<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;s=s+4|0}while((s|0)<=(a|0));q=o}while(0);b:do if((q|0)<(h|0)){r=+n[i>>2];g=f[p>>2]|0;if(m)B=q;else{t=q;while(1){y=U9b(j+r*+n[g+(t<<2)>>2])|0;d[b+(t<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;t=t+1|0;if((t|0)==(h|0))break b}}do{A=j+r*+n[g+(B<<2)>>2];t=1;do{A=A+ +n[i+(t<<2)>>2]*+n[(f[p+(t<<2)>>2]|0)+(B<<2)>>2];t=t+1|0}while((t|0)!=(k|0));t=U9b(A)|0;d[b+(B<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;B=B+1|0}while((B|0)!=(h|0))}while(0);if(!c)break;else{p=p+4|0;b=b+e|0}}return}function mea(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57496;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function nea(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0.0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0,x=0,y=0,z=0.0,A=0.0,B=0.0,C=0,D=0,E=0.0,F=0.0,G=0,H=0,I=0,J=0;i=f[a+4>>2]|0;j=(i|0)/2|0;k=(f[a+28>>2]|0)+(j<<2)|0;l=+n[a+72>>2];m=b+(j<<2)|0;b=g+-1|0;o=(g|0)==0;if(f[a+76>>2]&1|0){if(o)return;a=h+-4|0;g=(h|0)<4;p=(i|0)<2;q=h&-4;r=m;s=c;t=b;while(1){a:do if(g)u=0;else{v=+n[k>>2];w=f[r>>2]|0;if(p){x=0;while(1){y=w+(x<<2)|0;z=l+v*+n[y+4>>2];A=l+v*+n[y+8>>2];B=l+v*+n[y+12>>2];C=U9b(l+v*+n[y>>2])|0;d[s+(x<<1)>>1]=(C+32768|0)>>>0<65536?C:(C|0)>0?32767:32768;C=U9b(z)|0;d[s+((x|1)<<1)>>1]=(C+32768|0)>>>0<65536?C:(C|0)>0?32767:32768;C=U9b(A)|0;d[s+((x|2)<<1)>>1]=(C+32768|0)>>>0<65536?C:(C|0)>0?32767:32768;C=U9b(B)|0;d[s+((x|3)<<1)>>1]=(C+32768|0)>>>0<65536?C:(C|0)>0?32767:32768;x=x+4|0;if((x|0)>(a|0)){u=q;break a}}}else D=0;do{x=w+(D<<2)|0;B=l+v*+n[x+12>>2];A=l+v*+n[x+8>>2];z=l+v*+n[x+4>>2];E=l+v*+n[x>>2];x=1;while(1){C=(f[r+(x<<2)>>2]|0)+(D<<2)|0;y=(f[r+(0-x<<2)>>2]|0)+(D<<2)|0;F=+n[k+(x<<2)>>2];E=E+F*(+n[C>>2]+ +n[y>>2]);z=z+F*(+n[C+4>>2]+ +n[y+4>>2]);A=A+F*(+n[C+8>>2]+ +n[y+8>>2]);B=B+F*(+n[C+12>>2]+ +n[y+12>>2]);if((x|0)>=(j|0))break;else x=x+1|0}x=U9b(E)|0;d[s+(D<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;x=U9b(z)|0;d[s+((D|1)<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;x=U9b(A)|0;d[s+((D|2)<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;x=U9b(B)|0;d[s+((D|3)<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;D=D+4|0}while((D|0)<=(a|0));u=q}while(0);b:do if((u|0)<(h|0)){v=+n[k>>2];w=f[r>>2]|0;if(p){x=u;while(1){y=U9b(l+v*+n[w+(x<<2)>>2])|0;d[s+(x<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;x=x+1|0;if((x|0)==(h|0))break b}}else G=u;do{F=l+v*+n[w+(G<<2)>>2];x=1;while(1){F=F+ +n[k+(x<<2)>>2]*(+n[(f[r+(x<<2)>>2]|0)+(G<<2)>>2]+ +n[(f[r+(0-x<<2)>>2]|0)+(G<<2)>>2]);if((x|0)>=(j|0))break;else x=x+1|0}x=U9b(F)|0;d[s+(G<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;G=G+1|0}while((G|0)!=(h|0))}while(0);if(!t)break;else{r=r+4|0;s=s+e|0;t=t+-1|0}}return}if(o)return;o=h+-4|0;t=(h|0)<4;s=(i|0)<2;i=h&-4;r=c;c=m;m=b;while(1){c:do if(t)H=0;else{if(s){b=U9b(l)|0;G=((b+32768|0)>>>0<65536?b:(b|0)>0?32767:32768)&65535;b=0;while(1){d[r+(b<<1)>>1]=G;d[r+((b|1)<<1)>>1]=G;d[r+((b|2)<<1)>>1]=G;d[r+((b|3)<<1)>>1]=G;b=b+4|0;if((b|0)>(o|0)){H=i;break c}}}else I=0;do{v=l;B=l;A=l;z=l;b=1;while(1){G=(f[c+(b<<2)>>2]|0)+(I<<2)|0;u=(f[c+(0-b<<2)>>2]|0)+(I<<2)|0;E=+n[k+(b<<2)>>2];z=z+E*(+n[G>>2]-+n[u>>2]);A=A+E*(+n[G+4>>2]-+n[u+4>>2]);B=B+E*(+n[G+8>>2]-+n[u+8>>2]);v=v+E*(+n[G+12>>2]-+n[u+12>>2]);if((b|0)>=(j|0))break;else b=b+1|0}b=U9b(z)|0;d[r+(I<<1)>>1]=(b+32768|0)>>>0<65536?b:(b|0)>0?32767:32768;b=U9b(A)|0;d[r+((I|1)<<1)>>1]=(b+32768|0)>>>0<65536?b:(b|0)>0?32767:32768;b=U9b(B)|0;d[r+((I|2)<<1)>>1]=(b+32768|0)>>>0<65536?b:(b|0)>0?32767:32768;b=U9b(v)|0;d[r+((I|3)<<1)>>1]=(b+32768|0)>>>0<65536?b:(b|0)>0?32767:32768;I=I+4|0}while((I|0)<=(o|0));H=i}while(0);d:do if((H|0)<(h|0)){if(s){b=U9b(l)|0;u=((b+32768|0)>>>0<65536?b:(b|0)>0?32767:32768)&65535;b=H;while(1){d[r+(b<<1)>>1]=u;b=b+1|0;if((b|0)==(h|0))break d}}else J=H;do{F=l;b=1;while(1){F=F+ +n[k+(b<<2)>>2]*(+n[(f[c+(b<<2)>>2]|0)+(J<<2)>>2]-+n[(f[c+(0-b<<2)>>2]|0)+(J<<2)>>2]);if((b|0)>=(j|0))break;else b=b+1|0}b=U9b(F)|0;d[r+(J<<1)>>1]=(b+32768|0)>>>0<65536?b:(b|0)>0?32767:32768;J=J+1|0}while((J|0)!=(h|0))}while(0);if(!m)break;else{r=r+e|0;c=c+4|0;m=m+-1|0}}return}function oea(a){a=a|0;Emc(a);return}function pea(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function qea(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;h=u;u=u+16|0;g=h;i=a+8|0;f[i>>2]=-1;j=a+4|0;f[j>>2]=-1;f[a>>2]=57544;k=a+12|0;f[k>>2]=1124007936;l=a+16|0;m=a+20|0;n=a+52|0;o=l;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));f[n>>2]=m;q=a+60|0;r=a+56|0;f[r>>2]=q;f[q>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((k|0)!=(c|0)){q=c+36|0;s=f[q>>2]|0;if(s){t=s+12|0;f[t>>2]=(f[t>>2]|0)+1;t=a+48|0;s=f[t>>2]|0;if((s|0)!=0?(v=s+12|0,s=f[v>>2]|0,f[v>>2]=s+-1,(s|0)==1):0){lP(k);w=t}else w=t}else w=a+48|0;f[w>>2]=0;t=a+28|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[l>>2]|0)>0){s=f[n>>2]|0;n=0;do{f[s+(n<<2)>>2]=0;n=n+1|0;x=f[l>>2]|0}while((n|0)<(x|0));f[k>>2]=f[c>>2];if((x|0)<3)y=13;else y=15}else{f[k>>2]=f[c>>2];y=13}if((y|0)==13){x=f[c+4>>2]|0;if((x|0)<3){f[l>>2]=x;f[m>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];x=f[c+44>>2]|0;l=f[r>>2]|0;f[l>>2]=f[x>>2];f[l+4>>2]=f[x+4>>2]}else y=15}if((y|0)==15)kP(k,c);f[t>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[w>>2]=f[q>>2]}}else{q=g+8|0;f[q>>2]=0;f[q+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=k;kT(c,g)}f[i>>2]=d;d=f[m>>2]|0;m=f[a+24>>2]|0;f[j>>2]=d+-1+m;j=V9b(e)|0;f[a+72>>2]=j;if((f[k>>2]&4095|0)!=4){f[g>>2]=0;z=g+4|0;f[z>>2]=0;A=YG(g,77)|0;o=A;B=264008;p=o+77|0;do{b[o>>0]=b[B>>0]|0;o=o+1|0;B=B+1|0}while((o|0)<(p|0));SQ(-215,g,264086,260039,3251)}if((d|0)==1|(m|0)==1){u=h;return}else{f[g>>2]=0;z=g+4|0;f[z>>2]=0;A=YG(g,77)|0;o=A;B=264008;p=o+77|0;do{b[o>>0]=b[B>>0]|0;o=o+1|0;B=B+1|0}while((o|0)<(p|0));SQ(-215,g,264086,260039,3251)}}function rea(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57544;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;tE(b);return}function sea(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57544;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function tea(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;i=f[a+28>>2]|0;j=f[a+72>>2]|0;k=f[a+4>>2]|0;if(!g)return;a=h+-4|0;l=(h|0)<4;m=(k|0)>1;n=h&-4;o=b;b=c;c=g;while(1){c=c+-1|0;a:do if(l)p=0;else{g=f[i>>2]|0;q=f[o>>2]|0;if(m)r=0;else{s=0;while(1){t=q+(s<<2)|0;u=(Y(f[t>>2]|0,g)|0)+j|0;v=(Y(f[t+4>>2]|0,g)|0)+j|0;w=(Y(f[t+8>>2]|0,g)|0)+j|0;x=(Y(f[t+12>>2]|0,g)|0)+j|0;d[b+(s<<1)>>1]=(u+32768|0)>>>0<65536?u:(u|0)>0?32767:32768;d[b+((s|1)<<1)>>1]=(v+32768|0)>>>0<65536?v:(v|0)>0?32767:32768;d[b+((s|2)<<1)>>1]=(w+32768|0)>>>0<65536?w:(w|0)>0?32767:32768;d[b+((s|3)<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;s=s+4|0;if((s|0)>(a|0)){p=n;break a}}}do{s=q+(r<<2)|0;x=(Y(f[s>>2]|0,g)|0)+j|0;w=(Y(f[s+4>>2]|0,g)|0)+j|0;v=(Y(f[s+8>>2]|0,g)|0)+j|0;u=(Y(f[s+12>>2]|0,g)|0)+j|0;s=v;v=w;w=x;x=1;do{t=(f[o+(x<<2)>>2]|0)+(r<<2)|0;y=f[i+(x<<2)>>2]|0;w=(Y(f[t>>2]|0,y)|0)+w|0;v=(Y(f[t+4>>2]|0,y)|0)+v|0;s=(Y(f[t+8>>2]|0,y)|0)+s|0;u=(Y(f[t+12>>2]|0,y)|0)+u|0;x=x+1|0}while((x|0)!=(k|0));d[b+(r<<1)>>1]=(w+32768|0)>>>0<65536?w:(w|0)>0?32767:32768;d[b+((r|1)<<1)>>1]=(v+32768|0)>>>0<65536?v:(v|0)>0?32767:32768;d[b+((r|2)<<1)>>1]=(s+32768|0)>>>0<65536?s:(s|0)>0?32767:32768;d[b+((r|3)<<1)>>1]=(u+32768|0)>>>0<65536?u:(u|0)>0?32767:32768;r=r+4|0}while((r|0)<=(a|0));p=n}while(0);b:do if((p|0)<(h|0)){g=f[i>>2]|0;q=f[o>>2]|0;if(m)z=p;else{x=p;while(1){y=(Y(f[q+(x<<2)>>2]|0,g)|0)+j|0;d[b+(x<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;x=x+1|0;if((x|0)==(h|0))break b}}do{x=(Y(f[q+(z<<2)>>2]|0,g)|0)+j|0;y=1;do{x=(Y(f[(f[o+(y<<2)>>2]|0)+(z<<2)>>2]|0,f[i+(y<<2)>>2]|0)|0)+x|0;y=y+1|0}while((y|0)!=(k|0));d[b+(z<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;z=z+1|0}while((z|0)!=(h|0))}while(0);if(!c)break;else{o=o+4|0;b=b+e|0}}return}function uea(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57544;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function vea(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;i=f[a+4>>2]|0;j=(i|0)/2|0;k=(f[a+28>>2]|0)+(j<<2)|0;l=f[a+72>>2]|0;m=b+(j<<2)|0;b=g+-1|0;n=(g|0)==0;if(!(f[a+76>>2]&1)){if(n)return;a=h+-4|0;g=(h|0)<4;o=(i|0)<2;p=h&-4;q=((l+32768|0)>>>0<65536?l:(l|0)>0?32767:32768)&65535;r=((l+32768|0)>>>0<65536?l:(l|0)>0?32767:32768)&65535;s=c;t=m;u=b;while(1){a:do if(g)v=0;else{if(o){w=0;while(1){d[s+(w<<1)>>1]=r;d[s+((w|1)<<1)>>1]=r;d[s+((w|2)<<1)>>1]=r;d[s+((w|3)<<1)>>1]=r;w=w+4|0;if((w|0)>(a|0)){v=p;break a}}}else x=0;do{w=l;y=l;z=l;A=l;B=1;while(1){C=(f[t+(B<<2)>>2]|0)+(x<<2)|0;D=(f[t+(0-B<<2)>>2]|0)+(x<<2)|0;E=f[k+(B<<2)>>2]|0;A=(Y((f[C>>2]|0)-(f[D>>2]|0)|0,E)|0)+A|0;z=(Y((f[C+4>>2]|0)-(f[D+4>>2]|0)|0,E)|0)+z|0;y=(Y((f[C+8>>2]|0)-(f[D+8>>2]|0)|0,E)|0)+y|0;w=(Y((f[C+12>>2]|0)-(f[D+12>>2]|0)|0,E)|0)+w|0;if((B|0)>=(j|0))break;else B=B+1|0}d[s+(x<<1)>>1]=(A+32768|0)>>>0<65536?A:(A|0)>0?32767:32768;d[s+((x|1)<<1)>>1]=(z+32768|0)>>>0<65536?z:(z|0)>0?32767:32768;d[s+((x|2)<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;d[s+((x|3)<<1)>>1]=(w+32768|0)>>>0<65536?w:(w|0)>0?32767:32768;x=x+4|0}while((x|0)<=(a|0));v=p}while(0);b:do if((v|0)<(h|0)){if(o){B=v;while(1){d[s+(B<<1)>>1]=q;B=B+1|0;if((B|0)==(h|0))break b}}else F=v;do{B=l;E=1;while(1){B=(Y((f[(f[t+(E<<2)>>2]|0)+(F<<2)>>2]|0)-(f[(f[t+(0-E<<2)>>2]|0)+(F<<2)>>2]|0)|0,f[k+(E<<2)>>2]|0)|0)+B|0;if((E|0)>=(j|0))break;else E=E+1|0}d[s+(F<<1)>>1]=(B+32768|0)>>>0<65536?B:(B|0)>0?32767:32768;F=F+1|0}while((F|0)!=(h|0))}while(0);if(!u)break;else{s=s+e|0;t=t+4|0;u=u+-1|0}}return}else{if(n)return;n=h+-4|0;u=(h|0)<4;t=(i|0)<2;i=h&-4;s=m;m=c;c=b;while(1){c:do if(u)G=0;else{b=f[k>>2]|0;F=f[s>>2]|0;if(t){v=0;while(1){q=F+(v<<2)|0;o=(Y(f[q>>2]|0,b)|0)+l|0;p=(Y(f[q+4>>2]|0,b)|0)+l|0;a=(Y(f[q+8>>2]|0,b)|0)+l|0;x=(Y(f[q+12>>2]|0,b)|0)+l|0;d[m+(v<<1)>>1]=(o+32768|0)>>>0<65536?o:(o|0)>0?32767:32768;d[m+((v|1)<<1)>>1]=(p+32768|0)>>>0<65536?p:(p|0)>0?32767:32768;d[m+((v|2)<<1)>>1]=(a+32768|0)>>>0<65536?a:(a|0)>0?32767:32768;d[m+((v|3)<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;v=v+4|0;if((v|0)>(n|0)){G=i;break c}}}else H=0;do{v=F+(H<<2)|0;x=(Y(f[v>>2]|0,b)|0)+l|0;a=(Y(f[v+4>>2]|0,b)|0)+l|0;p=(Y(f[v+8>>2]|0,b)|0)+l|0;o=(Y(f[v+12>>2]|0,b)|0)+l|0;v=p;p=a;a=x;x=1;while(1){q=(f[s+(x<<2)>>2]|0)+(H<<2)|0;r=(f[s+(0-x<<2)>>2]|0)+(H<<2)|0;g=f[k+(x<<2)>>2]|0;a=(Y((f[r>>2]|0)+(f[q>>2]|0)|0,g)|0)+a|0;p=(Y((f[r+4>>2]|0)+(f[q+4>>2]|0)|0,g)|0)+p|0;v=(Y((f[r+8>>2]|0)+(f[q+8>>2]|0)|0,g)|0)+v|0;o=(Y((f[r+12>>2]|0)+(f[q+12>>2]|0)|0,g)|0)+o|0;if((x|0)>=(j|0))break;else x=x+1|0}d[m+(H<<1)>>1]=(a+32768|0)>>>0<65536?a:(a|0)>0?32767:32768;d[m+((H|1)<<1)>>1]=(p+32768|0)>>>0<65536?p:(p|0)>0?32767:32768;d[m+((H|2)<<1)>>1]=(v+32768|0)>>>0<65536?v:(v|0)>0?32767:32768;d[m+((H|3)<<1)>>1]=(o+32768|0)>>>0<65536?o:(o|0)>0?32767:32768;H=H+4|0}while((H|0)<=(n|0));G=i}while(0);d:do if((G|0)<(h|0)){b=f[k>>2]|0;F=f[s>>2]|0;if(t){x=G;while(1){B=(Y(f[F+(x<<2)>>2]|0,b)|0)+l|0;d[m+(x<<1)>>1]=(B+32768|0)>>>0<65536?B:(B|0)>0?32767:32768;x=x+1|0;if((x|0)==(h|0))break d}}else I=G;do{x=(Y(f[F+(I<<2)>>2]|0,b)|0)+l|0;B=1;while(1){x=(Y((f[(f[s+(0-B<<2)>>2]|0)+(I<<2)>>2]|0)+(f[(f[s+(B<<2)>>2]|0)+(I<<2)>>2]|0)|0,f[k+(B<<2)>>2]|0)|0)+x|0;if((B|0)>=(j|0))break;else B=B+1|0}d[m+(I<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;I=I+1|0}while((I|0)!=(h|0))}while(0);if(!c)break;else{s=s+4|0;m=m+e|0;c=c+-1|0}}return}}function wea(a){a=a|0;Emc(a);return}function xea(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function yea(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57592;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;tE(b);return}function zea(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57592;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function Aea(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0.0,k=0,l=0,m=0,n=0,o=0,q=0,r=0.0,s=0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0,z=0.0,A=0.0,B=0;i=f[a+28>>2]|0;j=+p[a+72>>3];k=f[a+4>>2]|0;if(!g)return;a=h+-4|0;l=(h|0)<4;m=(k|0)>1;n=h&-4;o=b;b=c;c=g;while(1){c=c+-1|0;a:do if(l)q=0;else{r=+p[i>>3];g=f[o>>2]|0;if(m)s=0;else{t=0;while(1){u=g+(t<<3)|0;v=j+r*+p[u+8>>3];w=j+r*+p[u+16>>3];x=j+r*+p[u+24>>3];y=V9b(j+r*+p[u>>3])|0;d[b+(t<<1)>>1]=y>>>0<65536?y:(y|0)>0?65535:0;y=V9b(v)|0;d[b+((t|1)<<1)>>1]=y>>>0<65536?y:(y|0)>0?65535:0;y=V9b(w)|0;d[b+((t|2)<<1)>>1]=y>>>0<65536?y:(y|0)>0?65535:0;y=V9b(x)|0;d[b+((t|3)<<1)>>1]=y>>>0<65536?y:(y|0)>0?65535:0;t=t+4|0;if((t|0)>(a|0)){q=n;break a}}}do{t=g+(s<<3)|0;x=j+r*+p[t+24>>3];w=j+r*+p[t+16>>3];v=j+r*+p[t+8>>3];z=j+r*+p[t>>3];t=1;do{y=(f[o+(t<<2)>>2]|0)+(s<<3)|0;A=+p[i+(t<<3)>>3];z=z+A*+p[y>>3];v=v+A*+p[y+8>>3];w=w+A*+p[y+16>>3];x=x+A*+p[y+24>>3];t=t+1|0}while((t|0)!=(k|0));t=V9b(z)|0;d[b+(s<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;t=V9b(v)|0;d[b+((s|1)<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;t=V9b(w)|0;d[b+((s|2)<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;t=V9b(x)|0;d[b+((s|3)<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;s=s+4|0}while((s|0)<=(a|0));q=n}while(0);b:do if((q|0)<(h|0)){r=+p[i>>3];g=f[o>>2]|0;if(m)B=q;else{t=q;while(1){y=V9b(j+r*+p[g+(t<<3)>>3])|0;d[b+(t<<1)>>1]=y>>>0<65536?y:(y|0)>0?65535:0;t=t+1|0;if((t|0)==(h|0))break b}}do{A=j+r*+p[g+(B<<3)>>3];t=1;do{A=A+ +p[i+(t<<3)>>3]*+p[(f[o+(t<<2)>>2]|0)+(B<<3)>>3];t=t+1|0}while((t|0)!=(k|0));t=V9b(A)|0;d[b+(B<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;B=B+1|0}while((B|0)!=(h|0))}while(0);if(!c)break;else{o=o+4|0;b=b+e|0}}return}function Bea(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57592;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function Cea(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0.0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0,x=0,y=0,z=0.0,A=0.0,B=0.0,C=0,D=0,E=0.0,F=0.0,G=0,H=0,I=0,J=0;i=f[a+4>>2]|0;j=(i|0)/2|0;k=(f[a+28>>2]|0)+(j<<3)|0;l=+p[a+72>>3];m=b+(j<<2)|0;b=g+-1|0;n=(g|0)==0;if(f[a+80>>2]&1|0){if(n)return;a=h+-4|0;g=(h|0)<4;o=(i|0)<2;q=h&-4;r=m;s=c;t=b;while(1){a:do if(g)u=0;else{v=+p[k>>3];w=f[r>>2]|0;if(o){x=0;while(1){y=w+(x<<3)|0;z=l+v*+p[y+8>>3];A=l+v*+p[y+16>>3];B=l+v*+p[y+24>>3];C=V9b(l+v*+p[y>>3])|0;d[s+(x<<1)>>1]=C>>>0<65536?C:(C|0)>0?65535:0;C=V9b(z)|0;d[s+((x|1)<<1)>>1]=C>>>0<65536?C:(C|0)>0?65535:0;C=V9b(A)|0;d[s+((x|2)<<1)>>1]=C>>>0<65536?C:(C|0)>0?65535:0;C=V9b(B)|0;d[s+((x|3)<<1)>>1]=C>>>0<65536?C:(C|0)>0?65535:0;x=x+4|0;if((x|0)>(a|0)){u=q;break a}}}else D=0;do{x=w+(D<<3)|0;B=l+v*+p[x+24>>3];A=l+v*+p[x+16>>3];z=l+v*+p[x+8>>3];E=l+v*+p[x>>3];x=1;while(1){C=(f[r+(x<<2)>>2]|0)+(D<<3)|0;y=(f[r+(0-x<<2)>>2]|0)+(D<<3)|0;F=+p[k+(x<<3)>>3];E=E+F*(+p[C>>3]+ +p[y>>3]);z=z+F*(+p[C+8>>3]+ +p[y+8>>3]);A=A+F*(+p[C+16>>3]+ +p[y+16>>3]);B=B+F*(+p[C+24>>3]+ +p[y+24>>3]);if((x|0)>=(j|0))break;else x=x+1|0}x=V9b(E)|0;d[s+(D<<1)>>1]=x>>>0<65536?x:(x|0)>0?65535:0;x=V9b(z)|0;d[s+((D|1)<<1)>>1]=x>>>0<65536?x:(x|0)>0?65535:0;x=V9b(A)|0;d[s+((D|2)<<1)>>1]=x>>>0<65536?x:(x|0)>0?65535:0;x=V9b(B)|0;d[s+((D|3)<<1)>>1]=x>>>0<65536?x:(x|0)>0?65535:0;D=D+4|0}while((D|0)<=(a|0));u=q}while(0);b:do if((u|0)<(h|0)){v=+p[k>>3];w=f[r>>2]|0;if(o){x=u;while(1){y=V9b(l+v*+p[w+(x<<3)>>3])|0;d[s+(x<<1)>>1]=y>>>0<65536?y:(y|0)>0?65535:0;x=x+1|0;if((x|0)==(h|0))break b}}else G=u;do{F=l+v*+p[w+(G<<3)>>3];x=1;while(1){F=F+ +p[k+(x<<3)>>3]*(+p[(f[r+(x<<2)>>2]|0)+(G<<3)>>3]+ +p[(f[r+(0-x<<2)>>2]|0)+(G<<3)>>3]);if((x|0)>=(j|0))break;else x=x+1|0}x=V9b(F)|0;d[s+(G<<1)>>1]=x>>>0<65536?x:(x|0)>0?65535:0;G=G+1|0}while((G|0)!=(h|0))}while(0);if(!t)break;else{r=r+4|0;s=s+e|0;t=t+-1|0}}return}if(n)return;n=h+-4|0;t=(h|0)<4;s=(i|0)<2;i=h&-4;r=c;c=m;m=b;while(1){c:do if(t)H=0;else{if(s){b=V9b(l)|0;G=(b>>>0<65536?b:(b|0)>0?65535:0)&65535;b=0;while(1){d[r+(b<<1)>>1]=G;d[r+((b|1)<<1)>>1]=G;d[r+((b|2)<<1)>>1]=G;d[r+((b|3)<<1)>>1]=G;b=b+4|0;if((b|0)>(n|0)){H=i;break c}}}else I=0;do{v=l;B=l;A=l;z=l;b=1;while(1){G=(f[c+(b<<2)>>2]|0)+(I<<3)|0;u=(f[c+(0-b<<2)>>2]|0)+(I<<3)|0;E=+p[k+(b<<3)>>3];z=z+E*(+p[G>>3]-+p[u>>3]);A=A+E*(+p[G+8>>3]-+p[u+8>>3]);B=B+E*(+p[G+16>>3]-+p[u+16>>3]);v=v+E*(+p[G+24>>3]-+p[u+24>>3]);if((b|0)>=(j|0))break;else b=b+1|0}b=V9b(z)|0;d[r+(I<<1)>>1]=b>>>0<65536?b:(b|0)>0?65535:0;b=V9b(A)|0;d[r+((I|1)<<1)>>1]=b>>>0<65536?b:(b|0)>0?65535:0;b=V9b(B)|0;d[r+((I|2)<<1)>>1]=b>>>0<65536?b:(b|0)>0?65535:0;b=V9b(v)|0;d[r+((I|3)<<1)>>1]=b>>>0<65536?b:(b|0)>0?65535:0;I=I+4|0}while((I|0)<=(n|0));H=i}while(0);d:do if((H|0)<(h|0)){if(s){b=V9b(l)|0;u=(b>>>0<65536?b:(b|0)>0?65535:0)&65535;b=H;while(1){d[r+(b<<1)>>1]=u;b=b+1|0;if((b|0)==(h|0))break d}}else J=H;do{F=l;b=1;while(1){F=F+ +p[k+(b<<3)>>3]*(+p[(f[c+(b<<2)>>2]|0)+(J<<3)>>3]-+p[(f[c+(0-b<<2)>>2]|0)+(J<<3)>>3]);if((b|0)>=(j|0))break;else b=b+1|0}b=V9b(F)|0;d[r+(J<<1)>>1]=b>>>0<65536?b:(b|0)>0?65535:0;J=J+1|0}while((J|0)!=(h|0))}while(0);if(!m)break;else{r=r+e|0;c=c+4|0;m=m+-1|0}}return}function Dea(a){a=a|0;Emc(a);return}function Eea(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Fea(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57640;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;tE(b);return}function Gea(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57640;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function Hea(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0.0,k=0,l=0,m=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0,z=0.0,A=0.0,B=0;i=f[a+28>>2]|0;j=+n[a+72>>2];k=f[a+4>>2]|0;if(!g)return;a=h+-4|0;l=(h|0)<4;m=(k|0)>1;o=h&-4;p=b;b=c;c=g;while(1){c=c+-1|0;a:do if(l)q=0;else{r=+n[i>>2];g=f[p>>2]|0;if(m)s=0;else{t=0;while(1){u=g+(t<<2)|0;v=j+r*+n[u+4>>2];w=j+r*+n[u+8>>2];x=j+r*+n[u+12>>2];y=U9b(j+r*+n[u>>2])|0;d[b+(t<<1)>>1]=y>>>0<65536?y:(y|0)>0?65535:0;y=U9b(v)|0;d[b+((t|1)<<1)>>1]=y>>>0<65536?y:(y|0)>0?65535:0;y=U9b(w)|0;d[b+((t|2)<<1)>>1]=y>>>0<65536?y:(y|0)>0?65535:0;y=U9b(x)|0;d[b+((t|3)<<1)>>1]=y>>>0<65536?y:(y|0)>0?65535:0;t=t+4|0;if((t|0)>(a|0)){q=o;break a}}}do{t=g+(s<<2)|0;x=j+r*+n[t+12>>2];w=j+r*+n[t+8>>2];v=j+r*+n[t+4>>2];z=j+r*+n[t>>2];t=1;do{y=(f[p+(t<<2)>>2]|0)+(s<<2)|0;A=+n[i+(t<<2)>>2];z=z+A*+n[y>>2];v=v+A*+n[y+4>>2];w=w+A*+n[y+8>>2];x=x+A*+n[y+12>>2];t=t+1|0}while((t|0)!=(k|0));t=U9b(z)|0;d[b+(s<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;t=U9b(v)|0;d[b+((s|1)<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;t=U9b(w)|0;d[b+((s|2)<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;t=U9b(x)|0;d[b+((s|3)<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;s=s+4|0}while((s|0)<=(a|0));q=o}while(0);b:do if((q|0)<(h|0)){r=+n[i>>2];g=f[p>>2]|0;if(m)B=q;else{t=q;while(1){y=U9b(j+r*+n[g+(t<<2)>>2])|0;d[b+(t<<1)>>1]=y>>>0<65536?y:(y|0)>0?65535:0;t=t+1|0;if((t|0)==(h|0))break b}}do{A=j+r*+n[g+(B<<2)>>2];t=1;do{A=A+ +n[i+(t<<2)>>2]*+n[(f[p+(t<<2)>>2]|0)+(B<<2)>>2];t=t+1|0}while((t|0)!=(k|0));t=U9b(A)|0;d[b+(B<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;B=B+1|0}while((B|0)!=(h|0))}while(0);if(!c)break;else{p=p+4|0;b=b+e|0}}return}function Iea(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57640;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function Jea(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0.0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0,x=0,y=0,z=0.0,A=0.0,B=0.0,C=0,D=0,E=0.0,F=0.0,G=0,H=0,I=0,J=0;i=f[a+4>>2]|0;j=(i|0)/2|0;k=(f[a+28>>2]|0)+(j<<2)|0;l=+n[a+72>>2];m=b+(j<<2)|0;b=g+-1|0;o=(g|0)==0;if(f[a+76>>2]&1|0){if(o)return;a=h+-4|0;g=(h|0)<4;p=(i|0)<2;q=h&-4;r=m;s=c;t=b;while(1){a:do if(g)u=0;else{v=+n[k>>2];w=f[r>>2]|0;if(p){x=0;while(1){y=w+(x<<2)|0;z=l+v*+n[y+4>>2];A=l+v*+n[y+8>>2];B=l+v*+n[y+12>>2];C=U9b(l+v*+n[y>>2])|0;d[s+(x<<1)>>1]=C>>>0<65536?C:(C|0)>0?65535:0;C=U9b(z)|0;d[s+((x|1)<<1)>>1]=C>>>0<65536?C:(C|0)>0?65535:0;C=U9b(A)|0;d[s+((x|2)<<1)>>1]=C>>>0<65536?C:(C|0)>0?65535:0;C=U9b(B)|0;d[s+((x|3)<<1)>>1]=C>>>0<65536?C:(C|0)>0?65535:0;x=x+4|0;if((x|0)>(a|0)){u=q;break a}}}else D=0;do{x=w+(D<<2)|0;B=l+v*+n[x+12>>2];A=l+v*+n[x+8>>2];z=l+v*+n[x+4>>2];E=l+v*+n[x>>2];x=1;while(1){C=(f[r+(x<<2)>>2]|0)+(D<<2)|0;y=(f[r+(0-x<<2)>>2]|0)+(D<<2)|0;F=+n[k+(x<<2)>>2];E=E+F*(+n[C>>2]+ +n[y>>2]);z=z+F*(+n[C+4>>2]+ +n[y+4>>2]);A=A+F*(+n[C+8>>2]+ +n[y+8>>2]);B=B+F*(+n[C+12>>2]+ +n[y+12>>2]);if((x|0)>=(j|0))break;else x=x+1|0}x=U9b(E)|0;d[s+(D<<1)>>1]=x>>>0<65536?x:(x|0)>0?65535:0;x=U9b(z)|0;d[s+((D|1)<<1)>>1]=x>>>0<65536?x:(x|0)>0?65535:0;x=U9b(A)|0;d[s+((D|2)<<1)>>1]=x>>>0<65536?x:(x|0)>0?65535:0;x=U9b(B)|0;d[s+((D|3)<<1)>>1]=x>>>0<65536?x:(x|0)>0?65535:0;D=D+4|0}while((D|0)<=(a|0));u=q}while(0);b:do if((u|0)<(h|0)){v=+n[k>>2];w=f[r>>2]|0;if(p){x=u;while(1){y=U9b(l+v*+n[w+(x<<2)>>2])|0;d[s+(x<<1)>>1]=y>>>0<65536?y:(y|0)>0?65535:0;x=x+1|0;if((x|0)==(h|0))break b}}else G=u;do{F=l+v*+n[w+(G<<2)>>2];x=1;while(1){F=F+ +n[k+(x<<2)>>2]*(+n[(f[r+(x<<2)>>2]|0)+(G<<2)>>2]+ +n[(f[r+(0-x<<2)>>2]|0)+(G<<2)>>2]);if((x|0)>=(j|0))break;else x=x+1|0}x=U9b(F)|0;d[s+(G<<1)>>1]=x>>>0<65536?x:(x|0)>0?65535:0;G=G+1|0}while((G|0)!=(h|0))}while(0);if(!t)break;else{r=r+4|0;s=s+e|0;t=t+-1|0}}return}if(o)return;o=h+-4|0;t=(h|0)<4;s=(i|0)<2;i=h&-4;r=c;c=m;m=b;while(1){c:do if(t)H=0;else{if(s){b=U9b(l)|0;G=(b>>>0<65536?b:(b|0)>0?65535:0)&65535;b=0;while(1){d[r+(b<<1)>>1]=G;d[r+((b|1)<<1)>>1]=G;d[r+((b|2)<<1)>>1]=G;d[r+((b|3)<<1)>>1]=G;b=b+4|0;if((b|0)>(o|0)){H=i;break c}}}else I=0;do{v=l;B=l;A=l;z=l;b=1;while(1){G=(f[c+(b<<2)>>2]|0)+(I<<2)|0;u=(f[c+(0-b<<2)>>2]|0)+(I<<2)|0;E=+n[k+(b<<2)>>2];z=z+E*(+n[G>>2]-+n[u>>2]);A=A+E*(+n[G+4>>2]-+n[u+4>>2]);B=B+E*(+n[G+8>>2]-+n[u+8>>2]);v=v+E*(+n[G+12>>2]-+n[u+12>>2]);if((b|0)>=(j|0))break;else b=b+1|0}b=U9b(z)|0;d[r+(I<<1)>>1]=b>>>0<65536?b:(b|0)>0?65535:0;b=U9b(A)|0;d[r+((I|1)<<1)>>1]=b>>>0<65536?b:(b|0)>0?65535:0;b=U9b(B)|0;d[r+((I|2)<<1)>>1]=b>>>0<65536?b:(b|0)>0?65535:0;b=U9b(v)|0;d[r+((I|3)<<1)>>1]=b>>>0<65536?b:(b|0)>0?65535:0;I=I+4|0}while((I|0)<=(o|0));H=i}while(0);d:do if((H|0)<(h|0)){if(s){b=U9b(l)|0;u=(b>>>0<65536?b:(b|0)>0?65535:0)&65535;b=H;while(1){d[r+(b<<1)>>1]=u;b=b+1|0;if((b|0)==(h|0))break d}}else J=H;do{F=l;b=1;while(1){F=F+ +n[k+(b<<2)>>2]*(+n[(f[c+(b<<2)>>2]|0)+(J<<2)>>2]-+n[(f[c+(0-b<<2)>>2]|0)+(J<<2)>>2]);if((b|0)>=(j|0))break;else b=b+1|0}b=U9b(F)|0;d[r+(J<<1)>>1]=b>>>0<65536?b:(b|0)>0?65535:0;J=J+1|0}while((J|0)!=(h|0))}while(0);if(!m)break;else{r=r+e|0;c=c+4|0;m=m+-1|0}}return}function Kea(a){a=a|0;Emc(a);return}function Lea(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Mea(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57688;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;tE(b);return}function Nea(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57688;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function Oea(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0.0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0.0,t=0,u=0.0,v=0.0,w=0.0,x=0,y=0.0,z=0;i=f[a+28>>2]|0;j=+p[a+72>>3];k=f[a+4>>2]|0;if(!g)return;a=h+-4|0;l=(h|0)<4;m=(k|0)>1;n=h&-4;o=c;c=d;d=g;while(1){d=d+-1|0;a:do if(l)q=0;else{if(m)r=0;else{g=0;while(1){s=+p[i>>3];t=(f[o>>2]|0)+(g<<3)|0;u=j+s*+p[t+8>>3];v=j+s*+p[t+16>>3];w=j+s*+p[t+24>>3];x=V9b(j+s*+p[t>>3])|0;b[c+g>>0]=x>>>0<256?x:(x|0)>0?255:0;x=V9b(u)|0;b[c+(g|1)>>0]=x>>>0<256?x:(x|0)>0?255:0;x=V9b(v)|0;b[c+(g|2)>>0]=x>>>0<256?x:(x|0)>0?255:0;x=V9b(w)|0;b[c+(g|3)>>0]=x>>>0<256?x:(x|0)>0?255:0;g=g+4|0;if((g|0)>(a|0)){q=n;break a}}}do{w=+p[i>>3];g=(f[o>>2]|0)+(r<<3)|0;v=j+w*+p[g+24>>3];u=j+w*+p[g+16>>3];s=j+w*+p[g+8>>3];y=j+w*+p[g>>3];g=1;do{x=(f[o+(g<<2)>>2]|0)+(r<<3)|0;w=+p[i+(g<<3)>>3];y=y+w*+p[x>>3];s=s+w*+p[x+8>>3];u=u+w*+p[x+16>>3];v=v+w*+p[x+24>>3];g=g+1|0}while((g|0)!=(k|0));g=V9b(y)|0;b[c+r>>0]=g>>>0<256?g:(g|0)>0?255:0;g=V9b(s)|0;b[c+(r|1)>>0]=g>>>0<256?g:(g|0)>0?255:0;g=V9b(u)|0;b[c+(r|2)>>0]=g>>>0<256?g:(g|0)>0?255:0;g=V9b(v)|0;b[c+(r|3)>>0]=g>>>0<256?g:(g|0)>0?255:0;r=r+4|0}while((r|0)<=(a|0));q=n}while(0);b:do if((q|0)<(h|0)){if(m)z=q;else{g=q;while(1){x=V9b(j+ +p[i>>3]*+p[(f[o>>2]|0)+(g<<3)>>3])|0;b[c+g>>0]=x>>>0<256?x:(x|0)>0?255:0;g=g+1|0;if((g|0)==(h|0))break b}}do{w=j+ +p[i>>3]*+p[(f[o>>2]|0)+(z<<3)>>3];g=1;do{w=w+ +p[i+(g<<3)>>3]*+p[(f[o+(g<<2)>>2]|0)+(z<<3)>>3];g=g+1|0}while((g|0)!=(k|0));g=V9b(w)|0;b[c+z>>0]=g>>>0<256?g:(g|0)>0?255:0;z=z+1|0}while((z|0)!=(h|0))}while(0);if(!d)break;else{o=o+4|0;c=c+e|0}}return}function Pea(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57688;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function Qea(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0.0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0.0,z=0.0,A=0.0,B=0,C=0,D=0.0,E=0,F=0,G=0,H=0.0,I=0;i=f[a+4>>2]|0;j=(i|0)/2|0;k=(f[a+28>>2]|0)+(j<<3)|0;l=+p[a+72>>3];m=c+(j<<2)|0;c=g+-1|0;n=(g|0)==0;if(f[a+80>>2]&1|0){if(n)return;a=h+-4|0;g=(h|0)<4;o=(i|0)<2;q=h&-4;r=m;s=d;t=c;while(1){a:do if(g)u=0;else{if(o){v=0;while(1){w=+p[k>>3];x=(f[r>>2]|0)+(v<<3)|0;y=l+w*+p[x+8>>3];z=l+w*+p[x+16>>3];A=l+w*+p[x+24>>3];B=V9b(l+w*+p[x>>3])|0;b[s+v>>0]=B>>>0<256?B:(B|0)>0?255:0;B=V9b(y)|0;b[s+(v|1)>>0]=B>>>0<256?B:(B|0)>0?255:0;B=V9b(z)|0;b[s+(v|2)>>0]=B>>>0<256?B:(B|0)>0?255:0;B=V9b(A)|0;b[s+(v|3)>>0]=B>>>0<256?B:(B|0)>0?255:0;v=v+4|0;if((v|0)>(a|0)){u=q;break a}}}else C=0;do{A=+p[k>>3];v=(f[r>>2]|0)+(C<<3)|0;z=l+A*+p[v+24>>3];y=l+A*+p[v+16>>3];w=l+A*+p[v+8>>3];D=l+A*+p[v>>3];v=1;while(1){B=(f[r+(v<<2)>>2]|0)+(C<<3)|0;x=(f[r+(0-v<<2)>>2]|0)+(C<<3)|0;A=+p[k+(v<<3)>>3];D=D+A*(+p[B>>3]+ +p[x>>3]);w=w+A*(+p[B+8>>3]+ +p[x+8>>3]);y=y+A*(+p[B+16>>3]+ +p[x+16>>3]);z=z+A*(+p[B+24>>3]+ +p[x+24>>3]);if((v|0)>=(j|0))break;else v=v+1|0}v=V9b(D)|0;b[s+C>>0]=v>>>0<256?v:(v|0)>0?255:0;v=V9b(w)|0;b[s+(C|1)>>0]=v>>>0<256?v:(v|0)>0?255:0;v=V9b(y)|0;b[s+(C|2)>>0]=v>>>0<256?v:(v|0)>0?255:0;v=V9b(z)|0;b[s+(C|3)>>0]=v>>>0<256?v:(v|0)>0?255:0;C=C+4|0}while((C|0)<=(a|0));u=q}while(0);b:do if((u|0)<(h|0)){if(o){v=u;while(1){x=V9b(l+ +p[k>>3]*+p[(f[r>>2]|0)+(v<<3)>>3])|0;b[s+v>>0]=x>>>0<256?x:(x|0)>0?255:0;v=v+1|0;if((v|0)==(h|0))break b}}else E=u;do{A=l+ +p[k>>3]*+p[(f[r>>2]|0)+(E<<3)>>3];v=1;while(1){A=A+ +p[k+(v<<3)>>3]*(+p[(f[r+(v<<2)>>2]|0)+(E<<3)>>3]+ +p[(f[r+(0-v<<2)>>2]|0)+(E<<3)>>3]);if((v|0)>=(j|0))break;else v=v+1|0}v=V9b(A)|0;b[s+E>>0]=v>>>0<256?v:(v|0)>0?255:0;E=E+1|0}while((E|0)!=(h|0))}while(0);if(!t)break;else{r=r+4|0;s=s+e|0;t=t+-1|0}}return}if(n)return;n=h+-4|0;t=(h|0)<4;s=(i|0)<2;i=h&-4;r=d;d=m;m=c;while(1){c:do if(t)F=0;else{if(s){c=V9b(l)|0;E=(c>>>0<256?c:(c|0)>0?255:0)&255;c=0;while(1){b[r+c>>0]=E;b[r+(c|1)>>0]=E;b[r+(c|2)>>0]=E;b[r+(c|3)>>0]=E;c=c+4|0;if((c|0)>(n|0)){F=i;break c}}}else G=0;do{z=l;y=l;w=l;D=l;c=1;while(1){E=(f[d+(c<<2)>>2]|0)+(G<<3)|0;u=(f[d+(0-c<<2)>>2]|0)+(G<<3)|0;H=+p[k+(c<<3)>>3];D=D+H*(+p[E>>3]-+p[u>>3]);w=w+H*(+p[E+8>>3]-+p[u+8>>3]);y=y+H*(+p[E+16>>3]-+p[u+16>>3]);z=z+H*(+p[E+24>>3]-+p[u+24>>3]);if((c|0)>=(j|0))break;else c=c+1|0}c=V9b(D)|0;b[r+G>>0]=c>>>0<256?c:(c|0)>0?255:0;c=V9b(w)|0;b[r+(G|1)>>0]=c>>>0<256?c:(c|0)>0?255:0;c=V9b(y)|0;b[r+(G|2)>>0]=c>>>0<256?c:(c|0)>0?255:0;c=V9b(z)|0;b[r+(G|3)>>0]=c>>>0<256?c:(c|0)>0?255:0;G=G+4|0}while((G|0)<=(n|0));F=i}while(0);d:do if((F|0)<(h|0)){if(s){c=V9b(l)|0;u=(c>>>0<256?c:(c|0)>0?255:0)&255;c=F;while(1){b[r+c>>0]=u;c=c+1|0;if((c|0)==(h|0))break d}}else I=F;do{A=l;c=1;while(1){A=A+ +p[k+(c<<3)>>3]*(+p[(f[d+(c<<2)>>2]|0)+(I<<3)>>3]-+p[(f[d+(0-c<<2)>>2]|0)+(I<<3)>>3]);if((c|0)>=(j|0))break;else c=c+1|0}c=V9b(A)|0;b[r+I>>0]=c>>>0<256?c:(c|0)>0?255:0;I=I+1|0}while((I|0)!=(h|0))}while(0);if(!m)break;else{r=r+e|0;d=d+4|0;m=m+-1|0}}return}function Rea(a){a=a|0;Emc(a);return}function Sea(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Tea(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57736;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;tE(b);return}function Uea(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57736;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function Vea(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0.0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0.0,v=0.0,w=0.0,x=0,y=0.0,z=0;i=f[a+28>>2]|0;j=+n[a+72>>2];k=f[a+4>>2]|0;if(!g)return;a=h+-4|0;l=(h|0)<4;m=(k|0)>1;o=h&-4;p=c;c=d;d=g;while(1){d=d+-1|0;a:do if(l)q=0;else{if(m)r=0;else{g=0;while(1){s=+n[i>>2];t=(f[p>>2]|0)+(g<<2)|0;u=j+s*+n[t+4>>2];v=j+s*+n[t+8>>2];w=j+s*+n[t+12>>2];x=U9b(j+s*+n[t>>2])|0;b[c+g>>0]=x>>>0<256?x:(x|0)>0?255:0;x=U9b(u)|0;b[c+(g|1)>>0]=x>>>0<256?x:(x|0)>0?255:0;x=U9b(v)|0;b[c+(g|2)>>0]=x>>>0<256?x:(x|0)>0?255:0;x=U9b(w)|0;b[c+(g|3)>>0]=x>>>0<256?x:(x|0)>0?255:0;g=g+4|0;if((g|0)>(a|0)){q=o;break a}}}do{w=+n[i>>2];g=(f[p>>2]|0)+(r<<2)|0;v=j+w*+n[g+12>>2];u=j+w*+n[g+8>>2];s=j+w*+n[g+4>>2];y=j+w*+n[g>>2];g=1;do{x=(f[p+(g<<2)>>2]|0)+(r<<2)|0;w=+n[i+(g<<2)>>2];y=y+w*+n[x>>2];s=s+w*+n[x+4>>2];u=u+w*+n[x+8>>2];v=v+w*+n[x+12>>2];g=g+1|0}while((g|0)!=(k|0));g=U9b(y)|0;b[c+r>>0]=g>>>0<256?g:(g|0)>0?255:0;g=U9b(s)|0;b[c+(r|1)>>0]=g>>>0<256?g:(g|0)>0?255:0;g=U9b(u)|0;b[c+(r|2)>>0]=g>>>0<256?g:(g|0)>0?255:0;g=U9b(v)|0;b[c+(r|3)>>0]=g>>>0<256?g:(g|0)>0?255:0;r=r+4|0}while((r|0)<=(a|0));q=o}while(0);b:do if((q|0)<(h|0)){if(m)z=q;else{g=q;while(1){x=U9b(j+ +n[i>>2]*+n[(f[p>>2]|0)+(g<<2)>>2])|0;b[c+g>>0]=x>>>0<256?x:(x|0)>0?255:0;g=g+1|0;if((g|0)==(h|0))break b}}do{w=j+ +n[i>>2]*+n[(f[p>>2]|0)+(z<<2)>>2];g=1;do{w=w+ +n[i+(g<<2)>>2]*+n[(f[p+(g<<2)>>2]|0)+(z<<2)>>2];g=g+1|0}while((g|0)!=(k|0));g=U9b(w)|0;b[c+z>>0]=g>>>0<256?g:(g|0)>0?255:0;z=z+1|0}while((z|0)!=(h|0))}while(0);if(!d)break;else{p=p+4|0;c=c+e|0}}return}function Wea(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57736;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function Xea(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0.0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0.0,z=0.0,A=0.0,B=0,C=0,D=0.0,E=0,F=0,G=0,H=0.0,I=0;i=f[a+4>>2]|0;j=(i|0)/2|0;k=(f[a+28>>2]|0)+(j<<2)|0;l=+n[a+72>>2];m=c+(j<<2)|0;c=g+-1|0;o=(g|0)==0;if(f[a+76>>2]&1|0){if(o)return;a=h+-4|0;g=(h|0)<4;p=(i|0)<2;q=h&-4;r=m;s=d;t=c;while(1){a:do if(g)u=0;else{if(p){v=0;while(1){w=+n[k>>2];x=(f[r>>2]|0)+(v<<2)|0;y=l+w*+n[x+4>>2];z=l+w*+n[x+8>>2];A=l+w*+n[x+12>>2];B=U9b(l+w*+n[x>>2])|0;b[s+v>>0]=B>>>0<256?B:(B|0)>0?255:0;B=U9b(y)|0;b[s+(v|1)>>0]=B>>>0<256?B:(B|0)>0?255:0;B=U9b(z)|0;b[s+(v|2)>>0]=B>>>0<256?B:(B|0)>0?255:0;B=U9b(A)|0;b[s+(v|3)>>0]=B>>>0<256?B:(B|0)>0?255:0;v=v+4|0;if((v|0)>(a|0)){u=q;break a}}}else C=0;do{A=+n[k>>2];v=(f[r>>2]|0)+(C<<2)|0;z=l+A*+n[v+12>>2];y=l+A*+n[v+8>>2];w=l+A*+n[v+4>>2];D=l+A*+n[v>>2];v=1;while(1){B=(f[r+(v<<2)>>2]|0)+(C<<2)|0;x=(f[r+(0-v<<2)>>2]|0)+(C<<2)|0;A=+n[k+(v<<2)>>2];D=D+A*(+n[B>>2]+ +n[x>>2]);w=w+A*(+n[B+4>>2]+ +n[x+4>>2]);y=y+A*(+n[B+8>>2]+ +n[x+8>>2]);z=z+A*(+n[B+12>>2]+ +n[x+12>>2]);if((v|0)>=(j|0))break;else v=v+1|0}v=U9b(D)|0;b[s+C>>0]=v>>>0<256?v:(v|0)>0?255:0;v=U9b(w)|0;b[s+(C|1)>>0]=v>>>0<256?v:(v|0)>0?255:0;v=U9b(y)|0;b[s+(C|2)>>0]=v>>>0<256?v:(v|0)>0?255:0;v=U9b(z)|0;b[s+(C|3)>>0]=v>>>0<256?v:(v|0)>0?255:0;C=C+4|0}while((C|0)<=(a|0));u=q}while(0);b:do if((u|0)<(h|0)){if(p){v=u;while(1){x=U9b(l+ +n[k>>2]*+n[(f[r>>2]|0)+(v<<2)>>2])|0;b[s+v>>0]=x>>>0<256?x:(x|0)>0?255:0;v=v+1|0;if((v|0)==(h|0))break b}}else E=u;do{A=l+ +n[k>>2]*+n[(f[r>>2]|0)+(E<<2)>>2];v=1;while(1){A=A+ +n[k+(v<<2)>>2]*(+n[(f[r+(v<<2)>>2]|0)+(E<<2)>>2]+ +n[(f[r+(0-v<<2)>>2]|0)+(E<<2)>>2]);if((v|0)>=(j|0))break;else v=v+1|0}v=U9b(A)|0;b[s+E>>0]=v>>>0<256?v:(v|0)>0?255:0;E=E+1|0}while((E|0)!=(h|0))}while(0);if(!t)break;else{r=r+4|0;s=s+e|0;t=t+-1|0}}return}if(o)return;o=h+-4|0;t=(h|0)<4;s=(i|0)<2;i=h&-4;r=d;d=m;m=c;while(1){c:do if(t)F=0;else{if(s){c=U9b(l)|0;E=(c>>>0<256?c:(c|0)>0?255:0)&255;c=0;while(1){b[r+c>>0]=E;b[r+(c|1)>>0]=E;b[r+(c|2)>>0]=E;b[r+(c|3)>>0]=E;c=c+4|0;if((c|0)>(o|0)){F=i;break c}}}else G=0;do{z=l;y=l;w=l;D=l;c=1;while(1){E=(f[d+(c<<2)>>2]|0)+(G<<2)|0;u=(f[d+(0-c<<2)>>2]|0)+(G<<2)|0;H=+n[k+(c<<2)>>2];D=D+H*(+n[E>>2]-+n[u>>2]);w=w+H*(+n[E+4>>2]-+n[u+4>>2]);y=y+H*(+n[E+8>>2]-+n[u+8>>2]);z=z+H*(+n[E+12>>2]-+n[u+12>>2]);if((c|0)>=(j|0))break;else c=c+1|0}c=U9b(D)|0;b[r+G>>0]=c>>>0<256?c:(c|0)>0?255:0;c=U9b(w)|0;b[r+(G|1)>>0]=c>>>0<256?c:(c|0)>0?255:0;c=U9b(y)|0;b[r+(G|2)>>0]=c>>>0<256?c:(c|0)>0?255:0;c=U9b(z)|0;b[r+(G|3)>>0]=c>>>0<256?c:(c|0)>0?255:0;G=G+4|0}while((G|0)<=(o|0));F=i}while(0);d:do if((F|0)<(h|0)){if(s){c=U9b(l)|0;u=(c>>>0<256?c:(c|0)>0?255:0)&255;c=F;while(1){b[r+c>>0]=u;c=c+1|0;if((c|0)==(h|0))break d}}else I=F;do{A=l;c=1;while(1){A=A+ +n[k+(c<<2)>>2]*(+n[(f[d+(c<<2)>>2]|0)+(I<<2)>>2]-+n[(f[d+(0-c<<2)>>2]|0)+(I<<2)>>2]);if((c|0)>=(j|0))break;else c=c+1|0}c=U9b(A)|0;b[r+I>>0]=c>>>0<256?c:(c|0)>0?255:0;I=I+1|0}while((I|0)!=(h|0))}while(0);if(!m)break;else{r=r+e|0;d=d+4|0;m=m+-1|0}}return}function Yea(a){a=a|0;Emc(a);return}function Zea(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function _ea(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57784;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;tE(b);return}function $ea(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57784;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function afa(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;i=f[a+28>>2]|0;j=f[a+80>>2]|0;k=f[a+4>>2]|0;l=a+68|0;a=f[l>>2]|0;m=f[l+4>>2]|0;if(!g)return;l=h+-4|0;n=(h|0)<4;o=(k|0)>1;p=h&-4;q=c;c=d;d=g;while(1){d=d+-1|0;a:do if(n)r=0;else{if(o)s=0;else{g=0;while(1){t=f[i>>2]|0;u=(f[q>>2]|0)+(g<<2)|0;v=(Y(f[u>>2]|0,t)|0)+j|0;w=(Y(f[u+4>>2]|0,t)|0)+j|0;x=(Y(f[u+8>>2]|0,t)|0)+j|0;y=(Y(f[u+12>>2]|0,t)|0)+j|0;t=v+m>>a;b[c+g>>0]=t>>>0<256?t:(t|0)>0?255:0;t=w+m>>a;b[c+(g|1)>>0]=t>>>0<256?t:(t|0)>0?255:0;t=x+m>>a;b[c+(g|2)>>0]=t>>>0<256?t:(t|0)>0?255:0;t=y+m>>a;b[c+(g|3)>>0]=t>>>0<256?t:(t|0)>0?255:0;g=g+4|0;if((g|0)>(l|0)){r=p;break a}}}do{g=f[i>>2]|0;t=(f[q>>2]|0)+(s<<2)|0;y=(Y(f[t>>2]|0,g)|0)+j|0;x=(Y(f[t+4>>2]|0,g)|0)+j|0;w=(Y(f[t+8>>2]|0,g)|0)+j|0;v=(Y(f[t+12>>2]|0,g)|0)+j|0;g=w;w=x;x=y;y=1;do{t=(f[q+(y<<2)>>2]|0)+(s<<2)|0;u=f[i+(y<<2)>>2]|0;x=(Y(f[t>>2]|0,u)|0)+x|0;w=(Y(f[t+4>>2]|0,u)|0)+w|0;g=(Y(f[t+8>>2]|0,u)|0)+g|0;v=(Y(f[t+12>>2]|0,u)|0)+v|0;y=y+1|0}while((y|0)!=(k|0));y=x+m>>a;b[c+s>>0]=y>>>0<256?y:(y|0)>0?255:0;y=w+m>>a;b[c+(s|1)>>0]=y>>>0<256?y:(y|0)>0?255:0;y=g+m>>a;b[c+(s|2)>>0]=y>>>0<256?y:(y|0)>0?255:0;y=v+m>>a;b[c+(s|3)>>0]=y>>>0<256?y:(y|0)>0?255:0;s=s+4|0}while((s|0)<=(l|0));r=p}while(0);b:do if((r|0)<(h|0)){if(o)z=r;else{y=r;while(1){u=(Y(f[(f[q>>2]|0)+(y<<2)>>2]|0,f[i>>2]|0)|0)+j+m>>a;b[c+y>>0]=u>>>0<256?u:(u|0)>0?255:0;y=y+1|0;if((y|0)==(h|0))break b}}do{y=(Y(f[(f[q>>2]|0)+(z<<2)>>2]|0,f[i>>2]|0)|0)+j|0;u=1;do{y=(Y(f[(f[q+(u<<2)>>2]|0)+(z<<2)>>2]|0,f[i+(u<<2)>>2]|0)|0)+y|0;u=u+1|0}while((u|0)!=(k|0));u=y+m>>a;b[c+z>>0]=u>>>0<256?u:(u|0)>0?255:0;z=z+1|0}while((z|0)!=(h|0))}while(0);if(!d)break;else{q=q+4|0;c=c+e|0}}return}function bfa(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57784;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function cfa(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;i=f[a+4>>2]|0;j=(i|0)/2|0;k=(f[a+28>>2]|0)+(j<<2)|0;l=f[a+80>>2]|0;m=a+68|0;n=f[m>>2]|0;o=f[m+4>>2]|0;m=c+(j<<2)|0;c=g+-1|0;p=(g|0)==0;if(!(f[a+84>>2]&1)){if(p)return;a=h+-4|0;g=(h|0)<4;q=(i|0)<2;r=h&-4;s=l+o>>n;t=(s>>>0<256?s:(s|0)>0?255:0)&255;s=l+o>>n;u=(s>>>0<256?s:(s|0)>0?255:0)&255;s=d;v=m;w=c;while(1){a:do if(g)x=0;else{if(q){y=0;while(1){b[s+y>>0]=u;b[s+(y|1)>>0]=u;b[s+(y|2)>>0]=u;b[s+(y|3)>>0]=u;y=y+4|0;if((y|0)>(a|0)){x=r;break a}}}else z=0;do{y=l;A=l;B=l;C=l;D=1;while(1){E=(f[v+(D<<2)>>2]|0)+(z<<2)|0;F=(f[v+(0-D<<2)>>2]|0)+(z<<2)|0;G=f[k+(D<<2)>>2]|0;C=(Y((f[E>>2]|0)-(f[F>>2]|0)|0,G)|0)+C|0;B=(Y((f[E+4>>2]|0)-(f[F+4>>2]|0)|0,G)|0)+B|0;A=(Y((f[E+8>>2]|0)-(f[F+8>>2]|0)|0,G)|0)+A|0;y=(Y((f[E+12>>2]|0)-(f[F+12>>2]|0)|0,G)|0)+y|0;if((D|0)>=(j|0))break;else D=D+1|0}D=C+o>>n;b[s+z>>0]=D>>>0<256?D:(D|0)>0?255:0;D=B+o>>n;b[s+(z|1)>>0]=D>>>0<256?D:(D|0)>0?255:0;D=A+o>>n;b[s+(z|2)>>0]=D>>>0<256?D:(D|0)>0?255:0;D=y+o>>n;b[s+(z|3)>>0]=D>>>0<256?D:(D|0)>0?255:0;z=z+4|0}while((z|0)<=(a|0));x=r}while(0);b:do if((x|0)<(h|0)){if(q){D=x;while(1){b[s+D>>0]=t;D=D+1|0;if((D|0)==(h|0))break b}}else H=x;do{D=l;G=1;while(1){D=(Y((f[(f[v+(G<<2)>>2]|0)+(H<<2)>>2]|0)-(f[(f[v+(0-G<<2)>>2]|0)+(H<<2)>>2]|0)|0,f[k+(G<<2)>>2]|0)|0)+D|0;if((G|0)>=(j|0))break;else G=G+1|0}G=D+o>>n;b[s+H>>0]=G>>>0<256?G:(G|0)>0?255:0;H=H+1|0}while((H|0)!=(h|0))}while(0);if(!w)break;else{s=s+e|0;v=v+4|0;w=w+-1|0}}return}else{if(p)return;p=h+-4|0;w=(h|0)<4;v=(i|0)<2;i=h&-4;s=m;m=d;d=c;while(1){c:do if(w)I=0;else{if(v){c=0;while(1){H=f[k>>2]|0;x=(f[s>>2]|0)+(c<<2)|0;t=(Y(f[x>>2]|0,H)|0)+l|0;q=(Y(f[x+4>>2]|0,H)|0)+l|0;r=(Y(f[x+8>>2]|0,H)|0)+l|0;a=(Y(f[x+12>>2]|0,H)|0)+l|0;H=t+o>>n;b[m+c>>0]=H>>>0<256?H:(H|0)>0?255:0;H=q+o>>n;b[m+(c|1)>>0]=H>>>0<256?H:(H|0)>0?255:0;H=r+o>>n;b[m+(c|2)>>0]=H>>>0<256?H:(H|0)>0?255:0;H=a+o>>n;b[m+(c|3)>>0]=H>>>0<256?H:(H|0)>0?255:0;c=c+4|0;if((c|0)>(p|0)){I=i;break c}}}else J=0;do{c=f[k>>2]|0;H=(f[s>>2]|0)+(J<<2)|0;a=(Y(f[H>>2]|0,c)|0)+l|0;r=(Y(f[H+4>>2]|0,c)|0)+l|0;q=(Y(f[H+8>>2]|0,c)|0)+l|0;t=(Y(f[H+12>>2]|0,c)|0)+l|0;c=q;q=r;r=a;a=1;while(1){H=(f[s+(a<<2)>>2]|0)+(J<<2)|0;x=(f[s+(0-a<<2)>>2]|0)+(J<<2)|0;z=f[k+(a<<2)>>2]|0;r=(Y((f[x>>2]|0)+(f[H>>2]|0)|0,z)|0)+r|0;q=(Y((f[x+4>>2]|0)+(f[H+4>>2]|0)|0,z)|0)+q|0;c=(Y((f[x+8>>2]|0)+(f[H+8>>2]|0)|0,z)|0)+c|0;t=(Y((f[x+12>>2]|0)+(f[H+12>>2]|0)|0,z)|0)+t|0;if((a|0)>=(j|0))break;else a=a+1|0}a=r+o>>n;b[m+J>>0]=a>>>0<256?a:(a|0)>0?255:0;a=q+o>>n;b[m+(J|1)>>0]=a>>>0<256?a:(a|0)>0?255:0;a=c+o>>n;b[m+(J|2)>>0]=a>>>0<256?a:(a|0)>0?255:0;a=t+o>>n;b[m+(J|3)>>0]=a>>>0<256?a:(a|0)>0?255:0;J=J+4|0}while((J|0)<=(p|0));I=i}while(0);d:do if((I|0)<(h|0)){if(v){a=I;while(1){D=(Y(f[(f[s>>2]|0)+(a<<2)>>2]|0,f[k>>2]|0)|0)+l+o>>n;b[m+a>>0]=D>>>0<256?D:(D|0)>0?255:0;a=a+1|0;if((a|0)==(h|0))break d}}else K=I;do{a=(Y(f[(f[s>>2]|0)+(K<<2)>>2]|0,f[k>>2]|0)|0)+l|0;D=1;while(1){a=(Y((f[(f[s+(0-D<<2)>>2]|0)+(K<<2)>>2]|0)+(f[(f[s+(D<<2)>>2]|0)+(K<<2)>>2]|0)|0,f[k+(D<<2)>>2]|0)|0)+a|0;if((D|0)>=(j|0))break;else D=D+1|0}D=a+o>>n;b[m+K>>0]=D>>>0<256?D:(D|0)>0?255:0;K=K+1|0}while((K|0)!=(h|0))}while(0);if(!d)break;else{s=s+4|0;m=m+e|0;d=d+-1|0}}return}}function dfa(a){a=a|0;Emc(a);return}function efa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function ffa(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;lfa(a,c,d,e,h,i);f[a>>2]=57856;f[a+76>>2]=g;if(!(g&3)){f[k>>2]=0;f[k+4>>2]=0;g=YG(k,64)|0;a=262954;i=g+64|0;do{b[g>>0]=b[a>>0]|0;g=g+1|0;a=a+1|0}while((g|0)<(i|0));SQ(-215,k,263019,260039,3314)}else{u=j;return}}function gfa(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57832;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;tE(b);return}function hfa(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57832;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function ifa(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0.0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0.0,v=0.0,w=0.0,x=0.0,y=0;h=f[a+28>>2]|0;i=+n[a+72>>2];j=f[a+4>>2]|0;if(!e)return;a=g+-4|0;k=(g|0)<4;l=(j|0)>1;m=g&-4;o=b;b=c;c=e;while(1){c=c+-1|0;a:do if(k)p=0;else{e=f[o>>2]|0;if(l)q=0;else{r=0;while(1){s=+n[h>>2];t=e+(r<<2)|0;u=i+s*+n[t+4>>2];v=i+s*+n[t+8>>2];w=i+s*+n[t+12>>2];n[b+(r<<2)>>2]=i+s*+n[t>>2];n[b+((r|1)<<2)>>2]=u;n[b+((r|2)<<2)>>2]=v;n[b+((r|3)<<2)>>2]=w;r=r+4|0;if((r|0)>(a|0)){p=m;break a}}}do{w=+n[h>>2];r=e+(q<<2)|0;v=i+w*+n[r+12>>2];u=i+w*+n[r+8>>2];s=i+w*+n[r+4>>2];x=i+w*+n[r>>2];r=1;do{t=(f[o+(r<<2)>>2]|0)+(q<<2)|0;w=+n[h+(r<<2)>>2];x=x+w*+n[t>>2];s=s+w*+n[t+4>>2];u=u+w*+n[t+8>>2];v=v+w*+n[t+12>>2];r=r+1|0}while((r|0)!=(j|0));n[b+(q<<2)>>2]=x;n[b+((q|1)<<2)>>2]=s;n[b+((q|2)<<2)>>2]=u;n[b+((q|3)<<2)>>2]=v;q=q+4|0}while((q|0)<=(a|0));p=m}while(0);b:do if((p|0)<(g|0)){e=f[o>>2]|0;if(l)y=p;else{r=p;while(1){n[b+(r<<2)>>2]=i+ +n[h>>2]*+n[e+(r<<2)>>2];r=r+1|0;if((r|0)==(g|0))break b}}do{w=i+ +n[h>>2]*+n[e+(y<<2)>>2];r=1;do{w=w+ +n[h+(r<<2)>>2]*+n[(f[o+(r<<2)>>2]|0)+(y<<2)>>2];r=r+1|0}while((r|0)!=(j|0));n[b+(y<<2)>>2]=w;y=y+1|0}while((y|0)!=(g|0))}while(0);if(!c)break;else{o=o+4|0;b=b+d|0}}return}function jfa(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57832;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function kfa(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0.0,l=0.0,m=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0,E=0,F=0,G=0,H=0;h=(f[a+4>>2]|0)/2|0;i=(f[a+28>>2]|0)+(h<<2)|0;j=(f[a+76>>2]&1|0)==0;k=+n[i>>2];l=+n[i+4>>2];i=l==1.0;m=k==2.0&i;o=k==-2.0&i;p=k!=0.0;q=p|i?p^1:l==-1.0;r=+n[a+72>>2];if(!e)return;a=l<0.0;p=g+-4|0;i=(g|0)<4;s=g&-4;t=c;c=b+(h<<2)|0;h=e;while(1){h=h+-1|0;e=f[c+-4>>2]|0;b=f[c>>2]|0;c=c+4|0;u=f[c>>2]|0;a:do if(j)if(q){v=a?u:e;w=a?e:u;if(i)x=0;else{y=w;z=v;A=0;do{B=A|1;C=r+(+n[y+(B<<2)>>2]-+n[z+(B<<2)>>2]);n[t+(A<<2)>>2]=r+(+n[y+(A<<2)>>2]-+n[z+(A<<2)>>2]);n[t+(B<<2)>>2]=C;B=A|2;D=A|3;C=r+(+n[y+(D<<2)>>2]-+n[z+(D<<2)>>2]);n[t+(B<<2)>>2]=r+(+n[y+(B<<2)>>2]-+n[z+(B<<2)>>2]);n[t+(D<<2)>>2]=C;A=A+4|0}while((A|0)<=(p|0));x=s}if((x|0)>=(g|0))break;A=w;z=v;y=x;do{n[t+(y<<2)>>2]=r+(+n[A+(y<<2)>>2]-+n[z+(y<<2)>>2]);y=y+1|0}while((y|0)!=(g|0))}else{if(i)E=0;else{y=u;z=e;A=0;do{v=A|1;C=r+l*(+n[y+(v<<2)>>2]-+n[z+(v<<2)>>2]);n[t+(A<<2)>>2]=r+l*(+n[y+(A<<2)>>2]-+n[z+(A<<2)>>2]);n[t+(v<<2)>>2]=C;v=A|2;w=A|3;C=r+l*(+n[y+(w<<2)>>2]-+n[z+(w<<2)>>2]);n[t+(v<<2)>>2]=r+l*(+n[y+(v<<2)>>2]-+n[z+(v<<2)>>2]);n[t+(w<<2)>>2]=C;A=A+4|0}while((A|0)<=(p|0));E=s}if((E|0)>=(g|0))break;A=u;z=e;y=E;do{n[t+(y<<2)>>2]=r+l*(+n[A+(y<<2)>>2]-+n[z+(y<<2)>>2]);y=y+1|0}while((y|0)!=(g|0))}else{if(m){if(i)F=0;else{y=e;z=u;A=0;do{w=A|1;C=r+(+n[z+(w<<2)>>2]+(+n[y+(w<<2)>>2]+ +n[b+(w<<2)>>2]*2.0));n[t+(A<<2)>>2]=r+(+n[z+(A<<2)>>2]+(+n[y+(A<<2)>>2]+ +n[b+(A<<2)>>2]*2.0));n[t+(w<<2)>>2]=C;w=A|2;v=A|3;C=r+(+n[z+(v<<2)>>2]+(+n[y+(v<<2)>>2]+ +n[b+(v<<2)>>2]*2.0));n[t+(w<<2)>>2]=r+(+n[z+(w<<2)>>2]+(+n[y+(w<<2)>>2]+ +n[b+(w<<2)>>2]*2.0));n[t+(v<<2)>>2]=C;A=A+4|0}while((A|0)<=(p|0));F=s}if((F|0)>=(g|0))break;A=e;y=u;z=F;while(1){n[t+(z<<2)>>2]=r+(+n[y+(z<<2)>>2]+(+n[A+(z<<2)>>2]+ +n[b+(z<<2)>>2]*2.0));z=z+1|0;if((z|0)==(g|0))break a}}if(o){if(i)G=0;else{z=e;A=u;y=0;do{v=y|1;C=r+(+n[A+(v<<2)>>2]+(+n[z+(v<<2)>>2]-+n[b+(v<<2)>>2]*2.0));n[t+(y<<2)>>2]=r+(+n[A+(y<<2)>>2]+(+n[z+(y<<2)>>2]-+n[b+(y<<2)>>2]*2.0));n[t+(v<<2)>>2]=C;v=y|2;w=y|3;C=r+(+n[A+(w<<2)>>2]+(+n[z+(w<<2)>>2]-+n[b+(w<<2)>>2]*2.0));n[t+(v<<2)>>2]=r+(+n[A+(v<<2)>>2]+(+n[z+(v<<2)>>2]-+n[b+(v<<2)>>2]*2.0));n[t+(w<<2)>>2]=C;y=y+4|0}while((y|0)<=(p|0));G=s}if((G|0)>=(g|0))break;y=e;z=u;A=G;do{n[t+(A<<2)>>2]=r+(+n[z+(A<<2)>>2]+(+n[y+(A<<2)>>2]-+n[b+(A<<2)>>2]*2.0));A=A+1|0}while((A|0)!=(g|0))}else{if(i)H=0;else{A=e;y=u;z=0;do{w=z|1;C=r+(l*(+n[A+(w<<2)>>2]+ +n[y+(w<<2)>>2])+k*+n[b+(w<<2)>>2]);n[t+(z<<2)>>2]=r+(l*(+n[A+(z<<2)>>2]+ +n[y+(z<<2)>>2])+k*+n[b+(z<<2)>>2]);n[t+(w<<2)>>2]=C;w=z|2;v=z|3;C=r+(l*(+n[A+(v<<2)>>2]+ +n[y+(v<<2)>>2])+k*+n[b+(v<<2)>>2]);n[t+(w<<2)>>2]=r+(l*(+n[A+(w<<2)>>2]+ +n[y+(w<<2)>>2])+k*+n[b+(w<<2)>>2]);n[t+(v<<2)>>2]=C;z=z+4|0}while((z|0)<=(p|0));H=s}if((H|0)>=(g|0))break;z=e;y=u;A=H;do{n[t+(A<<2)>>2]=r+(l*(+n[z+(A<<2)>>2]+ +n[y+(A<<2)>>2])+k*+n[b+(A<<2)>>2]);A=A+1|0}while((A|0)!=(g|0))}}while(0);if(!h)break;else t=t+d|0}return}function lfa(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;h=u;u=u+16|0;g=h;i=a+8|0;f[i>>2]=-1;j=a+4|0;f[j>>2]=-1;f[a>>2]=57832;k=a+12|0;f[k>>2]=1124007936;l=a+16|0;m=a+20|0;o=a+52|0;p=l;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[o>>2]=m;r=a+60|0;s=a+56|0;f[s>>2]=r;f[r>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((k|0)!=(c|0)){r=c+36|0;t=f[r>>2]|0;if(t){v=t+12|0;f[v>>2]=(f[v>>2]|0)+1;v=a+48|0;t=f[v>>2]|0;if((t|0)!=0?(w=t+12|0,t=f[w>>2]|0,f[w>>2]=t+-1,(t|0)==1):0){lP(k);x=v}else x=v}else x=a+48|0;f[x>>2]=0;v=a+28|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[l>>2]|0)>0){t=f[o>>2]|0;o=0;do{f[t+(o<<2)>>2]=0;o=o+1|0;y=f[l>>2]|0}while((o|0)<(y|0));f[k>>2]=f[c>>2];if((y|0)<3)z=13;else z=15}else{f[k>>2]=f[c>>2];z=13}if((z|0)==13){y=f[c+4>>2]|0;if((y|0)<3){f[l>>2]=y;f[m>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];y=f[c+44>>2]|0;l=f[s>>2]|0;f[l>>2]=f[y>>2];f[l+4>>2]=f[y+4>>2]}else z=15}if((z|0)==15)kP(k,c);f[v>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[x>>2]=f[r>>2]}}else{r=g+8|0;f[r>>2]=0;f[r+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=k;kT(c,g)}f[i>>2]=d;d=f[m>>2]|0;m=f[a+24>>2]|0;f[j>>2]=d+-1+m;n[a+72>>2]=e;if((f[k>>2]&4095|0)!=5){f[g>>2]=0;A=g+4|0;f[A>>2]=0;B=YG(g,77)|0;p=B;C=264008;q=p+77|0;do{b[p>>0]=b[C>>0]|0;p=p+1|0;C=C+1|0}while((p|0)<(q|0));SQ(-215,g,264086,260039,3251)}if((d|0)==1|(m|0)==1){u=h;return}else{f[g>>2]=0;A=g+4|0;f[A>>2]=0;B=YG(g,77)|0;p=B;C=264008;q=p+77|0;do{b[p>>0]=b[C>>0]|0;p=p+1|0;C=C+1|0}while((p|0)<(q|0));SQ(-215,g,264086,260039,3251)}}function mfa(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57832;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function nfa(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0.0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0,B=0,C=0.0,D=0,E=0,F=0,G=0.0,H=0;h=f[a+4>>2]|0;i=(h|0)/2|0;j=(f[a+28>>2]|0)+(i<<2)|0;k=+n[a+72>>2];l=b+(i<<2)|0;b=e+-1|0;m=(e|0)==0;if(!(f[a+76>>2]&1)){if(m)return;a=g+-4|0;e=(g|0)<4;o=(h|0)<2;p=g&-4;q=c;r=l;s=b;while(1){a:do if(e)t=0;else{if(o){u=0;while(1){n[q+(u<<2)>>2]=k;n[q+((u|1)<<2)>>2]=k;n[q+((u|2)<<2)>>2]=k;n[q+((u|3)<<2)>>2]=k;u=u+4|0;if((u|0)>(a|0)){t=p;break a}}}else v=0;do{w=k;x=k;y=k;z=k;u=1;while(1){A=(f[r+(u<<2)>>2]|0)+(v<<2)|0;B=(f[r+(0-u<<2)>>2]|0)+(v<<2)|0;C=+n[j+(u<<2)>>2];z=z+C*(+n[A>>2]-+n[B>>2]);y=y+C*(+n[A+4>>2]-+n[B+4>>2]);x=x+C*(+n[A+8>>2]-+n[B+8>>2]);w=w+C*(+n[A+12>>2]-+n[B+12>>2]);if((u|0)>=(i|0))break;else u=u+1|0}n[q+(v<<2)>>2]=z;n[q+((v|1)<<2)>>2]=y;n[q+((v|2)<<2)>>2]=x;n[q+((v|3)<<2)>>2]=w;v=v+4|0}while((v|0)<=(a|0));t=p}while(0);b:do if((t|0)<(g|0)){if(o){u=t;while(1){n[q+(u<<2)>>2]=k;u=u+1|0;if((u|0)==(g|0))break b}}else D=t;do{C=k;u=1;while(1){C=C+ +n[j+(u<<2)>>2]*(+n[(f[r+(u<<2)>>2]|0)+(D<<2)>>2]-+n[(f[r+(0-u<<2)>>2]|0)+(D<<2)>>2]);if((u|0)>=(i|0))break;else u=u+1|0}n[q+(D<<2)>>2]=C;D=D+1|0}while((D|0)!=(g|0))}while(0);if(!s)break;else{q=q+d|0;r=r+4|0;s=s+-1|0}}return}else{if(m)return;m=g+-4|0;s=(g|0)<4;r=(h|0)<2;h=g&-4;q=l;l=c;c=b;while(1){c:do if(s)E=0;else{b=f[q>>2]|0;if(r){D=0;while(1){w=+n[j>>2];t=b+(D<<2)|0;x=k+w*+n[t+4>>2];y=k+w*+n[t+8>>2];z=k+w*+n[t+12>>2];n[l+(D<<2)>>2]=k+w*+n[t>>2];n[l+((D|1)<<2)>>2]=x;n[l+((D|2)<<2)>>2]=y;n[l+((D|3)<<2)>>2]=z;D=D+4|0;if((D|0)>(m|0)){E=h;break c}}}else F=0;do{z=+n[j>>2];D=b+(F<<2)|0;y=k+z*+n[D+12>>2];x=k+z*+n[D+8>>2];w=k+z*+n[D+4>>2];G=k+z*+n[D>>2];D=1;while(1){t=(f[q+(D<<2)>>2]|0)+(F<<2)|0;o=(f[q+(0-D<<2)>>2]|0)+(F<<2)|0;z=+n[j+(D<<2)>>2];G=G+z*(+n[t>>2]+ +n[o>>2]);w=w+z*(+n[t+4>>2]+ +n[o+4>>2]);x=x+z*(+n[t+8>>2]+ +n[o+8>>2]);y=y+z*(+n[t+12>>2]+ +n[o+12>>2]);if((D|0)>=(i|0))break;else D=D+1|0}n[l+(F<<2)>>2]=G;n[l+((F|1)<<2)>>2]=w;n[l+((F|2)<<2)>>2]=x;n[l+((F|3)<<2)>>2]=y;F=F+4|0}while((F|0)<=(m|0));E=h}while(0);d:do if((E|0)<(g|0)){b=f[q>>2]|0;if(r){D=E;while(1){n[l+(D<<2)>>2]=k+ +n[j>>2]*+n[b+(D<<2)>>2];D=D+1|0;if((D|0)==(g|0))break d}}else H=E;do{C=k+ +n[j>>2]*+n[b+(H<<2)>>2];D=1;while(1){C=C+ +n[j+(D<<2)>>2]*(+n[(f[q+(D<<2)>>2]|0)+(H<<2)>>2]+ +n[(f[q+(0-D<<2)>>2]|0)+(H<<2)>>2]);if((D|0)>=(i|0))break;else D=D+1|0}n[l+(H<<2)>>2]=C;H=H+1|0}while((H|0)!=(g|0))}while(0);if(!c)break;else{q=q+4|0;l=l+d|0;c=c+-1|0}}return}}function ofa(a){a=a|0;Emc(a);return}function pfa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function qfa(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;wfa(a,c,d,e,h,i);f[a>>2]=57928;f[a+76>>2]=g;if(!(g&3)){f[k>>2]=0;f[k+4>>2]=0;g=YG(k,64)|0;a=262954;i=g+64|0;do{b[g>>0]=b[a>>0]|0;g=g+1|0;a=a+1|0}while((g|0)<(i|0));SQ(-215,k,263019,260039,3314)}else{u=j;return}}function rfa(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57904;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0))return;tE(b);return}function sfa(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57904;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function tfa(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;i=f[a+28>>2]|0;j=f[a+72>>2]|0;k=f[a+4>>2]|0;if(!g)return;a=h+-4|0;l=(h|0)<4;m=(k|0)>1;n=h&-4;o=b;b=c;c=g;while(1){c=c+-1|0;a:do if(l)p=0;else{g=f[i>>2]|0;q=f[o>>2]|0;if(m)r=0;else{s=0;while(1){t=q+(s<<2)|0;u=(Y(f[t>>2]|0,g)|0)+j|0;v=(Y(f[t+4>>2]|0,g)|0)+j|0;w=(Y(f[t+8>>2]|0,g)|0)+j|0;x=(Y(f[t+12>>2]|0,g)|0)+j|0;d[b+(s<<1)>>1]=(u+32768|0)>>>0<65536?u:(u|0)>0?32767:32768;d[b+((s|1)<<1)>>1]=(v+32768|0)>>>0<65536?v:(v|0)>0?32767:32768;d[b+((s|2)<<1)>>1]=(w+32768|0)>>>0<65536?w:(w|0)>0?32767:32768;d[b+((s|3)<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;s=s+4|0;if((s|0)>(a|0)){p=n;break a}}}do{s=q+(r<<2)|0;x=(Y(f[s>>2]|0,g)|0)+j|0;w=(Y(f[s+4>>2]|0,g)|0)+j|0;v=(Y(f[s+8>>2]|0,g)|0)+j|0;u=(Y(f[s+12>>2]|0,g)|0)+j|0;s=v;v=w;w=x;x=1;do{t=(f[o+(x<<2)>>2]|0)+(r<<2)|0;y=f[i+(x<<2)>>2]|0;w=(Y(f[t>>2]|0,y)|0)+w|0;v=(Y(f[t+4>>2]|0,y)|0)+v|0;s=(Y(f[t+8>>2]|0,y)|0)+s|0;u=(Y(f[t+12>>2]|0,y)|0)+u|0;x=x+1|0}while((x|0)!=(k|0));d[b+(r<<1)>>1]=(w+32768|0)>>>0<65536?w:(w|0)>0?32767:32768;d[b+((r|1)<<1)>>1]=(v+32768|0)>>>0<65536?v:(v|0)>0?32767:32768;d[b+((r|2)<<1)>>1]=(s+32768|0)>>>0<65536?s:(s|0)>0?32767:32768;d[b+((r|3)<<1)>>1]=(u+32768|0)>>>0<65536?u:(u|0)>0?32767:32768;r=r+4|0}while((r|0)<=(a|0));p=n}while(0);b:do if((p|0)<(h|0)){g=f[i>>2]|0;q=f[o>>2]|0;if(m)z=p;else{x=p;while(1){y=(Y(f[q+(x<<2)>>2]|0,g)|0)+j|0;d[b+(x<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;x=x+1|0;if((x|0)==(h|0))break b}}do{x=(Y(f[q+(z<<2)>>2]|0,g)|0)+j|0;y=1;do{x=(Y(f[(f[o+(y<<2)>>2]|0)+(z<<2)>>2]|0,f[i+(y<<2)>>2]|0)|0)+x|0;y=y+1|0}while((y|0)!=(k|0));d[b+(z<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;z=z+1|0}while((z|0)!=(h|0))}while(0);if(!c)break;else{o=o+4|0;b=b+e|0}}return}function ufa(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57904;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function vfa(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;i=(f[a+4>>2]|0)/2|0;j=(f[a+28>>2]|0)+(i<<2)|0;k=(f[a+76>>2]&1|0)==0;l=f[j>>2]|0;m=f[j+4>>2]|0;j=(m|0)==1;n=(l|0)==2&j;o=(l|0)==-2&j;p=(l|0)==0&(j|(m|0)==-1);j=f[a+72>>2]|0;if(!g)return;a=(m|0)<0;q=h+-4|0;r=(h|0)<4;s=h&-4;t=c;c=b+(i<<2)|0;i=g;while(1){i=i+-1|0;g=f[c+-4>>2]|0;b=f[c>>2]|0;c=c+4|0;u=f[c>>2]|0;a:do if(k)if(p){v=a?u:g;w=a?g:u;if(r)x=0;else{y=w;z=v;A=0;do{B=(f[y+(A<<2)>>2]|0)-(f[z+(A<<2)>>2]|0)+j|0;C=A|1;D=(f[y+(C<<2)>>2]|0)-(f[z+(C<<2)>>2]|0)+j|0;d[t+(A<<1)>>1]=(B+32768|0)>>>0<65536?B:(B|0)>0?32767:32768;d[t+(C<<1)>>1]=(D+32768|0)>>>0<65536?D:(D|0)>0?32767:32768;D=A|2;C=(f[y+(D<<2)>>2]|0)-(f[z+(D<<2)>>2]|0)+j|0;B=A|3;E=(f[y+(B<<2)>>2]|0)-(f[z+(B<<2)>>2]|0)+j|0;d[t+(D<<1)>>1]=(C+32768|0)>>>0<65536?C:(C|0)>0?32767:32768;d[t+(B<<1)>>1]=(E+32768|0)>>>0<65536?E:(E|0)>0?32767:32768;A=A+4|0}while((A|0)<=(q|0));x=s}if((x|0)>=(h|0))break;A=w;z=v;y=x;do{E=(f[A+(y<<2)>>2]|0)-(f[z+(y<<2)>>2]|0)+j|0;d[t+(y<<1)>>1]=(E+32768|0)>>>0<65536?E:(E|0)>0?32767:32768;y=y+1|0}while((y|0)!=(h|0))}else{if(r)F=0;else{y=u;z=g;A=0;do{v=(Y((f[y+(A<<2)>>2]|0)-(f[z+(A<<2)>>2]|0)|0,m)|0)+j|0;w=A|1;E=(Y((f[y+(w<<2)>>2]|0)-(f[z+(w<<2)>>2]|0)|0,m)|0)+j|0;d[t+(A<<1)>>1]=(v+32768|0)>>>0<65536?v:(v|0)>0?32767:32768;d[t+(w<<1)>>1]=(E+32768|0)>>>0<65536?E:(E|0)>0?32767:32768;E=A|2;w=(Y((f[y+(E<<2)>>2]|0)-(f[z+(E<<2)>>2]|0)|0,m)|0)+j|0;v=A|3;B=(Y((f[y+(v<<2)>>2]|0)-(f[z+(v<<2)>>2]|0)|0,m)|0)+j|0;d[t+(E<<1)>>1]=(w+32768|0)>>>0<65536?w:(w|0)>0?32767:32768;d[t+(v<<1)>>1]=(B+32768|0)>>>0<65536?B:(B|0)>0?32767:32768;A=A+4|0}while((A|0)<=(q|0));F=s}if((F|0)>=(h|0))break;A=u;z=g;y=F;do{B=(Y((f[A+(y<<2)>>2]|0)-(f[z+(y<<2)>>2]|0)|0,m)|0)+j|0;d[t+(y<<1)>>1]=(B+32768|0)>>>0<65536?B:(B|0)>0?32767:32768;y=y+1|0}while((y|0)!=(h|0))}else{if(n){if(r)G=0;else{y=g;z=u;A=0;do{B=(f[y+(A<<2)>>2]|0)+j+(f[b+(A<<2)>>2]<<1)+(f[z+(A<<2)>>2]|0)|0;v=A|1;w=(f[y+(v<<2)>>2]|0)+j+(f[b+(v<<2)>>2]<<1)+(f[z+(v<<2)>>2]|0)|0;d[t+(A<<1)>>1]=(B+32768|0)>>>0<65536?B:(B|0)>0?32767:32768;d[t+(v<<1)>>1]=(w+32768|0)>>>0<65536?w:(w|0)>0?32767:32768;w=A|2;v=(f[y+(w<<2)>>2]|0)+j+(f[b+(w<<2)>>2]<<1)+(f[z+(w<<2)>>2]|0)|0;B=A|3;E=(f[y+(B<<2)>>2]|0)+j+(f[b+(B<<2)>>2]<<1)+(f[z+(B<<2)>>2]|0)|0;d[t+(w<<1)>>1]=(v+32768|0)>>>0<65536?v:(v|0)>0?32767:32768;d[t+(B<<1)>>1]=(E+32768|0)>>>0<65536?E:(E|0)>0?32767:32768;A=A+4|0}while((A|0)<=(q|0));G=s}if((G|0)>=(h|0))break;A=g;z=u;y=G;while(1){E=(f[A+(y<<2)>>2]|0)+j+(f[b+(y<<2)>>2]<<1)+(f[z+(y<<2)>>2]|0)|0;d[t+(y<<1)>>1]=(E+32768|0)>>>0<65536?E:(E|0)>0?32767:32768;y=y+1|0;if((y|0)==(h|0))break a}}if(o){if(r)H=0;else{y=g;z=u;A=0;do{E=(f[y+(A<<2)>>2]|0)+j-(f[b+(A<<2)>>2]<<1)+(f[z+(A<<2)>>2]|0)|0;B=A|1;v=(f[y+(B<<2)>>2]|0)+j-(f[b+(B<<2)>>2]<<1)+(f[z+(B<<2)>>2]|0)|0;d[t+(A<<1)>>1]=(E+32768|0)>>>0<65536?E:(E|0)>0?32767:32768;d[t+(B<<1)>>1]=(v+32768|0)>>>0<65536?v:(v|0)>0?32767:32768;v=A|2;B=(f[y+(v<<2)>>2]|0)+j-(f[b+(v<<2)>>2]<<1)+(f[z+(v<<2)>>2]|0)|0;E=A|3;w=(f[y+(E<<2)>>2]|0)+j-(f[b+(E<<2)>>2]<<1)+(f[z+(E<<2)>>2]|0)|0;d[t+(v<<1)>>1]=(B+32768|0)>>>0<65536?B:(B|0)>0?32767:32768;d[t+(E<<1)>>1]=(w+32768|0)>>>0<65536?w:(w|0)>0?32767:32768;A=A+4|0}while((A|0)<=(q|0));H=s}if((H|0)>=(h|0))break;A=g;z=u;y=H;do{w=(f[A+(y<<2)>>2]|0)+j-(f[b+(y<<2)>>2]<<1)+(f[z+(y<<2)>>2]|0)|0;d[t+(y<<1)>>1]=(w+32768|0)>>>0<65536?w:(w|0)>0?32767:32768;y=y+1|0}while((y|0)!=(h|0))}else{if(r)I=0;else{y=g;z=u;A=0;do{w=Y((f[z+(A<<2)>>2]|0)+(f[y+(A<<2)>>2]|0)|0,m)|0;E=(Y(f[b+(A<<2)>>2]|0,l)|0)+j+w|0;w=A|1;B=Y((f[z+(w<<2)>>2]|0)+(f[y+(w<<2)>>2]|0)|0,m)|0;v=(Y(f[b+(w<<2)>>2]|0,l)|0)+j+B|0;d[t+(A<<1)>>1]=(E+32768|0)>>>0<65536?E:(E|0)>0?32767:32768;d[t+(w<<1)>>1]=(v+32768|0)>>>0<65536?v:(v|0)>0?32767:32768;v=A|2;w=Y((f[z+(v<<2)>>2]|0)+(f[y+(v<<2)>>2]|0)|0,m)|0;E=(Y(f[b+(v<<2)>>2]|0,l)|0)+j+w|0;w=A|3;B=Y((f[z+(w<<2)>>2]|0)+(f[y+(w<<2)>>2]|0)|0,m)|0;C=(Y(f[b+(w<<2)>>2]|0,l)|0)+j+B|0;d[t+(v<<1)>>1]=(E+32768|0)>>>0<65536?E:(E|0)>0?32767:32768;d[t+(w<<1)>>1]=(C+32768|0)>>>0<65536?C:(C|0)>0?32767:32768;A=A+4|0}while((A|0)<=(q|0));I=s}if((I|0)>=(h|0))break;A=g;y=u;z=I;do{C=Y((f[y+(z<<2)>>2]|0)+(f[A+(z<<2)>>2]|0)|0,m)|0;w=(Y(f[b+(z<<2)>>2]|0,l)|0)+j+C|0;d[t+(z<<1)>>1]=(w+32768|0)>>>0<65536?w:(w|0)>0?32767:32768;z=z+1|0}while((z|0)!=(h|0))}}while(0);if(!i)break;else t=t+e|0}return}function wfa(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;h=u;u=u+16|0;g=h;i=a+8|0;f[i>>2]=-1;j=a+4|0;f[j>>2]=-1;f[a>>2]=57904;k=a+12|0;f[k>>2]=1124007936;l=a+16|0;m=a+20|0;n=a+52|0;o=l;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));f[n>>2]=m;q=a+60|0;r=a+56|0;f[r>>2]=q;f[q>>2]=0;f[a+64>>2]=0;if(f[c>>2]&16384){if((k|0)!=(c|0)){q=c+36|0;s=f[q>>2]|0;if(s){t=s+12|0;f[t>>2]=(f[t>>2]|0)+1;t=a+48|0;s=f[t>>2]|0;if((s|0)!=0?(v=s+12|0,s=f[v>>2]|0,f[v>>2]=s+-1,(s|0)==1):0){lP(k);w=t}else w=t}else w=a+48|0;f[w>>2]=0;t=a+28|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[l>>2]|0)>0){s=f[n>>2]|0;n=0;do{f[s+(n<<2)>>2]=0;n=n+1|0;x=f[l>>2]|0}while((n|0)<(x|0));f[k>>2]=f[c>>2];if((x|0)<3)y=13;else y=15}else{f[k>>2]=f[c>>2];y=13}if((y|0)==13){x=f[c+4>>2]|0;if((x|0)<3){f[l>>2]=x;f[m>>2]=f[c+8>>2];f[a+24>>2]=f[c+12>>2];x=f[c+44>>2]|0;l=f[r>>2]|0;f[l>>2]=f[x>>2];f[l+4>>2]=f[x+4>>2]}else y=15}if((y|0)==15)kP(k,c);f[t>>2]=f[c+16>>2];f[a+32>>2]=f[c+20>>2];f[a+36>>2]=f[c+24>>2];f[a+40>>2]=f[c+28>>2];f[a+44>>2]=f[c+32>>2];f[w>>2]=f[q>>2]}}else{q=g+8|0;f[q>>2]=0;f[q+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=k;kT(c,g)}f[i>>2]=d;d=f[m>>2]|0;m=f[a+24>>2]|0;f[j>>2]=d+-1+m;j=V9b(e)|0;f[a+72>>2]=j;if((f[k>>2]&4095|0)!=4){f[g>>2]=0;z=g+4|0;f[z>>2]=0;A=YG(g,77)|0;o=A;B=264008;p=o+77|0;do{b[o>>0]=b[B>>0]|0;o=o+1|0;B=B+1|0}while((o|0)<(p|0));SQ(-215,g,264086,260039,3251)}if((d|0)==1|(m|0)==1){u=h;return}else{f[g>>2]=0;z=g+4|0;f[z>>2]=0;A=YG(g,77)|0;o=A;B=264008;p=o+77|0;do{b[o>>0]=b[B>>0]|0;o=o+1|0;B=B+1|0}while((o|0)<(p|0));SQ(-215,g,264086,260039,3251)}}function xfa(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57904;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function yfa(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;i=f[a+4>>2]|0;j=(i|0)/2|0;k=(f[a+28>>2]|0)+(j<<2)|0;l=f[a+72>>2]|0;m=b+(j<<2)|0;b=g+-1|0;n=(g|0)==0;if(!(f[a+76>>2]&1)){if(n)return;a=h+-4|0;g=(h|0)<4;o=(i|0)<2;p=h&-4;q=((l+32768|0)>>>0<65536?l:(l|0)>0?32767:32768)&65535;r=((l+32768|0)>>>0<65536?l:(l|0)>0?32767:32768)&65535;s=c;t=m;u=b;while(1){a:do if(g)v=0;else{if(o){w=0;while(1){d[s+(w<<1)>>1]=r;d[s+((w|1)<<1)>>1]=r;d[s+((w|2)<<1)>>1]=r;d[s+((w|3)<<1)>>1]=r;w=w+4|0;if((w|0)>(a|0)){v=p;break a}}}else x=0;do{w=l;y=l;z=l;A=l;B=1;while(1){C=(f[t+(B<<2)>>2]|0)+(x<<2)|0;D=(f[t+(0-B<<2)>>2]|0)+(x<<2)|0;E=f[k+(B<<2)>>2]|0;A=(Y((f[C>>2]|0)-(f[D>>2]|0)|0,E)|0)+A|0;z=(Y((f[C+4>>2]|0)-(f[D+4>>2]|0)|0,E)|0)+z|0;y=(Y((f[C+8>>2]|0)-(f[D+8>>2]|0)|0,E)|0)+y|0;w=(Y((f[C+12>>2]|0)-(f[D+12>>2]|0)|0,E)|0)+w|0;if((B|0)>=(j|0))break;else B=B+1|0}d[s+(x<<1)>>1]=(A+32768|0)>>>0<65536?A:(A|0)>0?32767:32768;d[s+((x|1)<<1)>>1]=(z+32768|0)>>>0<65536?z:(z|0)>0?32767:32768;d[s+((x|2)<<1)>>1]=(y+32768|0)>>>0<65536?y:(y|0)>0?32767:32768;d[s+((x|3)<<1)>>1]=(w+32768|0)>>>0<65536?w:(w|0)>0?32767:32768;x=x+4|0}while((x|0)<=(a|0));v=p}while(0);b:do if((v|0)<(h|0)){if(o){B=v;while(1){d[s+(B<<1)>>1]=q;B=B+1|0;if((B|0)==(h|0))break b}}else F=v;do{B=l;E=1;while(1){B=(Y((f[(f[t+(E<<2)>>2]|0)+(F<<2)>>2]|0)-(f[(f[t+(0-E<<2)>>2]|0)+(F<<2)>>2]|0)|0,f[k+(E<<2)>>2]|0)|0)+B|0;if((E|0)>=(j|0))break;else E=E+1|0}d[s+(F<<1)>>1]=(B+32768|0)>>>0<65536?B:(B|0)>0?32767:32768;F=F+1|0}while((F|0)!=(h|0))}while(0);if(!u)break;else{s=s+e|0;t=t+4|0;u=u+-1|0}}return}else{if(n)return;n=h+-4|0;u=(h|0)<4;t=(i|0)<2;i=h&-4;s=m;m=c;c=b;while(1){c:do if(u)G=0;else{b=f[k>>2]|0;F=f[s>>2]|0;if(t){v=0;while(1){q=F+(v<<2)|0;o=(Y(f[q>>2]|0,b)|0)+l|0;p=(Y(f[q+4>>2]|0,b)|0)+l|0;a=(Y(f[q+8>>2]|0,b)|0)+l|0;x=(Y(f[q+12>>2]|0,b)|0)+l|0;d[m+(v<<1)>>1]=(o+32768|0)>>>0<65536?o:(o|0)>0?32767:32768;d[m+((v|1)<<1)>>1]=(p+32768|0)>>>0<65536?p:(p|0)>0?32767:32768;d[m+((v|2)<<1)>>1]=(a+32768|0)>>>0<65536?a:(a|0)>0?32767:32768;d[m+((v|3)<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;v=v+4|0;if((v|0)>(n|0)){G=i;break c}}}else H=0;do{v=F+(H<<2)|0;x=(Y(f[v>>2]|0,b)|0)+l|0;a=(Y(f[v+4>>2]|0,b)|0)+l|0;p=(Y(f[v+8>>2]|0,b)|0)+l|0;o=(Y(f[v+12>>2]|0,b)|0)+l|0;v=p;p=a;a=x;x=1;while(1){q=(f[s+(x<<2)>>2]|0)+(H<<2)|0;r=(f[s+(0-x<<2)>>2]|0)+(H<<2)|0;g=f[k+(x<<2)>>2]|0;a=(Y((f[r>>2]|0)+(f[q>>2]|0)|0,g)|0)+a|0;p=(Y((f[r+4>>2]|0)+(f[q+4>>2]|0)|0,g)|0)+p|0;v=(Y((f[r+8>>2]|0)+(f[q+8>>2]|0)|0,g)|0)+v|0;o=(Y((f[r+12>>2]|0)+(f[q+12>>2]|0)|0,g)|0)+o|0;if((x|0)>=(j|0))break;else x=x+1|0}d[m+(H<<1)>>1]=(a+32768|0)>>>0<65536?a:(a|0)>0?32767:32768;d[m+((H|1)<<1)>>1]=(p+32768|0)>>>0<65536?p:(p|0)>0?32767:32768;d[m+((H|2)<<1)>>1]=(v+32768|0)>>>0<65536?v:(v|0)>0?32767:32768;d[m+((H|3)<<1)>>1]=(o+32768|0)>>>0<65536?o:(o|0)>0?32767:32768;H=H+4|0}while((H|0)<=(n|0));G=i}while(0);d:do if((G|0)<(h|0)){b=f[k>>2]|0;F=f[s>>2]|0;if(t){x=G;while(1){B=(Y(f[F+(x<<2)>>2]|0,b)|0)+l|0;d[m+(x<<1)>>1]=(B+32768|0)>>>0<65536?B:(B|0)>0?32767:32768;x=x+1|0;if((x|0)==(h|0))break d}}else I=G;do{x=(Y(f[F+(I<<2)>>2]|0,b)|0)+l|0;B=1;while(1){x=(Y((f[(f[s+(0-B<<2)>>2]|0)+(I<<2)>>2]|0)+(f[(f[s+(B<<2)>>2]|0)+(I<<2)>>2]|0)|0,f[k+(B<<2)>>2]|0)|0)+x|0;if((B|0)>=(j|0))break;else B=B+1|0}d[m+(I<<1)>>1]=(x+32768|0)>>>0<65536?x:(x|0)>0?32767:32768;I=I+1|0}while((I|0)!=(h|0))}while(0);if(!c)break;else{s=s+4|0;m=m+e|0;c=c+-1|0}}return}}function zfa(a){a=a|0;Emc(a);return}function Afa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Bfa(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=57784;b=a+12|0;c=a+48|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+28|0;b=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+52>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+56>>2]|0;if((b|0)==(a+60|0)){Emc(a);return}tE(b);Emc(a);return}function Cfa(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;i=(f[a+4>>2]|0)/2|0;j=(f[a+28>>2]|0)+(i<<2)|0;k=(f[a+84>>2]&1|0)==0;l=f[j>>2]|0;m=f[j+4>>2]|0;j=(m|0)==1;n=(l|0)==2&j;o=(l|0)==-2&j;p=(l|0)==0&(j|(m|0)==-1);j=a+68|0;q=f[j>>2]|0;if(!g)return;r=(m|0)<0;s=h+-4|0;t=(h|0)<4;u=(f[j+4>>2]|0)+(f[a+80>>2]|0)|0;a=h&-4;j=d;d=c+(i<<2)|0;i=g;while(1){i=i+-1|0;g=f[d+-4>>2]|0;c=f[d>>2]|0;d=d+4|0;v=f[d>>2]|0;a:do if(k)if(p){w=r?v:g;x=r?g:v;if(t)y=0;else{z=x;A=w;B=0;do{C=B|1;D=f[z+(C<<2)>>2]|0;E=f[A+(C<<2)>>2]|0;F=u+(f[z+(B<<2)>>2]|0)-(f[A+(B<<2)>>2]|0)>>q;b[j+B>>0]=F>>>0<256?F:(F|0)>0?255:0;F=u+D-E>>q;b[j+C>>0]=F>>>0<256?F:(F|0)>0?255:0;F=B|2;C=B|3;E=f[z+(C<<2)>>2]|0;D=f[A+(C<<2)>>2]|0;G=u+(f[z+(F<<2)>>2]|0)-(f[A+(F<<2)>>2]|0)>>q;b[j+F>>0]=G>>>0<256?G:(G|0)>0?255:0;G=u+E-D>>q;b[j+C>>0]=G>>>0<256?G:(G|0)>0?255:0;B=B+4|0}while((B|0)<=(s|0));y=a}if((y|0)>=(h|0))break;B=x;A=w;z=y;do{G=u+(f[B+(z<<2)>>2]|0)-(f[A+(z<<2)>>2]|0)>>q;b[j+z>>0]=G>>>0<256?G:(G|0)>0?255:0;z=z+1|0}while((z|0)!=(h|0))}else{if(t)H=0;else{z=v;A=g;B=0;do{w=Y((f[z+(B<<2)>>2]|0)-(f[A+(B<<2)>>2]|0)|0,m)|0;x=B|1;G=Y((f[z+(x<<2)>>2]|0)-(f[A+(x<<2)>>2]|0)|0,m)|0;C=u+w>>q;b[j+B>>0]=C>>>0<256?C:(C|0)>0?255:0;C=u+G>>q;b[j+x>>0]=C>>>0<256?C:(C|0)>0?255:0;C=B|2;x=Y((f[z+(C<<2)>>2]|0)-(f[A+(C<<2)>>2]|0)|0,m)|0;G=B|3;w=Y((f[z+(G<<2)>>2]|0)-(f[A+(G<<2)>>2]|0)|0,m)|0;D=u+x>>q;b[j+C>>0]=D>>>0<256?D:(D|0)>0?255:0;D=u+w>>q;b[j+G>>0]=D>>>0<256?D:(D|0)>0?255:0;B=B+4|0}while((B|0)<=(s|0));H=a}if((H|0)>=(h|0))break;B=v;A=g;z=H;do{D=u+(Y((f[B+(z<<2)>>2]|0)-(f[A+(z<<2)>>2]|0)|0,m)|0)>>q;b[j+z>>0]=D>>>0<256?D:(D|0)>0?255:0;z=z+1|0}while((z|0)!=(h|0))}else{if(n){if(t)I=0;else{z=g;A=v;B=0;do{D=B|1;G=f[z+(D<<2)>>2]|0;w=f[c+(D<<2)>>2]<<1;C=f[A+(D<<2)>>2]|0;x=u+(f[z+(B<<2)>>2]|0)+(f[c+(B<<2)>>2]<<1)+(f[A+(B<<2)>>2]|0)>>q;b[j+B>>0]=x>>>0<256?x:(x|0)>0?255:0;x=u+G+w+C>>q;b[j+D>>0]=x>>>0<256?x:(x|0)>0?255:0;x=B|2;D=B|3;C=f[z+(D<<2)>>2]|0;w=f[c+(D<<2)>>2]<<1;G=f[A+(D<<2)>>2]|0;E=u+(f[z+(x<<2)>>2]|0)+(f[c+(x<<2)>>2]<<1)+(f[A+(x<<2)>>2]|0)>>q;b[j+x>>0]=E>>>0<256?E:(E|0)>0?255:0;E=u+C+w+G>>q;b[j+D>>0]=E>>>0<256?E:(E|0)>0?255:0;B=B+4|0}while((B|0)<=(s|0));I=a}if((I|0)>=(h|0))break;B=g;A=v;z=I;while(1){E=u+(f[B+(z<<2)>>2]|0)+(f[c+(z<<2)>>2]<<1)+(f[A+(z<<2)>>2]|0)>>q;b[j+z>>0]=E>>>0<256?E:(E|0)>0?255:0;z=z+1|0;if((z|0)==(h|0))break a}}if(o){if(t)J=0;else{z=g;A=v;B=0;do{E=B|1;D=f[z+(E<<2)>>2]|0;G=f[c+(E<<2)>>2]<<1;w=f[A+(E<<2)>>2]|0;C=u+(f[z+(B<<2)>>2]|0)-(f[c+(B<<2)>>2]<<1)+(f[A+(B<<2)>>2]|0)>>q;b[j+B>>0]=C>>>0<256?C:(C|0)>0?255:0;C=u+D-G+w>>q;b[j+E>>0]=C>>>0<256?C:(C|0)>0?255:0;C=B|2;E=B|3;w=f[z+(E<<2)>>2]|0;G=f[c+(E<<2)>>2]<<1;D=f[A+(E<<2)>>2]|0;x=u+(f[z+(C<<2)>>2]|0)-(f[c+(C<<2)>>2]<<1)+(f[A+(C<<2)>>2]|0)>>q;b[j+C>>0]=x>>>0<256?x:(x|0)>0?255:0;x=u+w-G+D>>q;b[j+E>>0]=x>>>0<256?x:(x|0)>0?255:0;B=B+4|0}while((B|0)<=(s|0));J=a}if((J|0)>=(h|0))break;B=g;A=v;z=J;do{x=u+(f[B+(z<<2)>>2]|0)-(f[c+(z<<2)>>2]<<1)+(f[A+(z<<2)>>2]|0)>>q;b[j+z>>0]=x>>>0<256?x:(x|0)>0?255:0;z=z+1|0}while((z|0)!=(h|0))}else{if(t)K=0;else{z=g;A=v;B=0;do{x=Y((f[A+(B<<2)>>2]|0)+(f[z+(B<<2)>>2]|0)|0,m)|0;E=Y(f[c+(B<<2)>>2]|0,l)|0;D=B|1;G=Y((f[A+(D<<2)>>2]|0)+(f[z+(D<<2)>>2]|0)|0,m)|0;w=Y(f[c+(D<<2)>>2]|0,l)|0;C=u+E+x>>q;b[j+B>>0]=C>>>0<256?C:(C|0)>0?255:0;C=u+w+G>>q;b[j+D>>0]=C>>>0<256?C:(C|0)>0?255:0;C=B|2;D=Y((f[A+(C<<2)>>2]|0)+(f[z+(C<<2)>>2]|0)|0,m)|0;G=Y(f[c+(C<<2)>>2]|0,l)|0;w=B|3;x=Y((f[A+(w<<2)>>2]|0)+(f[z+(w<<2)>>2]|0)|0,m)|0;E=Y(f[c+(w<<2)>>2]|0,l)|0;F=u+G+D>>q;b[j+C>>0]=F>>>0<256?F:(F|0)>0?255:0;F=u+E+x>>q;b[j+w>>0]=F>>>0<256?F:(F|0)>0?255:0;B=B+4|0}while((B|0)<=(s|0));K=a}if((K|0)>=(h|0))break;B=g;z=v;A=K;do{F=Y((f[z+(A<<2)>>2]|0)+(f[B+(A<<2)>>2]|0)|0,m)|0;w=u+(Y(f[c+(A<<2)>>2]|0,l)|0)+F>>q;b[j+A>>0]=w>>>0<256?w:(w|0)>0?255:0;A=A+1|0}while((A|0)!=(h|0))}}while(0);if(!i)break;else j=j+e|0}return}function Dfa(a){a=a|0;Emc(a);return}function Efa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Ffa(a){a=a|0;Emc(a);return}function Gfa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Hfa(a){a=a|0;Emc(a);return}function Ifa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Jfa(a){a=a|0;Emc(a);return}function Kfa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Lfa(a){a=a|0;Emc(a);return}function Mfa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Nfa(a){a=a|0;Emc(a);return}function Ofa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Pfa(a){a=a|0;Emc(a);return}function Qfa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Rfa(a){a=a|0;Emc(a);return}function Sfa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Tfa(a){a=a|0;Emc(a);return}function Ufa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Vfa(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=+i;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0.0,R=0,S=0,T=0.0,U=0,V=0,W=0,X=0,Y=0,Z=0;m=u;u=u+288|0;n=m+232|0;o=m+176|0;p=m+120|0;q=m+112|0;r=m+104|0;s=m+48|0;t=m+32|0;v=m+16|0;w=m;do if((pD(e)|0)==65536){x=f[e+4>>2]|0;f[n>>2]=f[x>>2];y=n+4|0;z=x+4|0;f[y>>2]=f[z>>2];A=n+8|0;f[A>>2]=f[x+8>>2];f[n+12>>2]=f[x+12>>2];f[n+16>>2]=f[x+16>>2];f[n+20>>2]=f[x+20>>2];f[n+24>>2]=f[x+24>>2];f[n+28>>2]=f[x+28>>2];f[n+32>>2]=f[x+32>>2];B=f[x+36>>2]|0;f[n+36>>2]=B;f[n+40>>2]=A;A=n+48|0;C=n+44|0;f[C>>2]=A;f[A>>2]=0;f[n+52>>2]=0;if(B|0){A=B+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[z>>2]|0)<3){z=f[x+44>>2]|0;A=f[C>>2]|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];break}else{f[y>>2]=0;kP(n,x);break}}else lD(n,e,-1);while(0);do if((pD(g)|0)==65536){e=f[g+4>>2]|0;f[o>>2]=f[e>>2];x=o+4|0;y=e+4|0;f[x>>2]=f[y>>2];z=o+8|0;f[z>>2]=f[e+8>>2];f[o+12>>2]=f[e+12>>2];f[o+16>>2]=f[e+16>>2];f[o+20>>2]=f[e+20>>2];f[o+24>>2]=f[e+24>>2];f[o+28>>2]=f[e+28>>2];f[o+32>>2]=f[e+32>>2];A=f[e+36>>2]|0;f[o+36>>2]=A;f[o+40>>2]=z;z=o+48|0;C=o+44|0;f[C>>2]=z;f[z>>2]=0;f[o+52>>2]=0;if(A|0){z=A+12|0;f[z>>2]=(f[z>>2]|0)+1}if((f[y>>2]|0)<3){y=f[e+44>>2]|0;z=f[C>>2]|0;f[z>>2]=f[y>>2];f[z+4>>2]=f[y+4>>2];break}else{f[x>>2]=0;kP(o,e);break}}else lD(o,g,-1);while(0);g=c&4095;e=d&4095;x=c&7;y=d&7;z=c>>>3&511;if((z|0)!=(d>>>3&511|0)){f[p>>2]=0;f[p+4>>2]=0;D=YG(p,25)|0;d=267024;E=D+25|0;do{b[D>>0]=b[d>>0]|0;D=D+1|0;d=d+1|0}while((D|0)<(E|0));SQ(-215,p,267050,260039,3755)}d=n+8|0;c=o+8|0;C=o+12|0;A=(f[c>>2]|0)+-1+(f[C>>2]|0)|0;B=f[h>>2]|0;if((B|0)<0){F=((f[d>>2]|0)+-1+(f[n+12>>2]|0)|0)/2|0;f[h>>2]=F;G=F}else G=B;B=h+4|0;if((f[B>>2]|0)<0)f[B>>2]=(A|0)/2|0;f[p+8>>2]=0;f[p+12>>2]=0;f[p>>2]=16842752;f[p+4>>2]=n;A=(f[d>>2]|0)==1;f[q>>2]=A?G:0;f[q+4>>2]=A?0:G;G=Tba(p,q)|0;f[p+8>>2]=0;f[p+12>>2]=0;f[p>>2]=16842752;f[p+4>>2]=o;q=(f[c>>2]|0)==1;A=f[B>>2]|0;f[r>>2]=q?A:0;f[r+4>>2]=q?0:A;A=Tba(p,r)|0;f[p>>2]=1124007936;r=p+4|0;q=p+8|0;F=p+40|0;D=r;E=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(E|0));f[F>>2]=q;H=p+48|0;I=p+44|0;f[I>>2]=H;f[H>>2]=0;f[p+52>>2]=0;f[s>>2]=1124007936;J=s+4|0;K=s+8|0;L=s+40|0;D=J;E=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(E|0));f[L>>2]=K;D=s+48|0;E=s+44|0;f[E>>2]=D;f[D>>2]=0;f[s+52>>2]=0;M=x>>>0<y>>>0?y:x;N=(M|0)>5?M:5;do if(!x){M=(y|0)==0;if(!((G|0)==5&(A|0)==5&M)){if((G&3|0)==0|(A&3|0)==0){O=26;break}if(!((G&8&A|0)!=0&(y|0)==3)){O=26;break}}P=M?8:0;M=t+8|0;f[M>>2]=0;f[M+4>>2]=0;f[t>>2]=33619968;f[t+4>>2]=p;Q=+(1<<P|0);IO(n,t,4,Q,0.0);M=t+8|0;f[M>>2]=0;f[M+4>>2]=0;f[t>>2]=33619968;f[t+4>>2]=s;IO(o,t,4,Q,0.0);M=P<<1;R=M;S=4;T=+(1<<M|0)*i}else O=26;while(0);do if((O|0)==26){if((f[n>>2]&4095|0)==(N|0)){y=n+36|0;x=f[y>>2]|0;if(x){M=x+12|0;f[M>>2]=(f[M>>2]|0)+1;M=p+36|0;x=f[M>>2]|0;if((x|0)!=0?(P=x+12|0,x=f[P>>2]|0,f[P>>2]=x+-1,(x|0)==1):0){lP(p);U=M}else U=M}else U=p+36|0;f[U>>2]=0;M=p+16|0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[r>>2]|0)>0){x=f[F>>2]|0;P=0;do{f[x+(P<<2)>>2]=0;P=P+1|0;V=f[r>>2]|0}while((P|0)<(V|0));f[p>>2]=f[n>>2];if((V|0)<3)O=38;else O=40}else{f[p>>2]=f[n>>2];O=38}if((O|0)==38){P=f[n+4>>2]|0;if((P|0)<3){f[r>>2]=P;f[q>>2]=f[d>>2];f[p+12>>2]=f[n+12>>2];P=f[n+44>>2]|0;x=f[I>>2]|0;f[x>>2]=f[P>>2];f[x+4>>2]=f[P+4>>2]}else O=40}if((O|0)==40)kP(p,n);f[M>>2]=f[n+16>>2];f[p+20>>2]=f[n+20>>2];f[p+24>>2]=f[n+24>>2];f[p+28>>2]=f[n+28>>2];f[p+32>>2]=f[n+32>>2];f[U>>2]=f[y>>2]}else{P=t+8|0;f[P>>2]=0;f[P+4>>2]=0;f[t>>2]=33619968;f[t+4>>2]=p;IO(n,t,N,1.0,0.0)}if((f[o>>2]&4095|0)!=(N|0)){P=t+8|0;f[P>>2]=0;f[P+4>>2]=0;f[t>>2]=33619968;f[t+4>>2]=s;IO(o,t,N,1.0,0.0);R=0;S=N;T=i;break}P=o+36|0;x=f[P>>2]|0;if(x|0){W=x+12|0;f[W>>2]=(f[W>>2]|0)+1}W=s+36|0;x=f[W>>2]|0;if(x|0?(X=x+12|0,x=f[X>>2]|0,f[X>>2]=x+-1,(x|0)==1):0)lP(s);f[W>>2]=0;x=s+16|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[J>>2]|0)>0){X=f[L>>2]|0;Y=0;do{f[X+(Y<<2)>>2]=0;Y=Y+1|0;Z=f[J>>2]|0}while((Y|0)<(Z|0));f[s>>2]=f[o>>2];if((Z|0)<3)O=54;else O=56}else{f[s>>2]=f[o>>2];O=54}if((O|0)==54){Y=f[o+4>>2]|0;if((Y|0)<3){f[J>>2]=Y;f[K>>2]=f[c>>2];f[s+12>>2]=f[C>>2];Y=f[o+44>>2]|0;X=f[E>>2]|0;f[X>>2]=f[Y>>2];f[X+4>>2]=f[Y+4>>2]}else O=56}if((O|0)==56)kP(s,o);f[x>>2]=f[o+16>>2];f[s+20>>2]=f[o+20>>2];f[s+24>>2]=f[o+24>>2];f[s+28>>2]=f[o+28>>2];f[s+32>>2]=f[o+32>>2];f[W>>2]=f[P>>2];R=0;S=N;T=i}while(0);N=S&7|z<<3;f[v+8>>2]=0;f[v+12>>2]=0;f[v>>2]=16842752;f[v+4>>2]=p;Uba(t,g,N,v,f[h>>2]|0,G);f[w+8>>2]=0;f[w+12>>2]=0;f[w>>2]=16842752;f[w+4>>2]=s;rda(v,N,e,w,f[B>>2]|0,A,T,R);R=Bmc(200)|0;f[w>>2]=0;f[w+4>>2]=0;Rba(R,w,t,v,g,e,N,j,k,l);l=Bmc(16)|0;f[l+4>>2]=1;f[l>>2]=55716;f[l+8>>2]=R;f[a>>2]=l;f[a+4>>2]=R;R=f[v>>2]|0;if(R|0?(v=R+4|0,a=f[v>>2]|0,f[v>>2]=a+-1,(a|0)==1):0)ai[f[(f[R>>2]|0)+8>>2]&2047](R);R=f[t>>2]|0;if(R|0?(t=R+4|0,a=f[t>>2]|0,f[t>>2]=a+-1,(a|0)==1):0)ai[f[(f[R>>2]|0)+8>>2]&2047](R);R=s+36|0;a=f[R>>2]|0;if(a|0?(t=a+12|0,a=f[t>>2]|0,f[t>>2]=a+-1,(a|0)==1):0)lP(s);f[R>>2]=0;R=s+16|0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((f[J>>2]|0)>0){R=f[L>>2]|0;L=0;do{f[R+(L<<2)>>2]=0;L=L+1|0}while((L|0)<(f[J>>2]|0))}J=f[E>>2]|0;if((J|0)!=(D|0))tE(J);J=p+36|0;D=f[J>>2]|0;if(D|0?(E=D+12|0,D=f[E>>2]|0,f[E>>2]=D+-1,(D|0)==1):0)lP(p);f[J>>2]=0;J=p+16|0;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;f[J+12>>2]=0;if((f[r>>2]|0)>0){J=f[F>>2]|0;F=0;do{f[J+(F<<2)>>2]=0;F=F+1|0}while((F|0)<(f[r>>2]|0))}r=f[I>>2]|0;if((r|0)!=(H|0))tE(r);r=o+36|0;H=f[r>>2]|0;if(H|0?(I=H+12|0,H=f[I>>2]|0,f[I>>2]=H+-1,(H|0)==1):0)lP(o);f[r>>2]=0;r=o+16|0;H=o+4|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[H>>2]|0)>0){r=f[o+40>>2]|0;I=0;do{f[r+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[H>>2]|0))}H=f[o+44>>2]|0;if((H|0)!=(o+48|0))tE(H);H=n+36|0;o=f[H>>2]|0;if(o|0?(I=o+12|0,o=f[I>>2]|0,f[I>>2]=o+-1,(o|0)==1):0)lP(n);f[H>>2]=0;H=n+16|0;o=n+4|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[o>>2]|0)>0){H=f[n+40>>2]|0;I=0;do{f[H+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[o>>2]|0))}o=f[n+44>>2]|0;if((o|0)==(n+48|0)){u=m;return}tE(o);u=m;return}function Wfa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0;e=u;u=u+16|0;g=e;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=a;h=PX(g)|0;i=f[a>>2]|0;j=(h|0)==0?1:h;h=i&65535;switch(h&4095){case 0:case 4:case 5:case 6:break;default:{f[g>>2]=0;f[g+4>>2]=0;k=YG(g,71)|0;l=267078;m=k+71|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-215,g,267150,260039,3822)}}g=c+4|0;l=f[g>>2]|0;k=f[c>>2]|0;m=l-k>>3;o=k;k=l;if(j>>>0<=m>>>0){if(j>>>0<m>>>0?(l=o+(j<<3)|0,(k|0)!=(l|0)):0)f[g>>2]=k+(~((k+-8-l|0)>>>3)<<3)}else Xfa(c,j-m|0);m=Y((i>>>3&511)+1<<(47696>>>(i<<1&14)&3),j)|0;j=d+4|0;i=f[j>>2]|0;l=f[d>>2]|0;k=i-l|0;g=l;l=i;if(m>>>0<=k>>>0)if(m>>>0<k>>>0?(i=g+m|0,(l|0)!=(i|0)):0){f[j>>2]=i;q=g}else q=g;else{KD(d,m-k|0);q=f[d>>2]|0}d=a+8|0;if((f[d>>2]|0)<=0){u=e;return}k=a+16|0;m=a+44|0;g=a+12|0;a=(h&4095)==0;i=0;j=0;l=f[g>>2]|0;while(1){o=(f[k>>2]|0)+(Y(f[f[m>>2]>>2]|0,i)|0)|0;a:do if((l|0)>0){if(a){r=0;s=j;t=l;while(1){v=b[o+r>>0]|0;if(!(v<<24>>24)){w=s;x=t}else{y=f[c>>2]|0;f[y+(s<<3)>>2]=r;f[y+(s<<3)+4>>2]=i;b[q+s>>0]=v;w=s+1|0;x=f[g>>2]|0}r=r+1|0;if((r|0)>=(x|0)){z=w;A=x;break a}else{s=w;t=x}}}t=f[c>>2]|0;s=0;r=j;v=l;while(1){switch(h&4095){case 5:{B=+n[o+(s<<2)>>2];if(B==0.0){C=r;D=v}else{f[t+(r<<3)>>2]=s;f[t+(r<<3)+4>>2]=i;n[q+(r<<2)>>2]=B;C=r+1|0;D=v}break}case 4:{y=f[o+(s<<2)>>2]|0;if(!y){C=r;D=v}else{f[t+(r<<3)>>2]=s;f[t+(r<<3)+4>>2]=i;f[q+(r<<2)>>2]=y;C=r+1|0;D=f[g>>2]|0}break}default:{B=+p[o+(s<<3)>>3];if(B==0.0){C=r;D=v}else{f[t+(r<<3)>>2]=s;f[t+(r<<3)+4>>2]=i;p[q+(r<<3)>>3]=B;C=r+1|0;D=v}}}s=s+1|0;if((s|0)>=(D|0)){z=C;A=D;break a}else{r=C;v=D}}}else{z=j;A=l}while(0);i=i+1|0;if((i|0)>=(f[d>>2]|0))break;else{j=z;l=A}}u=e;return}function Xfa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;h=g;if(d-g>>3>>>0>=b>>>0){Drc(g|0,0,b<<3|0)|0;f[e>>2]=h+(b<<3);return}i=f[a>>2]|0;j=g-i>>3;g=j+b|0;k=i;if(g>>>0>536870911)Ukc(a);l=d-i|0;d=l>>2;m=l>>3>>>0<268435455?(d>>>0<g>>>0?g:d):536870911;do if(m)if(m>>>0>536870911){d=ye(8)|0;Jmc(d,511852);f[d>>2]=165276;Gf(d|0,26776,1555)}else{n=Bmc(m<<3)|0;break}else n=0;while(0);d=n+(j<<3)|0;j=n+(m<<3)|0;Drc(d|0,0,b<<3|0)|0;m=d+(b<<3)|0;if((h|0)==(k|0)){o=d;p=i}else{b=h+-8-i|0;i=h;h=d;while(1){n=i;i=i+-8|0;f[h+-8>>2]=f[i>>2];f[h+-4>>2]=f[n+-4>>2];if((i|0)==(k|0))break;else h=h+-8|0}o=d+(~(b>>>3)<<3)|0;p=f[a>>2]|0}f[a>>2]=o;f[e>>2]=m;f[c>>2]=j;if(!p)return;Emc(p);return}function Yfa(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;j=u;u=u+144|0;k=j;l=j+120|0;m=j+137|0;n=j+136|0;o=j+64|0;p=j+8|0;do if((pD(e)|0)==65536){q=f[e+4>>2]|0;f[o>>2]=f[q>>2];r=o+4|0;s=q+4|0;f[r>>2]=f[s>>2];t=o+8|0;f[t>>2]=f[q+8>>2];f[o+12>>2]=f[q+12>>2];f[o+16>>2]=f[q+16>>2];f[o+20>>2]=f[q+20>>2];f[o+24>>2]=f[q+24>>2];f[o+28>>2]=f[q+28>>2];f[o+32>>2]=f[q+32>>2];v=f[q+36>>2]|0;f[o+36>>2]=v;f[o+40>>2]=t;t=o+48|0;w=o+44|0;f[w>>2]=t;f[t>>2]=0;f[o+52>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[q+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2];x=o;break}else{f[r>>2]=0;kP(o,q);x=o;break}}else{lD(o,e,-1);x=o}while(0);e=c&7;q=d&7;if(q>>>0<e>>>0|((d^c)&4088|0)!=0){f[l>>2]=0;f[l+4>>2]=0;y=YG(l,44)|0;z=267169;A=y+44|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,l,267214,260039,4428)}r=f[g>>2]|0;s=g+4|0;t=f[s>>2]|0;w=o+40|0;v=f[w>>2]|0;B=f[v+4>>2]|0;C=f[v>>2]|0;v=(r|0)==-1?(B|0)/2|0:r;r=(t|0)==-1?(C|0)/2|0:t;if(!((v|0)>-1&(v|0)<(B|0))){f[l>>2]=0;D=l+4|0;f[D>>2]=0;E=YG(l,52)|0;y=E;z=281789;A=y+52|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,l,281842,281858,363)}if((r|0)<0|(r|0)>=(C|0)){f[l>>2]=0;D=l+4|0;f[D>>2]=0;E=YG(l,52)|0;y=E;z=281789;A=y+52|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,l,281842,281858,363)}f[g>>2]=v;f[s>>2]=r;r=(e|0)==6;v=(q|0)==6;z=r|v?6:5;f[p>>2]=1124007936;E=p+4|0;D=p+8|0;C=p+40|0;y=E;A=y+36|0;do{f[y>>2]=0;y=y+4|0}while((y|0)<(A|0));f[C>>2]=D;y=p+48|0;A=p+44|0;f[A>>2]=y;f[y>>2]=0;f[p+52>>2]=0;B=f[x>>2]&4095;if((B|0)==(z|0)){t=o+36|0;F=f[t>>2]|0;if(F){G=F+12|0;f[G>>2]=(f[G>>2]|0)+1;G=p+36|0;F=f[G>>2]|0;if((F|0)!=0?(H=F+12|0,F=f[H>>2]|0,f[H>>2]=F+-1,(F|0)==1):0){lP(p);I=G}else I=G}else I=p+36|0;f[I>>2]=0;G=p+16|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[E>>2]|0)>0){F=f[C>>2]|0;H=0;do{f[F+(H<<2)>>2]=0;H=H+1|0;J=f[E>>2]|0}while((H|0)<(J|0));f[p>>2]=f[x>>2];if((J|0)<3)K=24;else K=26}else{f[p>>2]=f[x>>2];K=24}if((K|0)==24){x=f[o+4>>2]|0;if((x|0)<3){f[E>>2]=x;f[D>>2]=f[o+8>>2];f[p+12>>2]=f[o+12>>2];D=f[o+44>>2]|0;x=f[A>>2]|0;f[x>>2]=f[D>>2];f[x+4>>2]=f[D+4>>2]}else K=26}if((K|0)==26)kP(p,o);f[G>>2]=f[o+16>>2];f[p+20>>2]=f[o+20>>2];f[p+24>>2]=f[o+24>>2];f[p+28>>2]=f[o+28>>2];f[p+32>>2]=f[o+32>>2];f[I>>2]=f[t>>2]}else{t=l+8|0;f[t>>2]=0;f[t+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=p;IO(o,l,z,(B|0)==4?1.0/+(1<<i|0):1.0,0.0)}i=(e|0)==0;do if(!((d|c)&7)){B=Bmc(64)|0;f[l>>2]=f[g>>2];f[l+4>>2]=f[s>>2];Zfa(B,p,l,h,m,n);z=Bmc(16)|0;t=z+4|0;f[t>>2]=1;f[z>>2]=57976;f[z+8>>2]=B;f[a>>2]=z;f[a+4>>2]=B;f[t>>2]=(f[t>>2]|0)+1;B=f[t>>2]|0;f[t>>2]=B+-1;if((B|0)==1)ai[f[(f[z>>2]|0)+8>>2]&2047](z)}else{z=(q|0)==2;if(i&z){B=Bmc(64)|0;f[l>>2]=f[g>>2];f[l+4>>2]=f[s>>2];_fa(B,p,l,h,m,n);t=Bmc(16)|0;I=t+4|0;f[I>>2]=1;f[t>>2]=57996;f[t+8>>2]=B;f[a>>2]=t;f[a+4>>2]=B;f[I>>2]=(f[I>>2]|0)+1;B=f[I>>2]|0;f[I>>2]=B+-1;if((B|0)!=1)break;ai[f[(f[t>>2]|0)+8>>2]&2047](t);break}t=(q|0)==3;if(i&t){B=Bmc(64)|0;f[l>>2]=f[g>>2];f[l+4>>2]=f[s>>2];$fa(B,p,l,h,m,n);I=Bmc(16)|0;G=I+4|0;f[G>>2]=1;f[I>>2]=58016;f[I+8>>2]=B;f[a>>2]=I;f[a+4>>2]=B;f[G>>2]=(f[G>>2]|0)+1;B=f[G>>2]|0;f[G>>2]=B+-1;if((B|0)==1)ai[f[(f[I>>2]|0)+8>>2]&2047](I);break}I=(q|0)==5;if(i&I){B=Bmc(64)|0;f[l>>2]=f[g>>2];f[l+4>>2]=f[s>>2];aga(B,p,l,h,m,n);G=Bmc(16)|0;K=G+4|0;f[K>>2]=1;f[G>>2]=58036;f[G+8>>2]=B;f[a>>2]=G;f[a+4>>2]=B;f[K>>2]=(f[K>>2]|0)+1;B=f[K>>2]|0;f[K>>2]=B+-1;if((B|0)!=1)break;ai[f[(f[G>>2]|0)+8>>2]&2047](G);break}if(i&v){G=Bmc(72)|0;f[l>>2]=f[g>>2];f[l+4>>2]=f[s>>2];bga(G,p,l,h,m,n);B=Bmc(16)|0;K=B+4|0;f[K>>2]=1;f[B>>2]=58056;f[B+8>>2]=G;f[a>>2]=B;f[a+4>>2]=G;f[K>>2]=(f[K>>2]|0)+1;G=f[K>>2]|0;f[K>>2]=G+-1;if((G|0)!=1)break;ai[f[(f[B>>2]|0)+8>>2]&2047](B);break}B=(e|0)==2;if(B&z){z=Bmc(64)|0;f[l>>2]=f[g>>2];f[l+4>>2]=f[s>>2];cga(z,p,l,h,m,n);G=Bmc(16)|0;K=G+4|0;f[K>>2]=1;f[G>>2]=58076;f[G+8>>2]=z;f[a>>2]=G;f[a+4>>2]=z;f[K>>2]=(f[K>>2]|0)+1;z=f[K>>2]|0;f[K>>2]=z+-1;if((z|0)!=1)break;ai[f[(f[G>>2]|0)+8>>2]&2047](G);break}if(B&I){G=Bmc(64)|0;f[l>>2]=f[g>>2];f[l+4>>2]=f[s>>2];dga(G,p,l,h,m,n);z=Bmc(16)|0;K=z+4|0;f[K>>2]=1;f[z>>2]=58096;f[z+8>>2]=G;f[a>>2]=z;f[a+4>>2]=G;f[K>>2]=(f[K>>2]|0)+1;G=f[K>>2]|0;f[K>>2]=G+-1;if((G|0)!=1)break;ai[f[(f[z>>2]|0)+8>>2]&2047](z);break}if(B&v){B=Bmc(72)|0;f[l>>2]=f[g>>2];f[l+4>>2]=f[s>>2];ega(B,p,l,h,m,n);z=Bmc(16)|0;G=z+4|0;f[G>>2]=1;f[z>>2]=58116;f[z+8>>2]=B;f[a>>2]=z;f[a+4>>2]=B;f[G>>2]=(f[G>>2]|0)+1;B=f[G>>2]|0;f[G>>2]=B+-1;if((B|0)!=1)break;ai[f[(f[z>>2]|0)+8>>2]&2047](z);break}z=(e|0)==3;if(z&t){t=Bmc(64)|0;f[l>>2]=f[g>>2];f[l+4>>2]=f[s>>2];fga(t,p,l,h,m,n);B=Bmc(16)|0;G=B+4|0;f[G>>2]=1;f[B>>2]=58136;f[B+8>>2]=t;f[a>>2]=B;f[a+4>>2]=t;f[G>>2]=(f[G>>2]|0)+1;t=f[G>>2]|0;f[G>>2]=t+-1;if((t|0)!=1)break;ai[f[(f[B>>2]|0)+8>>2]&2047](B);break}if(z&I){B=Bmc(64)|0;f[l>>2]=f[g>>2];f[l+4>>2]=f[s>>2];gga(B,p,l,h,m,n);t=Bmc(16)|0;G=t+4|0;f[G>>2]=1;f[t>>2]=58156;f[t+8>>2]=B;f[a>>2]=t;f[a+4>>2]=B;f[G>>2]=(f[G>>2]|0)+1;B=f[G>>2]|0;f[G>>2]=B+-1;if((B|0)!=1)break;ai[f[(f[t>>2]|0)+8>>2]&2047](t);break}if(z&v){z=Bmc(72)|0;f[l>>2]=f[g>>2];f[l+4>>2]=f[s>>2];hga(z,p,l,h,m,n);t=Bmc(16)|0;B=t+4|0;f[B>>2]=1;f[t>>2]=58176;f[t+8>>2]=z;f[a>>2]=t;f[a+4>>2]=z;f[B>>2]=(f[B>>2]|0)+1;z=f[B>>2]|0;f[B>>2]=z+-1;if((z|0)!=1)break;ai[f[(f[t>>2]|0)+8>>2]&2047](t);break}if((e|0)==5&I){I=Bmc(64)|0;f[l>>2]=f[g>>2];f[l+4>>2]=f[s>>2];iga(I,p,l,h,m,n);t=Bmc(16)|0;z=t+4|0;f[z>>2]=1;f[t>>2]=58196;f[t+8>>2]=I;f[a>>2]=t;f[a+4>>2]=I;f[z>>2]=(f[z>>2]|0)+1;I=f[z>>2]|0;f[z>>2]=I+-1;if((I|0)==1)ai[f[(f[t>>2]|0)+8>>2]&2047](t);break}if(!(r&v)){f[k>>2]=c;f[k+4>>2]=d;aR(l,267230,k);SQ(-213,l,267214,260039,4493)}t=Bmc(72)|0;f[l>>2]=f[g>>2];f[l+4>>2]=f[s>>2];jga(t,p,l,h,m,n);I=Bmc(16)|0;z=I+4|0;f[z>>2]=1;f[I>>2]=58216;f[I+8>>2]=t;f[a>>2]=I;f[a+4>>2]=t;f[z>>2]=(f[z>>2]|0)+1;t=f[z>>2]|0;f[z>>2]=t+-1;if((t|0)==1)ai[f[(f[I>>2]|0)+8>>2]&2047](I)}while(0);a=p+36|0;n=f[a>>2]|0;if(n|0?(m=n+12|0,n=f[m>>2]|0,f[m>>2]=n+-1,(n|0)==1):0)lP(p);f[a>>2]=0;a=p+16|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[E>>2]|0)>0){a=f[C>>2]|0;C=0;do{f[a+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[E>>2]|0))}E=f[A>>2]|0;if((E|0)!=(y|0))tE(E);E=o+36|0;y=f[E>>2]|0;if(y|0?(A=y+12|0,y=f[A>>2]|0,f[A>>2]=y+-1,(y|0)==1):0)lP(o);f[E>>2]=0;E=o+16|0;y=o+4|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[y>>2]|0)>0){E=f[w>>2]|0;w=0;do{f[E+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[y>>2]|0))}y=f[o+44>>2]|0;if((y|0)==(o+48|0)){u=j;return}tE(y);u=j;return}function Zfa(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0;h=u;u=u+16|0;g=h;i=a+4|0;f[i>>2]=-1;f[i+4>>2]=-1;f[i+8>>2]=-1;f[i+12>>2]=-1;f[a>>2]=58524;j=a+20|0;k=a+24|0;l=a+32|0;m=a+44|0;o=a+48|0;p=j;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;r=f[d>>2]|0;f[i>>2]=f[d+4>>2];f[a+8>>2]=r;n[a+56>>2]=e;if((f[c>>2]&4095|0)!=5){f[g>>2]=0;f[g+4>>2]=0;p=YG(g,36)|0;a=267407;q=p+36|0;do{b[p>>0]=b[a>>0]|0;p=p+1|0;a=a+1|0}while((p|0)<(q|0));SQ(-215,g,267444,260039,3883)}Wfa(c,j,l);l=(f[k>>2]|0)-(f[j>>2]|0)>>3;j=f[o>>2]|0;k=f[m>>2]|0;c=j-k>>2;g=j;if(l>>>0>c>>>0){l6(m,l-c|0);u=h;return}if(l>>>0>=c>>>0){u=h;return}c=k+(l<<2)|0;if((g|0)==(c|0)){u=h;return}f[o>>2]=g+(~((g+-4-c|0)>>>2)<<2);u=h;return}function _fa(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0;h=u;u=u+16|0;g=h;i=a+4|0;f[i>>2]=-1;f[i+4>>2]=-1;f[i+8>>2]=-1;f[i+12>>2]=-1;f[a>>2]=58500;j=a+20|0;k=a+24|0;l=a+32|0;m=a+44|0;o=a+48|0;p=j;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;r=f[d>>2]|0;f[i>>2]=f[d+4>>2];f[a+8>>2]=r;n[a+56>>2]=e;if((f[c>>2]&4095|0)!=5){f[g>>2]=0;f[g+4>>2]=0;p=YG(g,36)|0;a=267407;q=p+36|0;do{b[p>>0]=b[a>>0]|0;p=p+1|0;a=a+1|0}while((p|0)<(q|0));SQ(-215,g,267444,260039,3883)}Wfa(c,j,l);l=(f[k>>2]|0)-(f[j>>2]|0)>>3;j=f[o>>2]|0;k=f[m>>2]|0;c=j-k>>2;g=j;if(l>>>0>c>>>0){l6(m,l-c|0);u=h;return}if(l>>>0>=c>>>0){u=h;return}c=k+(l<<2)|0;if((g|0)==(c|0)){u=h;return}f[o>>2]=g+(~((g+-4-c|0)>>>2)<<2);u=h;return}function $fa(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0;h=u;u=u+16|0;g=h;i=a+4|0;f[i>>2]=-1;f[i+4>>2]=-1;f[i+8>>2]=-1;f[i+12>>2]=-1;f[a>>2]=58476;j=a+20|0;k=a+24|0;l=a+32|0;m=a+44|0;o=a+48|0;p=j;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;r=f[d>>2]|0;f[i>>2]=f[d+4>>2];f[a+8>>2]=r;n[a+56>>2]=e;if((f[c>>2]&4095|0)!=5){f[g>>2]=0;f[g+4>>2]=0;p=YG(g,36)|0;a=267407;q=p+36|0;do{b[p>>0]=b[a>>0]|0;p=p+1|0;a=a+1|0}while((p|0)<(q|0));SQ(-215,g,267444,260039,3883)}Wfa(c,j,l);l=(f[k>>2]|0)-(f[j>>2]|0)>>3;j=f[o>>2]|0;k=f[m>>2]|0;c=j-k>>2;g=j;if(l>>>0>c>>>0){l6(m,l-c|0);u=h;return}if(l>>>0>=c>>>0){u=h;return}c=k+(l<<2)|0;if((g|0)==(c|0)){u=h;return}f[o>>2]=g+(~((g+-4-c|0)>>>2)<<2);u=h;return}function aga(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0;h=u;u=u+16|0;g=h;i=a+4|0;f[i>>2]=-1;f[i+4>>2]=-1;f[i+8>>2]=-1;f[i+12>>2]=-1;f[a>>2]=58452;j=a+20|0;k=a+24|0;l=a+32|0;m=a+44|0;o=a+48|0;p=j;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;r=f[d>>2]|0;f[i>>2]=f[d+4>>2];f[a+8>>2]=r;n[a+56>>2]=e;if((f[c>>2]&4095|0)!=5){f[g>>2]=0;f[g+4>>2]=0;p=YG(g,36)|0;a=267407;q=p+36|0;do{b[p>>0]=b[a>>0]|0;p=p+1|0;a=a+1|0}while((p|0)<(q|0));SQ(-215,g,267444,260039,3883)}Wfa(c,j,l);l=(f[k>>2]|0)-(f[j>>2]|0)>>3;j=f[o>>2]|0;k=f[m>>2]|0;c=j-k>>2;g=j;if(l>>>0>c>>>0){l6(m,l-c|0);u=h;return}if(l>>>0>=c>>>0){u=h;return}c=k+(l<<2)|0;if((g|0)==(c|0)){u=h;return}f[o>>2]=g+(~((g+-4-c|0)>>>2)<<2);u=h;return}function bga(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0;h=u;u=u+16|0;g=h;i=a+4|0;f[i>>2]=-1;f[i+4>>2]=-1;f[i+8>>2]=-1;f[i+12>>2]=-1;f[a>>2]=58428;j=a+20|0;k=a+24|0;l=a+32|0;m=a+44|0;n=a+48|0;o=j;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;r=f[d>>2]|0;f[i>>2]=f[d+4>>2];f[a+8>>2]=r;p[a+56>>3]=e;if((f[c>>2]&4095|0)!=6){f[g>>2]=0;f[g+4>>2]=0;o=YG(g,36)|0;a=267407;q=o+36|0;do{b[o>>0]=b[a>>0]|0;o=o+1|0;a=a+1|0}while((o|0)<(q|0));SQ(-215,g,267444,260039,3883)}Wfa(c,j,l);l=(f[k>>2]|0)-(f[j>>2]|0)>>3;j=f[n>>2]|0;k=f[m>>2]|0;c=j-k>>2;g=j;if(l>>>0>c>>>0){l6(m,l-c|0);u=h;return}if(l>>>0>=c>>>0){u=h;return}c=k+(l<<2)|0;if((g|0)==(c|0)){u=h;return}f[n>>2]=g+(~((g+-4-c|0)>>>2)<<2);u=h;return}function cga(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0;h=u;u=u+16|0;g=h;i=a+4|0;f[i>>2]=-1;f[i+4>>2]=-1;f[i+8>>2]=-1;f[i+12>>2]=-1;f[a>>2]=58404;j=a+20|0;k=a+24|0;l=a+32|0;m=a+44|0;o=a+48|0;p=j;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;r=f[d>>2]|0;f[i>>2]=f[d+4>>2];f[a+8>>2]=r;n[a+56>>2]=e;if((f[c>>2]&4095|0)!=5){f[g>>2]=0;f[g+4>>2]=0;p=YG(g,36)|0;a=267407;q=p+36|0;do{b[p>>0]=b[a>>0]|0;p=p+1|0;a=a+1|0}while((p|0)<(q|0));SQ(-215,g,267444,260039,3883)}Wfa(c,j,l);l=(f[k>>2]|0)-(f[j>>2]|0)>>3;j=f[o>>2]|0;k=f[m>>2]|0;c=j-k>>2;g=j;if(l>>>0>c>>>0){l6(m,l-c|0);u=h;return}if(l>>>0>=c>>>0){u=h;return}c=k+(l<<2)|0;if((g|0)==(c|0)){u=h;return}f[o>>2]=g+(~((g+-4-c|0)>>>2)<<2);u=h;return}function dga(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0;h=u;u=u+16|0;g=h;i=a+4|0;f[i>>2]=-1;f[i+4>>2]=-1;f[i+8>>2]=-1;f[i+12>>2]=-1;f[a>>2]=58380;j=a+20|0;k=a+24|0;l=a+32|0;m=a+44|0;o=a+48|0;p=j;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;r=f[d>>2]|0;f[i>>2]=f[d+4>>2];f[a+8>>2]=r;n[a+56>>2]=e;if((f[c>>2]&4095|0)!=5){f[g>>2]=0;f[g+4>>2]=0;p=YG(g,36)|0;a=267407;q=p+36|0;do{b[p>>0]=b[a>>0]|0;p=p+1|0;a=a+1|0}while((p|0)<(q|0));SQ(-215,g,267444,260039,3883)}Wfa(c,j,l);l=(f[k>>2]|0)-(f[j>>2]|0)>>3;j=f[o>>2]|0;k=f[m>>2]|0;c=j-k>>2;g=j;if(l>>>0>c>>>0){l6(m,l-c|0);u=h;return}if(l>>>0>=c>>>0){u=h;return}c=k+(l<<2)|0;if((g|0)==(c|0)){u=h;return}f[o>>2]=g+(~((g+-4-c|0)>>>2)<<2);u=h;return}function ega(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0;h=u;u=u+16|0;g=h;i=a+4|0;f[i>>2]=-1;f[i+4>>2]=-1;f[i+8>>2]=-1;f[i+12>>2]=-1;f[a>>2]=58356;j=a+20|0;k=a+24|0;l=a+32|0;m=a+44|0;n=a+48|0;o=j;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;r=f[d>>2]|0;f[i>>2]=f[d+4>>2];f[a+8>>2]=r;p[a+56>>3]=e;if((f[c>>2]&4095|0)!=6){f[g>>2]=0;f[g+4>>2]=0;o=YG(g,36)|0;a=267407;q=o+36|0;do{b[o>>0]=b[a>>0]|0;o=o+1|0;a=a+1|0}while((o|0)<(q|0));SQ(-215,g,267444,260039,3883)}Wfa(c,j,l);l=(f[k>>2]|0)-(f[j>>2]|0)>>3;j=f[n>>2]|0;k=f[m>>2]|0;c=j-k>>2;g=j;if(l>>>0>c>>>0){l6(m,l-c|0);u=h;return}if(l>>>0>=c>>>0){u=h;return}c=k+(l<<2)|0;if((g|0)==(c|0)){u=h;return}f[n>>2]=g+(~((g+-4-c|0)>>>2)<<2);u=h;return}function fga(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0;h=u;u=u+16|0;g=h;i=a+4|0;f[i>>2]=-1;f[i+4>>2]=-1;f[i+8>>2]=-1;f[i+12>>2]=-1;f[a>>2]=58332;j=a+20|0;k=a+24|0;l=a+32|0;m=a+44|0;o=a+48|0;p=j;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;r=f[d>>2]|0;f[i>>2]=f[d+4>>2];f[a+8>>2]=r;n[a+56>>2]=e;if((f[c>>2]&4095|0)!=5){f[g>>2]=0;f[g+4>>2]=0;p=YG(g,36)|0;a=267407;q=p+36|0;do{b[p>>0]=b[a>>0]|0;p=p+1|0;a=a+1|0}while((p|0)<(q|0));SQ(-215,g,267444,260039,3883)}Wfa(c,j,l);l=(f[k>>2]|0)-(f[j>>2]|0)>>3;j=f[o>>2]|0;k=f[m>>2]|0;c=j-k>>2;g=j;if(l>>>0>c>>>0){l6(m,l-c|0);u=h;return}if(l>>>0>=c>>>0){u=h;return}c=k+(l<<2)|0;if((g|0)==(c|0)){u=h;return}f[o>>2]=g+(~((g+-4-c|0)>>>2)<<2);u=h;return}function gga(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0;h=u;u=u+16|0;g=h;i=a+4|0;f[i>>2]=-1;f[i+4>>2]=-1;f[i+8>>2]=-1;f[i+12>>2]=-1;f[a>>2]=58308;j=a+20|0;k=a+24|0;l=a+32|0;m=a+44|0;o=a+48|0;p=j;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;r=f[d>>2]|0;f[i>>2]=f[d+4>>2];f[a+8>>2]=r;n[a+56>>2]=e;if((f[c>>2]&4095|0)!=5){f[g>>2]=0;f[g+4>>2]=0;p=YG(g,36)|0;a=267407;q=p+36|0;do{b[p>>0]=b[a>>0]|0;p=p+1|0;a=a+1|0}while((p|0)<(q|0));SQ(-215,g,267444,260039,3883)}Wfa(c,j,l);l=(f[k>>2]|0)-(f[j>>2]|0)>>3;j=f[o>>2]|0;k=f[m>>2]|0;c=j-k>>2;g=j;if(l>>>0>c>>>0){l6(m,l-c|0);u=h;return}if(l>>>0>=c>>>0){u=h;return}c=k+(l<<2)|0;if((g|0)==(c|0)){u=h;return}f[o>>2]=g+(~((g+-4-c|0)>>>2)<<2);u=h;return}function hga(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0;h=u;u=u+16|0;g=h;i=a+4|0;f[i>>2]=-1;f[i+4>>2]=-1;f[i+8>>2]=-1;f[i+12>>2]=-1;f[a>>2]=58284;j=a+20|0;k=a+24|0;l=a+32|0;m=a+44|0;n=a+48|0;o=j;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;r=f[d>>2]|0;f[i>>2]=f[d+4>>2];f[a+8>>2]=r;p[a+56>>3]=e;if((f[c>>2]&4095|0)!=6){f[g>>2]=0;f[g+4>>2]=0;o=YG(g,36)|0;a=267407;q=o+36|0;do{b[o>>0]=b[a>>0]|0;o=o+1|0;a=a+1|0}while((o|0)<(q|0));SQ(-215,g,267444,260039,3883)}Wfa(c,j,l);l=(f[k>>2]|0)-(f[j>>2]|0)>>3;j=f[n>>2]|0;k=f[m>>2]|0;c=j-k>>2;g=j;if(l>>>0>c>>>0){l6(m,l-c|0);u=h;return}if(l>>>0>=c>>>0){u=h;return}c=k+(l<<2)|0;if((g|0)==(c|0)){u=h;return}f[n>>2]=g+(~((g+-4-c|0)>>>2)<<2);u=h;return}function iga(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0;h=u;u=u+16|0;g=h;i=a+4|0;f[i>>2]=-1;f[i+4>>2]=-1;f[i+8>>2]=-1;f[i+12>>2]=-1;f[a>>2]=58260;j=a+20|0;k=a+24|0;l=a+32|0;m=a+44|0;o=a+48|0;p=j;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;r=f[d>>2]|0;f[i>>2]=f[d+4>>2];f[a+8>>2]=r;n[a+56>>2]=e;if((f[c>>2]&4095|0)!=5){f[g>>2]=0;f[g+4>>2]=0;p=YG(g,36)|0;a=267407;q=p+36|0;do{b[p>>0]=b[a>>0]|0;p=p+1|0;a=a+1|0}while((p|0)<(q|0));SQ(-215,g,267444,260039,3883)}Wfa(c,j,l);l=(f[k>>2]|0)-(f[j>>2]|0)>>3;j=f[o>>2]|0;k=f[m>>2]|0;c=j-k>>2;g=j;if(l>>>0>c>>>0){l6(m,l-c|0);u=h;return}if(l>>>0>=c>>>0){u=h;return}c=k+(l<<2)|0;if((g|0)==(c|0)){u=h;return}f[o>>2]=g+(~((g+-4-c|0)>>>2)<<2);u=h;return}function jga(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0;h=u;u=u+16|0;g=h;i=a+4|0;f[i>>2]=-1;f[i+4>>2]=-1;f[i+8>>2]=-1;f[i+12>>2]=-1;f[a>>2]=58236;j=a+20|0;k=a+24|0;l=a+32|0;m=a+44|0;n=a+48|0;o=j;q=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(q|0));f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;r=f[d>>2]|0;f[i>>2]=f[d+4>>2];f[a+8>>2]=r;p[a+56>>3]=e;if((f[c>>2]&4095|0)!=6){f[g>>2]=0;f[g+4>>2]=0;o=YG(g,36)|0;a=267407;q=o+36|0;do{b[o>>0]=b[a>>0]|0;o=o+1|0;a=a+1|0}while((o|0)<(q|0));SQ(-215,g,267444,260039,3883)}Wfa(c,j,l);l=(f[k>>2]|0)-(f[j>>2]|0)>>3;j=f[n>>2]|0;k=f[m>>2]|0;c=j-k>>2;g=j;if(l>>>0>c>>>0){l6(m,l-c|0);u=h;return}if(l>>>0>=c>>>0){u=h;return}c=k+(l<<2)|0;if((g|0)==(c|0)){u=h;return}f[n>>2]=g+(~((g+-4-c|0)>>>2)<<2);u=h;return}function kga(a){a=a|0;Emc(a);return}function lga(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function mga(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=58236;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;Emc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);Emc(b);return}function nga(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=58236;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;Emc(b)}b=f[a+20>>2]|0;if(!b){Emc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);Emc(b);Emc(a);return}function oga(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0.0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0;i=+p[a+56>>3];j=f[a+20>>2]|0;k=f[a+32>>2]|0;l=f[a+44>>2]|0;m=(f[a+24>>2]|0)-j|0;a=m>>3;n=Y(h,g)|0;if((e|0)<=0)return;g=(m|0)>0;m=n+-4|0;o=(n|0)<4;q=n&-4;r=b;b=c;c=e;while(1){if(g){e=0;do{s=(f[r+(f[j+(e<<3)+4>>2]<<2)>>2]|0)+((Y(f[j+(e<<3)>>2]|0,h)|0)<<3)|0;f[l+(e<<2)>>2]=s;e=e+1|0}while((e|0)<(a|0))}a:do if(o)t=0;else{if(g)u=0;else{e=0;while(1){p[b+(e<<3)>>3]=i;p[b+((e|1)<<3)>>3]=i;p[b+((e|2)<<3)>>3]=i;p[b+((e|3)<<3)>>3]=i;e=e+4|0;if((e|0)>(m|0)){t=q;break a}}}do{v=i;w=i;x=i;y=i;e=0;do{s=(f[l+(e<<2)>>2]|0)+(u<<3)|0;z=+p[k+(e<<3)>>3];y=y+z*+p[s>>3];x=x+z*+p[s+8>>3];w=w+z*+p[s+16>>3];v=v+z*+p[s+24>>3];e=e+1|0}while((e|0)<(a|0));p[b+(u<<3)>>3]=y;p[b+((u|1)<<3)>>3]=x;p[b+((u|2)<<3)>>3]=w;p[b+((u|3)<<3)>>3]=v;u=u+4|0}while((u|0)<=(m|0));t=q}while(0);b:do if((t|0)<(n|0)){if(g)A=t;else{e=t;while(1){p[b+(e<<3)>>3]=i;e=e+1|0;if((e|0)==(n|0))break b}}do{z=i;e=0;do{z=z+ +p[k+(e<<3)>>3]*+p[(f[l+(e<<2)>>2]|0)+(A<<3)>>3];e=e+1|0}while((e|0)<(a|0));p[b+(A<<3)>>3]=z;A=A+1|0}while((A|0)!=(n|0))}while(0);if((c|0)>1){r=r+4|0;b=b+d|0;c=c+-1|0}else break}return}function pga(a){a=a|0;Emc(a);return}function qga(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function rga(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=58260;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;Emc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);Emc(b);return}function sga(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=58260;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;Emc(b)}b=f[a+20>>2]|0;if(!b){Emc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);Emc(b);Emc(a);return}function tga(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0.0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0;i=+n[a+56>>2];j=f[a+20>>2]|0;k=f[a+32>>2]|0;l=f[a+44>>2]|0;m=(f[a+24>>2]|0)-j|0;a=m>>3;o=Y(h,g)|0;if((e|0)<=0)return;g=(m|0)>0;m=o+-4|0;p=(o|0)<4;q=o&-4;r=b;b=c;c=e;while(1){if(g){e=0;do{s=(f[r+(f[j+(e<<3)+4>>2]<<2)>>2]|0)+((Y(f[j+(e<<3)>>2]|0,h)|0)<<2)|0;f[l+(e<<2)>>2]=s;e=e+1|0}while((e|0)<(a|0))}a:do if(p)t=0;else{if(g)u=0;else{e=0;while(1){n[b+(e<<2)>>2]=i;n[b+((e|1)<<2)>>2]=i;n[b+((e|2)<<2)>>2]=i;n[b+((e|3)<<2)>>2]=i;e=e+4|0;if((e|0)>(m|0)){t=q;break a}}}do{v=i;w=i;x=i;y=i;e=0;do{s=(f[l+(e<<2)>>2]|0)+(u<<2)|0;z=+n[k+(e<<2)>>2];y=y+z*+n[s>>2];x=x+z*+n[s+4>>2];w=w+z*+n[s+8>>2];v=v+z*+n[s+12>>2];e=e+1|0}while((e|0)<(a|0));n[b+(u<<2)>>2]=y;n[b+((u|1)<<2)>>2]=x;n[b+((u|2)<<2)>>2]=w;n[b+((u|3)<<2)>>2]=v;u=u+4|0}while((u|0)<=(m|0));t=q}while(0);b:do if((t|0)<(o|0)){if(g)A=t;else{e=t;while(1){n[b+(e<<2)>>2]=i;e=e+1|0;if((e|0)==(o|0))break b}}do{z=i;e=0;do{z=z+ +n[k+(e<<2)>>2]*+n[(f[l+(e<<2)>>2]|0)+(A<<2)>>2];e=e+1|0}while((e|0)<(a|0));n[b+(A<<2)>>2]=z;A=A+1|0}while((A|0)!=(o|0))}while(0);if((c|0)>1){r=r+4|0;b=b+d|0;c=c+-1|0}else break}return}function uga(a){a=a|0;Emc(a);return}function vga(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function wga(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=58284;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;Emc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);Emc(b);return}function xga(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=58284;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;Emc(b)}b=f[a+20>>2]|0;if(!b){Emc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);Emc(b);Emc(a);return}function yga(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0;j=+p[a+56>>3];k=f[a+20>>2]|0;l=f[a+32>>2]|0;m=f[a+44>>2]|0;n=(f[a+24>>2]|0)-k|0;a=n>>3;o=Y(i,h)|0;if((g|0)<=0)return;h=(n|0)>0;n=o+-4|0;q=(o|0)<4;r=o&-4;s=b;b=c;c=g;while(1){if(h){g=0;do{t=(f[s+(f[k+(g<<3)+4>>2]<<2)>>2]|0)+((Y(f[k+(g<<3)>>2]|0,i)|0)<<1)|0;f[m+(g<<2)>>2]=t;g=g+1|0}while((g|0)<(a|0))}a:do if(q)u=0;else{if(h)v=0;else{g=0;while(1){p[b+(g<<3)>>3]=j;p[b+((g|1)<<3)>>3]=j;p[b+((g|2)<<3)>>3]=j;p[b+((g|3)<<3)>>3]=j;g=g+4|0;if((g|0)>(n|0)){u=r;break a}}}do{w=j;x=j;y=j;z=j;g=0;do{t=(f[m+(g<<2)>>2]|0)+(v<<1)|0;A=+p[l+(g<<3)>>3];z=z+A*+(d[t>>1]|0);y=y+A*+(d[t+2>>1]|0);x=x+A*+(d[t+4>>1]|0);w=w+A*+(d[t+6>>1]|0);g=g+1|0}while((g|0)<(a|0));p[b+(v<<3)>>3]=z;p[b+((v|1)<<3)>>3]=y;p[b+((v|2)<<3)>>3]=x;p[b+((v|3)<<3)>>3]=w;v=v+4|0}while((v|0)<=(n|0));u=r}while(0);b:do if((u|0)<(o|0)){if(h)B=u;else{g=u;while(1){p[b+(g<<3)>>3]=j;g=g+1|0;if((g|0)==(o|0))break b}}do{A=j;g=0;do{A=A+ +p[l+(g<<3)>>3]*+(d[(f[m+(g<<2)>>2]|0)+(B<<1)>>1]|0);g=g+1|0}while((g|0)<(a|0));p[b+(B<<3)>>3]=A;B=B+1|0}while((B|0)!=(o|0))}while(0);if((c|0)>1){s=s+4|0;b=b+e|0;c=c+-1|0}else break}return}function zga(a){a=a|0;Emc(a);return}function Aga(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Bga(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=58308;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;Emc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);Emc(b);return}function Cga(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=58308;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;Emc(b)}b=f[a+20>>2]|0;if(!b){Emc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);Emc(b);Emc(a);return}function Dga(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0;j=+n[a+56>>2];k=f[a+20>>2]|0;l=f[a+32>>2]|0;m=f[a+44>>2]|0;o=(f[a+24>>2]|0)-k|0;a=o>>3;p=Y(i,h)|0;if((g|0)<=0)return;h=(o|0)>0;o=p+-4|0;q=(p|0)<4;r=p&-4;s=b;b=c;c=g;while(1){if(h){g=0;do{t=(f[s+(f[k+(g<<3)+4>>2]<<2)>>2]|0)+((Y(f[k+(g<<3)>>2]|0,i)|0)<<1)|0;f[m+(g<<2)>>2]=t;g=g+1|0}while((g|0)<(a|0))}a:do if(q)u=0;else{if(h)v=0;else{g=0;while(1){n[b+(g<<2)>>2]=j;n[b+((g|1)<<2)>>2]=j;n[b+((g|2)<<2)>>2]=j;n[b+((g|3)<<2)>>2]=j;g=g+4|0;if((g|0)>(o|0)){u=r;break a}}}do{w=j;x=j;y=j;z=j;g=0;do{t=(f[m+(g<<2)>>2]|0)+(v<<1)|0;A=+n[l+(g<<2)>>2];z=z+A*+(d[t>>1]|0);y=y+A*+(d[t+2>>1]|0);x=x+A*+(d[t+4>>1]|0);w=w+A*+(d[t+6>>1]|0);g=g+1|0}while((g|0)<(a|0));n[b+(v<<2)>>2]=z;n[b+((v|1)<<2)>>2]=y;n[b+((v|2)<<2)>>2]=x;n[b+((v|3)<<2)>>2]=w;v=v+4|0}while((v|0)<=(o|0));u=r}while(0);b:do if((u|0)<(p|0)){if(h)B=u;else{g=u;while(1){n[b+(g<<2)>>2]=j;g=g+1|0;if((g|0)==(p|0))break b}}do{A=j;g=0;do{A=A+ +n[l+(g<<2)>>2]*+(d[(f[m+(g<<2)>>2]|0)+(B<<1)>>1]|0);g=g+1|0}while((g|0)<(a|0));n[b+(B<<2)>>2]=A;B=B+1|0}while((B|0)!=(p|0))}while(0);if((c|0)>1){s=s+4|0;b=b+e|0;c=c+-1|0}else break}return}function Ega(a){a=a|0;Emc(a);return}function Fga(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Gga(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=58332;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;Emc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);Emc(b);return}function Hga(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=58332;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;Emc(b)}b=f[a+20>>2]|0;if(!b){Emc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);Emc(b);Emc(a);return}function Iga(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0.0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0;j=+n[a+56>>2];k=f[a+20>>2]|0;l=f[a+32>>2]|0;m=f[a+44>>2]|0;o=(f[a+24>>2]|0)-k|0;a=o>>3;p=Y(i,h)|0;if((g|0)<=0)return;h=(o|0)>0;o=p+-4|0;q=(p|0)<4;r=p&-4;s=b;b=c;c=g;while(1){if(h){g=0;do{t=(f[s+(f[k+(g<<3)+4>>2]<<2)>>2]|0)+((Y(f[k+(g<<3)>>2]|0,i)|0)<<1)|0;f[m+(g<<2)>>2]=t;g=g+1|0}while((g|0)<(a|0))}a:do if(q)u=0;else{if(h)v=0;else{g=U9b(j)|0;t=((g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768)&65535;g=0;while(1){d[b+(g<<1)>>1]=t;d[b+((g|1)<<1)>>1]=t;d[b+((g|2)<<1)>>1]=t;d[b+((g|3)<<1)>>1]=t;g=g+4|0;if((g|0)>(o|0)){u=r;break a}}}do{w=j;x=j;y=j;z=j;g=0;do{t=(f[m+(g<<2)>>2]|0)+(v<<1)|0;A=+n[l+(g<<2)>>2];z=z+A*+(d[t>>1]|0);y=y+A*+(d[t+2>>1]|0);x=x+A*+(d[t+4>>1]|0);w=w+A*+(d[t+6>>1]|0);g=g+1|0}while((g|0)<(a|0));g=U9b(z)|0;d[b+(v<<1)>>1]=(g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768;g=U9b(y)|0;d[b+((v|1)<<1)>>1]=(g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768;g=U9b(x)|0;d[b+((v|2)<<1)>>1]=(g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768;g=U9b(w)|0;d[b+((v|3)<<1)>>1]=(g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768;v=v+4|0}while((v|0)<=(o|0));u=r}while(0);b:do if((u|0)<(p|0)){if(h)B=u;else{g=U9b(j)|0;t=((g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768)&65535;g=u;while(1){d[b+(g<<1)>>1]=t;g=g+1|0;if((g|0)==(p|0))break b}}do{A=j;g=0;do{A=A+ +n[l+(g<<2)>>2]*+(d[(f[m+(g<<2)>>2]|0)+(B<<1)>>1]|0);g=g+1|0}while((g|0)<(a|0));g=U9b(A)|0;d[b+(B<<1)>>1]=(g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768;B=B+1|0}while((B|0)!=(p|0))}while(0);if((c|0)>1){s=s+4|0;b=b+e|0;c=c+-1|0}else break}return}function Jga(a){a=a|0;Emc(a);return}function Kga(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Lga(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=58356;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;Emc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);Emc(b);return}function Mga(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=58356;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;Emc(b)}b=f[a+20>>2]|0;if(!b){Emc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);Emc(b);Emc(a);return}function Nga(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0.0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0;i=+p[a+56>>3];k=f[a+20>>2]|0;l=f[a+32>>2]|0;m=f[a+44>>2]|0;n=(f[a+24>>2]|0)-k|0;a=n>>3;o=Y(h,g)|0;if((e|0)<=0)return;g=(n|0)>0;n=o+-4|0;q=(o|0)<4;r=o&-4;s=b;b=c;c=e;while(1){if(g){e=0;do{t=(f[s+(f[k+(e<<3)+4>>2]<<2)>>2]|0)+((Y(f[k+(e<<3)>>2]|0,h)|0)<<1)|0;f[m+(e<<2)>>2]=t;e=e+1|0}while((e|0)<(a|0))}a:do if(q)u=0;else{if(g)v=0;else{e=0;while(1){p[b+(e<<3)>>3]=i;p[b+((e|1)<<3)>>3]=i;p[b+((e|2)<<3)>>3]=i;p[b+((e|3)<<3)>>3]=i;e=e+4|0;if((e|0)>(n|0)){u=r;break a}}}do{w=i;x=i;y=i;z=i;e=0;do{t=(f[m+(e<<2)>>2]|0)+(v<<1)|0;A=+p[l+(e<<3)>>3];z=z+A*+(j[t>>1]|0);y=y+A*+(j[t+2>>1]|0);x=x+A*+(j[t+4>>1]|0);w=w+A*+(j[t+6>>1]|0);e=e+1|0}while((e|0)<(a|0));p[b+(v<<3)>>3]=z;p[b+((v|1)<<3)>>3]=y;p[b+((v|2)<<3)>>3]=x;p[b+((v|3)<<3)>>3]=w;v=v+4|0}while((v|0)<=(n|0));u=r}while(0);b:do if((u|0)<(o|0)){if(g)B=u;else{e=u;while(1){p[b+(e<<3)>>3]=i;e=e+1|0;if((e|0)==(o|0))break b}}do{A=i;e=0;do{A=A+ +p[l+(e<<3)>>3]*+(j[(f[m+(e<<2)>>2]|0)+(B<<1)>>1]|0);e=e+1|0}while((e|0)<(a|0));p[b+(B<<3)>>3]=A;B=B+1|0}while((B|0)!=(o|0))}while(0);if((c|0)>1){s=s+4|0;b=b+d|0;c=c+-1|0}else break}return}function Oga(a){a=a|0;Emc(a);return}function Pga(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Qga(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=58380;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;Emc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);Emc(b);return}function Rga(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=58380;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;Emc(b)}b=f[a+20>>2]|0;if(!b){Emc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);Emc(b);Emc(a);return}function Sga(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0.0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0;i=+n[a+56>>2];k=f[a+20>>2]|0;l=f[a+32>>2]|0;m=f[a+44>>2]|0;o=(f[a+24>>2]|0)-k|0;a=o>>3;p=Y(h,g)|0;if((e|0)<=0)return;g=(o|0)>0;o=p+-4|0;q=(p|0)<4;r=p&-4;s=b;b=c;c=e;while(1){if(g){e=0;do{t=(f[s+(f[k+(e<<3)+4>>2]<<2)>>2]|0)+((Y(f[k+(e<<3)>>2]|0,h)|0)<<1)|0;f[m+(e<<2)>>2]=t;e=e+1|0}while((e|0)<(a|0))}a:do if(q)u=0;else{if(g)v=0;else{e=0;while(1){n[b+(e<<2)>>2]=i;n[b+((e|1)<<2)>>2]=i;n[b+((e|2)<<2)>>2]=i;n[b+((e|3)<<2)>>2]=i;e=e+4|0;if((e|0)>(o|0)){u=r;break a}}}do{w=i;x=i;y=i;z=i;e=0;do{t=(f[m+(e<<2)>>2]|0)+(v<<1)|0;A=+n[l+(e<<2)>>2];z=z+A*+(j[t>>1]|0);y=y+A*+(j[t+2>>1]|0);x=x+A*+(j[t+4>>1]|0);w=w+A*+(j[t+6>>1]|0);e=e+1|0}while((e|0)<(a|0));n[b+(v<<2)>>2]=z;n[b+((v|1)<<2)>>2]=y;n[b+((v|2)<<2)>>2]=x;n[b+((v|3)<<2)>>2]=w;v=v+4|0}while((v|0)<=(o|0));u=r}while(0);b:do if((u|0)<(p|0)){if(g)B=u;else{e=u;while(1){n[b+(e<<2)>>2]=i;e=e+1|0;if((e|0)==(p|0))break b}}do{A=i;e=0;do{A=A+ +n[l+(e<<2)>>2]*+(j[(f[m+(e<<2)>>2]|0)+(B<<1)>>1]|0);e=e+1|0}while((e|0)<(a|0));n[b+(B<<2)>>2]=A;B=B+1|0}while((B|0)!=(p|0))}while(0);if((c|0)>1){s=s+4|0;b=b+d|0;c=c+-1|0}else break}return}function Tga(a){a=a|0;Emc(a);return}function Uga(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Vga(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=58404;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;Emc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);Emc(b);return}function Wga(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=58404;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;Emc(b)}b=f[a+20>>2]|0;if(!b){Emc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);Emc(b);Emc(a);return}function Xga(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0.0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0;k=+n[a+56>>2];l=f[a+20>>2]|0;m=f[a+32>>2]|0;o=f[a+44>>2]|0;p=(f[a+24>>2]|0)-l|0;a=p>>3;q=Y(i,h)|0;if((g|0)<=0)return;h=(p|0)>0;p=q+-4|0;r=(q|0)<4;s=q&-4;t=b;b=c;c=g;while(1){if(h){g=0;do{u=(f[t+(f[l+(g<<3)+4>>2]<<2)>>2]|0)+((Y(f[l+(g<<3)>>2]|0,i)|0)<<1)|0;f[o+(g<<2)>>2]=u;g=g+1|0}while((g|0)<(a|0))}a:do if(r)v=0;else{if(h)w=0;else{g=U9b(k)|0;u=(g>>>0<65536?g:(g|0)>0?65535:0)&65535;g=0;while(1){d[b+(g<<1)>>1]=u;d[b+((g|1)<<1)>>1]=u;d[b+((g|2)<<1)>>1]=u;d[b+((g|3)<<1)>>1]=u;g=g+4|0;if((g|0)>(p|0)){v=s;break a}}}do{x=k;y=k;z=k;A=k;g=0;do{u=(f[o+(g<<2)>>2]|0)+(w<<1)|0;B=+n[m+(g<<2)>>2];A=A+B*+(j[u>>1]|0);z=z+B*+(j[u+2>>1]|0);y=y+B*+(j[u+4>>1]|0);x=x+B*+(j[u+6>>1]|0);g=g+1|0}while((g|0)<(a|0));g=U9b(A)|0;d[b+(w<<1)>>1]=g>>>0<65536?g:(g|0)>0?65535:0;g=U9b(z)|0;d[b+((w|1)<<1)>>1]=g>>>0<65536?g:(g|0)>0?65535:0;g=U9b(y)|0;d[b+((w|2)<<1)>>1]=g>>>0<65536?g:(g|0)>0?65535:0;g=U9b(x)|0;d[b+((w|3)<<1)>>1]=g>>>0<65536?g:(g|0)>0?65535:0;w=w+4|0}while((w|0)<=(p|0));v=s}while(0);b:do if((v|0)<(q|0)){if(h)C=v;else{g=U9b(k)|0;u=(g>>>0<65536?g:(g|0)>0?65535:0)&65535;g=v;while(1){d[b+(g<<1)>>1]=u;g=g+1|0;if((g|0)==(q|0))break b}}do{B=k;g=0;do{B=B+ +n[m+(g<<2)>>2]*+(j[(f[o+(g<<2)>>2]|0)+(C<<1)>>1]|0);g=g+1|0}while((g|0)<(a|0));g=U9b(B)|0;d[b+(C<<1)>>1]=g>>>0<65536?g:(g|0)>0?65535:0;C=C+1|0}while((C|0)!=(q|0))}while(0);if((c|0)>1){t=t+4|0;b=b+e|0;c=c+-1|0}else break}return}function Yga(a){a=a|0;Emc(a);return}function Zga(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function _ga(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=58428;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;Emc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);Emc(b);return}function $ga(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=58428;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;Emc(b)}b=f[a+20>>2]|0;if(!b){Emc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);Emc(b);Emc(a);return}function aha(a,b,c,d,e,g,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;var j=0.0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0;j=+p[a+56>>3];k=f[a+20>>2]|0;l=f[a+32>>2]|0;m=f[a+44>>2]|0;n=(f[a+24>>2]|0)-k|0;a=n>>3;o=Y(i,g)|0;if((e|0)<=0)return;g=(n|0)>0;n=o+-4|0;q=(o|0)<4;r=o&-4;s=b;b=c;c=e;while(1){if(g){e=0;do{t=(f[s+(f[k+(e<<3)+4>>2]<<2)>>2]|0)+(Y(f[k+(e<<3)>>2]|0,i)|0)|0;f[m+(e<<2)>>2]=t;e=e+1|0}while((e|0)<(a|0))}a:do if(q)u=0;else{if(g)v=0;else{e=0;while(1){p[b+(e<<3)>>3]=j;p[b+((e|1)<<3)>>3]=j;p[b+((e|2)<<3)>>3]=j;p[b+((e|3)<<3)>>3]=j;e=e+4|0;if((e|0)>(n|0)){u=r;break a}}}do{w=j;x=j;y=j;z=j;e=0;do{t=(f[m+(e<<2)>>2]|0)+v|0;A=+p[l+(e<<3)>>3];z=z+A*+(h[t>>0]|0);y=y+A*+(h[t+1>>0]|0);x=x+A*+(h[t+2>>0]|0);w=w+A*+(h[t+3>>0]|0);e=e+1|0}while((e|0)<(a|0));p[b+(v<<3)>>3]=z;p[b+((v|1)<<3)>>3]=y;p[b+((v|2)<<3)>>3]=x;p[b+((v|3)<<3)>>3]=w;v=v+4|0}while((v|0)<=(n|0));u=r}while(0);b:do if((u|0)<(o|0)){if(g)B=u;else{e=u;while(1){p[b+(e<<3)>>3]=j;e=e+1|0;if((e|0)==(o|0))break b}}do{A=j;e=0;do{A=A+ +p[l+(e<<3)>>3]*+(h[(f[m+(e<<2)>>2]|0)+B>>0]|0);e=e+1|0}while((e|0)<(a|0));p[b+(B<<3)>>3]=A;B=B+1|0}while((B|0)!=(o|0))}while(0);if((c|0)>1){s=s+4|0;b=b+d|0;c=c+-1|0}else break}return}function bha(a){a=a|0;Emc(a);return}function cha(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function dha(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=58452;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;Emc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);Emc(b);return}function eha(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=58452;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;Emc(b)}b=f[a+20>>2]|0;if(!b){Emc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);Emc(b);Emc(a);return}function fha(a,b,c,d,e,g,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;var j=0.0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0;j=+n[a+56>>2];k=f[a+20>>2]|0;l=f[a+32>>2]|0;m=f[a+44>>2]|0;o=(f[a+24>>2]|0)-k|0;a=o>>3;p=Y(i,g)|0;if((e|0)<=0)return;g=(o|0)>0;o=p+-4|0;q=(p|0)<4;r=p&-4;s=b;b=c;c=e;while(1){if(g){e=0;do{t=(f[s+(f[k+(e<<3)+4>>2]<<2)>>2]|0)+(Y(f[k+(e<<3)>>2]|0,i)|0)|0;f[m+(e<<2)>>2]=t;e=e+1|0}while((e|0)<(a|0))}a:do if(q)u=0;else{if(g)v=0;else{e=0;while(1){n[b+(e<<2)>>2]=j;n[b+((e|1)<<2)>>2]=j;n[b+((e|2)<<2)>>2]=j;n[b+((e|3)<<2)>>2]=j;e=e+4|0;if((e|0)>(o|0)){u=r;break a}}}do{w=j;x=j;y=j;z=j;e=0;do{t=(f[m+(e<<2)>>2]|0)+v|0;A=+n[l+(e<<2)>>2];z=z+A*+(h[t>>0]|0);y=y+A*+(h[t+1>>0]|0);x=x+A*+(h[t+2>>0]|0);w=w+A*+(h[t+3>>0]|0);e=e+1|0}while((e|0)<(a|0));n[b+(v<<2)>>2]=z;n[b+((v|1)<<2)>>2]=y;n[b+((v|2)<<2)>>2]=x;n[b+((v|3)<<2)>>2]=w;v=v+4|0}while((v|0)<=(o|0));u=r}while(0);b:do if((u|0)<(p|0)){if(g)B=u;else{e=u;while(1){n[b+(e<<2)>>2]=j;e=e+1|0;if((e|0)==(p|0))break b}}do{A=j;e=0;do{A=A+ +n[l+(e<<2)>>2]*+(h[(f[m+(e<<2)>>2]|0)+B>>0]|0);e=e+1|0}while((e|0)<(a|0));n[b+(B<<2)>>2]=A;B=B+1|0}while((B|0)!=(p|0))}while(0);if((c|0)>1){s=s+4|0;b=b+d|0;c=c+-1|0}else break}return}function gha(a){a=a|0;Emc(a);return}function hha(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function iha(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=58476;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;Emc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);Emc(b);return}function jha(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=58476;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;Emc(b)}b=f[a+20>>2]|0;if(!b){Emc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);Emc(b);Emc(a);return}function kha(a,b,c,e,g,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;i=i|0;j=j|0;var k=0.0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0;k=+n[a+56>>2];l=f[a+20>>2]|0;m=f[a+32>>2]|0;o=f[a+44>>2]|0;p=(f[a+24>>2]|0)-l|0;a=p>>3;q=Y(j,i)|0;if((g|0)<=0)return;i=(p|0)>0;p=q+-4|0;r=(q|0)<4;s=q&-4;t=b;b=c;c=g;while(1){if(i){g=0;do{u=(f[t+(f[l+(g<<3)+4>>2]<<2)>>2]|0)+(Y(f[l+(g<<3)>>2]|0,j)|0)|0;f[o+(g<<2)>>2]=u;g=g+1|0}while((g|0)<(a|0))}a:do if(r)v=0;else{if(i)w=0;else{g=U9b(k)|0;u=((g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768)&65535;g=0;while(1){d[b+(g<<1)>>1]=u;d[b+((g|1)<<1)>>1]=u;d[b+((g|2)<<1)>>1]=u;d[b+((g|3)<<1)>>1]=u;g=g+4|0;if((g|0)>(p|0)){v=s;break a}}}do{x=k;y=k;z=k;A=k;g=0;do{u=(f[o+(g<<2)>>2]|0)+w|0;B=+n[m+(g<<2)>>2];A=A+B*+(h[u>>0]|0);z=z+B*+(h[u+1>>0]|0);y=y+B*+(h[u+2>>0]|0);x=x+B*+(h[u+3>>0]|0);g=g+1|0}while((g|0)<(a|0));g=U9b(A)|0;d[b+(w<<1)>>1]=(g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768;g=U9b(z)|0;d[b+((w|1)<<1)>>1]=(g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768;g=U9b(y)|0;d[b+((w|2)<<1)>>1]=(g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768;g=U9b(x)|0;d[b+((w|3)<<1)>>1]=(g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768;w=w+4|0}while((w|0)<=(p|0));v=s}while(0);b:do if((v|0)<(q|0)){if(i)C=v;else{g=U9b(k)|0;u=((g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768)&65535;g=v;while(1){d[b+(g<<1)>>1]=u;g=g+1|0;if((g|0)==(q|0))break b}}do{B=k;g=0;do{B=B+ +n[m+(g<<2)>>2]*+(h[(f[o+(g<<2)>>2]|0)+C>>0]|0);g=g+1|0}while((g|0)<(a|0));g=U9b(B)|0;d[b+(C<<1)>>1]=(g+32768|0)>>>0<65536?g:(g|0)>0?32767:32768;C=C+1|0}while((C|0)!=(q|0))}while(0);if((c|0)>1){t=t+4|0;b=b+e|0;c=c+-1|0}else break}return}function lha(a){a=a|0;Emc(a);return}function mha(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function nha(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=58500;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;Emc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);Emc(b);return}function oha(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=58500;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;Emc(b)}b=f[a+20>>2]|0;if(!b){Emc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);Emc(b);Emc(a);return}function pha(a,b,c,e,g,i,j){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;i=i|0;j=j|0;var k=0.0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0;k=+n[a+56>>2];l=f[a+20>>2]|0;m=f[a+32>>2]|0;o=f[a+44>>2]|0;p=(f[a+24>>2]|0)-l|0;a=p>>3;q=Y(j,i)|0;if((g|0)<=0)return;i=(p|0)>0;p=q+-4|0;r=(q|0)<4;s=q&-4;t=b;b=c;c=g;while(1){if(i){g=0;do{u=(f[t+(f[l+(g<<3)+4>>2]<<2)>>2]|0)+(Y(f[l+(g<<3)>>2]|0,j)|0)|0;f[o+(g<<2)>>2]=u;g=g+1|0}while((g|0)<(a|0))}a:do if(r)v=0;else{if(i)w=0;else{g=U9b(k)|0;u=(g>>>0<65536?g:(g|0)>0?65535:0)&65535;g=0;while(1){d[b+(g<<1)>>1]=u;d[b+((g|1)<<1)>>1]=u;d[b+((g|2)<<1)>>1]=u;d[b+((g|3)<<1)>>1]=u;g=g+4|0;if((g|0)>(p|0)){v=s;break a}}}do{x=k;y=k;z=k;A=k;g=0;do{u=(f[o+(g<<2)>>2]|0)+w|0;B=+n[m+(g<<2)>>2];A=A+B*+(h[u>>0]|0);z=z+B*+(h[u+1>>0]|0);y=y+B*+(h[u+2>>0]|0);x=x+B*+(h[u+3>>0]|0);g=g+1|0}while((g|0)<(a|0));g=U9b(A)|0;d[b+(w<<1)>>1]=g>>>0<65536?g:(g|0)>0?65535:0;g=U9b(z)|0;d[b+((w|1)<<1)>>1]=g>>>0<65536?g:(g|0)>0?65535:0;g=U9b(y)|0;d[b+((w|2)<<1)>>1]=g>>>0<65536?g:(g|0)>0?65535:0;g=U9b(x)|0;d[b+((w|3)<<1)>>1]=g>>>0<65536?g:(g|0)>0?65535:0;w=w+4|0}while((w|0)<=(p|0));v=s}while(0);b:do if((v|0)<(q|0)){if(i)C=v;else{g=U9b(k)|0;u=(g>>>0<65536?g:(g|0)>0?65535:0)&65535;g=v;while(1){d[b+(g<<1)>>1]=u;g=g+1|0;if((g|0)==(q|0))break b}}do{B=k;g=0;do{B=B+ +n[m+(g<<2)>>2]*+(h[(f[o+(g<<2)>>2]|0)+C>>0]|0);g=g+1|0}while((g|0)<(a|0));g=U9b(B)|0;d[b+(C<<1)>>1]=g>>>0<65536?g:(g|0)>0?65535:0;C=C+1|0}while((C|0)!=(q|0))}while(0);if((c|0)>1){t=t+4|0;b=b+e|0;c=c+-1|0}else break}return}function qha(a){a=a|0;Emc(a);return}function rha(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function sha(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=58524;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;Emc(b)}b=f[a+20>>2]|0;if(!b)return;d=a+24|0;a=f[d>>2]|0;if((a|0)!=(b|0))f[d>>2]=a+(~((a+-8-b|0)>>>3)<<3);Emc(b);return}function tha(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=58524;b=f[a+44>>2]|0;if(b|0){c=a+48|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+32>>2]|0;if(b|0){d=a+36|0;if((f[d>>2]|0)!=(b|0))f[d>>2]=b;Emc(b)}b=f[a+20>>2]|0;if(!b){Emc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);Emc(b);Emc(a);return}function uha(a,c,d,e,g,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;var k=0.0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0;k=+n[a+56>>2];l=f[a+20>>2]|0;m=f[a+32>>2]|0;o=f[a+44>>2]|0;p=(f[a+24>>2]|0)-l|0;a=p>>3;q=Y(j,i)|0;if((g|0)<=0)return;i=(p|0)>0;p=q+-4|0;r=(q|0)<4;s=q&-4;t=c;c=d;d=g;while(1){if(i){g=0;do{u=(f[t+(f[l+(g<<3)+4>>2]<<2)>>2]|0)+(Y(f[l+(g<<3)>>2]|0,j)|0)|0;f[o+(g<<2)>>2]=u;g=g+1|0}while((g|0)<(a|0))}a:do if(r)v=0;else{if(i)w=0;else{g=U9b(k)|0;u=(g>>>0<256?g:(g|0)>0?255:0)&255;g=0;while(1){b[c+g>>0]=u;b[c+(g|1)>>0]=u;b[c+(g|2)>>0]=u;b[c+(g|3)>>0]=u;g=g+4|0;if((g|0)>(p|0)){v=s;break a}}}do{x=k;y=k;z=k;A=k;g=0;do{u=(f[o+(g<<2)>>2]|0)+w|0;B=+n[m+(g<<2)>>2];A=A+B*+(h[u>>0]|0);z=z+B*+(h[u+1>>0]|0);y=y+B*+(h[u+2>>0]|0);x=x+B*+(h[u+3>>0]|0);g=g+1|0}while((g|0)<(a|0));g=U9b(A)|0;b[c+w>>0]=g>>>0<256?g:(g|0)>0?255:0;g=U9b(z)|0;b[c+(w|1)>>0]=g>>>0<256?g:(g|0)>0?255:0;g=U9b(y)|0;b[c+(w|2)>>0]=g>>>0<256?g:(g|0)>0?255:0;g=U9b(x)|0;b[c+(w|3)>>0]=g>>>0<256?g:(g|0)>0?255:0;w=w+4|0}while((w|0)<=(p|0));v=s}while(0);b:do if((v|0)<(q|0)){if(i)C=v;else{g=U9b(k)|0;u=(g>>>0<256?g:(g|0)>0?255:0)&255;g=v;while(1){b[c+g>>0]=u;g=g+1|0;if((g|0)==(q|0))break b}}do{B=k;g=0;do{B=B+ +n[m+(g<<2)>>2]*+(h[(f[o+(g<<2)>>2]|0)+C>>0]|0);g=g+1|0}while((g|0)<(a|0));g=U9b(B)|0;b[c+C>>0]=g>>>0<256?g:(g|0)>0?255:0;C=C+1|0}while((C|0)!=(q|0))}while(0);if((d|0)>1){t=t+4|0;c=c+e|0;d=d+-1|0}else break}return}function vha(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;l=u;u=u+160|0;m=l+96|0;n=l+40|0;o=l+32|0;p=l+8|0;q=l+24|0;r=l;do if((pD(e)|0)==65536){s=f[e+4>>2]|0;f[m>>2]=f[s>>2];t=m+4|0;v=s+4|0;f[t>>2]=f[v>>2];w=m+8|0;f[w>>2]=f[s+8>>2];f[m+12>>2]=f[s+12>>2];f[m+16>>2]=f[s+16>>2];f[m+20>>2]=f[s+20>>2];f[m+24>>2]=f[s+24>>2];f[m+28>>2]=f[s+28>>2];f[m+32>>2]=f[s+32>>2];x=f[s+36>>2]|0;f[m+36>>2]=x;f[m+40>>2]=w;w=m+48|0;y=m+44|0;f[y>>2]=w;f[w>>2]=0;f[m+52>>2]=0;if(x|0){w=x+12|0;f[w>>2]=(f[w>>2]|0)+1}if((f[v>>2]|0)<3){v=f[s+44>>2]|0;w=f[y>>2]|0;f[w>>2]=f[v>>2];f[w+4>>2]=f[v+4>>2];break}else{f[t>>2]=0;kP(m,s);break}}else lD(m,e,-1);while(0);e=c&4095;s=d&4095;if((d^c)&4088|0){f[n>>2]=0;f[n+4>>2]=0;c=YG(n,25)|0;d=267024;t=c+25|0;do{b[c>>0]=b[d>>0]|0;c=c+1|0;d=d+1|0}while((c|0)<(t|0));SQ(-215,n,269277,260039,4507)}f[n>>2]=f[m>>2];d=n+4|0;c=m+4|0;t=f[c>>2]|0;f[d>>2]=t;v=n+8|0;f[v>>2]=f[m+8>>2];f[n+12>>2]=f[m+12>>2];w=n+16|0;y=m+16|0;f[w>>2]=f[y>>2];f[n+20>>2]=f[m+20>>2];f[n+24>>2]=f[m+24>>2];f[n+28>>2]=f[m+28>>2];f[n+32>>2]=f[m+32>>2];x=n+36|0;z=m+36|0;A=f[z>>2]|0;f[x>>2]=A;B=n+40|0;f[B>>2]=v;v=n+48|0;C=n+44|0;f[C>>2]=v;f[v>>2]=0;f[n+52>>2]=0;if(!A)D=t;else{t=A+12|0;f[t>>2]=(f[t>>2]|0)+1;D=f[c>>2]|0}if((D|0)<3){D=f[m+44>>2]|0;t=f[C>>2]|0;f[t>>2]=f[D>>2];f[t+4>>2]=f[D+4>>2]}else{f[d>>2]=0;kP(n,m)}f[p+8>>2]=0;f[p+12>>2]=0;f[p>>2]=16842752;f[p+4>>2]=n;f[q>>2]=f[g>>2];f[q+4>>2]=f[g+4>>2];Yfa(o,e,s,p,q,h,0);f[p>>2]=0;f[p+4>>2]=0;f[r>>2]=0;f[r+4>>2]=0;q=Bmc(200)|0;Rba(q,o,p,r,e,s,e,i,j,k);k=Bmc(16)|0;f[k+4>>2]=1;f[k>>2]=55716;f[k+8>>2]=q;f[a>>2]=k;f[a+4>>2]=q;q=f[o>>2]|0;if(q|0?(o=q+4|0,a=f[o>>2]|0,f[o>>2]=a+-1,(a|0)==1):0)ai[f[(f[q>>2]|0)+8>>2]&2047](q);q=f[x>>2]|0;if(q|0?(a=q+12|0,q=f[a>>2]|0,f[a>>2]=q+-1,(q|0)==1):0)lP(n);f[x>>2]=0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[d>>2]|0)>0){w=f[B>>2]|0;B=0;do{f[w+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[d>>2]|0))}d=f[C>>2]|0;if((d|0)!=(v|0))tE(d);d=f[z>>2]|0;if(d|0?(v=d+12|0,d=f[v>>2]|0,f[v>>2]=d+-1,(d|0)==1):0)lP(m);f[z>>2]=0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[c>>2]|0)>0){y=f[m+40>>2]|0;z=0;do{f[y+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[c>>2]|0))}c=f[m+44>>2]|0;if((c|0)==(m+48|0)){u=l;return}tE(c);u=l;return}function wha(a,b,c,d,e,g,h,i,j,k,l,m,n,o,q,r,s,t,v,w,x,y){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;q=q|0;r=r|0;s=s|0;t=t|0;v=v|0;w=+w;x=x|0;y=y|0;var z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;y=u;u=u+496|0;z=y+432|0;A=y+56|0;B=y+376|0;C=y+320|0;D=y+264|0;E=y;F=y+208|0;G=y+200|0;H=y+144|0;I=y+136|0;J=y+128|0;K=y+120|0;L=y+104|0;M=y+88|0;N=y+80|0;O=y+72|0;P=y+64|0;p[A>>3]=w;if((Y(s,r)|0)<=49){f[A>>2]=r;f[A+4>>2]=s;mD(z,A,c,o,q);f[C+8>>2]=0;f[C+12>>2]=0;f[C>>2]=16842752;f[C+4>>2]=z;f[D>>2]=t;f[D+4>>2]=v;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;f[E+16>>2]=0;f[E+20>>2]=0;f[E+24>>2]=0;f[E+28>>2]=0;vha(B,a,b,C,D,w,x&-17,-1,E);f[F>>2]=i;f[F+4>>2]=j;mD(C,F,a,d,e);f[G>>2]=i;f[G+4>>2]=j;mD(E,G,b,g,h);j=f[B+4>>2]|0;i=f[(f[j>>2]|0)+20>>2]|0;f[H>>2]=k;f[H+4>>2]=l;f[I>>2]=m;f[I+4>>2]=n;sh[i&255](j,C,E,H,I);j=E+36|0;i=f[j>>2]|0;if(i|0?(Q=i+12|0,i=f[Q>>2]|0,f[Q>>2]=i+-1,(i|0)==1):0)lP(E);f[j>>2]=0;j=E+16|0;i=E+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[i>>2]|0)>0){j=f[E+40>>2]|0;Q=0;do{f[j+(Q<<2)>>2]=0;Q=Q+1|0}while((Q|0)<(f[i>>2]|0))}i=f[E+44>>2]|0;if((i|0)!=(E+48|0))tE(i);i=C+36|0;Q=f[i>>2]|0;if(Q|0?(j=Q+12|0,Q=f[j>>2]|0,f[j>>2]=Q+-1,(Q|0)==1):0)lP(C);f[i>>2]=0;i=C+16|0;Q=C+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[Q>>2]|0)>0){i=f[C+40>>2]|0;j=0;do{f[i+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[Q>>2]|0))}Q=f[C+44>>2]|0;if((Q|0)!=(C+48|0))tE(Q);Q=f[B>>2]|0;if(Q|0?(j=Q+4|0,i=f[j>>2]|0,f[j>>2]=i+-1,(i|0)==1):0)ai[f[(f[Q>>2]|0)+8>>2]&2047](Q);Q=z+36|0;i=f[Q>>2]|0;if(i|0?(j=i+12|0,i=f[j>>2]|0,f[j>>2]=i+-1,(i|0)==1):0)lP(z);f[Q>>2]=0;Q=z+16|0;i=z+4|0;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q+12>>2]=0;if((f[i>>2]|0)>0){Q=f[z+40>>2]|0;j=0;do{f[Q+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[i>>2]|0))}i=f[z+44>>2]|0;if((i|0)!=(z+48|0))tE(i);u=y;return}f[C>>2]=r;f[C+4>>2]=s;mD(B,C,c,o,q);f[E>>2]=k-m;f[E+4>>2]=l-n;mD(D,E,a,d,e);f[G>>2]=k;f[G+4>>2]=l;mD(F,G,b,g,h);f[H>>2]=1124007936;G=H+4|0;e=H+8|0;E=H+40|0;n=G;m=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(m|0));f[E>>2]=e;n=H+48|0;m=H+44|0;f[m>>2]=n;f[n>>2]=0;f[H+52>>2]=0;q=a>>>3&511;a=b&4088;o=b&7;if((q|0)!=0&+p[A>>3]!=0.0){if((o+-5|0)>>>0>1|(d|0)==(g|0)){c=(o|0)==6?6:5;f[z>>2]=l;f[z+4>>2]=k;iP(H,2,z,c|a);R=c}else{f[I>>2]=k;f[I+4>>2]=l;mD(z,I,b,g,h);I=z+36|0;c=f[I>>2]|0;if(c|0){a=c+12|0;f[a>>2]=(f[a>>2]|0)+1}a=H+36|0;c=f[a>>2]|0;if(c|0?(C=c+12|0,c=f[C>>2]|0,f[C>>2]=c+-1,(c|0)==1):0)lP(H);f[a>>2]=0;c=H+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[G>>2]|0)>0){C=f[E>>2]|0;s=0;do{f[C+(s<<2)>>2]=0;s=s+1|0;S=f[G>>2]|0}while((s|0)<(S|0));f[H>>2]=f[z>>2];if((S|0)<3)T=14;else T=16}else{f[H>>2]=f[z>>2];T=14}if((T|0)==14){S=f[z+4>>2]|0;if((S|0)<3){f[G>>2]=S;f[e>>2]=f[z+8>>2];f[H+12>>2]=f[z+12>>2];S=f[z+44>>2]|0;s=f[m>>2]|0;f[s>>2]=f[S>>2];f[s+4>>2]=f[S+4>>2]}else T=16}if((T|0)==16)kP(H,z);S=z+16|0;f[c>>2]=f[S>>2];f[H+20>>2]=f[z+20>>2];f[H+24>>2]=f[z+24>>2];f[H+28>>2]=f[z+28>>2];f[H+32>>2]=f[z+32>>2];c=f[I>>2]|0;f[a>>2]=c;if(c|0?(a=c+12|0,c=f[a>>2]|0,f[a>>2]=c+-1,(c|0)==1):0)lP(z);f[I>>2]=0;I=z+4|0;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;if((f[I>>2]|0)>0){S=f[z+40>>2]|0;c=0;do{f[S+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[I>>2]|0))}I=f[z+44>>2]|0;if((I|0)!=(z+48|0))tE(I);R=o}I=f[D+40>>2]|0;c=f[I>>2]|0;f[J>>2]=f[I+4>>2];f[J+4>>2]=c;f[K>>2]=t;f[K+4>>2]=v;Aha(D,B,H,J,R|q<<3,K,0.0,x);f[z+8>>2]=0;f[z+12>>2]=0;f[z>>2]=16842752;f[z+4>>2]=H;f[L>>2]=-1056833530;f[L+4>>2]=A;f[L+8>>2]=1;f[L+12>>2]=1;K=M+8|0;f[K>>2]=0;f[K+4>>2]=0;f[M>>2]=33619968;f[M+4>>2]=H;RH(z,L,M,rE()|0,-1);if((f[H+16>>2]|0)!=(g|0)){M=z+8|0;f[M>>2]=0;f[M+4>>2]=0;f[z>>2]=33619968;f[z+4>>2]=F;IO(H,z,f[F>>2]&4095,1.0,0.0)}}else{if((d|0)!=(g|0)){f[N>>2]=k;f[N+4>>2]=l;mD(z,N,b,g,h);h=z+36|0;N=f[h>>2]|0;if(N|0){d=N+12|0;f[d>>2]=(f[d>>2]|0)+1}d=H+36|0;N=f[d>>2]|0;if(N|0?(M=N+12|0,N=f[M>>2]|0,f[M>>2]=N+-1,(N|0)==1):0)lP(H);f[d>>2]=0;N=H+16|0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;if((f[G>>2]|0)>0){M=f[E>>2]|0;L=0;do{f[M+(L<<2)>>2]=0;L=L+1|0;U=f[G>>2]|0}while((L|0)<(U|0));f[H>>2]=f[z>>2];if((U|0)<3)T=40;else T=42}else{f[H>>2]=f[z>>2];T=40}if((T|0)==40){U=f[z+4>>2]|0;if((U|0)<3){f[G>>2]=U;f[e>>2]=f[z+8>>2];f[H+12>>2]=f[z+12>>2];e=f[z+44>>2]|0;U=f[m>>2]|0;f[U>>2]=f[e>>2];f[U+4>>2]=f[e+4>>2]}else T=42}if((T|0)==42)kP(H,z);T=z+16|0;f[N>>2]=f[T>>2];f[H+20>>2]=f[z+20>>2];f[H+24>>2]=f[z+24>>2];f[H+28>>2]=f[z+28>>2];f[H+32>>2]=f[z+32>>2];N=f[h>>2]|0;f[d>>2]=N;if(N|0?(d=N+12|0,N=f[d>>2]|0,f[d>>2]=N+-1,(N|0)==1):0)lP(z);f[h>>2]=0;h=z+4|0;f[T>>2]=0;f[T+4>>2]=0;f[T+8>>2]=0;f[T+12>>2]=0;if((f[h>>2]|0)>0){T=f[z+40>>2]|0;N=0;do{f[T+(N<<2)>>2]=0;N=N+1|0}while((N|0)<(f[h>>2]|0))}h=f[z+44>>2]|0;if((h|0)!=(z+48|0))tE(h)}else{f[z>>2]=l;f[z+4>>2]=k;iP(H,2,z,b&4095)}b=f[D+40>>2]|0;k=f[b>>2]|0;f[O>>2]=f[b+4>>2];f[O+4>>2]=k;f[P>>2]=t;f[P+4>>2]=v;Aha(D,B,H,O,q<<3|o,P,+p[A>>3],x);if((f[H+16>>2]|0)!=(g|0)){g=z+8|0;f[g>>2]=0;f[g+4>>2]=0;f[z>>2]=33619968;f[z+4>>2]=F;kT(H,z)}}z=H+36|0;g=f[z>>2]|0;if(g|0?(x=g+12|0,g=f[x>>2]|0,f[x>>2]=g+-1,(g|0)==1):0)lP(H);f[z>>2]=0;z=H+16|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[G>>2]|0)>0){z=f[E>>2]|0;E=0;do{f[z+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[G>>2]|0))}G=f[m>>2]|0;if((G|0)!=(n|0))tE(G);G=F+36|0;n=f[G>>2]|0;if(n|0?(m=n+12|0,n=f[m>>2]|0,f[m>>2]=n+-1,(n|0)==1):0)lP(F);f[G>>2]=0;G=F+16|0;n=F+4|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[n>>2]|0)>0){G=f[F+40>>2]|0;m=0;do{f[G+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[n>>2]|0))}n=f[F+44>>2]|0;if((n|0)!=(F+48|0))tE(n);n=D+36|0;F=f[n>>2]|0;if(F|0?(m=F+12|0,F=f[m>>2]|0,f[m>>2]=F+-1,(F|0)==1):0)lP(D);f[n>>2]=0;n=D+16|0;F=D+4|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[F>>2]|0)>0){n=f[D+40>>2]|0;m=0;do{f[n+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[F>>2]|0))}F=f[D+44>>2]|0;if((F|0)!=(D+48|0))tE(F);F=B+36|0;D=f[F>>2]|0;if(D|0?(m=D+12|0,D=f[m>>2]|0,f[m>>2]=D+-1,(D|0)==1):0)lP(B);f[F>>2]=0;F=B+16|0;D=B+4|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[D>>2]|0)>0){F=f[B+40>>2]|0;m=0;do{f[F+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[D>>2]|0))}D=f[B+44>>2]|0;if((D|0)!=(B+48|0))tE(D);u=y;return}function xha(a,b,c,d,e,g,h,i,j,k,l,m,n,o,p,q,r,s,t,v,w){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;v=+v;w=w|0;var x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;x=u;u=u+320|0;y=x+256|0;z=x+248|0;A=x+192|0;B=x+184|0;C=x+176|0;D=x+120|0;E=x+64|0;F=x+56|0;G=x;H=x+48|0;I=x+40|0;J=x+32|0;f[z>>2]=p;f[z+4>>2]=1;mD(y,z,c,o,0);f[B>>2]=r;f[B+4>>2]=1;mD(A,B,c,q,0);f[D+8>>2]=0;f[D+12>>2]=0;f[D>>2]=16842752;f[D+4>>2]=y;f[E+8>>2]=0;f[E+12>>2]=0;f[E>>2]=16842752;f[E+4>>2]=A;f[F>>2]=s;f[F+4>>2]=t;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;f[G+16>>2]=0;f[G+20>>2]=0;f[G+24>>2]=0;f[G+28>>2]=0;Vfa(C,a,b,D,E,F,v,w&-17,-1,G);f[H>>2]=i;f[H+4>>2]=j;mD(D,H,a,d,e);f[I>>2]=i;f[I+4>>2]=j;mD(E,I,b,g,h);h=f[C+4>>2]|0;g=f[(f[h>>2]|0)+20>>2]|0;f[G>>2]=k;f[G+4>>2]=l;f[J>>2]=m;f[J+4>>2]=n;sh[g&255](h,D,E,G,J);J=E+36|0;G=f[J>>2]|0;if(G|0?(h=G+12|0,G=f[h>>2]|0,f[h>>2]=G+-1,(G|0)==1):0)lP(E);f[J>>2]=0;J=E+16|0;G=E+4|0;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;f[J+12>>2]=0;if((f[G>>2]|0)>0){J=f[E+40>>2]|0;h=0;do{f[J+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[G>>2]|0))}G=f[E+44>>2]|0;if((G|0)!=(E+48|0))tE(G);G=D+36|0;E=f[G>>2]|0;if(E|0?(h=E+12|0,E=f[h>>2]|0,f[h>>2]=E+-1,(E|0)==1):0)lP(D);f[G>>2]=0;G=D+16|0;E=D+4|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[E>>2]|0)>0){G=f[D+40>>2]|0;h=0;do{f[G+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[E>>2]|0))}E=f[D+44>>2]|0;if((E|0)!=(D+48|0))tE(E);E=f[C>>2]|0;if(E|0?(C=E+4|0,D=f[C>>2]|0,f[C>>2]=D+-1,(D|0)==1):0)ai[f[(f[E>>2]|0)+8>>2]&2047](E);E=A+36|0;D=f[E>>2]|0;if(D|0?(C=D+12|0,D=f[C>>2]|0,f[C>>2]=D+-1,(D|0)==1):0)lP(A);f[E>>2]=0;E=A+16|0;D=A+4|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[D>>2]|0)>0){E=f[A+40>>2]|0;C=0;do{f[E+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[D>>2]|0))}D=f[A+44>>2]|0;if((D|0)!=(A+48|0))tE(D);D=y+36|0;A=f[D>>2]|0;if(A|0?(C=A+12|0,A=f[C>>2]|0,f[C>>2]=A+-1,(A|0)==1):0)lP(y);f[D>>2]=0;D=y+16|0;A=y+4|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[A>>2]|0)>0){D=f[y+40>>2]|0;C=0;do{f[D+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[A>>2]|0))}A=f[y+44>>2]|0;if((A|0)==(y+48|0)){u=x;return}tE(A);u=x;return}function yha(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;j=u;u=u+208|0;k=j+192|0;l=j+184|0;m=j+128|0;n=j+72|0;o=j+8|0;p=j+16|0;q=j;zT(l,58540);do if((pD(a)|0)==65536){r=f[a+4>>2]|0;f[m>>2]=f[r>>2];s=m+4|0;t=r+4|0;f[s>>2]=f[t>>2];v=m+8|0;f[v>>2]=f[r+8>>2];f[m+12>>2]=f[r+12>>2];f[m+16>>2]=f[r+16>>2];f[m+20>>2]=f[r+20>>2];f[m+24>>2]=f[r+24>>2];f[m+28>>2]=f[r+28>>2];f[m+32>>2]=f[r+32>>2];w=f[r+36>>2]|0;f[m+36>>2]=w;f[m+40>>2]=v;v=m+48|0;x=m+44|0;f[x>>2]=v;f[v>>2]=0;f[m+52>>2]=0;if(w|0){v=w+12|0;f[v>>2]=(f[v>>2]|0)+1}if((f[t>>2]|0)<3){t=f[r+44>>2]|0;v=f[x>>2]|0;f[v>>2]=f[t>>2];f[v+4>>2]=f[t+4>>2];break}else{f[s>>2]=0;kP(m,r);break}}else lD(m,a,-1);while(0);do if((pD(e)|0)==65536){a=f[e+4>>2]|0;f[n>>2]=f[a>>2];r=n+4|0;s=a+4|0;f[r>>2]=f[s>>2];t=n+8|0;f[t>>2]=f[a+8>>2];f[n+12>>2]=f[a+12>>2];f[n+16>>2]=f[a+16>>2];f[n+20>>2]=f[a+20>>2];f[n+24>>2]=f[a+24>>2];f[n+28>>2]=f[a+28>>2];f[n+32>>2]=f[a+32>>2];v=f[a+36>>2]|0;f[n+36>>2]=v;f[n+40>>2]=t;t=n+48|0;x=n+44|0;f[x>>2]=t;f[t>>2]=0;f[n+52>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[a+44>>2]|0;t=f[x>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2];break}else{f[r>>2]=0;kP(n,a);break}}else lD(n,e,-1);while(0);e=f[m>>2]|0;a=m+40|0;r=f[a>>2]|0;s=f[r>>2]|0;f[o>>2]=f[r+4>>2];f[o+4>>2]=s;HD(c,o,e&4088|((d|0)<0?e:d)&7,-1,0,0);do if((pD(c)|0)==65536){d=f[c+4>>2]|0;f[p>>2]=f[d>>2];e=p+4|0;o=d+4|0;f[e>>2]=f[o>>2];s=p+8|0;f[s>>2]=f[d+8>>2];f[p+12>>2]=f[d+12>>2];f[p+16>>2]=f[d+16>>2];f[p+20>>2]=f[d+20>>2];f[p+24>>2]=f[d+24>>2];f[p+28>>2]=f[d+28>>2];f[p+32>>2]=f[d+32>>2];r=f[d+36>>2]|0;f[p+36>>2]=r;f[p+40>>2]=s;s=p+48|0;t=p+44|0;f[t>>2]=s;f[s>>2]=0;f[p+52>>2]=0;if(r|0){s=r+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[o>>2]|0)<3){o=f[d+44>>2]|0;s=f[t>>2]|0;f[s>>2]=f[o>>2];f[s+4>>2]=f[o+4>>2];break}else{f[e>>2]=0;kP(p,d);break}}else lD(p,c,-1);while(0);c=f[g>>2]|0;d=f[g+4>>2]|0;g=n+40|0;e=f[g>>2]|0;o=f[e+4>>2]|0;s=f[e>>2]|0;e=(c|0)==-1?(o|0)/2|0:c;c=(d|0)==-1?(s|0)/2|0:d;if(!((e|0)>-1&(e|0)<(o|0))){f[k>>2]=0;y=k+4|0;f[y>>2]=0;z=YG(k,52)|0;A=z;B=281789;C=A+52|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));SQ(-215,k,281842,281858,363)}if((c|0)<0|(c|0)>=(s|0)){f[k>>2]=0;y=k+4|0;f[y>>2]=0;z=YG(k,52)|0;A=z;B=281789;C=A+52|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));SQ(-215,k,281842,281858,363)}f[k>>2]=0;B=k+4|0;f[B>>2]=0;A=f[m+12>>2]|0;C=f[m+8>>2]|0;f[q>>2]=A;z=q+4|0;f[z>>2]=C;if(!(i&16)){vP(m,q,k);D=f[q>>2]|0;E=f[z>>2]|0;F=f[k>>2]|0;G=f[B>>2]|0}else{D=A;E=C;F=0;G=0}C=f[m>>2]|0;A=m+16|0;B=m+48|0;k=p+16|0;z=p+48|0;q=n+16|0;y=n+48|0;wha(C&4095,f[p>>2]&4095,f[n>>2]&4095,f[A>>2]|0,f[B>>2]|0,f[k>>2]|0,f[z>>2]|0,f[p+12>>2]|0,f[p+8>>2]|0,D,E,F,G,f[q>>2]|0,f[y>>2]|0,f[n+12>>2]|0,f[n+8>>2]|0,e,c,h,i,(C&32768|0)!=0);C=p+36|0;i=f[C>>2]|0;if(i|0?(c=i+12|0,i=f[c>>2]|0,f[c>>2]=i+-1,(i|0)==1):0)lP(p);f[C>>2]=0;C=p+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[C>>2]|0)>0){k=f[p+40>>2]|0;i=0;do{f[k+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[C>>2]|0))}C=f[p+44>>2]|0;if((C|0)!=(z|0))tE(C);C=n+36|0;z=f[C>>2]|0;if(z|0?(p=z+12|0,z=f[p>>2]|0,f[p>>2]=z+-1,(z|0)==1):0)lP(n);f[C>>2]=0;C=n+4|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[C>>2]|0)>0){q=f[g>>2]|0;g=0;do{f[q+(g<<2)>>2]=0;g=g+1|0}while((g|0)<(f[C>>2]|0))}C=f[n+44>>2]|0;if((C|0)!=(y|0))tE(C);C=m+36|0;y=f[C>>2]|0;if(y|0?(n=y+12|0,y=f[n>>2]|0,f[n>>2]=y+-1,(y|0)==1):0)lP(m);f[C>>2]=0;C=m+4|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[C>>2]|0)>0){A=f[a>>2]|0;a=0;do{f[A+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[C>>2]|0))}C=f[m+44>>2]|0;if((C|0)!=(B|0))tE(C);if(!(f[l+4>>2]|0)){u=j;return}u=j;return}function zha(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=+i;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;k=u;u=u+384|0;l=k+368|0;m=k+360|0;n=k+304|0;o=k+248|0;p=k+184|0;q=k+240|0;r=k+128|0;s=k+120|0;t=k+112|0;v=k+56|0;w=k;zT(m,58560);do if((pD(a)|0)==65536){x=f[a+4>>2]|0;f[n>>2]=f[x>>2];y=n+4|0;z=x+4|0;f[y>>2]=f[z>>2];A=n+8|0;f[A>>2]=f[x+8>>2];f[n+12>>2]=f[x+12>>2];f[n+16>>2]=f[x+16>>2];f[n+20>>2]=f[x+20>>2];f[n+24>>2]=f[x+24>>2];f[n+28>>2]=f[x+28>>2];f[n+32>>2]=f[x+32>>2];B=f[x+36>>2]|0;f[n+36>>2]=B;f[n+40>>2]=A;A=n+48|0;C=n+44|0;f[C>>2]=A;f[A>>2]=0;f[n+52>>2]=0;if(B|0){A=B+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[z>>2]|0)<3){z=f[x+44>>2]|0;A=f[C>>2]|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];break}else{f[y>>2]=0;kP(n,x);break}}else lD(n,a,-1);while(0);do if((pD(e)|0)==65536){a=f[e+4>>2]|0;f[o>>2]=f[a>>2];x=o+4|0;y=a+4|0;f[x>>2]=f[y>>2];z=o+8|0;f[z>>2]=f[a+8>>2];f[o+12>>2]=f[a+12>>2];f[o+16>>2]=f[a+16>>2];f[o+20>>2]=f[a+20>>2];f[o+24>>2]=f[a+24>>2];f[o+28>>2]=f[a+28>>2];f[o+32>>2]=f[a+32>>2];A=f[a+36>>2]|0;f[o+36>>2]=A;f[o+40>>2]=z;z=o+48|0;C=o+44|0;f[C>>2]=z;f[z>>2]=0;f[o+52>>2]=0;if(A|0){z=A+12|0;f[z>>2]=(f[z>>2]|0)+1}if((f[y>>2]|0)<3){y=f[a+44>>2]|0;z=f[C>>2]|0;f[z>>2]=f[y>>2];f[z+4>>2]=f[y+4>>2];break}else{f[x>>2]=0;kP(o,a);break}}else lD(o,e,-1);while(0);do if((pD(g)|0)==65536){e=f[g+4>>2]|0;f[p>>2]=f[e>>2];a=p+4|0;x=e+4|0;f[a>>2]=f[x>>2];y=p+8|0;f[y>>2]=f[e+8>>2];f[p+12>>2]=f[e+12>>2];f[p+16>>2]=f[e+16>>2];f[p+20>>2]=f[e+20>>2];f[p+24>>2]=f[e+24>>2];f[p+28>>2]=f[e+28>>2];f[p+32>>2]=f[e+32>>2];z=f[e+36>>2]|0;f[p+36>>2]=z;f[p+40>>2]=y;y=p+48|0;C=p+44|0;f[C>>2]=y;f[y>>2]=0;f[p+52>>2]=0;if(z|0){y=z+12|0;f[y>>2]=(f[y>>2]|0)+1}if((f[x>>2]|0)<3){x=f[e+44>>2]|0;y=f[C>>2]|0;f[y>>2]=f[x>>2];f[y+4>>2]=f[x+4>>2];break}else{f[a>>2]=0;kP(p,e);break}}else lD(p,g,-1);while(0);g=f[n>>2]|0;e=n+40|0;a=f[e>>2]|0;x=f[a>>2]|0;f[q>>2]=f[a+4>>2];f[q+4>>2]=x;HD(c,q,g&4088|((d|0)<0?g:d)&7,-1,0,0);do if((pD(c)|0)==65536){d=f[c+4>>2]|0;f[r>>2]=f[d>>2];g=r+4|0;q=d+4|0;f[g>>2]=f[q>>2];x=r+8|0;f[x>>2]=f[d+8>>2];f[r+12>>2]=f[d+12>>2];f[r+16>>2]=f[d+16>>2];f[r+20>>2]=f[d+20>>2];f[r+24>>2]=f[d+24>>2];f[r+28>>2]=f[d+28>>2];f[r+32>>2]=f[d+32>>2];a=f[d+36>>2]|0;f[r+36>>2]=a;f[r+40>>2]=x;x=r+48|0;y=r+44|0;f[y>>2]=x;f[x>>2]=0;f[r+52>>2]=0;if(a|0){x=a+12|0;f[x>>2]=(f[x>>2]|0)+1}if((f[q>>2]|0)<3){q=f[d+44>>2]|0;x=f[y>>2]|0;f[x>>2]=f[q>>2];f[x+4>>2]=f[q+4>>2];break}else{f[g>>2]=0;kP(r,d);break}}else lD(r,c,-1);while(0);f[s>>2]=0;c=s+4|0;f[c>>2]=0;d=f[n+8>>2]|0;f[t>>2]=f[n+12>>2];g=t+4|0;f[g>>2]=d;if(!(j&16))vP(n,t,s);d=f[o>>2]|0;if((f[p>>2]^d)&4095|0){f[l>>2]=0;D=l+4|0;f[D>>2]=0;E=YG(l,120)|0;F=E;G=269376;H=F+120|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,269497,260039,4949)}q=o+12|0;x=f[q>>2]|0;if((x|0)!=1?(f[o+8>>2]|0)!=1:0){f[l>>2]=0;D=l+4|0;f[D>>2]=0;E=YG(l,120)|0;F=E;G=269376;H=F+120|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,269497,260039,4949)}y=p+12|0;if((f[y>>2]|0)!=1?(f[p+8>>2]|0)!=1:0){f[l>>2]=0;D=l+4|0;f[D>>2]=0;E=YG(l,120)|0;F=E;G=269376;H=F+120|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,269497,260039,4949)}do if(d&16384){f[v>>2]=d;G=v+4|0;E=o+4|0;D=f[E>>2]|0;f[G>>2]=D;a=v+8|0;f[a>>2]=f[o+8>>2];f[v+12>>2]=x;f[v+16>>2]=f[o+16>>2];f[v+20>>2]=f[o+20>>2];f[v+24>>2]=f[o+24>>2];f[v+28>>2]=f[o+28>>2];f[v+32>>2]=f[o+32>>2];C=f[o+36>>2]|0;f[v+36>>2]=C;f[v+40>>2]=a;a=v+48|0;z=v+44|0;f[z>>2]=a;f[a>>2]=0;f[v+52>>2]=0;if(!C)I=D;else{D=C+12|0;f[D>>2]=(f[D>>2]|0)+1;I=f[E>>2]|0}if((I|0)<3){E=f[o+44>>2]|0;D=f[z>>2]|0;f[D>>2]=f[E>>2];f[D+4>>2]=f[E+4>>2];break}else{f[G>>2]=0;kP(v,o);break}}else{f[v>>2]=1124007936;G=v+8|0;E=v+40|0;F=v+4|0;H=F+36|0;do{f[F>>2]=0;F=F+4|0}while((F|0)<(H|0));f[E>>2]=G;D=v+48|0;f[v+44>>2]=D;f[D>>2]=0;f[v+52>>2]=0;D=l+8|0;f[D>>2]=0;f[D+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=v;kT(o,l)}while(0);I=f[p>>2]|0;do if(I&16384){f[w>>2]=I;x=w+4|0;d=p+4|0;D=f[d>>2]|0;f[x>>2]=D;z=w+8|0;C=p+8|0;f[z>>2]=f[C>>2];f[w+12>>2]=f[y>>2];a=w+16|0;f[a>>2]=f[p+16>>2];f[w+20>>2]=f[p+20>>2];f[w+24>>2]=f[p+24>>2];f[w+28>>2]=f[p+28>>2];f[w+32>>2]=f[p+32>>2];A=f[p+36>>2]|0;f[w+36>>2]=A;f[w+40>>2]=z;z=w+48|0;B=w+44|0;f[B>>2]=z;f[z>>2]=0;f[w+52>>2]=0;if(!A)J=D;else{D=A+12|0;f[D>>2]=(f[D>>2]|0)+1;J=f[d>>2]|0}if((J|0)<3){d=f[p+44>>2]|0;D=f[B>>2]|0;f[D>>2]=f[d>>2];f[D+4>>2]=f[d+4>>2];K=C;L=a;break}else{f[x>>2]=0;kP(w,p);K=C;L=a;break}}else{f[w>>2]=1124007936;a=w+8|0;C=w+40|0;F=w+4|0;H=F+36|0;do{f[F>>2]=0;F=F+4|0}while((F|0)<(H|0));f[C>>2]=a;G=w+48|0;f[w+44>>2]=G;f[G>>2]=0;f[w+52>>2]=0;G=l+8|0;f[G>>2]=0;f[G+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=w;kT(p,l);K=p+8|0;L=w+16|0}while(0);l=n+16|0;F=n+48|0;H=r+16|0;J=r+48|0;I=v+16|0;xha(f[n>>2]&4095,f[r>>2]&4095,f[o>>2]&4095,f[l>>2]|0,f[F>>2]|0,f[H>>2]|0,f[J>>2]|0,f[r+12>>2]|0,f[r+8>>2]|0,f[t>>2]|0,f[g>>2]|0,f[s>>2]|0,f[c>>2]|0,f[I>>2]|0,(f[q>>2]|0)+-1+(f[o+8>>2]|0)|0,f[L>>2]|0,(f[y>>2]|0)+-1+(f[K>>2]|0)|0,f[h>>2]|0,f[h+4>>2]|0,i,j&-17);j=w+36|0;h=f[j>>2]|0;if(h|0?(K=h+12|0,h=f[K>>2]|0,f[K>>2]=h+-1,(h|0)==1):0)lP(w);f[j>>2]=0;j=w+4|0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;if((f[j>>2]|0)>0){L=f[w+40>>2]|0;h=0;do{f[L+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[j>>2]|0))}j=f[w+44>>2]|0;if((j|0)!=(w+48|0))tE(j);j=v+36|0;w=f[j>>2]|0;if(w|0?(h=w+12|0,w=f[h>>2]|0,f[h>>2]=w+-1,(w|0)==1):0)lP(v);f[j>>2]=0;j=v+4|0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[j>>2]|0)>0){I=f[v+40>>2]|0;w=0;do{f[I+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[j>>2]|0))}j=f[v+44>>2]|0;if((j|0)!=(v+48|0))tE(j);j=r+36|0;v=f[j>>2]|0;if(v|0?(w=v+12|0,v=f[w>>2]|0,f[w>>2]=v+-1,(v|0)==1):0)lP(r);f[j>>2]=0;j=r+4|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[j>>2]|0)>0){H=f[r+40>>2]|0;v=0;do{f[H+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[j>>2]|0))}j=f[r+44>>2]|0;if((j|0)!=(J|0))tE(j);j=p+36|0;J=f[j>>2]|0;do if(J|0){r=J+12|0;v=f[r>>2]|0;f[r>>2]=v+-1;if((v|0)!=1)break;lP(p)}while(0);f[j>>2]=0;j=p+16|0;J=p+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[J>>2]|0)>0){j=f[p+40>>2]|0;v=0;do{f[j+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[J>>2]|0))}J=f[p+44>>2]|0;if((J|0)!=(p+48|0))tE(J);J=o+36|0;p=f[J>>2]|0;do if(p|0){v=p+12|0;j=f[v>>2]|0;f[v>>2]=j+-1;if((j|0)!=1)break;lP(o)}while(0);f[J>>2]=0;J=o+16|0;p=o+4|0;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;f[J+12>>2]=0;if((f[p>>2]|0)>0){J=f[o+40>>2]|0;j=0;do{f[J+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[p>>2]|0))}p=f[o+44>>2]|0;if((p|0)!=(o+48|0))tE(p);p=n+36|0;o=f[p>>2]|0;do if(o|0){j=o+12|0;J=f[j>>2]|0;f[j>>2]=J+-1;if((J|0)!=1)break;lP(n)}while(0);f[p>>2]=0;p=n+4|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[p>>2]|0)>0){l=f[e>>2]|0;e=0;do{f[l+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[p>>2]|0))}p=f[n+44>>2]|0;if((p|0)!=(F|0))tE(p);if(!(f[m+4>>2]|0)){u=k;return}u=k;return}function Aha(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=+i;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0,Zd=0,_d=0,$d=0,ae=0,be=0,ce=0,de=0,ee=0,fe=0,ge=0;k=u;u=u+816|0;l=k+88|0;m=k+792|0;n=k+736|0;o=k+732|0;p=k+728|0;q=k+672|0;r=k+616|0;s=k+608|0;t=k+552|0;v=k+496|0;w=k+440|0;x=k+32|0;y=k+384|0;z=k+328|0;A=k+272|0;B=k+216|0;C=k+160|0;D=k;E=k+144|0;f[m>>2]=0;F=m+4|0;f[F>>2]=0;f[m+8>>2]=0;f[n>>2]=f[c>>2];G=n+4|0;H=c+4|0;I=f[H>>2]|0;f[G>>2]=I;J=n+8|0;f[J>>2]=f[c+8>>2];K=n+12|0;f[K>>2]=f[c+12>>2];L=n+16|0;f[L>>2]=f[c+16>>2];M=n+20|0;f[M>>2]=f[c+20>>2];N=n+24|0;f[N>>2]=f[c+24>>2];O=n+28|0;f[O>>2]=f[c+28>>2];P=n+32|0;f[P>>2]=f[c+32>>2];Q=n+36|0;R=f[c+36>>2]|0;f[Q>>2]=R;S=n+40|0;f[S>>2]=J;T=n+48|0;U=n+44|0;f[U>>2]=T;f[T>>2]=0;f[n+52>>2]=0;if(!R)V=I;else{I=R+12|0;f[I>>2]=(f[I>>2]|0)+1;V=f[H>>2]|0}if((V|0)<3){V=f[c+44>>2]|0;H=f[U>>2]|0;f[H>>2]=f[V>>2];f[H+4>>2]=f[V+4>>2]}else{f[G>>2]=0;kP(n,c)}V=f[a>>2]|0;H=V&7;I=V>>>3;V=I&511;R=f[n>>2]|0;W=R&7;f[o>>2]=W;X=R>>>3&511;R=X+1|0;Z=g&7;f[p>>2]=Z;_=g>>>3;$=_&511;aa=a+4|0;if(!((f[aa>>2]|0)<3&(f[G>>2]|0)<3)){f[l>>2]=0;ba=l+4|0;f[ba>>2]=0;ca=YG(l,50)|0;da=ca;ea=269604;fa=da+50|0;do{b[da>>0]=b[ea>>0]|0;da=da+1|0;ea=ea+1|0}while((da|0)<(fa|0));SQ(-215,l,269655,269665,579)}ga=d+4|0;if((f[ga>>2]|0)>=3){f[l>>2]=0;ba=l+4|0;f[ba>>2]=0;ca=YG(l,50)|0;da=ca;ea=269604;fa=da+50|0;do{b[da>>0]=b[ea>>0]|0;da=da+1|0;ea=ea+1|0}while((da|0)<(fa|0));SQ(-215,l,269655,269665,579)}if((H|0)!=(W|0)){ca=H>>>0>5?H:5;if((W|0)==(ca|0))ha=W;else{W=l+8|0;f[W>>2]=0;f[W+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=n;IO(c,l,ca,1.0,0.0);ca=f[n>>2]&7;f[o>>2]=ca;ha=ca}}else ha=H;if(!((H|0)==(ha|0)|(ha|0)==5)){f[l>>2]=0;f[l+4>>2]=0;da=YG(l,35)|0;ea=269737;fa=da+35|0;do{b[da>>0]=b[ea>>0]|0;da=da+1|0;ea=ea+1|0}while((da|0)<(fa|0));SQ(-215,l,269655,269665,587)}ca=f[e+4>>2]|0;c=a+8|0;if((ca|0)>=((f[J>>2]|0)+(f[c>>2]|0)|0)){f[l>>2]=0;ia=l+4|0;f[ia>>2]=0;ja=YG(l,91)|0;da=ja;ea=269773;fa=da+91|0;do{b[da>>0]=b[ea>>0]|0;da=da+1|0;ea=ea+1|0}while((da|0)<(fa|0));SQ(-215,l,269655,269665,589)}W=f[e>>2]|0;e=a+12|0;if((W|0)>=((f[K>>2]|0)+(f[e>>2]|0)|0)){f[l>>2]=0;ia=l+4|0;f[ia>>2]=0;ja=YG(l,91)|0;da=ja;ea=269773;fa=da+91|0;do{b[da>>0]=b[ea>>0]|0;da=da+1|0;ea=ea+1|0}while((da|0)<(fa|0));SQ(-215,l,269655,269665,589)}ja=($|0)==0;if(!(ja|i==0.0)){f[l>>2]=0;f[l+4>>2]=0;da=YG(l,22)|0;ea=269865;fa=da+22|0;do{b[da>>0]=b[ea>>0]|0;da=da+1|0;ea=ea+1|0}while((da|0)<(fa|0));SQ(-215,l,269655,269665,591)}$=g&4095;if(!(((((f[ga>>2]|0)<3?(f[d+8>>2]|0)==(ca|0):0)?(f[d+12>>2]|0)==(W|0):0)?(f[d>>2]&4095|0)==($|0):0)?(f[d+16>>2]|0)!=0:0)){f[l>>2]=ca;f[l+4>>2]=W;iP(d,2,l,$)}if(H>>>0>1)ka=6;else{$=ha>>>0>5?ha:5;ka=($|0)<(Z|0)?Z:$}$=f[K>>2]|0;W=V9b(+($|0)*4.5)|0;ca=256-$+1|0;ga=(W|0)<(ca|0)?ca:W;W=d+12|0;ca=f[W>>2]|0;g=f[J>>2]|0;ia=V9b(+(g|0)*4.5)|0;ba=256-g+1|0;g=(ia|0)<(ba|0)?ba:ia;ia=d+8|0;ba=f[ia>>2]|0;la=kD($+-1+((ca|0)<(ga|0)?ca:ga)|0)|0;ga=(la|0)>2?la:2;la=kD(((ba|0)<(g|0)?ba:g)+-1+(f[J>>2]|0)|0)|0;if((ga|0)<1|(la|0)<1){f[l>>2]=0;f[l+4>>2]=0;da=YG(l,28)|0;ea=269888;fa=da+28|0;do{b[da>>0]=b[ea>>0]|0;da=da+1|0;ea=ea+1|0}while((da|0)<(fa|0));SQ(-211,l,269655,269665,608)}g=ga-(f[K>>2]|0)|0;ba=f[W>>2]|0;ca=(g|0)>=(ba|0)?ba:g+1|0;g=la-(f[J>>2]|0)|0;ba=f[ia>>2]|0;$=(g|0)>=(ba|0)?ba:g+1|0;g=Y(la,R)|0;f[q>>2]=1124007936;R=q+4|0;ba=q+8|0;ma=q+40|0;da=R;fa=da+36|0;do{f[da>>2]=0;da=da+4|0}while((da|0)<(fa|0));f[ma>>2]=ba;ba=q+48|0;na=q+44|0;f[na>>2]=ba;f[ba>>2]=0;f[q+52>>2]=0;oa=ka&4095;f[l>>2]=g;g=l+4|0;f[g>>2]=ga;iP(q,2,l,oa);f[r>>2]=1124007936;pa=r+4|0;qa=r+8|0;ra=r+40|0;da=pa;fa=da+36|0;do{f[da>>2]=0;da=da+4|0}while((da|0)<(fa|0));f[ra>>2]=qa;qa=r+48|0;sa=r+44|0;f[sa>>2]=qa;f[qa>>2]=0;f[r+52>>2]=0;f[l>>2]=la;f[g>>2]=ga;iP(r,2,l,oa);oa=(X|0)!=0;if((ha|0)==(ka|0)|oa^1)ta=0;else ta=Y(f[K>>2]<<(47696>>>(ha<<1)&3),f[J>>2]|0)|0;ha=(V|0)!=0;g=(H|0)==(ka|0);if(g|ha^1)ua=ta;else{va=(Y($+-1+(f[J>>2]|0)|0,ca+-1+(f[K>>2]|0)|0)|0)<<(47696>>>(H<<1)&3);ua=(ta|0)<(va|0)?va:ta}if(((I|_)&511|0)==0|(Z|0)==(ka|0))wa=ua;else{_=(Y($,ca)|0)<<(47696>>>(Z<<1)&3);wa=(ua|0)<(_|0)?_:ua}ua=f[F>>2]|0;_=f[m>>2]|0;Z=ua-_|0;I=_;_=ua;if(wa>>>0<=Z>>>0){if(wa>>>0<Z>>>0?(ua=I+wa|0,(_|0)!=(ua|0)):0)f[F>>2]=ua}else KD(m,wa-Z|0);WC(s,ga,la,f[q>>2]&7,1,1,1024,f[J>>2]|0);Z=t+4|0;wa=t+8|0;ua=t+12|0;_=t+16|0;I=t+20|0;ta=t+24|0;va=t+28|0;xa=t+32|0;ya=t+36|0;za=t+40|0;Aa=t+48|0;Ba=t+44|0;Ca=t+52|0;Da=l+4|0;Ea=l+8|0;Fa=l+12|0;Ga=l+4|0;Ha=l+8|0;Ia=l+12|0;Ja=x+4|0;Ka=w+4|0;La=x+8|0;Ma=w+8|0;Na=x+12|0;Oa=w+12|0;Pa=x+16|0;Qa=w+16|0;Ra=x+20|0;Sa=w+20|0;Ta=x+24|0;Ua=w+24|0;Va=x+28|0;Wa=w+28|0;Xa=x+32|0;Ya=w+32|0;Za=x+36|0;_a=w+36|0;$a=x+40|0;ab=x+48|0;bb=x+44|0;cb=x+52|0;db=w+44|0;eb=l+4|0;fb=v+12|0;gb=x+4|0;hb=y+4|0;ib=l+36|0;jb=l+16|0;kb=l+4|0;lb=l+40|0;mb=l+44|0;nb=l+48|0;ob=s+4|0;pb=v+16|0;qb=v+48|0;rb=w+40|0;sb=w+48|0;tb=v+36|0;ub=v+4|0;vb=v+40|0;wb=v+44|0;xb=l+8|0;yb=l+4|0;zb=0;a:while(1){Ab=Y(zb,la)|0;f[t>>2]=f[n>>2];Bb=f[G>>2]|0;f[Z>>2]=Bb;f[wa>>2]=f[J>>2];f[ua>>2]=f[K>>2];f[_>>2]=f[L>>2];f[I>>2]=f[M>>2];f[ta>>2]=f[N>>2];f[va>>2]=f[O>>2];f[xa>>2]=f[P>>2];Cb=f[Q>>2]|0;f[ya>>2]=Cb;f[za>>2]=wa;f[Ba>>2]=Aa;f[Aa>>2]=0;f[Ca>>2]=0;if(!Cb)Db=Bb;else{Bb=Cb+12|0;f[Bb>>2]=(f[Bb>>2]|0)+1;Db=f[G>>2]|0}if((Db|0)<3){Bb=f[U>>2]|0;Cb=f[Ba>>2]|0;f[Cb>>2]=f[Bb>>2];f[Cb+4>>2]=f[Bb+4>>2]}else{f[Z>>2]=0;kP(t,n)}f[l>>2]=0;f[Da>>2]=Ab;f[Ea>>2]=ga;f[Fa>>2]=la;pP(v,q,l);Bb=f[K>>2]|0;Cb=f[J>>2]|0;f[l>>2]=0;f[Ga>>2]=Ab;f[Ha>>2]=Bb;f[Ia>>2]=Cb;pP(w,q,l);if(oa){Cb=f[o>>2]|0;do if((Cb|0)==(ka|0)){f[x>>2]=f[w>>2];Bb=f[Ka>>2]|0;f[Ja>>2]=Bb;f[La>>2]=f[Ma>>2];f[Na>>2]=f[Oa>>2];f[Pa>>2]=f[Qa>>2];f[Ra>>2]=f[Sa>>2];f[Ta>>2]=f[Ua>>2];f[Va>>2]=f[Wa>>2];f[Xa>>2]=f[Ya>>2];Ab=f[_a>>2]|0;f[Za>>2]=Ab;f[$a>>2]=La;f[bb>>2]=ab;f[ab>>2]=0;f[cb>>2]=0;if(!Ab)Eb=Bb;else{Bb=Ab+12|0;f[Bb>>2]=(f[Bb>>2]|0)+1;Eb=f[Ka>>2]|0}if((Eb|0)<3){Bb=f[db>>2]|0;Ab=f[bb>>2]|0;f[Ab>>2]=f[Bb>>2];f[Ab+4>>2]=f[Bb+4>>2];break}else{f[Ja>>2]=0;kP(x,w);break}}else{Bb=f[S>>2]|0;Ab=f[Bb+4>>2]|0;Fb=f[Bb>>2]|0;Bb=f[m>>2]|0;f[x>>2]=Cb&4095|1124007936;f[Ja>>2]=2;f[La>>2]=Fb;f[Na>>2]=Ab;f[Pa>>2]=Bb;f[Ra>>2]=Bb;f[Ta>>2]=0;f[Ta+4>>2]=0;f[Ta+8>>2]=0;f[Ta+12>>2]=0;f[$a>>2]=La;f[bb>>2]=ab;f[cb>>2]=0;f[ab>>2]=0;if((Y(Fb,Ab)|0)!=0&(Bb|0)==0){Gb=54;break a}Hb=(Cb>>>3&511)+1<<(47696>>>(Cb<<1&14)&3);Ib=Y(Ab,Hb)|0;f[ab>>2]=Ib;f[cb>>2]=Hb;Hb=Bb+(Y(Fb,Ib)|0)|0;f[Va>>2]=Hb;f[Ta>>2]=Hb+(0-Ib)+Ib;hP(x)}while(0);Cb=f[Za>>2]|0;if(Cb|0){Ib=Cb+12|0;f[Ib>>2]=(f[Ib>>2]|0)+1}Ib=f[ya>>2]|0;do if(Ib|0){Cb=Ib+12|0;Hb=f[Cb>>2]|0;f[Cb>>2]=Hb+-1;if((Hb|0)!=1)break;lP(t)}while(0);f[ya>>2]=0;f[_>>2]=0;f[_+4>>2]=0;f[_+8>>2]=0;f[_+12>>2]=0;if((f[Z>>2]|0)>0){Ib=f[za>>2]|0;Hb=0;do{f[Ib+(Hb<<2)>>2]=0;Hb=Hb+1|0;Jb=f[Z>>2]|0}while((Hb|0)<(Jb|0));f[t>>2]=f[x>>2];if((Jb|0)<3)Gb=66;else Gb=68}else{f[t>>2]=f[x>>2];Gb=66}do if((Gb|0)==66){Gb=0;Hb=f[Ja>>2]|0;if((Hb|0)>=3){Gb=68;break}f[Z>>2]=Hb;f[wa>>2]=f[La>>2];f[ua>>2]=f[Na>>2];Hb=f[bb>>2]|0;Ib=f[Ba>>2]|0;f[Ib>>2]=f[Hb>>2];f[Ib+4>>2]=f[Hb+4>>2]}while(0);if((Gb|0)==68){Gb=0;kP(t,x)}f[_>>2]=f[Pa>>2];f[I>>2]=f[Ra>>2];f[ta>>2]=f[Ta>>2];f[va>>2]=f[Va>>2];f[xa>>2]=f[Xa>>2];Hb=f[Za>>2]|0;f[ya>>2]=Hb;do if(Hb|0){Ib=Hb+12|0;Cb=f[Ib>>2]|0;f[Ib>>2]=Cb+-1;if((Cb|0)!=1)break;lP(x)}while(0);f[Za>>2]=0;f[Pa>>2]=0;f[Pa+4>>2]=0;f[Pa+8>>2]=0;f[Pa+12>>2]=0;if((f[Ja>>2]|0)>0){Hb=f[$a>>2]|0;Cb=0;do{f[Hb+(Cb<<2)>>2]=0;Cb=Cb+1|0}while((Cb|0)<(f[Ja>>2]|0))}Cb=f[bb>>2]|0;if((Cb|0)!=(ab|0))tE(Cb);f[l>>2]=zb;f[eb>>2]=0;wG(n,1,t,1,l,1)}if((f[Qa>>2]|0)!=(f[_>>2]|0)){Cb=xb;f[Cb>>2]=0;f[Cb+4>>2]=0;f[l>>2]=33619968;f[yb>>2]=w;IO(t,l,f[w>>2]&7,1.0,0.0)}Cb=f[fb>>2]|0;Hb=f[K>>2]|0;if((Cb|0)>(Hb|0)){Ib=f[J>>2]|0;f[x>>2]=0;f[gb>>2]=Ib;f[y>>2]=Hb;f[hb>>2]=Cb;mP(l,v,x,y);f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;f[x+16>>2]=0;f[x+20>>2]=0;f[x+24>>2]=0;f[x+28>>2]=0;nT(l,x)|0;Cb=f[ib>>2]|0;do if(Cb|0){Hb=Cb+12|0;Ib=f[Hb>>2]|0;f[Hb>>2]=Ib+-1;if((Ib|0)!=1)break;lP(l)}while(0);f[ib>>2]=0;f[jb>>2]=0;f[jb+4>>2]=0;f[jb+8>>2]=0;f[jb+12>>2]=0;if((f[kb>>2]|0)>0){Cb=f[lb>>2]|0;Ib=0;do{f[Cb+(Ib<<2)>>2]=0;Ib=Ib+1|0}while((Ib|0)<(f[kb>>2]|0))}Ib=f[mb>>2]|0;if((Ib|0)!=(nb|0))tE(Ib)}Ib=f[ob>>2]|0;Cb=f[pb>>2]|0;Hb=f[qb>>2]|0;sh[f[f[Ib>>2]>>2]&255](Ib,Cb,Hb,Cb,Hb);Hb=f[_a>>2]|0;do if(Hb|0){Cb=Hb+12|0;Ib=f[Cb>>2]|0;f[Cb>>2]=Ib+-1;if((Ib|0)!=1)break;lP(w)}while(0);f[_a>>2]=0;f[Qa>>2]=0;f[Qa+4>>2]=0;f[Qa+8>>2]=0;f[Qa+12>>2]=0;if((f[Ka>>2]|0)>0){Hb=f[rb>>2]|0;Ib=0;do{f[Hb+(Ib<<2)>>2]=0;Ib=Ib+1|0}while((Ib|0)<(f[Ka>>2]|0))}Ib=f[db>>2]|0;if((Ib|0)!=(sb|0))tE(Ib);Ib=f[tb>>2]|0;do if(Ib|0){Hb=Ib+12|0;Cb=f[Hb>>2]|0;f[Hb>>2]=Cb+-1;if((Cb|0)!=1)break;lP(v)}while(0);f[tb>>2]=0;f[pb>>2]=0;f[pb+4>>2]=0;f[pb+8>>2]=0;f[pb+12>>2]=0;if((f[ub>>2]|0)>0){Ib=f[vb>>2]|0;Cb=0;do{f[Ib+(Cb<<2)>>2]=0;Cb=Cb+1|0}while((Cb|0)<(f[ub>>2]|0))}Cb=f[wb>>2]|0;if((Cb|0)!=(qb|0))tE(Cb);Cb=f[ya>>2]|0;do if(Cb|0){Ib=Cb+12|0;Hb=f[Ib>>2]|0;f[Ib>>2]=Hb+-1;if((Hb|0)!=1)break;lP(t)}while(0);f[ya>>2]=0;f[_>>2]=0;f[_+4>>2]=0;f[_+8>>2]=0;f[_+12>>2]=0;if((f[Z>>2]|0)>0){Cb=f[za>>2]|0;Hb=0;do{f[Cb+(Hb<<2)>>2]=0;Hb=Hb+1|0}while((Hb|0)<(f[Z>>2]|0))}Hb=f[Ba>>2]|0;if((Hb|0)!=(Aa|0))tE(Hb);if((zb|0)<(X|0))zb=zb+1|0;else break}if((Gb|0)==54){f[l>>2]=0;f[l+4>>2]=0;da=YG(l,28)|0;ea=294548;fa=da+28|0;do{b[da>>0]=b[ea>>0]|0;da=da+1|0;ea=ea+1|0}while((da|0)<(fa|0));SQ(-215,l,294577,465158,608)}zb=(ca+-1+(f[W>>2]|0)|0)/(ca|0)|0;X=$+-1|0;Aa=Y((X+(f[ia>>2]|0)|0)/($|0)|0,zb)|0;Ba=f[a+40>>2]|0;Z=f[Ba>>2]|0;f[t>>2]=f[Ba+4>>2];Ba=t+4|0;f[Ba>>2]=Z;f[v>>2]=0;Z=v+4|0;f[Z>>2]=0;f[w>>2]=f[a>>2];za=w+4|0;_=f[aa>>2]|0;f[za>>2]=_;ya=w+8|0;f[ya>>2]=f[c>>2];qb=w+12|0;f[qb>>2]=f[e>>2];wb=w+16|0;f[wb>>2]=f[a+16>>2];f[w+20>>2]=f[a+20>>2];f[w+24>>2]=f[a+24>>2];f[w+28>>2]=f[a+28>>2];f[w+32>>2]=f[a+32>>2];ub=w+36|0;vb=f[a+36>>2]|0;f[ub>>2]=vb;pb=w+40|0;f[pb>>2]=ya;tb=w+48|0;sb=w+44|0;f[sb>>2]=tb;f[tb>>2]=0;f[w+52>>2]=0;if(!vb)Kb=_;else{_=vb+12|0;f[_>>2]=(f[_>>2]|0)+1;Kb=f[aa>>2]|0}if((Kb|0)<3){Kb=f[a+44>>2]|0;aa=f[sb>>2]|0;f[aa>>2]=f[Kb>>2];f[aa+4>>2]=f[Kb+4>>2]}else{f[za>>2]=0;kP(w,a)}if(!(j&16)){vP(a,t,v);a=f[Z>>2]|0;Kb=f[v>>2]|0;wP(w,a,(f[Ba>>2]|0)-a-(f[c>>2]|0)|0,Kb,(f[t>>2]|0)-Kb-(f[e>>2]|0)|0)|0}e=j|16;WC(l,ga,la,ka,1,1,1024,X+(f[J>>2]|0)|0);X=f[l>>2]|0;j=f[l+4>>2]|0;Kb=(X|0)==0;t=X;if(Kb){Lb=l;Mb=t}else{c=t+4|0;f[c>>2]=(f[c>>2]|0)+1;Lb=l;Mb=f[l>>2]|0}do if(Mb|0){c=Mb+4|0;a=f[c>>2]|0;f[c>>2]=a+-1;if((a|0)!=1)break;ai[f[(f[Mb>>2]|0)+8>>2]&2047](Mb)}while(0);f[Lb>>2]=0;WC(l,ga,la,ka,1,1,1027,$);Lb=f[l>>2]|0;Mb=f[l+4>>2]|0;a=(Lb|0)==0;c=Lb;if(a){Nb=l;Ob=c}else{Ba=c+4|0;f[Ba>>2]=(f[Ba>>2]|0)+1;Nb=l;Ob=f[l>>2]|0}do if(Ob|0){Ba=Ob+4|0;aa=f[Ba>>2]|0;f[Ba>>2]=aa+-1;if((aa|0)!=1)break;ai[f[(f[Ob>>2]|0)+8>>2]&2047](Ob)}while(0);f[Nb>>2]=0;b:do if((Aa|0)>0){Nb=h+4|0;Ob=l+4|0;aa=y+4|0;Ba=l+4|0;_=l+8|0;vb=l+12|0;db=l+4|0;Ka=l+8|0;rb=l+12|0;Qa=l+4|0;_a=l+8|0;ob=l+12|0;nb=B+4|0;mb=x+4|0;kb=B+8|0;lb=x+8|0;jb=B+12|0;ib=x+12|0;hb=B+16|0;gb=x+16|0;fb=B+20|0;yb=x+20|0;xb=B+24|0;eb=x+24|0;ab=B+28|0;bb=x+28|0;Ja=B+32|0;$a=x+32|0;Pa=B+36|0;Za=x+36|0;Xa=B+40|0;xa=B+48|0;Va=B+44|0;va=B+52|0;Ta=x+44|0;ta=C+4|0;Ra=z+4|0;I=C+8|0;Na=z+8|0;ua=C+12|0;La=z+12|0;wa=C+16|0;Jb=z+16|0;cb=C+20|0;Eb=z+20|0;Ya=C+24|0;Wa=z+24|0;Ua=C+28|0;Sa=z+28|0;Oa=C+32|0;Ma=z+32|0;o=C+36|0;Ia=z+36|0;Ha=C+40|0;Ga=C+48|0;Fa=C+44|0;Ea=C+52|0;Da=z+44|0;Db=l+4|0;Ca=H|1124007936;P=47696>>>(H<<1)&3;O=1<<P;N=l+8|0;M=l+12|0;Hb=l+4|0;Cb=C+8|0;Ib=C+4|0;Fb=y+8|0;Bb=y+12|0;Ab=r+16|0;Pb=C+4|0;Qb=C+8|0;Rb=C+12|0;Sb=C+8|0;Tb=C+12|0;Ub=C+4|0;Vb=D+8|0;Wb=D+12|0;Xb=D+4|0;Yb=E+8|0;Zb=E+4|0;_b=D+4|0;$b=D+8|0;ac=D+12|0;bc=C+36|0;cc=C+4|0;dc=C+8|0;ec=C+12|0;fc=C+44|0;gc=C+16|0;hc=C+20|0;ic=C+24|0;jc=C+28|0;kc=C+32|0;lc=C+40|0;mc=C+48|0;nc=C+8|0;oc=C+4|0;pc=C+8|0;qc=C+12|0;rc=C+4|0;sc=D+8|0;tc=D+12|0;uc=D+4|0;vc=E+8|0;wc=E+4|0;xc=C+4|0;yc=C+8|0;zc=C+12|0;Ac=C+16|0;Bc=C+20|0;Cc=C+24|0;Dc=C+28|0;Ec=C+40|0;Fc=C+48|0;Gc=C+44|0;Hc=C+52|0;Ic=D+8|0;Jc=D+4|0;Kc=C+36|0;Lc=C+32|0;Mc=l+36|0;Nc=l+16|0;Oc=l+4|0;Pc=l+40|0;Qc=l+44|0;Rc=l+48|0;Sc=C+4|0;Tc=C+4|0;Uc=C+8|0;Vc=C+12|0;Wc=C+16|0;Xc=C+20|0;Yc=C+24|0;Zc=C+28|0;_c=C+40|0;$c=C+48|0;ad=C+44|0;bd=C+52|0;cd=D+8|0;dd=D+4|0;ed=C+36|0;fd=C+32|0;gd=C+8|0;hd=C+12|0;id=C+4|0;jd=D+8|0;kd=D+4|0;ld=l+8|0;md=l+12|0;nd=l+4|0;od=C+8|0;pd=C+4|0;qd=l+8|0;rd=l+4|0;sd=A+36|0;td=A+16|0;ud=A+4|0;vd=A+40|0;wd=A+44|0;xd=A+48|0;yd=z+40|0;zd=z+48|0;Ad=y+36|0;Bd=y+16|0;Cd=y+4|0;Dd=y+40|0;Ed=y+44|0;Fd=y+48|0;Gd=x+40|0;Hd=x+48|0;Id=Cc+8|0;Jd=Yc+8|0;Kd=0;c:while(1){Ld=Y((Kd|0)%(zb|0)|0,ca)|0;Md=Y((Kd|0)/(zb|0)|0,$)|0;Nd=(f[W>>2]|0)-Ld|0;Od=(Nd|0)<(ca|0)?Nd:ca;Nd=(f[ia>>2]|0)-Md|0;Pd=(Nd|0)<($|0)?Nd:$;Qd=(f[K>>2]|0)+-1+Od|0;Rd=(f[J>>2]|0)+-1+Pd|0;Sd=Ld-(f[h>>2]|0)+(f[v>>2]|0)|0;Td=Md-(f[Nb>>2]|0)+(f[Z>>2]|0)|0;Ud=(Sd|0)>0?Sd:0;Vd=(Td|0)>0?Td:0;Wd=Sd+Qd|0;Xd=f[qb>>2]|0;Yd=(Wd|0)<(Xd|0)?Wd:Xd;Xd=Td+Rd|0;Wd=f[ya>>2]|0;Zd=(Xd|0)<(Wd|0)?Xd:Wd;f[l>>2]=Vd;f[Ob>>2]=Zd;f[y>>2]=Ud;f[aa>>2]=Yd;mP(x,w,l,y);f[l>>2]=0;f[Ba>>2]=0;f[_>>2]=Qd;f[vb>>2]=Rd;pP(y,r,l);Wd=Ud-Sd|0;Sd=Vd-Td|0;Td=Yd-Ud|0;Ud=Zd-Vd|0;f[l>>2]=Wd;f[db>>2]=Sd;f[Ka>>2]=Td;f[rb>>2]=Ud;pP(z,r,l);f[l>>2]=Ld;f[Qa>>2]=Md;f[_a>>2]=Od;f[ob>>2]=Pd;pP(A,d,l);Md=(Y(Ud,Td)|0)!=0;Ld=Td<<P;Vd=Y(Ld,Ud)|0;Zd=0-Ld|0;Yd=(Td|0)<(Qd|0)|(Ud|0)<(Rd|0);Qd=($|0)<=(Nd|0);Nd=0;while(1){f[B>>2]=f[x>>2];Xd=f[mb>>2]|0;f[nb>>2]=Xd;f[kb>>2]=f[lb>>2];f[jb>>2]=f[ib>>2];f[hb>>2]=f[gb>>2];f[fb>>2]=f[yb>>2];f[xb>>2]=f[eb>>2];f[ab>>2]=f[bb>>2];f[Ja>>2]=f[$a>>2];_d=f[Za>>2]|0;f[Pa>>2]=_d;f[Xa>>2]=kb;f[Va>>2]=xa;f[xa>>2]=0;f[va>>2]=0;if(!_d)$d=Xd;else{Xd=_d+12|0;f[Xd>>2]=(f[Xd>>2]|0)+1;$d=f[mb>>2]|0}if(($d|0)<3){Xd=f[Ta>>2]|0;_d=f[Va>>2]|0;f[_d>>2]=f[Xd>>2];f[_d+4>>2]=f[Xd+4>>2]}else{f[nb>>2]=0;kP(B,x)};f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;f[l+28>>2]=0;nT(r,l)|0;if(ha){do if(g){f[C>>2]=f[z>>2];Xd=f[Ra>>2]|0;f[ta>>2]=Xd;f[I>>2]=f[Na>>2];f[ua>>2]=f[La>>2];f[wa>>2]=f[Jb>>2];f[cb>>2]=f[Eb>>2];f[Ya>>2]=f[Wa>>2];f[Ua>>2]=f[Sa>>2];f[Oa>>2]=f[Ma>>2];_d=f[Ia>>2]|0;f[o>>2]=_d;f[Ha>>2]=I;f[Fa>>2]=Ga;f[Ga>>2]=0;f[Ea>>2]=0;if(!_d)ae=Xd;else{Xd=_d+12|0;f[Xd>>2]=(f[Xd>>2]|0)+1;ae=f[Ra>>2]|0}if((ae|0)<3){Xd=f[Da>>2]|0;_d=f[Fa>>2]|0;f[_d>>2]=f[Xd>>2];f[_d+4>>2]=f[Xd+4>>2];break}else{f[ta>>2]=0;kP(C,z);break}}else{Xd=f[m>>2]|0;f[C>>2]=Ca;f[ta>>2]=2;f[I>>2]=Ud;f[ua>>2]=Td;f[wa>>2]=Xd;f[cb>>2]=Xd;f[Ya>>2]=0;f[Ya+4>>2]=0;f[Ya+8>>2]=0;f[Ya+12>>2]=0;f[Ha>>2]=I;f[Fa>>2]=Ga;f[Ea>>2]=0;f[Ga>>2]=0;if(Md&(Xd|0)==0)break c;f[Ga>>2]=Ld;f[Ea>>2]=O;_d=Xd+Vd|0;f[Ua>>2]=_d;f[Ya>>2]=_d+Zd+Ld;hP(C)}while(0);_d=f[o>>2]|0;if(_d|0){Xd=_d+12|0;f[Xd>>2]=(f[Xd>>2]|0)+1}Xd=f[Pa>>2]|0;do if(Xd|0){_d=Xd+12|0;be=f[_d>>2]|0;f[_d>>2]=be+-1;if((be|0)!=1)break;lP(B)}while(0);f[Pa>>2]=0;f[hb>>2]=0;f[hb+4>>2]=0;f[hb+8>>2]=0;f[hb+12>>2]=0;if((f[nb>>2]|0)>0){Xd=f[Xa>>2]|0;be=0;do{f[Xd+(be<<2)>>2]=0;be=be+1|0;ce=f[nb>>2]|0}while((be|0)<(ce|0));f[B>>2]=f[C>>2];if((ce|0)<3)Gb=162;else Gb=164}else{f[B>>2]=f[C>>2];Gb=162}do if((Gb|0)==162){Gb=0;be=f[ta>>2]|0;if((be|0)>=3){Gb=164;break}f[nb>>2]=be;f[kb>>2]=f[I>>2];f[jb>>2]=f[ua>>2];be=f[Fa>>2]|0;Xd=f[Va>>2]|0;f[Xd>>2]=f[be>>2];f[Xd+4>>2]=f[be+4>>2]}while(0);if((Gb|0)==164){Gb=0;kP(B,C)}f[hb>>2]=f[wa>>2];f[fb>>2]=f[cb>>2];f[xb>>2]=f[Ya>>2];f[ab>>2]=f[Ua>>2];f[Ja>>2]=f[Oa>>2];be=f[o>>2]|0;f[Pa>>2]=be;do if(be|0){Xd=be+12|0;_d=f[Xd>>2]|0;f[Xd>>2]=_d+-1;if((_d|0)!=1)break;lP(C)}while(0);f[o>>2]=0;f[wa>>2]=0;f[wa+4>>2]=0;f[wa+8>>2]=0;f[wa+12>>2]=0;if((f[ta>>2]|0)>0){be=f[Ha>>2]|0;_d=0;do{f[be+(_d<<2)>>2]=0;_d=_d+1|0}while((_d|0)<(f[ta>>2]|0))}_d=f[Fa>>2]|0;if((_d|0)!=(Ga|0))tE(_d);f[l>>2]=Nd;f[Db>>2]=0;wG(x,1,B,1,l,1)}if((f[Jb>>2]|0)!=(f[hb>>2]|0)){_d=qd;f[_d>>2]=0;f[_d+4>>2]=0;f[l>>2]=33619968;f[rd>>2]=z;IO(B,l,f[z>>2]&7,1.0,0.0)}if(Yd){f[N>>2]=0;f[M>>2]=0;f[l>>2]=16842752;f[Hb>>2]=z;_d=Cb;f[_d>>2]=0;f[_d+4>>2]=0;f[C>>2]=33619968;f[Ib>>2]=y;_d=f[Fb>>2]|0;be=f[Na>>2]|0;Xd=f[Bb>>2]|0;de=f[La>>2]|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;f[D+16>>2]=0;f[D+20>>2]=0;f[D+24>>2]=0;f[D+28>>2]=0;tT(l,C,Sd,_d-Sd-be|0,Wd,Xd-Wd-de|0,e,D)}if(Qd){de=f[Ab>>2]|0;Xd=f[qa>>2]|0;sh[f[f[j>>2]>>2]&255](j,de,Xd,de,Xd)}else{f[ld>>2]=0;f[md>>2]=0;f[l>>2]=16842752;f[nd>>2]=r;Xd=od;f[Xd>>2]=0;f[Xd+4>>2]=0;f[C>>2]=33619968;f[pd>>2]=r;iD(l,C,0,Rd)}Xd=Y(Nd,la)|0;f[C>>2]=0;f[Pb>>2]=oa?Xd:0;f[Qb>>2]=ga;f[Rb>>2]=la;pP(l,q,C);f[Sb>>2]=0;f[Tb>>2]=0;f[C>>2]=16842752;f[Ub>>2]=r;f[Vb>>2]=0;f[Wb>>2]=0;f[D>>2]=16842752;f[Xb>>2]=l;Xd=Yb;f[Xd>>2]=0;f[Xd+4>>2]=0;f[E>>2]=33619968;f[Zb>>2]=r;jD(C,D,E,0,1);if(Qd){Xd=f[Ab>>2]|0;de=f[qa>>2]|0;sh[f[f[Mb>>2]>>2]&255](Mb,Xd,de,Xd,de)}else{f[gd>>2]=0;f[hd>>2]=0;f[C>>2]=16842752;f[id>>2]=r;de=jd;f[de>>2]=0;f[de+4>>2]=0;f[D>>2]=33619968;f[kd>>2]=r;iD(C,D,3,Pd)}f[D>>2]=0;f[_b>>2]=0;f[$b>>2]=Od;f[ac>>2]=Pd;pP(C,r,D);de=f[bc>>2]|0;if(de|0){Xd=de+12|0;f[Xd>>2]=(f[Xd>>2]|0)+1}Xd=f[Pa>>2]|0;do if(Xd|0){de=Xd+12|0;be=f[de>>2]|0;f[de>>2]=be+-1;if((be|0)!=1)break;lP(B)}while(0);f[Pa>>2]=0;f[hb>>2]=0;f[hb+4>>2]=0;f[hb+8>>2]=0;f[hb+12>>2]=0;if((f[nb>>2]|0)>0){Xd=f[Xa>>2]|0;be=0;do{f[Xd+(be<<2)>>2]=0;be=be+1|0;ee=f[nb>>2]|0}while((be|0)<(ee|0));f[B>>2]=f[C>>2];if((ee|0)<3)Gb=194;else Gb=196}else{f[B>>2]=f[C>>2];Gb=194}do if((Gb|0)==194){Gb=0;be=f[cc>>2]|0;if((be|0)>=3){Gb=196;break}f[nb>>2]=be;f[kb>>2]=f[dc>>2];f[jb>>2]=f[ec>>2];be=f[fc>>2]|0;Xd=f[Va>>2]|0;f[Xd>>2]=f[be>>2];f[Xd+4>>2]=f[be+4>>2]}while(0);if((Gb|0)==196){Gb=0;kP(B,C)}f[hb>>2]=f[gc>>2];f[fb>>2]=f[hc>>2];f[xb>>2]=f[ic>>2];f[ab>>2]=f[jc>>2];f[Ja>>2]=f[kc>>2];be=f[bc>>2]|0;f[Pa>>2]=be;do if(be|0){Xd=be+12|0;de=f[Xd>>2]|0;f[Xd>>2]=de+-1;if((de|0)!=1)break;lP(C)}while(0);f[bc>>2]=0;f[gc>>2]=0;f[gc+4>>2]=0;f[gc+8>>2]=0;f[gc+12>>2]=0;if((f[cc>>2]|0)>0){be=f[lc>>2]|0;de=0;do{f[be+(de<<2)>>2]=0;de=de+1|0}while((de|0)<(f[cc>>2]|0))}de=f[fc>>2]|0;if((de|0)!=(mc|0))tE(de);do if(ja){if(!Nd){de=nc;f[de>>2]=0;f[de+4>>2]=0;f[C>>2]=33619968;f[oc>>2]=A;IO(B,C,f[p>>2]|0,1.0,i);break}de=f[p>>2]|0;if((ka|0)!=(de|0)){be=f[m>>2]|0;f[C>>2]=de&4095|1124007936;f[xc>>2]=2;f[yc>>2]=Pd;f[zc>>2]=Od;f[Ac>>2]=be;f[Bc>>2]=be;Xd=Id;f[Xd>>2]=0;f[Xd+4>>2]=0;f[Ec>>2]=yc;f[Gc>>2]=Fc;Xd=(de>>>3&511)+1<<(47696>>>(de<<1&14)&3);_d=Y(Xd,Od)|0;f[Fc>>2]=_d;f[Hc>>2]=Xd;Xd=be+(Y(_d,Pd)|0)|0;f[Dc>>2]=Xd;f[Cc>>2]=Xd+(0-_d)+_d;hP(C);_d=Ic;f[_d>>2]=0;f[_d+4>>2]=0;f[D>>2]=33619968;f[Jc>>2]=C;IO(B,D,de,1.0,0.0);de=f[Kc>>2]|0;if(de|0){_d=de+12|0;f[_d>>2]=(f[_d>>2]|0)+1}_d=f[Pa>>2]|0;do if(_d|0){de=_d+12|0;Xd=f[de>>2]|0;f[de>>2]=Xd+-1;if((Xd|0)!=1)break;lP(B)}while(0);f[Pa>>2]=0;f[hb>>2]=0;f[hb+4>>2]=0;f[hb+8>>2]=0;f[hb+12>>2]=0;if((f[nb>>2]|0)>0){_d=f[Xa>>2]|0;Xd=0;do{f[_d+(Xd<<2)>>2]=0;Xd=Xd+1|0;fe=f[nb>>2]|0}while((Xd|0)<(fe|0));f[B>>2]=f[C>>2];if((fe|0)<3)Gb=243;else Gb=245}else{f[B>>2]=f[C>>2];Gb=243}do if((Gb|0)==243){Gb=0;Xd=f[xc>>2]|0;if((Xd|0)>=3){Gb=245;break}f[nb>>2]=Xd;f[kb>>2]=f[yc>>2];f[jb>>2]=f[zc>>2];Xd=f[Gc>>2]|0;_d=f[Va>>2]|0;f[_d>>2]=f[Xd>>2];f[_d+4>>2]=f[Xd+4>>2]}while(0);if((Gb|0)==245){Gb=0;kP(B,C)}f[hb>>2]=f[Ac>>2];f[fb>>2]=f[Bc>>2];f[xb>>2]=f[Cc>>2];f[ab>>2]=f[Dc>>2];f[Ja>>2]=f[Lc>>2];Xd=f[Kc>>2]|0;f[Pa>>2]=Xd;do if(Xd|0){_d=Xd+12|0;de=f[_d>>2]|0;f[_d>>2]=de+-1;if((de|0)!=1)break;lP(C)}while(0);f[Kc>>2]=0;f[Ac>>2]=0;f[Ac+4>>2]=0;f[Ac+8>>2]=0;f[Ac+12>>2]=0;if((f[xc>>2]|0)>0){Xd=f[Ec>>2]|0;de=0;do{f[Xd+(de<<2)>>2]=0;de=de+1|0}while((de|0)<(f[xc>>2]|0))}de=f[Gc>>2]|0;if((de|0)!=(Fc|0))tE(de)}f[pc>>2]=0;f[qc>>2]=0;f[C>>2]=16842752;f[rc>>2]=B;f[sc>>2]=0;f[tc>>2]=0;f[D>>2]=16842752;f[uc>>2]=A;de=vc;f[de>>2]=0;f[de+4>>2]=0;f[E>>2]=33619968;f[wc>>2]=A;RH(C,D,E,rE()|0,-1)}else{de=f[p>>2]|0;if((de|0)!=(ka|0)){Xd=f[m>>2]|0;f[C>>2]=de&4095|1124007936;f[Tc>>2]=2;f[Uc>>2]=Pd;f[Vc>>2]=Od;f[Wc>>2]=Xd;f[Xc>>2]=Xd;_d=Jd;f[_d>>2]=0;f[_d+4>>2]=0;f[_c>>2]=Uc;f[ad>>2]=$c;_d=(de>>>3&511)+1<<(47696>>>(de<<1&14)&3);be=Y(_d,Od)|0;f[$c>>2]=be;f[bd>>2]=_d;_d=Xd+(Y(be,Pd)|0)|0;f[Zc>>2]=_d;f[Yc>>2]=_d+(0-be)+be;hP(C);be=cd;f[be>>2]=0;f[be+4>>2]=0;f[D>>2]=33619968;f[dd>>2]=C;IO(B,D,de,1.0,i);de=f[ed>>2]|0;if(de|0){be=de+12|0;f[be>>2]=(f[be>>2]|0)+1}be=f[Pa>>2]|0;do if(be|0){de=be+12|0;_d=f[de>>2]|0;f[de>>2]=_d+-1;if((_d|0)!=1)break;lP(B)}while(0);f[Pa>>2]=0;f[hb>>2]=0;f[hb+4>>2]=0;f[hb+8>>2]=0;f[hb+12>>2]=0;if((f[nb>>2]|0)>0){be=f[Xa>>2]|0;_d=0;do{f[be+(_d<<2)>>2]=0;_d=_d+1|0;ge=f[nb>>2]|0}while((_d|0)<(ge|0));f[B>>2]=f[C>>2];if((ge|0)<3)Gb=217;else Gb=219}else{f[B>>2]=f[C>>2];Gb=217}do if((Gb|0)==217){Gb=0;_d=f[Tc>>2]|0;if((_d|0)>=3){Gb=219;break}f[nb>>2]=_d;f[kb>>2]=f[Uc>>2];f[jb>>2]=f[Vc>>2];_d=f[ad>>2]|0;be=f[Va>>2]|0;f[be>>2]=f[_d>>2];f[be+4>>2]=f[_d+4>>2]}while(0);if((Gb|0)==219){Gb=0;kP(B,C)}f[hb>>2]=f[Wc>>2];f[fb>>2]=f[Xc>>2];f[xb>>2]=f[Yc>>2];f[ab>>2]=f[Zc>>2];f[Ja>>2]=f[fd>>2];_d=f[ed>>2]|0;f[Pa>>2]=_d;do if(_d|0){be=_d+12|0;de=f[be>>2]|0;f[be>>2]=de+-1;if((de|0)!=1)break;lP(C)}while(0);f[ed>>2]=0;f[Wc>>2]=0;f[Wc+4>>2]=0;f[Wc+8>>2]=0;f[Wc+12>>2]=0;if((f[Tc>>2]|0)>0){_d=f[_c>>2]|0;de=0;do{f[_d+(de<<2)>>2]=0;de=de+1|0}while((de|0)<(f[Tc>>2]|0))}de=f[ad>>2]|0;if((de|0)!=($c|0))tE(de)}f[C>>2]=0;f[Sc>>2]=Nd;wG(B,1,A,1,C,1)}while(0);de=f[Mc>>2]|0;do if(de|0){_d=de+12|0;be=f[_d>>2]|0;f[_d>>2]=be+-1;if((be|0)!=1)break;lP(l)}while(0);f[Mc>>2]=0;f[Nc>>2]=0;f[Nc+4>>2]=0;f[Nc+8>>2]=0;f[Nc+12>>2]=0;if((f[Oc>>2]|0)>0){de=f[Pc>>2]|0;be=0;do{f[de+(be<<2)>>2]=0;be=be+1|0}while((be|0)<(f[Oc>>2]|0))}be=f[Qc>>2]|0;if((be|0)!=(Rc|0))tE(be);be=f[Pa>>2]|0;do if(be|0){de=be+12|0;_d=f[de>>2]|0;f[de>>2]=_d+-1;if((_d|0)!=1)break;lP(B)}while(0);f[Pa>>2]=0;f[hb>>2]=0;f[hb+4>>2]=0;f[hb+8>>2]=0;f[hb+12>>2]=0;if((f[nb>>2]|0)>0){be=f[Xa>>2]|0;_d=0;do{f[be+(_d<<2)>>2]=0;_d=_d+1|0}while((_d|0)<(f[nb>>2]|0))}_d=f[Va>>2]|0;if((_d|0)!=(xa|0))tE(_d);if((Nd|0)<(V|0))Nd=Nd+1|0;else break}Nd=f[sd>>2]|0;do if(Nd|0){Pd=Nd+12|0;Od=f[Pd>>2]|0;f[Pd>>2]=Od+-1;if((Od|0)!=1)break;lP(A)}while(0);f[sd>>2]=0;f[td>>2]=0;f[td+4>>2]=0;f[td+8>>2]=0;f[td+12>>2]=0;if((f[ud>>2]|0)>0){Nd=f[vd>>2]|0;Od=0;do{f[Nd+(Od<<2)>>2]=0;Od=Od+1|0}while((Od|0)<(f[ud>>2]|0))}Od=f[wd>>2]|0;if((Od|0)!=(xd|0))tE(Od);Od=f[Ia>>2]|0;do if(Od|0){Nd=Od+12|0;Pd=f[Nd>>2]|0;f[Nd>>2]=Pd+-1;if((Pd|0)!=1)break;lP(z)}while(0);f[Ia>>2]=0;f[Jb>>2]=0;f[Jb+4>>2]=0;f[Jb+8>>2]=0;f[Jb+12>>2]=0;if((f[Ra>>2]|0)>0){Od=f[yd>>2]|0;Pd=0;do{f[Od+(Pd<<2)>>2]=0;Pd=Pd+1|0}while((Pd|0)<(f[Ra>>2]|0))}Pd=f[Da>>2]|0;if((Pd|0)!=(zd|0))tE(Pd);Pd=f[Ad>>2]|0;do if(Pd|0){Od=Pd+12|0;Nd=f[Od>>2]|0;f[Od>>2]=Nd+-1;if((Nd|0)!=1)break;lP(y)}while(0);f[Ad>>2]=0;f[Bd>>2]=0;f[Bd+4>>2]=0;f[Bd+8>>2]=0;f[Bd+12>>2]=0;if((f[Cd>>2]|0)>0){Pd=f[Dd>>2]|0;Nd=0;do{f[Pd+(Nd<<2)>>2]=0;Nd=Nd+1|0}while((Nd|0)<(f[Cd>>2]|0))}Nd=f[Ed>>2]|0;if((Nd|0)!=(Fd|0))tE(Nd);Nd=f[Za>>2]|0;do if(Nd|0){Pd=Nd+12|0;Od=f[Pd>>2]|0;f[Pd>>2]=Od+-1;if((Od|0)!=1)break;lP(x)}while(0);f[Za>>2]=0;f[gb>>2]=0;f[gb+4>>2]=0;f[gb+8>>2]=0;f[gb+12>>2]=0;if((f[mb>>2]|0)>0){Nd=f[Gd>>2]|0;Od=0;do{f[Nd+(Od<<2)>>2]=0;Od=Od+1|0}while((Od|0)<(f[mb>>2]|0))}Od=f[Ta>>2]|0;if((Od|0)!=(Hd|0))tE(Od);Kd=Kd+1|0;if((Kd|0)>=(Aa|0))break b}f[l>>2]=0;f[l+4>>2]=0;da=YG(l,28)|0;ea=294548;fa=da+28|0;do{b[da>>0]=b[ea>>0]|0;da=da+1|0;ea=ea+1|0}while((da|0)<(fa|0));SQ(-215,l,294577,465158,579)}while(0);do if(!a){l=c+4|0;ea=f[l>>2]|0;f[l>>2]=ea+-1;if((ea|0)!=1)break;ai[f[(f[Lb>>2]|0)+8>>2]&2047](c)}while(0);do if(!Kb){c=t+4|0;Lb=f[c>>2]|0;f[c>>2]=Lb+-1;if((Lb|0)!=1)break;ai[f[(f[X>>2]|0)+8>>2]&2047](t)}while(0);t=f[ub>>2]|0;do if(t|0){X=t+12|0;Kb=f[X>>2]|0;f[X>>2]=Kb+-1;if((Kb|0)!=1)break;lP(w)}while(0);f[ub>>2]=0;f[wb>>2]=0;f[wb+4>>2]=0;f[wb+8>>2]=0;f[wb+12>>2]=0;if((f[za>>2]|0)>0){wb=f[pb>>2]|0;pb=0;do{f[wb+(pb<<2)>>2]=0;pb=pb+1|0}while((pb|0)<(f[za>>2]|0))}za=f[sb>>2]|0;if((za|0)!=(tb|0))tE(za);za=f[s>>2]|0;do if(za|0){s=za+4|0;tb=f[s>>2]|0;f[s>>2]=tb+-1;if((tb|0)!=1)break;ai[f[(f[za>>2]|0)+8>>2]&2047](za)}while(0);za=r+36|0;tb=f[za>>2]|0;do if(tb|0){s=tb+12|0;sb=f[s>>2]|0;f[s>>2]=sb+-1;if((sb|0)!=1)break;lP(r)}while(0);f[za>>2]=0;za=r+16|0;f[za>>2]=0;f[za+4>>2]=0;f[za+8>>2]=0;f[za+12>>2]=0;if((f[pa>>2]|0)>0){za=f[ra>>2]|0;ra=0;do{f[za+(ra<<2)>>2]=0;ra=ra+1|0}while((ra|0)<(f[pa>>2]|0))}pa=f[sa>>2]|0;if((pa|0)!=(qa|0))tE(pa);pa=q+36|0;qa=f[pa>>2]|0;do if(qa|0){sa=qa+12|0;ra=f[sa>>2]|0;f[sa>>2]=ra+-1;if((ra|0)!=1)break;lP(q)}while(0);f[pa>>2]=0;pa=q+16|0;f[pa>>2]=0;f[pa+4>>2]=0;f[pa+8>>2]=0;f[pa+12>>2]=0;if((f[R>>2]|0)>0){pa=f[ma>>2]|0;ma=0;do{f[pa+(ma<<2)>>2]=0;ma=ma+1|0}while((ma|0)<(f[R>>2]|0))}R=f[na>>2]|0;if((R|0)!=(ba|0))tE(R);R=f[Q>>2]|0;do if(R|0){ba=R+12|0;na=f[ba>>2]|0;f[ba>>2]=na+-1;if((na|0)!=1)break;lP(n)}while(0);f[Q>>2]=0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;if((f[G>>2]|0)>0){L=f[S>>2]|0;S=0;do{f[L+(S<<2)>>2]=0;S=S+1|0}while((S|0)<(f[G>>2]|0))}G=f[U>>2]|0;if((G|0)!=(T|0))tE(G);G=f[m>>2]|0;if(!G){u=k;return}if((f[F>>2]|0)!=(G|0))f[F>>2]=G;Emc(G);u=k;return}function Bha(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0.0,Ea=0.0,Fa=0.0,Ga=0.0,Ha=0.0,Ia=0.0,Ja=0.0,Ka=0.0,La=0,Ma=0,Na=0,Oa=0,Pa=0.0,Qa=0.0,Ra=0.0,Sa=0.0,Ta=0.0,Ua=0.0,Va=0.0,Wa=0,Xa=0;h=u;u=u+2192|0;i=h+1360|0;j=h+2136|0;k=h+1328|0;l=h+1272|0;m=h+1216|0;o=h+2080|0;q=h+2024|0;r=h+1912|0;s=h+1840|0;t=h+992|0;v=h+1768|0;w=h+768|0;x=h+1712|0;y=h+544|0;z=h+512|0;A=h+480|0;B=h+256|0;C=h+32|0;D=h+1656|0;E=h+1648|0;F=h+1640|0;G=h+1632|0;H=h+1624|0;I=h;J=h+1616|0;K=h+1608|0;N=h+1600|0;O=h+1592|0;P=h+1584|0;Q=h+2016|0;R=h+2008|0;S=h+2e3|0;T=h+1992|0;U=h+1984|0;V=h+1976|0;W=h+1968|0;X=h+1904|0;Z=h+1896|0;_=h+1832|0;$=h+1824|0;zT(P,58580);if(DD(g)|0){aa=oD(a,-1)|0;ba=(aa>>>3&511)+1|0;if(e>>>0>=6){f[i>>2]=0;f[i+4>>2]=0;ca=YG(i,55)|0;da=269917;ea=ca+55|0;do{b[ca>>0]=b[da>>0]|0;ca=ca+1|0;da=da+1|0}while((ca|0)<(ea|0));SQ(-215,i,270072,269665,1101)}switch(aa&7){case 0:case 5:break;default:{f[i>>2]=0;fa=i+4|0;f[fa>>2]=0;ga=YG(i,80)|0;ca=ga;da=269991;ea=ca+80|0;do{b[ca>>0]=b[da>>0]|0;ca=ca+1|0;da=da+1|0}while((ca|0)<(ea|0));SQ(-215,i,270072,269665,1102)}}if((aa|0)!=(oD(c,-1)|0)){f[i>>2]=0;fa=i+4|0;f[fa>>2]=0;ga=YG(i,80)|0;ca=ga;da=269991;ea=ca+80|0;do{b[ca>>0]=b[da>>0]|0;ca=ca+1|0;da=da+1|0}while((ca|0)<(ea|0));SQ(-215,i,270072,269665,1102)}if((zD(a,-1)|0)>=3){f[i>>2]=0;fa=i+4|0;f[fa>>2]=0;ga=YG(i,80)|0;ca=ga;da=269991;ea=ca+80|0;do{b[ca>>0]=b[da>>0]|0;ca=ca+1|0;da=da+1|0}while((ca|0)<(ea|0));SQ(-215,i,270072,269665,1102)}nD(Q,a,-1);ga=f[Q+4>>2]|0;nD(R,c,-1);if((ga|0)>=(f[R+4>>2]|0)?(nD(S,a,-1),R=f[S>>2]|0,nD(T,c,-1),(R|0)>=(f[T>>2]|0)):0)ha=0;else{nD(U,a,-1);T=f[U+4>>2]|0;nD(V,c,-1);if((T|0)>(f[V+4>>2]|0)){f[i>>2]=0;ia=i+4|0;f[ia>>2]=0;ja=YG(i,86)|0;ca=ja;da=270086;ea=ca+86|0;do{b[ca>>0]=b[da>>0]|0;ca=ca+1|0;da=da+1|0}while((ca|0)<(ea|0));SQ(-215,i,270072,269665,1107)}nD(W,a,-1);V=f[W>>2]|0;nD(X,c,-1);if((V|0)>(f[X>>2]|0)){f[i>>2]=0;ia=i+4|0;f[ia>>2]=0;ja=YG(i,86)|0;ca=ja;da=270086;ea=ca+86|0;do{b[ca>>0]=b[da>>0]|0;ca=ca+1|0;da=da+1|0}while((ca|0)<(ea|0));SQ(-215,i,270072,269665,1107)}else ha=1}do if((pD(a)|0)==65536){ja=f[a+4>>2]|0;f[r>>2]=f[ja>>2];ia=r+4|0;X=ja+4|0;f[ia>>2]=f[X>>2];V=r+8|0;f[V>>2]=f[ja+8>>2];f[r+12>>2]=f[ja+12>>2];f[r+16>>2]=f[ja+16>>2];f[r+20>>2]=f[ja+20>>2];f[r+24>>2]=f[ja+24>>2];f[r+28>>2]=f[ja+28>>2];f[r+32>>2]=f[ja+32>>2];W=f[ja+36>>2]|0;f[r+36>>2]=W;f[r+40>>2]=V;V=r+48|0;T=r+44|0;f[T>>2]=V;f[V>>2]=0;f[r+52>>2]=0;if(W|0){V=W+12|0;f[V>>2]=(f[V>>2]|0)+1}if((f[X>>2]|0)<3){X=f[ja+44>>2]|0;V=f[T>>2]|0;f[V>>2]=f[X>>2];f[V+4>>2]=f[X+4>>2];break}else{f[ia>>2]=0;kP(r,ja);break}}else lD(r,a,-1);while(0);do if((pD(c)|0)==65536){ja=f[c+4>>2]|0;f[s>>2]=f[ja>>2];ia=s+4|0;X=ja+4|0;f[ia>>2]=f[X>>2];V=s+8|0;f[V>>2]=f[ja+8>>2];f[s+12>>2]=f[ja+12>>2];f[s+16>>2]=f[ja+16>>2];f[s+20>>2]=f[ja+20>>2];f[s+24>>2]=f[ja+24>>2];f[s+28>>2]=f[ja+28>>2];f[s+32>>2]=f[ja+32>>2];T=f[ja+36>>2]|0;f[s+36>>2]=T;f[s+40>>2]=V;V=s+48|0;W=s+44|0;f[W>>2]=V;f[V>>2]=0;f[s+52>>2]=0;if(T|0){V=T+12|0;f[V>>2]=(f[V>>2]|0)+1}if((f[X>>2]|0)<3){X=f[ja+44>>2]|0;V=f[W>>2]|0;f[V>>2]=f[X>>2];f[V+4>>2]=f[X+4>>2];break}else{f[ia>>2]=0;kP(s,ja);break}}else lD(s,c,-1);while(0);if(ha){f[i>>2]=f[r>>2];ha=i+4|0;ja=r+4|0;ia=f[ja>>2]|0;f[ha>>2]=ia;X=i+8|0;V=r+8|0;f[X>>2]=f[V>>2];W=i+12|0;T=r+12|0;f[W>>2]=f[T>>2];U=i+16|0;R=r+16|0;f[U>>2]=f[R>>2];S=i+20|0;ga=r+20|0;f[S>>2]=f[ga>>2];Q=i+24|0;fa=r+24|0;f[Q>>2]=f[fa>>2];aa=i+28|0;ka=r+28|0;f[aa>>2]=f[ka>>2];la=i+32|0;ma=r+32|0;f[la>>2]=f[ma>>2];na=i+36|0;oa=r+36|0;pa=f[oa>>2]|0;f[na>>2]=pa;qa=i+40|0;f[qa>>2]=X;ra=i+48|0;sa=i+44|0;f[sa>>2]=ra;f[ra>>2]=0;f[i+52>>2]=0;if(!pa)ta=ia;else{ia=pa+12|0;f[ia>>2]=(f[ia>>2]|0)+1;ta=f[ja>>2]|0}if((ta|0)<3){ta=f[r+44>>2]|0;ia=f[sa>>2]|0;f[ia>>2]=f[ta>>2];f[ia+4>>2]=f[ta+4>>2]}else{f[ha>>2]=0;kP(i,r)}ta=s+36|0;ia=f[ta>>2]|0;if(ia|0){pa=ia+12|0;f[pa>>2]=(f[pa>>2]|0)+1}pa=f[oa>>2]|0;if(pa|0?(ia=pa+12|0,pa=f[ia>>2]|0,f[ia>>2]=pa+-1,(pa|0)==1):0)lP(r);f[oa>>2]=0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((f[ja>>2]|0)>0){pa=f[r+40>>2]|0;ia=0;do{f[pa+(ia<<2)>>2]=0;ia=ia+1|0;ua=f[ja>>2]|0}while((ia|0)<(ua|0));f[r>>2]=f[s>>2];if((ua|0)<3)va=171;else va=173}else{f[r>>2]=f[s>>2];va=171}if((va|0)==171){ua=f[s+4>>2]|0;if((ua|0)<3){f[ja>>2]=ua;f[V>>2]=f[s+8>>2];f[T>>2]=f[s+12>>2];ua=f[s+44>>2]|0;ja=f[r+44>>2]|0;f[ja>>2]=f[ua>>2];f[ja+4>>2]=f[ua+4>>2]}else va=173}if((va|0)==173)kP(r,s);ua=s+16|0;f[R>>2]=f[ua>>2];R=s+20|0;f[ga>>2]=f[R>>2];ga=s+24|0;f[fa>>2]=f[ga>>2];fa=s+28|0;f[ka>>2]=f[fa>>2];ka=s+32|0;f[ma>>2]=f[ka>>2];ma=f[ta>>2]|0;f[oa>>2]=ma;oa=f[na>>2]|0;if(!oa)wa=ma;else{ma=oa+12|0;f[ma>>2]=(f[ma>>2]|0)+1;wa=f[ta>>2]|0}if(wa|0?(ma=wa+12|0,wa=f[ma>>2]|0,f[ma>>2]=wa+-1,(wa|0)==1):0)lP(s);f[ta>>2]=0;wa=s+4|0;f[ua>>2]=0;f[ua+4>>2]=0;f[ua+8>>2]=0;f[ua+12>>2]=0;if((f[wa>>2]|0)>0){ma=f[s+40>>2]|0;oa=0;do{f[ma+(oa<<2)>>2]=0;oa=oa+1|0;xa=f[wa>>2]|0}while((oa|0)<(xa|0));f[s>>2]=f[i>>2];if((xa|0)<3)va=184;else va=186}else{f[s>>2]=f[i>>2];va=184}if((va|0)==184){xa=f[ha>>2]|0;if((xa|0)<3){f[wa>>2]=xa;f[s+8>>2]=f[X>>2];f[s+12>>2]=f[W>>2];W=f[sa>>2]|0;X=f[s+44>>2]|0;f[X>>2]=f[W>>2];f[X+4>>2]=f[W+4>>2]}else va=186}if((va|0)==186)kP(s,i);f[ua>>2]=f[U>>2];f[R>>2]=f[S>>2];f[ga>>2]=f[Q>>2];f[fa>>2]=f[aa>>2];f[ka>>2]=f[la>>2];la=f[na>>2]|0;f[ta>>2]=la;do if(la|0){ta=la+12|0;ka=f[ta>>2]|0;f[ta>>2]=ka+-1;if((ka|0)!=1)break;lP(i)}while(0);f[na>>2]=0;f[U>>2]=0;f[U+4>>2]=0;f[U+8>>2]=0;f[U+12>>2]=0;if((f[ha>>2]|0)>0){U=f[qa>>2]|0;qa=0;do{f[U+(qa<<2)>>2]=0;qa=qa+1|0}while((qa|0)<(f[ha>>2]|0))}ha=f[sa>>2]|0;if((ha|0)!=(ra|0))tE(ha);ya=V;za=T}else{ya=r+8|0;za=r+12|0}T=s+12|0;V=s+8|0;ha=(f[ya>>2]|0)+1-(f[V>>2]|0)|0;f[Z>>2]=(f[za>>2]|0)+1-(f[T>>2]|0);f[Z+4>>2]=ha;HD(d,Z,5,-1,0,0);do if((pD(d)|0)==65536){Z=f[d+4>>2]|0;f[t>>2]=f[Z>>2];ha=t+4|0;za=Z+4|0;f[ha>>2]=f[za>>2];ya=t+8|0;f[ya>>2]=f[Z+8>>2];f[t+12>>2]=f[Z+12>>2];f[t+16>>2]=f[Z+16>>2];f[t+20>>2]=f[Z+20>>2];f[t+24>>2]=f[Z+24>>2];f[t+28>>2]=f[Z+28>>2];f[t+32>>2]=f[Z+32>>2];ra=f[Z+36>>2]|0;f[t+36>>2]=ra;sa=t+40|0;f[sa>>2]=ya;ya=t+48|0;qa=t+44|0;f[qa>>2]=ya;f[ya>>2]=0;f[t+52>>2]=0;if(ra|0){ya=ra+12|0;f[ya>>2]=(f[ya>>2]|0)+1}if((f[za>>2]|0)<3){za=f[Z+44>>2]|0;ya=f[qa>>2]|0;f[ya>>2]=f[za>>2];f[ya+4>>2]=f[za+4>>2];Aa=sa;Ba=t;break}else{f[ha>>2]=0;kP(t,Z);Aa=sa;Ba=t;break}}else{lD(t,d,-1);Aa=t+40|0;Ba=t}while(0);sa=f[Aa>>2]|0;Z=f[sa>>2]|0;f[_>>2]=f[sa+4>>2];f[_+4>>2]=Z;Z=f[Ba>>2]&4095;f[$>>2]=0;f[$+4>>2]=0;Aha(r,s,t,_,Z,$,0.0,0);switch(e|0){case 2:break;case 3:{Ca=0;va=205;break}default:{Ca=(e|1|0)==5?1:2;va=205}}if((va|0)==205){$=(e|0)==5;Da=1.0/(+(f[V>>2]|0)*+(f[T>>2]|0));f[i>>2]=1124007936;Z=i+4|0;_=i+8|0;Ba=i+40|0;ca=Z;ea=ca+36|0;do{f[ca>>2]=0;ca=ca+4|0}while((ca|0)<(ea|0));f[Ba>>2]=_;_=i+48|0;sa=i+44|0;f[sa>>2]=_;f[_>>2]=0;f[i+52>>2]=0;f[j>>2]=1124007936;ha=j+4|0;za=j+8|0;ya=j+40|0;ca=ha;ea=ca+36|0;do{f[ca>>2]=0;ca=ca+4|0}while((ca|0)<(ea|0));f[ya>>2]=za;za=j+48|0;qa=j+44|0;f[qa>>2]=za;f[za>>2]=0;f[j+52>>2]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;f[k+24>>2]=0;f[k+28>>2]=0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;f[l+28>>2]=0;do if((e|0)!=4){f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=r;ra=o+8|0;f[ra>>2]=0;f[ra+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=i;ra=q+8|0;f[ra>>2]=0;f[ra+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=j;U6(m,o,q,6,-1);f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=s;f[o>>2]=-1040056314;f[o+4>>2]=k;f[o+8>>2]=1;f[o+12>>2]=4;f[q>>2]=-1040056314;f[q+4>>2]=l;f[q+8>>2]=1;f[q+12>>2]=4;cS(m,o,q,rE()|0);Ea=+p[l>>3];Fa=+p[l+8>>3];Ga=+p[l+16>>3];Ha=+p[l+24>>3];Ia=Ea*Ea+Fa*Fa+Ga*Ga+Ha*Ha;if($&Ia<2.220446049250313e-16){p[m>>3]=1.0;p[m+8>>3]=1.0;p[m+16>>3]=1.0;p[m+24>>3]=1.0;nT(t,m)|0;break}Ha=+p[k>>3];Ga=+p[k+8>>3];Fa=+p[k+16>>3];Ea=+p[k+24>>3];Ja=Ia+Ha*Ha+Ga*Ga+Fa*Fa+Ea*Ea;if((Ca|0)==1)Ka=Ia;else{f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;f[k+24>>2]=0;f[k+28>>2]=0;Ka=Ja}ra=f[j+16>>2]|0;if(!ra){f[m>>2]=0;f[m+4>>2]=0;ca=YG(m,18)|0;da=270173;ea=ca+18|0;do{b[ca>>0]=b[da>>0]|0;ca=ca+1|0;da=da+1|0}while((ca|0)<(ea|0));SQ(-215,m,270192,269665,892)}else{Ia=+M(+Ka)/+M(+Da);U=Y(f[T>>2]|0,ba)|0;na=ra+(Y(f[za>>2]|0,f[V>>2]|0)|0)|0;La=ra;Ma=ra+(U<<3)|0;Na=na;Oa=na+(U<<3)|0;Pa=Ja/Da;Qa=Ia;va=214;break}}else{f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=r;U=o+8|0;f[U>>2]=0;f[U+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=i;T6(m,o,6);f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=s;aS(m,o,rE()|0);f[k>>2]=f[m>>2];f[k+4>>2]=f[m+4>>2];f[k+8>>2]=f[m+8>>2];f[k+12>>2]=f[m+12>>2];f[k+16>>2]=f[m+16>>2];f[k+20>>2]=f[m+20>>2];f[k+24>>2]=f[m+24>>2];f[k+28>>2]=f[m+28>>2];La=0;Ma=0;Na=0;Oa=0;Pa=0.0;Qa=0.0;va=214}while(0);if((va|0)==214){va=f[i+16>>2]|0;if(!va){f[m>>2]=0;f[m+4>>2]=0;ca=YG(m,16)|0;da=270213;ea=ca+16|0;do{b[ca>>0]=b[da>>0]|0;ca=ca+1|0;da=da+1|0}while((ca|0)<(ea|0));SQ(-215,m,270192,269665,899)}$=Y(f[T>>2]|0,ba)|0;T=va+($<<3)|0;U=f[_>>2]|0;na=va+(Y(U,f[V>>2]|0)|0)|0;V=na+($<<3)|0;$=U>>>3;U=(f[j+16>>2]|0)==0?0:(f[za>>2]|0)>>>3;la=f[t+8>>2]|0;if((la|0)>0){ka=f[t+16>>2]|0;ta=f[f[t+44>>2]>>2]|0;aa=f[t+12>>2]|0;fa=(aa|0)>0;Ka=+((e|0)==1&1);Q=Ca&255;Ca=0;do{ga=ka+(Y(Ca,ta)|0)|0;S=Y(Ca,U)|0;a:do if(fa)switch(Q&3){case 1:{R=S;ua=Y(Ca,$)|0;W=0;while(1){X=ga+(W<<2)|0;Ia=0.0;Ea=+n[X>>2];xa=0;do{wa=xa+ua|0;Fa=+p[va+(wa<<3)>>3]-+p[T+(wa<<3)>>3]-+p[na+(wa<<3)>>3]+ +p[V+(wa<<3)>>3];Ia=Ia+Fa*Fa;Ea=Ea-Fa*+p[k+(xa<<3)>>3];xa=xa+1|0}while((xa|0)!=(ba|0));Fa=Da*Ia;switch(e|0){case 1:case 3:case 5:{Ga=0.0;xa=0;while(1){wa=xa+R|0;Ha=Ga+(+p[La+(wa<<3)>>3]-+p[Ma+(wa<<3)>>3]-+p[Na+(wa<<3)>>3]+ +p[Oa+(wa<<3)>>3]);xa=xa+1|0;if((xa|0)==(ba|0)){Ra=Ha;break}else Ga=Ha}break}default:Ra=0.0}b:do switch(e|0){case 1:case 3:case 5:{Ga=Ra-Fa;Ia=Qa*+M(+(Ga<0.0?0.0:Ga));Ga=+L(+Ea);if(Ga<Ia){Sa=Ea/Ia;break b}if(!(Ga<Ia*1.125)){Sa=Ka;break b}Sa=Ea>0.0?1.0:-1.0;break}default:Sa=Ea}while(0);n[X>>2]=Sa;W=W+1|0;if((W|0)==(aa|0))break a;else{R=R+ba|0;ua=ua+ba|0}}break}case 2:{ua=S;R=0;while(1){W=ga+(R<<2)|0;Ea=+n[W>>2];Fa=0.0;xa=0;do{wa=xa+ua|0;Fa=Fa+(+p[La+(wa<<3)>>3]-+p[Ma+(wa<<3)>>3]-+p[Na+(wa<<3)>>3]+ +p[Oa+(wa<<3)>>3]);xa=xa+1|0}while((xa|0)!=(ba|0));Ia=Pa+(Fa-Ea*2.0);Ga=Ia<0.0?0.0:Ia;c:do switch(e|0){case 1:case 3:case 5:{Ia=Qa*+M(+(Fa<0.0?0.0:Fa));Ha=+L(+Ga);if(Ha<Ia){Ta=Ga/Ia;break c}if(!(Ha<Ia*1.125)){Ta=Ka;break c}Ta=Ga>0.0?1.0:-1.0;break}default:Ta=Ga}while(0);n[W>>2]=Ta;R=R+1|0;if((R|0)==(aa|0))break a;else ua=ua+ba|0}break}default:{ua=S;R=0;while(1){xa=ga+(R<<2)|0;Ga=+n[xa>>2];Fa=Ga;switch(e|0){case 1:case 3:case 5:{Ea=0.0;X=0;while(1){wa=X+ua|0;Ia=Ea+(+p[La+(wa<<3)>>3]-+p[Ma+(wa<<3)>>3]-+p[Na+(wa<<3)>>3]+ +p[Oa+(wa<<3)>>3]);X=X+1|0;if((X|0)==(ba|0)){Ua=Ia;break}else Ea=Ia}break}default:Ua=0.0}d:do switch(e|0){case 1:case 3:case 5:{Ea=Qa*+M(+(Ua<0.0?0.0:Ua));Ia=+L(+Ga);if(Ia<Ea){Va=Fa/Ea;break d}if(!(Ia<Ea*1.125)){Va=Ka;break d}Va=Ga>0.0?1.0:-1.0;break}default:Va=Fa}while(0);n[xa>>2]=Va;R=R+1|0;if((R|0)==(aa|0))break a;else ua=ua+ba|0}}}while(0);Ca=Ca+1|0}while((Ca|0)!=(la|0))}}la=j+36|0;Ca=f[la>>2]|0;if(Ca|0?(ba=Ca+12|0,Ca=f[ba>>2]|0,f[ba>>2]=Ca+-1,(Ca|0)==1):0)lP(j);f[la>>2]=0;la=j+16|0;f[la>>2]=0;f[la+4>>2]=0;f[la+8>>2]=0;f[la+12>>2]=0;if((f[ha>>2]|0)>0){la=f[ya>>2]|0;ya=0;do{f[la+(ya<<2)>>2]=0;ya=ya+1|0}while((ya|0)<(f[ha>>2]|0))}ha=f[qa>>2]|0;if((ha|0)!=(za|0))tE(ha);ha=i+36|0;za=f[ha>>2]|0;if(za|0?(qa=za+12|0,za=f[qa>>2]|0,f[qa>>2]=za+-1,(za|0)==1):0)lP(i);f[ha>>2]=0;ha=i+16|0;f[ha>>2]=0;f[ha+4>>2]=0;f[ha+8>>2]=0;f[ha+12>>2]=0;if((f[Z>>2]|0)>0){ha=f[Ba>>2]|0;Ba=0;do{f[ha+(Ba<<2)>>2]=0;Ba=Ba+1|0}while((Ba|0)<(f[Z>>2]|0))}Z=f[sa>>2]|0;if((Z|0)!=(_|0))tE(Z)}Z=t+36|0;_=f[Z>>2]|0;if(_|0?(sa=_+12|0,_=f[sa>>2]|0,f[sa>>2]=_+-1,(_|0)==1):0)lP(t);f[Z>>2]=0;Z=t+16|0;_=t+4|0;f[Z>>2]=0;f[Z+4>>2]=0;f[Z+8>>2]=0;f[Z+12>>2]=0;if((f[_>>2]|0)>0){Z=f[Aa>>2]|0;Aa=0;do{f[Z+(Aa<<2)>>2]=0;Aa=Aa+1|0}while((Aa|0)<(f[_>>2]|0))}_=f[t+44>>2]|0;if((_|0)!=(t+48|0))tE(_);_=s+36|0;Aa=f[_>>2]|0;if(Aa|0?(Z=Aa+12|0,Aa=f[Z>>2]|0,f[Z>>2]=Aa+-1,(Aa|0)==1):0)lP(s);f[_>>2]=0;_=s+16|0;Aa=s+4|0;f[_>>2]=0;f[_+4>>2]=0;f[_+8>>2]=0;f[_+12>>2]=0;if((f[Aa>>2]|0)>0){_=f[s+40>>2]|0;Z=0;do{f[_+(Z<<2)>>2]=0;Z=Z+1|0}while((Z|0)<(f[Aa>>2]|0))}Aa=f[s+44>>2]|0;if((Aa|0)!=(s+48|0))tE(Aa);Aa=r+36|0;Z=f[Aa>>2]|0;if(Z|0?(_=Z+12|0,Z=f[_>>2]|0,f[_>>2]=Z+-1,(Z|0)==1):0)lP(r);f[Aa>>2]=0;Aa=r+16|0;Z=r+4|0;f[Aa>>2]=0;f[Aa+4>>2]=0;f[Aa+8>>2]=0;f[Aa+12>>2]=0;if((f[Z>>2]|0)>0){Aa=f[r+40>>2]|0;_=0;do{f[Aa+(_<<2)>>2]=0;_=_+1|0}while((_|0)<(f[Z>>2]|0))}Z=f[r+44>>2]|0;if((Z|0)!=(r+48|0))tE(Z)}else{Z=oD(a,-1)|0;_=Z&4088;if(e>>>0>=6){f[i>>2]=0;f[i+4>>2]=0;ca=YG(i,55)|0;da=269917;ea=ca+55|0;do{b[ca>>0]=b[da>>0]|0;ca=ca+1|0;da=da+1|0}while((ca|0)<(ea|0));SQ(-215,i,269973,269665,768)}Aa=(Z&7|0)==0;switch(Z&7){case 0:case 5:break;default:{f[i>>2]=0;Wa=i+4|0;f[Wa>>2]=0;Xa=YG(i,80)|0;ca=Xa;da=269991;ea=ca+80|0;do{b[ca>>0]=b[da>>0]|0;ca=ca+1|0;da=da+1|0}while((ca|0)<(ea|0));SQ(-215,i,269973,269665,769)}}if((Z|0)!=(oD(c,-1)|0)){f[i>>2]=0;Wa=i+4|0;f[Wa>>2]=0;Xa=YG(i,80)|0;ca=Xa;da=269991;ea=ca+80|0;do{b[ca>>0]=b[da>>0]|0;ca=ca+1|0;da=da+1|0}while((ca|0)<(ea|0));SQ(-215,i,269973,269665,769)}if((zD(a,-1)|0)>=3){f[i>>2]=0;Wa=i+4|0;f[Wa>>2]=0;Xa=YG(i,80)|0;ca=Xa;da=269991;ea=ca+80|0;do{b[ca>>0]=b[da>>0]|0;ca=ca+1|0;da=da+1|0}while((ca|0)<(ea|0));SQ(-215,i,269973,269665,769)}do if((pD(a)|0)==65536){da=f[a+4>>2]|0;f[l>>2]=f[da>>2];Xa=l+4|0;Wa=da+4|0;f[Xa>>2]=f[Wa>>2];Z=l+8|0;f[Z>>2]=f[da+8>>2];f[l+12>>2]=f[da+12>>2];f[l+16>>2]=f[da+16>>2];f[l+20>>2]=f[da+20>>2];f[l+24>>2]=f[da+24>>2];f[l+28>>2]=f[da+28>>2];f[l+32>>2]=f[da+32>>2];sa=f[da+36>>2]|0;f[l+36>>2]=sa;f[l+40>>2]=Z;Z=l+48|0;Ba=l+44|0;f[Ba>>2]=Z;f[Z>>2]=0;f[l+52>>2]=0;if(sa|0){Z=sa+12|0;f[Z>>2]=(f[Z>>2]|0)+1}if((f[Wa>>2]|0)<3){Wa=f[da+44>>2]|0;Z=f[Ba>>2]|0;f[Z>>2]=f[Wa>>2];f[Z+4>>2]=f[Wa+4>>2];break}else{f[Xa>>2]=0;kP(l,da);break}}else lD(l,a,-1);while(0);do if((pD(c)|0)==65536){a=f[c+4>>2]|0;f[m>>2]=f[a>>2];da=m+4|0;Xa=a+4|0;f[da>>2]=f[Xa>>2];Wa=m+8|0;f[Wa>>2]=f[a+8>>2];f[m+12>>2]=f[a+12>>2];f[m+16>>2]=f[a+16>>2];f[m+20>>2]=f[a+20>>2];f[m+24>>2]=f[a+24>>2];f[m+28>>2]=f[a+28>>2];f[m+32>>2]=f[a+32>>2];Z=f[a+36>>2]|0;f[m+36>>2]=Z;f[m+40>>2]=Wa;Wa=m+48|0;Ba=m+44|0;f[Ba>>2]=Wa;f[Wa>>2]=0;f[m+52>>2]=0;if(Z|0){Wa=Z+12|0;f[Wa>>2]=(f[Wa>>2]|0)+1}if((f[Xa>>2]|0)<3){Xa=f[a+44>>2]|0;Wa=f[Ba>>2]|0;f[Wa>>2]=f[Xa>>2];f[Wa+4>>2]=f[Xa+4>>2];break}else{f[da>>2]=0;kP(m,a);break}}else lD(m,c,-1);while(0);do if((pD(g)|0)==65536){c=f[g+4>>2]|0;f[o>>2]=f[c>>2];a=o+4|0;da=c+4|0;f[a>>2]=f[da>>2];Xa=o+8|0;f[Xa>>2]=f[c+8>>2];f[o+12>>2]=f[c+12>>2];f[o+16>>2]=f[c+16>>2];f[o+20>>2]=f[c+20>>2];f[o+24>>2]=f[c+24>>2];f[o+28>>2]=f[c+28>>2];f[o+32>>2]=f[c+32>>2];Wa=f[c+36>>2]|0;f[o+36>>2]=Wa;f[o+40>>2]=Xa;Xa=o+48|0;Ba=o+44|0;f[Ba>>2]=Xa;f[Xa>>2]=0;f[o+52>>2]=0;if(Wa|0){Xa=Wa+12|0;f[Xa>>2]=(f[Xa>>2]|0)+1}if((f[da>>2]|0)<3){da=f[c+44>>2]|0;Xa=f[Ba>>2]|0;f[Xa>>2]=f[da>>2];f[Xa+4>>2]=f[da+4>>2];break}else{f[a>>2]=0;kP(o,c);break}}else lD(o,g,-1);while(0);g=f[m>>2]|0;c=f[l>>2]&4088;if(Aa){a=i+8|0;f[a>>2]=0;f[a+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=l;IO(l,i,_|5,.00392156862745098,0.0)}if(!(g&7)){_=i+8|0;f[_>>2]=0;f[_+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=m;IO(m,i,g&4088|5,.00392156862745098,0.0)}if(Aa){f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=o;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;f[k+24>>2]=0;f[k+28>>2]=0;f[j>>2]=-1056833530;f[j+4>>2]=k;f[j+8>>2]=1;f[j+12>>2]=4;Aa=q+8|0;f[Aa>>2]=0;f[Aa+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=o;nJ(i,j,q,5);Aa=i+8|0;f[Aa>>2]=0;f[Aa+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=o;IO(o,i,c|5,.00392156862745098,0.0)}c=m+12|0;Aa=(f[l+12>>2]|0)-(f[c>>2]|0)+1|0;g=m+8|0;_=(f[l+8>>2]|0)-(f[g>>2]|0)+1|0;f[r>>2]=Aa;f[r+4>>2]=_;HD(d,r,5,-1,0,0);do if((pD(d)|0)==65536){r=f[d+4>>2]|0;f[q>>2]=f[r>>2];a=q+4|0;da=r+4|0;f[a>>2]=f[da>>2];Xa=q+8|0;f[Xa>>2]=f[r+8>>2];f[q+12>>2]=f[r+12>>2];f[q+16>>2]=f[r+16>>2];f[q+20>>2]=f[r+20>>2];f[q+24>>2]=f[r+24>>2];f[q+28>>2]=f[r+28>>2];f[q+32>>2]=f[r+32>>2];Ba=f[r+36>>2]|0;f[q+36>>2]=Ba;f[q+40>>2]=Xa;Xa=q+48|0;Wa=q+44|0;f[Wa>>2]=Xa;f[Xa>>2]=0;f[q+52>>2]=0;if(Ba|0){Xa=Ba+12|0;f[Xa>>2]=(f[Xa>>2]|0)+1}if((f[da>>2]|0)<3){da=f[r+44>>2]|0;Xa=f[Wa>>2]|0;f[Xa>>2]=f[da>>2];f[Xa+4>>2]=f[da+4>>2];break}else{f[a>>2]=0;kP(q,r);break}}else lD(q,d,-1);while(0);f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=l;oG(t,l,i,1.0);f[s>>2]=1124007936;d=s+4|0;r=s+8|0;a=s+40|0;ca=d;ea=ca+36|0;do{f[ca>>2]=0;ca=ca+4|0}while((ca|0)<(ea|0));f[a>>2]=r;r=s+48|0;da=s+44|0;f[da>>2]=r;f[r>>2]=0;f[s+52>>2]=0;Xa=f[t>>2]|0;rh[f[(f[Xa>>2]|0)+12>>2]&255](Xa,t,s,-1);Xi(t);f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=o;oG(w,o,i,1.0);f[v>>2]=1124007936;t=v+4|0;Xa=v+8|0;Wa=v+40|0;ca=t;ea=ca+36|0;do{f[ca>>2]=0;ca=ca+4|0}while((ca|0)<(ea|0));f[Wa>>2]=Xa;Xa=v+48|0;Ba=v+44|0;f[Ba>>2]=Xa;f[Xa>>2]=0;f[v+52>>2]=0;Z=f[w>>2]|0;rh[f[(f[Z>>2]|0)+12>>2]&255](Z,w,v,-1);Xi(w);f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=o;oG(y,m,i,1.0);f[x>>2]=1124007936;w=x+4|0;Z=x+8|0;sa=x+40|0;ca=w;ea=ca+36|0;do{f[ca>>2]=0;ca=ca+4|0}while((ca|0)<(ea|0));f[sa>>2]=Z;Z=x+48|0;ha=x+44|0;f[ha>>2]=Z;f[Z>>2]=0;f[x+52>>2]=0;za=f[y>>2]|0;rh[f[(f[za>>2]|0)+12>>2]&255](za,y,x,-1);Xi(y);f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;f[z+16>>2]=0;f[z+20>>2]=0;f[z+24>>2]=0;f[z+28>>2]=0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;f[A+16>>2]=0;f[A+20>>2]=0;f[A+24>>2]=0;f[A+28>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=x;f[j>>2]=-1040056314;f[j+4>>2]=z;f[j+8>>2]=1;f[j+12>>2]=4;f[k>>2]=-1040056314;f[k+4>>2]=A;f[k+8>>2]=1;f[k+12>>2]=4;cS(i,j,k,rE()|0);Va=+p[A>>3];Ka=+p[A+8>>3];Ua=+p[A+16>>3];Qa=+p[A+24>>3];Ta=+p[z>>3];Pa=+p[z+8>>3];Sa=+p[z+16>>3];Ra=+p[z+24>>3];Da=(Va*Va+Ka*Ka+Ua*Ua+Qa*Qa+(Ta*Ta+Pa*Pa+Sa*Sa+Ra*Ra))*(+(f[g>>2]|0)*+(f[c>>2]|0));e:do switch(e|0){case 0:{f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=v;oG(C,m,i,1.0);f[B>>2]=1124007936;c=B+4|0;g=B+8|0;z=B+40|0;ca=c;ea=ca+36|0;do{f[ca>>2]=0;ca=ca+4|0}while((ca|0)<(ea|0));f[z>>2]=g;A=B+48|0;y=B+44|0;f[y>>2]=A;f[A>>2]=0;f[B+52>>2]=0;za=f[C>>2]|0;rh[f[(f[za>>2]|0)+12>>2]&255](za,C,B,-1);Xi(C);f[D>>2]=1124007936;za=D+4|0;qa=D+8|0;ya=D+40|0;ca=za;ea=ca+36|0;do{f[ca>>2]=0;ca=ca+4|0}while((ca|0)<(ea|0));f[ya>>2]=qa;g=D+48|0;la=D+44|0;f[la>>2]=g;f[g>>2]=0;f[D+52>>2]=0;f[i>>2]=_;f[i+4>>2]=Aa;iP(D,2,i,5);Ca=f[ya>>2]|0;ba=f[Ca>>2]|0;f[E>>2]=f[Ca+4>>2];f[E+4>>2]=ba;ba=f[D>>2]&4095;f[F>>2]=0;f[F+4>>2]=0;Aha(l,B,D,E,ba,F,0.0,0);ba=f[q+40>>2]|0;Ca=f[ba>>2]|0;f[G>>2]=f[ba+4>>2];f[G+4>>2]=Ca;Ca=f[q>>2]&4095;f[H>>2]=0;f[H+4>>2]=0;Aha(s,o,q,G,Ca,H,0.0,0);cG(i,D,2.0);Ca=f[i>>2]|0;Yh[f[(f[Ca>>2]|0)+28>>2]&511](Ca,i,q);Xi(i);p[I>>3]=Da;Ca=I+8|0;f[Ca>>2]=0;f[Ca+4>>2]=0;f[Ca+8>>2]=0;f[Ca+12>>2]=0;f[Ca+16>>2]=0;f[Ca+20>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=q;f[j>>2]=-1056833530;f[j+4>>2]=I;f[j+8>>2]=1;f[j+12>>2]=4;Ca=k+8|0;f[Ca>>2]=0;f[Ca+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=q;RH(i,j,k,rE()|0,-1);Ca=D+36|0;ba=f[Ca>>2]|0;if(ba|0?(aa=ba+12|0,ba=f[aa>>2]|0,f[aa>>2]=ba+-1,(ba|0)==1):0)lP(D);f[Ca>>2]=0;Ca=D+16|0;f[Ca>>2]=0;f[Ca+4>>2]=0;f[Ca+8>>2]=0;f[Ca+12>>2]=0;if((f[za>>2]|0)>0){Ca=f[ya>>2]|0;ba=0;do{f[Ca+(ba<<2)>>2]=0;ba=ba+1|0}while((ba|0)<(f[za>>2]|0))}za=f[la>>2]|0;if((za|0)!=(g|0))tE(za);za=B+36|0;ba=f[za>>2]|0;if(ba|0?(Ca=ba+12|0,ba=f[Ca>>2]|0,f[Ca>>2]=ba+-1,(ba|0)==1):0)lP(B);f[za>>2]=0;za=B+16|0;f[za>>2]=0;f[za+4>>2]=0;f[za+8>>2]=0;f[za+12>>2]=0;if((f[c>>2]|0)>0){za=f[z>>2]|0;ba=0;do{f[za+(ba<<2)>>2]=0;ba=ba+1|0}while((ba|0)<(f[c>>2]|0))}c=f[y>>2]|0;if((c|0)!=(A|0))tE(c);break}case 3:{if(Da<2.220446049250313e-16){p[i>>3]=1.0;p[i+8>>3]=1.0;p[i+16>>3]=1.0;p[i+24>>3]=1.0;nT(q,i)|0;break e}f[j>>2]=1124007936;c=j+4|0;ba=j+8|0;za=j+40|0;ca=c;ea=ca+36|0;do{f[ca>>2]=0;ca=ca+4|0}while((ca|0)<(ea|0));f[za>>2]=ba;A=j+48|0;y=j+44|0;f[y>>2]=A;f[A>>2]=0;f[j+52>>2]=0;f[i>>2]=_;f[i+4>>2]=Aa;iP(j,2,i,5);z=f[za>>2]|0;g=f[z>>2]|0;f[J>>2]=f[z+4>>2];f[J+4>>2]=g;g=f[j>>2]&4095;f[K>>2]=0;f[K+4>>2]=0;Aha(s,v,j,J,g,K,0.0,0);g=f[q+40>>2]|0;z=f[g>>2]|0;f[N>>2]=f[g+4>>2];f[N+4>>2]=z;z=f[q>>2]&4095;f[O>>2]=0;f[O+4>>2]=0;Aha(l,x,q,N,z,O,0.0,0);f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=j;z=k+8|0;f[z>>2]=0;f[z+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=j;DS(i,k);fG(B,1.0,j);f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=-1056571392;f[k+4>>2]=B;oG(i,q,k,1.0);z=f[i>>2]|0;rh[f[(f[z>>2]|0)+12>>2]&255](z,i,q,-1);Xi(i);Xi(B);Ra=+M(+Da);z=i+8|0;f[z>>2]=0;f[z+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=q;IO(q,i,-1,1.0/Ra,0.0);z=j+36|0;g=f[z>>2]|0;if(g|0?(la=g+12|0,g=f[la>>2]|0,f[la>>2]=g+-1,(g|0)==1):0)lP(j);f[z>>2]=0;z=j+16|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[c>>2]|0)>0){z=f[za>>2]|0;g=0;do{f[z+(g<<2)>>2]=0;g=g+1|0}while((g|0)<(f[c>>2]|0))}c=f[y>>2]|0;if((c|0)!=(A|0))tE(c);break}default:{f[i>>2]=0;f[i+4>>2]=0;SQ(-213,i,269973,269665,841)}}while(0);i=x+36|0;j=f[i>>2]|0;if(j|0?(B=j+12|0,j=f[B>>2]|0,f[B>>2]=j+-1,(j|0)==1):0)lP(x);f[i>>2]=0;i=x+16|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[w>>2]|0)>0){i=f[sa>>2]|0;sa=0;do{f[i+(sa<<2)>>2]=0;sa=sa+1|0}while((sa|0)<(f[w>>2]|0))}w=f[ha>>2]|0;if((w|0)!=(Z|0))tE(w);w=v+36|0;Z=f[w>>2]|0;if(Z|0?(ha=Z+12|0,Z=f[ha>>2]|0,f[ha>>2]=Z+-1,(Z|0)==1):0)lP(v);f[w>>2]=0;w=v+16|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[t>>2]|0)>0){w=f[Wa>>2]|0;Wa=0;do{f[w+(Wa<<2)>>2]=0;Wa=Wa+1|0}while((Wa|0)<(f[t>>2]|0))}t=f[Ba>>2]|0;if((t|0)!=(Xa|0))tE(t);t=s+36|0;Xa=f[t>>2]|0;do if(Xa|0){Ba=Xa+12|0;Wa=f[Ba>>2]|0;f[Ba>>2]=Wa+-1;if((Wa|0)!=1)break;lP(s)}while(0);f[t>>2]=0;t=s+16|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[d>>2]|0)>0){t=f[a>>2]|0;a=0;do{f[t+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[d>>2]|0))}d=f[da>>2]|0;if((d|0)!=(r|0))tE(d);d=q+36|0;r=f[d>>2]|0;do if(r|0){da=r+12|0;a=f[da>>2]|0;f[da>>2]=a+-1;if((a|0)!=1)break;lP(q)}while(0);f[d>>2]=0;d=q+16|0;r=q+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[r>>2]|0)>0){d=f[q+40>>2]|0;a=0;do{f[d+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[r>>2]|0))}r=f[q+44>>2]|0;if((r|0)!=(q+48|0))tE(r);r=o+36|0;q=f[r>>2]|0;do if(q|0){a=q+12|0;d=f[a>>2]|0;f[a>>2]=d+-1;if((d|0)!=1)break;lP(o)}while(0);f[r>>2]=0;r=o+16|0;q=o+4|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[q>>2]|0)>0){r=f[o+40>>2]|0;d=0;do{f[r+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[q>>2]|0))}q=f[o+44>>2]|0;if((q|0)!=(o+48|0))tE(q);q=m+36|0;o=f[q>>2]|0;do if(o|0){d=o+12|0;r=f[d>>2]|0;f[d>>2]=r+-1;if((r|0)!=1)break;lP(m)}while(0);f[q>>2]=0;q=m+16|0;o=m+4|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[o>>2]|0)>0){q=f[m+40>>2]|0;r=0;do{f[q+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[o>>2]|0))}o=f[m+44>>2]|0;if((o|0)!=(m+48|0))tE(o);o=l+36|0;m=f[o>>2]|0;do if(m|0){r=m+12|0;q=f[r>>2]|0;f[r>>2]=q+-1;if((q|0)!=1)break;lP(l)}while(0);f[o>>2]=0;o=l+16|0;m=l+4|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[m>>2]|0)>0){o=f[l+40>>2]|0;q=0;do{f[o+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[m>>2]|0))}m=f[l+44>>2]|0;if((m|0)!=(l+48|0))tE(m)}if(!(f[P+4>>2]|0)){u=h;return}u=h;return}function Cha(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;d=u;u=u+48|0;e=d+32|0;g=d;f[a>>2]=1124007936;h=a+4|0;i=a+8|0;j=a+40|0;k=h;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;m=a+48|0;n=a+44|0;f[n>>2]=m;f[m>>2]=0;f[a+52>>2]=0;m=c+16|0;o=(f[m>>2]|0)==0;q=f[c+4>>2]|0;if(!o){if((q|0)<3)r=Y(f[c+12>>2]|0,f[c+8>>2]|0)|0;else{s=f[c+40>>2]|0;t=0;v=1;while(1){w=Y(f[s+(t<<2)>>2]|0,v)|0;t=t+1|0;if((t|0)==(q|0)){r=w;break}else v=w}}if(!((q|0)==0|(r|0)==0)){if((f[c>>2]&4095|0)!=6){f[e>>2]=0;x=e+4|0;f[x>>2]=0;y=YG(e,72)|0;k=y;z=270307;l=k+72|0;do{b[k>>0]=b[z>>0]|0;k=k+1|0;z=z+1|0}while((k|0)<(l|0));SQ(-5,e,270380,270384,96)}if((f[c+8>>2]|0)!=1){f[e>>2]=0;x=e+4|0;f[x>>2]=0;y=YG(e,72)|0;k=y;z=270307;l=k+72|0;do{b[k>>0]=b[z>>0]|0;k=k+1|0;z=z+1|0}while((k|0)<(l|0));SQ(-5,e,270380,270384,96)}if((f[c+12>>2]|0)!=65){f[e>>2]=0;x=e+4|0;f[x>>2]=0;y=YG(e,72)|0;k=y;z=270307;l=k+72|0;do{b[k>>0]=b[z>>0]|0;k=k+1|0;z=z+1|0}while((k|0)<(l|0));SQ(-5,e,270380,270384,96)}}else A=7}else A=7;if((A|0)==7){if(!((((q|0)<3?(f[c+8>>2]|0)==1:0)?(f[c+12>>2]|0)==65:0)?!((f[c>>2]&4095|0)!=6|o):0)){f[e>>2]=1;f[e+4>>2]=65;iP(c,2,e,6)}f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;f[e>>2]=-1056833530;f[e+4>>2]=g;f[e+8>>2]=1;f[e+12>>2]=4;oT(c,e,rE()|0)|0}if((a|0)==(c|0))B=f[a+16>>2]|0;else{e=c+36|0;g=f[e>>2]|0;if(g|0){o=g+12|0;f[o>>2]=(f[o>>2]|0)+1}o=a+36|0;g=f[o>>2]|0;if(g|0?(q=g+12|0,g=f[q>>2]|0,f[q>>2]=g+-1,(g|0)==1):0)lP(a);f[o>>2]=0;g=a+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[h>>2]|0)>0){q=f[j>>2]|0;j=0;do{f[q+(j<<2)>>2]=0;j=j+1|0;C=f[h>>2]|0}while((j|0)<(C|0));f[a>>2]=f[c>>2];if((C|0)<3)A=29;else A=31}else{f[a>>2]=f[c>>2];A=29}if((A|0)==29){C=f[c+4>>2]|0;if((C|0)<3){f[h>>2]=C;f[i>>2]=f[c+8>>2];f[a+12>>2]=f[c+12>>2];i=f[c+44>>2]|0;C=f[n>>2]|0;f[C>>2]=f[i>>2];f[C+4>>2]=f[i+4>>2]}else A=31}if((A|0)==31)kP(a,c);A=f[m>>2]|0;f[g>>2]=A;f[a+20>>2]=f[c+20>>2];f[a+24>>2]=f[c+24>>2];f[a+28>>2]=f[c+28>>2];f[a+32>>2]=f[c+32>>2];f[o>>2]=f[e>>2];B=A}A=a+56|0;f[A>>2]=B;f[a+60>>2]=B+40;f[a+64>>2]=B+160;if(+p[B>>3]>0.0){Dha(a,0,0.0);D=f[A>>2]|0}else D=B;if(+p[D+8>>3]>0.0){Dha(a,1,0.0);E=f[A>>2]|0}else E=D;if(+p[E+16>>3]>0.0){Dha(a,2,0.0);F=f[A>>2]|0}else F=E;if(+p[F+24>>3]>0.0){Dha(a,3,0.0);G=f[A>>2]|0}else G=F;if(!(+p[G+32>>3]>0.0)){H=a+972|0;f[H>>2]=0;u=d;return}Dha(a,4,0.0);H=a+972|0;f[H>>2]=0;u=d;return}function Dha(a,c,d){a=a|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0.0,j=0,k=0.0,l=0,m=0.0,n=0,o=0.0,q=0,r=0.0,s=0.0,t=0,v=0.0,w=0,x=0.0,y=0,z=0.0,A=0.0,B=0,C=0.0,D=0.0,E=0.0,F=0,G=0,H=0;e=u;u=u+16|0;g=e;if(!(+p[(f[a+56>>2]|0)+(c<<3)>>3]>0.0)){u=e;return}h=(f[a+64>>2]|0)+(c*9<<3)|0;i=+p[h>>3];j=h+32|0;k=+p[j>>3];l=h+64|0;m=+p[l>>3];n=h+40|0;o=+p[n>>3];q=h+56|0;r=+p[q>>3];s=o*r;t=h+8|0;v=+p[t>>3];w=h+24|0;x=+p[w>>3];y=h+48|0;z=+p[y>>3];A=o*z;B=h+16|0;o=+p[B>>3];C=r*x;r=o*(C-k*z)+(i*(k*m-s)-v*(m*x-A));if(d>0.0&r<=1.0e-06){D=i+d;p[h>>3]=D;i=k+d;p[j>>3]=i;k=m+d;p[l>>3]=k;E=o*(C-i*z)+(D*(i*k-s)-v*(k*x-A))}else E=r;p[a+432+(c<<3)>>3]=E;if(!(E>2.220446049250313e-16)){f[g>>2]=0;f[g+4>>2]=0;F=YG(g,45)|0;G=270453;H=F+45|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,g,270499,270384,217)}r=1.0/E;p[a+72+(c*72|0)>>3]=r*(+p[j>>3]*+p[l>>3]-+p[n>>3]*+p[q>>3]);p[a+72+(c*72|0)+24>>3]=-(r*(+p[w>>3]*+p[l>>3]-+p[n>>3]*+p[y>>3]));p[a+72+(c*72|0)+48>>3]=r*(+p[w>>3]*+p[q>>3]-+p[j>>3]*+p[y>>3]);p[a+72+(c*72|0)+8>>3]=-(r*(+p[t>>3]*+p[l>>3]-+p[B>>3]*+p[q>>3]));p[a+72+(c*72|0)+32>>3]=r*(+p[h>>3]*+p[l>>3]-+p[B>>3]*+p[y>>3]);p[a+72+(c*72|0)+56>>3]=-(r*(+p[h>>3]*+p[q>>3]-+p[t>>3]*+p[y>>3]));p[a+72+(c*72|0)+16>>3]=r*(+p[t>>3]*+p[n>>3]-+p[B>>3]*+p[j>>3]);p[a+72+(c*72|0)+40>>3]=-(r*(+p[h>>3]*+p[n>>3]-+p[B>>3]*+p[w>>3]));p[a+72+(c*72|0)+64>>3]=r*(+p[h>>3]*+p[j>>3]-+p[t>>3]*+p[w>>3]);u=e;return}function Eha(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0.0,i=0.0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0;e=u;u=u+16|0;g=e;if(!(+p[(f[a+56>>2]|0)+(c<<3)>>3]>0.0)){h=0.0;u=e;return +h}i=+p[a+432+(c<<3)>>3];if(!(i>2.220446049250313e-16)){f[g>>2]=0;f[g+4>>2]=0;j=YG(g,55)|0;k=270523;l=j+55|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,g,523657,270384,123)}g=(f[a+60>>2]|0)+(c*3<<3)|0;m=+p[d>>3]-+p[g>>3];n=+p[d+8>>3]-+p[g+8>>3];o=+p[d+16>>3]-+p[g+16>>3];h=1.0/+M(+i)*+V(+((m*(m*+p[a+72+(c*72|0)>>3]+n*+p[a+72+(c*72|0)+24>>3]+o*+p[a+72+(c*72|0)+48>>3])+n*(m*+p[a+72+(c*72|0)+8>>3]+n*+p[a+72+(c*72|0)+32>>3]+o*+p[a+72+(c*72|0)+56>>3])+o*(m*+p[a+72+(c*72|0)+16>>3]+n*+p[a+72+(c*72|0)+40>>3]+o*+p[a+72+(c*72|0)+64>>3]))*-.5));u=e;return +h}function Fha(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0.0,m=0.0,n=0,o=0;c=u;u=u+16|0;d=c;e=a+972|0;if((f[e>>2]|0)<=0){f[d>>2]=0;f[d+4>>2]=0;g=YG(d,20)|0;h=270579;i=g+20|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));SQ(-215,d,270600,270384,177)}d=a+56|0;h=a+60|0;g=a+64|0;i=0;do{j=f[a+952+(i<<2)>>2]|0;k=f[d>>2]|0;if(!j)p[k+(i<<3)>>3]=0.0;else{l=+(j|0);m=1.0/l;p[k+(i<<3)>>3]=l/+(f[e>>2]|0);k=(f[h>>2]|0)+(i*3<<3)|0;l=m*+p[a+472+(i*24|0)>>3];p[k>>3]=l;j=k+8|0;p[j>>3]=m*+p[a+472+(i*24|0)+8>>3];n=k+16|0;p[n>>3]=m*+p[a+472+(i*24|0)+16>>3];o=(f[g>>2]|0)+(i*9<<3)|0;p[o>>3]=m*+p[a+592+(i*72|0)>>3]-l*l;p[o+8>>3]=m*+p[a+592+(i*72|0)+8>>3]-+p[k>>3]*+p[j>>3];p[o+16>>3]=m*+p[a+592+(i*72|0)+16>>3]-+p[k>>3]*+p[n>>3];p[o+24>>3]=m*+p[a+592+(i*72|0)+24>>3]-+p[j>>3]*+p[k>>3];l=+p[j>>3];p[o+32>>3]=m*+p[a+592+(i*72|0)+32>>3]-l*l;p[o+40>>3]=m*+p[a+592+(i*72|0)+40>>3]-+p[j>>3]*+p[n>>3];p[o+48>>3]=m*+p[a+592+(i*72|0)+48>>3]-+p[n>>3]*+p[k>>3];p[o+56>>3]=m*+p[a+592+(i*72|0)+56>>3]-+p[n>>3]*+p[j>>3];l=+p[n>>3];p[o+64>>3]=m*+p[a+592+(i*72|0)+64>>3]-l*l;Dha(a,i,.01)}i=i+1|0}while((i|0)!=5);u=c;return}function Gha(a,c,d,e,g,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0.0,qa=0,ra=0,sa=0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0,ya=0.0,za=0.0,Aa=0.0,Ba=0.0,Ca=0.0,Da=0.0,Ea=0.0,Fa=0.0,Ga=0.0,Ha=0.0,Ia=0.0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0.0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0.0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0.0,Nb=0.0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0;k=u;u=u+2544|0;l=k+2072|0;m=k+2016|0;o=k+2488|0;q=k+2432|0;r=k+2376|0;s=k+2304|0;t=k+2248|0;v=k+1984|0;w=k+1968|0;x=k+2232|0;y=k+1952|0;z=k+2224|0;A=k+2168|0;B=k+976|0;C=k;D=k+2112|0;E=k+2360|0;zT(z,58600);do if((pD(a)|0)==65536){F=f[a+4>>2]|0;f[A>>2]=f[F>>2];G=A+4|0;H=F+4|0;f[G>>2]=f[H>>2];I=A+8|0;f[I>>2]=f[F+8>>2];f[A+12>>2]=f[F+12>>2];f[A+16>>2]=f[F+16>>2];f[A+20>>2]=f[F+20>>2];f[A+24>>2]=f[F+24>>2];f[A+28>>2]=f[F+28>>2];f[A+32>>2]=f[F+32>>2];J=f[F+36>>2]|0;f[A+36>>2]=J;f[A+40>>2]=I;I=A+48|0;K=A+44|0;f[K>>2]=I;f[I>>2]=0;f[A+52>>2]=0;if(J|0){I=J+12|0;f[I>>2]=(f[I>>2]|0)+1}if((f[H>>2]|0)<3){H=f[F+44>>2]|0;I=f[K>>2]|0;f[I>>2]=f[H>>2];f[I+4>>2]=f[H+4>>2];break}else{f[G>>2]=0;kP(A,F);break}}else lD(A,a,-1);while(0);a=fE(c,-1)|0;c=fE(e,-1)|0;e=fE(g,-1)|0;g=A+16|0;if(!(f[g>>2]|0)){f[l>>2]=0;L=l+4|0;f[L>>2]=0;M=YG(l,14)|0;N=M;O=270612;P=N+14|0;do{b[N>>0]=b[O>>0]|0;N=N+1|0;O=O+1|0}while((N|0)<(P|0));SQ(-5,l,270627,270384,542)}F=A+4|0;G=f[F>>2]|0;if((G|0)<3)Q=Y(f[A+12>>2]|0,f[A+8>>2]|0)|0;else{H=f[A+40>>2]|0;I=0;K=1;while(1){J=Y(f[H+(I<<2)>>2]|0,K)|0;I=I+1|0;if((I|0)==(G|0)){Q=J;break}else K=J}}if((G|0)==0|(Q|0)==0){f[l>>2]=0;L=l+4|0;f[L>>2]=0;M=YG(l,14)|0;N=M;O=270612;P=N+14|0;do{b[N>>0]=b[O>>0]|0;N=N+1|0;O=O+1|0}while((N|0)<(P|0));SQ(-5,l,270627,270384,542)}if((f[A>>2]&4095|0)!=16){f[l>>2]=0;f[l+4>>2]=0;N=YG(l,28)|0;O=270635;P=N+28|0;do{b[N>>0]=b[O>>0]|0;N=N+1|0;O=O+1|0}while((N|0)<(P|0));SQ(-5,l,270627,270384,544)}Cha(B,c);Cha(C,e);e=A+40|0;c=f[e>>2]|0;M=f[c+4>>2]|0;L=f[c>>2]|0;f[D>>2]=1124007936;c=D+4|0;Q=D+8|0;G=D+40|0;N=c;P=N+36|0;do{f[N>>2]=0;N=N+4|0}while((N|0)<(P|0));f[G>>2]=Q;Q=D+48|0;K=D+44|0;f[K>>2]=Q;f[Q>>2]=0;f[D+52>>2]=0;f[l>>2]=L;L=l+4|0;f[L>>2]=M;iP(D,2,l,4);M=j|1;if((M|0)==1){if(!j){I=f[e>>2]|0;H=f[I+4>>2]|0;J=f[I>>2]|0;f[E>>2]=f[d>>2];I=E+4|0;f[I>>2]=f[d+4>>2];R=E+8|0;f[R>>2]=f[d+8>>2];S=E+12|0;f[S>>2]=f[d+12>>2];if(!(((((f[a+4>>2]|0)<3?(f[a+8>>2]|0)==(J|0):0)?(f[a+12>>2]|0)==(H|0):0)?(f[a>>2]&4095|0)==0:0)?(f[a+16>>2]|0)!=0:0)){f[l>>2]=J;f[L>>2]=H;iP(a,2,l,0)}p[m>>3]=0.0;f[l>>2]=-1056833530;f[l+4>>2]=m;f[l+8>>2]=1;f[l+12>>2]=1;oT(a,l,rE()|0)|0;d=f[E>>2]|0;T=(d|0)>0?d:0;f[E>>2]=T;d=f[I>>2]|0;U=(d|0)>0?d:0;f[I>>2]=U;I=H-T|0;T=f[R>>2]|0;f[R>>2]=(I|0)<(T|0)?I:T;T=J-U|0;U=f[S>>2]|0;f[S>>2]=(T|0)<(U|0)?T:U;pP(o,a,E);p[m>>3]=3.0;E=m+8|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;f[E+16>>2]=0;f[E+20>>2]=0;f[l>>2]=-1056833530;f[l+4>>2]=m;f[l+8>>2]=1;f[l+12>>2]=4;oT(o,l,rE()|0)|0;E=o+36|0;U=f[E>>2]|0;if(U|0?(T=U+12|0,U=f[T>>2]|0,f[T>>2]=U+-1,(U|0)==1):0)lP(o);f[E>>2]=0;E=o+16|0;U=o+4|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[U>>2]|0)>0){E=f[o+40>>2]|0;T=0;do{f[E+(T<<2)>>2]=0;T=T+1|0}while((T|0)<(f[U>>2]|0))}U=f[o+44>>2]|0;if((U|0)!=(o+48|0))tE(U);X=A+8|0}else{U=A+8|0;Hha(f[U>>2]|0,f[A+12>>2]|0,a);X=U}f[m>>2]=1124007936;U=m+4|0;T=m+8|0;E=m+40|0;N=U;P=N+36|0;do{f[N>>2]=0;N=N+4|0}while((N|0)<(P|0));f[E>>2]=T;T=m+48|0;S=m+44|0;f[S>>2]=T;f[T>>2]=0;f[m+52>>2]=0;f[o>>2]=1124007936;J=o+4|0;I=o+8|0;R=o+40|0;N=J;P=N+36|0;do{f[N>>2]=0;N=N+4|0}while((N|0)<(P|0));f[R>>2]=I;I=o+48|0;H=o+44|0;f[H>>2]=I;f[I>>2]=0;f[o+52>>2]=0;f[q>>2]=0;d=q+4|0;f[d>>2]=0;f[q+8>>2]=0;f[r>>2]=0;Z=r+4|0;f[Z>>2]=0;f[r+8>>2]=0;_=f[X>>2]|0;if((_|0)<=0){f[l>>2]=0;$=l+4|0;f[$>>2]=0;aa=YG(l,42)|0;N=aa;O=270664;P=N+42|0;do{b[N>>0]=b[O>>0]|0;N=N+1|0;O=O+1|0}while((N|0)<(P|0));SQ(-215,l,270707,270384,381)}ba=A+12|0;ca=a+16|0;da=a+44|0;ea=A+44|0;fa=l+4|0;ga=l+8|0;ha=r+8|0;ia=l+4|0;ja=l+8|0;ka=q+8|0;la=_;_=f[ba>>2]|0;ma=0;while(1){if((_|0)>0){na=0;do{oa=(f[ca>>2]|0)+(Y(f[f[da>>2]>>2]|0,ma)|0)+na|0;switch(b[oa>>0]|0){case 2:case 0:{oa=(f[g>>2]|0)+(Y(f[f[ea>>2]>>2]|0,ma)|0)|0;pa=+(h[oa+(na*3|0)>>0]|0);n[l>>2]=pa;n[ia>>2]=+(h[oa+(na*3|0)+1>>0]|0);n[ja>>2]=+(h[oa+(na*3|0)+2>>0]|0);oa=f[d>>2]|0;if((oa|0)==(f[ka>>2]|0))K1(q,l);else{n[oa>>2]=pa;f[oa+4>>2]=f[ia>>2];f[oa+8>>2]=f[ja>>2];f[d>>2]=oa+12}break}default:{oa=(f[g>>2]|0)+(Y(f[f[ea>>2]>>2]|0,ma)|0)|0;pa=+(h[oa+(na*3|0)>>0]|0);n[l>>2]=pa;n[fa>>2]=+(h[oa+(na*3|0)+1>>0]|0);n[ga>>2]=+(h[oa+(na*3|0)+2>>0]|0);oa=f[Z>>2]|0;if((oa|0)==(f[ha>>2]|0))K1(r,l);else{n[oa>>2]=pa;f[oa+4>>2]=f[fa>>2];f[oa+8>>2]=f[ga>>2];f[Z>>2]=oa+12}}}na=na+1|0;qa=f[ba>>2]|0}while((na|0)<(qa|0));ra=qa;sa=f[X>>2]|0}else{ra=_;sa=la}ma=ma+1|0;if((ma|0)>=(sa|0))break;else{la=sa;_=ra}}ra=f[q>>2]|0;_=f[d>>2]|0;sa=_;la=ra;if((ra|0)==(_|0)){f[l>>2]=0;$=l+4|0;f[$>>2]=0;aa=YG(l,42)|0;N=aa;O=270664;P=N+42|0;do{b[N>>0]=b[O>>0]|0;N=N+1|0;O=O+1|0}while((N|0)<(P|0));SQ(-215,l,270707,270384,381)}if((f[r>>2]|0)==(f[Z>>2]|0)){f[l>>2]=0;$=l+4|0;f[$>>2]=0;aa=YG(l,42)|0;N=aa;O=270664;P=N+42|0;do{b[N>>0]=b[O>>0]|0;N=N+1|0;O=O+1|0}while((N|0)<(P|0));SQ(-215,l,270707,270384,381)}Ri(s,(sa-la|0)/12|0,3,5,ra,0);f[t+8>>2]=0;f[t+12>>2]=0;f[t>>2]=16842752;f[t+4>>2]=s;ra=v+8|0;f[ra>>2]=0;f[ra+4>>2]=0;f[v>>2]=50397184;f[v+4>>2]=m;f[w>>2]=1;f[w+4>>2]=10;p[w+8>>3]=0.0;ra=rE()|0;f[l>>2]=f[w>>2];f[l+4>>2]=f[w+4>>2];f[l+8>>2]=f[w+8>>2];f[l+12>>2]=f[w+12>>2];+IG(t,5,v,l,0,2,ra);ra=f[r>>2]|0;Ri(t,((f[Z>>2]|0)-ra|0)/12|0,3,5,ra,0);f[v+8>>2]=0;f[v+12>>2]=0;f[v>>2]=16842752;f[v+4>>2]=t;ra=x+8|0;f[ra>>2]=0;f[ra+4>>2]=0;f[x>>2]=50397184;f[x+4>>2]=o;f[y>>2]=1;f[y+4>>2]=10;p[y+8>>3]=0.0;ra=rE()|0;f[l>>2]=f[y>>2];f[l+4>>2]=f[y+4>>2];f[l+8>>2]=f[y+8>>2];f[l+12>>2]=f[y+12>>2];+IG(v,5,x,l,0,2,ra);Drc(B+472|0,0,504)|0;ra=f[q>>2]|0;x=(f[d>>2]|0)-ra|0;y=ra;if((x|0)>0){ra=f[m+16>>2]|0;w=f[S>>2]|0;la=B+972|0;sa=(x>>>0)/12|0;x=0;do{aa=ra+(Y(f[w>>2]|0,x)|0)|0;$=f[aa>>2]|0;pa=+n[y+(x*12|0)>>2];ta=+n[y+(x*12|0)+4>>2];ua=+n[y+(x*12|0)+8>>2];aa=B+472+($*24|0)|0;p[aa>>3]=pa+ +p[aa>>3];aa=B+472+($*24|0)+8|0;p[aa>>3]=ta+ +p[aa>>3];aa=B+472+($*24|0)+16|0;p[aa>>3]=ua+ +p[aa>>3];aa=B+592+($*72|0)|0;p[aa>>3]=pa*pa+ +p[aa>>3];va=pa*ta;aa=B+592+($*72|0)+8|0;p[aa>>3]=va+ +p[aa>>3];wa=pa*ua;aa=B+592+($*72|0)+16|0;p[aa>>3]=wa+ +p[aa>>3];aa=B+592+($*72|0)+24|0;p[aa>>3]=va+ +p[aa>>3];aa=B+592+($*72|0)+32|0;p[aa>>3]=ta*ta+ +p[aa>>3];va=ta*ua;aa=B+592+($*72|0)+40|0;p[aa>>3]=va+ +p[aa>>3];aa=B+592+($*72|0)+48|0;p[aa>>3]=wa+ +p[aa>>3];aa=B+592+($*72|0)+56|0;p[aa>>3]=va+ +p[aa>>3];aa=B+592+($*72|0)+64|0;p[aa>>3]=ua*ua+ +p[aa>>3];aa=B+952+($<<2)|0;f[aa>>2]=(f[aa>>2]|0)+1;f[la>>2]=(f[la>>2]|0)+1;x=x+1|0}while((x|0)<(sa|0))}Fha(B);Drc(C+472|0,0,504)|0;sa=f[r>>2]|0;x=(f[Z>>2]|0)-sa|0;la=sa;if((x|0)>0){sa=f[o+16>>2]|0;y=f[H>>2]|0;w=C+972|0;ra=(x>>>0)/12|0;x=0;do{aa=sa+(Y(f[y>>2]|0,x)|0)|0;$=f[aa>>2]|0;ua=+n[la+(x*12|0)>>2];va=+n[la+(x*12|0)+4>>2];wa=+n[la+(x*12|0)+8>>2];aa=C+472+($*24|0)|0;p[aa>>3]=ua+ +p[aa>>3];aa=C+472+($*24|0)+8|0;p[aa>>3]=va+ +p[aa>>3];aa=C+472+($*24|0)+16|0;p[aa>>3]=wa+ +p[aa>>3];aa=C+592+($*72|0)|0;p[aa>>3]=ua*ua+ +p[aa>>3];ta=ua*va;aa=C+592+($*72|0)+8|0;p[aa>>3]=ta+ +p[aa>>3];pa=ua*wa;aa=C+592+($*72|0)+16|0;p[aa>>3]=pa+ +p[aa>>3];aa=C+592+($*72|0)+24|0;p[aa>>3]=ta+ +p[aa>>3];aa=C+592+($*72|0)+32|0;p[aa>>3]=va*va+ +p[aa>>3];ta=va*wa;aa=C+592+($*72|0)+40|0;p[aa>>3]=ta+ +p[aa>>3];aa=C+592+($*72|0)+48|0;p[aa>>3]=pa+ +p[aa>>3];aa=C+592+($*72|0)+56|0;p[aa>>3]=ta+ +p[aa>>3];aa=C+592+($*72|0)+64|0;p[aa>>3]=wa*wa+ +p[aa>>3];aa=C+952+($<<2)|0;f[aa>>2]=(f[aa>>2]|0)+1;f[w>>2]=(f[w>>2]|0)+1;x=x+1|0}while((x|0)<(ra|0))}Fha(C);ra=t+36|0;x=f[ra>>2]|0;if(x|0?(w=x+12|0,x=f[w>>2]|0,f[w>>2]=x+-1,(x|0)==1):0)lP(t);f[ra>>2]=0;ra=t+16|0;x=t+4|0;f[ra>>2]=0;f[ra+4>>2]=0;f[ra+8>>2]=0;f[ra+12>>2]=0;if((f[x>>2]|0)>0){ra=f[t+40>>2]|0;w=0;do{f[ra+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[x>>2]|0))}x=f[t+44>>2]|0;if((x|0)!=(t+48|0))tE(x);x=s+36|0;w=f[x>>2]|0;if(w|0?(ra=w+12|0,w=f[ra>>2]|0,f[ra>>2]=w+-1,(w|0)==1):0)lP(s);f[x>>2]=0;x=s+16|0;w=s+4|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[w>>2]|0)>0){x=f[s+40>>2]|0;ra=0;do{f[x+(ra<<2)>>2]=0;ra=ra+1|0}while((ra|0)<(f[w>>2]|0))}w=f[s+44>>2]|0;if((w|0)!=(s+48|0))tE(w);w=f[r>>2]|0;if(w|0){ra=f[Z>>2]|0;if((ra|0)!=(w|0))f[Z>>2]=ra+(~(((ra+-12-w|0)>>>0)/12|0)*12|0);Emc(w)}w=f[q>>2]|0;if(w|0){ra=f[d>>2]|0;if((ra|0)!=(w|0))f[d>>2]=ra+(~(((ra+-12-w|0)>>>0)/12|0)*12|0);Emc(w)}w=o+36|0;ra=f[w>>2]|0;do if(ra|0){d=ra+12|0;Z=f[d>>2]|0;f[d>>2]=Z+-1;if((Z|0)!=1)break;lP(o)}while(0);f[w>>2]=0;w=o+16|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[J>>2]|0)>0){w=f[R>>2]|0;R=0;do{f[w+(R<<2)>>2]=0;R=R+1|0}while((R|0)<(f[J>>2]|0))}J=f[H>>2]|0;if((J|0)!=(I|0))tE(J);J=m+36|0;I=f[J>>2]|0;do if(I|0){H=I+12|0;R=f[H>>2]|0;f[H>>2]=R+-1;if((R|0)!=1)break;lP(m)}while(0);f[J>>2]=0;J=m+16|0;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;f[J+12>>2]=0;if((f[U>>2]|0)>0){J=f[E>>2]|0;E=0;do{f[J+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[U>>2]|0))}U=f[S>>2]|0;if((U|0)!=(T|0))tE(U)}if((i|0)>=1){U=(j|0)==3;j=U?1:i;i=A+8|0;if((M|0)==3)Hha(f[i>>2]|0,f[A+12>>2]|0,a);M=f[i>>2]|0;T=A+12|0;S=f[T>>2]|0;if((M|0)>0){E=(S|0)>0;J=f[g>>2]|0;I=f[A+44>>2]|0;R=S+-1|0;H=0;wa=0.0;while(1){a:do if(E){w=f[I>>2]|0;ra=J+(Y(w,H)|0)|0;Z=J+(Y(w,H+-1|0)|0)|0;if((H|0)>0){xa=0;ya=wa}else{w=0;ta=wa;while(1){if((w|0)>0){d=w+-1|0;pa=+(h[ra+(w*3|0)>>0]|0)-+(h[ra+(d*3|0)>>0]|0);va=+(h[ra+(w*3|0)+1>>0]|0)-+(h[ra+(d*3|0)+1>>0]|0);ua=+(h[ra+(w*3|0)+2>>0]|0)-+(h[ra+(d*3|0)+2>>0]|0);za=ta+(pa*pa+0.0+va*va+ua*ua)}else za=ta;w=w+1|0;if((w|0)==(S|0)){Aa=za;break a}else ta=za}}while(1){ta=+(h[ra+(xa*3|0)>>0]|0);ua=+(h[ra+(xa*3|0)+1>>0]|0);va=+(h[ra+(xa*3|0)+2>>0]|0);if((xa|0)>0){w=xa+-1|0;pa=ta-+(h[ra+(w*3|0)>>0]|0);Ba=ua-+(h[ra+(w*3|0)+1>>0]|0);Ca=va-+(h[ra+(w*3|0)+2>>0]|0);Da=ta-+(h[Z+(w*3|0)>>0]|0);Ea=ua-+(h[Z+(w*3|0)+1>>0]|0);Fa=va-+(h[Z+(w*3|0)+2>>0]|0);Ga=ya+(pa*pa+0.0+Ba*Ba+Ca*Ca)+(Da*Da+0.0+Ea*Ea+Fa*Fa)}else Ga=ya;Fa=ta-+(h[Z+(xa*3|0)>>0]|0);Ea=ua-+(h[Z+(xa*3|0)+1>>0]|0);Da=va-+(h[Z+(xa*3|0)+2>>0]|0);Ca=Ga+(Fa*Fa+0.0+Ea*Ea+Da*Da);w=xa;xa=xa+1|0;if((w|0)<(R|0)){Da=ta-+(h[Z+(xa*3|0)>>0]|0);ta=ua-+(h[Z+(xa*3|0)+1>>0]|0);ua=va-+(h[Z+(xa*3|0)+2>>0]|0);Ha=Ca+(Da*Da+0.0+ta*ta+ua*ua)}else Ha=Ca;if((xa|0)==(S|0)){Aa=Ha;break}else ya=Ha}}else Aa=wa;while(0);H=H+1|0;if((H|0)==(M|0))break;else wa=Aa}if(!(Aa<=2.220446049250313e-16))Ia=1.0/(Aa*2.0/+((Y(M,-3)|0)+2+(Y(S,(M<<2)+-3|0)|0)|0));else Ia=0.0}else Ia=0.0;f[q>>2]=1124007936;H=q+4|0;xa=q+8|0;R=q+40|0;N=H;P=N+36|0;do{f[N>>2]=0;N=N+4|0}while((N|0)<(P|0));f[R>>2]=xa;xa=q+48|0;J=q+44|0;f[J>>2]=xa;f[xa>>2]=0;f[q+52>>2]=0;f[r>>2]=1124007936;I=r+4|0;E=r+8|0;Z=r+40|0;N=I;P=N+36|0;do{f[N>>2]=0;N=N+4|0}while((N|0)<(P|0));f[Z>>2]=E;ra=r+48|0;w=r+44|0;f[w>>2]=ra;f[ra>>2]=0;f[r+52>>2]=0;f[s>>2]=1124007936;d=s+4|0;x=s+8|0;la=s+40|0;N=d;P=N+36|0;do{f[N>>2]=0;N=N+4|0}while((N|0)<(P|0));f[la>>2]=x;y=s+48|0;sa=s+44|0;f[sa>>2]=y;f[y>>2]=0;f[s+52>>2]=0;f[t>>2]=1124007936;aa=t+4|0;$=t+8|0;_=t+40|0;N=aa;P=N+36|0;do{f[N>>2]=0;N=N+4|0}while((N|0)<(P|0));f[_>>2]=$;ma=t+48|0;X=t+44|0;f[X>>2]=ma;f[ma>>2]=0;f[t+52>>2]=0;f[l>>2]=M;f[L>>2]=S;iP(q,2,l,6);S=f[i>>2]|0;M=f[T>>2]|0;qa=f[E>>2]|0;if((((f[I>>2]|0)<3&(qa|0)==(S|0)?(f[r+12>>2]|0)==(M|0):0)?(f[r>>2]&4095|0)==6:0)?(f[r+16>>2]|0)!=0:0){Ja=S;Ka=qa;La=M}else{f[l>>2]=S;f[L>>2]=M;iP(r,2,l,6);M=f[i>>2]|0;Ja=M;Ka=M;La=f[T>>2]|0}if(((((f[d>>2]|0)<3?(f[x>>2]|0)==(Ka|0):0)?(f[s+12>>2]|0)==(La|0):0)?(f[s>>2]&4095|0)==6:0)?(f[s+16>>2]|0)!=0:0){Ma=Ja;Na=Ka;Oa=La}else{f[l>>2]=Ka;f[L>>2]=La;iP(s,2,l,6);La=f[i>>2]|0;Ma=La;Na=La;Oa=f[T>>2]|0}if(((((f[aa>>2]|0)<3?(f[$>>2]|0)==(Na|0):0)?(f[t+12>>2]|0)==(Oa|0):0)?(f[t>>2]&4095|0)==6:0)?(f[t+16>>2]|0)!=0:0){Pa=Ma;Qa=Na}else{f[l>>2]=Na;f[L>>2]=Oa;iP(t,2,l,6);Oa=f[i>>2]|0;Pa=Oa;Qa=Oa}if((Qa|0)>0){Oa=A+44|0;L=q+16|0;Na=r+16|0;Ma=s+16|0;$=t+16|0;La=f[T>>2]|0;Ka=(La|0)>0;Ja=0;do{if(Ka){x=(Ja|0)>0;M=f[g>>2]|0;S=f[f[Oa>>2]>>2]|0;qa=M+(Y(S,Ja)|0)|0;E=M+(Y(S,Ja+-1|0)|0)|0;S=0;while(1){Aa=+(h[qa+(S*3|0)>>0]|0);wa=+(h[qa+(S*3|0)+1>>0]|0);Ha=+(h[qa+(S*3|0)+2>>0]|0);M=S+-1|0;do if((S|0)>0){ya=Aa-+(h[qa+(M*3|0)>>0]|0);Ga=wa-+(h[qa+(M*3|0)+1>>0]|0);za=Ha-+(h[qa+(M*3|0)+2>>0]|0);Ca=+V(+-(Ia*(ya*ya+0.0+Ga*Ga+za*za)))*50.0;ba=(f[L>>2]|0)+(Y(f[f[J>>2]>>2]|0,Ja)|0)+(S<<3)|0;p[ba>>3]=Ca;if(x){Ca=Aa-+(h[E+(M*3|0)>>0]|0);za=wa-+(h[E+(M*3|0)+1>>0]|0);Ga=Ha-+(h[E+(M*3|0)+2>>0]|0);ya=+V(+-(Ia*(Ca*Ca+0.0+za*za+Ga*Ga)))*35.35533966440824;ba=(f[Na>>2]|0)+(Y(f[f[w>>2]>>2]|0,Ja)|0)+(S<<3)|0;p[ba>>3]=ya;Ra=147;break}else{ba=(f[Na>>2]|0)+(Y(f[f[w>>2]>>2]|0,Ja)|0)+(S<<3)|0;p[ba>>3]=0.0;Ra=146;break}}else{ba=(f[L>>2]|0)+(Y(f[f[J>>2]>>2]|0,Ja)|0)+(S<<3)|0;p[ba>>3]=0.0;ba=(f[Na>>2]|0)+(Y(f[f[w>>2]>>2]|0,Ja)|0)+(S<<3)|0;p[ba>>3]=0.0;if(x)Ra=147;else Ra=146}while(0);do if((Ra|0)==146){Ra=0;M=(f[Ma>>2]|0)+(Y(f[f[sa>>2]>>2]|0,Ja)|0)+(S<<3)|0;p[M>>3]=0.0;Sa=S+1|0;Ta=0.0}else if((Ra|0)==147){Ra=0;ya=Aa-+(h[E+(S*3|0)>>0]|0);Ga=wa-+(h[E+(S*3|0)+1>>0]|0);za=Ha-+(h[E+(S*3|0)+2>>0]|0);Ca=+V(+-(Ia*(ya*ya+0.0+Ga*Ga+za*za)))*50.0;M=(f[Ma>>2]|0)+(Y(f[f[sa>>2]>>2]|0,Ja)|0)+(S<<3)|0;p[M>>3]=Ca;M=S+1|0;if((M|0)>=(La|0)){Sa=M;Ta=0.0;break}Ca=Aa-+(h[E+(M*3|0)>>0]|0);za=wa-+(h[E+(M*3|0)+1>>0]|0);Ga=Ha-+(h[E+(M*3|0)+2>>0]|0);Sa=M;Ta=+V(+-(Ia*(Ca*Ca+0.0+za*za+Ga*Ga)))*35.35533966440824}while(0);M=(f[$>>2]|0)+(Y(f[f[X>>2]>>2]|0,Ja)|0)+(S<<3)|0;p[M>>3]=Ta;if((Sa|0)<(La|0))S=Sa;else break}}Ja=Ja+1|0}while((Ja|0)!=(Qa|0))}b:do if((j|0)>0){Qa=A+44|0;Ja=a+16|0;Sa=a+44|0;La=l+8|0;$=l+16|0;Ma=D+16|0;Na=l+8|0;L=l+16|0;Oa=v+12|0;Ka=v+24|0;S=v+4|0;E=v+8|0;x=B+56|0;qa=l+8|0;M=l+16|0;ba=C+56|0;ga=l+8|0;fa=l+16|0;ha=q+16|0;ea=r+16|0;ja=s+16|0;ia=t+16|0;ka=a+8|0;da=a+12|0;ca=v+12|0;na=v+16|0;oa=B+472|0;Ua=C+472|0;Va=0;Wa=Pa;c:while(1){f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;f[v+16>>2]=0;f[v+20>>2]=0;f[v+24>>2]=0;f[v+28>>2]=0;if((Wa|0)>0){Xa=Wa;Ya=f[T>>2]|0;Za=0;while(1){if((Ya|0)>0){_a=0;do{$a=(f[g>>2]|0)+(Y(f[f[Qa>>2]>>2]|0,Za)|0)|0;Ta=+(h[$a+(_a*3|0)>>0]|0);Ia=+(h[$a+(_a*3|0)+1>>0]|0);Ha=+(h[$a+(_a*3|0)+2>>0]|0);$a=(f[Ja>>2]|0)+(Y(f[f[Sa>>2]>>2]|0,Za)|0)+_a|0;switch(b[$a>>0]|0){case 2:case 0:{p[l>>3]=Ta;p[Na>>3]=Ia;p[L>>3]=Ha;wa=+Eha(B,0,l);Aa=wa>0.0?wa:0.0;p[l>>3]=Ta;p[Na>>3]=Ia;p[L>>3]=Ha;wa=+Eha(B,1,l);$a=wa>Aa;Ga=$a?wa:Aa;p[l>>3]=Ta;p[Na>>3]=Ia;p[L>>3]=Ha;Aa=+Eha(B,2,l);ab=Aa>Ga;wa=ab?Aa:Ga;p[l>>3]=Ta;p[Na>>3]=Ia;p[L>>3]=Ha;Ga=+Eha(B,3,l);bb=Ga>wa;p[l>>3]=Ta;p[Na>>3]=Ia;p[L>>3]=Ha;Aa=+Eha(B,4,l);cb=Aa>(bb?Ga:wa)?4:bb?3:ab?2:$a&1;break}default:{p[l>>3]=Ta;p[La>>3]=Ia;p[$>>3]=Ha;wa=+Eha(C,0,l);Ga=wa>0.0?wa:0.0;p[l>>3]=Ta;p[La>>3]=Ia;p[$>>3]=Ha;wa=+Eha(C,1,l);$a=wa>Ga;Aa=$a?wa:Ga;p[l>>3]=Ta;p[La>>3]=Ia;p[$>>3]=Ha;Ga=+Eha(C,2,l);ab=Ga>Aa;wa=ab?Ga:Aa;p[l>>3]=Ta;p[La>>3]=Ia;p[$>>3]=Ha;Aa=+Eha(C,3,l);bb=Aa>wa;p[l>>3]=Ta;p[La>>3]=Ia;p[$>>3]=Ha;Ha=+Eha(C,4,l);cb=Ha>(bb?Aa:wa)?4:bb?3:ab?2:$a&1}}$a=(f[Ma>>2]|0)+(Y(f[f[K>>2]>>2]|0,Za)|0)+(_a<<2)|0;f[$a>>2]=cb;_a=_a+1|0;db=f[T>>2]|0}while((_a|0)<(db|0));eb=f[i>>2]|0;fb=db}else{eb=Xa;fb=Ya}Za=Za+1|0;if((Za|0)>=(eb|0)){gb=eb;break}else{Xa=eb;Ya=fb}}}else gb=Wa;if(U)hb=gb;else{Drc(oa|0,0,504)|0;Drc(Ua|0,0,504)|0;Ya=0;Xa=gb;while(1){if((Xa|0)>0){Za=C+472+(Ya*24|0)|0;_a=C+472+(Ya*24|0)+8|0;$a=C+472+(Ya*24|0)+16|0;ab=C+592+(Ya*72|0)|0;bb=C+592+(Ya*72|0)+8|0;ib=C+592+(Ya*72|0)+16|0;jb=C+592+(Ya*72|0)+24|0;kb=C+592+(Ya*72|0)+32|0;lb=C+592+(Ya*72|0)+40|0;mb=C+592+(Ya*72|0)+48|0;nb=C+592+(Ya*72|0)+56|0;ob=B+472+(Ya*24|0)|0;pb=B+472+(Ya*24|0)+8|0;qb=B+472+(Ya*24|0)+16|0;rb=B+592+(Ya*72|0)|0;sb=B+592+(Ya*72|0)+8|0;tb=B+592+(Ya*72|0)+16|0;ub=B+592+(Ya*72|0)+24|0;vb=B+592+(Ya*72|0)+32|0;wb=B+592+(Ya*72|0)+40|0;xb=B+592+(Ya*72|0)+48|0;yb=B+592+(Ya*72|0)+56|0;zb=f[T>>2]|0;Ab=(zb|0)>0;Bb=Xa;Cb=0;while(1){if(Ab){Db=f[Ma>>2]|0;Eb=f[K>>2]|0;Fb=0;while(1){Gb=Db+(Y(f[Eb>>2]|0,Cb)|0)+(Fb<<2)|0;if((f[Gb>>2]|0)==(Ya|0)){Gb=(f[Ja>>2]|0)+(Y(f[f[Sa>>2]>>2]|0,Cb)|0)+Fb|0;switch(b[Gb>>0]|0){case 2:case 0:{Gb=(f[g>>2]|0)+(Y(f[f[Qa>>2]>>2]|0,Cb)|0)|0;wa=+(h[Gb+(Fb*3|0)>>0]|0);Aa=+(h[Gb+(Fb*3|0)+1>>0]|0);Ha=+(h[Gb+(Fb*3|0)+2>>0]|0);p[ob>>3]=wa+ +p[ob>>3];p[pb>>3]=Aa+ +p[pb>>3];p[qb>>3]=Ha+ +p[qb>>3];p[rb>>3]=wa*wa+ +p[rb>>3];Ia=wa*Aa;p[sb>>3]=Ia+ +p[sb>>3];Ta=wa*Ha;p[tb>>3]=Ta+ +p[tb>>3];p[ub>>3]=Ia+ +p[ub>>3];p[vb>>3]=Aa*Aa+ +p[vb>>3];Ia=Aa*Ha;p[wb>>3]=Ia+ +p[wb>>3];p[xb>>3]=Ta+ +p[xb>>3];p[yb>>3]=Ia+ +p[yb>>3];Hb=Ha*Ha;Ib=B;break}default:{Gb=(f[g>>2]|0)+(Y(f[f[Qa>>2]>>2]|0,Cb)|0)|0;Ha=+(h[Gb+(Fb*3|0)>>0]|0);Ia=+(h[Gb+(Fb*3|0)+1>>0]|0);Ta=+(h[Gb+(Fb*3|0)+2>>0]|0);p[Za>>3]=Ha+ +p[Za>>3];p[_a>>3]=Ia+ +p[_a>>3];p[$a>>3]=Ta+ +p[$a>>3];p[ab>>3]=Ha*Ha+ +p[ab>>3];Aa=Ha*Ia;p[bb>>3]=Aa+ +p[bb>>3];wa=Ha*Ta;p[ib>>3]=wa+ +p[ib>>3];p[jb>>3]=Aa+ +p[jb>>3];p[kb>>3]=Ia*Ia+ +p[kb>>3];Aa=Ia*Ta;p[lb>>3]=Aa+ +p[lb>>3];p[mb>>3]=wa+ +p[mb>>3];p[nb>>3]=Aa+ +p[nb>>3];Hb=Ta*Ta;Ib=C}}Gb=Ib+592+(Ya*72|0)+64|0;p[Gb>>3]=Hb+ +p[Gb>>3];Gb=Ib+952+(Ya<<2)|0;f[Gb>>2]=(f[Gb>>2]|0)+1;Gb=Ib+972|0;f[Gb>>2]=(f[Gb>>2]|0)+1}Fb=Fb+1|0;if((Fb|0)>=(zb|0)){Jb=gb;break}}}else Jb=Bb;Cb=Cb+1|0;if((Cb|0)>=(Jb|0)){Kb=Jb;break}else Bb=Jb}}else Kb=Xa;Ya=Ya+1|0;if((Ya|0)==5)break;else Xa=Kb}Fha(B);Fha(C);hb=f[i>>2]|0}Xa=f[T>>2]|0;Iha(v,Y(hb,Xa)|0);Jha(Oa,((Y(hb+Xa|0,-3)|0)+(Y(Xa<<2,hb)|0)<<1)+6|0);p[Ka>>3]=0.0;Xa=f[i>>2]|0;if((Xa|0)>0){Ya=f[T>>2]|0;Bb=Xa;Xa=0;while(1){if((Ya|0)>0){Cb=(Xa|0)>0;zb=0;do{N=l;P=N+40|0;do{f[N>>2]=0;N=N+4|0}while((N|0)<(P|0));nb=f[S>>2]|0;if((nb|0)==(f[E>>2]|0)){Kha(v,l);Lb=f[S>>2]|0}else{N=nb;O=l;P=N+40|0;do{f[N>>2]=f[O>>2];N=N+4|0;O=O+4|0}while((N|0)<(P|0));mb=nb+40|0;f[S>>2]=mb;Lb=mb}mb=Lb-(f[v>>2]|0)|0;lb=(mb|0)/40|0;kb=lb+-1|0;jb=(f[g>>2]|0)+(Y(f[f[Qa>>2]>>2]|0,Xa)|0)|0;ib=(f[Ja>>2]|0)+(Y(f[f[Sa>>2]>>2]|0,Xa)|0)+zb|0;bb=b[ib>>0]|0;if((bb&-2)<<24>>24==2){Ta=+(h[jb+(zb*3|0)>>0]|0);Aa=+(h[jb+(zb*3|0)+1>>0]|0);wa=+(h[jb+(zb*3|0)+2>>0]|0);Ia=+p[f[x>>2]>>3];p[l>>3]=Ta;p[qa>>3]=Aa;p[M>>3]=wa;Ha=+Eha(B,0,l);Ga=+p[(f[x>>2]|0)+8>>3];p[l>>3]=Ta;p[qa>>3]=Aa;p[M>>3]=wa;za=+Eha(B,1,l);Ca=+p[(f[x>>2]|0)+16>>3];p[l>>3]=Ta;p[qa>>3]=Aa;p[M>>3]=wa;ya=+Eha(B,2,l);ua=+p[(f[x>>2]|0)+24>>3];p[l>>3]=Ta;p[qa>>3]=Aa;p[M>>3]=wa;ta=+Eha(B,3,l);Da=+p[(f[x>>2]|0)+32>>3];p[l>>3]=Ta;p[qa>>3]=Aa;p[M>>3]=wa;va=-+W(+(Ia*Ha+0.0+Ga*za+Ca*ya+ua*ta+Da*+Eha(B,4,l)));Da=+p[f[ba>>2]>>3];p[l>>3]=Ta;p[ga>>3]=Aa;p[fa>>3]=wa;ta=+Eha(C,0,l);ua=+p[(f[ba>>2]|0)+8>>3];p[l>>3]=Ta;p[ga>>3]=Aa;p[fa>>3]=wa;ya=+Eha(C,1,l);Ca=+p[(f[ba>>2]|0)+16>>3];p[l>>3]=Ta;p[ga>>3]=Aa;p[fa>>3]=wa;za=+Eha(C,2,l);Ga=+p[(f[ba>>2]|0)+24>>3];p[l>>3]=Ta;p[ga>>3]=Aa;p[fa>>3]=wa;Ha=+Eha(C,3,l);Ia=+p[(f[ba>>2]|0)+32>>3];p[l>>3]=Ta;p[ga>>3]=Aa;p[fa>>3]=wa;Mb=va;Nb=-+W(+(Da*ta+0.0+ua*ya+Ca*za+Ga*Ha+Ia*+Eha(C,4,l)))}else{jb=bb<<24>>24==0;Mb=jb?0.0:450.0;Nb=jb?450.0:0.0}if((mb|0)<=0){Ra=193;break c}mb=f[v>>2]|0;if((((f[S>>2]|0)-mb|0)/40|0|0)<(lb|0)){Ra=193;break c}jb=mb+(kb*40|0)+24|0;Ia=+p[jb>>3];mb=Ia>0.0;Ha=mb?Nb:Nb-Ia;Ga=mb?Mb+Ia:Mb;p[Ka>>3]=+p[Ka>>3]+(Ga<Ha?Ga:Ha);p[jb>>3]=Ga-Ha;do if((zb|0)<=0){if(Cb)Ra=198}else{jb=(f[ha>>2]|0)+(Y(f[f[J>>2]>>2]|0,Xa)|0)+(zb<<3)|0;Ha=+p[jb>>3];jb=lb+-2|0;Lha(v,kb,jb,Ha,Ha);if(!Cb)break;mb=(f[ea>>2]|0)+(Y(f[f[w>>2]>>2]|0,Xa)|0)+(zb<<3)|0;Ha=+p[mb>>3];Lha(v,kb,jb-(f[T>>2]|0)|0,Ha,Ha);Ra=198}while(0);do if((Ra|0)==198){Ra=0;nb=(f[ja>>2]|0)+(Y(f[f[sa>>2]>>2]|0,Xa)|0)+(zb<<3)|0;Ha=+p[nb>>3];Lha(v,kb,kb-(f[T>>2]|0)|0,Ha,Ha);nb=f[T>>2]|0;if((zb|0)>=(nb+-1|0))break;jb=(f[ia>>2]|0)+(Y(f[f[X>>2]>>2]|0,Xa)|0)+(zb<<3)|0;Ha=+p[jb>>3];Lha(v,kb,lb-nb|0,Ha,Ha)}while(0);zb=zb+1|0;Ob=f[T>>2]|0}while((zb|0)<(Ob|0));Pb=f[i>>2]|0;Qb=Ob}else{Pb=Bb;Qb=Ya}Xa=Xa+1|0;if((Xa|0)>=(Pb|0))break;else{Ya=Qb;Bb=Pb}}}+Mha(v);Bb=f[ka>>2]|0;if((Bb|0)>0){Ya=f[da>>2]|0;Xa=Bb;Bb=0;while(1){if((Ya|0)>0){zb=Ya;Cb=0;while(1){lb=(f[Ja>>2]|0)+(Y(f[f[Sa>>2]>>2]|0,Bb)|0)+Cb|0;if((b[lb>>0]&-2)<<24>>24==2){kb=(Y(zb,Bb)|0)+Cb|0;if((kb|0)<=-1){Ra=209;break c}nb=f[v>>2]|0;if((((f[S>>2]|0)-nb|0)/40|0|0)<=(kb|0)){Ra=209;break c}jb=(b[nb+(kb*40|0)+32>>0]|0)==0;kb=jb?m:o;f[kb>>2]=Cb;f[kb+4>>2]=Bb;b[lb>>0]=jb?3:2;Rb=f[da>>2]|0}else Rb=zb;Cb=Cb+1|0;if((Cb|0)>=(Rb|0))break;else zb=Rb}Sb=f[ka>>2]|0;Tb=Rb}else{Sb=Xa;Tb=Ya}Bb=Bb+1|0;if((Bb|0)>=(Sb|0))break;else{Ya=Tb;Xa=Sb}}}Xa=f[ca>>2]|0;if(Xa|0){Ya=f[na>>2]|0;if((Ya|0)!=(Xa|0))f[na>>2]=Ya+(~((Ya+-16-Xa|0)>>>4)<<4);Emc(Xa)}Xa=f[v>>2]|0;if(Xa|0){Ya=f[S>>2]|0;if((Ya|0)!=(Xa|0))f[S>>2]=Ya+(~(((Ya+-40-Xa|0)>>>0)/40|0)*40|0);Emc(Xa)}Xa=Va+1|0;if((Xa|0)>=(j|0))break b;Va=Xa;Wa=f[i>>2]|0}if((Ra|0)==193){f[l>>2]=0;f[l+4>>2]=0;N=YG(l,26)|0;O=270716;P=N+26|0;do{b[N>>0]=b[O>>0]|0;N=N+1|0;O=O+1|0}while((N|0)<(P|0));SQ(-215,l,270743,270758,141)}else if((Ra|0)==209){f[l>>2]=0;f[l+4>>2]=0;N=YG(l,26)|0;O=270716;P=N+26|0;do{b[N>>0]=b[O>>0]|0;N=N+1|0;O=O+1|0}while((N|0)<(P|0));SQ(-215,l,270827,270758,381)}}while(0);l=t+36|0;O=f[l>>2]|0;if(O|0?(N=O+12|0,O=f[N>>2]|0,f[N>>2]=O+-1,(O|0)==1):0)lP(t);f[l>>2]=0;l=t+16|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[aa>>2]|0)>0){l=f[_>>2]|0;_=0;do{f[l+(_<<2)>>2]=0;_=_+1|0}while((_|0)<(f[aa>>2]|0))}aa=f[X>>2]|0;if((aa|0)!=(ma|0))tE(aa);aa=s+36|0;ma=f[aa>>2]|0;do if(ma|0){X=ma+12|0;_=f[X>>2]|0;f[X>>2]=_+-1;if((_|0)!=1)break;lP(s)}while(0);f[aa>>2]=0;aa=s+16|0;f[aa>>2]=0;f[aa+4>>2]=0;f[aa+8>>2]=0;f[aa+12>>2]=0;if((f[d>>2]|0)>0){aa=f[la>>2]|0;la=0;do{f[aa+(la<<2)>>2]=0;la=la+1|0}while((la|0)<(f[d>>2]|0))}d=f[sa>>2]|0;if((d|0)!=(y|0))tE(d);d=r+36|0;y=f[d>>2]|0;do if(y|0){sa=y+12|0;la=f[sa>>2]|0;f[sa>>2]=la+-1;if((la|0)!=1)break;lP(r)}while(0);f[d>>2]=0;d=r+16|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[I>>2]|0)>0){d=f[Z>>2]|0;Z=0;do{f[d+(Z<<2)>>2]=0;Z=Z+1|0}while((Z|0)<(f[I>>2]|0))}I=f[w>>2]|0;if((I|0)!=(ra|0))tE(I);I=q+36|0;ra=f[I>>2]|0;do if(ra|0){w=ra+12|0;Z=f[w>>2]|0;f[w>>2]=Z+-1;if((Z|0)!=1)break;lP(q)}while(0);f[I>>2]=0;I=q+16|0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[H>>2]|0)>0){I=f[R>>2]|0;R=0;do{f[I+(R<<2)>>2]=0;R=R+1|0}while((R|0)<(f[H>>2]|0))}H=f[J>>2]|0;if((H|0)!=(xa|0))tE(H)}H=D+36|0;xa=f[H>>2]|0;if(xa|0?(J=xa+12|0,xa=f[J>>2]|0,f[J>>2]=xa+-1,(xa|0)==1):0)lP(D);f[H>>2]=0;H=D+16|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[c>>2]|0)>0){H=f[G>>2]|0;G=0;do{f[H+(G<<2)>>2]=0;G=G+1|0}while((G|0)<(f[c>>2]|0))}c=f[K>>2]|0;if((c|0)!=(Q|0))tE(c);c=C+36|0;Q=f[c>>2]|0;if(Q|0?(K=Q+12|0,Q=f[K>>2]|0,f[K>>2]=Q+-1,(Q|0)==1):0)lP(C);f[c>>2]=0;c=C+16|0;Q=C+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[Q>>2]|0)>0){c=f[C+40>>2]|0;K=0;do{f[c+(K<<2)>>2]=0;K=K+1|0}while((K|0)<(f[Q>>2]|0))}Q=f[C+44>>2]|0;if((Q|0)!=(C+48|0))tE(Q);Q=B+36|0;C=f[Q>>2]|0;if(C|0?(K=C+12|0,C=f[K>>2]|0,f[K>>2]=C+-1,(C|0)==1):0)lP(B);f[Q>>2]=0;Q=B+16|0;C=B+4|0;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q+12>>2]=0;if((f[C>>2]|0)>0){Q=f[B+40>>2]|0;K=0;do{f[Q+(K<<2)>>2]=0;K=K+1|0}while((K|0)<(f[C>>2]|0))}C=f[B+44>>2]|0;if((C|0)!=(B+48|0))tE(C);C=A+36|0;B=f[C>>2]|0;if(B|0?(K=B+12|0,B=f[K>>2]|0,f[K>>2]=B+-1,(B|0)==1):0)lP(A);f[C>>2]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[F>>2]|0)>0){g=f[e>>2]|0;e=0;do{f[g+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[F>>2]|0))}F=f[A+44>>2]|0;if((F|0)!=(A+48|0))tE(F);if(!(f[z+4>>2]|0)){u=k;return}u=k;return}function Hha(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;e=u;u=u+16|0;g=e;i=f[d+16>>2]|0;if(!i){f[g>>2]=0;j=g+4|0;f[j>>2]=0;k=YG(g,13)|0;l=k;m=270924;n=l+13|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-5,g,270938,270384,327)}o=f[d+4>>2]|0;if((o|0)<3)p=Y(f[d+12>>2]|0,f[d+8>>2]|0)|0;else{q=f[d+40>>2]|0;r=0;s=1;while(1){t=Y(f[q+(r<<2)>>2]|0,s)|0;r=r+1|0;if((r|0)==(o|0)){p=t;break}else s=t}}if((o|0)==0|(p|0)==0){f[g>>2]=0;j=g+4|0;f[j>>2]=0;k=YG(g,13)|0;l=k;m=270924;n=l+13|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-5,g,270938,270384,327)}if(f[d>>2]&4095|0){f[g>>2]=0;f[g+4>>2]=0;l=YG(g,27)|0;m=270948;n=l+27|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-5,g,270938,270384,329)}if((f[d+12>>2]|0)!=(c|0)){f[g>>2]=0;v=g+4|0;f[v>>2]=0;w=YG(g,43)|0;l=w;m=270976;n=l+43|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-5,g,270938,270384,331)}if((f[d+8>>2]|0)!=(a|0)){f[g>>2]=0;v=g+4|0;f[v>>2]=0;w=YG(g,43)|0;l=w;m=270976;n=l+43|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-5,g,270938,270384,331)}if(!((a|0)>0&(c|0)>0)){u=e;return}w=f[f[d+44>>2]>>2]|0;d=0;a:while(1){v=i+(Y(w,d)|0)|0;k=0;do{if((h[v+k>>0]|0)>=4){x=20;break a}k=k+1|0}while((k|0)<(c|0));d=d+1|0;if((d|0)>=(a|0)){x=19;break}}if((x|0)==19){u=e;return}else if((x|0)==20){f[g>>2]=0;f[g+4>>2]=0;l=YG(g,75)|0;m=271020;n=l+75|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-5,g,270938,270384,339)}}function Iha(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=a+8|0;d=f[a>>2]|0;if((((f[c>>2]|0)-d|0)/40|0)>>>0>=b>>>0)return;e=a+4|0;if(b>>>0>107374182){g=ye(8)|0;Jmc(g,511852);f[g>>2]=165276;Gf(g|0,26776,1555)}g=(f[e>>2]|0)-d|0;h=Bmc(b*40|0)|0;i=h+(((g|0)/40|0)*40|0)|0;j=i+(((g|0)/-40|0)*40|0)|0;if((g|0)>0)Krc(j|0,d|0,g|0)|0;f[a>>2]=j;f[e>>2]=i;f[c>>2]=h+(b*40|0);if(!d)return;Emc(d);return}function Jha(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[a>>2]|0;if((f[c>>2]|0)-d>>4>>>0>=b>>>0)return;e=a+4|0;if(b>>>0>268435455){g=ye(8)|0;Jmc(g,511852);f[g>>2]=165276;Gf(g|0,26776,1555)}g=(f[e>>2]|0)-d|0;h=g>>4;i=Bmc(b<<4)|0;j=i+(h<<4)|0;k=j+(0-h<<4)|0;if((g|0)>0)Krc(k|0,d|0,g|0)|0;f[a>>2]=k;f[e>>2]=j;f[c>>2]=i+(b<<4);if(!d)return;Emc(d);return}function Kha(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=(e|0)/40|0;h=g+1|0;if(h>>>0>107374182)Ukc(a);i=a+8|0;j=((f[i>>2]|0)-d|0)/40|0;k=j<<1;l=j>>>0<53687091?(k>>>0<h>>>0?h:k):107374182;do if(l)if(l>>>0>107374182){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l*40|0)|0;break}else m=0;while(0);k=m+(g*40|0)|0;g=m+(l*40|0)|0;l=k;m=b;b=l+40|0;do{f[l>>2]=f[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(b|0));m=k+(((e|0)/-40|0)*40|0)|0;if((e|0)>0)Krc(m|0,d|0,e|0)|0;f[a>>2]=m;f[c>>2]=k+40;f[i>>2]=g;if(!d)return;Emc(d);return}function Lha(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=+e;g=+g;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;h=u;u=u+32|0;i=h+16|0;j=h;if((c|0)<=-1){f[i>>2]=0;k=i+4|0;f[k>>2]=0;l=YG(i,26)|0;m=l;n=270716;o=m+26|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,i,270865,270758,116)}q=f[a>>2]|0;r=((f[a+4>>2]|0)-q|0)/40|0;s=q;if((r|0)<=(c|0)){f[i>>2]=0;k=i+4|0;f[k>>2]=0;l=YG(i,26)|0;m=l;n=270716;o=m+26|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,i,270865,270758,116)}if(!((d|0)>-1&(r|0)>(d|0))){f[i>>2]=0;f[i+4>>2]=0;m=YG(i,26)|0;n=270874;o=m+26|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,i,270865,270758,117)}if(!(e>=0.0&g>=0.0)){f[i>>2]=0;f[i+4>>2]=0;m=YG(i,15)|0;n=270901;o=m+15|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,i,270865,270758,118)}if((c|0)==(d|0)){f[i>>2]=0;f[i+4>>2]=0;n=YG(i,6)|0;b[n>>0]=b[270917]|0;b[n+1>>0]=b[270918]|0;b[n+2>>0]=b[270919]|0;b[n+3>>0]=b[270920]|0;b[n+4>>0]=b[270921]|0;b[n+5>>0]=b[270922]|0;SQ(-215,i,270865,270758,119)}n=a+12|0;m=a+16|0;o=f[m>>2]|0;r=f[n>>2]|0;if((o|0)==(r|0)){Oha(n,2);t=f[m>>2]|0;v=a;w=f[a>>2]|0;x=f[n>>2]|0}else{t=o;v=a;w=s;x=r}f[i>>2]=d;f[i+4>>2]=f[w+(c*40|0)+8>>2];p[i+8>>3]=e;f[w+(c*40|0)+8>>2]=t-x>>4;x=a+20|0;if((t|0)==(f[x>>2]|0)){Pha(n,i);a=f[m>>2]|0;y=a;z=a}else{a=t;f[a>>2]=f[i>>2];f[a+4>>2]=f[i+4>>2];f[a+8>>2]=f[i+8>>2];f[a+12>>2]=f[i+12>>2];i=(f[m>>2]|0)+16|0;f[m>>2]=i;y=i;z=i}f[j>>2]=c;c=(f[v>>2]|0)+(d*40|0)+8|0;f[j+4>>2]=f[c>>2];p[j+8>>3]=g;f[c>>2]=y-(f[n>>2]|0)>>4;if((z|0)==(f[x>>2]|0)){Pha(n,j);u=h;return}else{f[z>>2]=f[j>>2];f[z+4>>2]=f[j+4>>2];f[z+8>>2]=f[j+8>>2];f[z+12>>2]=f[j+12>>2];f[m>>2]=(f[m>>2]|0)+16;u=h;return}}function Mha(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0.0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0.0,X=0,Y=0.0,Z=0.0,_=0,$=0.0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0;c=u;u=u+80|0;d=c;e=c+56|0;g=c+52|0;h=c+48|0;i=c+40|0;f[d>>2]=d;j=f[a>>2]|0;k=f[a+12>>2]|0;f[e>>2]=0;l=e+4|0;f[l>>2]=0;f[e+8>>2]=0;m=(f[a+4>>2]|0)-j|0;if((m|0)>0){n=(m>>>0)/40|0;m=d;o=0;while(1){q=j+(o*40|0)|0;f[j+(o*40|0)+12>>2]=0;r=+p[j+(o*40|0)+24>>3];if(r!=0.0){f[m>>2]=q;f[j+(o*40|0)+16>>2]=1;b[j+(o*40|0)+32>>0]=r<0.0&1;s=q;t=-1}else{s=m;t=0}f[j+(o*40|0)+4>>2]=t;o=o+1|0;if((o|0)>=(n|0))break;else m=s}v=s;w=f[d>>2]|0}else{v=d;w=d}f[v>>2]=d;f[d>>2]=0;s=a+24|0;a=e+8|0;a:do if((w|0)!=(d|0)){m=w;n=0;o=v;t=0;b:while(1){q=-1;x=m;y=o;while(1){f[g>>2]=x;if(!(f[x+4>>2]|0)){z=q;A=y;B=x}else{C=b[x+32>>0]|0;D=f[x+8>>2]|0;c:do if(!D){E=q;F=y}else{G=C&255;H=D;I=y;while(1){J=H^G;do if(!(+p[k+(J<<4)+8>>3]==0.0)){K=f[k+(H<<4)>>2]|0;M=j+(K*40|0)|0;f[h>>2]=M;N=j+(K*40|0)+4|0;O=j+(K*40|0)+32|0;if(!(f[N>>2]|0)){b[O>>0]=C;f[j+(K*40|0)+4>>2]=H^1;P=f[g>>2]|0;f[j+(K*40|0)+12>>2]=f[P+12>>2];f[j+(K*40|0)+16>>2]=(f[P+16>>2]|0)+1;if(f[M>>2]|0){Q=I;break}f[M>>2]=d;M=f[h>>2]|0;f[I>>2]=M;Q=M;break}if((b[O>>0]|0)!=C<<24>>24){E=J;F=I;break c}O=f[g>>2]|0;M=(f[O+16>>2]|0)+1|0;if((f[j+(K*40|0)+16>>2]|0)>(M|0)?(P=f[O+12>>2]|0,(f[j+(K*40|0)+12>>2]|0)<=(P|0)):0){f[N>>2]=H^1;f[j+(K*40|0)+12>>2]=P;f[j+(K*40|0)+16>>2]=M;Q=I}else Q=I}else Q=I;while(0);H=f[k+(H<<4)+4>>2]|0;if(!H){E=q;F=Q;break}else I=Q}}while(0);if((E|0)>0){R=x;S=E;T=F;break}z=E;A=F;B=f[g>>2]|0}x=f[x>>2]|0;f[B>>2]=0;if((x|0)==(d|0)){U=24;break}else{q=z;y=A}}if((U|0)==24){U=0;if((z|0)<1){V=t;break a}else{R=d;S=z;T=A}}y=k+(S<<4)+8|0;r=+p[y>>3];if(!(r>0.0)){U=27;break}q=S^1;W=r;x=q;while(1){X=f[k+(x<<4)>>2]|0;x=f[j+(X*40|0)+4>>2]|0;if((x|0)<0)break;Y=+p[k+((x^1)<<4)+8>>3];Z=W>Y?Y:W;if(!(Z>0.0)){_=X;U=30;break b}else W=Z}f[g>>2]=j+(X*40|0);Z=+L(+(+p[j+(X*40|0)+24>>3]));Y=W>Z?Z:W;if(Y>0.0){$=Y;aa=S}else{U=32;break}while(1){ba=f[k+(aa<<4)>>2]|0;aa=f[j+(ba*40|0)+4>>2]|0;if((aa|0)<0)break;Y=+p[k+(aa<<4)+8>>3];Z=$>Y?Y:$;if(!(Z>0.0)){_=ba;U=30;break b}else $=Z}f[g>>2]=j+(ba*40|0);W=+L(+(+p[j+(ba*40|0)+24>>3]));Z=$>W?W:$;if(!(Z>0.0)){U=32;break}p[y>>3]=r-Z;x=k+(q<<4)+8|0;p[x>>3]=Z+ +p[x>>3];p[s>>3]=Z+ +p[s>>3];x=f[k+(q<<4)>>2]|0;C=j+(x*40|0)|0;f[g>>2]=C;D=f[j+(x*40|0)+4>>2]|0;I=C;if((D|0)<0){ca=x;da=I}else{x=D;D=I;while(1){I=k+(x<<4)+8|0;p[I>>3]=Z+ +p[I>>3];I=k+((x^1)<<4)+8|0;W=+p[I>>3]-Z;p[I>>3]=W;if(W==0.0){I=f[l>>2]|0;if((I|0)==(f[a>>2]|0))Nha(e,g);else{f[I>>2]=D;f[l>>2]=(f[l>>2]|0)+4}f[(f[g>>2]|0)+4>>2]=-2}I=f[k+(x<<4)>>2]|0;C=j+(I*40|0)|0;f[g>>2]=C;x=f[j+(I*40|0)+4>>2]|0;H=C;if((x|0)<0){ca=I;da=H;break}else D=H}}D=j+(ca*40|0)+24|0;r=+p[D>>3]-Z;p[D>>3]=r;if(r==0.0){D=f[l>>2]|0;if((D|0)==(f[a>>2]|0))Nha(e,g);else{f[D>>2]=da;f[l>>2]=(f[l>>2]|0)+4}f[(f[g>>2]|0)+4>>2]=-2}D=f[k+(S<<4)>>2]|0;x=j+(D*40|0)|0;f[g>>2]=x;q=f[j+(D*40|0)+4>>2]|0;y=x;if((q|0)<0){ea=D;fa=y}else{D=q;q=y;while(1){y=k+((D^1)<<4)+8|0;p[y>>3]=Z+ +p[y>>3];y=k+(D<<4)+8|0;r=+p[y>>3]-Z;p[y>>3]=r;if(r==0.0){y=f[l>>2]|0;if((y|0)==(f[a>>2]|0))Nha(e,g);else{f[y>>2]=q;f[l>>2]=(f[l>>2]|0)+4}f[(f[g>>2]|0)+4>>2]=-2}y=f[k+(D<<4)>>2]|0;x=j+(y*40|0)|0;f[g>>2]=x;D=f[j+(y*40|0)+4>>2]|0;H=x;if((D|0)<0){ea=y;fa=H;break}else q=H}}q=j+(ea*40|0)+24|0;r=Z+ +p[q>>3];p[q>>3]=r;if(r==0.0){q=f[l>>2]|0;if((q|0)==(f[a>>2]|0))Nha(e,g);else{f[q>>2]=fa;f[l>>2]=(f[l>>2]|0)+4}f[(f[g>>2]|0)+4>>2]=-2}n=n+1|0;q=f[e>>2]|0;D=f[l>>2]|0;d:do if((q|0)==(D|0)){ga=T;ha=q}else{H=T;y=q;x=D;while(1){I=x;while(1){I=I+-4|0;ia=f[I>>2]|0;f[l>>2]=I;ja=b[ia+32>>0]|0;ka=ia+8|0;C=f[ka>>2]|0;if(!C){U=50;break}G=(ja^1)&255;J=2147483647;M=C;C=0;while(1){e:do if(!(+p[k+((M^G)<<4)+8>>3]==0.0)?(K=f[k+(M<<4)>>2]|0,P=j+(K*40|0)|0,f[h>>2]=P,(b[j+(K*40|0)+32>>0]|0)==ja<<24>>24):0){if(!(f[j+(K*40|0)+4>>2]|0)){la=J;ma=C;break}N=j+(K*40|0)+12|0;f:do if((f[N>>2]|0)==(n|0)){na=0;oa=K;U=56}else{O=0;pa=P;qa=N;while(1){ra=f[pa+4>>2]|0;sa=O+1|0;if((ra|0)<0)break;ta=f[k+(ra<<4)>>2]|0;ua=j+(ta*40|0)|0;f[h>>2]=ua;va=j+(ta*40|0)+12|0;if((f[va>>2]|0)==(n|0)){na=sa;oa=ta;U=56;break f}else{O=sa;pa=ua;qa=va}}if((ra|0)==-2){la=J;ma=C;break e}f[qa>>2]=n;f[pa+16>>2]=1;wa=sa}while(0);if((U|0)==56){U=0;wa=(f[j+(oa*40|0)+16>>2]|0)+na|0}N=wa+1|0;if((N|0)==2147483647){la=J;ma=C;break}O=(N|0)<(J|0);va=O?M:C;ua=O?N:J;f[h>>2]=P;O=j+(K*40|0)+12|0;if((f[O>>2]|0)==(n|0)){la=ua;ma=va;break}else{xa=N;ya=K;za=O}do{f[za>>2]=n;xa=xa+-1|0;f[j+(ya*40|0)+16>>2]=xa;ya=f[k+(f[j+(ya*40|0)+4>>2]<<4)>>2]|0;za=j+(ya*40|0)+12|0}while((f[za>>2]|0)!=(n|0));f[h>>2]=j+(ya*40|0);la=ua;ma=va}else{la=J;ma=C}while(0);M=f[k+(M<<4)+4>>2]|0;if(!M)break;else{J=la;C=ma}}f[ia+4>>2]=ma;C=ia+12|0;if((ma|0)<=0){Aa=C;break}f[C>>2]=n;f[ia+16>>2]=la;if((y|0)==(I|0)){ga=H;ha=y;break d}}if((U|0)==50){U=0;f[ia+4>>2]=0;Aa=ia+12|0}f[Aa>>2]=0;C=f[ka>>2]|0;if(!C){Ba=H;Ca=I}else{J=(ja^1)&255;M=C;C=H;while(1){G=f[k+(M<<4)>>2]|0;K=j+(G*40|0)|0;f[h>>2]=K;P=f[j+(G*40|0)+4>>2]|0;do if(P|0?(b[j+(G*40|0)+32>>0]|0)==ja<<24>>24:0){do if(+p[k+((M^J)<<4)+8>>3]!=0.0){if(f[K>>2]|0){Da=C;break}f[K>>2]=d;O=f[h>>2]|0;f[C>>2]=O;Da=O}else Da=C;while(0);if((P|0)<=0){Ea=Da;break}if((j+((f[k+(P<<4)>>2]|0)*40|0)|0)!=(ia|0)){Ea=Da;break}O=f[l>>2]|0;if((O|0)==(f[a>>2]|0))Nha(e,h);else{f[O>>2]=f[h>>2];f[l>>2]=(f[l>>2]|0)+4}f[(f[h>>2]|0)+4>>2]=-2;Ea=Da}else Ea=C;while(0);M=f[k+(M<<4)+4>>2]|0;if(!M)break;else C=Ea}Ba=Ea;Ca=f[l>>2]|0}y=f[e>>2]|0;if((y|0)==(Ca|0)){ga=Ba;ha=Ca;break}else{H=Ba;x=Ca}}}while(0);if((R|0)==(d|0)){V=ha;break a}else{m=R;o=ga;t=ha}}if((U|0)==27){f[i>>2]=0;f[i+4>>2]=0;Fa=YG(i,13)|0;Ga=270843;Ha=Fa+13|0;do{b[Fa>>0]=b[Ga>>0]|0;Fa=Fa+1|0;Ga=Ga+1|0}while((Fa|0)<(Ha|0));SQ(-215,i,270857,270758,244)}else if((U|0)==30){f[g>>2]=j+(_*40|0);f[i>>2]=0;f[i+4>>2]=0;Fa=YG(i,13)|0;Ga=270843;Ha=Fa+13|0;do{b[Fa>>0]=b[Ga>>0]|0;Fa=Fa+1|0;Ga=Ga+1|0}while((Fa|0)<(Ha|0));SQ(-215,i,270857,270758,254)}else if((U|0)==32){f[i>>2]=0;f[i+4>>2]=0;Fa=YG(i,13)|0;Ga=270843;Ha=Fa+13|0;do{b[Fa>>0]=b[Ga>>0]|0;Fa=Fa+1|0;Ga=Ga+1|0}while((Fa|0)<(Ha|0));SQ(-215,i,270857,270758,258)}}else V=0;while(0);$=+p[s>>3];if(!V){u=c;return +$}s=f[l>>2]|0;if((s|0)!=(V|0))f[l>>2]=s+(~((s+-4-V|0)>>>2)<<2);Emc(V);u=c;return +$}function Nha(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;Emc(d);return}function Oha(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>4>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;i=(f[e>>2]|0)+16|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>4;g=i+b|0;if(g>>>0>268435455)Ukc(a);j=d-h|0;h=j>>3;d=j>>4>>>0<134217727?(h>>>0<g>>>0?g:h):268435455;do if(d)if(d>>>0>268435455){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{k=Bmc(d<<4)|0;break}else k=0;while(0);h=k+(i<<4)|0;i=k+(d<<4)|0;d=b;b=h;k=h;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;b=k+16|0;k=b;d=d+-1|0}while((d|0)!=0);d=f[a>>2]|0;b=(f[e>>2]|0)-d|0;g=h+(0-(b>>4)<<4)|0;if((b|0)>0)Krc(g|0,d|0,b|0)|0;f[a>>2]=g;f[e>>2]=k;f[c>>2]=i;if(!d)return;Emc(d);return}function Pha(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>4;h=g+1|0;if(h>>>0>268435455)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>3;l=j>>4>>>0<134217727?(k>>>0<h>>>0?h:k):268435455;do if(l)if(l>>>0>268435455){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<4)|0;break}else m=0;while(0);k=m+(g<<4)|0;f[k>>2]=f[b>>2];f[k+4>>2]=f[b+4>>2];f[k+8>>2]=f[b+8>>2];f[k+12>>2]=f[b+12>>2];b=k+(0-g<<4)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+16;f[i>>2]=m+(l<<4);if(!d)return;Emc(d);return}function Qha(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0;e=u;u=u+80|0;g=e+72|0;h=e+16|0;i=e+8|0;j=e;zT(g,58620);do if((pD(a)|0)==65536){k=f[a+4>>2]|0;f[h>>2]=f[k>>2];l=h+4|0;m=k+4|0;f[l>>2]=f[m>>2];o=h+8|0;f[o>>2]=f[k+8>>2];f[h+12>>2]=f[k+12>>2];f[h+16>>2]=f[k+16>>2];f[h+20>>2]=f[k+20>>2];f[h+24>>2]=f[k+24>>2];f[h+28>>2]=f[k+28>>2];f[h+32>>2]=f[k+32>>2];p=f[k+36>>2]|0;f[h+36>>2]=p;f[h+40>>2]=o;o=h+48|0;q=h+44|0;f[q>>2]=o;f[o>>2]=0;f[h+52>>2]=0;if(p|0){o=p+12|0;f[o>>2]=(f[o>>2]|0)+1}if((f[m>>2]|0)<3){m=f[k+44>>2]|0;o=f[q>>2]|0;f[o>>2]=f[m>>2];f[o+4>>2]=f[m+4>>2];break}else{f[l>>2]=0;kP(h,k);break}}else lD(h,a,-1);while(0);a=BP(h,2,-1,1)|0;k=f[h>>2]&7;if((a|0)<=-1){f[i>>2]=0;r=i+4|0;f[r>>2]=0;t=YG(i,50)|0;v=t;w=271195;x=v+50|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-215,i,271246,271265,158)}l=(k|0)==5;if((k|1|0)!=5){f[i>>2]=0;r=i+4|0;f[r>>2]=0;t=YG(i,50)|0;v=t;w=271195;x=v+50|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-215,i,271246,271265,158)}w=c+4|0;n[w>>2]=0.0;n[c>>2]=0.0;n[d>>2]=0.0;a:do if(a|0){v=f[h+16>>2]|0;switch(a|0){case 1:{x=f[v>>2]|0;if(l){y=x;z=f[v+4>>2]|0}else{t=(n[s>>2]=+(x|0),f[s>>2]|0);y=t;z=(n[s>>2]=+(f[v+4>>2]|0),f[s>>2]|0)}f[c>>2]=y;f[w>>2]=z;n[d>>2]=9.999999747378752e-05;break a;break}case 2:{if(l){A=+n[v+12>>2];B=+n[v+4>>2];C=+n[v+8>>2];D=+n[v>>2]}else{A=+(f[v+12>>2]|0);B=+(f[v+4>>2]|0);C=+(f[v+8>>2]|0);D=+(f[v>>2]|0)}n[c>>2]=(D+C)*.5;n[w>>2]=(B+A)*.5;E=D-C;F=B-A;G=+M(+(F*F+E*E))*.5+9.999999747378752e-05;n[d>>2]=G;break a;break}default:{n[i>>2]=0.0;t=i+4|0;n[t>>2]=0.0;n[j>>2]=0.0;b:do if(l){G=+n[v+8>>2];E=(+n[v>>2]+G)*.5;n[i>>2]=E;x=v+4|0;F=+n[v+12>>2];H=(+n[x>>2]+F)*.5;n[t>>2]=H;I=+n[v>>2]-G;G=+n[x>>2]-F;F=+M(+(I*I+G*G))*.5+9.999999747378752e-05;n[j>>2]=F;x=2;G=E;E=H;H=F;while(1){F=+n[v+(x<<3)>>2]-G;I=+n[v+(x<<3)+4>>2]-E;if(!(+M(+(F*F+I*I))<H))Rha(v,x,i,j);r=x+1|0;if((r|0)==(a|0))break b;x=r;G=+n[i>>2];E=+n[t>>2];H=+n[j>>2]}}else{x=f[v>>2]|0;r=f[v+8>>2]|0;H=+(r+x|0)*.5;n[i>>2]=H;k=f[v+4>>2]|0;m=f[v+12>>2]|0;E=+(m+k|0)*.5;n[t>>2]=E;G=+(x-r|0);I=+(k-m|0);F=+M(+(G*G+I*I))*.5+9.999999747378752e-05;n[j>>2]=F;m=2;I=H;H=E;E=F;while(1){F=+(f[v+(m<<3)>>2]|0)-I;G=+(f[v+(m<<3)+4>>2]|0)-H;if(!(+M(+(F*F+G*G))<E))Sha(v,m,i,j);k=m+1|0;if((k|0)==(a|0))break b;m=k;I=+n[i>>2];H=+n[t>>2];E=+n[j>>2]}}while(0);f[c>>2]=f[i>>2];f[w>>2]=f[t>>2];f[d>>2]=f[j>>2];break a}}}while(0);j=h+36|0;d=f[j>>2]|0;if(d|0?(w=d+12|0,d=f[w>>2]|0,f[w>>2]=d+-1,(d|0)==1):0)lP(h);f[j>>2]=0;j=h+16|0;d=h+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[d>>2]|0)>0){j=f[h+40>>2]|0;w=0;do{f[j+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[d>>2]|0))}d=f[h+44>>2]|0;if((d|0)!=(h+48|0))tE(d);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function Rha(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0.0,j=0.0,k=0.0,l=0,m=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0;e=a+(b<<3)|0;n[c>>2]=(+n[a>>2]+ +n[e>>2])*.5;f=a+4|0;g=a+(b<<3)+4|0;h=c+4|0;n[h>>2]=(+n[f>>2]+ +n[g>>2])*.5;i=+n[a>>2]-+n[e>>2];j=+n[f>>2]-+n[g>>2];k=+M(+(i*i+j*j))*.5+9.999999747378752e-05;n[d>>2]=k;if((b|0)>1){l=1;m=k}else return;while(1){f=a+(l<<3)|0;k=+n[f>>2];o=a+(l<<3)+4|0;j=+n[o>>2];i=+n[c>>2]-k;p=+n[h>>2]-j;if(+M(+(i*i+p*p))<m)q=m;else{n[c>>2]=(k+ +n[e>>2])*.5;n[h>>2]=(j+ +n[g>>2])*.5;j=+n[f>>2]-+n[e>>2];k=+n[o>>2]-+n[g>>2];p=+M(+(j*j+k*k))*.5+9.999999747378752e-05;n[d>>2]=p;r=0;k=p;while(1){p=+n[a+(r<<3)>>2];j=+n[a+(r<<3)+4>>2];i=+n[c>>2]-p;s=+n[h>>2]-j;if(+M(+(i*i+s*s))<k)t=k;else{s=+n[e>>2];i=+n[g>>2];u=+n[f>>2];v=+n[o>>2];w=u-s;x=v-i;y=p-s;z=j-i;A=w*((s+u)*.5)+x*((i+v)*.5);v=y*((p+s)*.5)+z*((j+i)*.5);j=z*w-y*x;p=(z*A-x*v)/j;x=(w*v-y*A)/j;n[c>>2]=p;n[h>>2]=x;j=p-s;s=x-i;i=+M(+(j*j+s*s))+9.999999747378752e-05;n[d>>2]=i;t=i}r=r+1|0;if((r|0)==(l|0)){q=t;break}else k=t}}l=l+1|0;if((l|0)==(b|0))break;else m=q}return}function Sha(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0.0,l=0.0,m=0.0,o=0.0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0;e=f[a>>2]|0;g=f[a+(b<<3)>>2]|0;n[c>>2]=+(g+e|0)*.5;h=f[a+4>>2]|0;i=f[a+(b<<3)+4>>2]|0;j=c+4|0;n[j>>2]=+(i+h|0)*.5;k=+(e-g|0);l=+(h-i|0);m=+M(+(k*k+l*l))*.5+9.999999747378752e-05;n[d>>2]=m;if((b|0)<=1)return;l=+(g|0);k=+(i|0);h=1;o=m;while(1){e=f[a+(h<<3)>>2]|0;m=+(e|0);p=f[a+(h<<3)+4>>2]|0;q=+(p|0);r=+n[c>>2]-m;s=+n[j>>2]-q;if(+M(+(r*r+s*s))<o)t=o;else{n[c>>2]=+(g+e|0)*.5;n[j>>2]=+(i+p|0)*.5;s=+(e-g|0);r=+(p-i|0);u=+M(+(s*s+r*r))*.5+9.999999747378752e-05;n[d>>2]=u;r=m-l;s=q-k;v=r*((m+l)*.5)+s*((q+k)*.5);p=0;q=u;while(1){u=+(f[a+(p<<3)>>2]|0);m=+(f[a+(p<<3)+4>>2]|0);w=+n[c>>2]-u;x=+n[j>>2]-m;if(+M(+(w*w+x*x))<q)y=q;else{x=u-l;w=m-k;z=x*((l+u)*.5)+w*((k+m)*.5);m=r*w-s*x;u=(v*w-s*z)/m;w=(r*z-v*x)/m;n[c>>2]=u;n[j>>2]=w;m=u-l;u=w-k;w=+M(+(m*m+u*u))+9.999999747378752e-05;n[d>>2]=w;y=w}p=p+1|0;if((p|0)==(h|0)){t=y;break}else q=y}}h=h+1|0;if((h|0)==(b|0))break;else o=t}return}function Tha(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,t=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0;d=u;u=u+80|0;e=d+64|0;g=d+8|0;h=d;zT(e,58640);do if((pD(a)|0)==65536){i=f[a+4>>2]|0;f[g>>2]=f[i>>2];j=g+4|0;k=i+4|0;f[j>>2]=f[k>>2];l=g+8|0;f[l>>2]=f[i+8>>2];f[g+12>>2]=f[i+12>>2];f[g+16>>2]=f[i+16>>2];f[g+20>>2]=f[i+20>>2];f[g+24>>2]=f[i+24>>2];f[g+28>>2]=f[i+28>>2];f[g+32>>2]=f[i+32>>2];m=f[i+36>>2]|0;f[g+36>>2]=m;f[g+40>>2]=l;l=g+48|0;o=g+44|0;f[o>>2]=l;f[l>>2]=0;f[g+52>>2]=0;if(m|0){l=m+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[k>>2]|0)<3){k=f[i+44>>2]|0;l=f[o>>2]|0;f[l>>2]=f[k>>2];f[l+4>>2]=f[k+4>>2];break}else{f[j>>2]=0;kP(g,i);break}}else lD(g,a,-1);while(0);a=BP(g,2,-1,1)|0;i=f[g>>2]&7;if((a|0)<=-1){f[h>>2]=0;p=h+4|0;f[p>>2]=0;q=YG(h,50)|0;r=q;t=271195;v=r+50|0;do{b[r>>0]=b[t>>0]|0;r=r+1|0;t=t+1|0}while((r|0)<(v|0));SQ(-215,h,271397,271265,237)}j=(i|0)==5;if((i|1|0)!=5){f[h>>2]=0;p=h+4|0;f[p>>2]=0;q=YG(h,50)|0;r=q;t=271195;v=r+50|0;do{b[r>>0]=b[t>>0]|0;r=r+1|0;t=t+1|0}while((r|0)<(v|0));SQ(-215,h,271397,271265,237)}if((a|0)>=2){h=c?a+-1|0:0;c=f[g+16>>2]|0;if(j){w=0.0;j=0;t=f[c+(h<<3)>>2]|0;r=f[c+(h<<3)+4>>2]|0;while(1){v=t;t=f[c+(j<<3)>>2]|0;x=(f[s>>2]=t,+n[s>>2]);q=r;r=f[c+(j<<3)+4>>2]|0;y=(f[s>>2]=r,+n[s>>2]);z=x-(f[s>>2]=v,+n[s>>2]);x=y-(f[s>>2]=q,+n[s>>2]);y=w+ +M(+(x*x+z*z));j=j+1|0;if((j|0)==(a|0)){A=y;break}else w=y}}else{w=0.0;j=0;y=+(f[c+(h<<3)>>2]|0);z=+(f[c+(h<<3)+4>>2]|0);while(1){x=y;y=+(f[c+(j<<3)>>2]|0);B=z;z=+(f[c+(j<<3)+4>>2]|0);C=y-x;x=z-B;B=w+ +M(+(x*x+C*C));j=j+1|0;if((j|0)==(a|0)){A=B;break}else w=B}}}else A=0.0;a=g+36|0;j=f[a>>2]|0;if(j|0?(c=j+12|0,j=f[c>>2]|0,f[c>>2]=j+-1,(j|0)==1):0)lP(g);f[a>>2]=0;a=g+16|0;j=g+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[j>>2]|0)>0){a=f[g+40>>2]|0;c=0;do{f[a+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[j>>2]|0))}j=f[g+44>>2]|0;if((j|0)!=(g+48|0))tE(j);if(!(f[e+4>>2]|0)){u=d;return +A}u=d;return +A}function Uha(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,t=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0;d=u;u=u+80|0;e=d+64|0;g=d+8|0;h=d;zT(e,58660);do if((pD(a)|0)==65536){i=f[a+4>>2]|0;f[g>>2]=f[i>>2];j=g+4|0;k=i+4|0;f[j>>2]=f[k>>2];l=g+8|0;f[l>>2]=f[i+8>>2];f[g+12>>2]=f[i+12>>2];f[g+16>>2]=f[i+16>>2];f[g+20>>2]=f[i+20>>2];f[g+24>>2]=f[i+24>>2];f[g+28>>2]=f[i+28>>2];f[g+32>>2]=f[i+32>>2];m=f[i+36>>2]|0;f[g+36>>2]=m;f[g+40>>2]=l;l=g+48|0;o=g+44|0;f[o>>2]=l;f[l>>2]=0;f[g+52>>2]=0;if(m|0){l=m+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[k>>2]|0)<3){k=f[i+44>>2]|0;l=f[o>>2]|0;f[l>>2]=f[k>>2];f[l+4>>2]=f[k+4>>2];break}else{f[j>>2]=0;kP(g,i);break}}else lD(g,a,-1);while(0);a=BP(g,2,-1,1)|0;i=f[g>>2]&7;if((a|0)<=-1){f[h>>2]=0;p=h+4|0;f[p>>2]=0;q=YG(h,52)|0;r=q;t=271446;v=r+52|0;do{b[r>>0]=b[t>>0]|0;r=r+1|0;t=t+1|0}while((r|0)<(v|0));SQ(-215,h,271499,271265,272)}j=(i|0)==5;if((i|1|0)!=5){f[h>>2]=0;p=h+4|0;f[p>>2]=0;q=YG(h,52)|0;r=q;t=271446;v=r+52|0;do{b[r>>0]=b[t>>0]|0;r=r+1|0;t=t+1|0}while((r|0)<(v|0));SQ(-215,h,271499,271265,272)}if(a){h=f[g+16>>2]|0;t=a+-1|0;if(j){w=0.0;j=0;r=f[h+(t<<3)+4>>2]|0;x=+n[h+(t<<3)>>2];while(1){y=x;x=+n[h+(j<<3)>>2];v=r;r=f[h+(j<<3)+4>>2]|0;z=y*(f[s>>2]=r,+n[s>>2]);y=w+(z-(f[s>>2]=v,+n[s>>2])*x);j=j+1|0;if((j|0)==(a|0)){A=y;break}else w=y}}else{w=0.0;j=0;x=+(f[h+(t<<3)>>2]|0);y=+(f[h+(t<<3)+4>>2]|0);while(1){z=x;x=+(f[h+(j<<3)>>2]|0);B=y;y=+(f[h+(j<<3)+4>>2]|0);C=w+(z*y-B*x);j=j+1|0;if((j|0)==(a|0)){A=C;break}else w=C}}w=A*.5;if(c)D=w;else D=+L(+w)}else D=0.0;c=g+36|0;a=f[c>>2]|0;if(a|0?(j=a+12|0,a=f[j>>2]|0,f[j>>2]=a+-1,(a|0)==1):0)lP(g);f[c>>2]=0;c=g+16|0;a=g+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[a>>2]|0)>0){c=f[g+40>>2]|0;j=0;do{f[c+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[a>>2]|0))}a=f[g+44>>2]|0;if((a|0)!=(g+48|0))tE(a);if(!(f[e+4>>2]|0)){u=d;return +D}u=d;return +D}function Vha(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,N=0,O=0,Q=0,R=0,S=0.0,T=0.0,V=0.0,W=0.0,X=0.0,Y=0.0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0.0,Ga=0.0,Ha=0.0,Ia=0.0,Ja=0,Ka=0.0,La=0.0;d=u;u=u+2592|0;e=d+2584|0;g=d+2528|0;h=d+2232|0;i=d+2192|0;j=d+1096|0;k=d;l=d+2472|0;m=d+2416|0;o=d+2360|0;q=d+2304|0;r=d+2288|0;s=d+2272|0;zT(e,58680);do if((pD(c)|0)==65536){t=f[c+4>>2]|0;f[g>>2]=f[t>>2];v=g+4|0;w=t+4|0;f[v>>2]=f[w>>2];x=g+8|0;f[x>>2]=f[t+8>>2];f[g+12>>2]=f[t+12>>2];f[g+16>>2]=f[t+16>>2];f[g+20>>2]=f[t+20>>2];f[g+24>>2]=f[t+24>>2];f[g+28>>2]=f[t+28>>2];f[g+32>>2]=f[t+32>>2];y=f[t+36>>2]|0;f[g+36>>2]=y;f[g+40>>2]=x;x=g+48|0;z=g+44|0;f[z>>2]=x;f[x>>2]=0;f[g+52>>2]=0;if(y|0){x=y+12|0;f[x>>2]=(f[x>>2]|0)+1}if((f[w>>2]|0)<3){w=f[t+44>>2]|0;x=f[z>>2]|0;f[x>>2]=f[w>>2];f[x+4>>2]=f[w+4>>2];break}else{f[v>>2]=0;kP(g,t);break}}else lD(g,c,-1);while(0);c=BP(g,2,-1,1)|0;t=f[g>>2]&7;if((c|0)<=-1){f[h>>2]=0;A=h+4|0;f[A>>2]=0;B=YG(h,46)|0;C=B;D=271552;E=C+46|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,h,271599,271265,305)}v=(t|0)==5;if((t|1|0)!=5){f[h>>2]=0;A=h+4|0;f[A>>2]=0;B=YG(h,46)|0;C=B;D=271552;E=C+46|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,h,271599,271265,305)};f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;if((c|0)<5){f[h>>2]=0;f[h+4>>2]=0;C=YG(h,52)|0;D=271610;E=C+52|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-201,h,271599,271265,310)}C=h;E=C+40|0;do{f[C>>2]=0;C=C+4|0}while((C|0)<(E|0));C=i;E=C+40|0;do{f[C>>2]=0;C=C+4|0}while((C|0)<(E|0));C=g+16|0;E=f[C>>2]|0;D=g+44|0;B=c*5|0;A=j+8|0;f[j>>2]=A;t=j+4|0;f[t>>2]=B;if(B>>>0>136){w=Dmc(B>>>0>536870911?-1:B<<3)|0;f[j>>2]=w;F=w}else F=A;w=k+8|0;f[k>>2]=w;B=k+4|0;f[B>>2]=c;if(c>>>0>136){x=Dmc(c>>>0>536870911?-1:c<<3)|0;f[k>>2]=x;G=x}else G=w;Ri(l,c,5,6,F,0);Ri(m,c,1,6,G,0);f[o>>2]=1124007942;x=o+4|0;f[x>>2]=2;z=o+8|0;f[z>>2]=5;y=o+12|0;f[y>>2]=1;H=o+16|0;f[H>>2]=h;I=o+20|0;f[I>>2]=h;J=o+24|0;K=o+28|0;N=o+40|0;O=J+8|0;f[O>>2]=0;f[O+4>>2]=0;f[N>>2]=z;O=o+48|0;Q=o+44|0;f[Q>>2]=O;f[O>>2]=8;f[o+52>>2]=8;f[K>>2]=h+40;f[J>>2]=h+40;hP(o);if(v){R=0;S=0.0;T=0.0;while(1){V=S+ +n[E+(R<<3)>>2];W=T+ +n[E+(R<<3)+4>>2];R=R+1|0;if((R|0)==(c|0)){X=V;Y=W;break}else{S=V;T=W}}}else{R=0;T=0.0;S=0.0;while(1){W=T+ +(f[E+(R<<3)>>2]|0);V=S+ +(f[E+(R<<3)+4>>2]|0);R=R+1|0;if((R|0)==(c|0)){X=W;Y=V;break}else{T=W;S=V}}}S=+(c|0);T=X/S;X=Y/S;if(v){R=0;do{S=+n[E+(R<<3)>>2]-T;Y=+n[E+(R<<3)+4>>2]-X;p[G+(R<<3)>>3]=1.0e4;V=S;Z=R*5|0;p[F+(Z<<3)>>3]=-(V*V);S=Y;p[F+(Z+1<<3)>>3]=-(S*S);p[F+(Z+2<<3)>>3]=-(S*V);p[F+(Z+3<<3)>>3]=V;p[F+(Z+4<<3)>>3]=S;R=R+1|0}while((R|0)!=(c|0))}else{R=0;do{S=+(f[E+(R<<3)>>2]|0)-T;V=+(f[E+(R<<3)+4>>2]|0)-X;p[G+(R<<3)>>3]=1.0e4;Y=S;Z=R*5|0;p[F+(Z<<3)>>3]=-(Y*Y);S=V;p[F+(Z+1<<3)>>3]=-(S*S);p[F+(Z+2<<3)>>3]=-(S*Y);p[F+(Z+3<<3)>>3]=Y;p[F+(Z+4<<3)>>3]=S;R=R+1|0}while((R|0)!=(c|0))}f[q+8>>2]=0;f[q+12>>2]=0;f[q>>2]=16842752;f[q+4>>2]=l;f[r+8>>2]=0;f[r+12>>2]=0;f[r>>2]=16842752;f[r+4>>2]=m;R=s+8|0;f[R>>2]=0;f[R+4>>2]=0;f[s>>2]=33619968;f[s+4>>2]=o;IU(q,r,s,1)|0;f[q>>2]=1124007942;R=q+4|0;f[R>>2]=2;Z=q+8|0;f[Z>>2]=2;_=q+12|0;f[_>>2]=2;$=q+16|0;f[$>>2]=F;aa=q+20|0;f[aa>>2]=F;ba=q+24|0;ca=q+28|0;da=q+40|0;ea=ba+8|0;f[ea>>2]=0;f[ea+4>>2]=0;f[da>>2]=Z;ea=q+48|0;fa=q+44|0;f[fa>>2]=ea;f[ea>>2]=16;f[q+52>>2]=8;ga=F+32|0;f[ca>>2]=ga;f[ba>>2]=ga;hP(q);ga=q+36|0;ha=f[ga>>2]|0;if(ha|0){ia=ha+12|0;f[ia>>2]=(f[ia>>2]|0)+1}ia=l+36|0;ha=f[ia>>2]|0;if(ha|0?(ja=ha+12|0,ha=f[ja>>2]|0,f[ja>>2]=ha+-1,(ha|0)==1):0)lP(l);f[ia>>2]=0;ha=l+16|0;ja=l+4|0;f[ha>>2]=0;f[ha+4>>2]=0;f[ha+8>>2]=0;f[ha+12>>2]=0;if((f[ja>>2]|0)>0){ka=f[l+40>>2]|0;la=0;do{f[ka+(la<<2)>>2]=0;la=la+1|0;ma=f[ja>>2]|0}while((la|0)<(ma|0));f[l>>2]=f[q>>2];if((ma|0)<3)na=33;else na=35}else{f[l>>2]=f[q>>2];na=33}if((na|0)==33){ma=f[R>>2]|0;if((ma|0)<3){f[ja>>2]=ma;f[l+8>>2]=f[Z>>2];f[l+12>>2]=f[_>>2];_=f[fa>>2]|0;Z=f[l+44>>2]|0;f[Z>>2]=f[_>>2];f[Z+4>>2]=f[_+4>>2]}else na=35}if((na|0)==35)kP(l,q);f[ha>>2]=f[$>>2];_=l+20|0;f[_>>2]=f[aa>>2];aa=l+24|0;f[aa>>2]=f[ba>>2];ba=l+28|0;f[ba>>2]=f[ca>>2];ca=l+32|0;f[ca>>2]=f[q+32>>2];Z=f[ga>>2]|0;f[ia>>2]=Z;if(Z|0?(ma=Z+12|0,Z=f[ma>>2]|0,f[ma>>2]=Z+-1,(Z|0)==1):0)lP(q);f[ga>>2]=0;f[$>>2]=0;f[$+4>>2]=0;f[$+8>>2]=0;f[$+12>>2]=0;if((f[R>>2]|0)>0){$=f[da>>2]|0;da=0;do{f[$+(da<<2)>>2]=0;da=da+1|0}while((da|0)<(f[R>>2]|0))}R=f[fa>>2]|0;if((R|0)!=(ea|0))tE(R);f[q>>2]=1124007942;R=q+4|0;f[R>>2]=2;ea=q+8|0;f[ea>>2]=2;fa=q+12|0;f[fa>>2]=1;da=q+16|0;f[da>>2]=G;$=q+20|0;f[$>>2]=G;ga=q+24|0;Z=q+28|0;ma=q+40|0;la=ga+8|0;f[la>>2]=0;f[la+4>>2]=0;f[ma>>2]=ea;la=q+48|0;ka=q+44|0;f[ka>>2]=la;f[la>>2]=8;f[q+52>>2]=8;oa=G+16|0;f[Z>>2]=oa;f[ga>>2]=oa;hP(q);oa=q+36|0;pa=f[oa>>2]|0;if(pa|0){qa=pa+12|0;f[qa>>2]=(f[qa>>2]|0)+1}qa=m+36|0;pa=f[qa>>2]|0;if(pa|0?(ra=pa+12|0,pa=f[ra>>2]|0,f[ra>>2]=pa+-1,(pa|0)==1):0)lP(m);f[qa>>2]=0;pa=m+16|0;ra=m+4|0;f[pa>>2]=0;f[pa+4>>2]=0;f[pa+8>>2]=0;f[pa+12>>2]=0;if((f[ra>>2]|0)>0){sa=f[m+40>>2]|0;ta=0;do{f[sa+(ta<<2)>>2]=0;ta=ta+1|0;ua=f[ra>>2]|0}while((ta|0)<(ua|0));f[m>>2]=f[q>>2];if((ua|0)<3)na=54;else na=56}else{f[m>>2]=f[q>>2];na=54}if((na|0)==54){ua=f[R>>2]|0;if((ua|0)<3){f[ra>>2]=ua;f[m+8>>2]=f[ea>>2];f[m+12>>2]=f[fa>>2];fa=f[ka>>2]|0;ea=f[m+44>>2]|0;f[ea>>2]=f[fa>>2];f[ea+4>>2]=f[fa+4>>2]}else na=56}if((na|0)==56)kP(m,q);f[pa>>2]=f[da>>2];fa=m+20|0;f[fa>>2]=f[$>>2];$=m+24|0;f[$>>2]=f[ga>>2];ga=m+28|0;f[ga>>2]=f[Z>>2];Z=m+32|0;f[Z>>2]=f[q+32>>2];ea=f[oa>>2]|0;f[qa>>2]=ea;if(ea|0?(ua=ea+12|0,ea=f[ua>>2]|0,f[ua>>2]=ea+-1,(ea|0)==1):0)lP(q);f[oa>>2]=0;f[da>>2]=0;f[da+4>>2]=0;f[da+8>>2]=0;f[da+12>>2]=0;if((f[R>>2]|0)>0){da=f[ma>>2]|0;ma=0;do{f[da+(ma<<2)>>2]=0;ma=ma+1|0}while((ma|0)<(f[R>>2]|0))}R=f[ka>>2]|0;if((R|0)!=(la|0))tE(R);f[q>>2]=1124007942;R=q+4|0;f[R>>2]=2;la=q+8|0;f[la>>2]=2;ka=q+12|0;f[ka>>2]=1;ma=q+16|0;f[ma>>2]=i;da=q+20|0;f[da>>2]=i;oa=q+24|0;ea=q+28|0;ua=q+40|0;ta=oa+8|0;f[ta>>2]=0;f[ta+4>>2]=0;f[ua>>2]=la;ta=q+48|0;sa=q+44|0;f[sa>>2]=ta;f[ta>>2]=8;f[q+52>>2]=8;va=i+16|0;f[ea>>2]=va;f[oa>>2]=va;hP(q);wa=q+36|0;xa=f[wa>>2]|0;if(xa|0){ya=xa+12|0;f[ya>>2]=(f[ya>>2]|0)+1}ya=o+36|0;xa=f[ya>>2]|0;do if(xa|0){za=xa+12|0;Aa=f[za>>2]|0;f[za>>2]=Aa+-1;if((Aa|0)!=1)break;lP(o)}while(0);f[ya>>2]=0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[x>>2]|0)>0){xa=f[N>>2]|0;Aa=0;do{f[xa+(Aa<<2)>>2]=0;Aa=Aa+1|0;Ba=f[x>>2]|0}while((Aa|0)<(Ba|0));f[o>>2]=f[q>>2];if((Ba|0)<3)na=75;else na=77}else{f[o>>2]=f[q>>2];na=75}do if((na|0)==75){Ba=f[R>>2]|0;if((Ba|0)>=3){na=77;break}f[x>>2]=Ba;f[z>>2]=f[la>>2];f[y>>2]=f[ka>>2];Ba=f[sa>>2]|0;Aa=f[Q>>2]|0;f[Aa>>2]=f[Ba>>2];f[Aa+4>>2]=f[Ba+4>>2]}while(0);if((na|0)==77)kP(o,q);f[H>>2]=f[ma>>2];f[I>>2]=f[da>>2];f[J>>2]=f[oa>>2];f[K>>2]=f[ea>>2];ea=o+32|0;f[ea>>2]=f[q+32>>2];oa=f[wa>>2]|0;f[ya>>2]=oa;do if(oa|0){da=oa+12|0;ka=f[da>>2]|0;f[da>>2]=ka+-1;if((ka|0)!=1)break;lP(q)}while(0);f[wa>>2]=0;f[ma>>2]=0;f[ma+4>>2]=0;f[ma+8>>2]=0;f[ma+12>>2]=0;if((f[R>>2]|0)>0){ma=f[ua>>2]|0;ua=0;do{f[ma+(ua<<2)>>2]=0;ua=ua+1|0}while((ua|0)<(f[R>>2]|0))}R=f[sa>>2]|0;if((R|0)!=(ta|0))tE(R);p[F>>3]=+p[h>>3]*2.0;R=h+16|0;S=+p[R>>3];p[F+16>>3]=S;p[F+8>>3]=S;ta=h+8|0;p[F+24>>3]=+p[ta>>3]*2.0;sa=h+24|0;p[G>>3]=+p[sa>>3];p[G+8>>3]=+p[h+32>>3];f[q+8>>2]=0;f[q+12>>2]=0;f[q>>2]=16842752;f[q+4>>2]=l;f[r+8>>2]=0;f[r+12>>2]=0;f[r>>2]=16842752;f[r+4>>2]=m;ua=s+8|0;f[ua>>2]=0;f[ua+4>>2]=0;f[s>>2]=33619968;f[s+4>>2]=o;IU(q,r,s,1)|0;Ri(q,c,3,6,F,0);ua=q+36|0;ma=f[ua>>2]|0;if(ma|0){wa=ma+12|0;f[wa>>2]=(f[wa>>2]|0)+1}wa=f[ia>>2]|0;do if(wa|0){ma=wa+12|0;oa=f[ma>>2]|0;f[ma>>2]=oa+-1;if((oa|0)!=1)break;lP(l)}while(0);f[ia>>2]=0;f[ha>>2]=0;f[ha+4>>2]=0;f[ha+8>>2]=0;f[ha+12>>2]=0;if((f[ja>>2]|0)>0){wa=f[l+40>>2]|0;oa=0;do{f[wa+(oa<<2)>>2]=0;oa=oa+1|0;Ca=f[ja>>2]|0}while((oa|0)<(Ca|0));f[l>>2]=f[q>>2];if((Ca|0)<3)na=96;else na=98}else{f[l>>2]=f[q>>2];na=96}do if((na|0)==96){Ca=f[q+4>>2]|0;if((Ca|0)>=3){na=98;break}f[ja>>2]=Ca;f[l+8>>2]=f[q+8>>2];f[l+12>>2]=f[q+12>>2];Ca=f[q+44>>2]|0;oa=f[l+44>>2]|0;f[oa>>2]=f[Ca>>2];f[oa+4>>2]=f[Ca+4>>2]}while(0);if((na|0)==98)kP(l,q);Ca=q+16|0;f[ha>>2]=f[Ca>>2];f[_>>2]=f[q+20>>2];f[aa>>2]=f[q+24>>2];f[ba>>2]=f[q+28>>2];f[ca>>2]=f[q+32>>2];ca=f[ua>>2]|0;f[ia>>2]=ca;do if(ca|0){ba=ca+12|0;aa=f[ba>>2]|0;f[ba>>2]=aa+-1;if((aa|0)!=1)break;lP(q)}while(0);f[ua>>2]=0;ua=q+4|0;f[Ca>>2]=0;f[Ca+4>>2]=0;f[Ca+8>>2]=0;f[Ca+12>>2]=0;if((f[ua>>2]|0)>0){Ca=f[q+40>>2]|0;ca=0;do{f[Ca+(ca<<2)>>2]=0;ca=ca+1|0}while((ca|0)<(f[ua>>2]|0))}ua=f[q+44>>2]|0;if((ua|0)!=(q+48|0))tE(ua);Ri(q,c,1,6,G,0);ua=q+36|0;ca=f[ua>>2]|0;if(ca|0){Ca=ca+12|0;f[Ca>>2]=(f[Ca>>2]|0)+1}Ca=f[qa>>2]|0;do if(Ca|0){ca=Ca+12|0;aa=f[ca>>2]|0;f[ca>>2]=aa+-1;if((aa|0)!=1)break;lP(m)}while(0);f[qa>>2]=0;f[pa>>2]=0;f[pa+4>>2]=0;f[pa+8>>2]=0;f[pa+12>>2]=0;if((f[ra>>2]|0)>0){Ca=f[m+40>>2]|0;aa=0;do{f[Ca+(aa<<2)>>2]=0;aa=aa+1|0;Da=f[ra>>2]|0}while((aa|0)<(Da|0));f[m>>2]=f[q>>2];if((Da|0)<3)na=117;else na=119}else{f[m>>2]=f[q>>2];na=117}do if((na|0)==117){Da=f[q+4>>2]|0;if((Da|0)>=3){na=119;break}f[ra>>2]=Da;f[m+8>>2]=f[q+8>>2];f[m+12>>2]=f[q+12>>2];Da=f[q+44>>2]|0;aa=f[m+44>>2]|0;f[aa>>2]=f[Da>>2];f[aa+4>>2]=f[Da+4>>2]}while(0);if((na|0)==119)kP(m,q);Da=q+16|0;f[pa>>2]=f[Da>>2];f[fa>>2]=f[q+20>>2];f[$>>2]=f[q+24>>2];f[ga>>2]=f[q+28>>2];f[Z>>2]=f[q+32>>2];Z=f[ua>>2]|0;f[qa>>2]=Z;do if(Z|0){ga=Z+12|0;$=f[ga>>2]|0;f[ga>>2]=$+-1;if(($|0)!=1)break;lP(q)}while(0);f[ua>>2]=0;ua=q+4|0;f[Da>>2]=0;f[Da+4>>2]=0;f[Da+8>>2]=0;f[Da+12>>2]=0;if((f[ua>>2]|0)>0){Da=f[q+40>>2]|0;Z=0;do{f[Da+(Z<<2)>>2]=0;Z=Z+1|0}while((Z|0)<(f[ua>>2]|0))}ua=f[q+44>>2]|0;if((ua|0)!=(q+48|0))tE(ua);f[q>>2]=1124007942;ua=q+4|0;f[ua>>2]=2;Z=q+8|0;f[Z>>2]=3;Da=q+12|0;f[Da>>2]=1;$=q+16|0;f[$>>2]=h;ga=q+20|0;f[ga>>2]=h;fa=q+24|0;aa=q+28|0;Ca=q+40|0;ca=fa+8|0;f[ca>>2]=0;f[ca+4>>2]=0;f[Ca>>2]=Z;ca=q+48|0;ba=q+44|0;f[ba>>2]=ca;f[ca>>2]=8;f[q+52>>2]=8;f[aa>>2]=sa;f[fa>>2]=sa;hP(q);sa=q+36|0;_=f[sa>>2]|0;if(_|0){oa=_+12|0;f[oa>>2]=(f[oa>>2]|0)+1}oa=f[ya>>2]|0;do if(oa|0){_=oa+12|0;wa=f[_>>2]|0;f[_>>2]=wa+-1;if((wa|0)!=1)break;lP(o)}while(0);f[ya>>2]=0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[x>>2]|0)>0){oa=f[N>>2]|0;wa=0;do{f[oa+(wa<<2)>>2]=0;wa=wa+1|0;Ea=f[x>>2]|0}while((wa|0)<(Ea|0));f[o>>2]=f[q>>2];if((Ea|0)<3)na=138;else na=140}else{f[o>>2]=f[q>>2];na=138}do if((na|0)==138){Ea=f[ua>>2]|0;if((Ea|0)>=3){na=140;break}f[x>>2]=Ea;f[z>>2]=f[Z>>2];f[y>>2]=f[Da>>2];Ea=f[ba>>2]|0;wa=f[Q>>2]|0;f[wa>>2]=f[Ea>>2];f[wa+4>>2]=f[Ea+4>>2]}while(0);if((na|0)==140)kP(o,q);f[H>>2]=f[$>>2];f[I>>2]=f[ga>>2];f[J>>2]=f[fa>>2];f[K>>2]=f[aa>>2];f[ea>>2]=f[q+32>>2];ea=f[sa>>2]|0;f[ya>>2]=ea;do if(ea|0){aa=ea+12|0;K=f[aa>>2]|0;f[aa>>2]=K+-1;if((K|0)!=1)break;lP(q)}while(0);f[sa>>2]=0;f[$>>2]=0;f[$+4>>2]=0;f[$+8>>2]=0;f[$+12>>2]=0;if((f[ua>>2]|0)>0){$=f[Ca>>2]|0;Ca=0;do{f[$+(Ca<<2)>>2]=0;Ca=Ca+1|0}while((Ca|0)<(f[ua>>2]|0))}ua=f[ba>>2]|0;if((ua|0)!=(ca|0))tE(ua);S=+p[i>>3];Y=+p[i+8>>3];if(v){v=0;do{V=+n[E+(v<<3)>>2]-T;W=+n[E+(v<<3)+4>>2]-X;p[G+(v<<3)>>3]=1.0;Fa=V;V=Fa-S;ua=v*3|0;p[F+(ua<<3)>>3]=V*V;V=W;W=V-Y;p[F+(ua+1<<3)>>3]=W*W;p[F+(ua+2<<3)>>3]=(Fa-S)*(V-Y);v=v+1|0}while((v|0)!=(c|0))}else{v=0;do{V=+(f[E+(v<<3)>>2]|0)-T;Fa=+(f[E+(v<<3)+4>>2]|0)-X;p[G+(v<<3)>>3]=1.0;W=V;V=W-S;ua=v*3|0;p[F+(ua<<3)>>3]=V*V;V=Fa;Fa=V-Y;p[F+(ua+1<<3)>>3]=Fa*Fa;p[F+(ua+2<<3)>>3]=(W-S)*(V-Y);v=v+1|0}while((v|0)!=(c|0))}f[q+8>>2]=0;f[q+12>>2]=0;f[q>>2]=16842752;f[q+4>>2]=l;f[r+8>>2]=0;f[r+12>>2]=0;f[r>>2]=16842752;f[r+4>>2]=m;c=s+8|0;f[c>>2]=0;f[c+4>>2]=0;f[s>>2]=33619968;f[s+4>>2]=o;IU(q,r,s,1)|0;Y=+p[R>>3];S=+p[ta>>3];V=+p[h>>3];W=S-V;Fa=+U(+Y,+W)*-.5;p[i+32>>3]=Fa;if(+L(+Y)>1.0e-08)Ga=Y/+P(+(Fa*-2.0));else Ga=W;W=V+S;S=+L(+(W-Ga));if(S>1.0e-08)Ha=+M(+(2.0/S));else Ha=S;p[va>>3]=Ha;S=+L(+(W+Ga));if(S>1.0e-08)Ia=+M(+(2.0/S));else Ia=S;p[i+24>>3]=Ia;n[a>>2]=T+ +p[i>>3];n[a+4>>2]=X+ +p[i+8>>3];X=Ha*2.0;i=a+8|0;n[i>>2]=X;Ha=Ia*2.0;va=a+12|0;n[va>>2]=Ha;if(X>Ha){n[i>>2]=Ha;n[va>>2]=X;X=Fa*180.0/3.141592653589793+90.0;va=a+16|0;n[va>>2]=X;Ja=va;Ka=X}else{va=a+16|0;Ja=va;Ka=+n[va>>2]}X=Ka+360.0;if(Ka<-180.0){n[Ja>>2]=X;La=X}else La=Ka;if(La>360.0)n[Ja>>2]=La+-360.0;Ja=f[ya>>2]|0;do if(Ja|0){va=Ja+12|0;a=f[va>>2]|0;f[va>>2]=a+-1;if((a|0)!=1)break;lP(o)}while(0);f[ya>>2]=0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[x>>2]|0)>0){H=f[N>>2]|0;N=0;do{f[H+(N<<2)>>2]=0;N=N+1|0}while((N|0)<(f[x>>2]|0))}x=f[Q>>2]|0;if((x|0)!=(O|0))tE(x);x=f[qa>>2]|0;do if(x|0){O=x+12|0;Q=f[O>>2]|0;f[O>>2]=Q+-1;if((Q|0)!=1)break;lP(m)}while(0);f[qa>>2]=0;f[pa>>2]=0;f[pa+4>>2]=0;f[pa+8>>2]=0;f[pa+12>>2]=0;if((f[ra>>2]|0)>0){pa=f[m+40>>2]|0;qa=0;do{f[pa+(qa<<2)>>2]=0;qa=qa+1|0}while((qa|0)<(f[ra>>2]|0))}ra=f[m+44>>2]|0;if((ra|0)!=(m+48|0))tE(ra);ra=f[ia>>2]|0;do if(ra|0){m=ra+12|0;qa=f[m>>2]|0;f[m>>2]=qa+-1;if((qa|0)!=1)break;lP(l)}while(0);f[ia>>2]=0;f[ha>>2]=0;f[ha+4>>2]=0;f[ha+8>>2]=0;f[ha+12>>2]=0;if((f[ja>>2]|0)>0){ha=f[l+40>>2]|0;ia=0;do{f[ha+(ia<<2)>>2]=0;ia=ia+1|0}while((ia|0)<(f[ja>>2]|0))}ja=f[l+44>>2]|0;if((ja|0)!=(l+48|0))tE(ja);ja=f[k>>2]|0;if((ja|0)!=(w|0)){if(ja|0)Fmc(ja);f[k>>2]=w;f[B>>2]=136}B=f[j>>2]|0;if((B|0)!=(A|0)){if(B|0)Fmc(B);f[j>>2]=A;f[t>>2]=136}t=g+36|0;A=f[t>>2]|0;do if(A|0){j=A+12|0;B=f[j>>2]|0;f[j>>2]=B+-1;if((B|0)!=1)break;lP(g)}while(0);f[t>>2]=0;t=g+4|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[t>>2]|0)>0){C=f[g+40>>2]|0;A=0;do{f[C+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[t>>2]|0))}t=f[D>>2]|0;if((t|0)!=(g+48|0))tE(t);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function Wha(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+64|0;d=c+56|0;e=c;zT(d,58700);do if((pD(b)|0)==65536){g=f[b+4>>2]|0;f[e>>2]=f[g>>2];h=e+4|0;i=g+4|0;f[h>>2]=f[i>>2];j=e+8|0;f[j>>2]=f[g+8>>2];f[e+12>>2]=f[g+12>>2];f[e+16>>2]=f[g+16>>2];f[e+20>>2]=f[g+20>>2];f[e+24>>2]=f[g+24>>2];f[e+28>>2]=f[g+28>>2];f[e+32>>2]=f[g+32>>2];k=f[g+36>>2]|0;f[e+36>>2]=k;f[e+40>>2]=j;j=e+48|0;l=e+44|0;f[l>>2]=j;f[j>>2]=0;f[e+52>>2]=0;if(k|0){j=k+12|0;f[j>>2]=(f[j>>2]|0)+1}if((f[i>>2]|0)<3){i=f[g+44>>2]|0;j=f[l>>2]|0;f[j>>2]=f[i>>2];f[j+4>>2]=f[i+4>>2];m=e;break}else{f[h>>2]=0;kP(e,g);m=e;break}}else{lD(e,b,-1);m=e}while(0);if(!(f[m>>2]&7))Xha(a,e);else Yha(a,e);a=e+36|0;m=f[a>>2]|0;if(m|0?(b=m+12|0,m=f[b>>2]|0,f[b>>2]=m+-1,(m|0)==1):0)lP(e);f[a>>2]=0;a=e+16|0;m=e+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[m>>2]|0)>0){a=f[e+40>>2]|0;b=0;do{f[a+(b<<2)>>2]=0;b=b+1|0}while((b|0)<(f[m>>2]|0))}m=f[e+44>>2]|0;if((m|0)!=(e+48|0))tE(m);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function Xha(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0;d=u;u=u+16|0;e=d;g=f[c>>2]|0;if(!((g&6)>>>0<2&(g&4088|0)==0)){f[e>>2]=0;f[e+4>>2]=0;g=YG(e,43)|0;h=271727;i=g+43|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));SQ(-215,e,271771,271265,859)}e=f[c+40>>2]|0;h=f[e+4>>2]|0;g=f[e>>2]|0;if((g|0)<=0){j=h;k=-1;l=-1;m=0;n=(j|0)<(h|0);o=n?k:0;p=n?j:0;q=l+1|0;r=q-p|0;s=m-o|0;f[a>>2]=p;t=a+4|0;f[t>>2]=o;v=a+8|0;f[v>>2]=r;w=a+12|0;f[w>>2]=s;u=d;return}e=f[c+16>>2]|0;i=f[f[c+44>>2]>>2]|0;c=-1;x=-1;y=0;z=-1;A=h;while(1){B=e+(Y(i,y)|0)|0;C=B;D=C+3&-4;E=D;F=D-C|0;C=(F|0)>(h|0)?h:F;a:do if((C|0)>0){D=0;while(1){if(b[B+D>>0]|0)break;G=D+1|0;if((G|0)<(C|0))D=G;else{H=0;I=x;J=A;break a}}H=1;I=(D|0)>(x|0)?D:x;J=(D|0)<(A|0)?D:A}else{H=0;I=x;J=A}while(0);if((h|0)>(F|0)){B=J-C|0;G=I-C|0;K=h-C|0;L=B+-4|0;b:do if((B|0)<4)M=0;else{N=0;while(1){if(f[E+N>>2]|0){M=N;break b}O=N+4|0;if((O|0)>(L|0)){M=O;break}else N=O}}while(0);c:do if((M|0)<(B|0)){L=M;while(1){if(b[E+L>>0]|0)break;F=L+1|0;if((F|0)<(B|0))L=F;else{P=H;Q=F;R=B;S=G;break c}}P=1;Q=L;R=L;S=(L|0)>(G|0)?L:G}else{P=H;Q=M;R=B;S=G}while(0);G=Q+-1|0;B=(G|0)<(S|0)?S:G;G=K;while(1){T=G+-1|0;U=(T|0)>(B|0);V=(T&3|0)==3;if(V|U^1){W=20;break}if(!(b[E+T>>0]|0))G=T;else{X=T;break}}d:do if((W|0)==20){W=0;if(U&V?(G=B+3|0,(T|0)>(G|0)):0){K=T;while(1){if(f[E+K+-3>>2]|0){X=K;break d}F=K+-4|0;if((F|0)>(G|0))K=F;else{X=F;break}}}else X=T}while(0);e:do if((X|0)>(B|0)){K=X;while(1){if(b[E+K>>0]|0){Z=1;_=K;break e}G=K+-1|0;if((G|0)>(B|0))K=G;else{$=G;W=27;break}}}else{$=X;W=27}while(0);f:do if((W|0)==27){W=0;if(!P){B=Q&-4;K=$+-3|0;g:do if((B|0)>(K|0))aa=B;else{G=B;while(1){if(f[E+G>>2]|0){aa=G;break g}L=G+4|0;if((L|0)>(K|0)){aa=L;break}else G=L}}while(0);if((aa|0)>($|0)){Z=0;_=S}else{K=aa;while(1){if(b[E+K>>0]|0){Z=1;_=S;break f}if((K|0)<($|0))K=K+1|0;else{Z=0;_=S;break}}}}else{Z=P;_=S}}while(0);ba=R+C|0;ca=Z;da=_+C|0}else{ba=J;ca=H;da=I}E=(ca|0)==0;z=E?z:y;c=E?c:(c|0)<0?y:c;y=y+1|0;if((y|0)==(g|0))break;else{x=da;A=ba}}j=ba;k=c;l=da;m=z+1|0;n=(j|0)<(h|0);o=n?k:0;p=n?j:0;q=l+1|0;r=q-p|0;s=m-o|0;f[a>>2]=p;t=a+4|0;f[t>>2]=o;v=a+8|0;f[v>>2]=r;w=a+12|0;f[w>>2]=s;u=d;return}function Yha(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0.0;d=u;u=u+16|0;e=d;g=BP(c,2,-1,1)|0;h=f[c>>2]&7;if((g|0)<=-1){f[e>>2]=0;i=e+4|0;f[i>>2]=0;j=YG(e,52)|0;k=j;l=271446;m=k+52|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-215,e,271706,271265,741)}o=(h|0)==5;if((h|1|0)!=5){f[e>>2]=0;i=e+4|0;f[i>>2]=0;j=YG(e,52)|0;k=j;l=271446;m=k+52|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-215,e,271706,271265,741)}if(!g){f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;u=d;return}e=f[c+16>>2]|0;c=f[e>>2]|0;l=f[e+4>>2]|0;if(!o)if((g|0)>1){o=c;k=l;m=c;j=1;i=l;while(1){h=f[e+(j<<3)>>2]|0;p=f[e+(j<<3)+4>>2]|0;q=(o|0)>(h|0)?h:o;r=(m|0)<(h|0)?h:m;h=(k|0)>(p|0)?p:k;t=(i|0)<(p|0)?p:i;j=j+1|0;if((j|0)==(g|0)){v=q;w=h;x=r;y=t;break}else{o=q;k=h;m=r;i=t}}}else{v=c;w=l;x=c;y=l}else{i=c>>31&2147483647^c;c=l>>31&2147483647^l;if((g|0)>1){l=1;m=c;k=i;o=c;j=i;while(1){t=f[e+(l<<3)>>2]|0;r=f[e+(l<<3)+4>>2]|0;h=t>>31&2147483647^t;t=r>>31&2147483647^r;r=(j|0)>(h|0)?h:j;q=(k|0)<(h|0)?h:k;h=(m|0)>(t|0)?t:m;p=(o|0)<(t|0)?t:o;l=l+1|0;if((l|0)==(g|0)){z=r;A=h;B=q;C=p;break}else{m=h;k=q;o=p;j=r}}}else{z=i;A=c;B=i;C=c}D=(f[s>>2]=z>>31&2147483647^z,+n[s>>2]);z=~~D;E=(f[s>>2]=A>>31&2147483647^A,+n[s>>2]);A=~~E;F=(f[s>>2]=B>>31&2147483647^B,+n[s>>2]);B=~~F;G=(f[s>>2]=C>>31&2147483647^C,+n[s>>2]);C=~~G;v=z-(+(z|0)>D&1)|0;w=A-(+(A|0)>E&1)|0;x=B-(+(B|0)>F&1)|0;y=C-(+(C|0)>G&1)|0}f[a>>2]=v;f[a+4>>2]=w;f[a+8>>2]=x+1-v;f[a+12>>2]=y+1-w;u=d;return}function Zha(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;e=u;u=u+1344|0;g=e+1256|0;h=e+1236|0;i=e+1208|0;j=e;k=e+1152|0;l=e+1096|0;if((c|0)!=0?(m=f[c>>2]|0,(m&-65536|0)==1117323264):0){if((m&4094|0)!=12){f[j>>2]=0;f[j+4>>2]=0;n=YG(j,25)|0;o=271826;p=n+25|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));SQ(-5,j,271852,271265,1316)}if((f[c+4>>2]|0)>=88)if(!d){m=c+56|0;f[a>>2]=f[m>>2];f[a+4>>2]=f[m+4>>2];f[a+8>>2]=f[m+8>>2];f[a+12>>2]=f[m+12>>2];u=e;return}else{q=d;r=c;s=21}else{q=0;r=c;s=21}}else s=6;a:do if((s|0)==6){d=PT(c,i,0,0)|0;switch(f[d>>2]&4095){case 13:case 12:{q=0;r=W6(0,d,g,h)|0;s=21;break a;break}case 1:case 0:{if(!d){q=0;r=0;s=21;break a}mU(k,d,0,1,0,0);Xha(j,k);d=f[j>>2]|0;m=f[j+4>>2]|0;t=f[j+8>>2]|0;v=f[j+12>>2]|0;w=k+36|0;x=f[w>>2]|0;if(x|0?(y=x+12|0,x=f[y>>2]|0,f[y>>2]=x+-1,(x|0)==1):0)lP(k);f[w>>2]=0;w=k+16|0;x=k+4|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[x>>2]|0)>0){w=f[k+40>>2]|0;y=0;do{f[w+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[x>>2]|0))}x=f[k+44>>2]|0;if((x|0)!=(k+48|0))tE(x);z=d;A=t;B=v;C=m;break a;break}default:{f[j>>2]=0;f[j+4>>2]=0;n=YG(j,56)|0;o=271867;p=n+56|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));SQ(-210,j,271852,271265,1336)}}}while(0);if((s|0)==21){if(!(f[r+24>>2]|0)){D=0;E=0;F=0;G=0}else{s=j+8|0;f[j>>2]=s;o=j+4|0;f[o>>2]=136;mU(l,r,0,0,0,j);Yha(k,l);n=f[k>>2]|0;p=f[k+4>>2]|0;h=f[k+8>>2]|0;g=f[k+12>>2]|0;k=l+36|0;i=f[k>>2]|0;if(i|0?(c=i+12|0,i=f[c>>2]|0,f[c>>2]=i+-1,(i|0)==1):0)lP(l);f[k>>2]=0;k=l+16|0;i=l+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[i>>2]|0)>0){k=f[l+40>>2]|0;c=0;do{f[k+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[i>>2]|0))}i=f[l+44>>2]|0;if((i|0)!=(l+48|0))tE(i);i=f[j>>2]|0;if((i|0)!=(s|0)){if(i|0)Fmc(i);f[j>>2]=s;f[o>>2]=136}D=n;E=h;F=g;G=p}if(!q){z=D;A=E;B=F;C=G}else{f[r+56>>2]=D;f[r+60>>2]=G;f[r+64>>2]=E;f[r+68>>2]=F;z=D;A=E;B=F;C=G}}f[a>>2]=z;f[a+4>>2]=C;f[a+8>>2]=A;f[a+12>>2]=B;u=e;return}
function fJa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;a=u;u=u+16|0;g=a;i=f[d>>2]|0;j=d+4|0;if(i>>>0<(f[j>>2]|0)>>>0?(k=b[i>>0]|0,k<<24>>24>-1):0){f[d>>2]=i+1;l=k<<24>>24!=0}else{jCb(g,d);k=g;if(!(b[g+8>>0]|0)){m=0;u=a;return m|0}else l=(f[k>>2]|0)!=0|(f[k+4>>2]|0)!=0}k=f[e>>2]|0;i=e+4|0;n=f[i>>2]|0;if((k|0)==(n|0)){aJa(e,k+1|0);o=f[e>>2]|0;p=f[i>>2]|0}else{o=k;p=n}n=e+8|0;k=f[n>>2]|0;i=o+1|0;f[e>>2]=i;b[k+4+o>>0]=l&1;l=p-i|0;if((l|0)<=0){m=1;u=a;return m|0}p=g+8|0;o=c&127|128;q=c>>>7&255;if(c>>>0<128){r=l;s=i;t=k;while(1){v=f[d>>2]|0;w=f[j>>2]|0;if(v>>>0>=w>>>0){m=1;x=27;break}if((h[v>>0]|0)!=(c|0)){m=1;x=27;break}y=v+1|0;f[d>>2]=y;if(y>>>0<w>>>0?(w=b[y>>0]|0,w<<24>>24>-1):0){f[d>>2]=v+2;z=w<<24>>24!=0;A=s;B=t}else{jCb(g,d);w=g;if(!(b[p>>0]|0)){m=0;x=27;break}z=(f[w>>2]|0)!=0|(f[w+4>>2]|0)!=0;A=f[e>>2]|0;B=f[n>>2]|0}s=A+1|0;f[e>>2]=s;b[B+4+A>>0]=z&1;if((r|0)<=1){m=1;x=27;break}else{r=r+-1|0;t=B}}if((x|0)==27){u=a;return m|0}}if(c>>>0<16384){C=l;D=i;E=k}else{m=1;u=a;return m|0}while(1){k=f[j>>2]|0;i=f[d>>2]|0;l=i;if((k-i|0)<=1){m=1;x=27;break}if((h[l>>0]|0)!=(o|0)){m=1;x=27;break}if((b[l+1>>0]|0)!=q<<24>>24){m=1;x=27;break}i=l+2|0;f[d>>2]=i;if(i>>>0<k>>>0?(k=b[i>>0]|0,k<<24>>24>-1):0){f[d>>2]=l+3;F=k<<24>>24!=0;G=D;H=E}else{jCb(g,d);k=g;if(!(b[p>>0]|0)){m=0;x=27;break}F=(f[k>>2]|0)!=0|(f[k+4>>2]|0)!=0;G=f[e>>2]|0;H=f[n>>2]|0}D=G+1|0;f[e>>2]=D;b[H+4+G>>0]=F&1;if((C|0)<=1){m=1;x=27;break}else{C=C+-1|0;E=H}}if((x|0)==27){u=a;return m|0}return 0}function gJa(a){a=a|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;f[a>>2]=112060;e=a+4|0;f[a+24>>2]=0;f[a+28>>2]=0;f[a+32>>2]=0;f[a+40>>2]=0;f[a+44>>2]=0;f[a+48>>2]=0;g=a+56|0;f[a+88>>2]=0;f[a+92>>2]=0;f[a+96>>2]=0;f[a+104>>2]=0;f[a+108>>2]=0;f[a+112>>2]=0;f[a+120>>2]=0;f[a+124>>2]=0;f[a+128>>2]=0;f[a+136>>2]=0;f[a+140>>2]=0;f[a+144>>2]=0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;if((a|0)!=528536?(f[222684]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=13;b[d+8>>0]=0;dEb(890736,d);zDb(d)}f[a+152>>2]=535416;d=a+156|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;u=c;return}function hJa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d;f[a>>2]=112060;f[a+4>>2]=c;f[a+8>>2]=0;f[a+12>>2]=0;g=a+16|0;f[g>>2]=0;h=(c|0)==0;if(h){f[a+24>>2]=0;f[a+28>>2]=0;f[a+32>>2]=0;f[a+40>>2]=0;f[a+44>>2]=0;f[a+48>>2]=0}else{if(f[c+64>>2]|0)pBb(c,26896,8);i=nBb(c,8)|0;f[g>>2]=i;f[i>>2]=c;f[a+24>>2]=0;f[a+28>>2]=0;i=a+32|0;f[i>>2]=0;if(f[c+64>>2]|0)pBb(c,26896,8);g=nBb(c,8)|0;f[i>>2]=g;f[g>>2]=c;f[a+40>>2]=0;f[a+44>>2]=0;g=a+48|0;f[g>>2]=0;if(f[c+64>>2]|0)pBb(c,26896,8);i=nBb(c,8)|0;f[g>>2]=i;f[i>>2]=c}f[a+56>>2]=c;i=a+60|0;g=a+80|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;if(h){f[a+88>>2]=0;f[a+92>>2]=0;f[a+96>>2]=0;f[a+104>>2]=0;f[a+108>>2]=0;f[a+112>>2]=0;f[a+120>>2]=0;f[a+124>>2]=0;f[a+128>>2]=0;f[a+136>>2]=0;f[a+140>>2]=0;f[a+144>>2]=0}else{if(f[c+64>>2]|0)pBb(c,26896,8);h=nBb(c,8)|0;f[g>>2]=h;f[h>>2]=c;f[a+88>>2]=0;f[a+92>>2]=0;h=a+96|0;f[h>>2]=0;if(f[c+64>>2]|0)pBb(c,26896,8);g=nBb(c,8)|0;f[h>>2]=g;f[g>>2]=c;f[a+104>>2]=0;f[a+108>>2]=0;g=a+112|0;f[g>>2]=0;if(f[c+64>>2]|0)pBb(c,26896,8);h=nBb(c,8)|0;f[g>>2]=h;f[h>>2]=c;f[a+120>>2]=0;f[a+124>>2]=0;h=a+128|0;f[h>>2]=0;if(f[c+64>>2]|0)pBb(c,26896,8);g=nBb(c,8)|0;f[h>>2]=g;f[g>>2]=c;f[a+136>>2]=0;f[a+140>>2]=0;g=a+144|0;f[g>>2]=0;if(f[c+64>>2]|0)pBb(c,26896,8);h=nBb(c,8)|0;f[g>>2]=h;f[h>>2]=c}if((f[222684]|0)==2){j=a+152|0;f[j>>2]=535416;k=a+156|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;u=d;return}f[e>>2]=149752;f[e+4>>2]=13;b[e+8>>0]=0;dEb(890736,e);zDb(e);j=a+152|0;f[j>>2]=535416;k=a+156|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;u=d;return}function iJa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222683]|0)==2){u=a;return}f[c>>2]=149752;f[c+4>>2]=12;b[c+8>>0]=0;dEb(890732,c);zDb(c);u=a;return}function jJa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222684]|0)==2){u=a;return}f[c>>2]=149752;f[c+4>>2]=13;b[c+8>>0]=0;dEb(890736,c);zDb(c);u=a;return}function kJa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222683]|0)==2){u=a;return}f[c>>2]=149752;f[c+4>>2]=12;b[c+8>>0]=0;dEb(890732,c);zDb(c);u=a;return}function lJa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;f[a>>2]=112360;c=a+116|0;d=f[c>>2]|0;if(d|0?(f[a+104>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0)ai[f[(f[h>>2]|0)+4>>2]&2047](h);g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;Emc(i)}f[c>>2]=0;c=a+100|0;i=f[c>>2]|0;if(i|0?(f[a+88>>2]|0)==0:0){d=f[i>>2]|0;if((d|0)>0){e=0;do{g=f[i+4+(e<<2)>>2]|0;if(g|0)ai[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));j=f[c>>2]|0}else j=i;Emc(j)}f[c>>2]=0;c=f[a+80>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=f[a+64>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=f[a+48>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=f[a+32>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=a+20|0;j=f[c>>2]|0;if(j|0?(f[a+8>>2]|0)==0:0){i=f[j>>2]|0;if((i|0)>0){d=0;do{e=f[j+4+(d<<2)>>2]|0;if(e|0){if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);Emc(e)}d=d+1|0}while((d|0)!=(i|0));k=f[c>>2]|0}else k=j;Emc(k)}f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}k=a&-2;a=k;if((k|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(k);f[c>>2]=0;return}function mJa(a){a=a|0;lJa(a);Emc(a);return}function nJa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function oJa(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(124)|0;hKa(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,18920,128);a=nBb(b,128)|0;iKa(a,b);c=a;return c|0}function pJa(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function qJa(a){a=a|0;return f[a+4>>2]|0}function rJa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+12|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+20>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;i=h+11|0;if((b[i>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0}else{b[h>>0]=0;b[i>>0]=0}}while((g|0)!=(d|0));f[c>>2]=0}f[a+24>>2]=0;f[a+40>>2]=0;f[a+56>>2]=0;f[a+72>>2]=0;c=a+92|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+100>>2]|0;e=0;do{i=f[g+4+(e<<2)>>2]|0;e=e+1|0;ai[f[(f[i>>2]|0)+28>>2]&2047](i)}while((e|0)!=(d|0));f[c>>2]=0}c=a+108|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+116>>2]|0;g=0;do{i=f[e+4+(g<<2)>>2]|0;g=g+1|0;ai[f[(f[i>>2]|0)+28>>2]&2047](i)}while((g|0)!=(d|0));f[c>>2]=0}c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function sJa(a){a=a|0;return 1}function tJa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+24|0;k=a+28|0;l=a+32|0;m=e+8|0;n=a+40|0;o=a+44|0;p=a+48|0;q=a+56|0;r=a+60|0;s=a+64|0;t=e+8|0;v=a+72|0;w=a+76|0;x=a+80|0;y=a+88|0;z=a+100|0;A=a+96|0;B=a+92|0;C=e+4|0;D=a+104|0;E=a+116|0;F=a+112|0;G=a+108|0;H=e+4|0;I=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){K=b[a>>0]|0;L=K&255;if(K<<24>>24>0){f[c>>2]=a+1;M=L;N=6}else{O=L;N=5}}else{O=0;N=5}if((N|0)==5){N=0;L=xCb(c,O)|0;if((L+-1|0)>>>0<127){M=L;N=6}else P=L}b:do if((N|0)==6){N=0;switch(M>>>3&536870911|0){case 2:{if((M&255|0)!=18){P=M;break b}if(HEb(c,dFa(i)|0)|0)continue a;else{Q=0;N=130;break a}break}case 3:{switch((M&255)<<24>>24){case 26:break;case 24:{if(eJa(1,26,c,j)|0)continue a;else{Q=0;N=130;break a}break}default:{P=M;break b}}L=f[c>>2]|0;if(L>>>0<(f[g>>2]|0)>>>0?(a=b[L>>0]|0,a<<24>>24>-1):0){f[c>>2]=L+1;R=a&255}else{a=wCb(c)|0;if((a|0)>-1)R=a;else{Q=0;N=130;break a}}a=fCb(c,R)|0;if((nCb(c)|0)>0)do{L=f[c>>2]|0;if(L>>>0<(f[g>>2]|0)>>>0?(K=b[L>>0]|0,K<<24>>24>-1):0){f[c>>2]=L+1;S=K&255;T=0}else{jCb(e,c);K=e;if(!(b[m>>0]|0)){Q=0;N=130;break a}else{S=f[K>>2]|0;T=f[K+4>>2]|0}}K=f[j>>2]|0;if((K|0)==(f[k>>2]|0)){cEa(j,K+1|0);U=f[j>>2]|0}else U=K;K=f[l>>2]|0;f[j>>2]=U+1;L=K+8+(U<<3)|0;f[L>>2]=S;f[L+4>>2]=T}while((nCb(c)|0)>0);gCb(c,a);continue a;break}case 4:{switch((M&255)<<24>>24){case 34:break;case 37:{if(cJa(1,34,c,n)|0)continue a;else{Q=0;N=130;break a}break}default:{P=M;break b}}L=f[c>>2]|0;if(L>>>0<(f[g>>2]|0)>>>0?(K=b[L>>0]|0,K<<24>>24>-1):0){f[c>>2]=L+1;V=K&255}else{K=wCb(c)|0;if((K|0)>-1)V=K;else{Q=0;N=130;break a}}W=f[n>>2]|0;K=(V|0)/4|0;if((K<<2|0)!=(V|0)){Q=0;N=130;break a}L=pCb(c)|0;X=nCb(c)|0;if((((L|0)==-1|(X|0)<(L|0)?X:L)|0)>=(V|0)){L=W+K|0;if((f[n>>2]|0)<(L|0)?(aEa(n,L),X=f[n>>2]|0,Y=L-X|0,(Y<<2|0)>0):0)Drc((f[p>>2]|0)+((X<<2)+4)|0,0,(((Y|-1073741824|0)==-1073741824?1073741823:1073741822)+Y<<2)+8|0)|0;f[n>>2]=L;L=f[p>>2]|0;if(rCb(c,((L|0)==0?0:L+4|0)+(W<<2)|0,V)|0)continue a;else{N=36;break a}}if((V|0)>3)Z=0;else continue a;while(1){L=f[c>>2]|0;if(((f[g>>2]|0)-L|0)>3){Y=L;X=h[Y>>0]|h[Y+1>>0]<<8|h[Y+2>>0]<<16|h[Y+3>>0]<<24;f[e>>2]=X;f[c>>2]=L+4;_=X}else{if(!(uCb(c,e)|0)){N=45;break a}_=f[e>>2]|0}X=f[n>>2]|0;if((X|0)==(f[o>>2]|0)){aEa(n,X+1|0);$=f[n>>2]|0}else $=X;X=f[p>>2]|0;f[n>>2]=$+1;f[X+4+($<<2)>>2]=_;X=Z+1|0;if((X|0)<(K|0))Z=X;else continue a}break}case 5:{switch((M&255)<<24>>24){case 42:break;case 40:{if(fJa(1,42,c,q)|0)continue a;else{Q=0;N=130;break a}break}default:{P=M;break b}}K=f[c>>2]|0;if(K>>>0<(f[g>>2]|0)>>>0?(a=b[K>>0]|0,a<<24>>24>-1):0){f[c>>2]=K+1;aa=a&255}else{a=wCb(c)|0;if((a|0)>-1)aa=a;else{Q=0;N=130;break a}}a=fCb(c,aa)|0;if((nCb(c)|0)>0)do{K=f[c>>2]|0;if(K>>>0<(f[g>>2]|0)>>>0?(X=b[K>>0]|0,X<<24>>24>-1):0){f[c>>2]=K+1;ba=X<<24>>24!=0}else{jCb(e,c);X=e;if(!(b[t>>0]|0)){Q=0;N=130;break a}else ba=(f[X>>2]|0)!=0|(f[X+4>>2]|0)!=0}X=f[q>>2]|0;if((X|0)==(f[r>>2]|0)){aJa(q,X+1|0);ca=f[q>>2]|0}else ca=X;X=f[s>>2]|0;f[q>>2]=ca+1;b[X+4+ca>>0]=ba&1}while((nCb(c)|0)>0);gCb(c,a);continue a;break}case 6:{switch((M&255)<<24>>24){case 50:break;case 48:{X=f[c>>2]|0;if(X>>>0<(f[g>>2]|0)>>>0){K=b[X>>0]|0;L=K&255;if(K<<24>>24>-1){f[c>>2]=X+1;da=L}else{ea=L;N=79}}else{ea=0;N=79}if((N|0)==79){N=0;L=iCb(c,ea)|0;X=J;if((X|0)>-1|(X|0)==-1&L>>>0>4294967295)da=L;else{Q=0;N=130;break a}}L=f[v>>2]|0;if((L|0)==(f[w>>2]|0)){eFa(v,L+1|0);fa=f[v>>2]|0}else fa=L;L=f[x>>2]|0;f[v>>2]=fa+1;f[L+4+(fa<<2)>>2]=da;continue a;break}default:{P=M;break b}}L=f[c>>2]|0;if(L>>>0<(f[g>>2]|0)>>>0){X=b[L>>0]|0;K=X&255;if(X<<24>>24>-1){f[c>>2]=L+1;ga=K}else{ha=K;N=66}}else{ha=0;N=66}if((N|0)==66){N=0;K=iCb(c,ha)|0;L=J;if((L|0)>-1|(L|0)==-1&K>>>0>4294967295)ga=K;else{Q=0;N=130;break a}}K=fCb(c,ga)|0;if((nCb(c)|0)>0)do{L=f[c>>2]|0;if(L>>>0<(f[g>>2]|0)>>>0){X=b[L>>0]|0;Y=X&255;if(X<<24>>24>-1){f[c>>2]=L+1;ia=Y}else{ja=Y;N=71}}else{ja=0;N=71}if((N|0)==71){N=0;Y=iCb(c,ja)|0;L=J;if((L|0)>-1|(L|0)==-1&Y>>>0>4294967295)ia=Y;else{Q=0;N=130;break a}}Y=f[v>>2]|0;if((Y|0)==(f[w>>2]|0)){eFa(v,Y+1|0);ka=f[v>>2]|0}else ka=Y;Y=f[x>>2]|0;f[v>>2]=ka+1;f[Y+4+(ka<<2)>>2]=ia}while((nCb(c)|0)>0);gCb(c,K);continue a;break}case 7:{if((M&255|0)!=58){P=M;break b}a=f[z>>2]|0;do if(a){Y=f[B>>2]|0;L=f[a>>2]|0;if((Y|0)>=(L|0))if((L|0)==(f[A>>2]|0)){la=L;N=89;break}else{ma=L;na=a;N=90;break}else{f[B>>2]=Y+1;oa=f[a+4+(Y<<2)>>2]|0;break}}else{la=f[A>>2]|0;N=89}while(0);if((N|0)==89){N=0;uDb(y,la+1|0);a=f[z>>2]|0;ma=f[a>>2]|0;na=a;N=90}if((N|0)==90){N=0;f[na>>2]=ma+1;a=f[y>>2]|0;if(!a){K=Bmc(32)|0;xzb(K);pa=K}else{if(f[a+64>>2]|0)pBb(a,23184,32);K=nBb(a,32)|0;yzb(K,a);pa=K}K=f[z>>2]|0;a=f[B>>2]|0;f[B>>2]=a+1;f[K+4+(a<<2)>>2]=pa;oa=pa}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(K=b[a>>0]|0,K<<24>>24>-1):0){f[c>>2]=a+1;qa=K&255}else{K=wCb(c)|0;if((K|0)>-1)qa=K;else{Q=0;N=130;break a}}hCb(e,c,qa);if((f[C>>2]|0)<0){N=102;break a}if(!(Sh[f[(f[oa>>2]|0)+44>>2]&511](oa,c)|0)){N=102;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Q=0;N=130;break a}break}case 8:{if((M&255|0)!=66){P=M;break b}K=f[E>>2]|0;do if(K){a=f[G>>2]|0;Y=f[K>>2]|0;if((a|0)>=(Y|0))if((Y|0)==(f[F>>2]|0)){ra=Y;N=110;break}else{sa=Y;ta=K;N=111;break}else{f[G>>2]=a+1;ua=f[K+4+(a<<2)>>2]|0;break}}else{ra=f[F>>2]|0;N=110}while(0);if((N|0)==110){N=0;uDb(D,ra+1|0);K=f[E>>2]|0;sa=f[K>>2]|0;ta=K;N=111}if((N|0)==111){N=0;f[ta>>2]=sa+1;K=f[D>>2]|0;if(!K){a=Bmc(172)|0;gJa(a);va=a}else{if(f[K+64>>2]|0)pBb(K,18904,176);a=nBb(K,176)|0;hJa(a,K);va=a}a=f[E>>2]|0;K=f[G>>2]|0;f[G>>2]=K+1;f[a+4+(K<<2)>>2]=va;ua=va}K=f[c>>2]|0;if(K>>>0<(f[g>>2]|0)>>>0?(a=b[K>>0]|0,a<<24>>24>-1):0){f[c>>2]=K+1;wa=a&255}else{a=wCb(c)|0;if((a|0)>-1)wa=a;else{Q=0;N=130;break a}}hCb(e,c,wa);if((f[H>>2]|0)<0){N=123;break a}if(!(Sh[f[(f[ua>>2]|0)+44>>2]&511](ua,c)|0)){N=123;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Q=0;N=130;break a}break}default:{P=M;break b}}}while(0);if(!P){Q=1;N=130;break}a=f[I>>2]|0;if(!(a&1))xa=AHa(I)|0;else xa=a&-2;if(!(b4b(c,P,xa)|0)){Q=0;N=130;break}}if((N|0)==36){if((f[n>>2]|0)<=0){Q=0;u=d;return Q|0}f[n>>2]=W;Q=0;u=d;return Q|0}else if((N|0)==45){Q=0;u=d;return Q|0}else if((N|0)==102){Q=0;u=d;return Q|0}else if((N|0)==123){Q=0;u=d;return Q|0}else if((N|0)==130){u=d;return Q|0}return 0}function uJa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;c=f[a+4>>2]|0;if((c&1|0)!=0&(b[481264]|0)!=0)d=h4b(c&-2)|0;else d=0;c=f[a+12>>2]|0;e=c+d|0;if((c|0)>0){d=f[a+20>>2]|0;g=0;h=e;while(1){i=f[d+4+(g<<2)>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0?f[i+4>>2]|0:j&255;j=k+h+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=g+1|0;if((g|0)==(c|0)){l=j;break}else h=j}}else l=e;e=f[a+24>>2]|0;if((e|0)>0){h=f[a+32>>2]|0;c=0;g=0;do{d=h+8+(g<<3)|0;j=Prc(f[d>>2]|1|0,f[d+4>>2]|0,1)|0;c=((((j^63)*9|0)+73|0)>>>6)+c|0;g=g+1|0}while((g|0)!=(e|0));if(c){if((c|0)<0)m=11;else m=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;n=c;o=m+l|0}else{n=0;o=l}}else{n=0;o=l}f[a+36>>2]=n;l=o+n|0;n=f[a+40>>2]<<2;if(!n)p=l;else{if((n|0)<0)q=11;else q=((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;p=q+l|0}f[a+52>>2]=n;l=p+n|0;n=f[a+56>>2]|0;if(!n)r=l;else{if((n|0)<0)s=11;else s=((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;r=s+l|0}f[a+68>>2]=n;l=r+n|0;n=f[a+72>>2]|0;if(n){r=f[a+80>>2]|0;s=0;p=0;do{q=f[r+4+(p<<2)>>2]|0;if((q|0)<0)t=10;else t=(((($(q|1|0)|0)^31)*9|0)+73|0)>>>6;s=t+s|0;p=p+1|0}while((p|0)!=(n|0));if(s){if((s|0)<0)u=11;else u=((((($(s|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;v=s;w=u+l|0}else{v=0;w=l}}else{v=0;w=l}f[a+84>>2]=v;l=f[a+92>>2]|0;u=w+v+l|0;if(!l)x=u;else{v=a+100|0;w=0;s=u;while(1){u=f[(f[v>>2]|0)+4+(w<<2)>>2]|0;n=ci[f[(f[u>>2]|0)+48>>2]&1023](u)|0;u=n+s+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0;w=w+1|0;if((w|0)==(l|0)){x=u;break}else s=u}}s=f[a+108>>2]|0;l=s+x|0;if(!s){y=l;z=a+120|0;f[z>>2]=y;return y|0}x=a+116|0;w=0;v=l;while(1){l=f[(f[x>>2]|0)+4+(w<<2)>>2]|0;u=ci[f[(f[l>>2]|0)+48>>2]&1023](l)|0;l=u+v+((((($(u|1|0)|0)^31)*9|0)+73|0)>>>6)|0;w=w+1|0;if((w|0)==(s|0)){y=l;break}else v=l}z=a+120|0;f[z>>2]=y;return y|0}function vJa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;d=f[a+12>>2]|0;if((d|0)>0){e=a+20|0;g=0;do{CEb(2,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(d|0))}d=a+24|0;if((f[d>>2]|0)>0){g=c+8|0;if((f[g>>2]|0)>4){e=c+4|0;b[f[e>>2]>>0]=26;f[e>>2]=(f[e>>2]|0)+1;e=(f[g>>2]|0)+-1|0;f[g>>2]=e;h=e}else{ECb(c,26);h=f[g>>2]|0}e=f[a+36>>2]|0;if((h|0)>4){h=c+4|0;i=f[h>>2]|0;if(e>>>0>127){j=e;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=i;o=e}b[n>>0]=o;o=n+1-i|0;f[h>>2]=(f[h>>2]|0)+o;f[g>>2]=(f[g>>2]|0)-o}else ECb(c,e);e=f[d>>2]|0;if((e|0)>0){d=a+32|0;o=c+8|0;g=c+4|0;h=0;do{i=(f[d>>2]|0)+8+(h<<3)|0;n=f[i>>2]|0;k=f[i+4>>2]|0;if((f[o>>2]|0)>9){i=f[g>>2]|0;j=n&255;if(k>>>0>0|(k|0)==0&n>>>0>127){l=i;m=j;p=n;q=k;while(1){b[l>>0]=m|-128;r=p;p=Irc(p|0,q|0,7)|0;s=l+1|0;t=p&255;if(!(q>>>0>0|(q|0)==0&r>>>0>16383)){u=s;v=t;break}else{l=s;m=t;q=J}}}else{u=i;v=j}b[u>>0]=v;q=u+1-i|0;f[g>>2]=(f[g>>2]|0)+q;f[o>>2]=(f[o>>2]|0)-q}else FCb(c,n,k);h=h+1|0}while((h|0)!=(e|0))}}e=a+40|0;if((f[e>>2]|0)>0){h=c+8|0;if((f[h>>2]|0)>4){o=c+4|0;b[f[o>>2]>>0]=34;f[o>>2]=(f[o>>2]|0)+1;o=(f[h>>2]|0)+-1|0;f[h>>2]=o;w=o}else{ECb(c,34);w=f[h>>2]|0}o=f[a+52>>2]|0;if((w|0)>4){w=c+4|0;g=f[w>>2]|0;if(o>>>0>127){u=o;v=g;while(1){b[v>>0]=u|128;d=u>>>7;q=v+1|0;if(u>>>0>16383){u=d;v=q}else{x=q;y=d;break}}}else{x=g;y=o}b[x>>0]=y;y=x+1-g|0;f[w>>2]=(f[w>>2]|0)+y;f[h>>2]=(f[h>>2]|0)-y}else ECb(c,o);o=f[a+48>>2]|0;jEb((o|0)==0?0:o+4|0,f[e>>2]|0,c)}e=a+56|0;if((f[e>>2]|0)>0){o=c+8|0;if((f[o>>2]|0)>4){y=c+4|0;b[f[y>>2]>>0]=42;f[y>>2]=(f[y>>2]|0)+1;y=(f[o>>2]|0)+-1|0;f[o>>2]=y;z=y}else{ECb(c,42);z=f[o>>2]|0}y=f[a+68>>2]|0;if((z|0)>4){z=c+4|0;h=f[z>>2]|0;if(y>>>0>127){w=y;g=h;while(1){b[g>>0]=w|128;x=w>>>7;v=g+1|0;if(w>>>0>16383){w=x;g=v}else{A=v;B=x;break}}}else{A=h;B=y}b[A>>0]=B;B=A+1-h|0;f[z>>2]=(f[z>>2]|0)+B;f[o>>2]=(f[o>>2]|0)-B}else ECb(c,y);y=f[a+64>>2]|0;lEb((y|0)==0?0:y+4|0,f[e>>2]|0,c)}e=a+72|0;if((f[e>>2]|0)>0){y=c+8|0;if((f[y>>2]|0)>4){B=c+4|0;b[f[B>>2]>>0]=50;f[B>>2]=(f[B>>2]|0)+1;B=(f[y>>2]|0)+-1|0;f[y>>2]=B;C=B}else{ECb(c,50);C=f[y>>2]|0}B=f[a+84>>2]|0;if((C|0)>4){C=c+4|0;o=f[C>>2]|0;if(B>>>0>127){z=B;h=o;while(1){b[h>>0]=z|128;A=z>>>7;g=h+1|0;if(z>>>0>16383){z=A;h=g}else{D=g;E=A;break}}}else{D=o;E=B}b[D>>0]=E;E=D+1-o|0;f[C>>2]=(f[C>>2]|0)+E;f[y>>2]=(f[y>>2]|0)-E}else ECb(c,B);B=f[e>>2]|0;if((B|0)>0){e=a+80|0;E=c+8|0;y=c+4|0;C=0;do{o=f[(f[e>>2]|0)+4+(C<<2)>>2]|0;D=((o|0)<0)<<31>>31;if((f[E>>2]|0)>9){h=f[y>>2]|0;z=o&255;if(o>>>0>127){A=h;g=z;w=o;x=D;while(1){b[A>>0]=g|-128;v=w;w=Irc(w|0,x|0,7)|0;u=A+1|0;d=w&255;if(!(x>>>0>0|(x|0)==0&v>>>0>16383)){F=u;G=d;break}else{A=u;g=d;x=J}}}else{F=h;G=z}b[F>>0]=G;x=F+1-h|0;f[y>>2]=(f[y>>2]|0)+x;f[E>>2]=(f[E>>2]|0)-x}else FCb(c,o,D);C=C+1|0}while((C|0)!=(B|0))}}B=f[a+92>>2]|0;if(B|0){C=a+100|0;E=0;do{GEb(7,f[(f[C>>2]|0)+4+(E<<2)>>2]|0,c);E=E+1|0}while((E|0)!=(B|0))}B=f[a+108>>2]|0;if(B|0){E=a+116|0;C=0;do{GEb(8,f[(f[E>>2]|0)+4+(C<<2)>>2]|0,c);C=C+1|0}while((C|0)!=(B|0))}B=f[a+4>>2]|0;if(!((B&1|0)!=0&(b[481264]|0)!=0))return;e4b(B&-2,c);return}function wJa(a){a=a|0;return f[a+120>>2]|0}function xJa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0;e=f[a+12>>2]|0;if((e|0)>0){g=a+20|0;h=d;i=0;while(1){j=f[(f[g>>2]|0)+4+(i<<2)>>2]|0;b[h>>0]=18;k=GCb(j,h+1|0)|0;i=i+1|0;if((i|0)==(e|0)){l=k;break}else h=k}}else l=d;d=a+24|0;if((f[d>>2]|0)>0){b[l>>0]=26;h=l+1|0;e=f[a+36>>2]|0;if(e>>>0>127){i=e;g=h;while(1){b[g>>0]=i|128;k=i>>>7;j=g+1|0;if(i>>>0>16383){i=k;g=j}else{m=j;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=f[d>>2]|0;d=f[a+32>>2]|0;e=0;h=m+1|0;while(1){m=d+8+(e<<3)|0;g=f[m>>2]|0;i=f[m+4>>2]|0;m=g&255;if(i>>>0>0|(i|0)==0&g>>>0>127){k=h;j=m;o=g;g=i;while(1){b[k>>0]=j|-128;i=o;o=Irc(o|0,g|0,7)|0;p=k+1|0;q=o&255;if(!(g>>>0>0|(g|0)==0&i>>>0>16383)){r=p;s=q;break}else{k=p;j=q;g=J}}}else{r=h;s=m}b[r>>0]=s;g=r+1|0;e=e+1|0;if((e|0)>=(n|0)){t=g;break}else h=g}}else t=l;l=a+40|0;if((f[l>>2]|0)>0){b[t>>0]=34;h=t+1|0;n=f[a+52>>2]|0;if(n>>>0>127){e=n;r=h;while(1){b[r>>0]=e|128;s=e>>>7;d=r+1|0;if(e>>>0>16383){e=s;r=d}else{u=d;v=s;break}}}else{u=h;v=n}b[u>>0]=v;v=u+1|0;u=f[l>>2]<<2;Krc(v|0,(f[a+48>>2]|0)+4|0,u|0)|0;w=v+u|0}else w=t;t=a+56|0;if((f[t>>2]|0)>0){b[w>>0]=42;u=w+1|0;v=f[a+68>>2]|0;if(v>>>0>127){l=v;n=u;while(1){b[n>>0]=l|128;h=l>>>7;r=n+1|0;if(l>>>0>16383){l=h;n=r}else{x=r;y=h;break}}}else{x=u;y=v}b[x>>0]=y;y=f[t>>2]|0;t=f[a+64>>2]|0;v=0;u=x+1|0;while(1){b[u>>0]=b[t+4+v>>0]|0;x=u+1|0;v=v+1|0;if((v|0)>=(y|0)){z=x;break}else u=x}}else z=w;w=a+72|0;if((f[w>>2]|0)>0){b[z>>0]=50;u=z+1|0;y=f[a+84>>2]|0;if(y>>>0>127){v=y;t=u;while(1){b[t>>0]=v|128;x=v>>>7;n=t+1|0;if(v>>>0>16383){v=x;t=n}else{A=n;B=x;break}}}else{A=u;B=y}b[A>>0]=B;B=f[w>>2]|0;w=f[a+80>>2]|0;y=0;u=A+1|0;while(1){A=f[w+4+(y<<2)>>2]|0;t=A&255;if(A>>>0>127){v=u;x=t;n=A;l=((A|0)<0)<<31>>31;while(1){b[v>>0]=x|-128;A=n;n=Irc(n|0,l|0,7)|0;h=v+1|0;r=n&255;if(!(l>>>0>0|(l|0)==0&A>>>0>16383)){C=h;D=r;break}else{v=h;x=r;l=J}}}else{C=u;D=t}b[C>>0]=D;l=C+1|0;y=y+1|0;if((y|0)>=(B|0)){E=l;break}else u=l}}else E=z;z=f[a+92>>2]|0;if(!z)F=E;else{u=a+100|0;B=0;y=E;while(1){E=f[(f[u>>2]|0)+4+(B<<2)>>2]|0;b[y>>0]=58;C=y+1|0;D=ci[f[(f[E>>2]|0)+60>>2]&1023](E)|0;if(D>>>0>127){w=D;l=C;while(1){b[l>>0]=w|128;x=w>>>7;v=l+1|0;if(w>>>0>16383){w=x;l=v}else{G=v;H=x;break}}}else{G=C;H=D}b[G>>0]=H;l=ki[f[(f[E>>2]|0)+64>>2]&511](E,c,G+1|0)|0;B=B+1|0;if((B|0)==(z|0)){F=l;break}else y=l}}y=f[a+108>>2]|0;if(!y)I=F;else{z=a+116|0;B=0;G=F;while(1){F=f[(f[z>>2]|0)+4+(B<<2)>>2]|0;b[G>>0]=66;H=G+1|0;u=ci[f[(f[F>>2]|0)+60>>2]&1023](F)|0;if(u>>>0>127){l=u;w=H;while(1){b[w>>0]=l|128;t=l>>>7;x=w+1|0;if(l>>>0>16383){l=t;w=x}else{K=x;L=t;break}}}else{K=H;L=u}b[K>>0]=L;w=ki[f[(f[F>>2]|0)+64>>2]&511](F,c,K+1|0)|0;B=B+1|0;if((B|0)==(y|0)){I=w;break}else G=w}}G=f[a+4>>2]|0;if(!((G&1|0)!=0&(b[481264]|0)!=0)){M=I;return M|0}M=f4b(G&-2,I)|0;return M|0}function yJa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function zJa(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,18920,0)|0;if(!c){c2b(b,a);return}else{ZJa(a,c);return}}function AJa(a,b){a=a|0;b=b|0;f[a+120>>2]=b;return}function BJa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222685]|0)!=2){f[d>>2]=149752;f[d+4>>2]=14;b[d+8>>0]=0;dEb(890740,d);zDb(d)}d=529e3;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function CJa(){var a=0,c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((f[222686]|0)!=2){f[c>>2]=149752;f[c+4>>2]=15;b[c+8>>0]=0;dEb(890744,c);zDb(c)}d=Bmc(32)|0;f[c>>2]=d;f[c+8>>2]=-2147483616;f[c+4>>2]=16;e=d;g=411245;h=e+16|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));b[d+16>>0]=0;wYb(c,112460,112508,112176,0,529e3,0,0);if((b[c+11>>0]|0)>=0){u=a;return}Emc(f[c>>2]|0);u=a;return}function DJa(){EJa();NIb(411262,874);R1b(411245,1647);kJa();Bzb();qOa();return}function EJa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222687]|0)!=2){f[c>>2]=149752;f[c+4>>2]=16;b[c+8>>0]=0;dEb(890748,c);zDb(c)}if((f[222688]|0)==2){u=a;return}f[c>>2]=149752;f[c+4>>2]=17;b[c+8>>0]=0;dEb(890752,c);zDb(c);u=a;return}function FJa(a){a=a|0;var c=0;a=u;u=u+16|0;c=a;if((f[222685]|0)!=2){f[c>>2]=149752;f[c+4>>2]=14;b[c+8>>0]=0;dEb(890740,c);zDb(c)}BYb(529e3,4);u=a;return}function GJa(){var a=0,b=0;CDb(3005001,3005e3,412137);tBb();Azb();jJa();f[132180]=112360;f[132190]=0;f[132191]=0;f[132192]=0;f[132194]=0;f[132195]=0;f[132196]=0;f[132198]=0;f[132199]=0;f[132200]=0;f[132181]=0;f[132182]=0;f[132183]=0;f[132184]=0;f[132185]=0;f[132186]=0;f[132187]=0;f[132188]=0;a=528808;b=a+36|0;do{f[a>>2]=0;a=a+4|0}while((a|0)<(b|0));$Db(528720);return}function HJa(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,412137);tBb();Azb();jJa();if((f[222687]|0)!=2){f[c>>2]=149752;f[c+4>>2]=16;b[c+8>>0]=0;dEb(890748,c);zDb(c)}f[132212]=112532;f[132213]=0;f[132217]=0;f[132216]=0;$Db(528848);f[132233]=0;f[132231]=535416;f[132232]=0;f[132234]=0;f[132235]=0;f[132230]=112640;IJa(528944);$Db(528944);f[132218]=535416;c=528880;f[c>>2]=0;f[c+4>>2]=0;n[132222]=0.0;b[528892]=0;f[132224]=0;f[132225]=535064;f[132226]=528536;f[132227]=528720;f[132228]=528944;f[132229]=535416;f[132232]=528848;u=a;return}function IJa(a){a=a|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;f[a>>2]=112756;f[a+4>>2]=0;e=a+8|0;f[e>>2]=155876;f[a+12>>2]=0;f[a+16>>2]=0;VDb(a+20|0);f[a+24>>2]=0;f[e>>2]=112864;f[a+28>>2]=0;e=a+32|0;f[e>>2]=0;g=a+36|0;f[g>>2]=0;tDa(e);f[g>>2]=0;if((a|0)!=528944?(f[222688]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=17;b[d+8>>0]=0;dEb(890752,d);zDb(d)}f[a+44>>2]=535416;f[a+48>>2]=0;u=c;return}function JJa(a){a=a|0;f[a>>2]=112864;RCa(a+24|0);aZb(a);return}function KJa(a){a=a|0;f[a>>2]=112864;RCa(a+24|0);aZb(a);Emc(a);return}function LJa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;Nmc(g,hHa(c)|0);QCa(e,f[a+32>>2]|0,g,0);a=(f[e>>2]|0)!=0;if((b[g+11>>0]|0)>=0){u=d;return a|0}Emc(f[g>>2]|0);u=d;return a|0}function MJa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+32|0;g=e+16|0;h=e;i=ci[f[(f[a>>2]|0)+68>>2]&1023](a)|0;Nmc(h,hHa(c)|0);QCa(g,f[i+8>>2]|0,h,0);c=f[g>>2]|0;if(!c){j=1;k=uDa(i,h)|0}else{j=0;k=(f[c+12>>2]|0)+16|0}f[d>>2]=k;if((b[h+11>>0]|0)>=0){u=e;return j|0}Emc(f[h>>2]|0);u=e;return j|0}function NJa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+64|0;e=d+40|0;g=d+24|0;h=d;Nmc(h,hHa(c)|0);c=ci[f[(f[a>>2]|0)+68>>2]&1023](a)|0;QCa(e,f[c+8>>2]|0,h,0);a=f[e>>2]|0;i=f[e+4>>2]|0;j=f[e+8>>2]|0;if(!a)k=0;else{f[g>>2]=a;f[g+4>>2]=i;f[g+8>>2]=j;f[e>>2]=f[g>>2];f[e+4>>2]=f[g+4>>2];f[e+8>>2]=f[g+8>>2];lDa(d+12|0,c,e);k=1}if((b[h+11>>0]|0)>=0){u=d;return k|0}Emc(f[h>>2]|0);u=d;return k|0}function OJa(a){a=a|0;v_b(a);return f[f[a+32>>2]>>2]|0}function PJa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;b=u;u=u+16|0;c=b;d=f[a+8>>2]|0;if(!d)e=12;else{g=f[d+8>>2]<<2;h=d+12|0;d=f[h>>2]|0;if(!d)i=g;else{if((f[d>>2]|0)>0){j=0;k=g;l=d;while(1){d=f[l+4+(j<<2)>>2]|0;m=(ci[f[(f[d>>2]|0)+84>>2]&1023](d)|0)+k|0;j=j+1|0;l=f[h>>2]|0;if((j|0)>=(f[l>>2]|0)){n=m;break}else k=m}}else n=g;i=n+4|0}e=i+12|0}i=f[a+32>>2]|0;a=f[i+12>>2]|0;n=f[i+4>>2]|0;a:do if(n>>>0>a>>>0){g=f[i+16>>2]|0;k=a;while(1){o=f[g+(k<<2)>>2]|0;if(o|0)break;l=k+1|0;if(l>>>0<n>>>0)k=l;else{p=0;q=l;break a}}if((o|0)==(f[g+((k^1)<<2)>>2]|0)){p=f[(f[o>>2]|0)+16>>2]|0;q=k;break}else{p=o;q=k;break}}else{p=0;q=a}while(0);f[c>>2]=p;f[c+4>>2]=i;f[c+8>>2]=q;if(!p){r=e;u=b;return r|0}q=e;e=p;while(1){p=(f[e+12>>2]|0)+16|0;i=q+12+(ci[f[(f[p>>2]|0)+84>>2]&1023](p)|0)|0;oDa(c)|0;e=f[c>>2]|0;if(!e){r=i;break}else q=i}u=b;return r|0}function QJa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;b=u;u=u+16|0;c=b;d=a+8|0;e=f[d>>2]|0;if(!e){g=f[a+4>>2]|0;if(!g){h=Bmc(16)|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;i=h}else{if(f[g+64>>2]|0)pBb(g,18760,16);h=oBb(g,16,1641)|0;f[h>>2]=g;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;i=h}f[d>>2]=i;j=i}else j=e;e=j+4|0;i=f[e>>2]|0;if((i|0)>0){d=f[j+12>>2]|0;h=0;do{g=f[d+4+(h<<2)>>2]|0;h=h+1|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}while((h|0)!=(i|0));f[e>>2]=0}i=f[a+32>>2]|0;h=f[i+12>>2]|0;d=f[i+4>>2]|0;a:do if(d>>>0>h>>>0){g=f[i+16>>2]|0;k=h;while(1){l=f[g+(k<<2)>>2]|0;if(l|0)break;m=k+1|0;if(m>>>0<d>>>0)k=m;else{n=0;o=m;break a}}if((l|0)==(f[g+((k^1)<<2)>>2]|0)){n=f[(f[l>>2]|0)+16>>2]|0;o=k;break}else{n=l;o=k;break}}else{n=0;o=h}while(0);f[c>>2]=n;f[c+4>>2]=i;f[c+8>>2]=o;if(!n){u=b;return}n=a+4|0;a=j+12|0;o=j+8|0;do{i=Sh[f[(f[132230]|0)+16>>2]&511](528920,f[n>>2]|0)|0;h=i+12|0;l=f[h>>2]|0;d=f[j>>2]|0;if(((d|0)==(l|0)?(m=f[a>>2]|0,(m|0)!=0):0)?(p=f[m>>2]|0,(p|0)<(f[o>>2]|0)):0){q=f[e>>2]|0;if((q|0)<(p|0)){r=m+4+(q<<2)|0;f[m+4+(p<<2)>>2]=f[r>>2];s=r}else s=m+4+(q<<2)|0;f[s>>2]=i;f[e>>2]=q+1;q=f[a>>2]|0;f[q>>2]=(f[q>>2]|0)+1}else jKa(j,i,l,d);d=f[(f[c>>2]|0)+12>>2]|0;l=i+16|0;f[l>>2]=f[l>>2]|1;q=i+4|0;m=f[q>>2]|0;if((m|0)==535416){PDa(q,f[h>>2]|0,535416);t=f[q>>2]|0}else t=m;Qmc(t,d)|0;d=(f[(f[c>>2]|0)+12>>2]|0)+16|0;f[l>>2]=f[l>>2]|2;l=i+8|0;i=f[h>>2]|0;h=f[l>>2]|0;if(!h){if(!i){m=Bmc(24)|0;kKa(m);v=m}else{if(f[i+64>>2]|0)pBb(i,18968,24);m=nBb(i,24)|0;lKa(m,i);v=m}f[l>>2]=v;w=v}else w=h;if((d|0)!=(w|0)){ai[f[(f[w>>2]|0)+28>>2]&2047](w);VJa(w,d)}hDa(c)|0}while((f[c>>2]|0)!=0);u=b;return}function RJa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=u;u=u+80|0;c=b+52|0;d=b+40|0;e=b;g=b+16|0;h=a+24|0;i=f[a+8>>2]|0;if(!i){TDb(g,3,414261,306);QDb(b+64|0,ODb(g,414352)|0);UDb(g)}g=f[a+32>>2]|0;a=f[g+12>>2]|0;j=f[g+4>>2]|0;a:do if(j>>>0>a>>>0){k=f[g+16>>2]|0;l=a;while(1){m=f[k+(l<<2)>>2]|0;if(m|0)break;n=l+1|0;if(n>>>0<j>>>0)l=n;else{o=0;p=n;break a}}if((m|0)==(f[k+((l^1)<<2)>>2]|0)){o=f[(f[m>>2]|0)+16>>2]|0;p=l;break}else{o=m;p=l;break}}else{o=0;p=a}while(0);f[e>>2]=o;f[e+4>>2]=g;f[e+8>>2]=p;if(o|0)do{f[c>>2]=f[e>>2];f[c+4>>2]=f[e+4>>2];f[c+8>>2]=f[e+8>>2];lDa(d,h,c);f[e>>2]=f[d>>2];f[e+4>>2]=f[d+4>>2];f[e+8>>2]=f[d+8>>2]}while((f[e>>2]|0)!=0);e=i+12|0;d=f[e>>2]|0;c=i+4|0;if(!(f[c>>2]|0)){u=b;return}i=(d|0)==0?0:d+4|0;do{d=f[i>>2]|0;o=ci[f[(f[d>>2]|0)+104>>2]&1023](d)|0;d=f[i>>2]|0;p=uDa(h,ci[f[(f[d>>2]|0)+100>>2]&1023](d)|0)|0;if((o|0)!=(p|0)){ai[f[(f[p>>2]|0)+28>>2]&2047](p);VJa(p,o)}i=i+4|0;o=f[e>>2]|0}while((i|0)!=(((o|0)==0?0:o+4|0)+(f[c>>2]<<2)|0));u=b;return}function SJa(a){a=a|0;v_b(a);return a+24|0}function TJa(a){a=a|0;v_b(a);u_b(a);return a+24|0}function UJa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;a=f[f[b>>2]>>2]|0;if(!a)return;c=b+8|0;d=a+12|0;a=f[d>>2]|0;e=b+16|0;if((f[e>>2]|0)==9)g=f[c>>2]|0;else{f[e>>2]=9;e=Bmc(12)|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[c>>2]=e;g=e}Qmc(g,a)|0;f[b+24>>2]=(f[d>>2]|0)+16;return}function VJa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}e=c+20|0;do switch(f[e>>2]|0){case 2:{h=f[c+8>>2]|0;g=a+20|0;if((f[g>>2]|0)==2)i=a+8|0;else{WJa(a);f[g>>2]=2;g=a+8|0;f[g>>2]=535416;i=g}g=f[d>>2]|0;j=g&-2;if(!(g&1))k=j;else k=f[j+4>>2]|0;j=f[i>>2]|0;if((j|0)==535416){PDa(i,k,h);return}else{Qmc(j,h)|0;return}break}case 3:{h=c+8|0;j=f[h>>2]|0;g=f[h+4>>2]|0;h=a+20|0;if((f[h>>2]|0)!=3){WJa(a);f[h>>2]=3}h=a+8|0;f[h>>2]=j;f[h+4>>2]=g;return}case 4:{g=f[c+8>>2]|0;h=a+20|0;if((f[h>>2]|0)!=4){WJa(a);f[h>>2]=4}f[a+8>>2]=g;return}case 5:{g=b[c+8>>0]|0;h=a+20|0;if((f[h>>2]|0)!=5){WJa(a);f[h>>2]=5}b[a+8>>0]=g;return}case 6:{g=f[c+8>>2]|0;h=a+20|0;if((f[h>>2]|0)!=6){WJa(a);f[h>>2]=6}f[a+8>>2]=g;return}case 7:{Czb(XJa(a)|0,(f[e>>2]|0)==7?f[c+8>>2]|0:535064);return}case 8:{$Ia(NDa(a)|0,(f[e>>2]|0)==8?f[c+8>>2]|0:528536);return}case 1:{ZJa(YJa(a)|0,(f[e>>2]|0)==1?f[c+8>>2]|0:528720);return}case 10:{$Ja(_Ja(a)|0,(f[e>>2]|0)==10?f[c+8>>2]|0:528944);return}case 9:{g=f[c+8>>2]|0;h=a+20|0;if((f[h>>2]|0)==9)l=a+8|0;else{WJa(a);f[h>>2]=9;h=a+8|0;f[h>>2]=535416;l=h}h=f[d>>2]|0;j=h&-2;if(!(h&1))m=j;else m=f[j+4>>2]|0;j=f[l>>2]|0;if((j|0)==535416){PDa(l,m,g);return}else{Qmc(j,g)|0;return}break}default:return}while(0)}function WJa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=a+20|0;switch(f[c>>2]|0){case 2:{d=f[a+4>>2]|0;e=d&-2;if(!(d&1))g=e;else g=f[e+4>>2]|0;if((g|0)==0?(g=f[a+8>>2]|0,!((g|0)==535416|(g|0)==0)):0){if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);Emc(g)}break}case 9:{g=f[a+4>>2]|0;e=g&-2;if(!(g&1))h=e;else h=f[e+4>>2]|0;if((h|0)==0?(h=f[a+8>>2]|0,!((h|0)==535416|(h|0)==0)):0){if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);Emc(h)}break}case 10:{h=f[a+4>>2]|0;e=h&-2;if(!(h&1))i=e;else i=f[e+4>>2]|0;if((i|0)==0?(i=f[a+8>>2]|0,i|0):0)ai[f[(f[i>>2]|0)+4>>2]&2047](i);break}case 1:{i=f[a+4>>2]|0;e=i&-2;if(!(i&1))j=e;else j=f[e+4>>2]|0;if((j|0)==0?(j=f[a+8>>2]|0,j|0):0)ai[f[(f[j>>2]|0)+4>>2]&2047](j);break}case 8:{j=f[a+4>>2]|0;e=j&-2;if(!(j&1))k=e;else k=f[e+4>>2]|0;if((k|0)==0?(k=f[a+8>>2]|0,k|0):0)ai[f[(f[k>>2]|0)+4>>2]&2047](k);break}case 7:{k=f[a+4>>2]|0;e=k&-2;if(!(k&1))l=e;else l=f[e+4>>2]|0;if((l|0)==0?(l=f[a+8>>2]|0,l|0):0)ai[f[(f[l>>2]|0)+4>>2]&2047](l);break}default:{}}f[c>>2]=0;return}function XJa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+20|0;if((f[b>>2]|0)==7){c=f[a+8>>2]|0;return c|0}WJa(a);f[b>>2]=7;b=f[a+4>>2]|0;d=b&-2;if(!(b&1))e=d;else e=f[d+4>>2]|0;if(!e){d=Bmc(32)|0;xzb(d);g=d}else{if(f[e+64>>2]|0)pBb(e,23184,32);d=nBb(e,32)|0;yzb(d,e);g=d}f[a+8>>2]=g;c=g;return c|0}function YJa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+20|0;if((f[b>>2]|0)==1){c=f[a+8>>2]|0;return c|0}WJa(a);f[b>>2]=1;b=f[a+4>>2]|0;d=b&-2;if(!(b&1))e=d;else e=f[d+4>>2]|0;if(!e){d=Bmc(124)|0;hKa(d);g=d}else{if(f[e+64>>2]|0)pBb(e,18920,128);d=nBb(e,128)|0;iKa(d,e);g=d}f[a+8>>2]=g;c=g;return c|0}function ZJa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}BHa(a+8|0,b+8|0);d=a+24|0;g=b+24|0;e=f[g>>2]|0;if(e|0){cEa(d,(f[d>>2]|0)+e|0);Krc((f[a+32>>2]|0)+8+(f[d>>2]<<3)|0,(f[b+32>>2]|0)+8|0,f[g>>2]<<3|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}g=a+40|0;d=b+40|0;e=f[d>>2]|0;if(e|0){aEa(g,(f[g>>2]|0)+e|0);Krc((f[a+48>>2]|0)+4+(f[g>>2]<<2)|0,(f[b+48>>2]|0)+4|0,f[d>>2]<<2|0)|0;f[g>>2]=(f[g>>2]|0)+(f[d>>2]|0)}d=a+56|0;g=b+56|0;e=f[g>>2]|0;if(e|0){aJa(d,(f[d>>2]|0)+e|0);Krc((f[d>>2]|0)+((f[a+64>>2]|0)+4)|0,(f[b+64>>2]|0)+4|0,f[g>>2]|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}g=a+72|0;d=b+72|0;e=f[d>>2]|0;if(!e){h=a+88|0;i=b+88|0;dKa(h,i);j=a+104|0;k=b+104|0;eKa(j,k);return}eFa(g,(f[g>>2]|0)+e|0);Krc((f[a+80>>2]|0)+4+(f[g>>2]<<2)|0,(f[b+80>>2]|0)+4|0,f[d>>2]<<2|0)|0;f[g>>2]=(f[g>>2]|0)+(f[d>>2]|0);h=a+88|0;i=b+88|0;dKa(h,i);j=a+104|0;k=b+104|0;eKa(j,k);return}function _Ja(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+20|0;if((f[b>>2]|0)==10){c=f[a+8>>2]|0;return c|0}WJa(a);f[b>>2]=10;b=f[a+4>>2]|0;d=b&-2;if(!(b&1))e=d;else e=f[d+4>>2]|0;if(!e){d=Bmc(52)|0;IJa(d);g=d}else{if(f[e+64>>2]|0)pBb(e,18952,56);d=nBb(e,56)|0;bKa(d,e);g=d}f[a+8>>2]=g;c=g;return c|0}function $Ja(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}e=a+8|0;v_b(e);v_b(c+8|0);aKa(a+28|0,c+28|0);u_b(e);e=f[c+44>>2]|0;c=b[e+11>>0]|0;if(c<<24>>24<0)i=f[e+4>>2]|0;else i=c&255;if(!i)return;i=a+44|0;a=f[d>>2]|0;d=a&-2;if(!(a&1))j=d;else j=f[d+4>>2]|0;d=f[i>>2]|0;if((d|0)==535416){PDa(i,j,e);return}else{Qmc(d,e)|0;return}}function aKa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;e=f[b+12>>2]|0;b=f[e+12>>2]|0;g=f[e+4>>2]|0;a:do if(g>>>0>b>>>0){h=f[e+16>>2]|0;i=b;while(1){j=f[h+(i<<2)>>2]|0;if(j|0)break;k=i+1|0;if(k>>>0<g>>>0)i=k;else{l=0;m=k;break a}}if((j|0)==(f[h+((i^1)<<2)>>2]|0)){l=f[(f[j>>2]|0)+16>>2]|0;m=i;break}else{l=j;m=i;break}}else{l=0;m=b}while(0);f[d>>2]=l;f[d+4>>2]=e;f[d+8>>2]=m;if(!l){u=c;return}m=a+4|0;a=l;do{l=f[a+12>>2]|0;e=l+16|0;b=uDa(m,l)|0;if((e|0)!=(b|0)){ai[f[(f[b>>2]|0)+28>>2]&2047](b);VJa(b,e)}hDa(d)|0;a=f[d>>2]|0}while((a|0)!=0);u=c;return}function bKa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;f[a>>2]=112756;f[a+4>>2]=c;cKa(a+8|0,c);if((f[222688]|0)==2){g=a+44|0;f[g>>2]=535416;h=a+48|0;f[h>>2]=0;u=d;return}f[e>>2]=149752;f[e+4>>2]=17;b[e+8>>0]=0;dEb(890752,e);zDb(e);g=a+44|0;f[g>>2]=535416;h=a+48|0;f[h>>2]=0;u=d;return}function cKa(a,b){a=a|0;b=b|0;var c=0;f[a>>2]=155876;f[a+4>>2]=b;f[a+8>>2]=0;c=a+12|0;VDb(c);f[a+16>>2]=0;SHa(b,c);f[a>>2]=112864;f[a+20>>2]=b;c=a+24|0;f[c>>2]=b;b=a+28|0;f[b>>2]=0;tDa(c);f[b>>2]=0;return}function dKa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{gKa(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(32)|0;xzb(l);gKa(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,23184,32);l=nBb(i,32)|0;yzb(l,i);gKa(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function eKa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{fKa(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(172)|0;gJa(l);fKa(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,18904,176);l=nBb(i,176)|0;hJa(l,i);fKa(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function fKa(a,b){a=a|0;b=b|0;$Ia(b,a);return}function gKa(a,b){a=a|0;b=b|0;Czb(b,a);return}function hKa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;f[a>>2]=112360;e=a+4|0;f[a+40>>2]=0;f[a+44>>2]=0;f[a+48>>2]=0;f[a+56>>2]=0;f[a+60>>2]=0;f[a+64>>2]=0;f[a+72>>2]=0;f[a+76>>2]=0;f[a+80>>2]=0;g=a+88|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[e+28>>2]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;if((a|0)==528720){h=a+120|0;f[h>>2]=0;u=c;return}if((f[222687]|0)==2){h=a+120|0;f[h>>2]=0;u=c;return}f[d>>2]=149752;f[d+4>>2]=16;b[d+8>>0]=0;dEb(890748,d);zDb(d);h=a+120|0;f[h>>2]=0;u=c;return}function iKa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+16|0;e=d;f[a>>2]=112360;f[a+4>>2]=c;f[a+8>>2]=c;g=a+12|0;h=a+32|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;if(!c){f[a+40>>2]=0;f[a+44>>2]=0;f[a+48>>2]=0;f[a+56>>2]=0;f[a+60>>2]=0;f[a+64>>2]=0;f[a+72>>2]=0;f[a+76>>2]=0;f[a+80>>2]=0}else{if(f[c+64>>2]|0)pBb(c,26896,8);g=nBb(c,8)|0;f[h>>2]=g;f[g>>2]=c;f[a+40>>2]=0;f[a+44>>2]=0;g=a+48|0;f[g>>2]=0;if(f[c+64>>2]|0)pBb(c,26896,8);h=nBb(c,8)|0;f[g>>2]=h;f[h>>2]=c;f[a+56>>2]=0;f[a+60>>2]=0;h=a+64|0;f[h>>2]=0;if(f[c+64>>2]|0)pBb(c,26896,8);g=nBb(c,8)|0;f[h>>2]=g;f[g>>2]=c;f[a+72>>2]=0;f[a+76>>2]=0;g=a+80|0;f[g>>2]=0;if(f[c+64>>2]|0)pBb(c,26896,8);h=nBb(c,8)|0;f[g>>2]=h;f[h>>2]=c}f[a+88>>2]=c;f[a+92>>2]=0;f[a+96>>2]=0;f[a+100>>2]=0;f[a+104>>2]=c;f[a+108>>2]=0;f[a+112>>2]=0;f[a+116>>2]=0;if((f[222687]|0)==2){i=a+120|0;f[i>>2]=0;u=d;return}f[e>>2]=149752;f[e+4>>2]=16;b[e+8>>0]=0;dEb(890748,e);zDb(e);i=a+120|0;f[i>>2]=0;u=d;return}function jKa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(!((c|0)==0&(d|0)!=0))if((d|0)!=(c|0)){if(!d){e=Bmc(24)|0;f[e+12>>2]=0;f[e+4>>2]=535416;f[e+8>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;g=e}else{if(f[d+64>>2]|0)pBb(d,18984,24);e=nBb(d,24)|0;h=d;f[e+12>>2]=h;f[e+4>>2]=535416;f[e+8>>2]=0;f[e+16>>2]=0;f[e+20>>2]=h;g=e}f[g>>2]=112640;nKa(b,g);if((b|0)==0|(c|0)!=0)i=g;else{ai[f[(f[b>>2]|0)+4>>2]&2047](b);i=g}}else i=b;else{mKa(d,b);i=b}b=a+12|0;d=f[b>>2]|0;g=f[a+8>>2]|0;c=a+4|0;if(d|0?(e=f[c>>2]|0,(e|0)!=(g|0)):0){h=f[d>>2]|0;if((h|0)==(g|0)){j=f[d+4+(e<<2)>>2]|0;if((j|0)==0|(f[a>>2]|0)!=0){k=d;l=f[c>>2]|0;m=l+1|0;f[c>>2]=m;n=k+4+(l<<2)|0;f[n>>2]=i;return}ai[f[(f[j>>2]|0)+4>>2]&2047](j);k=f[b>>2]|0;l=f[c>>2]|0;m=l+1|0;f[c>>2]=m;n=k+4+(l<<2)|0;f[n>>2]=i;return}else{if((e|0)<(h|0)){f[d+4+(h<<2)>>2]=f[d+4+(e<<2)>>2];e=f[b>>2]|0;o=e;p=f[e>>2]|0}else{o=d;p=h}f[o>>2]=p+1;k=o;l=f[c>>2]|0;m=l+1|0;f[c>>2]=m;n=k+4+(l<<2)|0;f[n>>2]=i;return}}uDb(a,g+1|0);g=f[b>>2]|0;f[g>>2]=(f[g>>2]|0)+1;k=g;l=f[c>>2]|0;m=l+1|0;f[c>>2]=m;n=k+4+(l<<2)|0;f[n>>2]=i;return}function kKa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=112532;f[a+4>>2]=0;if((a|0)!=528848?(f[222688]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=17;b[d+8>>0]=0;dEb(890752,d);zDb(d)}f[a+20>>2]=0;f[a+16>>2]=0;u=c;return}function lKa(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=112532;f[a+4>>2]=c;if((f[222688]|0)!=2){f[e>>2]=149752;f[e+4>>2]=17;b[e+8>>0]=0;dEb(890752,e);zDb(e)}f[a+20>>2]=0;f[a+16>>2]=0;u=d;return}function mKa(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function nKa(a,b){a=a|0;b=b|0;oKa(b,a);return}function oKa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=b+16|0;d=f[c>>2]|0;if(!d)return;if(!(d&1))e=d;else{d=a+4|0;g=a+12|0;if((f[d>>2]|0)==535416)PDa(d,f[g>>2]|0,535416);h=ci[f[(f[b>>2]|0)+100>>2]&1023](b)|0;i=f[d>>2]|0;if((i|0)==535416)PDa(d,f[g>>2]|0,h);else Qmc(i,h)|0;h=a+16|0;f[h>>2]=f[h>>2]|1;e=f[c>>2]|0}if(!(e&2))return;e=a+8|0;c=f[a+12>>2]|0;if(!(f[e>>2]|0)){if(!c){h=Bmc(24)|0;kKa(h);j=h}else{if(f[c+64>>2]|0)pBb(c,18968,24);h=nBb(c,24)|0;lKa(h,c);j=h}f[e>>2]=j}j=ci[f[(f[b>>2]|0)+104>>2]&1023](b)|0;VJa(f[e>>2]|0,j);j=a+16|0;f[j>>2]=f[j>>2]|2;return}function pKa(a){a=a|0;var c=0,d=0;f[a>>2]=112756;c=f[a+44>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=a+8|0;f[c>>2]=112864;RCa(a+32|0);aZb(c);c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(d);f[c>>2]=0;return}function qKa(a){a=a|0;pKa(a);Emc(a);return}function rKa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function sKa(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(52)|0;IJa(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,18952,56);a=nBb(b,56)|0;bKa(a,b);c=a;return c|0}function tKa(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function uKa(a){a=a|0;return f[a+4>>2]|0}function vKa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+48|0;d=c+24|0;e=c+12|0;g=c;h=a+8|0;v_b(h);i=a+32|0;j=f[a+40>>2]|0;k=f[j+12>>2]|0;l=f[j+4>>2]|0;a:do if(l>>>0>k>>>0){m=f[j+16>>2]|0;n=k;while(1){o=f[m+(n<<2)>>2]|0;if(o|0)break;p=n+1|0;if(p>>>0<l>>>0)n=p;else{q=0;r=p;break a}}if((o|0)==(f[m+((n^1)<<2)>>2]|0)){q=f[(f[o>>2]|0)+16>>2]|0;r=n;break}else{q=o;r=n;break}}else{q=0;r=k}while(0);f[g>>2]=q;f[g+4>>2]=j;f[g+8>>2]=r;if(q|0)do{f[d>>2]=f[g>>2];f[d+4>>2]=f[g+4>>2];f[d+8>>2]=f[g+8>>2];lDa(e,i,d);f[g>>2]=f[e>>2];f[g+4>>2]=f[e+4>>2];f[g+8>>2]=f[e+8>>2]}while((f[g>>2]|0)!=0);u_b(h);h=a+4|0;g=f[a+44>>2]|0;do if((g|0)!=535416){a=g+11|0;if((b[a>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[a>>0]=0;break}}while(0);g=f[h>>2]|0;if(!(g&1)){u=c;return}h=g&-2;if(!(f[h>>2]|0)){u=c;return}L3b(h);u=c;return}function wKa(a){a=a|0;return 1}function xKa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;d=u;u=u+48|0;e=d+32|0;g=d;h=c+4|0;i=a+44|0;j=a+4|0;k=a+44|0;l=a+8|0;a=g+4|0;m=g+8|0;n=g+24|0;o=e+4|0;p=m+11|0;q=g+12|0;a:while(1){r=f[c>>2]|0;if(r>>>0<(f[h>>2]|0)>>>0){s=b[r>>0]|0;t=s&255;if(s<<24>>24>0){f[c>>2]=r+1;v=t;w=6}else{x=t;w=5}}else{x=0;w=5}if((w|0)==5){w=0;t=xCb(c,x)|0;if((t+-1|0)>>>0<127){v=t;w=6}else y=t}b:do if((w|0)==6){w=0;switch(v>>>3&536870911|0){case 1:{if((v&255|0)!=10){y=v;break b}t=f[j>>2]|0;r=t&-2;if(!(t&1))z=r;else z=f[r+4>>2]|0;r=f[i>>2]|0;if((r|0)==535416){PDa(i,z,535416);A=f[i>>2]|0}else A=r;if(!(HEb(c,A)|0)){B=0;w=39;break a}r=f[k>>2]|0;t=b[r+11>>0]|0;if(t<<24>>24<0){C=f[r>>2]|0;D=f[r+4>>2]|0}else{C=r;D=t&255}if(IEb(C,D,0,413011)|0)continue a;else{B=0;w=39;break a}break}case 2:break;default:{y=v;break b}}if((v&255|0)==18){f[g>>2]=l;t=ci[f[(f[l>>2]|0)+68>>2]&1023](l)|0;f[a>>2]=t;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[n>>2]=0;t=f[c>>2]|0;if(t>>>0<(f[h>>2]|0)>>>0?(r=b[t>>0]|0,r<<24>>24>-1):0){f[c>>2]=t+1;E=r&255;w=23}else{r=wCb(c)|0;if((r|0)>-1){E=r;w=23}else F=6}do if((w|0)==23){w=0;hCb(e,c,E);if((f[o>>2]|0)>=0?eLa(g,c)|0:0){if(!(mCb(c,f[e>>2]|0)|0)){F=6;break}r=b[p>>0]|0;t=r<<24>>24<0;s=IEb(t?f[m>>2]|0:m,t?f[q>>2]|0:r&255,0,413047)|0;F=s?0:6;break}F=6}while(0);s=f[n>>2]|0;if(s|0)ai[f[(f[s>>2]|0)+4>>2]&2047](s);if((b[p>>0]|0)<0)Emc(f[m>>2]|0);switch(F&7){case 0:{continue a;break}case 6:{B=0;w=39;break a;break}default:{w=38;break a}}}else y=v}while(0);if(!y){w=38;break}s=f[j>>2]|0;if(!(s&1))G=AHa(j)|0;else G=s&-2;if(!(b4b(c,y,G)|0)){B=0;w=39;break}}if((w|0)==38){B=1;u=d;return B|0}else if((w|0)==39){u=d;return B|0}return 0}function yKa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;c=u;u=u+16|0;d=c;e=f[a+4>>2]|0;if((e&1|0)!=0&(b[481264]|0)!=0)g=h4b(e&-2)|0;else g=0;e=a+8|0;v_b(e);h=a+40|0;i=f[f[h>>2]>>2]|0;v_b(e);j=i+g|0;g=f[h>>2]|0;h=f[g+12>>2]|0;i=f[g+4>>2]|0;a:do if(i>>>0>h>>>0){k=f[g+16>>2]|0;l=h;while(1){m=f[k+(l<<2)>>2]|0;if(m|0)break;n=l+1|0;if(n>>>0<i>>>0)l=n;else{o=0;p=n;break a}}if((m|0)==(f[k+((l^1)<<2)>>2]|0)){o=f[(f[m>>2]|0)+16>>2]|0;p=l;break}else{o=m;p=l;break}}else{o=0;p=h}while(0);f[d>>2]=o;f[d+4>>2]=g;f[d+8>>2]=p;p=a+28|0;g=j;j=0;while(1){v_b(e);o=f[d>>2]|0;if(!o)break;if(!j){q=0;r=o}else{o=(ci[f[(f[j>>2]|0)+20>>2]&1023](j)|0)==0;q=o?j:0;r=f[d>>2]|0}o=f[r+12>>2]|0;h=o+16|0;m=f[p>>2]|0;if(!m){i=Bmc(32)|0;f[i+12>>2]=0;f[i+4>>2]=535416;f[i+8>>2]=0;f[i+20>>2]=0;s=i}else{if(f[m+64>>2]|0)pBb(m,19032,32);i=nBb(m,32)|0;n=m;f[i+12>>2]=n;f[i+4>>2]=535416;f[i+8>>2]=0;f[i+20>>2]=n;s=i}f[s>>2]=112948;f[s+24>>2]=o;f[s+28>>2]=h;f[s+16>>2]=3;if((q|0)!=(s|0))if(!q)t=s;else{ai[f[(f[q>>2]|0)+4>>2]&2047](q);t=s}else t=q;h=t+16|0;o=f[h>>2]|0;if(!(o&1)){v=0;w=o}else{o=ci[f[(f[t>>2]|0)+100>>2]&1023](t)|0;i=b[o+11>>0]|0;n=i<<24>>24<0?f[o+4>>2]|0:i&255;i=n+1+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0;v=i;w=f[h>>2]|0}if(!(w&2))x=0;else{h=ZKa(ci[f[(f[t>>2]|0)+104>>2]&1023](t)|0)|0;x=h+1+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}h=x+v|0;i=h+g+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0;hDa(d)|0;g=i;j=t}if(j|0?(ci[f[(f[j>>2]|0)+20>>2]&1023](j)|0)==0:0)ai[f[(f[j>>2]|0)+4>>2]&2047](j);j=f[a+44>>2]|0;t=b[j+11>>0]|0;d=t<<24>>24<0;if(d)y=f[j+4>>2]|0;else y=t&255;if(!y){z=g;A=a+48|0;f[A>>2]=z;u=c;return z|0}y=d?f[j+4>>2]|0:t&255;z=g+1+y+((((($(y|1|0)|0)^31)*9|0)+73|0)>>>6)|0;A=a+48|0;f[A>>2]=z;u=c;return z|0}function zKa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;d=u;u=u+16|0;e=d;g=a+44|0;h=f[g>>2]|0;i=b[h+11>>0]|0;j=i<<24>>24<0;if(j)k=f[h+4>>2]|0;else k=i&255;if(k|0){if(j){l=f[h>>2]|0;m=f[h+4>>2]|0}else{l=h;m=i&255}IEb(l,m,1,413011)|0;BEb(1,f[g>>2]|0,c)}g=a+8|0;v_b(g);m=a+40|0;do if(f[f[m>>2]>>2]|0){if(!(b[c+18>>0]|0)){if(f[222909]|0)n=13}else if(b[c+19>>0]|0)n=13;if((n|0)==13?(v_b(g),(f[f[m>>2]>>2]|0)>>>0>1):0){v_b(g);l=f[f[m>>2]>>2]|0;i=Dmc(l>>>0>1073741823?-1:l<<2)|0;v_b(g);l=f[m>>2]|0;h=f[l+12>>2]|0;j=f[l+4>>2]|0;a:do if(j>>>0>h>>>0){k=f[l+16>>2]|0;o=h;while(1){p=f[k+(o<<2)>>2]|0;if(p|0)break;q=o+1|0;if(q>>>0<j>>>0)o=q;else{r=0;s=q;break a}}if((p|0)==(f[k+((o^1)<<2)>>2]|0)){r=f[(f[p>>2]|0)+16>>2]|0;s=o;break}else{r=p;s=o;break}}else{r=0;s=h}while(0);f[e>>2]=r;f[e+4>>2]=l;f[e+8>>2]=s;h=0;while(1){v_b(g);j=f[e>>2]|0;if(!j)break;f[i+(h<<2)>>2]=f[j+12>>2];hDa(e)|0;h=h+1|0}EHa(i,i+(h<<2)|0,e);if(h|0){l=a+28|0;j=0;q=0;do{t=i+(j<<2)|0;v=f[t>>2]|0;w=v+16|0;x=f[l>>2]|0;if(!x){y=Bmc(32)|0;f[y+12>>2]=0;f[y+4>>2]=535416;f[y+8>>2]=0;f[y+20>>2]=0;z=y}else{if(f[x+64>>2]|0)pBb(x,19032,32);y=nBb(x,32)|0;A=x;f[y+12>>2]=A;f[y+4>>2]=535416;f[y+8>>2]=0;f[y+20>>2]=A;z=y}f[z>>2]=112948;f[z+24>>2]=v;f[z+28>>2]=w;f[z+16>>2]=3;if((q|0)!=(z|0))if(!q)B=z;else{ai[f[(f[q>>2]|0)+4>>2]&2047](q);B=z}else B=q;GEb(2,B,c);w=(ci[f[(f[B>>2]|0)+20>>2]&1023](B)|0)==0;q=w?B:0;w=f[t>>2]|0;t=b[w+11>>0]|0;if(t<<24>>24<0){C=f[w>>2]|0;D=f[w+4>>2]|0}else{C=w;D=t&255}IEb(C,D,1,413047)|0;j=j+1|0}while(j>>>0<h>>>0);if(q|0)ai[f[(f[q>>2]|0)+4>>2]&2047](q)}Fmc(i);break}v_b(g);h=f[m>>2]|0;j=f[h+12>>2]|0;l=f[h+4>>2]|0;b:do if(l>>>0>j>>>0){t=f[h+16>>2]|0;w=j;while(1){E=f[t+(w<<2)>>2]|0;if(E|0)break;v=w+1|0;if(v>>>0<l>>>0)w=v;else{F=0;G=v;break b}}if((E|0)==(f[t+((w^1)<<2)>>2]|0)){F=f[(f[E>>2]|0)+16>>2]|0;G=w;break}else{F=E;G=w;break}}else{F=0;G=j}while(0);f[e>>2]=F;f[e+4>>2]=h;f[e+8>>2]=G;j=a+28|0;l=0;while(1){v_b(g);i=f[e>>2]|0;if(!i)break;q=f[i+12>>2]|0;i=q+16|0;o=f[j>>2]|0;if(!o){k=Bmc(32)|0;f[k+12>>2]=0;f[k+4>>2]=535416;f[k+8>>2]=0;f[k+20>>2]=0;H=k}else{if(f[o+64>>2]|0)pBb(o,19032,32);k=nBb(o,32)|0;v=o;f[k+12>>2]=v;f[k+4>>2]=535416;f[k+8>>2]=0;f[k+20>>2]=v;H=k}f[H>>2]=112948;f[H+24>>2]=q;f[H+28>>2]=i;f[H+16>>2]=3;if((l|0)!=(H|0))if(!l)I=H;else{ai[f[(f[l>>2]|0)+4>>2]&2047](l);I=H}else I=l;GEb(2,I,c);i=(ci[f[(f[I>>2]|0)+20>>2]&1023](I)|0)==0;q=f[(f[e>>2]|0)+12>>2]|0;k=b[q+11>>0]|0;if(k<<24>>24<0){J=f[q>>2]|0;K=f[q+4>>2]|0}else{J=q;K=k&255}IEb(J,K,1,413047)|0;hDa(e)|0;l=i?I:0}if(l|0)ai[f[(f[l>>2]|0)+4>>2]&2047](l)}while(0);I=f[a+4>>2]|0;if(!((I&1|0)!=0&(b[481264]|0)!=0)){u=d;return}e4b(I&-2,c);u=d;return}function AKa(a){a=a|0;return f[a+48>>2]|0}function BKa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0;e=u;u=u+16|0;g=e;h=a+44|0;i=f[h>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0;if(k)l=f[i+4>>2]|0;else l=j&255;if(!l)m=d;else{if(k){n=f[i>>2]|0;o=f[i+4>>2]|0}else{n=i;o=j&255}IEb(n,o,1,413011)|0;o=f[h>>2]|0;b[d>>0]=10;m=GCb(o,d+1|0)|0}d=a+8|0;v_b(d);o=a+40|0;do if(f[f[o>>2]>>2]|0){if(c?(v_b(d),(f[f[o>>2]>>2]|0)>>>0>1):0){v_b(d);h=f[f[o>>2]>>2]|0;n=Dmc(h>>>0>1073741823?-1:h<<2)|0;v_b(d);h=f[o>>2]|0;j=f[h+12>>2]|0;i=f[h+4>>2]|0;a:do if(i>>>0>j>>>0){k=f[h+16>>2]|0;l=j;while(1){p=f[k+(l<<2)>>2]|0;if(p|0)break;q=l+1|0;if(q>>>0<i>>>0)l=q;else{r=0;s=q;break a}}if((p|0)==(f[k+((l^1)<<2)>>2]|0)){r=f[(f[p>>2]|0)+16>>2]|0;s=l;break}else{r=p;s=l;break}}else{r=0;s=j}while(0);f[g>>2]=r;f[g+4>>2]=h;f[g+8>>2]=s;j=0;while(1){v_b(d);i=f[g>>2]|0;if(!i)break;f[n+(j<<2)>>2]=f[i+12>>2];hDa(g)|0;j=j+1|0}EHa(n,n+(j<<2)|0,g);if(j){h=a+28|0;i=0;q=m;t=0;do{v=n+(i<<2)|0;w=f[v>>2]|0;x=w+16|0;y=f[h>>2]|0;if(!y){z=Bmc(32)|0;f[z+12>>2]=0;f[z+4>>2]=535416;f[z+8>>2]=0;f[z+20>>2]=0;A=z}else{if(f[y+64>>2]|0)pBb(y,19032,32);z=nBb(y,32)|0;B=y;f[z+12>>2]=B;f[z+4>>2]=535416;f[z+8>>2]=0;f[z+20>>2]=B;A=z}f[A>>2]=112948;f[A+24>>2]=w;f[A+28>>2]=x;f[A+16>>2]=3;if((t|0)!=(A|0))if(!t)C=A;else{ai[f[(f[t>>2]|0)+4>>2]&2047](t);C=A}else C=t;b[q>>0]=18;x=q+1|0;w=C+16|0;z=f[w>>2]|0;if(!(z&1)){D=z;E=0}else{z=ci[f[(f[C>>2]|0)+100>>2]&1023](C)|0;B=b[z+11>>0]|0;y=B<<24>>24<0?f[z+4>>2]|0:B&255;B=y+1+((((($(y|1|0)|0)^31)*9|0)+73|0)>>>6)|0;D=f[w>>2]|0;E=B}if(!(D&2))F=0;else{B=ci[f[(f[C>>2]|0)+104>>2]&1023](C)|0;w=ci[f[(f[B>>2]|0)+60>>2]&1023](B)|0;F=w+1+((((($(w|1|0)|0)^31)*9|0)+73|0)>>>6)|0}w=F+E|0;if(w>>>0>127){B=w;y=x;while(1){b[y>>0]=B|128;z=B>>>7;G=y+1|0;if(B>>>0>16383){B=z;y=G}else{H=G;I=z;break}}}else{H=x;I=w}b[H>>0]=I;y=ci[f[(f[C>>2]|0)+100>>2]&1023](C)|0;b[H+1>>0]=10;B=GCb(y,H+2|0)|0;y=ci[f[(f[C>>2]|0)+104>>2]&1023](C)|0;b[B>>0]=18;l=B+1|0;B=ci[f[(f[y>>2]|0)+60>>2]&1023](y)|0;if(B>>>0>127){k=B;z=l;while(1){b[z>>0]=k|128;G=k>>>7;J=z+1|0;if(k>>>0>16383){k=G;z=J}else{K=J;L=G;break}}}else{K=l;L=B}b[K>>0]=L;q=ki[f[(f[y>>2]|0)+64>>2]&511](y,1,K+1|0)|0;z=(ci[f[(f[C>>2]|0)+20>>2]&1023](C)|0)==0;t=z?C:0;z=f[v>>2]|0;k=b[z+11>>0]|0;if(k<<24>>24<0){M=f[z>>2]|0;N=f[z+4>>2]|0}else{M=z;N=k&255}IEb(M,N,1,413047)|0;i=i+1|0}while(i>>>0<j>>>0);if(!t)O=q;else{ai[f[(f[t>>2]|0)+4>>2]&2047](t);O=q}}else O=m;Fmc(n);P=O;break}v_b(d);j=f[o>>2]|0;i=f[j+12>>2]|0;h=f[j+4>>2]|0;b:do if(h>>>0>i>>>0){k=f[j+16>>2]|0;z=i;while(1){Q=f[k+(z<<2)>>2]|0;if(Q|0)break;w=z+1|0;if(w>>>0<h>>>0)z=w;else{R=0;S=w;break b}}if((Q|0)==(f[k+((z^1)<<2)>>2]|0)){R=f[(f[Q>>2]|0)+16>>2]|0;S=z;break}else{R=Q;S=z;break}}else{R=0;S=i}while(0);f[g>>2]=R;f[g+4>>2]=j;f[g+8>>2]=S;i=a+28|0;h=m;n=0;while(1){v_b(d);q=f[g>>2]|0;if(!q)break;t=f[q+12>>2]|0;q=t+16|0;v=f[i>>2]|0;if(!v){y=Bmc(32)|0;f[y+12>>2]=0;f[y+4>>2]=535416;f[y+8>>2]=0;f[y+20>>2]=0;T=y}else{if(f[v+64>>2]|0)pBb(v,19032,32);y=nBb(v,32)|0;B=v;f[y+12>>2]=B;f[y+4>>2]=535416;f[y+8>>2]=0;f[y+20>>2]=B;T=y}f[T>>2]=112948;f[T+24>>2]=t;f[T+28>>2]=q;f[T+16>>2]=3;if((n|0)!=(T|0))if(!n)U=T;else{ai[f[(f[n>>2]|0)+4>>2]&2047](n);U=T}else U=n;b[h>>0]=18;q=h+1|0;t=U+16|0;y=f[t>>2]|0;if(!(y&1)){V=y;W=0}else{y=ci[f[(f[U>>2]|0)+100>>2]&1023](U)|0;B=b[y+11>>0]|0;v=B<<24>>24<0?f[y+4>>2]|0:B&255;B=v+1+((((($(v|1|0)|0)^31)*9|0)+73|0)>>>6)|0;V=f[t>>2]|0;W=B}if(!(V&2))X=0;else{B=ci[f[(f[U>>2]|0)+104>>2]&1023](U)|0;t=ci[f[(f[B>>2]|0)+60>>2]&1023](B)|0;X=t+1+((((($(t|1|0)|0)^31)*9|0)+73|0)>>>6)|0}t=X+W|0;if(t>>>0>127){B=t;v=q;while(1){b[v>>0]=B|128;y=B>>>7;l=v+1|0;if(B>>>0>16383){B=y;v=l}else{Y=l;Z=y;break}}}else{Y=q;Z=t}b[Y>>0]=Z;v=ci[f[(f[U>>2]|0)+100>>2]&1023](U)|0;b[Y+1>>0]=10;B=GCb(v,Y+2|0)|0;v=ci[f[(f[U>>2]|0)+104>>2]&1023](U)|0;b[B>>0]=18;z=B+1|0;B=ci[f[(f[v>>2]|0)+60>>2]&1023](v)|0;if(B>>>0>127){k=B;y=z;while(1){b[y>>0]=k|128;l=k>>>7;w=y+1|0;if(k>>>0>16383){k=l;y=w}else{_=w;aa=l;break}}}else{_=z;aa=B}b[_>>0]=aa;y=ki[f[(f[v>>2]|0)+64>>2]&511](v,c,_+1|0)|0;k=(ci[f[(f[U>>2]|0)+20>>2]&1023](U)|0)==0;t=f[(f[g>>2]|0)+12>>2]|0;q=b[t+11>>0]|0;if(q<<24>>24<0){ba=f[t>>2]|0;ca=f[t+4>>2]|0}else{ba=t;ca=q&255}IEb(ba,ca,1,413047)|0;hDa(g)|0;h=y;n=k?U:0}if(!n)P=h;else{ai[f[(f[n>>2]|0)+4>>2]&2047](n);P=h}}else P=m;while(0);m=f[a+4>>2]|0;if(!((m&1|0)!=0&(b[481264]|0)!=0)){da=P;u=e;return da|0}da=f4b(m&-2,P)|0;u=e;return da|0}function CKa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function DKa(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,18952,0)|0;if(!c){c2b(b,a);return}else{$Ja(a,c);return}}function EKa(a,b){a=a|0;b=b|0;f[a+48>>2]=b;return}function FKa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222685]|0)!=2){f[d>>2]=149752;f[d+4>>2]=14;b[d+8>>0]=0;dEb(890740,d);zDb(d)}d=529024;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function GKa(a){a=a|0;var c=0,d=0,e=0;f[a>>2]=113064;c=a+20|0;d=f[c>>2]|0;if(d&1|0?(e=d&-2,d=e,!((e|0)==0|(f[d+4>>2]|0)!=0)):0){if(f[d>>2]|0)L3b(d);Emc(e)}f[c>>2]=0;f[a>>2]=113180;if(f[a+12>>2]|0)return;c=f[a+4>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+8>>2]|0;if(!c)return;ai[f[(f[c>>2]|0)+4>>2]&2047](c);return}function HKa(a){a=a|0;GKa(a);Emc(a);return}function IKa(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;return}function JKa(a){a=a|0;a=Bmc(24)|0;f[a+12>>2]=0;f[a+4>>2]=535416;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a>>2]=112640;return a|0}function KKa(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){a=Bmc(24)|0;f[a+12>>2]=0;f[a+4>>2]=535416;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;c=a;f[c>>2]=112640;return c|0}if(f[b+64>>2]|0)pBb(b,18984,24);a=nBb(b,24)|0;d=b;f[a+12>>2]=d;f[a+4>>2]=535416;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=d;c=a;f[c>>2]=112640;return c|0}function LKa(a){a=a|0;return f[a+12>>2]|0}function MKa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=f[a+4>>2]|0;do if((c|0)!=535416){d=c+11|0;if((b[d>>0]|0)<0){b[f[c>>2]>>0]=0;f[c+4>>2]=0;break}else{b[c>>0]=0;b[d>>0]=0;break}}while(0);c=f[a+8>>2]|0;if(!c){e=a+16|0;g=f[e>>2]|0;h=g&-4;f[e>>2]=h;return}ai[f[(f[c>>2]|0)+28>>2]&2047](c);e=a+16|0;g=f[e>>2]|0;h=g&-4;f[e>>2]=h;return}function NKa(a){a=a|0;var b=0;b=f[a+8>>2]|0;return ci[f[(f[b>>2]|0)+32>>2]&1023](b)|0}function OKa(a,b){a=a|0;b=b|0;oKa(a,b);return}function PKa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+16|0;i=a+4|0;j=a+12|0;k=a+8|0;a=e+4|0;l=c+32|0;m=c+12|0;n=c+28|0;a:while(1){o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0){p=b[o>>0]|0;q=p&255;if(p<<24>>24>-1){f[c>>2]=o+1;r=q}else{s=q;t=5}}else{s=0;t=5}if((t|0)==5){t=0;r=xCb(c,s)|0}switch(r|0){case 0:{v=1;t=35;break a;break}case 10:{f[h>>2]=f[h>>2]|1;q=f[i>>2]|0;if((q|0)==535416){PDa(i,f[j>>2]|0,535416);w=f[i>>2]|0}else w=q;if(!(HEb(c,w)|0)){v=0;t=35;break a}q=f[h>>2]|1;f[h>>2]=q;o=f[c>>2]|0;if(o>>>0>=(f[g>>2]|0)>>>0)continue a;if((b[o>>0]|0)!=18)continue a;f[c>>2]=o+1;x=q;break}case 18:{x=f[h>>2]|0;break}default:{if((r&7|0)==4){v=1;t=35;break a}if(iEb(c,r)|0)continue a;else{v=0;t=35;break a}}}f[h>>2]=x|2;q=f[j>>2]|0;o=f[k>>2]|0;if(!o){if(!q){p=Bmc(24)|0;kKa(p);y=p}else{if(f[q+64>>2]|0)pBb(q,18968,24);p=nBb(q,24)|0;lKa(p,q);y=p}f[k>>2]=y;z=y}else z=o;o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0?(p=b[o>>0]|0,p<<24>>24>-1):0){f[c>>2]=o+1;A=p&255}else{p=wCb(c)|0;if((p|0)>-1)A=p;else{v=0;t=35;break}}hCb(e,c,A);if((f[a>>2]|0)<0){t=27;break}if(!(_Ka(z,c)|0)){t=27;break}if(!(mCb(c,f[e>>2]|0)|0)){v=0;t=35;break}f[h>>2]=f[h>>2]|2;if((f[c>>2]|0)!=(f[g>>2]|0))continue;if(f[l>>2]|0){t=32;break}if((f[m>>2]|0)==(f[n>>2]|0)){t=32;break}}if((t|0)==27){v=0;u=d;return v|0}else if((t|0)==32){f[c+20>>2]=0;b[c+24>>0]=1;v=1;u=d;return v|0}else if((t|0)==35){u=d;return v|0}return 0}function QKa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+16|0;d=f[c>>2]|0;if(!(d&1)){e=d;g=0}else{d=ci[f[(f[a>>2]|0)+100>>2]&1023](a)|0;h=b[d+11>>0]|0;i=h<<24>>24<0?f[d+4>>2]|0:h&255;h=i+1+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=f[c>>2]|0;g=h}if(!(e&2)){j=0;k=j+g|0;return k|0}e=ZKa(ci[f[(f[a>>2]|0)+104>>2]&1023](a)|0)|0;j=e+1+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0;k=j+g|0;return k|0}function RKa(a,b){a=a|0;b=b|0;AEb(1,ci[f[(f[a>>2]|0)+100>>2]&1023](a)|0,b);GEb(2,ci[f[(f[a>>2]|0)+104>>2]&1023](a)|0,b);return}function SKa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+16|0;d=f[c>>2]|0;if(!(d&1)){e=d;g=0}else{d=ci[f[(f[a>>2]|0)+100>>2]&1023](a)|0;h=b[d+11>>0]|0;i=h<<24>>24<0?f[d+4>>2]|0:h&255;h=i+1+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=f[c>>2]|0;g=h}if(!(e&2)){j=0;k=j+g|0;return k|0}e=ci[f[(f[a>>2]|0)+104>>2]&1023](a)|0;a=ci[f[(f[e>>2]|0)+60>>2]&1023](e)|0;j=a+1+((((($(a|1|0)|0)^31)*9|0)+73|0)>>>6)|0;k=j+g|0;return k|0}function TKa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=ci[f[(f[a>>2]|0)+100>>2]&1023](a)|0;b[d>>0]=10;g=GCb(e,d+1|0)|0;d=ci[f[(f[a>>2]|0)+104>>2]&1023](a)|0;b[g>>0]=18;a=g+1|0;g=ci[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(g>>>0>127){e=g;h=a;while(1){b[h>>0]=e|128;i=e>>>7;j=h+1|0;if(e>>>0>16383){e=i;h=j}else{k=j;l=i;break}}}else{k=a;l=g}b[k>>0]=l;return ki[f[(f[d>>2]|0)+64>>2]&511](d,c,k+1|0)|0}function UKa(a,b){a=a|0;b=b|0;I_b(a,b);return}function VKa(a){a=a|0;var b=0;b=f[a+8>>2]|0;return (ci[f[(f[b>>2]|0)+84>>2]&1023](b)|0)+28|0}function WKa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222685]|0)!=2){f[d>>2]=149752;f[d+4>>2]=14;b[d+8>>0]=0;dEb(890740,d);zDb(d)}d=529016;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function XKa(a){a=a|0;return f[a+24>>2]|0}function YKa(a){a=a|0;return f[a+28>>2]|0}function ZKa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=f[a+4>>2]|0;if((c&1|0)!=0&(b[481264]|0)!=0)d=h4b(c&-2)|0;else d=0;do switch(f[a+20>>2]|0){case 2:{c=f[a+8>>2]|0;e=b[c+11>>0]|0;g=e<<24>>24<0?f[c+4>>2]|0:e&255;h=d+1+g+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0;i=a+16|0;f[i>>2]=h;return h|0}case 3:{g=a+8|0;h=d+1+(((((Prc(f[g>>2]|1|0,f[g+4>>2]|0,1)|0)^63)*9|0)+73|0)>>>6)|0;i=a+16|0;f[i>>2]=h;return h|0}case 4:{h=d+5|0;i=a+16|0;f[i>>2]=h;return h|0}case 5:{h=d+2|0;i=a+16|0;f[i>>2]=h;return h|0}case 6:{g=f[a+8>>2]|0;if((g|0)<0)j=11;else j=((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;h=j+d|0;i=a+16|0;f[i>>2]=h;return h|0}case 7:{g=f[a+8>>2]|0;e=ci[f[(f[g>>2]|0)+48>>2]&1023](g)|0;h=d+1+e+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0;i=a+16|0;f[i>>2]=h;return h|0}case 8:{e=f[a+8>>2]|0;g=ci[f[(f[e>>2]|0)+48>>2]&1023](e)|0;h=d+1+g+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0;i=a+16|0;f[i>>2]=h;return h|0}case 1:{g=f[a+8>>2]|0;e=ci[f[(f[g>>2]|0)+48>>2]&1023](g)|0;h=d+1+e+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0;i=a+16|0;f[i>>2]=h;return h|0}case 10:{e=f[a+8>>2]|0;g=ci[f[(f[e>>2]|0)+48>>2]&1023](e)|0;h=d+1+g+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0;i=a+16|0;f[i>>2]=h;return h|0}case 9:{g=f[a+8>>2]|0;e=b[g+11>>0]|0;c=e<<24>>24<0?f[g+4>>2]|0:e&255;h=d+1+c+((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)|0;i=a+16|0;f[i>>2]=h;return h|0}default:{h=d;i=a+16|0;f[i>>2]=h;return h|0}}while(0);return 0}function _Ka(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;d=u;u=u+16|0;e=d;g=c+4|0;i=e+4|0;j=a+20|0;k=a+8|0;l=a+4|0;m=a+8|0;n=e+8|0;o=e+8|0;p=e+4|0;q=e+4|0;r=e+4|0;a:while(1){s=f[c>>2]|0;if(s>>>0<(f[g>>2]|0)>>>0){t=b[s>>0]|0;v=t&255;if(t<<24>>24>0){f[c>>2]=s+1;w=v;x=6}else{y=v;x=5}}else{y=0;x=5}if((x|0)==5){x=0;v=xCb(c,y)|0;if((v+-1|0)>>>0<127){w=v;x=6}else z=v}b:do if((x|0)==6){x=0;do switch(w>>>3&536870911|0){case 1:{if((w&255|0)!=10){z=w;break b}v=YJa(a)|0;s=f[c>>2]|0;if(s>>>0<(f[g>>2]|0)>>>0?(t=b[s>>0]|0,t<<24>>24>-1):0){f[c>>2]=s+1;A=t&255}else{t=wCb(c)|0;if((t|0)>-1)A=t;else{B=0;x=104;break a}}hCb(e,c,A);if((f[i>>2]|0)<0){x=14;break a}if(!(Sh[f[(f[v>>2]|0)+44>>2]&511](v,c)|0)){x=14;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{B=0;x=104;break a}break}case 2:{if((w&255|0)!=18){z=w;break b}if((f[j>>2]|0)!=2){WJa(a);f[j>>2]=2;f[k>>2]=535416}v=f[l>>2]|0;t=v&-2;if(!(v&1))C=t;else C=f[t+4>>2]|0;t=f[k>>2]|0;if((t|0)==535416){PDa(k,C,535416);D=f[k>>2]|0}else D=t;if(HEb(c,D)|0)continue a;else{B=0;x=104;break a}break}case 3:{if((w&255|0)!=24){z=w;break b}WJa(a);t=f[c>>2]|0;if(t>>>0<(f[g>>2]|0)>>>0?(v=b[t>>0]|0,v<<24>>24>-1):0){f[c>>2]=t+1;E=v&255;F=0}else{jCb(e,c);v=e;if(!(b[n>>0]|0)){B=0;x=104;break a}else{E=f[v>>2]|0;F=f[v+4>>2]|0}}v=m;f[v>>2]=E;f[v+4>>2]=F;f[j>>2]=3;continue a;break}case 4:{if((w&255|0)!=37){z=w;break b}WJa(a);v=f[c>>2]|0;if(((f[g>>2]|0)-v|0)>3){t=v;s=h[t>>0]|h[t+1>>0]<<8|h[t+2>>0]<<16|h[t+3>>0]<<24;f[e>>2]=s;f[c>>2]=v+4;G=s}else{if(!(uCb(c,e)|0)){x=36;break a}G=f[e>>2]|0}f[k>>2]=G;f[j>>2]=4;continue a;break}case 5:{if((w&255|0)!=40){z=w;break b}WJa(a);s=f[c>>2]|0;if(s>>>0<(f[g>>2]|0)>>>0?(v=b[s>>0]|0,v<<24>>24>-1):0){f[c>>2]=s+1;H=v<<24>>24!=0}else{jCb(e,c);v=e;if(!(b[o>>0]|0)){B=0;x=104;break a}else H=(f[v>>2]|0)!=0|(f[v+4>>2]|0)!=0}b[k>>0]=H&1;f[j>>2]=5;continue a;break}case 6:{if((w&255|0)!=48){z=w;break b}v=f[c>>2]|0;if(v>>>0<(f[g>>2]|0)>>>0){s=b[v>>0]|0;t=s&255;if(s<<24>>24>-1){f[c>>2]=v+1;I=t}else{K=t;x=48}}else{K=0;x=48}if((x|0)==48){x=0;t=iCb(c,K)|0;v=J;if((v|0)>-1|(v|0)==-1&t>>>0>4294967295)I=t;else{B=0;x=104;break a}}if((f[j>>2]|0)!=6){WJa(a);f[j>>2]=6}f[k>>2]=I;continue a;break}case 7:{if((w&255|0)!=58){z=w;break b}t=XJa(a)|0;v=f[c>>2]|0;if(v>>>0<(f[g>>2]|0)>>>0?(s=b[v>>0]|0,s<<24>>24>-1):0){f[c>>2]=v+1;L=s&255}else{s=wCb(c)|0;if((s|0)>-1)L=s;else{B=0;x=104;break a}}hCb(e,c,L);if((f[p>>2]|0)<0){x=59;break a}if(!(Sh[f[(f[t>>2]|0)+44>>2]&511](t,c)|0)){x=59;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{B=0;x=104;break a}break}case 8:{if((w&255|0)!=66){z=w;break b}t=NDa(a)|0;s=f[c>>2]|0;if(s>>>0<(f[g>>2]|0)>>>0?(v=b[s>>0]|0,v<<24>>24>-1):0){f[c>>2]=s+1;M=v&255}else{v=wCb(c)|0;if((v|0)>-1)M=v;else{B=0;x=104;break a}}hCb(e,c,M);if((f[q>>2]|0)<0){x=68;break a}if(!(Sh[f[(f[t>>2]|0)+44>>2]&511](t,c)|0)){x=68;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{B=0;x=104;break a}break}case 9:{if((w&255|0)!=74){z=w;break b}if((f[j>>2]|0)!=9){WJa(a);f[j>>2]=9;f[k>>2]=535416}t=f[l>>2]|0;v=t&-2;if(!(t&1))N=v;else N=f[v+4>>2]|0;v=f[k>>2]|0;if((v|0)==535416){PDa(k,N,535416);O=f[k>>2]|0}else O=v;if(!(HEb(c,O)|0)){B=0;x=104;break a}v=(f[j>>2]|0)==9;if(v){t=f[k>>2]|0;P=t;Q=t}else{P=535416;Q=535416}if((b[Q+11>>0]|0)<0)R=f[P>>2]|0;else R=P;if(v){v=f[k>>2]|0;S=v;T=v}else{S=535416;T=535416}v=b[T+11>>0]|0;if(v<<24>>24<0)U=f[S+4>>2]|0;else U=v&255;if(IEb(R,U,0,413092)|0)continue a;else{B=0;x=104;break a}break}case 10:{if((w&255|0)!=82){z=w;break b}v=_Ja(a)|0;t=f[c>>2]|0;if(t>>>0<(f[g>>2]|0)>>>0?(s=b[t>>0]|0,s<<24>>24>-1):0){f[c>>2]=t+1;V=s&255}else{s=wCb(c)|0;if((s|0)>-1)V=s;else{B=0;x=104;break a}}hCb(e,c,V);if((f[r>>2]|0)<0){x=97;break a}if(!(Sh[f[(f[v>>2]|0)+44>>2]&511](v,c)|0)){x=97;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{B=0;x=104;break a}break}default:{z=w;break b}}while(0)}while(0);if(!z){B=1;x=104;break}v=f[l>>2]|0;if(!(v&1))W=AHa(l)|0;else W=v&-2;if(!(b4b(c,z,W)|0)){B=0;x=104;break}}if((x|0)==14){B=0;u=d;return B|0}else if((x|0)==36){B=0;u=d;return B|0}else if((x|0)==59){B=0;u=d;return B|0}else if((x|0)==68){B=0;u=d;return B|0}else if((x|0)==97){B=0;u=d;return B|0}else if((x|0)==104){u=d;return B|0}return 0}function $Ka(a){a=a|0;var c=0;f[a>>2]=113180;if(f[a+12>>2]|0)return;c=f[a+4>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+8>>2]|0;if(!c)return;ai[f[(f[c>>2]|0)+4>>2]&2047](c);return}function aLa(a){a=a|0;var c=0;f[a>>2]=113180;if(f[a+12>>2]|0){Emc(a);return}c=f[a+4>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+8>>2]|0;if(!c){Emc(a);return}ai[f[(f[c>>2]|0)+4>>2]&2047](c);Emc(a);return}function bLa(a){a=a|0;return f[a+4>>2]|0}function cLa(a){a=a|0;var b=0;b=f[a+8>>2]|0;return (b|0?b:f[132232]|0)|0}function dLa(a){a=a|0;GKa(a);Emc(a);return}function eLa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;d=u;u=u+48|0;e=d+24|0;g=d+12|0;h=d;i=f[c>>2]|0;j=c+4|0;if(i>>>0<(f[j>>2]|0)>>>0?(b[i>>0]|0)==10:0){f[c>>2]=i+1;i=a+8|0;if(!(HEb(c,i)|0)){k=0;u=d;return k|0}l=f[c>>2]|0;if((((f[j>>2]|0)-l|0)>0?(b[l>>0]|0)==18:0)?(l=a+4|0,m=f[l>>2]|0,n=f[f[m+8>>2]>>2]|0,o=uDa(m,i)|0,m=a+20|0,f[m>>2]=o,(n|0)!=(f[f[(f[l>>2]|0)+8>>2]>>2]|0)):0){n=f[j>>2]|0;p=f[c>>2]|0;q=n-p|0;if((q|0)<1){qCb(c,1,q)|0;r=f[c>>2]|0;s=f[j>>2]|0;t=f[m>>2]|0}else{m=p+1|0;f[c>>2]=m;r=m;s=n;t=o}if(r>>>0<s>>>0?(s=b[r>>0]|0,s<<24>>24>-1):0){f[c>>2]=r+1;v=s&255;w=14}else w=13;if((w|0)==13?(s=wCb(c)|0,(s|0)>-1):0){v=s;w=14}do if(((w|0)==14?(hCb(e,c,v),(f[e+4>>2]|0)>=0):0)?_Ka(t,c)|0:0){if(!(mCb(c,f[e>>2]|0)|0))break;do if((f[c>>2]|0)==(f[j>>2]|0)){if((f[c+32>>2]|0)==0?(f[c+12>>2]|0)!=(f[c+28>>2]|0):0)break;f[c+20>>2]=0;b[c+24>>0]=1;k=1;u=d;return k|0}while(0);k=fLa(a,c)|0;u=d;return k|0}while(0);j=f[l>>2]|0;QCa(e,f[j+8>>2]|0,i,0);i=f[e>>2]|0;l=f[e+4>>2]|0;t=f[e+8>>2]|0;if(i|0){f[g>>2]=i;f[g+4>>2]=l;f[g+8>>2]=t;f[e>>2]=f[g>>2];f[e+4>>2]=f[g+4>>2];f[e+8>>2]=f[g+8>>2];lDa(h,j,e)}k=0;u=d;return k|0}}else w=26;if((w|0)==26?(f[e>>2]=0,f[e+4>>2]=0,f[e+8>>2]=0,Qmc(a+8|0,e)|0,(b[e+11>>0]|0)<0):0)Emc(f[e>>2]|0);e=f[(f[a>>2]|0)+20>>2]|0;if(!e){w=Bmc(24)|0;f[w+12>>2]=0;f[w+4>>2]=535416;f[w+8>>2]=0;f[w+16>>2]=0;f[w+20>>2]=0;x=w}else{if(f[e+64>>2]|0)pBb(e,18984,24);w=nBb(e,24)|0;j=e;f[w+12>>2]=j;f[w+4>>2]=535416;f[w+8>>2]=0;f[w+16>>2]=0;f[w+20>>2]=j;x=w}f[x>>2]=112640;w=a+24|0;j=f[w>>2]|0;if((j|0)==(x|0))y=x;else{if(j|0)ai[f[(f[j>>2]|0)+4>>2]&2047](j);f[w>>2]=x;y=x}x=y+16|0;f[x>>2]=f[x>>2]|1;x=y+4|0;j=f[x>>2]|0;if((j|0)==535416){PDa(x,f[y+12>>2]|0,535416);z=f[x>>2]|0}else z=j;Qmc(z,a+8|0)|0;z=f[w>>2]|0;j=Sh[f[(f[z>>2]|0)+44>>2]&511](z,c)|0;if(j)gLa(a);a=f[w>>2]|0;if(!(ci[f[(f[a>>2]|0)+20>>2]&1023](a)|0)){k=j;u=d;return k|0}f[w>>2]=0;k=j;u=d;return k|0}function fLa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=u;u=u+48|0;d=c;e=c+28|0;g=c+16|0;h=f[(f[a>>2]|0)+20>>2]|0;if(!h){i=Bmc(24)|0;f[i+12>>2]=0;f[i+4>>2]=535416;f[i+8>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;j=i}else{if(f[h+64>>2]|0)pBb(h,18984,24);i=nBb(h,24)|0;k=h;f[i+12>>2]=k;f[i+4>>2]=535416;f[i+8>>2]=0;f[i+16>>2]=0;f[i+20>>2]=k;j=i}f[j>>2]=112640;i=a+24|0;k=f[i>>2]|0;if((k|0)==(j|0))l=j;else{if(k|0)ai[f[(f[k>>2]|0)+4>>2]&2047](k);f[i>>2]=j;l=j}j=f[a+20>>2]|0;k=l+16|0;f[k>>2]=f[k>>2]|2;k=l+8|0;h=f[l+12>>2]|0;l=f[k>>2]|0;if(!l){if(!h){m=Bmc(24)|0;kKa(m);n=m}else{if(f[h+64>>2]|0)pBb(h,18968,24);m=nBb(h,24)|0;lKa(m,h);n=m}f[k>>2]=n;o=n}else o=l;hLa(o,j);j=f[a+4>>2]|0;o=a+8|0;QCa(d,f[j+8>>2]|0,o,0);l=f[d>>2]|0;n=f[d+4>>2]|0;k=f[d+8>>2]|0;if(l|0){f[e>>2]=l;f[e+4>>2]=n;f[e+8>>2]=k;f[d>>2]=f[e>>2];f[d+4>>2]=f[e+4>>2];f[d+8>>2]=f[e+8>>2];lDa(g,j,d)}j=f[i>>2]|0;g=j+16|0;f[g>>2]=f[g>>2]|1;g=j+4|0;e=f[g>>2]|0;if((e|0)==535416){PDa(g,f[j+12>>2]|0,535416);p=f[g>>2]|0}else p=e;f[d>>2]=f[p>>2];f[d+4>>2]=f[p+4>>2];f[d+8>>2]=f[p+8>>2];f[p>>2]=f[o>>2];f[p+4>>2]=f[o+4>>2];f[p+8>>2]=f[o+8>>2];f[o>>2]=f[d>>2];f[o+4>>2]=f[d+4>>2];f[o+8>>2]=f[d+8>>2];d=f[i>>2]|0;o=Sh[f[(f[d>>2]|0)+44>>2]&511](d,b)|0;if(o)gLa(a);a=f[i>>2]|0;if(!(ci[f[(f[a>>2]|0)+20>>2]&1023](a)|0)){u=c;return o|0}f[i>>2]=0;u=c;return o|0}function gLa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;b=a+24|0;c=f[b>>2]|0;d=a+8|0;Qmc(d,ci[f[(f[c>>2]|0)+100>>2]&1023](c)|0)|0;c=uDa(f[a+4>>2]|0,d)|0;d=a+20|0;f[d>>2]=c;a=f[b>>2]|0;b=a+16|0;f[b>>2]=f[b>>2]|2;b=a+8|0;e=f[a+12>>2]|0;a=f[b>>2]|0;if(a|0){g=c;h=a;hLa(g,h);return}if(!e){a=Bmc(24)|0;kKa(a);i=a}else{if(f[e+64>>2]|0)pBb(e,18968,24);a=nBb(e,24)|0;lKa(a,e);i=a}f[b>>2]=i;g=f[d>>2]|0;h=i;hLa(g,h);return}function hLa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;if((b|0)==(a|0))return;c=a+4|0;d=f[c>>2]|0;e=(d&1|0)==0;g=d&-2;if(e)h=g;else h=f[g+4>>2]|0;d=f[b+4>>2]|0;i=d&-2;if(!(d&1))j=i;else j=f[i+4>>2]|0;if((h|0)==(j|0)){j=a+8|0;h=j;i=f[h>>2]|0;d=f[h+4>>2]|0;h=b+8|0;k=h;l=f[k+4>>2]|0;m=j;f[m>>2]=f[k>>2];f[m+4>>2]=l;l=h;f[l>>2]=i;f[l+4>>2]=d;d=a+20|0;l=b+20|0;i=f[d>>2]|0;f[d>>2]=f[l>>2];f[l>>2]=i;i=b+4|0;l=f[c>>2]|0;d=f[i>>2]|0;if((d|l)&1|0){if(!(d&1)){h=AHa(i)|0;n=h;o=f[c>>2]|0}else{n=d&-2;o=l}if(!(o&1))p=AHa(c)|0;else p=o&-2;o=f[p>>2]|0;f[p>>2]=f[n>>2];f[n>>2]=o}o=a+16|0;n=b+16|0;p=f[o>>2]|0;f[o>>2]=f[n>>2];f[n>>2]=p;return}if(e)q=g;else q=f[g+4>>2]|0;g=Sh[f[(f[a>>2]|0)+16>>2]&511](a,q)|0;VJa(g,b);ai[f[(f[b>>2]|0)+28>>2]&2047](b);VJa(b,a);b=a+8|0;q=b;e=f[q>>2]|0;p=f[q+4>>2]|0;q=g+8|0;n=q;o=f[n+4>>2]|0;l=b;f[l>>2]=f[n>>2];f[l+4>>2]=o;o=q;f[o>>2]=e;f[o+4>>2]=p;p=a+20|0;o=g+20|0;e=f[p>>2]|0;f[p>>2]=f[o>>2];f[o>>2]=e;e=g+4|0;o=f[c>>2]|0;p=f[e>>2]|0;if(!((p|o)&1))r=o;else{if(!(p&1)){q=AHa(e)|0;s=q;t=f[c>>2]|0}else{s=p&-2;t=o}if(!(t&1))u=AHa(c)|0;else u=t&-2;t=f[u>>2]|0;f[u>>2]=f[s>>2];f[s>>2]=t;r=f[c>>2]|0}c=a+16|0;a=g+16|0;t=f[c>>2]|0;f[c>>2]=f[a>>2];f[a>>2]=t;t=r&-2;if(!(r&1))v=t;else v=f[t+4>>2]|0;if(v|0)return;ai[f[(f[g>>2]|0)+4>>2]&2047](g);return}function iLa(a){a=a|0;GKa(a);Emc(a);return}function jLa(a){a=a|0;var b=0,c=0;f[a>>2]=112532;if(f[a+20>>2]|0)WJa(a);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function kLa(a){a=a|0;jLa(a);Emc(a);return}function lLa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function mLa(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(24)|0;kKa(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,18968,24);a=nBb(b,24)|0;lKa(a,b);c=a;return c|0}function nLa(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function oLa(a){a=a|0;return f[a+4>>2]|0}function pLa(a){a=a|0;var b=0;WJa(a);b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function qLa(a){a=a|0;return 1}function rLa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0;d=a+20|0;e=f[d>>2]|0;if((e|0)==1){GEb(1,f[a+8>>2]|0,c);g=f[d>>2]|0}else g=e;if((g|0)==2){DEb(2,f[a+8>>2]|0,c);h=f[d>>2]|0}else h=g;if((h|0)==3){g=a+8|0;nEb(3,f[g>>2]|0,f[g+4>>2]|0,c);i=f[d>>2]|0}else i=h;if((i|0)==4){wEb(4,+n[a+8>>2],c);j=f[d>>2]|0}else j=i;if((j|0)==5){yEb(5,(b[a+8>>0]|0)!=0,c);k=f[d>>2]|0}else k=j;if((k|0)==6){zEb(6,f[a+8>>2]|0,c);l=f[d>>2]|0}else l=k;if((l|0)==7){GEb(7,f[a+8>>2]|0,c);m=f[d>>2]|0}else m=l;if((m|0)==8){GEb(8,f[a+8>>2]|0,c);o=f[d>>2]|0}else o=m;if((o|0)==9){m=a+8|0;l=f[m>>2]|0;k=b[l+11>>0]|0;if(k<<24>>24<0){p=f[l>>2]|0;q=f[l+4>>2]|0}else{p=l;q=k&255}IEb(p,q,1,413092)|0;if((f[d>>2]|0)==9)r=f[m>>2]|0;else r=535416;BEb(9,r,c);s=f[d>>2]|0}else s=o;if((s|0)==10)GEb(10,f[a+8>>2]|0,c);s=f[a+4>>2]|0;if(!((s&1|0)!=0&(b[481264]|0)!=0))return;e4b(s&-2,c);return}function sLa(a){a=a|0;return f[a+16>>2]|0}function tLa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;e=a+20|0;g=f[e>>2]|0;if((g|0)==1){h=f[a+8>>2]|0;b[d>>0]=10;i=d+1|0;j=ci[f[(f[h>>2]|0)+60>>2]&1023](h)|0;if(j>>>0>127){k=j;l=i;while(1){b[l>>0]=k|128;m=k>>>7;n=l+1|0;if(k>>>0>16383){k=m;l=n}else{o=n;p=m;break}}}else{o=i;p=j}b[o>>0]=p;p=ki[f[(f[h>>2]|0)+64>>2]&511](h,c,o+1|0)|0;q=p;r=f[e>>2]|0}else{q=d;r=g}if((r|0)==2){g=f[a+8>>2]|0;b[q>>0]=18;d=GCb(g,q+1|0)|0;s=d;t=f[e>>2]|0}else{s=q;t=r}if((t|0)==3){r=a+8|0;q=f[r>>2]|0;d=f[r+4>>2]|0;b[s>>0]=24;r=s+1|0;g=q&255;if(d>>>0>0|(d|0)==0&q>>>0>127){p=r;o=g;h=q;q=d;while(1){b[p>>0]=o|-128;d=h;h=Irc(h|0,q|0,7)|0;j=p+1|0;i=h&255;if(!(q>>>0>0|(q|0)==0&d>>>0>16383)){u=j;v=i;break}else{p=j;o=i;q=J}}}else{u=r;v=g}b[u>>0]=v;w=u+1|0;x=f[e>>2]|0}else{w=s;x=t}if((x|0)==4){t=f[a+8>>2]|0;b[w>>0]=37;s=w+1|0;b[s>>0]=t;b[s+1>>0]=t>>8;b[s+2>>0]=t>>16;b[s+3>>0]=t>>24;y=w+5|0;z=f[e>>2]|0}else{y=w;z=x}if((z|0)==5){x=b[a+8>>0]|0;b[y>>0]=40;b[y+1>>0]=x;A=y+2|0;B=f[e>>2]|0}else{A=y;B=z}if((B|0)==6){z=f[a+8>>2]|0;b[A>>0]=48;y=A+1|0;x=z&255;if(z>>>0>127){w=y;t=x;s=z;u=((z|0)<0)<<31>>31;while(1){b[w>>0]=t|-128;z=s;s=Irc(s|0,u|0,7)|0;v=w+1|0;g=s&255;if(!(u>>>0>0|(u|0)==0&z>>>0>16383)){C=v;D=g;break}else{w=v;t=g;u=J}}}else{C=y;D=x}b[C>>0]=D;E=C+1|0;F=f[e>>2]|0}else{E=A;F=B}if((F|0)==7){B=f[a+8>>2]|0;b[E>>0]=58;A=E+1|0;C=ci[f[(f[B>>2]|0)+60>>2]&1023](B)|0;if(C>>>0>127){D=C;x=A;while(1){b[x>>0]=D|128;y=D>>>7;u=x+1|0;if(D>>>0>16383){D=y;x=u}else{G=u;H=y;break}}}else{G=A;H=C}b[G>>0]=H;H=ki[f[(f[B>>2]|0)+64>>2]&511](B,c,G+1|0)|0;I=H;K=f[e>>2]|0}else{I=E;K=F}if((K|0)==8){F=f[a+8>>2]|0;b[I>>0]=66;E=I+1|0;H=ci[f[(f[F>>2]|0)+60>>2]&1023](F)|0;if(H>>>0>127){G=H;B=E;while(1){b[B>>0]=G|128;C=G>>>7;A=B+1|0;if(G>>>0>16383){G=C;B=A}else{L=A;M=C;break}}}else{L=E;M=H}b[L>>0]=M;M=ki[f[(f[F>>2]|0)+64>>2]&511](F,c,L+1|0)|0;N=M;O=f[e>>2]|0}else{N=I;O=K}if((O|0)==9){K=a+8|0;I=f[K>>2]|0;M=b[I+11>>0]|0;if(M<<24>>24<0){P=f[I>>2]|0;Q=f[I+4>>2]|0}else{P=I;Q=M&255}IEb(P,Q,1,413092)|0;if((f[e>>2]|0)==9)R=f[K>>2]|0;else R=535416;b[N>>0]=74;K=GCb(R,N+1|0)|0;S=K;T=f[e>>2]|0}else{S=N;T=O}if((T|0)==10){T=f[a+8>>2]|0;b[S>>0]=82;O=S+1|0;N=ci[f[(f[T>>2]|0)+60>>2]&1023](T)|0;if(N>>>0>127){e=N;K=O;while(1){b[K>>0]=e|128;R=e>>>7;Q=K+1|0;if(e>>>0>16383){e=R;K=Q}else{U=Q;V=R;break}}}else{U=O;V=N}b[U>>0]=V;W=ki[f[(f[T>>2]|0)+64>>2]&511](T,c,U+1|0)|0}else W=S;S=f[a+4>>2]|0;if(!((S&1|0)!=0&(b[481264]|0)!=0)){X=W;return X|0}X=f4b(S&-2,W)|0;return X|0}function uLa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function vLa(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,18968,0)|0;if(!c){c2b(b,a);return}else{VJa(a,c);return}}function wLa(a,b){a=a|0;b=b|0;f[a+16>>2]=b;return}function xLa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222685]|0)!=2){f[d>>2]=149752;f[d+4>>2]=14;b[d+8>>0]=0;dEb(890740,d);zDb(d)}d=529008;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function yLa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222686]|0)==2){u=a;return}f[c>>2]=149752;f[c+4>>2]=15;b[c+8>>0]=0;dEb(890744,c);zDb(c);u=a;return}function zLa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222688]|0)==2){u=a;return}f[c>>2]=149752;f[c+4>>2]=17;b[c+8>>0]=0;dEb(890752,c);zDb(c);u=a;return}function ALa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222686]|0)==2){u=a;return}f[c>>2]=149752;f[c+4>>2]=15;b[c+8>>0]=0;dEb(890744,c);zDb(c);u=a;return}function BLa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;f[a>>2]=112532;d=a+4|0;f[d>>2]=0;f[a+16>>2]=0;e=f[c+4>>2]|0;if(e&1|0)O3b(AHa(d)|0,e&-2);e=a+20|0;f[e>>2]=0;d=c+20|0;do switch(f[d>>2]|0){case 2:{g=f[c+8>>2]|0;WJa(a);f[e>>2]=2;h=a+8|0;f[h>>2]=535416;i=f[a+4>>2]|0;j=i&-2;if(!(i&1))k=j;else k=f[j+4>>2]|0;j=f[h>>2]|0;if((j|0)==535416){PDa(h,k,g);return}else{Qmc(j,g)|0;return}break}case 3:{g=c+8|0;j=f[g>>2]|0;h=f[g+4>>2]|0;WJa(a);f[e>>2]=3;g=a+8|0;f[g>>2]=j;f[g+4>>2]=h;return}case 4:{h=f[c+8>>2]|0;WJa(a);f[e>>2]=4;f[a+8>>2]=h;return}case 5:{h=b[c+8>>0]|0;WJa(a);f[e>>2]=5;b[a+8>>0]=h;return}case 6:{h=f[c+8>>2]|0;WJa(a);f[e>>2]=6;f[a+8>>2]=h;return}case 7:{Czb(XJa(a)|0,(f[d>>2]|0)==7?f[c+8>>2]|0:535064);return}case 8:{$Ia(NDa(a)|0,(f[d>>2]|0)==8?f[c+8>>2]|0:528536);return}case 1:{ZJa(YJa(a)|0,(f[d>>2]|0)==1?f[c+8>>2]|0:528720);return}case 10:{$Ja(_Ja(a)|0,(f[d>>2]|0)==10?f[c+8>>2]|0:528944);return}case 9:{h=f[c+8>>2]|0;WJa(a);f[e>>2]=9;g=a+8|0;f[g>>2]=535416;j=f[a+4>>2]|0;i=j&-2;if(!(j&1))l=i;else l=f[i+4>>2]|0;i=f[g>>2]|0;if((i|0)==535416){PDa(g,l,h);return}else{Qmc(i,h)|0;return}break}default:return}while(0)}function CLa(a,b){a=a|0;b=b|0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);VJa(a,b);return}function DLa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;f[a>>2]=113456;b=a+36|0;c=f[b>>2]|0;if(c|0?(f[a+24>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)ai[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;Emc(h)}f[b>>2]=0;b=a+20|0;h=f[b>>2]|0;if(h|0?(f[a+8>>2]|0)==0:0){c=f[h>>2]|0;if((c|0)>0){d=0;do{e=f[h+4+(d<<2)>>2]|0;if(e|0)ai[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(c|0));i=f[b>>2]|0}else i=h;Emc(i)}f[b>>2]=0;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}i=a&-2;a=i;if((i|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(i);f[b>>2]=0;return}function ELa(a){a=a|0;DLa(a);Emc(a);return}function FLa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function GLa(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(44)|0;gOa(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,19048,48);a=nBb(b,48)|0;hOa(a,b);c=a;return c|0}function HLa(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function ILa(a){a=a|0;return f[a+4>>2]|0}function JLa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+12|0;c=f[b>>2]|0;if((c|0)>0){d=f[a+20>>2]|0;e=0;do{g=f[d+4+(e<<2)>>2]|0;e=e+1|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}while((e|0)!=(c|0));f[b>>2]=0}b=a+28|0;c=f[b>>2]|0;if((c|0)>0){e=f[a+36>>2]|0;d=0;do{g=f[e+4+(d<<2)>>2]|0;d=d+1|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}while((d|0)!=(c|0));f[b>>2]=0}b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function KLa(a){a=a|0;return 1}function LLa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+20|0;j=a+16|0;k=a+12|0;l=e+4|0;m=a+24|0;n=a+36|0;o=a+32|0;p=a+28|0;q=e+4|0;r=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){s=b[a>>0]|0;t=s&255;if(s<<24>>24>0){f[c>>2]=a+1;v=t;w=6}else{x=t;w=5}}else{x=0;w=5}if((w|0)==5){w=0;t=xCb(c,x)|0;if((t+-1|0)>>>0<127){v=t;w=6}else y=t}b:do if((w|0)==6){w=0;switch(v>>>3&536870911|0){case 1:{if((v&255|0)!=10){y=v;break b}t=f[i>>2]|0;do if(t){a=f[k>>2]|0;s=f[t>>2]|0;if((a|0)>=(s|0))if((s|0)==(f[j>>2]|0)){z=s;w=13;break}else{A=s;B=t;w=14;break}else{f[k>>2]=a+1;C=f[t+4+(a<<2)>>2]|0;break}}else{z=f[j>>2]|0;w=13}while(0);if((w|0)==13){w=0;uDb(h,z+1|0);t=f[i>>2]|0;A=f[t>>2]|0;B=t;w=14}if((w|0)==14){w=0;f[B>>2]=A+1;t=f[h>>2]|0;if(!t){a=Bmc(32)|0;aOa(a);D=a}else{if(f[t+64>>2]|0)pBb(t,19080,32);a=nBb(t,32)|0;bOa(a,t);D=a}a=f[i>>2]|0;t=f[k>>2]|0;f[k>>2]=t+1;f[a+4+(t<<2)>>2]=D;C=D}t=f[c>>2]|0;if(t>>>0<(f[g>>2]|0)>>>0?(a=b[t>>0]|0,a<<24>>24>-1):0){f[c>>2]=t+1;E=a&255}else{a=wCb(c)|0;if((a|0)>-1)E=a;else{F=0;w=54;break a}}hCb(e,c,E);if((f[l>>2]|0)<0){w=26;break a}if(!(Sh[f[(f[C>>2]|0)+44>>2]&511](C,c)|0)){w=26;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{F=0;w=54;break a}break}case 2:{if((v&255|0)!=18){y=v;break b}a=f[n>>2]|0;do if(a){t=f[p>>2]|0;s=f[a>>2]|0;if((t|0)>=(s|0))if((s|0)==(f[o>>2]|0)){G=s;w=34;break}else{H=s;I=a;w=35;break}else{f[p>>2]=t+1;J=f[a+4+(t<<2)>>2]|0;break}}else{G=f[o>>2]|0;w=34}while(0);if((w|0)==34){w=0;uDb(m,G+1|0);a=f[n>>2]|0;H=f[a>>2]|0;I=a;w=35}if((w|0)==35){w=0;f[I>>2]=H+1;a=f[m>>2]|0;if(!a){t=Bmc(20)|0;tMa(t);K=t}else{if(f[a+64>>2]|0)pBb(a,19064,24);t=nBb(a,24)|0;uMa(t,a);K=t}t=f[n>>2]|0;a=f[p>>2]|0;f[p>>2]=a+1;f[t+4+(a<<2)>>2]=K;J=K}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(t=b[a>>0]|0,t<<24>>24>-1):0){f[c>>2]=a+1;L=t&255}else{t=wCb(c)|0;if((t|0)>-1)L=t;else{F=0;w=54;break a}}hCb(e,c,L);if((f[q>>2]|0)<0){w=47;break a}if(!(Sh[f[(f[J>>2]|0)+44>>2]&511](J,c)|0)){w=47;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{F=0;w=54;break a}break}default:{y=v;break b}}}while(0);if(!y){F=1;w=54;break}t=f[r>>2]|0;if(!(t&1))M=AHa(r)|0;else M=t&-2;if(!(b4b(c,y,M)|0)){F=0;w=54;break}}if((w|0)==26){F=0;u=d;return F|0}else if((w|0)==47){F=0;u=d;return F|0}else if((w|0)==54){u=d;return F|0}return 0}function MLa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=f[a+4>>2]|0;if((c&1|0)!=0&(b[481264]|0)!=0)d=h4b(c&-2)|0;else d=0;c=f[a+12>>2]|0;e=c+d|0;if(!c)g=e;else{d=a+20|0;h=0;i=e;while(1){e=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;j=ci[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(c|0)){g=e;break}else i=e}}i=f[a+28>>2]|0;c=i+g|0;if(!i){k=c;l=a+40|0;f[l>>2]=k;return k|0}g=a+36|0;h=0;d=c;while(1){c=f[(f[g>>2]|0)+4+(h<<2)>>2]|0;e=ci[f[(f[c>>2]|0)+48>>2]&1023](c)|0;c=e+d+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(i|0)){k=c;break}else d=c}l=a+40|0;f[l>>2]=k;return k|0}function NLa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=f[a+12>>2]|0;if(d|0){e=a+20|0;g=0;do{GEb(1,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(d|0))}d=f[a+28>>2]|0;if(d|0){g=a+36|0;e=0;do{GEb(2,f[(f[g>>2]|0)+4+(e<<2)>>2]|0,c);e=e+1|0}while((e|0)!=(d|0))}d=f[a+4>>2]|0;if(!((d&1|0)!=0&(b[481264]|0)!=0))return;e4b(d&-2,c);return}function OLa(a){a=a|0;return f[a+40>>2]|0}function PLa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;e=f[a+12>>2]|0;if(!e)g=d;else{h=a+20|0;i=0;j=d;while(1){d=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;b[j>>0]=10;k=j+1|0;l=ci[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=k;r=l}b[q>>0]=r;n=ki[f[(f[d>>2]|0)+64>>2]&511](d,c,q+1|0)|0;i=i+1|0;if((i|0)==(e|0)){g=n;break}else j=n}}j=f[a+28>>2]|0;if(!j)s=g;else{e=a+36|0;i=0;q=g;while(1){g=f[(f[e>>2]|0)+4+(i<<2)>>2]|0;b[q>>0]=18;r=q+1|0;h=ci[f[(f[g>>2]|0)+60>>2]&1023](g)|0;if(h>>>0>127){n=h;m=r;while(1){b[m>>0]=n|128;o=n>>>7;p=m+1|0;if(n>>>0>16383){n=o;m=p}else{t=p;u=o;break}}}else{t=r;u=h}b[t>>0]=u;m=ki[f[(f[g>>2]|0)+64>>2]&511](g,c,t+1|0)|0;i=i+1|0;if((i|0)==(j|0)){s=m;break}else q=m}}q=f[a+4>>2]|0;if(!((q&1|0)!=0&(b[481264]|0)!=0)){v=s;return v|0}v=f4b(q&-2,s)|0;return v|0}function QLa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function RLa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,19048,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}cOa(a+8|0,c+8|0);dOa(a+24|0,c+24|0);return}function SLa(a,b){a=a|0;b=b|0;f[a+40>>2]=b;return}function TLa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222689]|0)!=2){f[d>>2]=149752;f[d+4>>2]=18;b[d+8>>0]=0;dEb(890756,d);zDb(d)}d=529264;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function ULa(){var a=0,c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((f[222690]|0)!=2){f[c>>2]=149752;f[c+4>>2]=19;b[c+8>>0]=0;dEb(890760,c);zDb(c)}d=Bmc(16)|0;f[c>>2]=d;f[c+8>>2]=-2147483632;f[c+4>>2]=14;e=d;g=413427;h=e+14|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));b[d+14>>0]=0;wYb(c,113556,113616,113288,0,529264,0,0);if((b[c+11>>0]|0)>=0){u=a;return}Emc(f[c>>2]|0);u=a;return}function VLa(){WLa();NIb(413442,615);R1b(413427,1648);ALa();GQa();return}function WLa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222691]|0)!=2){f[c>>2]=149752;f[c+4>>2]=20;b[c+8>>0]=0;dEb(890764,c);zDb(c)}if((f[222692]|0)!=2){f[c>>2]=149752;f[c+4>>2]=21;b[c+8>>0]=0;dEb(890768,c);zDb(c)}if((f[222693]|0)!=2){f[c>>2]=149752;f[c+4>>2]=22;b[c+8>>0]=0;dEb(890772,c);zDb(c)}if((f[222694]|0)!=2){f[c>>2]=149752;f[c+4>>2]=23;b[c+8>>0]=0;dEb(890776,c);zDb(c)}if((f[222695]|0)==2){u=a;return}f[c>>2]=149752;f[c+4>>2]=24;b[c+8>>0]=0;dEb(890780,c);zDb(c);u=a;return}function XLa(a){a=a|0;var c=0;a=u;u=u+16|0;c=a;if((f[222689]|0)!=2){f[c>>2]=149752;f[c+4>>2]=18;b[c+8>>0]=0;dEb(890756,c);zDb(c)}BYb(529264,5);u=a;return}function YLa(){var a=0,c=0,d=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,414058);tBb();if((f[222694]|0)!=2){f[c>>2]=149752;f[c+4>>2]=23;b[c+8>>0]=0;dEb(890776,c);zDb(c)}if((f[222695]|0)!=2){f[c>>2]=149752;f[c+4>>2]=24;b[c+8>>0]=0;dEb(890780,c);zDb(c)}f[132258]=113456;c=529036;d=c+36|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(d|0));f[132268]=0;$Db(529032);u=a;return}function ZLa(){CDb(3005001,3005e3,414058);tBb();zLa();f[132273]=0;f[132271]=535416;f[132274]=0;f[132275]=0;f[132270]=114052;f[132272]=528848;return}function _La(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,414058);tBb();if((f[222692]|0)!=2){f[c>>2]=149752;f[c+4>>2]=21;b[c+8>>0]=0;dEb(890768,c);zDb(c)}PMa(529104);$Db(529104);u=a;return}function $La(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,414058);tBb();FQa();if((f[222693]|0)!=2){f[c>>2]=149752;f[c+4>>2]=22;b[c+8>>0]=0;dEb(890772,c);zDb(c)}f[132302]=113752;f[132303]=0;f[132304]=0;f[132305]=0;f[132306]=0;f[132307]=0;f[132308]=0;f[132309]=0;$Db(529208);f[132308]=529392;u=a;return}function aMa(){CDb(3005001,3005e3,414058);tBb();f[132310]=113644;f[132311]=0;f[132312]=535416;f[132313]=535416;f[132314]=0;$Db(529240);return}function bMa(a){a=a|0;var c=0,d=0;f[a>>2]=113644;c=f[a+8>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+12>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(d);f[c>>2]=0;return}function cMa(a){a=a|0;bMa(a);Emc(a);return}function dMa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function eMa(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(20)|0;tMa(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,19064,24);a=nBb(b,24)|0;uMa(a,b);c=a;return c|0}function fMa(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function gMa(a){a=a|0;return f[a+4>>2]|0}function hMa(a){a=a|0;var c=0,d=0,e=0;c=a+4|0;d=f[a+8>>2]|0;do if((d|0)!=535416){e=d+11|0;if((b[e>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[e>>0]=0;break}}while(0);d=f[a+12>>2]|0;do if((d|0)!=535416){a=d+11|0;if((b[a>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[a>>0]=0;break}}while(0);d=f[c>>2]|0;if(!(d&1))return;c=d&-2;if(!(f[c>>2]|0))return;L3b(c);return}function iMa(a){a=a|0;return 1}function jMa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=c+4|0;e=a+8|0;g=a+4|0;h=a+8|0;i=a+12|0;j=a+12|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){k=b[a>>0]|0;l=k&255;if(k<<24>>24>0){f[c>>2]=a+1;m=l;n=6}else{o=l;n=5}}else{o=0;n=5}if((n|0)==5){n=0;l=xCb(c,o)|0;if((l+-1|0)>>>0<127){m=l;n=6}else p=l}b:do if((n|0)==6){n=0;switch(m>>>3&536870911|0){case 1:{if((m&255|0)!=10){p=m;break b}l=f[g>>2]|0;a=l&-2;if(!(l&1))q=a;else q=f[a+4>>2]|0;a=f[e>>2]|0;if((a|0)==535416){PDa(e,q,535416);r=f[e>>2]|0}else r=a;if(!(HEb(c,r)|0)){s=0;n=34;break a}a=f[h>>2]|0;l=b[a+11>>0]|0;if(l<<24>>24<0){t=f[a>>2]|0;u=f[a+4>>2]|0}else{t=a;u=l&255}if(IEb(t,u,0,414138)|0)continue a;else{s=0;n=34;break a}break}case 2:{if((m&255|0)!=18){p=m;break b}l=f[g>>2]|0;a=l&-2;if(!(l&1))v=a;else v=f[a+4>>2]|0;a=f[i>>2]|0;if((a|0)==535416){PDa(i,v,535416);w=f[i>>2]|0}else w=a;if(!(HEb(c,w)|0)){s=0;n=34;break a}a=f[j>>2]|0;l=b[a+11>>0]|0;if(l<<24>>24<0){x=f[a>>2]|0;y=f[a+4>>2]|0}else{x=a;y=l&255}if(IEb(x,y,0,414182)|0)continue a;else{s=0;n=34;break a}break}default:{p=m;break b}}}while(0);if(!p){s=1;n=34;break}l=f[g>>2]|0;if(!(l&1))z=AHa(g)|0;else z=l&-2;if(!(b4b(c,p,z)|0)){s=0;n=34;break}}if((n|0)==34)return s|0;return 0}function kMa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=f[a+4>>2]|0;if((c&1|0)!=0&(b[481264]|0)!=0)d=h4b(c&-2)|0;else d=0;c=f[a+8>>2]|0;e=b[c+11>>0]|0;g=e<<24>>24<0;if(g)h=f[c+4>>2]|0;else h=e&255;if(!h)i=d;else{h=g?f[c+4>>2]|0:e&255;i=d+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}h=f[a+12>>2]|0;d=b[h+11>>0]|0;e=d<<24>>24<0;if(e)j=f[h+4>>2]|0;else j=d&255;if(!j){k=i;l=a+16|0;f[l>>2]=k;return k|0}j=e?f[h+4>>2]|0:d&255;k=i+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;l=a+16|0;f[l>>2]=k;return k|0}function lMa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=a+8|0;e=f[d>>2]|0;g=b[e+11>>0]|0;h=g<<24>>24<0;if(h)i=f[e+4>>2]|0;else i=g&255;if(i|0){if(h){j=f[e>>2]|0;k=f[e+4>>2]|0}else{j=e;k=g&255}IEb(j,k,1,414138)|0;BEb(1,f[d>>2]|0,c)}d=a+12|0;k=f[d>>2]|0;j=b[k+11>>0]|0;g=j<<24>>24<0;if(g)l=f[k+4>>2]|0;else l=j&255;if(l|0){if(g){m=f[k>>2]|0;n=f[k+4>>2]|0}else{m=k;n=j&255}IEb(m,n,1,414182)|0;BEb(2,f[d>>2]|0,c)}d=f[a+4>>2]|0;if(!((d&1|0)!=0&(b[481264]|0)!=0))return;e4b(d&-2,c);return}function mMa(a){a=a|0;return f[a+16>>2]|0}function nMa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=a+8|0;e=f[c>>2]|0;g=b[e+11>>0]|0;h=g<<24>>24<0;if(h)i=f[e+4>>2]|0;else i=g&255;if(!i)j=d;else{if(h){k=f[e>>2]|0;l=f[e+4>>2]|0}else{k=e;l=g&255}IEb(k,l,1,414138)|0;l=f[c>>2]|0;b[d>>0]=10;j=GCb(l,d+1|0)|0}d=a+12|0;l=f[d>>2]|0;c=b[l+11>>0]|0;k=c<<24>>24<0;if(k)m=f[l+4>>2]|0;else m=c&255;if(!m)n=j;else{if(k){o=f[l>>2]|0;p=f[l+4>>2]|0}else{o=l;p=c&255}IEb(o,p,1,414182)|0;p=f[d>>2]|0;b[j>>0]=18;n=GCb(p,j+1|0)|0}j=f[a+4>>2]|0;if(!((j&1|0)!=0&(b[481264]|0)!=0)){q=n;return q|0}q=f4b(j&-2,n)|0;return q|0}function oMa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function pMa(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,19064,0)|0;if(!c){c2b(b,a);return}else{sMa(a,c);return}}function qMa(a,b){a=a|0;b=b|0;f[a+16>>2]=b;return}function rMa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222689]|0)!=2){f[d>>2]=149752;f[d+4>>2]=18;b[d+8>>0]=0;dEb(890756,d);zDb(d)}d=529296;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function sMa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}e=f[c+8>>2]|0;h=b[e+11>>0]|0;if(h<<24>>24<0)i=f[e+4>>2]|0;else i=h&255;do if(i|0){h=a+8|0;g=f[d>>2]|0;j=g&-2;if(!(g&1))k=j;else k=f[j+4>>2]|0;j=f[h>>2]|0;if((j|0)==535416){PDa(h,k,e);break}else{Qmc(j,e)|0;break}}while(0);e=f[c+12>>2]|0;c=b[e+11>>0]|0;if(c<<24>>24<0)l=f[e+4>>2]|0;else l=c&255;if(!l)return;l=a+12|0;a=f[d>>2]|0;d=a&-2;if(!(a&1))m=d;else m=f[d+4>>2]|0;d=f[l>>2]|0;if((d|0)==535416){PDa(l,m,e);return}else{Qmc(d,e)|0;return}}function tMa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=113644;f[a+4>>2]=0;if((a|0)!=529240?(f[222695]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=24;b[d+8>>0]=0;dEb(890780,d);zDb(d)}f[a+8>>2]=535416;f[a+12>>2]=535416;f[a+16>>2]=0;u=c;return}function uMa(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=113644;f[a+4>>2]=c;if((f[222695]|0)!=2){f[e>>2]=149752;f[e+4>>2]=24;b[e+8>>0]=0;dEb(890780,e);zDb(e)}f[a+8>>2]=535416;f[a+12>>2]=535416;f[a+16>>2]=0;u=d;return}function vMa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=113752;if((a|0)!=529208?(b=f[a+24>>2]|0,b|0):0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);b=a+20|0;c=f[b>>2]|0;if(c|0?(f[a+8>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)ai[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;Emc(h)}f[b>>2]=0;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}h=a&-2;a=h;if((h|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(h);f[b>>2]=0;return}function wMa(a){a=a|0;vMa(a);Emc(a);return}function xMa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function yMa(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(32)|0;aOa(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,19080,32);a=nBb(b,32)|0;bOa(a,b);c=a;return c|0}function zMa(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function AMa(a){a=a|0;return f[a+4>>2]|0}function BMa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;b=a+12|0;c=f[b>>2]|0;if((c|0)>0){d=f[a+20>>2]|0;e=0;do{g=f[d+4+(e<<2)>>2]|0;e=e+1|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}while((e|0)!=(c|0));f[b>>2]=0}b=a+4|0;c=f[b>>2]|0;e=c&-2;if(!(c&1))h=e;else h=f[e+4>>2]|0;e=a+24|0;if((h|0)==0?(h=f[e>>2]|0,(h|0)!=0):0){ai[f[(f[h>>2]|0)+4>>2]&2047](h);i=f[b>>2]|0}else i=c;f[e>>2]=0;if(!(i&1))return;e=i&-2;if(!(f[e>>2]|0))return;L3b(e);return}function CMa(a){a=a|0;return 1}function DMa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+24|0;i=e+4|0;j=a+8|0;k=a+20|0;l=a+16|0;m=a+12|0;n=e+4|0;o=a+4|0;a:while(1){p=f[c>>2]|0;if(p>>>0<(f[g>>2]|0)>>>0){q=b[p>>0]|0;r=q&255;if(q<<24>>24>0){f[c>>2]=p+1;s=r;t=6}else{v=r;t=5}}else{v=0;t=5}if((t|0)==5){t=0;r=xCb(c,v)|0;if((r+-1|0)>>>0<127){s=r;t=6}else w=r}b:do if((t|0)==6){t=0;switch(s>>>3&536870911|0){case 1:{if((s&255|0)!=10){w=s;break b}r=f[h>>2]|0;if(!r){OMa(a);x=f[h>>2]|0}else x=r;r=f[c>>2]|0;if(r>>>0<(f[g>>2]|0)>>>0?(p=b[r>>0]|0,p<<24>>24>-1):0){f[c>>2]=r+1;y=p&255}else{p=wCb(c)|0;if((p|0)>-1)y=p;else{z=0;t=44;break a}}hCb(e,c,y);if((f[i>>2]|0)<0){t=16;break a}if(!(Sh[f[(f[x>>2]|0)+44>>2]&511](x,c)|0)){t=16;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{z=0;t=44;break a}break}case 2:break;default:{w=s;break b}}if((s&255|0)==18){p=f[k>>2]|0;do if(p){r=f[m>>2]|0;q=f[p>>2]|0;if((r|0)>=(q|0))if((q|0)==(f[l>>2]|0)){A=q;t=24;break}else{B=q;C=p;t=25;break}else{f[m>>2]=r+1;D=f[p+4+(r<<2)>>2]|0;break}}else{A=f[l>>2]|0;t=24}while(0);if((t|0)==24){t=0;uDb(j,A+1|0);p=f[k>>2]|0;B=f[p>>2]|0;C=p;t=25}if((t|0)==25){t=0;f[C>>2]=B+1;p=f[j>>2]|0;if(!p){r=Bmc(100)|0;PMa(r);E=r}else{if(f[p+64>>2]|0)pBb(p,19096,104);r=nBb(p,104)|0;RMa(r,p);E=r}r=f[k>>2]|0;p=f[m>>2]|0;f[m>>2]=p+1;f[r+4+(p<<2)>>2]=E;D=E}p=f[c>>2]|0;if(p>>>0<(f[g>>2]|0)>>>0?(r=b[p>>0]|0,r<<24>>24>-1):0){f[c>>2]=p+1;F=r&255}else{r=wCb(c)|0;if((r|0)>-1)F=r;else{z=0;t=44;break a}}hCb(e,c,F);if((f[n>>2]|0)<0){t=37;break a}if(!(Sh[f[(f[D>>2]|0)+44>>2]&511](D,c)|0)){t=37;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{z=0;t=44;break a}}else w=s}while(0);if(!w){z=1;t=44;break}r=f[o>>2]|0;if(!(r&1))G=AHa(o)|0;else G=r&-2;if(!(b4b(c,w,G)|0)){z=0;t=44;break}}if((t|0)==16){z=0;u=d;return z|0}else if((t|0)==37){z=0;u=d;return z|0}else if((t|0)==44){u=d;return z|0}return 0}function EMa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=f[a+4>>2]|0;if((c&1|0)!=0&(b[481264]|0)!=0)d=h4b(c&-2)|0;else d=0;c=f[a+12>>2]|0;e=c+d|0;if(!c)g=e;else{d=a+20|0;h=0;i=e;while(1){e=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;j=ci[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(c|0)){g=e;break}else i=e}}if((a|0)==529208){k=g;l=a+28|0;f[l>>2]=k;return k|0}i=f[a+24>>2]|0;if(!i){k=g;l=a+28|0;f[l>>2]=k;return k|0}c=ci[f[(f[i>>2]|0)+48>>2]&1023](i)|0;k=g+1+c+((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)|0;l=a+28|0;f[l>>2]=k;return k|0}function FMa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;if((a|0)!=529208?(d=f[a+24>>2]|0,d|0):0)GEb(1,d,c);d=f[a+12>>2]|0;if(d|0){e=a+20|0;g=0;do{GEb(2,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(d|0))}d=f[a+4>>2]|0;if(!((d&1|0)!=0&(b[481264]|0)!=0))return;e4b(d&-2,c);return}function GMa(a){a=a|0;return f[a+28>>2]|0}function HMa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;if((a|0)!=529208?(e=f[a+24>>2]|0,(e|0)!=0):0){b[d>>0]=10;g=d+1|0;h=ci[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(h>>>0>127){i=h;j=g;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=g;n=h}b[m>>0]=n;o=ki[f[(f[e>>2]|0)+64>>2]&511](e,c,m+1|0)|0}else o=d;d=f[a+12>>2]|0;if(!d)p=o;else{m=a+20|0;e=0;n=o;while(1){o=f[(f[m>>2]|0)+4+(e<<2)>>2]|0;b[n>>0]=18;h=n+1|0;g=ci[f[(f[o>>2]|0)+60>>2]&1023](o)|0;if(g>>>0>127){j=g;i=h;while(1){b[i>>0]=j|128;k=j>>>7;l=i+1|0;if(j>>>0>16383){j=k;i=l}else{q=l;r=k;break}}}else{q=h;r=g}b[q>>0]=r;i=ki[f[(f[o>>2]|0)+64>>2]&511](o,c,q+1|0)|0;e=e+1|0;if((e|0)==(d|0)){p=i;break}else n=i}}n=f[a+4>>2]|0;if(!((n&1|0)!=0&(b[481264]|0)!=0)){s=p;return s|0}s=f4b(n&-2,p)|0;return s|0}function IMa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function JMa(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,19080,0)|0;if(!c){c2b(b,a);return}else{MMa(a,c);return}}function KMa(a,b){a=a|0;b=b|0;f[a+28>>2]=b;return}function LMa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222689]|0)!=2){f[d>>2]=149752;f[d+4>>2]=18;b[d+8>>0]=0;dEb(890756,d);zDb(d)}d=529288;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function MMa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}NMa(a+8|0,b+8|0);if((b|0)==529208)return;d=b+24|0;b=f[d>>2]|0;if(!b)return;g=a+24|0;e=f[g>>2]|0;if(!e){OMa(a);h=f[d>>2]|0;i=f[g>>2]|0}else{h=b;i=e}BPa(i,h|0?h:529392);return}function NMa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{QMa(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(100)|0;PMa(l);QMa(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,19096,104);l=nBb(i,104)|0;RMa(l,i);QMa(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function OMa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=Bmc(80)|0;hPa(c);e=c;g=a+24|0;f[g>>2]=e;return}if(f[d+64>>2]|0)pBb(d,19224,80);c=nBb(d,80)|0;jPa(c,d);e=c;g=a+24|0;f[g>>2]=e;return}function PMa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;f[a>>2]=113860;e=a+56|0;g=a+4|0;h=g+52|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=155876;f[a+60>>2]=0;f[a+64>>2]=0;VDb(a+68|0);f[a+72>>2]=0;f[e>>2]=113968;f[a+76>>2]=0;e=a+80|0;f[e>>2]=0;g=a+84|0;f[g>>2]=0;tDa(e);f[g>>2]=0;if((a|0)!=529104?(f[222693]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=22;b[d+8>>0]=0;dEb(890772,d);zDb(d)}f[a+92>>2]=535416;f[a+96>>2]=0;u=c;return}function QMa(a,b){a=a|0;b=b|0;UNa(b,a);return}function RMa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;f[a>>2]=113860;f[a+4>>2]=c;f[a+8>>2]=c;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=c;f[a+28>>2]=0;f[a+32>>2]=0;f[a+36>>2]=0;f[a+40>>2]=c;f[a+44>>2]=0;f[a+48>>2]=0;f[a+52>>2]=0;SMa(a+56|0,c);if((f[222693]|0)==2){g=a+92|0;f[g>>2]=535416;h=a+96|0;f[h>>2]=0;u=d;return}f[e>>2]=149752;f[e+4>>2]=22;b[e+8>>0]=0;dEb(890772,e);zDb(e);g=a+92|0;f[g>>2]=535416;h=a+96|0;f[h>>2]=0;u=d;return}function SMa(a,b){a=a|0;b=b|0;var c=0;f[a>>2]=155876;f[a+4>>2]=b;f[a+8>>2]=0;c=a+12|0;VDb(c);f[a+16>>2]=0;SHa(b,c);f[a>>2]=113968;f[a+20>>2]=b;c=a+24|0;f[c>>2]=b;b=a+28|0;f[b>>2]=0;tDa(c);f[b>>2]=0;return}function TMa(a){a=a|0;f[a>>2]=113968;RCa(a+24|0);aZb(a);return}function UMa(a){a=a|0;f[a>>2]=113968;RCa(a+24|0);aZb(a);Emc(a);return}function VMa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;Nmc(g,hHa(c)|0);QCa(e,f[a+32>>2]|0,g,0);a=(f[e>>2]|0)!=0;if((b[g+11>>0]|0)>=0){u=d;return a|0}Emc(f[g>>2]|0);u=d;return a|0}function WMa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+32|0;g=e+16|0;h=e;i=ci[f[(f[a>>2]|0)+68>>2]&1023](a)|0;Nmc(h,hHa(c)|0);QCa(g,f[i+8>>2]|0,h,0);c=f[g>>2]|0;if(!c){j=1;k=uDa(i,h)|0}else{j=0;k=(f[c+12>>2]|0)+16|0}f[d>>2]=k;if((b[h+11>>0]|0)>=0){u=e;return j|0}Emc(f[h>>2]|0);u=e;return j|0}function XMa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+64|0;e=d+40|0;g=d+24|0;h=d;Nmc(h,hHa(c)|0);c=ci[f[(f[a>>2]|0)+68>>2]&1023](a)|0;QCa(e,f[c+8>>2]|0,h,0);a=f[e>>2]|0;i=f[e+4>>2]|0;j=f[e+8>>2]|0;if(!a)k=0;else{f[g>>2]=a;f[g+4>>2]=i;f[g+8>>2]=j;f[e>>2]=f[g>>2];f[e+4>>2]=f[g+4>>2];f[e+8>>2]=f[g+8>>2];lDa(d+12|0,c,e);k=1}if((b[h+11>>0]|0)>=0){u=d;return k|0}Emc(f[h>>2]|0);u=d;return k|0}function YMa(a){a=a|0;v_b(a);return f[f[a+32>>2]>>2]|0}function ZMa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;b=u;u=u+16|0;c=b;d=f[a+8>>2]|0;if(!d)e=12;else{g=f[d+8>>2]<<2;h=d+12|0;d=f[h>>2]|0;if(!d)i=g;else{if((f[d>>2]|0)>0){j=0;k=g;l=d;while(1){d=f[l+4+(j<<2)>>2]|0;m=(ci[f[(f[d>>2]|0)+84>>2]&1023](d)|0)+k|0;j=j+1|0;l=f[h>>2]|0;if((j|0)>=(f[l>>2]|0)){n=m;break}else k=m}}else n=g;i=n+4|0}e=i+12|0}i=f[a+32>>2]|0;a=f[i+12>>2]|0;n=f[i+4>>2]|0;a:do if(n>>>0>a>>>0){g=f[i+16>>2]|0;k=a;while(1){o=f[g+(k<<2)>>2]|0;if(o|0)break;l=k+1|0;if(l>>>0<n>>>0)k=l;else{p=0;q=l;break a}}if((o|0)==(f[g+((k^1)<<2)>>2]|0)){p=f[(f[o>>2]|0)+16>>2]|0;q=k;break}else{p=o;q=k;break}}else{p=0;q=a}while(0);f[c>>2]=p;f[c+4>>2]=i;f[c+8>>2]=q;if(!p){r=e;u=b;return r|0}q=e;e=p;while(1){p=(f[e+12>>2]|0)+16|0;i=q+12+(ci[f[(f[p>>2]|0)+84>>2]&1023](p)|0)|0;oDa(c)|0;e=f[c>>2]|0;if(!e){r=i;break}else q=i}u=b;return r|0}function _Ma(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;b=u;u=u+16|0;c=b;d=a+8|0;e=f[d>>2]|0;if(!e){g=f[a+4>>2]|0;if(!g){h=Bmc(16)|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;i=h}else{if(f[g+64>>2]|0)pBb(g,18760,16);h=oBb(g,16,1641)|0;f[h>>2]=g;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;i=h}f[d>>2]=i;j=i}else j=e;e=j+4|0;i=f[e>>2]|0;if((i|0)>0){d=f[j+12>>2]|0;h=0;do{g=f[d+4+(h<<2)>>2]|0;h=h+1|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}while((h|0)!=(i|0));f[e>>2]=0}i=f[a+32>>2]|0;h=f[i+12>>2]|0;d=f[i+4>>2]|0;a:do if(d>>>0>h>>>0){g=f[i+16>>2]|0;k=h;while(1){l=f[g+(k<<2)>>2]|0;if(l|0)break;m=k+1|0;if(m>>>0<d>>>0)k=m;else{n=0;o=m;break a}}if((l|0)==(f[g+((k^1)<<2)>>2]|0)){n=f[(f[l>>2]|0)+16>>2]|0;o=k;break}else{n=l;o=k;break}}else{n=0;o=h}while(0);f[c>>2]=n;f[c+4>>2]=i;f[c+8>>2]=o;if(!n){u=b;return}n=a+4|0;a=j+12|0;o=j+8|0;do{i=Sh[f[(f[132270]|0)+16>>2]&511](529080,f[n>>2]|0)|0;h=i+12|0;l=f[h>>2]|0;d=f[j>>2]|0;if(((d|0)==(l|0)?(m=f[a>>2]|0,(m|0)!=0):0)?(p=f[m>>2]|0,(p|0)<(f[o>>2]|0)):0){q=f[e>>2]|0;if((q|0)<(p|0)){r=m+4+(q<<2)|0;f[m+4+(p<<2)>>2]=f[r>>2];s=r}else s=m+4+(q<<2)|0;f[s>>2]=i;f[e>>2]=q+1;q=f[a>>2]|0;f[q>>2]=(f[q>>2]|0)+1}else dNa(j,i,l,d);d=f[(f[c>>2]|0)+12>>2]|0;l=i+16|0;f[l>>2]=f[l>>2]|1;q=i+4|0;m=f[q>>2]|0;if((m|0)==535416){PDa(q,f[h>>2]|0,535416);t=f[q>>2]|0}else t=m;Qmc(t,d)|0;d=(f[(f[c>>2]|0)+12>>2]|0)+16|0;f[l>>2]=f[l>>2]|2;l=i+8|0;i=f[h>>2]|0;h=f[l>>2]|0;if(!h){if(!i){m=Bmc(24)|0;kKa(m);v=m}else{if(f[i+64>>2]|0)pBb(i,18968,24);m=nBb(i,24)|0;lKa(m,i);v=m}f[l>>2]=v;w=v}else w=h;CLa(w,d);hDa(c)|0}while((f[c>>2]|0)!=0);u=b;return}function $Ma(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=u;u=u+80|0;c=b+52|0;d=b+40|0;e=b;g=b+16|0;h=a+24|0;i=f[a+8>>2]|0;if(!i){TDb(g,3,414261,306);QDb(b+64|0,ODb(g,414352)|0);UDb(g)}g=f[a+32>>2]|0;a=f[g+12>>2]|0;j=f[g+4>>2]|0;a:do if(j>>>0>a>>>0){k=f[g+16>>2]|0;l=a;while(1){m=f[k+(l<<2)>>2]|0;if(m|0)break;n=l+1|0;if(n>>>0<j>>>0)l=n;else{o=0;p=n;break a}}if((m|0)==(f[k+((l^1)<<2)>>2]|0)){o=f[(f[m>>2]|0)+16>>2]|0;p=l;break}else{o=m;p=l;break}}else{o=0;p=a}while(0);f[e>>2]=o;f[e+4>>2]=g;f[e+8>>2]=p;if(o|0)do{f[c>>2]=f[e>>2];f[c+4>>2]=f[e+4>>2];f[c+8>>2]=f[e+8>>2];lDa(d,h,c);f[e>>2]=f[d>>2];f[e+4>>2]=f[d+4>>2];f[e+8>>2]=f[d+8>>2]}while((f[e>>2]|0)!=0);e=i+12|0;d=f[e>>2]|0;c=i+4|0;if(!(f[c>>2]|0)){u=b;return}i=(d|0)==0?0:d+4|0;do{d=f[i>>2]|0;o=ci[f[(f[d>>2]|0)+104>>2]&1023](d)|0;d=f[i>>2]|0;CLa(uDa(h,ci[f[(f[d>>2]|0)+100>>2]&1023](d)|0)|0,o);i=i+4|0;o=f[e>>2]|0}while((i|0)!=(((o|0)==0?0:o+4|0)+(f[c>>2]<<2)|0));u=b;return}function aNa(a){a=a|0;v_b(a);return a+24|0}function bNa(a){a=a|0;v_b(a);u_b(a);return a+24|0}function cNa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;a=f[f[b>>2]>>2]|0;if(!a)return;c=b+8|0;d=a+12|0;a=f[d>>2]|0;e=b+16|0;if((f[e>>2]|0)==9)g=f[c>>2]|0;else{f[e>>2]=9;e=Bmc(12)|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[c>>2]=e;g=e}Qmc(g,a)|0;f[b+24>>2]=(f[d>>2]|0)+16;return}function dNa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(!((c|0)==0&(d|0)!=0))if((d|0)!=(c|0)){if(!d){e=Bmc(24)|0;f[e+12>>2]=0;f[e+4>>2]=535416;f[e+8>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;g=e}else{if(f[d+64>>2]|0)pBb(d,19128,24);e=nBb(d,24)|0;h=d;f[e+12>>2]=h;f[e+4>>2]=535416;f[e+8>>2]=0;f[e+16>>2]=0;f[e+20>>2]=h;g=e}f[g>>2]=114052;fNa(b,g);if((b|0)==0|(c|0)!=0)i=g;else{ai[f[(f[b>>2]|0)+4>>2]&2047](b);i=g}}else i=b;else{eNa(d,b);i=b}b=a+12|0;d=f[b>>2]|0;g=f[a+8>>2]|0;c=a+4|0;if(d|0?(e=f[c>>2]|0,(e|0)!=(g|0)):0){h=f[d>>2]|0;if((h|0)==(g|0)){j=f[d+4+(e<<2)>>2]|0;if((j|0)==0|(f[a>>2]|0)!=0){k=d;l=f[c>>2]|0;m=l+1|0;f[c>>2]=m;n=k+4+(l<<2)|0;f[n>>2]=i;return}ai[f[(f[j>>2]|0)+4>>2]&2047](j);k=f[b>>2]|0;l=f[c>>2]|0;m=l+1|0;f[c>>2]=m;n=k+4+(l<<2)|0;f[n>>2]=i;return}else{if((e|0)<(h|0)){f[d+4+(h<<2)>>2]=f[d+4+(e<<2)>>2];e=f[b>>2]|0;o=e;p=f[e>>2]|0}else{o=d;p=h}f[o>>2]=p+1;k=o;l=f[c>>2]|0;m=l+1|0;f[c>>2]=m;n=k+4+(l<<2)|0;f[n>>2]=i;return}}uDb(a,g+1|0);g=f[b>>2]|0;f[g>>2]=(f[g>>2]|0)+1;k=g;l=f[c>>2]|0;m=l+1|0;f[c>>2]=m;n=k+4+(l<<2)|0;f[n>>2]=i;return}function eNa(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function fNa(a,b){a=a|0;b=b|0;gNa(b,a);return}function gNa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=b+16|0;d=f[c>>2]|0;if(!d)return;if(!(d&1))e=d;else{d=a+4|0;g=a+12|0;if((f[d>>2]|0)==535416)PDa(d,f[g>>2]|0,535416);h=ci[f[(f[b>>2]|0)+100>>2]&1023](b)|0;i=f[d>>2]|0;if((i|0)==535416)PDa(d,f[g>>2]|0,h);else Qmc(i,h)|0;h=a+16|0;f[h>>2]=f[h>>2]|1;e=f[c>>2]|0}if(!(e&2))return;e=a+8|0;c=f[a+12>>2]|0;if(!(f[e>>2]|0)){if(!c){h=Bmc(24)|0;kKa(h);j=h}else{if(f[c+64>>2]|0)pBb(c,18968,24);h=nBb(c,24)|0;lKa(h,c);j=h}f[e>>2]=j}j=ci[f[(f[b>>2]|0)+104>>2]&1023](b)|0;VJa(f[e>>2]|0,j);j=a+16|0;f[j>>2]=f[j>>2]|2;return}function hNa(a){a=a|0;var c=0,d=0,e=0;f[a>>2]=114168;c=a+20|0;d=f[c>>2]|0;if(d&1|0?(e=d&-2,d=e,!((e|0)==0|(f[d+4>>2]|0)!=0)):0){if(f[d>>2]|0)L3b(d);Emc(e)}f[c>>2]=0;f[a>>2]=114284;if(f[a+12>>2]|0)return;c=f[a+4>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+8>>2]|0;if(!c)return;ai[f[(f[c>>2]|0)+4>>2]&2047](c);return}function iNa(a){a=a|0;hNa(a);Emc(a);return}function jNa(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;return}function kNa(a){a=a|0;a=Bmc(24)|0;f[a+12>>2]=0;f[a+4>>2]=535416;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a>>2]=114052;return a|0}function lNa(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){a=Bmc(24)|0;f[a+12>>2]=0;f[a+4>>2]=535416;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;c=a;f[c>>2]=114052;return c|0}if(f[b+64>>2]|0)pBb(b,19128,24);a=nBb(b,24)|0;d=b;f[a+12>>2]=d;f[a+4>>2]=535416;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=d;c=a;f[c>>2]=114052;return c|0}function mNa(a){a=a|0;return f[a+12>>2]|0}function nNa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=f[a+4>>2]|0;do if((c|0)!=535416){d=c+11|0;if((b[d>>0]|0)<0){b[f[c>>2]>>0]=0;f[c+4>>2]=0;break}else{b[c>>0]=0;b[d>>0]=0;break}}while(0);c=f[a+8>>2]|0;if(!c){e=a+16|0;g=f[e>>2]|0;h=g&-4;f[e>>2]=h;return}ai[f[(f[c>>2]|0)+28>>2]&2047](c);e=a+16|0;g=f[e>>2]|0;h=g&-4;f[e>>2]=h;return}function oNa(a){a=a|0;var b=0;b=f[a+8>>2]|0;return ci[f[(f[b>>2]|0)+32>>2]&1023](b)|0}function pNa(a,b){a=a|0;b=b|0;gNa(a,b);return}function qNa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+16|0;i=a+4|0;j=a+12|0;k=a+8|0;a=e+4|0;l=c+32|0;m=c+12|0;n=c+28|0;a:while(1){o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0){p=b[o>>0]|0;q=p&255;if(p<<24>>24>-1){f[c>>2]=o+1;r=q}else{s=q;t=5}}else{s=0;t=5}if((t|0)==5){t=0;r=xCb(c,s)|0}switch(r|0){case 0:{v=1;t=35;break a;break}case 10:{f[h>>2]=f[h>>2]|1;q=f[i>>2]|0;if((q|0)==535416){PDa(i,f[j>>2]|0,535416);w=f[i>>2]|0}else w=q;if(!(HEb(c,w)|0)){v=0;t=35;break a}q=f[h>>2]|1;f[h>>2]=q;o=f[c>>2]|0;if(o>>>0>=(f[g>>2]|0)>>>0)continue a;if((b[o>>0]|0)!=18)continue a;f[c>>2]=o+1;x=q;break}case 18:{x=f[h>>2]|0;break}default:{if((r&7|0)==4){v=1;t=35;break a}if(iEb(c,r)|0)continue a;else{v=0;t=35;break a}}}f[h>>2]=x|2;q=f[j>>2]|0;o=f[k>>2]|0;if(!o){if(!q){p=Bmc(24)|0;kKa(p);y=p}else{if(f[q+64>>2]|0)pBb(q,18968,24);p=nBb(q,24)|0;lKa(p,q);y=p}f[k>>2]=y;z=y}else z=o;o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0?(p=b[o>>0]|0,p<<24>>24>-1):0){f[c>>2]=o+1;A=p&255}else{p=wCb(c)|0;if((p|0)>-1)A=p;else{v=0;t=35;break}}hCb(e,c,A);if((f[a>>2]|0)<0){t=27;break}if(!(_Ka(z,c)|0)){t=27;break}if(!(mCb(c,f[e>>2]|0)|0)){v=0;t=35;break}f[h>>2]=f[h>>2]|2;if((f[c>>2]|0)!=(f[g>>2]|0))continue;if(f[l>>2]|0){t=32;break}if((f[m>>2]|0)==(f[n>>2]|0)){t=32;break}}if((t|0)==27){v=0;u=d;return v|0}else if((t|0)==32){f[c+20>>2]=0;b[c+24>>0]=1;v=1;u=d;return v|0}else if((t|0)==35){u=d;return v|0}return 0}function rNa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+16|0;d=f[c>>2]|0;if(!(d&1)){e=d;g=0}else{d=ci[f[(f[a>>2]|0)+100>>2]&1023](a)|0;h=b[d+11>>0]|0;i=h<<24>>24<0?f[d+4>>2]|0:h&255;h=i+1+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=f[c>>2]|0;g=h}if(!(e&2)){j=0;k=j+g|0;return k|0}e=ZKa(ci[f[(f[a>>2]|0)+104>>2]&1023](a)|0)|0;j=e+1+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0;k=j+g|0;return k|0}function sNa(a,b){a=a|0;b=b|0;AEb(1,ci[f[(f[a>>2]|0)+100>>2]&1023](a)|0,b);GEb(2,ci[f[(f[a>>2]|0)+104>>2]&1023](a)|0,b);return}function tNa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+16|0;d=f[c>>2]|0;if(!(d&1)){e=d;g=0}else{d=ci[f[(f[a>>2]|0)+100>>2]&1023](a)|0;h=b[d+11>>0]|0;i=h<<24>>24<0?f[d+4>>2]|0:h&255;h=i+1+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=f[c>>2]|0;g=h}if(!(e&2)){j=0;k=j+g|0;return k|0}e=ci[f[(f[a>>2]|0)+104>>2]&1023](a)|0;a=ci[f[(f[e>>2]|0)+60>>2]&1023](e)|0;j=a+1+((((($(a|1|0)|0)^31)*9|0)+73|0)>>>6)|0;k=j+g|0;return k|0}function uNa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=ci[f[(f[a>>2]|0)+100>>2]&1023](a)|0;b[d>>0]=10;g=GCb(e,d+1|0)|0;d=ci[f[(f[a>>2]|0)+104>>2]&1023](a)|0;b[g>>0]=18;a=g+1|0;g=ci[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(g>>>0>127){e=g;h=a;while(1){b[h>>0]=e|128;i=e>>>7;j=h+1|0;if(e>>>0>16383){e=i;h=j}else{k=j;l=i;break}}}else{k=a;l=g}b[k>>0]=l;return ki[f[(f[d>>2]|0)+64>>2]&511](d,c,k+1|0)|0}function vNa(a,b){a=a|0;b=b|0;I_b(a,b);return}function wNa(a){a=a|0;var b=0;b=f[a+8>>2]|0;return (ci[f[(f[b>>2]|0)+84>>2]&1023](b)|0)+28|0}function xNa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222689]|0)!=2){f[d>>2]=149752;f[d+4>>2]=18;b[d+8>>0]=0;dEb(890756,d);zDb(d)}d=529272;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function yNa(a){a=a|0;return f[a+4>>2]|0}function zNa(a){a=a|0;var b=0;b=f[a+8>>2]|0;return (b|0?b:f[132272]|0)|0}function ANa(a){a=a|0;var c=0;f[a>>2]=114284;if(f[a+12>>2]|0)return;c=f[a+4>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+8>>2]|0;if(!c)return;ai[f[(f[c>>2]|0)+4>>2]&2047](c);return}function BNa(a){a=a|0;var c=0;f[a>>2]=114284;if(f[a+12>>2]|0){Emc(a);return}c=f[a+4>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+8>>2]|0;if(!c){Emc(a);return}ai[f[(f[c>>2]|0)+4>>2]&2047](c);Emc(a);return}function CNa(a){a=a|0;hNa(a);Emc(a);return}function DNa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;f[a>>2]=113860;c=f[a+92>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=a+56|0;f[c>>2]=113968;RCa(a+80|0);aZb(c);c=a+52|0;d=f[c>>2]|0;if(d|0?(f[a+40>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0){if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);Emc(h)}g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;Emc(i)}f[c>>2]=0;c=a+36|0;i=f[c>>2]|0;if(i|0?(f[a+24>>2]|0)==0:0){d=f[i>>2]|0;if((d|0)>0){e=0;do{g=f[i+4+(e<<2)>>2]|0;if(g|0){if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);Emc(g)}e=e+1|0}while((e|0)!=(d|0));j=f[c>>2]|0}else j=i;Emc(j)}f[c>>2]=0;c=a+20|0;j=f[c>>2]|0;if(j|0?(f[a+8>>2]|0)==0:0){i=f[j>>2]|0;if((i|0)>0){d=0;do{e=f[j+4+(d<<2)>>2]|0;if(e|0){if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);Emc(e)}d=d+1|0}while((d|0)!=(i|0));k=f[c>>2]|0}else k=j;Emc(k)}f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}k=a&-2;a=k;if((k|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(k);f[c>>2]=0;return}function ENa(a){a=a|0;DNa(a);Emc(a);return}function FNa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function GNa(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(100)|0;PMa(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,19096,104);a=nBb(b,104)|0;RMa(a,b);c=a;return c|0}function HNa(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function INa(a){a=a|0;return f[a+4>>2]|0}function JNa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+48|0;d=c+24|0;e=c+12|0;g=c;h=a+12|0;i=f[h>>2]|0;if((i|0)>0){j=f[a+20>>2]|0;k=0;do{l=f[j+4+(k<<2)>>2]|0;k=k+1|0;m=l+11|0;if((b[m>>0]|0)<0){b[f[l>>2]>>0]=0;f[l+4>>2]=0}else{b[l>>0]=0;b[m>>0]=0}}while((k|0)!=(i|0));f[h>>2]=0}h=a+28|0;i=f[h>>2]|0;if((i|0)>0){k=f[a+36>>2]|0;j=0;do{m=f[k+4+(j<<2)>>2]|0;j=j+1|0;l=m+11|0;if((b[l>>0]|0)<0){b[f[m>>2]>>0]=0;f[m+4>>2]=0}else{b[m>>0]=0;b[l>>0]=0}}while((j|0)!=(i|0));f[h>>2]=0}h=a+44|0;i=f[h>>2]|0;if((i|0)>0){j=f[a+52>>2]|0;k=0;do{l=f[j+4+(k<<2)>>2]|0;k=k+1|0;m=l+11|0;if((b[m>>0]|0)<0){b[f[l>>2]>>0]=0;f[l+4>>2]=0}else{b[l>>0]=0;b[m>>0]=0}}while((k|0)!=(i|0));f[h>>2]=0}h=a+56|0;v_b(h);i=a+80|0;k=f[a+88>>2]|0;j=f[k+12>>2]|0;m=f[k+4>>2]|0;a:do if(m>>>0>j>>>0){l=f[k+16>>2]|0;n=j;while(1){o=f[l+(n<<2)>>2]|0;if(o|0)break;p=n+1|0;if(p>>>0<m>>>0)n=p;else{q=0;r=p;break a}}if((o|0)==(f[l+((n^1)<<2)>>2]|0)){q=f[(f[o>>2]|0)+16>>2]|0;r=n;break}else{q=o;r=n;break}}else{q=0;r=j}while(0);f[g>>2]=q;f[g+4>>2]=k;f[g+8>>2]=r;if(q|0)do{f[d>>2]=f[g>>2];f[d+4>>2]=f[g+4>>2];f[d+8>>2]=f[g+8>>2];lDa(e,i,d);f[g>>2]=f[e>>2];f[g+4>>2]=f[e+4>>2];f[g+8>>2]=f[e+8>>2]}while((f[g>>2]|0)!=0);u_b(h);h=a+4|0;g=f[a+92>>2]|0;do if((g|0)!=535416){a=g+11|0;if((b[a>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[a>>0]=0;break}}while(0);g=f[h>>2]|0;if(!(g&1)){u=c;return}h=g&-2;if(!(f[h>>2]|0)){u=c;return}L3b(h);u=c;return}function KNa(a){a=a|0;return 1}function LNa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=u;u=u+48|0;e=d+32|0;g=d;h=c+4|0;i=a+8|0;j=a+12|0;k=a+20|0;l=a+92|0;m=a+4|0;n=a+92|0;o=a+24|0;p=a+28|0;q=a+36|0;r=a+40|0;s=a+44|0;t=a+52|0;v=a+56|0;a=g+4|0;w=g+8|0;x=g+24|0;y=e+4|0;z=w+11|0;A=g+12|0;a:while(1){B=f[c>>2]|0;if(B>>>0<(f[h>>2]|0)>>>0){C=b[B>>0]|0;D=C&255;if(C<<24>>24>0){f[c>>2]=B+1;E=D;F=6}else{G=D;F=5}}else{G=0;F=5}if((F|0)==5){F=0;D=xCb(c,G)|0;if((D+-1|0)>>>0<127){E=D;F=6}else H=D}b:do if((F|0)==6){F=0;switch(E>>>3&536870911|0){case 1:{if((E&255|0)!=10){H=E;break b}if(!(HEb(c,dFa(i)|0)|0)){I=0;F=57;break a}D=f[(f[k>>2]|0)+4+((f[j>>2]|0)+-1<<2)>>2]|0;B=b[D+11>>0]|0;if(B<<24>>24<0){J=f[D>>2]|0;K=f[D+4>>2]|0}else{J=D;K=B&255}if(IEb(J,K,0,415152)|0)continue a;else{I=0;F=57;break a}break}case 2:{if((E&255|0)!=18){H=E;break b}B=f[m>>2]|0;D=B&-2;if(!(B&1))L=D;else L=f[D+4>>2]|0;D=f[l>>2]|0;if((D|0)==535416){PDa(l,L,535416);M=f[l>>2]|0}else M=D;if(!(HEb(c,M)|0)){I=0;F=57;break a}D=f[n>>2]|0;B=b[D+11>>0]|0;if(B<<24>>24<0){N=f[D>>2]|0;O=f[D+4>>2]|0}else{N=D;O=B&255}if(IEb(N,O,0,415191)|0)continue a;else{I=0;F=57;break a}break}case 3:{if((E&255|0)!=26){H=E;break b}if(!(HEb(c,dFa(o)|0)|0)){I=0;F=57;break a}B=f[(f[q>>2]|0)+4+((f[p>>2]|0)+-1<<2)>>2]|0;D=b[B+11>>0]|0;if(D<<24>>24<0){P=f[B>>2]|0;Q=f[B+4>>2]|0}else{P=B;Q=D&255}if(IEb(P,Q,0,415229)|0)continue a;else{I=0;F=57;break a}break}case 4:{if((E&255|0)!=34){H=E;break b}if(!(HEb(c,dFa(r)|0)|0)){I=0;F=57;break a}D=f[(f[t>>2]|0)+4+((f[s>>2]|0)+-1<<2)>>2]|0;B=b[D+11>>0]|0;if(B<<24>>24<0){R=f[D>>2]|0;S=f[D+4>>2]|0}else{R=D;S=B&255}if(IEb(R,S,0,415268)|0)continue a;else{I=0;F=57;break a}break}case 5:{if((E&255|0)!=42){H=E;break b}f[g>>2]=v;B=ci[f[(f[v>>2]|0)+68>>2]&1023](v)|0;f[a>>2]=B;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[x>>2]=0;B=f[c>>2]|0;if(B>>>0<(f[h>>2]|0)>>>0?(D=b[B>>0]|0,D<<24>>24>-1):0){f[c>>2]=B+1;T=D&255;F=41}else{D=wCb(c)|0;if((D|0)>-1){T=D;F=41}else U=6}do if((F|0)==41){F=0;hCb(e,c,T);if((f[y>>2]|0)>=0?ZNa(g,c)|0:0){if(!(mCb(c,f[e>>2]|0)|0)){U=6;break}D=b[z>>0]|0;B=D<<24>>24<0;C=IEb(B?f[w>>2]|0:w,B?f[A>>2]|0:D&255,0,415307)|0;U=C?0:6;break}U=6}while(0);C=f[x>>2]|0;if(C|0)ai[f[(f[C>>2]|0)+4>>2]&2047](C);if((b[z>>0]|0)<0)Emc(f[w>>2]|0);switch(U&7){case 0:{continue a;break}case 6:{I=0;F=57;break a;break}default:{F=56;break a}}break}default:{H=E;break b}}}while(0);if(!H){F=56;break}C=f[m>>2]|0;if(!(C&1))V=AHa(m)|0;else V=C&-2;if(!(b4b(c,H,V)|0)){I=0;F=57;break}}if((F|0)==56){I=1;u=d;return I|0}else if((F|0)==57){u=d;return I|0}return 0}function MNa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;c=u;u=u+16|0;d=c;e=f[a+4>>2]|0;if((e&1|0)!=0&(b[481264]|0)!=0)g=h4b(e&-2)|0;else g=0;e=f[a+12>>2]|0;h=e+g|0;if((e|0)>0){g=f[a+20>>2]|0;i=0;j=h;while(1){k=f[g+4+(i<<2)>>2]|0;l=b[k+11>>0]|0;m=l<<24>>24<0?f[k+4>>2]|0:l&255;l=m+j+((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)|0;i=i+1|0;if((i|0)==(e|0)){n=l;break}else j=l}}else n=h;h=f[a+28>>2]|0;j=h+n|0;if((h|0)>0){n=f[a+36>>2]|0;e=0;i=j;while(1){g=f[n+4+(e<<2)>>2]|0;l=b[g+11>>0]|0;m=l<<24>>24<0?f[g+4>>2]|0:l&255;l=m+i+((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=e+1|0;if((e|0)==(h|0)){o=l;break}else i=l}}else o=j;j=f[a+44>>2]|0;i=j+o|0;if((j|0)>0){o=f[a+52>>2]|0;h=0;e=i;while(1){n=f[o+4+(h<<2)>>2]|0;l=b[n+11>>0]|0;m=l<<24>>24<0?f[n+4>>2]|0:l&255;l=m+e+((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(j|0)){p=l;break}else e=l}}else p=i;i=a+56|0;v_b(i);e=a+88|0;j=f[f[e>>2]>>2]|0;v_b(i);h=j+p|0;p=f[e>>2]|0;e=f[p+12>>2]|0;j=f[p+4>>2]|0;a:do if(j>>>0>e>>>0){o=f[p+16>>2]|0;l=e;while(1){q=f[o+(l<<2)>>2]|0;if(q|0)break;m=l+1|0;if(m>>>0<j>>>0)l=m;else{r=0;s=m;break a}}if((q|0)==(f[o+((l^1)<<2)>>2]|0)){r=f[(f[q>>2]|0)+16>>2]|0;s=l;break}else{r=q;s=l;break}}else{r=0;s=e}while(0);f[d>>2]=r;f[d+4>>2]=p;f[d+8>>2]=s;s=a+76|0;p=h;h=0;while(1){v_b(i);r=f[d>>2]|0;if(!r)break;if(!h){t=0;v=r}else{r=(ci[f[(f[h>>2]|0)+20>>2]&1023](h)|0)==0;t=r?h:0;v=f[d>>2]|0}r=f[v+12>>2]|0;e=r+16|0;q=f[s>>2]|0;if(!q){j=Bmc(32)|0;f[j+12>>2]=0;f[j+4>>2]=535416;f[j+8>>2]=0;f[j+20>>2]=0;w=j}else{if(f[q+64>>2]|0)pBb(q,19176,32);j=nBb(q,32)|0;m=q;f[j+12>>2]=m;f[j+4>>2]=535416;f[j+8>>2]=0;f[j+20>>2]=m;w=j}f[w>>2]=114400;f[w+24>>2]=r;f[w+28>>2]=e;f[w+16>>2]=3;if((t|0)!=(w|0))if(!t)x=w;else{ai[f[(f[t>>2]|0)+4>>2]&2047](t);x=w}else x=t;e=x+16|0;r=f[e>>2]|0;if(!(r&1)){y=r;z=0}else{r=ci[f[(f[x>>2]|0)+100>>2]&1023](x)|0;j=b[r+11>>0]|0;m=j<<24>>24<0?f[r+4>>2]|0:j&255;j=m+1+((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)|0;y=f[e>>2]|0;z=j}if(!(y&2))A=0;else{j=ZKa(ci[f[(f[x>>2]|0)+104>>2]&1023](x)|0)|0;A=j+1+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0}j=A+z|0;e=j+p+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;hDa(d)|0;p=e;h=x}if(h|0?(ci[f[(f[h>>2]|0)+20>>2]&1023](h)|0)==0:0)ai[f[(f[h>>2]|0)+4>>2]&2047](h);h=f[a+92>>2]|0;x=b[h+11>>0]|0;d=x<<24>>24<0;if(d)B=f[h+4>>2]|0;else B=x&255;if(!B){C=p;D=a+96|0;f[D>>2]=C;u=c;return C|0}B=d?f[h+4>>2]|0:x&255;C=p+1+B+((((($(B|1|0)|0)^31)*9|0)+73|0)>>>6)|0;D=a+96|0;f[D>>2]=C;u=c;return C|0}function NNa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;d=u;u=u+16|0;e=d;g=f[a+12>>2]|0;if((g|0)>0){h=a+20|0;i=0;do{j=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;k=b[j+11>>0]|0;if(k<<24>>24<0){l=f[j>>2]|0;m=f[j+4>>2]|0}else{l=j;m=k&255}IEb(l,m,1,415152)|0;AEb(1,f[(f[h>>2]|0)+4+(i<<2)>>2]|0,c);i=i+1|0}while((i|0)!=(g|0))}g=a+92|0;i=f[g>>2]|0;h=b[i+11>>0]|0;m=h<<24>>24<0;if(m)n=f[i+4>>2]|0;else n=h&255;if(n|0){if(m){o=f[i>>2]|0;p=f[i+4>>2]|0}else{o=i;p=h&255}IEb(o,p,1,415191)|0;BEb(2,f[g>>2]|0,c)}g=f[a+28>>2]|0;if((g|0)>0){p=a+36|0;o=0;do{h=f[(f[p>>2]|0)+4+(o<<2)>>2]|0;i=b[h+11>>0]|0;if(i<<24>>24<0){q=f[h>>2]|0;r=f[h+4>>2]|0}else{q=h;r=i&255}IEb(q,r,1,415229)|0;AEb(3,f[(f[p>>2]|0)+4+(o<<2)>>2]|0,c);o=o+1|0}while((o|0)!=(g|0))}g=f[a+44>>2]|0;if((g|0)>0){o=a+52|0;p=0;do{r=f[(f[o>>2]|0)+4+(p<<2)>>2]|0;q=b[r+11>>0]|0;if(q<<24>>24<0){s=f[r>>2]|0;t=f[r+4>>2]|0}else{s=r;t=q&255}IEb(s,t,1,415268)|0;AEb(4,f[(f[o>>2]|0)+4+(p<<2)>>2]|0,c);p=p+1|0}while((p|0)!=(g|0))}g=a+56|0;v_b(g);p=a+88|0;do if(f[f[p>>2]>>2]|0){if(!(b[c+18>>0]|0)){if(f[222909]|0)v=31}else if(b[c+19>>0]|0)v=31;if((v|0)==31?(v_b(g),(f[f[p>>2]>>2]|0)>>>0>1):0){v_b(g);o=f[f[p>>2]>>2]|0;t=Dmc(o>>>0>1073741823?-1:o<<2)|0;v_b(g);o=f[p>>2]|0;s=f[o+12>>2]|0;q=f[o+4>>2]|0;a:do if(q>>>0>s>>>0){r=f[o+16>>2]|0;i=s;while(1){w=f[r+(i<<2)>>2]|0;if(w|0)break;h=i+1|0;if(h>>>0<q>>>0)i=h;else{x=0;y=h;break a}}if((w|0)==(f[r+((i^1)<<2)>>2]|0)){x=f[(f[w>>2]|0)+16>>2]|0;y=i;break}else{x=w;y=i;break}}else{x=0;y=s}while(0);f[e>>2]=x;f[e+4>>2]=o;f[e+8>>2]=y;s=0;while(1){v_b(g);q=f[e>>2]|0;if(!q)break;f[t+(s<<2)>>2]=f[q+12>>2];hDa(e)|0;s=s+1|0}EHa(t,t+(s<<2)|0,e);if(s|0){o=a+76|0;q=0;h=0;do{m=t+(q<<2)|0;n=f[m>>2]|0;l=n+16|0;k=f[o>>2]|0;if(!k){j=Bmc(32)|0;f[j+12>>2]=0;f[j+4>>2]=535416;f[j+8>>2]=0;f[j+20>>2]=0;z=j}else{if(f[k+64>>2]|0)pBb(k,19176,32);j=nBb(k,32)|0;A=k;f[j+12>>2]=A;f[j+4>>2]=535416;f[j+8>>2]=0;f[j+20>>2]=A;z=j}f[z>>2]=114400;f[z+24>>2]=n;f[z+28>>2]=l;f[z+16>>2]=3;if((h|0)!=(z|0))if(!h)B=z;else{ai[f[(f[h>>2]|0)+4>>2]&2047](h);B=z}else B=h;GEb(5,B,c);l=(ci[f[(f[B>>2]|0)+20>>2]&1023](B)|0)==0;h=l?B:0;l=f[m>>2]|0;m=b[l+11>>0]|0;if(m<<24>>24<0){C=f[l>>2]|0;D=f[l+4>>2]|0}else{C=l;D=m&255}IEb(C,D,1,415307)|0;q=q+1|0}while(q>>>0<s>>>0);if(h|0)ai[f[(f[h>>2]|0)+4>>2]&2047](h)}Fmc(t);break}v_b(g);s=f[p>>2]|0;q=f[s+12>>2]|0;o=f[s+4>>2]|0;b:do if(o>>>0>q>>>0){m=f[s+16>>2]|0;l=q;while(1){E=f[m+(l<<2)>>2]|0;if(E|0)break;n=l+1|0;if(n>>>0<o>>>0)l=n;else{F=0;G=n;break b}}if((E|0)==(f[m+((l^1)<<2)>>2]|0)){F=f[(f[E>>2]|0)+16>>2]|0;G=l;break}else{F=E;G=l;break}}else{F=0;G=q}while(0);f[e>>2]=F;f[e+4>>2]=s;f[e+8>>2]=G;q=a+76|0;o=0;while(1){v_b(g);t=f[e>>2]|0;if(!t)break;h=f[t+12>>2]|0;t=h+16|0;i=f[q>>2]|0;if(!i){r=Bmc(32)|0;f[r+12>>2]=0;f[r+4>>2]=535416;f[r+8>>2]=0;f[r+20>>2]=0;H=r}else{if(f[i+64>>2]|0)pBb(i,19176,32);r=nBb(i,32)|0;n=i;f[r+12>>2]=n;f[r+4>>2]=535416;f[r+8>>2]=0;f[r+20>>2]=n;H=r}f[H>>2]=114400;f[H+24>>2]=h;f[H+28>>2]=t;f[H+16>>2]=3;if((o|0)!=(H|0))if(!o)I=H;else{ai[f[(f[o>>2]|0)+4>>2]&2047](o);I=H}else I=o;GEb(5,I,c);t=(ci[f[(f[I>>2]|0)+20>>2]&1023](I)|0)==0;h=f[(f[e>>2]|0)+12>>2]|0;r=b[h+11>>0]|0;if(r<<24>>24<0){J=f[h>>2]|0;K=f[h+4>>2]|0}else{J=h;K=r&255}IEb(J,K,1,415307)|0;hDa(e)|0;o=t?I:0}if(o|0)ai[f[(f[o>>2]|0)+4>>2]&2047](o)}while(0);I=f[a+4>>2]|0;if(!((I&1|0)!=0&(b[481264]|0)!=0)){u=d;return}e4b(I&-2,c);u=d;return}function ONa(a){a=a|0;return f[a+96>>2]|0}function PNa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0;e=u;u=u+16|0;g=e;h=f[a+12>>2]|0;if((h|0)>0){i=a+20|0;j=d;k=0;while(1){l=f[(f[i>>2]|0)+4+(k<<2)>>2]|0;m=b[l+11>>0]|0;if(m<<24>>24<0){n=f[l>>2]|0;o=f[l+4>>2]|0}else{n=l;o=m&255}IEb(n,o,1,415152)|0;m=f[(f[i>>2]|0)+4+(k<<2)>>2]|0;b[j>>0]=10;l=GCb(m,j+1|0)|0;k=k+1|0;if((k|0)==(h|0)){p=l;break}else j=l}}else p=d;d=a+92|0;j=f[d>>2]|0;h=b[j+11>>0]|0;k=h<<24>>24<0;if(k)q=f[j+4>>2]|0;else q=h&255;if(!q)r=p;else{if(k){s=f[j>>2]|0;t=f[j+4>>2]|0}else{s=j;t=h&255}IEb(s,t,1,415191)|0;t=f[d>>2]|0;b[p>>0]=18;r=GCb(t,p+1|0)|0}p=f[a+28>>2]|0;if((p|0)>0){t=a+36|0;d=0;s=r;while(1){h=f[(f[t>>2]|0)+4+(d<<2)>>2]|0;j=b[h+11>>0]|0;if(j<<24>>24<0){v=f[h>>2]|0;w=f[h+4>>2]|0}else{v=h;w=j&255}IEb(v,w,1,415229)|0;j=f[(f[t>>2]|0)+4+(d<<2)>>2]|0;b[s>>0]=26;h=GCb(j,s+1|0)|0;d=d+1|0;if((d|0)==(p|0)){x=h;break}else s=h}}else x=r;r=f[a+44>>2]|0;if((r|0)>0){s=a+52|0;p=0;d=x;while(1){t=f[(f[s>>2]|0)+4+(p<<2)>>2]|0;w=b[t+11>>0]|0;if(w<<24>>24<0){y=f[t>>2]|0;z=f[t+4>>2]|0}else{y=t;z=w&255}IEb(y,z,1,415268)|0;w=f[(f[s>>2]|0)+4+(p<<2)>>2]|0;b[d>>0]=34;t=GCb(w,d+1|0)|0;p=p+1|0;if((p|0)==(r|0)){A=t;break}else d=t}}else A=x;x=a+56|0;v_b(x);d=a+88|0;do if(f[f[d>>2]>>2]|0){if(c?(v_b(x),(f[f[d>>2]>>2]|0)>>>0>1):0){v_b(x);r=f[f[d>>2]>>2]|0;p=Dmc(r>>>0>1073741823?-1:r<<2)|0;v_b(x);r=f[d>>2]|0;s=f[r+12>>2]|0;z=f[r+4>>2]|0;a:do if(z>>>0>s>>>0){y=f[r+16>>2]|0;t=s;while(1){B=f[y+(t<<2)>>2]|0;if(B|0)break;w=t+1|0;if(w>>>0<z>>>0)t=w;else{C=0;D=w;break a}}if((B|0)==(f[y+((t^1)<<2)>>2]|0)){C=f[(f[B>>2]|0)+16>>2]|0;D=t;break}else{C=B;D=t;break}}else{C=0;D=s}while(0);f[g>>2]=C;f[g+4>>2]=r;f[g+8>>2]=D;s=0;while(1){v_b(x);z=f[g>>2]|0;if(!z)break;f[p+(s<<2)>>2]=f[z+12>>2];hDa(g)|0;s=s+1|0}EHa(p,p+(s<<2)|0,g);if(s){r=a+76|0;z=0;w=A;v=0;do{h=p+(z<<2)|0;j=f[h>>2]|0;k=j+16|0;q=f[r>>2]|0;if(!q){i=Bmc(32)|0;f[i+12>>2]=0;f[i+4>>2]=535416;f[i+8>>2]=0;f[i+20>>2]=0;E=i}else{if(f[q+64>>2]|0)pBb(q,19176,32);i=nBb(q,32)|0;o=q;f[i+12>>2]=o;f[i+4>>2]=535416;f[i+8>>2]=0;f[i+20>>2]=o;E=i}f[E>>2]=114400;f[E+24>>2]=j;f[E+28>>2]=k;f[E+16>>2]=3;if((v|0)!=(E|0))if(!v)F=E;else{ai[f[(f[v>>2]|0)+4>>2]&2047](v);F=E}else F=v;b[w>>0]=42;k=w+1|0;j=F+16|0;i=f[j>>2]|0;if(!(i&1)){G=i;H=0}else{i=ci[f[(f[F>>2]|0)+100>>2]&1023](F)|0;o=b[i+11>>0]|0;q=o<<24>>24<0?f[i+4>>2]|0:o&255;o=q+1+((((($(q|1|0)|0)^31)*9|0)+73|0)>>>6)|0;G=f[j>>2]|0;H=o}if(!(G&2))I=0;else{o=ci[f[(f[F>>2]|0)+104>>2]&1023](F)|0;j=ci[f[(f[o>>2]|0)+60>>2]&1023](o)|0;I=j+1+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0}j=I+H|0;if(j>>>0>127){o=j;q=k;while(1){b[q>>0]=o|128;i=o>>>7;n=q+1|0;if(o>>>0>16383){o=i;q=n}else{J=n;K=i;break}}}else{J=k;K=j}b[J>>0]=K;q=ci[f[(f[F>>2]|0)+100>>2]&1023](F)|0;b[J+1>>0]=10;o=GCb(q,J+2|0)|0;q=ci[f[(f[F>>2]|0)+104>>2]&1023](F)|0;b[o>>0]=18;t=o+1|0;o=ci[f[(f[q>>2]|0)+60>>2]&1023](q)|0;if(o>>>0>127){y=o;i=t;while(1){b[i>>0]=y|128;n=y>>>7;l=i+1|0;if(y>>>0>16383){y=n;i=l}else{L=l;M=n;break}}}else{L=t;M=o}b[L>>0]=M;w=ki[f[(f[q>>2]|0)+64>>2]&511](q,1,L+1|0)|0;i=(ci[f[(f[F>>2]|0)+20>>2]&1023](F)|0)==0;v=i?F:0;i=f[h>>2]|0;y=b[i+11>>0]|0;if(y<<24>>24<0){N=f[i>>2]|0;O=f[i+4>>2]|0}else{N=i;O=y&255}IEb(N,O,1,415307)|0;z=z+1|0}while(z>>>0<s>>>0);if(!v)P=w;else{ai[f[(f[v>>2]|0)+4>>2]&2047](v);P=w}}else P=A;Fmc(p);Q=P;break}v_b(x);s=f[d>>2]|0;z=f[s+12>>2]|0;r=f[s+4>>2]|0;b:do if(r>>>0>z>>>0){y=f[s+16>>2]|0;i=z;while(1){R=f[y+(i<<2)>>2]|0;if(R|0)break;j=i+1|0;if(j>>>0<r>>>0)i=j;else{S=0;T=j;break b}}if((R|0)==(f[y+((i^1)<<2)>>2]|0)){S=f[(f[R>>2]|0)+16>>2]|0;T=i;break}else{S=R;T=i;break}}else{S=0;T=z}while(0);f[g>>2]=S;f[g+4>>2]=s;f[g+8>>2]=T;z=a+76|0;r=A;p=0;while(1){v_b(x);w=f[g>>2]|0;if(!w)break;v=f[w+12>>2]|0;w=v+16|0;h=f[z>>2]|0;if(!h){q=Bmc(32)|0;f[q+12>>2]=0;f[q+4>>2]=535416;f[q+8>>2]=0;f[q+20>>2]=0;U=q}else{if(f[h+64>>2]|0)pBb(h,19176,32);q=nBb(h,32)|0;o=h;f[q+12>>2]=o;f[q+4>>2]=535416;f[q+8>>2]=0;f[q+20>>2]=o;U=q}f[U>>2]=114400;f[U+24>>2]=v;f[U+28>>2]=w;f[U+16>>2]=3;if((p|0)!=(U|0))if(!p)V=U;else{ai[f[(f[p>>2]|0)+4>>2]&2047](p);V=U}else V=p;b[r>>0]=42;w=r+1|0;v=V+16|0;q=f[v>>2]|0;if(!(q&1)){W=q;X=0}else{q=ci[f[(f[V>>2]|0)+100>>2]&1023](V)|0;o=b[q+11>>0]|0;h=o<<24>>24<0?f[q+4>>2]|0:o&255;o=h+1+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0;W=f[v>>2]|0;X=o}if(!(W&2))Y=0;else{o=ci[f[(f[V>>2]|0)+104>>2]&1023](V)|0;v=ci[f[(f[o>>2]|0)+60>>2]&1023](o)|0;Y=v+1+((((($(v|1|0)|0)^31)*9|0)+73|0)>>>6)|0}v=Y+X|0;if(v>>>0>127){o=v;h=w;while(1){b[h>>0]=o|128;q=o>>>7;t=h+1|0;if(o>>>0>16383){o=q;h=t}else{Z=t;_=q;break}}}else{Z=w;_=v}b[Z>>0]=_;h=ci[f[(f[V>>2]|0)+100>>2]&1023](V)|0;b[Z+1>>0]=10;o=GCb(h,Z+2|0)|0;h=ci[f[(f[V>>2]|0)+104>>2]&1023](V)|0;b[o>>0]=18;i=o+1|0;o=ci[f[(f[h>>2]|0)+60>>2]&1023](h)|0;if(o>>>0>127){y=o;q=i;while(1){b[q>>0]=y|128;t=y>>>7;j=q+1|0;if(y>>>0>16383){y=t;q=j}else{aa=j;ba=t;break}}}else{aa=i;ba=o}b[aa>>0]=ba;q=ki[f[(f[h>>2]|0)+64>>2]&511](h,c,aa+1|0)|0;y=(ci[f[(f[V>>2]|0)+20>>2]&1023](V)|0)==0;v=f[(f[g>>2]|0)+12>>2]|0;w=b[v+11>>0]|0;if(w<<24>>24<0){ca=f[v>>2]|0;da=f[v+4>>2]|0}else{ca=v;da=w&255}IEb(ca,da,1,415307)|0;hDa(g)|0;r=q;p=y?V:0}if(!p)Q=r;else{ai[f[(f[p>>2]|0)+4>>2]&2047](p);Q=r}}else Q=A;while(0);A=f[a+4>>2]|0;if(!((A&1|0)!=0&(b[481264]|0)!=0)){ea=Q;u=e;return ea|0}ea=f4b(A&-2,Q)|0;u=e;return ea|0}function QNa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function RNa(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,19096,0)|0;if(!c){c2b(b,a);return}else{UNa(a,c);return}}function SNa(a,b){a=a|0;b=b|0;f[a+96>>2]=b;return}function TNa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222689]|0)!=2){f[d>>2]=149752;f[d+4>>2]=18;b[d+8>>0]=0;dEb(890756,d);zDb(d)}d=529280;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function UNa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}BHa(a+8|0,c+8|0);BHa(a+24|0,c+24|0);BHa(a+40|0,c+40|0);VNa(a+56|0,c+56|0);e=f[c+92>>2]|0;c=b[e+11>>0]|0;if(c<<24>>24<0)i=f[e+4>>2]|0;else i=c&255;if(!i)return;i=a+92|0;a=f[d>>2]|0;d=a&-2;if(!(a&1))j=d;else j=f[d+4>>2]|0;d=f[i>>2]|0;if((d|0)==535416){PDa(i,j,e);return}else{Qmc(d,e)|0;return}}function VNa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;v_b(a);v_b(b);e=f[b+32>>2]|0;b=f[e+12>>2]|0;g=f[e+4>>2]|0;a:do if(g>>>0>b>>>0){h=f[e+16>>2]|0;i=b;while(1){j=f[h+(i<<2)>>2]|0;if(j|0)break;k=i+1|0;if(k>>>0<g>>>0)i=k;else{l=0;m=k;break a}}if((j|0)==(f[h+((i^1)<<2)>>2]|0)){l=f[(f[j>>2]|0)+16>>2]|0;m=i;break}else{l=j;m=i;break}}else{l=0;m=b}while(0);f[d>>2]=l;f[d+4>>2]=e;f[d+8>>2]=m;if(!l){u_b(a);u=c;return}m=a+24|0;e=l;do{l=f[e+12>>2]|0;CLa(uDa(m,l)|0,l+16|0);hDa(d)|0;e=f[d>>2]|0}while((e|0)!=0);u_b(a);u=c;return}function WNa(a){a=a|0;hNa(a);Emc(a);return}function XNa(a){a=a|0;return f[a+24>>2]|0}function YNa(a){a=a|0;return f[a+28>>2]|0}function ZNa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;d=u;u=u+48|0;e=d+24|0;g=d+12|0;h=d;i=f[c>>2]|0;j=c+4|0;if(i>>>0<(f[j>>2]|0)>>>0?(b[i>>0]|0)==10:0){f[c>>2]=i+1;i=a+8|0;if(!(HEb(c,i)|0)){k=0;u=d;return k|0}l=f[c>>2]|0;if((((f[j>>2]|0)-l|0)>0?(b[l>>0]|0)==18:0)?(l=a+4|0,m=f[l>>2]|0,n=f[f[m+8>>2]>>2]|0,o=uDa(m,i)|0,m=a+20|0,f[m>>2]=o,(n|0)!=(f[f[(f[l>>2]|0)+8>>2]>>2]|0)):0){n=f[j>>2]|0;p=f[c>>2]|0;q=n-p|0;if((q|0)<1){qCb(c,1,q)|0;r=f[c>>2]|0;s=f[j>>2]|0;t=f[m>>2]|0}else{m=p+1|0;f[c>>2]=m;r=m;s=n;t=o}if(r>>>0<s>>>0?(s=b[r>>0]|0,s<<24>>24>-1):0){f[c>>2]=r+1;v=s&255;w=14}else w=13;if((w|0)==13?(s=wCb(c)|0,(s|0)>-1):0){v=s;w=14}do if(((w|0)==14?(hCb(e,c,v),(f[e+4>>2]|0)>=0):0)?_Ka(t,c)|0:0){if(!(mCb(c,f[e>>2]|0)|0))break;do if((f[c>>2]|0)==(f[j>>2]|0)){if((f[c+32>>2]|0)==0?(f[c+12>>2]|0)!=(f[c+28>>2]|0):0)break;f[c+20>>2]=0;b[c+24>>0]=1;k=1;u=d;return k|0}while(0);k=_Na(a,c)|0;u=d;return k|0}while(0);j=f[l>>2]|0;QCa(e,f[j+8>>2]|0,i,0);i=f[e>>2]|0;l=f[e+4>>2]|0;t=f[e+8>>2]|0;if(i|0){f[g>>2]=i;f[g+4>>2]=l;f[g+8>>2]=t;f[e>>2]=f[g>>2];f[e+4>>2]=f[g+4>>2];f[e+8>>2]=f[g+8>>2];lDa(h,j,e)}k=0;u=d;return k|0}}else w=26;if((w|0)==26?(f[e>>2]=0,f[e+4>>2]=0,f[e+8>>2]=0,Qmc(a+8|0,e)|0,(b[e+11>>0]|0)<0):0)Emc(f[e>>2]|0);e=f[(f[a>>2]|0)+20>>2]|0;if(!e){w=Bmc(24)|0;f[w+12>>2]=0;f[w+4>>2]=535416;f[w+8>>2]=0;f[w+16>>2]=0;f[w+20>>2]=0;x=w}else{if(f[e+64>>2]|0)pBb(e,19128,24);w=nBb(e,24)|0;j=e;f[w+12>>2]=j;f[w+4>>2]=535416;f[w+8>>2]=0;f[w+16>>2]=0;f[w+20>>2]=j;x=w}f[x>>2]=114052;w=a+24|0;j=f[w>>2]|0;if((j|0)==(x|0))y=x;else{if(j|0)ai[f[(f[j>>2]|0)+4>>2]&2047](j);f[w>>2]=x;y=x}x=y+16|0;f[x>>2]=f[x>>2]|1;x=y+4|0;j=f[x>>2]|0;if((j|0)==535416){PDa(x,f[y+12>>2]|0,535416);z=f[x>>2]|0}else z=j;Qmc(z,a+8|0)|0;z=f[w>>2]|0;j=Sh[f[(f[z>>2]|0)+44>>2]&511](z,c)|0;if(j)$Na(a);a=f[w>>2]|0;if(!(ci[f[(f[a>>2]|0)+20>>2]&1023](a)|0)){k=j;u=d;return k|0}f[w>>2]=0;k=j;u=d;return k|0}function _Na(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=u;u=u+48|0;d=c;e=c+28|0;g=c+16|0;h=f[(f[a>>2]|0)+20>>2]|0;if(!h){i=Bmc(24)|0;f[i+12>>2]=0;f[i+4>>2]=535416;f[i+8>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;j=i}else{if(f[h+64>>2]|0)pBb(h,19128,24);i=nBb(h,24)|0;k=h;f[i+12>>2]=k;f[i+4>>2]=535416;f[i+8>>2]=0;f[i+16>>2]=0;f[i+20>>2]=k;j=i}f[j>>2]=114052;i=a+24|0;k=f[i>>2]|0;if((k|0)==(j|0))l=j;else{if(k|0)ai[f[(f[k>>2]|0)+4>>2]&2047](k);f[i>>2]=j;l=j}j=f[a+20>>2]|0;k=l+16|0;f[k>>2]=f[k>>2]|2;k=l+8|0;h=f[l+12>>2]|0;l=f[k>>2]|0;if(!l){if(!h){m=Bmc(24)|0;kKa(m);n=m}else{if(f[h+64>>2]|0)pBb(h,18968,24);m=nBb(h,24)|0;lKa(m,h);n=m}f[k>>2]=n;o=n}else o=l;hLa(o,j);j=f[a+4>>2]|0;o=a+8|0;QCa(d,f[j+8>>2]|0,o,0);l=f[d>>2]|0;n=f[d+4>>2]|0;k=f[d+8>>2]|0;if(l|0){f[e>>2]=l;f[e+4>>2]=n;f[e+8>>2]=k;f[d>>2]=f[e>>2];f[d+4>>2]=f[e+4>>2];f[d+8>>2]=f[e+8>>2];lDa(g,j,d)}j=f[i>>2]|0;g=j+16|0;f[g>>2]=f[g>>2]|1;g=j+4|0;e=f[g>>2]|0;if((e|0)==535416){PDa(g,f[j+12>>2]|0,535416);p=f[g>>2]|0}else p=e;f[d>>2]=f[p>>2];f[d+4>>2]=f[p+4>>2];f[d+8>>2]=f[p+8>>2];f[p>>2]=f[o>>2];f[p+4>>2]=f[o+4>>2];f[p+8>>2]=f[o+8>>2];f[o>>2]=f[d>>2];f[o+4>>2]=f[d+4>>2];f[o+8>>2]=f[d+8>>2];d=f[i>>2]|0;o=Sh[f[(f[d>>2]|0)+44>>2]&511](d,b)|0;if(o)$Na(a);a=f[i>>2]|0;if(!(ci[f[(f[a>>2]|0)+20>>2]&1023](a)|0)){u=c;return o|0}f[i>>2]=0;u=c;return o|0}function $Na(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;b=a+24|0;c=f[b>>2]|0;d=a+8|0;Qmc(d,ci[f[(f[c>>2]|0)+100>>2]&1023](c)|0)|0;c=uDa(f[a+4>>2]|0,d)|0;d=a+20|0;f[d>>2]=c;a=f[b>>2]|0;b=a+16|0;f[b>>2]=f[b>>2]|2;b=a+8|0;e=f[a+12>>2]|0;a=f[b>>2]|0;if(a|0){g=c;h=a;hLa(g,h);return}if(!e){a=Bmc(24)|0;kKa(a);i=a}else{if(f[e+64>>2]|0)pBb(e,18968,24);a=nBb(e,24)|0;lKa(a,e);i=a}f[b>>2]=i;g=f[d>>2]|0;h=i;hLa(g,h);return}function aOa(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=113752;e=a+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;if((a|0)!=529208?(f[222694]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=23;b[d+8>>0]=0;dEb(890776,d);zDb(d)}f[a+24>>2]=0;f[a+28>>2]=0;u=c;return}function bOa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;f[a>>2]=113752;f[a+4>>2]=c;f[a+8>>2]=c;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;if((f[222694]|0)==2){g=a+24|0;f[g>>2]=0;h=a+28|0;f[h>>2]=0;u=d;return}f[e>>2]=149752;f[e+4>>2]=23;b[e+8>>0]=0;dEb(890776,e);zDb(e);g=a+24|0;f[g>>2]=0;h=a+28|0;f[h>>2]=0;u=d;return}function cOa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{fOa(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(32)|0;aOa(l);fOa(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,19080,32);l=nBb(i,32)|0;bOa(l,i);fOa(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function dOa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{eOa(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(20)|0;tMa(l);eOa(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,19064,24);l=nBb(i,24)|0;uMa(l,i);eOa(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function eOa(a,b){a=a|0;b=b|0;sMa(b,a);return}function fOa(a,b){a=a|0;b=b|0;MMa(b,a);return}function gOa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;f[a>>2]=113456;e=(a|0)==529032;g=a+4|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));if(!e?(f[222691]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=20;b[d+8>>0]=0;dEb(890764,d);zDb(d)}f[a+40>>2]=0;u=c;return}function hOa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;f[a>>2]=113456;f[a+4>>2]=c;f[a+8>>2]=c;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=c;f[a+28>>2]=0;f[a+32>>2]=0;f[a+36>>2]=0;if((f[222691]|0)==2){g=a+40|0;f[g>>2]=0;u=d;return}f[e>>2]=149752;f[e+4>>2]=20;b[e+8>>0]=0;dEb(890764,e);zDb(e);g=a+40|0;f[g>>2]=0;u=d;return}function iOa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222690]|0)==2){u=a;return}f[c>>2]=149752;f[c+4>>2]=19;b[c+8>>0]=0;dEb(890760,c);zDb(c);u=a;return}function jOa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222691]|0)==2){u=a;return}f[c>>2]=149752;f[c+4>>2]=20;b[c+8>>0]=0;dEb(890764,c);zDb(c);u=a;return}function kOa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222690]|0)==2){u=a;return}f[c>>2]=149752;f[c+4>>2]=19;b[c+8>>0]=0;dEb(890760,c);zDb(c);u=a;return}function lOa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}cOa(a+8|0,b+8|0);dOa(a+24|0,b+24|0);return}function mOa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222698]|0)==2){u=a;return}f[c>>2]=149752;f[c+4>>2]=25;b[c+8>>0]=0;dEb(890792,c);zDb(c);u=a;return}function nOa(){NIb(415729,757);R1b(416487,1649);return}function oOa(a){a=a|0;var c=0;a=u;u=u+16|0;c=a;if((f[222699]|0)==2){u=a;return}f[c>>2]=149752;f[c+4>>2]=26;b[c+8>>0]=0;dEb(890796,c);zDb(c);u=a;return}function pOa(){var a=0,c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((f[222698]|0)!=2){f[c>>2]=149752;f[c+4>>2]=25;b[c+8>>0]=0;dEb(890792,c);zDb(c)}d=Bmc(16)|0;f[c>>2]=d;f[c+8>>2]=-2147483632;f[c+4>>2]=11;e=d;g=416487;h=e+11|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));b[d+11>>0]=0;wYb(c,0,0,890788,0,0,890784,0);if((b[c+11>>0]|0)>=0){u=a;return}Emc(f[c>>2]|0);u=a;return}function qOa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222698]|0)==2){u=a;return}f[c>>2]=149752;f[c+4>>2]=25;b[c+8>>0]=0;dEb(890792,c);zDb(c);u=a;return}function rOa(a){a=a|0;var b=0,c=0;f[a>>2]=114728;DQa(a);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function sOa(a){a=a|0;rOa(a);Emc(a);return}function tOa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function uOa(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(40)|0;vQa(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,19192,40);a=nBb(b,40)|0;xQa(a,b);c=a;return c|0}function vOa(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function wOa(a){a=a|0;return f[a+4>>2]|0}function xOa(a){a=a|0;var c=0,d=0,e=0;c=a+4|0;d=f[a+8>>2]|0;do if((d|0)!=535416){e=d+11|0;if((b[e>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[e>>0]=0;break}}while(0);d=f[a+12>>2]|0;do if((d|0)!=535416){e=d+11|0;if((b[e>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[e>>0]=0;break}}while(0);d=f[a+16>>2]|0;do if((d|0)!=535416){e=d+11|0;if((b[e>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[e>>0]=0;break}}while(0);d=f[a+20>>2]|0;do if((d|0)!=535416){e=d+11|0;if((b[e>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[e>>0]=0;break}}while(0);d=f[a+24>>2]|0;do if((d|0)!=535416){e=d+11|0;if((b[e>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[e>>0]=0;break}}while(0);d=a+28|0;f[d>>2]=0;b[d+4>>0]=0;d=f[c>>2]|0;if(!(d&1))return;c=d&-2;if(!(f[c>>2]|0))return;L3b(c);return}function yOa(a){a=a|0;return 1}function zOa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+4|0;k=a+8|0;l=a+12|0;m=a+12|0;n=a+28|0;o=a+16|0;p=a+16|0;q=a+20|0;r=a+20|0;s=a+24|0;t=a+24|0;v=a+32|0;a=e+8|0;a:while(1){w=f[c>>2]|0;x=f[g>>2]|0;do if(w>>>0<x>>>0){y=b[w>>0]|0;z=y&255;A=w+1|0;if(y<<24>>24>0){B=A;C=z}else{if(A>>>0>=x>>>0){D=z;E=7;break}y=h[A>>0]|0;if(((y^128)&z)>>>0<=127){D=z;E=7;break}B=w+2|0;C=z+-128+(y<<7)|0}f[c>>2]=B;F=C;E=9}else{D=0;E=7}while(0);if((E|0)==7){E=0;w=xCb(c,D)|0;if((w+-1|0)>>>0<16383){F=w;E=9}else G=w}b:do if((E|0)==9){E=0;switch(F>>>3&536870911|0){case 1:{if((F&255|0)!=10){G=F;break b}w=f[j>>2]|0;x=w&-2;if(!(w&1))H=x;else H=f[x+4>>2]|0;x=f[i>>2]|0;if((x|0)==535416){PDa(i,H,535416);I=f[i>>2]|0}else I=x;if(!(HEb(c,I)|0)){K=0;E=82;break a}x=f[k>>2]|0;w=b[x+11>>0]|0;if(w<<24>>24<0){L=f[x>>2]|0;M=f[x+4>>2]|0}else{L=x;M=w&255}if(IEb(L,M,0,417950)|0)continue a;else{K=0;E=82;break a}break}case 2:{if((F&255|0)!=18){G=F;break b}w=f[j>>2]|0;x=w&-2;if(!(w&1))N=x;else N=f[x+4>>2]|0;x=f[l>>2]|0;if((x|0)==535416){PDa(l,N,535416);O=f[l>>2]|0}else O=x;if(!(HEb(c,O)|0)){K=0;E=82;break a}x=f[m>>2]|0;w=b[x+11>>0]|0;if(w<<24>>24<0){P=f[x>>2]|0;Q=f[x+4>>2]|0}else{P=x;Q=w&255}if(IEb(P,Q,0,417986)|0)continue a;else{K=0;E=82;break a}break}case 3:{if((F&255|0)!=24){G=F;break b}w=f[c>>2]|0;if(w>>>0<(f[g>>2]|0)>>>0){x=b[w>>0]|0;y=x&255;if(x<<24>>24>-1){f[c>>2]=w+1;R=y}else{S=y;E=36}}else{S=0;E=36}if((E|0)==36){E=0;y=iCb(c,S)|0;w=J;if((w|0)>-1|(w|0)==-1&y>>>0>4294967295)R=y;else{K=0;E=82;break a}}f[n>>2]=R;continue a;break}case 4:{if((F&255|0)!=34){G=F;break b}y=f[j>>2]|0;w=y&-2;if(!(y&1))T=w;else T=f[w+4>>2]|0;w=f[o>>2]|0;if((w|0)==535416){PDa(o,T,535416);U=f[o>>2]|0}else U=w;if(!(HEb(c,U)|0)){K=0;E=82;break a}w=f[p>>2]|0;y=b[w+11>>0]|0;if(y<<24>>24<0){V=f[w>>2]|0;W=f[w+4>>2]|0}else{V=w;W=y&255}if(IEb(V,W,0,418029)|0)continue a;else{K=0;E=82;break a}break}case 5:{if((F&255|0)!=42){G=F;break b}y=f[j>>2]|0;w=y&-2;if(!(y&1))X=w;else X=f[w+4>>2]|0;w=f[q>>2]|0;if((w|0)==535416){PDa(q,X,535416);Y=f[q>>2]|0}else Y=w;if(!(HEb(c,Y)|0)){K=0;E=82;break a}w=f[r>>2]|0;y=b[w+11>>0]|0;if(y<<24>>24<0){Z=f[w>>2]|0;_=f[w+4>>2]|0}else{Z=w;_=y&255}if(IEb(Z,_,0,418070)|0)continue a;else{K=0;E=82;break a}break}case 6:{if((F&255|0)!=50){G=F;break b}y=f[j>>2]|0;w=y&-2;if(!(y&1))$=w;else $=f[w+4>>2]|0;w=f[s>>2]|0;if((w|0)==535416){PDa(s,$,535416);aa=f[s>>2]|0}else aa=w;if(!(HEb(c,aa)|0)){K=0;E=82;break a}w=f[t>>2]|0;y=b[w+11>>0]|0;if(y<<24>>24<0){ba=f[w>>2]|0;ca=f[w+4>>2]|0}else{ba=w;ca=y&255}if(IEb(ba,ca,0,418113)|0)continue a;else{K=0;E=82;break a}break}case 16:{if((F&255|0)!=128){G=F;break b}y=f[c>>2]|0;if(y>>>0<(f[g>>2]|0)>>>0?(w=b[y>>0]|0,w<<24>>24>-1):0){f[c>>2]=y+1;da=w<<24>>24!=0}else{jCb(e,c);w=e;if(!(b[a>>0]|0)){K=0;E=82;break a}else da=(f[w>>2]|0)!=0|(f[w+4>>2]|0)!=0}b[v>>0]=da&1;continue a;break}default:{G=F;break b}}}while(0);if(!G){K=1;E=82;break}w=f[j>>2]|0;if(!(w&1))ea=AHa(j)|0;else ea=w&-2;if(!(b4b(c,G,ea)|0)){K=0;E=82;break}}if((E|0)==82){u=d;return K|0}return 0}function AOa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;c=f[a+4>>2]|0;if((c&1|0)!=0&(b[481264]|0)!=0)d=h4b(c&-2)|0;else d=0;c=f[a+8>>2]|0;e=b[c+11>>0]|0;g=e<<24>>24<0;if(g)h=f[c+4>>2]|0;else h=e&255;if(!h)i=d;else{h=g?f[c+4>>2]|0:e&255;i=d+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}h=f[a+12>>2]|0;d=b[h+11>>0]|0;e=d<<24>>24<0;if(e)j=f[h+4>>2]|0;else j=d&255;if(!j)k=i;else{j=e?f[h+4>>2]|0:d&255;k=i+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0}j=f[a+16>>2]|0;i=b[j+11>>0]|0;d=i<<24>>24<0;if(d)l=f[j+4>>2]|0;else l=i&255;if(!l)m=k;else{l=d?f[j+4>>2]|0:i&255;m=k+1+l+((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)|0}l=f[a+20>>2]|0;k=b[l+11>>0]|0;i=k<<24>>24<0;if(i)n=f[l+4>>2]|0;else n=k&255;if(!n)o=m;else{n=i?f[l+4>>2]|0:k&255;o=m+1+n+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0}n=f[a+24>>2]|0;m=b[n+11>>0]|0;k=m<<24>>24<0;if(k)p=f[n+4>>2]|0;else p=m&255;if(!p)q=o;else{p=k?f[n+4>>2]|0:m&255;q=o+1+p+((((($(p|1|0)|0)^31)*9|0)+73|0)>>>6)|0}p=f[a+28>>2]|0;if(!p){r=q;s=a+32|0;t=b[s>>0]|0;u=t<<24>>24!=0;v=r+3|0;w=u?v:r;x=a+36|0;f[x>>2]=w;return w|0}if((p|0)<0)y=11;else y=((((($(p|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;r=y+q|0;s=a+32|0;t=b[s>>0]|0;u=t<<24>>24!=0;v=r+3|0;w=u?v:r;x=a+36|0;f[x>>2]=w;return w|0}function BOa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;d=a+8|0;e=f[d>>2]|0;g=b[e+11>>0]|0;h=g<<24>>24<0;if(h)i=f[e+4>>2]|0;else i=g&255;if(i|0){if(h){j=f[e>>2]|0;k=f[e+4>>2]|0}else{j=e;k=g&255}IEb(j,k,1,417950)|0;BEb(1,f[d>>2]|0,c)}d=a+12|0;k=f[d>>2]|0;j=b[k+11>>0]|0;g=j<<24>>24<0;if(g)l=f[k+4>>2]|0;else l=j&255;if(l|0){if(g){m=f[k>>2]|0;n=f[k+4>>2]|0}else{m=k;n=j&255}IEb(m,n,1,417986)|0;BEb(2,f[d>>2]|0,c)}d=f[a+28>>2]|0;if(d|0)zEb(3,d,c);d=a+16|0;n=f[d>>2]|0;m=b[n+11>>0]|0;j=m<<24>>24<0;if(j)o=f[n+4>>2]|0;else o=m&255;if(o|0){if(j){p=f[n>>2]|0;q=f[n+4>>2]|0}else{p=n;q=m&255}IEb(p,q,1,418029)|0;BEb(4,f[d>>2]|0,c)}d=a+20|0;q=f[d>>2]|0;p=b[q+11>>0]|0;m=p<<24>>24<0;if(m)r=f[q+4>>2]|0;else r=p&255;if(r|0){if(m){s=f[q>>2]|0;t=f[q+4>>2]|0}else{s=q;t=p&255}IEb(s,t,1,418070)|0;BEb(5,f[d>>2]|0,c)}d=a+24|0;t=f[d>>2]|0;s=b[t+11>>0]|0;p=s<<24>>24<0;if(p)u=f[t+4>>2]|0;else u=s&255;if(u|0){if(p){v=f[t>>2]|0;w=f[t+4>>2]|0}else{v=t;w=s&255}IEb(v,w,1,418113)|0;BEb(6,f[d>>2]|0,c)}if(b[a+32>>0]|0)yEb(16,1,c);d=f[a+4>>2]|0;if(!((d&1|0)!=0&(b[481264]|0)!=0))return;e4b(d&-2,c);return}function COa(a){a=a|0;return f[a+36>>2]|0}function DOa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;c=a+8|0;e=f[c>>2]|0;g=b[e+11>>0]|0;h=g<<24>>24<0;if(h)i=f[e+4>>2]|0;else i=g&255;if(!i)j=d;else{if(h){k=f[e>>2]|0;l=f[e+4>>2]|0}else{k=e;l=g&255}IEb(k,l,1,417950)|0;l=f[c>>2]|0;b[d>>0]=10;j=GCb(l,d+1|0)|0}d=a+12|0;l=f[d>>2]|0;c=b[l+11>>0]|0;k=c<<24>>24<0;if(k)m=f[l+4>>2]|0;else m=c&255;if(!m)n=j;else{if(k){o=f[l>>2]|0;p=f[l+4>>2]|0}else{o=l;p=c&255}IEb(o,p,1,417986)|0;p=f[d>>2]|0;b[j>>0]=18;n=GCb(p,j+1|0)|0}j=f[a+28>>2]|0;if(!j)q=n;else{b[n>>0]=24;p=n+1|0;n=j&255;if(j>>>0>127){d=p;o=n;c=j;l=((j|0)<0)<<31>>31;while(1){b[d>>0]=o|-128;j=c;c=Irc(c|0,l|0,7)|0;k=d+1|0;m=c&255;if(!(l>>>0>0|(l|0)==0&j>>>0>16383)){r=k;s=m;break}else{d=k;o=m;l=J}}}else{r=p;s=n}b[r>>0]=s;q=r+1|0}r=a+16|0;s=f[r>>2]|0;n=b[s+11>>0]|0;p=n<<24>>24<0;if(p)t=f[s+4>>2]|0;else t=n&255;if(!t)u=q;else{if(p){v=f[s>>2]|0;w=f[s+4>>2]|0}else{v=s;w=n&255}IEb(v,w,1,418029)|0;w=f[r>>2]|0;b[q>>0]=34;u=GCb(w,q+1|0)|0}q=a+20|0;w=f[q>>2]|0;r=b[w+11>>0]|0;v=r<<24>>24<0;if(v)x=f[w+4>>2]|0;else x=r&255;if(!x)y=u;else{if(v){z=f[w>>2]|0;A=f[w+4>>2]|0}else{z=w;A=r&255}IEb(z,A,1,418070)|0;A=f[q>>2]|0;b[u>>0]=42;y=GCb(A,u+1|0)|0}u=a+24|0;A=f[u>>2]|0;q=b[A+11>>0]|0;z=q<<24>>24<0;if(z)B=f[A+4>>2]|0;else B=q&255;if(!B)C=y;else{if(z){D=f[A>>2]|0;E=f[A+4>>2]|0}else{D=A;E=q&255}IEb(D,E,1,418113)|0;E=f[u>>2]|0;b[y>>0]=50;C=GCb(E,y+1|0)|0}if(!(b[a+32>>0]|0))F=C;else{b[C>>0]=-128;b[C+1>>0]=1;b[C+2>>0]=1;F=C+3|0}C=f[a+4>>2]|0;if(!((C&1|0)!=0&(b[481264]|0)!=0)){G=F;return G|0}G=f4b(C&-2,F)|0;return G|0}function EOa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function FOa(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,19192,0)|0;if(!c){c2b(b,a);return}else{yQa(a,c);return}}function GOa(a,b){a=a|0;b=b|0;f[a+36>>2]=b;return}function HOa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222700]|0)!=2){f[d>>2]=149752;f[d+4>>2]=27;b[d+8>>0]=0;dEb(890800,d);zDb(d)}d=529528;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function IOa(){var a=0,c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((f[222701]|0)!=2){f[c>>2]=149752;f[c+4>>2]=28;b[c+8>>0]=0;dEb(890804,c);zDb(c)}d=Bmc(16)|0;f[c>>2]=d;f[c+8>>2]=-2147483632;f[c+4>>2]=12;e=d;g=416499;h=e+12|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));b[d+12>>0]=0;wYb(c,114828,114888,114508,0,529528,0,0);if((b[c+11>>0]|0)>=0){u=a;return}Emc(f[c>>2]|0);u=a;return}function JOa(){KOa();NIb(416512,969);R1b(416499,1650);ALa();qOa();return}function KOa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222702]|0)!=2){f[c>>2]=149752;f[c+4>>2]=29;b[c+8>>0]=0;dEb(890808,c);zDb(c)}if((f[222703]|0)!=2){f[c>>2]=149752;f[c+4>>2]=30;b[c+8>>0]=0;dEb(890812,c);zDb(c)}if((f[222704]|0)!=2){f[c>>2]=149752;f[c+4>>2]=31;b[c+8>>0]=0;dEb(890816,c);zDb(c)}if((f[222705]|0)!=2){f[c>>2]=149752;f[c+4>>2]=32;b[c+8>>0]=0;dEb(890820,c);zDb(c)}if((f[222706]|0)==2){u=a;return}f[c>>2]=149752;f[c+4>>2]=33;b[c+8>>0]=0;dEb(890824,c);zDb(c);u=a;return}function LOa(a){a=a|0;var c=0;a=u;u=u+16|0;c=a;if((f[222700]|0)!=2){f[c>>2]=149752;f[c+4>>2]=27;b[c+8>>0]=0;dEb(890800,c);zDb(c)}BYb(529528,5);u=a;return}function MOa(){CDb(3005001,3005e3,417482);tBb();f[132326]=114728;f[132327]=0;f[132328]=535416;f[132329]=535416;f[132330]=535416;f[132331]=535416;f[132332]=535416;f[132333]=0;b[529336]=0;f[132335]=0;$Db(529304);return}function NOa(){CDb(3005001,3005e3,417482);tBb();zLa();f[132336]=115240;f[132337]=0;f[132338]=535416;f[132339]=535416;f[132340]=535416;f[132341]=0;f[132342]=0;f[132343]=0;f[132344]=0;f[132345]=0;b[529384]=0;f[132347]=0;$Db(529344);f[132341]=528848;f[132342]=528848;return}function OOa(){var a=0,c=0,d=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,417482);tBb();if((f[222702]|0)!=2){f[c>>2]=149752;f[c+4>>2]=29;b[c+8>>0]=0;dEb(890808,c);zDb(c)}if((f[222703]|0)!=2){f[c>>2]=149752;f[c+4>>2]=30;b[c+8>>0]=0;dEb(890812,c);zDb(c)}if((f[222705]|0)!=2){f[c>>2]=149752;f[c+4>>2]=32;b[c+8>>0]=0;dEb(890820,c);zDb(c)}f[132348]=115024;c=529396;d=c+52|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(d|0));f[132362]=535416;f[132363]=535416;f[132364]=535416;c=529460;f[c>>2]=0;f[c+4>>2]=0;f[132367]=0;$Db(529392);f[132365]=529472;u=a;return}function POa(){CDb(3005001,3005e3,417482);tBb();f[132368]=115132;f[132369]=0;f[132370]=535416;f[132371]=0;f[132372]=0;$Db(529472);return}function QOa(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,417482);tBb();if((f[222704]|0)!=2){f[c>>2]=149752;f[c+4>>2]=31;b[c+8>>0]=0;dEb(890816,c);zDb(c)}f[132374]=114916;f[132375]=0;f[132376]=0;f[132377]=0;f[132378]=0;f[132379]=0;f[132380]=0;$Db(529496);u=a;return}function ROa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=114916;b=a+20|0;c=f[b>>2]|0;if(c|0?(f[a+8>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)ai[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;Emc(h)}f[b>>2]=0;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}h=a&-2;a=h;if((h|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(h);f[b>>2]=0;return}function SOa(a){a=a|0;ROa(a);Emc(a);return}function TOa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function UOa(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(28)|0;BQa(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,19208,32);a=nBb(b,32)|0;CQa(a,b);c=a;return c|0}function VOa(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function WOa(a){a=a|0;return f[a+4>>2]|0}function XOa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+12|0;c=f[b>>2]|0;if((c|0)>0){d=f[a+20>>2]|0;e=0;do{g=f[d+4+(e<<2)>>2]|0;e=e+1|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}while((e|0)!=(c|0));f[b>>2]=0}b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function YOa(a){a=a|0;return 1}function ZOa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+20|0;j=a+16|0;k=a+12|0;l=e+4|0;m=a+4|0;while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=xCb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}if((q|0)==6){q=0;if((p|0)==10){o=f[i>>2]|0;do if(o){a=f[k>>2]|0;n=f[o>>2]|0;if((a|0)>=(n|0))if((n|0)==(f[j>>2]|0)){t=n;q=12;break}else{v=n;w=o;q=13;break}else{f[k>>2]=a+1;x=f[o+4+(a<<2)>>2]|0;break}}else{t=f[j>>2]|0;q=12}while(0);if((q|0)==12){q=0;uDb(h,t+1|0);o=f[i>>2]|0;v=f[o>>2]|0;w=o;q=13}if((q|0)==13){q=0;f[w>>2]=v+1;o=f[h>>2]|0;if(!o){a=Bmc(80)|0;hPa(a);y=a}else{if(f[o+64>>2]|0)pBb(o,19224,80);a=nBb(o,80)|0;jPa(a,o);y=a}a=f[i>>2]|0;o=f[k>>2]|0;f[k>>2]=o+1;f[a+4+(o<<2)>>2]=y;x=y}o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0?(a=b[o>>0]|0,a<<24>>24>-1):0){f[c>>2]=o+1;z=a&255}else{a=wCb(c)|0;if((a|0)>-1)z=a;else{A=0;q=32;break}}hCb(e,c,z);if((f[l>>2]|0)<0){q=25;break}if(!(Sh[f[(f[x>>2]|0)+44>>2]&511](x,c)|0)){q=25;break}if(mCb(c,f[e>>2]|0)|0)continue;else{A=0;q=32;break}}else s=p}if(!s){A=1;q=32;break}a=f[m>>2]|0;if(!(a&1))B=AHa(m)|0;else B=a&-2;if(!(b4b(c,s,B)|0)){A=0;q=32;break}}if((q|0)==25){A=0;u=d;return A|0}else if((q|0)==32){u=d;return A|0}return 0}function _Oa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=f[a+4>>2]|0;if((c&1|0)!=0&(b[481264]|0)!=0)d=h4b(c&-2)|0;else d=0;c=f[a+12>>2]|0;e=c+d|0;if(!c){g=e;h=a+24|0;f[h>>2]=g;return g|0}d=a+20|0;i=0;j=e;while(1){e=f[(f[d>>2]|0)+4+(i<<2)>>2]|0;k=ci[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=k+j+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;i=i+1|0;if((i|0)==(c|0)){g=e;break}else j=e}h=a+24|0;f[h>>2]=g;return g|0}function $Oa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=f[a+12>>2]|0;if(d|0){e=a+20|0;g=0;do{GEb(1,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(d|0))}d=f[a+4>>2]|0;if(!((d&1|0)!=0&(b[481264]|0)!=0))return;e4b(d&-2,c);return}function aPa(a){a=a|0;return f[a+24>>2]|0}function bPa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=f[a+12>>2]|0;if(!e)g=d;else{h=a+20|0;i=0;j=d;while(1){d=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;b[j>>0]=10;k=j+1|0;l=ci[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=k;r=l}b[q>>0]=r;n=ki[f[(f[d>>2]|0)+64>>2]&511](d,c,q+1|0)|0;i=i+1|0;if((i|0)==(e|0)){g=n;break}else j=n}}j=f[a+4>>2]|0;if(!((j&1|0)!=0&(b[481264]|0)!=0)){s=g;return s|0}s=f4b(j&-2,g)|0;return s|0}function cPa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function dPa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,19208,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}gPa(a+8|0,c+8|0);return}function ePa(a,b){a=a|0;b=b|0;f[a+24>>2]=b;return}function fPa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222700]|0)!=2){f[d>>2]=149752;f[d+4>>2]=27;b[d+8>>0]=0;dEb(890800,d);zDb(d)}d=529560;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function gPa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{iPa(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(80)|0;hPa(l);iPa(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,19224,80);l=nBb(i,80)|0;jPa(l,i);iPa(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function hPa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;f[a>>2]=115024;e=(a|0)==529392;g=a+4|0;h=g+52|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));if(!e?(f[222704]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=31;b[d+8>>0]=0;dEb(890816,d);zDb(d)}f[a+56>>2]=535416;f[a+60>>2]=535416;f[a+64>>2]=535416;d=a+68|0;f[d>>2]=0;f[d+4>>2]=0;f[a+76>>2]=0;u=c;return}function iPa(a,b){a=a|0;b=b|0;BPa(b,a);return}function jPa(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=115024;f[a+4>>2]=c;f[a+8>>2]=c;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=c;f[a+28>>2]=0;f[a+32>>2]=0;f[a+36>>2]=0;f[a+40>>2]=c;f[a+44>>2]=0;f[a+48>>2]=0;f[a+52>>2]=0;if((f[222704]|0)!=2){f[e>>2]=149752;f[e+4>>2]=31;b[e+8>>0]=0;dEb(890816,e);zDb(e)}f[a+56>>2]=535416;f[a+60>>2]=535416;f[a+64>>2]=535416;e=a+68|0;f[e>>2]=0;f[e+4>>2]=0;f[a+76>>2]=0;u=d;return}function kPa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;f[a>>2]=115024;AQa(a);b=a+52|0;c=f[b>>2]|0;if(c|0?(f[a+40>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)ai[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;Emc(h)}f[b>>2]=0;b=a+36|0;h=f[b>>2]|0;if(h|0?(f[a+24>>2]|0)==0:0){c=f[h>>2]|0;if((c|0)>0){d=0;do{e=f[h+4+(d<<2)>>2]|0;if(e|0)ai[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(c|0));i=f[b>>2]|0}else i=h;Emc(i)}f[b>>2]=0;b=a+20|0;i=f[b>>2]|0;if(i|0?(f[a+8>>2]|0)==0:0){h=f[i>>2]|0;if((h|0)>0){c=0;do{d=f[i+4+(c<<2)>>2]|0;if(d|0)ai[f[(f[d>>2]|0)+4>>2]&2047](d);c=c+1|0}while((c|0)!=(h|0));j=f[b>>2]|0}else j=i;Emc(j)}f[b>>2]=0;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}j=a&-2;a=j;if((j|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(j);f[b>>2]=0;return}function lPa(a){a=a|0;kPa(a);Emc(a);return}function mPa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function nPa(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(80)|0;hPa(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,19224,80);a=nBb(b,80)|0;jPa(a,b);c=a;return c|0}function oPa(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function pPa(a){a=a|0;return f[a+4>>2]|0}function qPa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=a+12|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+20>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((g|0)!=(d|0));f[c>>2]=0}c=a+28|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+36>>2]|0;e=0;do{h=f[g+4+(e<<2)>>2]|0;e=e+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((e|0)!=(d|0));f[c>>2]=0}c=a+44|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+52>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((g|0)!=(d|0));f[c>>2]=0}c=a+4|0;d=f[a+56>>2]|0;do if((d|0)!=535416){g=d+11|0;if((b[g>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[g>>0]=0;break}}while(0);d=f[a+60>>2]|0;do if((d|0)!=535416){g=d+11|0;if((b[g>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[g>>0]=0;break}}while(0);d=f[a+64>>2]|0;do if((d|0)!=535416){g=d+11|0;if((b[g>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[g>>0]=0;break}}while(0);d=f[c>>2]|0;g=d&-2;if(!(d&1))i=g;else i=f[g+4>>2]|0;g=a+68|0;if((i|0)==0?(i=f[g>>2]|0,(i|0)!=0):0){ai[f[(f[i>>2]|0)+4>>2]&2047](i);j=f[c>>2]|0}else j=d;f[g>>2]=0;f[a+72>>2]=0;if(!(j&1))return;a=j&-2;if(!(f[a>>2]|0))return;L3b(a);return}function rPa(a){a=a|0;return 1}function sPa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+56|0;j=a+4|0;k=a+56|0;l=a+8|0;m=e+4|0;n=a+24|0;o=e+4|0;p=a+40|0;q=a+52|0;r=a+48|0;s=a+44|0;t=e+4|0;v=a+60|0;w=a+60|0;x=a+64|0;y=a+64|0;z=a+68|0;A=e+4|0;B=a+73|0;C=e+8|0;D=a+74|0;E=e+8|0;F=a+72|0;G=e+8|0;H=a+75|0;I=e+8|0;a:while(1){J=f[c>>2]|0;K=f[g>>2]|0;do if(J>>>0<K>>>0){L=b[J>>0]|0;M=L&255;N=J+1|0;if(L<<24>>24>0){O=N;P=M}else{if(N>>>0>=K>>>0){Q=M;R=7;break}L=h[N>>0]|0;if(((L^128)&M)>>>0<=127){Q=M;R=7;break}O=J+2|0;P=M+-128+(L<<7)|0}f[c>>2]=O;S=P;R=9}else{Q=0;R=7}while(0);if((R|0)==7){R=0;J=xCb(c,Q)|0;if((J+-1|0)>>>0<16383){S=J;R=9}else T=J}b:do if((R|0)==9){R=0;do switch(S>>>3&536870911|0){case 1:{if((S&255|0)!=10){T=S;break b}J=f[j>>2]|0;K=J&-2;if(!(J&1))U=K;else U=f[K+4>>2]|0;K=f[i>>2]|0;if((K|0)==535416){PDa(i,U,535416);V=f[i>>2]|0}else V=K;if(!(HEb(c,V)|0)){W=0;R=122;break a}K=f[k>>2]|0;J=b[K+11>>0]|0;if(J<<24>>24<0){X=f[K>>2]|0;Y=f[K+4>>2]|0}else{X=K;Y=J&255}if(IEb(X,Y,0,417796)|0)continue a;else{W=0;R=122;break a}break}case 2:{if((S&255|0)!=18){T=S;break b}J=zQa(l)|0;K=f[c>>2]|0;if(K>>>0<(f[g>>2]|0)>>>0?(L=b[K>>0]|0,L<<24>>24>-1):0){f[c>>2]=K+1;Z=L&255}else{L=wCb(c)|0;if((L|0)>-1)Z=L;else{W=0;R=122;break a}}hCb(e,c,Z);if((f[m>>2]|0)<0){R=28;break a}if(!(Sh[f[(f[J>>2]|0)+44>>2]&511](J,c)|0)){R=28;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{W=0;R=122;break a}break}case 3:{if((S&255|0)!=26){T=S;break b}J=zQa(n)|0;L=f[c>>2]|0;if(L>>>0<(f[g>>2]|0)>>>0?(K=b[L>>0]|0,K<<24>>24>-1):0){f[c>>2]=L+1;_=K&255}else{K=wCb(c)|0;if((K|0)>-1)_=K;else{W=0;R=122;break a}}hCb(e,c,_);if((f[o>>2]|0)<0){R=37;break a}if(!(Sh[f[(f[J>>2]|0)+44>>2]&511](J,c)|0)){R=37;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{W=0;R=122;break a}break}case 4:{if((S&255|0)!=34){T=S;break b}J=f[q>>2]|0;do if(J){K=f[s>>2]|0;L=f[J>>2]|0;if((K|0)>=(L|0))if((L|0)==(f[r>>2]|0)){$=L;R=45;break}else{aa=L;ba=J;R=46;break}else{f[s>>2]=K+1;ca=f[J+4+(K<<2)>>2]|0;break}}else{$=f[r>>2]|0;R=45}while(0);if((R|0)==45){R=0;uDb(p,$+1|0);J=f[q>>2]|0;aa=f[J>>2]|0;ba=J;R=46}if((R|0)==46){R=0;f[ba>>2]=aa+1;J=f[p>>2]|0;if(!J){K=Bmc(48)|0;ZPa(K);da=K}else{if(f[J+64>>2]|0)pBb(J,19256,48);K=nBb(J,48)|0;$Pa(K,J);da=K}K=f[q>>2]|0;J=f[s>>2]|0;f[s>>2]=J+1;f[K+4+(J<<2)>>2]=da;ca=da}J=f[c>>2]|0;if(J>>>0<(f[g>>2]|0)>>>0?(K=b[J>>0]|0,K<<24>>24>-1):0){f[c>>2]=J+1;ea=K&255}else{K=wCb(c)|0;if((K|0)>-1)ea=K;else{W=0;R=122;break a}}hCb(e,c,ea);if((f[t>>2]|0)<0){R=58;break a}if(!(Sh[f[(f[ca>>2]|0)+44>>2]&511](ca,c)|0)){R=58;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{W=0;R=122;break a}break}case 5:{if((S&255|0)!=42){T=S;break b}K=f[j>>2]|0;J=K&-2;if(!(K&1))fa=J;else fa=f[J+4>>2]|0;J=f[v>>2]|0;if((J|0)==535416){PDa(v,fa,535416);ga=f[v>>2]|0}else ga=J;if(!(HEb(c,ga)|0)){W=0;R=122;break a}J=f[w>>2]|0;K=b[J+11>>0]|0;if(K<<24>>24<0){ha=f[J>>2]|0;ia=f[J+4>>2]|0}else{ha=J;ia=K&255}if(IEb(ha,ia,0,417825)|0)continue a;else{W=0;R=122;break a}break}case 6:{if((S&255|0)!=50){T=S;break b}K=f[j>>2]|0;J=K&-2;if(!(K&1))ja=J;else ja=f[J+4>>2]|0;J=f[x>>2]|0;if((J|0)==535416){PDa(x,ja,535416);ka=f[x>>2]|0}else ka=J;if(!(HEb(c,ka)|0)){W=0;R=122;break a}J=f[y>>2]|0;K=b[J+11>>0]|0;if(K<<24>>24<0){la=f[J>>2]|0;ma=f[J+4>>2]|0}else{la=J;ma=K&255}if(IEb(la,ma,0,417857)|0)continue a;else{W=0;R=122;break a}break}case 8:{if((S&255|0)!=66){T=S;break b}K=f[z>>2]|0;if(!K){EPa(a);na=f[z>>2]|0}else na=K;K=f[c>>2]|0;if(K>>>0<(f[g>>2]|0)>>>0?(J=b[K>>0]|0,J<<24>>24>-1):0){f[c>>2]=K+1;oa=J&255}else{J=wCb(c)|0;if((J|0)>-1)oa=J;else{W=0;R=122;break a}}hCb(e,c,oa);if((f[A>>2]|0)<0){R=91;break a}if(!(Sh[f[(f[na>>2]|0)+44>>2]&511](na,c)|0)){R=91;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{W=0;R=122;break a}break}case 16:{if((S&255|0)!=128){T=S;break b}J=f[c>>2]|0;if(J>>>0<(f[g>>2]|0)>>>0?(K=b[J>>0]|0,K<<24>>24>-1):0){f[c>>2]=J+1;pa=K<<24>>24!=0}else{jCb(e,c);K=e;if(!(b[C>>0]|0)){W=0;R=122;break a}else pa=(f[K>>2]|0)!=0|(f[K+4>>2]|0)!=0}b[B>>0]=pa&1;continue a;break}case 17:{if((S&255|0)!=136){T=S;break b}K=f[c>>2]|0;if(K>>>0<(f[g>>2]|0)>>>0?(J=b[K>>0]|0,J<<24>>24>-1):0){f[c>>2]=K+1;qa=J<<24>>24!=0}else{jCb(e,c);J=e;if(!(b[E>>0]|0)){W=0;R=122;break a}else qa=(f[J>>2]|0)!=0|(f[J+4>>2]|0)!=0}b[D>>0]=qa&1;continue a;break}case 18:{if((S&255|0)!=144){T=S;break b}J=f[c>>2]|0;if(J>>>0<(f[g>>2]|0)>>>0?(K=b[J>>0]|0,K<<24>>24>-1):0){f[c>>2]=J+1;ra=K<<24>>24!=0}else{jCb(e,c);K=e;if(!(b[G>>0]|0)){W=0;R=122;break a}else ra=(f[K>>2]|0)!=0|(f[K+4>>2]|0)!=0}b[F>>0]=ra&1;continue a;break}case 19:{if((S&255|0)!=152){T=S;break b}K=f[c>>2]|0;if(K>>>0<(f[g>>2]|0)>>>0?(J=b[K>>0]|0,J<<24>>24>-1):0){f[c>>2]=K+1;sa=J<<24>>24!=0}else{jCb(e,c);J=e;if(!(b[I>>0]|0)){W=0;R=122;break a}else sa=(f[J>>2]|0)!=0|(f[J+4>>2]|0)!=0}b[H>>0]=sa&1;continue a;break}default:{T=S;break b}}while(0)}while(0);if(!T){W=1;R=122;break}J=f[j>>2]|0;if(!(J&1))ta=AHa(j)|0;else ta=J&-2;if(!(b4b(c,T,ta)|0)){W=0;R=122;break}}if((R|0)==28){W=0;u=d;return W|0}else if((R|0)==37){W=0;u=d;return W|0}else if((R|0)==58){W=0;u=d;return W|0}else if((R|0)==91){W=0;u=d;return W|0}else if((R|0)==122){u=d;return W|0}return 0}function tPa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;c=f[a+4>>2]|0;if((c&1|0)!=0&(b[481264]|0)!=0)d=h4b(c&-2)|0;else d=0;c=f[a+12>>2]|0;e=c+d|0;if(!c)g=e;else{d=a+20|0;h=0;i=e;while(1){e=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;j=ci[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(c|0)){g=e;break}else i=e}}i=f[a+28>>2]|0;c=i+g|0;if(!i)k=c;else{g=a+36|0;h=0;d=c;while(1){c=f[(f[g>>2]|0)+4+(h<<2)>>2]|0;e=ci[f[(f[c>>2]|0)+48>>2]&1023](c)|0;c=e+d+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(i|0)){k=c;break}else d=c}}d=f[a+44>>2]|0;i=d+k|0;if(!d)l=i;else{k=a+52|0;h=0;g=i;while(1){i=f[(f[k>>2]|0)+4+(h<<2)>>2]|0;c=ci[f[(f[i>>2]|0)+48>>2]&1023](i)|0;i=c+g+((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(d|0)){l=i;break}else g=i}}g=f[a+56>>2]|0;d=b[g+11>>0]|0;h=d<<24>>24<0;if(h)m=f[g+4>>2]|0;else m=d&255;if(!m)n=l;else{m=h?f[g+4>>2]|0:d&255;n=l+1+m+((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)|0}m=f[a+60>>2]|0;l=b[m+11>>0]|0;d=l<<24>>24<0;if(d)o=f[m+4>>2]|0;else o=l&255;if(!o)p=n;else{o=d?f[m+4>>2]|0:l&255;p=n+1+o+((((($(o|1|0)|0)^31)*9|0)+73|0)>>>6)|0}o=f[a+64>>2]|0;n=b[o+11>>0]|0;l=n<<24>>24<0;if(l)q=f[o+4>>2]|0;else q=n&255;if(!q)r=p;else{q=l?f[o+4>>2]|0:n&255;r=p+1+q+((((($(q|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if((a|0)!=529392?(q=f[a+68>>2]|0,(q|0)!=0):0){p=ci[f[(f[q>>2]|0)+48>>2]&1023](q)|0;s=r+1+p+((((($(p|1|0)|0)^31)*9|0)+73|0)>>>6)|0}else s=r;r=b[a+72>>0]|0?s+3|0:s;s=b[a+73>>0]|0?r+3|0:r;r=b[a+74>>0]|0?s+3|0:s;s=b[a+75>>0]|0?r+3|0:r;f[a+76>>2]=s;return s|0}function uPa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=a+56|0;e=f[d>>2]|0;g=b[e+11>>0]|0;h=g<<24>>24<0;if(h)i=f[e+4>>2]|0;else i=g&255;if(i|0){if(h){j=f[e>>2]|0;k=f[e+4>>2]|0}else{j=e;k=g&255}IEb(j,k,1,417796)|0;BEb(1,f[d>>2]|0,c)}d=f[a+12>>2]|0;if(d|0){k=a+20|0;j=0;do{GEb(2,f[(f[k>>2]|0)+4+(j<<2)>>2]|0,c);j=j+1|0}while((j|0)!=(d|0))}d=f[a+28>>2]|0;if(d|0){j=a+36|0;k=0;do{GEb(3,f[(f[j>>2]|0)+4+(k<<2)>>2]|0,c);k=k+1|0}while((k|0)!=(d|0))}d=f[a+44>>2]|0;if(d|0){k=a+52|0;j=0;do{GEb(4,f[(f[k>>2]|0)+4+(j<<2)>>2]|0,c);j=j+1|0}while((j|0)!=(d|0))}d=a+60|0;j=f[d>>2]|0;k=b[j+11>>0]|0;g=k<<24>>24<0;if(g)l=f[j+4>>2]|0;else l=k&255;if(l|0){if(g){m=f[j>>2]|0;n=f[j+4>>2]|0}else{m=j;n=k&255}IEb(m,n,1,417825)|0;BEb(5,f[d>>2]|0,c)}d=a+64|0;n=f[d>>2]|0;m=b[n+11>>0]|0;k=m<<24>>24<0;if(k)o=f[n+4>>2]|0;else o=m&255;if(o|0){if(k){p=f[n>>2]|0;q=f[n+4>>2]|0}else{p=n;q=m&255}IEb(p,q,1,417857)|0;BEb(6,f[d>>2]|0,c)}if((a|0)!=529392?(d=f[a+68>>2]|0,d|0):0)GEb(8,d,c);if(b[a+73>>0]|0)yEb(16,1,c);if(b[a+74>>0]|0)yEb(17,1,c);if(b[a+72>>0]|0)yEb(18,1,c);if(b[a+75>>0]|0)yEb(19,1,c);d=f[a+4>>2]|0;if(!((d&1|0)!=0&(b[481264]|0)!=0))return;e4b(d&-2,c);return}function vPa(a){a=a|0;return f[a+76>>2]|0}function wPa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;e=a+56|0;g=f[e>>2]|0;h=b[g+11>>0]|0;i=h<<24>>24<0;if(i)j=f[g+4>>2]|0;else j=h&255;if(!j)k=d;else{if(i){l=f[g>>2]|0;m=f[g+4>>2]|0}else{l=g;m=h&255}IEb(l,m,1,417796)|0;m=f[e>>2]|0;b[d>>0]=10;k=GCb(m,d+1|0)|0}d=f[a+12>>2]|0;if(!d)n=k;else{m=a+20|0;e=0;l=k;while(1){k=f[(f[m>>2]|0)+4+(e<<2)>>2]|0;b[l>>0]=18;h=l+1|0;g=ci[f[(f[k>>2]|0)+60>>2]&1023](k)|0;if(g>>>0>127){i=g;j=h;while(1){b[j>>0]=i|128;o=i>>>7;p=j+1|0;if(i>>>0>16383){i=o;j=p}else{q=p;r=o;break}}}else{q=h;r=g}b[q>>0]=r;j=ki[f[(f[k>>2]|0)+64>>2]&511](k,c,q+1|0)|0;e=e+1|0;if((e|0)==(d|0)){n=j;break}else l=j}}l=f[a+28>>2]|0;if(!l)s=n;else{d=a+36|0;e=0;q=n;while(1){n=f[(f[d>>2]|0)+4+(e<<2)>>2]|0;b[q>>0]=26;r=q+1|0;m=ci[f[(f[n>>2]|0)+60>>2]&1023](n)|0;if(m>>>0>127){j=m;i=r;while(1){b[i>>0]=j|128;o=j>>>7;p=i+1|0;if(j>>>0>16383){j=o;i=p}else{t=p;u=o;break}}}else{t=r;u=m}b[t>>0]=u;i=ki[f[(f[n>>2]|0)+64>>2]&511](n,c,t+1|0)|0;e=e+1|0;if((e|0)==(l|0)){s=i;break}else q=i}}q=f[a+44>>2]|0;if(!q)v=s;else{l=a+52|0;e=0;t=s;while(1){s=f[(f[l>>2]|0)+4+(e<<2)>>2]|0;b[t>>0]=34;u=t+1|0;d=ci[f[(f[s>>2]|0)+60>>2]&1023](s)|0;if(d>>>0>127){i=d;j=u;while(1){b[j>>0]=i|128;k=i>>>7;g=j+1|0;if(i>>>0>16383){i=k;j=g}else{w=g;x=k;break}}}else{w=u;x=d}b[w>>0]=x;j=ki[f[(f[s>>2]|0)+64>>2]&511](s,c,w+1|0)|0;e=e+1|0;if((e|0)==(q|0)){v=j;break}else t=j}}t=a+60|0;q=f[t>>2]|0;e=b[q+11>>0]|0;w=e<<24>>24<0;if(w)y=f[q+4>>2]|0;else y=e&255;if(!y)z=v;else{if(w){A=f[q>>2]|0;B=f[q+4>>2]|0}else{A=q;B=e&255}IEb(A,B,1,417825)|0;B=f[t>>2]|0;b[v>>0]=42;z=GCb(B,v+1|0)|0}v=a+64|0;B=f[v>>2]|0;t=b[B+11>>0]|0;A=t<<24>>24<0;if(A)C=f[B+4>>2]|0;else C=t&255;if(!C)D=z;else{if(A){E=f[B>>2]|0;F=f[B+4>>2]|0}else{E=B;F=t&255}IEb(E,F,1,417857)|0;F=f[v>>2]|0;b[z>>0]=50;D=GCb(F,z+1|0)|0}if((a|0)!=529392?(z=f[a+68>>2]|0,(z|0)!=0):0){b[D>>0]=66;F=D+1|0;v=ci[f[(f[z>>2]|0)+60>>2]&1023](z)|0;if(v>>>0>127){E=v;t=F;while(1){b[t>>0]=E|128;B=E>>>7;A=t+1|0;if(E>>>0>16383){E=B;t=A}else{G=A;H=B;break}}}else{G=F;H=v}b[G>>0]=H;I=ki[f[(f[z>>2]|0)+64>>2]&511](z,c,G+1|0)|0}else I=D;if(!(b[a+73>>0]|0))J=I;else{b[I>>0]=-128;b[I+1>>0]=1;b[I+2>>0]=1;J=I+3|0}if(!(b[a+74>>0]|0))K=J;else{b[J>>0]=-120;b[J+1>>0]=1;b[J+2>>0]=1;K=J+3|0}if(!(b[a+72>>0]|0))L=K;else{b[K>>0]=-112;b[K+1>>0]=1;b[K+2>>0]=1;L=K+3|0}if(!(b[a+75>>0]|0))M=L;else{b[L>>0]=-104;b[L+1>>0]=1;b[L+2>>0]=1;M=L+3|0}L=f[a+4>>2]|0;if(!((L&1|0)!=0&(b[481264]|0)!=0)){N=M;return N|0}N=f4b(L&-2,M)|0;return N|0}function xPa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function yPa(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,19224,0)|0;if(!c){c2b(b,a);return}else{BPa(a,c);return}}function zPa(a,b){a=a|0;b=b|0;f[a+76>>2]=b;return}function APa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222700]|0)!=2){f[d>>2]=149752;f[d+4>>2]=27;b[d+8>>0]=0;dEb(890800,d);zDb(d)}d=529544;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function BPa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}CPa(a+8|0,c+8|0);CPa(a+24|0,c+24|0);DPa(a+40|0,c+40|0);e=f[c+56>>2]|0;h=b[e+11>>0]|0;if(h<<24>>24<0)i=f[e+4>>2]|0;else i=h&255;do if(i|0){h=a+56|0;g=f[d>>2]|0;j=g&-2;if(!(g&1))k=j;else k=f[j+4>>2]|0;j=f[h>>2]|0;if((j|0)==535416){PDa(h,k,e);break}else{Qmc(j,e)|0;break}}while(0);e=f[c+60>>2]|0;k=b[e+11>>0]|0;if(k<<24>>24<0)l=f[e+4>>2]|0;else l=k&255;do if(l|0){k=a+60|0;i=f[d>>2]|0;j=i&-2;if(!(i&1))m=j;else m=f[j+4>>2]|0;j=f[k>>2]|0;if((j|0)==535416){PDa(k,m,e);break}else{Qmc(j,e)|0;break}}while(0);e=f[c+64>>2]|0;m=b[e+11>>0]|0;if(m<<24>>24<0)n=f[e+4>>2]|0;else n=m&255;do if(n|0){m=a+64|0;l=f[d>>2]|0;j=l&-2;if(!(l&1))o=j;else o=f[j+4>>2]|0;j=f[m>>2]|0;if((j|0)==535416){PDa(m,o,e);break}else{Qmc(j,e)|0;break}}while(0);if((c|0)!=529392?(e=c+68|0,o=f[e>>2]|0,o|0):0){d=a+68|0;n=f[d>>2]|0;if(!n){EPa(a);p=f[e>>2]|0;q=f[d>>2]|0}else{p=o;q=n}FPa(q,p|0?p:529472)}if(b[c+72>>0]|0)b[a+72>>0]=1;if(b[c+73>>0]|0)b[a+73>>0]=1;if(b[c+74>>0]|0)b[a+74>>0]=1;if(!(b[c+75>>0]|0))return;b[a+75>>0]=1;return}function CPa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{wQa(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(40)|0;vQa(l);wQa(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,19192,40);l=nBb(i,40)|0;xQa(l,i);wQa(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function DPa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{_Pa(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(48)|0;ZPa(l);_Pa(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,19256,48);l=nBb(i,48)|0;$Pa(l,i);_Pa(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function EPa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=Bmc(20)|0;GPa(c);e=c;g=a+68|0;f[g>>2]=e;return}if(f[d+64>>2]|0)pBb(d,19240,24);c=nBb(d,24)|0;HPa(c,d);e=c;g=a+68|0;f[g>>2]=e;return}function FPa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}e=f[c+8>>2]|0;h=b[e+11>>0]|0;if(h<<24>>24<0)i=f[e+4>>2]|0;else i=h&255;do if(i|0){h=a+8|0;g=f[d>>2]|0;j=g&-2;if(!(g&1))k=j;else k=f[j+4>>2]|0;j=f[h>>2]|0;if((j|0)==535416){PDa(h,k,e);break}else{Qmc(j,e)|0;break}}while(0);e=f[c+12>>2]|0;if(!e)return;f[a+12>>2]=e;return}function GPa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=115132;f[a+4>>2]=0;if((a|0)!=529472?(f[222705]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=32;b[d+8>>0]=0;dEb(890820,d);zDb(d)}f[a+8>>2]=535416;f[a+12>>2]=0;f[a+16>>2]=0;u=c;return}function HPa(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=115132;f[a+4>>2]=c;if((f[222705]|0)!=2){f[e>>2]=149752;f[e+4>>2]=32;b[e+8>>0]=0;dEb(890820,e);zDb(e)}f[a+8>>2]=535416;f[a+12>>2]=0;f[a+16>>2]=0;u=d;return}function IPa(a){a=a|0;var c=0,d=0;f[a>>2]=115132;c=f[a+8>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(d);f[c>>2]=0;return}function JPa(a){a=a|0;IPa(a);Emc(a);return}function KPa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function LPa(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(20)|0;GPa(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,19240,24);a=nBb(b,24)|0;HPa(a,b);c=a;return c|0}function MPa(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function NPa(a){a=a|0;return f[a+4>>2]|0}function OPa(a){a=a|0;var c=0,d=0,e=0;c=a+4|0;d=f[a+8>>2]|0;do if((d|0)!=535416){e=d+11|0;if((b[e>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[e>>0]=0;break}}while(0);f[a+12>>2]=0;a=f[c>>2]|0;if(!(a&1))return;c=a&-2;if(!(f[c>>2]|0))return;L3b(c);return}function PPa(a){a=a|0;return 1}function QPa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;d=c+4|0;e=a+12|0;g=a+8|0;h=a+4|0;i=a+8|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){j=b[a>>0]|0;k=j&255;if(j<<24>>24>0){f[c>>2]=a+1;l=k;m=6}else{n=k;m=5}}else{n=0;m=5}if((m|0)==5){m=0;k=xCb(c,n)|0;if((k+-1|0)>>>0<127){l=k;m=6}else o=k}b:do if((m|0)==6){m=0;switch(l>>>3&536870911|0){case 1:{if((l&255|0)!=8){o=l;break b}k=f[c>>2]|0;if(k>>>0<(f[d>>2]|0)>>>0){a=b[k>>0]|0;j=a&255;if(a<<24>>24>-1){f[c>>2]=k+1;p=j}else{q=j;m=11}}else{q=0;m=11}if((m|0)==11){m=0;j=iCb(c,q)|0;k=J;if((k|0)>-1|(k|0)==-1&j>>>0>4294967295)p=j;else{r=0;m=29;break a}}f[e>>2]=p;continue a;break}case 2:break;default:{o=l;break b}}if((l&255|0)==18){j=f[h>>2]|0;k=j&-2;if(!(j&1))s=k;else s=f[k+4>>2]|0;k=f[g>>2]|0;if((k|0)==535416){PDa(g,s,535416);t=f[g>>2]|0}else t=k;if(!(HEb(c,t)|0)){r=0;m=29;break a}k=f[i>>2]|0;j=b[k+11>>0]|0;if(j<<24>>24<0){u=f[k>>2]|0;v=f[k+4>>2]|0}else{u=k;v=j&255}if(IEb(u,v,0,417560)|0)continue a;else{r=0;m=29;break a}}else o=l}while(0);if(!o){r=1;m=29;break}j=f[h>>2]|0;if(!(j&1))w=AHa(h)|0;else w=j&-2;if(!(b4b(c,o,w)|0)){r=0;m=29;break}}if((m|0)==29)return r|0;return 0}function RPa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=f[a+4>>2]|0;if((c&1|0)!=0&(b[481264]|0)!=0)d=h4b(c&-2)|0;else d=0;c=f[a+8>>2]|0;e=b[c+11>>0]|0;g=e<<24>>24<0;if(g)h=f[c+4>>2]|0;else h=e&255;if(!h)i=d;else{h=g?f[c+4>>2]|0:e&255;i=d+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}h=f[a+12>>2]|0;if(!h){j=i;k=a+16|0;f[k>>2]=j;return j|0}if((h|0)<0)l=11;else l=((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;j=l+i|0;k=a+16|0;f[k>>2]=j;return j|0}function SPa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=f[a+12>>2]|0;if(d|0)mEb(1,d,c);d=a+8|0;e=f[d>>2]|0;g=b[e+11>>0]|0;h=g<<24>>24<0;if(h)i=f[e+4>>2]|0;else i=g&255;if(i|0){if(h){j=f[e>>2]|0;k=f[e+4>>2]|0}else{j=e;k=g&255}IEb(j,k,1,417560)|0;BEb(2,f[d>>2]|0,c)}d=f[a+4>>2]|0;if(!((d&1|0)!=0&(b[481264]|0)!=0))return;e4b(d&-2,c);return}function TPa(a){a=a|0;return f[a+16>>2]|0}function UPa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=f[a+12>>2]|0;if(!c)e=d;else{b[d>>0]=8;g=d+1|0;d=c&255;if(c>>>0>127){h=g;i=d;j=c;k=((c|0)<0)<<31>>31;while(1){b[h>>0]=i|-128;c=j;j=Irc(j|0,k|0,7)|0;l=h+1|0;m=j&255;if(!(k>>>0>0|(k|0)==0&c>>>0>16383)){n=l;o=m;break}else{h=l;i=m;k=J}}}else{n=g;o=d}b[n>>0]=o;e=n+1|0}n=a+8|0;o=f[n>>2]|0;d=b[o+11>>0]|0;g=d<<24>>24<0;if(g)p=f[o+4>>2]|0;else p=d&255;if(!p)q=e;else{if(g){r=f[o>>2]|0;s=f[o+4>>2]|0}else{r=o;s=d&255}IEb(r,s,1,417560)|0;s=f[n>>2]|0;b[e>>0]=18;q=GCb(s,e+1|0)|0}e=f[a+4>>2]|0;if(!((e&1|0)!=0&(b[481264]|0)!=0)){t=q;return t|0}t=f4b(e&-2,q)|0;return t|0}function VPa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function WPa(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,19240,0)|0;if(!c){c2b(b,a);return}else{FPa(a,c);return}}function XPa(a,b){a=a|0;b=b|0;f[a+16>>2]=b;return}function YPa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222700]|0)!=2){f[d>>2]=149752;f[d+4>>2]=27;b[d+8>>0]=0;dEb(890800,d);zDb(d)}d=529552;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function ZPa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=115240;f[a+4>>2]=0;if((a|0)!=529344?(f[222703]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=30;b[d+8>>0]=0;dEb(890812,d);zDb(d)}f[a+8>>2]=535416;f[a+12>>2]=535416;f[a+16>>2]=535416;d=a+20|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;b[d+20>>0]=0;f[a+44>>2]=0;u=c;return}function _Pa(a,b){a=a|0;b=b|0;rQa(b,a);return}function $Pa(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=115240;f[a+4>>2]=c;if((f[222703]|0)!=2){f[e>>2]=149752;f[e+4>>2]=30;b[e+8>>0]=0;dEb(890812,e);zDb(e)}f[a+8>>2]=535416;f[a+12>>2]=535416;f[a+16>>2]=535416;e=a+20|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;b[e+20>>0]=0;f[a+44>>2]=0;u=d;return}function aQa(a){a=a|0;var b=0,c=0;f[a>>2]=115240;uQa(a);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function bQa(a){a=a|0;aQa(a);Emc(a);return}function cQa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function dQa(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(48)|0;ZPa(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,19256,48);a=nBb(b,48)|0;$Pa(a,b);c=a;return c|0}function eQa(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function fQa(a){a=a|0;return f[a+4>>2]|0}function gQa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=a+4|0;d=f[a+8>>2]|0;do if((d|0)!=535416){e=d+11|0;if((b[e>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[e>>0]=0;break}}while(0);d=f[a+12>>2]|0;do if((d|0)!=535416){e=d+11|0;if((b[e>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[e>>0]=0;break}}while(0);d=f[a+16>>2]|0;do if((d|0)!=535416){e=d+11|0;if((b[e>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[e>>0]=0;break}}while(0);d=f[c>>2]|0;e=d&-2;if(!(d&1))g=e;else g=f[e+4>>2]|0;e=a+20|0;if((g|0)==0?(g=f[e>>2]|0,(g|0)!=0):0){ai[f[(f[g>>2]|0)+4>>2]&2047](g);h=f[c>>2]|0}else h=d;f[e>>2]=0;e=h&-2;if(!(h&1))i=e;else i=f[e+4>>2]|0;e=a+24|0;if((i|0)==0?(i=f[e>>2]|0,(i|0)!=0):0){ai[f[(f[i>>2]|0)+4>>2]&2047](i);j=f[c>>2]|0}else j=h;f[e>>2]=0;e=a+32|0;f[e>>2]=0;f[e+4>>2]=0;b[e+8>>0]=0;if(!(j&1))return;e=j&-2;if(!(f[e>>2]|0))return;L3b(e);return}function hQa(a){a=a|0;return 1}function iQa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+4|0;j=a+8|0;k=a+12|0;l=a+12|0;m=a+20|0;n=e+4|0;o=a+16|0;p=a+16|0;q=a+40|0;r=e+8|0;s=a+32|0;t=e+8|0;v=a+24|0;w=e+4|0;a:while(1){x=f[c>>2]|0;if(x>>>0<(f[g>>2]|0)>>>0){y=b[x>>0]|0;z=y&255;if(y<<24>>24>0){f[c>>2]=x+1;A=z;B=6}else{C=z;B=5}}else{C=0;B=5}if((B|0)==5){B=0;z=xCb(c,C)|0;if((z+-1|0)>>>0<127){A=z;B=6}else D=z}b:do if((B|0)==6){B=0;switch(A>>>3&536870911|0){case 1:{if((A&255|0)!=10){D=A;break b}z=f[i>>2]|0;x=z&-2;if(!(z&1))E=x;else E=f[x+4>>2]|0;x=f[h>>2]|0;if((x|0)==535416){PDa(h,E,535416);F=f[h>>2]|0}else F=x;if(!(HEb(c,F)|0)){G=0;B=79;break a}x=f[j>>2]|0;z=b[x+11>>0]|0;if(z<<24>>24<0){H=f[x>>2]|0;I=f[x+4>>2]|0}else{H=x;I=z&255}if(IEb(H,I,0,417641)|0)continue a;else{G=0;B=79;break a}break}case 2:{if((A&255|0)!=18){D=A;break b}z=f[i>>2]|0;x=z&-2;if(!(z&1))J=x;else J=f[x+4>>2]|0;x=f[k>>2]|0;if((x|0)==535416){PDa(k,J,535416);K=f[k>>2]|0}else K=x;if(!(HEb(c,K)|0)){G=0;B=79;break a}x=f[l>>2]|0;z=b[x+11>>0]|0;if(z<<24>>24<0){L=f[x>>2]|0;M=f[x+4>>2]|0}else{L=x;M=z&255}if(IEb(L,M,0,417678)|0)continue a;else{G=0;B=79;break a}break}case 3:{if((A&255|0)!=26){D=A;break b}z=f[m>>2]|0;if(!z){sQa(a);N=f[m>>2]|0}else N=z;z=f[c>>2]|0;if(z>>>0<(f[g>>2]|0)>>>0?(x=b[z>>0]|0,x<<24>>24>-1):0){f[c>>2]=z+1;O=x&255}else{x=wCb(c)|0;if((x|0)>-1)O=x;else{G=0;B=79;break a}}hCb(e,c,O);if((f[n>>2]|0)<0){B=38;break a}if(!(Sh[f[(f[N>>2]|0)+44>>2]&511](N,c)|0)){B=38;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{G=0;B=79;break a}break}case 4:{if((A&255|0)!=34){D=A;break b}x=f[i>>2]|0;z=x&-2;if(!(x&1))P=z;else P=f[z+4>>2]|0;z=f[o>>2]|0;if((z|0)==535416){PDa(o,P,535416);Q=f[o>>2]|0}else Q=z;if(!(HEb(c,Q)|0)){G=0;B=79;break a}z=f[p>>2]|0;x=b[z+11>>0]|0;if(x<<24>>24<0){R=f[z>>2]|0;S=f[z+4>>2]|0}else{R=z;S=x&255}if(IEb(R,S,0,417715)|0)continue a;else{G=0;B=79;break a}break}case 5:{if((A&255|0)!=40){D=A;break b}x=f[c>>2]|0;if(x>>>0<(f[g>>2]|0)>>>0?(z=b[x>>0]|0,z<<24>>24>-1):0){f[c>>2]=x+1;T=z<<24>>24!=0}else{jCb(e,c);z=e;if(!(b[r>>0]|0)){G=0;B=79;break a}else T=(f[z>>2]|0)!=0|(f[z+4>>2]|0)!=0}b[q>>0]=T&1;continue a;break}case 6:{if((A&255|0)!=48){D=A;break b}z=f[c>>2]|0;if(z>>>0<(f[g>>2]|0)>>>0?(x=b[z>>0]|0,x<<24>>24>-1):0){f[c>>2]=z+1;U=x&255;V=0}else{jCb(e,c);x=e;if(!(b[t>>0]|0)){G=0;B=79;break a}else{U=f[x>>2]|0;V=f[x+4>>2]|0}}x=s;f[x>>2]=U;f[x+4>>2]=V;continue a;break}case 7:{if((A&255|0)!=58){D=A;break b}x=f[v>>2]|0;if(!x){tQa(a);W=f[v>>2]|0}else W=x;x=f[c>>2]|0;if(x>>>0<(f[g>>2]|0)>>>0?(z=b[x>>0]|0,z<<24>>24>-1):0){f[c>>2]=x+1;X=z&255}else{z=wCb(c)|0;if((z|0)>-1)X=z;else{G=0;B=79;break a}}hCb(e,c,X);if((f[w>>2]|0)<0){B=72;break a}if(!(Sh[f[(f[W>>2]|0)+44>>2]&511](W,c)|0)){B=72;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{G=0;B=79;break a}break}default:{D=A;break b}}}while(0);if(!D){G=1;B=79;break}z=f[i>>2]|0;if(!(z&1))Y=AHa(i)|0;else Y=z&-2;if(!(b4b(c,D,Y)|0)){G=0;B=79;break}}if((B|0)==38){G=0;u=d;return G|0}else if((B|0)==72){G=0;u=d;return G|0}else if((B|0)==79){u=d;return G|0}return 0}function jQa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;c=f[a+4>>2]|0;if((c&1|0)!=0&(b[481264]|0)!=0)d=h4b(c&-2)|0;else d=0;c=f[a+8>>2]|0;e=b[c+11>>0]|0;g=e<<24>>24<0;if(g)h=f[c+4>>2]|0;else h=e&255;if(!h)i=d;else{h=g?f[c+4>>2]|0:e&255;i=d+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}h=f[a+12>>2]|0;d=b[h+11>>0]|0;e=d<<24>>24<0;if(e)j=f[h+4>>2]|0;else j=d&255;if(!j)k=i;else{j=e?f[h+4>>2]|0:d&255;k=i+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0}j=f[a+16>>2]|0;i=b[j+11>>0]|0;d=i<<24>>24<0;if(d)l=f[j+4>>2]|0;else l=i&255;if(!l)m=k;else{l=d?f[j+4>>2]|0:i&255;m=k+1+l+((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if((a|0)!=529344){l=f[a+20>>2]|0;if(!l)n=m;else{k=ci[f[(f[l>>2]|0)+48>>2]&1023](l)|0;n=m+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}k=f[a+24>>2]|0;if(!k)o=n;else{l=ci[f[(f[k>>2]|0)+48>>2]&1023](k)|0;o=n+1+l+((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)|0}}else o=m;m=a+32|0;l=f[m>>2]|0;n=f[m+4>>2]|0;if((l|0)==0&(n|0)==0){p=o;q=a+40|0;r=b[q>>0]|0;s=r<<24>>24!=0;t=p+2|0;u=s?t:p;v=a+44|0;f[v>>2]=u;return u|0}m=Prc(l|1|0,n|0,1)|0;p=o+1+((((m^63)*9|0)+73|0)>>>6)|0;q=a+40|0;r=b[q>>0]|0;s=r<<24>>24!=0;t=p+2|0;u=s?t:p;v=a+44|0;f[v>>2]=u;return u|0}function kQa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=a+8|0;e=f[d>>2]|0;g=b[e+11>>0]|0;h=g<<24>>24<0;if(h)i=f[e+4>>2]|0;else i=g&255;if(i|0){if(h){j=f[e>>2]|0;k=f[e+4>>2]|0}else{j=e;k=g&255}IEb(j,k,1,417641)|0;BEb(1,f[d>>2]|0,c)}d=a+12|0;k=f[d>>2]|0;j=b[k+11>>0]|0;g=j<<24>>24<0;if(g)l=f[k+4>>2]|0;else l=j&255;if(l|0){if(g){m=f[k>>2]|0;n=f[k+4>>2]|0}else{m=k;n=j&255}IEb(m,n,1,417678)|0;BEb(2,f[d>>2]|0,c)}d=(a|0)==529344;if(!d?(n=f[a+20>>2]|0,n|0):0)GEb(3,n,c);n=a+16|0;m=f[n>>2]|0;j=b[m+11>>0]|0;k=j<<24>>24<0;if(k)o=f[m+4>>2]|0;else o=j&255;if(o|0){if(k){p=f[m>>2]|0;q=f[m+4>>2]|0}else{p=m;q=j&255}IEb(p,q,1,417715)|0;BEb(4,f[n>>2]|0,c)}if(b[a+40>>0]|0)yEb(5,1,c);n=a+32|0;q=f[n>>2]|0;p=f[n+4>>2]|0;if(!((q|0)==0&(p|0)==0))nEb(6,q,p,c);if(!d?(d=f[a+24>>2]|0,d|0):0)GEb(7,d,c);d=f[a+4>>2]|0;if(!((d&1|0)!=0&(b[481264]|0)!=0))return;e4b(d&-2,c);return}function lQa(a){a=a|0;return f[a+44>>2]|0}function mQa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;e=a+8|0;g=f[e>>2]|0;h=b[g+11>>0]|0;i=h<<24>>24<0;if(i)j=f[g+4>>2]|0;else j=h&255;if(!j)k=d;else{if(i){l=f[g>>2]|0;m=f[g+4>>2]|0}else{l=g;m=h&255}IEb(l,m,1,417641)|0;m=f[e>>2]|0;b[d>>0]=10;k=GCb(m,d+1|0)|0}d=a+12|0;m=f[d>>2]|0;e=b[m+11>>0]|0;l=e<<24>>24<0;if(l)n=f[m+4>>2]|0;else n=e&255;if(!n)o=k;else{if(l){p=f[m>>2]|0;q=f[m+4>>2]|0}else{p=m;q=e&255}IEb(p,q,1,417678)|0;q=f[d>>2]|0;b[k>>0]=18;o=GCb(q,k+1|0)|0}k=(a|0)==529344;if(!k?(q=f[a+20>>2]|0,(q|0)!=0):0){b[o>>0]=26;d=o+1|0;p=ci[f[(f[q>>2]|0)+60>>2]&1023](q)|0;if(p>>>0>127){e=p;m=d;while(1){b[m>>0]=e|128;l=e>>>7;n=m+1|0;if(e>>>0>16383){e=l;m=n}else{r=n;s=l;break}}}else{r=d;s=p}b[r>>0]=s;t=ki[f[(f[q>>2]|0)+64>>2]&511](q,c,r+1|0)|0}else t=o;o=a+16|0;r=f[o>>2]|0;q=b[r+11>>0]|0;s=q<<24>>24<0;if(s)u=f[r+4>>2]|0;else u=q&255;if(!u)v=t;else{if(s){w=f[r>>2]|0;x=f[r+4>>2]|0}else{w=r;x=q&255}IEb(w,x,1,417715)|0;x=f[o>>2]|0;b[t>>0]=34;v=GCb(x,t+1|0)|0}if(!(b[a+40>>0]|0))y=v;else{b[v>>0]=40;b[v+1>>0]=1;y=v+2|0}v=a+32|0;t=f[v>>2]|0;x=f[v+4>>2]|0;if((t|0)==0&(x|0)==0)z=y;else{b[y>>0]=48;v=y+1|0;y=t&255;if(x>>>0>0|(x|0)==0&t>>>0>127){o=v;w=y;q=t;t=x;while(1){b[o>>0]=w|-128;x=q;q=Irc(q|0,t|0,7)|0;r=o+1|0;s=q&255;if(!(t>>>0>0|(t|0)==0&x>>>0>16383)){A=r;B=s;break}else{o=r;w=s;t=J}}}else{A=v;B=y}b[A>>0]=B;z=A+1|0}if(!k?(k=f[a+24>>2]|0,(k|0)!=0):0){b[z>>0]=58;A=z+1|0;B=ci[f[(f[k>>2]|0)+60>>2]&1023](k)|0;if(B>>>0>127){y=B;v=A;while(1){b[v>>0]=y|128;t=y>>>7;w=v+1|0;if(y>>>0>16383){y=t;v=w}else{C=w;D=t;break}}}else{C=A;D=B}b[C>>0]=D;E=ki[f[(f[k>>2]|0)+64>>2]&511](k,c,C+1|0)|0}else E=z;z=f[a+4>>2]|0;if(!((z&1|0)!=0&(b[481264]|0)!=0)){F=E;return F|0}F=f4b(z&-2,E)|0;return F|0}function nQa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function oQa(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,19256,0)|0;if(!c){c2b(b,a);return}else{rQa(a,c);return}}function pQa(a,b){a=a|0;b=b|0;f[a+44>>2]=b;return}function qQa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222700]|0)!=2){f[d>>2]=149752;f[d+4>>2]=27;b[d+8>>0]=0;dEb(890800,d);zDb(d)}d=529536;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function rQa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}e=f[c+8>>2]|0;h=b[e+11>>0]|0;if(h<<24>>24<0)i=f[e+4>>2]|0;else i=h&255;do if(i|0){h=a+8|0;g=f[d>>2]|0;j=g&-2;if(!(g&1))k=j;else k=f[j+4>>2]|0;j=f[h>>2]|0;if((j|0)==535416){PDa(h,k,e);break}else{Qmc(j,e)|0;break}}while(0);e=f[c+12>>2]|0;k=b[e+11>>0]|0;if(k<<24>>24<0)l=f[e+4>>2]|0;else l=k&255;do if(l|0){k=a+12|0;i=f[d>>2]|0;j=i&-2;if(!(i&1))m=j;else m=f[j+4>>2]|0;j=f[k>>2]|0;if((j|0)==535416){PDa(k,m,e);break}else{Qmc(j,e)|0;break}}while(0);e=f[c+16>>2]|0;m=b[e+11>>0]|0;if(m<<24>>24<0)n=f[e+4>>2]|0;else n=m&255;do if(n|0){m=a+16|0;l=f[d>>2]|0;j=l&-2;if(!(l&1))o=j;else o=f[j+4>>2]|0;j=f[m>>2]|0;if((j|0)==535416){PDa(m,o,e);break}else{Qmc(j,e)|0;break}}while(0);if((c|0)!=529344){e=c+20|0;o=f[e>>2]|0;if(o|0){d=a+20|0;n=f[d>>2]|0;if(!n){sQa(a);p=f[e>>2]|0;q=f[d>>2]|0}else{p=o;q=n}VJa(q,p|0?p:528848)}p=c+24|0;q=f[p>>2]|0;if(q|0){n=a+24|0;o=f[n>>2]|0;if(!o){tQa(a);r=f[p>>2]|0;s=f[n>>2]|0}else{r=q;s=o}VJa(s,r|0?r:528848)}}r=c+32|0;s=f[r>>2]|0;o=f[r+4>>2]|0;if(!((s|0)==0&(o|0)==0)){r=a+32|0;f[r>>2]=s;f[r+4>>2]=o}if(!(b[c+40>>0]|0))return;b[a+40>>0]=1;return}function sQa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=Bmc(24)|0;kKa(c);e=c;g=a+20|0;f[g>>2]=e;return}if(f[d+64>>2]|0)pBb(d,18968,24);c=nBb(d,24)|0;lKa(c,d);e=c;g=a+20|0;f[g>>2]=e;return}function tQa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=Bmc(24)|0;kKa(c);e=c;g=a+24|0;f[g>>2]=e;return}if(f[d+64>>2]|0)pBb(d,18968,24);c=nBb(d,24)|0;lKa(c,d);e=c;g=a+24|0;f[g>>2]=e;return}function uQa(a){a=a|0;var c=0;c=f[a+8>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+12>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+16>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}if((a|0)==529344)return;c=f[a+20>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+24>>2]|0;if(!c)return;ai[f[(f[c>>2]|0)+4>>2]&2047](c);return}function vQa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=114728;f[a+4>>2]=0;if((a|0)!=529304?(f[222702]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=29;b[d+8>>0]=0;dEb(890808,d);zDb(d)}f[a+8>>2]=535416;f[a+12>>2]=535416;f[a+16>>2]=535416;f[a+20>>2]=535416;f[a+24>>2]=535416;d=a+28|0;f[d>>2]=0;b[d+4>>0]=0;f[a+36>>2]=0;u=c;return}function wQa(a,b){a=a|0;b=b|0;yQa(b,a);return}function xQa(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=114728;f[a+4>>2]=c;if((f[222702]|0)!=2){f[e>>2]=149752;f[e+4>>2]=29;b[e+8>>0]=0;dEb(890808,e);zDb(e)}f[a+8>>2]=535416;f[a+12>>2]=535416;f[a+16>>2]=535416;f[a+20>>2]=535416;f[a+24>>2]=535416;e=a+28|0;f[e>>2]=0;b[e+4>>0]=0;f[a+36>>2]=0;u=d;return}function yQa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}e=f[c+8>>2]|0;h=b[e+11>>0]|0;if(h<<24>>24<0)i=f[e+4>>2]|0;else i=h&255;do if(i|0){h=a+8|0;g=f[d>>2]|0;j=g&-2;if(!(g&1))k=j;else k=f[j+4>>2]|0;j=f[h>>2]|0;if((j|0)==535416){PDa(h,k,e);break}else{Qmc(j,e)|0;break}}while(0);e=f[c+12>>2]|0;k=b[e+11>>0]|0;if(k<<24>>24<0)l=f[e+4>>2]|0;else l=k&255;do if(l|0){k=a+12|0;i=f[d>>2]|0;j=i&-2;if(!(i&1))m=j;else m=f[j+4>>2]|0;j=f[k>>2]|0;if((j|0)==535416){PDa(k,m,e);break}else{Qmc(j,e)|0;break}}while(0);e=f[c+16>>2]|0;m=b[e+11>>0]|0;if(m<<24>>24<0)n=f[e+4>>2]|0;else n=m&255;do if(n|0){m=a+16|0;l=f[d>>2]|0;j=l&-2;if(!(l&1))o=j;else o=f[j+4>>2]|0;j=f[m>>2]|0;if((j|0)==535416){PDa(m,o,e);break}else{Qmc(j,e)|0;break}}while(0);e=f[c+20>>2]|0;o=b[e+11>>0]|0;if(o<<24>>24<0)p=f[e+4>>2]|0;else p=o&255;do if(p|0){o=a+20|0;n=f[d>>2]|0;j=n&-2;if(!(n&1))q=j;else q=f[j+4>>2]|0;j=f[o>>2]|0;if((j|0)==535416){PDa(o,q,e);break}else{Qmc(j,e)|0;break}}while(0);e=f[c+24>>2]|0;q=b[e+11>>0]|0;if(q<<24>>24<0)r=f[e+4>>2]|0;else r=q&255;do if(r|0){q=a+24|0;p=f[d>>2]|0;j=p&-2;if(!(p&1))s=j;else s=f[j+4>>2]|0;j=f[q>>2]|0;if((j|0)==535416){PDa(q,s,e);break}else{Qmc(j,e)|0;break}}while(0);e=f[c+28>>2]|0;if(e|0)f[a+28>>2]=e;if(!(b[c+32>>0]|0))return;b[a+32>>0]=1;return}function zQa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=a+12|0;c=f[b>>2]|0;do if(!c){d=a+4|0;e=f[a+8>>2]|0;g=6}else{h=a+4|0;i=f[h>>2]|0;j=f[c>>2]|0;if((i|0)>=(j|0))if((j|0)==(f[a+8>>2]|0)){d=h;e=j;g=6;break}else{k=h;l=j;m=c;break}f[h>>2]=i+1;n=f[c+4+(i<<2)>>2]|0;return n|0}while(0);if((g|0)==6){uDb(a,e+1|0);e=f[b>>2]|0;k=d;l=f[e>>2]|0;m=e}f[m>>2]=l+1;l=f[a>>2]|0;if(!l){a=Bmc(40)|0;vQa(a);o=a}else{if(f[l+64>>2]|0)pBb(l,19192,40);a=nBb(l,40)|0;xQa(a,l);o=a}a=f[b>>2]|0;b=f[k>>2]|0;f[k>>2]=b+1;f[a+4+(b<<2)>>2]=o;n=o;return n|0}function AQa(a){a=a|0;var c=0;c=f[a+56>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+60>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+64>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}if((a|0)==529392)return;c=f[a+68>>2]|0;if(!c)return;ai[f[(f[c>>2]|0)+4>>2]&2047](c);return}function BQa(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=114916;e=a+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;if((a|0)!=529496?(f[222706]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=33;b[d+8>>0]=0;dEb(890824,d);zDb(d)}f[a+24>>2]=0;u=c;return}function CQa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;f[a>>2]=114916;f[a+4>>2]=c;f[a+8>>2]=c;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;if((f[222706]|0)==2){g=a+24|0;f[g>>2]=0;u=d;return}f[e>>2]=149752;f[e+4>>2]=33;b[e+8>>0]=0;dEb(890824,e);zDb(e);g=a+24|0;f[g>>2]=0;u=d;return}function DQa(a){a=a|0;var c=0;c=f[a+8>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+12>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+16>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+20>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+24>>2]|0;if((c|0)==535416|(c|0)==0)return;if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c);return}function EQa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222701]|0)==2){u=a;return}f[c>>2]=149752;f[c+4>>2]=28;b[c+8>>0]=0;dEb(890804,c);zDb(c);u=a;return}function FQa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222704]|0)==2){u=a;return}f[c>>2]=149752;f[c+4>>2]=31;b[c+8>>0]=0;dEb(890816,c);zDb(c);u=a;return}function GQa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222701]|0)==2){u=a;return}f[c>>2]=149752;f[c+4>>2]=28;b[c+8>>0]=0;dEb(890804,c);zDb(c);u=a;return}function HQa(a){a=a|0;var b=0,c=0;f[a>>2]=120680;b=f[a+24>>2]|0;if(b|0?(f[b>>2]|0)==0:0)Emc(b);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function IQa(a){a=a|0;var b=0,c=0;f[a>>2]=120680;b=f[a+24>>2]|0;if(b|0?(f[b>>2]|0)==0:0)Emc(b);b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function JQa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function KQa(a,b){a=a|0;b=b|0;a=Bmc(32)|0;mVa(a);if(!b)return a|0;Mdb(b,a);return a|0}function LQa(a){a=a|0;return 0}function MQa(a){a=a|0;var b=0;f[a+16>>2]=0;f[a+8>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function NQa(a){a=a|0;return 1}function OQa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+16|0;i=a+20|0;j=a+24|0;k=e+8|0;l=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){m=b[a>>0]|0;n=m&255;if(m<<24>>24>0){f[c>>2]=a+1;o=n;p=6}else{q=n;p=5}}else{q=0;p=5}if((p|0)==5){p=0;n=xCb(c,q)|0;if((n+-1|0)>>>0<127){o=n;p=6}else r=n}b:do if((p|0)==6){p=0;if((o&-8|0)==8){switch((o&255)<<24>>24){case 10:break;case 8:{if(eJa(1,10,c,h)|0)continue a;else{s=0;p=27;break a}break}default:{r=o;break b}}n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0?(a=b[n>>0]|0,a<<24>>24>-1):0){f[c>>2]=n+1;t=a&255}else{a=wCb(c)|0;if((a|0)>-1)t=a;else{s=0;p=27;break a}}a=fCb(c,t)|0;if((nCb(c)|0)>0)do{n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0?(m=b[n>>0]|0,m<<24>>24>-1):0){f[c>>2]=n+1;v=m&255;w=0}else{jCb(e,c);m=e;if(!(b[k>>0]|0)){s=0;p=27;break a}else{v=f[m>>2]|0;w=f[m+4>>2]|0}}m=f[h>>2]|0;if((m|0)==(f[i>>2]|0)){cEa(h,m+1|0);x=f[h>>2]|0}else x=m;m=f[j>>2]|0;f[h>>2]=x+1;n=m+8+(x<<3)|0;f[n>>2]=v;f[n+4>>2]=w}while((nCb(c)|0)>0);gCb(c,a);continue a}else r=o}while(0);if(!r){s=1;p=27;break}n=f[l>>2]|0;if(!(n&1))y=AHa(l)|0;else y=n&-2;if(!(b4b(c,r,y)|0)){s=0;p=27;break}}if((p|0)==27){u=d;return s|0}return 0}function PQa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+16>>2]|0;if((b|0)>0){d=f[a+24>>2]|0;e=0;g=0;do{h=d+8+(g<<3)|0;i=Prc(f[h>>2]|1|0,f[h+4>>2]|0,1)|0;e=((((i^63)*9|0)+73|0)>>>6)+e|0;g=g+1|0}while((g|0)!=(b|0));if(e){if((e|0)<0)j=11;else j=((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;k=e;l=j+c|0}else{k=0;l=c}}else{k=0;l=c}f[a+28>>2]=k;c=l+k|0;f[a+12>>2]=c;return c|0}function QQa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=a+16|0;if((f[d>>2]|0)>0){e=c+8|0;if((f[e>>2]|0)>4){g=c+4|0;b[f[g>>2]>>0]=10;f[g>>2]=(f[g>>2]|0)+1;g=(f[e>>2]|0)+-1|0;f[e>>2]=g;h=g}else{ECb(c,10);h=f[e>>2]|0}g=f[a+28>>2]|0;if((h|0)>4){h=c+4|0;i=f[h>>2]|0;if(g>>>0>127){j=g;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=i;o=g}b[n>>0]=o;o=n+1-i|0;f[h>>2]=(f[h>>2]|0)+o;f[e>>2]=(f[e>>2]|0)-o}else ECb(c,g);g=f[d>>2]|0;if((g|0)>0){d=a+24|0;o=c+8|0;e=c+4|0;h=0;do{i=(f[d>>2]|0)+8+(h<<3)|0;n=f[i>>2]|0;k=f[i+4>>2]|0;if((f[o>>2]|0)>9){i=f[e>>2]|0;j=n&255;if(k>>>0>0|(k|0)==0&n>>>0>127){l=i;m=j;p=n;q=k;while(1){b[l>>0]=m|-128;r=p;p=Irc(p|0,q|0,7)|0;s=l+1|0;t=p&255;if(!(q>>>0>0|(q|0)==0&r>>>0>16383)){u=s;v=t;break}else{l=s;m=t;q=J}}}else{u=i;v=j}b[u>>0]=v;q=u+1-i|0;f[e>>2]=(f[e>>2]|0)+q;f[o>>2]=(f[o>>2]|0)-q}else FCb(c,n,k);h=h+1|0}while((h|0)!=(g|0))}}g=f[a+4>>2]|0;if(!(g&1))return;e4b(g&-2,c);return}function RQa(a){a=a|0;return f[a+12>>2]|0}function SQa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=a+16|0;if((f[c>>2]|0)>0){b[d>>0]=10;e=d+1|0;g=f[a+28>>2]|0;if(g>>>0>127){h=g;i=e;while(1){b[i>>0]=h|128;j=h>>>7;k=i+1|0;if(h>>>0>16383){h=j;i=k}else{l=k;m=j;break}}}else{l=e;m=g}b[l>>0]=m;m=f[c>>2]|0;c=f[a+24>>2]|0;g=0;e=l+1|0;while(1){l=c+8+(g<<3)|0;i=f[l>>2]|0;h=f[l+4>>2]|0;l=i&255;if(h>>>0>0|(h|0)==0&i>>>0>127){j=e;k=l;n=i;i=h;while(1){b[j>>0]=k|-128;h=n;n=Irc(n|0,i|0,7)|0;o=j+1|0;p=n&255;if(!(i>>>0>0|(i|0)==0&h>>>0>16383)){q=o;r=p;break}else{j=o;k=p;i=J}}}else{q=e;r=l}b[q>>0]=r;i=q+1|0;g=g+1|0;if((g|0)>=(m|0)){s=i;break}else e=i}}else s=d;d=f[a+4>>2]|0;if(!(d&1)){t=s;return t|0}t=f4b(d&-2,s)|0;return t|0}function TQa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function UQa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,19272,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}d=a+16|0;g=c+16|0;e=f[g>>2]|0;if(!e)return;cEa(d,(f[d>>2]|0)+e|0);Krc((f[a+24>>2]|0)+8+(f[d>>2]<<3)|0,(f[c+24>>2]|0)+8|0,f[g>>2]<<3|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0);return}function VQa(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function WQa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533520;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function XQa(){var a=0,c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((f[222735]|0)!=2){f[c>>2]=149752;f[c+4>>2]=35;b[c+8>>0]=0;dEb(890940,c);zDb(c)}d=Bmc(32)|0;f[c>>2]=d;f[c+8>>2]=-2147483616;f[c+4>>2]=18;e=d;g=418195;h=e+18|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));b[d+18>>0]=0;wYb(c,120780,121632,115340,0,533520,890828,0);if((b[c+11>>0]|0)>=0){u=a;return}Emc(f[c>>2]|0);u=a;return}function YQa(){ZQa();NIb(418214,18833);R1b(418195,1651);return}function ZQa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222736]|0)!=2){f[c>>2]=149752;f[c+4>>2]=36;b[c+8>>0]=0;dEb(890944,c);zDb(c)}if((f[222737]|0)!=2){f[c>>2]=149752;f[c+4>>2]=37;b[c+8>>0]=0;dEb(890948,c);zDb(c)}if((f[222738]|0)!=2){f[c>>2]=149752;f[c+4>>2]=38;b[c+8>>0]=0;dEb(890952,c);zDb(c)}if((f[222739]|0)!=2){f[c>>2]=149752;f[c+4>>2]=39;b[c+8>>0]=0;dEb(890956,c);zDb(c)}if((f[222740]|0)!=2){f[c>>2]=149752;f[c+4>>2]=40;b[c+8>>0]=0;dEb(890960,c);zDb(c)}if((f[222741]|0)!=2){f[c>>2]=149752;f[c+4>>2]=41;b[c+8>>0]=0;dEb(890964,c);zDb(c)}if((f[222742]|0)!=2){f[c>>2]=149752;f[c+4>>2]=42;b[c+8>>0]=0;dEb(890968,c);zDb(c)}if((f[222743]|0)!=2){f[c>>2]=149752;f[c+4>>2]=43;b[c+8>>0]=0;dEb(890972,c);zDb(c)}if((f[222744]|0)!=2){f[c>>2]=149752;f[c+4>>2]=44;b[c+8>>0]=0;dEb(890976,c);zDb(c)}if((f[222745]|0)!=2){f[c>>2]=149752;f[c+4>>2]=45;b[c+8>>0]=0;dEb(890980,c);zDb(c)}if((f[222746]|0)!=2){f[c>>2]=149752;f[c+4>>2]=46;b[c+8>>0]=0;dEb(890984,c);zDb(c)}if((f[222747]|0)!=2){f[c>>2]=149752;f[c+4>>2]=47;b[c+8>>0]=0;dEb(890988,c);zDb(c)}if((f[222748]|0)!=2){f[c>>2]=149752;f[c+4>>2]=48;b[c+8>>0]=0;dEb(890992,c);zDb(c)}if((f[222749]|0)!=2){f[c>>2]=149752;f[c+4>>2]=49;b[c+8>>0]=0;dEb(890996,c);zDb(c)}if((f[222750]|0)!=2){f[c>>2]=149752;f[c+4>>2]=50;b[c+8>>0]=0;dEb(891e3,c);zDb(c)}if((f[222751]|0)!=2){f[c>>2]=149752;f[c+4>>2]=51;b[c+8>>0]=0;dEb(891004,c);zDb(c)}if((f[222752]|0)!=2){f[c>>2]=149752;f[c+4>>2]=52;b[c+8>>0]=0;dEb(891008,c);zDb(c)}if((f[222753]|0)!=2){f[c>>2]=149752;f[c+4>>2]=53;b[c+8>>0]=0;dEb(891012,c);zDb(c)}if((f[222754]|0)!=2){f[c>>2]=149752;f[c+4>>2]=54;b[c+8>>0]=0;dEb(891016,c);zDb(c)}if((f[222755]|0)!=2){f[c>>2]=149752;f[c+4>>2]=55;b[c+8>>0]=0;dEb(891020,c);zDb(c)}if((f[222756]|0)!=2){f[c>>2]=149752;f[c+4>>2]=56;b[c+8>>0]=0;dEb(891024,c);zDb(c)}if((f[222757]|0)!=2){f[c>>2]=149752;f[c+4>>2]=57;b[c+8>>0]=0;dEb(891028,c);zDb(c)}if((f[222758]|0)!=2){f[c>>2]=149752;f[c+4>>2]=58;b[c+8>>0]=0;dEb(891032,c);zDb(c)}if((f[222759]|0)!=2){f[c>>2]=149752;f[c+4>>2]=59;b[c+8>>0]=0;dEb(891036,c);zDb(c)}if((f[222760]|0)!=2){f[c>>2]=149752;f[c+4>>2]=60;b[c+8>>0]=0;dEb(891040,c);zDb(c)}if((f[222761]|0)!=2){f[c>>2]=149752;f[c+4>>2]=61;b[c+8>>0]=0;dEb(891044,c);zDb(c)}if((f[222762]|0)!=2){f[c>>2]=149752;f[c+4>>2]=62;b[c+8>>0]=0;dEb(891048,c);zDb(c)}if((f[222763]|0)!=2){f[c>>2]=149752;f[c+4>>2]=63;b[c+8>>0]=0;dEb(891052,c);zDb(c)}if((f[222764]|0)!=2){f[c>>2]=149752;f[c+4>>2]=64;b[c+8>>0]=0;dEb(891056,c);zDb(c)}if((f[222765]|0)!=2){f[c>>2]=149752;f[c+4>>2]=65;b[c+8>>0]=0;dEb(891060,c);zDb(c)}if((f[222766]|0)!=2){f[c>>2]=149752;f[c+4>>2]=66;b[c+8>>0]=0;dEb(891064,c);zDb(c)}if((f[222767]|0)!=2){f[c>>2]=149752;f[c+4>>2]=67;b[c+8>>0]=0;dEb(891068,c);zDb(c)}if((f[222768]|0)!=2){f[c>>2]=149752;f[c+4>>2]=68;b[c+8>>0]=0;dEb(891072,c);zDb(c)}if((f[222769]|0)!=2){f[c>>2]=149752;f[c+4>>2]=69;b[c+8>>0]=0;dEb(891076,c);zDb(c)}if((f[222770]|0)!=2){f[c>>2]=149752;f[c+4>>2]=70;b[c+8>>0]=0;dEb(891080,c);zDb(c)}if((f[222771]|0)!=2){f[c>>2]=149752;f[c+4>>2]=71;b[c+8>>0]=0;dEb(891084,c);zDb(c)}if((f[222772]|0)!=2){f[c>>2]=149752;f[c+4>>2]=72;b[c+8>>0]=0;dEb(891088,c);zDb(c)}if((f[222773]|0)!=2){f[c>>2]=149752;f[c+4>>2]=73;b[c+8>>0]=0;dEb(891092,c);zDb(c)}if((f[222774]|0)!=2){f[c>>2]=149752;f[c+4>>2]=74;b[c+8>>0]=0;dEb(891096,c);zDb(c)}if((f[222775]|0)!=2){f[c>>2]=149752;f[c+4>>2]=75;b[c+8>>0]=0;dEb(891100,c);zDb(c)}if((f[222776]|0)!=2){f[c>>2]=149752;f[c+4>>2]=76;b[c+8>>0]=0;dEb(891104,c);zDb(c)}if((f[222777]|0)!=2){f[c>>2]=149752;f[c+4>>2]=77;b[c+8>>0]=0;dEb(891108,c);zDb(c)}if((f[222778]|0)!=2){f[c>>2]=149752;f[c+4>>2]=78;b[c+8>>0]=0;dEb(891112,c);zDb(c)}if((f[222779]|0)!=2){f[c>>2]=149752;f[c+4>>2]=79;b[c+8>>0]=0;dEb(891116,c);zDb(c)}if((f[222780]|0)!=2){f[c>>2]=149752;f[c+4>>2]=80;b[c+8>>0]=0;dEb(891120,c);zDb(c)}if((f[222781]|0)!=2){f[c>>2]=149752;f[c+4>>2]=81;b[c+8>>0]=0;dEb(891124,c);zDb(c)}if((f[222782]|0)!=2){f[c>>2]=149752;f[c+4>>2]=82;b[c+8>>0]=0;dEb(891128,c);zDb(c)}if((f[222783]|0)!=2){f[c>>2]=149752;f[c+4>>2]=83;b[c+8>>0]=0;dEb(891132,c);zDb(c)}if((f[222784]|0)!=2){f[c>>2]=149752;f[c+4>>2]=84;b[c+8>>0]=0;dEb(891136,c);zDb(c)}if((f[222785]|0)!=2){f[c>>2]=149752;f[c+4>>2]=85;b[c+8>>0]=0;dEb(891140,c);zDb(c)}if((f[222786]|0)!=2){f[c>>2]=149752;f[c+4>>2]=86;b[c+8>>0]=0;dEb(891144,c);zDb(c)}if((f[222787]|0)!=2){f[c>>2]=149752;f[c+4>>2]=87;b[c+8>>0]=0;dEb(891148,c);zDb(c)}if((f[222788]|0)!=2){f[c>>2]=149752;f[c+4>>2]=88;b[c+8>>0]=0;dEb(891152,c);zDb(c)}if((f[222789]|0)!=2){f[c>>2]=149752;f[c+4>>2]=89;b[c+8>>0]=0;dEb(891156,c);zDb(c)}if((f[222790]|0)!=2){f[c>>2]=149752;f[c+4>>2]=90;b[c+8>>0]=0;dEb(891160,c);zDb(c)}if((f[222791]|0)!=2){f[c>>2]=149752;f[c+4>>2]=91;b[c+8>>0]=0;dEb(891164,c);zDb(c)}if((f[222792]|0)!=2){f[c>>2]=149752;f[c+4>>2]=92;b[c+8>>0]=0;dEb(891168,c);zDb(c)}if((f[222793]|0)!=2){f[c>>2]=149752;f[c+4>>2]=93;b[c+8>>0]=0;dEb(891172,c);zDb(c)}if((f[222794]|0)!=2){f[c>>2]=149752;f[c+4>>2]=94;b[c+8>>0]=0;dEb(891176,c);zDb(c)}if((f[222795]|0)!=2){f[c>>2]=149752;f[c+4>>2]=95;b[c+8>>0]=0;dEb(891180,c);zDb(c)}if((f[222796]|0)!=2){f[c>>2]=149752;f[c+4>>2]=96;b[c+8>>0]=0;dEb(891184,c);zDb(c)}if((f[222797]|0)!=2){f[c>>2]=149752;f[c+4>>2]=97;b[c+8>>0]=0;dEb(891188,c);zDb(c)}if((f[222798]|0)!=2){f[c>>2]=149752;f[c+4>>2]=98;b[c+8>>0]=0;dEb(891192,c);zDb(c)}if((f[222799]|0)!=2){f[c>>2]=149752;f[c+4>>2]=99;b[c+8>>0]=0;dEb(891196,c);zDb(c)}if((f[222800]|0)!=2){f[c>>2]=149752;f[c+4>>2]=100;b[c+8>>0]=0;dEb(891200,c);zDb(c)}if((f[222801]|0)!=2){f[c>>2]=149752;f[c+4>>2]=101;b[c+8>>0]=0;dEb(891204,c);zDb(c)}if((f[222802]|0)!=2){f[c>>2]=149752;f[c+4>>2]=102;b[c+8>>0]=0;dEb(891208,c);zDb(c)}if((f[222803]|0)!=2){f[c>>2]=149752;f[c+4>>2]=103;b[c+8>>0]=0;dEb(891212,c);zDb(c)}if((f[222804]|0)!=2){f[c>>2]=149752;f[c+4>>2]=104;b[c+8>>0]=0;dEb(891216,c);zDb(c)}if((f[222805]|0)!=2){f[c>>2]=149752;f[c+4>>2]=105;b[c+8>>0]=0;dEb(891220,c);zDb(c)}if((f[222806]|0)==2){u=a;return}f[c>>2]=149752;f[c+4>>2]=106;b[c+8>>0]=0;dEb(891224,c);zDb(c);u=a;return}function _Qa(a){a=a|0;var c=0;a=u;u=u+16|0;c=a;if((f[222734]|0)!=2){f[c>>2]=149752;f[c+4>>2]=34;b[c+8>>0]=0;dEb(890936,c);zDb(c)}BYb(533520,71);u=a;return}function $Qa(){CDb(3005001,3005e3,437048);tBb();f[132392]=120680;f[132393]=0;f[132394]=0;f[132395]=0;f[132396]=0;f[132397]=0;f[132398]=0;$Db(529568);return}function aRa(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,437048);tBb();if((f[222736]|0)!=2){f[c>>2]=149752;f[c+4>>2]=36;b[c+8>>0]=0;dEb(890944,c);zDb(c)}f[132400]=122788;f[132401]=0;f[132408]=0;f[132409]=0;f[132410]=0;f[132412]=0;f[132413]=0;f[132414]=0;f[132416]=0;f[132417]=0;f[132418]=0;f[132402]=0;f[132403]=0;f[132404]=0;f[132405]=0;f[132406]=0;f[132420]=535416;f[132421]=0;f[132422]=0;f[132423]=0;f[132424]=0;f[132425]=0;f[132426]=0;$Db(529600);f[132421]=529568;u=a;return}function bRa(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,437048);tBb();if((f[222737]|0)!=2){f[c>>2]=149752;f[c+4>>2]=37;b[c+8>>0]=0;dEb(890948,c);zDb(c)}f[132428]=129376;f[132429]=0;f[132430]=0;f[132431]=0;f[132432]=0;f[132433]=0;f[132434]=0;f[132435]=0;$Db(529712);u=a;return}function cRa(){CDb(3005001,3005e3,437048);tBb();f[132436]=128512;f[132437]=0;f[132438]=0;f[132439]=0;f[132440]=0;f[132441]=0;f[132442]=0;$Db(529744);return}function dRa(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,437048);tBb();if((f[222744]|0)!=2){f[c>>2]=149752;f[c+4>>2]=44;b[c+8>>0]=0;dEb(890976,c);zDb(c)}f[132444]=128404;f[132445]=0;f[132446]=0;f[132447]=0;f[132448]=0;b[529796]=1;b[529797]=1;n[132450]=1.000000013351432e-10;$Db(529776);f[132448]=530048;u=a;return}function eRa(){var a=0,c=0;CDb(3005001,3005e3,437048);tBb();f[132452]=128296;f[132453]=0;a=529816;c=a+112|0;do{f[a>>2]=0;a=a+4|0}while((a|0)<(c|0));b[529928]=1;b[529929]=1;n[132483]=.5;$Db(529808);return}function fRa(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,437048);tBb();if((f[222763]|0)!=2){f[c>>2]=149752;f[c+4>>2]=63;b[c+8>>0]=0;dEb(891052,c);zDb(c)}if((f[222764]|0)!=2){f[c>>2]=149752;f[c+4>>2]=64;b[c+8>>0]=0;dEb(891056,c);zDb(c)}f[132484]=128620;f[132485]=0;f[132486]=0;f[132487]=0;f[132488]=0;f[132489]=0;f[132490]=0;f[132491]=0;f[132492]=0;f[132493]=0;f[132494]=-1;f[132495]=1;b[529984]=1;b[529985]=1;$Db(529936);f[132488]=531448;f[132489]=531480;u=a;return}function gRa(){CDb(3005001,3005e3,437048);tBb();f[132498]=129268;f[132499]=0;f[132500]=0;f[132501]=0;f[132502]=0;f[132503]=0;f[132504]=0;f[132505]=535416;f[132506]=0;f[132507]=0;f[132508]=0;f[132509]=0;b[530040]=0;$Db(529992);return}function hRa(){var a=0,c=0,d=0,e=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,437048);tBb();f[133360]=0;f[133361]=0;f[133362]=0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;d=c+11|0;b[d>>0]=8;e=c;f[e>>2]=1936617315;f[e+4>>2]=1953390964;b[c+8>>0]=0;Qmc(533440,c)|0;if((b[d>>0]|0)<0)Emc(f[c>>2]|0);ZDb(533440);f[132512]=122464;f[132513]=0;f[132514]=0;f[132515]=0;f[132516]=533440;f[132517]=0;f[132518]=0;f[132519]=0;f[132520]=0;f[132521]=-1;n[132522]=1.0;n[132523]=1.0;$Db(530048);u=a;return}function iRa(){var a=0,c=0,e=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,437048);tBb();if((f[222736]|0)!=2){f[c>>2]=149752;f[c+4>>2]=36;b[c+8>>0]=0;dEb(890944,c);zDb(c)}if((f[222748]|0)!=2){f[c>>2]=149752;f[c+4>>2]=48;b[c+8>>0]=0;dEb(890992,c);zDb(c)}if((f[222751]|0)!=2){f[c>>2]=149752;f[c+4>>2]=51;b[c+8>>0]=0;dEb(891004,c);zDb(c)}if((f[222800]|0)!=2){f[c>>2]=149752;f[c+4>>2]=100;b[c+8>>0]=0;dEb(891200,c);zDb(c)}f[132524]=129160;f[132525]=0;c=530104;e=c+84|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(e|0));f[132547]=535416;f[132548]=0;d[265098]=0;$Db(530096);f[132548]=530480;u=a;return}function jRa(){var a=0,c=0,e=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,437048);tBb();if((f[222745]|0)!=2){f[c>>2]=149752;f[c+4>>2]=45;b[c+8>>0]=0;dEb(890980,c);zDb(c)}if((f[222748]|0)!=2){f[c>>2]=149752;f[c+4>>2]=48;b[c+8>>0]=0;dEb(890992,c);zDb(c)};f[133364]=0;f[133365]=0;f[133366]=0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;e=c+11|0;b[e>>0]=2;d[c>>1]=12876;b[c+2>>0]=0;Qmc(533456,c)|0;if((b[e>>0]|0)<0)Emc(f[c>>2]|0);ZDb(533456);f[133368]=0;f[133369]=0;f[133370]=0;e=c+4|0;f[e>>2]=0;f[e+4>>2]=0;e=c+11|0;b[e>>0]=3;b[c>>0]=b[439435]|0;b[c+1>>0]=b[439436]|0;b[c+2>>0]=b[439437]|0;b[c+3>>0]=0;Qmc(533472,c)|0;if((b[e>>0]|0)<0)Emc(f[c>>2]|0);ZDb(533472);f[132550]=129052;c=530204;e=c+84|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(e|0));f[132572]=535416;f[132573]=535416;f[132574]=535416;f[132575]=535416;f[132576]=533456;f[132577]=533472;c=530312;e=c+64|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(e|0));n[132594]=.9990000128746033;c=530384;f[c>>2]=-1;f[c+4>>2]=-1;f[132598]=1;b[530396]=1;b[530397]=1;n[132600]=9.99999993922529e-09;f[132601]=1;n[132602]=-1.0;f[132603]=1;f[132604]=1;n[132605]=.9900000095367432;f[132606]=0;$Db(530200);f[132579]=530096;f[132578]=530096;f[132580]=530480;u=a;return}function kRa(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,437048);tBb();if((f[222737]|0)!=2){f[c>>2]=149752;f[c+4>>2]=37;b[c+8>>0]=0;dEb(890948,c);zDb(c)}f[132608]=128944;f[132609]=0;f[132610]=0;f[132611]=0;f[132612]=0;f[132613]=0;f[132614]=0;f[132615]=0;f[132616]=535416;c=530468;f[c>>2]=0;f[c+4>>2]=0;$Db(530432);u=a;return}function lRa(){CDb(3005001,3005e3,437048);tBb();f[132620]=128836;f[132621]=0;f[132622]=0;f[132623]=0;f[132624]=0;f[132625]=0;f[132626]=0;f[132627]=0;f[132628]=0;f[132629]=1;$Db(530480);return}function mRa(){var a=0,b=0;CDb(3005001,3005e3,437048);tBb();f[132630]=126136;f[132631]=0;a=530528;b=a+52|0;do{f[a>>2]=0;a=a+4|0}while((a|0)<(b|0));$Db(530520);return}function nRa(){CDb(3005001,3005e3,437048);tBb();f[132646]=128728;f[132647]=0;f[132648]=0;f[132649]=0;f[132650]=535416;f[132651]=0;n[132652]=1.0;n[132653]=1.0;$Db(530584);return}function oRa(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,437048);tBb();if((f[222750]|0)!=2){f[c>>2]=149752;f[c+4>>2]=50;b[c+8>>0]=0;dEb(891e3,c);zDb(c)}if((f[222737]|0)!=2){f[c>>2]=149752;f[c+4>>2]=37;b[c+8>>0]=0;dEb(890948,c);zDb(c)}if((f[222749]|0)!=2){f[c>>2]=149752;f[c+4>>2]=49;b[c+8>>0]=0;dEb(890996,c);zDb(c)}if((f[222752]|0)!=2){f[c>>2]=149752;f[c+4>>2]=52;b[c+8>>0]=0;dEb(891008,c);zDb(c)}if((f[222753]|0)!=2){f[c>>2]=149752;f[c+4>>2]=53;b[c+8>>0]=0;dEb(891012,c);zDb(c)}if((f[222754]|0)!=2){f[c>>2]=149752;f[c+4>>2]=54;b[c+8>>0]=0;dEb(891016,c);zDb(c)}if((f[222755]|0)!=2){f[c>>2]=149752;f[c+4>>2]=55;b[c+8>>0]=0;dEb(891020,c);zDb(c)}if((f[222757]|0)!=2){f[c>>2]=149752;f[c+4>>2]=57;b[c+8>>0]=0;dEb(891028,c);zDb(c)}if((f[222758]|0)!=2){f[c>>2]=149752;f[c+4>>2]=58;b[c+8>>0]=0;dEb(891032,c);zDb(c)}if((f[222756]|0)!=2){f[c>>2]=149752;f[c+4>>2]=56;b[c+8>>0]=0;dEb(891024,c);zDb(c)}if((f[222759]|0)!=2){f[c>>2]=149752;f[c+4>>2]=59;b[c+8>>0]=0;dEb(891036,c);zDb(c)}if((f[222760]|0)!=2){f[c>>2]=149752;f[c+4>>2]=60;b[c+8>>0]=0;dEb(891040,c);zDb(c)}if((f[222761]|0)!=2){f[c>>2]=149752;f[c+4>>2]=61;b[c+8>>0]=0;dEb(891044,c);zDb(c)}if((f[222762]|0)!=2){f[c>>2]=149752;f[c+4>>2]=62;b[c+8>>0]=0;dEb(891048,c);zDb(c)}if((f[222742]|0)!=2){f[c>>2]=149752;f[c+4>>2]=42;b[c+8>>0]=0;dEb(890968,c);zDb(c)}if((f[222765]|0)!=2){f[c>>2]=149752;f[c+4>>2]=65;b[c+8>>0]=0;dEb(891060,c);zDb(c)}if((f[222766]|0)!=2){f[c>>2]=149752;f[c+4>>2]=66;b[c+8>>0]=0;dEb(891064,c);zDb(c)}if((f[222767]|0)!=2){f[c>>2]=149752;f[c+4>>2]=67;b[c+8>>0]=0;dEb(891068,c);zDb(c)}if((f[222768]|0)!=2){f[c>>2]=149752;f[c+4>>2]=68;b[c+8>>0]=0;dEb(891072,c);zDb(c)}if((f[222769]|0)!=2){f[c>>2]=149752;f[c+4>>2]=69;b[c+8>>0]=0;dEb(891076,c);zDb(c)}if((f[222770]|0)!=2){f[c>>2]=149752;f[c+4>>2]=70;b[c+8>>0]=0;dEb(891080,c);zDb(c)}if((f[222771]|0)!=2){f[c>>2]=149752;f[c+4>>2]=71;b[c+8>>0]=0;dEb(891084,c);zDb(c)}if((f[222772]|0)!=2){f[c>>2]=149752;f[c+4>>2]=72;b[c+8>>0]=0;dEb(891088,c);zDb(c)}if((f[222773]|0)!=2){f[c>>2]=149752;f[c+4>>2]=73;b[c+8>>0]=0;dEb(891092,c);zDb(c)}if((f[222774]|0)!=2){f[c>>2]=149752;f[c+4>>2]=74;b[c+8>>0]=0;dEb(891096,c);zDb(c)}if((f[222775]|0)!=2){f[c>>2]=149752;f[c+4>>2]=75;b[c+8>>0]=0;dEb(891100,c);zDb(c)}if((f[222776]|0)!=2){f[c>>2]=149752;f[c+4>>2]=76;b[c+8>>0]=0;dEb(891104,c);zDb(c)}if((f[222777]|0)!=2){f[c>>2]=149752;f[c+4>>2]=77;b[c+8>>0]=0;dEb(891108,c);zDb(c)}if((f[222778]|0)!=2){f[c>>2]=149752;f[c+4>>2]=78;b[c+8>>0]=0;dEb(891112,c);zDb(c)}if((f[222779]|0)!=2){f[c>>2]=149752;f[c+4>>2]=79;b[c+8>>0]=0;dEb(891116,c);zDb(c)}if((f[222780]|0)!=2){f[c>>2]=149752;f[c+4>>2]=80;b[c+8>>0]=0;dEb(891120,c);zDb(c)}if((f[222781]|0)!=2){f[c>>2]=149752;f[c+4>>2]=81;b[c+8>>0]=0;dEb(891124,c);zDb(c)}if((f[222782]|0)!=2){f[c>>2]=149752;f[c+4>>2]=82;b[c+8>>0]=0;dEb(891128,c);zDb(c)}if((f[222740]|0)!=2){f[c>>2]=149752;f[c+4>>2]=40;b[c+8>>0]=0;dEb(890960,c);zDb(c)}if((f[222739]|0)!=2){f[c>>2]=149752;f[c+4>>2]=39;b[c+8>>0]=0;dEb(890956,c);zDb(c)}if((f[222783]|0)!=2){f[c>>2]=149752;f[c+4>>2]=83;b[c+8>>0]=0;dEb(891132,c);zDb(c)}if((f[222784]|0)!=2){f[c>>2]=149752;f[c+4>>2]=84;b[c+8>>0]=0;dEb(891136,c);zDb(c)}if((f[222785]|0)!=2){f[c>>2]=149752;f[c+4>>2]=85;b[c+8>>0]=0;dEb(891140,c);zDb(c)}if((f[222802]|0)!=2){f[c>>2]=149752;f[c+4>>2]=102;b[c+8>>0]=0;dEb(891208,c);zDb(c)}if((f[222741]|0)!=2){f[c>>2]=149752;f[c+4>>2]=41;b[c+8>>0]=0;dEb(890964,c);zDb(c)}if((f[222805]|0)!=2){f[c>>2]=149752;f[c+4>>2]=105;b[c+8>>0]=0;dEb(891220,c);zDb(c)}if((f[222806]|0)!=2){f[c>>2]=149752;f[c+4>>2]=106;b[c+8>>0]=0;dEb(891224,c);zDb(c)}if((f[222786]|0)!=2){f[c>>2]=149752;f[c+4>>2]=86;b[c+8>>0]=0;dEb(891144,c);zDb(c)}if((f[222787]|0)!=2){f[c>>2]=149752;f[c+4>>2]=87;b[c+8>>0]=0;dEb(891148,c);zDb(c)}if((f[222788]|0)!=2){f[c>>2]=149752;f[c+4>>2]=88;b[c+8>>0]=0;dEb(891152,c);zDb(c)}if((f[222789]|0)!=2){f[c>>2]=149752;f[c+4>>2]=89;b[c+8>>0]=0;dEb(891156,c);zDb(c)}if((f[222790]|0)!=2){f[c>>2]=149752;f[c+4>>2]=90;b[c+8>>0]=0;dEb(891160,c);zDb(c)}if((f[222804]|0)!=2){f[c>>2]=149752;f[c+4>>2]=104;b[c+8>>0]=0;dEb(891216,c);zDb(c)}if((f[222791]|0)!=2){f[c>>2]=149752;f[c+4>>2]=91;b[c+8>>0]=0;dEb(891164,c);zDb(c)}if((f[222792]|0)!=2){f[c>>2]=149752;f[c+4>>2]=92;b[c+8>>0]=0;dEb(891168,c);zDb(c)}if((f[222794]|0)!=2){f[c>>2]=149752;f[c+4>>2]=94;b[c+8>>0]=0;dEb(891176,c);zDb(c)}if((f[222799]|0)!=2){f[c>>2]=149752;f[c+4>>2]=99;b[c+8>>0]=0;dEb(891196,c);zDb(c)}if((f[222793]|0)!=2){f[c>>2]=149752;f[c+4>>2]=93;b[c+8>>0]=0;dEb(891172,c);zDb(c)}if((f[222795]|0)!=2){f[c>>2]=149752;f[c+4>>2]=95;b[c+8>>0]=0;dEb(891180,c);zDb(c)}if((f[222797]|0)!=2){f[c>>2]=149752;f[c+4>>2]=97;b[c+8>>0]=0;dEb(891188,c);zDb(c)}if((f[222796]|0)!=2){f[c>>2]=149752;f[c+4>>2]=96;b[c+8>>0]=0;dEb(891184,c);zDb(c)}if((f[222798]|0)==2){f[132654]=128188;Drc(530620,0,132)|0;f[132688]=535416;f[132689]=535416;Drc(530760,0,224)|0;$Db(530616);f[132690]=530984;f[132691]=531032;f[132692]=531064;f[132693]=531096;f[132729]=531152;f[132731]=531184;f[132694]=531128;f[132695]=531216;f[132696]=531240;f[132734]=531360;f[132697]=531392;f[132737]=529936;f[132698]=531520;f[132699]=531544;f[132700]=531640;f[132730]=531680;f[132727]=531704;f[132701]=531744;f[132725]=531776;f[132702]=531800;f[132703]=531832;f[132704]=531856;f[132705]=531880;f[132706]=531944;f[132707]=531968;f[132733]=532008;f[132724]=532040;f[132708]=532072;f[132709]=532112;f[132710]=532144;f[132739]=529776;f[132738]=529744;f[132735]=532168;f[132711]=532192;f[132712]=532264;f[132721]=533240;f[132740]=529808;f[132741]=533344;f[132742]=533408;f[132720]=532296;f[132736]=532328;f[132726]=532360;f[132713]=532392;f[132723]=532416;f[132743]=533312;f[132732]=532448;f[132714]=532488;f[132715]=532552;f[132722]=532712;f[132716]=532512;f[132717]=532576;f[132718]=532624;f[132728]=532600;f[132719]=532648;u=a;return}f[c>>2]=149752;f[c+4>>2]=98;b[c+8>>0]=0;dEb(891192,c);zDb(c);f[132654]=128188;Drc(530620,0,132)|0;f[132688]=535416;f[132689]=535416;Drc(530760,0,224)|0;$Db(530616);f[132690]=530984;f[132691]=531032;f[132692]=531064;f[132693]=531096;f[132729]=531152;f[132731]=531184;f[132694]=531128;f[132695]=531216;f[132696]=531240;f[132734]=531360;f[132697]=531392;f[132737]=529936;f[132698]=531520;f[132699]=531544;f[132700]=531640;f[132730]=531680;f[132727]=531704;f[132701]=531744;f[132725]=531776;f[132702]=531800;f[132703]=531832;f[132704]=531856;f[132705]=531880;f[132706]=531944;f[132707]=531968;f[132733]=532008;f[132724]=532040;f[132708]=532072;f[132709]=532112;f[132710]=532144;f[132739]=529776;f[132738]=529744;f[132735]=532168;f[132711]=532192;f[132712]=532264;f[132721]=533240;f[132740]=529808;f[132741]=533344;f[132742]=533408;f[132720]=532296;f[132736]=532328;f[132726]=532360;f[132713]=532392;f[132723]=532416;f[132743]=533312;f[132732]=532448;f[132714]=532488;f[132715]=532552;f[132722]=532712;f[132716]=532512;f[132717]=532576;f[132718]=532624;f[132728]=532600;f[132719]=532648;u=a;return}function pRa(){CDb(3005001,3005e3,437048);tBb();f[132746]=123652;f[132747]=0;f[132748]=0;f[132749]=0;f[132750]=0;f[132751]=0;f[132752]=0;f[132753]=535416;f[132754]=0;d[265510]=0;b[531022]=0;n[132756]=1.0;$Db(530984);return}function qRa(){CDb(3005001,3005e3,437048);tBb();f[132758]=123004;f[132759]=0;f[132760]=0;f[132761]=0;f[132762]=0;b[531052]=0;f[132764]=1;$Db(531032);return}function rRa(){CDb(3005001,3005e3,437048);tBb();f[132766]=124192;f[132767]=0;f[132768]=0;f[132769]=0;f[132770]=0;f[132771]=1;f[132772]=1;$Db(531064);return}function sRa(){CDb(3005001,3005e3,437048);tBb();f[132774]=124624;f[132775]=0;f[132776]=0;f[132777]=0;f[132778]=0;f[132779]=0;f[132780]=1;$Db(531096);return}function tRa(){CDb(3005001,3005e3,437048);tBb();f[132782]=126028;f[132783]=0;f[132784]=0;f[132785]=0;f[132786]=1;f[132787]=1;$Db(531128);return}function uRa(){CDb(3005001,3005e3,437048);tBb();f[132788]=128080;f[132789]=0;f[132790]=0;f[132791]=0;d[265584]=0;n[132793]=.9990000128746033;n[132794]=9.999999747378752e-06;$Db(531152);return}function vRa(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,437048);tBb();if((f[222744]|0)!=2){f[c>>2]=149752;f[c+4>>2]=44;b[c+8>>0]=0;dEb(890976,c);zDb(c)}f[132796]=127972;f[132797]=0;f[132798]=0;f[132799]=0;f[132800]=0;f[132801]=1;f[132802]=1;$Db(531184);f[132800]=530048;u=a;return}function wRa(){CDb(3005001,3005e3,437048);tBb();f[132804]=123220;f[132805]=0;f[132806]=0;f[132807]=0;b[531232]=0;n[132809]=1.0;$Db(531216);return}function xRa(){var a=0,c=0,d=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,437048);tBb();if((f[222744]|0)!=2){f[c>>2]=149752;f[c+4>>2]=44;b[c+8>>0]=0;dEb(890976,c);zDb(c)}f[132810]=125920;f[132811]=0;c=531248;d=c+96|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(d|0));b[531344]=0;f[132837]=1;b[531352]=1;f[132839]=1;$Db(531240);f[132826]=530048;f[132827]=530048;u=a;return}function yRa(){CDb(3005001,3005e3,437048);tBb();f[132840]=127864;f[132841]=0;f[132842]=0;f[132843]=0;f[132844]=0;f[132845]=0;f[132846]=0;f[132847]=2;$Db(531360);return}function zRa(){CDb(3005001,3005e3,437048);tBb();f[132848]=125812;f[132849]=0;f[132850]=0;f[132851]=0;f[132852]=535416;f[132853]=535416;f[132854]=0;f[132855]=0;f[132856]=0;f[132857]=0;f[132858]=0;n[132859]=1.0;f[132860]=4;$Db(531392);return}function ARa(){CDb(3005001,3005e3,437048);tBb();f[132862]=127756;f[132863]=0;f[132864]=0;f[132865]=0;f[132866]=0;n[132867]=.30000001192092896;n[132868]=1.0;$Db(531448);return}function BRa(){CDb(3005001,3005e3,437048);tBb();f[132870]=127648;f[132871]=0;f[132872]=0;f[132873]=0;f[132874]=535416;f[132875]=535416;f[132876]=535416;f[132877]=535416;f[132878]=535416;f[132879]=0;$Db(531480);return}function CRa(){CDb(3005001,3005e3,437048);tBb();f[132880]=125704;f[132881]=0;f[132882]=0;f[132883]=0;n[132884]=.5;b[531540]=1;$Db(531520);return}function DRa(){var a=0,c=0,d=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,437048);tBb();if((f[222744]|0)!=2){f[c>>2]=149752;f[c+4>>2]=44;b[c+8>>0]=0;dEb(890976,c);zDb(c)}if((f[222736]|0)!=2){f[c>>2]=149752;f[c+4>>2]=36;b[c+8>>0]=0;dEb(890944,c);zDb(c)}f[132886]=124300;f[132887]=0;c=531552;d=c+88|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(d|0));$Db(531544);u=a;return}function ERa(){CDb(3005001,3005e3,437048);tBb();f[132910]=124516;f[132911]=0;f[132912]=0;f[132913]=0;f[132914]=0;f[132915]=0;f[132916]=0;f[132917]=1;b[531672]=1;$Db(531640);return}function FRa(){CDb(3005001,3005e3,437048);tBb();f[132920]=127540;f[132921]=0;f[132922]=0;f[132923]=0;n[132924]=1.0;$Db(531680);return}function GRa(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,437048);tBb();if((f[222744]|0)!=2){f[c>>2]=149752;f[c+4>>2]=44;b[c+8>>0]=0;dEb(890976,c);zDb(c)}f[132926]=127432;f[132927]=0;f[132928]=0;f[132929]=0;f[132930]=0;f[132931]=0;f[132932]=0;f[132933]=0;b[531736]=1;$Db(531704);f[132930]=530048;f[132931]=530048;u=a;return}function HRa(){CDb(3005001,3005e3,437048);tBb();f[132936]=123112;f[132937]=0;f[132938]=0;f[132939]=0;n[132940]=0.0;n[132941]=-1.0;n[132942]=1.0;$Db(531744);return}function IRa(){CDb(3005001,3005e3,437048);tBb();f[132944]=127324;f[132945]=0;f[132946]=0;f[132947]=0;f[132948]=1;f[132949]=-1;$Db(531776);return}function JRa(){CDb(3005001,3005e3,437048);tBb();f[132950]=125596;f[132951]=0;f[132952]=0;f[132953]=0;f[132954]=535416;f[132955]=0;b[531824]=0;$Db(531800);return}function KRa(){CDb(3005001,3005e3,437048);tBb();f[132958]=122680;f[132959]=0;f[132960]=0;f[132961]=0;f[132962]=535416;$Db(531832);return}function LRa(){CDb(3005001,3005e3,437048);tBb();f[132964]=124084;f[132965]=0;f[132966]=0;f[132967]=0;f[132968]=1;$Db(531856);return}function MRa(){CDb(3005001,3005e3,437048);tBb();f[132970]=125488;f[132971]=0;f[132972]=0;f[132973]=0;f[132974]=535416;f[132975]=535416;f[132976]=535416;f[132977]=0;f[132978]=0;f[132979]=0;f[132980]=0;f[132981]=0;b[531928]=1;n[132983]=1.0;f[132984]=1;$Db(531880);return}function NRa(){CDb(3005001,3005e3,437048);tBb();f[132986]=125380;f[132987]=0;f[132988]=0;f[132989]=0;f[132990]=535416;$Db(531944);return}function ORa(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,437048);tBb();if((f[222744]|0)!=2){f[c>>2]=149752;f[c+4>>2]=44;b[c+8>>0]=0;dEb(890976,c);zDb(c)}f[132992]=125272;f[132993]=0;f[132994]=0;f[132995]=0;f[132996]=0;f[132997]=0;f[132998]=0;b[531996]=0;b[531997]=1;f[133e3]=1;$Db(531968);f[132996]=530048;f[132997]=530048;u=a;return}function PRa(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,437048);tBb();if((f[222736]|0)!=2){f[c>>2]=149752;f[c+4>>2]=36;b[c+8>>0]=0;dEb(890944,c);zDb(c)}f[133002]=127216;f[133003]=0;f[133004]=0;f[133005]=0;f[133006]=0;f[133007]=0;f[133008]=0;f[133009]=0;$Db(532008);u=a;return}function QRa(){CDb(3005001,3005e3,437048);tBb();f[133010]=127108;f[133011]=0;f[133012]=0;f[133013]=0;n[133014]=0.0;n[133015]=-1.0;n[133016]=1.0;$Db(532040);return}function RRa(){CDb(3005001,3005e3,437048);tBb();f[133018]=125164;f[133019]=0;f[133020]=0;f[133021]=0;f[133022]=0;f[133023]=0;f[133024]=5;n[133025]=1.0;n[133026]=.75;n[133027]=1.0;$Db(532072);return}function SRa(){CDb(3005001,3005e3,437048);tBb();f[133028]=124732;f[133029]=0;f[133030]=0;f[133031]=0;f[133032]=0;f[133033]=0;f[133034]=0;f[133035]=0;$Db(532112);return}function TRa(){CDb(3005001,3005e3,437048);tBb();f[133036]=123760;f[133037]=0;f[133038]=0;f[133039]=0;b[532160]=0;b[532161]=1;n[133041]=9.999999717180685e-10;$Db(532144);return}function URa(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,437048);tBb();if((f[222736]|0)!=2){f[c>>2]=149752;f[c+4>>2]=36;b[c+8>>0]=0;dEb(890944,c);zDb(c)}f[133042]=127e3;f[133043]=0;f[133044]=0;f[133045]=0;f[133046]=0;$Db(532168);f[133046]=529568;u=a;return}function VRa(){var a=0,c=0;CDb(3005001,3005e3,437048);tBb();f[133048]=125056;f[133049]=0;a=532200;c=a+48|0;do{f[a>>2]=0;a=a+4|0}while((a|0)<(c|0));b[532248]=0;f[133063]=1;b[532256]=1;$Db(532192);return}function WRa(){CDb(3005001,3005e3,437048);tBb();f[133066]=124840;f[133067]=0;f[133068]=0;f[133069]=0;n[133070]=0.0;n[133071]=1.0;n[133072]=1.0;$Db(532264);return}function XRa(){CDb(3005001,3005e3,437048);tBb();f[133074]=126892;f[133075]=0;f[133076]=0;f[133077]=0;f[133078]=535416;f[133079]=535416;f[133080]=535416;b[532324]=0;$Db(532296);return}function YRa(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,437048);tBb();if((f[222744]|0)!=2){f[c>>2]=149752;f[c+4>>2]=44;b[c+8>>0]=0;dEb(890976,c);zDb(c)}f[133082]=126784;f[133083]=0;f[133084]=0;f[133085]=0;f[133086]=0;f[133087]=0;f[133088]=0;d[266178]=0;$Db(532328);f[133086]=530048;f[133087]=530048;u=a;return}function ZRa(){CDb(3005001,3005e3,437048);tBb();f[133090]=126676;f[133091]=0;f[133092]=0;f[133093]=0;f[133094]=0;f[133095]=1;n[133096]=1.0;$Db(532360);return}function _Ra(){CDb(3005001,3005e3,437048);tBb();f[133098]=123976;f[133099]=0;f[133100]=0;f[133101]=0;f[133102]=0;f[133103]=0;$Db(532392);return}function $Ra(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,437048);tBb();if((f[222736]|0)!=2){f[c>>2]=149752;f[c+4>>2]=36;b[c+8>>0]=0;dEb(890944,c);zDb(c)}f[133104]=126568;f[133105]=0;f[133106]=0;f[133107]=0;f[133108]=0;f[133109]=0;f[133110]=-1;$Db(532416);f[133108]=529568;u=a;return}function aSa(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,437048);tBb();if((f[222744]|0)!=2){f[c>>2]=149752;f[c+4>>2]=44;b[c+8>>0]=0;dEb(890976,c);zDb(c)}f[133112]=126460;f[133113]=0;f[133114]=0;f[133115]=0;f[133116]=0;f[133117]=0;b[532472]=0;f[133119]=1;f[133120]=1;$Db(532448);f[133116]=530048;f[133117]=530048;u=a;return}function bSa(){CDb(3005001,3005e3,437048);tBb();f[133122]=123436;f[133123]=0;f[133124]=0;f[133125]=0;f[133126]=0;$Db(532488);return}function cSa(){CDb(3005001,3005e3,437048);tBb();f[133128]=123868;f[133129]=0;f[133130]=0;f[133131]=0;f[133132]=0;f[133133]=0;f[133134]=0;f[133135]=1;f[133136]=1;$Db(532512);return}function dSa(){CDb(3005001,3005e3,437048);tBb();f[133138]=123328;f[133139]=0;f[133140]=0;f[133141]=0;f[133142]=0;f[133143]=1;$Db(532552);return}function eSa(){CDb(3005001,3005e3,437048);tBb();f[133144]=123544;f[133145]=0;f[133146]=0;f[133147]=0;f[133148]=0;$Db(532576);return}function fSa(){CDb(3005001,3005e3,437048);tBb();f[133150]=126352;f[133151]=0;f[133152]=0;f[133153]=0;f[133154]=0;f[133155]=1;$Db(532600);return}function gSa(){CDb(3005001,3005e3,437048);tBb();f[133156]=124408;f[133157]=0;f[133158]=0;f[133159]=0;n[133160]=0.0;$Db(532624);return}function hSa(){var a=0,c=0,d=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,437048);tBb();f[133372]=0;f[133373]=0;f[133374]=0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;d=c+11|0;b[d>>0]=4;f[c>>2]=1886544247;b[c+4>>0]=0;Qmc(533488,c)|0;if((b[d>>0]|0)<0)Emc(f[c>>2]|0);ZDb(533488);f[133162]=124948;f[133163]=0;f[133164]=0;f[133165]=0;f[133166]=535416;f[133167]=535416;f[133168]=533488;f[133169]=535416;f[133170]=0;f[133171]=0;f[133172]=0;f[133173]=0;n[133174]=1.0;n[133175]=.5;n[133176]=.5;n[133177]=.25;$Db(532648);u=a;return}function iSa(){CDb(3005001,3005e3,437048);tBb();f[133178]=126244;f[133179]=0;f[133180]=0;f[133181]=0;f[133182]=0;f[133183]=0;f[133184]=0;$Db(532712);return}function jSa(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,437048);tBb();if((f[222749]|0)!=2){f[c>>2]=149752;f[c+4>>2]=49;b[c+8>>0]=0;dEb(890996,c);zDb(c)}if((f[222737]|0)!=2){f[c>>2]=149752;f[c+4>>2]=37;b[c+8>>0]=0;dEb(890948,c);zDb(c)}if((f[222754]|0)!=2){f[c>>2]=149752;f[c+4>>2]=54;b[c+8>>0]=0;dEb(891016,c);zDb(c)}if((f[222755]|0)!=2){f[c>>2]=149752;f[c+4>>2]=55;b[c+8>>0]=0;dEb(891020,c);zDb(c)}if((f[222756]|0)!=2){f[c>>2]=149752;f[c+4>>2]=56;b[c+8>>0]=0;dEb(891024,c);zDb(c)}if((f[222759]|0)!=2){f[c>>2]=149752;f[c+4>>2]=59;b[c+8>>0]=0;dEb(891036,c);zDb(c)}if((f[222760]|0)!=2){f[c>>2]=149752;f[c+4>>2]=60;b[c+8>>0]=0;dEb(891040,c);zDb(c)}if((f[222762]|0)!=2){f[c>>2]=149752;f[c+4>>2]=62;b[c+8>>0]=0;dEb(891048,c);zDb(c)}if((f[222765]|0)!=2){f[c>>2]=149752;f[c+4>>2]=65;b[c+8>>0]=0;dEb(891060,c);zDb(c)}if((f[222766]|0)!=2){f[c>>2]=149752;f[c+4>>2]=66;b[c+8>>0]=0;dEb(891064,c);zDb(c)}if((f[222767]|0)!=2){f[c>>2]=149752;f[c+4>>2]=67;b[c+8>>0]=0;dEb(891068,c);zDb(c)}if((f[222770]|0)!=2){f[c>>2]=149752;f[c+4>>2]=70;b[c+8>>0]=0;dEb(891080,c);zDb(c)}if((f[222772]|0)!=2){f[c>>2]=149752;f[c+4>>2]=72;b[c+8>>0]=0;dEb(891088,c);zDb(c)}if((f[222773]|0)!=2){f[c>>2]=149752;f[c+4>>2]=73;b[c+8>>0]=0;dEb(891092,c);zDb(c)}if((f[222774]|0)!=2){f[c>>2]=149752;f[c+4>>2]=74;b[c+8>>0]=0;dEb(891096,c);zDb(c)}if((f[222775]|0)!=2){f[c>>2]=149752;f[c+4>>2]=75;b[c+8>>0]=0;dEb(891100,c);zDb(c)}if((f[222776]|0)!=2){f[c>>2]=149752;f[c+4>>2]=76;b[c+8>>0]=0;dEb(891104,c);zDb(c)}if((f[222777]|0)!=2){f[c>>2]=149752;f[c+4>>2]=77;b[c+8>>0]=0;dEb(891108,c);zDb(c)}if((f[222780]|0)!=2){f[c>>2]=149752;f[c+4>>2]=80;b[c+8>>0]=0;dEb(891120,c);zDb(c)}if((f[222781]|0)!=2){f[c>>2]=149752;f[c+4>>2]=81;b[c+8>>0]=0;dEb(891124,c);zDb(c)}if((f[222782]|0)!=2){f[c>>2]=149752;f[c+4>>2]=82;b[c+8>>0]=0;dEb(891128,c);zDb(c)}if((f[222784]|0)!=2){f[c>>2]=149752;f[c+4>>2]=84;b[c+8>>0]=0;dEb(891136,c);zDb(c)}if((f[222785]|0)!=2){f[c>>2]=149752;f[c+4>>2]=85;b[c+8>>0]=0;dEb(891140,c);zDb(c)}if((f[222789]|0)!=2){f[c>>2]=149752;f[c+4>>2]=89;b[c+8>>0]=0;dEb(891156,c);zDb(c)}if((f[222792]|0)!=2){f[c>>2]=149752;f[c+4>>2]=92;b[c+8>>0]=0;dEb(891168,c);zDb(c)}if((f[222794]|0)!=2){f[c>>2]=149752;f[c+4>>2]=94;b[c+8>>0]=0;dEb(891176,c);zDb(c)}if((f[222793]|0)!=2){f[c>>2]=149752;f[c+4>>2]=93;b[c+8>>0]=0;dEb(891172,c);zDb(c)}if((f[222795]|0)!=2){f[c>>2]=149752;f[c+4>>2]=95;b[c+8>>0]=0;dEb(891180,c);zDb(c)}if((f[222797]|0)!=2){f[c>>2]=149752;f[c+4>>2]=97;b[c+8>>0]=0;dEb(891188,c);zDb(c)}if((f[222798]|0)!=2){f[c>>2]=149752;f[c+4>>2]=98;b[c+8>>0]=0;dEb(891192,c);zDb(c)}if((f[222752]|0)!=2){f[c>>2]=149752;f[c+4>>2]=52;b[c+8>>0]=0;dEb(891008,c);zDb(c)}if((f[222753]|0)!=2){f[c>>2]=149752;f[c+4>>2]=53;b[c+8>>0]=0;dEb(891012,c);zDb(c)}if((f[222801]|0)==2){f[133186]=122896;Drc(532748,0,156)|0;f[133226]=535416;Drc(532908,0,132)|0;$Db(532744);f[133246]=531064;f[133242]=531096;f[133228]=531128;f[133255]=531216;f[133229]=531240;f[133230]=531392;f[133231]=531520;f[133245]=531544;f[133243]=531640;f[133256]=531744;f[133232]=531800;f[133233]=531832;f[133247]=531856;f[133234]=531880;f[133235]=531944;f[133236]=531968;f[133237]=532072;f[133241]=532112;f[133250]=532144;f[133238]=532192;f[133240]=532264;f[133248]=532392;f[133253]=532488;f[133254]=532552;f[133249]=532512;f[133252]=532576;f[133244]=532624;f[133239]=532648;f[133251]=530984;f[133257]=531032;f[133227]=533040;u=a;return}f[c>>2]=149752;f[c+4>>2]=101;b[c+8>>0]=0;dEb(891204,c);zDb(c);f[133186]=122896;Drc(532748,0,156)|0;f[133226]=535416;Drc(532908,0,132)|0;$Db(532744);f[133246]=531064;f[133242]=531096;f[133228]=531128;f[133255]=531216;f[133229]=531240;f[133230]=531392;f[133231]=531520;f[133245]=531544;f[133243]=531640;f[133256]=531744;f[133232]=531800;f[133233]=531832;f[133247]=531856;f[133234]=531880;f[133235]=531944;f[133236]=531968;f[133237]=532072;f[133241]=532112;f[133250]=532144;f[133238]=532192;f[133240]=532264;f[133248]=532392;f[133253]=532488;f[133254]=532552;f[133249]=532512;f[133252]=532576;f[133244]=532624;f[133239]=532648;f[133251]=530984;f[133257]=531032;f[133227]=533040;u=a;return}function kSa(){var a=0,c=0,d=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,437048);tBb();if((f[222744]|0)!=2){f[c>>2]=149752;f[c+4>>2]=44;b[c+8>>0]=0;dEb(890976,c);zDb(c)}if((f[222737]|0)!=2){f[c>>2]=149752;f[c+4>>2]=37;b[c+8>>0]=0;dEb(890948,c);zDb(c)}if((f[222773]|0)!=2){f[c>>2]=149752;f[c+4>>2]=73;b[c+8>>0]=0;dEb(891092,c);zDb(c)};f[133376]=0;f[133377]=0;f[133378]=0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;d=c+11|0;b[d>>0]=4;f[c>>2]=1886544247;b[c+4>>0]=0;Qmc(533504,c)|0;if((b[d>>0]|0)<0)Emc(f[c>>2]|0);ZDb(533504);f[133260]=122572;c=533044;d=c+52|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(d|0));f[133274]=535416;f[133275]=535416;f[133276]=535416;f[133277]=535416;f[133278]=533504;c=533116;d=c+64|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(d|0));f[133295]=1;b[533184]=1;f[133297]=1;f[133298]=1;n[133299]=.5;f[133300]=5;n[133301]=1.0;n[133302]=.75;n[133303]=1.0;n[133304]=1.0;n[133305]=.5;n[133306]=.5;n[133307]=.25;f[133308]=0;$Db(533040);f[133279]=530048;f[133280]=530048;f[133281]=531832;u=a;return}function lSa(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,437048);tBb();if((f[222744]|0)!=2){f[c>>2]=149752;f[c+4>>2]=44;b[c+8>>0]=0;dEb(890976,c);zDb(c)}f[133310]=122356;f[133311]=0;f[133312]=0;f[133313]=0;f[133314]=0;b[533260]=0;$Db(533240);f[133314]=530048;u=a;return}function mSa(){var a=0,b=0;CDb(3005001,3005e3,437048);tBb();f[133316]=122248;f[133317]=0;a=533272;b=a+40|0;do{f[a>>2]=0;a=a+4|0}while((a|0)<(b|0));$Db(533264);return}function nSa(){CDb(3005001,3005e3,437048);tBb();f[133328]=122140;f[133329]=0;f[133330]=0;f[133331]=0;f[133332]=0;f[133333]=0;n[133334]=1.0;$Db(533312);return}function oSa(){CDb(3005001,3005e3,437048);tBb();f[133336]=122032;f[133337]=0;f[133338]=0;f[133339]=0;f[133340]=0;f[133341]=0;f[133342]=0;f[133343]=0;f[133344]=0;f[133345]=0;f[133346]=16;f[133347]=16;f[133348]=16;f[133349]=6e3;f[133350]=300;n[133351]=.699999988079071;$Db(533344);return}function pSa(){CDb(3005001,3005e3,437048);tBb();f[133352]=121924;f[133353]=0;f[133354]=0;f[133355]=0;f[133356]=0;f[133357]=0;f[133358]=0;$Db(533408);return}function qSa(a){a=a|0;var b=0,c=0;f[a>>2]=121924;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function rSa(a){a=a|0;var b=0,c=0;f[a>>2]=121924;b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function sSa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function tSa(a,b){a=a|0;b=b|0;a=Bmc(28)|0;FSa(a);if(!b)return a|0;GSa(b,a);return a|0}function uSa(a){a=a|0;var b=0,c=0;b=a+8|0;if(f[b>>2]&7|0){c=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function vSa(a){a=a|0;return (f[a+8>>2]&7|0)==7|0}function wSa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+16|0;k=a+20|0;l=a+24|0;m=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=xCb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)!=13){s=p;break b}f[i>>2]=f[i>>2]|1;o=f[c>>2]|0;if(((f[g>>2]|0)-o|0)>3){a=o;n=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=n;f[c>>2]=o+4;t=n}else{if(!(uCb(c,e)|0)){q=13;break a}t=f[e>>2]|0}f[j>>2]=t;continue a;break}case 2:{if((p&255|0)!=16){s=p;break b}f[i>>2]=f[i>>2]|2;n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0){o=b[n>>0]|0;a=o&255;if(o<<24>>24>-1){f[c>>2]=n+1;v=a}else{w=a;q=18}}else{w=0;q=18}if((q|0)==18){q=0;a=iCb(c,w)|0;n=J;if((n|0)>-1|(n|0)==-1&a>>>0>4294967295)v=a;else{x=0;q=31;break a}}f[k>>2]=v;continue a;break}case 3:{if((p&255|0)!=24){s=p;break b}f[i>>2]=f[i>>2]|4;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>-1){f[c>>2]=a+1;y=o}else{z=o;q=24}}else{z=0;q=24}if((q|0)==24){q=0;o=iCb(c,z)|0;a=J;if((a|0)>-1|(a|0)==-1&o>>>0>4294967295)y=o;else{x=0;q=31;break a}}f[l>>2]=y;continue a;break}default:{s=p;break b}}}while(0);if(!s){x=1;q=31;break}o=f[m>>2]|0;if(!(o&1))A=AHa(m)|0;else A=o&-2;if(!(b4b(c,s,A)|0)){x=0;q=31;break}}if((q|0)==13){x=0;u=d;return x|0}else if((q|0)==31){u=d;return x|0}return 0}function xSa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+8>>2]|0;if((b&7|0)==7){d=f[a+20>>2]|0;if((d|0)<0)e=10;else e=(((($(d|1|0)|0)^31)*9|0)+73|0)>>>6;d=f[a+24>>2]|0;if((d|0)<0)g=10;else g=(((($(d|1|0)|0)^31)*9|0)+73|0)>>>6;h=c+7+e+g|0;i=a+12|0;f[i>>2]=h;return h|0}g=b&1|0?5:0;if(!(b&2))j=g;else{e=f[a+20>>2]|0;if((e|0)<0)k=11;else k=((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;j=k+g|0}if(!(b&4))l=j;else{b=f[a+24>>2]|0;if((b|0)<0)m=11;else m=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;l=m+j|0}h=l+c|0;i=a+12|0;f[i>>2]=h;return h|0}function ySa(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)wEb(1,+n[a+16>>2],b);if(c&2|0)mEb(2,f[a+20>>2]|0,b);if(c&4|0)mEb(3,f[a+24>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function zSa(a){a=a|0;return f[a+12>>2]|0}function ASa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=13;h=d+1|0;b[h>>0]=g;b[h+1>>0]=g>>8;b[h+2>>0]=g>>16;b[h+3>>0]=g>>24;e=d+5|0}if(!(c&2))i=e;else{d=f[a+20>>2]|0;b[e>>0]=16;g=e+1|0;e=d&255;if(d>>>0>127){h=g;j=e;k=d;l=((d|0)<0)<<31>>31;while(1){b[h>>0]=j|-128;d=k;k=Irc(k|0,l|0,7)|0;m=h+1|0;n=k&255;if(!(l>>>0>0|(l|0)==0&d>>>0>16383)){o=m;p=n;break}else{h=m;j=n;l=J}}}else{o=g;p=e}b[o>>0]=p;i=o+1|0}if(!(c&4))q=i;else{c=f[a+24>>2]|0;b[i>>0]=24;o=i+1|0;i=c&255;if(c>>>0>127){p=o;e=i;g=c;l=((c|0)<0)<<31>>31;while(1){b[p>>0]=e|-128;c=g;g=Irc(g|0,l|0,7)|0;j=p+1|0;h=g&255;if(!(l>>>0>0|(l|0)==0&c>>>0>16383)){r=j;s=h;break}else{p=j;e=h;l=J}}}else{r=o;s=i}b[r>>0]=s;q=r+1|0}r=f[a+4>>2]|0;if(!(r&1)){t=q;return t|0}t=f4b(r&-2,q)|0;return t|0}function BSa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function CSa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,19288,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}d=f[c+8>>2]|0;if(!(d&7))return;if(d&1|0)f[a+16>>2]=f[c+16>>2];if(d&2|0)f[a+20>>2]=f[c+20>>2];if(d&4|0)f[a+24>>2]=f[c+24>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function DSa(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function ESa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=534080;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function FSa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=121924;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=533408?(f[222806]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=106;b[d+8>>0]=0;dEb(891224,d);zDb(d)}d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;u=c;return}function GSa(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function HSa(a){a=a|0;var b=0,c=0;f[a>>2]=122032;b=f[a+36>>2]|0;if(b|0?(f[b>>2]|0)==0:0)Emc(b);b=f[a+24>>2]|0;if(b|0?(f[b>>2]|0)==0:0)Emc(b);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function ISa(a){a=a|0;HSa(a);Emc(a);return}function JSa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function KSa(a,b){a=a|0;b=b|0;a=Bmc(64)|0;YSa(a);if(!b)return a|0;ZSa(b,a);return a|0}function LSa(a){a=a|0;var b=0;f[a+16>>2]=0;f[a+28>>2]=0;b=a+8|0;if(f[b>>2]&63|0){f[a+40>>2]=16;f[a+44>>2]=16;f[a+48>>2]=16;f[a+52>>2]=6e3;f[a+56>>2]=300;n[a+60>>2]=.699999988079071}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function MSa(a){a=a|0;return 1}function NSa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+40|0;k=a+44|0;l=a+48|0;m=a+16|0;n=a+20|0;o=a+24|0;p=a+28|0;q=a+32|0;r=a+36|0;s=a+52|0;t=a+56|0;v=a+60|0;w=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){x=b[a>>0]|0;y=x&255;if(x<<24>>24>0){f[c>>2]=a+1;z=y;A=6}else{B=y;A=5}}else{B=0;A=5}if((A|0)==5){A=0;y=xCb(c,B)|0;if((y+-1|0)>>>0<127){z=y;A=6}else C=y}b:do if((A|0)==6){A=0;switch(z>>>3&536870911|0){case 1:{if((z&255|0)!=8){C=z;break b}f[i>>2]=f[i>>2]|1;y=f[c>>2]|0;if(y>>>0<(f[g>>2]|0)>>>0){a=b[y>>0]|0;x=a&255;if(a<<24>>24>-1){f[j>>2]=x;f[c>>2]=y+1;continue a}else D=x}else D=0;x=iCb(c,D)|0;y=J;f[j>>2]=x;if((y|0)>-1|(y|0)==-1&x>>>0>4294967295)continue a;else{E=0;A=78;break a}break}case 2:{if((z&255|0)!=16){C=z;break b}f[i>>2]=f[i>>2]|2;x=f[c>>2]|0;if(x>>>0<(f[g>>2]|0)>>>0){y=b[x>>0]|0;a=y&255;if(y<<24>>24>-1){f[k>>2]=a;f[c>>2]=x+1;continue a}else F=a}else F=0;a=iCb(c,F)|0;x=J;f[k>>2]=a;if((x|0)>-1|(x|0)==-1&a>>>0>4294967295)continue a;else{E=0;A=78;break a}break}case 3:{if((z&255|0)!=24){C=z;break b}f[i>>2]=f[i>>2]|4;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){x=b[a>>0]|0;y=x&255;if(x<<24>>24>-1){f[l>>2]=y;f[c>>2]=a+1;continue a}else G=y}else G=0;y=iCb(c,G)|0;a=J;f[l>>2]=y;if((a|0)>-1|(a|0)==-1&y>>>0>4294967295)continue a;else{E=0;A=78;break a}break}case 4:{switch((z&255)<<24>>24){case 37:break;case 34:{if(XSa(c,m)|0)continue a;else{E=0;A=78;break a}break}default:{C=z;break b}}y=f[c>>2]|0;if(((f[g>>2]|0)-y|0)>3){a=y;x=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=x;f[c>>2]=y+4;H=x}else{if(!(uCb(c,e)|0)){A=37;break a}H=f[e>>2]|0}x=f[m>>2]|0;if((x|0)==(f[n>>2]|0)){aEa(m,x+1|0);I=f[m>>2]|0}else I=x;x=f[o>>2]|0;y=I+1|0;f[m>>2]=y;f[x+4+(I<<2)>>2]=H;a=f[c>>2]|0;K=(f[g>>2]|0)-a|0;if((K|0)<=0)continue a;L=a;a=(f[n>>2]|0)-y|0;M=(K>>>0)/5|0;N=(M|0)<(a|0)?M:a;if((N|0)>0){O=0;P=L;Q=y}else continue a;while(1){if((b[P>>0]|0)!=37){R=O;break}y=P+1|0;a=h[y>>0]|h[y+1>>0]<<8|h[y+2>>0]<<16|h[y+3>>0]<<24;y=Q;Q=Q+1|0;f[m>>2]=Q;f[x+4+(y<<2)>>2]=a;a=O+1|0;if((a|0)>=(N|0)){R=a;break}else{O=a;P=P+5|0}}N=R*5|0;if((R|0)<=0)continue a;if((K|0)<(N|0)){qCb(c,N,K)|0;continue a}else{f[c>>2]=L+N;continue a}break}case 5:{switch((z&255)<<24>>24){case 45:break;case 42:{if(XSa(c,p)|0)continue a;else{E=0;A=78;break a}break}default:{C=z;break b}}N=f[c>>2]|0;if(((f[g>>2]|0)-N|0)>3){x=N;a=h[x>>0]|h[x+1>>0]<<8|h[x+2>>0]<<16|h[x+3>>0]<<24;f[e>>2]=a;f[c>>2]=N+4;S=a}else{if(!(uCb(c,e)|0)){A=54;break a}S=f[e>>2]|0}a=f[p>>2]|0;if((a|0)==(f[q>>2]|0)){aEa(p,a+1|0);T=f[p>>2]|0}else T=a;a=f[r>>2]|0;N=T+1|0;f[p>>2]=N;f[a+4+(T<<2)>>2]=S;x=f[c>>2]|0;y=(f[g>>2]|0)-x|0;if((y|0)<=0)continue a;M=x;x=(f[q>>2]|0)-N|0;U=(y>>>0)/5|0;V=(U|0)<(x|0)?U:x;if((V|0)>0){W=0;X=M;Y=N}else continue a;while(1){if((b[X>>0]|0)!=45){Z=W;break}N=X+1|0;x=h[N>>0]|h[N+1>>0]<<8|h[N+2>>0]<<16|h[N+3>>0]<<24;N=Y;Y=Y+1|0;f[p>>2]=Y;f[a+4+(N<<2)>>2]=x;x=W+1|0;if((x|0)>=(V|0)){Z=x;break}else{W=x;X=X+5|0}}V=Z*5|0;if((Z|0)<=0)continue a;if((y|0)<(V|0)){qCb(c,V,y)|0;continue a}else{f[c>>2]=M+V;continue a}break}case 6:{if((z&255|0)!=48){C=z;break b}f[i>>2]=f[i>>2]|8;V=f[c>>2]|0;if(V>>>0<(f[g>>2]|0)>>>0){a=b[V>>0]|0;L=a&255;if(a<<24>>24>-1){f[s>>2]=L;f[c>>2]=V+1;continue a}else _=L}else _=0;L=iCb(c,_)|0;V=J;f[s>>2]=L;if((V|0)>-1|(V|0)==-1&L>>>0>4294967295)continue a;else{E=0;A=78;break a}break}case 7:{if((z&255|0)!=56){C=z;break b}f[i>>2]=f[i>>2]|16;L=f[c>>2]|0;if(L>>>0<(f[g>>2]|0)>>>0){V=b[L>>0]|0;a=V&255;if(V<<24>>24>-1){f[t>>2]=a;f[c>>2]=L+1;continue a}else $=a}else $=0;a=iCb(c,$)|0;L=J;f[t>>2]=a;if((L|0)>-1|(L|0)==-1&a>>>0>4294967295)continue a;else{E=0;A=78;break a}break}case 8:{if((z&255|0)!=69){C=z;break b}f[i>>2]=f[i>>2]|32;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){L=a;V=h[L>>0]|h[L+1>>0]<<8|h[L+2>>0]<<16|h[L+3>>0]<<24;f[e>>2]=V;f[c>>2]=a+4;aa=V}else{if(!(uCb(c,e)|0)){A=72;break a}aa=f[e>>2]|0}f[v>>2]=aa;continue a;break}default:{C=z;break b}}}while(0);if(!C){E=1;A=78;break}V=f[w>>2]|0;if(!(V&1))ba=AHa(w)|0;else ba=V&-2;if(!(b4b(c,C,ba)|0)){E=0;A=78;break}}if((A|0)==37){E=0;u=d;return E|0}else if((A|0)==54){E=0;u=d;return E|0}else if((A|0)==72){E=0;u=d;return E|0}else if((A|0)==78){u=d;return E|0}return 0}function OSa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+16>>2]|0;d=f[a+28>>2]|0;e=b+c+(b<<2)+d+(d<<2)|0;d=f[a+8>>2]|0;if(!(d&63)){g=e;h=a+12|0;f[h>>2]=g;return g|0}if(!(d&1))i=e;else i=e+1+((((($(f[a+40>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(d&2))j=i;else j=i+1+((((($(f[a+44>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(d&4))k=j;else k=j+1+((((($(f[a+48>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(d&8))l=k;else l=k+1+((((($(f[a+52>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(d&16))m=l;else m=l+1+((((($(f[a+56>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=d&32|0?m+5|0:m;h=a+12|0;f[h>>2]=g;return g|0}function PSa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=f[a+8>>2]|0;if(c&1|0)oEb(1,f[a+40>>2]|0,b);if(c&2|0)oEb(2,f[a+44>>2]|0,b);if(c&4|0)oEb(3,f[a+48>>2]|0,b);d=f[a+16>>2]|0;if((d|0)>0){e=a+24|0;g=0;do{wEb(4,+n[(f[e>>2]|0)+4+(g<<2)>>2],b);g=g+1|0}while((g|0)!=(d|0))}d=f[a+28>>2]|0;if((d|0)>0){g=a+36|0;e=0;do{wEb(5,+n[(f[g>>2]|0)+4+(e<<2)>>2],b);e=e+1|0}while((e|0)!=(d|0))}if(c&8|0)oEb(6,f[a+52>>2]|0,b);if(c&16|0)oEb(7,f[a+56>>2]|0,b);if(c&32|0)wEb(8,+n[a+60>>2],b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function QSa(a){a=a|0;return f[a+12>>2]|0}function RSa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+40>>2]|0;b[d>>0]=8;h=d+1|0;if(g>>>0>127){d=g;i=h;while(1){b[i>>0]=d|128;j=d>>>7;k=i+1|0;if(d>>>0>16383){d=j;i=k}else{l=k;m=j;break}}}else{l=h;m=g}b[l>>0]=m;e=l+1|0}if(!(c&2))n=e;else{l=f[a+44>>2]|0;b[e>>0]=16;m=e+1|0;if(l>>>0>127){e=l;g=m;while(1){b[g>>0]=e|128;h=e>>>7;i=g+1|0;if(e>>>0>16383){e=h;g=i}else{o=i;p=h;break}}}else{o=m;p=l}b[o>>0]=p;n=o+1|0}if(!(c&4))q=n;else{o=f[a+48>>2]|0;b[n>>0]=24;p=n+1|0;if(o>>>0>127){n=o;l=p;while(1){b[l>>0]=n|128;m=n>>>7;g=l+1|0;if(n>>>0>16383){n=m;l=g}else{r=g;s=m;break}}}else{r=p;s=o}b[r>>0]=s;q=r+1|0}r=f[a+16>>2]|0;if(!r)t=q;else{s=f[a+24>>2]|0;o=0;p=q;while(1){q=f[s+4+(o<<2)>>2]|0;b[p>>0]=37;l=p+1|0;b[l>>0]=q;b[l+1>>0]=q>>8;b[l+2>>0]=q>>16;b[l+3>>0]=q>>24;q=p+5|0;o=o+1|0;if((o|0)>=(r|0)){t=q;break}else p=q}}p=f[a+28>>2]|0;if(!p)u=t;else{r=f[a+36>>2]|0;o=0;s=t;while(1){t=f[r+4+(o<<2)>>2]|0;b[s>>0]=45;q=s+1|0;b[q>>0]=t;b[q+1>>0]=t>>8;b[q+2>>0]=t>>16;b[q+3>>0]=t>>24;t=s+5|0;o=o+1|0;if((o|0)>=(p|0)){u=t;break}else s=t}}if(!(c&8))v=u;else{s=f[a+52>>2]|0;b[u>>0]=48;p=u+1|0;if(s>>>0>127){u=s;o=p;while(1){b[o>>0]=u|128;r=u>>>7;t=o+1|0;if(u>>>0>16383){u=r;o=t}else{w=t;x=r;break}}}else{w=p;x=s}b[w>>0]=x;v=w+1|0}if(!(c&16))y=v;else{w=f[a+56>>2]|0;b[v>>0]=56;x=v+1|0;if(w>>>0>127){v=w;s=x;while(1){b[s>>0]=v|128;p=v>>>7;o=s+1|0;if(v>>>0>16383){v=p;s=o}else{z=o;A=p;break}}}else{z=x;A=w}b[z>>0]=A;y=z+1|0}if(!(c&32))B=y;else{c=f[a+60>>2]|0;b[y>>0]=69;z=y+1|0;b[z>>0]=c;b[z+1>>0]=c>>8;b[z+2>>0]=c>>16;b[z+3>>0]=c>>24;B=y+5|0}y=f[a+4>>2]|0;if(!(y&1)){C=B;return C|0}C=f4b(y&-2,B)|0;return C|0}function SSa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function TSa(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,19304,0)|0;if(!c){c2b(b,a);return}else{WSa(a,c);return}}function USa(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function VSa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=534072;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function WSa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}d=a+16|0;g=b+16|0;e=f[g>>2]|0;if(e|0){aEa(d,(f[d>>2]|0)+e|0);Krc((f[a+24>>2]|0)+4+(f[d>>2]<<2)|0,(f[b+24>>2]|0)+4|0,f[g>>2]<<2|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}g=a+28|0;d=b+28|0;e=f[d>>2]|0;if(e|0){aEa(g,(f[g>>2]|0)+e|0);Krc((f[a+36>>2]|0)+4+(f[g>>2]<<2)|0,(f[b+36>>2]|0)+4|0,f[d>>2]<<2|0)|0;f[g>>2]=(f[g>>2]|0)+(f[d>>2]|0)}d=f[b+8>>2]|0;if(!(d&63))return;if(d&1|0)f[a+40>>2]=f[b+40>>2];if(d&2|0)f[a+44>>2]=f[b+44>>2];if(d&4|0)f[a+48>>2]=f[b+48>>2];if(d&8|0)f[a+52>>2]=f[b+52>>2];if(d&16|0)f[a+56>>2]=f[b+56>>2];if(d&32|0)f[a+60>>2]=f[b+60>>2];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function XSa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=u;u=u+16|0;e=d;g=f[a>>2]|0;i=a+4|0;if(g>>>0<(f[i>>2]|0)>>>0?(j=b[g>>0]|0,j<<24>>24>-1):0){f[a>>2]=g+1;k=j&255}else{j=wCb(a)|0;if((j|0)>-1)k=j;else{l=0;u=d;return l|0}}j=f[c>>2]|0;g=(k|0)/4|0;if((g<<2|0)!=(k|0)){l=0;u=d;return l|0}m=pCb(a)|0;n=nCb(a)|0;if((((m|0)==-1|(n|0)<(m|0)?n:m)|0)>=(k|0)){m=j+g|0;if((f[c>>2]|0)<(m|0)?(aEa(c,m),n=f[c>>2]|0,o=m-n|0,(o<<2|0)>0):0)Drc((f[c+8>>2]|0)+((n<<2)+4)|0,0,(((o|-1073741824|0)==-1073741824?1073741823:1073741822)+o<<2)+8|0)|0;f[c>>2]=m;m=f[c+8>>2]|0;if(rCb(a,((m|0)==0?0:m+4|0)+(j<<2)|0,k)|0){l=1;u=d;return l|0}if((f[c>>2]|0)<=0){l=0;u=d;return l|0}f[c>>2]=j;l=0;u=d;return l|0}if((k|0)<=3){l=1;u=d;return l|0}k=c+4|0;j=c+8|0;m=0;while(1){o=f[a>>2]|0;if(((f[i>>2]|0)-o|0)>3){n=o;p=h[n>>0]|h[n+1>>0]<<8|h[n+2>>0]<<16|h[n+3>>0]<<24;f[e>>2]=p;f[a>>2]=o+4;q=p}else{if(!(uCb(a,e)|0))break;q=f[e>>2]|0}p=f[c>>2]|0;if((p|0)==(f[k>>2]|0)){aEa(c,p+1|0);r=f[c>>2]|0}else r=p;p=f[j>>2]|0;f[c>>2]=r+1;f[p+4+(r<<2)>>2]=q;m=m+1|0;if((m|0)>=(g|0)){l=1;s=23;break}}if((s|0)==23){u=d;return l|0}l=0;u=d;return l|0}function YSa(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=122032;f[a+4>>2]=0;f[a+8>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;if((a|0)!=533344?(f[222805]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=105;b[d+8>>0]=0;dEb(891220,d);zDb(d)}f[a+12>>2]=0;f[a+40>>2]=16;f[a+44>>2]=16;f[a+48>>2]=16;f[a+52>>2]=6e3;f[a+56>>2]=300;n[a+60>>2]=.699999988079071;u=c;return}function ZSa(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function _Sa(a){a=a|0;var b=0,c=0;f[a>>2]=122140;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function $Sa(a){a=a|0;var b=0,c=0;f[a>>2]=122140;b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function aTa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function bTa(a,b){a=a|0;b=b|0;a=Bmc(28)|0;nTa(a);if(!b)return a|0;oTa(b,a);return a|0}function cTa(a){a=a|0;var b=0,c=0;b=a+8|0;if(f[b>>2]&7|0){c=a+16|0;f[c>>2]=0;f[c+4>>2]=0;n[a+24>>2]=1.0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function dTa(a){a=a|0;return 1}function eTa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+16|0;k=a+20|0;l=a+24|0;m=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=xCb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)!=8){s=p;break b}f[i>>2]=f[i>>2]|1;o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0){a=b[o>>0]|0;n=a&255;if(a<<24>>24>-1){f[j>>2]=n;f[c>>2]=o+1;continue a}else t=n}else t=0;n=iCb(c,t)|0;o=J;f[j>>2]=n;if((o|0)>-1|(o|0)==-1&n>>>0>4294967295)continue a;else{v=0;q=29;break a}break}case 2:{if((p&255|0)!=16){s=p;break b}f[i>>2]=f[i>>2]|2;n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0){o=b[n>>0]|0;a=o&255;if(o<<24>>24>-1){f[k>>2]=a;f[c>>2]=n+1;continue a}else w=a}else w=0;a=iCb(c,w)|0;n=J;f[k>>2]=a;if((n|0)>-1|(n|0)==-1&a>>>0>4294967295)continue a;else{v=0;q=29;break a}break}case 3:{if((p&255|0)!=29){s=p;break b}f[i>>2]=f[i>>2]|4;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){n=a;o=h[n>>0]|h[n+1>>0]<<8|h[n+2>>0]<<16|h[n+3>>0]<<24;f[e>>2]=o;f[c>>2]=a+4;x=o}else{if(!(uCb(c,e)|0)){q=23;break a}x=f[e>>2]|0}f[l>>2]=x;continue a;break}default:{s=p;break b}}}while(0);if(!s){v=1;q=29;break}o=f[m>>2]|0;if(!(o&1))y=AHa(m)|0;else y=o&-2;if(!(b4b(c,s,y)|0)){v=0;q=29;break}}if((q|0)==23){v=0;u=d;return v|0}else if((q|0)==29){u=d;return v|0}return 0}function fTa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+8>>2]|0;if(!(b&7)){d=c;e=a+12|0;f[e>>2]=d;return d|0}if(!(b&1))g=c;else g=c+1+((((($(f[a+16>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(b&2))h=g;else h=g+1+((((($(f[a+20>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;d=b&4|0?h+5|0:h;e=a+12|0;f[e>>2]=d;return d|0}function gTa(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)oEb(1,f[a+16>>2]|0,b);if(c&2|0)oEb(2,f[a+20>>2]|0,b);if(c&4|0)wEb(3,+n[a+24>>2],b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function hTa(a){a=a|0;return f[a+12>>2]|0}function iTa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=8;h=d+1|0;if(g>>>0>127){d=g;i=h;while(1){b[i>>0]=d|128;j=d>>>7;k=i+1|0;if(d>>>0>16383){d=j;i=k}else{l=k;m=j;break}}}else{l=h;m=g}b[l>>0]=m;e=l+1|0}if(!(c&2))n=e;else{l=f[a+20>>2]|0;b[e>>0]=16;m=e+1|0;if(l>>>0>127){e=l;g=m;while(1){b[g>>0]=e|128;h=e>>>7;i=g+1|0;if(e>>>0>16383){e=h;g=i}else{o=i;p=h;break}}}else{o=m;p=l}b[o>>0]=p;n=o+1|0}if(!(c&4))q=n;else{c=f[a+24>>2]|0;b[n>>0]=29;o=n+1|0;b[o>>0]=c;b[o+1>>0]=c>>8;b[o+2>>0]=c>>16;b[o+3>>0]=c>>24;q=n+5|0}n=f[a+4>>2]|0;if(!(n&1)){r=q;return r|0}r=f4b(n&-2,q)|0;return r|0}function jTa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function kTa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,19320,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}d=f[c+8>>2]|0;if(!(d&7))return;if(d&1|0)f[a+16>>2]=f[c+16>>2];if(d&2|0)f[a+20>>2]=f[c+20>>2];if(d&4|0)f[a+24>>2]=f[c+24>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function lTa(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function mTa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=534064;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function nTa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=122140;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=533312?(f[222804]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=104;b[d+8>>0]=0;dEb(891216,d);zDb(d)}f[a+12>>2]=0;d=a+16|0;f[d>>2]=0;f[d+4>>2]=0;n[a+24>>2]=1.0;u=c;return}function oTa(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function pTa(a){a=a|0;var b=0,c=0;f[a>>2]=122248;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function qTa(a){a=a|0;var b=0,c=0;f[a>>2]=122248;b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function rTa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function sTa(a,b){a=a|0;b=b|0;a=Bmc(48)|0;FTa(a);if(!b)return a|0;GTa(b,a);return a|0}function tTa(a){a=a|0;var b=0,c=0;b=a+8|0;if(f[b>>2]&255|0){c=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;f[c+16>>2]=0;f[c+20>>2]=0;f[c+24>>2]=0;f[c+28>>2]=0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function uTa(a){a=a|0;return 1}function vTa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+16|0;k=a+20|0;l=a+24|0;m=a+28|0;n=a+32|0;o=a+36|0;p=e+8|0;q=a+40|0;r=a+44|0;s=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){t=b[a>>0]|0;v=t&255;if(t<<24>>24>0){f[c>>2]=a+1;w=v;x=6}else{y=v;x=5}}else{y=0;x=5}if((x|0)==5){x=0;v=xCb(c,y)|0;if((v+-1|0)>>>0<127){w=v;x=6}else z=v}b:do if((x|0)==6){x=0;switch(w>>>3&536870911|0){case 1:{if((w&255|0)!=13){z=w;break b}f[i>>2]=f[i>>2]|1;v=f[c>>2]|0;if(((f[g>>2]|0)-v|0)>3){a=v;t=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=t;f[c>>2]=v+4;A=t}else{if(!(uCb(c,e)|0)){x=13;break a}A=f[e>>2]|0}f[j>>2]=A;continue a;break}case 2:{if((w&255|0)!=21){z=w;break b}f[i>>2]=f[i>>2]|2;t=f[c>>2]|0;if(((f[g>>2]|0)-t|0)>3){v=t;a=h[v>>0]|h[v+1>>0]<<8|h[v+2>>0]<<16|h[v+3>>0]<<24;f[e>>2]=a;f[c>>2]=t+4;B=a}else{if(!(uCb(c,e)|0)){x=20;break a}B=f[e>>2]|0}f[k>>2]=B;continue a;break}case 3:{if((w&255|0)!=29){z=w;break b}f[i>>2]=f[i>>2]|4;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){t=a;v=h[t>>0]|h[t+1>>0]<<8|h[t+2>>0]<<16|h[t+3>>0]<<24;f[e>>2]=v;f[c>>2]=a+4;C=v}else{if(!(uCb(c,e)|0)){x=27;break a}C=f[e>>2]|0}f[l>>2]=C;continue a;break}case 4:{if((w&255|0)!=37){z=w;break b}f[i>>2]=f[i>>2]|8;v=f[c>>2]|0;if(((f[g>>2]|0)-v|0)>3){a=v;t=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=t;f[c>>2]=v+4;D=t}else{if(!(uCb(c,e)|0)){x=34;break a}D=f[e>>2]|0}f[m>>2]=D;continue a;break}case 5:{if((w&255|0)!=40){z=w;break b}f[i>>2]=f[i>>2]|16;t=f[c>>2]|0;if(t>>>0<(f[g>>2]|0)>>>0){v=b[t>>0]|0;a=v&255;if(v<<24>>24>-1){f[c>>2]=t+1;E=a}else{F=a;x=39}}else{F=0;x=39}if((x|0)==39){x=0;a=iCb(c,F)|0;t=J;if((t|0)>-1|(t|0)==-1&a>>>0>4294967295)E=a;else{G=0;x=66;break a}}f[n>>2]=E;continue a;break}case 6:{if((w&255|0)!=48){z=w;break b}f[i>>2]=f[i>>2]|32;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(t=b[a>>0]|0,t<<24>>24>-1):0){f[c>>2]=a+1;H=t<<24>>24!=0}else{jCb(e,c);t=e;if(!(b[p>>0]|0)){G=0;x=66;break a}else H=(f[t>>2]|0)!=0|(f[t+4>>2]|0)!=0}b[o>>0]=H&1;continue a;break}case 7:{if((w&255|0)!=61){z=w;break b}f[i>>2]=f[i>>2]|64;t=f[c>>2]|0;if(((f[g>>2]|0)-t|0)>3){a=t;v=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=v;f[c>>2]=t+4;I=v}else{if(!(uCb(c,e)|0)){x=53;break a}I=f[e>>2]|0}f[q>>2]=I;continue a;break}case 8:{if((w&255|0)!=69){z=w;break b}f[i>>2]=f[i>>2]|128;v=f[c>>2]|0;if(((f[g>>2]|0)-v|0)>3){t=v;a=h[t>>0]|h[t+1>>0]<<8|h[t+2>>0]<<16|h[t+3>>0]<<24;f[e>>2]=a;f[c>>2]=v+4;K=a}else{if(!(uCb(c,e)|0)){x=60;break a}K=f[e>>2]|0}f[r>>2]=K;continue a;break}default:{z=w;break b}}}while(0);if(!z){G=1;x=66;break}a=f[s>>2]|0;if(!(a&1))L=AHa(s)|0;else L=a&-2;if(!(b4b(c,z,L)|0)){G=0;x=66;break}}if((x|0)==13){G=0;u=d;return G|0}else if((x|0)==20){G=0;u=d;return G|0}else if((x|0)==27){G=0;u=d;return G|0}else if((x|0)==34){G=0;u=d;return G|0}else if((x|0)==53){G=0;u=d;return G|0}else if((x|0)==60){G=0;u=d;return G|0}else if((x|0)==66){u=d;return G|0}return 0}function wTa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+8>>2]|0;if(!(b&255)){d=c;e=a+12|0;f[e>>2]=d;return d|0}g=b&1|0?c+5|0:c;c=b&2|0?g+5|0:g;g=b&4|0?c+5|0:c;c=b&8|0?g+5|0:g;if(!(b&16))h=c;else{g=f[a+32>>2]|0;if((g|0)<0)i=11;else i=((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;h=i+c|0}c=b&32|0?h+2|0:h;h=b&64|0?c+5|0:c;d=b&128|0?h+5|0:h;e=a+12|0;f[e>>2]=d;return d|0}function xTa(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&1|0)wEb(1,+n[a+16>>2],c);if(d&2|0)wEb(2,+n[a+20>>2],c);if(d&4|0)wEb(3,+n[a+24>>2],c);if(d&8|0)wEb(4,+n[a+28>>2],c);if(d&16|0)mEb(5,f[a+32>>2]|0,c);if(d&32|0)yEb(6,(b[a+36>>0]|0)!=0,c);if(d&64|0)wEb(7,+n[a+40>>2],c);if(d&128|0)wEb(8,+n[a+44>>2],c);d=f[a+4>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function yTa(a){a=a|0;return f[a+12>>2]|0}function zTa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=13;h=d+1|0;b[h>>0]=g;b[h+1>>0]=g>>8;b[h+2>>0]=g>>16;b[h+3>>0]=g>>24;e=d+5|0}if(!(c&2))i=e;else{d=f[a+20>>2]|0;b[e>>0]=21;g=e+1|0;b[g>>0]=d;b[g+1>>0]=d>>8;b[g+2>>0]=d>>16;b[g+3>>0]=d>>24;i=e+5|0}if(!(c&4))j=i;else{e=f[a+24>>2]|0;b[i>>0]=29;d=i+1|0;b[d>>0]=e;b[d+1>>0]=e>>8;b[d+2>>0]=e>>16;b[d+3>>0]=e>>24;j=i+5|0}if(!(c&8))k=j;else{i=f[a+28>>2]|0;b[j>>0]=37;e=j+1|0;b[e>>0]=i;b[e+1>>0]=i>>8;b[e+2>>0]=i>>16;b[e+3>>0]=i>>24;k=j+5|0}if(!(c&16))l=k;else{j=f[a+32>>2]|0;b[k>>0]=40;i=k+1|0;k=j&255;if(j>>>0>127){e=i;d=k;g=j;h=((j|0)<0)<<31>>31;while(1){b[e>>0]=d|-128;j=g;g=Irc(g|0,h|0,7)|0;m=e+1|0;n=g&255;if(!(h>>>0>0|(h|0)==0&j>>>0>16383)){o=m;p=n;break}else{e=m;d=n;h=J}}}else{o=i;p=k}b[o>>0]=p;l=o+1|0}if(!(c&32))q=l;else{o=b[a+36>>0]|0;b[l>>0]=48;b[l+1>>0]=o;q=l+2|0}if(!(c&64))r=q;else{l=f[a+40>>2]|0;b[q>>0]=61;o=q+1|0;b[o>>0]=l;b[o+1>>0]=l>>8;b[o+2>>0]=l>>16;b[o+3>>0]=l>>24;r=q+5|0}if(!(c&128))s=r;else{c=f[a+44>>2]|0;b[r>>0]=69;q=r+1|0;b[q>>0]=c;b[q+1>>0]=c>>8;b[q+2>>0]=c>>16;b[q+3>>0]=c>>24;s=r+5|0}r=f[a+4>>2]|0;if(!(r&1)){t=s;return t|0}t=f4b(r&-2,s)|0;return t|0}function ATa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function BTa(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,19336,0)|0;if(!c){c2b(b,a);return}else{ETa(a,c);return}}function CTa(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function DTa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=534056;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function ETa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}e=f[c+8>>2]|0;if(!(e&255))return;if(e&1|0)f[a+16>>2]=f[c+16>>2];if(e&2|0)f[a+20>>2]=f[c+20>>2];if(e&4|0)f[a+24>>2]=f[c+24>>2];if(e&8|0)f[a+28>>2]=f[c+28>>2];if(e&16|0)f[a+32>>2]=f[c+32>>2];if(e&32|0)b[a+36>>0]=b[c+36>>0]|0;if(e&64|0)f[a+40>>2]=f[c+40>>2];if(e&128|0)f[a+44>>2]=f[c+44>>2];c=a+8|0;f[c>>2]=f[c>>2]|e;return}function FTa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=122248;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=533264?(f[222803]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=103;b[d+8>>0]=0;dEb(891212,d);zDb(d)}d=a+12|0;a=d+36|0;do{f[d>>2]=0;d=d+4|0}while((d|0)<(a|0));u=c;return}function GTa(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function HTa(a){a=a|0;var b=0,c=0;f[a>>2]=122356;if((a|0)!=533240?(b=f[a+16>>2]|0,b|0):0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function ITa(a){a=a|0;HTa(a);Emc(a);return}function JTa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function KTa(a,b){a=a|0;b=b|0;a=Bmc(24)|0;nUa(a);if(!b)return a|0;oUa(b,a);return a|0}function LTa(a){a=a|0;var c=0,d=0;c=a+8|0;if(f[c>>2]&1|0){d=f[a+16>>2]|0;ai[f[(f[d>>2]|0)+28>>2]&2047](d)}b[a+20>>0]=0;f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function MTa(a){a=a|0;return 1}function NTa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+16|0;j=e+4|0;k=a+20|0;l=e+8|0;m=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=xCb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:break;case 2:{if((p&255|0)!=16){s=p;break b}f[h>>2]=f[h>>2]|2;o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0?(a=b[o>>0]|0,a<<24>>24>-1):0){f[c>>2]=o+1;t=a<<24>>24!=0}else{jCb(e,c);a=e;if(!(b[l>>0]|0)){v=0;q=29;break a}else t=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[k>>0]=t&1;continue a;break}default:{s=p;break b}}if((p&255|0)==10){f[h>>2]=f[h>>2]|1;a=f[i>>2]|0;if(!a){o=Bmc(48)|0;XTa(o);f[i>>2]=o;w=o}else w=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(o=b[a>>0]|0,o<<24>>24>-1):0){f[c>>2]=a+1;x=o&255}else{o=wCb(c)|0;if((o|0)>-1)x=o;else{v=0;q=29;break a}}hCb(e,c,x);if((f[j>>2]|0)<0){q=16;break a}if(!(Sh[f[(f[w>>2]|0)+44>>2]&511](w,c)|0)){q=16;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{v=0;q=29;break a}}else s=p}while(0);if(!s){v=1;q=29;break}o=f[m>>2]|0;if(!(o&1))y=AHa(m)|0;else y=o&-2;if(!(b4b(c,s,y)|0)){v=0;q=29;break}}if((q|0)==16){v=0;u=d;return v|0}else if((q|0)==29){u=d;return v|0}return 0}function OTa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=a+8|0;d=f[b>>2]|0;if(!(d&3)){e=c;g=a+12|0;f[g>>2]=e;return e|0}if(!(d&1)){h=c;i=d}else{d=f[a+16>>2]|0;j=ci[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=c+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=d;i=f[b>>2]|0}e=i&2|0?h+2|0:h;g=a+12|0;f[g>>2]=e;return e|0}function PTa(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&1|0)GEb(1,f[a+16>>2]|0,c);if(d&2|0)yEb(2,(b[a+20>>0]|0)!=0,c);d=f[a+4>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function QTa(a){a=a|0;return f[a+12>>2]|0}function RTa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=f[a+8>>2]|0;if(!(e&1))g=d;else{h=f[a+16>>2]|0;b[d>>0]=10;i=d+1|0;d=ci[f[(f[h>>2]|0)+60>>2]&1023](h)|0;if(d>>>0>127){j=d;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=i;o=d}b[n>>0]=o;g=ki[f[(f[h>>2]|0)+64>>2]&511](h,c,n+1|0)|0}if(!(e&2))p=g;else{e=b[a+20>>0]|0;b[g>>0]=16;b[g+1>>0]=e;p=g+2|0}g=f[a+4>>2]|0;if(!(g&1)){q=p;return q|0}q=f4b(g&-2,p)|0;return q|0}function STa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function TTa(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,19352,0)|0;if(!c){c2b(b,a);return}else{WTa(a,c);return}}function UTa(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function VTa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=534048;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function WTa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}e=f[c+8>>2]|0;if(!(e&3))return;if(e&1|0){h=a+8|0;f[h>>2]=f[h>>2]|1;h=a+16|0;g=f[h>>2]|0;if(!g){d=Bmc(48)|0;XTa(d);f[h>>2]=d;i=d}else i=g;g=f[c+16>>2]|0;YTa(i,g|0?g:530048)}if(e&2|0)b[a+20>>0]=b[c+20>>0]|0;c=a+8|0;f[c>>2]=f[c>>2]|e;return}function XTa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=122464;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=530048?(f[222744]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=44;b[d+8>>0]=0;dEb(890976,d);zDb(d)}f[a+12>>2]=0;f[a+16>>2]=533440;d=a+20|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[a+36>>2]=-1;n[a+40>>2]=1.0;n[a+44>>2]=1.0;u=c;return}function YTa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}d=f[b+8>>2]|0;if(!(d&255))return;do if(d&1|0?(g=a+8|0,f[g>>2]=f[g>>2]|1,g=a+16|0,e=f[b+16>>2]|0,c=f[g>>2]|0,(c|0)!=(e|0)):0)if((c|0)==533440){aFa(g,e);break}else{Qmc(c,e)|0;break}while(0);if(d&2|0)f[a+20>>2]=f[b+20>>2];if(d&4|0)f[a+24>>2]=f[b+24>>2];if(d&8|0)f[a+28>>2]=f[b+28>>2];if(d&16|0)f[a+32>>2]=f[b+32>>2];if(d&32|0)f[a+36>>2]=f[b+36>>2];if(d&64|0)f[a+40>>2]=f[b+40>>2];if(d&128|0)f[a+44>>2]=f[b+44>>2];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function ZTa(a){a=a|0;var c=0,d=0;f[a>>2]=122464;c=f[a+16>>2]|0;if(!((c|0)==533440|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(d);f[c>>2]=0;return}function _Ta(a){a=a|0;ZTa(a);Emc(a);return}function $Ta(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function aUa(a,b){a=a|0;b=b|0;a=Bmc(48)|0;XTa(a);if(!b)return a|0;mUa(b,a);return a|0}function bUa(a){a=a|0;var b=0,c=0;b=a+8|0;c=f[b>>2]|0;if(c&1|0)Qmc(f[a+16>>2]|0,533440)|0;if(c&254|0){c=a+20|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;f[a+36>>2]=-1;n[a+40>>2]=1.0;n[a+44>>2]=1.0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function cUa(a){a=a|0;return 1}function dUa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+16|0;k=a+20|0;l=a+24|0;m=a+40|0;n=a+28|0;o=a+44|0;p=a+36|0;q=a+32|0;r=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){s=b[a>>0]|0;t=s&255;if(s<<24>>24>0){f[c>>2]=a+1;v=t;w=6}else{x=t;w=5}}else{x=0;w=5}if((w|0)==5){w=0;t=xCb(c,x)|0;if((t+-1|0)>>>0<127){v=t;w=6}else y=t}b:do if((w|0)==6){w=0;switch(v>>>3&536870911|0){case 1:{if((v&255|0)!=10){y=v;break b}f[i>>2]=f[i>>2]|1;t=f[j>>2]|0;if((t|0)==533440){aFa(j,533440);z=f[j>>2]|0}else z=t;if(HEb(c,z)|0)continue a;else{A=0;w=68;break a}break}case 2:{if((v&255|0)!=21){y=v;break b}f[i>>2]=f[i>>2]|2;t=f[c>>2]|0;if(((f[g>>2]|0)-t|0)>3){a=t;s=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=s;f[c>>2]=t+4;B=s}else{if(!(uCb(c,e)|0)){w=17;break a}B=f[e>>2]|0}f[k>>2]=B;continue a;break}case 3:{if((v&255|0)!=29){y=v;break b}f[i>>2]=f[i>>2]|4;s=f[c>>2]|0;if(((f[g>>2]|0)-s|0)>3){t=s;a=h[t>>0]|h[t+1>>0]<<8|h[t+2>>0]<<16|h[t+3>>0]<<24;f[e>>2]=a;f[c>>2]=s+4;C=a}else{if(!(uCb(c,e)|0)){w=24;break a}C=f[e>>2]|0}f[l>>2]=C;continue a;break}case 4:{if((v&255|0)!=37){y=v;break b}f[i>>2]=f[i>>2]|64;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){s=a;t=h[s>>0]|h[s+1>>0]<<8|h[s+2>>0]<<16|h[s+3>>0]<<24;f[e>>2]=t;f[c>>2]=a+4;D=t}else{if(!(uCb(c,e)|0)){w=31;break a}D=f[e>>2]|0}f[m>>2]=D;continue a;break}case 5:{if((v&255|0)!=45){y=v;break b}f[i>>2]=f[i>>2]|8;t=f[c>>2]|0;if(((f[g>>2]|0)-t|0)>3){a=t;s=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=s;f[c>>2]=t+4;E=s}else{if(!(uCb(c,e)|0)){w=38;break a}E=f[e>>2]|0}f[n>>2]=E;continue a;break}case 6:{if((v&255|0)!=53){y=v;break b}f[i>>2]=f[i>>2]|128;s=f[c>>2]|0;if(((f[g>>2]|0)-s|0)>3){t=s;a=h[t>>0]|h[t+1>>0]<<8|h[t+2>>0]<<16|h[t+3>>0]<<24;f[e>>2]=a;f[c>>2]=s+4;F=a}else{if(!(uCb(c,e)|0)){w=45;break a}F=f[e>>2]|0}f[o>>2]=F;continue a;break}case 7:{if((v&255|0)!=56){y=v;break b}f[i>>2]=f[i>>2]|32;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){s=b[a>>0]|0;t=s&255;if(s<<24>>24>-1){f[c>>2]=a+1;G=t}else{H=t;w=50}}else{H=0;w=50}if((w|0)==50){w=0;t=iCb(c,H)|0;a=J;if((a|0)>-1|(a|0)==-1&t>>>0>4294967295)G=t;else{A=0;w=68;break a}}f[p>>2]=G;continue a;break}case 8:{if((v&255|0)!=64){y=v;break b}t=f[c>>2]|0;if(t>>>0<(f[g>>2]|0)>>>0){a=b[t>>0]|0;s=a&255;if(a<<24>>24>-1){f[c>>2]=t+1;I=s}else{K=s;w=56}}else{K=0;w=56}if((w|0)==56){w=0;s=iCb(c,K)|0;t=J;if((t|0)>-1|(t|0)==-1&s>>>0>4294967295)I=s;else{A=0;w=68;break a}}if(I>>>0<3){f[i>>2]=f[i>>2]|16;f[q>>2]=I;continue a}s=f[r>>2]|0;if(!(s&1))L=AHa(r)|0;else L=s&-2;R3b(L,8,I,((I|0)<0)<<31>>31);continue a;break}default:{y=v;break b}}}while(0);if(!y){A=1;w=68;break}s=f[r>>2]|0;if(!(s&1))M=AHa(r)|0;else M=s&-2;if(!(b4b(c,y,M)|0)){A=0;w=68;break}}if((w|0)==17){A=0;u=d;return A|0}else if((w|0)==24){A=0;u=d;return A|0}else if((w|0)==31){A=0;u=d;return A|0}else if((w|0)==38){A=0;u=d;return A|0}else if((w|0)==45){A=0;u=d;return A|0}else if((w|0)==68){u=d;return A|0}return 0}function eUa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=f[a+8>>2]|0;if(!(c&255)){e=d;g=a+12|0;f[g>>2]=e;return e|0}if(!(c&1))h=d;else{i=f[a+16>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0?f[i+4>>2]|0:j&255;h=d+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}k=c&2|0?h+5|0:h;h=c&4|0?k+5|0:k;k=c&8|0?h+5|0:h;if(!(c&16))l=k;else{h=f[a+32>>2]|0;if((h|0)<0)m=11;else m=((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;l=m+k|0}if(!(c&32))n=l;else{k=f[a+36>>2]|0;if((k|0)<0)o=11;else o=((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;n=o+l|0}l=c&64|0?n+5|0:n;e=c&128|0?l+5|0:l;g=a+12|0;f[g>>2]=e;return e|0}function fUa(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)BEb(1,f[a+16>>2]|0,b);if(c&2|0)wEb(2,+n[a+20>>2],b);if(c&4|0)wEb(3,+n[a+24>>2],b);if(c&64|0)wEb(4,+n[a+40>>2],b);if(c&8|0)wEb(5,+n[a+28>>2],b);if(c&128|0)wEb(6,+n[a+44>>2],b);if(c&32|0)mEb(7,f[a+36>>2]|0,b);if(c&16|0)zEb(8,f[a+32>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function gUa(a){a=a|0;return f[a+12>>2]|0}function hUa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=10;e=GCb(g,d+1|0)|0}if(!(c&2))h=e;else{d=f[a+20>>2]|0;b[e>>0]=21;g=e+1|0;b[g>>0]=d;b[g+1>>0]=d>>8;b[g+2>>0]=d>>16;b[g+3>>0]=d>>24;h=e+5|0}if(!(c&4))i=h;else{e=f[a+24>>2]|0;b[h>>0]=29;d=h+1|0;b[d>>0]=e;b[d+1>>0]=e>>8;b[d+2>>0]=e>>16;b[d+3>>0]=e>>24;i=h+5|0}if(!(c&64))j=i;else{h=f[a+40>>2]|0;b[i>>0]=37;e=i+1|0;b[e>>0]=h;b[e+1>>0]=h>>8;b[e+2>>0]=h>>16;b[e+3>>0]=h>>24;j=i+5|0}if(!(c&8))k=j;else{i=f[a+28>>2]|0;b[j>>0]=45;h=j+1|0;b[h>>0]=i;b[h+1>>0]=i>>8;b[h+2>>0]=i>>16;b[h+3>>0]=i>>24;k=j+5|0}if(!(c&128))l=k;else{j=f[a+44>>2]|0;b[k>>0]=53;i=k+1|0;b[i>>0]=j;b[i+1>>0]=j>>8;b[i+2>>0]=j>>16;b[i+3>>0]=j>>24;l=k+5|0}if(!(c&32))m=l;else{k=f[a+36>>2]|0;b[l>>0]=56;j=l+1|0;l=k&255;if(k>>>0>127){i=j;h=l;e=k;d=((k|0)<0)<<31>>31;while(1){b[i>>0]=h|-128;k=e;e=Irc(e|0,d|0,7)|0;g=i+1|0;n=e&255;if(!(d>>>0>0|(d|0)==0&k>>>0>16383)){o=g;p=n;break}else{i=g;h=n;d=J}}}else{o=j;p=l}b[o>>0]=p;m=o+1|0}if(!(c&16))q=m;else{c=f[a+32>>2]|0;b[m>>0]=64;o=m+1|0;m=c&255;if(c>>>0>127){p=o;l=m;j=c;d=((c|0)<0)<<31>>31;while(1){b[p>>0]=l|-128;c=j;j=Irc(j|0,d|0,7)|0;h=p+1|0;i=j&255;if(!(d>>>0>0|(d|0)==0&c>>>0>16383)){r=h;s=i;break}else{p=h;l=i;d=J}}}else{r=o;s=m}b[r>>0]=s;q=r+1|0}r=f[a+4>>2]|0;if(!(r&1)){t=q;return t|0}t=f4b(r&-2,q)|0;return t|0}function iUa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function jUa(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,19368,0)|0;if(!c){c2b(b,a);return}else{YTa(a,c);return}}function kUa(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function lUa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533584;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function mUa(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function nUa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=122356;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=533240?(f[222802]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=102;b[d+8>>0]=0;dEb(891208,d);zDb(d)}d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;b[d+8>>0]=0;u=c;return}function oUa(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function pUa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=122572;qVa(a);b=f[a+52>>2]|0;if(b|0?(f[b>>2]|0)==0:0)Emc(b);b=f[a+40>>2]|0;if(b|0?(f[b>>2]|0)==0:0)Emc(b);b=a+28|0;c=f[b>>2]|0;if(c|0?(f[a+16>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)ai[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;Emc(h)}f[b>>2]=0;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}h=a&-2;a=h;if((h|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(h);f[b>>2]=0;return}function qUa(a){a=a|0;pUa(a);Emc(a);return}function rUa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function sUa(a,b){a=a|0;b=b|0;a=Bmc(196)|0;oVa(a);if(!b)return a|0;pVa(b,a);return a|0}function tUa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=a+20|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+28>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((g|0)!=(d|0));f[c>>2]=0}f[a+32>>2]=0;f[a+44>>2]=0;c=a+8|0;d=f[c>>2]|0;if(d&255|0){do if(d&1|0){g=f[a+56>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);do if(d&2|0){e=f[a+60>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&4|0){g=f[a+64>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);do if(d&8|0){e=f[a+68>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);if(d&16|0)Qmc(f[a+72>>2]|0,533504)|0;if(d&32|0){g=f[a+76>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}if(d&64|0){g=f[a+80>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}if(d&128|0){g=f[a+84>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}}if(d&65280|0){g=a+88|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;b[g+28>>0]=0}if(d&16711680|0){g=a+117|0;e=g+23|0;do{b[g>>0]=0;g=g+1|0}while((g|0)<(e|0));f[a+140>>2]=1;b[a+144>>0]=1}if(d>>>0>16777215){f[a+148>>2]=1;f[a+152>>2]=1;n[a+156>>2]=.5;f[a+160>>2]=5;n[a+164>>2]=1.0;n[a+168>>2]=.75;n[a+172>>2]=1.0;n[a+176>>2]=1.0}if(f[a+12>>2]&7|0){n[a+180>>2]=.5;n[a+184>>2]=.5;n[a+188>>2]=.25}d=c;f[d>>2]=0;f[d+4>>2]=0;d=f[a+4>>2]|0;if(!(d&1))return;a=d&-2;if(!(f[a>>2]|0))return;L3b(a);return}function uUa(a){a=a|0;return 1}function vUa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+56|0;k=a+60|0;l=a+88|0;m=a+144|0;n=e+8|0;o=a+76|0;p=e+4|0;q=a+80|0;r=e+4|0;s=a+92|0;t=a+96|0;v=a+148|0;w=a+152|0;x=a+100|0;y=a+4|0;z=a+156|0;A=a+160|0;B=a+164|0;C=a+168|0;D=a+64|0;E=a+172|0;F=a+68|0;G=a+104|0;H=a+108|0;I=a+116|0;K=e+8|0;L=a+176|0;M=a+16|0;N=e+4|0;O=a+32|0;P=a+36|0;Q=a+40|0;R=a+44|0;S=a+48|0;T=a+52|0;U=a+120|0;V=a+12|0;W=a+180|0;X=a+184|0;Y=a+188|0;Z=a+124|0;_=a+72|0;$=a+128|0;aa=a+132|0;ba=a+136|0;ca=a+112|0;da=a+117|0;ea=e+8|0;fa=a+140|0;ga=a+84|0;a=e+4|0;a:while(1){ha=f[c>>2]|0;ia=f[g>>2]|0;do if(ha>>>0<ia>>>0){ja=b[ha>>0]|0;ka=ja&255;la=ha+1|0;if(ja<<24>>24>0){ma=la;na=ka}else{if(la>>>0>=ia>>>0){oa=ka;pa=7;break}ja=h[la>>0]|0;if(((ja^128)&ka)>>>0<=127){oa=ka;pa=7;break}ma=ha+2|0;na=ka+-128+(ja<<7)|0}f[c>>2]=ma;qa=na;pa=9}else{oa=0;pa=7}while(0);if((pa|0)==7){pa=0;ha=xCb(c,oa)|0;if((ha+-1|0)>>>0<16383){qa=ha;pa=9}else ra=ha}b:do if((pa|0)==9){pa=0;do switch(qa>>>3&536870911|0){case 1:{if((qa&255|0)!=10){ra=qa;break b}f[i>>2]=f[i>>2]|1;ha=f[j>>2]|0;if((ha|0)==535416){aFa(j,535416);sa=f[j>>2]|0}else sa=ha;if(HEb(c,sa)|0)continue a;else{ta=0;pa=277;break a}break}case 2:{if((qa&255|0)!=18){ra=qa;break b}f[i>>2]=f[i>>2]|2;ha=f[k>>2]|0;if((ha|0)==535416){aFa(k,535416);ua=f[k>>2]|0}else ua=ha;if(HEb(c,ua)|0)continue a;else{ta=0;pa=277;break a}break}case 3:{if((qa&255|0)!=24){ra=qa;break b}f[i>>2]=f[i>>2]|256;ha=f[c>>2]|0;if(ha>>>0<(f[g>>2]|0)>>>0){ia=b[ha>>0]|0;ja=ia&255;if(ia<<24>>24>-1){f[l>>2]=ja;f[c>>2]=ha+1;continue a}else va=ja}else va=0;ja=iCb(c,va)|0;ha=J;f[l>>2]=ja;if((ha|0)>-1|(ha|0)==-1&ja>>>0>4294967295)continue a;else{ta=0;pa=277;break a}break}case 4:{if((qa&255|0)!=32){ra=qa;break b}f[i>>2]=f[i>>2]|8388608;ja=f[c>>2]|0;if(ja>>>0<(f[g>>2]|0)>>>0?(ha=b[ja>>0]|0,ha<<24>>24>-1):0){f[c>>2]=ja+1;wa=ha<<24>>24!=0}else{jCb(e,c);ha=e;if(!(b[n>>0]|0)){ta=0;pa=277;break a}else wa=(f[ha>>2]|0)!=0|(f[ha+4>>2]|0)!=0}b[m>>0]=wa&1;continue a;break}case 5:{if((qa&255|0)!=42){ra=qa;break b}f[i>>2]=f[i>>2]|32;ha=f[o>>2]|0;if(!ha){ja=Bmc(48)|0;XTa(ja);f[o>>2]=ja;xa=ja}else xa=ha;ha=f[c>>2]|0;if(ha>>>0<(f[g>>2]|0)>>>0?(ja=b[ha>>0]|0,ja<<24>>24>-1):0){f[c>>2]=ha+1;ya=ja&255}else{ja=wCb(c)|0;if((ja|0)>-1)ya=ja;else{ta=0;pa=277;break a}}hCb(e,c,ya);if((f[p>>2]|0)<0){pa=38;break a}if(!(Sh[f[(f[xa>>2]|0)+44>>2]&511](xa,c)|0)){pa=38;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{ta=0;pa=277;break a}break}case 6:{if((qa&255|0)!=50){ra=qa;break b}f[i>>2]=f[i>>2]|64;ja=f[q>>2]|0;if(!ja){ha=Bmc(48)|0;XTa(ha);f[q>>2]=ha;za=ha}else za=ja;ja=f[c>>2]|0;if(ja>>>0<(f[g>>2]|0)>>>0?(ha=b[ja>>0]|0,ha<<24>>24>-1):0){f[c>>2]=ja+1;Aa=ha&255}else{ha=wCb(c)|0;if((ha|0)>-1)Aa=ha;else{ta=0;pa=277;break a}}hCb(e,c,Aa);if((f[r>>2]|0)<0){pa=49;break a}if(!(Sh[f[(f[za>>2]|0)+44>>2]&511](za,c)|0)){pa=49;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{ta=0;pa=277;break a}break}case 7:{if((qa&255|0)!=56){ra=qa;break b}f[i>>2]=f[i>>2]|512;ha=f[c>>2]|0;if(ha>>>0<(f[g>>2]|0)>>>0){ja=b[ha>>0]|0;ia=ja&255;if(ja<<24>>24>-1){f[s>>2]=ia;f[c>>2]=ha+1;continue a}else Ba=ia}else Ba=0;ia=iCb(c,Ba)|0;ha=J;f[s>>2]=ia;if((ha|0)>-1|(ha|0)==-1&ia>>>0>4294967295)continue a;else{ta=0;pa=277;break a}break}case 8:{if((qa&255|0)!=64){ra=qa;break b}f[i>>2]=f[i>>2]|1024;ia=f[c>>2]|0;if(ia>>>0<(f[g>>2]|0)>>>0){ha=b[ia>>0]|0;ja=ha&255;if(ha<<24>>24>-1){f[t>>2]=ja;f[c>>2]=ia+1;continue a}else Ca=ja}else Ca=0;ja=iCb(c,Ca)|0;ia=J;f[t>>2]=ja;if((ia|0)>-1|(ia|0)==-1&ja>>>0>4294967295)continue a;else{ta=0;pa=277;break a}break}case 9:{if((qa&255|0)!=72){ra=qa;break b}f[i>>2]=f[i>>2]|16777216;ja=f[c>>2]|0;if(ja>>>0<(f[g>>2]|0)>>>0){ia=b[ja>>0]|0;ha=ia&255;if(ia<<24>>24>-1){f[v>>2]=ha;f[c>>2]=ja+1;continue a}else Da=ha}else Da=0;ha=iCb(c,Da)|0;ja=J;f[v>>2]=ha;if((ja|0)>-1|(ja|0)==-1&ha>>>0>4294967295)continue a;else{ta=0;pa=277;break a}break}case 10:{if((qa&255|0)!=80){ra=qa;break b}f[i>>2]=f[i>>2]|33554432;ha=f[c>>2]|0;if(ha>>>0<(f[g>>2]|0)>>>0){ja=b[ha>>0]|0;ia=ja&255;if(ja<<24>>24>-1){f[w>>2]=ia;f[c>>2]=ha+1;continue a}else Ea=ia}else Ea=0;ia=iCb(c,Ea)|0;ha=J;f[w>>2]=ia;if((ha|0)>-1|(ha|0)==-1&ia>>>0>4294967295)continue a;else{ta=0;pa=277;break a}break}case 11:{if((qa&255|0)!=88){ra=qa;break b}ia=f[c>>2]|0;if(ia>>>0<(f[g>>2]|0)>>>0){ha=b[ia>>0]|0;ja=ha&255;if(ha<<24>>24>-1){f[c>>2]=ia+1;Fa=ja}else{Ga=ja;pa=75}}else{Ga=0;pa=75}if((pa|0)==75){pa=0;ja=iCb(c,Ga)|0;ia=J;if((ia|0)>-1|(ia|0)==-1&ja>>>0>4294967295)Fa=ja;else{ta=0;pa=277;break a}}if(Fa>>>0<3){f[i>>2]=f[i>>2]|2048;f[x>>2]=Fa;continue a}ja=f[y>>2]|0;if(!(ja&1))Ha=AHa(y)|0;else Ha=ja&-2;R3b(Ha,11,Fa,((Fa|0)<0)<<31>>31);continue a;break}case 12:{if((qa&255|0)!=101){ra=qa;break b}f[i>>2]=f[i>>2]|67108864;ja=f[c>>2]|0;if(((f[g>>2]|0)-ja|0)>3){ia=ja;ha=h[ia>>0]|h[ia+1>>0]<<8|h[ia+2>>0]<<16|h[ia+3>>0]<<24;f[e>>2]=ha;f[c>>2]=ja+4;Ia=ha}else{if(!(uCb(c,e)|0)){pa=88;break a}Ia=f[e>>2]|0}f[z>>2]=Ia;continue a;break}case 13:{if((qa&255|0)!=104){ra=qa;break b}f[i>>2]=f[i>>2]|134217728;ha=f[c>>2]|0;if(ha>>>0<(f[g>>2]|0)>>>0){ja=b[ha>>0]|0;ia=ja&255;if(ja<<24>>24>-1){f[A>>2]=ia;f[c>>2]=ha+1;continue a}else Ja=ia}else Ja=0;ia=iCb(c,Ja)|0;ha=J;f[A>>2]=ia;if((ha|0)>-1|(ha|0)==-1&ia>>>0>4294967295)continue a;else{ta=0;pa=277;break a}break}case 14:{if((qa&255|0)!=117){ra=qa;break b}f[i>>2]=f[i>>2]|268435456;ia=f[c>>2]|0;if(((f[g>>2]|0)-ia|0)>3){ha=ia;ja=h[ha>>0]|h[ha+1>>0]<<8|h[ha+2>>0]<<16|h[ha+3>>0]<<24;f[e>>2]=ja;f[c>>2]=ia+4;Ka=ja}else{if(!(uCb(c,e)|0)){pa=100;break a}Ka=f[e>>2]|0}f[B>>2]=Ka;continue a;break}case 15:{if((qa&255|0)!=125){ra=qa;break b}f[i>>2]=f[i>>2]|536870912;ja=f[c>>2]|0;if(((f[g>>2]|0)-ja|0)>3){ia=ja;ha=h[ia>>0]|h[ia+1>>0]<<8|h[ia+2>>0]<<16|h[ia+3>>0]<<24;f[e>>2]=ha;f[c>>2]=ja+4;La=ha}else{if(!(uCb(c,e)|0)){pa=107;break a}La=f[e>>2]|0}f[C>>2]=La;continue a;break}case 16:{if((qa&255|0)!=130){ra=qa;break b}f[i>>2]=f[i>>2]|4;ha=f[D>>2]|0;if((ha|0)==535416){aFa(D,535416);Ma=f[D>>2]|0}else Ma=ha;if(HEb(c,Ma)|0)continue a;else{ta=0;pa=277;break a}break}case 17:{if((qa&255|0)!=141){ra=qa;break b}f[i>>2]=f[i>>2]|1073741824;ha=f[c>>2]|0;if(((f[g>>2]|0)-ha|0)>3){ja=ha;ia=h[ja>>0]|h[ja+1>>0]<<8|h[ja+2>>0]<<16|h[ja+3>>0]<<24;f[e>>2]=ia;f[c>>2]=ha+4;Na=ia}else{if(!(uCb(c,e)|0)){pa=118;break a}Na=f[e>>2]|0}f[E>>2]=Na;continue a;break}case 18:{if((qa&255|0)!=146){ra=qa;break b}f[i>>2]=f[i>>2]|8;ia=f[F>>2]|0;if((ia|0)==535416){aFa(F,535416);Oa=f[F>>2]|0}else Oa=ia;if(HEb(c,Oa)|0)continue a;else{ta=0;pa=277;break a}break}case 19:{if((qa&255|0)!=152){ra=qa;break b}f[i>>2]=f[i>>2]|4096;ia=f[c>>2]|0;if(ia>>>0<(f[g>>2]|0)>>>0){ha=b[ia>>0]|0;ja=ha&255;if(ha<<24>>24>-1){f[G>>2]=ja;f[c>>2]=ia+1;continue a}else Pa=ja}else Pa=0;ja=iCb(c,Pa)|0;ia=J;f[G>>2]=ja;if((ia|0)>-1|(ia|0)==-1&ja>>>0>4294967295)continue a;else{ta=0;pa=277;break a}break}case 20:{if((qa&255|0)!=160){ra=qa;break b}f[i>>2]=f[i>>2]|8192;ja=f[c>>2]|0;if(ja>>>0<(f[g>>2]|0)>>>0){ia=b[ja>>0]|0;ha=ia&255;if(ia<<24>>24>-1){f[H>>2]=ha;f[c>>2]=ja+1;continue a}else Qa=ha}else Qa=0;ha=iCb(c,Qa)|0;ja=J;f[H>>2]=ha;if((ja|0)>-1|(ja|0)==-1&ha>>>0>4294967295)continue a;else{ta=0;pa=277;break a}break}case 21:{if((qa&255|0)!=168){ra=qa;break b}f[i>>2]=f[i>>2]|32768;ha=f[c>>2]|0;if(ha>>>0<(f[g>>2]|0)>>>0?(ja=b[ha>>0]|0,ja<<24>>24>-1):0){f[c>>2]=ha+1;Ra=ja<<24>>24!=0}else{jCb(e,c);ja=e;if(!(b[K>>0]|0)){ta=0;pa=277;break a}else Ra=(f[ja>>2]|0)!=0|(f[ja+4>>2]|0)!=0}b[I>>0]=Ra&1;continue a;break}case 22:{if((qa&255|0)!=181){ra=qa;break b}f[i>>2]=f[i>>2]|-2147483648;ja=f[c>>2]|0;if(((f[g>>2]|0)-ja|0)>3){ha=ja;ia=h[ha>>0]|h[ha+1>>0]<<8|h[ha+2>>0]<<16|h[ha+3>>0]<<24;f[e>>2]=ia;f[c>>2]=ja+4;Sa=ia}else{if(!(uCb(c,e)|0)){pa=145;break a}Sa=f[e>>2]|0}f[L>>2]=Sa;continue a;break}case 50:{if((qa&255|0)!=146){ra=qa;break b}ia=WUa(M)|0;ja=f[c>>2]|0;if(ja>>>0<(f[g>>2]|0)>>>0?(ha=b[ja>>0]|0,ha<<24>>24>-1):0){f[c>>2]=ja+1;Ta=ha&255}else{ha=wCb(c)|0;if((ha|0)>-1)Ta=ha;else{ta=0;pa=277;break a}}hCb(e,c,Ta);if((f[N>>2]|0)<0){pa=153;break a}if(!(Sh[f[(f[ia>>2]|0)+44>>2]&511](ia,c)|0)){pa=153;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{ta=0;pa=277;break a}break}case 51:{switch((qa&255)<<24>>24){case -99:break;case -102:{if(XSa(c,O)|0)continue a;else{ta=0;pa=277;break a}break}default:{ra=qa;break b}}ia=f[c>>2]|0;if(((f[g>>2]|0)-ia|0)>3){ha=ia;ja=h[ha>>0]|h[ha+1>>0]<<8|h[ha+2>>0]<<16|h[ha+3>>0]<<24;f[e>>2]=ja;f[c>>2]=ia+4;Ua=ja}else{if(!(uCb(c,e)|0)){pa=171;break a}Ua=f[e>>2]|0}ja=f[O>>2]|0;if((ja|0)==(f[P>>2]|0)){aEa(O,ja+1|0);Va=f[O>>2]|0}else Va=ja;ja=f[Q>>2]|0;ia=Va+1|0;f[O>>2]=ia;f[ja+4+(Va<<2)>>2]=Ua;ha=f[c>>2]|0;ka=(f[g>>2]|0)-ha|0;if((ka|0)<=0)continue a;la=ha;ha=(f[P>>2]|0)-ia|0;Wa=(ka>>>0)/6|0;Xa=(Wa|0)<(ha|0)?Wa:ha;if((Xa|0)>0){Ya=0;Za=la;_a=ia}else continue a;while(1){if((b[Za>>0]|0)!=-99){$a=Ya;break}if((b[Za+1>>0]|0)!=3){$a=Ya;break}ia=Za+2|0;ha=h[ia>>0]|h[ia+1>>0]<<8|h[ia+2>>0]<<16|h[ia+3>>0]<<24;ia=_a;_a=_a+1|0;f[O>>2]=_a;f[ja+4+(ia<<2)>>2]=ha;ha=Ya+1|0;if((ha|0)>=(Xa|0)){$a=ha;break}else{Ya=ha;Za=Za+6|0}}Xa=$a*6|0;if(($a|0)<=0)continue a;if((ka|0)<(Xa|0)){qCb(c,Xa,ka)|0;continue a}else{f[c>>2]=la+Xa;continue a}break}case 52:{switch((qa&255)<<24>>24){case -91:break;case -94:{if(XSa(c,R)|0)continue a;else{ta=0;pa=277;break a}break}default:{ra=qa;break b}}Xa=f[c>>2]|0;if(((f[g>>2]|0)-Xa|0)>3){ja=Xa;ha=h[ja>>0]|h[ja+1>>0]<<8|h[ja+2>>0]<<16|h[ja+3>>0]<<24;f[e>>2]=ha;f[c>>2]=Xa+4;ab=ha}else{if(!(uCb(c,e)|0)){pa=189;break a}ab=f[e>>2]|0}ha=f[R>>2]|0;if((ha|0)==(f[S>>2]|0)){aEa(R,ha+1|0);bb=f[R>>2]|0}else bb=ha;ha=f[T>>2]|0;Xa=bb+1|0;f[R>>2]=Xa;f[ha+4+(bb<<2)>>2]=ab;ja=f[c>>2]|0;ia=(f[g>>2]|0)-ja|0;if((ia|0)<=0)continue a;Wa=ja;ja=(f[S>>2]|0)-Xa|0;cb=(ia>>>0)/6|0;db=(cb|0)<(ja|0)?cb:ja;if((db|0)>0){eb=0;fb=Wa;gb=Xa}else continue a;while(1){if((b[fb>>0]|0)!=-91){hb=eb;break}if((b[fb+1>>0]|0)!=3){hb=eb;break}Xa=fb+2|0;ja=h[Xa>>0]|h[Xa+1>>0]<<8|h[Xa+2>>0]<<16|h[Xa+3>>0]<<24;Xa=gb;gb=gb+1|0;f[R>>2]=gb;f[ha+4+(Xa<<2)>>2]=ja;ja=eb+1|0;if((ja|0)>=(db|0)){hb=ja;break}else{eb=ja;fb=fb+6|0}}db=hb*6|0;if((hb|0)<=0)continue a;if((ia|0)<(db|0)){qCb(c,db,ia)|0;continue a}else{f[c>>2]=Wa+db;continue a}break}case 53:{if((qa&255|0)!=168){ra=qa;break b}f[i>>2]=f[i>>2]|131072;db=f[c>>2]|0;if(db>>>0<(f[g>>2]|0)>>>0){ha=b[db>>0]|0;la=ha&255;if(ha<<24>>24>-1){f[U>>2]=la;f[c>>2]=db+1;continue a}else ib=la}else ib=0;la=iCb(c,ib)|0;db=J;f[U>>2]=la;if((db|0)>-1|(db|0)==-1&la>>>0>4294967295)continue a;else{ta=0;pa=277;break a}break}case 54:{if((qa&255|0)!=181){ra=qa;break b}f[V>>2]=f[V>>2]|1;la=f[c>>2]|0;if(((f[g>>2]|0)-la|0)>3){db=la;ha=h[db>>0]|h[db+1>>0]<<8|h[db+2>>0]<<16|h[db+3>>0]<<24;f[e>>2]=ha;f[c>>2]=la+4;jb=ha}else{if(!(uCb(c,e)|0)){pa=202;break a}jb=f[e>>2]|0}f[W>>2]=jb;continue a;break}case 55:{if((qa&255|0)!=189){ra=qa;break b}f[V>>2]=f[V>>2]|2;ha=f[c>>2]|0;if(((f[g>>2]|0)-ha|0)>3){la=ha;db=h[la>>0]|h[la+1>>0]<<8|h[la+2>>0]<<16|h[la+3>>0]<<24;f[e>>2]=db;f[c>>2]=ha+4;kb=db}else{if(!(uCb(c,e)|0)){pa=209;break a}kb=f[e>>2]|0}f[X>>2]=kb;continue a;break}case 56:{if((qa&255|0)!=197){ra=qa;break b}f[V>>2]=f[V>>2]|4;db=f[c>>2]|0;if(((f[g>>2]|0)-db|0)>3){ha=db;la=h[ha>>0]|h[ha+1>>0]<<8|h[ha+2>>0]<<16|h[ha+3>>0]<<24;f[e>>2]=la;f[c>>2]=db+4;lb=la}else{if(!(uCb(c,e)|0)){pa=216;break a}lb=f[e>>2]|0}f[Y>>2]=lb;continue a;break}case 58:{if((qa&255|0)!=208){ra=qa;break b}f[i>>2]=f[i>>2]|262144;la=f[c>>2]|0;if(la>>>0<(f[g>>2]|0)>>>0){db=b[la>>0]|0;ha=db&255;if(db<<24>>24>-1){f[Z>>2]=ha;f[c>>2]=la+1;continue a}else mb=ha}else mb=0;ha=iCb(c,mb)|0;la=J;f[Z>>2]=ha;if((la|0)>-1|(la|0)==-1&ha>>>0>4294967295)continue a;else{ta=0;pa=277;break a}break}case 59:{if((qa&255|0)!=218){ra=qa;break b}f[i>>2]=f[i>>2]|16;ha=f[_>>2]|0;if((ha|0)==533504){aFa(_,533504);nb=f[_>>2]|0}else nb=ha;if(HEb(c,nb)|0)continue a;else{ta=0;pa=277;break a}break}case 60:{if((qa&255|0)!=224){ra=qa;break b}f[i>>2]=f[i>>2]|524288;ha=f[c>>2]|0;if(ha>>>0<(f[g>>2]|0)>>>0){la=b[ha>>0]|0;db=la&255;if(la<<24>>24>-1){f[c>>2]=ha+1;ob=db}else{pb=db;pa=230}}else{pb=0;pa=230}if((pa|0)==230){pa=0;db=iCb(c,pb)|0;ha=J;if((ha|0)>-1|(ha|0)==-1&db>>>0>4294967295)ob=db;else{ta=0;pa=277;break a}}f[$>>2]=ob;continue a;break}case 61:{if((qa&255|0)!=232){ra=qa;break b}f[i>>2]=f[i>>2]|1048576;db=f[c>>2]|0;if(db>>>0<(f[g>>2]|0)>>>0){ha=b[db>>0]|0;la=ha&255;if(ha<<24>>24>-1){f[c>>2]=db+1;qb=la}else{rb=la;pa=236}}else{rb=0;pa=236}if((pa|0)==236){pa=0;la=iCb(c,rb)|0;db=J;if((db|0)>-1|(db|0)==-1&la>>>0>4294967295)qb=la;else{ta=0;pa=277;break a}}f[aa>>2]=qb;continue a;break}case 62:{if((qa&255|0)!=240){ra=qa;break b}f[i>>2]=f[i>>2]|2097152;la=f[c>>2]|0;if(la>>>0<(f[g>>2]|0)>>>0){db=b[la>>0]|0;ha=db&255;if(db<<24>>24>-1){f[c>>2]=la+1;sb=ha}else{tb=ha;pa=242}}else{tb=0;pa=242}if((pa|0)==242){pa=0;ha=iCb(c,tb)|0;la=J;if((la|0)>-1|(la|0)==-1&ha>>>0>4294967295)sb=ha;else{ta=0;pa=277;break a}}f[ba>>2]=sb;continue a;break}case 63:{if((qa&255|0)!=248){ra=qa;break b}f[i>>2]=f[i>>2]|16384;ha=f[c>>2]|0;if(ha>>>0<(f[g>>2]|0)>>>0){la=b[ha>>0]|0;db=la&255;if(la<<24>>24>-1){f[c>>2]=ha+1;ub=db}else{vb=db;pa=248}}else{vb=0;pa=248}if((pa|0)==248){pa=0;db=iCb(c,vb)|0;ha=J;if((ha|0)>-1|(ha|0)==-1&db>>>0>4294967295)ub=db;else{ta=0;pa=277;break a}}f[ca>>2]=ub;continue a;break}case 64:{if(qa&255|0){ra=qa;break b}f[i>>2]=f[i>>2]|65536;db=f[c>>2]|0;if(db>>>0<(f[g>>2]|0)>>>0?(ha=b[db>>0]|0,ha<<24>>24>-1):0){f[c>>2]=db+1;wb=ha<<24>>24!=0}else{jCb(e,c);ha=e;if(!(b[ea>>0]|0)){ta=0;pa=277;break a}else wb=(f[ha>>2]|0)!=0|(f[ha+4>>2]|0)!=0}b[da>>0]=wb&1;continue a;break}case 65:{if((qa&255|0)!=8){ra=qa;break b}f[i>>2]=f[i>>2]|4194304;ha=f[c>>2]|0;if(ha>>>0<(f[g>>2]|0)>>>0){db=b[ha>>0]|0;la=db&255;if(db<<24>>24>-1){f[fa>>2]=la;f[c>>2]=ha+1;continue a}else xb=la}else xb=0;la=iCb(c,xb)|0;ha=J;f[fa>>2]=la;if((ha|0)>-1|(ha|0)==-1&la>>>0>4294967295)continue a;else{ta=0;pa=277;break a}break}case 1001:{if((qa&255|0)!=74){ra=qa;break b}f[i>>2]=f[i>>2]|128;la=f[ga>>2]|0;if(!la){ha=Bmc(20)|0;FUa(ha);f[ga>>2]=ha;yb=ha}else yb=la;la=f[c>>2]|0;if(la>>>0<(f[g>>2]|0)>>>0?(ha=b[la>>0]|0,ha<<24>>24>-1):0){f[c>>2]=la+1;zb=ha&255}else{ha=wCb(c)|0;if((ha|0)>-1)zb=ha;else{ta=0;pa=277;break a}}hCb(e,c,zb);if((f[a>>2]|0)<0){pa=270;break a}if(!(Sh[f[(f[yb>>2]|0)+44>>2]&511](yb,c)|0)){pa=270;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{ta=0;pa=277;break a}break}default:{ra=qa;break b}}while(0)}while(0);if(!ra){ta=1;pa=277;break}ha=f[y>>2]|0;if(!(ha&1))Ab=AHa(y)|0;else Ab=ha&-2;if(!(b4b(c,ra,Ab)|0)){ta=0;pa=277;break}}switch(pa|0){case 38:{ta=0;u=d;return ta|0}case 49:{ta=0;u=d;return ta|0}case 88:{ta=0;u=d;return ta|0}case 100:{ta=0;u=d;return ta|0}case 107:{ta=0;u=d;return ta|0}case 118:{ta=0;u=d;return ta|0}case 145:{ta=0;u=d;return ta|0}case 153:{ta=0;u=d;return ta|0}case 171:{ta=0;u=d;return ta|0}case 189:{ta=0;u=d;return ta|0}case 202:{ta=0;u=d;return ta|0}case 209:{ta=0;u=d;return ta|0}case 216:{ta=0;u=d;return ta|0}case 270:{ta=0;u=d;return ta|0}case 277:{u=d;return ta|0}}return 0}function wUa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=f[a+20>>2]|0;e=(c<<1)+d|0;if(!c)g=e;else{d=a+28|0;h=0;i=e;while(1){e=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;j=ci[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(c|0)){g=e;break}else i=e}}i=f[a+32>>2]|0;c=f[a+44>>2]|0;h=(i<<2)+g+(c<<2)+(c+i<<1)|0;i=a+8|0;c=f[i>>2]|0;if(c&255){if(!(c&1))k=h;else{g=f[a+56>>2]|0;d=b[g+11>>0]|0;e=d<<24>>24<0?f[g+4>>2]|0:d&255;k=h+1+e+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&2))l=k;else{e=f[a+60>>2]|0;d=b[e+11>>0]|0;g=d<<24>>24<0?f[e+4>>2]|0:d&255;l=k+1+g+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&4))m=l;else{g=f[a+64>>2]|0;k=b[g+11>>0]|0;d=k<<24>>24<0?f[g+4>>2]|0:k&255;m=l+2+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&8))n=m;else{d=f[a+68>>2]|0;l=b[d+11>>0]|0;k=l<<24>>24<0?f[d+4>>2]|0:l&255;n=m+2+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&16))o=n;else{k=f[a+72>>2]|0;m=b[k+11>>0]|0;l=m<<24>>24<0?f[k+4>>2]|0:m&255;o=n+2+l+((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&32)){p=o;q=c}else{l=f[a+76>>2]|0;n=ci[f[(f[l>>2]|0)+48>>2]&1023](l)|0;l=o+1+n+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0;p=l;q=f[i>>2]|0}if(!(q&64)){r=p;s=q}else{q=f[a+80>>2]|0;l=ci[f[(f[q>>2]|0)+48>>2]&1023](q)|0;q=p+1+l+((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)|0;r=q;s=f[i>>2]|0}if(!(s&128)){t=r;u=s}else{s=f[a+84>>2]|0;q=ci[f[(f[s>>2]|0)+48>>2]&1023](s)|0;s=r+2+q+((((($(q|1|0)|0)^31)*9|0)+73|0)>>>6)|0;t=s;u=f[i>>2]|0}}else{t=h;u=c}if(!(u&65280))v=t;else{if(!(u&256))w=t;else w=t+1+((((($(f[a+88>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(u&512))x=w;else x=w+1+((((($(f[a+92>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(u&1024))y=x;else y=x+1+((((($(f[a+96>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(u&2048))z=y;else{x=f[a+100>>2]|0;if((x|0)<0)A=10;else A=(((($(x|1|0)|0)^31)*9|0)+73|0)>>>6;z=y+1+A|0}if(!(u&4096))B=z;else B=z+2+((((($(f[a+104>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(u&8192))C=B;else C=B+2+((((($(f[a+108>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(u&16384))D=C;else{B=f[a+112>>2]|0;if((B|0)<0)E=10;else E=(((($(B|1|0)|0)^31)*9|0)+73|0)>>>6;D=C+2+E|0}v=u&32768|0?D+3|0:D}if(!(u&16711680))F=v;else{D=u&65536|0?v+3|0:v;if(!(u&131072))G=D;else G=D+2+((((($(f[a+120>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(u&262144))H=G;else H=G+2+((((($(f[a+124>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(u&524288))I=H;else{G=f[a+128>>2]|0;if((G|0)<0)J=12;else J=((((($(G|1|0)|0)^31)*9|0)+73|0)>>>6)+2|0;I=J+H|0}if(!(u&1048576))K=I;else{H=f[a+132>>2]|0;if((H|0)<0)L=12;else L=((((($(H|1|0)|0)^31)*9|0)+73|0)>>>6)+2|0;K=L+I|0}if(!(u&2097152))M=K;else{I=f[a+136>>2]|0;if((I|0)<0)N=12;else N=((((($(I|1|0)|0)^31)*9|0)+73|0)>>>6)+2|0;M=N+K|0}if(!(u&4194304))O=M;else O=M+2+((((($(f[a+140>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;F=u&8388608|0?O+2|0:O}if(u>>>0>16777215){if(!(u&16777216))P=F;else P=F+1+((((($(f[a+148>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(u&33554432))Q=P;else Q=P+1+((((($(f[a+152>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;P=u&67108864|0?Q+5|0:Q;if(!(u&134217728))R=P;else R=P+1+((((($(f[a+160>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;P=u&268435456|0?R+5|0:R;R=u&536870912|0?P+5|0:P;P=u&1073741824|0?R+6|0:R;S=(u|0)<0?P+6|0:P}else S=F;F=f[a+12>>2]|0;if(!(F&7)){T=S;U=a+192|0;f[U>>2]=T;return T|0}P=F&1|0?S+6|0:S;S=F&2|0?P+6|0:P;T=F&4|0?S+6|0:S;U=a+192|0;f[U>>2]=T;return T|0}function xUa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=a+8|0;e=f[d>>2]|0;if(e&1|0)BEb(1,f[a+56>>2]|0,c);if(e&2|0)BEb(2,f[a+60>>2]|0,c);if(e&256|0)oEb(3,f[a+88>>2]|0,c);if(e&8388608|0)yEb(4,(b[a+144>>0]|0)!=0,c);if(e&32|0)GEb(5,f[a+76>>2]|0,c);if(e&64|0)GEb(6,f[a+80>>2]|0,c);if(e&512|0)oEb(7,f[a+92>>2]|0,c);if(e&1024|0)oEb(8,f[a+96>>2]|0,c);if(e&16777216|0)oEb(9,f[a+148>>2]|0,c);if(e&33554432|0)oEb(10,f[a+152>>2]|0,c);if(e&2048|0)zEb(11,f[a+100>>2]|0,c);if(e&67108864|0)wEb(12,+n[a+156>>2],c);if(e&134217728|0)oEb(13,f[a+160>>2]|0,c);if(e&268435456|0)wEb(14,+n[a+164>>2],c);if(e&536870912|0)wEb(15,+n[a+168>>2],c);if(e&4|0)BEb(16,f[a+64>>2]|0,c);if(e&1073741824|0)wEb(17,+n[a+172>>2],c);if(e&8|0)BEb(18,f[a+68>>2]|0,c);if(e&4096|0)oEb(19,f[a+104>>2]|0,c);if(e&8192|0)oEb(20,f[a+108>>2]|0,c);if(e&32768|0)yEb(21,(b[a+116>>0]|0)!=0,c);if((e|0)<0)wEb(22,+n[a+176>>2],c);g=f[a+20>>2]|0;if(g|0){h=a+28|0;i=0;do{GEb(50,f[(f[h>>2]|0)+4+(i<<2)>>2]|0,c);i=i+1|0}while((i|0)!=(g|0))}g=f[a+32>>2]|0;if((g|0)>0){i=a+40|0;h=0;do{wEb(51,+n[(f[i>>2]|0)+4+(h<<2)>>2],c);h=h+1|0}while((h|0)!=(g|0))}g=f[a+44>>2]|0;if((g|0)>0){h=a+52|0;i=0;do{wEb(52,+n[(f[h>>2]|0)+4+(i<<2)>>2],c);i=i+1|0}while((i|0)!=(g|0))}if(e&131072|0)oEb(53,f[a+120>>2]|0,c);e=f[a+12>>2]|0;if(e&1|0)wEb(54,+n[a+180>>2],c);if(e&2|0)wEb(55,+n[a+184>>2],c);if(e&4|0)wEb(56,+n[a+188>>2],c);e=f[d>>2]|0;if(e&262144|0)oEb(58,f[a+124>>2]|0,c);if(e&16|0)BEb(59,f[a+72>>2]|0,c);if(e&524288|0)mEb(60,f[a+128>>2]|0,c);if(e&1048576|0)mEb(61,f[a+132>>2]|0,c);if(e&2097152|0)mEb(62,f[a+136>>2]|0,c);if(e&16384|0)mEb(63,f[a+112>>2]|0,c);if(e&65536|0)yEb(64,(b[a+117>>0]|0)!=0,c);if(e&4194304|0)oEb(65,f[a+140>>2]|0,c);if(e&128|0)GEb(1001,f[a+84>>2]|0,c);e=f[a+4>>2]|0;if(!(e&1))return;e4b(e&-2,c);return}function yUa(a){a=a|0;return f[a+192>>2]|0}function zUa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0;e=a+8|0;g=f[e>>2]|0;if(!(g&1))h=d;else{i=f[a+56>>2]|0;b[d>>0]=10;h=GCb(i,d+1|0)|0}if(!(g&2))j=h;else{d=f[a+60>>2]|0;b[h>>0]=18;j=GCb(d,h+1|0)|0}if(!(g&256))k=j;else{h=f[a+88>>2]|0;b[j>>0]=24;d=j+1|0;if(h>>>0>127){j=h;i=d;while(1){b[i>>0]=j|128;l=j>>>7;m=i+1|0;if(j>>>0>16383){j=l;i=m}else{n=m;o=l;break}}}else{n=d;o=h}b[n>>0]=o;k=n+1|0}if(!(g&8388608))p=k;else{n=b[a+144>>0]|0;b[k>>0]=32;b[k+1>>0]=n;p=k+2|0}if(!(g&32))q=p;else{k=f[a+76>>2]|0;b[p>>0]=42;n=p+1|0;p=ci[f[(f[k>>2]|0)+60>>2]&1023](k)|0;if(p>>>0>127){o=p;h=n;while(1){b[h>>0]=o|128;d=o>>>7;i=h+1|0;if(o>>>0>16383){o=d;h=i}else{r=i;s=d;break}}}else{r=n;s=p}b[r>>0]=s;q=ki[f[(f[k>>2]|0)+64>>2]&511](k,c,r+1|0)|0}if(!(g&64))t=q;else{r=f[a+80>>2]|0;b[q>>0]=50;k=q+1|0;q=ci[f[(f[r>>2]|0)+60>>2]&1023](r)|0;if(q>>>0>127){s=q;p=k;while(1){b[p>>0]=s|128;n=s>>>7;h=p+1|0;if(s>>>0>16383){s=n;p=h}else{u=h;v=n;break}}}else{u=k;v=q}b[u>>0]=v;t=ki[f[(f[r>>2]|0)+64>>2]&511](r,c,u+1|0)|0}if(!(g&512))w=t;else{u=f[a+92>>2]|0;b[t>>0]=56;r=t+1|0;if(u>>>0>127){t=u;v=r;while(1){b[v>>0]=t|128;q=t>>>7;k=v+1|0;if(t>>>0>16383){t=q;v=k}else{x=k;y=q;break}}}else{x=r;y=u}b[x>>0]=y;w=x+1|0}if(!(g&1024))z=w;else{x=f[a+96>>2]|0;b[w>>0]=64;y=w+1|0;if(x>>>0>127){w=x;u=y;while(1){b[u>>0]=w|128;r=w>>>7;v=u+1|0;if(w>>>0>16383){w=r;u=v}else{A=v;B=r;break}}}else{A=y;B=x}b[A>>0]=B;z=A+1|0}if(!(g&16777216))C=z;else{A=f[a+148>>2]|0;b[z>>0]=72;B=z+1|0;if(A>>>0>127){z=A;x=B;while(1){b[x>>0]=z|128;y=z>>>7;u=x+1|0;if(z>>>0>16383){z=y;x=u}else{D=u;E=y;break}}}else{D=B;E=A}b[D>>0]=E;C=D+1|0}if(!(g&33554432))F=C;else{D=f[a+152>>2]|0;b[C>>0]=80;E=C+1|0;if(D>>>0>127){C=D;A=E;while(1){b[A>>0]=C|128;B=C>>>7;x=A+1|0;if(C>>>0>16383){C=B;A=x}else{G=x;H=B;break}}}else{G=E;H=D}b[G>>0]=H;F=G+1|0}if(!(g&2048))I=F;else{G=f[a+100>>2]|0;b[F>>0]=88;H=F+1|0;F=G&255;if(G>>>0>127){D=H;E=F;A=G;C=((G|0)<0)<<31>>31;while(1){b[D>>0]=E|-128;G=A;A=Irc(A|0,C|0,7)|0;B=D+1|0;x=A&255;if(!(C>>>0>0|(C|0)==0&G>>>0>16383)){K=B;L=x;break}else{D=B;E=x;C=J}}}else{K=H;L=F}b[K>>0]=L;I=K+1|0}if(!(g&67108864))M=I;else{K=f[a+156>>2]|0;b[I>>0]=101;L=I+1|0;b[L>>0]=K;b[L+1>>0]=K>>8;b[L+2>>0]=K>>16;b[L+3>>0]=K>>24;M=I+5|0}if(!(g&134217728))N=M;else{I=f[a+160>>2]|0;b[M>>0]=104;K=M+1|0;if(I>>>0>127){M=I;L=K;while(1){b[L>>0]=M|128;F=M>>>7;H=L+1|0;if(M>>>0>16383){M=F;L=H}else{O=H;P=F;break}}}else{O=K;P=I}b[O>>0]=P;N=O+1|0}if(!(g&268435456))Q=N;else{O=f[a+164>>2]|0;b[N>>0]=117;P=N+1|0;b[P>>0]=O;b[P+1>>0]=O>>8;b[P+2>>0]=O>>16;b[P+3>>0]=O>>24;Q=N+5|0}if(!(g&536870912))R=Q;else{N=f[a+168>>2]|0;b[Q>>0]=125;O=Q+1|0;b[O>>0]=N;b[O+1>>0]=N>>8;b[O+2>>0]=N>>16;b[O+3>>0]=N>>24;R=Q+5|0}if(!(g&4))S=R;else{Q=f[a+64>>2]|0;b[R>>0]=-126;b[R+1>>0]=1;S=GCb(Q,R+2|0)|0}if(!(g&1073741824))T=S;else{R=f[a+172>>2]|0;b[S>>0]=-115;b[S+1>>0]=1;Q=S+2|0;b[Q>>0]=R;b[Q+1>>0]=R>>8;b[Q+2>>0]=R>>16;b[Q+3>>0]=R>>24;T=S+6|0}if(!(g&8))U=T;else{S=f[a+68>>2]|0;b[T>>0]=-110;b[T+1>>0]=1;U=GCb(S,T+2|0)|0}if(!(g&4096))V=U;else{T=f[a+104>>2]|0;b[U>>0]=-104;b[U+1>>0]=1;S=U+2|0;if(T>>>0>127){U=T;R=S;while(1){b[R>>0]=U|128;Q=U>>>7;N=R+1|0;if(U>>>0>16383){U=Q;R=N}else{W=N;X=Q;break}}}else{W=S;X=T}b[W>>0]=X;V=W+1|0}if(!(g&8192))Y=V;else{W=f[a+108>>2]|0;b[V>>0]=-96;b[V+1>>0]=1;X=V+2|0;if(W>>>0>127){V=W;T=X;while(1){b[T>>0]=V|128;S=V>>>7;R=T+1|0;if(V>>>0>16383){V=S;T=R}else{Z=R;_=S;break}}}else{Z=X;_=W}b[Z>>0]=_;Y=Z+1|0}if(!(g&32768))$=Y;else{Z=b[a+116>>0]|0;b[Y>>0]=-88;b[Y+1>>0]=1;b[Y+2>>0]=Z;$=Y+3|0}if((g|0)<0){Y=f[a+176>>2]|0;b[$>>0]=-75;b[$+1>>0]=1;Z=$+2|0;b[Z>>0]=Y;b[Z+1>>0]=Y>>8;b[Z+2>>0]=Y>>16;b[Z+3>>0]=Y>>24;aa=$+6|0}else aa=$;$=f[a+20>>2]|0;if(!$)ba=aa;else{Y=a+28|0;Z=0;_=aa;while(1){aa=f[(f[Y>>2]|0)+4+(Z<<2)>>2]|0;b[_>>0]=-110;b[_+1>>0]=3;W=_+2|0;X=ci[f[(f[aa>>2]|0)+60>>2]&1023](aa)|0;if(X>>>0>127){T=X;V=W;while(1){b[V>>0]=T|128;S=T>>>7;R=V+1|0;if(T>>>0>16383){T=S;V=R}else{ca=R;da=S;break}}}else{ca=W;da=X}b[ca>>0]=da;V=ki[f[(f[aa>>2]|0)+64>>2]&511](aa,c,ca+1|0)|0;Z=Z+1|0;if((Z|0)==($|0)){ba=V;break}else _=V}}_=f[a+32>>2]|0;if(!_)ea=ba;else{$=f[a+40>>2]|0;Z=0;ca=ba;while(1){ba=f[$+4+(Z<<2)>>2]|0;b[ca>>0]=-99;b[ca+1>>0]=3;da=ca+2|0;b[da>>0]=ba;b[da+1>>0]=ba>>8;b[da+2>>0]=ba>>16;b[da+3>>0]=ba>>24;ba=ca+6|0;Z=Z+1|0;if((Z|0)>=(_|0)){ea=ba;break}else ca=ba}}ca=f[a+44>>2]|0;if(!ca)fa=ea;else{_=f[a+52>>2]|0;Z=0;$=ea;while(1){ea=f[_+4+(Z<<2)>>2]|0;b[$>>0]=-91;b[$+1>>0]=3;ba=$+2|0;b[ba>>0]=ea;b[ba+1>>0]=ea>>8;b[ba+2>>0]=ea>>16;b[ba+3>>0]=ea>>24;ea=$+6|0;Z=Z+1|0;if((Z|0)>=(ca|0)){fa=ea;break}else $=ea}}if(!(g&131072))ga=fa;else{g=f[a+120>>2]|0;b[fa>>0]=-88;b[fa+1>>0]=3;$=fa+2|0;if(g>>>0>127){fa=g;ca=$;while(1){b[ca>>0]=fa|128;Z=fa>>>7;_=ca+1|0;if(fa>>>0>16383){fa=Z;ca=_}else{ha=_;ia=Z;break}}}else{ha=$;ia=g}b[ha>>0]=ia;ga=ha+1|0}ha=f[a+12>>2]|0;if(!(ha&1))ja=ga;else{ia=f[a+180>>2]|0;b[ga>>0]=-75;b[ga+1>>0]=3;g=ga+2|0;b[g>>0]=ia;b[g+1>>0]=ia>>8;b[g+2>>0]=ia>>16;b[g+3>>0]=ia>>24;ja=ga+6|0}if(!(ha&2))ka=ja;else{ga=f[a+184>>2]|0;b[ja>>0]=-67;b[ja+1>>0]=3;ia=ja+2|0;b[ia>>0]=ga;b[ia+1>>0]=ga>>8;b[ia+2>>0]=ga>>16;b[ia+3>>0]=ga>>24;ka=ja+6|0}if(!(ha&4))la=ka;else{ha=f[a+188>>2]|0;b[ka>>0]=-59;b[ka+1>>0]=3;ja=ka+2|0;b[ja>>0]=ha;b[ja+1>>0]=ha>>8;b[ja+2>>0]=ha>>16;b[ja+3>>0]=ha>>24;la=ka+6|0}ka=f[e>>2]|0;if(!(ka&262144))ma=la;else{e=f[a+124>>2]|0;b[la>>0]=-48;b[la+1>>0]=3;ha=la+2|0;if(e>>>0>127){la=e;ja=ha;while(1){b[ja>>0]=la|128;ga=la>>>7;ia=ja+1|0;if(la>>>0>16383){la=ga;ja=ia}else{na=ia;oa=ga;break}}}else{na=ha;oa=e}b[na>>0]=oa;ma=na+1|0}if(!(ka&16))pa=ma;else{na=f[a+72>>2]|0;b[ma>>0]=-38;b[ma+1>>0]=3;pa=GCb(na,ma+2|0)|0}if(!(ka&524288))qa=pa;else{ma=f[a+128>>2]|0;b[pa>>0]=-32;b[pa+1>>0]=3;na=pa+2|0;pa=ma&255;if(ma>>>0>127){oa=na;e=pa;ha=ma;ja=((ma|0)<0)<<31>>31;while(1){b[oa>>0]=e|-128;ma=ha;ha=Irc(ha|0,ja|0,7)|0;la=oa+1|0;ga=ha&255;if(!(ja>>>0>0|(ja|0)==0&ma>>>0>16383)){ra=la;sa=ga;break}else{oa=la;e=ga;ja=J}}}else{ra=na;sa=pa}b[ra>>0]=sa;qa=ra+1|0}if(!(ka&1048576))ta=qa;else{ra=f[a+132>>2]|0;b[qa>>0]=-24;b[qa+1>>0]=3;sa=qa+2|0;qa=ra&255;if(ra>>>0>127){pa=sa;na=qa;ja=ra;e=((ra|0)<0)<<31>>31;while(1){b[pa>>0]=na|-128;ra=ja;ja=Irc(ja|0,e|0,7)|0;oa=pa+1|0;ha=ja&255;if(!(e>>>0>0|(e|0)==0&ra>>>0>16383)){ua=oa;va=ha;break}else{pa=oa;na=ha;e=J}}}else{ua=sa;va=qa}b[ua>>0]=va;ta=ua+1|0}if(!(ka&2097152))wa=ta;else{ua=f[a+136>>2]|0;b[ta>>0]=-16;b[ta+1>>0]=3;va=ta+2|0;ta=ua&255;if(ua>>>0>127){qa=va;sa=ta;e=ua;na=((ua|0)<0)<<31>>31;while(1){b[qa>>0]=sa|-128;ua=e;e=Irc(e|0,na|0,7)|0;pa=qa+1|0;ja=e&255;if(!(na>>>0>0|(na|0)==0&ua>>>0>16383)){xa=pa;ya=ja;break}else{qa=pa;sa=ja;na=J}}}else{xa=va;ya=ta}b[xa>>0]=ya;wa=xa+1|0}if(!(ka&16384))za=wa;else{xa=f[a+112>>2]|0;b[wa>>0]=-8;b[wa+1>>0]=3;ya=wa+2|0;wa=xa&255;if(xa>>>0>127){ta=ya;va=wa;na=xa;sa=((xa|0)<0)<<31>>31;while(1){b[ta>>0]=va|-128;xa=na;na=Irc(na|0,sa|0,7)|0;qa=ta+1|0;e=na&255;if(!(sa>>>0>0|(sa|0)==0&xa>>>0>16383)){Aa=qa;Ba=e;break}else{ta=qa;va=e;sa=J}}}else{Aa=ya;Ba=wa}b[Aa>>0]=Ba;za=Aa+1|0}if(!(ka&65536))Ca=za;else{Aa=b[a+117>>0]|0;b[za>>0]=-128;b[za+1>>0]=4;b[za+2>>0]=Aa;Ca=za+3|0}if(!(ka&4194304))Da=Ca;else{za=f[a+140>>2]|0;b[Ca>>0]=-120;b[Ca+1>>0]=4;Aa=Ca+2|0;if(za>>>0>127){Ca=za;Ba=Aa;while(1){b[Ba>>0]=Ca|128;wa=Ca>>>7;ya=Ba+1|0;if(Ca>>>0>16383){Ca=wa;Ba=ya}else{Ea=ya;Fa=wa;break}}}else{Ea=Aa;Fa=za}b[Ea>>0]=Fa;Da=Ea+1|0}if(!(ka&128))Ga=Da;else{ka=f[a+84>>2]|0;b[Da>>0]=-54;b[Da+1>>0]=62;Ea=Da+2|0;Da=ci[f[(f[ka>>2]|0)+60>>2]&1023](ka)|0;if(Da>>>0>127){Fa=Da;za=Ea;while(1){b[za>>0]=Fa|128;Aa=Fa>>>7;Ba=za+1|0;if(Fa>>>0>16383){Fa=Aa;za=Ba}else{Ha=Ba;Ia=Aa;break}}}else{Ha=Ea;Ia=Da}b[Ha>>0]=Ia;Ga=ki[f[(f[ka>>2]|0)+64>>2]&511](ka,c,Ha+1|0)|0}Ha=f[a+4>>2]|0;if(!(Ha&1)){Ja=Ga;return Ja|0}Ja=f4b(Ha&-2,Ga)|0;return Ja|0}function AUa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function BUa(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,19384,0)|0;if(!c){c2b(b,a);return}else{EUa(a,c);return}}function CUa(a,b){a=a|0;b=b|0;f[a+192>>2]=b;return}function DUa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=534040;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function EUa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}jFa(a+16|0,c+16|0);e=a+32|0;h=c+32|0;g=f[h>>2]|0;if(g|0){aEa(e,(f[e>>2]|0)+g|0);Krc((f[a+40>>2]|0)+4+(f[e>>2]<<2)|0,(f[c+40>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}h=a+44|0;e=c+44|0;g=f[e>>2]|0;if(g|0){aEa(h,(f[h>>2]|0)+g|0);Krc((f[a+52>>2]|0)+4+(f[h>>2]<<2)|0,(f[c+52>>2]|0)+4|0,f[e>>2]<<2|0)|0;f[h>>2]=(f[h>>2]|0)+(f[e>>2]|0)}e=f[c+8>>2]|0;do if(e&255|0){do if(e&1|0?(h=a+8|0,f[h>>2]=f[h>>2]|1,h=a+56|0,g=f[c+56>>2]|0,d=f[h>>2]|0,(d|0)!=(g|0)):0)if((d|0)==535416){aFa(h,g);break}else{Qmc(d,g)|0;break}while(0);do if(e&2|0?(g=a+8|0,f[g>>2]=f[g>>2]|2,g=a+60|0,d=f[c+60>>2]|0,h=f[g>>2]|0,(h|0)!=(d|0)):0)if((h|0)==535416){aFa(g,d);break}else{Qmc(h,d)|0;break}while(0);do if(e&4|0?(d=a+8|0,f[d>>2]=f[d>>2]|4,d=a+64|0,h=f[c+64>>2]|0,g=f[d>>2]|0,(g|0)!=(h|0)):0)if((g|0)==535416){aFa(d,h);break}else{Qmc(g,h)|0;break}while(0);do if(e&8|0?(h=a+8|0,f[h>>2]=f[h>>2]|8,h=a+68|0,g=f[c+68>>2]|0,d=f[h>>2]|0,(d|0)!=(g|0)):0)if((d|0)==535416){aFa(h,g);break}else{Qmc(d,g)|0;break}while(0);do if(e&16|0?(g=a+8|0,f[g>>2]=f[g>>2]|16,g=a+72|0,d=f[c+72>>2]|0,h=f[g>>2]|0,(h|0)!=(d|0)):0)if((h|0)==533504){aFa(g,d);break}else{Qmc(h,d)|0;break}while(0);if(e&32|0){d=a+8|0;f[d>>2]=f[d>>2]|32;d=a+76|0;h=f[d>>2]|0;if(!h){g=Bmc(48)|0;XTa(g);f[d>>2]=g;i=g}else i=h;h=f[c+76>>2]|0;YTa(i,h|0?h:530048)}if(e&64|0){h=a+8|0;f[h>>2]=f[h>>2]|64;h=a+80|0;g=f[h>>2]|0;if(!g){d=Bmc(48)|0;XTa(d);f[h>>2]=d;j=d}else j=g;g=f[c+80>>2]|0;YTa(j,g|0?g:530048)}if(e&128|0){g=a+8|0;f[g>>2]=f[g>>2]|128;g=a+84|0;d=f[g>>2]|0;if(!d){h=Bmc(20)|0;FUa(h);f[g>>2]=h;k=h}else k=d;d=f[c+84>>2]|0;h=d|0?d:531832;d=k+4|0;g=f[h+4>>2]|0;if(g&1|0){l=f[d>>2]|0;if(!(l&1))m=AHa(d)|0;else m=l&-2;O3b(m,g&-2)}if(f[h+8>>2]&1|0?(g=k+8|0,f[g>>2]=f[g>>2]|1,g=k+16|0,l=f[h+16>>2]|0,h=f[g>>2]|0,(h|0)!=(l|0)):0)if((h|0)==535416){aFa(g,l);break}else{Qmc(h,l)|0;break}}}while(0);if(e&65280|0){if(e&256|0)f[a+88>>2]=f[c+88>>2];if(e&512|0)f[a+92>>2]=f[c+92>>2];if(e&1024|0)f[a+96>>2]=f[c+96>>2];if(e&2048|0)f[a+100>>2]=f[c+100>>2];if(e&4096|0)f[a+104>>2]=f[c+104>>2];if(e&8192|0)f[a+108>>2]=f[c+108>>2];if(e&16384|0)f[a+112>>2]=f[c+112>>2];if(e&32768|0)b[a+116>>0]=b[c+116>>0]|0;k=a+8|0;f[k>>2]=f[k>>2]|e}if(e&16711680|0){if(e&65536|0)b[a+117>>0]=b[c+117>>0]|0;if(e&131072|0)f[a+120>>2]=f[c+120>>2];if(e&262144|0)f[a+124>>2]=f[c+124>>2];if(e&524288|0)f[a+128>>2]=f[c+128>>2];if(e&1048576|0)f[a+132>>2]=f[c+132>>2];if(e&2097152|0)f[a+136>>2]=f[c+136>>2];if(e&4194304|0)f[a+140>>2]=f[c+140>>2];if(e&8388608|0)b[a+144>>0]=b[c+144>>0]|0;k=a+8|0;f[k>>2]=f[k>>2]|e}if(e>>>0>16777215){if(e&16777216|0)f[a+148>>2]=f[c+148>>2];if(e&33554432|0)f[a+152>>2]=f[c+152>>2];if(e&67108864|0)f[a+156>>2]=f[c+156>>2];if(e&134217728|0)f[a+160>>2]=f[c+160>>2];if(e&268435456|0)f[a+164>>2]=f[c+164>>2];if(e&536870912|0)f[a+168>>2]=f[c+168>>2];if(e&1073741824|0)f[a+172>>2]=f[c+172>>2];if((e|0)<0)f[a+176>>2]=f[c+176>>2];k=a+8|0;f[k>>2]=f[k>>2]|e}e=f[c+12>>2]|0;if(!(e&7))return;if(e&1|0)f[a+180>>2]=f[c+180>>2];if(e&2|0)f[a+184>>2]=f[c+184>>2];if(e&4|0)f[a+188>>2]=f[c+188>>2];c=a+12|0;f[c>>2]=f[c>>2]|e;return}function FUa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=122680;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=531832?(f[222773]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=73;b[d+8>>0]=0;dEb(891092,d);zDb(d)}f[a+12>>2]=0;f[a+16>>2]=535416;u=c;return}function GUa(a){a=a|0;var c=0,d=0;f[a>>2]=122680;c=f[a+16>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(d);f[c>>2]=0;return}function HUa(a){a=a|0;GUa(a);Emc(a);return}function IUa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function JUa(a,b){a=a|0;b=b|0;a=Bmc(20)|0;FUa(a);if(!b)return a|0;VUa(b,a);return a|0}function KUa(a){a=a|0;var c=0,d=0,e=0;c=a+8|0;do if(f[c>>2]&1|0){d=f[a+16>>2]|0;e=d+11|0;if((b[e>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[e>>0]=0;break}}while(0);f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function LUa(a){a=a|0;return 1}function MUa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=c+4|0;e=a+8|0;g=a+16|0;h=a+4|0;while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){i=b[a>>0]|0;j=i&255;if(i<<24>>24>0){f[c>>2]=a+1;k=j;l=6}else{m=j;l=5}}else{m=0;l=5}if((l|0)==5){l=0;j=xCb(c,m)|0;if((j+-1|0)>>>0<127){k=j;l=6}else n=j}if((l|0)==6){l=0;if((k|0)==10){f[e>>2]=f[e>>2]|1;j=f[g>>2]|0;if((j|0)==535416){aFa(g,535416);o=f[g>>2]|0}else o=j;if(HEb(c,o)|0)continue;else{p=0;l=15;break}}else n=k}if(!n){p=1;l=15;break}j=f[h>>2]|0;if(!(j&1))q=AHa(h)|0;else q=j&-2;if(!(b4b(c,n,q)|0)){p=0;l=15;break}}if((l|0)==15)return p|0;return 0}function NUa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;if(!(f[a+8>>2]&1)){e=d;g=a+12|0;f[g>>2]=e;return e|0}c=f[a+16>>2]|0;h=b[c+11>>0]|0;i=h<<24>>24<0?f[c+4>>2]|0:h&255;e=d+1+i+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=a+12|0;f[g>>2]=e;return e|0}function OUa(a,b){a=a|0;b=b|0;var c=0;if(f[a+8>>2]&1|0)BEb(1,f[a+16>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function PUa(a){a=a|0;return f[a+12>>2]|0}function QUa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0;if(!(f[a+8>>2]&1))e=d;else{c=f[a+16>>2]|0;b[d>>0]=10;e=GCb(c,d+1|0)|0}d=f[a+4>>2]|0;if(!(d&1)){g=e;return g|0}g=f4b(d&-2,e)|0;return g|0}function RUa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function SUa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,19400,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}if(!(f[c+8>>2]&1))return;d=a+8|0;f[d>>2]=f[d>>2]|1;d=a+16|0;a=f[c+16>>2]|0;c=f[d>>2]|0;if((c|0)==(a|0))return;if((c|0)==535416){aFa(d,a);return}else{Qmc(c,a)|0;return}}function TUa(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function UUa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533816;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function VUa(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function WUa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=a+12|0;c=f[b>>2]|0;do if(!c){d=a+4|0;e=f[a+8>>2]|0;g=6}else{h=a+4|0;i=f[h>>2]|0;j=f[c>>2]|0;if((i|0)>=(j|0))if((j|0)==(f[a+8>>2]|0)){d=h;e=j;g=6;break}else{k=h;l=j;m=c;break}f[h>>2]=i+1;n=f[c+4+(i<<2)>>2]|0;return n|0}while(0);if((g|0)==6){uDb(a,e+1|0);e=f[b>>2]|0;k=d;l=f[e>>2]|0;m=e}f[m>>2]=l+1;l=f[a>>2]|0;if(!l){a=Bmc(108)|0;XUa(a);o=a}else{if(f[l+64>>2]|0)pBb(l,19416,112);a=oBb(l,112,1636)|0;XUa(a);o=a}a=f[b>>2]|0;b=f[k>>2]|0;f[k>>2]=b+1;f[a+4+(b<<2)>>2]=o;n=o;return n|0}function XUa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=122788;f[a+4>>2]=0;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+32>>2]=0;f[a+36>>2]=0;f[a+40>>2]=0;f[a+48>>2]=0;f[a+52>>2]=0;f[a+56>>2]=0;f[a+64>>2]=0;f[a+68>>2]=0;f[a+72>>2]=0;if((a|0)!=529600?(f[222737]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=37;b[d+8>>0]=0;dEb(890948,d);zDb(d)}f[a+12>>2]=0;f[a+80>>2]=535416;d=a+84|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;u=c;return}function YUa(a){a=a|0;var c=0,d=0;f[a>>2]=122788;c=f[a+80>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}if((a|0)!=529600?(c=f[a+84>>2]|0,c|0):0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+72>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=f[a+56>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=f[a+40>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=f[a+24>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(d);f[c>>2]=0;return}function ZUa(a){a=a|0;YUa(a);Emc(a);return}function _Ua(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function $Ua(a,b){a=a|0;b=b|0;a=Bmc(108)|0;XUa(a);if(!b)return a|0;nVa(b,a);return a|0}function aVa(a){a=a|0;var c=0,d=0,e=0,g=0;f[a+16>>2]=0;f[a+32>>2]=0;f[a+48>>2]=0;f[a+64>>2]=0;c=a+8|0;d=f[c>>2]|0;if(d&3|0){do if(d&1|0){e=f[a+80>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);if(d&2|0){g=f[a+84>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}}if(d&124|0){d=a+88|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function bVa(a){a=a|0;return 1}function cVa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0.0,na=0,oa=0,pa=0,qa=0,ra=0.0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+88|0;k=a+92|0;l=a+96|0;m=a+100|0;n=a+16|0;o=a+20|0;q=a+24|0;r=a+32|0;t=a+36|0;v=a+40|0;w=a+84|0;x=e+4|0;y=a+48|0;z=a+52|0;A=a+56|0;B=a+64|0;C=a+68|0;D=a+72|0;E=a+104|0;F=a+4|0;G=a+80|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){H=b[a>>0]|0;I=H&255;if(H<<24>>24>0){f[c>>2]=a+1;K=I;L=6}else{M=I;L=5}}else{M=0;L=5}if((L|0)==5){L=0;I=xCb(c,M)|0;if((I+-1|0)>>>0<127){K=I;L=6}else N=I}b:do if((L|0)==6){L=0;do switch(K>>>3&536870911|0){case 1:{if((K&255|0)!=8){N=K;break b}f[i>>2]=f[i>>2]|4;I=f[c>>2]|0;if(I>>>0<(f[g>>2]|0)>>>0){a=b[I>>0]|0;H=a&255;if(a<<24>>24>-1){f[c>>2]=I+1;O=H}else{P=H;L=11}}else{P=0;L=11}if((L|0)==11){L=0;H=iCb(c,P)|0;I=J;if((I|0)>-1|(I|0)==-1&H>>>0>4294967295)O=H;else{Q=0;L=154;break a}}f[j>>2]=O;continue a;break}case 2:{if((K&255|0)!=16){N=K;break b}f[i>>2]=f[i>>2]|8;H=f[c>>2]|0;if(H>>>0<(f[g>>2]|0)>>>0){I=b[H>>0]|0;a=I&255;if(I<<24>>24>-1){f[c>>2]=H+1;R=a}else{S=a;L=17}}else{S=0;L=17}if((L|0)==17){L=0;a=iCb(c,S)|0;H=J;if((H|0)>-1|(H|0)==-1&a>>>0>4294967295)R=a;else{Q=0;L=154;break a}}f[k>>2]=R;continue a;break}case 3:{if((K&255|0)!=24){N=K;break b}f[i>>2]=f[i>>2]|16;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){H=b[a>>0]|0;I=H&255;if(H<<24>>24>-1){f[c>>2]=a+1;T=I}else{U=I;L=23}}else{U=0;L=23}if((L|0)==23){L=0;I=iCb(c,U)|0;a=J;if((a|0)>-1|(a|0)==-1&I>>>0>4294967295)T=I;else{Q=0;L=154;break a}}f[l>>2]=T;continue a;break}case 4:{if((K&255|0)!=32){N=K;break b}f[i>>2]=f[i>>2]|32;I=f[c>>2]|0;if(I>>>0<(f[g>>2]|0)>>>0){a=b[I>>0]|0;H=a&255;if(a<<24>>24>-1){f[c>>2]=I+1;V=H}else{W=H;L=29}}else{W=0;L=29}if((L|0)==29){L=0;H=iCb(c,W)|0;I=J;if((I|0)>-1|(I|0)==-1&H>>>0>4294967295)V=H;else{Q=0;L=154;break a}}f[m>>2]=V;continue a;break}case 5:{switch((K&255)<<24>>24){case 42:break;case 45:{if(cJa(1,42,c,n)|0)continue a;else{Q=0;L=154;break a}break}default:{N=K;break b}}H=f[c>>2]|0;if(H>>>0<(f[g>>2]|0)>>>0?(I=b[H>>0]|0,I<<24>>24>-1):0){f[c>>2]=H+1;X=I&255}else{I=wCb(c)|0;if((I|0)>-1)X=I;else{Q=0;L=154;break a}}Y=f[n>>2]|0;I=(X|0)/4|0;if((I<<2|0)!=(X|0)){Q=0;L=154;break a}H=pCb(c)|0;a=nCb(c)|0;if((((H|0)==-1|(a|0)<(H|0)?a:H)|0)>=(X|0)){H=Y+I|0;if((f[n>>2]|0)<(H|0)?(aEa(n,H),a=f[n>>2]|0,Z=H-a|0,(Z<<2|0)>0):0)Drc((f[q>>2]|0)+((a<<2)+4)|0,0,(((Z|-1073741824|0)==-1073741824?1073741823:1073741822)+Z<<2)+8|0)|0;f[n>>2]=H;H=f[q>>2]|0;if(rCb(c,((H|0)==0?0:H+4|0)+(Y<<2)|0,X)|0)continue a;else{L=43;break a}}if((X|0)>3)_=0;else continue a;while(1){H=f[c>>2]|0;if(((f[g>>2]|0)-H|0)>3){Z=H;a=h[Z>>0]|h[Z+1>>0]<<8|h[Z+2>>0]<<16|h[Z+3>>0]<<24;f[e>>2]=a;f[c>>2]=H+4;$=a}else{if(!(uCb(c,e)|0)){L=52;break a}$=f[e>>2]|0}a=f[n>>2]|0;if((a|0)==(f[o>>2]|0)){aEa(n,a+1|0);aa=f[n>>2]|0}else aa=a;a=f[q>>2]|0;f[n>>2]=aa+1;f[a+4+(aa<<2)>>2]=$;a=_+1|0;if((a|0)<(I|0))_=a;else continue a}break}case 6:{switch((K&255)<<24>>24){case 50:break;case 53:{if(cJa(1,50,c,r)|0)continue a;else{Q=0;L=154;break a}break}default:{N=K;break b}}I=f[c>>2]|0;if(I>>>0<(f[g>>2]|0)>>>0?(a=b[I>>0]|0,a<<24>>24>-1):0){f[c>>2]=I+1;ba=a&255}else{a=wCb(c)|0;if((a|0)>-1)ba=a;else{Q=0;L=154;break a}}ca=f[r>>2]|0;a=(ba|0)/4|0;if((a<<2|0)!=(ba|0)){Q=0;L=154;break a}I=pCb(c)|0;H=nCb(c)|0;if((((I|0)==-1|(H|0)<(I|0)?H:I)|0)>=(ba|0)){I=ca+a|0;if((f[r>>2]|0)<(I|0)?(aEa(r,I),H=f[r>>2]|0,Z=I-H|0,(Z<<2|0)>0):0)Drc((f[v>>2]|0)+((H<<2)+4)|0,0,(((Z|-1073741824|0)==-1073741824?1073741823:1073741822)+Z<<2)+8|0)|0;f[r>>2]=I;I=f[v>>2]|0;if(rCb(c,((I|0)==0?0:I+4|0)+(ca<<2)|0,ba)|0)continue a;else{L=66;break a}}if((ba|0)>3)da=0;else continue a;while(1){I=f[c>>2]|0;if(((f[g>>2]|0)-I|0)>3){Z=I;H=h[Z>>0]|h[Z+1>>0]<<8|h[Z+2>>0]<<16|h[Z+3>>0]<<24;f[e>>2]=H;f[c>>2]=I+4;ea=H}else{if(!(uCb(c,e)|0)){L=75;break a}ea=f[e>>2]|0}H=f[r>>2]|0;if((H|0)==(f[t>>2]|0)){aEa(r,H+1|0);fa=f[r>>2]|0}else fa=H;H=f[v>>2]|0;f[r>>2]=fa+1;f[H+4+(fa<<2)>>2]=ea;H=da+1|0;if((H|0)<(a|0))da=H;else continue a}break}case 7:{if((K&255|0)!=58){N=K;break b}f[i>>2]=f[i>>2]|2;a=f[w>>2]|0;if(!a){H=Bmc(32)|0;mVa(H);f[w>>2]=H;ga=H}else ga=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(H=b[a>>0]|0,H<<24>>24>-1):0){f[c>>2]=a+1;ha=H&255}else{H=wCb(c)|0;if((H|0)>-1)ha=H;else{Q=0;L=154;break a}}hCb(e,c,ha);if((f[x>>2]|0)<0){L=86;break a}if(!(Sh[f[(f[ga>>2]|0)+44>>2]&511](ga,c)|0)){L=86;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Q=0;L=154;break a}break}case 8:{switch((K&255)<<24>>24){case 66:break;case 65:{if(dJa(1,66,c,y)|0)continue a;else{Q=0;L=154;break a}break}default:{N=K;break b}}H=f[c>>2]|0;if(H>>>0<(f[g>>2]|0)>>>0?(a=b[H>>0]|0,a<<24>>24>-1):0){f[c>>2]=H+1;ia=a&255}else{a=wCb(c)|0;if((a|0)>-1)ia=a;else{Q=0;L=154;break a}}ja=f[y>>2]|0;a=(ia|0)/8|0;if((a<<3|0)!=(ia|0)){Q=0;L=154;break a}H=pCb(c)|0;I=nCb(c)|0;if((((H|0)==-1|(I|0)<(H|0)?I:H)|0)>=(ia|0)){H=ja+a|0;if((f[y>>2]|0)<(H|0)?(bEa(y,H),I=f[y>>2]|0,Z=H-I|0,(Z<<3|0)>0):0)Drc((f[A>>2]|0)+((I<<3)+8)|0,0,(((Z|-536870912|0)==-536870912?536870911:536870910)+Z<<3)+16|0)|0;f[y>>2]=H;H=f[A>>2]|0;if(rCb(c,((H|0)==0?0:H+8|0)+(ja<<3)|0,ia)|0)continue a;else{L=100;break a}}if((ia|0)>7)ka=0;else continue a;while(1){H=f[c>>2]|0;if(((f[g>>2]|0)-H|0)>7){Z=H;I=Z;la=h[I>>0]|h[I+1>>0]<<8|h[I+2>>0]<<16|h[I+3>>0]<<24;I=Z+4|0;Z=h[I>>0]|h[I+1>>0]<<8|h[I+2>>0]<<16|h[I+3>>0]<<24;I=e;f[I>>2]=la;f[I+4>>2]=Z;f[c>>2]=H+8;f[s>>2]=la;f[s+4>>2]=Z;ma=+p[s>>3]}else{if(!(vCb(c,e)|0)){L=109;break a}ma=+p[e>>3]}Z=f[y>>2]|0;if((Z|0)==(f[z>>2]|0)){bEa(y,Z+1|0);na=f[y>>2]|0}else na=Z;Z=f[A>>2]|0;f[y>>2]=na+1;p[Z+8+(na<<3)>>3]=ma;Z=ka+1|0;if((Z|0)<(a|0))ka=Z;else continue a}break}case 9:{switch((K&255)<<24>>24){case 74:break;case 73:{if(dJa(1,74,c,B)|0)continue a;else{Q=0;L=154;break a}break}default:{N=K;break b}}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(Z=b[a>>0]|0,Z<<24>>24>-1):0){f[c>>2]=a+1;oa=Z&255}else{Z=wCb(c)|0;if((Z|0)>-1)oa=Z;else{Q=0;L=154;break a}}pa=f[B>>2]|0;Z=(oa|0)/8|0;if((Z<<3|0)!=(oa|0)){Q=0;L=154;break a}a=pCb(c)|0;la=nCb(c)|0;if((((a|0)==-1|(la|0)<(a|0)?la:a)|0)>=(oa|0)){a=pa+Z|0;if((f[B>>2]|0)<(a|0)?(bEa(B,a),la=f[B>>2]|0,H=a-la|0,(H<<3|0)>0):0)Drc((f[D>>2]|0)+((la<<3)+8)|0,0,(((H|-536870912|0)==-536870912?536870911:536870910)+H<<3)+16|0)|0;f[B>>2]=a;a=f[D>>2]|0;if(rCb(c,((a|0)==0?0:a+8|0)+(pa<<3)|0,oa)|0)continue a;else{L=123;break a}}if((oa|0)>7)qa=0;else continue a;while(1){a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>7){H=a;la=H;I=h[la>>0]|h[la+1>>0]<<8|h[la+2>>0]<<16|h[la+3>>0]<<24;la=H+4|0;H=h[la>>0]|h[la+1>>0]<<8|h[la+2>>0]<<16|h[la+3>>0]<<24;la=e;f[la>>2]=I;f[la+4>>2]=H;f[c>>2]=a+8;f[s>>2]=I;f[s+4>>2]=H;ra=+p[s>>3]}else{if(!(vCb(c,e)|0)){L=132;break a}ra=+p[e>>3]}H=f[B>>2]|0;if((H|0)==(f[C>>2]|0)){bEa(B,H+1|0);sa=f[B>>2]|0}else sa=H;H=f[D>>2]|0;f[B>>2]=sa+1;p[H+8+(sa<<3)>>3]=ra;H=qa+1|0;if((H|0)<(Z|0))qa=H;else continue a}break}case 10:{if((K&255|0)!=80){N=K;break b}Z=f[c>>2]|0;if(Z>>>0<(f[g>>2]|0)>>>0){H=b[Z>>0]|0;I=H&255;if(H<<24>>24>-1){f[c>>2]=Z+1;ta=I}else{ua=I;L=138}}else{ua=0;L=138}if((L|0)==138){L=0;I=iCb(c,ua)|0;Z=J;if((Z|0)>-1|(Z|0)==-1&I>>>0>4294967295)ta=I;else{Q=0;L=154;break a}}if(ta>>>0<5){f[i>>2]=f[i>>2]|64;f[E>>2]=ta;continue a}I=f[F>>2]|0;if(!(I&1))va=AHa(F)|0;else va=I&-2;R3b(va,10,ta,((ta|0)<0)<<31>>31);continue a;break}case 12:{if((K&255|0)!=98){N=K;break b}f[i>>2]=f[i>>2]|1;I=f[G>>2]|0;if((I|0)==535416){aFa(G,535416);wa=f[G>>2]|0}else wa=I;if(HEb(c,wa)|0)continue a;else{Q=0;L=154;break a}break}default:{N=K;break b}}while(0)}while(0);if(!N){Q=1;L=154;break}I=f[F>>2]|0;if(!(I&1))xa=AHa(F)|0;else xa=I&-2;if(!(b4b(c,N,xa)|0)){Q=0;L=154;break}}switch(L|0){case 43:{if((f[n>>2]|0)<=0){Q=0;u=d;return Q|0}f[n>>2]=Y;Q=0;u=d;return Q|0}case 52:{Q=0;u=d;return Q|0}case 66:{if((f[r>>2]|0)<=0){Q=0;u=d;return Q|0}f[r>>2]=ca;Q=0;u=d;return Q|0}case 75:{Q=0;u=d;return Q|0}case 86:{Q=0;u=d;return Q|0}case 100:{if((f[y>>2]|0)<=0){Q=0;u=d;return Q|0}f[y>>2]=ja;Q=0;u=d;return Q|0}case 109:{Q=0;u=d;return Q|0}case 123:{if((f[B>>2]|0)<=0){Q=0;u=d;return Q|0}f[B>>2]=pa;Q=0;u=d;return Q|0}case 132:{Q=0;u=d;return Q|0}case 154:{u=d;return Q|0}}return 0}function dVa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=f[a+16>>2]<<2;if(!c)e=d;else{if((c|0)<0)g=10;else g=(((($(c|1|0)|0)^31)*9|0)+73|0)>>>6;e=d+1+g|0}f[a+28>>2]=c;g=e+c|0;c=f[a+32>>2]<<2;if(!c)h=g;else{if((c|0)<0)i=10;else i=(((($(c|1|0)|0)^31)*9|0)+73|0)>>>6;h=g+1+i|0}f[a+44>>2]=c;i=h+c|0;c=f[a+48>>2]<<3;if(!c)j=i;else{if((c|0)<0)k=11;else k=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;j=k+i|0}f[a+60>>2]=c;i=j+c|0;c=f[a+64>>2]<<3;if(!c)l=i;else{if((c|0)<0)m=11;else m=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;l=m+i|0}f[a+76>>2]=c;i=l+c|0;c=a+8|0;l=f[c>>2]|0;if(!(l&127)){n=i;o=a+12|0;f[o>>2]=n;return n|0}if(!(l&1))p=i;else{m=f[a+80>>2]|0;j=b[m+11>>0]|0;k=j<<24>>24<0?f[m+4>>2]|0:j&255;p=i+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(l&2)){q=p;r=l}else{l=f[a+84>>2]|0;k=ci[f[(f[l>>2]|0)+48>>2]&1023](l)|0;l=p+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;q=l;r=f[c>>2]|0}if(!(r&4))s=q;else{c=f[a+88>>2]|0;if((c|0)<0)t=11;else t=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;s=t+q|0}if(!(r&8))u=s;else{q=f[a+92>>2]|0;if((q|0)<0)v=11;else v=((((($(q|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;u=v+s|0}if(!(r&16))w=u;else{s=f[a+96>>2]|0;if((s|0)<0)x=11;else x=((((($(s|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;w=x+u|0}if(!(r&32))y=w;else{u=f[a+100>>2]|0;if((u|0)<0)z=11;else z=((((($(u|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;y=z+w|0}if(!(r&64)){n=y;o=a+12|0;f[o>>2]=n;return n|0}r=f[a+104>>2]|0;if((r|0)<0)A=11;else A=((((($(r|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;n=A+y|0;o=a+12|0;f[o>>2]=n;return n|0}function eVa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;d=f[a+8>>2]|0;if(d&4|0)mEb(1,f[a+88>>2]|0,c);if(d&8|0)mEb(2,f[a+92>>2]|0,c);if(d&16|0)mEb(3,f[a+96>>2]|0,c);if(d&32|0)mEb(4,f[a+100>>2]|0,c);e=a+16|0;if((f[e>>2]|0)>0){g=c+8|0;if((f[g>>2]|0)>4){h=c+4|0;b[f[h>>2]>>0]=42;f[h>>2]=(f[h>>2]|0)+1;h=(f[g>>2]|0)+-1|0;f[g>>2]=h;i=h}else{ECb(c,42);i=f[g>>2]|0}h=f[a+28>>2]|0;if((i|0)>4){i=c+4|0;j=f[i>>2]|0;if(h>>>0>127){k=h;l=j;while(1){b[l>>0]=k|128;m=k>>>7;n=l+1|0;if(k>>>0>16383){k=m;l=n}else{o=n;p=m;break}}}else{o=j;p=h}b[o>>0]=p;p=o+1-j|0;f[i>>2]=(f[i>>2]|0)+p;f[g>>2]=(f[g>>2]|0)-p}else ECb(c,h);h=f[a+24>>2]|0;jEb((h|0)==0?0:h+4|0,f[e>>2]|0,c)}e=a+32|0;if((f[e>>2]|0)>0){h=c+8|0;if((f[h>>2]|0)>4){p=c+4|0;b[f[p>>2]>>0]=50;f[p>>2]=(f[p>>2]|0)+1;p=(f[h>>2]|0)+-1|0;f[h>>2]=p;q=p}else{ECb(c,50);q=f[h>>2]|0}p=f[a+44>>2]|0;if((q|0)>4){q=c+4|0;g=f[q>>2]|0;if(p>>>0>127){i=p;j=g;while(1){b[j>>0]=i|128;o=i>>>7;l=j+1|0;if(i>>>0>16383){i=o;j=l}else{r=l;s=o;break}}}else{r=g;s=p}b[r>>0]=s;s=r+1-g|0;f[q>>2]=(f[q>>2]|0)+s;f[h>>2]=(f[h>>2]|0)-s}else ECb(c,p);p=f[a+40>>2]|0;jEb((p|0)==0?0:p+4|0,f[e>>2]|0,c)}if(d&2|0)GEb(7,f[a+84>>2]|0,c);e=a+48|0;if((f[e>>2]|0)>0){p=c+8|0;if((f[p>>2]|0)>4){s=c+4|0;b[f[s>>2]>>0]=66;f[s>>2]=(f[s>>2]|0)+1;s=(f[p>>2]|0)+-1|0;f[p>>2]=s;t=s}else{ECb(c,66);t=f[p>>2]|0}s=f[a+60>>2]|0;if((t|0)>4){t=c+4|0;h=f[t>>2]|0;if(s>>>0>127){q=s;g=h;while(1){b[g>>0]=q|128;r=q>>>7;j=g+1|0;if(q>>>0>16383){q=r;g=j}else{u=j;v=r;break}}}else{u=h;v=s}b[u>>0]=v;v=u+1-h|0;f[t>>2]=(f[t>>2]|0)+v;f[p>>2]=(f[p>>2]|0)-v}else ECb(c,s);s=f[a+56>>2]|0;kEb((s|0)==0?0:s+8|0,f[e>>2]|0,c)}e=a+64|0;if((f[e>>2]|0)>0){s=c+8|0;if((f[s>>2]|0)>4){v=c+4|0;b[f[v>>2]>>0]=74;f[v>>2]=(f[v>>2]|0)+1;v=(f[s>>2]|0)+-1|0;f[s>>2]=v;w=v}else{ECb(c,74);w=f[s>>2]|0}v=f[a+76>>2]|0;if((w|0)>4){w=c+4|0;p=f[w>>2]|0;if(v>>>0>127){t=v;h=p;while(1){b[h>>0]=t|128;u=t>>>7;g=h+1|0;if(t>>>0>16383){t=u;h=g}else{x=g;y=u;break}}}else{x=p;y=v}b[x>>0]=y;y=x+1-p|0;f[w>>2]=(f[w>>2]|0)+y;f[s>>2]=(f[s>>2]|0)-y}else ECb(c,v);v=f[a+72>>2]|0;kEb((v|0)==0?0:v+8|0,f[e>>2]|0,c)}if(d&64|0)zEb(10,f[a+104>>2]|0,c);if(d&1|0)DEb(12,f[a+80>>2]|0,c);d=f[a+4>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function fVa(a){a=a|0;return f[a+12>>2]|0}function gVa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;e=f[a+8>>2]|0;if(!(e&4))g=d;else{h=f[a+88>>2]|0;b[d>>0]=8;i=d+1|0;d=h&255;if(h>>>0>127){j=i;k=d;l=h;m=((h|0)<0)<<31>>31;while(1){b[j>>0]=k|-128;h=l;l=Irc(l|0,m|0,7)|0;n=j+1|0;o=l&255;if(!(m>>>0>0|(m|0)==0&h>>>0>16383)){p=n;q=o;break}else{j=n;k=o;m=J}}}else{p=i;q=d}b[p>>0]=q;g=p+1|0}if(!(e&8))r=g;else{p=f[a+92>>2]|0;b[g>>0]=16;q=g+1|0;g=p&255;if(p>>>0>127){d=q;i=g;m=p;k=((p|0)<0)<<31>>31;while(1){b[d>>0]=i|-128;p=m;m=Irc(m|0,k|0,7)|0;j=d+1|0;l=m&255;if(!(k>>>0>0|(k|0)==0&p>>>0>16383)){s=j;t=l;break}else{d=j;i=l;k=J}}}else{s=q;t=g}b[s>>0]=t;r=s+1|0}if(!(e&16))u=r;else{s=f[a+96>>2]|0;b[r>>0]=24;t=r+1|0;r=s&255;if(s>>>0>127){g=t;q=r;k=s;i=((s|0)<0)<<31>>31;while(1){b[g>>0]=q|-128;s=k;k=Irc(k|0,i|0,7)|0;d=g+1|0;m=k&255;if(!(i>>>0>0|(i|0)==0&s>>>0>16383)){v=d;w=m;break}else{g=d;q=m;i=J}}}else{v=t;w=r}b[v>>0]=w;u=v+1|0}if(!(e&32))x=u;else{v=f[a+100>>2]|0;b[u>>0]=32;w=u+1|0;u=v&255;if(v>>>0>127){r=w;t=u;i=v;q=((v|0)<0)<<31>>31;while(1){b[r>>0]=t|-128;v=i;i=Irc(i|0,q|0,7)|0;g=r+1|0;k=i&255;if(!(q>>>0>0|(q|0)==0&v>>>0>16383)){y=g;z=k;break}else{r=g;t=k;q=J}}}else{y=w;z=u}b[y>>0]=z;x=y+1|0}y=a+16|0;if((f[y>>2]|0)>0){b[x>>0]=42;z=x+1|0;u=f[a+28>>2]|0;if(u>>>0>127){w=u;q=z;while(1){b[q>>0]=w|128;t=w>>>7;r=q+1|0;if(w>>>0>16383){w=t;q=r}else{A=r;B=t;break}}}else{A=z;B=u}b[A>>0]=B;B=A+1|0;A=f[y>>2]<<2;Krc(B|0,(f[a+24>>2]|0)+4|0,A|0)|0;C=B+A|0}else C=x;x=a+32|0;if((f[x>>2]|0)>0){b[C>>0]=50;A=C+1|0;B=f[a+44>>2]|0;if(B>>>0>127){y=B;u=A;while(1){b[u>>0]=y|128;z=y>>>7;q=u+1|0;if(y>>>0>16383){y=z;u=q}else{D=q;E=z;break}}}else{D=A;E=B}b[D>>0]=E;E=D+1|0;D=f[x>>2]<<2;Krc(E|0,(f[a+40>>2]|0)+4|0,D|0)|0;F=E+D|0}else F=C;if(!(e&2))G=F;else{C=f[a+84>>2]|0;b[F>>0]=58;D=F+1|0;F=ci[f[(f[C>>2]|0)+60>>2]&1023](C)|0;if(F>>>0>127){E=F;x=D;while(1){b[x>>0]=E|128;B=E>>>7;A=x+1|0;if(E>>>0>16383){E=B;x=A}else{H=A;I=B;break}}}else{H=D;I=F}b[H>>0]=I;G=ki[f[(f[C>>2]|0)+64>>2]&511](C,c,H+1|0)|0}H=a+48|0;if((f[H>>2]|0)>0){b[G>>0]=66;c=G+1|0;C=f[a+60>>2]|0;if(C>>>0>127){I=C;F=c;while(1){b[F>>0]=I|128;D=I>>>7;x=F+1|0;if(I>>>0>16383){I=D;F=x}else{K=x;L=D;break}}}else{K=c;L=C}b[K>>0]=L;L=K+1|0;K=f[H>>2]<<3;Krc(L|0,(f[a+56>>2]|0)+8|0,K|0)|0;M=L+K|0}else M=G;G=a+64|0;if((f[G>>2]|0)>0){b[M>>0]=74;K=M+1|0;L=f[a+76>>2]|0;if(L>>>0>127){H=L;C=K;while(1){b[C>>0]=H|128;c=H>>>7;F=C+1|0;if(H>>>0>16383){H=c;C=F}else{N=F;O=c;break}}}else{N=K;O=L}b[N>>0]=O;O=N+1|0;N=f[G>>2]<<3;Krc(O|0,(f[a+72>>2]|0)+8|0,N|0)|0;P=O+N|0}else P=M;if(!(e&64))Q=P;else{M=f[a+104>>2]|0;b[P>>0]=80;N=P+1|0;P=M&255;if(M>>>0>127){O=N;G=P;L=M;K=((M|0)<0)<<31>>31;while(1){b[O>>0]=G|-128;M=L;L=Irc(L|0,K|0,7)|0;C=O+1|0;H=L&255;if(!(K>>>0>0|(K|0)==0&M>>>0>16383)){R=C;S=H;break}else{O=C;G=H;K=J}}}else{R=N;S=P}b[R>>0]=S;Q=R+1|0}if(!(e&1))T=Q;else{e=f[a+80>>2]|0;b[Q>>0]=98;T=GCb(e,Q+1|0)|0}Q=f[a+4>>2]|0;if(!(Q&1)){U=T;return U|0}U=f4b(Q&-2,T)|0;return U|0}function hVa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function iVa(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,19416,0)|0;if(!c){c2b(b,a);return}else{lVa(a,c);return}}function jVa(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function kVa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533528;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function lVa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}d=a+16|0;g=b+16|0;e=f[g>>2]|0;if(e|0){aEa(d,(f[d>>2]|0)+e|0);Krc((f[a+24>>2]|0)+4+(f[d>>2]<<2)|0,(f[b+24>>2]|0)+4|0,f[g>>2]<<2|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}g=a+32|0;d=b+32|0;e=f[d>>2]|0;if(e|0){aEa(g,(f[g>>2]|0)+e|0);Krc((f[a+40>>2]|0)+4+(f[g>>2]<<2)|0,(f[b+40>>2]|0)+4|0,f[d>>2]<<2|0)|0;f[g>>2]=(f[g>>2]|0)+(f[d>>2]|0)}d=a+48|0;g=b+48|0;e=f[g>>2]|0;if(e|0){bEa(d,(f[d>>2]|0)+e|0);Krc((f[a+56>>2]|0)+8+(f[d>>2]<<3)|0,(f[b+56>>2]|0)+8|0,f[g>>2]<<3|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}g=a+64|0;d=b+64|0;e=f[d>>2]|0;if(e|0){bEa(g,(f[g>>2]|0)+e|0);Krc((f[a+72>>2]|0)+8+(f[g>>2]<<3)|0,(f[b+72>>2]|0)+8|0,f[d>>2]<<3|0)|0;f[g>>2]=(f[g>>2]|0)+(f[d>>2]|0)}d=f[b+8>>2]|0;if(!(d&127))return;do if(d&1|0?(g=a+8|0,f[g>>2]=f[g>>2]|1,g=a+80|0,e=f[b+80>>2]|0,c=f[g>>2]|0,(c|0)!=(e|0)):0)if((c|0)==535416){aFa(g,e);break}else{Qmc(c,e)|0;break}while(0);if(d&2|0){e=a+8|0;f[e>>2]=f[e>>2]|2;e=a+84|0;c=f[e>>2]|0;if(!c){g=Bmc(32)|0;mVa(g);f[e>>2]=g;h=g}else h=c;c=f[b+84>>2]|0;g=c|0?c:529568;c=h+4|0;e=f[g+4>>2]|0;if(e&1|0){i=f[c>>2]|0;if(!(i&1))j=AHa(c)|0;else j=i&-2;O3b(j,e&-2)}e=h+16|0;j=g+16|0;i=f[j>>2]|0;if(i|0){cEa(e,(f[e>>2]|0)+i|0);Krc((f[h+24>>2]|0)+8+(f[e>>2]<<3)|0,(f[g+24>>2]|0)+8|0,f[j>>2]<<3|0)|0;f[e>>2]=(f[e>>2]|0)+(f[j>>2]|0)}}if(d&4|0)f[a+88>>2]=f[b+88>>2];if(d&8|0)f[a+92>>2]=f[b+92>>2];if(d&16|0)f[a+96>>2]=f[b+96>>2];if(d&32|0)f[a+100>>2]=f[b+100>>2];if(d&64|0)f[a+104>>2]=f[b+104>>2];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function mVa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=120680;f[a+4>>2]=0;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;if((a|0)!=529568?(f[222736]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=36;b[d+8>>0]=0;dEb(890944,d);zDb(d)}f[a+12>>2]=0;u=c;return}function nVa(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function oVa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;f[a>>2]=122572;e=(a|0)==533040;g=a+4|0;h=g+52|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));if(!e?(f[222801]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=101;b[d+8>>0]=0;dEb(891204,d);zDb(d)}f[a+56>>2]=535416;f[a+60>>2]=535416;f[a+64>>2]=535416;f[a+68>>2]=535416;f[a+72>>2]=533504;g=a+76|0;h=g+64|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[a+140>>2]=1;b[a+144>>0]=1;f[a+148>>2]=1;f[a+152>>2]=1;n[a+156>>2]=.5;f[a+160>>2]=5;n[a+164>>2]=1.0;n[a+168>>2]=.75;n[a+172>>2]=1.0;n[a+176>>2]=1.0;n[a+180>>2]=.5;n[a+184>>2]=.5;n[a+188>>2]=.25;f[a+192>>2]=0;u=c;return}function pVa(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function qVa(a){a=a|0;var c=0;c=f[a+56>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+60>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+64>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+68>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+72>>2]|0;if(!((c|0)==533504|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}if((a|0)==533040)return;c=f[a+76>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+80>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+84>>2]|0;if(!c)return;ai[f[(f[c>>2]|0)+4>>2]&2047](c);return}function rVa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;f[a>>2]=122896;F3a(a);c=f[a+156>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=a+144|0;d=f[c>>2]|0;if(d|0?(f[a+132>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0){if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);Emc(h)}g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;Emc(i)}f[c>>2]=0;c=f[a+128>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=a+116|0;i=f[c>>2]|0;if(i|0?(f[a+104>>2]|0)==0:0){d=f[i>>2]|0;if((d|0)>0){e=0;do{g=f[i+4+(e<<2)>>2]|0;if(g|0)ai[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));j=f[c>>2]|0}else j=i;Emc(j)}f[c>>2]=0;c=a+100|0;j=f[c>>2]|0;if(j|0?(f[a+88>>2]|0)==0:0){i=f[j>>2]|0;if((i|0)>0){d=0;do{e=f[j+4+(d<<2)>>2]|0;if(e|0)ai[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(i|0));k=f[c>>2]|0}else k=j;Emc(k)}f[c>>2]=0;c=f[a+84>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=f[a+72>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=a+60|0;k=f[c>>2]|0;if(k|0?(f[a+48>>2]|0)==0:0){j=f[k>>2]|0;if((j|0)>0){i=0;do{d=f[k+4+(i<<2)>>2]|0;if(d|0)ai[f[(f[d>>2]|0)+4>>2]&2047](d);i=i+1|0}while((i|0)!=(j|0));l=f[c>>2]|0}else l=k;Emc(l)}f[c>>2]=0;c=a+44|0;l=f[c>>2]|0;if(l|0?(f[a+32>>2]|0)==0:0){k=f[l>>2]|0;if((k|0)>0){j=0;do{i=f[l+4+(j<<2)>>2]|0;if(i|0){if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);Emc(i)}j=j+1|0}while((j|0)!=(k|0));m=f[c>>2]|0}else m=l;Emc(m)}f[c>>2]=0;c=a+28|0;m=f[c>>2]|0;if(m|0?(f[a+16>>2]|0)==0:0){l=f[m>>2]|0;if((l|0)>0){k=0;do{j=f[m+4+(k<<2)>>2]|0;if(j|0){if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);Emc(j)}k=k+1|0}while((k|0)!=(l|0));n=f[c>>2]|0}else n=m;Emc(n)}f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}n=a&-2;a=n;if((n|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(n);f[c>>2]=0;return}function sVa(a){a=a|0;rVa(a);Emc(a);return}function tVa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function uVa(a,b){a=a|0;b=b|0;a=Bmc(296)|0;D3a(a);if(!b)return a|0;E3a(b,a);return a|0}function vVa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+20|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+28>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;i=h+11|0;if((b[i>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0}else{b[h>>0]=0;b[i>>0]=0}}while((g|0)!=(d|0));f[c>>2]=0}c=a+36|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+44>>2]|0;e=0;do{i=f[g+4+(e<<2)>>2]|0;e=e+1|0;h=i+11|0;if((b[h>>0]|0)<0){b[f[i>>2]>>0]=0;f[i+4>>2]=0}else{b[i>>0]=0;b[h>>0]=0}}while((e|0)!=(d|0));f[c>>2]=0}c=a+52|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+60>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((g|0)!=(d|0));f[c>>2]=0}f[a+64>>2]=0;f[a+76>>2]=0;c=a+92|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+100>>2]|0;e=0;do{h=f[g+4+(e<<2)>>2]|0;e=e+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((e|0)!=(d|0));f[c>>2]=0}c=a+108|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+116>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((g|0)!=(d|0));f[c>>2]=0}f[a+120>>2]=0;c=a+136|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+144>>2]|0;e=0;do{h=f[g+4+(e<<2)>>2]|0;e=e+1|0;i=h+11|0;if((b[i>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0}else{b[h>>0]=0;b[i>>0]=0}}while((e|0)!=(d|0));f[c>>2]=0}f[a+148>>2]=0;c=a+8|0;d=f[c>>2]|0;if(d&255|0){do if(d&1|0){e=f[a+160>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);if(d&2|0){g=f[a+164>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}if(d&4|0){g=f[a+168>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}if(d&8|0){g=f[a+172>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}if(d&16|0){g=f[a+176>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}if(d&32|0){g=f[a+180>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}if(d&64|0){g=f[a+184>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}if(d&128|0){g=f[a+188>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}}if(d&65280|0){if(d&256|0){g=f[a+192>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}if(d&512|0){g=f[a+196>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}if(d&1024|0){g=f[a+200>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}if(d&2048|0){g=f[a+204>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}if(d&4096|0){g=f[a+208>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}if(d&8192|0){g=f[a+212>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}if(d&16384|0){g=f[a+216>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}if(d&32768|0){g=f[a+220>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}}if(d&16711680|0){if(d&65536|0){g=f[a+224>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}if(d&131072|0){g=f[a+228>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}if(d&262144|0){g=f[a+232>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}if(d&524288|0){g=f[a+236>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}if(d&1048576|0){g=f[a+240>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}if(d&2097152|0){g=f[a+244>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}if(d&4194304|0){g=f[a+248>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}if(d&8388608|0){g=f[a+252>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}}if(d>>>0>16777215){if(d&16777216|0){g=f[a+256>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}if(d&33554432|0){g=f[a+260>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}if(d&67108864|0){g=f[a+264>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}if(d&134217728|0){g=f[a+268>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}if(d&268435456|0){g=f[a+272>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}if(d&536870912|0){g=f[a+276>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}if(d&1073741824|0){g=f[a+280>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}if((d|0)<0){d=f[a+284>>2]|0;ai[f[(f[d>>2]|0)+28>>2]&2047](d)}}f[a+288>>2]=0;d=c;f[d>>2]=0;f[d+4>>2]=0;d=f[a+4>>2]|0;if(!(d&1))return;a=d&-2;if(!(f[a>>2]|0))return;L3b(a);return}function wVa(a){a=a|0;return 1}function xVa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+164|0;k=e+4|0;l=a+16|0;m=a+32|0;n=a+160|0;o=a+12|0;p=a+288|0;q=a+4|0;r=a+48|0;s=e+4|0;t=a+64|0;v=a+68|0;w=a+72|0;x=a+76|0;y=a+80|0;z=a+84|0;A=a+168|0;B=e+4|0;C=a+172|0;D=e+4|0;E=a+176|0;F=e+4|0;G=a+180|0;H=e+4|0;I=a+184|0;K=e+4|0;L=a+188|0;M=e+4|0;N=a+192|0;O=e+4|0;P=a+196|0;Q=e+4|0;R=a+200|0;S=e+4|0;T=a+204|0;U=e+4|0;V=a+208|0;W=e+4|0;X=a+212|0;Y=e+4|0;Z=a+216|0;_=e+4|0;$=a+220|0;aa=e+4|0;ba=a+224|0;ca=e+4|0;da=a+228|0;ea=e+4|0;fa=a+232|0;ga=e+4|0;ha=a+236|0;ia=e+4|0;ja=a+240|0;ka=e+4|0;la=a+244|0;ma=e+4|0;na=a+248|0;oa=e+4|0;pa=a+252|0;qa=e+4|0;ra=a+88|0;sa=e+4|0;ta=a+104|0;ua=e+4|0;va=a+256|0;wa=e+4|0;xa=a+120|0;ya=a+124|0;za=a+128|0;Aa=a+260|0;Ba=e+4|0;Ca=a+264|0;Da=e+4|0;Ea=a+268|0;Fa=e+4|0;Ga=a+272|0;Ha=e+4|0;Ia=a+276|0;Ja=e+4|0;Ka=a+280|0;La=e+4|0;Ma=a+284|0;Na=e+4|0;Oa=a+132|0;Pa=a+148|0;Qa=a+152|0;Ra=a+156|0;a:while(1){a=f[c>>2]|0;Sa=f[g>>2]|0;do if(a>>>0<Sa>>>0){Ta=b[a>>0]|0;Ua=Ta&255;Va=a+1|0;if(Ta<<24>>24>0){Wa=Va;Xa=Ua}else{if(Va>>>0>=Sa>>>0){Ya=Ua;Za=7;break}Ta=h[Va>>0]|0;if(((Ta^128)&Ua)>>>0<=127){Ya=Ua;Za=7;break}Wa=a+2|0;Xa=Ua+-128+(Ta<<7)|0}f[c>>2]=Wa;_a=Xa;Za=9}else{Ya=0;Za=7}while(0);if((Za|0)==7){Za=0;a=xCb(c,Ya)|0;if((a+-1|0)>>>0<16383){_a=a;Za=9}else $a=a}b:do if((Za|0)==9){Za=0;do switch(_a>>>3&536870911|0){case 1:{if((_a&255|0)!=10){$a=_a;break b}f[i>>2]=f[i>>2]|2;a=f[j>>2]|0;if(!a){Sa=Bmc(196)|0;oVa(Sa);f[j>>2]=Sa;ab=Sa}else ab=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(Sa=b[a>>0]|0,Sa<<24>>24>-1):0){f[c>>2]=a+1;bb=Sa&255}else{Sa=wCb(c)|0;if((Sa|0)>-1)bb=Sa;else{cb=0;Za=473;break a}}hCb(e,c,bb);if((f[k>>2]|0)<0){Za=19;break a}if(!(Sh[f[(f[ab>>2]|0)+44>>2]&511](ab,c)|0)){Za=19;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 2:{if((_a&255|0)!=18){$a=_a;break b}if(HEb(c,dFa(l)|0)|0)continue a;else{cb=0;Za=473;break a}break}case 3:{if((_a&255|0)!=26){$a=_a;break b}if(HEb(c,dFa(m)|0)|0)continue a;else{cb=0;Za=473;break a}break}case 4:{if((_a&255|0)!=34){$a=_a;break b}f[i>>2]=f[i>>2]|1;Sa=f[n>>2]|0;if((Sa|0)==535416){aFa(n,535416);db=f[n>>2]|0}else db=Sa;if(HEb(c,db)|0)continue a;else{cb=0;Za=473;break a}break}case 5:{if((_a&255|0)!=40){$a=_a;break b}Sa=f[c>>2]|0;if(Sa>>>0<(f[g>>2]|0)>>>0){a=b[Sa>>0]|0;Ta=a&255;if(a<<24>>24>-1){f[c>>2]=Sa+1;eb=Ta}else{fb=Ta;Za=33}}else{fb=0;Za=33}if((Za|0)==33){Za=0;Ta=iCb(c,fb)|0;Sa=J;if((Sa|0)>-1|(Sa|0)==-1&Ta>>>0>4294967295)eb=Ta;else{cb=0;Za=473;break a}}if(eb>>>0<40){f[o>>2]=f[o>>2]|1;f[p>>2]=eb;continue a}Ta=f[q>>2]|0;if(!(Ta&1))gb=AHa(q)|0;else gb=Ta&-2;R3b(gb,5,eb,((eb|0)<0)<<31>>31);continue a;break}case 6:{if((_a&255|0)!=50){$a=_a;break b}Ta=WUa(r)|0;Sa=f[c>>2]|0;if(Sa>>>0<(f[g>>2]|0)>>>0?(a=b[Sa>>0]|0,a<<24>>24>-1):0){f[c>>2]=Sa+1;hb=a&255}else{a=wCb(c)|0;if((a|0)>-1)hb=a;else{cb=0;Za=473;break a}}hCb(e,c,hb);if((f[s>>2]|0)<0){Za=47;break a}if(!(Sh[f[(f[Ta>>2]|0)+44>>2]&511](Ta,c)|0)){Za=47;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 7:{switch((_a&255)<<24>>24){case 61:break;case 58:{if(XSa(c,t)|0)continue a;else{cb=0;Za=473;break a}break}default:{$a=_a;break b}}Ta=f[c>>2]|0;if(((f[g>>2]|0)-Ta|0)>3){a=Ta;Sa=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=Sa;f[c>>2]=Ta+4;ib=Sa}else{if(!(uCb(c,e)|0)){Za=64;break a}ib=f[e>>2]|0}Sa=f[t>>2]|0;if((Sa|0)==(f[v>>2]|0)){aEa(t,Sa+1|0);jb=f[t>>2]|0}else jb=Sa;Sa=f[w>>2]|0;Ta=jb+1|0;f[t>>2]=Ta;f[Sa+4+(jb<<2)>>2]=ib;a=f[c>>2]|0;Ua=(f[g>>2]|0)-a|0;if((Ua|0)<=0)continue a;Va=a;a=(f[v>>2]|0)-Ta|0;kb=(Ua>>>0)/5|0;lb=(kb|0)<(a|0)?kb:a;if((lb|0)>0){mb=0;nb=Va;ob=Ta}else continue a;while(1){if((b[nb>>0]|0)!=61){pb=mb;break}Ta=nb+1|0;a=h[Ta>>0]|h[Ta+1>>0]<<8|h[Ta+2>>0]<<16|h[Ta+3>>0]<<24;Ta=ob;ob=ob+1|0;f[t>>2]=ob;f[Sa+4+(Ta<<2)>>2]=a;a=mb+1|0;if((a|0)>=(lb|0)){pb=a;break}else{mb=a;nb=nb+5|0}}lb=pb*5|0;if((pb|0)<=0)continue a;if((Ua|0)<(lb|0)){qCb(c,lb,Ua)|0;continue a}else{f[c>>2]=Va+lb;continue a}break}case 8:{switch((_a&255)<<24>>24){case 69:break;case 66:{if(XSa(c,x)|0)continue a;else{cb=0;Za=473;break a}break}default:{$a=_a;break b}}lb=f[c>>2]|0;if(((f[g>>2]|0)-lb|0)>3){Sa=lb;a=h[Sa>>0]|h[Sa+1>>0]<<8|h[Sa+2>>0]<<16|h[Sa+3>>0]<<24;f[e>>2]=a;f[c>>2]=lb+4;qb=a}else{if(!(uCb(c,e)|0)){Za=81;break a}qb=f[e>>2]|0}a=f[x>>2]|0;if((a|0)==(f[y>>2]|0)){aEa(x,a+1|0);rb=f[x>>2]|0}else rb=a;a=f[z>>2]|0;lb=rb+1|0;f[x>>2]=lb;f[a+4+(rb<<2)>>2]=qb;Sa=f[c>>2]|0;Ta=(f[g>>2]|0)-Sa|0;if((Ta|0)<=0)continue a;kb=Sa;Sa=(f[y>>2]|0)-lb|0;sb=(Ta>>>0)/5|0;tb=(sb|0)<(Sa|0)?sb:Sa;if((tb|0)>0){ub=0;vb=kb;wb=lb}else continue a;while(1){if((b[vb>>0]|0)!=69){xb=ub;break}lb=vb+1|0;Sa=h[lb>>0]|h[lb+1>>0]<<8|h[lb+2>>0]<<16|h[lb+3>>0]<<24;lb=wb;wb=wb+1|0;f[x>>2]=wb;f[a+4+(lb<<2)>>2]=Sa;Sa=ub+1|0;if((Sa|0)>=(tb|0)){xb=Sa;break}else{ub=Sa;vb=vb+5|0}}tb=xb*5|0;if((xb|0)<=0)continue a;if((Ta|0)<(tb|0)){qCb(c,tb,Ta)|0;continue a}else{f[c>>2]=kb+tb;continue a}break}case 9:{if((_a&255|0)!=74){$a=_a;break b}f[i>>2]=f[i>>2]|4;tb=f[A>>2]|0;if(!tb){a=Bmc(24)|0;IVa(a);f[A>>2]=a;yb=a}else yb=tb;tb=f[c>>2]|0;if(tb>>>0<(f[g>>2]|0)>>>0?(a=b[tb>>0]|0,a<<24>>24>-1):0){f[c>>2]=tb+1;zb=a&255}else{a=wCb(c)|0;if((a|0)>-1)zb=a;else{cb=0;Za=473;break a}}hCb(e,c,zb);if((f[B>>2]|0)<0){Za=92;break a}if(!(Sh[f[(f[yb>>2]|0)+44>>2]&511](yb,c)|0)){Za=92;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 10:{if((_a&255|0)!=82){$a=_a;break b}f[i>>2]=f[i>>2]|8;a=f[C>>2]|0;if(!a){tb=Bmc(120)|0;JVa(tb);f[C>>2]=tb;Ab=tb}else Ab=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(tb=b[a>>0]|0,tb<<24>>24>-1):0){f[c>>2]=a+1;Bb=tb&255}else{tb=wCb(c)|0;if((tb|0)>-1)Bb=tb;else{cb=0;Za=473;break a}}hCb(e,c,Bb);if((f[D>>2]|0)<0){Za=103;break a}if(!(Sh[f[(f[Ab>>2]|0)+44>>2]&511](Ab,c)|0)){Za=103;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 11:{if((_a&255|0)!=90){$a=_a;break b}f[i>>2]=f[i>>2]|16;tb=f[E>>2]|0;if(!tb){a=Bmc(52)|0;LVa(a);f[E>>2]=a;Cb=a}else Cb=tb;tb=f[c>>2]|0;if(tb>>>0<(f[g>>2]|0)>>>0?(a=b[tb>>0]|0,a<<24>>24>-1):0){f[c>>2]=tb+1;Db=a&255}else{a=wCb(c)|0;if((a|0)>-1)Db=a;else{cb=0;Za=473;break a}}hCb(e,c,Db);if((f[F>>2]|0)<0){Za=114;break a}if(!(Sh[f[(f[Cb>>2]|0)+44>>2]&511](Cb,c)|0)){Za=114;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 12:{if((_a&255|0)!=98){$a=_a;break b}f[i>>2]=f[i>>2]|32;a=f[G>>2]|0;if(!a){tb=Bmc(24)|0;NVa(tb);f[G>>2]=tb;Eb=tb}else Eb=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(tb=b[a>>0]|0,tb<<24>>24>-1):0){f[c>>2]=a+1;Fb=tb&255}else{tb=wCb(c)|0;if((tb|0)>-1)Fb=tb;else{cb=0;Za=473;break a}}hCb(e,c,Fb);if((f[H>>2]|0)<0){Za=125;break a}if(!(Sh[f[(f[Eb>>2]|0)+44>>2]&511](Eb,c)|0)){Za=125;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 13:{if((_a&255|0)!=106){$a=_a;break b}f[i>>2]=f[i>>2]|64;tb=f[I>>2]|0;if(!tb){a=Bmc(28)|0;OVa(a);f[I>>2]=a;Gb=a}else Gb=tb;tb=f[c>>2]|0;if(tb>>>0<(f[g>>2]|0)>>>0?(a=b[tb>>0]|0,a<<24>>24>-1):0){f[c>>2]=tb+1;Hb=a&255}else{a=wCb(c)|0;if((a|0)>-1)Hb=a;else{cb=0;Za=473;break a}}hCb(e,c,Hb);if((f[K>>2]|0)<0){Za=136;break a}if(!(Sh[f[(f[Gb>>2]|0)+44>>2]&511](Gb,c)|0)){Za=136;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 14:{if((_a&255|0)!=114){$a=_a;break b}f[i>>2]=f[i>>2]|128;a=f[L>>2]|0;if(!a){tb=Bmc(20)|0;FUa(tb);f[L>>2]=tb;Ib=tb}else Ib=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(tb=b[a>>0]|0,tb<<24>>24>-1):0){f[c>>2]=a+1;Jb=tb&255}else{tb=wCb(c)|0;if((tb|0)>-1)Jb=tb;else{cb=0;Za=473;break a}}hCb(e,c,Jb);if((f[M>>2]|0)<0){Za=147;break a}if(!(Sh[f[(f[Ib>>2]|0)+44>>2]&511](Ib,c)|0)){Za=147;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 15:{if((_a&255|0)!=122){$a=_a;break b}f[i>>2]=f[i>>2]|256;tb=f[N>>2]|0;if(!tb){a=Bmc(60)|0;QVa(a);f[N>>2]=a;Kb=a}else Kb=tb;tb=f[c>>2]|0;if(tb>>>0<(f[g>>2]|0)>>>0?(a=b[tb>>0]|0,a<<24>>24>-1):0){f[c>>2]=tb+1;Lb=a&255}else{a=wCb(c)|0;if((a|0)>-1)Lb=a;else{cb=0;Za=473;break a}}hCb(e,c,Lb);if((f[O>>2]|0)<0){Za=158;break a}if(!(Sh[f[(f[Kb>>2]|0)+44>>2]&511](Kb,c)|0)){Za=158;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 16:{if((_a&255|0)!=130){$a=_a;break b}f[i>>2]=f[i>>2]|512;a=f[P>>2]|0;if(!a){tb=Bmc(20)|0;SVa(tb);f[P>>2]=tb;Mb=tb}else Mb=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(tb=b[a>>0]|0,tb<<24>>24>-1):0){f[c>>2]=a+1;Nb=tb&255}else{tb=wCb(c)|0;if((tb|0)>-1)Nb=tb;else{cb=0;Za=473;break a}}hCb(e,c,Nb);if((f[Q>>2]|0)<0){Za=169;break a}if(!(Sh[f[(f[Mb>>2]|0)+44>>2]&511](Mb,c)|0)){Za=169;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 17:{if((_a&255|0)!=138){$a=_a;break b}f[i>>2]=f[i>>2]|1024;tb=f[R>>2]|0;if(!tb){a=Bmc(36)|0;TVa(a);f[R>>2]=a;Ob=a}else Ob=tb;tb=f[c>>2]|0;if(tb>>>0<(f[g>>2]|0)>>>0?(a=b[tb>>0]|0,a<<24>>24>-1):0){f[c>>2]=tb+1;Pb=a&255}else{a=wCb(c)|0;if((a|0)>-1)Pb=a;else{cb=0;Za=473;break a}}hCb(e,c,Pb);if((f[S>>2]|0)<0){Za=180;break a}if(!(Sh[f[(f[Ob>>2]|0)+44>>2]&511](Ob,c)|0)){Za=180;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 18:{if((_a&255|0)!=146){$a=_a;break b}f[i>>2]=f[i>>2]|2048;a=f[T>>2]|0;if(!a){tb=Bmc(40)|0;VVa(tb);f[T>>2]=tb;Qb=tb}else Qb=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(tb=b[a>>0]|0,tb<<24>>24>-1):0){f[c>>2]=a+1;Rb=tb&255}else{tb=wCb(c)|0;if((tb|0)>-1)Rb=tb;else{cb=0;Za=473;break a}}hCb(e,c,Rb);if((f[U>>2]|0)<0){Za=191;break a}if(!(Sh[f[(f[Qb>>2]|0)+44>>2]&511](Qb,c)|0)){Za=191;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 19:{if((_a&255|0)!=154){$a=_a;break b}f[i>>2]=f[i>>2]|4096;tb=f[V>>2]|0;if(!tb){a=Bmc(68)|0;XVa(a);f[V>>2]=a;Sb=a}else Sb=tb;tb=f[c>>2]|0;if(tb>>>0<(f[g>>2]|0)>>>0?(a=b[tb>>0]|0,a<<24>>24>-1):0){f[c>>2]=tb+1;Tb=a&255}else{a=wCb(c)|0;if((a|0)>-1)Tb=a;else{cb=0;Za=473;break a}}hCb(e,c,Tb);if((f[W>>2]|0)<0){Za=202;break a}if(!(Sh[f[(f[Sb>>2]|0)+44>>2]&511](Sb,c)|0)){Za=202;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 20:{if((_a&255|0)!=162){$a=_a;break b}f[i>>2]=f[i>>2]|8192;a=f[X>>2]|0;if(!a){tb=Bmc(64)|0;ZVa(tb);f[X>>2]=tb;Ub=tb}else Ub=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(tb=b[a>>0]|0,tb<<24>>24>-1):0){f[c>>2]=a+1;Vb=tb&255}else{tb=wCb(c)|0;if((tb|0)>-1)Vb=tb;else{cb=0;Za=473;break a}}hCb(e,c,Vb);if((f[Y>>2]|0)<0){Za=213;break a}if(!(Sh[f[(f[Ub>>2]|0)+44>>2]&511](Ub,c)|0)){Za=213;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 21:{if((_a&255|0)!=170){$a=_a;break b}f[i>>2]=f[i>>2]|16384;tb=f[Z>>2]|0;if(!tb){a=Bmc(28)|0;$Va(a);f[Z>>2]=a;Wb=a}else Wb=tb;tb=f[c>>2]|0;if(tb>>>0<(f[g>>2]|0)>>>0?(a=b[tb>>0]|0,a<<24>>24>-1):0){f[c>>2]=tb+1;Xb=a&255}else{a=wCb(c)|0;if((a|0)>-1)Xb=a;else{cb=0;Za=473;break a}}hCb(e,c,Xb);if((f[_>>2]|0)<0){Za=224;break a}if(!(Sh[f[(f[Wb>>2]|0)+44>>2]&511](Wb,c)|0)){Za=224;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 22:{if((_a&255|0)!=178){$a=_a;break b}f[i>>2]=f[i>>2]|32768;a=f[$>>2]|0;if(!a){tb=Bmc(32)|0;aWa(tb);f[$>>2]=tb;Yb=tb}else Yb=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(tb=b[a>>0]|0,tb<<24>>24>-1):0){f[c>>2]=a+1;Zb=tb&255}else{tb=wCb(c)|0;if((tb|0)>-1)Zb=tb;else{cb=0;Za=473;break a}}hCb(e,c,Zb);if((f[aa>>2]|0)<0){Za=235;break a}if(!(Sh[f[(f[Yb>>2]|0)+44>>2]&511](Yb,c)|0)){Za=235;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 23:{if((_a&255|0)!=186){$a=_a;break b}f[i>>2]=f[i>>2]|65536;tb=f[ba>>2]|0;if(!tb){a=Bmc(28)|0;bWa(a);f[ba>>2]=a;_b=a}else _b=tb;tb=f[c>>2]|0;if(tb>>>0<(f[g>>2]|0)>>>0?(a=b[tb>>0]|0,a<<24>>24>-1):0){f[c>>2]=tb+1;$b=a&255}else{a=wCb(c)|0;if((a|0)>-1)$b=a;else{cb=0;Za=473;break a}}hCb(e,c,$b);if((f[ca>>2]|0)<0){Za=246;break a}if(!(Sh[f[(f[_b>>2]|0)+44>>2]&511](_b,c)|0)){Za=246;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 24:{if((_a&255|0)!=194){$a=_a;break b}f[i>>2]=f[i>>2]|131072;a=f[da>>2]|0;if(!a){tb=Bmc(36)|0;cWa(tb);f[da>>2]=tb;ac=tb}else ac=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(tb=b[a>>0]|0,tb<<24>>24>-1):0){f[c>>2]=a+1;bc=tb&255}else{tb=wCb(c)|0;if((tb|0)>-1)bc=tb;else{cb=0;Za=473;break a}}hCb(e,c,bc);if((f[ea>>2]|0)<0){Za=257;break a}if(!(Sh[f[(f[ac>>2]|0)+44>>2]&511](ac,c)|0)){Za=257;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 25:{if((_a&255|0)!=202){$a=_a;break b}f[i>>2]=f[i>>2]|262144;tb=f[fa>>2]|0;if(!tb){a=Bmc(20)|0;eWa(a);f[fa>>2]=a;cc=a}else cc=tb;tb=f[c>>2]|0;if(tb>>>0<(f[g>>2]|0)>>>0?(a=b[tb>>0]|0,a<<24>>24>-1):0){f[c>>2]=tb+1;dc=a&255}else{a=wCb(c)|0;if((a|0)>-1)dc=a;else{cb=0;Za=473;break a}}hCb(e,c,dc);if((f[ga>>2]|0)<0){Za=268;break a}if(!(Sh[f[(f[cc>>2]|0)+44>>2]&511](cc,c)|0)){Za=268;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 26:{if((_a&255|0)!=210){$a=_a;break b}f[i>>2]=f[i>>2]|524288;a=f[ha>>2]|0;if(!a){tb=Bmc(96)|0;fWa(tb);f[ha>>2]=tb;ec=tb}else ec=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(tb=b[a>>0]|0,tb<<24>>24>-1):0){f[c>>2]=a+1;fc=tb&255}else{tb=wCb(c)|0;if((tb|0)>-1)fc=tb;else{cb=0;Za=473;break a}}hCb(e,c,fc);if((f[ia>>2]|0)<0){Za=279;break a}if(!(Sh[f[(f[ec>>2]|0)+44>>2]&511](ec,c)|0)){Za=279;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 27:{if((_a&255|0)!=218){$a=_a;break b}f[i>>2]=f[i>>2]|1048576;tb=f[ja>>2]|0;if(!tb){a=Bmc(28)|0;hWa(a);f[ja>>2]=a;gc=a}else gc=tb;tb=f[c>>2]|0;if(tb>>>0<(f[g>>2]|0)>>>0?(a=b[tb>>0]|0,a<<24>>24>-1):0){f[c>>2]=tb+1;hc=a&255}else{a=wCb(c)|0;if((a|0)>-1)hc=a;else{cb=0;Za=473;break a}}hCb(e,c,hc);if((f[ka>>2]|0)<0){Za=290;break a}if(!(Sh[f[(f[gc>>2]|0)+44>>2]&511](gc,c)|0)){Za=290;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 29:{if((_a&255|0)!=234){$a=_a;break b}f[i>>2]=f[i>>2]|2097152;a=f[la>>2]|0;if(!a){tb=Bmc(20)|0;iWa(tb);f[la>>2]=tb;ic=tb}else ic=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(tb=b[a>>0]|0,tb<<24>>24>-1):0){f[c>>2]=a+1;jc=tb&255}else{tb=wCb(c)|0;if((tb|0)>-1)jc=tb;else{cb=0;Za=473;break a}}hCb(e,c,jc);if((f[ma>>2]|0)<0){Za=301;break a}if(!(Sh[f[(f[ic>>2]|0)+44>>2]&511](ic,c)|0)){Za=301;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 30:{if((_a&255|0)!=242){$a=_a;break b}f[i>>2]=f[i>>2]|4194304;tb=f[na>>2]|0;if(!tb){a=Bmc(24)|0;jWa(a);f[na>>2]=a;kc=a}else kc=tb;tb=f[c>>2]|0;if(tb>>>0<(f[g>>2]|0)>>>0?(a=b[tb>>0]|0,a<<24>>24>-1):0){f[c>>2]=tb+1;lc=a&255}else{a=wCb(c)|0;if((a|0)>-1)lc=a;else{cb=0;Za=473;break a}}hCb(e,c,lc);if((f[oa>>2]|0)<0){Za=312;break a}if(!(Sh[f[(f[kc>>2]|0)+44>>2]&511](kc,c)|0)){Za=312;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 31:{if((_a&255|0)!=250){$a=_a;break b}f[i>>2]=f[i>>2]|8388608;a=f[pa>>2]|0;if(!a){tb=Bmc(36)|0;kWa(tb);f[pa>>2]=tb;mc=tb}else mc=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(tb=b[a>>0]|0,tb<<24>>24>-1):0){f[c>>2]=a+1;nc=tb&255}else{tb=wCb(c)|0;if((tb|0)>-1)nc=tb;else{cb=0;Za=473;break a}}hCb(e,c,nc);if((f[qa>>2]|0)<0){Za=323;break a}if(!(Sh[f[(f[mc>>2]|0)+44>>2]&511](mc,c)|0)){Za=323;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 32:{if((_a&255|0)!=2){$a=_a;break b}tb=yFa(ra)|0;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(Va=b[a>>0]|0,Va<<24>>24>-1):0){f[c>>2]=a+1;oc=Va&255}else{Va=wCb(c)|0;if((Va|0)>-1)oc=Va;else{cb=0;Za=473;break a}}hCb(e,c,oc);if((f[sa>>2]|0)<0){Za=332;break a}if(!(Sh[f[(f[tb>>2]|0)+44>>2]&511](tb,c)|0)){Za=332;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 33:{if((_a&255|0)!=10){$a=_a;break b}tb=yFa(ta)|0;Va=f[c>>2]|0;if(Va>>>0<(f[g>>2]|0)>>>0?(a=b[Va>>0]|0,a<<24>>24>-1):0){f[c>>2]=Va+1;pc=a&255}else{a=wCb(c)|0;if((a|0)>-1)pc=a;else{cb=0;Za=473;break a}}hCb(e,c,pc);if((f[ua>>2]|0)<0){Za=341;break a}if(!(Sh[f[(f[tb>>2]|0)+44>>2]&511](tb,c)|0)){Za=341;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 34:{if((_a&255|0)!=18){$a=_a;break b}f[i>>2]=f[i>>2]|16777216;tb=f[va>>2]|0;if(!tb){a=Bmc(24)|0;mWa(a);f[va>>2]=a;qc=a}else qc=tb;tb=f[c>>2]|0;if(tb>>>0<(f[g>>2]|0)>>>0?(a=b[tb>>0]|0,a<<24>>24>-1):0){f[c>>2]=tb+1;rc=a&255}else{a=wCb(c)|0;if((a|0)>-1)rc=a;else{cb=0;Za=473;break a}}hCb(e,c,rc);if((f[wa>>2]|0)<0){Za=352;break a}if(!(Sh[f[(f[qc>>2]|0)+44>>2]&511](qc,c)|0)){Za=352;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 35:{switch((_a&255)<<24>>24){case 29:break;case 26:{if(XSa(c,xa)|0)continue a;else{cb=0;Za=473;break a}break}default:{$a=_a;break b}}a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){tb=a;Va=h[tb>>0]|h[tb+1>>0]<<8|h[tb+2>>0]<<16|h[tb+3>>0]<<24;f[e>>2]=Va;f[c>>2]=a+4;sc=Va}else{if(!(uCb(c,e)|0)){Za=370;break a}sc=f[e>>2]|0}Va=f[xa>>2]|0;if((Va|0)==(f[ya>>2]|0)){aEa(xa,Va+1|0);tc=f[xa>>2]|0}else tc=Va;Va=f[za>>2]|0;a=tc+1|0;f[xa>>2]=a;f[Va+4+(tc<<2)>>2]=sc;tb=f[c>>2]|0;Ua=(f[g>>2]|0)-tb|0;if((Ua|0)<=0)continue a;Sa=tb;tb=(f[ya>>2]|0)-a|0;lb=(Ua>>>0)/6|0;sb=(lb|0)<(tb|0)?lb:tb;if((sb|0)>0){uc=0;vc=Sa;wc=a}else continue a;while(1){if((b[vc>>0]|0)!=-99){xc=uc;break}if((b[vc+1>>0]|0)!=2){xc=uc;break}a=vc+2|0;tb=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;a=wc;wc=wc+1|0;f[xa>>2]=wc;f[Va+4+(a<<2)>>2]=tb;tb=uc+1|0;if((tb|0)>=(sb|0)){xc=tb;break}else{uc=tb;vc=vc+6|0}}sb=xc*6|0;if((xc|0)<=0)continue a;if((Ua|0)<(sb|0)){qCb(c,sb,Ua)|0;continue a}else{f[c>>2]=Sa+sb;continue a}break}case 36:{if((_a&255|0)!=34){$a=_a;break b}f[i>>2]=f[i>>2]|33554432;sb=f[Aa>>2]|0;if(!sb){Va=Bmc(44)|0;nWa(Va);f[Aa>>2]=Va;yc=Va}else yc=sb;sb=f[c>>2]|0;if(sb>>>0<(f[g>>2]|0)>>>0?(Va=b[sb>>0]|0,Va<<24>>24>-1):0){f[c>>2]=sb+1;zc=Va&255}else{Va=wCb(c)|0;if((Va|0)>-1)zc=Va;else{cb=0;Za=473;break a}}hCb(e,c,zc);if((f[Ba>>2]|0)<0){Za=381;break a}if(!(Sh[f[(f[yc>>2]|0)+44>>2]&511](yc,c)|0)){Za=381;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 37:{if((_a&255|0)!=42){$a=_a;break b}f[i>>2]=f[i>>2]|67108864;Va=f[Ca>>2]|0;if(!Va){sb=Bmc(20)|0;pWa(sb);f[Ca>>2]=sb;Ac=sb}else Ac=Va;Va=f[c>>2]|0;if(Va>>>0<(f[g>>2]|0)>>>0?(sb=b[Va>>0]|0,sb<<24>>24>-1):0){f[c>>2]=Va+1;Bc=sb&255}else{sb=wCb(c)|0;if((sb|0)>-1)Bc=sb;else{cb=0;Za=473;break a}}hCb(e,c,Bc);if((f[Da>>2]|0)<0){Za=392;break a}if(!(Sh[f[(f[Ac>>2]|0)+44>>2]&511](Ac,c)|0)){Za=392;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 38:{if((_a&255|0)!=50){$a=_a;break b}f[i>>2]=f[i>>2]|134217728;sb=f[Ea>>2]|0;if(!sb){Va=Bmc(20)|0;qWa(Va);f[Ea>>2]=Va;Cc=Va}else Cc=sb;sb=f[c>>2]|0;if(sb>>>0<(f[g>>2]|0)>>>0?(Va=b[sb>>0]|0,Va<<24>>24>-1):0){f[c>>2]=sb+1;Dc=Va&255}else{Va=wCb(c)|0;if((Va|0)>-1)Dc=Va;else{cb=0;Za=473;break a}}hCb(e,c,Dc);if((f[Fa>>2]|0)<0){Za=403;break a}if(!(Sh[f[(f[Cc>>2]|0)+44>>2]&511](Cc,c)|0)){Za=403;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 39:{if((_a&255|0)!=58){$a=_a;break b}f[i>>2]=f[i>>2]|268435456;Va=f[Ga>>2]|0;if(!Va){sb=Bmc(24)|0;rWa(sb);f[Ga>>2]=sb;Ec=sb}else Ec=Va;Va=f[c>>2]|0;if(Va>>>0<(f[g>>2]|0)>>>0?(sb=b[Va>>0]|0,sb<<24>>24>-1):0){f[c>>2]=Va+1;Fc=sb&255}else{sb=wCb(c)|0;if((sb|0)>-1)Fc=sb;else{cb=0;Za=473;break a}}hCb(e,c,Fc);if((f[Ha>>2]|0)<0){Za=414;break a}if(!(Sh[f[(f[Ec>>2]|0)+44>>2]&511](Ec,c)|0)){Za=414;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 40:{if((_a&255|0)!=66){$a=_a;break b}f[i>>2]=f[i>>2]|536870912;sb=f[Ia>>2]|0;if(!sb){Va=Bmc(24)|0;sWa(Va);f[Ia>>2]=Va;Gc=Va}else Gc=sb;sb=f[c>>2]|0;if(sb>>>0<(f[g>>2]|0)>>>0?(Va=b[sb>>0]|0,Va<<24>>24>-1):0){f[c>>2]=sb+1;Hc=Va&255}else{Va=wCb(c)|0;if((Va|0)>-1)Hc=Va;else{cb=0;Za=473;break a}}hCb(e,c,Hc);if((f[Ja>>2]|0)<0){Za=425;break a}if(!(Sh[f[(f[Gc>>2]|0)+44>>2]&511](Gc,c)|0)){Za=425;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 41:{if((_a&255|0)!=74){$a=_a;break b}f[i>>2]=f[i>>2]|1073741824;Va=f[Ka>>2]|0;if(!Va){sb=Bmc(28)|0;tWa(sb);f[Ka>>2]=sb;Ic=sb}else Ic=Va;Va=f[c>>2]|0;if(Va>>>0<(f[g>>2]|0)>>>0?(sb=b[Va>>0]|0,sb<<24>>24>-1):0){f[c>>2]=Va+1;Jc=sb&255}else{sb=wCb(c)|0;if((sb|0)>-1)Jc=sb;else{cb=0;Za=473;break a}}hCb(e,c,Jc);if((f[La>>2]|0)<0){Za=436;break a}if(!(Sh[f[(f[Ic>>2]|0)+44>>2]&511](Ic,c)|0)){Za=436;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 42:{if((_a&255|0)!=82){$a=_a;break b}f[i>>2]=f[i>>2]|-2147483648;sb=f[Ma>>2]|0;if(!sb){Va=Bmc(28)|0;uWa(Va);f[Ma>>2]=Va;Kc=Va}else Kc=sb;sb=f[c>>2]|0;if(sb>>>0<(f[g>>2]|0)>>>0?(Va=b[sb>>0]|0,Va<<24>>24>-1):0){f[c>>2]=sb+1;Lc=Va&255}else{Va=wCb(c)|0;if((Va|0)>-1)Lc=Va;else{cb=0;Za=473;break a}}hCb(e,c,Lc);if((f[Na>>2]|0)<0){Za=447;break a}if(!(Sh[f[(f[Kc>>2]|0)+44>>2]&511](Kc,c)|0)){Za=447;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{cb=0;Za=473;break a}break}case 1001:{if((_a&255|0)!=74){$a=_a;break b}if(HEb(c,dFa(Oa)|0)|0)continue a;else{cb=0;Za=473;break a}break}case 1002:{switch((_a&255)<<24>>24){case 80:break;case 82:{Va=f[q>>2]|0;if(!(Va&1))Mc=AHa(q)|0;else Mc=Va&-2;if(d4b(c,1002,845,Mc,Pa)|0)continue a;else{cb=0;Za=473;break a}break}default:{$a=_a;break b}}Va=f[c>>2]|0;if(Va>>>0<(f[g>>2]|0)>>>0){sb=b[Va>>0]|0;kb=sb&255;if(sb<<24>>24>-1){f[c>>2]=Va+1;Nc=kb}else{Oc=kb;Za=455}}else{Oc=0;Za=455}if((Za|0)==455){Za=0;kb=iCb(c,Oc)|0;Va=J;if((Va|0)>-1|(Va|0)==-1&kb>>>0>4294967295)Nc=kb;else{cb=0;Za=473;break a}}if(Nc>>>0<2){kb=f[Pa>>2]|0;if((kb|0)==(f[Qa>>2]|0)){eFa(Pa,kb+1|0);Pc=f[Pa>>2]|0}else Pc=kb;kb=f[Ra>>2]|0;f[Pa>>2]=Pc+1;f[kb+4+(Pc<<2)>>2]=Nc;continue a}kb=f[q>>2]|0;if(!(kb&1))Qc=AHa(q)|0;else Qc=kb&-2;R3b(Qc,1002,Nc,((Nc|0)<0)<<31>>31);continue a;break}default:{$a=_a;break b}}while(0)}while(0);if(!$a){cb=1;Za=473;break}kb=f[q>>2]|0;if(!(kb&1))Rc=AHa(q)|0;else Rc=kb&-2;if(!(b4b(c,$a,Rc)|0)){cb=0;Za=473;break}}switch(Za|0){case 19:{cb=0;u=d;return cb|0}case 47:{cb=0;u=d;return cb|0}case 64:{cb=0;u=d;return cb|0}case 81:{cb=0;u=d;return cb|0}case 92:{cb=0;u=d;return cb|0}case 103:{cb=0;u=d;return cb|0}case 114:{cb=0;u=d;return cb|0}case 125:{cb=0;u=d;return cb|0}case 136:{cb=0;u=d;return cb|0}case 147:{cb=0;u=d;return cb|0}case 158:{cb=0;u=d;return cb|0}case 169:{cb=0;u=d;return cb|0}case 180:{cb=0;u=d;return cb|0}case 191:{cb=0;u=d;return cb|0}case 202:{cb=0;u=d;return cb|0}case 213:{cb=0;u=d;return cb|0}case 224:{cb=0;u=d;return cb|0}case 235:{cb=0;u=d;return cb|0}case 246:{cb=0;u=d;return cb|0}case 257:{cb=0;u=d;return cb|0}case 268:{cb=0;u=d;return cb|0}case 279:{cb=0;u=d;return cb|0}case 290:{cb=0;u=d;return cb|0}case 301:{cb=0;u=d;return cb|0}case 312:{cb=0;u=d;return cb|0}case 323:{cb=0;u=d;return cb|0}case 332:{cb=0;u=d;return cb|0}case 341:{cb=0;u=d;return cb|0}case 352:{cb=0;u=d;return cb|0}case 370:{cb=0;u=d;return cb|0}case 381:{cb=0;u=d;return cb|0}case 392:{cb=0;u=d;return cb|0}case 403:{cb=0;u=d;return cb|0}case 414:{cb=0;u=d;return cb|0}case 425:{cb=0;u=d;return cb|0}case 436:{cb=0;u=d;return cb|0}case 447:{cb=0;u=d;return cb|0}case 473:{u=d;return cb|0}}return 0}function yVa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=f[a+20>>2]|0;e=c+d|0;if((c|0)>0){d=f[a+28>>2]|0;g=0;h=e;while(1){i=f[d+4+(g<<2)>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0?f[i+4>>2]|0:j&255;j=k+h+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=g+1|0;if((g|0)==(c|0)){l=j;break}else h=j}}else l=e;e=f[a+36>>2]|0;h=e+l|0;if((e|0)>0){l=f[a+44>>2]|0;c=0;g=h;while(1){d=f[l+4+(c<<2)>>2]|0;j=b[d+11>>0]|0;k=j<<24>>24<0?f[d+4>>2]|0:j&255;j=k+g+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;c=c+1|0;if((c|0)==(e|0)){m=j;break}else g=j}}else m=h;h=f[a+52>>2]|0;g=h+m|0;if(!h)n=g;else{m=a+60|0;e=0;c=g;while(1){g=f[(f[m>>2]|0)+4+(e<<2)>>2]|0;l=ci[f[(f[g>>2]|0)+48>>2]&1023](g)|0;g=l+c+((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=e+1|0;if((e|0)==(h|0)){n=g;break}else c=g}}c=f[a+64>>2]|0;h=f[a+76>>2]|0;e=f[a+92>>2]|0;m=c+n+h+(e<<1)+(h+c<<2)|0;if(!e)o=m;else{c=a+100|0;h=0;n=m;while(1){m=f[(f[c>>2]|0)+4+(h<<2)>>2]|0;g=ci[f[(f[m>>2]|0)+48>>2]&1023](m)|0;m=g+n+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(e|0)){o=m;break}else n=m}}n=f[a+108>>2]|0;e=(n<<1)+o|0;if(!n)p=e;else{o=a+116|0;h=0;c=e;while(1){e=f[(f[o>>2]|0)+4+(h<<2)>>2]|0;m=ci[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=m+c+((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(n|0)){p=e;break}else c=e}}c=f[a+120>>2]|0;n=f[a+136>>2]|0;h=(c<<2)+p+(n+c<<1)|0;if((n|0)>0){c=f[a+144>>2]|0;p=0;o=h;while(1){e=f[c+4+(p<<2)>>2]|0;m=b[e+11>>0]|0;g=m<<24>>24<0?f[e+4>>2]|0:m&255;m=g+o+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0;p=p+1|0;if((p|0)==(n|0)){q=m;break}else o=m}}else q=h;h=f[a+148>>2]|0;if(!h)r=0;else{o=f[a+156>>2]|0;n=0;p=0;while(1){c=f[o+4+(n<<2)>>2]|0;if((c|0)<0)s=10;else s=(((($(c|1|0)|0)^31)*9|0)+73|0)>>>6;c=s+p|0;n=n+1|0;if((n|0)==(h|0)){r=c;break}else p=c}}p=(h<<1)+q+r|0;r=a+8|0;q=f[r>>2]|0;if(q&255){if(!(q&1))t=p;else{h=f[a+160>>2]|0;n=b[h+11>>0]|0;s=n<<24>>24<0?f[h+4>>2]|0:n&255;t=p+1+s+((((($(s|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(q&2)){u=t;v=q}else{s=f[a+164>>2]|0;n=ci[f[(f[s>>2]|0)+48>>2]&1023](s)|0;s=t+1+n+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0;u=s;v=f[r>>2]|0}if(!(v&4)){w=u;x=v}else{v=f[a+168>>2]|0;s=ci[f[(f[v>>2]|0)+48>>2]&1023](v)|0;v=u+1+s+((((($(s|1|0)|0)^31)*9|0)+73|0)>>>6)|0;w=v;x=f[r>>2]|0}if(!(x&8)){y=w;z=x}else{x=f[a+172>>2]|0;v=ci[f[(f[x>>2]|0)+48>>2]&1023](x)|0;x=w+1+v+((((($(v|1|0)|0)^31)*9|0)+73|0)>>>6)|0;y=x;z=f[r>>2]|0}if(!(z&16)){A=y;B=z}else{z=f[a+176>>2]|0;x=ci[f[(f[z>>2]|0)+48>>2]&1023](z)|0;z=y+1+x+((((($(x|1|0)|0)^31)*9|0)+73|0)>>>6)|0;A=z;B=f[r>>2]|0}if(!(B&32)){C=A;D=B}else{B=f[a+180>>2]|0;z=ci[f[(f[B>>2]|0)+48>>2]&1023](B)|0;B=A+1+z+((((($(z|1|0)|0)^31)*9|0)+73|0)>>>6)|0;C=B;D=f[r>>2]|0}if(!(D&64)){E=C;F=D}else{D=f[a+184>>2]|0;B=ci[f[(f[D>>2]|0)+48>>2]&1023](D)|0;D=C+1+B+((((($(B|1|0)|0)^31)*9|0)+73|0)>>>6)|0;E=D;F=f[r>>2]|0}if(!(F&128)){G=E;H=F}else{F=f[a+188>>2]|0;D=ci[f[(f[F>>2]|0)+48>>2]&1023](F)|0;F=E+1+D+((((($(D|1|0)|0)^31)*9|0)+73|0)>>>6)|0;G=F;H=f[r>>2]|0}}else{G=p;H=q}if(H&65280){if(!(H&256)){I=G;J=H}else{q=f[a+192>>2]|0;p=ci[f[(f[q>>2]|0)+48>>2]&1023](q)|0;q=G+1+p+((((($(p|1|0)|0)^31)*9|0)+73|0)>>>6)|0;I=q;J=f[r>>2]|0}if(!(J&512)){K=I;L=J}else{J=f[a+196>>2]|0;q=ci[f[(f[J>>2]|0)+48>>2]&1023](J)|0;J=I+2+q+((((($(q|1|0)|0)^31)*9|0)+73|0)>>>6)|0;K=J;L=f[r>>2]|0}if(!(L&1024)){M=K;N=L}else{L=f[a+200>>2]|0;J=ci[f[(f[L>>2]|0)+48>>2]&1023](L)|0;L=K+2+J+((((($(J|1|0)|0)^31)*9|0)+73|0)>>>6)|0;M=L;N=f[r>>2]|0}if(!(N&2048)){O=M;P=N}else{N=f[a+204>>2]|0;L=ci[f[(f[N>>2]|0)+48>>2]&1023](N)|0;N=M+2+L+((((($(L|1|0)|0)^31)*9|0)+73|0)>>>6)|0;O=N;P=f[r>>2]|0}if(!(P&4096)){Q=O;R=P}else{P=f[a+208>>2]|0;N=ci[f[(f[P>>2]|0)+48>>2]&1023](P)|0;P=O+2+N+((((($(N|1|0)|0)^31)*9|0)+73|0)>>>6)|0;Q=P;R=f[r>>2]|0}if(!(R&8192)){S=Q;T=R}else{R=f[a+212>>2]|0;P=ci[f[(f[R>>2]|0)+48>>2]&1023](R)|0;R=Q+2+P+((((($(P|1|0)|0)^31)*9|0)+73|0)>>>6)|0;S=R;T=f[r>>2]|0}if(!(T&16384)){U=S;V=T}else{T=f[a+216>>2]|0;R=ci[f[(f[T>>2]|0)+48>>2]&1023](T)|0;T=S+2+R+((((($(R|1|0)|0)^31)*9|0)+73|0)>>>6)|0;U=T;V=f[r>>2]|0}if(!(V&32768)){W=U;X=V}else{V=f[a+220>>2]|0;T=ci[f[(f[V>>2]|0)+48>>2]&1023](V)|0;V=U+2+T+((((($(T|1|0)|0)^31)*9|0)+73|0)>>>6)|0;W=V;X=f[r>>2]|0}}else{W=G;X=H}if(X&16711680){if(!(X&65536)){Y=W;Z=X}else{H=f[a+224>>2]|0;G=ci[f[(f[H>>2]|0)+48>>2]&1023](H)|0;H=W+2+G+((((($(G|1|0)|0)^31)*9|0)+73|0)>>>6)|0;Y=H;Z=f[r>>2]|0}if(!(Z&131072)){_=Y;aa=Z}else{Z=f[a+228>>2]|0;H=ci[f[(f[Z>>2]|0)+48>>2]&1023](Z)|0;Z=Y+2+H+((((($(H|1|0)|0)^31)*9|0)+73|0)>>>6)|0;_=Z;aa=f[r>>2]|0}if(!(aa&262144)){ba=_;ca=aa}else{aa=f[a+232>>2]|0;Z=ci[f[(f[aa>>2]|0)+48>>2]&1023](aa)|0;aa=_+2+Z+((((($(Z|1|0)|0)^31)*9|0)+73|0)>>>6)|0;ba=aa;ca=f[r>>2]|0}if(!(ca&524288)){da=ba;ea=ca}else{ca=f[a+236>>2]|0;aa=ci[f[(f[ca>>2]|0)+48>>2]&1023](ca)|0;ca=ba+2+aa+((((($(aa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;da=ca;ea=f[r>>2]|0}if(!(ea&1048576)){fa=da;ga=ea}else{ea=f[a+240>>2]|0;ca=ci[f[(f[ea>>2]|0)+48>>2]&1023](ea)|0;ea=da+2+ca+((((($(ca|1|0)|0)^31)*9|0)+73|0)>>>6)|0;fa=ea;ga=f[r>>2]|0}if(!(ga&2097152)){ha=fa;ia=ga}else{ga=f[a+244>>2]|0;ea=ci[f[(f[ga>>2]|0)+48>>2]&1023](ga)|0;ga=fa+2+ea+((((($(ea|1|0)|0)^31)*9|0)+73|0)>>>6)|0;ha=ga;ia=f[r>>2]|0}if(!(ia&4194304)){ja=ha;ka=ia}else{ia=f[a+248>>2]|0;ga=ci[f[(f[ia>>2]|0)+48>>2]&1023](ia)|0;ia=ha+2+ga+((((($(ga|1|0)|0)^31)*9|0)+73|0)>>>6)|0;ja=ia;ka=f[r>>2]|0}if(!(ka&8388608)){la=ja;ma=ka}else{ka=f[a+252>>2]|0;ia=ci[f[(f[ka>>2]|0)+48>>2]&1023](ka)|0;ka=ja+2+ia+((((($(ia|1|0)|0)^31)*9|0)+73|0)>>>6)|0;la=ka;ma=f[r>>2]|0}}else{la=W;ma=X}do if(ma>>>0>16777215){if(!(ma&16777216)){na=la;oa=ma}else{X=f[a+256>>2]|0;W=ci[f[(f[X>>2]|0)+48>>2]&1023](X)|0;X=la+2+W+((((($(W|1|0)|0)^31)*9|0)+73|0)>>>6)|0;na=X;oa=f[r>>2]|0}if(!(oa&33554432)){pa=na;qa=oa}else{X=f[a+260>>2]|0;W=ci[f[(f[X>>2]|0)+48>>2]&1023](X)|0;X=na+2+W+((((($(W|1|0)|0)^31)*9|0)+73|0)>>>6)|0;pa=X;qa=f[r>>2]|0}if(!(qa&67108864)){ra=pa;sa=qa}else{X=f[a+264>>2]|0;W=ci[f[(f[X>>2]|0)+48>>2]&1023](X)|0;X=pa+2+W+((((($(W|1|0)|0)^31)*9|0)+73|0)>>>6)|0;ra=X;sa=f[r>>2]|0}if(!(sa&134217728)){ta=ra;ua=sa}else{X=f[a+268>>2]|0;W=ci[f[(f[X>>2]|0)+48>>2]&1023](X)|0;X=ra+2+W+((((($(W|1|0)|0)^31)*9|0)+73|0)>>>6)|0;ta=X;ua=f[r>>2]|0}if(!(ua&268435456)){va=ta;wa=ua}else{X=f[a+272>>2]|0;W=ci[f[(f[X>>2]|0)+48>>2]&1023](X)|0;X=ta+2+W+((((($(W|1|0)|0)^31)*9|0)+73|0)>>>6)|0;va=X;wa=f[r>>2]|0}if(!(wa&536870912)){xa=va;ya=wa}else{X=f[a+276>>2]|0;W=ci[f[(f[X>>2]|0)+48>>2]&1023](X)|0;X=va+2+W+((((($(W|1|0)|0)^31)*9|0)+73|0)>>>6)|0;xa=X;ya=f[r>>2]|0}if(!(ya&1073741824)){za=xa;Aa=ya}else{X=f[a+280>>2]|0;W=ci[f[(f[X>>2]|0)+48>>2]&1023](X)|0;X=xa+2+W+((((($(W|1|0)|0)^31)*9|0)+73|0)>>>6)|0;za=X;Aa=f[r>>2]|0}if((Aa|0)>=0){Ba=za;break}X=f[a+284>>2]|0;W=ci[f[(f[X>>2]|0)+48>>2]&1023](X)|0;Ba=za+2+W+((((($(W|1|0)|0)^31)*9|0)+73|0)>>>6)|0}else Ba=la;while(0);if(!(f[a+12>>2]&1)){Ca=Ba;Da=a+292|0;f[Da>>2]=Ca;return Ca|0}la=f[a+288>>2]|0;if((la|0)<0)Ea=11;else Ea=((((($(la|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;Ca=Ea+Ba|0;Da=a+292|0;f[Da>>2]=Ca;return Ca|0}function zVa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=a+8|0;d=f[c>>2]|0;if(d&2|0)GEb(1,f[a+164>>2]|0,b);e=f[a+20>>2]|0;if((e|0)>0){g=a+28|0;h=0;do{AEb(2,f[(f[g>>2]|0)+4+(h<<2)>>2]|0,b);h=h+1|0}while((h|0)!=(e|0))}e=f[a+36>>2]|0;if((e|0)>0){h=a+44|0;g=0;do{AEb(3,f[(f[h>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(e|0))}if(d&1|0)BEb(4,f[a+160>>2]|0,b);if(f[a+12>>2]&1|0)zEb(5,f[a+288>>2]|0,b);d=f[a+52>>2]|0;if(d|0){e=a+60|0;g=0;do{GEb(6,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(d|0))}d=f[a+64>>2]|0;if((d|0)>0){g=a+72|0;e=0;do{wEb(7,+n[(f[g>>2]|0)+4+(e<<2)>>2],b);e=e+1|0}while((e|0)!=(d|0))}d=f[a+76>>2]|0;if((d|0)>0){e=a+84|0;g=0;do{wEb(8,+n[(f[e>>2]|0)+4+(g<<2)>>2],b);g=g+1|0}while((g|0)!=(d|0))}d=f[c>>2]|0;if(d&4|0)GEb(9,f[a+168>>2]|0,b);if(d&8|0)GEb(10,f[a+172>>2]|0,b);if(d&16|0)GEb(11,f[a+176>>2]|0,b);if(d&32|0)GEb(12,f[a+180>>2]|0,b);if(d&64|0)GEb(13,f[a+184>>2]|0,b);if(d&128|0)GEb(14,f[a+188>>2]|0,b);if(d&256|0)GEb(15,f[a+192>>2]|0,b);if(d&512|0)GEb(16,f[a+196>>2]|0,b);if(d&1024|0)GEb(17,f[a+200>>2]|0,b);if(d&2048|0)GEb(18,f[a+204>>2]|0,b);if(d&4096|0)GEb(19,f[a+208>>2]|0,b);if(d&8192|0)GEb(20,f[a+212>>2]|0,b);if(d&16384|0)GEb(21,f[a+216>>2]|0,b);if(d&32768|0)GEb(22,f[a+220>>2]|0,b);if(d&65536|0)GEb(23,f[a+224>>2]|0,b);if(d&131072|0)GEb(24,f[a+228>>2]|0,b);if(d&262144|0)GEb(25,f[a+232>>2]|0,b);if(d&524288|0)GEb(26,f[a+236>>2]|0,b);if(d&1048576|0)GEb(27,f[a+240>>2]|0,b);if(d&2097152|0)GEb(29,f[a+244>>2]|0,b);if(d&4194304|0)GEb(30,f[a+248>>2]|0,b);if(d&8388608|0)GEb(31,f[a+252>>2]|0,b);c=f[a+92>>2]|0;if(c|0){g=a+100|0;e=0;do{GEb(32,f[(f[g>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+108>>2]|0;if(c|0){e=a+116|0;g=0;do{GEb(33,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(c|0))}if(d&16777216|0)GEb(34,f[a+256>>2]|0,b);c=f[a+120>>2]|0;if((c|0)>0){g=a+128|0;e=0;do{wEb(35,+n[(f[g>>2]|0)+4+(e<<2)>>2],b);e=e+1|0}while((e|0)!=(c|0))}if(d&33554432|0)GEb(36,f[a+260>>2]|0,b);if(d&67108864|0)GEb(37,f[a+264>>2]|0,b);if(d&134217728|0)GEb(38,f[a+268>>2]|0,b);if(d&268435456|0)GEb(39,f[a+272>>2]|0,b);if(d&536870912|0)GEb(40,f[a+276>>2]|0,b);if(d&1073741824|0)GEb(41,f[a+280>>2]|0,b);if((d|0)<0)GEb(42,f[a+284>>2]|0,b);d=f[a+136>>2]|0;if((d|0)>0){c=a+144|0;e=0;do{AEb(1001,f[(f[c>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(d|0))}d=f[a+148>>2]|0;if((d|0)>0){e=a+156|0;c=0;do{zEb(1002,f[(f[e>>2]|0)+4+(c<<2)>>2]|0,b);c=c+1|0}while((c|0)!=(d|0))}d=f[a+4>>2]|0;if(!(d&1))return;e4b(d&-2,b);return}function AVa(a){a=a|0;return f[a+292>>2]|0}function BVa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0;e=a+8|0;g=f[e>>2]|0;if(!(g&2))h=d;else{i=f[a+164>>2]|0;b[d>>0]=10;j=d+1|0;d=ci[f[(f[i>>2]|0)+60>>2]&1023](i)|0;if(d>>>0>127){k=d;l=j;while(1){b[l>>0]=k|128;m=k>>>7;n=l+1|0;if(k>>>0>16383){k=m;l=n}else{o=n;p=m;break}}}else{o=j;p=d}b[o>>0]=p;h=ki[f[(f[i>>2]|0)+64>>2]&511](i,c,o+1|0)|0}o=f[a+20>>2]|0;if((o|0)>0){i=a+28|0;p=0;d=h;while(1){j=f[(f[i>>2]|0)+4+(p<<2)>>2]|0;b[d>>0]=18;l=GCb(j,d+1|0)|0;p=p+1|0;if((p|0)==(o|0)){q=l;break}else d=l}}else q=h;h=f[a+36>>2]|0;if((h|0)>0){d=a+44|0;o=0;p=q;while(1){i=f[(f[d>>2]|0)+4+(o<<2)>>2]|0;b[p>>0]=26;l=GCb(i,p+1|0)|0;o=o+1|0;if((o|0)==(h|0)){r=l;break}else p=l}}else r=q;if(!(g&1))s=r;else{g=f[a+160>>2]|0;b[r>>0]=34;s=GCb(g,r+1|0)|0}if(!(f[a+12>>2]&1))t=s;else{r=f[a+288>>2]|0;b[s>>0]=40;g=s+1|0;s=r&255;if(r>>>0>127){q=g;p=s;h=r;o=((r|0)<0)<<31>>31;while(1){b[q>>0]=p|-128;r=h;h=Irc(h|0,o|0,7)|0;d=q+1|0;l=h&255;if(!(o>>>0>0|(o|0)==0&r>>>0>16383)){u=d;v=l;break}else{q=d;p=l;o=J}}}else{u=g;v=s}b[u>>0]=v;t=u+1|0}u=f[a+52>>2]|0;if(!u)w=t;else{v=a+60|0;s=0;g=t;while(1){t=f[(f[v>>2]|0)+4+(s<<2)>>2]|0;b[g>>0]=50;o=g+1|0;p=ci[f[(f[t>>2]|0)+60>>2]&1023](t)|0;if(p>>>0>127){q=p;h=o;while(1){b[h>>0]=q|128;l=q>>>7;d=h+1|0;if(q>>>0>16383){q=l;h=d}else{x=d;y=l;break}}}else{x=o;y=p}b[x>>0]=y;h=ki[f[(f[t>>2]|0)+64>>2]&511](t,c,x+1|0)|0;s=s+1|0;if((s|0)==(u|0)){w=h;break}else g=h}}g=f[a+64>>2]|0;if(!g)z=w;else{u=f[a+72>>2]|0;s=0;x=w;while(1){w=f[u+4+(s<<2)>>2]|0;b[x>>0]=61;y=x+1|0;b[y>>0]=w;b[y+1>>0]=w>>8;b[y+2>>0]=w>>16;b[y+3>>0]=w>>24;w=x+5|0;s=s+1|0;if((s|0)>=(g|0)){z=w;break}else x=w}}x=f[a+76>>2]|0;if(!x)A=z;else{g=f[a+84>>2]|0;s=0;u=z;while(1){z=f[g+4+(s<<2)>>2]|0;b[u>>0]=69;w=u+1|0;b[w>>0]=z;b[w+1>>0]=z>>8;b[w+2>>0]=z>>16;b[w+3>>0]=z>>24;z=u+5|0;s=s+1|0;if((s|0)>=(x|0)){A=z;break}else u=z}}u=f[e>>2]|0;if(!(u&4))B=A;else{e=f[a+168>>2]|0;b[A>>0]=74;x=A+1|0;A=ci[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(A>>>0>127){s=A;g=x;while(1){b[g>>0]=s|128;z=s>>>7;w=g+1|0;if(s>>>0>16383){s=z;g=w}else{C=w;D=z;break}}}else{C=x;D=A}b[C>>0]=D;B=ki[f[(f[e>>2]|0)+64>>2]&511](e,c,C+1|0)|0}if(!(u&8))E=B;else{C=f[a+172>>2]|0;b[B>>0]=82;e=B+1|0;B=ci[f[(f[C>>2]|0)+60>>2]&1023](C)|0;if(B>>>0>127){D=B;A=e;while(1){b[A>>0]=D|128;x=D>>>7;g=A+1|0;if(D>>>0>16383){D=x;A=g}else{F=g;G=x;break}}}else{F=e;G=B}b[F>>0]=G;E=ki[f[(f[C>>2]|0)+64>>2]&511](C,c,F+1|0)|0}if(!(u&16))H=E;else{F=f[a+176>>2]|0;b[E>>0]=90;C=E+1|0;E=ci[f[(f[F>>2]|0)+60>>2]&1023](F)|0;if(E>>>0>127){G=E;B=C;while(1){b[B>>0]=G|128;e=G>>>7;A=B+1|0;if(G>>>0>16383){G=e;B=A}else{I=A;K=e;break}}}else{I=C;K=E}b[I>>0]=K;H=ki[f[(f[F>>2]|0)+64>>2]&511](F,c,I+1|0)|0}if(!(u&32))L=H;else{I=f[a+180>>2]|0;b[H>>0]=98;F=H+1|0;H=ci[f[(f[I>>2]|0)+60>>2]&1023](I)|0;if(H>>>0>127){K=H;E=F;while(1){b[E>>0]=K|128;C=K>>>7;B=E+1|0;if(K>>>0>16383){K=C;E=B}else{M=B;N=C;break}}}else{M=F;N=H}b[M>>0]=N;L=ki[f[(f[I>>2]|0)+64>>2]&511](I,c,M+1|0)|0}if(!(u&64))O=L;else{M=f[a+184>>2]|0;b[L>>0]=106;I=L+1|0;L=ci[f[(f[M>>2]|0)+60>>2]&1023](M)|0;if(L>>>0>127){N=L;H=I;while(1){b[H>>0]=N|128;F=N>>>7;E=H+1|0;if(N>>>0>16383){N=F;H=E}else{P=E;Q=F;break}}}else{P=I;Q=L}b[P>>0]=Q;O=ki[f[(f[M>>2]|0)+64>>2]&511](M,c,P+1|0)|0}if(!(u&128))R=O;else{P=f[a+188>>2]|0;b[O>>0]=114;M=O+1|0;O=ci[f[(f[P>>2]|0)+60>>2]&1023](P)|0;if(O>>>0>127){Q=O;L=M;while(1){b[L>>0]=Q|128;I=Q>>>7;H=L+1|0;if(Q>>>0>16383){Q=I;L=H}else{S=H;T=I;break}}}else{S=M;T=O}b[S>>0]=T;R=ki[f[(f[P>>2]|0)+64>>2]&511](P,c,S+1|0)|0}if(!(u&256))U=R;else{S=f[a+192>>2]|0;b[R>>0]=122;P=R+1|0;R=ci[f[(f[S>>2]|0)+60>>2]&1023](S)|0;if(R>>>0>127){T=R;O=P;while(1){b[O>>0]=T|128;M=T>>>7;L=O+1|0;if(T>>>0>16383){T=M;O=L}else{V=L;W=M;break}}}else{V=P;W=R}b[V>>0]=W;U=ki[f[(f[S>>2]|0)+64>>2]&511](S,c,V+1|0)|0}if(!(u&512))X=U;else{V=f[a+196>>2]|0;b[U>>0]=-126;b[U+1>>0]=1;S=U+2|0;U=ci[f[(f[V>>2]|0)+60>>2]&1023](V)|0;if(U>>>0>127){W=U;R=S;while(1){b[R>>0]=W|128;P=W>>>7;O=R+1|0;if(W>>>0>16383){W=P;R=O}else{Y=O;Z=P;break}}}else{Y=S;Z=U}b[Y>>0]=Z;X=ki[f[(f[V>>2]|0)+64>>2]&511](V,c,Y+1|0)|0}if(!(u&1024))_=X;else{Y=f[a+200>>2]|0;b[X>>0]=-118;b[X+1>>0]=1;V=X+2|0;X=ci[f[(f[Y>>2]|0)+60>>2]&1023](Y)|0;if(X>>>0>127){Z=X;U=V;while(1){b[U>>0]=Z|128;S=Z>>>7;R=U+1|0;if(Z>>>0>16383){Z=S;U=R}else{$=R;aa=S;break}}}else{$=V;aa=X}b[$>>0]=aa;_=ki[f[(f[Y>>2]|0)+64>>2]&511](Y,c,$+1|0)|0}if(!(u&2048))ba=_;else{$=f[a+204>>2]|0;b[_>>0]=-110;b[_+1>>0]=1;Y=_+2|0;_=ci[f[(f[$>>2]|0)+60>>2]&1023]($)|0;if(_>>>0>127){aa=_;X=Y;while(1){b[X>>0]=aa|128;V=aa>>>7;U=X+1|0;if(aa>>>0>16383){aa=V;X=U}else{ca=U;da=V;break}}}else{ca=Y;da=_}b[ca>>0]=da;ba=ki[f[(f[$>>2]|0)+64>>2]&511]($,c,ca+1|0)|0}if(!(u&4096))ea=ba;else{ca=f[a+208>>2]|0;b[ba>>0]=-102;b[ba+1>>0]=1;$=ba+2|0;ba=ci[f[(f[ca>>2]|0)+60>>2]&1023](ca)|0;if(ba>>>0>127){da=ba;_=$;while(1){b[_>>0]=da|128;Y=da>>>7;X=_+1|0;if(da>>>0>16383){da=Y;_=X}else{fa=X;ga=Y;break}}}else{fa=$;ga=ba}b[fa>>0]=ga;ea=ki[f[(f[ca>>2]|0)+64>>2]&511](ca,c,fa+1|0)|0}if(!(u&8192))ha=ea;else{fa=f[a+212>>2]|0;b[ea>>0]=-94;b[ea+1>>0]=1;ca=ea+2|0;ea=ci[f[(f[fa>>2]|0)+60>>2]&1023](fa)|0;if(ea>>>0>127){ga=ea;ba=ca;while(1){b[ba>>0]=ga|128;$=ga>>>7;_=ba+1|0;if(ga>>>0>16383){ga=$;ba=_}else{ia=_;ja=$;break}}}else{ia=ca;ja=ea}b[ia>>0]=ja;ha=ki[f[(f[fa>>2]|0)+64>>2]&511](fa,c,ia+1|0)|0}if(!(u&16384))ka=ha;else{ia=f[a+216>>2]|0;b[ha>>0]=-86;b[ha+1>>0]=1;fa=ha+2|0;ha=ci[f[(f[ia>>2]|0)+60>>2]&1023](ia)|0;if(ha>>>0>127){ja=ha;ea=fa;while(1){b[ea>>0]=ja|128;ca=ja>>>7;ba=ea+1|0;if(ja>>>0>16383){ja=ca;ea=ba}else{la=ba;ma=ca;break}}}else{la=fa;ma=ha}b[la>>0]=ma;ka=ki[f[(f[ia>>2]|0)+64>>2]&511](ia,c,la+1|0)|0}if(!(u&32768))na=ka;else{la=f[a+220>>2]|0;b[ka>>0]=-78;b[ka+1>>0]=1;ia=ka+2|0;ka=ci[f[(f[la>>2]|0)+60>>2]&1023](la)|0;if(ka>>>0>127){ma=ka;ha=ia;while(1){b[ha>>0]=ma|128;fa=ma>>>7;ea=ha+1|0;if(ma>>>0>16383){ma=fa;ha=ea}else{oa=ea;pa=fa;break}}}else{oa=ia;pa=ka}b[oa>>0]=pa;na=ki[f[(f[la>>2]|0)+64>>2]&511](la,c,oa+1|0)|0}if(!(u&65536))qa=na;else{oa=f[a+224>>2]|0;b[na>>0]=-70;b[na+1>>0]=1;la=na+2|0;na=ci[f[(f[oa>>2]|0)+60>>2]&1023](oa)|0;if(na>>>0>127){pa=na;ka=la;while(1){b[ka>>0]=pa|128;ia=pa>>>7;ha=ka+1|0;if(pa>>>0>16383){pa=ia;ka=ha}else{ra=ha;sa=ia;break}}}else{ra=la;sa=na}b[ra>>0]=sa;qa=ki[f[(f[oa>>2]|0)+64>>2]&511](oa,c,ra+1|0)|0}if(!(u&131072))ta=qa;else{ra=f[a+228>>2]|0;b[qa>>0]=-62;b[qa+1>>0]=1;oa=qa+2|0;qa=ci[f[(f[ra>>2]|0)+60>>2]&1023](ra)|0;if(qa>>>0>127){sa=qa;na=oa;while(1){b[na>>0]=sa|128;la=sa>>>7;ka=na+1|0;if(sa>>>0>16383){sa=la;na=ka}else{ua=ka;va=la;break}}}else{ua=oa;va=qa}b[ua>>0]=va;ta=ki[f[(f[ra>>2]|0)+64>>2]&511](ra,c,ua+1|0)|0}if(!(u&262144))wa=ta;else{ua=f[a+232>>2]|0;b[ta>>0]=-54;b[ta+1>>0]=1;ra=ta+2|0;ta=ci[f[(f[ua>>2]|0)+60>>2]&1023](ua)|0;if(ta>>>0>127){va=ta;qa=ra;while(1){b[qa>>0]=va|128;oa=va>>>7;na=qa+1|0;if(va>>>0>16383){va=oa;qa=na}else{xa=na;ya=oa;break}}}else{xa=ra;ya=ta}b[xa>>0]=ya;wa=ki[f[(f[ua>>2]|0)+64>>2]&511](ua,c,xa+1|0)|0}if(!(u&524288))za=wa;else{xa=f[a+236>>2]|0;b[wa>>0]=-46;b[wa+1>>0]=1;ua=wa+2|0;wa=ci[f[(f[xa>>2]|0)+60>>2]&1023](xa)|0;if(wa>>>0>127){ya=wa;ta=ua;while(1){b[ta>>0]=ya|128;ra=ya>>>7;qa=ta+1|0;if(ya>>>0>16383){ya=ra;ta=qa}else{Aa=qa;Ba=ra;break}}}else{Aa=ua;Ba=wa}b[Aa>>0]=Ba;za=ki[f[(f[xa>>2]|0)+64>>2]&511](xa,c,Aa+1|0)|0}if(!(u&1048576))Ca=za;else{Aa=f[a+240>>2]|0;b[za>>0]=-38;b[za+1>>0]=1;xa=za+2|0;za=ci[f[(f[Aa>>2]|0)+60>>2]&1023](Aa)|0;if(za>>>0>127){Ba=za;wa=xa;while(1){b[wa>>0]=Ba|128;ua=Ba>>>7;ta=wa+1|0;if(Ba>>>0>16383){Ba=ua;wa=ta}else{Da=ta;Ea=ua;break}}}else{Da=xa;Ea=za}b[Da>>0]=Ea;Ca=ki[f[(f[Aa>>2]|0)+64>>2]&511](Aa,c,Da+1|0)|0}if(!(u&2097152))Fa=Ca;else{Da=f[a+244>>2]|0;b[Ca>>0]=-22;b[Ca+1>>0]=1;Aa=Ca+2|0;Ca=ci[f[(f[Da>>2]|0)+60>>2]&1023](Da)|0;if(Ca>>>0>127){Ea=Ca;za=Aa;while(1){b[za>>0]=Ea|128;xa=Ea>>>7;wa=za+1|0;if(Ea>>>0>16383){Ea=xa;za=wa}else{Ga=wa;Ha=xa;break}}}else{Ga=Aa;Ha=Ca}b[Ga>>0]=Ha;Fa=ki[f[(f[Da>>2]|0)+64>>2]&511](Da,c,Ga+1|0)|0}if(!(u&4194304))Ia=Fa;else{Ga=f[a+248>>2]|0;b[Fa>>0]=-14;b[Fa+1>>0]=1;Da=Fa+2|0;Fa=ci[f[(f[Ga>>2]|0)+60>>2]&1023](Ga)|0;if(Fa>>>0>127){Ha=Fa;Ca=Da;while(1){b[Ca>>0]=Ha|128;Aa=Ha>>>7;za=Ca+1|0;if(Ha>>>0>16383){Ha=Aa;Ca=za}else{Ja=za;Ka=Aa;break}}}else{Ja=Da;Ka=Fa}b[Ja>>0]=Ka;Ia=ki[f[(f[Ga>>2]|0)+64>>2]&511](Ga,c,Ja+1|0)|0}if(!(u&8388608))La=Ia;else{Ja=f[a+252>>2]|0;b[Ia>>0]=-6;b[Ia+1>>0]=1;Ga=Ia+2|0;Ia=ci[f[(f[Ja>>2]|0)+60>>2]&1023](Ja)|0;if(Ia>>>0>127){Ka=Ia;Fa=Ga;while(1){b[Fa>>0]=Ka|128;Da=Ka>>>7;Ca=Fa+1|0;if(Ka>>>0>16383){Ka=Da;Fa=Ca}else{Ma=Ca;Na=Da;break}}}else{Ma=Ga;Na=Ia}b[Ma>>0]=Na;La=ki[f[(f[Ja>>2]|0)+64>>2]&511](Ja,c,Ma+1|0)|0}Ma=f[a+92>>2]|0;if(!Ma)Oa=La;else{Ja=a+100|0;Na=0;Ia=La;while(1){La=f[(f[Ja>>2]|0)+4+(Na<<2)>>2]|0;b[Ia>>0]=-126;b[Ia+1>>0]=2;Ga=Ia+2|0;Fa=ci[f[(f[La>>2]|0)+60>>2]&1023](La)|0;if(Fa>>>0>127){Ka=Fa;Da=Ga;while(1){b[Da>>0]=Ka|128;Ca=Ka>>>7;Ha=Da+1|0;if(Ka>>>0>16383){Ka=Ca;Da=Ha}else{Pa=Ha;Qa=Ca;break}}}else{Pa=Ga;Qa=Fa}b[Pa>>0]=Qa;Da=ki[f[(f[La>>2]|0)+64>>2]&511](La,c,Pa+1|0)|0;Na=Na+1|0;if((Na|0)==(Ma|0)){Oa=Da;break}else Ia=Da}}Ia=f[a+108>>2]|0;if(!Ia)Ra=Oa;else{Ma=a+116|0;Na=0;Pa=Oa;while(1){Oa=f[(f[Ma>>2]|0)+4+(Na<<2)>>2]|0;b[Pa>>0]=-118;b[Pa+1>>0]=2;Qa=Pa+2|0;Ja=ci[f[(f[Oa>>2]|0)+60>>2]&1023](Oa)|0;if(Ja>>>0>127){Da=Ja;Ka=Qa;while(1){b[Ka>>0]=Da|128;t=Da>>>7;p=Ka+1|0;if(Da>>>0>16383){Da=t;Ka=p}else{Sa=p;Ta=t;break}}}else{Sa=Qa;Ta=Ja}b[Sa>>0]=Ta;Ka=ki[f[(f[Oa>>2]|0)+64>>2]&511](Oa,c,Sa+1|0)|0;Na=Na+1|0;if((Na|0)==(Ia|0)){Ra=Ka;break}else Pa=Ka}}if(!(u&16777216))Ua=Ra;else{Pa=f[a+256>>2]|0;b[Ra>>0]=-110;b[Ra+1>>0]=2;Ia=Ra+2|0;Ra=ci[f[(f[Pa>>2]|0)+60>>2]&1023](Pa)|0;if(Ra>>>0>127){Na=Ra;Sa=Ia;while(1){b[Sa>>0]=Na|128;Ta=Na>>>7;Ma=Sa+1|0;if(Na>>>0>16383){Na=Ta;Sa=Ma}else{Va=Ma;Wa=Ta;break}}}else{Va=Ia;Wa=Ra}b[Va>>0]=Wa;Ua=ki[f[(f[Pa>>2]|0)+64>>2]&511](Pa,c,Va+1|0)|0}Va=f[a+120>>2]|0;if(!Va)Xa=Ua;else{Pa=f[a+128>>2]|0;Wa=0;Ra=Ua;while(1){Ua=f[Pa+4+(Wa<<2)>>2]|0;b[Ra>>0]=-99;b[Ra+1>>0]=2;Ia=Ra+2|0;b[Ia>>0]=Ua;b[Ia+1>>0]=Ua>>8;b[Ia+2>>0]=Ua>>16;b[Ia+3>>0]=Ua>>24;Ua=Ra+6|0;Wa=Wa+1|0;if((Wa|0)>=(Va|0)){Xa=Ua;break}else Ra=Ua}}if(!(u&33554432))Ya=Xa;else{Ra=f[a+260>>2]|0;b[Xa>>0]=-94;b[Xa+1>>0]=2;Va=Xa+2|0;Xa=ci[f[(f[Ra>>2]|0)+60>>2]&1023](Ra)|0;if(Xa>>>0>127){Wa=Xa;Pa=Va;while(1){b[Pa>>0]=Wa|128;Ua=Wa>>>7;Ia=Pa+1|0;if(Wa>>>0>16383){Wa=Ua;Pa=Ia}else{Za=Ia;_a=Ua;break}}}else{Za=Va;_a=Xa}b[Za>>0]=_a;Ya=ki[f[(f[Ra>>2]|0)+64>>2]&511](Ra,c,Za+1|0)|0}if(!(u&67108864))$a=Ya;else{Za=f[a+264>>2]|0;b[Ya>>0]=-86;b[Ya+1>>0]=2;Ra=Ya+2|0;Ya=ci[f[(f[Za>>2]|0)+60>>2]&1023](Za)|0;if(Ya>>>0>127){_a=Ya;Xa=Ra;while(1){b[Xa>>0]=_a|128;Va=_a>>>7;Pa=Xa+1|0;if(_a>>>0>16383){_a=Va;Xa=Pa}else{ab=Pa;bb=Va;break}}}else{ab=Ra;bb=Ya}b[ab>>0]=bb;$a=ki[f[(f[Za>>2]|0)+64>>2]&511](Za,c,ab+1|0)|0}if(!(u&134217728))cb=$a;else{ab=f[a+268>>2]|0;b[$a>>0]=-78;b[$a+1>>0]=2;Za=$a+2|0;$a=ci[f[(f[ab>>2]|0)+60>>2]&1023](ab)|0;if($a>>>0>127){bb=$a;Ya=Za;while(1){b[Ya>>0]=bb|128;Ra=bb>>>7;Xa=Ya+1|0;if(bb>>>0>16383){bb=Ra;Ya=Xa}else{db=Xa;eb=Ra;break}}}else{db=Za;eb=$a}b[db>>0]=eb;cb=ki[f[(f[ab>>2]|0)+64>>2]&511](ab,c,db+1|0)|0}if(!(u&268435456))fb=cb;else{db=f[a+272>>2]|0;b[cb>>0]=-70;b[cb+1>>0]=2;ab=cb+2|0;cb=ci[f[(f[db>>2]|0)+60>>2]&1023](db)|0;if(cb>>>0>127){eb=cb;$a=ab;while(1){b[$a>>0]=eb|128;Za=eb>>>7;Ya=$a+1|0;if(eb>>>0>16383){eb=Za;$a=Ya}else{gb=Ya;hb=Za;break}}}else{gb=ab;hb=cb}b[gb>>0]=hb;fb=ki[f[(f[db>>2]|0)+64>>2]&511](db,c,gb+1|0)|0}if(!(u&536870912))ib=fb;else{gb=f[a+276>>2]|0;b[fb>>0]=-62;b[fb+1>>0]=2;db=fb+2|0;fb=ci[f[(f[gb>>2]|0)+60>>2]&1023](gb)|0;if(fb>>>0>127){hb=fb;cb=db;while(1){b[cb>>0]=hb|128;ab=hb>>>7;$a=cb+1|0;if(hb>>>0>16383){hb=ab;cb=$a}else{jb=$a;kb=ab;break}}}else{jb=db;kb=fb}b[jb>>0]=kb;ib=ki[f[(f[gb>>2]|0)+64>>2]&511](gb,c,jb+1|0)|0}if(!(u&1073741824))lb=ib;else{jb=f[a+280>>2]|0;b[ib>>0]=-54;b[ib+1>>0]=2;gb=ib+2|0;ib=ci[f[(f[jb>>2]|0)+60>>2]&1023](jb)|0;if(ib>>>0>127){kb=ib;fb=gb;while(1){b[fb>>0]=kb|128;db=kb>>>7;cb=fb+1|0;if(kb>>>0>16383){kb=db;fb=cb}else{mb=cb;nb=db;break}}}else{mb=gb;nb=ib}b[mb>>0]=nb;lb=ki[f[(f[jb>>2]|0)+64>>2]&511](jb,c,mb+1|0)|0}if((u|0)<0){u=f[a+284>>2]|0;b[lb>>0]=-46;b[lb+1>>0]=2;mb=lb+2|0;jb=ci[f[(f[u>>2]|0)+60>>2]&1023](u)|0;if(jb>>>0>127){nb=jb;ib=mb;while(1){b[ib>>0]=nb|128;gb=nb>>>7;fb=ib+1|0;if(nb>>>0>16383){nb=gb;ib=fb}else{ob=fb;pb=gb;break}}}else{ob=mb;pb=jb}b[ob>>0]=pb;qb=ki[f[(f[u>>2]|0)+64>>2]&511](u,c,ob+1|0)|0}else qb=lb;lb=f[a+136>>2]|0;if((lb|0)>0){ob=a+144|0;c=0;u=qb;while(1){pb=f[(f[ob>>2]|0)+4+(c<<2)>>2]|0;b[u>>0]=-54;b[u+1>>0]=62;jb=GCb(pb,u+2|0)|0;c=c+1|0;if((c|0)==(lb|0)){rb=jb;break}else u=jb}}else rb=qb;qb=f[a+148>>2]|0;if(!qb)sb=rb;else{u=f[a+156>>2]|0;lb=0;c=rb;while(1){rb=f[u+4+(lb<<2)>>2]|0;b[c>>0]=-48;b[c+1>>0]=62;ob=c+2|0;jb=rb&255;if(rb>>>0>127){pb=ob;mb=jb;ib=rb;nb=((rb|0)<0)<<31>>31;while(1){b[pb>>0]=mb|-128;rb=ib;ib=Irc(ib|0,nb|0,7)|0;gb=pb+1|0;fb=ib&255;if(!(nb>>>0>0|(nb|0)==0&rb>>>0>16383)){tb=gb;ub=fb;break}else{pb=gb;mb=fb;nb=J}}}else{tb=ob;ub=jb}b[tb>>0]=ub;nb=tb+1|0;lb=lb+1|0;if((lb|0)>=(qb|0)){sb=nb;break}else c=nb}}c=f[a+4>>2]|0;if(!(c&1)){vb=sb;return vb|0}vb=f4b(c&-2,sb)|0;return vb|0}function CVa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function DVa(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,19432,0)|0;if(!c){c2b(b,a);return}else{GVa(a,c);return}}function EVa(a,b){a=a|0;b=b|0;f[a+292>>2]=b;return}function FVa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=534032;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function GVa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}BHa(a+16|0,c+16|0);BHa(a+32|0,c+32|0);jFa(a+48|0,c+48|0);e=a+64|0;h=c+64|0;g=f[h>>2]|0;if(g|0){aEa(e,(f[e>>2]|0)+g|0);Krc((f[a+72>>2]|0)+4+(f[e>>2]<<2)|0,(f[c+72>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}h=a+76|0;e=c+76|0;g=f[e>>2]|0;if(g|0){aEa(h,(f[h>>2]|0)+g|0);Krc((f[a+84>>2]|0)+4+(f[h>>2]<<2)|0,(f[c+84>>2]|0)+4|0,f[e>>2]<<2|0)|0;f[h>>2]=(f[h>>2]|0)+(f[e>>2]|0)}HVa(a+88|0,c+88|0);HVa(a+104|0,c+104|0);e=a+120|0;h=c+120|0;g=f[h>>2]|0;if(g|0){aEa(e,(f[e>>2]|0)+g|0);Krc((f[a+128>>2]|0)+4+(f[e>>2]<<2)|0,(f[c+128>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}BHa(a+132|0,c+132|0);h=a+148|0;e=c+148|0;g=f[e>>2]|0;if(g|0){eFa(h,(f[h>>2]|0)+g|0);Krc((f[a+156>>2]|0)+4+(f[h>>2]<<2)|0,(f[c+156>>2]|0)+4|0,f[e>>2]<<2|0)|0;f[h>>2]=(f[h>>2]|0)+(f[e>>2]|0)}e=f[c+8>>2]|0;do if(e&255|0){do if(e&1|0?(h=a+8|0,f[h>>2]=f[h>>2]|1,h=a+160|0,g=f[c+160>>2]|0,d=f[h>>2]|0,(d|0)!=(g|0)):0)if((d|0)==535416){aFa(h,g);break}else{Qmc(d,g)|0;break}while(0);if(e&2|0){g=a+8|0;f[g>>2]=f[g>>2]|2;g=a+164|0;d=f[g>>2]|0;if(!d){h=Bmc(196)|0;oVa(h);f[g>>2]=h;i=h}else i=d;d=f[c+164>>2]|0;EUa(i,d|0?d:533040)}if(e&4|0){d=a+8|0;f[d>>2]=f[d>>2]|4;d=a+168|0;h=f[d>>2]|0;if(!h){g=Bmc(24)|0;IVa(g);f[d>>2]=g;j=g}else j=h;h=f[c+168>>2]|0;g=h|0?h:531128;h=j+4|0;d=f[g+4>>2]|0;if(d&1|0){k=f[h>>2]|0;if(!(k&1))l=AHa(h)|0;else l=k&-2;O3b(l,d&-2)}d=f[g+8>>2]|0;if(d&3|0){if(d&1|0)f[j+16>>2]=f[g+16>>2];if(d&2|0)f[j+20>>2]=f[g+20>>2];g=j+8|0;f[g>>2]=f[g>>2]|d}}if(e&8|0){d=a+8|0;f[d>>2]=f[d>>2]|8;d=a+172|0;g=f[d>>2]|0;if(!g){k=Bmc(120)|0;JVa(k);f[d>>2]=k;m=k}else m=g;g=f[c+172>>2]|0;KVa(m,g|0?g:531240)}if(e&16|0){g=a+8|0;f[g>>2]=f[g>>2]|16;g=a+176|0;k=f[g>>2]|0;if(!k){d=Bmc(52)|0;LVa(d);f[g>>2]=d;n=d}else n=k;k=f[c+176>>2]|0;MVa(n,k|0?k:531392)}if(e&32|0){k=a+8|0;f[k>>2]=f[k>>2]|32;k=a+180|0;d=f[k>>2]|0;if(!d){g=Bmc(24)|0;NVa(g);f[k>>2]=g;o=g}else o=d;d=f[c+180>>2]|0;g=d|0?d:531520;d=o+4|0;k=f[g+4>>2]|0;if(k&1|0){h=f[d>>2]|0;if(!(h&1))p=AHa(d)|0;else p=h&-2;O3b(p,k&-2)}k=f[g+8>>2]|0;if(k&3|0){if(k&1|0)f[o+16>>2]=f[g+16>>2];if(k&2|0)b[o+20>>0]=b[g+20>>0]|0;g=o+8|0;f[g>>2]=f[g>>2]|k}}if(e&64|0){k=a+8|0;f[k>>2]=f[k>>2]|64;k=a+184|0;g=f[k>>2]|0;if(!g){h=Bmc(28)|0;OVa(h);f[k>>2]=h;q=h}else q=g;g=f[c+184>>2]|0;PVa(q,g|0?g:531800)}if(e&128|0){g=a+8|0;f[g>>2]=f[g>>2]|128;g=a+188|0;h=f[g>>2]|0;if(!h){k=Bmc(20)|0;FUa(k);f[g>>2]=k;r=k}else r=h;h=f[c+188>>2]|0;k=h|0?h:531832;h=r+4|0;g=f[k+4>>2]|0;if(g&1|0){d=f[h>>2]|0;if(!(d&1))s=AHa(h)|0;else s=d&-2;O3b(s,g&-2)}if(f[k+8>>2]&1|0?(g=r+8|0,f[g>>2]=f[g>>2]|1,g=r+16|0,d=f[k+16>>2]|0,k=f[g>>2]|0,(k|0)!=(d|0)):0)if((k|0)==535416){aFa(g,d);break}else{Qmc(k,d)|0;break}}}while(0);if(e&65280|0){if(e&256|0){r=a+8|0;f[r>>2]=f[r>>2]|256;r=a+192|0;s=f[r>>2]|0;if(!s){q=Bmc(60)|0;QVa(q);f[r>>2]=q;t=q}else t=s;s=f[c+192>>2]|0;RVa(t,s|0?s:531880)}do if(e&512|0){s=a+8|0;f[s>>2]=f[s>>2]|512;s=a+196|0;t=f[s>>2]|0;if(!t){q=Bmc(20)|0;SVa(q);f[s>>2]=q;u=q}else u=t;t=f[c+196>>2]|0;q=t|0?t:531944;t=u+4|0;s=f[q+4>>2]|0;if(s&1|0){r=f[t>>2]|0;if(!(r&1))v=AHa(t)|0;else v=r&-2;O3b(v,s&-2)}if(f[q+8>>2]&1|0?(s=u+8|0,f[s>>2]=f[s>>2]|1,s=u+16|0,r=f[q+16>>2]|0,q=f[s>>2]|0,(q|0)!=(r|0)):0)if((q|0)==535416){aFa(s,r);break}else{Qmc(q,r)|0;break}}while(0);if(e&1024|0){u=a+8|0;f[u>>2]=f[u>>2]|1024;u=a+200|0;v=f[u>>2]|0;if(!v){r=Bmc(36)|0;TVa(r);f[u>>2]=r;w=r}else w=v;v=f[c+200>>2]|0;UVa(w,v|0?v:531968)}if(e&2048|0){v=a+8|0;f[v>>2]=f[v>>2]|2048;v=a+204|0;w=f[v>>2]|0;if(!w){r=Bmc(40)|0;VVa(r);f[v>>2]=r;x=r}else x=w;w=f[c+204>>2]|0;WVa(x,w|0?w:532072)}if(e&4096|0){w=a+8|0;f[w>>2]=f[w>>2]|4096;w=a+208|0;x=f[w>>2]|0;if(!x){r=Bmc(68)|0;XVa(r);f[w>>2]=r;y=r}else y=x;x=f[c+208>>2]|0;YVa(y,x|0?x:532192)}if(e&8192|0){x=a+8|0;f[x>>2]=f[x>>2]|8192;x=a+212|0;y=f[x>>2]|0;if(!y){r=Bmc(64)|0;ZVa(r);f[x>>2]=r;z=r}else z=y;y=f[c+212>>2]|0;_Va(z,y|0?y:532648)}if(e&16384|0){y=a+8|0;f[y>>2]=f[y>>2]|16384;y=a+216|0;z=f[y>>2]|0;if(!z){r=Bmc(28)|0;$Va(r);f[y>>2]=r;A=r}else A=z;z=f[c+216>>2]|0;r=z|0?z:532264;z=A+4|0;y=f[r+4>>2]|0;if(y&1|0){x=f[z>>2]|0;if(!(x&1))B=AHa(z)|0;else B=x&-2;O3b(B,y&-2)}y=f[r+8>>2]|0;if(y&7|0){if(y&1|0)f[A+16>>2]=f[r+16>>2];if(y&2|0)f[A+20>>2]=f[r+20>>2];if(y&4|0)f[A+24>>2]=f[r+24>>2];r=A+8|0;f[r>>2]=f[r>>2]|y}}if(e&32768|0){y=a+8|0;f[y>>2]=f[y>>2]|32768;y=a+220|0;r=f[y>>2]|0;if(!r){A=Bmc(32)|0;aWa(A);f[y>>2]=A;C=A}else C=r;r=f[c+220>>2]|0;A=r|0?r:532112;r=C+4|0;y=f[A+4>>2]|0;if(y&1|0){B=f[r>>2]|0;if(!(B&1))D=AHa(r)|0;else D=B&-2;O3b(D,y&-2)}y=f[A+8>>2]|0;if(y&15|0){if(y&1|0)f[C+16>>2]=f[A+16>>2];if(y&2|0)f[C+20>>2]=f[A+20>>2];if(y&4|0)f[C+24>>2]=f[A+24>>2];if(y&8|0)f[C+28>>2]=f[A+28>>2];A=C+8|0;f[A>>2]=f[A>>2]|y}}}if(e&16711680|0){if(e&65536|0){y=a+8|0;f[y>>2]=f[y>>2]|65536;y=a+224|0;A=f[y>>2]|0;if(!A){C=Bmc(28)|0;bWa(C);f[y>>2]=C;E=C}else E=A;A=f[c+224>>2]|0;C=A|0?A:531096;A=E+4|0;y=f[C+4>>2]|0;if(y&1|0){D=f[A>>2]|0;if(!(D&1))F=AHa(A)|0;else F=D&-2;O3b(F,y&-2)}y=f[C+8>>2]|0;if(y&7|0){if(y&1|0)b[E+16>>0]=b[C+16>>0]|0;if(y&2|0)f[E+20>>2]=f[C+20>>2];if(y&4|0)f[E+24>>2]=f[C+24>>2];C=E+8|0;f[C>>2]=f[C>>2]|y}}if(e&131072|0){y=a+8|0;f[y>>2]=f[y>>2]|131072;y=a+228|0;C=f[y>>2]|0;if(!C){E=Bmc(36)|0;cWa(E);f[y>>2]=E;G=E}else G=C;C=f[c+228>>2]|0;dWa(G,C|0?C:531640)}if(e&262144|0){C=a+8|0;f[C>>2]=f[C>>2]|262144;C=a+232|0;G=f[C>>2]|0;if(!G){E=Bmc(20)|0;eWa(E);f[C>>2]=E;H=E}else H=G;G=f[c+232>>2]|0;E=G|0?G:532624;G=H+4|0;C=f[E+4>>2]|0;if(C&1|0){y=f[G>>2]|0;if(!(y&1))I=AHa(G)|0;else I=y&-2;O3b(I,C&-2)}if(f[E+8>>2]&1|0){C=f[E+16>>2]|0;E=H+8|0;f[E>>2]=f[E>>2]|1;f[H+16>>2]=C}}if(e&524288|0){C=a+8|0;f[C>>2]=f[C>>2]|524288;C=a+236|0;H=f[C>>2]|0;if(!H){E=Bmc(96)|0;fWa(E);f[C>>2]=E;J=E}else J=H;H=f[c+236>>2]|0;gWa(J,H|0?H:531544)}if(e&1048576|0){H=a+8|0;f[H>>2]=f[H>>2]|1048576;H=a+240|0;J=f[H>>2]|0;if(!J){E=Bmc(28)|0;hWa(E);f[H>>2]=E;K=E}else K=J;J=f[c+240>>2]|0;E=J|0?J:531064;J=K+4|0;H=f[E+4>>2]|0;if(H&1|0){C=f[J>>2]|0;if(!(C&1))L=AHa(J)|0;else L=C&-2;O3b(L,H&-2)}H=f[E+8>>2]|0;if(H&7|0){if(H&1|0)f[K+16>>2]=f[E+16>>2];if(H&2|0)f[K+20>>2]=f[E+20>>2];if(H&4|0)f[K+24>>2]=f[E+24>>2];E=K+8|0;f[E>>2]=f[E>>2]|H}}if(e&2097152|0){H=a+8|0;f[H>>2]=f[H>>2]|2097152;H=a+244|0;E=f[H>>2]|0;if(!E){K=Bmc(20)|0;iWa(K);f[H>>2]=K;M=K}else M=E;E=f[c+244>>2]|0;K=E|0?E:531856;E=M+4|0;H=f[K+4>>2]|0;if(H&1|0){L=f[E>>2]|0;if(!(L&1))N=AHa(E)|0;else N=L&-2;O3b(N,H&-2)}if(f[K+8>>2]&1|0){H=f[K+16>>2]|0;K=M+8|0;f[K>>2]=f[K>>2]|1;f[M+16>>2]=H}}if(e&4194304|0){H=a+8|0;f[H>>2]=f[H>>2]|4194304;H=a+248|0;M=f[H>>2]|0;if(!M){K=Bmc(24)|0;jWa(K);f[H>>2]=K;O=K}else O=M;M=f[c+248>>2]|0;K=M|0?M:532392;M=O+4|0;H=f[K+4>>2]|0;if(H&1|0){N=f[M>>2]|0;if(!(N&1))P=AHa(M)|0;else P=N&-2;O3b(P,H&-2)}H=f[K+8>>2]|0;if(H&3|0){if(H&1|0)f[O+16>>2]=f[K+16>>2];if(H&2|0)f[O+20>>2]=f[K+20>>2];K=O+8|0;f[K>>2]=f[K>>2]|H}}if(e&8388608|0){H=a+8|0;f[H>>2]=f[H>>2]|8388608;H=a+252|0;K=f[H>>2]|0;if(!K){O=Bmc(36)|0;kWa(O);f[H>>2]=O;Q=O}else Q=K;K=f[c+252>>2]|0;lWa(Q,K|0?K:532512)}}do if(e>>>0>16777215){if(e&16777216|0){K=a+8|0;f[K>>2]=f[K>>2]|16777216;K=a+256|0;Q=f[K>>2]|0;if(!Q){O=Bmc(24)|0;mWa(O);f[K>>2]=O;R=O}else R=Q;Q=f[c+256>>2]|0;O=Q|0?Q:532144;Q=R+4|0;K=f[O+4>>2]|0;if(K&1|0){H=f[Q>>2]|0;if(!(H&1))S=AHa(Q)|0;else S=H&-2;O3b(S,K&-2)}K=f[O+8>>2]|0;if(K&7|0){if(K&1|0)b[R+16>>0]=b[O+16>>0]|0;if(K&2|0)b[R+17>>0]=b[O+17>>0]|0;if(K&4|0)f[R+20>>2]=f[O+20>>2];O=R+8|0;f[O>>2]=f[O>>2]|K}}if(e&33554432|0){K=a+8|0;f[K>>2]=f[K>>2]|33554432;K=a+260|0;O=f[K>>2]|0;if(!O){H=Bmc(44)|0;nWa(H);f[K>>2]=H;T=H}else T=O;O=f[c+260>>2]|0;oWa(T,O|0?O:530984)}if(e&67108864|0){O=a+8|0;f[O>>2]=f[O>>2]|67108864;O=a+264|0;H=f[O>>2]|0;if(!H){K=Bmc(20)|0;pWa(K);f[O>>2]=K;U=K}else U=H;H=f[c+264>>2]|0;K=H|0?H:532576;H=U+4|0;O=f[K+4>>2]|0;if(O&1|0){Q=f[H>>2]|0;if(!(Q&1))V=AHa(H)|0;else V=Q&-2;O3b(V,O&-2)}if(f[K+8>>2]&1|0){O=f[K+16>>2]|0;K=U+8|0;f[K>>2]=f[K>>2]|1;f[U+16>>2]=O}}if(e&134217728|0){O=a+8|0;f[O>>2]=f[O>>2]|134217728;O=a+268|0;K=f[O>>2]|0;if(!K){Q=Bmc(20)|0;qWa(Q);f[O>>2]=Q;W=Q}else W=K;K=f[c+268>>2]|0;Q=K|0?K:532488;K=W+4|0;O=f[Q+4>>2]|0;if(O&1|0){H=f[K>>2]|0;if(!(H&1))X=AHa(K)|0;else X=H&-2;O3b(X,O&-2)}if(f[Q+8>>2]&1|0){O=f[Q+16>>2]|0;Q=W+8|0;f[Q>>2]=f[Q>>2]|1;f[W+16>>2]=O}}if(e&268435456|0){O=a+8|0;f[O>>2]=f[O>>2]|268435456;O=a+272|0;Q=f[O>>2]|0;if(!Q){H=Bmc(24)|0;rWa(H);f[O>>2]=H;Y=H}else Y=Q;Q=f[c+272>>2]|0;H=Q|0?Q:532552;Q=Y+4|0;O=f[H+4>>2]|0;if(O&1|0){K=f[Q>>2]|0;if(!(K&1))Z=AHa(Q)|0;else Z=K&-2;O3b(Z,O&-2)}O=f[H+8>>2]|0;if(O&3|0){if(O&1|0)f[Y+16>>2]=f[H+16>>2];if(O&2|0)f[Y+20>>2]=f[H+20>>2];H=Y+8|0;f[H>>2]=f[H>>2]|O}}if(e&536870912|0){O=a+8|0;f[O>>2]=f[O>>2]|536870912;O=a+276|0;H=f[O>>2]|0;if(!H){K=Bmc(24)|0;sWa(K);f[O>>2]=K;_=K}else _=H;H=f[c+276>>2]|0;K=H|0?H:531216;H=_+4|0;O=f[K+4>>2]|0;if(O&1|0){Q=f[H>>2]|0;if(!(Q&1))$=AHa(H)|0;else $=Q&-2;O3b($,O&-2)}O=f[K+8>>2]|0;if(O&3|0){if(O&1|0)b[_+16>>0]=b[K+16>>0]|0;if(O&2|0)f[_+20>>2]=f[K+20>>2];K=_+8|0;f[K>>2]=f[K>>2]|O}}do if(e&1073741824|0){O=a+8|0;f[O>>2]=f[O>>2]|1073741824;O=a+280|0;K=f[O>>2]|0;if(!K){Q=Bmc(28)|0;tWa(Q);f[O>>2]=Q;aa=Q}else aa=K;K=f[c+280>>2]|0;Q=K|0?K:531744;K=aa+4|0;O=f[Q+4>>2]|0;if(O&1|0){H=f[K>>2]|0;if(!(H&1))ba=AHa(K)|0;else ba=H&-2;O3b(ba,O&-2)}O=f[Q+8>>2]|0;if(!(O&7))break;if(O&1|0)f[aa+16>>2]=f[Q+16>>2];if(O&2|0)f[aa+20>>2]=f[Q+20>>2];if(O&4|0)f[aa+24>>2]=f[Q+24>>2];Q=aa+8|0;f[Q>>2]=f[Q>>2]|O}while(0);if((e|0)<0){O=a+8|0;f[O>>2]=f[O>>2]|-2147483648;O=a+284|0;Q=f[O>>2]|0;if(!Q){H=Bmc(28)|0;uWa(H);f[O>>2]=H;ca=H}else ca=Q;Q=f[c+284>>2]|0;H=Q|0?Q:531032;Q=ca+4|0;O=f[H+4>>2]|0;if(O&1|0){K=f[Q>>2]|0;if(!(K&1))da=AHa(Q)|0;else da=K&-2;O3b(da,O&-2)}O=f[H+8>>2]|0;if(!(O&7))break;if(O&1|0)f[ca+16>>2]=f[H+16>>2];if(O&2|0)b[ca+20>>0]=b[H+20>>0]|0;if(O&4|0)f[ca+24>>2]=f[H+24>>2];H=ca+8|0;f[H>>2]=f[H>>2]|O}}while(0);if(!(f[c+12>>2]&1))return;ca=f[c+288>>2]|0;c=a+12|0;f[c>>2]=f[c>>2]|1;f[a+288>>2]=ca;return}function HVa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{k3a(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(60)|0;j3a(l);k3a(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,19912,64);l=oBb(i,64,1638)|0;j3a(l);k3a(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function IVa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=126028;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=531128?(f[222756]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=56;b[d+8>>0]=0;dEb(891024,d);zDb(d)}f[a+12>>2]=0;f[a+16>>2]=1;f[a+20>>2]=1;u=c;return}function JVa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;f[a>>2]=125920;f[a+4>>2]=0;f[a+8>>2]=0;e=(a|0)==531240;g=a+16|0;h=g+48|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));if(!e?(f[222760]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=60;b[d+8>>0]=0;dEb(891040,d);zDb(d)}f[a+12>>2]=0;d=a+64|0;g=d;h=g+40|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));b[d+40>>0]=0;f[a+108>>2]=1;b[a+112>>0]=1;f[a+116>>2]=1;u=c;return}function KVa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}e=a+16|0;h=c+16|0;g=f[h>>2]|0;if(g|0){iFa(e,(f[e>>2]|0)+g|0);Krc((f[a+24>>2]|0)+4+(f[e>>2]<<2)|0,(f[c+24>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}h=a+28|0;e=c+28|0;g=f[e>>2]|0;if(g|0){iFa(h,(f[h>>2]|0)+g|0);Krc((f[a+36>>2]|0)+4+(f[h>>2]<<2)|0,(f[c+36>>2]|0)+4|0,f[e>>2]<<2|0)|0;f[h>>2]=(f[h>>2]|0)+(f[e>>2]|0)}e=a+40|0;h=c+40|0;g=f[h>>2]|0;if(g|0){iFa(e,(f[e>>2]|0)+g|0);Krc((f[a+48>>2]|0)+4+(f[e>>2]<<2)|0,(f[c+48>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}h=a+52|0;e=c+52|0;g=f[e>>2]|0;if(g|0){iFa(h,(f[h>>2]|0)+g|0);Krc((f[a+60>>2]|0)+4+(f[h>>2]<<2)|0,(f[c+60>>2]|0)+4|0,f[e>>2]<<2|0)|0;f[h>>2]=(f[h>>2]|0)+(f[e>>2]|0)}e=f[c+8>>2]|0;if(e&255|0){if(e&1|0){h=a+8|0;f[h>>2]=f[h>>2]|1;h=a+64|0;g=f[h>>2]|0;if(!g){d=Bmc(48)|0;XTa(d);f[h>>2]=d;i=d}else i=g;g=f[c+64>>2]|0;YTa(i,g|0?g:530048)}if(e&2|0){g=a+8|0;f[g>>2]=f[g>>2]|2;g=a+68|0;i=f[g>>2]|0;if(!i){d=Bmc(48)|0;XTa(d);f[g>>2]=d;j=d}else j=i;i=f[c+68>>2]|0;YTa(j,i|0?i:530048)}if(e&4|0)f[a+72>>2]=f[c+72>>2];if(e&8|0)f[a+76>>2]=f[c+76>>2];if(e&16|0)f[a+80>>2]=f[c+80>>2];if(e&32|0)f[a+84>>2]=f[c+84>>2];if(e&64|0)f[a+88>>2]=f[c+88>>2];if(e&128|0)f[a+92>>2]=f[c+92>>2];i=a+8|0;f[i>>2]=f[i>>2]|e}if(!(e&16128))return;if(e&256|0)f[a+96>>2]=f[c+96>>2];if(e&512|0)f[a+100>>2]=f[c+100>>2];if(e&1024|0)b[a+104>>0]=b[c+104>>0]|0;if(e&2048|0)f[a+108>>2]=f[c+108>>2];if(e&4096|0)b[a+112>>0]=b[c+112>>0]|0;if(e&8192|0)f[a+116>>2]=f[c+116>>2];c=a+8|0;f[c>>2]=f[c>>2]|e;return}function LVa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=125812;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=531392?(f[222762]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=62;b[d+8>>0]=0;dEb(891048,d);zDb(d)}f[a+12>>2]=0;f[a+16>>2]=535416;f[a+20>>2]=535416;d=a+24|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;n[a+44>>2]=1.0;f[a+48>>2]=4;u=c;return}function MVa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}e=f[c+8>>2]|0;if(e&255|0){do if(e&1|0?(h=a+8|0,f[h>>2]=f[h>>2]|1,h=a+16|0,g=f[c+16>>2]|0,d=f[h>>2]|0,(d|0)!=(g|0)):0)if((d|0)==535416){aFa(h,g);break}else{Qmc(d,g)|0;break}while(0);do if(e&2|0?(g=a+8|0,f[g>>2]=f[g>>2]|2,g=a+20|0,d=f[c+20>>2]|0,h=f[g>>2]|0,(h|0)!=(d|0)):0)if((h|0)==535416){aFa(g,d);break}else{Qmc(h,d)|0;break}while(0);if(e&4|0)f[a+24>>2]=f[c+24>>2];if(e&8|0)f[a+28>>2]=f[c+28>>2];if(e&16|0)f[a+32>>2]=f[c+32>>2];if(e&32|0)b[a+36>>0]=b[c+36>>0]|0;if(e&64|0)b[a+37>>0]=b[c+37>>0]|0;if(e&128|0)f[a+40>>2]=f[c+40>>2];d=a+8|0;f[d>>2]=f[d>>2]|e}if(!(e&768))return;if(e&256|0)f[a+44>>2]=f[c+44>>2];if(e&512|0)f[a+48>>2]=f[c+48>>2];c=a+8|0;f[c>>2]=f[c>>2]|e;return}function NVa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=125704;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=531520?(f[222765]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=65;b[d+8>>0]=0;dEb(891060,d);zDb(d)}f[a+12>>2]=0;n[a+16>>2]=.5;b[a+20>>0]=1;u=c;return}function OVa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=125596;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=531800?(f[222772]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=72;b[d+8>>0]=0;dEb(891088,d);zDb(d)}f[a+12>>2]=0;f[a+16>>2]=535416;d=a+20|0;f[d>>2]=0;b[d+4>>0]=0;u=c;return}function PVa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}e=f[c+8>>2]|0;if(!(e&7))return;do if(e&1|0?(h=a+8|0,f[h>>2]=f[h>>2]|1,h=a+16|0,g=f[c+16>>2]|0,d=f[h>>2]|0,(d|0)!=(g|0)):0)if((d|0)==535416){aFa(h,g);break}else{Qmc(d,g)|0;break}while(0);if(e&2|0)f[a+20>>2]=f[c+20>>2];if(e&4|0)b[a+24>>0]=b[c+24>>0]|0;c=a+8|0;f[c>>2]=f[c>>2]|e;return}function QVa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=125488;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=531880?(f[222775]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=75;b[d+8>>0]=0;dEb(891100,d);zDb(d)}f[a+12>>2]=0;f[a+16>>2]=535416;f[a+20>>2]=535416;f[a+24>>2]=535416;d=a+28|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;b[a+48>>0]=1;n[a+52>>2]=1.0;f[a+56>>2]=1;u=c;return}function RVa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}e=f[c+8>>2]|0;if(e&255|0){do if(e&1|0?(h=a+8|0,f[h>>2]=f[h>>2]|1,h=a+16|0,g=f[c+16>>2]|0,d=f[h>>2]|0,(d|0)!=(g|0)):0)if((d|0)==535416){aFa(h,g);break}else{Qmc(d,g)|0;break}while(0);do if(e&2|0?(g=a+8|0,f[g>>2]=f[g>>2]|2,g=a+20|0,d=f[c+20>>2]|0,h=f[g>>2]|0,(h|0)!=(d|0)):0)if((h|0)==535416){aFa(g,d);break}else{Qmc(h,d)|0;break}while(0);do if(e&4|0?(d=a+8|0,f[d>>2]=f[d>>2]|4,d=a+24|0,h=f[c+24>>2]|0,g=f[d>>2]|0,(g|0)!=(h|0)):0)if((g|0)==535416){aFa(d,h);break}else{Qmc(g,h)|0;break}while(0);if(e&8|0)f[a+28>>2]=f[c+28>>2];if(e&16|0)f[a+32>>2]=f[c+32>>2];if(e&32|0)b[a+36>>0]=b[c+36>>0]|0;if(e&64|0)b[a+37>>0]=b[c+37>>0]|0;if(e&128|0)f[a+40>>2]=f[c+40>>2];h=a+8|0;f[h>>2]=f[h>>2]|e}if(!(e&3840))return;if(e&256|0)f[a+44>>2]=f[c+44>>2];if(e&512|0)b[a+48>>0]=b[c+48>>0]|0;if(e&1024|0)f[a+52>>2]=f[c+52>>2];if(e&2048|0)f[a+56>>2]=f[c+56>>2];c=a+8|0;f[c>>2]=f[c>>2]|e;return}function SVa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=125380;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=531944?(f[222776]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=76;b[d+8>>0]=0;dEb(891104,d);zDb(d)}f[a+12>>2]=0;f[a+16>>2]=535416;u=c;return}function TVa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=125272;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=531968?(f[222777]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=77;b[d+8>>0]=0;dEb(891108,d);zDb(d)}d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;b[d+16>>0]=0;b[a+29>>0]=1;f[a+32>>2]=1;u=c;return}function UVa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}e=f[c+8>>2]|0;if(!(e&63))return;if(e&1|0){h=a+8|0;f[h>>2]=f[h>>2]|1;h=a+16|0;g=f[h>>2]|0;if(!g){d=Bmc(48)|0;XTa(d);f[h>>2]=d;i=d}else i=g;g=f[c+16>>2]|0;YTa(i,g|0?g:530048)}if(e&2|0){g=a+8|0;f[g>>2]=f[g>>2]|2;g=a+20|0;i=f[g>>2]|0;if(!i){d=Bmc(48)|0;XTa(d);f[g>>2]=d;j=d}else j=i;i=f[c+20>>2]|0;YTa(j,i|0?i:530048)}if(e&4|0)f[a+24>>2]=f[c+24>>2];if(e&8|0)b[a+28>>0]=b[c+28>>0]|0;if(e&16|0)b[a+29>>0]=b[c+29>>0]|0;if(e&32|0)f[a+32>>2]=f[c+32>>2];c=a+8|0;f[c>>2]=f[c>>2]|e;return}function VVa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=125164;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=532072?(f[222780]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=80;b[d+8>>0]=0;dEb(891120,d);zDb(d)}f[a+12>>2]=0;d=a+16|0;f[d>>2]=0;f[d+4>>2]=0;f[a+24>>2]=5;n[a+28>>2]=1.0;n[a+32>>2]=.75;n[a+36>>2]=1.0;u=c;return}function WVa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}d=f[b+8>>2]|0;if(!(d&63))return;if(d&1|0)f[a+16>>2]=f[b+16>>2];if(d&2|0)f[a+20>>2]=f[b+20>>2];if(d&4|0)f[a+24>>2]=f[b+24>>2];if(d&8|0)f[a+28>>2]=f[b+28>>2];if(d&16|0)f[a+32>>2]=f[b+32>>2];if(d&32|0)f[a+36>>2]=f[b+36>>2];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function XVa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;f[a>>2]=125056;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=532192?(f[222784]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=84;b[d+8>>0]=0;dEb(891136,d);zDb(d)}d=a+12|0;e=a+60|0;g=d;h=g+44|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));b[d+44>>0]=0;f[e>>2]=1;b[a+64>>0]=1;u=c;return}function YVa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}e=f[c+8>>2]|0;if(e&255|0){if(e&1|0)f[a+16>>2]=f[c+16>>2];if(e&2|0)f[a+20>>2]=f[c+20>>2];if(e&4|0)f[a+24>>2]=f[c+24>>2];if(e&8|0)f[a+28>>2]=f[c+28>>2];if(e&16|0)f[a+32>>2]=f[c+32>>2];if(e&32|0)f[a+36>>2]=f[c+36>>2];if(e&64|0)f[a+40>>2]=f[c+40>>2];if(e&128|0)f[a+44>>2]=f[c+44>>2];h=a+8|0;f[h>>2]=f[h>>2]|e}if(!(e&7936))return;if(e&256|0)f[a+48>>2]=f[c+48>>2];if(e&512|0)f[a+52>>2]=f[c+52>>2];if(e&1024|0)b[a+56>>0]=b[c+56>>0]|0;if(e&2048|0)f[a+60>>2]=f[c+60>>2];if(e&4096|0)b[a+64>>0]=b[c+64>>0]|0;c=a+8|0;f[c>>2]=f[c>>2]|e;return}function ZVa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=124948;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=532648?(f[222798]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=98;b[d+8>>0]=0;dEb(891192,d);zDb(d)}f[a+12>>2]=0;f[a+16>>2]=535416;f[a+20>>2]=535416;f[a+24>>2]=533488;f[a+28>>2]=535416;d=a+32|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;n[a+48>>2]=1.0;n[a+52>>2]=.5;n[a+56>>2]=.5;n[a+60>>2]=.25;u=c;return}function _Va(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}e=f[c+8>>2]|0;if(e&255|0){do if(e&1|0?(h=a+8|0,f[h>>2]=f[h>>2]|1,h=a+16|0,g=f[c+16>>2]|0,d=f[h>>2]|0,(d|0)!=(g|0)):0)if((d|0)==535416){aFa(h,g);break}else{Qmc(d,g)|0;break}while(0);do if(e&2|0?(g=a+8|0,f[g>>2]=f[g>>2]|2,g=a+20|0,d=f[c+20>>2]|0,h=f[g>>2]|0,(h|0)!=(d|0)):0)if((h|0)==535416){aFa(g,d);break}else{Qmc(h,d)|0;break}while(0);do if(e&4|0?(d=a+8|0,f[d>>2]=f[d>>2]|4,d=a+24|0,h=f[c+24>>2]|0,g=f[d>>2]|0,(g|0)!=(h|0)):0)if((g|0)==533488){aFa(d,h);break}else{Qmc(g,h)|0;break}while(0);do if(e&8|0?(h=a+8|0,f[h>>2]=f[h>>2]|8,h=a+28|0,g=f[c+28>>2]|0,d=f[h>>2]|0,(d|0)!=(g|0)):0)if((d|0)==535416){aFa(h,g);break}else{Qmc(d,g)|0;break}while(0);if(e&16|0)f[a+32>>2]=f[c+32>>2];if(e&32|0)f[a+36>>2]=f[c+36>>2];if(e&64|0)b[a+40>>0]=b[c+40>>0]|0;if(e&128|0)b[a+41>>0]=b[c+41>>0]|0;g=a+8|0;f[g>>2]=f[g>>2]|e}if(!(e&7936))return;if(e&256|0)f[a+44>>2]=f[c+44>>2];if(e&512|0)f[a+48>>2]=f[c+48>>2];if(e&1024|0)f[a+52>>2]=f[c+52>>2];if(e&2048|0)f[a+56>>2]=f[c+56>>2];if(e&4096|0)f[a+60>>2]=f[c+60>>2];c=a+8|0;f[c>>2]=f[c>>2]|e;return}function $Va(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=124840;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=532264?(f[222785]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=85;b[d+8>>0]=0;dEb(891140,d);zDb(d)}f[a+12>>2]=0;n[a+16>>2]=0.0;n[a+20>>2]=1.0;n[a+24>>2]=1.0;u=c;return}function aWa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=124732;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=532112?(f[222781]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=81;b[d+8>>0]=0;dEb(891124,d);zDb(d)}d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;u=c;return}function bWa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=124624;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=531096?(f[222755]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=55;b[d+8>>0]=0;dEb(891020,d);zDb(d)}f[a+12>>2]=0;d=a+16|0;f[d>>2]=0;f[d+4>>2]=0;f[a+24>>2]=1;u=c;return}function cWa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=124516;f[a+4>>2]=0;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;if((a|0)!=531640?(f[222767]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=67;b[d+8>>0]=0;dEb(891068,d);zDb(d)}f[a+12>>2]=0;f[a+28>>2]=1;b[a+32>>0]=1;u=c;return}function dWa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}e=a+16|0;h=c+16|0;g=f[h>>2]|0;if(g|0){aEa(e,(f[e>>2]|0)+g|0);Krc((f[a+24>>2]|0)+4+(f[e>>2]<<2)|0,(f[c+24>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}h=f[c+8>>2]|0;if(!(h&3))return;if(h&1|0)f[a+28>>2]=f[c+28>>2];if(h&2|0)b[a+32>>0]=b[c+32>>0]|0;c=a+8|0;f[c>>2]=f[c>>2]|h;return}function eWa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=124408;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=532624?(f[222797]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=97;b[d+8>>0]=0;dEb(891188,d);zDb(d)}f[a+12>>2]=0;n[a+16>>2]=0.0;u=c;return}function fWa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;f[a>>2]=124300;f[a+4>>2]=0;f[a+8>>2]=0;e=(a|0)==531544;g=a+16|0;h=g+80|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));if(!e?(f[222766]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=66;b[d+8>>0]=0;dEb(891064,d);zDb(d)}f[a+12>>2]=0;u=c;return}function gWa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}_Za(a+16|0,b+16|0);d=a+32|0;g=b+32|0;e=f[g>>2]|0;if(e|0){iFa(d,(f[d>>2]|0)+e|0);Krc((f[a+40>>2]|0)+4+(f[d>>2]<<2)|0,(f[b+40>>2]|0)+4|0,f[g>>2]<<2|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}g=a+44|0;d=b+44|0;e=f[d>>2]|0;if(e|0){iFa(g,(f[g>>2]|0)+e|0);Krc((f[a+52>>2]|0)+4+(f[g>>2]<<2)|0,(f[b+52>>2]|0)+4|0,f[d>>2]<<2|0)|0;f[g>>2]=(f[g>>2]|0)+(f[d>>2]|0)}d=a+56|0;g=b+56|0;e=f[g>>2]|0;if(e|0){iFa(d,(f[d>>2]|0)+e|0);Krc((f[a+64>>2]|0)+4+(f[d>>2]<<2)|0,(f[b+64>>2]|0)+4|0,f[g>>2]<<2|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}g=a+68|0;d=b+68|0;e=f[d>>2]|0;if(!e){h=a+80|0;i=b+80|0;$Za(h,i);return}iFa(g,(f[g>>2]|0)+e|0);Krc((f[a+76>>2]|0)+4+(f[g>>2]<<2)|0,(f[b+76>>2]|0)+4|0,f[d>>2]<<2|0)|0;f[g>>2]=(f[g>>2]|0)+(f[d>>2]|0);h=a+80|0;i=b+80|0;$Za(h,i);return}function hWa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=124192;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=531064?(f[222754]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=54;b[d+8>>0]=0;dEb(891016,d);zDb(d)}f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=1;f[a+24>>2]=1;u=c;return}function iWa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=124084;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=531856?(f[222774]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=74;b[d+8>>0]=0;dEb(891096,d);zDb(d)}f[a+12>>2]=0;f[a+16>>2]=1;u=c;return}function jWa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=123976;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=532392?(f[222789]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=89;b[d+8>>0]=0;dEb(891156,d);zDb(d)}f[a+12>>2]=0;d=a+16|0;f[d>>2]=0;f[d+4>>2]=0;u=c;return}function kWa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=123868;f[a+4>>2]=0;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;if((a|0)!=532512?(f[222793]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=93;b[d+8>>0]=0;dEb(891172,d);zDb(d)}f[a+12>>2]=0;f[a+28>>2]=1;f[a+32>>2]=1;u=c;return}function lWa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}d=a+16|0;g=b+16|0;e=f[g>>2]|0;if(e|0){iFa(d,(f[d>>2]|0)+e|0);Krc((f[a+24>>2]|0)+4+(f[d>>2]<<2)|0,(f[b+24>>2]|0)+4|0,f[g>>2]<<2|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}g=f[b+8>>2]|0;if(!(g&3))return;if(g&1|0)f[a+28>>2]=f[b+28>>2];if(g&2|0)f[a+32>>2]=f[b+32>>2];b=a+8|0;f[b>>2]=f[b>>2]|g;return}function mWa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=123760;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=532144?(f[222782]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=82;b[d+8>>0]=0;dEb(891128,d);zDb(d)}f[a+12>>2]=0;b[a+16>>0]=0;b[a+17>>0]=1;n[a+20>>2]=9.999999717180685e-10;u=c;return}function nWa(a){a=a|0;var c=0,e=0;c=u;u=u+16|0;e=c;f[a>>2]=123652;f[a+4>>2]=0;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;if((a|0)!=530984?(f[222752]|0)!=2:0){f[e>>2]=149752;f[e+4>>2]=52;b[e+8>>0]=0;dEb(891008,e);zDb(e)}f[a+12>>2]=0;f[a+28>>2]=535416;e=a+32|0;f[e>>2]=0;d[e+4>>1]=0;b[e+6>>0]=0;n[a+40>>2]=1.0;u=c;return}function oWa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}e=a+16|0;h=c+16|0;g=f[h>>2]|0;if(g|0){aEa(e,(f[e>>2]|0)+g|0);Krc((f[a+24>>2]|0)+4+(f[e>>2]<<2)|0,(f[c+24>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}h=f[c+8>>2]|0;if(!(h&63))return;do if(h&1|0?(e=a+8|0,f[e>>2]=f[e>>2]|1,e=a+28|0,g=f[c+28>>2]|0,d=f[e>>2]|0,(d|0)!=(g|0)):0)if((d|0)==535416){aFa(e,g);break}else{Qmc(d,g)|0;break}while(0);if(h&2|0)f[a+32>>2]=f[c+32>>2];if(h&4|0)b[a+36>>0]=b[c+36>>0]|0;if(h&8|0)b[a+37>>0]=b[c+37>>0]|0;if(h&16|0)b[a+38>>0]=b[c+38>>0]|0;if(h&32|0)f[a+40>>2]=f[c+40>>2];c=a+8|0;f[c>>2]=f[c>>2]|h;return}function pWa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=123544;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=532576?(f[222795]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=95;b[d+8>>0]=0;dEb(891180,d);zDb(d)}f[a+12>>2]=0;f[a+16>>2]=0;u=c;return}function qWa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=123436;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=532488?(f[222792]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=92;b[d+8>>0]=0;dEb(891168,d);zDb(d)}f[a+12>>2]=0;f[a+16>>2]=0;u=c;return}function rWa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=123328;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=532552?(f[222794]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=94;b[d+8>>0]=0;dEb(891176,d);zDb(d)}f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=1;u=c;return}function sWa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=123220;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=531216?(f[222759]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=59;b[d+8>>0]=0;dEb(891036,d);zDb(d)}f[a+12>>2]=0;b[a+16>>0]=0;n[a+20>>2]=1.0;u=c;return}function tWa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=123112;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=531744?(f[222770]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=70;b[d+8>>0]=0;dEb(891080,d);zDb(d)}f[a+12>>2]=0;n[a+16>>2]=0.0;n[a+20>>2]=-1.0;n[a+24>>2]=1.0;u=c;return}function uWa(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=123004;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=531032?(f[222753]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=53;b[d+8>>0]=0;dEb(891012,d);zDb(d)}d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;b[d+8>>0]=0;f[a+24>>2]=1;u=c;return}function vWa(a){a=a|0;var b=0,c=0;f[a>>2]=123004;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function wWa(a){a=a|0;var b=0,c=0;f[a>>2]=123004;b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function xWa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function yWa(a,b){a=a|0;b=b|0;a=Bmc(28)|0;uWa(a);if(!b)return a|0;KWa(b,a);return a|0}function zWa(a){a=a|0;var c=0,d=0;c=a+8|0;if(f[c>>2]&7|0){d=a+16|0;f[d>>2]=0;b[d+4>>0]=0;f[a+24>>2]=1}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function AWa(a){a=a|0;return 1}function BWa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+16|0;j=a+20|0;k=e+8|0;l=a+4|0;m=a+24|0;a:while(1){b:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=7}else{r=o;q=6}}else{r=0;q=6}if((q|0)==6){q=0;o=xCb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=7}else s=o}c:do if((q|0)==7){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)!=8){s=p;break c}f[h>>2]=f[h>>2]|1;o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0){a=b[o>>0]|0;n=a&255;if(a<<24>>24>-1){f[c>>2]=o+1;t=n}else{v=n;q=12}}else{v=0;q=12}if((q|0)==12){q=0;n=iCb(c,v)|0;o=J;if((o|0)>-1|(o|0)==-1&n>>>0>4294967295)t=n;else{w=0;q=36;break a}}f[i>>2]=t;continue b;break}case 2:{if((p&255|0)!=16){s=p;break c}f[h>>2]=f[h>>2]|2;n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0?(o=b[n>>0]|0,o<<24>>24>-1):0){f[c>>2]=n+1;x=o<<24>>24!=0}else{jCb(e,c);o=e;if(!(b[k>>0]|0)){w=0;q=36;break a}else x=(f[o>>2]|0)!=0|(f[o+4>>2]|0)!=0}b[j>>0]=x&1;continue b;break}case 3:{if((p&255|0)==24)break b;else{s=p;break c}break}default:{s=p;break c}}}while(0);if(!s){w=1;q=36;break a}o=f[l>>2]|0;if(!(o&1))y=AHa(l)|0;else y=o&-2;if(!(b4b(c,s,y)|0)){w=0;q=36;break a}}o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0){n=b[o>>0]|0;a=n&255;if(n<<24>>24>-1){f[c>>2]=o+1;z=a}else{A=a;q=24}}else{A=0;q=24}if((q|0)==24){q=0;a=iCb(c,A)|0;o=J;if((o|0)>-1|(o|0)==-1&a>>>0>4294967295)z=a;else{w=0;q=36;break}}if(z>>>0<4){f[h>>2]=f[h>>2]|4;f[m>>2]=z;continue}a=f[l>>2]|0;if(!(a&1))B=AHa(l)|0;else B=a&-2;R3b(B,3,z,((z|0)<0)<<31>>31)}if((q|0)==36){u=d;return w|0}return 0}function CWa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+8>>2]|0;if(!(b&7)){d=c;e=a+12|0;f[e>>2]=d;return d|0}if(!(b&1))g=c;else{h=f[a+16>>2]|0;if((h|0)<0)i=11;else i=((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;g=i+c|0}c=b&2|0?g+2|0:g;if(!(b&4)){d=c;e=a+12|0;f[e>>2]=d;return d|0}b=f[a+24>>2]|0;if((b|0)<0)j=11;else j=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;d=j+c|0;e=a+12|0;f[e>>2]=d;return d|0}function DWa(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&1|0)mEb(1,f[a+16>>2]|0,c);if(d&2|0)yEb(2,(b[a+20>>0]|0)!=0,c);if(d&4|0)zEb(3,f[a+24>>2]|0,c);d=f[a+4>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function EWa(a){a=a|0;return f[a+12>>2]|0}function FWa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=8;h=d+1|0;d=g&255;if(g>>>0>127){i=h;j=d;k=g;l=((g|0)<0)<<31>>31;while(1){b[i>>0]=j|-128;g=k;k=Irc(k|0,l|0,7)|0;m=i+1|0;n=k&255;if(!(l>>>0>0|(l|0)==0&g>>>0>16383)){o=m;p=n;break}else{i=m;j=n;l=J}}}else{o=h;p=d}b[o>>0]=p;e=o+1|0}if(!(c&2))q=e;else{o=b[a+20>>0]|0;b[e>>0]=16;b[e+1>>0]=o;q=e+2|0}if(!(c&4))r=q;else{c=f[a+24>>2]|0;b[q>>0]=24;e=q+1|0;q=c&255;if(c>>>0>127){o=e;p=q;d=c;h=((c|0)<0)<<31>>31;while(1){b[o>>0]=p|-128;c=d;d=Irc(d|0,h|0,7)|0;l=o+1|0;j=d&255;if(!(h>>>0>0|(h|0)==0&c>>>0>16383)){s=l;t=j;break}else{o=l;p=j;h=J}}}else{s=e;t=q}b[s>>0]=t;r=s+1|0}s=f[a+4>>2]|0;if(!(s&1)){u=r;return u|0}u=f4b(s&-2,r)|0;return u|0}function GWa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function HWa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=Jnc(c,24640,19448,0)|0;if(!d){c2b(c,a);return}c=a+4|0;e=f[d+4>>2]|0;if(e&1|0){g=f[c>>2]|0;if(!(g&1))h=AHa(c)|0;else h=g&-2;O3b(h,e&-2)}e=f[d+8>>2]|0;if(!(e&7))return;if(e&1|0)f[a+16>>2]=f[d+16>>2];if(e&2|0)b[a+20>>0]=b[d+20>>0]|0;if(e&4|0)f[a+24>>2]=f[d+24>>2];d=a+8|0;f[d>>2]=f[d>>2]|e;return}function IWa(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function JWa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533656;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function KWa(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function LWa(a){a=a|0;var b=0,c=0;f[a>>2]=123112;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function MWa(a){a=a|0;var b=0,c=0;f[a>>2]=123112;b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function NWa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function OWa(a,b){a=a|0;b=b|0;a=Bmc(28)|0;tWa(a);if(!b)return a|0;_Wa(b,a);return a|0}function PWa(a){a=a|0;var b=0;b=a+8|0;if(f[b>>2]&7|0){n[a+16>>2]=0.0;n[a+20>>2]=-1.0;n[a+24>>2]=1.0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function QWa(a){a=a|0;return 1}function RWa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+20|0;k=a+24|0;l=a+16|0;m=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=xCb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)!=13){s=p;break b}f[i>>2]=f[i>>2]|2;o=f[c>>2]|0;if(((f[g>>2]|0)-o|0)>3){a=o;n=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=n;f[c>>2]=o+4;t=n}else{if(!(uCb(c,e)|0)){q=13;break a}t=f[e>>2]|0}f[j>>2]=t;continue a;break}case 2:{if((p&255|0)!=21){s=p;break b}f[i>>2]=f[i>>2]|4;n=f[c>>2]|0;if(((f[g>>2]|0)-n|0)>3){o=n;a=h[o>>0]|h[o+1>>0]<<8|h[o+2>>0]<<16|h[o+3>>0]<<24;f[e>>2]=a;f[c>>2]=n+4;v=a}else{if(!(uCb(c,e)|0)){q=20;break a}v=f[e>>2]|0}f[k>>2]=v;continue a;break}case 3:{if((p&255|0)!=29){s=p;break b}f[i>>2]=f[i>>2]|1;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){n=a;o=h[n>>0]|h[n+1>>0]<<8|h[n+2>>0]<<16|h[n+3>>0]<<24;f[e>>2]=o;f[c>>2]=a+4;w=o}else{if(!(uCb(c,e)|0)){q=27;break a}w=f[e>>2]|0}f[l>>2]=w;continue a;break}default:{s=p;break b}}}while(0);if(!s){x=1;q=33;break}o=f[m>>2]|0;if(!(o&1))y=AHa(m)|0;else y=o&-2;if(!(b4b(c,s,y)|0)){x=0;q=33;break}}if((q|0)==13){x=0;u=d;return x|0}else if((q|0)==20){x=0;u=d;return x|0}else if((q|0)==27){x=0;u=d;return x|0}else if((q|0)==33){u=d;return x|0}return 0}function SWa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+8>>2]|0;if(!(b&7)){d=c;e=a+12|0;f[e>>2]=d;return d|0}g=b&1|0?c+5|0:c;c=b&2|0?g+5|0:g;d=b&4|0?c+5|0:c;e=a+12|0;f[e>>2]=d;return d|0}function TWa(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&2|0)wEb(1,+n[a+20>>2],b);if(c&4|0)wEb(2,+n[a+24>>2],b);if(c&1|0)wEb(3,+n[a+16>>2],b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function UWa(a){a=a|0;return f[a+12>>2]|0}function VWa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;c=f[a+8>>2]|0;if(!(c&2))e=d;else{g=f[a+20>>2]|0;b[d>>0]=13;h=d+1|0;b[h>>0]=g;b[h+1>>0]=g>>8;b[h+2>>0]=g>>16;b[h+3>>0]=g>>24;e=d+5|0}if(!(c&4))i=e;else{d=f[a+24>>2]|0;b[e>>0]=21;g=e+1|0;b[g>>0]=d;b[g+1>>0]=d>>8;b[g+2>>0]=d>>16;b[g+3>>0]=d>>24;i=e+5|0}if(!(c&1))j=i;else{c=f[a+16>>2]|0;b[i>>0]=29;e=i+1|0;b[e>>0]=c;b[e+1>>0]=c>>8;b[e+2>>0]=c>>16;b[e+3>>0]=c>>24;j=i+5|0}i=f[a+4>>2]|0;if(!(i&1)){k=j;return k|0}k=f4b(i&-2,j)|0;return k|0}function WWa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function XWa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,19464,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}d=f[c+8>>2]|0;if(!(d&7))return;if(d&1|0)f[a+16>>2]=f[c+16>>2];if(d&2|0)f[a+20>>2]=f[c+20>>2];if(d&4|0)f[a+24>>2]=f[c+24>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function YWa(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function ZWa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533792;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function _Wa(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function $Wa(a){a=a|0;var b=0,c=0;f[a>>2]=123220;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function aXa(a){a=a|0;var b=0,c=0;f[a>>2]=123220;b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function bXa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function cXa(a,b){a=a|0;b=b|0;a=Bmc(24)|0;sWa(a);if(!b)return a|0;oXa(b,a);return a|0}function dXa(a){a=a|0;var c=0;c=a+8|0;if(f[c>>2]&3|0){b[a+16>>0]=0;n[a+20>>2]=1.0}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function eXa(a){a=a|0;return 1}function fXa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+20|0;k=a+16|0;l=e+8|0;m=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=xCb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)!=13){s=p;break b}f[i>>2]=f[i>>2]|2;o=f[c>>2]|0;if(((f[g>>2]|0)-o|0)>3){a=o;n=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=n;f[c>>2]=o+4;t=n}else{if(!(uCb(c,e)|0)){q=13;break a}t=f[e>>2]|0}f[j>>2]=t;continue a;break}case 2:{if((p&255|0)!=16){s=p;break b}f[i>>2]=f[i>>2]|1;n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0?(o=b[n>>0]|0,o<<24>>24>-1):0){f[c>>2]=n+1;v=o<<24>>24!=0}else{jCb(e,c);o=e;if(!(b[l>>0]|0)){w=0;q=25;break a}else v=(f[o>>2]|0)!=0|(f[o+4>>2]|0)!=0}b[k>>0]=v&1;continue a;break}default:{s=p;break b}}}while(0);if(!s){w=1;q=25;break}o=f[m>>2]|0;if(!(o&1))x=AHa(m)|0;else x=o&-2;if(!(b4b(c,s,x)|0)){w=0;q=25;break}}if((q|0)==13){w=0;u=d;return w|0}else if((q|0)==25){u=d;return w|0}return 0}function gXa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+8>>2]|0;if(!(b&3)){d=c;e=a+12|0;f[e>>2]=d;return d|0}g=b&1|0?c+2|0:c;d=b&2|0?g+5|0:g;e=a+12|0;f[e>>2]=d;return d|0}function hXa(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&2|0)wEb(1,+n[a+20>>2],c);if(d&1|0)yEb(2,(b[a+16>>0]|0)!=0,c);d=f[a+4>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function iXa(a){a=a|0;return f[a+12>>2]|0}function jXa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;c=f[a+8>>2]|0;if(!(c&2))e=d;else{g=f[a+20>>2]|0;b[d>>0]=13;h=d+1|0;b[h>>0]=g;b[h+1>>0]=g>>8;b[h+2>>0]=g>>16;b[h+3>>0]=g>>24;e=d+5|0}if(!(c&1))i=e;else{c=b[a+16>>0]|0;b[e>>0]=16;b[e+1>>0]=c;i=e+2|0}e=f[a+4>>2]|0;if(!(e&1)){j=i;return j|0}j=f4b(e&-2,i)|0;return j|0}function kXa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function lXa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=Jnc(c,24640,19480,0)|0;if(!d){c2b(c,a);return}c=a+4|0;e=f[d+4>>2]|0;if(e&1|0){g=f[c>>2]|0;if(!(g&1))h=AHa(c)|0;else h=g&-2;O3b(h,e&-2)}e=f[d+8>>2]|0;if(!(e&3))return;if(e&1|0)b[a+16>>0]=b[d+16>>0]|0;if(e&2|0)f[a+20>>2]=f[d+20>>2];d=a+8|0;f[d>>2]=f[d>>2]|e;return}function mXa(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function nXa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533704;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function oXa(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function pXa(a){a=a|0;var b=0,c=0;f[a>>2]=123328;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function qXa(a){a=a|0;var b=0,c=0;f[a>>2]=123328;b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function rXa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function sXa(a,b){a=a|0;b=b|0;a=Bmc(24)|0;rWa(a);if(!b)return a|0;EXa(b,a);return a|0}function tXa(a){a=a|0;var b=0;b=a+8|0;if(f[b>>2]&3|0){f[a+16>>2]=0;f[a+20>>2]=1}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function uXa(a){a=a|0;return 1}function vXa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=c+4|0;e=a+8|0;g=a+20|0;h=a+4|0;i=a+16|0;a:while(1){b:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){j=b[a>>0]|0;k=j&255;if(j<<24>>24>0){f[c>>2]=a+1;l=k;m=7}else{n=k;m=6}}else{n=0;m=6}if((m|0)==6){m=0;k=xCb(c,n)|0;if((k+-1|0)>>>0<127){l=k;m=7}else o=k}c:do if((m|0)==7){m=0;switch(l>>>3&536870911|0){case 1:{if((l&255|0)==8)break b;else{o=l;break c}break}case 2:break;default:{o=l;break c}}if((l&255|0)==16){f[e>>2]=f[e>>2]|2;k=f[c>>2]|0;if(k>>>0<(f[d>>2]|0)>>>0){a=b[k>>0]|0;j=a&255;if(a<<24>>24>-1){f[c>>2]=k+1;p=j}else{q=j;m=23}}else{q=0;m=23}if((m|0)==23){m=0;j=iCb(c,q)|0;k=J;if((k|0)>-1|(k|0)==-1&j>>>0>4294967295)p=j;else{r=0;m=30;break a}}f[g>>2]=p;continue b}else o=l}while(0);if(!o){r=1;m=30;break a}j=f[h>>2]|0;if(!(j&1))s=AHa(h)|0;else s=j&-2;if(!(b4b(c,o,s)|0)){r=0;m=30;break a}}j=f[c>>2]|0;if(j>>>0<(f[d>>2]|0)>>>0){k=b[j>>0]|0;a=k&255;if(k<<24>>24>-1){f[c>>2]=j+1;t=a}else{u=a;m=12}}else{u=0;m=12}if((m|0)==12){m=0;a=iCb(c,u)|0;j=J;if((j|0)>-1|(j|0)==-1&a>>>0>4294967295)t=a;else{r=0;m=30;break}}if(t>>>0<3){f[e>>2]=f[e>>2]|1;f[i>>2]=t;continue}a=f[h>>2]|0;if(!(a&1))v=AHa(h)|0;else v=a&-2;R3b(v,1,t,((t|0)<0)<<31>>31)}if((m|0)==30)return r|0;return 0}function wXa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+8>>2]|0;if(!(b&3)){d=c;e=a+12|0;f[e>>2]=d;return d|0}if(!(b&1))g=c;else{h=f[a+16>>2]|0;if((h|0)<0)i=11;else i=((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;g=i+c|0}if(!(b&2)){d=g;e=a+12|0;f[e>>2]=d;return d|0}b=f[a+20>>2]|0;if((b|0)<0)j=11;else j=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;d=j+g|0;e=a+12|0;f[e>>2]=d;return d|0}function xXa(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)zEb(1,f[a+16>>2]|0,b);if(c&2|0)mEb(2,f[a+20>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function yXa(a){a=a|0;return f[a+12>>2]|0}function zXa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=8;h=d+1|0;d=g&255;if(g>>>0>127){i=h;j=d;k=g;l=((g|0)<0)<<31>>31;while(1){b[i>>0]=j|-128;g=k;k=Irc(k|0,l|0,7)|0;m=i+1|0;n=k&255;if(!(l>>>0>0|(l|0)==0&g>>>0>16383)){o=m;p=n;break}else{i=m;j=n;l=J}}}else{o=h;p=d}b[o>>0]=p;e=o+1|0}if(!(c&2))q=e;else{c=f[a+20>>2]|0;b[e>>0]=16;o=e+1|0;e=c&255;if(c>>>0>127){p=o;d=e;h=c;l=((c|0)<0)<<31>>31;while(1){b[p>>0]=d|-128;c=h;h=Irc(h|0,l|0,7)|0;j=p+1|0;i=h&255;if(!(l>>>0>0|(l|0)==0&c>>>0>16383)){r=j;s=i;break}else{p=j;d=i;l=J}}}else{r=o;s=e}b[r>>0]=s;q=r+1|0}r=f[a+4>>2]|0;if(!(r&1)){t=q;return t|0}t=f4b(r&-2,q)|0;return t|0}function AXa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}
function _ha(a,c,d,e,g){a=a|0;c=c|0;d=+d;e=+e;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0.0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0.0,sa=0.0,ta=0.0,ua=0,va=0.0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0;i=u;u=u+1376|0;j=i+344|0;k=i+336|0;l=i+280|0;m=i+272|0;n=i+144|0;o=i;q=i+216|0;r=i+160|0;zT(k,58720);do if((pD(a)|0)==65536){s=f[a+4>>2]|0;f[l>>2]=f[s>>2];t=l+4|0;v=s+4|0;f[t>>2]=f[v>>2];w=l+8|0;f[w>>2]=f[s+8>>2];f[l+12>>2]=f[s+12>>2];f[l+16>>2]=f[s+16>>2];f[l+20>>2]=f[s+20>>2];f[l+24>>2]=f[s+24>>2];f[l+28>>2]=f[s+28>>2];f[l+32>>2]=f[s+32>>2];x=f[s+36>>2]|0;f[l+36>>2]=x;f[l+40>>2]=w;w=l+48|0;y=l+44|0;f[y>>2]=w;f[w>>2]=0;f[l+52>>2]=0;if(x|0){w=x+12|0;f[w>>2]=(f[w>>2]|0)+1}if((f[v>>2]|0)<3){v=f[s+44>>2]|0;w=f[y>>2]|0;f[w>>2]=f[v>>2];f[w+4>>2]=f[v+4>>2];break}else{f[t>>2]=0;kP(l,s);break}}else lD(l,a,-1);while(0);a=g&7;switch(g&-8|0){case 24:{f[j>>2]=0;f[j+4>>2]=0;z=YG(j,57)|0;A=271924;B=z+57|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));$ha(-215,j,378377,1403);break}case 8:{s=f[l>>2]|0;if(s&4095|0){f[j>>2]=0;f[j+4>>2]=0;z=YG(j,21)|0;A=295163;B=z+21|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));$ha(-215,j,378377,1406)}t=l+40|0;v=f[t>>2]|0;w=f[v+4>>2]|0;y=f[v>>2]|0;x=(s&16384|0)!=0;C=Y(y,w)|0;D=x?C:w;w=x?1:y;y=x?C:f[l+48>>2]|0;Drc(j|0,0,1024)|0;a:do if((w|0)>0){x=f[l+16>>2]|0;E=D+-4|0;if((D|0)<4){if((D|0)>0)F=0;else{G=0.0;H=0;break}while(1){I=x+(Y(F,y)|0)|0;J=0;do{K=j+((h[I+J>>0]|0)<<2)|0;f[K>>2]=(f[K>>2]|0)+1;J=J+1|0}while((J|0)!=(D|0));F=F+1|0;if((F|0)==(w|0)){G=0.0;H=0;break a}}}J=D&-4;if((J|0)<(D|0))L=0;else{I=0;while(1){K=x+(Y(I,y)|0)|0;M=0;do{N=h[K+(M|1)>>0]|0;O=j+((h[K+M>>0]|0)<<2)|0;f[O>>2]=(f[O>>2]|0)+1;O=j+(N<<2)|0;f[O>>2]=(f[O>>2]|0)+1;O=h[K+(M|3)>>0]|0;N=j+((h[K+(M|2)>>0]|0)<<2)|0;f[N>>2]=(f[N>>2]|0)+1;N=j+(O<<2)|0;f[N>>2]=(f[N>>2]|0)+1;M=M+4|0}while((M|0)<=(E|0));I=I+1|0;if((I|0)==(w|0)){G=0.0;H=0;break a}}}do{I=x+(Y(L,y)|0)|0;M=0;do{K=h[I+(M|1)>>0]|0;N=j+((h[I+M>>0]|0)<<2)|0;f[N>>2]=(f[N>>2]|0)+1;N=j+(K<<2)|0;f[N>>2]=(f[N>>2]|0)+1;N=h[I+(M|3)>>0]|0;K=j+((h[I+(M|2)>>0]|0)<<2)|0;f[K>>2]=(f[K>>2]|0)+1;K=j+(N<<2)|0;f[K>>2]=(f[K>>2]|0)+1;M=M+4|0}while((M|0)<=(E|0));P=J;do{M=j+((h[I+P>>0]|0)<<2)|0;f[M>>2]=(f[M>>2]|0)+1;P=P+1|0}while((P|0)!=(D|0));L=L+1|0}while((L|0)!=(w|0));G=0.0;H=0}else{G=0.0;H=0}while(0);do{G=G+ +(H|0)*+(f[j+(H<<2)>>2]|0);H=H+1|0}while((H|0)!=256);Q=1.0/+(C|0);R=Q*G;G=0.0;S=0.0;T=0.0;U=0.0;C=0;while(1){V=Q*+(f[j+(C<<2)>>2]|0);W=U*G;G=G+V;X=1.0-G;if(!((X<G?X:G)<1.1920928955078125e-07)?!((G<X?X:G)>.9999998807907104):0){Z=+(C|0);_=(W+Z*V)/G;V=_-(R-G*_)/X;$=V*(G*X*V);H=$>T;aa=_;ba=H?Z:S;ca=H?$:T}else{aa=W;ba=S;ca=T}C=C+1|0;if((C|0)==256)break;else{S=ba;T=ca;U=aa}}da=ba;ea=l;fa=t;ga=v;ha=s;break}case 16:{s=f[l>>2]|0;if(s&4095|0){f[j>>2]=0;f[j+4>>2]=0;z=YG(j,21)|0;A=295163;B=z+21|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));$ha(-215,j,378377,1411)}A=l+40|0;z=f[A>>2]|0;B=f[z+4>>2]|0;v=f[z>>2]|0;t=(s&16384|0)!=0;C=Y(v,B)|0;H=t?1:v;v=t?C:B;B=t?C:f[l+48>>2]|0;Drc(j|0,0,1024)|0;b:do if((H|0)>0){C=f[l+16>>2]|0;t=v+-4|0;if((v|0)<4){if((v|0)>0)ia=0;else{ja=0;break}while(1){w=C+(Y(ia,B)|0)|0;L=0;do{D=j+((h[w+L>>0]|0)<<2)|0;f[D>>2]=(f[D>>2]|0)+1;L=L+1|0}while((L|0)!=(v|0));ia=ia+1|0;if((ia|0)==(H|0)){ja=0;break b}}}L=v&-4;if((L|0)<(v|0))ka=0;else{w=0;while(1){D=C+(Y(w,B)|0)|0;P=0;do{y=h[D+(P|1)>>0]|0;F=j+((h[D+P>>0]|0)<<2)|0;f[F>>2]=(f[F>>2]|0)+1;F=j+(y<<2)|0;f[F>>2]=(f[F>>2]|0)+1;F=h[D+(P|3)>>0]|0;y=j+((h[D+(P|2)>>0]|0)<<2)|0;f[y>>2]=(f[y>>2]|0)+1;y=j+(F<<2)|0;f[y>>2]=(f[y>>2]|0)+1;P=P+4|0}while((P|0)<=(t|0));w=w+1|0;if((w|0)==(H|0)){ja=0;break b}}}do{w=C+(Y(ka,B)|0)|0;P=0;do{D=h[w+(P|1)>>0]|0;y=j+((h[w+P>>0]|0)<<2)|0;f[y>>2]=(f[y>>2]|0)+1;y=j+(D<<2)|0;f[y>>2]=(f[y>>2]|0)+1;y=h[w+(P|3)>>0]|0;D=j+((h[w+(P|2)>>0]|0)<<2)|0;f[D>>2]=(f[D>>2]|0)+1;D=j+(y<<2)|0;f[D>>2]=(f[D>>2]|0)+1;P=P+4|0}while((P|0)<=(t|0));la=L;do{P=j+((h[w+la>>0]|0)<<2)|0;f[P>>2]=(f[P>>2]|0)+1;la=la+1|0}while((la|0)!=(v|0));ka=ka+1|0}while((ka|0)!=(H|0));ja=0}else ja=0;while(0);while(1){if((f[j+(ja<<2)>>2]|0)>0){ma=ja;break}ja=ja+1|0;if((ja|0)>=256){ma=0;break}}ja=(((ma|0)>0)<<31>>31)+ma|0;ma=255;while(1){if((f[j+(ma<<2)>>2]|0)>0){na=ma;break}if((ma|0)>1)ma=ma+-1|0;else{na=0;break}}ma=(na|0)<255;H=0;ka=0;v=0;do{la=f[j+(v<<2)>>2]|0;B=(la|0)>(H|0);ka=B?v:ka;H=B?la:H;v=v+1|0}while((v|0)!=256);v=(ma&1)+na|0;if((ka-ja|0)<(v-ka|0)){na=255;ma=0;do{la=j+(ma<<2)|0;B=f[la>>2]|0;ia=j+(na<<2)|0;f[la>>2]=f[ia>>2];f[ia>>2]=B;ma=ma+1|0;na=na+-1|0}while((ma|0)<(na|0));oa=1;pa=255-v|0;qa=255-ka|0}else{oa=0;pa=ja;qa=ka}ba=+(pa|0);aa=+(H|0);U=+(pa-qa|0);if((pa|0)<(qa|0)){ca=0.0;T=ba;H=pa;while(1){H=H+1|0;S=+(H|0);G=aa*S+U*+(f[j+(H<<2)>>2]|0);pa=G>ca;R=pa?S:T;if((H|0)==(qa|0)){ra=R;break}else{ca=pa?G:ca;T=R}}}else ra=ba;ba=ra+-1.0;da=oa?255.0-ba:ba;ea=l;fa=A;ga=z;ha=s;break}default:{s=l+40|0;da=d;ea=l;fa=s;ga=f[s>>2]|0;ha=f[l>>2]|0}}s=f[ga>>2]|0;f[m>>2]=f[ga+4>>2];f[m+4>>2]=s;HD(c,m,ha&4095,-1,0,0);do if((pD(c)|0)==65536){ha=f[c+4>>2]|0;f[j>>2]=f[ha>>2];m=j+4|0;s=ha+4|0;f[m>>2]=f[s>>2];ga=j+8|0;f[ga>>2]=f[ha+8>>2];f[j+12>>2]=f[ha+12>>2];f[j+16>>2]=f[ha+16>>2];f[j+20>>2]=f[ha+20>>2];f[j+24>>2]=f[ha+24>>2];f[j+28>>2]=f[ha+28>>2];f[j+32>>2]=f[ha+32>>2];z=f[ha+36>>2]|0;f[j+36>>2]=z;f[j+40>>2]=ga;ga=j+48|0;A=j+44|0;f[A>>2]=ga;f[ga>>2]=0;f[j+52>>2]=0;if(z|0){ga=z+12|0;f[ga>>2]=(f[ga>>2]|0)+1}if((f[s>>2]|0)<3){s=f[ha+44>>2]|0;ga=f[A>>2]|0;f[ga>>2]=f[s>>2];f[ga+4>>2]=f[s+4>>2];break}else{f[m>>2]=0;kP(j,ha);break}}else lD(j,c,-1);while(0);c=f[ea>>2]|0;c:do switch(c&7){case 0:{ea=~~da;ha=ea-(+(ea|0)>da&1)|0;d=+(ha|0);ea=V9b(e)|0;m=(a|0)==2;s=m?ha:ea;ea=s>>>0<256?s:(s|0)>0?255:0;s=ea&255;ga=(ha|0)>254;if(ha>>>0<=254){sa=+(ea&255);ta=d;ua=101;break c}if((a|1|0)!=1?!((m|(a|0)==4)&(ha|0)<0|(a|0)==3&ga):0){ha=n+8|0;f[ha>>2]=0;f[ha+4>>2]=0;f[n>>2]=33619968;f[n+4>>2]=j;kT(l,n);va=d;break c}switch(g&7){case 0:{wa=ga?0:s;break}case 1:{wa=ga?s:0;break}default:wa=0}p[o>>3]=+(wa|0);f[n>>2]=-1056833530;f[n+4>>2]=o;f[n+8>>2]=1;f[n+12>>2]=1;oT(j,n,rE()|0)|0;va=d;break}case 3:{s=~~da;ga=s-(+(s|0)>da&1)|0;d=+(ga|0);s=V9b(e)|0;ha=(a|0)==2;m=ha?ga:s;s=(m+32768|0)>>>0<65536?m:(m|0)>0?32767:32768;m=s<<16>>16;ea=(ga|0)>32766;if((ga+32768|0)>>>0<=65534){sa=+((s&65535)<<16>>16);ta=d;ua=101;break c}if((a|1|0)!=1?!((ha|(a|0)==4)&(ga|0)<-32768|(a|0)==3&ea):0){ga=n+8|0;f[ga>>2]=0;f[ga+4>>2]=0;f[n>>2]=33619968;f[n+4>>2]=j;kT(l,n);va=d;break c}switch(g&7){case 0:{xa=ea?0:m;break}case 1:{xa=ea?m:0;break}default:xa=0}p[o>>3]=+(xa|0);f[n>>2]=-1056833530;f[n+4>>2]=o;f[n+8>>2]=1;f[n+12>>2]=1;oT(j,n,rE()|0)|0;va=d;break}case 2:{m=~~da;ea=m-(+(m|0)>da&1)|0;d=+(ea|0);m=V9b(e)|0;ga=(a|0)==2?ea:m;m=ga>>>0<65536?ga:(ga|0)>0?65535:0;ga=m&65535;ha=(ea|0)>65534;if(ea>>>0<=65534){sa=+(m&65535);ta=d;ua=101;break c}m=g&255;d:do if((a|1|0)==1)ua=94;else{switch(m&7){case 2:case 4:{if((a|0)==3&ha|(ea|0)<0){ua=94;break d}break}default:if((a|0)==3&ha){ya=0;break d}}s=n+8|0;f[s>>2]=0;f[s+4>>2]=0;f[n>>2]=33619968;f[n+4>>2]=j;kT(l,n);va=d;break c}while(0);e:do if((ua|0)==94)switch(m&7){case 0:{ya=ha?0:ga;break e;break}case 1:{ya=ha?ga:0;break e;break}default:{ya=0;break e}}while(0);p[o>>3]=+(ya|0);f[n>>2]=-1056833530;f[n+4>>2]=o;f[n+8>>2]=1;f[n+12>>2]=1;oT(j,n,rE()|0)|0;va=d;break}case 6:case 5:{sa=e;ta=da;ua=101;break}default:{f[n>>2]=0;f[n+4>>2]=0;$ha(-210,n,378377,1509)}}while(0);if((ua|0)==101){ua=j+8|0;ya=f[ua>>2]|0;f[n>>2]=0;f[n+4>>2]=ya;f[q>>2]=c;c=q+4|0;ya=l+4|0;g=f[ya>>2]|0;f[c>>2]=g;xa=q+8|0;f[xa>>2]=f[l+8>>2];f[q+12>>2]=f[l+12>>2];wa=q+16|0;f[wa>>2]=f[l+16>>2];f[q+20>>2]=f[l+20>>2];f[q+24>>2]=f[l+24>>2];f[q+28>>2]=f[l+28>>2];f[q+32>>2]=f[l+32>>2];ga=q+36|0;ha=f[l+36>>2]|0;f[ga>>2]=ha;m=q+40|0;f[m>>2]=xa;xa=q+48|0;ea=q+44|0;f[ea>>2]=xa;f[xa>>2]=0;f[q+52>>2]=0;if(!ha)za=g;else{g=ha+12|0;f[g>>2]=(f[g>>2]|0)+1;za=f[ya>>2]|0}if((za|0)<3){za=f[l+44>>2]|0;ya=f[ea>>2]|0;f[ya>>2]=f[za>>2];f[ya+4>>2]=f[za+4>>2]}else{f[c>>2]=0;kP(q,l)}f[r>>2]=f[j>>2];za=r+4|0;ya=j+4|0;g=f[ya>>2]|0;f[za>>2]=g;ha=r+8|0;f[ha>>2]=f[ua>>2];s=j+12|0;f[r+12>>2]=f[s>>2];A=r+16|0;f[A>>2]=f[j+16>>2];f[r+20>>2]=f[j+20>>2];f[r+24>>2]=f[j+24>>2];f[r+28>>2]=f[j+28>>2];f[r+32>>2]=f[j+32>>2];z=r+36|0;oa=f[j+36>>2]|0;f[z>>2]=oa;qa=r+40|0;f[qa>>2]=ha;ha=r+48|0;H=r+44|0;f[H>>2]=ha;f[ha>>2]=0;f[r+52>>2]=0;if(!oa)Aa=g;else{g=oa+12|0;f[g>>2]=(f[g>>2]|0)+1;Aa=f[ya>>2]|0}if((Aa|0)<3){Aa=f[j+44>>2]|0;g=f[H>>2]|0;f[g>>2]=f[Aa>>2];f[g+4>>2]=f[Aa+4>>2]}else{f[za>>2]=0;kP(r,j)}aia(o,q,r,ta,sa,a);a=f[ya>>2]|0;if((a|0)<3)Ba=Y(f[s>>2]|0,f[ua>>2]|0)|0;else{ua=f[j+40>>2]|0;s=0;ya=1;while(1){Aa=Y(f[ua+(s<<2)>>2]|0,ya)|0;s=s+1|0;if((s|0)==(a|0)){Ba=Aa;break}else ya=Aa}}oU(n,o,+(Ba>>>0)*.0000152587890625);bia(o);o=f[z>>2]|0;if(o|0?(Ba=o+12|0,o=f[Ba>>2]|0,f[Ba>>2]=o+-1,(o|0)==1):0)lP(r);f[z>>2]=0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[za>>2]|0)>0){A=f[qa>>2]|0;qa=0;do{f[A+(qa<<2)>>2]=0;qa=qa+1|0}while((qa|0)<(f[za>>2]|0))}za=f[H>>2]|0;if((za|0)!=(ha|0))tE(za);za=f[ga>>2]|0;if(za|0?(ha=za+12|0,za=f[ha>>2]|0,f[ha>>2]=za+-1,(za|0)==1):0)lP(q);f[ga>>2]=0;f[wa>>2]=0;f[wa+4>>2]=0;f[wa+8>>2]=0;f[wa+12>>2]=0;if((f[c>>2]|0)>0){wa=f[m>>2]|0;m=0;do{f[wa+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[c>>2]|0))}c=f[ea>>2]|0;if((c|0)!=(xa|0))tE(c);va=ta}c=j+36|0;xa=f[c>>2]|0;if(xa|0?(ea=xa+12|0,xa=f[ea>>2]|0,f[ea>>2]=xa+-1,(xa|0)==1):0)lP(j);f[c>>2]=0;c=j+16|0;xa=j+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[xa>>2]|0)>0){c=f[j+40>>2]|0;ea=0;do{f[c+(ea<<2)>>2]=0;ea=ea+1|0}while((ea|0)<(f[xa>>2]|0))}xa=f[j+44>>2]|0;if((xa|0)!=(j+48|0))tE(xa);xa=l+36|0;j=f[xa>>2]|0;if(j|0?(ea=j+12|0,j=f[ea>>2]|0,f[ea>>2]=j+-1,(j|0)==1):0)lP(l);f[xa>>2]=0;xa=l+16|0;j=l+4|0;f[xa>>2]=0;f[xa+4>>2]=0;f[xa+8>>2]=0;f[xa+12>>2]=0;if((f[j>>2]|0)>0){xa=f[fa>>2]|0;fa=0;do{f[xa+(fa<<2)>>2]=0;fa=fa+1|0}while((fa|0)<(f[j>>2]|0))}j=f[l+44>>2]|0;if((j|0)!=(l+48|0))tE(j);if(!(f[k+4>>2]|0)){u=i;return +va}u=i;return +va}function $ha(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;SQ(a,b,c,272019,d);return}function aia(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;f[a>>2]=58748;h=a+4|0;f[h>>2]=1124007936;i=a+8|0;j=a+12|0;k=a+44|0;l=i;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=j;n=a+52|0;o=a+48|0;f[o>>2]=n;f[n>>2]=0;f[a+56>>2]=0;n=a+60|0;f[n>>2]=1124007936;q=a+64|0;r=a+68|0;s=a+100|0;l=q;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[s>>2]=r;l=a+108|0;m=a+104|0;f[m>>2]=l;f[l>>2]=0;f[a+112>>2]=0;if((h|0)!=(b|0)){l=b+36|0;t=f[l>>2]|0;if(t){u=t+12|0;f[u>>2]=(f[u>>2]|0)+1;u=a+40|0;t=f[u>>2]|0;if((t|0)!=0?(v=t+12|0,t=f[v>>2]|0,f[v>>2]=t+-1,(t|0)==1):0){lP(h);w=u}else w=u}else w=a+40|0;f[w>>2]=0;u=a+20|0;f[u>>2]=0;f[u+4>>2]=0;f[u+8>>2]=0;f[u+12>>2]=0;if((f[i>>2]|0)>0){t=f[k>>2]|0;k=0;do{f[t+(k<<2)>>2]=0;k=k+1|0;x=f[i>>2]|0}while((k|0)<(x|0));f[h>>2]=f[b>>2];if((x|0)<3)y=12;else y=14}else{f[h>>2]=f[b>>2];y=12}if((y|0)==12){x=f[b+4>>2]|0;if((x|0)<3){f[i>>2]=x;f[j>>2]=f[b+8>>2];f[a+16>>2]=f[b+12>>2];j=f[b+44>>2]|0;x=f[o>>2]|0;f[x>>2]=f[j>>2];f[x+4>>2]=f[j+4>>2]}else y=14}if((y|0)==14)kP(h,b);f[u>>2]=f[b+16>>2];f[a+24>>2]=f[b+20>>2];f[a+28>>2]=f[b+24>>2];f[a+32>>2]=f[b+28>>2];f[a+36>>2]=f[b+32>>2];f[w>>2]=f[l>>2]}if((n|0)==(c|0)){z=a+120|0;p[z>>3]=d;A=a+128|0;p[A>>3]=e;B=a+136|0;f[B>>2]=g;return}l=c+36|0;w=f[l>>2]|0;if(w|0){b=w+12|0;f[b>>2]=(f[b>>2]|0)+1}b=a+96|0;w=f[b>>2]|0;if(w|0?(u=w+12|0,w=f[u>>2]|0,f[u>>2]=w+-1,(w|0)==1):0)lP(n);f[b>>2]=0;w=a+76|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[q>>2]|0)>0){u=f[s>>2]|0;s=0;do{f[u+(s<<2)>>2]=0;s=s+1|0;C=f[q>>2]|0}while((s|0)<(C|0));f[n>>2]=f[c>>2];if((C|0)<3)y=27;else y=29}else{f[n>>2]=f[c>>2];y=27}if((y|0)==27){C=f[c+4>>2]|0;if((C|0)<3){f[q>>2]=C;f[r>>2]=f[c+8>>2];f[a+72>>2]=f[c+12>>2];r=f[c+44>>2]|0;C=f[m>>2]|0;f[C>>2]=f[r>>2];f[C+4>>2]=f[r+4>>2]}else y=29}if((y|0)==29)kP(n,c);f[w>>2]=f[c+16>>2];f[a+80>>2]=f[c+20>>2];f[a+84>>2]=f[c+24>>2];f[a+88>>2]=f[c+28>>2];f[a+92>>2]=f[c+32>>2];f[b>>2]=f[l>>2];z=a+120|0;p[z>>3]=d;A=a+128|0;p[A>>3]=e;B=a+136|0;f[B>>2]=g;return}function bia(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=58748;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))tE(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;tE(b);return}function cia(a){a=a|0;bia(a);Emc(a);return}function dia(a,c){a=a|0;c=c|0;var e=0,g=0,i=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0.0,wa=0.0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0;e=u;u=u+384|0;g=e+120|0;i=e+112|0;k=e+56|0;l=e;m=f[c>>2]|0;o=f[c+4>>2]|0;f[g>>2]=m;f[g+4>>2]=o;f[i>>2]=-2147483648;f[i+4>>2]=2147483647;mP(k,a+4|0,g,i);f[g>>2]=m;f[g+4>>2]=o;f[i>>2]=-2147483648;f[i+4>>2]=2147483647;mP(l,a+60|0,g,i);i=k+16|0;o=l+16|0;m=f[k>>2]|0;c=m>>>3&511;q=a+120|0;r=a+128|0;s=a+136|0;a:do switch(m&7){case 0:{a=~~+p[q>>3]&255;t=~~+p[r>>3]&255;v=f[s>>2]|0;w=f[k+40>>2]|0;x=f[w>>2]|0;y=Y(f[w+4>>2]|0,c+1|0)|0;w=f[k+48>>2]|0;z=f[l+48>>2]|0;if(!(m&16384)){A=w;B=z;C=y;D=x}else{E=(f[l>>2]&16384|0)!=0;F=Y(y,x)|0;A=E?F:w;B=E?F:z;C=E?F:y;D=E?1:x}if((C|0)>0){x=a&255;E=x+1|0;Drc(g|0,0,256)|0;switch(v|0){case 0:{Drc(g|0,0,E|0)|0;if(E>>>0<256)Drc(g+E|0,t|0,x^255|0)|0;break}case 1:{Drc(g|0,t|0,E|0)|0;if(E>>>0<256)Drc(g+E|0,0,x^255|0)|0;break}case 2:{t=0;do{b[g+t>>0]=t;t=t+1|0}while((t|0)!=(E|0));if(E>>>0<256)Drc(g+E|0,a|0,x^255|0)|0;break}case 3:{Drc(g|0,0,E|0)|0;if(E>>>0<256){t=E;do{b[g+t>>0]=t;t=t+1|0}while((t|0)!=256)}break}case 4:{t=0;do{b[g+t>>0]=t;t=t+1|0}while((t|0)!=(E|0));if(E>>>0<256)Drc(g+E|0,0,x^255|0)|0;break}default:{}}t=f[i>>2]|0;a=f[o>>2]|0;b:do if((D|0)>0){v=C+-4|0;if((C|0)<4){y=0;F=t;z=a;while(1){w=0;do{b[z+w>>0]=b[g+(h[F+w>>0]|0)>>0]|0;w=w+1|0}while((w|0)!=(C|0));y=y+1|0;if((y|0)==(D|0))break b;else{F=F+A|0;z=z+B|0}}}z=C&-4;if((z|0)<(C|0)){G=0;H=t;I=a}else{F=0;y=t;w=a;while(1){J=0;do{K=J|1;L=b[g+(h[y+K>>0]|0)>>0]|0;b[w+J>>0]=b[g+(h[y+J>>0]|0)>>0]|0;b[w+K>>0]=L;L=J|2;K=J|3;M=b[g+(h[y+K>>0]|0)>>0]|0;b[w+L>>0]=b[g+(h[y+L>>0]|0)>>0]|0;b[w+K>>0]=M;J=J+4|0}while((J|0)<=(v|0));F=F+1|0;if((F|0)==(D|0))break b;else{y=y+A|0;w=w+B|0}}}while(1){w=0;do{y=w|1;F=b[g+(h[H+y>>0]|0)>>0]|0;b[I+w>>0]=b[g+(h[H+w>>0]|0)>>0]|0;b[I+y>>0]=F;F=w|2;y=w|3;J=b[g+(h[H+y>>0]|0)>>0]|0;b[I+F>>0]=b[g+(h[H+F>>0]|0)>>0]|0;b[I+y>>0]=J;w=w+4|0}while((w|0)<=(v|0));N=z;do{b[I+N>>0]=b[g+(h[H+N>>0]|0)>>0]|0;N=N+1|0}while((N|0)!=(C|0));G=G+1|0;if((G|0)==(D|0))break;else{H=H+A|0;I=I+B|0}}}while(0)}break}case 3:{a=~~+p[q>>3];t=~~+p[r>>3];x=f[k+40>>2]|0;E=f[x>>2]|0;z=Y(f[x+4>>2]|0,c+1|0)|0;x=f[i>>2]|0;v=f[o>>2]|0;w=(f[k+48>>2]|0)>>>1;J=(f[l+48>>2]|0)>>>1;if(!(m&16384)){O=J;P=w;Q=z;R=E}else{y=(f[l>>2]&16384|0)!=0;F=Y(z,E)|0;O=y?F:J;P=y?F:w;Q=y?F:z;R=y?1:E}switch(f[s>>2]|0){case 0:{if((Q|0)>0&(R|0)>0){S=x;T=v;U=0}else break a;while(1){E=0;do{d[T+(E<<1)>>1]=(d[S+(E<<1)>>1]|0)>a<<16>>16?t:0;E=E+1|0}while((E|0)!=(Q|0));U=U+1|0;if((U|0)==(R|0))break;else{S=S+(P<<1)|0;T=T+(O<<1)|0}}break}case 1:{if((Q|0)>0&(R|0)>0){V=x;W=v;X=0}else break a;while(1){E=0;do{d[W+(E<<1)>>1]=(d[V+(E<<1)>>1]|0)>a<<16>>16?0:t;E=E+1|0}while((E|0)!=(Q|0));X=X+1|0;if((X|0)==(R|0))break;else{V=V+(P<<1)|0;W=W+(O<<1)|0}}break}case 2:{if((Q|0)>0&(R|0)>0){Z=x;_=v;$=0}else break a;while(1){t=0;do{E=d[Z+(t<<1)>>1]|0;d[_+(t<<1)>>1]=E<<16>>16>a<<16>>16?a:E;t=t+1|0}while((t|0)!=(Q|0));$=$+1|0;if(($|0)==(R|0))break;else{Z=Z+(P<<1)|0;_=_+(O<<1)|0}}break}case 3:{if((Q|0)>0&(R|0)>0){aa=x;ba=v;ca=0}else break a;while(1){t=0;do{E=d[aa+(t<<1)>>1]|0;d[ba+(t<<1)>>1]=E<<16>>16>a<<16>>16?E:0;t=t+1|0}while((t|0)!=(Q|0));ca=ca+1|0;if((ca|0)==(R|0))break;else{aa=aa+(P<<1)|0;ba=ba+(O<<1)|0}}break}case 4:{if((Q|0)>0&(R|0)>0){da=x;ea=v;fa=0}else break a;while(1){t=0;do{E=d[da+(t<<1)>>1]|0;d[ea+(t<<1)>>1]=E<<16>>16>a<<16>>16?0:E;t=t+1|0}while((t|0)!=(Q|0));fa=fa+1|0;if((fa|0)==(R|0))break;else{da=da+(P<<1)|0;ea=ea+(O<<1)|0}}break}default:{f[g>>2]=0;f[g+4>>2]=0;$ha(-5,g,271982,120)}}break}case 2:{a=~~+p[q>>3]&65535;v=~~+p[r>>3]&65535;x=f[k+40>>2]|0;t=f[x>>2]|0;E=Y(f[x+4>>2]|0,c+1|0)|0;x=((f[k+48>>2]|0)>>>0)/((1212424721>>>(m<<2&28)&15)>>>0)|0;y=f[l>>2]|0;z=((f[l+48>>2]|0)>>>0)/((1212424721>>>(y<<2&28)&15)>>>0)|0;F=(m&16384|0)==0;w=(y&16384|0)!=0;y=Y(E,t)|0;J=F?E:w?y:E;E=F?t:w?1:t;t=F?z:w?y:z;z=F?x:w?y:x;x=f[i>>2]|0;y=f[o>>2]|0;switch(f[s>>2]|0){case 0:{if((J|0)>0&(E|0)>0){ga=x;ha=y;ia=0}else break a;while(1){w=0;do{d[ha+(w<<1)>>1]=(j[ga+(w<<1)>>1]|0)>(a&65535)?v:0;w=w+1|0}while((w|0)!=(J|0));ia=ia+1|0;if((ia|0)==(E|0))break;else{ga=ga+(z<<1)|0;ha=ha+(t<<1)|0}}break}case 1:{if((J|0)>0&(E|0)>0){ja=x;ka=y;la=0}else break a;while(1){w=0;do{d[ka+(w<<1)>>1]=(j[ja+(w<<1)>>1]|0)>(a&65535)?0:v;w=w+1|0}while((w|0)!=(J|0));la=la+1|0;if((la|0)==(E|0))break;else{ja=ja+(z<<1)|0;ka=ka+(t<<1)|0}}break}case 2:{if((J|0)>0&(E|0)>0){ma=x;na=y;oa=0}else break a;while(1){v=0;do{w=d[ma+(v<<1)>>1]|0;d[na+(v<<1)>>1]=(w&65535)>(a&65535)?a:w;v=v+1|0}while((v|0)!=(J|0));oa=oa+1|0;if((oa|0)==(E|0))break;else{ma=ma+(z<<1)|0;na=na+(t<<1)|0}}break}case 3:{if((J|0)>0&(E|0)>0){pa=x;qa=y;ra=0}else break a;while(1){v=0;do{w=d[pa+(v<<1)>>1]|0;d[qa+(v<<1)>>1]=(w&65535)>(a&65535)?w:0;v=v+1|0}while((v|0)!=(J|0));ra=ra+1|0;if((ra|0)==(E|0))break;else{pa=pa+(z<<1)|0;qa=qa+(t<<1)|0}}break}case 4:{if((J|0)>0&(E|0)>0){sa=x;ta=y;ua=0}else break a;while(1){v=0;do{w=d[sa+(v<<1)>>1]|0;d[ta+(v<<1)>>1]=(w&65535)>(a&65535)?0:w;v=v+1|0}while((v|0)!=(J|0));ua=ua+1|0;if((ua|0)==(E|0))break;else{sa=sa+(z<<1)|0;ta=ta+(t<<1)|0}}break}default:{f[g>>2]=0;f[g+4>>2]=0;$ha(-5,g,271982,120)}}break}case 5:{va=+p[q>>3];wa=+p[r>>3];t=f[k+40>>2]|0;z=f[t>>2]|0;E=Y(f[t+4>>2]|0,c+1|0)|0;t=f[i>>2]|0;J=f[o>>2]|0;a=(f[k+48>>2]|0)>>>2;y=(f[l+48>>2]|0)>>>2;if(!(m&16384)){xa=E;ya=z}else{x=(f[l>>2]&16384|0)!=0;v=Y(x?z:1,E)|0;xa=v;ya=x?1:z}switch(f[s>>2]|0){case 0:{if((xa|0)>0&(ya|0)>0){za=t;Aa=J;Ba=0}else break a;while(1){z=0;do{n[Aa+(z<<2)>>2]=+n[za+(z<<2)>>2]>va?wa:0.0;z=z+1|0}while((z|0)!=(xa|0));Ba=Ba+1|0;if((Ba|0)==(ya|0))break;else{za=za+(a<<2)|0;Aa=Aa+(y<<2)|0}}break}case 1:{if((xa|0)>0&(ya|0)>0){Ca=t;Da=J;Ea=0}else break a;while(1){z=0;do{n[Da+(z<<2)>>2]=!(+n[Ca+(z<<2)>>2]<=va)?0.0:wa;z=z+1|0}while((z|0)!=(xa|0));Ea=Ea+1|0;if((Ea|0)==(ya|0))break;else{Ca=Ca+(a<<2)|0;Da=Da+(y<<2)|0}}break}case 2:{if((xa|0)>0&(ya|0)>0){Fa=t;Ga=J;Ha=0}else break a;while(1){z=0;do{wa=+n[Fa+(z<<2)>>2];n[Ga+(z<<2)>>2]=wa>va?va:wa;z=z+1|0}while((z|0)!=(xa|0));Ha=Ha+1|0;if((Ha|0)==(ya|0))break;else{Fa=Fa+(a<<2)|0;Ga=Ga+(y<<2)|0}}break}case 3:{if((xa|0)>0&(ya|0)>0){Ia=t;Ja=J;Ka=0}else break a;while(1){z=0;do{wa=+n[Ia+(z<<2)>>2];n[Ja+(z<<2)>>2]=wa>va?wa:0.0;z=z+1|0}while((z|0)!=(xa|0));Ka=Ka+1|0;if((Ka|0)==(ya|0))break;else{Ia=Ia+(a<<2)|0;Ja=Ja+(y<<2)|0}}break}case 4:{if((xa|0)>0&(ya|0)>0){La=t;Ma=J;Na=0}else break a;while(1){z=0;do{wa=+n[La+(z<<2)>>2];n[Ma+(z<<2)>>2]=!(wa<=va)?0.0:wa;z=z+1|0}while((z|0)!=(xa|0));Na=Na+1|0;if((Na|0)==(ya|0))break;else{La=La+(a<<2)|0;Ma=Ma+(y<<2)|0}}break}default:{f[g>>2]=0;f[g+4>>2]=0;$ha(-5,g,271982,120)}}break}case 6:{va=+p[q>>3];wa=+p[r>>3];y=f[k+40>>2]|0;a=f[y>>2]|0;J=Y(f[y+4>>2]|0,c+1|0)|0;y=f[i>>2]|0;t=f[o>>2]|0;z=(f[k+48>>2]|0)>>>3;x=(f[l+48>>2]|0)>>>3;if(!(m&16384)){Oa=J;Pa=a}else{v=(f[l>>2]&16384|0)!=0;E=Y(v?a:1,J)|0;Oa=E;Pa=v?1:a}switch(f[s>>2]|0){case 0:{if((Oa|0)>0&(Pa|0)>0){Qa=y;Ra=t;Sa=0}else break a;while(1){a=0;do{p[Ra+(a<<3)>>3]=+p[Qa+(a<<3)>>3]>va?wa:0.0;a=a+1|0}while((a|0)!=(Oa|0));Sa=Sa+1|0;if((Sa|0)==(Pa|0))break;else{Qa=Qa+(z<<3)|0;Ra=Ra+(x<<3)|0}}break}case 1:{if((Oa|0)>0&(Pa|0)>0){Ta=y;Ua=t;Va=0}else break a;while(1){a=0;do{p[Ua+(a<<3)>>3]=!(+p[Ta+(a<<3)>>3]<=va)?0.0:wa;a=a+1|0}while((a|0)!=(Oa|0));Va=Va+1|0;if((Va|0)==(Pa|0))break;else{Ta=Ta+(z<<3)|0;Ua=Ua+(x<<3)|0}}break}case 2:{if((Oa|0)>0&(Pa|0)>0){Wa=y;Xa=t;Ya=0}else break a;while(1){a=0;do{wa=+p[Wa+(a<<3)>>3];p[Xa+(a<<3)>>3]=wa>va?va:wa;a=a+1|0}while((a|0)!=(Oa|0));Ya=Ya+1|0;if((Ya|0)==(Pa|0))break;else{Wa=Wa+(z<<3)|0;Xa=Xa+(x<<3)|0}}break}case 3:{if((Oa|0)>0&(Pa|0)>0){Za=y;_a=t;$a=0}else break a;while(1){a=0;do{wa=+p[Za+(a<<3)>>3];p[_a+(a<<3)>>3]=wa>va?wa:0.0;a=a+1|0}while((a|0)!=(Oa|0));$a=$a+1|0;if(($a|0)==(Pa|0))break;else{Za=Za+(z<<3)|0;_a=_a+(x<<3)|0}}break}case 4:{if((Oa|0)>0&(Pa|0)>0){ab=y;bb=t;cb=0}else break a;while(1){a=0;do{wa=+p[ab+(a<<3)>>3];p[bb+(a<<3)>>3]=!(wa<=va)?0.0:wa;a=a+1|0}while((a|0)!=(Oa|0));cb=cb+1|0;if((cb|0)==(Pa|0))break;else{ab=ab+(z<<3)|0;bb=bb+(x<<3)|0}}break}default:{f[g>>2]=0;f[g+4>>2]=0;$ha(-5,g,271982,120)}}break}default:{}}while(0);g=l+36|0;bb=f[g>>2]|0;if(bb|0?(ab=bb+12|0,bb=f[ab>>2]|0,f[ab>>2]=bb+-1,(bb|0)==1):0)lP(l);f[g>>2]=0;g=l+4|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[g>>2]|0)>0){o=f[l+40>>2]|0;bb=0;do{f[o+(bb<<2)>>2]=0;bb=bb+1|0}while((bb|0)<(f[g>>2]|0))}g=f[l+44>>2]|0;if((g|0)!=(l+48|0))tE(g);g=k+36|0;l=f[g>>2]|0;if(l|0?(bb=l+12|0,l=f[bb>>2]|0,f[bb>>2]=l+-1,(l|0)==1):0)lP(k);f[g>>2]=0;g=k+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[g>>2]|0)>0){i=f[k+40>>2]|0;l=0;do{f[i+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[g>>2]|0))}g=f[k+44>>2]|0;if((g|0)==(k+48|0)){u=e;return}tE(g);u=e;return}function eia(a,c,d,e,g,i,j){a=a|0;c=c|0;d=+d;e=e|0;g=g|0;i=i|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0;k=u;u=u+1072|0;l=k+1056|0;m=k+1e3|0;n=k+944|0;o=k+936|0;p=k;q=k+160|0;r=k+96|0;s=k+928|0;t=k+152|0;v=k+72|0;w=k+56|0;x=k+88|0;zT(l,58760);do if((pD(a)|0)==65536){y=f[a+4>>2]|0;f[m>>2]=f[y>>2];z=m+4|0;A=y+4|0;f[z>>2]=f[A>>2];B=m+8|0;f[B>>2]=f[y+8>>2];f[m+12>>2]=f[y+12>>2];f[m+16>>2]=f[y+16>>2];f[m+20>>2]=f[y+20>>2];f[m+24>>2]=f[y+24>>2];f[m+28>>2]=f[y+28>>2];f[m+32>>2]=f[y+32>>2];C=f[y+36>>2]|0;f[m+36>>2]=C;f[m+40>>2]=B;B=m+48|0;D=m+44|0;f[D>>2]=B;f[B>>2]=0;f[m+52>>2]=0;if(C|0){B=C+12|0;f[B>>2]=(f[B>>2]|0)+1}if((f[A>>2]|0)<3){A=f[y+44>>2]|0;B=f[D>>2]|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];E=m;break}else{f[z>>2]=0;kP(m,y);E=m;break}}else{lD(m,a,-1);E=m}while(0);if(f[E>>2]&4095|0){f[n>>2]=0;f[n+4>>2]=0;F=YG(n,21)|0;G=295163;H=F+21|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));$ha(-215,n,272154,1524)}if(!((i|0)>1&((i|0)%2|0|0)==1)){f[n>>2]=0;f[n+4>>2]=0;F=YG(n,35)|0;G=272172;H=F+35|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));$ha(-215,n,272154,1525)}a=m+40|0;y=f[a>>2]|0;z=f[y+4>>2]|0;A=f[y>>2]|0;f[o>>2]=z;f[o+4>>2]=A;HD(c,o,0,-1,0,0);do if((pD(c)|0)==65536){o=f[c+4>>2]|0;f[n>>2]=f[o>>2];y=n+4|0;B=o+4|0;f[y>>2]=f[B>>2];D=n+8|0;f[D>>2]=f[o+8>>2];f[n+12>>2]=f[o+12>>2];f[n+16>>2]=f[o+16>>2];f[n+20>>2]=f[o+20>>2];f[n+24>>2]=f[o+24>>2];f[n+28>>2]=f[o+28>>2];f[n+32>>2]=f[o+32>>2];C=f[o+36>>2]|0;f[n+36>>2]=C;f[n+40>>2]=D;D=n+48|0;I=n+44|0;f[I>>2]=D;f[D>>2]=0;f[n+52>>2]=0;if(C|0){D=C+12|0;f[D>>2]=(f[D>>2]|0)+1}if((f[B>>2]|0)<3){B=f[o+44>>2]|0;D=f[I>>2]|0;f[D>>2]=f[B>>2];f[D+4>>2]=f[B+4>>2];break}else{f[y>>2]=0;kP(n,o);break}}else lD(n,c,-1);while(0);if(!(d<0.0)){c=m+16|0;o=n+16|0;f[p>>2]=1124007936;y=p+4|0;B=p+8|0;D=p+40|0;F=y;H=F+36|0;do{f[F>>2]=0;F=F+4|0}while((F|0)<(H|0));f[D>>2]=B;I=p+48|0;C=p+44|0;f[C>>2]=I;f[I>>2]=0;f[p+52>>2]=0;if((f[c>>2]|0)!=(f[o>>2]|0)){J=n+36|0;K=f[J>>2]|0;if(K){L=K+12|0;f[L>>2]=(f[L>>2]|0)+1;L=p+36|0;K=f[L>>2]|0;if((K|0)!=0?(M=K+12|0,K=f[M>>2]|0,f[M>>2]=K+-1,(K|0)==1):0){lP(p);N=L}else N=L}else N=p+36|0;f[N>>2]=0;L=p+16|0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;if((f[y>>2]|0)>0){K=f[D>>2]|0;M=0;do{f[K+(M<<2)>>2]=0;M=M+1|0;O=f[y>>2]|0}while((M|0)<(O|0));f[p>>2]=f[n>>2];if((O|0)<3)P=32;else P=34}else{f[p>>2]=f[n>>2];P=32}if((P|0)==32){O=f[n+4>>2]|0;if((O|0)<3){f[y>>2]=O;f[B>>2]=f[n+8>>2];f[p+12>>2]=f[n+12>>2];B=f[n+44>>2]|0;O=f[C>>2]|0;f[O>>2]=f[B>>2];f[O+4>>2]=f[B+4>>2]}else P=34}if((P|0)==34)kP(p,n);f[L>>2]=f[o>>2];f[p+20>>2]=f[n+20>>2];f[p+24>>2]=f[n+24>>2];f[p+28>>2]=f[n+28>>2];f[p+32>>2]=f[n+32>>2];f[N>>2]=f[J>>2]}switch(e|0){case 0:{f[q+8>>2]=0;f[q+12>>2]=0;f[q>>2]=16842752;f[q+4>>2]=m;e=r+8|0;f[e>>2]=0;f[e+4>>2]=0;f[r>>2]=33619968;f[r+4>>2]=p;e=f[E>>2]&4095;f[s>>2]=i;f[s+4>>2]=i;f[t>>2]=-1;f[t+4>>2]=-1;zaa(q,r,e,s,t,1,17);break}case 1:{f[q>>2]=1124007936;t=q+4|0;s=q+8|0;e=q+40|0;F=t;H=F+36|0;do{f[F>>2]=0;F=F+4|0}while((F|0)<(H|0));f[e>>2]=s;J=q+48|0;N=q+44|0;f[N>>2]=J;f[J>>2]=0;f[q+52>>2]=0;f[r>>2]=1124007936;L=r+4|0;B=r+8|0;O=r+40|0;F=L;H=F+36|0;do{f[F>>2]=0;F=F+4|0}while((F|0)<(H|0));f[O>>2]=B;M=r+48|0;K=r+44|0;f[K>>2]=M;f[M>>2]=0;f[r+52>>2]=0;Q=v+8|0;f[Q>>2]=0;f[Q+4>>2]=0;f[v>>2]=33619968;f[v+4>>2]=q;IO(m,v,5,1.0,0.0);Q=q+36|0;R=f[Q>>2]|0;if(R|0){S=R+12|0;f[S>>2]=(f[S>>2]|0)+1}S=r+36|0;R=f[S>>2]|0;if(R|0?(T=R+12|0,R=f[T>>2]|0,f[T>>2]=R+-1,(R|0)==1):0)lP(r);f[S>>2]=0;R=r+16|0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((f[L>>2]|0)>0){T=f[O>>2]|0;U=0;do{f[T+(U<<2)>>2]=0;U=U+1|0;V=f[L>>2]|0}while((U|0)<(V|0));f[r>>2]=f[q>>2];if((V|0)<3)P=48;else P=50}else{f[r>>2]=f[q>>2];P=48}if((P|0)==48){V=f[t>>2]|0;if((V|0)<3){f[L>>2]=V;f[B>>2]=f[s>>2];f[r+12>>2]=f[q+12>>2];s=f[N>>2]|0;B=f[K>>2]|0;f[B>>2]=f[s>>2];f[B+4>>2]=f[s+4>>2]}else P=50}if((P|0)==50)kP(r,q);s=q+16|0;f[R>>2]=f[s>>2];f[r+20>>2]=f[q+20>>2];f[r+24>>2]=f[q+24>>2];f[r+28>>2]=f[q+28>>2];f[r+32>>2]=f[q+32>>2];f[S>>2]=f[Q>>2];f[v+8>>2]=0;f[v+12>>2]=0;f[v>>2]=16842752;f[v+4>>2]=q;B=w+8|0;f[B>>2]=0;f[B+4>>2]=0;f[w>>2]=33619968;f[w+4>>2]=r;f[x>>2]=i;f[x+4>>2]=i;Yaa(v,w,x,0.0,0.0,17);x=v+8|0;f[x>>2]=0;f[x+4>>2]=0;f[v>>2]=33619968;f[v+4>>2]=p;IO(r,v,f[E>>2]&4095,1.0,0.0);v=f[S>>2]|0;if(v|0?(x=v+12|0,v=f[x>>2]|0,f[x>>2]=v+-1,(v|0)==1):0)lP(r);f[S>>2]=0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((f[L>>2]|0)>0){R=f[O>>2]|0;O=0;do{f[R+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[L>>2]|0))}L=f[K>>2]|0;if((L|0)!=(M|0))tE(L);L=f[Q>>2]|0;if(L|0?(M=L+12|0,L=f[M>>2]|0,f[M>>2]=L+-1,(L|0)==1):0)lP(q);f[Q>>2]=0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[t>>2]|0)>0){s=f[e>>2]|0;e=0;do{f[s+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[t>>2]|0))}t=f[N>>2]|0;if((t|0)!=(J|0))tE(t);break}default:{f[q>>2]=0;f[q+4>>2]=0;F=YG(q,45)|0;G=272208;H=F+45|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));$ha(-206,q,272154,1557)}}t=V9b(d)|0;J=(t>>>0<256?t:(t|0)>0?255:0)&255;t=~~j;d=+(t|0);if(!g){N=0-(t+(d<j&1))|0;e=0;do{b[q+e>>0]=(e+-255|0)>(N|0)?J:0;e=e+1|0}while((e|0)!=768);W=q}else{if((g|0)!=1){f[r>>2]=0;f[r+4>>2]=0;F=YG(r,34)|0;G=272254;H=F+34|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));$ha(-206,r,272154,1571)}r=(d>j&1)-t|0;t=0;do{b[q+t>>0]=(t+-255|0)<=(r|0)?J:0;t=t+1|0}while((t|0)!=768);W=q}if((f[E>>2]&16384|0)!=0?(f[p>>2]&16384|0)!=0:0){E=(f[n>>2]&16384|0)!=0;W=Y(E?A:1,z)|0;if(E){X=W;Z=1;P=80}else{_=W;P=79}}else{_=z;P=79}if((P|0)==79?(A|0)>0:0){X=_;Z=A;P=80}if((P|0)==80?(P=m+44|0,A=p+16|0,_=n+44|0,(X|0)>0):0){z=0;do{W=(f[c>>2]|0)+(Y(f[f[P>>2]>>2]|0,z)|0)|0;E=(f[A>>2]|0)+(Y(f[f[C>>2]>>2]|0,z)|0)|0;t=(f[o>>2]|0)+(Y(f[f[_>>2]>>2]|0,z)|0)|0;J=0;do{b[t+J>>0]=b[q+((h[W+J>>0]|0)+255-(h[E+J>>0]|0))>>0]|0;J=J+1|0}while((J|0)!=(X|0));z=z+1|0}while((z|0)!=(Z|0))}Z=p+36|0;z=f[Z>>2]|0;if(z|0?(X=z+12|0,z=f[X>>2]|0,f[X>>2]=z+-1,(z|0)==1):0)lP(p);f[Z>>2]=0;Z=p+16|0;f[Z>>2]=0;f[Z+4>>2]=0;f[Z+8>>2]=0;f[Z+12>>2]=0;if((f[y>>2]|0)>0){Z=f[D>>2]|0;D=0;do{f[Z+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[y>>2]|0))}y=f[C>>2]|0;if((y|0)!=(I|0))tE(y)}else{f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;f[p+16>>2]=0;f[p+20>>2]=0;f[p+24>>2]=0;f[p+28>>2]=0;nT(n,p)|0}p=n+36|0;y=f[p>>2]|0;if(y|0?(I=y+12|0,y=f[I>>2]|0,f[I>>2]=y+-1,(y|0)==1):0)lP(n);f[p>>2]=0;p=n+16|0;y=n+4|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[y>>2]|0)>0){p=f[n+40>>2]|0;I=0;do{f[p+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[y>>2]|0))}y=f[n+44>>2]|0;if((y|0)!=(n+48|0))tE(y);y=m+36|0;n=f[y>>2]|0;if(n|0?(I=n+12|0,n=f[I>>2]|0,f[I>>2]=n+-1,(n|0)==1):0)lP(m);f[y>>2]=0;y=m+16|0;n=m+4|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[n>>2]|0)>0){y=f[a>>2]|0;a=0;do{f[y+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[n>>2]|0))}n=f[m+44>>2]|0;if((n|0)!=(m+48|0))tE(n);if(!(f[l+4>>2]|0)){u=k;return}u=k;return}function fia(a,c,d,e,g){a=a|0;c=c|0;d=+d;e=+e;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0;h=u;u=u+208|0;i=h+144|0;j=h+88|0;k=h+32|0;l=h+16|0;m=h;mU(i,a,0,1,0,0);mU(j,c,0,1,0,0);f[k>>2]=f[j>>2];c=k+4|0;a=j+4|0;n=f[a>>2]|0;f[c>>2]=n;o=k+8|0;f[o>>2]=f[j+8>>2];f[k+12>>2]=f[j+12>>2];p=k+16|0;q=j+16|0;f[p>>2]=f[q>>2];f[k+20>>2]=f[j+20>>2];f[k+24>>2]=f[j+24>>2];f[k+28>>2]=f[j+28>>2];f[k+32>>2]=f[j+32>>2];r=k+36|0;s=j+36|0;t=f[s>>2]|0;f[r>>2]=t;v=k+40|0;f[v>>2]=o;o=k+48|0;w=k+44|0;f[w>>2]=o;f[o>>2]=0;f[k+52>>2]=0;if(!t)x=n;else{n=t+12|0;f[n>>2]=(f[n>>2]|0)+1;x=f[a>>2]|0}if((x|0)<3){x=f[j+44>>2]|0;n=f[w>>2]|0;f[n>>2]=f[x>>2];f[n+4>>2]=f[x+4>>2]}else{f[c>>2]=0;kP(k,j)}x=i+40|0;n=f[x>>2]|0;t=f[n+-4>>2]|0;y=j+40|0;z=f[y>>2]|0;a:do if((t|0)==(f[z+-4>>2]|0)){if((t|0)==2){if((f[n>>2]|0)!=(f[z>>2]|0))break;if((f[n+4>>2]|0)!=(f[z+4>>2]|0))break}else if((t|0)>0){A=0;do{if((f[n+(A<<2)>>2]|0)!=(f[z+(A<<2)>>2]|0))break a;A=A+1|0}while((A|0)<(t|0))}A=f[i>>2]|0;B=f[j>>2]|0;if(((B^A)&4088|0)==0?(C=B&7,(A&7|0)==(C|0)|(C|0)==0):0){f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=i;C=m+8|0;f[C>>2]=0;f[C+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=j;D=+_ha(l,m,d,e,g);if((f[p>>2]|0)!=(f[q>>2]|0)){C=l+8|0;f[C>>2]=0;f[C+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=k;IO(j,l,f[k>>2]&7,1.0,0.0)}C=f[r>>2]|0;if(C|0?(A=C+12|0,C=f[A>>2]|0,f[A>>2]=C+-1,(C|0)==1):0)lP(k);f[r>>2]=0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[c>>2]|0)>0){C=f[v>>2]|0;A=0;do{f[C+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[c>>2]|0))}A=f[w>>2]|0;if((A|0)!=(o|0))tE(A);A=f[s>>2]|0;if(A|0?(C=A+12|0,A=f[C>>2]|0,f[C>>2]=A+-1,(A|0)==1):0)lP(j);f[s>>2]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[a>>2]|0)>0){A=f[y>>2]|0;C=0;do{f[A+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[a>>2]|0))}C=f[j+44>>2]|0;if((C|0)!=(j+48|0))tE(C);C=i+36|0;A=f[C>>2]|0;if(A|0?(B=A+12|0,A=f[B>>2]|0,f[B>>2]=A+-1,(A|0)==1):0)lP(i);f[C>>2]=0;C=i+16|0;A=i+4|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[A>>2]|0)>0){C=f[x>>2]|0;B=0;do{f[C+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[A>>2]|0))}A=f[i+44>>2]|0;if((A|0)==(i+48|0)){u=h;return +D}tE(A);u=h;return +D}}while(0);f[l>>2]=0;f[l+4>>2]=0;h=YG(l,112)|0;i=272372;x=h+112|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(x|0));$ha(-215,l,272485,1596);return +(0.0)}function gia(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;g=u;u=u+128|0;h=g+120|0;i=g+64|0;j=g;k=g+8|0;zT(h,58780);do if((pD(a)|0)==65536){l=f[a+4>>2]|0;f[i>>2]=f[l>>2];m=i+4|0;n=l+4|0;f[m>>2]=f[n>>2];o=i+8|0;f[o>>2]=f[l+8>>2];f[i+12>>2]=f[l+12>>2];f[i+16>>2]=f[l+16>>2];f[i+20>>2]=f[l+20>>2];f[i+24>>2]=f[l+24>>2];f[i+28>>2]=f[l+28>>2];f[i+32>>2]=f[l+32>>2];p=f[l+36>>2]|0;f[i+36>>2]=p;q=i+40|0;f[q>>2]=o;o=i+48|0;r=i+44|0;f[r>>2]=o;f[o>>2]=0;f[i+52>>2]=0;if(p|0){o=p+12|0;f[o>>2]=(f[o>>2]|0)+1}if((f[n>>2]|0)<3){n=f[l+44>>2]|0;o=f[r>>2]|0;f[o>>2]=f[n>>2];f[o+4>>2]=f[n+4>>2];s=q;break}else{f[m>>2]=0;kP(i,l);s=q;break}}else{lD(i,a,-1);s=i+40|0}while(0);a=f[s>>2]|0;q=f[a>>2]|0;f[j>>2]=f[a+4>>2];f[j+4>>2]=q;HD(b,j,5,-1,0,0);do if((pD(b)|0)==65536){j=f[b+4>>2]|0;f[k>>2]=f[j>>2];q=k+4|0;a=j+4|0;f[q>>2]=f[a>>2];l=k+8|0;f[l>>2]=f[j+8>>2];f[k+12>>2]=f[j+12>>2];f[k+16>>2]=f[j+16>>2];f[k+20>>2]=f[j+20>>2];f[k+24>>2]=f[j+24>>2];f[k+28>>2]=f[j+28>>2];f[k+32>>2]=f[j+32>>2];m=f[j+36>>2]|0;f[k+36>>2]=m;f[k+40>>2]=l;l=k+48|0;n=k+44|0;f[n>>2]=l;f[l>>2]=0;f[k+52>>2]=0;if(m|0){l=m+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[a>>2]|0)<3){a=f[j+44>>2]|0;l=f[n>>2]|0;f[l>>2]=f[a>>2];f[l+4>>2]=f[a+4>>2];break}else{f[q>>2]=0;kP(k,j);break}}else lD(k,b,-1);while(0);hia(i,k,c,d,0,0.0,e);e=k+36|0;d=f[e>>2]|0;if(d|0?(c=d+12|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)lP(k);f[e>>2]=0;e=k+16|0;d=k+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[d>>2]|0)>0){e=f[k+40>>2]|0;c=0;do{f[e+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[k+44>>2]|0;if((d|0)!=(k+48|0))tE(d);d=i+36|0;k=f[d>>2]|0;if(k|0?(c=k+12|0,k=f[c>>2]|0,f[c>>2]=k+-1,(k|0)==1):0)lP(i);f[d>>2]=0;d=i+16|0;k=i+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[k>>2]|0)>0){d=f[s>>2]|0;s=0;do{f[d+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[k>>2]|0))}k=f[i+44>>2]|0;if((k|0)!=(i+48|0))tE(k);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function hia(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;var j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0.0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0.0,$=0.0,aa=0.0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0;j=u;u=u+224|0;k=j+200|0;l=j+144|0;m=j+88|0;o=j+24|0;p=j;q=j+80|0;r=j+16|0;s=f[a>>2]|0;t=(e|0)>0;v=+(d|0)*(t?+(1<<e+-1|0):4.0);w=(e|0)<0?v*2.0:v;v=1.0/((s&7|0)==0?w*255.0:w);switch(s&4095){case 5:case 0:break;default:{f[k>>2]=0;f[k+4>>2]=0;x=YG(k,47)|0;s=272497;y=x+47|0;do{b[x>>0]=b[s>>0]|0;x=x+1|0;s=s+1|0}while((x|0)<(y|0));iia(k,272545,269)}}f[l>>2]=1124007936;s=l+4|0;z=l+8|0;A=l+40|0;x=s;y=x+36|0;do{f[x>>2]=0;x=x+4|0}while((x|0)<(y|0));f[A>>2]=z;z=l+48|0;B=l+44|0;f[B>>2]=z;f[z>>2]=0;f[l+52>>2]=0;f[m>>2]=1124007936;C=m+4|0;D=m+8|0;E=m+40|0;x=C;y=x+36|0;do{f[x>>2]=0;x=x+4|0}while((x|0)<(y|0));f[E>>2]=D;D=m+48|0;F=m+44|0;f[F>>2]=D;f[D>>2]=0;f[m+52>>2]=0;if(t){f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=a;t=o+8|0;f[t>>2]=0;f[t+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=l;j2(k,o,5,1,0,e,v,0.0,i);f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=a;t=o+8|0;f[t>>2]=0;f[t+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=m;j2(k,o,5,0,1,e,v,0.0,i)}else{f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=a;e=o+8|0;f[e>>2]=0;f[e+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=l;k2(k,o,5,1,0,v,0.0,i);f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=a;e=o+8|0;f[e>>2]=0;f[e+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=m;k2(k,o,5,0,1,v,0.0,i)}e=f[a+40>>2]|0;a=f[e+4>>2]|0;t=f[e>>2]|0;f[o>>2]=1124007936;e=o+4|0;G=o+8|0;H=o+40|0;x=e;y=x+36|0;do{f[x>>2]=0;x=x+4|0}while((x|0)<(y|0));f[H>>2]=G;G=o+48|0;x=o+44|0;f[x>>2]=G;f[G>>2]=0;f[o+52>>2]=0;f[k>>2]=t;f[k+4>>2]=a;iP(o,2,k,21);if((t|0)>0?(y=f[o+16>>2]|0,I=f[f[x>>2]>>2]|0,J=f[l+16>>2]|0,K=f[f[B>>2]>>2]|0,N=f[m+16>>2]|0,O=f[f[F>>2]>>2]|0,(a|0)>0):0){P=0;do{Q=y+(Y(I,P)|0)|0;R=J+(Y(K,P)|0)|0;S=N+(Y(O,P)|0)|0;T=0;do{v=+n[R+(T<<2)>>2];w=+n[S+(T<<2)>>2];U=T*3|0;n[Q+(U<<2)>>2]=v*v;n[Q+(U+1<<2)>>2]=v*w;n[Q+(U+2<<2)>>2]=w*w;T=T+1|0}while((T|0)!=(a|0));P=P+1|0}while((P|0)!=(t|0))}f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=o;t=p+8|0;f[t>>2]=0;f[t+4>>2]=0;f[p>>2]=33619968;f[p+4>>2]=o;t=f[o>>2]&7;f[q>>2]=d;f[q+4>>2]=d;f[r>>2]=-1;f[r+4>>2]=-1;zaa(k,p,t,q,r,0,i);a:do switch(g|0){case 0:{i=f[c+16>>2]|0;r=f[c+44>>2]|0;q=f[H>>2]|0;t=f[q+4>>2]|0;p=f[q>>2]|0;if(f[o>>2]&16384){q=(f[c>>2]&16384|0)!=0;k=Y(q?p:1,t)|0;if(q){V=k;W=1}else{X=k;Z=14}}else{X=t;Z=14}if((Z|0)==14)if((p|0)>0){V=X;W=p}else break a;p=f[o+16>>2]|0;t=f[f[x>>2]>>2]|0;k=f[r>>2]|0;if((V|0)>0){r=0;do{q=p+(Y(r,t)|0)|0;d=i+(Y(r,k)|0)|0;P=0;do{a=P*3|0;w=+n[q+(a<<2)>>2]*.5;v=+n[q+(a+1<<2)>>2];_=+n[q+(a+2<<2)>>2]*.5;$=w-_;aa=w+_-+M(+(v*v+$*$));n[d+(P<<2)>>2]=aa;P=P+1|0}while((P|0)!=(V|0));r=r+1|0}while((r|0)!=(W|0))}break}case 1:{r=f[c+16>>2]|0;k=f[c+44>>2]|0;i=f[H>>2]|0;t=f[i+4>>2]|0;p=f[i>>2]|0;if(f[o>>2]&16384){i=(f[c>>2]&16384|0)!=0;P=Y(i?p:1,t)|0;if(i){ba=P;ca=1}else{da=P;Z=21}}else{da=t;Z=21}if((Z|0)==21)if((p|0)>0){ba=da;ca=p}else break a;p=f[o+16>>2]|0;t=f[f[x>>2]>>2]|0;P=f[k>>2]|0;if((ba|0)>0){k=0;do{i=p+(Y(k,t)|0)|0;d=r+(Y(k,P)|0)|0;q=0;do{a=q*3|0;aa=+n[i+(a<<2)>>2];$=+n[i+(a+1<<2)>>2];v=+n[i+(a+2<<2)>>2];_=aa+v;n[d+(q<<2)>>2]=aa*v-$*$-_*(_*h);q=q+1|0}while((q|0)!=(ba|0));k=k+1|0}while((k|0)!=(ca|0))}break}case 2:{k=f[c+16>>2]|0;P=f[c+44>>2]|0;r=f[H>>2]|0;t=f[r+4>>2]|0;p=f[r>>2]|0;if(f[o>>2]&16384){r=(f[c>>2]&16384|0)!=0;q=Y(r?p:1,t)|0;if(r){ea=q;fa=1}else{ga=q;Z=28}}else{ga=t;Z=28}if((Z|0)==28)if((p|0)>0){ea=ga;fa=p}else break a;p=f[o+16>>2]|0;t=f[f[x>>2]>>2]|0;q=f[P>>2]|0;P=(ea|0)>0;r=0;do{d=p+(Y(r,t)|0)|0;i=k+(Y(r,q)|0)|0;if(P){a=0;do{O=a*3|0;_=+n[d+(O<<2)>>2];$=+n[d+(O+1<<2)>>2];v=$;aa=+n[d+(O+2<<2)>>2];w=(_+aa)*.5;ha=_-aa;ia=+M(+(v*v+ha*ha*.25));ha=ia+w;ja=w-ia;ia=ha-_;w=+L(+$);if(w+ +L(+ia)<.0001){$=ha-aa;ka=w+ +L(+$);la=1.0/(ka+1.1920928955078125e-07);if(ka<.0001){ma=v*la;na=$*la}else{ma=v;na=$}}else{ma=ia;na=v}ia=1.0/+M(+(na*na+ma*ma+2.220446049250313e-16));O=a*6|0;n[i+(O<<2)>>2]=ha;n[i+(O+2<<2)>>2]=na*ia;n[i+(O+3<<2)>>2]=ma*ia;ia=ja-_;if(w+ +L(+ia)<.0001){_=ja-aa;aa=w+ +L(+_);w=1.0/(aa+1.1920928955078125e-07);if(aa<.0001){oa=v*w;pa=_*w}else{oa=v;pa=_}}else{oa=ia;pa=v}v=1.0/+M(+(pa*pa+oa*oa+2.220446049250313e-16));n[i+((O|1)<<2)>>2]=ja;n[i+(O+4<<2)>>2]=pa*v;n[i+(O+5<<2)>>2]=oa*v;a=a+1|0}while((a|0)!=(ea|0))}r=r+1|0}while((r|0)!=(fa|0));break}default:{}}while(0);fa=o+36|0;ea=f[fa>>2]|0;if(ea|0?(ga=ea+12|0,ea=f[ga>>2]|0,f[ga>>2]=ea+-1,(ea|0)==1):0)lP(o);f[fa>>2]=0;fa=o+16|0;f[fa>>2]=0;f[fa+4>>2]=0;f[fa+8>>2]=0;f[fa+12>>2]=0;if((f[e>>2]|0)>0){fa=f[H>>2]|0;H=0;do{f[fa+(H<<2)>>2]=0;H=H+1|0}while((H|0)<(f[e>>2]|0))}e=f[x>>2]|0;if((e|0)!=(G|0))tE(e);e=m+36|0;G=f[e>>2]|0;if(G|0?(x=G+12|0,G=f[x>>2]|0,f[x>>2]=G+-1,(G|0)==1):0)lP(m);f[e>>2]=0;e=m+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[C>>2]|0)>0){e=f[E>>2]|0;E=0;do{f[e+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[C>>2]|0))}C=f[F>>2]|0;if((C|0)!=(D|0))tE(C);C=l+36|0;D=f[C>>2]|0;if(D|0?(F=D+12|0,D=f[F>>2]|0,f[F>>2]=D+-1,(D|0)==1):0)lP(l);f[C>>2]=0;C=l+16|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[s>>2]|0)>0){C=f[A>>2]|0;A=0;do{f[C+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[s>>2]|0))}s=f[B>>2]|0;if((s|0)==(z|0)){u=j;return}tE(s);u=j;return}function iia(a,b,c){a=a|0;b=b|0;c=c|0;SQ(-215,a,b,272565,c);return}function jia(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;h=u;u=u+128|0;i=h+120|0;j=h+64|0;k=h;l=h+8|0;zT(i,58800);do if((pD(a)|0)==65536){m=f[a+4>>2]|0;f[j>>2]=f[m>>2];n=j+4|0;o=m+4|0;f[n>>2]=f[o>>2];p=j+8|0;f[p>>2]=f[m+8>>2];f[j+12>>2]=f[m+12>>2];f[j+16>>2]=f[m+16>>2];f[j+20>>2]=f[m+20>>2];f[j+24>>2]=f[m+24>>2];f[j+28>>2]=f[m+28>>2];f[j+32>>2]=f[m+32>>2];q=f[m+36>>2]|0;f[j+36>>2]=q;r=j+40|0;f[r>>2]=p;p=j+48|0;s=j+44|0;f[s>>2]=p;f[p>>2]=0;f[j+52>>2]=0;if(q|0){p=q+12|0;f[p>>2]=(f[p>>2]|0)+1}if((f[o>>2]|0)<3){o=f[m+44>>2]|0;p=f[s>>2]|0;f[p>>2]=f[o>>2];f[p+4>>2]=f[o+4>>2];t=r;break}else{f[n>>2]=0;kP(j,m);t=r;break}}else{lD(j,a,-1);t=j+40|0}while(0);a=f[t>>2]|0;r=f[a>>2]|0;f[k>>2]=f[a+4>>2];f[k+4>>2]=r;HD(b,k,5,-1,0,0);do if((pD(b)|0)==65536){k=f[b+4>>2]|0;f[l>>2]=f[k>>2];r=l+4|0;a=k+4|0;f[r>>2]=f[a>>2];m=l+8|0;f[m>>2]=f[k+8>>2];f[l+12>>2]=f[k+12>>2];f[l+16>>2]=f[k+16>>2];f[l+20>>2]=f[k+20>>2];f[l+24>>2]=f[k+24>>2];f[l+28>>2]=f[k+28>>2];f[l+32>>2]=f[k+32>>2];n=f[k+36>>2]|0;f[l+36>>2]=n;f[l+40>>2]=m;m=l+48|0;o=l+44|0;f[o>>2]=m;f[m>>2]=0;f[l+52>>2]=0;if(n|0){m=n+12|0;f[m>>2]=(f[m>>2]|0)+1}if((f[a>>2]|0)<3){a=f[k+44>>2]|0;m=f[o>>2]|0;f[m>>2]=f[a>>2];f[m+4>>2]=f[a+4>>2];break}else{f[r>>2]=0;kP(l,k);break}}else lD(l,b,-1);while(0);hia(j,l,c,d,1,e,g);g=l+36|0;d=f[g>>2]|0;if(d|0?(c=d+12|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)lP(l);f[g>>2]=0;g=l+16|0;d=l+4|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[d>>2]|0)>0){g=f[l+40>>2]|0;c=0;do{f[g+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[l+44>>2]|0;if((d|0)!=(l+48|0))tE(d);d=j+36|0;l=f[d>>2]|0;if(l|0?(c=l+12|0,l=f[c>>2]|0,f[c>>2]=l+-1,(l|0)==1):0)lP(j);f[d>>2]=0;d=j+16|0;l=j+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[l>>2]|0)>0){d=f[t>>2]|0;t=0;do{f[d+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[l>>2]|0))}l=f[j+44>>2]|0;if((l|0)!=(j+48|0))tE(l);if(!(f[i+4>>2]|0)){u=h;return}u=h;return}function kia(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;if(!((a|0)!=0&(c|0)!=0)){f[e>>2]=0;f[e+4>>2]=0;SQ(-27,e,272770,272793,60)}if((f[a+28>>2]|0)!=1){f[e>>2]=0;g=e+4|0;f[g>>2]=0;SQ(-201,e,272770,272793,63)}if((f[a+4>>2]|0)<64){f[e>>2]=0;g=e+4|0;f[g>>2]=0;SQ(-201,e,272770,272793,63)}else{eW(a,c,0);e=a+56|0;a=f[e+4>>2]|0;g=c+36|0;f[g>>2]=f[e>>2];f[g+4>>2]=a;b[c+44>>0]=1;b[c+45>>0]=0;b[c+46>>0]=1;b[c+47>>0]=-1;b[c+48>>0]=0;a=c+49|0;b[a>>0]=-1;b[a+1>>0]=-1>>8;b[a+2>>0]=-1>>16;b[a+3>>0]=-1>>24;b[c+53>>0]=0;b[c+54>>0]=-1;b[c+55>>0]=1;b[c+56>>0]=0;b[c+57>>0]=1;b[c+58>>0]=1;b[c+59>>0]=1;u=d;return}}function lia(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;k=u;u=u+48|0;l=k+8|0;m=k;if(!c){f[l>>2]=0;f[l+4>>2]=0;SQ(-27,l,272863,272793,184)}n=PT(a,l,0,0)|0;l=f[n>>2]|0;a=(l&4095|0)==4;o=(e|0)==2&a?4:e;if(!((l&4094|0)==0&(o|0)<4|a&(o|0)==4)){f[m>>2]=0;f[m+4>>2]=0;p=YG(m,119)|0;q=272888;r=p+119|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-210,m,272863,272793,195)}a=f[n+24>>2]|0;l=f[n+20>>2]|0;e=f[n+4>>2]|0;s=f[n+16>>2]|0;if(g>>>0>4){f[m>>2]=0;f[m+4>>2]=0;SQ(-211,m,272863,272793,202)}t=(g|0)==0;if(((t?64:88)|0)>(d|0)){f[m>>2]=0;f[m+4>>2]=0;SQ(-201,m,272863,272793,205)}v=uE(788)|0;Drc(v+8|0,0,780)|0;w=v+4|0;f[w>>2]=c;f[v>>2]=c;f[v+40>>2]=s;x=s+e|0;f[v+44>>2]=x;f[v+48>>2]=e;y=a+-1|0;f[v+52>>2]=y;z=l+-1|0;f[v+56>>2]=z;f[v+244>>2]=o;A=v+60|0;f[A>>2]=h;f[A+4>>2]=i;f[v+72>>2]=1;f[v+68>>2]=1;f[v+76>>2]=0;f[v+80>>2]=1;f[v+84>>2]=2;i=v+180|0;f[v+148>>2]=i;f[v+176>>2]=1;f[v+140>>2]=0;f[v+144>>2]=0;f[v+152>>2]=0;f[v+156>>2]=0;f[v+160>>2]=a;f[v+164>>2]=l;f[v+88>>2]=0;f[v+248>>2]=0;f[i>>2]=32768;i=v+236|0;f[i>>2]=g;f[v+240>>2]=g;do if((g+-3|0)>>>0>=2){A=v+252|0;if(t){f[A>>2]=20480;B=d;C=1;D=0;E=20480;F=A;break}else{f[A>>2]=20492;B=d;C=8;D=g;E=20492;F=A;break}}else{f[i>>2]=0;A=v+252|0;f[A>>2]=20480;B=64;C=1;D=g;E=20480;F=A}while(0);f[v+256>>2]=B;f[v+260>>2]=C;f[v+268>>2]=d;d=(D|0)==0;D=v+264|0;f[D>>2]=d?E:20492;f[v+272>>2]=d?C:8;f[F>>2]=E;f[D>>2]=t?20480:20492;WV(c,v+16|0);if((g|0)>2){g=TV(f[w>>2]|0)|0;f[v>>2]=g}if((o|0)>1){o=TV(f[w>>2]|0)|0;f[v+8>>2]=o;w=tW(0,64,44,o)|0;f[v+12>>2]=w}if((e|0)<=-1){f[m>>2]=0;f[m+4>>2]=0;p=YG(m,9)|0;q=273008;r=p+9|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,m,272863,272793,285)}if((l|0)<=0){f[m>>2]=0;f[m+4>>2]=0;p=YG(m,16)|0;q=273018;r=p+16|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0));SQ(-215,m,272863,272793,286)}if((j|0?(j=f[n>>2]|0,m=(j>>>3&511)+1<<(47696>>>(j<<1&14)&3),j=Y(m,a)|0,Drc(s|0,0,j|0)|0,Drc(s+(Y(e,z)|0)|0,0,j|0)|0,(z|0)>1):0)?(j=Y(m,y)|0,(m|0)>0):0){y=1;s=x;while(1){x=0;do{b[s+(x+j)>>0]=0;b[s+x>>0]=0;x=x+1|0}while((x|0)!=(m|0));y=y+1|0;if((y|0)==(z|0))break;else s=s+e|0}}if((f[n>>2]&4095|0)==4){u=k;return v|0}+fia(n,n,0.0,1.0,0);u=k;return v|0}function mia(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0;c=u;u=u+128|0;d=c+104|0;e=c+88|0;g=c+80|0;h=c+72|0;i=c+8|0;j=c;if(!a){f[d>>2]=0;f[d+4>>2]=0;SQ(-27,d,273035,272793,1007)}k=a+48|0;l=f[k>>2]|0;if((l|0)<=-1){f[d>>2]=0;f[d+4>>2]=0;m=YG(d,22)|0;n=273053;o=m+22|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,d,273035,272793,1013)}p=a+88|0;q=f[p>>2]|0;if(!q)r=l;else{l=a+248|0;if(f[l>>2]|0){s=a+4|0;WV(f[s>>2]|0,d);if((f[d>>2]|0)==(f[a+32>>2]|0)?(f[d+4>>2]|0)==(f[a+36>>2]|0):0)XV(f[s>>2]|0,a+24|0);f[l>>2]=0}l=f[q+12>>2]|0;if(l|0)EW(l,f[(f[q+8>>2]|0)+12>>2]|0,a+180|0);f[p>>2]=0;r=f[k>>2]|0}k=f[a+40>>2]|0;q=a+44|0;l=f[q>>2]|0;s=r>>>2;t=a+68|0;v=f[t>>2]|0;w=a+72|0;x=f[w>>2]|0;y=f[a+52>>2]|0;z=f[a+56>>2]|0;A=f[a+244>>2]|0;B=a+76|0;C=a+84|0;D=v+-1|0;E=(A|0)==4;if(E){F=-1073741824;G=f[l+(D<<2)>>2]|0}else{F=-2;G=b[l+D>>0]|0}if((x|0)>=(z|0)){H=0;u=c;return H|0}D=~F;I=(A|0)==0;J=a+136|0;K=a+4|0;L=a+24|0;M=a+252|0;N=a+256|0;O=a+260|0;P=a+92|0;Q=a+60|0;R=a+64|0;S=a+236|0;T=0-r|0;U=1-r|0;V=i+4|0;W=i+8|0;X=~r;Z=i+12|0;_=i+16|0;$=r+-1|0;aa=i+20|0;ba=i+24|0;ca=r+1|0;da=i+28|0;ea=i+32|0;fa=d+12|0;ga=d+20|0;ha=a+240|0;ia=a+32|0;ja=a+268|0;ka=a+12|0;la=0-s|0;ma=1-s|0;na=~s;oa=s+-1|0;pa=s+1|0;qa=d+12|0;ra=d+20|0;sa=d+12|0;ta=d+20|0;ua=(A|0)<2;va=E?k:0;wa=(va|0)!=0;xa=G;G=f[C>>2]|0;ya=l;l=x;x=v;v=f[B>>2]|0;za=f[a+80>>2]|0;a:while(1){Aa=E?ya:0;b:do if((x|0)<(y|0)){Ba=(Aa|0)!=0;Ca=Y(za,r)|0;Da=Y(za,s)|0;Ea=0;Fa=xa;Ga=G;Ha=x;Ia=v;while(1){Ja=(Ha|0)<(y|0);c:do if(Ba)if(Ja){Ka=Fa;La=Ha;while(1){Ma=f[Aa+(La<<2)>>2]|0;if((Ma|0)!=(Ka|0)?(Ma^Ka)&D|0:0){Na=Ma;Oa=Ka;Pa=La;break c}Qa=La+1|0;if((Qa|0)<(y|0)){Ka=Ma;La=Qa}else{Na=Ma;Oa=Ma;Pa=Qa;break}}}else{Na=Ea;Oa=Fa;Pa=Ha}else if(Ja){La=Ha;while(1){Ka=b[ya+La>>0]|0;if((Ka|0)!=(Fa|0)){Na=Ka;Oa=Fa;Pa=La;break c}Ka=La+1|0;if((Ka|0)<(y|0))La=Ka;else{Na=Fa;Oa=Fa;Pa=Ka;break}}}else{Na=Ea;Oa=Fa;Pa=Ha}while(0);if((Pa|0)>=(y|0)){Ra=Ga;break b}if(Ba){Ja=(Oa&F|0)!=0;La=(Na&F|0)==0;if(!(((Oa|0)==0|Ja)&La))if(La&(Ja^1))if(Ja)Sa=36;else{Ta=1;Ua=Ia;Sa=37}else{Va=Ga;Wa=Na;Xa=Ia}else{Ta=0;Ua=Ia;Sa=37}}else if(!((Oa|0)==0&(Na|0)==1))if(!((Oa|0)<1|(Na|0)!=0))if(!(Oa&F)){Ta=1;Ua=Ia;Sa=37}else Sa=36;else{Va=Ga;Wa=Na;Xa=Ia}else{Ta=0;Ua=Ia;Sa=37}if((Sa|0)==36){Sa=0;Ta=1;Ua=Pa+-1|0;Sa=37}d:do if((Sa|0)==37){Sa=0;e:do if(I){if(Ta|0){Va=Ga;Wa=Na;Xa=Ua;break d}if((b[k+(Ua+Ca)>>0]|0)>0){Va=Ga;Wa=Na;Xa=Ua;break d}else{Ya=J;Za=Pa;_a=1}}else{Ja=Pa-Ta|0;if(!ua){if(!Ta)switch(A|0){case 2:case 4:{Ya=J;Za=Ja;_a=0;break e;break}default:{}}if((Ua|0)>=1){if(wa)$a=f[va+(Ua+Da<<2)>>2]|0;else $a=b[k+(Ua+Ca)>>0]|0;La=f[a+276+(($a&127)<<2)>>2]|0;if(!La){Sa=81;break a}Ka=Aa+(Ua<<2)|0;Qa=ya+Ua|0;Ma=La;La=0;f:while(1){do if((Ua-(f[Ma+16>>2]|0)|0)>>>0<(f[Ma+24>>2]|0)>>>0){if((za-(f[Ma+20>>2]|0)|0)>>>0>=(f[Ma+28>>2]|0)>>>0){ab=La;break}if(!La){ab=Ma;break}bb=f[La+36>>2]|0;if(!wa){cb=k+(Y(bb,r)|0)|0;db=cb+(f[La+32>>2]|0)|0;cb=f[La+40>>2]|0;f[i>>2]=1;f[V>>2]=U;f[W>>2]=T;f[Z>>2]=X;f[_>>2]=-1;f[aa>>2]=$;f[ba>>2]=r;f[da>>2]=ca;f[ea>>2]=f[i>>2];f[ea+4>>2]=f[i+4>>2];f[ea+8>>2]=f[i+8>>2];f[ea+12>>2]=f[i+12>>2];f[ea+16>>2]=f[i+16>>2];f[ea+20>>2]=f[i+20>>2];f[ea+24>>2]=f[i+24>>2];f[ea+28>>2]=f[i+28>>2];eb=cb|0?0:4;cb=eb;do{cb=cb+7&7;fb=db+(f[i+(cb<<2)>>2]|0)|0;gb=(cb|0)==(eb|0)}while(!((b[fb>>0]|0)!=0|gb));g:do if(gb)hb=db;else{eb=db;ib=cb;while(1){jb=ib;while(1){kb=jb+1|0;lb=eb+(f[i+(kb<<2)>>2]|0)|0;if(!lb){Sa=72;break a}if((kb|0)<15&(b[lb>>0]|0)==0)jb=kb;else break}if((eb|0)==(Qa|0)){Sa=75;break f}if((eb|0)==(fb|0)&(lb|0)==(db|0)){hb=fb;break g}eb=lb;ib=jb+5&7}}while(0);if((hb|0)==(Qa|0)){mb=La;break f}else{ab=Ma;break}}db=va+((Y(bb,s)|0)<<2)|0;cb=db+(f[La+32>>2]<<2)|0;if(!cb){Sa=54;break a}db=f[La+40>>2]|0;ib=f[cb>>2]&1073741823;f[i>>2]=1;f[V>>2]=ma;f[W>>2]=la;f[Z>>2]=na;f[_>>2]=-1;f[aa>>2]=oa;f[ba>>2]=s;f[da>>2]=pa;f[ea>>2]=f[i>>2];f[ea+4>>2]=f[i+4>>2];f[ea+8>>2]=f[i+8>>2];f[ea+12>>2]=f[i+12>>2];f[ea+16>>2]=f[i+16>>2];f[ea+20>>2]=f[i+20>>2];f[ea+24>>2]=f[i+24>>2];f[ea+28>>2]=f[i+28>>2];eb=db|0?0:4;db=eb;do{db=db+7&7;nb=cb+(f[i+(db<<2)>>2]<<2)|0;ob=(db|0)==(eb|0)}while(!(ob|(f[nb>>2]&1073741823|0)==(ib|0)));h:do if(ob)pb=cb;else{eb=cb;bb=db;while(1){kb=bb;while(1){qb=kb+1|0;rb=eb+(f[i+(qb<<2)>>2]<<2)|0;if(!rb){Sa=60;break a}if((qb|0)<15?(f[rb>>2]&1073741823|0)!=(ib|0):0)kb=qb;else break}if((eb|0)==(Ka|0)){Sa=63;break f}if((eb|0)==(nb|0)&(rb|0)==(cb|0)){pb=nb;break h}eb=rb;bb=kb+5&7}}while(0);if((pb|0)==(Ka|0)){mb=La;break f}else ab=Ma}else ab=La;while(0);Ma=f[Ma+4>>2]|0;if(!Ma){mb=ab;break}else La=ab}if((Sa|0)==63){Sa=0;mb=La}else if((Sa|0)==75){Sa=0;mb=La}if(!mb){Sa=81;break a}if((f[mb+40>>2]|0)==(Ta|0)){Ma=f[mb+8>>2]|0;sb=(Ma|0)==0?J:Ma}else sb=mb;if(!(f[sb+12>>2]|0)){Va=Ga;Wa=Na;Xa=Ua;break d}else{Ya=sb;Za=Ja;_a=0}}else{Ya=J;Za=Ja;_a=0}}else{Ya=J;Za=Ja;_a=1}}while(0);WV(f[K>>2]|0,L);Ma=$V(f[M>>2]|0,f[N>>2]|0,f[O>>2]|0,f[a>>2]|0)|0;f[Ma>>2]=f[Ma>>2]|(Ta|0?32768:0);f[j>>2]=0;if(_a){f[j>>2]=P;Ka=ya+Pa+(0-Ta)|0;Qa=(f[Q>>2]|0)+Za|0;cb=(f[R>>2]|0)+l|0;ib=f[S>>2]|0;f[i>>2]=1;f[V>>2]=U;f[W>>2]=T;f[Z>>2]=X;f[_>>2]=-1;f[aa>>2]=$;f[ba>>2]=r;f[da>>2]=ca;f[ea>>2]=f[i>>2];f[ea+4>>2]=f[i+4>>2];f[ea+8>>2]=f[i+8>>2];f[ea+12>>2]=f[i+12>>2];f[ea+16>>2]=f[i+16>>2];f[ea+20>>2]=f[i+20>>2];f[ea+24>>2]=f[i+24>>2];f[ea+28>>2]=f[i+28>>2];gW(Ma,d);db=(ib|0)<1;if(db){bb=Ma+56|0;f[bb>>2]=Qa;f[bb+4>>2]=cb}bb=(f[Ma>>2]|0)>>>13&4^4;eb=bb;do{eb=eb+7&7;tb=Ka+(f[i+(eb<<2)>>2]|0)|0;ub=(eb|0)==(bb|0)}while(!((b[tb>>0]|0)!=0|ub));i:do if(ub){b[Ka>>0]=-126;if((ib|0)>0){bb=f[fa>>2]|0;if(bb>>>0<(f[ga>>2]|0)>>>0)vb=bb;else{kW(d);vb=f[fa>>2]|0}bb=vb;jb=bb;b[jb>>0]=Qa;b[jb+1>>0]=Qa>>8;b[jb+2>>0]=Qa>>16;b[jb+3>>0]=Qa>>24;jb=bb+4|0;b[jb>>0]=cb;b[jb+1>>0]=cb>>8;b[jb+2>>0]=cb>>16;b[jb+3>>0]=cb>>24;f[fa>>2]=(f[fa>>2]|0)+8;jW(d)|0;Sa=133}else Sa=132}else{if(db){jb=Ka;bb=eb;while(1){qb=bb;while(1){wb=qb+1|0;xb=jb+(f[i+(wb<<2)>>2]|0)|0;if(!xb){Sa=121;break a}if((wb|0)<15&(b[xb>>0]|0)==0)qb=wb;else break}yb=wb&7;if((yb+-1|0)>>>0>=bb>>>0){if((b[jb>>0]|0)==1){zb=2;Sa=114}}else{zb=-126;Sa=114}if((Sa|0)==114){Sa=0;b[jb>>0]=zb}Ab=f[fa>>2]|0;if(Ab>>>0<(f[ga>>2]|0)>>>0)Bb=Ab;else{kW(d);Bb=f[fa>>2]|0}b[Bb>>0]=yb;f[fa>>2]=(f[fa>>2]|0)+1;if((jb|0)==(tb|0)&(xb|0)==(Ka|0)){Sa=132;break i}jb=xb;bb=qb+5&7}}if((ib|0)==1){bb=Ka;jb=eb;Ja=Qa;La=cb;while(1){yb=jb;while(1){Cb=yb+1|0;Db=bb+(f[i+(Cb<<2)>>2]|0)|0;if(!Db){Sa=121;break a}if((Cb|0)<15&(b[Db>>0]|0)==0)yb=Cb;else break}qb=Cb&7;if((qb+-1|0)>>>0>=jb>>>0){if((b[bb>>0]|0)==1){Eb=2;Sa=104}}else{Eb=-126;Sa=104}if((Sa|0)==104){Sa=0;b[bb>>0]=Eb}Ab=f[fa>>2]|0;if(Ab>>>0<(f[ga>>2]|0)>>>0)Fb=Ab;else{kW(d);Fb=f[fa>>2]|0}Ab=Fb;Gb=Ab;b[Gb>>0]=Ja;b[Gb+1>>0]=Ja>>8;b[Gb+2>>0]=Ja>>16;b[Gb+3>>0]=Ja>>24;Gb=Ab+4|0;b[Gb>>0]=La;b[Gb+1>>0]=La>>8;b[Gb+2>>0]=La>>16;b[Gb+3>>0]=La>>24;f[fa>>2]=(f[fa>>2]|0)+8;if((bb|0)==(tb|0)&(Db|0)==(Ka|0)){Sa=132;break i}bb=Db;jb=yb+5&7;Ja=(f[58820+(qb<<3)>>2]|0)+Ja|0;La=(f[58820+(qb<<3)+4>>2]|0)+La|0}}La=Ka;Ja=eb^4;jb=eb;bb=Qa;qb=cb;while(1){Gb=jb;while(1){Hb=Gb+1|0;Ib=La+(f[i+(Hb<<2)>>2]|0)|0;if(!Ib){Sa=121;break a}if((Hb|0)<15&(b[Ib>>0]|0)==0)Gb=Hb;else break}yb=Hb&7;if((yb+-1|0)>>>0>=jb>>>0){if((b[La>>0]|0)==1){Jb=2;Sa=125}}else{Jb=-126;Sa=125}if((Sa|0)==125){Sa=0;b[La>>0]=Jb}if((yb|0)==(Ja|0))Kb=Ja;else{Ab=f[fa>>2]|0;if(Ab>>>0<(f[ga>>2]|0)>>>0)Lb=Ab;else{kW(d);Lb=f[fa>>2]|0}Ab=Lb;Mb=Ab;b[Mb>>0]=bb;b[Mb+1>>0]=bb>>8;b[Mb+2>>0]=bb>>16;b[Mb+3>>0]=bb>>24;Mb=Ab+4|0;b[Mb>>0]=qb;b[Mb+1>>0]=qb>>8;b[Mb+2>>0]=qb>>16;b[Mb+3>>0]=qb>>24;f[fa>>2]=(f[fa>>2]|0)+8;Kb=yb}if((La|0)==(tb|0)&(Ib|0)==(Ka|0)){Sa=132;break i}La=Ib;Ja=Kb;jb=Gb+5&7;bb=(f[58820+(yb<<3)>>2]|0)+bb|0;qb=(f[58820+(yb<<3)+4>>2]|0)+qb|0}}while(0);if((Sa|0)==132?(Sa=0,jW(d)|0,ib|0):0)Sa=133;if((Sa|0)==133){Sa=0;Zha(e,Ma,1)}Nb=Ga;Ob=f[j>>2]|0}else{uW(f[ka>>2]|0,0,j)|0;Ka=f[j>>2]|0;if(!Ka){Sa=136;break a}cb=0-Ta|0;if(Ba){Qa=f[Aa+(Za<<2)>>2]&127;eb=Aa+(Pa<<2)+(cb<<2)|0;db=(f[Q>>2]|0)+Za|0;qb=(f[R>>2]|0)+l|0;bb=f[S>>2]|0;if(!eb){Sa=139;break a}f[e>>2]=0;f[g>>2]=0;jb=f[eb>>2]|0;Ja=jb&1073741823;La=Ja|1073741824;yb=jb|-1073741824;f[i>>2]=1;f[V>>2]=ma;f[W>>2]=la;f[Z>>2]=na;f[_>>2]=-1;f[aa>>2]=oa;f[ba>>2]=s;f[da>>2]=pa;f[ea>>2]=f[i>>2];f[ea+4>>2]=f[i+4>>2];f[ea+8>>2]=f[i+8>>2];f[ea+12>>2]=f[i+12>>2];f[ea+16>>2]=f[i+16>>2];f[ea+20>>2]=f[i+20>>2];f[ea+24>>2]=f[i+24>>2];f[ea+28>>2]=f[i+28>>2];gW(Ma,d);jb=(bb|0)<1;if(jb){Mb=Ma+56|0;f[Mb>>2]=db;f[Mb+4>>2]=qb}f[g>>2]=db;f[e>>2]=db;Mb=(f[Ma>>2]|0)>>>13&4^4;Ab=Mb;do{Ab=Ab+7&7;Pb=eb+(f[i+(Ab<<2)>>2]<<2)|0;Qb=(Ab|0)==(Mb|0)}while(!(Qb|(f[Pb>>2]&1073741823|0)==(Ja|0)));j:do if(Qb){f[eb>>2]=yb;if((bb|0)<=0){Rb=qb;Sb=qb;break}Mb=f[qa>>2]|0;if(Mb>>>0<(f[ra>>2]|0)>>>0)Tb=Mb;else{kW(d);Tb=f[qa>>2]|0}Mb=Tb;ib=Mb;b[ib>>0]=db;b[ib+1>>0]=db>>8;b[ib+2>>0]=db>>16;b[ib+3>>0]=db>>24;ib=Mb+4|0;b[ib>>0]=qb;b[ib+1>>0]=qb>>8;b[ib+2>>0]=qb>>16;b[ib+3>>0]=qb>>24;f[qa>>2]=(f[qa>>2]|0)+8;Rb=qb;Sb=qb}else{ib=Ab^4;if(jb){Mb=eb;Ub=ib;Vb=Ab;Wb=db;Xb=qb;Yb=qb;Zb=qb;while(1){_b=Vb;while(1){$b=_b+1|0;ac=Mb+(f[i+($b<<2)>>2]<<2)|0;if(!ac){Sa=184;break a}if(($b|0)<15?(f[ac>>2]&1073741823|0)!=(Ja|0):0)_b=$b;else break}Gb=$b&7;if((Gb+-1|0)>>>0>=Vb>>>0){if((f[Mb>>2]|0)==(Ja|0)){bc=La;Sa=172}}else{bc=yb;Sa=172}if((Sa|0)==172){Sa=0;f[Mb>>2]=bc}cc=f[qa>>2]|0;if(cc>>>0<(f[ra>>2]|0)>>>0)dc=cc;else{kW(d);dc=f[qa>>2]|0}b[dc>>0]=Gb;f[qa>>2]=(f[qa>>2]|0)+1;if((Gb|0)==(Ub|0)){ec=Xb;fc=Yb}else{if((Wb|0)>=(f[e>>2]|0)){if((Wb|0)>(f[g>>2]|0)){gc=g;Sa=178}}else{gc=e;Sa=178}if((Sa|0)==178){Sa=0;f[gc>>2]=Wb}cc=(Zb|0)<(Xb|0);ec=cc?Zb:Xb;fc=cc?Yb:(Zb|0)>(Yb|0)?Zb:Yb}if((Mb|0)==(Pb|0)&(ac|0)==(eb|0)){Rb=ec;Sb=fc;break j}Mb=ac;Ub=Gb;Vb=_b+5&7;Wb=(f[58820+(Gb<<3)>>2]|0)+Wb|0;Xb=ec;Yb=fc;Zb=(f[58820+(Gb<<3)+4>>2]|0)+Zb|0}}if((bb|0)==1){Zb=eb;Yb=ib;Xb=Ab;Wb=db;Vb=qb;Ub=qb;Mb=qb;while(1){Gb=Xb;while(1){hc=Gb+1|0;ic=Zb+(f[i+(hc<<2)>>2]<<2)|0;if(!ic){Sa=184;break a}if((hc|0)<15?(f[ic>>2]&1073741823|0)!=(Ja|0):0)Gb=hc;else break}_b=hc&7;if((_b+-1|0)>>>0>=Xb>>>0){if((f[Zb>>2]|0)==(Ja|0)){jc=La;Sa=157}}else{jc=yb;Sa=157}if((Sa|0)==157){Sa=0;f[Zb>>2]=jc}cc=f[qa>>2]|0;if(cc>>>0<(f[ra>>2]|0)>>>0)kc=cc;else{kW(d);kc=f[qa>>2]|0}cc=kc;lc=cc;b[lc>>0]=Wb;b[lc+1>>0]=Wb>>8;b[lc+2>>0]=Wb>>16;b[lc+3>>0]=Wb>>24;lc=cc+4|0;b[lc>>0]=Mb;b[lc+1>>0]=Mb>>8;b[lc+2>>0]=Mb>>16;b[lc+3>>0]=Mb>>24;f[qa>>2]=(f[qa>>2]|0)+8;if((_b|0)==(Yb|0)){mc=Vb;nc=Ub}else{if((Wb|0)>=(f[e>>2]|0)){if((Wb|0)>(f[g>>2]|0)){oc=g;Sa=163}}else{oc=e;Sa=163}if((Sa|0)==163){Sa=0;f[oc>>2]=Wb}lc=(Mb|0)<(Vb|0);mc=lc?Mb:Vb;nc=lc?Ub:(Mb|0)>(Ub|0)?Mb:Ub}if((Zb|0)==(Pb|0)&(ic|0)==(eb|0)){Rb=mc;Sb=nc;break j}Zb=ic;Yb=_b;Xb=Gb+5&7;Wb=(f[58820+(_b<<3)>>2]|0)+Wb|0;Vb=mc;Ub=nc;Mb=(f[58820+(_b<<3)+4>>2]|0)+Mb|0}}else{pc=eb;qc=ib;rc=Ab;sc=db;tc=qb;uc=qb;vc=qb}while(1){Mb=rc;while(1){wc=Mb+1|0;xc=pc+(f[i+(wc<<2)>>2]<<2)|0;if(!xc){Sa=184;break a}if((wc|0)<15?(f[xc>>2]&1073741823|0)!=(Ja|0):0)Mb=wc;else break}Gb=wc&7;if((Gb+-1|0)>>>0>=rc>>>0){if((f[pc>>2]|0)==(Ja|0)){yc=La;Sa=188}}else{yc=yb;Sa=188}if((Sa|0)==188){Sa=0;f[pc>>2]=yc}Ub=(Gb|0)==(qc|0);do if(Ub){zc=tc;Ac=uc}else{Vb=f[qa>>2]|0;if(Vb>>>0<(f[ra>>2]|0)>>>0)Bc=Vb;else{kW(d);Bc=f[qa>>2]|0}Vb=Bc;Wb=Vb;b[Wb>>0]=sc;b[Wb+1>>0]=sc>>8;b[Wb+2>>0]=sc>>16;b[Wb+3>>0]=sc>>24;Wb=Vb+4|0;b[Wb>>0]=vc;b[Wb+1>>0]=vc>>8;b[Wb+2>>0]=vc>>16;b[Wb+3>>0]=vc>>24;f[qa>>2]=(f[qa>>2]|0)+8;if(Ub){zc=tc;Ac=uc;break}if((sc|0)>=(f[e>>2]|0)){if((sc|0)>(f[g>>2]|0)){Cc=g;Sa=195}}else{Cc=e;Sa=195}if((Sa|0)==195){Sa=0;f[Cc>>2]=sc}Wb=(vc|0)<(tc|0);zc=Wb?vc:tc;Ac=Wb?uc:(vc|0)>(uc|0)?vc:uc}while(0);if((pc|0)==(Pb|0)&(xc|0)==(eb|0)){Rb=zc;Sb=Ac;break j}pc=xc;qc=Gb;rc=Mb+5&7;sc=(f[58820+(Gb<<3)>>2]|0)+sc|0;tc=zc;uc=Ac;vc=(f[58820+(Gb<<3)+4>>2]|0)+vc|0}}while(0);eb=f[e>>2]|0;yb=1-eb+(f[g>>2]|0)|0;f[g>>2]=yb;La=1-Rb+Sb|0;jW(d)|0;if(bb|0){f[Ma+56>>2]=eb;f[Ma+60>>2]=Rb;f[Ma+64>>2]=yb;f[Ma+68>>2]=La}f[Ka+16>>2]=eb;f[Ka+20>>2]=Rb;f[Ka+24>>2]=yb;f[Ka+28>>2]=La;Dc=Qa;Ec=Ga}else{La=Ga+1&127;yb=((La|0)==0?3:0)+La|0;La=ya+Pa+cb|0;eb=(f[Q>>2]|0)+Za|0;Ja=(f[R>>2]|0)+l|0;qb=f[S>>2]|0;f[e>>2]=0;f[g>>2]=0;f[i>>2]=1;f[V>>2]=U;f[W>>2]=T;f[Z>>2]=X;f[_>>2]=-1;f[aa>>2]=$;f[ba>>2]=r;f[da>>2]=ca;f[ea>>2]=f[i>>2];f[ea+4>>2]=f[i+4>>2];f[ea+8>>2]=f[i+8>>2];f[ea+12>>2]=f[i+12>>2];f[ea+16>>2]=f[i+16>>2];f[ea+20>>2]=f[i+20>>2];f[ea+24>>2]=f[i+24>>2];f[ea+28>>2]=f[i+28>>2];gW(Ma,d);db=(qb|0)<1;if(db){Ab=Ma+56|0;f[Ab>>2]=eb;f[Ab+4>>2]=Ja}f[g>>2]=eb;f[e>>2]=eb;Ab=(f[Ma>>2]|0)>>>13&4^4;jb=Ab;do{jb=jb+7&7;Fc=La+(f[i+(jb<<2)>>2]|0)|0;Gc=(jb|0)==(Ab|0)}while(!((b[Fc>>0]|0)!=0|Gc));k:do if(Gc){b[La>>0]=Ga|128;if((qb|0)<=0){Hc=Ja;Ic=Ja;break}Ab=f[sa>>2]|0;if(Ab>>>0<(f[ta>>2]|0)>>>0)Jc=Ab;else{kW(d);Jc=f[sa>>2]|0}Ab=Jc;cb=Ab;b[cb>>0]=eb;b[cb+1>>0]=eb>>8;b[cb+2>>0]=eb>>16;b[cb+3>>0]=eb>>24;cb=Ab+4|0;b[cb>>0]=Ja;b[cb+1>>0]=Ja>>8;b[cb+2>>0]=Ja>>16;b[cb+3>>0]=Ja>>24;f[sa>>2]=(f[sa>>2]|0)+8;Hc=Ja;Ic=Ja}else{cb=jb^4;Ab=Ga|128;if(db){Qa=La;bb=cb;ib=jb;Ub=eb;Wb=Ja;Vb=Ja;Xb=Ja;while(1){Yb=ib;while(1){Kc=Yb+1|0;Lc=Qa+(f[i+(Kc<<2)>>2]|0)|0;if(!Lc){Sa=246;break a}if((Kc|0)<15&(b[Lc>>0]|0)==0)Yb=Kc;else break}Gb=Kc&7;if((Gb+-1|0)>>>0>=ib>>>0){if((b[Qa>>0]|0)==1){Mc=Ga;Sa=234}}else{Mc=Ab;Sa=234}if((Sa|0)==234){Sa=0;b[Qa>>0]=Mc}Mb=f[sa>>2]|0;if(Mb>>>0<(f[ta>>2]|0)>>>0)Nc=Mb;else{kW(d);Nc=f[sa>>2]|0}b[Nc>>0]=Gb;f[sa>>2]=(f[sa>>2]|0)+1;if((Gb|0)==(bb|0)){Oc=Wb;Pc=Vb}else{if((Ub|0)>=(f[e>>2]|0)){if((Ub|0)>(f[g>>2]|0)){Qc=g;Sa=240}}else{Qc=e;Sa=240}if((Sa|0)==240){Sa=0;f[Qc>>2]=Ub}Mb=(Xb|0)<(Wb|0);Oc=Mb?Xb:Wb;Pc=Mb?Vb:(Xb|0)>(Vb|0)?Xb:Vb}if((Qa|0)==(Fc|0)&(Lc|0)==(La|0)){Hc=Oc;Ic=Pc;break k}Qa=Lc;bb=Gb;ib=Yb+5&7;Ub=(f[58820+(Gb<<3)>>2]|0)+Ub|0;Wb=Oc;Vb=Pc;Xb=(f[58820+(Gb<<3)+4>>2]|0)+Xb|0}}if((qb|0)==1){Xb=La;Vb=cb;Wb=jb;Ub=eb;ib=Ja;bb=Ja;Qa=Ja;while(1){Gb=Wb;while(1){Rc=Gb+1|0;Sc=Xb+(f[i+(Rc<<2)>>2]|0)|0;if(!Sc){Sa=246;break a}if((Rc|0)<15&(b[Sc>>0]|0)==0)Gb=Rc;else break}Yb=Rc&7;if((Yb+-1|0)>>>0>=Wb>>>0){if((b[Xb>>0]|0)==1){Tc=Ga;Sa=219}}else{Tc=Ab;Sa=219}if((Sa|0)==219){Sa=0;b[Xb>>0]=Tc}Mb=f[sa>>2]|0;if(Mb>>>0<(f[ta>>2]|0)>>>0)Uc=Mb;else{kW(d);Uc=f[sa>>2]|0}Mb=Uc;Zb=Mb;b[Zb>>0]=Ub;b[Zb+1>>0]=Ub>>8;b[Zb+2>>0]=Ub>>16;b[Zb+3>>0]=Ub>>24;Zb=Mb+4|0;b[Zb>>0]=Qa;b[Zb+1>>0]=Qa>>8;b[Zb+2>>0]=Qa>>16;b[Zb+3>>0]=Qa>>24;f[sa>>2]=(f[sa>>2]|0)+8;if((Yb|0)==(Vb|0)){Vc=ib;Wc=bb}else{if((Ub|0)>=(f[e>>2]|0)){if((Ub|0)>(f[g>>2]|0)){Xc=g;Sa=225}}else{Xc=e;Sa=225}if((Sa|0)==225){Sa=0;f[Xc>>2]=Ub}Zb=(Qa|0)<(ib|0);Vc=Zb?Qa:ib;Wc=Zb?bb:(Qa|0)>(bb|0)?Qa:bb}if((Xb|0)==(Fc|0)&(Sc|0)==(La|0)){Hc=Vc;Ic=Wc;break k}Xb=Sc;Vb=Yb;Wb=Gb+5&7;Ub=(f[58820+(Yb<<3)>>2]|0)+Ub|0;ib=Vc;bb=Wc;Qa=(f[58820+(Yb<<3)+4>>2]|0)+Qa|0}}else{Yc=La;Zc=cb;_c=jb;$c=eb;ad=Ja;bd=Ja;cd=Ja}while(1){Qa=_c;while(1){dd=Qa+1|0;ed=Yc+(f[i+(dd<<2)>>2]|0)|0;if(!ed){Sa=246;break a}if((dd|0)<15&(b[ed>>0]|0)==0)Qa=dd;else break}Gb=dd&7;if((Gb+-1|0)>>>0>=_c>>>0){if((b[Yc>>0]|0)==1){fd=Ga;Sa=250}}else{fd=Ab;Sa=250}if((Sa|0)==250){Sa=0;b[Yc>>0]=fd}bb=(Gb|0)==(Zc|0);do if(bb){gd=ad;hd=bd}else{ib=f[sa>>2]|0;if(ib>>>0<(f[ta>>2]|0)>>>0)id=ib;else{kW(d);id=f[sa>>2]|0}ib=id;Ub=ib;b[Ub>>0]=$c;b[Ub+1>>0]=$c>>8;b[Ub+2>>0]=$c>>16;b[Ub+3>>0]=$c>>24;Ub=ib+4|0;b[Ub>>0]=cd;b[Ub+1>>0]=cd>>8;b[Ub+2>>0]=cd>>16;b[Ub+3>>0]=cd>>24;f[sa>>2]=(f[sa>>2]|0)+8;if(bb){gd=ad;hd=bd;break}if(($c|0)>=(f[e>>2]|0)){if(($c|0)>(f[g>>2]|0)){jd=g;Sa=257}}else{jd=e;Sa=257}if((Sa|0)==257){Sa=0;f[jd>>2]=$c}Ub=(cd|0)<(ad|0);gd=Ub?cd:ad;hd=Ub?bd:(cd|0)>(bd|0)?cd:bd}while(0);if((Yc|0)==(Fc|0)&(ed|0)==(La|0)){Hc=gd;Ic=hd;break k}Yc=ed;Zc=Gb;_c=Qa+5&7;$c=(f[58820+(Gb<<3)>>2]|0)+$c|0;ad=gd;bd=hd;cd=(f[58820+(Gb<<3)+4>>2]|0)+cd|0}}while(0);La=f[e>>2]|0;Ja=1-La+(f[g>>2]|0)|0;f[g>>2]=Ja;eb=1-Hc+Ic|0;jW(d)|0;if(qb|0){f[Ma+56>>2]=La;f[Ma+60>>2]=Hc;f[Ma+64>>2]=Ja;f[Ma+68>>2]=eb}f[Ka+16>>2]=La;f[Ka+20>>2]=Hc;f[Ka+24>>2]=Ja;f[Ka+28>>2]=eb;Dc=Ga;Ec=yb}eb=f[j>>2]|0;Ja=eb+16|0;f[Ja>>2]=(f[Ja>>2]|0)-(f[Q>>2]|0);Ja=eb+20|0;f[Ja>>2]=(f[Ja>>2]|0)-(f[R>>2]|0);Ja=a+276+(Dc<<2)|0;f[eb+4>>2]=f[Ja>>2];f[Ja>>2]=eb;Nb=Ec;Ob=eb}f[Ob+40>>2]=Ta;f[Ob+12>>2]=Ma;eb=Ob+32|0;f[eb>>2]=Za;f[eb+4>>2]=l;f[Ob+8>>2]=Ya;eb=f[ha>>2]|0;if((f[S>>2]|0)==(eb|0)){kd=Ya;ld=Ma;md=Ob}else{Ja=R7(Ma,f[ja>>2]|0,f[K>>2]|0,eb)|0;f[(f[j>>2]|0)+12>>2]=Ja;VV(f[a>>2]|0);Ja=f[j>>2]|0;kd=f[Ja+8>>2]|0;ld=f[Ja+12>>2]|0;md=Ja}f[ld+16>>2]=f[kd+12>>2];nd=f[K>>2]|0;if(f[Ya+12>>2]|0){Sa=274;break a}f[md+12>>2]=0;Ja=f[a>>2]|0;if((Ja|0)==(nd|0))XV(nd,L);else VV(Ja);Va=Nb;Wa=b[ya+Pa>>0]|0;Xa=Za}while(0);Ha=Pa+1|0;if((Ha|0)>=(y|0)){Ra=Va;break}else{Ea=Wa;Fa=Wa;Ga=Va;Ia=Wa>>>0>1?Pa:Xa}}}else Ra=G;while(0);Aa=l+1|0;if((Aa|0)<(z|0)){xa=0;G=Ra;ya=ya+r|0;l=Aa;x=1;v=0;za=Aa}else{H=0;Sa=275;break}}switch(Sa|0){case 54:{f[d>>2]=0;f[d+4>>2]=0;m=YG(d,11)|0;n=273076;o=m+11|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,d,273088,272793,816);break}case 60:{f[d>>2]=0;f[d+4>>2]=0;m=YG(d,10)|0;n=273108;o=m+10|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,d,273088,272793,852);break}case 72:{f[d>>2]=0;f[d+4>>2]=0;m=YG(d,10)|0;n=273108;o=m+10|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,d,273119,272793,664);break}case 81:{f[d>>2]=0;f[d+4>>2]=0;m=YG(d,13)|0;n=273135;o=m+13|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,d,273035,272793,1176);break}case 121:{f[e>>2]=0;f[e+4>>2]=0;m=YG(e,10)|0;n=273108;o=m+10|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,e,273149,272793,568);break}case 136:{f[d>>2]=0;f[d+4>>2]=0;e=YG(d,7)|0;b[e>>0]=b[273165]|0;b[e+1>>0]=b[273166]|0;b[e+2>>0]=b[273167]|0;b[e+3>>0]=b[273168]|0;b[e+4>>0]=b[273169]|0;b[e+5>>0]=b[273170]|0;b[e+6>>0]=b[273171]|0;SQ(-215,d,273035,272793,1218);break}case 139:{f[d>>2]=0;f[d+4>>2]=0;m=YG(d,11)|0;n=273076;o=m+11|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,d,273173,272793,876);break}case 184:{f[h>>2]=0;f[h+4>>2]=0;m=YG(h,10)|0;n=273108;o=m+10|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,h,273173,272793,936);break}case 246:{f[h>>2]=0;f[h+4>>2]=0;m=YG(h,10)|0;n=273108;o=m+10|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,h,273195,272793,745);break}case 274:{WV(nd,ia);ia=f[j>>2]|0;f[p>>2]=ia;f[t>>2]=Pa+1+(Ba?0-Ta|0:0);f[w>>2]=l;l=B;f[l>>2]=Za;f[l+4>>2]=za;f[q>>2]=ya;f[C>>2]=Nb;H=f[ia+12>>2]|0;u=c;return H|0}case 275:{u=c;return H|0}}return 0}function nia(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=u;u=u+16|0;c=b;if(!a){f[c>>2]=0;f[c+4>>2]=0;SQ(-27,c,273213,272793,1321)}d=f[a>>2]|0;if(!d){e=0;u=b;return e|0}g=d+88|0;h=f[g>>2]|0;if(h|0){i=d+248|0;if(f[i>>2]|0){j=d+4|0;WV(f[j>>2]|0,c);if((f[c>>2]|0)==(f[d+32>>2]|0)?(f[c+4>>2]|0)==(f[d+36>>2]|0):0)XV(f[j>>2]|0,d+24|0);f[i>>2]=0}i=f[h+12>>2]|0;if(i|0)EW(i,f[(f[h+8>>2]|0)+12>>2]|0,d+180|0);f[g>>2]=0}if((f[d>>2]|0)!=(f[d+4>>2]|0))UV(d);g=d+8|0;if(f[g>>2]|0)UV(g);g=f[d+200>>2]|0;vE(f[a>>2]|0);f[a>>2]=0;e=g;u=b;return e|0}function oia(a,c,d,e,g,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0;m=u;u=u+160|0;n=m+136|0;o=m+112|0;p=m+88|0;q=m+56|0;r=m+24|0;s=m+8|0;t=m;f[t>>2]=0;if(!d){f[n>>2]=0;f[n+4>>2]=0;v=YG(n,25)|0;w=273231;x=v+25|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-27,n,273257,272793,1809)}f[d>>2]=0;if((i|0)!=5){y=lia(a,c,e,g,i,j,k,l)|0;f[t>>2]=y;l=-1;i=y;while(1){z=l+1|0;if(!(mia(i)|0))break;l=z;i=f[t>>2]|0}i=nia(t)|0;f[d>>2]=i;A=z;u=m;return A|0}if(k|j|0){f[n>>2]=0;f[n+4>>2]=0;v=YG(n,51)|0;w=273277;x=v+51|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-211,n,273257,272793,1817)}if(!c){f[r>>2]=0;f[r+4>>2]=0;v=YG(r,20)|0;w=273329;x=v+20|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-27,r,273350,272793,1501)}if((e|0)<88){f[r>>2]=0;f[r+4>>2]=0;v=YG(r,48)|0;w=273376;x=v+48|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-201,r,273350,272793,1507)}j=TV(c)|0;if(!j)B=0;else{k=Bmc(16)|0;f[k+4>>2]=1;f[k>>2]=58892;f[k+8>>2]=j;B=k}k=TV(c)|0;if(!k)C=0;else{z=Bmc(16)|0;f[z+4>>2]=1;f[z>>2]=58892;f[z+8>>2]=k;C=z}z=PT(a,r,0,0)|0;if(f[z>>2]&4094|0){f[s>>2]=0;f[s+4>>2]=0;v=YG(s,32)|0;w=273425;x=v+32|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-5,s,273350,272793,1518)}w=f[z+16>>2]|0;v=f[z+4>>2]|0;x=f[z+20>>2]|0;r=f[z+24>>2]|0;z=$V(0,56,16,j)|0;gW(z,p);hW(0,56,4,k,n);hW(0,56,4,k,o);k=p+12|0;j=f[k>>2]|0;a=p+20|0;if(j>>>0<(f[a>>2]|0)>>>0)D=j;else{kW(p);D=f[k>>2]|0}b[D>>0]=0;b[D+1>>0]=0;b[D+2>>0]=0;b[D+3>>0]=0;j=D+4|0;b[j>>0]=0;b[j+1>>0]=0;b[j+2>>0]=0;b[j+3>>0]=0;j=D+12|0;b[j>>0]=0;b[j+1>>0]=0;b[j+2>>0]=0;b[j+3>>0]=0;j=(f[k>>2]|0)+16|0;f[k>>2]=j;D=p+4|0;i=j+(0-(f[(f[D>>2]|0)+28>>2]|0))|0;j=(r|0)>0;a:do if(j){t=n+12|0;l=n+20|0;y=0;g=i;while(1){E=y;while(1){if(b[w+E>>0]|0){F=E;break}G=E+1|0;if((G|0)<(r|0))E=G;else{F=G;break}}if((F|0)==(r|0)){H=g;break a}E=f[k>>2]|0;if(E>>>0<(f[a>>2]|0)>>>0)I=E;else{kW(p);I=f[k>>2]|0}b[I>>0]=0;b[I+1>>0]=0;b[I+2>>0]=0;b[I+3>>0]=0;E=I+4|0;b[E>>0]=0;b[E+1>>0]=0;b[E+2>>0]=0;b[E+3>>0]=0;E=I+8|0;b[E>>0]=F;b[E+1>>0]=F>>8;b[E+2>>0]=F>>16;b[E+3>>0]=F>>24;E=I+12|0;b[E>>0]=0;b[E+1>>0]=0;b[E+2>>0]=0;b[E+3>>0]=0;E=(f[k>>2]|0)+16|0;f[k>>2]=E;G=E+(0-(f[(f[D>>2]|0)+28>>2]|0))|0;f[g+4>>2]=G;J=F+1|0;b:do if((r|0)>(J|0)){K=J;while(1){if(!(b[w+K>>0]|0)){L=K;break b}M=K+1|0;if((M|0)<(r|0))K=M;else{L=M;break}}}else L=J;while(0);J=L+-1|0;if(E>>>0<(f[a>>2]|0)>>>0)N=E;else{kW(p);N=f[k>>2]|0}b[N>>0]=0;b[N+1>>0]=0;b[N+2>>0]=0;b[N+3>>0]=0;K=N+4|0;b[K>>0]=0;b[K+1>>0]=0;b[K+2>>0]=0;b[K+3>>0]=0;K=N+8|0;b[K>>0]=J;b[K+1>>0]=J>>8;b[K+2>>0]=J>>16;b[K+3>>0]=J>>24;J=N+12|0;b[J>>0]=0;b[J+1>>0]=0;b[J+2>>0]=0;b[J+3>>0]=0;J=(f[k>>2]|0)+16|0;f[k>>2]=J;K=J+(0-(f[(f[D>>2]|0)+28>>2]|0))|0;J=G+4|0;f[J>>2]=K;f[G>>2]=K;K=f[t>>2]|0;if(K>>>0<(f[l>>2]|0)>>>0)O=K;else{kW(n);O=f[t>>2]|0}b[O>>0]=G;b[O+1>>0]=G>>8;b[O+2>>0]=G>>16;b[O+3>>0]=G>>24;f[t>>2]=(f[t>>2]|0)+4;K=f[J>>2]|0;if((L|0)<(r|0)){y=L;g=K}else{H=K;break}}}else H=i;while(0);iW(p);L=f[i+4>>2]|0;i=z+24|0;z=f[i>>2]|0;O=z+-1|0;f[H+4>>2]=0;c:do if((x|0)>1){N=n+12|0;F=n+20|0;I=o+12|0;g=o+20|0;y=1;t=0;l=L;K=w;J=O;M=H;P=z;while(1){Q=K+v|0;d:do if(j){R=0;S=M;while(1){T=R;while(1){if(b[Q+T>>0]|0){U=T;break}V=T+1|0;if((V|0)<(r|0))T=V;else{U=V;break}}if((U|0)==(r|0)){W=S;break d}T=f[k>>2]|0;if(T>>>0<(f[a>>2]|0)>>>0)X=T;else{kW(p);X=f[k>>2]|0}b[X>>0]=0;b[X+1>>0]=0;b[X+2>>0]=0;b[X+3>>0]=0;T=X+4|0;b[T>>0]=0;b[T+1>>0]=0;b[T+2>>0]=0;b[T+3>>0]=0;T=X+8|0;b[T>>0]=U;b[T+1>>0]=U>>8;b[T+2>>0]=U>>16;b[T+3>>0]=U>>24;T=X+12|0;b[T>>0]=y;b[T+1>>0]=y>>8;b[T+2>>0]=y>>16;b[T+3>>0]=y>>24;T=(f[k>>2]|0)+16|0;f[k>>2]=T;V=T+(0-(f[(f[D>>2]|0)+28>>2]|0))|0;f[S+4>>2]=V;Y=U+1|0;e:do if((r|0)>(Y|0)){Z=Y;while(1){if(!(b[Q+Z>>0]|0)){_=Z;break e}$=Z+1|0;if(($|0)<(r|0))Z=$;else{_=$;break}}}else _=Y;while(0);Y=_+-1|0;if(T>>>0<(f[a>>2]|0)>>>0)aa=T;else{kW(p);aa=f[k>>2]|0}b[aa>>0]=0;b[aa+1>>0]=0;b[aa+2>>0]=0;b[aa+3>>0]=0;Z=aa+4|0;b[Z>>0]=0;b[Z+1>>0]=0;b[Z+2>>0]=0;b[Z+3>>0]=0;Z=aa+8|0;b[Z>>0]=Y;b[Z+1>>0]=Y>>8;b[Z+2>>0]=Y>>16;b[Z+3>>0]=Y>>24;Y=aa+12|0;b[Y>>0]=y;b[Y+1>>0]=y>>8;b[Y+2>>0]=y>>16;b[Y+3>>0]=y>>24;Y=(f[k>>2]|0)+16|0;f[k>>2]=Y;Z=Y+(0-(f[(f[D>>2]|0)+28>>2]|0))|0;f[V+4>>2]=Z;if((_|0)<(r|0)){R=_;S=Z}else{W=Z;break}}}else W=M;while(0);iW(p);G=f[M+4>>2]|0;E=(f[i>>2]|0)-P|0;f[W+4>>2]=0;S=(J|0)/2|0;R=(E|0)/2|0;f:do if((J|0)>1&(E|0)>1){Z=0;Y=0;$=G;ba=l;ca=0;da=t;while(1){g:do switch(ca|0){case 0:{ea=f[ba+4>>2]|0;fa=f[ea+8>>2]|0;ga=$+4|0;ha=f[ga>>2]|0;ia=f[ha+8>>2]|0;if((fa|0)<(ia|0)){ja=(fa|0)<((f[$+8>>2]|0)+-1|0);f[(ja?ea:$)>>2]=ba;ka=Z+1|0;la=Y;ma=$;na=f[ea+4>>2]|0;oa=(ja^1)&1;pa=ja?da:ea;break g}if((f[ba+8>>2]|0)>(ia+1|0)){f[$>>2]=ha;ia=f[N>>2]|0;if(ia>>>0<(f[F>>2]|0)>>>0)qa=ia;else{kW(n);qa=f[N>>2]|0}b[qa>>0]=$;b[qa+1>>0]=$>>8;b[qa+2>>0]=$>>16;b[qa+3>>0]=$>>24;f[N>>2]=(f[N>>2]|0)+4;ra=0;sa=da;ta=f[ga>>2]|0}else{f[$>>2]=ba;ra=-1;sa=ha;ta=ha}ka=Z;la=Y+1|0;ma=f[ta+4>>2]|0;na=ba;oa=ra;pa=sa;break}case 1:{ha=f[$+4>>2]|0;ga=f[ha+8>>2]|0;if((f[ba+8>>2]|0)>(ga+1|0)){f[da>>2]=ha;ka=Z;la=Y+1|0;ma=f[ha+4>>2]|0;na=ba;oa=0;pa=da;break g}f[da>>2]=ba;ia=f[ba+4>>2]|0;if((f[ia+8>>2]|0)<(ga|0)){ka=Z+1|0;la=Y;ma=$;na=f[ia+4>>2]|0;oa=1;pa=ia;break g}else{ka=Z;la=Y+1|0;ma=f[ha+4>>2]|0;na=ba;oa=-1;pa=ha;break g}break}case -1:{ha=ba+4|0;ia=f[ha>>2]|0;if((f[$+8>>2]|0)>((f[ia+8>>2]|0)+1|0)){f[ia>>2]=da;ka=Z+1|0;la=Y;ma=$;na=f[ia+4>>2]|0;oa=0;pa=da;break g}ia=f[I>>2]|0;if(ia>>>0<(f[g>>2]|0)>>>0)ua=ia;else{kW(o);ua=f[I>>2]|0}b[ua>>0]=$;b[ua+1>>0]=$>>8;b[ua+2>>0]=$>>16;b[ua+3>>0]=$>>24;f[I>>2]=(f[I>>2]|0)+4;f[$>>2]=da;ia=f[$+4>>2]|0;ga=f[ha>>2]|0;if((f[ia+8>>2]|0)<(f[ga+8>>2]|0)){ka=Z;la=Y+1|0;ma=f[ia+4>>2]|0;na=ba;oa=-1;pa=ia;break g}else{ka=Z+1|0;la=Y;ma=$;na=f[ga+4>>2]|0;oa=1;pa=ga;break g}break}default:{ka=Z;la=Y;ma=$;na=ba;oa=ca;pa=da}}while(0);if((la|0)<(R|0)&(ka|0)<(S|0)){Z=ka;Y=la;$=ma;ba=na;ca=oa;da=pa}else{va=ka;wa=la;xa=ma;ya=na;za=oa;Aa=pa;break f}}}else{va=0;wa=0;xa=G;ya=l;za=0;Aa=t}while(0);if((wa|0)<(R|0)){da=wa;ca=xa;ba=za;while(1){$=ca+4|0;Y=f[$>>2]|0;if(!ba){f[ca>>2]=Y;Z=f[N>>2]|0;if(Z>>>0<(f[F>>2]|0)>>>0)Ba=Z;else{kW(n);Ba=f[N>>2]|0}b[Ba>>0]=ca;b[Ba+1>>0]=ca>>8;b[Ba+2>>0]=ca>>16;b[Ba+3>>0]=ca>>24;f[N>>2]=(f[N>>2]|0)+4;Ca=f[$>>2]|0}else{f[Aa>>2]=Y;Ca=Y}da=da+1|0;if((da|0)>=(R|0)){Da=0;break}else{ca=f[Ca+4>>2]|0;ba=0}}}else Da=za;if((va|0)<(S|0)){ba=va;ca=ya;R=Da;while(1){da=f[ca+4>>2]|0;Y=ca;ca=f[da+4>>2]|0;f[da>>2]=(R|0)==0?Y:Aa;ba=ba+1|0;if((ba|0)==(S|0))break;else R=0}}R=y+1|0;if((R|0)>=(x|0)){Ea=G;Fa=E;break c}y=R;t=Aa;l=G;K=Q;J=E;M=W;P=f[i>>2]|0}}else{Ea=L;Fa=O}while(0);O=(Fa|0)/2|0;if((Fa|0)>1){Fa=0;L=Ea;while(1){Ea=f[L+4>>2]|0;f[Ea>>2]=L;Fa=Fa+1|0;if((Fa|0)>=(O|0))break;else L=f[Ea+4>>2]|0}}L=jW(n)|0;n=jW(o)|0;o=q+12|0;O=q+20|0;Fa=0;Ea=0;i=0;W=0;while(1){Aa=(W|0)==0;x=Aa?L:n;eW(x,q,0);Da=x+24|0;if((f[Da>>2]|0)>0)if(Aa){Aa=Ea;x=i;ya=Fa;va=0;while(1){za=f[o>>2]|0;Ca=h[za>>0]|h[za+1>>0]<<8|h[za+2>>0]<<16|h[za+3>>0]<<24;Ba=za+4|0;f[o>>2]=Ba;if(Ba>>>0>=(f[O>>2]|0)>>>0)mW(q,1);do if(!(f[Ca>>2]|0)){Ga=Aa;Ha=x}else{hW(20492,e,8,c,p);Ba=Ca;za=f[k>>2]|0;do{if(za>>>0<(f[a>>2]|0)>>>0)Ia=za;else{kW(p);Ia=f[k>>2]|0}xa=Ba+8|0;wa=xa;pa=h[wa>>0]|h[wa+1>>0]<<8|h[wa+2>>0]<<16|h[wa+3>>0]<<24;wa=xa+4|0;xa=h[wa>>0]|h[wa+1>>0]<<8|h[wa+2>>0]<<16|h[wa+3>>0]<<24;wa=Ia;oa=wa;b[oa>>0]=pa;b[oa+1>>0]=pa>>8;b[oa+2>>0]=pa>>16;b[oa+3>>0]=pa>>24;pa=wa+4|0;b[pa>>0]=xa;b[pa+1>>0]=xa>>8;b[pa+2>>0]=xa>>16;b[pa+3>>0]=xa>>24;za=(f[k>>2]|0)+8|0;f[k>>2]=za;xa=Ba;Ba=f[Ba>>2]|0;f[xa>>2]=0}while((Ba|0)!=(Ca|0));Ba=jW(p)|0;Zha(s,Ba,1);if(!Aa){Ga=Ba;Ha=Ba;break}f[Ba+8>>2]=x;f[x+12>>2]=Ba;Ga=Aa;Ha=Ba}while(0);va=va+1|0;Ca=ya+1|0;if((va|0)>=(f[Da>>2]|0)){Ja=Ca;Ka=Ga;La=Ha;break}else{Aa=Ga;x=Ha;ya=Ca}}}else{ya=Ea;x=i;Aa=Fa;va=0;while(1){Ca=f[o>>2]|0;E=h[Ca>>0]|h[Ca+1>>0]<<8|h[Ca+2>>0]<<16|h[Ca+3>>0]<<24;Q=Ca+4|0;f[o>>2]=Q;if(Q>>>0>=(f[O>>2]|0)>>>0)mW(q,1);do if(!(f[E>>2]|0)){Ma=ya;Na=x}else{hW(20492,e,8,c,p);Q=E;Ca=f[k>>2]|0;do{if(Ca>>>0<(f[a>>2]|0)>>>0)Oa=Ca;else{kW(p);Oa=f[k>>2]|0}G=Q+8|0;Ba=G;za=h[Ba>>0]|h[Ba+1>>0]<<8|h[Ba+2>>0]<<16|h[Ba+3>>0]<<24;Ba=G+4|0;G=h[Ba>>0]|h[Ba+1>>0]<<8|h[Ba+2>>0]<<16|h[Ba+3>>0]<<24;Ba=Oa;xa=Ba;b[xa>>0]=za;b[xa+1>>0]=za>>8;b[xa+2>>0]=za>>16;b[xa+3>>0]=za>>24;za=Ba+4|0;b[za>>0]=G;b[za+1>>0]=G>>8;b[za+2>>0]=G>>16;b[za+3>>0]=G>>24;Ca=(f[k>>2]|0)+8|0;f[k>>2]=Ca;G=Q;Q=f[Q>>2]|0;f[G>>2]=0}while((Q|0)!=(E|0));Q=jW(p)|0;Zha(s,Q,1);f[Q>>2]=f[Q>>2]|32768;if(!ya){Ma=Q;Na=Q;break}f[Q+8>>2]=x;f[x+12>>2]=Q;Ma=ya;Na=Q}while(0);va=va+1|0;E=Aa+1|0;if((va|0)>=(f[Da>>2]|0)){Ja=E;Ka=Ma;La=Na;break}else{ya=Ma;x=Na;Aa=E}}}else{Ja=Fa;Ka=Ea;La=i}W=W+1|0;if((W|0)>=2)break;else{Fa=Ja;Ea=Ka;i=La}}La=(Ka|0)==0?-1:Ja;f[d>>2]=Ka;Ka=C;if(C|0?(d=Ka+4|0,Ja=f[d>>2]|0,f[d>>2]=Ja+-1,(Ja|0)==1):0)ai[f[(f[C>>2]|0)+8>>2]&2047](Ka);Ka=B;if(!B){A=La;u=m;return A|0}C=Ka+4|0;Ja=f[C>>2]|0;f[C>>2]=Ja+-1;if((Ja|0)!=1){A=La;u=m;return A|0}ai[f[(f[B>>2]|0)+8>>2]&2047](Ka);A=La;u=m;return A|0}function pia(a){a=a|0;Emc(a);return}function qia(a){a=a|0;jU(a+12|0,f[a+8>>2]|0);if(!a)return;ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function ria(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;i=u;u=u+384|0;j=i+344|0;k=i+336|0;l=i+280|0;m=i+224|0;n=i+184|0;o=i;p=i+88|0;q=i+32|0;r=i+216|0;s=i+128|0;zT(k,58904);if(((pD(c)|0)!=262144?(pD(c)|0)!=327680:0)?(pD(c)|0)!=720896:0){f[j>>2]=0;f[j+4>>2]=0;Krc(YG(j,155)|0,273526,155)|0;SQ(-215,j,273682,272793,1884)}if(!(DD(c)|0)){if((CD(c,-1)|0)!=2){f[j>>2]=0;t=j+4|0;f[t>>2]=0;v=YG(j,79)|0;w=v;x=273695;y=w+79|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,j,273682,272793,1886)}if((BD(c,-1)|0)!=4){f[j>>2]=0;t=j+4|0;f[t>>2]=0;v=YG(j,79)|0;w=v;x=273695;y=w+79|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,j,273682,272793,1886)}}do if((pD(a)|0)==65536){v=f[a+4>>2]|0;f[l>>2]=f[v>>2];t=l+4|0;z=v+4|0;f[t>>2]=f[z>>2];A=l+8|0;f[A>>2]=f[v+8>>2];f[l+12>>2]=f[v+12>>2];f[l+16>>2]=f[v+16>>2];f[l+20>>2]=f[v+20>>2];f[l+24>>2]=f[v+24>>2];f[l+28>>2]=f[v+28>>2];f[l+32>>2]=f[v+32>>2];B=f[v+36>>2]|0;f[l+36>>2]=B;f[l+40>>2]=A;A=l+48|0;C=l+44|0;f[C>>2]=A;f[A>>2]=0;f[l+52>>2]=0;if(B|0){A=B+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[z>>2]|0)<3){z=f[v+44>>2]|0;A=f[C>>2]|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];break}else{f[t>>2]=0;kP(l,v);break}}else lD(l,a,-1);while(0);f[m>>2]=1124007936;a=m+4|0;v=m+8|0;t=m+40|0;w=a;y=w+36|0;do{f[w>>2]=0;w=w+4|0}while((w|0)<(y|0));f[t>>2]=v;z=m+48|0;A=m+44|0;f[A>>2]=z;f[z>>2]=0;f[m+52>>2]=0;if((g|0)==5){C=l+36|0;B=f[C>>2]|0;if(B){D=B+12|0;f[D>>2]=(f[D>>2]|0)+1;D=m+36|0;B=f[D>>2]|0;if((B|0)!=0?(E=B+12|0,B=f[E>>2]|0,f[E>>2]=B+-1,(B|0)==1):0){lP(m);F=D}else F=D}else F=m+36|0;f[F>>2]=0;D=m+16|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[a>>2]|0)>0){B=f[t>>2]|0;E=0;do{f[B+(E<<2)>>2]=0;E=E+1|0;G=f[a>>2]|0}while((E|0)<(G|0));f[m>>2]=f[l>>2];if((G|0)<3)H=28;else H=30}else{f[m>>2]=f[l>>2];H=28}if((H|0)==28){G=f[l+4>>2]|0;if((G|0)<3){f[a>>2]=G;f[v>>2]=f[l+8>>2];f[m+12>>2]=f[l+12>>2];G=f[l+44>>2]|0;E=f[A>>2]|0;f[E>>2]=f[G>>2];f[E+4>>2]=f[G+4>>2]}else H=30}if((H|0)==30)kP(m,l);f[D>>2]=f[l+16>>2];f[m+20>>2]=f[l+20>>2];f[m+24>>2]=f[l+24>>2];f[m+28>>2]=f[l+28>>2];f[m+32>>2]=f[l+32>>2];f[F>>2]=f[C>>2];I=0}else{f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=l;C=n+8|0;f[C>>2]=0;f[C+4>>2]=0;f[n>>2]=33619968;f[n+4>>2]=m;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;f[o+16>>2]=0;f[o+20>>2]=0;f[o+24>>2]=0;f[o+28>>2]=0;tT(j,n,1,1,1,1,16,o);I=-1}C=RV(0)|0;if(!C)J=0;else{F=Bmc(16)|0;f[F+4>>2]=1;f[F>>2]=58892;f[F+8>>2]=C;J=F}F=f[v>>2]|0;v=(f[a>>2]|0)==1?1:f[m+12>>2]|0;D=f[m>>2]|0;H=m+16|0;G=f[H>>2]|0;f[n+8>>2]=0;f[n+12>>2]=0;f[n+16>>2]=G;f[n+20>>2]=F;f[n+24>>2]=v;f[n+4>>2]=f[f[A>>2]>>2];f[n>>2]=D&20479|1111621632;f[o>>2]=0;if(lE(d)|0)kE(d);oia(n,C,o,88,e,g,(f[h>>2]|0)+I|0,(f[h+4>>2]|0)+I|0,0)|0;I=f[o>>2]|0;if(I){o=BW(I,56,C)|0;do if(o)if((f[o+28>>2]|0)==4){K=f[o+24>>2]|0;break}else{f[j>>2]=0;f[j+4>>2]=0;w=YG(j,39)|0;x=376491;y=w+39|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,j,376531,376535,2965)}else K=0;while(0);iE(c,K,1,0,-1,1,0);eW(o,p,0);C=p+32|0;f[C>>2]=0;I=(K|0)>0;a:do if(I){h=p+12|0;g=q+4|0;e=q+16|0;n=q+36|0;D=q+40|0;v=q+48|0;F=q+44|0;G=r+4|0;E=p+20|0;B=p+4|0;L=0;while(1){M=f[f[h>>2]>>2]|0;f[M+72>>2]=L;iE(c,f[M+24>>2]|0,1,12,L,1,0);lD(q,c,L);if(!(f[q>>2]&16384))break;N=f[e>>2]|0;f[r>>2]=0;f[G>>2]=1073741823;f[j>>2]=f[r>>2];f[j+4>>2]=f[r+4>>2];cW(M,N,j)|0;N=f[n>>2]|0;if(N|0?(M=N+12|0,N=f[M>>2]|0,f[M>>2]=N+-1,(N|0)==1):0)lP(q);f[n>>2]=0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[g>>2]|0)>0){N=f[D>>2]|0;M=0;do{f[N+(M<<2)>>2]=0;M=M+1|0}while((M|0)<(f[g>>2]|0))}M=f[F>>2]|0;if((M|0)!=(v|0))tE(M);L=L+1|0;M=(f[h>>2]|0)+4|0;f[h>>2]=M;if(M>>>0>=(f[E>>2]|0)>>>0)mW(p,1);M=(f[C>>2]|0)+1|0;f[C>>2]=M;f[C>>2]=(M|0)<(f[(f[B>>2]|0)+24>>2]<<1|0)?M:0;if((L|0)>=(K|0))break a}f[j>>2]=0;f[j+4>>2]=0;w=YG(j,17)|0;x=273775;y=w+17|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,j,273682,272793,1920)}while(0);if(lE(d)|0){iE(d,1,K,28,-1,1,0);do if((pD(d)|0)==65536){q=f[d+4>>2]|0;f[s>>2]=f[q>>2];r=s+4|0;L=q+4|0;f[r>>2]=f[L>>2];B=s+8|0;f[B>>2]=f[q+8>>2];f[s+12>>2]=f[q+12>>2];E=s+16|0;f[E>>2]=f[q+16>>2];f[s+20>>2]=f[q+20>>2];f[s+24>>2]=f[q+24>>2];f[s+28>>2]=f[q+28>>2];f[s+32>>2]=f[q+32>>2];h=s+36|0;v=f[q+36>>2]|0;f[h>>2]=v;f[s+40>>2]=B;B=s+48|0;F=s+44|0;f[F>>2]=B;f[B>>2]=0;f[s+52>>2]=0;if(v|0){B=v+12|0;f[B>>2]=(f[B>>2]|0)+1}if((f[L>>2]|0)<3){L=f[q+44>>2]|0;B=f[F>>2]|0;f[B>>2]=f[L>>2];f[B+4>>2]=f[L+4>>2];O=E;P=F;Q=h;break}else{f[r>>2]=0;kP(s,q);O=E;P=F;Q=h;break}}else{lD(s,d,-1);O=s+16|0;P=s+44|0;Q=s+36|0}while(0);d=f[O>>2]|0;h=f[Q>>2]|0;if(h|0?(F=h+12|0,h=f[F>>2]|0,f[F>>2]=h+-1,(h|0)==1):0)lP(s);f[Q>>2]=0;Q=s+4|0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;if((f[Q>>2]|0)>0){O=f[s+40>>2]|0;h=0;do{f[O+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[Q>>2]|0))}Q=f[P>>2]|0;if((Q|0)!=(s+48|0))tE(Q);eW(o,j,0);f[j+32>>2]=0;w=p;x=j;y=w+36|0;do{f[w>>2]=f[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(y|0));if(I){I=p+12|0;x=p+20|0;w=p+4|0;y=0;do{j=f[f[I>>2]>>2]|0;o=f[j+12>>2]|0;if(!o)R=-1;else R=f[o+72>>2]|0;o=f[j+8>>2]|0;if(!o)S=-1;else S=f[o+72>>2]|0;o=f[j+20>>2]|0;if(!o)T=-1;else T=f[o+72>>2]|0;o=f[j+16>>2]|0;if(!o)U=-1;else U=f[o+72>>2]|0;f[d+(y<<4)>>2]=R;f[d+(y<<4)+4>>2]=S;f[d+(y<<4)+8>>2]=T;f[d+(y<<4)+12>>2]=U;y=y+1|0;o=(f[I>>2]|0)+4|0;f[I>>2]=o;if(o>>>0>=(f[x>>2]|0)>>>0)mW(p,1);o=(f[C>>2]|0)+1|0;f[C>>2]=o;f[C>>2]=(o|0)<(f[(f[w>>2]|0)+24>>2]<<1|0)?o:0}while((y|0)<(K|0))}}}else kE(c);if(J|0?(c=J+4|0,K=f[c>>2]|0,f[c>>2]=K+-1,(K|0)==1):0)ai[f[(f[J>>2]|0)+8>>2]&2047](J);J=m+36|0;K=f[J>>2]|0;if(K|0?(c=K+12|0,K=f[c>>2]|0,f[c>>2]=K+-1,(K|0)==1):0)lP(m);f[J>>2]=0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[a>>2]|0)>0){H=f[t>>2]|0;t=0;do{f[H+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[a>>2]|0))}a=f[A>>2]|0;if((a|0)!=(z|0))tE(a);a=l+36|0;z=f[a>>2]|0;if(z|0?(A=z+12|0,z=f[A>>2]|0,f[A>>2]=z+-1,(z|0)==1):0)lP(l);f[a>>2]=0;a=l+16|0;z=l+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[z>>2]|0)>0){a=f[l+40>>2]|0;A=0;do{f[a+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[z>>2]|0))}z=f[l+44>>2]|0;if((z|0)!=(l+48|0))tE(z);if(!(f[k+4>>2]|0)){u=i;return}u=i;return}function sia(a,c,e,g,h,i,j,k,l,m,o,p){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=+m;o=+o;p=p|0;var q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0,K=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0.0,sa=0,ta=0.0,ua=0,va=0,wa=0,xa=0.0,ya=0,za=0,Aa=0,Ba=0,Ca=0.0,Da=0;q=u;u=u+2464|0;r=q+1336|0;s=q+272|0;t=q;v=q+264|0;w=q+200|0;x=q+256|0;y=q+136|0;z=q+192|0;zT(v,58924);if(!((k|0)>0&(l|0)>0)?!(m>0.0&o>0.0):0){f[r>>2]=0;f[r+4>>2]=0;A=YG(r,73)|0;B=273884;C=A+73|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));SQ(-215,r,273958,273965,3855)}if(m<2.220446049250313e-16|o<2.220446049250313e-16){D=+(g|0);E=+(h|0);F=+(k|0)/D;G=+(l|0)/E;H=E;I=D}else{F=m;G=o;H=+(h|0);I=+(g|0)}J=a&7;K=(a>>>3&511)+1|0;M=V9b(I*F)|0;N=V9b(H*G)|0;if((M|0)<1|(N|0)<1){f[r>>2]=0;f[r+4>>2]=0;A=YG(r,14)|0;B=274033;C=A+14|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));SQ(-215,r,273958,273965,3867)}H=1.0/F;I=1.0/G;O=V9b(H)|0;P=V9b(I)|0;if(+L(+(H-+(O|0)))<2.220446049250313e-16)Q=+L(+(I-+(P|0)))<2.220446049250313e-16;else Q=0;f[x>>2]=g;f[x+4>>2]=h;mD(w,x,a,c,e);f[z>>2]=M;f[z+4>>2]=N;mD(y,z,a,i,j);a:do switch(p|0){case 5:{if(!((K|0)!=2&((P|0)==2&((O|0)==2&Q))))if(J>>>0<5){oi[f[58944+(J<<2)>>2]&7](c,e,g,h,i,j,k,l,K,F,G);break a}else{f[r>>2]=0;f[r+4>>2]=0;A=YG(r,9)|0;B=274048;C=A+9|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));SQ(-215,r,273958,273965,4007)}else{R=3;S=33}break}case 0:{a=f[(f[w+40>>2]|0)+4>>2]|0;z=y+40|0;x=f[z>>2]|0;T=f[x+4>>2]|0;U=f[x>>2]|0;x=r+8|0;f[r>>2]=x;V=r+4|0;f[V>>2]=T;if(T>>>0>264){W=Dmc(T>>>0>1073741823?-1:T<<2)|0;f[r>>2]=W;X=W}else X=x;W=f[w+4>>2]|0;if((W|0)>0)Z=f[(f[w+44>>2]|0)+(W+-1<<2)>>2]|0;else Z=0;W=Z>>>2;if((T|0)>0){_=a+-1|0;a=0;do{o=H*+(a|0);$=~~o;aa=$-(+($|0)>o&1)|0;$=Y((_|0)<(aa|0)?_:aa,Z)|0;f[X+(a<<2)>>2]=$;a=a+1|0}while((a|0)!=(T|0))}f[s>>2]=0;f[s+4>>2]=U;tia(t,w,y,X,W,I);T=f[y+4>>2]|0;if((T|0)<3)ba=Y(f[y+12>>2]|0,f[y+8>>2]|0)|0;else{a=f[z>>2]|0;_=0;$=1;while(1){aa=Y(f[a+(_<<2)>>2]|0,$)|0;_=_+1|0;if((_|0)==(T|0)){ba=aa;break}else $=aa}}oU(s,t,+(ba>>>0)*.0000152587890625);uia(t);$=f[r>>2]|0;if(($|0)!=(x|0)){if($|0)Fmc($);f[r>>2]=x;f[V>>2]=264}break}default:{R=(p|0)==1&((P|0)==2&((O|0)==2&Q))?3:p;S=33}}while(0);do if((S|0)==33){p=(R|0)==3;if(I>=1.0&(H>=1.0&p)){if(Q){t=Y(P,O)|0;ba=(e>>>0)/((1212424721>>>(f[w>>2]<<2&28)&15)>>>0)|0;X=t+(Y(M,K)|0)|0;Z=r+8|0;f[r>>2]=Z;l=r+4|0;f[l>>2]=X;if(X>>>0>264){k=Dmc(X>>>0>1073741823?-1:X<<2)|0;f[r>>2]=k;ca=k}else ca=Z;k=ca+(t<<2)|0;t=f[58976+(J<<2)>>2]|0;if(!(109>>>J&1)){f[s>>2]=0;f[s+4>>2]=0;A=YG(s,9)|0;B=274048;C=A+9|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));SQ(-215,s,273958,273965,4042)}if((P|0)>0&(O|0)>0){V=0;x=0;while(1){X=Y(x,ba)|0;j=0;i=V;while(1){c=(Y(j,K)|0)+X|0;f[ca+(i<<2)>>2]=c;j=j+1|0;if((j|0)==(O|0))break;else i=i+1|0}x=x+1|0;if((x|0)==(P|0))break;else V=O+V|0}}if((M|0)>0){V=0;do{x=Y(V,K)|0;ba=Y(x,O)|0;i=0;do{f[k+(i+x<<2)>>2]=i+ba;i=i+1|0}while((i|0)!=(K|0));V=V+1|0}while((V|0)!=(M|0))}Ug[t&127](w,y,ca,k,O,P);V=f[r>>2]|0;if((V|0)!=(Z|0)){if(V|0)Fmc(V);f[r>>2]=Z;f[l>>2]=264}break}V=f[59008+(J<<2)>>2]|0;if(!((109>>>J&1|0)!=0&K>>>0<5)){f[r>>2]=0;f[r+4>>2]=0;A=YG(r,20)|0;B=274058;C=A+20|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));SQ(-215,r,273958,273965,4061)}l=h+g<<1;Z=r+8|0;f[r>>2]=Z;k=r+4|0;f[k>>2]=l;if(l>>>0>93){t=Dmc(l>>>0>357913941?-1:l*12|0)|0;f[r>>2]=t;da=t}else da=Z;t=da+((g<<1)*12|0)|0;l=via(g,M,K,H,da)|0;i=via(h,N,1,I,t)|0;ba=N+1|0;x=s+8|0;f[s>>2]=x;j=s+4|0;f[j>>2]=ba;if(ba>>>0>264){X=Dmc(ba>>>0>1073741823?-1:ba<<2)|0;f[s>>2]=X;ea=X}else ea=x;if((i|0)>0){X=0;ba=0;while(1){if((ba|0)!=0?(f[t+(ba*12|0)+4>>2]|0)==(f[t+((ba+-1|0)*12|0)+4>>2]|0):0)fa=X;else{f[ea+(X<<2)>>2]=ba;fa=X+1|0}ba=ba+1|0;if((ba|0)==(i|0)){ga=fa;break}else X=fa}}else ga=0;f[ea+(ga<<2)>>2]=i;Oh[V&127](w,y,da,l,t,i,ea);X=f[s>>2]|0;if((X|0)!=(x|0)){if(X|0)Fmc(X);f[s>>2]=x;f[j>>2]=264}X=f[r>>2]|0;if((X|0)!=(Z|0)){if(X|0)Fmc(X);f[r>>2]=Z;f[k>>2]=93}break}X=Y(M,K)|0;ba=(J|0)==0;c=(R|0)==2;if(!c)if((R|0)!=4)if((R|2|0)==3){ha=2;ia=59072}else{f[r>>2]=0;f[r+4>>2]=0;A=YG(r,28)|0;B=293413;C=A+28|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));SQ(-5,r,273958,273965,4099)}else{ha=8;ia=59040}else{ha=4;ia=59104}k=f[ia+(J<<2)>>2]|0;Z=ha>>>1;if(!k){f[r>>2]=0;f[r+4>>2]=0;A=YG(r,9)|0;B=274048;C=A+9|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));SQ(-215,r,273958,273965,4102)}j=X+N|0;x=ha<<2;i=Y(x|4,j)|0;t=r+8|0;f[r>>2]=t;l=r+4|0;f[l>>2]=i;if(i>>>0>1032){V=Dmc(i)|0;f[r>>2]=V;ja=V}else ja=t;V=ja+(X<<2)|0;i=V+(N<<2)|0;$=Y(ha,X)|0;T=i+($<<2)|0;_=i+($<<1)|0;A=s;C=A+64|0;do{f[A>>2]=0;A=A+4|0}while((A|0)<(C|0));if((M|0)>0){X=Z+-1|0;$=s+4|0;a=s+8|0;z=s+12|0;W=Y(ha,K)|0;U=(R|0)==4;aa=g+-1|0;ka=0;la=M;ma=0;while(1){na=Y(W,ma)|0;oa=ja+(j+na<<2)|0;o=+(ma|0);if(p){m=H*o;pa=~~m;qa=pa-(+(pa|0)>m&1)|0;m=+(ma+1|0)-F*+(qa+1|0);pa=~~m;if(!(m<=0.0)){ra=m-+(pa-(+(pa|0)>m&1)|0);sa=qa}else{ra=0.0;sa=qa}}else{m=H*(o+.5)+-.5;qa=~~m;pa=qa-(+(qa|0)>m&1)|0;ra=m-+(pa|0);sa=pa}b:do if((sa|0)<(X|0)){pa=ma+1|0;if((sa|0)<0){switch(R|0){case 2:case 4:{ta=ra;ua=pa;va=sa;break b;break}default:{}}ta=0.0;ua=pa;va=0}else{ta=ra;ua=pa;va=sa}}else{ta=ra;ua=ka;va=sa}while(0);c:do if((va+Z|0)>=(g|0)){pa=(ma|0)<(la|0)?ma:la;if((va|0)<(aa|0)){wa=pa;xa=ta;ya=va}else{switch(R|0){case 2:case 4:{wa=pa;xa=ta;ya=va;break c;break}default:{}}wa=pa;xa=0.0;ya=aa}}else{wa=la;xa=ta;ya=va}while(0);pa=Y(ya,K)|0;qa=Y(ma,K)|0;za=0;do{f[ja+(za+qa<<2)>>2]=za+pa;za=za+1|0}while((za|0)!=(K|0));do if(!c)if(U){wia(xa,s);break}else{n[s>>2]=1.0-xa;n[$>>2]=xa;break}else{m=xa+1.0;o=m*(m*(3.75-m*.75)+-6.0)+3.0;n[s>>2]=o;m=xa*(xa*(xa*1.25+-2.25))+1.0;n[$>>2]=m;D=1.0-xa;E=D*(D*(D*1.25+-2.25))+1.0;n[a>>2]=E;n[z>>2]=1.0-o-m-E}while(0);if(ba){za=0;do{pa=U9b(+n[s+(za<<2)>>2]*2048.0)|0;d[i+(za+na<<1)>>1]=(pa+32768|0)>>>0<65536?pa:(pa|0)>0?32767:32768;za=za+1|0}while((za|0)<(ha|0));if((za|0)<(W|0)){pa=za;do{qa=pa+na|0;d[i+(qa<<1)>>1]=d[i+(qa-ha<<1)>>1]|0;pa=pa+1|0}while((pa|0)!=(W|0))}}else{Krc(oa|0,s|0,x|0)|0;pa=0;do pa=pa+1|0;while((pa|0)<(ha|0));if((pa|0)<(W|0)){oa=pa;do{za=oa+na|0;f[i+(za<<2)>>2]=f[i+(za-ha<<2)>>2];oa=oa+1|0}while((oa|0)!=(W|0))}}ma=ma+1|0;if((ma|0)==(M|0)){Aa=ua;Ba=wa;break}else{ka=ua;la=wa}}}else{Aa=0;Ba=M}if((N|0)>0){la=s+4|0;ka=s+8|0;ma=s+12|0;W=(R|0)==4;z=Y(Y(M,x|4)|0,K)|0;a=0;do{$=Y(ha,a)|0;U=ja+(N+$<<2)+z|0;E=+(a|0);if(p){m=I*E;aa=~~m;Z=aa-(+(aa|0)>m&1)|0;m=+(a+1|0)-G*+(Z+1|0);aa=~~m;if(!(m<=0.0)){Ca=m-+(aa-(+(aa|0)>m&1)|0);Da=Z}else{Ca=0.0;Da=Z}}else{m=I*(E+.5)+-.5;Z=~~m;aa=Z-(+(Z|0)>m&1)|0;Ca=m-+(aa|0);Da=aa}f[V+(a<<2)>>2]=Da;do if(!c)if(W){wia(Ca,s);break}else{n[s>>2]=1.0-Ca;n[la>>2]=Ca;break}else{m=Ca+1.0;E=m*(m*(3.75-m*.75)+-6.0)+3.0;n[s>>2]=E;m=Ca*(Ca*(Ca*1.25+-2.25))+1.0;n[la>>2]=m;o=1.0-Ca;D=o*(o*(o*1.25+-2.25))+1.0;n[ka>>2]=D;n[ma>>2]=1.0-E-m-D}while(0);if(ba){aa=0;do{Z=U9b(+n[s+(aa<<2)>>2]*2048.0)|0;d[_+(aa+$<<1)>>1]=(Z+32768|0)>>>0<65536?Z:(Z|0)>0?32767:32768;aa=aa+1|0}while((aa|0)<(ha|0))}else Krc(U|0,s|0,x|0)|0;a=a+1|0}while((a|0)!=(N|0))}Rh[k&127](w,y,ja,i,V,ba?_:T,Aa,Ba,ha);a=f[r>>2]|0;if((a|0)!=(t|0)){if(a|0)Fmc(a);f[r>>2]=t;f[l>>2]=1032}}while(0);r=y+36|0;ha=f[r>>2]|0;if(ha|0?(Ba=ha+12|0,ha=f[Ba>>2]|0,f[Ba>>2]=ha+-1,(ha|0)==1):0)lP(y);f[r>>2]=0;r=y+16|0;ha=y+4|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[ha>>2]|0)>0){r=f[y+40>>2]|0;Ba=0;do{f[r+(Ba<<2)>>2]=0;Ba=Ba+1|0}while((Ba|0)<(f[ha>>2]|0))}ha=f[y+44>>2]|0;if((ha|0)!=(y+48|0))tE(ha);ha=w+36|0;y=f[ha>>2]|0;if(y|0?(Ba=y+12|0,y=f[Ba>>2]|0,f[Ba>>2]=y+-1,(y|0)==1):0)lP(w);f[ha>>2]=0;ha=w+16|0;y=w+4|0;f[ha>>2]=0;f[ha+4>>2]=0;f[ha+8>>2]=0;f[ha+12>>2]=0;if((f[y>>2]|0)>0){ha=f[w+40>>2]|0;Ba=0;do{f[ha+(Ba<<2)>>2]=0;Ba=Ba+1|0}while((Ba|0)<(f[y>>2]|0))}y=f[w+44>>2]|0;if((y|0)!=(w+48|0))tE(y);if(!(f[v+4>>2]|0)){u=q;return}u=q;return}function tia(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0;f[a>>2]=59644;h=a+4|0;f[h>>2]=f[b>>2];i=a+8|0;j=b+4|0;f[i>>2]=f[j>>2];k=a+12|0;f[k>>2]=f[b+8>>2];f[a+16>>2]=f[b+12>>2];f[a+20>>2]=f[b+16>>2];f[a+24>>2]=f[b+20>>2];f[a+28>>2]=f[b+24>>2];f[a+32>>2]=f[b+28>>2];f[a+36>>2]=f[b+32>>2];l=f[b+36>>2]|0;f[a+40>>2]=l;f[a+44>>2]=k;k=a+52|0;m=a+48|0;f[m>>2]=k;f[k>>2]=0;f[a+56>>2]=0;if(l|0){k=l+12|0;f[k>>2]=(f[k>>2]|0)+1}if((f[j>>2]|0)<3){j=f[b+44>>2]|0;k=f[m>>2]|0;f[k>>2]=f[j>>2];f[k+4>>2]=f[j+4>>2]}else{f[i>>2]=0;kP(h,b)}b=a+60|0;f[b>>2]=f[c>>2];h=a+64|0;i=c+4|0;f[h>>2]=f[i>>2];j=a+68|0;f[j>>2]=f[c+8>>2];f[a+72>>2]=f[c+12>>2];f[a+76>>2]=f[c+16>>2];f[a+80>>2]=f[c+20>>2];f[a+84>>2]=f[c+24>>2];f[a+88>>2]=f[c+28>>2];f[a+92>>2]=f[c+32>>2];k=f[c+36>>2]|0;f[a+96>>2]=k;f[a+100>>2]=j;j=a+108|0;m=a+104|0;f[m>>2]=j;f[j>>2]=0;f[a+112>>2]=0;if(k|0){j=k+12|0;f[j>>2]=(f[j>>2]|0)+1}if((f[i>>2]|0)<3){i=f[c+44>>2]|0;j=f[m>>2]|0;f[j>>2]=f[i>>2];f[j+4>>2]=f[i+4>>2];n=a+116|0;f[n>>2]=d;o=a+120|0;f[o>>2]=e;q=a+128|0;p[q>>3]=g;return}else{f[h>>2]=0;kP(b,c);n=a+116|0;f[n>>2]=d;o=a+120|0;f[o>>2]=e;q=a+128|0;p[q>>3]=g;return}}function uia(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=59644;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))tE(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;tE(b);return}function via(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;var g=0,h=0.0,i=0,j=0,k=0.0,l=0.0,m=0.0,o=0.0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;if((b|0)<=0){g=0;return g|0}h=+(a|0);i=a+-1|0;a=0;j=0;while(1){k=+(j|0)*d;l=k+d;m=h-k;o=m<d?m:d;p=~~k;q=(+(p|0)<k&1)+p|0;p=~~l;r=p-(+(p|0)>l&1)|0;p=(i|0)<(r|0)?i:r;r=(p|0)<(q|0)?p:q;m=+(r|0)-k;if(m>.001){s=Y(j,c)|0;f[e+(a*12|0)+4>>2]=s;s=Y(r+-1|0,c)|0;f[e+(a*12|0)>>2]=s;n[e+(a*12|0)+8>>2]=m/o;t=a+1|0}else t=a;if((p|0)>(q|0)){q=Y(j,c)|0;m=1.0/o;s=r;r=t;while(1){f[e+(r*12|0)+4>>2]=q;u=Y(s,c)|0;f[e+(r*12|0)>>2]=u;u=r+1|0;n[e+(r*12|0)+8>>2]=m;s=s+1|0;if((s|0)>=(p|0)){v=u;break}else r=u}}else v=t;m=l-+(p|0);if(m>.001){r=Y(j,c)|0;f[e+(v*12|0)+4>>2]=r;r=Y(p,c)|0;f[e+(v*12|0)>>2]=r;k=m>1.0?1.0:m;n[e+(v*12|0)+8>>2]=(o<k?o:k)/o;w=v+1|0}else w=v;j=j+1|0;if((j|0)==(b|0)){g=w;break}else a=w}return g|0}function wia(a,b){a=+a;b=b|0;var c=0.0,d=0.0,e=0.0,g=0.0,h=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,o=0.0,p=0.0;if(a<1.1920928955078125e-07){f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[b+28>>2]=0;n[b+12>>2]=1.0;return}else{c=a+3.0;a=-c*3.141592653589793*.25;d=+P(+a);e=+O(+a);g=e*0.0;h=(d+g)/(a*a);a=-(c+-1.0)*3.141592653589793*.25;i=d*-.7071067811865476;j=e*-.7071067811865476;k=(i+j)/(a*a);a=-(c+-2.0)*3.141592653589793*.25;l=d*0.0;m=(l+e)/(a*a);a=-(c+-3.0)*3.141592653589793*.25;o=d*.7071067811865476;p=(o+j)/(a*a);a=-(c+-4.0)*3.141592653589793*.25;j=(g-d)/(a*a);a=-(c+-5.0)*3.141592653589793*.25;d=e*.7071067811865476;g=(o+d)/(a*a);a=-(c+-6.0)*3.141592653589793*.25;o=(l-e)/(a*a);a=-(c+-7.0)*3.141592653589793*.25;c=(i+d)/(a*a);a=1.0/(h+0.0+k+m+p+j+g+o+c);n[b>>2]=a*h;n[b+4>>2]=a*k;n[b+8>>2]=a*m;n[b+12>>2]=a*p;n[b+16>>2]=a*j;n[b+20>>2]=a*g;n[b+24>>2]=a*o;n[b+28>>2]=a*c;return}}function xia(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0;k=u;u=u+192|0;l=k+176|0;m=k+168|0;n=k+160|0;o=k;p=f[a+40>>2]|0;q=f[p+4>>2]|0;r=f[p>>2]|0;f[l>>2]=q;f[l+4>>2]=r;r=b+40|0;p=f[r>>2]|0;s=f[p+4>>2]|0;t=f[p>>2]|0;f[m+4>>2]=t;p=((f[a>>2]|0)>>>3&511)+1|0;v=Y(p,q)|0;f[l>>2]=v;v=Y(s,p)|0;f[m>>2]=v;v=Y(p,h)|0;h=Y(p,i)|0;f[n>>2]=0;f[n+4>>2]=t;Wia(o,a,b,c,e,d,g,l,m,j,v,h);h=f[b+4>>2]|0;if((h|0)<3){w=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;x=+(w>>>0);y=x*.0000152587890625;oU(n,o,y);Xia(o);u=k;return}b=f[r>>2]|0;r=0;v=1;while(1){j=Y(f[b+(r<<2)>>2]|0,v)|0;r=r+1|0;if((r|0)==(h|0)){w=j;break}else v=j}x=+(w>>>0);y=x*.0000152587890625;oU(n,o,y);Xia(o);u=k;return}function yia(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0;k=u;u=u+192|0;l=k+176|0;m=k+168|0;n=k+160|0;o=k;p=f[a+40>>2]|0;q=f[p+4>>2]|0;r=f[p>>2]|0;f[l>>2]=q;f[l+4>>2]=r;r=b+40|0;p=f[r>>2]|0;s=f[p+4>>2]|0;t=f[p>>2]|0;f[m+4>>2]=t;p=((f[a>>2]|0)>>>3&511)+1|0;v=Y(p,q)|0;f[l>>2]=v;v=Y(s,p)|0;f[m>>2]=v;v=Y(p,h)|0;h=Y(p,i)|0;f[n>>2]=0;f[n+4>>2]=t;Ria(o,a,b,c,e,d,g,l,m,j,v,h);h=f[b+4>>2]|0;if((h|0)<3){w=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;x=+(w>>>0);y=x*.0000152587890625;oU(n,o,y);Sia(o);u=k;return}b=f[r>>2]|0;r=0;v=1;while(1){j=Y(f[b+(r<<2)>>2]|0,v)|0;r=r+1|0;if((r|0)==(h|0)){w=j;break}else v=j}x=+(w>>>0);y=x*.0000152587890625;oU(n,o,y);Sia(o);u=k;return}function zia(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0;k=u;u=u+192|0;l=k+176|0;m=k+168|0;n=k+160|0;o=k;p=f[a+40>>2]|0;q=f[p+4>>2]|0;r=f[p>>2]|0;f[l>>2]=q;f[l+4>>2]=r;r=b+40|0;p=f[r>>2]|0;s=f[p+4>>2]|0;t=f[p>>2]|0;f[m+4>>2]=t;p=((f[a>>2]|0)>>>3&511)+1|0;v=Y(p,q)|0;f[l>>2]=v;v=Y(s,p)|0;f[m>>2]=v;v=Y(p,h)|0;h=Y(p,i)|0;f[n>>2]=0;f[n+4>>2]=t;Mia(o,a,b,c,e,d,g,l,m,j,v,h);h=f[b+4>>2]|0;if((h|0)<3){w=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;x=+(w>>>0);y=x*.0000152587890625;oU(n,o,y);Nia(o);u=k;return}b=f[r>>2]|0;r=0;v=1;while(1){j=Y(f[b+(r<<2)>>2]|0,v)|0;r=r+1|0;if((r|0)==(h|0)){w=j;break}else v=j}x=+(w>>>0);y=x*.0000152587890625;oU(n,o,y);Nia(o);u=k;return}function Aia(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0;k=u;u=u+192|0;l=k+176|0;m=k+168|0;n=k+160|0;o=k;p=f[a+40>>2]|0;q=f[p+4>>2]|0;r=f[p>>2]|0;f[l>>2]=q;f[l+4>>2]=r;r=b+40|0;p=f[r>>2]|0;s=f[p+4>>2]|0;t=f[p>>2]|0;f[m+4>>2]=t;p=((f[a>>2]|0)>>>3&511)+1|0;v=Y(p,q)|0;f[l>>2]=v;v=Y(s,p)|0;f[m>>2]=v;v=Y(p,h)|0;h=Y(p,i)|0;f[n>>2]=0;f[n+4>>2]=t;Hia(o,a,b,c,e,d,g,l,m,j,v,h);h=f[b+4>>2]|0;if((h|0)<3){w=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;x=+(w>>>0);y=x*.0000152587890625;oU(n,o,y);Iia(o);u=k;return}b=f[r>>2]|0;r=0;v=1;while(1){j=Y(f[b+(r<<2)>>2]|0,v)|0;r=r+1|0;if((r|0)==(h|0)){w=j;break}else v=j}x=+(w>>>0);y=x*.0000152587890625;oU(n,o,y);Iia(o);u=k;return}function Bia(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0;k=u;u=u+192|0;l=k+176|0;m=k+168|0;n=k+160|0;o=k;p=f[a+40>>2]|0;q=f[p+4>>2]|0;r=f[p>>2]|0;f[l>>2]=q;f[l+4>>2]=r;r=b+40|0;p=f[r>>2]|0;s=f[p+4>>2]|0;t=f[p>>2]|0;f[m+4>>2]=t;p=((f[a>>2]|0)>>>3&511)+1|0;v=Y(p,q)|0;f[l>>2]=v;v=Y(s,p)|0;f[m>>2]=v;v=Y(p,h)|0;h=Y(p,i)|0;f[n>>2]=0;f[n+4>>2]=t;Cia(o,a,b,c,e,d,g,l,m,j,v,h);h=f[b+4>>2]|0;if((h|0)<3){w=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;x=+(w>>>0);y=x*.0000152587890625;oU(n,o,y);Dia(o);u=k;return}b=f[r>>2]|0;r=0;v=1;while(1){j=Y(f[b+(r<<2)>>2]|0,v)|0;r=r+1|0;if((r|0)==(h|0)){w=j;break}else v=j}x=+(w>>>0);y=x*.0000152587890625;oU(n,o,y);Dia(o);u=k;return}function Cia(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;o=u;u=u+16|0;p=o;f[a>>2]=59144;q=a+4|0;f[q>>2]=f[c>>2];r=a+8|0;s=c+4|0;f[r>>2]=f[s>>2];t=a+12|0;f[t>>2]=f[c+8>>2];f[a+16>>2]=f[c+12>>2];f[a+20>>2]=f[c+16>>2];f[a+24>>2]=f[c+20>>2];f[a+28>>2]=f[c+24>>2];f[a+32>>2]=f[c+28>>2];f[a+36>>2]=f[c+32>>2];v=f[c+36>>2]|0;f[a+40>>2]=v;f[a+44>>2]=t;t=a+52|0;w=a+48|0;f[w>>2]=t;f[t>>2]=0;f[a+56>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[c+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2]}else{f[r>>2]=0;kP(q,c)}c=a+60|0;f[c>>2]=f[d>>2];q=a+64|0;r=d+4|0;f[q>>2]=f[r>>2];s=a+68|0;f[s>>2]=f[d+8>>2];f[a+72>>2]=f[d+12>>2];f[a+76>>2]=f[d+16>>2];f[a+80>>2]=f[d+20>>2];f[a+84>>2]=f[d+24>>2];f[a+88>>2]=f[d+28>>2];f[a+92>>2]=f[d+32>>2];t=f[d+36>>2]|0;f[a+96>>2]=t;f[a+100>>2]=s;s=a+108|0;w=a+104|0;f[w>>2]=s;f[s>>2]=0;f[a+112>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[d+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2]}else{f[q>>2]=0;kP(c,d)}f[a+116>>2]=e;f[a+120>>2]=g;f[a+124>>2]=h;f[a+128>>2]=i;f[a+132>>2]=f[j>>2];f[a+136>>2]=f[j+4>>2];f[a+140>>2]=f[k>>2];f[a+144>>2]=f[k+4>>2];f[a+148>>2]=l;f[a+152>>2]=m;f[a+156>>2]=n;if((l|0)<17){u=o;return}else{f[p>>2]=0;f[p+4>>2]=0;o=YG(p,18)|0;l=274187;n=o+18|0;do{b[o>>0]=b[l>>0]|0;o=o+1|0;l=l+1|0}while((o|0)<(n|0));SQ(-215,p,274206,273965,2391)}}function Dia(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=59144;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))tE(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;tE(b);return}function Eia(a){a=a|0;Dia(a);Emc(a);return}function Fia(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0,_=0;c=u;u=u+1296|0;d=c+1288|0;e=c;g=c+1224|0;h=c+1160|0;i=c+1096|0;j=((f[a+4>>2]|0)>>>3&511)+1|0;k=a+140|0;l=(f[k>>2]|0)+15&-16;m=a+148|0;o=f[m>>2]|0;q=Y(l,o)|0;r=e+8|0;f[e>>2]=r;s=e+4|0;f[s>>2]=q;if(q>>>0>136){t=Dmc(q>>>0>536870911?-1:q<<3)|0;f[e>>2]=t;v=t}else v=r;t=g;q=t+64|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(q|0));t=h;q=t+64|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(q|0));if((o|0)>0){Drc(i|0,-1,o<<2|0)|0;t=0;do{q=v+((Y(t,l)|0)<<3)|0;f[h+(t<<2)>>2]=q;t=t+1|0}while((t|0)<(o|0))}t=f[b>>2]|0;q=b+4|0;if((t|0)<(f[q>>2]|0)){b=a+120|0;w=a+116|0;x=a+124|0;y=a+132|0;z=a+152|0;A=a+156|0;B=a+76|0;C=a+108|0;D=h+4|0;E=h+8|0;F=h+12|0;G=a+136|0;H=a+20|0;I=a+48|0;J=l<<3;l=(f[a+128>>2]|0)+((Y(t,o)|0)<<2)|0;a=t;t=o;while(1){if((t|0)>0){o=(f[(f[b>>2]|0)+(a<<2)>>2]|0)+1+((t|0)/-2|0)|0;K=t;L=0;M=t;N=0;while(1){O=o+N|0;P=f[G>>2]|0;Q=(O|0)>-1?((O|0)<(P|0)?O:P+-1|0):0;P=(L|0)<(N|0)?N:L;a:do if((P|0)<(M|0)){O=P;while(1){if((O|0)<16?(Q|0)==(f[i+(O<<2)>>2]|0):0)break;R=O+1|0;if((R|0)<(M|0))O=R;else{S=M;T=R;break a}}if((O|0)>(N|0)){Krc(f[h+(N<<2)>>2]|0,f[h+(O<<2)>>2]|0,J|0)|0;S=f[m>>2]|0;T=O}else{S=M;T=O}}else{S=M;T=P}while(0);K=(N|0)<(K|0)&(T|0)==(S|0)?N:K;P=(f[H>>2]|0)+(Y(f[f[I>>2]>>2]|0,Q)|0)|0;f[g+(N<<2)>>2]=P;f[i+(N<<2)>>2]=Q;N=N+1|0;if((N|0)>=(S|0))break;else{L=T;M=S}}if((S|0)>(K|0))Gia(d,g+(K<<2)|0,h+(K<<2)|0,S-K|0,f[w>>2]|0,f[x>>2]|0,f[y>>2]|0,f[k>>2]|0,j,f[z>>2]|0,f[A>>2]|0)}M=(f[B>>2]|0)+(Y(f[C>>2]|0,a)|0)|0;L=f[k>>2]|0;U=+n[l>>2];V=+n[l+4>>2];W=+n[l+8>>2];X=+n[l+12>>2];N=f[h>>2]|0;o=f[D>>2]|0;P=f[E>>2]|0;R=f[F>>2]|0;if((L|0)>0){Z=0;do{p[M+(Z<<3)>>3]=U*+p[N+(Z<<3)>>3]+V*+p[o+(Z<<3)>>3]+W*+p[P+(Z<<3)>>3]+X*+p[R+(Z<<3)>>3];Z=Z+1|0}while((Z|0)!=(L|0))}a=a+1|0;L=f[m>>2]|0;if((a|0)>=(f[q>>2]|0))break;else{l=l+(L<<2)|0;t=L}}_=f[e>>2]|0}else _=v;if((_|0)==(r|0)){u=c;return}if(_|0)Fmc(_);f[e>>2]=r;f[s>>2]=136;u=c;return}function Gia(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0.0,G=0,H=0,I=0.0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;if((d|0)<=0)return;a=j<<1;m=0-(i<<2)|0;o=j<<1;q=j*3|0;r=g;g=0;while(1){s=f[b+(g<<2)>>2]|0;t=f[c+(g<<2)>>2]|0;u=k;v=0;w=r;a:while(1){if((u|0)>(v|0)){x=u-v<<2;y=v;z=w;while(1){A=f[e+(y<<2)>>2]|0;B=A-j|0;if(B>>>0<h>>>0)C=B;else{D=B;while(1)if((D|0)<0)D=D+j|0;else{E=D;break}while(1)if((E|0)<(h|0)){C=E;break}else E=E-j|0}F=+p[s+(C<<3)>>3]*+n[z>>2]+0.0;if(A>>>0<h>>>0)G=A;else{D=A;while(1)if((D|0)<0)D=D+j|0;else{H=D;break}while(1)if((H|0)<(h|0)){G=H;break}else H=H-j|0}I=F+ +p[s+(G<<3)>>3]*+n[z+4>>2];D=o+B|0;if(D>>>0<h>>>0)J=D;else{A=D;while(1)if((A|0)<0)A=A+j|0;else{K=A;break}while(1)if((K|0)<(h|0)){J=K;break}else K=K-j|0}F=I+ +p[s+(J<<3)>>3]*+n[z+8>>2];A=q+B|0;if(A>>>0<h>>>0)L=A;else{D=A;while(1)if((D|0)<0)D=D+j|0;else{M=D;break}while(1)if((M|0)<(h|0)){L=M;break}else M=M-j|0}p[t+(y<<3)>>3]=F+ +p[s+(L<<3)>>3]*+n[z+12>>2];y=y+1|0;if((y|0)==(u|0))break;else z=z+16|0}N=u;O=w+(x<<2)|0}else{N=v;O=w}if((u|0)==(i|0))break;if((N|0)<(l|0)){P=N;Q=O}else{u=i;v=N;w=O;continue}while(1){z=f[e+(P<<2)>>2]|0;p[t+(P<<3)>>3]=+p[s+(z-j<<3)>>3]*+n[Q>>2]+ +p[s+(z<<3)>>3]*+n[Q+4>>2]+ +p[s+(z+j<<3)>>3]*+n[Q+8>>2]+ +p[s+(z+a<<3)>>3]*+n[Q+12>>2];z=P+1|0;y=Q+16|0;if((z|0)<(l|0)){P=z;Q=y}else{u=i;v=l;w=y;continue a}}}g=g+1|0;if((g|0)==(d|0))break;else r=O+(m<<2)|0}return}function Hia(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;o=u;u=u+16|0;p=o;f[a>>2]=59164;q=a+4|0;f[q>>2]=f[c>>2];r=a+8|0;s=c+4|0;f[r>>2]=f[s>>2];t=a+12|0;f[t>>2]=f[c+8>>2];f[a+16>>2]=f[c+12>>2];f[a+20>>2]=f[c+16>>2];f[a+24>>2]=f[c+20>>2];f[a+28>>2]=f[c+24>>2];f[a+32>>2]=f[c+28>>2];f[a+36>>2]=f[c+32>>2];v=f[c+36>>2]|0;f[a+40>>2]=v;f[a+44>>2]=t;t=a+52|0;w=a+48|0;f[w>>2]=t;f[t>>2]=0;f[a+56>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[c+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2]}else{f[r>>2]=0;kP(q,c)}c=a+60|0;f[c>>2]=f[d>>2];q=a+64|0;r=d+4|0;f[q>>2]=f[r>>2];s=a+68|0;f[s>>2]=f[d+8>>2];f[a+72>>2]=f[d+12>>2];f[a+76>>2]=f[d+16>>2];f[a+80>>2]=f[d+20>>2];f[a+84>>2]=f[d+24>>2];f[a+88>>2]=f[d+28>>2];f[a+92>>2]=f[d+32>>2];t=f[d+36>>2]|0;f[a+96>>2]=t;f[a+100>>2]=s;s=a+108|0;w=a+104|0;f[w>>2]=s;f[s>>2]=0;f[a+112>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[d+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2]}else{f[q>>2]=0;kP(c,d)}f[a+116>>2]=e;f[a+120>>2]=g;f[a+124>>2]=h;f[a+128>>2]=i;f[a+132>>2]=f[j>>2];f[a+136>>2]=f[j+4>>2];f[a+140>>2]=f[k>>2];f[a+144>>2]=f[k+4>>2];f[a+148>>2]=l;f[a+152>>2]=m;f[a+156>>2]=n;if((l|0)<17){u=o;return}else{f[p>>2]=0;f[p+4>>2]=0;o=YG(p,18)|0;l=274187;n=o+18|0;do{b[o>>0]=b[l>>0]|0;o=o+1|0;l=l+1|0}while((o|0)<(n|0));SQ(-215,p,274206,273965,2391)}}function Iia(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=59164;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))tE(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;tE(b);return}function Jia(a){a=a|0;Iia(a);Emc(a);return}function Kia(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0.0,U=0.0,V=0.0,W=0.0,X=0,Z=0;c=u;u=u+1264|0;d=c+1256|0;e=c+192|0;g=c+128|0;h=c+64|0;i=c;j=((f[a+4>>2]|0)>>>3&511)+1|0;k=a+140|0;l=(f[k>>2]|0)+15&-16;m=a+148|0;o=f[m>>2]|0;p=Y(l,o)|0;q=e+8|0;f[e>>2]=q;r=e+4|0;f[r>>2]=p;if(p>>>0>264){s=Dmc(p>>>0>1073741823?-1:p<<2)|0;f[e>>2]=s;t=s}else t=q;s=g;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));s=h;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));if((o|0)>0){Drc(i|0,-1,o<<2|0)|0;s=0;do{p=t+((Y(s,l)|0)<<2)|0;f[h+(s<<2)>>2]=p;s=s+1|0}while((s|0)<(o|0))}s=f[b>>2]|0;p=b+4|0;if((s|0)<(f[p>>2]|0)){b=a+120|0;v=a+116|0;w=a+124|0;x=a+132|0;y=a+152|0;z=a+156|0;A=a+76|0;B=a+108|0;C=h+4|0;D=h+8|0;E=h+12|0;F=a+136|0;G=a+20|0;H=a+48|0;I=l<<2;l=(f[a+128>>2]|0)+((Y(s,o)|0)<<2)|0;a=s;s=o;while(1){if((s|0)>0){o=(f[(f[b>>2]|0)+(a<<2)>>2]|0)+1+((s|0)/-2|0)|0;J=s;K=0;L=s;M=0;while(1){N=o+M|0;O=f[F>>2]|0;P=(N|0)>-1?((N|0)<(O|0)?N:O+-1|0):0;O=(K|0)<(M|0)?M:K;a:do if((O|0)<(L|0)){N=O;while(1){if((N|0)<16?(P|0)==(f[i+(N<<2)>>2]|0):0)break;Q=N+1|0;if((Q|0)<(L|0))N=Q;else{R=L;S=Q;break a}}if((N|0)>(M|0)){Krc(f[h+(M<<2)>>2]|0,f[h+(N<<2)>>2]|0,I|0)|0;R=f[m>>2]|0;S=N}else{R=L;S=N}}else{R=L;S=O}while(0);J=(M|0)<(J|0)&(S|0)==(R|0)?M:J;O=(f[G>>2]|0)+(Y(f[f[H>>2]>>2]|0,P)|0)|0;f[g+(M<<2)>>2]=O;f[i+(M<<2)>>2]=P;M=M+1|0;if((M|0)>=(R|0))break;else{K=S;L=R}}if((R|0)>(J|0))Lia(d,g+(J<<2)|0,h+(J<<2)|0,R-J|0,f[v>>2]|0,f[w>>2]|0,f[x>>2]|0,f[k>>2]|0,j,f[y>>2]|0,f[z>>2]|0)}L=(f[A>>2]|0)+(Y(f[B>>2]|0,a)|0)|0;K=f[k>>2]|0;T=+n[l>>2];U=+n[l+4>>2];V=+n[l+8>>2];W=+n[l+12>>2];M=f[h>>2]|0;o=f[C>>2]|0;O=f[D>>2]|0;Q=f[E>>2]|0;if((K|0)>0){X=0;do{n[L+(X<<2)>>2]=T*+n[M+(X<<2)>>2]+U*+n[o+(X<<2)>>2]+V*+n[O+(X<<2)>>2]+W*+n[Q+(X<<2)>>2];X=X+1|0}while((X|0)!=(K|0))}a=a+1|0;K=f[m>>2]|0;if((a|0)>=(f[p>>2]|0))break;else{l=l+(K<<2)|0;s=K}}Z=f[e>>2]|0}else Z=t;if((Z|0)==(q|0)){u=c;return}if(Z|0)Fmc(Z);f[e>>2]=q;f[r>>2]=264;u=c;return}function Lia(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0,F=0,G=0,H=0.0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;if((d|0)<=0)return;a=j<<1;m=0-(i<<2)|0;o=j<<1;p=j*3|0;q=g;g=0;while(1){r=f[b+(g<<2)>>2]|0;s=f[c+(g<<2)>>2]|0;t=k;u=0;v=q;a:while(1){if((t|0)>(u|0)){w=t-u<<2;x=u;y=v;while(1){z=f[e+(x<<2)>>2]|0;A=z-j|0;if(A>>>0<h>>>0)B=A;else{C=A;while(1)if((C|0)<0)C=C+j|0;else{D=C;break}while(1)if((D|0)<(h|0)){B=D;break}else D=D-j|0}E=+n[r+(B<<2)>>2]*+n[y>>2]+0.0;if(z>>>0<h>>>0)F=z;else{C=z;while(1)if((C|0)<0)C=C+j|0;else{G=C;break}while(1)if((G|0)<(h|0)){F=G;break}else G=G-j|0}H=E+ +n[r+(F<<2)>>2]*+n[y+4>>2];C=o+A|0;if(C>>>0<h>>>0)I=C;else{z=C;while(1)if((z|0)<0)z=z+j|0;else{J=z;break}while(1)if((J|0)<(h|0)){I=J;break}else J=J-j|0}E=H+ +n[r+(I<<2)>>2]*+n[y+8>>2];z=p+A|0;if(z>>>0<h>>>0)K=z;else{C=z;while(1)if((C|0)<0)C=C+j|0;else{L=C;break}while(1)if((L|0)<(h|0)){K=L;break}else L=L-j|0}n[s+(x<<2)>>2]=E+ +n[r+(K<<2)>>2]*+n[y+12>>2];x=x+1|0;if((x|0)==(t|0))break;else y=y+16|0}M=t;N=v+(w<<2)|0}else{M=u;N=v}if((t|0)==(i|0))break;if((M|0)<(l|0)){O=M;P=N}else{t=i;u=M;v=N;continue}while(1){y=f[e+(O<<2)>>2]|0;n[s+(O<<2)>>2]=+n[r+(y-j<<2)>>2]*+n[P>>2]+ +n[r+(y<<2)>>2]*+n[P+4>>2]+ +n[r+(y+j<<2)>>2]*+n[P+8>>2]+ +n[r+(y+a<<2)>>2]*+n[P+12>>2];y=O+1|0;x=P+16|0;if((y|0)<(l|0)){O=y;P=x}else{t=i;u=l;v=x;continue a}}}g=g+1|0;if((g|0)==(d|0))break;else q=N+(m<<2)|0}return}function Mia(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;o=u;u=u+16|0;p=o;f[a>>2]=59184;q=a+4|0;f[q>>2]=f[c>>2];r=a+8|0;s=c+4|0;f[r>>2]=f[s>>2];t=a+12|0;f[t>>2]=f[c+8>>2];f[a+16>>2]=f[c+12>>2];f[a+20>>2]=f[c+16>>2];f[a+24>>2]=f[c+20>>2];f[a+28>>2]=f[c+24>>2];f[a+32>>2]=f[c+28>>2];f[a+36>>2]=f[c+32>>2];v=f[c+36>>2]|0;f[a+40>>2]=v;f[a+44>>2]=t;t=a+52|0;w=a+48|0;f[w>>2]=t;f[t>>2]=0;f[a+56>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[c+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2]}else{f[r>>2]=0;kP(q,c)}c=a+60|0;f[c>>2]=f[d>>2];q=a+64|0;r=d+4|0;f[q>>2]=f[r>>2];s=a+68|0;f[s>>2]=f[d+8>>2];f[a+72>>2]=f[d+12>>2];f[a+76>>2]=f[d+16>>2];f[a+80>>2]=f[d+20>>2];f[a+84>>2]=f[d+24>>2];f[a+88>>2]=f[d+28>>2];f[a+92>>2]=f[d+32>>2];t=f[d+36>>2]|0;f[a+96>>2]=t;f[a+100>>2]=s;s=a+108|0;w=a+104|0;f[w>>2]=s;f[s>>2]=0;f[a+112>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[d+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2]}else{f[q>>2]=0;kP(c,d)}f[a+116>>2]=e;f[a+120>>2]=g;f[a+124>>2]=h;f[a+128>>2]=i;f[a+132>>2]=f[j>>2];f[a+136>>2]=f[j+4>>2];f[a+140>>2]=f[k>>2];f[a+144>>2]=f[k+4>>2];f[a+148>>2]=l;f[a+152>>2]=m;f[a+156>>2]=n;if((l|0)<17){u=o;return}else{f[p>>2]=0;f[p+4>>2]=0;o=YG(p,18)|0;l=274187;n=o+18|0;do{b[o>>0]=b[l>>0]|0;o=o+1|0;l=l+1|0}while((o|0)<(n|0));SQ(-215,p,274206,273965,2391)}}function Nia(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=59184;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))tE(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;tE(b);return}function Oia(a){a=a|0;Nia(a);Emc(a);return}function Pia(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0,_=0,$=0;c=u;u=u+1264|0;e=c+1256|0;g=c+192|0;h=c+128|0;i=c+64|0;j=c;k=((f[a+4>>2]|0)>>>3&511)+1|0;l=a+140|0;m=(f[l>>2]|0)+15&-16;o=a+148|0;p=f[o>>2]|0;q=Y(m,p)|0;r=g+8|0;f[g>>2]=r;s=g+4|0;f[s>>2]=q;if(q>>>0>264){t=Dmc(q>>>0>1073741823?-1:q<<2)|0;f[g>>2]=t;v=t}else v=r;t=h;q=t+64|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(q|0));t=i;q=t+64|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(q|0));if((p|0)>0){Drc(j|0,-1,p<<2|0)|0;t=0;do{q=v+((Y(t,m)|0)<<2)|0;f[i+(t<<2)>>2]=q;t=t+1|0}while((t|0)<(p|0))}t=f[b>>2]|0;q=b+4|0;if((t|0)<(f[q>>2]|0)){b=a+120|0;w=a+116|0;x=a+124|0;y=a+132|0;z=a+152|0;A=a+156|0;B=a+76|0;C=a+108|0;D=i+4|0;E=i+8|0;F=i+12|0;G=a+136|0;H=a+20|0;I=a+48|0;J=m<<2;m=(f[a+128>>2]|0)+((Y(t,p)|0)<<2)|0;a=t;t=p;while(1){if((t|0)>0){p=(f[(f[b>>2]|0)+(a<<2)>>2]|0)+1+((t|0)/-2|0)|0;K=t;L=0;M=t;N=0;while(1){O=p+N|0;P=f[G>>2]|0;Q=(O|0)>-1?((O|0)<(P|0)?O:P+-1|0):0;P=(L|0)<(N|0)?N:L;a:do if((P|0)<(M|0)){O=P;while(1){if((O|0)<16?(Q|0)==(f[j+(O<<2)>>2]|0):0)break;R=O+1|0;if((R|0)<(M|0))O=R;else{S=M;T=R;break a}}if((O|0)>(N|0)){Krc(f[i+(N<<2)>>2]|0,f[i+(O<<2)>>2]|0,J|0)|0;S=f[o>>2]|0;T=O}else{S=M;T=O}}else{S=M;T=P}while(0);K=(N|0)<(K|0)&(T|0)==(S|0)?N:K;P=(f[H>>2]|0)+(Y(f[f[I>>2]>>2]|0,Q)|0)|0;f[h+(N<<2)>>2]=P;f[j+(N<<2)>>2]=Q;N=N+1|0;if((N|0)>=(S|0))break;else{L=T;M=S}}if((S|0)>(K|0))Qia(e,h+(K<<2)|0,i+(K<<2)|0,S-K|0,f[w>>2]|0,f[x>>2]|0,f[y>>2]|0,f[l>>2]|0,k,f[z>>2]|0,f[A>>2]|0)}M=(f[B>>2]|0)+(Y(f[C>>2]|0,a)|0)|0;L=f[l>>2]|0;U=+n[m>>2];V=+n[m+4>>2];W=+n[m+8>>2];X=+n[m+12>>2];N=f[i>>2]|0;p=f[D>>2]|0;P=f[E>>2]|0;R=f[F>>2]|0;if((L|0)>0){Z=0;do{_=U9b(U*+n[N+(Z<<2)>>2]+V*+n[p+(Z<<2)>>2]+W*+n[P+(Z<<2)>>2]+X*+n[R+(Z<<2)>>2])|0;d[M+(Z<<1)>>1]=(_+32768|0)>>>0<65536?_:(_|0)>0?32767:32768;Z=Z+1|0}while((Z|0)!=(L|0))}a=a+1|0;L=f[o>>2]|0;if((a|0)>=(f[q>>2]|0))break;else{m=m+(L<<2)|0;t=L}}$=f[g>>2]|0}else $=v;if(($|0)==(r|0)){u=c;return}if($|0)Fmc($);f[g>>2]=r;f[s>>2]=264;u=c;return}function Qia(a,b,c,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0.0,G=0,H=0,I=0.0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;if((e|0)<=0)return;a=k<<1;o=0-(j<<2)|0;p=k<<1;q=k*3|0;r=h;h=0;while(1){s=f[b+(h<<2)>>2]|0;t=f[c+(h<<2)>>2]|0;u=l;v=0;w=r;a:while(1){if((u|0)>(v|0)){x=u-v<<2;y=v;z=w;while(1){A=f[g+(y<<2)>>2]|0;B=A-k|0;if(B>>>0<i>>>0)C=B;else{D=B;while(1)if((D|0)<0)D=D+k|0;else{E=D;break}while(1)if((E|0)<(i|0)){C=E;break}else E=E-k|0}F=+(d[s+(C<<1)>>1]|0)*+n[z>>2]+0.0;if(A>>>0<i>>>0)G=A;else{D=A;while(1)if((D|0)<0)D=D+k|0;else{H=D;break}while(1)if((H|0)<(i|0)){G=H;break}else H=H-k|0}I=F+ +(d[s+(G<<1)>>1]|0)*+n[z+4>>2];D=p+B|0;if(D>>>0<i>>>0)J=D;else{A=D;while(1)if((A|0)<0)A=A+k|0;else{K=A;break}while(1)if((K|0)<(i|0)){J=K;break}else K=K-k|0}F=I+ +(d[s+(J<<1)>>1]|0)*+n[z+8>>2];A=q+B|0;if(A>>>0<i>>>0)L=A;else{D=A;while(1)if((D|0)<0)D=D+k|0;else{M=D;break}while(1)if((M|0)<(i|0)){L=M;break}else M=M-k|0}n[t+(y<<2)>>2]=F+ +(d[s+(L<<1)>>1]|0)*+n[z+12>>2];y=y+1|0;if((y|0)==(u|0))break;else z=z+16|0}N=u;O=w+(x<<2)|0}else{N=v;O=w}if((u|0)==(j|0))break;if((N|0)<(m|0)){P=N;Q=O}else{u=j;v=N;w=O;continue}while(1){z=f[g+(P<<2)>>2]|0;n[t+(P<<2)>>2]=+(d[s+(z-k<<1)>>1]|0)*+n[Q>>2]+ +(d[s+(z<<1)>>1]|0)*+n[Q+4>>2]+ +(d[s+(z+k<<1)>>1]|0)*+n[Q+8>>2]+ +(d[s+(z+a<<1)>>1]|0)*+n[Q+12>>2];z=P+1|0;y=Q+16|0;if((z|0)<(m|0)){P=z;Q=y}else{u=j;v=m;w=y;continue a}}}h=h+1|0;if((h|0)==(e|0))break;else r=O+(o<<2)|0}return}function Ria(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;o=u;u=u+16|0;p=o;f[a>>2]=59204;q=a+4|0;f[q>>2]=f[c>>2];r=a+8|0;s=c+4|0;f[r>>2]=f[s>>2];t=a+12|0;f[t>>2]=f[c+8>>2];f[a+16>>2]=f[c+12>>2];f[a+20>>2]=f[c+16>>2];f[a+24>>2]=f[c+20>>2];f[a+28>>2]=f[c+24>>2];f[a+32>>2]=f[c+28>>2];f[a+36>>2]=f[c+32>>2];v=f[c+36>>2]|0;f[a+40>>2]=v;f[a+44>>2]=t;t=a+52|0;w=a+48|0;f[w>>2]=t;f[t>>2]=0;f[a+56>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[c+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2]}else{f[r>>2]=0;kP(q,c)}c=a+60|0;f[c>>2]=f[d>>2];q=a+64|0;r=d+4|0;f[q>>2]=f[r>>2];s=a+68|0;f[s>>2]=f[d+8>>2];f[a+72>>2]=f[d+12>>2];f[a+76>>2]=f[d+16>>2];f[a+80>>2]=f[d+20>>2];f[a+84>>2]=f[d+24>>2];f[a+88>>2]=f[d+28>>2];f[a+92>>2]=f[d+32>>2];t=f[d+36>>2]|0;f[a+96>>2]=t;f[a+100>>2]=s;s=a+108|0;w=a+104|0;f[w>>2]=s;f[s>>2]=0;f[a+112>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[d+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2]}else{f[q>>2]=0;kP(c,d)}f[a+116>>2]=e;f[a+120>>2]=g;f[a+124>>2]=h;f[a+128>>2]=i;f[a+132>>2]=f[j>>2];f[a+136>>2]=f[j+4>>2];f[a+140>>2]=f[k>>2];f[a+144>>2]=f[k+4>>2];f[a+148>>2]=l;f[a+152>>2]=m;f[a+156>>2]=n;if((l|0)<17){u=o;return}else{f[p>>2]=0;f[p+4>>2]=0;o=YG(p,18)|0;l=274187;n=o+18|0;do{b[o>>0]=b[l>>0]|0;o=o+1|0;l=l+1|0}while((o|0)<(n|0));SQ(-215,p,274206,273965,2391)}}function Sia(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=59204;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))tE(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;tE(b);return}function Tia(a){a=a|0;Sia(a);Emc(a);return}function Uia(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0,_=0,$=0;c=u;u=u+1264|0;e=c+1256|0;g=c+192|0;h=c+128|0;i=c+64|0;j=c;k=((f[a+4>>2]|0)>>>3&511)+1|0;l=a+140|0;m=(f[l>>2]|0)+15&-16;o=a+148|0;p=f[o>>2]|0;q=Y(m,p)|0;r=g+8|0;f[g>>2]=r;s=g+4|0;f[s>>2]=q;if(q>>>0>264){t=Dmc(q>>>0>1073741823?-1:q<<2)|0;f[g>>2]=t;v=t}else v=r;t=h;q=t+64|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(q|0));t=i;q=t+64|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(q|0));if((p|0)>0){Drc(j|0,-1,p<<2|0)|0;t=0;do{q=v+((Y(t,m)|0)<<2)|0;f[i+(t<<2)>>2]=q;t=t+1|0}while((t|0)<(p|0))}t=f[b>>2]|0;q=b+4|0;if((t|0)<(f[q>>2]|0)){b=a+120|0;w=a+116|0;x=a+124|0;y=a+132|0;z=a+152|0;A=a+156|0;B=a+76|0;C=a+108|0;D=i+4|0;E=i+8|0;F=i+12|0;G=a+136|0;H=a+20|0;I=a+48|0;J=m<<2;m=(f[a+128>>2]|0)+((Y(t,p)|0)<<2)|0;a=t;t=p;while(1){if((t|0)>0){p=(f[(f[b>>2]|0)+(a<<2)>>2]|0)+1+((t|0)/-2|0)|0;K=t;L=0;M=t;N=0;while(1){O=p+N|0;P=f[G>>2]|0;Q=(O|0)>-1?((O|0)<(P|0)?O:P+-1|0):0;P=(L|0)<(N|0)?N:L;a:do if((P|0)<(M|0)){O=P;while(1){if((O|0)<16?(Q|0)==(f[j+(O<<2)>>2]|0):0)break;R=O+1|0;if((R|0)<(M|0))O=R;else{S=M;T=R;break a}}if((O|0)>(N|0)){Krc(f[i+(N<<2)>>2]|0,f[i+(O<<2)>>2]|0,J|0)|0;S=f[o>>2]|0;T=O}else{S=M;T=O}}else{S=M;T=P}while(0);K=(N|0)<(K|0)&(T|0)==(S|0)?N:K;P=(f[H>>2]|0)+(Y(f[f[I>>2]>>2]|0,Q)|0)|0;f[h+(N<<2)>>2]=P;f[j+(N<<2)>>2]=Q;N=N+1|0;if((N|0)>=(S|0))break;else{L=T;M=S}}if((S|0)>(K|0))Via(e,h+(K<<2)|0,i+(K<<2)|0,S-K|0,f[w>>2]|0,f[x>>2]|0,f[y>>2]|0,f[l>>2]|0,k,f[z>>2]|0,f[A>>2]|0)}M=(f[B>>2]|0)+(Y(f[C>>2]|0,a)|0)|0;L=f[l>>2]|0;U=+n[m>>2];V=+n[m+4>>2];W=+n[m+8>>2];X=+n[m+12>>2];N=f[i>>2]|0;p=f[D>>2]|0;P=f[E>>2]|0;R=f[F>>2]|0;if((L|0)>0){Z=0;do{_=U9b(U*+n[N+(Z<<2)>>2]+V*+n[p+(Z<<2)>>2]+W*+n[P+(Z<<2)>>2]+X*+n[R+(Z<<2)>>2])|0;d[M+(Z<<1)>>1]=_>>>0<65536?_:(_|0)>0?65535:0;Z=Z+1|0}while((Z|0)!=(L|0))}a=a+1|0;L=f[o>>2]|0;if((a|0)>=(f[q>>2]|0))break;else{m=m+(L<<2)|0;t=L}}$=f[g>>2]|0}else $=v;if(($|0)==(r|0)){u=c;return}if($|0)Fmc($);f[g>>2]=r;f[s>>2]=264;u=c;return}function Via(a,b,c,d,e,g,h,i,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;l=l|0;m=m|0;var o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0.0,G=0,H=0,I=0.0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;if((d|0)<=0)return;a=k<<1;o=0-(i<<2)|0;p=k<<1;q=k*3|0;r=g;g=0;while(1){s=f[b+(g<<2)>>2]|0;t=f[c+(g<<2)>>2]|0;u=l;v=0;w=r;a:while(1){if((u|0)>(v|0)){x=u-v<<2;y=v;z=w;while(1){A=f[e+(y<<2)>>2]|0;B=A-k|0;if(B>>>0<h>>>0)C=B;else{D=B;while(1)if((D|0)<0)D=D+k|0;else{E=D;break}while(1)if((E|0)<(h|0)){C=E;break}else E=E-k|0}F=+(j[s+(C<<1)>>1]|0)*+n[z>>2]+0.0;if(A>>>0<h>>>0)G=A;else{D=A;while(1)if((D|0)<0)D=D+k|0;else{H=D;break}while(1)if((H|0)<(h|0)){G=H;break}else H=H-k|0}I=F+ +(j[s+(G<<1)>>1]|0)*+n[z+4>>2];D=p+B|0;if(D>>>0<h>>>0)J=D;else{A=D;while(1)if((A|0)<0)A=A+k|0;else{K=A;break}while(1)if((K|0)<(h|0)){J=K;break}else K=K-k|0}F=I+ +(j[s+(J<<1)>>1]|0)*+n[z+8>>2];A=q+B|0;if(A>>>0<h>>>0)L=A;else{D=A;while(1)if((D|0)<0)D=D+k|0;else{M=D;break}while(1)if((M|0)<(h|0)){L=M;break}else M=M-k|0}n[t+(y<<2)>>2]=F+ +(j[s+(L<<1)>>1]|0)*+n[z+12>>2];y=y+1|0;if((y|0)==(u|0))break;else z=z+16|0}N=u;O=w+(x<<2)|0}else{N=v;O=w}if((u|0)==(i|0))break;if((N|0)<(m|0)){P=N;Q=O}else{u=i;v=N;w=O;continue}while(1){z=f[e+(P<<2)>>2]|0;n[t+(P<<2)>>2]=+(j[s+(z-k<<1)>>1]|0)*+n[Q>>2]+ +(j[s+(z<<1)>>1]|0)*+n[Q+4>>2]+ +(j[s+(z+k<<1)>>1]|0)*+n[Q+8>>2]+ +(j[s+(z+a<<1)>>1]|0)*+n[Q+12>>2];z=P+1|0;y=Q+16|0;if((z|0)<(m|0)){P=z;Q=y}else{u=i;v=m;w=y;continue a}}}g=g+1|0;if((g|0)==(d|0))break;else r=O+(o<<2)|0}return}function Wia(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;o=u;u=u+16|0;p=o;f[a>>2]=59224;q=a+4|0;f[q>>2]=f[c>>2];r=a+8|0;s=c+4|0;f[r>>2]=f[s>>2];t=a+12|0;f[t>>2]=f[c+8>>2];f[a+16>>2]=f[c+12>>2];f[a+20>>2]=f[c+16>>2];f[a+24>>2]=f[c+20>>2];f[a+28>>2]=f[c+24>>2];f[a+32>>2]=f[c+28>>2];f[a+36>>2]=f[c+32>>2];v=f[c+36>>2]|0;f[a+40>>2]=v;f[a+44>>2]=t;t=a+52|0;w=a+48|0;f[w>>2]=t;f[t>>2]=0;f[a+56>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[c+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2]}else{f[r>>2]=0;kP(q,c)}c=a+60|0;f[c>>2]=f[d>>2];q=a+64|0;r=d+4|0;f[q>>2]=f[r>>2];s=a+68|0;f[s>>2]=f[d+8>>2];f[a+72>>2]=f[d+12>>2];f[a+76>>2]=f[d+16>>2];f[a+80>>2]=f[d+20>>2];f[a+84>>2]=f[d+24>>2];f[a+88>>2]=f[d+28>>2];f[a+92>>2]=f[d+32>>2];t=f[d+36>>2]|0;f[a+96>>2]=t;f[a+100>>2]=s;s=a+108|0;w=a+104|0;f[w>>2]=s;f[s>>2]=0;f[a+112>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[d+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2]}else{f[q>>2]=0;kP(c,d)}f[a+116>>2]=e;f[a+120>>2]=g;f[a+124>>2]=h;f[a+128>>2]=i;f[a+132>>2]=f[j>>2];f[a+136>>2]=f[j+4>>2];f[a+140>>2]=f[k>>2];f[a+144>>2]=f[k+4>>2];f[a+148>>2]=l;f[a+152>>2]=m;f[a+156>>2]=n;if((l|0)<17){u=o;return}else{f[p>>2]=0;f[p+4>>2]=0;o=YG(p,18)|0;l=274187;n=o+18|0;do{b[o>>0]=b[l>>0]|0;o=o+1|0;l=l+1|0}while((o|0)<(n|0));SQ(-215,p,274206,273965,2391)}}function Xia(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=59224;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))tE(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;tE(b);return}function Yia(a){a=a|0;Xia(a);Emc(a);return}function Zia(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;e=u;u=u+1264|0;g=e+1256|0;h=e+192|0;i=e+128|0;j=e+64|0;k=e;l=((f[a+4>>2]|0)>>>3&511)+1|0;m=a+140|0;n=(f[m>>2]|0)+15&-16;o=a+148|0;p=f[o>>2]|0;q=Y(n,p)|0;r=h+8|0;f[h>>2]=r;s=h+4|0;f[s>>2]=q;if(q>>>0>264){t=Dmc(q>>>0>1073741823?-1:q<<2)|0;f[h>>2]=t;v=t}else v=r;t=i;q=t+64|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(q|0));t=j;q=t+64|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(q|0));if((p|0)>0){Drc(k|0,-1,p<<2|0)|0;t=0;do{q=v+((Y(t,n)|0)<<2)|0;f[j+(t<<2)>>2]=q;t=t+1|0}while((t|0)<(p|0))}t=f[c>>2]|0;q=c+4|0;if((t|0)<(f[q>>2]|0)){c=a+120|0;w=a+116|0;x=a+124|0;y=a+132|0;z=a+152|0;A=a+156|0;B=a+76|0;C=a+108|0;D=j+4|0;E=j+8|0;F=j+12|0;G=a+136|0;H=a+20|0;I=a+48|0;J=n<<2;n=(f[a+128>>2]|0)+((Y(t,p)|0)<<1)|0;a=t;t=p;while(1){if((t|0)>0){p=(f[(f[c>>2]|0)+(a<<2)>>2]|0)+1+((t|0)/-2|0)|0;K=t;L=0;M=t;N=0;while(1){O=p+N|0;P=f[G>>2]|0;Q=(O|0)>-1?((O|0)<(P|0)?O:P+-1|0):0;P=(L|0)<(N|0)?N:L;a:do if((P|0)<(M|0)){O=P;while(1){if((O|0)<16?(Q|0)==(f[k+(O<<2)>>2]|0):0)break;R=O+1|0;if((R|0)<(M|0))O=R;else{S=M;T=R;break a}}if((O|0)>(N|0)){Krc(f[j+(N<<2)>>2]|0,f[j+(O<<2)>>2]|0,J|0)|0;S=f[o>>2]|0;T=O}else{S=M;T=O}}else{S=M;T=P}while(0);K=(N|0)<(K|0)&(T|0)==(S|0)?N:K;P=(f[H>>2]|0)+(Y(f[f[I>>2]>>2]|0,Q)|0)|0;f[i+(N<<2)>>2]=P;f[k+(N<<2)>>2]=Q;N=N+1|0;if((N|0)>=(S|0))break;else{L=T;M=S}}if((S|0)>(K|0))_ia(g,i+(K<<2)|0,j+(K<<2)|0,S-K|0,f[w>>2]|0,f[x>>2]|0,f[y>>2]|0,f[m>>2]|0,l,f[z>>2]|0,f[A>>2]|0)}M=(f[B>>2]|0)+(Y(f[C>>2]|0,a)|0)|0;L=f[m>>2]|0;N=d[n>>1]|0;p=d[n+2>>1]|0;P=d[n+4>>1]|0;R=d[n+6>>1]|0;U=f[j>>2]|0;V=f[D>>2]|0;W=f[E>>2]|0;X=f[F>>2]|0;if((L|0)>0){Z=0;do{_=Y(f[U+(Z<<2)>>2]|0,N)|0;$=Y(f[V+(Z<<2)>>2]|0,p)|0;aa=Y(f[W+(Z<<2)>>2]|0,P)|0;ba=_+2097152+$+aa+(Y(f[X+(Z<<2)>>2]|0,R)|0)>>22;b[M+Z>>0]=ba>>>0<256?ba:(ba|0)>0?255:0;Z=Z+1|0}while((Z|0)!=(L|0))}a=a+1|0;L=f[o>>2]|0;if((a|0)>=(f[q>>2]|0))break;else{n=n+(L<<1)|0;t=L}}ca=f[h>>2]|0}else ca=v;if((ca|0)==(r|0)){u=e;return}if(ca|0)Fmc(ca);f[h>>2]=r;f[s>>2]=264;u=e;return}function _ia(a,b,c,e,g,i,j,k,l,m,n){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;if((e|0)<=0)return;a=l<<1;o=0-(k<<2)|0;p=l<<1;q=l*3|0;r=i;i=0;while(1){s=f[b+(i<<2)>>2]|0;t=f[c+(i<<2)>>2]|0;u=m;v=0;w=r;a:while(1){if((u|0)>(v|0)){x=u-v<<2;y=v;z=w;while(1){A=f[g+(y<<2)>>2]|0;B=A-l|0;if(B>>>0<j>>>0)C=B;else{D=B;while(1)if((D|0)<0)D=D+l|0;else{E=D;break}while(1)if((E|0)<(j|0)){C=E;break}else E=E-l|0}D=Y(d[z>>1]|0,h[s+C>>0]|0)|0;if(A>>>0<j>>>0)F=A;else{G=A;while(1)if((G|0)<0)G=G+l|0;else{H=G;break}while(1)if((H|0)<(j|0)){F=H;break}else H=H-l|0}G=(Y(d[z+2>>1]|0,h[s+F>>0]|0)|0)+D|0;A=p+B|0;if(A>>>0<j>>>0)I=A;else{J=A;while(1)if((J|0)<0)J=J+l|0;else{K=J;break}while(1)if((K|0)<(j|0)){I=K;break}else K=K-l|0}J=(Y(d[z+4>>1]|0,h[s+I>>0]|0)|0)+G|0;D=q+B|0;if(D>>>0<j>>>0)L=D;else{A=D;while(1)if((A|0)<0)A=A+l|0;else{M=A;break}while(1)if((M|0)<(j|0)){L=M;break}else M=M-l|0}A=(Y(d[z+6>>1]|0,h[s+L>>0]|0)|0)+J|0;f[t+(y<<2)>>2]=A;y=y+1|0;if((y|0)==(u|0))break;else z=z+8|0}N=u;O=w+(x<<1)|0}else{N=v;O=w}if((u|0)==(k|0))break;if((N|0)<(n|0)){P=N;Q=O}else{u=k;v=N;w=O;continue}while(1){z=f[g+(P<<2)>>2]|0;y=Y(d[Q>>1]|0,h[s+(z-l)>>0]|0)|0;A=(Y(d[Q+2>>1]|0,h[s+z>>0]|0)|0)+y|0;y=A+(Y(d[Q+4>>1]|0,h[s+(z+l)>>0]|0)|0)|0;A=y+(Y(d[Q+6>>1]|0,h[s+(z+a)>>0]|0)|0)|0;f[t+(P<<2)>>2]=A;A=P+1|0;z=Q+8|0;if((A|0)<(n|0)){P=A;Q=z}else{u=k;v=n;w=z;continue a}}}i=i+1|0;if((i|0)==(e|0))break;else r=O+(o<<1)|0}return}function $ia(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0;k=u;u=u+192|0;l=k+176|0;m=k+168|0;n=k+160|0;o=k;p=f[a+40>>2]|0;q=f[p+4>>2]|0;r=f[p>>2]|0;f[l>>2]=q;f[l+4>>2]=r;r=b+40|0;p=f[r>>2]|0;s=f[p+4>>2]|0;t=f[p>>2]|0;f[m+4>>2]=t;p=((f[a>>2]|0)>>>3&511)+1|0;v=Y(p,q)|0;f[l>>2]=v;v=Y(s,p)|0;f[m>>2]=v;v=Y(p,h)|0;h=Y(p,i)|0;f[n>>2]=0;f[n+4>>2]=t;Cja(o,a,b,c,e,d,g,l,m,j,v,h);h=f[b+4>>2]|0;if((h|0)<3){w=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;x=+(w>>>0);y=x*.0000152587890625;oU(n,o,y);Dja(o);u=k;return}b=f[r>>2]|0;r=0;v=1;while(1){j=Y(f[b+(r<<2)>>2]|0,v)|0;r=r+1|0;if((r|0)==(h|0)){w=j;break}else v=j}x=+(w>>>0);y=x*.0000152587890625;oU(n,o,y);Dja(o);u=k;return}function aja(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0;k=u;u=u+192|0;l=k+176|0;m=k+168|0;n=k+160|0;o=k;p=f[a+40>>2]|0;q=f[p+4>>2]|0;r=f[p>>2]|0;f[l>>2]=q;f[l+4>>2]=r;r=b+40|0;p=f[r>>2]|0;s=f[p+4>>2]|0;t=f[p>>2]|0;f[m+4>>2]=t;p=((f[a>>2]|0)>>>3&511)+1|0;v=Y(p,q)|0;f[l>>2]=v;v=Y(s,p)|0;f[m>>2]=v;v=Y(p,h)|0;h=Y(p,i)|0;f[n>>2]=0;f[n+4>>2]=t;wja(o,a,b,c,e,d,g,l,m,j,v,h);h=f[b+4>>2]|0;if((h|0)<3){w=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;x=+(w>>>0);y=x*.0000152587890625;oU(n,o,y);xja(o);u=k;return}b=f[r>>2]|0;r=0;v=1;while(1){j=Y(f[b+(r<<2)>>2]|0,v)|0;r=r+1|0;if((r|0)==(h|0)){w=j;break}else v=j}x=+(w>>>0);y=x*.0000152587890625;oU(n,o,y);xja(o);u=k;return}function bja(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0;k=u;u=u+192|0;l=k+176|0;m=k+168|0;n=k+160|0;o=k;p=f[a+40>>2]|0;q=f[p+4>>2]|0;r=f[p>>2]|0;f[l>>2]=q;f[l+4>>2]=r;r=b+40|0;p=f[r>>2]|0;s=f[p+4>>2]|0;t=f[p>>2]|0;f[m+4>>2]=t;p=((f[a>>2]|0)>>>3&511)+1|0;v=Y(p,q)|0;f[l>>2]=v;v=Y(s,p)|0;f[m>>2]=v;v=Y(p,h)|0;h=Y(p,i)|0;f[n>>2]=0;f[n+4>>2]=t;qja(o,a,b,c,e,d,g,l,m,j,v,h);h=f[b+4>>2]|0;if((h|0)<3){w=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;x=+(w>>>0);y=x*.0000152587890625;oU(n,o,y);rja(o);u=k;return}b=f[r>>2]|0;r=0;v=1;while(1){j=Y(f[b+(r<<2)>>2]|0,v)|0;r=r+1|0;if((r|0)==(h|0)){w=j;break}else v=j}x=+(w>>>0);y=x*.0000152587890625;oU(n,o,y);rja(o);u=k;return}function cja(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0;k=u;u=u+192|0;l=k+176|0;m=k+168|0;n=k+160|0;o=k;p=f[a+40>>2]|0;q=f[p+4>>2]|0;r=f[p>>2]|0;f[l>>2]=q;f[l+4>>2]=r;r=b+40|0;p=f[r>>2]|0;s=f[p+4>>2]|0;t=f[p>>2]|0;f[m+4>>2]=t;p=((f[a>>2]|0)>>>3&511)+1|0;v=Y(p,q)|0;f[l>>2]=v;v=Y(s,p)|0;f[m>>2]=v;v=Y(p,h)|0;h=Y(p,i)|0;f[n>>2]=0;f[n+4>>2]=t;kja(o,a,b,c,e,d,g,l,m,j,v,h);h=f[b+4>>2]|0;if((h|0)<3){w=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;x=+(w>>>0);y=x*.0000152587890625;oU(n,o,y);lja(o);u=k;return}b=f[r>>2]|0;r=0;v=1;while(1){j=Y(f[b+(r<<2)>>2]|0,v)|0;r=r+1|0;if((r|0)==(h|0)){w=j;break}else v=j}x=+(w>>>0);y=x*.0000152587890625;oU(n,o,y);lja(o);u=k;return}function dja(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0;k=u;u=u+192|0;l=k+176|0;m=k+168|0;n=k+160|0;o=k;p=f[a+40>>2]|0;q=f[p+4>>2]|0;r=f[p>>2]|0;f[l>>2]=q;f[l+4>>2]=r;r=b+40|0;p=f[r>>2]|0;s=f[p+4>>2]|0;t=f[p>>2]|0;f[m+4>>2]=t;p=((f[a>>2]|0)>>>3&511)+1|0;v=Y(p,q)|0;f[l>>2]=v;v=Y(s,p)|0;f[m>>2]=v;v=Y(p,h)|0;h=Y(p,i)|0;f[n>>2]=0;f[n+4>>2]=t;eja(o,a,b,c,e,d,g,l,m,j,v,h);h=f[b+4>>2]|0;if((h|0)<3){w=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;x=+(w>>>0);y=x*.0000152587890625;oU(n,o,y);fja(o);u=k;return}b=f[r>>2]|0;r=0;v=1;while(1){j=Y(f[b+(r<<2)>>2]|0,v)|0;r=r+1|0;if((r|0)==(h|0)){w=j;break}else v=j}x=+(w>>>0);y=x*.0000152587890625;oU(n,o,y);fja(o);u=k;return}function eja(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;o=u;u=u+16|0;p=o;f[a>>2]=59244;q=a+4|0;f[q>>2]=f[c>>2];r=a+8|0;s=c+4|0;f[r>>2]=f[s>>2];t=a+12|0;f[t>>2]=f[c+8>>2];f[a+16>>2]=f[c+12>>2];f[a+20>>2]=f[c+16>>2];f[a+24>>2]=f[c+20>>2];f[a+28>>2]=f[c+24>>2];f[a+32>>2]=f[c+28>>2];f[a+36>>2]=f[c+32>>2];v=f[c+36>>2]|0;f[a+40>>2]=v;f[a+44>>2]=t;t=a+52|0;w=a+48|0;f[w>>2]=t;f[t>>2]=0;f[a+56>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[c+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2]}else{f[r>>2]=0;kP(q,c)}c=a+60|0;f[c>>2]=f[d>>2];q=a+64|0;r=d+4|0;f[q>>2]=f[r>>2];s=a+68|0;f[s>>2]=f[d+8>>2];f[a+72>>2]=f[d+12>>2];f[a+76>>2]=f[d+16>>2];f[a+80>>2]=f[d+20>>2];f[a+84>>2]=f[d+24>>2];f[a+88>>2]=f[d+28>>2];f[a+92>>2]=f[d+32>>2];t=f[d+36>>2]|0;f[a+96>>2]=t;f[a+100>>2]=s;s=a+108|0;w=a+104|0;f[w>>2]=s;f[s>>2]=0;f[a+112>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[d+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2]}else{f[q>>2]=0;kP(c,d)}f[a+116>>2]=e;f[a+120>>2]=g;f[a+124>>2]=h;f[a+128>>2]=i;f[a+132>>2]=f[j>>2];f[a+136>>2]=f[j+4>>2];f[a+140>>2]=f[k>>2];f[a+144>>2]=f[k+4>>2];f[a+148>>2]=l;f[a+152>>2]=m;f[a+156>>2]=n;if((l|0)<17){u=o;return}else{f[p>>2]=0;f[p+4>>2]=0;o=YG(p,18)|0;l=274187;n=o+18|0;do{b[o>>0]=b[l>>0]|0;o=o+1|0;l=l+1|0}while((o|0)<(n|0));SQ(-215,p,274206,273965,2391)}}function fja(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=59244;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))tE(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;tE(b);return}function gja(a){a=a|0;fja(a);Emc(a);return}function hja(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;c=u;u=u+1296|0;d=c+1289|0;e=c+1288|0;g=c;h=c+1224|0;i=c+1160|0;j=c+1096|0;k=((f[a+4>>2]|0)>>>3&511)+1|0;l=a+140|0;m=(f[l>>2]|0)+15&-16;n=a+148|0;o=f[n>>2]|0;p=Y(m,o)|0;q=g+8|0;f[g>>2]=q;r=g+4|0;f[r>>2]=p;if(p>>>0>136){s=Dmc(p>>>0>536870911?-1:p<<3)|0;f[g>>2]=s;t=s}else t=q;s=h;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));s=i;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));if((o|0)>0){Drc(j|0,-1,o<<2|0)|0;s=0;do{p=t+((Y(s,m)|0)<<3)|0;f[i+(s<<2)>>2]=p;s=s+1|0}while((s|0)<(o|0))}s=f[b>>2]|0;p=b+4|0;if((s|0)<(f[p>>2]|0)){b=a+120|0;v=a+116|0;w=a+124|0;x=a+132|0;y=a+152|0;z=a+156|0;A=a+76|0;B=a+108|0;C=a+136|0;D=a+20|0;E=a+48|0;F=m<<3;m=(f[a+128>>2]|0)+((Y(s,o)|0)<<2)|0;a=s;s=o;while(1){if((s|0)>0){o=(f[(f[b>>2]|0)+(a<<2)>>2]|0)+1+((s|0)/-2|0)|0;G=s;H=0;I=s;J=0;while(1){K=o+J|0;L=f[C>>2]|0;M=(K|0)>-1?((K|0)<(L|0)?K:L+-1|0):0;L=(H|0)<(J|0)?J:H;a:do if((L|0)<(I|0)){K=L;while(1){if((K|0)<16?(M|0)==(f[j+(K<<2)>>2]|0):0)break;N=K+1|0;if((N|0)<(I|0))K=N;else{O=I;P=N;break a}}if((K|0)>(J|0)){Krc(f[i+(J<<2)>>2]|0,f[i+(K<<2)>>2]|0,F|0)|0;O=f[n>>2]|0;P=K}else{O=I;P=K}}else{O=I;P=L}while(0);G=(J|0)<(G|0)&(P|0)==(O|0)?J:G;L=(f[D>>2]|0)+(Y(f[f[E>>2]>>2]|0,M)|0)|0;f[h+(J<<2)>>2]=L;f[j+(J<<2)>>2]=M;J=J+1|0;if((J|0)>=(O|0))break;else{H=P;I=O}}if((O|0)>(G|0))ija(d,h+(G<<2)|0,i+(G<<2)|0,O-G|0,f[v>>2]|0,f[w>>2]|0,f[x>>2]|0,f[l>>2]|0,k,f[y>>2]|0,f[z>>2]|0)}I=(f[A>>2]|0)+(Y(f[B>>2]|0,a)|0)|0;jja(e,i,I,m,f[l>>2]|0);a=a+1|0;I=f[n>>2]|0;if((a|0)>=(f[p>>2]|0))break;else{m=m+(I<<2)|0;s=I}}Q=f[g>>2]|0}else Q=t;if((Q|0)==(q|0)){u=c;return}if(Q|0)Fmc(Q);f[g>>2]=q;f[r>>2]=136;u=c;return}function ija(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0.0;a:do if((d|0)<2)m=0;else{k=d+-1|0;h=f[b>>2]|0;a=f[c>>2]|0;if((l|0)<=0){o=(i|0)>0;q=0;r=h;s=a;while(1){q=q+1|0;t=r;r=f[b+(q<<2)>>2]|0;u=s;s=f[c+(q<<2)>>2]|0;if(o){v=0;do{w=f[e+(v<<2)>>2]|0;p[u+(v<<3)>>3]=+p[t+(w<<3)>>3];p[s+(v<<3)>>3]=+p[r+(w<<3)>>3];v=v+1|0}while((v|0)!=(i|0))}if((q|0)==(k|0)){m=k;break a}}}q=(l|0)<(i|0);r=0;s=h;o=a;do{r=r+1|0;v=s;s=f[b+(r<<2)>>2]|0;t=o;o=f[c+(r<<2)>>2]|0;u=0;do{w=f[e+(u<<2)>>2]|0;x=u<<1;y=+n[g+(x<<2)>>2];z=+n[g+((x|1)<<2)>>2];x=w+j|0;A=y*+p[s+(w<<3)>>3]+z*+p[s+(x<<3)>>3];p[t+(u<<3)>>3]=y*+p[v+(w<<3)>>3]+z*+p[v+(x<<3)>>3];p[o+(u<<3)>>3]=A;u=u+1|0}while((u|0)!=(l|0));if(q){u=l;do{x=f[e+(u<<2)>>2]|0;p[t+(u<<3)>>3]=+p[v+(x<<3)>>3];p[o+(u<<3)>>3]=+p[s+(x<<3)>>3];u=u+1|0}while((u|0)!=(i|0))}}while((r|0)!=(k|0));m=k}while(0);if((m|0)>=(d|0))return;if((l|0)<=0){k=(i|0)>0;r=m;do{s=f[b+(r<<2)>>2]|0;o=f[c+(r<<2)>>2]|0;if(k){q=0;do{p[o+(q<<3)>>3]=+p[s+(f[e+(q<<2)>>2]<<3)>>3];q=q+1|0}while((q|0)!=(i|0))}r=r+1|0}while((r|0)!=(d|0));return}r=(l|0)<(i|0);k=m;do{m=f[b+(k<<2)>>2]|0;q=f[c+(k<<2)>>2]|0;s=0;do{o=f[e+(s<<2)>>2]|0;a=s<<1;p[q+(s<<3)>>3]=+p[m+(o<<3)>>3]*+n[g+(a<<2)>>2]+ +p[m+(o+j<<3)>>3]*+n[g+((a|1)<<2)>>2];s=s+1|0}while((s|0)!=(l|0));if(r){s=l;do{p[q+(s<<3)>>3]=+p[m+(f[e+(s<<2)>>2]<<3)>>3];s=s+1|0}while((s|0)!=(i|0))}k=k+1|0}while((k|0)!=(d|0));return}function jja(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0.0,h=0.0,i=0,j=0,k=0,l=0.0,m=0,o=0;g=+n[d>>2];h=+n[d+4>>2];d=f[b>>2]|0;a=f[b+4>>2]|0;b=e+-4|0;if((e|0)<4)i=0;else{j=0;do{k=j|1;l=g*+p[d+(k<<3)>>3]+h*+p[a+(k<<3)>>3];p[c+(j<<3)>>3]=g*+p[d+(j<<3)>>3]+h*+p[a+(j<<3)>>3];p[c+(k<<3)>>3]=l;k=j|2;m=j|3;l=g*+p[d+(m<<3)>>3]+h*+p[a+(m<<3)>>3];p[c+(k<<3)>>3]=g*+p[d+(k<<3)>>3]+h*+p[a+(k<<3)>>3];p[c+(m<<3)>>3]=l;j=j+4|0}while((j|0)<=(b|0));i=e&-4}if((i|0)<(e|0))o=i;else return;do{p[c+(o<<3)>>3]=g*+p[d+(o<<3)>>3]+h*+p[a+(o<<3)>>3];o=o+1|0}while((o|0)!=(e|0));return}function kja(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;o=u;u=u+16|0;p=o;f[a>>2]=59264;q=a+4|0;f[q>>2]=f[c>>2];r=a+8|0;s=c+4|0;f[r>>2]=f[s>>2];t=a+12|0;f[t>>2]=f[c+8>>2];f[a+16>>2]=f[c+12>>2];f[a+20>>2]=f[c+16>>2];f[a+24>>2]=f[c+20>>2];f[a+28>>2]=f[c+24>>2];f[a+32>>2]=f[c+28>>2];f[a+36>>2]=f[c+32>>2];v=f[c+36>>2]|0;f[a+40>>2]=v;f[a+44>>2]=t;t=a+52|0;w=a+48|0;f[w>>2]=t;f[t>>2]=0;f[a+56>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[c+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2]}else{f[r>>2]=0;kP(q,c)}c=a+60|0;f[c>>2]=f[d>>2];q=a+64|0;r=d+4|0;f[q>>2]=f[r>>2];s=a+68|0;f[s>>2]=f[d+8>>2];f[a+72>>2]=f[d+12>>2];f[a+76>>2]=f[d+16>>2];f[a+80>>2]=f[d+20>>2];f[a+84>>2]=f[d+24>>2];f[a+88>>2]=f[d+28>>2];f[a+92>>2]=f[d+32>>2];t=f[d+36>>2]|0;f[a+96>>2]=t;f[a+100>>2]=s;s=a+108|0;w=a+104|0;f[w>>2]=s;f[s>>2]=0;f[a+112>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[d+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2]}else{f[q>>2]=0;kP(c,d)}f[a+116>>2]=e;f[a+120>>2]=g;f[a+124>>2]=h;f[a+128>>2]=i;f[a+132>>2]=f[j>>2];f[a+136>>2]=f[j+4>>2];f[a+140>>2]=f[k>>2];f[a+144>>2]=f[k+4>>2];f[a+148>>2]=l;f[a+152>>2]=m;f[a+156>>2]=n;if((l|0)<17){u=o;return}else{f[p>>2]=0;f[p+4>>2]=0;o=YG(p,18)|0;l=274187;n=o+18|0;do{b[o>>0]=b[l>>0]|0;o=o+1|0;l=l+1|0}while((o|0)<(n|0));SQ(-215,p,274206,273965,2391)}}function lja(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=59264;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))tE(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;tE(b);return}function mja(a){a=a|0;lja(a);Emc(a);return}function nja(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;c=u;u=u+1264|0;d=c+1257|0;e=c+1256|0;g=c+192|0;h=c+128|0;i=c+64|0;j=c;k=((f[a+4>>2]|0)>>>3&511)+1|0;l=a+140|0;m=(f[l>>2]|0)+15&-16;n=a+148|0;o=f[n>>2]|0;p=Y(m,o)|0;q=g+8|0;f[g>>2]=q;r=g+4|0;f[r>>2]=p;if(p>>>0>264){s=Dmc(p>>>0>1073741823?-1:p<<2)|0;f[g>>2]=s;t=s}else t=q;s=h;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));s=i;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));if((o|0)>0){Drc(j|0,-1,o<<2|0)|0;s=0;do{p=t+((Y(s,m)|0)<<2)|0;f[i+(s<<2)>>2]=p;s=s+1|0}while((s|0)<(o|0))}s=f[b>>2]|0;p=b+4|0;if((s|0)<(f[p>>2]|0)){b=a+120|0;v=a+116|0;w=a+124|0;x=a+132|0;y=a+152|0;z=a+156|0;A=a+76|0;B=a+108|0;C=a+136|0;D=a+20|0;E=a+48|0;F=m<<2;m=(f[a+128>>2]|0)+((Y(s,o)|0)<<2)|0;a=s;s=o;while(1){if((s|0)>0){o=(f[(f[b>>2]|0)+(a<<2)>>2]|0)+1+((s|0)/-2|0)|0;G=s;H=0;I=s;J=0;while(1){K=o+J|0;L=f[C>>2]|0;M=(K|0)>-1?((K|0)<(L|0)?K:L+-1|0):0;L=(H|0)<(J|0)?J:H;a:do if((L|0)<(I|0)){K=L;while(1){if((K|0)<16?(M|0)==(f[j+(K<<2)>>2]|0):0)break;N=K+1|0;if((N|0)<(I|0))K=N;else{O=I;P=N;break a}}if((K|0)>(J|0)){Krc(f[i+(J<<2)>>2]|0,f[i+(K<<2)>>2]|0,F|0)|0;O=f[n>>2]|0;P=K}else{O=I;P=K}}else{O=I;P=L}while(0);G=(J|0)<(G|0)&(P|0)==(O|0)?J:G;L=(f[D>>2]|0)+(Y(f[f[E>>2]>>2]|0,M)|0)|0;f[h+(J<<2)>>2]=L;f[j+(J<<2)>>2]=M;J=J+1|0;if((J|0)>=(O|0))break;else{H=P;I=O}}if((O|0)>(G|0))oja(d,h+(G<<2)|0,i+(G<<2)|0,O-G|0,f[v>>2]|0,f[w>>2]|0,f[x>>2]|0,f[l>>2]|0,k,f[y>>2]|0,f[z>>2]|0)}I=(f[A>>2]|0)+(Y(f[B>>2]|0,a)|0)|0;pja(e,i,I,m,f[l>>2]|0);a=a+1|0;I=f[n>>2]|0;if((a|0)>=(f[p>>2]|0))break;else{m=m+(I<<2)|0;s=I}}Q=f[g>>2]|0}else Q=t;if((Q|0)==(q|0)){u=c;return}if(Q|0)Fmc(Q);f[g>>2]=q;f[r>>2]=264;u=c;return}function oja(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0.0;a:do if((d|0)<2)m=0;else{k=d+-1|0;h=f[b>>2]|0;a=f[c>>2]|0;if((l|0)<=0){o=(i|0)>0;p=0;q=a;r=h;while(1){p=p+1|0;s=r;r=f[b+(p<<2)>>2]|0;t=q;q=f[c+(p<<2)>>2]|0;if(o){u=0;do{v=f[e+(u<<2)>>2]|0;f[t+(u<<2)>>2]=f[s+(v<<2)>>2];f[q+(u<<2)>>2]=f[r+(v<<2)>>2];u=u+1|0}while((u|0)!=(i|0))}if((p|0)==(k|0)){m=k;break a}}}p=(l|0)<(i|0);r=0;q=h;o=a;do{r=r+1|0;u=q;q=f[b+(r<<2)>>2]|0;s=o;o=f[c+(r<<2)>>2]|0;t=0;do{v=f[e+(t<<2)>>2]|0;w=t<<1;x=+n[g+(w<<2)>>2];y=+n[g+((w|1)<<2)>>2];w=v+j|0;z=x*+n[q+(v<<2)>>2]+y*+n[q+(w<<2)>>2];n[s+(t<<2)>>2]=x*+n[u+(v<<2)>>2]+y*+n[u+(w<<2)>>2];n[o+(t<<2)>>2]=z;t=t+1|0}while((t|0)!=(l|0));if(p){t=l;do{w=f[e+(t<<2)>>2]|0;f[s+(t<<2)>>2]=f[u+(w<<2)>>2];f[o+(t<<2)>>2]=f[q+(w<<2)>>2];t=t+1|0}while((t|0)!=(i|0))}}while((r|0)!=(k|0));m=k}while(0);if((m|0)>=(d|0))return;if((l|0)<=0){k=(i|0)>0;r=m;do{q=f[b+(r<<2)>>2]|0;o=f[c+(r<<2)>>2]|0;if(k){p=0;do{f[o+(p<<2)>>2]=f[q+(f[e+(p<<2)>>2]<<2)>>2];p=p+1|0}while((p|0)!=(i|0))}r=r+1|0}while((r|0)!=(d|0));return}r=(l|0)<(i|0);k=m;do{m=f[b+(k<<2)>>2]|0;p=f[c+(k<<2)>>2]|0;q=0;do{o=f[e+(q<<2)>>2]|0;a=q<<1;n[p+(q<<2)>>2]=+n[m+(o<<2)>>2]*+n[g+(a<<2)>>2]+ +n[m+(o+j<<2)>>2]*+n[g+((a|1)<<2)>>2];q=q+1|0}while((q|0)!=(l|0));if(r){q=l;do{f[p+(q<<2)>>2]=f[m+(f[e+(q<<2)>>2]<<2)>>2];q=q+1|0}while((q|0)!=(i|0))}k=k+1|0}while((k|0)!=(d|0));return}function pja(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0.0,h=0.0,i=0,j=0,k=0,l=0.0,m=0,o=0;g=+n[d>>2];h=+n[d+4>>2];d=f[b>>2]|0;a=f[b+4>>2]|0;b=e+-4|0;if((e|0)<4)i=0;else{j=0;do{k=j|1;l=g*+n[d+(k<<2)>>2]+h*+n[a+(k<<2)>>2];n[c+(j<<2)>>2]=g*+n[d+(j<<2)>>2]+h*+n[a+(j<<2)>>2];n[c+(k<<2)>>2]=l;k=j|2;m=j|3;l=g*+n[d+(m<<2)>>2]+h*+n[a+(m<<2)>>2];n[c+(k<<2)>>2]=g*+n[d+(k<<2)>>2]+h*+n[a+(k<<2)>>2];n[c+(m<<2)>>2]=l;j=j+4|0}while((j|0)<=(b|0));i=e&-4}if((i|0)<(e|0))o=i;else return;do{n[c+(o<<2)>>2]=g*+n[d+(o<<2)>>2]+h*+n[a+(o<<2)>>2];o=o+1|0}while((o|0)!=(e|0));return}function qja(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;o=u;u=u+16|0;p=o;f[a>>2]=59284;q=a+4|0;f[q>>2]=f[c>>2];r=a+8|0;s=c+4|0;f[r>>2]=f[s>>2];t=a+12|0;f[t>>2]=f[c+8>>2];f[a+16>>2]=f[c+12>>2];f[a+20>>2]=f[c+16>>2];f[a+24>>2]=f[c+20>>2];f[a+28>>2]=f[c+24>>2];f[a+32>>2]=f[c+28>>2];f[a+36>>2]=f[c+32>>2];v=f[c+36>>2]|0;f[a+40>>2]=v;f[a+44>>2]=t;t=a+52|0;w=a+48|0;f[w>>2]=t;f[t>>2]=0;f[a+56>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[c+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2]}else{f[r>>2]=0;kP(q,c)}c=a+60|0;f[c>>2]=f[d>>2];q=a+64|0;r=d+4|0;f[q>>2]=f[r>>2];s=a+68|0;f[s>>2]=f[d+8>>2];f[a+72>>2]=f[d+12>>2];f[a+76>>2]=f[d+16>>2];f[a+80>>2]=f[d+20>>2];f[a+84>>2]=f[d+24>>2];f[a+88>>2]=f[d+28>>2];f[a+92>>2]=f[d+32>>2];t=f[d+36>>2]|0;f[a+96>>2]=t;f[a+100>>2]=s;s=a+108|0;w=a+104|0;f[w>>2]=s;f[s>>2]=0;f[a+112>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[d+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2]}else{f[q>>2]=0;kP(c,d)}f[a+116>>2]=e;f[a+120>>2]=g;f[a+124>>2]=h;f[a+128>>2]=i;f[a+132>>2]=f[j>>2];f[a+136>>2]=f[j+4>>2];f[a+140>>2]=f[k>>2];f[a+144>>2]=f[k+4>>2];f[a+148>>2]=l;f[a+152>>2]=m;f[a+156>>2]=n;if((l|0)<17){u=o;return}else{f[p>>2]=0;f[p+4>>2]=0;o=YG(p,18)|0;l=274187;n=o+18|0;do{b[o>>0]=b[l>>0]|0;o=o+1|0;l=l+1|0}while((o|0)<(n|0));SQ(-215,p,274206,273965,2391)}}function rja(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=59284;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))tE(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;tE(b);return}function sja(a){a=a|0;rja(a);Emc(a);return}function tja(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;c=u;u=u+1264|0;d=c+1257|0;e=c+1256|0;g=c+192|0;h=c+128|0;i=c+64|0;j=c;k=((f[a+4>>2]|0)>>>3&511)+1|0;l=a+140|0;m=(f[l>>2]|0)+15&-16;n=a+148|0;o=f[n>>2]|0;p=Y(m,o)|0;q=g+8|0;f[g>>2]=q;r=g+4|0;f[r>>2]=p;if(p>>>0>264){s=Dmc(p>>>0>1073741823?-1:p<<2)|0;f[g>>2]=s;t=s}else t=q;s=h;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));s=i;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));if((o|0)>0){Drc(j|0,-1,o<<2|0)|0;s=0;do{p=t+((Y(s,m)|0)<<2)|0;f[i+(s<<2)>>2]=p;s=s+1|0}while((s|0)<(o|0))}s=f[b>>2]|0;p=b+4|0;if((s|0)<(f[p>>2]|0)){b=a+120|0;v=a+116|0;w=a+124|0;x=a+132|0;y=a+152|0;z=a+156|0;A=a+76|0;B=a+108|0;C=a+136|0;D=a+20|0;E=a+48|0;F=m<<2;m=(f[a+128>>2]|0)+((Y(s,o)|0)<<2)|0;a=s;s=o;while(1){if((s|0)>0){o=(f[(f[b>>2]|0)+(a<<2)>>2]|0)+1+((s|0)/-2|0)|0;G=s;H=0;I=s;J=0;while(1){K=o+J|0;L=f[C>>2]|0;M=(K|0)>-1?((K|0)<(L|0)?K:L+-1|0):0;L=(H|0)<(J|0)?J:H;a:do if((L|0)<(I|0)){K=L;while(1){if((K|0)<16?(M|0)==(f[j+(K<<2)>>2]|0):0)break;N=K+1|0;if((N|0)<(I|0))K=N;else{O=I;P=N;break a}}if((K|0)>(J|0)){Krc(f[i+(J<<2)>>2]|0,f[i+(K<<2)>>2]|0,F|0)|0;O=f[n>>2]|0;P=K}else{O=I;P=K}}else{O=I;P=L}while(0);G=(J|0)<(G|0)&(P|0)==(O|0)?J:G;L=(f[D>>2]|0)+(Y(f[f[E>>2]>>2]|0,M)|0)|0;f[h+(J<<2)>>2]=L;f[j+(J<<2)>>2]=M;J=J+1|0;if((J|0)>=(O|0))break;else{H=P;I=O}}if((O|0)>(G|0))uja(d,h+(G<<2)|0,i+(G<<2)|0,O-G|0,f[v>>2]|0,f[w>>2]|0,f[x>>2]|0,f[l>>2]|0,k,f[y>>2]|0,f[z>>2]|0)}I=(f[A>>2]|0)+(Y(f[B>>2]|0,a)|0)|0;vja(e,i,I,m,f[l>>2]|0);a=a+1|0;I=f[n>>2]|0;if((a|0)>=(f[p>>2]|0))break;else{m=m+(I<<2)|0;s=I}}Q=f[g>>2]|0}else Q=t;if((Q|0)==(q|0)){u=c;return}if(Q|0)Fmc(Q);f[g>>2]=q;f[r>>2]=264;u=c;return}function uja(a,b,c,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0.0;a:do if((e|0)<2)o=0;else{l=e+-1|0;i=f[b>>2]|0;a=f[c>>2]|0;if((m|0)<=0){p=(j|0)>0;q=0;r=i;s=a;while(1){q=q+1|0;t=r;r=f[b+(q<<2)>>2]|0;u=s;s=f[c+(q<<2)>>2]|0;if(p){v=0;do{w=f[g+(v<<2)>>2]|0;n[u+(v<<2)>>2]=+(d[t+(w<<1)>>1]|0);n[s+(v<<2)>>2]=+(d[r+(w<<1)>>1]|0);v=v+1|0}while((v|0)!=(j|0))}if((q|0)==(l|0)){o=l;break a}}}q=(m|0)<(j|0);r=0;s=i;p=a;do{r=r+1|0;v=s;s=f[b+(r<<2)>>2]|0;t=p;p=f[c+(r<<2)>>2]|0;u=0;do{w=f[g+(u<<2)>>2]|0;x=u<<1;y=+n[h+(x<<2)>>2];z=+n[h+((x|1)<<2)>>2];x=w+k|0;A=y*+(d[s+(w<<1)>>1]|0)+z*+(d[s+(x<<1)>>1]|0);n[t+(u<<2)>>2]=y*+(d[v+(w<<1)>>1]|0)+z*+(d[v+(x<<1)>>1]|0);n[p+(u<<2)>>2]=A;u=u+1|0}while((u|0)!=(m|0));if(q){u=m;do{x=f[g+(u<<2)>>2]|0;n[t+(u<<2)>>2]=+(d[v+(x<<1)>>1]|0);n[p+(u<<2)>>2]=+(d[s+(x<<1)>>1]|0);u=u+1|0}while((u|0)!=(j|0))}}while((r|0)!=(l|0));o=l}while(0);if((o|0)>=(e|0))return;if((m|0)<=0){l=(j|0)>0;r=o;do{s=f[b+(r<<2)>>2]|0;p=f[c+(r<<2)>>2]|0;if(l){q=0;do{n[p+(q<<2)>>2]=+(d[s+(f[g+(q<<2)>>2]<<1)>>1]|0);q=q+1|0}while((q|0)!=(j|0))}r=r+1|0}while((r|0)!=(e|0));return}r=(m|0)<(j|0);l=o;do{o=f[b+(l<<2)>>2]|0;q=f[c+(l<<2)>>2]|0;s=0;do{p=f[g+(s<<2)>>2]|0;a=s<<1;n[q+(s<<2)>>2]=+(d[o+(p<<1)>>1]|0)*+n[h+(a<<2)>>2]+ +(d[o+(p+k<<1)>>1]|0)*+n[h+((a|1)<<2)>>2];s=s+1|0}while((s|0)!=(m|0));if(r){s=m;do{n[q+(s<<2)>>2]=+(d[o+(f[g+(s<<2)>>2]<<1)>>1]|0);s=s+1|0}while((s|0)!=(j|0))}l=l+1|0}while((l|0)!=(e|0));return}function vja(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0.0,i=0.0,j=0,k=0,l=0,m=0.0,o=0,p=0,q=0;h=+n[e>>2];i=+n[e+4>>2];e=f[b>>2]|0;a=f[b+4>>2]|0;b=g+-4|0;if((g|0)<4)j=0;else{k=0;do{l=k|1;m=h*+n[e+(l<<2)>>2]+i*+n[a+(l<<2)>>2];o=U9b(h*+n[e+(k<<2)>>2]+i*+n[a+(k<<2)>>2])|0;d[c+(k<<1)>>1]=(o+32768|0)>>>0<65536?o:(o|0)>0?32767:32768;o=U9b(m)|0;d[c+(l<<1)>>1]=(o+32768|0)>>>0<65536?o:(o|0)>0?32767:32768;o=k|2;l=k|3;m=h*+n[e+(l<<2)>>2]+i*+n[a+(l<<2)>>2];p=U9b(h*+n[e+(o<<2)>>2]+i*+n[a+(o<<2)>>2])|0;d[c+(o<<1)>>1]=(p+32768|0)>>>0<65536?p:(p|0)>0?32767:32768;p=U9b(m)|0;d[c+(l<<1)>>1]=(p+32768|0)>>>0<65536?p:(p|0)>0?32767:32768;k=k+4|0}while((k|0)<=(b|0));j=g&-4}if((j|0)<(g|0))q=j;else return;do{j=U9b(h*+n[e+(q<<2)>>2]+i*+n[a+(q<<2)>>2])|0;d[c+(q<<1)>>1]=(j+32768|0)>>>0<65536?j:(j|0)>0?32767:32768;q=q+1|0}while((q|0)!=(g|0));return}function wja(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;o=u;u=u+16|0;p=o;f[a>>2]=59304;q=a+4|0;f[q>>2]=f[c>>2];r=a+8|0;s=c+4|0;f[r>>2]=f[s>>2];t=a+12|0;f[t>>2]=f[c+8>>2];f[a+16>>2]=f[c+12>>2];f[a+20>>2]=f[c+16>>2];f[a+24>>2]=f[c+20>>2];f[a+28>>2]=f[c+24>>2];f[a+32>>2]=f[c+28>>2];f[a+36>>2]=f[c+32>>2];v=f[c+36>>2]|0;f[a+40>>2]=v;f[a+44>>2]=t;t=a+52|0;w=a+48|0;f[w>>2]=t;f[t>>2]=0;f[a+56>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[c+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2]}else{f[r>>2]=0;kP(q,c)}c=a+60|0;f[c>>2]=f[d>>2];q=a+64|0;r=d+4|0;f[q>>2]=f[r>>2];s=a+68|0;f[s>>2]=f[d+8>>2];f[a+72>>2]=f[d+12>>2];f[a+76>>2]=f[d+16>>2];f[a+80>>2]=f[d+20>>2];f[a+84>>2]=f[d+24>>2];f[a+88>>2]=f[d+28>>2];f[a+92>>2]=f[d+32>>2];t=f[d+36>>2]|0;f[a+96>>2]=t;f[a+100>>2]=s;s=a+108|0;w=a+104|0;f[w>>2]=s;f[s>>2]=0;f[a+112>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[d+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2]}else{f[q>>2]=0;kP(c,d)}f[a+116>>2]=e;f[a+120>>2]=g;f[a+124>>2]=h;f[a+128>>2]=i;f[a+132>>2]=f[j>>2];f[a+136>>2]=f[j+4>>2];f[a+140>>2]=f[k>>2];f[a+144>>2]=f[k+4>>2];f[a+148>>2]=l;f[a+152>>2]=m;f[a+156>>2]=n;if((l|0)<17){u=o;return}else{f[p>>2]=0;f[p+4>>2]=0;o=YG(p,18)|0;l=274187;n=o+18|0;do{b[o>>0]=b[l>>0]|0;o=o+1|0;l=l+1|0}while((o|0)<(n|0));SQ(-215,p,274206,273965,2391)}}function xja(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=59304;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))tE(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;tE(b);return}function yja(a){a=a|0;xja(a);Emc(a);return}function zja(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;c=u;u=u+1264|0;d=c+1257|0;e=c+1256|0;g=c+192|0;h=c+128|0;i=c+64|0;j=c;k=((f[a+4>>2]|0)>>>3&511)+1|0;l=a+140|0;m=(f[l>>2]|0)+15&-16;n=a+148|0;o=f[n>>2]|0;p=Y(m,o)|0;q=g+8|0;f[g>>2]=q;r=g+4|0;f[r>>2]=p;if(p>>>0>264){s=Dmc(p>>>0>1073741823?-1:p<<2)|0;f[g>>2]=s;t=s}else t=q;s=h;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));s=i;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));if((o|0)>0){Drc(j|0,-1,o<<2|0)|0;s=0;do{p=t+((Y(s,m)|0)<<2)|0;f[i+(s<<2)>>2]=p;s=s+1|0}while((s|0)<(o|0))}s=f[b>>2]|0;p=b+4|0;if((s|0)<(f[p>>2]|0)){b=a+120|0;v=a+116|0;w=a+124|0;x=a+132|0;y=a+152|0;z=a+156|0;A=a+76|0;B=a+108|0;C=a+136|0;D=a+20|0;E=a+48|0;F=m<<2;m=(f[a+128>>2]|0)+((Y(s,o)|0)<<2)|0;a=s;s=o;while(1){if((s|0)>0){o=(f[(f[b>>2]|0)+(a<<2)>>2]|0)+1+((s|0)/-2|0)|0;G=s;H=0;I=s;J=0;while(1){K=o+J|0;L=f[C>>2]|0;M=(K|0)>-1?((K|0)<(L|0)?K:L+-1|0):0;L=(H|0)<(J|0)?J:H;a:do if((L|0)<(I|0)){K=L;while(1){if((K|0)<16?(M|0)==(f[j+(K<<2)>>2]|0):0)break;N=K+1|0;if((N|0)<(I|0))K=N;else{O=I;P=N;break a}}if((K|0)>(J|0)){Krc(f[i+(J<<2)>>2]|0,f[i+(K<<2)>>2]|0,F|0)|0;O=f[n>>2]|0;P=K}else{O=I;P=K}}else{O=I;P=L}while(0);G=(J|0)<(G|0)&(P|0)==(O|0)?J:G;L=(f[D>>2]|0)+(Y(f[f[E>>2]>>2]|0,M)|0)|0;f[h+(J<<2)>>2]=L;f[j+(J<<2)>>2]=M;J=J+1|0;if((J|0)>=(O|0))break;else{H=P;I=O}}if((O|0)>(G|0))Aja(d,h+(G<<2)|0,i+(G<<2)|0,O-G|0,f[v>>2]|0,f[w>>2]|0,f[x>>2]|0,f[l>>2]|0,k,f[y>>2]|0,f[z>>2]|0)}I=(f[A>>2]|0)+(Y(f[B>>2]|0,a)|0)|0;Bja(e,i,I,m,f[l>>2]|0);a=a+1|0;I=f[n>>2]|0;if((a|0)>=(f[p>>2]|0))break;else{m=m+(I<<2)|0;s=I}}Q=f[g>>2]|0}else Q=t;if((Q|0)==(q|0)){u=c;return}if(Q|0)Fmc(Q);f[g>>2]=q;f[r>>2]=264;u=c;return}function Aja(a,b,c,d,e,g,h,i,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;l=l|0;m=m|0;var o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0.0;a:do if((d|0)<2)o=0;else{l=d+-1|0;h=f[b>>2]|0;a=f[c>>2]|0;if((m|0)<=0){p=(i|0)>0;q=0;r=h;s=a;while(1){q=q+1|0;t=r;r=f[b+(q<<2)>>2]|0;u=s;s=f[c+(q<<2)>>2]|0;if(p){v=0;do{w=f[e+(v<<2)>>2]|0;n[u+(v<<2)>>2]=+(j[t+(w<<1)>>1]|0);n[s+(v<<2)>>2]=+(j[r+(w<<1)>>1]|0);v=v+1|0}while((v|0)!=(i|0))}if((q|0)==(l|0)){o=l;break a}}}q=(m|0)<(i|0);r=0;s=h;p=a;do{r=r+1|0;v=s;s=f[b+(r<<2)>>2]|0;t=p;p=f[c+(r<<2)>>2]|0;u=0;do{w=f[e+(u<<2)>>2]|0;x=u<<1;y=+n[g+(x<<2)>>2];z=+n[g+((x|1)<<2)>>2];x=w+k|0;A=y*+(j[s+(w<<1)>>1]|0)+z*+(j[s+(x<<1)>>1]|0);n[t+(u<<2)>>2]=y*+(j[v+(w<<1)>>1]|0)+z*+(j[v+(x<<1)>>1]|0);n[p+(u<<2)>>2]=A;u=u+1|0}while((u|0)!=(m|0));if(q){u=m;do{x=f[e+(u<<2)>>2]|0;n[t+(u<<2)>>2]=+(j[v+(x<<1)>>1]|0);n[p+(u<<2)>>2]=+(j[s+(x<<1)>>1]|0);u=u+1|0}while((u|0)!=(i|0))}}while((r|0)!=(l|0));o=l}while(0);if((o|0)>=(d|0))return;if((m|0)<=0){l=(i|0)>0;r=o;do{s=f[b+(r<<2)>>2]|0;p=f[c+(r<<2)>>2]|0;if(l){q=0;do{n[p+(q<<2)>>2]=+(j[s+(f[e+(q<<2)>>2]<<1)>>1]|0);q=q+1|0}while((q|0)!=(i|0))}r=r+1|0}while((r|0)!=(d|0));return}r=(m|0)<(i|0);l=o;do{o=f[b+(l<<2)>>2]|0;q=f[c+(l<<2)>>2]|0;s=0;do{p=f[e+(s<<2)>>2]|0;a=s<<1;n[q+(s<<2)>>2]=+(j[o+(p<<1)>>1]|0)*+n[g+(a<<2)>>2]+ +(j[o+(p+k<<1)>>1]|0)*+n[g+((a|1)<<2)>>2];s=s+1|0}while((s|0)!=(m|0));if(r){s=m;do{n[q+(s<<2)>>2]=+(j[o+(f[e+(s<<2)>>2]<<1)>>1]|0);s=s+1|0}while((s|0)!=(i|0))}l=l+1|0}while((l|0)!=(d|0));return}function Bja(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0.0,i=0.0,j=0,k=0,l=0,m=0.0,o=0,p=0,q=0;h=+n[e>>2];i=+n[e+4>>2];e=f[b>>2]|0;a=f[b+4>>2]|0;b=g+-4|0;if((g|0)<4)j=0;else{k=0;do{l=k|1;m=h*+n[e+(l<<2)>>2]+i*+n[a+(l<<2)>>2];o=U9b(h*+n[e+(k<<2)>>2]+i*+n[a+(k<<2)>>2])|0;d[c+(k<<1)>>1]=o>>>0<65536?o:(o|0)>0?65535:0;o=U9b(m)|0;d[c+(l<<1)>>1]=o>>>0<65536?o:(o|0)>0?65535:0;o=k|2;l=k|3;m=h*+n[e+(l<<2)>>2]+i*+n[a+(l<<2)>>2];p=U9b(h*+n[e+(o<<2)>>2]+i*+n[a+(o<<2)>>2])|0;d[c+(o<<1)>>1]=p>>>0<65536?p:(p|0)>0?65535:0;p=U9b(m)|0;d[c+(l<<1)>>1]=p>>>0<65536?p:(p|0)>0?65535:0;k=k+4|0}while((k|0)<=(b|0));j=g&-4}if((j|0)<(g|0))q=j;else return;do{j=U9b(h*+n[e+(q<<2)>>2]+i*+n[a+(q<<2)>>2])|0;d[c+(q<<1)>>1]=j>>>0<65536?j:(j|0)>0?65535:0;q=q+1|0}while((q|0)!=(g|0));return}function Cja(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;o=u;u=u+16|0;p=o;f[a>>2]=59324;q=a+4|0;f[q>>2]=f[c>>2];r=a+8|0;s=c+4|0;f[r>>2]=f[s>>2];t=a+12|0;f[t>>2]=f[c+8>>2];f[a+16>>2]=f[c+12>>2];f[a+20>>2]=f[c+16>>2];f[a+24>>2]=f[c+20>>2];f[a+28>>2]=f[c+24>>2];f[a+32>>2]=f[c+28>>2];f[a+36>>2]=f[c+32>>2];v=f[c+36>>2]|0;f[a+40>>2]=v;f[a+44>>2]=t;t=a+52|0;w=a+48|0;f[w>>2]=t;f[t>>2]=0;f[a+56>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[c+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2]}else{f[r>>2]=0;kP(q,c)}c=a+60|0;f[c>>2]=f[d>>2];q=a+64|0;r=d+4|0;f[q>>2]=f[r>>2];s=a+68|0;f[s>>2]=f[d+8>>2];f[a+72>>2]=f[d+12>>2];f[a+76>>2]=f[d+16>>2];f[a+80>>2]=f[d+20>>2];f[a+84>>2]=f[d+24>>2];f[a+88>>2]=f[d+28>>2];f[a+92>>2]=f[d+32>>2];t=f[d+36>>2]|0;f[a+96>>2]=t;f[a+100>>2]=s;s=a+108|0;w=a+104|0;f[w>>2]=s;f[s>>2]=0;f[a+112>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[d+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2]}else{f[q>>2]=0;kP(c,d)}f[a+116>>2]=e;f[a+120>>2]=g;f[a+124>>2]=h;f[a+128>>2]=i;f[a+132>>2]=f[j>>2];f[a+136>>2]=f[j+4>>2];f[a+140>>2]=f[k>>2];f[a+144>>2]=f[k+4>>2];f[a+148>>2]=l;f[a+152>>2]=m;f[a+156>>2]=n;if((l|0)<17){u=o;return}else{f[p>>2]=0;f[p+4>>2]=0;o=YG(p,18)|0;l=274187;n=o+18|0;do{b[o>>0]=b[l>>0]|0;o=o+1|0;l=l+1|0}while((o|0)<(n|0));SQ(-215,p,274206,273965,2391)}}function Dja(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=59324;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))tE(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;tE(b);return}function Eja(a){a=a|0;Dja(a);Emc(a);return}function Fja(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;c=u;u=u+1264|0;d=c+1257|0;e=c+1256|0;g=c+192|0;h=c+128|0;i=c+64|0;j=c;k=((f[a+4>>2]|0)>>>3&511)+1|0;l=a+140|0;m=(f[l>>2]|0)+15&-16;n=a+148|0;o=f[n>>2]|0;p=Y(m,o)|0;q=g+8|0;f[g>>2]=q;r=g+4|0;f[r>>2]=p;if(p>>>0>264){s=Dmc(p>>>0>1073741823?-1:p<<2)|0;f[g>>2]=s;t=s}else t=q;s=h;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));s=i;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));if((o|0)>0){Drc(j|0,-1,o<<2|0)|0;s=0;do{p=t+((Y(s,m)|0)<<2)|0;f[i+(s<<2)>>2]=p;s=s+1|0}while((s|0)<(o|0))}s=f[b>>2]|0;p=b+4|0;if((s|0)<(f[p>>2]|0)){b=a+120|0;v=a+116|0;w=a+124|0;x=a+132|0;y=a+152|0;z=a+156|0;A=a+76|0;B=a+108|0;C=a+136|0;D=a+20|0;E=a+48|0;F=m<<2;m=(f[a+128>>2]|0)+((Y(s,o)|0)<<1)|0;a=s;s=o;while(1){if((s|0)>0){o=(f[(f[b>>2]|0)+(a<<2)>>2]|0)+1+((s|0)/-2|0)|0;G=s;H=0;I=s;J=0;while(1){K=o+J|0;L=f[C>>2]|0;M=(K|0)>-1?((K|0)<(L|0)?K:L+-1|0):0;L=(H|0)<(J|0)?J:H;a:do if((L|0)<(I|0)){K=L;while(1){if((K|0)<16?(M|0)==(f[j+(K<<2)>>2]|0):0)break;N=K+1|0;if((N|0)<(I|0))K=N;else{O=I;P=N;break a}}if((K|0)>(J|0)){Krc(f[i+(J<<2)>>2]|0,f[i+(K<<2)>>2]|0,F|0)|0;O=f[n>>2]|0;P=K}else{O=I;P=K}}else{O=I;P=L}while(0);G=(J|0)<(G|0)&(P|0)==(O|0)?J:G;L=(f[D>>2]|0)+(Y(f[f[E>>2]>>2]|0,M)|0)|0;f[h+(J<<2)>>2]=L;f[j+(J<<2)>>2]=M;J=J+1|0;if((J|0)>=(O|0))break;else{H=P;I=O}}if((O|0)>(G|0))Gja(d,h+(G<<2)|0,i+(G<<2)|0,O-G|0,f[v>>2]|0,f[w>>2]|0,f[x>>2]|0,f[l>>2]|0,k,f[y>>2]|0,f[z>>2]|0)}I=(f[A>>2]|0)+(Y(f[B>>2]|0,a)|0)|0;Hja(e,i,I,m,f[l>>2]|0);a=a+1|0;I=f[n>>2]|0;if((a|0)>=(f[p>>2]|0))break;else{m=m+(I<<1)|0;s=I}}Q=f[g>>2]|0}else Q=t;if((Q|0)==(q|0)){u=c;return}if(Q|0)Fmc(Q);f[g>>2]=q;f[r>>2]=264;u=c;return}function Gja(a,b,c,e,g,i,j,k,l,m,n){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;a:do if((e|0)<2)o=0;else{m=e+-1|0;j=f[b>>2]|0;a=f[c>>2]|0;if((n|0)<=0){p=(k|0)>0;q=0;r=j;s=a;while(1){q=q+1|0;t=r;r=f[b+(q<<2)>>2]|0;u=s;s=f[c+(q<<2)>>2]|0;if(p){v=0;do{w=f[g+(v<<2)>>2]|0;f[u+(v<<2)>>2]=h[t+w>>0]<<11;f[s+(v<<2)>>2]=h[r+w>>0]<<11;v=v+1|0}while((v|0)!=(k|0))}if((q|0)==(m|0)){o=m;break a}}}q=(n|0)<(k|0);r=0;s=j;p=a;do{r=r+1|0;v=s;s=f[b+(r<<2)>>2]|0;t=p;p=f[c+(r<<2)>>2]|0;u=0;do{w=f[g+(u<<2)>>2]|0;x=u<<1;y=d[i+(x<<1)>>1]|0;z=d[i+((x|1)<<1)>>1]|0;x=Y(h[v+w>>0]|0,y)|0;A=w+l|0;B=(Y(h[v+A>>0]|0,z)|0)+x|0;x=Y(h[s+w>>0]|0,y)|0;y=(Y(h[s+A>>0]|0,z)|0)+x|0;f[t+(u<<2)>>2]=B;f[p+(u<<2)>>2]=y;u=u+1|0}while((u|0)!=(n|0));if(q){u=n;do{y=f[g+(u<<2)>>2]|0;f[t+(u<<2)>>2]=h[v+y>>0]<<11;f[p+(u<<2)>>2]=h[s+y>>0]<<11;u=u+1|0}while((u|0)!=(k|0))}}while((r|0)!=(m|0));o=m}while(0);if((o|0)>=(e|0))return;if((n|0)<=0){m=(k|0)>0;r=o;do{s=f[b+(r<<2)>>2]|0;p=f[c+(r<<2)>>2]|0;if(m){q=0;do{f[p+(q<<2)>>2]=h[s+(f[g+(q<<2)>>2]|0)>>0]<<11;q=q+1|0}while((q|0)!=(k|0))}r=r+1|0}while((r|0)!=(e|0));return}r=(n|0)<(k|0);m=o;do{o=f[b+(m<<2)>>2]|0;q=f[c+(m<<2)>>2]|0;s=0;do{p=f[g+(s<<2)>>2]|0;a=s<<1;j=Y(d[i+(a<<1)>>1]|0,h[o+p>>0]|0)|0;u=(Y(d[i+((a|1)<<1)>>1]|0,h[o+(p+l)>>0]|0)|0)+j|0;f[q+(s<<2)>>2]=u;s=s+1|0}while((s|0)!=(n|0));if(r){s=n;do{f[q+(s<<2)>>2]=h[o+(f[g+(s<<2)>>2]|0)>>0]<<11;s=s+1|0}while((s|0)!=(k|0))}m=m+1|0}while((m|0)!=(e|0));return}function Hja(a,c,e,g,h){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;a=d[g>>1]|0;i=d[g+2>>1]|0;g=f[c>>2]|0;j=f[c+4>>2]|0;c=h+-4|0;if((h|0)<4)k=0;else{l=a<<16>>16;m=i<<16>>16;n=0;do{o=(Y(f[g+(n<<2)>>2]>>4,l)|0)>>>16;p=(o+2+((Y(f[j+(n<<2)>>2]>>4,m)|0)>>>16)|0)>>>2&255;b[e+n>>0]=p;p=n|1;o=(Y(f[g+(p<<2)>>2]>>4,l)|0)>>>16;q=(o+2+((Y(f[j+(p<<2)>>2]>>4,m)|0)>>>16)|0)>>>2&255;b[e+p>>0]=q;q=n|2;p=(Y(f[g+(q<<2)>>2]>>4,l)|0)>>>16;o=(p+2+((Y(f[j+(q<<2)>>2]>>4,m)|0)>>>16)|0)>>>2&255;b[e+q>>0]=o;o=n|3;q=(Y(f[g+(o<<2)>>2]>>4,l)|0)>>>16;p=(q+2+((Y(f[j+(o<<2)>>2]>>4,m)|0)>>>16)|0)>>>2&255;b[e+o>>0]=p;n=n+4|0}while((n|0)<=(c|0));k=h&-4}if((k|0)>=(h|0))return;c=a<<16>>16;a=i<<16>>16;i=k;do{k=(Y(f[g+(i<<2)>>2]>>4,c)|0)>>>16;n=(k+2+((Y(f[j+(i<<2)>>2]>>4,a)|0)>>>16)|0)>>>2&255;b[e+i>>0]=n;i=i+1|0}while((i|0)!=(h|0));return}function Ija(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0;k=u;u=u+192|0;l=k+176|0;m=k+168|0;n=k+160|0;o=k;p=f[a+40>>2]|0;q=f[p+4>>2]|0;r=f[p>>2]|0;f[l>>2]=q;f[l+4>>2]=r;r=b+40|0;p=f[r>>2]|0;s=f[p+4>>2]|0;t=f[p>>2]|0;f[m+4>>2]=t;p=((f[a>>2]|0)>>>3&511)+1|0;v=Y(p,q)|0;f[l>>2]=v;v=Y(s,p)|0;f[m>>2]=v;v=Y(p,h)|0;h=Y(p,i)|0;f[n>>2]=0;f[n+4>>2]=t;jka(o,a,b,c,e,d,g,l,m,j,v,h);h=f[b+4>>2]|0;if((h|0)<3){w=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;x=+(w>>>0);y=x*.0000152587890625;oU(n,o,y);kka(o);u=k;return}b=f[r>>2]|0;r=0;v=1;while(1){j=Y(f[b+(r<<2)>>2]|0,v)|0;r=r+1|0;if((r|0)==(h|0)){w=j;break}else v=j}x=+(w>>>0);y=x*.0000152587890625;oU(n,o,y);kka(o);u=k;return}function Jja(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0;k=u;u=u+192|0;l=k+176|0;m=k+168|0;n=k+160|0;o=k;p=f[a+40>>2]|0;q=f[p+4>>2]|0;r=f[p>>2]|0;f[l>>2]=q;f[l+4>>2]=r;r=b+40|0;p=f[r>>2]|0;s=f[p+4>>2]|0;t=f[p>>2]|0;f[m+4>>2]=t;p=((f[a>>2]|0)>>>3&511)+1|0;v=Y(p,q)|0;f[l>>2]=v;v=Y(s,p)|0;f[m>>2]=v;v=Y(p,h)|0;h=Y(p,i)|0;f[n>>2]=0;f[n+4>>2]=t;dka(o,a,b,c,e,d,g,l,m,j,v,h);h=f[b+4>>2]|0;if((h|0)<3){w=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;x=+(w>>>0);y=x*.0000152587890625;oU(n,o,y);eka(o);u=k;return}b=f[r>>2]|0;r=0;v=1;while(1){j=Y(f[b+(r<<2)>>2]|0,v)|0;r=r+1|0;if((r|0)==(h|0)){w=j;break}else v=j}x=+(w>>>0);y=x*.0000152587890625;oU(n,o,y);eka(o);u=k;return}function Kja(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0;k=u;u=u+192|0;l=k+176|0;m=k+168|0;n=k+160|0;o=k;p=f[a+40>>2]|0;q=f[p+4>>2]|0;r=f[p>>2]|0;f[l>>2]=q;f[l+4>>2]=r;r=b+40|0;p=f[r>>2]|0;s=f[p+4>>2]|0;t=f[p>>2]|0;f[m+4>>2]=t;p=((f[a>>2]|0)>>>3&511)+1|0;v=Y(p,q)|0;f[l>>2]=v;v=Y(s,p)|0;f[m>>2]=v;v=Y(p,h)|0;h=Y(p,i)|0;f[n>>2]=0;f[n+4>>2]=t;Zja(o,a,b,c,e,d,g,l,m,j,v,h);h=f[b+4>>2]|0;if((h|0)<3){w=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;x=+(w>>>0);y=x*.0000152587890625;oU(n,o,y);_ja(o);u=k;return}b=f[r>>2]|0;r=0;v=1;while(1){j=Y(f[b+(r<<2)>>2]|0,v)|0;r=r+1|0;if((r|0)==(h|0)){w=j;break}else v=j}x=+(w>>>0);y=x*.0000152587890625;oU(n,o,y);_ja(o);u=k;return}function Lja(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0;k=u;u=u+192|0;l=k+176|0;m=k+168|0;n=k+160|0;o=k;p=f[a+40>>2]|0;q=f[p+4>>2]|0;r=f[p>>2]|0;f[l>>2]=q;f[l+4>>2]=r;r=b+40|0;p=f[r>>2]|0;s=f[p+4>>2]|0;t=f[p>>2]|0;f[m+4>>2]=t;p=((f[a>>2]|0)>>>3&511)+1|0;v=Y(p,q)|0;f[l>>2]=v;v=Y(s,p)|0;f[m>>2]=v;v=Y(p,h)|0;h=Y(p,i)|0;f[n>>2]=0;f[n+4>>2]=t;Tja(o,a,b,c,e,d,g,l,m,j,v,h);h=f[b+4>>2]|0;if((h|0)<3){w=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;x=+(w>>>0);y=x*.0000152587890625;oU(n,o,y);Uja(o);u=k;return}b=f[r>>2]|0;r=0;v=1;while(1){j=Y(f[b+(r<<2)>>2]|0,v)|0;r=r+1|0;if((r|0)==(h|0)){w=j;break}else v=j}x=+(w>>>0);y=x*.0000152587890625;oU(n,o,y);Uja(o);u=k;return}function Mja(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0;k=u;u=u+192|0;l=k+176|0;m=k+168|0;n=k+160|0;o=k;p=f[a+40>>2]|0;q=f[p+4>>2]|0;r=f[p>>2]|0;f[l>>2]=q;f[l+4>>2]=r;r=b+40|0;p=f[r>>2]|0;s=f[p+4>>2]|0;t=f[p>>2]|0;f[m+4>>2]=t;p=((f[a>>2]|0)>>>3&511)+1|0;v=Y(p,q)|0;f[l>>2]=v;v=Y(s,p)|0;f[m>>2]=v;v=Y(p,h)|0;h=Y(p,i)|0;f[n>>2]=0;f[n+4>>2]=t;Nja(o,a,b,c,e,d,g,l,m,j,v,h);h=f[b+4>>2]|0;if((h|0)<3){w=Y(f[b+12>>2]|0,f[b+8>>2]|0)|0;x=+(w>>>0);y=x*.0000152587890625;oU(n,o,y);Oja(o);u=k;return}b=f[r>>2]|0;r=0;v=1;while(1){j=Y(f[b+(r<<2)>>2]|0,v)|0;r=r+1|0;if((r|0)==(h|0)){w=j;break}else v=j}x=+(w>>>0);y=x*.0000152587890625;oU(n,o,y);Oja(o);u=k;return}function Nja(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;o=u;u=u+16|0;p=o;f[a>>2]=59344;q=a+4|0;f[q>>2]=f[c>>2];r=a+8|0;s=c+4|0;f[r>>2]=f[s>>2];t=a+12|0;f[t>>2]=f[c+8>>2];f[a+16>>2]=f[c+12>>2];f[a+20>>2]=f[c+16>>2];f[a+24>>2]=f[c+20>>2];f[a+28>>2]=f[c+24>>2];f[a+32>>2]=f[c+28>>2];f[a+36>>2]=f[c+32>>2];v=f[c+36>>2]|0;f[a+40>>2]=v;f[a+44>>2]=t;t=a+52|0;w=a+48|0;f[w>>2]=t;f[t>>2]=0;f[a+56>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[c+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2]}else{f[r>>2]=0;kP(q,c)}c=a+60|0;f[c>>2]=f[d>>2];q=a+64|0;r=d+4|0;f[q>>2]=f[r>>2];s=a+68|0;f[s>>2]=f[d+8>>2];f[a+72>>2]=f[d+12>>2];f[a+76>>2]=f[d+16>>2];f[a+80>>2]=f[d+20>>2];f[a+84>>2]=f[d+24>>2];f[a+88>>2]=f[d+28>>2];f[a+92>>2]=f[d+32>>2];t=f[d+36>>2]|0;f[a+96>>2]=t;f[a+100>>2]=s;s=a+108|0;w=a+104|0;f[w>>2]=s;f[s>>2]=0;f[a+112>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[d+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2]}else{f[q>>2]=0;kP(c,d)}f[a+116>>2]=e;f[a+120>>2]=g;f[a+124>>2]=h;f[a+128>>2]=i;f[a+132>>2]=f[j>>2];f[a+136>>2]=f[j+4>>2];f[a+140>>2]=f[k>>2];f[a+144>>2]=f[k+4>>2];f[a+148>>2]=l;f[a+152>>2]=m;f[a+156>>2]=n;if((l|0)<17){u=o;return}else{f[p>>2]=0;f[p+4>>2]=0;o=YG(p,18)|0;l=274187;n=o+18|0;do{b[o>>0]=b[l>>0]|0;o=o+1|0;l=l+1|0}while((o|0)<(n|0));SQ(-215,p,274206,273965,2391)}}function Oja(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=59344;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))tE(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;tE(b);return}function Pja(a){a=a|0;Oja(a);Emc(a);return}function Qja(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;c=u;u=u+1296|0;d=c+1289|0;e=c+1288|0;g=c;h=c+1224|0;i=c+1160|0;j=c+1096|0;k=((f[a+4>>2]|0)>>>3&511)+1|0;l=a+140|0;m=(f[l>>2]|0)+15&-16;n=a+148|0;o=f[n>>2]|0;p=Y(m,o)|0;q=g+8|0;f[g>>2]=q;r=g+4|0;f[r>>2]=p;if(p>>>0>136){s=Dmc(p>>>0>536870911?-1:p<<3)|0;f[g>>2]=s;t=s}else t=q;s=h;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));s=i;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));if((o|0)>0){Drc(j|0,-1,o<<2|0)|0;s=0;do{p=t+((Y(s,m)|0)<<3)|0;f[i+(s<<2)>>2]=p;s=s+1|0}while((s|0)<(o|0))}s=f[b>>2]|0;p=b+4|0;if((s|0)<(f[p>>2]|0)){b=a+120|0;v=a+116|0;w=a+124|0;x=a+132|0;y=a+152|0;z=a+156|0;A=a+76|0;B=a+108|0;C=a+136|0;D=a+20|0;E=a+48|0;F=m<<3;m=(f[a+128>>2]|0)+((Y(s,o)|0)<<2)|0;a=s;s=o;while(1){if((s|0)>0){o=(f[(f[b>>2]|0)+(a<<2)>>2]|0)+1+((s|0)/-2|0)|0;G=s;H=0;I=s;J=0;while(1){K=o+J|0;L=f[C>>2]|0;M=(K|0)>-1?((K|0)<(L|0)?K:L+-1|0):0;L=(H|0)<(J|0)?J:H;a:do if((L|0)<(I|0)){K=L;while(1){if((K|0)<16?(M|0)==(f[j+(K<<2)>>2]|0):0)break;N=K+1|0;if((N|0)<(I|0))K=N;else{O=I;P=N;break a}}if((K|0)>(J|0)){Krc(f[i+(J<<2)>>2]|0,f[i+(K<<2)>>2]|0,F|0)|0;O=f[n>>2]|0;P=K}else{O=I;P=K}}else{O=I;P=L}while(0);G=(J|0)<(G|0)&(P|0)==(O|0)?J:G;L=(f[D>>2]|0)+(Y(f[f[E>>2]>>2]|0,M)|0)|0;f[h+(J<<2)>>2]=L;f[j+(J<<2)>>2]=M;J=J+1|0;if((J|0)>=(O|0))break;else{H=P;I=O}}if((O|0)>(G|0))Rja(d,h+(G<<2)|0,i+(G<<2)|0,O-G|0,f[v>>2]|0,f[w>>2]|0,f[x>>2]|0,f[l>>2]|0,k,f[y>>2]|0,f[z>>2]|0)}I=(f[A>>2]|0)+(Y(f[B>>2]|0,a)|0)|0;Sja(e,i,I,m,f[l>>2]|0);a=a+1|0;I=f[n>>2]|0;if((a|0)>=(f[p>>2]|0))break;else{m=m+(I<<2)|0;s=I}}Q=f[g>>2]|0}else Q=t;if((Q|0)==(q|0)){u=c;return}if(Q|0)Fmc(Q);f[g>>2]=q;f[r>>2]=136;u=c;return}function Rja(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;if((d|0)<=0)return;a=j*3|0;m=j<<1;o=j<<2;q=0-(i<<3)|0;r=0;s=g;while(1){g=f[b+(r<<2)>>2]|0;t=f[c+(r<<2)>>2]|0;u=k;v=0;w=s;a:while(1){if((u|0)>(v|0)){x=u-v<<3;y=v;z=w;while(1){A=f[e+(y<<2)>>2]|0;B=0.0;C=0;do{D=(Y(C+-3|0,j)|0)+A|0;if(D>>>0<h>>>0)E=D;else{F=D;while(1)if((F|0)<0)F=F+j|0;else{G=F;break}while(1)if((G|0)<(h|0)){E=G;break}else G=G-j|0}B=B+ +p[g+(E<<3)>>3]*+n[z+(C<<2)>>2];C=C+1|0}while((C|0)!=8);p[t+(y<<3)>>3]=B;y=y+1|0;if((y|0)==(u|0))break;else z=z+32|0}H=u;I=w+(x<<2)|0}else{H=v;I=w}if((u|0)==(i|0))break;if((H|0)<(l|0)){J=H;K=I}else{u=i;v=H;w=I;continue}while(1){z=f[e+(J<<2)>>2]|0;p[t+(J<<3)>>3]=+p[g+(z-a<<3)>>3]*+n[K>>2]+ +p[g+(z-m<<3)>>3]*+n[K+4>>2]+ +p[g+(z-j<<3)>>3]*+n[K+8>>2]+ +p[g+(z<<3)>>3]*+n[K+12>>2]+ +p[g+(z+j<<3)>>3]*+n[K+16>>2]+ +p[g+(z+m<<3)>>3]*+n[K+20>>2]+ +p[g+(z+a<<3)>>3]*+n[K+24>>2]+ +p[g+(z+o<<3)>>3]*+n[K+28>>2];z=J+1|0;y=K+32|0;if((z|0)<(l|0)){J=z;K=y}else{u=i;v=l;w=y;continue a}}}r=r+1|0;if((r|0)==(d|0))break;else s=I+(q<<2)|0}return}function Sja(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0.0,i=0,j=0,k=0.0,l=0,m=0.0,o=0,q=0.0,r=0,s=0.0,t=0.0,u=0,v=0.0,w=0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0;a=e+-4|0;if((e|0)<4)g=0;else{h=+n[d>>2];i=f[b>>2]|0;j=f[b+16>>2]|0;k=+n[d+4>>2];l=f[b+4>>2]|0;m=+n[d+8>>2];o=f[b+8>>2]|0;q=+n[d+12>>2];r=f[b+12>>2]|0;s=+n[d+16>>2];t=+n[d+20>>2];u=f[b+20>>2]|0;v=+n[d+24>>2];w=f[b+24>>2]|0;x=+n[d+28>>2];y=f[b+28>>2]|0;z=0;do{A=z|1;B=z|2;C=z|3;D=h*+p[i+(A<<3)>>3]+k*+p[l+(A<<3)>>3]+m*+p[o+(A<<3)>>3]+q*+p[r+(A<<3)>>3]+s*+p[j+(A<<3)>>3]+t*+p[u+(A<<3)>>3]+v*+p[w+(A<<3)>>3]+x*+p[y+(A<<3)>>3];E=h*+p[i+(B<<3)>>3]+k*+p[l+(B<<3)>>3]+m*+p[o+(B<<3)>>3]+q*+p[r+(B<<3)>>3]+s*+p[j+(B<<3)>>3]+t*+p[u+(B<<3)>>3]+v*+p[w+(B<<3)>>3]+x*+p[y+(B<<3)>>3];F=h*+p[i+(C<<3)>>3]+k*+p[l+(C<<3)>>3]+m*+p[o+(C<<3)>>3]+q*+p[r+(C<<3)>>3]+s*+p[j+(C<<3)>>3]+t*+p[u+(C<<3)>>3]+v*+p[w+(C<<3)>>3]+x*+p[y+(C<<3)>>3];p[c+(z<<3)>>3]=h*+p[i+(z<<3)>>3]+k*+p[l+(z<<3)>>3]+m*+p[o+(z<<3)>>3]+q*+p[r+(z<<3)>>3]+s*+p[j+(z<<3)>>3]+t*+p[u+(z<<3)>>3]+v*+p[w+(z<<3)>>3]+x*+p[y+(z<<3)>>3];p[c+(A<<3)>>3]=D;p[c+(B<<3)>>3]=E;p[c+(C<<3)>>3]=F;z=z+4|0}while((z|0)<=(a|0));g=e&-4}if((g|0)>=(e|0))return;a=f[b>>2]|0;x=+n[d>>2];z=f[b+4>>2]|0;v=+n[d+4>>2];y=f[b+8>>2]|0;t=+n[d+8>>2];w=f[b+12>>2]|0;s=+n[d+12>>2];u=f[b+16>>2]|0;q=+n[d+16>>2];j=f[b+20>>2]|0;m=+n[d+20>>2];r=f[b+24>>2]|0;k=+n[d+24>>2];o=f[b+28>>2]|0;h=+n[d+28>>2];d=g;do{p[c+(d<<3)>>3]=+p[a+(d<<3)>>3]*x+ +p[z+(d<<3)>>3]*v+ +p[y+(d<<3)>>3]*t+ +p[w+(d<<3)>>3]*s+ +p[u+(d<<3)>>3]*q+ +p[j+(d<<3)>>3]*m+ +p[r+(d<<3)>>3]*k+ +p[o+(d<<3)>>3]*h;d=d+1|0}while((d|0)!=(e|0));return}function Tja(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;o=u;u=u+16|0;p=o;f[a>>2]=59364;q=a+4|0;f[q>>2]=f[c>>2];r=a+8|0;s=c+4|0;f[r>>2]=f[s>>2];t=a+12|0;f[t>>2]=f[c+8>>2];f[a+16>>2]=f[c+12>>2];f[a+20>>2]=f[c+16>>2];f[a+24>>2]=f[c+20>>2];f[a+28>>2]=f[c+24>>2];f[a+32>>2]=f[c+28>>2];f[a+36>>2]=f[c+32>>2];v=f[c+36>>2]|0;f[a+40>>2]=v;f[a+44>>2]=t;t=a+52|0;w=a+48|0;f[w>>2]=t;f[t>>2]=0;f[a+56>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[c+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2]}else{f[r>>2]=0;kP(q,c)}c=a+60|0;f[c>>2]=f[d>>2];q=a+64|0;r=d+4|0;f[q>>2]=f[r>>2];s=a+68|0;f[s>>2]=f[d+8>>2];f[a+72>>2]=f[d+12>>2];f[a+76>>2]=f[d+16>>2];f[a+80>>2]=f[d+20>>2];f[a+84>>2]=f[d+24>>2];f[a+88>>2]=f[d+28>>2];f[a+92>>2]=f[d+32>>2];t=f[d+36>>2]|0;f[a+96>>2]=t;f[a+100>>2]=s;s=a+108|0;w=a+104|0;f[w>>2]=s;f[s>>2]=0;f[a+112>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[d+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2]}else{f[q>>2]=0;kP(c,d)}f[a+116>>2]=e;f[a+120>>2]=g;f[a+124>>2]=h;f[a+128>>2]=i;f[a+132>>2]=f[j>>2];f[a+136>>2]=f[j+4>>2];f[a+140>>2]=f[k>>2];f[a+144>>2]=f[k+4>>2];f[a+148>>2]=l;f[a+152>>2]=m;f[a+156>>2]=n;if((l|0)<17){u=o;return}else{f[p>>2]=0;f[p+4>>2]=0;o=YG(p,18)|0;l=274187;n=o+18|0;do{b[o>>0]=b[l>>0]|0;o=o+1|0;l=l+1|0}while((o|0)<(n|0));SQ(-215,p,274206,273965,2391)}}function Uja(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=59364;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))tE(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;tE(b);return}function Vja(a){a=a|0;Uja(a);Emc(a);return}function Wja(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;c=u;u=u+1264|0;d=c+1257|0;e=c+1256|0;g=c+192|0;h=c+128|0;i=c+64|0;j=c;k=((f[a+4>>2]|0)>>>3&511)+1|0;l=a+140|0;m=(f[l>>2]|0)+15&-16;n=a+148|0;o=f[n>>2]|0;p=Y(m,o)|0;q=g+8|0;f[g>>2]=q;r=g+4|0;f[r>>2]=p;if(p>>>0>264){s=Dmc(p>>>0>1073741823?-1:p<<2)|0;f[g>>2]=s;t=s}else t=q;s=h;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));s=i;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));if((o|0)>0){Drc(j|0,-1,o<<2|0)|0;s=0;do{p=t+((Y(s,m)|0)<<2)|0;f[i+(s<<2)>>2]=p;s=s+1|0}while((s|0)<(o|0))}s=f[b>>2]|0;p=b+4|0;if((s|0)<(f[p>>2]|0)){b=a+120|0;v=a+116|0;w=a+124|0;x=a+132|0;y=a+152|0;z=a+156|0;A=a+76|0;B=a+108|0;C=a+136|0;D=a+20|0;E=a+48|0;F=m<<2;m=(f[a+128>>2]|0)+((Y(s,o)|0)<<2)|0;a=s;s=o;while(1){if((s|0)>0){o=(f[(f[b>>2]|0)+(a<<2)>>2]|0)+1+((s|0)/-2|0)|0;G=s;H=0;I=s;J=0;while(1){K=o+J|0;L=f[C>>2]|0;M=(K|0)>-1?((K|0)<(L|0)?K:L+-1|0):0;L=(H|0)<(J|0)?J:H;a:do if((L|0)<(I|0)){K=L;while(1){if((K|0)<16?(M|0)==(f[j+(K<<2)>>2]|0):0)break;N=K+1|0;if((N|0)<(I|0))K=N;else{O=I;P=N;break a}}if((K|0)>(J|0)){Krc(f[i+(J<<2)>>2]|0,f[i+(K<<2)>>2]|0,F|0)|0;O=f[n>>2]|0;P=K}else{O=I;P=K}}else{O=I;P=L}while(0);G=(J|0)<(G|0)&(P|0)==(O|0)?J:G;L=(f[D>>2]|0)+(Y(f[f[E>>2]>>2]|0,M)|0)|0;f[h+(J<<2)>>2]=L;f[j+(J<<2)>>2]=M;J=J+1|0;if((J|0)>=(O|0))break;else{H=P;I=O}}if((O|0)>(G|0))Xja(d,h+(G<<2)|0,i+(G<<2)|0,O-G|0,f[v>>2]|0,f[w>>2]|0,f[x>>2]|0,f[l>>2]|0,k,f[y>>2]|0,f[z>>2]|0)}I=(f[A>>2]|0)+(Y(f[B>>2]|0,a)|0)|0;Yja(e,i,I,m,f[l>>2]|0);a=a+1|0;I=f[n>>2]|0;if((a|0)>=(f[p>>2]|0))break;else{m=m+(I<<2)|0;s=I}}Q=f[g>>2]|0}else Q=t;if((Q|0)==(q|0)){u=c;return}if(Q|0)Fmc(Q);f[g>>2]=q;f[r>>2]=264;u=c;return}function Xja(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;if((d|0)<=0)return;a=j*3|0;m=j<<1;o=j<<2;p=0-(i<<3)|0;q=0;r=g;while(1){g=f[b+(q<<2)>>2]|0;s=f[c+(q<<2)>>2]|0;t=k;u=0;v=r;a:while(1){if((t|0)>(u|0)){w=t-u<<3;x=u;y=v;while(1){z=f[e+(x<<2)>>2]|0;A=0.0;B=0;do{C=(Y(B+-3|0,j)|0)+z|0;if(C>>>0<h>>>0)D=C;else{E=C;while(1)if((E|0)<0)E=E+j|0;else{F=E;break}while(1)if((F|0)<(h|0)){D=F;break}else F=F-j|0}A=A+ +n[g+(D<<2)>>2]*+n[y+(B<<2)>>2];B=B+1|0}while((B|0)!=8);n[s+(x<<2)>>2]=A;x=x+1|0;if((x|0)==(t|0))break;else y=y+32|0}G=t;H=v+(w<<2)|0}else{G=u;H=v}if((t|0)==(i|0))break;if((G|0)<(l|0)){I=G;J=H}else{t=i;u=G;v=H;continue}while(1){y=f[e+(I<<2)>>2]|0;n[s+(I<<2)>>2]=+n[g+(y-a<<2)>>2]*+n[J>>2]+ +n[g+(y-m<<2)>>2]*+n[J+4>>2]+ +n[g+(y-j<<2)>>2]*+n[J+8>>2]+ +n[g+(y<<2)>>2]*+n[J+12>>2]+ +n[g+(y+j<<2)>>2]*+n[J+16>>2]+ +n[g+(y+m<<2)>>2]*+n[J+20>>2]+ +n[g+(y+a<<2)>>2]*+n[J+24>>2]+ +n[g+(y+o<<2)>>2]*+n[J+28>>2];y=I+1|0;x=J+32|0;if((y|0)<(l|0)){I=y;J=x}else{t=i;u=l;v=x;continue a}}}q=q+1|0;if((q|0)==(d|0))break;else r=H+(p<<2)|0}return}function Yja(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0;a=e+-4|0;if((e|0)<4)g=0;else{h=f[b>>2]|0;i=d+4|0;j=f[b+16>>2]|0;k=f[b+20>>2]|0;l=f[b+4>>2]|0;m=d+8|0;o=f[b+8>>2]|0;p=d+12|0;q=f[b+12>>2]|0;r=d+16|0;s=d+20|0;t=d+24|0;u=f[b+24>>2]|0;v=d+28|0;w=f[b+28>>2]|0;x=0;do{y=+n[d>>2];z=x|1;A=x|2;B=x|3;C=+n[i>>2];D=+n[m>>2];E=+n[p>>2];F=+n[r>>2];G=+n[s>>2];H=+n[t>>2];I=+n[v>>2];J=y*+n[h+(z<<2)>>2]+C*+n[l+(z<<2)>>2]+D*+n[o+(z<<2)>>2]+E*+n[q+(z<<2)>>2]+F*+n[j+(z<<2)>>2]+G*+n[k+(z<<2)>>2]+H*+n[u+(z<<2)>>2]+I*+n[w+(z<<2)>>2];K=y*+n[h+(A<<2)>>2]+C*+n[l+(A<<2)>>2]+D*+n[o+(A<<2)>>2]+E*+n[q+(A<<2)>>2]+F*+n[j+(A<<2)>>2]+G*+n[k+(A<<2)>>2]+H*+n[u+(A<<2)>>2]+I*+n[w+(A<<2)>>2];L=y*+n[h+(B<<2)>>2]+C*+n[l+(B<<2)>>2]+D*+n[o+(B<<2)>>2]+E*+n[q+(B<<2)>>2]+F*+n[j+(B<<2)>>2]+G*+n[k+(B<<2)>>2]+H*+n[u+(B<<2)>>2]+I*+n[w+(B<<2)>>2];n[c+(x<<2)>>2]=y*+n[h+(x<<2)>>2]+C*+n[l+(x<<2)>>2]+D*+n[o+(x<<2)>>2]+E*+n[q+(x<<2)>>2]+F*+n[j+(x<<2)>>2]+G*+n[k+(x<<2)>>2]+H*+n[u+(x<<2)>>2]+I*+n[w+(x<<2)>>2];n[c+(z<<2)>>2]=J;n[c+(A<<2)>>2]=K;n[c+(B<<2)>>2]=L;x=x+4|0}while((x|0)<=(a|0));g=e&-4}if((g|0)>=(e|0))return;a=f[b>>2]|0;x=f[b+4>>2]|0;w=d+4|0;u=f[b+8>>2]|0;k=d+8|0;j=f[b+12>>2]|0;q=d+12|0;o=f[b+16>>2]|0;l=d+16|0;h=f[b+20>>2]|0;v=d+20|0;t=f[b+24>>2]|0;s=d+24|0;r=f[b+28>>2]|0;b=d+28|0;p=g;do{n[c+(p<<2)>>2]=+n[a+(p<<2)>>2]*+n[d>>2]+ +n[x+(p<<2)>>2]*+n[w>>2]+ +n[u+(p<<2)>>2]*+n[k>>2]+ +n[j+(p<<2)>>2]*+n[q>>2]+ +n[o+(p<<2)>>2]*+n[l>>2]+ +n[h+(p<<2)>>2]*+n[v>>2]+ +n[t+(p<<2)>>2]*+n[s>>2]+ +n[r+(p<<2)>>2]*+n[b>>2];p=p+1|0}while((p|0)!=(e|0));return}function Zja(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;o=u;u=u+16|0;p=o;f[a>>2]=59384;q=a+4|0;f[q>>2]=f[c>>2];r=a+8|0;s=c+4|0;f[r>>2]=f[s>>2];t=a+12|0;f[t>>2]=f[c+8>>2];f[a+16>>2]=f[c+12>>2];f[a+20>>2]=f[c+16>>2];f[a+24>>2]=f[c+20>>2];f[a+28>>2]=f[c+24>>2];f[a+32>>2]=f[c+28>>2];f[a+36>>2]=f[c+32>>2];v=f[c+36>>2]|0;f[a+40>>2]=v;f[a+44>>2]=t;t=a+52|0;w=a+48|0;f[w>>2]=t;f[t>>2]=0;f[a+56>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[c+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2]}else{f[r>>2]=0;kP(q,c)}c=a+60|0;f[c>>2]=f[d>>2];q=a+64|0;r=d+4|0;f[q>>2]=f[r>>2];s=a+68|0;f[s>>2]=f[d+8>>2];f[a+72>>2]=f[d+12>>2];f[a+76>>2]=f[d+16>>2];f[a+80>>2]=f[d+20>>2];f[a+84>>2]=f[d+24>>2];f[a+88>>2]=f[d+28>>2];f[a+92>>2]=f[d+32>>2];t=f[d+36>>2]|0;f[a+96>>2]=t;f[a+100>>2]=s;s=a+108|0;w=a+104|0;f[w>>2]=s;f[s>>2]=0;f[a+112>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[d+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2]}else{f[q>>2]=0;kP(c,d)}f[a+116>>2]=e;f[a+120>>2]=g;f[a+124>>2]=h;f[a+128>>2]=i;f[a+132>>2]=f[j>>2];f[a+136>>2]=f[j+4>>2];f[a+140>>2]=f[k>>2];f[a+144>>2]=f[k+4>>2];f[a+148>>2]=l;f[a+152>>2]=m;f[a+156>>2]=n;if((l|0)<17){u=o;return}else{f[p>>2]=0;f[p+4>>2]=0;o=YG(p,18)|0;l=274187;n=o+18|0;do{b[o>>0]=b[l>>0]|0;o=o+1|0;l=l+1|0}while((o|0)<(n|0));SQ(-215,p,274206,273965,2391)}}function _ja(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=59384;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))tE(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;tE(b);return}function $ja(a){a=a|0;_ja(a);Emc(a);return}function aka(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;c=u;u=u+1264|0;d=c+1257|0;e=c+1256|0;g=c+192|0;h=c+128|0;i=c+64|0;j=c;k=((f[a+4>>2]|0)>>>3&511)+1|0;l=a+140|0;m=(f[l>>2]|0)+15&-16;n=a+148|0;o=f[n>>2]|0;p=Y(m,o)|0;q=g+8|0;f[g>>2]=q;r=g+4|0;f[r>>2]=p;if(p>>>0>264){s=Dmc(p>>>0>1073741823?-1:p<<2)|0;f[g>>2]=s;t=s}else t=q;s=h;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));s=i;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));if((o|0)>0){Drc(j|0,-1,o<<2|0)|0;s=0;do{p=t+((Y(s,m)|0)<<2)|0;f[i+(s<<2)>>2]=p;s=s+1|0}while((s|0)<(o|0))}s=f[b>>2]|0;p=b+4|0;if((s|0)<(f[p>>2]|0)){b=a+120|0;v=a+116|0;w=a+124|0;x=a+132|0;y=a+152|0;z=a+156|0;A=a+76|0;B=a+108|0;C=a+136|0;D=a+20|0;E=a+48|0;F=m<<2;m=(f[a+128>>2]|0)+((Y(s,o)|0)<<2)|0;a=s;s=o;while(1){if((s|0)>0){o=(f[(f[b>>2]|0)+(a<<2)>>2]|0)+1+((s|0)/-2|0)|0;G=s;H=0;I=s;J=0;while(1){K=o+J|0;L=f[C>>2]|0;M=(K|0)>-1?((K|0)<(L|0)?K:L+-1|0):0;L=(H|0)<(J|0)?J:H;a:do if((L|0)<(I|0)){K=L;while(1){if((K|0)<16?(M|0)==(f[j+(K<<2)>>2]|0):0)break;N=K+1|0;if((N|0)<(I|0))K=N;else{O=I;P=N;break a}}if((K|0)>(J|0)){Krc(f[i+(J<<2)>>2]|0,f[i+(K<<2)>>2]|0,F|0)|0;O=f[n>>2]|0;P=K}else{O=I;P=K}}else{O=I;P=L}while(0);G=(J|0)<(G|0)&(P|0)==(O|0)?J:G;L=(f[D>>2]|0)+(Y(f[f[E>>2]>>2]|0,M)|0)|0;f[h+(J<<2)>>2]=L;f[j+(J<<2)>>2]=M;J=J+1|0;if((J|0)>=(O|0))break;else{H=P;I=O}}if((O|0)>(G|0))bka(d,h+(G<<2)|0,i+(G<<2)|0,O-G|0,f[v>>2]|0,f[w>>2]|0,f[x>>2]|0,f[l>>2]|0,k,f[y>>2]|0,f[z>>2]|0)}I=(f[A>>2]|0)+(Y(f[B>>2]|0,a)|0)|0;cka(e,i,I,m,f[l>>2]|0);a=a+1|0;I=f[n>>2]|0;if((a|0)>=(f[p>>2]|0))break;else{m=m+(I<<2)|0;s=I}}Q=f[g>>2]|0}else Q=t;if((Q|0)==(q|0)){u=c;return}if(Q|0)Fmc(Q);f[g>>2]=q;f[r>>2]=264;u=c;return}function bka(a,b,c,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;if((e|0)<=0)return;a=k*3|0;o=k<<1;p=k<<2;q=0-(j<<3)|0;r=0;s=h;while(1){h=f[b+(r<<2)>>2]|0;t=f[c+(r<<2)>>2]|0;u=l;v=0;w=s;a:while(1){if((u|0)>(v|0)){x=u-v<<3;y=v;z=w;while(1){A=f[g+(y<<2)>>2]|0;B=0.0;C=0;do{D=(Y(C+-3|0,k)|0)+A|0;if(D>>>0<i>>>0)E=D;else{F=D;while(1)if((F|0)<0)F=F+k|0;else{G=F;break}while(1)if((G|0)<(i|0)){E=G;break}else G=G-k|0}B=B+ +(d[h+(E<<1)>>1]|0)*+n[z+(C<<2)>>2];C=C+1|0}while((C|0)!=8);n[t+(y<<2)>>2]=B;y=y+1|0;if((y|0)==(u|0))break;else z=z+32|0}H=u;I=w+(x<<2)|0}else{H=v;I=w}if((u|0)==(j|0))break;if((H|0)<(m|0)){J=H;K=I}else{u=j;v=H;w=I;continue}while(1){z=f[g+(J<<2)>>2]|0;n[t+(J<<2)>>2]=+(d[h+(z-a<<1)>>1]|0)*+n[K>>2]+ +(d[h+(z-o<<1)>>1]|0)*+n[K+4>>2]+ +(d[h+(z-k<<1)>>1]|0)*+n[K+8>>2]+ +(d[h+(z<<1)>>1]|0)*+n[K+12>>2]+ +(d[h+(z+k<<1)>>1]|0)*+n[K+16>>2]+ +(d[h+(z+o<<1)>>1]|0)*+n[K+20>>2]+ +(d[h+(z+a<<1)>>1]|0)*+n[K+24>>2]+ +(d[h+(z+p<<1)>>1]|0)*+n[K+28>>2];z=J+1|0;y=K+32|0;if((z|0)<(m|0)){J=z;K=y}else{u=j;v=m;w=y;continue a}}}r=r+1|0;if((r|0)==(e|0))break;else s=I+(q<<2)|0}return}function cka(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0.0,j=0,k=0.0,l=0,m=0.0,o=0,p=0.0,q=0,r=0.0,s=0,t=0.0,u=0,v=0.0,w=0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0;a=g+-4|0;if((g|0)<4)h=0;else{i=+n[e>>2];j=f[b>>2]|0;k=+n[e+20>>2];l=f[b+20>>2]|0;m=+n[e+4>>2];o=f[b+4>>2]|0;p=+n[e+8>>2];q=f[b+8>>2]|0;r=+n[e+12>>2];s=f[b+12>>2]|0;t=+n[e+16>>2];u=f[b+16>>2]|0;v=+n[e+24>>2];w=f[b+24>>2]|0;x=+n[e+28>>2];y=f[b+28>>2]|0;z=0;do{A=z|1;B=z|2;C=z|3;D=i*+n[j+(A<<2)>>2]+m*+n[o+(A<<2)>>2]+p*+n[q+(A<<2)>>2]+r*+n[s+(A<<2)>>2]+t*+n[u+(A<<2)>>2]+k*+n[l+(A<<2)>>2]+v*+n[w+(A<<2)>>2]+x*+n[y+(A<<2)>>2];E=i*+n[j+(B<<2)>>2]+m*+n[o+(B<<2)>>2]+p*+n[q+(B<<2)>>2]+r*+n[s+(B<<2)>>2]+t*+n[u+(B<<2)>>2]+k*+n[l+(B<<2)>>2]+v*+n[w+(B<<2)>>2]+x*+n[y+(B<<2)>>2];F=i*+n[j+(C<<2)>>2]+m*+n[o+(C<<2)>>2]+p*+n[q+(C<<2)>>2]+r*+n[s+(C<<2)>>2]+t*+n[u+(C<<2)>>2]+k*+n[l+(C<<2)>>2]+v*+n[w+(C<<2)>>2]+x*+n[y+(C<<2)>>2];G=U9b(i*+n[j+(z<<2)>>2]+m*+n[o+(z<<2)>>2]+p*+n[q+(z<<2)>>2]+r*+n[s+(z<<2)>>2]+t*+n[u+(z<<2)>>2]+k*+n[l+(z<<2)>>2]+v*+n[w+(z<<2)>>2]+x*+n[y+(z<<2)>>2])|0;d[c+(z<<1)>>1]=(G+32768|0)>>>0<65536?G:(G|0)>0?32767:32768;G=U9b(D)|0;d[c+(A<<1)>>1]=(G+32768|0)>>>0<65536?G:(G|0)>0?32767:32768;G=U9b(E)|0;d[c+(B<<1)>>1]=(G+32768|0)>>>0<65536?G:(G|0)>0?32767:32768;G=U9b(F)|0;d[c+(C<<1)>>1]=(G+32768|0)>>>0<65536?G:(G|0)>0?32767:32768;z=z+4|0}while((z|0)<=(a|0));h=g&-4}if((h|0)>=(g|0))return;a=f[b>>2]|0;x=+n[e>>2];z=f[b+4>>2]|0;v=+n[e+4>>2];y=f[b+8>>2]|0;k=+n[e+8>>2];w=f[b+12>>2]|0;t=+n[e+12>>2];l=f[b+16>>2]|0;r=+n[e+16>>2];u=f[b+20>>2]|0;p=+n[e+20>>2];s=f[b+24>>2]|0;m=+n[e+24>>2];q=f[b+28>>2]|0;i=+n[e+28>>2];e=h;do{h=U9b(+n[a+(e<<2)>>2]*x+ +n[z+(e<<2)>>2]*v+ +n[y+(e<<2)>>2]*k+ +n[w+(e<<2)>>2]*t+ +n[l+(e<<2)>>2]*r+ +n[u+(e<<2)>>2]*p+ +n[s+(e<<2)>>2]*m+ +n[q+(e<<2)>>2]*i)|0;d[c+(e<<1)>>1]=(h+32768|0)>>>0<65536?h:(h|0)>0?32767:32768;e=e+1|0}while((e|0)!=(g|0));return}function dka(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;o=u;u=u+16|0;p=o;f[a>>2]=59404;q=a+4|0;f[q>>2]=f[c>>2];r=a+8|0;s=c+4|0;f[r>>2]=f[s>>2];t=a+12|0;f[t>>2]=f[c+8>>2];f[a+16>>2]=f[c+12>>2];f[a+20>>2]=f[c+16>>2];f[a+24>>2]=f[c+20>>2];f[a+28>>2]=f[c+24>>2];f[a+32>>2]=f[c+28>>2];f[a+36>>2]=f[c+32>>2];v=f[c+36>>2]|0;f[a+40>>2]=v;f[a+44>>2]=t;t=a+52|0;w=a+48|0;f[w>>2]=t;f[t>>2]=0;f[a+56>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[c+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2]}else{f[r>>2]=0;kP(q,c)}c=a+60|0;f[c>>2]=f[d>>2];q=a+64|0;r=d+4|0;f[q>>2]=f[r>>2];s=a+68|0;f[s>>2]=f[d+8>>2];f[a+72>>2]=f[d+12>>2];f[a+76>>2]=f[d+16>>2];f[a+80>>2]=f[d+20>>2];f[a+84>>2]=f[d+24>>2];f[a+88>>2]=f[d+28>>2];f[a+92>>2]=f[d+32>>2];t=f[d+36>>2]|0;f[a+96>>2]=t;f[a+100>>2]=s;s=a+108|0;w=a+104|0;f[w>>2]=s;f[s>>2]=0;f[a+112>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[d+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2]}else{f[q>>2]=0;kP(c,d)}f[a+116>>2]=e;f[a+120>>2]=g;f[a+124>>2]=h;f[a+128>>2]=i;f[a+132>>2]=f[j>>2];f[a+136>>2]=f[j+4>>2];f[a+140>>2]=f[k>>2];f[a+144>>2]=f[k+4>>2];f[a+148>>2]=l;f[a+152>>2]=m;f[a+156>>2]=n;if((l|0)<17){u=o;return}else{f[p>>2]=0;f[p+4>>2]=0;o=YG(p,18)|0;l=274187;n=o+18|0;do{b[o>>0]=b[l>>0]|0;o=o+1|0;l=l+1|0}while((o|0)<(n|0));SQ(-215,p,274206,273965,2391)}}function eka(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=59404;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))tE(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;tE(b);return}function fka(a){a=a|0;eka(a);Emc(a);return}function gka(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;c=u;u=u+1264|0;d=c+1257|0;e=c+1256|0;g=c+192|0;h=c+128|0;i=c+64|0;j=c;k=((f[a+4>>2]|0)>>>3&511)+1|0;l=a+140|0;m=(f[l>>2]|0)+15&-16;n=a+148|0;o=f[n>>2]|0;p=Y(m,o)|0;q=g+8|0;f[g>>2]=q;r=g+4|0;f[r>>2]=p;if(p>>>0>264){s=Dmc(p>>>0>1073741823?-1:p<<2)|0;f[g>>2]=s;t=s}else t=q;s=h;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));s=i;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));if((o|0)>0){Drc(j|0,-1,o<<2|0)|0;s=0;do{p=t+((Y(s,m)|0)<<2)|0;f[i+(s<<2)>>2]=p;s=s+1|0}while((s|0)<(o|0))}s=f[b>>2]|0;p=b+4|0;if((s|0)<(f[p>>2]|0)){b=a+120|0;v=a+116|0;w=a+124|0;x=a+132|0;y=a+152|0;z=a+156|0;A=a+76|0;B=a+108|0;C=a+136|0;D=a+20|0;E=a+48|0;F=m<<2;m=(f[a+128>>2]|0)+((Y(s,o)|0)<<2)|0;a=s;s=o;while(1){if((s|0)>0){o=(f[(f[b>>2]|0)+(a<<2)>>2]|0)+1+((s|0)/-2|0)|0;G=s;H=0;I=s;J=0;while(1){K=o+J|0;L=f[C>>2]|0;M=(K|0)>-1?((K|0)<(L|0)?K:L+-1|0):0;L=(H|0)<(J|0)?J:H;a:do if((L|0)<(I|0)){K=L;while(1){if((K|0)<16?(M|0)==(f[j+(K<<2)>>2]|0):0)break;N=K+1|0;if((N|0)<(I|0))K=N;else{O=I;P=N;break a}}if((K|0)>(J|0)){Krc(f[i+(J<<2)>>2]|0,f[i+(K<<2)>>2]|0,F|0)|0;O=f[n>>2]|0;P=K}else{O=I;P=K}}else{O=I;P=L}while(0);G=(J|0)<(G|0)&(P|0)==(O|0)?J:G;L=(f[D>>2]|0)+(Y(f[f[E>>2]>>2]|0,M)|0)|0;f[h+(J<<2)>>2]=L;f[j+(J<<2)>>2]=M;J=J+1|0;if((J|0)>=(O|0))break;else{H=P;I=O}}if((O|0)>(G|0))hka(d,h+(G<<2)|0,i+(G<<2)|0,O-G|0,f[v>>2]|0,f[w>>2]|0,f[x>>2]|0,f[l>>2]|0,k,f[y>>2]|0,f[z>>2]|0)}I=(f[A>>2]|0)+(Y(f[B>>2]|0,a)|0)|0;ika(e,i,I,m,f[l>>2]|0);a=a+1|0;I=f[n>>2]|0;if((a|0)>=(f[p>>2]|0))break;else{m=m+(I<<2)|0;s=I}}Q=f[g>>2]|0}else Q=t;if((Q|0)==(q|0)){u=c;return}if(Q|0)Fmc(Q);f[g>>2]=q;f[r>>2]=264;u=c;return}function hka(a,b,c,d,e,g,h,i,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;l=l|0;m=m|0;var o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;if((d|0)<=0)return;a=k*3|0;o=k<<1;p=k<<2;q=0-(i<<3)|0;r=0;s=g;while(1){g=f[b+(r<<2)>>2]|0;t=f[c+(r<<2)>>2]|0;u=l;v=0;w=s;a:while(1){if((u|0)>(v|0)){x=u-v<<3;y=v;z=w;while(1){A=f[e+(y<<2)>>2]|0;B=0.0;C=0;do{D=(Y(C+-3|0,k)|0)+A|0;if(D>>>0<h>>>0)E=D;else{F=D;while(1)if((F|0)<0)F=F+k|0;else{G=F;break}while(1)if((G|0)<(h|0)){E=G;break}else G=G-k|0}B=B+ +(j[g+(E<<1)>>1]|0)*+n[z+(C<<2)>>2];C=C+1|0}while((C|0)!=8);n[t+(y<<2)>>2]=B;y=y+1|0;if((y|0)==(u|0))break;else z=z+32|0}H=u;I=w+(x<<2)|0}else{H=v;I=w}if((u|0)==(i|0))break;if((H|0)<(m|0)){J=H;K=I}else{u=i;v=H;w=I;continue}while(1){z=f[e+(J<<2)>>2]|0;n[t+(J<<2)>>2]=+(j[g+(z-a<<1)>>1]|0)*+n[K>>2]+ +(j[g+(z-o<<1)>>1]|0)*+n[K+4>>2]+ +(j[g+(z-k<<1)>>1]|0)*+n[K+8>>2]+ +(j[g+(z<<1)>>1]|0)*+n[K+12>>2]+ +(j[g+(z+k<<1)>>1]|0)*+n[K+16>>2]+ +(j[g+(z+o<<1)>>1]|0)*+n[K+20>>2]+ +(j[g+(z+a<<1)>>1]|0)*+n[K+24>>2]+ +(j[g+(z+p<<1)>>1]|0)*+n[K+28>>2];z=J+1|0;y=K+32|0;if((z|0)<(m|0)){J=z;K=y}else{u=i;v=m;w=y;continue a}}}r=r+1|0;if((r|0)==(d|0))break;else s=I+(q<<2)|0}return}function ika(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0.0,j=0,k=0.0,l=0,m=0.0,o=0,p=0.0,q=0,r=0.0,s=0,t=0.0,u=0,v=0.0,w=0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0;a=g+-4|0;if((g|0)<4)h=0;else{i=+n[e>>2];j=f[b>>2]|0;k=+n[e+20>>2];l=f[b+20>>2]|0;m=+n[e+4>>2];o=f[b+4>>2]|0;p=+n[e+8>>2];q=f[b+8>>2]|0;r=+n[e+12>>2];s=f[b+12>>2]|0;t=+n[e+16>>2];u=f[b+16>>2]|0;v=+n[e+24>>2];w=f[b+24>>2]|0;x=+n[e+28>>2];y=f[b+28>>2]|0;z=0;do{A=z|1;B=z|2;C=z|3;D=i*+n[j+(A<<2)>>2]+m*+n[o+(A<<2)>>2]+p*+n[q+(A<<2)>>2]+r*+n[s+(A<<2)>>2]+t*+n[u+(A<<2)>>2]+k*+n[l+(A<<2)>>2]+v*+n[w+(A<<2)>>2]+x*+n[y+(A<<2)>>2];E=i*+n[j+(B<<2)>>2]+m*+n[o+(B<<2)>>2]+p*+n[q+(B<<2)>>2]+r*+n[s+(B<<2)>>2]+t*+n[u+(B<<2)>>2]+k*+n[l+(B<<2)>>2]+v*+n[w+(B<<2)>>2]+x*+n[y+(B<<2)>>2];F=i*+n[j+(C<<2)>>2]+m*+n[o+(C<<2)>>2]+p*+n[q+(C<<2)>>2]+r*+n[s+(C<<2)>>2]+t*+n[u+(C<<2)>>2]+k*+n[l+(C<<2)>>2]+v*+n[w+(C<<2)>>2]+x*+n[y+(C<<2)>>2];G=U9b(i*+n[j+(z<<2)>>2]+m*+n[o+(z<<2)>>2]+p*+n[q+(z<<2)>>2]+r*+n[s+(z<<2)>>2]+t*+n[u+(z<<2)>>2]+k*+n[l+(z<<2)>>2]+v*+n[w+(z<<2)>>2]+x*+n[y+(z<<2)>>2])|0;d[c+(z<<1)>>1]=G>>>0<65536?G:(G|0)>0?65535:0;G=U9b(D)|0;d[c+(A<<1)>>1]=G>>>0<65536?G:(G|0)>0?65535:0;G=U9b(E)|0;d[c+(B<<1)>>1]=G>>>0<65536?G:(G|0)>0?65535:0;G=U9b(F)|0;d[c+(C<<1)>>1]=G>>>0<65536?G:(G|0)>0?65535:0;z=z+4|0}while((z|0)<=(a|0));h=g&-4}if((h|0)>=(g|0))return;a=f[b>>2]|0;x=+n[e>>2];z=f[b+4>>2]|0;v=+n[e+4>>2];y=f[b+8>>2]|0;k=+n[e+8>>2];w=f[b+12>>2]|0;t=+n[e+12>>2];l=f[b+16>>2]|0;r=+n[e+16>>2];u=f[b+20>>2]|0;p=+n[e+20>>2];s=f[b+24>>2]|0;m=+n[e+24>>2];q=f[b+28>>2]|0;i=+n[e+28>>2];e=h;do{h=U9b(+n[a+(e<<2)>>2]*x+ +n[z+(e<<2)>>2]*v+ +n[y+(e<<2)>>2]*k+ +n[w+(e<<2)>>2]*t+ +n[l+(e<<2)>>2]*r+ +n[u+(e<<2)>>2]*p+ +n[s+(e<<2)>>2]*m+ +n[q+(e<<2)>>2]*i)|0;d[c+(e<<1)>>1]=h>>>0<65536?h:(h|0)>0?65535:0;e=e+1|0}while((e|0)!=(g|0));return}function jka(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;o=u;u=u+16|0;p=o;f[a>>2]=59424;q=a+4|0;f[q>>2]=f[c>>2];r=a+8|0;s=c+4|0;f[r>>2]=f[s>>2];t=a+12|0;f[t>>2]=f[c+8>>2];f[a+16>>2]=f[c+12>>2];f[a+20>>2]=f[c+16>>2];f[a+24>>2]=f[c+20>>2];f[a+28>>2]=f[c+24>>2];f[a+32>>2]=f[c+28>>2];f[a+36>>2]=f[c+32>>2];v=f[c+36>>2]|0;f[a+40>>2]=v;f[a+44>>2]=t;t=a+52|0;w=a+48|0;f[w>>2]=t;f[t>>2]=0;f[a+56>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[c+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2]}else{f[r>>2]=0;kP(q,c)}c=a+60|0;f[c>>2]=f[d>>2];q=a+64|0;r=d+4|0;f[q>>2]=f[r>>2];s=a+68|0;f[s>>2]=f[d+8>>2];f[a+72>>2]=f[d+12>>2];f[a+76>>2]=f[d+16>>2];f[a+80>>2]=f[d+20>>2];f[a+84>>2]=f[d+24>>2];f[a+88>>2]=f[d+28>>2];f[a+92>>2]=f[d+32>>2];t=f[d+36>>2]|0;f[a+96>>2]=t;f[a+100>>2]=s;s=a+108|0;w=a+104|0;f[w>>2]=s;f[s>>2]=0;f[a+112>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[d+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2]}else{f[q>>2]=0;kP(c,d)}f[a+116>>2]=e;f[a+120>>2]=g;f[a+124>>2]=h;f[a+128>>2]=i;f[a+132>>2]=f[j>>2];f[a+136>>2]=f[j+4>>2];f[a+140>>2]=f[k>>2];f[a+144>>2]=f[k+4>>2];f[a+148>>2]=l;f[a+152>>2]=m;f[a+156>>2]=n;if((l|0)<17){u=o;return}else{f[p>>2]=0;f[p+4>>2]=0;o=YG(p,18)|0;l=274187;n=o+18|0;do{b[o>>0]=b[l>>0]|0;o=o+1|0;l=l+1|0}while((o|0)<(n|0));SQ(-215,p,274206,273965,2391)}}function kka(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=59424;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))tE(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;tE(b);return}function lka(a){a=a|0;kka(a);Emc(a);return}function mka(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;c=u;u=u+1264|0;d=c+1257|0;e=c+1256|0;g=c+192|0;h=c+128|0;i=c+64|0;j=c;k=((f[a+4>>2]|0)>>>3&511)+1|0;l=a+140|0;m=(f[l>>2]|0)+15&-16;n=a+148|0;o=f[n>>2]|0;p=Y(m,o)|0;q=g+8|0;f[g>>2]=q;r=g+4|0;f[r>>2]=p;if(p>>>0>264){s=Dmc(p>>>0>1073741823?-1:p<<2)|0;f[g>>2]=s;t=s}else t=q;s=h;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));s=i;p=s+64|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(p|0));if((o|0)>0){Drc(j|0,-1,o<<2|0)|0;s=0;do{p=t+((Y(s,m)|0)<<2)|0;f[i+(s<<2)>>2]=p;s=s+1|0}while((s|0)<(o|0))}s=f[b>>2]|0;p=b+4|0;if((s|0)<(f[p>>2]|0)){b=a+120|0;v=a+116|0;w=a+124|0;x=a+132|0;y=a+152|0;z=a+156|0;A=a+76|0;B=a+108|0;C=a+136|0;D=a+20|0;E=a+48|0;F=m<<2;m=(f[a+128>>2]|0)+((Y(s,o)|0)<<1)|0;a=s;s=o;while(1){if((s|0)>0){o=(f[(f[b>>2]|0)+(a<<2)>>2]|0)+1+((s|0)/-2|0)|0;G=s;H=0;I=s;J=0;while(1){K=o+J|0;L=f[C>>2]|0;M=(K|0)>-1?((K|0)<(L|0)?K:L+-1|0):0;L=(H|0)<(J|0)?J:H;a:do if((L|0)<(I|0)){K=L;while(1){if((K|0)<16?(M|0)==(f[j+(K<<2)>>2]|0):0)break;N=K+1|0;if((N|0)<(I|0))K=N;else{O=I;P=N;break a}}if((K|0)>(J|0)){Krc(f[i+(J<<2)>>2]|0,f[i+(K<<2)>>2]|0,F|0)|0;O=f[n>>2]|0;P=K}else{O=I;P=K}}else{O=I;P=L}while(0);G=(J|0)<(G|0)&(P|0)==(O|0)?J:G;L=(f[D>>2]|0)+(Y(f[f[E>>2]>>2]|0,M)|0)|0;f[h+(J<<2)>>2]=L;f[j+(J<<2)>>2]=M;J=J+1|0;if((J|0)>=(O|0))break;else{H=P;I=O}}if((O|0)>(G|0))nka(d,h+(G<<2)|0,i+(G<<2)|0,O-G|0,f[v>>2]|0,f[w>>2]|0,f[x>>2]|0,f[l>>2]|0,k,f[y>>2]|0,f[z>>2]|0)}I=(f[A>>2]|0)+(Y(f[B>>2]|0,a)|0)|0;oka(e,i,I,m,f[l>>2]|0);a=a+1|0;I=f[n>>2]|0;if((a|0)>=(f[p>>2]|0))break;else{m=m+(I<<1)|0;s=I}}Q=f[g>>2]|0}else Q=t;if((Q|0)==(q|0)){u=c;return}if(Q|0)Fmc(Q);f[g>>2]=q;f[r>>2]=264;u=c;return}function nka(a,b,c,e,g,i,j,k,l,m,n){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;if((e|0)<=0)return;a=l*3|0;o=l<<1;p=l<<2;q=0-(k<<3)|0;r=0;s=i;while(1){i=f[b+(r<<2)>>2]|0;t=f[c+(r<<2)>>2]|0;u=m;v=0;w=s;a:while(1){if((u|0)>(v|0)){x=u-v<<3;y=v;z=w;while(1){A=f[g+(y<<2)>>2]|0;B=0;C=0;do{D=(Y(C+-3|0,l)|0)+A|0;if(D>>>0<j>>>0)E=D;else{F=D;while(1)if((F|0)<0)F=F+l|0;else{G=F;break}while(1)if((G|0)<(j|0)){E=G;break}else G=G-l|0}B=(Y(d[z+(C<<1)>>1]|0,h[i+E>>0]|0)|0)+B|0;C=C+1|0}while((C|0)!=8);f[t+(y<<2)>>2]=B;y=y+1|0;if((y|0)==(u|0))break;else z=z+16|0}H=u;I=w+(x<<1)|0}else{H=v;I=w}if((u|0)==(k|0))break;if((H|0)<(n|0)){J=H;K=I}else{u=k;v=H;w=I;continue}while(1){z=f[g+(J<<2)>>2]|0;y=Y(d[K>>1]|0,h[i+(z-a)>>0]|0)|0;C=(Y(d[K+2>>1]|0,h[i+(z-o)>>0]|0)|0)+y|0;y=C+(Y(d[K+4>>1]|0,h[i+(z-l)>>0]|0)|0)|0;C=y+(Y(d[K+6>>1]|0,h[i+z>>0]|0)|0)|0;y=C+(Y(d[K+8>>1]|0,h[i+(z+l)>>0]|0)|0)|0;C=y+(Y(d[K+10>>1]|0,h[i+(z+o)>>0]|0)|0)|0;y=C+(Y(d[K+12>>1]|0,h[i+(z+a)>>0]|0)|0)|0;C=y+(Y(d[K+14>>1]|0,h[i+(z+p)>>0]|0)|0)|0;f[t+(J<<2)>>2]=C;C=J+1|0;z=K+16|0;if((C|0)<(n|0)){J=C;K=z}else{u=k;v=n;w=z;continue a}}}r=r+1|0;if((r|0)==(e|0))break;else s=I+(q<<1)|0}return}function oka(a,c,e,g,h){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;a=h+-4|0;if((h|0)<4)i=0;else{j=g+2|0;k=c+4|0;l=g+4|0;m=c+8|0;n=g+6|0;o=c+12|0;p=g+8|0;q=c+16|0;r=g+10|0;s=c+20|0;t=g+12|0;u=c+24|0;v=g+14|0;w=c+28|0;x=0;do{y=d[g>>1]|0;z=f[c>>2]|0;A=Y(f[z+(x<<2)>>2]|0,y)|0;B=x|1;C=Y(f[z+(B<<2)>>2]|0,y)|0;D=x|2;E=Y(f[z+(D<<2)>>2]|0,y)|0;F=x|3;G=Y(f[z+(F<<2)>>2]|0,y)|0;y=d[j>>1]|0;z=f[k>>2]|0;H=(Y(f[z+(x<<2)>>2]|0,y)|0)+A|0;A=(Y(f[z+(B<<2)>>2]|0,y)|0)+C|0;C=(Y(f[z+(D<<2)>>2]|0,y)|0)+E|0;E=(Y(f[z+(F<<2)>>2]|0,y)|0)+G|0;G=d[l>>1]|0;y=f[m>>2]|0;z=(Y(f[y+(x<<2)>>2]|0,G)|0)+H|0;H=(Y(f[y+(B<<2)>>2]|0,G)|0)+A|0;A=(Y(f[y+(D<<2)>>2]|0,G)|0)+C|0;C=(Y(f[y+(F<<2)>>2]|0,G)|0)+E|0;E=d[n>>1]|0;G=f[o>>2]|0;y=(Y(f[G+(x<<2)>>2]|0,E)|0)+z|0;z=(Y(f[G+(B<<2)>>2]|0,E)|0)+H|0;H=(Y(f[G+(D<<2)>>2]|0,E)|0)+A|0;A=(Y(f[G+(F<<2)>>2]|0,E)|0)+C|0;C=d[p>>1]|0;E=f[q>>2]|0;G=(Y(f[E+(x<<2)>>2]|0,C)|0)+y|0;y=(Y(f[E+(B<<2)>>2]|0,C)|0)+z|0;z=(Y(f[E+(D<<2)>>2]|0,C)|0)+H|0;H=(Y(f[E+(F<<2)>>2]|0,C)|0)+A|0;A=d[r>>1]|0;C=f[s>>2]|0;E=(Y(f[C+(x<<2)>>2]|0,A)|0)+G|0;G=(Y(f[C+(B<<2)>>2]|0,A)|0)+y|0;y=(Y(f[C+(D<<2)>>2]|0,A)|0)+z|0;z=(Y(f[C+(F<<2)>>2]|0,A)|0)+H|0;H=d[t>>1]|0;A=f[u>>2]|0;C=(Y(f[A+(x<<2)>>2]|0,H)|0)+E|0;E=(Y(f[A+(B<<2)>>2]|0,H)|0)+G|0;G=(Y(f[A+(D<<2)>>2]|0,H)|0)+y|0;y=(Y(f[A+(F<<2)>>2]|0,H)|0)+z|0;z=d[v>>1]|0;H=f[w>>2]|0;A=(Y(f[H+(x<<2)>>2]|0,z)|0)+C|0;C=(Y(f[H+(B<<2)>>2]|0,z)|0)+E|0;E=(Y(f[H+(D<<2)>>2]|0,z)|0)+G|0;G=(Y(f[H+(F<<2)>>2]|0,z)|0)+y|0;y=A+2097152>>22;b[e+x>>0]=y>>>0<256?y:(y|0)>0?255:0;y=C+2097152>>22;b[e+B>>0]=y>>>0<256?y:(y|0)>0?255:0;y=E+2097152>>22;b[e+D>>0]=y>>>0<256?y:(y|0)>0?255:0;y=G+2097152>>22;b[e+F>>0]=y>>>0<256?y:(y|0)>0?255:0;x=x+4|0}while((x|0)<=(a|0));i=h&-4}if((i|0)>=(h|0))return;a=c+4|0;x=g+2|0;w=c+8|0;v=g+4|0;u=c+12|0;t=g+6|0;s=c+16|0;r=g+8|0;q=c+20|0;p=g+10|0;o=c+24|0;n=g+12|0;m=c+28|0;l=g+14|0;k=i;do{i=Y(d[g>>1]|0,f[(f[c>>2]|0)+(k<<2)>>2]|0)|0;j=Y(d[x>>1]|0,f[(f[a>>2]|0)+(k<<2)>>2]|0)|0;y=Y(d[v>>1]|0,f[(f[w>>2]|0)+(k<<2)>>2]|0)|0;F=Y(d[t>>1]|0,f[(f[u>>2]|0)+(k<<2)>>2]|0)|0;G=Y(d[r>>1]|0,f[(f[s>>2]|0)+(k<<2)>>2]|0)|0;D=Y(d[p>>1]|0,f[(f[q>>2]|0)+(k<<2)>>2]|0)|0;E=Y(d[n>>1]|0,f[(f[o>>2]|0)+(k<<2)>>2]|0)|0;B=i+2097152+j+y+F+G+D+E+(Y(d[l>>1]|0,f[(f[m>>2]|0)+(k<<2)>>2]|0)|0)>>22;b[e+k>>0]=B>>>0<256?B:(B|0)>0?255:0;k=k+1|0}while((k|0)!=(h|0));return}function pka(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0.0,o=0.0;i=u;u=u+48|0;j=i+32|0;k=i;l=f[b+8>>2]|0;f[j>>2]=0;f[j+4>>2]=l;f[k>>2]=59524;f[k+4>>2]=a;f[k+8>>2]=b;f[k+12>>2]=c;f[k+20>>2]=d;f[k+16>>2]=e;f[k+24>>2]=g;f[k+28>>2]=h;h=f[b+4>>2]|0;if((h|0)<3){m=Y(f[b+12>>2]|0,l)|0;n=+(m>>>0);o=n*.0000152587890625;oU(j,k,o);u=i;return}l=f[b+40>>2]|0;b=0;g=1;while(1){e=Y(f[l+(b<<2)>>2]|0,g)|0;b=b+1|0;if((b|0)==(h|0)){m=e;break}else g=e}n=+(m>>>0);o=n*.0000152587890625;oU(j,k,o);u=i;return}function qka(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0.0,o=0.0;i=u;u=u+48|0;j=i+32|0;k=i;l=f[b+8>>2]|0;f[j>>2]=0;f[j+4>>2]=l;f[k>>2]=59504;f[k+4>>2]=a;f[k+8>>2]=b;f[k+12>>2]=c;f[k+20>>2]=d;f[k+16>>2]=e;f[k+24>>2]=g;f[k+28>>2]=h;h=f[b+4>>2]|0;if((h|0)<3){m=Y(f[b+12>>2]|0,l)|0;n=+(m>>>0);o=n*.0000152587890625;oU(j,k,o);u=i;return}l=f[b+40>>2]|0;b=0;g=1;while(1){e=Y(f[l+(b<<2)>>2]|0,g)|0;b=b+1|0;if((b|0)==(h|0)){m=e;break}else g=e}n=+(m>>>0);o=n*.0000152587890625;oU(j,k,o);u=i;return}function rka(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0.0,o=0.0;i=u;u=u+48|0;j=i+32|0;k=i;l=f[b+8>>2]|0;f[j>>2]=0;f[j+4>>2]=l;f[k>>2]=59484;f[k+4>>2]=a;f[k+8>>2]=b;f[k+12>>2]=c;f[k+20>>2]=d;f[k+16>>2]=e;f[k+24>>2]=g;f[k+28>>2]=h;h=f[b+4>>2]|0;if((h|0)<3){m=Y(f[b+12>>2]|0,l)|0;n=+(m>>>0);o=n*.0000152587890625;oU(j,k,o);u=i;return}l=f[b+40>>2]|0;b=0;g=1;while(1){e=Y(f[l+(b<<2)>>2]|0,g)|0;b=b+1|0;if((b|0)==(h|0)){m=e;break}else g=e}n=+(m>>>0);o=n*.0000152587890625;oU(j,k,o);u=i;return}function ska(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0.0,o=0.0;i=u;u=u+48|0;j=i+32|0;k=i;l=f[b+8>>2]|0;f[j>>2]=0;f[j+4>>2]=l;f[k>>2]=59464;f[k+4>>2]=a;f[k+8>>2]=b;f[k+12>>2]=c;f[k+20>>2]=d;f[k+16>>2]=e;f[k+24>>2]=g;f[k+28>>2]=h;h=f[b+4>>2]|0;if((h|0)<3){m=Y(f[b+12>>2]|0,l)|0;n=+(m>>>0);o=n*.0000152587890625;oU(j,k,o);u=i;return}l=f[b+40>>2]|0;b=0;g=1;while(1){e=Y(f[l+(b<<2)>>2]|0,g)|0;b=b+1|0;if((b|0)==(h|0)){m=e;break}else g=e}n=+(m>>>0);o=n*.0000152587890625;oU(j,k,o);u=i;return}function tka(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0.0,o=0.0;i=u;u=u+48|0;j=i+32|0;k=i;l=f[b+8>>2]|0;f[j>>2]=0;f[j+4>>2]=l;f[k>>2]=59444;f[k+4>>2]=a;f[k+8>>2]=b;f[k+12>>2]=c;f[k+20>>2]=d;f[k+16>>2]=e;f[k+24>>2]=g;f[k+28>>2]=h;h=f[b+4>>2]|0;if((h|0)<3){m=Y(f[b+12>>2]|0,l)|0;n=+(m>>>0);o=n*.0000152587890625;oU(j,k,o);u=i;return}l=f[b+40>>2]|0;b=0;g=1;while(1){e=Y(f[l+(b<<2)>>2]|0,g)|0;b=b+1|0;if((b|0)==(h|0)){m=e;break}else g=e}n=+(m>>>0);o=n*.0000152587890625;oU(j,k,o);u=i;return}function uka(a){a=a|0;Emc(a);return}function vka(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0,M=0,N=0.0,O=0,P=0.0,Q=0,R=0;c=u;u=u+1104|0;d=c;e=a+8|0;g=f[e>>2]|0;h=(f[g>>2]|0)>>>3;i=(h&511)+1|0;j=Y(i,f[(f[g+40>>2]|0)+4>>2]|0)|0;g=j<<1;k=d+8|0;f[d>>2]=k;l=d+4|0;f[l>>2]=g;if(g>>>0>136){m=Dmc(g>>>0>536870911?-1:g<<3)|0;f[d>>2]=m;o=m}else o=k;m=f[a+12>>2]|0;g=f[a+20>>2]|0;q=o+(j<<3)|0;r=f[a+28>>2]|0;s=f[r+(f[b>>2]<<2)>>2]|0;t=f[r+(f[b+4>>2]<<2)>>2]|0;b=a+16|0;r=f[(f[b>>2]|0)+(s*12|0)+4>>2]|0;v=(j|0)>0;if(v)Drc(q|0,0,j<<3|0)|0;a:do if((s|0)<(t|0)){w=f[b>>2]|0;x=f[a+4>>2]|0;y=f[x+16>>2]|0;z=f[f[x+44>>2]>>2]|0;x=h&65535;A=(g|0)>0;B=j<<3;C=r;D=s;while(1){E=+n[w+(D*12|0)+8>>2];F=f[w+(D*12|0)+4>>2]|0;G=y+(Y(z,f[w+(D*12|0)>>2]|0)|0)|0;if(v)Drc(o|0,0,B|0)|0;switch(x&511){case 0:{if(A){H=0;do{I=o+(f[m+(H*12|0)+4>>2]<<3)|0;p[I>>3]=+p[I>>3]+ +n[m+(H*12|0)+8>>2]*+p[G+(f[m+(H*12|0)>>2]<<3)>>3];H=H+1|0}while((H|0)!=(g|0))}break}case 1:{if(A){H=0;do{I=f[m+(H*12|0)>>2]|0;J=f[m+(H*12|0)+4>>2]|0;K=+n[m+(H*12|0)+8>>2];L=o+(J<<3)|0;M=o+(J+1<<3)|0;N=+p[M>>3]+K*+p[G+(I+1<<3)>>3];p[L>>3]=+p[L>>3]+K*+p[G+(I<<3)>>3];p[M>>3]=N;H=H+1|0}while((H|0)!=(g|0))}break}case 2:{if(A){H=0;do{M=f[m+(H*12|0)>>2]|0;I=f[m+(H*12|0)+4>>2]|0;N=+n[m+(H*12|0)+8>>2];L=o+(I<<3)|0;J=o+(I+1<<3)|0;K=+p[J>>3]+N*+p[G+(M+1<<3)>>3];O=o+(I+2<<3)|0;P=+p[O>>3]+N*+p[G+(M+2<<3)>>3];p[L>>3]=+p[L>>3]+N*+p[G+(M<<3)>>3];p[J>>3]=K;p[O>>3]=P;H=H+1|0}while((H|0)!=(g|0))}break}case 3:{if(A){H=0;do{O=f[m+(H*12|0)>>2]|0;J=f[m+(H*12|0)+4>>2]|0;P=+n[m+(H*12|0)+8>>2];M=o+(J<<3)|0;L=o+(J+1<<3)|0;K=+p[L>>3]+P*+p[G+(O+1<<3)>>3];p[M>>3]=+p[M>>3]+P*+p[G+(O<<3)>>3];p[L>>3]=K;L=o+(J+2<<3)|0;M=o+(J+3<<3)|0;K=+p[M>>3]+P*+p[G+(O+3<<3)>>3];p[L>>3]=+p[L>>3]+P*+p[G+(O+2<<3)>>3];p[M>>3]=K;H=H+1|0}while((H|0)!=(g|0))}break}default:if(A){H=0;do{M=f[m+(H*12|0)>>2]|0;O=f[m+(H*12|0)+4>>2]|0;K=+n[m+(H*12|0)+8>>2];L=0;do{J=o+(L+O<<3)|0;p[J>>3]=+p[J>>3]+K*+p[G+(L+M<<3)>>3];L=L+1|0}while((L|0)!=(i|0));H=H+1|0}while((H|0)!=(g|0))}}if((F|0)==(C|0))if(v){H=0;do{G=q+(H<<3)|0;p[G>>3]=+p[G>>3]+E*+p[o+(H<<3)>>3];H=H+1|0}while((H|0)!=(j|0));Q=C}else Q=C;else{H=f[e>>2]|0;G=(f[H+16>>2]|0)+(Y(f[f[H+44>>2]>>2]|0,C)|0)|0;if(v){H=0;do{L=q+(H<<3)|0;p[G+(H<<3)>>3]=+p[L>>3];p[L>>3]=E*+p[o+(H<<3)>>3];H=H+1|0}while((H|0)!=(j|0));Q=F}else Q=F}D=D+1|0;if((D|0)==(t|0)){R=Q;break a}else C=Q}}else R=r;while(0);r=f[e>>2]|0;e=(f[r+16>>2]|0)+(Y(f[f[r+44>>2]>>2]|0,R)|0)|0;if(v){v=0;do{p[e+(v<<3)>>3]=+p[q+(v<<3)>>3];v=v+1|0}while((v|0)!=(j|0))}j=f[d>>2]|0;if((j|0)==(k|0)){u=c;return}if(j|0)Fmc(j);f[d>>2]=k;f[l>>2]=136;u=c;return}function wka(a){a=a|0;Emc(a);return}function xka(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0,L=0,M=0.0,N=0,O=0.0,P=0,Q=0;c=u;u=u+1072|0;d=c;e=a+8|0;g=f[e>>2]|0;h=(f[g>>2]|0)>>>3;i=(h&511)+1|0;j=Y(i,f[(f[g+40>>2]|0)+4>>2]|0)|0;g=j<<1;k=d+8|0;f[d>>2]=k;l=d+4|0;f[l>>2]=g;if(g>>>0>264){m=Dmc(g>>>0>1073741823?-1:g<<2)|0;f[d>>2]=m;o=m}else o=k;m=f[a+12>>2]|0;g=f[a+20>>2]|0;p=o+(j<<2)|0;q=f[a+28>>2]|0;r=f[q+(f[b>>2]<<2)>>2]|0;s=f[q+(f[b+4>>2]<<2)>>2]|0;b=a+16|0;q=f[(f[b>>2]|0)+(r*12|0)+4>>2]|0;t=(j|0)>0;if(t)Drc(p|0,0,j<<2|0)|0;a:do if((r|0)<(s|0)){v=f[b>>2]|0;w=f[a+4>>2]|0;x=f[w+16>>2]|0;y=f[f[w+44>>2]>>2]|0;w=h&65535;z=(g|0)>0;A=j<<2;B=q;C=r;while(1){D=+n[v+(C*12|0)+8>>2];E=f[v+(C*12|0)+4>>2]|0;F=x+(Y(y,f[v+(C*12|0)>>2]|0)|0)|0;if(t)Drc(o|0,0,A|0)|0;switch(w&511){case 0:{if(z){G=0;do{H=o+(f[m+(G*12|0)+4>>2]<<2)|0;n[H>>2]=+n[H>>2]+ +n[m+(G*12|0)+8>>2]*+n[F+(f[m+(G*12|0)>>2]<<2)>>2];G=G+1|0}while((G|0)!=(g|0))}break}case 1:{if(z){G=0;do{H=f[m+(G*12|0)>>2]|0;I=f[m+(G*12|0)+4>>2]|0;J=+n[m+(G*12|0)+8>>2];K=o+(I<<2)|0;L=o+(I+1<<2)|0;M=+n[L>>2]+J*+n[F+(H+1<<2)>>2];n[K>>2]=+n[K>>2]+J*+n[F+(H<<2)>>2];n[L>>2]=M;G=G+1|0}while((G|0)!=(g|0))}break}case 2:{if(z){G=0;do{L=f[m+(G*12|0)>>2]|0;H=f[m+(G*12|0)+4>>2]|0;M=+n[m+(G*12|0)+8>>2];K=o+(H<<2)|0;I=o+(H+1<<2)|0;J=+n[I>>2]+M*+n[F+(L+1<<2)>>2];N=o+(H+2<<2)|0;O=+n[N>>2]+M*+n[F+(L+2<<2)>>2];n[K>>2]=+n[K>>2]+M*+n[F+(L<<2)>>2];n[I>>2]=J;n[N>>2]=O;G=G+1|0}while((G|0)!=(g|0))}break}case 3:{if(z){G=0;do{N=f[m+(G*12|0)>>2]|0;I=f[m+(G*12|0)+4>>2]|0;O=+n[m+(G*12|0)+8>>2];L=o+(I<<2)|0;K=o+(I+1<<2)|0;J=+n[K>>2]+O*+n[F+(N+1<<2)>>2];n[L>>2]=+n[L>>2]+O*+n[F+(N<<2)>>2];n[K>>2]=J;K=o+(I+2<<2)|0;L=o+(I+3<<2)|0;J=+n[L>>2]+O*+n[F+(N+3<<2)>>2];n[K>>2]=+n[K>>2]+O*+n[F+(N+2<<2)>>2];n[L>>2]=J;G=G+1|0}while((G|0)!=(g|0))}break}default:if(z){G=0;do{L=f[m+(G*12|0)>>2]|0;N=f[m+(G*12|0)+4>>2]|0;J=+n[m+(G*12|0)+8>>2];K=0;do{I=o+(K+N<<2)|0;n[I>>2]=+n[I>>2]+J*+n[F+(K+L<<2)>>2];K=K+1|0}while((K|0)!=(i|0));G=G+1|0}while((G|0)!=(g|0))}}if((E|0)==(B|0))if(t){G=0;do{F=p+(G<<2)|0;n[F>>2]=+n[F>>2]+D*+n[o+(G<<2)>>2];G=G+1|0}while((G|0)!=(j|0));P=B}else P=B;else{G=f[e>>2]|0;F=(f[G+16>>2]|0)+(Y(f[f[G+44>>2]>>2]|0,B)|0)|0;if(t){G=0;do{K=p+(G<<2)|0;f[F+(G<<2)>>2]=f[K>>2];n[K>>2]=D*+n[o+(G<<2)>>2];G=G+1|0}while((G|0)!=(j|0));P=E}else P=E}C=C+1|0;if((C|0)==(s|0)){Q=P;break a}else B=P}}else Q=q;while(0);q=f[e>>2]|0;e=(f[q+16>>2]|0)+(Y(f[f[q+44>>2]>>2]|0,Q)|0)|0;if(t){t=0;do{f[e+(t<<2)>>2]=f[p+(t<<2)>>2];t=t+1|0}while((t|0)!=(j|0))}j=f[d>>2]|0;if((j|0)==(k|0)){u=c;return}if(j|0)Fmc(j);f[d>>2]=k;f[l>>2]=264;u=c;return}function yka(a){a=a|0;Emc(a);return}function zka(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0,M=0,N=0.0,O=0,P=0.0,Q=0,R=0;c=u;u=u+1072|0;e=c;g=a+8|0;h=f[g>>2]|0;i=(f[h>>2]|0)>>>3;j=(i&511)+1|0;k=Y(j,f[(f[h+40>>2]|0)+4>>2]|0)|0;h=k<<1;l=e+8|0;f[e>>2]=l;m=e+4|0;f[m>>2]=h;if(h>>>0>264){o=Dmc(h>>>0>1073741823?-1:h<<2)|0;f[e>>2]=o;p=o}else p=l;o=f[a+12>>2]|0;h=f[a+20>>2]|0;q=p+(k<<2)|0;r=f[a+28>>2]|0;s=f[r+(f[b>>2]<<2)>>2]|0;t=f[r+(f[b+4>>2]<<2)>>2]|0;b=a+16|0;r=f[(f[b>>2]|0)+(s*12|0)+4>>2]|0;v=(k|0)>0;if(v)Drc(q|0,0,k<<2|0)|0;a:do if((s|0)<(t|0)){w=f[b>>2]|0;x=f[a+4>>2]|0;y=f[x+16>>2]|0;z=f[f[x+44>>2]>>2]|0;x=i&65535;A=(h|0)>0;B=k<<2;C=s;D=r;while(1){E=+n[w+(C*12|0)+8>>2];F=f[w+(C*12|0)+4>>2]|0;G=y+(Y(z,f[w+(C*12|0)>>2]|0)|0)|0;if(v)Drc(p|0,0,B|0)|0;switch(x&511){case 0:{if(A){H=0;do{I=p+(f[o+(H*12|0)+4>>2]<<2)|0;n[I>>2]=+n[I>>2]+ +n[o+(H*12|0)+8>>2]*+(d[G+(f[o+(H*12|0)>>2]<<1)>>1]|0);H=H+1|0}while((H|0)!=(h|0))}break}case 1:{if(A){H=0;do{I=f[o+(H*12|0)>>2]|0;J=f[o+(H*12|0)+4>>2]|0;K=+n[o+(H*12|0)+8>>2];L=p+(J<<2)|0;M=p+(J+1<<2)|0;N=+n[M>>2]+K*+(d[G+(I+1<<1)>>1]|0);n[L>>2]=+n[L>>2]+K*+(d[G+(I<<1)>>1]|0);n[M>>2]=N;H=H+1|0}while((H|0)!=(h|0))}break}case 2:{if(A){H=0;do{M=f[o+(H*12|0)>>2]|0;I=f[o+(H*12|0)+4>>2]|0;N=+n[o+(H*12|0)+8>>2];L=p+(I<<2)|0;J=p+(I+1<<2)|0;K=+n[J>>2]+N*+(d[G+(M+1<<1)>>1]|0);O=p+(I+2<<2)|0;P=+n[O>>2]+N*+(d[G+(M+2<<1)>>1]|0);n[L>>2]=+n[L>>2]+N*+(d[G+(M<<1)>>1]|0);n[J>>2]=K;n[O>>2]=P;H=H+1|0}while((H|0)!=(h|0))}break}case 3:{if(A){H=0;do{O=f[o+(H*12|0)>>2]|0;J=f[o+(H*12|0)+4>>2]|0;P=+n[o+(H*12|0)+8>>2];M=p+(J<<2)|0;L=p+(J+1<<2)|0;K=+n[L>>2]+P*+(d[G+(O+1<<1)>>1]|0);n[M>>2]=+n[M>>2]+P*+(d[G+(O<<1)>>1]|0);n[L>>2]=K;L=p+(J+2<<2)|0;M=p+(J+3<<2)|0;K=+n[M>>2]+P*+(d[G+(O+3<<1)>>1]|0);n[L>>2]=+n[L>>2]+P*+(d[G+(O+2<<1)>>1]|0);n[M>>2]=K;H=H+1|0}while((H|0)!=(h|0))}break}default:if(A){H=0;do{M=f[o+(H*12|0)>>2]|0;O=f[o+(H*12|0)+4>>2]|0;K=+n[o+(H*12|0)+8>>2];L=0;do{J=p+(L+O<<2)|0;n[J>>2]=+n[J>>2]+K*+(d[G+(L+M<<1)>>1]|0);L=L+1|0}while((L|0)!=(j|0));H=H+1|0}while((H|0)!=(h|0))}}if((F|0)==(D|0))if(v){H=0;do{G=q+(H<<2)|0;n[G>>2]=+n[G>>2]+E*+n[p+(H<<2)>>2];H=H+1|0}while((H|0)!=(k|0));Q=D}else Q=D;else{H=f[g>>2]|0;G=(f[H+16>>2]|0)+(Y(f[f[H+44>>2]>>2]|0,D)|0)|0;if(v){H=0;do{L=q+(H<<2)|0;M=U9b(+n[L>>2])|0;d[G+(H<<1)>>1]=(M+32768|0)>>>0<65536?M:(M|0)>0?32767:32768;n[L>>2]=E*+n[p+(H<<2)>>2];H=H+1|0}while((H|0)!=(k|0));Q=F}else Q=F}C=C+1|0;if((C|0)==(t|0)){R=Q;break a}else D=Q}}else R=r;while(0);r=f[g>>2]|0;g=(f[r+16>>2]|0)+(Y(f[f[r+44>>2]>>2]|0,R)|0)|0;if(v){v=0;do{R=U9b(+n[q+(v<<2)>>2])|0;d[g+(v<<1)>>1]=(R+32768|0)>>>0<65536?R:(R|0)>0?32767:32768;v=v+1|0}while((v|0)!=(k|0))}k=f[e>>2]|0;if((k|0)==(l|0)){u=c;return}if(k|0)Fmc(k);f[e>>2]=l;f[m>>2]=264;u=c;return}function Aka(a){a=a|0;Emc(a);return}function Bka(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0,N=0,O=0.0,P=0,Q=0.0,R=0,S=0;c=u;u=u+1072|0;e=c;g=a+8|0;h=f[g>>2]|0;i=(f[h>>2]|0)>>>3;k=(i&511)+1|0;l=Y(k,f[(f[h+40>>2]|0)+4>>2]|0)|0;h=l<<1;m=e+8|0;f[e>>2]=m;o=e+4|0;f[o>>2]=h;if(h>>>0>264){p=Dmc(h>>>0>1073741823?-1:h<<2)|0;f[e>>2]=p;q=p}else q=m;p=f[a+12>>2]|0;h=f[a+20>>2]|0;r=q+(l<<2)|0;s=f[a+28>>2]|0;t=f[s+(f[b>>2]<<2)>>2]|0;v=f[s+(f[b+4>>2]<<2)>>2]|0;b=a+16|0;s=f[(f[b>>2]|0)+(t*12|0)+4>>2]|0;w=(l|0)>0;if(w)Drc(r|0,0,l<<2|0)|0;a:do if((t|0)<(v|0)){x=f[b>>2]|0;y=f[a+4>>2]|0;z=f[y+16>>2]|0;A=f[f[y+44>>2]>>2]|0;y=i&65535;B=(h|0)>0;C=l<<2;D=t;E=s;while(1){F=+n[x+(D*12|0)+8>>2];G=f[x+(D*12|0)+4>>2]|0;H=z+(Y(A,f[x+(D*12|0)>>2]|0)|0)|0;if(w)Drc(q|0,0,C|0)|0;switch(y&511){case 0:{if(B){I=0;do{J=q+(f[p+(I*12|0)+4>>2]<<2)|0;n[J>>2]=+n[J>>2]+ +n[p+(I*12|0)+8>>2]*+(j[H+(f[p+(I*12|0)>>2]<<1)>>1]|0);I=I+1|0}while((I|0)!=(h|0))}break}case 1:{if(B){I=0;do{J=f[p+(I*12|0)>>2]|0;K=f[p+(I*12|0)+4>>2]|0;L=+n[p+(I*12|0)+8>>2];M=q+(K<<2)|0;N=q+(K+1<<2)|0;O=+n[N>>2]+L*+(j[H+(J+1<<1)>>1]|0);n[M>>2]=+n[M>>2]+L*+(j[H+(J<<1)>>1]|0);n[N>>2]=O;I=I+1|0}while((I|0)!=(h|0))}break}case 2:{if(B){I=0;do{N=f[p+(I*12|0)>>2]|0;J=f[p+(I*12|0)+4>>2]|0;O=+n[p+(I*12|0)+8>>2];M=q+(J<<2)|0;K=q+(J+1<<2)|0;L=+n[K>>2]+O*+(j[H+(N+1<<1)>>1]|0);P=q+(J+2<<2)|0;Q=+n[P>>2]+O*+(j[H+(N+2<<1)>>1]|0);n[M>>2]=+n[M>>2]+O*+(j[H+(N<<1)>>1]|0);n[K>>2]=L;n[P>>2]=Q;I=I+1|0}while((I|0)!=(h|0))}break}case 3:{if(B){I=0;do{P=f[p+(I*12|0)>>2]|0;K=f[p+(I*12|0)+4>>2]|0;Q=+n[p+(I*12|0)+8>>2];N=q+(K<<2)|0;M=q+(K+1<<2)|0;L=+n[M>>2]+Q*+(j[H+(P+1<<1)>>1]|0);n[N>>2]=+n[N>>2]+Q*+(j[H+(P<<1)>>1]|0);n[M>>2]=L;M=q+(K+2<<2)|0;N=q+(K+3<<2)|0;L=+n[N>>2]+Q*+(j[H+(P+3<<1)>>1]|0);n[M>>2]=+n[M>>2]+Q*+(j[H+(P+2<<1)>>1]|0);n[N>>2]=L;I=I+1|0}while((I|0)!=(h|0))}break}default:if(B){I=0;do{N=f[p+(I*12|0)>>2]|0;P=f[p+(I*12|0)+4>>2]|0;L=+n[p+(I*12|0)+8>>2];M=0;do{K=q+(M+P<<2)|0;n[K>>2]=+n[K>>2]+L*+(j[H+(M+N<<1)>>1]|0);M=M+1|0}while((M|0)!=(k|0));I=I+1|0}while((I|0)!=(h|0))}}if((G|0)==(E|0))if(w){I=0;do{H=r+(I<<2)|0;n[H>>2]=+n[H>>2]+F*+n[q+(I<<2)>>2];I=I+1|0}while((I|0)!=(l|0));R=E}else R=E;else{I=f[g>>2]|0;H=(f[I+16>>2]|0)+(Y(f[f[I+44>>2]>>2]|0,E)|0)|0;if(w){I=0;do{M=r+(I<<2)|0;N=U9b(+n[M>>2])|0;d[H+(I<<1)>>1]=N>>>0<65536?N:(N|0)>0?65535:0;n[M>>2]=F*+n[q+(I<<2)>>2];I=I+1|0}while((I|0)!=(l|0));R=G}else R=G}D=D+1|0;if((D|0)==(v|0)){S=R;break a}else E=R}}else S=s;while(0);s=f[g>>2]|0;g=(f[s+16>>2]|0)+(Y(f[f[s+44>>2]>>2]|0,S)|0)|0;if(w){w=0;do{S=U9b(+n[r+(w<<2)>>2])|0;d[g+(w<<1)>>1]=S>>>0<65536?S:(S|0)>0?65535:0;w=w+1|0}while((w|0)!=(l|0))}l=f[e>>2]|0;if((l|0)==(m|0)){u=c;return}if(l|0)Fmc(l);f[e>>2]=m;f[o>>2]=264;u=c;return}function Cka(a){a=a|0;Emc(a);return}function Dka(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0,F=0,G=0,H=0,I=0,J=0.0,K=0,L=0,M=0.0,N=0,O=0.0,P=0,Q=0;d=u;u=u+1072|0;e=d;g=a+8|0;i=f[g>>2]|0;j=(f[i>>2]|0)>>>3;k=(j&511)+1|0;l=Y(k,f[(f[i+40>>2]|0)+4>>2]|0)|0;i=l<<1;m=e+8|0;f[e>>2]=m;o=e+4|0;f[o>>2]=i;if(i>>>0>264){p=Dmc(i>>>0>1073741823?-1:i<<2)|0;f[e>>2]=p;q=p}else q=m;p=f[a+12>>2]|0;i=f[a+20>>2]|0;r=q+(l<<2)|0;s=f[a+28>>2]|0;t=f[s+(f[c>>2]<<2)>>2]|0;v=f[s+(f[c+4>>2]<<2)>>2]|0;c=a+16|0;s=f[(f[c>>2]|0)+(t*12|0)+4>>2]|0;w=(l|0)>0;if(w)Drc(r|0,0,l<<2|0)|0;a:do if((t|0)<(v|0)){x=a+4|0;y=j&65535;z=(i|0)>0;A=l<<2;B=s;C=t;while(1){D=f[c>>2]|0;E=+n[D+(C*12|0)+8>>2];F=f[D+(C*12|0)+4>>2]|0;G=f[x>>2]|0;H=(f[G+16>>2]|0)+(Y(f[f[G+44>>2]>>2]|0,f[D+(C*12|0)>>2]|0)|0)|0;if(w)Drc(q|0,0,A|0)|0;switch(y&511){case 0:{if(z){D=0;do{G=q+(f[p+(D*12|0)+4>>2]<<2)|0;n[G>>2]=+n[G>>2]+ +n[p+(D*12|0)+8>>2]*+(h[H+(f[p+(D*12|0)>>2]|0)>>0]|0);D=D+1|0}while((D|0)!=(i|0))}break}case 1:{if(z){D=0;do{G=f[p+(D*12|0)>>2]|0;I=f[p+(D*12|0)+4>>2]|0;J=+n[p+(D*12|0)+8>>2];K=q+(I<<2)|0;L=q+(I+1<<2)|0;M=+n[L>>2]+J*+(h[H+(G+1)>>0]|0);n[K>>2]=+n[K>>2]+J*+(h[H+G>>0]|0);n[L>>2]=M;D=D+1|0}while((D|0)!=(i|0))}break}case 2:{if(z){D=0;do{L=f[p+(D*12|0)>>2]|0;G=f[p+(D*12|0)+4>>2]|0;M=+n[p+(D*12|0)+8>>2];K=q+(G<<2)|0;I=q+(G+1<<2)|0;J=+n[I>>2]+M*+(h[H+(L+1)>>0]|0);N=q+(G+2<<2)|0;O=+n[N>>2]+M*+(h[H+(L+2)>>0]|0);n[K>>2]=+n[K>>2]+M*+(h[H+L>>0]|0);n[I>>2]=J;n[N>>2]=O;D=D+1|0}while((D|0)!=(i|0))}break}case 3:{if(z){D=0;do{N=f[p+(D*12|0)>>2]|0;I=f[p+(D*12|0)+4>>2]|0;O=+n[p+(D*12|0)+8>>2];L=q+(I<<2)|0;K=q+(I+1<<2)|0;J=+n[K>>2]+O*+(h[H+(N+1)>>0]|0);n[L>>2]=+n[L>>2]+O*+(h[H+N>>0]|0);n[K>>2]=J;K=q+(I+2<<2)|0;L=q+(I+3<<2)|0;J=+n[L>>2]+O*+(h[H+(N+3)>>0]|0);n[K>>2]=+n[K>>2]+O*+(h[H+(N+2)>>0]|0);n[L>>2]=J;D=D+1|0}while((D|0)!=(i|0))}break}default:if(z){D=0;do{L=f[p+(D*12|0)>>2]|0;N=f[p+(D*12|0)+4>>2]|0;J=+n[p+(D*12|0)+8>>2];K=0;do{I=q+(K+N<<2)|0;n[I>>2]=+n[I>>2]+J*+(h[H+(K+L)>>0]|0);K=K+1|0}while((K|0)!=(k|0));D=D+1|0}while((D|0)!=(i|0))}}if((F|0)==(B|0))if(w){D=0;do{H=r+(D<<2)|0;n[H>>2]=+n[H>>2]+E*+n[q+(D<<2)>>2];D=D+1|0}while((D|0)!=(l|0));P=B}else P=B;else{D=f[g>>2]|0;H=(f[D+16>>2]|0)+(Y(f[f[D+44>>2]>>2]|0,B)|0)|0;if(w){D=0;do{K=r+(D<<2)|0;L=U9b(+n[K>>2])|0;b[H+D>>0]=L>>>0<256?L:(L|0)>0?255:0;n[K>>2]=E*+n[q+(D<<2)>>2];D=D+1|0}while((D|0)!=(l|0));P=F}else P=F}C=C+1|0;if((C|0)==(v|0)){Q=P;break a}else B=P}}else Q=s;while(0);s=f[g>>2]|0;g=(f[s+16>>2]|0)+(Y(f[f[s+44>>2]>>2]|0,Q)|0)|0;if(w){w=0;do{Q=U9b(+n[r+(w<<2)>>2])|0;b[g+w>>0]=Q>>>0<256?Q:(Q|0)>0?255:0;w=w+1|0}while((w|0)!=(l|0))}l=f[e>>2]|0;if((l|0)==(m|0)){u=d;return}if(l|0)Fmc(l);f[e>>2]=m;f[o>>2]=264;u=d;return}function Eka(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+144|0;i=h+136|0;j=h;k=b+8|0;l=f[k>>2]|0;f[i>>2]=0;f[i+4>>2]=l;$ka(j,a,b,e,g,c,d);d=f[b+4>>2]|0;if((d|0)<3)m=Y(f[b+12>>2]|0,f[k>>2]|0)|0;else{k=f[b+40>>2]|0;b=0;c=1;while(1){g=Y(f[k+(b<<2)>>2]|0,c)|0;b=b+1|0;if((b|0)==(d|0)){m=g;break}else c=g}}oU(i,j,+(m>>>0)*.0000152587890625);ala(j);u=h;return}function Fka(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+144|0;i=h+136|0;j=h;k=b+8|0;l=f[k>>2]|0;f[i>>2]=0;f[i+4>>2]=l;Wka(j,a,b,e,g,c,d);d=f[b+4>>2]|0;if((d|0)<3)m=Y(f[b+12>>2]|0,f[k>>2]|0)|0;else{k=f[b+40>>2]|0;b=0;c=1;while(1){g=Y(f[k+(b<<2)>>2]|0,c)|0;b=b+1|0;if((b|0)==(d|0)){m=g;break}else c=g}}oU(i,j,+(m>>>0)*.0000152587890625);Xka(j);u=h;return}function Gka(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+144|0;i=h+136|0;j=h;k=b+8|0;l=f[k>>2]|0;f[i>>2]=0;f[i+4>>2]=l;Rka(j,a,b,e,g,c,d);d=f[b+4>>2]|0;if((d|0)<3)m=Y(f[b+12>>2]|0,f[k>>2]|0)|0;else{k=f[b+40>>2]|0;b=0;c=1;while(1){g=Y(f[k+(b<<2)>>2]|0,c)|0;b=b+1|0;if((b|0)==(d|0)){m=g;break}else c=g}}oU(i,j,+(m>>>0)*.0000152587890625);Ska(j);u=h;return}function Hka(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+144|0;i=h+136|0;j=h;k=b+8|0;l=f[k>>2]|0;f[i>>2]=0;f[i+4>>2]=l;Nka(j,a,b,e,g,c,d);d=f[b+4>>2]|0;if((d|0)<3)m=Y(f[b+12>>2]|0,f[k>>2]|0)|0;else{k=f[b+40>>2]|0;b=0;c=1;while(1){g=Y(f[k+(b<<2)>>2]|0,c)|0;b=b+1|0;if((b|0)==(d|0)){m=g;break}else c=g}}oU(i,j,+(m>>>0)*.0000152587890625);Oka(j);u=h;return}function Ika(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+144|0;i=h+136|0;j=h;k=b+8|0;l=f[k>>2]|0;f[i>>2]=0;f[i+4>>2]=l;Jka(j,a,b,e,g,c,d);d=f[b+4>>2]|0;if((d|0)<3)m=Y(f[b+12>>2]|0,f[k>>2]|0)|0;else{k=f[b+40>>2]|0;b=0;c=1;while(1){g=Y(f[k+(b<<2)>>2]|0,c)|0;b=b+1|0;if((b|0)==(d|0)){m=g;break}else c=g}}oU(i,j,+(m>>>0)*.0000152587890625);Kka(j);u=h;return}function Jka(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;f[a>>2]=59544;i=a+4|0;f[i>>2]=f[b>>2];j=a+8|0;k=b+4|0;f[j>>2]=f[k>>2];l=a+12|0;f[l>>2]=f[b+8>>2];f[a+16>>2]=f[b+12>>2];f[a+20>>2]=f[b+16>>2];f[a+24>>2]=f[b+20>>2];f[a+28>>2]=f[b+24>>2];f[a+32>>2]=f[b+28>>2];f[a+36>>2]=f[b+32>>2];m=f[b+36>>2]|0;f[a+40>>2]=m;f[a+44>>2]=l;l=a+52|0;n=a+48|0;f[n>>2]=l;f[l>>2]=0;f[a+56>>2]=0;if(m|0){l=m+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[k>>2]|0)<3){k=f[b+44>>2]|0;l=f[n>>2]|0;f[l>>2]=f[k>>2];f[l+4>>2]=f[k+4>>2]}else{f[j>>2]=0;kP(i,b)}b=a+60|0;f[b>>2]=f[c>>2];i=a+64|0;j=c+4|0;f[i>>2]=f[j>>2];k=a+68|0;f[k>>2]=f[c+8>>2];f[a+72>>2]=f[c+12>>2];f[a+76>>2]=f[c+16>>2];f[a+80>>2]=f[c+20>>2];f[a+84>>2]=f[c+24>>2];f[a+88>>2]=f[c+28>>2];f[a+92>>2]=f[c+32>>2];l=f[c+36>>2]|0;f[a+96>>2]=l;f[a+100>>2]=k;k=a+108|0;n=a+104|0;f[n>>2]=k;f[k>>2]=0;f[a+112>>2]=0;if(l|0){k=l+12|0;f[k>>2]=(f[k>>2]|0)+1}if((f[j>>2]|0)<3){j=f[c+44>>2]|0;k=f[n>>2]|0;f[k>>2]=f[j>>2];f[k+4>>2]=f[j+4>>2];o=a+116|0;f[o>>2]=d;p=a+120|0;f[p>>2]=e;q=a+124|0;f[q>>2]=g;r=a+128|0;f[r>>2]=h;return}else{f[i>>2]=0;kP(b,c);o=a+116|0;f[o>>2]=d;p=a+120|0;f[p>>2]=e;q=a+124|0;f[q>>2]=g;r=a+128|0;f[r>>2]=h;return}}function Kka(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=59544;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))tE(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;tE(b);return}function Lka(a){a=a|0;Kka(a);Emc(a);return}function Mka(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0,P=0.0,Q=0.0,R=0,S=0.0,T=0.0,U=0,V=0,W=0.0,X=0,Z=0,_=0,$=0.0,aa=0,ba=0,ca=0.0;c=f[a+44>>2]|0;d=f[c+4>>2]|0;e=f[c>>2]|0;c=((f[a+4>>2]|0)>>>3&511)+1|0;g=a+116|0;h=f[g>>2]|0;i=a+120|0;j=f[i>>2]|0;k=Y(j,h)|0;l=Y((d|0)/(h|0)|0,c)|0;h=Y(c,f[(f[a+100>>2]|0)+4>>2]|0)|0;m=Y(c,d)|0;d=f[b>>2]|0;n=f[b+4>>2]|0;if((d|0)>=(n|0))return;b=f[a+76>>2]|0;o=f[a+108>>2]|0;q=a+20|0;r=a+48|0;s=a+128|0;t=k+-4|0;u=(k|0)<4;v=1.0/+(k|0);w=a+124|0;a=(h|0)>0;x=h<<3;y=k&-4;z=(y|0)<(k|0);A=(k|0)>0;B=d;D=0;while(1){E=b+(Y(o,d+D|0)|0)|0;F=b+(Y(o,B)|0)|0;G=Y(j,B)|0;H=(G+j|0)<=(e|0)?l:0;a:do if((G|0)<(e|0)){b:do if((H|0)>0){I=(f[q>>2]|0)+(Y(f[f[r>>2]>>2]|0,G)|0)|0;J=f[s>>2]|0;if(u){K=0;while(1){L=I+(f[J+(K<<2)>>2]<<3)|0;if(A){M=f[w>>2]|0;N=0.0;O=0;while(1){P=N+ +p[L+(f[M+(O<<2)>>2]<<3)>>3];O=O+1|0;if((O|0)==(k|0)){Q=P;break}else N=P}}else Q=0.0;p[F+(K<<3)>>3]=v*Q;K=K+1|0;if((K|0)==(H|0)){R=H;break b}}}K=f[w>>2]|0;O=0;do{M=I+(f[J+(O<<2)>>2]<<3)|0;N=0.0;L=0;do{N=N+(+p[M+(f[K+(L<<2)>>2]<<3)>>3]+ +p[M+(f[K+((L|1)<<2)>>2]<<3)>>3]+ +p[M+(f[K+((L|2)<<2)>>2]<<3)>>3]+ +p[M+(f[K+((L|3)<<2)>>2]<<3)>>3]);L=L+4|0}while((L|0)<=(t|0));if(z){P=N;L=y;while(1){S=P+ +p[M+(f[K+(L<<2)>>2]<<3)>>3];L=L+1|0;if((L|0)==(k|0)){T=S;break}else P=S}}else T=N;p[F+(O<<3)>>3]=v*T;O=O+1|0}while((O|0)!=(H|0));R=H}else R=0;while(0);if((R|0)<(h|0)){O=f[s>>2]|0;K=f[i>>2]|0;if((K|0)>0)U=R;else{J=R;while(1){I=F+(J<<3)|0;if((f[O+(J<<2)>>2]|0)>=(m|0))p[I>>3]=0.0;p[I>>3]=C;J=J+1|0;if((J|0)==(h|0))break a}}do{J=f[O+(U<<2)>>2]|0;c:do if((J|0)<(m|0)){I=0;L=0;P=0.0;while(1){M=I+G|0;if((M|0)>=(e|0)){V=L;W=P;break c}X=(f[q>>2]|0)+(Y(f[f[r>>2]>>2]|0,M)|0)+(J<<3)|0;M=Y(f[g>>2]|0,c)|0;if((M|0)>0){Z=0;_=L;S=P;while(1){$=S+ +p[X+(Z<<3)>>3];aa=_+1|0;Z=Z+c|0;if(!((Z+J|0)<(m|0)&(Z|0)<(M|0))){ba=aa;ca=$;break}else{_=aa;S=$}}}else{ba=L;ca=P}I=I+1|0;if((I|0)>=(K|0)){V=ba;W=ca;break}else{L=ba;P=ca}}}else{p[F+(U<<3)>>3]=0.0;V=0;W=0.0}while(0);p[F+(U<<3)>>3]=W/+(V|0);U=U+1|0}while((U|0)!=(h|0))}}else if(a)Drc(E|0,0,x|0)|0;while(0);B=B+1|0;if((B|0)>=(n|0))break;else D=D+1|0}return}function Nka(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;f[a>>2]=59564;i=a+4|0;f[i>>2]=f[b>>2];j=a+8|0;k=b+4|0;f[j>>2]=f[k>>2];l=a+12|0;f[l>>2]=f[b+8>>2];f[a+16>>2]=f[b+12>>2];f[a+20>>2]=f[b+16>>2];f[a+24>>2]=f[b+20>>2];f[a+28>>2]=f[b+24>>2];f[a+32>>2]=f[b+28>>2];f[a+36>>2]=f[b+32>>2];m=f[b+36>>2]|0;f[a+40>>2]=m;f[a+44>>2]=l;l=a+52|0;n=a+48|0;f[n>>2]=l;f[l>>2]=0;f[a+56>>2]=0;if(m|0){l=m+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[k>>2]|0)<3){k=f[b+44>>2]|0;l=f[n>>2]|0;f[l>>2]=f[k>>2];f[l+4>>2]=f[k+4>>2]}else{f[j>>2]=0;kP(i,b)}b=a+60|0;f[b>>2]=f[c>>2];i=a+64|0;j=c+4|0;f[i>>2]=f[j>>2];k=a+68|0;f[k>>2]=f[c+8>>2];f[a+72>>2]=f[c+12>>2];f[a+76>>2]=f[c+16>>2];f[a+80>>2]=f[c+20>>2];f[a+84>>2]=f[c+24>>2];f[a+88>>2]=f[c+28>>2];f[a+92>>2]=f[c+32>>2];l=f[c+36>>2]|0;f[a+96>>2]=l;f[a+100>>2]=k;k=a+108|0;n=a+104|0;f[n>>2]=k;f[k>>2]=0;f[a+112>>2]=0;if(l|0){k=l+12|0;f[k>>2]=(f[k>>2]|0)+1}if((f[j>>2]|0)<3){j=f[c+44>>2]|0;k=f[n>>2]|0;f[k>>2]=f[j>>2];f[k+4>>2]=f[j+4>>2];o=a+116|0;f[o>>2]=d;p=a+120|0;f[p>>2]=e;q=a+124|0;f[q>>2]=g;r=a+128|0;f[r>>2]=h;return}else{f[i>>2]=0;kP(b,c);o=a+116|0;f[o>>2]=d;p=a+120|0;f[p>>2]=e;q=a+124|0;f[q>>2]=g;r=a+128|0;f[r>>2]=h;return}}function Oka(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=59564;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))tE(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;tE(b);return}function Pka(a){a=a|0;Oka(a);Emc(a);return}function Qka(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0.0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0,P=0.0,Q=0.0,R=0,S=0.0,T=0.0,U=0,V=0,W=0.0,X=0,Z=0,_=0,$=0.0,aa=0,ba=0,ca=0.0;c=f[a+44>>2]|0;d=f[c+4>>2]|0;e=f[c>>2]|0;c=((f[a+4>>2]|0)>>>3&511)+1|0;g=a+116|0;h=f[g>>2]|0;i=a+120|0;j=f[i>>2]|0;k=Y(j,h)|0;l=1.0/+(k|0);m=Y((d|0)/(h|0)|0,c)|0;h=Y(c,f[(f[a+100>>2]|0)+4>>2]|0)|0;o=Y(c,d)|0;d=f[b>>2]|0;p=f[b+4>>2]|0;if((d|0)>=(p|0))return;b=f[a+76>>2]|0;q=f[a+108>>2]|0;r=a+20|0;s=a+48|0;t=a+128|0;u=k+-4|0;v=(k|0)<4;w=a+124|0;a=(h|0)>0;x=h<<2;y=k&-4;z=(y|0)<(k|0);A=(k|0)>0;B=d;D=0;while(1){E=b+(Y(q,d+D|0)|0)|0;F=b+(Y(q,B)|0)|0;G=Y(j,B)|0;H=(G+j|0)<=(e|0)?m:0;a:do if((G|0)<(e|0)){b:do if((H|0)>0){I=(f[r>>2]|0)+(Y(f[f[s>>2]>>2]|0,G)|0)|0;J=f[t>>2]|0;if(v){K=0;while(1){L=I+(f[J+(K<<2)>>2]<<2)|0;if(A){M=f[w>>2]|0;N=0.0;O=0;while(1){P=N+ +n[L+(f[M+(O<<2)>>2]<<2)>>2];O=O+1|0;if((O|0)==(k|0)){Q=P;break}else N=P}}else Q=0.0;n[F+(K<<2)>>2]=l*Q;K=K+1|0;if((K|0)==(H|0)){R=H;break b}}}K=f[w>>2]|0;O=0;do{M=I+(f[J+(O<<2)>>2]<<2)|0;N=0.0;L=0;do{N=N+(+n[M+(f[K+(L<<2)>>2]<<2)>>2]+ +n[M+(f[K+((L|1)<<2)>>2]<<2)>>2]+ +n[M+(f[K+((L|2)<<2)>>2]<<2)>>2]+ +n[M+(f[K+((L|3)<<2)>>2]<<2)>>2]);L=L+4|0}while((L|0)<=(u|0));if(z){P=N;L=y;while(1){S=P+ +n[M+(f[K+(L<<2)>>2]<<2)>>2];L=L+1|0;if((L|0)==(k|0)){T=S;break}else P=S}}else T=N;n[F+(O<<2)>>2]=l*T;O=O+1|0}while((O|0)!=(H|0));R=H}else R=0;while(0);if((R|0)<(h|0)){O=f[t>>2]|0;K=f[i>>2]|0;if((K|0)>0)U=R;else{J=R;while(1){I=F+(J<<2)|0;if((f[O+(J<<2)>>2]|0)>=(o|0))n[I>>2]=0.0;n[I>>2]=C;J=J+1|0;if((J|0)==(h|0))break a}}do{J=f[O+(U<<2)>>2]|0;c:do if((J|0)<(o|0)){I=0;L=0;P=0.0;while(1){M=I+G|0;if((M|0)>=(e|0)){V=L;W=P;break c}X=(f[r>>2]|0)+(Y(f[f[s>>2]>>2]|0,M)|0)+(J<<2)|0;M=Y(f[g>>2]|0,c)|0;if((M|0)>0){Z=0;_=L;S=P;while(1){$=S+ +n[X+(Z<<2)>>2];aa=_+1|0;Z=Z+c|0;if(!((Z+J|0)<(o|0)&(Z|0)<(M|0))){ba=aa;ca=$;break}else{_=aa;S=$}}}else{ba=L;ca=P}I=I+1|0;if((I|0)>=(K|0)){V=ba;W=ca;break}else{L=ba;P=ca}}}else{n[F+(U<<2)>>2]=0.0;V=0;W=0.0}while(0);n[F+(U<<2)>>2]=W/+(V|0);U=U+1|0}while((U|0)!=(h|0))}}else if(a)Drc(E|0,0,x|0)|0;while(0);B=B+1|0;if((B|0)>=(p|0))break;else D=D+1|0}return}function Rka(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;f[a>>2]=59584;i=a+4|0;f[i>>2]=f[b>>2];j=a+8|0;k=b+4|0;f[j>>2]=f[k>>2];l=a+12|0;f[l>>2]=f[b+8>>2];f[a+16>>2]=f[b+12>>2];f[a+20>>2]=f[b+16>>2];f[a+24>>2]=f[b+20>>2];f[a+28>>2]=f[b+24>>2];f[a+32>>2]=f[b+28>>2];f[a+36>>2]=f[b+32>>2];m=f[b+36>>2]|0;f[a+40>>2]=m;f[a+44>>2]=l;l=a+52|0;n=a+48|0;f[n>>2]=l;f[l>>2]=0;f[a+56>>2]=0;if(m|0){l=m+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[k>>2]|0)<3){k=f[b+44>>2]|0;l=f[n>>2]|0;f[l>>2]=f[k>>2];f[l+4>>2]=f[k+4>>2]}else{f[j>>2]=0;kP(i,b)}b=a+60|0;f[b>>2]=f[c>>2];i=a+64|0;j=c+4|0;f[i>>2]=f[j>>2];k=a+68|0;f[k>>2]=f[c+8>>2];f[a+72>>2]=f[c+12>>2];f[a+76>>2]=f[c+16>>2];f[a+80>>2]=f[c+20>>2];f[a+84>>2]=f[c+24>>2];f[a+88>>2]=f[c+28>>2];f[a+92>>2]=f[c+32>>2];l=f[c+36>>2]|0;f[a+96>>2]=l;f[a+100>>2]=k;k=a+108|0;n=a+104|0;f[n>>2]=k;f[k>>2]=0;f[a+112>>2]=0;if(l|0){k=l+12|0;f[k>>2]=(f[k>>2]|0)+1}if((f[j>>2]|0)<3){j=f[c+44>>2]|0;k=f[n>>2]|0;f[k>>2]=f[j>>2];f[k+4>>2]=f[j+4>>2];o=a+116|0;f[o>>2]=d;p=a+120|0;f[p>>2]=e;q=a+124|0;f[q>>2]=g;r=a+128|0;f[r>>2]=h;return}else{f[i>>2]=0;kP(b,c);o=a+116|0;f[o>>2]=d;p=a+120|0;f[p>>2]=e;q=a+124|0;f[q>>2]=g;r=a+128|0;f[r>>2]=h;return}}function Ska(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=59584;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))tE(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;tE(b);return}function Tka(a){a=a|0;Ska(a);Emc(a);return}function Uka(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0,R=0.0,S=0.0,T=0,U=0.0,V=0.0,W=0,X=0,Z=0.0,_=0,$=0,aa=0.0,ba=0,ca=0,da=0.0;e=u;u=u+32|0;g=e;h=f[a+44>>2]|0;i=f[h+4>>2]|0;j=f[h>>2]|0;h=(f[a+4>>2]|0)>>>3;k=(h&511)+1|0;l=a+116|0;m=f[l>>2]|0;n=a+120|0;o=f[n>>2]|0;p=Y(o,m)|0;q=1.0/+(p|0);r=Y((i|0)/(m|0)|0,k)|0;s=Y(k,f[(f[a+100>>2]|0)+4>>2]|0)|0;t=Y(k,i)|0;i=f[a+52>>2]|0;f[g>>2]=m;f[g+4>>2]=o;f[g+8>>2]=k;f[g+16>>2]=i;a:do if((m|0)==2&(o|0)==2){switch(h&511){case 2:case 0:{v=1;break a;break}default:{}}v=(k|0)==4&1}else v=0;while(0);b[g+12>>0]=v;v=f[c>>2]|0;h=c+4|0;if((v|0)>=(f[h>>2]|0)){u=e;return}c=a+76|0;m=a+108|0;i=a+20|0;w=a+48|0;x=a+128|0;y=p+-4|0;z=(p|0)<4;A=a+124|0;a=(s|0)>0;B=s<<1;D=p&-4;E=(D|0)<(p|0);F=(p|0)>0;G=v;v=o;while(1){o=(f[c>>2]|0)+(Y(f[m>>2]|0,G)|0)|0;H=Y(v,G)|0;I=(H+v|0)<=(j|0)?r:0;b:do if((H|0)<(j|0)){J=Vka(g,(f[i>>2]|0)+(Y(f[f[w>>2]>>2]|0,H)|0)|0,o,I)|0;c:do if((J|0)<(I|0)){K=(f[i>>2]|0)+(Y(f[f[w>>2]>>2]|0,H)|0)|0;L=f[x>>2]|0;if(z){M=J;while(1){N=K+(f[L+(M<<2)>>2]<<1)|0;if(F){O=f[A>>2]|0;P=0.0;Q=0;while(1){R=P+ +(d[N+(f[O+(Q<<2)>>2]<<1)>>1]|0);Q=Q+1|0;if((Q|0)==(p|0)){S=R;break}else P=R}}else S=0.0;Q=U9b(q*S)|0;d[o+(M<<1)>>1]=(Q+32768|0)>>>0<65536?Q:(Q|0)>0?32767:32768;M=M+1|0;if((M|0)==(I|0)){T=I;break c}}}M=f[A>>2]|0;Q=J;do{O=K+(f[L+(Q<<2)>>2]<<1)|0;P=0.0;N=0;do{P=P+ +((d[O+(f[M+((N|1)<<2)>>2]<<1)>>1]|0)+(d[O+(f[M+(N<<2)>>2]<<1)>>1]|0)+(d[O+(f[M+((N|2)<<2)>>2]<<1)>>1]|0)+(d[O+(f[M+((N|3)<<2)>>2]<<1)>>1]|0)|0);N=N+4|0}while((N|0)<=(y|0));if(E){R=P;N=D;while(1){U=R+ +(d[O+(f[M+(N<<2)>>2]<<1)>>1]|0);N=N+1|0;if((N|0)==(p|0)){V=U;break}else R=U}}else V=P;N=U9b(q*V)|0;d[o+(Q<<1)>>1]=(N+32768|0)>>>0<65536?N:(N|0)>0?32767:32768;Q=Q+1|0}while((Q|0)!=(I|0));T=I}else T=J;while(0);if((T|0)<(s|0)){J=f[x>>2]|0;Q=f[n>>2]|0;if((Q|0)>0)W=T;else{M=U9b(C)|0;L=((M+32768|0)>>>0<65536?M:(M|0)>0?32767:32768)&65535;M=T;while(1){K=o+(M<<1)|0;if((f[J+(M<<2)>>2]|0)>=(t|0))d[K>>1]=0;d[K>>1]=L;M=M+1|0;if((M|0)==(s|0))break b}}do{M=f[J+(W<<2)>>2]|0;d:do if((M|0)<(t|0)){L=0;K=0;R=0.0;while(1){N=L+H|0;if((N|0)>=(j|0)){X=K;Z=R;break d}O=(f[i>>2]|0)+(Y(f[f[w>>2]>>2]|0,N)|0)+(M<<1)|0;N=Y(f[l>>2]|0,k)|0;if((N|0)>0){_=0;$=K;U=R;while(1){aa=U+ +(d[O+(_<<1)>>1]|0);ba=$+1|0;_=_+k|0;if(!((_+M|0)<(t|0)&(_|0)<(N|0))){ca=ba;da=aa;break}else{$=ba;U=aa}}}else{ca=K;da=R}L=L+1|0;if((L|0)>=(Q|0)){X=ca;Z=da;break}else{K=ca;R=da}}}else{d[o+(W<<1)>>1]=0;X=0;Z=0.0}while(0);M=U9b(Z/+(X|0))|0;d[o+(W<<1)>>1]=(M+32768|0)>>>0<65536?M:(M|0)>0?32767:32768;W=W+1|0}while((W|0)!=(s|0))}}else if(a)Drc(o|0,0,B|0)|0;while(0);o=G+1|0;if((o|0)>=(f[h>>2]|0))break;G=o;v=f[n>>2]|0}u=e;return}function Vka(a,c,e,g){a=a|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;h=u;u=u+16|0;i=h;if(!(b[a+12>>0]|0)){j=0;u=h;return j|0}k=c+(f[a+16>>2]|0)|0;switch(f[a+8>>2]|0){case 1:{if((g|0)>0)l=0;else{j=0;u=h;return j|0}do{a=l<<1;m=a|1;d[e+(l<<1)>>1]=((d[c+(a<<1)>>1]|0)+2+(d[c+(m<<1)>>1]|0)+(d[k+(a<<1)>>1]|0)+(d[k+(m<<1)>>1]|0)|0)>>>2;l=l+1|0}while((l|0)!=(g|0));j=g;u=h;return j|0}case 3:{if((g|0)>0)n=0;else{j=0;u=h;return j|0}while(1){l=n<<1;m=l+3|0;d[e+(n<<1)>>1]=((d[c+(l<<1)>>1]|0)+2+(d[c+(m<<1)>>1]|0)+(d[k+(l<<1)>>1]|0)+(d[k+(m<<1)>>1]|0)|0)>>>2;m=l|1;a=l+4|0;d[e+(n+1<<1)>>1]=((d[c+(m<<1)>>1]|0)+2+(d[c+(a<<1)>>1]|0)+(d[k+(m<<1)>>1]|0)+(d[k+(a<<1)>>1]|0)|0)>>>2;a=l+2|0;m=l+5|0;d[e+(n+2<<1)>>1]=((d[c+(a<<1)>>1]|0)+2+(d[c+(m<<1)>>1]|0)+(d[k+(a<<1)>>1]|0)+(d[k+(m<<1)>>1]|0)|0)>>>2;m=n+3|0;if((m|0)<(g|0))n=m;else{j=m;break}}u=h;return j|0}case 4:{if((g|0)>0)o=0;else{j=0;u=h;return j|0}do{n=o<<1;m=n|4;d[e+(o<<1)>>1]=((d[c+(n<<1)>>1]|0)+2+(d[c+(m<<1)>>1]|0)+(d[k+(n<<1)>>1]|0)+(d[k+(m<<1)>>1]|0)|0)>>>2;m=n|1;a=n|5;d[e+((o|1)<<1)>>1]=((d[c+(m<<1)>>1]|0)+2+(d[c+(a<<1)>>1]|0)+(d[k+(m<<1)>>1]|0)+(d[k+(a<<1)>>1]|0)|0)>>>2;a=n|2;m=n|6;d[e+((o|2)<<1)>>1]=((d[c+(a<<1)>>1]|0)+2+(d[c+(m<<1)>>1]|0)+(d[k+(a<<1)>>1]|0)+(d[k+(m<<1)>>1]|0)|0)>>>2;m=n|3;a=n|7;d[e+((o|3)<<1)>>1]=((d[c+(m<<1)>>1]|0)+2+(d[c+(a<<1)>>1]|0)+(d[k+(m<<1)>>1]|0)+(d[k+(a<<1)>>1]|0)|0)>>>2;o=o+4|0}while((o|0)<(g|0));j=g+3&-4;u=h;return j|0}default:{f[i>>2]=0;f[i+4>>2]=0;j=YG(i,7)|0;b[j>>0]=b[276208]|0;b[j+1>>0]=b[276209]|0;b[j+2>>0]=b[276210]|0;b[j+3>>0]=b[276211]|0;b[j+4>>0]=b[276212]|0;b[j+5>>0]=b[276213]|0;b[j+6>>0]=b[276214]|0;SQ(-215,i,523657,273965,3070)}}return 0}function Wka(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;f[a>>2]=59604;i=a+4|0;f[i>>2]=f[b>>2];j=a+8|0;k=b+4|0;f[j>>2]=f[k>>2];l=a+12|0;f[l>>2]=f[b+8>>2];f[a+16>>2]=f[b+12>>2];f[a+20>>2]=f[b+16>>2];f[a+24>>2]=f[b+20>>2];f[a+28>>2]=f[b+24>>2];f[a+32>>2]=f[b+28>>2];f[a+36>>2]=f[b+32>>2];m=f[b+36>>2]|0;f[a+40>>2]=m;f[a+44>>2]=l;l=a+52|0;n=a+48|0;f[n>>2]=l;f[l>>2]=0;f[a+56>>2]=0;if(m|0){l=m+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[k>>2]|0)<3){k=f[b+44>>2]|0;l=f[n>>2]|0;f[l>>2]=f[k>>2];f[l+4>>2]=f[k+4>>2]}else{f[j>>2]=0;kP(i,b)}b=a+60|0;f[b>>2]=f[c>>2];i=a+64|0;j=c+4|0;f[i>>2]=f[j>>2];k=a+68|0;f[k>>2]=f[c+8>>2];f[a+72>>2]=f[c+12>>2];f[a+76>>2]=f[c+16>>2];f[a+80>>2]=f[c+20>>2];f[a+84>>2]=f[c+24>>2];f[a+88>>2]=f[c+28>>2];f[a+92>>2]=f[c+32>>2];l=f[c+36>>2]|0;f[a+96>>2]=l;f[a+100>>2]=k;k=a+108|0;n=a+104|0;f[n>>2]=k;f[k>>2]=0;f[a+112>>2]=0;if(l|0){k=l+12|0;f[k>>2]=(f[k>>2]|0)+1}if((f[j>>2]|0)<3){j=f[c+44>>2]|0;k=f[n>>2]|0;f[k>>2]=f[j>>2];f[k+4>>2]=f[j+4>>2];o=a+116|0;f[o>>2]=d;p=a+120|0;f[p>>2]=e;q=a+124|0;f[q>>2]=g;r=a+128|0;f[r>>2]=h;return}else{f[i>>2]=0;kP(b,c);o=a+116|0;f[o>>2]=d;p=a+120|0;f[p>>2]=e;q=a+124|0;f[q>>2]=g;r=a+128|0;f[r>>2]=h;return}}function Xka(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=59604;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))tE(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;tE(b);return}function Yka(a){a=a|0;Xka(a);Emc(a);return}function Zka(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0.0,R=0,S=0.0,T=0.0,U=0,V=0.0,W=0.0,X=0,Z=0,_=0.0,$=0,aa=0,ba=0.0,ca=0,da=0,ea=0.0;e=u;u=u+32|0;g=e;h=f[a+44>>2]|0;i=f[h+4>>2]|0;k=f[h>>2]|0;h=(f[a+4>>2]|0)>>>3;l=(h&511)+1|0;m=a+116|0;n=f[m>>2]|0;o=a+120|0;p=f[o>>2]|0;q=Y(p,n)|0;r=1.0/+(q|0);s=Y((i|0)/(n|0)|0,l)|0;t=Y(l,f[(f[a+100>>2]|0)+4>>2]|0)|0;v=Y(l,i)|0;i=f[a+52>>2]|0;f[g>>2]=n;f[g+4>>2]=p;f[g+8>>2]=l;f[g+16>>2]=i;a:do if((n|0)==2&(p|0)==2){switch(h&511){case 2:case 0:{w=1;break a;break}default:{}}w=(l|0)==4&1}else w=0;while(0);b[g+12>>0]=w;w=f[c>>2]|0;h=c+4|0;if((w|0)>=(f[h>>2]|0)){u=e;return}c=a+76|0;n=a+108|0;i=a+20|0;x=a+48|0;y=a+128|0;z=q+-4|0;A=(q|0)<4;B=a+124|0;a=(t|0)>0;D=t<<1;E=q&-4;F=(E|0)<(q|0);G=(q|0)>0;H=w;w=p;while(1){p=(f[c>>2]|0)+(Y(f[n>>2]|0,H)|0)|0;I=Y(w,H)|0;J=(I+w|0)<=(k|0)?s:0;b:do if((I|0)<(k|0)){K=_ka(g,(f[i>>2]|0)+(Y(f[f[x>>2]>>2]|0,I)|0)|0,p,J)|0;c:do if((K|0)<(J|0)){L=(f[i>>2]|0)+(Y(f[f[x>>2]>>2]|0,I)|0)|0;M=f[y>>2]|0;if(A){N=K;while(1){O=L+(f[M+(N<<2)>>2]<<1)|0;if(G){P=f[B>>2]|0;Q=0.0;R=0;while(1){S=Q+ +(j[O+(f[P+(R<<2)>>2]<<1)>>1]|0);R=R+1|0;if((R|0)==(q|0)){T=S;break}else Q=S}}else T=0.0;R=U9b(r*T)|0;d[p+(N<<1)>>1]=R>>>0<65536?R:(R|0)>0?65535:0;N=N+1|0;if((N|0)==(J|0)){U=J;break c}}}N=f[B>>2]|0;R=K;do{P=L+(f[M+(R<<2)>>2]<<1)|0;Q=0.0;O=0;do{Q=Q+ +((j[P+(f[N+((O|1)<<2)>>2]<<1)>>1]|0)+(j[P+(f[N+(O<<2)>>2]<<1)>>1]|0)+(j[P+(f[N+((O|2)<<2)>>2]<<1)>>1]|0)+(j[P+(f[N+((O|3)<<2)>>2]<<1)>>1]|0)|0);O=O+4|0}while((O|0)<=(z|0));if(F){S=Q;O=E;while(1){V=S+ +(j[P+(f[N+(O<<2)>>2]<<1)>>1]|0);O=O+1|0;if((O|0)==(q|0)){W=V;break}else S=V}}else W=Q;O=U9b(r*W)|0;d[p+(R<<1)>>1]=O>>>0<65536?O:(O|0)>0?65535:0;R=R+1|0}while((R|0)!=(J|0));U=J}else U=K;while(0);if((U|0)<(t|0)){K=f[y>>2]|0;R=f[o>>2]|0;if((R|0)>0)X=U;else{N=U9b(C)|0;M=(N>>>0<65536?N:(N|0)>0?65535:0)&65535;N=U;while(1){L=p+(N<<1)|0;if((f[K+(N<<2)>>2]|0)>=(v|0))d[L>>1]=0;d[L>>1]=M;N=N+1|0;if((N|0)==(t|0))break b}}do{N=f[K+(X<<2)>>2]|0;d:do if((N|0)<(v|0)){M=0;L=0;S=0.0;while(1){O=M+I|0;if((O|0)>=(k|0)){Z=L;_=S;break d}P=(f[i>>2]|0)+(Y(f[f[x>>2]>>2]|0,O)|0)+(N<<1)|0;O=Y(f[m>>2]|0,l)|0;if((O|0)>0){$=0;aa=L;V=S;while(1){ba=V+ +(j[P+($<<1)>>1]|0);ca=aa+1|0;$=$+l|0;if(!(($+N|0)<(v|0)&($|0)<(O|0))){da=ca;ea=ba;break}else{aa=ca;V=ba}}}else{da=L;ea=S}M=M+1|0;if((M|0)>=(R|0)){Z=da;_=ea;break}else{L=da;S=ea}}}else{d[p+(X<<1)>>1]=0;Z=0;_=0.0}while(0);N=U9b(_/+(Z|0))|0;d[p+(X<<1)>>1]=N>>>0<65536?N:(N|0)>0?65535:0;X=X+1|0}while((X|0)!=(t|0))}}else if(a)Drc(p|0,0,D|0)|0;while(0);p=H+1|0;if((p|0)>=(f[h>>2]|0))break;H=p;w=f[o>>2]|0}u=e;return}function _ka(a,c,e,g){a=a|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0;h=u;u=u+16|0;i=h;if(!(b[a+12>>0]|0)){k=0;u=h;return k|0}l=c+(f[a+16>>2]|0)|0;switch(f[a+8>>2]|0){case 1:{if((g|0)>0)m=0;else{k=0;u=h;return k|0}do{a=m<<1;n=a|1;d[e+(m<<1)>>1]=((j[c+(a<<1)>>1]|0)+2+(j[c+(n<<1)>>1]|0)+(j[l+(a<<1)>>1]|0)+(j[l+(n<<1)>>1]|0)|0)>>>2;m=m+1|0}while((m|0)!=(g|0));k=g;u=h;return k|0}case 3:{if((g|0)>0)o=0;else{k=0;u=h;return k|0}while(1){m=o<<1;n=m+3|0;d[e+(o<<1)>>1]=((j[c+(m<<1)>>1]|0)+2+(j[c+(n<<1)>>1]|0)+(j[l+(m<<1)>>1]|0)+(j[l+(n<<1)>>1]|0)|0)>>>2;n=m|1;a=m+4|0;d[e+(o+1<<1)>>1]=((j[c+(n<<1)>>1]|0)+2+(j[c+(a<<1)>>1]|0)+(j[l+(n<<1)>>1]|0)+(j[l+(a<<1)>>1]|0)|0)>>>2;a=m+2|0;n=m+5|0;d[e+(o+2<<1)>>1]=((j[c+(a<<1)>>1]|0)+2+(j[c+(n<<1)>>1]|0)+(j[l+(a<<1)>>1]|0)+(j[l+(n<<1)>>1]|0)|0)>>>2;n=o+3|0;if((n|0)<(g|0))o=n;else{k=n;break}}u=h;return k|0}case 4:{if((g|0)>0)p=0;else{k=0;u=h;return k|0}do{o=p<<1;n=o|4;d[e+(p<<1)>>1]=((j[c+(o<<1)>>1]|0)+2+(j[c+(n<<1)>>1]|0)+(j[l+(o<<1)>>1]|0)+(j[l+(n<<1)>>1]|0)|0)>>>2;n=o|1;a=o|5;d[e+((p|1)<<1)>>1]=((j[c+(n<<1)>>1]|0)+2+(j[c+(a<<1)>>1]|0)+(j[l+(n<<1)>>1]|0)+(j[l+(a<<1)>>1]|0)|0)>>>2;a=o|2;n=o|6;d[e+((p|2)<<1)>>1]=((j[c+(a<<1)>>1]|0)+2+(j[c+(n<<1)>>1]|0)+(j[l+(a<<1)>>1]|0)+(j[l+(n<<1)>>1]|0)|0)>>>2;n=o|3;a=o|7;d[e+((p|3)<<1)>>1]=((j[c+(n<<1)>>1]|0)+2+(j[c+(a<<1)>>1]|0)+(j[l+(n<<1)>>1]|0)+(j[l+(a<<1)>>1]|0)|0)>>>2;p=p+4|0}while((p|0)<(g|0));k=g+3&-4;u=h;return k|0}default:{f[i>>2]=0;f[i+4>>2]=0;k=YG(i,7)|0;b[k>>0]=b[276208]|0;b[k+1>>0]=b[276209]|0;b[k+2>>0]=b[276210]|0;b[k+3>>0]=b[276211]|0;b[k+4>>0]=b[276212]|0;b[k+5>>0]=b[276213]|0;b[k+6>>0]=b[276214]|0;SQ(-215,i,523657,273965,3070)}}return 0}function $ka(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;f[a>>2]=59624;i=a+4|0;f[i>>2]=f[b>>2];j=a+8|0;k=b+4|0;f[j>>2]=f[k>>2];l=a+12|0;f[l>>2]=f[b+8>>2];f[a+16>>2]=f[b+12>>2];f[a+20>>2]=f[b+16>>2];f[a+24>>2]=f[b+20>>2];f[a+28>>2]=f[b+24>>2];f[a+32>>2]=f[b+28>>2];f[a+36>>2]=f[b+32>>2];m=f[b+36>>2]|0;f[a+40>>2]=m;f[a+44>>2]=l;l=a+52|0;n=a+48|0;f[n>>2]=l;f[l>>2]=0;f[a+56>>2]=0;if(m|0){l=m+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[k>>2]|0)<3){k=f[b+44>>2]|0;l=f[n>>2]|0;f[l>>2]=f[k>>2];f[l+4>>2]=f[k+4>>2]}else{f[j>>2]=0;kP(i,b)}b=a+60|0;f[b>>2]=f[c>>2];i=a+64|0;j=c+4|0;f[i>>2]=f[j>>2];k=a+68|0;f[k>>2]=f[c+8>>2];f[a+72>>2]=f[c+12>>2];f[a+76>>2]=f[c+16>>2];f[a+80>>2]=f[c+20>>2];f[a+84>>2]=f[c+24>>2];f[a+88>>2]=f[c+28>>2];f[a+92>>2]=f[c+32>>2];l=f[c+36>>2]|0;f[a+96>>2]=l;f[a+100>>2]=k;k=a+108|0;n=a+104|0;f[n>>2]=k;f[k>>2]=0;f[a+112>>2]=0;if(l|0){k=l+12|0;f[k>>2]=(f[k>>2]|0)+1}if((f[j>>2]|0)<3){j=f[c+44>>2]|0;k=f[n>>2]|0;f[k>>2]=f[j>>2];f[k+4>>2]=f[j+4>>2];o=a+116|0;f[o>>2]=d;p=a+120|0;f[p>>2]=e;q=a+124|0;f[q>>2]=g;r=a+128|0;f[r>>2]=h;return}else{f[i>>2]=0;kP(b,c);o=a+116|0;f[o>>2]=d;p=a+120|0;f[p>>2]=e;q=a+124|0;f[q>>2]=g;r=a+128|0;f[r>>2]=h;return}}function ala(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=59624;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))tE(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;tE(b);return}function bla(a){a=a|0;ala(a);Emc(a);return}function cla(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0;d=u;u=u+32|0;e=d;g=f[a+44>>2]|0;i=f[g+4>>2]|0;j=f[g>>2]|0;g=(f[a+4>>2]|0)>>>3;k=(g&511)+1|0;l=a+116|0;m=f[l>>2]|0;n=a+120|0;o=f[n>>2]|0;p=Y(o,m)|0;q=1.0/+(p|0);r=Y((i|0)/(m|0)|0,k)|0;s=Y(k,f[(f[a+100>>2]|0)+4>>2]|0)|0;t=Y(k,i)|0;i=f[a+52>>2]|0;f[e>>2]=m;f[e+4>>2]=o;f[e+8>>2]=k;f[e+16>>2]=i;a:do if((m|0)==2&(o|0)==2){switch(g&511){case 2:case 0:{v=1;break a;break}default:{}}v=(k|0)==4&1}else v=0;while(0);b[e+12>>0]=v;v=f[c>>2]|0;g=c+4|0;if((v|0)>=(f[g>>2]|0)){u=d;return}c=a+76|0;m=a+108|0;i=a+20|0;w=a+48|0;x=a+128|0;y=p+-4|0;z=(p|0)<4;A=a+124|0;a=(s|0)>0;B=p&-4;C=(p|0)>0;D=(B|0)<(p|0);E=v;v=o;while(1){o=(f[c>>2]|0)+(Y(f[m>>2]|0,E)|0)|0;F=Y(v,E)|0;G=(F+v|0)<=(j|0)?r:0;if((F|0)<(j|0)){H=dla(e,(f[i>>2]|0)+(Y(f[f[w>>2]>>2]|0,F)|0)|0,o,G)|0;b:do if((H|0)<(G|0)){if(z){I=H;while(1){J=(f[i>>2]|0)+(Y(f[f[w>>2]>>2]|0,F)|0)|0;K=J+(f[(f[x>>2]|0)+(I<<2)>>2]|0)|0;if(C){J=f[A>>2]|0;L=0;M=0;while(1){N=(h[K+(f[J+(M<<2)>>2]|0)>>0]|0)+L|0;M=M+1|0;if((M|0)==(p|0)){O=N;break}else L=N}}else O=0;L=U9b(q*+(O|0))|0;b[o+I>>0]=L>>>0<256?L:(L|0)>0?255:0;I=I+1|0;if((I|0)==(G|0)){P=G;break b}}}else Q=H;do{I=(f[i>>2]|0)+(Y(f[f[w>>2]>>2]|0,F)|0)|0;L=I+(f[(f[x>>2]|0)+(Q<<2)>>2]|0)|0;I=f[A>>2]|0;M=0;J=0;do{M=(h[L+(f[I+(J<<2)>>2]|0)>>0]|0)+M+(h[L+(f[I+((J|1)<<2)>>2]|0)>>0]|0)+(h[L+(f[I+((J|2)<<2)>>2]|0)>>0]|0)+(h[L+(f[I+((J|3)<<2)>>2]|0)>>0]|0)|0;J=J+4|0}while((J|0)<=(y|0));if(D){J=M;K=B;while(1){N=(h[L+(f[I+(K<<2)>>2]|0)>>0]|0)+J|0;K=K+1|0;if((K|0)==(p|0)){R=N;break}else J=N}}else R=M;J=U9b(q*+(R|0))|0;b[o+Q>>0]=J>>>0<256?J:(J|0)>0?255:0;Q=Q+1|0}while((Q|0)!=(G|0));P=G}else P=H;while(0);if((P|0)<(s|0)){H=P;do{G=f[(f[x>>2]|0)+(H<<2)>>2]|0;J=(G|0)<(t|0);if(!J)b[o+H>>0]=0;K=f[n>>2]|0;c:do if((K|0)<1|J^1){S=0;T=0}else{I=0;L=0;N=0;while(1){U=I+F|0;if((U|0)>=(j|0)){S=L;T=N;break c}V=(f[i>>2]|0)+(Y(f[f[w>>2]>>2]|0,U)|0)+G|0;U=Y(f[l>>2]|0,k)|0;if((U|0)>0){W=0;X=L;Z=N;while(1){_=(h[V+W>>0]|0)+Z|0;$=X+1|0;W=W+k|0;if(!((W+G|0)<(t|0)&(W|0)<(U|0))){aa=$;ba=_;break}else{X=$;Z=_}}}else{aa=L;ba=N}I=I+1|0;if((I|0)>=(K|0)){S=aa;T=ba;break}else{L=aa;N=ba}}}while(0);K=U9b(+(T|0)/+(S|0))|0;b[o+H>>0]=K>>>0<256?K:(K|0)>0?255:0;H=H+1|0}while((H|0)!=(s|0))}}else if(a)Drc(o|0,0,s|0)|0;H=E+1|0;if((H|0)>=(f[g>>2]|0))break;E=H;v=f[n>>2]|0}u=d;return}function dla(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=u;u=u+16|0;i=g;if(!(b[a+12>>0]|0)){j=0;u=g;return j|0}k=c+(f[a+16>>2]|0)|0;switch(f[a+8>>2]|0){case 1:{if((e|0)>0)l=0;else{j=0;u=g;return j|0}do{a=l<<1;m=a|1;b[d+l>>0]=((h[c+a>>0]|0)+2+(h[c+m>>0]|0)+(h[k+a>>0]|0)+(h[k+m>>0]|0)|0)>>>2;l=l+1|0}while((l|0)!=(e|0));j=e;u=g;return j|0}case 3:{if((e|0)>0)n=0;else{j=0;u=g;return j|0}while(1){l=n<<1;m=l+3|0;b[d+n>>0]=((h[c+l>>0]|0)+2+(h[c+m>>0]|0)+(h[k+l>>0]|0)+(h[k+m>>0]|0)|0)>>>2;m=l|1;a=l+4|0;b[d+(n+1)>>0]=((h[c+m>>0]|0)+2+(h[c+a>>0]|0)+(h[k+m>>0]|0)+(h[k+a>>0]|0)|0)>>>2;a=l+2|0;m=l+5|0;b[d+(n+2)>>0]=((h[c+a>>0]|0)+2+(h[c+m>>0]|0)+(h[k+a>>0]|0)+(h[k+m>>0]|0)|0)>>>2;m=n+3|0;if((m|0)<(e|0))n=m;else{j=m;break}}u=g;return j|0}case 4:{if((e|0)>0)o=0;else{j=0;u=g;return j|0}do{n=o<<1;m=n|4;b[d+o>>0]=((h[c+n>>0]|0)+2+(h[c+m>>0]|0)+(h[k+n>>0]|0)+(h[k+m>>0]|0)|0)>>>2;m=n|1;a=n|5;b[d+(o|1)>>0]=((h[c+m>>0]|0)+2+(h[c+a>>0]|0)+(h[k+m>>0]|0)+(h[k+a>>0]|0)|0)>>>2;a=n|2;m=n|6;b[d+(o|2)>>0]=((h[c+a>>0]|0)+2+(h[c+m>>0]|0)+(h[k+a>>0]|0)+(h[k+m>>0]|0)|0)>>>2;m=n|3;a=n|7;b[d+(o|3)>>0]=((h[c+m>>0]|0)+2+(h[c+a>>0]|0)+(h[k+m>>0]|0)+(h[k+a>>0]|0)|0)>>>2;o=o+4|0}while((o|0)<(e|0));j=e+3&-4;u=g;return j|0}default:{f[i>>2]=0;f[i+4>>2]=0;j=YG(i,7)|0;b[j>>0]=b[276208]|0;b[j+1>>0]=b[276209]|0;b[j+2>>0]=b[276210]|0;b[j+3>>0]=b[276211]|0;b[j+4>>0]=b[276212]|0;b[j+5>>0]=b[276213]|0;b[j+6>>0]=b[276214]|0;SQ(-215,i,523657,273965,3070)}}return 0}function ela(a){a=a|0;uia(a);Emc(a);return}function fla(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;e=f[(f[a+100>>2]|0)+4>>2]|0;g=f[a+8>>2]|0;if((g|0)>0)h=f[(f[a+48>>2]|0)+(g+-1<<2)>>2]|0;else h=0;g=f[c>>2]|0;i=c+4|0;if((g|0)>=(f[i>>2]|0))return;c=a+76|0;j=a+108|0;k=a+128|0;l=(f[f[a+44>>2]>>2]|0)+-1|0;m=a+20|0;n=a+48|0;o=(e|0)>0;q=a+116|0;r=a+120|0;a=e+-2|0;s=(e|0)<2;t=e&-2;u=g;do{g=(f[c>>2]|0)+(Y(f[j>>2]|0,u)|0)|0;v=+(u|0)*+p[k>>3];w=~~v;x=w-(+(w|0)>v&1)|0;w=(f[m>>2]|0)+(Y((l|0)<(x|0)?l:x,f[f[n>>2]>>2]|0)|0)|0;switch(h|0){case 1:{if(s)y=0;else{x=0;do{z=f[q>>2]|0;A=x|1;B=b[w+(f[z+(A<<2)>>2]|0)>>0]|0;b[g+x>>0]=b[w+(f[z+(x<<2)>>2]|0)>>0]|0;b[g+A>>0]=B;x=x+2|0}while((x|0)<=(a|0));y=t}if((y|0)<(e|0)){x=y;do{b[g+x>>0]=b[w+(f[(f[q>>2]|0)+(x<<2)>>2]|0)>>0]|0;x=x+1|0}while((x|0)!=(e|0))}break}case 2:{if(o){x=f[q>>2]|0;B=0;do{d[g+(B<<1)>>1]=d[w+(f[x+(B<<2)>>2]|0)>>1]|0;B=B+1|0}while((B|0)!=(e|0))}break}case 3:{if(o){B=g;x=0;while(1){A=w+(f[(f[q>>2]|0)+(x<<2)>>2]|0)|0;b[B>>0]=b[A>>0]|0;b[B+1>>0]=b[A+1>>0]|0;b[B+2>>0]=b[A+2>>0]|0;x=x+1|0;if((x|0)==(e|0))break;else B=B+3|0}}break}case 4:{if(o){B=f[q>>2]|0;x=0;do{f[g+(x<<2)>>2]=f[w+(f[B+(x<<2)>>2]|0)>>2];x=x+1|0}while((x|0)!=(e|0))}break}case 6:{if(o){x=f[q>>2]|0;B=g;A=0;while(1){z=w+(f[x+(A<<2)>>2]|0)|0;d[B>>1]=d[z>>1]|0;d[B+2>>1]=d[z+2>>1]|0;d[B+4>>1]=d[z+4>>1]|0;A=A+1|0;if((A|0)==(e|0))break;else B=B+6|0}}break}case 8:{if(o){B=f[q>>2]|0;A=g;x=0;while(1){z=w+(f[B+(x<<2)>>2]|0)|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];x=x+1|0;if((x|0)==(e|0))break;else A=A+8|0}}break}case 12:{if(o){A=f[q>>2]|0;x=g;B=0;while(1){z=w+(f[A+(B<<2)>>2]|0)|0;f[x>>2]=f[z>>2];f[x+4>>2]=f[z+4>>2];f[x+8>>2]=f[z+8>>2];B=B+1|0;if((B|0)==(e|0))break;else x=x+12|0}}break}default:if(o){x=f[q>>2]|0;B=g;A=0;z=f[r>>2]|0;while(1){C=w+(f[x+(A<<2)>>2]|0)|0;if((z|0)>0){D=0;do{f[B+(D<<2)>>2]=f[C+(D<<2)>>2];D=D+1|0;E=f[r>>2]|0}while((D|0)<(E|0));F=E}else F=z;A=A+1|0;if((A|0)==(e|0))break;else{B=B+h|0;z=F}}}}u=u+1|0}while((u|0)<(f[i>>2]|0));return}function gla(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=+k;l=+l;var m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;m=u;u=u+1184|0;n=m+128|0;o=m+48|0;q=m+24|0;r=m;s=m+1168|0;switch(j|0){case 1:{t=(c|0)>2?144:143;break}case 2:{t=(c|0)>2?146:145;break}case 3:{t=(c|0)>2?148:147;break}case 4:{t=(c|0)>2?150:149;break}default:t=(c|0)>2?152:151}v=n;f[v>>2]=0;f[v+4>>2]=1072693248;p[o>>3]=k;cAb(q,n,o);f[q+8>>2]=c;v=q+12|0;f[v>>2]=0;w=q+16|0;f[w>>2]=h;x=n;f[x>>2]=0;f[x+4>>2]=1072693248;p[o>>3]=l;cAb(r,n,o);f[r+8>>2]=d;x=r+12|0;f[x>>2]=0;y=r+16|0;f[y>>2]=i;z=i+h<<3;A=n+8|0;f[n>>2]=A;B=n+4|0;f[B>>2]=z;if(z>>>0>1032){C=Dmc(z)|0;f[n>>2]=C;D=C}else D=A;C=D+(h<<2)|0;z=C+(i<<2)|0;E=z+(h<<2)|0;if((h|0)>0){F=0;do{tma(q,F,D+(F<<2)|0,z+(F<<2)|0);F=F+1|0}while((F|0)<(h|0))}F=f[v>>2]|0;v=f[w>>2]|0;if((i|0)>0){w=0;do{tma(r,w,C+(w<<2)|0,E+(w<<2)|0);w=w+1|0}while((w|0)<(i|0))}w=f[x>>2]|0;x=f[y>>2]|0;f[o>>2]=59744;f[o+4>>2]=a;f[o+8>>2]=b;f[o+12>>2]=c;f[o+16>>2]=d;f[o+20>>2]=e;f[o+24>>2]=g;f[o+28>>2]=h;f[o+32>>2]=i;f[o+36>>2]=j;f[o+40>>2]=D;f[o+44>>2]=C;f[o+48>>2]=z;f[o+52>>2]=E;f[o+56>>2]=F;f[o+60>>2]=v;f[o+64>>2]=w;f[o+68>>2]=x;f[o+72>>2]=t;f[s>>2]=0;f[s+4>>2]=i;oU(s,o,+(Y(i,h)|0)*.0000152587890625);h=f[n>>2]|0;if((h|0)==(A|0)){u=m;return}if(h|0)Fmc(h);f[n>>2]=A;f[B>>2]=1032;u=m;return}function hla(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=+k;l=+l;var m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;m=u;u=u+1184|0;n=m+128|0;o=m+48|0;q=m+24|0;r=m;s=m+1168|0;switch(j|0){case 1:{t=(c|0)>2?154:153;break}case 2:{t=(c|0)>2?156:155;break}case 3:{t=(c|0)>2?158:157;break}case 4:{t=(c|0)>2?160:159;break}default:t=(c|0)>2?162:161}v=n;f[v>>2]=0;f[v+4>>2]=1072693248;p[o>>3]=k;cAb(q,n,o);f[q+8>>2]=c;v=q+12|0;f[v>>2]=0;w=q+16|0;f[w>>2]=h;x=n;f[x>>2]=0;f[x+4>>2]=1072693248;p[o>>3]=l;cAb(r,n,o);f[r+8>>2]=d;x=r+12|0;f[x>>2]=0;y=r+16|0;f[y>>2]=i;z=(i+h|0)*12|0;A=n+8|0;f[n>>2]=A;B=n+4|0;f[B>>2]=z;if(z>>>0>1032){C=Dmc(z)|0;f[n>>2]=C;D=C}else D=A;C=D+(h<<2)|0;z=C+(i<<2)|0;E=z+(h<<1<<2)|0;if((h|0)>0){F=0;do{gma(q,F,D+(F<<2)|0,z+(F<<1<<2)|0);F=F+1|0}while((F|0)<(h|0))}F=f[v>>2]|0;v=f[w>>2]|0;if((i|0)>0){w=0;do{gma(r,w,C+(w<<2)|0,E+(w<<1<<2)|0);w=w+1|0}while((w|0)<(i|0))}w=f[x>>2]|0;x=f[y>>2]|0;f[o>>2]=59724;f[o+4>>2]=a;f[o+8>>2]=b;f[o+12>>2]=c;f[o+16>>2]=d;f[o+20>>2]=e;f[o+24>>2]=g;f[o+28>>2]=h;f[o+32>>2]=i;f[o+36>>2]=j;f[o+40>>2]=D;f[o+44>>2]=C;f[o+48>>2]=z;f[o+52>>2]=E;f[o+56>>2]=F;f[o+60>>2]=v;f[o+64>>2]=w;f[o+68>>2]=x;f[o+72>>2]=t;f[s>>2]=0;f[s+4>>2]=i;oU(s,o,+(Y(i,h)|0)*.0000152587890625);h=f[n>>2]|0;if((h|0)==(A|0)){u=m;return}if(h|0)Fmc(h);f[n>>2]=A;f[B>>2]=1032;u=m;return}function ila(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=+k;l=+l;var m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;m=u;u=u+1184|0;n=m+128|0;o=m+48|0;q=m+24|0;r=m;s=m+1168|0;switch(j|0){case 1:{t=(c|0)>2?164:163;break}case 2:{t=(c|0)>2?166:165;break}case 3:{t=(c|0)>2?168:167;break}case 4:{t=(c|0)>2?170:169;break}default:t=(c|0)>2?172:171}v=n;f[v>>2]=0;f[v+4>>2]=1072693248;p[o>>3]=k;cAb(q,n,o);f[q+8>>2]=c;v=q+12|0;f[v>>2]=0;w=q+16|0;f[w>>2]=h;x=n;f[x>>2]=0;f[x+4>>2]=1072693248;p[o>>3]=l;cAb(r,n,o);f[r+8>>2]=d;x=r+12|0;f[x>>2]=0;y=r+16|0;f[y>>2]=i;z=(i+h|0)*12|0;A=n+8|0;f[n>>2]=A;B=n+4|0;f[B>>2]=z;if(z>>>0>1032){C=Dmc(z)|0;f[n>>2]=C;D=C}else D=A;C=D+(h<<2)|0;z=C+(i<<2)|0;E=z+(h<<1<<2)|0;if((h|0)>0){F=0;do{Vla(q,F,D+(F<<2)|0,z+(F<<1<<2)|0);F=F+1|0}while((F|0)<(h|0))}F=f[v>>2]|0;v=f[w>>2]|0;if((i|0)>0){w=0;do{Vla(r,w,C+(w<<2)|0,E+(w<<1<<2)|0);w=w+1|0}while((w|0)<(i|0))}w=f[x>>2]|0;x=f[y>>2]|0;f[o>>2]=59704;f[o+4>>2]=a;f[o+8>>2]=b;f[o+12>>2]=c;f[o+16>>2]=d;f[o+20>>2]=e;f[o+24>>2]=g;f[o+28>>2]=h;f[o+32>>2]=i;f[o+36>>2]=j;f[o+40>>2]=D;f[o+44>>2]=C;f[o+48>>2]=z;f[o+52>>2]=E;f[o+56>>2]=F;f[o+60>>2]=v;f[o+64>>2]=w;f[o+68>>2]=x;f[o+72>>2]=t;f[s>>2]=0;f[s+4>>2]=i;oU(s,o,+(Y(i,h)|0)*.0000152587890625);h=f[n>>2]|0;if((h|0)==(A|0)){u=m;return}if(h|0)Fmc(h);f[n>>2]=A;f[B>>2]=1032;u=m;return}function jla(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=+k;l=+l;var m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;m=u;u=u+1184|0;n=m+128|0;o=m+48|0;q=m+24|0;r=m;s=m+1168|0;switch(j|0){case 1:{t=(c|0)>2?174:173;break}case 2:{t=(c|0)>2?176:175;break}case 3:{t=(c|0)>2?178:177;break}case 4:{t=(c|0)>2?180:179;break}default:t=(c|0)>2?182:181}v=n;f[v>>2]=0;f[v+4>>2]=1072693248;p[o>>3]=k;cAb(q,n,o);f[q+8>>2]=c;v=q+12|0;f[v>>2]=0;w=q+16|0;f[w>>2]=h;x=n;f[x>>2]=0;f[x+4>>2]=1072693248;p[o>>3]=l;cAb(r,n,o);f[r+8>>2]=d;x=r+12|0;f[x>>2]=0;y=r+16|0;f[y>>2]=i;z=(i+h|0)*12|0;A=n+8|0;f[n>>2]=A;B=n+4|0;f[B>>2]=z;if(z>>>0>1032){C=Dmc(z)|0;f[n>>2]=C;D=C}else D=A;C=D+(h<<2)|0;z=C+(i<<2)|0;E=z+(h<<1<<2)|0;if((h|0)>0){F=0;do{Ila(q,F,D+(F<<2)|0,z+(F<<1<<2)|0);F=F+1|0}while((F|0)<(h|0))}F=f[v>>2]|0;v=f[w>>2]|0;if((i|0)>0){w=0;do{Ila(r,w,C+(w<<2)|0,E+(w<<1<<2)|0);w=w+1|0}while((w|0)<(i|0))}w=f[x>>2]|0;x=f[y>>2]|0;f[o>>2]=59684;f[o+4>>2]=a;f[o+8>>2]=b;f[o+12>>2]=c;f[o+16>>2]=d;f[o+20>>2]=e;f[o+24>>2]=g;f[o+28>>2]=h;f[o+32>>2]=i;f[o+36>>2]=j;f[o+40>>2]=D;f[o+44>>2]=C;f[o+48>>2]=z;f[o+52>>2]=E;f[o+56>>2]=F;f[o+60>>2]=v;f[o+64>>2]=w;f[o+68>>2]=x;f[o+72>>2]=t;f[s>>2]=0;f[s+4>>2]=i;oU(s,o,+(Y(i,h)|0)*.0000152587890625);h=f[n>>2]|0;if((h|0)==(A|0)){u=m;return}if(h|0)Fmc(h);f[n>>2]=A;f[B>>2]=1032;u=m;return}function kla(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=+k;l=+l;var m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;m=u;u=u+1184|0;n=m+128|0;o=m+48|0;q=m+24|0;r=m;s=m+1168|0;switch(j|0){case 1:{t=(c|0)>2?184:183;break}case 2:{t=(c|0)>2?186:185;break}case 3:{t=(c|0)>2?188:187;break}case 4:{t=(c|0)>2?190:189;break}default:t=(c|0)>2?192:191}v=n;f[v>>2]=0;f[v+4>>2]=1072693248;p[o>>3]=k;cAb(q,n,o);f[q+8>>2]=c;v=q+12|0;f[v>>2]=0;w=q+16|0;f[w>>2]=h;x=n;f[x>>2]=0;f[x+4>>2]=1072693248;p[o>>3]=l;cAb(r,n,o);f[r+8>>2]=d;x=r+12|0;f[x>>2]=0;y=r+16|0;f[y>>2]=i;z=(i+h|0)*20|0;A=n+8|0;f[n>>2]=A;B=n+4|0;f[B>>2]=z;if(z>>>0>1032){C=Dmc(z)|0;f[n>>2]=C;D=C}else D=A;C=D+(h<<2)|0;z=C+(i<<2)|0;E=z+(h<<1<<3)|0;if((h|0)>0){F=0;do{vla(q,F,D+(F<<2)|0,z+(F<<1<<3)|0);F=F+1|0}while((F|0)<(h|0))}F=f[v>>2]|0;v=f[w>>2]|0;if((i|0)>0){w=0;do{vla(r,w,C+(w<<2)|0,E+(w<<1<<3)|0);w=w+1|0}while((w|0)<(i|0))}w=f[x>>2]|0;x=f[y>>2]|0;f[o>>2]=59664;f[o+4>>2]=a;f[o+8>>2]=b;f[o+12>>2]=c;f[o+16>>2]=d;f[o+20>>2]=e;f[o+24>>2]=g;f[o+28>>2]=h;f[o+32>>2]=i;f[o+36>>2]=j;f[o+40>>2]=D;f[o+44>>2]=C;f[o+48>>2]=z;f[o+52>>2]=E;f[o+56>>2]=F;f[o+60>>2]=v;f[o+64>>2]=w;f[o+68>>2]=x;f[o+72>>2]=t;f[s>>2]=0;f[s+4>>2]=i;oU(s,o,+(Y(i,h)|0)*.0000152587890625);h=f[n>>2]|0;if((h|0)==(A|0)){u=m;return}if(h|0)Fmc(h);f[n>>2]=A;f[B>>2]=1032;u=m;return}function lla(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;b=f[a>>2]|0;if((g|0)>0){j=0;k=e;while(1){l=k;f[l>>2]=0;f[l+4>>2]=b;j=j+1|0;if((j|0)==(g|0))break;else k=k+8|0}m=d+(g<<1<<3)|0;n=g;o=e+(g<<3)|0}else{m=d;n=0;o=e}if((n|0)<(h|0)){e=m;m=n;d=o;while(1){g=a+(f[c+(m<<2)>>2]<<2)|0;k=e;j=f[k>>2]|0;b=f[k+4>>2]|0;k=f[g>>2]|0;l=(b|0)<0;p=(k|0)<0;q=zrc(0,0,j|0,b|0)|0;r=l?q:j;q=l?J:b;l=zrc(0,0,0,k|0)|0;l=J;s=p?l:k;l=k^b;b=Urc(s|0,0,r|0,0)|0;r=J;k=Urc(s|0,0,q|0,0)|0;q=J;s=Arc(k|0,0,r|0,0)|0;r=J|q;if(r>>>0>0|(r|0)==0&(s|k)>>>0>2147483647){k=Irc(j|0,l|0,63)|0;j=Arc(k|0,J|0,-1,2147483647)|0;t=J;u=j}else{j=(l|0)<0;l=zrc(0,0,b|0,s|0)|0;t=j?J:s;u=j?l:b}b=e+8|0;l=f[b>>2]|0;j=f[b+4>>2]|0;b=f[g+4>>2]|0;g=(j|0)<0;s=(b|0)<0;k=zrc(0,0,l|0,j|0)|0;r=g?k:l;k=g?J:j;g=zrc(0,0,0,b|0)|0;g=J;q=s?g:b;g=b^j;j=Urc(q|0,0,r|0,0)|0;r=J;b=Urc(q|0,0,k|0,0)|0;k=J;q=Arc(b|0,0,r|0,0)|0;r=J|k;if(r>>>0>0|(r|0)==0&(q|b)>>>0>2147483647){b=Irc(l|0,g|0,63)|0;l=Arc(b|0,J|0,-1,2147483647)|0;v=l;w=J}else{l=(g|0)<0;g=zrc(0,0,j|0,q|0)|0;v=l?g:j;w=l?J:q}q=Arc(v|0,w|0,u|0,t|0)|0;l=J;j=((l^t)&(l^w)|0)<0;g=d;f[g>>2]=j?-1:q;f[g+4>>2]=j?(l|2147483647)^-2147483648:l;m=m+1|0;if((m|0)==(h|0))break;else{e=e+16|0;d=d+8|0}}x=h;y=o+(h-n<<3)|0}else{x=n;y=o}o=f[a+(f[c+(i+-1<<2)>>2]<<2)>>2]|0;if((x|0)<(i|0)){z=x;A=y}else return;while(1){y=A;f[y>>2]=0;f[y+4>>2]=o;z=z+1|0;if((z|0)==(i|0))break;else A=A+8|0}return}function mla(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;ula(a,b,c,d,e,f,g,h);return}function nla(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;b=f[a>>2]|0;j=f[a+4>>2]|0;if((g|0)>0){k=g<<1;l=0;m=e;while(1){n=m;f[n>>2]=0;f[n+4>>2]=b;n=m+8|0;f[n>>2]=0;f[n+4>>2]=j;l=l+1|0;if((l|0)==(g|0))break;else m=m+16|0}o=d+(k<<3)|0;p=g;q=e+(k<<3)|0}else{o=d;p=0;q=e}if((p|0)<(h|0)){e=h-p|0;d=p;k=q;g=o;while(1){o=a+(f[c+(d<<2)>>2]<<1<<2)|0;m=g;l=f[m>>2]|0;j=f[m+4>>2]|0;m=f[o>>2]|0;b=(j|0)<0;n=(m|0)<0;r=zrc(0,0,l|0,j|0)|0;s=b?r:l;r=b?J:j;b=zrc(0,0,0,m|0)|0;b=J;t=n?b:m;b=m^j;j=Urc(t|0,0,s|0,0)|0;s=J;m=Urc(t|0,0,r|0,0)|0;r=J;t=Arc(m|0,0,s|0,0)|0;s=J|r;if(s>>>0>0|(s|0)==0&(t|m)>>>0>2147483647){m=Irc(l|0,b|0,63)|0;l=Arc(m|0,J|0,-1,2147483647)|0;u=l;v=J}else{l=(b|0)<0;b=zrc(0,0,j|0,t|0)|0;u=l?b:j;v=l?J:t}t=g+8|0;l=t;j=f[l>>2]|0;b=f[l+4>>2]|0;l=f[o+8>>2]|0;m=(b|0)<0;s=(l|0)<0;r=zrc(0,0,j|0,b|0)|0;n=m?r:j;r=m?J:b;m=zrc(0,0,0,l|0)|0;m=J;w=s?m:l;m=l^b;b=Urc(w|0,0,n|0,0)|0;n=J;l=Urc(w|0,0,r|0,0)|0;r=J;w=Arc(l|0,0,n|0,0)|0;n=J|r;if(n>>>0>0|(n|0)==0&(w|l)>>>0>2147483647){l=Irc(j|0,m|0,63)|0;j=Arc(l|0,J|0,-1,2147483647)|0;x=j;y=J}else{j=(m|0)<0;m=zrc(0,0,b|0,w|0)|0;x=j?m:b;y=j?J:w}w=Arc(x|0,y|0,u|0,v|0)|0;j=J;b=((j^v)&(j^y)|0)<0;m=k;f[m>>2]=b?-1:w;f[m+4>>2]=b?(j|2147483647)^-2147483648:j;j=g;b=f[j>>2]|0;m=f[j+4>>2]|0;j=f[o+4>>2]|0;w=(m|0)<0;l=(j|0)<0;n=zrc(0,0,b|0,m|0)|0;r=w?n:b;n=w?J:m;w=zrc(0,0,0,j|0)|0;w=J;s=l?w:j;w=j^m;m=Urc(s|0,0,r|0,0)|0;r=J;j=Urc(s|0,0,n|0,0)|0;n=J;s=Arc(j|0,0,r|0,0)|0;r=J|n;if(r>>>0>0|(r|0)==0&(s|j)>>>0>2147483647){j=Irc(b|0,w|0,63)|0;b=Arc(j|0,J|0,-1,2147483647)|0;z=b;A=J}else{b=(w|0)<0;w=zrc(0,0,m|0,s|0)|0;z=b?w:m;A=b?J:s}s=t;t=f[s>>2]|0;b=f[s+4>>2]|0;s=f[o+12>>2]|0;o=(b|0)<0;m=(s|0)<0;w=zrc(0,0,t|0,b|0)|0;j=o?w:t;w=o?J:b;o=zrc(0,0,0,s|0)|0;o=J;r=m?o:s;o=s^b;b=Urc(r|0,0,j|0,0)|0;j=J;s=Urc(r|0,0,w|0,0)|0;w=J;r=Arc(s|0,0,j|0,0)|0;j=J|w;if(j>>>0>0|(j|0)==0&(r|s)>>>0>2147483647){s=Irc(t|0,o|0,63)|0;t=Arc(s|0,J|0,-1,2147483647)|0;B=t;C=J}else{t=(o|0)<0;o=zrc(0,0,b|0,r|0)|0;B=t?o:b;C=t?J:r}r=Arc(B|0,C|0,z|0,A|0)|0;t=J;b=((t^A)&(t^C)|0)<0;o=k+8|0;f[o>>2]=b?-1:r;f[o+4>>2]=b?(t|2147483647)^-2147483648:t;d=d+1|0;if((d|0)==(h|0))break;else{k=k+16|0;g=g+16|0}}D=h;E=q+(e<<1<<3)|0}else{D=p;E=q}q=a+(f[c+(i+-1<<2)>>2]<<1<<2)|0;c=f[q>>2]|0;a=f[q+4>>2]|0;if((D|0)<(i|0)){F=E;G=D}else return;while(1){D=F;f[D>>2]=0;f[D+4>>2]=c;D=F+8|0;f[D>>2]=0;f[D+4>>2]=a;G=G+1|0;if((G|0)==(i|0))break;else F=F+16|0}return}function ola(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;ula(a,b,c,d,e,f,g,h);return}function pla(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0;b=f[a>>2]|0;j=f[a+4>>2]|0;k=f[a+8>>2]|0;if((g|0)>0){l=g*3|0;m=0;n=e;while(1){o=n;f[o>>2]=0;f[o+4>>2]=b;o=n+8|0;f[o>>2]=0;f[o+4>>2]=j;o=n+16|0;f[o>>2]=0;f[o+4>>2]=k;m=m+1|0;if((m|0)==(g|0))break;else n=n+24|0}p=d+(g<<1<<3)|0;q=g;r=e+(l<<3)|0}else{p=d;q=0;r=e}if((q|0)<(h|0)){e=h-q|0;d=q;l=r;g=p;while(1){p=a+((f[c+(d<<2)>>2]|0)*3<<2)|0;n=g;m=f[n>>2]|0;k=f[n+4>>2]|0;n=f[p>>2]|0;j=(k|0)<0;b=(n|0)<0;o=zrc(0,0,m|0,k|0)|0;s=j?o:m;o=j?J:k;j=zrc(0,0,0,n|0)|0;j=J;t=b?j:n;j=n^k;k=Urc(t|0,0,s|0,0)|0;s=J;n=Urc(t|0,0,o|0,0)|0;o=J;t=Arc(n|0,0,s|0,0)|0;s=J|o;if(s>>>0>0|(s|0)==0&(t|n)>>>0>2147483647){n=Irc(m|0,j|0,63)|0;m=Arc(n|0,J|0,-1,2147483647)|0;u=m;v=J}else{m=(j|0)<0;j=zrc(0,0,k|0,t|0)|0;u=m?j:k;v=m?J:t}t=g+8|0;m=t;k=f[m>>2]|0;j=f[m+4>>2]|0;m=f[p+12>>2]|0;n=(j|0)<0;s=(m|0)<0;o=zrc(0,0,k|0,j|0)|0;b=n?o:k;o=n?J:j;n=zrc(0,0,0,m|0)|0;n=J;w=s?n:m;n=m^j;j=Urc(w|0,0,b|0,0)|0;b=J;m=Urc(w|0,0,o|0,0)|0;o=J;w=Arc(m|0,0,b|0,0)|0;b=J|o;if(b>>>0>0|(b|0)==0&(w|m)>>>0>2147483647){m=Irc(k|0,n|0,63)|0;k=Arc(m|0,J|0,-1,2147483647)|0;x=k;y=J}else{k=(n|0)<0;n=zrc(0,0,j|0,w|0)|0;x=k?n:j;y=k?J:w}w=Arc(x|0,y|0,u|0,v|0)|0;k=J;j=((k^v)&(k^y)|0)<0;n=l;f[n>>2]=j?-1:w;f[n+4>>2]=j?(k|2147483647)^-2147483648:k;k=g;j=f[k>>2]|0;n=f[k+4>>2]|0;k=f[p+4>>2]|0;w=(n|0)<0;m=(k|0)<0;b=zrc(0,0,j|0,n|0)|0;o=w?b:j;b=w?J:n;w=zrc(0,0,0,k|0)|0;w=J;s=m?w:k;w=k^n;n=Urc(s|0,0,o|0,0)|0;o=J;k=Urc(s|0,0,b|0,0)|0;b=J;s=Arc(k|0,0,o|0,0)|0;o=J|b;if(o>>>0>0|(o|0)==0&(s|k)>>>0>2147483647){k=Irc(j|0,w|0,63)|0;j=Arc(k|0,J|0,-1,2147483647)|0;z=j;A=J}else{j=(w|0)<0;w=zrc(0,0,n|0,s|0)|0;z=j?w:n;A=j?J:s}s=t;j=f[s>>2]|0;n=f[s+4>>2]|0;s=f[p+16>>2]|0;w=(n|0)<0;k=(s|0)<0;o=zrc(0,0,j|0,n|0)|0;b=w?o:j;o=w?J:n;w=zrc(0,0,0,s|0)|0;w=J;m=k?w:s;w=s^n;n=Urc(m|0,0,b|0,0)|0;b=J;s=Urc(m|0,0,o|0,0)|0;o=J;m=Arc(s|0,0,b|0,0)|0;b=J|o;if(b>>>0>0|(b|0)==0&(m|s)>>>0>2147483647){s=Irc(j|0,w|0,63)|0;j=Arc(s|0,J|0,-1,2147483647)|0;B=j;C=J}else{j=(w|0)<0;w=zrc(0,0,n|0,m|0)|0;B=j?w:n;C=j?J:m}m=Arc(B|0,C|0,z|0,A|0)|0;j=J;n=((j^A)&(j^C)|0)<0;w=l+8|0;f[w>>2]=n?-1:m;f[w+4>>2]=n?(j|2147483647)^-2147483648:j;j=g;n=f[j>>2]|0;w=f[j+4>>2]|0;j=f[p+8>>2]|0;m=(w|0)<0;s=(j|0)<0;b=zrc(0,0,n|0,w|0)|0;o=m?b:n;b=m?J:w;m=zrc(0,0,0,j|0)|0;m=J;k=s?m:j;m=j^w;w=Urc(k|0,0,o|0,0)|0;o=J;j=Urc(k|0,0,b|0,0)|0;b=J;k=Arc(j|0,0,o|0,0)|0;o=J|b;if(o>>>0>0|(o|0)==0&(k|j)>>>0>2147483647){j=Irc(n|0,m|0,63)|0;n=Arc(j|0,J|0,-1,2147483647)|0;D=n;E=J}else{n=(m|0)<0;m=zrc(0,0,w|0,k|0)|0;D=n?m:w;E=n?J:k}k=t;t=f[k>>2]|0;n=f[k+4>>2]|0;k=f[p+20>>2]|0;p=(n|0)<0;w=(k|0)<0;m=zrc(0,0,t|0,n|0)|0;j=p?m:t;m=p?J:n;p=zrc(0,0,0,k|0)|0;p=J;o=w?p:k;p=k^n;n=Urc(o|0,0,j|0,0)|0;j=J;k=Urc(o|0,0,m|0,0)|0;m=J;o=Arc(k|0,0,j|0,0)|0;j=J|m;if(j>>>0>0|(j|0)==0&(o|k)>>>0>2147483647){k=Irc(t|0,p|0,63)|0;t=Arc(k|0,J|0,-1,2147483647)|0;F=t;G=J}else{t=(p|0)<0;p=zrc(0,0,n|0,o|0)|0;F=t?p:n;G=t?J:o}o=Arc(F|0,G|0,D|0,E|0)|0;t=J;n=((t^E)&(t^G)|0)<0;p=l+16|0;f[p>>2]=n?-1:o;f[p+4>>2]=n?(t|2147483647)^-2147483648:t;d=d+1|0;if((d|0)==(h|0))break;else{l=l+24|0;g=g+16|0}}H=h;I=r+(e*3<<3)|0}else{H=q;I=r}r=a+((f[c+(i+-1<<2)>>2]|0)*3<<2)|0;c=f[r>>2]|0;a=f[r+4>>2]|0;q=f[r+8>>2]|0;if((H|0)<(i|0)){K=I;L=H}else return;while(1){H=K;f[H>>2]=0;f[H+4>>2]=c;H=K+8|0;f[H>>2]=0;f[H+4>>2]=a;H=K+16|0;f[H>>2]=0;f[H+4>>2]=q;L=L+1|0;if((L|0)==(i|0))break;else K=K+24|0}return}function qla(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;ula(a,b,c,d,e,f,g,h);return}function rla(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0;b=f[a>>2]|0;j=f[a+4>>2]|0;k=f[a+8>>2]|0;l=f[a+12>>2]|0;if((g|0)>0){m=g<<2;n=0;o=e;while(1){p=o;f[p>>2]=0;f[p+4>>2]=b;p=o+8|0;f[p>>2]=0;f[p+4>>2]=j;p=o+16|0;f[p>>2]=0;f[p+4>>2]=k;p=o+24|0;f[p>>2]=0;f[p+4>>2]=l;n=n+1|0;if((n|0)==(g|0))break;else o=o+32|0}q=d+(g<<1<<3)|0;r=g;s=e+(m<<3)|0}else{q=d;r=0;s=e}if((r|0)<(h|0)){e=h-r|0;d=q;q=r;m=s;while(1){g=a+(f[c+(q<<2)>>2]<<2<<2)|0;o=d;n=f[o>>2]|0;l=f[o+4>>2]|0;o=f[g>>2]|0;k=(l|0)<0;j=(o|0)<0;b=zrc(0,0,n|0,l|0)|0;p=k?b:n;b=k?J:l;k=zrc(0,0,0,o|0)|0;k=J;t=j?k:o;k=o^l;l=Urc(t|0,0,p|0,0)|0;p=J;o=Urc(t|0,0,b|0,0)|0;b=J;t=Arc(o|0,0,p|0,0)|0;p=J|b;if(p>>>0>0|(p|0)==0&(t|o)>>>0>2147483647){o=Irc(n|0,k|0,63)|0;n=Arc(o|0,J|0,-1,2147483647)|0;u=n;v=J}else{n=(k|0)<0;k=zrc(0,0,l|0,t|0)|0;u=n?k:l;v=n?J:t}t=d+8|0;n=t;l=f[n>>2]|0;k=f[n+4>>2]|0;n=f[g+16>>2]|0;o=(k|0)<0;p=(n|0)<0;b=zrc(0,0,l|0,k|0)|0;j=o?b:l;b=o?J:k;o=zrc(0,0,0,n|0)|0;o=J;w=p?o:n;o=n^k;k=Urc(w|0,0,j|0,0)|0;j=J;n=Urc(w|0,0,b|0,0)|0;b=J;w=Arc(n|0,0,j|0,0)|0;j=J|b;if(j>>>0>0|(j|0)==0&(w|n)>>>0>2147483647){n=Irc(l|0,o|0,63)|0;l=Arc(n|0,J|0,-1,2147483647)|0;x=l;y=J}else{l=(o|0)<0;o=zrc(0,0,k|0,w|0)|0;x=l?o:k;y=l?J:w}w=Arc(x|0,y|0,u|0,v|0)|0;l=J;k=((l^v)&(l^y)|0)<0;o=m;f[o>>2]=k?-1:w;f[o+4>>2]=k?(l|2147483647)^-2147483648:l;l=d;k=f[l>>2]|0;o=f[l+4>>2]|0;l=f[g+4>>2]|0;w=(o|0)<0;n=(l|0)<0;j=zrc(0,0,k|0,o|0)|0;b=w?j:k;j=w?J:o;w=zrc(0,0,0,l|0)|0;w=J;p=n?w:l;w=l^o;o=Urc(p|0,0,b|0,0)|0;b=J;l=Urc(p|0,0,j|0,0)|0;j=J;p=Arc(l|0,0,b|0,0)|0;b=J|j;if(b>>>0>0|(b|0)==0&(p|l)>>>0>2147483647){l=Irc(k|0,w|0,63)|0;k=Arc(l|0,J|0,-1,2147483647)|0;z=k;A=J}else{k=(w|0)<0;w=zrc(0,0,o|0,p|0)|0;z=k?w:o;A=k?J:p}p=t;k=f[p>>2]|0;o=f[p+4>>2]|0;p=f[g+20>>2]|0;w=(o|0)<0;l=(p|0)<0;b=zrc(0,0,k|0,o|0)|0;j=w?b:k;b=w?J:o;w=zrc(0,0,0,p|0)|0;w=J;n=l?w:p;w=p^o;o=Urc(n|0,0,j|0,0)|0;j=J;p=Urc(n|0,0,b|0,0)|0;b=J;n=Arc(p|0,0,j|0,0)|0;j=J|b;if(j>>>0>0|(j|0)==0&(n|p)>>>0>2147483647){p=Irc(k|0,w|0,63)|0;k=Arc(p|0,J|0,-1,2147483647)|0;B=k;C=J}else{k=(w|0)<0;w=zrc(0,0,o|0,n|0)|0;B=k?w:o;C=k?J:n}n=Arc(B|0,C|0,z|0,A|0)|0;k=J;o=((k^A)&(k^C)|0)<0;w=m+8|0;f[w>>2]=o?-1:n;f[w+4>>2]=o?(k|2147483647)^-2147483648:k;k=d;o=f[k>>2]|0;w=f[k+4>>2]|0;k=f[g+8>>2]|0;n=(w|0)<0;p=(k|0)<0;j=zrc(0,0,o|0,w|0)|0;b=n?j:o;j=n?J:w;n=zrc(0,0,0,k|0)|0;n=J;l=p?n:k;n=k^w;w=Urc(l|0,0,b|0,0)|0;b=J;k=Urc(l|0,0,j|0,0)|0;j=J;l=Arc(k|0,0,b|0,0)|0;b=J|j;if(b>>>0>0|(b|0)==0&(l|k)>>>0>2147483647){k=Irc(o|0,n|0,63)|0;o=Arc(k|0,J|0,-1,2147483647)|0;D=o;E=J}else{o=(n|0)<0;n=zrc(0,0,w|0,l|0)|0;D=o?n:w;E=o?J:l}l=t;o=f[l>>2]|0;w=f[l+4>>2]|0;l=f[g+24>>2]|0;n=(w|0)<0;k=(l|0)<0;b=zrc(0,0,o|0,w|0)|0;j=n?b:o;b=n?J:w;n=zrc(0,0,0,l|0)|0;n=J;p=k?n:l;n=l^w;w=Urc(p|0,0,j|0,0)|0;j=J;l=Urc(p|0,0,b|0,0)|0;b=J;p=Arc(l|0,0,j|0,0)|0;j=J|b;if(j>>>0>0|(j|0)==0&(p|l)>>>0>2147483647){l=Irc(o|0,n|0,63)|0;o=Arc(l|0,J|0,-1,2147483647)|0;F=o;G=J}else{o=(n|0)<0;n=zrc(0,0,w|0,p|0)|0;F=o?n:w;G=o?J:p}p=Arc(F|0,G|0,D|0,E|0)|0;o=J;w=((o^E)&(o^G)|0)<0;n=m+16|0;f[n>>2]=w?-1:p;f[n+4>>2]=w?(o|2147483647)^-2147483648:o;o=d;w=f[o>>2]|0;n=f[o+4>>2]|0;o=f[g+12>>2]|0;p=(n|0)<0;l=(o|0)<0;j=zrc(0,0,w|0,n|0)|0;b=p?j:w;j=p?J:n;p=zrc(0,0,0,o|0)|0;p=J;k=l?p:o;p=o^n;n=Urc(k|0,0,b|0,0)|0;b=J;o=Urc(k|0,0,j|0,0)|0;j=J;k=Arc(o|0,0,b|0,0)|0;b=J|j;if(b>>>0>0|(b|0)==0&(k|o)>>>0>2147483647){o=Irc(w|0,p|0,63)|0;w=Arc(o|0,J|0,-1,2147483647)|0;H=w;I=J}else{w=(p|0)<0;p=zrc(0,0,n|0,k|0)|0;H=w?p:n;I=w?J:k}k=t;t=f[k>>2]|0;w=f[k+4>>2]|0;k=f[g+28>>2]|0;g=(w|0)<0;n=(k|0)<0;p=zrc(0,0,t|0,w|0)|0;o=g?p:t;p=g?J:w;g=zrc(0,0,0,k|0)|0;g=J;b=n?g:k;g=k^w;w=Urc(b|0,0,o|0,0)|0;o=J;k=Urc(b|0,0,p|0,0)|0;p=J;b=Arc(k|0,0,o|0,0)|0;o=J|p;if(o>>>0>0|(o|0)==0&(b|k)>>>0>2147483647){k=Irc(t|0,g|0,63)|0;t=Arc(k|0,J|0,-1,2147483647)|0;K=t;L=J}else{t=(g|0)<0;g=zrc(0,0,w|0,b|0)|0;K=t?g:w;L=t?J:b}b=Arc(K|0,L|0,H|0,I|0)|0;t=J;w=((t^I)&(t^L)|0)<0;g=m+24|0;f[g>>2]=w?-1:b;f[g+4>>2]=w?(t|2147483647)^-2147483648:t;q=q+1|0;if((q|0)==(h|0))break;else{d=d+16|0;m=m+32|0}}M=h;N=s+(e<<2<<3)|0}else{M=r;N=s}s=a+(f[c+(i+-1<<2)>>2]<<2<<2)|0;c=f[s>>2]|0;a=f[s+4>>2]|0;r=f[s+8>>2]|0;e=f[s+12>>2]|0;if((M|0)<(i|0)){O=N;P=M}else return;while(1){M=O;f[M>>2]=0;f[M+4>>2]=c;M=O+8|0;f[M>>2]=0;f[M+4>>2]=a;M=O+16|0;f[M>>2]=0;f[M+4>>2]=r;M=O+24|0;f[M>>2]=0;f[M+4>>2]=e;P=P+1|0;if((P|0)==(i|0))break;else O=O+32|0}return}function sla(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;ula(a,b,c,d,e,f,g,h);return}function tla(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;do if((g|0)>0){j=g<<1;if((b|0)<=0){k=d+(j<<3)|0;l=e;m=g;break}n=Y(g,b)|0;o=e;p=0;while(1){q=0;r=o;while(1){s=f[a+(q<<2)>>2]|0;t=r;f[t>>2]=0;f[t+4>>2]=s;q=q+1|0;if((q|0)==(b|0))break;else r=r+8|0}p=p+1|0;if((p|0)==(g|0))break;else o=o+(b<<3)|0}k=d+(j<<3)|0;l=e+(n<<3)|0;m=g}else{k=d;l=e;m=0}while(0);if((m|0)<(h|0)){e=(b|0)>0;d=k;k=m;g=l;while(1){o=a+((Y(f[c+(k<<2)>>2]|0,b)|0)<<2)|0;if(e){p=d+8|0;r=0;q=g;while(1){s=d;t=f[s>>2]|0;u=f[s+4>>2]|0;s=f[o+(r<<2)>>2]|0;v=(u|0)<0;w=(s|0)<0;x=zrc(0,0,t|0,u|0)|0;y=v?x:t;x=v?J:u;v=zrc(0,0,0,s|0)|0;v=J;z=w?v:s;v=s^u;u=Urc(z|0,0,y|0,0)|0;y=J;s=Urc(z|0,0,x|0,0)|0;x=J;z=Arc(s|0,0,y|0,0)|0;y=J|x;if(y>>>0>0|(y|0)==0&(z|s)>>>0>2147483647){s=Irc(t|0,v|0,63)|0;t=Arc(s|0,J|0,-1,2147483647)|0;A=t;B=J}else{t=(v|0)<0;v=zrc(0,0,u|0,z|0)|0;A=t?v:u;B=t?J:z}z=q;f[z>>2]=A;f[z+4>>2]=B;z=p;t=f[z>>2]|0;u=f[z+4>>2]|0;z=f[o+(r+b<<2)>>2]|0;v=(u|0)<0;s=(z|0)<0;y=zrc(0,0,t|0,u|0)|0;x=v?y:t;y=v?J:u;v=zrc(0,0,0,z|0)|0;v=J;w=s?v:z;v=z^u;u=Urc(w|0,0,x|0,0)|0;x=J;z=Urc(w|0,0,y|0,0)|0;y=J;w=Arc(z|0,0,x|0,0)|0;x=J|y;if(x>>>0>0|(x|0)==0&(w|z)>>>0>2147483647){z=Irc(t|0,v|0,63)|0;t=Arc(z|0,J|0,-1,2147483647)|0;C=t;D=J}else{t=(v|0)<0;v=zrc(0,0,u|0,w|0)|0;C=t?v:u;D=t?J:w}w=Arc(A|0,B|0,C|0,D|0)|0;t=J;u=((t^B)&(t^D)|0)<0;v=q;f[v>>2]=u?-1:w;f[v+4>>2]=u?(t|2147483647)^-2147483648:t;r=r+1|0;if((r|0)==(b|0))break;else q=q+8|0}E=g+(b<<3)|0}else E=g;k=k+1|0;if((k|0)==(h|0)){F=h;G=E;break}else{d=d+16|0;g=E}}}else{F=m;G=l}l=a+((Y(f[c+(i+-1<<2)>>2]|0,b)|0)<<2)|0;if((F|0)<(i|0)&(b|0)>0){H=F;I=G}else return;while(1){G=0;F=I;while(1){c=f[l+(G<<2)>>2]|0;a=F;f[a>>2]=0;f[a+4>>2]=c;G=G+1|0;if((G|0)==(b|0))break;else F=F+8|0}H=H+1|0;if((H|0)==(i|0))break;else I=I+(b<<3)|0}return}function ula(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;do if((g|0)>0){j=g<<1;if((b|0)<=0){k=d+(j<<3)|0;l=e;m=g;break}n=Y(g,b)|0;o=e;p=0;while(1){q=0;r=o;while(1){s=f[a+(q<<2)>>2]|0;t=r;f[t>>2]=0;f[t+4>>2]=s;q=q+1|0;if((q|0)==(b|0))break;else r=r+8|0}p=p+1|0;if((p|0)==(g|0))break;else o=o+(b<<3)|0}k=d+(j<<3)|0;l=e+(n<<3)|0;m=g}else{k=d;l=e;m=0}while(0);if((m|0)<(h|0)){e=(b|0)>0;d=k;k=m;g=l;while(1){o=a+((Y(f[c+(k<<2)>>2]|0,b)|0)<<2)|0;if(e){p=d+8|0;r=0;q=g;while(1){s=d;t=f[s>>2]|0;u=f[s+4>>2]|0;do if(!((t|0)==0&(u|0)==0)){s=f[o+(r<<2)>>2]|0;v=(u|0)<0;w=(s|0)<0;x=zrc(0,0,t|0,u|0)|0;y=v?x:t;x=v?J:u;v=zrc(0,0,0,s|0)|0;v=J;z=w?v:s;v=s^u;s=Urc(z|0,0,y|0,0)|0;y=J;w=Urc(z|0,0,x|0,0)|0;x=J;z=Arc(w|0,0,y|0,0)|0;y=J|x;if(y>>>0>0|(y|0)==0&(z|w)>>>0>2147483647){w=Irc(t|0,v|0,63)|0;y=Arc(w|0,J|0,-1,2147483647)|0;A=y;B=J;break}else{y=(v|0)<0;v=zrc(0,0,s|0,z|0)|0;A=y?v:s;B=y?J:z;break}}else{A=0;B=0}while(0);t=q;f[t>>2]=A;f[t+4>>2]=B;t=p;u=f[t>>2]|0;z=f[t+4>>2]|0;do if(!((u|0)==0&(z|0)==0)){t=f[o+(r+b<<2)>>2]|0;y=(z|0)<0;s=(t|0)<0;v=zrc(0,0,u|0,z|0)|0;w=y?v:u;v=y?J:z;y=zrc(0,0,0,t|0)|0;y=J;x=s?y:t;y=t^z;t=Urc(x|0,0,w|0,0)|0;w=J;s=Urc(x|0,0,v|0,0)|0;v=J;x=Arc(s|0,0,w|0,0)|0;w=J|v;if(w>>>0>0|(w|0)==0&(x|s)>>>0>2147483647){s=Irc(u|0,y|0,63)|0;w=Arc(s|0,J|0,-1,2147483647)|0;C=w;D=J;break}else{w=(y|0)<0;y=zrc(0,0,t|0,x|0)|0;C=w?y:t;D=w?J:x;break}}else{C=0;D=0}while(0);u=Arc(A|0,B|0,C|0,D|0)|0;z=J;x=((z^B)&(z^D)|0)<0;w=q;f[w>>2]=x?-1:u;f[w+4>>2]=x?(z|2147483647)^-2147483648:z;r=r+1|0;if((r|0)==(b|0))break;else q=q+8|0}E=g+(b<<3)|0}else E=g;k=k+1|0;if((k|0)==(h|0)){F=h;G=E;break}else{d=d+16|0;g=E}}}else{F=m;G=l}l=a+((Y(f[c+(i+-1<<2)>>2]|0,b)|0)<<2)|0;if((F|0)<(i|0)&(b|0)>0){H=F;I=G}else return;while(1){G=0;F=I;while(1){c=f[l+(G<<2)>>2]|0;a=F;f[a>>2]=0;f[a+4>>2]=c;G=G+1|0;if((G|0)==(b|0))break;else F=F+8|0}H=H+1|0;if((H|0)==(i|0))break;else I=I+(b<<3)|0}return}function vla(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+64|0;g=e+48|0;h=e+40|0;i=e+32|0;j=e+24|0;k=e+16|0;l=e+8|0;m=e;Rzb(j,b);p[h>>3]=.5;Zzb(g,j,h);bAb(k,a,g);p[l>>3]=.5;aAb(i,k,l);k=Wzb(i)|0;if((k|0)>-1?(j=f[a+8>>2]|0,(j|0)>1):0){n=j+-1|0;if((k|0)<(n|0)){f[c>>2]=k;Rzb(m,k);aAb(l,i,m);Szb(h,0,1);bAb(g,l,h);h=Xzb(g)|0;g=J;l=d+8|0;f[l>>2]=h;f[l+4>>2]=g;l=zrc(0,1,h|0,g|0)|0;h=J;m=(h&g|0)<0;g=d;f[g>>2]=m?-1:l;f[g+4>>2]=m?(h|2147483647)^-2147483648:h;u=e;return}else{f[c>>2]=n;n=a+16|0;c=f[n>>2]|0;f[n>>2]=(c|0)>(b|0)?b:c;u=e;return}}c=a+12|0;a=b+1|0;b=f[c>>2]|0;f[c>>2]=(b|0)<(a|0)?a:b;u=e;return}function wla(a){a=a|0;Emc(a);return}function xla(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0;c=u;u=u+1120|0;d=c+16|0;e=c;g=a+28|0;h=f[g>>2]|0;i=a+36|0;j=f[i>>2]|0;k=Y(h<<1,j)|0;l=d+8|0;Drc(l|0,0,1088)|0;f[d>>2]=l;m=d+4|0;f[m>>2]=k;if(k>>>0>136){n=Dmc(k>>>0>536870911?-1:k<<3)|0;Drc(n|0,0,k<<3|0)|0;f[d>>2]=n;o=n}else o=l;n=f[a+64>>2]|0;k=f[b>>2]|0;p=(n|0)<(k|0)?k:n;q=b+4|0;r=f[q>>2]|0;s=f[a+68>>2]|0;t=(r|0)<(s|0)?r:s;if((k|0)<(n|0)){Fh[f[a+72>>2]&255](f[a+4>>2]|0,j,f[a+40>>2]|0,f[a+48>>2]|0,o,f[a+56>>2]|0,f[a+60>>2]|0,h);v=-1;w=1;x=f[b>>2]|0}else{v=-2;w=0;x=k}if((x|0)<(p|0)){k=f[d>>2]|0;b=f[a+20>>2]|0;h=a+24|0;o=x;do{j=b+(Y(f[h>>2]|0,o)|0)|0;n=Y(f[i>>2]|0,f[g>>2]|0)|0;if((n|0)>0){s=0;do{r=k+(s<<3)|0;y=Arc(f[r>>2]|0,f[r+4>>2]|0,-2147483648,0)|0;r=Hrc(y|0,J|0,32)|0;y=J;z=Arc(r|0,y|0,-2147483648,0)|0;A=J;f[j+(s<<2)>>2]=A>>>0<1|(A|0)==1&z>>>0<0?r:(y|0)>0|(y|0)==0&r>>>0>0?2147483647:-2147483648;s=s+1|0}while((s|0)!=(n|0))}o=o+1|0}while((o|0)<(p|0));B=p}else B=x;if((B|0)<(t|0)){x=a+44|0;p=a+16|0;o=a+20|0;k=a+24|0;h=e+8|0;b=a+52|0;n=a+72|0;s=a+4|0;j=a+8|0;r=a+40|0;y=a+48|0;z=a+56|0;A=a+60|0;C=v;D=w;E=B;F=0;while(1){G=B+F<<1;H=(f[x>>2]|0)+(E<<2)|0;I=C+2|0;K=f[H>>2]|0;L=(K|0)<(I|0)?I:K;I=K+2|0;M=f[p>>2]|0;if((L|0)<(((M|0)<(I|0)?M:I)|0)){I=L;L=D;while(1){N=(f[s>>2]|0)+(Y(f[j>>2]|0,I)|0)|0;O=f[i>>2]|0;P=f[g>>2]|0;Q=(f[d>>2]|0)+((Y(Y(O,L)|0,P)|0)<<3)|0;Fh[f[n>>2]&255](N,O,f[r>>2]|0,f[y>>2]|0,Q,f[z>>2]|0,f[A>>2]|0,P);I=I+1|0;P=(L+1|0)%2|0;Q=f[H>>2]|0;O=Q+2|0;N=f[p>>2]|0;if((I|0)>=(((N|0)<(O|0)?N:O)|0)){R=P;S=N;T=Q;break}else L=P}}else{R=D;S=M;T=K}L=S+-2|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;I=(((T|0)<(L|0)?L:T)+R-((C|0)<(L|0)?L:C)|0)%2|0;if((I|0)>0){Krc(e|0,(f[b>>2]|0)+((E<<1)+2-I<<3)|0,I<<3|0)|0;U=I}else U=0;Krc(e+(U<<3)|0,(f[b>>2]|0)+(U+G-I<<3)|0,16-(U<<3)|0)|0;L=f[d>>2]|0;H=Y(f[i>>2]|0,f[g>>2]|0)|0;P=(f[o>>2]|0)+(Y(f[k>>2]|0,E)|0)|0;if((H|0)>0){Q=e;N=f[Q>>2]|0;O=f[Q+4>>2]|0;Q=(O|0)<0;V=zrc(0,0,N|0,O|0)|0;W=Q?V:N;V=Q?J:O;Q=h;X=f[Q>>2]|0;Z=f[Q+4>>2]|0;Q=(Z|0)<0;_=zrc(0,0,X|0,Z|0)|0;$=Q?_:X;_=Q?J:Z;Q=0;do{aa=L+(Q<<3)|0;ba=f[aa>>2]|0;ca=f[aa+4>>2]|0;aa=(ca|0)<0;da=zrc(0,0,ba|0,ca|0)|0;ea=aa?da:ba;da=aa?J:ca;aa=ca^O;ca=Urc(ea|0,0,W|0,0)|0;Arc(ca|0,J|0,-2147483648,0)|0;ca=J;fa=Urc(da|0,0,W|0,0)|0;ga=J;ha=Urc(ea|0,0,V|0,0)|0;ea=J;ia=Urc(da|0,0,V|0,0)|0;da=J;ja=Arc(fa|0,0,ha|0,0)|0;ha=Arc(ja|0,J|0,ca|0,0)|0;ca=J;ja=Arc(ia|0,0,ga|0,0)|0;ga=Arc(ja|0,J|0,ea|0,0)|0;ea=Arc(ga|0,J|0,ca|0,0)|0;ca=J|da;if(ca>>>0>0|(ca|0)==0&(ea|ia)>>>0>2147483647){ia=Irc(ba^N|0,aa|0,63)|0;ba=Arc(ia|0,J|0,-1,2147483647)|0;ka=ba;la=J}else{ba=(aa|0)<0;aa=zrc(0,0,ha|0,ea|0)|0;ka=ba?aa:ha;la=ba?J:ea}ea=L+(Q+H<<3)|0;ba=f[ea>>2]|0;ha=f[ea+4>>2]|0;ea=(ha|0)<0;aa=zrc(0,0,ba|0,ha|0)|0;ia=ea?aa:ba;aa=ea?J:ha;ea=ha^Z;ha=Urc(ia|0,0,$|0,0)|0;Arc(ha|0,J|0,-2147483648,0)|0;ha=J;ca=Urc(aa|0,0,$|0,0)|0;da=J;ga=Urc(ia|0,0,_|0,0)|0;ia=J;ja=Urc(aa|0,0,_|0,0)|0;aa=J;fa=Arc(ca|0,0,ga|0,0)|0;ga=Arc(fa|0,J|0,ha|0,0)|0;ha=J;fa=Arc(ja|0,0,da|0,0)|0;da=Arc(fa|0,J|0,ia|0,0)|0;ia=Arc(da|0,J|0,ha|0,0)|0;ha=J|aa;if(ha>>>0>0|(ha|0)==0&(ia|ja)>>>0>2147483647){ja=Irc(ba^X|0,ea|0,63)|0;ba=Arc(ja|0,J|0,-1,2147483647)|0;ma=ba;na=J}else{ba=(ea|0)<0;ea=zrc(0,0,ga|0,ia|0)|0;ma=ba?ea:ga;na=ba?J:ia}ia=Arc(ma|0,na|0,ka|0,la|0)|0;ba=J;ga=((ba^la)&(ba^na)|0)<0;ea=Arc((ga?-1:ia)|0,(ga?(ba|2147483647)^-2147483648:ba)|0,-2147483648,0)|0;ba=Hrc(ea|0,J|0,32)|0;ea=J;ga=Arc(ba|0,ea|0,-2147483648,0)|0;ia=J;f[P+(Q<<2)>>2]=ia>>>0<1|(ia|0)==1&ga>>>0<0?ba:(ea|0)>0|(ea|0)==0&ba>>>0>0?2147483647:-2147483648;Q=Q+1|0}while((Q|0)!=(H|0))}H=E+1|0;if((H|0)<(t|0)){C=T;D=I;E=H;F=F+1|0}else{oa=T;pa=I;qa=H;ra=L;sa=p;break}}}else{oa=v;pa=w;qa=B;ra=f[d>>2]|0;sa=a+16|0}B=f[sa>>2]|0;if((oa+2|0)>(B|0))ta=ra+((Y(Y(f[g>>2]|0,(pa+~oa+B|0)%2|0)|0,f[i>>2]|0)|0)<<3)|0;else{oa=(f[a+4>>2]|0)+(Y(f[a+8>>2]|0,B+-1|0)|0)|0;Fh[f[a+72>>2]&255](oa,f[i>>2]|0,f[a+40>>2]|0,f[a+48>>2]|0,ra,f[a+56>>2]|0,f[a+60>>2]|0,f[g>>2]|0);ta=ra}ra=f[q>>2]|0;if((qa|0)<(ra|0)){oa=f[a+20>>2]|0;B=a+24|0;a=qa;qa=ra;while(1){ra=oa+(Y(f[B>>2]|0,a)|0)|0;pa=Y(f[i>>2]|0,f[g>>2]|0)|0;if((pa|0)>0){sa=0;do{w=ta+(sa<<3)|0;v=Arc(f[w>>2]|0,f[w+4>>2]|0,-2147483648,0)|0;w=Hrc(v|0,J|0,32)|0;v=J;p=Arc(w|0,v|0,-2147483648,0)|0;T=J;f[ra+(sa<<2)>>2]=T>>>0<1|(T|0)==1&p>>>0<0?w:(v|0)>0|(v|0)==0&w>>>0>0?2147483647:-2147483648;sa=sa+1|0}while((sa|0)!=(pa|0));ua=f[q>>2]|0}else ua=qa;a=a+1|0;if((a|0)>=(ua|0))break;else qa=ua}}ua=f[d>>2]|0;if((ua|0)==(l|0)){u=c;return}if(ua|0)Fmc(ua);f[d>>2]=l;f[m>>2]=136;u=c;return}function yla(a,b,c,e,g,h,i,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;b=j[a>>1]<<16;if((h|0)>0){l=0;m=g;while(1){f[m>>2]=b;l=l+1|0;if((l|0)==(h|0))break;else m=m+4|0}n=e+(h<<1<<2)|0;o=h;p=g+(h<<2)|0}else{n=e;o=0;p=g}if((o|0)<(i|0)){g=n;n=o;e=p;while(1){h=a+(f[c+(n<<2)>>2]<<1)|0;m=f[g>>2]|0;l=d[h>>1]|0;b=Urc(l|0,((l|0)<0)<<31>>31|0,m|0,((m|0)<0)<<31>>31|0)|0;m=J;l=Arc(b|0,m|0,-2147483648,0)|0;q=J;r=q>>>0<1|(q|0)==1&l>>>0<0?b:(m|0)>0|(m|0)==0&b>>>0>0?2147483647:-2147483648;b=f[g+4>>2]|0;m=d[h+2>>1]|0;h=Urc(m|0,((m|0)<0)<<31>>31|0,b|0,((b|0)<0)<<31>>31|0)|0;b=J;m=Arc(h|0,b|0,-2147483648,0)|0;l=J;q=l>>>0<1|(l|0)==1&m>>>0<0?h:(b|0)>0|(b|0)==0&h>>>0>0?2147483647:-2147483648;h=q+r|0;f[e>>2]=((h^r)&(h^q)|0)<0?(h|2147483647)^-2147483648:h;n=n+1|0;if((n|0)==(i|0))break;else{g=g+8|0;e=e+4|0}}s=i;t=p+(i-o<<2)|0}else{s=o;t=p}p=j[a+(f[c+(k+-1<<2)>>2]<<1)>>1]<<16;if((s|0)<(k|0)){u=s;v=t}else return;while(1){f[v>>2]=p;u=u+1|0;if((u|0)==(k|0))break;else v=v+4|0}return}function zla(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;Hla(a,b,c,d,e,f,g,h);return}function Ala(a,b,c,e,g,h,i,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;b=j[a>>1]<<16;l=j[a+2>>1]<<16;if((h|0)>0){m=h<<1;n=0;o=g;while(1){f[o>>2]=b;f[o+4>>2]=l;n=n+1|0;if((n|0)==(h|0))break;else o=o+8|0}p=e+(m<<2)|0;q=h;r=g+(m<<2)|0}else{p=e;q=0;r=g}if((q|0)<(i|0)){g=i-q|0;e=q;m=r;h=p;while(1){p=a+(f[c+(e<<2)>>2]<<1<<1)|0;o=f[h>>2]|0;n=d[p>>1]|0;l=Urc(n|0,((n|0)<0)<<31>>31|0,o|0,((o|0)<0)<<31>>31|0)|0;o=J;n=Arc(l|0,o|0,-2147483648,0)|0;b=J;s=b>>>0<1|(b|0)==1&n>>>0<0?l:(o|0)>0|(o|0)==0&l>>>0>0?2147483647:-2147483648;l=h+4|0;o=f[l>>2]|0;n=d[p+4>>1]|0;b=Urc(n|0,((n|0)<0)<<31>>31|0,o|0,((o|0)<0)<<31>>31|0)|0;o=J;n=Arc(b|0,o|0,-2147483648,0)|0;t=J;u=t>>>0<1|(t|0)==1&n>>>0<0?b:(o|0)>0|(o|0)==0&b>>>0>0?2147483647:-2147483648;b=u+s|0;f[m>>2]=((b^s)&(b^u)|0)<0?(b|2147483647)^-2147483648:b;b=f[h>>2]|0;u=d[p+2>>1]|0;s=Urc(u|0,((u|0)<0)<<31>>31|0,b|0,((b|0)<0)<<31>>31|0)|0;b=J;u=Arc(s|0,b|0,-2147483648,0)|0;o=J;n=o>>>0<1|(o|0)==1&u>>>0<0?s:(b|0)>0|(b|0)==0&s>>>0>0?2147483647:-2147483648;s=f[l>>2]|0;l=d[p+6>>1]|0;p=Urc(l|0,((l|0)<0)<<31>>31|0,s|0,((s|0)<0)<<31>>31|0)|0;s=J;l=Arc(p|0,s|0,-2147483648,0)|0;b=J;u=b>>>0<1|(b|0)==1&l>>>0<0?p:(s|0)>0|(s|0)==0&p>>>0>0?2147483647:-2147483648;p=u+n|0;f[m+4>>2]=((p^n)&(p^u)|0)<0?(p|2147483647)^-2147483648:p;e=e+1|0;if((e|0)==(i|0))break;else{m=m+8|0;h=h+8|0}}v=i;w=r+(g<<1<<2)|0}else{v=q;w=r}r=a+(f[c+(k+-1<<2)>>2]<<1<<1)|0;c=j[r>>1]<<16;a=j[r+2>>1]<<16;if((v|0)<(k|0)){x=w;y=v}else return;while(1){f[x>>2]=c;f[x+4>>2]=a;y=y+1|0;if((y|0)==(k|0))break;else x=x+8|0}return}function Bla(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;Hla(a,b,c,d,e,f,g,h);return}function Cla(a,b,c,e,g,h,i,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;b=j[a>>1]<<16;l=j[a+2>>1]<<16;m=j[a+4>>1]<<16;if((h|0)>0){n=h*3|0;o=0;p=g;while(1){f[p>>2]=b;f[p+4>>2]=l;f[p+8>>2]=m;o=o+1|0;if((o|0)==(h|0))break;else p=p+12|0}q=e+(h<<1<<2)|0;r=h;s=g+(n<<2)|0}else{q=e;r=0;s=g}if((r|0)<(i|0)){g=i-r|0;e=r;n=s;h=q;while(1){q=a+((f[c+(e<<2)>>2]|0)*3<<1)|0;p=f[h>>2]|0;o=d[q>>1]|0;m=Urc(o|0,((o|0)<0)<<31>>31|0,p|0,((p|0)<0)<<31>>31|0)|0;p=J;o=Arc(m|0,p|0,-2147483648,0)|0;l=J;b=l>>>0<1|(l|0)==1&o>>>0<0?m:(p|0)>0|(p|0)==0&m>>>0>0?2147483647:-2147483648;m=h+4|0;p=f[m>>2]|0;o=d[q+6>>1]|0;l=Urc(o|0,((o|0)<0)<<31>>31|0,p|0,((p|0)<0)<<31>>31|0)|0;p=J;o=Arc(l|0,p|0,-2147483648,0)|0;t=J;u=t>>>0<1|(t|0)==1&o>>>0<0?l:(p|0)>0|(p|0)==0&l>>>0>0?2147483647:-2147483648;l=u+b|0;f[n>>2]=((l^b)&(l^u)|0)<0?(l|2147483647)^-2147483648:l;l=f[h>>2]|0;u=d[q+2>>1]|0;b=Urc(u|0,((u|0)<0)<<31>>31|0,l|0,((l|0)<0)<<31>>31|0)|0;l=J;u=Arc(b|0,l|0,-2147483648,0)|0;p=J;o=p>>>0<1|(p|0)==1&u>>>0<0?b:(l|0)>0|(l|0)==0&b>>>0>0?2147483647:-2147483648;b=f[m>>2]|0;l=d[q+8>>1]|0;u=Urc(l|0,((l|0)<0)<<31>>31|0,b|0,((b|0)<0)<<31>>31|0)|0;b=J;l=Arc(u|0,b|0,-2147483648,0)|0;p=J;t=p>>>0<1|(p|0)==1&l>>>0<0?u:(b|0)>0|(b|0)==0&u>>>0>0?2147483647:-2147483648;u=t+o|0;f[n+4>>2]=((u^o)&(u^t)|0)<0?(u|2147483647)^-2147483648:u;u=f[h>>2]|0;t=d[q+4>>1]|0;o=Urc(t|0,((t|0)<0)<<31>>31|0,u|0,((u|0)<0)<<31>>31|0)|0;u=J;t=Arc(o|0,u|0,-2147483648,0)|0;b=J;l=b>>>0<1|(b|0)==1&t>>>0<0?o:(u|0)>0|(u|0)==0&o>>>0>0?2147483647:-2147483648;o=f[m>>2]|0;m=d[q+10>>1]|0;q=Urc(m|0,((m|0)<0)<<31>>31|0,o|0,((o|0)<0)<<31>>31|0)|0;o=J;m=Arc(q|0,o|0,-2147483648,0)|0;u=J;t=u>>>0<1|(u|0)==1&m>>>0<0?q:(o|0)>0|(o|0)==0&q>>>0>0?2147483647:-2147483648;q=t+l|0;f[n+8>>2]=((q^l)&(q^t)|0)<0?(q|2147483647)^-2147483648:q;e=e+1|0;if((e|0)==(i|0))break;else{n=n+12|0;h=h+8|0}}v=i;w=s+(g*3<<2)|0}else{v=r;w=s}s=a+((f[c+(k+-1<<2)>>2]|0)*3<<1)|0;c=j[s>>1]<<16;a=j[s+2>>1]<<16;r=j[s+4>>1]<<16;if((v|0)<(k|0)){x=w;y=v}else return;while(1){f[x>>2]=c;f[x+4>>2]=a;f[x+8>>2]=r;y=y+1|0;if((y|0)==(k|0))break;else x=x+12|0}return}function Dla(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;Hla(a,b,c,d,e,f,g,h);return}function Ela(a,b,c,e,g,h,i,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;b=j[a>>1]<<16;l=j[a+2>>1]<<16;m=j[a+4>>1]<<16;n=j[a+6>>1]<<16;if((h|0)>0){o=h<<2;p=0;q=g;while(1){f[q>>2]=b;f[q+4>>2]=l;f[q+8>>2]=m;f[q+12>>2]=n;p=p+1|0;if((p|0)==(h|0))break;else q=q+16|0}r=e+(h<<1<<2)|0;s=h;t=g+(o<<2)|0}else{r=e;s=0;t=g}if((s|0)<(i|0)){g=i-s|0;e=r;r=s;o=t;while(1){h=a+(f[c+(r<<2)>>2]<<2<<1)|0;q=f[e>>2]|0;p=d[h>>1]|0;n=Urc(p|0,((p|0)<0)<<31>>31|0,q|0,((q|0)<0)<<31>>31|0)|0;q=J;p=Arc(n|0,q|0,-2147483648,0)|0;m=J;l=m>>>0<1|(m|0)==1&p>>>0<0?n:(q|0)>0|(q|0)==0&n>>>0>0?2147483647:-2147483648;n=e+4|0;q=f[n>>2]|0;p=d[h+8>>1]|0;m=Urc(p|0,((p|0)<0)<<31>>31|0,q|0,((q|0)<0)<<31>>31|0)|0;q=J;p=Arc(m|0,q|0,-2147483648,0)|0;b=J;u=b>>>0<1|(b|0)==1&p>>>0<0?m:(q|0)>0|(q|0)==0&m>>>0>0?2147483647:-2147483648;m=u+l|0;f[o>>2]=((m^l)&(m^u)|0)<0?(m|2147483647)^-2147483648:m;m=f[e>>2]|0;u=d[h+2>>1]|0;l=Urc(u|0,((u|0)<0)<<31>>31|0,m|0,((m|0)<0)<<31>>31|0)|0;m=J;u=Arc(l|0,m|0,-2147483648,0)|0;q=J;p=q>>>0<1|(q|0)==1&u>>>0<0?l:(m|0)>0|(m|0)==0&l>>>0>0?2147483647:-2147483648;l=f[n>>2]|0;m=d[h+10>>1]|0;u=Urc(m|0,((m|0)<0)<<31>>31|0,l|0,((l|0)<0)<<31>>31|0)|0;l=J;m=Arc(u|0,l|0,-2147483648,0)|0;q=J;b=q>>>0<1|(q|0)==1&m>>>0<0?u:(l|0)>0|(l|0)==0&u>>>0>0?2147483647:-2147483648;u=b+p|0;f[o+4>>2]=((u^p)&(u^b)|0)<0?(u|2147483647)^-2147483648:u;u=f[e>>2]|0;b=d[h+4>>1]|0;p=Urc(b|0,((b|0)<0)<<31>>31|0,u|0,((u|0)<0)<<31>>31|0)|0;u=J;b=Arc(p|0,u|0,-2147483648,0)|0;l=J;m=l>>>0<1|(l|0)==1&b>>>0<0?p:(u|0)>0|(u|0)==0&p>>>0>0?2147483647:-2147483648;p=f[n>>2]|0;u=d[h+12>>1]|0;b=Urc(u|0,((u|0)<0)<<31>>31|0,p|0,((p|0)<0)<<31>>31|0)|0;p=J;u=Arc(b|0,p|0,-2147483648,0)|0;l=J;q=l>>>0<1|(l|0)==1&u>>>0<0?b:(p|0)>0|(p|0)==0&b>>>0>0?2147483647:-2147483648;b=q+m|0;f[o+8>>2]=((b^m)&(b^q)|0)<0?(b|2147483647)^-2147483648:b;b=f[e>>2]|0;q=d[h+6>>1]|0;m=Urc(q|0,((q|0)<0)<<31>>31|0,b|0,((b|0)<0)<<31>>31|0)|0;b=J;q=Arc(m|0,b|0,-2147483648,0)|0;p=J;u=p>>>0<1|(p|0)==1&q>>>0<0?m:(b|0)>0|(b|0)==0&m>>>0>0?2147483647:-2147483648;m=f[n>>2]|0;n=d[h+14>>1]|0;h=Urc(n|0,((n|0)<0)<<31>>31|0,m|0,((m|0)<0)<<31>>31|0)|0;m=J;n=Arc(h|0,m|0,-2147483648,0)|0;b=J;q=b>>>0<1|(b|0)==1&n>>>0<0?h:(m|0)>0|(m|0)==0&h>>>0>0?2147483647:-2147483648;h=q+u|0;f[o+12>>2]=((h^u)&(h^q)|0)<0?(h|2147483647)^-2147483648:h;r=r+1|0;if((r|0)==(i|0))break;else{e=e+8|0;o=o+16|0}}v=i;w=t+(g<<2<<2)|0}else{v=s;w=t}t=a+(f[c+(k+-1<<2)>>2]<<2<<1)|0;c=j[t>>1]<<16;a=j[t+2>>1]<<16;s=j[t+4>>1]<<16;g=j[t+6>>1]<<16;if((v|0)<(k|0)){x=w;y=v}else return;while(1){f[x>>2]=c;f[x+4>>2]=a;f[x+8>>2]=s;f[x+12>>2]=g;y=y+1|0;if((y|0)==(k|0))break;else x=x+16|0}return}function Fla(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;Hla(a,b,c,d,e,f,g,h);return}function Gla(a,b,c,e,g,h,i,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;do if((h|0)>0){l=h<<1;if((b|0)<=0){m=e+(l<<2)|0;n=g;o=h;break}p=Y(h,b)|0;q=g;r=0;while(1){s=0;t=q;while(1){f[t>>2]=j[a+(s<<1)>>1]<<16;s=s+1|0;if((s|0)==(b|0))break;else t=t+4|0}r=r+1|0;if((r|0)==(h|0))break;else q=q+(b<<2)|0}m=e+(l<<2)|0;n=g+(p<<2)|0;o=h}else{m=e;n=g;o=0}while(0);if((o|0)<(i|0))if((b|0)>0){g=n+((Y(i-o|0,b)|0)<<2)|0;e=m;m=o;h=n;while(1){q=a+((Y(f[c+(m<<2)>>2]|0,b)|0)<<1)|0;r=e+4|0;t=0;s=h;while(1){u=f[e>>2]|0;v=d[q+(t<<1)>>1]|0;w=Urc(v|0,((v|0)<0)<<31>>31|0,u|0,((u|0)<0)<<31>>31|0)|0;u=J;v=Arc(w|0,u|0,-2147483648,0)|0;x=J;y=x>>>0<1|(x|0)==1&v>>>0<0?w:(u|0)>0|(u|0)==0&w>>>0>0?2147483647:-2147483648;f[s>>2]=y;w=f[r>>2]|0;u=d[q+(t+b<<1)>>1]|0;v=Urc(u|0,((u|0)<0)<<31>>31|0,w|0,((w|0)<0)<<31>>31|0)|0;w=J;u=Arc(v|0,w|0,-2147483648,0)|0;x=J;z=x>>>0<1|(x|0)==1&u>>>0<0?v:(w|0)>0|(w|0)==0&v>>>0>0?2147483647:-2147483648;v=z+y|0;f[s>>2]=((v^y)&(v^z)|0)<0?(v|2147483647)^-2147483648:v;t=t+1|0;if((t|0)==(b|0))break;else s=s+4|0}m=m+1|0;if((m|0)==(i|0)){A=i;B=g;break}else{e=e+8|0;h=h+(b<<2)|0}}}else{A=i;B=n}else{A=o;B=n}n=a+((Y(f[c+(k+-1<<2)>>2]|0,b)|0)<<1)|0;if((A|0)<(k|0)&(b|0)>0){C=A;D=B}else return;while(1){B=0;A=D;while(1){f[A>>2]=j[n+(B<<1)>>1]<<16;B=B+1|0;if((B|0)==(b|0))break;else A=A+4|0}C=C+1|0;if((C|0)==(k|0))break;else D=D+(b<<2)|0}return}function Hla(a,b,c,e,g,h,i,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;do if((h|0)>0){l=h<<1;if((b|0)<=0){m=e+(l<<2)|0;n=g;o=h;break}p=Y(h,b)|0;q=g;r=0;while(1){s=0;t=q;while(1){f[t>>2]=j[a+(s<<1)>>1]<<16;s=s+1|0;if((s|0)==(b|0))break;else t=t+4|0}r=r+1|0;if((r|0)==(h|0))break;else q=q+(b<<2)|0}m=e+(l<<2)|0;n=g+(p<<2)|0;o=h}else{m=e;n=g;o=0}while(0);if((o|0)<(i|0)){g=(b|0)>0;e=m;m=o;h=n;while(1){q=a+((Y(f[c+(m<<2)>>2]|0,b)|0)<<1)|0;if(g){r=e+4|0;t=0;s=h;while(1){u=f[e>>2]|0;if(!u)v=0;else{w=d[q+(t<<1)>>1]|0;x=Urc(w|0,((w|0)<0)<<31>>31|0,u|0,((u|0)<0)<<31>>31|0)|0;u=J;w=Arc(x|0,u|0,-2147483648,0)|0;y=J;v=y>>>0<1|(y|0)==1&w>>>0<0?x:(u|0)>0|(u|0)==0&x>>>0>0?2147483647:-2147483648}f[s>>2]=v;x=f[r>>2]|0;if(!x)z=0;else{u=d[q+(t+b<<1)>>1]|0;w=Urc(u|0,((u|0)<0)<<31>>31|0,x|0,((x|0)<0)<<31>>31|0)|0;x=J;u=Arc(w|0,x|0,-2147483648,0)|0;y=J;z=y>>>0<1|(y|0)==1&u>>>0<0?w:(x|0)>0|(x|0)==0&w>>>0>0?2147483647:-2147483648}w=v+z|0;f[s>>2]=((w^v)&(w^z)|0)<0?(w|2147483647)^-2147483648:w;t=t+1|0;if((t|0)==(b|0))break;else s=s+4|0}A=h+(b<<2)|0}else A=h;m=m+1|0;if((m|0)==(i|0)){B=i;C=A;break}else{e=e+8|0;h=A}}}else{B=o;C=n}n=a+((Y(f[c+(k+-1<<2)>>2]|0,b)|0)<<1)|0;if((B|0)<(k|0)&(b|0)>0){D=B;E=C}else return;while(1){C=0;B=E;while(1){f[B>>2]=j[n+(C<<1)>>1]<<16;C=C+1|0;if((C|0)==(b|0))break;else B=B+4|0}D=D+1|0;if((D|0)==(k|0))break;else E=E+(b<<2)|0}return}function Ila(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+64|0;g=e+48|0;h=e+40|0;i=e+32|0;j=e+24|0;k=e+16|0;l=e+8|0;m=e;Rzb(j,b);p[h>>3]=.5;Zzb(g,j,h);bAb(k,a,g);p[l>>3]=.5;aAb(i,k,l);k=Wzb(i)|0;if((k|0)>-1?(j=f[a+8>>2]|0,(j|0)>1):0){n=j+-1|0;if((k|0)<(n|0)){f[c>>2]=k;Rzb(m,k);aAb(l,i,m);Rzb(h,65536);bAb(g,l,h);h=Vzb(g)|0;f[d+4>>2]=h;g=65536-h|0;f[d>>2]=(g&h|0)<0?(g|2147483647)^-2147483648:g;u=e;return}else{f[c>>2]=n;n=a+16|0;c=f[n>>2]|0;f[n>>2]=(c|0)>(b|0)?b:c;u=e;return}}c=a+12|0;a=b+1|0;b=f[c>>2]|0;f[c>>2]=(b|0)<(a|0)?a:b;u=e;return}function Jla(a){a=a|0;Emc(a);return}function Kla(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;c=u;u=u+1072|0;e=c+8|0;g=c;h=a+28|0;i=f[h>>2]|0;j=a+36|0;k=f[j>>2]|0;l=Y(i<<1,k)|0;m=e+8|0;Drc(m|0,0,1056)|0;f[e>>2]=m;n=e+4|0;f[n>>2]=l;if(l>>>0>264){o=Dmc(l>>>0>1073741823?-1:l<<2)|0;Drc(o|0,0,l<<2|0)|0;f[e>>2]=o;p=o}else p=m;o=f[a+64>>2]|0;l=f[b>>2]|0;q=(o|0)<(l|0)?l:o;r=b+4|0;s=f[r>>2]|0;t=f[a+68>>2]|0;v=(s|0)<(t|0)?s:t;if((l|0)<(o|0)){Fh[f[a+72>>2]&255](f[a+4>>2]|0,k,f[a+40>>2]|0,f[a+48>>2]|0,p,f[a+56>>2]|0,f[a+60>>2]|0,i);w=-1;x=1;y=f[b>>2]|0}else{w=-2;x=0;y=l}if((y|0)<(q|0)){l=f[e>>2]|0;b=f[a+20>>2]|0;i=f[a+24>>2]|0;p=Y(f[j>>2]|0,f[h>>2]|0)|0;if((p|0)>0){k=y;do{o=b+(Y(i,k)|0)|0;t=0;do{s=(f[l+(t<<2)>>2]|0)+32768>>16;d[o+(t<<1)>>1]=(s+32768|0)>>>0<65536?s:(s|0)>0?32767:32768;t=t+1|0}while((t|0)!=(p|0));k=k+1|0}while((k|0)<(q|0));z=q}else z=q}else z=y;if((z|0)<(v|0)){y=a+44|0;q=a+16|0;k=a+20|0;p=a+24|0;l=g+4|0;i=a+52|0;b=a+72|0;t=a+4|0;o=a+8|0;s=a+40|0;A=a+48|0;B=a+56|0;C=a+60|0;D=w;E=x;F=z;G=0;while(1){H=z+G<<1;I=(f[y>>2]|0)+(F<<2)|0;K=D+2|0;L=f[I>>2]|0;M=(L|0)<(K|0)?K:L;K=L+2|0;N=f[q>>2]|0;if((M|0)<(((N|0)<(K|0)?N:K)|0)){K=M;M=E;while(1){O=(f[t>>2]|0)+(Y(f[o>>2]|0,K)|0)|0;P=f[j>>2]|0;Q=f[h>>2]|0;R=(f[e>>2]|0)+((Y(Y(P,M)|0,Q)|0)<<2)|0;Fh[f[b>>2]&255](O,P,f[s>>2]|0,f[A>>2]|0,R,f[B>>2]|0,f[C>>2]|0,Q);K=K+1|0;Q=(M+1|0)%2|0;R=f[I>>2]|0;P=R+2|0;O=f[q>>2]|0;if((K|0)>=(((O|0)<(P|0)?O:P)|0)){S=Q;T=O;U=R;break}else M=Q}}else{S=E;T=N;U=L}M=T+-2|0;K=g;f[K>>2]=0;f[K+4>>2]=0;K=(((U|0)<(M|0)?M:U)+S-((D|0)<(M|0)?M:D)|0)%2|0;if((K|0)>0){Krc(g|0,(f[i>>2]|0)+((F<<1)+2-K<<2)|0,K<<2|0)|0;V=K}else V=0;Krc(g+(V<<2)|0,(f[i>>2]|0)+(V+H-K<<2)|0,8-(V<<2)|0)|0;M=f[e>>2]|0;I=Y(f[j>>2]|0,f[h>>2]|0)|0;Q=(f[k>>2]|0)+(Y(f[p>>2]|0,F)|0)|0;if((I|0)>0){R=f[g>>2]|0;O=((R|0)<0)<<31>>31;P=f[l>>2]|0;W=((P|0)<0)<<31>>31;X=0;do{Z=f[M+(X<<2)>>2]|0;_=Urc(Z|0,((Z|0)<0)<<31>>31|0,R|0,O|0)|0;Z=J;$=f[M+(X+I<<2)>>2]|0;aa=Urc($|0,(($|0)<0)<<31>>31|0,P|0,W|0)|0;$=J;ba=Arc(aa|0,$|0,_|0,Z|0)|0;_=J;aa=((_^Z)&(_^$)|0)<0;$=Arc((aa?-1:ba)|0,(aa?(_|2147483647)^-2147483648:_)|0,-2147483648,0)|0;_=Hrc($|0,J|0,32)|0;$=J;aa=Arc(_|0,$|0,32768,0)|0;ba=J;d[Q+(X<<1)>>1]=ba>>>0<0|(ba|0)==0&aa>>>0<65536?_&65535:($|0)>0|($|0)==0&_>>>0>0?32767:-32768;X=X+1|0}while((X|0)!=(I|0))}I=F+1|0;if((I|0)<(v|0)){D=U;E=K;F=I;G=G+1|0}else{ca=U;da=K;ea=I;fa=M;ga=T;break}}}else{ca=w;da=x;ea=z;fa=f[e>>2]|0;ga=f[a+16>>2]|0}if((ca+2|0)>(ga|0))ha=fa+((Y(Y(f[h>>2]|0,(da+~ca+ga|0)%2|0)|0,f[j>>2]|0)|0)<<2)|0;else{ca=(f[a+4>>2]|0)+(Y(f[a+8>>2]|0,ga+-1|0)|0)|0;Fh[f[a+72>>2]&255](ca,f[j>>2]|0,f[a+40>>2]|0,f[a+48>>2]|0,fa,f[a+56>>2]|0,f[a+60>>2]|0,f[h>>2]|0);ha=fa}fa=f[r>>2]|0;if((ea|0)<(fa|0)?(r=f[a+20>>2]|0,ca=f[a+24>>2]|0,a=Y(f[j>>2]|0,f[h>>2]|0)|0,(a|0)>0):0){h=ea;do{ea=r+(Y(ca,h)|0)|0;j=0;do{ga=(f[ha+(j<<2)>>2]|0)+32768>>16;d[ea+(j<<1)>>1]=(ga+32768|0)>>>0<65536?ga:(ga|0)>0?32767:32768;j=j+1|0}while((j|0)!=(a|0));h=h+1|0}while((h|0)<(fa|0))}fa=f[e>>2]|0;if((fa|0)==(m|0)){u=c;return}if(fa|0)Fmc(fa);f[e>>2]=m;f[n>>2]=264;u=c;return}function Lla(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;b=(j[a>>1]|0)<<16;if((g|0)>0){k=g<<1;l=0;m=e;while(1){f[m>>2]=b;l=l+1|0;if((l|0)==(g|0))break;else m=m+4|0}n=d+(k<<2)|0;o=g;p=e+(g<<2)|0}else{n=d;o=0;p=e}if((o|0)<(h|0)){e=h-o|0;d=o;g=p;k=n;while(1){n=a+(f[c+(d<<2)>>2]<<1)|0;m=Urc(j[n>>1]|0|0,0,f[k>>2]|0,0)|0;l=J;b=l>>>0<0|(l|0)==0&m>>>0<4294967295;l=b?m:-1;m=Urc(j[n+2>>1]|0|0,0,f[k+4>>2]|0,0)|0;n=J;b=n>>>0<0|(n|0)==0&m>>>0<4294967295;n=b?m:-1;m=n+l|0;f[g>>2]=m>>>0<l>>>0?-1:m;d=d+1|0;if((d|0)==(h|0))break;else{g=g+4|0;k=k+8|0}}q=h;r=p+(e<<2)|0}else{q=o;r=p}p=(j[a+(f[c+(i+-1<<2)>>2]<<1)>>1]|0)<<16;if((q|0)<(i|0)){s=r;t=q}else return;while(1){f[s>>2]=p;t=t+1|0;if((t|0)==(i|0))break;else s=s+4|0}return}function Mla(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;Ula(a,b,c,d,e,f,g,h);return}function Nla(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;b=(j[a>>1]|0)<<16;k=(j[a+2>>1]|0)<<16;if((g|0)>0){l=g<<1;m=0;n=e;while(1){f[n>>2]=b;f[n+4>>2]=k;m=m+1|0;if((m|0)==(g|0))break;else n=n+8|0}o=d+(l<<2)|0;p=g;q=e+(l<<2)|0}else{o=d;p=0;q=e}if((p|0)<(h|0)){e=h-p|0;d=p;l=q;g=o;while(1){o=a+(f[c+(d<<2)>>2]<<1<<1)|0;n=Urc(j[o>>1]|0|0,0,f[g>>2]|0,0)|0;m=J;k=m>>>0<0|(m|0)==0&n>>>0<4294967295;m=k?n:-1;n=g+4|0;k=Urc(j[o+4>>1]|0|0,0,f[n>>2]|0,0)|0;b=J;r=b>>>0<0|(b|0)==0&k>>>0<4294967295;b=r?k:-1;k=b+m|0;f[l>>2]=k>>>0<m>>>0?-1:k;k=Urc(j[o+2>>1]|0|0,0,f[g>>2]|0,0)|0;m=J;b=m>>>0<0|(m|0)==0&k>>>0<4294967295;m=b?k:-1;k=Urc(j[o+6>>1]|0|0,0,f[n>>2]|0,0)|0;n=J;o=n>>>0<0|(n|0)==0&k>>>0<4294967295;n=o?k:-1;k=n+m|0;f[l+4>>2]=k>>>0<m>>>0?-1:k;d=d+1|0;if((d|0)==(h|0))break;else{l=l+8|0;g=g+8|0}}s=h;t=q+(e<<1<<2)|0}else{s=p;t=q}q=a+(f[c+(i+-1<<2)>>2]<<1<<1)|0;c=(j[q>>1]|0)<<16;a=(j[q+2>>1]|0)<<16;if((s|0)<(i|0)){u=s;v=t}else return;while(1){f[v>>2]=c;f[v+4>>2]=a;u=u+1|0;if((u|0)==(i|0))break;else v=v+8|0}return}function Ola(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;Ula(a,b,c,d,e,f,g,h);return}function Pla(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;b=(j[a>>1]|0)<<16;k=(j[a+2>>1]|0)<<16;l=(j[a+4>>1]|0)<<16;if((g|0)>0){m=g*3|0;n=0;o=e;while(1){f[o>>2]=b;f[o+4>>2]=k;f[o+8>>2]=l;n=n+1|0;if((n|0)==(g|0))break;else o=o+12|0}p=d+(g<<1<<2)|0;q=g;r=e+(m<<2)|0}else{p=d;q=0;r=e}if((q|0)<(h|0)){e=h-q|0;d=q;m=r;g=p;while(1){p=a+((f[c+(d<<2)>>2]|0)*3<<1)|0;o=Urc(j[p>>1]|0|0,0,f[g>>2]|0,0)|0;n=J;l=n>>>0<0|(n|0)==0&o>>>0<4294967295;n=l?o:-1;o=g+4|0;l=Urc(j[p+6>>1]|0|0,0,f[o>>2]|0,0)|0;k=J;b=k>>>0<0|(k|0)==0&l>>>0<4294967295;k=b?l:-1;l=k+n|0;f[m>>2]=l>>>0<n>>>0?-1:l;l=Urc(j[p+2>>1]|0|0,0,f[g>>2]|0,0)|0;n=J;k=n>>>0<0|(n|0)==0&l>>>0<4294967295;n=k?l:-1;l=Urc(j[p+8>>1]|0|0,0,f[o>>2]|0,0)|0;k=J;b=k>>>0<0|(k|0)==0&l>>>0<4294967295;k=b?l:-1;l=k+n|0;f[m+4>>2]=l>>>0<n>>>0?-1:l;l=Urc(j[p+4>>1]|0|0,0,f[g>>2]|0,0)|0;n=J;k=n>>>0<0|(n|0)==0&l>>>0<4294967295;n=k?l:-1;l=Urc(j[p+10>>1]|0|0,0,f[o>>2]|0,0)|0;o=J;p=o>>>0<0|(o|0)==0&l>>>0<4294967295;o=p?l:-1;l=o+n|0;f[m+8>>2]=l>>>0<n>>>0?-1:l;d=d+1|0;if((d|0)==(h|0))break;else{m=m+12|0;g=g+8|0}}s=h;t=r+(e*3<<2)|0}else{s=q;t=r}r=a+((f[c+(i+-1<<2)>>2]|0)*3<<1)|0;c=(j[r>>1]|0)<<16;a=(j[r+2>>1]|0)<<16;q=(j[r+4>>1]|0)<<16;if((s|0)<(i|0)){u=t;v=s}else return;while(1){f[u>>2]=c;f[u+4>>2]=a;f[u+8>>2]=q;v=v+1|0;if((v|0)==(i|0))break;else u=u+12|0}return}function Qla(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;Ula(a,b,c,d,e,f,g,h);return}function Rla(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;b=(j[a>>1]|0)<<16;k=(j[a+2>>1]|0)<<16;l=(j[a+4>>1]|0)<<16;m=(j[a+6>>1]|0)<<16;if((g|0)>0){n=g<<2;o=0;p=e;while(1){f[p>>2]=b;f[p+4>>2]=k;f[p+8>>2]=l;f[p+12>>2]=m;o=o+1|0;if((o|0)==(g|0))break;else p=p+16|0}q=d+(g<<1<<2)|0;r=g;s=e+(n<<2)|0}else{q=d;r=0;s=e}if((r|0)<(h|0)){e=h-r|0;d=r;n=s;g=q;while(1){q=a+(f[c+(d<<2)>>2]<<2<<1)|0;p=Urc(j[q>>1]|0|0,0,f[g>>2]|0,0)|0;o=J;m=o>>>0<0|(o|0)==0&p>>>0<4294967295;o=m?p:-1;p=g+4|0;m=Urc(j[q+8>>1]|0|0,0,f[p>>2]|0,0)|0;l=J;k=l>>>0<0|(l|0)==0&m>>>0<4294967295;l=k?m:-1;m=l+o|0;f[n>>2]=m>>>0<o>>>0?-1:m;m=Urc(j[q+2>>1]|0|0,0,f[g>>2]|0,0)|0;o=J;l=o>>>0<0|(o|0)==0&m>>>0<4294967295;o=l?m:-1;m=Urc(j[q+10>>1]|0|0,0,f[p>>2]|0,0)|0;l=J;k=l>>>0<0|(l|0)==0&m>>>0<4294967295;l=k?m:-1;m=l+o|0;f[n+4>>2]=m>>>0<o>>>0?-1:m;m=Urc(j[q+4>>1]|0|0,0,f[g>>2]|0,0)|0;o=J;l=o>>>0<0|(o|0)==0&m>>>0<4294967295;o=l?m:-1;m=Urc(j[q+12>>1]|0|0,0,f[p>>2]|0,0)|0;l=J;k=l>>>0<0|(l|0)==0&m>>>0<4294967295;l=k?m:-1;m=l+o|0;f[n+8>>2]=m>>>0<o>>>0?-1:m;m=Urc(j[q+6>>1]|0|0,0,f[g>>2]|0,0)|0;o=J;l=o>>>0<0|(o|0)==0&m>>>0<4294967295;o=l?m:-1;m=Urc(j[q+14>>1]|0|0,0,f[p>>2]|0,0)|0;p=J;q=p>>>0<0|(p|0)==0&m>>>0<4294967295;p=q?m:-1;m=p+o|0;f[n+12>>2]=m>>>0<o>>>0?-1:m;d=d+1|0;if((d|0)==(h|0))break;else{n=n+16|0;g=g+8|0}}t=h;u=s+(e<<2<<2)|0}else{t=r;u=s}s=a+(f[c+(i+-1<<2)>>2]<<2<<1)|0;c=(j[s>>1]|0)<<16;a=(j[s+2>>1]|0)<<16;r=(j[s+4>>1]|0)<<16;e=(j[s+6>>1]|0)<<16;if((t|0)<(i|0)){v=u;w=t}else return;while(1){f[v>>2]=c;f[v+4>>2]=a;f[v+8>>2]=r;f[v+12>>2]=e;w=w+1|0;if((w|0)==(i|0))break;else v=v+16|0}return}function Sla(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;Ula(a,b,c,d,e,f,g,h);return}function Tla(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;do if((g|0)>0){k=g<<1;if((b|0)<=0){l=d+(k<<2)|0;m=e;n=g;break}o=Y(g,b)|0;p=e;q=0;while(1){r=0;s=p;while(1){f[s>>2]=(j[a+(r<<1)>>1]|0)<<16;r=r+1|0;if((r|0)==(b|0))break;else s=s+4|0}q=q+1|0;if((q|0)==(g|0))break;else p=p+(b<<2)|0}l=d+(k<<2)|0;m=e+(o<<2)|0;n=g}else{l=d;m=e;n=0}while(0);if((n|0)<(h|0))if((b|0)>0){e=m+((Y(h-n|0,b)|0)<<2)|0;d=l;l=n;g=m;while(1){p=a+((Y(f[c+(l<<2)>>2]|0,b)|0)<<1)|0;q=d+4|0;s=0;r=g;while(1){t=Urc(j[p+(s<<1)>>1]|0|0,0,f[d>>2]|0,0)|0;u=J;v=u>>>0<0|(u|0)==0&t>>>0<4294967295;u=v?t:-1;f[r>>2]=u;t=Urc(j[p+(s+b<<1)>>1]|0|0,0,f[q>>2]|0,0)|0;v=J;w=v>>>0<0|(v|0)==0&t>>>0<4294967295;v=w?t:-1;t=v+u|0;f[r>>2]=t>>>0<u>>>0?-1:t;s=s+1|0;if((s|0)==(b|0))break;else r=r+4|0}l=l+1|0;if((l|0)==(h|0)){x=h;y=e;break}else{d=d+8|0;g=g+(b<<2)|0}}}else{x=h;y=m}else{x=n;y=m}m=a+((Y(f[c+(i+-1<<2)>>2]|0,b)|0)<<1)|0;if((x|0)<(i|0)&(b|0)>0){z=x;A=y}else return;while(1){y=0;x=A;while(1){f[x>>2]=(j[m+(y<<1)>>1]|0)<<16;y=y+1|0;if((y|0)==(b|0))break;else x=x+4|0}z=z+1|0;if((z|0)==(i|0))break;else A=A+(b<<2)|0}return}function Ula(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;do if((g|0)>0){k=g<<1;if((b|0)<=0){l=d+(k<<2)|0;m=e;n=g;break}o=Y(g,b)|0;p=e;q=0;while(1){r=0;s=p;while(1){f[s>>2]=(j[a+(r<<1)>>1]|0)<<16;r=r+1|0;if((r|0)==(b|0))break;else s=s+4|0}q=q+1|0;if((q|0)==(g|0))break;else p=p+(b<<2)|0}l=d+(k<<2)|0;m=e+(o<<2)|0;n=g}else{l=d;m=e;n=0}while(0);if((n|0)<(h|0))if((b|0)>0){e=m+((Y(h-n|0,b)|0)<<2)|0;d=l;l=n;g=m;while(1){p=a+((Y(f[c+(l<<2)>>2]|0,b)|0)<<1)|0;q=d+4|0;s=0;r=g;while(1){t=f[d>>2]|0;if(!t)u=0;else{v=Urc(j[p+(s<<1)>>1]|0|0,0,t|0,0)|0;t=J;w=t>>>0<0|(t|0)==0&v>>>0<4294967295;t=w?v:-1;u=t}f[r>>2]=u;t=f[q>>2]|0;if(!t)x=0;else{v=Urc(j[p+(s+b<<1)>>1]|0|0,0,t|0,0)|0;t=J;w=t>>>0<0|(t|0)==0&v>>>0<4294967295;t=w?v:-1;x=t}t=u+x|0;f[r>>2]=t>>>0<u>>>0?-1:t;s=s+1|0;if((s|0)==(b|0))break;else r=r+4|0}l=l+1|0;if((l|0)==(h|0)){y=h;z=e;break}else{d=d+8|0;g=g+(b<<2)|0}}}else{y=h;z=m}else{y=n;z=m}m=a+((Y(f[c+(i+-1<<2)>>2]|0,b)|0)<<1)|0;if((y|0)<(i|0)&(b|0)>0){A=y;B=z}else return;while(1){z=0;y=B;while(1){f[y>>2]=(j[m+(z<<1)>>1]|0)<<16;z=z+1|0;if((z|0)==(b|0))break;else y=y+4|0}A=A+1|0;if((A|0)==(i|0))break;else B=B+(b<<2)|0}return}function Vla(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+64|0;g=e+48|0;h=e+40|0;i=e+32|0;j=e+24|0;k=e+16|0;l=e+8|0;m=e;Rzb(j,b);p[h>>3]=.5;Zzb(g,j,h);bAb(k,a,g);p[l>>3]=.5;aAb(i,k,l);k=Wzb(i)|0;if((k|0)>-1?(j=f[a+8>>2]|0,(j|0)>1):0){n=j+-1|0;if((k|0)>=(n|0)){f[c>>2]=n;n=a+16|0;j=f[n>>2]|0;f[n>>2]=(j|0)>(b|0)?b:j;u=e;return}f[c>>2]=k;Rzb(m,k);aAb(l,i,m);if((f[l+4>>2]|0)<0)o=0;else{Rzb(h,65536);bAb(g,l,h);o=Vzb(g)|0}f[d+4>>2]=o;f[d>>2]=o>>>0<65536?65536-o|0:0;u=e;return}o=a+12|0;a=b+1|0;b=f[o>>2]|0;f[o>>2]=(b|0)<(a|0)?a:b;u=e;return}function Wla(a){a=a|0;Emc(a);return}function Xla(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0;c=u;u=u+1072|0;e=c+8|0;g=c;h=a+28|0;i=f[h>>2]|0;j=a+36|0;k=f[j>>2]|0;l=Y(i<<1,k)|0;m=e+8|0;Drc(m|0,0,1056)|0;f[e>>2]=m;n=e+4|0;f[n>>2]=l;if(l>>>0>264){o=Dmc(l>>>0>1073741823?-1:l<<2)|0;Drc(o|0,0,l<<2|0)|0;f[e>>2]=o;p=o}else p=m;o=f[a+64>>2]|0;l=f[b>>2]|0;q=(o|0)<(l|0)?l:o;r=b+4|0;s=f[r>>2]|0;t=f[a+68>>2]|0;v=(s|0)<(t|0)?s:t;if((l|0)<(o|0)){Fh[f[a+72>>2]&255](f[a+4>>2]|0,k,f[a+40>>2]|0,f[a+48>>2]|0,p,f[a+56>>2]|0,f[a+60>>2]|0,i);w=-1;x=1;y=f[b>>2]|0}else{w=-2;x=0;y=l}if((y|0)<(q|0)){l=f[e>>2]|0;b=f[a+20>>2]|0;i=f[a+24>>2]|0;p=Y(f[j>>2]|0,f[h>>2]|0)|0;if((p|0)>0){k=y;do{o=b+(Y(i,k)|0)|0;t=0;do{d[o+(t<<1)>>1]=((f[l+(t<<2)>>2]|0)+32768|0)>>>16;t=t+1|0}while((t|0)!=(p|0));k=k+1|0}while((k|0)<(q|0));z=q}else z=q}else z=y;if((z|0)<(v|0)){y=a+44|0;q=a+16|0;k=a+20|0;p=a+24|0;l=g+4|0;i=a+52|0;b=a+72|0;t=a+4|0;o=a+8|0;s=a+40|0;A=a+48|0;B=a+56|0;C=a+60|0;D=w;E=x;F=z;G=0;while(1){H=z+G<<1;I=(f[y>>2]|0)+(F<<2)|0;K=D+2|0;L=f[I>>2]|0;M=(L|0)<(K|0)?K:L;K=L+2|0;N=f[q>>2]|0;if((M|0)<(((N|0)<(K|0)?N:K)|0)){K=M;M=E;while(1){O=(f[t>>2]|0)+(Y(f[o>>2]|0,K)|0)|0;P=f[j>>2]|0;Q=f[h>>2]|0;R=(f[e>>2]|0)+((Y(Y(P,M)|0,Q)|0)<<2)|0;Fh[f[b>>2]&255](O,P,f[s>>2]|0,f[A>>2]|0,R,f[B>>2]|0,f[C>>2]|0,Q);K=K+1|0;Q=(M+1|0)%2|0;R=f[I>>2]|0;P=R+2|0;O=f[q>>2]|0;if((K|0)>=(((O|0)<(P|0)?O:P)|0)){S=Q;T=O;U=R;break}else M=Q}}else{S=E;T=N;U=L}M=T+-2|0;K=g;f[K>>2]=0;f[K+4>>2]=0;K=(((U|0)<(M|0)?M:U)+S-((D|0)<(M|0)?M:D)|0)%2|0;if((K|0)>0){Krc(g|0,(f[i>>2]|0)+((F<<1)+2-K<<2)|0,K<<2|0)|0;V=K}else V=0;Krc(g+(V<<2)|0,(f[i>>2]|0)+(V+H-K<<2)|0,8-(V<<2)|0)|0;M=f[e>>2]|0;I=Y(f[j>>2]|0,f[h>>2]|0)|0;Q=(f[k>>2]|0)+(Y(f[p>>2]|0,F)|0)|0;if((I|0)>0){R=f[g>>2]|0;O=f[l>>2]|0;P=0;do{W=Urc(f[M+(P<<2)>>2]|0,0,R|0,0)|0;X=J;Z=Urc(f[M+(P+I<<2)>>2]|0,0,O|0,0)|0;_=Arc(Z|0,J|0,W|0,X|0)|0;Z=J;$=Z>>>0<X>>>0|(Z|0)==(X|0)&_>>>0<W>>>0;Arc(_|0,Z|0,-2147483648,0)|0;Z=$?0:J;_=$?0:0;$=_>>>0<0|(_|0)==0&Z>>>0<65535;_=$?Z:65535;d[Q+(P<<1)>>1]=_;P=P+1|0}while((P|0)!=(I|0))}I=F+1|0;if((I|0)<(v|0)){D=U;E=K;F=I;G=G+1|0}else{aa=U;ba=K;ca=I;da=M;ea=T;break}}}else{aa=w;ba=x;ca=z;da=f[e>>2]|0;ea=f[a+16>>2]|0}if((aa+2|0)>(ea|0))fa=da+((Y(Y(f[h>>2]|0,(ba+~aa+ea|0)%2|0)|0,f[j>>2]|0)|0)<<2)|0;else{aa=(f[a+4>>2]|0)+(Y(f[a+8>>2]|0,ea+-1|0)|0)|0;Fh[f[a+72>>2]&255](aa,f[j>>2]|0,f[a+40>>2]|0,f[a+48>>2]|0,da,f[a+56>>2]|0,f[a+60>>2]|0,f[h>>2]|0);fa=da}da=f[r>>2]|0;if((ca|0)<(da|0)?(r=f[a+20>>2]|0,aa=f[a+24>>2]|0,a=Y(f[j>>2]|0,f[h>>2]|0)|0,(a|0)>0):0){h=ca;do{ca=r+(Y(aa,h)|0)|0;j=0;do{d[ca+(j<<1)>>1]=((f[fa+(j<<2)>>2]|0)+32768|0)>>>16;j=j+1|0}while((j|0)!=(a|0));h=h+1|0}while((h|0)<(da|0))}da=f[e>>2]|0;if((da|0)==(m|0)){u=c;return}if(da|0)Fmc(da);f[e>>2]=m;f[n>>2]=264;u=c;return}function Yla(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;c=b[a>>0]<<16;if((h|0)>0){k=0;l=g;while(1){f[l>>2]=c;k=k+1|0;if((k|0)==(h|0))break;else l=l+4|0}m=e+(h<<1<<2)|0;n=h;o=g+(h<<2)|0}else{m=e;n=0;o=g}if((n|0)<(i|0)){g=m;m=n;e=o;while(1){h=a+(f[d+(m<<2)>>2]|0)|0;l=f[g>>2]|0;k=b[h>>0]|0;c=Urc(k|0,((k|0)<0)<<31>>31|0,l|0,((l|0)<0)<<31>>31|0)|0;l=J;k=Arc(c|0,l|0,-2147483648,0)|0;p=J;q=p>>>0<1|(p|0)==1&k>>>0<0?c:(l|0)>0|(l|0)==0&c>>>0>0?2147483647:-2147483648;c=f[g+4>>2]|0;l=b[h+1>>0]|0;h=Urc(l|0,((l|0)<0)<<31>>31|0,c|0,((c|0)<0)<<31>>31|0)|0;c=J;l=Arc(h|0,c|0,-2147483648,0)|0;k=J;p=k>>>0<1|(k|0)==1&l>>>0<0?h:(c|0)>0|(c|0)==0&h>>>0>0?2147483647:-2147483648;h=p+q|0;f[e>>2]=((h^q)&(h^p)|0)<0?(h|2147483647)^-2147483648:h;m=m+1|0;if((m|0)==(i|0))break;else{g=g+8|0;e=e+4|0}}r=i;s=o+(i-n<<2)|0}else{r=n;s=o}o=b[a+(f[d+(j+-1<<2)>>2]|0)>>0]<<16;if((r|0)<(j|0)){t=r;u=s}else return;while(1){f[u>>2]=o;t=t+1|0;if((t|0)==(j|0))break;else u=u+4|0}return}function Zla(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;fma(a,b,c,d,e,f,g,h);return}function _la(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;c=b[a>>0]<<16;k=b[a+1>>0]<<16;if((h|0)>0){l=h<<1;m=0;n=g;while(1){f[n>>2]=c;f[n+4>>2]=k;m=m+1|0;if((m|0)==(h|0))break;else n=n+8|0}o=e+(l<<2)|0;p=h;q=g+(l<<2)|0}else{o=e;p=0;q=g}if((p|0)<(i|0)){g=i-p|0;e=p;l=q;h=o;while(1){o=a+(f[d+(e<<2)>>2]<<1)|0;n=f[h>>2]|0;m=b[o>>0]|0;k=Urc(m|0,((m|0)<0)<<31>>31|0,n|0,((n|0)<0)<<31>>31|0)|0;n=J;m=Arc(k|0,n|0,-2147483648,0)|0;c=J;r=c>>>0<1|(c|0)==1&m>>>0<0?k:(n|0)>0|(n|0)==0&k>>>0>0?2147483647:-2147483648;k=h+4|0;n=f[k>>2]|0;m=b[o+2>>0]|0;c=Urc(m|0,((m|0)<0)<<31>>31|0,n|0,((n|0)<0)<<31>>31|0)|0;n=J;m=Arc(c|0,n|0,-2147483648,0)|0;s=J;t=s>>>0<1|(s|0)==1&m>>>0<0?c:(n|0)>0|(n|0)==0&c>>>0>0?2147483647:-2147483648;c=t+r|0;f[l>>2]=((c^r)&(c^t)|0)<0?(c|2147483647)^-2147483648:c;c=f[h>>2]|0;t=b[o+1>>0]|0;r=Urc(t|0,((t|0)<0)<<31>>31|0,c|0,((c|0)<0)<<31>>31|0)|0;c=J;t=Arc(r|0,c|0,-2147483648,0)|0;n=J;m=n>>>0<1|(n|0)==1&t>>>0<0?r:(c|0)>0|(c|0)==0&r>>>0>0?2147483647:-2147483648;r=f[k>>2]|0;k=b[o+3>>0]|0;o=Urc(k|0,((k|0)<0)<<31>>31|0,r|0,((r|0)<0)<<31>>31|0)|0;r=J;k=Arc(o|0,r|0,-2147483648,0)|0;c=J;t=c>>>0<1|(c|0)==1&k>>>0<0?o:(r|0)>0|(r|0)==0&o>>>0>0?2147483647:-2147483648;o=t+m|0;f[l+4>>2]=((o^m)&(o^t)|0)<0?(o|2147483647)^-2147483648:o;e=e+1|0;if((e|0)==(i|0))break;else{l=l+8|0;h=h+8|0}}u=i;v=q+(g<<1<<2)|0}else{u=p;v=q}q=a+(f[d+(j+-1<<2)>>2]<<1)|0;d=b[q>>0]<<16;a=b[q+1>>0]<<16;if((u|0)<(j|0)){w=v;x=u}else return;while(1){f[w>>2]=d;f[w+4>>2]=a;x=x+1|0;if((x|0)==(j|0))break;else w=w+8|0}return}function $la(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;fma(a,b,c,d,e,f,g,h);return}function ama(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;c=b[a>>0]<<16;k=b[a+1>>0]<<16;l=b[a+2>>0]<<16;if((h|0)>0){m=h*3|0;n=0;o=g;while(1){f[o>>2]=c;f[o+4>>2]=k;f[o+8>>2]=l;n=n+1|0;if((n|0)==(h|0))break;else o=o+12|0}p=e+(h<<1<<2)|0;q=h;r=g+(m<<2)|0}else{p=e;q=0;r=g}if((q|0)<(i|0)){g=i-q|0;e=q;m=r;h=p;while(1){p=a+((f[d+(e<<2)>>2]|0)*3|0)|0;o=f[h>>2]|0;n=b[p>>0]|0;l=Urc(n|0,((n|0)<0)<<31>>31|0,o|0,((o|0)<0)<<31>>31|0)|0;o=J;n=Arc(l|0,o|0,-2147483648,0)|0;k=J;c=k>>>0<1|(k|0)==1&n>>>0<0?l:(o|0)>0|(o|0)==0&l>>>0>0?2147483647:-2147483648;l=h+4|0;o=f[l>>2]|0;n=b[p+3>>0]|0;k=Urc(n|0,((n|0)<0)<<31>>31|0,o|0,((o|0)<0)<<31>>31|0)|0;o=J;n=Arc(k|0,o|0,-2147483648,0)|0;s=J;t=s>>>0<1|(s|0)==1&n>>>0<0?k:(o|0)>0|(o|0)==0&k>>>0>0?2147483647:-2147483648;k=t+c|0;f[m>>2]=((k^c)&(k^t)|0)<0?(k|2147483647)^-2147483648:k;k=f[h>>2]|0;t=b[p+1>>0]|0;c=Urc(t|0,((t|0)<0)<<31>>31|0,k|0,((k|0)<0)<<31>>31|0)|0;k=J;t=Arc(c|0,k|0,-2147483648,0)|0;o=J;n=o>>>0<1|(o|0)==1&t>>>0<0?c:(k|0)>0|(k|0)==0&c>>>0>0?2147483647:-2147483648;c=f[l>>2]|0;k=b[p+4>>0]|0;t=Urc(k|0,((k|0)<0)<<31>>31|0,c|0,((c|0)<0)<<31>>31|0)|0;c=J;k=Arc(t|0,c|0,-2147483648,0)|0;o=J;s=o>>>0<1|(o|0)==1&k>>>0<0?t:(c|0)>0|(c|0)==0&t>>>0>0?2147483647:-2147483648;t=s+n|0;f[m+4>>2]=((t^n)&(t^s)|0)<0?(t|2147483647)^-2147483648:t;t=f[h>>2]|0;s=b[p+2>>0]|0;n=Urc(s|0,((s|0)<0)<<31>>31|0,t|0,((t|0)<0)<<31>>31|0)|0;t=J;s=Arc(n|0,t|0,-2147483648,0)|0;c=J;k=c>>>0<1|(c|0)==1&s>>>0<0?n:(t|0)>0|(t|0)==0&n>>>0>0?2147483647:-2147483648;n=f[l>>2]|0;l=b[p+5>>0]|0;p=Urc(l|0,((l|0)<0)<<31>>31|0,n|0,((n|0)<0)<<31>>31|0)|0;n=J;l=Arc(p|0,n|0,-2147483648,0)|0;t=J;s=t>>>0<1|(t|0)==1&l>>>0<0?p:(n|0)>0|(n|0)==0&p>>>0>0?2147483647:-2147483648;p=s+k|0;f[m+8>>2]=((p^k)&(p^s)|0)<0?(p|2147483647)^-2147483648:p;e=e+1|0;if((e|0)==(i|0))break;else{m=m+12|0;h=h+8|0}}u=i;v=r+(g*3<<2)|0}else{u=q;v=r}r=a+((f[d+(j+-1<<2)>>2]|0)*3|0)|0;d=b[r>>0]<<16;a=b[r+1>>0]<<16;q=b[r+2>>0]<<16;if((u|0)<(j|0)){w=v;x=u}else return;while(1){f[w>>2]=d;f[w+4>>2]=a;f[w+8>>2]=q;x=x+1|0;if((x|0)==(j|0))break;else w=w+12|0}return}function bma(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;fma(a,b,c,d,e,f,g,h);return}function cma(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;c=b[a>>0]<<16;k=b[a+1>>0]<<16;l=b[a+2>>0]<<16;m=b[a+3>>0]<<16;if((h|0)>0){n=h<<2;o=0;p=g;while(1){f[p>>2]=c;f[p+4>>2]=k;f[p+8>>2]=l;f[p+12>>2]=m;o=o+1|0;if((o|0)==(h|0))break;else p=p+16|0}q=e+(h<<1<<2)|0;r=h;s=g+(n<<2)|0}else{q=e;r=0;s=g}if((r|0)<(i|0)){g=i-r|0;e=q;q=r;n=s;while(1){h=a+(f[d+(q<<2)>>2]<<2)|0;p=f[e>>2]|0;o=b[h>>0]|0;m=Urc(o|0,((o|0)<0)<<31>>31|0,p|0,((p|0)<0)<<31>>31|0)|0;p=J;o=Arc(m|0,p|0,-2147483648,0)|0;l=J;k=l>>>0<1|(l|0)==1&o>>>0<0?m:(p|0)>0|(p|0)==0&m>>>0>0?2147483647:-2147483648;m=e+4|0;p=f[m>>2]|0;o=b[h+4>>0]|0;l=Urc(o|0,((o|0)<0)<<31>>31|0,p|0,((p|0)<0)<<31>>31|0)|0;p=J;o=Arc(l|0,p|0,-2147483648,0)|0;c=J;t=c>>>0<1|(c|0)==1&o>>>0<0?l:(p|0)>0|(p|0)==0&l>>>0>0?2147483647:-2147483648;l=t+k|0;f[n>>2]=((l^k)&(l^t)|0)<0?(l|2147483647)^-2147483648:l;l=f[e>>2]|0;t=b[h+1>>0]|0;k=Urc(t|0,((t|0)<0)<<31>>31|0,l|0,((l|0)<0)<<31>>31|0)|0;l=J;t=Arc(k|0,l|0,-2147483648,0)|0;p=J;o=p>>>0<1|(p|0)==1&t>>>0<0?k:(l|0)>0|(l|0)==0&k>>>0>0?2147483647:-2147483648;k=f[m>>2]|0;l=b[h+5>>0]|0;t=Urc(l|0,((l|0)<0)<<31>>31|0,k|0,((k|0)<0)<<31>>31|0)|0;k=J;l=Arc(t|0,k|0,-2147483648,0)|0;p=J;c=p>>>0<1|(p|0)==1&l>>>0<0?t:(k|0)>0|(k|0)==0&t>>>0>0?2147483647:-2147483648;t=c+o|0;f[n+4>>2]=((t^o)&(t^c)|0)<0?(t|2147483647)^-2147483648:t;t=f[e>>2]|0;c=b[h+2>>0]|0;o=Urc(c|0,((c|0)<0)<<31>>31|0,t|0,((t|0)<0)<<31>>31|0)|0;t=J;c=Arc(o|0,t|0,-2147483648,0)|0;k=J;l=k>>>0<1|(k|0)==1&c>>>0<0?o:(t|0)>0|(t|0)==0&o>>>0>0?2147483647:-2147483648;o=f[m>>2]|0;t=b[h+6>>0]|0;c=Urc(t|0,((t|0)<0)<<31>>31|0,o|0,((o|0)<0)<<31>>31|0)|0;o=J;t=Arc(c|0,o|0,-2147483648,0)|0;k=J;p=k>>>0<1|(k|0)==1&t>>>0<0?c:(o|0)>0|(o|0)==0&c>>>0>0?2147483647:-2147483648;c=p+l|0;f[n+8>>2]=((c^l)&(c^p)|0)<0?(c|2147483647)^-2147483648:c;c=f[e>>2]|0;p=b[h+3>>0]|0;l=Urc(p|0,((p|0)<0)<<31>>31|0,c|0,((c|0)<0)<<31>>31|0)|0;c=J;p=Arc(l|0,c|0,-2147483648,0)|0;o=J;t=o>>>0<1|(o|0)==1&p>>>0<0?l:(c|0)>0|(c|0)==0&l>>>0>0?2147483647:-2147483648;l=f[m>>2]|0;m=b[h+7>>0]|0;h=Urc(m|0,((m|0)<0)<<31>>31|0,l|0,((l|0)<0)<<31>>31|0)|0;l=J;m=Arc(h|0,l|0,-2147483648,0)|0;c=J;p=c>>>0<1|(c|0)==1&m>>>0<0?h:(l|0)>0|(l|0)==0&h>>>0>0?2147483647:-2147483648;h=p+t|0;f[n+12>>2]=((h^t)&(h^p)|0)<0?(h|2147483647)^-2147483648:h;q=q+1|0;if((q|0)==(i|0))break;else{e=e+8|0;n=n+16|0}}u=i;v=s+(g<<2<<2)|0}else{u=r;v=s}s=a+(f[d+(j+-1<<2)>>2]<<2)|0;d=b[s>>0]<<16;a=b[s+1>>0]<<16;r=b[s+2>>0]<<16;g=b[s+3>>0]<<16;if((u|0)<(j|0)){w=v;x=u}else return;while(1){f[w>>2]=d;f[w+4>>2]=a;f[w+8>>2]=r;f[w+12>>2]=g;x=x+1|0;if((x|0)==(j|0))break;else w=w+16|0}return}function dma(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;fma(a,b,c,d,e,f,g,h);return}function ema(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;do if((h|0)>0){k=h<<1;if((c|0)<=0){l=e+(k<<2)|0;m=g;n=h;break}o=Y(h,c)|0;p=g;q=0;while(1){r=0;s=p;while(1){f[s>>2]=b[a+r>>0]<<16;r=r+1|0;if((r|0)==(c|0))break;else s=s+4|0}q=q+1|0;if((q|0)==(h|0))break;else p=p+(c<<2)|0}l=e+(k<<2)|0;m=g+(o<<2)|0;n=h}else{l=e;m=g;n=0}while(0);if((n|0)<(i|0))if((c|0)>0){g=m+((Y(i-n|0,c)|0)<<2)|0;e=l;l=n;h=m;while(1){p=a+(Y(f[d+(l<<2)>>2]|0,c)|0)|0;q=e+4|0;s=0;r=h;while(1){t=f[e>>2]|0;u=b[p+s>>0]|0;v=Urc(u|0,((u|0)<0)<<31>>31|0,t|0,((t|0)<0)<<31>>31|0)|0;t=J;u=Arc(v|0,t|0,-2147483648,0)|0;w=J;x=w>>>0<1|(w|0)==1&u>>>0<0?v:(t|0)>0|(t|0)==0&v>>>0>0?2147483647:-2147483648;f[r>>2]=x;v=f[q>>2]|0;t=b[p+(s+c)>>0]|0;u=Urc(t|0,((t|0)<0)<<31>>31|0,v|0,((v|0)<0)<<31>>31|0)|0;v=J;t=Arc(u|0,v|0,-2147483648,0)|0;w=J;y=w>>>0<1|(w|0)==1&t>>>0<0?u:(v|0)>0|(v|0)==0&u>>>0>0?2147483647:-2147483648;u=y+x|0;f[r>>2]=((u^x)&(u^y)|0)<0?(u|2147483647)^-2147483648:u;s=s+1|0;if((s|0)==(c|0))break;else r=r+4|0}l=l+1|0;if((l|0)==(i|0)){z=i;A=g;break}else{e=e+8|0;h=h+(c<<2)|0}}}else{z=i;A=m}else{z=n;A=m}m=a+(Y(f[d+(j+-1<<2)>>2]|0,c)|0)|0;if((z|0)<(j|0)&(c|0)>0){B=z;C=A}else return;while(1){A=0;z=C;while(1){f[z>>2]=b[m+A>>0]<<16;A=A+1|0;if((A|0)==(c|0))break;else z=z+4|0}B=B+1|0;if((B|0)==(j|0))break;else C=C+(c<<2)|0}return}function fma(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;do if((h|0)>0){k=h<<1;if((c|0)<=0){l=e+(k<<2)|0;m=g;n=h;break}o=Y(h,c)|0;p=g;q=0;while(1){r=0;s=p;while(1){f[s>>2]=b[a+r>>0]<<16;r=r+1|0;if((r|0)==(c|0))break;else s=s+4|0}q=q+1|0;if((q|0)==(h|0))break;else p=p+(c<<2)|0}l=e+(k<<2)|0;m=g+(o<<2)|0;n=h}else{l=e;m=g;n=0}while(0);if((n|0)<(i|0))if((c|0)>0){g=m+((Y(i-n|0,c)|0)<<2)|0;e=l;l=n;h=m;while(1){p=a+(Y(f[d+(l<<2)>>2]|0,c)|0)|0;q=e+4|0;s=0;r=h;while(1){t=f[e>>2]|0;if(!t)u=0;else{v=b[p+s>>0]|0;w=Urc(v|0,((v|0)<0)<<31>>31|0,t|0,((t|0)<0)<<31>>31|0)|0;t=J;v=Arc(w|0,t|0,-2147483648,0)|0;x=J;u=x>>>0<1|(x|0)==1&v>>>0<0?w:(t|0)>0|(t|0)==0&w>>>0>0?2147483647:-2147483648}f[r>>2]=u;w=f[q>>2]|0;if(!w)y=0;else{t=b[p+(s+c)>>0]|0;v=Urc(t|0,((t|0)<0)<<31>>31|0,w|0,((w|0)<0)<<31>>31|0)|0;w=J;t=Arc(v|0,w|0,-2147483648,0)|0;x=J;y=x>>>0<1|(x|0)==1&t>>>0<0?v:(w|0)>0|(w|0)==0&v>>>0>0?2147483647:-2147483648}v=u+y|0;f[r>>2]=((v^u)&(v^y)|0)<0?(v|2147483647)^-2147483648:v;s=s+1|0;if((s|0)==(c|0))break;else r=r+4|0}l=l+1|0;if((l|0)==(i|0)){z=i;A=g;break}else{e=e+8|0;h=h+(c<<2)|0}}}else{z=i;A=m}else{z=n;A=m}m=a+(Y(f[d+(j+-1<<2)>>2]|0,c)|0)|0;if((z|0)<(j|0)&(c|0)>0){B=z;C=A}else return;while(1){A=0;z=C;while(1){f[z>>2]=b[m+A>>0]<<16;A=A+1|0;if((A|0)==(c|0))break;else z=z+4|0}B=B+1|0;if((B|0)==(j|0))break;else C=C+(c<<2)|0}return}function gma(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+64|0;g=e+48|0;h=e+40|0;i=e+32|0;j=e+24|0;k=e+16|0;l=e+8|0;m=e;Rzb(j,b);p[h>>3]=.5;Zzb(g,j,h);bAb(k,a,g);p[l>>3]=.5;aAb(i,k,l);k=Wzb(i)|0;if((k|0)>-1?(j=f[a+8>>2]|0,(j|0)>1):0){n=j+-1|0;if((k|0)<(n|0)){f[c>>2]=k;Rzb(m,k);aAb(l,i,m);Rzb(h,65536);bAb(g,l,h);h=Vzb(g)|0;f[d+4>>2]=h;g=65536-h|0;f[d>>2]=(g&h|0)<0?(g|2147483647)^-2147483648:g;u=e;return}else{f[c>>2]=n;n=a+16|0;c=f[n>>2]|0;f[n>>2]=(c|0)>(b|0)?b:c;u=e;return}}c=a+12|0;a=b+1|0;b=f[c>>2]|0;f[c>>2]=(b|0)<(a|0)?a:b;u=e;return}function hma(a){a=a|0;Emc(a);return}function ima(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;d=u;u=u+1072|0;e=d+8|0;g=d;h=a+28|0;i=f[h>>2]|0;j=a+36|0;k=f[j>>2]|0;l=Y(i<<1,k)|0;m=e+8|0;Drc(m|0,0,1056)|0;f[e>>2]=m;n=e+4|0;f[n>>2]=l;if(l>>>0>264){o=Dmc(l>>>0>1073741823?-1:l<<2)|0;Drc(o|0,0,l<<2|0)|0;f[e>>2]=o;p=o}else p=m;o=f[a+64>>2]|0;l=f[c>>2]|0;q=(o|0)<(l|0)?l:o;r=c+4|0;s=f[r>>2]|0;t=f[a+68>>2]|0;v=(s|0)<(t|0)?s:t;if((l|0)<(o|0)){Fh[f[a+72>>2]&255](f[a+4>>2]|0,k,f[a+40>>2]|0,f[a+48>>2]|0,p,f[a+56>>2]|0,f[a+60>>2]|0,i);w=-1;x=1;y=f[c>>2]|0}else{w=-2;x=0;y=l}if((y|0)<(q|0)){l=a+20|0;c=a+24|0;i=y;do{p=f[e>>2]|0;k=(f[l>>2]|0)+(Y(f[c>>2]|0,i)|0)|0;o=Y(f[j>>2]|0,f[h>>2]|0)|0;if((o|0)>0){t=0;do{s=(f[p+(t<<2)>>2]|0)+32768>>16;b[k+t>>0]=(s+128|0)>>>0<256?s:(s|0)>0?127:128;t=t+1|0}while((t|0)!=(o|0))}i=i+1|0}while((i|0)<(q|0));z=q}else z=y;if((z|0)<(v|0)){y=a+44|0;q=a+16|0;i=a+20|0;c=a+24|0;l=g+4|0;o=a+52|0;t=a+72|0;k=a+4|0;p=a+8|0;s=a+40|0;A=a+48|0;B=a+56|0;C=a+60|0;D=w;E=x;F=z;G=0;while(1){H=z+G<<1;I=(f[y>>2]|0)+(F<<2)|0;K=D+2|0;L=f[I>>2]|0;M=(L|0)<(K|0)?K:L;K=L+2|0;N=f[q>>2]|0;if((M|0)<(((N|0)<(K|0)?N:K)|0)){K=M;M=E;while(1){O=(f[k>>2]|0)+(Y(f[p>>2]|0,K)|0)|0;P=f[j>>2]|0;Q=f[h>>2]|0;R=(f[e>>2]|0)+((Y(Y(P,M)|0,Q)|0)<<2)|0;Fh[f[t>>2]&255](O,P,f[s>>2]|0,f[A>>2]|0,R,f[B>>2]|0,f[C>>2]|0,Q);K=K+1|0;Q=(M+1|0)%2|0;R=f[I>>2]|0;P=R+2|0;O=f[q>>2]|0;if((K|0)>=(((O|0)<(P|0)?O:P)|0)){S=Q;T=O;U=R;break}else M=Q}}else{S=E;T=N;U=L}M=T+-2|0;K=g;f[K>>2]=0;f[K+4>>2]=0;K=(((U|0)<(M|0)?M:U)+S-((D|0)<(M|0)?M:D)|0)%2|0;if((K|0)>0){Krc(g|0,(f[o>>2]|0)+((F<<1)+2-K<<2)|0,K<<2|0)|0;V=K}else V=0;Krc(g+(V<<2)|0,(f[o>>2]|0)+(V+H-K<<2)|0,8-(V<<2)|0)|0;M=f[e>>2]|0;I=Y(f[j>>2]|0,f[h>>2]|0)|0;Q=(f[i>>2]|0)+(Y(f[c>>2]|0,F)|0)|0;if((I|0)>0){R=f[g>>2]|0;O=f[l>>2]|0;P=((R|0)<0)<<31>>31;W=((O|0)<0)<<31>>31;X=0;do{Z=f[M+(X<<2)>>2]|0;_=Urc(R|0,P|0,Z|0,((Z|0)<0)<<31>>31|0)|0;Z=J;$=f[M+(X+I<<2)>>2]|0;aa=Urc(O|0,W|0,$|0,(($|0)<0)<<31>>31|0)|0;$=J;ba=Arc(aa|0,$|0,_|0,Z|0)|0;_=J;aa=((_^Z)&(_^$)|0)<0;$=Arc((aa?-1:ba)|0,(aa?(_|2147483647)^-2147483648:_)|0,-2147483648,0)|0;_=Hrc($|0,J|0,32)|0;$=J;aa=Arc(_|0,$|0,128,0)|0;ba=J;b[Q+X>>0]=ba>>>0<0|(ba|0)==0&aa>>>0<256?_&255:($|0)>0|($|0)==0&_>>>0>0?127:-128;X=X+1|0}while((X|0)!=(I|0))}I=F+1|0;if((I|0)<(v|0)){D=U;E=K;F=I;G=G+1|0}else{ca=U;da=K;ea=I;fa=q;break}}}else{ca=w;da=x;ea=z;fa=a+16|0}z=f[e>>2]|0;x=f[fa>>2]|0;if((ca+2|0)>(x|0))ga=z+((Y(Y(f[h>>2]|0,(da+~ca+x|0)%2|0)|0,f[j>>2]|0)|0)<<2)|0;else{ca=(f[a+4>>2]|0)+(Y(f[a+8>>2]|0,x+-1|0)|0)|0;Fh[f[a+72>>2]&255](ca,f[j>>2]|0,f[a+40>>2]|0,f[a+48>>2]|0,z,f[a+56>>2]|0,f[a+60>>2]|0,f[h>>2]|0);ga=z}z=f[r>>2]|0;if((ea|0)<(z|0)){ca=a+20|0;x=a+24|0;a=ea;ea=z;while(1){z=(f[ca>>2]|0)+(Y(f[x>>2]|0,a)|0)|0;da=Y(f[j>>2]|0,f[h>>2]|0)|0;if((da|0)>0){fa=0;do{w=(f[ga+(fa<<2)>>2]|0)+32768>>16;b[z+fa>>0]=(w+128|0)>>>0<256?w:(w|0)>0?127:128;fa=fa+1|0}while((fa|0)!=(da|0));ha=f[r>>2]|0}else ha=ea;a=a+1|0;if((a|0)>=(ha|0))break;else ea=ha}}ha=f[e>>2]|0;if((ha|0)==(m|0)){u=d;return}if(ha|0)Fmc(ha);f[e>>2]=m;f[n>>2]=264;u=d;return}function jma(a,b,c,e,g,i,k,l){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;i=i|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;b=(h[a>>0]|0)<<8&65535;if((i|0)>0){m=i<<1;n=0;o=g;while(1){d[o>>1]=b;n=n+1|0;if((n|0)==(i|0))break;else o=o+2|0}p=e+(m<<1)|0;q=i;r=g+(i<<1)|0}else{p=e;q=0;r=g}if((q|0)<(k|0)){g=k-q|0;e=q;i=r;m=p;while(1){p=a+(f[c+(e<<2)>>2]|0)|0;o=Y(h[p>>0]|0,j[m>>1]|0)|0;n=o>>>0<65535?o:65535;o=Y(h[p+1>>0]|0,j[m+2>>1]|0)|0;p=(o>>>0<65535?o:65535)+n|0;d[i>>1]=n>>>0>(p&65535)>>>0?-1:p&65535;e=e+1|0;if((e|0)==(k|0))break;else{i=i+2|0;m=m+4|0}}s=k;t=r+(g<<1)|0}else{s=q;t=r}r=(h[a+(f[c+(l+-1<<2)>>2]|0)>>0]|0)<<8&65535;if((s|0)<(l|0)){u=t;v=s}else return;while(1){d[u>>1]=r;v=v+1|0;if((v|0)==(l|0))break;else u=u+2|0}return}function kma(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;sma(a,b,c,d,e,f,g,h);return}function lma(a,b,c,e,g,i,k,l){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;i=i|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;b=(h[a>>0]|0)<<8&65535;m=(h[a+1>>0]|0)<<8&65535;if((i|0)>0){n=i<<1;o=g+(n<<1)|0;p=0;q=g;while(1){d[q>>1]=b;d[q+2>>1]=m;p=p+1|0;if((p|0)==(i|0))break;else q=q+4|0}r=e+(n<<1)|0;s=i;t=o}else{r=e;s=0;t=g}if((s|0)<(k|0)){g=k-s<<1;e=s;o=t;i=r;while(1){r=a+(f[c+(e<<2)>>2]<<1)|0;n=Y(h[r>>0]|0,j[i>>1]|0)|0;q=n>>>0<65535?n:65535;n=i+2|0;p=Y(h[r+2>>0]|0,j[n>>1]|0)|0;m=(p>>>0<65535?p:65535)+q|0;d[o>>1]=q>>>0>(m&65535)>>>0?-1:m&65535;m=Y(h[r+1>>0]|0,j[i>>1]|0)|0;q=m>>>0<65535?m:65535;m=Y(h[r+3>>0]|0,j[n>>1]|0)|0;n=(m>>>0<65535?m:65535)+q|0;d[o+2>>1]=q>>>0>(n&65535)>>>0?-1:n&65535;e=e+1|0;if((e|0)==(k|0))break;else{o=o+4|0;i=i+4|0}}u=k;v=t+(g<<1)|0}else{u=s;v=t}t=a+(f[c+(l+-1<<2)>>2]<<1)|0;c=(h[t>>0]|0)<<8&65535;a=(h[t+1>>0]|0)<<8&65535;if((u|0)<(l|0)){w=v;x=u}else return;while(1){d[w>>1]=c;d[w+2>>1]=a;x=x+1|0;if((x|0)==(l|0))break;else w=w+4|0}return}function mma(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;sma(a,b,c,d,e,f,g,h);return}function nma(a,b,c,e,g,i,k,l){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;i=i|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;b=(h[a>>0]|0)<<8&65535;m=(h[a+1>>0]|0)<<8&65535;n=(h[a+2>>0]|0)<<8&65535;if((i|0)>0){o=i*3|0;p=0;q=g;while(1){d[q>>1]=b;d[q+2>>1]=m;d[q+4>>1]=n;p=p+1|0;if((p|0)==(i|0))break;else q=q+6|0}r=e+(i<<1<<1)|0;s=i;t=g+(o<<1)|0}else{r=e;s=0;t=g}if((s|0)<(k|0)){g=k-s|0;e=s;o=t;i=r;while(1){r=a+((f[c+(e<<2)>>2]|0)*3|0)|0;q=Y(h[r>>0]|0,j[i>>1]|0)|0;p=q>>>0<65535?q:65535;q=i+2|0;n=Y(h[r+3>>0]|0,j[q>>1]|0)|0;m=(n>>>0<65535?n:65535)+p|0;d[o>>1]=p>>>0>(m&65535)>>>0?-1:m&65535;m=Y(h[r+1>>0]|0,j[i>>1]|0)|0;p=m>>>0<65535?m:65535;m=Y(h[r+4>>0]|0,j[q>>1]|0)|0;n=(m>>>0<65535?m:65535)+p|0;d[o+2>>1]=p>>>0>(n&65535)>>>0?-1:n&65535;n=Y(h[r+2>>0]|0,j[i>>1]|0)|0;p=n>>>0<65535?n:65535;n=Y(h[r+5>>0]|0,j[q>>1]|0)|0;q=(n>>>0<65535?n:65535)+p|0;d[o+4>>1]=p>>>0>(q&65535)>>>0?-1:q&65535;e=e+1|0;if((e|0)==(k|0))break;else{o=o+6|0;i=i+4|0}}u=k;v=t+(g*3<<1)|0}else{u=s;v=t}t=a+((f[c+(l+-1<<2)>>2]|0)*3|0)|0;c=(h[t>>0]|0)<<8&65535;a=(h[t+1>>0]|0)<<8&65535;s=(h[t+2>>0]|0)<<8&65535;if((u|0)<(l|0)){w=v;x=u}else return;while(1){d[w>>1]=c;d[w+2>>1]=a;d[w+4>>1]=s;x=x+1|0;if((x|0)==(l|0))break;else w=w+6|0}return}function oma(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;sma(a,b,c,d,e,f,g,h);return}function pma(a,b,c,e,g,i,k,l){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;i=i|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if((i|0)>0){i=(h[a+3>>0]|0)<<8&65535;b=(h[a+2>>0]|0)<<8&65535;m=(h[a+1>>0]|0)<<8&65535;d[g>>1]=(h[a>>0]|0)<<8;d[g+2>>1]=m;d[g+4>>1]=b;d[g+6>>1]=i;n=e+4|0;o=1;p=g+8|0}else{n=e;o=0;p=g}if((o|0)<(k|0)){g=k-o<<2;e=n;n=o;i=p;while(1){b=a+(f[c+(n<<2)>>2]<<2)|0;m=Y(h[b>>0]|0,j[e>>1]|0)|0;q=m>>>0<65535?m:65535;m=e+2|0;r=Y(h[b+4>>0]|0,j[m>>1]|0)|0;s=(r>>>0<65535?r:65535)+q|0;d[i>>1]=q>>>0>(s&65535)>>>0?-1:s&65535;s=Y(h[b+1>>0]|0,j[e>>1]|0)|0;q=s>>>0<65535?s:65535;s=Y(h[b+5>>0]|0,j[m>>1]|0)|0;r=(s>>>0<65535?s:65535)+q|0;d[i+2>>1]=q>>>0>(r&65535)>>>0?-1:r&65535;r=Y(h[b+2>>0]|0,j[e>>1]|0)|0;q=r>>>0<65535?r:65535;r=Y(h[b+6>>0]|0,j[m>>1]|0)|0;s=(r>>>0<65535?r:65535)+q|0;d[i+4>>1]=q>>>0>(s&65535)>>>0?-1:s&65535;s=Y(h[b+3>>0]|0,j[e>>1]|0)|0;q=s>>>0<65535?s:65535;s=Y(h[b+7>>0]|0,j[m>>1]|0)|0;m=(s>>>0<65535?s:65535)+q|0;d[i+6>>1]=q>>>0>(m&65535)>>>0?-1:m&65535;n=n+1|0;if((n|0)==(k|0))break;else{e=e+4|0;i=i+8|0}}t=k;u=p+(g<<1)|0}else{t=o;u=p}p=a+(f[c+(l+-1<<2)>>2]<<2)|0;if((t|0)>=(l|0))return;l=(h[p+3>>0]|0)<<8&65535;t=(h[p+2>>0]|0)<<8&65535;c=(h[p+1>>0]|0)<<8&65535;d[u>>1]=(h[p>>0]|0)<<8;d[u+2>>1]=c;d[u+4>>1]=t;d[u+6>>1]=l;return}function qma(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;sma(a,b,c,d,e,f,g,h);return}function rma(a,b,c,e,g,i,k,l){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;i=i|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;do if((i|0)>0){m=i<<1;if((b|0)<=0){n=e+(m<<1)|0;o=g;p=i;break}q=Y(i,b)|0;r=g;s=0;while(1){t=0;u=r;while(1){d[u>>1]=(h[a+t>>0]|0)<<8;t=t+1|0;if((t|0)==(b|0))break;else u=u+2|0}s=s+1|0;if((s|0)==(i|0))break;else r=r+(b<<1)|0}n=e+(m<<1)|0;o=g+(q<<1)|0;p=i}else{n=e;o=g;p=0}while(0);if((p|0)<(k|0))if((b|0)>0){g=o+((Y(k-p|0,b)|0)<<1)|0;e=n;n=p;i=o;while(1){r=a+(Y(f[c+(n<<2)>>2]|0,b)|0)|0;s=e+2|0;u=0;t=i;while(1){v=Y(h[r+u>>0]|0,j[e>>1]|0)|0;w=v>>>0<65535?v:65535;d[t>>1]=w;v=Y(h[r+(u+b)>>0]|0,j[s>>1]|0)|0;x=(v>>>0<65535?v:65535)+w|0;d[t>>1]=w>>>0>(x&65535)>>>0?-1:x&65535;u=u+1|0;if((u|0)==(b|0))break;else t=t+2|0}n=n+1|0;if((n|0)==(k|0)){y=k;z=g;break}else{e=e+4|0;i=i+(b<<1)|0}}}else{y=k;z=o}else{y=p;z=o}o=a+(Y(f[c+(l+-1<<2)>>2]|0,b)|0)|0;if((y|0)<(l|0)&(b|0)>0){A=y;B=z}else return;while(1){z=0;y=B;while(1){d[y>>1]=(h[o+z>>0]|0)<<8;z=z+1|0;if((z|0)==(b|0))break;else y=y+2|0}A=A+1|0;if((A|0)==(l|0))break;else B=B+(b<<1)|0}return}function sma(a,b,c,e,g,i,j,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;do if((i|0)>0){l=i<<1;if((b|0)<=0){m=e+(l<<1)|0;n=g;o=i;break}p=Y(i,b)|0;q=g;r=0;while(1){s=0;t=q;while(1){d[t>>1]=(h[a+s>>0]|0)<<8;s=s+1|0;if((s|0)==(b|0))break;else t=t+2|0}r=r+1|0;if((r|0)==(i|0))break;else q=q+(b<<1)|0}m=e+(l<<1)|0;n=g+(p<<1)|0;o=i}else{m=e;n=g;o=0}while(0);if((o|0)<(j|0))if((b|0)>0){g=n+((Y(j-o|0,b)|0)<<1)|0;e=m;m=o;i=n;while(1){q=a+(Y(f[c+(m<<2)>>2]|0,b)|0)|0;r=e+2|0;t=0;s=i;while(1){u=d[e>>1]|0;if(!(u<<16>>16))v=0;else{w=Y(h[q+t>>0]|0,u&65535)|0;v=(w>>>0<65535?w:65535)&65535}d[s>>1]=v;w=d[r>>1]|0;if(!(w<<16>>16))x=0;else{u=Y(h[q+(t+b)>>0]|0,w&65535)|0;x=u>>>0<65535?u:65535}u=v&65535;w=u+x|0;d[s>>1]=u>>>0>(w&65535)>>>0?-1:w&65535;t=t+1|0;if((t|0)==(b|0))break;else s=s+2|0}m=m+1|0;if((m|0)==(j|0)){y=j;z=g;break}else{e=e+4|0;i=i+(b<<1)|0}}}else{y=j;z=n}else{y=o;z=n}n=a+(Y(f[c+(k+-1<<2)>>2]|0,b)|0)|0;if((y|0)<(k|0)&(b|0)>0){A=y;B=z}else return;while(1){z=0;y=B;while(1){d[y>>1]=(h[n+z>>0]|0)<<8;z=z+1|0;if((z|0)==(b|0))break;else y=y+2|0}A=A+1|0;if((A|0)==(k|0))break;else B=B+(b<<1)|0}return}function tma(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0;g=u;u=u+64|0;h=g+48|0;i=g+40|0;j=g+32|0;k=g+24|0;l=g+16|0;m=g+8|0;n=g;Rzb(k,b);p[i>>3]=.5;Zzb(h,k,i);bAb(l,a,h);p[m>>3]=.5;aAb(j,l,m);l=Wzb(j)|0;if((l|0)>-1?(k=f[a+8>>2]|0,(k|0)>1):0){o=k+-1|0;if((l|0)>=(o|0)){f[c>>2]=o;o=a+16|0;k=f[o>>2]|0;f[o>>2]=(k|0)>(b|0)?b:k;u=g;return}f[c>>2]=l;Rzb(n,l);aAb(m,j,n);if((f[m+4>>2]|0)<0)q=0;else{Rzb(i,256);bAb(h,m,i);q=(Vzb(h)|0)&65535}d[e+2>>1]=q;d[e>>1]=(q&65535)<256?256-(q&65535)&65535:0;u=g;return}q=a+12|0;a=b+1|0;b=f[q>>2]|0;f[q>>2]=(b|0)<(a|0)?a:b;u=g;return}function uma(a){a=a|0;Emc(a);return}function vma(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;d=u;u=u+1056|0;e=d+8|0;g=d;h=a+28|0;i=f[h>>2]|0;k=a+36|0;l=f[k>>2]|0;m=Y(i<<1,l)|0;n=e+8|0;Drc(n|0,0,1040)|0;f[e>>2]=n;o=e+4|0;f[o>>2]=m;if(m>>>0>520){p=Dmc(m>>>0>2147483647?-1:m<<1)|0;Drc(p|0,0,m<<1|0)|0;f[e>>2]=p;q=p}else q=n;p=f[a+64>>2]|0;m=f[c>>2]|0;r=(p|0)<(m|0)?m:p;s=c+4|0;t=f[s>>2]|0;v=f[a+68>>2]|0;w=(t|0)<(v|0)?t:v;if((m|0)<(p|0)){Fh[f[a+72>>2]&255](f[a+4>>2]|0,l,f[a+40>>2]|0,f[a+48>>2]|0,q,f[a+56>>2]|0,f[a+60>>2]|0,i);x=-1;y=1;z=f[c>>2]|0}else{x=-2;y=0;z=m}if((z|0)<(r|0)){m=a+20|0;c=a+24|0;i=z;do{q=Y(f[k>>2]|0,f[h>>2]|0)|0;if((q|0)>0){l=(f[m>>2]|0)+(Y(f[c>>2]|0,i)|0)|0;p=f[e>>2]|0;v=l;l=0;while(1){b[v>>0]=((j[p>>1]|0)+128|0)>>>8;l=l+1|0;if((l|0)==(q|0))break;else{p=p+2|0;v=v+1|0}}}i=i+1|0}while((i|0)<(r|0));A=r}else A=z;if((A|0)<(w|0)){z=a+44|0;r=a+16|0;i=a+20|0;c=a+24|0;m=g+2|0;v=a+52|0;p=a+72|0;q=a+4|0;l=a+8|0;t=a+40|0;B=a+48|0;C=a+56|0;D=a+60|0;E=x;F=y;G=A;H=0;while(1){I=A+H<<1;J=(f[z>>2]|0)+(G<<2)|0;K=E+2|0;L=f[J>>2]|0;M=(L|0)<(K|0)?K:L;K=L+2|0;N=f[r>>2]|0;if((M|0)<(((N|0)<(K|0)?N:K)|0)){K=M;M=F;while(1){O=(f[q>>2]|0)+(Y(f[l>>2]|0,K)|0)|0;P=f[k>>2]|0;Q=f[h>>2]|0;R=(f[e>>2]|0)+((Y(Y(P,M)|0,Q)|0)<<1)|0;Fh[f[p>>2]&255](O,P,f[t>>2]|0,f[B>>2]|0,R,f[C>>2]|0,f[D>>2]|0,Q);K=K+1|0;Q=(M+1|0)%2|0;R=f[J>>2]|0;P=R+2|0;O=f[r>>2]|0;if((K|0)>=(((O|0)<(P|0)?O:P)|0)){S=Q;T=O;U=R;break}else M=Q}}else{S=F;T=N;U=L}M=T+-2|0;f[g>>2]=0;K=(((U|0)<(M|0)?M:U)+S-((E|0)<(M|0)?M:E)|0)%2|0;if((K|0)>0){Krc(g|0,(f[v>>2]|0)+((G<<1)+2-K<<1)|0,K<<1|0)|0;V=K}else V=0;Krc(g+(V<<1)|0,(f[v>>2]|0)+(V+I-K<<1)|0,4-(V<<1)|0)|0;M=f[e>>2]|0;J=Y(f[k>>2]|0,f[h>>2]|0)|0;if((J|0)>0){Q=0;R=M;O=(f[i>>2]|0)+(Y(f[c>>2]|0,G)|0)|0;P=M+(J<<1)|0;while(1){M=Y(j[g>>1]|0,j[R>>1]|0)|0;W=(Y(j[m>>1]|0,j[P>>1]|0)|0)+M|0;X=W>>>0<M>>>0?0:(W+32768|0)>>>16;b[O>>0]=X>>>0<255?X:255;Q=Q+1|0;if((Q|0)==(J|0))break;else{R=R+2|0;O=O+1|0;P=P+2|0}}}P=G+1|0;if((P|0)<(w|0)){E=U;F=K;G=P;H=H+1|0}else{Z=U;_=K;$=P;aa=r;break}}}else{Z=x;_=y;$=A;aa=a+16|0}A=f[e>>2]|0;y=f[aa>>2]|0;if((Z+2|0)>(y|0))ba=A+((Y(Y(f[h>>2]|0,(_+~Z+y|0)%2|0)|0,f[k>>2]|0)|0)<<1)|0;else{Z=(f[a+4>>2]|0)+(Y(f[a+8>>2]|0,y+-1|0)|0)|0;Fh[f[a+72>>2]&255](Z,f[k>>2]|0,f[a+40>>2]|0,f[a+48>>2]|0,A,f[a+56>>2]|0,f[a+60>>2]|0,f[h>>2]|0);ba=A}A=f[s>>2]|0;if(($|0)<(A|0)){Z=a+20|0;y=a+24|0;a=$;$=A;while(1){A=Y(f[k>>2]|0,f[h>>2]|0)|0;if((A|0)>0){_=ba;aa=(f[Z>>2]|0)+(Y(f[y>>2]|0,a)|0)|0;x=0;while(1){b[aa>>0]=((j[_>>1]|0)+128|0)>>>8;x=x+1|0;if((x|0)==(A|0))break;else{_=_+2|0;aa=aa+1|0}}ca=f[s>>2]|0}else ca=$;a=a+1|0;if((a|0)>=(ca|0))break;else $=ca}}ca=f[e>>2]|0;if((ca|0)==(n|0)){u=d;return}if(ca|0)Fmc(ca);f[e>>2]=n;f[o>>2]=520;u=d;return}function wma(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=+g;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0,F=0;i=u;u=u+160|0;j=i+144|0;k=i+136|0;l=i+80|0;m=i+72|0;n=i+16|0;o=i;zT(j,59756);nD(k,a,-1);p=f[k>>2]|0;if((p|0)<1){f[l>>2]=0;q=l+4|0;f[q>>2]=0;r=YG(l,14)|0;s=r;t=276945;v=s+14|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));SQ(-215,l,273958,273965,4224)}w=k+4|0;x=f[w>>2]|0;if((x|0)<1){f[l>>2]=0;q=l+4|0;f[q>>2]=0;r=YG(l,14)|0;s=r;t=276945;v=s+14|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));SQ(-215,l,273958,273965,4224)}r=f[d>>2]|0;if((r|0)>=1?(q=d+4|0,y=f[q>>2]|0,(y|0)>=1):0){z=q;A=y}else B=6;do if((B|0)==6)if(e>0.0&g>0.0){y=d+4|0;z=y;A=f[y>>2]|0;break}else{f[l>>2]=0;f[l+4>>2]=0;s=YG(l,54)|0;t=276960;v=s+54|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));SQ(-215,l,273958,273965,4225)}while(0);if(!(Y(A,r)|0)){B=V9b(+(p|0)*e)|0;y=V9b(+(x|0)*g)|0;f[d>>2]=B;f[z>>2]=y;if((B|0)<1|(y|0)<1){f[l>>2]=0;f[l+4>>2]=0;s=YG(l,14)|0;t=274033;v=s+14|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));SQ(-215,l,273958,273965,4230)}else{C=g;D=e}}else{C=+(A|0)/+(x|0);D=+(r|0)/+(p|0)}do if((h|0)==5){if((BD(a,-1)|0)!=5?(BD(a,-1)|0)!=6:0){E=5;break}E=1}else E=h;while(0);do if((pD(a)|0)==65536){h=f[a+4>>2]|0;f[l>>2]=f[h>>2];p=l+4|0;r=h+4|0;f[p>>2]=f[r>>2];x=l+8|0;f[x>>2]=f[h+8>>2];f[l+12>>2]=f[h+12>>2];f[l+16>>2]=f[h+16>>2];f[l+20>>2]=f[h+20>>2];f[l+24>>2]=f[h+24>>2];f[l+28>>2]=f[h+28>>2];f[l+32>>2]=f[h+32>>2];A=f[h+36>>2]|0;f[l+36>>2]=A;f[l+40>>2]=x;x=l+48|0;t=l+44|0;f[t>>2]=x;f[x>>2]=0;f[l+52>>2]=0;if(A|0){x=A+12|0;f[x>>2]=(f[x>>2]|0)+1}if((f[r>>2]|0)<3){r=f[h+44>>2]|0;x=f[t>>2]|0;f[x>>2]=f[r>>2];f[x+4>>2]=f[r+4>>2];F=l;break}else{f[p>>2]=0;kP(l,h);F=l;break}}else{lD(l,a,-1);F=l}while(0);f[m>>2]=f[d>>2];f[m+4>>2]=f[z>>2];HD(c,m,f[F>>2]&4095,-1,0,0);do if((pD(c)|0)==65536){m=f[c+4>>2]|0;f[n>>2]=f[m>>2];a=n+4|0;h=m+4|0;f[a>>2]=f[h>>2];p=n+8|0;f[p>>2]=f[m+8>>2];f[n+12>>2]=f[m+12>>2];f[n+16>>2]=f[m+16>>2];f[n+20>>2]=f[m+20>>2];f[n+24>>2]=f[m+24>>2];f[n+28>>2]=f[m+28>>2];f[n+32>>2]=f[m+32>>2];r=f[m+36>>2]|0;f[n+36>>2]=r;f[n+40>>2]=p;p=n+48|0;x=n+44|0;f[x>>2]=p;f[p>>2]=0;f[n+52>>2]=0;if(r|0){p=r+12|0;f[p>>2]=(f[p>>2]|0)+1}if((f[h>>2]|0)<3){h=f[m+44>>2]|0;p=f[x>>2]|0;f[p>>2]=f[h>>2];f[p+4>>2]=f[h+4>>2];break}else{f[a>>2]=0;kP(n,m);break}}else lD(n,c,-1);while(0);if((f[d>>2]|0)==(f[k>>2]|0)?(f[z>>2]|0)==(f[w>>2]|0):0){w=o+8|0;f[w>>2]=0;f[w+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=n;kT(l,o)}else sia(f[F>>2]&4095,f[l+16>>2]|0,f[l+48>>2]|0,f[l+12>>2]|0,f[l+8>>2]|0,f[n+16>>2]|0,f[n+48>>2]|0,f[n+12>>2]|0,f[n+8>>2]|0,D,C,E);E=n+36|0;F=f[E>>2]|0;if(F|0?(o=F+12|0,F=f[o>>2]|0,f[o>>2]=F+-1,(F|0)==1):0)lP(n);f[E>>2]=0;E=n+16|0;F=n+4|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[F>>2]|0)>0){E=f[n+40>>2]|0;o=0;do{f[E+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[F>>2]|0))}F=f[n+44>>2]|0;if((F|0)!=(n+48|0))tE(F);F=l+36|0;n=f[F>>2]|0;if(n|0?(o=n+12|0,n=f[o>>2]|0,f[o>>2]=n+-1,(n|0)==1):0)lP(l);f[F>>2]=0;F=l+16|0;n=l+4|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[n>>2]|0)>0){F=f[l+40>>2]|0;o=0;do{f[F+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[n>>2]|0))}n=f[l+44>>2]|0;if((n|0)!=(l+48|0))tE(n);if(!(f[j+4>>2]|0)){u=i;return}u=i;return}function xma(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+160|0;g=e+96|0;h=e+40|0;i=e+24|0;j=e;k=e+16|0;mU(g,a,0,1,0,0);mU(h,c,0,1,0,0);if((f[h>>2]^f[g>>2])&4095|0){f[i>>2]=0;f[i+4>>2]=0;c=YG(i,24)|0;a=475616;l=c+24|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(l|0));SQ(-215,i,277083,273965,4263)}f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=g;a=j+8|0;f[a>>2]=0;f[a+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=h;a=h+40|0;c=f[a>>2]|0;l=f[c>>2]|0;f[k>>2]=f[c+4>>2];f[k+4>>2]=l;wma(i,j,k,+(f[h+12>>2]|0)/+(f[g+12>>2]|0),+(f[h+8>>2]|0)/+(f[g+8>>2]|0),d);d=h+36|0;k=f[d>>2]|0;if(k|0?(j=k+12|0,k=f[j>>2]|0,f[j>>2]=k+-1,(k|0)==1):0)lP(h);f[d>>2]=0;d=h+16|0;k=h+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[k>>2]|0)>0){d=f[a>>2]|0;a=0;do{f[d+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[k>>2]|0))}k=f[h+44>>2]|0;if((k|0)!=(h+48|0))tE(k);k=g+36|0;h=f[k>>2]|0;if(h|0?(a=h+12|0,h=f[a>>2]|0,f[a>>2]=h+-1,(h|0)==1):0)lP(g);f[k>>2]=0;k=g+16|0;h=g+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[h>>2]|0)>0){k=f[g+40>>2]|0;a=0;do{f[k+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[h>>2]|0))}h=f[g+44>>2]|0;if((h|0)==(g+48|0)){u=e;return}tE(h);u=e;return}function yma(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,t=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,K=0.0,L=0.0,N=0.0,O=0.0,P=0.0,Q=0,R=0,S=0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Y=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0,fa=0.0,ga=0.0,ha=0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0;e=u;u=u+80|0;g=e+64|0;h=e+8|0;i=e;zT(g,59776);do if((pD(a)|0)==65536){j=f[a+4>>2]|0;f[h>>2]=f[j>>2];k=h+4|0;l=j+4|0;f[k>>2]=f[l>>2];m=h+8|0;f[m>>2]=f[j+8>>2];f[h+12>>2]=f[j+12>>2];f[h+16>>2]=f[j+16>>2];f[h+20>>2]=f[j+20>>2];f[h+24>>2]=f[j+24>>2];f[h+28>>2]=f[j+28>>2];f[h+32>>2]=f[j+32>>2];o=f[j+36>>2]|0;f[h+36>>2]=o;f[h+40>>2]=m;m=h+48|0;p=h+44|0;f[p>>2]=m;f[m>>2]=0;f[h+52>>2]=0;if(o|0){m=o+12|0;f[m>>2]=(f[m>>2]|0)+1}if((f[l>>2]|0)<3){l=f[j+44>>2]|0;m=f[p>>2]|0;f[m>>2]=f[l>>2];f[m+4>>2]=f[l+4>>2];break}else{f[k>>2]=0;kP(h,j);break}}else lD(h,a,-1);while(0);a=BP(h,2,-1,1)|0;j=f[h>>2]&7;if((a|0)<=-1){f[i>>2]=0;q=i+4|0;f[q>>2]=0;r=YG(i,50)|0;t=r;v=277162;w=t+50|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,i,277213,277092,103)}k=(j|0)==5;if((j|1|0)!=5){f[i>>2]=0;q=i+4|0;f[q>>2]=0;r=YG(i,50)|0;t=r;v=277162;w=t+50|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,i,277213,277092,103)}x=+n[c>>2];i=U9b(x)|0;y=+n[c+4>>2];c=U9b(y)|0;a:do if(!a)z=d?-1797693134862315708145274.0e284:-1.0;else{v=f[h+16>>2]|0;t=a+-1|0;w=f[v+(t<<3)>>2]|0;r=f[v+(t<<3)+4>>2]|0;if(+(i|0)==x&((k|d)^1)&+(c|0)==y){t=0;q=0;j=w;l=r;while(1){m=j;j=f[v+(t<<3)>>2]|0;p=l;l=f[v+(t<<3)+4>>2]|0;o=(l|0)>(c|0);if((c|0)<(p|0))if(o)A=18;else A=17;else if(o)A=17;else A=18;if((A|0)==17){A=0;if(!((i|0)>(m|0)&(j|0)<(i|0))){o=c-p|0;B=j-m|0;C=Urc(B|0,((B|0)<0)<<31>>31|0,o|0,((o|0)<0)<<31>>31|0)|0;o=J;B=i-m|0;D=l-p|0;E=Urc(D|0,((D|0)<0)<<31>>31|0,B|0,((B|0)<0)<<31>>31|0)|0;B=zrc(C|0,o|0,E|0,J|0)|0;E=J;o=(l|0)<(p|0);C=zrc(0,0,B|0,E|0)|0;D=o?J:E;if((B|0)==0&(E|0)==0){z=0.0;break a}else F=(((D|0)>0|(D|0)==0&(o?C:B)>>>0>0)&1)+q|0}else A=18}if((A|0)==18){A=0;if((c|0)==(l|0)){if((i|0)==(j|0)){z=0.0;break a}if((c|0)==(p|0)){if(!((i|0)<(m|0)|(i|0)>(j|0))){z=0.0;break a}if(!((i|0)>(m|0)|(j|0)>(i|0))){z=0.0;break a}else F=q}else F=q}else F=q}t=t+1|0;if((t|0)>=(a|0))break;else q=F}z=+((F<<1&2)+-1|0);break}if(k){G=w;H=r;I=(f[s>>2]=r,+n[s>>2])}else{K=+(r|0);q=(n[s>>2]=+(w|0),f[s>>2]|0);G=q;H=(n[s>>2]=K,f[s>>2]|0);I=K}if(!d){if(k){q=0;t=0;j=G;K=I;while(1){l=j;j=f[v+(q<<3)>>2]|0;L=(f[s>>2]=j,+n[s>>2]);N=K;K=+n[v+(q<<3)+4>>2];if((!(N<=y)|!(K<=y)?!(N>y&K>y):0)?(O=(f[s>>2]=l,+n[s>>2]),!(O<x&L<x)):0){P=(L-O)*(y-N)-(K-N)*(x-O);if(P==0.0){z=0.0;break a}Q=((K<N?-P:P)>0.0&1)+t|0}else if(y==K){if(x==L){z=0.0;break a}if(y==N){N=(f[s>>2]=l,+n[s>>2]);if(!(!(N<=x)|!(x<=L))){z=0.0;break a}if(!(!(L<=x)|!(x<=N))){z=0.0;break a}else Q=t}else Q=t}else Q=t;q=q+1|0;if((q|0)>=(a|0)){R=Q;break}else t=Q}}else{t=0;q=0;j=G;K=I;while(1){N=+(f[v+(t<<3)>>2]|0);L=K;K=+(f[v+(t<<3)+4>>2]|0);w=j;j=(n[s>>2]=N,f[s>>2]|0);if((!(L<=y)|!(K<=y)?!(L>y&K>y):0)?(P=(f[s>>2]=w,+n[s>>2]),!(P<x&N<x)):0){O=(N-P)*(y-L)-(K-L)*(x-P);if(O==0.0){z=0.0;break a}S=((K<L?-O:O)>0.0&1)+q|0}else if(y==K){if(x==N){z=0.0;break a}if(y==L){L=(f[s>>2]=w,+n[s>>2]);if(!(!(L<=x)|!(x<=N))){z=0.0;break a}if(!(!(N<=x)|!(x<=L))){z=0.0;break a}else S=q}else S=q}else S=q;t=t+1|0;if((t|0)>=(a|0)){R=S;break}else q=S}}z=+((R<<1&2)+-1|0);break}b:do if(k){K=3402823466385288598117041.0e14;L=1.0;q=0;t=0;j=G;w=H;while(1){r=j;j=f[v+(q<<3)>>2]|0;N=(f[s>>2]=j,+n[s>>2]);l=w;w=f[v+(q<<3)+4>>2]|0;O=(f[s>>2]=w,+n[s>>2]);P=(f[s>>2]=r,+n[s>>2]);T=N-P;U=(f[s>>2]=l,+n[s>>2]);V=O-U;W=V;X=x-P;Y=y-U;Z=x-N;_=y-O;do if(!(T*X+W*Y<=0.0))if(!(T*Z+W*_>=0.0)){$=T*Y-W*X;aa=T*T+W*W;ba=$*$;break}else{aa=1.0;ba=Z*Z+_*_;break}else{aa=1.0;ba=X*X+Y*Y}while(0);if(L*ba<K*aa)if(ba==0.0){ca=ba;da=aa;ea=t;break b}else{fa=ba;ga=aa}else{fa=K;ga=L}if((!(U<=y)|!(O<=y)?!(U>y&O>y):0)?!(P<x&N<x):0){_=T*Y-W*X;ha=((V<0.0?-_:_)>0.0&1)+t|0}else ha=t;q=q+1|0;if((q|0)>=(a|0)){ca=fa;da=ga;ea=ha;break}else{K=fa;L=ga;t=ha}}}else{L=3402823466385288598117041.0e14;K=1.0;t=0;q=0;w=G;j=H;while(1){_=+(f[v+(t<<3)>>2]|0);Z=+(f[v+(t<<3)+4>>2]|0);l=w;w=(n[s>>2]=_,f[s>>2]|0);r=j;j=(n[s>>2]=Z,f[s>>2]|0);$=(f[s>>2]=l,+n[s>>2]);ia=_-$;ja=(f[s>>2]=r,+n[s>>2]);ka=Z-ja;la=ka;ma=x-$;na=y-ja;oa=x-_;pa=y-Z;do if(!(ia*ma+la*na<=0.0))if(!(ia*oa+la*pa>=0.0)){qa=ia*na-la*ma;ra=ia*ia+la*la;sa=qa*qa;break}else{ra=1.0;sa=oa*oa+pa*pa;break}else{ra=1.0;sa=ma*ma+na*na}while(0);if(K*sa<L*ra)if(sa==0.0){ca=sa;da=ra;ea=q;break b}else{ta=sa;ua=ra}else{ta=L;ua=K}if((!(ja<=y)|!(Z<=y)?!(ja>y&Z>y):0)?!($<x&_<x):0){pa=ia*na-la*ma;va=((ka<0.0?-pa:pa)>0.0&1)+q|0}else va=q;t=t+1|0;if((t|0)>=(a|0)){ca=ta;da=ua;ea=va;break}else{L=ta;K=ua;q=va}}}while(0);K=+M(+(ca/da));z=(ea&1|0)==0?-K:K}while(0);ea=h+36|0;va=f[ea>>2]|0;if(va|0?(a=va+12|0,va=f[a>>2]|0,f[a>>2]=va+-1,(va|0)==1):0)lP(h);f[ea>>2]=0;ea=h+16|0;va=h+4|0;f[ea>>2]=0;f[ea+4>>2]=0;f[ea+8>>2]=0;f[ea+12>>2]=0;if((f[va>>2]|0)>0){ea=f[h+40>>2]|0;a=0;do{f[ea+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[va>>2]|0))}va=f[h+44>>2]|0;if((va|0)!=(h+48|0))tE(va);if(!(f[g+4>>2]|0)){u=e;return +z}u=e;return +z}function zma(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0.0,H=0.0,I=0,J=0.0,K=0.0,L=0.0,N=0,O=0,P=0.0,Q=0,R=0,S=0,T=0,V=0.0,W=0.0,X=0.0,Y=0.0,Z=0.0,_=0,$=0,aa=0,ba=0,ca=0.0,da=0.0,ea=0.0,fa=0,ga=0.0,ha=0.0,ia=0.0,ja=0,ka=0.0;d=u;u=u+1152|0;e=d+88|0;g=d+72|0;h=d+64|0;i=d+56|0;j=d;zT(i,59796);f[j>>2]=1124007936;k=j+4|0;l=j+8|0;m=j+40|0;o=k;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));f[m>>2]=l;q=j+48|0;r=j+44|0;f[r>>2]=q;f[q>>2]=0;f[j+52>>2]=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;t=e+8|0;f[t>>2]=0;f[t+4>>2]=0;f[e>>2]=33619968;f[e+4>>2]=j;I0(c,e,1,1);if((f[j>>2]&7|0)!=5){f[e>>2]=1124007936;c=e+4|0;t=e+8|0;v=e+40|0;o=c;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));f[v>>2]=t;w=e+48|0;x=e+44|0;f[x>>2]=w;f[w>>2]=0;f[e+52>>2]=0;y=g+8|0;f[y>>2]=0;f[y+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=e;IO(j,g,5,1.0,0.0);y=e+36|0;z=f[y>>2]|0;if(z|0){A=z+12|0;f[A>>2]=(f[A>>2]|0)+1}A=j+36|0;z=f[A>>2]|0;if(z|0?(B=z+12|0,z=f[B>>2]|0,f[B>>2]=z+-1,(z|0)==1):0)lP(j);f[A>>2]=0;z=j+16|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[k>>2]|0)>0){B=f[m>>2]|0;C=0;do{f[B+(C<<2)>>2]=0;C=C+1|0;D=f[k>>2]|0}while((C|0)<(D|0));f[j>>2]=f[e>>2];if((D|0)<3)E=12;else E=14}else{f[j>>2]=f[e>>2];E=12}if((E|0)==12){D=f[c>>2]|0;if((D|0)<3){f[k>>2]=D;f[l>>2]=f[t>>2];f[j+12>>2]=f[e+12>>2];t=f[x>>2]|0;l=f[r>>2]|0;f[l>>2]=f[t>>2];f[l+4>>2]=f[t+4>>2]}else E=14}if((E|0)==14)kP(j,e);t=e+16|0;f[z>>2]=f[t>>2];f[j+20>>2]=f[e+20>>2];f[j+24>>2]=f[e+24>>2];f[j+28>>2]=f[e+28>>2];f[j+32>>2]=f[e+32>>2];z=f[y>>2]|0;f[A>>2]=z;if(z|0?(A=z+12|0,z=f[A>>2]|0,f[A>>2]=z+-1,(z|0)==1):0)lP(e);f[y>>2]=0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[c>>2]|0)>0){t=f[v>>2]|0;v=0;do{f[t+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[c>>2]|0))}c=f[x>>2]|0;if((c|0)!=(w|0))tE(c)}c=BP(j,2,-1,1)|0;w=j+16|0;x=f[w>>2]|0;a:do if((c|0)>2){v=c*3|0;t=e+8|0;f[e>>2]=t;y=e+4|0;f[y>>2]=v;if(v>>>0>264){z=Dmc(v>>>0>1073741823?-1:v<<2)|0;f[e>>2]=z;F=z}else F=t;z=F+(c<<2)|0;f[g>>2]=-1;f[g+4>>2]=-1;f[g+8>>2]=-1;f[g+12>>2]=-1;v=f[x>>2]|0;A=f[x+4>>2]|0;G=(f[s>>2]=v,+n[s>>2]);H=(f[s>>2]=A,+n[s>>2]);l=0;D=0;C=0;B=0;I=0;J=G;K=G;G=H;L=H;N=v;v=A;while(1){H=(f[s>>2]=N,+n[s>>2]);A=H<J;D=A?l:D;O=H>K;B=O?l:B;P=(f[s>>2]=v,+n[s>>2]);Q=P>G;I=Q?l:I;R=P<L;C=R?l:C;S=l;l=l+1|0;T=(l|0)<(c|0)?l:0;N=f[x+(T<<3)>>2]|0;v=f[x+(T<<3)+4>>2]|0;V=(f[s>>2]=N,+n[s>>2])-H;W=V;X=(f[s>>2]=v,+n[s>>2])-P;Y=X;n[z+(S<<3)>>2]=V;n[z+(S<<3)+4>>2]=X;X=1.0/+M(+(W*W+Y*Y));n[F+(S<<2)>>2]=X;if((l|0)==(c|0))break;else{J=A?H:J;K=O?H:K;G=Q?P:G;L=R?P:L}}l=c+-1|0;L=+n[z+(l<<3)>>2];G=+n[z+(l<<3)+4>>2];l=0;while(1){K=L;L=+n[z+(l<<3)>>2];J=G;G=+n[z+(l<<3)+4>>2];Z=K*G-J*L;l=l+1|0;if(Z!=0.0)break;if((l|0)>=(c|0)){E=32;break}}if((E|0)==32){f[h>>2]=0;f[h+4>>2]=0;o=YG(h,16)|0;l=277285;p=o+16|0;do{b[o>>0]=b[l>>0]|0;o=o+1|0;l=l+1|0}while((o|0)<(p|0));SQ(-215,h,277302,277319,166)}f[g>>2]=C;l=g+4|0;f[l>>2]=B;v=g+8|0;f[v>>2]=I;N=g+12|0;f[N>>2]=D;R=0;L=Z>0.0?1.0:-1.0;G=0.0;J=3402823466385288598117041.0e14;Q=0;K=0.0;P=0.0;H=0.0;O=0;X=0.0;A=C;S=B;T=I;_=D;b:while(1){Y=(L*+n[z+(A<<3)>>2]+G*+n[z+(A<<3)+4>>2])*+n[F+(A<<2)>>2];W=(L*+n[z+(S<<3)+4>>2]-G*+n[z+(S<<3)>>2])*+n[F+(S<<2)>>2];$=W>Y;V=$?W:Y;Y=(-(L*+n[z+(T<<3)>>2])-G*+n[z+(T<<3)+4>>2])*+n[F+(T<<2)>>2];aa=Y>V;ba=(G*+n[z+(_<<3)>>2]-L*+n[z+(_<<3)+4>>2])*+n[F+(_<<2)>>2]>(aa?Y:V)?3:aa?2:$&1;$=g+(ba<<2)|0;aa=f[$>>2]|0;V=+n[F+(aa<<2)>>2];Y=+n[z+(aa<<3)>>2]*V;W=V*+n[z+(aa<<3)+4>>2];switch(ba&3){case 0:{ca=Y;da=W;break}case 1:{ca=W;da=-Y;break}case 2:{ca=-Y;da=-W;break}case 3:{ca=-W;da=Y;break}default:{E=38;break b}}ba=aa+1|0;f[$>>2]=(ba|0)==(c|0)?0:ba;S=f[l>>2]|0;_=f[N>>2]|0;Y=ca*(+n[x+(S<<3)>>2]-+n[x+(_<<3)>>2])+da*(+n[x+(S<<3)+4>>2]-+n[x+(_<<3)+4>>2]);T=f[v>>2]|0;A=f[g>>2]|0;W=ca*(+n[x+(T<<3)+4>>2]-+n[x+(A<<3)+4>>2])-da*(+n[x+(T<<3)>>2]-+n[x+(A<<3)>>2]);V=Y*W;if(!(V<=J)){ea=J;fa=Q;ga=K;ha=P;ia=H;ja=O;ka=X}else{ea=V;fa=_;ga=Y;ha=da;ia=W;ja=A;ka=ca}R=R+1|0;if((R|0)>=(c|0))break;else{L=ca;G=da;J=ea;Q=fa;K=ga;P=ha;H=ia;O=ja;X=ka}}X=-ha;H=ka*+n[x+(fa<<3)>>2]+ha*+n[x+(fa<<3)+4>>2];P=+n[x+(ja<<3)>>2]*X+ka*+n[x+(ja<<3)+4>>2];K=1.0/(ka*ka-ha*X);J=ga*ka;G=ha*ga;L=ia*X;W=ia*ka;if((F|0)!=(t|0)){Fmc(F);f[e>>2]=t;f[y>>2]=264}n[a>>2]=K*(ka*H-ha*P)+(J+L)*.5;n[a+4>>2]=K*(ka*P-H*X)+(G+W)*.5;X=J;J=G;G=+M(+(X*X+J*J));n[a+8>>2]=G;G=L;L=W;W=+M(+(G*G+L*L));n[a+12>>2]=W;W=+U(+J,+X);n[a+16>>2]=W}else switch(c|0){case 2:{W=+n[x>>2];X=+n[x+8>>2];n[a>>2]=(W+X)*.5;J=+n[x+4>>2];L=+n[x+12>>2];n[a+4>>2]=(J+L)*.5;G=X-W;W=L-J;J=+M(+(G*G+W*W));n[a+8>>2]=J;n[a+12>>2]=0.0;J=+U(+W,+G);n[a+16>>2]=J;break a;break}case 1:{f[a>>2]=f[x>>2];f[a+4>>2]=f[x+4>>2];break a;break}default:break a}while(0);x=a+16|0;n[x>>2]=+n[x>>2]*180.0/3.141592653589793;x=j+36|0;a=f[x>>2]|0;if(a|0?(c=a+12|0,a=f[c>>2]|0,f[c>>2]=a+-1,(a|0)==1):0)lP(j);f[x>>2]=0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[k>>2]|0)>0){w=f[m>>2]|0;m=0;do{f[w+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[k>>2]|0))}k=f[r>>2]|0;if((k|0)!=(q|0))tE(k);if(!(f[i+4>>2]|0)){u=d;return}u=d;return}function Ama(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+16|0;i=h;j=h+8|0;k=(g|0)<0?(e|0)/2|0:g;if((c|1|0)!=1){f[j>>2]=0;f[j+4>>2]=0;g=YG(j,39)|0;l=278205;m=g+39|0;do{b[g>>0]=b[l>>0]|0;g=g+1|0;l=l+1|0}while((g|0)<(m|0));SQ(-215,j,278245,278268,852)}l=(d&7|0)==0;if(!c){if(l){c=Bmc(16)|0;Oba(c);f[c>>2]=59824;f[c+4>>2]=e;f[c+8>>2]=k;g=Bmc(16)|0;m=g+4|0;f[m>>2]=1;f[g>>2]=59844;f[g+8>>2]=c;f[a>>2]=g;f[a+4>>2]=c;f[m>>2]=(f[m>>2]|0)+1;c=f[m>>2]|0;f[m>>2]=c+-1;if((c|0)!=1){u=h;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);u=h;return}switch(d&7){case 2:{g=Bmc(16)|0;Oba(g);f[g>>2]=59864;f[g+4>>2]=e;f[g+8>>2]=k;c=Bmc(16)|0;m=c+4|0;f[m>>2]=1;f[c>>2]=59884;f[c+8>>2]=g;f[a>>2]=c;f[a+4>>2]=g;f[m>>2]=(f[m>>2]|0)+1;g=f[m>>2]|0;f[m>>2]=g+-1;if((g|0)!=1){u=h;return}ai[f[(f[c>>2]|0)+8>>2]&2047](c);u=h;return}case 3:{c=Bmc(16)|0;Oba(c);f[c>>2]=59904;f[c+4>>2]=e;f[c+8>>2]=k;g=Bmc(16)|0;m=g+4|0;f[m>>2]=1;f[g>>2]=59924;f[g+8>>2]=c;f[a>>2]=g;f[a+4>>2]=c;f[m>>2]=(f[m>>2]|0)+1;c=f[m>>2]|0;f[m>>2]=c+-1;if((c|0)!=1){u=h;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);u=h;return}case 5:{g=Bmc(16)|0;Oba(g);f[g>>2]=59944;f[g+4>>2]=e;f[g+8>>2]=k;c=Bmc(16)|0;m=c+4|0;f[m>>2]=1;f[c>>2]=59964;f[c+8>>2]=g;f[a>>2]=c;f[a+4>>2]=g;f[m>>2]=(f[m>>2]|0)+1;g=f[m>>2]|0;f[m>>2]=g+-1;if((g|0)!=1){u=h;return}ai[f[(f[c>>2]|0)+8>>2]&2047](c);u=h;return}case 6:{c=Bmc(16)|0;Oba(c);f[c>>2]=59984;f[c+4>>2]=e;f[c+8>>2]=k;g=Bmc(16)|0;m=g+4|0;f[m>>2]=1;f[g>>2]=60004;f[g+8>>2]=c;f[a>>2]=g;f[a+4>>2]=c;f[m>>2]=(f[m>>2]|0)+1;c=f[m>>2]|0;f[m>>2]=c+-1;if((c|0)!=1){u=h;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);u=h;return}default:{f[i>>2]=d;aR(j,278335,i);SQ(-213,j,278245,278268,890)}}}else{if(l){l=Bmc(16)|0;Oba(l);f[l>>2]=60024;f[l+4>>2]=e;f[l+8>>2]=k;g=Bmc(16)|0;c=g+4|0;f[c>>2]=1;f[g>>2]=60044;f[g+8>>2]=l;f[a>>2]=g;f[a+4>>2]=l;f[c>>2]=(f[c>>2]|0)+1;l=f[c>>2]|0;f[c>>2]=l+-1;if((l|0)!=1){u=h;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);u=h;return}switch(d&7){case 2:{g=Bmc(16)|0;Oba(g);f[g>>2]=60064;f[g+4>>2]=e;f[g+8>>2]=k;l=Bmc(16)|0;c=l+4|0;f[c>>2]=1;f[l>>2]=60084;f[l+8>>2]=g;f[a>>2]=l;f[a+4>>2]=g;f[c>>2]=(f[c>>2]|0)+1;g=f[c>>2]|0;f[c>>2]=g+-1;if((g|0)!=1){u=h;return}ai[f[(f[l>>2]|0)+8>>2]&2047](l);u=h;return}case 3:{l=Bmc(16)|0;Oba(l);f[l>>2]=60104;f[l+4>>2]=e;f[l+8>>2]=k;g=Bmc(16)|0;c=g+4|0;f[c>>2]=1;f[g>>2]=60124;f[g+8>>2]=l;f[a>>2]=g;f[a+4>>2]=l;f[c>>2]=(f[c>>2]|0)+1;l=f[c>>2]|0;f[c>>2]=l+-1;if((l|0)!=1){u=h;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);u=h;return}case 5:{g=Bmc(16)|0;Oba(g);f[g>>2]=60144;f[g+4>>2]=e;f[g+8>>2]=k;l=Bmc(16)|0;c=l+4|0;f[c>>2]=1;f[l>>2]=60164;f[l+8>>2]=g;f[a>>2]=l;f[a+4>>2]=g;f[c>>2]=(f[c>>2]|0)+1;g=f[c>>2]|0;f[c>>2]=g+-1;if((g|0)!=1){u=h;return}ai[f[(f[l>>2]|0)+8>>2]&2047](l);u=h;return}case 6:{l=Bmc(16)|0;Oba(l);f[l>>2]=60184;f[l+4>>2]=e;f[l+8>>2]=k;k=Bmc(16)|0;e=k+4|0;f[e>>2]=1;f[k>>2]=60204;f[k+8>>2]=l;f[a>>2]=k;f[a+4>>2]=l;f[e>>2]=(f[e>>2]|0)+1;l=f[e>>2]|0;f[e>>2]=l+-1;if((l|0)!=1){u=h;return}ai[f[(f[k>>2]|0)+8>>2]&2047](k);u=h;return}default:{f[i>>2]=d;aR(j,278335,i);SQ(-213,j,278245,278268,890)}}}}function Bma(a){a=a|0;Emc(a);return}function Cma(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Dma(a){a=a|0;Emc(a);return}function Ema(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0.0,s=0.0,t=0,u=0,v=0,w=0.0;g=Y(f[a+4>>2]|0,e)|0;a=Y(e,d)|0;if((g|0)==(e|0)){if((a|0)>0)h=0;else return;do{p[c+(h<<3)>>3]=+p[b+(h<<3)>>3];h=h+1|0}while((h|0)!=(a|0));return}if((e|0)<=0)return;h=e<<1;d=a-h|0;i=(d|0)<0;j=(g|0)>(e|0);k=(h|0)<(g|0);l=c;c=b;b=0;while(1){a:do if(i)m=0;else{if(k)n=0;else{o=0;while(1){q=c+(o<<3)|0;r=+p[q+(e<<3)>>3];s=+p[q>>3];p[l+(o<<3)>>3]=r<s?s:r;s=+p[q+(h<<3)>>3];p[l+(o+e<<3)>>3]=r<s?s:r;q=o+h|0;if((q|0)>(d|0)){m=q;break a}else o=q}}while(1){o=c+(n<<3)|0;r=+p[o+(e<<3)>>3];q=h;do{s=+p[o+(q<<3)>>3];r=r<s?s:r;q=q+e|0}while((q|0)<(g|0));s=+p[o>>3];p[l+(n<<3)>>3]=r<s?s:r;s=+p[o+(q<<3)>>3];p[l+(n+e<<3)>>3]=r<s?s:r;t=n+h|0;if((t|0)>(d|0)){m=t;break}else n=t}}while(0);b:do if((m|0)<(a|0)){if(j)u=m;else{t=m;while(1){p[l+(t<<3)>>3]=+p[c+(t<<3)>>3];t=t+e|0;if((t|0)>=(a|0))break b}}do{t=c+(u<<3)|0;s=+p[t>>3];v=e;do{w=+p[t+(v<<3)>>3];s=s<w?w:s;v=v+e|0}while((v|0)<(g|0));p[l+(u<<3)>>3]=s;u=u+e|0}while((u|0)<(a|0))}while(0);b=b+1|0;if((b|0)==(e|0))break;else{l=l+8|0;c=c+8|0}}return}function Fma(a){a=a|0;Emc(a);return}function Gma(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Hma(a){a=a|0;Emc(a);return}function Ima(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0,u=0,v=0,w=0.0;g=Y(f[a+4>>2]|0,e)|0;a=Y(e,d)|0;if((g|0)==(e|0)){if((a|0)>0)h=0;else return;do{f[c+(h<<2)>>2]=f[b+(h<<2)>>2];h=h+1|0}while((h|0)!=(a|0));return}if((e|0)<=0)return;h=e<<1;d=a-h|0;i=(d|0)<0;j=(g|0)>(e|0);k=(h|0)<(g|0);l=c;c=b;b=0;while(1){a:do if(i)m=0;else{if(k)o=0;else{p=0;while(1){q=c+(p<<2)|0;r=+n[q+(e<<2)>>2];s=+n[q>>2];n[l+(p<<2)>>2]=r<s?s:r;s=+n[q+(h<<2)>>2];n[l+(p+e<<2)>>2]=r<s?s:r;q=p+h|0;if((q|0)>(d|0)){m=q;break a}else p=q}}while(1){p=c+(o<<2)|0;r=+n[p+(e<<2)>>2];q=h;do{s=+n[p+(q<<2)>>2];r=r<s?s:r;q=q+e|0}while((q|0)<(g|0));s=+n[p>>2];n[l+(o<<2)>>2]=r<s?s:r;s=+n[p+(q<<2)>>2];n[l+(o+e<<2)>>2]=r<s?s:r;t=o+h|0;if((t|0)>(d|0)){m=t;break}else o=t}}while(0);b:do if((m|0)<(a|0)){if(j)u=m;else{t=m;while(1){f[l+(t<<2)>>2]=f[c+(t<<2)>>2];t=t+e|0;if((t|0)>=(a|0))break b}}do{t=c+(u<<2)|0;s=+n[t>>2];v=e;do{w=+n[t+(v<<2)>>2];s=s<w?w:s;v=v+e|0}while((v|0)<(g|0));n[l+(u<<2)>>2]=s;u=u+e|0}while((u|0)<(a|0))}while(0);b=b+1|0;if((b|0)==(e|0))break;else{l=l+4|0;c=c+4|0}}return}function Jma(a){a=a|0;Emc(a);return}function Kma(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Lma(a){a=a|0;Emc(a);return}function Mma(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;h=Y(f[a+4>>2]|0,g)|0;a=Y(g,e)|0;if((h|0)==(g|0)){if((a|0)>0)i=0;else return;do{d[c+(i<<1)>>1]=d[b+(i<<1)>>1]|0;i=i+1|0}while((i|0)!=(a|0));return}if((g|0)<=0)return;i=g<<1;e=a-i|0;j=(e|0)<0;k=(h|0)>(g|0);l=(i|0)<(h|0);m=c;c=b;b=0;while(1){a:do if(j)n=0;else{if(l)o=0;else{p=0;while(1){q=c+(p<<1)|0;r=d[q+(g<<1)>>1]|0;s=d[q>>1]|0;d[m+(p<<1)>>1]=r<<16>>16<s<<16>>16?s:r;s=d[q+(i<<1)>>1]|0;d[m+(p+g<<1)>>1]=r<<16>>16<s<<16>>16?s:r;r=p+i|0;if((r|0)>(e|0)){n=r;break a}else p=r}}while(1){p=c+(o<<1)|0;r=d[p+(g<<1)>>1]|0;s=i;do{q=d[p+(s<<1)>>1]|0;r=r<<16>>16<q<<16>>16?q:r;s=s+g|0}while((s|0)<(h|0));q=d[p>>1]|0;d[m+(o<<1)>>1]=r<<16>>16<q<<16>>16?q:r;q=d[p+(s<<1)>>1]|0;d[m+(o+g<<1)>>1]=r<<16>>16<q<<16>>16?q:r;q=o+i|0;if((q|0)>(e|0)){n=q;break}else o=q}}while(0);b:do if((n|0)<(a|0)){if(k)t=n;else{q=n;while(1){d[m+(q<<1)>>1]=d[c+(q<<1)>>1]|0;q=q+g|0;if((q|0)>=(a|0))break b}}do{q=c+(t<<1)|0;u=d[q>>1]|0;v=g;do{w=d[q+(v<<1)>>1]|0;u=u<<16>>16<w<<16>>16?w:u;v=v+g|0}while((v|0)<(h|0));d[m+(t<<1)>>1]=u;t=t+g|0}while((t|0)<(a|0))}while(0);b=b+1|0;if((b|0)==(g|0))break;else{m=m+2|0;c=c+2|0}}return}function Nma(a){a=a|0;Emc(a);return}function Oma(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Pma(a){a=a|0;Emc(a);return}function Qma(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;h=Y(f[a+4>>2]|0,g)|0;a=Y(g,e)|0;if((h|0)==(g|0)){if((a|0)>0)i=0;else return;do{d[c+(i<<1)>>1]=d[b+(i<<1)>>1]|0;i=i+1|0}while((i|0)!=(a|0));return}if((g|0)<=0)return;i=g<<1;e=a-i|0;j=(e|0)<0;k=(h|0)>(g|0);l=(i|0)<(h|0);m=c;c=b;b=0;while(1){a:do if(j)n=0;else{if(l)o=0;else{p=0;while(1){q=c+(p<<1)|0;r=d[q+(g<<1)>>1]|0;s=d[q>>1]|0;d[m+(p<<1)>>1]=(r&65535)<(s&65535)?s:r;s=d[q+(i<<1)>>1]|0;d[m+(p+g<<1)>>1]=(r&65535)<(s&65535)?s:r;r=p+i|0;if((r|0)>(e|0)){n=r;break a}else p=r}}while(1){p=c+(o<<1)|0;r=d[p+(g<<1)>>1]|0;s=i;do{q=d[p+(s<<1)>>1]|0;r=(r&65535)<(q&65535)?q:r;s=s+g|0}while((s|0)<(h|0));q=d[p>>1]|0;d[m+(o<<1)>>1]=(r&65535)<(q&65535)?q:r;q=d[p+(s<<1)>>1]|0;d[m+(o+g<<1)>>1]=(r&65535)<(q&65535)?q:r;q=o+i|0;if((q|0)>(e|0)){n=q;break}else o=q}}while(0);b:do if((n|0)<(a|0)){if(k)t=n;else{q=n;while(1){d[m+(q<<1)>>1]=d[c+(q<<1)>>1]|0;q=q+g|0;if((q|0)>=(a|0))break b}}do{q=c+(t<<1)|0;u=d[q>>1]|0;v=g;do{w=d[q+(v<<1)>>1]|0;u=(u&65535)<(w&65535)?w:u;v=v+g|0}while((v|0)<(h|0));d[m+(t<<1)>>1]=u;t=t+g|0}while((t|0)<(a|0))}while(0);b=b+1|0;if((b|0)==(g|0))break;else{m=m+2|0;c=c+2|0}}return}function Rma(a){a=a|0;Emc(a);return}function Sma(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Tma(a){a=a|0;Emc(a);return}function Uma(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;i=Y(f[a+4>>2]|0,g)|0;a=Y(g,e)|0;if((i|0)==(g|0)){if((a|0)>0)j=0;else return;do{b[d+j>>0]=b[c+j>>0]|0;j=j+1|0}while((j|0)!=(a|0));return}if((g|0)<=0)return;j=g<<1;e=a-j|0;k=(e|0)<0;l=(i|0)>(g|0);m=(j|0)<(i|0);n=d;d=c;c=0;while(1){a:do if(k)o=0;else{if(m)p=0;else{q=0;while(1){r=d+q|0;s=h[r+g>>0]|0;t=(h[r>>0]|0)-s+256|0;if(t>>>0<769)u=h[277436+t>>0]|0;else u=0;b[n+q>>0]=u+s;t=(h[r+j>>0]|0)-s+256|0;if(t>>>0<769)v=h[277436+t>>0]|0;else v=0;b[n+(q+g)>>0]=v+s;s=q+j|0;if((s|0)>(e|0)){o=s;break a}else q=s}}while(1){q=d+p|0;s=b[q+g>>0]|0;t=j;while(1){r=s&255;w=(h[q+t>>0]|0)-r+256|0;if(w>>>0<769)x=h[277436+w>>0]|0;else x=0;y=x+r|0;t=t+g|0;if((t|0)>=(i|0))break;else s=y&255}s=y&255;r=(h[q>>0]|0)-s+256|0;if(r>>>0<769)z=h[277436+r>>0]|0;else z=0;b[n+p>>0]=z+y;r=(h[q+t>>0]|0)-s+256|0;if(r>>>0<769)A=h[277436+r>>0]|0;else A=0;b[n+(p+g)>>0]=A+y;r=p+j|0;if((r|0)>(e|0)){o=r;break}else p=r}}while(0);b:do if((o|0)<(a|0)){if(l)B=o;else{r=o;while(1){b[n+r>>0]=b[d+r>>0]|0;r=r+g|0;if((r|0)>=(a|0))break b}}do{r=d+B|0;s=b[r>>0]|0;w=g;do{C=s&255;D=(h[r+w>>0]|0)-C+256|0;if(D>>>0<769)E=h[277436+D>>0]|0;else E=0;s=E+C&255;w=w+g|0}while((w|0)<(i|0));b[n+B>>0]=s;B=B+g|0}while((B|0)<(a|0))}while(0);c=c+1|0;if((c|0)==(g|0))break;else{n=n+1|0;d=d+1|0}}return}function Vma(a){a=a|0;Emc(a);return}function Wma(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Xma(a){a=a|0;Emc(a);return}function Yma(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0.0,s=0.0,t=0,u=0,v=0,w=0.0;g=Y(f[a+4>>2]|0,e)|0;a=Y(e,d)|0;if((g|0)==(e|0)){if((a|0)>0)h=0;else return;do{p[c+(h<<3)>>3]=+p[b+(h<<3)>>3];h=h+1|0}while((h|0)!=(a|0));return}if((e|0)<=0)return;h=e<<1;d=a-h|0;i=(d|0)<0;j=(g|0)>(e|0);k=(h|0)<(g|0);l=c;c=b;b=0;while(1){a:do if(i)m=0;else{if(k)n=0;else{o=0;while(1){q=c+(o<<3)|0;r=+p[q+(e<<3)>>3];s=+p[q>>3];p[l+(o<<3)>>3]=s<r?s:r;s=+p[q+(h<<3)>>3];p[l+(o+e<<3)>>3]=s<r?s:r;q=o+h|0;if((q|0)>(d|0)){m=q;break a}else o=q}}while(1){o=c+(n<<3)|0;r=+p[o+(e<<3)>>3];q=h;do{s=+p[o+(q<<3)>>3];r=s<r?s:r;q=q+e|0}while((q|0)<(g|0));s=+p[o>>3];p[l+(n<<3)>>3]=s<r?s:r;s=+p[o+(q<<3)>>3];p[l+(n+e<<3)>>3]=s<r?s:r;t=n+h|0;if((t|0)>(d|0)){m=t;break}else n=t}}while(0);b:do if((m|0)<(a|0)){if(j)u=m;else{t=m;while(1){p[l+(t<<3)>>3]=+p[c+(t<<3)>>3];t=t+e|0;if((t|0)>=(a|0))break b}}do{t=c+(u<<3)|0;s=+p[t>>3];v=e;do{w=+p[t+(v<<3)>>3];s=w<s?w:s;v=v+e|0}while((v|0)<(g|0));p[l+(u<<3)>>3]=s;u=u+e|0}while((u|0)<(a|0))}while(0);b=b+1|0;if((b|0)==(e|0))break;else{l=l+8|0;c=c+8|0}}return}function Zma(a){a=a|0;Emc(a);return}function _ma(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function $ma(a){a=a|0;Emc(a);return}function ana(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0,u=0,v=0,w=0.0;g=Y(f[a+4>>2]|0,e)|0;a=Y(e,d)|0;if((g|0)==(e|0)){if((a|0)>0)h=0;else return;do{f[c+(h<<2)>>2]=f[b+(h<<2)>>2];h=h+1|0}while((h|0)!=(a|0));return}if((e|0)<=0)return;h=e<<1;d=a-h|0;i=(d|0)<0;j=(g|0)>(e|0);k=(h|0)<(g|0);l=c;c=b;b=0;while(1){a:do if(i)m=0;else{if(k)o=0;else{p=0;while(1){q=c+(p<<2)|0;r=+n[q+(e<<2)>>2];s=+n[q>>2];n[l+(p<<2)>>2]=s<r?s:r;s=+n[q+(h<<2)>>2];n[l+(p+e<<2)>>2]=s<r?s:r;q=p+h|0;if((q|0)>(d|0)){m=q;break a}else p=q}}while(1){p=c+(o<<2)|0;r=+n[p+(e<<2)>>2];q=h;do{s=+n[p+(q<<2)>>2];r=s<r?s:r;q=q+e|0}while((q|0)<(g|0));s=+n[p>>2];n[l+(o<<2)>>2]=s<r?s:r;s=+n[p+(q<<2)>>2];n[l+(o+e<<2)>>2]=s<r?s:r;t=o+h|0;if((t|0)>(d|0)){m=t;break}else o=t}}while(0);b:do if((m|0)<(a|0)){if(j)u=m;else{t=m;while(1){f[l+(t<<2)>>2]=f[c+(t<<2)>>2];t=t+e|0;if((t|0)>=(a|0))break b}}do{t=c+(u<<2)|0;s=+n[t>>2];v=e;do{w=+n[t+(v<<2)>>2];s=w<s?w:s;v=v+e|0}while((v|0)<(g|0));n[l+(u<<2)>>2]=s;u=u+e|0}while((u|0)<(a|0))}while(0);b=b+1|0;if((b|0)==(e|0))break;else{l=l+4|0;c=c+4|0}}return}function bna(a){a=a|0;Emc(a);return}function cna(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function dna(a){a=a|0;Emc(a);return}function ena(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;h=Y(f[a+4>>2]|0,g)|0;a=Y(g,e)|0;if((h|0)==(g|0)){if((a|0)>0)i=0;else return;do{d[c+(i<<1)>>1]=d[b+(i<<1)>>1]|0;i=i+1|0}while((i|0)!=(a|0));return}if((g|0)<=0)return;i=g<<1;e=a-i|0;j=(e|0)<0;k=(h|0)>(g|0);l=(i|0)<(h|0);m=c;c=b;b=0;while(1){a:do if(j)n=0;else{if(l)o=0;else{p=0;while(1){q=c+(p<<1)|0;r=d[q+(g<<1)>>1]|0;s=d[q>>1]|0;d[m+(p<<1)>>1]=s<<16>>16<r<<16>>16?s:r;s=d[q+(i<<1)>>1]|0;d[m+(p+g<<1)>>1]=s<<16>>16<r<<16>>16?s:r;r=p+i|0;if((r|0)>(e|0)){n=r;break a}else p=r}}while(1){p=c+(o<<1)|0;r=d[p+(g<<1)>>1]|0;s=i;do{q=d[p+(s<<1)>>1]|0;r=q<<16>>16<r<<16>>16?q:r;s=s+g|0}while((s|0)<(h|0));q=d[p>>1]|0;d[m+(o<<1)>>1]=q<<16>>16<r<<16>>16?q:r;q=d[p+(s<<1)>>1]|0;d[m+(o+g<<1)>>1]=q<<16>>16<r<<16>>16?q:r;q=o+i|0;if((q|0)>(e|0)){n=q;break}else o=q}}while(0);b:do if((n|0)<(a|0)){if(k)t=n;else{q=n;while(1){d[m+(q<<1)>>1]=d[c+(q<<1)>>1]|0;q=q+g|0;if((q|0)>=(a|0))break b}}do{q=c+(t<<1)|0;u=d[q>>1]|0;v=g;do{w=d[q+(v<<1)>>1]|0;u=w<<16>>16<u<<16>>16?w:u;v=v+g|0}while((v|0)<(h|0));d[m+(t<<1)>>1]=u;t=t+g|0}while((t|0)<(a|0))}while(0);b=b+1|0;if((b|0)==(g|0))break;else{m=m+2|0;c=c+2|0}}return}function fna(a){a=a|0;Emc(a);return}function gna(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function hna(a){a=a|0;Emc(a);return}function ina(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;h=Y(f[a+4>>2]|0,g)|0;a=Y(g,e)|0;if((h|0)==(g|0)){if((a|0)>0)i=0;else return;do{d[c+(i<<1)>>1]=d[b+(i<<1)>>1]|0;i=i+1|0}while((i|0)!=(a|0));return}if((g|0)<=0)return;i=g<<1;e=a-i|0;j=(e|0)<0;k=(h|0)>(g|0);l=(i|0)<(h|0);m=c;c=b;b=0;while(1){a:do if(j)n=0;else{if(l)o=0;else{p=0;while(1){q=c+(p<<1)|0;r=d[q+(g<<1)>>1]|0;s=d[q>>1]|0;d[m+(p<<1)>>1]=(s&65535)<(r&65535)?s:r;s=d[q+(i<<1)>>1]|0;d[m+(p+g<<1)>>1]=(s&65535)<(r&65535)?s:r;r=p+i|0;if((r|0)>(e|0)){n=r;break a}else p=r}}while(1){p=c+(o<<1)|0;r=d[p+(g<<1)>>1]|0;s=i;do{q=d[p+(s<<1)>>1]|0;r=(q&65535)<(r&65535)?q:r;s=s+g|0}while((s|0)<(h|0));q=d[p>>1]|0;d[m+(o<<1)>>1]=(q&65535)<(r&65535)?q:r;q=d[p+(s<<1)>>1]|0;d[m+(o+g<<1)>>1]=(q&65535)<(r&65535)?q:r;q=o+i|0;if((q|0)>(e|0)){n=q;break}else o=q}}while(0);b:do if((n|0)<(a|0)){if(k)t=n;else{q=n;while(1){d[m+(q<<1)>>1]=d[c+(q<<1)>>1]|0;q=q+g|0;if((q|0)>=(a|0))break b}}do{q=c+(t<<1)|0;u=d[q>>1]|0;v=g;do{w=d[q+(v<<1)>>1]|0;u=(w&65535)<(u&65535)?w:u;v=v+g|0}while((v|0)<(h|0));d[m+(t<<1)>>1]=u;t=t+g|0}while((t|0)<(a|0))}while(0);b=b+1|0;if((b|0)==(g|0))break;else{m=m+2|0;c=c+2|0}}return}function jna(a){a=a|0;Emc(a);return}function kna(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function lna(a){a=a|0;Emc(a);return}function mna(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;i=Y(f[a+4>>2]|0,g)|0;a=Y(g,e)|0;if((i|0)==(g|0)){if((a|0)>0)j=0;else return;do{b[d+j>>0]=b[c+j>>0]|0;j=j+1|0}while((j|0)!=(a|0));return}if((g|0)<=0)return;j=g<<1;e=a-j|0;k=(e|0)<0;l=(i|0)>(g|0);m=(j|0)<(i|0);n=d;d=c;c=0;while(1){a:do if(k)o=0;else{if(m)p=0;else{q=0;while(1){r=d+q|0;s=h[r+g>>0]|0;t=s-(h[r>>0]|0)+256|0;if(t>>>0<769)u=h[277436+t>>0]|0;else u=0;b[n+q>>0]=s-u;t=s-(h[r+j>>0]|0)+256|0;if(t>>>0<769)v=h[277436+t>>0]|0;else v=0;b[n+(q+g)>>0]=s-v;s=q+j|0;if((s|0)>(e|0)){o=s;break a}else q=s}}while(1){q=d+p|0;s=b[q+g>>0]|0;t=j;while(1){r=s&255;w=r-(h[q+t>>0]|0)+256|0;if(w>>>0<769)x=h[277436+w>>0]|0;else x=0;y=r-x|0;t=t+g|0;if((t|0)>=(i|0))break;else s=y&255}s=y&255;r=s-(h[q>>0]|0)+256|0;if(r>>>0<769)z=h[277436+r>>0]|0;else z=0;b[n+p>>0]=y-z;r=s-(h[q+t>>0]|0)+256|0;if(r>>>0<769)A=h[277436+r>>0]|0;else A=0;b[n+(p+g)>>0]=y-A;r=p+j|0;if((r|0)>(e|0)){o=r;break}else p=r}}while(0);b:do if((o|0)<(a|0)){if(l)B=o;else{r=o;while(1){b[n+r>>0]=b[d+r>>0]|0;r=r+g|0;if((r|0)>=(a|0))break b}}do{r=d+B|0;s=b[r>>0]|0;w=g;do{C=s&255;D=C-(h[r+w>>0]|0)+256|0;if(D>>>0<769)E=h[277436+D>>0]|0;else E=0;s=C-E&255;w=w+g|0}while((w|0)<(i|0));b[n+B>>0]=s;B=B+g|0}while((B|0)<(a|0))}while(0);c=c+1|0;if((c|0)==(g|0))break;else{n=n+1|0;d=d+1|0}}return}function nna(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+16|0;i=h;j=h+8|0;k=(g|0)<0?(e|0)/2|0:g;if((c|1|0)!=1){f[j>>2]=0;f[j+4>>2]=0;g=YG(j,39)|0;l=278205;m=g+39|0;do{b[g>>0]=b[l>>0]|0;g=g+1|0;l=l+1|0}while((g|0)<(m|0));SQ(-215,j,280003,278268,898)}l=(d&7|0)==0;if(!c){if(l){c=Bmc(16)|0;Pba(c);f[c>>2]=60224;f[c+4>>2]=e;f[c+8>>2]=k;g=Bmc(16)|0;m=g+4|0;f[m>>2]=1;f[g>>2]=60248;f[g+8>>2]=c;f[a>>2]=g;f[a+4>>2]=c;f[m>>2]=(f[m>>2]|0)+1;c=f[m>>2]|0;f[m>>2]=c+-1;if((c|0)!=1){u=h;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);u=h;return}switch(d&7){case 2:{g=Bmc(16)|0;Pba(g);f[g>>2]=60268;f[g+4>>2]=e;f[g+8>>2]=k;c=Bmc(16)|0;m=c+4|0;f[m>>2]=1;f[c>>2]=60292;f[c+8>>2]=g;f[a>>2]=c;f[a+4>>2]=g;f[m>>2]=(f[m>>2]|0)+1;g=f[m>>2]|0;f[m>>2]=g+-1;if((g|0)!=1){u=h;return}ai[f[(f[c>>2]|0)+8>>2]&2047](c);u=h;return}case 3:{c=Bmc(16)|0;Pba(c);f[c>>2]=60312;f[c+4>>2]=e;f[c+8>>2]=k;g=Bmc(16)|0;m=g+4|0;f[m>>2]=1;f[g>>2]=60336;f[g+8>>2]=c;f[a>>2]=g;f[a+4>>2]=c;f[m>>2]=(f[m>>2]|0)+1;c=f[m>>2]|0;f[m>>2]=c+-1;if((c|0)!=1){u=h;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);u=h;return}case 5:{g=Bmc(16)|0;Pba(g);f[g>>2]=60356;f[g+4>>2]=e;f[g+8>>2]=k;c=Bmc(16)|0;m=c+4|0;f[m>>2]=1;f[c>>2]=60380;f[c+8>>2]=g;f[a>>2]=c;f[a+4>>2]=g;f[m>>2]=(f[m>>2]|0)+1;g=f[m>>2]|0;f[m>>2]=g+-1;if((g|0)!=1){u=h;return}ai[f[(f[c>>2]|0)+8>>2]&2047](c);u=h;return}case 6:{c=Bmc(16)|0;Pba(c);f[c>>2]=60400;f[c+4>>2]=e;f[c+8>>2]=k;g=Bmc(16)|0;m=g+4|0;f[m>>2]=1;f[g>>2]=60424;f[g+8>>2]=c;f[a>>2]=g;f[a+4>>2]=c;f[m>>2]=(f[m>>2]|0)+1;c=f[m>>2]|0;f[m>>2]=c+-1;if((c|0)!=1){u=h;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);u=h;return}default:{f[i>>2]=d;aR(j,278335,i);SQ(-213,j,280003,278268,936)}}}else{if(l){l=Bmc(16)|0;Pba(l);f[l>>2]=60444;f[l+4>>2]=e;f[l+8>>2]=k;g=Bmc(16)|0;c=g+4|0;f[c>>2]=1;f[g>>2]=60468;f[g+8>>2]=l;f[a>>2]=g;f[a+4>>2]=l;f[c>>2]=(f[c>>2]|0)+1;l=f[c>>2]|0;f[c>>2]=l+-1;if((l|0)!=1){u=h;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);u=h;return}switch(d&7){case 2:{g=Bmc(16)|0;Pba(g);f[g>>2]=60488;f[g+4>>2]=e;f[g+8>>2]=k;l=Bmc(16)|0;c=l+4|0;f[c>>2]=1;f[l>>2]=60512;f[l+8>>2]=g;f[a>>2]=l;f[a+4>>2]=g;f[c>>2]=(f[c>>2]|0)+1;g=f[c>>2]|0;f[c>>2]=g+-1;if((g|0)!=1){u=h;return}ai[f[(f[l>>2]|0)+8>>2]&2047](l);u=h;return}case 3:{l=Bmc(16)|0;Pba(l);f[l>>2]=60532;f[l+4>>2]=e;f[l+8>>2]=k;g=Bmc(16)|0;c=g+4|0;f[c>>2]=1;f[g>>2]=60556;f[g+8>>2]=l;f[a>>2]=g;f[a+4>>2]=l;f[c>>2]=(f[c>>2]|0)+1;l=f[c>>2]|0;f[c>>2]=l+-1;if((l|0)!=1){u=h;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);u=h;return}case 5:{g=Bmc(16)|0;Pba(g);f[g>>2]=60576;f[g+4>>2]=e;f[g+8>>2]=k;l=Bmc(16)|0;c=l+4|0;f[c>>2]=1;f[l>>2]=60600;f[l+8>>2]=g;f[a>>2]=l;f[a+4>>2]=g;f[c>>2]=(f[c>>2]|0)+1;g=f[c>>2]|0;f[c>>2]=g+-1;if((g|0)!=1){u=h;return}ai[f[(f[l>>2]|0)+8>>2]&2047](l);u=h;return}case 6:{l=Bmc(16)|0;Pba(l);f[l>>2]=60620;f[l+4>>2]=e;f[l+8>>2]=k;k=Bmc(16)|0;e=k+4|0;f[e>>2]=1;f[k>>2]=60644;f[k+8>>2]=l;f[a>>2]=k;f[a+4>>2]=l;f[e>>2]=(f[e>>2]|0)+1;l=f[e>>2]|0;f[e>>2]=l+-1;if((l|0)!=1){u=h;return}ai[f[(f[k>>2]|0)+8>>2]&2047](k);u=h;return}default:{f[i>>2]=d;aR(j,278335,i);SQ(-213,j,280003,278268,936)}}}}function ona(a){a=a|0;Emc(a);return}function pna(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function qna(a){a=a|0;Emc(a);return}function rna(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0,D=0.0,E=0,F=0,G=0,H=0,I=0,J=0;h=f[a+4>>2]|0;a=d>>>3;d=(h|0)>1;if(d&(e|0)>1){i=g+-4|0;j=(g|0)<4;k=(h|0)>2;l=a<<1;m=g&-4;n=c;o=b;q=e;while(1){a:do if(j)r=0;else{s=f[o+4>>2]|0;t=f[o>>2]|0;if(!k){u=f[o+8>>2]|0;v=0;while(1){w=s+(v<<3)|0;x=+p[w>>3];y=+p[w+8>>3];z=+p[w+16>>3];A=+p[w+24>>3];w=t+(v<<3)|0;B=+p[w>>3];p[n+(v<<3)>>3]=x<B?B:x;B=+p[w+8>>3];p[n+((v|1)<<3)>>3]=y<B?B:y;B=+p[w+16>>3];p[n+((v|2)<<3)>>3]=z<B?B:z;B=+p[w+24>>3];p[n+((v|3)<<3)>>3]=A<B?B:A;w=u+(v<<3)|0;B=+p[w>>3];C=v+a|0;p[n+(C<<3)>>3]=x<B?B:x;x=+p[w+8>>3];p[n+(C+1<<3)>>3]=y<x?x:y;y=+p[w+16>>3];p[n+(C+2<<3)>>3]=z<y?y:z;z=+p[w+24>>3];p[n+(C+3<<3)>>3]=A<z?z:A;v=v+4|0;if((v|0)>(i|0)){r=m;break a}}}v=f[o+(h<<2)>>2]|0;u=0;do{C=s+(u<<3)|0;A=+p[C+24>>3];z=+p[C+16>>3];y=+p[C+8>>3];x=+p[C>>3];C=2;do{w=(f[o+(C<<2)>>2]|0)+(u<<3)|0;B=+p[w>>3];x=x<B?B:x;B=+p[w+8>>3];y=y<B?B:y;B=+p[w+16>>3];z=z<B?B:z;B=+p[w+24>>3];A=A<B?B:A;C=C+1|0}while((C|0)!=(h|0));C=t+(u<<3)|0;B=+p[C>>3];p[n+(u<<3)>>3]=x<B?B:x;B=+p[C+8>>3];p[n+((u|1)<<3)>>3]=y<B?B:y;B=+p[C+16>>3];p[n+((u|2)<<3)>>3]=z<B?B:z;B=+p[C+24>>3];p[n+((u|3)<<3)>>3]=A<B?B:A;C=v+(u<<3)|0;B=+p[C>>3];w=u+a|0;p[n+(w<<3)>>3]=x<B?B:x;B=+p[C+8>>3];p[n+(w+1<<3)>>3]=y<B?B:y;B=+p[C+16>>3];p[n+(w+2<<3)>>3]=z<B?B:z;B=+p[C+24>>3];p[n+(w+3<<3)>>3]=A<B?B:A;u=u+4|0}while((u|0)<=(i|0));r=m}while(0);b:do if((r|0)<(g|0)){u=f[o+4>>2]|0;v=f[o>>2]|0;if(!k){t=f[o+8>>2]|0;s=r;while(1){B=+p[u+(s<<3)>>3];D=+p[v+(s<<3)>>3];p[n+(s<<3)>>3]=B<D?D:B;D=+p[t+(s<<3)>>3];p[n+(s+a<<3)>>3]=B<D?D:B;s=s+1|0;if((s|0)==(g|0))break b}}s=f[o+(h<<2)>>2]|0;t=r;do{B=+p[u+(t<<3)>>3];w=2;do{D=+p[(f[o+(w<<2)>>2]|0)+(t<<3)>>3];B=B<D?D:B;w=w+1|0}while((w|0)!=(h|0));A=+p[v+(t<<3)>>3];p[n+(t<<3)>>3]=B<A?A:B;A=+p[s+(t<<3)>>3];p[n+(t+a<<3)>>3]=B<A?A:B;t=t+1|0}while((t|0)!=(g|0))}while(0);t=q+-2|0;s=n+(l<<3)|0;v=o+8|0;if((t|0)>1){n=s;o=v;q=t}else{E=s;F=v;G=t;break}}}else{E=c;F=b;G=e}if((G|0)<=0)return;e=g+-4|0;b=(g|0)<4;c=g&-4;q=F;F=G;G=E;while(1){c:do if(b)H=0;else{E=f[q>>2]|0;if(d)I=0;else{o=0;while(1){n=E+(o<<3)|0;A=+p[n+8>>3];z=+p[n+16>>3];y=+p[n+24>>3];p[G+(o<<3)>>3]=+p[n>>3];p[G+((o|1)<<3)>>3]=A;p[G+((o|2)<<3)>>3]=z;p[G+((o|3)<<3)>>3]=y;o=o+4|0;if((o|0)>(e|0)){H=c;break c}}}do{o=E+(I<<3)|0;y=+p[o+24>>3];z=+p[o+16>>3];A=+p[o+8>>3];x=+p[o>>3];o=1;do{n=(f[q+(o<<2)>>2]|0)+(I<<3)|0;D=+p[n>>3];x=x<D?D:x;D=+p[n+8>>3];A=A<D?D:A;D=+p[n+16>>3];z=z<D?D:z;D=+p[n+24>>3];y=y<D?D:y;o=o+1|0}while((o|0)!=(h|0));p[G+(I<<3)>>3]=x;p[G+((I|1)<<3)>>3]=A;p[G+((I|2)<<3)>>3]=z;p[G+((I|3)<<3)>>3]=y;I=I+4|0}while((I|0)<=(e|0));H=c}while(0);d:do if((H|0)<(g|0)){E=f[q>>2]|0;if(d)J=H;else{o=H;while(1){p[G+(o<<3)>>3]=+p[E+(o<<3)>>3];o=o+1|0;if((o|0)==(g|0))break d}}do{B=+p[E+(J<<3)>>3];o=1;do{D=+p[(f[q+(o<<2)>>2]|0)+(J<<3)>>3];B=B<D?D:B;o=o+1|0}while((o|0)!=(h|0));p[G+(J<<3)>>3]=B;J=J+1|0}while((J|0)!=(g|0))}while(0);if((F|0)>1){q=q+4|0;F=F+-1|0;G=G+(a<<3)|0}else break}return}function sna(a){a=a|0;Emc(a);return}function tna(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function una(a){a=a|0;Emc(a);return}function vna(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0,D=0.0,E=0,F=0,G=0,H=0,I=0,J=0;h=f[a+4>>2]|0;a=d>>>2;d=(h|0)>1;if(d&(e|0)>1){i=g+-4|0;j=(g|0)<4;k=(h|0)>2;l=a<<1;m=g&-4;o=c;p=b;q=e;while(1){a:do if(j)r=0;else{s=f[p+4>>2]|0;t=f[p>>2]|0;if(!k){u=f[p+8>>2]|0;v=0;while(1){w=s+(v<<2)|0;x=+n[w>>2];y=+n[w+4>>2];z=+n[w+8>>2];A=+n[w+12>>2];w=t+(v<<2)|0;B=+n[w>>2];n[o+(v<<2)>>2]=x<B?B:x;B=+n[w+4>>2];n[o+((v|1)<<2)>>2]=y<B?B:y;B=+n[w+8>>2];n[o+((v|2)<<2)>>2]=z<B?B:z;B=+n[w+12>>2];n[o+((v|3)<<2)>>2]=A<B?B:A;w=u+(v<<2)|0;B=+n[w>>2];C=v+a|0;n[o+(C<<2)>>2]=x<B?B:x;x=+n[w+4>>2];n[o+(C+1<<2)>>2]=y<x?x:y;y=+n[w+8>>2];n[o+(C+2<<2)>>2]=z<y?y:z;z=+n[w+12>>2];n[o+(C+3<<2)>>2]=A<z?z:A;v=v+4|0;if((v|0)>(i|0)){r=m;break a}}}v=f[p+(h<<2)>>2]|0;u=0;do{C=s+(u<<2)|0;A=+n[C+12>>2];z=+n[C+8>>2];y=+n[C+4>>2];x=+n[C>>2];C=2;do{w=(f[p+(C<<2)>>2]|0)+(u<<2)|0;B=+n[w>>2];x=x<B?B:x;B=+n[w+4>>2];y=y<B?B:y;B=+n[w+8>>2];z=z<B?B:z;B=+n[w+12>>2];A=A<B?B:A;C=C+1|0}while((C|0)!=(h|0));C=t+(u<<2)|0;B=+n[C>>2];n[o+(u<<2)>>2]=x<B?B:x;B=+n[C+4>>2];n[o+((u|1)<<2)>>2]=y<B?B:y;B=+n[C+8>>2];n[o+((u|2)<<2)>>2]=z<B?B:z;B=+n[C+12>>2];n[o+((u|3)<<2)>>2]=A<B?B:A;C=v+(u<<2)|0;B=+n[C>>2];w=u+a|0;n[o+(w<<2)>>2]=x<B?B:x;B=+n[C+4>>2];n[o+(w+1<<2)>>2]=y<B?B:y;B=+n[C+8>>2];n[o+(w+2<<2)>>2]=z<B?B:z;B=+n[C+12>>2];n[o+(w+3<<2)>>2]=A<B?B:A;u=u+4|0}while((u|0)<=(i|0));r=m}while(0);b:do if((r|0)<(g|0)){u=f[p+4>>2]|0;v=f[p>>2]|0;if(!k){t=f[p+8>>2]|0;s=r;while(1){B=+n[u+(s<<2)>>2];D=+n[v+(s<<2)>>2];n[o+(s<<2)>>2]=B<D?D:B;D=+n[t+(s<<2)>>2];n[o+(s+a<<2)>>2]=B<D?D:B;s=s+1|0;if((s|0)==(g|0))break b}}s=f[p+(h<<2)>>2]|0;t=r;do{B=+n[u+(t<<2)>>2];w=2;do{D=+n[(f[p+(w<<2)>>2]|0)+(t<<2)>>2];B=B<D?D:B;w=w+1|0}while((w|0)!=(h|0));A=+n[v+(t<<2)>>2];n[o+(t<<2)>>2]=B<A?A:B;A=+n[s+(t<<2)>>2];n[o+(t+a<<2)>>2]=B<A?A:B;t=t+1|0}while((t|0)!=(g|0))}while(0);t=q+-2|0;s=o+(l<<2)|0;v=p+8|0;if((t|0)>1){o=s;p=v;q=t}else{E=s;F=v;G=t;break}}}else{E=c;F=b;G=e}if((G|0)<=0)return;e=g+-4|0;b=(g|0)<4;c=g&-4;q=F;F=G;G=E;while(1){c:do if(b)H=0;else{E=f[q>>2]|0;if(d)I=0;else{p=0;while(1){o=E+(p<<2)|0;l=f[o+4>>2]|0;r=f[o+8>>2]|0;k=f[o+12>>2]|0;f[G+(p<<2)>>2]=f[o>>2];f[G+((p|1)<<2)>>2]=l;f[G+((p|2)<<2)>>2]=r;f[G+((p|3)<<2)>>2]=k;p=p+4|0;if((p|0)>(e|0)){H=c;break c}}}do{p=E+(I<<2)|0;A=+n[p+12>>2];z=+n[p+8>>2];y=+n[p+4>>2];x=+n[p>>2];p=1;do{k=(f[q+(p<<2)>>2]|0)+(I<<2)|0;D=+n[k>>2];x=x<D?D:x;D=+n[k+4>>2];y=y<D?D:y;D=+n[k+8>>2];z=z<D?D:z;D=+n[k+12>>2];A=A<D?D:A;p=p+1|0}while((p|0)!=(h|0));n[G+(I<<2)>>2]=x;n[G+((I|1)<<2)>>2]=y;n[G+((I|2)<<2)>>2]=z;n[G+((I|3)<<2)>>2]=A;I=I+4|0}while((I|0)<=(e|0));H=c}while(0);d:do if((H|0)<(g|0)){E=f[q>>2]|0;if(d)J=H;else{p=H;while(1){f[G+(p<<2)>>2]=f[E+(p<<2)>>2];p=p+1|0;if((p|0)==(g|0))break d}}do{B=+n[E+(J<<2)>>2];p=1;do{D=+n[(f[q+(p<<2)>>2]|0)+(J<<2)>>2];B=B<D?D:B;p=p+1|0}while((p|0)!=(h|0));n[G+(J<<2)>>2]=B;J=J+1|0}while((J|0)!=(g|0))}while(0);if((F|0)>1){q=q+4|0;F=F+-1|0;G=G+(a<<2)|0}else break}return}function wna(a){a=a|0;Emc(a);return}function xna(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function yna(a){a=a|0;Emc(a);return}function zna(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;i=f[a+4>>2]|0;a=e>>>1;e=(i|0)>1;if(e&(g|0)>1){j=h+-4|0;k=(h|0)<4;l=(i|0)>2;m=a<<1;n=h&-4;o=c;p=b;q=g;while(1){a:do if(k)r=0;else{s=f[p+4>>2]|0;t=f[p>>2]|0;if(!l){u=f[p+8>>2]|0;v=0;while(1){w=s+(v<<1)|0;x=d[w>>1]|0;y=d[w+2>>1]|0;z=d[w+4>>1]|0;A=d[w+6>>1]|0;w=t+(v<<1)|0;B=d[w>>1]|0;d[o+(v<<1)>>1]=x<<16>>16<B<<16>>16?B:x;B=d[w+2>>1]|0;d[o+((v|1)<<1)>>1]=y<<16>>16<B<<16>>16?B:y;B=d[w+4>>1]|0;d[o+((v|2)<<1)>>1]=z<<16>>16<B<<16>>16?B:z;B=d[w+6>>1]|0;d[o+((v|3)<<1)>>1]=A<<16>>16<B<<16>>16?B:A;B=u+(v<<1)|0;w=d[B>>1]|0;C=v+a|0;d[o+(C<<1)>>1]=x<<16>>16<w<<16>>16?w:x;x=d[B+2>>1]|0;d[o+(C+1<<1)>>1]=y<<16>>16<x<<16>>16?x:y;y=d[B+4>>1]|0;d[o+(C+2<<1)>>1]=z<<16>>16<y<<16>>16?y:z;z=d[B+6>>1]|0;d[o+(C+3<<1)>>1]=A<<16>>16<z<<16>>16?z:A;v=v+4|0;if((v|0)>(j|0)){r=n;break a}}}v=f[p+(i<<2)>>2]|0;u=0;do{A=s+(u<<1)|0;z=d[A+6>>1]|0;C=d[A+4>>1]|0;B=d[A+2>>1]|0;y=d[A>>1]|0;A=2;do{x=(f[p+(A<<2)>>2]|0)+(u<<1)|0;w=d[x>>1]|0;y=y<<16>>16<w<<16>>16?w:y;w=d[x+2>>1]|0;B=B<<16>>16<w<<16>>16?w:B;w=d[x+4>>1]|0;C=C<<16>>16<w<<16>>16?w:C;w=d[x+6>>1]|0;z=z<<16>>16<w<<16>>16?w:z;A=A+1|0}while((A|0)!=(i|0));A=t+(u<<1)|0;w=d[A>>1]|0;d[o+(u<<1)>>1]=y<<16>>16<w<<16>>16?w:y;w=d[A+2>>1]|0;d[o+((u|1)<<1)>>1]=B<<16>>16<w<<16>>16?w:B;w=d[A+4>>1]|0;d[o+((u|2)<<1)>>1]=C<<16>>16<w<<16>>16?w:C;w=d[A+6>>1]|0;d[o+((u|3)<<1)>>1]=z<<16>>16<w<<16>>16?w:z;w=v+(u<<1)|0;A=d[w>>1]|0;x=u+a|0;d[o+(x<<1)>>1]=y<<16>>16<A<<16>>16?A:y;A=d[w+2>>1]|0;d[o+(x+1<<1)>>1]=B<<16>>16<A<<16>>16?A:B;A=d[w+4>>1]|0;d[o+(x+2<<1)>>1]=C<<16>>16<A<<16>>16?A:C;A=d[w+6>>1]|0;d[o+(x+3<<1)>>1]=z<<16>>16<A<<16>>16?A:z;u=u+4|0}while((u|0)<=(j|0));r=n}while(0);b:do if((r|0)<(h|0)){u=f[p+4>>2]|0;v=f[p>>2]|0;if(!l){t=f[p+8>>2]|0;s=r;while(1){A=d[u+(s<<1)>>1]|0;x=d[v+(s<<1)>>1]|0;d[o+(s<<1)>>1]=A<<16>>16<x<<16>>16?x:A;x=d[t+(s<<1)>>1]|0;d[o+(s+a<<1)>>1]=A<<16>>16<x<<16>>16?x:A;s=s+1|0;if((s|0)==(h|0))break b}}s=f[p+(i<<2)>>2]|0;t=r;do{A=d[u+(t<<1)>>1]|0;x=2;do{w=d[(f[p+(x<<2)>>2]|0)+(t<<1)>>1]|0;A=A<<16>>16<w<<16>>16?w:A;x=x+1|0}while((x|0)!=(i|0));x=d[v+(t<<1)>>1]|0;d[o+(t<<1)>>1]=A<<16>>16<x<<16>>16?x:A;x=d[s+(t<<1)>>1]|0;d[o+(t+a<<1)>>1]=A<<16>>16<x<<16>>16?x:A;t=t+1|0}while((t|0)!=(h|0))}while(0);t=q+-2|0;s=o+(m<<1)|0;v=p+8|0;if((t|0)>1){o=s;p=v;q=t}else{D=s;E=v;F=t;break}}}else{D=c;E=b;F=g}if((F|0)<=0)return;g=h+-4|0;b=(h|0)<4;c=h&-4;q=E;E=F;F=D;while(1){c:do if(b)G=0;else{D=f[q>>2]|0;if(e)H=0;else{p=0;while(1){o=D+(p<<1)|0;m=d[o+2>>1]|0;r=d[o+4>>1]|0;l=d[o+6>>1]|0;d[F+(p<<1)>>1]=d[o>>1]|0;d[F+((p|1)<<1)>>1]=m;d[F+((p|2)<<1)>>1]=r;d[F+((p|3)<<1)>>1]=l;p=p+4|0;if((p|0)>(g|0)){G=c;break c}}}do{p=D+(H<<1)|0;l=d[p+6>>1]|0;r=d[p+4>>1]|0;m=d[p+2>>1]|0;o=d[p>>1]|0;p=1;do{n=(f[q+(p<<2)>>2]|0)+(H<<1)|0;j=d[n>>1]|0;o=o<<16>>16<j<<16>>16?j:o;j=d[n+2>>1]|0;m=m<<16>>16<j<<16>>16?j:m;j=d[n+4>>1]|0;r=r<<16>>16<j<<16>>16?j:r;j=d[n+6>>1]|0;l=l<<16>>16<j<<16>>16?j:l;p=p+1|0}while((p|0)!=(i|0));d[F+(H<<1)>>1]=o;d[F+((H|1)<<1)>>1]=m;d[F+((H|2)<<1)>>1]=r;d[F+((H|3)<<1)>>1]=l;H=H+4|0}while((H|0)<=(g|0));G=c}while(0);d:do if((G|0)<(h|0)){D=f[q>>2]|0;if(e)I=G;else{p=G;while(1){d[F+(p<<1)>>1]=d[D+(p<<1)>>1]|0;p=p+1|0;if((p|0)==(h|0))break d}}do{p=d[D+(I<<1)>>1]|0;A=1;do{j=d[(f[q+(A<<2)>>2]|0)+(I<<1)>>1]|0;p=p<<16>>16<j<<16>>16?j:p;A=A+1|0}while((A|0)!=(i|0));d[F+(I<<1)>>1]=p;I=I+1|0}while((I|0)!=(h|0))}while(0);if((E|0)>1){q=q+4|0;E=E+-1|0;F=F+(a<<1)|0}else break}return}function Ana(a){a=a|0;Emc(a);return}function Bna(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Cna(a){a=a|0;Emc(a);return}function Dna(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;i=f[a+4>>2]|0;a=e>>>1;e=(i|0)>1;if(e&(g|0)>1){j=h+-4|0;k=(h|0)<4;l=(i|0)>2;m=a<<1;n=h&-4;o=c;p=b;q=g;while(1){a:do if(k)r=0;else{s=f[p+4>>2]|0;t=f[p>>2]|0;if(!l){u=f[p+8>>2]|0;v=0;while(1){w=s+(v<<1)|0;x=d[w>>1]|0;y=d[w+2>>1]|0;z=d[w+4>>1]|0;A=d[w+6>>1]|0;w=t+(v<<1)|0;B=d[w>>1]|0;d[o+(v<<1)>>1]=(x&65535)<(B&65535)?B:x;B=d[w+2>>1]|0;d[o+((v|1)<<1)>>1]=(y&65535)<(B&65535)?B:y;B=d[w+4>>1]|0;d[o+((v|2)<<1)>>1]=(z&65535)<(B&65535)?B:z;B=d[w+6>>1]|0;d[o+((v|3)<<1)>>1]=(A&65535)<(B&65535)?B:A;B=u+(v<<1)|0;w=d[B>>1]|0;C=v+a|0;d[o+(C<<1)>>1]=(x&65535)<(w&65535)?w:x;x=d[B+2>>1]|0;d[o+(C+1<<1)>>1]=(y&65535)<(x&65535)?x:y;y=d[B+4>>1]|0;d[o+(C+2<<1)>>1]=(z&65535)<(y&65535)?y:z;z=d[B+6>>1]|0;d[o+(C+3<<1)>>1]=(A&65535)<(z&65535)?z:A;v=v+4|0;if((v|0)>(j|0)){r=n;break a}}}v=f[p+(i<<2)>>2]|0;u=0;do{A=s+(u<<1)|0;z=d[A+6>>1]|0;C=d[A+4>>1]|0;B=d[A+2>>1]|0;y=d[A>>1]|0;A=2;do{x=(f[p+(A<<2)>>2]|0)+(u<<1)|0;w=d[x>>1]|0;y=(y&65535)<(w&65535)?w:y;w=d[x+2>>1]|0;B=(B&65535)<(w&65535)?w:B;w=d[x+4>>1]|0;C=(C&65535)<(w&65535)?w:C;w=d[x+6>>1]|0;z=(z&65535)<(w&65535)?w:z;A=A+1|0}while((A|0)!=(i|0));A=t+(u<<1)|0;w=d[A>>1]|0;d[o+(u<<1)>>1]=(y&65535)<(w&65535)?w:y;w=d[A+2>>1]|0;d[o+((u|1)<<1)>>1]=(B&65535)<(w&65535)?w:B;w=d[A+4>>1]|0;d[o+((u|2)<<1)>>1]=(C&65535)<(w&65535)?w:C;w=d[A+6>>1]|0;d[o+((u|3)<<1)>>1]=(z&65535)<(w&65535)?w:z;w=v+(u<<1)|0;A=d[w>>1]|0;x=u+a|0;d[o+(x<<1)>>1]=(y&65535)<(A&65535)?A:y;A=d[w+2>>1]|0;d[o+(x+1<<1)>>1]=(B&65535)<(A&65535)?A:B;A=d[w+4>>1]|0;d[o+(x+2<<1)>>1]=(C&65535)<(A&65535)?A:C;A=d[w+6>>1]|0;d[o+(x+3<<1)>>1]=(z&65535)<(A&65535)?A:z;u=u+4|0}while((u|0)<=(j|0));r=n}while(0);b:do if((r|0)<(h|0)){u=f[p+4>>2]|0;v=f[p>>2]|0;if(!l){t=f[p+8>>2]|0;s=r;while(1){A=d[u+(s<<1)>>1]|0;x=d[v+(s<<1)>>1]|0;d[o+(s<<1)>>1]=(A&65535)<(x&65535)?x:A;x=d[t+(s<<1)>>1]|0;d[o+(s+a<<1)>>1]=(A&65535)<(x&65535)?x:A;s=s+1|0;if((s|0)==(h|0))break b}}s=f[p+(i<<2)>>2]|0;t=r;do{A=d[u+(t<<1)>>1]|0;x=2;do{w=d[(f[p+(x<<2)>>2]|0)+(t<<1)>>1]|0;A=(A&65535)<(w&65535)?w:A;x=x+1|0}while((x|0)!=(i|0));x=d[v+(t<<1)>>1]|0;d[o+(t<<1)>>1]=(A&65535)<(x&65535)?x:A;x=d[s+(t<<1)>>1]|0;d[o+(t+a<<1)>>1]=(A&65535)<(x&65535)?x:A;t=t+1|0}while((t|0)!=(h|0))}while(0);t=q+-2|0;s=o+(m<<1)|0;v=p+8|0;if((t|0)>1){o=s;p=v;q=t}else{D=s;E=v;F=t;break}}}else{D=c;E=b;F=g}if((F|0)<=0)return;g=h+-4|0;b=(h|0)<4;c=h&-4;q=E;E=F;F=D;while(1){c:do if(b)G=0;else{D=f[q>>2]|0;if(e)H=0;else{p=0;while(1){o=D+(p<<1)|0;m=d[o+2>>1]|0;r=d[o+4>>1]|0;l=d[o+6>>1]|0;d[F+(p<<1)>>1]=d[o>>1]|0;d[F+((p|1)<<1)>>1]=m;d[F+((p|2)<<1)>>1]=r;d[F+((p|3)<<1)>>1]=l;p=p+4|0;if((p|0)>(g|0)){G=c;break c}}}do{p=D+(H<<1)|0;l=d[p+6>>1]|0;r=d[p+4>>1]|0;m=d[p+2>>1]|0;o=d[p>>1]|0;p=1;do{n=(f[q+(p<<2)>>2]|0)+(H<<1)|0;j=d[n>>1]|0;o=(o&65535)<(j&65535)?j:o;j=d[n+2>>1]|0;m=(m&65535)<(j&65535)?j:m;j=d[n+4>>1]|0;r=(r&65535)<(j&65535)?j:r;j=d[n+6>>1]|0;l=(l&65535)<(j&65535)?j:l;p=p+1|0}while((p|0)!=(i|0));d[F+(H<<1)>>1]=o;d[F+((H|1)<<1)>>1]=m;d[F+((H|2)<<1)>>1]=r;d[F+((H|3)<<1)>>1]=l;H=H+4|0}while((H|0)<=(g|0));G=c}while(0);d:do if((G|0)<(h|0)){D=f[q>>2]|0;if(e)I=G;else{p=G;while(1){d[F+(p<<1)>>1]=d[D+(p<<1)>>1]|0;p=p+1|0;if((p|0)==(h|0))break d}}do{p=d[D+(I<<1)>>1]|0;A=1;do{j=d[(f[q+(A<<2)>>2]|0)+(I<<1)>>1]|0;p=(p&65535)<(j&65535)?j:p;A=A+1|0}while((A|0)!=(i|0));d[F+(I<<1)>>1]=p;I=I+1|0}while((I|0)!=(h|0))}while(0);if((E|0)>1){q=q+4|0;E=E+-1|0;F=F+(a<<1)|0}else break}return}function Ena(a){a=a|0;Emc(a);return}function Fna(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Gna(a){a=a|0;Emc(a);return}function Hna(a,c,d,e,g,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0;j=f[a+4>>2]|0;a=(j|0)>1;if(a&(g|0)>1){k=i+-4|0;l=(i|0)<4;m=(j|0)>2;n=e<<1;o=i&-4;p=d;q=c;r=g;while(1){if(l)s=0;else{t=q+4|0;u=0;do{v=(f[t>>2]|0)+u|0;w=b[v>>0]|0;x=b[v+1>>0]|0;y=b[v+2>>0]|0;z=b[v+3>>0]|0;if(m){v=z;A=y;B=x;C=w;D=2;while(1){E=(f[q+(D<<2)>>2]|0)+u|0;F=C&255;G=(h[E>>0]|0)-F+256|0;if(G>>>0<769)H=h[277436+G>>0]|0;else H=0;G=H+F&255;F=B&255;I=(h[E+1>>0]|0)-F+256|0;if(I>>>0<769)J=h[277436+I>>0]|0;else J=0;I=J+F&255;F=A&255;K=(h[E+2>>0]|0)-F+256|0;if(K>>>0<769)L=h[277436+K>>0]|0;else L=0;K=L+F&255;F=v&255;M=(h[E+3>>0]|0)-F+256|0;if(M>>>0<769)N=h[277436+M>>0]|0;else N=0;M=N+F&255;D=D+1|0;if((D|0)==(j|0)){O=M;P=K;Q=I;R=G;S=j;break}else{v=M;A=K;B=I;C=G}}}else{O=z;P=y;Q=x;R=w;S=2}C=(f[q>>2]|0)+u|0;B=R&255;A=(h[C>>0]|0)-B+256|0;if(A>>>0<769)T=h[277436+A>>0]|0;else T=0;b[p+u>>0]=T+B;A=Q&255;v=(h[C+1>>0]|0)-A+256|0;if(v>>>0<769)U=h[277436+v>>0]|0;else U=0;b[p+(u|1)>>0]=U+A;v=P&255;D=(h[C+2>>0]|0)-v+256|0;if(D>>>0<769)V=h[277436+D>>0]|0;else V=0;b[p+(u|2)>>0]=V+v;D=O&255;G=(h[C+3>>0]|0)-D+256|0;if(G>>>0<769)W=h[277436+G>>0]|0;else W=0;b[p+(u|3)>>0]=W+D;G=(f[q+(S<<2)>>2]|0)+u|0;C=(h[G>>0]|0)-B+256|0;if(C>>>0<769)X=h[277436+C>>0]|0;else X=0;C=u+e|0;b[p+C>>0]=X+B;B=(h[G+1>>0]|0)-A+256|0;if(B>>>0<769)Y=h[277436+B>>0]|0;else Y=0;b[p+(C+1)>>0]=Y+A;A=(h[G+2>>0]|0)-v+256|0;if(A>>>0<769)Z=h[277436+A>>0]|0;else Z=0;b[p+(C+2)>>0]=Z+v;v=(h[G+3>>0]|0)-D+256|0;if(v>>>0<769)_=h[277436+v>>0]|0;else _=0;b[p+(C+3)>>0]=_+D;u=u+4|0}while((u|0)<=(k|0));s=o}a:do if((s|0)<(i|0)){u=q+4|0;if(!m){t=q+8|0;D=s;while(1){C=h[(f[u>>2]|0)+D>>0]|0;v=(h[(f[q>>2]|0)+D>>0]|0)-C+256|0;if(v>>>0<769)$=h[277436+v>>0]|0;else $=0;b[p+D>>0]=$+C;v=(h[(f[t>>2]|0)+D>>0]|0)-C+256|0;if(v>>>0<769)aa=h[277436+v>>0]|0;else aa=0;b[p+(D+e)>>0]=aa+C;D=D+1|0;if((D|0)==(i|0))break a}}D=q+(j<<2)|0;t=s;do{w=b[(f[u>>2]|0)+t>>0]|0;x=2;while(1){y=w&255;z=(h[(f[q+(x<<2)>>2]|0)+t>>0]|0)-y+256|0;if(z>>>0<769)ba=h[277436+z>>0]|0;else ba=0;ca=ba+y|0;x=x+1|0;if((x|0)==(j|0))break;else w=ca&255}w=ca&255;x=(h[(f[q>>2]|0)+t>>0]|0)-w+256|0;if(x>>>0<769)da=h[277436+x>>0]|0;else da=0;b[p+t>>0]=da+ca;x=(h[(f[D>>2]|0)+t>>0]|0)-w+256|0;if(x>>>0<769)ea=h[277436+x>>0]|0;else ea=0;b[p+(t+e)>>0]=ea+ca;t=t+1|0}while((t|0)!=(i|0))}while(0);t=r+-2|0;D=p+n|0;u=q+8|0;if((t|0)>1){p=D;q=u;r=t}else{fa=D;ga=u;ha=t;break}}}else{fa=d;ga=c;ha=g}if((ha|0)<=0)return;g=i+-4|0;c=(i|0)<4;d=i&-4;r=ga;ga=ha;ha=fa;while(1){b:do if(c)ia=0;else{if(a)ja=0;else{fa=0;while(1){q=(f[r>>2]|0)+fa|0;p=b[q+1>>0]|0;n=b[q+2>>0]|0;ca=b[q+3>>0]|0;b[ha+fa>>0]=b[q>>0]|0;b[ha+(fa|1)>>0]=p;b[ha+(fa|2)>>0]=n;b[ha+(fa|3)>>0]=ca;fa=fa+4|0;if((fa|0)>(g|0)){ia=d;break b}}}do{fa=(f[r>>2]|0)+ja|0;ca=b[fa+3>>0]|0;n=b[fa+2>>0]|0;p=b[fa+1>>0]|0;q=b[fa>>0]|0;fa=1;do{ea=(f[r+(fa<<2)>>2]|0)+ja|0;da=q&255;ba=(h[ea>>0]|0)-da+256|0;if(ba>>>0<769)ka=h[277436+ba>>0]|0;else ka=0;q=ka+da&255;da=p&255;ba=(h[ea+1>>0]|0)-da+256|0;if(ba>>>0<769)la=h[277436+ba>>0]|0;else la=0;p=la+da&255;da=n&255;ba=(h[ea+2>>0]|0)-da+256|0;if(ba>>>0<769)ma=h[277436+ba>>0]|0;else ma=0;n=ma+da&255;da=ca&255;ba=(h[ea+3>>0]|0)-da+256|0;if(ba>>>0<769)na=h[277436+ba>>0]|0;else na=0;ca=na+da&255;fa=fa+1|0}while((fa|0)!=(j|0));b[ha+ja>>0]=q;b[ha+(ja|1)>>0]=p;b[ha+(ja|2)>>0]=n;b[ha+(ja|3)>>0]=ca;ja=ja+4|0}while((ja|0)<=(g|0));ia=d}while(0);c:do if((ia|0)<(i|0)){if(a)oa=ia;else{fa=ia;while(1){b[ha+fa>>0]=b[(f[r>>2]|0)+fa>>0]|0;fa=fa+1|0;if((fa|0)==(i|0))break c}}do{fa=b[(f[r>>2]|0)+oa>>0]|0;da=1;do{ba=fa&255;ea=(h[(f[r+(da<<2)>>2]|0)+oa>>0]|0)-ba+256|0;if(ea>>>0<769)pa=h[277436+ea>>0]|0;else pa=0;fa=pa+ba&255;da=da+1|0}while((da|0)!=(j|0));b[ha+oa>>0]=fa;oa=oa+1|0}while((oa|0)!=(i|0))}while(0);if((ga|0)>1){r=r+4|0;ga=ga+-1|0;ha=ha+e|0}else break}return}function Ina(a){a=a|0;Emc(a);return}function Jna(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Kna(a){a=a|0;Emc(a);return}function Lna(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0,D=0.0,E=0,F=0,G=0,H=0,I=0,J=0;h=f[a+4>>2]|0;a=d>>>3;d=(h|0)>1;if(d&(e|0)>1){i=g+-4|0;j=(g|0)<4;k=(h|0)>2;l=a<<1;m=g&-4;n=c;o=b;q=e;while(1){a:do if(j)r=0;else{s=f[o+4>>2]|0;t=f[o>>2]|0;if(!k){u=f[o+8>>2]|0;v=0;while(1){w=s+(v<<3)|0;x=+p[w>>3];y=+p[w+8>>3];z=+p[w+16>>3];A=+p[w+24>>3];w=t+(v<<3)|0;B=+p[w>>3];p[n+(v<<3)>>3]=B<x?B:x;B=+p[w+8>>3];p[n+((v|1)<<3)>>3]=B<y?B:y;B=+p[w+16>>3];p[n+((v|2)<<3)>>3]=B<z?B:z;B=+p[w+24>>3];p[n+((v|3)<<3)>>3]=B<A?B:A;w=u+(v<<3)|0;B=+p[w>>3];C=v+a|0;p[n+(C<<3)>>3]=B<x?B:x;x=+p[w+8>>3];p[n+(C+1<<3)>>3]=x<y?x:y;y=+p[w+16>>3];p[n+(C+2<<3)>>3]=y<z?y:z;z=+p[w+24>>3];p[n+(C+3<<3)>>3]=z<A?z:A;v=v+4|0;if((v|0)>(i|0)){r=m;break a}}}v=f[o+(h<<2)>>2]|0;u=0;do{C=s+(u<<3)|0;A=+p[C+24>>3];z=+p[C+16>>3];y=+p[C+8>>3];x=+p[C>>3];C=2;do{w=(f[o+(C<<2)>>2]|0)+(u<<3)|0;B=+p[w>>3];x=B<x?B:x;B=+p[w+8>>3];y=B<y?B:y;B=+p[w+16>>3];z=B<z?B:z;B=+p[w+24>>3];A=B<A?B:A;C=C+1|0}while((C|0)!=(h|0));C=t+(u<<3)|0;B=+p[C>>3];p[n+(u<<3)>>3]=B<x?B:x;B=+p[C+8>>3];p[n+((u|1)<<3)>>3]=B<y?B:y;B=+p[C+16>>3];p[n+((u|2)<<3)>>3]=B<z?B:z;B=+p[C+24>>3];p[n+((u|3)<<3)>>3]=B<A?B:A;C=v+(u<<3)|0;B=+p[C>>3];w=u+a|0;p[n+(w<<3)>>3]=B<x?B:x;B=+p[C+8>>3];p[n+(w+1<<3)>>3]=B<y?B:y;B=+p[C+16>>3];p[n+(w+2<<3)>>3]=B<z?B:z;B=+p[C+24>>3];p[n+(w+3<<3)>>3]=B<A?B:A;u=u+4|0}while((u|0)<=(i|0));r=m}while(0);b:do if((r|0)<(g|0)){u=f[o+4>>2]|0;v=f[o>>2]|0;if(!k){t=f[o+8>>2]|0;s=r;while(1){B=+p[u+(s<<3)>>3];D=+p[v+(s<<3)>>3];p[n+(s<<3)>>3]=D<B?D:B;D=+p[t+(s<<3)>>3];p[n+(s+a<<3)>>3]=D<B?D:B;s=s+1|0;if((s|0)==(g|0))break b}}s=f[o+(h<<2)>>2]|0;t=r;do{B=+p[u+(t<<3)>>3];w=2;do{D=+p[(f[o+(w<<2)>>2]|0)+(t<<3)>>3];B=D<B?D:B;w=w+1|0}while((w|0)!=(h|0));A=+p[v+(t<<3)>>3];p[n+(t<<3)>>3]=A<B?A:B;A=+p[s+(t<<3)>>3];p[n+(t+a<<3)>>3]=A<B?A:B;t=t+1|0}while((t|0)!=(g|0))}while(0);t=q+-2|0;s=n+(l<<3)|0;v=o+8|0;if((t|0)>1){n=s;o=v;q=t}else{E=s;F=v;G=t;break}}}else{E=c;F=b;G=e}if((G|0)<=0)return;e=g+-4|0;b=(g|0)<4;c=g&-4;q=F;F=G;G=E;while(1){c:do if(b)H=0;else{E=f[q>>2]|0;if(d)I=0;else{o=0;while(1){n=E+(o<<3)|0;A=+p[n+8>>3];z=+p[n+16>>3];y=+p[n+24>>3];p[G+(o<<3)>>3]=+p[n>>3];p[G+((o|1)<<3)>>3]=A;p[G+((o|2)<<3)>>3]=z;p[G+((o|3)<<3)>>3]=y;o=o+4|0;if((o|0)>(e|0)){H=c;break c}}}do{o=E+(I<<3)|0;y=+p[o+24>>3];z=+p[o+16>>3];A=+p[o+8>>3];x=+p[o>>3];o=1;do{n=(f[q+(o<<2)>>2]|0)+(I<<3)|0;D=+p[n>>3];x=D<x?D:x;D=+p[n+8>>3];A=D<A?D:A;D=+p[n+16>>3];z=D<z?D:z;D=+p[n+24>>3];y=D<y?D:y;o=o+1|0}while((o|0)!=(h|0));p[G+(I<<3)>>3]=x;p[G+((I|1)<<3)>>3]=A;p[G+((I|2)<<3)>>3]=z;p[G+((I|3)<<3)>>3]=y;I=I+4|0}while((I|0)<=(e|0));H=c}while(0);d:do if((H|0)<(g|0)){E=f[q>>2]|0;if(d)J=H;else{o=H;while(1){p[G+(o<<3)>>3]=+p[E+(o<<3)>>3];o=o+1|0;if((o|0)==(g|0))break d}}do{B=+p[E+(J<<3)>>3];o=1;do{D=+p[(f[q+(o<<2)>>2]|0)+(J<<3)>>3];B=D<B?D:B;o=o+1|0}while((o|0)!=(h|0));p[G+(J<<3)>>3]=B;J=J+1|0}while((J|0)!=(g|0))}while(0);if((F|0)>1){q=q+4|0;F=F+-1|0;G=G+(a<<3)|0}else break}return}function Mna(a){a=a|0;Emc(a);return}function Nna(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Ona(a){a=a|0;Emc(a);return}function Pna(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0,D=0.0,E=0,F=0,G=0,H=0,I=0,J=0;h=f[a+4>>2]|0;a=d>>>2;d=(h|0)>1;if(d&(e|0)>1){i=g+-4|0;j=(g|0)<4;k=(h|0)>2;l=a<<1;m=g&-4;o=c;p=b;q=e;while(1){a:do if(j)r=0;else{s=f[p+4>>2]|0;t=f[p>>2]|0;if(!k){u=f[p+8>>2]|0;v=0;while(1){w=s+(v<<2)|0;x=+n[w>>2];y=+n[w+4>>2];z=+n[w+8>>2];A=+n[w+12>>2];w=t+(v<<2)|0;B=+n[w>>2];n[o+(v<<2)>>2]=B<x?B:x;B=+n[w+4>>2];n[o+((v|1)<<2)>>2]=B<y?B:y;B=+n[w+8>>2];n[o+((v|2)<<2)>>2]=B<z?B:z;B=+n[w+12>>2];n[o+((v|3)<<2)>>2]=B<A?B:A;w=u+(v<<2)|0;B=+n[w>>2];C=v+a|0;n[o+(C<<2)>>2]=B<x?B:x;x=+n[w+4>>2];n[o+(C+1<<2)>>2]=x<y?x:y;y=+n[w+8>>2];n[o+(C+2<<2)>>2]=y<z?y:z;z=+n[w+12>>2];n[o+(C+3<<2)>>2]=z<A?z:A;v=v+4|0;if((v|0)>(i|0)){r=m;break a}}}v=f[p+(h<<2)>>2]|0;u=0;do{C=s+(u<<2)|0;A=+n[C+12>>2];z=+n[C+8>>2];y=+n[C+4>>2];x=+n[C>>2];C=2;do{w=(f[p+(C<<2)>>2]|0)+(u<<2)|0;B=+n[w>>2];x=B<x?B:x;B=+n[w+4>>2];y=B<y?B:y;B=+n[w+8>>2];z=B<z?B:z;B=+n[w+12>>2];A=B<A?B:A;C=C+1|0}while((C|0)!=(h|0));C=t+(u<<2)|0;B=+n[C>>2];n[o+(u<<2)>>2]=B<x?B:x;B=+n[C+4>>2];n[o+((u|1)<<2)>>2]=B<y?B:y;B=+n[C+8>>2];n[o+((u|2)<<2)>>2]=B<z?B:z;B=+n[C+12>>2];n[o+((u|3)<<2)>>2]=B<A?B:A;C=v+(u<<2)|0;B=+n[C>>2];w=u+a|0;n[o+(w<<2)>>2]=B<x?B:x;B=+n[C+4>>2];n[o+(w+1<<2)>>2]=B<y?B:y;B=+n[C+8>>2];n[o+(w+2<<2)>>2]=B<z?B:z;B=+n[C+12>>2];n[o+(w+3<<2)>>2]=B<A?B:A;u=u+4|0}while((u|0)<=(i|0));r=m}while(0);b:do if((r|0)<(g|0)){u=f[p+4>>2]|0;v=f[p>>2]|0;if(!k){t=f[p+8>>2]|0;s=r;while(1){B=+n[u+(s<<2)>>2];D=+n[v+(s<<2)>>2];n[o+(s<<2)>>2]=D<B?D:B;D=+n[t+(s<<2)>>2];n[o+(s+a<<2)>>2]=D<B?D:B;s=s+1|0;if((s|0)==(g|0))break b}}s=f[p+(h<<2)>>2]|0;t=r;do{B=+n[u+(t<<2)>>2];w=2;do{D=+n[(f[p+(w<<2)>>2]|0)+(t<<2)>>2];B=D<B?D:B;w=w+1|0}while((w|0)!=(h|0));A=+n[v+(t<<2)>>2];n[o+(t<<2)>>2]=A<B?A:B;A=+n[s+(t<<2)>>2];n[o+(t+a<<2)>>2]=A<B?A:B;t=t+1|0}while((t|0)!=(g|0))}while(0);t=q+-2|0;s=o+(l<<2)|0;v=p+8|0;if((t|0)>1){o=s;p=v;q=t}else{E=s;F=v;G=t;break}}}else{E=c;F=b;G=e}if((G|0)<=0)return;e=g+-4|0;b=(g|0)<4;c=g&-4;q=F;F=G;G=E;while(1){c:do if(b)H=0;else{E=f[q>>2]|0;if(d)I=0;else{p=0;while(1){o=E+(p<<2)|0;l=f[o+4>>2]|0;r=f[o+8>>2]|0;k=f[o+12>>2]|0;f[G+(p<<2)>>2]=f[o>>2];f[G+((p|1)<<2)>>2]=l;f[G+((p|2)<<2)>>2]=r;f[G+((p|3)<<2)>>2]=k;p=p+4|0;if((p|0)>(e|0)){H=c;break c}}}do{p=E+(I<<2)|0;A=+n[p+12>>2];z=+n[p+8>>2];y=+n[p+4>>2];x=+n[p>>2];p=1;do{k=(f[q+(p<<2)>>2]|0)+(I<<2)|0;D=+n[k>>2];x=D<x?D:x;D=+n[k+4>>2];y=D<y?D:y;D=+n[k+8>>2];z=D<z?D:z;D=+n[k+12>>2];A=D<A?D:A;p=p+1|0}while((p|0)!=(h|0));n[G+(I<<2)>>2]=x;n[G+((I|1)<<2)>>2]=y;n[G+((I|2)<<2)>>2]=z;n[G+((I|3)<<2)>>2]=A;I=I+4|0}while((I|0)<=(e|0));H=c}while(0);d:do if((H|0)<(g|0)){E=f[q>>2]|0;if(d)J=H;else{p=H;while(1){f[G+(p<<2)>>2]=f[E+(p<<2)>>2];p=p+1|0;if((p|0)==(g|0))break d}}do{B=+n[E+(J<<2)>>2];p=1;do{D=+n[(f[q+(p<<2)>>2]|0)+(J<<2)>>2];B=D<B?D:B;p=p+1|0}while((p|0)!=(h|0));n[G+(J<<2)>>2]=B;J=J+1|0}while((J|0)!=(g|0))}while(0);if((F|0)>1){q=q+4|0;F=F+-1|0;G=G+(a<<2)|0}else break}return}function Qna(a){a=a|0;Emc(a);return}function Rna(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Sna(a){a=a|0;Emc(a);return}function Tna(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;i=f[a+4>>2]|0;a=e>>>1;e=(i|0)>1;if(e&(g|0)>1){j=h+-4|0;k=(h|0)<4;l=(i|0)>2;m=a<<1;n=h&-4;o=c;p=b;q=g;while(1){a:do if(k)r=0;else{s=f[p+4>>2]|0;t=f[p>>2]|0;if(!l){u=f[p+8>>2]|0;v=0;while(1){w=s+(v<<1)|0;x=d[w>>1]|0;y=d[w+2>>1]|0;z=d[w+4>>1]|0;A=d[w+6>>1]|0;w=t+(v<<1)|0;B=d[w>>1]|0;d[o+(v<<1)>>1]=B<<16>>16<x<<16>>16?B:x;B=d[w+2>>1]|0;d[o+((v|1)<<1)>>1]=B<<16>>16<y<<16>>16?B:y;B=d[w+4>>1]|0;d[o+((v|2)<<1)>>1]=B<<16>>16<z<<16>>16?B:z;B=d[w+6>>1]|0;d[o+((v|3)<<1)>>1]=B<<16>>16<A<<16>>16?B:A;B=u+(v<<1)|0;w=d[B>>1]|0;C=v+a|0;d[o+(C<<1)>>1]=w<<16>>16<x<<16>>16?w:x;x=d[B+2>>1]|0;d[o+(C+1<<1)>>1]=x<<16>>16<y<<16>>16?x:y;y=d[B+4>>1]|0;d[o+(C+2<<1)>>1]=y<<16>>16<z<<16>>16?y:z;z=d[B+6>>1]|0;d[o+(C+3<<1)>>1]=z<<16>>16<A<<16>>16?z:A;v=v+4|0;if((v|0)>(j|0)){r=n;break a}}}v=f[p+(i<<2)>>2]|0;u=0;do{A=s+(u<<1)|0;z=d[A+6>>1]|0;C=d[A+4>>1]|0;B=d[A+2>>1]|0;y=d[A>>1]|0;A=2;do{x=(f[p+(A<<2)>>2]|0)+(u<<1)|0;w=d[x>>1]|0;y=w<<16>>16<y<<16>>16?w:y;w=d[x+2>>1]|0;B=w<<16>>16<B<<16>>16?w:B;w=d[x+4>>1]|0;C=w<<16>>16<C<<16>>16?w:C;w=d[x+6>>1]|0;z=w<<16>>16<z<<16>>16?w:z;A=A+1|0}while((A|0)!=(i|0));A=t+(u<<1)|0;w=d[A>>1]|0;d[o+(u<<1)>>1]=w<<16>>16<y<<16>>16?w:y;w=d[A+2>>1]|0;d[o+((u|1)<<1)>>1]=w<<16>>16<B<<16>>16?w:B;w=d[A+4>>1]|0;d[o+((u|2)<<1)>>1]=w<<16>>16<C<<16>>16?w:C;w=d[A+6>>1]|0;d[o+((u|3)<<1)>>1]=w<<16>>16<z<<16>>16?w:z;w=v+(u<<1)|0;A=d[w>>1]|0;x=u+a|0;d[o+(x<<1)>>1]=A<<16>>16<y<<16>>16?A:y;A=d[w+2>>1]|0;d[o+(x+1<<1)>>1]=A<<16>>16<B<<16>>16?A:B;A=d[w+4>>1]|0;d[o+(x+2<<1)>>1]=A<<16>>16<C<<16>>16?A:C;A=d[w+6>>1]|0;d[o+(x+3<<1)>>1]=A<<16>>16<z<<16>>16?A:z;u=u+4|0}while((u|0)<=(j|0));r=n}while(0);b:do if((r|0)<(h|0)){u=f[p+4>>2]|0;v=f[p>>2]|0;if(!l){t=f[p+8>>2]|0;s=r;while(1){A=d[u+(s<<1)>>1]|0;x=d[v+(s<<1)>>1]|0;d[o+(s<<1)>>1]=x<<16>>16<A<<16>>16?x:A;x=d[t+(s<<1)>>1]|0;d[o+(s+a<<1)>>1]=x<<16>>16<A<<16>>16?x:A;s=s+1|0;if((s|0)==(h|0))break b}}s=f[p+(i<<2)>>2]|0;t=r;do{A=d[u+(t<<1)>>1]|0;x=2;do{w=d[(f[p+(x<<2)>>2]|0)+(t<<1)>>1]|0;A=w<<16>>16<A<<16>>16?w:A;x=x+1|0}while((x|0)!=(i|0));x=d[v+(t<<1)>>1]|0;d[o+(t<<1)>>1]=x<<16>>16<A<<16>>16?x:A;x=d[s+(t<<1)>>1]|0;d[o+(t+a<<1)>>1]=x<<16>>16<A<<16>>16?x:A;t=t+1|0}while((t|0)!=(h|0))}while(0);t=q+-2|0;s=o+(m<<1)|0;v=p+8|0;if((t|0)>1){o=s;p=v;q=t}else{D=s;E=v;F=t;break}}}else{D=c;E=b;F=g}if((F|0)<=0)return;g=h+-4|0;b=(h|0)<4;c=h&-4;q=E;E=F;F=D;while(1){c:do if(b)G=0;else{D=f[q>>2]|0;if(e)H=0;else{p=0;while(1){o=D+(p<<1)|0;m=d[o+2>>1]|0;r=d[o+4>>1]|0;l=d[o+6>>1]|0;d[F+(p<<1)>>1]=d[o>>1]|0;d[F+((p|1)<<1)>>1]=m;d[F+((p|2)<<1)>>1]=r;d[F+((p|3)<<1)>>1]=l;p=p+4|0;if((p|0)>(g|0)){G=c;break c}}}do{p=D+(H<<1)|0;l=d[p+6>>1]|0;r=d[p+4>>1]|0;m=d[p+2>>1]|0;o=d[p>>1]|0;p=1;do{n=(f[q+(p<<2)>>2]|0)+(H<<1)|0;j=d[n>>1]|0;o=j<<16>>16<o<<16>>16?j:o;j=d[n+2>>1]|0;m=j<<16>>16<m<<16>>16?j:m;j=d[n+4>>1]|0;r=j<<16>>16<r<<16>>16?j:r;j=d[n+6>>1]|0;l=j<<16>>16<l<<16>>16?j:l;p=p+1|0}while((p|0)!=(i|0));d[F+(H<<1)>>1]=o;d[F+((H|1)<<1)>>1]=m;d[F+((H|2)<<1)>>1]=r;d[F+((H|3)<<1)>>1]=l;H=H+4|0}while((H|0)<=(g|0));G=c}while(0);d:do if((G|0)<(h|0)){D=f[q>>2]|0;if(e)I=G;else{p=G;while(1){d[F+(p<<1)>>1]=d[D+(p<<1)>>1]|0;p=p+1|0;if((p|0)==(h|0))break d}}do{p=d[D+(I<<1)>>1]|0;A=1;do{j=d[(f[q+(A<<2)>>2]|0)+(I<<1)>>1]|0;p=j<<16>>16<p<<16>>16?j:p;A=A+1|0}while((A|0)!=(i|0));d[F+(I<<1)>>1]=p;I=I+1|0}while((I|0)!=(h|0))}while(0);if((E|0)>1){q=q+4|0;E=E+-1|0;F=F+(a<<1)|0}else break}return}function Una(a){a=a|0;Emc(a);return}function Vna(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Wna(a){a=a|0;Emc(a);return}function Xna(a,b,c,e,g,h){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;i=f[a+4>>2]|0;a=e>>>1;e=(i|0)>1;if(e&(g|0)>1){j=h+-4|0;k=(h|0)<4;l=(i|0)>2;m=a<<1;n=h&-4;o=c;p=b;q=g;while(1){a:do if(k)r=0;else{s=f[p+4>>2]|0;t=f[p>>2]|0;if(!l){u=f[p+8>>2]|0;v=0;while(1){w=s+(v<<1)|0;x=d[w>>1]|0;y=d[w+2>>1]|0;z=d[w+4>>1]|0;A=d[w+6>>1]|0;w=t+(v<<1)|0;B=d[w>>1]|0;d[o+(v<<1)>>1]=(B&65535)<(x&65535)?B:x;B=d[w+2>>1]|0;d[o+((v|1)<<1)>>1]=(B&65535)<(y&65535)?B:y;B=d[w+4>>1]|0;d[o+((v|2)<<1)>>1]=(B&65535)<(z&65535)?B:z;B=d[w+6>>1]|0;d[o+((v|3)<<1)>>1]=(B&65535)<(A&65535)?B:A;B=u+(v<<1)|0;w=d[B>>1]|0;C=v+a|0;d[o+(C<<1)>>1]=(w&65535)<(x&65535)?w:x;x=d[B+2>>1]|0;d[o+(C+1<<1)>>1]=(x&65535)<(y&65535)?x:y;y=d[B+4>>1]|0;d[o+(C+2<<1)>>1]=(y&65535)<(z&65535)?y:z;z=d[B+6>>1]|0;d[o+(C+3<<1)>>1]=(z&65535)<(A&65535)?z:A;v=v+4|0;if((v|0)>(j|0)){r=n;break a}}}v=f[p+(i<<2)>>2]|0;u=0;do{A=s+(u<<1)|0;z=d[A+6>>1]|0;C=d[A+4>>1]|0;B=d[A+2>>1]|0;y=d[A>>1]|0;A=2;do{x=(f[p+(A<<2)>>2]|0)+(u<<1)|0;w=d[x>>1]|0;y=(w&65535)<(y&65535)?w:y;w=d[x+2>>1]|0;B=(w&65535)<(B&65535)?w:B;w=d[x+4>>1]|0;C=(w&65535)<(C&65535)?w:C;w=d[x+6>>1]|0;z=(w&65535)<(z&65535)?w:z;A=A+1|0}while((A|0)!=(i|0));A=t+(u<<1)|0;w=d[A>>1]|0;d[o+(u<<1)>>1]=(w&65535)<(y&65535)?w:y;w=d[A+2>>1]|0;d[o+((u|1)<<1)>>1]=(w&65535)<(B&65535)?w:B;w=d[A+4>>1]|0;d[o+((u|2)<<1)>>1]=(w&65535)<(C&65535)?w:C;w=d[A+6>>1]|0;d[o+((u|3)<<1)>>1]=(w&65535)<(z&65535)?w:z;w=v+(u<<1)|0;A=d[w>>1]|0;x=u+a|0;d[o+(x<<1)>>1]=(A&65535)<(y&65535)?A:y;A=d[w+2>>1]|0;d[o+(x+1<<1)>>1]=(A&65535)<(B&65535)?A:B;A=d[w+4>>1]|0;d[o+(x+2<<1)>>1]=(A&65535)<(C&65535)?A:C;A=d[w+6>>1]|0;d[o+(x+3<<1)>>1]=(A&65535)<(z&65535)?A:z;u=u+4|0}while((u|0)<=(j|0));r=n}while(0);b:do if((r|0)<(h|0)){u=f[p+4>>2]|0;v=f[p>>2]|0;if(!l){t=f[p+8>>2]|0;s=r;while(1){A=d[u+(s<<1)>>1]|0;x=d[v+(s<<1)>>1]|0;d[o+(s<<1)>>1]=(x&65535)<(A&65535)?x:A;x=d[t+(s<<1)>>1]|0;d[o+(s+a<<1)>>1]=(x&65535)<(A&65535)?x:A;s=s+1|0;if((s|0)==(h|0))break b}}s=f[p+(i<<2)>>2]|0;t=r;do{A=d[u+(t<<1)>>1]|0;x=2;do{w=d[(f[p+(x<<2)>>2]|0)+(t<<1)>>1]|0;A=(w&65535)<(A&65535)?w:A;x=x+1|0}while((x|0)!=(i|0));x=d[v+(t<<1)>>1]|0;d[o+(t<<1)>>1]=(x&65535)<(A&65535)?x:A;x=d[s+(t<<1)>>1]|0;d[o+(t+a<<1)>>1]=(x&65535)<(A&65535)?x:A;t=t+1|0}while((t|0)!=(h|0))}while(0);t=q+-2|0;s=o+(m<<1)|0;v=p+8|0;if((t|0)>1){o=s;p=v;q=t}else{D=s;E=v;F=t;break}}}else{D=c;E=b;F=g}if((F|0)<=0)return;g=h+-4|0;b=(h|0)<4;c=h&-4;q=E;E=F;F=D;while(1){c:do if(b)G=0;else{D=f[q>>2]|0;if(e)H=0;else{p=0;while(1){o=D+(p<<1)|0;m=d[o+2>>1]|0;r=d[o+4>>1]|0;l=d[o+6>>1]|0;d[F+(p<<1)>>1]=d[o>>1]|0;d[F+((p|1)<<1)>>1]=m;d[F+((p|2)<<1)>>1]=r;d[F+((p|3)<<1)>>1]=l;p=p+4|0;if((p|0)>(g|0)){G=c;break c}}}do{p=D+(H<<1)|0;l=d[p+6>>1]|0;r=d[p+4>>1]|0;m=d[p+2>>1]|0;o=d[p>>1]|0;p=1;do{n=(f[q+(p<<2)>>2]|0)+(H<<1)|0;j=d[n>>1]|0;o=(j&65535)<(o&65535)?j:o;j=d[n+2>>1]|0;m=(j&65535)<(m&65535)?j:m;j=d[n+4>>1]|0;r=(j&65535)<(r&65535)?j:r;j=d[n+6>>1]|0;l=(j&65535)<(l&65535)?j:l;p=p+1|0}while((p|0)!=(i|0));d[F+(H<<1)>>1]=o;d[F+((H|1)<<1)>>1]=m;d[F+((H|2)<<1)>>1]=r;d[F+((H|3)<<1)>>1]=l;H=H+4|0}while((H|0)<=(g|0));G=c}while(0);d:do if((G|0)<(h|0)){D=f[q>>2]|0;if(e)I=G;else{p=G;while(1){d[F+(p<<1)>>1]=d[D+(p<<1)>>1]|0;p=p+1|0;if((p|0)==(h|0))break d}}do{p=d[D+(I<<1)>>1]|0;A=1;do{j=d[(f[q+(A<<2)>>2]|0)+(I<<1)>>1]|0;p=(j&65535)<(p&65535)?j:p;A=A+1|0}while((A|0)!=(i|0));d[F+(I<<1)>>1]=p;I=I+1|0}while((I|0)!=(h|0))}while(0);if((E|0)>1){q=q+4|0;E=E+-1|0;F=F+(a<<1)|0}else break}return}function Yna(a){a=a|0;Emc(a);return}function Zna(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function _na(a){a=a|0;Emc(a);return}function $na(a,c,d,e,g,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0;j=f[a+4>>2]|0;a=(j|0)>1;if(a&(g|0)>1){k=i+-4|0;l=(i|0)<4;m=(j|0)>2;n=e<<1;o=i&-4;p=d;q=c;r=g;while(1){if(l)s=0;else{t=q+4|0;u=0;do{v=(f[t>>2]|0)+u|0;w=b[v>>0]|0;x=b[v+1>>0]|0;y=b[v+2>>0]|0;z=b[v+3>>0]|0;if(m){v=z;A=y;B=x;C=w;D=2;while(1){E=(f[q+(D<<2)>>2]|0)+u|0;F=C&255;G=F-(h[E>>0]|0)+256|0;if(G>>>0<769)H=h[277436+G>>0]|0;else H=0;G=F-H&255;F=B&255;I=F-(h[E+1>>0]|0)+256|0;if(I>>>0<769)J=h[277436+I>>0]|0;else J=0;I=F-J&255;F=A&255;K=F-(h[E+2>>0]|0)+256|0;if(K>>>0<769)L=h[277436+K>>0]|0;else L=0;K=F-L&255;F=v&255;M=F-(h[E+3>>0]|0)+256|0;if(M>>>0<769)N=h[277436+M>>0]|0;else N=0;M=F-N&255;D=D+1|0;if((D|0)==(j|0)){O=M;P=K;Q=I;R=G;S=j;break}else{v=M;A=K;B=I;C=G}}}else{O=z;P=y;Q=x;R=w;S=2}C=(f[q>>2]|0)+u|0;B=R&255;A=B-(h[C>>0]|0)+256|0;if(A>>>0<769)T=h[277436+A>>0]|0;else T=0;b[p+u>>0]=B-T;A=Q&255;v=A-(h[C+1>>0]|0)+256|0;if(v>>>0<769)U=h[277436+v>>0]|0;else U=0;b[p+(u|1)>>0]=A-U;v=P&255;D=v-(h[C+2>>0]|0)+256|0;if(D>>>0<769)V=h[277436+D>>0]|0;else V=0;b[p+(u|2)>>0]=v-V;D=O&255;G=D-(h[C+3>>0]|0)+256|0;if(G>>>0<769)W=h[277436+G>>0]|0;else W=0;b[p+(u|3)>>0]=D-W;G=(f[q+(S<<2)>>2]|0)+u|0;C=B-(h[G>>0]|0)+256|0;if(C>>>0<769)X=h[277436+C>>0]|0;else X=0;C=u+e|0;b[p+C>>0]=B-X;B=A-(h[G+1>>0]|0)+256|0;if(B>>>0<769)Y=h[277436+B>>0]|0;else Y=0;b[p+(C+1)>>0]=A-Y;A=v-(h[G+2>>0]|0)+256|0;if(A>>>0<769)Z=h[277436+A>>0]|0;else Z=0;b[p+(C+2)>>0]=v-Z;v=D-(h[G+3>>0]|0)+256|0;if(v>>>0<769)_=h[277436+v>>0]|0;else _=0;b[p+(C+3)>>0]=D-_;u=u+4|0}while((u|0)<=(k|0));s=o}a:do if((s|0)<(i|0)){u=q+4|0;if(!m){t=q+8|0;D=s;while(1){C=h[(f[u>>2]|0)+D>>0]|0;v=C-(h[(f[q>>2]|0)+D>>0]|0)+256|0;if(v>>>0<769)$=h[277436+v>>0]|0;else $=0;b[p+D>>0]=C-$;v=C-(h[(f[t>>2]|0)+D>>0]|0)+256|0;if(v>>>0<769)aa=h[277436+v>>0]|0;else aa=0;b[p+(D+e)>>0]=C-aa;D=D+1|0;if((D|0)==(i|0))break a}}D=q+(j<<2)|0;t=s;do{w=b[(f[u>>2]|0)+t>>0]|0;x=2;while(1){y=w&255;z=y-(h[(f[q+(x<<2)>>2]|0)+t>>0]|0)+256|0;if(z>>>0<769)ba=h[277436+z>>0]|0;else ba=0;ca=y-ba|0;x=x+1|0;if((x|0)==(j|0))break;else w=ca&255}w=ca&255;x=w-(h[(f[q>>2]|0)+t>>0]|0)+256|0;if(x>>>0<769)da=h[277436+x>>0]|0;else da=0;b[p+t>>0]=ca-da;x=w-(h[(f[D>>2]|0)+t>>0]|0)+256|0;if(x>>>0<769)ea=h[277436+x>>0]|0;else ea=0;b[p+(t+e)>>0]=ca-ea;t=t+1|0}while((t|0)!=(i|0))}while(0);t=r+-2|0;D=p+n|0;u=q+8|0;if((t|0)>1){p=D;q=u;r=t}else{fa=D;ga=u;ha=t;break}}}else{fa=d;ga=c;ha=g}if((ha|0)<=0)return;g=i+-4|0;c=(i|0)<4;d=i&-4;r=ga;ga=ha;ha=fa;while(1){b:do if(c)ia=0;else{if(a)ja=0;else{fa=0;while(1){q=(f[r>>2]|0)+fa|0;p=b[q+1>>0]|0;n=b[q+2>>0]|0;ea=b[q+3>>0]|0;b[ha+fa>>0]=b[q>>0]|0;b[ha+(fa|1)>>0]=p;b[ha+(fa|2)>>0]=n;b[ha+(fa|3)>>0]=ea;fa=fa+4|0;if((fa|0)>(g|0)){ia=d;break b}}}do{fa=(f[r>>2]|0)+ja|0;ea=b[fa+3>>0]|0;n=b[fa+2>>0]|0;p=b[fa+1>>0]|0;q=b[fa>>0]|0;fa=1;do{ca=(f[r+(fa<<2)>>2]|0)+ja|0;da=q&255;ba=da-(h[ca>>0]|0)+256|0;if(ba>>>0<769)ka=h[277436+ba>>0]|0;else ka=0;q=da-ka&255;da=p&255;ba=da-(h[ca+1>>0]|0)+256|0;if(ba>>>0<769)la=h[277436+ba>>0]|0;else la=0;p=da-la&255;da=n&255;ba=da-(h[ca+2>>0]|0)+256|0;if(ba>>>0<769)ma=h[277436+ba>>0]|0;else ma=0;n=da-ma&255;da=ea&255;ba=da-(h[ca+3>>0]|0)+256|0;if(ba>>>0<769)na=h[277436+ba>>0]|0;else na=0;ea=da-na&255;fa=fa+1|0}while((fa|0)!=(j|0));b[ha+ja>>0]=q;b[ha+(ja|1)>>0]=p;b[ha+(ja|2)>>0]=n;b[ha+(ja|3)>>0]=ea;ja=ja+4|0}while((ja|0)<=(g|0));ia=d}while(0);c:do if((ia|0)<(i|0)){if(a)oa=ia;else{fa=ia;while(1){b[ha+fa>>0]=b[(f[r>>2]|0)+fa>>0]|0;fa=fa+1|0;if((fa|0)==(i|0))break c}}do{fa=b[(f[r>>2]|0)+oa>>0]|0;da=1;do{ba=fa&255;ca=ba-(h[(f[r+(da<<2)>>2]|0)+oa>>0]|0)+256|0;if(ca>>>0<769)pa=h[277436+ca>>0]|0;else pa=0;fa=ba-pa&255;da=da+1|0}while((da|0)!=(j|0));b[ha+oa>>0]=fa;oa=oa+1|0}while((oa|0)!=(i|0))}while(0);if((ga|0)>1){r=r+4|0;ga=ga+-1|0;ha=ha+e|0}else break}return}function aoa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;h=u;u=u+80|0;i=h;j=h+64|0;k=h+8|0;do if((pD(e)|0)==65536){l=f[e+4>>2]|0;f[k>>2]=f[l>>2];m=k+4|0;n=l+4|0;f[m>>2]=f[n>>2];o=k+8|0;f[o>>2]=f[l+8>>2];f[k+12>>2]=f[l+12>>2];f[k+16>>2]=f[l+16>>2];f[k+20>>2]=f[l+20>>2];f[k+24>>2]=f[l+24>>2];f[k+28>>2]=f[l+28>>2];f[k+32>>2]=f[l+32>>2];p=f[l+36>>2]|0;f[k+36>>2]=p;q=k+40|0;f[q>>2]=o;o=k+48|0;r=k+44|0;f[r>>2]=o;f[o>>2]=0;f[k+52>>2]=0;if(p|0){o=p+12|0;f[o>>2]=(f[o>>2]|0)+1}if((f[n>>2]|0)<3){n=f[l+44>>2]|0;o=f[r>>2]|0;f[o>>2]=f[n>>2];f[o+4>>2]=f[n+4>>2];s=q;break}else{f[m>>2]=0;kP(k,l);s=q;break}}else{lD(k,e,-1);s=k+40|0}while(0);e=d&7;q=f[g>>2]|0;l=g+4|0;m=f[l>>2]|0;n=f[s>>2]|0;o=f[n+4>>2]|0;r=f[n>>2]|0;n=(q|0)==-1?(o|0)/2|0:q;q=(m|0)==-1?(r|0)/2|0:m;if(!((n|0)>-1&(n|0)<(o|0))){f[j>>2]=0;t=j+4|0;f[t>>2]=0;v=YG(j,52)|0;w=v;x=281789;y=w+52|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,j,281842,281858,363)}if((q|0)<0|(q|0)>=(r|0)){f[j>>2]=0;t=j+4|0;f[t>>2]=0;v=YG(j,52)|0;w=v;x=281789;y=w+52|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,j,281842,281858,363)}f[g>>2]=n;f[l>>2]=q;if((c|1|0)!=1){f[j>>2]=0;f[j+4>>2]=0;w=YG(j,39)|0;x=278205;y=w+39|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,j,281932,278268,945)}x=(e|0)==0;a:do if(!c){if(x){e=Bmc(48)|0;f[j>>2]=n;f[j+4>>2]=q;boa(e,k,j);w=Bmc(16)|0;y=w+4|0;f[y>>2]=1;f[w>>2]=60664;f[w+8>>2]=e;f[a>>2]=w;f[a+4>>2]=e;f[y>>2]=(f[y>>2]|0)+1;e=f[y>>2]|0;f[y>>2]=e+-1;if((e|0)!=1)break;ai[f[(f[w>>2]|0)+8>>2]&2047](w);break}switch(d&7){case 2:{w=Bmc(48)|0;f[j>>2]=n;f[j+4>>2]=q;coa(w,k,j);e=Bmc(16)|0;y=e+4|0;f[y>>2]=1;f[e>>2]=60684;f[e+8>>2]=w;f[a>>2]=e;f[a+4>>2]=w;f[y>>2]=(f[y>>2]|0)+1;w=f[y>>2]|0;f[y>>2]=w+-1;if((w|0)!=1)break a;ai[f[(f[e>>2]|0)+8>>2]&2047](e);break a;break}case 3:{e=Bmc(48)|0;f[j>>2]=n;f[j+4>>2]=q;doa(e,k,j);w=Bmc(16)|0;y=w+4|0;f[y>>2]=1;f[w>>2]=60704;f[w+8>>2]=e;f[a>>2]=w;f[a+4>>2]=e;f[y>>2]=(f[y>>2]|0)+1;e=f[y>>2]|0;f[y>>2]=e+-1;if((e|0)!=1)break a;ai[f[(f[w>>2]|0)+8>>2]&2047](w);break a;break}case 5:{w=Bmc(48)|0;f[j>>2]=n;f[j+4>>2]=q;eoa(w,k,j);e=Bmc(16)|0;y=e+4|0;f[y>>2]=1;f[e>>2]=60724;f[e+8>>2]=w;f[a>>2]=e;f[a+4>>2]=w;f[y>>2]=(f[y>>2]|0)+1;w=f[y>>2]|0;f[y>>2]=w+-1;if((w|0)!=1)break a;ai[f[(f[e>>2]|0)+8>>2]&2047](e);break a;break}case 6:{e=Bmc(48)|0;f[j>>2]=n;f[j+4>>2]=q;foa(e,k,j);w=Bmc(16)|0;y=w+4|0;f[y>>2]=1;f[w>>2]=60744;f[w+8>>2]=e;f[a>>2]=w;f[a+4>>2]=e;f[y>>2]=(f[y>>2]|0)+1;e=f[y>>2]|0;f[y>>2]=e+-1;if((e|0)!=1)break a;ai[f[(f[w>>2]|0)+8>>2]&2047](w);break a;break}default:{f[i>>2]=d;aR(j,278335,i);SQ(-213,j,281932,278268,973)}}}else{if(x){w=Bmc(48)|0;f[j>>2]=n;f[j+4>>2]=q;goa(w,k,j);e=Bmc(16)|0;y=e+4|0;f[y>>2]=1;f[e>>2]=60764;f[e+8>>2]=w;f[a>>2]=e;f[a+4>>2]=w;f[y>>2]=(f[y>>2]|0)+1;w=f[y>>2]|0;f[y>>2]=w+-1;if((w|0)!=1)break;ai[f[(f[e>>2]|0)+8>>2]&2047](e);break}switch(d&7){case 2:{e=Bmc(48)|0;f[j>>2]=n;f[j+4>>2]=q;hoa(e,k,j);w=Bmc(16)|0;y=w+4|0;f[y>>2]=1;f[w>>2]=60784;f[w+8>>2]=e;f[a>>2]=w;f[a+4>>2]=e;f[y>>2]=(f[y>>2]|0)+1;e=f[y>>2]|0;f[y>>2]=e+-1;if((e|0)!=1)break a;ai[f[(f[w>>2]|0)+8>>2]&2047](w);break a;break}case 3:{w=Bmc(48)|0;f[j>>2]=n;f[j+4>>2]=q;ioa(w,k,j);e=Bmc(16)|0;y=e+4|0;f[y>>2]=1;f[e>>2]=60804;f[e+8>>2]=w;f[a>>2]=e;f[a+4>>2]=w;f[y>>2]=(f[y>>2]|0)+1;w=f[y>>2]|0;f[y>>2]=w+-1;if((w|0)!=1)break a;ai[f[(f[e>>2]|0)+8>>2]&2047](e);break a;break}case 5:{e=Bmc(48)|0;f[j>>2]=n;f[j+4>>2]=q;joa(e,k,j);w=Bmc(16)|0;y=w+4|0;f[y>>2]=1;f[w>>2]=60824;f[w+8>>2]=e;f[a>>2]=w;f[a+4>>2]=e;f[y>>2]=(f[y>>2]|0)+1;e=f[y>>2]|0;f[y>>2]=e+-1;if((e|0)!=1)break a;ai[f[(f[w>>2]|0)+8>>2]&2047](w);break a;break}case 6:{w=Bmc(48)|0;f[j>>2]=n;f[j+4>>2]=q;koa(w,k,j);e=Bmc(16)|0;y=e+4|0;f[y>>2]=1;f[e>>2]=60844;f[e+8>>2]=w;f[a>>2]=e;f[a+4>>2]=w;f[y>>2]=(f[y>>2]|0)+1;w=f[y>>2]|0;f[y>>2]=w+-1;if((w|0)!=1)break a;ai[f[(f[e>>2]|0)+8>>2]&2047](e);break a;break}default:{f[i>>2]=d;aR(j,278335,i);SQ(-213,j,281932,278268,973)}}}while(0);j=k+36|0;i=f[j>>2]|0;if(i|0?(d=i+12|0,i=f[d>>2]|0,f[d>>2]=i+-1,(i|0)==1):0)lP(k);f[j>>2]=0;j=k+16|0;i=k+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[i>>2]|0)>0){j=f[s>>2]|0;s=0;do{f[j+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[i>>2]|0))}i=f[k+44>>2]|0;if((i|0)==(k+48|0)){u=h;return}tE(i);u=h;return}function boa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e;Qba(a);f[a>>2]=61080;h=a+20|0;i=a+24|0;j=a+32|0;k=a+36|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;l=f[d>>2]|0;f[a+4>>2]=f[d+4>>2];f[a+8>>2]=l;if(f[c>>2]&4095|0){f[g>>2]=0;f[g+4>>2]=0;l=YG(g,23)|0;a=282054;d=l+23|0;do{b[l>>0]=b[a>>0]|0;l=l+1|0;a=a+1|0}while((l|0)<(d|0));SQ(-215,g,282078,278268,787)}f[g>>2]=0;a=g+4|0;f[a>>2]=0;f[g+8>>2]=0;Wfa(c,h,g);c=(f[i>>2]|0)-(f[h>>2]|0)>>3;h=f[k>>2]|0;i=f[j>>2]|0;l=h-i>>2;d=i;i=h;if(c>>>0<=l>>>0){if(c>>>0<l>>>0?(h=d+(c<<2)|0,(i|0)!=(h|0)):0)f[k>>2]=i+(~((i+-4-h|0)>>>2)<<2)}else l6(j,c-l|0);l=f[g>>2]|0;if(!l){u=e;return}if((f[a>>2]|0)!=(l|0))f[a>>2]=l;Emc(l);u=e;return}function coa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e;Qba(a);f[a>>2]=61056;h=a+20|0;i=a+24|0;j=a+32|0;k=a+36|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;l=f[d>>2]|0;f[a+4>>2]=f[d+4>>2];f[a+8>>2]=l;if(f[c>>2]&4095|0){f[g>>2]=0;f[g+4>>2]=0;l=YG(g,23)|0;a=282054;d=l+23|0;do{b[l>>0]=b[a>>0]|0;l=l+1|0;a=a+1|0}while((l|0)<(d|0));SQ(-215,g,282078,278268,787)}f[g>>2]=0;a=g+4|0;f[a>>2]=0;f[g+8>>2]=0;Wfa(c,h,g);c=(f[i>>2]|0)-(f[h>>2]|0)>>3;h=f[k>>2]|0;i=f[j>>2]|0;l=h-i>>2;d=i;i=h;if(c>>>0<=l>>>0){if(c>>>0<l>>>0?(h=d+(c<<2)|0,(i|0)!=(h|0)):0)f[k>>2]=i+(~((i+-4-h|0)>>>2)<<2)}else l6(j,c-l|0);l=f[g>>2]|0;if(!l){u=e;return}if((f[a>>2]|0)!=(l|0))f[a>>2]=l;Emc(l);u=e;return}function doa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e;Qba(a);f[a>>2]=61032;h=a+20|0;i=a+24|0;j=a+32|0;k=a+36|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;l=f[d>>2]|0;f[a+4>>2]=f[d+4>>2];f[a+8>>2]=l;if(f[c>>2]&4095|0){f[g>>2]=0;f[g+4>>2]=0;l=YG(g,23)|0;a=282054;d=l+23|0;do{b[l>>0]=b[a>>0]|0;l=l+1|0;a=a+1|0}while((l|0)<(d|0));SQ(-215,g,282078,278268,787)}f[g>>2]=0;a=g+4|0;f[a>>2]=0;f[g+8>>2]=0;Wfa(c,h,g);c=(f[i>>2]|0)-(f[h>>2]|0)>>3;h=f[k>>2]|0;i=f[j>>2]|0;l=h-i>>2;d=i;i=h;if(c>>>0<=l>>>0){if(c>>>0<l>>>0?(h=d+(c<<2)|0,(i|0)!=(h|0)):0)f[k>>2]=i+(~((i+-4-h|0)>>>2)<<2)}else l6(j,c-l|0);l=f[g>>2]|0;if(!l){u=e;return}if((f[a>>2]|0)!=(l|0))f[a>>2]=l;Emc(l);u=e;return}function eoa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e;Qba(a);f[a>>2]=61008;h=a+20|0;i=a+24|0;j=a+32|0;k=a+36|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;l=f[d>>2]|0;f[a+4>>2]=f[d+4>>2];f[a+8>>2]=l;if(f[c>>2]&4095|0){f[g>>2]=0;f[g+4>>2]=0;l=YG(g,23)|0;a=282054;d=l+23|0;do{b[l>>0]=b[a>>0]|0;l=l+1|0;a=a+1|0}while((l|0)<(d|0));SQ(-215,g,282078,278268,787)}f[g>>2]=0;a=g+4|0;f[a>>2]=0;f[g+8>>2]=0;Wfa(c,h,g);c=(f[i>>2]|0)-(f[h>>2]|0)>>3;h=f[k>>2]|0;i=f[j>>2]|0;l=h-i>>2;d=i;i=h;if(c>>>0<=l>>>0){if(c>>>0<l>>>0?(h=d+(c<<2)|0,(i|0)!=(h|0)):0)f[k>>2]=i+(~((i+-4-h|0)>>>2)<<2)}else l6(j,c-l|0);l=f[g>>2]|0;if(!l){u=e;return}if((f[a>>2]|0)!=(l|0))f[a>>2]=l;Emc(l);u=e;return}function foa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e;Qba(a);f[a>>2]=60984;h=a+20|0;i=a+24|0;j=a+32|0;k=a+36|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;l=f[d>>2]|0;f[a+4>>2]=f[d+4>>2];f[a+8>>2]=l;if(f[c>>2]&4095|0){f[g>>2]=0;f[g+4>>2]=0;l=YG(g,23)|0;a=282054;d=l+23|0;do{b[l>>0]=b[a>>0]|0;l=l+1|0;a=a+1|0}while((l|0)<(d|0));SQ(-215,g,282078,278268,787)}f[g>>2]=0;a=g+4|0;f[a>>2]=0;f[g+8>>2]=0;Wfa(c,h,g);c=(f[i>>2]|0)-(f[h>>2]|0)>>3;h=f[k>>2]|0;i=f[j>>2]|0;l=h-i>>2;d=i;i=h;if(c>>>0<=l>>>0){if(c>>>0<l>>>0?(h=d+(c<<2)|0,(i|0)!=(h|0)):0)f[k>>2]=i+(~((i+-4-h|0)>>>2)<<2)}else l6(j,c-l|0);l=f[g>>2]|0;if(!l){u=e;return}if((f[a>>2]|0)!=(l|0))f[a>>2]=l;Emc(l);u=e;return}function goa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e;Qba(a);f[a>>2]=60960;h=a+20|0;i=a+24|0;j=a+32|0;k=a+36|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;l=f[d>>2]|0;f[a+4>>2]=f[d+4>>2];f[a+8>>2]=l;if(f[c>>2]&4095|0){f[g>>2]=0;f[g+4>>2]=0;l=YG(g,23)|0;a=282054;d=l+23|0;do{b[l>>0]=b[a>>0]|0;l=l+1|0;a=a+1|0}while((l|0)<(d|0));SQ(-215,g,282078,278268,787)}f[g>>2]=0;a=g+4|0;f[a>>2]=0;f[g+8>>2]=0;Wfa(c,h,g);c=(f[i>>2]|0)-(f[h>>2]|0)>>3;h=f[k>>2]|0;i=f[j>>2]|0;l=h-i>>2;d=i;i=h;if(c>>>0<=l>>>0){if(c>>>0<l>>>0?(h=d+(c<<2)|0,(i|0)!=(h|0)):0)f[k>>2]=i+(~((i+-4-h|0)>>>2)<<2)}else l6(j,c-l|0);l=f[g>>2]|0;if(!l){u=e;return}if((f[a>>2]|0)!=(l|0))f[a>>2]=l;Emc(l);u=e;return}function hoa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e;Qba(a);f[a>>2]=60936;h=a+20|0;i=a+24|0;j=a+32|0;k=a+36|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;l=f[d>>2]|0;f[a+4>>2]=f[d+4>>2];f[a+8>>2]=l;if(f[c>>2]&4095|0){f[g>>2]=0;f[g+4>>2]=0;l=YG(g,23)|0;a=282054;d=l+23|0;do{b[l>>0]=b[a>>0]|0;l=l+1|0;a=a+1|0}while((l|0)<(d|0));SQ(-215,g,282078,278268,787)}f[g>>2]=0;a=g+4|0;f[a>>2]=0;f[g+8>>2]=0;Wfa(c,h,g);c=(f[i>>2]|0)-(f[h>>2]|0)>>3;h=f[k>>2]|0;i=f[j>>2]|0;l=h-i>>2;d=i;i=h;if(c>>>0<=l>>>0){if(c>>>0<l>>>0?(h=d+(c<<2)|0,(i|0)!=(h|0)):0)f[k>>2]=i+(~((i+-4-h|0)>>>2)<<2)}else l6(j,c-l|0);l=f[g>>2]|0;if(!l){u=e;return}if((f[a>>2]|0)!=(l|0))f[a>>2]=l;Emc(l);u=e;return}function ioa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e;Qba(a);f[a>>2]=60912;h=a+20|0;i=a+24|0;j=a+32|0;k=a+36|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;l=f[d>>2]|0;f[a+4>>2]=f[d+4>>2];f[a+8>>2]=l;if(f[c>>2]&4095|0){f[g>>2]=0;f[g+4>>2]=0;l=YG(g,23)|0;a=282054;d=l+23|0;do{b[l>>0]=b[a>>0]|0;l=l+1|0;a=a+1|0}while((l|0)<(d|0));SQ(-215,g,282078,278268,787)}f[g>>2]=0;a=g+4|0;f[a>>2]=0;f[g+8>>2]=0;Wfa(c,h,g);c=(f[i>>2]|0)-(f[h>>2]|0)>>3;h=f[k>>2]|0;i=f[j>>2]|0;l=h-i>>2;d=i;i=h;if(c>>>0<=l>>>0){if(c>>>0<l>>>0?(h=d+(c<<2)|0,(i|0)!=(h|0)):0)f[k>>2]=i+(~((i+-4-h|0)>>>2)<<2)}else l6(j,c-l|0);l=f[g>>2]|0;if(!l){u=e;return}if((f[a>>2]|0)!=(l|0))f[a>>2]=l;Emc(l);u=e;return}function joa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e;Qba(a);f[a>>2]=60888;h=a+20|0;i=a+24|0;j=a+32|0;k=a+36|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;l=f[d>>2]|0;f[a+4>>2]=f[d+4>>2];f[a+8>>2]=l;if(f[c>>2]&4095|0){f[g>>2]=0;f[g+4>>2]=0;l=YG(g,23)|0;a=282054;d=l+23|0;do{b[l>>0]=b[a>>0]|0;l=l+1|0;a=a+1|0}while((l|0)<(d|0));SQ(-215,g,282078,278268,787)}f[g>>2]=0;a=g+4|0;f[a>>2]=0;f[g+8>>2]=0;Wfa(c,h,g);c=(f[i>>2]|0)-(f[h>>2]|0)>>3;h=f[k>>2]|0;i=f[j>>2]|0;l=h-i>>2;d=i;i=h;if(c>>>0<=l>>>0){if(c>>>0<l>>>0?(h=d+(c<<2)|0,(i|0)!=(h|0)):0)f[k>>2]=i+(~((i+-4-h|0)>>>2)<<2)}else l6(j,c-l|0);l=f[g>>2]|0;if(!l){u=e;return}if((f[a>>2]|0)!=(l|0))f[a>>2]=l;Emc(l);u=e;return}function koa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e;Qba(a);f[a>>2]=60864;h=a+20|0;i=a+24|0;j=a+32|0;k=a+36|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[a+12>>2]=f[d>>2];f[a+16>>2]=f[d+4>>2];d=f[c+40>>2]|0;l=f[d>>2]|0;f[a+4>>2]=f[d+4>>2];f[a+8>>2]=l;if(f[c>>2]&4095|0){f[g>>2]=0;f[g+4>>2]=0;l=YG(g,23)|0;a=282054;d=l+23|0;do{b[l>>0]=b[a>>0]|0;l=l+1|0;a=a+1|0}while((l|0)<(d|0));SQ(-215,g,282078,278268,787)}f[g>>2]=0;a=g+4|0;f[a>>2]=0;f[g+8>>2]=0;Wfa(c,h,g);c=(f[i>>2]|0)-(f[h>>2]|0)>>3;h=f[k>>2]|0;i=f[j>>2]|0;l=h-i>>2;d=i;i=h;if(c>>>0<=l>>>0){if(c>>>0<l>>>0?(h=d+(c<<2)|0,(i|0)!=(h|0)):0)f[k>>2]=i+(~((i+-4-h|0)>>>2)<<2)}else l6(j,c-l|0);l=f[g>>2]|0;if(!l){u=e;return}if((f[a>>2]|0)!=(l|0))f[a>>2]=l;Emc(l);u=e;return}function loa(a){a=a|0;Emc(a);return}function moa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function noa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=60864;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+20>>2]|0;if(!b){Fba(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);Emc(b);Fba(a);return}function ooa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=60864;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+20>>2]|0;if(!b){Fba(a);Emc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);Emc(b);Fba(a);Emc(a);return}function poa(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0,B=0.0;i=f[a+20>>2]|0;j=f[a+32>>2]|0;k=(f[a+24>>2]|0)-i|0;a=k>>3;l=Y(h,g)|0;if((e|0)<=0)return;g=(k|0)>0;m=l+-4|0;n=(l|0)<4;o=(k|0)>8;k=l&-4;q=e;e=b;b=c;while(1){if(g){c=0;do{r=(f[e+(f[i+(c<<3)+4>>2]<<2)>>2]|0)+((Y(f[i+(c<<3)>>2]|0,h)|0)<<3)|0;f[j+(c<<2)>>2]=r;c=c+1|0}while((c|0)<(a|0))}a:do if(n)s=0;else{c=f[j>>2]|0;if(o)t=0;else{r=0;while(1){u=c+(r<<3)|0;v=+p[u+8>>3];w=+p[u+16>>3];x=+p[u+24>>3];p[b+(r<<3)>>3]=+p[u>>3];p[b+((r|1)<<3)>>3]=v;p[b+((r|2)<<3)>>3]=w;p[b+((r|3)<<3)>>3]=x;r=r+4|0;if((r|0)>(m|0)){s=k;break a}}}do{r=c+(t<<3)|0;x=+p[r+24>>3];w=+p[r+16>>3];v=+p[r+8>>3];y=+p[r>>3];r=1;do{u=(f[j+(r<<2)>>2]|0)+(t<<3)|0;z=+p[u>>3];y=y<z?z:y;z=+p[u+8>>3];v=v<z?z:v;z=+p[u+16>>3];w=w<z?z:w;z=+p[u+24>>3];x=x<z?z:x;r=r+1|0}while((r|0)<(a|0));p[b+(t<<3)>>3]=y;p[b+((t|1)<<3)>>3]=v;p[b+((t|2)<<3)>>3]=w;p[b+((t|3)<<3)>>3]=x;t=t+4|0}while((t|0)<=(m|0));s=k}while(0);b:do if((s|0)<(l|0)){c=f[j>>2]|0;if(o)A=s;else{r=s;while(1){p[b+(r<<3)>>3]=+p[c+(r<<3)>>3];r=r+1|0;if((r|0)==(l|0))break b}}do{z=+p[c+(A<<3)>>3];r=1;do{B=+p[(f[j+(r<<2)>>2]|0)+(A<<3)>>3];z=z<B?B:z;r=r+1|0}while((r|0)<(a|0));p[b+(A<<3)>>3]=z;A=A+1|0}while((A|0)!=(l|0))}while(0);if((q|0)>1){q=q+-1|0;e=e+4|0;b=b+d|0}else break}return}function qoa(a){a=a|0;Emc(a);return}function roa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function soa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=60888;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+20>>2]|0;if(!b){Fba(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);Emc(b);Fba(a);return}function toa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=60888;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+20>>2]|0;if(!b){Fba(a);Emc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);Emc(b);Fba(a);Emc(a);return}function uoa(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0,E=0.0;i=f[a+20>>2]|0;j=f[a+32>>2]|0;k=(f[a+24>>2]|0)-i|0;a=k>>3;l=Y(h,g)|0;if((e|0)<=0)return;g=(k|0)>0;m=l+-4|0;o=(l|0)<4;p=(k|0)>8;k=l&-4;q=e;e=b;b=c;while(1){if(g){c=0;do{r=(f[e+(f[i+(c<<3)+4>>2]<<2)>>2]|0)+((Y(f[i+(c<<3)>>2]|0,h)|0)<<2)|0;f[j+(c<<2)>>2]=r;c=c+1|0}while((c|0)<(a|0))}a:do if(o)s=0;else{c=f[j>>2]|0;if(p)t=0;else{r=0;while(1){u=c+(r<<2)|0;v=f[u+4>>2]|0;w=f[u+8>>2]|0;x=f[u+12>>2]|0;f[b+(r<<2)>>2]=f[u>>2];f[b+((r|1)<<2)>>2]=v;f[b+((r|2)<<2)>>2]=w;f[b+((r|3)<<2)>>2]=x;r=r+4|0;if((r|0)>(m|0)){s=k;break a}}}do{r=c+(t<<2)|0;y=+n[r+12>>2];z=+n[r+8>>2];A=+n[r+4>>2];B=+n[r>>2];r=1;do{x=(f[j+(r<<2)>>2]|0)+(t<<2)|0;C=+n[x>>2];B=B<C?C:B;C=+n[x+4>>2];A=A<C?C:A;C=+n[x+8>>2];z=z<C?C:z;C=+n[x+12>>2];y=y<C?C:y;r=r+1|0}while((r|0)<(a|0));n[b+(t<<2)>>2]=B;n[b+((t|1)<<2)>>2]=A;n[b+((t|2)<<2)>>2]=z;n[b+((t|3)<<2)>>2]=y;t=t+4|0}while((t|0)<=(m|0));s=k}while(0);b:do if((s|0)<(l|0)){c=f[j>>2]|0;if(p)D=s;else{r=s;while(1){f[b+(r<<2)>>2]=f[c+(r<<2)>>2];r=r+1|0;if((r|0)==(l|0))break b}}do{C=+n[c+(D<<2)>>2];r=1;do{E=+n[(f[j+(r<<2)>>2]|0)+(D<<2)>>2];C=C<E?E:C;r=r+1|0}while((r|0)<(a|0));n[b+(D<<2)>>2]=C;D=D+1|0}while((D|0)!=(l|0))}while(0);if((q|0)>1){q=q+-1|0;e=e+4|0;b=b+d|0}else break}return}function voa(a){a=a|0;Emc(a);return}function woa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function xoa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=60912;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+20>>2]|0;if(!b){Fba(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);Emc(b);Fba(a);return}function yoa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=60912;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+20>>2]|0;if(!b){Fba(a);Emc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);Emc(b);Fba(a);Emc(a);return}function zoa(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;j=f[a+20>>2]|0;k=f[a+32>>2]|0;l=(f[a+24>>2]|0)-j|0;a=l>>3;m=Y(i,h)|0;if((g|0)<=0)return;h=(l|0)>0;n=m+-4|0;o=(m|0)<4;p=(l|0)>8;l=m&-4;q=g;g=b;b=c;while(1){if(h){c=0;do{r=(f[g+(f[j+(c<<3)+4>>2]<<2)>>2]|0)+((Y(f[j+(c<<3)>>2]|0,i)|0)<<1)|0;f[k+(c<<2)>>2]=r;c=c+1|0}while((c|0)<(a|0))}a:do if(o)s=0;else{c=f[k>>2]|0;if(p)t=0;else{r=0;while(1){u=c+(r<<1)|0;v=d[u+2>>1]|0;w=d[u+4>>1]|0;x=d[u+6>>1]|0;d[b+(r<<1)>>1]=d[u>>1]|0;d[b+((r|1)<<1)>>1]=v;d[b+((r|2)<<1)>>1]=w;d[b+((r|3)<<1)>>1]=x;r=r+4|0;if((r|0)>(n|0)){s=l;break a}}}do{r=c+(t<<1)|0;x=d[r+6>>1]|0;w=d[r+4>>1]|0;v=d[r+2>>1]|0;u=d[r>>1]|0;r=1;do{y=(f[k+(r<<2)>>2]|0)+(t<<1)|0;z=d[y>>1]|0;u=u<<16>>16<z<<16>>16?z:u;z=d[y+2>>1]|0;v=v<<16>>16<z<<16>>16?z:v;z=d[y+4>>1]|0;w=w<<16>>16<z<<16>>16?z:w;z=d[y+6>>1]|0;x=x<<16>>16<z<<16>>16?z:x;r=r+1|0}while((r|0)<(a|0));d[b+(t<<1)>>1]=u;d[b+((t|1)<<1)>>1]=v;d[b+((t|2)<<1)>>1]=w;d[b+((t|3)<<1)>>1]=x;t=t+4|0}while((t|0)<=(n|0));s=l}while(0);b:do if((s|0)<(m|0)){c=f[k>>2]|0;if(p)A=s;else{r=s;while(1){d[b+(r<<1)>>1]=d[c+(r<<1)>>1]|0;r=r+1|0;if((r|0)==(m|0))break b}}do{r=d[c+(A<<1)>>1]|0;z=1;do{y=d[(f[k+(z<<2)>>2]|0)+(A<<1)>>1]|0;r=r<<16>>16<y<<16>>16?y:r;z=z+1|0}while((z|0)<(a|0));d[b+(A<<1)>>1]=r;A=A+1|0}while((A|0)!=(m|0))}while(0);if((q|0)>1){q=q+-1|0;g=g+4|0;b=b+e|0}else break}return}function Aoa(a){a=a|0;Emc(a);return}function Boa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Coa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=60936;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+20>>2]|0;if(!b){Fba(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);Emc(b);Fba(a);return}function Doa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=60936;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+20>>2]|0;if(!b){Fba(a);Emc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);Emc(b);Fba(a);Emc(a);return}function Eoa(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;j=f[a+20>>2]|0;k=f[a+32>>2]|0;l=(f[a+24>>2]|0)-j|0;a=l>>3;m=Y(i,h)|0;if((g|0)<=0)return;h=(l|0)>0;n=m+-4|0;o=(m|0)<4;p=(l|0)>8;l=m&-4;q=g;g=b;b=c;while(1){if(h){c=0;do{r=(f[g+(f[j+(c<<3)+4>>2]<<2)>>2]|0)+((Y(f[j+(c<<3)>>2]|0,i)|0)<<1)|0;f[k+(c<<2)>>2]=r;c=c+1|0}while((c|0)<(a|0))}a:do if(o)s=0;else{c=f[k>>2]|0;if(p)t=0;else{r=0;while(1){u=c+(r<<1)|0;v=d[u+2>>1]|0;w=d[u+4>>1]|0;x=d[u+6>>1]|0;d[b+(r<<1)>>1]=d[u>>1]|0;d[b+((r|1)<<1)>>1]=v;d[b+((r|2)<<1)>>1]=w;d[b+((r|3)<<1)>>1]=x;r=r+4|0;if((r|0)>(n|0)){s=l;break a}}}do{r=c+(t<<1)|0;x=d[r+6>>1]|0;w=d[r+4>>1]|0;v=d[r+2>>1]|0;u=d[r>>1]|0;r=1;do{y=(f[k+(r<<2)>>2]|0)+(t<<1)|0;z=d[y>>1]|0;u=(u&65535)<(z&65535)?z:u;z=d[y+2>>1]|0;v=(v&65535)<(z&65535)?z:v;z=d[y+4>>1]|0;w=(w&65535)<(z&65535)?z:w;z=d[y+6>>1]|0;x=(x&65535)<(z&65535)?z:x;r=r+1|0}while((r|0)<(a|0));d[b+(t<<1)>>1]=u;d[b+((t|1)<<1)>>1]=v;d[b+((t|2)<<1)>>1]=w;d[b+((t|3)<<1)>>1]=x;t=t+4|0}while((t|0)<=(n|0));s=l}while(0);b:do if((s|0)<(m|0)){c=f[k>>2]|0;if(p)A=s;else{r=s;while(1){d[b+(r<<1)>>1]=d[c+(r<<1)>>1]|0;r=r+1|0;if((r|0)==(m|0))break b}}do{r=d[c+(A<<1)>>1]|0;z=1;do{y=d[(f[k+(z<<2)>>2]|0)+(A<<1)>>1]|0;r=(r&65535)<(y&65535)?y:r;z=z+1|0}while((z|0)<(a|0));d[b+(A<<1)>>1]=r;A=A+1|0}while((A|0)!=(m|0))}while(0);if((q|0)>1){q=q+-1|0;g=g+4|0;b=b+e|0}else break}return}function Foa(a){a=a|0;Emc(a);return}function Goa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Hoa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=60960;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+20>>2]|0;if(!b){Fba(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);Emc(b);Fba(a);return}function Ioa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=60960;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+20>>2]|0;if(!b){Fba(a);Emc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);Emc(b);Fba(a);Emc(a);return}function Joa(a,c,d,e,g,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;k=f[a+20>>2]|0;l=f[a+32>>2]|0;m=(f[a+24>>2]|0)-k|0;a=m>>3;n=Y(j,i)|0;if((g|0)<=0)return;i=(m|0)>0;o=n+-4|0;p=(n|0)<4;q=(m|0)>8;m=n&-4;r=c;c=d;d=g;while(1){if(i){g=0;do{s=(f[r+(f[k+(g<<3)+4>>2]<<2)>>2]|0)+(Y(f[k+(g<<3)>>2]|0,j)|0)|0;f[l+(g<<2)>>2]=s;g=g+1|0}while((g|0)<(a|0))}a:do if(p)t=0;else{if(q)u=0;else{g=0;while(1){s=(f[l>>2]|0)+g|0;v=b[s+1>>0]|0;w=b[s+2>>0]|0;x=b[s+3>>0]|0;b[c+g>>0]=b[s>>0]|0;b[c+(g|1)>>0]=v;b[c+(g|2)>>0]=w;b[c+(g|3)>>0]=x;g=g+4|0;if((g|0)>(o|0)){t=m;break a}}}do{g=(f[l>>2]|0)+u|0;x=b[g+3>>0]|0;w=b[g+2>>0]|0;v=b[g+1>>0]|0;s=b[g>>0]|0;g=1;do{y=(f[l+(g<<2)>>2]|0)+u|0;z=s&255;A=(h[y>>0]|0)-z+256|0;if(A>>>0<769)B=h[277436+A>>0]|0;else B=0;s=B+z&255;z=v&255;A=(h[y+1>>0]|0)-z+256|0;if(A>>>0<769)C=h[277436+A>>0]|0;else C=0;v=C+z&255;z=w&255;A=(h[y+2>>0]|0)-z+256|0;if(A>>>0<769)D=h[277436+A>>0]|0;else D=0;w=D+z&255;z=x&255;A=(h[y+3>>0]|0)-z+256|0;if(A>>>0<769)E=h[277436+A>>0]|0;else E=0;x=E+z&255;g=g+1|0}while((g|0)<(a|0));b[c+u>>0]=s;b[c+(u|1)>>0]=v;b[c+(u|2)>>0]=w;b[c+(u|3)>>0]=x;u=u+4|0}while((u|0)<=(o|0));t=m}while(0);b:do if((t|0)<(n|0)){if(q)F=t;else{g=t;while(1){b[c+g>>0]=b[(f[l>>2]|0)+g>>0]|0;g=g+1|0;if((g|0)==(n|0))break b}}do{g=b[(f[l>>2]|0)+F>>0]|0;z=1;do{A=g&255;y=(h[(f[l+(z<<2)>>2]|0)+F>>0]|0)-A+256|0;if(y>>>0<769)G=h[277436+y>>0]|0;else G=0;g=G+A&255;z=z+1|0}while((z|0)<(a|0));b[c+F>>0]=g;F=F+1|0}while((F|0)!=(n|0))}while(0);if((d|0)>1){r=r+4|0;c=c+e|0;d=d+-1|0}else break}return}function Koa(a){a=a|0;Emc(a);return}function Loa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Moa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=60984;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+20>>2]|0;if(!b){Fba(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);Emc(b);Fba(a);return}function Noa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=60984;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+20>>2]|0;if(!b){Fba(a);Emc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);Emc(b);Fba(a);Emc(a);return}function Ooa(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0,B=0.0;i=f[a+20>>2]|0;j=f[a+32>>2]|0;k=(f[a+24>>2]|0)-i|0;a=k>>3;l=Y(h,g)|0;if((e|0)<=0)return;g=(k|0)>0;m=l+-4|0;n=(l|0)<4;o=(k|0)>8;k=l&-4;q=e;e=b;b=c;while(1){if(g){c=0;do{r=(f[e+(f[i+(c<<3)+4>>2]<<2)>>2]|0)+((Y(f[i+(c<<3)>>2]|0,h)|0)<<3)|0;f[j+(c<<2)>>2]=r;c=c+1|0}while((c|0)<(a|0))}a:do if(n)s=0;else{c=f[j>>2]|0;if(o)t=0;else{r=0;while(1){u=c+(r<<3)|0;v=+p[u+8>>3];w=+p[u+16>>3];x=+p[u+24>>3];p[b+(r<<3)>>3]=+p[u>>3];p[b+((r|1)<<3)>>3]=v;p[b+((r|2)<<3)>>3]=w;p[b+((r|3)<<3)>>3]=x;r=r+4|0;if((r|0)>(m|0)){s=k;break a}}}do{r=c+(t<<3)|0;x=+p[r+24>>3];w=+p[r+16>>3];v=+p[r+8>>3];y=+p[r>>3];r=1;do{u=(f[j+(r<<2)>>2]|0)+(t<<3)|0;z=+p[u>>3];y=z<y?z:y;z=+p[u+8>>3];v=z<v?z:v;z=+p[u+16>>3];w=z<w?z:w;z=+p[u+24>>3];x=z<x?z:x;r=r+1|0}while((r|0)<(a|0));p[b+(t<<3)>>3]=y;p[b+((t|1)<<3)>>3]=v;p[b+((t|2)<<3)>>3]=w;p[b+((t|3)<<3)>>3]=x;t=t+4|0}while((t|0)<=(m|0));s=k}while(0);b:do if((s|0)<(l|0)){c=f[j>>2]|0;if(o)A=s;else{r=s;while(1){p[b+(r<<3)>>3]=+p[c+(r<<3)>>3];r=r+1|0;if((r|0)==(l|0))break b}}do{z=+p[c+(A<<3)>>3];r=1;do{B=+p[(f[j+(r<<2)>>2]|0)+(A<<3)>>3];z=B<z?B:z;r=r+1|0}while((r|0)<(a|0));p[b+(A<<3)>>3]=z;A=A+1|0}while((A|0)!=(l|0))}while(0);if((q|0)>1){q=q+-1|0;e=e+4|0;b=b+d|0}else break}return}function Poa(a){a=a|0;Emc(a);return}function Qoa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Roa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=61008;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+20>>2]|0;if(!b){Fba(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);Emc(b);Fba(a);return}function Soa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=61008;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+20>>2]|0;if(!b){Fba(a);Emc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);Emc(b);Fba(a);Emc(a);return}
function BXa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,19496,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}d=f[c+8>>2]|0;if(!(d&3))return;if(d&1|0)f[a+16>>2]=f[c+16>>2];if(d&2|0)f[a+20>>2]=f[c+20>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function CXa(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function DXa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533984;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function EXa(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function FXa(a){a=a|0;var b=0,c=0;f[a>>2]=123436;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function GXa(a){a=a|0;var b=0,c=0;f[a>>2]=123436;b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function HXa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function IXa(a,b){a=a|0;b=b|0;a=Bmc(20)|0;qWa(a);if(!b)return a|0;UXa(b,a);return a|0}function JXa(a){a=a|0;var b=0;f[a+16>>2]=0;f[a+8>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function KXa(a){a=a|0;return 1}function LXa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=c+4|0;e=a+8|0;g=a+16|0;h=a+4|0;while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){i=b[a>>0]|0;j=i&255;if(i<<24>>24>0){f[c>>2]=a+1;k=j;l=6}else{m=j;l=5}}else{m=0;l=5}if((l|0)==5){l=0;j=xCb(c,m)|0;if((j+-1|0)>>>0<127){k=j;l=6}else n=j}if((l|0)==6){l=0;if((k|0)==8){j=f[c>>2]|0;if(j>>>0<(f[d>>2]|0)>>>0){a=b[j>>0]|0;i=a&255;if(a<<24>>24>-1){f[c>>2]=j+1;o=i}else{p=i;l=10}}else{p=0;l=10}if((l|0)==10){l=0;i=iCb(c,p)|0;j=J;if((j|0)>-1|(j|0)==-1&i>>>0>4294967295)o=i;else{q=0;l=22;break}}if(o>>>0<3){f[e>>2]=f[e>>2]|1;f[g>>2]=o;continue}i=f[h>>2]|0;if(!(i&1))r=AHa(h)|0;else r=i&-2;R3b(r,1,o,((o|0)<0)<<31>>31);continue}else n=k}if(!n){q=1;l=22;break}i=f[h>>2]|0;if(!(i&1))s=AHa(h)|0;else s=i&-2;if(!(b4b(c,n,s)|0)){q=0;l=22;break}}if((l|0)==22)return q|0;return 0}function MXa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;if(!(f[a+8>>2]&1)){d=c;e=a+12|0;f[e>>2]=d;return d|0}b=f[a+16>>2]|0;if((b|0)<0)g=11;else g=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;d=g+c|0;e=a+12|0;f[e>>2]=d;return d|0}function NXa(a,b){a=a|0;b=b|0;var c=0;if(f[a+8>>2]&1|0)zEb(1,f[a+16>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function OXa(a){a=a|0;return f[a+12>>2]|0}function PXa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(!(f[a+8>>2]&1))e=d;else{c=f[a+16>>2]|0;b[d>>0]=8;g=d+1|0;d=c&255;if(c>>>0>127){h=g;i=d;j=c;k=((c|0)<0)<<31>>31;while(1){b[h>>0]=i|-128;c=j;j=Irc(j|0,k|0,7)|0;l=h+1|0;m=j&255;if(!(k>>>0>0|(k|0)==0&c>>>0>16383)){n=l;o=m;break}else{h=l;i=m;k=J}}}else{n=g;o=d}b[n>>0]=o;e=n+1|0}n=f[a+4>>2]|0;if(!(n&1)){p=e;return p|0}p=f4b(n&-2,e)|0;return p|0}function QXa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function RXa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,19512,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}if(!(f[c+8>>2]&1))return;d=f[c+16>>2]|0;c=a+8|0;f[c>>2]=f[c>>2]|1;f[a+16>>2]=d;return}function SXa(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function TXa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533968;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function UXa(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function VXa(a){a=a|0;var b=0,c=0;f[a>>2]=123544;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function WXa(a){a=a|0;var b=0,c=0;f[a>>2]=123544;b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function XXa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function YXa(a,b){a=a|0;b=b|0;a=Bmc(20)|0;pWa(a);if(!b)return a|0;iYa(b,a);return a|0}function ZXa(a){a=a|0;var b=0;f[a+16>>2]=0;f[a+8>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function _Xa(a){a=a|0;return 1}function $Xa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=c+4|0;e=a+8|0;g=a+16|0;h=a+4|0;while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){i=b[a>>0]|0;j=i&255;if(i<<24>>24>0){f[c>>2]=a+1;k=j;l=6}else{m=j;l=5}}else{m=0;l=5}if((l|0)==5){l=0;j=xCb(c,m)|0;if((j+-1|0)>>>0<127){k=j;l=6}else n=j}if((l|0)==6){l=0;if((k|0)==8){j=f[c>>2]|0;if(j>>>0<(f[d>>2]|0)>>>0){a=b[j>>0]|0;i=a&255;if(a<<24>>24>-1){f[c>>2]=j+1;o=i}else{p=i;l=10}}else{p=0;l=10}if((l|0)==10){l=0;i=iCb(c,p)|0;j=J;if((j|0)>-1|(j|0)==-1&i>>>0>4294967295)o=i;else{q=0;l=22;break}}if(o>>>0<3){f[e>>2]=f[e>>2]|1;f[g>>2]=o;continue}i=f[h>>2]|0;if(!(i&1))r=AHa(h)|0;else r=i&-2;R3b(r,1,o,((o|0)<0)<<31>>31);continue}else n=k}if(!n){q=1;l=22;break}i=f[h>>2]|0;if(!(i&1))s=AHa(h)|0;else s=i&-2;if(!(b4b(c,n,s)|0)){q=0;l=22;break}}if((l|0)==22)return q|0;return 0}function aYa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;if(!(f[a+8>>2]&1)){d=c;e=a+12|0;f[e>>2]=d;return d|0}b=f[a+16>>2]|0;if((b|0)<0)g=11;else g=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;d=g+c|0;e=a+12|0;f[e>>2]=d;return d|0}function bYa(a,b){a=a|0;b=b|0;var c=0;if(f[a+8>>2]&1|0)zEb(1,f[a+16>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function cYa(a){a=a|0;return f[a+12>>2]|0}function dYa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(!(f[a+8>>2]&1))e=d;else{c=f[a+16>>2]|0;b[d>>0]=8;g=d+1|0;d=c&255;if(c>>>0>127){h=g;i=d;j=c;k=((c|0)<0)<<31>>31;while(1){b[h>>0]=i|-128;c=j;j=Irc(j|0,k|0,7)|0;l=h+1|0;m=j&255;if(!(k>>>0>0|(k|0)==0&c>>>0>16383)){n=l;o=m;break}else{h=l;i=m;k=J}}}else{n=g;o=d}b[n>>0]=o;e=n+1|0}n=f[a+4>>2]|0;if(!(n&1)){p=e;return p|0}p=f4b(n&-2,e)|0;return p|0}function eYa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function fYa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,19528,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}if(!(f[c+8>>2]&1))return;d=f[c+16>>2]|0;c=a+8|0;f[c>>2]=f[c>>2]|1;f[a+16>>2]=d;return}function gYa(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function hYa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533992;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function iYa(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function jYa(a){a=a|0;var c=0,d=0;f[a>>2]=123652;c=f[a+28>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+24>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(d);f[c>>2]=0;return}function kYa(a){a=a|0;jYa(a);Emc(a);return}function lYa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function mYa(a,b){a=a|0;b=b|0;a=Bmc(44)|0;nWa(a);if(!b)return a|0;yYa(b,a);return a|0}function nYa(a){a=a|0;var c=0,e=0,g=0,h=0;f[a+16>>2]=0;c=a+8|0;e=f[c>>2]|0;do if(e&1|0){g=f[a+28>>2]|0;h=g+11|0;if((b[h>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[h>>0]=0;break}}while(0);if(e&62|0){e=a+32|0;f[e>>2]=0;d[e+4>>1]=0;b[e+6>>0]=0;n[a+40>>2]=1.0}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function oYa(a){a=a|0;return 1}function pYa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+40|0;k=a+36|0;l=e+8|0;m=a+32|0;n=a+28|0;o=a+16|0;p=a+20|0;q=a+24|0;r=a+37|0;s=e+8|0;t=a+38|0;v=e+8|0;w=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){x=b[a>>0]|0;y=x&255;if(x<<24>>24>0){f[c>>2]=a+1;z=y;A=6}else{B=y;A=5}}else{B=0;A=5}if((A|0)==5){A=0;y=xCb(c,B)|0;if((y+-1|0)>>>0<127){z=y;A=6}else C=y}b:do if((A|0)==6){A=0;switch(z>>>3&536870911|0){case 1:{if((z&255|0)!=13){C=z;break b}f[i>>2]=f[i>>2]|32;y=f[c>>2]|0;if(((f[g>>2]|0)-y|0)>3){a=y;x=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=x;f[c>>2]=y+4;D=x}else{if(!(uCb(c,e)|0)){A=13;break a}D=f[e>>2]|0}f[j>>2]=D;continue a;break}case 2:{if((z&255|0)!=16){C=z;break b}f[i>>2]=f[i>>2]|4;x=f[c>>2]|0;if(x>>>0<(f[g>>2]|0)>>>0?(y=b[x>>0]|0,y<<24>>24>-1):0){f[c>>2]=x+1;E=y<<24>>24!=0}else{jCb(e,c);y=e;if(!(b[l>>0]|0)){F=0;A=63;break a}else E=(f[y>>2]|0)!=0|(f[y+4>>2]|0)!=0}b[k>>0]=E&1;continue a;break}case 3:{if((z&255|0)!=24){C=z;break b}f[i>>2]=f[i>>2]|2;y=f[c>>2]|0;if(y>>>0<(f[g>>2]|0)>>>0){x=b[y>>0]|0;a=x&255;if(x<<24>>24>-1){f[m>>2]=a;f[c>>2]=y+1;continue a}else G=a}else G=0;a=iCb(c,G)|0;y=J;f[m>>2]=a;if((y|0)>-1|(y|0)==-1&a>>>0>4294967295)continue a;else{F=0;A=63;break a}break}case 4:{if((z&255|0)!=34){C=z;break b}f[i>>2]=f[i>>2]|1;a=f[n>>2]|0;if((a|0)==535416){aFa(n,535416);H=f[n>>2]|0}else H=a;if(HEb(c,H)|0)continue a;else{F=0;A=63;break a}break}case 5:{switch((z&255)<<24>>24){case 45:break;case 42:{if(XSa(c,o)|0)continue a;else{F=0;A=63;break a}break}default:{C=z;break b}}a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){y=a;x=h[y>>0]|h[y+1>>0]<<8|h[y+2>>0]<<16|h[y+3>>0]<<24;f[e>>2]=x;f[c>>2]=a+4;I=x}else{if(!(uCb(c,e)|0)){A=44;break a}I=f[e>>2]|0}x=f[o>>2]|0;if((x|0)==(f[p>>2]|0)){aEa(o,x+1|0);K=f[o>>2]|0}else K=x;x=f[q>>2]|0;a=K+1|0;f[o>>2]=a;f[x+4+(K<<2)>>2]=I;y=f[c>>2]|0;L=(f[g>>2]|0)-y|0;if((L|0)<=0)continue a;M=y;y=(f[p>>2]|0)-a|0;N=(L>>>0)/5|0;O=(N|0)<(y|0)?N:y;if((O|0)>0){P=0;Q=M;R=a}else continue a;while(1){if((b[Q>>0]|0)!=45){S=P;break}a=Q+1|0;y=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;a=R;R=R+1|0;f[o>>2]=R;f[x+4+(a<<2)>>2]=y;y=P+1|0;if((y|0)>=(O|0)){S=y;break}else{P=y;Q=Q+5|0}}O=S*5|0;if((S|0)<=0)continue a;if((L|0)<(O|0)){qCb(c,O,L)|0;continue a}else{f[c>>2]=M+O;continue a}break}case 6:{if((z&255|0)!=48){C=z;break b}f[i>>2]=f[i>>2]|8;O=f[c>>2]|0;if(O>>>0<(f[g>>2]|0)>>>0?(x=b[O>>0]|0,x<<24>>24>-1):0){f[c>>2]=O+1;T=x<<24>>24!=0}else{jCb(e,c);x=e;if(!(b[s>>0]|0)){F=0;A=63;break a}else T=(f[x>>2]|0)!=0|(f[x+4>>2]|0)!=0}b[r>>0]=T&1;continue a;break}case 7:{if((z&255|0)!=56){C=z;break b}f[i>>2]=f[i>>2]|16;x=f[c>>2]|0;if(x>>>0<(f[g>>2]|0)>>>0?(O=b[x>>0]|0,O<<24>>24>-1):0){f[c>>2]=x+1;U=O<<24>>24!=0}else{jCb(e,c);O=e;if(!(b[v>>0]|0)){F=0;A=63;break a}else U=(f[O>>2]|0)!=0|(f[O+4>>2]|0)!=0}b[t>>0]=U&1;continue a;break}default:{C=z;break b}}}while(0);if(!C){F=1;A=63;break}O=f[w>>2]|0;if(!(O&1))V=AHa(w)|0;else V=O&-2;if(!(b4b(c,C,V)|0)){F=0;A=63;break}}if((A|0)==13){F=0;u=d;return F|0}else if((A|0)==44){F=0;u=d;return F|0}else if((A|0)==63){u=d;return F|0}return 0}function qYa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=f[a+16>>2]|0;e=c+d+(c<<2)|0;c=f[a+8>>2]|0;if(!(c&63)){g=e;h=a+12|0;f[h>>2]=g;return g|0}if(!(c&1))i=e;else{d=f[a+28>>2]|0;j=b[d+11>>0]|0;k=j<<24>>24<0?f[d+4>>2]|0:j&255;i=e+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&2))l=i;else l=i+1+((((($(f[a+32>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;i=c&4|0?l+2|0:l;l=c&8|0?i+2|0:i;i=c&16|0?l+2|0:l;g=c&32|0?i+5|0:i;h=a+12|0;f[h>>2]=g;return g|0}function rYa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=f[a+8>>2]|0;if(d&32|0)wEb(1,+n[a+40>>2],c);if(d&4|0)yEb(2,(b[a+36>>0]|0)!=0,c);if(d&2|0)oEb(3,f[a+32>>2]|0,c);if(d&1|0)BEb(4,f[a+28>>2]|0,c);e=f[a+16>>2]|0;if((e|0)>0){g=a+24|0;h=0;do{wEb(5,+n[(f[g>>2]|0)+4+(h<<2)>>2],c);h=h+1|0}while((h|0)!=(e|0))}if(d&8|0)yEb(6,(b[a+37>>0]|0)!=0,c);if(d&16|0)yEb(7,(b[a+38>>0]|0)!=0,c);d=f[a+4>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function sYa(a){a=a|0;return f[a+12>>2]|0}function tYa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=f[a+8>>2]|0;if(!(c&32))e=d;else{g=f[a+40>>2]|0;b[d>>0]=13;h=d+1|0;b[h>>0]=g;b[h+1>>0]=g>>8;b[h+2>>0]=g>>16;b[h+3>>0]=g>>24;e=d+5|0}if(!(c&4))i=e;else{d=b[a+36>>0]|0;b[e>>0]=16;b[e+1>>0]=d;i=e+2|0}if(!(c&2))j=i;else{e=f[a+32>>2]|0;b[i>>0]=24;d=i+1|0;if(e>>>0>127){i=e;g=d;while(1){b[g>>0]=i|128;h=i>>>7;k=g+1|0;if(i>>>0>16383){i=h;g=k}else{l=k;m=h;break}}}else{l=d;m=e}b[l>>0]=m;j=l+1|0}if(!(c&1))n=j;else{l=f[a+28>>2]|0;b[j>>0]=34;n=GCb(l,j+1|0)|0}j=f[a+16>>2]|0;if(!j)o=n;else{l=f[a+24>>2]|0;m=0;e=n;while(1){n=f[l+4+(m<<2)>>2]|0;b[e>>0]=45;d=e+1|0;b[d>>0]=n;b[d+1>>0]=n>>8;b[d+2>>0]=n>>16;b[d+3>>0]=n>>24;n=e+5|0;m=m+1|0;if((m|0)>=(j|0)){o=n;break}else e=n}}if(!(c&8))p=o;else{e=b[a+37>>0]|0;b[o>>0]=48;b[o+1>>0]=e;p=o+2|0}if(!(c&16))q=p;else{c=b[a+38>>0]|0;b[p>>0]=56;b[p+1>>0]=c;q=p+2|0}p=f[a+4>>2]|0;if(!(p&1)){r=q;return r|0}r=f4b(p&-2,q)|0;return r|0}function uYa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function vYa(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,19544,0)|0;if(!c){c2b(b,a);return}else{oWa(a,c);return}}function wYa(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function xYa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533648;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function yYa(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function zYa(a){a=a|0;var b=0,c=0;f[a>>2]=123760;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function AYa(a){a=a|0;var b=0,c=0;f[a>>2]=123760;b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function BYa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function CYa(a,b){a=a|0;b=b|0;a=Bmc(24)|0;mWa(a);if(!b)return a|0;OYa(b,a);return a|0}function DYa(a){a=a|0;var c=0;c=a+8|0;if(f[c>>2]&7|0){b[a+16>>0]=0;b[a+17>>0]=1;n[a+20>>2]=9.999999717180685e-10}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function EYa(a){a=a|0;return 1}function FYa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+17|0;k=e+8|0;l=a+16|0;m=e+8|0;n=a+20|0;o=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){p=b[a>>0]|0;q=p&255;if(p<<24>>24>0){f[c>>2]=a+1;r=q;s=6}else{t=q;s=5}}else{t=0;s=5}if((s|0)==5){s=0;q=xCb(c,t)|0;if((q+-1|0)>>>0<127){r=q;s=6}else v=q}b:do if((s|0)==6){s=0;switch(r>>>3&536870911|0){case 1:{if((r&255|0)!=8){v=r;break b}f[i>>2]=f[i>>2]|2;q=f[c>>2]|0;if(q>>>0<(f[g>>2]|0)>>>0?(a=b[q>>0]|0,a<<24>>24>-1):0){f[c>>2]=q+1;w=a<<24>>24!=0}else{jCb(e,c);a=e;if(!(b[k>>0]|0)){x=0;s=31;break a}else w=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[j>>0]=w&1;continue a;break}case 2:{if((r&255|0)!=16){v=r;break b}f[i>>2]=f[i>>2]|1;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(q=b[a>>0]|0,q<<24>>24>-1):0){f[c>>2]=a+1;y=q<<24>>24!=0}else{jCb(e,c);q=e;if(!(b[m>>0]|0)){x=0;s=31;break a}else y=(f[q>>2]|0)!=0|(f[q+4>>2]|0)!=0}b[l>>0]=y&1;continue a;break}case 3:{if((r&255|0)!=29){v=r;break b}f[i>>2]=f[i>>2]|4;q=f[c>>2]|0;if(((f[g>>2]|0)-q|0)>3){a=q;p=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=p;f[c>>2]=q+4;z=p}else{if(!(uCb(c,e)|0)){s=25;break a}z=f[e>>2]|0}f[n>>2]=z;continue a;break}default:{v=r;break b}}}while(0);if(!v){x=1;s=31;break}p=f[o>>2]|0;if(!(p&1))A=AHa(o)|0;else A=p&-2;if(!(b4b(c,v,A)|0)){x=0;s=31;break}}if((s|0)==25){x=0;u=d;return x|0}else if((s|0)==31){u=d;return x|0}return 0}function GYa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+8>>2]|0;if(!(b&7)){d=c;e=a+12|0;f[e>>2]=d;return d|0}g=b&1|0?c+2|0:c;c=b&2|0?g+2|0:g;d=b&4|0?c+5|0:c;e=a+12|0;f[e>>2]=d;return d|0}function HYa(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&2|0)yEb(1,(b[a+17>>0]|0)!=0,c);if(d&1|0)yEb(2,(b[a+16>>0]|0)!=0,c);if(d&4|0)wEb(3,+n[a+20>>2],c);d=f[a+4>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function IYa(a){a=a|0;return f[a+12>>2]|0}function JYa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;c=f[a+8>>2]|0;if(!(c&2))e=d;else{g=b[a+17>>0]|0;b[d>>0]=8;b[d+1>>0]=g;e=d+2|0}if(!(c&1))h=e;else{d=b[a+16>>0]|0;b[e>>0]=16;b[e+1>>0]=d;h=e+2|0}if(!(c&4))i=h;else{c=f[a+20>>2]|0;b[h>>0]=29;e=h+1|0;b[e>>0]=c;b[e+1>>0]=c>>8;b[e+2>>0]=c>>16;b[e+3>>0]=c>>24;i=h+5|0}h=f[a+4>>2]|0;if(!(h&1)){j=i;return j|0}j=f4b(h&-2,i)|0;return j|0}function KYa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function LYa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=Jnc(c,24640,19560,0)|0;if(!d){c2b(c,a);return}c=a+4|0;e=f[d+4>>2]|0;if(e&1|0){g=f[c>>2]|0;if(!(g&1))h=AHa(c)|0;else h=g&-2;O3b(h,e&-2)}e=f[d+8>>2]|0;if(!(e&7))return;if(e&1|0)b[a+16>>0]=b[d+16>>0]|0;if(e&2|0)b[a+17>>0]=b[d+17>>0]|0;if(e&4|0)f[a+20>>2]=f[d+20>>2];d=a+8|0;f[d>>2]=f[d>>2]|e;return}function MYa(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function NYa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533888;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function OYa(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function PYa(a){a=a|0;var b=0,c=0;f[a>>2]=123868;b=f[a+24>>2]|0;if(b|0?(f[b>>2]|0)==0:0)Emc(b);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function QYa(a){a=a|0;var b=0,c=0;f[a>>2]=123868;b=f[a+24>>2]|0;if(b|0?(f[b>>2]|0)==0:0)Emc(b);b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function RYa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function SYa(a,b){a=a|0;b=b|0;a=Bmc(36)|0;kWa(a);if(!b)return a|0;dZa(b,a);return a|0}function TYa(a){a=a|0;var b=0;f[a+16>>2]=0;b=a+8|0;if(f[b>>2]&3|0){f[a+28>>2]=1;f[a+32>>2]=1}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function UYa(a){a=a|0;return 1}function VYa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;d=c+4|0;e=a+8|0;g=a+28|0;h=a+16|0;i=a+20|0;j=a+24|0;k=a+32|0;l=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){m=b[a>>0]|0;n=m&255;if(m<<24>>24>0){f[c>>2]=a+1;o=n;p=6}else{q=n;p=5}}else{q=0;p=5}if((p|0)==5){p=0;n=xCb(c,q)|0;if((n+-1|0)>>>0<127){o=n;p=6}else r=n}b:do if((p|0)==6){p=0;switch(o>>>3&536870911|0){case 1:{if((o&255|0)!=8){r=o;break b}f[e>>2]=f[e>>2]|1;n=f[c>>2]|0;if(n>>>0<(f[d>>2]|0)>>>0){a=b[n>>0]|0;m=a&255;if(a<<24>>24>-1){f[g>>2]=m;f[c>>2]=n+1;continue a}else s=m}else s=0;m=iCb(c,s)|0;n=J;f[g>>2]=m;if((n|0)>-1|(n|0)==-1&m>>>0>4294967295)continue a;else{t=0;p=40;break a}break}case 2:{switch((o&255)<<24>>24){case 16:break;case 18:{if(cZa(c,h)|0)continue a;else{t=0;p=40;break a}break}default:{r=o;break b}}m=f[c>>2]|0;if(m>>>0<(f[d>>2]|0)>>>0){n=b[m>>0]|0;a=n&255;if(n<<24>>24>-1){f[c>>2]=m+1;u=a}else{v=a;p=16}}else{v=0;p=16}if((p|0)==16){p=0;a=iCb(c,v)|0;m=J;if((m|0)>-1|(m|0)==-1&a>>>0>4294967295)u=a;else{t=0;p=40;break a}}a=f[h>>2]|0;if((a|0)==(f[i>>2]|0)){iFa(h,a+1|0);w=f[h>>2]|0}else w=a;a=f[j>>2]|0;f[h>>2]=w+1;f[a+4+(w<<2)>>2]=u;m=(f[i>>2]|0)-(f[h>>2]|0)|0;if((m|0)>0){x=m;y=a}else continue a;while(1){a=f[c>>2]|0;m=f[d>>2]|0;if(a>>>0>=m>>>0)continue a;if((b[a>>0]|0)!=16)continue a;n=a+1|0;f[c>>2]=n;if(n>>>0<m>>>0){m=b[n>>0]|0;n=m&255;if(m<<24>>24>-1){f[c>>2]=a+2;z=n;A=y}else{B=n;p=24}}else{B=0;p=24}if((p|0)==24){p=0;n=iCb(c,B)|0;a=J;if(!((a|0)>-1|(a|0)==-1&n>>>0>4294967295)){t=0;p=40;break a}z=n;A=f[j>>2]|0}n=f[h>>2]|0;f[h>>2]=n+1;f[A+4+(n<<2)>>2]=z;if((x|0)>1){x=x+-1|0;y=A}else continue a}break}case 3:{if((o&255|0)!=24){r=o;break b}f[e>>2]=f[e>>2]|2;n=f[c>>2]|0;if(n>>>0<(f[d>>2]|0)>>>0){a=b[n>>0]|0;m=a&255;if(a<<24>>24>-1){f[c>>2]=n+1;C=m}else{D=m;p=33}}else{D=0;p=33}if((p|0)==33){p=0;m=iCb(c,D)|0;n=J;if((n|0)>-1|(n|0)==-1&m>>>0>4294967295)C=m;else{t=0;p=40;break a}}f[k>>2]=C;continue a;break}default:{r=o;break b}}}while(0);if(!r){t=1;p=40;break}m=f[l>>2]|0;if(!(m&1))E=AHa(l)|0;else E=m&-2;if(!(b4b(c,r,E)|0)){t=0;p=40;break}}if((p|0)==40)return t|0;return 0}function WYa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=KEb(a+16|0)|0;d=b+c+(f[a+16>>2]|0)|0;c=f[a+8>>2]|0;if(!(c&3)){e=d;g=a+12|0;f[g>>2]=e;return e|0}if(!(c&1))h=d;else h=d+1+((((($(f[a+28>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(c&2)){e=h;g=a+12|0;f[g>>2]=e;return e|0}c=f[a+32>>2]|0;if((c|0)<0)i=11;else i=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;e=i+h|0;g=a+12|0;f[g>>2]=e;return e|0}function XYa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=f[a+8>>2]|0;if(c&1|0)oEb(1,f[a+28>>2]|0,b);d=f[a+16>>2]|0;if((d|0)>0){e=a+24|0;g=0;do{oEb(2,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(d|0))}if(c&2|0)mEb(3,f[a+32>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function YYa(a){a=a|0;return f[a+12>>2]|0}function ZYa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+28>>2]|0;b[d>>0]=8;h=d+1|0;if(g>>>0>127){d=g;i=h;while(1){b[i>>0]=d|128;j=d>>>7;k=i+1|0;if(d>>>0>16383){d=j;i=k}else{l=k;m=j;break}}}else{l=h;m=g}b[l>>0]=m;e=l+1|0}l=f[a+16>>2]|0;if(!l)n=e;else{m=f[a+24>>2]|0;g=0;h=e;while(1){e=f[m+4+(g<<2)>>2]|0;b[h>>0]=16;i=h+1|0;if(e>>>0>127){d=e;j=i;while(1){b[j>>0]=d|128;k=d>>>7;o=j+1|0;if(d>>>0>16383){d=k;j=o}else{p=o;q=k;break}}}else{p=i;q=e}b[p>>0]=q;j=p+1|0;g=g+1|0;if((g|0)>=(l|0)){n=j;break}else h=j}}if(!(c&2))r=n;else{c=f[a+32>>2]|0;b[n>>0]=24;h=n+1|0;n=c&255;if(c>>>0>127){l=h;g=n;p=c;q=((c|0)<0)<<31>>31;while(1){b[l>>0]=g|-128;c=p;p=Irc(p|0,q|0,7)|0;m=l+1|0;j=p&255;if(!(q>>>0>0|(q|0)==0&c>>>0>16383)){s=m;t=j;break}else{l=m;g=j;q=J}}}else{s=h;t=n}b[s>>0]=t;r=s+1|0}s=f[a+4>>2]|0;if(!(s&1)){u=r;return u|0}u=f4b(s&-2,r)|0;return u|0}function _Ya(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function $Ya(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,19576,0)|0;if(!c){c2b(b,a);return}else{lWa(a,c);return}}function aZa(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function bZa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533976;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function cZa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=f[a>>2]|0;e=a+4|0;if(d>>>0<(f[e>>2]|0)>>>0?(g=b[d>>0]|0,g<<24>>24>-1):0){f[a>>2]=d+1;h=g&255}else{g=wCb(a)|0;if((g|0)>-1)h=g;else{i=0;return i|0}}g=fCb(a,h)|0;a:do if((nCb(a)|0)>0){h=c+4|0;d=c+8|0;while(1){j=f[a>>2]|0;if(j>>>0<(f[e>>2]|0)>>>0){k=b[j>>0]|0;l=k&255;if(k<<24>>24>-1){f[a>>2]=j+1;m=l}else{n=l;o=10}}else{n=0;o=10}if((o|0)==10){o=0;l=iCb(a,n)|0;j=J;if((j|0)>-1|(j|0)==-1&l>>>0>4294967295)m=l;else{i=0;break}}l=f[c>>2]|0;if((l|0)==(f[h>>2]|0)){iFa(c,l+1|0);p=f[c>>2]|0}else p=l;l=f[d>>2]|0;f[c>>2]=p+1;f[l+4+(p<<2)>>2]=m;if((nCb(a)|0)<=0)break a}return i|0}while(0);gCb(a,g);i=1;return i|0}function dZa(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function eZa(a){a=a|0;var b=0,c=0;f[a>>2]=123976;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function fZa(a){a=a|0;var b=0,c=0;f[a>>2]=123976;b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function gZa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function hZa(a,b){a=a|0;b=b|0;a=Bmc(24)|0;jWa(a);if(!b)return a|0;tZa(b,a);return a|0}function iZa(a){a=a|0;var b=0,c=0;b=a+8|0;if(f[b>>2]&3|0){c=a+16|0;f[c>>2]=0;f[c+4>>2]=0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function jZa(a){a=a|0;return 1}function kZa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+16|0;k=a+4|0;l=a+20|0;a:while(1){b:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){m=b[a>>0]|0;n=m&255;if(m<<24>>24>0){f[c>>2]=a+1;o=n;p=7}else{q=n;p=6}}else{q=0;p=6}if((p|0)==6){p=0;n=xCb(c,q)|0;if((n+-1|0)>>>0<127){o=n;p=7}else r=n}c:do if((p|0)==7){p=0;switch(o>>>3&536870911|0){case 1:break;case 2:{if((o&255|0)==16)break b;else{r=o;break c}break}default:{r=o;break c}}if((o&255|0)==13){f[i>>2]=f[i>>2]|1;n=f[c>>2]|0;if(((f[g>>2]|0)-n|0)>3){a=n;m=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=m;f[c>>2]=n+4;s=m}else{if(!(uCb(c,e)|0)){p=14;break a}s=f[e>>2]|0}f[j>>2]=s;continue b}else r=o}while(0);if(!r){t=1;p=31;break a}m=f[k>>2]|0;if(!(m&1))v=AHa(k)|0;else v=m&-2;if(!(b4b(c,r,v)|0)){t=0;p=31;break a}}m=f[c>>2]|0;if(m>>>0<(f[g>>2]|0)>>>0){n=b[m>>0]|0;a=n&255;if(n<<24>>24>-1){f[c>>2]=m+1;w=a}else{x=a;p=19}}else{x=0;p=19}if((p|0)==19){p=0;a=iCb(c,x)|0;m=J;if((m|0)>-1|(m|0)==-1&a>>>0>4294967295)w=a;else{t=0;p=31;break}}if(w>>>0<3){f[i>>2]=f[i>>2]|2;f[l>>2]=w;continue}a=f[k>>2]|0;if(!(a&1))y=AHa(k)|0;else y=a&-2;R3b(y,2,w,((w|0)<0)<<31>>31)}if((p|0)==14){t=0;u=d;return t|0}else if((p|0)==31){u=d;return t|0}return 0}function lZa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+8>>2]|0;if(!(b&3)){d=c;e=a+12|0;f[e>>2]=d;return d|0}g=b&1|0?c+5|0:c;if(!(b&2)){d=g;e=a+12|0;f[e>>2]=d;return d|0}b=f[a+20>>2]|0;if((b|0)<0)h=11;else h=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;d=h+g|0;e=a+12|0;f[e>>2]=d;return d|0}function mZa(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)wEb(1,+n[a+16>>2],b);if(c&2|0)zEb(2,f[a+20>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function nZa(a){a=a|0;return f[a+12>>2]|0}function oZa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=13;h=d+1|0;b[h>>0]=g;b[h+1>>0]=g>>8;b[h+2>>0]=g>>16;b[h+3>>0]=g>>24;e=d+5|0}if(!(c&2))i=e;else{c=f[a+20>>2]|0;b[e>>0]=16;d=e+1|0;e=c&255;if(c>>>0>127){g=d;h=e;j=c;k=((c|0)<0)<<31>>31;while(1){b[g>>0]=h|-128;c=j;j=Irc(j|0,k|0,7)|0;l=g+1|0;m=j&255;if(!(k>>>0>0|(k|0)==0&c>>>0>16383)){n=l;o=m;break}else{g=l;h=m;k=J}}}else{n=d;o=e}b[n>>0]=o;i=n+1|0}n=f[a+4>>2]|0;if(!(n&1)){p=i;return p|0}p=f4b(n&-2,i)|0;return p|0}function pZa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function qZa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,19592,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}d=f[c+8>>2]|0;if(!(d&3))return;if(d&1|0)f[a+16>>2]=f[c+16>>2];if(d&2|0)f[a+20>>2]=f[c+20>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function rZa(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function sZa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533944;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function tZa(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function uZa(a){a=a|0;var b=0,c=0;f[a>>2]=124084;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function vZa(a){a=a|0;var b=0,c=0;f[a>>2]=124084;b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function wZa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function xZa(a,b){a=a|0;b=b|0;a=Bmc(20)|0;iWa(a);if(!b)return a|0;JZa(b,a);return a|0}function yZa(a){a=a|0;var b=0;f[a+16>>2]=1;f[a+8>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function zZa(a){a=a|0;return 1}function AZa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=c+4|0;e=a+8|0;g=a+16|0;h=a+4|0;while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){i=b[a>>0]|0;j=i&255;if(i<<24>>24>0){f[c>>2]=a+1;k=j;l=6}else{m=j;l=5}}else{m=0;l=5}if((l|0)==5){l=0;j=xCb(c,m)|0;if((j+-1|0)>>>0<127){k=j;l=6}else n=j}if((l|0)==6){l=0;if((k|0)==8){j=f[c>>2]|0;if(j>>>0<(f[d>>2]|0)>>>0){a=b[j>>0]|0;i=a&255;if(a<<24>>24>-1){f[c>>2]=j+1;o=i}else{p=i;l=10}}else{p=0;l=10}if((l|0)==10){l=0;i=iCb(c,p)|0;j=J;if((j|0)>-1|(j|0)==-1&i>>>0>4294967295)o=i;else{q=0;l=22;break}}if((o+-1|0)>>>0<2){f[e>>2]=f[e>>2]|1;f[g>>2]=o;continue}i=f[h>>2]|0;if(!(i&1))r=AHa(h)|0;else r=i&-2;R3b(r,1,o,((o|0)<0)<<31>>31);continue}else n=k}if(!n){q=1;l=22;break}i=f[h>>2]|0;if(!(i&1))s=AHa(h)|0;else s=i&-2;if(!(b4b(c,n,s)|0)){q=0;l=22;break}}if((l|0)==22)return q|0;return 0}function BZa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;if(!(f[a+8>>2]&1)){d=c;e=a+12|0;f[e>>2]=d;return d|0}b=f[a+16>>2]|0;if((b|0)<0)g=11;else g=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;d=g+c|0;e=a+12|0;f[e>>2]=d;return d|0}function CZa(a,b){a=a|0;b=b|0;var c=0;if(f[a+8>>2]&1|0)zEb(1,f[a+16>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function DZa(a){a=a|0;return f[a+12>>2]|0}function EZa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(!(f[a+8>>2]&1))e=d;else{c=f[a+16>>2]|0;b[d>>0]=8;g=d+1|0;d=c&255;if(c>>>0>127){h=g;i=d;j=c;k=((c|0)<0)<<31>>31;while(1){b[h>>0]=i|-128;c=j;j=Irc(j|0,k|0,7)|0;l=h+1|0;m=j&255;if(!(k>>>0>0|(k|0)==0&c>>>0>16383)){n=l;o=m;break}else{h=l;i=m;k=J}}}else{n=g;o=d}b[n>>0]=o;e=n+1|0}n=f[a+4>>2]|0;if(!(n&1)){p=e;return p|0}p=f4b(n&-2,e)|0;return p|0}function FZa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function GZa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,19608,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}if(!(f[c+8>>2]&1))return;d=f[c+16>>2]|0;c=a+8|0;f[c>>2]=f[c>>2]|1;f[a+16>>2]=d;return}function HZa(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function IZa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533824;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function JZa(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function KZa(a){a=a|0;var b=0,c=0;f[a>>2]=124192;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function LZa(a){a=a|0;var b=0,c=0;f[a>>2]=124192;b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function MZa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function NZa(a,b){a=a|0;b=b|0;a=Bmc(28)|0;hWa(a);if(!b)return a|0;ZZa(b,a);return a|0}function OZa(a){a=a|0;var b=0;b=a+8|0;if(f[b>>2]&7|0){f[a+16>>2]=0;f[a+20>>2]=1;f[a+24>>2]=1}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function PZa(a){a=a|0;return 1}function QZa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;d=c+4|0;e=a+8|0;g=a+20|0;h=a+24|0;i=a+16|0;j=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){k=b[a>>0]|0;l=k&255;if(k<<24>>24>0){f[c>>2]=a+1;m=l;n=6}else{o=l;n=5}}else{o=0;n=5}if((n|0)==5){n=0;l=xCb(c,o)|0;if((l+-1|0)>>>0<127){m=l;n=6}else p=l}b:do if((n|0)==6){n=0;switch(m>>>3&536870911|0){case 1:{if((m&255|0)!=8){p=m;break b}f[e>>2]=f[e>>2]|2;l=f[c>>2]|0;if(l>>>0<(f[d>>2]|0)>>>0){a=b[l>>0]|0;k=a&255;if(a<<24>>24>-1){f[g>>2]=k;f[c>>2]=l+1;continue a}else q=k}else q=0;k=iCb(c,q)|0;l=J;f[g>>2]=k;if((l|0)>-1|(l|0)==-1&k>>>0>4294967295)continue a;else{r=0;n=29;break a}break}case 2:{if((m&255|0)!=16){p=m;break b}f[e>>2]=f[e>>2]|4;k=f[c>>2]|0;if(k>>>0<(f[d>>2]|0)>>>0){l=b[k>>0]|0;a=l&255;if(l<<24>>24>-1){f[c>>2]=k+1;s=a}else{t=a;n=16}}else{t=0;n=16}if((n|0)==16){n=0;a=iCb(c,t)|0;k=J;if((k|0)>-1|(k|0)==-1&a>>>0>4294967295)s=a;else{r=0;n=29;break a}}f[h>>2]=s;continue a;break}case 3:{if((m&255|0)!=24){p=m;break b}f[e>>2]=f[e>>2]|1;a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){k=b[a>>0]|0;l=k&255;if(k<<24>>24>-1){f[c>>2]=a+1;u=l}else{v=l;n=22}}else{v=0;n=22}if((n|0)==22){n=0;l=iCb(c,v)|0;a=J;if((a|0)>-1|(a|0)==-1&l>>>0>4294967295)u=l;else{r=0;n=29;break a}}f[i>>2]=u;continue a;break}default:{p=m;break b}}}while(0);if(!p){r=1;n=29;break}l=f[j>>2]|0;if(!(l&1))w=AHa(j)|0;else w=l&-2;if(!(b4b(c,p,w)|0)){r=0;n=29;break}}if((n|0)==29)return r|0;return 0}function RZa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+8>>2]|0;if(!(b&7)){d=c;e=a+12|0;f[e>>2]=d;return d|0}if(!(b&1))g=c;else{h=f[a+16>>2]|0;if((h|0)<0)i=11;else i=((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;g=i+c|0}if(!(b&2))j=g;else j=g+1+((((($(f[a+20>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(b&4)){d=j;e=a+12|0;f[e>>2]=d;return d|0}b=f[a+24>>2]|0;if((b|0)<0)k=11;else k=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;d=k+j|0;e=a+12|0;f[e>>2]=d;return d|0}function SZa(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&2|0)oEb(1,f[a+20>>2]|0,b);if(c&4|0)mEb(2,f[a+24>>2]|0,b);if(c&1|0)mEb(3,f[a+16>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function TZa(a){a=a|0;return f[a+12>>2]|0}function UZa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=f[a+8>>2]|0;if(!(c&2))e=d;else{g=f[a+20>>2]|0;b[d>>0]=8;h=d+1|0;if(g>>>0>127){d=g;i=h;while(1){b[i>>0]=d|128;j=d>>>7;k=i+1|0;if(d>>>0>16383){d=j;i=k}else{l=k;m=j;break}}}else{l=h;m=g}b[l>>0]=m;e=l+1|0}if(!(c&4))n=e;else{l=f[a+24>>2]|0;b[e>>0]=16;m=e+1|0;e=l&255;if(l>>>0>127){g=m;h=e;i=l;d=((l|0)<0)<<31>>31;while(1){b[g>>0]=h|-128;l=i;i=Irc(i|0,d|0,7)|0;j=g+1|0;k=i&255;if(!(d>>>0>0|(d|0)==0&l>>>0>16383)){o=j;p=k;break}else{g=j;h=k;d=J}}}else{o=m;p=e}b[o>>0]=p;n=o+1|0}if(!(c&1))q=n;else{c=f[a+16>>2]|0;b[n>>0]=24;o=n+1|0;n=c&255;if(c>>>0>127){p=o;e=n;m=c;d=((c|0)<0)<<31>>31;while(1){b[p>>0]=e|-128;c=m;m=Irc(m|0,d|0,7)|0;h=p+1|0;g=m&255;if(!(d>>>0>0|(d|0)==0&c>>>0>16383)){r=h;s=g;break}else{p=h;e=g;d=J}}}else{r=o;s=n}b[r>>0]=s;q=r+1|0}r=f[a+4>>2]|0;if(!(r&1)){t=q;return t|0}t=f4b(r&-2,q)|0;return t|0}function VZa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function WZa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,19624,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}d=f[c+8>>2]|0;if(!(d&7))return;if(d&1|0)f[a+16>>2]=f[c+16>>2];if(d&2|0)f[a+20>>2]=f[c+20>>2];if(d&4|0)f[a+24>>2]=f[c+24>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function XZa(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function YZa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533664;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function ZZa(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function _Za(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{c_a(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(48)|0;XTa(l);c_a(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,19368,48);l=oBb(i,48,1652)|0;XTa(l);c_a(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function $Za(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{a_a(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(32)|0;mVa(l);a_a(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,19272,32);l=oBb(i,32,1653)|0;mVa(l);a_a(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function a_a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=b+4|0;d=f[a+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}d=b+16|0;g=a+16|0;e=f[g>>2]|0;if(!e)return;cEa(d,(f[d>>2]|0)+e|0);Krc((f[b+24>>2]|0)+8+(f[d>>2]<<3)|0,(f[a+24>>2]|0)+8|0,f[g>>2]<<3|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0);return}function b_a(a){a=a|0;ai[f[f[a>>2]>>2]&2047](a);return}function c_a(a,b){a=a|0;b=b|0;YTa(b,a);return}function d_a(a){a=a|0;ai[f[f[a>>2]>>2]&2047](a);return}function e_a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;f[a>>2]=124300;b=a+92|0;c=f[b>>2]|0;if(c|0?(f[a+80>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)ai[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;Emc(h)}f[b>>2]=0;b=f[a+76>>2]|0;if(b|0?(f[b>>2]|0)==0:0)Emc(b);b=f[a+64>>2]|0;if(b|0?(f[b>>2]|0)==0:0)Emc(b);b=f[a+52>>2]|0;if(b|0?(f[b>>2]|0)==0:0)Emc(b);b=f[a+40>>2]|0;if(b|0?(f[b>>2]|0)==0:0)Emc(b);b=a+28|0;h=f[b>>2]|0;if(h|0?(f[a+16>>2]|0)==0:0){c=f[h>>2]|0;if((c|0)>0){d=0;do{e=f[h+4+(d<<2)>>2]|0;if(e|0)ai[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(c|0));i=f[b>>2]|0}else i=h;Emc(i)}f[b>>2]=0;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}i=a&-2;a=i;if((i|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(i);f[b>>2]=0;return}function f_a(a){a=a|0;e_a(a);Emc(a);return}function g_a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function h_a(a,b){a=a|0;b=b|0;a=Bmc(96)|0;fWa(a);if(!b)return a|0;u_a(b,a);return a|0}function i_a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+20|0;c=f[b>>2]|0;if((c|0)>0){d=f[a+28>>2]|0;e=0;do{g=f[d+4+(e<<2)>>2]|0;e=e+1|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}while((e|0)!=(c|0));f[b>>2]=0}f[a+32>>2]=0;f[a+44>>2]=0;f[a+56>>2]=0;f[a+68>>2]=0;b=a+84|0;c=f[b>>2]|0;if((c|0)>0){e=f[a+92>>2]|0;d=0;do{g=f[e+4+(d<<2)>>2]|0;d=d+1|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}while((d|0)!=(c|0));f[b>>2]=0}f[a+8>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function j_a(a){a=a|0;return 1}function k_a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+16|0;i=a+28|0;j=a+24|0;k=a+20|0;l=e+4|0;m=a+32|0;n=a+36|0;o=a+40|0;p=a+44|0;q=a+48|0;r=a+52|0;s=a+56|0;t=a+60|0;v=a+64|0;w=a+68|0;x=a+72|0;y=a+76|0;z=a+80|0;A=e+4|0;B=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){C=b[a>>0]|0;D=C&255;if(C<<24>>24>0){f[c>>2]=a+1;E=D;F=6}else{G=D;F=5}}else{G=0;F=5}if((F|0)==5){F=0;D=xCb(c,G)|0;if((D+-1|0)>>>0<127){E=D;F=6}else H=D}b:do if((F|0)==6){F=0;switch(E>>>3&536870911|0){case 1:{if((E&255|0)!=10){H=E;break b}D=f[i>>2]|0;do if(D){a=f[k>>2]|0;C=f[D>>2]|0;if((a|0)>=(C|0))if((C|0)==(f[j>>2]|0)){I=C;F=13;break}else{K=C;L=D;F=14;break}else{f[k>>2]=a+1;M=f[D+4+(a<<2)>>2]|0;break}}else{I=f[j>>2]|0;F=13}while(0);if((F|0)==13){F=0;uDb(h,I+1|0);D=f[i>>2]|0;K=f[D>>2]|0;L=D;F=14}if((F|0)==14){F=0;f[L>>2]=K+1;D=f[h>>2]|0;if(!D){a=Bmc(48)|0;XTa(a);N=a}else{if(f[D+64>>2]|0)pBb(D,19368,48);a=oBb(D,48,1652)|0;XTa(a);N=a}a=f[i>>2]|0;D=f[k>>2]|0;f[k>>2]=D+1;f[a+4+(D<<2)>>2]=N;M=N}D=f[c>>2]|0;if(D>>>0<(f[g>>2]|0)>>>0?(a=b[D>>0]|0,a<<24>>24>-1):0){f[c>>2]=D+1;O=a&255}else{a=wCb(c)|0;if((a|0)>-1)O=a;else{P=0;F=110;break a}}hCb(e,c,O);if((f[l>>2]|0)<0){F=26;break a}if(!(Sh[f[(f[M>>2]|0)+44>>2]&511](M,c)|0)){F=26;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{P=0;F=110;break a}break}case 2:{switch((E&255)<<24>>24){case 16:break;case 18:{if(cZa(c,m)|0)continue a;else{P=0;F=110;break a}break}default:{H=E;break b}}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){D=b[a>>0]|0;C=D&255;if(D<<24>>24>-1){f[c>>2]=a+1;Q=C}else{R=C;F=32}}else{R=0;F=32}if((F|0)==32){F=0;C=iCb(c,R)|0;a=J;if((a|0)>-1|(a|0)==-1&C>>>0>4294967295)Q=C;else{P=0;F=110;break a}}C=f[m>>2]|0;if((C|0)==(f[n>>2]|0)){iFa(m,C+1|0);S=f[m>>2]|0}else S=C;C=f[o>>2]|0;f[m>>2]=S+1;f[C+4+(S<<2)>>2]=Q;a=(f[n>>2]|0)-(f[m>>2]|0)|0;if((a|0)>0){T=a;U=C}else continue a;while(1){C=f[c>>2]|0;a=f[g>>2]|0;if(C>>>0>=a>>>0)continue a;if((b[C>>0]|0)!=16)continue a;D=C+1|0;f[c>>2]=D;if(D>>>0<a>>>0){a=b[D>>0]|0;D=a&255;if(a<<24>>24>-1){f[c>>2]=C+2;V=D;W=U}else{X=D;F=40}}else{X=0;F=40}if((F|0)==40){F=0;D=iCb(c,X)|0;C=J;if(!((C|0)>-1|(C|0)==-1&D>>>0>4294967295)){P=0;F=110;break a}V=D;W=f[o>>2]|0}D=f[m>>2]|0;f[m>>2]=D+1;f[W+4+(D<<2)>>2]=V;if((T|0)>1){T=T+-1|0;U=W}else continue a}break}case 3:{switch((E&255)<<24>>24){case 24:break;case 26:{if(cZa(c,p)|0)continue a;else{P=0;F=110;break a}break}default:{H=E;break b}}D=f[c>>2]|0;if(D>>>0<(f[g>>2]|0)>>>0){C=b[D>>0]|0;a=C&255;if(C<<24>>24>-1){f[c>>2]=D+1;Y=a}else{Z=a;F=49}}else{Z=0;F=49}if((F|0)==49){F=0;a=iCb(c,Z)|0;D=J;if((D|0)>-1|(D|0)==-1&a>>>0>4294967295)Y=a;else{P=0;F=110;break a}}a=f[p>>2]|0;if((a|0)==(f[q>>2]|0)){iFa(p,a+1|0);_=f[p>>2]|0}else _=a;a=f[r>>2]|0;f[p>>2]=_+1;f[a+4+(_<<2)>>2]=Y;D=(f[q>>2]|0)-(f[p>>2]|0)|0;if((D|0)>0){$=D;aa=a}else continue a;while(1){a=f[c>>2]|0;D=f[g>>2]|0;if(a>>>0>=D>>>0)continue a;if((b[a>>0]|0)!=24)continue a;C=a+1|0;f[c>>2]=C;if(C>>>0<D>>>0){D=b[C>>0]|0;C=D&255;if(D<<24>>24>-1){f[c>>2]=a+2;ba=C;ca=aa}else{da=C;F=57}}else{da=0;F=57}if((F|0)==57){F=0;C=iCb(c,da)|0;a=J;if(!((a|0)>-1|(a|0)==-1&C>>>0>4294967295)){P=0;F=110;break a}ba=C;ca=f[r>>2]|0}C=f[p>>2]|0;f[p>>2]=C+1;f[ca+4+(C<<2)>>2]=ba;if(($|0)>1){$=$+-1|0;aa=ca}else continue a}break}case 4:{switch((E&255)<<24>>24){case 32:break;case 34:{if(cZa(c,s)|0)continue a;else{P=0;F=110;break a}break}default:{H=E;break b}}C=f[c>>2]|0;if(C>>>0<(f[g>>2]|0)>>>0){a=b[C>>0]|0;D=a&255;if(a<<24>>24>-1){f[c>>2]=C+1;ea=D}else{fa=D;F=66}}else{fa=0;F=66}if((F|0)==66){F=0;D=iCb(c,fa)|0;C=J;if((C|0)>-1|(C|0)==-1&D>>>0>4294967295)ea=D;else{P=0;F=110;break a}}D=f[s>>2]|0;if((D|0)==(f[t>>2]|0)){iFa(s,D+1|0);ga=f[s>>2]|0}else ga=D;D=f[v>>2]|0;f[s>>2]=ga+1;f[D+4+(ga<<2)>>2]=ea;C=(f[t>>2]|0)-(f[s>>2]|0)|0;if((C|0)>0){ha=C;ia=D}else continue a;while(1){D=f[c>>2]|0;C=f[g>>2]|0;if(D>>>0>=C>>>0)continue a;if((b[D>>0]|0)!=32)continue a;a=D+1|0;f[c>>2]=a;if(a>>>0<C>>>0){C=b[a>>0]|0;a=C&255;if(C<<24>>24>-1){f[c>>2]=D+2;ja=a;ka=ia}else{la=a;F=74}}else{la=0;F=74}if((F|0)==74){F=0;a=iCb(c,la)|0;D=J;if(!((D|0)>-1|(D|0)==-1&a>>>0>4294967295)){P=0;F=110;break a}ja=a;ka=f[v>>2]|0}a=f[s>>2]|0;f[s>>2]=a+1;f[ka+4+(a<<2)>>2]=ja;if((ha|0)>1){ha=ha+-1|0;ia=ka}else continue a}break}case 5:{switch((E&255)<<24>>24){case 40:break;case 42:{if(cZa(c,w)|0)continue a;else{P=0;F=110;break a}break}default:{H=E;break b}}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){D=b[a>>0]|0;C=D&255;if(D<<24>>24>-1){f[c>>2]=a+1;ma=C}else{na=C;F=83}}else{na=0;F=83}if((F|0)==83){F=0;C=iCb(c,na)|0;a=J;if((a|0)>-1|(a|0)==-1&C>>>0>4294967295)ma=C;else{P=0;F=110;break a}}C=f[w>>2]|0;if((C|0)==(f[x>>2]|0)){iFa(w,C+1|0);oa=f[w>>2]|0}else oa=C;C=f[y>>2]|0;f[w>>2]=oa+1;f[C+4+(oa<<2)>>2]=ma;a=(f[x>>2]|0)-(f[w>>2]|0)|0;if((a|0)>0){pa=a;qa=C}else continue a;while(1){C=f[c>>2]|0;a=f[g>>2]|0;if(C>>>0>=a>>>0)continue a;if((b[C>>0]|0)!=40)continue a;D=C+1|0;f[c>>2]=D;if(D>>>0<a>>>0){a=b[D>>0]|0;D=a&255;if(a<<24>>24>-1){f[c>>2]=C+2;ra=D;sa=qa}else{ta=D;F=91}}else{ta=0;F=91}if((F|0)==91){F=0;D=iCb(c,ta)|0;C=J;if(!((C|0)>-1|(C|0)==-1&D>>>0>4294967295)){P=0;F=110;break a}ra=D;sa=f[y>>2]|0}D=f[w>>2]|0;f[w>>2]=D+1;f[sa+4+(D<<2)>>2]=ra;if((pa|0)>1){pa=pa+-1|0;qa=sa}else continue a}break}case 6:{if((E&255|0)!=50){H=E;break b}D=t_a(z)|0;C=f[c>>2]|0;if(C>>>0<(f[g>>2]|0)>>>0?(a=b[C>>0]|0,a<<24>>24>-1):0){f[c>>2]=C+1;ua=a&255}else{a=wCb(c)|0;if((a|0)>-1)ua=a;else{P=0;F=110;break a}}hCb(e,c,ua);if((f[A>>2]|0)<0){F=103;break a}if(!(Sh[f[(f[D>>2]|0)+44>>2]&511](D,c)|0)){F=103;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{P=0;F=110;break a}break}default:{H=E;break b}}}while(0);if(!H){P=1;F=110;break}D=f[B>>2]|0;if(!(D&1))va=AHa(B)|0;else va=D&-2;if(!(b4b(c,H,va)|0)){P=0;F=110;break}}if((F|0)==26){P=0;u=d;return P|0}else if((F|0)==103){P=0;u=d;return P|0}else if((F|0)==110){u=d;return P|0}return 0}function l_a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+20>>2]|0;d=b+c|0;if(!b)e=d;else{c=a+28|0;g=0;h=d;while(1){d=f[(f[c>>2]|0)+4+(g<<2)>>2]|0;i=ci[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=i+h+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=g+1|0;if((g|0)==(b|0)){e=d;break}else h=d}}h=KEb(a+32|0)|0;b=f[a+32>>2]|0;g=KEb(a+44|0)|0;c=f[a+44>>2]|0;d=KEb(a+56|0)|0;i=f[a+56>>2]|0;j=KEb(a+68|0)|0;k=f[a+84>>2]|0;l=h+e+b+g+c+d+i+j+(f[a+68>>2]|0)+k|0;if(!k){m=l;n=a+12|0;f[n>>2]=m;return m|0}j=a+92|0;i=0;d=l;while(1){l=f[(f[j>>2]|0)+4+(i<<2)>>2]|0;c=ci[f[(f[l>>2]|0)+48>>2]&1023](l)|0;l=c+d+((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)|0;i=i+1|0;if((i|0)==(k|0)){m=l;break}else d=l}n=a+12|0;f[n>>2]=m;return m|0}function m_a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a+20>>2]|0;if(c|0){d=a+28|0;e=0;do{GEb(1,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+32>>2]|0;if((c|0)>0){e=a+40|0;d=0;do{oEb(2,f[(f[e>>2]|0)+4+(d<<2)>>2]|0,b);d=d+1|0}while((d|0)!=(c|0))}c=f[a+44>>2]|0;if((c|0)>0){d=a+52|0;e=0;do{oEb(3,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+56>>2]|0;if((c|0)>0){e=a+64|0;d=0;do{oEb(4,f[(f[e>>2]|0)+4+(d<<2)>>2]|0,b);d=d+1|0}while((d|0)!=(c|0))}c=f[a+68>>2]|0;if((c|0)>0){d=a+76|0;e=0;do{oEb(5,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+84>>2]|0;if(c|0){e=a+92|0;d=0;do{GEb(6,f[(f[e>>2]|0)+4+(d<<2)>>2]|0,b);d=d+1|0}while((d|0)!=(c|0))}c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function n_a(a){a=a|0;return f[a+12>>2]|0}function o_a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;e=f[a+20>>2]|0;if(!e)g=d;else{h=a+28|0;i=0;j=d;while(1){d=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;b[j>>0]=10;k=j+1|0;l=ci[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=k;r=l}b[q>>0]=r;n=ki[f[(f[d>>2]|0)+64>>2]&511](d,c,q+1|0)|0;i=i+1|0;if((i|0)==(e|0)){g=n;break}else j=n}}j=f[a+32>>2]|0;if(!j)s=g;else{e=f[a+40>>2]|0;i=0;q=g;while(1){g=f[e+4+(i<<2)>>2]|0;b[q>>0]=16;r=q+1|0;if(g>>>0>127){h=g;n=r;while(1){b[n>>0]=h|128;m=h>>>7;o=n+1|0;if(h>>>0>16383){h=m;n=o}else{t=o;u=m;break}}}else{t=r;u=g}b[t>>0]=u;n=t+1|0;i=i+1|0;if((i|0)>=(j|0)){s=n;break}else q=n}}q=f[a+44>>2]|0;if(!q)v=s;else{j=f[a+52>>2]|0;i=0;t=s;while(1){s=f[j+4+(i<<2)>>2]|0;b[t>>0]=24;u=t+1|0;if(s>>>0>127){e=s;n=u;while(1){b[n>>0]=e|128;h=e>>>7;d=n+1|0;if(e>>>0>16383){e=h;n=d}else{w=d;x=h;break}}}else{w=u;x=s}b[w>>0]=x;n=w+1|0;i=i+1|0;if((i|0)>=(q|0)){v=n;break}else t=n}}t=f[a+56>>2]|0;if(!t)y=v;else{q=f[a+64>>2]|0;i=0;w=v;while(1){v=f[q+4+(i<<2)>>2]|0;b[w>>0]=32;x=w+1|0;if(v>>>0>127){j=v;n=x;while(1){b[n>>0]=j|128;e=j>>>7;g=n+1|0;if(j>>>0>16383){j=e;n=g}else{z=g;A=e;break}}}else{z=x;A=v}b[z>>0]=A;n=z+1|0;i=i+1|0;if((i|0)>=(t|0)){y=n;break}else w=n}}w=f[a+68>>2]|0;if(!w)B=y;else{t=f[a+76>>2]|0;i=0;z=y;while(1){y=f[t+4+(i<<2)>>2]|0;b[z>>0]=40;A=z+1|0;if(y>>>0>127){q=y;n=A;while(1){b[n>>0]=q|128;j=q>>>7;s=n+1|0;if(q>>>0>16383){q=j;n=s}else{C=s;D=j;break}}}else{C=A;D=y}b[C>>0]=D;n=C+1|0;i=i+1|0;if((i|0)>=(w|0)){B=n;break}else z=n}}z=f[a+84>>2]|0;if(!z)E=B;else{w=a+92|0;i=0;C=B;while(1){B=f[(f[w>>2]|0)+4+(i<<2)>>2]|0;b[C>>0]=50;D=C+1|0;t=ci[f[(f[B>>2]|0)+60>>2]&1023](B)|0;if(t>>>0>127){n=t;q=D;while(1){b[q>>0]=n|128;v=n>>>7;x=q+1|0;if(n>>>0>16383){n=v;q=x}else{F=x;G=v;break}}}else{F=D;G=t}b[F>>0]=G;q=ki[f[(f[B>>2]|0)+64>>2]&511](B,c,F+1|0)|0;i=i+1|0;if((i|0)==(z|0)){E=q;break}else C=q}}C=f[a+4>>2]|0;if(!(C&1)){H=E;return H|0}H=f4b(C&-2,E)|0;return H|0}function p_a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function q_a(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,19640,0)|0;if(!c){c2b(b,a);return}else{gWa(a,c);return}}function r_a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function s_a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533760;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function t_a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=a+12|0;c=f[b>>2]|0;do if(!c){d=a+4|0;e=f[a+8>>2]|0;g=6}else{h=a+4|0;i=f[h>>2]|0;j=f[c>>2]|0;if((i|0)>=(j|0))if((j|0)==(f[a+8>>2]|0)){d=h;e=j;g=6;break}else{k=h;l=j;m=c;break}f[h>>2]=i+1;n=f[c+4+(i<<2)>>2]|0;return n|0}while(0);if((g|0)==6){uDb(a,e+1|0);e=f[b>>2]|0;k=d;l=f[e>>2]|0;m=e}f[m>>2]=l+1;l=f[a>>2]|0;if(!l){a=Bmc(32)|0;mVa(a);o=a}else{if(f[l+64>>2]|0)pBb(l,19272,32);a=oBb(l,32,1653)|0;mVa(a);o=a}a=f[b>>2]|0;b=f[k>>2]|0;f[k>>2]=b+1;f[a+4+(b<<2)>>2]=o;n=o;return n|0}function u_a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function v_a(a){a=a|0;var b=0,c=0;f[a>>2]=124408;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function w_a(a){a=a|0;var b=0,c=0;f[a>>2]=124408;b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function x_a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function y_a(a,b){a=a|0;b=b|0;a=Bmc(20)|0;eWa(a);if(!b)return a|0;K_a(b,a);return a|0}function z_a(a){a=a|0;var b=0;n[a+16>>2]=0.0;f[a+8>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function A_a(a){a=a|0;return 1}function B_a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+16|0;k=a+4|0;while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){l=b[a>>0]|0;m=l&255;if(l<<24>>24>0){f[c>>2]=a+1;n=m;o=6}else{p=m;o=5}}else{p=0;o=5}if((o|0)==5){o=0;m=xCb(c,p)|0;if((m+-1|0)>>>0<127){n=m;o=6}else q=m}if((o|0)==6){o=0;if((n|0)==13){f[i>>2]=f[i>>2]|1;m=f[c>>2]|0;if(((f[g>>2]|0)-m|0)>3){a=m;l=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=l;f[c>>2]=m+4;r=l}else{if(!(uCb(c,e)|0)){o=12;break}r=f[e>>2]|0}f[j>>2]=r;continue}else q=n}if(!q){s=1;o=18;break}l=f[k>>2]|0;if(!(l&1))t=AHa(k)|0;else t=l&-2;if(!(b4b(c,q,t)|0)){s=0;o=18;break}}if((o|0)==12){s=0;u=d;return s|0}else if((o|0)==18){u=d;return s|0}return 0}function C_a(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+8>>2]&1|0?c+5|0:c;f[a+12>>2]=b;return b|0}function D_a(a,b){a=a|0;b=b|0;var c=0;if(f[a+8>>2]&1|0)wEb(1,+n[a+16>>2],b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function E_a(a){a=a|0;return f[a+12>>2]|0}function F_a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0;if(!(f[a+8>>2]&1))e=d;else{c=f[a+16>>2]|0;b[d>>0]=13;g=d+1|0;b[g>>0]=c;b[g+1>>0]=c>>8;b[g+2>>0]=c>>16;b[g+3>>0]=c>>24;e=d+5|0}d=f[a+4>>2]|0;if(!(d&1)){h=e;return h|0}h=f4b(d&-2,e)|0;return h|0}function G_a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function H_a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,19656,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}if(!(f[c+8>>2]&1))return;d=f[c+16>>2]|0;c=a+8|0;f[c>>2]=f[c>>2]|1;f[a+16>>2]=d;return}function I_a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function J_a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=534008;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function K_a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function L_a(a){a=a|0;var b=0,c=0;f[a>>2]=124516;b=f[a+24>>2]|0;if(b|0?(f[b>>2]|0)==0:0)Emc(b);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function M_a(a){a=a|0;var b=0,c=0;f[a>>2]=124516;b=f[a+24>>2]|0;if(b|0?(f[b>>2]|0)==0:0)Emc(b);b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function N_a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function O_a(a,b){a=a|0;b=b|0;a=Bmc(36)|0;cWa(a);if(!b)return a|0;__a(b,a);return a|0}function P_a(a){a=a|0;var c=0;f[a+16>>2]=0;c=a+8|0;if(f[c>>2]&3|0){f[a+28>>2]=1;b[a+32>>0]=1}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function Q_a(a){a=a|0;return 1}function R_a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+28|0;k=a+4|0;l=a+16|0;m=a+20|0;n=a+24|0;o=a+32|0;a=e+8|0;a:while(1){p=f[c>>2]|0;if(p>>>0<(f[g>>2]|0)>>>0){q=b[p>>0]|0;r=q&255;if(q<<24>>24>0){f[c>>2]=p+1;s=r;t=6}else{v=r;t=5}}else{v=0;t=5}if((t|0)==5){t=0;r=xCb(c,v)|0;if((r+-1|0)>>>0<127){s=r;t=6}else w=r}b:do if((t|0)==6){t=0;switch(s>>>3&536870911|0){case 1:{if((s&255|0)!=8){w=s;break b}r=f[c>>2]|0;if(r>>>0<(f[g>>2]|0)>>>0){p=b[r>>0]|0;q=p&255;if(p<<24>>24>-1){f[c>>2]=r+1;x=q}else{y=q;t=11}}else{y=0;t=11}if((t|0)==11){t=0;q=iCb(c,y)|0;r=J;if((r|0)>-1|(r|0)==-1&q>>>0>4294967295)x=q;else{z=0;t=46;break a}}if(x>>>0<3){f[i>>2]=f[i>>2]|1;f[j>>2]=x;continue a}q=f[k>>2]|0;if(!(q&1))A=AHa(k)|0;else A=q&-2;R3b(A,1,x,((x|0)<0)<<31>>31);continue a;break}case 2:{switch((s&255)<<24>>24){case 21:break;case 18:{if(XSa(c,l)|0)continue a;else{z=0;t=46;break a}break}default:{w=s;break b}}q=f[c>>2]|0;if(((f[g>>2]|0)-q|0)>3){r=q;p=h[r>>0]|h[r+1>>0]<<8|h[r+2>>0]<<16|h[r+3>>0]<<24;f[e>>2]=p;f[c>>2]=q+4;B=p}else{if(!(uCb(c,e)|0)){t=33;break a}B=f[e>>2]|0}p=f[l>>2]|0;if((p|0)==(f[m>>2]|0)){aEa(l,p+1|0);C=f[l>>2]|0}else C=p;p=f[n>>2]|0;q=C+1|0;f[l>>2]=q;f[p+4+(C<<2)>>2]=B;r=f[c>>2]|0;D=(f[g>>2]|0)-r|0;if((D|0)<=0)continue a;E=r;r=(f[m>>2]|0)-q|0;F=(D>>>0)/5|0;G=(F|0)<(r|0)?F:r;if((G|0)>0){H=0;I=E;K=q}else continue a;while(1){if((b[I>>0]|0)!=21){L=H;break}q=I+1|0;r=h[q>>0]|h[q+1>>0]<<8|h[q+2>>0]<<16|h[q+3>>0]<<24;q=K;K=K+1|0;f[l>>2]=K;f[p+4+(q<<2)>>2]=r;r=H+1|0;if((r|0)>=(G|0)){L=r;break}else{H=r;I=I+5|0}}G=L*5|0;if((L|0)<=0)continue a;if((D|0)<(G|0)){qCb(c,G,D)|0;continue a}else{f[c>>2]=E+G;continue a}break}case 3:{if((s&255|0)!=24){w=s;break b}f[i>>2]=f[i>>2]|2;G=f[c>>2]|0;if(G>>>0<(f[g>>2]|0)>>>0?(p=b[G>>0]|0,p<<24>>24>-1):0){f[c>>2]=G+1;M=p<<24>>24!=0}else{jCb(e,c);p=e;if(!(b[a>>0]|0)){z=0;t=46;break a}else M=(f[p>>2]|0)!=0|(f[p+4>>2]|0)!=0}b[o>>0]=M&1;continue a;break}default:{w=s;break b}}}while(0);if(!w){z=1;t=46;break}p=f[k>>2]|0;if(!(p&1))N=AHa(k)|0;else N=p&-2;if(!(b4b(c,w,N)|0)){z=0;t=46;break}}if((t|0)==33){z=0;u=d;return z|0}else if((t|0)==46){u=d;return z|0}return 0}function S_a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+16>>2]|0;d=b+c+(b<<2)|0;b=f[a+8>>2]|0;if(!(b&3)){e=d;g=a+12|0;f[g>>2]=e;return e|0}if(!(b&1))h=d;else{c=f[a+28>>2]|0;if((c|0)<0)i=11;else i=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;h=i+d|0}e=b&2|0?h+2|0:h;g=a+12|0;f[g>>2]=e;return e|0}function T_a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=f[a+8>>2]|0;if(d&1|0)zEb(1,f[a+28>>2]|0,c);e=f[a+16>>2]|0;if((e|0)>0){g=a+24|0;h=0;do{wEb(2,+n[(f[g>>2]|0)+4+(h<<2)>>2],c);h=h+1|0}while((h|0)!=(e|0))}if(d&2|0)yEb(3,(b[a+32>>0]|0)!=0,c);d=f[a+4>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function U_a(a){a=a|0;return f[a+12>>2]|0}function V_a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+28>>2]|0;b[d>>0]=8;h=d+1|0;d=g&255;if(g>>>0>127){i=h;j=d;k=g;l=((g|0)<0)<<31>>31;while(1){b[i>>0]=j|-128;g=k;k=Irc(k|0,l|0,7)|0;m=i+1|0;n=k&255;if(!(l>>>0>0|(l|0)==0&g>>>0>16383)){o=m;p=n;break}else{i=m;j=n;l=J}}}else{o=h;p=d}b[o>>0]=p;e=o+1|0}o=f[a+16>>2]|0;if(!o)q=e;else{p=f[a+24>>2]|0;d=0;h=e;while(1){e=f[p+4+(d<<2)>>2]|0;b[h>>0]=21;l=h+1|0;b[l>>0]=e;b[l+1>>0]=e>>8;b[l+2>>0]=e>>16;b[l+3>>0]=e>>24;e=h+5|0;d=d+1|0;if((d|0)>=(o|0)){q=e;break}else h=e}}if(!(c&2))r=q;else{c=b[a+32>>0]|0;b[q>>0]=24;b[q+1>>0]=c;r=q+2|0}q=f[a+4>>2]|0;if(!(q&1)){s=r;return s|0}s=f4b(q&-2,r)|0;return s|0}function W_a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function X_a(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,19672,0)|0;if(!c){c2b(b,a);return}else{dWa(a,c);return}}function Y_a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function Z_a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533768;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function __a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function $_a(a){a=a|0;var b=0,c=0;f[a>>2]=124624;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function a$a(a){a=a|0;var b=0,c=0;f[a>>2]=124624;b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function b$a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function c$a(a,b){a=a|0;b=b|0;a=Bmc(28)|0;bWa(a);if(!b)return a|0;o$a(b,a);return a|0}function d$a(a){a=a|0;var b=0,c=0;b=a+8|0;if(f[b>>2]&7|0){c=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[a+24>>2]=1}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function e$a(a){a=a|0;return 1}function f$a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+16|0;j=e+8|0;k=a+24|0;l=a+20|0;m=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=xCb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)!=8){s=p;break b}f[h>>2]=f[h>>2]|1;o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0?(a=b[o>>0]|0,a<<24>>24>-1):0){f[c>>2]=o+1;t=a<<24>>24!=0}else{jCb(e,c);a=e;if(!(b[j>>0]|0)){v=0;q=29;break a}else t=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[i>>0]=t&1;continue a;break}case 2:{if((p&255|0)!=16){s=p;break b}f[h>>2]=f[h>>2]|4;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){o=b[a>>0]|0;n=o&255;if(o<<24>>24>-1){f[k>>2]=n;f[c>>2]=a+1;continue a}else w=n}else w=0;n=iCb(c,w)|0;a=J;f[k>>2]=n;if((a|0)>-1|(a|0)==-1&n>>>0>4294967295)continue a;else{v=0;q=29;break a}break}case 3:{if((p&255|0)!=24){s=p;break b}f[h>>2]=f[h>>2]|2;n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0){a=b[n>>0]|0;o=a&255;if(a<<24>>24>-1){f[c>>2]=n+1;x=o}else{y=o;q=22}}else{y=0;q=22}if((q|0)==22){q=0;o=iCb(c,y)|0;n=J;if((n|0)>-1|(n|0)==-1&o>>>0>4294967295)x=o;else{v=0;q=29;break a}}f[l>>2]=x;continue a;break}default:{s=p;break b}}}while(0);if(!s){v=1;q=29;break}o=f[m>>2]|0;if(!(o&1))z=AHa(m)|0;else z=o&-2;if(!(b4b(c,s,z)|0)){v=0;q=29;break}}if((q|0)==29){u=d;return v|0}return 0}function g$a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+8>>2]|0;if(!(b&7)){d=c;e=a+12|0;f[e>>2]=d;return d|0}g=b&1|0?c+2|0:c;if(!(b&2))h=g;else{c=f[a+20>>2]|0;if((c|0)<0)i=11;else i=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;h=i+g|0}if(!(b&4)){d=h;e=a+12|0;f[e>>2]=d;return d|0}d=h+1+((((($(f[a+24>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=a+12|0;f[e>>2]=d;return d|0}function h$a(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&1|0)yEb(1,(b[a+16>>0]|0)!=0,c);if(d&4|0)oEb(2,f[a+24>>2]|0,c);if(d&2|0)mEb(3,f[a+20>>2]|0,c);d=f[a+4>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function i$a(a){a=a|0;return f[a+12>>2]|0}function j$a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=b[a+16>>0]|0;b[d>>0]=8;b[d+1>>0]=g;e=d+2|0}if(!(c&4))h=e;else{d=f[a+24>>2]|0;b[e>>0]=16;g=e+1|0;if(d>>>0>127){e=d;i=g;while(1){b[i>>0]=e|128;j=e>>>7;k=i+1|0;if(e>>>0>16383){e=j;i=k}else{l=k;m=j;break}}}else{l=g;m=d}b[l>>0]=m;h=l+1|0}if(!(c&2))n=h;else{c=f[a+20>>2]|0;b[h>>0]=24;l=h+1|0;h=c&255;if(c>>>0>127){m=l;d=h;g=c;i=((c|0)<0)<<31>>31;while(1){b[m>>0]=d|-128;c=g;g=Irc(g|0,i|0,7)|0;e=m+1|0;j=g&255;if(!(i>>>0>0|(i|0)==0&c>>>0>16383)){o=e;p=j;break}else{m=e;d=j;i=J}}}else{o=l;p=h}b[o>>0]=p;n=o+1|0}o=f[a+4>>2]|0;if(!(o&1)){q=n;return q|0}q=f4b(o&-2,n)|0;return q|0}function k$a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function l$a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=Jnc(c,24640,19688,0)|0;if(!d){c2b(c,a);return}c=a+4|0;e=f[d+4>>2]|0;if(e&1|0){g=f[c>>2]|0;if(!(g&1))h=AHa(c)|0;else h=g&-2;O3b(h,e&-2)}e=f[d+8>>2]|0;if(!(e&7))return;if(e&1|0)b[a+16>>0]=b[d+16>>0]|0;if(e&2|0)f[a+20>>2]=f[d+20>>2];if(e&4|0)f[a+24>>2]=f[d+24>>2];d=a+8|0;f[d>>2]=f[d>>2]|e;return}function m$a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function n$a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533672;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function o$a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function p$a(a){a=a|0;var b=0,c=0;f[a>>2]=124732;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function q$a(a){a=a|0;var b=0,c=0;f[a>>2]=124732;b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function r$a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function s$a(a,b){a=a|0;b=b|0;a=Bmc(32)|0;aWa(a);if(!b)return a|0;E$a(b,a);return a|0}function t$a(a){a=a|0;var b=0,c=0;b=a+8|0;if(f[b>>2]&15|0){c=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function u$a(a){a=a|0;return 1}function v$a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;d=c+4|0;e=a+8|0;g=a+16|0;h=a+20|0;i=a+24|0;j=a+28|0;k=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){l=b[a>>0]|0;m=l&255;if(l<<24>>24>0){f[c>>2]=a+1;n=m;o=6}else{p=m;o=5}}else{p=0;o=5}if((o|0)==5){o=0;m=xCb(c,p)|0;if((m+-1|0)>>>0<127){n=m;o=6}else q=m}b:do if((o|0)==6){o=0;switch(n>>>3&536870911|0){case 1:{if((n&255|0)!=8){q=n;break b}f[e>>2]=f[e>>2]|1;m=f[c>>2]|0;if(m>>>0<(f[d>>2]|0)>>>0){a=b[m>>0]|0;l=a&255;if(a<<24>>24>-1){f[g>>2]=l;f[c>>2]=m+1;continue a}else r=l}else r=0;l=iCb(c,r)|0;m=J;f[g>>2]=l;if((m|0)>-1|(m|0)==-1&l>>>0>4294967295)continue a;else{s=0;o=32;break a}break}case 2:{if((n&255|0)!=16){q=n;break b}f[e>>2]=f[e>>2]|2;l=f[c>>2]|0;if(l>>>0<(f[d>>2]|0)>>>0){m=b[l>>0]|0;a=m&255;if(m<<24>>24>-1){f[h>>2]=a;f[c>>2]=l+1;continue a}else t=a}else t=0;a=iCb(c,t)|0;l=J;f[h>>2]=a;if((l|0)>-1|(l|0)==-1&a>>>0>4294967295)continue a;else{s=0;o=32;break a}break}case 3:{if((n&255|0)!=24){q=n;break b}f[e>>2]=f[e>>2]|4;a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){l=b[a>>0]|0;m=l&255;if(l<<24>>24>-1){f[i>>2]=m;f[c>>2]=a+1;continue a}else u=m}else u=0;m=iCb(c,u)|0;a=J;f[i>>2]=m;if((a|0)>-1|(a|0)==-1&m>>>0>4294967295)continue a;else{s=0;o=32;break a}break}case 4:{if((n&255|0)!=32){q=n;break b}f[e>>2]=f[e>>2]|8;m=f[c>>2]|0;if(m>>>0<(f[d>>2]|0)>>>0){a=b[m>>0]|0;l=a&255;if(a<<24>>24>-1){f[j>>2]=l;f[c>>2]=m+1;continue a}else v=l}else v=0;l=iCb(c,v)|0;m=J;f[j>>2]=l;if((m|0)>-1|(m|0)==-1&l>>>0>4294967295)continue a;else{s=0;o=32;break a}break}default:{q=n;break b}}}while(0);if(!q){s=1;o=32;break}l=f[k>>2]|0;if(!(l&1))w=AHa(k)|0;else w=l&-2;if(!(b4b(c,q,w)|0)){s=0;o=32;break}}if((o|0)==32)return s|0;return 0}function w$a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+8>>2]|0;if(!(b&15)){d=c;e=a+12|0;f[e>>2]=d;return d|0}if(!(b&1))g=c;else g=c+1+((((($(f[a+16>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(b&2))h=g;else h=g+1+((((($(f[a+20>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(b&4))i=h;else i=h+1+((((($(f[a+24>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(b&8)){d=i;e=a+12|0;f[e>>2]=d;return d|0}d=i+1+((((($(f[a+28>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=a+12|0;f[e>>2]=d;return d|0}function x$a(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)oEb(1,f[a+16>>2]|0,b);if(c&2|0)oEb(2,f[a+20>>2]|0,b);if(c&4|0)oEb(3,f[a+24>>2]|0,b);if(c&8|0)oEb(4,f[a+28>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function y$a(a){a=a|0;return f[a+12>>2]|0}function z$a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=8;h=d+1|0;if(g>>>0>127){d=g;i=h;while(1){b[i>>0]=d|128;j=d>>>7;k=i+1|0;if(d>>>0>16383){d=j;i=k}else{l=k;m=j;break}}}else{l=h;m=g}b[l>>0]=m;e=l+1|0}if(!(c&2))n=e;else{l=f[a+20>>2]|0;b[e>>0]=16;m=e+1|0;if(l>>>0>127){e=l;g=m;while(1){b[g>>0]=e|128;h=e>>>7;i=g+1|0;if(e>>>0>16383){e=h;g=i}else{o=i;p=h;break}}}else{o=m;p=l}b[o>>0]=p;n=o+1|0}if(!(c&4))q=n;else{o=f[a+24>>2]|0;b[n>>0]=24;p=n+1|0;if(o>>>0>127){n=o;l=p;while(1){b[l>>0]=n|128;m=n>>>7;g=l+1|0;if(n>>>0>16383){n=m;l=g}else{r=g;s=m;break}}}else{r=p;s=o}b[r>>0]=s;q=r+1|0}if(!(c&8))t=q;else{c=f[a+28>>2]|0;b[q>>0]=32;r=q+1|0;if(c>>>0>127){q=c;s=r;while(1){b[s>>0]=q|128;o=q>>>7;p=s+1|0;if(q>>>0>16383){q=o;s=p}else{u=p;v=o;break}}}else{u=r;v=c}b[u>>0]=v;t=u+1|0}u=f[a+4>>2]|0;if(!(u&1)){w=t;return w|0}w=f4b(u&-2,t)|0;return w|0}function A$a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function B$a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,19704,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}d=f[c+8>>2]|0;if(!(d&15))return;if(d&1|0)f[a+16>>2]=f[c+16>>2];if(d&2|0)f[a+20>>2]=f[c+20>>2];if(d&4|0)f[a+24>>2]=f[c+24>>2];if(d&8|0)f[a+28>>2]=f[c+28>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function C$a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function D$a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533880;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function E$a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function F$a(a){a=a|0;var b=0,c=0;f[a>>2]=124840;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function G$a(a){a=a|0;var b=0,c=0;f[a>>2]=124840;b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function H$a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function I$a(a,b){a=a|0;b=b|0;a=Bmc(28)|0;$Va(a);if(!b)return a|0;U$a(b,a);return a|0}function J$a(a){a=a|0;var b=0;b=a+8|0;if(f[b>>2]&7|0){n[a+16>>2]=0.0;n[a+20>>2]=1.0;n[a+24>>2]=1.0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function K$a(a){a=a|0;return 1}function L$a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+20|0;k=a+24|0;l=a+16|0;m=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=xCb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)!=13){s=p;break b}f[i>>2]=f[i>>2]|2;o=f[c>>2]|0;if(((f[g>>2]|0)-o|0)>3){a=o;n=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=n;f[c>>2]=o+4;t=n}else{if(!(uCb(c,e)|0)){q=13;break a}t=f[e>>2]|0}f[j>>2]=t;continue a;break}case 2:{if((p&255|0)!=21){s=p;break b}f[i>>2]=f[i>>2]|4;n=f[c>>2]|0;if(((f[g>>2]|0)-n|0)>3){o=n;a=h[o>>0]|h[o+1>>0]<<8|h[o+2>>0]<<16|h[o+3>>0]<<24;f[e>>2]=a;f[c>>2]=n+4;v=a}else{if(!(uCb(c,e)|0)){q=20;break a}v=f[e>>2]|0}f[k>>2]=v;continue a;break}case 3:{if((p&255|0)!=29){s=p;break b}f[i>>2]=f[i>>2]|1;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){n=a;o=h[n>>0]|h[n+1>>0]<<8|h[n+2>>0]<<16|h[n+3>>0]<<24;f[e>>2]=o;f[c>>2]=a+4;w=o}else{if(!(uCb(c,e)|0)){q=27;break a}w=f[e>>2]|0}f[l>>2]=w;continue a;break}default:{s=p;break b}}}while(0);if(!s){x=1;q=33;break}o=f[m>>2]|0;if(!(o&1))y=AHa(m)|0;else y=o&-2;if(!(b4b(c,s,y)|0)){x=0;q=33;break}}if((q|0)==13){x=0;u=d;return x|0}else if((q|0)==20){x=0;u=d;return x|0}else if((q|0)==27){x=0;u=d;return x|0}else if((q|0)==33){u=d;return x|0}return 0}function M$a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+8>>2]|0;if(!(b&7)){d=c;e=a+12|0;f[e>>2]=d;return d|0}g=b&1|0?c+5|0:c;c=b&2|0?g+5|0:g;d=b&4|0?c+5|0:c;e=a+12|0;f[e>>2]=d;return d|0}function N$a(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&2|0)wEb(1,+n[a+20>>2],b);if(c&4|0)wEb(2,+n[a+24>>2],b);if(c&1|0)wEb(3,+n[a+16>>2],b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function O$a(a){a=a|0;return f[a+12>>2]|0}function P$a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;c=f[a+8>>2]|0;if(!(c&2))e=d;else{g=f[a+20>>2]|0;b[d>>0]=13;h=d+1|0;b[h>>0]=g;b[h+1>>0]=g>>8;b[h+2>>0]=g>>16;b[h+3>>0]=g>>24;e=d+5|0}if(!(c&4))i=e;else{d=f[a+24>>2]|0;b[e>>0]=21;g=e+1|0;b[g>>0]=d;b[g+1>>0]=d>>8;b[g+2>>0]=d>>16;b[g+3>>0]=d>>24;i=e+5|0}if(!(c&1))j=i;else{c=f[a+16>>2]|0;b[i>>0]=29;e=i+1|0;b[e>>0]=c;b[e+1>>0]=c>>8;b[e+2>>0]=c>>16;b[e+3>>0]=c>>24;j=i+5|0}i=f[a+4>>2]|0;if(!(i&1)){k=j;return k|0}k=f4b(i&-2,j)|0;return k|0}function Q$a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function R$a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,19720,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}d=f[c+8>>2]|0;if(!(d&7))return;if(d&1|0)f[a+16>>2]=f[c+16>>2];if(d&2|0)f[a+20>>2]=f[c+20>>2];if(d&4|0)f[a+24>>2]=f[c+24>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function S$a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function T$a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533912;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function U$a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function V$a(a){a=a|0;var b=0,c=0;f[a>>2]=124948;j0a(a);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function W$a(a){a=a|0;V$a(a);Emc(a);return}function X$a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function Y$a(a,b){a=a|0;b=b|0;a=Bmc(64)|0;ZVa(a);if(!b)return a|0;i0a(b,a);return a|0}function Z$a(a){a=a|0;var c=0,e=0,g=0,h=0;c=a+8|0;e=f[c>>2]|0;do if(e&15|0){do if(e&1|0){g=f[a+16>>2]|0;h=g+11|0;if((b[h>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[h>>0]=0;break}}while(0);do if(e&2|0){h=f[a+20>>2]|0;g=h+11|0;if((b[g>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0;break}else{b[h>>0]=0;b[g>>0]=0;break}}while(0);if(e&4|0)Qmc(f[a+24>>2]|0,533488)|0;if(e&8|0){g=f[a+28>>2]|0;h=g+11|0;if((b[h>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[h>>0]=0;break}}}while(0);if(e&240|0){h=a+32|0;f[h>>2]=0;f[h+4>>2]=0;d[h+8>>1]=0}if(e&7936|0){f[a+44>>2]=0;n[a+48>>2]=1.0;n[a+52>>2]=.5;n[a+56>>2]=.5;n[a+60>>2]=.25}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function _$a(a){a=a|0;return 1}function $$a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+16|0;k=a+48|0;l=a+20|0;m=a+32|0;n=a+36|0;o=a+40|0;p=e+8|0;q=a+52|0;r=a+56|0;s=a+60|0;t=a+44|0;v=a+24|0;w=a+41|0;x=e+8|0;y=a+28|0;z=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){A=b[a>>0]|0;B=A&255;if(A<<24>>24>0){f[c>>2]=a+1;C=B;D=6}else{E=B;D=5}}else{E=0;D=5}if((D|0)==5){D=0;B=xCb(c,E)|0;if((B+-1|0)>>>0<127){C=B;D=6}else F=B}b:do if((D|0)==6){D=0;do switch(C>>>3&536870911|0){case 1:{if((C&255|0)!=10){F=C;break b}f[i>>2]=f[i>>2]|1;B=f[j>>2]|0;if((B|0)==535416){aFa(j,535416);G=f[j>>2]|0}else G=B;if(HEb(c,G)|0)continue a;else{H=0;D=83;break a}break}case 2:{if((C&255|0)!=21){F=C;break b}f[i>>2]=f[i>>2]|512;B=f[c>>2]|0;if(((f[g>>2]|0)-B|0)>3){a=B;A=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=A;f[c>>2]=B+4;I=A}else{if(!(uCb(c,e)|0)){D=17;break a}I=f[e>>2]|0}f[k>>2]=I;continue a;break}case 3:{if((C&255|0)!=26){F=C;break b}f[i>>2]=f[i>>2]|2;A=f[l>>2]|0;if((A|0)==535416){aFa(l,535416);K=f[l>>2]|0}else K=A;if(HEb(c,K)|0)continue a;else{H=0;D=83;break a}break}case 4:{if((C&255|0)!=32){F=C;break b}f[i>>2]=f[i>>2]|16;A=f[c>>2]|0;if(A>>>0<(f[g>>2]|0)>>>0){B=b[A>>0]|0;a=B&255;if(B<<24>>24>-1){f[m>>2]=a;f[c>>2]=A+1;continue a}else L=a}else L=0;a=iCb(c,L)|0;A=J;f[m>>2]=a;if((A|0)>-1|(A|0)==-1&a>>>0>4294967295)continue a;else{H=0;D=83;break a}break}case 5:{if((C&255|0)!=40){F=C;break b}f[i>>2]=f[i>>2]|32;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){A=b[a>>0]|0;B=A&255;if(A<<24>>24>-1){f[n>>2]=B;f[c>>2]=a+1;continue a}else M=B}else M=0;B=iCb(c,M)|0;a=J;f[n>>2]=B;if((a|0)>-1|(a|0)==-1&B>>>0>4294967295)continue a;else{H=0;D=83;break a}break}case 6:{if((C&255|0)!=48){F=C;break b}f[i>>2]=f[i>>2]|64;B=f[c>>2]|0;if(B>>>0<(f[g>>2]|0)>>>0?(a=b[B>>0]|0,a<<24>>24>-1):0){f[c>>2]=B+1;N=a<<24>>24!=0}else{jCb(e,c);a=e;if(!(b[p>>0]|0)){H=0;D=83;break a}else N=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[o>>0]=N&1;continue a;break}case 7:{if((C&255|0)!=61){F=C;break b}f[i>>2]=f[i>>2]|1024;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){B=a;A=h[B>>0]|h[B+1>>0]<<8|h[B+2>>0]<<16|h[B+3>>0]<<24;f[e>>2]=A;f[c>>2]=a+4;O=A}else{if(!(uCb(c,e)|0)){D=44;break a}O=f[e>>2]|0}f[q>>2]=O;continue a;break}case 8:{if((C&255|0)!=69){F=C;break b}f[i>>2]=f[i>>2]|2048;A=f[c>>2]|0;if(((f[g>>2]|0)-A|0)>3){a=A;B=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=B;f[c>>2]=A+4;P=B}else{if(!(uCb(c,e)|0)){D=51;break a}P=f[e>>2]|0}f[r>>2]=P;continue a;break}case 9:{if((C&255|0)!=77){F=C;break b}f[i>>2]=f[i>>2]|4096;B=f[c>>2]|0;if(((f[g>>2]|0)-B|0)>3){A=B;a=h[A>>0]|h[A+1>>0]<<8|h[A+2>>0]<<16|h[A+3>>0]<<24;f[e>>2]=a;f[c>>2]=B+4;Q=a}else{if(!(uCb(c,e)|0)){D=58;break a}Q=f[e>>2]|0}f[s>>2]=Q;continue a;break}case 10:{if((C&255|0)!=80){F=C;break b}f[i>>2]=f[i>>2]|256;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){B=b[a>>0]|0;A=B&255;if(B<<24>>24>-1){f[t>>2]=A;f[c>>2]=a+1;continue a}else R=A}else R=0;A=iCb(c,R)|0;a=J;f[t>>2]=A;if((a|0)>-1|(a|0)==-1&A>>>0>4294967295)continue a;else{H=0;D=83;break a}break}case 11:{if((C&255|0)!=90){F=C;break b}f[i>>2]=f[i>>2]|4;A=f[v>>2]|0;if((A|0)==533488){aFa(v,533488);S=f[v>>2]|0}else S=A;if(HEb(c,S)|0)continue a;else{H=0;D=83;break a}break}case 12:{if((C&255|0)!=96){F=C;break b}f[i>>2]=f[i>>2]|128;A=f[c>>2]|0;if(A>>>0<(f[g>>2]|0)>>>0?(a=b[A>>0]|0,a<<24>>24>-1):0){f[c>>2]=A+1;T=a<<24>>24!=0}else{jCb(e,c);a=e;if(!(b[x>>0]|0)){H=0;D=83;break a}else T=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[w>>0]=T&1;continue a;break}case 13:{if((C&255|0)!=106){F=C;break b}f[i>>2]=f[i>>2]|8;a=f[y>>2]|0;if((a|0)==535416){aFa(y,535416);U=f[y>>2]|0}else U=a;if(HEb(c,U)|0)continue a;else{H=0;D=83;break a}break}default:{F=C;break b}}while(0)}while(0);if(!F){H=1;D=83;break}a=f[z>>2]|0;if(!(a&1))V=AHa(z)|0;else V=a&-2;if(!(b4b(c,F,V)|0)){H=0;D=83;break}}if((D|0)==17){H=0;u=d;return H|0}else if((D|0)==44){H=0;u=d;return H|0}else if((D|0)==51){H=0;u=d;return H|0}else if((D|0)==58){H=0;u=d;return H|0}else if((D|0)==83){u=d;return H|0}return 0}function a0a(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=f[a+8>>2]|0;if(!(c&255))e=d;else{if(!(c&1))g=d;else{h=f[a+16>>2]|0;i=b[h+11>>0]|0;j=i<<24>>24<0?f[h+4>>2]|0:i&255;g=d+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&2))k=g;else{j=f[a+20>>2]|0;d=b[j+11>>0]|0;i=d<<24>>24<0?f[j+4>>2]|0:d&255;k=g+1+i+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&4))l=k;else{i=f[a+24>>2]|0;g=b[i+11>>0]|0;d=g<<24>>24<0?f[i+4>>2]|0:g&255;l=k+1+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&8))m=l;else{d=f[a+28>>2]|0;k=b[d+11>>0]|0;g=k<<24>>24<0?f[d+4>>2]|0:k&255;m=l+1+g+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&16))n=m;else n=m+1+((((($(f[a+32>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(c&32))o=n;else o=n+1+((((($(f[a+36>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;n=c&64|0?o+2|0:o;e=c&128|0?n+2|0:n}if(!(c&7936)){p=e;q=a+12|0;f[q>>2]=p;return p|0}if(!(c&256))r=e;else r=e+1+((((($(f[a+44>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=c&512|0?r+5|0:r;r=c&1024|0?e+5|0:e;e=c&2048|0?r+5|0:r;p=c&4096|0?e+5|0:e;q=a+12|0;f[q>>2]=p;return p|0}function b0a(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&1|0)BEb(1,f[a+16>>2]|0,c);if(d&512|0)wEb(2,+n[a+48>>2],c);if(d&2|0)BEb(3,f[a+20>>2]|0,c);if(d&16|0)oEb(4,f[a+32>>2]|0,c);if(d&32|0)oEb(5,f[a+36>>2]|0,c);if(d&64|0)yEb(6,(b[a+40>>0]|0)!=0,c);if(d&1024|0)wEb(7,+n[a+52>>2],c);if(d&2048|0)wEb(8,+n[a+56>>2],c);if(d&4096|0)wEb(9,+n[a+60>>2],c);if(d&256|0)oEb(10,f[a+44>>2]|0,c);if(d&4|0)BEb(11,f[a+24>>2]|0,c);if(d&128|0)yEb(12,(b[a+41>>0]|0)!=0,c);if(d&8|0)BEb(13,f[a+28>>2]|0,c);d=f[a+4>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function c0a(a){a=a|0;return f[a+12>>2]|0}function d0a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=10;e=GCb(g,d+1|0)|0}if(!(c&512))h=e;else{d=f[a+48>>2]|0;b[e>>0]=21;g=e+1|0;b[g>>0]=d;b[g+1>>0]=d>>8;b[g+2>>0]=d>>16;b[g+3>>0]=d>>24;h=e+5|0}if(!(c&2))i=h;else{e=f[a+20>>2]|0;b[h>>0]=26;i=GCb(e,h+1|0)|0}if(!(c&16))j=i;else{h=f[a+32>>2]|0;b[i>>0]=32;e=i+1|0;if(h>>>0>127){i=h;d=e;while(1){b[d>>0]=i|128;g=i>>>7;k=d+1|0;if(i>>>0>16383){i=g;d=k}else{l=k;m=g;break}}}else{l=e;m=h}b[l>>0]=m;j=l+1|0}if(!(c&32))n=j;else{l=f[a+36>>2]|0;b[j>>0]=40;m=j+1|0;if(l>>>0>127){j=l;h=m;while(1){b[h>>0]=j|128;e=j>>>7;d=h+1|0;if(j>>>0>16383){j=e;h=d}else{o=d;p=e;break}}}else{o=m;p=l}b[o>>0]=p;n=o+1|0}if(!(c&64))q=n;else{o=b[a+40>>0]|0;b[n>>0]=48;b[n+1>>0]=o;q=n+2|0}if(!(c&1024))r=q;else{n=f[a+52>>2]|0;b[q>>0]=61;o=q+1|0;b[o>>0]=n;b[o+1>>0]=n>>8;b[o+2>>0]=n>>16;b[o+3>>0]=n>>24;r=q+5|0}if(!(c&2048))s=r;else{q=f[a+56>>2]|0;b[r>>0]=69;n=r+1|0;b[n>>0]=q;b[n+1>>0]=q>>8;b[n+2>>0]=q>>16;b[n+3>>0]=q>>24;s=r+5|0}if(!(c&4096))t=s;else{r=f[a+60>>2]|0;b[s>>0]=77;q=s+1|0;b[q>>0]=r;b[q+1>>0]=r>>8;b[q+2>>0]=r>>16;b[q+3>>0]=r>>24;t=s+5|0}if(!(c&256))u=t;else{s=f[a+44>>2]|0;b[t>>0]=80;r=t+1|0;if(s>>>0>127){t=s;q=r;while(1){b[q>>0]=t|128;n=t>>>7;o=q+1|0;if(t>>>0>16383){t=n;q=o}else{v=o;w=n;break}}}else{v=r;w=s}b[v>>0]=w;u=v+1|0}if(!(c&4))x=u;else{v=f[a+24>>2]|0;b[u>>0]=90;x=GCb(v,u+1|0)|0}if(!(c&128))y=x;else{u=b[a+41>>0]|0;b[x>>0]=96;b[x+1>>0]=u;y=x+2|0}if(!(c&8))z=y;else{c=f[a+28>>2]|0;b[y>>0]=106;z=GCb(c,y+1|0)|0}y=f[a+4>>2]|0;if(!(y&1)){A=z;return A|0}A=f4b(y&-2,z)|0;return A|0}function e0a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function f0a(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,19736,0)|0;if(!c){c2b(b,a);return}else{_Va(a,c);return}}function g0a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function h0a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=534016;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function i0a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function j0a(a){a=a|0;var c=0;c=f[a+16>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+20>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+24>>2]|0;if(!((c|0)==533488|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+28>>2]|0;if((c|0)==535416|(c|0)==0)return;if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c);return}function k0a(a){a=a|0;var b=0,c=0;f[a>>2]=125056;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function l0a(a){a=a|0;var b=0,c=0;f[a>>2]=125056;b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function m0a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function n0a(a,b){a=a|0;b=b|0;a=Bmc(68)|0;XVa(a);if(!b)return a|0;z0a(b,a);return a|0}function o0a(a){a=a|0;var c=0,d=0,e=0;c=a+8|0;d=f[c>>2]|0;if(d&255|0){e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[e+28>>2]=0}if(d&7936|0){d=a+48|0;f[d>>2]=0;f[d+4>>2]=0;b[d+8>>0]=0;f[a+60>>2]=1;b[a+64>>0]=1}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function p0a(a){a=a|0;return 1}function q0a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+16|0;j=a+4|0;k=a+20|0;l=a+60|0;m=a+24|0;n=a+28|0;o=a+32|0;p=a+36|0;q=a+40|0;r=a+44|0;s=a+48|0;t=a+52|0;v=a+56|0;w=e+8|0;x=a+64|0;a=e+8|0;a:while(1){y=f[c>>2]|0;if(y>>>0<(f[g>>2]|0)>>>0){z=b[y>>0]|0;A=z&255;if(z<<24>>24>0){f[c>>2]=y+1;B=A;C=6}else{D=A;C=5}}else{D=0;C=5}if((C|0)==5){C=0;A=xCb(c,D)|0;if((A+-1|0)>>>0<127){B=A;C=6}else E=A}b:do if((C|0)==6){C=0;do switch(B>>>3&536870911|0){case 1:{if((B&255|0)!=8){E=B;break b}A=f[c>>2]|0;if(A>>>0<(f[g>>2]|0)>>>0){y=b[A>>0]|0;z=y&255;if(y<<24>>24>-1){f[c>>2]=A+1;F=z}else{G=z;C=11}}else{G=0;C=11}if((C|0)==11){C=0;z=iCb(c,G)|0;A=J;if((A|0)>-1|(A|0)==-1&z>>>0>4294967295)F=z;else{H=0;C=91;break a}}if(F>>>0<3){f[h>>2]=f[h>>2]|1;f[i>>2]=F;continue a}z=f[j>>2]|0;if(!(z&1))I=AHa(j)|0;else I=z&-2;R3b(I,1,F,((F|0)<0)<<31>>31);continue a;break}case 2:{if((B&255|0)!=16){E=B;break b}f[h>>2]=f[h>>2]|2;z=f[c>>2]|0;if(z>>>0<(f[g>>2]|0)>>>0){A=b[z>>0]|0;y=A&255;if(A<<24>>24>-1){f[k>>2]=y;f[c>>2]=z+1;continue a}else K=y}else K=0;y=iCb(c,K)|0;z=J;f[k>>2]=y;if((z|0)>-1|(z|0)==-1&y>>>0>4294967295)continue a;else{H=0;C=91;break a}break}case 3:{if((B&255|0)!=24){E=B;break b}f[h>>2]=f[h>>2]|2048;y=f[c>>2]|0;if(y>>>0<(f[g>>2]|0)>>>0){z=b[y>>0]|0;A=z&255;if(z<<24>>24>-1){f[l>>2]=A;f[c>>2]=y+1;continue a}else L=A}else L=0;A=iCb(c,L)|0;y=J;f[l>>2]=A;if((y|0)>-1|(y|0)==-1&A>>>0>4294967295)continue a;else{H=0;C=91;break a}break}case 4:{if((B&255|0)!=32){E=B;break b}f[h>>2]=f[h>>2]|4;A=f[c>>2]|0;if(A>>>0<(f[g>>2]|0)>>>0){y=b[A>>0]|0;z=y&255;if(y<<24>>24>-1){f[m>>2]=z;f[c>>2]=A+1;continue a}else M=z}else M=0;z=iCb(c,M)|0;A=J;f[m>>2]=z;if((A|0)>-1|(A|0)==-1&z>>>0>4294967295)continue a;else{H=0;C=91;break a}break}case 5:{if((B&255|0)!=40){E=B;break b}f[h>>2]=f[h>>2]|8;z=f[c>>2]|0;if(z>>>0<(f[g>>2]|0)>>>0){A=b[z>>0]|0;y=A&255;if(A<<24>>24>-1){f[n>>2]=y;f[c>>2]=z+1;continue a}else N=y}else N=0;y=iCb(c,N)|0;z=J;f[n>>2]=y;if((z|0)>-1|(z|0)==-1&y>>>0>4294967295)continue a;else{H=0;C=91;break a}break}case 6:{if((B&255|0)!=48){E=B;break b}f[h>>2]=f[h>>2]|16;y=f[c>>2]|0;if(y>>>0<(f[g>>2]|0)>>>0){z=b[y>>0]|0;A=z&255;if(z<<24>>24>-1){f[o>>2]=A;f[c>>2]=y+1;continue a}else O=A}else O=0;A=iCb(c,O)|0;y=J;f[o>>2]=A;if((y|0)>-1|(y|0)==-1&A>>>0>4294967295)continue a;else{H=0;C=91;break a}break}case 7:{if((B&255|0)!=56){E=B;break b}f[h>>2]=f[h>>2]|32;A=f[c>>2]|0;if(A>>>0<(f[g>>2]|0)>>>0){y=b[A>>0]|0;z=y&255;if(y<<24>>24>-1){f[p>>2]=z;f[c>>2]=A+1;continue a}else P=z}else P=0;z=iCb(c,P)|0;A=J;f[p>>2]=z;if((A|0)>-1|(A|0)==-1&z>>>0>4294967295)continue a;else{H=0;C=91;break a}break}case 8:{if((B&255|0)!=64){E=B;break b}f[h>>2]=f[h>>2]|64;z=f[c>>2]|0;if(z>>>0<(f[g>>2]|0)>>>0){A=b[z>>0]|0;y=A&255;if(A<<24>>24>-1){f[q>>2]=y;f[c>>2]=z+1;continue a}else Q=y}else Q=0;y=iCb(c,Q)|0;z=J;f[q>>2]=y;if((z|0)>-1|(z|0)==-1&y>>>0>4294967295)continue a;else{H=0;C=91;break a}break}case 9:{if((B&255|0)!=72){E=B;break b}f[h>>2]=f[h>>2]|128;y=f[c>>2]|0;if(y>>>0<(f[g>>2]|0)>>>0){z=b[y>>0]|0;A=z&255;if(z<<24>>24>-1){f[r>>2]=A;f[c>>2]=y+1;continue a}else R=A}else R=0;A=iCb(c,R)|0;y=J;f[r>>2]=A;if((y|0)>-1|(y|0)==-1&A>>>0>4294967295)continue a;else{H=0;C=91;break a}break}case 10:{if((B&255|0)!=80){E=B;break b}f[h>>2]=f[h>>2]|256;A=f[c>>2]|0;if(A>>>0<(f[g>>2]|0)>>>0){y=b[A>>0]|0;z=y&255;if(y<<24>>24>-1){f[s>>2]=z;f[c>>2]=A+1;continue a}else S=z}else S=0;z=iCb(c,S)|0;A=J;f[s>>2]=z;if((A|0)>-1|(A|0)==-1&z>>>0>4294967295)continue a;else{H=0;C=91;break a}break}case 11:{if((B&255|0)!=88){E=B;break b}z=f[c>>2]|0;if(z>>>0<(f[g>>2]|0)>>>0){A=b[z>>0]|0;y=A&255;if(A<<24>>24>-1){f[c>>2]=z+1;T=y}else{U=y;C=67}}else{U=0;C=67}if((C|0)==67){C=0;y=iCb(c,U)|0;z=J;if((z|0)>-1|(z|0)==-1&y>>>0>4294967295)T=y;else{H=0;C=91;break a}}if(T>>>0<3){f[h>>2]=f[h>>2]|512;f[t>>2]=T;continue a}y=f[j>>2]|0;if(!(y&1))V=AHa(j)|0;else V=y&-2;R3b(V,11,T,((T|0)<0)<<31>>31);continue a;break}case 12:{if((B&255|0)!=96){E=B;break b}f[h>>2]=f[h>>2]|1024;y=f[c>>2]|0;if(y>>>0<(f[g>>2]|0)>>>0?(z=b[y>>0]|0,z<<24>>24>-1):0){f[c>>2]=y+1;W=z<<24>>24!=0}else{jCb(e,c);z=e;if(!(b[w>>0]|0)){H=0;C=91;break a}else W=(f[z>>2]|0)!=0|(f[z+4>>2]|0)!=0}b[v>>0]=W&1;continue a;break}case 13:{if((B&255|0)!=104){E=B;break b}f[h>>2]=f[h>>2]|4096;z=f[c>>2]|0;if(z>>>0<(f[g>>2]|0)>>>0?(y=b[z>>0]|0,y<<24>>24>-1):0){f[c>>2]=z+1;X=y<<24>>24!=0}else{jCb(e,c);y=e;if(!(b[a>>0]|0)){H=0;C=91;break a}else X=(f[y>>2]|0)!=0|(f[y+4>>2]|0)!=0}b[x>>0]=X&1;continue a;break}default:{E=B;break b}}while(0)}while(0);if(!E){H=1;C=91;break}y=f[j>>2]|0;if(!(y&1))Y=AHa(j)|0;else Y=y&-2;if(!(b4b(c,E,Y)|0)){H=0;C=91;break}}if((C|0)==91){u=d;return H|0}return 0}function r0a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+8>>2]|0;if(b&255){if(!(b&1))d=c;else{e=f[a+16>>2]|0;if((e|0)<0)g=11;else g=((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;d=g+c|0}if(!(b&2))h=d;else h=d+1+((((($(f[a+20>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(b&4))i=h;else i=h+1+((((($(f[a+24>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(b&8))j=i;else j=i+1+((((($(f[a+28>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(b&16))k=j;else k=j+1+((((($(f[a+32>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(b&32))l=k;else l=k+1+((((($(f[a+36>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(b&64))m=l;else m=l+1+((((($(f[a+40>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(b&128))n=m;else n=m+1+((((($(f[a+44>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0}else n=c;if(!(b&7936)){o=n;p=a+12|0;f[p>>2]=o;return o|0}if(!(b&256))q=n;else q=n+1+((((($(f[a+48>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(b&512))r=q;else{n=f[a+52>>2]|0;if((n|0)<0)s=11;else s=((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;r=s+q|0}q=b&1024|0?r+2|0:r;if(!(b&2048))t=q;else t=q+1+((((($(f[a+60>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;o=b&4096|0?t+2|0:t;p=a+12|0;f[p>>2]=o;return o|0}function s0a(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&1|0)zEb(1,f[a+16>>2]|0,c);if(d&2|0)oEb(2,f[a+20>>2]|0,c);if(d&2048|0)oEb(3,f[a+60>>2]|0,c);if(d&4|0)oEb(4,f[a+24>>2]|0,c);if(d&8|0)oEb(5,f[a+28>>2]|0,c);if(d&16|0)oEb(6,f[a+32>>2]|0,c);if(d&32|0)oEb(7,f[a+36>>2]|0,c);if(d&64|0)oEb(8,f[a+40>>2]|0,c);if(d&128|0)oEb(9,f[a+44>>2]|0,c);if(d&256|0)oEb(10,f[a+48>>2]|0,c);if(d&512|0)zEb(11,f[a+52>>2]|0,c);if(d&1024|0)yEb(12,(b[a+56>>0]|0)!=0,c);if(d&4096|0)yEb(13,(b[a+64>>0]|0)!=0,c);d=f[a+4>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function t0a(a){a=a|0;return f[a+12>>2]|0}function u0a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=8;h=d+1|0;d=g&255;if(g>>>0>127){i=h;j=d;k=g;l=((g|0)<0)<<31>>31;while(1){b[i>>0]=j|-128;g=k;k=Irc(k|0,l|0,7)|0;m=i+1|0;n=k&255;if(!(l>>>0>0|(l|0)==0&g>>>0>16383)){o=m;p=n;break}else{i=m;j=n;l=J}}}else{o=h;p=d}b[o>>0]=p;e=o+1|0}if(!(c&2))q=e;else{o=f[a+20>>2]|0;b[e>>0]=16;p=e+1|0;if(o>>>0>127){e=o;d=p;while(1){b[d>>0]=e|128;h=e>>>7;l=d+1|0;if(e>>>0>16383){e=h;d=l}else{r=l;s=h;break}}}else{r=p;s=o}b[r>>0]=s;q=r+1|0}if(!(c&2048))t=q;else{r=f[a+60>>2]|0;b[q>>0]=24;s=q+1|0;if(r>>>0>127){q=r;o=s;while(1){b[o>>0]=q|128;p=q>>>7;d=o+1|0;if(q>>>0>16383){q=p;o=d}else{u=d;v=p;break}}}else{u=s;v=r}b[u>>0]=v;t=u+1|0}if(!(c&4))w=t;else{u=f[a+24>>2]|0;b[t>>0]=32;v=t+1|0;if(u>>>0>127){t=u;r=v;while(1){b[r>>0]=t|128;s=t>>>7;o=r+1|0;if(t>>>0>16383){t=s;r=o}else{x=o;y=s;break}}}else{x=v;y=u}b[x>>0]=y;w=x+1|0}if(!(c&8))z=w;else{x=f[a+28>>2]|0;b[w>>0]=40;y=w+1|0;if(x>>>0>127){w=x;u=y;while(1){b[u>>0]=w|128;v=w>>>7;r=u+1|0;if(w>>>0>16383){w=v;u=r}else{A=r;B=v;break}}}else{A=y;B=x}b[A>>0]=B;z=A+1|0}if(!(c&16))C=z;else{A=f[a+32>>2]|0;b[z>>0]=48;B=z+1|0;if(A>>>0>127){z=A;x=B;while(1){b[x>>0]=z|128;y=z>>>7;u=x+1|0;if(z>>>0>16383){z=y;x=u}else{D=u;E=y;break}}}else{D=B;E=A}b[D>>0]=E;C=D+1|0}if(!(c&32))F=C;else{D=f[a+36>>2]|0;b[C>>0]=56;E=C+1|0;if(D>>>0>127){C=D;A=E;while(1){b[A>>0]=C|128;B=C>>>7;x=A+1|0;if(C>>>0>16383){C=B;A=x}else{G=x;H=B;break}}}else{G=E;H=D}b[G>>0]=H;F=G+1|0}if(!(c&64))I=F;else{G=f[a+40>>2]|0;b[F>>0]=64;H=F+1|0;if(G>>>0>127){F=G;D=H;while(1){b[D>>0]=F|128;E=F>>>7;A=D+1|0;if(F>>>0>16383){F=E;D=A}else{K=A;L=E;break}}}else{K=H;L=G}b[K>>0]=L;I=K+1|0}if(!(c&128))M=I;else{K=f[a+44>>2]|0;b[I>>0]=72;L=I+1|0;if(K>>>0>127){I=K;G=L;while(1){b[G>>0]=I|128;H=I>>>7;D=G+1|0;if(I>>>0>16383){I=H;G=D}else{N=D;O=H;break}}}else{N=L;O=K}b[N>>0]=O;M=N+1|0}if(!(c&256))P=M;else{N=f[a+48>>2]|0;b[M>>0]=80;O=M+1|0;if(N>>>0>127){M=N;K=O;while(1){b[K>>0]=M|128;L=M>>>7;G=K+1|0;if(M>>>0>16383){M=L;K=G}else{Q=G;R=L;break}}}else{Q=O;R=N}b[Q>>0]=R;P=Q+1|0}if(!(c&512))S=P;else{Q=f[a+52>>2]|0;b[P>>0]=88;R=P+1|0;P=Q&255;if(Q>>>0>127){N=R;O=P;K=Q;M=((Q|0)<0)<<31>>31;while(1){b[N>>0]=O|-128;Q=K;K=Irc(K|0,M|0,7)|0;L=N+1|0;G=K&255;if(!(M>>>0>0|(M|0)==0&Q>>>0>16383)){T=L;U=G;break}else{N=L;O=G;M=J}}}else{T=R;U=P}b[T>>0]=U;S=T+1|0}if(!(c&1024))V=S;else{T=b[a+56>>0]|0;b[S>>0]=96;b[S+1>>0]=T;V=S+2|0}if(!(c&4096))W=V;else{c=b[a+64>>0]|0;b[V>>0]=104;b[V+1>>0]=c;W=V+2|0}V=f[a+4>>2]|0;if(!(V&1)){X=W;return X|0}X=f4b(V&-2,W)|0;return X|0}function v0a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function w0a(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,19752,0)|0;if(!c){c2b(b,a);return}else{YVa(a,c);return}}function x0a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function y0a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533904;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function z0a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function A0a(a){a=a|0;var b=0,c=0;f[a>>2]=125164;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function B0a(a){a=a|0;var b=0,c=0;f[a>>2]=125164;b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function C0a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function D0a(a,b){a=a|0;b=b|0;a=Bmc(40)|0;VVa(a);if(!b)return a|0;P0a(b,a);return a|0}function E0a(a){a=a|0;var b=0,c=0;b=a+8|0;if(f[b>>2]&63|0){c=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[a+24>>2]=5;n[a+28>>2]=1.0;n[a+32>>2]=.75;n[a+36>>2]=1.0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function F0a(a){a=a|0;return 1}function G0a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+24|0;k=a+28|0;l=a+32|0;m=a+16|0;n=a+4|0;o=a+36|0;p=a+20|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){q=b[a>>0]|0;r=q&255;if(q<<24>>24>0){f[c>>2]=a+1;s=r;t=6}else{v=r;t=5}}else{v=0;t=5}if((t|0)==5){t=0;r=xCb(c,v)|0;if((r+-1|0)>>>0<127){s=r;t=6}else w=r}b:do if((t|0)==6){t=0;switch(s>>>3&536870911|0){case 1:{if((s&255|0)!=8){w=s;break b}f[i>>2]=f[i>>2]|4;r=f[c>>2]|0;if(r>>>0<(f[g>>2]|0)>>>0){a=b[r>>0]|0;q=a&255;if(a<<24>>24>-1){f[j>>2]=q;f[c>>2]=r+1;continue a}else x=q}else x=0;q=iCb(c,x)|0;r=J;f[j>>2]=q;if((r|0)>-1|(r|0)==-1&q>>>0>4294967295)continue a;else{y=0;t=60;break a}break}case 2:{if((s&255|0)!=21){w=s;break b}f[i>>2]=f[i>>2]|8;q=f[c>>2]|0;if(((f[g>>2]|0)-q|0)>3){r=q;a=h[r>>0]|h[r+1>>0]<<8|h[r+2>>0]<<16|h[r+3>>0]<<24;f[e>>2]=a;f[c>>2]=q+4;z=a}else{if(!(uCb(c,e)|0)){t=18;break a}z=f[e>>2]|0}f[k>>2]=z;continue a;break}case 3:{if((s&255|0)!=29){w=s;break b}f[i>>2]=f[i>>2]|16;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){q=a;r=h[q>>0]|h[q+1>>0]<<8|h[q+2>>0]<<16|h[q+3>>0]<<24;f[e>>2]=r;f[c>>2]=a+4;A=r}else{if(!(uCb(c,e)|0)){t=25;break a}A=f[e>>2]|0}f[l>>2]=A;continue a;break}case 4:{if((s&255|0)!=32){w=s;break b}r=f[c>>2]|0;if(r>>>0<(f[g>>2]|0)>>>0){a=b[r>>0]|0;q=a&255;if(a<<24>>24>-1){f[c>>2]=r+1;B=q}else{C=q;t=30}}else{C=0;t=30}if((t|0)==30){t=0;q=iCb(c,C)|0;r=J;if((r|0)>-1|(r|0)==-1&q>>>0>4294967295)B=q;else{y=0;t=60;break a}}if(B>>>0<2){f[i>>2]=f[i>>2]|1;f[m>>2]=B;continue a}q=f[n>>2]|0;if(!(q&1))D=AHa(n)|0;else D=q&-2;R3b(D,4,B,((B|0)<0)<<31>>31);continue a;break}case 5:{if((s&255|0)!=45){w=s;break b}f[i>>2]=f[i>>2]|32;q=f[c>>2]|0;if(((f[g>>2]|0)-q|0)>3){r=q;a=h[r>>0]|h[r+1>>0]<<8|h[r+2>>0]<<16|h[r+3>>0]<<24;f[e>>2]=a;f[c>>2]=q+4;E=a}else{if(!(uCb(c,e)|0)){t=43;break a}E=f[e>>2]|0}f[o>>2]=E;continue a;break}case 6:{if((s&255|0)!=48){w=s;break b}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){q=b[a>>0]|0;r=q&255;if(q<<24>>24>-1){f[c>>2]=a+1;F=r}else{G=r;t=48}}else{G=0;t=48}if((t|0)==48){t=0;r=iCb(c,G)|0;a=J;if((a|0)>-1|(a|0)==-1&r>>>0>4294967295)F=r;else{y=0;t=60;break a}}if(F>>>0<3){f[i>>2]=f[i>>2]|2;f[p>>2]=F;continue a}r=f[n>>2]|0;if(!(r&1))H=AHa(n)|0;else H=r&-2;R3b(H,6,F,((F|0)<0)<<31>>31);continue a;break}default:{w=s;break b}}}while(0);if(!w){y=1;t=60;break}r=f[n>>2]|0;if(!(r&1))I=AHa(n)|0;else I=r&-2;if(!(b4b(c,w,I)|0)){y=0;t=60;break}}if((t|0)==18){y=0;u=d;return y|0}else if((t|0)==25){y=0;u=d;return y|0}else if((t|0)==43){y=0;u=d;return y|0}else if((t|0)==60){u=d;return y|0}return 0}function H0a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+8>>2]|0;if(!(b&63)){d=c;e=a+12|0;f[e>>2]=d;return d|0}if(!(b&1))g=c;else{h=f[a+16>>2]|0;if((h|0)<0)i=11;else i=((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;g=i+c|0}if(!(b&2))j=g;else{c=f[a+20>>2]|0;if((c|0)<0)k=11;else k=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;j=k+g|0}if(!(b&4))l=j;else l=j+1+((((($(f[a+24>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;j=b&8|0?l+5|0:l;l=b&16|0?j+5|0:j;d=b&32|0?l+5|0:l;e=a+12|0;f[e>>2]=d;return d|0}function I0a(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&4|0)oEb(1,f[a+24>>2]|0,b);if(c&8|0)wEb(2,+n[a+28>>2],b);if(c&16|0)wEb(3,+n[a+32>>2],b);if(c&1|0)zEb(4,f[a+16>>2]|0,b);if(c&32|0)wEb(5,+n[a+36>>2],b);if(c&2|0)zEb(6,f[a+20>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function J0a(a){a=a|0;return f[a+12>>2]|0}function K0a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;c=f[a+8>>2]|0;if(!(c&4))e=d;else{g=f[a+24>>2]|0;b[d>>0]=8;h=d+1|0;if(g>>>0>127){d=g;i=h;while(1){b[i>>0]=d|128;j=d>>>7;k=i+1|0;if(d>>>0>16383){d=j;i=k}else{l=k;m=j;break}}}else{l=h;m=g}b[l>>0]=m;e=l+1|0}if(!(c&8))n=e;else{l=f[a+28>>2]|0;b[e>>0]=21;m=e+1|0;b[m>>0]=l;b[m+1>>0]=l>>8;b[m+2>>0]=l>>16;b[m+3>>0]=l>>24;n=e+5|0}if(!(c&16))o=n;else{e=f[a+32>>2]|0;b[n>>0]=29;l=n+1|0;b[l>>0]=e;b[l+1>>0]=e>>8;b[l+2>>0]=e>>16;b[l+3>>0]=e>>24;o=n+5|0}if(!(c&1))p=o;else{n=f[a+16>>2]|0;b[o>>0]=32;e=o+1|0;o=n&255;if(n>>>0>127){l=e;m=o;g=n;h=((n|0)<0)<<31>>31;while(1){b[l>>0]=m|-128;n=g;g=Irc(g|0,h|0,7)|0;i=l+1|0;d=g&255;if(!(h>>>0>0|(h|0)==0&n>>>0>16383)){q=i;r=d;break}else{l=i;m=d;h=J}}}else{q=e;r=o}b[q>>0]=r;p=q+1|0}if(!(c&32))s=p;else{q=f[a+36>>2]|0;b[p>>0]=45;r=p+1|0;b[r>>0]=q;b[r+1>>0]=q>>8;b[r+2>>0]=q>>16;b[r+3>>0]=q>>24;s=p+5|0}if(!(c&2))t=s;else{c=f[a+20>>2]|0;b[s>>0]=48;p=s+1|0;s=c&255;if(c>>>0>127){q=p;r=s;o=c;e=((c|0)<0)<<31>>31;while(1){b[q>>0]=r|-128;c=o;o=Irc(o|0,e|0,7)|0;h=q+1|0;m=o&255;if(!(e>>>0>0|(e|0)==0&c>>>0>16383)){u=h;v=m;break}else{q=h;r=m;e=J}}}else{u=p;v=s}b[u>>0]=v;t=u+1|0}u=f[a+4>>2]|0;if(!(u&1)){w=t;return w|0}w=f4b(u&-2,t)|0;return w|0}function L0a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function M0a(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,19768,0)|0;if(!c){c2b(b,a);return}else{WVa(a,c);return}}function N0a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function O0a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533872;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function P0a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function Q0a(a){a=a|0;var b=0,c=0;f[a>>2]=125272;if((a|0)!=531968){b=f[a+16>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);b=f[a+20>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b)}b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function R0a(a){a=a|0;Q0a(a);Emc(a);return}function S0a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function T0a(a,b){a=a|0;b=b|0;a=Bmc(36)|0;TVa(a);if(!b)return a|0;d1a(b,a);return a|0}function U0a(a){a=a|0;var c=0,d=0,e=0;c=a+8|0;d=f[c>>2]|0;if(d&3|0){if(d&1|0){e=f[a+16>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&2|0){e=f[a+20>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}}if(d&60|0){d=a+24|0;f[d>>2]=0;b[d+4>>0]=0;b[a+29>>0]=1;f[a+32>>2]=1}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function V0a(a){a=a|0;return 1}function W0a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+24|0;j=a+29|0;k=e+8|0;l=a+16|0;m=e+4|0;n=a+20|0;o=e+4|0;p=a+32|0;q=a+28|0;r=e+8|0;s=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){t=b[a>>0]|0;v=t&255;if(t<<24>>24>0){f[c>>2]=a+1;w=v;x=6}else{y=v;x=5}}else{y=0;x=5}if((x|0)==5){x=0;v=xCb(c,y)|0;if((v+-1|0)>>>0<127){w=v;x=6}else z=v}b:do if((x|0)==6){x=0;switch(w>>>3&536870911|0){case 1:{if((w&255|0)!=8){z=w;break b}f[h>>2]=f[h>>2]|4;v=f[c>>2]|0;if(v>>>0<(f[g>>2]|0)>>>0){a=b[v>>0]|0;t=a&255;if(a<<24>>24>-1){f[i>>2]=t;f[c>>2]=v+1;continue a}else A=t}else A=0;t=iCb(c,A)|0;v=J;f[i>>2]=t;if((v|0)>-1|(v|0)==-1&t>>>0>4294967295)continue a;else{B=0;x=57;break a}break}case 2:{if((w&255|0)!=16){z=w;break b}f[h>>2]=f[h>>2]|16;t=f[c>>2]|0;if(t>>>0<(f[g>>2]|0)>>>0?(v=b[t>>0]|0,v<<24>>24>-1):0){f[c>>2]=t+1;C=v<<24>>24!=0}else{jCb(e,c);v=e;if(!(b[k>>0]|0)){B=0;x=57;break a}else C=(f[v>>2]|0)!=0|(f[v+4>>2]|0)!=0}b[j>>0]=C&1;continue a;break}case 3:{if((w&255|0)!=26){z=w;break b}f[h>>2]=f[h>>2]|1;v=f[l>>2]|0;if(!v){t=Bmc(48)|0;XTa(t);f[l>>2]=t;D=t}else D=v;v=f[c>>2]|0;if(v>>>0<(f[g>>2]|0)>>>0?(t=b[v>>0]|0,t<<24>>24>-1):0){f[c>>2]=v+1;E=t&255}else{t=wCb(c)|0;if((t|0)>-1)E=t;else{B=0;x=57;break a}}hCb(e,c,E);if((f[m>>2]|0)<0){x=27;break a}if(!(Sh[f[(f[D>>2]|0)+44>>2]&511](D,c)|0)){x=27;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{B=0;x=57;break a}break}case 4:{if((w&255|0)!=34){z=w;break b}f[h>>2]=f[h>>2]|2;t=f[n>>2]|0;if(!t){v=Bmc(48)|0;XTa(v);f[n>>2]=v;F=v}else F=t;t=f[c>>2]|0;if(t>>>0<(f[g>>2]|0)>>>0?(v=b[t>>0]|0,v<<24>>24>-1):0){f[c>>2]=t+1;G=v&255}else{v=wCb(c)|0;if((v|0)>-1)G=v;else{B=0;x=57;break a}}hCb(e,c,G);if((f[o>>2]|0)<0){x=38;break a}if(!(Sh[f[(f[F>>2]|0)+44>>2]&511](F,c)|0)){x=38;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{B=0;x=57;break a}break}case 5:{if((w&255|0)!=40){z=w;break b}f[h>>2]=f[h>>2]|32;v=f[c>>2]|0;if(v>>>0<(f[g>>2]|0)>>>0){t=b[v>>0]|0;a=t&255;if(t<<24>>24>-1){f[c>>2]=v+1;H=a}else{I=a;x=44}}else{I=0;x=44}if((x|0)==44){x=0;a=iCb(c,I)|0;v=J;if((v|0)>-1|(v|0)==-1&a>>>0>4294967295)H=a;else{B=0;x=57;break a}}f[p>>2]=H;continue a;break}case 6:{if((w&255|0)!=48){z=w;break b}f[h>>2]=f[h>>2]|8;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(v=b[a>>0]|0,v<<24>>24>-1):0){f[c>>2]=a+1;K=v<<24>>24!=0}else{jCb(e,c);v=e;if(!(b[r>>0]|0)){B=0;x=57;break a}else K=(f[v>>2]|0)!=0|(f[v+4>>2]|0)!=0}b[q>>0]=K&1;continue a;break}default:{z=w;break b}}}while(0);if(!z){B=1;x=57;break}v=f[s>>2]|0;if(!(v&1))L=AHa(s)|0;else L=v&-2;if(!(b4b(c,z,L)|0)){B=0;x=57;break}}if((x|0)==27){B=0;u=d;return B|0}else if((x|0)==38){B=0;u=d;return B|0}else if((x|0)==57){u=d;return B|0}return 0}function X0a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=a+8|0;d=f[b>>2]|0;if(!(d&63)){e=c;g=a+12|0;f[g>>2]=e;return e|0}if(!(d&1)){h=c;i=d}else{d=f[a+16>>2]|0;j=ci[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=c+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=d;i=f[b>>2]|0}if(!(i&2)){k=h;l=i}else{i=f[a+20>>2]|0;d=ci[f[(f[i>>2]|0)+48>>2]&1023](i)|0;i=h+1+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0;k=i;l=f[b>>2]|0}if(!(l&4))m=k;else m=k+1+((((($(f[a+24>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;k=l&8|0?m+2|0:m;m=l&16|0?k+2|0:k;if(!(l&32)){e=m;g=a+12|0;f[g>>2]=e;return e|0}l=f[a+32>>2]|0;if((l|0)<0)n=11;else n=((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;e=n+m|0;g=a+12|0;f[g>>2]=e;return e|0}function Y0a(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&4|0)oEb(1,f[a+24>>2]|0,c);if(d&16|0)yEb(2,(b[a+29>>0]|0)!=0,c);if(d&1|0)GEb(3,f[a+16>>2]|0,c);if(d&2|0)GEb(4,f[a+20>>2]|0,c);if(d&32|0)mEb(5,f[a+32>>2]|0,c);if(d&8|0)yEb(6,(b[a+28>>0]|0)!=0,c);d=f[a+4>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function Z0a(a){a=a|0;return f[a+12>>2]|0}function _0a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;e=f[a+8>>2]|0;if(!(e&4))g=d;else{h=f[a+24>>2]|0;b[d>>0]=8;i=d+1|0;if(h>>>0>127){d=h;j=i;while(1){b[j>>0]=d|128;k=d>>>7;l=j+1|0;if(d>>>0>16383){d=k;j=l}else{m=l;n=k;break}}}else{m=i;n=h}b[m>>0]=n;g=m+1|0}if(!(e&16))o=g;else{m=b[a+29>>0]|0;b[g>>0]=16;b[g+1>>0]=m;o=g+2|0}if(!(e&1))p=o;else{g=f[a+16>>2]|0;b[o>>0]=26;m=o+1|0;o=ci[f[(f[g>>2]|0)+60>>2]&1023](g)|0;if(o>>>0>127){n=o;h=m;while(1){b[h>>0]=n|128;i=n>>>7;j=h+1|0;if(n>>>0>16383){n=i;h=j}else{q=j;r=i;break}}}else{q=m;r=o}b[q>>0]=r;p=ki[f[(f[g>>2]|0)+64>>2]&511](g,c,q+1|0)|0}if(!(e&2))s=p;else{q=f[a+20>>2]|0;b[p>>0]=34;g=p+1|0;p=ci[f[(f[q>>2]|0)+60>>2]&1023](q)|0;if(p>>>0>127){r=p;o=g;while(1){b[o>>0]=r|128;m=r>>>7;h=o+1|0;if(r>>>0>16383){r=m;o=h}else{t=h;u=m;break}}}else{t=g;u=p}b[t>>0]=u;s=ki[f[(f[q>>2]|0)+64>>2]&511](q,c,t+1|0)|0}if(!(e&32))v=s;else{t=f[a+32>>2]|0;b[s>>0]=40;c=s+1|0;s=t&255;if(t>>>0>127){q=c;u=s;p=t;g=((t|0)<0)<<31>>31;while(1){b[q>>0]=u|-128;t=p;p=Irc(p|0,g|0,7)|0;o=q+1|0;r=p&255;if(!(g>>>0>0|(g|0)==0&t>>>0>16383)){w=o;x=r;break}else{q=o;u=r;g=J}}}else{w=c;x=s}b[w>>0]=x;v=w+1|0}if(!(e&8))y=v;else{e=b[a+28>>0]|0;b[v>>0]=48;b[v+1>>0]=e;y=v+2|0}v=f[a+4>>2]|0;if(!(v&1)){z=y;return z|0}z=f4b(v&-2,y)|0;return z|0}function $0a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function a1a(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,19784,0)|0;if(!c){c2b(b,a);return}else{UVa(a,c);return}}function b1a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function c1a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533848;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function d1a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function e1a(a){a=a|0;var c=0,d=0;f[a>>2]=125380;c=f[a+16>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(d);f[c>>2]=0;return}function f1a(a){a=a|0;e1a(a);Emc(a);return}function g1a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function h1a(a,b){a=a|0;b=b|0;a=Bmc(20)|0;SVa(a);if(!b)return a|0;t1a(b,a);return a|0}function i1a(a){a=a|0;var c=0,d=0,e=0;c=a+8|0;do if(f[c>>2]&1|0){d=f[a+16>>2]|0;e=d+11|0;if((b[e>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[e>>0]=0;break}}while(0);f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function j1a(a){a=a|0;return 1}function k1a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=c+4|0;e=a+8|0;g=a+16|0;h=a+4|0;while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){i=b[a>>0]|0;j=i&255;if(i<<24>>24>0){f[c>>2]=a+1;k=j;l=6}else{m=j;l=5}}else{m=0;l=5}if((l|0)==5){l=0;j=xCb(c,m)|0;if((j+-1|0)>>>0<127){k=j;l=6}else n=j}if((l|0)==6){l=0;if((k|0)==10){f[e>>2]=f[e>>2]|1;j=f[g>>2]|0;if((j|0)==535416){aFa(g,535416);o=f[g>>2]|0}else o=j;if(HEb(c,o)|0)continue;else{p=0;l=15;break}}else n=k}if(!n){p=1;l=15;break}j=f[h>>2]|0;if(!(j&1))q=AHa(h)|0;else q=j&-2;if(!(b4b(c,n,q)|0)){p=0;l=15;break}}if((l|0)==15)return p|0;return 0}function l1a(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;if(!(f[a+8>>2]&1)){e=d;g=a+12|0;f[g>>2]=e;return e|0}c=f[a+16>>2]|0;h=b[c+11>>0]|0;i=h<<24>>24<0?f[c+4>>2]|0:h&255;e=d+1+i+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=a+12|0;f[g>>2]=e;return e|0}function m1a(a,b){a=a|0;b=b|0;var c=0;if(f[a+8>>2]&1|0)BEb(1,f[a+16>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function n1a(a){a=a|0;return f[a+12>>2]|0}function o1a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0;if(!(f[a+8>>2]&1))e=d;else{c=f[a+16>>2]|0;b[d>>0]=10;e=GCb(c,d+1|0)|0}d=f[a+4>>2]|0;if(!(d&1)){g=e;return g|0}g=f4b(d&-2,e)|0;return g|0}function p1a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function q1a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,19800,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}if(!(f[c+8>>2]&1))return;d=a+8|0;f[d>>2]=f[d>>2]|1;d=a+16|0;a=f[c+16>>2]|0;c=f[d>>2]|0;if((c|0)==(a|0))return;if((c|0)==535416){aFa(d,a);return}else{Qmc(c,a)|0;return}}function r1a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function s1a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533840;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function t1a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function u1a(a){a=a|0;var b=0,c=0;f[a>>2]=125488;K1a(a);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function v1a(a){a=a|0;u1a(a);Emc(a);return}function w1a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function x1a(a,b){a=a|0;b=b|0;a=Bmc(60)|0;QVa(a);if(!b)return a|0;J1a(b,a);return a|0}function y1a(a){a=a|0;var c=0,d=0,e=0,g=0;c=a+8|0;d=f[c>>2]|0;do if(d&7|0){do if(d&1|0){e=f[a+16>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&2|0){g=f[a+20>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);if(d&4|0){e=f[a+24>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}}while(0);if(d&248|0){g=a+28|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0}if(d&3840|0){f[a+44>>2]=0;b[a+48>>0]=1;n[a+52>>2]=1.0;f[a+56>>2]=1}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function z1a(a){a=a|0;return 1}function A1a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+16|0;k=a+52|0;l=a+20|0;m=a+56|0;n=a+28|0;o=a+37|0;p=e+8|0;q=a+32|0;r=a+36|0;s=e+8|0;t=a+40|0;v=a+44|0;w=a+48|0;x=e+8|0;y=a+24|0;z=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){A=b[a>>0]|0;B=A&255;if(A<<24>>24>0){f[c>>2]=a+1;C=B;D=6}else{E=B;D=5}}else{E=0;D=5}if((D|0)==5){D=0;B=xCb(c,E)|0;if((B+-1|0)>>>0<127){C=B;D=6}else F=B}b:do if((D|0)==6){D=0;do switch(C>>>3&536870911|0){case 1:{if((C&255|0)!=10){F=C;break b}f[i>>2]=f[i>>2]|1;B=f[j>>2]|0;if((B|0)==535416){aFa(j,535416);G=f[j>>2]|0}else G=B;if(HEb(c,G)|0)continue a;else{H=0;D=74;break a}break}case 2:{if((C&255|0)!=21){F=C;break b}f[i>>2]=f[i>>2]|1024;B=f[c>>2]|0;if(((f[g>>2]|0)-B|0)>3){a=B;A=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=A;f[c>>2]=B+4;I=A}else{if(!(uCb(c,e)|0)){D=17;break a}I=f[e>>2]|0}f[k>>2]=I;continue a;break}case 3:{if((C&255|0)!=26){F=C;break b}f[i>>2]=f[i>>2]|2;A=f[l>>2]|0;if((A|0)==535416){aFa(l,535416);K=f[l>>2]|0}else K=A;if(HEb(c,K)|0)continue a;else{H=0;D=74;break a}break}case 4:{if((C&255|0)!=32){F=C;break b}f[i>>2]=f[i>>2]|2048;A=f[c>>2]|0;if(A>>>0<(f[g>>2]|0)>>>0){B=b[A>>0]|0;a=B&255;if(B<<24>>24>-1){f[m>>2]=a;f[c>>2]=A+1;continue a}else L=a}else L=0;a=iCb(c,L)|0;A=J;f[m>>2]=a;if((A|0)>-1|(A|0)==-1&a>>>0>4294967295)continue a;else{H=0;D=74;break a}break}case 5:{if((C&255|0)!=40){F=C;break b}f[i>>2]=f[i>>2]|8;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){A=b[a>>0]|0;B=A&255;if(A<<24>>24>-1){f[n>>2]=B;f[c>>2]=a+1;continue a}else M=B}else M=0;B=iCb(c,M)|0;a=J;f[n>>2]=B;if((a|0)>-1|(a|0)==-1&B>>>0>4294967295)continue a;else{H=0;D=74;break a}break}case 6:{if((C&255|0)!=48){F=C;break b}f[i>>2]=f[i>>2]|64;B=f[c>>2]|0;if(B>>>0<(f[g>>2]|0)>>>0?(a=b[B>>0]|0,a<<24>>24>-1):0){f[c>>2]=B+1;N=a<<24>>24!=0}else{jCb(e,c);a=e;if(!(b[p>>0]|0)){H=0;D=74;break a}else N=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[o>>0]=N&1;continue a;break}case 7:{if((C&255|0)!=56){F=C;break b}f[i>>2]=f[i>>2]|16;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){B=b[a>>0]|0;A=B&255;if(B<<24>>24>-1){f[q>>2]=A;f[c>>2]=a+1;continue a}else O=A}else O=0;A=iCb(c,O)|0;a=J;f[q>>2]=A;if((a|0)>-1|(a|0)==-1&A>>>0>4294967295)continue a;else{H=0;D=74;break a}break}case 8:{if((C&255|0)!=64){F=C;break b}f[i>>2]=f[i>>2]|32;A=f[c>>2]|0;if(A>>>0<(f[g>>2]|0)>>>0?(a=b[A>>0]|0,a<<24>>24>-1):0){f[c>>2]=A+1;P=a<<24>>24!=0}else{jCb(e,c);a=e;if(!(b[s>>0]|0)){H=0;D=74;break a}else P=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[r>>0]=P&1;continue a;break}case 9:{if((C&255|0)!=72){F=C;break b}f[i>>2]=f[i>>2]|128;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){A=b[a>>0]|0;B=A&255;if(A<<24>>24>-1){f[t>>2]=B;f[c>>2]=a+1;continue a}else Q=B}else Q=0;B=iCb(c,Q)|0;a=J;f[t>>2]=B;if((a|0)>-1|(a|0)==-1&B>>>0>4294967295)continue a;else{H=0;D=74;break a}break}case 10:{if((C&255|0)!=80){F=C;break b}f[i>>2]=f[i>>2]|256;B=f[c>>2]|0;if(B>>>0<(f[g>>2]|0)>>>0){a=b[B>>0]|0;A=a&255;if(a<<24>>24>-1){f[v>>2]=A;f[c>>2]=B+1;continue a}else R=A}else R=0;A=iCb(c,R)|0;B=J;f[v>>2]=A;if((B|0)>-1|(B|0)==-1&A>>>0>4294967295)continue a;else{H=0;D=74;break a}break}case 11:{if((C&255|0)!=88){F=C;break b}f[i>>2]=f[i>>2]|512;A=f[c>>2]|0;if(A>>>0<(f[g>>2]|0)>>>0?(B=b[A>>0]|0,B<<24>>24>-1):0){f[c>>2]=A+1;S=B<<24>>24!=0}else{jCb(e,c);B=e;if(!(b[x>>0]|0)){H=0;D=74;break a}else S=(f[B>>2]|0)!=0|(f[B+4>>2]|0)!=0}b[w>>0]=S&1;continue a;break}case 12:{if((C&255|0)!=98){F=C;break b}f[i>>2]=f[i>>2]|4;B=f[y>>2]|0;if((B|0)==535416){aFa(y,535416);T=f[y>>2]|0}else T=B;if(HEb(c,T)|0)continue a;else{H=0;D=74;break a}break}default:{F=C;break b}}while(0)}while(0);if(!F){H=1;D=74;break}B=f[z>>2]|0;if(!(B&1))U=AHa(z)|0;else U=B&-2;if(!(b4b(c,F,U)|0)){H=0;D=74;break}}if((D|0)==17){H=0;u=d;return H|0}else if((D|0)==74){u=d;return H|0}return 0}function B1a(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=f[a+8>>2]|0;if(c&255){if(!(c&1))e=d;else{g=f[a+16>>2]|0;h=b[g+11>>0]|0;i=h<<24>>24<0?f[g+4>>2]|0:h&255;e=d+1+i+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&2))j=e;else{i=f[a+20>>2]|0;h=b[i+11>>0]|0;g=h<<24>>24<0?f[i+4>>2]|0:h&255;j=e+1+g+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&4))k=j;else{g=f[a+24>>2]|0;e=b[g+11>>0]|0;h=e<<24>>24<0?f[g+4>>2]|0:e&255;k=j+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&8))l=k;else l=k+1+((((($(f[a+28>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(c&16))m=l;else m=l+1+((((($(f[a+32>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;l=c&32|0?m+2|0:m;m=c&64|0?l+2|0:l;if(!(c&128))n=m;else n=m+1+((((($(f[a+40>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0}else n=d;if(!(c&3840)){o=n;p=a+12|0;f[p>>2]=o;return o|0}if(!(c&256))q=n;else q=n+1+((((($(f[a+44>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;n=c&512|0?q+2|0:q;q=c&1024|0?n+5|0:n;if(!(c&2048)){o=q;p=a+12|0;f[p>>2]=o;return o|0}o=q+1+((((($(f[a+56>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;p=a+12|0;f[p>>2]=o;return o|0}function C1a(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&1|0)BEb(1,f[a+16>>2]|0,c);if(d&1024|0)wEb(2,+n[a+52>>2],c);if(d&2|0)BEb(3,f[a+20>>2]|0,c);if(d&2048|0)oEb(4,f[a+56>>2]|0,c);if(d&8|0)oEb(5,f[a+28>>2]|0,c);if(d&64|0)yEb(6,(b[a+37>>0]|0)!=0,c);if(d&16|0)oEb(7,f[a+32>>2]|0,c);if(d&32|0)yEb(8,(b[a+36>>0]|0)!=0,c);if(d&128|0)oEb(9,f[a+40>>2]|0,c);if(d&256|0)oEb(10,f[a+44>>2]|0,c);if(d&512|0)yEb(11,(b[a+48>>0]|0)!=0,c);if(d&4|0)BEb(12,f[a+24>>2]|0,c);d=f[a+4>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function D1a(a){a=a|0;return f[a+12>>2]|0}function E1a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=10;e=GCb(g,d+1|0)|0}if(!(c&1024))h=e;else{d=f[a+52>>2]|0;b[e>>0]=21;g=e+1|0;b[g>>0]=d;b[g+1>>0]=d>>8;b[g+2>>0]=d>>16;b[g+3>>0]=d>>24;h=e+5|0}if(!(c&2))i=h;else{e=f[a+20>>2]|0;b[h>>0]=26;i=GCb(e,h+1|0)|0}if(!(c&2048))j=i;else{h=f[a+56>>2]|0;b[i>>0]=32;e=i+1|0;if(h>>>0>127){i=h;d=e;while(1){b[d>>0]=i|128;g=i>>>7;k=d+1|0;if(i>>>0>16383){i=g;d=k}else{l=k;m=g;break}}}else{l=e;m=h}b[l>>0]=m;j=l+1|0}if(!(c&8))n=j;else{l=f[a+28>>2]|0;b[j>>0]=40;m=j+1|0;if(l>>>0>127){j=l;h=m;while(1){b[h>>0]=j|128;e=j>>>7;d=h+1|0;if(j>>>0>16383){j=e;h=d}else{o=d;p=e;break}}}else{o=m;p=l}b[o>>0]=p;n=o+1|0}if(!(c&64))q=n;else{o=b[a+37>>0]|0;b[n>>0]=48;b[n+1>>0]=o;q=n+2|0}if(!(c&16))r=q;else{n=f[a+32>>2]|0;b[q>>0]=56;o=q+1|0;if(n>>>0>127){q=n;p=o;while(1){b[p>>0]=q|128;l=q>>>7;m=p+1|0;if(q>>>0>16383){q=l;p=m}else{s=m;t=l;break}}}else{s=o;t=n}b[s>>0]=t;r=s+1|0}if(!(c&32))u=r;else{s=b[a+36>>0]|0;b[r>>0]=64;b[r+1>>0]=s;u=r+2|0}if(!(c&128))v=u;else{r=f[a+40>>2]|0;b[u>>0]=72;s=u+1|0;if(r>>>0>127){u=r;t=s;while(1){b[t>>0]=u|128;n=u>>>7;o=t+1|0;if(u>>>0>16383){u=n;t=o}else{w=o;x=n;break}}}else{w=s;x=r}b[w>>0]=x;v=w+1|0}if(!(c&256))y=v;else{w=f[a+44>>2]|0;b[v>>0]=80;x=v+1|0;if(w>>>0>127){v=w;r=x;while(1){b[r>>0]=v|128;s=v>>>7;t=r+1|0;if(v>>>0>16383){v=s;r=t}else{z=t;A=s;break}}}else{z=x;A=w}b[z>>0]=A;y=z+1|0}if(!(c&512))B=y;else{z=b[a+48>>0]|0;b[y>>0]=88;b[y+1>>0]=z;B=y+2|0}if(!(c&4))C=B;else{c=f[a+24>>2]|0;b[B>>0]=98;C=GCb(c,B+1|0)|0}B=f[a+4>>2]|0;if(!(B&1)){D=C;return D|0}D=f4b(B&-2,C)|0;return D|0}function F1a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function G1a(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,19816,0)|0;if(!c){c2b(b,a);return}else{RVa(a,c);return}}function H1a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function I1a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533832;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function J1a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function K1a(a){a=a|0;var c=0;c=f[a+16>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+20>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+24>>2]|0;if((c|0)==535416|(c|0)==0)return;if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c);return}function L1a(a){a=a|0;var c=0,d=0;f[a>>2]=125596;c=f[a+16>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(d);f[c>>2]=0;return}function M1a(a){a=a|0;L1a(a);Emc(a);return}function N1a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function O1a(a,b){a=a|0;b=b|0;a=Bmc(28)|0;OVa(a);if(!b)return a|0;_1a(b,a);return a|0}function P1a(a){a=a|0;var c=0,d=0,e=0,g=0;c=a+8|0;d=f[c>>2]|0;do if(d&1|0){e=f[a+16>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);if(d&6|0){d=a+20|0;f[d>>2]=0;b[d+4>>0]=0}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function Q1a(a){a=a|0;return 1}function R1a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+16|0;j=a+20|0;k=a+24|0;l=e+8|0;m=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=xCb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)!=10){s=p;break b}f[h>>2]=f[h>>2]|1;o=f[i>>2]|0;if((o|0)==535416){aFa(i,535416);t=f[i>>2]|0}else t=o;if(HEb(c,t)|0)continue a;else{v=0;q=27;break a}break}case 2:{if((p&255|0)!=16){s=p;break b}f[h>>2]=f[h>>2]|2;o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0){a=b[o>>0]|0;n=a&255;if(a<<24>>24>-1){f[j>>2]=n;f[c>>2]=o+1;continue a}else w=n}else w=0;n=iCb(c,w)|0;o=J;f[j>>2]=n;if((o|0)>-1|(o|0)==-1&n>>>0>4294967295)continue a;else{v=0;q=27;break a}break}case 3:{if((p&255|0)!=24){s=p;break b}f[h>>2]=f[h>>2]|4;n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0?(o=b[n>>0]|0,o<<24>>24>-1):0){f[c>>2]=n+1;x=o<<24>>24!=0}else{jCb(e,c);o=e;if(!(b[l>>0]|0)){v=0;q=27;break a}else x=(f[o>>2]|0)!=0|(f[o+4>>2]|0)!=0}b[k>>0]=x&1;continue a;break}default:{s=p;break b}}}while(0);if(!s){v=1;q=27;break}o=f[m>>2]|0;if(!(o&1))y=AHa(m)|0;else y=o&-2;if(!(b4b(c,s,y)|0)){v=0;q=27;break}}if((q|0)==27){u=d;return v|0}return 0}function S1a(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=f[a+8>>2]|0;if(!(c&7)){e=d;g=a+12|0;f[g>>2]=e;return e|0}if(!(c&1))h=d;else{i=f[a+16>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0?f[i+4>>2]|0:j&255;h=d+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&2))l=h;else l=h+1+((((($(f[a+20>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=c&4|0?l+2|0:l;g=a+12|0;f[g>>2]=e;return e|0}function T1a(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&1|0)BEb(1,f[a+16>>2]|0,c);if(d&2|0)oEb(2,f[a+20>>2]|0,c);if(d&4|0)yEb(3,(b[a+24>>0]|0)!=0,c);d=f[a+4>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function U1a(a){a=a|0;return f[a+12>>2]|0}function V1a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=10;e=GCb(g,d+1|0)|0}if(!(c&2))h=e;else{d=f[a+20>>2]|0;b[e>>0]=16;g=e+1|0;if(d>>>0>127){e=d;i=g;while(1){b[i>>0]=e|128;j=e>>>7;k=i+1|0;if(e>>>0>16383){e=j;i=k}else{l=k;m=j;break}}}else{l=g;m=d}b[l>>0]=m;h=l+1|0}if(!(c&4))n=h;else{c=b[a+24>>0]|0;b[h>>0]=24;b[h+1>>0]=c;n=h+2|0}h=f[a+4>>2]|0;if(!(h&1)){o=n;return o|0}o=f4b(h&-2,n)|0;return o|0}function W1a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function X1a(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,19832,0)|0;if(!c){c2b(b,a);return}else{PVa(a,c);return}}function Y1a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function Z1a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533808;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function _1a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function $1a(a){a=a|0;var b=0,c=0;f[a>>2]=125704;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function a2a(a){a=a|0;var b=0,c=0;f[a>>2]=125704;b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function b2a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function c2a(a,b){a=a|0;b=b|0;a=Bmc(24)|0;NVa(a);if(!b)return a|0;o2a(b,a);return a|0}function d2a(a){a=a|0;var c=0;c=a+8|0;if(f[c>>2]&3|0){n[a+16>>2]=.5;b[a+20>>0]=1}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function e2a(a){a=a|0;return 1}function f2a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+16|0;k=a+20|0;l=e+8|0;m=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=xCb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)!=13){s=p;break b}f[i>>2]=f[i>>2]|1;o=f[c>>2]|0;if(((f[g>>2]|0)-o|0)>3){a=o;n=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=n;f[c>>2]=o+4;t=n}else{if(!(uCb(c,e)|0)){q=13;break a}t=f[e>>2]|0}f[j>>2]=t;continue a;break}case 2:{if((p&255|0)!=16){s=p;break b}f[i>>2]=f[i>>2]|2;n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0?(o=b[n>>0]|0,o<<24>>24>-1):0){f[c>>2]=n+1;v=o<<24>>24!=0}else{jCb(e,c);o=e;if(!(b[l>>0]|0)){w=0;q=25;break a}else v=(f[o>>2]|0)!=0|(f[o+4>>2]|0)!=0}b[k>>0]=v&1;continue a;break}default:{s=p;break b}}}while(0);if(!s){w=1;q=25;break}o=f[m>>2]|0;if(!(o&1))x=AHa(m)|0;else x=o&-2;if(!(b4b(c,s,x)|0)){w=0;q=25;break}}if((q|0)==13){w=0;u=d;return w|0}else if((q|0)==25){u=d;return w|0}return 0}function g2a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+8>>2]|0;if(!(b&3)){d=c;e=a+12|0;f[e>>2]=d;return d|0}g=b&1|0?c+5|0:c;d=b&2|0?g+2|0:g;e=a+12|0;f[e>>2]=d;return d|0}function h2a(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&1|0)wEb(1,+n[a+16>>2],c);if(d&2|0)yEb(2,(b[a+20>>0]|0)!=0,c);d=f[a+4>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function i2a(a){a=a|0;return f[a+12>>2]|0}function j2a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=13;h=d+1|0;b[h>>0]=g;b[h+1>>0]=g>>8;b[h+2>>0]=g>>16;b[h+3>>0]=g>>24;e=d+5|0}if(!(c&2))i=e;else{c=b[a+20>>0]|0;b[e>>0]=16;b[e+1>>0]=c;i=e+2|0}e=f[a+4>>2]|0;if(!(e&1)){j=i;return j|0}j=f4b(e&-2,i)|0;return j|0}function k2a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function l2a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=Jnc(c,24640,19848,0)|0;if(!d){c2b(c,a);return}c=a+4|0;e=f[d+4>>2]|0;if(e&1|0){g=f[c>>2]|0;if(!(g&1))h=AHa(c)|0;else h=g&-2;O3b(h,e&-2)}e=f[d+8>>2]|0;if(!(e&3))return;if(e&1|0)f[a+16>>2]=f[d+16>>2];if(e&2|0)b[a+20>>0]=b[d+20>>0]|0;d=a+8|0;f[d>>2]=f[d>>2]|e;return}function m2a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function n2a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533752;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function o2a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function p2a(a){a=a|0;var c=0,d=0;f[a>>2]=125812;c=f[a+16>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+20>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(d);f[c>>2]=0;return}function q2a(a){a=a|0;p2a(a);Emc(a);return}function r2a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function s2a(a,b){a=a|0;b=b|0;a=Bmc(52)|0;LVa(a);if(!b)return a|0;E2a(b,a);return a|0}function t2a(a){a=a|0;var c=0,d=0,e=0,g=0;c=a+8|0;d=f[c>>2]|0;do if(d&3|0){do if(d&1|0){e=f[a+16>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);if(d&2|0){g=f[a+20>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}}while(0);if(d&252|0){e=a+24|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0}if(d&768|0){n[a+44>>2]=1.0;f[a+48>>2]=4}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function u2a(a){a=a|0;return 1}function v2a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+16|0;k=a+44|0;l=a+20|0;m=a+24|0;n=a+28|0;o=a+36|0;p=e+8|0;q=a+32|0;r=a+40|0;s=a+4|0;t=a+37|0;v=e+8|0;w=a+48|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){x=b[a>>0]|0;y=x&255;if(x<<24>>24>0){f[c>>2]=a+1;z=y;A=6}else{B=y;A=5}}else{B=0;A=5}if((A|0)==5){A=0;y=xCb(c,B)|0;if((y+-1|0)>>>0<127){z=y;A=6}else C=y}b:do if((A|0)==6){A=0;do switch(z>>>3&536870911|0){case 1:{if((z&255|0)!=10){C=z;break b}f[i>>2]=f[i>>2]|1;y=f[j>>2]|0;if((y|0)==535416){aFa(j,535416);D=f[j>>2]|0}else D=y;if(HEb(c,D)|0)continue a;else{E=0;A=70;break a}break}case 2:{if((z&255|0)!=21){C=z;break b}f[i>>2]=f[i>>2]|256;y=f[c>>2]|0;if(((f[g>>2]|0)-y|0)>3){a=y;x=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=x;f[c>>2]=y+4;F=x}else{if(!(uCb(c,e)|0)){A=17;break a}F=f[e>>2]|0}f[k>>2]=F;continue a;break}case 3:{if((z&255|0)!=26){C=z;break b}f[i>>2]=f[i>>2]|2;x=f[l>>2]|0;if((x|0)==535416){aFa(l,535416);G=f[l>>2]|0}else G=x;if(HEb(c,G)|0)continue a;else{E=0;A=70;break a}break}case 4:{if((z&255|0)!=32){C=z;break b}f[i>>2]=f[i>>2]|4;x=f[c>>2]|0;if(x>>>0<(f[g>>2]|0)>>>0){y=b[x>>0]|0;a=y&255;if(y<<24>>24>-1){f[m>>2]=a;f[c>>2]=x+1;continue a}else H=a}else H=0;a=iCb(c,H)|0;x=J;f[m>>2]=a;if((x|0)>-1|(x|0)==-1&a>>>0>4294967295)continue a;else{E=0;A=70;break a}break}case 5:{if((z&255|0)!=40){C=z;break b}f[i>>2]=f[i>>2]|8;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){x=b[a>>0]|0;y=x&255;if(x<<24>>24>-1){f[n>>2]=y;f[c>>2]=a+1;continue a}else I=y}else I=0;y=iCb(c,I)|0;a=J;f[n>>2]=y;if((a|0)>-1|(a|0)==-1&y>>>0>4294967295)continue a;else{E=0;A=70;break a}break}case 6:{if((z&255|0)!=48){C=z;break b}f[i>>2]=f[i>>2]|32;y=f[c>>2]|0;if(y>>>0<(f[g>>2]|0)>>>0?(a=b[y>>0]|0,a<<24>>24>-1):0){f[c>>2]=y+1;K=a<<24>>24!=0}else{jCb(e,c);a=e;if(!(b[p>>0]|0)){E=0;A=70;break a}else K=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[o>>0]=K&1;continue a;break}case 7:{if((z&255|0)!=56){C=z;break b}f[i>>2]=f[i>>2]|16;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){y=b[a>>0]|0;x=y&255;if(y<<24>>24>-1){f[q>>2]=x;f[c>>2]=a+1;continue a}else L=x}else L=0;x=iCb(c,L)|0;a=J;f[q>>2]=x;if((a|0)>-1|(a|0)==-1&x>>>0>4294967295)continue a;else{E=0;A=70;break a}break}case 8:{if((z&255|0)!=64){C=z;break b}x=f[c>>2]|0;if(x>>>0<(f[g>>2]|0)>>>0){a=b[x>>0]|0;y=a&255;if(a<<24>>24>-1){f[c>>2]=x+1;M=y}else{N=y;A=47}}else{N=0;A=47}if((A|0)==47){A=0;y=iCb(c,N)|0;x=J;if((x|0)>-1|(x|0)==-1&y>>>0>4294967295)M=y;else{E=0;A=70;break a}}if(M>>>0<2){f[i>>2]=f[i>>2]|128;f[r>>2]=M;continue a}y=f[s>>2]|0;if(!(y&1))O=AHa(s)|0;else O=y&-2;R3b(O,8,M,((M|0)<0)<<31>>31);continue a;break}case 9:{if((z&255|0)!=72){C=z;break b}f[i>>2]=f[i>>2]|64;y=f[c>>2]|0;if(y>>>0<(f[g>>2]|0)>>>0?(x=b[y>>0]|0,x<<24>>24>-1):0){f[c>>2]=y+1;P=x<<24>>24!=0}else{jCb(e,c);x=e;if(!(b[v>>0]|0)){E=0;A=70;break a}else P=(f[x>>2]|0)!=0|(f[x+4>>2]|0)!=0}b[t>>0]=P&1;continue a;break}case 10:{if((z&255|0)!=80){C=z;break b}f[i>>2]=f[i>>2]|512;x=f[c>>2]|0;if(x>>>0<(f[g>>2]|0)>>>0){y=b[x>>0]|0;a=y&255;if(y<<24>>24>-1){f[w>>2]=a;f[c>>2]=x+1;continue a}else Q=a}else Q=0;a=iCb(c,Q)|0;x=J;f[w>>2]=a;if((x|0)>-1|(x|0)==-1&a>>>0>4294967295)continue a;else{E=0;A=70;break a}break}default:{C=z;break b}}while(0)}while(0);if(!C){E=1;A=70;break}a=f[s>>2]|0;if(!(a&1))R=AHa(s)|0;else R=a&-2;if(!(b4b(c,C,R)|0)){E=0;A=70;break}}if((A|0)==17){E=0;u=d;return E|0}else if((A|0)==70){u=d;return E|0}return 0}function w2a(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=f[a+8>>2]|0;if(c&255){if(!(c&1))e=d;else{g=f[a+16>>2]|0;h=b[g+11>>0]|0;i=h<<24>>24<0?f[g+4>>2]|0:h&255;e=d+1+i+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&2))j=e;else{i=f[a+20>>2]|0;h=b[i+11>>0]|0;g=h<<24>>24<0?f[i+4>>2]|0:h&255;j=e+1+g+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&4))k=j;else k=j+1+((((($(f[a+24>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(c&8))l=k;else l=k+1+((((($(f[a+28>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(c&16))m=l;else m=l+1+((((($(f[a+32>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;l=c&32|0?m+2|0:m;m=c&64|0?l+2|0:l;if(!(c&128))n=m;else{l=f[a+40>>2]|0;if((l|0)<0)o=11;else o=((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;n=o+m|0}}else n=d;if(!(c&768)){p=n;q=a+12|0;f[q>>2]=p;return p|0}d=c&256|0?n+5|0:n;if(!(c&512)){p=d;q=a+12|0;f[q>>2]=p;return p|0}p=d+1+((((($(f[a+48>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;q=a+12|0;f[q>>2]=p;return p|0}function x2a(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&1|0)BEb(1,f[a+16>>2]|0,c);if(d&256|0)wEb(2,+n[a+44>>2],c);if(d&2|0)BEb(3,f[a+20>>2]|0,c);if(d&4|0)oEb(4,f[a+24>>2]|0,c);if(d&8|0)oEb(5,f[a+28>>2]|0,c);if(d&32|0)yEb(6,(b[a+36>>0]|0)!=0,c);if(d&16|0)oEb(7,f[a+32>>2]|0,c);if(d&128|0)zEb(8,f[a+40>>2]|0,c);if(d&64|0)yEb(9,(b[a+37>>0]|0)!=0,c);if(d&512|0)oEb(10,f[a+48>>2]|0,c);d=f[a+4>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function y2a(a){a=a|0;return f[a+12>>2]|0}function z2a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=10;e=GCb(g,d+1|0)|0}if(!(c&256))h=e;else{d=f[a+44>>2]|0;b[e>>0]=21;g=e+1|0;b[g>>0]=d;b[g+1>>0]=d>>8;b[g+2>>0]=d>>16;b[g+3>>0]=d>>24;h=e+5|0}if(!(c&2))i=h;else{e=f[a+20>>2]|0;b[h>>0]=26;i=GCb(e,h+1|0)|0}if(!(c&4))j=i;else{h=f[a+24>>2]|0;b[i>>0]=32;e=i+1|0;if(h>>>0>127){i=h;d=e;while(1){b[d>>0]=i|128;g=i>>>7;k=d+1|0;if(i>>>0>16383){i=g;d=k}else{l=k;m=g;break}}}else{l=e;m=h}b[l>>0]=m;j=l+1|0}if(!(c&8))n=j;else{l=f[a+28>>2]|0;b[j>>0]=40;m=j+1|0;if(l>>>0>127){j=l;h=m;while(1){b[h>>0]=j|128;e=j>>>7;d=h+1|0;if(j>>>0>16383){j=e;h=d}else{o=d;p=e;break}}}else{o=m;p=l}b[o>>0]=p;n=o+1|0}if(!(c&32))q=n;else{o=b[a+36>>0]|0;b[n>>0]=48;b[n+1>>0]=o;q=n+2|0}if(!(c&16))r=q;else{n=f[a+32>>2]|0;b[q>>0]=56;o=q+1|0;if(n>>>0>127){q=n;p=o;while(1){b[p>>0]=q|128;l=q>>>7;m=p+1|0;if(q>>>0>16383){q=l;p=m}else{s=m;t=l;break}}}else{s=o;t=n}b[s>>0]=t;r=s+1|0}if(!(c&128))u=r;else{s=f[a+40>>2]|0;b[r>>0]=64;t=r+1|0;r=s&255;if(s>>>0>127){n=t;o=r;p=s;q=((s|0)<0)<<31>>31;while(1){b[n>>0]=o|-128;s=p;p=Irc(p|0,q|0,7)|0;l=n+1|0;m=p&255;if(!(q>>>0>0|(q|0)==0&s>>>0>16383)){v=l;w=m;break}else{n=l;o=m;q=J}}}else{v=t;w=r}b[v>>0]=w;u=v+1|0}if(!(c&64))x=u;else{v=b[a+37>>0]|0;b[u>>0]=72;b[u+1>>0]=v;x=u+2|0}if(!(c&512))y=x;else{c=f[a+48>>2]|0;b[x>>0]=80;u=x+1|0;if(c>>>0>127){x=c;v=u;while(1){b[v>>0]=x|128;w=x>>>7;r=v+1|0;if(x>>>0>16383){x=w;v=r}else{z=r;A=w;break}}}else{z=u;A=c}b[z>>0]=A;y=z+1|0}z=f[a+4>>2]|0;if(!(z&1)){B=y;return B|0}B=f4b(z&-2,y)|0;return B|0}function A2a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function B2a(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,19864,0)|0;if(!c){c2b(b,a);return}else{MVa(a,c);return}}function C2a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function D2a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533728;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function E2a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function F2a(a){a=a|0;var b=0,c=0;f[a>>2]=125920;if((a|0)!=531240){b=f[a+64>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);b=f[a+68>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b)}b=f[a+60>>2]|0;if(b|0?(f[b>>2]|0)==0:0)Emc(b);b=f[a+48>>2]|0;if(b|0?(f[b>>2]|0)==0:0)Emc(b);b=f[a+36>>2]|0;if(b|0?(f[b>>2]|0)==0:0)Emc(b);b=f[a+24>>2]|0;if(b|0?(f[b>>2]|0)==0:0)Emc(b);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function G2a(a){a=a|0;F2a(a);Emc(a);return}function H2a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function I2a(a,b){a=a|0;b=b|0;a=Bmc(120)|0;JVa(a);if(!b)return a|0;U2a(b,a);return a|0}function J2a(a){a=a|0;var c=0,d=0,e=0;f[a+16>>2]=0;f[a+28>>2]=0;f[a+40>>2]=0;f[a+52>>2]=0;c=a+8|0;d=f[c>>2]|0;if(d&3|0){if(d&1|0){e=f[a+64>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&2|0){e=f[a+68>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}}if(d&252|0){e=a+72|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0}if(d&16128|0){d=a+96|0;f[d>>2]=0;f[d+4>>2]=0;b[d+8>>0]=0;f[a+108>>2]=1;b[a+112>>0]=1;f[a+116>>2]=1}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function K2a(a){a=a|0;return 1}function L2a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+72|0;k=a+112|0;l=e+8|0;m=a+16|0;n=a+20|0;o=a+24|0;p=a+28|0;q=a+32|0;r=a+36|0;s=a+116|0;t=a+40|0;v=a+44|0;w=a+48|0;x=a+64|0;y=e+4|0;z=a+68|0;A=e+4|0;B=a+76|0;C=a+80|0;D=a+84|0;E=a+88|0;F=a+92|0;G=a+96|0;H=a+100|0;I=a+4|0;K=a+108|0;L=a+104|0;M=e+8|0;N=a+52|0;O=a+56|0;P=a+60|0;a:while(1){a=f[c>>2]|0;Q=f[g>>2]|0;do if(a>>>0<Q>>>0){R=b[a>>0]|0;S=R&255;T=a+1|0;if(R<<24>>24>0){U=T;V=S}else{if(T>>>0>=Q>>>0){W=S;X=7;break}R=h[T>>0]|0;if(((R^128)&S)>>>0<=127){W=S;X=7;break}U=a+2|0;V=S+-128+(R<<7)|0}f[c>>2]=U;Y=V;X=9}else{W=0;X=7}while(0);if((X|0)==7){X=0;a=xCb(c,W)|0;if((a+-1|0)>>>0<16383){Y=a;X=9}else Z=a}b:do if((X|0)==9){X=0;do switch(Y>>>3&536870911|0){case 1:{if((Y&255|0)!=8){Z=Y;break b}f[i>>2]=f[i>>2]|4;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){Q=b[a>>0]|0;R=Q&255;if(Q<<24>>24>-1){f[j>>2]=R;f[c>>2]=a+1;continue a}else _=R}else _=0;R=iCb(c,_)|0;a=J;f[j>>2]=R;if((a|0)>-1|(a|0)==-1&R>>>0>4294967295)continue a;else{$=0;X=175;break a}break}case 2:{if((Y&255|0)!=16){Z=Y;break b}f[i>>2]=f[i>>2]|4096;R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0?(a=b[R>>0]|0,a<<24>>24>-1):0){f[c>>2]=R+1;aa=a<<24>>24!=0}else{jCb(e,c);a=e;if(!(b[l>>0]|0)){$=0;X=175;break a}else aa=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[k>>0]=aa&1;continue a;break}case 3:{switch((Y&255)<<24>>24){case 24:break;case 26:{if(cZa(c,m)|0)continue a;else{$=0;X=175;break a}break}default:{Z=Y;break b}}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){R=b[a>>0]|0;Q=R&255;if(R<<24>>24>-1){f[c>>2]=a+1;ba=Q}else{ca=Q;X=25}}else{ca=0;X=25}if((X|0)==25){X=0;Q=iCb(c,ca)|0;a=J;if((a|0)>-1|(a|0)==-1&Q>>>0>4294967295)ba=Q;else{$=0;X=175;break a}}Q=f[m>>2]|0;if((Q|0)==(f[n>>2]|0)){iFa(m,Q+1|0);da=f[m>>2]|0}else da=Q;Q=f[o>>2]|0;f[m>>2]=da+1;f[Q+4+(da<<2)>>2]=ba;a=(f[n>>2]|0)-(f[m>>2]|0)|0;if((a|0)>0){ea=a;fa=Q}else continue a;while(1){Q=f[c>>2]|0;a=f[g>>2]|0;if(Q>>>0>=a>>>0)continue a;if((b[Q>>0]|0)!=24)continue a;R=Q+1|0;f[c>>2]=R;if(R>>>0<a>>>0){a=b[R>>0]|0;R=a&255;if(a<<24>>24>-1){f[c>>2]=Q+2;ga=R;ha=fa}else{ia=R;X=33}}else{ia=0;X=33}if((X|0)==33){X=0;R=iCb(c,ia)|0;Q=J;if(!((Q|0)>-1|(Q|0)==-1&R>>>0>4294967295)){$=0;X=175;break a}ga=R;ha=f[o>>2]|0}R=f[m>>2]|0;f[m>>2]=R+1;f[ha+4+(R<<2)>>2]=ga;if((ea|0)>1){ea=ea+-1|0;fa=ha}else continue a}break}case 4:{switch((Y&255)<<24>>24){case 32:break;case 34:{if(cZa(c,p)|0)continue a;else{$=0;X=175;break a}break}default:{Z=Y;break b}}R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0){Q=b[R>>0]|0;a=Q&255;if(Q<<24>>24>-1){f[c>>2]=R+1;ja=a}else{ka=a;X=42}}else{ka=0;X=42}if((X|0)==42){X=0;a=iCb(c,ka)|0;R=J;if((R|0)>-1|(R|0)==-1&a>>>0>4294967295)ja=a;else{$=0;X=175;break a}}a=f[p>>2]|0;if((a|0)==(f[q>>2]|0)){iFa(p,a+1|0);la=f[p>>2]|0}else la=a;a=f[r>>2]|0;f[p>>2]=la+1;f[a+4+(la<<2)>>2]=ja;R=(f[q>>2]|0)-(f[p>>2]|0)|0;if((R|0)>0){ma=R;na=a}else continue a;while(1){a=f[c>>2]|0;R=f[g>>2]|0;if(a>>>0>=R>>>0)continue a;if((b[a>>0]|0)!=32)continue a;Q=a+1|0;f[c>>2]=Q;if(Q>>>0<R>>>0){R=b[Q>>0]|0;Q=R&255;if(R<<24>>24>-1){f[c>>2]=a+2;oa=Q;pa=na}else{qa=Q;X=50}}else{qa=0;X=50}if((X|0)==50){X=0;Q=iCb(c,qa)|0;a=J;if(!((a|0)>-1|(a|0)==-1&Q>>>0>4294967295)){$=0;X=175;break a}oa=Q;pa=f[r>>2]|0}Q=f[p>>2]|0;f[p>>2]=Q+1;f[pa+4+(Q<<2)>>2]=oa;if((ma|0)>1){ma=ma+-1|0;na=pa}else continue a}break}case 5:{if((Y&255|0)!=40){Z=Y;break b}f[i>>2]=f[i>>2]|8192;Q=f[c>>2]|0;if(Q>>>0<(f[g>>2]|0)>>>0){a=b[Q>>0]|0;R=a&255;if(a<<24>>24>-1){f[s>>2]=R;f[c>>2]=Q+1;continue a}else ra=R}else ra=0;R=iCb(c,ra)|0;Q=J;f[s>>2]=R;if((Q|0)>-1|(Q|0)==-1&R>>>0>4294967295)continue a;else{$=0;X=175;break a}break}case 6:{switch((Y&255)<<24>>24){case 48:break;case 50:{if(cZa(c,t)|0)continue a;else{$=0;X=175;break a}break}default:{Z=Y;break b}}R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0){Q=b[R>>0]|0;a=Q&255;if(Q<<24>>24>-1){f[c>>2]=R+1;sa=a}else{ta=a;X=64}}else{ta=0;X=64}if((X|0)==64){X=0;a=iCb(c,ta)|0;R=J;if((R|0)>-1|(R|0)==-1&a>>>0>4294967295)sa=a;else{$=0;X=175;break a}}a=f[t>>2]|0;if((a|0)==(f[v>>2]|0)){iFa(t,a+1|0);ua=f[t>>2]|0}else ua=a;a=f[w>>2]|0;f[t>>2]=ua+1;f[a+4+(ua<<2)>>2]=sa;R=(f[v>>2]|0)-(f[t>>2]|0)|0;if((R|0)>0){va=R;wa=a}else continue a;while(1){a=f[c>>2]|0;R=f[g>>2]|0;if(a>>>0>=R>>>0)continue a;if((b[a>>0]|0)!=48)continue a;Q=a+1|0;f[c>>2]=Q;if(Q>>>0<R>>>0){R=b[Q>>0]|0;Q=R&255;if(R<<24>>24>-1){f[c>>2]=a+2;xa=Q;ya=wa}else{za=Q;X=72}}else{za=0;X=72}if((X|0)==72){X=0;Q=iCb(c,za)|0;a=J;if(!((a|0)>-1|(a|0)==-1&Q>>>0>4294967295)){$=0;X=175;break a}xa=Q;ya=f[w>>2]|0}Q=f[t>>2]|0;f[t>>2]=Q+1;f[ya+4+(Q<<2)>>2]=xa;if((va|0)>1){va=va+-1|0;wa=ya}else continue a}break}case 7:{if((Y&255|0)!=58){Z=Y;break b}f[i>>2]=f[i>>2]|1;Q=f[x>>2]|0;if(!Q){a=Bmc(48)|0;XTa(a);f[x>>2]=a;Aa=a}else Aa=Q;Q=f[c>>2]|0;if(Q>>>0<(f[g>>2]|0)>>>0?(a=b[Q>>0]|0,a<<24>>24>-1):0){f[c>>2]=Q+1;Ba=a&255}else{a=wCb(c)|0;if((a|0)>-1)Ba=a;else{$=0;X=175;break a}}hCb(e,c,Ba);if((f[y>>2]|0)<0){X=86;break a}if(!(Sh[f[(f[Aa>>2]|0)+44>>2]&511](Aa,c)|0)){X=86;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{$=0;X=175;break a}break}case 8:{if((Y&255|0)!=66){Z=Y;break b}f[i>>2]=f[i>>2]|2;a=f[z>>2]|0;if(!a){Q=Bmc(48)|0;XTa(Q);f[z>>2]=Q;Ca=Q}else Ca=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(Q=b[a>>0]|0,Q<<24>>24>-1):0){f[c>>2]=a+1;Da=Q&255}else{Q=wCb(c)|0;if((Q|0)>-1)Da=Q;else{$=0;X=175;break a}}hCb(e,c,Da);if((f[A>>2]|0)<0){X=97;break a}if(!(Sh[f[(f[Ca>>2]|0)+44>>2]&511](Ca,c)|0)){X=97;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{$=0;X=175;break a}break}case 9:{if((Y&255|0)!=72){Z=Y;break b}f[i>>2]=f[i>>2]|8;Q=f[c>>2]|0;if(Q>>>0<(f[g>>2]|0)>>>0){a=b[Q>>0]|0;R=a&255;if(a<<24>>24>-1){f[B>>2]=R;f[c>>2]=Q+1;continue a}else Ea=R}else Ea=0;R=iCb(c,Ea)|0;Q=J;f[B>>2]=R;if((Q|0)>-1|(Q|0)==-1&R>>>0>4294967295)continue a;else{$=0;X=175;break a}break}case 10:{if((Y&255|0)!=80){Z=Y;break b}f[i>>2]=f[i>>2]|16;R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0){Q=b[R>>0]|0;a=Q&255;if(Q<<24>>24>-1){f[C>>2]=a;f[c>>2]=R+1;continue a}else Fa=a}else Fa=0;a=iCb(c,Fa)|0;R=J;f[C>>2]=a;if((R|0)>-1|(R|0)==-1&a>>>0>4294967295)continue a;else{$=0;X=175;break a}break}case 11:{if((Y&255|0)!=88){Z=Y;break b}f[i>>2]=f[i>>2]|32;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){R=b[a>>0]|0;Q=R&255;if(R<<24>>24>-1){f[D>>2]=Q;f[c>>2]=a+1;continue a}else Ga=Q}else Ga=0;Q=iCb(c,Ga)|0;a=J;f[D>>2]=Q;if((a|0)>-1|(a|0)==-1&Q>>>0>4294967295)continue a;else{$=0;X=175;break a}break}case 12:{if((Y&255|0)!=96){Z=Y;break b}f[i>>2]=f[i>>2]|64;Q=f[c>>2]|0;if(Q>>>0<(f[g>>2]|0)>>>0){a=b[Q>>0]|0;R=a&255;if(a<<24>>24>-1){f[E>>2]=R;f[c>>2]=Q+1;continue a}else Ha=R}else Ha=0;R=iCb(c,Ha)|0;Q=J;f[E>>2]=R;if((Q|0)>-1|(Q|0)==-1&R>>>0>4294967295)continue a;else{$=0;X=175;break a}break}case 13:{if((Y&255|0)!=104){Z=Y;break b}f[i>>2]=f[i>>2]|128;R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0){Q=b[R>>0]|0;a=Q&255;if(Q<<24>>24>-1){f[F>>2]=a;f[c>>2]=R+1;continue a}else Ia=a}else Ia=0;a=iCb(c,Ia)|0;R=J;f[F>>2]=a;if((R|0)>-1|(R|0)==-1&a>>>0>4294967295)continue a;else{$=0;X=175;break a}break}case 14:{if((Y&255|0)!=112){Z=Y;break b}f[i>>2]=f[i>>2]|256;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){R=b[a>>0]|0;Q=R&255;if(R<<24>>24>-1){f[G>>2]=Q;f[c>>2]=a+1;continue a}else Ja=Q}else Ja=0;Q=iCb(c,Ja)|0;a=J;f[G>>2]=Q;if((a|0)>-1|(a|0)==-1&Q>>>0>4294967295)continue a;else{$=0;X=175;break a}break}case 15:{if((Y&255|0)!=120){Z=Y;break b}Q=f[c>>2]|0;if(Q>>>0<(f[g>>2]|0)>>>0){a=b[Q>>0]|0;R=a&255;if(a<<24>>24>-1){f[c>>2]=Q+1;Ka=R}else{La=R;X=133}}else{La=0;X=133}if((X|0)==133){X=0;R=iCb(c,La)|0;Q=J;if((Q|0)>-1|(Q|0)==-1&R>>>0>4294967295)Ka=R;else{$=0;X=175;break a}}if(Ka>>>0<3){f[i>>2]=f[i>>2]|512;f[H>>2]=Ka;continue a}R=f[I>>2]|0;if(!(R&1))Ma=AHa(I)|0;else Ma=R&-2;R3b(Ma,15,Ka,((Ka|0)<0)<<31>>31);continue a;break}case 16:{if((Y&255|0)!=128){Z=Y;break b}f[i>>2]=f[i>>2]|2048;R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0){Q=b[R>>0]|0;a=Q&255;if(Q<<24>>24>-1){f[c>>2]=R+1;Na=a}else{Oa=a;X=144}}else{Oa=0;X=144}if((X|0)==144){X=0;a=iCb(c,Oa)|0;R=J;if((R|0)>-1|(R|0)==-1&a>>>0>4294967295)Na=a;else{$=0;X=175;break a}}f[K>>2]=Na;continue a;break}case 17:{if((Y&255|0)!=136){Z=Y;break b}f[i>>2]=f[i>>2]|1024;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(R=b[a>>0]|0,R<<24>>24>-1):0){f[c>>2]=a+1;Pa=R<<24>>24!=0}else{jCb(e,c);R=e;if(!(b[M>>0]|0)){$=0;X=175;break a}else Pa=(f[R>>2]|0)!=0|(f[R+4>>2]|0)!=0}b[L>>0]=Pa&1;continue a;break}case 18:{switch((Y&255)<<24>>24){case -112:break;case -110:{if(cZa(c,N)|0)continue a;else{$=0;X=175;break a}break}default:{Z=Y;break b}}R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0){a=b[R>>0]|0;Q=a&255;if(a<<24>>24>-1){f[c>>2]=R+1;Qa=Q}else{Ra=Q;X=156}}else{Ra=0;X=156}if((X|0)==156){X=0;Q=iCb(c,Ra)|0;R=J;if((R|0)>-1|(R|0)==-1&Q>>>0>4294967295)Qa=Q;else{$=0;X=175;break a}}Q=f[N>>2]|0;if((Q|0)==(f[O>>2]|0)){iFa(N,Q+1|0);Sa=f[N>>2]|0}else Sa=Q;Q=f[P>>2]|0;f[N>>2]=Sa+1;f[Q+4+(Sa<<2)>>2]=Qa;R=(f[O>>2]|0)-(f[N>>2]|0)|0;if((R|0)>0){Ta=R;Ua=Q}else continue a;while(1){Q=f[g>>2]|0;R=f[c>>2]|0;a=R;if((Q-R|0)<=1)continue a;if((b[a>>0]|0)!=-112)continue a;if((b[a+1>>0]|0)!=1)continue a;R=a+2|0;f[c>>2]=R;if(R>>>0<Q>>>0){Q=b[R>>0]|0;R=Q&255;if(Q<<24>>24>-1){f[c>>2]=a+3;Va=R;Wa=Ua}else{Xa=R;X=165}}else{Xa=0;X=165}if((X|0)==165){X=0;R=iCb(c,Xa)|0;a=J;if(!((a|0)>-1|(a|0)==-1&R>>>0>4294967295)){$=0;X=175;break a}Va=R;Wa=f[P>>2]|0}R=f[N>>2]|0;f[N>>2]=R+1;f[Wa+4+(R<<2)>>2]=Va;if((Ta|0)>1){Ta=Ta+-1|0;Ua=Wa}else continue a}break}default:{Z=Y;break b}}while(0)}while(0);if(!Z){$=1;X=175;break}R=f[I>>2]|0;if(!(R&1))Ya=AHa(I)|0;else Ya=R&-2;if(!(b4b(c,Z,Ya)|0)){$=0;X=175;break}}if((X|0)==86){$=0;u=d;return $|0}else if((X|0)==97){$=0;u=d;return $|0}else if((X|0)==175){u=d;return $|0}return 0}function M2a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=KEb(a+16|0)|0;d=f[a+16>>2]|0;e=KEb(a+28|0)|0;g=f[a+28>>2]|0;h=KEb(a+40|0)|0;i=f[a+40>>2]|0;j=KEb(a+52|0)|0;k=b+c+d+e+g+h+i+j+(f[a+52>>2]<<1)|0;j=a+8|0;i=f[j>>2]|0;if(i&255){if(!(i&1)){l=k;m=i}else{h=f[a+64>>2]|0;g=ci[f[(f[h>>2]|0)+48>>2]&1023](h)|0;h=k+1+g+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0;l=h;m=f[j>>2]|0}if(!(m&2)){n=l;o=m}else{m=f[a+68>>2]|0;h=ci[f[(f[m>>2]|0)+48>>2]&1023](m)|0;m=l+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0;n=m;o=f[j>>2]|0}if(!(o&4))p=n;else p=n+1+((((($(f[a+72>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(o&8))q=p;else q=p+1+((((($(f[a+76>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(o&16))r=q;else r=q+1+((((($(f[a+80>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(o&32))s=r;else s=r+1+((((($(f[a+84>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(o&64))t=s;else t=s+1+((((($(f[a+88>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(o&128)){u=t;v=o}else{u=t+1+((((($(f[a+92>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;v=o}}else{u=k;v=i}if(!(v&16128)){w=u;x=a+12|0;f[x>>2]=w;return w|0}if(!(v&256))y=u;else y=u+1+((((($(f[a+96>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(v&512))z=y;else{u=f[a+100>>2]|0;if((u|0)<0)A=11;else A=((((($(u|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;z=A+y|0}y=v&1024|0?z+3|0:z;if(!(v&2048))B=y;else{z=f[a+108>>2]|0;if((z|0)<0)C=12;else C=((((($(z|1|0)|0)^31)*9|0)+73|0)>>>6)+2|0;B=C+y|0}y=v&4096|0?B+2|0:B;if(!(v&8192)){w=y;x=a+12|0;f[x>>2]=w;return w|0}w=y+1+((((($(f[a+116>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;x=a+12|0;f[x>>2]=w;return w|0}function N2a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=f[a+8>>2]|0;if(d&4|0)oEb(1,f[a+72>>2]|0,c);if(d&4096|0)yEb(2,(b[a+112>>0]|0)!=0,c);e=f[a+16>>2]|0;if((e|0)>0){g=a+24|0;h=0;do{oEb(3,f[(f[g>>2]|0)+4+(h<<2)>>2]|0,c);h=h+1|0}while((h|0)!=(e|0))}e=f[a+28>>2]|0;if((e|0)>0){h=a+36|0;g=0;do{oEb(4,f[(f[h>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(e|0))}if(d&8192|0)oEb(5,f[a+116>>2]|0,c);e=f[a+40>>2]|0;if((e|0)>0){g=a+48|0;h=0;do{oEb(6,f[(f[g>>2]|0)+4+(h<<2)>>2]|0,c);h=h+1|0}while((h|0)!=(e|0))}if(d&1|0)GEb(7,f[a+64>>2]|0,c);if(d&2|0)GEb(8,f[a+68>>2]|0,c);if(d&8|0)oEb(9,f[a+76>>2]|0,c);if(d&16|0)oEb(10,f[a+80>>2]|0,c);if(d&32|0)oEb(11,f[a+84>>2]|0,c);if(d&64|0)oEb(12,f[a+88>>2]|0,c);if(d&128|0)oEb(13,f[a+92>>2]|0,c);if(d&256|0)oEb(14,f[a+96>>2]|0,c);if(d&512|0)zEb(15,f[a+100>>2]|0,c);if(d&2048|0)mEb(16,f[a+108>>2]|0,c);if(d&1024|0)yEb(17,(b[a+104>>0]|0)!=0,c);d=f[a+52>>2]|0;if((d|0)>0){e=a+60|0;h=0;do{oEb(18,f[(f[e>>2]|0)+4+(h<<2)>>2]|0,c);h=h+1|0}while((h|0)!=(d|0))}d=f[a+4>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function O2a(a){a=a|0;return f[a+12>>2]|0}function P2a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0;e=f[a+8>>2]|0;if(!(e&4))g=d;else{h=f[a+72>>2]|0;b[d>>0]=8;i=d+1|0;if(h>>>0>127){d=h;j=i;while(1){b[j>>0]=d|128;k=d>>>7;l=j+1|0;if(d>>>0>16383){d=k;j=l}else{m=l;n=k;break}}}else{m=i;n=h}b[m>>0]=n;g=m+1|0}if(!(e&4096))o=g;else{m=b[a+112>>0]|0;b[g>>0]=16;b[g+1>>0]=m;o=g+2|0}g=f[a+16>>2]|0;if(!g)p=o;else{m=f[a+24>>2]|0;n=0;h=o;while(1){o=f[m+4+(n<<2)>>2]|0;b[h>>0]=24;i=h+1|0;if(o>>>0>127){j=o;d=i;while(1){b[d>>0]=j|128;k=j>>>7;l=d+1|0;if(j>>>0>16383){j=k;d=l}else{q=l;r=k;break}}}else{q=i;r=o}b[q>>0]=r;d=q+1|0;n=n+1|0;if((n|0)>=(g|0)){p=d;break}else h=d}}h=f[a+28>>2]|0;if(!h)s=p;else{g=f[a+36>>2]|0;n=0;q=p;while(1){p=f[g+4+(n<<2)>>2]|0;b[q>>0]=32;r=q+1|0;if(p>>>0>127){m=p;d=r;while(1){b[d>>0]=m|128;j=m>>>7;k=d+1|0;if(m>>>0>16383){m=j;d=k}else{t=k;u=j;break}}}else{t=r;u=p}b[t>>0]=u;d=t+1|0;n=n+1|0;if((n|0)>=(h|0)){s=d;break}else q=d}}if(!(e&8192))v=s;else{q=f[a+116>>2]|0;b[s>>0]=40;h=s+1|0;if(q>>>0>127){s=q;n=h;while(1){b[n>>0]=s|128;t=s>>>7;u=n+1|0;if(s>>>0>16383){s=t;n=u}else{w=u;x=t;break}}}else{w=h;x=q}b[w>>0]=x;v=w+1|0}w=f[a+40>>2]|0;if(!w)y=v;else{x=f[a+48>>2]|0;q=0;h=v;while(1){v=f[x+4+(q<<2)>>2]|0;b[h>>0]=48;n=h+1|0;if(v>>>0>127){s=v;t=n;while(1){b[t>>0]=s|128;u=s>>>7;g=t+1|0;if(s>>>0>16383){s=u;t=g}else{z=g;A=u;break}}}else{z=n;A=v}b[z>>0]=A;t=z+1|0;q=q+1|0;if((q|0)>=(w|0)){y=t;break}else h=t}}if(!(e&1))B=y;else{h=f[a+64>>2]|0;b[y>>0]=58;w=y+1|0;y=ci[f[(f[h>>2]|0)+60>>2]&1023](h)|0;if(y>>>0>127){q=y;z=w;while(1){b[z>>0]=q|128;A=q>>>7;x=z+1|0;if(q>>>0>16383){q=A;z=x}else{C=x;D=A;break}}}else{C=w;D=y}b[C>>0]=D;B=ki[f[(f[h>>2]|0)+64>>2]&511](h,c,C+1|0)|0}if(!(e&2))E=B;else{C=f[a+68>>2]|0;b[B>>0]=66;h=B+1|0;B=ci[f[(f[C>>2]|0)+60>>2]&1023](C)|0;if(B>>>0>127){D=B;y=h;while(1){b[y>>0]=D|128;w=D>>>7;z=y+1|0;if(D>>>0>16383){D=w;y=z}else{F=z;G=w;break}}}else{F=h;G=B}b[F>>0]=G;E=ki[f[(f[C>>2]|0)+64>>2]&511](C,c,F+1|0)|0}if(!(e&8))H=E;else{F=f[a+76>>2]|0;b[E>>0]=72;c=E+1|0;if(F>>>0>127){E=F;C=c;while(1){b[C>>0]=E|128;G=E>>>7;B=C+1|0;if(E>>>0>16383){E=G;C=B}else{I=B;K=G;break}}}else{I=c;K=F}b[I>>0]=K;H=I+1|0}if(!(e&16))L=H;else{I=f[a+80>>2]|0;b[H>>0]=80;K=H+1|0;if(I>>>0>127){H=I;F=K;while(1){b[F>>0]=H|128;c=H>>>7;C=F+1|0;if(H>>>0>16383){H=c;F=C}else{M=C;N=c;break}}}else{M=K;N=I}b[M>>0]=N;L=M+1|0}if(!(e&32))O=L;else{M=f[a+84>>2]|0;b[L>>0]=88;N=L+1|0;if(M>>>0>127){L=M;I=N;while(1){b[I>>0]=L|128;K=L>>>7;F=I+1|0;if(L>>>0>16383){L=K;I=F}else{P=F;Q=K;break}}}else{P=N;Q=M}b[P>>0]=Q;O=P+1|0}if(!(e&64))R=O;else{P=f[a+88>>2]|0;b[O>>0]=96;Q=O+1|0;if(P>>>0>127){O=P;M=Q;while(1){b[M>>0]=O|128;N=O>>>7;I=M+1|0;if(O>>>0>16383){O=N;M=I}else{S=I;T=N;break}}}else{S=Q;T=P}b[S>>0]=T;R=S+1|0}if(!(e&128))U=R;else{S=f[a+92>>2]|0;b[R>>0]=104;T=R+1|0;if(S>>>0>127){R=S;P=T;while(1){b[P>>0]=R|128;Q=R>>>7;M=P+1|0;if(R>>>0>16383){R=Q;P=M}else{V=M;W=Q;break}}}else{V=T;W=S}b[V>>0]=W;U=V+1|0}if(!(e&256))X=U;else{V=f[a+96>>2]|0;b[U>>0]=112;W=U+1|0;if(V>>>0>127){U=V;S=W;while(1){b[S>>0]=U|128;T=U>>>7;P=S+1|0;if(U>>>0>16383){U=T;S=P}else{Y=P;Z=T;break}}}else{Y=W;Z=V}b[Y>>0]=Z;X=Y+1|0}if(!(e&512))_=X;else{Y=f[a+100>>2]|0;b[X>>0]=120;Z=X+1|0;X=Y&255;if(Y>>>0>127){V=Z;W=X;S=Y;U=((Y|0)<0)<<31>>31;while(1){b[V>>0]=W|-128;Y=S;S=Irc(S|0,U|0,7)|0;T=V+1|0;P=S&255;if(!(U>>>0>0|(U|0)==0&Y>>>0>16383)){$=T;aa=P;break}else{V=T;W=P;U=J}}}else{$=Z;aa=X}b[$>>0]=aa;_=$+1|0}if(!(e&2048))ba=_;else{$=f[a+108>>2]|0;b[_>>0]=-128;b[_+1>>0]=1;aa=_+2|0;_=$&255;if($>>>0>127){X=aa;Z=_;U=$;W=(($|0)<0)<<31>>31;while(1){b[X>>0]=Z|-128;$=U;U=Irc(U|0,W|0,7)|0;V=X+1|0;S=U&255;if(!(W>>>0>0|(W|0)==0&$>>>0>16383)){ca=V;da=S;break}else{X=V;Z=S;W=J}}}else{ca=aa;da=_}b[ca>>0]=da;ba=ca+1|0}if(!(e&1024))ea=ba;else{e=b[a+104>>0]|0;b[ba>>0]=-120;b[ba+1>>0]=1;b[ba+2>>0]=e;ea=ba+3|0}ba=f[a+52>>2]|0;if(!ba)fa=ea;else{e=f[a+60>>2]|0;ca=0;da=ea;while(1){ea=f[e+4+(ca<<2)>>2]|0;b[da>>0]=-112;b[da+1>>0]=1;_=da+2|0;if(ea>>>0>127){aa=ea;W=_;while(1){b[W>>0]=aa|128;Z=aa>>>7;X=W+1|0;if(aa>>>0>16383){aa=Z;W=X}else{ga=X;ha=Z;break}}}else{ga=_;ha=ea}b[ga>>0]=ha;W=ga+1|0;ca=ca+1|0;if((ca|0)>=(ba|0)){fa=W;break}else da=W}}da=f[a+4>>2]|0;if(!(da&1)){ia=fa;return ia|0}ia=f4b(da&-2,fa)|0;return ia|0}function Q2a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function R2a(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,19880,0)|0;if(!c){c2b(b,a);return}else{KVa(a,c);return}}function S2a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function T2a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533712;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function U2a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function V2a(a){a=a|0;var b=0,c=0;f[a>>2]=126028;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function W2a(a){a=a|0;var b=0,c=0;f[a>>2]=126028;b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function X2a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function Y2a(a,b){a=a|0;b=b|0;a=Bmc(24)|0;IVa(a);if(!b)return a|0;i3a(b,a);return a|0}function Z2a(a){a=a|0;var b=0;b=a+8|0;if(f[b>>2]&3|0){f[a+16>>2]=1;f[a+20>>2]=1}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function _2a(a){a=a|0;return 1}function $2a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=c+4|0;e=a+8|0;g=a+16|0;h=a+20|0;i=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){j=b[a>>0]|0;k=j&255;if(j<<24>>24>0){f[c>>2]=a+1;l=k;m=6}else{n=k;m=5}}else{n=0;m=5}if((m|0)==5){m=0;k=xCb(c,n)|0;if((k+-1|0)>>>0<127){l=k;m=6}else o=k}b:do if((m|0)==6){m=0;switch(l>>>3&536870911|0){case 1:{if((l&255|0)!=8){o=l;break b}f[e>>2]=f[e>>2]|1;k=f[c>>2]|0;if(k>>>0<(f[d>>2]|0)>>>0){a=b[k>>0]|0;j=a&255;if(a<<24>>24>-1){f[g>>2]=j;f[c>>2]=k+1;continue a}else p=j}else p=0;j=iCb(c,p)|0;k=J;f[g>>2]=j;if((k|0)>-1|(k|0)==-1&j>>>0>4294967295)continue a;else{q=0;m=23;break a}break}case 2:break;default:{o=l;break b}}if((l&255|0)==16){f[e>>2]=f[e>>2]|2;j=f[c>>2]|0;if(j>>>0<(f[d>>2]|0)>>>0){k=b[j>>0]|0;a=k&255;if(k<<24>>24>-1){f[c>>2]=j+1;r=a}else{s=a;m=16}}else{s=0;m=16}if((m|0)==16){m=0;a=iCb(c,s)|0;j=J;if((j|0)>-1|(j|0)==-1&a>>>0>4294967295)r=a;else{q=0;m=23;break a}}f[h>>2]=r;continue a}else o=l}while(0);if(!o){q=1;m=23;break}a=f[i>>2]|0;if(!(a&1))t=AHa(i)|0;else t=a&-2;if(!(b4b(c,o,t)|0)){q=0;m=23;break}}if((m|0)==23)return q|0;return 0}function a3a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+8>>2]|0;if(!(b&3)){d=c;e=a+12|0;f[e>>2]=d;return d|0}if(!(b&1))g=c;else g=c+1+((((($(f[a+16>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(b&2)){d=g;e=a+12|0;f[e>>2]=d;return d|0}b=f[a+20>>2]|0;if((b|0)<0)h=11;else h=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;d=h+g|0;e=a+12|0;f[e>>2]=d;return d|0}function b3a(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)oEb(1,f[a+16>>2]|0,b);if(c&2|0)mEb(2,f[a+20>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function c3a(a){a=a|0;return f[a+12>>2]|0}function d3a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=8;h=d+1|0;if(g>>>0>127){d=g;i=h;while(1){b[i>>0]=d|128;j=d>>>7;k=i+1|0;if(d>>>0>16383){d=j;i=k}else{l=k;m=j;break}}}else{l=h;m=g}b[l>>0]=m;e=l+1|0}if(!(c&2))n=e;else{c=f[a+20>>2]|0;b[e>>0]=16;l=e+1|0;e=c&255;if(c>>>0>127){m=l;g=e;h=c;i=((c|0)<0)<<31>>31;while(1){b[m>>0]=g|-128;c=h;h=Irc(h|0,i|0,7)|0;d=m+1|0;j=h&255;if(!(i>>>0>0|(i|0)==0&c>>>0>16383)){o=d;p=j;break}else{m=d;g=j;i=J}}}else{o=l;p=e}b[o>>0]=p;n=o+1|0}o=f[a+4>>2]|0;if(!(o&1)){q=n;return q|0}q=f4b(o&-2,n)|0;return q|0}function e3a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function f3a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,19896,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}d=f[c+8>>2]|0;if(!(d&3))return;if(d&1|0)f[a+16>>2]=f[c+16>>2];if(d&2|0)f[a+20>>2]=f[c+20>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function g3a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function h3a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533680;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function i3a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function j3a(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=126136;f[a+4>>2]=0;f[a+8>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[e+28>>2]=0;if((a|0)!=530520?(f[222749]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=49;b[d+8>>0]=0;dEb(890996,d);zDb(d)}f[a+12>>2]=0;d=a+48|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;u=c;return}function k3a(a,b){a=a|0;b=b|0;l3a(b,a);return}function l3a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}BHa(a+16|0,b+16|0);BHa(a+32|0,b+32|0);d=f[b+8>>2]|0;if(!(d&7))return;if(d&1|0)f[a+48>>2]=f[b+48>>2];if(d&2|0)f[a+52>>2]=f[b+52>>2];if(d&4|0)f[a+56>>2]=f[b+56>>2];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function m3a(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;f[a>>2]=126136;c=a+44|0;d=f[c>>2]|0;if(d|0?(f[a+32>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0){if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);Emc(h)}g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;Emc(i)}f[c>>2]=0;c=a+28|0;i=f[c>>2]|0;if(i|0?(f[a+16>>2]|0)==0:0){d=f[i>>2]|0;if((d|0)>0){e=0;do{g=f[i+4+(e<<2)>>2]|0;if(g|0){if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);Emc(g)}e=e+1|0}while((e|0)!=(d|0));j=f[c>>2]|0}else j=i;Emc(j)}f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}j=a&-2;a=j;if((j|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(j);f[c>>2]=0;return}function n3a(a){a=a|0;m3a(a);Emc(a);return}function o3a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function p3a(a,b){a=a|0;b=b|0;a=Bmc(60)|0;j3a(a);if(!b)return a|0;B3a(b,a);return a|0}function q3a(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+20|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+28>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;i=h+11|0;if((b[i>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0}else{b[h>>0]=0;b[i>>0]=0}}while((g|0)!=(d|0));f[c>>2]=0}c=a+36|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+44>>2]|0;e=0;do{i=f[g+4+(e<<2)>>2]|0;e=e+1|0;h=i+11|0;if((b[h>>0]|0)<0){b[f[i>>2]>>0]=0;f[i+4>>2]=0}else{b[i>>0]=0;b[h>>0]=0}}while((e|0)!=(d|0));f[c>>2]=0}c=a+8|0;if(f[c>>2]&7|0){d=a+48|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function r3a(a){a=a|0;return 1}function s3a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;d=c+4|0;e=a+8|0;g=a+52|0;h=a+56|0;i=a+16|0;j=a+32|0;k=a+4|0;l=a+48|0;a:while(1){b:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){m=b[a>>0]|0;n=m&255;if(m<<24>>24>0){f[c>>2]=a+1;o=n;p=7}else{q=n;p=6}}else{q=0;p=6}if((p|0)==6){p=0;n=xCb(c,q)|0;if((n+-1|0)>>>0<127){o=n;p=7}else r=n}c:do if((p|0)==7){p=0;switch(o>>>3&536870911|0){case 1:{if((o&255|0)==8)break b;else{r=o;break c}break}case 2:{if((o&255|0)!=16){r=o;break c}f[e>>2]=f[e>>2]|2;n=f[c>>2]|0;if(n>>>0<(f[d>>2]|0)>>>0){a=b[n>>0]|0;m=a&255;if(a<<24>>24>-1){f[c>>2]=n+1;s=m}else{t=m;p=23}}else{t=0;p=23}if((p|0)==23){p=0;m=iCb(c,t)|0;n=J;if((n|0)>-1|(n|0)==-1&m>>>0>4294967295)s=m;else{u=0;p=40;break a}}f[g>>2]=s;continue b;break}case 3:{if((o&255|0)!=24){r=o;break c}f[e>>2]=f[e>>2]|4;m=f[c>>2]|0;if(m>>>0<(f[d>>2]|0)>>>0){n=b[m>>0]|0;a=n&255;if(n<<24>>24>-1){f[c>>2]=m+1;v=a}else{w=a;p=29}}else{w=0;p=29}if((p|0)==29){p=0;a=iCb(c,w)|0;m=J;if((m|0)>-1|(m|0)==-1&a>>>0>4294967295)v=a;else{u=0;p=40;break a}}f[h>>2]=v;continue b;break}case 4:{if((o&255|0)!=34){r=o;break c}if(HEb(c,dFa(i)|0)|0)continue b;else{u=0;p=40;break a}break}case 5:{if((o&255|0)!=42){r=o;break c}if(HEb(c,dFa(j)|0)|0)continue b;else{u=0;p=40;break a}break}default:{r=o;break c}}}while(0);if(!r){u=1;p=40;break a}a=f[k>>2]|0;if(!(a&1))x=AHa(k)|0;else x=a&-2;if(!(b4b(c,r,x)|0)){u=0;p=40;break a}}a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){m=b[a>>0]|0;n=m&255;if(m<<24>>24>-1){f[c>>2]=a+1;y=n}else{z=n;p=12}}else{z=0;p=12}if((p|0)==12){p=0;n=iCb(c,z)|0;a=J;if((a|0)>-1|(a|0)==-1&n>>>0>4294967295)y=n;else{u=0;p=40;break}}if(y>>>0<2){f[e>>2]=f[e>>2]|1;f[l>>2]=y;continue}n=f[k>>2]|0;if(!(n&1))A=AHa(k)|0;else A=n&-2;R3b(A,1,y,((y|0)<0)<<31>>31)}if((p|0)==40)return u|0;return 0}function t3a(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=f[a+20>>2]|0;e=c+d|0;if((c|0)>0){d=f[a+28>>2]|0;g=0;h=e;while(1){i=f[d+4+(g<<2)>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0?f[i+4>>2]|0:j&255;j=k+h+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=g+1|0;if((g|0)==(c|0)){l=j;break}else h=j}}else l=e;e=f[a+36>>2]|0;h=e+l|0;if((e|0)>0){l=f[a+44>>2]|0;c=0;g=h;while(1){d=f[l+4+(c<<2)>>2]|0;j=b[d+11>>0]|0;k=j<<24>>24<0?f[d+4>>2]|0:j&255;j=k+g+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;c=c+1|0;if((c|0)==(e|0)){m=j;break}else g=j}}else m=h;h=f[a+8>>2]|0;if(!(h&7)){n=m;o=a+12|0;f[o>>2]=n;return n|0}if(!(h&1))p=m;else{g=f[a+48>>2]|0;if((g|0)<0)q=11;else q=((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;p=q+m|0}if(!(h&2))r=p;else{m=f[a+52>>2]|0;if((m|0)<0)s=11;else s=((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;r=s+p|0}if(!(h&4)){n=r;o=a+12|0;f[o>>2]=n;return n|0}h=f[a+56>>2]|0;if((h|0)<0)t=11;else t=((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;n=t+r|0;o=a+12|0;f[o>>2]=n;return n|0}function u3a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a+8>>2]|0;if(c&1|0)zEb(1,f[a+48>>2]|0,b);if(c&2|0)mEb(2,f[a+52>>2]|0,b);if(c&4|0)mEb(3,f[a+56>>2]|0,b);c=f[a+20>>2]|0;if((c|0)>0){d=a+28|0;e=0;do{AEb(4,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+36>>2]|0;if((c|0)>0){e=a+44|0;d=0;do{AEb(5,f[(f[e>>2]|0)+4+(d<<2)>>2]|0,b);d=d+1|0}while((d|0)!=(c|0))}c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function v3a(a){a=a|0;return f[a+12>>2]|0}function w3a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+48>>2]|0;b[d>>0]=8;h=d+1|0;d=g&255;if(g>>>0>127){i=h;j=d;k=g;l=((g|0)<0)<<31>>31;while(1){b[i>>0]=j|-128;g=k;k=Irc(k|0,l|0,7)|0;m=i+1|0;n=k&255;if(!(l>>>0>0|(l|0)==0&g>>>0>16383)){o=m;p=n;break}else{i=m;j=n;l=J}}}else{o=h;p=d}b[o>>0]=p;e=o+1|0}if(!(c&2))q=e;else{o=f[a+52>>2]|0;b[e>>0]=16;p=e+1|0;e=o&255;if(o>>>0>127){d=p;h=e;l=o;j=((o|0)<0)<<31>>31;while(1){b[d>>0]=h|-128;o=l;l=Irc(l|0,j|0,7)|0;i=d+1|0;k=l&255;if(!(j>>>0>0|(j|0)==0&o>>>0>16383)){r=i;s=k;break}else{d=i;h=k;j=J}}}else{r=p;s=e}b[r>>0]=s;q=r+1|0}if(!(c&4))t=q;else{c=f[a+56>>2]|0;b[q>>0]=24;r=q+1|0;q=c&255;if(c>>>0>127){s=r;e=q;p=c;j=((c|0)<0)<<31>>31;while(1){b[s>>0]=e|-128;c=p;p=Irc(p|0,j|0,7)|0;h=s+1|0;d=p&255;if(!(j>>>0>0|(j|0)==0&c>>>0>16383)){u=h;v=d;break}else{s=h;e=d;j=J}}}else{u=r;v=q}b[u>>0]=v;t=u+1|0}u=f[a+20>>2]|0;if((u|0)>0){v=a+28|0;q=0;r=t;while(1){j=f[(f[v>>2]|0)+4+(q<<2)>>2]|0;b[r>>0]=34;e=GCb(j,r+1|0)|0;q=q+1|0;if((q|0)==(u|0)){w=e;break}else r=e}}else w=t;t=f[a+36>>2]|0;if((t|0)>0){r=a+44|0;u=0;q=w;while(1){v=f[(f[r>>2]|0)+4+(u<<2)>>2]|0;b[q>>0]=42;e=GCb(v,q+1|0)|0;u=u+1|0;if((u|0)==(t|0)){x=e;break}else q=e}}else x=w;w=f[a+4>>2]|0;if(!(w&1)){y=x;return y|0}y=f4b(w&-2,x)|0;return y|0}function x3a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function y3a(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,19912,0)|0;if(!c){c2b(b,a);return}else{l3a(a,c);return}}function z3a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function A3a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533624;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function B3a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function C3a(a){a=a|0;return a>>>0<2|0}function D3a(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=122896;Drc(a+4|0,0,156)|0;if((a|0)!=532744?(f[222800]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=100;b[d+8>>0]=0;dEb(891200,d);zDb(d)}f[a+160>>2]=535416;Drc(a+164|0,0,132)|0;u=c;return}function E3a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function F3a(a){a=a|0;var c=0;c=f[a+160>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}if((a|0)==532744)return;c=f[a+164>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+168>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+172>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+176>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+180>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+184>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+188>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+192>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+196>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+200>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+204>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+208>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+212>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+216>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+220>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+224>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+228>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+232>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+236>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+240>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+244>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+248>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+252>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+256>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+260>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+264>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+268>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+272>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+276>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+280>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+284>>2]|0;if(!c)return;ai[f[(f[c>>2]|0)+4>>2]&2047](c);return}function G3a(a){a=a|0;var b=0,c=0;f[a>>2]=126244;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function H3a(a){a=a|0;var b=0,c=0;f[a>>2]=126244;b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function I3a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function J3a(a,b){a=a|0;b=b|0;a=Bmc(28)|0;V3a(a);if(!b)return a|0;W3a(b,a);return a|0}function K3a(a){a=a|0;var b=0,c=0;b=a+8|0;if(f[b>>2]&7|0){c=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function L3a(a){a=a|0;return 1}function M3a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;d=c+4|0;e=a+8|0;g=a+16|0;h=a+4|0;i=a+24|0;j=a+20|0;a:while(1){b:while(1){c:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){k=b[a>>0]|0;l=k&255;if(k<<24>>24>0){f[c>>2]=a+1;m=l;n=8}else{o=l;n=7}}else{o=0;n=7}if((n|0)==7){n=0;l=xCb(c,o)|0;if((l+-1|0)>>>0<127){m=l;n=8}else p=l}d:do if((n|0)==8){n=0;switch(m>>>3&536870911|0){case 1:{if((m&255|0)!=8){p=m;break d}f[e>>2]=f[e>>2]|1;l=f[c>>2]|0;if(l>>>0<(f[d>>2]|0)>>>0){a=b[l>>0]|0;k=a&255;if(a<<24>>24>-1){f[g>>2]=k;f[c>>2]=l+1;continue c}else q=k}else q=0;k=iCb(c,q)|0;l=J;f[g>>2]=k;if((l|0)>-1|(l|0)==-1&k>>>0>4294967295)continue c;else{r=0;n=41;break a}break}case 2:{if((m&255|0)==16)break b;else{p=m;break d}break}case 6:{if((m&255|0)==48)break c;else{p=m;break d}break}default:{p=m;break d}}}while(0);if(!p){r=1;n=41;break a}k=f[h>>2]|0;if(!(k&1))s=AHa(h)|0;else s=k&-2;if(!(b4b(c,p,s)|0)){r=0;n=41;break a}}k=f[c>>2]|0;if(k>>>0<(f[d>>2]|0)>>>0){l=b[k>>0]|0;a=l&255;if(l<<24>>24>-1){f[c>>2]=k+1;t=a}else{u=a;n=29}}else{u=0;n=29}if((n|0)==29){n=0;a=iCb(c,u)|0;k=J;if((k|0)>-1|(k|0)==-1&a>>>0>4294967295)t=a;else{r=0;n=41;break a}}if(t>>>0<3){f[e>>2]=f[e>>2]|4;f[i>>2]=t;continue}a=f[h>>2]|0;if(!(a&1))v=AHa(h)|0;else v=a&-2;R3b(v,6,t,((t|0)<0)<<31>>31)}a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){k=b[a>>0]|0;l=k&255;if(k<<24>>24>-1){f[c>>2]=a+1;w=l}else{x=l;n=18}}else{x=0;n=18}if((n|0)==18){n=0;l=iCb(c,x)|0;a=J;if((a|0)>-1|(a|0)==-1&l>>>0>4294967295)w=l;else{r=0;n=41;break}}if(w>>>0<3){f[e>>2]=f[e>>2]|2;f[j>>2]=w;continue}l=f[h>>2]|0;if(!(l&1))y=AHa(h)|0;else y=l&-2;R3b(y,2,w,((w|0)<0)<<31>>31)}if((n|0)==41)return r|0;return 0}function N3a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+8>>2]|0;if(!(b&7)){d=c;e=a+12|0;f[e>>2]=d;return d|0}if(!(b&1))g=c;else g=c+1+((((($(f[a+16>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(b&2))h=g;else{c=f[a+20>>2]|0;if((c|0)<0)i=11;else i=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;h=i+g|0}if(!(b&4)){d=h;e=a+12|0;f[e>>2]=d;return d|0}b=f[a+24>>2]|0;if((b|0)<0)j=11;else j=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;d=j+h|0;e=a+12|0;f[e>>2]=d;return d|0}function O3a(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)oEb(1,f[a+16>>2]|0,b);if(c&2|0)zEb(2,f[a+20>>2]|0,b);if(c&4|0)zEb(6,f[a+24>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function P3a(a){a=a|0;return f[a+12>>2]|0}function Q3a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=8;h=d+1|0;if(g>>>0>127){d=g;i=h;while(1){b[i>>0]=d|128;j=d>>>7;k=i+1|0;if(d>>>0>16383){d=j;i=k}else{l=k;m=j;break}}}else{l=h;m=g}b[l>>0]=m;e=l+1|0}if(!(c&2))n=e;else{l=f[a+20>>2]|0;b[e>>0]=16;m=e+1|0;e=l&255;if(l>>>0>127){g=m;h=e;i=l;d=((l|0)<0)<<31>>31;while(1){b[g>>0]=h|-128;l=i;i=Irc(i|0,d|0,7)|0;j=g+1|0;k=i&255;if(!(d>>>0>0|(d|0)==0&l>>>0>16383)){o=j;p=k;break}else{g=j;h=k;d=J}}}else{o=m;p=e}b[o>>0]=p;n=o+1|0}if(!(c&4))q=n;else{c=f[a+24>>2]|0;b[n>>0]=48;o=n+1|0;n=c&255;if(c>>>0>127){p=o;e=n;m=c;d=((c|0)<0)<<31>>31;while(1){b[p>>0]=e|-128;c=m;m=Irc(m|0,d|0,7)|0;h=p+1|0;g=m&255;if(!(d>>>0>0|(d|0)==0&c>>>0>16383)){r=h;s=g;break}else{p=h;e=g;d=J}}}else{r=o;s=n}b[r>>0]=s;q=r+1|0}r=f[a+4>>2]|0;if(!(r&1)){t=q;return t|0}t=f4b(r&-2,q)|0;return t|0}function R3a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function S3a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,19928,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}d=f[c+8>>2]|0;if(!(d&7))return;if(d&1|0)f[a+16>>2]=f[c+16>>2];if(d&2|0)f[a+20>>2]=f[c+20>>2];if(d&4|0)f[a+24>>2]=f[c+24>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function T3a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function U3a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=534024;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function V3a(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=126244;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=532712?(f[222799]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=99;b[d+8>>0]=0;dEb(891196,d);zDb(d)}d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;u=c;return}function W3a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function X3a(a){a=a|0;var b=0,c=0;f[a>>2]=126352;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function Y3a(a){a=a|0;var b=0,c=0;f[a>>2]=126352;b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function Z3a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function _3a(a,b){a=a|0;b=b|0;a=Bmc(24)|0;k4a(a);if(!b)return a|0;l4a(b,a);return a|0}function $3a(a){a=a|0;var b=0;b=a+8|0;if(f[b>>2]&3|0){f[a+16>>2]=0;f[a+20>>2]=1}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function a4a(a){a=a|0;return 1}function b4a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;d=c+4|0;e=a+8|0;g=a+20|0;h=a+16|0;i=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){j=b[a>>0]|0;k=j&255;if(j<<24>>24>0){f[c>>2]=a+1;l=k;m=6}else{n=k;m=5}}else{n=0;m=5}if((m|0)==5){m=0;k=xCb(c,n)|0;if((k+-1|0)>>>0<127){l=k;m=6}else o=k}b:do if((m|0)==6){m=0;switch(l>>>3&536870911|0){case 1:{if((l&255|0)!=8){o=l;break b}f[e>>2]=f[e>>2]|2;k=f[c>>2]|0;if(k>>>0<(f[d>>2]|0)>>>0){a=b[k>>0]|0;j=a&255;if(a<<24>>24>-1){f[c>>2]=k+1;p=j}else{q=j;m=11}}else{q=0;m=11}if((m|0)==11){m=0;j=iCb(c,q)|0;k=J;if((k|0)>-1|(k|0)==-1&j>>>0>4294967295)p=j;else{r=0;m=24;break a}}f[g>>2]=p;continue a;break}case 2:{if((l&255|0)!=16){o=l;break b}f[e>>2]=f[e>>2]|1;j=f[c>>2]|0;if(j>>>0<(f[d>>2]|0)>>>0){k=b[j>>0]|0;a=k&255;if(k<<24>>24>-1){f[c>>2]=j+1;s=a}else{t=a;m=17}}else{t=0;m=17}if((m|0)==17){m=0;a=iCb(c,t)|0;j=J;if((j|0)>-1|(j|0)==-1&a>>>0>4294967295)s=a;else{r=0;m=24;break a}}f[h>>2]=s;continue a;break}default:{o=l;break b}}}while(0);if(!o){r=1;m=24;break}a=f[i>>2]|0;if(!(a&1))u=AHa(i)|0;else u=a&-2;if(!(b4b(c,o,u)|0)){r=0;m=24;break}}if((m|0)==24)return r|0;return 0}function c4a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+8>>2]|0;if(!(b&3)){d=c;e=a+12|0;f[e>>2]=d;return d|0}if(!(b&1))g=c;else{h=f[a+16>>2]|0;if((h|0)<0)i=11;else i=((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;g=i+c|0}if(!(b&2)){d=g;e=a+12|0;f[e>>2]=d;return d|0}b=f[a+20>>2]|0;if((b|0)<0)j=11;else j=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;d=j+g|0;e=a+12|0;f[e>>2]=d;return d|0}function d4a(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&2|0)mEb(1,f[a+20>>2]|0,b);if(c&1|0)mEb(2,f[a+16>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function e4a(a){a=a|0;return f[a+12>>2]|0}function f4a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=f[a+8>>2]|0;if(!(c&2))e=d;else{g=f[a+20>>2]|0;b[d>>0]=8;h=d+1|0;d=g&255;if(g>>>0>127){i=h;j=d;k=g;l=((g|0)<0)<<31>>31;while(1){b[i>>0]=j|-128;g=k;k=Irc(k|0,l|0,7)|0;m=i+1|0;n=k&255;if(!(l>>>0>0|(l|0)==0&g>>>0>16383)){o=m;p=n;break}else{i=m;j=n;l=J}}}else{o=h;p=d}b[o>>0]=p;e=o+1|0}if(!(c&1))q=e;else{c=f[a+16>>2]|0;b[e>>0]=16;o=e+1|0;e=c&255;if(c>>>0>127){p=o;d=e;h=c;l=((c|0)<0)<<31>>31;while(1){b[p>>0]=d|-128;c=h;h=Irc(h|0,l|0,7)|0;j=p+1|0;i=h&255;if(!(l>>>0>0|(l|0)==0&c>>>0>16383)){r=j;s=i;break}else{p=j;d=i;l=J}}}else{r=o;s=e}b[r>>0]=s;q=r+1|0}r=f[a+4>>2]|0;if(!(r&1)){t=q;return t|0}t=f4b(r&-2,q)|0;return t|0}function g4a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function h4a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,19944,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}d=f[c+8>>2]|0;if(!(d&3))return;if(d&1|0)f[a+16>>2]=f[c+16>>2];if(d&2|0)f[a+20>>2]=f[c+20>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function i4a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function j4a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=534e3;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function k4a(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=126352;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=532600?(f[222796]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=96;b[d+8>>0]=0;dEb(891184,d);zDb(d)}f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=1;u=c;return}function l4a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function m4a(a){a=a|0;var b=0,c=0;f[a>>2]=126460;if((a|0)!=532448){b=f[a+16>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);b=f[a+20>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b)}b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function n4a(a){a=a|0;m4a(a);Emc(a);return}function o4a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function p4a(a,b){a=a|0;b=b|0;a=Bmc(36)|0;C4a(a);if(!b)return a|0;D4a(b,a);return a|0}function q4a(a){a=a|0;var c=0,d=0,e=0;c=a+8|0;d=f[c>>2]|0;if(d&3|0){if(d&1|0){e=f[a+16>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&2|0){e=f[a+20>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}}if(d&28|0){b[a+24>>0]=0;f[a+28>>2]=1;f[a+32>>2]=1}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function r4a(a){a=a|0;return 1}function s4a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+28|0;j=a+32|0;k=a+16|0;l=e+4|0;m=a+24|0;n=e+8|0;o=a+20|0;p=e+4|0;q=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){r=b[a>>0]|0;s=r&255;if(r<<24>>24>0){f[c>>2]=a+1;t=s;v=6}else{w=s;v=5}}else{w=0;v=5}if((v|0)==5){v=0;s=xCb(c,w)|0;if((s+-1|0)>>>0<127){t=s;v=6}else x=s}b:do if((v|0)==6){v=0;switch(t>>>3&536870911|0){case 1:{if((t&255|0)!=8){x=t;break b}f[h>>2]=f[h>>2]|8;s=f[c>>2]|0;if(s>>>0<(f[g>>2]|0)>>>0){a=b[s>>0]|0;r=a&255;if(a<<24>>24>-1){f[c>>2]=s+1;y=r}else{z=r;v=11}}else{z=0;v=11}if((v|0)==11){v=0;r=iCb(c,z)|0;s=J;if((s|0)>-1|(s|0)==-1&r>>>0>4294967295)y=r;else{A=0;v=52;break a}}f[i>>2]=y;continue a;break}case 2:{if((t&255|0)!=16){x=t;break b}f[h>>2]=f[h>>2]|16;r=f[c>>2]|0;if(r>>>0<(f[g>>2]|0)>>>0){s=b[r>>0]|0;a=s&255;if(s<<24>>24>-1){f[c>>2]=r+1;B=a}else{C=a;v=17}}else{C=0;v=17}if((v|0)==17){v=0;a=iCb(c,C)|0;r=J;if((r|0)>-1|(r|0)==-1&a>>>0>4294967295)B=a;else{A=0;v=52;break a}}f[j>>2]=B;continue a;break}case 3:{if((t&255|0)!=26){x=t;break b}f[h>>2]=f[h>>2]|1;a=f[k>>2]|0;if(!a){r=Bmc(48)|0;XTa(r);f[k>>2]=r;D=r}else D=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(r=b[a>>0]|0,r<<24>>24>-1):0){f[c>>2]=a+1;E=r&255}else{r=wCb(c)|0;if((r|0)>-1)E=r;else{A=0;v=52;break a}}hCb(e,c,E);if((f[l>>2]|0)<0){v=28;break a}if(!(Sh[f[(f[D>>2]|0)+44>>2]&511](D,c)|0)){v=28;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{A=0;v=52;break a}break}case 4:{if((t&255|0)!=32){x=t;break b}f[h>>2]=f[h>>2]|4;r=f[c>>2]|0;if(r>>>0<(f[g>>2]|0)>>>0?(a=b[r>>0]|0,a<<24>>24>-1):0){f[c>>2]=r+1;F=a<<24>>24!=0}else{jCb(e,c);a=e;if(!(b[n>>0]|0)){A=0;v=52;break a}else F=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[m>>0]=F&1;continue a;break}case 5:{if((t&255|0)!=42){x=t;break b}f[h>>2]=f[h>>2]|2;a=f[o>>2]|0;if(!a){r=Bmc(48)|0;XTa(r);f[o>>2]=r;G=r}else G=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(r=b[a>>0]|0,r<<24>>24>-1):0){f[c>>2]=a+1;H=r&255}else{r=wCb(c)|0;if((r|0)>-1)H=r;else{A=0;v=52;break a}}hCb(e,c,H);if((f[p>>2]|0)<0){v=45;break a}if(!(Sh[f[(f[G>>2]|0)+44>>2]&511](G,c)|0)){v=45;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{A=0;v=52;break a}break}default:{x=t;break b}}}while(0);if(!x){A=1;v=52;break}r=f[q>>2]|0;if(!(r&1))I=AHa(q)|0;else I=r&-2;if(!(b4b(c,x,I)|0)){A=0;v=52;break}}if((v|0)==28){A=0;u=d;return A|0}else if((v|0)==45){A=0;u=d;return A|0}else if((v|0)==52){u=d;return A|0}return 0}function t4a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=a+8|0;d=f[b>>2]|0;if(!(d&31)){e=c;g=a+12|0;f[g>>2]=e;return e|0}if(!(d&1)){h=c;i=d}else{d=f[a+16>>2]|0;j=ci[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=c+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=d;i=f[b>>2]|0}if(!(i&2)){k=h;l=i}else{i=f[a+20>>2]|0;d=ci[f[(f[i>>2]|0)+48>>2]&1023](i)|0;i=h+1+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0;k=i;l=f[b>>2]|0}b=l&4|0?k+2|0:k;if(!(l&8))m=b;else{k=f[a+28>>2]|0;if((k|0)<0)n=11;else n=((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;m=n+b|0}if(!(l&16)){e=m;g=a+12|0;f[g>>2]=e;return e|0}l=f[a+32>>2]|0;if((l|0)<0)o=11;else o=((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;e=o+m|0;g=a+12|0;f[g>>2]=e;return e|0}function u4a(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&8|0)mEb(1,f[a+28>>2]|0,c);if(d&16|0)mEb(2,f[a+32>>2]|0,c);if(d&1|0)GEb(3,f[a+16>>2]|0,c);if(d&4|0)yEb(4,(b[a+24>>0]|0)!=0,c);if(d&2|0)GEb(5,f[a+20>>2]|0,c);d=f[a+4>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function v4a(a){a=a|0;return f[a+12>>2]|0}function w4a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=f[a+8>>2]|0;if(!(e&8))g=d;else{h=f[a+28>>2]|0;b[d>>0]=8;i=d+1|0;d=h&255;if(h>>>0>127){j=i;k=d;l=h;m=((h|0)<0)<<31>>31;while(1){b[j>>0]=k|-128;h=l;l=Irc(l|0,m|0,7)|0;n=j+1|0;o=l&255;if(!(m>>>0>0|(m|0)==0&h>>>0>16383)){p=n;q=o;break}else{j=n;k=o;m=J}}}else{p=i;q=d}b[p>>0]=q;g=p+1|0}if(!(e&16))r=g;else{p=f[a+32>>2]|0;b[g>>0]=16;q=g+1|0;g=p&255;if(p>>>0>127){d=q;i=g;m=p;k=((p|0)<0)<<31>>31;while(1){b[d>>0]=i|-128;p=m;m=Irc(m|0,k|0,7)|0;j=d+1|0;l=m&255;if(!(k>>>0>0|(k|0)==0&p>>>0>16383)){s=j;t=l;break}else{d=j;i=l;k=J}}}else{s=q;t=g}b[s>>0]=t;r=s+1|0}if(!(e&1))u=r;else{s=f[a+16>>2]|0;b[r>>0]=26;t=r+1|0;r=ci[f[(f[s>>2]|0)+60>>2]&1023](s)|0;if(r>>>0>127){g=r;q=t;while(1){b[q>>0]=g|128;k=g>>>7;i=q+1|0;if(g>>>0>16383){g=k;q=i}else{v=i;w=k;break}}}else{v=t;w=r}b[v>>0]=w;u=ki[f[(f[s>>2]|0)+64>>2]&511](s,c,v+1|0)|0}if(!(e&4))x=u;else{v=b[a+24>>0]|0;b[u>>0]=32;b[u+1>>0]=v;x=u+2|0}if(!(e&2))y=x;else{e=f[a+20>>2]|0;b[x>>0]=42;u=x+1|0;x=ci[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(x>>>0>127){v=x;s=u;while(1){b[s>>0]=v|128;w=v>>>7;r=s+1|0;if(v>>>0>16383){v=w;s=r}else{z=r;A=w;break}}}else{z=u;A=x}b[z>>0]=A;y=ki[f[(f[e>>2]|0)+64>>2]&511](e,c,z+1|0)|0}z=f[a+4>>2]|0;if(!(z&1)){B=y;return B|0}B=f4b(z&-2,y)|0;return B|0}function x4a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function y4a(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,19960,0)|0;if(!c){c2b(b,a);return}else{B4a(a,c);return}}function z4a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function A4a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533960;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function B4a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}e=f[c+8>>2]|0;if(!(e&31))return;if(e&1|0){h=a+8|0;f[h>>2]=f[h>>2]|1;h=a+16|0;g=f[h>>2]|0;if(!g){d=Bmc(48)|0;XTa(d);f[h>>2]=d;i=d}else i=g;g=f[c+16>>2]|0;YTa(i,g|0?g:530048)}if(e&2|0){g=a+8|0;f[g>>2]=f[g>>2]|2;g=a+20|0;i=f[g>>2]|0;if(!i){d=Bmc(48)|0;XTa(d);f[g>>2]=d;j=d}else j=i;i=f[c+20>>2]|0;YTa(j,i|0?i:530048)}if(e&4|0)b[a+24>>0]=b[c+24>>0]|0;if(e&8|0)f[a+28>>2]=f[c+28>>2];if(e&16|0)f[a+32>>2]=f[c+32>>2];c=a+8|0;f[c>>2]=f[c>>2]|e;return}function C4a(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=126460;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=532448?(f[222791]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=91;b[d+8>>0]=0;dEb(891164,d);zDb(d)}d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;b[d+12>>0]=0;f[a+28>>2]=1;f[a+32>>2]=1;u=c;return}function D4a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function E4a(a){a=a|0;var b=0,c=0;f[a>>2]=126568;if((a|0)!=532416?(b=f[a+16>>2]|0,b|0):0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function F4a(a){a=a|0;E4a(a);Emc(a);return}function G4a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function H4a(a,b){a=a|0;b=b|0;a=Bmc(28)|0;U4a(a);if(!b)return a|0;V4a(b,a);return a|0}function I4a(a){a=a|0;var b=0,c=0,d=0;b=a+8|0;c=f[b>>2]|0;if(c&1|0){d=f[a+16>>2]|0;ai[f[(f[d>>2]|0)+28>>2]&2047](d)}if(c&6|0){f[a+20>>2]=0;f[a+24>>2]=-1}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function J4a(a){a=a|0;return 1}function K4a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+16|0;j=e+4|0;k=a+20|0;l=a+24|0;m=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=xCb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)!=10){s=p;break b}f[h>>2]=f[h>>2]|1;o=f[i>>2]|0;if(!o){a=Bmc(32)|0;mVa(a);f[i>>2]=a;t=a}else t=o;o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0?(a=b[o>>0]|0,a<<24>>24>-1):0){f[c>>2]=o+1;v=a&255}else{a=wCb(c)|0;if((a|0)>-1)v=a;else{w=0;q=35;break a}}hCb(e,c,v);if((f[j>>2]|0)<0){q=16;break a}if(!(Sh[f[(f[t>>2]|0)+44>>2]&511](t,c)|0)){q=16;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{w=0;q=35;break a}break}case 2:{if((p&255|0)!=16){s=p;break b}f[h>>2]=f[h>>2]|2;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){o=b[a>>0]|0;n=o&255;if(o<<24>>24>-1){f[c>>2]=a+1;x=n}else{y=n;q=22}}else{y=0;q=22}if((q|0)==22){q=0;n=iCb(c,y)|0;a=J;if((a|0)>-1|(a|0)==-1&n>>>0>4294967295)x=n;else{w=0;q=35;break a}}f[k>>2]=x;continue a;break}case 3:{if((p&255|0)!=24){s=p;break b}f[h>>2]=f[h>>2]|4;n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0){a=b[n>>0]|0;o=a&255;if(a<<24>>24>-1){f[c>>2]=n+1;z=o}else{A=o;q=28}}else{A=0;q=28}if((q|0)==28){q=0;o=iCb(c,A)|0;n=J;if((n|0)>-1|(n|0)==-1&o>>>0>4294967295)z=o;else{w=0;q=35;break a}}f[l>>2]=z;continue a;break}default:{s=p;break b}}}while(0);if(!s){w=1;q=35;break}o=f[m>>2]|0;if(!(o&1))B=AHa(m)|0;else B=o&-2;if(!(b4b(c,s,B)|0)){w=0;q=35;break}}if((q|0)==16){w=0;u=d;return w|0}else if((q|0)==35){u=d;return w|0}return 0}function L4a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=a+8|0;d=f[b>>2]|0;if(!(d&7)){e=c;g=a+12|0;f[g>>2]=e;return e|0}if(!(d&1)){h=c;i=d}else{d=f[a+16>>2]|0;j=ci[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=c+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=d;i=f[b>>2]|0}if(!(i&2))k=h;else{b=f[a+20>>2]|0;if((b|0)<0)l=11;else l=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;k=l+h|0}if(!(i&4)){e=k;g=a+12|0;f[g>>2]=e;return e|0}i=f[a+24>>2]|0;if((i|0)<0)m=11;else m=((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;e=m+k|0;g=a+12|0;f[g>>2]=e;return e|0}function M4a(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)GEb(1,f[a+16>>2]|0,b);if(c&2|0)mEb(2,f[a+20>>2]|0,b);if(c&4|0)mEb(3,f[a+24>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function N4a(a){a=a|0;return f[a+12>>2]|0}function O4a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;e=f[a+8>>2]|0;if(!(e&1))g=d;else{h=f[a+16>>2]|0;b[d>>0]=10;i=d+1|0;d=ci[f[(f[h>>2]|0)+60>>2]&1023](h)|0;if(d>>>0>127){j=d;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=i;o=d}b[n>>0]=o;g=ki[f[(f[h>>2]|0)+64>>2]&511](h,c,n+1|0)|0}if(!(e&2))p=g;else{n=f[a+20>>2]|0;b[g>>0]=16;c=g+1|0;g=n&255;if(n>>>0>127){h=c;o=g;d=n;i=((n|0)<0)<<31>>31;while(1){b[h>>0]=o|-128;n=d;d=Irc(d|0,i|0,7)|0;k=h+1|0;j=d&255;if(!(i>>>0>0|(i|0)==0&n>>>0>16383)){q=k;r=j;break}else{h=k;o=j;i=J}}}else{q=c;r=g}b[q>>0]=r;p=q+1|0}if(!(e&4))s=p;else{e=f[a+24>>2]|0;b[p>>0]=24;q=p+1|0;p=e&255;if(e>>>0>127){r=q;g=p;c=e;i=((e|0)<0)<<31>>31;while(1){b[r>>0]=g|-128;e=c;c=Irc(c|0,i|0,7)|0;o=r+1|0;h=c&255;if(!(i>>>0>0|(i|0)==0&e>>>0>16383)){t=o;u=h;break}else{r=o;g=h;i=J}}}else{t=q;u=p}b[t>>0]=u;s=t+1|0}t=f[a+4>>2]|0;if(!(t&1)){v=s;return v|0}v=f4b(t&-2,s)|0;return v|0}function P4a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function Q4a(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,19976,0)|0;if(!c){c2b(b,a);return}else{T4a(a,c);return}}function R4a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function S4a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533952;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function T4a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}d=f[b+8>>2]|0;if(!(d&7))return;if(d&1|0){g=a+8|0;f[g>>2]=f[g>>2]|1;g=a+16|0;e=f[g>>2]|0;if(!e){c=Bmc(32)|0;mVa(c);f[g>>2]=c;h=c}else h=e;e=f[b+16>>2]|0;c=e|0?e:529568;e=h+4|0;g=f[c+4>>2]|0;if(g&1|0){i=f[e>>2]|0;if(!(i&1))j=AHa(e)|0;else j=i&-2;O3b(j,g&-2)}g=h+16|0;j=c+16|0;i=f[j>>2]|0;if(i|0){cEa(g,(f[g>>2]|0)+i|0);Krc((f[h+24>>2]|0)+8+(f[g>>2]<<3)|0,(f[c+24>>2]|0)+8|0,f[j>>2]<<3|0)|0;f[g>>2]=(f[g>>2]|0)+(f[j>>2]|0)}}if(d&2|0)f[a+20>>2]=f[b+20>>2];if(d&4|0)f[a+24>>2]=f[b+24>>2];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function U4a(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=126568;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=532416?(f[222790]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=90;b[d+8>>0]=0;dEb(891160,d);zDb(d)}f[a+12>>2]=0;d=a+16|0;f[d>>2]=0;f[d+4>>2]=0;f[a+24>>2]=-1;u=c;return}function V4a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function W4a(a){a=a|0;var b=0,c=0;f[a>>2]=126676;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function X4a(a){a=a|0;var b=0,c=0;f[a>>2]=126676;b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function Y4a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function Z4a(a,b){a=a|0;b=b|0;a=Bmc(28)|0;j5a(a);if(!b)return a|0;k5a(b,a);return a|0}function _4a(a){a=a|0;var b=0;b=a+8|0;if(f[b>>2]&7|0){f[a+16>>2]=0;f[a+20>>2]=1;n[a+24>>2]=1.0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function $4a(a){a=a|0;return 1}function a5a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+16|0;k=a+24|0;l=a+4|0;m=a+20|0;a:while(1){b:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=7}else{r=o;q=6}}else{r=0;q=6}if((q|0)==6){q=0;o=xCb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=7}else s=o}c:do if((q|0)==7){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)==8)break b;else{s=p;break c}break}case 2:{if((p&255|0)!=16){s=p;break c}f[i>>2]=f[i>>2]|1;o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0){a=b[o>>0]|0;n=a&255;if(a<<24>>24>-1){f[c>>2]=o+1;t=n}else{v=n;q=23}}else{v=0;q=23}if((q|0)==23){q=0;n=iCb(c,v)|0;o=J;if((o|0)>-1|(o|0)==-1&n>>>0>4294967295)t=n;else{w=0;q=37;break a}}f[j>>2]=t;continue b;break}case 3:{if((p&255|0)!=29){s=p;break c}f[i>>2]=f[i>>2]|4;n=f[c>>2]|0;if(((f[g>>2]|0)-n|0)>3){o=n;a=h[o>>0]|h[o+1>>0]<<8|h[o+2>>0]<<16|h[o+3>>0]<<24;f[e>>2]=a;f[c>>2]=n+4;x=a}else{if(!(uCb(c,e)|0)){q=31;break a}x=f[e>>2]|0}f[k>>2]=x;continue b;break}default:{s=p;break c}}}while(0);if(!s){w=1;q=37;break a}a=f[l>>2]|0;if(!(a&1))y=AHa(l)|0;else y=a&-2;if(!(b4b(c,s,y)|0)){w=0;q=37;break a}}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>-1){f[c>>2]=a+1;z=o}else{A=o;q=12}}else{A=0;q=12}if((q|0)==12){q=0;o=iCb(c,A)|0;a=J;if((a|0)>-1|(a|0)==-1&o>>>0>4294967295)z=o;else{w=0;q=37;break}}if((z+-1|0)>>>0<4){f[i>>2]=f[i>>2]|2;f[m>>2]=z;continue}o=f[l>>2]|0;if(!(o&1))B=AHa(l)|0;else B=o&-2;R3b(B,1,z,((z|0)<0)<<31>>31)}if((q|0)==31){w=0;u=d;return w|0}else if((q|0)==37){u=d;return w|0}return 0}function b5a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+8>>2]|0;if(!(b&7)){d=c;e=a+12|0;f[e>>2]=d;return d|0}if(!(b&1))g=c;else{h=f[a+16>>2]|0;if((h|0)<0)i=11;else i=((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;g=i+c|0}if(!(b&2))j=g;else{c=f[a+20>>2]|0;if((c|0)<0)k=11;else k=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;j=k+g|0}d=b&4|0?j+5|0:j;e=a+12|0;f[e>>2]=d;return d|0}function c5a(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&2|0)zEb(1,f[a+20>>2]|0,b);if(c&1|0)mEb(2,f[a+16>>2]|0,b);if(c&4|0)wEb(3,+n[a+24>>2],b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function d5a(a){a=a|0;return f[a+12>>2]|0}function e5a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;c=f[a+8>>2]|0;if(!(c&2))e=d;else{g=f[a+20>>2]|0;b[d>>0]=8;h=d+1|0;d=g&255;if(g>>>0>127){i=h;j=d;k=g;l=((g|0)<0)<<31>>31;while(1){b[i>>0]=j|-128;g=k;k=Irc(k|0,l|0,7)|0;m=i+1|0;n=k&255;if(!(l>>>0>0|(l|0)==0&g>>>0>16383)){o=m;p=n;break}else{i=m;j=n;l=J}}}else{o=h;p=d}b[o>>0]=p;e=o+1|0}if(!(c&1))q=e;else{o=f[a+16>>2]|0;b[e>>0]=16;p=e+1|0;e=o&255;if(o>>>0>127){d=p;h=e;l=o;j=((o|0)<0)<<31>>31;while(1){b[d>>0]=h|-128;o=l;l=Irc(l|0,j|0,7)|0;i=d+1|0;k=l&255;if(!(j>>>0>0|(j|0)==0&o>>>0>16383)){r=i;s=k;break}else{d=i;h=k;j=J}}}else{r=p;s=e}b[r>>0]=s;q=r+1|0}if(!(c&4))t=q;else{c=f[a+24>>2]|0;b[q>>0]=29;r=q+1|0;b[r>>0]=c;b[r+1>>0]=c>>8;b[r+2>>0]=c>>16;b[r+3>>0]=c>>24;t=q+5|0}q=f[a+4>>2]|0;if(!(q&1)){u=t;return u|0}u=f4b(q&-2,t)|0;return u|0}function f5a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function g5a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,19992,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}d=f[c+8>>2]|0;if(!(d&7))return;if(d&1|0)f[a+16>>2]=f[c+16>>2];if(d&2|0)f[a+20>>2]=f[c+20>>2];if(d&4|0)f[a+24>>2]=f[c+24>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function h5a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function i5a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533936;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function j5a(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=126676;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=532360?(f[222788]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=88;b[d+8>>0]=0;dEb(891152,d);zDb(d)}f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=1;n[a+24>>2]=1.0;u=c;return}function k5a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function l5a(a){a=a|0;var b=0,c=0;f[a>>2]=126784;if((a|0)!=532328){b=f[a+16>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);b=f[a+20>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b)}b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function m5a(a){a=a|0;l5a(a);Emc(a);return}function n5a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function o5a(a,b){a=a|0;b=b|0;a=Bmc(32)|0;B5a(a);if(!b)return a|0;C5a(b,a);return a|0}function p5a(a){a=a|0;var b=0,c=0,e=0;b=a+8|0;c=f[b>>2]|0;if(c&3|0){if(c&1|0){e=f[a+16>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(c&2|0){e=f[a+20>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}}if(c&28|0){c=a+24|0;f[c>>2]=0;d[c+4>>1]=0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function q5a(a){a=a|0;return 1}function r5a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+24|0;j=a+16|0;k=e+4|0;l=a+20|0;m=e+4|0;n=a+28|0;o=e+8|0;p=a+29|0;q=e+8|0;r=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){s=b[a>>0]|0;t=s&255;if(s<<24>>24>0){f[c>>2]=a+1;v=t;w=6}else{x=t;w=5}}else{x=0;w=5}if((w|0)==5){w=0;t=xCb(c,x)|0;if((t+-1|0)>>>0<127){v=t;w=6}else y=t}b:do if((w|0)==6){w=0;switch(v>>>3&536870911|0){case 1:{if((v&255|0)!=8){y=v;break b}f[h>>2]=f[h>>2]|4;t=f[c>>2]|0;if(t>>>0<(f[g>>2]|0)>>>0){a=b[t>>0]|0;s=a&255;if(a<<24>>24>-1){f[i>>2]=s;f[c>>2]=t+1;continue a}else z=s}else z=0;s=iCb(c,z)|0;t=J;f[i>>2]=s;if((t|0)>-1|(t|0)==-1&s>>>0>4294967295)continue a;else{A=0;w=51;break a}break}case 2:{if((v&255|0)!=18){y=v;break b}f[h>>2]=f[h>>2]|1;s=f[j>>2]|0;if(!s){t=Bmc(48)|0;XTa(t);f[j>>2]=t;B=t}else B=s;s=f[c>>2]|0;if(s>>>0<(f[g>>2]|0)>>>0?(t=b[s>>0]|0,t<<24>>24>-1):0){f[c>>2]=s+1;C=t&255}else{t=wCb(c)|0;if((t|0)>-1)C=t;else{A=0;w=51;break a}}hCb(e,c,C);if((f[k>>2]|0)<0){w=21;break a}if(!(Sh[f[(f[B>>2]|0)+44>>2]&511](B,c)|0)){w=21;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{A=0;w=51;break a}break}case 3:{if((v&255|0)!=26){y=v;break b}f[h>>2]=f[h>>2]|2;t=f[l>>2]|0;if(!t){s=Bmc(48)|0;XTa(s);f[l>>2]=s;D=s}else D=t;t=f[c>>2]|0;if(t>>>0<(f[g>>2]|0)>>>0?(s=b[t>>0]|0,s<<24>>24>-1):0){f[c>>2]=t+1;E=s&255}else{s=wCb(c)|0;if((s|0)>-1)E=s;else{A=0;w=51;break a}}hCb(e,c,E);if((f[m>>2]|0)<0){w=32;break a}if(!(Sh[f[(f[D>>2]|0)+44>>2]&511](D,c)|0)){w=32;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{A=0;w=51;break a}break}case 4:{if((v&255|0)!=32){y=v;break b}f[h>>2]=f[h>>2]|8;s=f[c>>2]|0;if(s>>>0<(f[g>>2]|0)>>>0?(t=b[s>>0]|0,t<<24>>24>-1):0){f[c>>2]=s+1;F=t<<24>>24!=0}else{jCb(e,c);t=e;if(!(b[o>>0]|0)){A=0;w=51;break a}else F=(f[t>>2]|0)!=0|(f[t+4>>2]|0)!=0}b[n>>0]=F&1;continue a;break}case 5:{if((v&255|0)!=40){y=v;break b}f[h>>2]=f[h>>2]|16;t=f[c>>2]|0;if(t>>>0<(f[g>>2]|0)>>>0?(s=b[t>>0]|0,s<<24>>24>-1):0){f[c>>2]=t+1;G=s<<24>>24!=0}else{jCb(e,c);s=e;if(!(b[q>>0]|0)){A=0;w=51;break a}else G=(f[s>>2]|0)!=0|(f[s+4>>2]|0)!=0}b[p>>0]=G&1;continue a;break}default:{y=v;break b}}}while(0);if(!y){A=1;w=51;break}s=f[r>>2]|0;if(!(s&1))H=AHa(r)|0;else H=s&-2;if(!(b4b(c,y,H)|0)){A=0;w=51;break}}if((w|0)==21){A=0;u=d;return A|0}else if((w|0)==32){A=0;u=d;return A|0}else if((w|0)==51){u=d;return A|0}return 0}function s5a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=a+8|0;d=f[b>>2]|0;if(!(d&31)){e=c;g=a+12|0;f[g>>2]=e;return e|0}if(!(d&1)){h=c;i=d}else{d=f[a+16>>2]|0;j=ci[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=c+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=d;i=f[b>>2]|0}if(!(i&2)){k=h;l=i}else{i=f[a+20>>2]|0;d=ci[f[(f[i>>2]|0)+48>>2]&1023](i)|0;i=h+1+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0;k=i;l=f[b>>2]|0}if(!(l&4))m=k;else m=k+1+((((($(f[a+24>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;k=l&8|0?m+2|0:m;e=l&16|0?k+2|0:k;g=a+12|0;f[g>>2]=e;return e|0}function t5a(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&4|0)oEb(1,f[a+24>>2]|0,c);if(d&1|0)GEb(2,f[a+16>>2]|0,c);if(d&2|0)GEb(3,f[a+20>>2]|0,c);if(d&8|0)yEb(4,(b[a+28>>0]|0)!=0,c);if(d&16|0)yEb(5,(b[a+29>>0]|0)!=0,c);d=f[a+4>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function u5a(a){a=a|0;return f[a+12>>2]|0}function v5a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=f[a+8>>2]|0;if(!(e&4))g=d;else{h=f[a+24>>2]|0;b[d>>0]=8;i=d+1|0;if(h>>>0>127){d=h;j=i;while(1){b[j>>0]=d|128;k=d>>>7;l=j+1|0;if(d>>>0>16383){d=k;j=l}else{m=l;n=k;break}}}else{m=i;n=h}b[m>>0]=n;g=m+1|0}if(!(e&1))o=g;else{m=f[a+16>>2]|0;b[g>>0]=18;n=g+1|0;g=ci[f[(f[m>>2]|0)+60>>2]&1023](m)|0;if(g>>>0>127){h=g;i=n;while(1){b[i>>0]=h|128;j=h>>>7;d=i+1|0;if(h>>>0>16383){h=j;i=d}else{p=d;q=j;break}}}else{p=n;q=g}b[p>>0]=q;o=ki[f[(f[m>>2]|0)+64>>2]&511](m,c,p+1|0)|0}if(!(e&2))r=o;else{p=f[a+20>>2]|0;b[o>>0]=26;m=o+1|0;o=ci[f[(f[p>>2]|0)+60>>2]&1023](p)|0;if(o>>>0>127){q=o;g=m;while(1){b[g>>0]=q|128;n=q>>>7;i=g+1|0;if(q>>>0>16383){q=n;g=i}else{s=i;t=n;break}}}else{s=m;t=o}b[s>>0]=t;r=ki[f[(f[p>>2]|0)+64>>2]&511](p,c,s+1|0)|0}if(!(e&8))u=r;else{s=b[a+28>>0]|0;b[r>>0]=32;b[r+1>>0]=s;u=r+2|0}if(!(e&16))v=u;else{e=b[a+29>>0]|0;b[u>>0]=40;b[u+1>>0]=e;v=u+2|0}u=f[a+4>>2]|0;if(!(u&1)){w=v;return w|0}w=f4b(u&-2,v)|0;return w|0}function w5a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function x5a(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,20008,0)|0;if(!c){c2b(b,a);return}else{A5a(a,c);return}}function y5a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function z5a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533928;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function A5a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}e=f[c+8>>2]|0;if(!(e&31))return;if(e&1|0){h=a+8|0;f[h>>2]=f[h>>2]|1;h=a+16|0;g=f[h>>2]|0;if(!g){d=Bmc(48)|0;XTa(d);f[h>>2]=d;i=d}else i=g;g=f[c+16>>2]|0;YTa(i,g|0?g:530048)}if(e&2|0){g=a+8|0;f[g>>2]=f[g>>2]|2;g=a+20|0;i=f[g>>2]|0;if(!i){d=Bmc(48)|0;XTa(d);f[g>>2]=d;j=d}else j=i;i=f[c+20>>2]|0;YTa(j,i|0?i:530048)}if(e&4|0)f[a+24>>2]=f[c+24>>2];if(e&8|0)b[a+28>>0]=b[c+28>>0]|0;if(e&16|0)b[a+29>>0]=b[c+29>>0]|0;c=a+8|0;f[c>>2]=f[c>>2]|e;return}function B5a(a){a=a|0;var c=0,e=0;c=u;u=u+16|0;e=c;f[a>>2]=126784;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=532328?(f[222787]|0)!=2:0){f[e>>2]=149752;f[e+4>>2]=87;b[e+8>>0]=0;dEb(891148,e);zDb(e)}e=a+12|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;d[e+16>>1]=0;u=c;return}function C5a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function D5a(a){a=a|0;var b=0,c=0;f[a>>2]=126892;V5a(a);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function E5a(a){a=a|0;D5a(a);Emc(a);return}function F5a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function G5a(a,b){a=a|0;b=b|0;a=Bmc(32)|0;T5a(a);if(!b)return a|0;U5a(b,a);return a|0}function H5a(a){a=a|0;var c=0,d=0,e=0,g=0;c=a+8|0;d=f[c>>2]|0;do if(d&7|0){do if(d&1|0){e=f[a+16>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&2|0){g=f[a+20>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);if(d&4|0){e=f[a+24>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}}while(0);b[a+28>>0]=0;f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function I5a(a){a=a|0;return 1}function J5a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+16|0;j=a+20|0;k=a+24|0;l=a+28|0;m=e+8|0;n=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){o=b[a>>0]|0;p=o&255;if(o<<24>>24>0){f[c>>2]=a+1;q=p;r=6}else{s=p;r=5}}else{s=0;r=5}if((r|0)==5){r=0;p=xCb(c,s)|0;if((p+-1|0)>>>0<127){q=p;r=6}else t=p}b:do if((r|0)==6){r=0;switch(q>>>3&536870911|0){case 1:{if((q&255|0)!=10){t=q;break b}f[h>>2]=f[h>>2]|1;p=f[i>>2]|0;if((p|0)==535416){aFa(i,535416);v=f[i>>2]|0}else v=p;if(HEb(c,v)|0)continue a;else{w=0;r=30;break a}break}case 2:{if((q&255|0)!=18){t=q;break b}f[h>>2]=f[h>>2]|2;p=f[j>>2]|0;if((p|0)==535416){aFa(j,535416);x=f[j>>2]|0}else x=p;if(HEb(c,x)|0)continue a;else{w=0;r=30;break a}break}case 3:{if((q&255|0)!=26){t=q;break b}f[h>>2]=f[h>>2]|4;p=f[k>>2]|0;if((p|0)==535416){aFa(k,535416);y=f[k>>2]|0}else y=p;if(HEb(c,y)|0)continue a;else{w=0;r=30;break a}break}case 4:{if((q&255|0)!=32){t=q;break b}f[h>>2]=f[h>>2]|8;p=f[c>>2]|0;if(p>>>0<(f[g>>2]|0)>>>0?(a=b[p>>0]|0,a<<24>>24>-1):0){f[c>>2]=p+1;z=a<<24>>24!=0}else{jCb(e,c);a=e;if(!(b[m>>0]|0)){w=0;r=30;break a}else z=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[l>>0]=z&1;continue a;break}default:{t=q;break b}}}while(0);if(!t){w=1;r=30;break}a=f[n>>2]|0;if(!(a&1))A=AHa(n)|0;else A=a&-2;if(!(b4b(c,t,A)|0)){w=0;r=30;break}}if((r|0)==30){u=d;return w|0}return 0}function K5a(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=f[a+8>>2]|0;if(!(c&15)){e=d;g=a+12|0;f[g>>2]=e;return e|0}if(!(c&1))h=d;else{i=f[a+16>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0?f[i+4>>2]|0:j&255;h=d+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&2))l=h;else{k=f[a+20>>2]|0;d=b[k+11>>0]|0;j=d<<24>>24<0?f[k+4>>2]|0:d&255;l=h+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&4))m=l;else{j=f[a+24>>2]|0;h=b[j+11>>0]|0;d=h<<24>>24<0?f[j+4>>2]|0:h&255;m=l+1+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0}e=c&8|0?m+2|0:m;g=a+12|0;f[g>>2]=e;return e|0}function L5a(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&1|0)BEb(1,f[a+16>>2]|0,c);if(d&2|0)BEb(2,f[a+20>>2]|0,c);if(d&4|0)BEb(3,f[a+24>>2]|0,c);if(d&8|0)yEb(4,(b[a+28>>0]|0)!=0,c);d=f[a+4>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function M5a(a){a=a|0;return f[a+12>>2]|0}function N5a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=10;e=GCb(g,d+1|0)|0}if(!(c&2))h=e;else{d=f[a+20>>2]|0;b[e>>0]=18;h=GCb(d,e+1|0)|0}if(!(c&4))i=h;else{e=f[a+24>>2]|0;b[h>>0]=26;i=GCb(e,h+1|0)|0}if(!(c&8))j=i;else{c=b[a+28>>0]|0;b[i>>0]=32;b[i+1>>0]=c;j=i+2|0}i=f[a+4>>2]|0;if(!(i&1)){k=j;return k|0}k=f4b(i&-2,j)|0;return k|0}function O5a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function P5a(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,20024,0)|0;if(!c){c2b(b,a);return}else{S5a(a,c);return}}function Q5a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function R5a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533920;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function S5a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}e=f[c+8>>2]|0;if(!(e&15))return;do if(e&1|0?(h=a+8|0,f[h>>2]=f[h>>2]|1,h=a+16|0,g=f[c+16>>2]|0,d=f[h>>2]|0,(d|0)!=(g|0)):0)if((d|0)==535416){aFa(h,g);break}else{Qmc(d,g)|0;break}while(0);do if(e&2|0?(g=a+8|0,f[g>>2]=f[g>>2]|2,g=a+20|0,d=f[c+20>>2]|0,h=f[g>>2]|0,(h|0)!=(d|0)):0)if((h|0)==535416){aFa(g,d);break}else{Qmc(h,d)|0;break}while(0);do if(e&4|0?(d=a+8|0,f[d>>2]=f[d>>2]|4,d=a+24|0,h=f[c+24>>2]|0,g=f[d>>2]|0,(g|0)!=(h|0)):0)if((g|0)==535416){aFa(d,h);break}else{Qmc(g,h)|0;break}while(0);if(e&8|0)b[a+28>>0]=b[c+28>>0]|0;c=a+8|0;f[c>>2]=f[c>>2]|e;return}function T5a(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=126892;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=532296?(f[222786]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=86;b[d+8>>0]=0;dEb(891144,d);zDb(d)}f[a+12>>2]=0;f[a+16>>2]=535416;f[a+20>>2]=535416;f[a+24>>2]=535416;b[a+28>>0]=0;u=c;return}function U5a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function V5a(a){a=a|0;var c=0;c=f[a+16>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+20>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+24>>2]|0;if((c|0)==535416|(c|0)==0)return;if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c);return}function W5a(a){a=a|0;var b=0,c=0;f[a>>2]=127e3;if((a|0)!=532168?(b=f[a+16>>2]|0,b|0):0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function X5a(a){a=a|0;W5a(a);Emc(a);return}function Y5a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function Z5a(a,b){a=a|0;b=b|0;a=Bmc(20)|0;k6a(a);if(!b)return a|0;l6a(b,a);return a|0}function _5a(a){a=a|0;var b=0,c=0;b=a+8|0;if(f[b>>2]&1|0){c=f[a+16>>2]|0;ai[f[(f[c>>2]|0)+28>>2]&2047](c)}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function $5a(a){a=a|0;return 1}function a6a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+16|0;j=e+4|0;k=a+4|0;while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){l=b[a>>0]|0;m=l&255;if(l<<24>>24>0){f[c>>2]=a+1;n=m;o=6}else{p=m;o=5}}else{p=0;o=5}if((o|0)==5){o=0;m=xCb(c,p)|0;if((m+-1|0)>>>0<127){n=m;o=6}else q=m}if((o|0)==6){o=0;if((n|0)==10){f[h>>2]=f[h>>2]|1;m=f[i>>2]|0;if(!m){a=Bmc(32)|0;mVa(a);f[i>>2]=a;r=a}else r=m;m=f[c>>2]|0;if(m>>>0<(f[g>>2]|0)>>>0?(a=b[m>>0]|0,a<<24>>24>-1):0){f[c>>2]=m+1;s=a&255}else{a=wCb(c)|0;if((a|0)>-1)s=a;else{t=0;o=22;break}}hCb(e,c,s);if((f[j>>2]|0)<0){o=15;break}if(!(Sh[f[(f[r>>2]|0)+44>>2]&511](r,c)|0)){o=15;break}if(mCb(c,f[e>>2]|0)|0)continue;else{t=0;o=22;break}}else q=n}if(!q){t=1;o=22;break}a=f[k>>2]|0;if(!(a&1))v=AHa(k)|0;else v=a&-2;if(!(b4b(c,q,v)|0)){t=0;o=22;break}}if((o|0)==15){t=0;u=d;return t|0}else if((o|0)==22){u=d;return t|0}return 0}function b6a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;if(!(f[a+8>>2]&1)){d=c;e=a+12|0;f[e>>2]=d;return d|0}b=f[a+16>>2]|0;g=ci[f[(f[b>>2]|0)+48>>2]&1023](b)|0;d=c+1+g+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=a+12|0;f[e>>2]=d;return d|0}function c6a(a,b){a=a|0;b=b|0;var c=0;if(f[a+8>>2]&1|0)GEb(1,f[a+16>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function d6a(a){a=a|0;return f[a+12>>2]|0}function e6a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;if(!(f[a+8>>2]&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=10;h=d+1|0;d=ci[f[(f[g>>2]|0)+60>>2]&1023](g)|0;if(d>>>0>127){i=d;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=d}b[m>>0]=n;e=ki[f[(f[g>>2]|0)+64>>2]&511](g,c,m+1|0)|0}m=f[a+4>>2]|0;if(!(m&1)){o=e;return o|0}o=f4b(m&-2,e)|0;return o|0}function f6a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function g6a(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,20040,0)|0;if(!c){c2b(b,a);return}else{j6a(a,c);return}}function h6a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function i6a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533896;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function j6a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}if(!(f[b+8>>2]&1))return;d=a+8|0;f[d>>2]=f[d>>2]|1;d=a+16|0;a=f[d>>2]|0;if(!a){g=Bmc(32)|0;mVa(g);f[d>>2]=g;h=g}else h=a;a=f[b+16>>2]|0;b=a|0?a:529568;a=h+4|0;g=f[b+4>>2]|0;if(g&1|0){d=f[a>>2]|0;if(!(d&1))i=AHa(a)|0;else i=d&-2;O3b(i,g&-2)}g=h+16|0;i=b+16|0;d=f[i>>2]|0;if(!d)return;cEa(g,(f[g>>2]|0)+d|0);Krc((f[h+24>>2]|0)+8+(f[g>>2]<<3)|0,(f[b+24>>2]|0)+8|0,f[i>>2]<<3|0)|0;f[g>>2]=(f[g>>2]|0)+(f[i>>2]|0);return}function k6a(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=127e3;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=532168?(f[222783]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=83;b[d+8>>0]=0;dEb(891132,d);zDb(d)}f[a+12>>2]=0;f[a+16>>2]=0;u=c;return}function l6a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function m6a(a){a=a|0;var b=0,c=0;f[a>>2]=127108;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function n6a(a){a=a|0;var b=0,c=0;f[a>>2]=127108;b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function o6a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function p6a(a,b){a=a|0;b=b|0;a=Bmc(28)|0;B6a(a);if(!b)return a|0;C6a(b,a);return a|0}function q6a(a){a=a|0;var b=0;b=a+8|0;if(f[b>>2]&7|0){n[a+16>>2]=0.0;n[a+20>>2]=-1.0;n[a+24>>2]=1.0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function r6a(a){a=a|0;return 1}function s6a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+20|0;k=a+24|0;l=a+16|0;m=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=xCb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)!=13){s=p;break b}f[i>>2]=f[i>>2]|2;o=f[c>>2]|0;if(((f[g>>2]|0)-o|0)>3){a=o;n=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=n;f[c>>2]=o+4;t=n}else{if(!(uCb(c,e)|0)){q=13;break a}t=f[e>>2]|0}f[j>>2]=t;continue a;break}case 2:{if((p&255|0)!=21){s=p;break b}f[i>>2]=f[i>>2]|4;n=f[c>>2]|0;if(((f[g>>2]|0)-n|0)>3){o=n;a=h[o>>0]|h[o+1>>0]<<8|h[o+2>>0]<<16|h[o+3>>0]<<24;f[e>>2]=a;f[c>>2]=n+4;v=a}else{if(!(uCb(c,e)|0)){q=20;break a}v=f[e>>2]|0}f[k>>2]=v;continue a;break}case 3:{if((p&255|0)!=29){s=p;break b}f[i>>2]=f[i>>2]|1;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){n=a;o=h[n>>0]|h[n+1>>0]<<8|h[n+2>>0]<<16|h[n+3>>0]<<24;f[e>>2]=o;f[c>>2]=a+4;w=o}else{if(!(uCb(c,e)|0)){q=27;break a}w=f[e>>2]|0}f[l>>2]=w;continue a;break}default:{s=p;break b}}}while(0);if(!s){x=1;q=33;break}o=f[m>>2]|0;if(!(o&1))y=AHa(m)|0;else y=o&-2;if(!(b4b(c,s,y)|0)){x=0;q=33;break}}if((q|0)==13){x=0;u=d;return x|0}else if((q|0)==20){x=0;u=d;return x|0}else if((q|0)==27){x=0;u=d;return x|0}else if((q|0)==33){u=d;return x|0}return 0}function t6a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+8>>2]|0;if(!(b&7)){d=c;e=a+12|0;f[e>>2]=d;return d|0}g=b&1|0?c+5|0:c;c=b&2|0?g+5|0:g;d=b&4|0?c+5|0:c;e=a+12|0;f[e>>2]=d;return d|0}function u6a(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&2|0)wEb(1,+n[a+20>>2],b);if(c&4|0)wEb(2,+n[a+24>>2],b);if(c&1|0)wEb(3,+n[a+16>>2],b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function v6a(a){a=a|0;return f[a+12>>2]|0}function w6a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;c=f[a+8>>2]|0;if(!(c&2))e=d;else{g=f[a+20>>2]|0;b[d>>0]=13;h=d+1|0;b[h>>0]=g;b[h+1>>0]=g>>8;b[h+2>>0]=g>>16;b[h+3>>0]=g>>24;e=d+5|0}if(!(c&4))i=e;else{d=f[a+24>>2]|0;b[e>>0]=21;g=e+1|0;b[g>>0]=d;b[g+1>>0]=d>>8;b[g+2>>0]=d>>16;b[g+3>>0]=d>>24;i=e+5|0}if(!(c&1))j=i;else{c=f[a+16>>2]|0;b[i>>0]=29;e=i+1|0;b[e>>0]=c;b[e+1>>0]=c>>8;b[e+2>>0]=c>>16;b[e+3>>0]=c>>24;j=i+5|0}i=f[a+4>>2]|0;if(!(i&1)){k=j;return k|0}k=f4b(i&-2,j)|0;return k|0}function x6a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function y6a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,20056,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}d=f[c+8>>2]|0;if(!(d&7))return;if(d&1|0)f[a+16>>2]=f[c+16>>2];if(d&2|0)f[a+20>>2]=f[c+20>>2];if(d&4|0)f[a+24>>2]=f[c+24>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function z6a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function A6a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533864;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function B6a(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=127108;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=532040?(f[222779]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=79;b[d+8>>0]=0;dEb(891116,d);zDb(d)}f[a+12>>2]=0;n[a+16>>2]=0.0;n[a+20>>2]=-1.0;n[a+24>>2]=1.0;u=c;return}function C6a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function D6a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=127216;b=a+28|0;c=f[b>>2]|0;if(c|0?(f[a+16>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)ai[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;Emc(h)}f[b>>2]=0;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}h=a&-2;a=h;if((h|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(h);f[b>>2]=0;return}function E6a(a){a=a|0;D6a(a);Emc(a);return}function F6a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function G6a(a,b){a=a|0;b=b|0;a=Bmc(32)|0;S6a(a);if(!b)return a|0;T6a(b,a);return a|0}function H6a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+20|0;c=f[b>>2]|0;if((c|0)>0){d=f[a+28>>2]|0;e=0;do{g=f[d+4+(e<<2)>>2]|0;e=e+1|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}while((e|0)!=(c|0));f[b>>2]=0}f[a+8>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function I6a(a){a=a|0;return 1}function J6a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+16|0;i=e+4|0;j=a+4|0;while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){k=b[a>>0]|0;l=k&255;if(k<<24>>24>0){f[c>>2]=a+1;m=l;n=6}else{o=l;n=5}}else{o=0;n=5}if((n|0)==5){n=0;l=xCb(c,o)|0;if((l+-1|0)>>>0<127){m=l;n=6}else p=l}if((n|0)==6){n=0;if((m|0)==10){l=t_a(h)|0;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(k=b[a>>0]|0,k<<24>>24>-1):0){f[c>>2]=a+1;q=k&255}else{k=wCb(c)|0;if((k|0)>-1)q=k;else{r=0;n=20;break}}hCb(e,c,q);if((f[i>>2]|0)<0){n=13;break}if(!(Sh[f[(f[l>>2]|0)+44>>2]&511](l,c)|0)){n=13;break}if(mCb(c,f[e>>2]|0)|0)continue;else{r=0;n=20;break}}else p=m}if(!p){r=1;n=20;break}l=f[j>>2]|0;if(!(l&1))s=AHa(j)|0;else s=l&-2;if(!(b4b(c,p,s)|0)){r=0;n=20;break}}if((n|0)==13){r=0;u=d;return r|0}else if((n|0)==20){u=d;return r|0}return 0}function K6a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+20>>2]|0;d=b+c|0;if(!b){e=d;g=a+12|0;f[g>>2]=e;return e|0}c=a+28|0;h=0;i=d;while(1){d=f[(f[c>>2]|0)+4+(h<<2)>>2]|0;j=ci[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(b|0)){e=d;break}else i=d}g=a+12|0;f[g>>2]=e;return e|0}function L6a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a+20>>2]|0;if(c|0){d=a+28|0;e=0;do{GEb(1,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function M6a(a){a=a|0;return f[a+12>>2]|0}function N6a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=f[a+20>>2]|0;if(!e)g=d;else{h=a+28|0;i=0;j=d;while(1){d=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;b[j>>0]=10;k=j+1|0;l=ci[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=k;r=l}b[q>>0]=r;n=ki[f[(f[d>>2]|0)+64>>2]&511](d,c,q+1|0)|0;i=i+1|0;if((i|0)==(e|0)){g=n;break}else j=n}}j=f[a+4>>2]|0;if(!(j&1)){s=g;return s|0}s=f4b(j&-2,g)|0;return s|0}function O6a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function P6a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,20072,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}$Za(a+16|0,c+16|0);return}function Q6a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function R6a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533856;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function S6a(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=127216;f[a+4>>2]=0;f[a+8>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=532008?(f[222778]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=78;b[d+8>>0]=0;dEb(891112,d);zDb(d)}f[a+12>>2]=0;u=c;return}function T6a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function U6a(a){a=a|0;var b=0,c=0;f[a>>2]=127324;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function V6a(a){a=a|0;var b=0,c=0;f[a>>2]=127324;b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function W6a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function X6a(a,b){a=a|0;b=b|0;a=Bmc(24)|0;h7a(a);if(!b)return a|0;i7a(b,a);return a|0}function Y6a(a){a=a|0;var b=0;b=a+8|0;if(f[b>>2]&3|0){f[a+16>>2]=1;f[a+20>>2]=-1}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function Z6a(a){a=a|0;return 1}function _6a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;d=c+4|0;e=a+8|0;g=a+16|0;h=a+20|0;i=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){j=b[a>>0]|0;k=j&255;if(j<<24>>24>0){f[c>>2]=a+1;l=k;m=6}else{n=k;m=5}}else{n=0;m=5}if((m|0)==5){m=0;k=xCb(c,n)|0;if((k+-1|0)>>>0<127){l=k;m=6}else o=k}b:do if((m|0)==6){m=0;switch(l>>>3&536870911|0){case 1:{if((l&255|0)!=8){o=l;break b}f[e>>2]=f[e>>2]|1;k=f[c>>2]|0;if(k>>>0<(f[d>>2]|0)>>>0){a=b[k>>0]|0;j=a&255;if(a<<24>>24>-1){f[c>>2]=k+1;p=j}else{q=j;m=11}}else{q=0;m=11}if((m|0)==11){m=0;j=iCb(c,q)|0;k=J;if((k|0)>-1|(k|0)==-1&j>>>0>4294967295)p=j;else{r=0;m=24;break a}}f[g>>2]=p;continue a;break}case 2:{if((l&255|0)!=16){o=l;break b}f[e>>2]=f[e>>2]|2;j=f[c>>2]|0;if(j>>>0<(f[d>>2]|0)>>>0){k=b[j>>0]|0;a=k&255;if(k<<24>>24>-1){f[c>>2]=j+1;s=a}else{t=a;m=17}}else{t=0;m=17}if((m|0)==17){m=0;a=iCb(c,t)|0;j=J;if((j|0)>-1|(j|0)==-1&a>>>0>4294967295)s=a;else{r=0;m=24;break a}}f[h>>2]=s;continue a;break}default:{o=l;break b}}}while(0);if(!o){r=1;m=24;break}a=f[i>>2]|0;if(!(a&1))u=AHa(i)|0;else u=a&-2;if(!(b4b(c,o,u)|0)){r=0;m=24;break}}if((m|0)==24)return r|0;return 0}function $6a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+8>>2]|0;if(!(b&3)){d=c;e=a+12|0;f[e>>2]=d;return d|0}if(!(b&1))g=c;else{h=f[a+16>>2]|0;if((h|0)<0)i=11;else i=((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;g=i+c|0}if(!(b&2)){d=g;e=a+12|0;f[e>>2]=d;return d|0}b=f[a+20>>2]|0;if((b|0)<0)j=11;else j=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;d=j+g|0;e=a+12|0;f[e>>2]=d;return d|0}function a7a(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)mEb(1,f[a+16>>2]|0,b);if(c&2|0)mEb(2,f[a+20>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function b7a(a){a=a|0;return f[a+12>>2]|0}function c7a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=8;h=d+1|0;d=g&255;if(g>>>0>127){i=h;j=d;k=g;l=((g|0)<0)<<31>>31;while(1){b[i>>0]=j|-128;g=k;k=Irc(k|0,l|0,7)|0;m=i+1|0;n=k&255;if(!(l>>>0>0|(l|0)==0&g>>>0>16383)){o=m;p=n;break}else{i=m;j=n;l=J}}}else{o=h;p=d}b[o>>0]=p;e=o+1|0}if(!(c&2))q=e;else{c=f[a+20>>2]|0;b[e>>0]=16;o=e+1|0;e=c&255;if(c>>>0>127){p=o;d=e;h=c;l=((c|0)<0)<<31>>31;while(1){b[p>>0]=d|-128;c=h;h=Irc(h|0,l|0,7)|0;j=p+1|0;i=h&255;if(!(l>>>0>0|(l|0)==0&c>>>0>16383)){r=j;s=i;break}else{p=j;d=i;l=J}}}else{r=o;s=e}b[r>>0]=s;q=r+1|0}r=f[a+4>>2]|0;if(!(r&1)){t=q;return t|0}t=f4b(r&-2,q)|0;return t|0}function d7a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function e7a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,20088,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}d=f[c+8>>2]|0;if(!(d&3))return;if(d&1|0)f[a+16>>2]=f[c+16>>2];if(d&2|0)f[a+20>>2]=f[c+20>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function f7a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function g7a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533800;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function h7a(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=127324;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=531776?(f[222771]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=71;b[d+8>>0]=0;dEb(891084,d);zDb(d)}f[a+12>>2]=0;f[a+16>>2]=1;f[a+20>>2]=-1;u=c;return}function i7a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function j7a(a){a=a|0;var b=0,c=0;f[a>>2]=127432;if((a|0)!=531704){b=f[a+16>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);b=f[a+20>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b)}b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function k7a(a){a=a|0;j7a(a);Emc(a);return}function l7a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function m7a(a,b){a=a|0;b=b|0;a=Bmc(36)|0;z7a(a);if(!b)return a|0;A7a(b,a);return a|0}function n7a(a){a=a|0;var c=0,d=0,e=0;c=a+8|0;d=f[c>>2]|0;if(d&3|0){if(d&1|0){e=f[a+16>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&2|0){e=f[a+20>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}}if(d&28|0){d=a+24|0;f[d>>2]=0;f[d+4>>2]=0;b[a+32>>0]=1}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function o7a(a){a=a|0;return 1}function p7a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+24|0;j=a+28|0;k=a+32|0;l=e+8|0;m=a+16|0;n=e+4|0;o=a+20|0;p=e+4|0;q=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){r=b[a>>0]|0;s=r&255;if(r<<24>>24>0){f[c>>2]=a+1;t=s;v=6}else{w=s;v=5}}else{w=0;v=5}if((v|0)==5){v=0;s=xCb(c,w)|0;if((s+-1|0)>>>0<127){t=s;v=6}else x=s}b:do if((v|0)==6){v=0;switch(t>>>3&536870911|0){case 1:{if((t&255|0)!=8){x=t;break b}f[h>>2]=f[h>>2]|4;s=f[c>>2]|0;if(s>>>0<(f[g>>2]|0)>>>0){a=b[s>>0]|0;r=a&255;if(a<<24>>24>-1){f[i>>2]=r;f[c>>2]=s+1;continue a}else y=r}else y=0;r=iCb(c,y)|0;s=J;f[i>>2]=r;if((s|0)>-1|(s|0)==-1&r>>>0>4294967295)continue a;else{z=0;v=50;break a}break}case 2:{if((t&255|0)!=16){x=t;break b}f[h>>2]=f[h>>2]|8;r=f[c>>2]|0;if(r>>>0<(f[g>>2]|0)>>>0){s=b[r>>0]|0;a=s&255;if(s<<24>>24>-1){f[j>>2]=a;f[c>>2]=r+1;continue a}else A=a}else A=0;a=iCb(c,A)|0;r=J;f[j>>2]=a;if((r|0)>-1|(r|0)==-1&a>>>0>4294967295)continue a;else{z=0;v=50;break a}break}case 3:{if((t&255|0)!=24){x=t;break b}f[h>>2]=f[h>>2]|16;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(r=b[a>>0]|0,r<<24>>24>-1):0){f[c>>2]=a+1;B=r<<24>>24!=0}else{jCb(e,c);r=e;if(!(b[l>>0]|0)){z=0;v=50;break a}else B=(f[r>>2]|0)!=0|(f[r+4>>2]|0)!=0}b[k>>0]=B&1;continue a;break}case 4:{if((t&255|0)!=34){x=t;break b}f[h>>2]=f[h>>2]|1;r=f[m>>2]|0;if(!r){a=Bmc(48)|0;XTa(a);f[m>>2]=a;C=a}else C=r;r=f[c>>2]|0;if(r>>>0<(f[g>>2]|0)>>>0?(a=b[r>>0]|0,a<<24>>24>-1):0){f[c>>2]=r+1;D=a&255}else{a=wCb(c)|0;if((a|0)>-1)D=a;else{z=0;v=50;break a}}hCb(e,c,D);if((f[n>>2]|0)<0){v=32;break a}if(!(Sh[f[(f[C>>2]|0)+44>>2]&511](C,c)|0)){v=32;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{z=0;v=50;break a}break}case 5:{if((t&255|0)!=42){x=t;break b}f[h>>2]=f[h>>2]|2;a=f[o>>2]|0;if(!a){r=Bmc(48)|0;XTa(r);f[o>>2]=r;E=r}else E=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(r=b[a>>0]|0,r<<24>>24>-1):0){f[c>>2]=a+1;F=r&255}else{r=wCb(c)|0;if((r|0)>-1)F=r;else{z=0;v=50;break a}}hCb(e,c,F);if((f[p>>2]|0)<0){v=43;break a}if(!(Sh[f[(f[E>>2]|0)+44>>2]&511](E,c)|0)){v=43;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{z=0;v=50;break a}break}default:{x=t;break b}}}while(0);if(!x){z=1;v=50;break}r=f[q>>2]|0;if(!(r&1))G=AHa(q)|0;else G=r&-2;if(!(b4b(c,x,G)|0)){z=0;v=50;break}}if((v|0)==32){z=0;u=d;return z|0}else if((v|0)==43){z=0;u=d;return z|0}else if((v|0)==50){u=d;return z|0}return 0}function q7a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=a+8|0;d=f[b>>2]|0;if(!(d&31)){e=c;g=a+12|0;f[g>>2]=e;return e|0}if(!(d&1)){h=c;i=d}else{d=f[a+16>>2]|0;j=ci[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=c+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=d;i=f[b>>2]|0}if(!(i&2)){k=h;l=i}else{i=f[a+20>>2]|0;d=ci[f[(f[i>>2]|0)+48>>2]&1023](i)|0;i=h+1+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0;k=i;l=f[b>>2]|0}if(!(l&4))m=k;else m=k+1+((((($(f[a+24>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(l&8))n=m;else n=m+1+((((($(f[a+28>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=l&16|0?n+2|0:n;g=a+12|0;f[g>>2]=e;return e|0}function r7a(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&4|0)oEb(1,f[a+24>>2]|0,c);if(d&8|0)oEb(2,f[a+28>>2]|0,c);if(d&16|0)yEb(3,(b[a+32>>0]|0)!=0,c);if(d&1|0)GEb(4,f[a+16>>2]|0,c);if(d&2|0)GEb(5,f[a+20>>2]|0,c);d=f[a+4>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function s7a(a){a=a|0;return f[a+12>>2]|0}function t7a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;e=f[a+8>>2]|0;if(!(e&4))g=d;else{h=f[a+24>>2]|0;b[d>>0]=8;i=d+1|0;if(h>>>0>127){d=h;j=i;while(1){b[j>>0]=d|128;k=d>>>7;l=j+1|0;if(d>>>0>16383){d=k;j=l}else{m=l;n=k;break}}}else{m=i;n=h}b[m>>0]=n;g=m+1|0}if(!(e&8))o=g;else{m=f[a+28>>2]|0;b[g>>0]=16;n=g+1|0;if(m>>>0>127){g=m;h=n;while(1){b[h>>0]=g|128;i=g>>>7;j=h+1|0;if(g>>>0>16383){g=i;h=j}else{p=j;q=i;break}}}else{p=n;q=m}b[p>>0]=q;o=p+1|0}if(!(e&16))r=o;else{p=b[a+32>>0]|0;b[o>>0]=24;b[o+1>>0]=p;r=o+2|0}if(!(e&1))s=r;else{o=f[a+16>>2]|0;b[r>>0]=34;p=r+1|0;r=ci[f[(f[o>>2]|0)+60>>2]&1023](o)|0;if(r>>>0>127){q=r;m=p;while(1){b[m>>0]=q|128;n=q>>>7;h=m+1|0;if(q>>>0>16383){q=n;m=h}else{t=h;u=n;break}}}else{t=p;u=r}b[t>>0]=u;s=ki[f[(f[o>>2]|0)+64>>2]&511](o,c,t+1|0)|0}if(!(e&2))v=s;else{e=f[a+20>>2]|0;b[s>>0]=42;t=s+1|0;s=ci[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(s>>>0>127){o=s;u=t;while(1){b[u>>0]=o|128;r=o>>>7;p=u+1|0;if(o>>>0>16383){o=r;u=p}else{w=p;x=r;break}}}else{w=t;x=s}b[w>>0]=x;v=ki[f[(f[e>>2]|0)+64>>2]&511](e,c,w+1|0)|0}w=f[a+4>>2]|0;if(!(w&1)){y=v;return y|0}y=f4b(w&-2,v)|0;return y|0}function u7a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function v7a(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,20104,0)|0;if(!c){c2b(b,a);return}else{y7a(a,c);return}}function w7a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function x7a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533784;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function y7a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}e=f[c+8>>2]|0;if(!(e&31))return;if(e&1|0){h=a+8|0;f[h>>2]=f[h>>2]|1;h=a+16|0;g=f[h>>2]|0;if(!g){d=Bmc(48)|0;XTa(d);f[h>>2]=d;i=d}else i=g;g=f[c+16>>2]|0;YTa(i,g|0?g:530048)}if(e&2|0){g=a+8|0;f[g>>2]=f[g>>2]|2;g=a+20|0;i=f[g>>2]|0;if(!i){d=Bmc(48)|0;XTa(d);f[g>>2]=d;j=d}else j=i;i=f[c+20>>2]|0;YTa(j,i|0?i:530048)}if(e&4|0)f[a+24>>2]=f[c+24>>2];if(e&8|0)f[a+28>>2]=f[c+28>>2];if(e&16|0)b[a+32>>0]=b[c+32>>0]|0;c=a+8|0;f[c>>2]=f[c>>2]|e;return}function z7a(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=127432;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=531704?(f[222769]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=69;b[d+8>>0]=0;dEb(891076,d);zDb(d)}d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;b[a+32>>0]=1;u=c;return}function A7a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function B7a(a){a=a|0;var b=0,c=0;f[a>>2]=127540;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function C7a(a){a=a|0;var b=0,c=0;f[a>>2]=127540;b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function D7a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function E7a(a,b){a=a|0;b=b|0;a=Bmc(20)|0;Q7a(a);if(!b)return a|0;R7a(b,a);return a|0}function F7a(a){a=a|0;var b=0;n[a+16>>2]=1.0;f[a+8>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function G7a(a){a=a|0;return 1}function H7a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+16|0;k=a+4|0;while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){l=b[a>>0]|0;m=l&255;if(l<<24>>24>0){f[c>>2]=a+1;n=m;o=6}else{p=m;o=5}}else{p=0;o=5}if((o|0)==5){o=0;m=xCb(c,p)|0;if((m+-1|0)>>>0<127){n=m;o=6}else q=m}if((o|0)==6){o=0;if((n|0)==13){f[i>>2]=f[i>>2]|1;m=f[c>>2]|0;if(((f[g>>2]|0)-m|0)>3){a=m;l=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=l;f[c>>2]=m+4;r=l}else{if(!(uCb(c,e)|0)){o=12;break}r=f[e>>2]|0}f[j>>2]=r;continue}else q=n}if(!q){s=1;o=18;break}l=f[k>>2]|0;if(!(l&1))t=AHa(k)|0;else t=l&-2;if(!(b4b(c,q,t)|0)){s=0;o=18;break}}if((o|0)==12){s=0;u=d;return s|0}else if((o|0)==18){u=d;return s|0}return 0}function I7a(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+8>>2]&1|0?c+5|0:c;f[a+12>>2]=b;return b|0}function J7a(a,b){a=a|0;b=b|0;var c=0;if(f[a+8>>2]&1|0)wEb(1,+n[a+16>>2],b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function K7a(a){a=a|0;return f[a+12>>2]|0}function L7a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0;if(!(f[a+8>>2]&1))e=d;else{c=f[a+16>>2]|0;b[d>>0]=13;g=d+1|0;b[g>>0]=c;b[g+1>>0]=c>>8;b[g+2>>0]=c>>16;b[g+3>>0]=c>>24;e=d+5|0}d=f[a+4>>2]|0;if(!(d&1)){h=e;return h|0}h=f4b(d&-2,e)|0;return h|0}function M7a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function N7a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,20120,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}if(!(f[c+8>>2]&1))return;d=f[c+16>>2]|0;c=a+8|0;f[c>>2]=f[c>>2]|1;f[a+16>>2]=d;return}function O7a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function P7a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533776;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function Q7a(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=127540;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=531680?(f[222768]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=68;b[d+8>>0]=0;dEb(891072,d);zDb(d)}f[a+12>>2]=0;n[a+16>>2]=1.0;u=c;return}function R7a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function S7a(a){a=a|0;var b=0,c=0;f[a>>2]=127648;i8a(a);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function T7a(a){a=a|0;S7a(a);Emc(a);return}function U7a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function V7a(a,b){a=a|0;b=b|0;a=Bmc(40)|0;g8a(a);if(!b)return a|0;h8a(b,a);return a|0}function W7a(a){a=a|0;var c=0,d=0,e=0,g=0;c=a+8|0;d=f[c>>2]|0;do if(d&31|0){do if(d&1|0){e=f[a+16>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&2|0){g=f[a+20>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);do if(d&4|0){e=f[a+24>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&8|0){g=f[a+28>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);if(d&16|0){e=f[a+32>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}}while(0);f[a+36>>2]=0;f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function X7a(a){a=a|0;return 1}function Y7a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;d=c+4|0;e=a+8|0;g=a+16|0;h=a+20|0;i=a+24|0;j=a+28|0;k=a+32|0;l=a+36|0;m=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=xCb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)!=10){s=p;break b}f[e>>2]=f[e>>2]|1;o=f[g>>2]|0;if((o|0)==535416){aFa(g,535416);t=f[g>>2]|0}else t=o;if(HEb(c,t)|0)continue a;else{u=0;q=37;break a}break}case 2:{if((p&255|0)!=18){s=p;break b}f[e>>2]=f[e>>2]|2;o=f[h>>2]|0;if((o|0)==535416){aFa(h,535416);v=f[h>>2]|0}else v=o;if(HEb(c,v)|0)continue a;else{u=0;q=37;break a}break}case 3:{if((p&255|0)!=26){s=p;break b}f[e>>2]=f[e>>2]|4;o=f[i>>2]|0;if((o|0)==535416){aFa(i,535416);w=f[i>>2]|0}else w=o;if(HEb(c,w)|0)continue a;else{u=0;q=37;break a}break}case 4:{if((p&255|0)!=34){s=p;break b}f[e>>2]=f[e>>2]|8;o=f[j>>2]|0;if((o|0)==535416){aFa(j,535416);x=f[j>>2]|0}else x=o;if(HEb(c,x)|0)continue a;else{u=0;q=37;break a}break}case 5:{if((p&255|0)!=42){s=p;break b}f[e>>2]=f[e>>2]|16;o=f[k>>2]|0;if((o|0)==535416){aFa(k,535416);y=f[k>>2]|0}else y=o;if(HEb(c,y)|0)continue a;else{u=0;q=37;break a}break}case 6:{if((p&255|0)!=48){s=p;break b}f[e>>2]=f[e>>2]|32;o=f[c>>2]|0;if(o>>>0<(f[d>>2]|0)>>>0){a=b[o>>0]|0;n=a&255;if(a<<24>>24>-1){f[l>>2]=n;f[c>>2]=o+1;continue a}else z=n}else z=0;n=iCb(c,z)|0;o=J;f[l>>2]=n;if((o|0)>-1|(o|0)==-1&n>>>0>4294967295)continue a;else{u=0;q=37;break a}break}default:{s=p;break b}}}while(0);if(!s){u=1;q=37;break}n=f[m>>2]|0;if(!(n&1))A=AHa(m)|0;else A=n&-2;if(!(b4b(c,s,A)|0)){u=0;q=37;break}}if((q|0)==37)return u|0;return 0}function Z7a(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=f[a+8>>2]|0;if(!(c&63)){e=d;g=a+12|0;f[g>>2]=e;return e|0}if(!(c&1))h=d;else{i=f[a+16>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0?f[i+4>>2]|0:j&255;h=d+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&2))l=h;else{k=f[a+20>>2]|0;d=b[k+11>>0]|0;j=d<<24>>24<0?f[k+4>>2]|0:d&255;l=h+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&4))m=l;else{j=f[a+24>>2]|0;h=b[j+11>>0]|0;d=h<<24>>24<0?f[j+4>>2]|0:h&255;m=l+1+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&8))n=m;else{d=f[a+28>>2]|0;l=b[d+11>>0]|0;h=l<<24>>24<0?f[d+4>>2]|0:l&255;n=m+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&16))o=n;else{h=f[a+32>>2]|0;m=b[h+11>>0]|0;l=m<<24>>24<0?f[h+4>>2]|0:m&255;o=n+1+l+((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&32)){e=o;g=a+12|0;f[g>>2]=e;return e|0}e=o+1+((((($(f[a+36>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=a+12|0;f[g>>2]=e;return e|0}function _7a(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)BEb(1,f[a+16>>2]|0,b);if(c&2|0)BEb(2,f[a+20>>2]|0,b);if(c&4|0)BEb(3,f[a+24>>2]|0,b);if(c&8|0)BEb(4,f[a+28>>2]|0,b);if(c&16|0)BEb(5,f[a+32>>2]|0,b);if(c&32|0)oEb(6,f[a+36>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function $7a(a){a=a|0;return f[a+12>>2]|0}function a8a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=10;e=GCb(g,d+1|0)|0}if(!(c&2))h=e;else{d=f[a+20>>2]|0;b[e>>0]=18;h=GCb(d,e+1|0)|0}if(!(c&4))i=h;else{e=f[a+24>>2]|0;b[h>>0]=26;i=GCb(e,h+1|0)|0}if(!(c&8))j=i;else{h=f[a+28>>2]|0;b[i>>0]=34;j=GCb(h,i+1|0)|0}if(!(c&16))k=j;else{i=f[a+32>>2]|0;b[j>>0]=42;k=GCb(i,j+1|0)|0}if(!(c&32))l=k;else{c=f[a+36>>2]|0;b[k>>0]=48;j=k+1|0;if(c>>>0>127){k=c;i=j;while(1){b[i>>0]=k|128;h=k>>>7;e=i+1|0;if(k>>>0>16383){k=h;i=e}else{m=e;n=h;break}}}else{m=j;n=c}b[m>>0]=n;l=m+1|0}m=f[a+4>>2]|0;if(!(m&1)){o=l;return o|0}o=f4b(m&-2,l)|0;return o|0}function b8a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function c8a(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,20136,0)|0;if(!c){c2b(b,a);return}else{f8a(a,c);return}}function d8a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function e8a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533744;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function f8a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}d=f[b+8>>2]|0;if(!(d&63))return;do if(d&1|0?(g=a+8|0,f[g>>2]=f[g>>2]|1,g=a+16|0,e=f[b+16>>2]|0,c=f[g>>2]|0,(c|0)!=(e|0)):0)if((c|0)==535416){aFa(g,e);break}else{Qmc(c,e)|0;break}while(0);do if(d&2|0?(e=a+8|0,f[e>>2]=f[e>>2]|2,e=a+20|0,c=f[b+20>>2]|0,g=f[e>>2]|0,(g|0)!=(c|0)):0)if((g|0)==535416){aFa(e,c);break}else{Qmc(g,c)|0;break}while(0);do if(d&4|0?(c=a+8|0,f[c>>2]=f[c>>2]|4,c=a+24|0,g=f[b+24>>2]|0,e=f[c>>2]|0,(e|0)!=(g|0)):0)if((e|0)==535416){aFa(c,g);break}else{Qmc(e,g)|0;break}while(0);do if(d&8|0?(g=a+8|0,f[g>>2]=f[g>>2]|8,g=a+28|0,e=f[b+28>>2]|0,c=f[g>>2]|0,(c|0)!=(e|0)):0)if((c|0)==535416){aFa(g,e);break}else{Qmc(c,e)|0;break}while(0);do if(d&16|0?(e=a+8|0,f[e>>2]=f[e>>2]|16,e=a+32|0,c=f[b+32>>2]|0,g=f[e>>2]|0,(g|0)!=(c|0)):0)if((g|0)==535416){aFa(e,c);break}else{Qmc(g,c)|0;break}while(0);if(d&32|0)f[a+36>>2]=f[b+36>>2];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function g8a(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=127648;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=531480?(f[222764]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=64;b[d+8>>0]=0;dEb(891056,d);zDb(d)}f[a+12>>2]=0;f[a+16>>2]=535416;f[a+20>>2]=535416;f[a+24>>2]=535416;f[a+28>>2]=535416;f[a+32>>2]=535416;f[a+36>>2]=0;u=c;return}function h8a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function i8a(a){a=a|0;var c=0;c=f[a+16>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+20>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+24>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+28>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+32>>2]|0;if((c|0)==535416|(c|0)==0)return;if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c);return}function j8a(a){a=a|0;var b=0,c=0;f[a>>2]=127756;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function k8a(a){a=a|0;var b=0,c=0;f[a>>2]=127756;b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function l8a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function m8a(a,b){a=a|0;b=b|0;a=Bmc(28)|0;y8a(a);if(!b)return a|0;z8a(b,a);return a|0}function n8a(a){a=a|0;var b=0;b=a+8|0;if(f[b>>2]&7|0){f[a+16>>2]=0;n[a+20>>2]=.30000001192092896;n[a+24>>2]=1.0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function o8a(a){a=a|0;return 1}function p8a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+20|0;k=a+16|0;l=a+24|0;m=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=xCb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)!=13){s=p;break b}f[i>>2]=f[i>>2]|2;o=f[c>>2]|0;if(((f[g>>2]|0)-o|0)>3){a=o;n=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=n;f[c>>2]=o+4;t=n}else{if(!(uCb(c,e)|0)){q=13;break a}t=f[e>>2]|0}f[j>>2]=t;continue a;break}case 2:{if((p&255|0)!=16){s=p;break b}f[i>>2]=f[i>>2]|1;n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0){o=b[n>>0]|0;a=o&255;if(o<<24>>24>-1){f[c>>2]=n+1;v=a}else{w=a;q=18}}else{w=0;q=18}if((q|0)==18){q=0;a=iCb(c,w)|0;n=J;if((n|0)>-1|(n|0)==-1&a>>>0>4294967295)v=a;else{x=0;q=32;break a}}f[k>>2]=v;continue a;break}case 3:{if((p&255|0)!=29){s=p;break b}f[i>>2]=f[i>>2]|4;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){n=a;o=h[n>>0]|h[n+1>>0]<<8|h[n+2>>0]<<16|h[n+3>>0]<<24;f[e>>2]=o;f[c>>2]=a+4;y=o}else{if(!(uCb(c,e)|0)){q=26;break a}y=f[e>>2]|0}f[l>>2]=y;continue a;break}default:{s=p;break b}}}while(0);if(!s){x=1;q=32;break}o=f[m>>2]|0;if(!(o&1))z=AHa(m)|0;else z=o&-2;if(!(b4b(c,s,z)|0)){x=0;q=32;break}}if((q|0)==13){x=0;u=d;return x|0}else if((q|0)==26){x=0;u=d;return x|0}else if((q|0)==32){u=d;return x|0}return 0}function q8a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+8>>2]|0;if(!(b&7)){d=c;e=a+12|0;f[e>>2]=d;return d|0}if(!(b&1))g=c;else{h=f[a+16>>2]|0;if((h|0)<0)i=11;else i=((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;g=i+c|0}c=b&2|0?g+5|0:g;d=b&4|0?c+5|0:c;e=a+12|0;f[e>>2]=d;return d|0}function r8a(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&2|0)wEb(1,+n[a+20>>2],b);if(c&1|0)mEb(2,f[a+16>>2]|0,b);if(c&4|0)wEb(3,+n[a+24>>2],b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function s8a(a){a=a|0;return f[a+12>>2]|0}function t8a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=f[a+8>>2]|0;if(!(c&2))e=d;else{g=f[a+20>>2]|0;b[d>>0]=13;h=d+1|0;b[h>>0]=g;b[h+1>>0]=g>>8;b[h+2>>0]=g>>16;b[h+3>>0]=g>>24;e=d+5|0}if(!(c&1))i=e;else{d=f[a+16>>2]|0;b[e>>0]=16;g=e+1|0;e=d&255;if(d>>>0>127){h=g;j=e;k=d;l=((d|0)<0)<<31>>31;while(1){b[h>>0]=j|-128;d=k;k=Irc(k|0,l|0,7)|0;m=h+1|0;n=k&255;if(!(l>>>0>0|(l|0)==0&d>>>0>16383)){o=m;p=n;break}else{h=m;j=n;l=J}}}else{o=g;p=e}b[o>>0]=p;i=o+1|0}if(!(c&4))q=i;else{c=f[a+24>>2]|0;b[i>>0]=29;o=i+1|0;b[o>>0]=c;b[o+1>>0]=c>>8;b[o+2>>0]=c>>16;b[o+3>>0]=c>>24;q=i+5|0}i=f[a+4>>2]|0;if(!(i&1)){r=q;return r|0}r=f4b(i&-2,q)|0;return r|0}function u8a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function v8a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,20152,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}d=f[c+8>>2]|0;if(!(d&7))return;if(d&1|0)f[a+16>>2]=f[c+16>>2];if(d&2|0)f[a+20>>2]=f[c+20>>2];if(d&4|0)f[a+24>>2]=f[c+24>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function w8a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function x8a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533736;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function y8a(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=127756;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=531448?(f[222763]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=63;b[d+8>>0]=0;dEb(891052,d);zDb(d)}f[a+12>>2]=0;f[a+16>>2]=0;n[a+20>>2]=.30000001192092896;n[a+24>>2]=1.0;u=c;return}function z8a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function A8a(a){a=a|0;var b=0,c=0;f[a>>2]=127864;b=f[a+24>>2]|0;if(b|0?(f[b>>2]|0)==0:0)Emc(b);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function B8a(a){a=a|0;var b=0,c=0;f[a>>2]=127864;b=f[a+24>>2]|0;if(b|0?(f[b>>2]|0)==0:0)Emc(b);b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function C8a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function D8a(a,b){a=a|0;b=b|0;a=Bmc(32)|0;Q8a(a);if(!b)return a|0;R8a(b,a);return a|0}function E8a(a){a=a|0;var b=0;f[a+16>>2]=0;f[a+28>>2]=2;f[a+8>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function F8a(a){a=a|0;return 1}function G8a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;d=c+4|0;e=a+8|0;g=a+28|0;h=a+16|0;i=a+20|0;j=a+24|0;k=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){l=b[a>>0]|0;m=l&255;if(l<<24>>24>0){f[c>>2]=a+1;n=m;o=6}else{p=m;o=5}}else{p=0;o=5}if((o|0)==5){o=0;m=xCb(c,p)|0;if((m+-1|0)>>>0<127){n=m;o=6}else q=m}b:do if((o|0)==6){o=0;switch(n>>>3&536870911|0){case 1:{if((n&255|0)!=8){q=n;break b}f[e>>2]=f[e>>2]|1;m=f[c>>2]|0;if(m>>>0<(f[d>>2]|0)>>>0){a=b[m>>0]|0;l=a&255;if(a<<24>>24>-1){f[c>>2]=m+1;r=l}else{s=l;o=11}}else{s=0;o=11}if((o|0)==11){o=0;l=iCb(c,s)|0;m=J;if((m|0)>-1|(m|0)==-1&l>>>0>4294967295)r=l;else{t=0;o=35;break a}}f[g>>2]=r;continue a;break}case 2:break;default:{q=n;break b}}switch((n&255)<<24>>24){case 16:break;case 18:{if(cZa(c,h)|0)continue a;else{t=0;o=35;break a}break}default:{q=n;break b}}l=f[c>>2]|0;if(l>>>0<(f[d>>2]|0)>>>0){m=b[l>>0]|0;a=m&255;if(m<<24>>24>-1){f[c>>2]=l+1;u=a}else{v=a;o=17}}else{v=0;o=17}if((o|0)==17){o=0;a=iCb(c,v)|0;l=J;if((l|0)>-1|(l|0)==-1&a>>>0>4294967295)u=a;else{t=0;o=35;break a}}a=f[h>>2]|0;if((a|0)==(f[i>>2]|0)){iFa(h,a+1|0);w=f[h>>2]|0}else w=a;a=f[j>>2]|0;f[h>>2]=w+1;f[a+4+(w<<2)>>2]=u;l=(f[i>>2]|0)-(f[h>>2]|0)|0;if((l|0)>0){x=l;y=a}else continue a;while(1){a=f[c>>2]|0;l=f[d>>2]|0;if(a>>>0>=l>>>0)continue a;if((b[a>>0]|0)!=16)continue a;m=a+1|0;f[c>>2]=m;if(m>>>0<l>>>0){l=b[m>>0]|0;m=l&255;if(l<<24>>24>-1){f[c>>2]=a+2;z=m;A=y}else{B=m;o=25}}else{B=0;o=25}if((o|0)==25){o=0;m=iCb(c,B)|0;a=J;if(!((a|0)>-1|(a|0)==-1&m>>>0>4294967295)){t=0;o=35;break a}z=m;A=f[j>>2]|0}m=f[h>>2]|0;f[h>>2]=m+1;f[A+4+(m<<2)>>2]=z;if((x|0)>1){x=x+-1|0;y=A}else continue a}}while(0);if(!q){t=1;o=35;break}m=f[k>>2]|0;if(!(m&1))C=AHa(k)|0;else C=m&-2;if(!(b4b(c,q,C)|0)){t=0;o=35;break}}if((o|0)==35)return t|0;return 0}function H8a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=KEb(a+16|0)|0;d=b+c+(f[a+16>>2]|0)|0;if(!(f[a+8>>2]&1)){e=d;g=a+12|0;f[g>>2]=e;return e|0}c=f[a+28>>2]|0;if((c|0)<0)h=11;else h=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;e=h+d|0;g=a+12|0;f[g>>2]=e;return e|0}function I8a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if(f[a+8>>2]&1|0)mEb(1,f[a+28>>2]|0,b);c=f[a+16>>2]|0;if((c|0)>0){d=a+24|0;e=0;do{oEb(2,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function J8a(a){a=a|0;return f[a+12>>2]|0}function K8a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;if(!(f[a+8>>2]&1))e=d;else{c=f[a+28>>2]|0;b[d>>0]=8;g=d+1|0;d=c&255;if(c>>>0>127){h=g;i=d;j=c;k=((c|0)<0)<<31>>31;while(1){b[h>>0]=i|-128;c=j;j=Irc(j|0,k|0,7)|0;l=h+1|0;m=j&255;if(!(k>>>0>0|(k|0)==0&c>>>0>16383)){n=l;o=m;break}else{h=l;i=m;k=J}}}else{n=g;o=d}b[n>>0]=o;e=n+1|0}n=f[a+16>>2]|0;if(!n)p=e;else{o=f[a+24>>2]|0;d=0;g=e;while(1){e=f[o+4+(d<<2)>>2]|0;b[g>>0]=16;k=g+1|0;if(e>>>0>127){i=e;h=k;while(1){b[h>>0]=i|128;j=i>>>7;m=h+1|0;if(i>>>0>16383){i=j;h=m}else{q=m;r=j;break}}}else{q=k;r=e}b[q>>0]=r;h=q+1|0;d=d+1|0;if((d|0)>=(n|0)){p=h;break}else g=h}}g=f[a+4>>2]|0;if(!(g&1)){s=p;return s|0}s=f4b(g&-2,p)|0;return s|0}function L8a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function M8a(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,20168,0)|0;if(!c){c2b(b,a);return}else{P8a(a,c);return}}function N8a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function O8a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533720;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function P8a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}d=a+16|0;g=b+16|0;e=f[g>>2]|0;if(e|0){iFa(d,(f[d>>2]|0)+e|0);Krc((f[a+24>>2]|0)+4+(f[d>>2]<<2)|0,(f[b+24>>2]|0)+4|0,f[g>>2]<<2|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}if(!(f[b+8>>2]&1))return;g=f[b+28>>2]|0;b=a+8|0;f[b>>2]=f[b>>2]|1;f[a+28>>2]=g;return}function Q8a(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=127864;f[a+4>>2]=0;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;if((a|0)!=531360?(f[222761]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=61;b[d+8>>0]=0;dEb(891044,d);zDb(d)}f[a+12>>2]=0;f[a+28>>2]=2;u=c;return}function R8a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function S8a(a){a=a|0;var b=0,c=0;f[a>>2]=127972;if((a|0)!=531184?(b=f[a+16>>2]|0,b|0):0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function T8a(a){a=a|0;S8a(a);Emc(a);return}function U8a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function V8a(a,b){a=a|0;b=b|0;a=Bmc(28)|0;g9a(a);if(!b)return a|0;h9a(b,a);return a|0}function W8a(a){a=a|0;var b=0,c=0;b=a+8|0;c=f[b>>2]|0;if(c&7|0){if(c&1|0){c=f[a+16>>2]|0;ai[f[(f[c>>2]|0)+28>>2]&2047](c)}f[a+20>>2]=1;f[a+24>>2]=1}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function X8a(a){a=a|0;return 1}function Y8a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+20|0;j=a+24|0;k=a+16|0;l=e+4|0;m=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=xCb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)!=8){s=p;break b}f[h>>2]=f[h>>2]|2;o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0){a=b[o>>0]|0;n=a&255;if(a<<24>>24>-1){f[c>>2]=o+1;t=n}else{v=n;q=11}}else{v=0;q=11}if((q|0)==11){q=0;n=iCb(c,v)|0;o=J;if((o|0)>-1|(o|0)==-1&n>>>0>4294967295)t=n;else{w=0;q=35;break a}}f[i>>2]=t;continue a;break}case 2:{if((p&255|0)!=16){s=p;break b}f[h>>2]=f[h>>2]|4;n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0){o=b[n>>0]|0;a=o&255;if(o<<24>>24>-1){f[c>>2]=n+1;x=a}else{y=a;q=17}}else{y=0;q=17}if((q|0)==17){q=0;a=iCb(c,y)|0;n=J;if((n|0)>-1|(n|0)==-1&a>>>0>4294967295)x=a;else{w=0;q=35;break a}}f[j>>2]=x;continue a;break}case 3:{if((p&255|0)!=26){s=p;break b}f[h>>2]=f[h>>2]|1;a=f[k>>2]|0;if(!a){n=Bmc(48)|0;XTa(n);f[k>>2]=n;z=n}else z=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(n=b[a>>0]|0,n<<24>>24>-1):0){f[c>>2]=a+1;A=n&255}else{n=wCb(c)|0;if((n|0)>-1)A=n;else{w=0;q=35;break a}}hCb(e,c,A);if((f[l>>2]|0)<0){q=28;break a}if(!(Sh[f[(f[z>>2]|0)+44>>2]&511](z,c)|0)){q=28;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{w=0;q=35;break a}break}default:{s=p;break b}}}while(0);if(!s){w=1;q=35;break}n=f[m>>2]|0;if(!(n&1))B=AHa(m)|0;else B=n&-2;if(!(b4b(c,s,B)|0)){w=0;q=35;break}}if((q|0)==28){w=0;u=d;return w|0}else if((q|0)==35){u=d;return w|0}return 0}function Z8a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=a+8|0;d=f[b>>2]|0;if(!(d&7)){e=c;g=a+12|0;f[g>>2]=e;return e|0}if(!(d&1)){h=c;i=d}else{d=f[a+16>>2]|0;j=ci[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=c+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=d;i=f[b>>2]|0}if(!(i&2))k=h;else{b=f[a+20>>2]|0;if((b|0)<0)l=11;else l=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;k=l+h|0}if(!(i&4)){e=k;g=a+12|0;f[g>>2]=e;return e|0}i=f[a+24>>2]|0;if((i|0)<0)m=11;else m=((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;e=m+k|0;g=a+12|0;f[g>>2]=e;return e|0}function _8a(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&2|0)mEb(1,f[a+20>>2]|0,b);if(c&4|0)mEb(2,f[a+24>>2]|0,b);if(c&1|0)GEb(3,f[a+16>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function $8a(a){a=a|0;return f[a+12>>2]|0}function a9a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;e=f[a+8>>2]|0;if(!(e&2))g=d;else{h=f[a+20>>2]|0;b[d>>0]=8;i=d+1|0;d=h&255;if(h>>>0>127){j=i;k=d;l=h;m=((h|0)<0)<<31>>31;while(1){b[j>>0]=k|-128;h=l;l=Irc(l|0,m|0,7)|0;n=j+1|0;o=l&255;if(!(m>>>0>0|(m|0)==0&h>>>0>16383)){p=n;q=o;break}else{j=n;k=o;m=J}}}else{p=i;q=d}b[p>>0]=q;g=p+1|0}if(!(e&4))r=g;else{p=f[a+24>>2]|0;b[g>>0]=16;q=g+1|0;g=p&255;if(p>>>0>127){d=q;i=g;m=p;k=((p|0)<0)<<31>>31;while(1){b[d>>0]=i|-128;p=m;m=Irc(m|0,k|0,7)|0;j=d+1|0;l=m&255;if(!(k>>>0>0|(k|0)==0&p>>>0>16383)){s=j;t=l;break}else{d=j;i=l;k=J}}}else{s=q;t=g}b[s>>0]=t;r=s+1|0}if(!(e&1))u=r;else{e=f[a+16>>2]|0;b[r>>0]=26;s=r+1|0;r=ci[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(r>>>0>127){t=r;g=s;while(1){b[g>>0]=t|128;q=t>>>7;k=g+1|0;if(t>>>0>16383){t=q;g=k}else{v=k;w=q;break}}}else{v=s;w=r}b[v>>0]=w;u=ki[f[(f[e>>2]|0)+64>>2]&511](e,c,v+1|0)|0}v=f[a+4>>2]|0;if(!(v&1)){x=u;return x|0}x=f4b(v&-2,u)|0;return x|0}function b9a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function c9a(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,20184,0)|0;if(!c){c2b(b,a);return}else{f9a(a,c);return}}function d9a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function e9a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533696;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function f9a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}d=f[b+8>>2]|0;if(!(d&7))return;if(d&1|0){g=a+8|0;f[g>>2]=f[g>>2]|1;g=a+16|0;e=f[g>>2]|0;if(!e){c=Bmc(48)|0;XTa(c);f[g>>2]=c;h=c}else h=e;e=f[b+16>>2]|0;YTa(h,e|0?e:530048)}if(d&2|0)f[a+20>>2]=f[b+20>>2];if(d&4|0)f[a+24>>2]=f[b+24>>2];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function g9a(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=127972;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=531184?(f[222758]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=58;b[d+8>>0]=0;dEb(891032,d);zDb(d)}f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=1;f[a+24>>2]=1;u=c;return}function h9a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function i9a(a){a=a|0;var b=0,c=0;f[a>>2]=128080;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function j9a(a){a=a|0;var b=0,c=0;f[a>>2]=128080;b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function k9a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function l9a(a,b){a=a|0;b=b|0;a=Bmc(28)|0;x9a(a);if(!b)return a|0;y9a(b,a);return a|0}function m9a(a){a=a|0;var b=0;d[a+16>>1]=0;b=a+8|0;if(f[b>>2]&12|0){n[a+20>>2]=.9990000128746033;n[a+24>>2]=9.999999747378752e-06}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function n9a(a){a=a|0;return 1}function o9a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+16|0;k=e+8|0;l=a+20|0;m=a+24|0;n=a+17|0;o=e+8|0;p=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){q=b[a>>0]|0;r=q&255;if(q<<24>>24>0){f[c>>2]=a+1;s=r;t=6}else{v=r;t=5}}else{v=0;t=5}if((t|0)==5){t=0;r=xCb(c,v)|0;if((r+-1|0)>>>0<127){s=r;t=6}else w=r}b:do if((t|0)==6){t=0;switch(s>>>3&536870911|0){case 1:{if((s&255|0)!=8){w=s;break b}f[i>>2]=f[i>>2]|1;r=f[c>>2]|0;if(r>>>0<(f[g>>2]|0)>>>0?(a=b[r>>0]|0,a<<24>>24>-1):0){f[c>>2]=r+1;x=a<<24>>24!=0}else{jCb(e,c);a=e;if(!(b[k>>0]|0)){y=0;t=38;break a}else x=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[j>>0]=x&1;continue a;break}case 2:{if((s&255|0)!=21){w=s;break b}f[i>>2]=f[i>>2]|4;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){r=a;q=h[r>>0]|h[r+1>>0]<<8|h[r+2>>0]<<16|h[r+3>>0]<<24;f[e>>2]=q;f[c>>2]=a+4;z=q}else{if(!(uCb(c,e)|0)){t=19;break a}z=f[e>>2]|0}f[l>>2]=z;continue a;break}case 3:{if((s&255|0)!=29){w=s;break b}f[i>>2]=f[i>>2]|8;q=f[c>>2]|0;if(((f[g>>2]|0)-q|0)>3){a=q;r=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=r;f[c>>2]=q+4;A=r}else{if(!(uCb(c,e)|0)){t=26;break a}A=f[e>>2]|0}f[m>>2]=A;continue a;break}case 7:{if((s&255|0)!=56){w=s;break b}f[i>>2]=f[i>>2]|2;r=f[c>>2]|0;if(r>>>0<(f[g>>2]|0)>>>0?(q=b[r>>0]|0,q<<24>>24>-1):0){f[c>>2]=r+1;B=q<<24>>24!=0}else{jCb(e,c);q=e;if(!(b[o>>0]|0)){y=0;t=38;break a}else B=(f[q>>2]|0)!=0|(f[q+4>>2]|0)!=0}b[n>>0]=B&1;continue a;break}default:{w=s;break b}}}while(0);if(!w){y=1;t=38;break}q=f[p>>2]|0;if(!(q&1))C=AHa(p)|0;else C=q&-2;if(!(b4b(c,w,C)|0)){y=0;t=38;break}}if((t|0)==19){y=0;u=d;return y|0}else if((t|0)==26){y=0;u=d;return y|0}else if((t|0)==38){u=d;return y|0}return 0}function p9a(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+8>>2]|0;if(!(b&15)){d=c;e=a+12|0;f[e>>2]=d;return d|0}g=b&1|0?c+2|0:c;c=b&2|0?g+2|0:g;g=b&4|0?c+5|0:c;d=b&8|0?g+5|0:g;e=a+12|0;f[e>>2]=d;return d|0}function q9a(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&1|0)yEb(1,(b[a+16>>0]|0)!=0,c);if(d&4|0)wEb(2,+n[a+20>>2],c);if(d&8|0)wEb(3,+n[a+24>>2],c);if(d&2|0)yEb(7,(b[a+17>>0]|0)!=0,c);d=f[a+4>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function r9a(a){a=a|0;return f[a+12>>2]|0}function s9a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=b[a+16>>0]|0;b[d>>0]=8;b[d+1>>0]=g;e=d+2|0}if(!(c&4))h=e;else{d=f[a+20>>2]|0;b[e>>0]=21;g=e+1|0;b[g>>0]=d;b[g+1>>0]=d>>8;b[g+2>>0]=d>>16;b[g+3>>0]=d>>24;h=e+5|0}if(!(c&8))i=h;else{e=f[a+24>>2]|0;b[h>>0]=29;d=h+1|0;b[d>>0]=e;b[d+1>>0]=e>>8;b[d+2>>0]=e>>16;b[d+3>>0]=e>>24;i=h+5|0}if(!(c&2))j=i;else{c=b[a+17>>0]|0;b[i>>0]=56;b[i+1>>0]=c;j=i+2|0}i=f[a+4>>2]|0;if(!(i&1)){k=j;return k|0}k=f4b(i&-2,j)|0;return k|0}function t9a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function u9a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=Jnc(c,24640,20200,0)|0;if(!d){c2b(c,a);return}c=a+4|0;e=f[d+4>>2]|0;if(e&1|0){g=f[c>>2]|0;if(!(g&1))h=AHa(c)|0;else h=g&-2;O3b(h,e&-2)}e=f[d+8>>2]|0;if(!(e&15))return;if(e&1|0)b[a+16>>0]=b[d+16>>0]|0;if(e&2|0)b[a+17>>0]=b[d+17>>0]|0;if(e&4|0)f[a+20>>2]=f[d+20>>2];if(e&8|0)f[a+24>>2]=f[d+24>>2];d=a+8|0;f[d>>2]=f[d>>2]|e;return}function v9a(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function w9a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533688;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function x9a(a){a=a|0;var c=0,e=0;c=u;u=u+16|0;e=c;f[a>>2]=128080;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=531152?(f[222757]|0)!=2:0){f[e>>2]=149752;f[e+4>>2]=57;b[e+8>>0]=0;dEb(891028,e);zDb(e)}f[a+12>>2]=0;d[a+16>>1]=0;n[a+20>>2]=.9990000128746033;n[a+24>>2]=9.999999747378752e-06;u=c;return}function y9a(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function z9a(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;f[a>>2]=128188;Bbb(a);c=f[a+132>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=a+120|0;d=f[c>>2]|0;if(d|0?(f[a+108>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0)ai[f[(f[h>>2]|0)+4>>2]&2047](h);g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;Emc(i)}f[c>>2]=0;c=a+104|0;i=f[c>>2]|0;if(i|0?(f[a+92>>2]|0)==0:0){d=f[i>>2]|0;if((d|0)>0){e=0;do{g=f[i+4+(e<<2)>>2]|0;if(g|0)ai[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));j=f[c>>2]|0}else j=i;Emc(j)}f[c>>2]=0;c=a+88|0;j=f[c>>2]|0;if(j|0?(f[a+76>>2]|0)==0:0){i=f[j>>2]|0;if((i|0)>0){d=0;do{e=f[j+4+(d<<2)>>2]|0;if(e|0)ai[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(i|0));k=f[c>>2]|0}else k=j;Emc(k)}f[c>>2]=0;c=a+72|0;k=f[c>>2]|0;if(k|0?(f[a+60>>2]|0)==0:0){j=f[k>>2]|0;if((j|0)>0){i=0;do{d=f[k+4+(i<<2)>>2]|0;if(d|0)ai[f[(f[d>>2]|0)+4>>2]&2047](d);i=i+1|0}while((i|0)!=(j|0));l=f[c>>2]|0}else l=k;Emc(l)}f[c>>2]=0;c=f[a+56>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=a+44|0;l=f[c>>2]|0;if(l|0?(f[a+32>>2]|0)==0:0){k=f[l>>2]|0;if((k|0)>0){j=0;do{i=f[l+4+(j<<2)>>2]|0;if(i|0){if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);Emc(i)}j=j+1|0}while((j|0)!=(k|0));m=f[c>>2]|0}else m=l;Emc(m)}f[c>>2]=0;c=a+28|0;m=f[c>>2]|0;if(m|0?(f[a+16>>2]|0)==0:0){l=f[m>>2]|0;if((l|0)>0){k=0;do{j=f[m+4+(k<<2)>>2]|0;if(j|0){if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);Emc(j)}k=k+1|0}while((k|0)!=(l|0));n=f[c>>2]|0}else n=m;Emc(n)}f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}n=a&-2;a=n;if((n|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(n);f[c>>2]=0;return}function A9a(a){a=a|0;z9a(a);Emc(a);return}function B9a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function C9a(a,b){a=a|0;b=b|0;a=Bmc(368)|0;zbb(a);if(!b)return a|0;Abb(b,a);return a|0}function D9a(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+20|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+28>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;i=h+11|0;if((b[i>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0}else{b[h>>0]=0;b[i>>0]=0}}while((g|0)!=(d|0));f[c>>2]=0}c=a+36|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+44>>2]|0;e=0;do{i=f[g+4+(e<<2)>>2]|0;e=e+1|0;h=i+11|0;if((b[h>>0]|0)<0){b[f[i>>2]>>0]=0;f[i+4>>2]=0}else{b[i>>0]=0;b[h>>0]=0}}while((e|0)!=(d|0));f[c>>2]=0}f[a+48>>2]=0;c=a+64|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+72>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((g|0)!=(d|0));f[c>>2]=0}c=a+80|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+88>>2]|0;e=0;do{h=f[g+4+(e<<2)>>2]|0;e=e+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((e|0)!=(d|0));f[c>>2]=0}c=a+96|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+104>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((g|0)!=(d|0));f[c>>2]=0}c=a+112|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+120>>2]|0;e=0;do{h=f[g+4+(e<<2)>>2]|0;e=e+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((e|0)!=(d|0));f[c>>2]=0}f[a+124>>2]=0;c=a+8|0;d=f[c>>2]|0;if(d&255|0){do if(d&1|0){e=f[a+136>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&2|0){g=f[a+140>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);if(d&4|0){e=f[a+144>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&8|0){e=f[a+148>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&16|0){e=f[a+152>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&32|0){e=f[a+156>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&64|0){e=f[a+160>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&128|0){e=f[a+164>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}}if(d&65280|0){if(d&256|0){e=f[a+168>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&512|0){e=f[a+172>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&1024|0){e=f[a+176>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&2048|0){e=f[a+180>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&4096|0){e=f[a+184>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&8192|0){e=f[a+188>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&16384|0){e=f[a+192>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&32768|0){e=f[a+196>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}}if(d&16711680|0){if(d&65536|0){e=f[a+200>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&131072|0){e=f[a+204>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&262144|0){e=f[a+208>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&524288|0){e=f[a+212>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&1048576|0){e=f[a+216>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&2097152|0){e=f[a+220>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&4194304|0){e=f[a+224>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&8388608|0){e=f[a+228>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}}if(d>>>0>16777215){if(d&16777216|0){e=f[a+232>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&33554432|0){e=f[a+236>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&67108864|0){e=f[a+240>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&134217728|0){e=f[a+244>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&268435456|0){e=f[a+248>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&536870912|0){e=f[a+252>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&1073741824|0){e=f[a+256>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if((d|0)<0){d=f[a+260>>2]|0;ai[f[(f[d>>2]|0)+28>>2]&2047](d)}}d=f[a+12>>2]|0;if(d&255|0){if(d&1|0){e=f[a+264>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&2|0){e=f[a+268>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&4|0){e=f[a+272>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&8|0){e=f[a+276>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&16|0){e=f[a+280>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&32|0){e=f[a+284>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&64|0){e=f[a+288>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&128|0){e=f[a+292>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}}do if(d&65280|0){if(d&256|0){e=f[a+296>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&512|0){e=f[a+300>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&1024|0){e=f[a+304>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&2048|0){e=f[a+308>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&4096|0){e=f[a+312>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&8192|0){e=f[a+316>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&16384|0){e=f[a+320>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(!(d&32768))break;e=f[a+324>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}while(0);do if(d&16711680|0){if(d&65536|0){e=f[a+328>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&131072|0){e=f[a+332>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&262144|0){e=f[a+336>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&524288|0){e=f[a+340>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&1048576|0){e=f[a+344>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&2097152|0){e=f[a+348>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&4194304|0){e=f[a+352>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(!(d&8388608))break;e=f[a+356>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}while(0);f[a+360>>2]=0;d=c;f[d>>2]=0;f[d+4>>2]=0;d=f[a+4>>2]|0;if(!(d&1))return;a=d&-2;if(!(f[a>>2]|0))return;L3b(a);return}function E9a(a){a=a|0;var b=0,c=0;if(f[a+12>>2]&4194304|0?(b=f[a+352>>2]|0,!(ci[f[(f[b>>2]|0)+32>>2]&1023](b)|0)):0){c=0;return c|0}c=1;return c|0}function F9a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0,Zd=0,_d=0,$d=0,ae=0,be=0,ce=0,de=0,ee=0,fe=0,ge=0,he=0,ie=0,je=0,ke=0,le=0,me=0,ne=0,oe=0,pe=0,qe=0,re=0,se=0,te=0,ue=0,ve=0,we=0,xe=0,ye=0,ze=0,Ae=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+136|0;k=a+140|0;l=a+16|0;m=a+32|0;n=a+48|0;o=a+52|0;p=a+56|0;q=a+60|0;r=a+72|0;s=a+68|0;t=a+64|0;v=e+4|0;w=a+76|0;x=e+4|0;y=a+92|0;z=e+4|0;A=a+108|0;B=e+4|0;C=a+12|0;D=a+360|0;E=a+4|0;F=a+124|0;G=a+128|0;H=a+132|0;I=e+8|0;K=e+8|0;L=a+144|0;M=e+4|0;N=a+148|0;O=e+4|0;P=a+152|0;Q=e+4|0;R=a+156|0;S=e+4|0;T=a+160|0;U=e+4|0;V=a+164|0;W=e+4|0;X=a+168|0;Y=e+4|0;Z=a+172|0;_=e+4|0;$=a+176|0;aa=e+4|0;ba=a+180|0;ca=e+4|0;da=a+184|0;ea=e+4|0;fa=a+188|0;ga=e+4|0;ha=a+192|0;ia=e+4|0;ja=a+196|0;ka=e+4|0;la=a+200|0;ma=e+4|0;na=a+204|0;oa=e+4|0;pa=a+208|0;qa=e+4|0;ra=a+212|0;sa=e+4|0;ta=a+216|0;ua=e+4|0;va=a+220|0;wa=e+4|0;xa=a+224|0;ya=e+4|0;za=a+228|0;Aa=e+4|0;Ba=a+232|0;Ca=e+4|0;Da=a+236|0;Ea=e+4|0;Fa=a+240|0;Ga=e+4|0;Ha=a+244|0;Ia=e+4|0;Ja=a+248|0;Ka=e+4|0;La=a+252|0;Ma=e+4|0;Na=a+256|0;Oa=e+4|0;Pa=a+260|0;Qa=e+4|0;Ra=a+264|0;Sa=e+4|0;Ta=a+268|0;Ua=e+4|0;Va=a+272|0;Wa=e+4|0;Xa=a+276|0;Ya=e+4|0;Za=a+280|0;_a=e+4|0;$a=a+284|0;ab=e+4|0;bb=a+288|0;cb=e+4|0;db=a+292|0;eb=e+4|0;fb=a+296|0;gb=e+4|0;hb=a+300|0;ib=e+4|0;jb=a+304|0;kb=e+4|0;lb=a+308|0;mb=e+4|0;nb=a+312|0;ob=e+4|0;pb=a+316|0;qb=e+4|0;rb=a+320|0;sb=e+4|0;tb=a+324|0;ub=e+4|0;vb=a+328|0;wb=e+4|0;xb=a+332|0;yb=e+4|0;zb=a+336|0;Ab=e+4|0;Bb=a+340|0;Cb=e+4|0;Db=a+344|0;Eb=e+4|0;Fb=a+348|0;Gb=e+4|0;Hb=a+352|0;Ib=e+4|0;Jb=a+356|0;a=e+4|0;a:while(1){Kb=f[c>>2]|0;Lb=f[g>>2]|0;do if(Kb>>>0<Lb>>>0){Mb=b[Kb>>0]|0;Nb=Mb&255;Ob=Kb+1|0;if(Mb<<24>>24>0){Pb=Ob;Qb=Nb}else{if(Ob>>>0>=Lb>>>0){Rb=Nb;Sb=7;break}Mb=h[Ob>>0]|0;if(((Mb^128)&Nb)>>>0<=127){Rb=Nb;Sb=7;break}Pb=Kb+2|0;Qb=Nb+-128+(Mb<<7)|0}f[c>>2]=Pb;Tb=Qb;Sb=9}else{Rb=0;Sb=7}while(0);if((Sb|0)==7){Sb=0;Kb=xCb(c,Rb)|0;if((Kb+-1|0)>>>0<66133690){Tb=Kb;Sb=9}else Ub=Kb}b:do if((Sb|0)==9){Sb=0;Kb=Tb>>>3&536870911;if((Kb|0)<121)do switch(Kb|0){case 1:{if((Tb&255|0)!=10){Ub=Tb;break b}f[i>>2]=f[i>>2]|1;Lb=f[j>>2]|0;if((Lb|0)==535416){aFa(j,535416);Vb=f[j>>2]|0}else Vb=Lb;if(HEb(c,Vb)|0)continue a;else{Wb=0;Sb=714;break a}break}case 2:{if((Tb&255|0)!=18){Ub=Tb;break b}f[i>>2]=f[i>>2]|2;Lb=f[k>>2]|0;if((Lb|0)==535416){aFa(k,535416);Xb=f[k>>2]|0}else Xb=Lb;if(HEb(c,Xb)|0)continue a;else{Wb=0;Sb=714;break a}break}case 3:{if((Tb&255|0)!=26){Ub=Tb;break b}if(HEb(c,dFa(l)|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 4:{if((Tb&255|0)!=34){Ub=Tb;break b}if(HEb(c,dFa(m)|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 5:{switch((Tb&255)<<24>>24){case 45:break;case 42:{if(XSa(c,n)|0)continue a;else{Wb=0;Sb=714;break a}break}default:{Ub=Tb;break b}}Lb=f[c>>2]|0;if(((f[g>>2]|0)-Lb|0)>3){Mb=Lb;Nb=h[Mb>>0]|h[Mb+1>>0]<<8|h[Mb+2>>0]<<16|h[Mb+3>>0]<<24;f[e>>2]=Nb;f[c>>2]=Lb+4;Yb=Nb}else{if(!(uCb(c,e)|0)){Sb=37;break a}Yb=f[e>>2]|0}Nb=f[n>>2]|0;if((Nb|0)==(f[o>>2]|0)){aEa(n,Nb+1|0);Zb=f[n>>2]|0}else Zb=Nb;Nb=f[p>>2]|0;Lb=Zb+1|0;f[n>>2]=Lb;f[Nb+4+(Zb<<2)>>2]=Yb;Mb=f[c>>2]|0;Ob=(f[g>>2]|0)-Mb|0;if((Ob|0)<=0)continue a;_b=Mb;Mb=(f[o>>2]|0)-Lb|0;$b=(Ob>>>0)/5|0;ac=($b|0)<(Mb|0)?$b:Mb;if((ac|0)>0){bc=0;cc=_b;dc=Lb}else continue a;while(1){if((b[cc>>0]|0)!=45){ec=bc;break}Lb=cc+1|0;Mb=h[Lb>>0]|h[Lb+1>>0]<<8|h[Lb+2>>0]<<16|h[Lb+3>>0]<<24;Lb=dc;dc=dc+1|0;f[n>>2]=dc;f[Nb+4+(Lb<<2)>>2]=Mb;Mb=bc+1|0;if((Mb|0)>=(ac|0)){ec=Mb;break}else{bc=Mb;cc=cc+5|0}}ac=ec*5|0;if((ec|0)<=0)continue a;if((Ob|0)<(ac|0)){qCb(c,ac,Ob)|0;continue a}else{f[c>>2]=_b+ac;continue a}break}case 6:{if((Tb&255|0)!=50){Ub=Tb;break b}ac=f[r>>2]|0;do if(ac){Nb=f[t>>2]|0;Mb=f[ac>>2]|0;if((Nb|0)>=(Mb|0))if((Mb|0)==(f[s>>2]|0)){fc=Mb;Sb=45;break}else{gc=Mb;hc=ac;Sb=46;break}else{f[t>>2]=Nb+1;ic=f[ac+4+(Nb<<2)>>2]|0;break}}else{fc=f[s>>2]|0;Sb=45}while(0);if((Sb|0)==45){Sb=0;uDb(q,fc+1|0);ac=f[r>>2]|0;gc=f[ac>>2]|0;hc=ac;Sb=46}if((Sb|0)==46){Sb=0;f[hc>>2]=gc+1;ac=f[q>>2]|0;if(!ac){_b=Bmc(32)|0;fbb(_b);jc=_b}else{if(f[ac+64>>2]|0)pBb(ac,20296,32);_b=oBb(ac,32,1639)|0;fbb(_b);jc=_b}_b=f[r>>2]|0;ac=f[t>>2]|0;f[t>>2]=ac+1;f[_b+4+(ac<<2)>>2]=jc;ic=jc}ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;kc=_b&255}else{_b=wCb(c)|0;if((_b|0)>-1)kc=_b;else{Wb=0;Sb=714;break a}}hCb(e,c,kc);if((f[v>>2]|0)<0){Sb=58;break a}if(!(Sh[f[(f[ic>>2]|0)+44>>2]&511](ic,c)|0)){Sb=58;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 7:{if((Tb&255|0)!=58){Ub=Tb;break b}_b=WUa(w)|0;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(Ob=b[ac>>0]|0,Ob<<24>>24>-1):0){f[c>>2]=ac+1;lc=Ob&255}else{Ob=wCb(c)|0;if((Ob|0)>-1)lc=Ob;else{Wb=0;Sb=714;break a}}hCb(e,c,lc);if((f[x>>2]|0)<0){Sb=67;break a}if(!(Sh[f[(f[_b>>2]|0)+44>>2]&511](_b,c)|0)){Sb=67;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 8:{if((Tb&255|0)!=66){Ub=Tb;break b}_b=yFa(y)|0;Ob=f[c>>2]|0;if(Ob>>>0<(f[g>>2]|0)>>>0?(ac=b[Ob>>0]|0,ac<<24>>24>-1):0){f[c>>2]=Ob+1;mc=ac&255}else{ac=wCb(c)|0;if((ac|0)>-1)mc=ac;else{Wb=0;Sb=714;break a}}hCb(e,c,mc);if((f[z>>2]|0)<0){Sb=76;break a}if(!(Sh[f[(f[_b>>2]|0)+44>>2]&511](_b,c)|0)){Sb=76;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 9:{if((Tb&255|0)!=74){Ub=Tb;break b}_b=yFa(A)|0;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(Ob=b[ac>>0]|0,Ob<<24>>24>-1):0){f[c>>2]=ac+1;nc=Ob&255}else{Ob=wCb(c)|0;if((Ob|0)>-1)nc=Ob;else{Wb=0;Sb=714;break a}}hCb(e,c,nc);if((f[B>>2]|0)<0){Sb=85;break a}if(!(Sh[f[(f[_b>>2]|0)+44>>2]&511](_b,c)|0)){Sb=85;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 10:{if((Tb&255|0)!=80){Ub=Tb;break b}_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0){Ob=b[_b>>0]|0;ac=Ob&255;if(Ob<<24>>24>-1){f[c>>2]=_b+1;oc=ac}else{pc=ac;Sb=91}}else{pc=0;Sb=91}if((Sb|0)==91){Sb=0;ac=iCb(c,pc)|0;_b=J;if((_b|0)>-1|(_b|0)==-1&ac>>>0>4294967295)oc=ac;else{Wb=0;Sb=714;break a}}if(oc>>>0<2){f[C>>2]=f[C>>2]|16777216;f[D>>2]=oc;continue a}ac=f[E>>2]|0;if(!(ac&1))qc=AHa(E)|0;else qc=ac&-2;R3b(qc,10,oc,((oc|0)<0)<<31>>31);continue a;break}case 11:{switch((Tb&255)<<24>>24){case 88:break;case 90:{if(ybb(c,F)|0)continue a;else{Wb=0;Sb=714;break a}break}default:{Ub=Tb;break b}}ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;rc=_b<<24>>24!=0}else{jCb(e,c);_b=e;if(!(b[K>>0]|0)){Wb=0;Sb=714;break a}else rc=(f[_b>>2]|0)!=0|(f[_b+4>>2]|0)!=0}_b=f[F>>2]|0;ac=f[G>>2]|0;if((_b|0)==(ac|0)){aJa(F,_b+1|0);sc=f[F>>2]|0;tc=f[G>>2]|0}else{sc=_b;tc=ac}ac=f[H>>2]|0;_b=sc+1|0;f[F>>2]=_b;b[ac+4+sc>>0]=rc&1;Ob=tc-_b|0;if((Ob|0)>0){uc=Ob;vc=_b;wc=ac}else continue a;while(1){ac=f[c>>2]|0;_b=f[g>>2]|0;if(ac>>>0>=_b>>>0)continue a;if((b[ac>>0]|0)!=88)continue a;Ob=ac+1|0;f[c>>2]=Ob;if(Ob>>>0<_b>>>0?(_b=b[Ob>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+2;xc=_b<<24>>24!=0;yc=vc;zc=wc}else{jCb(e,c);_b=e;if(!(b[I>>0]|0)){Wb=0;Sb=714;break a}xc=(f[_b>>2]|0)!=0|(f[_b+4>>2]|0)!=0;yc=f[F>>2]|0;zc=f[H>>2]|0}_b=yc+1|0;f[F>>2]=_b;b[zc+4+yc>>0]=xc&1;if((uc|0)>1){uc=uc+-1|0;vc=_b;wc=zc}else continue a}break}case 100:{if((Tb&255|0)!=34){Ub=Tb;break b}f[i>>2]=f[i>>2]|4;_b=f[L>>2]|0;if(!_b){ac=Bmc(44)|0;nWa(ac);f[L>>2]=ac;Ac=ac}else Ac=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;Bc=ac&255}else{ac=wCb(c)|0;if((ac|0)>-1)Bc=ac;else{Wb=0;Sb=714;break a}}hCb(e,c,Bc);if((f[M>>2]|0)<0){Sb=124;break a}if(!(Sh[f[(f[Ac>>2]|0)+44>>2]&511](Ac,c)|0)){Sb=124;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 101:{if((Tb&255|0)!=42){Ub=Tb;break b}f[i>>2]=f[i>>2]|8;ac=f[N>>2]|0;if(!ac){_b=Bmc(28)|0;uWa(_b);f[N>>2]=_b;Cc=_b}else Cc=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;Dc=_b&255}else{_b=wCb(c)|0;if((_b|0)>-1)Dc=_b;else{Wb=0;Sb=714;break a}}hCb(e,c,Dc);if((f[O>>2]|0)<0){Sb=135;break a}if(!(Sh[f[(f[Cc>>2]|0)+44>>2]&511](Cc,c)|0)){Sb=135;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 102:{if((Tb&255|0)!=50){Ub=Tb;break b}f[i>>2]=f[i>>2]|16;_b=f[P>>2]|0;if(!_b){ac=Bmc(28)|0;hWa(ac);f[P>>2]=ac;Ec=ac}else Ec=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;Fc=ac&255}else{ac=wCb(c)|0;if((ac|0)>-1)Fc=ac;else{Wb=0;Sb=714;break a}}hCb(e,c,Fc);if((f[Q>>2]|0)<0){Sb=146;break a}if(!(Sh[f[(f[Ec>>2]|0)+44>>2]&511](Ec,c)|0)){Sb=146;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 103:{if((Tb&255|0)!=58){Ub=Tb;break b}f[i>>2]=f[i>>2]|32;ac=f[R>>2]|0;if(!ac){_b=Bmc(28)|0;bWa(_b);f[R>>2]=_b;Gc=_b}else Gc=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;Hc=_b&255}else{_b=wCb(c)|0;if((_b|0)>-1)Hc=_b;else{Wb=0;Sb=714;break a}}hCb(e,c,Hc);if((f[S>>2]|0)<0){Sb=157;break a}if(!(Sh[f[(f[Gc>>2]|0)+44>>2]&511](Gc,c)|0)){Sb=157;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 104:{if((Tb&255|0)!=66){Ub=Tb;break b}f[i>>2]=f[i>>2]|64;_b=f[T>>2]|0;if(!_b){ac=Bmc(24)|0;IVa(ac);f[T>>2]=ac;Ic=ac}else Ic=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;Jc=ac&255}else{ac=wCb(c)|0;if((ac|0)>-1)Jc=ac;else{Wb=0;Sb=714;break a}}hCb(e,c,Jc);if((f[U>>2]|0)<0){Sb=168;break a}if(!(Sh[f[(f[Ic>>2]|0)+44>>2]&511](Ic,c)|0)){Sb=168;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 105:{if((Tb&255|0)!=74){Ub=Tb;break b}f[i>>2]=f[i>>2]|128;ac=f[V>>2]|0;if(!ac){_b=Bmc(24)|0;sWa(_b);f[V>>2]=_b;Kc=_b}else Kc=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;Lc=_b&255}else{_b=wCb(c)|0;if((_b|0)>-1)Lc=_b;else{Wb=0;Sb=714;break a}}hCb(e,c,Lc);if((f[W>>2]|0)<0){Sb=179;break a}if(!(Sh[f[(f[Kc>>2]|0)+44>>2]&511](Kc,c)|0)){Sb=179;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 106:{if((Tb&255|0)!=82){Ub=Tb;break b}f[i>>2]=f[i>>2]|256;_b=f[X>>2]|0;if(!_b){ac=Bmc(120)|0;JVa(ac);f[X>>2]=ac;Mc=ac}else Mc=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;Nc=ac&255}else{ac=wCb(c)|0;if((ac|0)>-1)Nc=ac;else{Wb=0;Sb=714;break a}}hCb(e,c,Nc);if((f[Y>>2]|0)<0){Sb=190;break a}if(!(Sh[f[(f[Mc>>2]|0)+44>>2]&511](Mc,c)|0)){Sb=190;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 107:{if((Tb&255|0)!=90){Ub=Tb;break b}f[i>>2]=f[i>>2]|512;ac=f[Z>>2]|0;if(!ac){_b=Bmc(52)|0;LVa(_b);f[Z>>2]=_b;Oc=_b}else Oc=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;Pc=_b&255}else{_b=wCb(c)|0;if((_b|0)>-1)Pc=_b;else{Wb=0;Sb=714;break a}}hCb(e,c,Pc);if((f[_>>2]|0)<0){Sb=201;break a}if(!(Sh[f[(f[Oc>>2]|0)+44>>2]&511](Oc,c)|0)){Sb=201;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 108:{if((Tb&255|0)!=98){Ub=Tb;break b}f[i>>2]=f[i>>2]|1024;_b=f[$>>2]|0;if(!_b){ac=Bmc(24)|0;NVa(ac);f[$>>2]=ac;Qc=ac}else Qc=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;Rc=ac&255}else{ac=wCb(c)|0;if((ac|0)>-1)Rc=ac;else{Wb=0;Sb=714;break a}}hCb(e,c,Rc);if((f[aa>>2]|0)<0){Sb=212;break a}if(!(Sh[f[(f[Qc>>2]|0)+44>>2]&511](Qc,c)|0)){Sb=212;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 109:{if((Tb&255|0)!=106){Ub=Tb;break b}f[i>>2]=f[i>>2]|2048;ac=f[ba>>2]|0;if(!ac){_b=Bmc(96)|0;fWa(_b);f[ba>>2]=_b;Sc=_b}else Sc=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;Tc=_b&255}else{_b=wCb(c)|0;if((_b|0)>-1)Tc=_b;else{Wb=0;Sb=714;break a}}hCb(e,c,Tc);if((f[ca>>2]|0)<0){Sb=223;break a}if(!(Sh[f[(f[Sc>>2]|0)+44>>2]&511](Sc,c)|0)){Sb=223;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 110:{if((Tb&255|0)!=114){Ub=Tb;break b}f[i>>2]=f[i>>2]|4096;_b=f[da>>2]|0;if(!_b){ac=Bmc(36)|0;cWa(ac);f[da>>2]=ac;Uc=ac}else Uc=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;Vc=ac&255}else{ac=wCb(c)|0;if((ac|0)>-1)Vc=ac;else{Wb=0;Sb=714;break a}}hCb(e,c,Vc);if((f[ea>>2]|0)<0){Sb=234;break a}if(!(Sh[f[(f[Uc>>2]|0)+44>>2]&511](Uc,c)|0)){Sb=234;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 111:{if((Tb&255|0)!=122){Ub=Tb;break b}f[i>>2]=f[i>>2]|8192;ac=f[fa>>2]|0;if(!ac){_b=Bmc(28)|0;tWa(_b);f[fa>>2]=_b;Wc=_b}else Wc=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;Xc=_b&255}else{_b=wCb(c)|0;if((_b|0)>-1)Xc=_b;else{Wb=0;Sb=714;break a}}hCb(e,c,Xc);if((f[ga>>2]|0)<0){Sb=245;break a}if(!(Sh[f[(f[Wc>>2]|0)+44>>2]&511](Wc,c)|0)){Sb=245;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 112:{if((Tb&255|0)!=130){Ub=Tb;break b}f[i>>2]=f[i>>2]|16384;_b=f[ha>>2]|0;if(!_b){ac=Bmc(28)|0;OVa(ac);f[ha>>2]=ac;Yc=ac}else Yc=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;Zc=ac&255}else{ac=wCb(c)|0;if((ac|0)>-1)Zc=ac;else{Wb=0;Sb=714;break a}}hCb(e,c,Zc);if((f[ia>>2]|0)<0){Sb=256;break a}if(!(Sh[f[(f[Yc>>2]|0)+44>>2]&511](Yc,c)|0)){Sb=256;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 113:{if((Tb&255|0)!=138){Ub=Tb;break b}f[i>>2]=f[i>>2]|32768;ac=f[ja>>2]|0;if(!ac){_b=Bmc(20)|0;FUa(_b);f[ja>>2]=_b;_c=_b}else _c=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;$c=_b&255}else{_b=wCb(c)|0;if((_b|0)>-1)$c=_b;else{Wb=0;Sb=714;break a}}hCb(e,c,$c);if((f[ka>>2]|0)<0){Sb=267;break a}if(!(Sh[f[(f[_c>>2]|0)+44>>2]&511](_c,c)|0)){Sb=267;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 114:{if((Tb&255|0)!=146){Ub=Tb;break b}f[i>>2]=f[i>>2]|65536;_b=f[la>>2]|0;if(!_b){ac=Bmc(20)|0;iWa(ac);f[la>>2]=ac;ad=ac}else ad=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;bd=ac&255}else{ac=wCb(c)|0;if((ac|0)>-1)bd=ac;else{Wb=0;Sb=714;break a}}hCb(e,c,bd);if((f[ma>>2]|0)<0){Sb=278;break a}if(!(Sh[f[(f[ad>>2]|0)+44>>2]&511](ad,c)|0)){Sb=278;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 115:{if((Tb&255|0)!=154){Ub=Tb;break b}f[i>>2]=f[i>>2]|131072;ac=f[na>>2]|0;if(!ac){_b=Bmc(60)|0;QVa(_b);f[na>>2]=_b;cd=_b}else cd=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;dd=_b&255}else{_b=wCb(c)|0;if((_b|0)>-1)dd=_b;else{Wb=0;Sb=714;break a}}hCb(e,c,dd);if((f[oa>>2]|0)<0){Sb=289;break a}if(!(Sh[f[(f[cd>>2]|0)+44>>2]&511](cd,c)|0)){Sb=289;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 116:{if((Tb&255|0)!=162){Ub=Tb;break b}f[i>>2]=f[i>>2]|262144;_b=f[pa>>2]|0;if(!_b){ac=Bmc(20)|0;SVa(ac);f[pa>>2]=ac;ed=ac}else ed=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;fd=ac&255}else{ac=wCb(c)|0;if((ac|0)>-1)fd=ac;else{Wb=0;Sb=714;break a}}hCb(e,c,fd);if((f[qa>>2]|0)<0){Sb=300;break a}if(!(Sh[f[(f[ed>>2]|0)+44>>2]&511](ed,c)|0)){Sb=300;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 117:{if((Tb&255|0)!=170){Ub=Tb;break b}f[i>>2]=f[i>>2]|524288;ac=f[ra>>2]|0;if(!ac){_b=Bmc(36)|0;TVa(_b);f[ra>>2]=_b;gd=_b}else gd=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;hd=_b&255}else{_b=wCb(c)|0;if((_b|0)>-1)hd=_b;else{Wb=0;Sb=714;break a}}hCb(e,c,hd);if((f[sa>>2]|0)<0){Sb=311;break a}if(!(Sh[f[(f[gd>>2]|0)+44>>2]&511](gd,c)|0)){Sb=311;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 118:{if((Tb&255|0)!=178){Ub=Tb;break b}f[i>>2]=f[i>>2]|1048576;_b=f[ta>>2]|0;if(!_b){ac=Bmc(40)|0;VVa(ac);f[ta>>2]=ac;id=ac}else id=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;jd=ac&255}else{ac=wCb(c)|0;if((ac|0)>-1)jd=ac;else{Wb=0;Sb=714;break a}}hCb(e,c,jd);if((f[ua>>2]|0)<0){Sb=322;break a}if(!(Sh[f[(f[id>>2]|0)+44>>2]&511](id,c)|0)){Sb=322;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 119:{if((Tb&255|0)!=186){Ub=Tb;break b}f[i>>2]=f[i>>2]|2097152;ac=f[va>>2]|0;if(!ac){_b=Bmc(32)|0;aWa(_b);f[va>>2]=_b;kd=_b}else kd=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;ld=_b&255}else{_b=wCb(c)|0;if((_b|0)>-1)ld=_b;else{Wb=0;Sb=714;break a}}hCb(e,c,ld);if((f[wa>>2]|0)<0){Sb=333;break a}if(!(Sh[f[(f[kd>>2]|0)+44>>2]&511](kd,c)|0)){Sb=333;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 120:{if((Tb&255|0)!=194){Ub=Tb;break b}f[i>>2]=f[i>>2]|4194304;_b=f[xa>>2]|0;if(!_b){ac=Bmc(24)|0;mWa(ac);f[xa>>2]=ac;md=ac}else md=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;nd=ac&255}else{ac=wCb(c)|0;if((ac|0)>-1)nd=ac;else{Wb=0;Sb=714;break a}}hCb(e,c,nd);if((f[ya>>2]|0)<0){Sb=344;break a}if(!(Sh[f[(f[md>>2]|0)+44>>2]&511](md,c)|0)){Sb=344;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}default:{Ub=Tb;break b}}while(0);if((Kb|0)<137)do switch(Kb|0){case 121:{if((Tb&255|0)!=202){Ub=Tb;break b}f[i>>2]=f[i>>2]|8388608;ac=f[za>>2]|0;if(!ac){_b=Bmc(68)|0;XVa(_b);f[za>>2]=_b;od=_b}else od=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;pd=_b&255}else{_b=wCb(c)|0;if((_b|0)>-1)pd=_b;else{Wb=0;Sb=714;break a}}hCb(e,c,pd);if((f[Aa>>2]|0)<0){Sb=355;break a}if(!(Sh[f[(f[od>>2]|0)+44>>2]&511](od,c)|0)){Sb=355;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 122:{if((Tb&255|0)!=210){Ub=Tb;break b}f[i>>2]=f[i>>2]|16777216;_b=f[Ba>>2]|0;if(!_b){ac=Bmc(28)|0;$Va(ac);f[Ba>>2]=ac;qd=ac}else qd=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;rd=ac&255}else{ac=wCb(c)|0;if((ac|0)>-1)rd=ac;else{Wb=0;Sb=714;break a}}hCb(e,c,rd);if((f[Ca>>2]|0)<0){Sb=366;break a}if(!(Sh[f[(f[qd>>2]|0)+44>>2]&511](qd,c)|0)){Sb=366;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 123:{if((Tb&255|0)!=218){Ub=Tb;break b}f[i>>2]=f[i>>2]|33554432;ac=f[Da>>2]|0;if(!ac){_b=Bmc(24)|0;jWa(_b);f[Da>>2]=_b;sd=_b}else sd=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;td=_b&255}else{_b=wCb(c)|0;if((_b|0)>-1)td=_b;else{Wb=0;Sb=714;break a}}hCb(e,c,td);if((f[Ea>>2]|0)<0){Sb=377;break a}if(!(Sh[f[(f[sd>>2]|0)+44>>2]&511](sd,c)|0)){Sb=377;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 124:{if((Tb&255|0)!=226){Ub=Tb;break b}f[i>>2]=f[i>>2]|67108864;_b=f[Fa>>2]|0;if(!_b){ac=Bmc(20)|0;qWa(ac);f[Fa>>2]=ac;ud=ac}else ud=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;vd=ac&255}else{ac=wCb(c)|0;if((ac|0)>-1)vd=ac;else{Wb=0;Sb=714;break a}}hCb(e,c,vd);if((f[Ga>>2]|0)<0){Sb=388;break a}if(!(Sh[f[(f[ud>>2]|0)+44>>2]&511](ud,c)|0)){Sb=388;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 125:{if((Tb&255|0)!=234){Ub=Tb;break b}f[i>>2]=f[i>>2]|134217728;ac=f[Ha>>2]|0;if(!ac){_b=Bmc(24)|0;rWa(_b);f[Ha>>2]=_b;wd=_b}else wd=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;xd=_b&255}else{_b=wCb(c)|0;if((_b|0)>-1)xd=_b;else{Wb=0;Sb=714;break a}}hCb(e,c,xd);if((f[Ia>>2]|0)<0){Sb=399;break a}if(!(Sh[f[(f[wd>>2]|0)+44>>2]&511](wd,c)|0)){Sb=399;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 126:{if((Tb&255|0)!=242){Ub=Tb;break b}f[i>>2]=f[i>>2]|268435456;_b=f[Ja>>2]|0;if(!_b){ac=Bmc(36)|0;kWa(ac);f[Ja>>2]=ac;yd=ac}else yd=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;zd=ac&255}else{ac=wCb(c)|0;if((ac|0)>-1)zd=ac;else{Wb=0;Sb=714;break a}}hCb(e,c,zd);if((f[Ka>>2]|0)<0){Sb=410;break a}if(!(Sh[f[(f[yd>>2]|0)+44>>2]&511](yd,c)|0)){Sb=410;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 127:{if((Tb&255|0)!=250){Ub=Tb;break b}f[i>>2]=f[i>>2]|536870912;ac=f[La>>2]|0;if(!ac){_b=Bmc(20)|0;pWa(_b);f[La>>2]=_b;Ad=_b}else Ad=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;Bd=_b&255}else{_b=wCb(c)|0;if((_b|0)>-1)Bd=_b;else{Wb=0;Sb=714;break a}}hCb(e,c,Bd);if((f[Ma>>2]|0)<0){Sb=421;break a}if(!(Sh[f[(f[Ad>>2]|0)+44>>2]&511](Ad,c)|0)){Sb=421;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 128:{if((Tb&255|0)!=2){Ub=Tb;break b}f[i>>2]=f[i>>2]|1073741824;_b=f[Na>>2]|0;if(!_b){ac=Bmc(20)|0;eWa(ac);f[Na>>2]=ac;Cd=ac}else Cd=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;Dd=ac&255}else{ac=wCb(c)|0;if((ac|0)>-1)Dd=ac;else{Wb=0;Sb=714;break a}}hCb(e,c,Dd);if((f[Oa>>2]|0)<0){Sb=432;break a}if(!(Sh[f[(f[Cd>>2]|0)+44>>2]&511](Cd,c)|0)){Sb=432;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 129:{if((Tb&255|0)!=10){Ub=Tb;break b}f[i>>2]=f[i>>2]|-2147483648;ac=f[Pa>>2]|0;if(!ac){_b=Bmc(64)|0;ZVa(_b);f[Pa>>2]=_b;Ed=_b}else Ed=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;Fd=_b&255}else{_b=wCb(c)|0;if((_b|0)>-1)Fd=_b;else{Wb=0;Sb=714;break a}}hCb(e,c,Fd);if((f[Qa>>2]|0)<0){Sb=443;break a}if(!(Sh[f[(f[Ed>>2]|0)+44>>2]&511](Ed,c)|0)){Sb=443;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 130:{if((Tb&255|0)!=18){Ub=Tb;break b}f[C>>2]=f[C>>2]|1;_b=f[Ra>>2]|0;if(!_b){ac=Bmc(32)|0;T5a(ac);f[Ra>>2]=ac;Gd=ac}else Gd=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;Hd=ac&255}else{ac=wCb(c)|0;if((ac|0)>-1)Hd=ac;else{Wb=0;Sb=714;break a}}hCb(e,c,Hd);if((f[Sa>>2]|0)<0){Sb=454;break a}if(!(Sh[f[(f[Gd>>2]|0)+44>>2]&511](Gd,c)|0)){Sb=454;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 131:{if((Tb&255|0)!=26){Ub=Tb;break b}f[C>>2]=f[C>>2]|2;ac=f[Ta>>2]|0;if(!ac){_b=Bmc(24)|0;nUa(_b);f[Ta>>2]=_b;Id=_b}else Id=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;Jd=_b&255}else{_b=wCb(c)|0;if((_b|0)>-1)Jd=_b;else{Wb=0;Sb=714;break a}}hCb(e,c,Jd);if((f[Ua>>2]|0)<0){Sb=465;break a}if(!(Sh[f[(f[Id>>2]|0)+44>>2]&511](Id,c)|0)){Sb=465;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 132:{if((Tb&255|0)!=34){Ub=Tb;break b}f[C>>2]=f[C>>2]|4;_b=f[Va>>2]|0;if(!_b){ac=Bmc(28)|0;V3a(ac);f[Va>>2]=ac;Kd=ac}else Kd=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;Ld=ac&255}else{ac=wCb(c)|0;if((ac|0)>-1)Ld=ac;else{Wb=0;Sb=714;break a}}hCb(e,c,Ld);if((f[Wa>>2]|0)<0){Sb=476;break a}if(!(Sh[f[(f[Kd>>2]|0)+44>>2]&511](Kd,c)|0)){Sb=476;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 133:{if((Tb&255|0)!=42){Ub=Tb;break b}f[C>>2]=f[C>>2]|8;ac=f[Xa>>2]|0;if(!ac){_b=Bmc(28)|0;U4a(_b);f[Xa>>2]=_b;Md=_b}else Md=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;Nd=_b&255}else{_b=wCb(c)|0;if((_b|0)>-1)Nd=_b;else{Wb=0;Sb=714;break a}}hCb(e,c,Nd);if((f[Ya>>2]|0)<0){Sb=487;break a}if(!(Sh[f[(f[Md>>2]|0)+44>>2]&511](Md,c)|0)){Sb=487;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 134:{if((Tb&255|0)!=50){Ub=Tb;break b}f[C>>2]=f[C>>2]|16;_b=f[Za>>2]|0;if(!_b){ac=Bmc(28)|0;B6a(ac);f[Za>>2]=ac;Od=ac}else Od=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;Pd=ac&255}else{ac=wCb(c)|0;if((ac|0)>-1)Pd=ac;else{Wb=0;Sb=714;break a}}hCb(e,c,Pd);if((f[_a>>2]|0)<0){Sb=498;break a}if(!(Sh[f[(f[Od>>2]|0)+44>>2]&511](Od,c)|0)){Sb=498;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 135:{if((Tb&255|0)!=58){Ub=Tb;break b}f[C>>2]=f[C>>2]|32;ac=f[$a>>2]|0;if(!ac){_b=Bmc(24)|0;h7a(_b);f[$a>>2]=_b;Qd=_b}else Qd=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;Rd=_b&255}else{_b=wCb(c)|0;if((_b|0)>-1)Rd=_b;else{Wb=0;Sb=714;break a}}hCb(e,c,Rd);if((f[ab>>2]|0)<0){Sb=509;break a}if(!(Sh[f[(f[Qd>>2]|0)+44>>2]&511](Qd,c)|0)){Sb=509;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 136:{if((Tb&255|0)!=66){Ub=Tb;break b}f[C>>2]=f[C>>2]|64;_b=f[bb>>2]|0;if(!_b){ac=Bmc(28)|0;j5a(ac);f[bb>>2]=ac;Sd=ac}else Sd=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;Td=ac&255}else{ac=wCb(c)|0;if((ac|0)>-1)Td=ac;else{Wb=0;Sb=714;break a}}hCb(e,c,Td);if((f[cb>>2]|0)<0){Sb=520;break a}if(!(Sh[f[(f[Sd>>2]|0)+44>>2]&511](Sd,c)|0)){Sb=520;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}default:{Ub=Tb;break b}}while(0);if((Kb|0)<145)switch(Kb|0){case 137:{if((Tb&255|0)!=74){Ub=Tb;break b}f[C>>2]=f[C>>2]|128;ac=f[db>>2]|0;if(!ac){_b=Bmc(36)|0;z7a(_b);f[db>>2]=_b;Ud=_b}else Ud=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;Vd=_b&255}else{_b=wCb(c)|0;if((_b|0)>-1)Vd=_b;else{Wb=0;Sb=714;break a}}hCb(e,c,Vd);if((f[eb>>2]|0)<0){Sb=531;break a}if(!(Sh[f[(f[Ud>>2]|0)+44>>2]&511](Ud,c)|0)){Sb=531;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 138:{if((Tb&255|0)!=82){Ub=Tb;break b}f[C>>2]=f[C>>2]|256;_b=f[fb>>2]|0;if(!_b){ac=Bmc(24)|0;k4a(ac);f[fb>>2]=ac;Wd=ac}else Wd=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;Xd=ac&255}else{ac=wCb(c)|0;if((ac|0)>-1)Xd=ac;else{Wb=0;Sb=714;break a}}hCb(e,c,Xd);if((f[gb>>2]|0)<0){Sb=542;break a}if(!(Sh[f[(f[Wd>>2]|0)+44>>2]&511](Wd,c)|0)){Sb=542;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 139:{if((Tb&255|0)!=90){Ub=Tb;break b}f[C>>2]=f[C>>2]|512;ac=f[hb>>2]|0;if(!ac){_b=Bmc(28)|0;x9a(_b);f[hb>>2]=_b;Yd=_b}else Yd=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;Zd=_b&255}else{_b=wCb(c)|0;if((_b|0)>-1)Zd=_b;else{Wb=0;Sb=714;break a}}hCb(e,c,Zd);if((f[ib>>2]|0)<0){Sb=553;break a}if(!(Sh[f[(f[Yd>>2]|0)+44>>2]&511](Yd,c)|0)){Sb=553;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 140:{if((Tb&255|0)!=98){Ub=Tb;break b}f[C>>2]=f[C>>2]|1024;_b=f[jb>>2]|0;if(!_b){ac=Bmc(20)|0;Q7a(ac);f[jb>>2]=ac;_d=ac}else _d=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;$d=ac&255}else{ac=wCb(c)|0;if((ac|0)>-1)$d=ac;else{Wb=0;Sb=714;break a}}hCb(e,c,$d);if((f[kb>>2]|0)<0){Sb=564;break a}if(!(Sh[f[(f[_d>>2]|0)+44>>2]&511](_d,c)|0)){Sb=564;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 141:{if((Tb&255|0)!=106){Ub=Tb;break b}f[C>>2]=f[C>>2]|2048;ac=f[lb>>2]|0;if(!ac){_b=Bmc(28)|0;g9a(_b);f[lb>>2]=_b;ae=_b}else ae=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;be=_b&255}else{_b=wCb(c)|0;if((_b|0)>-1)be=_b;else{Wb=0;Sb=714;break a}}hCb(e,c,be);if((f[mb>>2]|0)<0){Sb=575;break a}if(!(Sh[f[(f[ae>>2]|0)+44>>2]&511](ae,c)|0)){Sb=575;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 142:{if((Tb&255|0)!=114){Ub=Tb;break b}f[C>>2]=f[C>>2]|4096;_b=f[nb>>2]|0;if(!_b){ac=Bmc(36)|0;C4a(ac);f[nb>>2]=ac;ce=ac}else ce=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;de=ac&255}else{ac=wCb(c)|0;if((ac|0)>-1)de=ac;else{Wb=0;Sb=714;break a}}hCb(e,c,de);if((f[ob>>2]|0)<0){Sb=586;break a}if(!(Sh[f[(f[ce>>2]|0)+44>>2]&511](ce,c)|0)){Sb=586;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 143:{if((Tb&255|0)!=122){Ub=Tb;break b}f[C>>2]=f[C>>2]|8192;ac=f[pb>>2]|0;if(!ac){_b=Bmc(32)|0;S6a(_b);f[pb>>2]=_b;ee=_b}else ee=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;fe=_b&255}else{_b=wCb(c)|0;if((_b|0)>-1)fe=_b;else{Wb=0;Sb=714;break a}}hCb(e,c,fe);if((f[qb>>2]|0)<0){Sb=597;break a}if(!(Sh[f[(f[ee>>2]|0)+44>>2]&511](ee,c)|0)){Sb=597;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 144:{if((Tb&255|0)!=130){Ub=Tb;break b}f[C>>2]=f[C>>2]|16384;_b=f[rb>>2]|0;if(!_b){ac=Bmc(32)|0;Q8a(ac);f[rb>>2]=ac;ge=ac}else ge=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;he=ac&255}else{ac=wCb(c)|0;if((ac|0)>-1)he=ac;else{Wb=0;Sb=714;break a}}hCb(e,c,he);if((f[sb>>2]|0)<0){Sb=608;break a}if(!(Sh[f[(f[ge>>2]|0)+44>>2]&511](ge,c)|0)){Sb=608;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}default:{Ub=Tb;break b}}if((Kb|0)<149)switch(Kb|0){case 145:{if((Tb&255|0)!=138){Ub=Tb;break b}f[C>>2]=f[C>>2]|32768;ac=f[tb>>2]|0;if(!ac){_b=Bmc(20)|0;k6a(_b);f[tb>>2]=_b;ie=_b}else ie=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;je=_b&255}else{_b=wCb(c)|0;if((_b|0)>-1)je=_b;else{Wb=0;Sb=714;break a}}hCb(e,c,je);if((f[ub>>2]|0)<0){Sb=619;break a}if(!(Sh[f[(f[ie>>2]|0)+44>>2]&511](ie,c)|0)){Sb=619;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 146:{if((Tb&255|0)!=146){Ub=Tb;break b}f[C>>2]=f[C>>2]|65536;_b=f[vb>>2]|0;if(!_b){ac=Bmc(32)|0;B5a(ac);f[vb>>2]=ac;ke=ac}else ke=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;le=ac&255}else{ac=wCb(c)|0;if((ac|0)>-1)le=ac;else{Wb=0;Sb=714;break a}}hCb(e,c,le);if((f[wb>>2]|0)<0){Sb=630;break a}if(!(Sh[f[(f[ke>>2]|0)+44>>2]&511](ke,c)|0)){Sb=630;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 147:{if((Tb&255|0)!=154){Ub=Tb;break b}f[C>>2]=f[C>>2]|131072;ac=f[xb>>2]|0;if(!ac){_b=Bmc(52)|0;Q9a(_b);f[xb>>2]=_b;me=_b}else me=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;ne=_b&255}else{_b=wCb(c)|0;if((_b|0)>-1)ne=_b;else{Wb=0;Sb=714;break a}}hCb(e,c,ne);if((f[yb>>2]|0)<0){Sb=641;break a}if(!(Sh[f[(f[me>>2]|0)+44>>2]&511](me,c)|0)){Sb=641;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 148:{if((Tb&255|0)!=162){Ub=Tb;break b}f[C>>2]=f[C>>2]|262144;_b=f[zb>>2]|0;if(!_b){ac=Bmc(28)|0;S9a(ac);f[zb>>2]=ac;oe=ac}else oe=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;pe=ac&255}else{ac=wCb(c)|0;if((ac|0)>-1)pe=ac;else{Wb=0;Sb=714;break a}}hCb(e,c,pe);if((f[Ab>>2]|0)<0){Sb=652;break a}if(!(Sh[f[(f[oe>>2]|0)+44>>2]&511](oe,c)|0)){Sb=652;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}default:{Ub=Tb;break b}}if((Kb|0)<201)switch(Kb|0){case 149:{if((Tb&255|0)!=170){Ub=Tb;break b}f[C>>2]=f[C>>2]|524288;ac=f[Bb>>2]|0;if(!ac){_b=Bmc(28)|0;T9a(_b);f[Bb>>2]=_b;qe=_b}else qe=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;re=_b&255}else{_b=wCb(c)|0;if((_b|0)>-1)re=_b;else{Wb=0;Sb=714;break a}}hCb(e,c,re);if((f[Cb>>2]|0)<0){Sb=663;break a}if(!(Sh[f[(f[qe>>2]|0)+44>>2]&511](qe,c)|0)){Sb=663;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}case 150:{if((Tb&255|0)!=178){Ub=Tb;break b}f[C>>2]=f[C>>2]|1048576;_b=f[Db>>2]|0;if(!_b){ac=Bmc(128)|0;V9a(ac);f[Db>>2]=ac;se=ac}else se=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;te=ac&255}else{ac=wCb(c)|0;if((ac|0)>-1)te=ac;else{Wb=0;Sb=714;break a}}hCb(e,c,te);if((f[Eb>>2]|0)<0){Sb=674;break a}if(!(Sh[f[(f[se>>2]|0)+44>>2]&511](se,c)|0)){Sb=674;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}break}default:{Ub=Tb;break b}}if((Kb|0)<10002){switch(Kb|0){case 201:break;default:{Ub=Tb;break b}}if((Tb&255|0)!=74){Ub=Tb;break}f[C>>2]=f[C>>2]|2097152;ac=f[Fb>>2]|0;if(!ac){_b=Bmc(64)|0;YSa(_b);f[Fb>>2]=_b;ue=_b}else ue=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;ve=_b&255}else{_b=wCb(c)|0;if((_b|0)>-1)ve=_b;else{Wb=0;Sb=714;break a}}hCb(e,c,ve);if((f[Gb>>2]|0)<0){Sb=685;break a}if(!(Sh[f[(f[ue>>2]|0)+44>>2]&511](ue,c)|0)){Sb=685;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}}if((Kb|0)<8266711){switch(Kb|0){case 10002:break;default:{Ub=Tb;break b}}if((Tb&255|0)!=146){Ub=Tb;break}f[C>>2]=f[C>>2]|4194304;_b=f[Hb>>2]|0;if(!_b){ac=Bmc(28)|0;FSa(ac);f[Hb>>2]=ac;we=ac}else we=_b;_b=f[c>>2]|0;if(_b>>>0<(f[g>>2]|0)>>>0?(ac=b[_b>>0]|0,ac<<24>>24>-1):0){f[c>>2]=_b+1;xe=ac&255}else{ac=wCb(c)|0;if((ac|0)>-1)xe=ac;else{Wb=0;Sb=714;break a}}hCb(e,c,xe);if((f[Ib>>2]|0)<0){Sb=696;break a}if(!(Sh[f[(f[we>>2]|0)+44>>2]&511](we,c)|0)){Sb=696;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}}else{switch(Kb|0){case 8266711:break;default:{Ub=Tb;break b}}if((Tb&255|0)!=186){Ub=Tb;break}f[C>>2]=f[C>>2]|8388608;ac=f[Jb>>2]|0;if(!ac){_b=Bmc(28)|0;nTa(_b);f[Jb>>2]=_b;ye=_b}else ye=ac;ac=f[c>>2]|0;if(ac>>>0<(f[g>>2]|0)>>>0?(_b=b[ac>>0]|0,_b<<24>>24>-1):0){f[c>>2]=ac+1;ze=_b&255}else{_b=wCb(c)|0;if((_b|0)>-1)ze=_b;else{Wb=0;Sb=714;break a}}hCb(e,c,ze);if((f[a>>2]|0)<0){Sb=707;break a}if(!(Sh[f[(f[ye>>2]|0)+44>>2]&511](ye,c)|0)){Sb=707;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{Wb=0;Sb=714;break a}}}while(0);if(!Ub){Wb=1;Sb=714;break}_b=f[E>>2]|0;if(!(_b&1))Ae=AHa(E)|0;else Ae=_b&-2;if(!(b4b(c,Ub,Ae)|0)){Wb=0;Sb=714;break}}switch(Sb|0){case 37:{Wb=0;u=d;return Wb|0}case 58:{Wb=0;u=d;return Wb|0}case 67:{Wb=0;u=d;return Wb|0}case 76:{Wb=0;u=d;return Wb|0}case 85:{Wb=0;u=d;return Wb|0}case 124:{Wb=0;u=d;return Wb|0}case 135:{Wb=0;u=d;return Wb|0}case 146:{Wb=0;u=d;return Wb|0}case 157:{Wb=0;u=d;return Wb|0}case 168:{Wb=0;u=d;return Wb|0}case 179:{Wb=0;u=d;return Wb|0}case 190:{Wb=0;u=d;return Wb|0}case 201:{Wb=0;u=d;return Wb|0}case 212:{Wb=0;u=d;return Wb|0}case 223:{Wb=0;u=d;return Wb|0}case 234:{Wb=0;u=d;return Wb|0}case 245:{Wb=0;u=d;return Wb|0}case 256:{Wb=0;u=d;return Wb|0}case 267:{Wb=0;u=d;return Wb|0}case 278:{Wb=0;u=d;return Wb|0}case 289:{Wb=0;u=d;return Wb|0}case 300:{Wb=0;u=d;return Wb|0}case 311:{Wb=0;u=d;return Wb|0}case 322:{Wb=0;u=d;return Wb|0}case 333:{Wb=0;u=d;return Wb|0}case 344:{Wb=0;u=d;return Wb|0}case 355:{Wb=0;u=d;return Wb|0}case 366:{Wb=0;u=d;return Wb|0}case 377:{Wb=0;u=d;return Wb|0}case 388:{Wb=0;u=d;return Wb|0}case 399:{Wb=0;u=d;return Wb|0}case 410:{Wb=0;u=d;return Wb|0}case 421:{Wb=0;u=d;return Wb|0}case 432:{Wb=0;u=d;return Wb|0}case 443:{Wb=0;u=d;return Wb|0}case 454:{Wb=0;u=d;return Wb|0}case 465:{Wb=0;u=d;return Wb|0}case 476:{Wb=0;u=d;return Wb|0}case 487:{Wb=0;u=d;return Wb|0}case 498:{Wb=0;u=d;return Wb|0}case 509:{Wb=0;u=d;return Wb|0}case 520:{Wb=0;u=d;return Wb|0}case 531:{Wb=0;u=d;return Wb|0}case 542:{Wb=0;u=d;return Wb|0}case 553:{Wb=0;u=d;return Wb|0}case 564:{Wb=0;u=d;return Wb|0}case 575:{Wb=0;u=d;return Wb|0}case 586:{Wb=0;u=d;return Wb|0}case 597:{Wb=0;u=d;return Wb|0}case 608:{Wb=0;u=d;return Wb|0}case 619:{Wb=0;u=d;return Wb|0}case 630:{Wb=0;u=d;return Wb|0}case 641:{Wb=0;u=d;return Wb|0}case 652:{Wb=0;u=d;return Wb|0}case 663:{Wb=0;u=d;return Wb|0}case 674:{Wb=0;u=d;return Wb|0}case 685:{Wb=0;u=d;return Wb|0}case 696:{Wb=0;u=d;return Wb|0}case 707:{Wb=0;u=d;return Wb|0}case 714:{u=d;return Wb|0}}return 0}function G9a(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=f[a+20>>2]|0;e=c+d|0;if((c|0)>0){d=f[a+28>>2]|0;g=0;h=e;while(1){i=f[d+4+(g<<2)>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0?f[i+4>>2]|0:j&255;j=k+h+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=g+1|0;if((g|0)==(c|0)){l=j;break}else h=j}}else l=e;e=f[a+36>>2]|0;h=e+l|0;if((e|0)>0){l=f[a+44>>2]|0;c=0;g=h;while(1){d=f[l+4+(c<<2)>>2]|0;j=b[d+11>>0]|0;k=j<<24>>24<0?f[d+4>>2]|0:j&255;j=k+g+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;c=c+1|0;if((c|0)==(e|0)){m=j;break}else g=j}}else m=h;h=f[a+48>>2]|0;g=f[a+64>>2]|0;e=h+m+(h<<2)+g|0;if(!g)n=e;else{h=a+72|0;m=0;c=e;while(1){e=f[(f[h>>2]|0)+4+(m<<2)>>2]|0;l=ci[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=l+c+((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)|0;m=m+1|0;if((m|0)==(g|0)){n=e;break}else c=e}}c=f[a+80>>2]|0;g=c+n|0;if(!c)o=g;else{n=a+88|0;m=0;h=g;while(1){g=f[(f[n>>2]|0)+4+(m<<2)>>2]|0;e=ci[f[(f[g>>2]|0)+48>>2]&1023](g)|0;g=e+h+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0;m=m+1|0;if((m|0)==(c|0)){o=g;break}else h=g}}h=f[a+96>>2]|0;c=h+o|0;if(!h)p=c;else{o=a+104|0;m=0;n=c;while(1){c=f[(f[o>>2]|0)+4+(m<<2)>>2]|0;g=ci[f[(f[c>>2]|0)+48>>2]&1023](c)|0;c=g+n+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0;m=m+1|0;if((m|0)==(h|0)){p=c;break}else n=c}}n=f[a+112>>2]|0;h=n+p|0;if(!n)q=h;else{p=a+120|0;m=0;o=h;while(1){h=f[(f[p>>2]|0)+4+(m<<2)>>2]|0;c=ci[f[(f[h>>2]|0)+48>>2]&1023](h)|0;h=c+o+((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)|0;m=m+1|0;if((m|0)==(n|0)){q=h;break}else o=h}}o=(f[a+124>>2]<<1)+q|0;q=a+8|0;n=f[q>>2]|0;if(n&255){if(!(n&1))r=o;else{m=f[a+136>>2]|0;p=b[m+11>>0]|0;h=p<<24>>24<0?f[m+4>>2]|0:p&255;r=o+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(n&2))s=r;else{h=f[a+140>>2]|0;p=b[h+11>>0]|0;m=p<<24>>24<0?f[h+4>>2]|0:p&255;s=r+1+m+((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(n&4)){t=s;u=n}else{m=f[a+144>>2]|0;r=ci[f[(f[m>>2]|0)+48>>2]&1023](m)|0;m=s+2+r+((((($(r|1|0)|0)^31)*9|0)+73|0)>>>6)|0;t=m;u=f[q>>2]|0}if(!(u&8)){v=t;w=u}else{u=f[a+148>>2]|0;m=ci[f[(f[u>>2]|0)+48>>2]&1023](u)|0;u=t+2+m+((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)|0;v=u;w=f[q>>2]|0}if(!(w&16)){x=v;y=w}else{w=f[a+152>>2]|0;u=ci[f[(f[w>>2]|0)+48>>2]&1023](w)|0;w=v+2+u+((((($(u|1|0)|0)^31)*9|0)+73|0)>>>6)|0;x=w;y=f[q>>2]|0}if(!(y&32)){z=x;A=y}else{y=f[a+156>>2]|0;w=ci[f[(f[y>>2]|0)+48>>2]&1023](y)|0;y=x+2+w+((((($(w|1|0)|0)^31)*9|0)+73|0)>>>6)|0;z=y;A=f[q>>2]|0}if(!(A&64)){B=z;C=A}else{A=f[a+160>>2]|0;y=ci[f[(f[A>>2]|0)+48>>2]&1023](A)|0;A=z+2+y+((((($(y|1|0)|0)^31)*9|0)+73|0)>>>6)|0;B=A;C=f[q>>2]|0}if(!(C&128)){D=B;E=C}else{C=f[a+164>>2]|0;A=ci[f[(f[C>>2]|0)+48>>2]&1023](C)|0;C=B+2+A+((((($(A|1|0)|0)^31)*9|0)+73|0)>>>6)|0;D=C;E=f[q>>2]|0}}else{D=o;E=n}if(E&65280){if(!(E&256)){F=D;G=E}else{n=f[a+168>>2]|0;o=ci[f[(f[n>>2]|0)+48>>2]&1023](n)|0;n=D+2+o+((((($(o|1|0)|0)^31)*9|0)+73|0)>>>6)|0;F=n;G=f[q>>2]|0}if(!(G&512)){H=F;I=G}else{G=f[a+172>>2]|0;n=ci[f[(f[G>>2]|0)+48>>2]&1023](G)|0;G=F+2+n+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0;H=G;I=f[q>>2]|0}if(!(I&1024)){J=H;K=I}else{I=f[a+176>>2]|0;G=ci[f[(f[I>>2]|0)+48>>2]&1023](I)|0;I=H+2+G+((((($(G|1|0)|0)^31)*9|0)+73|0)>>>6)|0;J=I;K=f[q>>2]|0}if(!(K&2048)){L=J;M=K}else{K=f[a+180>>2]|0;I=ci[f[(f[K>>2]|0)+48>>2]&1023](K)|0;K=J+2+I+((((($(I|1|0)|0)^31)*9|0)+73|0)>>>6)|0;L=K;M=f[q>>2]|0}if(!(M&4096)){N=L;O=M}else{M=f[a+184>>2]|0;K=ci[f[(f[M>>2]|0)+48>>2]&1023](M)|0;M=L+2+K+((((($(K|1|0)|0)^31)*9|0)+73|0)>>>6)|0;N=M;O=f[q>>2]|0}if(!(O&8192)){P=N;Q=O}else{O=f[a+188>>2]|0;M=ci[f[(f[O>>2]|0)+48>>2]&1023](O)|0;O=N+2+M+((((($(M|1|0)|0)^31)*9|0)+73|0)>>>6)|0;P=O;Q=f[q>>2]|0}if(!(Q&16384)){R=P;S=Q}else{Q=f[a+192>>2]|0;O=ci[f[(f[Q>>2]|0)+48>>2]&1023](Q)|0;Q=P+2+O+((((($(O|1|0)|0)^31)*9|0)+73|0)>>>6)|0;R=Q;S=f[q>>2]|0}if(!(S&32768)){T=R;U=S}else{S=f[a+196>>2]|0;Q=ci[f[(f[S>>2]|0)+48>>2]&1023](S)|0;S=R+2+Q+((((($(Q|1|0)|0)^31)*9|0)+73|0)>>>6)|0;T=S;U=f[q>>2]|0}}else{T=D;U=E}if(U&16711680){if(!(U&65536)){V=T;W=U}else{E=f[a+200>>2]|0;D=ci[f[(f[E>>2]|0)+48>>2]&1023](E)|0;E=T+2+D+((((($(D|1|0)|0)^31)*9|0)+73|0)>>>6)|0;V=E;W=f[q>>2]|0}if(!(W&131072)){X=V;Y=W}else{W=f[a+204>>2]|0;E=ci[f[(f[W>>2]|0)+48>>2]&1023](W)|0;W=V+2+E+((((($(E|1|0)|0)^31)*9|0)+73|0)>>>6)|0;X=W;Y=f[q>>2]|0}if(!(Y&262144)){Z=X;_=Y}else{Y=f[a+208>>2]|0;W=ci[f[(f[Y>>2]|0)+48>>2]&1023](Y)|0;Y=X+2+W+((((($(W|1|0)|0)^31)*9|0)+73|0)>>>6)|0;Z=Y;_=f[q>>2]|0}if(!(_&524288)){aa=Z;ba=_}else{_=f[a+212>>2]|0;Y=ci[f[(f[_>>2]|0)+48>>2]&1023](_)|0;_=Z+2+Y+((((($(Y|1|0)|0)^31)*9|0)+73|0)>>>6)|0;aa=_;ba=f[q>>2]|0}if(!(ba&1048576)){ca=aa;da=ba}else{ba=f[a+216>>2]|0;_=ci[f[(f[ba>>2]|0)+48>>2]&1023](ba)|0;ba=aa+2+_+((((($(_|1|0)|0)^31)*9|0)+73|0)>>>6)|0;ca=ba;da=f[q>>2]|0}if(!(da&2097152)){ea=ca;fa=da}else{da=f[a+220>>2]|0;ba=ci[f[(f[da>>2]|0)+48>>2]&1023](da)|0;da=ca+2+ba+((((($(ba|1|0)|0)^31)*9|0)+73|0)>>>6)|0;ea=da;fa=f[q>>2]|0}if(!(fa&4194304)){ga=ea;ha=fa}else{fa=f[a+224>>2]|0;da=ci[f[(f[fa>>2]|0)+48>>2]&1023](fa)|0;fa=ea+2+da+((((($(da|1|0)|0)^31)*9|0)+73|0)>>>6)|0;ga=fa;ha=f[q>>2]|0}if(!(ha&8388608)){ia=ga;ja=ha}else{ha=f[a+228>>2]|0;fa=ci[f[(f[ha>>2]|0)+48>>2]&1023](ha)|0;ha=ga+2+fa+((((($(fa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;ia=ha;ja=f[q>>2]|0}}else{ia=T;ja=U}if(ja>>>0>16777215){if(!(ja&16777216)){ka=ia;la=ja}else{ja=f[a+232>>2]|0;U=ci[f[(f[ja>>2]|0)+48>>2]&1023](ja)|0;ja=ia+2+U+((((($(U|1|0)|0)^31)*9|0)+73|0)>>>6)|0;ka=ja;la=f[q>>2]|0}if(!(la&33554432)){ma=ka;na=la}else{la=f[a+236>>2]|0;ja=ci[f[(f[la>>2]|0)+48>>2]&1023](la)|0;la=ka+2+ja+((((($(ja|1|0)|0)^31)*9|0)+73|0)>>>6)|0;ma=la;na=f[q>>2]|0}if(!(na&67108864)){oa=ma;pa=na}else{na=f[a+240>>2]|0;la=ci[f[(f[na>>2]|0)+48>>2]&1023](na)|0;na=ma+2+la+((((($(la|1|0)|0)^31)*9|0)+73|0)>>>6)|0;oa=na;pa=f[q>>2]|0}if(!(pa&134217728)){qa=oa;ra=pa}else{pa=f[a+244>>2]|0;na=ci[f[(f[pa>>2]|0)+48>>2]&1023](pa)|0;pa=oa+2+na+((((($(na|1|0)|0)^31)*9|0)+73|0)>>>6)|0;qa=pa;ra=f[q>>2]|0}if(!(ra&268435456)){sa=qa;ta=ra}else{ra=f[a+248>>2]|0;pa=ci[f[(f[ra>>2]|0)+48>>2]&1023](ra)|0;ra=qa+2+pa+((((($(pa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;sa=ra;ta=f[q>>2]|0}if(!(ta&536870912)){ua=sa;va=ta}else{ta=f[a+252>>2]|0;ra=ci[f[(f[ta>>2]|0)+48>>2]&1023](ta)|0;ta=sa+2+ra+((((($(ra|1|0)|0)^31)*9|0)+73|0)>>>6)|0;ua=ta;va=f[q>>2]|0}if(!(va&1073741824)){wa=ua;xa=va}else{va=f[a+256>>2]|0;ta=ci[f[(f[va>>2]|0)+48>>2]&1023](va)|0;va=ua+2+ta+((((($(ta|1|0)|0)^31)*9|0)+73|0)>>>6)|0;wa=va;xa=f[q>>2]|0}if((xa|0)<0){xa=f[a+260>>2]|0;q=ci[f[(f[xa>>2]|0)+48>>2]&1023](xa)|0;ya=wa+2+q+((((($(q|1|0)|0)^31)*9|0)+73|0)>>>6)|0}else ya=wa}else ya=ia;ia=a+12|0;wa=f[ia>>2]|0;do if(!(wa&255)){za=ya;Aa=wa}else{if(!(wa&1)){Ba=ya;Ca=wa}else{q=f[a+264>>2]|0;xa=ci[f[(f[q>>2]|0)+48>>2]&1023](q)|0;q=ya+2+xa+((((($(xa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;Ba=q;Ca=f[ia>>2]|0}if(!(Ca&2)){Da=Ba;Ea=Ca}else{q=f[a+268>>2]|0;xa=ci[f[(f[q>>2]|0)+48>>2]&1023](q)|0;q=Ba+2+xa+((((($(xa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;Da=q;Ea=f[ia>>2]|0}if(!(Ea&4)){Fa=Da;Ga=Ea}else{q=f[a+272>>2]|0;xa=ci[f[(f[q>>2]|0)+48>>2]&1023](q)|0;q=Da+2+xa+((((($(xa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;Fa=q;Ga=f[ia>>2]|0}if(!(Ga&8)){Ha=Fa;Ia=Ga}else{q=f[a+276>>2]|0;xa=ci[f[(f[q>>2]|0)+48>>2]&1023](q)|0;q=Fa+2+xa+((((($(xa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;Ha=q;Ia=f[ia>>2]|0}if(!(Ia&16)){Ja=Ha;Ka=Ia}else{q=f[a+280>>2]|0;xa=ci[f[(f[q>>2]|0)+48>>2]&1023](q)|0;q=Ha+2+xa+((((($(xa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;Ja=q;Ka=f[ia>>2]|0}if(!(Ka&32)){La=Ja;Ma=Ka}else{q=f[a+284>>2]|0;xa=ci[f[(f[q>>2]|0)+48>>2]&1023](q)|0;q=Ja+2+xa+((((($(xa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;La=q;Ma=f[ia>>2]|0}if(!(Ma&64)){Na=La;Oa=Ma}else{q=f[a+288>>2]|0;xa=ci[f[(f[q>>2]|0)+48>>2]&1023](q)|0;q=La+2+xa+((((($(xa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;Na=q;Oa=f[ia>>2]|0}if(!(Oa&128)){za=Na;Aa=Oa;break}q=f[a+292>>2]|0;xa=ci[f[(f[q>>2]|0)+48>>2]&1023](q)|0;q=Na+2+xa+((((($(xa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;za=q;Aa=f[ia>>2]|0}while(0);do if(!(Aa&65280)){Pa=za;Qa=Aa}else{if(!(Aa&256)){Ra=za;Sa=Aa}else{Na=f[a+296>>2]|0;Oa=ci[f[(f[Na>>2]|0)+48>>2]&1023](Na)|0;Na=za+2+Oa+((((($(Oa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;Ra=Na;Sa=f[ia>>2]|0}if(!(Sa&512)){Ta=Ra;Ua=Sa}else{Na=f[a+300>>2]|0;Oa=ci[f[(f[Na>>2]|0)+48>>2]&1023](Na)|0;Na=Ra+2+Oa+((((($(Oa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;Ta=Na;Ua=f[ia>>2]|0}if(!(Ua&1024)){Va=Ta;Wa=Ua}else{Na=f[a+304>>2]|0;Oa=ci[f[(f[Na>>2]|0)+48>>2]&1023](Na)|0;Na=Ta+2+Oa+((((($(Oa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;Va=Na;Wa=f[ia>>2]|0}if(!(Wa&2048)){Xa=Va;Ya=Wa}else{Na=f[a+308>>2]|0;Oa=ci[f[(f[Na>>2]|0)+48>>2]&1023](Na)|0;Na=Va+2+Oa+((((($(Oa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;Xa=Na;Ya=f[ia>>2]|0}if(!(Ya&4096)){Za=Xa;_a=Ya}else{Na=f[a+312>>2]|0;Oa=ci[f[(f[Na>>2]|0)+48>>2]&1023](Na)|0;Na=Xa+2+Oa+((((($(Oa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;Za=Na;_a=f[ia>>2]|0}if(!(_a&8192)){$a=Za;ab=_a}else{Na=f[a+316>>2]|0;Oa=ci[f[(f[Na>>2]|0)+48>>2]&1023](Na)|0;Na=Za+2+Oa+((((($(Oa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;$a=Na;ab=f[ia>>2]|0}if(!(ab&16384)){bb=$a;cb=ab}else{Na=f[a+320>>2]|0;Oa=ci[f[(f[Na>>2]|0)+48>>2]&1023](Na)|0;Na=$a+2+Oa+((((($(Oa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;bb=Na;cb=f[ia>>2]|0}if(!(cb&32768)){Pa=bb;Qa=cb;break}Na=f[a+324>>2]|0;Oa=ci[f[(f[Na>>2]|0)+48>>2]&1023](Na)|0;Na=bb+2+Oa+((((($(Oa|1|0)|0)^31)*9|0)+73|0)>>>6)|0;Pa=Na;Qa=f[ia>>2]|0}while(0);do if(!(Qa&16711680)){db=Pa;eb=Qa}else{if(!(Qa&65536)){fb=Pa;gb=Qa}else{bb=f[a+328>>2]|0;cb=ci[f[(f[bb>>2]|0)+48>>2]&1023](bb)|0;bb=Pa+2+cb+((((($(cb|1|0)|0)^31)*9|0)+73|0)>>>6)|0;fb=bb;gb=f[ia>>2]|0}if(!(gb&131072)){hb=fb;ib=gb}else{bb=f[a+332>>2]|0;cb=ci[f[(f[bb>>2]|0)+48>>2]&1023](bb)|0;bb=fb+2+cb+((((($(cb|1|0)|0)^31)*9|0)+73|0)>>>6)|0;hb=bb;ib=f[ia>>2]|0}if(!(ib&262144)){jb=hb;kb=ib}else{bb=f[a+336>>2]|0;cb=ci[f[(f[bb>>2]|0)+48>>2]&1023](bb)|0;bb=hb+2+cb+((((($(cb|1|0)|0)^31)*9|0)+73|0)>>>6)|0;jb=bb;kb=f[ia>>2]|0}if(!(kb&524288)){lb=jb;mb=kb}else{bb=f[a+340>>2]|0;cb=ci[f[(f[bb>>2]|0)+48>>2]&1023](bb)|0;bb=jb+2+cb+((((($(cb|1|0)|0)^31)*9|0)+73|0)>>>6)|0;lb=bb;mb=f[ia>>2]|0}if(!(mb&1048576)){nb=lb;ob=mb}else{bb=f[a+344>>2]|0;cb=ci[f[(f[bb>>2]|0)+48>>2]&1023](bb)|0;bb=lb+2+cb+((((($(cb|1|0)|0)^31)*9|0)+73|0)>>>6)|0;nb=bb;ob=f[ia>>2]|0}if(!(ob&2097152)){pb=nb;qb=ob}else{bb=f[a+348>>2]|0;cb=ci[f[(f[bb>>2]|0)+48>>2]&1023](bb)|0;bb=nb+2+cb+((((($(cb|1|0)|0)^31)*9|0)+73|0)>>>6)|0;pb=bb;qb=f[ia>>2]|0}if(!(qb&4194304)){rb=pb;sb=qb}else{bb=f[a+352>>2]|0;cb=ci[f[(f[bb>>2]|0)+48>>2]&1023](bb)|0;bb=pb+3+cb+((((($(cb|1|0)|0)^31)*9|0)+73|0)>>>6)|0;rb=bb;sb=f[ia>>2]|0}if(!(sb&8388608)){db=rb;eb=sb;break}bb=f[a+356>>2]|0;cb=ci[f[(f[bb>>2]|0)+48>>2]&1023](bb)|0;bb=rb+4+cb+((((($(cb|1|0)|0)^31)*9|0)+73|0)>>>6)|0;db=bb;eb=f[ia>>2]|0}while(0);if(!(eb&16777216)){tb=db;ub=a+364|0;f[ub>>2]=tb;return tb|0}eb=f[a+360>>2]|0;if((eb|0)<0)vb=11;else vb=((((($(eb|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;tb=vb+db|0;ub=a+364|0;f[ub>>2]=tb;return tb|0}function H9a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=a+8|0;e=f[d>>2]|0;if(e&1|0)BEb(1,f[a+136>>2]|0,c);if(e&2|0)BEb(2,f[a+140>>2]|0,c);e=f[a+20>>2]|0;if((e|0)>0){g=a+28|0;h=0;do{AEb(3,f[(f[g>>2]|0)+4+(h<<2)>>2]|0,c);h=h+1|0}while((h|0)!=(e|0))}e=f[a+36>>2]|0;if((e|0)>0){h=a+44|0;g=0;do{AEb(4,f[(f[h>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(e|0))}e=f[a+48>>2]|0;if((e|0)>0){g=a+56|0;h=0;do{wEb(5,+n[(f[g>>2]|0)+4+(h<<2)>>2],c);h=h+1|0}while((h|0)!=(e|0))}e=f[a+64>>2]|0;if(e|0){h=a+72|0;g=0;do{GEb(6,f[(f[h>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(e|0))}e=f[a+80>>2]|0;if(e|0){g=a+88|0;h=0;do{GEb(7,f[(f[g>>2]|0)+4+(h<<2)>>2]|0,c);h=h+1|0}while((h|0)!=(e|0))}e=f[a+96>>2]|0;if(e|0){h=a+104|0;g=0;do{GEb(8,f[(f[h>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(e|0))}e=f[a+112>>2]|0;if(e|0){g=a+120|0;h=0;do{GEb(9,f[(f[g>>2]|0)+4+(h<<2)>>2]|0,c);h=h+1|0}while((h|0)!=(e|0))}e=a+12|0;if(f[e>>2]&16777216|0)zEb(10,f[a+360>>2]|0,c);h=f[a+124>>2]|0;if((h|0)>0){g=a+132|0;i=0;do{yEb(11,(b[(f[g>>2]|0)+4+i>>0]|0)!=0,c);i=i+1|0}while((i|0)!=(h|0))}h=f[d>>2]|0;if(h&4|0)GEb(100,f[a+144>>2]|0,c);if(h&8|0)GEb(101,f[a+148>>2]|0,c);if(h&16|0)GEb(102,f[a+152>>2]|0,c);if(h&32|0)GEb(103,f[a+156>>2]|0,c);if(h&64|0)GEb(104,f[a+160>>2]|0,c);if(h&128|0)GEb(105,f[a+164>>2]|0,c);if(h&256|0)GEb(106,f[a+168>>2]|0,c);if(h&512|0)GEb(107,f[a+172>>2]|0,c);if(h&1024|0)GEb(108,f[a+176>>2]|0,c);if(h&2048|0)GEb(109,f[a+180>>2]|0,c);if(h&4096|0)GEb(110,f[a+184>>2]|0,c);if(h&8192|0)GEb(111,f[a+188>>2]|0,c);if(h&16384|0)GEb(112,f[a+192>>2]|0,c);if(h&32768|0)GEb(113,f[a+196>>2]|0,c);if(h&65536|0)GEb(114,f[a+200>>2]|0,c);if(h&131072|0)GEb(115,f[a+204>>2]|0,c);if(h&262144|0)GEb(116,f[a+208>>2]|0,c);if(h&524288|0)GEb(117,f[a+212>>2]|0,c);if(h&1048576|0)GEb(118,f[a+216>>2]|0,c);if(h&2097152|0)GEb(119,f[a+220>>2]|0,c);if(h&4194304|0)GEb(120,f[a+224>>2]|0,c);if(h&8388608|0)GEb(121,f[a+228>>2]|0,c);if(h&16777216|0)GEb(122,f[a+232>>2]|0,c);if(h&33554432|0)GEb(123,f[a+236>>2]|0,c);if(h&67108864|0)GEb(124,f[a+240>>2]|0,c);if(h&134217728|0)GEb(125,f[a+244>>2]|0,c);if(h&268435456|0)GEb(126,f[a+248>>2]|0,c);if(h&536870912|0)GEb(127,f[a+252>>2]|0,c);if(h&1073741824|0)GEb(128,f[a+256>>2]|0,c);if((h|0)<0)GEb(129,f[a+260>>2]|0,c);h=f[e>>2]|0;if(h&1|0)GEb(130,f[a+264>>2]|0,c);if(h&2|0)GEb(131,f[a+268>>2]|0,c);if(h&4|0)GEb(132,f[a+272>>2]|0,c);if(h&8|0)GEb(133,f[a+276>>2]|0,c);if(h&16|0)GEb(134,f[a+280>>2]|0,c);if(h&32|0)GEb(135,f[a+284>>2]|0,c);if(h&64|0)GEb(136,f[a+288>>2]|0,c);if(h&128|0)GEb(137,f[a+292>>2]|0,c);if(h&256|0)GEb(138,f[a+296>>2]|0,c);if(h&512|0)GEb(139,f[a+300>>2]|0,c);if(h&1024|0)GEb(140,f[a+304>>2]|0,c);if(h&2048|0)GEb(141,f[a+308>>2]|0,c);if(h&4096|0)GEb(142,f[a+312>>2]|0,c);if(h&8192|0)GEb(143,f[a+316>>2]|0,c);if(h&16384|0)GEb(144,f[a+320>>2]|0,c);if(h&32768|0)GEb(145,f[a+324>>2]|0,c);if(h&65536|0)GEb(146,f[a+328>>2]|0,c);if(h&131072|0)GEb(147,f[a+332>>2]|0,c);if(h&262144|0)GEb(148,f[a+336>>2]|0,c);if(h&524288|0)GEb(149,f[a+340>>2]|0,c);if(h&1048576|0)GEb(150,f[a+344>>2]|0,c);if(h&2097152|0)GEb(201,f[a+348>>2]|0,c);if(h&4194304|0)GEb(10002,f[a+352>>2]|0,c);if(h&8388608|0)GEb(8266711,f[a+356>>2]|0,c);h=f[a+4>>2]|0;if(!(h&1))return;e4b(h&-2,c);return}function I9a(a){a=a|0;return f[a+364>>2]|0}function J9a(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0;e=a+8|0;g=f[e>>2]|0;if(!(g&1))h=d;else{i=f[a+136>>2]|0;b[d>>0]=10;h=GCb(i,d+1|0)|0}if(!(g&2))j=h;else{g=f[a+140>>2]|0;b[h>>0]=18;j=GCb(g,h+1|0)|0}h=f[a+20>>2]|0;if((h|0)>0){g=a+28|0;d=0;i=j;while(1){k=f[(f[g>>2]|0)+4+(d<<2)>>2]|0;b[i>>0]=26;l=GCb(k,i+1|0)|0;d=d+1|0;if((d|0)==(h|0)){m=l;break}else i=l}}else m=j;j=f[a+36>>2]|0;if((j|0)>0){i=a+44|0;h=0;d=m;while(1){g=f[(f[i>>2]|0)+4+(h<<2)>>2]|0;b[d>>0]=34;l=GCb(g,d+1|0)|0;h=h+1|0;if((h|0)==(j|0)){n=l;break}else d=l}}else n=m;m=f[a+48>>2]|0;if(!m)o=n;else{d=f[a+56>>2]|0;j=0;h=n;while(1){n=f[d+4+(j<<2)>>2]|0;b[h>>0]=45;i=h+1|0;b[i>>0]=n;b[i+1>>0]=n>>8;b[i+2>>0]=n>>16;b[i+3>>0]=n>>24;n=h+5|0;j=j+1|0;if((j|0)>=(m|0)){o=n;break}else h=n}}h=f[a+64>>2]|0;if(!h)p=o;else{m=a+72|0;j=0;d=o;while(1){o=f[(f[m>>2]|0)+4+(j<<2)>>2]|0;b[d>>0]=50;n=d+1|0;i=ci[f[(f[o>>2]|0)+60>>2]&1023](o)|0;if(i>>>0>127){l=i;g=n;while(1){b[g>>0]=l|128;k=l>>>7;q=g+1|0;if(l>>>0>16383){l=k;g=q}else{r=q;s=k;break}}}else{r=n;s=i}b[r>>0]=s;g=ki[f[(f[o>>2]|0)+64>>2]&511](o,c,r+1|0)|0;j=j+1|0;if((j|0)==(h|0)){p=g;break}else d=g}}d=f[a+80>>2]|0;if(!d)t=p;else{h=a+88|0;j=0;r=p;while(1){p=f[(f[h>>2]|0)+4+(j<<2)>>2]|0;b[r>>0]=58;s=r+1|0;m=ci[f[(f[p>>2]|0)+60>>2]&1023](p)|0;if(m>>>0>127){g=m;l=s;while(1){b[l>>0]=g|128;k=g>>>7;q=l+1|0;if(g>>>0>16383){g=k;l=q}else{u=q;v=k;break}}}else{u=s;v=m}b[u>>0]=v;l=ki[f[(f[p>>2]|0)+64>>2]&511](p,c,u+1|0)|0;j=j+1|0;if((j|0)==(d|0)){t=l;break}else r=l}}r=f[a+96>>2]|0;if(!r)w=t;else{d=a+104|0;j=0;u=t;while(1){t=f[(f[d>>2]|0)+4+(j<<2)>>2]|0;b[u>>0]=66;v=u+1|0;h=ci[f[(f[t>>2]|0)+60>>2]&1023](t)|0;if(h>>>0>127){l=h;g=v;while(1){b[g>>0]=l|128;o=l>>>7;i=g+1|0;if(l>>>0>16383){l=o;g=i}else{x=i;y=o;break}}}else{x=v;y=h}b[x>>0]=y;g=ki[f[(f[t>>2]|0)+64>>2]&511](t,c,x+1|0)|0;j=j+1|0;if((j|0)==(r|0)){w=g;break}else u=g}}u=f[a+112>>2]|0;if(!u)z=w;else{r=a+120|0;j=0;x=w;while(1){w=f[(f[r>>2]|0)+4+(j<<2)>>2]|0;b[x>>0]=74;y=x+1|0;d=ci[f[(f[w>>2]|0)+60>>2]&1023](w)|0;if(d>>>0>127){g=d;l=y;while(1){b[l>>0]=g|128;p=g>>>7;m=l+1|0;if(g>>>0>16383){g=p;l=m}else{A=m;B=p;break}}}else{A=y;B=d}b[A>>0]=B;l=ki[f[(f[w>>2]|0)+64>>2]&511](w,c,A+1|0)|0;j=j+1|0;if((j|0)==(u|0)){z=l;break}else x=l}}x=a+12|0;if(!(f[x>>2]&16777216))C=z;else{u=f[a+360>>2]|0;b[z>>0]=80;j=z+1|0;z=u&255;if(u>>>0>127){A=j;B=z;r=u;l=((u|0)<0)<<31>>31;while(1){b[A>>0]=B|-128;u=r;r=Irc(r|0,l|0,7)|0;g=A+1|0;t=r&255;if(!(l>>>0>0|(l|0)==0&u>>>0>16383)){D=g;E=t;break}else{A=g;B=t;l=J}}}else{D=j;E=z}b[D>>0]=E;C=D+1|0}D=f[a+124>>2]|0;if(!D)F=C;else{E=f[a+132>>2]|0;z=0;j=C;while(1){C=b[E+4+z>>0]|0;b[j>>0]=88;b[j+1>>0]=C;C=j+2|0;z=z+1|0;if((z|0)>=(D|0)){F=C;break}else j=C}}j=f[e>>2]|0;if(!(j&4))G=F;else{e=f[a+144>>2]|0;b[F>>0]=-94;b[F+1>>0]=6;D=F+2|0;F=ci[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(F>>>0>127){z=F;E=D;while(1){b[E>>0]=z|128;C=z>>>7;l=E+1|0;if(z>>>0>16383){z=C;E=l}else{H=l;I=C;break}}}else{H=D;I=F}b[H>>0]=I;G=ki[f[(f[e>>2]|0)+64>>2]&511](e,c,H+1|0)|0}if(!(j&8))K=G;else{H=f[a+148>>2]|0;b[G>>0]=-86;b[G+1>>0]=6;e=G+2|0;G=ci[f[(f[H>>2]|0)+60>>2]&1023](H)|0;if(G>>>0>127){I=G;F=e;while(1){b[F>>0]=I|128;D=I>>>7;E=F+1|0;if(I>>>0>16383){I=D;F=E}else{L=E;M=D;break}}}else{L=e;M=G}b[L>>0]=M;K=ki[f[(f[H>>2]|0)+64>>2]&511](H,c,L+1|0)|0}if(!(j&16))N=K;else{L=f[a+152>>2]|0;b[K>>0]=-78;b[K+1>>0]=6;H=K+2|0;K=ci[f[(f[L>>2]|0)+60>>2]&1023](L)|0;if(K>>>0>127){M=K;G=H;while(1){b[G>>0]=M|128;e=M>>>7;F=G+1|0;if(M>>>0>16383){M=e;G=F}else{O=F;P=e;break}}}else{O=H;P=K}b[O>>0]=P;N=ki[f[(f[L>>2]|0)+64>>2]&511](L,c,O+1|0)|0}if(!(j&32))Q=N;else{O=f[a+156>>2]|0;b[N>>0]=-70;b[N+1>>0]=6;L=N+2|0;N=ci[f[(f[O>>2]|0)+60>>2]&1023](O)|0;if(N>>>0>127){P=N;K=L;while(1){b[K>>0]=P|128;H=P>>>7;G=K+1|0;if(P>>>0>16383){P=H;K=G}else{R=G;S=H;break}}}else{R=L;S=N}b[R>>0]=S;Q=ki[f[(f[O>>2]|0)+64>>2]&511](O,c,R+1|0)|0}if(!(j&64))T=Q;else{R=f[a+160>>2]|0;b[Q>>0]=-62;b[Q+1>>0]=6;O=Q+2|0;Q=ci[f[(f[R>>2]|0)+60>>2]&1023](R)|0;if(Q>>>0>127){S=Q;N=O;while(1){b[N>>0]=S|128;L=S>>>7;K=N+1|0;if(S>>>0>16383){S=L;N=K}else{U=K;V=L;break}}}else{U=O;V=Q}b[U>>0]=V;T=ki[f[(f[R>>2]|0)+64>>2]&511](R,c,U+1|0)|0}if(!(j&128))W=T;else{U=f[a+164>>2]|0;b[T>>0]=-54;b[T+1>>0]=6;R=T+2|0;T=ci[f[(f[U>>2]|0)+60>>2]&1023](U)|0;if(T>>>0>127){V=T;Q=R;while(1){b[Q>>0]=V|128;O=V>>>7;N=Q+1|0;if(V>>>0>16383){V=O;Q=N}else{X=N;Y=O;break}}}else{X=R;Y=T}b[X>>0]=Y;W=ki[f[(f[U>>2]|0)+64>>2]&511](U,c,X+1|0)|0}if(!(j&256))Z=W;else{X=f[a+168>>2]|0;b[W>>0]=-46;b[W+1>>0]=6;U=W+2|0;W=ci[f[(f[X>>2]|0)+60>>2]&1023](X)|0;if(W>>>0>127){Y=W;T=U;while(1){b[T>>0]=Y|128;R=Y>>>7;Q=T+1|0;if(Y>>>0>16383){Y=R;T=Q}else{_=Q;$=R;break}}}else{_=U;$=W}b[_>>0]=$;Z=ki[f[(f[X>>2]|0)+64>>2]&511](X,c,_+1|0)|0}if(!(j&512))aa=Z;else{_=f[a+172>>2]|0;b[Z>>0]=-38;b[Z+1>>0]=6;X=Z+2|0;Z=ci[f[(f[_>>2]|0)+60>>2]&1023](_)|0;if(Z>>>0>127){$=Z;W=X;while(1){b[W>>0]=$|128;U=$>>>7;T=W+1|0;if($>>>0>16383){$=U;W=T}else{ba=T;ca=U;break}}}else{ba=X;ca=Z}b[ba>>0]=ca;aa=ki[f[(f[_>>2]|0)+64>>2]&511](_,c,ba+1|0)|0}if(!(j&1024))da=aa;else{ba=f[a+176>>2]|0;b[aa>>0]=-30;b[aa+1>>0]=6;_=aa+2|0;aa=ci[f[(f[ba>>2]|0)+60>>2]&1023](ba)|0;if(aa>>>0>127){ca=aa;Z=_;while(1){b[Z>>0]=ca|128;X=ca>>>7;W=Z+1|0;if(ca>>>0>16383){ca=X;Z=W}else{ea=W;fa=X;break}}}else{ea=_;fa=aa}b[ea>>0]=fa;da=ki[f[(f[ba>>2]|0)+64>>2]&511](ba,c,ea+1|0)|0}if(!(j&2048))ga=da;else{ea=f[a+180>>2]|0;b[da>>0]=-22;b[da+1>>0]=6;ba=da+2|0;da=ci[f[(f[ea>>2]|0)+60>>2]&1023](ea)|0;if(da>>>0>127){fa=da;aa=ba;while(1){b[aa>>0]=fa|128;_=fa>>>7;Z=aa+1|0;if(fa>>>0>16383){fa=_;aa=Z}else{ha=Z;ia=_;break}}}else{ha=ba;ia=da}b[ha>>0]=ia;ga=ki[f[(f[ea>>2]|0)+64>>2]&511](ea,c,ha+1|0)|0}if(!(j&4096))ja=ga;else{ha=f[a+184>>2]|0;b[ga>>0]=-14;b[ga+1>>0]=6;ea=ga+2|0;ga=ci[f[(f[ha>>2]|0)+60>>2]&1023](ha)|0;if(ga>>>0>127){ia=ga;da=ea;while(1){b[da>>0]=ia|128;ba=ia>>>7;aa=da+1|0;if(ia>>>0>16383){ia=ba;da=aa}else{ka=aa;la=ba;break}}}else{ka=ea;la=ga}b[ka>>0]=la;ja=ki[f[(f[ha>>2]|0)+64>>2]&511](ha,c,ka+1|0)|0}if(!(j&8192))ma=ja;else{ka=f[a+188>>2]|0;b[ja>>0]=-6;b[ja+1>>0]=6;ha=ja+2|0;ja=ci[f[(f[ka>>2]|0)+60>>2]&1023](ka)|0;if(ja>>>0>127){la=ja;ga=ha;while(1){b[ga>>0]=la|128;ea=la>>>7;da=ga+1|0;if(la>>>0>16383){la=ea;ga=da}else{na=da;oa=ea;break}}}else{na=ha;oa=ja}b[na>>0]=oa;ma=ki[f[(f[ka>>2]|0)+64>>2]&511](ka,c,na+1|0)|0}if(!(j&16384))pa=ma;else{na=f[a+192>>2]|0;b[ma>>0]=-126;b[ma+1>>0]=7;ka=ma+2|0;ma=ci[f[(f[na>>2]|0)+60>>2]&1023](na)|0;if(ma>>>0>127){oa=ma;ja=ka;while(1){b[ja>>0]=oa|128;ha=oa>>>7;ga=ja+1|0;if(oa>>>0>16383){oa=ha;ja=ga}else{qa=ga;ra=ha;break}}}else{qa=ka;ra=ma}b[qa>>0]=ra;pa=ki[f[(f[na>>2]|0)+64>>2]&511](na,c,qa+1|0)|0}if(!(j&32768))sa=pa;else{qa=f[a+196>>2]|0;b[pa>>0]=-118;b[pa+1>>0]=7;na=pa+2|0;pa=ci[f[(f[qa>>2]|0)+60>>2]&1023](qa)|0;if(pa>>>0>127){ra=pa;ma=na;while(1){b[ma>>0]=ra|128;ka=ra>>>7;ja=ma+1|0;if(ra>>>0>16383){ra=ka;ma=ja}else{ta=ja;ua=ka;break}}}else{ta=na;ua=pa}b[ta>>0]=ua;sa=ki[f[(f[qa>>2]|0)+64>>2]&511](qa,c,ta+1|0)|0}if(!(j&65536))va=sa;else{ta=f[a+200>>2]|0;b[sa>>0]=-110;b[sa+1>>0]=7;qa=sa+2|0;sa=ci[f[(f[ta>>2]|0)+60>>2]&1023](ta)|0;if(sa>>>0>127){ua=sa;pa=qa;while(1){b[pa>>0]=ua|128;na=ua>>>7;ma=pa+1|0;if(ua>>>0>16383){ua=na;pa=ma}else{wa=ma;xa=na;break}}}else{wa=qa;xa=sa}b[wa>>0]=xa;va=ki[f[(f[ta>>2]|0)+64>>2]&511](ta,c,wa+1|0)|0}if(!(j&131072))ya=va;else{wa=f[a+204>>2]|0;b[va>>0]=-102;b[va+1>>0]=7;ta=va+2|0;va=ci[f[(f[wa>>2]|0)+60>>2]&1023](wa)|0;if(va>>>0>127){xa=va;sa=ta;while(1){b[sa>>0]=xa|128;qa=xa>>>7;pa=sa+1|0;if(xa>>>0>16383){xa=qa;sa=pa}else{za=pa;Aa=qa;break}}}else{za=ta;Aa=va}b[za>>0]=Aa;ya=ki[f[(f[wa>>2]|0)+64>>2]&511](wa,c,za+1|0)|0}if(!(j&262144))Ba=ya;else{za=f[a+208>>2]|0;b[ya>>0]=-94;b[ya+1>>0]=7;wa=ya+2|0;ya=ci[f[(f[za>>2]|0)+60>>2]&1023](za)|0;if(ya>>>0>127){Aa=ya;va=wa;while(1){b[va>>0]=Aa|128;ta=Aa>>>7;sa=va+1|0;if(Aa>>>0>16383){Aa=ta;va=sa}else{Ca=sa;Da=ta;break}}}else{Ca=wa;Da=ya}b[Ca>>0]=Da;Ba=ki[f[(f[za>>2]|0)+64>>2]&511](za,c,Ca+1|0)|0}if(!(j&524288))Ea=Ba;else{Ca=f[a+212>>2]|0;b[Ba>>0]=-86;b[Ba+1>>0]=7;za=Ba+2|0;Ba=ci[f[(f[Ca>>2]|0)+60>>2]&1023](Ca)|0;if(Ba>>>0>127){Da=Ba;ya=za;while(1){b[ya>>0]=Da|128;wa=Da>>>7;va=ya+1|0;if(Da>>>0>16383){Da=wa;ya=va}else{Fa=va;Ga=wa;break}}}else{Fa=za;Ga=Ba}b[Fa>>0]=Ga;Ea=ki[f[(f[Ca>>2]|0)+64>>2]&511](Ca,c,Fa+1|0)|0}if(!(j&1048576))Ha=Ea;else{Fa=f[a+216>>2]|0;b[Ea>>0]=-78;b[Ea+1>>0]=7;Ca=Ea+2|0;Ea=ci[f[(f[Fa>>2]|0)+60>>2]&1023](Fa)|0;if(Ea>>>0>127){Ga=Ea;Ba=Ca;while(1){b[Ba>>0]=Ga|128;za=Ga>>>7;ya=Ba+1|0;if(Ga>>>0>16383){Ga=za;Ba=ya}else{Ia=ya;Ja=za;break}}}else{Ia=Ca;Ja=Ea}b[Ia>>0]=Ja;Ha=ki[f[(f[Fa>>2]|0)+64>>2]&511](Fa,c,Ia+1|0)|0}if(!(j&2097152))Ka=Ha;else{Ia=f[a+220>>2]|0;b[Ha>>0]=-70;b[Ha+1>>0]=7;Fa=Ha+2|0;Ha=ci[f[(f[Ia>>2]|0)+60>>2]&1023](Ia)|0;if(Ha>>>0>127){Ja=Ha;Ea=Fa;while(1){b[Ea>>0]=Ja|128;Ca=Ja>>>7;Ba=Ea+1|0;if(Ja>>>0>16383){Ja=Ca;Ea=Ba}else{La=Ba;Ma=Ca;break}}}else{La=Fa;Ma=Ha}b[La>>0]=Ma;Ka=ki[f[(f[Ia>>2]|0)+64>>2]&511](Ia,c,La+1|0)|0}if(!(j&4194304))Na=Ka;else{La=f[a+224>>2]|0;b[Ka>>0]=-62;b[Ka+1>>0]=7;Ia=Ka+2|0;Ka=ci[f[(f[La>>2]|0)+60>>2]&1023](La)|0;if(Ka>>>0>127){Ma=Ka;Ha=Ia;while(1){b[Ha>>0]=Ma|128;Fa=Ma>>>7;Ea=Ha+1|0;if(Ma>>>0>16383){Ma=Fa;Ha=Ea}else{Oa=Ea;Pa=Fa;break}}}else{Oa=Ia;Pa=Ka}b[Oa>>0]=Pa;Na=ki[f[(f[La>>2]|0)+64>>2]&511](La,c,Oa+1|0)|0}if(!(j&8388608))Qa=Na;else{Oa=f[a+228>>2]|0;b[Na>>0]=-54;b[Na+1>>0]=7;La=Na+2|0;Na=ci[f[(f[Oa>>2]|0)+60>>2]&1023](Oa)|0;if(Na>>>0>127){Pa=Na;Ka=La;while(1){b[Ka>>0]=Pa|128;Ia=Pa>>>7;Ha=Ka+1|0;if(Pa>>>0>16383){Pa=Ia;Ka=Ha}else{Ra=Ha;Sa=Ia;break}}}else{Ra=La;Sa=Na}b[Ra>>0]=Sa;Qa=ki[f[(f[Oa>>2]|0)+64>>2]&511](Oa,c,Ra+1|0)|0}if(!(j&16777216))Ta=Qa;else{Ra=f[a+232>>2]|0;b[Qa>>0]=-46;b[Qa+1>>0]=7;Oa=Qa+2|0;Qa=ci[f[(f[Ra>>2]|0)+60>>2]&1023](Ra)|0;if(Qa>>>0>127){Sa=Qa;Na=Oa;while(1){b[Na>>0]=Sa|128;La=Sa>>>7;Ka=Na+1|0;if(Sa>>>0>16383){Sa=La;Na=Ka}else{Ua=Ka;Va=La;break}}}else{Ua=Oa;Va=Qa}b[Ua>>0]=Va;Ta=ki[f[(f[Ra>>2]|0)+64>>2]&511](Ra,c,Ua+1|0)|0}if(!(j&33554432))Wa=Ta;else{Ua=f[a+236>>2]|0;b[Ta>>0]=-38;b[Ta+1>>0]=7;Ra=Ta+2|0;Ta=ci[f[(f[Ua>>2]|0)+60>>2]&1023](Ua)|0;if(Ta>>>0>127){Va=Ta;Qa=Ra;while(1){b[Qa>>0]=Va|128;Oa=Va>>>7;Na=Qa+1|0;if(Va>>>0>16383){Va=Oa;Qa=Na}else{Xa=Na;Ya=Oa;break}}}else{Xa=Ra;Ya=Ta}b[Xa>>0]=Ya;Wa=ki[f[(f[Ua>>2]|0)+64>>2]&511](Ua,c,Xa+1|0)|0}if(!(j&67108864))Za=Wa;else{Xa=f[a+240>>2]|0;b[Wa>>0]=-30;b[Wa+1>>0]=7;Ua=Wa+2|0;Wa=ci[f[(f[Xa>>2]|0)+60>>2]&1023](Xa)|0;if(Wa>>>0>127){Ya=Wa;Ta=Ua;while(1){b[Ta>>0]=Ya|128;Ra=Ya>>>7;Qa=Ta+1|0;if(Ya>>>0>16383){Ya=Ra;Ta=Qa}else{_a=Qa;$a=Ra;break}}}else{_a=Ua;$a=Wa}b[_a>>0]=$a;Za=ki[f[(f[Xa>>2]|0)+64>>2]&511](Xa,c,_a+1|0)|0}if(!(j&134217728))ab=Za;else{_a=f[a+244>>2]|0;b[Za>>0]=-22;b[Za+1>>0]=7;Xa=Za+2|0;Za=ci[f[(f[_a>>2]|0)+60>>2]&1023](_a)|0;if(Za>>>0>127){$a=Za;Wa=Xa;while(1){b[Wa>>0]=$a|128;Ua=$a>>>7;Ta=Wa+1|0;if($a>>>0>16383){$a=Ua;Wa=Ta}else{bb=Ta;cb=Ua;break}}}else{bb=Xa;cb=Za}b[bb>>0]=cb;ab=ki[f[(f[_a>>2]|0)+64>>2]&511](_a,c,bb+1|0)|0}if(!(j&268435456))db=ab;else{bb=f[a+248>>2]|0;b[ab>>0]=-14;b[ab+1>>0]=7;_a=ab+2|0;ab=ci[f[(f[bb>>2]|0)+60>>2]&1023](bb)|0;if(ab>>>0>127){cb=ab;Za=_a;while(1){b[Za>>0]=cb|128;Xa=cb>>>7;Wa=Za+1|0;if(cb>>>0>16383){cb=Xa;Za=Wa}else{eb=Wa;fb=Xa;break}}}else{eb=_a;fb=ab}b[eb>>0]=fb;db=ki[f[(f[bb>>2]|0)+64>>2]&511](bb,c,eb+1|0)|0}if(!(j&536870912))gb=db;else{eb=f[a+252>>2]|0;b[db>>0]=-6;b[db+1>>0]=7;bb=db+2|0;db=ci[f[(f[eb>>2]|0)+60>>2]&1023](eb)|0;if(db>>>0>127){fb=db;ab=bb;while(1){b[ab>>0]=fb|128;_a=fb>>>7;Za=ab+1|0;if(fb>>>0>16383){fb=_a;ab=Za}else{hb=Za;ib=_a;break}}}else{hb=bb;ib=db}b[hb>>0]=ib;gb=ki[f[(f[eb>>2]|0)+64>>2]&511](eb,c,hb+1|0)|0}if(!(j&1073741824))jb=gb;else{hb=f[a+256>>2]|0;b[gb>>0]=-126;b[gb+1>>0]=8;eb=gb+2|0;gb=ci[f[(f[hb>>2]|0)+60>>2]&1023](hb)|0;if(gb>>>0>127){ib=gb;db=eb;while(1){b[db>>0]=ib|128;bb=ib>>>7;ab=db+1|0;if(ib>>>0>16383){ib=bb;db=ab}else{kb=ab;lb=bb;break}}}else{kb=eb;lb=gb}b[kb>>0]=lb;jb=ki[f[(f[hb>>2]|0)+64>>2]&511](hb,c,kb+1|0)|0}if((j|0)<0){j=f[a+260>>2]|0;b[jb>>0]=-118;b[jb+1>>0]=8;kb=jb+2|0;hb=ci[f[(f[j>>2]|0)+60>>2]&1023](j)|0;if(hb>>>0>127){lb=hb;gb=kb;while(1){b[gb>>0]=lb|128;eb=lb>>>7;db=gb+1|0;if(lb>>>0>16383){lb=eb;gb=db}else{mb=db;nb=eb;break}}}else{mb=kb;nb=hb}b[mb>>0]=nb;ob=ki[f[(f[j>>2]|0)+64>>2]&511](j,c,mb+1|0)|0}else ob=jb;jb=f[x>>2]|0;if(!(jb&1))pb=ob;else{x=f[a+264>>2]|0;b[ob>>0]=-110;b[ob+1>>0]=8;mb=ob+2|0;ob=ci[f[(f[x>>2]|0)+60>>2]&1023](x)|0;if(ob>>>0>127){j=ob;nb=mb;while(1){b[nb>>0]=j|128;hb=j>>>7;kb=nb+1|0;if(j>>>0>16383){j=hb;nb=kb}else{qb=kb;rb=hb;break}}}else{qb=mb;rb=ob}b[qb>>0]=rb;pb=ki[f[(f[x>>2]|0)+64>>2]&511](x,c,qb+1|0)|0}if(!(jb&2))sb=pb;else{qb=f[a+268>>2]|0;b[pb>>0]=-102;b[pb+1>>0]=8;x=pb+2|0;pb=ci[f[(f[qb>>2]|0)+60>>2]&1023](qb)|0;if(pb>>>0>127){rb=pb;ob=x;while(1){b[ob>>0]=rb|128;mb=rb>>>7;nb=ob+1|0;if(rb>>>0>16383){rb=mb;ob=nb}else{tb=nb;ub=mb;break}}}else{tb=x;ub=pb}b[tb>>0]=ub;sb=ki[f[(f[qb>>2]|0)+64>>2]&511](qb,c,tb+1|0)|0}if(!(jb&4))vb=sb;else{tb=f[a+272>>2]|0;b[sb>>0]=-94;b[sb+1>>0]=8;qb=sb+2|0;sb=ci[f[(f[tb>>2]|0)+60>>2]&1023](tb)|0;if(sb>>>0>127){ub=sb;pb=qb;while(1){b[pb>>0]=ub|128;x=ub>>>7;ob=pb+1|0;if(ub>>>0>16383){ub=x;pb=ob}else{wb=ob;xb=x;break}}}else{wb=qb;xb=sb}b[wb>>0]=xb;vb=ki[f[(f[tb>>2]|0)+64>>2]&511](tb,c,wb+1|0)|0}if(!(jb&8))yb=vb;else{wb=f[a+276>>2]|0;b[vb>>0]=-86;b[vb+1>>0]=8;tb=vb+2|0;vb=ci[f[(f[wb>>2]|0)+60>>2]&1023](wb)|0;if(vb>>>0>127){xb=vb;sb=tb;while(1){b[sb>>0]=xb|128;qb=xb>>>7;pb=sb+1|0;if(xb>>>0>16383){xb=qb;sb=pb}else{zb=pb;Ab=qb;break}}}else{zb=tb;Ab=vb}b[zb>>0]=Ab;yb=ki[f[(f[wb>>2]|0)+64>>2]&511](wb,c,zb+1|0)|0}if(!(jb&16))Bb=yb;else{zb=f[a+280>>2]|0;b[yb>>0]=-78;b[yb+1>>0]=8;wb=yb+2|0;yb=ci[f[(f[zb>>2]|0)+60>>2]&1023](zb)|0;if(yb>>>0>127){Ab=yb;vb=wb;while(1){b[vb>>0]=Ab|128;tb=Ab>>>7;sb=vb+1|0;if(Ab>>>0>16383){Ab=tb;vb=sb}else{Cb=sb;Db=tb;break}}}else{Cb=wb;Db=yb}b[Cb>>0]=Db;Bb=ki[f[(f[zb>>2]|0)+64>>2]&511](zb,c,Cb+1|0)|0}if(!(jb&32))Eb=Bb;else{Cb=f[a+284>>2]|0;b[Bb>>0]=-70;b[Bb+1>>0]=8;zb=Bb+2|0;Bb=ci[f[(f[Cb>>2]|0)+60>>2]&1023](Cb)|0;if(Bb>>>0>127){Db=Bb;yb=zb;while(1){b[yb>>0]=Db|128;wb=Db>>>7;vb=yb+1|0;if(Db>>>0>16383){Db=wb;yb=vb}else{Fb=vb;Gb=wb;break}}}else{Fb=zb;Gb=Bb}b[Fb>>0]=Gb;Eb=ki[f[(f[Cb>>2]|0)+64>>2]&511](Cb,c,Fb+1|0)|0}if(!(jb&64))Hb=Eb;else{Fb=f[a+288>>2]|0;b[Eb>>0]=-62;b[Eb+1>>0]=8;Cb=Eb+2|0;Eb=ci[f[(f[Fb>>2]|0)+60>>2]&1023](Fb)|0;if(Eb>>>0>127){Gb=Eb;Bb=Cb;while(1){b[Bb>>0]=Gb|128;zb=Gb>>>7;yb=Bb+1|0;if(Gb>>>0>16383){Gb=zb;Bb=yb}else{Ib=yb;Jb=zb;break}}}else{Ib=Cb;Jb=Eb}b[Ib>>0]=Jb;Hb=ki[f[(f[Fb>>2]|0)+64>>2]&511](Fb,c,Ib+1|0)|0}if(!(jb&128))Kb=Hb;else{Ib=f[a+292>>2]|0;b[Hb>>0]=-54;b[Hb+1>>0]=8;Fb=Hb+2|0;Hb=ci[f[(f[Ib>>2]|0)+60>>2]&1023](Ib)|0;if(Hb>>>0>127){Jb=Hb;Eb=Fb;while(1){b[Eb>>0]=Jb|128;Cb=Jb>>>7;Bb=Eb+1|0;if(Jb>>>0>16383){Jb=Cb;Eb=Bb}else{Lb=Bb;Mb=Cb;break}}}else{Lb=Fb;Mb=Hb}b[Lb>>0]=Mb;Kb=ki[f[(f[Ib>>2]|0)+64>>2]&511](Ib,c,Lb+1|0)|0}if(!(jb&256))Nb=Kb;else{Lb=f[a+296>>2]|0;b[Kb>>0]=-46;b[Kb+1>>0]=8;Ib=Kb+2|0;Kb=ci[f[(f[Lb>>2]|0)+60>>2]&1023](Lb)|0;if(Kb>>>0>127){Mb=Kb;Hb=Ib;while(1){b[Hb>>0]=Mb|128;Fb=Mb>>>7;Eb=Hb+1|0;if(Mb>>>0>16383){Mb=Fb;Hb=Eb}else{Ob=Eb;Pb=Fb;break}}}else{Ob=Ib;Pb=Kb}b[Ob>>0]=Pb;Nb=ki[f[(f[Lb>>2]|0)+64>>2]&511](Lb,c,Ob+1|0)|0}if(!(jb&512))Qb=Nb;else{Ob=f[a+300>>2]|0;b[Nb>>0]=-38;b[Nb+1>>0]=8;Lb=Nb+2|0;Nb=ci[f[(f[Ob>>2]|0)+60>>2]&1023](Ob)|0;if(Nb>>>0>127){Pb=Nb;Kb=Lb;while(1){b[Kb>>0]=Pb|128;Ib=Pb>>>7;Hb=Kb+1|0;if(Pb>>>0>16383){Pb=Ib;Kb=Hb}else{Rb=Hb;Sb=Ib;break}}}else{Rb=Lb;Sb=Nb}b[Rb>>0]=Sb;Qb=ki[f[(f[Ob>>2]|0)+64>>2]&511](Ob,c,Rb+1|0)|0}if(!(jb&1024))Tb=Qb;else{Rb=f[a+304>>2]|0;b[Qb>>0]=-30;b[Qb+1>>0]=8;Ob=Qb+2|0;Qb=ci[f[(f[Rb>>2]|0)+60>>2]&1023](Rb)|0;if(Qb>>>0>127){Sb=Qb;Nb=Ob;while(1){b[Nb>>0]=Sb|128;Lb=Sb>>>7;Kb=Nb+1|0;if(Sb>>>0>16383){Sb=Lb;Nb=Kb}else{Ub=Kb;Vb=Lb;break}}}else{Ub=Ob;Vb=Qb}b[Ub>>0]=Vb;Tb=ki[f[(f[Rb>>2]|0)+64>>2]&511](Rb,c,Ub+1|0)|0}if(!(jb&2048))Wb=Tb;else{Ub=f[a+308>>2]|0;b[Tb>>0]=-22;b[Tb+1>>0]=8;Rb=Tb+2|0;Tb=ci[f[(f[Ub>>2]|0)+60>>2]&1023](Ub)|0;if(Tb>>>0>127){Vb=Tb;Qb=Rb;while(1){b[Qb>>0]=Vb|128;Ob=Vb>>>7;Nb=Qb+1|0;if(Vb>>>0>16383){Vb=Ob;Qb=Nb}else{Xb=Nb;Yb=Ob;break}}}else{Xb=Rb;Yb=Tb}b[Xb>>0]=Yb;Wb=ki[f[(f[Ub>>2]|0)+64>>2]&511](Ub,c,Xb+1|0)|0}if(!(jb&4096))Zb=Wb;else{Xb=f[a+312>>2]|0;b[Wb>>0]=-14;b[Wb+1>>0]=8;Ub=Wb+2|0;Wb=ci[f[(f[Xb>>2]|0)+60>>2]&1023](Xb)|0;if(Wb>>>0>127){Yb=Wb;Tb=Ub;while(1){b[Tb>>0]=Yb|128;Rb=Yb>>>7;Qb=Tb+1|0;if(Yb>>>0>16383){Yb=Rb;Tb=Qb}else{_b=Qb;$b=Rb;break}}}else{_b=Ub;$b=Wb}b[_b>>0]=$b;Zb=ki[f[(f[Xb>>2]|0)+64>>2]&511](Xb,c,_b+1|0)|0}if(!(jb&8192))ac=Zb;else{_b=f[a+316>>2]|0;b[Zb>>0]=-6;b[Zb+1>>0]=8;Xb=Zb+2|0;Zb=ci[f[(f[_b>>2]|0)+60>>2]&1023](_b)|0;if(Zb>>>0>127){$b=Zb;Wb=Xb;while(1){b[Wb>>0]=$b|128;Ub=$b>>>7;Tb=Wb+1|0;if($b>>>0>16383){$b=Ub;Wb=Tb}else{bc=Tb;cc=Ub;break}}}else{bc=Xb;cc=Zb}b[bc>>0]=cc;ac=ki[f[(f[_b>>2]|0)+64>>2]&511](_b,c,bc+1|0)|0}if(!(jb&16384))dc=ac;else{bc=f[a+320>>2]|0;b[ac>>0]=-126;b[ac+1>>0]=9;_b=ac+2|0;ac=ci[f[(f[bc>>2]|0)+60>>2]&1023](bc)|0;if(ac>>>0>127){cc=ac;Zb=_b;while(1){b[Zb>>0]=cc|128;Xb=cc>>>7;Wb=Zb+1|0;if(cc>>>0>16383){cc=Xb;Zb=Wb}else{ec=Wb;fc=Xb;break}}}else{ec=_b;fc=ac}b[ec>>0]=fc;dc=ki[f[(f[bc>>2]|0)+64>>2]&511](bc,c,ec+1|0)|0}if(!(jb&32768))gc=dc;else{ec=f[a+324>>2]|0;b[dc>>0]=-118;b[dc+1>>0]=9;bc=dc+2|0;dc=ci[f[(f[ec>>2]|0)+60>>2]&1023](ec)|0;if(dc>>>0>127){fc=dc;ac=bc;while(1){b[ac>>0]=fc|128;_b=fc>>>7;Zb=ac+1|0;if(fc>>>0>16383){fc=_b;ac=Zb}else{hc=Zb;ic=_b;break}}}else{hc=bc;ic=dc}b[hc>>0]=ic;gc=ki[f[(f[ec>>2]|0)+64>>2]&511](ec,c,hc+1|0)|0}if(!(jb&65536))jc=gc;else{hc=f[a+328>>2]|0;b[gc>>0]=-110;b[gc+1>>0]=9;ec=gc+2|0;gc=ci[f[(f[hc>>2]|0)+60>>2]&1023](hc)|0;if(gc>>>0>127){ic=gc;dc=ec;while(1){b[dc>>0]=ic|128;bc=ic>>>7;ac=dc+1|0;if(ic>>>0>16383){ic=bc;dc=ac}else{kc=ac;lc=bc;break}}}else{kc=ec;lc=gc}b[kc>>0]=lc;jc=ki[f[(f[hc>>2]|0)+64>>2]&511](hc,c,kc+1|0)|0}if(!(jb&131072))mc=jc;else{kc=f[a+332>>2]|0;b[jc>>0]=-102;b[jc+1>>0]=9;hc=jc+2|0;jc=ci[f[(f[kc>>2]|0)+60>>2]&1023](kc)|0;if(jc>>>0>127){lc=jc;gc=hc;while(1){b[gc>>0]=lc|128;ec=lc>>>7;dc=gc+1|0;if(lc>>>0>16383){lc=ec;gc=dc}else{nc=dc;oc=ec;break}}}else{nc=hc;oc=jc}b[nc>>0]=oc;mc=ki[f[(f[kc>>2]|0)+64>>2]&511](kc,c,nc+1|0)|0}if(!(jb&262144))pc=mc;else{nc=f[a+336>>2]|0;b[mc>>0]=-94;b[mc+1>>0]=9;kc=mc+2|0;mc=ci[f[(f[nc>>2]|0)+60>>2]&1023](nc)|0;if(mc>>>0>127){oc=mc;jc=kc;while(1){b[jc>>0]=oc|128;hc=oc>>>7;gc=jc+1|0;if(oc>>>0>16383){oc=hc;jc=gc}else{qc=gc;rc=hc;break}}}else{qc=kc;rc=mc}b[qc>>0]=rc;pc=ki[f[(f[nc>>2]|0)+64>>2]&511](nc,c,qc+1|0)|0}if(!(jb&524288))sc=pc;else{qc=f[a+340>>2]|0;b[pc>>0]=-86;b[pc+1>>0]=9;nc=pc+2|0;pc=ci[f[(f[qc>>2]|0)+60>>2]&1023](qc)|0;if(pc>>>0>127){rc=pc;mc=nc;while(1){b[mc>>0]=rc|128;kc=rc>>>7;jc=mc+1|0;if(rc>>>0>16383){rc=kc;mc=jc}else{tc=jc;uc=kc;break}}}else{tc=nc;uc=pc}b[tc>>0]=uc;sc=ki[f[(f[qc>>2]|0)+64>>2]&511](qc,c,tc+1|0)|0}if(!(jb&1048576))vc=sc;else{tc=f[a+344>>2]|0;b[sc>>0]=-78;b[sc+1>>0]=9;qc=sc+2|0;sc=ci[f[(f[tc>>2]|0)+60>>2]&1023](tc)|0;if(sc>>>0>127){uc=sc;pc=qc;while(1){b[pc>>0]=uc|128;nc=uc>>>7;mc=pc+1|0;if(uc>>>0>16383){uc=nc;pc=mc}else{wc=mc;xc=nc;break}}}else{wc=qc;xc=sc}b[wc>>0]=xc;vc=ki[f[(f[tc>>2]|0)+64>>2]&511](tc,c,wc+1|0)|0}if(!(jb&2097152))yc=vc;else{wc=f[a+348>>2]|0;b[vc>>0]=-54;b[vc+1>>0]=12;tc=vc+2|0;vc=ci[f[(f[wc>>2]|0)+60>>2]&1023](wc)|0;if(vc>>>0>127){xc=vc;sc=tc;while(1){b[sc>>0]=xc|128;qc=xc>>>7;pc=sc+1|0;if(xc>>>0>16383){xc=qc;sc=pc}else{zc=pc;Ac=qc;break}}}else{zc=tc;Ac=vc}b[zc>>0]=Ac;yc=ki[f[(f[wc>>2]|0)+64>>2]&511](wc,c,zc+1|0)|0}if(!(jb&4194304))Bc=yc;else{zc=f[a+352>>2]|0;b[yc>>0]=-110;b[yc+1>>0]=-15;b[yc+2>>0]=4;wc=yc+3|0;yc=ci[f[(f[zc>>2]|0)+60>>2]&1023](zc)|0;if(yc>>>0>127){Ac=yc;vc=wc;while(1){b[vc>>0]=Ac|128;tc=Ac>>>7;sc=vc+1|0;if(Ac>>>0>16383){Ac=tc;vc=sc}else{Cc=sc;Dc=tc;break}}}else{Cc=wc;Dc=yc}b[Cc>>0]=Dc;Bc=ki[f[(f[zc>>2]|0)+64>>2]&511](zc,c,Cc+1|0)|0}if(!(jb&8388608))Ec=Bc;else{jb=f[a+356>>2]|0;b[Bc>>0]=-70;b[Bc+1>>0]=-67;b[Bc+2>>0]=-60;b[Bc+3>>0]=31;Cc=Bc+4|0;Bc=ci[f[(f[jb>>2]|0)+60>>2]&1023](jb)|0;if(Bc>>>0>127){zc=Bc;Dc=Cc;while(1){b[Dc>>0]=zc|128;yc=zc>>>7;wc=Dc+1|0;if(zc>>>0>16383){zc=yc;Dc=wc}else{Fc=wc;Gc=yc;break}}}else{Fc=Cc;Gc=Bc}b[Fc>>0]=Gc;Ec=ki[f[(f[jb>>2]|0)+64>>2]&511](jb,c,Fc+1|0)|0}Fc=f[a+4>>2]|0;if(!(Fc&1)){Hc=Ec;return Hc|0}Hc=f4b(Fc&-2,Ec)|0;return Hc|0}function K9a(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function L9a(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,20216,0)|0;if(!c){c2b(b,a);return}else{O9a(a,c);return}}function M9a(a,b){a=a|0;b=b|0;f[a+364>>2]=b;return}function N9a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533640;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function O9a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}BHa(a+16|0,c+16|0);BHa(a+32|0,c+32|0);e=a+48|0;h=c+48|0;g=f[h>>2]|0;if(g|0){aEa(e,(f[e>>2]|0)+g|0);Krc((f[a+56>>2]|0)+4+(f[e>>2]<<2)|0,(f[c+56>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}P9a(a+60|0,c+60|0);jFa(a+76|0,c+76|0);HVa(a+92|0,c+92|0);HVa(a+108|0,c+108|0);h=a+124|0;e=c+124|0;g=f[e>>2]|0;if(g|0){aJa(h,(f[h>>2]|0)+g|0);Krc((f[h>>2]|0)+((f[a+132>>2]|0)+4)|0,(f[c+132>>2]|0)+4|0,f[e>>2]|0)|0;f[h>>2]=(f[h>>2]|0)+(f[e>>2]|0)}e=f[c+8>>2]|0;if(e&255|0){do if(e&1|0?(h=a+8|0,f[h>>2]=f[h>>2]|1,h=a+136|0,g=f[c+136>>2]|0,d=f[h>>2]|0,(d|0)!=(g|0)):0)if((d|0)==535416){aFa(h,g);break}else{Qmc(d,g)|0;break}while(0);do if(e&2|0?(g=a+8|0,f[g>>2]=f[g>>2]|2,g=a+140|0,d=f[c+140>>2]|0,h=f[g>>2]|0,(h|0)!=(d|0)):0)if((h|0)==535416){aFa(g,d);break}else{Qmc(h,d)|0;break}while(0);if(e&4|0){d=a+8|0;f[d>>2]=f[d>>2]|4;d=a+144|0;h=f[d>>2]|0;if(!h){g=Bmc(44)|0;nWa(g);f[d>>2]=g;i=g}else i=h;h=f[c+144>>2]|0;oWa(i,h|0?h:530984)}if(e&8|0){h=a+8|0;f[h>>2]=f[h>>2]|8;h=a+148|0;i=f[h>>2]|0;if(!i){g=Bmc(28)|0;uWa(g);f[h>>2]=g;j=g}else j=i;i=f[c+148>>2]|0;g=i|0?i:531032;i=j+4|0;h=f[g+4>>2]|0;if(h&1|0){d=f[i>>2]|0;if(!(d&1))k=AHa(i)|0;else k=d&-2;O3b(k,h&-2)}h=f[g+8>>2]|0;if(h&7|0){if(h&1|0)f[j+16>>2]=f[g+16>>2];if(h&2|0)b[j+20>>0]=b[g+20>>0]|0;if(h&4|0)f[j+24>>2]=f[g+24>>2];g=j+8|0;f[g>>2]=f[g>>2]|h}}if(e&16|0){h=a+8|0;f[h>>2]=f[h>>2]|16;h=a+152|0;g=f[h>>2]|0;if(!g){j=Bmc(28)|0;hWa(j);f[h>>2]=j;l=j}else l=g;g=f[c+152>>2]|0;j=g|0?g:531064;g=l+4|0;h=f[j+4>>2]|0;if(h&1|0){k=f[g>>2]|0;if(!(k&1))m=AHa(g)|0;else m=k&-2;O3b(m,h&-2)}h=f[j+8>>2]|0;if(h&7|0){if(h&1|0)f[l+16>>2]=f[j+16>>2];if(h&2|0)f[l+20>>2]=f[j+20>>2];if(h&4|0)f[l+24>>2]=f[j+24>>2];j=l+8|0;f[j>>2]=f[j>>2]|h}}if(e&32|0){h=a+8|0;f[h>>2]=f[h>>2]|32;h=a+156|0;j=f[h>>2]|0;if(!j){l=Bmc(28)|0;bWa(l);f[h>>2]=l;n=l}else n=j;j=f[c+156>>2]|0;l=j|0?j:531096;j=n+4|0;h=f[l+4>>2]|0;if(h&1|0){m=f[j>>2]|0;if(!(m&1))o=AHa(j)|0;else o=m&-2;O3b(o,h&-2)}h=f[l+8>>2]|0;if(h&7|0){if(h&1|0)b[n+16>>0]=b[l+16>>0]|0;if(h&2|0)f[n+20>>2]=f[l+20>>2];if(h&4|0)f[n+24>>2]=f[l+24>>2];l=n+8|0;f[l>>2]=f[l>>2]|h}}if(e&64|0){h=a+8|0;f[h>>2]=f[h>>2]|64;h=a+160|0;l=f[h>>2]|0;if(!l){n=Bmc(24)|0;IVa(n);f[h>>2]=n;p=n}else p=l;l=f[c+160>>2]|0;n=l|0?l:531128;l=p+4|0;h=f[n+4>>2]|0;if(h&1|0){o=f[l>>2]|0;if(!(o&1))q=AHa(l)|0;else q=o&-2;O3b(q,h&-2)}h=f[n+8>>2]|0;if(h&3|0){if(h&1|0)f[p+16>>2]=f[n+16>>2];if(h&2|0)f[p+20>>2]=f[n+20>>2];n=p+8|0;f[n>>2]=f[n>>2]|h}}if(e&128|0){h=a+8|0;f[h>>2]=f[h>>2]|128;h=a+164|0;n=f[h>>2]|0;if(!n){p=Bmc(24)|0;sWa(p);f[h>>2]=p;r=p}else r=n;n=f[c+164>>2]|0;p=n|0?n:531216;n=r+4|0;h=f[p+4>>2]|0;if(h&1|0){q=f[n>>2]|0;if(!(q&1))s=AHa(n)|0;else s=q&-2;O3b(s,h&-2)}h=f[p+8>>2]|0;if(h&3|0){if(h&1|0)b[r+16>>0]=b[p+16>>0]|0;if(h&2|0)f[r+20>>2]=f[p+20>>2];p=r+8|0;f[p>>2]=f[p>>2]|h}}}do if(e&65280|0){if(e&256|0){h=a+8|0;f[h>>2]=f[h>>2]|256;h=a+168|0;p=f[h>>2]|0;if(!p){r=Bmc(120)|0;JVa(r);f[h>>2]=r;t=r}else t=p;p=f[c+168>>2]|0;KVa(t,p|0?p:531240)}if(e&512|0){p=a+8|0;f[p>>2]=f[p>>2]|512;p=a+172|0;r=f[p>>2]|0;if(!r){h=Bmc(52)|0;LVa(h);f[p>>2]=h;u=h}else u=r;r=f[c+172>>2]|0;MVa(u,r|0?r:531392)}if(e&1024|0){r=a+8|0;f[r>>2]=f[r>>2]|1024;r=a+176|0;h=f[r>>2]|0;if(!h){p=Bmc(24)|0;NVa(p);f[r>>2]=p;v=p}else v=h;h=f[c+176>>2]|0;p=h|0?h:531520;h=v+4|0;r=f[p+4>>2]|0;if(r&1|0){s=f[h>>2]|0;if(!(s&1))w=AHa(h)|0;else w=s&-2;O3b(w,r&-2)}r=f[p+8>>2]|0;if(r&3|0){if(r&1|0)f[v+16>>2]=f[p+16>>2];if(r&2|0)b[v+20>>0]=b[p+20>>0]|0;p=v+8|0;f[p>>2]=f[p>>2]|r}}if(e&2048|0){r=a+8|0;f[r>>2]=f[r>>2]|2048;r=a+180|0;p=f[r>>2]|0;if(!p){s=Bmc(96)|0;fWa(s);f[r>>2]=s;x=s}else x=p;p=f[c+180>>2]|0;gWa(x,p|0?p:531544)}if(e&4096|0){p=a+8|0;f[p>>2]=f[p>>2]|4096;p=a+184|0;s=f[p>>2]|0;if(!s){r=Bmc(36)|0;cWa(r);f[p>>2]=r;y=r}else y=s;s=f[c+184>>2]|0;dWa(y,s|0?s:531640)}if(e&8192|0){s=a+8|0;f[s>>2]=f[s>>2]|8192;s=a+188|0;r=f[s>>2]|0;if(!r){p=Bmc(28)|0;tWa(p);f[s>>2]=p;z=p}else z=r;r=f[c+188>>2]|0;p=r|0?r:531744;r=z+4|0;s=f[p+4>>2]|0;if(s&1|0){h=f[r>>2]|0;if(!(h&1))A=AHa(r)|0;else A=h&-2;O3b(A,s&-2)}s=f[p+8>>2]|0;if(s&7|0){if(s&1|0)f[z+16>>2]=f[p+16>>2];if(s&2|0)f[z+20>>2]=f[p+20>>2];if(s&4|0)f[z+24>>2]=f[p+24>>2];p=z+8|0;f[p>>2]=f[p>>2]|s}}if(e&16384|0){s=a+8|0;f[s>>2]=f[s>>2]|16384;s=a+192|0;p=f[s>>2]|0;if(!p){h=Bmc(28)|0;OVa(h);f[s>>2]=h;B=h}else B=p;p=f[c+192>>2]|0;PVa(B,p|0?p:531800)}if(e&32768|0){p=a+8|0;f[p>>2]=f[p>>2]|32768;p=a+196|0;h=f[p>>2]|0;if(!h){s=Bmc(20)|0;FUa(s);f[p>>2]=s;C=s}else C=h;h=f[c+196>>2]|0;s=h|0?h:531832;h=C+4|0;p=f[s+4>>2]|0;if(p&1|0){r=f[h>>2]|0;if(!(r&1))D=AHa(h)|0;else D=r&-2;O3b(D,p&-2)}if(f[s+8>>2]&1|0?(p=C+8|0,f[p>>2]=f[p>>2]|1,p=C+16|0,r=f[s+16>>2]|0,s=f[p>>2]|0,(s|0)!=(r|0)):0)if((s|0)==535416){aFa(p,r);break}else{Qmc(s,r)|0;break}}}while(0);if(e&16711680|0){if(e&65536|0){C=a+8|0;f[C>>2]=f[C>>2]|65536;C=a+200|0;D=f[C>>2]|0;if(!D){B=Bmc(20)|0;iWa(B);f[C>>2]=B;E=B}else E=D;D=f[c+200>>2]|0;B=D|0?D:531856;D=E+4|0;C=f[B+4>>2]|0;if(C&1|0){z=f[D>>2]|0;if(!(z&1))F=AHa(D)|0;else F=z&-2;O3b(F,C&-2)}if(f[B+8>>2]&1|0){C=f[B+16>>2]|0;B=E+8|0;f[B>>2]=f[B>>2]|1;f[E+16>>2]=C}}if(e&131072|0){C=a+8|0;f[C>>2]=f[C>>2]|131072;C=a+204|0;E=f[C>>2]|0;if(!E){B=Bmc(60)|0;QVa(B);f[C>>2]=B;G=B}else G=E;E=f[c+204>>2]|0;RVa(G,E|0?E:531880)}do if(e&262144|0){E=a+8|0;f[E>>2]=f[E>>2]|262144;E=a+208|0;G=f[E>>2]|0;if(!G){B=Bmc(20)|0;SVa(B);f[E>>2]=B;H=B}else H=G;G=f[c+208>>2]|0;B=G|0?G:531944;G=H+4|0;E=f[B+4>>2]|0;if(E&1|0){C=f[G>>2]|0;if(!(C&1))I=AHa(G)|0;else I=C&-2;O3b(I,E&-2)}if(f[B+8>>2]&1|0?(E=H+8|0,f[E>>2]=f[E>>2]|1,E=H+16|0,C=f[B+16>>2]|0,B=f[E>>2]|0,(B|0)!=(C|0)):0)if((B|0)==535416){aFa(E,C);break}else{Qmc(B,C)|0;break}}while(0);if(e&524288|0){H=a+8|0;f[H>>2]=f[H>>2]|524288;H=a+212|0;I=f[H>>2]|0;if(!I){C=Bmc(36)|0;TVa(C);f[H>>2]=C;J=C}else J=I;I=f[c+212>>2]|0;UVa(J,I|0?I:531968)}if(e&1048576|0){I=a+8|0;f[I>>2]=f[I>>2]|1048576;I=a+216|0;J=f[I>>2]|0;if(!J){C=Bmc(40)|0;VVa(C);f[I>>2]=C;K=C}else K=J;J=f[c+216>>2]|0;WVa(K,J|0?J:532072)}if(e&2097152|0){J=a+8|0;f[J>>2]=f[J>>2]|2097152;J=a+220|0;K=f[J>>2]|0;if(!K){C=Bmc(32)|0;aWa(C);f[J>>2]=C;L=C}else L=K;K=f[c+220>>2]|0;C=K|0?K:532112;K=L+4|0;J=f[C+4>>2]|0;if(J&1|0){I=f[K>>2]|0;if(!(I&1))M=AHa(K)|0;else M=I&-2;O3b(M,J&-2)}J=f[C+8>>2]|0;if(J&15|0){if(J&1|0)f[L+16>>2]=f[C+16>>2];if(J&2|0)f[L+20>>2]=f[C+20>>2];if(J&4|0)f[L+24>>2]=f[C+24>>2];if(J&8|0)f[L+28>>2]=f[C+28>>2];C=L+8|0;f[C>>2]=f[C>>2]|J}}if(e&4194304|0){J=a+8|0;f[J>>2]=f[J>>2]|4194304;J=a+224|0;C=f[J>>2]|0;if(!C){L=Bmc(24)|0;mWa(L);f[J>>2]=L;N=L}else N=C;C=f[c+224>>2]|0;L=C|0?C:532144;C=N+4|0;J=f[L+4>>2]|0;if(J&1|0){M=f[C>>2]|0;if(!(M&1))O=AHa(C)|0;else O=M&-2;O3b(O,J&-2)}J=f[L+8>>2]|0;if(J&7|0){if(J&1|0)b[N+16>>0]=b[L+16>>0]|0;if(J&2|0)b[N+17>>0]=b[L+17>>0]|0;if(J&4|0)f[N+20>>2]=f[L+20>>2];L=N+8|0;f[L>>2]=f[L>>2]|J}}if(e&8388608|0){J=a+8|0;f[J>>2]=f[J>>2]|8388608;J=a+228|0;L=f[J>>2]|0;if(!L){N=Bmc(68)|0;XVa(N);f[J>>2]=N;P=N}else P=L;L=f[c+228>>2]|0;YVa(P,L|0?L:532192)}}if(e>>>0>16777215){if(e&16777216|0){L=a+8|0;f[L>>2]=f[L>>2]|16777216;L=a+232|0;P=f[L>>2]|0;if(!P){N=Bmc(28)|0;$Va(N);f[L>>2]=N;Q=N}else Q=P;P=f[c+232>>2]|0;N=P|0?P:532264;P=Q+4|0;L=f[N+4>>2]|0;if(L&1|0){J=f[P>>2]|0;if(!(J&1))R=AHa(P)|0;else R=J&-2;O3b(R,L&-2)}L=f[N+8>>2]|0;if(L&7|0){if(L&1|0)f[Q+16>>2]=f[N+16>>2];if(L&2|0)f[Q+20>>2]=f[N+20>>2];if(L&4|0)f[Q+24>>2]=f[N+24>>2];N=Q+8|0;f[N>>2]=f[N>>2]|L}}if(e&33554432|0){L=a+8|0;f[L>>2]=f[L>>2]|33554432;L=a+236|0;N=f[L>>2]|0;if(!N){Q=Bmc(24)|0;jWa(Q);f[L>>2]=Q;S=Q}else S=N;N=f[c+236>>2]|0;Q=N|0?N:532392;N=S+4|0;L=f[Q+4>>2]|0;if(L&1|0){R=f[N>>2]|0;if(!(R&1))T=AHa(N)|0;else T=R&-2;O3b(T,L&-2)}L=f[Q+8>>2]|0;if(L&3|0){if(L&1|0)f[S+16>>2]=f[Q+16>>2];if(L&2|0)f[S+20>>2]=f[Q+20>>2];Q=S+8|0;f[Q>>2]=f[Q>>2]|L}}if(e&67108864|0){L=a+8|0;f[L>>2]=f[L>>2]|67108864;L=a+240|0;Q=f[L>>2]|0;if(!Q){S=Bmc(20)|0;qWa(S);f[L>>2]=S;U=S}else U=Q;Q=f[c+240>>2]|0;S=Q|0?Q:532488;Q=U+4|0;L=f[S+4>>2]|0;if(L&1|0){T=f[Q>>2]|0;if(!(T&1))V=AHa(Q)|0;else V=T&-2;O3b(V,L&-2)}if(f[S+8>>2]&1|0){L=f[S+16>>2]|0;S=U+8|0;f[S>>2]=f[S>>2]|1;f[U+16>>2]=L}}if(e&134217728|0){L=a+8|0;f[L>>2]=f[L>>2]|134217728;L=a+244|0;U=f[L>>2]|0;if(!U){S=Bmc(24)|0;rWa(S);f[L>>2]=S;W=S}else W=U;U=f[c+244>>2]|0;S=U|0?U:532552;U=W+4|0;L=f[S+4>>2]|0;if(L&1|0){V=f[U>>2]|0;if(!(V&1))X=AHa(U)|0;else X=V&-2;O3b(X,L&-2)}L=f[S+8>>2]|0;if(L&3|0){if(L&1|0)f[W+16>>2]=f[S+16>>2];if(L&2|0)f[W+20>>2]=f[S+20>>2];S=W+8|0;f[S>>2]=f[S>>2]|L}}if(e&268435456|0){L=a+8|0;f[L>>2]=f[L>>2]|268435456;L=a+248|0;S=f[L>>2]|0;if(!S){W=Bmc(36)|0;kWa(W);f[L>>2]=W;Y=W}else Y=S;S=f[c+248>>2]|0;lWa(Y,S|0?S:532512)}if(e&536870912|0){S=a+8|0;f[S>>2]=f[S>>2]|536870912;S=a+252|0;Y=f[S>>2]|0;if(!Y){W=Bmc(20)|0;pWa(W);f[S>>2]=W;Z=W}else Z=Y;Y=f[c+252>>2]|0;W=Y|0?Y:532576;Y=Z+4|0;S=f[W+4>>2]|0;if(S&1|0){L=f[Y>>2]|0;if(!(L&1))_=AHa(Y)|0;else _=L&-2;O3b(_,S&-2)}if(f[W+8>>2]&1|0){S=f[W+16>>2]|0;W=Z+8|0;f[W>>2]=f[W>>2]|1;f[Z+16>>2]=S}}if(e&1073741824|0){S=a+8|0;f[S>>2]=f[S>>2]|1073741824;S=a+256|0;Z=f[S>>2]|0;if(!Z){W=Bmc(20)|0;eWa(W);f[S>>2]=W;$=W}else $=Z;Z=f[c+256>>2]|0;W=Z|0?Z:532624;Z=$+4|0;S=f[W+4>>2]|0;if(S&1|0){_=f[Z>>2]|0;if(!(_&1))aa=AHa(Z)|0;else aa=_&-2;O3b(aa,S&-2)}if(f[W+8>>2]&1|0){S=f[W+16>>2]|0;W=$+8|0;f[W>>2]=f[W>>2]|1;f[$+16>>2]=S}}if((e|0)<0){e=a+8|0;f[e>>2]=f[e>>2]|-2147483648;e=a+260|0;S=f[e>>2]|0;if(!S){$=Bmc(64)|0;ZVa($);f[e>>2]=$;ba=$}else ba=S;S=f[c+260>>2]|0;_Va(ba,S|0?S:532648)}}S=f[c+12>>2]|0;if(S&255|0){if(S&1|0){ba=a+12|0;f[ba>>2]=f[ba>>2]|1;ba=a+264|0;$=f[ba>>2]|0;if(!$){e=Bmc(32)|0;T5a(e);f[ba>>2]=e;ca=e}else ca=$;$=f[c+264>>2]|0;S5a(ca,$|0?$:532296)}if(S&2|0){$=a+12|0;f[$>>2]=f[$>>2]|2;$=a+268|0;ca=f[$>>2]|0;if(!ca){e=Bmc(24)|0;nUa(e);f[$>>2]=e;da=e}else da=ca;ca=f[c+268>>2]|0;WTa(da,ca|0?ca:533240)}if(S&4|0){ca=a+12|0;f[ca>>2]=f[ca>>2]|4;ca=a+272|0;da=f[ca>>2]|0;if(!da){e=Bmc(28)|0;V3a(e);f[ca>>2]=e;ea=e}else ea=da;da=f[c+272>>2]|0;e=da|0?da:532712;da=ea+4|0;ca=f[e+4>>2]|0;if(ca&1|0){$=f[da>>2]|0;if(!($&1))fa=AHa(da)|0;else fa=$&-2;O3b(fa,ca&-2)}ca=f[e+8>>2]|0;if(ca&7|0){if(ca&1|0)f[ea+16>>2]=f[e+16>>2];if(ca&2|0)f[ea+20>>2]=f[e+20>>2];if(ca&4|0)f[ea+24>>2]=f[e+24>>2];e=ea+8|0;f[e>>2]=f[e>>2]|ca}}if(S&8|0){ca=a+12|0;f[ca>>2]=f[ca>>2]|8;ca=a+276|0;e=f[ca>>2]|0;if(!e){ea=Bmc(28)|0;U4a(ea);f[ca>>2]=ea;ga=ea}else ga=e;e=f[c+276>>2]|0;T4a(ga,e|0?e:532416)}if(S&16|0){e=a+12|0;f[e>>2]=f[e>>2]|16;e=a+280|0;ga=f[e>>2]|0;if(!ga){ea=Bmc(28)|0;B6a(ea);f[e>>2]=ea;ha=ea}else ha=ga;ga=f[c+280>>2]|0;ea=ga|0?ga:532040;ga=ha+4|0;e=f[ea+4>>2]|0;if(e&1|0){ca=f[ga>>2]|0;if(!(ca&1))ia=AHa(ga)|0;else ia=ca&-2;O3b(ia,e&-2)}e=f[ea+8>>2]|0;if(e&7|0){if(e&1|0)f[ha+16>>2]=f[ea+16>>2];if(e&2|0)f[ha+20>>2]=f[ea+20>>2];if(e&4|0)f[ha+24>>2]=f[ea+24>>2];ea=ha+8|0;f[ea>>2]=f[ea>>2]|e}}if(S&32|0){e=a+12|0;f[e>>2]=f[e>>2]|32;e=a+284|0;ea=f[e>>2]|0;if(!ea){ha=Bmc(24)|0;h7a(ha);f[e>>2]=ha;ja=ha}else ja=ea;ea=f[c+284>>2]|0;ha=ea|0?ea:531776;ea=ja+4|0;e=f[ha+4>>2]|0;if(e&1|0){ia=f[ea>>2]|0;if(!(ia&1))ka=AHa(ea)|0;else ka=ia&-2;O3b(ka,e&-2)}e=f[ha+8>>2]|0;if(e&3|0){if(e&1|0)f[ja+16>>2]=f[ha+16>>2];if(e&2|0)f[ja+20>>2]=f[ha+20>>2];ha=ja+8|0;f[ha>>2]=f[ha>>2]|e}}if(S&64|0){e=a+12|0;f[e>>2]=f[e>>2]|64;e=a+288|0;ha=f[e>>2]|0;if(!ha){ja=Bmc(28)|0;j5a(ja);f[e>>2]=ja;la=ja}else la=ha;ha=f[c+288>>2]|0;ja=ha|0?ha:532360;ha=la+4|0;e=f[ja+4>>2]|0;if(e&1|0){ka=f[ha>>2]|0;if(!(ka&1))ma=AHa(ha)|0;else ma=ka&-2;O3b(ma,e&-2)}e=f[ja+8>>2]|0;if(e&7|0){if(e&1|0)f[la+16>>2]=f[ja+16>>2];if(e&2|0)f[la+20>>2]=f[ja+20>>2];if(e&4|0)f[la+24>>2]=f[ja+24>>2];ja=la+8|0;f[ja>>2]=f[ja>>2]|e}}if(S&128|0){e=a+12|0;f[e>>2]=f[e>>2]|128;e=a+292|0;ja=f[e>>2]|0;if(!ja){la=Bmc(36)|0;z7a(la);f[e>>2]=la;na=la}else na=ja;ja=f[c+292>>2]|0;y7a(na,ja|0?ja:531704)}}if(S&65280|0){if(S&256|0){ja=a+12|0;f[ja>>2]=f[ja>>2]|256;ja=a+296|0;na=f[ja>>2]|0;if(!na){la=Bmc(24)|0;k4a(la);f[ja>>2]=la;oa=la}else oa=na;na=f[c+296>>2]|0;la=na|0?na:532600;na=oa+4|0;ja=f[la+4>>2]|0;if(ja&1|0){e=f[na>>2]|0;if(!(e&1))pa=AHa(na)|0;else pa=e&-2;O3b(pa,ja&-2)}ja=f[la+8>>2]|0;if(ja&3|0){if(ja&1|0)f[oa+16>>2]=f[la+16>>2];if(ja&2|0)f[oa+20>>2]=f[la+20>>2];la=oa+8|0;f[la>>2]=f[la>>2]|ja}}if(S&512|0){ja=a+12|0;f[ja>>2]=f[ja>>2]|512;ja=a+300|0;la=f[ja>>2]|0;if(!la){oa=Bmc(28)|0;x9a(oa);f[ja>>2]=oa;qa=oa}else qa=la;la=f[c+300>>2]|0;oa=la|0?la:531152;la=qa+4|0;ja=f[oa+4>>2]|0;if(ja&1|0){pa=f[la>>2]|0;if(!(pa&1))ra=AHa(la)|0;else ra=pa&-2;O3b(ra,ja&-2)}ja=f[oa+8>>2]|0;if(ja&15|0){if(ja&1|0)b[qa+16>>0]=b[oa+16>>0]|0;if(ja&2|0)b[qa+17>>0]=b[oa+17>>0]|0;if(ja&4|0)f[qa+20>>2]=f[oa+20>>2];if(ja&8|0)f[qa+24>>2]=f[oa+24>>2];oa=qa+8|0;f[oa>>2]=f[oa>>2]|ja}}if(S&1024|0){ja=a+12|0;f[ja>>2]=f[ja>>2]|1024;ja=a+304|0;oa=f[ja>>2]|0;if(!oa){qa=Bmc(20)|0;Q7a(qa);f[ja>>2]=qa;sa=qa}else sa=oa;oa=f[c+304>>2]|0;qa=oa|0?oa:531680;oa=sa+4|0;ja=f[qa+4>>2]|0;if(ja&1|0){ra=f[oa>>2]|0;if(!(ra&1))ta=AHa(oa)|0;else ta=ra&-2;O3b(ta,ja&-2)}if(f[qa+8>>2]&1|0){ja=f[qa+16>>2]|0;qa=sa+8|0;f[qa>>2]=f[qa>>2]|1;f[sa+16>>2]=ja}}if(S&2048|0){ja=a+12|0;f[ja>>2]=f[ja>>2]|2048;ja=a+308|0;sa=f[ja>>2]|0;if(!sa){qa=Bmc(28)|0;g9a(qa);f[ja>>2]=qa;ua=qa}else ua=sa;sa=f[c+308>>2]|0;f9a(ua,sa|0?sa:531184)}if(S&4096|0){sa=a+12|0;f[sa>>2]=f[sa>>2]|4096;sa=a+312|0;ua=f[sa>>2]|0;if(!ua){qa=Bmc(36)|0;C4a(qa);f[sa>>2]=qa;va=qa}else va=ua;ua=f[c+312>>2]|0;B4a(va,ua|0?ua:532448)}if(S&8192|0){ua=a+12|0;f[ua>>2]=f[ua>>2]|8192;ua=a+316|0;va=f[ua>>2]|0;if(!va){qa=Bmc(32)|0;S6a(qa);f[ua>>2]=qa;wa=qa}else wa=va;va=f[c+316>>2]|0;qa=va|0?va:532008;va=wa+4|0;ua=f[qa+4>>2]|0;if(ua&1|0){sa=f[va>>2]|0;if(!(sa&1))xa=AHa(va)|0;else xa=sa&-2;O3b(xa,ua&-2)}$Za(wa+16|0,qa+16|0)}if(S&16384|0){qa=a+12|0;f[qa>>2]=f[qa>>2]|16384;qa=a+320|0;wa=f[qa>>2]|0;if(!wa){ua=Bmc(32)|0;Q8a(ua);f[qa>>2]=ua;ya=ua}else ya=wa;wa=f[c+320>>2]|0;P8a(ya,wa|0?wa:531360)}if(S&32768|0){wa=a+12|0;f[wa>>2]=f[wa>>2]|32768;wa=a+324|0;ya=f[wa>>2]|0;if(!ya){ua=Bmc(20)|0;k6a(ua);f[wa>>2]=ua;za=ua}else za=ya;ya=f[c+324>>2]|0;j6a(za,ya|0?ya:532168)}}do if(S&16711680|0){if(S&65536|0){ya=a+12|0;f[ya>>2]=f[ya>>2]|65536;ya=a+328|0;za=f[ya>>2]|0;if(!za){ua=Bmc(32)|0;B5a(ua);f[ya>>2]=ua;Aa=ua}else Aa=za;za=f[c+328>>2]|0;A5a(Aa,za|0?za:532328)}if(S&131072|0){za=a+12|0;f[za>>2]=f[za>>2]|131072;za=a+332|0;ua=f[za>>2]|0;if(!ua){ya=Bmc(52)|0;Q9a(ya);f[za>>2]=ya;Ba=ya}else Ba=ua;ua=f[c+332>>2]|0;R9a(Ba,ua|0?ua:529936)}if(S&262144|0){ua=a+12|0;f[ua>>2]=f[ua>>2]|262144;ua=a+336|0;ya=f[ua>>2]|0;if(!ya){za=Bmc(28)|0;S9a(za);f[ua>>2]=za;Ca=za}else Ca=ya;ya=f[c+336>>2]|0;za=ya|0?ya:529744;ya=Ca+4|0;ua=f[za+4>>2]|0;if(ua&1|0){wa=f[ya>>2]|0;if(!(wa&1))Da=AHa(ya)|0;else Da=wa&-2;O3b(Da,ua&-2)}ua=Ca+16|0;wa=za+16|0;ya=f[wa>>2]|0;if(ya|0){iFa(ua,(f[ua>>2]|0)+ya|0);Krc((f[Ca+24>>2]|0)+4+(f[ua>>2]<<2)|0,(f[za+24>>2]|0)+4|0,f[wa>>2]<<2|0)|0;f[ua>>2]=(f[ua>>2]|0)+(f[wa>>2]|0)}}if(S&524288|0){wa=a+12|0;f[wa>>2]=f[wa>>2]|524288;wa=a+340|0;ua=f[wa>>2]|0;if(!ua){za=Bmc(28)|0;T9a(za);f[wa>>2]=za;Ea=za}else Ea=ua;ua=f[c+340>>2]|0;U9a(Ea,ua|0?ua:529776)}if(S&1048576|0){ua=a+12|0;f[ua>>2]=f[ua>>2]|1048576;ua=a+344|0;za=f[ua>>2]|0;if(!za){wa=Bmc(128)|0;V9a(wa);f[ua>>2]=wa;Fa=wa}else Fa=za;za=f[c+344>>2]|0;W9a(Fa,za|0?za:529808)}if(S&2097152|0){za=a+12|0;f[za>>2]=f[za>>2]|2097152;za=a+348|0;wa=f[za>>2]|0;if(!wa){ua=Bmc(64)|0;YSa(ua);f[za>>2]=ua;Ga=ua}else Ga=wa;wa=f[c+348>>2]|0;WSa(Ga,wa|0?wa:533344)}do if(S&4194304|0){wa=a+12|0;f[wa>>2]=f[wa>>2]|4194304;wa=a+352|0;ua=f[wa>>2]|0;if(!ua){za=Bmc(28)|0;FSa(za);f[wa>>2]=za;Ha=za}else Ha=ua;ua=f[c+352>>2]|0;za=ua|0?ua:533408;ua=Ha+4|0;wa=f[za+4>>2]|0;if(wa&1|0){ya=f[ua>>2]|0;if(!(ya&1))Ia=AHa(ua)|0;else Ia=ya&-2;O3b(Ia,wa&-2)}wa=f[za+8>>2]|0;if(!(wa&7))break;if(wa&1|0)f[Ha+16>>2]=f[za+16>>2];if(wa&2|0)f[Ha+20>>2]=f[za+20>>2];if(wa&4|0)f[Ha+24>>2]=f[za+24>>2];za=Ha+8|0;f[za>>2]=f[za>>2]|wa}while(0);if(S&8388608|0){wa=a+12|0;f[wa>>2]=f[wa>>2]|8388608;wa=a+356|0;za=f[wa>>2]|0;if(!za){ya=Bmc(28)|0;nTa(ya);f[wa>>2]=ya;Ja=ya}else Ja=za;za=f[c+356>>2]|0;ya=za|0?za:533312;za=Ja+4|0;wa=f[ya+4>>2]|0;if(wa&1|0){ua=f[za>>2]|0;if(!(ua&1))Ka=AHa(za)|0;else Ka=ua&-2;O3b(Ka,wa&-2)}wa=f[ya+8>>2]|0;if(!(wa&7))break;if(wa&1|0)f[Ja+16>>2]=f[ya+16>>2];if(wa&2|0)f[Ja+20>>2]=f[ya+20>>2];if(wa&4|0)f[Ja+24>>2]=f[ya+24>>2];ya=Ja+8|0;f[ya>>2]=f[ya>>2]|wa}}while(0);if(!(S&16777216))return;S=f[c+360>>2]|0;c=a+12|0;f[c>>2]=f[c>>2]|16777216;f[a+360>>2]=S;return}function P9a(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{gbb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(32)|0;fbb(l);gbb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,20296,32);l=oBb(i,32,1639)|0;fbb(l);gbb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function Q9a(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=128620;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=529936?(f[222742]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=42;b[d+8>>0]=0;dEb(890968,d);zDb(d)}d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[d+24>>2]=0;f[a+40>>2]=-1;f[a+44>>2]=1;b[a+48>>0]=1;b[a+49>>0]=1;u=c;return}function R9a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}e=f[c+8>>2]|0;if(e&255|0){if(e&1|0){h=a+8|0;f[h>>2]=f[h>>2]|1;h=a+16|0;g=f[h>>2]|0;if(!g){d=Bmc(28)|0;y8a(d);f[h>>2]=d;i=d}else i=g;g=f[c+16>>2]|0;d=g|0?g:531448;g=i+4|0;h=f[d+4>>2]|0;if(h&1|0){j=f[g>>2]|0;if(!(j&1))k=AHa(g)|0;else k=j&-2;O3b(k,h&-2)}h=f[d+8>>2]|0;if(h&7|0){if(h&1|0)f[i+16>>2]=f[d+16>>2];if(h&2|0)f[i+20>>2]=f[d+20>>2];if(h&4|0)f[i+24>>2]=f[d+24>>2];d=i+8|0;f[d>>2]=f[d>>2]|h}}if(e&2|0){h=a+8|0;f[h>>2]=f[h>>2]|2;h=a+20|0;d=f[h>>2]|0;if(!d){i=Bmc(40)|0;g8a(i);f[h>>2]=i;l=i}else l=d;d=f[c+20>>2]|0;f8a(l,d|0?d:531480)}if(e&4|0)f[a+24>>2]=f[c+24>>2];if(e&8|0)f[a+28>>2]=f[c+28>>2];if(e&16|0)b[a+32>>0]=b[c+32>>0]|0;if(e&32|0)f[a+36>>2]=f[c+36>>2];if(e&64|0)f[a+40>>2]=f[c+40>>2];if(e&128|0)f[a+44>>2]=f[c+44>>2];d=a+8|0;f[d>>2]=f[d>>2]|e}if(!(e&768))return;if(e&256|0)b[a+48>>0]=b[c+48>>0]|0;if(e&512|0)b[a+49>>0]=b[c+49>>0]|0;c=a+8|0;f[c>>2]=f[c>>2]|e;return}function S9a(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=128512;f[a+4>>2]=0;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;if((a|0)!=529744?(f[222739]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=39;b[d+8>>0]=0;dEb(890956,d);zDb(d)}f[a+12>>2]=0;u=c;return}function T9a(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=128404;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=529776?(f[222740]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=40;b[d+8>>0]=0;dEb(890960,d);zDb(d)}f[a+12>>2]=0;f[a+16>>2]=0;b[a+20>>0]=1;b[a+21>>0]=1;n[a+24>>2]=1.000000013351432e-10;u=c;return}function U9a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}e=f[c+8>>2]|0;if(!(e&15))return;if(e&1|0){h=a+8|0;f[h>>2]=f[h>>2]|1;h=a+16|0;g=f[h>>2]|0;if(!g){d=Bmc(48)|0;XTa(d);f[h>>2]=d;i=d}else i=g;g=f[c+16>>2]|0;YTa(i,g|0?g:530048)}if(e&2|0)b[a+20>>0]=b[c+20>>0]|0;if(e&4|0)b[a+21>>0]=b[c+21>>0]|0;if(e&8|0)f[a+24>>2]=f[c+24>>2];c=a+8|0;f[c>>2]=f[c>>2]|e;return}function V9a(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;f[a>>2]=128296;f[a+4>>2]=0;f[a+8>>2]=0;e=(a|0)==529808;g=a+16|0;h=g+72|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));if(!e?(f[222741]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=41;b[d+8>>0]=0;dEb(890964,d);zDb(d)}f[a+12>>2]=0;d=a+88|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[d+24>>2]=0;f[d+28>>2]=0;b[a+120>>0]=1;b[a+121>>0]=1;n[a+124>>2]=.5;u=c;return}function W9a(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}e=a+16|0;h=c+16|0;g=f[h>>2]|0;if(g|0){aEa(e,(f[e>>2]|0)+g|0);Krc((f[a+24>>2]|0)+4+(f[e>>2]<<2)|0,(f[c+24>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}h=a+28|0;e=c+28|0;g=f[e>>2]|0;if(g|0){aEa(h,(f[h>>2]|0)+g|0);Krc((f[a+36>>2]|0)+4+(f[h>>2]<<2)|0,(f[c+36>>2]|0)+4|0,f[e>>2]<<2|0)|0;f[h>>2]=(f[h>>2]|0)+(f[e>>2]|0)}e=a+40|0;h=c+40|0;g=f[h>>2]|0;if(g|0){aEa(e,(f[e>>2]|0)+g|0);Krc((f[a+48>>2]|0)+4+(f[e>>2]<<2)|0,(f[c+48>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}h=a+52|0;e=c+52|0;g=f[e>>2]|0;if(g|0){aEa(h,(f[h>>2]|0)+g|0);Krc((f[a+60>>2]|0)+4+(f[h>>2]<<2)|0,(f[c+60>>2]|0)+4|0,f[e>>2]<<2|0)|0;f[h>>2]=(f[h>>2]|0)+(f[e>>2]|0)}e=a+64|0;h=c+64|0;g=f[h>>2]|0;if(g|0){aEa(e,(f[e>>2]|0)+g|0);Krc((f[a+72>>2]|0)+4+(f[e>>2]<<2)|0,(f[c+72>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}h=a+76|0;e=c+76|0;g=f[e>>2]|0;if(g|0){aEa(h,(f[h>>2]|0)+g|0);Krc((f[a+84>>2]|0)+4+(f[h>>2]<<2)|0,(f[c+84>>2]|0)+4|0,f[e>>2]<<2|0)|0;f[h>>2]=(f[h>>2]|0)+(f[e>>2]|0)}e=f[c+8>>2]|0;if(e&255|0){if(e&1|0)f[a+88>>2]=f[c+88>>2];if(e&2|0)f[a+92>>2]=f[c+92>>2];if(e&4|0)f[a+96>>2]=f[c+96>>2];if(e&8|0)f[a+100>>2]=f[c+100>>2];if(e&16|0)f[a+104>>2]=f[c+104>>2];if(e&32|0)f[a+108>>2]=f[c+108>>2];if(e&64|0)f[a+112>>2]=f[c+112>>2];if(e&128|0)f[a+116>>2]=f[c+116>>2];h=a+8|0;f[h>>2]=f[h>>2]|e}if(!(e&1792))return;if(e&256|0)b[a+120>>0]=b[c+120>>0]|0;if(e&512|0)b[a+121>>0]=b[c+121>>0]|0;if(e&1024|0)f[a+124>>2]=f[c+124>>2];c=a+8|0;f[c>>2]=f[c>>2]|e;return}function X9a(a){a=a|0;var b=0,c=0;f[a>>2]=128296;b=f[a+84>>2]|0;if(b|0?(f[b>>2]|0)==0:0)Emc(b);b=f[a+72>>2]|0;if(b|0?(f[b>>2]|0)==0:0)Emc(b);b=f[a+60>>2]|0;if(b|0?(f[b>>2]|0)==0:0)Emc(b);b=f[a+48>>2]|0;if(b|0?(f[b>>2]|0)==0:0)Emc(b);b=f[a+36>>2]|0;if(b|0?(f[b>>2]|0)==0:0)Emc(b);b=f[a+24>>2]|0;if(b|0?(f[b>>2]|0)==0:0)Emc(b);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function Y9a(a){a=a|0;X9a(a);Emc(a);return}function Z9a(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function _9a(a,b){a=a|0;b=b|0;a=Bmc(128)|0;V9a(a);if(!b)return a|0;kab(b,a);return a|0}function $9a(a){a=a|0;var c=0,d=0,e=0;f[a+16>>2]=0;f[a+28>>2]=0;f[a+40>>2]=0;f[a+52>>2]=0;f[a+64>>2]=0;f[a+76>>2]=0;c=a+8|0;d=f[c>>2]|0;if(d&255|0){e=a+88|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[e+28>>2]=0}if(d&1792|0){b[a+120>>0]=1;b[a+121>>0]=1;n[a+124>>2]=.5}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function aab(a){a=a|0;return 1}function bab(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+88|0;k=a+92|0;l=a+16|0;m=a+20|0;n=a+24|0;o=a+120|0;p=e+8|0;q=a+121|0;r=e+8|0;s=a+28|0;t=a+32|0;v=a+36|0;w=a+96|0;x=a+100|0;y=a+104|0;z=a+108|0;A=a+112|0;B=a+116|0;C=a+124|0;D=a+40|0;E=a+44|0;F=a+48|0;G=a+52|0;H=a+56|0;I=a+60|0;K=a+64|0;L=a+68|0;M=a+72|0;N=a+76|0;O=a+80|0;P=a+84|0;Q=a+4|0;a:while(1){a=f[c>>2]|0;R=f[g>>2]|0;do if(a>>>0<R>>>0){S=b[a>>0]|0;T=S&255;U=a+1|0;if(S<<24>>24>0){V=U;W=T}else{if(U>>>0>=R>>>0){X=T;Y=7;break}S=h[U>>0]|0;if(((S^128)&T)>>>0<=127){X=T;Y=7;break}V=a+2|0;W=T+-128+(S<<7)|0}f[c>>2]=V;Z=W;Y=9}else{X=0;Y=7}while(0);if((Y|0)==7){Y=0;a=xCb(c,X)|0;if((a+-1|0)>>>0<16383){Z=a;Y=9}else _=a}b:do if((Y|0)==9){Y=0;do switch(Z>>>3&536870911|0){case 1:{if((Z&255|0)!=13){_=Z;break b}f[i>>2]=f[i>>2]|1;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){R=a;S=h[R>>0]|h[R+1>>0]<<8|h[R+2>>0]<<16|h[R+3>>0]<<24;f[e>>2]=S;f[c>>2]=a+4;$=S}else{if(!(uCb(c,e)|0)){Y=16;break a}$=f[e>>2]|0}f[j>>2]=$;continue a;break}case 2:{if((Z&255|0)!=21){_=Z;break b}f[i>>2]=f[i>>2]|2;S=f[c>>2]|0;if(((f[g>>2]|0)-S|0)>3){a=S;R=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=R;f[c>>2]=S+4;aa=R}else{if(!(uCb(c,e)|0)){Y=23;break a}aa=f[e>>2]|0}f[k>>2]=aa;continue a;break}case 3:{switch((Z&255)<<24>>24){case 29:break;case 26:{if(XSa(c,l)|0)continue a;else{ba=0;Y=188;break a}break}default:{_=Z;break b}}R=f[c>>2]|0;if(((f[g>>2]|0)-R|0)>3){S=R;a=h[S>>0]|h[S+1>>0]<<8|h[S+2>>0]<<16|h[S+3>>0]<<24;f[e>>2]=a;f[c>>2]=R+4;ca=a}else{if(!(uCb(c,e)|0)){Y=39;break a}ca=f[e>>2]|0}a=f[l>>2]|0;if((a|0)==(f[m>>2]|0)){aEa(l,a+1|0);da=f[l>>2]|0}else da=a;a=f[n>>2]|0;R=da+1|0;f[l>>2]=R;f[a+4+(da<<2)>>2]=ca;S=f[c>>2]|0;T=(f[g>>2]|0)-S|0;if((T|0)<=0)continue a;U=S;S=(f[m>>2]|0)-R|0;ea=(T>>>0)/5|0;fa=(ea|0)<(S|0)?ea:S;if((fa|0)>0){ga=0;ha=U;ia=R}else continue a;while(1){if((b[ha>>0]|0)!=29){ja=ga;break}R=ha+1|0;S=h[R>>0]|h[R+1>>0]<<8|h[R+2>>0]<<16|h[R+3>>0]<<24;R=ia;ia=ia+1|0;f[l>>2]=ia;f[a+4+(R<<2)>>2]=S;S=ga+1|0;if((S|0)>=(fa|0)){ja=S;break}else{ga=S;ha=ha+5|0}}fa=ja*5|0;if((ja|0)<=0)continue a;if((T|0)<(fa|0)){qCb(c,fa,T)|0;continue a}else{f[c>>2]=U+fa;continue a}break}case 4:{if((Z&255|0)!=32){_=Z;break b}f[i>>2]=f[i>>2]|256;fa=f[c>>2]|0;if(fa>>>0<(f[g>>2]|0)>>>0?(a=b[fa>>0]|0,a<<24>>24>-1):0){f[c>>2]=fa+1;ka=a<<24>>24!=0}else{jCb(e,c);a=e;if(!(b[p>>0]|0)){ba=0;Y=188;break a}else ka=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[o>>0]=ka&1;continue a;break}case 5:{if((Z&255|0)!=40){_=Z;break b}f[i>>2]=f[i>>2]|512;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(fa=b[a>>0]|0,fa<<24>>24>-1):0){f[c>>2]=a+1;la=fa<<24>>24!=0}else{jCb(e,c);fa=e;if(!(b[r>>0]|0)){ba=0;Y=188;break a}else la=(f[fa>>2]|0)!=0|(f[fa+4>>2]|0)!=0}b[q>>0]=la&1;continue a;break}case 6:{switch((Z&255)<<24>>24){case 53:break;case 50:{if(XSa(c,s)|0)continue a;else{ba=0;Y=188;break a}break}default:{_=Z;break b}}fa=f[c>>2]|0;if(((f[g>>2]|0)-fa|0)>3){a=fa;S=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=S;f[c>>2]=fa+4;ma=S}else{if(!(uCb(c,e)|0)){Y=68;break a}ma=f[e>>2]|0}S=f[s>>2]|0;if((S|0)==(f[t>>2]|0)){aEa(s,S+1|0);na=f[s>>2]|0}else na=S;S=f[v>>2]|0;fa=na+1|0;f[s>>2]=fa;f[S+4+(na<<2)>>2]=ma;a=f[c>>2]|0;R=(f[g>>2]|0)-a|0;if((R|0)<=0)continue a;ea=a;a=(f[t>>2]|0)-fa|0;oa=(R>>>0)/5|0;pa=(oa|0)<(a|0)?oa:a;if((pa|0)>0){qa=0;ra=ea;sa=fa}else continue a;while(1){if((b[ra>>0]|0)!=53){ta=qa;break}fa=ra+1|0;a=h[fa>>0]|h[fa+1>>0]<<8|h[fa+2>>0]<<16|h[fa+3>>0]<<24;fa=sa;sa=sa+1|0;f[s>>2]=sa;f[S+4+(fa<<2)>>2]=a;a=qa+1|0;if((a|0)>=(pa|0)){ta=a;break}else{qa=a;ra=ra+5|0}}pa=ta*5|0;if((ta|0)<=0)continue a;if((R|0)<(pa|0)){qCb(c,pa,R)|0;continue a}else{f[c>>2]=ea+pa;continue a}break}case 7:{if((Z&255|0)!=56){_=Z;break b}f[i>>2]=f[i>>2]|4;pa=f[c>>2]|0;if(pa>>>0<(f[g>>2]|0)>>>0){S=b[pa>>0]|0;U=S&255;if(S<<24>>24>-1){f[w>>2]=U;f[c>>2]=pa+1;continue a}else ua=U}else ua=0;U=iCb(c,ua)|0;pa=J;f[w>>2]=U;if((pa|0)>-1|(pa|0)==-1&U>>>0>4294967295)continue a;else{ba=0;Y=188;break a}break}case 8:{if((Z&255|0)!=64){_=Z;break b}f[i>>2]=f[i>>2]|8;U=f[c>>2]|0;if(U>>>0<(f[g>>2]|0)>>>0){pa=b[U>>0]|0;S=pa&255;if(pa<<24>>24>-1){f[x>>2]=S;f[c>>2]=U+1;continue a}else va=S}else va=0;S=iCb(c,va)|0;U=J;f[x>>2]=S;if((U|0)>-1|(U|0)==-1&S>>>0>4294967295)continue a;else{ba=0;Y=188;break a}break}case 9:{if((Z&255|0)!=72){_=Z;break b}f[i>>2]=f[i>>2]|16;S=f[c>>2]|0;if(S>>>0<(f[g>>2]|0)>>>0){U=b[S>>0]|0;pa=U&255;if(U<<24>>24>-1){f[y>>2]=pa;f[c>>2]=S+1;continue a}else wa=pa}else wa=0;pa=iCb(c,wa)|0;S=J;f[y>>2]=pa;if((S|0)>-1|(S|0)==-1&pa>>>0>4294967295)continue a;else{ba=0;Y=188;break a}break}case 10:{if((Z&255|0)!=85){_=Z;break b}f[i>>2]=f[i>>2]|32;pa=f[c>>2]|0;if(((f[g>>2]|0)-pa|0)>3){S=pa;U=h[S>>0]|h[S+1>>0]<<8|h[S+2>>0]<<16|h[S+3>>0]<<24;f[e>>2]=U;f[c>>2]=pa+4;xa=U}else{if(!(uCb(c,e)|0)){Y=91;break a}xa=f[e>>2]|0}f[z>>2]=xa;continue a;break}case 11:{if((Z&255|0)!=93){_=Z;break b}f[i>>2]=f[i>>2]|64;U=f[c>>2]|0;if(((f[g>>2]|0)-U|0)>3){pa=U;S=h[pa>>0]|h[pa+1>>0]<<8|h[pa+2>>0]<<16|h[pa+3>>0]<<24;f[e>>2]=S;f[c>>2]=U+4;ya=S}else{if(!(uCb(c,e)|0)){Y=98;break a}ya=f[e>>2]|0}f[A>>2]=ya;continue a;break}case 12:{if((Z&255|0)!=101){_=Z;break b}f[i>>2]=f[i>>2]|128;S=f[c>>2]|0;if(((f[g>>2]|0)-S|0)>3){U=S;pa=h[U>>0]|h[U+1>>0]<<8|h[U+2>>0]<<16|h[U+3>>0]<<24;f[e>>2]=pa;f[c>>2]=S+4;za=pa}else{if(!(uCb(c,e)|0)){Y=105;break a}za=f[e>>2]|0}f[B>>2]=za;continue a;break}case 13:{if((Z&255|0)!=109){_=Z;break b}f[i>>2]=f[i>>2]|1024;pa=f[c>>2]|0;if(((f[g>>2]|0)-pa|0)>3){S=pa;U=h[S>>0]|h[S+1>>0]<<8|h[S+2>>0]<<16|h[S+3>>0]<<24;f[e>>2]=U;f[c>>2]=pa+4;Aa=U}else{if(!(uCb(c,e)|0)){Y=112;break a}Aa=f[e>>2]|0}f[C>>2]=Aa;continue a;break}case 14:{switch((Z&255)<<24>>24){case 117:break;case 114:{if(XSa(c,D)|0)continue a;else{ba=0;Y=188;break a}break}default:{_=Z;break b}}U=f[c>>2]|0;if(((f[g>>2]|0)-U|0)>3){pa=U;S=h[pa>>0]|h[pa+1>>0]<<8|h[pa+2>>0]<<16|h[pa+3>>0]<<24;f[e>>2]=S;f[c>>2]=U+4;Ba=S}else{if(!(uCb(c,e)|0)){Y=128;break a}Ba=f[e>>2]|0}S=f[D>>2]|0;if((S|0)==(f[E>>2]|0)){aEa(D,S+1|0);Ca=f[D>>2]|0}else Ca=S;S=f[F>>2]|0;U=Ca+1|0;f[D>>2]=U;f[S+4+(Ca<<2)>>2]=Ba;pa=f[c>>2]|0;T=(f[g>>2]|0)-pa|0;if((T|0)<=0)continue a;a=pa;pa=(f[E>>2]|0)-U|0;fa=(T>>>0)/5|0;oa=(fa|0)<(pa|0)?fa:pa;if((oa|0)>0){Da=0;Ea=a;Fa=U}else continue a;while(1){if((b[Ea>>0]|0)!=117){Ga=Da;break}U=Ea+1|0;pa=h[U>>0]|h[U+1>>0]<<8|h[U+2>>0]<<16|h[U+3>>0]<<24;U=Fa;Fa=Fa+1|0;f[D>>2]=Fa;f[S+4+(U<<2)>>2]=pa;pa=Da+1|0;if((pa|0)>=(oa|0)){Ga=pa;break}else{Da=pa;Ea=Ea+5|0}}oa=Ga*5|0;if((Ga|0)<=0)continue a;if((T|0)<(oa|0)){qCb(c,oa,T)|0;continue a}else{f[c>>2]=a+oa;continue a}break}case 15:{switch((Z&255)<<24>>24){case 125:break;case 122:{if(XSa(c,G)|0)continue a;else{ba=0;Y=188;break a}break}default:{_=Z;break b}}oa=f[c>>2]|0;if(((f[g>>2]|0)-oa|0)>3){S=oa;ea=h[S>>0]|h[S+1>>0]<<8|h[S+2>>0]<<16|h[S+3>>0]<<24;f[e>>2]=ea;f[c>>2]=oa+4;Ha=ea}else{if(!(uCb(c,e)|0)){Y=145;break a}Ha=f[e>>2]|0}ea=f[G>>2]|0;if((ea|0)==(f[H>>2]|0)){aEa(G,ea+1|0);Ia=f[G>>2]|0}else Ia=ea;ea=f[I>>2]|0;oa=Ia+1|0;f[G>>2]=oa;f[ea+4+(Ia<<2)>>2]=Ha;S=f[c>>2]|0;R=(f[g>>2]|0)-S|0;if((R|0)<=0)continue a;pa=S;S=(f[H>>2]|0)-oa|0;U=(R>>>0)/5|0;fa=(U|0)<(S|0)?U:S;if((fa|0)>0){Ja=0;Ka=pa;La=oa}else continue a;while(1){if((b[Ka>>0]|0)!=125){Ma=Ja;break}oa=Ka+1|0;S=h[oa>>0]|h[oa+1>>0]<<8|h[oa+2>>0]<<16|h[oa+3>>0]<<24;oa=La;La=La+1|0;f[G>>2]=La;f[ea+4+(oa<<2)>>2]=S;S=Ja+1|0;if((S|0)>=(fa|0)){Ma=S;break}else{Ja=S;Ka=Ka+5|0}}fa=Ma*5|0;if((Ma|0)<=0)continue a;if((R|0)<(fa|0)){qCb(c,fa,R)|0;continue a}else{f[c>>2]=pa+fa;continue a}break}case 16:{switch((Z&255)<<24>>24){case -123:break;case -126:{if(XSa(c,K)|0)continue a;else{ba=0;Y=188;break a}break}default:{_=Z;break b}}fa=f[c>>2]|0;if(((f[g>>2]|0)-fa|0)>3){ea=fa;a=h[ea>>0]|h[ea+1>>0]<<8|h[ea+2>>0]<<16|h[ea+3>>0]<<24;f[e>>2]=a;f[c>>2]=fa+4;Na=a}else{if(!(uCb(c,e)|0)){Y=163;break a}Na=f[e>>2]|0}a=f[K>>2]|0;if((a|0)==(f[L>>2]|0)){aEa(K,a+1|0);Oa=f[K>>2]|0}else Oa=a;a=f[M>>2]|0;fa=Oa+1|0;f[K>>2]=fa;f[a+4+(Oa<<2)>>2]=Na;ea=f[c>>2]|0;T=(f[g>>2]|0)-ea|0;if((T|0)<=0)continue a;S=ea;ea=(f[L>>2]|0)-fa|0;oa=(T>>>0)/6|0;U=(oa|0)<(ea|0)?oa:ea;if((U|0)>0){Pa=0;Qa=S;Ra=fa}else continue a;while(1){if((b[Qa>>0]|0)!=-123){Sa=Pa;break}if((b[Qa+1>>0]|0)!=1){Sa=Pa;break}fa=Qa+2|0;ea=h[fa>>0]|h[fa+1>>0]<<8|h[fa+2>>0]<<16|h[fa+3>>0]<<24;fa=Ra;Ra=Ra+1|0;f[K>>2]=Ra;f[a+4+(fa<<2)>>2]=ea;ea=Pa+1|0;if((ea|0)>=(U|0)){Sa=ea;break}else{Pa=ea;Qa=Qa+6|0}}U=Sa*6|0;if((Sa|0)<=0)continue a;if((T|0)<(U|0)){qCb(c,U,T)|0;continue a}else{f[c>>2]=S+U;continue a}break}case 17:{switch((Z&255)<<24>>24){case -115:break;case -118:{if(XSa(c,N)|0)continue a;else{ba=0;Y=188;break a}break}default:{_=Z;break b}}U=f[c>>2]|0;if(((f[g>>2]|0)-U|0)>3){a=U;pa=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=pa;f[c>>2]=U+4;Ta=pa}else{if(!(uCb(c,e)|0)){Y=181;break a}Ta=f[e>>2]|0}pa=f[N>>2]|0;if((pa|0)==(f[O>>2]|0)){aEa(N,pa+1|0);Ua=f[N>>2]|0}else Ua=pa;pa=f[P>>2]|0;U=Ua+1|0;f[N>>2]=U;f[pa+4+(Ua<<2)>>2]=Ta;a=f[c>>2]|0;R=(f[g>>2]|0)-a|0;if((R|0)<=0)continue a;ea=a;a=(f[O>>2]|0)-U|0;fa=(R>>>0)/6|0;oa=(fa|0)<(a|0)?fa:a;if((oa|0)>0){Va=0;Wa=ea;Xa=U}else continue a;while(1){if((b[Wa>>0]|0)!=-115){Ya=Va;break}if((b[Wa+1>>0]|0)!=1){Ya=Va;break}U=Wa+2|0;a=h[U>>0]|h[U+1>>0]<<8|h[U+2>>0]<<16|h[U+3>>0]<<24;U=Xa;Xa=Xa+1|0;f[N>>2]=Xa;f[pa+4+(U<<2)>>2]=a;a=Va+1|0;if((a|0)>=(oa|0)){Ya=a;break}else{Va=a;Wa=Wa+6|0}}oa=Ya*6|0;if((Ya|0)<=0)continue a;if((R|0)<(oa|0)){qCb(c,oa,R)|0;continue a}else{f[c>>2]=ea+oa;continue a}break}default:{_=Z;break b}}while(0)}while(0);if(!_){ba=1;Y=188;break}oa=f[Q>>2]|0;if(!(oa&1))Za=AHa(Q)|0;else Za=oa&-2;if(!(b4b(c,_,Za)|0)){ba=0;Y=188;break}}switch(Y|0){case 16:{ba=0;u=d;return ba|0}case 23:{ba=0;u=d;return ba|0}case 39:{ba=0;u=d;return ba|0}case 68:{ba=0;u=d;return ba|0}case 91:{ba=0;u=d;return ba|0}case 98:{ba=0;u=d;return ba|0}case 105:{ba=0;u=d;return ba|0}case 112:{ba=0;u=d;return ba|0}case 128:{ba=0;u=d;return ba|0}case 145:{ba=0;u=d;return ba|0}case 163:{ba=0;u=d;return ba|0}case 181:{ba=0;u=d;return ba|0}case 188:{u=d;return ba|0}}return 0}function cab(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+16>>2]|0;d=f[a+28>>2]|0;e=f[a+40>>2]|0;g=f[a+52>>2]|0;h=f[a+64>>2]|0;i=f[a+76>>2]|0;j=b+c+d+e+g+(i<<2)+(i+h<<1)+(d+b+e+g+h<<2)|0;h=f[a+8>>2]|0;if(!(h&255))k=j;else{g=h&1|0?j+5|0:j;j=h&2|0?g+5|0:g;if(!(h&4))l=j;else l=j+1+((((($(f[a+96>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(h&8))m=l;else m=l+1+((((($(f[a+100>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(h&16))n=m;else n=m+1+((((($(f[a+104>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;m=h&32|0?n+5|0:n;n=h&64|0?m+5|0:m;k=h&128|0?n+5|0:n}if(!(h&1792)){o=k;p=a+12|0;f[p>>2]=o;return o|0}n=h&256|0?k+2|0:k;k=h&512|0?n+2|0:n;o=h&1024|0?k+5|0:k;p=a+12|0;f[p>>2]=o;return o|0}function dab(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=f[a+8>>2]|0;if(d&1|0)wEb(1,+n[a+88>>2],c);if(d&2|0)wEb(2,+n[a+92>>2],c);e=f[a+16>>2]|0;if((e|0)>0){g=a+24|0;h=0;do{wEb(3,+n[(f[g>>2]|0)+4+(h<<2)>>2],c);h=h+1|0}while((h|0)!=(e|0))}if(d&256|0)yEb(4,(b[a+120>>0]|0)!=0,c);if(d&512|0)yEb(5,(b[a+121>>0]|0)!=0,c);e=f[a+28>>2]|0;if((e|0)>0){h=a+36|0;g=0;do{wEb(6,+n[(f[h>>2]|0)+4+(g<<2)>>2],c);g=g+1|0}while((g|0)!=(e|0))}if(d&4|0)oEb(7,f[a+96>>2]|0,c);if(d&8|0)oEb(8,f[a+100>>2]|0,c);if(d&16|0)oEb(9,f[a+104>>2]|0,c);if(d&32|0)wEb(10,+n[a+108>>2],c);if(d&64|0)wEb(11,+n[a+112>>2],c);if(d&128|0)wEb(12,+n[a+116>>2],c);if(d&1024|0)wEb(13,+n[a+124>>2],c);d=f[a+40>>2]|0;if((d|0)>0){e=a+48|0;g=0;do{wEb(14,+n[(f[e>>2]|0)+4+(g<<2)>>2],c);g=g+1|0}while((g|0)!=(d|0))}d=f[a+52>>2]|0;if((d|0)>0){g=a+60|0;e=0;do{wEb(15,+n[(f[g>>2]|0)+4+(e<<2)>>2],c);e=e+1|0}while((e|0)!=(d|0))}d=f[a+64>>2]|0;if((d|0)>0){e=a+72|0;g=0;do{wEb(16,+n[(f[e>>2]|0)+4+(g<<2)>>2],c);g=g+1|0}while((g|0)!=(d|0))}d=f[a+76>>2]|0;if((d|0)>0){g=a+84|0;e=0;do{wEb(17,+n[(f[g>>2]|0)+4+(e<<2)>>2],c);e=e+1|0}while((e|0)!=(d|0))}d=f[a+4>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function eab(a){a=a|0;return f[a+12>>2]|0}function fab(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+88>>2]|0;b[d>>0]=13;h=d+1|0;b[h>>0]=g;b[h+1>>0]=g>>8;b[h+2>>0]=g>>16;b[h+3>>0]=g>>24;e=d+5|0}if(!(c&2))i=e;else{d=f[a+92>>2]|0;b[e>>0]=21;g=e+1|0;b[g>>0]=d;b[g+1>>0]=d>>8;b[g+2>>0]=d>>16;b[g+3>>0]=d>>24;i=e+5|0}e=f[a+16>>2]|0;if(!e)j=i;else{d=f[a+24>>2]|0;g=0;h=i;while(1){i=f[d+4+(g<<2)>>2]|0;b[h>>0]=29;k=h+1|0;b[k>>0]=i;b[k+1>>0]=i>>8;b[k+2>>0]=i>>16;b[k+3>>0]=i>>24;i=h+5|0;g=g+1|0;if((g|0)>=(e|0)){j=i;break}else h=i}}if(!(c&256))l=j;else{h=b[a+120>>0]|0;b[j>>0]=32;b[j+1>>0]=h;l=j+2|0}if(!(c&512))m=l;else{j=b[a+121>>0]|0;b[l>>0]=40;b[l+1>>0]=j;m=l+2|0}l=f[a+28>>2]|0;if(!l)n=m;else{j=f[a+36>>2]|0;h=0;e=m;while(1){m=f[j+4+(h<<2)>>2]|0;b[e>>0]=53;g=e+1|0;b[g>>0]=m;b[g+1>>0]=m>>8;b[g+2>>0]=m>>16;b[g+3>>0]=m>>24;m=e+5|0;h=h+1|0;if((h|0)>=(l|0)){n=m;break}else e=m}}if(!(c&4))o=n;else{e=f[a+96>>2]|0;b[n>>0]=56;l=n+1|0;if(e>>>0>127){n=e;h=l;while(1){b[h>>0]=n|128;j=n>>>7;m=h+1|0;if(n>>>0>16383){n=j;h=m}else{p=m;q=j;break}}}else{p=l;q=e}b[p>>0]=q;o=p+1|0}if(!(c&8))r=o;else{p=f[a+100>>2]|0;b[o>>0]=64;q=o+1|0;if(p>>>0>127){o=p;e=q;while(1){b[e>>0]=o|128;l=o>>>7;h=e+1|0;if(o>>>0>16383){o=l;e=h}else{s=h;t=l;break}}}else{s=q;t=p}b[s>>0]=t;r=s+1|0}if(!(c&16))u=r;else{s=f[a+104>>2]|0;b[r>>0]=72;t=r+1|0;if(s>>>0>127){r=s;p=t;while(1){b[p>>0]=r|128;q=r>>>7;e=p+1|0;if(r>>>0>16383){r=q;p=e}else{v=e;w=q;break}}}else{v=t;w=s}b[v>>0]=w;u=v+1|0}if(!(c&32))x=u;else{v=f[a+108>>2]|0;b[u>>0]=85;w=u+1|0;b[w>>0]=v;b[w+1>>0]=v>>8;b[w+2>>0]=v>>16;b[w+3>>0]=v>>24;x=u+5|0}if(!(c&64))y=x;else{u=f[a+112>>2]|0;b[x>>0]=93;v=x+1|0;b[v>>0]=u;b[v+1>>0]=u>>8;b[v+2>>0]=u>>16;b[v+3>>0]=u>>24;y=x+5|0}if(!(c&128))z=y;else{x=f[a+116>>2]|0;b[y>>0]=101;u=y+1|0;b[u>>0]=x;b[u+1>>0]=x>>8;b[u+2>>0]=x>>16;b[u+3>>0]=x>>24;z=y+5|0}if(!(c&1024))A=z;else{c=f[a+124>>2]|0;b[z>>0]=109;y=z+1|0;b[y>>0]=c;b[y+1>>0]=c>>8;b[y+2>>0]=c>>16;b[y+3>>0]=c>>24;A=z+5|0}z=f[a+40>>2]|0;if(!z)B=A;else{c=f[a+48>>2]|0;y=0;x=A;while(1){A=f[c+4+(y<<2)>>2]|0;b[x>>0]=117;u=x+1|0;b[u>>0]=A;b[u+1>>0]=A>>8;b[u+2>>0]=A>>16;b[u+3>>0]=A>>24;A=x+5|0;y=y+1|0;if((y|0)>=(z|0)){B=A;break}else x=A}}x=f[a+52>>2]|0;if(!x)C=B;else{z=f[a+60>>2]|0;y=0;c=B;while(1){B=f[z+4+(y<<2)>>2]|0;b[c>>0]=125;A=c+1|0;b[A>>0]=B;b[A+1>>0]=B>>8;b[A+2>>0]=B>>16;b[A+3>>0]=B>>24;B=c+5|0;y=y+1|0;if((y|0)>=(x|0)){C=B;break}else c=B}}c=f[a+64>>2]|0;if(!c)D=C;else{x=f[a+72>>2]|0;y=0;z=C;while(1){C=f[x+4+(y<<2)>>2]|0;b[z>>0]=-123;b[z+1>>0]=1;B=z+2|0;b[B>>0]=C;b[B+1>>0]=C>>8;b[B+2>>0]=C>>16;b[B+3>>0]=C>>24;C=z+6|0;y=y+1|0;if((y|0)>=(c|0)){D=C;break}else z=C}}z=f[a+76>>2]|0;if(!z)E=D;else{c=f[a+84>>2]|0;y=0;x=D;while(1){D=f[c+4+(y<<2)>>2]|0;b[x>>0]=-115;b[x+1>>0]=1;C=x+2|0;b[C>>0]=D;b[C+1>>0]=D>>8;b[C+2>>0]=D>>16;b[C+3>>0]=D>>24;D=x+6|0;y=y+1|0;if((y|0)>=(z|0)){E=D;break}else x=D}}x=f[a+4>>2]|0;if(!(x&1)){F=E;return F|0}F=f4b(x&-2,E)|0;return F|0}function gab(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function hab(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,20232,0)|0;if(!c){c2b(b,a);return}else{W9a(a,c);return}}function iab(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function jab(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533560;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function kab(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function lab(a){a=a|0;var b=0,c=0;f[a>>2]=128404;if((a|0)!=529776?(b=f[a+16>>2]|0,b|0):0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function mab(a){a=a|0;lab(a);Emc(a);return}function nab(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function oab(a,b){a=a|0;b=b|0;a=Bmc(28)|0;T9a(a);if(!b)return a|0;Aab(b,a);return a|0}function pab(a){a=a|0;var c=0,d=0;c=a+8|0;d=f[c>>2]|0;if(d&15|0){if(d&1|0){d=f[a+16>>2]|0;ai[f[(f[d>>2]|0)+28>>2]&2047](d)}b[a+20>>0]=1;b[a+21>>0]=1;n[a+24>>2]=1.000000013351432e-10}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function qab(a){a=a|0;return 1}function rab(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+20|0;k=e+8|0;l=a+16|0;m=e+4|0;n=a+21|0;o=e+8|0;p=a+24|0;q=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){r=b[a>>0]|0;s=r&255;if(r<<24>>24>0){f[c>>2]=a+1;t=s;v=6}else{w=s;v=5}}else{w=0;v=5}if((v|0)==5){v=0;s=xCb(c,w)|0;if((s+-1|0)>>>0<127){t=s;v=6}else x=s}b:do if((v|0)==6){v=0;switch(t>>>3&536870911|0){case 1:{if((t&255|0)!=8){x=t;break b}f[i>>2]=f[i>>2]|2;s=f[c>>2]|0;if(s>>>0<(f[g>>2]|0)>>>0?(a=b[s>>0]|0,a<<24>>24>-1):0){f[c>>2]=s+1;y=a<<24>>24!=0}else{jCb(e,c);a=e;if(!(b[k>>0]|0)){z=0;v=42;break a}else y=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[j>>0]=y&1;continue a;break}case 2:{if((t&255|0)!=18){x=t;break b}f[i>>2]=f[i>>2]|1;a=f[l>>2]|0;if(!a){s=Bmc(48)|0;XTa(s);f[l>>2]=s;A=s}else A=a;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(s=b[a>>0]|0,s<<24>>24>-1):0){f[c>>2]=a+1;B=s&255}else{s=wCb(c)|0;if((s|0)>-1)B=s;else{z=0;v=42;break a}}hCb(e,c,B);if((f[m>>2]|0)<0){v=22;break a}if(!(Sh[f[(f[A>>2]|0)+44>>2]&511](A,c)|0)){v=22;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{z=0;v=42;break a}break}case 3:{if((t&255|0)!=24){x=t;break b}f[i>>2]=f[i>>2]|4;s=f[c>>2]|0;if(s>>>0<(f[g>>2]|0)>>>0?(a=b[s>>0]|0,a<<24>>24>-1):0){f[c>>2]=s+1;C=a<<24>>24!=0}else{jCb(e,c);a=e;if(!(b[o>>0]|0)){z=0;v=42;break a}else C=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[n>>0]=C&1;continue a;break}case 4:{if((t&255|0)!=37){x=t;break b}f[i>>2]=f[i>>2]|8;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>3){s=a;r=h[s>>0]|h[s+1>>0]<<8|h[s+2>>0]<<16|h[s+3>>0]<<24;f[e>>2]=r;f[c>>2]=a+4;D=r}else{if(!(uCb(c,e)|0)){v=36;break a}D=f[e>>2]|0}f[p>>2]=D;continue a;break}default:{x=t;break b}}}while(0);if(!x){z=1;v=42;break}r=f[q>>2]|0;if(!(r&1))E=AHa(q)|0;else E=r&-2;if(!(b4b(c,x,E)|0)){z=0;v=42;break}}if((v|0)==22){z=0;u=d;return z|0}else if((v|0)==36){z=0;u=d;return z|0}else if((v|0)==42){u=d;return z|0}return 0}function sab(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=a+8|0;d=f[b>>2]|0;if(!(d&15)){e=c;g=a+12|0;f[g>>2]=e;return e|0}if(!(d&1)){h=c;i=d}else{d=f[a+16>>2]|0;j=ci[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=c+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=d;i=f[b>>2]|0}b=i&2|0?h+2|0:h;h=i&4|0?b+2|0:b;e=i&8|0?h+5|0:h;g=a+12|0;f[g>>2]=e;return e|0}function tab(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&2|0)yEb(1,(b[a+20>>0]|0)!=0,c);if(d&1|0)GEb(2,f[a+16>>2]|0,c);if(d&4|0)yEb(3,(b[a+21>>0]|0)!=0,c);if(d&8|0)wEb(4,+n[a+24>>2],c);d=f[a+4>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function uab(a){a=a|0;return f[a+12>>2]|0}function vab(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=f[a+8>>2]|0;if(!(e&2))g=d;else{h=b[a+20>>0]|0;b[d>>0]=8;b[d+1>>0]=h;g=d+2|0}if(!(e&1))i=g;else{d=f[a+16>>2]|0;b[g>>0]=18;h=g+1|0;g=ci[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(g>>>0>127){j=g;k=h;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=h;o=g}b[n>>0]=o;i=ki[f[(f[d>>2]|0)+64>>2]&511](d,c,n+1|0)|0}if(!(e&4))p=i;else{n=b[a+21>>0]|0;b[i>>0]=24;b[i+1>>0]=n;p=i+2|0}if(!(e&8))q=p;else{e=f[a+24>>2]|0;b[p>>0]=37;i=p+1|0;b[i>>0]=e;b[i+1>>0]=e>>8;b[i+2>>0]=e>>16;b[i+3>>0]=e>>24;q=p+5|0}p=f[a+4>>2]|0;if(!(p&1)){r=q;return r|0}r=f4b(p&-2,q)|0;return r|0}function wab(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function xab(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,20248,0)|0;if(!c){c2b(b,a);return}else{U9a(a,c);return}}function yab(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function zab(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533552;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function Aab(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function Bab(a){a=a|0;var b=0,c=0;f[a>>2]=128512;b=f[a+24>>2]|0;if(b|0?(f[b>>2]|0)==0:0)Emc(b);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function Cab(a){a=a|0;var b=0,c=0;f[a>>2]=128512;b=f[a+24>>2]|0;if(b|0?(f[b>>2]|0)==0:0)Emc(b);b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function Dab(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function Eab(a,b){a=a|0;b=b|0;a=Bmc(28)|0;S9a(a);if(!b)return a|0;Qab(b,a);return a|0}function Fab(a){a=a|0;var b=0;f[a+16>>2]=0;f[a+8>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function Gab(a){a=a|0;return 1}function Hab(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;d=c+4|0;e=a+16|0;g=a+20|0;h=a+24|0;i=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){j=b[a>>0]|0;k=j&255;if(j<<24>>24>0){f[c>>2]=a+1;l=k;m=6}else{n=k;m=5}}else{n=0;m=5}if((m|0)==5){m=0;k=xCb(c,n)|0;if((k+-1|0)>>>0<127){l=k;m=6}else o=k}b:do if((m|0)==6){m=0;if((l&-8|0)==8){switch((l&255)<<24>>24){case 8:break;case 10:{if(cZa(c,e)|0)continue a;else{p=0;m=29;break a}break}default:{o=l;break b}}k=f[c>>2]|0;if(k>>>0<(f[d>>2]|0)>>>0){a=b[k>>0]|0;j=a&255;if(a<<24>>24>-1){f[c>>2]=k+1;q=j}else{r=j;m=11}}else{r=0;m=11}if((m|0)==11){m=0;j=iCb(c,r)|0;k=J;if((k|0)>-1|(k|0)==-1&j>>>0>4294967295)q=j;else{p=0;m=29;break a}}j=f[e>>2]|0;if((j|0)==(f[g>>2]|0)){iFa(e,j+1|0);s=f[e>>2]|0}else s=j;j=f[h>>2]|0;f[e>>2]=s+1;f[j+4+(s<<2)>>2]=q;k=(f[g>>2]|0)-(f[e>>2]|0)|0;if((k|0)>0){t=k;u=j}else continue a;while(1){j=f[c>>2]|0;k=f[d>>2]|0;if(j>>>0>=k>>>0)continue a;if((b[j>>0]|0)!=8)continue a;a=j+1|0;f[c>>2]=a;if(a>>>0<k>>>0){k=b[a>>0]|0;a=k&255;if(k<<24>>24>-1){f[c>>2]=j+2;v=a;w=u}else{x=a;m=19}}else{x=0;m=19}if((m|0)==19){m=0;a=iCb(c,x)|0;j=J;if(!((j|0)>-1|(j|0)==-1&a>>>0>4294967295)){p=0;m=29;break a}v=a;w=f[h>>2]|0}a=f[e>>2]|0;f[e>>2]=a+1;f[w+4+(a<<2)>>2]=v;if((t|0)>1){t=t+-1|0;u=w}else continue a}}else o=l}while(0);if(!o){p=1;m=29;break}a=f[i>>2]|0;if(!(a&1))y=AHa(i)|0;else y=a&-2;if(!(b4b(c,o,y)|0)){p=0;m=29;break}}if((m|0)==29)return p|0;return 0}function Iab(a){a=a|0;var b=0,c=0,d=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=KEb(a+16|0)|0;d=b+c+(f[a+16>>2]|0)|0;f[a+12>>2]=d;return d|0}function Jab(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a+16>>2]|0;if((c|0)>0){d=a+24|0;e=0;do{oEb(1,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function Kab(a){a=a|0;return f[a+12>>2]|0}function Lab(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=f[a+16>>2]|0;if(!c)e=d;else{g=f[a+24>>2]|0;h=0;i=d;while(1){d=f[g+4+(h<<2)>>2]|0;b[i>>0]=8;j=i+1|0;if(d>>>0>127){k=d;l=j;while(1){b[l>>0]=k|128;m=k>>>7;n=l+1|0;if(k>>>0>16383){k=m;l=n}else{o=n;p=m;break}}}else{o=j;p=d}b[o>>0]=p;l=o+1|0;h=h+1|0;if((h|0)>=(c|0)){e=l;break}else i=l}}i=f[a+4>>2]|0;if(!(i&1)){q=e;return q|0}q=f4b(i&-2,e)|0;return q|0}function Mab(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function Nab(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,20264,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}d=a+16|0;g=c+16|0;e=f[g>>2]|0;if(!e)return;iFa(d,(f[d>>2]|0)+e|0);Krc((f[a+24>>2]|0)+4+(f[d>>2]<<2)|0,(f[c+24>>2]|0)+4|0,f[g>>2]<<2|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0);return}function Oab(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function Pab(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533544;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function Qab(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function Rab(a){a=a|0;var b=0,c=0;f[a>>2]=128620;if((a|0)!=529936){b=f[a+16>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);b=f[a+20>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b)}b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function Sab(a){a=a|0;Rab(a);Emc(a);return}function Tab(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function Uab(a,b){a=a|0;b=b|0;a=Bmc(52)|0;Q9a(a);if(!b)return a|0;ebb(b,a);return a|0}function Vab(a){a=a|0;var c=0,d=0,e=0;c=a+8|0;d=f[c>>2]|0;if(d&3|0){if(d&1|0){e=f[a+16>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&2|0){e=f[a+20>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}}if(d&252|0){e=a+24|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[a+40>>2]=-1;f[a+44>>2]=1}if(d&768|0){b[a+48>>0]=1;b[a+49>>0]=1}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function Wab(a){a=a|0;return 1}function Xab(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+24|0;k=a+48|0;l=e+8|0;m=a+28|0;n=a+16|0;o=e+4|0;p=a+20|0;q=e+4|0;r=a+44|0;s=a+4|0;t=a+40|0;v=a+32|0;w=e+8|0;x=a+36|0;y=a+49|0;a=e+8|0;a:while(1){z=f[c>>2]|0;if(z>>>0<(f[g>>2]|0)>>>0){A=b[z>>0]|0;B=A&255;if(A<<24>>24>0){f[c>>2]=z+1;C=B;D=6}else{E=B;D=5}}else{E=0;D=5}if((D|0)==5){D=0;B=xCb(c,E)|0;if((B+-1|0)>>>0<127){C=B;D=6}else F=B}b:do if((D|0)==6){D=0;do switch(C>>>3&536870911|0){case 1:{if((C&255|0)!=8){F=C;break b}f[i>>2]=f[i>>2]|4;B=f[c>>2]|0;if(B>>>0<(f[g>>2]|0)>>>0){z=b[B>>0]|0;A=z&255;if(z<<24>>24>-1){f[j>>2]=A;f[c>>2]=B+1;continue a}else G=A}else G=0;A=iCb(c,G)|0;B=J;f[j>>2]=A;if((B|0)>-1|(B|0)==-1&A>>>0>4294967295)continue a;else{H=0;D=87;break a}break}case 2:{if((C&255|0)!=16){F=C;break b}f[i>>2]=f[i>>2]|256;A=f[c>>2]|0;if(A>>>0<(f[g>>2]|0)>>>0?(B=b[A>>0]|0,B<<24>>24>-1):0){f[c>>2]=A+1;I=B<<24>>24!=0}else{jCb(e,c);B=e;if(!(b[l>>0]|0)){H=0;D=87;break a}else I=(f[B>>2]|0)!=0|(f[B+4>>2]|0)!=0}b[k>>0]=I&1;continue a;break}case 3:{if((C&255|0)!=24){F=C;break b}f[i>>2]=f[i>>2]|8;B=f[c>>2]|0;if(B>>>0<(f[g>>2]|0)>>>0){A=b[B>>0]|0;z=A&255;if(A<<24>>24>-1){f[c>>2]=B+1;K=z}else{L=z;D=22}}else{L=0;D=22}if((D|0)==22){D=0;z=iCb(c,L)|0;B=J;if((B|0)>-1|(B|0)==-1&z>>>0>4294967295)K=z;else{H=0;D=87;break a}}f[m>>2]=K;continue a;break}case 4:{if((C&255|0)!=34){F=C;break b}f[i>>2]=f[i>>2]|1;z=f[n>>2]|0;if(!z){B=Bmc(28)|0;y8a(B);f[n>>2]=B;M=B}else M=z;z=f[c>>2]|0;if(z>>>0<(f[g>>2]|0)>>>0?(B=b[z>>0]|0,B<<24>>24>-1):0){f[c>>2]=z+1;N=B&255}else{B=wCb(c)|0;if((B|0)>-1)N=B;else{H=0;D=87;break a}}hCb(e,c,N);if((f[o>>2]|0)<0){D=33;break a}if(!(Sh[f[(f[M>>2]|0)+44>>2]&511](M,c)|0)){D=33;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{H=0;D=87;break a}break}case 5:{if((C&255|0)!=42){F=C;break b}f[i>>2]=f[i>>2]|2;B=f[p>>2]|0;if(!B){z=Bmc(40)|0;g8a(z);f[p>>2]=z;O=z}else O=B;B=f[c>>2]|0;if(B>>>0<(f[g>>2]|0)>>>0?(z=b[B>>0]|0,z<<24>>24>-1):0){f[c>>2]=B+1;P=z&255}else{z=wCb(c)|0;if((z|0)>-1)P=z;else{H=0;D=87;break a}}hCb(e,c,P);if((f[q>>2]|0)<0){D=44;break a}if(!(Sh[f[(f[O>>2]|0)+44>>2]&511](O,c)|0)){D=44;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{H=0;D=87;break a}break}case 6:{if((C&255|0)!=48){F=C;break b}z=f[c>>2]|0;if(z>>>0<(f[g>>2]|0)>>>0){B=b[z>>0]|0;A=B&255;if(B<<24>>24>-1){f[c>>2]=z+1;Q=A}else{R=A;D=50}}else{R=0;D=50}if((D|0)==50){D=0;A=iCb(c,R)|0;z=J;if((z|0)>-1|(z|0)==-1&A>>>0>4294967295)Q=A;else{H=0;D=87;break a}}if((Q+-1|0)>>>0<2){f[i>>2]=f[i>>2]|128;f[r>>2]=Q;continue a}A=f[s>>2]|0;if(!(A&1))S=AHa(s)|0;else S=A&-2;R3b(S,6,Q,((Q|0)<0)<<31>>31);continue a;break}case 7:{if((C&255|0)!=56){F=C;break b}f[i>>2]=f[i>>2]|64;A=f[c>>2]|0;if(A>>>0<(f[g>>2]|0)>>>0){z=b[A>>0]|0;B=z&255;if(z<<24>>24>-1){f[c>>2]=A+1;T=B}else{U=B;D=61}}else{U=0;D=61}if((D|0)==61){D=0;B=iCb(c,U)|0;A=J;if((A|0)>-1|(A|0)==-1&B>>>0>4294967295)T=B;else{H=0;D=87;break a}}f[t>>2]=T;continue a;break}case 8:{if((C&255|0)!=64){F=C;break b}f[i>>2]=f[i>>2]|16;B=f[c>>2]|0;if(B>>>0<(f[g>>2]|0)>>>0?(A=b[B>>0]|0,A<<24>>24>-1):0){f[c>>2]=B+1;V=A<<24>>24!=0}else{jCb(e,c);A=e;if(!(b[w>>0]|0)){H=0;D=87;break a}else V=(f[A>>2]|0)!=0|(f[A+4>>2]|0)!=0}b[v>>0]=V&1;continue a;break}case 9:{if((C&255|0)!=77){F=C;break b}f[i>>2]=f[i>>2]|32;A=f[c>>2]|0;if(((f[g>>2]|0)-A|0)>3){B=A;z=h[B>>0]|h[B+1>>0]<<8|h[B+2>>0]<<16|h[B+3>>0]<<24;f[e>>2]=z;f[c>>2]=A+4;W=z}else{if(!(uCb(c,e)|0)){D=75;break a}W=f[e>>2]|0}f[x>>2]=W;continue a;break}case 10:{if((C&255|0)!=80){F=C;break b}f[i>>2]=f[i>>2]|512;z=f[c>>2]|0;if(z>>>0<(f[g>>2]|0)>>>0?(A=b[z>>0]|0,A<<24>>24>-1):0){f[c>>2]=z+1;X=A<<24>>24!=0}else{jCb(e,c);A=e;if(!(b[a>>0]|0)){H=0;D=87;break a}else X=(f[A>>2]|0)!=0|(f[A+4>>2]|0)!=0}b[y>>0]=X&1;continue a;break}default:{F=C;break b}}while(0)}while(0);if(!F){H=1;D=87;break}A=f[s>>2]|0;if(!(A&1))Y=AHa(s)|0;else Y=A&-2;if(!(b4b(c,F,Y)|0)){H=0;D=87;break}}if((D|0)==33){H=0;u=d;return H|0}else if((D|0)==44){H=0;u=d;return H|0}else if((D|0)==75){H=0;u=d;return H|0}else if((D|0)==87){u=d;return H|0}return 0}function Yab(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=a+8|0;d=f[b>>2]|0;if(d&255){if(!(d&1)){e=c;g=d}else{h=f[a+16>>2]|0;i=ci[f[(f[h>>2]|0)+48>>2]&1023](h)|0;h=c+1+i+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=h;g=f[b>>2]|0}if(!(g&2)){j=e;k=g}else{g=f[a+20>>2]|0;h=ci[f[(f[g>>2]|0)+48>>2]&1023](g)|0;g=e+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0;j=g;k=f[b>>2]|0}if(!(k&4))l=j;else l=j+1+((((($(f[a+24>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(!(k&8))m=l;else{j=f[a+28>>2]|0;if((j|0)<0)n=11;else n=((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;m=n+l|0}l=k&16|0?m+2|0:m;m=k&32|0?l+5|0:l;if(!(k&64))o=m;else{l=f[a+40>>2]|0;if((l|0)<0)p=11;else p=((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;o=p+m|0}if(!(k&128)){q=o;r=k}else{m=f[a+44>>2]|0;if((m|0)<0)s=11;else s=((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;q=s+o|0;r=k}}else{q=c;r=d}if(!(r&768)){t=q;u=a+12|0;f[u>>2]=t;return t|0}d=r&256|0?q+2|0:q;t=r&512|0?d+2|0:d;u=a+12|0;f[u>>2]=t;return t|0}function Zab(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&4|0)oEb(1,f[a+24>>2]|0,c);if(d&256|0)yEb(2,(b[a+48>>0]|0)!=0,c);if(d&8|0)mEb(3,f[a+28>>2]|0,c);if(d&1|0)GEb(4,f[a+16>>2]|0,c);if(d&2|0)GEb(5,f[a+20>>2]|0,c);if(d&128|0)zEb(6,f[a+44>>2]|0,c);if(d&64|0)mEb(7,f[a+40>>2]|0,c);if(d&16|0)yEb(8,(b[a+32>>0]|0)!=0,c);if(d&32|0)wEb(9,+n[a+36>>2],c);if(d&512|0)yEb(10,(b[a+49>>0]|0)!=0,c);d=f[a+4>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function _ab(a){a=a|0;return f[a+12>>2]|0}function $ab(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;e=f[a+8>>2]|0;if(!(e&4))g=d;else{h=f[a+24>>2]|0;b[d>>0]=8;i=d+1|0;if(h>>>0>127){d=h;j=i;while(1){b[j>>0]=d|128;k=d>>>7;l=j+1|0;if(d>>>0>16383){d=k;j=l}else{m=l;n=k;break}}}else{m=i;n=h}b[m>>0]=n;g=m+1|0}if(!(e&256))o=g;else{m=b[a+48>>0]|0;b[g>>0]=16;b[g+1>>0]=m;o=g+2|0}if(!(e&8))p=o;else{g=f[a+28>>2]|0;b[o>>0]=24;m=o+1|0;o=g&255;if(g>>>0>127){n=m;h=o;i=g;j=((g|0)<0)<<31>>31;while(1){b[n>>0]=h|-128;g=i;i=Irc(i|0,j|0,7)|0;d=n+1|0;k=i&255;if(!(j>>>0>0|(j|0)==0&g>>>0>16383)){q=d;r=k;break}else{n=d;h=k;j=J}}}else{q=m;r=o}b[q>>0]=r;p=q+1|0}if(!(e&1))s=p;else{q=f[a+16>>2]|0;b[p>>0]=34;r=p+1|0;p=ci[f[(f[q>>2]|0)+60>>2]&1023](q)|0;if(p>>>0>127){o=p;m=r;while(1){b[m>>0]=o|128;j=o>>>7;h=m+1|0;if(o>>>0>16383){o=j;m=h}else{t=h;u=j;break}}}else{t=r;u=p}b[t>>0]=u;s=ki[f[(f[q>>2]|0)+64>>2]&511](q,c,t+1|0)|0}if(!(e&2))v=s;else{t=f[a+20>>2]|0;b[s>>0]=42;q=s+1|0;s=ci[f[(f[t>>2]|0)+60>>2]&1023](t)|0;if(s>>>0>127){u=s;p=q;while(1){b[p>>0]=u|128;r=u>>>7;m=p+1|0;if(u>>>0>16383){u=r;p=m}else{w=m;x=r;break}}}else{w=q;x=s}b[w>>0]=x;v=ki[f[(f[t>>2]|0)+64>>2]&511](t,c,w+1|0)|0}if(!(e&128))y=v;else{w=f[a+44>>2]|0;b[v>>0]=48;c=v+1|0;v=w&255;if(w>>>0>127){t=c;x=w;s=((w|0)<0)<<31>>31;w=v;while(1){b[t>>0]=w|-128;q=x;x=Irc(x|0,s|0,7)|0;p=t+1|0;u=x&255;if(!(s>>>0>0|(s|0)==0&q>>>0>16383)){z=p;A=u;break}else{t=p;s=J;w=u}}}else{z=c;A=v}b[z>>0]=A;y=z+1|0}if(!(e&64))B=y;else{z=f[a+40>>2]|0;b[y>>0]=56;A=y+1|0;y=z&255;if(z>>>0>127){v=A;c=y;w=z;s=((z|0)<0)<<31>>31;while(1){b[v>>0]=c|-128;z=w;w=Irc(w|0,s|0,7)|0;t=v+1|0;x=w&255;if(!(s>>>0>0|(s|0)==0&z>>>0>16383)){C=t;D=x;break}else{v=t;c=x;s=J}}}else{C=A;D=y}b[C>>0]=D;B=C+1|0}if(!(e&16))E=B;else{C=b[a+32>>0]|0;b[B>>0]=64;b[B+1>>0]=C;E=B+2|0}if(!(e&32))F=E;else{B=f[a+36>>2]|0;b[E>>0]=77;C=E+1|0;b[C>>0]=B;b[C+1>>0]=B>>8;b[C+2>>0]=B>>16;b[C+3>>0]=B>>24;F=E+5|0}if(!(e&512))G=F;else{e=b[a+49>>0]|0;b[F>>0]=80;b[F+1>>0]=e;G=F+2|0}F=f[a+4>>2]|0;if(!(F&1)){H=G;return H|0}H=f4b(F&-2,G)|0;return H|0}function abb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function bbb(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,20280,0)|0;if(!c){c2b(b,a);return}else{R9a(a,c);return}}function cbb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function dbb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533568;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function ebb(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function fbb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=128728;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=530584?(f[222750]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=50;b[d+8>>0]=0;dEb(891e3,d);zDb(d)}f[a+12>>2]=0;f[a+16>>2]=535416;f[a+20>>2]=0;n[a+24>>2]=1.0;n[a+28>>2]=1.0;u=c;return}function gbb(a,b){a=a|0;b=b|0;hbb(b,a);return}function hbb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}d=f[b+8>>2]|0;if(!(d&15))return;do if(d&1|0?(g=a+8|0,f[g>>2]=f[g>>2]|1,g=a+16|0,e=f[b+16>>2]|0,c=f[g>>2]|0,(c|0)!=(e|0)):0)if((c|0)==535416){aFa(g,e);break}else{Qmc(c,e)|0;break}while(0);if(d&2|0)f[a+20>>2]=f[b+20>>2];if(d&4|0)f[a+24>>2]=f[b+24>>2];if(d&8|0)f[a+28>>2]=f[b+28>>2];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function ibb(a){a=a|0;var c=0,d=0;f[a>>2]=128728;c=f[a+16>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(d);f[c>>2]=0;return}function jbb(a){a=a|0;ibb(a);Emc(a);return}function kbb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function lbb(a,b){a=a|0;b=b|0;a=Bmc(32)|0;fbb(a);if(!b)return a|0;xbb(b,a);return a|0}function mbb(a){a=a|0;var c=0,d=0,e=0,g=0;c=a+8|0;d=f[c>>2]|0;do if(d&1|0){e=f[a+16>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);if(d&14|0){f[a+20>>2]=0;n[a+24>>2]=1.0;n[a+28>>2]=1.0}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function nbb(a){a=a|0;return 1}function obb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+8|0;j=a+16|0;k=a+24|0;l=a+28|0;m=a+4|0;n=a+20|0;a:while(1){b:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){o=b[a>>0]|0;p=o&255;if(o<<24>>24>0){f[c>>2]=a+1;q=p;r=7}else{s=p;r=6}}else{s=0;r=6}if((r|0)==6){r=0;p=xCb(c,s)|0;if((p+-1|0)>>>0<127){q=p;r=7}else t=p}c:do if((r|0)==7){r=0;switch(q>>>3&536870911|0){case 1:{if((q&255|0)!=10){t=q;break c}f[i>>2]=f[i>>2]|1;p=f[j>>2]|0;if((p|0)==535416){aFa(j,535416);v=f[j>>2]|0}else v=p;if(HEb(c,v)|0)continue b;else{w=0;r=42;break a}break}case 2:{if((q&255|0)==16)break b;else{t=q;break c}break}case 3:{if((q&255|0)!=29){t=q;break c}f[i>>2]=f[i>>2]|4;p=f[c>>2]|0;if(((f[g>>2]|0)-p|0)>3){a=p;o=h[a>>0]|h[a+1>>0]<<8|h[a+2>>0]<<16|h[a+3>>0]<<24;f[e>>2]=o;f[c>>2]=p+4;x=o}else{if(!(uCb(c,e)|0)){r=29;break a}x=f[e>>2]|0}f[k>>2]=x;continue b;break}case 4:{if((q&255|0)!=37){t=q;break c}f[i>>2]=f[i>>2]|8;o=f[c>>2]|0;if(((f[g>>2]|0)-o|0)>3){p=o;a=h[p>>0]|h[p+1>>0]<<8|h[p+2>>0]<<16|h[p+3>>0]<<24;f[e>>2]=a;f[c>>2]=o+4;y=a}else{if(!(uCb(c,e)|0)){r=36;break a}y=f[e>>2]|0}f[l>>2]=y;continue b;break}default:{t=q;break c}}}while(0);if(!t){w=1;r=42;break a}a=f[m>>2]|0;if(!(a&1))z=AHa(m)|0;else z=a&-2;if(!(b4b(c,t,z)|0)){w=0;r=42;break a}}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){o=b[a>>0]|0;p=o&255;if(o<<24>>24>-1){f[c>>2]=a+1;A=p}else{B=p;r=16}}else{B=0;r=16}if((r|0)==16){r=0;p=iCb(c,B)|0;a=J;if((a|0)>-1|(a|0)==-1&p>>>0>4294967295)A=p;else{w=0;r=42;break}}if(A>>>0<2){f[i>>2]=f[i>>2]|2;f[n>>2]=A;continue}p=f[m>>2]|0;if(!(p&1))C=AHa(m)|0;else C=p&-2;R3b(C,2,A,((A|0)<0)<<31>>31)}if((r|0)==29){w=0;u=d;return w|0}else if((r|0)==36){w=0;u=d;return w|0}else if((r|0)==42){u=d;return w|0}return 0}function pbb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=f[a+8>>2]|0;if(!(c&15)){e=d;g=a+12|0;f[g>>2]=e;return e|0}if(!(c&1))h=d;else{i=f[a+16>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0?f[i+4>>2]|0:j&255;h=d+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&2))l=h;else{k=f[a+20>>2]|0;if((k|0)<0)m=11;else m=((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;l=m+h|0}h=c&4|0?l+5|0:l;e=c&8|0?h+5|0:h;g=a+12|0;f[g>>2]=e;return e|0}function qbb(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)BEb(1,f[a+16>>2]|0,b);if(c&2|0)zEb(2,f[a+20>>2]|0,b);if(c&4|0)wEb(3,+n[a+24>>2],b);if(c&8|0)wEb(4,+n[a+28>>2],b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function rbb(a){a=a|0;return f[a+12>>2]|0}function sbb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=10;e=GCb(g,d+1|0)|0}if(!(c&2))h=e;else{d=f[a+20>>2]|0;b[e>>0]=16;g=e+1|0;e=d&255;if(d>>>0>127){i=g;j=e;k=d;l=((d|0)<0)<<31>>31;while(1){b[i>>0]=j|-128;d=k;k=Irc(k|0,l|0,7)|0;m=i+1|0;n=k&255;if(!(l>>>0>0|(l|0)==0&d>>>0>16383)){o=m;p=n;break}else{i=m;j=n;l=J}}}else{o=g;p=e}b[o>>0]=p;h=o+1|0}if(!(c&4))q=h;else{o=f[a+24>>2]|0;b[h>>0]=29;p=h+1|0;b[p>>0]=o;b[p+1>>0]=o>>8;b[p+2>>0]=o>>16;b[p+3>>0]=o>>24;q=h+5|0}if(!(c&8))r=q;else{c=f[a+28>>2]|0;b[q>>0]=37;h=q+1|0;b[h>>0]=c;b[h+1>>0]=c>>8;b[h+2>>0]=c>>16;b[h+3>>0]=c>>24;r=q+5|0}q=f[a+4>>2]|0;if(!(q&1)){s=r;return s|0}s=f4b(q&-2,r)|0;return s|0}function tbb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function ubb(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,20296,0)|0;if(!c){c2b(b,a);return}else{hbb(a,c);return}}function vbb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function wbb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533632;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function xbb(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function ybb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=u;u=u+16|0;e=d;g=f[a>>2]|0;h=a+4|0;if(g>>>0<(f[h>>2]|0)>>>0?(i=b[g>>0]|0,i<<24>>24>-1):0){f[a>>2]=g+1;j=i&255}else{i=wCb(a)|0;if((i|0)>-1)j=i;else{k=0;u=d;return k|0}}i=fCb(a,j)|0;a:do if((nCb(a)|0)>0){j=c+4|0;g=c+8|0;l=e+8|0;while(1){m=f[a>>2]|0;if(m>>>0<(f[h>>2]|0)>>>0?(n=b[m>>0]|0,n<<24>>24>-1):0){f[a>>2]=m+1;o=n<<24>>24!=0}else{jCb(e,a);n=e;if(!(b[l>>0]|0)){k=0;break}else o=(f[n>>2]|0)!=0|(f[n+4>>2]|0)!=0}n=f[c>>2]|0;if((n|0)==(f[j>>2]|0)){aJa(c,n+1|0);p=f[c>>2]|0}else p=n;n=f[g>>2]|0;f[c>>2]=p+1;b[n+4+p>>0]=o&1;if((nCb(a)|0)<=0)break a}u=d;return k|0}while(0);gCb(a,i);k=1;u=d;return k|0}function zbb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=128188;Drc(a+4|0,0,132)|0;if((a|0)!=530616?(f[222751]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=51;b[d+8>>0]=0;dEb(891004,d);zDb(d)}f[a+136>>2]=535416;f[a+140>>2]=535416;Drc(a+144|0,0,224)|0;u=c;return}function Abb(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function Bbb(a){a=a|0;var c=0;c=f[a+136>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+140>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}if((a|0)==530616)return;c=f[a+144>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+148>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+152>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+156>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+160>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+164>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+168>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+172>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+176>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+180>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+184>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+188>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+192>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+196>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+200>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+204>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+208>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+212>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+216>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+220>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+224>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+228>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+232>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+236>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+240>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+244>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+248>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+252>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+256>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+260>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+264>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+268>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+272>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+276>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+280>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+284>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+288>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+292>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+296>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+300>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+304>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+308>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+312>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+316>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+320>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+324>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+328>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+332>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+336>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+340>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+344>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+348>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+352>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+356>>2]|0;if(!c)return;ai[f[(f[c>>2]|0)+4>>2]&2047](c);return}function Cbb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;f[a>>2]=128836;c=a+28|0;d=f[c>>2]|0;if(d|0?(f[a+16>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0){if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);Emc(h)}g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;Emc(i)}f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}i=a&-2;a=i;if((i|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(i);f[c>>2]=0;return}function Dbb(a){a=a|0;Cbb(a);Emc(a);return}function Ebb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function Fbb(a,b){a=a|0;b=b|0;a=Bmc(40)|0;Rbb(a);if(!b)return a|0;Sbb(b,a);return a|0}function Gbb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+20|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+28>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;i=h+11|0;if((b[i>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0}else{b[h>>0]=0;b[i>>0]=0}}while((g|0)!=(d|0));f[c>>2]=0}c=a+8|0;if(f[c>>2]&3|0){f[a+32>>2]=0;f[a+36>>2]=1}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function Hbb(a){a=a|0;return 1}function Ibb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;d=c+4|0;e=a+8|0;g=a+32|0;h=a+16|0;i=a+4|0;j=a+36|0;a:while(1){b:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){k=b[a>>0]|0;l=k&255;if(k<<24>>24>0){f[c>>2]=a+1;m=l;n=7}else{o=l;n=6}}else{o=0;n=6}if((n|0)==6){n=0;l=xCb(c,o)|0;if((l+-1|0)>>>0<127){m=l;n=7}else p=l}c:do if((n|0)==7){n=0;switch(m>>>3&536870911|0){case 1:{if((m&255|0)==8)break b;else{p=m;break c}break}case 2:{if((m&255|0)!=16){p=m;break c}f[e>>2]=f[e>>2]|1;l=f[c>>2]|0;if(l>>>0<(f[d>>2]|0)>>>0){a=b[l>>0]|0;k=a&255;if(a<<24>>24>-1){f[c>>2]=l+1;q=k}else{r=k;n=23}}else{r=0;n=23}if((n|0)==23){n=0;k=iCb(c,r)|0;l=J;if((l|0)>-1|(l|0)==-1&k>>>0>4294967295)q=k;else{s=0;n=32;break a}}f[g>>2]=q;continue b;break}case 3:{if((m&255|0)!=26){p=m;break c}if(HEb(c,dFa(h)|0)|0)continue b;else{s=0;n=32;break a}break}default:{p=m;break c}}}while(0);if(!p){s=1;n=32;break a}k=f[i>>2]|0;if(!(k&1))t=AHa(i)|0;else t=k&-2;if(!(b4b(c,p,t)|0)){s=0;n=32;break a}}k=f[c>>2]|0;if(k>>>0<(f[d>>2]|0)>>>0){l=b[k>>0]|0;a=l&255;if(l<<24>>24>-1){f[c>>2]=k+1;u=a}else{v=a;n=12}}else{v=0;n=12}if((n|0)==12){n=0;a=iCb(c,v)|0;k=J;if((k|0)>-1|(k|0)==-1&a>>>0>4294967295)u=a;else{s=0;n=32;break}}if(u>>>0<2){f[e>>2]=f[e>>2]|2;f[j>>2]=u;continue}a=f[i>>2]|0;if(!(a&1))w=AHa(i)|0;else w=a&-2;R3b(w,1,u,((u|0)<0)<<31>>31)}if((n|0)==32)return s|0;return 0}function Jbb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=f[a+20>>2]|0;e=c+d|0;if((c|0)>0){d=f[a+28>>2]|0;g=0;h=e;while(1){i=f[d+4+(g<<2)>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0?f[i+4>>2]|0:j&255;j=k+h+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=g+1|0;if((g|0)==(c|0)){l=j;break}else h=j}}else l=e;e=f[a+8>>2]|0;if(!(e&3)){m=l;n=a+12|0;f[n>>2]=m;return m|0}if(!(e&1))o=l;else{h=f[a+32>>2]|0;if((h|0)<0)p=11;else p=((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;o=p+l|0}if(!(e&2)){m=o;n=a+12|0;f[n>>2]=m;return m|0}e=f[a+36>>2]|0;if((e|0)<0)q=11;else q=((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;m=q+o|0;n=a+12|0;f[n>>2]=m;return m|0}function Kbb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a+8>>2]|0;if(c&2|0)zEb(1,f[a+36>>2]|0,b);if(c&1|0)mEb(2,f[a+32>>2]|0,b);c=f[a+20>>2]|0;if((c|0)>0){d=a+28|0;e=0;do{AEb(3,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function Lbb(a){a=a|0;return f[a+12>>2]|0}function Mbb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;c=f[a+8>>2]|0;if(!(c&2))e=d;else{g=f[a+36>>2]|0;b[d>>0]=8;h=d+1|0;d=g&255;if(g>>>0>127){i=h;j=d;k=g;l=((g|0)<0)<<31>>31;while(1){b[i>>0]=j|-128;g=k;k=Irc(k|0,l|0,7)|0;m=i+1|0;n=k&255;if(!(l>>>0>0|(l|0)==0&g>>>0>16383)){o=m;p=n;break}else{i=m;j=n;l=J}}}else{o=h;p=d}b[o>>0]=p;e=o+1|0}if(!(c&1))q=e;else{c=f[a+32>>2]|0;b[e>>0]=16;o=e+1|0;e=c&255;if(c>>>0>127){p=o;d=e;h=c;l=((c|0)<0)<<31>>31;while(1){b[p>>0]=d|-128;c=h;h=Irc(h|0,l|0,7)|0;j=p+1|0;i=h&255;if(!(l>>>0>0|(l|0)==0&c>>>0>16383)){r=j;s=i;break}else{p=j;d=i;l=J}}}else{r=o;s=e}b[r>>0]=s;q=r+1|0}r=f[a+20>>2]|0;if((r|0)>0){s=a+28|0;e=0;o=q;while(1){l=f[(f[s>>2]|0)+4+(e<<2)>>2]|0;b[o>>0]=26;d=GCb(l,o+1|0)|0;e=e+1|0;if((e|0)==(r|0)){t=d;break}else o=d}}else t=q;q=f[a+4>>2]|0;if(!(q&1)){u=t;return u|0}u=f4b(q&-2,t)|0;return u|0}function Nbb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function Obb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,20312,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}BHa(a+16|0,c+16|0);d=f[c+8>>2]|0;if(!(d&3))return;if(d&1|0)f[a+32>>2]=f[c+32>>2];if(d&2|0)f[a+36>>2]=f[c+36>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function Pbb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function Qbb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533616;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function Rbb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=128836;f[a+4>>2]=0;f[a+8>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=530480?(f[222748]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=48;b[d+8>>0]=0;dEb(890992,d);zDb(d)}f[a+12>>2]=0;f[a+32>>2]=0;f[a+36>>2]=1;u=c;return}function Sbb(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function Tbb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;f[a>>2]=128944;c=f[a+32>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=a+28|0;d=f[c>>2]|0;if(d|0?(f[a+16>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0)ai[f[(f[h>>2]|0)+4>>2]&2047](h);g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;Emc(i)}f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}i=a&-2;a=i;if((i|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(i);f[c>>2]=0;return}function Ubb(a){a=a|0;Tbb(a);Emc(a);return}function Vbb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function Wbb(a,b){a=a|0;b=b|0;a=Bmc(44)|0;hcb(a);if(!b)return a|0;icb(b,a);return a|0}function Xbb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=a+20|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+28>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((g|0)!=(d|0));f[c>>2]=0}c=a+8|0;d=f[c>>2]|0;do if(d&1|0){g=f[a+32>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);if(d&6|0){d=a+36|0;f[d>>2]=0;f[d+4>>2]=0}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function Ybb(a){a=a|0;return 1}function Zbb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+36|0;j=a+32|0;k=a+16|0;l=e+4|0;m=a+40|0;n=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){o=b[a>>0]|0;p=o&255;if(o<<24>>24>0){f[c>>2]=a+1;q=p;r=6}else{s=p;r=5}}else{s=0;r=5}if((r|0)==5){r=0;p=xCb(c,s)|0;if((p+-1|0)>>>0<127){q=p;r=6}else t=p}b:do if((r|0)==6){r=0;switch(q>>>3&536870911|0){case 1:{if((q&255|0)!=8){t=q;break b}f[h>>2]=f[h>>2]|2;p=f[c>>2]|0;if(p>>>0<(f[g>>2]|0)>>>0){a=b[p>>0]|0;o=a&255;if(a<<24>>24>-1){f[c>>2]=p+1;v=o}else{w=o;r=11}}else{w=0;r=11}if((r|0)==11){r=0;o=iCb(c,w)|0;p=J;if((p|0)>-1|(p|0)==-1&o>>>0>4294967295)v=o;else{x=0;r=37;break a}}f[i>>2]=v;continue a;break}case 2:{if((q&255|0)!=18){t=q;break b}f[h>>2]=f[h>>2]|1;o=f[j>>2]|0;if((o|0)==535416){aFa(j,535416);y=f[j>>2]|0}else y=o;if(HEb(c,y)|0)continue a;else{x=0;r=37;break a}break}case 3:{if((q&255|0)!=26){t=q;break b}o=WUa(k)|0;p=f[c>>2]|0;if(p>>>0<(f[g>>2]|0)>>>0?(a=b[p>>0]|0,a<<24>>24>-1):0){f[c>>2]=p+1;z=a&255}else{a=wCb(c)|0;if((a|0)>-1)z=a;else{x=0;r=37;break a}}hCb(e,c,z);if((f[l>>2]|0)<0){r=24;break a}if(!(Sh[f[(f[o>>2]|0)+44>>2]&511](o,c)|0)){r=24;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{x=0;r=37;break a}break}case 4:{if((q&255|0)!=32){t=q;break b}f[h>>2]=f[h>>2]|4;o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0){a=b[o>>0]|0;p=a&255;if(a<<24>>24>-1){f[c>>2]=o+1;A=p}else{B=p;r=30}}else{B=0;r=30}if((r|0)==30){r=0;p=iCb(c,B)|0;o=J;if((o|0)>-1|(o|0)==-1&p>>>0>4294967295)A=p;else{x=0;r=37;break a}}f[m>>2]=A;continue a;break}default:{t=q;break b}}}while(0);if(!t){x=1;r=37;break}p=f[n>>2]|0;if(!(p&1))C=AHa(n)|0;else C=p&-2;if(!(b4b(c,t,C)|0)){x=0;r=37;break}}if((r|0)==24){x=0;u=d;return x|0}else if((r|0)==37){u=d;return x|0}return 0}function _bb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=f[a+20>>2]|0;e=c+d|0;if(!c)g=e;else{d=a+28|0;h=0;i=e;while(1){e=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;j=ci[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(c|0)){g=e;break}else i=e}}i=f[a+8>>2]|0;if(!(i&7)){k=g;l=a+12|0;f[l>>2]=k;return k|0}if(!(i&1))m=g;else{c=f[a+32>>2]|0;h=b[c+11>>0]|0;d=h<<24>>24<0?f[c+4>>2]|0:h&255;m=g+1+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&2))n=m;else{d=f[a+36>>2]|0;if((d|0)<0)o=11;else o=((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;n=o+m|0}if(!(i&4)){k=n;l=a+12|0;f[l>>2]=k;return k|0}i=f[a+40>>2]|0;if((i|0)<0)p=11;else p=((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;k=p+n|0;l=a+12|0;f[l>>2]=k;return k|0}function $bb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=f[a+8>>2]|0;if(c&2|0)mEb(1,f[a+36>>2]|0,b);if(c&1|0)BEb(2,f[a+32>>2]|0,b);d=f[a+20>>2]|0;if(d|0){e=a+28|0;g=0;do{GEb(3,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(d|0))}if(c&4|0)mEb(4,f[a+40>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function acb(a){a=a|0;return f[a+12>>2]|0}function bcb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;e=f[a+8>>2]|0;if(!(e&2))g=d;else{h=f[a+36>>2]|0;b[d>>0]=8;i=d+1|0;d=h&255;if(h>>>0>127){j=i;k=d;l=h;m=((h|0)<0)<<31>>31;while(1){b[j>>0]=k|-128;h=l;l=Irc(l|0,m|0,7)|0;n=j+1|0;o=l&255;if(!(m>>>0>0|(m|0)==0&h>>>0>16383)){p=n;q=o;break}else{j=n;k=o;m=J}}}else{p=i;q=d}b[p>>0]=q;g=p+1|0}if(!(e&1))r=g;else{p=f[a+32>>2]|0;b[g>>0]=18;r=GCb(p,g+1|0)|0}g=f[a+20>>2]|0;if(!g)s=r;else{p=a+28|0;q=0;d=r;while(1){r=f[(f[p>>2]|0)+4+(q<<2)>>2]|0;b[d>>0]=26;i=d+1|0;m=ci[f[(f[r>>2]|0)+60>>2]&1023](r)|0;if(m>>>0>127){k=m;j=i;while(1){b[j>>0]=k|128;l=k>>>7;o=j+1|0;if(k>>>0>16383){k=l;j=o}else{t=o;u=l;break}}}else{t=i;u=m}b[t>>0]=u;j=ki[f[(f[r>>2]|0)+64>>2]&511](r,c,t+1|0)|0;q=q+1|0;if((q|0)==(g|0)){s=j;break}else d=j}}if(!(e&4))v=s;else{e=f[a+40>>2]|0;b[s>>0]=32;d=s+1|0;s=e&255;if(e>>>0>127){g=d;q=s;t=e;c=((e|0)<0)<<31>>31;while(1){b[g>>0]=q|-128;e=t;t=Irc(t|0,c|0,7)|0;u=g+1|0;p=t&255;if(!(c>>>0>0|(c|0)==0&e>>>0>16383)){w=u;x=p;break}else{g=u;q=p;c=J}}}else{w=d;x=s}b[w>>0]=x;v=w+1|0}w=f[a+4>>2]|0;if(!(w&1)){y=v;return y|0}y=f4b(w&-2,v)|0;return y|0}function ccb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function dcb(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,20328,0)|0;if(!c){c2b(b,a);return}else{gcb(a,c);return}}function ecb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function fcb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222734]|0)!=2){f[d>>2]=149752;f[d+4>>2]=34;b[d+8>>0]=0;dEb(890936,d);zDb(d)}d=533608;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function gcb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}jFa(a+16|0,b+16|0);d=f[b+8>>2]|0;if(!(d&7))return;do if(d&1|0?(g=a+8|0,f[g>>2]=f[g>>2]|1,g=a+32|0,e=f[b+32>>2]|0,c=f[g>>2]|0,(c|0)!=(e|0)):0)if((c|0)==535416){aFa(g,e);break}else{Qmc(c,e)|0;break}while(0);if(d&2|0)f[a+36>>2]=f[b+36>>2];if(d&4|0)f[a+40>>2]=f[b+40>>2];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function hcb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=128944;f[a+4>>2]=0;f[a+8>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=530432?(f[222747]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=47;b[d+8>>0]=0;dEb(890988,d);zDb(d)}f[a+12>>2]=0;f[a+32>>2]=535416;d=a+36|0;f[d>>2]=0;f[d+4>>2]=0;u=c;return}function icb(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function jcb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;f[a>>2]=129052;cdb(a);c=f[a+84>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=a+72|0;d=f[c>>2]|0;if(d|0?(f[a+60>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0)ai[f[(f[h>>2]|0)+4>>2]&2047](h);g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;Emc(i)}f[c>>2]=0;c=a+56|0;i=f[c>>2]|0;if(i|0?(f[a+44>>2]|0)==0:0){d=f[i>>2]|0;if((d|0)>0){e=0;do{g=f[i+4+(e<<2)>>2]|0;if(g|0)ai[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));j=f[c>>2]|0}else j=i;Emc(j)}f[c>>2]=0;c=f[a+40>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=a+28|0;j=f[c>>2]|0;if(j|0?(f[a+16>>2]|0)==0:0){i=f[j>>2]|0;if((i|0)>0){d=0;do{e=f[j+4+(d<<2)>>2]|0;if(e|0){if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);Emc(e)}d=d+1|0}while((d|0)!=(i|0));k=f[c>>2]|0}else k=j;Emc(k)}f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}k=a&-2;a=k;if((k|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(k);f[c>>2]=0;return}function kcb(a){a=a|0;jcb(a);Emc(a);return}function lcb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function mcb(a,b){a=a|0;b=b|0;a=Bmc(232)|0;adb(a);if(!b)return a|0;bdb(b,a);return a|0}function ncb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+20|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+28>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;i=h+11|0;if((b[i>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0}else{b[h>>0]=0;b[i>>0]=0}}while((g|0)!=(d|0));f[c>>2]=0}f[a+32>>2]=0;c=a+48|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+56>>2]|0;e=0;do{i=f[g+4+(e<<2)>>2]|0;e=e+1|0;ai[f[(f[i>>2]|0)+28>>2]&2047](i)}while((e|0)!=(d|0));f[c>>2]=0}c=a+64|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+72>>2]|0;g=0;do{i=f[e+4+(g<<2)>>2]|0;g=g+1|0;ai[f[(f[i>>2]|0)+28>>2]&2047](i)}while((g|0)!=(d|0));f[c>>2]=0}f[a+76>>2]=0;c=a+8|0;d=f[c>>2]|0;if(d&255|0){do if(d&1|0){g=f[a+88>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);do if(d&2|0){e=f[a+92>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&4|0){g=f[a+96>>2]|0;e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);do if(d&8|0){e=f[a+100>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);if(d&16|0)Qmc(f[a+104>>2]|0,533456)|0;if(d&32|0)Qmc(f[a+108>>2]|0,533472)|0;if(d&64|0){g=f[a+112>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}if(d&128|0){g=f[a+116>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}}if(d&256|0){g=f[a+120>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}if(d&65024|0){g=a+124|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0}if(d&16711680|0){g=a+152|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0}if(d>>>0>16777215){n[a+176>>2]=.9990000128746033;d=a+184|0;f[d>>2]=-1;f[d+4>>2]=-1;f[a+192>>2]=1;b[a+196>>0]=1;b[a+197>>0]=1;n[a+200>>2]=9.99999993922529e-09;f[a+204>>2]=1;n[a+208>>2]=-1.0}if(f[a+12>>2]&7|0){f[a+212>>2]=1;f[a+216>>2]=1;n[a+220>>2]=.9900000095367432}d=c;f[d>>2]=0;f[d+4>>2]=0;d=f[a+4>>2]|0;if(!(d&1))return;a=d&-2;if(!(f[a>>2]|0))return;L3b(a);return}function ocb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;b=a+56|0;c=f[a+48>>2]|0;while(1){if((c|0)<=0)break;c=c+-1|0;d=f[(f[b>>2]|0)+4+(c<<2)>>2]|0;if(!(ci[f[(f[d>>2]|0)+32>>2]&1023](d)|0)){e=0;g=10;break}}if((g|0)==10)return e|0;g=a+8|0;c=f[g>>2]|0;do if(c&64){b=f[a+112>>2]|0;if(ci[f[(f[b>>2]|0)+32>>2]&1023](b)|0){h=f[g>>2]|0;break}else{e=0;return e|0}}else h=c;while(0);if(h&128|0?(h=f[a+116>>2]|0,!(ci[f[(f[h>>2]|0)+32>>2]&1023](h)|0)):0){e=0;return e|0}e=1;return e|0}
function QWb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;if(c|0?(e=ci[f[(f[c>>2]|0)+20>>2]&1023](c)|0,(e|0)!=(ci[f[(f[b>>2]|0)+20>>2]&1023](b)|0)):0){if((ci[f[(f[c>>2]|0)+20>>2]&1023](c)|0)==0?ci[f[(f[b>>2]|0)+20>>2]&1023](b)|0:0){yVb(ci[f[(f[b>>2]|0)+20>>2]&1023](b)|0,c);VXb(a,b,c,d);return}e=Bg[f[(f[a>>2]|0)+156>>2]&127](a,b,d,0)|0;xh[f[(f[e>>2]|0)+72>>2]&2047](e,c);return}VXb(a,b,c,d);return}function RWb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=UXb(a,b,c,d)|0;d=f[b+(f[a+24>>2]|0)>>2]|0;a=d&-2;if(!(d&1))g=a;else g=f[a+4>>2]|0;if(!((e|0)!=0&(g|0)!=0)){h=e;return h|0}g=ci[f[(f[e>>2]|0)+12>>2]&1023](e)|0;xh[f[(f[g>>2]|0)+72>>2]&2047](g,e);h=g;return h|0}function SWb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))NXb(k,d,503613,502886);if((f[d+32>>2]|0)!=3)NXb(f[j>>2]|0,d,503613,502338);k=f[d+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(k,h)}if((f[149940+(f[d+28>>2]<<2)>>2]|0)!=1)PXb(f[j>>2]|0,d,503613,1);if(b[d+38>>0]|0){l=W4b(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e)|0;u=g;return l|0}j=f[d+52>>2]|0;do if(j){h=(j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((h<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){m=c;n=(f[a+12>>2]|0)+((f[(f[i>>2]|0)+52>>2]|0)+h<<2)|0;break}else{m=f[a+8>>2]|0;n=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{m=c;n=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);l=f[(f[m+(f[n>>2]|0)+8>>2]|0)+4+(e<<2)>>2]|0;u=g;return l|0}function TWb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))NXb(k,d,503596,502886);if((f[d+32>>2]|0)!=3)NXb(f[j>>2]|0,d,503596,502338);k=f[d+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(k,h)}if((f[149940+(f[d+28>>2]<<2)>>2]|0)!=2)PXb(f[j>>2]|0,d,503596,2);if(b[d+38>>0]|0){j=a5b(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e)|0;l=J;m=j;J=l;u=g;return m|0}j=f[d+52>>2]|0;do if(j){h=(j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((h<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){n=c;o=(f[a+12>>2]|0)+((f[(f[i>>2]|0)+52>>2]|0)+h<<2)|0;break}else{n=f[a+8>>2]|0;o=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{n=c;o=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);i=(f[n+(f[o>>2]|0)+8>>2]|0)+8+(e<<3)|0;l=f[i+4>>2]|0;m=f[i>>2]|0;J=l;u=g;return m|0}function UWb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))NXb(k,d,503578,502886);if((f[d+32>>2]|0)!=3)NXb(f[j>>2]|0,d,503578,502338);k=f[d+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(k,h)}if((f[149940+(f[d+28>>2]<<2)>>2]|0)!=3)PXb(f[j>>2]|0,d,503578,3);if(b[d+38>>0]|0){l=g5b(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e)|0;u=g;return l|0}j=f[d+52>>2]|0;do if(j){h=(j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((h<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){m=c;n=(f[a+12>>2]|0)+((f[(f[i>>2]|0)+52>>2]|0)+h<<2)|0;break}else{m=f[a+8>>2]|0;n=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{m=c;n=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);l=f[(f[m+(f[n>>2]|0)+8>>2]|0)+4+(e<<2)>>2]|0;u=g;return l|0}function VWb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))NXb(k,d,503560,502886);if((f[d+32>>2]|0)!=3)NXb(f[j>>2]|0,d,503560,502338);k=f[d+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(k,h)}if((f[149940+(f[d+28>>2]<<2)>>2]|0)!=4)PXb(f[j>>2]|0,d,503560,4);if(b[d+38>>0]|0){j=m5b(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e)|0;l=J;m=j;J=l;u=g;return m|0}j=f[d+52>>2]|0;do if(j){h=(j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((h<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){n=c;o=(f[a+12>>2]|0)+((f[(f[i>>2]|0)+52>>2]|0)+h<<2)|0;break}else{n=f[a+8>>2]|0;o=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{n=c;o=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);i=(f[n+(f[o>>2]|0)+8>>2]|0)+8+(e<<3)|0;l=f[i+4>>2]|0;m=f[i>>2]|0;J=l;u=g;return m|0}function WWb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0.0,m=0,o=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))NXb(k,d,503543,502886);if((f[d+32>>2]|0)!=3)NXb(f[j>>2]|0,d,503543,502338);k=f[d+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(k,h)}if((f[149940+(f[d+28>>2]<<2)>>2]|0)!=6)PXb(f[j>>2]|0,d,503543,6);if(b[d+38>>0]|0){l=+s5b(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e);u=g;return +l}j=f[d+52>>2]|0;do if(j){h=(j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((h<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){m=c;o=(f[a+12>>2]|0)+((f[(f[i>>2]|0)+52>>2]|0)+h<<2)|0;break}else{m=f[a+8>>2]|0;o=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{m=c;o=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);l=+n[(f[m+(f[o>>2]|0)+8>>2]|0)+4+(e<<2)>>2];u=g;return +l}function XWb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0.0,m=0,n=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))NXb(k,d,503525,502886);if((f[d+32>>2]|0)!=3)NXb(f[j>>2]|0,d,503525,502338);k=f[d+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(k,h)}if((f[149940+(f[d+28>>2]<<2)>>2]|0)!=5)PXb(f[j>>2]|0,d,503525,5);if(b[d+38>>0]|0){l=+y5b(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e);u=g;return +l}j=f[d+52>>2]|0;do if(j){h=(j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((h<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){m=c;n=(f[a+12>>2]|0)+((f[(f[i>>2]|0)+52>>2]|0)+h<<2)|0;break}else{m=f[a+8>>2]|0;n=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{m=c;n=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);l=+p[(f[m+(f[n>>2]|0)+8>>2]|0)+8+(e<<3)>>3];u=g;return +l}function YWb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))NXb(k,d,503509,502886);if((f[d+32>>2]|0)!=3)NXb(f[j>>2]|0,d,503509,502338);k=f[d+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(k,h)}if((f[149940+(f[d+28>>2]<<2)>>2]|0)!=7)PXb(f[j>>2]|0,d,503509,7);if(b[d+38>>0]|0){l=E5b(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e)|0;u=g;return l|0}j=f[d+52>>2]|0;do if(j){h=(j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((h<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){m=c;n=(f[a+12>>2]|0)+((f[(f[i>>2]|0)+52>>2]|0)+h<<2)|0;break}else{m=f[a+8>>2]|0;n=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{m=c;n=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);l=(b[(f[m+(f[n>>2]|0)+8>>2]|0)+4+e>>0]|0)!=0;u=g;return l|0}function ZWb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;h=u;u=u+16|0;i=h;j=e+48|0;k=c+4|0;l=f[k>>2]|0;if((f[j>>2]|0)!=(l|0))NXb(l,e,503491,502886);if((f[e+32>>2]|0)!=3)NXb(f[k>>2]|0,e,503491,502338);l=f[e+24>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=e;dEb(l,i)}if((f[149940+(f[e+28>>2]<<2)>>2]|0)!=9)PXb(f[k>>2]|0,e,503491,9);if(b[e+38>>0]|0){Nmc(a,R5b(d+(f[c+28>>2]|0)|0,f[e+40>>2]|0,g)|0);u=h;return}k=f[e+52>>2]|0;do if(k){i=(k-(f[(f[k+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[d+((i<<2)+(f[c+32>>2]|0))>>2]|0)==(f[e+40>>2]|0)){m=d;n=(f[c+12>>2]|0)+((f[(f[j>>2]|0)+52>>2]|0)+i<<2)|0;break}else{m=f[c+8>>2]|0;n=(f[c+12>>2]|0)+(((e-(f[(f[j>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{m=d;n=(f[c+12>>2]|0)+(((e-(f[(f[j>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);Nmc(a,f[(f[m+(f[n>>2]|0)+12>>2]|0)+4+(g<<2)>>2]|0);u=h;return}function _Wb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=Bg[f[(f[a>>2]|0)+204>>2]&127](a,b,c,d)|0;return ZIb(eJb(c)|0,e)|0}function $Wb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))NXb(k,d,503470,502886);if((f[d+32>>2]|0)!=3)NXb(f[j>>2]|0,d,503470,502338);k=f[d+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(k,h)}if((f[149940+(f[d+28>>2]<<2)>>2]|0)!=8)PXb(f[j>>2]|0,d,503470,8);if(b[d+38>>0]|0){l=M5b(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e)|0;u=g;return l|0}j=f[d+52>>2]|0;do if(j){h=(j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((h<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){m=c;n=(f[a+12>>2]|0)+((f[(f[i>>2]|0)+52>>2]|0)+h<<2)|0;break}else{m=f[a+8>>2]|0;n=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{m=c;n=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);l=f[(f[m+(f[n>>2]|0)+8>>2]|0)+4+(e<<2)>>2]|0;u=g;return l|0}function aXb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))NXb(k,d,503451,502886);if((f[d+32>>2]|0)!=3)NXb(f[j>>2]|0,d,503451,502338);k=d+24|0;l=f[k>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(l,h)}l=d+28|0;if((f[149940+(f[l>>2]<<2)>>2]|0)!=10)PXb(f[j>>2]|0,d,503451,10);j=d+38|0;if(b[j>>0]|0){m=W5b(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e)|0;u=g;return m|0}n=f[k>>2]|0;if(n|0?(f[n>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(n,h)}if((f[l>>2]|0)==11?bJb(d)|0:0){l=f[d+52>>2]|0;do if(!l){h=f[a+12>>2]|0;do if(b[j>>0]|0){n=f[d+56>>2]|0;k=d;if(!n){o=k-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{o=k-(f[n+40>>2]|0)|0;break}}else o=d-(f[(f[i>>2]|0)+20>>2]|0)|0;while(0);p=c;q=h+(((o|0)/88|0)<<2)|0}else{n=(l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((n<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){p=c;q=(f[a+12>>2]|0)+((f[(f[i>>2]|0)+52>>2]|0)+n<<2)|0;break}n=f[a+8>>2]|0;k=f[a+12>>2]|0;do if(b[j>>0]|0){r=f[d+56>>2]|0;s=d;if(!r){t=s-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{t=s-(f[r+40>>2]|0)|0;break}}else t=d-(f[(f[i>>2]|0)+20>>2]|0)|0;while(0);p=n;q=k+(((t|0)/88|0)<<2)|0}while(0);t=(q_b(p+(f[q>>2]|0)|0)|0)+12|0;m=f[(f[t>>2]|0)+4+(e<<2)>>2]|0;u=g;return m|0}t=f[d+52>>2]|0;do if(!t){q=f[a+12>>2]|0;do if(b[j>>0]|0){p=f[d+56>>2]|0;l=d;if(!p){v=l-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{v=l-(f[p+40>>2]|0)|0;break}}else v=d-(f[(f[i>>2]|0)+20>>2]|0)|0;while(0);w=c;x=q+(((v|0)/88|0)<<2)|0}else{k=(t-(f[(f[t+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((k<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){w=c;x=(f[a+12>>2]|0)+((f[(f[i>>2]|0)+52>>2]|0)+k<<2)|0;break}k=f[a+8>>2]|0;n=f[a+12>>2]|0;do if(b[j>>0]|0){p=f[d+56>>2]|0;l=d;if(!p){y=l-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{y=l-(f[p+40>>2]|0)|0;break}}else y=d-(f[(f[i>>2]|0)+20>>2]|0)|0;while(0);w=k;x=n+(((y|0)/88|0)<<2)|0}while(0);m=f[(f[w+(f[x>>2]|0)+12>>2]|0)+4+(e<<2)>>2]|0;u=g;return m|0}function bXb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))NXb(k,d,503424,502886);if((f[d+32>>2]|0)!=3)NXb(f[j>>2]|0,d,503424,502338);k=f[d+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(k,h)}if((f[149940+(f[d+28>>2]<<2)>>2]|0)!=9)PXb(f[j>>2]|0,d,503424,9);if(b[d+38>>0]|0){l=R5b(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e)|0;u=g;return l|0}j=f[d+52>>2]|0;do if(j){h=(j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((h<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){m=c;n=(f[a+12>>2]|0)+((f[(f[i>>2]|0)+52>>2]|0)+h<<2)|0;break}else{m=f[a+8>>2]|0;n=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{m=c;n=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);l=f[(f[m+(f[n>>2]|0)+12>>2]|0)+4+(e<<2)>>2]|0;u=g;return l|0}function cXb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+16|0;i=h;j=d+48|0;k=a+4|0;l=f[k>>2]|0;if((f[j>>2]|0)!=(l|0))NXb(l,d,503407,502886);if((f[d+32>>2]|0)!=3)NXb(f[k>>2]|0,d,503407,502338);l=f[d+24>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=d;dEb(l,i)}if((f[149940+(f[d+28>>2]<<2)>>2]|0)!=1)PXb(f[k>>2]|0,d,503407,1);if(b[d+38>>0]|0){X4b(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e,g);u=h;return}k=f[d+52>>2]|0;i=f[j>>2]|0;if(!k)m=(d-(f[i+20>>2]|0)|0)/88|0;else m=((k-(f[(f[k+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[i+52>>2]|0)|0;f[(f[c+(f[(f[a+12>>2]|0)+(m<<2)>>2]|0)+8>>2]|0)+4+(e<<2)>>2]=g;u=h;return}function dXb(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0;i=u;u=u+16|0;j=i;k=d+48|0;l=a+4|0;m=f[l>>2]|0;if((f[k>>2]|0)!=(m|0))NXb(m,d,503390,502886);if((f[d+32>>2]|0)!=3)NXb(f[l>>2]|0,d,503390,502338);m=f[d+24>>2]|0;if(m|0?(f[m>>2]|0)!=2:0){f[j>>2]=110868;f[j+4>>2]=1634;b[j+8>>0]=0;f[j+12>>2]=d;dEb(m,j)}if((f[149940+(f[d+28>>2]<<2)>>2]|0)!=2)PXb(f[l>>2]|0,d,503390,2);if(b[d+38>>0]|0){b5b(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e,g,h);u=i;return}l=f[d+52>>2]|0;j=f[k>>2]|0;if(!l)n=(d-(f[j+20>>2]|0)|0)/88|0;else n=((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[j+52>>2]|0)|0;j=(f[c+(f[(f[a+12>>2]|0)+(n<<2)>>2]|0)+8>>2]|0)+8+(e<<3)|0;f[j>>2]=g;f[j+4>>2]=h;u=i;return}function eXb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+16|0;i=h;j=d+48|0;k=a+4|0;l=f[k>>2]|0;if((f[j>>2]|0)!=(l|0))NXb(l,d,503372,502886);if((f[d+32>>2]|0)!=3)NXb(f[k>>2]|0,d,503372,502338);l=f[d+24>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=d;dEb(l,i)}if((f[149940+(f[d+28>>2]<<2)>>2]|0)!=3)PXb(f[k>>2]|0,d,503372,3);if(b[d+38>>0]|0){h5b(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e,g);u=h;return}k=f[d+52>>2]|0;i=f[j>>2]|0;if(!k)m=(d-(f[i+20>>2]|0)|0)/88|0;else m=((k-(f[(f[k+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[i+52>>2]|0)|0;f[(f[c+(f[(f[a+12>>2]|0)+(m<<2)>>2]|0)+8>>2]|0)+4+(e<<2)>>2]=g;u=h;return}function fXb(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0;i=u;u=u+16|0;j=i;k=d+48|0;l=a+4|0;m=f[l>>2]|0;if((f[k>>2]|0)!=(m|0))NXb(m,d,503354,502886);if((f[d+32>>2]|0)!=3)NXb(f[l>>2]|0,d,503354,502338);m=f[d+24>>2]|0;if(m|0?(f[m>>2]|0)!=2:0){f[j>>2]=110868;f[j+4>>2]=1634;b[j+8>>0]=0;f[j+12>>2]=d;dEb(m,j)}if((f[149940+(f[d+28>>2]<<2)>>2]|0)!=4)PXb(f[l>>2]|0,d,503354,4);if(b[d+38>>0]|0){n5b(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e,g,h);u=i;return}l=f[d+52>>2]|0;j=f[k>>2]|0;if(!l)n=(d-(f[j+20>>2]|0)|0)/88|0;else n=((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[j+52>>2]|0)|0;j=(f[c+(f[(f[a+12>>2]|0)+(n<<2)>>2]|0)+8>>2]|0)+8+(e<<3)|0;f[j>>2]=g;f[j+4>>2]=h;u=i;return}function gXb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=+g;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+16|0;i=h;j=d+48|0;k=a+4|0;l=f[k>>2]|0;if((f[j>>2]|0)!=(l|0))NXb(l,d,503337,502886);if((f[d+32>>2]|0)!=3)NXb(f[k>>2]|0,d,503337,502338);l=f[d+24>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=d;dEb(l,i)}if((f[149940+(f[d+28>>2]<<2)>>2]|0)!=6)PXb(f[k>>2]|0,d,503337,6);if(b[d+38>>0]|0){t5b(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e,g);u=h;return}k=f[d+52>>2]|0;i=f[j>>2]|0;if(!k)m=(d-(f[i+20>>2]|0)|0)/88|0;else m=((k-(f[(f[k+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[i+52>>2]|0)|0;n[(f[c+(f[(f[a+12>>2]|0)+(m<<2)>>2]|0)+8>>2]|0)+4+(e<<2)>>2]=g;u=h;return}function hXb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=+g;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+16|0;i=h;j=d+48|0;k=a+4|0;l=f[k>>2]|0;if((f[j>>2]|0)!=(l|0))NXb(l,d,503319,502886);if((f[d+32>>2]|0)!=3)NXb(f[k>>2]|0,d,503319,502338);l=f[d+24>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=d;dEb(l,i)}if((f[149940+(f[d+28>>2]<<2)>>2]|0)!=5)PXb(f[k>>2]|0,d,503319,5);if(b[d+38>>0]|0){z5b(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e,g);u=h;return}k=f[d+52>>2]|0;i=f[j>>2]|0;if(!k)m=(d-(f[i+20>>2]|0)|0)/88|0;else m=((k-(f[(f[k+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[i+52>>2]|0)|0;p[(f[c+(f[(f[a+12>>2]|0)+(m<<2)>>2]|0)+8>>2]|0)+8+(e<<3)>>3]=g;u=h;return}function iXb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+16|0;i=h;j=d+48|0;k=a+4|0;l=f[k>>2]|0;if((f[j>>2]|0)!=(l|0))NXb(l,d,503303,502886);if((f[d+32>>2]|0)!=3)NXb(f[k>>2]|0,d,503303,502338);l=f[d+24>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=d;dEb(l,i)}if((f[149940+(f[d+28>>2]<<2)>>2]|0)!=7)PXb(f[k>>2]|0,d,503303,7);if(b[d+38>>0]|0){F5b(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e,g);u=h;return}k=f[d+52>>2]|0;i=f[j>>2]|0;if(!k)m=(d-(f[i+20>>2]|0)|0)/88|0;else m=((k-(f[(f[k+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[i+52>>2]|0)|0;b[(f[c+(f[(f[a+12>>2]|0)+(m<<2)>>2]|0)+8>>2]|0)+4+e>>0]=g&1;u=h;return}function jXb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;h=u;u=u+16|0;i=h;j=d+48|0;k=a+4|0;l=f[k>>2]|0;if((f[j>>2]|0)!=(l|0))NXb(l,d,503285,502886);if((f[d+32>>2]|0)!=3)NXb(f[k>>2]|0,d,503285,502338);l=f[d+24>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=d;dEb(l,i)}if((f[149940+(f[d+28>>2]<<2)>>2]|0)!=9)PXb(f[k>>2]|0,d,503285,9);if(b[d+38>>0]|0){Qmc(S5b(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e)|0,g)|0;u=h;return}k=f[d+52>>2]|0;i=f[j>>2]|0;if(!k)m=(d-(f[i+20>>2]|0)|0)/88|0;else m=((k-(f[(f[k+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[i+52>>2]|0)|0;Qmc(f[(f[c+(f[(f[a+12>>2]|0)+(m<<2)>>2]|0)+12>>2]|0)+4+(e<<2)>>2]|0,g)|0;u=h;return}function kXb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=f[g+12>>2]|0;if((h|0)!=(eJb(d)|0))TXb(f[a+4>>2]|0,d,503205,g);h=f[g+8>>2]|0;if(b[d+38>>0]|0){N5b(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e,h);return}g=f[d+52>>2]|0;i=f[d+48>>2]|0;if(!g)j=(d-(f[i+20>>2]|0)|0)/88|0;else j=((g-(f[(f[g+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[i+52>>2]|0)|0;f[(f[c+(f[(f[a+12>>2]|0)+(j<<2)>>2]|0)+8>>2]|0)+4+(e<<2)>>2]=h;return}function lXb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=u;u=u+48|0;i=h+24|0;j=h;k=h+40|0;l=d+48|0;m=a+4|0;n=f[m>>2]|0;if((f[l>>2]|0)!=(n|0))NXb(n,d,503205,502886);if((f[d+32>>2]|0)!=3)NXb(f[m>>2]|0,d,503205,502338);n=f[d+24>>2]|0;if(n|0?(f[n>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=d;dEb(n,i)}if((f[149940+(f[d+28>>2]<<2)>>2]|0)!=8)PXb(f[m>>2]|0,d,503205,8);if((f[(f[(f[m>>2]|0)+8>>2]|0)+44>>2]|0)!=3?(YIb(eJb(d)|0,g)|0)==0:0){TDb(j,2,501629,1358);m=ODb(RDb(ODb(ODb(j,503221)|0,503278)|0,g)|0,502995)|0;QDb(k,PDb(m,f[d+4>>2]|0)|0);UDb(j);j=(cJb(d)|0)+8|0;o=f[j>>2]|0}else o=g;if(b[d+38>>0]|0){N5b(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e,o);u=h;return}g=f[d+52>>2]|0;j=f[l>>2]|0;if(!g)p=(d-(f[j+20>>2]|0)|0)/88|0;else p=((g-(f[(f[g+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[j+52>>2]|0)|0;f[(f[c+(f[(f[a+12>>2]|0)+(p<<2)>>2]|0)+8>>2]|0)+4+(e<<2)>>2]=o;u=h;return}function mXb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))NXb(k,d,503182,502886);if((f[d+32>>2]|0)!=3)NXb(f[j>>2]|0,d,503182,502338);k=d+24|0;l=f[k>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(l,h)}l=d+28|0;if((f[149940+(f[l>>2]<<2)>>2]|0)!=10)PXb(f[j>>2]|0,d,503182,10);j=d+38|0;if(b[j>>0]|0){m=X5b(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e)|0;u=g;return m|0}n=f[k>>2]|0;if(n|0?(f[n>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(n,h)}if((f[l>>2]|0)==11?bJb(d)|0:0){l=f[d+52>>2]|0;if(!l){h=f[a+12>>2]|0;do if(b[j>>0]|0){n=f[d+56>>2]|0;k=d;if(!n){o=k-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{o=k-(f[n+40>>2]|0)|0;break}}else o=d-(f[(f[i>>2]|0)+20>>2]|0)|0;while(0);p=h+(((o|0)/88|0)<<2)|0}else p=(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[i>>2]|0)+52>>2]|0)<<2)|0;l=(r_b(c+(f[p>>2]|0)|0)|0)+12|0;m=f[(f[l>>2]|0)+4+(e<<2)>>2]|0;u=g;return m|0}l=f[d+52>>2]|0;if(!l){p=f[a+12>>2]|0;do if(b[j>>0]|0){o=f[d+56>>2]|0;h=d;if(!o){q=h-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{q=h-(f[o+40>>2]|0)|0;break}}else q=d-(f[(f[i>>2]|0)+20>>2]|0)|0;while(0);r=p+(((q|0)/88|0)<<2)|0}else r=(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[i>>2]|0)+52>>2]|0)<<2)|0;m=f[(f[c+(f[r>>2]|0)+12>>2]|0)+4+(e<<2)>>2]|0;u=g;return m|0}function nXb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))NXb(k,d,503173,502886);if((f[d+32>>2]|0)!=3)NXb(f[j>>2]|0,d,503173,502338);k=d+24|0;l=f[k>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(l,h)}l=d+28|0;if((f[149940+(f[l>>2]<<2)>>2]|0)!=1)PXb(f[j>>2]|0,d,503173,1);if(b[d+38>>0]|0){j=c+(f[a+28>>2]|0)|0;m=f[d+40>>2]|0;n=f[k>>2]|0;if(n|0?(f[n>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(n,h)}Y4b(j,m,f[l>>2]&255,(b[(f[d+68>>2]|0)+52>>0]|0)!=0,e,d);u=g;return}l=f[d+52>>2]|0;m=f[i>>2]|0;if(!l)o=(d-(f[m+20>>2]|0)|0)/88|0;else o=((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[m+52>>2]|0)|0;m=c+(f[(f[a+12>>2]|0)+(o<<2)>>2]|0)|0;o=f[m>>2]|0;if((o|0)==(f[m+4>>2]|0)){eFa(m,o+1|0);p=f[m>>2]|0}else p=o;o=f[m+8>>2]|0;f[m>>2]=p+1;f[o+4+(p<<2)>>2]=e;u=g;return}function oXb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=u;u=u+16|0;i=h;j=d+48|0;k=a+4|0;l=f[k>>2]|0;if((f[j>>2]|0)!=(l|0))NXb(l,d,503164,502886);if((f[d+32>>2]|0)!=3)NXb(f[k>>2]|0,d,503164,502338);l=d+24|0;m=f[l>>2]|0;if(m|0?(f[m>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=d;dEb(m,i)}m=d+28|0;if((f[149940+(f[m>>2]<<2)>>2]|0)!=2)PXb(f[k>>2]|0,d,503164,2);if(b[d+38>>0]|0){k=c+(f[a+28>>2]|0)|0;n=f[d+40>>2]|0;o=f[l>>2]|0;if(o|0?(f[o>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=d;dEb(o,i)}c5b(k,n,f[m>>2]&255,(b[(f[d+68>>2]|0)+52>>0]|0)!=0,e,g,d);u=h;return}m=f[d+52>>2]|0;n=f[j>>2]|0;if(!m)p=(d-(f[n+20>>2]|0)|0)/88|0;else p=((m-(f[(f[m+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[n+52>>2]|0)|0;n=c+(f[(f[a+12>>2]|0)+(p<<2)>>2]|0)|0;p=f[n>>2]|0;if((p|0)==(f[n+4>>2]|0)){cEa(n,p+1|0);q=f[n>>2]|0}else q=p;p=f[n+8>>2]|0;f[n>>2]=q+1;n=p+8+(q<<3)|0;f[n>>2]=e;f[n+4>>2]=g;u=h;return}function pXb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))NXb(k,d,503154,502886);if((f[d+32>>2]|0)!=3)NXb(f[j>>2]|0,d,503154,502338);k=d+24|0;l=f[k>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(l,h)}l=d+28|0;if((f[149940+(f[l>>2]<<2)>>2]|0)!=3)PXb(f[j>>2]|0,d,503154,3);if(b[d+38>>0]|0){j=c+(f[a+28>>2]|0)|0;m=f[d+40>>2]|0;n=f[k>>2]|0;if(n|0?(f[n>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(n,h)}i5b(j,m,f[l>>2]&255,(b[(f[d+68>>2]|0)+52>>0]|0)!=0,e,d);u=g;return}l=f[d+52>>2]|0;m=f[i>>2]|0;if(!l)o=(d-(f[m+20>>2]|0)|0)/88|0;else o=((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[m+52>>2]|0)|0;m=c+(f[(f[a+12>>2]|0)+(o<<2)>>2]|0)|0;o=f[m>>2]|0;if((o|0)==(f[m+4>>2]|0)){iFa(m,o+1|0);p=f[m>>2]|0}else p=o;o=f[m+8>>2]|0;f[m>>2]=p+1;f[o+4+(p<<2)>>2]=e;u=g;return}function qXb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=u;u=u+16|0;i=h;j=d+48|0;k=a+4|0;l=f[k>>2]|0;if((f[j>>2]|0)!=(l|0))NXb(l,d,503144,502886);if((f[d+32>>2]|0)!=3)NXb(f[k>>2]|0,d,503144,502338);l=d+24|0;m=f[l>>2]|0;if(m|0?(f[m>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=d;dEb(m,i)}m=d+28|0;if((f[149940+(f[m>>2]<<2)>>2]|0)!=4)PXb(f[k>>2]|0,d,503144,4);if(b[d+38>>0]|0){k=c+(f[a+28>>2]|0)|0;n=f[d+40>>2]|0;o=f[l>>2]|0;if(o|0?(f[o>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=d;dEb(o,i)}o5b(k,n,f[m>>2]&255,(b[(f[d+68>>2]|0)+52>>0]|0)!=0,e,g,d);u=h;return}m=f[d+52>>2]|0;n=f[j>>2]|0;if(!m)p=(d-(f[n+20>>2]|0)|0)/88|0;else p=((m-(f[(f[m+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[n+52>>2]|0)|0;n=c+(f[(f[a+12>>2]|0)+(p<<2)>>2]|0)|0;p=f[n>>2]|0;if((p|0)==(f[n+4>>2]|0)){bhb(n,p+1|0);q=f[n>>2]|0}else q=p;p=f[n+8>>2]|0;f[n>>2]=q+1;n=p+8+(q<<3)|0;f[n>>2]=e;f[n+4>>2]=g;u=h;return}function rXb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))NXb(k,d,503135,502886);if((f[d+32>>2]|0)!=3)NXb(f[j>>2]|0,d,503135,502338);k=d+24|0;l=f[k>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(l,h)}l=d+28|0;if((f[149940+(f[l>>2]<<2)>>2]|0)!=6)PXb(f[j>>2]|0,d,503135,6);if(b[d+38>>0]|0){j=c+(f[a+28>>2]|0)|0;m=f[d+40>>2]|0;o=f[k>>2]|0;if(o|0?(f[o>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(o,h)}u5b(j,m,f[l>>2]&255,(b[(f[d+68>>2]|0)+52>>0]|0)!=0,e,d);u=g;return}l=f[d+52>>2]|0;m=f[i>>2]|0;if(!l)p=(d-(f[m+20>>2]|0)|0)/88|0;else p=((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[m+52>>2]|0)|0;m=c+(f[(f[a+12>>2]|0)+(p<<2)>>2]|0)|0;p=f[m>>2]|0;if((p|0)==(f[m+4>>2]|0)){aEa(m,p+1|0);q=f[m>>2]|0}else q=p;p=f[m+8>>2]|0;f[m>>2]=q+1;n[p+4+(q<<2)>>2]=e;u=g;return}function sXb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))NXb(k,d,503125,502886);if((f[d+32>>2]|0)!=3)NXb(f[j>>2]|0,d,503125,502338);k=d+24|0;l=f[k>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(l,h)}l=d+28|0;if((f[149940+(f[l>>2]<<2)>>2]|0)!=5)PXb(f[j>>2]|0,d,503125,5);if(b[d+38>>0]|0){j=c+(f[a+28>>2]|0)|0;m=f[d+40>>2]|0;n=f[k>>2]|0;if(n|0?(f[n>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(n,h)}A5b(j,m,f[l>>2]&255,(b[(f[d+68>>2]|0)+52>>0]|0)!=0,e,d);u=g;return}l=f[d+52>>2]|0;m=f[i>>2]|0;if(!l)o=(d-(f[m+20>>2]|0)|0)/88|0;else o=((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[m+52>>2]|0)|0;m=c+(f[(f[a+12>>2]|0)+(o<<2)>>2]|0)|0;o=f[m>>2]|0;if((o|0)==(f[m+4>>2]|0)){bEa(m,o+1|0);q=f[m>>2]|0}else q=o;o=f[m+8>>2]|0;f[m>>2]=q+1;p[o+8+(q<<3)>>3]=e;u=g;return}function tXb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=u;u=u+16|0;h=g;i=e&1;j=d+48|0;k=a+4|0;l=f[k>>2]|0;if((f[j>>2]|0)!=(l|0))NXb(l,d,503117,502886);if((f[d+32>>2]|0)!=3)NXb(f[k>>2]|0,d,503117,502338);l=d+24|0;m=f[l>>2]|0;if(m|0?(f[m>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(m,h)}m=d+28|0;if((f[149940+(f[m>>2]<<2)>>2]|0)!=7)PXb(f[k>>2]|0,d,503117,7);if(b[d+38>>0]|0){k=c+(f[a+28>>2]|0)|0;n=f[d+40>>2]|0;o=f[l>>2]|0;if(o|0?(f[o>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(o,h)}G5b(k,n,f[m>>2]&255,(b[(f[d+68>>2]|0)+52>>0]|0)!=0,e,d);u=g;return}e=f[d+52>>2]|0;m=f[j>>2]|0;if(!e)p=(d-(f[m+20>>2]|0)|0)/88|0;else p=((e-(f[(f[e+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[m+52>>2]|0)|0;m=c+(f[(f[a+12>>2]|0)+(p<<2)>>2]|0)|0;p=f[m>>2]|0;if((p|0)==(f[m+4>>2]|0)){aJa(m,p+1|0);q=f[m>>2]|0}else q=p;p=f[m+8>>2]|0;f[m>>2]=q+1;b[p+4+q>>0]=i;u=g;return}function uXb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))NXb(k,d,503107,502886);if((f[d+32>>2]|0)!=3)NXb(f[j>>2]|0,d,503107,502338);k=d+24|0;l=f[k>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(l,h)}l=d+28|0;if((f[149940+(f[l>>2]<<2)>>2]|0)!=9)PXb(f[j>>2]|0,d,503107,9);if(!(b[d+38>>0]|0)){j=f[d+52>>2]|0;m=f[i>>2]|0;if(!j)n=(d-(f[m+20>>2]|0)|0)/88|0;else n=((j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[m+52>>2]|0)|0;Qmc(dFa(c+(f[(f[a+12>>2]|0)+(n<<2)>>2]|0)|0)|0,e)|0;u=g;return}else{n=c+(f[a+28>>2]|0)|0;a=f[d+40>>2]|0;c=f[k>>2]|0;if(c|0?(f[c>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(c,h)}Qmc(T5b(n,a,f[l>>2]&255,d)|0,e)|0;u=g;return}}function vXb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=f[d+12>>2]|0;if((e|0)!=(eJb(c)|0))TXb(f[a+4>>2]|0,c,502932,d);SXb(a,b,c,f[d+8>>2]|0);return}function wXb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;g=u;u=u+48|0;h=g+24|0;i=g;j=g+40|0;k=a+4|0;l=f[k>>2]|0;if((f[d+48>>2]|0)!=(l|0))NXb(l,d,502932,502886);if((f[d+32>>2]|0)!=3)NXb(f[k>>2]|0,d,502932,502338);l=f[d+24>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(l,h)}if((f[149940+(f[d+28>>2]<<2)>>2]|0)!=8)PXb(f[k>>2]|0,d,502932,8);if((f[(f[(f[k>>2]|0)+8>>2]|0)+44>>2]|0)==3){m=e;SXb(a,c,d,m);u=g;return}if(YIb(eJb(d)|0,e)|0){m=e;SXb(a,c,d,m);u=g;return}TDb(i,2,501629,1399);k=ODb(RDb(ODb(i,502940)|0,e)|0,502995)|0;QDb(j,PDb(k,f[d+4>>2]|0)|0);UDb(i);i=(cJb(d)|0)+8|0;m=f[i>>2]|0;SXb(a,c,d,m);u=g;return}function xXb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))NXb(k,d,502921,502886);if((f[d+32>>2]|0)!=3)NXb(f[j>>2]|0,d,502921,502338);k=d+24|0;l=f[k>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(l,h)}l=d+28|0;if((f[149940+(f[l>>2]<<2)>>2]|0)!=10)PXb(f[j>>2]|0,d,502921,10);if(!e)m=f[a+48>>2]|0;else m=e;e=d+38|0;if(b[e>>0]|0){n=WVb(c+(f[a+28>>2]|0)|0,d,m)|0;u=g;return n|0}j=f[k>>2]|0;if(j|0?(f[j>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(j,h)}if((f[l>>2]|0)==11?bJb(d)|0:0){l=f[d+52>>2]|0;if(!l){h=f[a+12>>2]|0;do if(b[e>>0]|0){j=f[d+56>>2]|0;k=d;if(!j){o=k-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{o=k-(f[j+40>>2]|0)|0;break}}else o=d-(f[(f[i>>2]|0)+20>>2]|0)|0;while(0);p=h+(((o|0)/88|0)<<2)|0}else p=(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[i>>2]|0)+52>>2]|0)<<2)|0;q=r_b(c+(f[p>>2]|0)|0)|0}else{p=f[d+52>>2]|0;if(!p){l=f[a+12>>2]|0;do if(b[e>>0]|0){o=f[d+56>>2]|0;h=d;if(!o){r=h-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{r=h-(f[o+40>>2]|0)|0;break}}else r=d-(f[(f[i>>2]|0)+20>>2]|0)|0;while(0);s=l+(((r|0)/88|0)<<2)|0}else s=(f[a+12>>2]|0)+(((p-(f[(f[p+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[i>>2]|0)+52>>2]|0)<<2)|0;q=c+(f[s>>2]|0)|0}s=q+12|0;i=f[s>>2]|0;p=q+4|0;a=f[p>>2]|0;if((i|0)!=0?(a|0)<(f[i>>2]|0):0){r=a+1|0;f[p>>2]=r;l=f[i+4+(a<<2)>>2]|0;if(!l)t=r;else{n=l;u=g;return n|0}}else t=a;if(!t){t=f[(f[m>>2]|0)+8>>2]|0;a=dJb(d)|0;v=Sh[t&511](m,a)|0}else v=f[i+4>>2]|0;i=f[(f[v>>2]|0)+16>>2]|0;a=ci[f[(f[c>>2]|0)+20>>2]&1023](c)|0;c=Sh[i&511](v,a)|0;a=f[s>>2]|0;v=f[q+8>>2]|0;do if((a|0)!=0?(i=f[p>>2]|0,(i|0)!=(v|0)):0){m=f[a>>2]|0;if((m|0)==(v|0)){t=f[a+4+(i<<2)>>2]|0;if((t|0)==0|(f[q>>2]|0)!=0){w=a;break}ai[f[(f[t>>2]|0)+4>>2]&2047](t);w=f[s>>2]|0;break}if((i|0)<(m|0)){f[a+4+(m<<2)>>2]=f[a+4+(i<<2)>>2];i=f[s>>2]|0;x=i;y=f[i>>2]|0}else{x=a;y=m}f[x>>2]=y+1;w=x}else z=45;while(0);if((z|0)==45){uDb(q,v+1|0);v=f[s>>2]|0;f[v>>2]=(f[v>>2]|0)+1;w=v}v=f[p>>2]|0;f[p>>2]=v+1;f[w+4+(v<<2)>>2]=c;n=c;u=g;return n|0}function yXb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))NXb(k,d,502866,502886);if((f[d+32>>2]|0)!=3)NXb(f[j>>2]|0,d,502866,502338);k=d+24|0;l=f[k>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(l,h)}l=d+28|0;if((f[149940+(f[l>>2]<<2)>>2]|0)!=10)PXb(f[j>>2]|0,d,502866,10);j=d+38|0;if(b[j>>0]|0){YVb(c+(f[a+28>>2]|0)|0,d,e);u=g;return}m=f[k>>2]|0;if(m|0?(f[m>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(m,h)}if((f[l>>2]|0)==11?bJb(d)|0:0){l=f[d+52>>2]|0;if(!l){h=f[a+12>>2]|0;do if(b[j>>0]|0){m=f[d+56>>2]|0;k=d;if(!m){n=k-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{n=k-(f[m+40>>2]|0)|0;break}}else n=d-(f[(f[i>>2]|0)+20>>2]|0)|0;while(0);o=h+(((n|0)/88|0)<<2)|0}else o=(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[i>>2]|0)+52>>2]|0)<<2)|0;p=r_b(c+(f[o>>2]|0)|0)|0}else{o=f[d+52>>2]|0;if(!o){l=f[a+12>>2]|0;do if(b[j>>0]|0){n=f[d+56>>2]|0;h=d;if(!n){q=h-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{q=h-(f[n+40>>2]|0)|0;break}}else q=d-(f[(f[i>>2]|0)+20>>2]|0)|0;while(0);r=l+(((q|0)/88|0)<<2)|0}else r=(f[a+12>>2]|0)+(((o-(f[(f[o+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[i>>2]|0)+52>>2]|0)<<2)|0;p=c+(f[r>>2]|0)|0}r=$1b(e)|0;c=f[p>>2]|0;if(((c|0)==(r|0)?(r=p+12|0,i=f[r>>2]|0,i|0):0)?(o=f[i>>2]|0,(o|0)<(f[p+8>>2]|0)):0){a=p+4|0;q=f[a>>2]|0;if((q|0)<(o|0)){l=i+4+(q<<2)|0;f[i+4+(o<<2)>>2]=f[l>>2];s=l}else s=i+4+(q<<2)|0;f[s>>2]=e;f[a>>2]=q+1;q=f[r>>2]|0;f[q>>2]=(f[q>>2]|0)+1;u=g;return}QXb(p,e,_1b(e)|0,c);u=g;return}function zXb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+16|0;e=d;if((f[a+28>>2]|0)==-1){g=0;u=d;return g|0}h=a+44|0;i=PIb(f[h>>2]|0,c)|0;if(i){j=a+4|0;k=f[j>>2]|0;if((f[i+48>>2]|0)==(k|0)){g=i;u=d;return g|0}else{l=j;m=k}}else{k=a+4|0;l=k;m=f[k>>2]|0}if(!(b[(f[m+16>>2]|0)+48>>0]|0)){g=0;u=d;return g|0}m=OIb(f[h>>2]|0,c)|0;if(!m){g=0;u=d;return g|0}c=f[m+72>>2]|0;if((c|0)<=0){g=0;u=d;return g|0}h=m+40|0;k=e+4|0;a=e+8|0;j=e+12|0;i=0;while(1){n=f[h>>2]|0;o=n+(i*88|0)|0;if((f[n+(i*88|0)+48>>2]|0)==(f[l>>2]|0)){p=f[n+(i*88|0)+24>>2]|0;if(p|0?(f[p>>2]|0)!=2:0){f[e>>2]=110868;f[k>>2]=1634;b[a>>0]=0;f[j>>2]=o;dEb(p,e)}if(((f[n+(i*88|0)+28>>2]|0)==11?(f[n+(i*88|0)+32>>2]|0)==1:0)?(dJb(o)|0)==(m|0):0){g=o;q=17;break}}i=i+1|0;if((i|0)>=(c|0)){g=0;q=17;break}}if((q|0)==17){u=d;return g|0}return 0}function AXb(a,b){a=a|0;b=b|0;var c=0;if((f[a+28>>2]|0)==-1){c=0;return c|0}c=QIb(f[a+44>>2]|0,f[a+4>>2]|0,b)|0;return c|0}function BXb(a){a=a|0;return (f[(f[(f[a+4>>2]|0)+8>>2]|0)+44>>2]|0)==3|0}function CXb(a){a=a|0;return f[a+48>>2]|0}function DXb(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;i=u;u=u+80|0;j=i+48|0;k=i+24|0;l=i+65|0;m=i;n=i+64|0;if((f[d+32>>2]|0)!=3)NXb(f[a+4>>2]|0,d,502816,502338);o=d+24|0;p=f[o>>2]|0;if(p|0?(f[p>>2]|0)!=2:0){f[j>>2]=110868;f[j+4>>2]=1634;b[j+8>>0]=0;f[j+12>>2]=d;dEb(p,j)}p=d+28|0;if((f[149940+(f[p>>2]<<2)>>2]|0)!=(e|0))PXb(f[a+4>>2]|0,d,502842,e);if((g|0)>-1?(f[(f[d+68>>2]|0)+48>>2]|0)!=(g|0):0){TDb(k,3,501629,1692);QDb(l,ODb(ODb(k,502415)|0,502469)|0);UDb(k)}if(h|0?(dJb(d)|0)!=(h|0):0){TDb(m,3,501629,1694);QDb(n,ODb(ODb(m,502486)|0,502536)|0);UDb(m)}m=d+38|0;if(b[m>>0]|0){n=c+(f[a+28>>2]|0)|0;h=f[d+40>>2]|0;k=f[o>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[j>>2]=110868;f[j+4>>2]=1634;b[j+8>>0]=0;f[j+12>>2]=d;dEb(k,j)}k=f[p>>2]&255;q=I5b(n,h,k,fJb(d)|0,d)|0;u=i;return q|0}k=f[o>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[j>>2]=110868;f[j+4>>2]=1634;b[j+8>>0]=0;f[j+12>>2]=d;dEb(k,j)}if((f[p>>2]|0)==11?bJb(d)|0:0){p=f[a+12>>2]|0;do if(b[m>>0]|0){j=f[d+56>>2]|0;k=d;if(!j){r=k-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{r=k-(f[j+40>>2]|0)|0;break}}else r=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);q=r_b(c+(f[p+(((r|0)/88|0)<<2)>>2]|0)|0)|0;u=i;return q|0}r=f[a+12>>2]|0;do if(b[m>>0]|0){a=f[d+56>>2]|0;p=d;if(!a){s=p-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{s=p-(f[a+40>>2]|0)|0;break}}else s=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);q=c+(f[r+(((s|0)/88|0)<<2)>>2]|0)|0;u=i;return q|0}function EXb(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;i=u;u=u+80|0;j=i+48|0;k=i+24|0;l=i+65|0;m=i;n=i+64|0;if((f[d+32>>2]|0)!=3)NXb(f[a+4>>2]|0,d,502316,502338);o=d+24|0;p=f[o>>2]|0;if(p|0?(f[p>>2]|0)!=2:0){f[j>>2]=110868;f[j+4>>2]=1634;b[j+8>>0]=0;f[j+12>>2]=d;dEb(p,j)}p=d+28|0;if((f[149940+(f[p>>2]<<2)>>2]|0)!=(e|0))PXb(f[a+4>>2]|0,d,502395,e);if((g|0)>-1?(f[(f[d+68>>2]|0)+48>>2]|0)!=(g|0):0){TDb(k,3,501629,1717);QDb(l,ODb(ODb(k,502415)|0,502469)|0);UDb(k)}if(h|0?(dJb(d)|0)!=(h|0):0){TDb(m,3,501629,1719);QDb(n,ODb(ODb(m,502486)|0,502536)|0);UDb(m)}m=d+38|0;if(b[m>>0]|0){n=c+(f[a+28>>2]|0)|0;h=f[d+40>>2]|0;k=f[o>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[j>>2]=110868;f[j+4>>2]=1634;b[j+8>>0]=0;f[j+12>>2]=d;dEb(k,j)}k=f[p>>2]&255;q=I5b(n,h,k,fJb(d)|0,d)|0;u=i;return q|0}k=f[o>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[j>>2]=110868;f[j+4>>2]=1634;b[j+8>>0]=0;f[j+12>>2]=d;dEb(k,j)}if((f[p>>2]|0)==11?bJb(d)|0:0){p=f[a+12>>2]|0;do if(b[m>>0]|0){j=f[d+56>>2]|0;k=d;if(!j){r=k-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{r=k-(f[j+40>>2]|0)|0;break}}else r=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);q=q_b(c+(f[p+(((r|0)/88|0)<<2)>>2]|0)|0)|0;u=i;return q|0}r=f[a+12>>2]|0;do if(b[m>>0]|0){a=f[d+56>>2]|0;p=d;if(!a){s=p-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{s=p-(f[a+40>>2]|0)|0;break}}else s=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);q=c+(f[r+(((s|0)/88|0)<<2)>>2]|0)|0;u=i;return q|0}function FXb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=u;u=u+96|0;i=h+72|0;j=h+48|0;k=h+24|0;l=h+89|0;m=h;n=h+88|0;if((f[d+32>>2]|0)!=3){TDb(j,3,501629,2183);QDb(h+90|0,ODb(j,507439)|0);UDb(j)}j=d+24|0;o=f[j>>2]|0;if(o|0?(f[o>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=d;dEb(o,i)}o=d+28|0;if((f[149940+(f[o>>2]<<2)>>2]|0)!=(e|0)){p=f[j>>2]|0;if(p|0?(f[p>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=d;dEb(p,i)}if(!((e|0)==1?(f[149940+(f[o>>2]<<2)>>2]|0)==8:0)){TDb(k,3,501629,2186);QDb(l,ODb(ODb(ODb(ODb(k,501966)|0,502114)|0,502177)|0,502242)|0);UDb(k)}}if(g|0?(dJb(d)|0)!=(g|0):0){TDb(m,3,501629,2191);QDb(n,ODb(m,502258)|0);UDb(m)}if(!(b[d+38>>0]|0)){q=c+(f[(f[a+12>>2]|0)+(((d-(f[(f[d+48>>2]|0)+20>>2]|0)|0)/88|0)<<2)>>2]|0)|0;u=h;return q|0}m=c+(f[a+28>>2]|0)|0;a=f[d+40>>2]|0;c=f[j>>2]|0;if(c|0?(f[c>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=d;dEb(c,i)}i=f[o>>2]&255;q=I5b(m,a,i,fJb(d)|0,d)|0;u=h;return q|0}function GXb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;g=u;u=u+16|0;h=g;i=f[d+24>>2]|0;if(i|0?(f[i>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(i,h)}if(!((f[d+28>>2]|0)==11?bJb(d)|0:0))NXb(f[a+4>>2]|0,d,501949,501603);h=f[d+52>>2]|0;if(!h){i=f[a+12>>2]|0;do if(b[d+38>>0]|0){j=f[d+56>>2]|0;k=d;if(!j){l=k-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{l=k-(f[j+40>>2]|0)|0;break}}else l=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);m=c;n=i+(((l|0)/88|0)<<2)|0;o=f[n>>2]|0;p=m+o|0;q=f[p>>2]|0;r=q+8|0;s=f[r>>2]|0;t=Sh[s&511](p,e)|0;u=g;return t|0}l=(h-(f[(f[h+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((l<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){m=c;n=(f[a+12>>2]|0)+((f[(f[d+48>>2]|0)+52>>2]|0)+l<<2)|0;o=f[n>>2]|0;p=m+o|0;q=f[p>>2]|0;r=q+8|0;s=f[r>>2]|0;t=Sh[s&511](p,e)|0;u=g;return t|0}l=f[a+8>>2]|0;c=f[a+12>>2]|0;do if(b[d+38>>0]|0){a=f[d+56>>2]|0;h=d;if(!a){v=h-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{v=h-(f[a+40>>2]|0)|0;break}}else v=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);m=l;n=c+(((v|0)/88|0)<<2)|0;o=f[n>>2]|0;p=m+o|0;q=f[p>>2]|0;r=q+8|0;s=f[r>>2]|0;t=Sh[s&511](p,e)|0;u=g;return t|0}function HXb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;h=u;u=u+32|0;i=h+16|0;j=h;k=f[d+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=d;dEb(k,i)}if(!((f[d+28>>2]|0)==11?bJb(d)|0:0))NXb(f[a+4>>2]|0,d,501924,501603);k=dJb(d)|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;l=j+11|0;b[l>>0]=5;b[j>>0]=b[506389]|0;b[j+1>>0]=b[506390]|0;b[j+2>>0]=b[506391]|0;b[j+3>>0]=b[506392]|0;b[j+4>>0]=b[506393]|0;b[j+5>>0]=0;m=WIb(k,j)|0;k=f[m+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=m;dEb(k,i)}f[g+4>>2]=f[149940+(f[m+28>>2]<<2)>>2];if((b[l>>0]|0)<0)Emc(f[j>>2]|0);j=f[d+52>>2]|0;if(j|0){n=(f[a+12>>2]|0)+(((j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[d+48>>2]|0)+52>>2]|0)<<2)|0;o=f[n>>2]|0;p=c+o|0;q=f[p>>2]|0;r=q+12|0;s=f[r>>2]|0;t=ki[s&511](p,e,g)|0;u=h;return t|0}j=f[a+12>>2]|0;do if(b[d+38>>0]|0){a=f[d+56>>2]|0;l=d;if(!a){v=l-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{v=l-(f[a+40>>2]|0)|0;break}}else v=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);n=j+(((v|0)/88|0)<<2)|0;o=f[n>>2]|0;p=c+o|0;q=f[p>>2]|0;r=q+12|0;s=f[r>>2]|0;t=ki[s&511](p,e,g)|0;u=h;return t|0}function IXb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=u;u=u+16|0;h=g;i=f[d+24>>2]|0;if(i|0?(f[i>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(i,h)}if(!((f[d+28>>2]|0)==11?bJb(d)|0:0))NXb(f[a+4>>2]|0,d,501907,501603);h=f[d+52>>2]|0;if(h|0){j=(f[a+12>>2]|0)+(((h-(f[(f[h+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[d+48>>2]|0)+52>>2]|0)<<2)|0;k=f[j>>2]|0;l=c+k|0;m=f[l>>2]|0;n=m+16|0;o=f[n>>2]|0;p=Sh[o&511](l,e)|0;u=g;return p|0}h=f[a+12>>2]|0;do if(b[d+38>>0]|0){a=f[d+56>>2]|0;i=d;if(!a){q=i-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{q=i-(f[a+40>>2]|0)|0;break}}else q=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);j=h+(((q|0)/88|0)<<2)|0;k=f[j>>2]|0;l=c+k|0;m=f[l>>2]|0;n=m+16|0;o=f[n>>2]|0;p=Sh[o&511](l,e)|0;u=g;return p|0}function JXb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=u;u=u+16|0;h=g;i=f[e+24>>2]|0;if(i|0?(f[i>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=e;dEb(i,h)}if(!((f[e+28>>2]|0)==11?bJb(e)|0:0))NXb(f[c+4>>2]|0,e,501896,501603);OXb(a,d,e);h=f[e+52>>2]|0;if(!h){i=f[c+12>>2]|0;do if(b[e+38>>0]|0){j=f[e+56>>2]|0;k=e;if(!j){l=k-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{l=k-(f[j+40>>2]|0)|0;break}}else l=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);m=d;n=i+(((l|0)/88|0)<<2)|0;o=f[n>>2]|0;p=m+o|0;q=f[p>>2]|0;r=q+24|0;s=f[r>>2]|0;xh[s&2047](p,a);u=g;return}l=(h-(f[(f[h+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[d+((l<<2)+(f[c+32>>2]|0))>>2]|0)==(f[e+40>>2]|0)){m=d;n=(f[c+12>>2]|0)+((f[(f[e+48>>2]|0)+52>>2]|0)+l<<2)|0;o=f[n>>2]|0;p=m+o|0;q=f[p>>2]|0;r=q+24|0;s=f[r>>2]|0;xh[s&2047](p,a);u=g;return}l=f[c+8>>2]|0;d=f[c+12>>2]|0;do if(b[e+38>>0]|0){c=f[e+56>>2]|0;h=e;if(!c){t=h-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{t=h-(f[c+40>>2]|0)|0;break}}else t=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);m=l;n=d+(((t|0)/88|0)<<2)|0;o=f[n>>2]|0;p=m+o|0;q=f[p>>2]|0;r=q+24|0;s=f[r>>2]|0;xh[s&2047](p,a);u=g;return}function KXb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=u;u=u+16|0;h=g;i=f[e+24>>2]|0;if(i|0?(f[i>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=e;dEb(i,h)}if(!((f[e+28>>2]|0)==11?bJb(e)|0:0))NXb(f[c+4>>2]|0,e,501887,501603);OXb(a,d,e);h=f[e+52>>2]|0;if(!h){i=f[c+12>>2]|0;do if(b[e+38>>0]|0){j=f[e+56>>2]|0;k=e;if(!j){l=k-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{l=k-(f[j+40>>2]|0)|0;break}}else l=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);m=d;n=i+(((l|0)/88|0)<<2)|0;o=f[n>>2]|0;p=m+o|0;q=f[p>>2]|0;r=q+28|0;s=f[r>>2]|0;xh[s&2047](p,a);u=g;return}l=(h-(f[(f[h+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[d+((l<<2)+(f[c+32>>2]|0))>>2]|0)==(f[e+40>>2]|0)){m=d;n=(f[c+12>>2]|0)+((f[(f[e+48>>2]|0)+52>>2]|0)+l<<2)|0;o=f[n>>2]|0;p=m+o|0;q=f[p>>2]|0;r=q+28|0;s=f[r>>2]|0;xh[s&2047](p,a);u=g;return}l=f[c+8>>2]|0;d=f[c+12>>2]|0;do if(b[e+38>>0]|0){c=f[e+56>>2]|0;h=e;if(!c){t=h-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{t=h-(f[c+40>>2]|0)|0;break}}else t=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);m=l;n=d+(((t|0)/88|0)<<2)|0;o=f[n>>2]|0;p=m+o|0;q=f[p>>2]|0;r=q+28|0;s=f[r>>2]|0;xh[s&2047](p,a);u=g;return}function LXb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=u;u=u+16|0;g=e;h=f[d+24>>2]|0;if(h|0?(f[h>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=d;dEb(h,g)}if(!((f[d+28>>2]|0)==11?bJb(d)|0:0))NXb(f[a+4>>2]|0,d,501877,501603);g=f[d+52>>2]|0;if(!g){h=f[a+12>>2]|0;do if(b[d+38>>0]|0){i=f[d+56>>2]|0;j=d;if(!i){k=j-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{k=j-(f[i+40>>2]|0)|0;break}}else k=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);l=c;m=h+(((k|0)/88|0)<<2)|0;n=f[m>>2]|0;o=l+n|0;p=f[o>>2]|0;q=p+32|0;r=f[q>>2]|0;s=ci[r&1023](o)|0;u=e;return s|0}k=(g-(f[(f[g+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((k<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){l=c;m=(f[a+12>>2]|0)+((f[(f[d+48>>2]|0)+52>>2]|0)+k<<2)|0;n=f[m>>2]|0;o=l+n|0;p=f[o>>2]|0;q=p+32|0;r=f[q>>2]|0;s=ci[r&1023](o)|0;u=e;return s|0}k=f[a+8>>2]|0;c=f[a+12>>2]|0;do if(b[d+38>>0]|0){a=f[d+56>>2]|0;g=d;if(!a){t=g-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{t=g-(f[a+40>>2]|0)|0;break}}else t=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);l=k;m=c+(((t|0)/88|0)<<2)|0;n=f[m>>2]|0;o=l+n|0;p=f[o>>2]|0;q=p+32|0;r=f[q>>2]|0;s=ci[r&1023](o)|0;u=e;return s|0}function MXb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e;h=f[d+24>>2]|0;if(h|0?(f[h>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=d;dEb(h,g)}if(!((f[d+28>>2]|0)==11?bJb(d)|0:0))NXb(f[a+4>>2]|0,d,501590,501603);g=f[d+52>>2]|0;if(g|0){i=(f[a+12>>2]|0)+(((g-(f[(f[g+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[d+48>>2]|0)+52>>2]|0)<<2)|0;j=f[i>>2]|0;k=c+j|0;u=e;return k|0}g=f[a+12>>2]|0;do if(b[d+38>>0]|0){a=f[d+56>>2]|0;h=d;if(!a){l=h-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{l=h-(f[a+40>>2]|0)|0;break}}else l=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);i=g+(((l|0)/88|0)<<2)|0;j=f[i>>2]|0;k=c+j|0;u=e;return k|0}function NXb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e;TDb(g,3,501629,101);h=ODb(ODb(ODb(g,501736)|0,c)|0,501823)|0;c=ODb(PDb(h,f[a+4>>2]|0)|0,501841)|0;QDb(e+24|0,ODb(ODb(PDb(c,f[b+4>>2]|0)|0,501859)|0,d)|0);UDb(g);u=e;return}function OXb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+32|0;g=e+16|0;h=e;i=a+8|0;j=a+16|0;f[j>>2]=0;f[a+24>>2]=0;k=a+28|0;f[k>>2]=0;l=ci[f[(f[c>>2]|0)+92>>2]&1023](c)|0;m=ki[f[(f[l>>2]|0)+364>>2]&511](l,c,d)|0;c=a+4|0;f[c>>2]=m;m=dJb(d)|0;l=h+4|0;f[l>>2]=0;f[l+4>>2]=0;l=h+11|0;b[l>>0]=3;b[h>>0]=b[506385]|0;b[h+1>>0]=b[506386]|0;b[h+2>>0]=b[506387]|0;b[h+3>>0]=0;n=WIb(m,h)|0;m=f[n+24>>2]|0;if(m|0?(f[m>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=n;dEb(m,g)}m=f[149940+(f[n+28>>2]<<2)>>2]|0;n=f[j>>2]|0;if((n|0)!=(m|0)){if((n|0)==9?(n=f[i>>2]|0,n|0):0){if((b[n+11>>0]|0)<0)Emc(f[n>>2]|0);Emc(n)}f[j>>2]=m;if((m|0)==9){m=Bmc(12)|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[i>>2]=m}}if((b[l>>0]|0)<0)Emc(f[h>>2]|0);l=dJb(d)|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;d=h+11|0;b[d>>0]=5;b[h>>0]=b[506389]|0;b[h+1>>0]=b[506390]|0;b[h+2>>0]=b[506391]|0;b[h+3>>0]=b[506392]|0;b[h+4>>0]=b[506393]|0;b[h+5>>0]=0;m=WIb(l,h)|0;l=f[m+24>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=m;dEb(l,g)}f[k>>2]=f[149940+(f[m+28>>2]<<2)>>2];if((b[d>>0]|0)>=0){o=f[c>>2]|0;p=f[o>>2]|0;q=p+48|0;r=f[q>>2]|0;xh[r&2047](o,a);u=e;return}Emc(f[h>>2]|0);o=f[c>>2]|0;p=f[o>>2]|0;q=p+48|0;r=f[q>>2]|0;xh[r&2047](o,a);u=e;return}function PXb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+48|0;h=g+24|0;i=g;j=g+40|0;TDb(i,3,501629,127);k=ODb(ODb(ODb(i,501736)|0,d)|0,501823)|0;d=ODb(PDb(k,f[a+4>>2]|0)|0,501841)|0;a=ODb(PDb(d,f[c+4>>2]|0)|0,502558)|0;d=ODb(ODb(a,f[155768+(e<<2)>>2]|0)|0,502638)|0;e=f[c+24>>2]|0;if(e|0?(f[e>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=c;dEb(e,h)}QDb(j,ODb(d,f[155768+(f[149940+(f[c+28>>2]<<2)>>2]<<2)>>2]|0)|0);UDb(i);u=g;return}function QXb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;if(!((c|0)==0&(d|0)!=0))if((d|0)!=(c|0)){e=Z1b(b,d)|0;RXb(b,e);if((b|0)==0|(c|0)!=0)g=e;else{ai[f[(f[b>>2]|0)+4>>2]&2047](b);g=e}}else g=b;else{yVb(d,b);g=b}b=a+12|0;d=f[b>>2]|0;e=f[a+8>>2]|0;c=a+4|0;do if((d|0)!=0?(h=f[c>>2]|0,(h|0)!=(e|0)):0){i=f[d>>2]|0;if((i|0)==(e|0)){j=f[d+4+(h<<2)>>2]|0;if((j|0)==0|(f[a>>2]|0)!=0){k=d;break}ai[f[(f[j>>2]|0)+4>>2]&2047](j);k=f[b>>2]|0;break}if((h|0)<(i|0)){f[d+4+(i<<2)>>2]=f[d+4+(h<<2)>>2];h=f[b>>2]|0;l=h;m=f[h>>2]|0}else{l=d;m=i}f[l>>2]=m+1;k=l}else n=8;while(0);if((n|0)==8){uDb(a,e+1|0);e=f[b>>2]|0;f[e>>2]=(f[e>>2]|0)+1;k=e}e=f[c>>2]|0;f[c>>2]=e+1;f[k+4+(e<<2)>>2]=g;return}function RXb(a,b){a=a|0;b=b|0;xh[f[(f[b>>2]|0)+76>>2]&2047](b,a);return}function SXb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;g=u;u=u+16|0;h=g;if(b[d+38>>0]|0){i=c+(f[a+28>>2]|0)|0;j=f[d+40>>2]|0;k=f[d+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(k,h)}O5b(i,j,f[d+28>>2]&255,(b[(f[d+68>>2]|0)+52>>0]|0)!=0,e,d);u=g;return}j=f[d+52>>2]|0;i=f[d+48>>2]|0;if(!j)l=(d-(f[i+20>>2]|0)|0)/88|0;else l=((j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[i+52>>2]|0)|0;i=c+(f[(f[a+12>>2]|0)+(l<<2)>>2]|0)|0;l=f[i>>2]|0;if((l|0)==(f[i+4>>2]|0)){eFa(i,l+1|0);m=f[i>>2]|0}else m=l;l=f[i+8>>2]|0;f[i>>2]=m+1;f[l+4+(m<<2)>>2]=e;u=g;return}function TXb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e;TDb(g,3,501629,140);h=ODb(ODb(ODb(g,501736)|0,c)|0,501823)|0;c=ODb(PDb(h,f[a+4>>2]|0)|0,501841)|0;a=ODb(PDb(c,f[b+4>>2]|0)|0,503018)|0;c=(eJb(b)|0)+4|0;b=ODb(PDb(a,f[c>>2]|0)|0,503089)|0;QDb(e+24|0,PDb(b,f[d+4>>2]|0)|0);UDb(g);u=e;return}function UXb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))NXb(k,d,503630,502886);k=d+32|0;if((f[k>>2]|0)==3)NXb(f[j>>2]|0,d,503630,503645);l=f[d+24>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(l,h)}if((f[149940+(f[d+28>>2]<<2)>>2]|0)!=10)PXb(f[j>>2]|0,d,503630,10);if(!e)m=f[a+48>>2]|0;else m=e;if(b[d+38>>0]|0){n=TVb(c+(f[a+28>>2]|0)|0,d,m)|0;u=g;return n|0}m=f[d+52>>2]|0;e=(m|0)==0;if((f[k>>2]|0)==3)if(e)o=21;else o=19;else if(e){e=f[a+20>>2]|0;if((e|0)==-1)o=21;else{k=f[(f[a+16>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)>>2]|0;j=c+e+(k>>>5<<2)|0;f[j>>2]=f[j>>2]&~(1<<(k&31));o=21}}else o=19;do if((o|0)==19){k=(m-(f[(f[m+8>>2]|0)+24>>2]|0)|0)/28|0;j=c+((k<<2)+(f[a+32>>2]|0))|0;if((f[j>>2]|0)==(f[d+40>>2]|0)){f[j>>2]=0;p=c;q=(f[a+12>>2]|0)+(k+(f[(f[i>>2]|0)+52>>2]|0)<<2)|0;break}else{n=0;u=g;return n|0}}else if((o|0)==21){p=c;q=(f[a+12>>2]|0)+(((d-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);i=p+(f[q>>2]|0)|0;q=f[i>>2]|0;f[i>>2]=0;n=q;u=g;return n|0}function VXb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=u;u=u+16|0;h=g;i=e+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))NXb(k,e,503702,502886);if((f[e+32>>2]|0)==3)NXb(f[j>>2]|0,e,503702,503645);k=e+24|0;l=f[k>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=e;dEb(l,h)}l=e+28|0;if((f[149940+(f[l>>2]<<2)>>2]|0)!=10)PXb(f[j>>2]|0,e,503702,10);j=e+38|0;if(b[j>>0]|0){m=c+(f[a+28>>2]|0)|0;n=f[e+40>>2]|0;o=f[k>>2]|0;if(o|0?(f[o>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=e;dEb(o,h)}V5b(m,n,f[l>>2]&255,e,d);u=g;return}l=e+52|0;n=f[l>>2]|0;m=(d|0)==0;if(n|0){Yh[f[(f[a>>2]|0)+36>>2]&511](a,c,n);if(m){u=g;return}n=f[l>>2]|0;if(!n){h=f[a+12>>2]|0;do if(b[j>>0]|0){o=f[e+56>>2]|0;k=e;if(!o){p=k-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{p=k-(f[o+40>>2]|0)|0;break}}else p=e-(f[(f[i>>2]|0)+20>>2]|0)|0;while(0);q=h+(((p|0)/88|0)<<2)|0}else q=(f[a+12>>2]|0)+(((n-(f[(f[n+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[i>>2]|0)+52>>2]|0)<<2)|0;f[c+(f[q>>2]|0)>>2]=d;q=f[l>>2]|0;f[c+((((q-(f[(f[q+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]=f[e+40>>2];u=g;return}q=f[a+20>>2]|0;l=(q|0)==-1;if(m){if(!l){m=f[(f[a+16>>2]|0)+(((e-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)>>2]|0;n=c+q+(m>>>5<<2)|0;f[n>>2]=f[n>>2]&~(1<<(m&31))}}else if(!l){l=f[(f[a+16>>2]|0)+(((e-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)>>2]|0;m=c+q+(l>>>5<<2)|0;f[m>>2]=1<<(l&31)|f[m>>2]}m=c+(f[(f[a+12>>2]|0)+(((e-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)>>2]|0)|0;i=f[c+(f[a+24>>2]|0)>>2]|0;a=i&-2;if(!(i&1))r=a;else r=f[a+4>>2]|0;if((r|0)==0?(r=f[m>>2]|0,r|0):0)ai[f[(f[r>>2]|0)+4>>2]&2047](r);f[m>>2]=d;u=g;return}function WXb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+32|0;h=g+8|0;i=g;f[i>>2]=e;if(!(b[d+38>>0]|0)){XXb(a,c,d,i);u=g;return}e=c+(f[a+28>>2]|0)|0;a=f[d+40>>2]|0;c=f[d+24>>2]|0;if(c|0?(f[c>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(c,h)}L5b(e,a,f[d+28>>2]&255,f[i>>2]|0,d);u=g;return}function XXb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=d+52|0;h=f[g>>2]|0;do if(!h)i=f[e>>2]|0;else{if((f[c+((((h-(f[(f[h+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]|0)!=(f[d+40>>2]|0)){Yh[f[(f[a>>2]|0)+36>>2]&511](a,c,h);j=f[g>>2]|0;k=f[e>>2]|0;if(!j){i=k;break}else{l=j;m=k}}else{l=h;m=f[e>>2]|0}f[c+(f[(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[d+48>>2]|0)+52>>2]|0)<<2)>>2]|0)>>2]=m;f[c+((((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]=f[d+40>>2];return}while(0);l=f[a+12>>2]|0;do if(b[d+38>>0]|0){m=f[d+56>>2]|0;e=d;if(!m){n=e-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{n=e-(f[m+40>>2]|0)|0;break}}else n=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);f[c+(f[l+(((n|0)/88|0)<<2)>>2]|0)>>2]=i;i=f[a+20>>2]|0;if((i|0)==-1)return;n=f[a+16>>2]|0;do if(b[d+38>>0]|0){a=f[d+56>>2]|0;l=d;if(!a){o=l-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{o=l-(f[a+40>>2]|0)|0;break}}else o=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);d=f[n+(((o|0)/88|0)<<2)>>2]|0;o=c+i+(d>>>5<<2)|0;f[o>>2]=1<<(d&31)|f[o>>2];return}function YXb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=d+52|0;h=f[g>>2]|0;do if(!h)i=b[e>>0]|0;else{if((f[c+((((h-(f[(f[h+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]|0)!=(f[d+40>>2]|0)){Yh[f[(f[a>>2]|0)+36>>2]&511](a,c,h);j=f[g>>2]|0;k=b[e>>0]|0;if(!j){i=k;break}else{l=j;m=k}}else{l=h;m=b[e>>0]|0}b[c+(f[(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[d+48>>2]|0)+52>>2]|0)<<2)>>2]|0)>>0]=m;f[c+((((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]=f[d+40>>2];return}while(0);l=f[a+12>>2]|0;do if(b[d+38>>0]|0){m=f[d+56>>2]|0;e=d;if(!m){n=e-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{n=e-(f[m+40>>2]|0)|0;break}}else n=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);b[c+(f[l+(((n|0)/88|0)<<2)>>2]|0)>>0]=i;i=f[a+20>>2]|0;if((i|0)==-1)return;n=f[a+16>>2]|0;do if(b[d+38>>0]|0){a=f[d+56>>2]|0;l=d;if(!a){o=l-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{o=l-(f[a+40>>2]|0)|0;break}}else o=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);d=f[n+(((o|0)/88|0)<<2)>>2]|0;o=c+i+(d>>>5<<2)|0;f[o>>2]=1<<(d&31)|f[o>>2];return}function ZXb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0.0,j=0,k=0.0,l=0,m=0.0,n=0,o=0;g=d+52|0;h=f[g>>2]|0;do if(!h)i=+p[e>>3];else{if((f[c+((((h-(f[(f[h+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]|0)!=(f[d+40>>2]|0)){Yh[f[(f[a>>2]|0)+36>>2]&511](a,c,h);j=f[g>>2]|0;k=+p[e>>3];if(!j){i=k;break}else{l=j;m=k}}else{l=h;m=+p[e>>3]}p[c+(f[(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[d+48>>2]|0)+52>>2]|0)<<2)>>2]|0)>>3]=m;f[c+((((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]=f[d+40>>2];return}while(0);l=f[a+12>>2]|0;do if(b[d+38>>0]|0){e=f[d+56>>2]|0;h=d;if(!e){n=h-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{n=h-(f[e+40>>2]|0)|0;break}}else n=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);p[c+(f[l+(((n|0)/88|0)<<2)>>2]|0)>>3]=i;n=f[a+20>>2]|0;if((n|0)==-1)return;l=f[a+16>>2]|0;do if(b[d+38>>0]|0){a=f[d+56>>2]|0;e=d;if(!a){o=e-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{o=e-(f[a+40>>2]|0)|0;break}}else o=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);d=f[l+(((o|0)/88|0)<<2)>>2]|0;o=c+n+(d>>>5<<2)|0;f[o>>2]=1<<(d&31)|f[o>>2];return}function _Xb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=d+52|0;h=f[g>>2]|0;do if(!h)i=f[e>>2]|0;else{if((f[c+((((h-(f[(f[h+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]|0)!=(f[d+40>>2]|0)){Yh[f[(f[a>>2]|0)+36>>2]&511](a,c,h);j=f[g>>2]|0;k=f[e>>2]|0;if(!j){i=k;break}else{l=j;m=k}}else{l=h;m=f[e>>2]|0}f[c+(f[(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[d+48>>2]|0)+52>>2]|0)<<2)>>2]|0)>>2]=m;f[c+((((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]=f[d+40>>2];return}while(0);l=f[a+12>>2]|0;do if(b[d+38>>0]|0){m=f[d+56>>2]|0;e=d;if(!m){n=e-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{n=e-(f[m+40>>2]|0)|0;break}}else n=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);f[c+(f[l+(((n|0)/88|0)<<2)>>2]|0)>>2]=i;i=f[a+20>>2]|0;if((i|0)==-1)return;n=f[a+16>>2]|0;do if(b[d+38>>0]|0){a=f[d+56>>2]|0;l=d;if(!a){o=l-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{o=l-(f[a+40>>2]|0)|0;break}}else o=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);d=f[n+(((o|0)/88|0)<<2)>>2]|0;o=c+i+(d>>>5<<2)|0;f[o>>2]=1<<(d&31)|f[o>>2];return}function $Xb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;g=d+52|0;h=f[g>>2]|0;do if(!h){i=e;j=f[i>>2]|0;k=f[i+4>>2]|0}else{if((f[c+((((h-(f[(f[h+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]|0)!=(f[d+40>>2]|0)){Yh[f[(f[a>>2]|0)+36>>2]&511](a,c,h);i=f[g>>2]|0;l=e;m=f[l>>2]|0;n=f[l+4>>2]|0;if(!i){j=m;k=n;break}else{o=i;p=m;q=n}}else{n=e;o=h;p=f[n>>2]|0;q=f[n+4>>2]|0}n=c+(f[(f[a+12>>2]|0)+(((o-(f[(f[o+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[d+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;f[n>>2]=p;f[n+4>>2]=q;f[c+((((o-(f[(f[o+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]=f[d+40>>2];return}while(0);o=f[a+12>>2]|0;do if(b[d+38>>0]|0){q=f[d+56>>2]|0;p=d;if(!q){r=p-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{r=p-(f[q+40>>2]|0)|0;break}}else r=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);q=c+(f[o+(((r|0)/88|0)<<2)>>2]|0)|0;f[q>>2]=j;f[q+4>>2]=k;k=f[a+20>>2]|0;if((k|0)==-1)return;q=f[a+16>>2]|0;do if(b[d+38>>0]|0){a=f[d+56>>2]|0;j=d;if(!a){s=j-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{s=j-(f[a+40>>2]|0)|0;break}}else s=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);d=f[q+(((s|0)/88|0)<<2)>>2]|0;s=c+k+(d>>>5<<2)|0;f[s>>2]=1<<(d&31)|f[s>>2];return}function aYb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=d+52|0;h=f[g>>2]|0;do if(!h)i=f[e>>2]|0;else{if((f[c+((((h-(f[(f[h+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]|0)!=(f[d+40>>2]|0)){Yh[f[(f[a>>2]|0)+36>>2]&511](a,c,h);j=f[g>>2]|0;k=f[e>>2]|0;if(!j){i=k;break}else{l=j;m=k}}else{l=h;m=f[e>>2]|0}f[c+(f[(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[d+48>>2]|0)+52>>2]|0)<<2)>>2]|0)>>2]=m;f[c+((((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]=f[d+40>>2];return}while(0);l=f[a+12>>2]|0;do if(b[d+38>>0]|0){m=f[d+56>>2]|0;e=d;if(!m){n=e-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{n=e-(f[m+40>>2]|0)|0;break}}else n=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);f[c+(f[l+(((n|0)/88|0)<<2)>>2]|0)>>2]=i;i=f[a+20>>2]|0;if((i|0)==-1)return;n=f[a+16>>2]|0;do if(b[d+38>>0]|0){a=f[d+56>>2]|0;l=d;if(!a){o=l-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{o=l-(f[a+40>>2]|0)|0;break}}else o=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);d=f[n+(((o|0)/88|0)<<2)>>2]|0;o=c+i+(d>>>5<<2)|0;f[o>>2]=1<<(d&31)|f[o>>2];return}function bYb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;g=d+52|0;h=f[g>>2]|0;do if(!h){i=e;j=f[i>>2]|0;k=f[i+4>>2]|0}else{if((f[c+((((h-(f[(f[h+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]|0)!=(f[d+40>>2]|0)){Yh[f[(f[a>>2]|0)+36>>2]&511](a,c,h);i=f[g>>2]|0;l=e;m=f[l>>2]|0;n=f[l+4>>2]|0;if(!i){j=m;k=n;break}else{o=i;p=m;q=n}}else{n=e;o=h;p=f[n>>2]|0;q=f[n+4>>2]|0}n=c+(f[(f[a+12>>2]|0)+(((o-(f[(f[o+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[d+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;f[n>>2]=p;f[n+4>>2]=q;f[c+((((o-(f[(f[o+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]=f[d+40>>2];return}while(0);o=f[a+12>>2]|0;do if(b[d+38>>0]|0){q=f[d+56>>2]|0;p=d;if(!q){r=p-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{r=p-(f[q+40>>2]|0)|0;break}}else r=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);q=c+(f[o+(((r|0)/88|0)<<2)>>2]|0)|0;f[q>>2]=j;f[q+4>>2]=k;k=f[a+20>>2]|0;if((k|0)==-1)return;q=f[a+16>>2]|0;do if(b[d+38>>0]|0){a=f[d+56>>2]|0;j=d;if(!a){s=j-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{s=j-(f[a+40>>2]|0)|0;break}}else s=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);d=f[q+(((s|0)/88|0)<<2)>>2]|0;s=c+k+(d>>>5<<2)|0;f[s>>2]=1<<(d&31)|f[s>>2];return}function cYb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[a>>2]|0;if((f[c>>2]|0)-d>>2>>>0>=b>>>0)return;e=a+4|0;if(b>>>0>1073741823){g=ye(8)|0;Jmc(g,511852);f[g>>2]=165276;Gf(g|0,26776,1555)}g=(f[e>>2]|0)-d|0;h=g>>2;i=Bmc(b<<2)|0;j=i+(h<<2)|0;k=j+(0-h<<2)|0;if((g|0)>0)Krc(k|0,d|0,g|0)|0;f[a>>2]=k;f[e>>2]=j;f[c>>2]=i+(b<<2);if(!d)return;Emc(d);return}function dYb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0;e=u;u=u+48|0;g=e+24|0;h=e;i=e+40|0;j=a+8|0;k=f[a+20>>2]|0;if((k|0)!=-1){l=c+k|0;k=f[a+16>>2]|0;do if(b[d+38>>0]|0){m=f[d+56>>2]|0;o=d;if(!m){q=o-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{q=o-(f[m+40>>2]|0)|0;break}}else q=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);m=f[k+(((q|0)/88|0)<<2)>>2]|0;r=(1<<(m&31)&f[l+(m>>>5<<2)>>2]|0)!=0;u=e;return r|0}m=d+24|0;l=f[m>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=d;dEb(l,g)}l=d+28|0;if((f[149940+(f[l>>2]<<2)>>2]|0)==10){q=f[j>>2]|0;if((q|0)==(c|0)){r=0;u=e;return r|0}k=f[d+52>>2]|0;do if(!k){o=f[a+12>>2]|0;do if(b[d+38>>0]|0){s=f[d+56>>2]|0;t=d;if(!s){v=t-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{v=t-(f[s+40>>2]|0)|0;break}}else v=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);w=c;x=o+(((v|0)/88|0)<<2)|0}else{s=(k-(f[(f[k+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((s<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){w=c;x=(f[a+12>>2]|0)+((f[(f[d+48>>2]|0)+52>>2]|0)+s<<2)|0;break}s=f[a+12>>2]|0;do if(b[d+38>>0]|0){t=f[d+56>>2]|0;y=d;if(!t){z=y-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{z=y-(f[t+40>>2]|0)|0;break}}else z=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);w=q;x=s+(((z|0)/88|0)<<2)|0}while(0);r=(f[w+(f[x>>2]|0)>>2]|0)!=0;u=e;return r|0}x=f[m>>2]|0;if(x|0?(f[x>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=d;dEb(x,g)}do switch(f[149940+(f[l>>2]<<2)>>2]|0){case 9:{g=f[d+52>>2]|0;do if(!g){x=f[a+12>>2]|0;do if(b[d+38>>0]|0){m=f[d+56>>2]|0;w=d;if(!m){A=w-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{A=w-(f[m+40>>2]|0)|0;break}}else A=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);B=c;C=x+(((A|0)/88|0)<<2)|0}else{m=(g-(f[(f[g+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((m<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){B=c;C=(f[a+12>>2]|0)+((f[(f[d+48>>2]|0)+52>>2]|0)+m<<2)|0;break}m=f[j>>2]|0;w=f[a+12>>2]|0;do if(b[d+38>>0]|0){z=f[d+56>>2]|0;q=d;if(!z){D=q-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{D=q-(f[z+40>>2]|0)|0;break}}else D=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);B=m;C=w+(((D|0)/88|0)<<2)|0}while(0);g=f[B+(f[C>>2]|0)>>2]|0;s=b[g+11>>0]|0;if(s<<24>>24<0)E=f[g+4>>2]|0;else E=s&255;r=(E|0)!=0;u=e;return r|0}case 7:{s=f[d+52>>2]|0;do if(!s){g=f[a+12>>2]|0;do if(b[d+38>>0]|0){x=f[d+56>>2]|0;z=d;if(!x){F=z-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{F=z-(f[x+40>>2]|0)|0;break}}else F=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);G=c;H=g+(((F|0)/88|0)<<2)|0}else{w=(s-(f[(f[s+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((w<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){G=c;H=(f[a+12>>2]|0)+((f[(f[d+48>>2]|0)+52>>2]|0)+w<<2)|0;break}w=f[j>>2]|0;m=f[a+12>>2]|0;do if(b[d+38>>0]|0){x=f[d+56>>2]|0;z=d;if(!x){I=z-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{I=z-(f[x+40>>2]|0)|0;break}}else I=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);G=w;H=m+(((I|0)/88|0)<<2)|0}while(0);r=(b[G+(f[H>>2]|0)>>0]|0)!=0;u=e;return r|0}case 1:{s=f[d+52>>2]|0;do if(!s){g=f[a+12>>2]|0;do if(b[d+38>>0]|0){x=f[d+56>>2]|0;z=d;if(!x){J=z-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{J=z-(f[x+40>>2]|0)|0;break}}else J=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);K=c;L=g+(((J|0)/88|0)<<2)|0}else{m=(s-(f[(f[s+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((m<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){K=c;L=(f[a+12>>2]|0)+((f[(f[d+48>>2]|0)+52>>2]|0)+m<<2)|0;break}m=f[j>>2]|0;w=f[a+12>>2]|0;do if(b[d+38>>0]|0){x=f[d+56>>2]|0;z=d;if(!x){M=z-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{M=z-(f[x+40>>2]|0)|0;break}}else M=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);K=m;L=w+(((M|0)/88|0)<<2)|0}while(0);r=(f[K+(f[L>>2]|0)>>2]|0)!=0;u=e;return r|0}case 2:{s=f[d+52>>2]|0;do if(!s){g=f[a+12>>2]|0;do if(b[d+38>>0]|0){x=f[d+56>>2]|0;z=d;if(!x){N=z-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{N=z-(f[x+40>>2]|0)|0;break}}else N=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);O=c;P=g+(((N|0)/88|0)<<2)|0}else{w=(s-(f[(f[s+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((w<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){O=c;P=(f[a+12>>2]|0)+((f[(f[d+48>>2]|0)+52>>2]|0)+w<<2)|0;break}w=f[j>>2]|0;m=f[a+12>>2]|0;do if(b[d+38>>0]|0){x=f[d+56>>2]|0;z=d;if(!x){Q=z-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{Q=z-(f[x+40>>2]|0)|0;break}}else Q=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);O=w;P=m+(((Q|0)/88|0)<<2)|0}while(0);s=O+(f[P>>2]|0)|0;r=(f[s>>2]|0)!=0|(f[s+4>>2]|0)!=0;u=e;return r|0}case 3:{s=f[d+52>>2]|0;do if(!s){g=f[a+12>>2]|0;do if(b[d+38>>0]|0){x=f[d+56>>2]|0;z=d;if(!x){R=z-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{R=z-(f[x+40>>2]|0)|0;break}}else R=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);S=c;T=g+(((R|0)/88|0)<<2)|0}else{m=(s-(f[(f[s+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((m<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){S=c;T=(f[a+12>>2]|0)+((f[(f[d+48>>2]|0)+52>>2]|0)+m<<2)|0;break}m=f[j>>2]|0;w=f[a+12>>2]|0;do if(b[d+38>>0]|0){x=f[d+56>>2]|0;z=d;if(!x){U=z-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{U=z-(f[x+40>>2]|0)|0;break}}else U=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);S=m;T=w+(((U|0)/88|0)<<2)|0}while(0);r=(f[S+(f[T>>2]|0)>>2]|0)!=0;u=e;return r|0}case 4:{s=f[d+52>>2]|0;do if(!s){g=f[a+12>>2]|0;do if(b[d+38>>0]|0){x=f[d+56>>2]|0;z=d;if(!x){V=z-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{V=z-(f[x+40>>2]|0)|0;break}}else V=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);W=c;X=g+(((V|0)/88|0)<<2)|0}else{w=(s-(f[(f[s+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((w<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){W=c;X=(f[a+12>>2]|0)+((f[(f[d+48>>2]|0)+52>>2]|0)+w<<2)|0;break}w=f[j>>2]|0;m=f[a+12>>2]|0;do if(b[d+38>>0]|0){x=f[d+56>>2]|0;z=d;if(!x){Y=z-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{Y=z-(f[x+40>>2]|0)|0;break}}else Y=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);W=w;X=m+(((Y|0)/88|0)<<2)|0}while(0);s=W+(f[X>>2]|0)|0;r=(f[s>>2]|0)!=0|(f[s+4>>2]|0)!=0;u=e;return r|0}case 6:{s=f[d+52>>2]|0;do if(!s){g=f[a+12>>2]|0;do if(b[d+38>>0]|0){x=f[d+56>>2]|0;z=d;if(!x){Z=z-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{Z=z-(f[x+40>>2]|0)|0;break}}else Z=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);_=c;$=g+(((Z|0)/88|0)<<2)|0}else{m=(s-(f[(f[s+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((m<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){_=c;$=(f[a+12>>2]|0)+((f[(f[d+48>>2]|0)+52>>2]|0)+m<<2)|0;break}m=f[j>>2]|0;w=f[a+12>>2]|0;do if(b[d+38>>0]|0){x=f[d+56>>2]|0;z=d;if(!x){aa=z-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{aa=z-(f[x+40>>2]|0)|0;break}}else aa=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);_=m;$=w+(((aa|0)/88|0)<<2)|0}while(0);r=+n[_+(f[$>>2]|0)>>2]!=0.0;u=e;return r|0}case 5:{s=f[d+52>>2]|0;do if(!s){g=f[a+12>>2]|0;do if(b[d+38>>0]|0){x=f[d+56>>2]|0;z=d;if(!x){ba=z-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{ba=z-(f[x+40>>2]|0)|0;break}}else ba=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);ca=c;da=g+(((ba|0)/88|0)<<2)|0}else{w=(s-(f[(f[s+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((w<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){ca=c;da=(f[a+12>>2]|0)+((f[(f[d+48>>2]|0)+52>>2]|0)+w<<2)|0;break}w=f[j>>2]|0;m=f[a+12>>2]|0;do if(b[d+38>>0]|0){x=f[d+56>>2]|0;z=d;if(!x){ea=z-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{ea=z-(f[x+40>>2]|0)|0;break}}else ea=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);ca=w;da=m+(((ea|0)/88|0)<<2)|0}while(0);r=+p[ca+(f[da>>2]|0)>>3]!=0.0;u=e;return r|0}case 8:{s=f[d+52>>2]|0;do if(!s){g=f[a+12>>2]|0;do if(b[d+38>>0]|0){x=f[d+56>>2]|0;z=d;if(!x){fa=z-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{fa=z-(f[x+40>>2]|0)|0;break}}else fa=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);ga=c;ha=g+(((fa|0)/88|0)<<2)|0}else{m=(s-(f[(f[s+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((m<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){ga=c;ha=(f[a+12>>2]|0)+((f[(f[d+48>>2]|0)+52>>2]|0)+m<<2)|0;break}m=f[j>>2]|0;w=f[a+12>>2]|0;do if(b[d+38>>0]|0){x=f[d+56>>2]|0;z=d;if(!x){ia=z-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{ia=z-(f[x+40>>2]|0)|0;break}}else ia=d-(f[(f[d+48>>2]|0)+20>>2]|0)|0;while(0);ga=m;ha=w+(((ia|0)/88|0)<<2)|0}while(0);r=(f[ga+(f[ha>>2]|0)>>2]|0)!=0;u=e;return r|0}default:{TDb(h,3,501629,2002);QDb(i,ODb(h,504006)|0);UDb(h);r=0;u=e;return r|0}}while(0);return 0}function eYb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;c=a;a=b;a:while(1){b=a;d=a+-4|0;e=c;while(1){g=e;b:while(1){h=g;i=b-h|0;j=i>>2;switch(j|0){case 2:{k=5;break a;break}case 3:{k=7;break a;break}case 4:{k=15;break a;break}case 5:{k=27;break a;break}case 1:case 0:{k=87;break a;break}default:{}}if((i|0)<124){k=29;break a}l=g+(((j|0)/2|0)<<2)|0;do if((i|0)<=3996){m=f[l>>2]|0;n=f[g>>2]|0;o=f[m+40>>2]|0;p=f[n+40>>2]|0;q=f[d>>2]|0;r=(f[q+40>>2]|0)<(o|0);s=m;m=q;q=n;if((o|0)>=(p|0)){if(!r){t=0;break}f[l>>2]=m;f[d>>2]=s;o=f[l>>2]|0;n=f[g>>2]|0;if((f[o+40>>2]|0)>=(f[n+40>>2]|0)){t=1;break}f[g>>2]=o;f[l>>2]=n;t=2;break}if(r){f[g>>2]=m;f[d>>2]=q;t=1;break}f[g>>2]=s;f[l>>2]=q;s=f[d>>2]|0;if((f[s+40>>2]|0)<(p|0)){f[l>>2]=s;f[d>>2]=q;t=2}else t=1}else{q=(j|0)/4|0;t=fYb(g,g+(q<<2)|0,l,l+(q<<2)|0,d)|0}while(0);u=f[g>>2]|0;j=f[u+40>>2]|0;i=f[(f[l>>2]|0)+40>>2]|0;if((j|0)<(i|0)){v=d;w=t;break}else x=d;while(1){x=x+-4|0;if((g|0)==(x|0))break;y=f[x>>2]|0;if((f[y+40>>2]|0)<(i|0)){k=69;break b}}i=g+4|0;q=f[d>>2]|0;s=q;if((j|0)<(f[q+40>>2]|0))z=i;else{if((i|0)==(d|0)){k=87;break a}else A=i;while(1){B=f[A>>2]|0;if((j|0)<(f[B+40>>2]|0))break;i=A+4|0;if((i|0)==(d|0)){k=87;break a}else A=i}f[A>>2]=s;f[d>>2]=B;z=A+4|0}if((z|0)==(d|0)){k=87;break a}else{C=d;D=z}while(1){j=f[(f[g>>2]|0)+40>>2]|0;i=D;while(1){E=f[i>>2]|0;F=i+4|0;if((j|0)<(f[E+40>>2]|0))break;else i=F}q=E;p=C;do{p=p+-4|0;G=f[p>>2]|0}while((j|0)<(f[G+40>>2]|0));if(i>>>0>=p>>>0){g=i;continue b}f[i>>2]=G;f[p>>2]=q;C=p;D=F}}if((k|0)==69){k=0;f[g>>2]=y;f[x>>2]=u;v=x;w=t+1|0}s=g+4|0;c:do if(s>>>0<v>>>0){j=l;m=v;r=s;n=w;while(1){o=f[(f[j>>2]|0)+40>>2]|0;H=r;while(1){I=f[H>>2]|0;J=H+4|0;if((f[I+40>>2]|0)<(o|0))H=J;else break}p=I;q=m;do{q=q+-4|0;K=f[q>>2]|0}while((f[K+40>>2]|0)>=(o|0));if(H>>>0>q>>>0){L=j;M=n;N=H;break c}f[H>>2]=K;f[q>>2]=p;j=(j|0)==(H|0)?q:j;m=q;r=J;n=n+1|0}}else{L=l;M=w;N=s}while(0);if((N|0)!=(L|0)?(s=f[L>>2]|0,n=f[N>>2]|0,(f[s+40>>2]|0)<(f[n+40>>2]|0)):0){f[N>>2]=s;f[L>>2]=n;O=M+1|0}else O=M;if(!O){P=gYb(g,N)|0;n=N+4|0;if(gYb(n,a)|0){k=86;break}if(P){e=n;continue}}n=N;if((n-h|0)>=(b-n|0)){k=85;break}eYb(g,N);e=N+4|0}if((k|0)==85){k=0;eYb(N+4|0,a);c=g;a=N;continue}else if((k|0)==86){k=0;if(P){k=87;break}else{c=g;a=N;continue}}}if((k|0)==5){N=f[d>>2]|0;c=f[g>>2]|0;if((f[N+40>>2]|0)>=(f[c+40>>2]|0))return;f[g>>2]=N;f[d>>2]=c;return}else if((k|0)==7){c=g+4|0;N=f[c>>2]|0;P=f[g>>2]|0;h=f[N+40>>2]|0;O=f[P+40>>2]|0;M=f[d>>2]|0;L=(f[M+40>>2]|0)<(h|0);w=N;N=M;M=P;if((h|0)>=(O|0)){if(!L)return;f[c>>2]=N;f[d>>2]=w;h=f[c>>2]|0;P=f[g>>2]|0;if((f[h+40>>2]|0)>=(f[P+40>>2]|0))return;f[g>>2]=h;f[c>>2]=P;return}if(L){f[g>>2]=N;f[d>>2]=M;return}f[g>>2]=w;f[c>>2]=M;w=f[d>>2]|0;if((f[w+40>>2]|0)>=(O|0))return;f[c>>2]=w;f[d>>2]=M;return}else if((k|0)==15){M=g+4|0;w=g+8|0;c=f[M>>2]|0;O=f[g>>2]|0;N=f[c+40>>2]|0;L=f[O+40>>2]|0;P=f[w>>2]|0;h=f[P+40>>2]|0;l=(h|0)<(N|0);J=c;K=P;I=O;do if((N|0)<(L|0)){if(l){f[g>>2]=K;f[w>>2]=I;Q=O;R=I;break}f[g>>2]=J;f[M>>2]=I;if((h|0)<(L|0)){f[M>>2]=K;f[w>>2]=I;Q=O;R=I}else{Q=P;R=K}}else if(l){f[M>>2]=K;f[w>>2]=J;if((h|0)<(L|0)){f[g>>2]=K;f[M>>2]=I;Q=c;R=J}else{Q=c;R=J}}else{Q=P;R=K}while(0);K=f[d>>2]|0;if((f[K+40>>2]|0)>=(f[Q+40>>2]|0))return;f[w>>2]=K;f[d>>2]=R;R=f[w>>2]|0;K=f[M>>2]|0;Q=f[R+40>>2]|0;if((Q|0)>=(f[K+40>>2]|0))return;P=R;f[M>>2]=P;f[w>>2]=K;K=f[g>>2]|0;if((Q|0)>=(f[K+40>>2]|0))return;f[g>>2]=P;f[M>>2]=K;return}else if((k|0)==27){fYb(g,g+4|0,g+8|0,g+12|0,d)|0;return}else if((k|0)==29){d=g+8|0;K=g+4|0;M=f[K>>2]|0;P=f[g>>2]|0;Q=f[M+40>>2]|0;w=f[P+40>>2]|0;R=f[d>>2]|0;J=f[R+40>>2]|0;c=(J|0)<(Q|0);I=M;L=R;h=P;do if((Q|0)<(w|0)){if(c){f[g>>2]=L;f[d>>2]=h;S=P;break}f[g>>2]=I;f[K>>2]=h;if((J|0)<(w|0)){f[K>>2]=L;f[d>>2]=h;S=P}else S=R}else if(c){f[K>>2]=L;f[d>>2]=I;if((J|0)<(w|0)){f[g>>2]=L;f[K>>2]=h;S=M}else S=M}else S=R;while(0);R=g+12|0;if((R|0)==(a|0))return;else{T=R;U=d;V=S}while(1){S=f[T>>2]|0;d=f[S+40>>2]|0;R=S;if((d|0)<(f[V+40>>2]|0)){S=U;M=T;while(1){f[M>>2]=f[S>>2];if((S|0)==(g|0))break;h=S+-4|0;if((d|0)<(f[(f[h>>2]|0)+40>>2]|0)){K=S;S=h;M=K}else break}f[S>>2]=R}M=T+4|0;if((M|0)==(a|0))break;d=f[T>>2]|0;K=T;T=M;V=d;U=K}return}else if((k|0)==87)return}function fYb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;g=f[b>>2]|0;h=f[a>>2]|0;i=f[g+40>>2]|0;j=f[h+40>>2]|0;k=f[c>>2]|0;l=(f[k+40>>2]|0)<(i|0);m=g;n=k;o=h;do if((i|0)<(j|0)){if(l){f[a>>2]=n;f[c>>2]=o;p=1;q=h;r=o;break}f[a>>2]=m;f[b>>2]=o;s=f[c>>2]|0;t=s;if((f[s+40>>2]|0)<(j|0)){f[b>>2]=t;f[c>>2]=o;p=2;q=h;r=o}else{p=1;q=s;r=t}}else if(l){f[b>>2]=n;f[c>>2]=m;t=f[b>>2]|0;s=f[a>>2]|0;if((f[t+40>>2]|0)<(f[s+40>>2]|0)){f[a>>2]=t;f[b>>2]=s;s=f[c>>2]|0;p=2;q=s;r=s}else{p=1;q=g;r=m}}else{p=0;q=k;r=n}while(0);n=f[d>>2]|0;if((f[n+40>>2]|0)<(f[q+40>>2]|0)){f[c>>2]=n;f[d>>2]=r;r=p+1|0;n=f[c>>2]|0;q=f[b>>2]|0;if((f[n+40>>2]|0)<(f[q+40>>2]|0)){f[b>>2]=n;f[c>>2]=q;q=f[b>>2]|0;n=f[a>>2]|0;if((f[q+40>>2]|0)<(f[n+40>>2]|0)){f[a>>2]=q;f[b>>2]=n;u=p+3|0}else u=p+2|0}else u=r}else u=p;p=f[e>>2]|0;r=f[d>>2]|0;if((f[p+40>>2]|0)>=(f[r+40>>2]|0)){v=u;return v|0}f[d>>2]=p;f[e>>2]=r;r=f[d>>2]|0;e=f[c>>2]|0;if((f[r+40>>2]|0)>=(f[e+40>>2]|0)){v=u+1|0;return v|0}f[c>>2]=r;f[d>>2]=e;e=f[c>>2]|0;d=f[b>>2]|0;if((f[e+40>>2]|0)>=(f[d+40>>2]|0)){v=u+2|0;return v|0}f[b>>2]=e;f[c>>2]=d;d=f[b>>2]|0;c=f[a>>2]|0;if((f[d+40>>2]|0)>=(f[c+40>>2]|0)){v=u+3|0;return v|0}f[a>>2]=d;f[b>>2]=c;v=u+4|0;return v|0}function gYb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;switch(b-a>>2|0){case 2:{c=b+-4|0;d=f[c>>2]|0;e=f[a>>2]|0;if((f[d+40>>2]|0)>=(f[e+40>>2]|0)){g=1;return g|0}f[a>>2]=d;f[c>>2]=e;g=1;return g|0}case 3:{e=a+4|0;c=b+-4|0;d=f[e>>2]|0;h=f[a>>2]|0;i=f[d+40>>2]|0;j=f[h+40>>2]|0;k=f[c>>2]|0;l=(f[k+40>>2]|0)<(i|0);m=d;d=k;k=h;if((i|0)>=(j|0)){if(!l){g=1;return g|0}f[e>>2]=d;f[c>>2]=m;i=f[e>>2]|0;h=f[a>>2]|0;if((f[i+40>>2]|0)>=(f[h+40>>2]|0)){g=1;return g|0}f[a>>2]=i;f[e>>2]=h;g=1;return g|0}if(l){f[a>>2]=d;f[c>>2]=k;g=1;return g|0}f[a>>2]=m;f[e>>2]=k;m=f[c>>2]|0;if((f[m+40>>2]|0)>=(j|0)){g=1;return g|0}f[e>>2]=m;f[c>>2]=k;g=1;return g|0}case 4:{k=a+4|0;c=a+8|0;m=b+-4|0;e=f[k>>2]|0;j=f[a>>2]|0;d=f[e+40>>2]|0;l=f[j+40>>2]|0;h=f[c>>2]|0;i=f[h+40>>2]|0;n=(i|0)<(d|0);o=e;p=h;q=j;do if((d|0)<(l|0)){if(n){f[a>>2]=p;f[c>>2]=q;r=j;s=q;break}f[a>>2]=o;f[k>>2]=q;if((i|0)<(l|0)){f[k>>2]=p;f[c>>2]=q;r=j;s=q}else{r=h;s=p}}else if(n){f[k>>2]=p;f[c>>2]=o;if((i|0)<(l|0)){f[a>>2]=p;f[k>>2]=q;r=e;s=o}else{r=e;s=o}}else{r=h;s=p}while(0);p=f[m>>2]|0;if((f[p+40>>2]|0)>=(f[r+40>>2]|0)){g=1;return g|0}f[c>>2]=p;f[m>>2]=s;s=f[c>>2]|0;m=f[k>>2]|0;p=f[s+40>>2]|0;if((p|0)>=(f[m+40>>2]|0)){g=1;return g|0}r=s;f[k>>2]=r;f[c>>2]=m;m=f[a>>2]|0;if((p|0)>=(f[m+40>>2]|0)){g=1;return g|0}f[a>>2]=r;f[k>>2]=m;g=1;return g|0}case 5:{fYb(a,a+4|0,a+8|0,a+12|0,b+-4|0)|0;g=1;return g|0}case 1:case 0:{g=1;return g|0}default:{m=a+8|0;k=a+4|0;r=f[k>>2]|0;p=f[a>>2]|0;c=f[r+40>>2]|0;s=f[p+40>>2]|0;h=f[m>>2]|0;o=f[h+40>>2]|0;e=(o|0)<(c|0);q=r;l=h;i=p;do if((c|0)<(s|0)){if(e){f[a>>2]=l;f[m>>2]=i;t=p;break}f[a>>2]=q;f[k>>2]=i;if((o|0)<(s|0)){f[k>>2]=l;f[m>>2]=i;t=p}else t=h}else if(e){f[k>>2]=l;f[m>>2]=q;if((o|0)<(s|0)){f[a>>2]=l;f[k>>2]=i;t=r}else t=r}else t=h;while(0);h=a+12|0;a:do if((h|0)==(b|0)){u=1;v=0}else{r=h;i=0;k=m;l=t;while(1){s=f[r>>2]|0;o=f[s+40>>2]|0;q=s;if((o|0)<(f[l+40>>2]|0)){s=k;e=r;while(1){f[e>>2]=f[s>>2];if((s|0)==(a|0))break;p=s+-4|0;if((o|0)<(f[(f[p>>2]|0)+40>>2]|0)){c=s;s=p;e=c}else break}f[s>>2]=q;e=i+1|0;if((e|0)==8){u=0;v=(r+4|0)==(b|0);break a}else w=e}else w=i;e=r+4|0;if((e|0)==(b|0)){u=1;v=0;break a}o=f[r>>2]|0;c=r;r=e;i=w;l=o;k=c}}while(0);g=v|u;return g|0}}return 0}function hYb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0;g=u;u=u+160|0;h=g+136|0;i=g+132|0;j=g+16|0;k=g+128|0;l=g+8|0;m=g+96|0;n=g;o=g+154|0;q=g+64|0;r=g+24|0;s=g+104|0;t=g+155|0;v=g+72|0;w=g+153|0;x=g+40|0;y=g+152|0;z=a+32|0;A=(((e-(f[(f[e+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[z>>2]|0)|0;B=f[c+A>>2]|0;C=f[d+A>>2]|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;A=(B|0)!=0;a:do if(A){D=SIb(f[a+4>>2]|0,B)|0;E=D+24|0;F=f[E>>2]|0;if(F|0?(f[F>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=D;dEb(F,h)}F=D+28|0;do switch(f[149940+(f[F>>2]<<2)>>2]|0){case 1:{G=f[D+52>>2]|0;do if(!G){H=f[a+12>>2]|0;do if(b[D+38>>0]|0){I=f[D+56>>2]|0;J=D;if(!I){K=J-(f[(f[D+20>>2]|0)+80>>2]|0)|0;break}else{K=J-(f[I+40>>2]|0)|0;break}}else K=D-(f[(f[D+48>>2]|0)+20>>2]|0)|0;while(0);L=c;M=H+(((K|0)/88|0)<<2)|0}else{I=(G-(f[(f[G+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((I<<2)+(f[z>>2]|0))>>2]|0)==(f[D+40>>2]|0)){L=c;M=(f[a+12>>2]|0)+((f[(f[D+48>>2]|0)+52>>2]|0)+I<<2)|0;break}I=f[a+8>>2]|0;J=f[a+12>>2]|0;do if(b[D+38>>0]|0){N=f[D+56>>2]|0;O=D;if(!N){P=O-(f[(f[D+20>>2]|0)+80>>2]|0)|0;break}else{P=O-(f[N+40>>2]|0)|0;break}}else P=D-(f[(f[D+48>>2]|0)+20>>2]|0)|0;while(0);L=I;M=J+(((P|0)/88|0)<<2)|0}while(0);f[i>>2]=f[L+(f[M>>2]|0)>>2];Q=0;R=D;break a;break}case 2:{G=f[D+52>>2]|0;do if(!G){H=f[a+12>>2]|0;do if(b[D+38>>0]|0){N=f[D+56>>2]|0;O=D;if(!N){S=O-(f[(f[D+20>>2]|0)+80>>2]|0)|0;break}else{S=O-(f[N+40>>2]|0)|0;break}}else S=D-(f[(f[D+48>>2]|0)+20>>2]|0)|0;while(0);T=c;U=H+(((S|0)/88|0)<<2)|0}else{J=(G-(f[(f[G+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((J<<2)+(f[z>>2]|0))>>2]|0)==(f[D+40>>2]|0)){T=c;U=(f[a+12>>2]|0)+((f[(f[D+48>>2]|0)+52>>2]|0)+J<<2)|0;break}J=f[a+8>>2]|0;I=f[a+12>>2]|0;do if(b[D+38>>0]|0){N=f[D+56>>2]|0;O=D;if(!N){V=O-(f[(f[D+20>>2]|0)+80>>2]|0)|0;break}else{V=O-(f[N+40>>2]|0)|0;break}}else V=D-(f[(f[D+48>>2]|0)+20>>2]|0)|0;while(0);T=J;U=I+(((V|0)/88|0)<<2)|0}while(0);G=T+(f[U>>2]|0)|0;H=f[G+4>>2]|0;N=j;f[N>>2]=f[G>>2];f[N+4>>2]=H;Q=0;R=D;break a;break}case 3:{H=f[D+52>>2]|0;do if(!H){N=f[a+12>>2]|0;do if(b[D+38>>0]|0){G=f[D+56>>2]|0;O=D;if(!G){W=O-(f[(f[D+20>>2]|0)+80>>2]|0)|0;break}else{W=O-(f[G+40>>2]|0)|0;break}}else W=D-(f[(f[D+48>>2]|0)+20>>2]|0)|0;while(0);X=c;Y=N+(((W|0)/88|0)<<2)|0}else{I=(H-(f[(f[H+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((I<<2)+(f[z>>2]|0))>>2]|0)==(f[D+40>>2]|0)){X=c;Y=(f[a+12>>2]|0)+((f[(f[D+48>>2]|0)+52>>2]|0)+I<<2)|0;break}I=f[a+8>>2]|0;J=f[a+12>>2]|0;do if(b[D+38>>0]|0){G=f[D+56>>2]|0;O=D;if(!G){Z=O-(f[(f[D+20>>2]|0)+80>>2]|0)|0;break}else{Z=O-(f[G+40>>2]|0)|0;break}}else Z=D-(f[(f[D+48>>2]|0)+20>>2]|0)|0;while(0);X=I;Y=J+(((Z|0)/88|0)<<2)|0}while(0);f[k>>2]=f[X+(f[Y>>2]|0)>>2];Q=0;R=D;break a;break}case 4:{H=f[D+52>>2]|0;do if(!H){N=f[a+12>>2]|0;do if(b[D+38>>0]|0){G=f[D+56>>2]|0;O=D;if(!G){_=O-(f[(f[D+20>>2]|0)+80>>2]|0)|0;break}else{_=O-(f[G+40>>2]|0)|0;break}}else _=D-(f[(f[D+48>>2]|0)+20>>2]|0)|0;while(0);$=c;aa=N+(((_|0)/88|0)<<2)|0}else{J=(H-(f[(f[H+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((J<<2)+(f[z>>2]|0))>>2]|0)==(f[D+40>>2]|0)){$=c;aa=(f[a+12>>2]|0)+((f[(f[D+48>>2]|0)+52>>2]|0)+J<<2)|0;break}J=f[a+8>>2]|0;I=f[a+12>>2]|0;do if(b[D+38>>0]|0){G=f[D+56>>2]|0;O=D;if(!G){ba=O-(f[(f[D+20>>2]|0)+80>>2]|0)|0;break}else{ba=O-(f[G+40>>2]|0)|0;break}}else ba=D-(f[(f[D+48>>2]|0)+20>>2]|0)|0;while(0);$=J;aa=I+(((ba|0)/88|0)<<2)|0}while(0);H=$+(f[aa>>2]|0)|0;N=f[H+4>>2]|0;G=l;f[G>>2]=f[H>>2];f[G+4>>2]=N;Q=0;R=D;break a;break}case 6:{N=f[D+52>>2]|0;do if(!N){G=f[a+12>>2]|0;do if(b[D+38>>0]|0){H=f[D+56>>2]|0;O=D;if(!H){ca=O-(f[(f[D+20>>2]|0)+80>>2]|0)|0;break}else{ca=O-(f[H+40>>2]|0)|0;break}}else ca=D-(f[(f[D+48>>2]|0)+20>>2]|0)|0;while(0);da=c;ea=G+(((ca|0)/88|0)<<2)|0}else{I=(N-(f[(f[N+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((I<<2)+(f[z>>2]|0))>>2]|0)==(f[D+40>>2]|0)){da=c;ea=(f[a+12>>2]|0)+((f[(f[D+48>>2]|0)+52>>2]|0)+I<<2)|0;break}I=f[a+8>>2]|0;J=f[a+12>>2]|0;do if(b[D+38>>0]|0){H=f[D+56>>2]|0;O=D;if(!H){fa=O-(f[(f[D+20>>2]|0)+80>>2]|0)|0;break}else{fa=O-(f[H+40>>2]|0)|0;break}}else fa=D-(f[(f[D+48>>2]|0)+20>>2]|0)|0;while(0);da=I;ea=J+(((fa|0)/88|0)<<2)|0}while(0);f[m>>2]=f[da+(f[ea>>2]|0)>>2];Q=0;R=D;break a;break}case 5:{N=f[D+52>>2]|0;do if(!N){G=f[a+12>>2]|0;do if(b[D+38>>0]|0){H=f[D+56>>2]|0;O=D;if(!H){ga=O-(f[(f[D+20>>2]|0)+80>>2]|0)|0;break}else{ga=O-(f[H+40>>2]|0)|0;break}}else ga=D-(f[(f[D+48>>2]|0)+20>>2]|0)|0;while(0);ha=c;ia=G+(((ga|0)/88|0)<<2)|0}else{J=(N-(f[(f[N+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((J<<2)+(f[z>>2]|0))>>2]|0)==(f[D+40>>2]|0)){ha=c;ia=(f[a+12>>2]|0)+((f[(f[D+48>>2]|0)+52>>2]|0)+J<<2)|0;break}J=f[a+8>>2]|0;I=f[a+12>>2]|0;do if(b[D+38>>0]|0){H=f[D+56>>2]|0;O=D;if(!H){ja=O-(f[(f[D+20>>2]|0)+80>>2]|0)|0;break}else{ja=O-(f[H+40>>2]|0)|0;break}}else ja=D-(f[(f[D+48>>2]|0)+20>>2]|0)|0;while(0);ha=J;ia=I+(((ja|0)/88|0)<<2)|0}while(0);p[n>>3]=+p[ha+(f[ia>>2]|0)>>3];Q=0;R=D;break a;break}case 7:{N=f[D+52>>2]|0;do if(!N){G=f[a+12>>2]|0;do if(b[D+38>>0]|0){H=f[D+56>>2]|0;O=D;if(!H){ka=O-(f[(f[D+20>>2]|0)+80>>2]|0)|0;break}else{ka=O-(f[H+40>>2]|0)|0;break}}else ka=D-(f[(f[D+48>>2]|0)+20>>2]|0)|0;while(0);la=c;ma=G+(((ka|0)/88|0)<<2)|0}else{I=(N-(f[(f[N+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((I<<2)+(f[z>>2]|0))>>2]|0)==(f[D+40>>2]|0)){la=c;ma=(f[a+12>>2]|0)+((f[(f[D+48>>2]|0)+52>>2]|0)+I<<2)|0;break}I=f[a+8>>2]|0;J=f[a+12>>2]|0;do if(b[D+38>>0]|0){H=f[D+56>>2]|0;O=D;if(!H){na=O-(f[(f[D+20>>2]|0)+80>>2]|0)|0;break}else{na=O-(f[H+40>>2]|0)|0;break}}else na=D-(f[(f[D+48>>2]|0)+20>>2]|0)|0;while(0);la=I;ma=J+(((na|0)/88|0)<<2)|0}while(0);b[o>>0]=b[la+(f[ma>>2]|0)>>0]|0;Q=0;R=D;break a;break}case 8:{N=f[D+52>>2]|0;do if(!N){G=f[a+12>>2]|0;do if(b[D+38>>0]|0){H=f[D+56>>2]|0;O=D;if(!H){oa=O-(f[(f[D+20>>2]|0)+80>>2]|0)|0;break}else{oa=O-(f[H+40>>2]|0)|0;break}}else oa=D-(f[(f[D+48>>2]|0)+20>>2]|0)|0;while(0);pa=c;qa=G+(((oa|0)/88|0)<<2)|0}else{J=(N-(f[(f[N+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((J<<2)+(f[z>>2]|0))>>2]|0)==(f[D+40>>2]|0)){pa=c;qa=(f[a+12>>2]|0)+((f[(f[D+48>>2]|0)+52>>2]|0)+J<<2)|0;break}J=f[a+8>>2]|0;I=f[a+12>>2]|0;do if(b[D+38>>0]|0){H=f[D+56>>2]|0;O=D;if(!H){ra=O-(f[(f[D+20>>2]|0)+80>>2]|0)|0;break}else{ra=O-(f[H+40>>2]|0)|0;break}}else ra=D-(f[(f[D+48>>2]|0)+20>>2]|0)|0;while(0);pa=J;qa=I+(((ra|0)/88|0)<<2)|0}while(0);f[q>>2]=f[pa+(f[qa>>2]|0)>>2];Q=0;R=D;break a;break}case 10:{Q=Bg[f[(f[a>>2]|0)+164>>2]&127](a,c,D,0)|0;R=D;break a;break}case 9:{rh[f[(f[a>>2]|0)+96>>2]&255](h,a,c,D);Qmc(r,h)|0;if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);Q=0;R=D;break a;break}default:{TDb(s,3,501629,498);N=ODb(s,504390)|0;G=f[E>>2]|0;if(G|0?(f[G>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=D;dEb(G,h)}QDb(t,RDb(N,f[149940+(f[F>>2]<<2)>>2]|0)|0);UDb(s);Q=0;R=D;break a}}while(0)}else{Q=0;R=0}while(0);b:do if(!C)Yh[f[(f[a>>2]|0)+36>>2]&511](a,c,e);else{s=SIb(f[a+4>>2]|0,C)|0;t=s+24|0;qa=f[t>>2]|0;if(qa|0?(f[qa>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=s;dEb(qa,h)}qa=s+28|0;do switch(f[149940+(f[qa>>2]<<2)>>2]|0){case 1:{pa=f[s+52>>2]|0;do if(!pa){ra=f[a+12>>2]|0;do if(b[s+38>>0]|0){oa=f[s+56>>2]|0;ma=s;if(!oa){sa=ma-(f[(f[s+20>>2]|0)+80>>2]|0)|0;break}else{sa=ma-(f[oa+40>>2]|0)|0;break}}else sa=s-(f[(f[s+48>>2]|0)+20>>2]|0)|0;while(0);ta=d;ua=ra+(((sa|0)/88|0)<<2)|0}else{I=(pa-(f[(f[pa+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[d+((I<<2)+(f[z>>2]|0))>>2]|0)==(f[s+40>>2]|0)){ta=d;ua=(f[a+12>>2]|0)+((f[(f[s+48>>2]|0)+52>>2]|0)+I<<2)|0;break}I=f[a+8>>2]|0;J=f[a+12>>2]|0;do if(b[s+38>>0]|0){oa=f[s+56>>2]|0;ma=s;if(!oa){va=ma-(f[(f[s+20>>2]|0)+80>>2]|0)|0;break}else{va=ma-(f[oa+40>>2]|0)|0;break}}else va=s-(f[(f[s+48>>2]|0)+20>>2]|0)|0;while(0);ta=I;ua=J+(((va|0)/88|0)<<2)|0}while(0);XXb(a,c,s,ta+(f[ua>>2]|0)|0);break b;break}case 2:{pa=f[s+52>>2]|0;do if(!pa){ra=f[a+12>>2]|0;do if(b[s+38>>0]|0){oa=f[s+56>>2]|0;ma=s;if(!oa){wa=ma-(f[(f[s+20>>2]|0)+80>>2]|0)|0;break}else{wa=ma-(f[oa+40>>2]|0)|0;break}}else wa=s-(f[(f[s+48>>2]|0)+20>>2]|0)|0;while(0);xa=d;ya=ra+(((wa|0)/88|0)<<2)|0}else{J=(pa-(f[(f[pa+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[d+((J<<2)+(f[z>>2]|0))>>2]|0)==(f[s+40>>2]|0)){xa=d;ya=(f[a+12>>2]|0)+((f[(f[s+48>>2]|0)+52>>2]|0)+J<<2)|0;break}J=f[a+8>>2]|0;I=f[a+12>>2]|0;do if(b[s+38>>0]|0){oa=f[s+56>>2]|0;ma=s;if(!oa){za=ma-(f[(f[s+20>>2]|0)+80>>2]|0)|0;break}else{za=ma-(f[oa+40>>2]|0)|0;break}}else za=s-(f[(f[s+48>>2]|0)+20>>2]|0)|0;while(0);xa=J;ya=I+(((za|0)/88|0)<<2)|0}while(0);bYb(a,c,s,xa+(f[ya>>2]|0)|0);break b;break}case 3:{pa=f[s+52>>2]|0;do if(!pa){ra=f[a+12>>2]|0;do if(b[s+38>>0]|0){oa=f[s+56>>2]|0;ma=s;if(!oa){Aa=ma-(f[(f[s+20>>2]|0)+80>>2]|0)|0;break}else{Aa=ma-(f[oa+40>>2]|0)|0;break}}else Aa=s-(f[(f[s+48>>2]|0)+20>>2]|0)|0;while(0);Ba=d;Ca=ra+(((Aa|0)/88|0)<<2)|0}else{I=(pa-(f[(f[pa+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[d+((I<<2)+(f[z>>2]|0))>>2]|0)==(f[s+40>>2]|0)){Ba=d;Ca=(f[a+12>>2]|0)+((f[(f[s+48>>2]|0)+52>>2]|0)+I<<2)|0;break}I=f[a+8>>2]|0;J=f[a+12>>2]|0;do if(b[s+38>>0]|0){oa=f[s+56>>2]|0;ma=s;if(!oa){Da=ma-(f[(f[s+20>>2]|0)+80>>2]|0)|0;break}else{Da=ma-(f[oa+40>>2]|0)|0;break}}else Da=s-(f[(f[s+48>>2]|0)+20>>2]|0)|0;while(0);Ba=I;Ca=J+(((Da|0)/88|0)<<2)|0}while(0);aYb(a,c,s,Ba+(f[Ca>>2]|0)|0);break b;break}case 4:{pa=f[s+52>>2]|0;do if(!pa){ra=f[a+12>>2]|0;do if(b[s+38>>0]|0){oa=f[s+56>>2]|0;ma=s;if(!oa){Ea=ma-(f[(f[s+20>>2]|0)+80>>2]|0)|0;break}else{Ea=ma-(f[oa+40>>2]|0)|0;break}}else Ea=s-(f[(f[s+48>>2]|0)+20>>2]|0)|0;while(0);Fa=d;Ga=ra+(((Ea|0)/88|0)<<2)|0}else{J=(pa-(f[(f[pa+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[d+((J<<2)+(f[z>>2]|0))>>2]|0)==(f[s+40>>2]|0)){Fa=d;Ga=(f[a+12>>2]|0)+((f[(f[s+48>>2]|0)+52>>2]|0)+J<<2)|0;break}J=f[a+8>>2]|0;I=f[a+12>>2]|0;do if(b[s+38>>0]|0){oa=f[s+56>>2]|0;ma=s;if(!oa){Ha=ma-(f[(f[s+20>>2]|0)+80>>2]|0)|0;break}else{Ha=ma-(f[oa+40>>2]|0)|0;break}}else Ha=s-(f[(f[s+48>>2]|0)+20>>2]|0)|0;while(0);Fa=J;Ga=I+(((Ha|0)/88|0)<<2)|0}while(0);$Xb(a,c,s,Fa+(f[Ga>>2]|0)|0);break b;break}case 6:{pa=f[s+52>>2]|0;do if(!pa){ra=f[a+12>>2]|0;do if(b[s+38>>0]|0){oa=f[s+56>>2]|0;ma=s;if(!oa){Ia=ma-(f[(f[s+20>>2]|0)+80>>2]|0)|0;break}else{Ia=ma-(f[oa+40>>2]|0)|0;break}}else Ia=s-(f[(f[s+48>>2]|0)+20>>2]|0)|0;while(0);Ja=d;Ka=ra+(((Ia|0)/88|0)<<2)|0}else{I=(pa-(f[(f[pa+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[d+((I<<2)+(f[z>>2]|0))>>2]|0)==(f[s+40>>2]|0)){Ja=d;Ka=(f[a+12>>2]|0)+((f[(f[s+48>>2]|0)+52>>2]|0)+I<<2)|0;break}I=f[a+8>>2]|0;J=f[a+12>>2]|0;do if(b[s+38>>0]|0){oa=f[s+56>>2]|0;ma=s;if(!oa){La=ma-(f[(f[s+20>>2]|0)+80>>2]|0)|0;break}else{La=ma-(f[oa+40>>2]|0)|0;break}}else La=s-(f[(f[s+48>>2]|0)+20>>2]|0)|0;while(0);Ja=I;Ka=J+(((La|0)/88|0)<<2)|0}while(0);_Xb(a,c,s,Ja+(f[Ka>>2]|0)|0);break b;break}case 5:{pa=f[s+52>>2]|0;do if(!pa){ra=f[a+12>>2]|0;do if(b[s+38>>0]|0){oa=f[s+56>>2]|0;ma=s;if(!oa){Ma=ma-(f[(f[s+20>>2]|0)+80>>2]|0)|0;break}else{Ma=ma-(f[oa+40>>2]|0)|0;break}}else Ma=s-(f[(f[s+48>>2]|0)+20>>2]|0)|0;while(0);Na=d;Oa=ra+(((Ma|0)/88|0)<<2)|0}else{J=(pa-(f[(f[pa+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[d+((J<<2)+(f[z>>2]|0))>>2]|0)==(f[s+40>>2]|0)){Na=d;Oa=(f[a+12>>2]|0)+((f[(f[s+48>>2]|0)+52>>2]|0)+J<<2)|0;break}J=f[a+8>>2]|0;I=f[a+12>>2]|0;do if(b[s+38>>0]|0){oa=f[s+56>>2]|0;ma=s;if(!oa){Pa=ma-(f[(f[s+20>>2]|0)+80>>2]|0)|0;break}else{Pa=ma-(f[oa+40>>2]|0)|0;break}}else Pa=s-(f[(f[s+48>>2]|0)+20>>2]|0)|0;while(0);Na=J;Oa=I+(((Pa|0)/88|0)<<2)|0}while(0);ZXb(a,c,s,Na+(f[Oa>>2]|0)|0);break b;break}case 7:{pa=f[s+52>>2]|0;do if(!pa){ra=f[a+12>>2]|0;do if(b[s+38>>0]|0){oa=f[s+56>>2]|0;ma=s;if(!oa){Qa=ma-(f[(f[s+20>>2]|0)+80>>2]|0)|0;break}else{Qa=ma-(f[oa+40>>2]|0)|0;break}}else Qa=s-(f[(f[s+48>>2]|0)+20>>2]|0)|0;while(0);Ra=d;Sa=ra+(((Qa|0)/88|0)<<2)|0}else{I=(pa-(f[(f[pa+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[d+((I<<2)+(f[z>>2]|0))>>2]|0)==(f[s+40>>2]|0)){Ra=d;Sa=(f[a+12>>2]|0)+((f[(f[s+48>>2]|0)+52>>2]|0)+I<<2)|0;break}I=f[a+8>>2]|0;J=f[a+12>>2]|0;do if(b[s+38>>0]|0){oa=f[s+56>>2]|0;ma=s;if(!oa){Ta=ma-(f[(f[s+20>>2]|0)+80>>2]|0)|0;break}else{Ta=ma-(f[oa+40>>2]|0)|0;break}}else Ta=s-(f[(f[s+48>>2]|0)+20>>2]|0)|0;while(0);Ra=I;Sa=J+(((Ta|0)/88|0)<<2)|0}while(0);YXb(a,c,s,Ra+(f[Sa>>2]|0)|0);break b;break}case 8:{pa=f[s+52>>2]|0;do if(!pa){ra=f[a+12>>2]|0;do if(b[s+38>>0]|0){oa=f[s+56>>2]|0;ma=s;if(!oa){Ua=ma-(f[(f[s+20>>2]|0)+80>>2]|0)|0;break}else{Ua=ma-(f[oa+40>>2]|0)|0;break}}else Ua=s-(f[(f[s+48>>2]|0)+20>>2]|0)|0;while(0);Va=d;Wa=ra+(((Ua|0)/88|0)<<2)|0}else{J=(pa-(f[(f[pa+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[d+((J<<2)+(f[z>>2]|0))>>2]|0)==(f[s+40>>2]|0)){Va=d;Wa=(f[a+12>>2]|0)+((f[(f[s+48>>2]|0)+52>>2]|0)+J<<2)|0;break}J=f[a+8>>2]|0;I=f[a+12>>2]|0;do if(b[s+38>>0]|0){oa=f[s+56>>2]|0;ma=s;if(!oa){Xa=ma-(f[(f[s+20>>2]|0)+80>>2]|0)|0;break}else{Xa=ma-(f[oa+40>>2]|0)|0;break}}else Xa=s-(f[(f[s+48>>2]|0)+20>>2]|0)|0;while(0);Va=J;Wa=I+(((Xa|0)/88|0)<<2)|0}while(0);XXb(a,c,s,Va+(f[Wa>>2]|0)|0);break b;break}case 10:{pa=f[a>>2]|0;ra=f[pa+160>>2]|0;oa=Bg[f[pa+164>>2]&127](a,d,s,0)|0;rh[ra&255](a,c,oa,s);break b;break}case 9:{oa=f[a>>2]|0;ra=f[oa+144>>2]|0;rh[f[oa+96>>2]&255](h,a,d,s);rh[ra&255](a,c,s,h);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);break b;break}default:{TDb(v,3,501629,532);ra=ODb(v,504390)|0;oa=f[t>>2]|0;if(oa|0?(f[oa>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=s;dEb(oa,h)}QDb(w,RDb(ra,f[149940+(f[qa>>2]<<2)>>2]|0)|0);UDb(v);break b}}while(0)}while(0);c:do if(A){v=R+24|0;w=f[v>>2]|0;if(w|0?(f[w>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=R;dEb(w,h)}w=R+28|0;do switch(f[149940+(f[w>>2]<<2)>>2]|0){case 1:{XXb(a,d,R,i);break c;break}case 2:{bYb(a,d,R,j);break c;break}case 3:{aYb(a,d,R,k);break c;break}case 4:{$Xb(a,d,R,l);break c;break}case 6:{_Xb(a,d,R,m);break c;break}case 5:{ZXb(a,d,R,n);break c;break}case 7:{YXb(a,d,R,o);break c;break}case 8:{XXb(a,d,R,q);break c;break}case 10:{rh[f[(f[a>>2]|0)+160>>2]&255](a,d,Q,R);break c;break}case 9:{rh[f[(f[a>>2]|0)+144>>2]&255](a,d,R,r);break c;break}default:{TDb(x,3,501629,564);c=ODb(x,504390)|0;Wa=f[v>>2]|0;if(Wa|0?(f[Wa>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=R;dEb(Wa,h)}QDb(y,RDb(c,f[149940+(f[w>>2]<<2)>>2]|0)|0);UDb(x);break c}}while(0)}else Yh[f[(f[a>>2]|0)+36>>2]&511](a,d,e);while(0);if((b[r+11>>0]|0)>=0){u=g;return}Emc(f[r>>2]|0);u=g;return}function iYb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=a+20|0;if((f[g>>2]|0)==-1)return;h=dYb(a,c,e)|0;i=dYb(a,d,e)|0;j=f[g>>2]|0;k=(j|0)==-1;if(i){if(!k){i=f[a+16>>2]|0;do if(b[e+38>>0]|0){l=f[e+56>>2]|0;m=e;if(!l){n=m-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{n=m-(f[l+40>>2]|0)|0;break}}else n=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);l=f[i+(((n|0)/88|0)<<2)>>2]|0;n=c+j+(l>>>5<<2)|0;f[n>>2]=1<<(l&31)|f[n>>2]}}else if(!k){k=f[a+16>>2]|0;do if(b[e+38>>0]|0){n=f[e+56>>2]|0;l=e;if(!n){o=l-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{o=l-(f[n+40>>2]|0)|0;break}}else o=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);n=f[k+(((o|0)/88|0)<<2)>>2]|0;o=c+j+(n>>>5<<2)|0;f[o>>2]=f[o>>2]&~(1<<(n&31))}n=f[g>>2]|0;g=(n|0)==-1;if(h){if(g)return;h=f[a+16>>2]|0;do if(b[e+38>>0]|0){o=f[e+56>>2]|0;j=e;if(!o){p=j-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{p=j-(f[o+40>>2]|0)|0;break}}else p=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);o=f[h+(((p|0)/88|0)<<2)>>2]|0;p=d+n+(o>>>5<<2)|0;f[p>>2]=1<<(o&31)|f[p>>2];return}else{if(g)return;g=f[a+16>>2]|0;do if(b[e+38>>0]|0){a=f[e+56>>2]|0;p=e;if(!a){q=p-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{q=p-(f[a+40>>2]|0)|0;break}}else q=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);e=f[g+(((q|0)/88|0)<<2)>>2]|0;q=d+n+(e>>>5<<2)|0;f[q>>2]=f[q>>2]&~(1<<(e&31));return}}function jYb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0.0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0;g=u;u=u+80|0;h=g+48|0;i=g+24|0;j=g+65|0;k=g;l=g+64|0;m=(f[e+32>>2]|0)==3;n=e+24|0;o=f[n>>2]|0;if(o|0?(f[o>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=e;dEb(o,h)}o=e+28|0;q=f[149940+(f[o>>2]<<2)>>2]|0;if(m)do switch(q|0){case 1:{m=f[e+52>>2]|0;if(!m){r=f[a+12>>2]|0;do if(b[e+38>>0]|0){s=f[e+56>>2]|0;t=e;if(!s){v=t-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{v=t-(f[s+40>>2]|0)|0;break}}else v=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);s=c+(f[r+(((v|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){t=f[e+56>>2]|0;w=e;if(!t){x=w-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{x=w-(f[t+40>>2]|0)|0;break}}else x=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);y=(x|0)/88|0;z=s;A=r}else{t=f[a+12>>2]|0;y=((m-(f[(f[m+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;z=c+(f[t+(((m-(f[(f[m+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;A=t}kYb(z,d+(f[A+(y<<2)>>2]|0)|0);u=g;return}case 2:{t=f[e+52>>2]|0;if(!t){w=f[a+12>>2]|0;do if(b[e+38>>0]|0){B=f[e+56>>2]|0;C=e;if(!B){D=C-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{D=C-(f[B+40>>2]|0)|0;break}}else D=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);m=c+(f[w+(((D|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){r=f[e+56>>2]|0;s=e;if(!r){E=s-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{E=s-(f[r+40>>2]|0)|0;break}}else E=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);F=(E|0)/88|0;G=m;H=w}else{r=f[a+12>>2]|0;F=((t-(f[(f[t+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;G=c+(f[r+(((t-(f[(f[t+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;H=r}lYb(G,d+(f[H+(F<<2)>>2]|0)|0);u=g;return}case 3:{r=f[e+52>>2]|0;if(!r){s=f[a+12>>2]|0;do if(b[e+38>>0]|0){B=f[e+56>>2]|0;C=e;if(!B){I=C-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{I=C-(f[B+40>>2]|0)|0;break}}else I=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);t=c+(f[s+(((I|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){w=f[e+56>>2]|0;m=e;if(!w){J=m-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{J=m-(f[w+40>>2]|0)|0;break}}else J=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);K=(J|0)/88|0;L=t;M=s}else{w=f[a+12>>2]|0;K=((r-(f[(f[r+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;L=c+(f[w+(((r-(f[(f[r+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;M=w}mYb(L,d+(f[M+(K<<2)>>2]|0)|0);u=g;return}case 4:{w=f[e+52>>2]|0;if(!w){m=f[a+12>>2]|0;do if(b[e+38>>0]|0){B=f[e+56>>2]|0;C=e;if(!B){N=C-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{N=C-(f[B+40>>2]|0)|0;break}}else N=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);r=c+(f[m+(((N|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){s=f[e+56>>2]|0;t=e;if(!s){O=t-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{O=t-(f[s+40>>2]|0)|0;break}}else O=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);P=(O|0)/88|0;Q=r;R=m}else{s=f[a+12>>2]|0;P=((w-(f[(f[w+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;Q=c+(f[s+(((w-(f[(f[w+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;R=s}nYb(Q,d+(f[R+(P<<2)>>2]|0)|0);u=g;return}case 6:{s=f[e+52>>2]|0;if(!s){t=f[a+12>>2]|0;do if(b[e+38>>0]|0){B=f[e+56>>2]|0;C=e;if(!B){S=C-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{S=C-(f[B+40>>2]|0)|0;break}}else S=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);w=c+(f[t+(((S|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){m=f[e+56>>2]|0;r=e;if(!m){T=r-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{T=r-(f[m+40>>2]|0)|0;break}}else T=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);U=(T|0)/88|0;V=w;W=t}else{m=f[a+12>>2]|0;U=((s-(f[(f[s+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;V=c+(f[m+(((s-(f[(f[s+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;W=m}oYb(V,d+(f[W+(U<<2)>>2]|0)|0);u=g;return}case 5:{m=f[e+52>>2]|0;if(!m){r=f[a+12>>2]|0;do if(b[e+38>>0]|0){B=f[e+56>>2]|0;C=e;if(!B){X=C-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{X=C-(f[B+40>>2]|0)|0;break}}else X=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);s=c+(f[r+(((X|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){t=f[e+56>>2]|0;w=e;if(!t){Y=w-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{Y=w-(f[t+40>>2]|0)|0;break}}else Y=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);Z=(Y|0)/88|0;_=s;$=r}else{t=f[a+12>>2]|0;Z=((m-(f[(f[m+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;_=c+(f[t+(((m-(f[(f[m+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;$=t}pYb(_,d+(f[$+(Z<<2)>>2]|0)|0);u=g;return}case 7:{t=f[e+52>>2]|0;if(!t){w=f[a+12>>2]|0;do if(b[e+38>>0]|0){B=f[e+56>>2]|0;C=e;if(!B){aa=C-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{aa=C-(f[B+40>>2]|0)|0;break}}else aa=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);m=c+(f[w+(((aa|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){r=f[e+56>>2]|0;s=e;if(!r){ba=s-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{ba=s-(f[r+40>>2]|0)|0;break}}else ba=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);ca=(ba|0)/88|0;da=m;ea=w}else{r=f[a+12>>2]|0;ca=((t-(f[(f[t+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;da=c+(f[r+(((t-(f[(f[t+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;ea=r}qYb(da,d+(f[ea+(ca<<2)>>2]|0)|0);u=g;return}case 8:{r=f[e+52>>2]|0;if(!r){s=f[a+12>>2]|0;do if(b[e+38>>0]|0){B=f[e+56>>2]|0;C=e;if(!B){fa=C-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{fa=C-(f[B+40>>2]|0)|0;break}}else fa=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);t=c+(f[s+(((fa|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){w=f[e+56>>2]|0;m=e;if(!w){ga=m-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{ga=m-(f[w+40>>2]|0)|0;break}}else ga=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);ha=(ga|0)/88|0;ia=t;ja=s}else{w=f[a+12>>2]|0;ha=((r-(f[(f[r+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;ia=c+(f[w+(((r-(f[(f[r+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;ja=w}kYb(ia,d+(f[ja+(ha<<2)>>2]|0)|0);u=g;return}case 9:{w=f[e+52>>2]|0;if(!w){m=f[a+12>>2]|0;do if(b[e+38>>0]|0){B=f[e+56>>2]|0;C=e;if(!B){ka=C-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{ka=C-(f[B+40>>2]|0)|0;break}}else ka=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);r=c+(f[m+(((ka|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){s=f[e+56>>2]|0;t=e;if(!s){la=t-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{la=t-(f[s+40>>2]|0)|0;break}}else la=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);ma=(la|0)/88|0;na=r;oa=m}else{s=f[a+12>>2]|0;ma=((w-(f[(f[w+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;na=c+(f[s+(((w-(f[(f[w+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;oa=s}s=d+(f[oa+(ma<<2)>>2]|0)|0;if((f[s>>2]|0)==(f[na>>2]|0)){t=na+12|0;B=s+12|0;C=f[t>>2]|0;f[t>>2]=f[B>>2];f[B>>2]=C;C=na+4|0;B=s+4|0;t=f[C>>2]|0;f[C>>2]=f[B>>2];f[B>>2]=t;t=na+8|0;B=s+8|0;C=f[t>>2]|0;f[t>>2]=f[B>>2];f[B>>2]=C;u=g;return}else{rYb(na,s);u=g;return}break}case 10:{s=f[n>>2]|0;if(s|0?(f[s>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=e;dEb(s,h)}if((f[o>>2]|0)==11?bJb(e)|0:0){s=e+52|0;C=f[s>>2]|0;if(!C){B=f[a+12>>2]|0;do if(b[e+38>>0]|0){t=f[e+56>>2]|0;pa=e;if(!t){qa=pa-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{qa=pa-(f[t+40>>2]|0)|0;break}}else qa=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);ra=B+(((qa|0)/88|0)<<2)|0}else ra=(f[a+12>>2]|0)+(((C-(f[(f[C+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)|0;w=r_b(c+(f[ra>>2]|0)|0)|0;m=f[s>>2]|0;if(!m){r=f[a+12>>2]|0;do if(b[e+38>>0]|0){t=f[e+56>>2]|0;pa=e;if(!t){sa=pa-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{sa=pa-(f[t+40>>2]|0)|0;break}}else sa=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);ta=r+(((sa|0)/88|0)<<2)|0}else ta=(f[a+12>>2]|0)+(((m-(f[(f[m+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)|0;s=r_b(d+(f[ta>>2]|0)|0)|0;if((f[s>>2]|0)==(f[w>>2]|0)){C=w+12|0;B=s+12|0;t=f[C>>2]|0;f[C>>2]=f[B>>2];f[B>>2]=t;t=w+4|0;B=s+4|0;C=f[t>>2]|0;f[t>>2]=f[B>>2];f[B>>2]=C;C=w+8|0;B=s+8|0;t=f[C>>2]|0;f[C>>2]=f[B>>2];f[B>>2]=t;u=g;return}else{sYb(w,s);u=g;return}}s=f[e+52>>2]|0;if(!s){t=f[a+12>>2]|0;do if(b[e+38>>0]|0){B=f[e+56>>2]|0;C=e;if(!B){ua=C-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{ua=C-(f[B+40>>2]|0)|0;break}}else ua=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);w=c+(f[t+(((ua|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){m=f[e+56>>2]|0;r=e;if(!m){va=r-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{va=r-(f[m+40>>2]|0)|0;break}}else va=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);wa=(va|0)/88|0;xa=w;ya=t}else{m=f[a+12>>2]|0;wa=((s-(f[(f[s+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;xa=c+(f[m+(((s-(f[(f[s+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;ya=m}m=d+(f[ya+(wa<<2)>>2]|0)|0;if((f[m>>2]|0)==(f[xa>>2]|0)){r=xa+12|0;B=m+12|0;C=f[r>>2]|0;f[r>>2]=f[B>>2];f[B>>2]=C;C=xa+4|0;B=m+4|0;r=f[C>>2]|0;f[C>>2]=f[B>>2];f[B>>2]=r;r=xa+8|0;B=m+8|0;C=f[r>>2]|0;f[r>>2]=f[B>>2];f[B>>2]=C;u=g;return}else{sYb(xa,m);u=g;return}break}default:{TDb(i,3,501629,377);m=ODb(i,504390)|0;C=f[n>>2]|0;if(C|0?(f[C>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=e;dEb(C,h)}QDb(j,RDb(m,f[149940+(f[o>>2]<<2)>>2]|0)|0);UDb(i);u=g;return}}while(0);do switch(q|0){case 1:{i=f[e+52>>2]|0;if(!i){j=f[a+12>>2]|0;do if(b[e+38>>0]|0){xa=f[e+56>>2]|0;wa=e;if(!xa){za=wa-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{za=wa-(f[xa+40>>2]|0)|0;break}}else za=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);s=c+(f[j+(((za|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){t=f[e+56>>2]|0;w=e;if(!t){Aa=w-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{Aa=w-(f[t+40>>2]|0)|0;break}}else Aa=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);Ba=(Aa|0)/88|0;Ca=s;Da=j}else{t=f[a+12>>2]|0;Ba=((i-(f[(f[i+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;Ca=c+(f[t+(((i-(f[(f[i+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;Da=t}t=d+(f[Da+(Ba<<2)>>2]|0)|0;w=f[Ca>>2]|0;f[Ca>>2]=f[t>>2];f[t>>2]=w;u=g;return}case 2:{w=f[e+52>>2]|0;if(!w){t=f[a+12>>2]|0;do if(b[e+38>>0]|0){xa=f[e+56>>2]|0;wa=e;if(!xa){Ea=wa-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{Ea=wa-(f[xa+40>>2]|0)|0;break}}else Ea=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);i=c+(f[t+(((Ea|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){j=f[e+56>>2]|0;s=e;if(!j){Fa=s-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{Fa=s-(f[j+40>>2]|0)|0;break}}else Fa=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);Ga=(Fa|0)/88|0;Ha=i;Ia=t}else{j=f[a+12>>2]|0;Ga=((w-(f[(f[w+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;Ha=c+(f[j+(((w-(f[(f[w+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;Ia=j}j=d+(f[Ia+(Ga<<2)>>2]|0)|0;s=Ha;xa=f[s>>2]|0;wa=f[s+4>>2]|0;s=j;ya=f[s+4>>2]|0;va=Ha;f[va>>2]=f[s>>2];f[va+4>>2]=ya;ya=j;f[ya>>2]=xa;f[ya+4>>2]=wa;u=g;return}case 3:{wa=f[e+52>>2]|0;if(!wa){ya=f[a+12>>2]|0;do if(b[e+38>>0]|0){xa=f[e+56>>2]|0;j=e;if(!xa){Ja=j-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{Ja=j-(f[xa+40>>2]|0)|0;break}}else Ja=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);w=c+(f[ya+(((Ja|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){t=f[e+56>>2]|0;i=e;if(!t){Ka=i-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{Ka=i-(f[t+40>>2]|0)|0;break}}else Ka=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);La=(Ka|0)/88|0;Ma=w;Na=ya}else{t=f[a+12>>2]|0;La=((wa-(f[(f[wa+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;Ma=c+(f[t+(((wa-(f[(f[wa+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;Na=t}t=d+(f[Na+(La<<2)>>2]|0)|0;i=f[Ma>>2]|0;f[Ma>>2]=f[t>>2];f[t>>2]=i;u=g;return}case 4:{i=f[e+52>>2]|0;if(!i){t=f[a+12>>2]|0;do if(b[e+38>>0]|0){xa=f[e+56>>2]|0;j=e;if(!xa){Oa=j-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{Oa=j-(f[xa+40>>2]|0)|0;break}}else Oa=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);wa=c+(f[t+(((Oa|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){ya=f[e+56>>2]|0;w=e;if(!ya){Pa=w-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{Pa=w-(f[ya+40>>2]|0)|0;break}}else Pa=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);Qa=(Pa|0)/88|0;Ra=wa;Sa=t}else{ya=f[a+12>>2]|0;Qa=((i-(f[(f[i+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;Ra=c+(f[ya+(((i-(f[(f[i+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;Sa=ya}ya=d+(f[Sa+(Qa<<2)>>2]|0)|0;w=Ra;xa=f[w>>2]|0;j=f[w+4>>2]|0;w=ya;va=f[w+4>>2]|0;s=Ra;f[s>>2]=f[w>>2];f[s+4>>2]=va;va=ya;f[va>>2]=xa;f[va+4>>2]=j;u=g;return}case 6:{j=f[e+52>>2]|0;if(!j){va=f[a+12>>2]|0;do if(b[e+38>>0]|0){xa=f[e+56>>2]|0;ya=e;if(!xa){Ta=ya-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{Ta=ya-(f[xa+40>>2]|0)|0;break}}else Ta=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);i=c+(f[va+(((Ta|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){t=f[e+56>>2]|0;wa=e;if(!t){Ua=wa-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{Ua=wa-(f[t+40>>2]|0)|0;break}}else Ua=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);Va=(Ua|0)/88|0;Wa=va;Xa=i}else{t=f[a+12>>2]|0;Va=((j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;Wa=t;Xa=c+(f[t+(((j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0}t=d+(f[Wa+(Va<<2)>>2]|0)|0;wa=f[Xa>>2]|0;f[Xa>>2]=f[t>>2];f[t>>2]=wa;u=g;return}case 5:{wa=f[e+52>>2]|0;if(!wa){t=f[a+12>>2]|0;do if(b[e+38>>0]|0){xa=f[e+56>>2]|0;ya=e;if(!xa){Ya=ya-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{Ya=ya-(f[xa+40>>2]|0)|0;break}}else Ya=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);j=c+(f[t+(((Ya|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){i=f[e+56>>2]|0;va=e;if(!i){Za=va-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{Za=va-(f[i+40>>2]|0)|0;break}}else Za=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);_a=(Za|0)/88|0;$a=j;ab=t}else{i=f[a+12>>2]|0;_a=((wa-(f[(f[wa+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;$a=c+(f[i+(((wa-(f[(f[wa+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;ab=i}i=d+(f[ab+(_a<<2)>>2]|0)|0;bb=+p[$a>>3];p[$a>>3]=+p[i>>3];p[i>>3]=bb;u=g;return}case 7:{i=f[e+52>>2]|0;if(!i){va=f[a+12>>2]|0;do if(b[e+38>>0]|0){xa=f[e+56>>2]|0;ya=e;if(!xa){cb=ya-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{cb=ya-(f[xa+40>>2]|0)|0;break}}else cb=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);wa=c+(f[va+(((cb|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){t=f[e+56>>2]|0;j=e;if(!t){db=j-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{db=j-(f[t+40>>2]|0)|0;break}}else db=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);eb=(db|0)/88|0;fb=va;gb=wa}else{t=f[a+12>>2]|0;eb=((i-(f[(f[i+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;fb=t;gb=c+(f[t+(((i-(f[(f[i+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0}t=d+(f[fb+(eb<<2)>>2]|0)|0;j=b[gb>>0]|0;b[gb>>0]=b[t>>0]|0;b[t>>0]=j;u=g;return}case 8:{j=f[e+52>>2]|0;if(!j){t=f[a+12>>2]|0;do if(b[e+38>>0]|0){xa=f[e+56>>2]|0;ya=e;if(!xa){hb=ya-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{hb=ya-(f[xa+40>>2]|0)|0;break}}else hb=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);i=c+(f[t+(((hb|0)/88|0)<<2)>>2]|0)|0;do if(b[e+38>>0]|0){wa=f[e+56>>2]|0;va=e;if(!wa){ib=va-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{ib=va-(f[wa+40>>2]|0)|0;break}}else ib=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);jb=(ib|0)/88|0;kb=i;lb=t}else{wa=f[a+12>>2]|0;jb=((j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;kb=c+(f[wa+(((j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0)|0;lb=wa}wa=d+(f[lb+(jb<<2)>>2]|0)|0;va=f[kb>>2]|0;f[kb>>2]=f[wa>>2];f[wa>>2]=va;u=g;return}case 10:{va=f[a+24>>2]|0;wa=f[c+va>>2]|0;xa=wa&-2;if(!(wa&1))mb=xa;else mb=f[xa+4>>2]|0;xa=f[d+va>>2]|0;va=xa&-2;if(!(xa&1))nb=va;else nb=f[va+4>>2]|0;va=(mb|0)==(nb|0);xa=f[e+52>>2]|0;if(!xa){wa=f[a+12>>2]|0;do if(b[e+38>>0]|0){ya=f[e+56>>2]|0;s=e;if(!ya){ob=s-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{ob=s-(f[ya+40>>2]|0)|0;break}}else ob=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);j=f[wa+(((ob|0)/88|0)<<2)>>2]|0;do if(b[e+38>>0]|0){t=f[e+56>>2]|0;i=e;if(!t){pb=i-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{pb=i-(f[t+40>>2]|0)|0;break}}else pb=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);qb=(pb|0)/88|0;rb=j;sb=wa}else{t=f[a+12>>2]|0;qb=((xa-(f[(f[xa+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;rb=f[t+(((xa-(f[(f[xa+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0;sb=t}t=c+rb|0;i=d+(f[sb+(qb<<2)>>2]|0)|0;if(va){ya=f[t>>2]|0;f[t>>2]=f[i>>2];f[i>>2]=ya;u=g;return}ya=f[t>>2]|0;s=(f[i>>2]|0)==0;if(!ya){if(s){u=g;return}w=f[i>>2]|0;ua=f[(f[w>>2]|0)+16>>2]|0;ta=ci[f[(f[c>>2]|0)+20>>2]&1023](c)|0;sa=Sh[ua&511](w,ta)|0;f[t>>2]=sa;xh[f[(f[sa>>2]|0)+72>>2]&2047](sa,f[i>>2]|0);Yh[f[(f[a>>2]|0)+28>>2]&511](a,d,e);u=g;return}if(s){s=f[(f[ya>>2]|0)+16>>2]|0;sa=ci[f[(f[d>>2]|0)+20>>2]&1023](d)|0;ta=Sh[s&511](ya,sa)|0;f[i>>2]=ta;xh[f[(f[ta>>2]|0)+72>>2]&2047](ta,f[t>>2]|0);Yh[f[(f[a>>2]|0)+28>>2]&511](a,c,e);u=g;return}else{ta=ci[f[(f[ya>>2]|0)+92>>2]&1023](ya)|0;Yh[f[(f[ta>>2]|0)+52>>2]&511](ta,f[t>>2]|0,f[i>>2]|0);u=g;return}break}case 9:{i=f[a+24>>2]|0;t=f[c+i>>2]|0;ta=t&-2;if(!(t&1))tb=ta;else tb=f[ta+4>>2]|0;ta=f[d+i>>2]|0;i=ta&-2;if(!(ta&1))ub=i;else ub=f[i+4>>2]|0;i=f[e+52>>2]|0;if(!i){ta=f[a+12>>2]|0;do if(b[e+38>>0]|0){t=f[e+56>>2]|0;ya=e;if(!t){vb=ya-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{vb=ya-(f[t+40>>2]|0)|0;break}}else vb=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);va=f[ta+(((vb|0)/88|0)<<2)>>2]|0;do if(b[e+38>>0]|0){xa=f[e+56>>2]|0;wa=e;if(!xa){wb=wa-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{wb=wa-(f[xa+40>>2]|0)|0;break}}else wb=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);xb=(wb|0)/88|0;yb=va;zb=ta}else{xa=f[a+12>>2]|0;xb=((i-(f[(f[i+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)|0;yb=f[xa+(((i-(f[(f[i+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[e+48>>2]|0)+52>>2]|0)<<2)>>2]|0;zb=xa}xa=c+yb|0;wa=d+(f[zb+(xb<<2)>>2]|0)|0;if((tb|0)==(ub|0)){j=f[xa>>2]|0;f[xa>>2]=f[wa>>2];f[wa>>2]=j;u=g;return}j=f[a+8>>2]|0;do if(b[e+38>>0]|0){t=f[e+56>>2]|0;ya=e;if(!t){Ab=ya-(f[(f[e+20>>2]|0)+80>>2]|0)|0;break}else{Ab=ya-(f[t+40>>2]|0)|0;break}}else Ab=e-(f[(f[e+48>>2]|0)+20>>2]|0)|0;while(0);i=f[j+(f[zb+(((Ab|0)/88|0)<<2)>>2]|0)>>2]|0;Nmc(h,f[xa>>2]|0);ta=f[wa>>2]|0;va=f[xa>>2]|0;if((va|0)==(i|0))PDa(xa,tb,ta);else Qmc(va,ta)|0;ta=f[wa>>2]|0;if((ta|0)==(i|0))PDa(wa,ub,h);else Qmc(ta,h)|0;if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);u=g;return}default:{TDb(k,3,501629,446);ta=ODb(k,504390)|0;i=f[n>>2]|0;if(i|0?(f[i>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=e;dEb(i,h)}QDb(l,RDb(ta,f[149940+(f[o>>2]<<2)>>2]|0)|0);UDb(k);u=g;return}}while(0)}function kYb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+16|0;d=c;if((a|0)==(b|0)){u=c;return}e=a+8|0;g=f[e>>2]|0;if(!g)h=0;else h=f[g>>2]|0;i=b+8|0;j=f[i>>2]|0;k=(j|0)==0;if(k)l=0;else l=f[j>>2]|0;if((h|0)==(l|0)){f[e>>2]=j;f[i>>2]=g;g=f[a>>2]|0;f[a>>2]=f[b>>2];f[b>>2]=g;g=a+4|0;l=b+4|0;h=f[g>>2]|0;f[g>>2]=f[l>>2];f[l>>2]=h;u=c;return}if(k)m=0;else m=f[j>>2]|0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;k=d+8|0;f[k>>2]=0;if(m|0){if(f[m+64>>2]|0)pBb(m,26896,8);h=nBb(m,8)|0;f[k>>2]=h;f[h>>2]=m}m=f[a>>2]|0;if(m|0){eFa(d,m);m=f[d>>2]|0;Krc((f[k>>2]|0)+4+(m<<2)|0,(f[e>>2]|0)+4|0,f[a>>2]<<2|0)|0;f[d>>2]=m+(f[a>>2]|0)}f[a>>2]=0;m=f[b>>2]|0;if(m|0){eFa(a,m);Krc((f[e>>2]|0)+4+(f[a>>2]<<2)|0,(f[i>>2]|0)+4|0,f[b>>2]<<2|0)|0;f[a>>2]=(f[a>>2]|0)+(f[b>>2]|0)}if((d|0)==(b|0))n=f[k>>2]|0;else{a=f[i>>2]|0;f[i>>2]=f[k>>2];f[k>>2]=a;k=f[b>>2]|0;f[b>>2]=f[d>>2];f[d>>2]=k;k=b+4|0;b=f[k>>2]|0;f[k>>2]=f[j>>2];f[j>>2]=b;n=a}if(n|0?(f[n>>2]|0)==0:0)Emc(n);u=c;return}function lYb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+16|0;d=c;if((a|0)==(b|0)){u=c;return}e=a+8|0;g=f[e>>2]|0;if(!g)h=0;else h=f[g>>2]|0;i=b+8|0;j=f[i>>2]|0;k=(j|0)==0;if(k)l=0;else l=f[j>>2]|0;if((h|0)==(l|0)){f[e>>2]=j;f[i>>2]=g;g=f[a>>2]|0;f[a>>2]=f[b>>2];f[b>>2]=g;g=a+4|0;l=b+4|0;h=f[g>>2]|0;f[g>>2]=f[l>>2];f[l>>2]=h;u=c;return}if(k)m=0;else m=f[j>>2]|0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;k=d+8|0;f[k>>2]=0;if(m|0){if(f[m+64>>2]|0)pBb(m,26896,8);h=nBb(m,8)|0;f[k>>2]=h;f[h>>2]=m}m=f[a>>2]|0;if(m|0){cEa(d,m);m=f[d>>2]|0;Krc((f[k>>2]|0)+8+(m<<3)|0,(f[e>>2]|0)+8|0,f[a>>2]<<3|0)|0;f[d>>2]=m+(f[a>>2]|0)}f[a>>2]=0;m=f[b>>2]|0;if(m|0){cEa(a,m);Krc((f[e>>2]|0)+8+(f[a>>2]<<3)|0,(f[i>>2]|0)+8|0,f[b>>2]<<3|0)|0;f[a>>2]=(f[a>>2]|0)+(f[b>>2]|0)}if((d|0)==(b|0))n=f[k>>2]|0;else{a=f[i>>2]|0;f[i>>2]=f[k>>2];f[k>>2]=a;k=f[b>>2]|0;f[b>>2]=f[d>>2];f[d>>2]=k;k=b+4|0;b=f[k>>2]|0;f[k>>2]=f[j>>2];f[j>>2]=b;n=a}if(n|0?(f[n>>2]|0)==0:0)Emc(n);u=c;return}function mYb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+16|0;d=c;if((a|0)==(b|0)){u=c;return}e=a+8|0;g=f[e>>2]|0;if(!g)h=0;else h=f[g>>2]|0;i=b+8|0;j=f[i>>2]|0;k=(j|0)==0;if(k)l=0;else l=f[j>>2]|0;if((h|0)==(l|0)){f[e>>2]=j;f[i>>2]=g;g=f[a>>2]|0;f[a>>2]=f[b>>2];f[b>>2]=g;g=a+4|0;l=b+4|0;h=f[g>>2]|0;f[g>>2]=f[l>>2];f[l>>2]=h;u=c;return}if(k)m=0;else m=f[j>>2]|0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;k=d+8|0;f[k>>2]=0;if(m|0){if(f[m+64>>2]|0)pBb(m,26896,8);h=nBb(m,8)|0;f[k>>2]=h;f[h>>2]=m}m=f[a>>2]|0;if(m|0){iFa(d,m);m=f[d>>2]|0;Krc((f[k>>2]|0)+4+(m<<2)|0,(f[e>>2]|0)+4|0,f[a>>2]<<2|0)|0;f[d>>2]=m+(f[a>>2]|0)}f[a>>2]=0;m=f[b>>2]|0;if(m|0){iFa(a,m);Krc((f[e>>2]|0)+4+(f[a>>2]<<2)|0,(f[i>>2]|0)+4|0,f[b>>2]<<2|0)|0;f[a>>2]=(f[a>>2]|0)+(f[b>>2]|0)}if((d|0)==(b|0))n=f[k>>2]|0;else{a=f[i>>2]|0;f[i>>2]=f[k>>2];f[k>>2]=a;k=f[b>>2]|0;f[b>>2]=f[d>>2];f[d>>2]=k;k=b+4|0;b=f[k>>2]|0;f[k>>2]=f[j>>2];f[j>>2]=b;n=a}if(n|0?(f[n>>2]|0)==0:0)Emc(n);u=c;return}function nYb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+16|0;d=c;if((a|0)==(b|0)){u=c;return}e=a+8|0;g=f[e>>2]|0;if(!g)h=0;else h=f[g>>2]|0;i=b+8|0;j=f[i>>2]|0;k=(j|0)==0;if(k)l=0;else l=f[j>>2]|0;if((h|0)==(l|0)){f[e>>2]=j;f[i>>2]=g;g=f[a>>2]|0;f[a>>2]=f[b>>2];f[b>>2]=g;g=a+4|0;l=b+4|0;h=f[g>>2]|0;f[g>>2]=f[l>>2];f[l>>2]=h;u=c;return}if(k)m=0;else m=f[j>>2]|0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;k=d+8|0;f[k>>2]=0;if(m|0){if(f[m+64>>2]|0)pBb(m,26896,8);h=nBb(m,8)|0;f[k>>2]=h;f[h>>2]=m}m=f[a>>2]|0;if(m|0){bhb(d,m);m=f[d>>2]|0;Krc((f[k>>2]|0)+8+(m<<3)|0,(f[e>>2]|0)+8|0,f[a>>2]<<3|0)|0;f[d>>2]=m+(f[a>>2]|0)}f[a>>2]=0;m=f[b>>2]|0;if(m|0){bhb(a,m);Krc((f[e>>2]|0)+8+(f[a>>2]<<3)|0,(f[i>>2]|0)+8|0,f[b>>2]<<3|0)|0;f[a>>2]=(f[a>>2]|0)+(f[b>>2]|0)}if((d|0)==(b|0))n=f[k>>2]|0;else{a=f[i>>2]|0;f[i>>2]=f[k>>2];f[k>>2]=a;k=f[b>>2]|0;f[b>>2]=f[d>>2];f[d>>2]=k;k=b+4|0;b=f[k>>2]|0;f[k>>2]=f[j>>2];f[j>>2]=b;n=a}if(n|0?(f[n>>2]|0)==0:0)Emc(n);u=c;return}function oYb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+16|0;d=c;if((a|0)==(b|0)){u=c;return}e=a+8|0;g=f[e>>2]|0;if(!g)h=0;else h=f[g>>2]|0;i=b+8|0;j=f[i>>2]|0;k=(j|0)==0;if(k)l=0;else l=f[j>>2]|0;if((h|0)==(l|0)){f[e>>2]=j;f[i>>2]=g;g=f[a>>2]|0;f[a>>2]=f[b>>2];f[b>>2]=g;g=a+4|0;l=b+4|0;h=f[g>>2]|0;f[g>>2]=f[l>>2];f[l>>2]=h;u=c;return}if(k)m=0;else m=f[j>>2]|0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;k=d+8|0;f[k>>2]=0;if(m|0){if(f[m+64>>2]|0)pBb(m,26896,8);h=nBb(m,8)|0;f[k>>2]=h;f[h>>2]=m}m=f[a>>2]|0;if(m|0){aEa(d,m);m=f[d>>2]|0;Krc((f[k>>2]|0)+4+(m<<2)|0,(f[e>>2]|0)+4|0,f[a>>2]<<2|0)|0;f[d>>2]=m+(f[a>>2]|0)}f[a>>2]=0;m=f[b>>2]|0;if(m|0){aEa(a,m);Krc((f[e>>2]|0)+4+(f[a>>2]<<2)|0,(f[i>>2]|0)+4|0,f[b>>2]<<2|0)|0;f[a>>2]=(f[a>>2]|0)+(f[b>>2]|0)}if((d|0)==(b|0))n=f[k>>2]|0;else{a=f[i>>2]|0;f[i>>2]=f[k>>2];f[k>>2]=a;k=f[b>>2]|0;f[b>>2]=f[d>>2];f[d>>2]=k;k=b+4|0;b=f[k>>2]|0;f[k>>2]=f[j>>2];f[j>>2]=b;n=a}if(n|0?(f[n>>2]|0)==0:0)Emc(n);u=c;return}function pYb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+16|0;d=c;if((a|0)==(b|0)){u=c;return}e=a+8|0;g=f[e>>2]|0;if(!g)h=0;else h=f[g>>2]|0;i=b+8|0;j=f[i>>2]|0;k=(j|0)==0;if(k)l=0;else l=f[j>>2]|0;if((h|0)==(l|0)){f[e>>2]=j;f[i>>2]=g;g=f[a>>2]|0;f[a>>2]=f[b>>2];f[b>>2]=g;g=a+4|0;l=b+4|0;h=f[g>>2]|0;f[g>>2]=f[l>>2];f[l>>2]=h;u=c;return}if(k)m=0;else m=f[j>>2]|0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;k=d+8|0;f[k>>2]=0;if(m|0){if(f[m+64>>2]|0)pBb(m,26896,8);h=nBb(m,8)|0;f[k>>2]=h;f[h>>2]=m}m=f[a>>2]|0;if(m|0){bEa(d,m);m=f[d>>2]|0;Krc((f[k>>2]|0)+8+(m<<3)|0,(f[e>>2]|0)+8|0,f[a>>2]<<3|0)|0;f[d>>2]=m+(f[a>>2]|0)}f[a>>2]=0;m=f[b>>2]|0;if(m|0){bEa(a,m);Krc((f[e>>2]|0)+8+(f[a>>2]<<3)|0,(f[i>>2]|0)+8|0,f[b>>2]<<3|0)|0;f[a>>2]=(f[a>>2]|0)+(f[b>>2]|0)}if((d|0)==(b|0))n=f[k>>2]|0;else{a=f[i>>2]|0;f[i>>2]=f[k>>2];f[k>>2]=a;k=f[b>>2]|0;f[b>>2]=f[d>>2];f[d>>2]=k;k=b+4|0;b=f[k>>2]|0;f[k>>2]=f[j>>2];f[j>>2]=b;n=a}if(n|0?(f[n>>2]|0)==0:0)Emc(n);u=c;return}function qYb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+16|0;d=c;if((a|0)==(b|0)){u=c;return}e=a+8|0;g=f[e>>2]|0;if(!g)h=0;else h=f[g>>2]|0;i=b+8|0;j=f[i>>2]|0;k=(j|0)==0;if(k)l=0;else l=f[j>>2]|0;if((h|0)==(l|0)){f[e>>2]=j;f[i>>2]=g;g=f[a>>2]|0;f[a>>2]=f[b>>2];f[b>>2]=g;g=a+4|0;l=b+4|0;h=f[g>>2]|0;f[g>>2]=f[l>>2];f[l>>2]=h;u=c;return}if(k)m=0;else m=f[j>>2]|0;f[d>>2]=0;j=d+4|0;f[j>>2]=0;k=d+8|0;f[k>>2]=0;if(m|0){if(f[m+64>>2]|0)pBb(m,26896,8);h=nBb(m,8)|0;f[k>>2]=h;f[h>>2]=m}m=f[a>>2]|0;if(m|0){aJa(d,m);m=f[d>>2]|0;Krc((f[k>>2]|0)+4+m|0,(f[e>>2]|0)+4|0,f[a>>2]|0)|0;f[d>>2]=m+(f[a>>2]|0)}f[a>>2]=0;m=f[b>>2]|0;if(m|0){aJa(a,m);Krc((f[a>>2]|0)+((f[e>>2]|0)+4)|0,(f[i>>2]|0)+4|0,f[b>>2]|0)|0;f[a>>2]=(f[a>>2]|0)+(f[b>>2]|0)}if((d|0)==(b|0))n=f[k>>2]|0;else{a=f[i>>2]|0;f[i>>2]=f[k>>2];f[k>>2]=a;k=f[b>>2]|0;f[b>>2]=f[d>>2];f[d>>2]=k;k=b+4|0;b=f[k>>2]|0;f[k>>2]=f[j>>2];f[j>>2]=b;n=a}if(n|0?(f[n>>2]|0)==0:0)Emc(n);u=c;return}function rYb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+16|0;e=d;f[e>>2]=f[c>>2];g=e+4|0;f[g>>2]=0;h=e+8|0;f[h>>2]=0;i=e+12|0;f[i>>2]=0;uYb(e,a);j=a+4|0;k=f[j>>2]|0;if((k|0)>0){l=f[a+12>>2]|0;m=0;do{n=f[l+4+(m<<2)>>2]|0;m=m+1|0;o=n+11|0;if((b[o>>0]|0)<0){b[f[n>>2]>>0]=0;f[n+4>>2]=0}else{b[n>>0]=0;b[o>>0]=0}}while((m|0)!=(k|0));f[j>>2]=0}uYb(a,c);a=c+4|0;j=f[a>>2]|0;k=c+12|0;if((j|0)>0){m=f[k>>2]|0;l=0;do{o=f[m+4+(l<<2)>>2]|0;l=l+1|0;n=o+11|0;if((b[n>>0]|0)<0){b[f[o>>2]>>0]=0;f[o+4>>2]=0}else{b[o>>0]=0;b[n>>0]=0}}while((l|0)!=(j|0));f[a>>2]=0;p=0}else p=j;j=f[k>>2]|0;f[k>>2]=f[i>>2];f[i>>2]=j;f[a>>2]=f[g>>2];f[g>>2]=p;p=c+8|0;c=f[p>>2]|0;f[p>>2]=f[h>>2];f[h>>2]=c;c=j;if(!((j|0)!=0&(f[e>>2]|0)==0)){u=d;return}e=j;j=f[c>>2]|0;if((j|0)>0){h=0;do{p=f[c+4+(h<<2)>>2]|0;if(p|0){if((b[p+11>>0]|0)<0)Emc(f[p>>2]|0);Emc(p)}h=h+1|0}while((h|0)!=(j|0));q=f[i>>2]|0}else q=e;Emc(q);u=d;return}function sYb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=u;u=u+16|0;d=c;f[d>>2]=f[b>>2];e=d+4|0;f[e>>2]=0;g=d+8|0;f[g>>2]=0;h=d+12|0;f[h>>2]=0;tYb(d,a);i=a+4|0;j=f[i>>2]|0;if((j|0)>0){k=f[a+12>>2]|0;l=0;do{m=f[k+4+(l<<2)>>2]|0;l=l+1|0;ai[f[(f[m>>2]|0)+28>>2]&2047](m)}while((l|0)!=(j|0));f[i>>2]=0}tYb(a,b);a=b+4|0;i=f[a>>2]|0;j=b+12|0;if((i|0)>0){l=f[j>>2]|0;k=0;do{m=f[l+4+(k<<2)>>2]|0;k=k+1|0;ai[f[(f[m>>2]|0)+28>>2]&2047](m)}while((k|0)!=(i|0));f[a>>2]=0;n=0}else n=i;i=f[j>>2]|0;f[j>>2]=f[h>>2];f[h>>2]=i;f[a>>2]=f[e>>2];f[e>>2]=n;n=b+8|0;b=f[n>>2]|0;f[n>>2]=f[g>>2];f[g>>2]=b;b=i;if(!((i|0)!=0&(f[d>>2]|0)==0)){u=c;return}d=i;i=f[b>>2]|0;if((i|0)>0){g=0;do{n=f[b+4+(g<<2)>>2]|0;if(n|0)ai[f[(f[n>>2]|0)+4>>2]&2047](n);g=g+1|0}while((g|0)!=(i|0));o=f[h>>2]|0}else o=d;Emc(o);u=c;return}function tYb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{RXb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;if((h|0)<(c|0)){a=h;do{h=f[d+4+(a<<2)>>2]|0;j=Z1b(h,i)|0;RXb(h,j);f[b+(a<<2)>>2]=j;a=a+1|0}while((a|0)!=(c|0))}a=(f[g>>2]|0)+c|0;f[g>>2]=a;g=f[e>>2]|0;if((f[g>>2]|0)>=(a|0))return;f[g>>2]=a;return}function uYb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{sDb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(12)|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;sDb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)==(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,9552,16);l=oBb(i,16,1630)|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;sDb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function vYb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;f[a>>2]=155400;g=a+4|0;f[g>>2]=b;h=a+8|0;i=c;c=h+36|0;do{f[h>>2]=f[i>>2];h=h+4|0;i=i+4|0}while((h|0)<(c|0));if(!d){i=MIb()|0;j=i;k=f[g>>2]|0}else{j=d;k=b}f[a+44>>2]=j;f[a+48>>2]=e;f[a+52>>2]=(f[k+52>>2]|0)+-1;return}function wYb(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0;k=u;u=u+64|0;l=k;m=k+8|0;n=k+32|0;o=GFb(MIb()|0,a)|0;if(!o){TDb(m,3,501629,2329);QDb(k+56|0,ODb(m,504593)|0);UDb(m)}if(!g)p=K1b()|0;else p=g;f[n>>2]=p;p=n+4|0;f[p>>2]=h;g=n+8|0;f[g>>2]=i;f[n+12>>2]=c;f[n+16>>2]=d;f[n+20>>2]=e;e=o+28|0;if((f[e>>2]|0)>0){d=o+68|0;c=0;do{xYb(n,(f[d>>2]|0)+(c*88|0)|0);c=c+1|0}while((c|0)<(f[e>>2]|0))}e=f[o+32>>2]|0;if((e|0)>0){c=o+72|0;d=0;n=f[g>>2]|0;do{f[n>>2]=(f[c>>2]|0)+(d*48|0);n=n+4|0;d=d+1|0}while((d|0)<(e|0));f[g>>2]=n}if(b[(f[o+84>>2]|0)+84>>0]|0?(n=f[o+36>>2]|0,(n|0)>0):0){g=o+76|0;o=0;do{f[j+(o<<2)>>2]=(f[g>>2]|0)+(o*24|0);o=o+1|0}while((o|0)<(n|0))}n=yYb()|0;o=f[p>>2]|0;FDb(n);f[l>>2]=h;f[l+4>>2]=o;o=n+8|0;h=f[o>>2]|0;if((h|0)==(f[n+12>>2]|0)){zYb(n+4|0,l);GDb(n);u=k;return}else{p=l;l=f[p+4>>2]|0;g=h;f[g>>2]=f[p>>2];f[g+4>>2]=l;f[o>>2]=(f[o>>2]|0)+8;GDb(n);u=k;return}}function xYb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;c=b+60|0;if((f[c>>2]|0)>0){d=b+28|0;e=0;do{xYb(a,(f[d>>2]|0)+(e*88|0)|0);e=e+1|0}while((e|0)<(f[c>>2]|0))}c=a+4|0;f[f[c>>2]>>2]=b;e=Bmc(56)|0;d=a+16|0;g=f[a+20>>2]|0;h=a+12|0;i=f[h>>2]|0;j=f[i>>2]|0;k=f[i+4>>2]|0;l=f[i+8>>2]|0;i=f[f[d>>2]>>2]|0;m=g+(j<<2)|0;n=f[m>>2]|0;o=f[g+(j+1<<2)>>2]|0;p=f[g+(j+2<<2)>>2]|0;q=f[g+(j+3<<2)>>2]|0;r=f[g+(j+4<<2)>>2]|0;j=MIb()|0;s=f[a>>2]|0;f[e>>2]=155400;t=e+4|0;f[t>>2]=b;f[e+8>>2]=i;f[e+12>>2]=m+20;f[e+16>>2]=g+(k<<2);f[e+20>>2]=n;f[e+24>>2]=o;f[e+28>>2]=p;f[e+32>>2]=q;f[e+36>>2]=l;f[e+40>>2]=r;if(!j){r=MIb()|0;u=r;v=f[t>>2]|0}else{u=j;v=b}f[e+44>>2]=u;f[e+48>>2]=s;f[e+52>>2]=(f[v+52>>2]|0)+-1;v=f[c>>2]|0;f[v+4>>2]=e;e=f[b+64>>2]|0;if((e|0)<=0){w=v;x=f[h>>2]|0;y=x+12|0;f[h>>2]=y;z=f[d>>2]|0;A=z+4|0;f[d>>2]=A;B=w+8|0;f[c>>2]=B;return}v=b+32|0;b=a+8|0;a=0;s=f[b>>2]|0;do{f[s>>2]=(f[v>>2]|0)+(a*48|0);s=(f[b>>2]|0)+4|0;f[b>>2]=s;a=a+1|0}while((a|0)<(e|0));w=f[c>>2]|0;x=f[h>>2]|0;y=x+12|0;f[h>>2]=y;z=f[d>>2]|0;A=z+4|0;f[d>>2]=A;B=w+8|0;f[c>>2]=B;return}function yYb(){var a=0,c=0;if(b[537136]|0){a=f[222969]|0;return a|0}if(!(src(537136)|0)){a=f[222969]|0;return a|0}c=Bmc(16)|0;VDb(c);f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;KDb(164);f[222969]=c;a=f[222969]|0;return a|0}function zYb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>3;h=g+1|0;if(h>>>0>536870911)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>2;l=j>>3>>>0<268435455?(k>>>0<h>>>0?h:k):536870911;do if(l)if(l>>>0>536870911){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<3)|0;break}else m=0;while(0);k=m+(g<<3)|0;h=b;b=f[h+4>>2]|0;j=k;f[j>>2]=f[h>>2];f[j+4>>2]=b;b=k+(0-g<<3)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+8;f[i>>2]=m+(l<<3);if(!d)return;Emc(d);return}function AYb(){var a=0,b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;a=yYb()|0;if(!a)return;b=a+4|0;c=a+8|0;d=f[c>>2]|0;e=f[b>>2]|0;g=e;h=d;if((d|0)==(e|0)){i=g;j=h}else{k=0;l=g;g=h;h=e;e=d;while(1){d=f[l+(k<<3)>>2]|0;if(d>>>0<(f[l+(k<<3)+4>>2]|0)>>>0){m=d;d=h;n=l;while(1){o=f[m+4>>2]|0;if(!o){p=n;q=d}else{ai[f[(f[o>>2]|0)+4>>2]&2047](o);o=f[b>>2]|0;p=o;q=o}m=m+8|0;if(m>>>0>=(f[p+(k<<3)+4>>2]|0)>>>0)break;else{d=q;n=p}}n=f[c>>2]|0;r=q;s=n;t=n}else{r=h;s=e;t=g}k=k+1|0;n=r;if(k>>>0>=s-r>>3>>>0){i=n;j=t;break}else{l=n;g=t;h=r;e=s}}}if(i|0){if((j|0)!=(i|0))f[c>>2]=j+(~((j+-8-i|0)>>>3)<<3);Emc(i)}WDb(a);Emc(a);return}function BYb(a,b){a=a|0;b=b|0;var c=0,d=0;if((b|0)>0)c=0;else return;do{d=f[a+(c<<3)+4>>2]|0;if(d|0)V1b(f[a+(c<<3)>>2]|0,f[d+8>>2]|0);c=c+1|0}while((c|0)!=(b|0));return}function CYb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0.0,n=0,o=0,q=0.0;d=u;u=u+128|0;e=d;g=d+104|0;h=d+72|0;i=d+48|0;j=d+24|0;k=d+20|0;l=d+8|0;m=+Y9b(a,k);n=(c|0)!=0;o=f[k>>2]|0;if(n)f[c>>2]=o;if((b[o>>0]|0)!=46){q=m;u=d;return +q}p[e>>3]=1.5;k=g9b(g,504622,e)|0;if((b[g>>0]|0)!=49){TDb(h,3,504627,63);QDb(d+98|0,ODb(h,504715)|0);UDb(h)}if((b[g+(k+-1)>>0]|0)!=53){TDb(i,3,504627,64);QDb(d+97|0,ODb(i,504750)|0);UDb(i)}if((k|0)>=7){TDb(j,3,504627,65);QDb(d+96|0,ODb(j,504790)|0);UDb(j)};f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;Umc(l,k+-3+(s8b(a)|0)|0);DYb(l,a,o)|0;$mc(l,g+1|0,k+-2|0)|0;anc(l,o+1|0)|0;k=l+11|0;g=(b[k>>0]|0)<0?f[l>>2]|0:l;m=+Y9b(g,e);j=f[e>>2]|0;e=g;g=b[k>>0]|0;if(n&(j-e|0)>(o-a|0)){o=g<<24>>24<0?f[l+4>>2]|0:g&255;n=a+((s8b(a)|0)-(o+e)+j)|0;f[c>>2]=n}if(g<<24>>24<0)Emc(f[l>>2]|0);q=m;u=d;return +q}function DYb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;e=u;u=u+16|0;g=c;h=e;i=a+11|0;j=b[i>>0]|0;k=j<<24>>24<0;if(k){l=f[a+4>>2]|0;m=(f[a+8>>2]&2147483647)+-1|0}else{l=j&255;m=10}n=d-g|0;if(!n){u=e;return a|0}if(k){k=f[a>>2]|0;o=k;p=f[a+4>>2]|0;q=k}else{o=a;p=j&255;q=a}if(q>>>0<=c>>>0&(o+p|0)>>>0>c>>>0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(n>>>0>4294967279)Lmc(h);if(n>>>0<11){b[h+11>>0]=n;r=h}else{p=n+16&-16;o=Bmc(p)|0;f[h>>2]=o;f[h+8>>2]=p|-2147483648;f[h+4>>2]=n;r=o}if((c|0)==(d|0))s=r;else{o=r;p=c;while(1){b[o>>0]=b[p>>0]|0;p=p+1|0;if((p|0)==(d|0))break;else o=o+1|0}s=r+n|0}b[s>>0]=0;s=h+11|0;r=b[s>>0]|0;o=r<<24>>24<0;$mc(a,o?f[h>>2]|0:h,o?f[h+4>>2]|0:r&255)|0;if((b[s>>0]|0)<0)Emc(f[h>>2]|0);u=e;return a|0}if((m-l|0)>>>0<n>>>0){Ymc(a,m,l+n-m|0,l,l,0,0);t=b[i>>0]|0}else t=j;if(t<<24>>24<0)v=f[a>>2]|0;else v=a;t=v+l|0;if((c|0)==(d|0))w=t;else{j=d+(l-g)|0;g=c;c=t;while(1){b[c>>0]=b[g>>0]|0;g=g+1|0;if((g|0)==(d|0))break;else c=c+1|0}w=v+j|0}b[w>>0]=0;w=l+n|0;if((b[i>>0]|0)<0){f[a+4>>2]=w;u=e;return a|0}else{b[i>>0]=w;u=e;return a|0}return 0}function EYb(a){a=+a;var b=0.0;if(!(a>3402823466385288598117041.0e14))if(a<-3402823466385288598117041.0e14)b=-D;else b=a;else b=D;return +b}function FYb(a){a=a|0;return}function GYb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+16|0;g=e;h=a+4|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;h=a+32|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;h=a+56|0;f[h>>2]=c;f[a+60>>2]=d;d=a+68|0;i=a+72|0;j=a+80|0;f[a+84>>2]=0;f[a+88>>2]=0;f[a+92>>2]=0;k=d+4|0;f[k>>2]=0;f[k+4>>2]=0;b[k+8>>0]=0;f[a+96>>2]=-1;b[a+100>>0]=0;f[a+104>>2]=0;b[a+108>>0]=1;b[a+109>>0]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a>>2]=0;f[g>>2]=0;f[d>>2]=0;f[a+76>>2]=0;k=c;while(1){if(!(ki[f[(f[k>>2]|0)+8>>2]&511](k,g,i)|0)){l=3;break}if(f[i>>2]|0){l=6;break}k=f[h>>2]|0}if((l|0)==3){f[i>>2]=0;b[j>>0]=1;m=0;n=a+64|0;b[n>>0]=m;u=e;return}else if((l|0)==6){l=f[g>>2]|0;f[d>>2]=l;m=b[l>>0]|0;n=a+64|0;b[n>>0]=m;u=e;return}}function HYb(a){a=a|0;var c=0,d=0,e=0;c=f[a+72>>2]|0;d=f[a+76>>2]|0;if((c|0)>(d|0)){e=f[a+56>>2]|0;xh[f[(f[e>>2]|0)+12>>2]&2047](e,c-d|0)}d=a+32|0;if((b[d+11>>0]|0)<0)Emc(f[d>>2]|0);d=a+4|0;if((b[d+11>>0]|0)>=0)return;Emc(f[d>>2]|0);return}function IYb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=u;u=u+16|0;d=c;e=a+64|0;g=b[e>>0]|0;if(g<<24>>24==10){h=a+84|0;f[h>>2]=(f[h>>2]|0)+1;f[a+88>>2]=0}else{h=a+88|0;i=f[h>>2]|0;if(g<<24>>24==9)j=8-((i|0)%8|0)|0;else j=1;f[h>>2]=j+i}i=a+76|0;j=(f[i>>2]|0)+1|0;f[i>>2]=j;h=a+72|0;g=f[h>>2]|0;if((j|0)<(g|0)){b[e>>0]=b[(f[a+68>>2]|0)+j>>0]|0;u=c;return}j=a+80|0;if(b[j>>0]|0){b[e>>0]=0;u=c;return}k=f[a+92>>2]|0;if(k|0?(l=a+96|0,m=f[l>>2]|0,(g|0)>(m|0)):0){$mc(k,(f[a+68>>2]|0)+m|0,g-m|0)|0;f[l>>2]=0}f[d>>2]=0;l=a+68|0;f[l>>2]=0;f[i>>2]=0;i=a+56|0;while(1){a=f[i>>2]|0;if(!(ki[f[(f[a>>2]|0)+8>>2]&511](a,d,h)|0)){n=15;break}if(f[h>>2]|0){n=17;break}}if((n|0)==15){f[h>>2]=0;b[j>>0]=1;o=0}else if((n|0)==17){n=f[d>>2]|0;f[l>>2]=n;o=b[n>>0]|0}b[e>>0]=o;u=c;return}function JYb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;d=u;u=u+16|0;e=d;g=a+64|0;h=a+109|0;i=e+8|0;j=e+4|0;k=a+60|0;l=a+84|0;m=a+88|0;n=e+11|0;o=e+8|0;p=e+4|0;q=e+11|0;r=e+8|0;s=e+4|0;t=e+11|0;v=e+8|0;w=e+4|0;x=e+11|0;a:while(1){y=b[g>>0]|0;switch(y<<24>>24|0){case 0:{z=3;break a;break}case 10:{if(!(b[h>>0]|0)){z=7;break a}IYb(a);continue a;break}case 92:{IYb(a);A=b[g>>0]|0;switch(A<<24>>24){case 34:case 39:case 63:case 92:case 118:case 116:case 114:case 110:case 102:case 98:case 97:{IYb(a);continue a;break}default:{}}if((A&-8)<<24>>24==48){IYb(a);continue a}switch(A<<24>>24){case 120:{IYb(a);A=b[g>>0]|0;b:do if((A+-48&255)>=10){switch(A<<24>>24){case 65:case 66:case 67:case 68:case 69:case 70:case 97:case 98:case 99:case 100:case 101:case 102:{break b;break}default:{}}B=Bmc(48)|0;f[e>>2]=B;f[i>>2]=-2147483600;f[j>>2]=40;C=B;D=504930;E=C+40|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));b[B+40>>0]=0;F=f[k>>2]|0;rh[f[(f[F>>2]|0)+8>>2]&255](F,f[l>>2]|0,f[m>>2]|0,e);if((b[n>>0]|0)<0)Emc(f[e>>2]|0);continue a}while(0);IYb(a);continue a;break}case 117:{IYb(a);A=b[g>>0]|0;if((A+-48&255)<10)z=24;else switch(A<<24>>24){case 65:case 66:case 67:case 68:case 69:case 70:case 97:case 98:case 99:case 100:case 101:case 102:{z=24;break}default:{}}c:do if((z|0)==24){z=0;IYb(a);A=b[g>>0]|0;if((A+-48&255)>=10)switch(A<<24>>24){case 65:case 66:case 67:case 68:case 69:case 70:case 97:case 98:case 99:case 100:case 101:case 102:break;default:break c}IYb(a);A=b[g>>0]|0;if((A+-48&255)>=10)switch(A<<24>>24){case 65:case 66:case 67:case 68:case 69:case 70:case 97:case 98:case 99:case 100:case 101:case 102:break;default:break c}IYb(a);A=b[g>>0]|0;if((A+-48&255)>=10)switch(A<<24>>24){case 65:case 66:case 67:case 68:case 69:case 70:case 97:case 98:case 99:case 100:case 101:case 102:break;default:break c}IYb(a);continue a}while(0);A=Bmc(64)|0;f[e>>2]=A;f[o>>2]=-2147483584;f[p>>2]=48;C=A;D=504971;E=C+48|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));b[A+48>>0]=0;F=f[k>>2]|0;rh[f[(f[F>>2]|0)+8>>2]&255](F,f[l>>2]|0,f[m>>2]|0,e);if((b[q>>0]|0)<0)Emc(f[e>>2]|0);continue a;break}case 85:{IYb(a);d:do if((b[g>>0]|0)==48?(IYb(a),(b[g>>0]|0)==48):0){IYb(a);switch(b[g>>0]|0){case 48:{IYb(a);break}case 49:{IYb(a);break}default:break d}F=b[g>>0]|0;if((F+-48&255)>=10)switch(F<<24>>24){case 65:case 66:case 67:case 68:case 69:case 70:case 97:case 98:case 99:case 100:case 101:case 102:break;default:break d}IYb(a);F=b[g>>0]|0;if((F+-48&255)>=10)switch(F<<24>>24){case 65:case 66:case 67:case 68:case 69:case 70:case 97:case 98:case 99:case 100:case 101:case 102:break;default:break d}IYb(a);F=b[g>>0]|0;if((F+-48&255)>=10)switch(F<<24>>24){case 65:case 66:case 67:case 68:case 69:case 70:case 97:case 98:case 99:case 100:case 101:case 102:break;default:break d}IYb(a);F=b[g>>0]|0;if((F+-48&255)>=10)switch(F<<24>>24){case 65:case 66:case 67:case 68:case 69:case 70:case 97:case 98:case 99:case 100:case 101:case 102:break;default:break d}IYb(a);F=b[g>>0]|0;if((F+-48&255)>=10)switch(F<<24>>24){case 65:case 66:case 67:case 68:case 69:case 70:case 97:case 98:case 99:case 100:case 101:case 102:break;default:break d}IYb(a);continue a}while(0);A=Bmc(64)|0;f[e>>2]=A;f[r>>2]=-2147483584;f[s>>2]=61;C=A;D=505020;E=C+61|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));b[A+61>>0]=0;F=f[k>>2]|0;rh[f[(f[F>>2]|0)+8>>2]&255](F,f[l>>2]|0,f[m>>2]|0,e);if((b[t>>0]|0)<0)Emc(f[e>>2]|0);continue a;break}default:{F=Bmc(48)|0;f[e>>2]=F;f[v>>2]=-2147483600;f[w>>2]=42;C=F;D=505082;E=C+42|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));b[F+42>>0]=0;A=f[k>>2]|0;rh[f[(f[A>>2]|0)+8>>2]&255](A,f[l>>2]|0,f[m>>2]|0,e);if((b[x>>0]|0)<0)Emc(f[e>>2]|0);continue a}}break}default:{IYb(a);if(y<<24>>24==c<<24>>24){z=57;break a}else continue a}}}if((z|0)==3){c=Bmc(32)|0;f[e>>2]=c;f[e+8>>2]=-2147483616;f[e+4>>2]=25;C=c;D=504858;E=C+25|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));b[c+25>>0]=0;c=f[k>>2]|0;rh[f[(f[c>>2]|0)+8>>2]&255](c,f[l>>2]|0,f[m>>2]|0,e);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);u=d;return}else if((z|0)==7){c=Bmc(48)|0;f[e>>2]=c;f[e+8>>2]=-2147483600;f[e+4>>2]=45;C=c;D=504884;E=C+45|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));b[c+45>>0]=0;c=f[k>>2]|0;rh[f[(f[c>>2]|0)+8>>2]&255](c,f[l>>2]|0,f[m>>2]|0,e);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);u=d;return}else if((z|0)==57){u=d;return}}function KYb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;e=u;u=u+16|0;g=e;h=a+64|0;i=b[h>>0]|0;a:do if(c){switch(i<<24>>24){case 120:{IYb(a);break}case 88:{IYb(a);break}default:{if((i+-48&255)>=10){j=20;break a}if((i&-8)<<24>>24==48){do{IYb(a);k=b[h>>0]|0}while((k&-8)<<24>>24==48);l=k}else l=i;if((l+-48&255)>=10){m=0;break a}k=Bmc(64)|0;f[g>>2]=k;f[g+8>>2]=-2147483584;f[g+4>>2]=52;n=k;o=505162;p=n+52|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[k+52>>0]=0;q=f[a+60>>2]|0;rh[f[(f[q>>2]|0)+8>>2]&255](q,f[a+84>>2]|0,f[a+88>>2]|0,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if(((b[h>>0]|0)+-48&255)>=10){m=0;break a}while(1){IYb(a);if(((b[h>>0]|0)+-48&255)>=10){m=0;break a}}}}k=b[h>>0]|0;b:do if((k+-48&255)>=10){switch(k<<24>>24){case 65:case 66:case 67:case 68:case 69:case 70:case 97:case 98:case 99:case 100:case 101:case 102:{break b;break}default:{}}q=Bmc(48)|0;f[g>>2]=q;f[g+8>>2]=-2147483600;f[g+4>>2]=36;n=q;o=505125;p=n+36|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[q+36>>0]=0;r=f[a+60>>2]|0;rh[f[(f[r>>2]|0)+8>>2]&255](r,f[a+84>>2]|0,f[a+88>>2]|0,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);m=0;break a}while(0);while(1){IYb(a);k=b[h>>0]|0;if((k+-48&255)<10)continue;switch(k<<24>>24){case 65:case 66:case 67:case 68:case 69:case 70:case 97:case 98:case 99:case 100:case 101:case 102:break;default:{m=0;break a}}}}else j=20;while(0);c:do if((j|0)==20){if((i+-48&255)<10){do{IYb(a);l=b[h>>0]|0}while((l+-48&255)<10);s=l}else s=i;if(!d)if(s<<24>>24==46){IYb(a);l=b[h>>0]|0;if((l+-48&255)<10){do{IYb(a);c=b[h>>0]|0}while((c+-48&255)<10);t=1;v=c}else{t=1;v=l}}else{t=0;v=s}else{t=1;v=s}switch(v<<24>>24){case 101:{IYb(a);j=29;break}case 69:{IYb(a);j=29;break}default:w=t}d:do if((j|0)==29){switch(b[h>>0]|0){case 45:{IYb(a);break}case 43:{IYb(a);break}default:{}}if(((b[h>>0]|0)+-48&255)<10)while(1){IYb(a);if(((b[h>>0]|0)+-48&255)>=10){w=1;break d}}q=Bmc(48)|0;f[g>>2]=q;f[g+8>>2]=-2147483600;f[g+4>>2]=33;n=q;o=505215;p=n+33|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[q+33>>0]=0;c=f[a+60>>2]|0;rh[f[(f[c>>2]|0)+8>>2]&255](c,f[a+84>>2]|0,f[a+88>>2]|0,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);w=1}while(0);if(!(b[a+100>>0]|0))m=w;else switch(b[h>>0]|0){case 102:{IYb(a);m=1;break c;break}case 70:{IYb(a);m=1;break c;break}default:{m=w;break c}}}while(0);w=b[h>>0]|0;if(w<<24>>24==95|((w&-33)+-65&255)<26?b[a+108>>0]|0:0){h=Bmc(48)|0;f[g>>2]=h;f[g+8>>2]=-2147483600;f[g+4>>2]=41;n=h;o=505249;p=n+41|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[h+41>>0]=0;h=f[a+60>>2]|0;rh[f[(f[h>>2]|0)+8>>2]&255](h,f[a+84>>2]|0,f[a+88>>2]|0,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);x=m?4:3;u=e;return x|0}if(w<<24>>24!=46){x=m?4:3;u=e;return x|0}if(m){w=Bmc(64)|0;f[g>>2]=w;f[g+8>>2]=-2147483584;f[g+4>>2]=62;n=w;o=505291;p=n+62|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[w+62>>0]=0;w=f[a+60>>2]|0;rh[f[(f[w>>2]|0)+8>>2]&255](w,f[a+84>>2]|0,f[a+88>>2]|0,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);x=m?4:3;u=e;return x|0}else{w=Bmc(48)|0;f[g>>2]=w;f[g+8>>2]=-2147483600;f[g+4>>2]=39;n=w;o=505354;p=n+39|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[w+39>>0]=0;w=f[a+60>>2]|0;rh[f[(f[w>>2]|0)+8>>2]&255](w,f[a+84>>2]|0,f[a+88>>2]|0,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);x=m?4:3;u=e;return x|0}return 0}function LYb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;d=u;u=u+16|0;e=d;g=a+84|0;h=f[g>>2]|0;i=a+88|0;j=(f[i>>2]|0)+-2|0;k=(c|0)!=0;if(k){l=a+92|0;f[l>>2]=c;m=a+76|0;n=a+96|0;f[n>>2]=f[m>>2];o=l;p=n;q=m}else{o=a+92|0;p=a+96|0;q=a+76|0}m=a+64|0;n=a+68|0;l=e+8|0;r=e+4|0;s=a+60|0;t=e+11|0;while(1){a:while(1){v=b[m>>0]|0;switch(v<<24>>24){case 10:{w=8;break a;break}case 42:{w=19;break a;break}case 47:{w=27;break a;break}case 0:{x=v;break a;break}default:{}}IYb(a)}if((w|0)==8){w=0;IYb(a);if(k){v=f[q>>2]|0;y=f[p>>2]|0;if((v|0)!=(y|0))$mc(f[o>>2]|0,(f[n>>2]|0)+y|0,v-y|0)|0;f[o>>2]=0;f[p>>2]=-1}y=b[m>>0]|0;v=y+-9<<24>>24;if((v&255)>23|(8388637>>>(v&255)&1|0)==0)z=y;else{do{IYb(a);y=b[m>>0]|0;v=y+-9<<24>>24}while(!((v&255)>23|(8388637>>>(v&255)&1|0)==0));z=y}if(z<<24>>24==42?(IYb(a),(b[m>>0]|0)==47):0){w=16;break}if(!k)continue;f[o>>2]=c;f[p>>2]=f[q>>2];continue}else if((w|0)==19){w=0;IYb(a);y=b[m>>0]|0;if(y<<24>>24==47){w=20;break}else x=y}else if((w|0)==27){w=0;IYb(a);y=b[m>>0]|0;if(y<<24>>24==42){v=Bmc(64)|0;f[e>>2]=v;f[l>>2]=-2147483584;f[r>>2]=60;A=v;B=505394;C=A+60|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));b[v+60>>0]=0;D=f[s>>2]|0;rh[f[(f[D>>2]|0)+8>>2]&255](D,f[g>>2]|0,f[i>>2]|0,e);if((b[t>>0]|0)<0)Emc(f[e>>2]|0);continue}else x=y}if(!(x<<24>>24)){w=32;break}}if((w|0)==16){IYb(a);u=d;return}else if((w|0)==20){IYb(a);if(!k){u=d;return}a=f[q>>2]|0;x=f[p>>2]|0;if((a|0)!=(x|0))$mc(f[o>>2]|0,(f[n>>2]|0)+x|0,a-x|0)|0;f[o>>2]=0;f[p>>2]=-1;x=b[c+11>>0]|0;if(x<<24>>24<0)E=f[c+4>>2]|0;else E=x&255;enc(c,E+-2|0,-1)|0;u=d;return}else if((w|0)==32){w=Bmc(48)|0;f[e>>2]=w;f[e+8>>2]=-2147483600;f[e+4>>2]=33;A=w;B=505455;C=A+33|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));b[w+33>>0]=0;w=f[s>>2]|0;rh[f[(f[w>>2]|0)+8>>2]&255](w,f[g>>2]|0,f[i>>2]|0,e);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);i=f[s>>2]|0;s=f[(f[i>>2]|0)+8>>2]|0;g=Bmc(32)|0;f[e>>2]=g;f[e+8>>2]=-2147483616;f[e+4>>2]=23;A=g;B=505489;C=A+23|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));b[g+23>>0]=0;rh[s&255](i,h,j,e);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);if(!k){u=d;return}k=f[q>>2]|0;q=f[p>>2]|0;if((k|0)!=(q|0))$mc(f[o>>2]|0,(f[n>>2]|0)+q|0,k-q|0)|0;f[o>>2]=0;f[p>>2]=-1;u=d;return}}function MYb(a){a=a|0;var c=0,d=0;switch(f[a+104>>2]|0){case 0:{c=a+64|0;if((b[c>>0]|0)!=47){d=3;return d|0}IYb(a);switch(b[c>>0]|0){case 47:{IYb(a);d=0;return d|0}case 42:{IYb(a);d=1;return d|0}default:{f[a>>2]=6;Vmc(a+4|0,523408)|0;f[a+16>>2]=f[a+84>>2];c=f[a+88>>2]|0;f[a+20>>2]=c+-1;f[a+24>>2]=c;d=2;return d|0}}break}case 1:{if((b[a+64>>0]|0)!=35){d=3;return d|0}IYb(a);d=0;return d|0}default:{d=3;return d|0}}return 0}function NYb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;c=u;u=u+16|0;d=c;e=c+4|0;g=a+28|0;f[g>>2]=f[a>>2];h=a+4|0;Qmc(a+32|0,h)|0;i=a+44|0;j=a+16|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];k=a+80|0;a:do if(!(b[k>>0]|0)){l=a+64|0;m=e+8|0;n=e+4|0;o=a+60|0;p=a+84|0;q=a+88|0;r=e+11|0;b:while(1){s=(b[l>>0]|0)+-9<<24>>24;if(!((s&255)>23|(8388639>>>(s&255)&1|0)==0))do{IYb(a);s=(b[l>>0]|0)+-9<<24>>24}while(!((s&255)>23|(8388639>>>(s&255)&1|0)==0));c:do switch(MYb(a)|0){case 2:{t=1;v=59;break b;break}case 0:{d:while(1){switch(b[l>>0]|0){case 0:{break c;break}case 10:{break d;break}default:{}}IYb(a)}IYb(a);break}case 1:{LYb(a,0);break}default:{if(b[k>>0]|0){v=54;break a}w=b[l>>0]|0;if(!((w+-1&255)<31|w<<24>>24==0))break b;s=Bmc(48)|0;f[e>>2]=s;f[m>>2]=-2147483600;f[n>>2]=47;x=s;y=505513;z=x+47|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[s+47>>0]=0;A=f[o>>2]|0;rh[f[(f[A>>2]|0)+8>>2]&255](A,f[p>>2]|0,f[q>>2]|0,e);if((b[r>>0]|0)<0)Emc(f[e>>2]|0);IYb(a);while(1){A=b[l>>0]|0;if((A+-1&255)<31){IYb(a);continue}if(b[k>>0]|0){v=54;break a}if(A<<24>>24)break c;IYb(a)}}}while(0);if(b[k>>0]|0){v=54;break a}}if((v|0)==59){u=c;return t|0}f[a>>2]=0;r=h+11|0;if((b[r>>0]|0)<0){b[f[h>>2]>>0]=0;f[a+8>>2]=0;B=b[l>>0]|0}else{b[h>>0]=0;b[r>>0]=0;B=w}f[j>>2]=f[p>>2];r=a+20|0;f[r>>2]=f[q>>2];n=a+92|0;f[n>>2]=h;m=a+76|0;s=a+96|0;f[s>>2]=f[m>>2];e:do if(B<<24>>24==95|((B&-33)+-65&255)<26){IYb(a);A=b[l>>0]|0;if(((A&-33)+-65&255)<26|(A<<24>>24==95|(A+-48&255)<10)){do{IYb(a);A=b[l>>0]|0}while(((A&-33)+-65&255)<26|(A<<24>>24==95|(A+-48&255)<10));C=2}else C=2}else{switch(B<<24>>24){case 48:{IYb(a);C=KYb(a,1,0)|0;break e;break}case 46:{IYb(a);D=1;E=b[l>>0]|0;break}default:{D=0;E=B}}if((E+-48&255)<10){IYb(a);F=1}else F=0;if(D){if(!F){C=6;break}if(((f[g>>2]|0)==2?(f[j>>2]|0)==(f[i>>2]|0):0)?(f[r>>2]|0)==(f[a+52>>2]|0):0){A=f[o>>2]|0;G=f[(f[A>>2]|0)+8>>2]|0;H=f[p>>2]|0;I=(f[q>>2]|0)+-2|0;J=Bmc(64)|0;f[e>>2]=J;f[e+8>>2]=-2147483584;f[e+4>>2]=48;x=J;y=505561;z=x+48|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));b[J+48>>0]=0;rh[G&255](A,H,I,e);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0)}C=KYb(a,0,1)|0;break}if(F){C=KYb(a,0,0)|0;break}K=b[l>>0]|0;switch(K<<24>>24){case 34:{IYb(a);JYb(a,34);C=5;break e;break}case 39:{IYb(a);JYb(a,39);C=5;break e;break}default:{if(K<<24>>24<0?(L=f[o>>2]|0,M=f[(f[L>>2]|0)+8>>2]|0,N=f[p>>2]|0,O=f[q>>2]|0,f[d>>2]=K&255,p6b(e,505610,d),rh[M&255](L,N,O,e),(b[e+11>>0]|0)<0):0)Emc(f[e>>2]|0);IYb(a);C=6;break e}}}while(0);f[a>>2]=C;p=f[m>>2]|0;o=f[s>>2]|0;if((p|0)!=(o|0))$mc(f[n>>2]|0,(f[a+68>>2]|0)+o|0,p-o|0)|0;f[n>>2]=0;f[s>>2]=-1;P=1;Q=f[q>>2]|0}else v=54;while(0);if((v|0)==54){f[a>>2]=1;v=h+11|0;if((b[v>>0]|0)<0){b[f[h>>2]>>0]=0;f[a+8>>2]=0}else{b[h>>0]=0;b[v>>0]=0}f[j>>2]=f[a+84>>2];j=f[a+88>>2]|0;f[a+20>>2]=j;P=0;Q=j}f[a+24>>2]=Q;t=P;u=c;return t|0}function OYb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;g=(b[a+11>>0]|0)<0?f[a>>2]|0:a;a=b[g>>0]|0;a:do if(a<<24>>24==48){switch(b[g+1>>0]|0){case 88:case 120:break;default:{h=8;i=g;j=48;k=5;break a}}l=g+2|0;m=16;n=l;o=b[l>>0]|0;k=4}else{m=10;n=g;o=a;k=4}while(0);if((k|0)==4)if(!(o<<24>>24)){p=0;q=0}else{h=m;i=n;j=o;k=5}b:do if((k|0)==5){o=i;n=j;m=0;a=0;while(1){g=n<<24>>24;if((n+-48&255)>=10)if((n+-97&255)<26){r=-87;k=9}else s=(n+-65&255)<26?g+-55|0:-1;else{r=-48;k=9}if((k|0)==9){k=0;s=r+g|0}if(s>>>0>=h>>>0){t=0;k=15;break}g=((s|0)<0)<<31>>31;if(g>>>0>d>>>0|(g|0)==(d|0)&s>>>0>c>>>0){t=0;k=15;break}l=zrc(c|0,d|0,s|0,g|0)|0;u=Src(l|0,J|0,h|0,0)|0;l=J;if(m>>>0>l>>>0|(m|0)==(l|0)&a>>>0>u>>>0){t=0;k=15;break}u=Urc(a|0,m|0,h|0,0)|0;l=Arc(s|0,g|0,u|0,J|0)|0;u=J;o=o+1|0;n=b[o>>0]|0;if(!(n<<24>>24)){p=l;q=u;break b}else{m=u;a=l}}if((k|0)==15)return t|0}while(0);k=e;f[k>>2]=p;f[k+4>>2]=q;t=1;return t|0}function PYb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0.0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+48|0;d=c+36|0;e=c;g=c+24|0;h=c+40|0;i=a+11|0;j=(b[i>>0]|0)<0?f[a>>2]|0:a;k=+CYb(j,d);l=f[d>>2]|0;m=b[l>>0]|0;a:do switch(m<<24>>24){case 69:case 101:{n=l+1|0;f[d>>2]=n;o=b[n>>0]|0;switch(o<<24>>24){case 43:case 45:break;default:{p=n;q=o;break a}}o=l+2|0;f[d>>2]=o;p=o;q=b[o>>0]|0;break}default:{p=l;q=m}}while(0);switch(q<<24>>24){case 70:case 102:{q=p+1|0;f[d>>2]=q;r=q;break}default:r=p}p=b[i>>0]|0;if((r-j|0)==((p<<24>>24<0?f[a+4>>2]|0:p&255)|0)?(b[j>>0]|0)!=45:0){u=c;return +k}TDb(e,2,505647,919);j=ODb(e,505738)|0;y6b(g,a);QDb(h,PDb(j,g)|0);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);UDb(e);u=c;return +k}function QYb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;d=u;u=u+48|0;e=d;g=d+32|0;h=d+8|0;i=a+11|0;j=b[i>>0]|0;k=j<<24>>24<0?f[a+4>>2]|0:j&255;if(!k){TDb(h,2,505647,1044);l=ODb(h,505823)|0;y6b(g,a);QDb(d+44|0,PDb(l,g)|0);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);UDb(h);u=d;return}h=b[c+11>>0]|0;if(h<<24>>24<0){m=f[c+4>>2]|0;n=(f[c+8>>2]&2147483647)+-1|0}else{m=h&255;n=10}h=m+k|0;if(h>>>0>n>>>0){Umc(c,h);o=b[i>>0]|0}else o=j;j=g+4|0;h=o<<24>>24<0?f[a>>2]|0:a;a:while(1){o=h+1|0;n=b[o>>0]|0;switch(n<<24>>24){case 0:{break a;break}case 92:{k=h+2|0;m=b[k>>0]|0;if(m<<24>>24){if((m&-8)<<24>>24==48){l=m<<24>>24;if((m+-48&255)>=10)if((m+-97&255)<26){p=-87;q=17}else r=(m+-65&255)<26?l+-55|0:-1;else{p=-48;q=17}if((q|0)==17){q=0;r=p+l|0}l=h+3|0;s=b[l>>0]|0;if((s&-8)<<24>>24==48){t=r<<3;v=s<<24>>24;if((s+-48&255)>=10)if((s+-97&255)<26){w=-87;q=22}else x=(s+-65&255)<26?v+-55|0:-1;else{w=-48;q=22}if((q|0)==22){q=0;x=w+v|0}y=x+t|0;z=l}else{y=r;z=k}l=z+1|0;t=b[l>>0]|0;if((t&-8)<<24>>24==48){v=y<<3;s=t<<24>>24;if((t+-48&255)>=10)if((t+-97&255)<26){A=-87;q=28}else B=(t+-65&255)<26?s+-55|0:-1;else{A=-48;q=28}if((q|0)==28){q=0;B=A+s|0}C=B+v|0;D=l}else{C=y;D=z}bnc(c,C&255);h=D;continue a}switch(m<<24>>24){case 120:{l=h+3|0;v=b[l>>0]|0;b:do if((v+-48&255)>=10){switch(v<<24>>24){case 65:case 66:case 67:case 68:case 69:case 70:case 97:case 98:case 99:case 100:case 101:case 102:break;default:{E=0;F=k;break b}}s=v<<24>>24;if((v+-97&255)<26){G=-87;H=s;q=37}else{E=(v+-65&255)<26?s+-55|0:-1;F=l}}else{G=-48;H=v<<24>>24;q=37}while(0);if((q|0)==37){q=0;E=G+H|0;F=l}v=F+1|0;s=b[v>>0]|0;c:do if((s+-48&255)>=10){switch(s<<24>>24){case 65:case 66:case 67:case 68:case 69:case 70:case 97:case 98:case 99:case 100:case 101:case 102:break;default:{I=E;J=F;break c}}t=E<<4;K=s<<24>>24;if((s+-97&255)<26){L=-87;M=t;N=K;q=43}else{O=t;P=(s+-65&255)<26?K+-55|0:-1;q=44}}else{L=-48;M=E<<4;N=s<<24>>24;q=43}while(0);if((q|0)==43){q=0;O=M;P=L+N|0;q=44}if((q|0)==44){q=0;I=P+O|0;J=v}bnc(c,I&255);h=J;continue a;break}case 85:case 117:{s=h+3|0;l=m<<24>>24==117?4:m<<24>>24==85?8:0;d:do if(l|0){K=s+l|0;t=s;Q=0;do{R=b[t>>0]|0;if(!(R<<24>>24))break d;S=Q<<4;T=R<<24>>24;if((R+-48&255)>=10)if((R+-97&255)<26){U=-87;q=52}else V=(R+-65&255)<26?T+-55|0:-1;else{U=-48;q=52}if((q|0)==52){q=0;V=U+T|0}Q=V+S|0;t=t+1|0}while(t>>>0<K>>>0);do if((((Q&-1024|0)==55296?(b[K>>0]|0)==92:0)?(b[K+1>>0]|0)==117:0)?(t=b[K+2>>0]|0,t<<24>>24!=0):0){S=t<<24>>24;if((t+-48&255)>=10)if((t+-97&255)<26){W=-87;q=61}else X=(t+-65&255)<26?S+-55|0:-1;else{W=-48;q=61}if((q|0)==61){q=0;X=W+S|0}S=b[K+3>>0]|0;if(S<<24>>24){t=X<<4;T=S<<24>>24;if((S+-48&255)>=10)if((S+-97&255)<26){Y=-87;q=66}else Z=(S+-65&255)<26?T+-55|0:-1;else{Y=-48;q=66}if((q|0)==66){q=0;Z=Y+T|0}T=b[K+4>>0]|0;if(T<<24>>24){S=Z+t<<4;t=T<<24>>24;do if((T+-48&255)<10){_=-48;q=71}else{if((T+-97&255)<26){_=-87;q=71;break}$=(T+-65&255)<26?t+-55|0:-1}while(0);if((q|0)==71){q=0;$=_+t|0}T=b[K+5>>0]|0;if(!(T<<24>>24)){aa=K;ba=Q;break}R=$+S<<4;ca=T<<24>>24;do if((T+-48&255)<10){da=-48;q=76}else{if((T+-97&255)<26){da=-87;q=76;break}ea=(T+-65&255)<26?ca+-55|0:-1}while(0);if((q|0)==76){q=0;ea=da+ca|0}T=ea+R|0;S=(T&-1024|0)==56320;aa=S?K+6|0:K;ba=S?(T+-56320|(Q<<10)+-56623104)+65536|0:Q}else{aa=K;ba=Q}}else{aa=K;ba=Q}}else{aa=K;ba=Q}while(0);if((aa|0)!=(k|0)){f[g>>2]=0;do if(ba>>>0>=128){if(ba>>>0<2048){Q=ba&63|ba<<2&7936|49280;f[g>>2]=Q;fa=2;ga=Q;q=89;break}if(ba>>>0<65536){Q=ba&63|ba<<2&16128|ba<<4&983040|14712960;f[g>>2]=Q;fa=3;ga=Q;q=89;break}if(ba>>>0<2097152){Q=ba&63|ba<<4&4128768|ba<<6&117440512|ba<<2&16128|-260013952;f[g>>2]=Q;fa=4;ga=Q;q=89;break}else{f[e>>2]=ba;q6b(c,505916,e);break}}else{f[g>>2]=ba;fa=1;ga=ba;q=89}while(0);if((q|0)==89){q=0;Q=YDb(ga)|0;f[g>>2]=Q;$mc(c,j+(0-fa)|0,fa)|0}h=aa+-1|0;continue a}}while(0);bnc(c,m);h=k;continue a;break}default:{do switch(m<<24>>24|0){case 97:{ha=7;break}case 98:{ha=8;break}case 102:{ha=12;break}case 110:{ha=10;break}case 114:{ha=13;break}case 116:{ha=9;break}case 118:{ha=11;break}case 92:{ha=92;break}case 63:{ha=63;break}case 39:{ha=39;break}case 34:{ha=34;break}default:ha=63}while(0);bnc(c,ha);h=k;continue a}}}break}default:{}}if(n<<24>>24==(b[((b[i>>0]|0)<0?f[a>>2]|0:a)>>0]|0)?(b[h+2>>0]|0)==0:0){h=o;continue}bnc(c,n);h=o}u=d;return}function RYb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=u;u=u+16|0;d=c;e=b[a+11>>0]|0;if(!((e<<24>>24<0?f[a+4>>2]|0:e&255)|0)){g=0;u=c;return g|0}e=Zmc(a,0)|0;h=b[e>>0]|0;if(!(h<<24>>24==95|((h&-33)+-65&255)<26)){g=0;u=c;return g|0}Omc(d,a,1,-1,a);a=b[d+11>>0]|0;h=a<<24>>24<0;e=h?f[d+4>>2]|0:a&255;a:do if(!e)i=1;else{a=h?f[d>>2]|0:d;j=0;while(1){k=b[a+j>>0]|0;j=j+1|0;if(!(((k&-33)+-65&255)<26|(k<<24>>24==95|(k+-48&255)<10))){i=0;break a}if(j>>>0>=e>>>0){i=1;break}}}while(0);if(h)Emc(f[d>>2]|0);g=i;u=c;return g|0}function SYb(a){a=a|0;f[a>>2]=155820;XCb(a+16|0);return}function TYb(a){a=a|0;f[a>>2]=155820;XCb(a+16|0);Emc(a);return}function UYb(a,b,c){a=a|0;b=b|0;c=c|0;return ZCb(a+16|0,b,c)|0}function VYb(a,b){a=a|0;b=b|0;_Cb(a+16|0,b);return}function WYb(a,b){a=a|0;b=b|0;return $Cb(a+16|0,b)|0}function XYb(a){a=a|0;var b=0;b=aDb(a+16|0)|0;return b|0}function YYb(a){a=a|0;return}function ZYb(a){a=a|0;Emc(a);return}function _Yb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=a+4|0;Wcc(f[d>>2]|0,b,c)|0;c=f[d>>2]|0;d=f[c+4>>2]|0;if((d|0)==0?(b=f[c+(f[(f[c>>2]|0)+-12>>2]|0)+16>>2]|0,!((b&5|0)==0|(b&2|0)!=0)):0){e=-1;return e|0}e=d;return e|0}function $Yb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;f[a>>2]=155820;d=a+4|0;f[d>>2]=155852;f[a+8>>2]=b;gDb(a+16|0,d,c);return}function aZb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;f[a>>2]=155876;b=f[a+8>>2]|0;if(b|0?(f[a+4>>2]|0)==0:0){c=b+12|0;d=f[c>>2]|0;if(d|0?(f[b>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0)ai[f[(f[h>>2]|0)+4>>2]&2047](h);g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;Emc(i)}Emc(b)}WDb(a+12|0);return}function bZb(a){a=a|0;aZb(a);Emc(a);return}function cZb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a+8>>2]|0;if(!b){c=0;return c|0}a=f[b+8>>2]<<2;d=b+12|0;b=f[d>>2]|0;if(!b){c=a;return c|0}if((f[b>>2]|0)>0){e=0;g=a;h=b;while(1){b=f[h+4+(e<<2)>>2]|0;i=(ci[f[(f[b>>2]|0)+84>>2]&1023](b)|0)+g|0;e=e+1|0;h=f[d>>2]|0;if((e|0)>=(f[h>>2]|0)){j=i;break}else g=i}}else j=a;c=j+4|0;return c|0}function dZb(a){a=a|0;var b=0,c=0,d=0;b=a+8|0;if(f[b>>2]|0)return;c=f[a+4>>2]|0;if(!c){a=Bmc(16)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;d=a}else{if(f[c+64>>2]|0)pBb(c,18760,16);a=oBb(c,16,1641)|0;f[a>>2]=c;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;d=a}f[b>>2]=d;return}function eZb(a){a=a|0;return}function fZb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=u;u=u+16|0;c=b;f[a>>2]=155948;d=a+20|0;e=a+28|0;g=f[e>>2]|0;h=f[g+12>>2]|0;i=f[g+4>>2]|0;a:do if(i>>>0>h>>>0){j=f[g+16>>2]|0;k=h;while(1){l=f[j+(k<<2)>>2]|0;if(l|0)break;m=k+1|0;if(m>>>0<i>>>0)k=m;else{n=0;o=m;break a}}if((l|0)==(f[j+((k^1)<<2)>>2]|0)){n=f[(f[l>>2]|0)+16>>2]|0;o=k;break}else{n=l;o=k;break}}else{n=0;o=h}while(0);f[c>>2]=n;f[c+4>>2]=g;f[c+8>>2]=o;if(n|0){o=n;do{KZb((f[o+16>>2]|0)+16|0);LZb(c)|0;o=f[c>>2]|0}while((o|0)!=0)}JZb(d);JZb(d);if(f[d>>2]|0){aZb(a);u=b;return}d=f[e>>2]|0;if(!d){aZb(a);u=b;return}e=d+16|0;if(f[e>>2]|0?(p_b(d),(f[d+20>>2]|0)==0):0)Emc(f[e>>2]|0);Emc(d);aZb(a);u=b;return}function gZb(a){a=a|0;fZb(a);Emc(a);return}function hZb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;e=(ci[f[(f[a>>2]|0)+64>>2]&1023](a)|0)+8|0;AZb(d,f[e>>2]|0,b,0);u=c;return (f[d>>2]|0)!=0|0}function iZb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0;e=u;u=u+16|0;g=e;h=ci[f[(f[a>>2]|0)+68>>2]&1023](a)|0;i=h+8|0;AZb(g,f[i>>2]|0,c,0);j=f[g>>2]|0;if(j|0){k=f[j+16>>2]|0;l=0;m=k+16|0;o=k+20|0;q=f[o>>2]|0;r=d+4|0;f[r>>2]=q;s=f[m>>2]|0;f[d>>2]=s;u=e;return l|0}k=MZb(f[i>>2]|0,c)|0;i=f[k>>2]|0;if(!i){j=NZb(h,c)|0;f[k>>2]=j;t=j}else t=i;i=t+16|0;j=a+32|0;a=f[j>>2]|0;xh[f[(f[a>>2]|0)+96>>2]&2047](g,a);a=f[g>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;k=g+11|0;b[k>>0]=5;b[g>>0]=b[506389]|0;b[g+1>>0]=b[506390]|0;b[g+2>>0]=b[506391]|0;b[g+3>>0]=b[506392]|0;b[g+4>>0]=b[506393]|0;b[g+5>>0]=0;c=WIb(a,g)|0;if((b[k>>0]|0)<0)Emc(f[g>>2]|0);k=c+24|0;a=f[k>>2]|0;if(a|0?(f[a>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(a,g)}a=c+28|0;h=t+20|0;f[h>>2]=f[149940+(f[a>>2]<<2)>>2];t=f[k>>2]|0;if(t|0?(f[t>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(t,g)}do switch(f[149940+(f[a>>2]<<2)>>2]|0){case 1:{g=Bmc(4)|0;f[g>>2]=0;v=g;break}case 2:{g=Bmc(8)|0;t=g;f[t>>2]=0;f[t+4>>2]=0;v=g;break}case 3:{g=Bmc(4)|0;f[g>>2]=0;v=g;break}case 4:{g=Bmc(8)|0;t=g;f[t>>2]=0;f[t+4>>2]=0;v=g;break}case 5:{g=Bmc(8)|0;p[g>>3]=0.0;v=g;break}case 6:{g=Bmc(4)|0;n[g>>2]=0.0;v=g;break}case 7:{g=Bmc(1)|0;b[g>>0]=0;v=g;break}case 9:{g=Bmc(12)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;v=g;break}case 8:{g=Bmc(4)|0;f[g>>2]=0;v=g;break}case 10:{g=f[j>>2]|0;t=ci[f[(f[g>>2]|0)+92>>2]&1023](g)|0;g=Bg[f[(f[t>>2]|0)+108>>2]&127](t,f[j>>2]|0,c,0)|0;v=ci[f[(f[g>>2]|0)+12>>2]&1023](g)|0;break}default:{l=1;m=i;o=h;q=f[o>>2]|0;r=d+4|0;f[r>>2]=q;s=f[m>>2]|0;f[d>>2]=s;u=e;return l|0}}while(0);f[i>>2]=v;l=1;m=i;o=h;q=f[o>>2]|0;r=d+4|0;f[r>>2]=q;s=f[m>>2]|0;f[d>>2]=s;u=e;return l|0}function jZb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;i=a+16|0;if((f[i>>2]|0)==1){j=a+12|0;FDb(j);if((f[i>>2]|0)==1){ai[f[(f[a>>2]|0)+44>>2]&2047](a);f[i>>2]=2}GDb(j)}j=a+28|0;AZb(e,f[j>>2]|0,c,0);c=f[e>>2]|0;k=f[e+4>>2]|0;l=f[e+8>>2]|0;if(!c){m=0;u=d;return m|0}f[i>>2]=0;i=c+16|0;KZb((f[i>>2]|0)+16|0);f[h>>2]=c;f[h+4>>2]=k;f[h+8>>2]=l;if((f[a+20>>2]|0)==0?(a=f[i>>2]|0,a|0):0){if((f[a+8>>2]|0)==9?(i=f[a>>2]|0,i|0):0){if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);Emc(i)}Emc(a)};f[g>>2]=f[h>>2];f[g+4>>2]=f[h+4>>2];f[g+8>>2]=f[h+8>>2];LZb(h)|0;h=f[j>>2]|0;f[e>>2]=f[g>>2];f[e+4>>2]=f[g+4>>2];f[e+8>>2]=f[g+8>>2];a_b(h,e);m=1;u=d;return m|0}function kZb(a,b,c){a=a|0;b=b|0;c=c|0;return (f[f[b>>2]>>2]|0)==(f[f[c>>2]>>2]|0)|0}function lZb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=(ci[f[(f[a>>2]|0)+64>>2]&1023](a)|0)+8|0;d=f[c>>2]|0;c=f[d+12>>2]|0;e=f[d+4>>2]|0;a:do if(e>>>0>c>>>0){g=f[d+16>>2]|0;h=c;while(1){i=f[g+(h<<2)>>2]|0;if(i|0)break;j=h+1|0;if(j>>>0<e>>>0)h=j;else{k=0;l=j;break a}}if((i|0)==(f[g+((h^1)<<2)>>2]|0)){k=f[(f[i>>2]|0)+16>>2]|0;l=h;break}else{k=i;l=h;break}}else{k=0;l=c}while(0);c=f[b>>2]|0;f[c>>2]=k;f[c+4>>2]=d;f[c+8>>2]=l;xh[f[(f[a>>2]|0)+72>>2]&2047](a,b);return}function mZb(a,b){a=a|0;b=b|0;ci[f[(f[a>>2]|0)+64>>2]&1023](a)|0;a=f[b>>2]|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;return}function nZb(a){a=a|0;var b=0;b=(ci[f[(f[a>>2]|0)+64>>2]&1023](a)|0)+8|0;return f[f[b>>2]>>2]|0}function oZb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=u;u=u+16|0;c=b;d=f[a+8>>2]|0;if(!d)e=12;else{g=f[d+8>>2]<<2;h=d+12|0;d=f[h>>2]|0;if(!d)i=g;else{if((f[d>>2]|0)>0){j=0;k=g;l=d;while(1){d=f[l+4+(j<<2)>>2]|0;m=(ci[f[(f[d>>2]|0)+84>>2]&1023](d)|0)+k|0;j=j+1|0;l=f[h>>2]|0;if((j|0)>=(f[l>>2]|0)){n=m;break}else k=m}}else n=g;i=n+4|0}e=i+12|0}i=f[a+28>>2]|0;a=f[i>>2]|0;if(!a){o=e;u=b;return o|0}n=f[i+12>>2]|0;g=f[i+4>>2]|0;a:do if(g>>>0>n>>>0){k=f[i+16>>2]|0;l=n;while(1){p=f[k+(l<<2)>>2]|0;if(p|0)break;j=l+1|0;if(j>>>0<g>>>0)l=j;else{q=0;r=j;break a}}if((p|0)==(f[k+((l^1)<<2)>>2]|0)){q=f[(f[p>>2]|0)+16>>2]|0;r=l;break}else{q=p;r=l;break}}else{q=0;r=n}while(0);f[c>>2]=q;f[c+4>>2]=i;f[c+8>>2]=r;r=a<<3;i=q;n=i+16|0;p=(FGa(f[n>>2]|0)|0)==9;g=a*12|0;j=(a<<4)+e+r+(p?g:0)|0;do switch(o_b((f[n>>2]|0)+16|0)|0){case 1:{s=j+(a<<2)|0;break}case 2:{s=j+r|0;break}case 3:{s=j+(a<<2)|0;break}case 4:{s=j+r|0;break}case 5:{s=j+r|0;break}case 6:{s=j+(a<<2)|0;break}case 7:{s=j+a|0;break}case 9:{s=j+g|0;break}case 8:{s=j+(a<<2)|0;break}case 10:{if(!q)s=j;else{p=j;e=i;while(1){h=n_b((f[e+16>>2]|0)+16|0)|0;m=ci[f[(f[h>>2]|0)+92>>2]&1023](h)|0;d=(Sh[f[(f[m>>2]|0)+16>>2]&511](m,h)|0)+p|0;zZb(c)|0;e=f[c>>2]|0;if(!e){s=d;break}else p=d}}break}default:s=j}while(0);o=s;u=b;return o|0}function pZb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0.0;c=u;u=u+64|0;d=c+40|0;e=c;g=c+16|0;h=c+56|0;i=a+32|0;j=f[i>>2]|0;k=ci[f[(f[j>>2]|0)+92>>2]&1023](j)|0;j=f[i>>2]|0;xh[f[(f[j>>2]|0)+96>>2]&2047](d,j);j=f[d>>2]|0;l=d+4|0;f[l>>2]=0;f[l+4>>2]=0;l=d+11|0;b[l>>0]=3;b[d>>0]=b[506385]|0;b[d+1>>0]=b[506386]|0;b[d+2>>0]=b[506387]|0;b[d+3>>0]=0;m=WIb(j,d)|0;if((b[l>>0]|0)<0)Emc(f[d>>2]|0);l=f[i>>2]|0;xh[f[(f[l>>2]|0)+96>>2]&2047](d,l);l=f[d>>2]|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;j=d+11|0;b[j>>0]=5;b[d>>0]=b[506389]|0;b[d+1>>0]=b[506390]|0;b[d+2>>0]=b[506391]|0;b[d+3>>0]=b[506392]|0;b[d+4>>0]=b[506393]|0;b[d+5>>0]=0;n=WIb(l,d)|0;if((b[j>>0]|0)<0)Emc(f[d>>2]|0);j=a+8|0;l=f[j>>2]|0;if(!l){o=f[a+4>>2]|0;if(!o){p=Bmc(16)|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;q=p}else{if(f[o+64>>2]|0)pBb(o,18760,16);p=oBb(o,16,1641)|0;f[p>>2]=o;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;q=p}f[j>>2]=q;r=q}else r=l;l=r+4|0;q=f[l>>2]|0;if((q|0)>0){p=f[r+12>>2]|0;r=0;do{o=f[p+4+(r<<2)>>2]|0;r=r+1|0;ai[f[(f[o>>2]|0)+28>>2]&2047](o)}while((r|0)!=(q|0));f[l>>2]=0}l=f[a+28>>2]|0;a=f[l+12>>2]|0;q=f[l+4>>2]|0;a:do if(q>>>0>a>>>0){r=f[l+16>>2]|0;p=a;while(1){s=f[r+(p<<2)>>2]|0;if(s|0)break;o=p+1|0;if(o>>>0<q>>>0)p=o;else{t=0;v=o;break a}}if((s|0)==(f[r+((p^1)<<2)>>2]|0)){t=f[(f[s>>2]|0)+16>>2]|0;v=p;break}else{t=s;v=p;break}}else{t=0;v=a}while(0);f[e>>2]=t;f[e+4>>2]=l;f[e+8>>2]=v;if(!t){u=c;return}t=m+24|0;v=m+28|0;l=n+24|0;a=n+28|0;s=d+4|0;q=d+8|0;o=d+12|0;w=d+4|0;x=d+8|0;y=d+12|0;do{z=f[i>>2]|0;A=ci[f[(f[z>>2]|0)+12>>2]&1023](z)|0;z=f[j>>2]|0;B=$1b(A)|0;C=f[z>>2]|0;if(((C|0)==(B|0)?(B=z+12|0,D=f[B>>2]|0,(D|0)!=0):0)?(E=f[D>>2]|0,(E|0)<(f[z+8>>2]|0)):0){F=z+4|0;G=f[F>>2]|0;if((G|0)<(E|0)){H=D+4+(G<<2)|0;f[D+4+(E<<2)>>2]=f[H>>2];I=H}else I=D+4+(G<<2)|0;f[I>>2]=A;f[F>>2]=G+1;G=f[B>>2]|0;f[G>>2]=(f[G>>2]|0)+1}else d_b(z,A,_1b(A)|0,C);C=f[(f[e>>2]|0)+16>>2]|0;z=f[t>>2]|0;if(z|0?(f[z>>2]|0)!=2:0){f[d>>2]=110868;f[w>>2]=1634;b[x>>0]=0;f[y>>2]=m;dEb(z,d)}switch(f[149940+(f[v>>2]<<2)>>2]|0){case 9:{z=f[(f[k>>2]|0)+144>>2]|0;G=hHa(C)|0;rh[z&255](k,A,m,G);break}case 2:{G=f[(f[k>>2]|0)+120>>2]|0;z=EZb(C)|0;sh[G&255](k,A,m,z,J);break}case 1:{z=f[(f[k>>2]|0)+116>>2]|0;G=FZb(C)|0;rh[z&255](k,A,m,G);break}case 4:{G=f[(f[k>>2]|0)+128>>2]|0;z=GZb(C)|0;sh[G&255](k,A,m,z,J);break}case 3:{z=f[(f[k>>2]|0)+124>>2]|0;G=HZb(C)|0;rh[z&255](k,A,m,G);break}case 7:{G=f[(f[k>>2]|0)+140>>2]|0;z=IZb(C)|0;rh[G&255](k,A,m,z);break}case 10:case 8:case 6:case 5:{TDb(g,3,506395,284);QDb(h,ODb(g,512111)|0);UDb(g);break}default:{}}z=(f[(f[e>>2]|0)+16>>2]|0)+16|0;G=f[l>>2]|0;if(G|0?(f[G>>2]|0)!=2:0){f[d>>2]=110868;f[s>>2]=1634;b[q>>0]=0;f[o>>2]=n;dEb(G,d)}do switch(f[149940+(f[a>>2]<<2)>>2]|0){case 9:{G=f[(f[k>>2]|0)+144>>2]|0;C=e_b(z)|0;rh[G&255](k,A,n,C);break}case 2:{C=f[(f[k>>2]|0)+120>>2]|0;G=f_b(z)|0;sh[C&255](k,A,n,G,J);break}case 1:{G=f[(f[k>>2]|0)+116>>2]|0;C=g_b(z)|0;rh[G&255](k,A,n,C);break}case 4:{C=f[(f[k>>2]|0)+128>>2]|0;G=h_b(z)|0;sh[C&255](k,A,n,G,J);break}case 3:{G=f[(f[k>>2]|0)+124>>2]|0;C=i_b(z)|0;rh[G&255](k,A,n,C);break}case 7:{C=f[(f[k>>2]|0)+140>>2]|0;G=j_b(z)|0;rh[C&255](k,A,n,G);break}case 5:{G=f[(f[k>>2]|0)+136>>2]|0;K=+k_b(z);mh[G&63](k,A,n,K);break}case 6:{G=f[(f[k>>2]|0)+132>>2]|0;K=+l_b(z);mh[G&63](k,A,n,K);break}case 8:{G=f[(f[k>>2]|0)+152>>2]|0;C=m_b(z)|0;rh[G&255](k,A,n,C);break}case 10:{C=n_b(z)|0;G=Bg[f[(f[k>>2]|0)+156>>2]&127](k,A,n,0)|0;xh[f[(f[G>>2]|0)+72>>2]&2047](G,C);break}default:{}}while(0);zZb(e)|0}while((f[e>>2]|0)!=0);u=c;return}function qZb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0;c=u;u=u+64|0;d=c+40|0;e=c;g=c+16|0;h=c+56|0;i=a+20|0;j=a+32|0;k=f[j>>2]|0;l=ci[f[(f[k>>2]|0)+92>>2]&1023](k)|0;k=f[j>>2]|0;xh[f[(f[k>>2]|0)+96>>2]&2047](d,k);k=f[d>>2]|0;m=d+4|0;f[m>>2]=0;f[m+4>>2]=0;m=d+11|0;b[m>>0]=3;b[d>>0]=b[506385]|0;b[d+1>>0]=b[506386]|0;b[d+2>>0]=b[506387]|0;b[d+3>>0]=0;o=WIb(k,d)|0;if((b[m>>0]|0)<0)Emc(f[d>>2]|0);m=f[j>>2]|0;xh[f[(f[m>>2]|0)+96>>2]&2047](d,m);m=f[d>>2]|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;j=d+11|0;b[j>>0]=5;b[d>>0]=b[506389]|0;b[d+1>>0]=b[506390]|0;b[d+2>>0]=b[506391]|0;b[d+3>>0]=b[506392]|0;b[d+4>>0]=b[506393]|0;b[d+5>>0]=0;k=WIb(m,d)|0;if((b[j>>0]|0)<0)Emc(f[d>>2]|0);j=a+28|0;m=f[j>>2]|0;q=f[m+12>>2]|0;r=f[m+4>>2]|0;a:do if(r>>>0>q>>>0){s=f[m+16>>2]|0;t=q;while(1){v=f[s+(t<<2)>>2]|0;if(v|0)break;w=t+1|0;if(w>>>0<r>>>0)t=w;else{x=0;y=w;break a}}if((v|0)==(f[s+((t^1)<<2)>>2]|0)){x=f[(f[v>>2]|0)+16>>2]|0;y=t;break}else{x=v;y=t;break}}else{x=0;y=q}while(0);f[d>>2]=x;f[d+4>>2]=m;f[d+8>>2]=y;if(x|0){y=x;do{KZb((f[y+16>>2]|0)+16|0);LZb(d)|0;y=f[d>>2]|0}while((y|0)!=0)}JZb(i);y=a+8|0;a=f[y>>2]|0;x=f[a+12>>2]|0;if(!(f[a+4>>2]|0)){u=c;return}a=e+8|0;m=o+24|0;q=o+28|0;v=k+24|0;r=k+28|0;w=d+11|0;z=d+4|0;A=d+8|0;B=d+12|0;C=d+4|0;D=d+8|0;E=d+12|0;F=d+11|0;G=d+4|0;H=d+8|0;I=d+12|0;K=(x|0)==0?0:x+4|0;do{f[a>>2]=0;x=f[m>>2]|0;if(x|0?(f[x>>2]|0)!=2:0){f[d>>2]=110868;f[G>>2]=1634;b[H>>0]=0;f[I>>2]=o;dEb(x,d)}switch(f[149940+(f[q>>2]<<2)>>2]|0){case 9:{rh[f[(f[l>>2]|0)+96>>2]&255](d,l,f[K>>2]|0,o);if((f[a>>2]|0)==9)L=f[e>>2]|0;else{f[a>>2]=9;x=Bmc(12)|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[e>>2]=x;L=x}Qmc(L,d)|0;if((b[F>>0]|0)<0)Emc(f[d>>2]|0);break}case 2:{x=ki[f[(f[l>>2]|0)+72>>2]&511](l,f[K>>2]|0,o)|0;M=J;switch(f[a>>2]|0){case 2:break;case 9:{N=f[e>>2]|0;if(!N)O=33;else{if((b[N+11>>0]|0)<0)Emc(f[N>>2]|0);Emc(N);O=33}break}default:O=33}if((O|0)==33){O=0;f[a>>2]=2}N=e;f[N>>2]=x;f[N+4>>2]=M;break}case 1:{M=ki[f[(f[l>>2]|0)+68>>2]&511](l,f[K>>2]|0,o)|0;switch(f[a>>2]|0){case 1:break;case 9:{N=f[e>>2]|0;if(!N)O=40;else{if((b[N+11>>0]|0)<0)Emc(f[N>>2]|0);Emc(N);O=40}break}default:O=40}if((O|0)==40){O=0;f[a>>2]=1}f[e>>2]=M;break}case 4:{M=ki[f[(f[l>>2]|0)+80>>2]&511](l,f[K>>2]|0,o)|0;N=J;switch(f[a>>2]|0){case 4:break;case 9:{x=f[e>>2]|0;if(!x)O=47;else{if((b[x+11>>0]|0)<0)Emc(f[x>>2]|0);Emc(x);O=47}break}default:O=47}if((O|0)==47){O=0;f[a>>2]=4}x=e;f[x>>2]=M;f[x+4>>2]=N;break}case 3:{N=ki[f[(f[l>>2]|0)+76>>2]&511](l,f[K>>2]|0,o)|0;switch(f[a>>2]|0){case 3:break;case 9:{x=f[e>>2]|0;if(!x)O=54;else{if((b[x+11>>0]|0)<0)Emc(f[x>>2]|0);Emc(x);O=54}break}default:O=54}if((O|0)==54){O=0;f[a>>2]=3}f[e>>2]=N;break}case 7:{N=(ki[f[(f[l>>2]|0)+92>>2]&511](l,f[K>>2]|0,o)|0)&1;switch(f[a>>2]|0){case 7:break;case 9:{x=f[e>>2]|0;if(!x)O=61;else{if((b[x+11>>0]|0)<0)Emc(f[x>>2]|0);Emc(x);O=61}break}default:O=61}if((O|0)==61){O=0;f[a>>2]=7}b[e>>0]=N;break}case 10:case 8:case 6:case 5:{TDb(g,3,506395,366);QDb(h,ODb(g,512111)|0);UDb(g);break}default:{}}AZb(d,f[j>>2]|0,e,0);N=f[d>>2]|0;if(N|0)KZb((f[N+16>>2]|0)+16|0);N=MZb(f[j>>2]|0,e)|0;x=f[N>>2]|0;if(!x){M=NZb(i,e)|0;f[N>>2]=M;P=M}else P=x;x=f[v>>2]|0;if(x|0?(f[x>>2]|0)!=2:0){f[d>>2]=110868;f[C>>2]=1634;b[D>>0]=0;f[E>>2]=k;dEb(x,d)}f[P+20>>2]=f[149940+(f[r>>2]<<2)>>2];x=f[v>>2]|0;if(x|0?(f[x>>2]|0)!=2:0){f[d>>2]=110868;f[z>>2]=1634;b[A>>0]=0;f[B>>2]=k;dEb(x,d)}do switch(f[149940+(f[r>>2]<<2)>>2]|0){case 1:{x=Bmc(4)|0;M=ki[f[(f[l>>2]|0)+68>>2]&511](l,f[K>>2]|0,k)|0;f[x>>2]=M;Q=x;O=87;break}case 2:{x=Bmc(8)|0;M=ki[f[(f[l>>2]|0)+72>>2]&511](l,f[K>>2]|0,k)|0;N=x;f[N>>2]=M;f[N+4>>2]=J;Q=x;O=87;break}case 3:{x=Bmc(4)|0;N=ki[f[(f[l>>2]|0)+76>>2]&511](l,f[K>>2]|0,k)|0;f[x>>2]=N;Q=x;O=87;break}case 4:{x=Bmc(8)|0;N=ki[f[(f[l>>2]|0)+80>>2]&511](l,f[K>>2]|0,k)|0;M=x;f[M>>2]=N;f[M+4>>2]=J;Q=x;O=87;break}case 5:{x=Bmc(8)|0;R=+dh[f[(f[l>>2]|0)+88>>2]&31](l,f[K>>2]|0,k);p[x>>3]=R;Q=x;O=87;break}case 6:{x=Bmc(4)|0;R=+dh[f[(f[l>>2]|0)+84>>2]&31](l,f[K>>2]|0,k);n[x>>2]=R;Q=x;O=87;break}case 7:{x=Bmc(1)|0;M=(ki[f[(f[l>>2]|0)+92>>2]&511](l,f[K>>2]|0,k)|0)&1;b[x>>0]=M;Q=x;O=87;break}case 9:{x=Bmc(12)|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;rh[f[(f[l>>2]|0)+96>>2]&255](d,l,f[K>>2]|0,k);Qmc(x,d)|0;if((b[w>>0]|0)<0)Emc(f[d>>2]|0);Q=x;O=87;break}case 8:{x=Bmc(4)|0;M=ki[f[(f[l>>2]|0)+104>>2]&511](l,f[K>>2]|0,k)|0;f[x>>2]=M;Q=x;O=87;break}case 10:{x=Bg[f[(f[l>>2]|0)+108>>2]&127](l,f[K>>2]|0,k,0)|0;M=ci[f[(f[x>>2]|0)+12>>2]&1023](x)|0;xh[f[(f[M>>2]|0)+72>>2]&2047](M,x);Q=M;O=87;break}default:{}}while(0);if((O|0)==87){O=0;f[P+16>>2]=Q}if((f[a>>2]|0)==9?(t=f[e>>2]|0,t|0):0){if((b[t+11>>0]|0)<0)Emc(f[t>>2]|0);Emc(t)}K=K+4|0;t=f[y>>2]|0;s=f[t+12>>2]|0}while((K|0)!=(((s|0)==0?0:s+4|0)+(f[t+4>>2]<<2)|0));u=c;return}function rZb(a,b){a=a|0;b=b|0;a=Bmc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[b>>2]=a;return}function sZb(a,b){a=a|0;b=b|0;a=f[b>>2]|0;if(!a)return;Emc(a);return}function tZb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=f[d>>2]|0;g=f[c>>2]|0;f[g>>2]=f[e>>2];f[g+4>>2]=f[e+4>>2];f[g+8>>2]=f[e+8>>2];e=c+8|0;g=FGa(d+8|0)|0;h=c+16|0;i=f[h>>2]|0;if((i|0)!=(g|0)){if((i|0)==9?(i=f[e>>2]|0,i|0):0){if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);Emc(i)}f[h>>2]=g;if((g|0)==9){g=Bmc(12)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[e>>2]=g}}f[c+28>>2]=f[d+28>>2];xh[f[(f[a>>2]|0)+72>>2]&2047](a,c);return}function uZb(a,b){a=a|0;b=b|0;zZb(f[b>>2]|0)|0;xh[f[(f[a>>2]|0)+72>>2]&2047](a,b);return}function vZb(a){a=a|0;var b=0,c=0,d=0;b=a+16|0;if((f[b>>2]|0)!=1){c=a+20|0;return c|0}d=a+12|0;FDb(d);if((f[b>>2]|0)==1){ai[f[(f[a>>2]|0)+44>>2]&2047](a);f[b>>2]=2}GDb(d);c=a+20|0;return c|0}function wZb(a){a=a|0;var b=0,c=0,d=0;b=a+16|0;if((f[b>>2]|0)!=1){f[b>>2]=0;c=a+20|0;return c|0}d=a+12|0;FDb(d);if((f[b>>2]|0)==1){ai[f[(f[a>>2]|0)+44>>2]&2047](a);f[b>>2]=2}GDb(d);f[b>>2]=0;c=a+20|0;return c|0}function xZb(a,b){a=a|0;b=b|0;var c=0;a=f[f[b>>2]>>2]|0;if(!a)return;c=a+16|0;yZb(b+8|0,f[c>>2]|0);a=f[c>>2]|0;f[b+28>>2]=f[a+20>>2];f[b+24>>2]=f[a+16>>2];return}function yZb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+32|0;e=d;g=d+24|0;h=FGa(c)|0;i=a+8|0;j=f[i>>2]|0;a:do if((j|0)==(h|0)){switch(h|0){case 10:case 8:case 6:case 5:{k=10;break a;break}case 9:{k=11;break a;break}case 2:{k=12;break a;break}case 1:{k=13;break a;break}case 4:{k=14;break a;break}case 3:{k=15;break a;break}case 7:{k=16;break a;break}default:{}}u=d;return}else{if((j|0)==9?(l=f[a>>2]|0,l|0):0){if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0);Emc(l)}f[i>>2]=h;switch(h|0){case 10:case 8:case 6:case 5:{k=10;break a;break}case 2:{k=12;break a;break}case 1:{k=13;break a;break}case 4:{k=14;break a;break}case 3:{k=15;break a;break}case 7:{k=16;break a;break}case 9:{l=Bmc(12)|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[a>>2]=l;k=11;break a;break}default:{u=d;return}}}while(0);if((k|0)==10){TDb(e,3,506076,501);QDb(g,ODb(e,511797)|0);UDb(e);u=d;return}else if((k|0)==11){Qmc(f[a>>2]|0,f[c>>2]|0)|0;u=d;return}else if((k|0)==12){e=c;g=f[e+4>>2]|0;h=a;f[h>>2]=f[e>>2];f[h+4>>2]=g;u=d;return}else if((k|0)==13){f[a>>2]=f[c>>2];u=d;return}else if((k|0)==14){g=c;h=f[g+4>>2]|0;e=a;f[e>>2]=f[g>>2];f[e+4>>2]=h;u=d;return}else if((k|0)==15){f[a>>2]=f[c>>2];u=d;return}else if((k|0)==16){b[a>>0]=b[c>>0]|0;u=d;return}}function zZb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;b=u;u=u+32|0;c=b+8|0;d=b;e=f[a>>2]|0;g=f[e+24>>2]|0;if(g|0){f[a>>2]=g;u=b;return a|0}g=a+4|0;h=f[g>>2]|0;i=a+8|0;j=f[i>>2]&(f[h+4>>2]|0)+-1;f[i>>2]=j;k=f[h+16>>2]|0;l=f[k+(j<<2)>>2]|0;a:do if((l|0)!=(e|0)){b:do if(l|0?(l|0)!=(f[k+((j^1)<<2)>>2]|0):0){m=l;while(1){m=f[m+24>>2]|0;if(!m)break b;if((m|0)==(e|0)){n=j;o=h;p=9;break a}}}while(0);AZb(c,h,e,d);m=f[c+8>>2]|0;f[i>>2]=m;q=f[g>>2]|0;r=f[q+16>>2]|0;s=f[r+(m<<2)>>2]|0;if((s|0)!=0?(s|0)==(f[r+((m^1)<<2)>>2]|0):0){t=f[d>>2]|0;v=f[t+4>>2]|0;if(!v){w=t+8|0;x=f[w>>2]|0;if((f[x>>2]|0)==(t|0))y=x;else{x=w;do{w=f[x>>2]|0;x=w+8|0;t=f[x>>2]|0}while((f[t>>2]|0)!=(w|0));y=t}}else{x=v;while(1){t=f[x>>2]|0;if(!t)break;else x=t}y=x}f[d>>2]=y;if((y|0)!=(s+4|0)){f[a>>2]=f[y+16>>2];break}v=m+2|0;f[a>>2]=0;f[i>>2]=v;t=f[q+4>>2]|0;if(t>>>0>v>>>0){w=v;while(1){z=f[r+(w<<2)>>2]|0;if(z|0)break;v=w+1|0;f[i>>2]=v;if(v>>>0<t>>>0)w=v;else break a}if((z|0)==(f[r+((w^1)<<2)>>2]|0))A=f[(f[z>>2]|0)+16>>2]|0;else A=z;f[a>>2]=A}}else{n=m;o=q;p=9}}else{n=j;o=h;p=9}while(0);c:do if((p|0)==9?(h=n+1|0,f[a>>2]=0,f[i>>2]=h,j=f[o+4>>2]|0,j>>>0>h>>>0):0){A=f[o+16>>2]|0;z=h;while(1){B=f[A+(z<<2)>>2]|0;if(B|0)break;h=z+1|0;f[i>>2]=h;if(h>>>0<j>>>0)z=h;else break c}if((B|0)==(f[A+((z^1)<<2)>>2]|0))C=f[(f[B>>2]|0)+16>>2]|0;else C=B;f[a>>2]=C}while(0);u=b;return a|0}function AZb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;e=BZb(b,c)|0;g=(f[b+4>>2]|0)+-1&(f[b+8>>2]|0)+e;e=f[b+16>>2]|0;h=f[e+(g<<2)>>2]|0;a:do if(h){if((h|0)!=(f[e+((g^1)<<2)>>2]|0)){i=h;while(1){if(CZb(i,c)|0)break;j=f[i+24>>2]|0;if(!j){k=g;l=18;break a}else i=j}f[a>>2]=i;m=g;n=g;o=b;break}if((h|0)==(f[e+((g^1)<<2)>>2]|0)){j=g&-2;p=(f[e+(j<<2)>>2]|0)+4|0;q=f[p>>2]|0;if(q){r=p;s=q;b:while(1){q=s;while(1){if(!(DZb(f[q+16>>2]|0,c)|0))break;t=f[q+4>>2]|0;if(!t){u=r;break b}else q=t}s=f[q>>2]|0;if(!s){u=q;break}else r=q}if((u|0)!=(p|0)?(r=u+16|0,!(DZb(c,f[r>>2]|0)|0)):0){if(d|0)f[d>>2]=u;f[a>>2]=f[r>>2];m=j;n=j;o=b}else{k=j;l=18}}else{k=j;l=18}}else{k=g;l=18}}else{k=g;l=18}while(0);if((l|0)==18){f[a>>2]=0;m=k;n=0;o=0}f[a+4>>2]=o;f[a+8>>2]=n;f[a+12>>2]=m;return}function BZb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;a=u;u=u+64|0;d=a+24|0;e=a;g=a+48|0;switch(FGa(c)|0){case 10:case 8:case 6:case 5:{TDb(d,3,506076,812);QDb(a+49|0,ODb(d,511797)|0);UDb(d);break}case 9:{d=hHa(c)|0;h=(b[d+11>>0]|0)<0?f[d>>2]|0:d;d=b[h>>0]|0;if(!(d<<24>>24)){i=0;u=a;return i|0}else{j=h;k=0;l=d}while(1){d=(k*5|0)+(l<<24>>24)|0;j=j+1|0;l=b[j>>0]|0;if(!(l<<24>>24)){i=d;break}else k=d}u=a;return i|0}case 2:{k=EZb(c)|0;l=Y(k,1540483477)|0;k=Y(J,1540483477)|0;j=(Y((Y(l>>>24^l,1540483477)|0)^-561034072,1540483477)|0)^(Y(k>>>24^k,1540483477)|0);k=Y(j>>>13^j,1540483477)|0;i=k>>>15^k;u=a;return i|0}case 1:{i=FZb(c)|0;u=a;return i|0}case 4:{k=GZb(c)|0;j=Y(k,1540483477)|0;k=Y(J,1540483477)|0;l=(Y((Y(j>>>24^j,1540483477)|0)^-561034072,1540483477)|0)^(Y(k>>>24^k,1540483477)|0);k=Y(l>>>13^l,1540483477)|0;i=k>>>15^k;u=a;return i|0}case 3:{i=HZb(c)|0;u=a;return i|0}case 7:{i=(IZb(c)|0)&1;u=a;return i|0}default:{}}TDb(e,3,506076,827);QDb(g,ODb(e,512111)|0);UDb(e);i=0;u=a;return i|0}function CZb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;d=u;u=u+80|0;e=d+48|0;g=d+24|0;h=d;i=d+72|0;if((f[a+8>>2]|0)!=(f[c+8>>2]|0)){TDb(e,3,506076,468);QDb(d+74|0,ODb(e,506163)|0);UDb(e)}switch(FGa(a)|0){case 10:case 8:case 6:case 5:{TDb(g,3,506076,475);QDb(d+73|0,ODb(g,511797)|0);UDb(g);break}case 9:{g=f[a>>2]|0;e=f[c>>2]|0;j=b[g+11>>0]|0;k=j<<24>>24<0;l=j&255;j=k?f[g+4>>2]|0:l;m=b[e+11>>0]|0;n=m<<24>>24<0;if((j|0)!=((n?f[e+4>>2]|0:m&255)|0)){o=0;u=d;return o|0}m=f[g>>2]|0;p=k?m:g;q=n?f[e>>2]|0:e;e=(j|0)==0;if(k){if(e){o=1;u=d;return o|0}o=(gac(p,q,j)|0)==0;u=d;return o|0}if(e){o=1;u=d;return o|0}if((m&255)<<24>>24==(b[q>>0]|0)){r=g;s=l;t=q}else{o=0;u=d;return o|0}while(1){s=s+-1|0;r=r+1|0;if(!s){o=1;v=19;break}t=t+1|0;if((b[r>>0]|0)!=(b[t>>0]|0)){o=0;v=19;break}}if((v|0)==19){u=d;return o|0}break}case 2:{v=a;t=c;o=(f[v>>2]|0)==(f[t>>2]|0)?(f[v+4>>2]|0)==(f[t+4>>2]|0):0;u=d;return o|0}case 1:{o=(f[a>>2]|0)==(f[c>>2]|0);u=d;return o|0}case 4:{t=a;v=c;o=(f[t>>2]|0)==(f[v>>2]|0)?(f[t+4>>2]|0)==(f[v+4>>2]|0):0;u=d;return o|0}case 3:{o=(f[a>>2]|0)==(f[c>>2]|0);u=d;return o|0}case 7:{o=(b[a>>0]|0)==(b[c>>0]|0);u=d;return o|0}default:{}}TDb(h,3,506076,490);QDb(i,ODb(h,512111)|0);UDb(h);o=0;u=d;return o|0}function DZb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+64|0;e=d+24|0;g=d;if((f[a+8>>2]|0)!=(f[c+8>>2]|0)){TDb(e,3,506076,440);QDb(d+49|0,ODb(e,506163)|0);UDb(e)}switch(FGa(a)|0){case 10:case 8:case 6:case 5:{TDb(g,3,506076,447);QDb(d+48|0,ODb(g,511797)|0);UDb(g);i=0;u=d;return i|0}case 9:{g=f[a>>2]|0;e=f[c>>2]|0;j=b[e+11>>0]|0;k=j<<24>>24<0;l=k?f[e+4>>2]|0:j&255;j=b[g+11>>0]|0;m=j<<24>>24<0;n=m?f[g+4>>2]|0:j&255;j=l>>>0<n>>>0;o=j?l:n;if((o|0)!=0?(p=gac(m?f[g>>2]|0:g,k?f[e>>2]|0:e,o)|0,(p|0)!=0):0)q=p;else q=n>>>0<l>>>0?-1:j&1;i=(q|0)<0;u=d;return i|0}case 2:{q=a;j=f[q+4>>2]|0;l=c;n=f[l+4>>2]|0;i=(j|0)<(n|0)|((j|0)==(n|0)?(f[q>>2]|0)>>>0<(f[l>>2]|0)>>>0:0);u=d;return i|0}case 1:{i=(f[a>>2]|0)<(f[c>>2]|0);u=d;return i|0}case 4:{l=a;q=f[l+4>>2]|0;n=c;j=f[n+4>>2]|0;i=q>>>0<j>>>0|((q|0)==(j|0)?(f[l>>2]|0)>>>0<(f[n>>2]|0)>>>0:0);u=d;return i|0}case 3:{i=(f[a>>2]|0)>>>0<(f[c>>2]|0)>>>0;u=d;return i|0}case 7:{i=(h[a>>0]|0)<(h[c>>0]|0);u=d;return i|0}default:{i=0;u=d;return i|0}}return 0}function EZb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;b=u;u=u+32|0;c=b;if((FGa(a)|0)==2){d=a;e=d;g=f[e>>2]|0;h=d+4|0;i=h;j=f[i>>2]|0;J=j;u=b;return g|0}TDb(c,3,506076,407);k=ODb(ODb(ODb(ODb(c,506190)|0,506363)|0,506245)|0,506267)|0;l=ODb(ODb(ODb(k,f[37525]|0)|0,509874)|0,506281)|0;k=150092+((FGa(a)|0)<<2)|0;QDb(b+24|0,ODb(l,f[k>>2]|0)|0);UDb(c);d=a;e=d;g=f[e>>2]|0;h=d+4|0;i=h;j=f[i>>2]|0;J=j;u=b;return g|0}function FZb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=u;u=u+32|0;c=b;if((FGa(a)|0)==1){d=f[a>>2]|0;u=b;return d|0}TDb(c,3,506076,417);e=ODb(ODb(ODb(ODb(c,506190)|0,506341)|0,506245)|0,506267)|0;g=ODb(ODb(ODb(e,f[37524]|0)|0,509874)|0,506281)|0;e=150092+((FGa(a)|0)<<2)|0;QDb(b+24|0,ODb(g,f[e>>2]|0)|0);UDb(c);d=f[a>>2]|0;u=b;return d|0}function GZb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;b=u;u=u+32|0;c=b;if((FGa(a)|0)==4){d=a;e=d;g=f[e>>2]|0;h=d+4|0;i=h;j=f[i>>2]|0;J=j;u=b;return g|0}TDb(c,3,506076,412);k=ODb(ODb(ODb(ODb(c,506190)|0,506318)|0,506245)|0,506267)|0;l=ODb(ODb(ODb(k,f[37527]|0)|0,509874)|0,506281)|0;k=150092+((FGa(a)|0)<<2)|0;QDb(b+24|0,ODb(l,f[k>>2]|0)|0);UDb(c);d=a;e=d;g=f[e>>2]|0;h=d+4|0;i=h;j=f[i>>2]|0;J=j;u=b;return g|0}function HZb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=u;u=u+32|0;c=b;if((FGa(a)|0)==3){d=f[a>>2]|0;u=b;return d|0}TDb(c,3,506076,422);e=ODb(ODb(ODb(ODb(c,506190)|0,506295)|0,506245)|0,506267)|0;g=ODb(ODb(ODb(e,f[37526]|0)|0,509874)|0,506281)|0;e=150092+((FGa(a)|0)<<2)|0;QDb(b+24|0,ODb(g,f[e>>2]|0)|0);UDb(c);d=f[a>>2]|0;u=b;return d|0}function IZb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+32|0;d=c;if((FGa(a)|0)==7){e=b[a>>0]|0;g=e<<24>>24!=0;u=c;return g|0}TDb(d,3,506076,427);h=ODb(ODb(ODb(ODb(d,506190)|0,506224)|0,506245)|0,506267)|0;i=ODb(ODb(ODb(h,f[37530]|0)|0,509874)|0,506281)|0;h=150092+((FGa(a)|0)<<2)|0;QDb(c+24|0,ODb(i,f[h>>2]|0)|0);UDb(d);e=b[a>>0]|0;g=e<<24>>24!=0;u=c;return g|0}function JZb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=u;u=u+48|0;d=c+28|0;e=c+16|0;g=c;h=a+8|0;i=f[h>>2]|0;j=f[i+12>>2]|0;k=f[i+4>>2]|0;if(k>>>0<=j>>>0){u=c;return}l=f[i+16>>2]|0;m=j;while(1){n=f[l+(m<<2)>>2]|0;if(n|0)break;j=m+1|0;if(j>>>0<k>>>0)m=j;else{o=19;break}}if((o|0)==19){u=c;return}if((n|0)==(f[l+((m^1)<<2)>>2]|0))p=f[(f[n>>2]|0)+16>>2]|0;else p=n;if(!p){u=c;return}n=g+4|0;l=g+8|0;o=p;p=i;i=m;while(1){f[g>>2]=o;f[n>>2]=p;f[l>>2]=i;if((f[a>>2]|0)==0?(m=f[o+16>>2]|0,m|0):0){if((f[m+8>>2]|0)==9?(k=f[m>>2]|0,k|0):0){if((b[k+11>>0]|0)<0)Emc(f[k>>2]|0);Emc(k)}Emc(m)};f[e>>2]=f[g>>2];f[e+4>>2]=f[g+4>>2];f[e+8>>2]=f[g+8>>2];LZb(g)|0;m=f[h>>2]|0;f[d>>2]=f[e>>2];f[d+4>>2]=f[e+4>>2];f[d+8>>2]=f[e+8>>2];a_b(m,d);o=f[g>>2]|0;if(!o)break;else{p=f[n>>2]|0;i=f[l>>2]|0}}u=c;return}function KZb(a){a=a|0;var c=0;do switch(f[a+4>>2]|0){case 1:{c=f[a>>2]|0;if(!c)return;Emc(c);return}case 2:{c=f[a>>2]|0;if(!c)return;Emc(c);return}case 3:{c=f[a>>2]|0;if(!c)return;Emc(c);return}case 4:{c=f[a>>2]|0;if(!c)return;Emc(c);return}case 5:{c=f[a>>2]|0;if(!c)return;Emc(c);return}case 6:{c=f[a>>2]|0;if(!c)return;Emc(c);return}case 7:{c=f[a>>2]|0;if(!c)return;Emc(c);return}case 9:{c=f[a>>2]|0;if(!c)return;if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c);return}case 8:{c=f[a>>2]|0;if(!c)return;Emc(c);return}case 10:{c=f[a>>2]|0;if(!c)return;ai[f[(f[c>>2]|0)+4>>2]&2047](c);return}default:return}while(0)}function LZb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;b=u;u=u+32|0;c=b+8|0;d=b;e=f[a>>2]|0;g=f[e+24>>2]|0;if(g|0){f[a>>2]=g;u=b;return a|0}g=a+4|0;h=f[g>>2]|0;i=a+8|0;j=f[i>>2]&(f[h+4>>2]|0)+-1;f[i>>2]=j;k=f[h+16>>2]|0;l=f[k+(j<<2)>>2]|0;a:do if((l|0)!=(e|0)){b:do if(l|0?(l|0)!=(f[k+((j^1)<<2)>>2]|0):0){m=l;while(1){m=f[m+24>>2]|0;if(!m)break b;if((m|0)==(e|0)){n=j;o=h;p=9;break a}}}while(0);AZb(c,h,e,d);m=f[c+8>>2]|0;f[i>>2]=m;q=f[g>>2]|0;r=f[q+16>>2]|0;s=f[r+(m<<2)>>2]|0;if((s|0)!=0?(s|0)==(f[r+((m^1)<<2)>>2]|0):0){t=f[d>>2]|0;v=f[t+4>>2]|0;if(!v){w=t+8|0;x=f[w>>2]|0;if((f[x>>2]|0)==(t|0))y=x;else{x=w;do{w=f[x>>2]|0;x=w+8|0;t=f[x>>2]|0}while((f[t>>2]|0)!=(w|0));y=t}}else{x=v;while(1){t=f[x>>2]|0;if(!t)break;else x=t}y=x}f[d>>2]=y;if((y|0)!=(s+4|0)){f[a>>2]=f[y+16>>2];break}v=m+2|0;f[a>>2]=0;f[i>>2]=v;t=f[q+4>>2]|0;if(t>>>0>v>>>0){w=v;while(1){z=f[r+(w<<2)>>2]|0;if(z|0)break;v=w+1|0;f[i>>2]=v;if(v>>>0<t>>>0)w=v;else break a}if((z|0)==(f[r+((w^1)<<2)>>2]|0))A=f[(f[z>>2]|0)+16>>2]|0;else A=z;f[a>>2]=A}}else{n=m;o=q;p=9}}else{n=j;o=h;p=9}while(0);c:do if((p|0)==9?(h=n+1|0,f[a>>2]=0,f[i>>2]=h,j=f[o+4>>2]|0,j>>>0>h>>>0):0){A=f[o+16>>2]|0;z=h;while(1){B=f[A+(z<<2)>>2]|0;if(B|0)break;h=z+1|0;f[i>>2]=h;if(h>>>0<j>>>0)z=h;else break c}if((B|0)==(f[A+((z^1)<<2)>>2]|0))C=f[(f[B>>2]|0)+16>>2]|0;else C=B;f[a>>2]=C}while(0);u=b;return a|0}function MZb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d;g=d+24|0;h=e+8|0;f[h>>2]=0;yZb(e,c);f[e+16>>2]=0;SZb(g,a,e);a=(f[g>>2]|0)+16|0;if((f[h>>2]|0)!=9){u=d;return a|0}h=f[e>>2]|0;if(!h){u=d;return a|0}if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);Emc(h);u=d;return a|0}function NZb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=f[a>>2]|0;if(!c){d=Bmc(24)|0;f[d+8>>2]=0;yZb(d,b);f[d+16>>2]=0;f[d+20>>2]=0;e=d;return e|0}if(f[c+64>>2]|0)pBb(c,26904,24);d=nBb(c,24)|0;c=f[a>>2]|0;f[d+8>>2]=0;OZb(c,d);c=d+16|0;g=f[a>>2]|0;f[c>>2]=0;f[d+20>>2]=0;PZb(g,c);yZb(d,b);e=d;return e|0}function OZb(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1675);return}function PZb(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1676);return}function QZb(a){a=a|0;return}function RZb(a){a=a|0;var c=0;if((f[a+8>>2]|0)!=9)return;c=f[a>>2]|0;if(!c)return;if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c);return}function SZb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+32|0;g=e+16|0;h=e;AZb(g,c,d,0);i=f[g>>2]|0;if(i|0){j=f[g+4>>2]|0;k=f[g+8>>2]|0;f[a>>2]=i;f[a+4>>2]=j;f[a+8>>2]=k;b[a+12>>0]=0;u=e;return}k=(f[c>>2]|0)+1|0;j=f[c+4>>2]|0;i=j*12|0;l=i>>>4;if(l>>>0>k>>>0){if(j>>>0>8&i>>>6>>>0>=k>>>0){i=((k*5|0)>>>2)+1|0;k=1;while(1)if(i<<k>>>0<l>>>0)k=k+1|0;else break;l=j>>>k;k=l>>>0>8?l:8;if((k|0)!=(j|0)){TZb(c,k);m=11}}}else if(j>>>0<=134217728){TZb(c,j<<1);m=11}if((m|0)==11){AZb(h,c,d,0);f[g>>2]=f[h>>2];f[g+4>>2]=f[h+4>>2];f[g+8>>2]=f[h+8>>2];f[g+12>>2]=f[h+12>>2]}m=f[g+12>>2]|0;g=f[c+20>>2]|0;if(!g)n=Bmc(32)|0;else{if(f[g+64>>2]|0)pBb(g,26904,32);n=nBb(g,32)|0}f[n+8>>2]=0;yZb(n,d);f[n+16>>2]=f[d+16>>2];UZb(h,c,m,n);f[c>>2]=(f[c>>2]|0)+1;f[a>>2]=f[h>>2];f[a+4>>2]=f[h+4>>2];f[a+8>>2]=f[h+8>>2];b[a+12>>0]=1;u=e;return}function TZb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=u;u=u+16|0;d=c;e=a+16|0;g=f[e>>2]|0;h=a+4|0;i=f[h>>2]|0;f[h>>2]=b;j=a+20|0;k=f[j>>2]|0;l=b<<2;if(!k)m=Bmc(l)|0;else{b=l+7&-8;if(f[k+64>>2]|0)pBb(k,26904,b);m=nBb(k,b)|0}Drc(m|0,0,l|0)|0;f[e>>2]=m;m=a+12|0;e=f[m>>2]|0;f[m>>2]=f[h>>2];if(e>>>0<i>>>0){m=a+8|0;l=e;do{e=f[g+(l<<2)>>2]|0;do if(!e)n=l;else{if((e|0)==(f[g+((l^1)<<2)>>2]|0)){$Zb(a,g,l);n=l+1|0;break}b=e;do{k=b;b=f[b+24>>2]|0;o=BZb(a,k)|0;UZb(d,a,(f[h>>2]|0)+-1&(f[m>>2]|0)+o,k)}while((b|0)!=0);n=l}while(0);l=n+1|0}while(l>>>0<i>>>0)}if(f[j>>2]|0){u=c;return}Emc(g);u=c;return}function UZb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=u;u=u+16|0;g=e;h=f[b+16>>2]|0;i=h+(c<<2)|0;j=f[i>>2]|0;k=j;do if(!j){f[d+24>>2]=k;f[i>>2]=d;l=d;m=b;n=c}else{if((j|0)==(f[h+((c^1)<<2)>>2]|0)){WZb(a,b,c,d);u=e;return}o=j;p=0;do{p=p+1|0;o=f[o+24>>2]|0}while((o|0)!=0);if(p>>>0>7){VZb(b,c);WZb(g,b,c,d);l=f[g>>2]|0;m=f[g+4>>2]|0;n=f[g+8>>2]|0;break}f[d+24>>2]=k;f[i>>2]=d;f[a>>2]=d;f[a+4>>2]=b;f[a+8>>2]=c;u=e;return}while(0);c=b+12|0;b=f[c>>2]|0;f[c>>2]=n>>>0<b>>>0?n:b;f[a>>2]=l;f[a+4>>2]=m;f[a+8>>2]=n;u=e;return}function VZb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=u;u=u+32|0;d=c+16|0;e=c;g=a+20|0;h=f[g>>2]|0;f[d>>2]=h;i=h;if(!h)j=Bmc(16)|0;else{if(f[i+64>>2]|0)pBb(i,26904,16);j=nBb(i,16)|0}i=f[g>>2]|0;f[e+4>>2]=0;f[e+8>>2]=i;f[e+12>>2]=0;i=e+4|0;f[e>>2]=i;XZb(d,j,e);YZb(e,f[i>>2]|0);ZZb(a,b,j)|0;i=b^1;ZZb(a,i,j)|0;e=a+16|0;f[(f[e>>2]|0)+(i<<2)>>2]=j;f[(f[e>>2]|0)+(b<<2)>>2]=j;u=c;return}function WZb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;f[d+24>>2]=0;e=f[(f[b+16>>2]|0)+(c<<2)>>2]|0;g=d;h=e+4|0;i=f[h>>2]|0;do if(i){j=e+4|0;k=i;while(1){l=k+16|0;if(DZb(d,f[l>>2]|0)|0){m=f[k>>2]|0;if(!m){n=6;break}else{o=k;p=m}}else{if(!(DZb(f[l>>2]|0,d)|0)){n=10;break}q=k+4|0;l=f[q>>2]|0;if(!l){n=9;break}else{o=q;p=l}}j=o;k=p}if((n|0)==6){r=k;s=k;break}else if((n|0)==9){r=q;s=k;break}else if((n|0)==10){r=j;s=k;break}}else{r=h;s=h}while(0);h=f[r>>2]|0;if(h|0){t=h;u=c&-2;v=t+16|0;w=f[v>>2]|0;f[a>>2]=w;x=a+4|0;f[x>>2]=b;y=a+8|0;f[y>>2]=u;return}h=f[e+8>>2]|0;if(!h)z=Bmc(20)|0;else{if(f[h+64>>2]|0)pBb(h,26904,24);z=nBb(h,24)|0}f[z+16>>2]=g;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=s;f[r>>2]=z;s=f[f[e>>2]>>2]|0;if(!s)A=z;else{f[e>>2]=s;A=f[r>>2]|0}RS(f[e+4>>2]|0,A);A=e+12|0;f[A>>2]=(f[A>>2]|0)+1;t=z;u=c&-2;v=t+16|0;w=f[v>>2]|0;f[a>>2]=w;x=a+4|0;f[x>>2]=b;y=a+8|0;f[y>>2]=u;return}function XZb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;a=u;u=u+16|0;d=a+12|0;e=a+8|0;g=a+4|0;h=a;f[b>>2]=0;i=f[c+8>>2]|0;j=b+4|0;f[j>>2]=0;f[b+8>>2]=i;i=b+12|0;f[i>>2]=0;k=b+4|0;f[b>>2]=k;l=f[c>>2]|0;m=c+4|0;if((l|0)==(m|0)){u=a;return}c=k;k=b+8|0;n=l;while(1){l=n+16|0;f[h>>2]=c;f[d>>2]=f[h>>2];o=_Zb(b,d,e,g,l)|0;if(!(f[o>>2]|0)){p=f[k>>2]|0;if(!p)q=Bmc(20)|0;else{if(f[p+64>>2]|0)pBb(p,26904,24);q=nBb(p,24)|0}f[q+16>>2]=f[l>>2];l=f[e>>2]|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=l;f[o>>2]=q;l=f[f[b>>2]>>2]|0;if(!l)r=q;else{f[b>>2]=l;r=f[o>>2]|0}RS(f[j>>2]|0,r);f[i>>2]=(f[i>>2]|0)+1}o=f[n+4>>2]|0;if(!o){l=n+8|0;p=f[l>>2]|0;if((f[p>>2]|0)==(n|0))s=p;else{p=l;do{l=f[p>>2]|0;p=l+8|0;t=f[p>>2]|0}while((f[t>>2]|0)!=(l|0));s=t}}else{p=o;while(1){t=f[p>>2]|0;if(!t)break;else p=t}s=p}if((s|0)==(m|0))break;else n=s}u=a;return}function YZb(a,b){a=a|0;b=b|0;if(!b)return;YZb(a,f[b>>2]|0);YZb(a,f[b+4>>2]|0);if(f[a+8>>2]|0)return;Emc(b);return}function ZZb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;d=f[(f[a+16>>2]|0)+(b<<2)>>2]|0;if(!d){e=0;return e|0}b=c+4|0;a=c+8|0;g=c+4|0;h=c+12|0;i=d;d=0;while(1){j=i;k=f[b>>2]|0;do if(k){l=g;m=k;while(1){n=m+16|0;if(DZb(i,f[n>>2]|0)|0){o=f[m>>2]|0;if(!o){p=7;break}else{q=m;r=o}}else{if(!(DZb(f[n>>2]|0,i)|0)){p=11;break}s=m+4|0;n=f[s>>2]|0;if(!n){p=10;break}else{q=s;r=n}}l=q;m=r}if((p|0)==7){p=0;t=m;u=m;break}else if((p|0)==10){p=0;t=s;u=m;break}else if((p|0)==11){p=0;t=l;u=m;break}}else{t=b;u=b}while(0);if(!(f[t>>2]|0)){k=f[a>>2]|0;if(!k)v=Bmc(20)|0;else{if(f[k+64>>2]|0)pBb(k,26904,24);v=nBb(k,24)|0}f[v+16>>2]=j;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=u;f[t>>2]=v;k=f[f[c>>2]>>2]|0;if(!k)w=v;else{f[c>>2]=k;w=f[t>>2]|0}RS(f[g>>2]|0,w);f[h>>2]=(f[h>>2]|0)+1}k=d+1|0;n=i+24|0;i=f[n>>2]|0;f[n>>2]=0;if(!i){e=k;break}else d=k}return e|0}function _Zb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;g=a+4|0;h=f[b>>2]|0;b=h;if((h|0)!=(g|0)?(i=h+16|0,!(DZb(f[e>>2]|0,f[i>>2]|0)|0)):0){if(!(DZb(f[i>>2]|0,f[e>>2]|0)|0)){f[c>>2]=b;f[d>>2]=b;j=d;return j|0}d=f[h+4>>2]|0;if(!d){i=h+8|0;k=f[i>>2]|0;if((f[k>>2]|0)==(h|0))l=k;else{k=i;do{i=f[k>>2]|0;k=i+8|0;m=f[k>>2]|0}while((f[m>>2]|0)!=(i|0));l=m}}else{k=d;while(1){d=f[k>>2]|0;if(!d)break;else k=d}l=k}if((l|0)!=(g|0)?!(DZb(f[e>>2]|0,f[l+16>>2]|0)|0):0){k=f[g>>2]|0;if(!k){f[c>>2]=g;j=g;return j|0}d=a+4|0;m=k;while(1){k=m+16|0;if(DZb(f[e>>2]|0,f[k>>2]|0)|0){i=f[m>>2]|0;if(!i){n=39;break}else{o=m;p=i}}else{if(!(DZb(f[k>>2]|0,f[e>>2]|0)|0)){n=43;break}q=m+4|0;k=f[q>>2]|0;if(!k){n=42;break}else{o=q;p=k}}d=o;m=p}if((n|0)==39){f[c>>2]=m;j=m;return j|0}else if((n|0)==42){f[c>>2]=m;j=q;return j|0}else if((n|0)==43){f[c>>2]=m;j=d;return j|0}}if(!(f[h+4>>2]|0)){f[c>>2]=b;j=h+4|0;return j|0}else{f[c>>2]=l;j=l;return j|0}}if((h|0)!=(f[a>>2]|0)){l=f[h>>2]|0;if(!l){d=h;while(1){m=f[d+8>>2]|0;if((f[m>>2]|0)==(d|0))d=m;else{r=m;break}}}else{d=l;while(1){l=f[d+4>>2]|0;if(!l){r=d;break}else d=l}}if(!(DZb(f[r+16>>2]|0,f[e>>2]|0)|0)){d=f[g>>2]|0;if(!d){f[c>>2]=g;j=g;return j|0}g=a+4|0;a=d;while(1){d=a+16|0;if(DZb(f[e>>2]|0,f[d>>2]|0)|0){l=f[a>>2]|0;if(!l){n=17;break}else{s=a;t=l}}else{if(!(DZb(f[d>>2]|0,f[e>>2]|0)|0)){n=21;break}u=a+4|0;d=f[u>>2]|0;if(!d){n=20;break}else{s=u;t=d}}g=s;a=t}if((n|0)==17){f[c>>2]=a;j=a;return j|0}else if((n|0)==20){f[c>>2]=a;j=u;return j|0}else if((n|0)==21){f[c>>2]=a;j=g;return j|0}}else v=r}else v=b;if(!(f[h>>2]|0)){f[c>>2]=h;j=h;return j|0}else{h=v;f[c>>2]=h;j=h+4|0;return j|0}return 0}function $Zb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+16|0;e=d;g=f[b+(c<<2)>>2]|0;c=a+8|0;b=a+4|0;h=g+4|0;i=f[g>>2]|0;while(1){j=f[i+16>>2]|0;k=BZb(a,j)|0;UZb(e,a,(f[b>>2]|0)+-1&(f[c>>2]|0)+k,j);j=f[i+4>>2]|0;if(!j){k=i+8|0;l=f[k>>2]|0;if((f[l>>2]|0)==(i|0))m=l;else{l=k;do{k=f[l>>2]|0;l=k+8|0;n=f[l>>2]|0}while((f[n>>2]|0)!=(k|0));m=n}}else{l=j;while(1){n=f[l>>2]|0;if(!n)break;else l=n}m=l}if((m|0)==(h|0))break;else i=m}m=f[a+20>>2]|0;YZb(g,f[h>>2]|0);if(m|0){u=d;return}Emc(g);u=d;return}function a_b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+32|0;e=d+8|0;g=d;h=f[c+4>>2]|0;i=c+8|0;j=f[i>>2]&(f[h+4>>2]|0)+-1;f[i>>2]=j;k=h+16|0;l=f[k>>2]|0;m=f[l+(j<<2)>>2]|0;n=f[c>>2]|0;a:do if((m|0)!=(n|0)){b:do if(m|0?(m|0)!=(f[l+((j^1)<<2)>>2]|0):0){c=m;while(1){c=f[c+24>>2]|0;if(!c)break b;if((c|0)==(n|0)){o=j;p=7;break a}}}while(0);AZb(e,h,n,g);c=f[e+8>>2]|0;f[i>>2]=c;q=f[k>>2]|0;r=f[q+(c<<2)>>2]|0;if(r){s=a+16|0;t=(f[s>>2]|0)+(c<<2)|0;if((r|0)==(f[q+((c^1)<<2)>>2]|0)){q=f[t>>2]|0;c_b(q,(f[g>>2]|0)+16|0)|0;if(!(f[q+12>>2]|0)){r=c&-2;v=f[a+20>>2]|0;YZb(q,f[q+4>>2]|0);if(!v)Emc(q);f[(f[s>>2]|0)+((c|1)<<2)>>2]=0;f[(f[s>>2]|0)+(r<<2)>>2]=0;w=r;x=s}else{w=c;x=s}}else{y=t;z=s;A=c;p=9}}else{o=c;p=7}}else{o=j;p=7}while(0);if((p|0)==7){j=a+16|0;y=(f[j>>2]|0)+(o<<2)|0;z=j;A=o;p=9}if((p|0)==9){o=b_b(a,n,f[y>>2]|0)|0;f[(f[z>>2]|0)+(A<<2)>>2]=o;w=A;x=z}if((f[n+8>>2]|0)==9?(z=f[n>>2]|0,z|0):0){if((b[z+11>>0]|0)<0)Emc(f[z>>2]|0);Emc(z)}if(!(f[a+20>>2]|0))Emc(n);f[a>>2]=(f[a>>2]|0)+-1;n=a+12|0;if((w|0)!=(f[n>>2]|0)){u=d;return}z=f[a+4>>2]|0;if(w>>>0>=z>>>0){u=d;return}a=f[x>>2]|0;x=w;while(1){if(f[a+(x<<2)>>2]|0){p=26;break}x=x+1|0;f[n>>2]=x;if(x>>>0>=z>>>0){p=26;break}}if((p|0)==26){u=d;return}}function b_b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=c+24|0;e=f[d>>2]|0;if((c|0)==(b|0))return e|0;else{g=b_b(a,b,e)|0;f[d>>2]=g;return c|0}return 0}function c_b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+4|0;d=f[c>>2]|0;if(!d){e=0;return e|0}else{g=c;h=d}a:while(1){d=h;while(1){if(!(DZb(f[d+16>>2]|0,f[b>>2]|0)|0))break;i=f[d+4>>2]|0;if(!i){j=g;break a}else d=i}h=f[d>>2]|0;if(!h){j=d;break}else g=d}if((j|0)==(c|0)){e=0;return e|0}if(DZb(f[b>>2]|0,f[j+16>>2]|0)|0){e=0;return e|0}b=f[j+4>>2]|0;if(!b){c=j+8|0;g=f[c>>2]|0;if((f[g>>2]|0)==(j|0))k=g;else{g=c;do{c=f[g>>2]|0;g=c+8|0;h=f[g>>2]|0}while((f[h>>2]|0)!=(c|0));k=h}}else{g=b;while(1){b=f[g>>2]|0;if(!b)break;else g=b}k=g}if((f[a>>2]|0)==(j|0))f[a>>2]=k;k=a+12|0;f[k>>2]=(f[k>>2]|0)+-1;gCa(f[a+4>>2]|0,j);if(f[a+8>>2]|0){e=1;return e|0}Emc(j);e=1;return e|0}function d_b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;if(!((c|0)==0&(d|0)!=0))if((d|0)!=(c|0)){e=Z1b(b,d)|0;RXb(b,e);if((b|0)==0|(c|0)!=0)g=e;else{ai[f[(f[b>>2]|0)+4>>2]&2047](b);g=e}}else g=b;else{yVb(d,b);g=b}b=a+12|0;d=f[b>>2]|0;e=f[a+8>>2]|0;c=a+4|0;do if((d|0)!=0?(h=f[c>>2]|0,(h|0)!=(e|0)):0){i=f[d>>2]|0;if((i|0)==(e|0)){j=f[d+4+(h<<2)>>2]|0;if((j|0)==0|(f[a>>2]|0)!=0){k=d;break}ai[f[(f[j>>2]|0)+4>>2]&2047](j);k=f[b>>2]|0;break}if((h|0)<(i|0)){f[d+4+(i<<2)>>2]=f[d+4+(h<<2)>>2];h=f[b>>2]|0;l=h;m=f[h>>2]|0}else{l=d;m=i}f[l>>2]=m+1;k=l}else n=8;while(0);if((n|0)==8){uDb(a,e+1|0);e=f[b>>2]|0;f[e>>2]=(f[e>>2]|0)+1;k=e}e=f[c>>2]|0;f[c>>2]=e+1;f[k+4+(e<<2)>>2]=g;return}function e_b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=u;u=u+32|0;c=b;if((o_b(a)|0)==9){d=f[a>>2]|0;u=b;return d|0}TDb(c,3,506076,639);e=ODb(ODb(ODb(ODb(c,506190)|0,506779)|0,506245)|0,506267)|0;g=ODb(ODb(ODb(e,f[37532]|0)|0,509874)|0,506281)|0;e=150092+((o_b(a)|0)<<2)|0;QDb(b+24|0,ODb(g,f[e>>2]|0)|0);UDb(c);d=f[a>>2]|0;u=b;return d|0}function f_b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;b=u;u=u+32|0;c=b;if((o_b(a)|0)==2){d=f[a>>2]|0;e=d;g=e;h=f[g>>2]|0;i=e+4|0;j=i;k=f[j>>2]|0;J=k;u=b;return h|0}TDb(c,3,506076,609);l=ODb(ODb(ODb(ODb(c,506190)|0,506752)|0,506245)|0,506267)|0;m=ODb(ODb(ODb(l,f[37525]|0)|0,509874)|0,506281)|0;l=150092+((o_b(a)|0)<<2)|0;QDb(b+24|0,ODb(m,f[l>>2]|0)|0);UDb(c);d=f[a>>2]|0;e=d;g=e;h=f[g>>2]|0;i=e+4|0;j=i;k=f[j>>2]|0;J=k;u=b;return h|0}function g_b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;b=u;u=u+32|0;c=b;if((o_b(a)|0)==1){d=f[a>>2]|0;e=f[d>>2]|0;u=b;return e|0}TDb(c,3,506076,619);g=ODb(ODb(ODb(ODb(c,506190)|0,506725)|0,506245)|0,506267)|0;h=ODb(ODb(ODb(g,f[37524]|0)|0,509874)|0,506281)|0;g=150092+((o_b(a)|0)<<2)|0;QDb(b+24|0,ODb(h,f[g>>2]|0)|0);UDb(c);d=f[a>>2]|0;e=f[d>>2]|0;u=b;return e|0}function h_b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;b=u;u=u+32|0;c=b;if((o_b(a)|0)==4){d=f[a>>2]|0;e=d;g=e;h=f[g>>2]|0;i=e+4|0;j=i;k=f[j>>2]|0;J=k;u=b;return h|0}TDb(c,3,506076,614);l=ODb(ODb(ODb(ODb(c,506190)|0,506697)|0,506245)|0,506267)|0;m=ODb(ODb(ODb(l,f[37527]|0)|0,509874)|0,506281)|0;l=150092+((o_b(a)|0)<<2)|0;QDb(b+24|0,ODb(m,f[l>>2]|0)|0);UDb(c);d=f[a>>2]|0;e=d;g=e;h=f[g>>2]|0;i=e+4|0;j=i;k=f[j>>2]|0;J=k;u=b;return h|0}function i_b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;b=u;u=u+32|0;c=b;if((o_b(a)|0)==3){d=f[a>>2]|0;e=f[d>>2]|0;u=b;return e|0}TDb(c,3,506076,624);g=ODb(ODb(ODb(ODb(c,506190)|0,506669)|0,506245)|0,506267)|0;h=ODb(ODb(ODb(g,f[37526]|0)|0,509874)|0,506281)|0;g=150092+((o_b(a)|0)<<2)|0;QDb(b+24|0,ODb(h,f[g>>2]|0)|0);UDb(c);d=f[a>>2]|0;e=f[d>>2]|0;u=b;return e|0}function j_b(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=u;u=u+32|0;d=c;if((o_b(a)|0)==7){e=f[a>>2]|0;g=b[e>>0]|0;h=g<<24>>24!=0;u=c;return h|0}TDb(d,3,506076,629);i=ODb(ODb(ODb(ODb(d,506190)|0,506643)|0,506245)|0,506267)|0;j=ODb(ODb(ODb(i,f[37530]|0)|0,509874)|0,506281)|0;i=150092+((o_b(a)|0)<<2)|0;QDb(c+24|0,ODb(j,f[i>>2]|0)|0);UDb(d);e=f[a>>2]|0;g=b[e>>0]|0;h=g<<24>>24!=0;u=c;return h|0}function k_b(a){a=a|0;var b=0,c=0,d=0,e=0.0,g=0,h=0;b=u;u=u+32|0;c=b;if((o_b(a)|0)==5){d=f[a>>2]|0;e=+p[d>>3];u=b;return +e}TDb(c,3,506076,649);g=ODb(ODb(ODb(ODb(c,506190)|0,506615)|0,506245)|0,506267)|0;h=ODb(ODb(ODb(g,f[37528]|0)|0,509874)|0,506281)|0;g=150092+((o_b(a)|0)<<2)|0;QDb(b+24|0,ODb(h,f[g>>2]|0)|0);UDb(c);d=f[a>>2]|0;e=+p[d>>3];u=b;return +e}function l_b(a){a=a|0;var b=0,c=0,d=0,e=0.0,g=0,h=0;b=u;u=u+32|0;c=b;if((o_b(a)|0)==6){d=f[a>>2]|0;e=+n[d>>2];u=b;return +e}TDb(c,3,506076,644);g=ODb(ODb(ODb(ODb(c,506190)|0,506588)|0,506245)|0,506267)|0;h=ODb(ODb(ODb(g,f[37529]|0)|0,509874)|0,506281)|0;g=150092+((o_b(a)|0)<<2)|0;QDb(b+24|0,ODb(h,f[g>>2]|0)|0);UDb(c);d=f[a>>2]|0;e=+n[d>>2];u=b;return +e}function m_b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;b=u;u=u+32|0;c=b;if((o_b(a)|0)==8){d=f[a>>2]|0;e=f[d>>2]|0;u=b;return e|0}TDb(c,3,506076,634);g=ODb(ODb(ODb(ODb(c,506190)|0,506562)|0,506245)|0,506267)|0;h=ODb(ODb(ODb(g,f[37531]|0)|0,509874)|0,506281)|0;g=150092+((o_b(a)|0)<<2)|0;QDb(b+24|0,ODb(h,f[g>>2]|0)|0);UDb(c);d=f[a>>2]|0;e=f[d>>2]|0;u=b;return e|0}function n_b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=u;u=u+32|0;c=b;if((o_b(a)|0)==10){d=f[a>>2]|0;u=b;return d|0}TDb(c,3,506076,655);e=ODb(ODb(ODb(ODb(c,506190)|0,506483)|0,506245)|0,506267)|0;g=ODb(ODb(ODb(e,f[37533]|0)|0,509874)|0,506281)|0;e=150092+((o_b(a)|0)<<2)|0;QDb(b+24|0,ODb(g,f[e>>2]|0)|0);UDb(c);d=f[a>>2]|0;u=b;return d|0}function o_b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;b=u;u=u+32|0;c=b;d=b+24|0;e=a+4|0;g=f[e>>2]|0;if(g|0?f[a>>2]|0:0){h=g;u=b;return h|0}TDb(c,3,506076,683);QDb(d,ODb(ODb(c,506190)|0,506512)|0);UDb(c);h=f[e>>2]|0;u=b;return h|0}function p_b(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;c=a+4|0;if(!(f[c>>2]|0)){d=0;f[a>>2]=0;e=a+12|0;f[e>>2]=d;return}g=a+16|0;h=a+20|0;i=0;while(1){j=f[g>>2]|0;k=j+(i<<2)|0;l=f[k>>2]|0;a:do if(l){if((l|0)!=(f[j+((i^1)<<2)>>2]|0)){f[k>>2]=0;m=l;while(1){n=m;m=f[m+24>>2]|0;if((f[n+8>>2]|0)==9?(o=f[n>>2]|0,o|0):0){if((b[o+11>>0]|0)<0)Emc(f[o>>2]|0);Emc(o)}if(!(f[h>>2]|0))Emc(n);if(!m){p=i;break a}}}if((l|0)==(f[j+((i^1)<<2)>>2]|0)){m=i+1|0;f[j+(m<<2)>>2]=0;f[(f[g>>2]|0)+(i<<2)>>2]=0;n=l+12|0;o=l+4|0;q=l+8|0;r=l+4|0;s=f[l>>2]|0;do{t=s;u=f[t+16>>2]|0;v=s;w=f[v+4>>2]|0;if(!w){x=v+8|0;y=f[x>>2]|0;if((f[y>>2]|0)==(v|0))z=y;else{y=x;do{x=f[y>>2]|0;y=x+8|0;A=f[y>>2]|0}while((f[A>>2]|0)!=(x|0));z=A}}else{y=w;while(1){A=f[y>>2]|0;if(!A)break;else y=A}z=y}w=f[t+4>>2]|0;if(!w){A=t+8|0;x=f[A>>2]|0;if((f[x>>2]|0)==(v|0))B=x;else{x=A;do{A=f[x>>2]|0;x=A+8|0;C=f[x>>2]|0}while((f[C>>2]|0)!=(A|0));B=C}}else{x=w;while(1){y=f[x>>2]|0;if(!y)break;else x=y}B=x}if((f[l>>2]|0)==(t|0))f[l>>2]=B;f[n>>2]=(f[n>>2]|0)+-1;gCa(f[o>>2]|0,v);if(!(f[q>>2]|0))Emc(s);s=z;if((f[u+8>>2]|0)==9?(w=f[u>>2]|0,w|0):0){if((b[w+11>>0]|0)<0)Emc(f[w>>2]|0);Emc(w)}if(!(f[h>>2]|0))Emc(u)}while((z|0)!=(r|0));s=f[h>>2]|0;YZb(l,f[r>>2]|0);if(!s){Emc(l);p=m}else p=m}else p=i}else p=i;while(0);i=p+1|0;l=f[c>>2]|0;if(i>>>0>=l>>>0){d=l;break}}f[a>>2]=0;e=a+12|0;f[e>>2]=d;return}function q_b(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+16|0;if(f[b>>2]|0){c=a+8|0;d=f[c>>2]|0;return d|0}e=a+12|0;FDb(e);if(!(f[b>>2]|0)){ai[f[(f[a>>2]|0)+40>>2]&2047](a);f[b>>2]=2}GDb(e);c=a+8|0;d=f[c>>2]|0;return d|0}function r_b(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+16|0;if(f[b>>2]|0){f[b>>2]=1;c=a+8|0;d=f[c>>2]|0;return d|0}e=a+12|0;FDb(e);if(!(f[b>>2]|0)){ai[f[(f[a>>2]|0)+40>>2]&2047](a);f[b>>2]=2}GDb(e);f[b>>2]=1;c=a+8|0;d=f[c>>2]|0;return d|0}function s_b(a){a=a|0;var b=0,c=0;b=a+12|0;FDb(b);c=ci[f[(f[a>>2]|0)+36>>2]&1023](a)|0;GDb(b);return c|0}function t_b(a){a=a|0;return (f[a+16>>2]|0)!=1|0}function u_b(a){a=a|0;f[a+16>>2]=0;return}function v_b(a){a=a|0;var b=0,c=0;b=a+16|0;if((f[b>>2]|0)!=1)return;c=a+12|0;FDb(c);if((f[b>>2]|0)==1){ai[f[(f[a>>2]|0)+44>>2]&2047](a);f[b>>2]=2}GDb(c);return}function w_b(a,b){a=a|0;b=b|0;var c=0;f[a>>2]=155876;f[a+4>>2]=0;f[a+8>>2]=0;VDb(a+12|0);f[a+16>>2]=0;f[a>>2]=155948;c=a+20|0;f[c>>2]=0;f[a+24>>2]=0;x_b(c);f[a+32>>2]=b;return}function x_b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;b=f[a>>2]|0;c=b;if(!b){d=Bmc(24)|0;f[d>>2]=0;f[d+8>>2]=d;e=d+16|0;f[e>>2]=0;f[d+20>>2]=c;g=Bmc(32)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;h=g;i=d;j=e;f[j>>2]=h;k=i+12|0;f[k>>2]=8;l=i+4|0;f[l>>2]=8;m=a+8|0;f[m>>2]=i;return}e=b+64|0;if(f[e>>2]|0)pBb(b,24608,24);d=oBb(b,24,1677)|0;f[d>>2]=0;f[d+8>>2]=d;g=d+16|0;f[g>>2]=0;f[d+20>>2]=c;if(f[e>>2]|0)pBb(b,26904,32);e=nBb(b,32)|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[e+28>>2]=0;h=e;i=d;j=g;f[j>>2]=h;k=i+12|0;f[k>>2]=8;l=i+4|0;f[l>>2]=8;m=a+8|0;f[m>>2]=i;return}function y_b(a){a=a|0;var b=0;b=a+16|0;if(!(f[b>>2]|0))return;p_b(a);if(f[a+20>>2]|0)return;Emc(f[b>>2]|0);return}function z_b(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;xh[f[(f[b>>2]|0)+96>>2]&2047](d,b);Nmc(a,f[(f[d>>2]|0)+4>>2]|0);u=c;return}function A_b(a){a=a|0;b2b(a);return}function B_b(a){a=a|0;return d2b(a)|0}function C_b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=u;u=u+64|0;e=d+16|0;g=d;f[g>>2]=0;h=g+4|0;f[h>>2]=0;f[g+8>>2]=0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f2b(c,e,g);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;c=f[g>>2]|0;i=f[h>>2]|0;if((c|0)==(i|0))j=c;else{k=e+4|0;l=c;do{if((l|0)!=(c|0))anc(a,523537)|0;m=b[l+11>>0]|0;n=m<<24>>24<0;f[e>>2]=n?f[l>>2]|0:l;f[k>>2]=n?f[l+4>>2]|0:m&255;Q6b(a,e);l=l+12|0}while((l|0)!=(i|0));j=f[g>>2]|0}if(!j){u=d;return}i=f[h>>2]|0;if((i|0)==(j|0))o=j;else{l=i;while(1){i=l+-12|0;f[h>>2]=i;if((b[i+11>>0]|0)<0){Emc(f[i>>2]|0);p=f[h>>2]|0}else p=i;if((p|0)==(j|0))break;else l=p}o=f[g>>2]|0}Emc(o);u=d;return}function D_b(a,b){a=a|0;b=b|0;xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function E_b(a,b){a=a|0;b=b|0;return i4b(b,a)|0}function F_b(a){a=a|0;var b=0;b=C4b(a)|0;xh[f[(f[a>>2]|0)+88>>2]&2047](a,b);return b|0}function G_b(a,b){a=a|0;b=b|0;var c=0;c=ci[f[(f[a>>2]|0)+68>>2]&1023](a)|0;if(!c){m4b(a,ci[f[(f[a>>2]|0)+60>>2]&1023](a)|0,b);return}else{uBb(a,(f[c+4>>2]|0)+20|0,(f[c>>2]|0)+-1|0,b);return}}function H_b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+48|0;d=c+24|0;e=c;xh[f[(f[a>>2]|0)+96>>2]&2047](d,a);g=f[d>>2]|0;xh[f[(f[b>>2]|0)+96>>2]&2047](d,b);if((f[d>>2]|0)==(g|0)){a2b(b,a);u=c;return}TDb(e,3,507039,80);h=ODb(ODb(e,507228)|0,507353)|0;i=ODb(PDb(h,f[g+4>>2]|0)|0,507344)|0;xh[f[(f[b>>2]|0)+96>>2]&2047](d,b);QDb(c+32|0,PDb(i,f[(f[d>>2]|0)+4>>2]|0)|0);UDb(e);a2b(b,a);u=c;return}function I_b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+48|0;d=c+24|0;e=c;xh[f[(f[a>>2]|0)+96>>2]&2047](d,a);g=f[d>>2]|0;xh[f[(f[b>>2]|0)+96>>2]&2047](d,b);if((f[d>>2]|0)==(g|0)){c2b(b,a);u=c;return}TDb(e,3,507039,67);h=ODb(ODb(e,507228)|0,507283)|0;i=ODb(PDb(h,f[g+4>>2]|0)|0,507344)|0;xh[f[(f[b>>2]|0)+96>>2]&2047](d,b);QDb(c+32|0,PDb(i,f[(f[d>>2]|0)+4>>2]|0)|0);UDb(e);c2b(b,a);u=c;return}function J_b(a){a=a|0;e2b(a);return}function K_b(a){a=a|0;var b=0;b=ci[f[(f[a>>2]|0)+92>>2]&1023](a)|0;return Sh[f[(f[b>>2]|0)+16>>2]&511](b,a)|0}function L_b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;b=u;u=u+48|0;c=b+24|0;d=b;TDb(d,3,507039,162);e=ODb(d,507125)|0;xh[f[(f[a>>2]|0)+96>>2]&2047](c,a);QDb(b+32|0,ODb(PDb(e,f[(f[c>>2]|0)+4>>2]|0)|0,507141)|0);UDb(d);u=b;return}function M_b(a){a=a|0;return}function N_b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;a=u;u=u+80|0;d=a+48|0;e=a+24|0;g=a;h=a+64|0;if((f[c+32>>2]|0)!=3){TDb(e,3,507039,406);QDb(a+65|0,ODb(e,507439)|0);UDb(e)}e=c+24|0;i=f[e>>2]|0;if(i|0?(f[i>>2]|0)!=2:0){f[d>>2]=110868;f[d+4>>2]=1634;b[d+8>>0]=0;f[d+12>>2]=c;dEb(i,d)}i=c+28|0;do switch(f[149940+(f[i>>2]<<2)>>2]|0){case 1:{if((f[222970]|0)!=2){f[d>>2]=149752;f[d+4>>2]=165;b[d+8>>0]=0;dEb(891880,d);zDb(d)}j=f[222971]|0;u=a;return j|0}case 3:{if((f[222972]|0)!=2){f[d>>2]=149752;f[d+4>>2]=166;b[d+8>>0]=0;dEb(891888,d);zDb(d)}j=f[222973]|0;u=a;return j|0}case 2:{if((f[222974]|0)!=2){f[d>>2]=149752;f[d+4>>2]=167;b[d+8>>0]=0;dEb(891896,d);zDb(d)}j=f[222975]|0;u=a;return j|0}case 4:{if((f[222976]|0)!=2){f[d>>2]=149752;f[d+4>>2]=168;b[d+8>>0]=0;dEb(891904,d);zDb(d)}j=f[222977]|0;u=a;return j|0}case 6:{if((f[222978]|0)!=2){f[d>>2]=149752;f[d+4>>2]=169;b[d+8>>0]=0;dEb(891912,d);zDb(d)}j=f[222979]|0;u=a;return j|0}case 5:{if((f[222980]|0)!=2){f[d>>2]=149752;f[d+4>>2]=170;b[d+8>>0]=0;dEb(891920,d);zDb(d)}j=f[222981]|0;u=a;return j|0}case 7:{if((f[222982]|0)!=2){f[d>>2]=149752;f[d+4>>2]=171;b[d+8>>0]=0;dEb(891928,d);zDb(d)}j=f[222983]|0;u=a;return j|0}case 8:{if((f[222970]|0)!=2){f[d>>2]=149752;f[d+4>>2]=165;b[d+8>>0]=0;dEb(891880,d);zDb(d)}j=f[222971]|0;u=a;return j|0}case 9:{if((f[222984]|0)!=2){f[d>>2]=149752;f[d+4>>2]=172;b[d+8>>0]=0;dEb(891936,d);zDb(d)}j=f[222985]|0;u=a;return j|0}case 10:{k=f[e>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[d>>2]=110868;f[d+4>>2]=1634;b[d+8>>0]=0;f[d+12>>2]=c;dEb(k,d)}if((f[i>>2]|0)==11?bJb(c)|0:0){if((f[222986]|0)!=2){f[d>>2]=149752;f[d+4>>2]=173;b[d+8>>0]=0;dEb(891944,d);zDb(d)}j=f[222987]|0;u=a;return j|0}if((f[222988]|0)!=2){f[d>>2]=149752;f[d+4>>2]=174;b[d+8>>0]=0;dEb(891952,d);zDb(d)}j=f[222989]|0;u=a;return j|0}default:{TDb(g,3,507039,434);QDb(h,ODb(g,507476)|0);UDb(g);j=0;u=a;return j|0}}while(0);return 0}function O_b(){var a=0;a=Bmc(4)|0;f[a>>2]=156836;f[222971]=a;return}function P_b(){var a=0;a=Bmc(4)|0;f[a>>2]=156748;f[222973]=a;return}function Q_b(){var a=0;a=Bmc(4)|0;f[a>>2]=156660;f[222975]=a;return}function R_b(){var a=0;a=Bmc(4)|0;f[a>>2]=156572;f[222977]=a;return}function S_b(){var a=0;a=Bmc(4)|0;f[a>>2]=156484;f[222979]=a;return}function T_b(){var a=0;a=Bmc(4)|0;f[a>>2]=156396;f[222981]=a;return}function U_b(){var a=0;a=Bmc(4)|0;f[a>>2]=156308;f[222983]=a;return}function V_b(){var a=0;a=Bmc(4)|0;f[a>>2]=156216;f[222985]=a;return}function W_b(){var a=0;a=Bmc(4)|0;f[a>>2]=156124;f[222987]=a;return}function X_b(){var a=0;a=Bmc(4)|0;f[a>>2]=156032;f[222989]=a;return}function Y_b(a){a=a|0;return}function Z_b(a){a=a|0;Emc(a);return}function __b(a,b){a=a|0;b=b|0;return (f[b+4>>2]|0)==0|0}function $_b(a,b){a=a|0;b=b|0;return f[b+4>>2]|0}function a$b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return ki[f[(f[a>>2]|0)+80>>2]&511](a,f[(f[b+12>>2]|0)+4+(c<<2)>>2]|0,d)|0}function b$b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;a=b+4|0;c=f[a>>2]|0;if((c|0)<=0)return;d=f[b+12>>2]|0;b=0;do{e=f[d+4+(b<<2)>>2]|0;b=b+1|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}while((b|0)!=(c|0));f[a>>2]=0;return}function c$b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Yh[f[(f[a>>2]|0)+76>>2]&511](a,d,f[(f[b+12>>2]|0)+4+(c<<2)>>2]|0);return}function d$b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=Sh[f[(f[a>>2]|0)+72>>2]&511](a,c)|0;Yh[f[(f[a>>2]|0)+76>>2]&511](a,c,d);c=ci[f[(f[d>>2]|0)+24>>2]&1023](d)|0;a=f[b>>2]|0;if(((a|0)==(c|0)?(c=b+12|0,e=f[c>>2]|0,e|0):0)?(g=f[e>>2]|0,(g|0)<(f[b+8>>2]|0)):0){h=b+4|0;i=f[h>>2]|0;if((i|0)<(g|0)){j=e+4+(i<<2)|0;f[e+4+(g<<2)>>2]=f[j>>2];k=j}else k=e+4+(i<<2)|0;f[k>>2]=d;f[h>>2]=i+1;i=f[c>>2]|0;f[i>>2]=(f[i>>2]|0)+1;return}d_b(b,d,ci[f[(f[d>>2]|0)+20>>2]&1023](d)|0,a);return}function e$b(a,b){a=a|0;b=b|0;var c=0;a=f[b+12>>2]|0;c=b+4|0;b=(f[c>>2]|0)+-1|0;f[c>>2]=b;c=f[a+4+(b<<2)>>2]|0;ai[f[(f[c>>2]|0)+28>>2]&2047](c);return}function f$b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;a=f[b+12>>2]|0;b=a+4+(c<<2)|0;c=a+4+(d<<2)|0;d=f[b>>2]|0;f[b>>2]=f[c>>2];f[c>>2]=d;return}function g$b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+32|0;g=e;if((a|0)!=(c|0)){TDb(g,3,507499,358);QDb(e+24|0,ODb(g,507596)|0);UDb(g)}if((b|0)==(d|0)){u=e;return}if((f[d>>2]|0)==(f[b>>2]|0)){g=b+12|0;c=d+12|0;a=f[g>>2]|0;f[g>>2]=f[c>>2];f[c>>2]=a;a=b+4|0;c=d+4|0;g=f[a>>2]|0;f[a>>2]=f[c>>2];f[c>>2]=g;g=b+8|0;c=d+8|0;a=f[g>>2]|0;f[g>>2]=f[c>>2];f[c>>2]=a;u=e;return}else{r$b(b,d);u=e;return}}function h$b(a,b){a=a|0;b=b|0;return 0}function i$b(a,b){a=a|0;b=b|0;return Sh[f[(f[a>>2]|0)+12>>2]&511](a,b)|0}function j$b(a,b,c){a=a|0;b=b|0;c=c|0;return c|0}function k$b(a,b,c){a=a|0;b=b|0;c=c|0;return c+1|0}function l$b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return (c|0)==(d|0)|0}function m$b(a,b,c){a=a|0;b=b|0;c=c|0;return}function n$b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return Bg[f[(f[a>>2]|0)+16>>2]&127](a,b,c,d)|0}function o$b(a,b){a=a|0;b=b|0;return ci[f[(f[b>>2]|0)+12>>2]&1023](b)|0}function p$b(a,b,c){a=a|0;b=b|0;c=c|0;xh[f[(f[c>>2]|0)+72>>2]&2047](c,b);return}function q$b(a,b,c){a=a|0;b=b|0;c=c|0;return b|0}function r$b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=u;u=u+16|0;d=c;f[d>>2]=f[b>>2];e=d+4|0;f[e>>2]=0;g=d+8|0;f[g>>2]=0;h=d+12|0;f[h>>2]=0;s$b(d,a);i=a+4|0;j=f[i>>2]|0;if((j|0)>0){k=f[a+12>>2]|0;l=0;do{m=f[k+4+(l<<2)>>2]|0;l=l+1|0;ai[f[(f[m>>2]|0)+28>>2]&2047](m)}while((l|0)!=(j|0));f[i>>2]=0}s$b(a,b);a=b+4|0;i=f[a>>2]|0;j=b+12|0;if((i|0)>0){l=f[j>>2]|0;k=0;do{m=f[l+4+(k<<2)>>2]|0;k=k+1|0;ai[f[(f[m>>2]|0)+28>>2]&2047](m)}while((k|0)!=(i|0));f[a>>2]=0;n=0}else n=i;i=f[j>>2]|0;f[j>>2]=f[h>>2];f[h>>2]=i;f[a>>2]=f[e>>2];f[e>>2]=n;n=b+8|0;b=f[n>>2]|0;f[n>>2]=f[g>>2];f[g>>2]=b;b=i;if(!((i|0)!=0&(f[d>>2]|0)==0)){u=c;return}d=i;i=f[b>>2]|0;if((i|0)>0){g=0;do{n=f[b+4+(g<<2)>>2]|0;if(n|0)ai[f[(f[n>>2]|0)+4>>2]&2047](n);g=g+1|0}while((g|0)!=(i|0));o=f[h>>2]|0}else o=d;Emc(o);u=c;return}function s$b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{RXb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;if((h|0)<(c|0)){a=h;do{h=f[d+4+(a<<2)>>2]|0;j=Sh[f[(f[h>>2]|0)+16>>2]&511](h,i)|0;RXb(h,j);f[b+(a<<2)>>2]=j;a=a+1|0}while((a|0)!=(c|0))}a=(f[g>>2]|0)+c|0;f[g>>2]=a;g=f[e>>2]|0;if((f[g>>2]|0)>=(a|0))return;f[g>>2]=a;return}function t$b(a){a=a|0;Emc(a);return}function u$b(a,b){a=a|0;b=b|0;a=(q_b(b)|0)+4|0;return (f[a>>2]|0)==0|0}function v$b(a,b){a=a|0;b=b|0;a=(q_b(b)|0)+4|0;return f[a>>2]|0}function w$b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=f[(f[a>>2]|0)+80>>2]|0;g=(q_b(b)|0)+12|0;return ki[e&511](a,f[(f[g>>2]|0)+4+(c<<2)>>2]|0,d)|0}function x$b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;a=r_b(b)|0;b=a+4|0;c=f[b>>2]|0;if((c|0)<=0)return;d=f[a+12>>2]|0;a=0;do{e=f[d+4+(a<<2)>>2]|0;a=a+1|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}while((a|0)!=(c|0));f[b>>2]=0;return}function y$b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=f[(f[a>>2]|0)+76>>2]|0;g=(r_b(b)|0)+12|0;Yh[e&511](a,d,f[(f[g>>2]|0)+4+(c<<2)>>2]|0);return}function z$b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=Sh[f[(f[a>>2]|0)+72>>2]&511](a,c)|0;Yh[f[(f[a>>2]|0)+76>>2]&511](a,c,d);c=r_b(b)|0;b=ci[f[(f[d>>2]|0)+24>>2]&1023](d)|0;a=f[c>>2]|0;if(((a|0)==(b|0)?(b=c+12|0,e=f[b>>2]|0,e|0):0)?(g=f[e>>2]|0,(g|0)<(f[c+8>>2]|0)):0){h=c+4|0;i=f[h>>2]|0;if((i|0)<(g|0)){j=e+4+(i<<2)|0;f[e+4+(g<<2)>>2]=f[j>>2];k=j}else k=e+4+(i<<2)|0;f[k>>2]=d;f[h>>2]=i+1;i=f[b>>2]|0;f[i>>2]=(f[i>>2]|0)+1;return}d_b(c,d,ci[f[(f[d>>2]|0)+20>>2]&1023](d)|0,a);return}function A$b(a,b){a=a|0;b=b|0;var c=0;a=r_b(b)|0;b=f[a+12>>2]|0;c=a+4|0;a=(f[c>>2]|0)+-1|0;f[c>>2]=a;c=f[b+4+(a<<2)>>2]|0;ai[f[(f[c>>2]|0)+28>>2]&2047](c);return}function B$b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;a=(r_b(b)|0)+12|0;b=f[a>>2]|0;a=b+4+(c<<2)|0;c=b+4+(d<<2)|0;d=f[a>>2]|0;f[a>>2]=f[c>>2];f[c>>2]=d;return}function C$b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+32|0;g=e;if((a|0)!=(c|0)){TDb(g,3,507499,240);QDb(e+24|0,ODb(g,507596)|0);UDb(g)}g=r_b(b)|0;b=r_b(d)|0;if((g|0)==(b|0)){u=e;return}if((f[b>>2]|0)==(f[g>>2]|0)){d=g+12|0;c=b+12|0;a=f[d>>2]|0;f[d>>2]=f[c>>2];f[c>>2]=a;a=g+4|0;c=b+4|0;d=f[a>>2]|0;f[a>>2]=f[c>>2];f[c>>2]=d;d=g+8|0;c=b+8|0;a=f[d>>2]|0;f[d>>2]=f[c>>2];f[c>>2]=a;u=e;return}else{r$b(g,b);u=e;return}}function D$b(a,b){a=a|0;b=b|0;return ci[f[(f[b>>2]|0)+12>>2]&1023](b)|0}function E$b(a,b,c){a=a|0;b=b|0;c=c|0;xh[f[(f[c>>2]|0)+72>>2]&2047](c,b);return}function F$b(a,b,c){a=a|0;b=b|0;c=c|0;return b|0}function G$b(a){a=a|0;Emc(a);return}function H$b(a,b){a=a|0;b=b|0;return (f[b+4>>2]|0)==0|0}function I$b(a,b){a=a|0;b=b|0;return f[b+4>>2]|0}function J$b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return ki[f[(f[a>>2]|0)+80>>2]&511](a,f[(f[b+12>>2]|0)+4+(c<<2)>>2]|0,d)|0}function K$b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;a=c+4|0;d=f[a>>2]|0;if((d|0)<=0)return;e=f[c+12>>2]|0;c=0;do{g=f[e+4+(c<<2)>>2]|0;c=c+1|0;h=g+11|0;if((b[h>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0}else{b[g>>0]=0;b[h>>0]=0}}while((c|0)!=(d|0));f[a>>2]=0;return}function L$b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Yh[f[(f[a>>2]|0)+76>>2]&511](a,d,f[(f[b+12>>2]|0)+4+(c<<2)>>2]|0);return}function M$b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=Sh[f[(f[a>>2]|0)+72>>2]&511](a,c)|0;Yh[f[(f[a>>2]|0)+76>>2]&511](a,c,d);c=f[b>>2]|0;if(((c|0)==0?(a=b+12|0,e=f[a>>2]|0,e|0):0)?(g=f[e>>2]|0,(g|0)<(f[b+8>>2]|0)):0){h=b+4|0;i=f[h>>2]|0;if((i|0)<(g|0)){j=e+4+(i<<2)|0;f[e+4+(g<<2)>>2]=f[j>>2];k=j}else k=e+4+(i<<2)|0;f[k>>2]=d;f[h>>2]=i+1;i=f[a>>2]|0;f[i>>2]=(f[i>>2]|0)+1;return}U$b(b,d,0,c);return}function N$b(a,c){a=a|0;c=c|0;var d=0;a=f[c+12>>2]|0;d=c+4|0;c=(f[d>>2]|0)+-1|0;f[d>>2]=c;d=f[a+4+(c<<2)>>2]|0;c=d+11|0;if((b[c>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;return}else{b[d>>0]=0;b[c>>0]=0;return}}function O$b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;a=f[b+12>>2]|0;b=a+4+(c<<2)|0;c=a+4+(d<<2)|0;d=f[b>>2]|0;f[b>>2]=f[c>>2];f[c>>2]=d;return}function P$b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=u;u=u+48|0;h=g+32|0;i=g+16|0;j=g;if((a|0)==(d|0)){if((c|0)==(e|0)){u=g;return}if((f[e>>2]|0)==(f[c>>2]|0)){k=c+12|0;l=e+12|0;m=f[k>>2]|0;f[k>>2]=f[l>>2];f[l>>2]=m;m=c+4|0;l=e+4|0;k=f[m>>2]|0;f[m>>2]=f[l>>2];f[l>>2]=k;k=c+8|0;l=e+8|0;m=f[k>>2]|0;f[k>>2]=f[l>>2];f[l>>2]=m;u=g;return}else{T$b(c,e);u=g;return}};f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;do if((i|0)!=(c|0))if(!(f[c>>2]|0)){m=c+12|0;f[i+12>>2]=f[m>>2];f[m>>2]=0;m=c+4|0;f[i+4>>2]=f[m>>2];f[m>>2]=0;m=c+8|0;f[i+8>>2]=f[m>>2];f[m>>2]=0;break}else{T$b(i,c);break}while(0);m=Sh[f[(f[d>>2]|0)+12>>2]&511](d,e)|0;if((m|0)>0){l=h+11|0;k=h+11|0;n=j+11|0;o=0;do{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Nmc(j,Bg[f[(f[d>>2]|0)+16>>2]&127](d,e,o,h)|0);if((b[l>>0]|0)<0)Emc(f[h>>2]|0);Nmc(h,j);Yh[f[(f[a>>2]|0)+28>>2]&511](a,c,h);if((b[k>>0]|0)<0)Emc(f[h>>2]|0);if((b[n>>0]|0)<0)Emc(f[j>>2]|0);o=o+1|0}while((o|0)<(m|0))}m=Sh[f[(f[a>>2]|0)+12>>2]&511](a,c)|0;xh[f[(f[d>>2]|0)+20>>2]&2047](d,e);c=i+12|0;a=f[c>>2]|0;if((m|0)>0){o=h+11|0;j=0;n=a;while(1){Nmc(h,f[n+4+(j<<2)>>2]|0);Yh[f[(f[d>>2]|0)+28>>2]&511](d,e,h);if((b[o>>0]|0)<0)Emc(f[h>>2]|0);j=j+1|0;k=f[c>>2]|0;if((j|0)>=(m|0)){p=k;break}else n=k}}else p=a;if(p|0?(f[i>>2]|0)==0:0){i=f[p>>2]|0;if((i|0)>0){a=0;do{n=f[p+4+(a<<2)>>2]|0;if(n|0){if((b[n+11>>0]|0)<0)Emc(f[n>>2]|0);Emc(n)}a=a+1|0}while((a|0)!=(i|0));q=f[c>>2]|0}else q=p;Emc(q)}u=g;return}function Q$b(a,b){a=a|0;b=b|0;b=Bmc(12)|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;return b|0}function R$b(a,b,c){a=a|0;b=b|0;c=c|0;Qmc(c,b)|0;return}function S$b(a,b,c){a=a|0;b=b|0;c=c|0;return b|0}function T$b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+16|0;e=d;f[e>>2]=f[c>>2];g=e+4|0;f[g>>2]=0;h=e+8|0;f[h>>2]=0;i=e+12|0;f[i>>2]=0;BHa(e,a);j=a+4|0;k=f[j>>2]|0;if((k|0)>0){l=f[a+12>>2]|0;m=0;do{n=f[l+4+(m<<2)>>2]|0;m=m+1|0;o=n+11|0;if((b[o>>0]|0)<0){b[f[n>>2]>>0]=0;f[n+4>>2]=0}else{b[n>>0]=0;b[o>>0]=0}}while((m|0)!=(k|0));f[j>>2]=0}BHa(a,c);a=c+4|0;j=f[a>>2]|0;k=c+12|0;if((j|0)>0){m=f[k>>2]|0;l=0;do{o=f[m+4+(l<<2)>>2]|0;l=l+1|0;n=o+11|0;if((b[n>>0]|0)<0){b[f[o>>2]>>0]=0;f[o+4>>2]=0}else{b[o>>0]=0;b[n>>0]=0}}while((l|0)!=(j|0));f[a>>2]=0;p=0}else p=j;j=f[k>>2]|0;f[k>>2]=f[i>>2];f[i>>2]=j;f[a>>2]=f[g>>2];f[g>>2]=p;p=c+8|0;c=f[p>>2]|0;f[p>>2]=f[h>>2];f[h>>2]=c;c=j;if(!((j|0)!=0&(f[e>>2]|0)==0)){u=d;return}e=j;j=f[c>>2]|0;if((j|0)>0){h=0;do{p=f[c+4+(h<<2)>>2]|0;if(p|0){if((b[p+11>>0]|0)<0)Emc(f[p>>2]|0);Emc(p)}h=h+1|0}while((h|0)!=(j|0));q=f[i>>2]|0}else q=e;Emc(q);u=d;return}function U$b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;if(!((d|0)==0&(e|0)!=0))if((e|0)!=(d|0)){if(!e){g=Bmc(12)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;h=g}else{if(f[e+64>>2]|0)pBb(e,9552,16);g=oBb(e,16,1630)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;h=g}Qmc(h,c)|0;if((c|0)==0|(d|0)!=0)i=h;else{if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c);i=h}}else i=c;else{QDa(e,c);i=c}V$b(a,i);return}function V$b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=a+12|0;e=f[d>>2]|0;g=f[a+8>>2]|0;h=a+4|0;do if((e|0)!=0?(i=f[h>>2]|0,(i|0)!=(g|0)):0){j=f[e>>2]|0;if((j|0)!=(g|0)){if((i|0)<(j|0)){f[e+4+(j<<2)>>2]=f[e+4+(i<<2)>>2];k=f[d>>2]|0;l=k;m=f[k>>2]|0}else{l=e;m=j}f[l>>2]=m+1;n=l;break}j=f[e+4+(i<<2)>>2]|0;if((j|0)==0|(f[a>>2]|0)!=0)n=e;else{if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);Emc(j);n=f[d>>2]|0}}else o=3;while(0);if((o|0)==3){uDb(a,g+1|0);g=f[d>>2]|0;f[g>>2]=(f[g>>2]|0)+1;n=g}g=f[h>>2]|0;f[h>>2]=g+1;f[n+4+(g<<2)>>2]=c;return}function W$b(a){a=a|0;Emc(a);return}function X$b(a,b){a=a|0;b=b|0;return (f[b>>2]|0)==0|0}function Y$b(a,b){a=a|0;b=b|0;return f[b>>2]|0}function Z$b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return ki[f[(f[a>>2]|0)+76>>2]&511](a,(f[b+8>>2]|0)+4+c|0,d)|0}function _$b(a,b){a=a|0;b=b|0;f[b>>2]=0;return}function $$b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0;g=(Sh[f[(f[a>>2]|0)+72>>2]&511](a,e)|0)&1;b[(f[c+8>>2]|0)+4+d>>0]=g;return}function a0b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0;e=(Sh[f[(f[a>>2]|0)+72>>2]&511](a,d)|0)&1;d=f[c>>2]|0;if((d|0)==(f[c+4>>2]|0)){aJa(c,d+1|0);g=f[c>>2]|0}else g=d;d=f[c+8>>2]|0;f[c>>2]=g+1;b[d+4+g>>0]=e;return}function b0b(a,b){a=a|0;b=b|0;f[b>>2]=(f[b>>2]|0)+-1;return}function c0b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;a=f[c+8>>2]|0;c=a+4+d|0;d=a+4+e|0;e=b[c>>0]|0;b[c>>0]=b[d>>0]|0;b[d>>0]=e;return}function d0b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=u;u=u+32|0;f=e;if((a|0)==(c|0)){qYb(b,d);u=e;return}TDb(f,3,507499,287);QDb(e+24|0,ODb(f,507596)|0);UDb(f);qYb(b,d);u=e;return}function e0b(a,c){a=a|0;c=c|0;return (b[c>>0]|0)!=0|0}function f0b(a,b,c){a=a|0;b=b|0;c=c|0;return b|0}function g0b(a){a=a|0;Emc(a);return}function h0b(a,b){a=a|0;b=b|0;return (f[b>>2]|0)==0|0}function i0b(a,b){a=a|0;b=b|0;return f[b>>2]|0}function j0b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return ki[f[(f[a>>2]|0)+76>>2]&511](a,(f[b+8>>2]|0)+8+(c<<3)|0,d)|0}function k0b(a,b){a=a|0;b=b|0;f[b>>2]=0;return}function l0b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0.0;e=+wg[f[(f[a>>2]|0)+72>>2]&31](a,d);p[(f[b+8>>2]|0)+8+(c<<3)>>3]=e;return}function m0b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0;d=+wg[f[(f[a>>2]|0)+72>>2]&31](a,c);c=f[b>>2]|0;if((c|0)==(f[b+4>>2]|0)){bEa(b,c+1|0);e=f[b>>2]|0}else e=c;c=f[b+8>>2]|0;f[b>>2]=e+1;p[c+8+(e<<3)>>3]=d;return}function n0b(a,b){a=a|0;b=b|0;f[b>>2]=(f[b>>2]|0)+-1;return}function o0b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0.0;a=f[b+8>>2]|0;b=a+8+(c<<3)|0;c=a+8+(d<<3)|0;e=+p[b>>3];p[b>>3]=+p[c>>3];p[c>>3]=e;return}function p0b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=u;u=u+32|0;f=e;if((a|0)==(c|0)){pYb(b,d);u=e;return}TDb(f,3,507499,287);QDb(e+24|0,ODb(f,507596)|0);UDb(f);pYb(b,d);u=e;return}function q0b(a,b){a=a|0;b=b|0;return +(+p[b>>3])}function r0b(a,b,c){a=a|0;b=b|0;c=c|0;return b|0}function s0b(a){a=a|0;Emc(a);return}function t0b(a,b){a=a|0;b=b|0;return (f[b>>2]|0)==0|0}function u0b(a,b){a=a|0;b=b|0;return f[b>>2]|0}function v0b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return ki[f[(f[a>>2]|0)+76>>2]&511](a,(f[b+8>>2]|0)+4+(c<<2)|0,d)|0}function w0b(a,b){a=a|0;b=b|0;f[b>>2]=0;return}function x0b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0.0;e=+wg[f[(f[a>>2]|0)+72>>2]&31](a,d);n[(f[b+8>>2]|0)+4+(c<<2)>>2]=e;return}function y0b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0;d=+wg[f[(f[a>>2]|0)+72>>2]&31](a,c);c=f[b>>2]|0;if((c|0)==(f[b+4>>2]|0)){aEa(b,c+1|0);e=f[b>>2]|0}else e=c;c=f[b+8>>2]|0;f[b>>2]=e+1;n[c+4+(e<<2)>>2]=d;return}function z0b(a,b){a=a|0;b=b|0;f[b>>2]=(f[b>>2]|0)+-1;return}function A0b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;a=f[b+8>>2]|0;b=a+4+(c<<2)|0;c=a+4+(d<<2)|0;d=f[b>>2]|0;f[b>>2]=f[c>>2];f[c>>2]=d;return}function B0b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=u;u=u+32|0;f=e;if((a|0)==(c|0)){oYb(b,d);u=e;return}TDb(f,3,507499,287);QDb(e+24|0,ODb(f,507596)|0);UDb(f);oYb(b,d);u=e;return}function C0b(a,b){a=a|0;b=b|0;return +(+n[b>>2])}function D0b(a,b,c){a=a|0;b=b|0;c=c|0;return b|0}function E0b(a){a=a|0;Emc(a);return}function F0b(a,b){a=a|0;b=b|0;return (f[b>>2]|0)==0|0}function G0b(a,b){a=a|0;b=b|0;return f[b>>2]|0}function H0b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return ki[f[(f[a>>2]|0)+76>>2]&511](a,(f[b+8>>2]|0)+8+(c<<3)|0,d)|0}function I0b(a,b){a=a|0;b=b|0;f[b>>2]=0;return}function J0b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=Sh[f[(f[a>>2]|0)+72>>2]&511](a,d)|0;d=(f[b+8>>2]|0)+8+(c<<3)|0;f[d>>2]=e;f[d+4>>2]=J;return}function K0b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=Sh[f[(f[a>>2]|0)+72>>2]&511](a,c)|0;c=J;a=f[b>>2]|0;if((a|0)==(f[b+4>>2]|0)){bhb(b,a+1|0);e=f[b>>2]|0}else e=a;a=f[b+8>>2]|0;f[b>>2]=e+1;b=a+8+(e<<3)|0;f[b>>2]=d;f[b+4>>2]=c;return}function L0b(a,b){a=a|0;b=b|0;f[b>>2]=(f[b>>2]|0)+-1;return}function M0b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;a=f[b+8>>2]|0;b=a+8+(c<<3)|0;c=a+8+(d<<3)|0;d=b;a=f[d>>2]|0;e=f[d+4>>2]|0;d=c;g=f[d+4>>2]|0;h=b;f[h>>2]=f[d>>2];f[h+4>>2]=g;g=c;f[g>>2]=a;f[g+4>>2]=e;return}function N0b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=u;u=u+32|0;f=e;if((a|0)==(c|0)){nYb(b,d);u=e;return}TDb(f,3,507499,287);QDb(e+24|0,ODb(f,507596)|0);UDb(f);nYb(b,d);u=e;return}function O0b(a,b){a=a|0;b=b|0;a=b;J=f[a+4>>2]|0;return f[a>>2]|0}function P0b(a,b,c){a=a|0;b=b|0;c=c|0;return b|0}function Q0b(a){a=a|0;Emc(a);return}function R0b(a,b){a=a|0;b=b|0;return (f[b>>2]|0)==0|0}function S0b(a,b){a=a|0;b=b|0;return f[b>>2]|0}function T0b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return ki[f[(f[a>>2]|0)+76>>2]&511](a,(f[b+8>>2]|0)+8+(c<<3)|0,d)|0}function U0b(a,b){a=a|0;b=b|0;f[b>>2]=0;return}function V0b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=Sh[f[(f[a>>2]|0)+72>>2]&511](a,d)|0;d=(f[b+8>>2]|0)+8+(c<<3)|0;f[d>>2]=e;f[d+4>>2]=J;return}function W0b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=Sh[f[(f[a>>2]|0)+72>>2]&511](a,c)|0;c=J;a=f[b>>2]|0;if((a|0)==(f[b+4>>2]|0)){cEa(b,a+1|0);e=f[b>>2]|0}else e=a;a=f[b+8>>2]|0;f[b>>2]=e+1;b=a+8+(e<<3)|0;f[b>>2]=d;f[b+4>>2]=c;return}function X0b(a,b){a=a|0;b=b|0;f[b>>2]=(f[b>>2]|0)+-1;return}function Y0b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;a=f[b+8>>2]|0;b=a+8+(c<<3)|0;c=a+8+(d<<3)|0;d=b;a=f[d>>2]|0;e=f[d+4>>2]|0;d=c;g=f[d+4>>2]|0;h=b;f[h>>2]=f[d>>2];f[h+4>>2]=g;g=c;f[g>>2]=a;f[g+4>>2]=e;return}function Z0b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=u;u=u+32|0;f=e;if((a|0)==(c|0)){lYb(b,d);u=e;return}TDb(f,3,507499,287);QDb(e+24|0,ODb(f,507596)|0);UDb(f);lYb(b,d);u=e;return}function _0b(a,b){a=a|0;b=b|0;a=b;J=f[a+4>>2]|0;return f[a>>2]|0}function $0b(a,b,c){a=a|0;b=b|0;c=c|0;return b|0}function a1b(a){a=a|0;Emc(a);return}function b1b(a,b){a=a|0;b=b|0;return (f[b>>2]|0)==0|0}function c1b(a,b){a=a|0;b=b|0;return f[b>>2]|0}function d1b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return ki[f[(f[a>>2]|0)+76>>2]&511](a,(f[b+8>>2]|0)+4+(c<<2)|0,d)|0}function e1b(a,b){a=a|0;b=b|0;f[b>>2]=0;return}function f1b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=Sh[f[(f[a>>2]|0)+72>>2]&511](a,d)|0;f[(f[b+8>>2]|0)+4+(c<<2)>>2]=e;return}function g1b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=Sh[f[(f[a>>2]|0)+72>>2]&511](a,c)|0;c=f[b>>2]|0;if((c|0)==(f[b+4>>2]|0)){iFa(b,c+1|0);e=f[b>>2]|0}else e=c;c=f[b+8>>2]|0;f[b>>2]=e+1;f[c+4+(e<<2)>>2]=d;return}function h1b(a,b){a=a|0;b=b|0;f[b>>2]=(f[b>>2]|0)+-1;return}function i1b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;a=f[b+8>>2]|0;b=a+4+(c<<2)|0;c=a+4+(d<<2)|0;d=f[b>>2]|0;f[b>>2]=f[c>>2];f[c>>2]=d;return}function j1b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=u;u=u+32|0;f=e;if((a|0)==(c|0)){mYb(b,d);u=e;return}TDb(f,3,507499,287);QDb(e+24|0,ODb(f,507596)|0);UDb(f);mYb(b,d);u=e;return}function k1b(a,b){a=a|0;b=b|0;return f[b>>2]|0}function l1b(a,b,c){a=a|0;b=b|0;c=c|0;return b|0}function m1b(a){a=a|0;Emc(a);return}function n1b(a,b){a=a|0;b=b|0;return (f[b>>2]|0)==0|0}function o1b(a,b){a=a|0;b=b|0;return f[b>>2]|0}function p1b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return ki[f[(f[a>>2]|0)+76>>2]&511](a,(f[b+8>>2]|0)+4+(c<<2)|0,d)|0}function q1b(a,b){a=a|0;b=b|0;f[b>>2]=0;return}function r1b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=Sh[f[(f[a>>2]|0)+72>>2]&511](a,d)|0;f[(f[b+8>>2]|0)+4+(c<<2)>>2]=e;return}function s1b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=Sh[f[(f[a>>2]|0)+72>>2]&511](a,c)|0;c=f[b>>2]|0;if((c|0)==(f[b+4>>2]|0)){eFa(b,c+1|0);e=f[b>>2]|0}else e=c;c=f[b+8>>2]|0;f[b>>2]=e+1;f[c+4+(e<<2)>>2]=d;return}function t1b(a,b){a=a|0;b=b|0;f[b>>2]=(f[b>>2]|0)+-1;return}function u1b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;a=f[b+8>>2]|0;b=a+4+(c<<2)|0;c=a+4+(d<<2)|0;d=f[b>>2]|0;f[b>>2]=f[c>>2];f[c>>2]=d;return}function v1b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=u;u=u+32|0;f=e;if((a|0)==(c|0)){kYb(b,d);u=e;return}TDb(f,3,507499,287);QDb(e+24|0,ODb(f,507596)|0);UDb(f);kYb(b,d);u=e;return}function w1b(a,b){a=a|0;b=b|0;return f[b>>2]|0}function x1b(a,b,c){a=a|0;b=b|0;c=c|0;return b|0}function y1b(a){a=a|0;return}function z1b(){KDb(175);return}function A1b(){var a=0;a=f[222971]|0;if(a|0)ai[f[(f[a>>2]|0)+4>>2]&2047](a);f[222971]=0;a=f[222973]|0;if(a|0)ai[f[(f[a>>2]|0)+4>>2]&2047](a);f[222973]=0;a=f[222975]|0;if(a|0)ai[f[(f[a>>2]|0)+4>>2]&2047](a);f[222975]=0;a=f[222977]|0;if(a|0)ai[f[(f[a>>2]|0)+4>>2]&2047](a);f[222977]=0;a=f[222979]|0;if(a|0)ai[f[(f[a>>2]|0)+4>>2]&2047](a);f[222979]=0;a=f[222981]|0;if(a|0)ai[f[(f[a>>2]|0)+4>>2]&2047](a);f[222981]=0;a=f[222983]|0;if(a|0)ai[f[(f[a>>2]|0)+4>>2]&2047](a);f[222983]=0;a=f[222985]|0;if(a|0)ai[f[(f[a>>2]|0)+4>>2]&2047](a);f[222985]=0;a=f[222989]|0;if(a|0)ai[f[(f[a>>2]|0)+4>>2]&2047](a);f[222989]=0;a=f[222987]|0;if(!a){f[222987]=0;return}ai[f[(f[a>>2]|0)+4>>2]&2047](a);f[222987]=0;return}function B1b(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f2b(a,e,c);if((b[e+11>>0]|0)>=0){u=d;return}Emc(f[e>>2]|0);u=d;return}function C1b(a,b,c){a=a|0;b=b|0;c=c|0;return Vf[f[(f[a>>2]|0)+324>>2]&127](a,b,c,1,-1,0)|0}function D1b(a,b,c){a=a|0;b=b|0;c=c|0;return Vf[f[(f[a>>2]|0)+324>>2]&127](a,b,c,2,-1,0)|0}function E1b(a,b,c){a=a|0;b=b|0;c=c|0;return Vf[f[(f[a>>2]|0)+324>>2]&127](a,b,c,3,-1,0)|0}function F1b(a,b,c){a=a|0;b=b|0;c=c|0;return Vf[f[(f[a>>2]|0)+324>>2]&127](a,b,c,4,-1,0)|0}function G1b(a,b,c){a=a|0;b=b|0;c=c|0;return Vf[f[(f[a>>2]|0)+324>>2]&127](a,b,c,6,-1,0)|0}function H1b(a,b,c){a=a|0;b=b|0;c=c|0;return Vf[f[(f[a>>2]|0)+324>>2]&127](a,b,c,5,-1,0)|0}function I1b(a,b,c){a=a|0;b=b|0;c=c|0;return Vf[f[(f[a>>2]|0)+324>>2]&127](a,b,c,7,-1,0)|0}function J1b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return Vf[f[(f[a>>2]|0)+324>>2]&127](a,b,c,9,0,0)|0}function K1b(){var a=0,c=0,d=0;a=u;u=u+16|0;c=a;if((f[222990]|0)==2){d=f[222991]|0;u=a;return d|0}f[c>>2]=149752;f[c+4>>2]=176;b[c+8>>0]=0;dEb(891960,c);zDb(c);d=f[222991]|0;u=a;return d|0}function L1b(){var a=0,b=0;a=Bmc(48)|0;f[a>>2]=156924;b=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;n[a+20>>2]=1.0;VDb(a+24|0);b=a+28|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;n[a+44>>2]=1.0;f[222991]=a;KDb(177);return}function M1b(){var a=0;a=f[222991]|0;if(!a)return;ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function N1b(a){a=a|0;var b=0,c=0;f[a>>2]=156924;b=f[a+36>>2]|0;if(b|0){c=b;do{b=c;c=f[c>>2]|0;Emc(b)}while((c|0)!=0)}c=a+28|0;b=f[c>>2]|0;f[c>>2]=0;if(b|0)Emc(b);WDb(a+24|0);b=f[a+12>>2]|0;if(b|0){c=b;do{b=c;c=f[c>>2]|0;Emc(b)}while((c|0)!=0)}c=a+4|0;a=f[c>>2]|0;f[c>>2]=0;if(!a)return;Emc(a);return}function O1b(a){a=a|0;N1b(a);Emc(a);return}function P1b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;d=u;u=u+64|0;e=d+48|0;g=d+24|0;h=d+53|0;i=d;j=d+52|0;k=c;l=a+24|0;FDb(l);m=a+28|0;n=a+32|0;o=f[n>>2]|0;a:do if(o){p=o+-1|0;q=(p&o|0)==0;if(!q)if(k>>>0<o>>>0)r=k;else r=(k>>>0)%(o>>>0)|0;else r=p&k;s=f[(f[m>>2]|0)+(r<<2)>>2]|0;if((s|0)!=0?(t=f[s>>2]|0,(t|0)!=0):0){b:do if(q){s=t;while(1){v=f[s+4>>2]|0;w=(v|0)==(k|0);if(!(w|(v&p|0)==(r|0))){x=19;break a}if(w?(f[s+8>>2]|0)==(c|0):0){y=s;break b}s=f[s>>2]|0;if(!s){x=19;break a}}}else{s=t;while(1){w=f[s+4>>2]|0;if((w|0)==(k|0)){if((f[s+8>>2]|0)==(c|0)){y=s;break b}}else{if(w>>>0<o>>>0)z=w;else z=(w>>>0)%(o>>>0)|0;if((z|0)!=(r|0)){x=19;break a}}s=f[s>>2]|0;if(!s){x=19;break a}}}while(0);t=f[y+12>>2]|0;GDb(l);if(t|0){A=t;u=d;return A|0}}else x=19}else x=19;while(0);if((x|0)==19)GDb(l);y=c+8|0;r=f[(f[y>>2]|0)+8>>2]|0;if((r|0)!=(MIb()|0)){A=0;u=d;return A|0}r=f[f[y>>2]>>2]|0;if((b[r+11>>0]|0)<0)B=f[r>>2]|0;else B=r;f[e>>2]=B;B=Q1b(a+4|0,e)|0;if(B){e=f[B+12>>2]|0;if(e|0){FDb(l);B=f[n>>2]|0;c:do if(B){a=B+-1|0;r=(a&B|0)==0;if(!r)if(k>>>0<B>>>0)C=k;else C=(k>>>0)%(B>>>0)|0;else C=a&k;z=f[(f[m>>2]|0)+(C<<2)>>2]|0;if((z|0)!=0?(o=f[z>>2]|0,(o|0)!=0):0){d:do if(r){z=o;while(1){t=f[z+4>>2]|0;p=(t|0)==(k|0);if(!(p|(t&a|0)==(C|0))){x=48;break c}if(p?(f[z+8>>2]|0)==(c|0):0){D=z;break d}z=f[z>>2]|0;if(!z){x=48;break c}}}else{z=o;while(1){p=f[z+4>>2]|0;if((p|0)==(k|0)){if((f[z+8>>2]|0)==(c|0)){D=z;break d}}else{if(p>>>0<B>>>0)E=p;else E=(p>>>0)%(B>>>0)|0;if((E|0)!=(C|0)){x=48;break c}}z=f[z>>2]|0;if(!z){x=48;break c}}}while(0);o=f[D+12>>2]|0;if(o)F=o;else x=48}else x=48}else x=48;while(0);e:do if((x|0)==48){ai[e&2047](f[f[y>>2]>>2]|0);D=f[n>>2]|0;f:do if(D|0){C=D+-1|0;E=(C&D|0)==0;if(!E)if(k>>>0<D>>>0)G=k;else G=(k>>>0)%(D>>>0)|0;else G=C&k;B=f[(f[m>>2]|0)+(G<<2)>>2]|0;if(B|0?(o=f[B>>2]|0,o|0):0){g:do if(E){B=o;while(1){a=f[B+4>>2]|0;r=(a|0)==(k|0);if(!(r|(a&C|0)==(G|0)))break f;if(r?(f[B+8>>2]|0)==(c|0):0){H=B;break g}B=f[B>>2]|0;if(!B)break f}}else{B=o;while(1){r=f[B+4>>2]|0;if((r|0)==(k|0)){if((f[B+8>>2]|0)==(c|0)){H=B;break g}}else{if(r>>>0<D>>>0)I=r;else I=(r>>>0)%(D>>>0)|0;if((I|0)!=(G|0))break f}B=f[B>>2]|0;if(!B)break f}}while(0);o=f[H+12>>2]|0;if(o|0){F=o;break e}}}while(0);TDb(i,2,507039,361);D=ODb(ODb(i,509041)|0,509090)|0;QDb(j,PDb(D,f[c+4>>2]|0)|0);UDb(i);F=0}while(0);GDb(l);A=F;u=d;return A|0}}TDb(g,2,507039,344);F=ODb(g,508980)|0;QDb(h,PDb(F,f[f[y>>2]>>2]|0)|0);UDb(g);A=0;u=d;return A|0}function Q1b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=f[c>>2]|0;c=b[d>>0]|0;if(!(c<<24>>24))e=0;else{g=d;h=0;i=c;while(1){c=(h*5|0)+(i<<24>>24)|0;g=g+1|0;i=b[g>>0]|0;if(!(i<<24>>24)){e=c;break}else h=c}}h=f[a+4>>2]|0;if(!h){j=0;return j|0}i=h+-1|0;g=(i&h|0)==0;if(!g)if(e>>>0<h>>>0)k=e;else k=(e>>>0)%(h>>>0)|0;else k=i&e;c=f[(f[a>>2]|0)+(k<<2)>>2]|0;if(!c){j=0;return j|0}a=f[c>>2]|0;if(!a){j=0;return j|0}if(g){g=a;while(1){c=f[g+4>>2]|0;l=(c|0)==(e|0);if(!(l|(c&i|0)==(k|0))){j=0;m=22;break}if(l?(o7b(f[g+8>>2]|0,d)|0)==0:0){j=g;m=22;break}g=f[g>>2]|0;if(!g){j=0;m=22;break}}if((m|0)==22)return j|0}else n=a;while(1){a=f[n+4>>2]|0;g=(a|0)==(e|0);if(!g){if(a>>>0<h>>>0)o=a;else o=(a>>>0)%(h>>>0)|0;if((o|0)!=(k|0)){j=0;m=22;break}if(g)m=21}else m=21;if((m|0)==21?(m=0,(o7b(f[n+8>>2]|0,d)|0)==0):0){j=n;m=22;break}n=f[n>>2]|0;if(!n){j=0;m=22;break}}if((m|0)==22)return j|0;return 0}function R1b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+24|0;g=d;if((f[222990]|0)!=2){f[e>>2]=149752;f[e+4>>2]=176;b[e+8>>0]=0;dEb(891960,e);zDb(e)}h=(f[222991]|0)+4|0;f[e>>2]=a;f[e+4>>2]=c;if(S1b(h,e)|0){u=d;return}TDb(g,3,507039,309);QDb(d+36|0,ODb(ODb(g,509161)|0,a)|0);UDb(g);u=d;return}function S1b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0.0,v=0,w=0,x=0,y=0,z=0;d=f[c>>2]|0;e=b[d>>0]|0;if(!(e<<24>>24))g=0;else{h=d;i=0;j=e;while(1){e=(i*5|0)+(j<<24>>24)|0;h=h+1|0;j=b[h>>0]|0;if(!(j<<24>>24)){g=e;break}else i=e}}i=a+4|0;j=f[i>>2]|0;h=(j|0)==0;a:do if(!h){e=j+-1|0;k=(e&j|0)==0;if(!k)if(g>>>0<j>>>0)l=g;else l=(g>>>0)%(j>>>0)|0;else l=e&g;m=f[(f[a>>2]|0)+(l<<2)>>2]|0;if(!m)o=l;else{if(k){k=m;while(1){k=f[k>>2]|0;if(!k){o=l;break a}p=f[k+4>>2]|0;if(!((p|0)==(g|0)|(p&e|0)==(l|0))){o=l;break a}if(!(o7b(f[k+8>>2]|0,d)|0)){q=0;break}}return q|0}else r=m;while(1){r=f[r>>2]|0;if(!r){o=l;break a}k=f[r+4>>2]|0;if((k|0)!=(g|0)){if(k>>>0<j>>>0)s=k;else s=(k>>>0)%(j>>>0)|0;if((s|0)!=(l|0)){o=l;break a}}if(!(o7b(f[r+8>>2]|0,d)|0)){q=0;break}}return q|0}}else o=0;while(0);d=Bmc(16)|0;r=c;c=f[r+4>>2]|0;l=d+8|0;f[l>>2]=f[r>>2];f[l+4>>2]=c;f[d+4>>2]=g;f[d>>2]=0;c=a+12|0;t=+(((f[c>>2]|0)+1|0)>>>0);u=+n[a+16>>2];do if(h|t>+(j>>>0)*u){l=(j>>>0<3|(j+-1&j|0)!=0)&1|j<<1;r=~~+X(+(t/u))>>>0;T1b(a,l>>>0<r>>>0?r:l);l=f[i>>2]|0;r=l+-1|0;if(!(r&l)){v=l;w=r&g;break}if(g>>>0<l>>>0){v=l;w=g}else{v=l;w=(g>>>0)%(l>>>0)|0}}else{v=j;w=o}while(0);o=(f[a>>2]|0)+(w<<2)|0;w=f[o>>2]|0;if(!w){j=a+8|0;f[d>>2]=f[j>>2];f[j>>2]=d;f[o>>2]=j;j=f[d>>2]|0;if(j|0){o=f[j+4>>2]|0;j=v+-1|0;if(j&v)if(o>>>0<v>>>0)x=o;else x=(o>>>0)%(v>>>0)|0;else x=o&j;y=(f[a>>2]|0)+(x<<2)|0;z=32}}else{f[d>>2]=f[w>>2];y=w;z=32}if((z|0)==32)f[y>>2]=d;f[c>>2]=(f[c>>2]|0)+1;q=1;return q|0}function T1b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if((b|0)!=1)if(!(b+-1&b))c=b;else c=pbc(b)|0;else c=2;b=f[a+4>>2]|0;if(c>>>0>b>>>0){U1b(a,c);return}if(c>>>0>=b>>>0)return;d=~~+X(+(+((f[a+12>>2]|0)>>>0)/+n[a+16>>2]))>>>0;if(b>>>0>2&(b+-1&b|0)==0)e=1<<32-($(d+-1|0)|0);else e=pbc(d)|0;d=c>>>0<e>>>0?e:c;if(d>>>0>=b>>>0)return;U1b(a,d);return}function U1b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;c=(b|0)!=0;do if(c)if(b>>>0>1073741823){d=ye(8)|0;Jmc(d,511852);f[d>>2]=165276;Gf(d|0,26776,1555)}else{e=Bmc(b<<2)|0;break}else e=0;while(0);d=f[a>>2]|0;f[a>>2]=e;if(d|0)Emc(d);f[a+4>>2]=b;if(c)g=0;else return;do{f[(f[a>>2]|0)+(g<<2)>>2]=0;g=g+1|0}while((g|0)!=(b|0));g=a+8|0;c=f[g>>2]|0;if(!c)return;d=f[c+4>>2]|0;e=b+-1|0;h=(e&b|0)==0;if(!h)if(d>>>0<b>>>0)i=d;else i=(d>>>0)%(b>>>0)|0;else i=d&e;f[(f[a>>2]|0)+(i<<2)>>2]=g;g=f[c>>2]|0;if(!g)return;else{j=i;k=c;l=g;m=c}a:while(1){b:do if(h){c=k;g=l;i=m;while(1){d=g;while(1){n=f[d+4>>2]&e;if((n|0)==(j|0))break;o=(f[a>>2]|0)+(n<<2)|0;if(!(f[o>>2]|0)){p=d;q=i;r=o;s=n;break b}o=d+8|0;t=d;while(1){u=f[t>>2]|0;if(!u)break;if(!(o7b(f[o>>2]|0,f[u+8>>2]|0)|0))t=u;else break}f[i>>2]=u;f[t>>2]=f[f[(f[a>>2]|0)+(n<<2)>>2]>>2];f[f[(f[a>>2]|0)+(n<<2)>>2]>>2]=d;o=f[c>>2]|0;if(!o){v=35;break a}else d=o}g=f[d>>2]|0;if(!g){v=35;break a}else{c=d;i=d}}}else{i=k;c=l;g=m;while(1){o=c;while(1){w=f[o+4>>2]|0;if(w>>>0<b>>>0)x=w;else x=(w>>>0)%(b>>>0)|0;if((x|0)==(j|0))break;w=(f[a>>2]|0)+(x<<2)|0;if(!(f[w>>2]|0)){p=o;q=g;r=w;s=x;break b}w=o+8|0;y=o;while(1){z=f[y>>2]|0;if(!z)break;if(!(o7b(f[w>>2]|0,f[z+8>>2]|0)|0))y=z;else break}f[g>>2]=z;f[y>>2]=f[f[(f[a>>2]|0)+(x<<2)>>2]>>2];f[f[(f[a>>2]|0)+(x<<2)>>2]>>2]=o;w=f[i>>2]|0;if(!w){v=35;break a}else o=w}c=f[o>>2]|0;if(!c){v=35;break a}else{i=o;g=o}}}while(0);f[r>>2]=q;l=f[p>>2]|0;if(!l){v=35;break}else{j=s;k=p;m=p}}if((v|0)==35)return}function V1b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+48|0;e=d+24|0;g=d;if((f[222990]|0)!=2){f[e>>2]=149752;f[e+4>>2]=176;b[e+8>>0]=0;dEb(891960,e);zDb(e)}h=(f[222991]|0)+28|0;f[e>>2]=a;f[e+4>>2]=c;if(W1b(h,e)|0){u=d;return}TDb(g,2,507039,324);e=ODb(g,509190)|0;QDb(d+36|0,PDb(e,f[a+4>>2]|0)|0);UDb(g);u=d;return}function W1b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0.0,t=0.0,u=0,v=0,w=0,x=0,y=0;c=f[b>>2]|0;d=a+4|0;e=f[d>>2]|0;g=(e|0)==0;h=c;a:do if(!g){i=e+-1|0;j=(i&e|0)==0;if(!j)if(c>>>0<e>>>0)k=c;else k=(c>>>0)%(e>>>0)|0;else k=i&c;l=f[(f[a>>2]|0)+(k<<2)>>2]|0;if(!l)m=k;else{if(j){j=l;while(1){j=f[j>>2]|0;if(!j){m=k;break a}o=f[j+4>>2]|0;if(!((o|0)==(c|0)|(o&i|0)==(k|0))){m=k;break a}if((f[j+8>>2]|0)==(h|0)){p=0;break}}return p|0}else q=l;while(1){q=f[q>>2]|0;if(!q){m=k;break a}j=f[q+4>>2]|0;if((j|0)!=(c|0)){if(j>>>0<e>>>0)r=j;else r=(j>>>0)%(e>>>0)|0;if((r|0)!=(k|0)){m=k;break a}}if((f[q+8>>2]|0)==(h|0)){p=0;break}}return p|0}}else m=0;while(0);h=Bmc(16)|0;q=b;b=f[q+4>>2]|0;k=h+8|0;f[k>>2]=f[q>>2];f[k+4>>2]=b;f[h+4>>2]=c;f[h>>2]=0;b=a+12|0;s=+(((f[b>>2]|0)+1|0)>>>0);t=+n[a+16>>2];do if(g|s>+(e>>>0)*t){k=(e>>>0<3|(e+-1&e|0)!=0)&1|e<<1;q=~~+X(+(s/t))>>>0;X1b(a,k>>>0<q>>>0?q:k);k=f[d>>2]|0;q=k+-1|0;if(!(q&k)){u=k;v=q&c;break}if(c>>>0<k>>>0){u=k;v=c}else{u=k;v=(c>>>0)%(k>>>0)|0}}else{u=e;v=m}while(0);m=(f[a>>2]|0)+(v<<2)|0;v=f[m>>2]|0;if(!v){e=a+8|0;f[h>>2]=f[e>>2];f[e>>2]=h;f[m>>2]=e;e=f[h>>2]|0;if(e|0){m=f[e+4>>2]|0;e=u+-1|0;if(e&u)if(m>>>0<u>>>0)w=m;else w=(m>>>0)%(u>>>0)|0;else w=m&e;x=(f[a>>2]|0)+(w<<2)|0;y=30}}else{f[h>>2]=f[v>>2];x=v;y=30}if((y|0)==30)f[x>>2]=h;f[b>>2]=(f[b>>2]|0)+1;p=1;return p|0}function X1b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if((b|0)!=1)if(!(b+-1&b))c=b;else c=pbc(b)|0;else c=2;b=f[a+4>>2]|0;if(c>>>0>b>>>0){Y1b(a,c);return}if(c>>>0>=b>>>0)return;d=~~+X(+(+((f[a+12>>2]|0)>>>0)/+n[a+16>>2]))>>>0;if(b>>>0>2&(b+-1&b|0)==0)e=1<<32-($(d+-1|0)|0);else e=pbc(d)|0;d=c>>>0<e>>>0?e:c;if(d>>>0>=b>>>0)return;Y1b(a,d);return}function Y1b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;c=(b|0)!=0;do if(c)if(b>>>0>1073741823){d=ye(8)|0;Jmc(d,511852);f[d>>2]=165276;Gf(d|0,26776,1555)}else{e=Bmc(b<<2)|0;break}else e=0;while(0);d=f[a>>2]|0;f[a>>2]=e;if(d|0)Emc(d);f[a+4>>2]=b;if(c)g=0;else return;do{f[(f[a>>2]|0)+(g<<2)>>2]=0;g=g+1|0}while((g|0)!=(b|0));g=a+8|0;c=f[g>>2]|0;if(!c)return;d=f[c+4>>2]|0;e=b+-1|0;h=(e&b|0)==0;if(!h)if(d>>>0<b>>>0)i=d;else i=(d>>>0)%(b>>>0)|0;else i=d&e;f[(f[a>>2]|0)+(i<<2)>>2]=g;g=f[c>>2]|0;if(!g)return;else{j=i;k=c;l=g;m=c}a:while(1){b:do if(h){c=k;g=l;i=m;while(1){d=g;while(1){n=f[d+4>>2]&e;if((n|0)==(j|0))break;o=(f[a>>2]|0)+(n<<2)|0;if(!(f[o>>2]|0)){p=d;q=i;r=o;s=n;break b}o=d+8|0;t=d;while(1){u=f[t>>2]|0;if(!u)break;if((f[o>>2]|0)==(f[u+8>>2]|0))t=u;else break}f[i>>2]=u;f[t>>2]=f[f[(f[a>>2]|0)+(n<<2)>>2]>>2];f[f[(f[a>>2]|0)+(n<<2)>>2]>>2]=d;o=f[c>>2]|0;if(!o){v=35;break a}else d=o}g=f[d>>2]|0;if(!g){v=35;break a}else{c=d;i=d}}}else{i=k;c=l;g=m;while(1){o=c;while(1){w=f[o+4>>2]|0;if(w>>>0<b>>>0)x=w;else x=(w>>>0)%(b>>>0)|0;if((x|0)==(j|0))break;w=(f[a>>2]|0)+(x<<2)|0;if(!(f[w>>2]|0)){p=o;q=g;r=w;s=x;break b}w=o+8|0;y=o;while(1){z=f[y>>2]|0;if(!z)break;if((f[w>>2]|0)==(f[z+8>>2]|0))y=z;else break}f[g>>2]=z;f[y>>2]=f[f[(f[a>>2]|0)+(x<<2)>>2]>>2];f[f[(f[a>>2]|0)+(x<<2)>>2]>>2]=o;w=f[i>>2]|0;if(!w){v=35;break a}else o=w}c=f[o>>2]|0;if(!c){v=35;break a}else{i=o;g=o}}}while(0);f[r>>2]=q;l=f[p>>2]|0;if(!l){v=35;break}else{j=s;k=p;m=p}}if((v|0)==35)return}function Z1b(a,b){a=a|0;b=b|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,b)|0}function _1b(a){a=a|0;return ci[f[(f[a>>2]|0)+20>>2]&1023](a)|0}function $1b(a){a=a|0;return ci[f[(f[a>>2]|0)+24>>2]&1023](a)|0}function a2b(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;b2b(b);c2b(a,b);return}function b2b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;b=u;u=u+16|0;c=b;d=ci[f[(f[a>>2]|0)+92>>2]&1023](a)|0;f[c>>2]=0;e=c+4|0;f[e>>2]=0;f[c+8>>2]=0;Yh[f[(f[d>>2]|0)+64>>2]&511](d,a,c);g=f[c>>2]|0;if((f[e>>2]|0)!=(g|0)){h=0;i=g;do{Yh[f[(f[d>>2]|0)+28>>2]&511](d,a,f[i+(h<<2)>>2]|0);h=h+1|0;i=f[c>>2]|0}while(h>>>0<(f[e>>2]|0)-i>>2>>>0)}i=Sh[f[(f[d>>2]|0)+12>>2]&511](d,a)|0;if(f[i>>2]|0)L3b(i);i=f[c>>2]|0;if(!i){u=b;return}c=f[e>>2]|0;if((c|0)!=(i|0))f[e>>2]=c+(~((c+-4-i|0)>>>2)<<2);Emc(i);u=b;return}function c2b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0;d=u;u=u+96|0;e=d+64|0;g=d+40|0;h=d+16|0;i=d;if((a|0)==(c|0)){TDb(g,3,509219,56);QDb(d+81|0,ODb(g,509312)|0);UDb(g)}xh[f[(f[a>>2]|0)+96>>2]&2047](e,a);g=f[e>>2]|0;xh[f[(f[c>>2]|0)+96>>2]&2047](e,c);if((f[e>>2]|0)!=(g|0)){TDb(h,3,509219,59);j=ODb(ODb(ODb(h,509344)|0,509398)|0,509442)|0;k=ODb(PDb(j,f[g+4>>2]|0)|0,509450)|0;xh[f[(f[c>>2]|0)+96>>2]&2047](e,c);QDb(d+80|0,ODb(PDb(k,f[(f[e>>2]|0)+4>>2]|0)|0,523313)|0);UDb(h)}h=ci[f[(f[a>>2]|0)+92>>2]&1023](a)|0;k=ci[f[(f[c>>2]|0)+92>>2]&1023](c)|0;f[i>>2]=0;g=i+4|0;f[g>>2]=0;f[i+8>>2]=0;Yh[f[(f[h>>2]|0)+64>>2]&511](h,a,i);j=f[i>>2]|0;if((f[g>>2]|0)!=(j|0)){l=e+11|0;m=e+4|0;n=e+8|0;o=e+12|0;p=e+11|0;q=e+4|0;r=e+8|0;s=e+12|0;t=0;v=j;do{j=f[v+(t<<2)>>2]|0;a:do if((f[j+32>>2]|0)==3){w=ki[f[(f[h>>2]|0)+24>>2]&511](h,a,j)|0;if((w|0)>0){x=j+24|0;y=j+28|0;z=0;while(1){A=f[x>>2]|0;if(A|0?(f[A>>2]|0)!=2:0){f[e>>2]=110868;f[m>>2]=1634;b[n>>0]=0;f[o>>2]=j;dEb(A,e)}do switch(f[149940+(f[y>>2]<<2)>>2]|0){case 1:{A=f[(f[k>>2]|0)+260>>2]|0;B=Bg[f[(f[h>>2]|0)+168>>2]&127](h,a,j,z)|0;rh[A&255](k,c,j,B);break}case 2:{B=f[(f[k>>2]|0)+264>>2]|0;A=Bg[f[(f[h>>2]|0)+172>>2]&127](h,a,j,z)|0;sh[B&255](k,c,j,A,J);break}case 3:{A=f[(f[k>>2]|0)+268>>2]|0;B=Bg[f[(f[h>>2]|0)+176>>2]&127](h,a,j,z)|0;rh[A&255](k,c,j,B);break}case 4:{B=f[(f[k>>2]|0)+272>>2]|0;A=Bg[f[(f[h>>2]|0)+180>>2]&127](h,a,j,z)|0;sh[B&255](k,c,j,A,J);break}case 6:{A=f[(f[k>>2]|0)+276>>2]|0;C=+Ih[f[(f[h>>2]|0)+184>>2]&15](h,a,j,z);mh[A&63](k,c,j,C);break}case 5:{A=f[(f[k>>2]|0)+280>>2]|0;C=+Ih[f[(f[h>>2]|0)+188>>2]&15](h,a,j,z);mh[A&63](k,c,j,C);break}case 7:{A=f[(f[k>>2]|0)+284>>2]|0;B=Bg[f[(f[h>>2]|0)+192>>2]&127](h,a,j,z)|0;rh[A&255](k,c,j,B);break}case 9:{B=f[(f[k>>2]|0)+288>>2]|0;sh[f[(f[h>>2]|0)+196>>2]&255](e,h,a,j,z);rh[B&255](k,c,j,e);if((b[l>>0]|0)<0)Emc(f[e>>2]|0);break}case 8:{B=f[(f[k>>2]|0)+292>>2]|0;A=Bg[f[(f[h>>2]|0)+200>>2]&127](h,a,j,z)|0;rh[B&255](k,c,j,A);break}case 10:{A=Bg[f[(f[k>>2]|0)+300>>2]&127](k,c,j,0)|0;B=f[(f[A>>2]|0)+76>>2]|0;D=Bg[f[(f[h>>2]|0)+208>>2]&127](h,a,j,z)|0;xh[B&2047](A,D);break}default:{}}while(0);z=z+1|0;if((z|0)>=(w|0))break a}}}else{w=f[j+24>>2]|0;if(w|0?(f[w>>2]|0)!=2:0){f[e>>2]=110868;f[q>>2]=1634;b[r>>0]=0;f[s>>2]=j;dEb(w,e)}do switch(f[149940+(f[j+28>>2]<<2)>>2]|0){case 1:{w=f[(f[k>>2]|0)+116>>2]|0;z=ki[f[(f[h>>2]|0)+68>>2]&511](h,a,j)|0;rh[w&255](k,c,j,z);break a;break}case 2:{z=f[(f[k>>2]|0)+120>>2]|0;w=ki[f[(f[h>>2]|0)+72>>2]&511](h,a,j)|0;sh[z&255](k,c,j,w,J);break a;break}case 3:{w=f[(f[k>>2]|0)+124>>2]|0;z=ki[f[(f[h>>2]|0)+76>>2]&511](h,a,j)|0;rh[w&255](k,c,j,z);break a;break}case 4:{z=f[(f[k>>2]|0)+128>>2]|0;w=ki[f[(f[h>>2]|0)+80>>2]&511](h,a,j)|0;sh[z&255](k,c,j,w,J);break a;break}case 6:{w=f[(f[k>>2]|0)+132>>2]|0;C=+dh[f[(f[h>>2]|0)+84>>2]&31](h,a,j);mh[w&63](k,c,j,C);break a;break}case 5:{w=f[(f[k>>2]|0)+136>>2]|0;C=+dh[f[(f[h>>2]|0)+88>>2]&31](h,a,j);mh[w&63](k,c,j,C);break a;break}case 7:{w=f[(f[k>>2]|0)+140>>2]|0;z=ki[f[(f[h>>2]|0)+92>>2]&511](h,a,j)|0;rh[w&255](k,c,j,z);break a;break}case 9:{z=f[(f[k>>2]|0)+144>>2]|0;rh[f[(f[h>>2]|0)+96>>2]&255](e,h,a,j);rh[z&255](k,c,j,e);if((b[p>>0]|0)<0)Emc(f[e>>2]|0);break a;break}case 8:{z=f[(f[k>>2]|0)+148>>2]|0;w=ki[f[(f[h>>2]|0)+100>>2]&511](h,a,j)|0;rh[z&255](k,c,j,w);break a;break}case 10:{w=Bg[f[(f[k>>2]|0)+156>>2]&127](k,c,j,0)|0;z=f[(f[w>>2]|0)+76>>2]|0;y=Bg[f[(f[h>>2]|0)+108>>2]&127](h,a,j,0)|0;xh[z&2047](w,y);break a;break}default:break a}while(0)}while(0);t=t+1|0;v=f[i>>2]|0}while(t>>>0<(f[g>>2]|0)-v>>2>>>0)}v=Sh[f[(f[k>>2]|0)+12>>2]&511](k,c)|0;O3b(v,Sh[f[(f[h>>2]|0)+8>>2]&511](h,a)|0);a=f[i>>2]|0;if(!a){u=d;return}i=f[g>>2]|0;if((i|0)!=(a|0))f[g>>2]=i+(~((i+-4-a|0)>>>2)<<2);Emc(a);u=d;return}function d2b(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;c=u;u=u+80|0;d=c+32|0;e=c+64|0;g=c;xh[f[(f[a>>2]|0)+96>>2]&2047](d,a);h=f[d>>2]|0;i=ci[f[(f[a>>2]|0)+92>>2]&1023](a)|0;j=h+52|0;k=f[j>>2]|0;a:do if((k|0)>0){l=h+20|0;m=0;n=k;while(1){o=f[l>>2]|0;if((f[o+(m*88|0)+32>>2]|0)==2){if(!(ki[f[(f[i>>2]|0)+20>>2]&511](i,a,o+(m*88|0)|0)|0)){p=0;break}q=f[j>>2]|0}else q=n;m=m+1|0;if((m|0)>=(q|0))break a;else n=q}u=c;return p|0}while(0);f[e>>2]=0;q=e+4|0;f[q>>2]=0;f[e+8>>2]=0;Yh[f[(f[i>>2]|0)+64>>2]&511](i,a,e);j=f[e>>2]|0;k=j;if((f[q>>2]|0)==(j|0)){r=5;s=k}else{j=d+4|0;h=d+24|0;n=g+4|0;m=g+16|0;l=g+8|0;o=d+16|0;t=d+8|0;v=d+4|0;w=d+8|0;x=d+12|0;y=d+4|0;z=d+8|0;A=d+12|0;B=d+4|0;C=d+8|0;D=d+12|0;E=0;F=k;b:while(1){k=f[F+(E<<2)>>2]|0;G=k+24|0;H=f[G>>2]|0;if(H|0?(f[H>>2]|0)!=2:0){f[d>>2]=110868;f[B>>2]=1634;b[C>>0]=0;f[D>>2]=k;dEb(H,d)}H=k+28|0;do if((f[149940+(f[H>>2]<<2)>>2]|0)==10){I=f[G>>2]|0;if(I|0?(f[I>>2]|0)!=2:0){f[d>>2]=110868;f[y>>2]=1634;b[z>>0]=0;f[A>>2]=k;dEb(I,d)}if((f[H>>2]|0)==11?bJb(k)|0:0){I=(dJb(k)|0)+20|0;J=f[I>>2]|0;I=J+88|0;K=f[J+112>>2]|0;if(K|0?(f[K>>2]|0)!=2:0){f[d>>2]=110868;f[v>>2]=1634;b[w>>0]=0;f[x>>2]=I;dEb(K,d)}if((f[149940+(f[J+116>>2]<<2)>>2]|0)!=10)break;J=ki[f[(f[i>>2]|0)+364>>2]&511](i,a,k)|0;if(t_b(J)|0){OXb(d,a,k);OXb(g,a,k);xh[f[(f[J>>2]|0)+24>>2]&2047](J,d);xh[f[(f[J>>2]|0)+28>>2]&2047](J,g);while(1){J=f[j>>2]|0;if(ki[f[(f[J>>2]|0)+20>>2]&511](J,d,g)|0){L=7;break}J=n_b(h)|0;if(!(ci[f[(f[J>>2]|0)+32>>2]&1023](J)|0)){L=1;break}J=f[j>>2]|0;xh[f[(f[J>>2]|0)+60>>2]&2047](J,d)}J=f[n>>2]|0;xh[f[(f[J>>2]|0)+52>>2]&2047](J,g);if((f[m>>2]|0)==9?(J=f[l>>2]|0,J|0):0){if((b[J+11>>0]|0)<0)Emc(f[J>>2]|0);Emc(J)}J=f[j>>2]|0;xh[f[(f[J>>2]|0)+52>>2]&2047](J,d);if((f[o>>2]|0)==9?(J=f[t>>2]|0,J|0):0){if((b[J+11>>0]|0)<0)Emc(f[J>>2]|0);Emc(J)}if((L|0)==7)break;else{M=L;break b}}}if((f[k+32>>2]|0)!=3){J=Bg[f[(f[i>>2]|0)+108>>2]&127](i,a,k,0)|0;if(ci[f[(f[J>>2]|0)+32>>2]&1023](J)|0)break;else{M=1;break b}}J=ki[f[(f[i>>2]|0)+24>>2]&511](i,a,k)|0;if((J|0)>0){K=0;do{I=Bg[f[(f[i>>2]|0)+208>>2]&127](i,a,k,K)|0;K=K+1|0;if(!(ci[f[(f[I>>2]|0)+32>>2]&1023](I)|0)){M=1;break b}}while((K|0)<(J|0))}}while(0);E=E+1|0;F=f[e>>2]|0;if(E>>>0>=(f[q>>2]|0)-F>>2>>>0){M=5;break}}r=M;s=f[e>>2]|0}e=(r|0)==5;if(s|0){r=f[q>>2]|0;if((r|0)!=(s|0))f[q>>2]=r+(~((r+-4-s|0)>>>2)<<2);Emc(s)}p=e;u=c;return p|0}function e2b(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;c=u;u=u+32|0;d=c+16|0;e=c;g=ci[f[(f[a>>2]|0)+92>>2]&1023](a)|0;h=Sh[f[(f[g>>2]|0)+12>>2]&511](g,a)|0;if(f[h>>2]|0)L3b(h);f[e>>2]=0;h=e+4|0;f[h>>2]=0;f[e+8>>2]=0;Yh[f[(f[g>>2]|0)+64>>2]&511](g,a,e);i=f[h>>2]|0;j=f[e>>2]|0;k=j;if((i|0)==(j|0)){l=i;m=k}else{i=d+4|0;j=d+8|0;n=d+12|0;o=0;p=k;while(1){k=f[p+(o<<2)>>2]|0;q=f[k+24>>2]|0;if(q|0?(f[q>>2]|0)!=2:0){f[d>>2]=110868;f[i>>2]=1634;b[j>>0]=0;f[n>>2]=k;dEb(q,d)}do if((f[149940+(f[k+28>>2]<<2)>>2]|0)==10){if((f[k+32>>2]|0)!=3){q=Bg[f[(f[g>>2]|0)+156>>2]&127](g,a,k,0)|0;ai[f[(f[q>>2]|0)+80>>2]&2047](q);break}q=ki[f[(f[g>>2]|0)+24>>2]&511](g,a,k)|0;if((q|0)>0){r=0;do{s=Bg[f[(f[g>>2]|0)+256>>2]&127](g,a,k,r)|0;ai[f[(f[s>>2]|0)+80>>2]&2047](s);r=r+1|0}while((r|0)<(q|0))}}while(0);o=o+1|0;k=f[h>>2]|0;q=f[e>>2]|0;r=q;if(o>>>0>=k-q>>2>>>0){l=k;m=r;break}else p=r}}p=l;if(!m){u=c;return}if((p|0)!=(m|0))f[h>>2]=p+(~((p+-4-m|0)>>>2)<<2);Emc(m);u=c;return}function f2b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;e=u;u=u+32|0;g=e+16|0;h=e;xh[f[(f[a>>2]|0)+96>>2]&2047](g,a);i=f[g>>2]|0;j=ci[f[(f[a>>2]|0)+92>>2]&1023](a)|0;k=i+52|0;if((f[k>>2]|0)>0){l=i+20|0;i=d+4|0;m=d+8|0;n=g+11|0;o=0;do{p=f[l>>2]|0;if((f[p+(o*88|0)+32>>2]|0)==2?!(ki[f[(f[j>>2]|0)+20>>2]&511](j,a,p+(o*88|0)|0)|0):0){JDa(g,c,f[(f[l>>2]|0)+(o*88|0)>>2]|0);p=f[i>>2]|0;if((p|0)==(f[m>>2]|0))LY(d,g);else{Nmc(p,g);f[i>>2]=(f[i>>2]|0)+12}if((b[n>>0]|0)<0)Emc(f[g>>2]|0)}o=o+1|0}while((o|0)<(f[k>>2]|0))}f[h>>2]=0;k=h+4|0;f[k>>2]=0;f[h+8>>2]=0;Yh[f[(f[j>>2]|0)+64>>2]&511](j,a,h);o=f[k>>2]|0;n=f[h>>2]|0;i=n;if((o|0)==(n|0)){q=o;r=i}else{o=g+11|0;n=g+11|0;m=g+4|0;l=g+8|0;p=g+12|0;s=0;t=i;while(1){i=f[t+(s<<2)>>2]|0;v=f[i+24>>2]|0;if(v|0?(f[v>>2]|0)!=2:0){f[g>>2]=110868;f[m>>2]=1634;b[l>>0]=0;f[p>>2]=i;dEb(v,g)}do if((f[149940+(f[i+28>>2]<<2)>>2]|0)==10){if((f[i+32>>2]|0)!=3){v=Bg[f[(f[j>>2]|0)+108>>2]&127](j,a,i,0)|0;g2b(g,c,i,-1);f2b(v,g,d);if((b[n>>0]|0)<0)Emc(f[g>>2]|0);break}v=ki[f[(f[j>>2]|0)+24>>2]&511](j,a,i)|0;if((v|0)>0){w=0;do{x=Bg[f[(f[j>>2]|0)+208>>2]&127](j,a,i,w)|0;g2b(g,c,i,w);f2b(x,g,d);if((b[o>>0]|0)<0)Emc(f[g>>2]|0);w=w+1|0}while((w|0)<(v|0))}}while(0);s=s+1|0;i=f[k>>2]|0;v=f[h>>2]|0;w=v;if(s>>>0>=i-v>>2>>>0){q=i;r=w;break}else t=w}}t=q;if(!r){u=e;return}if((t|0)!=(r|0))f[k>>2]=t+(~((t+-4-r|0)>>>2)<<2);Emc(r);u=e;return}function g2b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;g=u;u=u+16|0;h=g;Nmc(a,c);if(!(b[d+38>>0]|0)){c=f[d>>2]|0;i=b[c+11>>0]|0;j=i<<24>>24<0;$mc(a,j?f[c>>2]|0:c,j?f[c+4>>2]|0:i&255)|0}else{anc(a,523315)|0;i=f[d+4>>2]|0;d=b[i+11>>0]|0;c=d<<24>>24<0;$mc(a,c?f[i>>2]|0:i,c?f[i+4>>2]|0:d&255)|0;anc(a,523313)|0}if((e|0)==-1){anc(a,523604)|0;u=g;return}anc(a,509775)|0;E6b(h,e);e=h+11|0;d=b[e>>0]|0;i=d<<24>>24<0;$mc(a,i?f[h>>2]|0:h,i?f[h+4>>2]|0:d&255)|0;if((b[e>>0]|0)<0)Emc(f[h>>2]|0);anc(a,523362)|0;anc(a,523604)|0;u=g;return}function h2b(a,b,c,d,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;i2b(a,b,c,d,e,g,h,i,j,k,l,m);return}function i2b(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;o=u;u=u+128|0;p=o+76|0;q=o+40|0;r=o+64|0;s=o+24|0;t=o+121|0;v=o;w=o+120|0;f[p>>2]=d;f[p+4>>2]=e;f[p+8>>2]=g;f[p+12>>2]=h;f[p+16>>2]=i;f[p+20>>2]=j;f[p+24>>2]=k;f[p+28>>2]=l;f[p+32>>2]=m;f[p+36>>2]=n;f[p+40>>2]=0;n=0;m=0;a:while(1){b:do switch(b[c+m>>0]|0){case 0:{x=32;break a;break}case 36:{l=m+1|0;k=b[c+l>>0]|0;if((k+-48&255)<10){y=(k<<24>>24)+-48|0;j=f[(f[p+(y<<2)>>2]|0)+4>>2]|0;if((j|0)==-1){x=5;break a}else{z=l;A=j;break b}}else if(k<<24>>24==36){z=l;A=1;break b}else{x=20;break a}break}default:{z=m;A=1}}while(0);n=A+n|0;m=z+1|0}if((x|0)==5){TDb(q,2,509455,84);z=ODb(RDb(ODb(q,509550)|0,y)|0,509606)|0;y=0;m=d;while(1){if((f[m+4>>2]|0)==-1){B=y;break}d=y+1|0;m=f[p+(d<<2)>>2]|0;if(!m){B=d;break}else y=d}y=ODb(RDb(z,B)|0,509619)|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;B=s8b(c)|0;if(B>>>0>4294967279)Lmc(s);if(B>>>0<11){b[s+11>>0]=B;if(!B)C=s;else{D=s;x=13}}else{z=B+16&-16;m=Bmc(z)|0;f[s>>2]=m;f[s+8>>2]=z|-2147483648;f[s+4>>2]=B;D=m;x=13}if((x|0)==13){Krc(D|0,c|0,B|0)|0;C=D}b[C+B>>0]=0;y6b(r,s);QDb(t,ODb(PDb(y,r)|0,510410)|0);if((b[r+11>>0]|0)<0)Emc(f[r>>2]|0);if((b[s+11>>0]|0)<0)Emc(f[s>>2]|0);UDb(q);u=o;return}else if((x|0)==20){TDb(v,2,509455,97);q=ODb(v,509664)|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;y=s8b(c)|0;if(y>>>0>4294967279)Lmc(s);if(y>>>0<11){b[s+11>>0]=y;if(!y)E=s;else{F=s;x=25}}else{t=y+16&-16;B=Bmc(t)|0;f[s>>2]=B;f[s+8>>2]=t|-2147483648;f[s+4>>2]=y;F=B;x=25}if((x|0)==25){Krc(F|0,c|0,y|0)|0;E=F}b[E+y>>0]=0;y6b(r,s);QDb(w,ODb(PDb(q,r)|0,510410)|0);if((b[r+11>>0]|0)<0)Emc(f[r>>2]|0);if((b[s+11>>0]|0)<0)Emc(f[s>>2]|0);UDb(v);u=o;return}else if((x|0)==32){if(!n){u=o;return}x=a+11|0;v=b[x>>0]|0;if(v<<24>>24<0)G=f[a+4>>2]|0;else G=v&255;Wmc(a,G+n|0,0);n=b[x>>0]|0;x=n<<24>>24<0;if(x)H=f[a+4>>2]|0;else H=n&255;do if(H)if(x){I=f[a>>2]|0;break}else{I=a;break}else I=0;while(0);a=0;x=I+G|0;c:while(1){G=b[c+a>>0]|0;d:do switch(G<<24>>24){case 0:{break c;break}case 36:{I=a+1|0;H=b[c+I>>0]|0;if((H+-48&255)<10){n=f[p+((H<<24>>24)+-48<<2)>>2]|0;v=n+4|0;Krc(x|0,f[n>>2]|0,f[v>>2]|0)|0;J=I;K=x+(f[v>>2]|0)|0;break d}if(H<<24>>24==36){b[x>>0]=36;J=I;K=x+1|0}else{J=a;K=x}break}default:{b[x>>0]=G;J=a;K=x+1|0}}while(0);a=J+1|0;x=K}u=o;return}}function j2b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;d=u;u=u+16|0;c=d;if(!(b[e+38>>0]|0)){a=f[e+24>>2]|0;if(a|0?(f[a>>2]|0)!=2:0){f[c>>2]=110868;f[c+4>>2]=1634;b[c+8>>0]=0;f[c+12>>2]=e;dEb(a,c)}if((f[e+28>>2]|0)==10){a=dJb(e)|0;h=f[a>>2]|0;a=b[h+11>>0]|0;i=a<<24>>24<0;Yh[f[(f[g>>2]|0)+8>>2]&511](g,i?f[h>>2]|0:h,i?f[h+4>>2]|0:a&255);u=d;return}else{a=f[e>>2]|0;h=b[a+11>>0]|0;i=h<<24>>24<0;Yh[f[(f[g>>2]|0)+8>>2]&511](g,i?f[a>>2]|0:a,i?f[a+4>>2]|0:h&255);u=d;return}}Yh[f[(f[g>>2]|0)+8>>2]&511](g,509775,1);if(b[(f[(f[e+48>>2]|0)+16>>2]|0)+48>>0]|0){h=f[e+24>>2]|0;if(h|0?(f[h>>2]|0)!=2:0){f[c>>2]=110868;f[c+4>>2]=1634;b[c+8>>0]=0;f[c+12>>2]=e;dEb(h,c)}if(((f[e+28>>2]|0)==11?(f[e+32>>2]|0)==1:0)?(c=f[e+56>>2]|0,(c|0)==(dJb(e)|0)):0){c=(dJb(e)|0)+4|0;h=f[c>>2]|0;c=b[h+11>>0]|0;a=c<<24>>24<0;Yh[f[(f[g>>2]|0)+8>>2]&511](g,a?f[h>>2]|0:h,a?f[h+4>>2]|0:c&255)}else j=10}else j=10;if((j|0)==10){j=f[e+4>>2]|0;e=b[j+11>>0]|0;c=e<<24>>24<0;Yh[f[(f[g>>2]|0)+8>>2]&511](g,c?f[j>>2]|0:j,c?f[j+4>>2]|0:e&255)}Yh[f[(f[g>>2]|0)+8>>2]&511](g,523362,1);u=d;return}function k2b(a){a=a|0;return}function l2b(a){a=a|0;Emc(a);return}function m2b(a,b,c){a=a|0;b=b|0;c=c|0;a=f[(f[c>>2]|0)+8>>2]|0;if(b){Yh[a&511](c,524521,4);return}else{Yh[a&511](c,524515,5);return}}function n2b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0;a=u;u=u+16|0;e=a;E6b(e,c);c=e+11|0;g=b[c>>0]|0;h=g<<24>>24<0;Yh[f[(f[d>>2]|0)+8>>2]&511](d,h?f[e>>2]|0:e,h?f[e+4>>2]|0:g&255);if((b[c>>0]|0)>=0){u=a;return}Emc(f[e>>2]|0);u=a;return}function o2b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0;a=u;u=u+16|0;e=a;F6b(e,c);c=e+11|0;g=b[c>>0]|0;h=g<<24>>24<0;Yh[f[(f[d>>2]|0)+8>>2]&511](d,h?f[e>>2]|0:e,h?f[e+4>>2]|0:g&255);if((b[c>>0]|0)>=0){u=a;return}Emc(f[e>>2]|0);u=a;return}function p2b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;a=u;u=u+16|0;g=a;G6b(g,c,d);d=g+11|0;c=b[d>>0]|0;h=c<<24>>24<0;Yh[f[(f[e>>2]|0)+8>>2]&511](e,h?f[g>>2]|0:g,h?f[g+4>>2]|0:c&255);if((b[d>>0]|0)>=0){u=a;return}Emc(f[g>>2]|0);u=a;return}function q2b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;a=u;u=u+16|0;g=a;H6b(g,c,d);d=g+11|0;c=b[d>>0]|0;h=c<<24>>24<0;Yh[f[(f[e>>2]|0)+8>>2]&511](e,h?f[g>>2]|0:g,h?f[g+4>>2]|0:c&255);if((b[d>>0]|0)>=0){u=a;return}Emc(f[g>>2]|0);u=a;return}function r2b(a,c,d){a=a|0;c=+c;d=d|0;var e=0,g=0,h=0,i=0;a=u;u=u+16|0;e=a;K6b(e,c);g=e+11|0;h=b[g>>0]|0;i=h<<24>>24<0;Yh[f[(f[d>>2]|0)+8>>2]&511](d,i?f[e>>2]|0:e,i?f[e+4>>2]|0:h&255);if((b[g>>0]|0)>=0){u=a;return}Emc(f[e>>2]|0);u=a;return}function s2b(a,c,d){a=a|0;c=+c;d=d|0;var e=0,g=0,h=0,i=0;a=u;u=u+16|0;e=a;I6b(e,c);g=e+11|0;h=b[g>>0]|0;i=h<<24>>24<0;Yh[f[(f[d>>2]|0)+8>>2]&511](d,i?f[e>>2]|0:e,i?f[e+4>>2]|0:h&255);if((b[g>>0]|0)>=0){u=a;return}Emc(f[e>>2]|0);u=a;return}function t2b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;a=u;u=u+16|0;e=a;Yh[f[(f[d>>2]|0)+8>>2]&511](d,509777,1);y6b(e,c);c=e+11|0;g=b[c>>0]|0;h=g<<24>>24<0;Yh[f[(f[d>>2]|0)+8>>2]&511](d,h?f[e>>2]|0:e,h?f[e+4>>2]|0:g&255);if((b[c>>0]|0)>=0){i=f[d>>2]|0;j=i+8|0;k=f[j>>2]|0;Yh[k&511](d,509777,1);u=a;return}Emc(f[e>>2]|0);i=f[d>>2]|0;j=i+8|0;k=f[j>>2]|0;Yh[k&511](d,509777,1);u=a;return}function u2b(a,b,c){a=a|0;b=b|0;c=c|0;Yh[f[(f[a>>2]|0)+36>>2]&511](a,b,c);return}function v2b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;c=b[d+11>>0]|0;a=c<<24>>24<0;Yh[f[(f[e>>2]|0)+8>>2]&511](e,a?f[d>>2]|0:d,a?f[d+4>>2]|0:c&255);return}function w2b(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;d=f[(f[g>>2]|0)+8>>2]|0;if(e){Yh[d&511](g,509767,3);return}else{Yh[d&511](g,509771,3);return}}function x2b(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;d=f[(f[g>>2]|0)+8>>2]|0;if(e){Yh[d&511](g,509711,2);return}else{Yh[d&511](g,509714,2);return}}function y2b(a){a=a|0;return}function z2b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=a+28|0;c=f[b>>2]|0;d=a+32|0;if((c|0)!=(d|0)){e=c;while(1){c=f[e+20>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[e+4>>2]|0;if(!c){g=e+8|0;h=f[g>>2]|0;if((f[h>>2]|0)==(e|0))i=h;else{h=g;do{g=f[h>>2]|0;h=g+8|0;j=f[h>>2]|0}while((f[j>>2]|0)!=(g|0));i=j}}else{h=c;while(1){j=f[h>>2]|0;if(!j)break;else h=j}i=h}if((i|0)==(d|0))break;else e=i}}A2b(b,f[d>>2]|0);f[a+36>>2]=0;f[b>>2]=d;f[d>>2]=0;A2b(b,0);b=f[a+24>>2]|0;if(!b)return;ai[f[(f[b>>2]|0)+4>>2]&2047](b);return}function A2b(a,b){a=a|0;b=b|0;if(!b)return;else{A2b(a,f[b>>2]|0);A2b(a,f[b+4>>2]|0);Emc(b);return}}function B2b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+16|0;g=e;xh[f[(f[c>>2]|0)+96>>2]&2047](g,c);h=f[g>>2]|0;i=ci[f[(f[c>>2]|0)+92>>2]&1023](c)|0;j=f[h+4>>2]|0;h=s8b(515932)|0;k=b[j+11>>0]|0;if((((h|0)==((k<<24>>24<0?f[j+4>>2]|0:k&255)|0)?(knc(j,0,-1,515932,h)|0)==0:0)?b[a+9>>0]|0:0)?C2b(a,c,d)|0:0){u=e;return}f[g>>2]=0;h=g+4|0;f[h>>2]=0;f[g+8>>2]=0;Yh[f[(f[i>>2]|0)+64>>2]&511](i,c,g);if(b[a+8>>0]|0)D2b(f[g>>2]|0,f[h>>2]|0);j=f[g>>2]|0;k=j;if((f[h>>2]|0)==(j|0))l=k;else{j=0;m=k;while(1){E2b(a,c,i,f[m+(j<<2)>>2]|0,d);j=j+1|0;k=f[g>>2]|0;n=k;if(j>>>0>=(f[h>>2]|0)-k>>2>>>0){l=n;break}else m=n}}if(!(b[a+7>>0]|0)){F2b(a,Sh[f[(f[i>>2]|0)+8>>2]&511](i,c)|0,d);o=f[g>>2]|0}else o=l;if(o|0){l=f[h>>2]|0;if((l|0)!=(o|0))f[h>>2]=l+(~((l+-4-o|0)>>>2)<<2);Emc(o)}u=e;return}function C2b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;e=u;u=u+128|0;g=e+96|0;h=e+92|0;i=e+88|0;j=e+76|0;k=e+64|0;l=e+40|0;m=e+117|0;n=e+24|0;o=e;p=e+116|0;if(!(S6b(c,h,i)|0)){q=0;u=e;return q|0}r=ci[f[(f[c>>2]|0)+92>>2]&1023](c)|0;rh[f[(f[r>>2]|0)+96>>2]&255](j,r,c,f[h>>2]|0);f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;do if(R6b(j,k)|0){xh[f[(f[c>>2]|0)+96>>2]&2047](g,c);h=OIb(f[(f[(f[g>>2]|0)+8>>2]|0)+8>>2]|0,k)|0;if(!h){TDb(l,1,509891,1820);QDb(m,ODb(PDb(ODb(l,510143)|0,j)|0,510155)|0);UDb(l);s=0;break}MVb(g);t=JVb(g,h)|0;h=ci[f[(f[t>>2]|0)+12>>2]&1023](t)|0;rh[f[(f[r>>2]|0)+96>>2]&255](n,r,c,f[i>>2]|0);if(kDb(h,n)|0){Yh[f[(f[d>>2]|0)+8>>2]&511](d,509775,1);t=b[j+11>>0]|0;v=t<<24>>24<0;Yh[f[(f[d>>2]|0)+8>>2]&511](d,v?f[j>>2]|0:j,v?f[j+4>>2]|0:t&255);Yh[f[(f[d>>2]|0)+8>>2]&511](d,523362,1);t=f[a+24>>2]|0;v=a+32|0;w=f[v>>2]|0;if(w){x=f[i>>2]|0;y=v;z=w;a:while(1){w=z;while(1){if((f[w+16>>2]|0)>>>0>=x>>>0)break;A=f[w+4>>2]|0;if(!A){B=y;break a}else w=A}z=f[w>>2]|0;if(!z){B=w;break}else y=w}if((B|0)!=(v|0)?x>>>0>=(f[B+16>>2]|0)>>>0:0)C=f[B+20>>2]|0;else C=t}else C=t;y=a+4|0;Ug[f[(f[C>>2]|0)+52>>2]&127](C,c,-1,0,(b[y>>0]|0)!=0,d);z=d+20|0;f[z>>2]=(f[z>>2]|0)+1;B2b(a,h,d);G2b(d);Ug[f[(f[C>>2]|0)+56>>2]&127](C,c,-1,0,(b[y>>0]|0)!=0,d);D=1}else{TDb(o,1,509891,1828);QDb(p,ODb(PDb(o,j)|0,510166)|0);UDb(o);D=0}if((b[n+11>>0]|0)<0)Emc(f[n>>2]|0);if(h|0)ai[f[(f[h>>2]|0)+4>>2]&2047](h);HVb(g);s=D}else s=0;while(0);if((b[k+11>>0]|0)<0)Emc(f[k>>2]|0);if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);q=s;u=e;return q|0}function D2b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0;d=a;a=c;a:while(1){c=a;e=a+-4|0;g=d;while(1){h=g;b:while(1){i=h;j=c-i|0;k=j>>2;switch(k|0){case 2:{l=5;break a;break}case 3:{l=17;break a;break}case 4:{l=18;break a;break}case 5:{l=19;break a;break}case 1:case 0:{l=207;break a;break}default:{}}if((j|0)<124){l=21;break a}m=h+(((k|0)/2|0)<<2)|0;if((j|0)>3996){j=(k|0)/4|0;n=T2b(h,h+(j<<2)|0,m,m+(j<<2)|0,e)|0}else n=R2b(h,m,e)|0;j=f[h>>2]|0;k=f[m>>2]|0;o=(b[j+38>>0]|0)==0;p=j;do if(!o){q=f[j+56>>2]|0;if(!q){r=(f[j+20>>2]|0)+80|0;break}else{r=q+40|0;break}}else r=(f[j+48>>2]|0)+20|0;while(0);q=p-(f[r>>2]|0)|0;s=(b[k+38>>0]|0)==0;do if(!s){t=f[k+56>>2]|0;u=k;if(!t){v=u-(f[(f[k+20>>2]|0)+80>>2]|0)|0;break}else{v=u-(f[t+40>>2]|0)|0;break}}else v=k-(f[(f[k+48>>2]|0)+20>>2]|0)|0;while(0);if((q|0)<(v|0)){w=e;x=n;break}t=k+48|0;u=k;y=k+56|0;z=k;A=k+20|0;B=e;while(1){B=B+-4|0;if((h|0)==(B|0))break;C=f[B>>2]|0;D=C;do if(b[C+38>>0]|0){E=f[C+56>>2]|0;if(!E){F=(f[C+20>>2]|0)+80|0;break}else{F=E+40|0;break}}else F=(f[C+48>>2]|0)+20|0;while(0);C=D-(f[F>>2]|0)|0;do if(!s){E=f[y>>2]|0;if(!E){G=z;H=(f[A>>2]|0)+80|0;break}else{G=z;H=E+40|0;break}}else{G=u;H=(f[t>>2]|0)+20|0}while(0);if((C|0)<(G-(f[H>>2]|0)|0)){l=149;break b}}t=h+4|0;u=f[e>>2]|0;z=u;do if(!o){A=f[j+56>>2]|0;if(!A){I=(f[j+20>>2]|0)+80|0;break}else{I=A+40|0;break}}else I=(f[j+48>>2]|0)+20|0;while(0);A=p-(f[I>>2]|0)|0;do if(b[u+38>>0]|0){y=f[u+56>>2]|0;if(!y){J=(f[u+20>>2]|0)+80|0;break}else{J=y+40|0;break}}else J=(f[u+48>>2]|0)+20|0;while(0);if((A|0)<(z-(f[J>>2]|0)|0))K=t;else{if((t|0)==(e|0)){l=207;break a}u=j+20|0;c:do if(o){y=p-(f[(f[j+48>>2]|0)+20>>2]|0)|0;s=t;while(1){k=f[s>>2]|0;do if(b[k+38>>0]|0){q=f[k+56>>2]|0;E=k;if(!q){L=E-(f[(f[k+20>>2]|0)+80>>2]|0)|0;break}else{L=E-(f[q+40>>2]|0)|0;break}}else L=k-(f[(f[k+48>>2]|0)+20>>2]|0)|0;while(0);if((y|0)<(L|0)){M=s;break c}s=s+4|0;if((s|0)==(e|0)){l=207;break a}}}else{s=f[j+56>>2]|0;y=(s|0)==0;C=s+40|0;s=t;while(1){k=f[s>>2]|0;if(y)N=(f[u>>2]|0)+80|0;else N=C;q=p-(f[N>>2]|0)|0;do if(b[k+38>>0]|0){E=f[k+56>>2]|0;O=k;if(!E){P=O-(f[(f[k+20>>2]|0)+80>>2]|0)|0;break}else{P=O-(f[E+40>>2]|0)|0;break}}else P=k-(f[(f[k+48>>2]|0)+20>>2]|0)|0;while(0);if((q|0)<(P|0)){M=s;break c}s=s+4|0;if((s|0)==(e|0)){l=207;break a}}}while(0);u=f[M>>2]|0;f[M>>2]=z;f[e>>2]=u;K=M+4|0}if((K|0)==(e|0)){l=207;break a}else{Q=e;R=K}while(1){u=f[h>>2]|0;t=(b[u+38>>0]|0)==0;j=u+48|0;o=u;A=u+56|0;s=u+20|0;if(t){u=o-(f[(f[j>>2]|0)+20>>2]|0)|0;C=R;while(1){y=f[C>>2]|0;do if(b[y+38>>0]|0){k=f[y+56>>2]|0;E=y;if(!k){S=E-(f[(f[y+20>>2]|0)+80>>2]|0)|0;break}else{S=E-(f[k+40>>2]|0)|0;break}}else S=y-(f[(f[y+48>>2]|0)+20>>2]|0)|0;while(0);if((u|0)<(S|0)){T=C;break}else C=C+4|0}}else{C=f[A>>2]|0;u=(C|0)==0;y=C+40|0;C=R;while(1){q=f[C>>2]|0;if(u)U=(f[s>>2]|0)+80|0;else U=y;k=o-(f[U>>2]|0)|0;do if(b[q+38>>0]|0){E=f[q+56>>2]|0;O=q;if(!E){V=O-(f[(f[q+20>>2]|0)+80>>2]|0)|0;break}else{V=O-(f[E+40>>2]|0)|0;break}}else V=q-(f[(f[q+48>>2]|0)+20>>2]|0)|0;while(0);if((k|0)<(V|0)){T=C;break}else C=C+4|0}}if(t){C=o-(f[(f[j>>2]|0)+20>>2]|0)|0;y=Q;while(1){u=y+-4|0;q=f[u>>2]|0;do if(b[q+38>>0]|0){E=f[q+56>>2]|0;O=q;if(!E){W=O-(f[(f[q+20>>2]|0)+80>>2]|0)|0;break}else{W=O-(f[E+40>>2]|0)|0;break}}else W=q-(f[(f[q+48>>2]|0)+20>>2]|0)|0;while(0);if((C|0)<(W|0))y=u;else{X=u;break}}}else{y=f[A>>2]|0;C=(y|0)==0;j=y+40|0;y=Q;while(1){t=y+-4|0;q=f[t>>2]|0;if(C)Y=(f[s>>2]|0)+80|0;else Y=j;k=o-(f[Y>>2]|0)|0;do if(b[q+38>>0]|0){E=f[q+56>>2]|0;O=q;if(!E){Z=O-(f[(f[q+20>>2]|0)+80>>2]|0)|0;break}else{Z=O-(f[E+40>>2]|0)|0;break}}else Z=q-(f[(f[q+48>>2]|0)+20>>2]|0)|0;while(0);if((k|0)<(Z|0))y=t;else{X=t;break}}}if(T>>>0>=X>>>0){h=T;continue b}y=f[T>>2]|0;f[T>>2]=f[X>>2];f[X>>2]=y;Q=X;R=T+4|0}}if((l|0)==149){l=0;f[h>>2]=D;f[B>>2]=p;w=B;x=n+1|0}z=h+4|0;d:do if(z>>>0<w>>>0){y=m;o=w;j=z;s=x;while(1){C=f[y>>2]|0;A=(b[C+38>>0]|0)==0;q=C+48|0;u=C;E=C+56|0;O=C+20|0;if(A){C=u-(f[(f[q>>2]|0)+20>>2]|0)|0;_=j;while(1){$=f[_>>2]|0;do if(b[$+38>>0]|0){aa=f[$+56>>2]|0;ba=$;if(!aa){ca=ba-(f[(f[$+20>>2]|0)+80>>2]|0)|0;break}else{ca=ba-(f[aa+40>>2]|0)|0;break}}else ca=$-(f[(f[$+48>>2]|0)+20>>2]|0)|0;while(0);if((ca|0)<(C|0))_=_+4|0;else{da=_;break}}}else{_=f[E>>2]|0;C=(_|0)==0;$=_+40|0;_=j;while(1){t=f[_>>2]|0;do if(b[t+38>>0]|0){k=f[t+56>>2]|0;aa=t;if(!k){ea=aa-(f[(f[t+20>>2]|0)+80>>2]|0)|0;break}else{ea=aa-(f[k+40>>2]|0)|0;break}}else ea=t-(f[(f[t+48>>2]|0)+20>>2]|0)|0;while(0);if(C)fa=(f[O>>2]|0)+80|0;else fa=$;if((ea|0)<(u-(f[fa>>2]|0)|0))_=_+4|0;else{da=_;break}}}if(A){_=u-(f[(f[q>>2]|0)+20>>2]|0)|0;$=o;while(1){C=$+-4|0;t=f[C>>2]|0;do if(b[t+38>>0]|0){k=f[t+56>>2]|0;aa=t;if(!k){ga=aa-(f[(f[t+20>>2]|0)+80>>2]|0)|0;break}else{ga=aa-(f[k+40>>2]|0)|0;break}}else ga=t-(f[(f[t+48>>2]|0)+20>>2]|0)|0;while(0);if((ga|0)<(_|0)){ha=C;break}else $=C}}else{$=f[E>>2]|0;_=($|0)==0;q=$+40|0;$=o;while(1){A=$+-4|0;t=f[A>>2]|0;do if(b[t+38>>0]|0){k=f[t+56>>2]|0;aa=t;if(!k){ia=aa-(f[(f[t+20>>2]|0)+80>>2]|0)|0;break}else{ia=aa-(f[k+40>>2]|0)|0;break}}else ia=t-(f[(f[t+48>>2]|0)+20>>2]|0)|0;while(0);if(_)ja=(f[O>>2]|0)+80|0;else ja=q;if((ia|0)<(u-(f[ja>>2]|0)|0)){ha=A;break}else $=A}}if(da>>>0>ha>>>0){ka=y;la=s;ma=da;break d}$=f[da>>2]|0;f[da>>2]=f[ha>>2];f[ha>>2]=$;y=(y|0)==(da|0)?ha:y;o=ha;j=da+4|0;s=s+1|0}}else{ka=m;la=x;ma=z}while(0);if((ma|0)!=(ka|0)){z=f[ka>>2]|0;s=f[ma>>2]|0;j=s;o=z;do if(b[z+38>>0]|0){y=f[z+56>>2]|0;if(!y){na=(f[z+20>>2]|0)+80|0;break}else{na=y+40|0;break}}else na=(f[z+48>>2]|0)+20|0;while(0);z=o-(f[na>>2]|0)|0;do if(b[s+38>>0]|0){y=f[s+56>>2]|0;if(!y){oa=(f[s+20>>2]|0)+80|0;break}else{oa=y+40|0;break}}else oa=(f[s+48>>2]|0)+20|0;while(0);if((z|0)<(j-(f[oa>>2]|0)|0)){f[ma>>2]=o;f[ka>>2]=j;pa=la+1|0}else pa=la}else pa=la;if(!pa){qa=U2b(h,ma)|0;s=ma+4|0;if(U2b(s,a)|0){l=206;break}if(qa){g=s;continue}}s=ma;if((s-i|0)>=(c-s|0)){l=205;break}D2b(h,ma);g=ma+4|0}if((l|0)==205){l=0;D2b(ma+4|0,a);d=h;a=ma;continue}else if((l|0)==206){l=0;if(qa){l=207;break}else{d=h;a=ma;continue}}}if((l|0)==5){ma=f[e>>2]|0;d=f[h>>2]|0;qa=d;i=ma;do if(b[ma+38>>0]|0){pa=f[ma+56>>2]|0;if(!pa){ra=(f[ma+20>>2]|0)+80|0;break}else{ra=pa+40|0;break}}else ra=(f[ma+48>>2]|0)+20|0;while(0);ma=i-(f[ra>>2]|0)|0;do if(b[d+38>>0]|0){ra=f[d+56>>2]|0;if(!ra){sa=(f[d+20>>2]|0)+80|0;break}else{sa=ra+40|0;break}}else sa=(f[d+48>>2]|0)+20|0;while(0);if((ma|0)>=(qa-(f[sa>>2]|0)|0))return;f[h>>2]=i;f[e>>2]=qa;return}else if((l|0)==17){R2b(h,h+4|0,e)|0;return}else if((l|0)==18){S2b(h,h+4|0,h+8|0,e)|0;return}else if((l|0)==19){T2b(h,h+4|0,h+8|0,h+12|0,e)|0;return}else if((l|0)==21){e=h+8|0;R2b(h,h+4|0,e)|0;qa=h+12|0;if((qa|0)==(a|0))return;else{ta=qa;ua=e}while(1){e=f[ta>>2]|0;qa=f[ua>>2]|0;i=(b[e+38>>0]|0)==0;sa=e;do if(!i){ma=f[e+56>>2]|0;if(!ma){va=(f[e+20>>2]|0)+80|0;break}else{va=ma+40|0;break}}else va=(f[e+48>>2]|0)+20|0;while(0);ma=sa-(f[va>>2]|0)|0;do if(b[qa+38>>0]|0){d=f[qa+56>>2]|0;ra=qa;if(!d){wa=ra-(f[(f[qa+20>>2]|0)+80>>2]|0)|0;break}else{wa=ra-(f[d+40>>2]|0)|0;break}}else wa=qa-(f[(f[qa+48>>2]|0)+20>>2]|0)|0;while(0);if((ma|0)<(wa|0)){qa=e+48|0;d=e+56|0;ra=e+20|0;e:do if(i){pa=ua;la=ta;while(1){f[la>>2]=f[pa>>2];if((pa|0)==(h|0)){xa=pa;break e}ka=pa+-4|0;oa=f[ka>>2]|0;na=sa-(f[(f[qa>>2]|0)+20>>2]|0)|0;do if(b[oa+38>>0]|0){x=f[oa+56>>2]|0;m=oa;if(!x){ya=m-(f[(f[oa+20>>2]|0)+80>>2]|0)|0;break}else{ya=m-(f[x+40>>2]|0)|0;break}}else ya=oa-(f[(f[oa+48>>2]|0)+20>>2]|0)|0;while(0);if((na|0)<(ya|0)){oa=pa;pa=ka;la=oa}else{xa=pa;break}}}else{pa=ua;la=ta;while(1){f[la>>2]=f[pa>>2];if((pa|0)==(h|0)){xa=pa;break e}j=pa+-4|0;o=f[j>>2]|0;z=f[d>>2]|0;if(!z)za=(f[ra>>2]|0)+80|0;else za=z+40|0;z=sa-(f[za>>2]|0)|0;do if(b[o+38>>0]|0){oa=f[o+56>>2]|0;x=o;if(!oa){Aa=x-(f[(f[o+20>>2]|0)+80>>2]|0)|0;break}else{Aa=x-(f[oa+40>>2]|0)|0;break}}else Aa=o-(f[(f[o+48>>2]|0)+20>>2]|0)|0;while(0);if((z|0)<(Aa|0)){o=pa;pa=j;la=o}else{xa=pa;break}}}while(0);f[xa>>2]=sa}ra=ta+4|0;if((ra|0)==(a|0))break;else{d=ta;ta=ra;ua=d}}return}else if((l|0)==207)return}function E2b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;h=u;u=u+32|0;i=h+16|0;j=h;k=e+32|0;if(b[a+6>>0]|0?(f[k>>2]|0)==3:0){l=e+24|0;m=f[l>>2]|0;if(m|0?(f[m>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=e;dEb(m,i)}m=e+28|0;if((f[149940+(f[m>>2]<<2)>>2]|0)!=9){n=f[l>>2]|0;if(n|0?(f[n>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=e;dEb(n,i)}if((f[149940+(f[m>>2]<<2)>>2]|0)!=10){H2b(a,c,d,e,g);u=h;return}}}if((f[k>>2]|0)==3)o=ki[f[(f[d>>2]|0)+24>>2]&511](d,c,e)|0;else o=(ki[f[(f[d>>2]|0)+20>>2]&511](d,c,e)|0)&1;f[j>>2]=0;m=j+4|0;f[m>>2]=0;f[j+8>>2]=0;n=e+24|0;l=f[n>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=e;dEb(l,i)}l=e+28|0;if((f[l>>2]|0)==11?bJb(e)|0:0){I2b(i,c,o,d,e);p=i+4|0;J2b(j,f[i>>2]|0,f[p>>2]|0);q=f[i>>2]|0;if(q|0){r=f[p>>2]|0;if((r|0)!=(q|0))f[p>>2]=r+(~((r+-4-q|0)>>>2)<<2);Emc(q)}s=1}else s=0;if((o|0)>0){q=a+24|0;r=a+32|0;p=a+4|0;t=g+20|0;v=i+4|0;w=i+8|0;x=i+12|0;y=0;do{z=(f[k>>2]|0)==3?y:-1;K2b(a,c,d,e,g);A=f[n>>2]|0;if(A|0?(f[A>>2]|0)!=2:0){f[i>>2]=110868;f[v>>2]=1634;b[w>>0]=0;f[x>>2]=e;dEb(A,i)}do if((f[149940+(f[l>>2]<<2)>>2]|0)!=10){Yh[f[(f[g>>2]|0)+8>>2]&511](g,509871,2);L2b(a,c,d,e,z,g);A=f[(f[g>>2]|0)+8>>2]|0;if(!(b[p>>0]|0)){Yh[A&511](g,509874,1);break}else{Yh[A&511](g,523347,1);break}}else{A=f[q>>2]|0;B=f[r>>2]|0;if(B){C=r;D=B;a:while(1){B=D;while(1){if((f[B+16>>2]|0)>>>0>=e>>>0)break;E=f[B+4>>2]|0;if(!E){F=C;break a}else B=E}D=f[B>>2]|0;if(!D){F=B;break}else C=B}if((F|0)!=(r|0)?(f[F+16>>2]|0)>>>0<=e>>>0:0)G=f[F+20>>2]|0;else G=A}else G=A;do if((f[k>>2]|0)==3)if(s){H=f[(f[j>>2]|0)+(y<<2)>>2]|0;break}else{H=Bg[f[(f[d>>2]|0)+208>>2]&127](d,c,e,y)|0;break}else H=Bg[f[(f[d>>2]|0)+108>>2]&127](d,c,e,0)|0;while(0);Ug[f[(f[G>>2]|0)+52>>2]&127](G,H,z,o,(b[p>>0]|0)!=0,g);f[t>>2]=(f[t>>2]|0)+1;B2b(a,H,g);G2b(g);Ug[f[(f[G>>2]|0)+56>>2]&127](G,H,z,o,(b[p>>0]|0)!=0,g)}while(0);y=y+1|0}while((y|0)<(o|0))}o=f[j>>2]|0;if(o|0){j=f[m>>2]|0;if((j|0)!=(o|0))f[m>>2]=j+(~((j+-4-o|0)>>>2)<<2);Emc(o)}u=h;return}function F2b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;e=u;u=u+112|0;g=e+32|0;h=e+100|0;i=e+88|0;j=e+48|0;k=e+16|0;l=e;m=h+11|0;n=h+4|0;o=g+11|0;p=g+4|0;q=a+4|0;r=k+8|0;s=j+4|0;t=i+11|0;v=i+4|0;w=i+8|0;x=l+8|0;y=j+4|0;z=i+11|0;A=i+4|0;B=i+8|0;C=i+11|0;D=i+4|0;E=d+20|0;F=0;a:while(1){G=f[c>>2]|0;if(!G)H=0;else H=(f[G+4>>2]|0)-(f[G>>2]|0)>>4;if((F|0)>=(H|0)){I=5;break}J=f[G>>2]|0;E6b(h,f[J+(F<<4)>>2]|0);b:do switch(f[J+(F<<4)+4>>2]|0){case 0:{G=b[m>>0]|0;K=G<<24>>24<0;Yh[f[(f[d>>2]|0)+8>>2]&511](d,K?f[h>>2]|0:h,K?f[n>>2]|0:G&255);Yh[f[(f[d>>2]|0)+8>>2]&511](d,509871,2);G=J+(F<<4)+8|0;H6b(g,f[G>>2]|0,f[G+4>>2]|0);G=b[o>>0]|0;K=G<<24>>24<0;Yh[f[(f[d>>2]|0)+8>>2]&511](d,K?f[g>>2]|0:g,K?f[p>>2]|0:G&255);if((b[o>>0]|0)<0)Emc(f[g>>2]|0);G=f[(f[d>>2]|0)+8>>2]|0;if(!(b[q>>0]|0)){Yh[G&511](d,509874,1);break b}else{Yh[G&511](d,523347,1);break b}break}case 1:{G=b[m>>0]|0;K=G<<24>>24<0;Yh[f[(f[d>>2]|0)+8>>2]&511](d,K?f[h>>2]|0:h,K?f[n>>2]|0:G&255);Yh[f[(f[d>>2]|0)+8>>2]&511](d,509876,4);G=f[J+(F<<4)+8>>2]|0;f[r>>2]=8;K=k;f[K>>2]=G;f[K+4>>2]=0;f[g>>2]=f[k>>2];f[g+4>>2]=f[k+4>>2];f[g+8>>2]=f[k+8>>2];f[g+12>>2]=f[k+12>>2];P6b(j,g);K=f[j>>2]|0;G=f[s>>2]|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;if(G>>>0>4294967279){I=13;break a}if(G>>>0<11){b[t>>0]=G;if(!G)L=i;else{M=i;I=17}}else{N=G+16&-16;O=Bmc(N)|0;f[i>>2]=O;f[w>>2]=N|-2147483648;f[v>>2]=G;M=O;I=17}if((I|0)==17){I=0;Krc(M|0,K|0,G|0)|0;L=M}b[L+G>>0]=0;G=b[t>>0]|0;K=G<<24>>24<0;Yh[f[(f[d>>2]|0)+8>>2]&511](d,K?f[i>>2]|0:i,K?f[v>>2]|0:G&255);if((b[t>>0]|0)<0)Emc(f[i>>2]|0);G=f[(f[d>>2]|0)+8>>2]|0;if(!(b[q>>0]|0)){Yh[G&511](d,509874,1);break b}else{Yh[G&511](d,523347,1);break b}break}case 2:{G=b[m>>0]|0;K=G<<24>>24<0;Yh[f[(f[d>>2]|0)+8>>2]&511](d,K?f[h>>2]|0:h,K?f[n>>2]|0:G&255);Yh[f[(f[d>>2]|0)+8>>2]&511](d,509876,4);G=J+(F<<4)+8|0;K=f[G>>2]|0;O=f[G+4>>2]|0;f[x>>2]=16;G=l;f[G>>2]=K;f[G+4>>2]=O;f[g>>2]=f[l>>2];f[g+4>>2]=f[l+4>>2];f[g+8>>2]=f[l+8>>2];f[g+12>>2]=f[l+12>>2];P6b(j,g);O=f[j>>2]|0;G=f[y>>2]|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;if(G>>>0>4294967279){I=24;break a}if(G>>>0<11){b[z>>0]=G;if(!G)P=i;else{Q=i;I=28}}else{K=G+16&-16;N=Bmc(K)|0;f[i>>2]=N;f[B>>2]=K|-2147483648;f[A>>2]=G;Q=N;I=28}if((I|0)==28){I=0;Krc(Q|0,O|0,G|0)|0;P=Q}b[P+G>>0]=0;G=b[z>>0]|0;O=G<<24>>24<0;Yh[f[(f[d>>2]|0)+8>>2]&511](d,O?f[i>>2]|0:i,O?f[A>>2]|0:G&255);if((b[z>>0]|0)<0)Emc(f[i>>2]|0);G=f[(f[d>>2]|0)+8>>2]|0;if(!(b[q>>0]|0)){Yh[G&511](d,509874,1);break b}else{Yh[G&511](d,523347,1);break b}break}case 3:{G=b[m>>0]|0;O=G<<24>>24<0;Yh[f[(f[d>>2]|0)+8>>2]&511](d,O?f[h>>2]|0:h,O?f[n>>2]|0:G&255);G=f[J+(F<<4)+8>>2]|0;f[g>>2]=0;O=b[G+11>>0]|0;N=O<<24>>24<0;if(N)R=f[G+4>>2]|0;else R=O&255;do if((R|0)!=0?X3b(g,N?f[G>>2]|0:G,N?f[G+4>>2]|0:O&255)|0:0){K=f[(f[d>>2]|0)+8>>2]|0;if(!(b[q>>0]|0)){Yh[K&511](d,509771,3);f[E>>2]=(f[E>>2]|0)+1}else Yh[K&511](d,509767,3);F2b(a,g,d);if(!(b[q>>0]|0)){G2b(d);Yh[f[(f[d>>2]|0)+8>>2]&511](d,509714,2);break}else{Yh[f[(f[d>>2]|0)+8>>2]&511](d,509711,2);break}}else I=45;while(0);do if((I|0)==45){I=0;Yh[f[(f[d>>2]|0)+8>>2]&511](d,509881,3);y6b(i,G);O=b[C>>0]|0;N=O<<24>>24<0;Yh[f[(f[d>>2]|0)+8>>2]&511](d,N?f[i>>2]|0:i,N?f[D>>2]|0:O&255);if((b[C>>0]|0)<0)Emc(f[i>>2]|0);O=f[(f[d>>2]|0)+8>>2]|0;if(!(b[q>>0]|0)){Yh[O&511](d,509888,2);break}else{Yh[O&511](d,509885,2);break}}while(0);if(f[g>>2]|0)L3b(g);break}case 4:{G=b[m>>0]|0;O=G<<24>>24<0;Yh[f[(f[d>>2]|0)+8>>2]&511](d,O?f[h>>2]|0:h,O?f[n>>2]|0:G&255);G=f[(f[d>>2]|0)+8>>2]|0;if(!(b[q>>0]|0)){Yh[G&511](d,509771,3);f[E>>2]=(f[E>>2]|0)+1}else Yh[G&511](d,509767,3);F2b(a,f[J+(F<<4)+8>>2]|0,d);if(!(b[q>>0]|0)){G2b(d);Yh[f[(f[d>>2]|0)+8>>2]&511](d,509714,2);break b}else{Yh[f[(f[d>>2]|0)+8>>2]&511](d,509711,2);break b}break}default:{}}while(0);if((b[m>>0]|0)<0)Emc(f[h>>2]|0);F=F+1|0}if((I|0)==5){u=e;return}else if((I|0)==13)Lmc(i);else if((I|0)==24)Lmc(i)}function G2b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=u;u=u+32|0;c=b;d=b+24|0;e=a+20|0;g=f[e>>2]|0;if(g|0?(g|0)>=(f[a+24>>2]|0):0){f[e>>2]=g+-1;u=b;return}TDb(c,2,509891,1200);QDb(d,ODb(c,509981)|0);UDb(c);u=b;return}function H2b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;K2b(a,c,d,e,g);h=ki[f[(f[d>>2]|0)+24>>2]&511](d,c,e)|0;Yh[f[(f[g>>2]|0)+8>>2]&511](g,510133,3);if((h|0)>0){i=0;do{if((i|0)>0)Yh[f[(f[g>>2]|0)+8>>2]&511](g,523537,2);L2b(a,c,d,e,i,g);i=i+1|0}while((i|0)!=(h|0))}h=f[(f[g>>2]|0)+8>>2]|0;if(!(b[a+4>>0]|0)){Yh[h&511](g,510140,2);return}else{Yh[h&511](g,510137,2);return}}function I2b(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=u;u=u+32|0;h=g+16|0;i=g+12|0;j=g+8|0;k=g+4|0;l=g;f[a>>2]=0;m=a+4|0;f[m>>2]=0;f[a+8>>2]=0;if(c|0){if(c>>>0>1073741823)Ukc(a);n=Bmc(c<<2)|0;f[m>>2]=n;f[a>>2]=n;f[a+8>>2]=n+(c<<2);o=c;c=n;do{f[c>>2]=0;c=(f[m>>2]|0)+4|0;f[m>>2]=c;o=o+-1|0}while((o|0)!=0)}o=Vf[f[(f[d>>2]|0)+328>>2]&127](d,b,e,10,-1,0)|0;b=o+12|0;d=f[b>>2]|0;c=f[o+4>>2]|0;if(c|0){o=0;n=(d|0)==0?0:d+4|0;while(1){f[(f[a>>2]|0)+(o<<2)>>2]=f[n>>2];n=n+4|0;d=f[b>>2]|0;if((n|0)==(((d|0)==0?0:d+4|0)+(c<<2)|0))break;else o=o+1|0}}o=(dJb(e)|0)+20|0;e=f[a>>2]|0;a=f[m>>2]|0;f[l>>2]=f[o>>2];o=a-e|0;m=o>>2;if((o|0)>512){o=(m|0)<536870911?m:536870911;while(1){c=Cmc(o<<2,1163145)|0;if(c|0){p=c;q=o;break}o=o>>>1;if(!o){p=0;q=0;break}}r=p;s=q;t=p}else{r=0;s=0;t=0}f[j>>2]=e;f[k>>2]=a;f[i>>2]=f[j>>2];f[h>>2]=f[k>>2];M2b(i,h,l,m,r,s);if(!r){u=g;return}Emc(t);u=g;return}function J2b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=c;e=b;g=d-e|0;h=g>>2;i=a+8|0;j=f[i>>2]|0;k=f[a>>2]|0;l=k;if(h>>>0<=j-k>>2>>>0){m=a+4|0;n=(f[m>>2]|0)-k>>2;o=h>>>0>n>>>0;p=o?b+(n<<2)|0:c;c=p;n=c-e|0;e=n>>2;if(e|0)Mrc(k|0,b|0,n|0)|0;n=l+(e<<2)|0;if(o){o=d-c|0;if((o|0)<=0)return;Krc(f[m>>2]|0,p|0,o|0)|0;f[m>>2]=(f[m>>2]|0)+(o>>>2<<2);return}else{o=f[m>>2]|0;if((o|0)==(n|0))return;f[m>>2]=o+(~((o+-4-n|0)>>>2)<<2);return}}n=k;if(!k)q=j;else{j=a+4|0;o=f[j>>2]|0;if((o|0)!=(l|0))f[j>>2]=o+(~((o+-4-k|0)>>>2)<<2);Emc(n);f[i>>2]=0;f[j>>2]=0;f[a>>2]=0;q=0}if(h>>>0>1073741823)Ukc(a);j=q>>1;n=q>>2>>>0<536870911?(j>>>0<h>>>0?h:j):1073741823;if(n>>>0>1073741823)Ukc(a);j=Bmc(n<<2)|0;h=a+4|0;f[h>>2]=j;f[a>>2]=j;f[i>>2]=j+(n<<2);if((g|0)<=0)return;Krc(j|0,b|0,g|0)|0;f[h>>2]=j+(g>>>2<<2);return}function K2b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;h=u;u=u+16|0;i=h;if(b[a+5>>0]|0){E6b(i,f[e+40>>2]|0);j=i+11|0;k=b[j>>0]|0;l=k<<24>>24<0;Yh[f[(f[g>>2]|0)+8>>2]&511](g,l?f[i>>2]|0:i,l?f[i+4>>2]|0:k&255);if((b[j>>0]|0)<0)Emc(f[i>>2]|0);u=h;return}i=f[a+24>>2]|0;j=a+32|0;a=f[j>>2]|0;if(a){k=j;l=a;a:while(1){a=l;while(1){if((f[a+16>>2]|0)>>>0>=e>>>0)break;m=f[a+4>>2]|0;if(!m){n=k;break a}else a=m}l=f[a>>2]|0;if(!l){n=a;break}else k=a}if((n|0)!=(j|0)?(f[n+16>>2]|0)>>>0<=e>>>0:0)o=f[n+20>>2]|0;else o=i}else o=i;sh[f[(f[o>>2]|0)+48>>2]&255](o,c,d,e,g);u=h;return}function L2b(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0,G=0,H=0,I=0,K=0,L=0;i=u;u=u+64|0;j=i;k=i+40|0;l=i+28|0;m=i+16|0;n=i+4|0;o=f[a+24>>2]|0;p=a+32|0;q=f[p>>2]|0;if(q){r=p;s=q;a:while(1){q=s;while(1){if((f[q+16>>2]|0)>>>0>=e>>>0)break;t=f[q+4>>2]|0;if(!t){v=r;break a}else q=t}s=f[q>>2]|0;if(!s){v=q;break}else r=q}if((v|0)!=(p|0)?(f[v+16>>2]|0)>>>0<=e>>>0:0)w=f[v+20>>2]|0;else w=o}else w=o;o=e+24|0;v=f[o>>2]|0;if(v|0?(f[v>>2]|0)!=2:0){f[k>>2]=110868;f[k+4>>2]=1634;b[k+8>>0]=0;f[k+12>>2]=e;dEb(v,k)}v=e+28|0;do switch(f[149940+(f[v>>2]<<2)>>2]|0){case 1:{p=f[(f[w>>2]|0)+12>>2]|0;if((f[e+32>>2]|0)==3)x=Bg[f[(f[d>>2]|0)+168>>2]&127](d,c,e,g)|0;else x=ki[f[(f[d>>2]|0)+68>>2]&511](d,c,e)|0;Yh[p&511](w,x,h);u=i;return}case 2:{p=f[(f[w>>2]|0)+20>>2]|0;if((f[e+32>>2]|0)==3){r=Bg[f[(f[d>>2]|0)+172>>2]&127](d,c,e,g)|0;y=r;z=J}else{r=ki[f[(f[d>>2]|0)+72>>2]&511](d,c,e)|0;y=r;z=J}rh[p&255](w,y,z,h);u=i;return}case 3:{p=f[(f[w>>2]|0)+16>>2]|0;if((f[e+32>>2]|0)==3)A=Bg[f[(f[d>>2]|0)+176>>2]&127](d,c,e,g)|0;else A=ki[f[(f[d>>2]|0)+76>>2]&511](d,c,e)|0;Yh[p&511](w,A,h);u=i;return}case 4:{p=f[(f[w>>2]|0)+24>>2]|0;if((f[e+32>>2]|0)==3){r=Bg[f[(f[d>>2]|0)+180>>2]&127](d,c,e,g)|0;B=r;C=J}else{r=ki[f[(f[d>>2]|0)+80>>2]&511](d,c,e)|0;B=r;C=J}rh[p&255](w,B,C,h);u=i;return}case 6:{p=f[(f[w>>2]|0)+28>>2]|0;if((f[e+32>>2]|0)==3)D=+Ih[f[(f[d>>2]|0)+184>>2]&15](d,c,e,g);else D=+dh[f[(f[d>>2]|0)+84>>2]&31](d,c,e);dg[p&7](w,D,h);u=i;return}case 5:{p=f[(f[w>>2]|0)+32>>2]|0;if((f[e+32>>2]|0)==3)E=+Ih[f[(f[d>>2]|0)+188>>2]&15](d,c,e,g);else E=+dh[f[(f[d>>2]|0)+88>>2]&31](d,c,e);dg[p&7](w,E,h);u=i;return}case 7:{p=f[(f[w>>2]|0)+8>>2]|0;if((f[e+32>>2]|0)==3)F=Bg[f[(f[d>>2]|0)+192>>2]&127](d,c,e,g)|0;else F=ki[f[(f[d>>2]|0)+92>>2]&511](d,c,e)|0;Yh[p&511](w,F,h);u=i;return}case 9:{f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;if((f[e+32>>2]|0)==3)G=lh[f[(f[d>>2]|0)+212>>2]&127](d,c,e,g,l)|0;else G=Bg[f[(f[d>>2]|0)+112>>2]&127](d,c,e,l)|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;p=a+16|0;r=f[p>>2]|0;s=f[p+4>>2]|0;if((s|0)>0|(s|0)==0&r>>>0>0){p=b[G+11>>0]|0;if(p<<24>>24<0)H=f[G+4>>2]|0;else H=p&255;if((s|0)<0|(s|0)==0&r>>>0<H>>>0){Omc(n,G,0,r,G);pza(k,n,510019);Qmc(m,k)|0;if((b[k+11>>0]|0)<0)Emc(f[k>>2]|0);if((b[n+11>>0]|0)<0)Emc(f[n>>2]|0);I=m}else I=G}else I=G;r=f[o>>2]|0;if(r|0?(f[r>>2]|0)!=2:0){f[k>>2]=110868;f[k+4>>2]=1634;b[k+8>>0]=0;f[k+12>>2]=e;dEb(r,k)}r=f[w>>2]|0;if((f[v>>2]|0)==9)Yh[f[r+36>>2]&511](w,I,h);else Yh[f[r+40>>2]&511](w,I,h);if((b[m+11>>0]|0)<0)Emc(f[m>>2]|0);if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0);u=i;return}case 8:{if((f[e+32>>2]|0)==3)K=Bg[f[(f[d>>2]|0)+204>>2]&127](d,c,e,g)|0;else K=ki[f[(f[d>>2]|0)+104>>2]&511](d,c,e)|0;r=YIb(eJb(e)|0,K)|0;s=f[(f[w>>2]|0)+44>>2]|0;if(r|0){rh[s&255](w,K,f[r>>2]|0,h);u=i;return}f[j>>2]=K;p6b(k,510037,j);rh[s&255](w,K,k,h);if((b[k+11>>0]|0)<0)Emc(f[k>>2]|0);u=i;return}case 10:{if((f[e+32>>2]|0)==3)L=Bg[f[(f[d>>2]|0)+208>>2]&127](d,c,e,g)|0;else L=Bg[f[(f[d>>2]|0)+108>>2]&127](d,c,e,0)|0;B2b(a,L,h);u=i;return}default:{u=i;return}}while(0)}function M2b(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;h=u;u=u+64|0;i=h+52|0;j=h+48|0;k=h+44|0;l=h+40|0;m=h+36|0;n=h+32|0;o=h+28|0;p=h+24|0;q=h+20|0;r=h+16|0;s=h+12|0;t=h+8|0;v=h+4|0;w=h;switch(d|0){case 2:{x=(f[b>>2]|0)+-4|0;f[b>>2]=x;y=f[a>>2]|0;if(!(N2b(c,f[x>>2]|0,f[y>>2]|0)|0)){u=h;return}z=f[y>>2]|0;f[y>>2]=f[x>>2];f[x>>2]=z;u=h;return}case 1:case 0:{u=h;return}default:{if((d|0)<129){z=f[a>>2]|0;x=f[b>>2]|0;if((z|0)==(x|0)){u=h;return}y=z+4|0;if((y|0)==(x|0)){u=h;return}else A=y;do{y=A;B=f[A>>2]|0;a:do if((A|0)==(z|0))C=y;else{D=B;E=y;F=A;while(1){F=F+-4|0;if(!(N2b(c,D,f[F>>2]|0)|0)){C=E;break a}f[E>>2]=f[F>>2];G=E+-4|0;if((F|0)==(z|0)){C=G;break}else E=G}}while(0);f[C>>2]=B;A=A+4|0}while((A|0)!=(x|0));u=h;return}x=d>>>1;A=f[a>>2]|0;a=A+(x<<2)|0;C=A;if((d|0)>(g|0)){f[p>>2]=C;f[q>>2]=a;f[j>>2]=f[p>>2];f[i>>2]=f[q>>2];M2b(j,i,c,x,e,g);f[r>>2]=a;q=f[b>>2]|0;f[s>>2]=q;p=d-x|0;f[j>>2]=f[r>>2];f[i>>2]=f[s>>2];M2b(j,i,c,p,e,g);f[t>>2]=C;f[v>>2]=a;f[w>>2]=q;f[k>>2]=f[t>>2];f[j>>2]=f[v>>2];f[i>>2]=f[w>>2];P2b(k,j,i,c,x,p,e,g);u=h;return}f[l>>2]=C;f[m>>2]=a;f[j>>2]=f[l>>2];f[i>>2]=f[m>>2];O2b(j,i,c,x,e);f[n>>2]=a;f[o>>2]=f[b>>2];b=e+(x<<2)|0;f[j>>2]=f[n>>2];f[i>>2]=f[o>>2];O2b(j,i,c,d-x|0,b);x=e+(d<<2)|0;d=b;i=e;e=C;while(1){if((d|0)==(x|0))break;if(N2b(c,f[d>>2]|0,f[i>>2]|0)|0){C=e;f[C>>2]=f[d>>2];H=d+4|0;I=i;J=C}else{C=e;f[C>>2]=f[i>>2];H=d;I=i+4|0;J=C}K=J+4|0;if((I|0)==(b|0)){L=14;break}else{d=H;i=I;e=K}}if((L|0)==14){if((H|0)==(x|0)){u=h;return}else{M=H;N=K}while(1){f[N>>2]=f[M>>2];M=M+4|0;if((M|0)==(x|0))break;else N=N+4|0}u=h;return}if((i|0)==(b|0)){u=h;return}N=i;i=e;while(1){f[i>>2]=f[N>>2];N=N+4|0;if((N|0)==(b|0))break;else i=i+4|0}u=h;return}}}function N2b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=u;u=u+64|0;g=e+40|0;h=e;i=e+16|0;j=e+56|0;k=ci[f[(f[c>>2]|0)+92>>2]&1023](c)|0;l=f[a>>2]|0;m=f[l+24>>2]|0;if(m|0?(f[m>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=l;dEb(m,g)}switch(f[149940+(f[l+28>>2]<<2)>>2]|0){case 7:{l=ki[f[(f[k>>2]|0)+92>>2]&511](k,c,f[a>>2]|0)|0;n=(ki[f[(f[k>>2]|0)+92>>2]&511](k,d,f[a>>2]|0)|0)&(l^1);u=e;return n|0}case 1:{n=(ki[f[(f[k>>2]|0)+68>>2]&511](k,c,f[a>>2]|0)|0)<(ki[f[(f[k>>2]|0)+68>>2]&511](k,d,f[a>>2]|0)|0);u=e;return n|0}case 2:{l=ki[f[(f[k>>2]|0)+72>>2]&511](k,c,f[a>>2]|0)|0;m=J;o=ki[f[(f[k>>2]|0)+72>>2]&511](k,d,f[a>>2]|0)|0;p=J;n=(m|0)<(p|0)|(m|0)==(p|0)&l>>>0<o>>>0;u=e;return n|0}case 3:{n=(ki[f[(f[k>>2]|0)+76>>2]&511](k,c,f[a>>2]|0)|0)>>>0<(ki[f[(f[k>>2]|0)+76>>2]&511](k,d,f[a>>2]|0)|0)>>>0;u=e;return n|0}case 4:{o=ki[f[(f[k>>2]|0)+80>>2]&511](k,c,f[a>>2]|0)|0;l=J;p=ki[f[(f[k>>2]|0)+80>>2]&511](k,d,f[a>>2]|0)|0;m=J;n=l>>>0<m>>>0|(l|0)==(m|0)&o>>>0<p>>>0;u=e;return n|0}case 9:{rh[f[(f[k>>2]|0)+96>>2]&255](g,k,c,f[a>>2]|0);rh[f[(f[k>>2]|0)+96>>2]&255](h,k,d,f[a>>2]|0);a=b[h+11>>0]|0;d=a<<24>>24<0;k=d?f[h+4>>2]|0:a&255;a=g+11|0;c=b[a>>0]|0;p=c<<24>>24<0;o=p?f[g+4>>2]|0:c&255;m=k>>>0<o>>>0;l=m?k:o;if((l|0)!=0?(q=gac(p?f[g>>2]|0:g,d?f[h>>2]|0:h,l)|0,(q|0)!=0):0)r=q;else r=o>>>0<k>>>0?-1:m&1;if(d){Emc(f[h>>2]|0);s=b[a>>0]|0}else s=c;if(s<<24>>24<0)Emc(f[g>>2]|0);n=(r|0)<0;u=e;return n|0}default:{TDb(i,2,510040,223);QDb(j,ODb(i,511825)|0);UDb(i);n=1;u=e;return n|0}}return 0}function O2b(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;g=u;u=u+32|0;h=g+8|0;i=g;j=g+24|0;k=g+20|0;l=g+16|0;m=g+12|0;switch(d|0){case 1:{f[e>>2]=f[f[a>>2]>>2];u=g;return}case 2:{n=(f[b>>2]|0)+-4|0;f[b>>2]=n;o=N2b(c,f[n>>2]|0,f[f[a>>2]>>2]|0)|0;f[e>>2]=f[f[(o?b:a)>>2]>>2];f[e+4>>2]=f[f[(o?a:b)>>2]>>2];u=g;return}case 0:{u=g;return}default:{if((d|0)>=9){o=d>>>1;n=f[a>>2]|0;p=n+(o<<2)|0;q=n;f[j>>2]=q;f[k>>2]=p;f[i>>2]=f[j>>2];f[h>>2]=f[k>>2];M2b(i,h,c,o,e,o);f[l>>2]=p;k=f[b>>2]|0;f[m>>2]=k;j=d-o|0;f[i>>2]=f[l>>2];f[h>>2]=f[m>>2];M2b(i,h,c,j,e+(o<<2)|0,j);f[h>>2]=p;f[i>>2]=q;q=k;a:do if(o){if((p|0)==(q|0)){r=e;s=n}else{k=e;j=p;m=n;while(1){l=N2b(c,f[j>>2]|0,f[m>>2]|0)|0;d=l?h:i;l=f[d>>2]|0;f[k>>2]=f[l>>2];f[d>>2]=l+4;l=k+4|0;d=f[i>>2]|0;j=f[h>>2]|0;if((d|0)==(p|0)){t=l;v=j;w=16;break a}if((j|0)==(q|0)){r=l;s=d;break}else{k=l;m=d}}}if((s|0)!=(p|0)){m=r;k=s;while(1){f[m>>2]=f[k>>2];k=(f[i>>2]|0)+4|0;f[i>>2]=k;if((k|0)==(p|0))break;else m=m+4|0}}}else{t=e;v=n;w=16}while(0);if((w|0)==16?(v|0)!=(q|0):0){w=t;t=v;while(1){f[w>>2]=f[t>>2];t=(f[h>>2]|0)+4|0;f[h>>2]=t;if((t|0)==(q|0))break;else w=w+4|0}}u=g;return}w=f[a>>2]|0;a=f[b>>2]|0;if((w|0)==(a|0)){u=g;return}b=f[w>>2]|0;f[e>>2]=b;q=w+4|0;if((q|0)==(a|0)){u=g;return}w=e;t=q;q=b;while(1){b=w+4|0;b:do if(N2b(c,f[t>>2]|0,q)|0){f[b>>2]=f[w>>2];if((w|0)==(e|0))x=e;else{h=w;while(1){v=h;h=h+-4|0;if(!(N2b(c,f[t>>2]|0,f[h>>2]|0)|0)){x=v;break b}f[v>>2]=f[h>>2];if((h|0)==(e|0)){x=e;break}}}}else x=b;while(0);f[x>>2]=f[t>>2];h=t+4|0;if((h|0)==(a|0))break;w=b;t=h;q=f[b>>2]|0}u=g;return}}}function P2b(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0;j=u;u=u+64|0;k=j+52|0;l=j+48|0;m=j+44|0;n=j+40|0;o=j+36|0;p=j+32|0;q=j+20|0;r=j+12|0;s=j+28|0;t=j+24|0;v=j+16|0;w=j+8|0;x=j+4|0;y=j;if(!g){u=j;return}z=e;e=g;a:while(1){if(!((e|0)>(i|0)&(z|0)>(i|0))){A=6;break}if(!z){A=42;break}B=f[b>>2]|0;g=B;C=z;D=f[a>>2]|0;while(1){if(N2b(d,f[B>>2]|0,f[D>>2]|0)|0)break;E=D+4|0;f[a>>2]=E;F=C+-1|0;if(!F){A=42;break a}else{C=F;D=E}}E=D;if((C|0)<(e|0)){F=(e|0)/2|0;G=B+(F<<2)|0;H=G;f[r>>2]=H;I=g-E>>2;if(!I)J=D;else{K=I;I=D;L=D;while(1){M=(K|0)/2|0;N=L+(M<<2)|0;O=N2b(d,f[G>>2]|0,f[N>>2]|0)|0;P=N+4|0;N=O?I:P;K=O?M:K+-1-M|0;if(!K){J=N;break}else{I=N;L=O?L:P}}}L=J;f[q>>2]=L;Q=L-E>>2;R=F;S=H;T=L}else{if((C|0)==1){A=14;break}L=(C|0)/2|0;I=D+(L<<2)|0;K=I;f[q>>2]=K;G=(f[c>>2]|0)-g>>2;if(!G)U=B;else{P=G;G=B;O=B;while(1){N=(P|0)/2|0;M=O+(N<<2)|0;V=N2b(d,f[M>>2]|0,f[I>>2]|0)|0;W=M+4|0;M=V?W:G;P=V?P+-1-N|0:N;if(!P){U=M;break}else{G=M;O=V?W:O}}}O=U;f[r>>2]=O;Q=L;R=O-g>>2;S=O;T=K}O=C-Q|0;G=e-R|0;P=T;I=S;b:do if((P|0)!=(B|0))if((B|0)==(I|0))X=P;else{if((P+4|0)==(B|0)){H=f[T>>2]|0;F=S-g|0;E=F>>2;if(E|0)Mrc(T|0,B|0,F|0)|0;F=P+(E<<2)|0;f[F>>2]=H;X=F;break}if((B+4|0)==(I|0)){F=f[B>>2]|0;H=g-T|0;E=H>>2;W=I+(0-E<<2)|0;if(!E)Y=I;else{Mrc(W|0,T|0,H|0)|0;Y=W}f[T>>2]=F;X=Y;break}F=g-T>>2;W=S-g>>2;if((F|0)==(W|0)){H=P;E=B;while(1){V=f[H>>2]|0;f[H>>2]=f[E>>2];f[E>>2]=V;H=H+4|0;if((H|0)==(B|0)){X=B;break b}else E=E+4|0}}else{Z=F;_=W}while(1){E=(Z|0)%(_|0)|0;if(!E)break;else{H=_;_=E;Z=H}}if(!_)$=P;else{H=(_<<2)+-4|0;E=P+(_<<2)|0;do{E=E+-4|0;V=f[E>>2]|0;M=E+(F<<2)|0;N=E;while(1){f[N>>2]=f[M>>2];N=M;aa=S-N>>2;ba=(F|0)<(aa|0)?M+(F<<2)|0:P+(F-aa<<2)|0;if((ba|0)==(E|0))break;else M=ba}f[M>>2]=V}while((E|0)!=(P|0));$=P+(_+-1-(H>>>2)<<2)|0}X=$+(W<<2)|0}else X=I;while(0);f[b>>2]=X;I=X;if((Q+R|0)<(O+G|0)){f[s>>2]=f[a>>2];f[t>>2]=f[q>>2];f[v>>2]=I;f[m>>2]=f[s>>2];f[l>>2]=f[t>>2];f[k>>2]=f[v>>2];P2b(m,l,k,d,Q,R,h,i);ca=G;da=O;ea=r;fa=a}else{f[w>>2]=I;f[x>>2]=f[r>>2];f[y>>2]=f[c>>2];f[m>>2]=f[w>>2];f[l>>2]=f[x>>2];f[k>>2]=f[y>>2];P2b(m,l,k,d,O,G,h,i);ca=R;da=Q;ea=q;fa=c}f[fa>>2]=I;f[b>>2]=f[ea>>2];if(!ca){A=42;break}else{z=da;e=ca}}if((A|0)==6){f[n>>2]=f[a>>2];f[o>>2]=f[b>>2];f[p>>2]=f[c>>2];f[m>>2]=f[n>>2];f[l>>2]=f[o>>2];f[k>>2]=f[p>>2];Q2b(m,l,k,d,z,e,h);u=j;return}else if((A|0)==14){h=f[D>>2]|0;f[D>>2]=f[B>>2];f[B>>2]=h;u=j;return}else if((A|0)==42){u=j;return}}function Q2b(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;i=u;u=u+16|0;j=i;k=i+4|0;if((e|0)>(g|0)){g=f[b>>2]|0;e=g;l=f[c>>2]|0;if((e|0)==(l|0)){m=h;n=l;o=g}else{l=h;p=g;g=e;while(1){f[l>>2]=f[p>>2];e=g+4|0;q=l+4|0;r=f[c>>2]|0;if((e|0)==(r|0))break;else{l=q;p=e;g=e}}m=q;n=r;o=f[b>>2]|0}r=f[a>>2]|0;f[j>>2]=o;f[k>>2]=m;a:do if((m|0)!=(h|0)){q=o;if((q|0)==(r|0)){s=m;t=n}else{g=q;q=m;p=n;while(1){l=N2b(d,f[g+-4>>2]|0,f[q+-4>>2]|0)|0;e=l?k:j;l=(f[e>>2]|0)+-4|0;v=p+-4|0;f[v>>2]=f[l>>2];f[e>>2]=l;l=f[k>>2]|0;if((l|0)==(h|0))break a;g=f[j>>2]|0;if((g|0)==(r|0)){s=l;t=v;break}else{q=l;p=v}}}if((s|0)!=(h|0)){p=s;q=t;do{p=p+-4|0;q=q+-4|0;f[q>>2]=f[p>>2]}while((p|0)!=(h|0))}}while(0);u=i;return}t=f[a>>2]|0;s=t;if((s|0)==(f[b>>2]|0)){w=h;x=t;y=s}else{r=h;k=t;t=s;while(1){f[r>>2]=f[k>>2];z=t+4|0;A=r+4|0;if((z|0)==(f[b>>2]|0))break;else{r=A;k=z;t=z}}w=A;x=f[a>>2]|0;y=z}z=f[c>>2]|0;f[j>>2]=f[d>>2];b:do if((w|0)!=(h|0)){d=h;c=x;a=y;A=y;while(1){if((a|0)==(z|0))break;if(N2b(j,f[a>>2]|0,f[d>>2]|0)|0){t=c;f[t>>2]=f[A>>2];k=A+4|0;B=d;C=t;D=k;E=k}else{k=c;f[k>>2]=f[d>>2];B=d+4|0;C=k;D=A;E=a}if((B|0)==(w|0))break b;else{d=B;c=C+4|0;a=E;A=D}}A=w-d|0;if(A|0)Mrc(c|0,d|0,A|0)|0}while(0);u=i;return}function R2b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;e=f[c>>2]|0;g=f[a>>2]|0;h=(b[e+38>>0]|0)==0;i=e;j=g;do if(!h){k=f[e+56>>2]|0;if(!k){l=(f[e+20>>2]|0)+80|0;break}else{l=k+40|0;break}}else l=(f[e+48>>2]|0)+20|0;while(0);k=i-(f[l>>2]|0)|0;l=(b[g+38>>0]|0)==0;do if(!l){m=f[g+56>>2]|0;if(!m){n=(f[g+20>>2]|0)+80|0;break}else{n=m+40|0;break}}else n=(f[g+48>>2]|0)+20|0;while(0);m=(k|0)<(j-(f[n>>2]|0)|0);n=f[d>>2]|0;k=n;do if(b[n+38>>0]|0){o=f[n+56>>2]|0;if(!o){p=(f[n+20>>2]|0)+80|0;break}else{p=o+40|0;break}}else p=(f[n+48>>2]|0)+20|0;while(0);n=k-(f[p>>2]|0)|0;do if(!h){p=f[e+56>>2]|0;if(!p){q=(f[e+20>>2]|0)+80|0;break}else{q=p+40|0;break}}else q=(f[e+48>>2]|0)+20|0;while(0);e=(n|0)<(i-(f[q>>2]|0)|0);if(!m){if(!e){r=0;return r|0}f[c>>2]=k;f[d>>2]=i;m=f[c>>2]|0;q=f[a>>2]|0;n=q;h=m;do if(b[m+38>>0]|0){p=f[m+56>>2]|0;if(!p){s=(f[m+20>>2]|0)+80|0;break}else{s=p+40|0;break}}else s=(f[m+48>>2]|0)+20|0;while(0);m=h-(f[s>>2]|0)|0;do if(b[q+38>>0]|0){s=f[q+56>>2]|0;if(!s){t=(f[q+20>>2]|0)+80|0;break}else{t=s+40|0;break}}else t=(f[q+48>>2]|0)+20|0;while(0);if((m|0)>=(n-(f[t>>2]|0)|0)){r=1;return r|0}f[a>>2]=h;f[c>>2]=n;r=2;return r|0}if(e){f[a>>2]=k;f[d>>2]=j;r=1;return r|0}f[a>>2]=i;f[c>>2]=j;i=f[d>>2]|0;a=i;do if(b[i+38>>0]|0){k=f[i+56>>2]|0;if(!k){u=(f[i+20>>2]|0)+80|0;break}else{u=k+40|0;break}}else u=(f[i+48>>2]|0)+20|0;while(0);i=a-(f[u>>2]|0)|0;do if(!l){u=f[g+56>>2]|0;if(!u){v=(f[g+20>>2]|0)+80|0;break}else{v=u+40|0;break}}else v=(f[g+48>>2]|0)+20|0;while(0);if((i|0)>=(j-(f[v>>2]|0)|0)){r=1;return r|0}f[c>>2]=a;f[d>>2]=j;r=2;return r|0}function S2b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;g=R2b(a,c,d)|0;h=f[e>>2]|0;i=f[d>>2]|0;j=i;k=h;do if(b[h+38>>0]|0){l=f[h+56>>2]|0;if(!l){m=(f[h+20>>2]|0)+80|0;break}else{m=l+40|0;break}}else m=(f[h+48>>2]|0)+20|0;while(0);h=k-(f[m>>2]|0)|0;do if(b[i+38>>0]|0){m=f[i+56>>2]|0;if(!m){n=(f[i+20>>2]|0)+80|0;break}else{n=m+40|0;break}}else n=(f[i+48>>2]|0)+20|0;while(0);if((h|0)>=(j-(f[n>>2]|0)|0)){o=g;return o|0}f[d>>2]=k;f[e>>2]=j;j=g+1|0;e=f[d>>2]|0;k=f[c>>2]|0;n=k;h=e;do if(b[e+38>>0]|0){i=f[e+56>>2]|0;if(!i){p=(f[e+20>>2]|0)+80|0;break}else{p=i+40|0;break}}else p=(f[e+48>>2]|0)+20|0;while(0);e=h-(f[p>>2]|0)|0;do if(b[k+38>>0]|0){p=f[k+56>>2]|0;if(!p){q=(f[k+20>>2]|0)+80|0;break}else{q=p+40|0;break}}else q=(f[k+48>>2]|0)+20|0;while(0);if((e|0)>=(n-(f[q>>2]|0)|0)){o=j;return o|0}f[c>>2]=h;f[d>>2]=n;n=g+2|0;d=f[c>>2]|0;h=f[a>>2]|0;j=h;q=d;do if(b[d+38>>0]|0){e=f[d+56>>2]|0;if(!e){r=(f[d+20>>2]|0)+80|0;break}else{r=e+40|0;break}}else r=(f[d+48>>2]|0)+20|0;while(0);d=q-(f[r>>2]|0)|0;do if(b[h+38>>0]|0){r=f[h+56>>2]|0;if(!r){s=(f[h+20>>2]|0)+80|0;break}else{s=r+40|0;break}}else s=(f[h+48>>2]|0)+20|0;while(0);if((d|0)>=(j-(f[s>>2]|0)|0)){o=n;return o|0}f[a>>2]=q;f[c>>2]=j;o=g+3|0;return o|0}function T2b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;h=S2b(a,c,d,e)|0;i=f[g>>2]|0;j=f[e>>2]|0;k=j;l=i;do if(b[i+38>>0]|0){m=f[i+56>>2]|0;if(!m){n=(f[i+20>>2]|0)+80|0;break}else{n=m+40|0;break}}else n=(f[i+48>>2]|0)+20|0;while(0);i=l-(f[n>>2]|0)|0;do if(b[j+38>>0]|0){n=f[j+56>>2]|0;if(!n){o=(f[j+20>>2]|0)+80|0;break}else{o=n+40|0;break}}else o=(f[j+48>>2]|0)+20|0;while(0);if((i|0)>=(k-(f[o>>2]|0)|0)){p=h;return p|0}f[e>>2]=l;f[g>>2]=k;k=h+1|0;g=f[e>>2]|0;l=f[d>>2]|0;o=l;i=g;do if(b[g+38>>0]|0){j=f[g+56>>2]|0;if(!j){q=(f[g+20>>2]|0)+80|0;break}else{q=j+40|0;break}}else q=(f[g+48>>2]|0)+20|0;while(0);g=i-(f[q>>2]|0)|0;do if(b[l+38>>0]|0){q=f[l+56>>2]|0;if(!q){r=(f[l+20>>2]|0)+80|0;break}else{r=q+40|0;break}}else r=(f[l+48>>2]|0)+20|0;while(0);if((g|0)>=(o-(f[r>>2]|0)|0)){p=k;return p|0}f[d>>2]=i;f[e>>2]=o;o=h+2|0;e=f[d>>2]|0;i=f[c>>2]|0;k=i;r=e;do if(b[e+38>>0]|0){g=f[e+56>>2]|0;if(!g){s=(f[e+20>>2]|0)+80|0;break}else{s=g+40|0;break}}else s=(f[e+48>>2]|0)+20|0;while(0);e=r-(f[s>>2]|0)|0;do if(b[i+38>>0]|0){s=f[i+56>>2]|0;if(!s){t=(f[i+20>>2]|0)+80|0;break}else{t=s+40|0;break}}else t=(f[i+48>>2]|0)+20|0;while(0);if((e|0)>=(k-(f[t>>2]|0)|0)){p=o;return p|0}f[c>>2]=r;f[d>>2]=k;k=h+3|0;d=f[c>>2]|0;r=f[a>>2]|0;o=r;t=d;do if(b[d+38>>0]|0){e=f[d+56>>2]|0;if(!e){u=(f[d+20>>2]|0)+80|0;break}else{u=e+40|0;break}}else u=(f[d+48>>2]|0)+20|0;while(0);d=t-(f[u>>2]|0)|0;do if(b[r+38>>0]|0){u=f[r+56>>2]|0;if(!u){v=(f[r+20>>2]|0)+80|0;break}else{v=u+40|0;break}}else v=(f[r+48>>2]|0)+20|0;while(0);if((d|0)>=(o-(f[v>>2]|0)|0)){p=k;return p|0}f[a>>2]=t;f[c>>2]=o;p=h+4|0;return p|0}function U2b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;switch(c-a>>2|0){case 2:{d=c+-4|0;e=f[d>>2]|0;g=f[a>>2]|0;h=g;i=e;do if(b[e+38>>0]|0){j=f[e+56>>2]|0;if(!j){k=(f[e+20>>2]|0)+80|0;break}else{k=j+40|0;break}}else k=(f[e+48>>2]|0)+20|0;while(0);e=i-(f[k>>2]|0)|0;do if(b[g+38>>0]|0){k=f[g+56>>2]|0;if(!k){l=(f[g+20>>2]|0)+80|0;break}else{l=k+40|0;break}}else l=(f[g+48>>2]|0)+20|0;while(0);if((e|0)>=(h-(f[l>>2]|0)|0)){m=1;return m|0}f[a>>2]=i;f[d>>2]=h;m=1;return m|0}case 3:{R2b(a,a+4|0,c+-4|0)|0;m=1;return m|0}case 4:{S2b(a,a+4|0,a+8|0,c+-4|0)|0;m=1;return m|0}case 5:{T2b(a,a+4|0,a+8|0,a+12|0,c+-4|0)|0;m=1;return m|0}case 1:case 0:{m=1;return m|0}default:{h=a+8|0;R2b(a,a+4|0,h)|0;d=a+12|0;a:do if((d|0)==(c|0)){n=1;o=0}else{i=d;l=0;e=h;while(1){g=f[i>>2]|0;k=f[e>>2]|0;j=(b[g+38>>0]|0)==0;p=g;do if(!j){q=f[g+56>>2]|0;if(!q){r=(f[g+20>>2]|0)+80|0;break}else{r=q+40|0;break}}else r=(f[g+48>>2]|0)+20|0;while(0);q=p-(f[r>>2]|0)|0;do if(b[k+38>>0]|0){s=f[k+56>>2]|0;t=k;if(!s){u=t-(f[(f[k+20>>2]|0)+80>>2]|0)|0;break}else{u=t-(f[s+40>>2]|0)|0;break}}else u=k-(f[(f[k+48>>2]|0)+20>>2]|0)|0;while(0);if((q|0)<(u|0)){k=g+48|0;s=g+56|0;t=g+20|0;v=e;w=i;while(1){f[w>>2]=f[v>>2];if((v|0)==(a|0))break;x=v+-4|0;y=f[x>>2]|0;do if(!j){z=f[s>>2]|0;if(!z){A=(f[t>>2]|0)+80|0;break}else{A=z+40|0;break}}else A=(f[k>>2]|0)+20|0;while(0);z=p-(f[A>>2]|0)|0;do if(b[y+38>>0]|0){B=f[y+56>>2]|0;C=y;if(!B){D=C-(f[(f[y+20>>2]|0)+80>>2]|0)|0;break}else{D=C-(f[B+40>>2]|0)|0;break}}else D=y-(f[(f[y+48>>2]|0)+20>>2]|0)|0;while(0);if((z|0)<(D|0)){y=v;v=x;w=y}else break}f[v>>2]=p;w=l+1|0;if((w|0)==8){n=0;o=(i+4|0)==(c|0);break a}else E=w}else E=l;w=i+4|0;if((w|0)==(c|0)){n=1;o=0;break}else{k=i;i=w;l=E;e=k}}}while(0);m=o|n;return m|0}}return 0}function V2b(a){a=a|0;var c=0,d=0;f[a>>2]=157012;if(b[a+17>>0]|0)return;c=f[a+12>>2]|0;if((c|0)<=0)return;d=f[a+4>>2]|0;xh[f[(f[d>>2]|0)+12>>2]&2047](d,c);return}function W2b(a){a=a|0;var c=0,d=0;f[a>>2]=157012;if(b[a+17>>0]|0){Emc(a);return}c=f[a+12>>2]|0;if((c|0)<=0){Emc(a);return}d=f[a+4>>2]|0;xh[f[(f[d>>2]|0)+12>>2]&2047](d,c);Emc(a);return}function X2b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;if((f[a+20>>2]|0)<=0){Y2b(a,c,d);if(!d)return;if((b[c+(d+-1)>>0]|0)!=10)return;b[a+16>>0]=1;return}if(!d)e=0;else{g=a+16|0;h=0;i=0;while(1){j=i;i=i+1|0;if((b[c+j>>0]|0)==10){Y2b(a,c+h|0,1-h+j|0);b[g>>0]=1;k=i}else k=h;if((i|0)==(d|0)){e=k;break}else h=k}}Y2b(a,c+e|0,d-e|0);return}function Y2b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;e=u;u=u+16|0;g=e;h=a+17|0;if((d|0)==0|(b[h>>0]|0)!=0){u=e;return}i=a+16|0;if(b[i>>0]|0?(b[i>>0]=0,i=f[a+20>>2]|0,i|0):0){j=i<<1;i=a+12|0;k=f[i>>2]|0;l=a+8|0;m=f[l>>2]|0;a:do if((j|0)>(k|0)){n=a+4|0;o=j;p=m;q=k;while(1){Drc(p|0,32,q|0)|0;r=f[i>>2]|0;s=f[n>>2]|0;t=ki[f[(f[s>>2]|0)+8>>2]&511](s,g,i)|0;v=(t^1)&1;b[h>>0]=v;if(!t)break;t=o-r|0;r=f[g>>2]|0;f[l>>2]=r;q=f[i>>2]|0;s=r;if((t|0)<=(q|0)){w=t;x=s;y=9;break a}else{o=t;p=s}}z=v}else{w=j;x=m;y=9}while(0);if((y|0)==9){Drc(x|0,32,w|0)|0;f[l>>2]=(f[l>>2]|0)+w;f[i>>2]=(f[i>>2]|0)-w;z=b[h>>0]|0}if(z<<24>>24){u=e;return}}z=a+12|0;w=f[z>>2]|0;i=a+8|0;do if(w>>>0<d>>>0){l=a+4|0;x=d;m=c;j=w;while(1){if((j|0)>0){Krc(f[i>>2]|0,m|0,j|0)|0;v=f[z>>2]|0;A=x-v|0;B=m+v|0}else{A=x;B=m}f[g>>2]=0;v=f[l>>2]|0;k=ki[f[(f[v>>2]|0)+8>>2]&511](v,g,z)|0;b[h>>0]=(k^1)&1;if(!k)break;C=f[g>>2]|0;f[i>>2]=C;j=f[z>>2]|0;if(A>>>0<=j>>>0){y=19;break}else{x=A;m=B}}if((y|0)==19){D=A;E=B;F=C;break}u=e;return}else{D=d;E=c;F=f[i>>2]|0}while(0);Krc(F|0,E|0,D|0)|0;f[i>>2]=(f[i>>2]|0)+D;f[z>>2]=(f[z>>2]|0)-D;u=e;return}function Z2b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;d=b;e=a+4|0;g=f[e>>2]|0;do if(g){h=a+4|0;i=g;j=g;while(1){k=f[i+16>>2]|0;if(k>>>0>b>>>0){l=f[i>>2]|0;if(!l){m=6;break}else{n=i;o=l}}else{if(k>>>0>=b>>>0){m=10;break}p=i+4|0;k=f[p>>2]|0;if(!k){m=9;break}else{n=p;o=k}}h=n;i=o;j=o}if((m|0)==6){q=i;r=i;m=13;break}else if((m|0)==9){q=p;r=i;m=13;break}else if((m|0)==10){s=h;t=i;u=j;m=12;break}}else{s=e;t=e;u=g;m=12}while(0);if((m|0)==12)if(!u){q=s;r=t;m=13}else v=u;if((m|0)==13){m=Bmc(32)|0;f[m+16>>2]=d;f[m+20>>2]=0;f[m+24>>2]=0;f[m+28>>2]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=r;f[q>>2]=m;r=f[f[a>>2]>>2]|0;if(!r)w=m;else{f[a>>2]=r;w=f[q>>2]|0}RS(f[a+4>>2]|0,w);w=a+8|0;f[w>>2]=(f[w>>2]|0)+1;v=m}m=v+24|0;w=f[m>>2]|0;if((w|0)==(f[v+28>>2]|0)){_2b(v+20|0,c);return}else{v=c;c=f[v+4>>2]|0;a=w;f[a>>2]=f[v>>2];f[a+4>>2]=c;f[m>>2]=(f[m>>2]|0)+8;return}}function _2b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>3;h=g+1|0;if(h>>>0>536870911)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>2;l=j>>3>>>0<268435455?(k>>>0<h>>>0?h:k):536870911;do if(l)if(l>>>0>536870911){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<3)|0;break}else m=0;while(0);k=m+(g<<3)|0;h=b;b=f[h+4>>2]|0;j=k;f[j>>2]=f[h>>2];f[j+4>>2]=b;b=k+(0-g<<3)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+8;f[i>>2]=m+(l<<3);if(!d)return;Emc(d);return}function $2b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;c=u;u=u+16|0;d=c;e=b;g=Bmc(24)|0;h=g+4|0;f[h>>2]=0;f[g+8>>2]=0;f[g>>2]=h;h=g+16|0;f[h>>2]=0;f[g+20>>2]=0;f[g+12>>2]=h;f[d>>2]=g;g=a+12|0;h=a+16|0;i=f[h>>2]|0;do if(i){j=a+16|0;k=i;l=i;while(1){m=f[k+16>>2]|0;if(m>>>0>b>>>0){n=f[k>>2]|0;if(!n){o=6;break}else{p=k;q=n}}else{if(m>>>0>=b>>>0){o=10;break}r=k+4|0;m=f[r>>2]|0;if(!m){o=9;break}else{p=r;q=m}}j=p;k=q;l=q}if((o|0)==6){s=k;t=k;o=13;break}else if((o|0)==9){s=r;t=k;o=13;break}else if((o|0)==10){v=j;w=k;x=l;o=12;break}}else{v=h;w=h;x=i;o=12}while(0);if((o|0)==12)if(!x){s=v;t=w;o=13}else y=x;if((o|0)==13){o=Bmc(32)|0;f[o+16>>2]=e;f[o+20>>2]=0;f[o+24>>2]=0;f[o+28>>2]=0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=t;f[s>>2]=o;t=f[f[g>>2]>>2]|0;if(!t)z=o;else{f[g>>2]=t;z=f[s>>2]|0}RS(f[a+16>>2]|0,z);z=a+20|0;f[z>>2]=(f[z>>2]|0)+1;y=o}o=y+24|0;z=f[o>>2]|0;if((z|0)==(f[y+28>>2]|0)){a3b(y+20|0,d);A=f[d>>2]|0;u=c;return A|0}else{f[z>>2]=f[d>>2];f[o>>2]=(f[o>>2]|0)+4;A=f[d>>2]|0;u=c;return A|0}return 0}function a3b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;Emc(d);return}function b3b(a,c){a=a|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;d[a+12>>1]=0;b[a+14>>0]=c&1;c=a+15|0;b[c>>0]=0;b[c+1>>0]=0;b[c+2>>0]=0;b[c+3>>0]=0;return}function c3b(a){a=a|0;return}function d3b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+160|0;g=e+152|0;h=e;ai[f[(f[d>>2]|0)+28>>2]&2047](d);i=(b[a+18>>0]^1)&255;xh[f[(f[d>>2]|0)+96>>2]&2047](g,d);e3b(h,f[g>>2]|0,c,f[a>>2]|0,f[a+4>>2]|0,f[a+8>>2]|0,i,(b[a+13>>0]|0)!=0,(b[a+14>>0]|0)!=0,(b[a+15>>0]|0)!=0,(b[a+16>>0]|0)!=0,(b[a+17>>0]|0)!=0,(b[a+12>>0]|0)!=0);i=f3b(a,0,d,h)|0;HYb(h+20|0);u=e;return i|0}function e3b(a,c,d,e,g,h,i,j,k,l,m,n,o){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;f[a>>2]=e;f[a+4>>2]=g;f[a+8>>2]=h;h=a+12|0;f[h>>2]=157032;f[a+16>>2]=a;g=a+20|0;GYb(g,d,h);f[a+132>>2]=c;f[a+136>>2]=i;b[a+140>>0]=j&1;b[a+141>>0]=k&1;b[a+142>>0]=l&1;b[a+143>>0]=m&1;b[a+144>>0]=o&1;b[a+145>>0]=0;b[a+120>>0]=1;f[a+124>>2]=1;if(!n){NYb(g)|0;return}b[a+128>>0]=0;b[a+129>>0]=1;NYb(g)|0;return}function f3b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+80|0;g=c+40|0;h=c+24|0;i=c+12|0;j=c;k=e+20|0;while(1){if((f[k>>2]|0)==1)break;if(!(g3b(e,d)|0)){l=0;m=24;break}}if((m|0)==24){u=c;return l|0}if(b[e+145>>0]|0){l=0;u=c;return l|0}if(b[a+12>>0]|0){l=1;u=c;return l|0}if(ci[f[(f[d>>2]|0)+32>>2]&1023](d)|0){l=1;u=c;return l|0}f[h>>2]=0;a=h+4|0;f[a>>2]=0;f[h+8>>2]=0;B1b(d,h);f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;d=f[h>>2]|0;m=f[a>>2]|0;if((d|0)!=(m|0)){k=g+4|0;n=d;do{if((n|0)!=(d|0))anc(j,523537)|0;o=b[n+11>>0]|0;p=o<<24>>24<0;f[g>>2]=p?f[n>>2]|0:n;f[k>>2]=p?f[n+4>>2]|0:o&255;Q6b(j,g);n=n+12|0}while((n|0)!=(m|0))}bza(i,510247,j);h3b(e,-1,0,i);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);j=f[h>>2]|0;if(j|0){i=f[a>>2]|0;if((i|0)==(j|0))q=j;else{e=i;while(1){i=e+-12|0;f[a>>2]=i;if((b[i+11>>0]|0)<0){Emc(f[i>>2]|0);r=f[a>>2]|0}else r=i;if((r|0)==(j|0))break;else e=r}q=f[h>>2]|0}Emc(q)}l=0;u=c;return l|0}function g3b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0;d=u;u=u+128|0;e=d+104|0;g=d;h=d+68|0;i=d+64|0;j=d+60|0;k=d+48|0;l=d+36|0;m=d+24|0;n=d+80|0;o=d+120|0;p=d+12|0;q=ci[f[(f[c>>2]|0)+92>>2]&1023](c)|0;xh[f[(f[c>>2]|0)+96>>2]&2047](e,c);r=f[e>>2]|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;s=a+20|0;t=a+36|0;v=f[t>>2]|0;w=a+40|0;x=f[w>>2]|0;a:do if(S6b(c,i,j)|0){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=1;b[e>>0]=91;b[e+1>>0]=0;y=a+24|0;z=y+11|0;A=b[z>>0]|0;B=A<<24>>24<0;C=a+28|0;D=A&255;b:do if(((B?f[C>>2]|0:D)|0)==1){A=f[y>>2]|0;c:do if(B){if((b[A>>0]|0)!=(b[e>>0]|0))break b}else{if((A&255)<<24>>24!=(f[e>>2]&255)<<24>>24)break b;E=y;F=D;G=e;while(1){F=F+-1|0;E=E+1|0;if(!F)break c;G=G+1|0;if((b[E>>0]|0)!=(b[G>>0]|0))break b}}while(0);NYb(s)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;if(i3b(a,g,k)|0){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;A=e+11|0;b[A>>0]=1;b[e>>0]=93;b[e+1>>0]=0;G=j3b(a,e)|0;if((b[A>>0]|0)<0)Emc(f[e>>2]|0);if(G){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=1;b[e>>0]=58;b[e+1>>0]=0;G=b[z>>0]|0;A=G<<24>>24<0;E=G&255;d:do if(((A?f[C>>2]|0:E)|0)==1){G=f[y>>2]|0;e:do if(A){if((b[G>>0]|0)!=(b[e>>0]|0))break d}else{if((G&255)<<24>>24!=(f[e>>2]&255)<<24>>24)break d;F=y;H=E;I=e;while(1){H=H+-1|0;F=F+1|0;if(!H)break e;I=I+1|0;if((b[F>>0]|0)!=(b[I>>0]|0))break d}}while(0);NYb(s)|0}while(0);E=f[(f[c>>2]|0)+96>>2]|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;xh[E&2047](e,c);f:do if(k3b(a,g,f[(f[(f[e>>2]|0)+8>>2]|0)+8>>2]|0,l)|0){do if((f[a+136>>2]|0)==1){E=f[i>>2]|0;if(!((f[E+32>>2]|0)!=3?ki[f[(f[q>>2]|0)+20>>2]&511](q,c,E)|0:0))J=27;if((J|0)==27){E=f[j>>2]|0;if((f[E+32>>2]|0)==3)break;if(!(ki[f[(f[q>>2]|0)+20>>2]&511](q,c,E)|0))break};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;E=Bmc(48)|0;f[e>>2]=E;f[e+8>>2]=-2147483600;f[e+4>>2]=42;A=E;G=510310;I=A+42|0;do{b[A>>0]=b[G>>0]|0;A=A+1|0;G=G+1|0}while((A|0)<(I|0));b[E+42>>0]=0;h3b(a,f[t>>2]|0,f[w>>2]|0,e);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);K=0;break f}while(0);G=f[(f[q>>2]|0)+144>>2]|0;A=f[i>>2]|0;JDa(e,k,g);rh[G&255](q,c,A,e);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);rh[f[(f[q>>2]|0)+144>>2]&255](q,c,f[j>>2]|0,l);K=1}else K=0;while(0);if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0);L=K}else L=0}else L=0;if((b[k+11>>0]|0)<0)Emc(f[k>>2]|0);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);M=L;break a}while(0);N=y;O=z;P=C;J=43}else{D=a+24|0;N=D;O=D+11|0;P=a+28|0;J=43}while(0);g:do if((J|0)==43){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=1;b[e>>0]=91;b[e+1>>0]=0;L=b[O>>0]|0;K=L<<24>>24<0;j=L&255;h:do if(((K?f[P>>2]|0:j)|0)==1){L=f[a+24>>2]|0;i:do if(K){if((b[L>>0]|0)!=(b[e>>0]|0)){J=77;break h}}else{if((L&255)<<24>>24!=(f[e>>2]&255)<<24>>24){J=77;break h}i=N;D=j;B=e;while(1){D=D+-1|0;i=i+1|0;if(!D)break i;B=B+1|0;if((b[i>>0]|0)!=(b[B>>0]|0)){J=77;break h}}}while(0);NYb(s)|0;if(!(l3b(a,h)|0)){M=0;break g};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;L=e+11|0;b[L>>0]=1;b[e>>0]=93;b[e+1>>0]=0;B=j3b(a,e)|0;if((b[L>>0]|0)<0)Emc(f[e>>2]|0);if(!B){M=0;break g}B=f[a+4>>2]|0;if(!B)Q=Sh[f[(f[q>>2]|0)+308>>2]&511](q,h)|0;else Q=ki[f[(f[B>>2]|0)+8>>2]&511](B,c,h)|0;if(!Q)if(!(b[a+141>>0]|0)){bza(l,510353,h);pza(k,l,510365);JDa(g,k,f[r+4>>2]|0);pza(e,g,510410);h3b(a,f[t>>2]|0,f[w>>2]|0,e);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if((b[k+11>>0]|0)<0)Emc(f[k>>2]|0);if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0);M=0;break g}else{bza(l,510353,h);pza(k,l,510365);JDa(g,k,f[r+4>>2]|0);pza(e,g,510410);m3b(a,f[t>>2]|0,f[w>>2]|0,e);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if((b[k+11>>0]|0)<0)Emc(f[k>>2]|0);if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0);R=0;J=133;break}else S=Q}else J=77;while(0);j:do if((J|0)==77){if(!(n3b(a,h)|0)){M=0;break g}do if((b[a+143>>0]|0)!=0?M6b(h,g)|0:0){j=($Ib(r,f[g>>2]|0)|0)==0;K=f[g>>2]|0;if(!j){T=0;U=Sh[f[(f[q>>2]|0)+312>>2]&511](q,K)|0;J=119;break}if(!(aJb(r,K)|0)){T=0;U=SIb(r,f[g>>2]|0)|0;J=119}else V=1}else J=84;while(0);k:do if((J|0)==84){K=WIb(r,h)|0;if(!K){Nmc(k,h);j=k+11|0;C=b[j>>0]|0;z=C<<24>>24<0;y=f[k>>2]|0;B=z?y+(f[k+4>>2]|0)|0:k+(C&255)|0;C=z?y:k;if((C|0)!=(B|0)){y=C;do{C=b[y>>0]|0;if((C+-65&255)<26)b[y>>0]=(C&255)+32;y=y+1|0}while((y|0)!=(B|0))}B=WIb(r,k)|0;if(!B)W=0;else{y=f[B+24>>2]|0;if(y|0?(f[y>>2]|0)!=2:0){f[e>>2]=110868;f[e+4>>2]=1634;b[e+8>>0]=0;f[e+12>>2]=B;dEb(y,e)}W=(f[B+28>>2]|0)==10?B:0}if((b[j>>0]|0)<0)Emc(f[k>>2]|0);if(!W)J=110;else{X=W;J=97}}else{X=K;J=97}l:do if((J|0)==97){B=f[X+24>>2]|0;if(B|0?(f[B>>2]|0)!=2:0){f[e>>2]=110868;f[e+4>>2]=1634;b[e+8>>0]=0;f[e+12>>2]=X;dEb(B,e)}if((f[X+28>>2]|0)==10){B=dJb(X)|0;y=f[B>>2]|0;B=b[y+11>>0]|0;C=B<<24>>24<0;z=B&255;B=C?f[y+4>>2]|0:z;L=b[h+11>>0]|0;i=L<<24>>24<0;if((B|0)==((i?f[h+4>>2]|0:L&255)|0)){L=f[y>>2]|0;D=C?L:y;A=i?f[h>>2]|0:h;i=(B|0)==0;if(C){if(i){Y=X;break}if(!(gac(D,A,B)|0)){Y=X;break}else{J=110;break}}if(!i)if((L&255)<<24>>24==(b[A>>0]|0)){L=y;y=z;z=A;while(1){y=y+-1|0;L=L+1|0;if(!y)break;z=z+1|0;if((b[L>>0]|0)!=(b[z>>0]|0)){J=110;break l}}if(X)Y=X;else J=110}else J=110;else Y=X}else J=110}else Y=X}while(0);do if((J|0)==110){if(b[a+140>>0]|0){Nmc(e,h);K=e+11|0;j=b[K>>0]|0;z=j<<24>>24<0;L=f[e>>2]|0;y=z?L+(f[e+4>>2]|0)|0:e+(j&255)|0;j=z?L:e;if((j|0)!=(y|0)){L=j;do{j=b[L>>0]|0;if((j+-65&255)<26)b[L>>0]=(j&255)+32;L=L+1|0}while((L|0)!=(y|0))}y=TIb(r,e)|0;if((b[K>>0]|0)<0)Emc(f[e>>2]|0);if(y|0){Y=y;break}}T=o3b(r,h)|0;U=0;J=119;break k}while(0);S=Y;break j}while(0);if((J|0)==119){if((U|0)!=0|T)if(!U){R=T;J=133;break}else{S=U;break}if(!(b[a+141>>0]|0)){bza(m,510413,f[r+4>>2]|0);pza(l,m,510428);JDa(k,l,h);pza(e,k,510410);h3b(a,f[t>>2]|0,f[w>>2]|0,e);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);if((b[k+11>>0]|0)<0)Emc(f[k>>2]|0);if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0);if((b[m+11>>0]|0)<0)Emc(f[m>>2]|0);M=0;break g}else V=0}R=V;J=133}while(0);if((J|0)==133){if(!(R|(b[a+141>>0]|0)!=0)){TDb(n,3,509891,481);QDb(o,ODb(n,510451)|0);UDb(n)}y=Sh[f[(f[q>>2]|0)+12>>2]&511](q,c)|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=1;b[e>>0]=58;b[e+1>>0]=0;L=b[O>>0]|0;j=L<<24>>24<0;z=L&255;m:do if(((j?f[P>>2]|0:z)|0)==1){L=a+24|0;E=f[L>>2]|0;n:do if(j){if((b[E>>0]|0)!=(b[e>>0]|0)){J=153;break m}}else{if((E&255)<<24>>24==(f[e>>2]&255)<<24>>24){Z=N;_=z;$=e}else{J=153;break m}while(1){_=_+-1|0;Z=Z+1|0;if(!_)break n;$=$+1|0;if((b[Z>>0]|0)!=(b[$>>0]|0)){J=153;break m}}}while(0);NYb(s)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=1;b[g>>0]=123;b[g+1>>0]=0;E=b[O>>0]|0;A=E<<24>>24<0;i=E&255;E=((A?f[P>>2]|0:i)|0)==1;o:do if(E){B=f[L>>2]|0;p:do if(A){if((b[B>>0]|0)!=(b[g>>0]|0))break o}else{if((B&255)<<24>>24==(f[g>>2]&255)<<24>>24){aa=N;ba=i;ca=g}else break o;while(1){ba=ba+-1|0;aa=aa+1|0;if(!ba)break p;ca=ca+1|0;if((b[aa>>0]|0)!=(b[ca>>0]|0))break o}}while(0);break m}while(0);f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;b[k+11>>0]=1;b[k>>0]=60;b[k+1>>0]=0;q:do if(E){B=f[L>>2]|0;if(A)if((b[B>>0]|0)==(b[k>>0]|0))break m;else break;if((B&255)<<24>>24==(f[k>>2]&255)<<24>>24){B=N;K=i;D=k;while(1){K=K+-1|0;B=B+1|0;if(!K)break;D=D+1|0;if((b[B>>0]|0)!=(b[D>>0]|0)){J=155;break q}}break m}else J=155}else J=155;while(0);i=f[y>>2]|0;if(!i)da=0;else da=(f[i+4>>2]|0)-(f[i>>2]|0)>>4;i=V3b(y,da)|0;Qmc(U3b(i,0)|0,h)|0;M=p3b(a,i)|0;break g}else J=153;while(0);M=q3b(a,y)|0;break}if((f[a+136>>2]|0)==1){if((f[S+32>>2]|0)!=3?ki[f[(f[q>>2]|0)+20>>2]&511](q,c,S)|0:0){bza(g,510506,h);pza(e,g,510527);h3b(a,f[t>>2]|0,f[w>>2]|0,e);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);M=0;break}z=f[S+52>>2]|0;if(z|0?ki[f[(f[q>>2]|0)+32>>2]&511](q,c,z)|0:0){j=ki[f[(f[q>>2]|0)+40>>2]&511](q,c,z)|0;bza(p,510558,h);pza(m,p,510566);JDa(l,m,f[j>>2]|0);pza(k,l,510600);JDa(g,k,f[z>>2]|0);pza(e,g,510410);h3b(a,f[t>>2]|0,f[w>>2]|0,e);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if((b[k+11>>0]|0)<0)Emc(f[k>>2]|0);if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0);if((b[m+11>>0]|0)<0)Emc(f[m>>2]|0);if((b[p+11>>0]|0)<0)Emc(f[p>>2]|0);M=0;break}}z=S+24|0;j=f[z>>2]|0;if(j|0?(f[j>>2]|0)!=2:0){f[e>>2]=110868;f[e+4>>2]=1634;b[e+8>>0]=0;f[e+12>>2]=S;dEb(j,e)}j=S+28|0;r:do if((f[149940+(f[j>>2]<<2)>>2]|0)!=10){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;i=e+11|0;b[i>>0]=1;b[e>>0]=58;b[e+1>>0]=0;A=j3b(a,e)|0;if((b[i>>0]|0)<0)Emc(f[e>>2]|0);if(A)J=206;else{M=0;break g}}else{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=1;b[e>>0]=58;b[e+1>>0]=0;A=b[O>>0]|0;i=A<<24>>24<0;L=A&255;s:do if(((i?f[P>>2]|0:L)|0)==1){A=f[a+24>>2]|0;t:do if(i){if((b[A>>0]|0)!=(b[e>>0]|0))break s}else{if((A&255)<<24>>24!=(f[e>>2]&255)<<24>>24)break s;E=N;D=L;B=e;while(1){D=D+-1|0;E=E+1|0;if(!D)break t;B=B+1|0;if((b[E>>0]|0)!=(b[B>>0]|0))break s}}while(0);NYb(s)|0;if(!(b[(f[S+68>>2]|0)+55>>0]|0)){J=206;break r}if((f[a+20>>2]|0)!=5){J=206;break r};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;if(r3b(a,e)|0){kDb(Bg[f[(f[q>>2]|0)+156>>2]&127](q,c,S,0)|0,e)|0;ea=2}else ea=1;if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);if((ea&3)==2)break r;else{M=0;break g}}while(0);J=206}while(0);u:do if((J|0)==206){if((f[S+32>>2]|0)==3){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=1;b[e>>0]=91;b[e+1>>0]=0;y=b[O>>0]|0;L=y<<24>>24<0;i=y&255;v:do if(((L?f[P>>2]|0:i)|0)==1){y=f[a+24>>2]|0;w:do if(L){if((b[y>>0]|0)!=(b[e>>0]|0))break v}else{if((y&255)<<24>>24!=(f[e>>2]&255)<<24>>24)break v;A=N;B=i;E=e;while(1){B=B+-1|0;A=A+1|0;if(!B)break w;E=E+1|0;if((b[A>>0]|0)!=(b[E>>0]|0))break v}}while(0);NYb(s)|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=1;b[e>>0]=93;b[e+1>>0]=0;y=b[O>>0]|0;E=y<<24>>24<0;A=y&255;x:do if(((E?f[P>>2]|0:A)|0)==1){y=f[a+24>>2]|0;y:do if(E){if((b[y>>0]|0)!=(b[e>>0]|0))break x}else{if((y&255)<<24>>24!=(f[e>>2]&255)<<24>>24)break x;B=N;D=A;K=e;while(1){D=D+-1|0;B=B+1|0;if(!D)break y;K=K+1|0;if((b[B>>0]|0)!=(b[K>>0]|0))break x}}while(0);NYb(s)|0;break u}while(0);A=e+11|0;E=e+1|0;y=a+24|0;K=e+11|0;B=e+1|0;D=e+4|0;C=e+8|0;G=e+12|0;z:while(1){I=f[z>>2]|0;if(I|0?(f[I>>2]|0)!=2:0){f[e>>2]=110868;f[D>>2]=1634;b[C>>0]=0;f[G>>2]=S;dEb(I,e)}if((f[149940+(f[j>>2]<<2)>>2]|0)==10){if(!(s3b(a,c,q,S)|0)){M=0;break g}}else if(!(t3b(a,c,q,S)|0)){M=0;break g};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[A>>0]=1;b[e>>0]=93;b[E>>0]=0;I=b[O>>0]|0;F=I<<24>>24<0;H=I&255;do if(((F?f[P>>2]|0:H)|0)==1){I=f[y>>2]|0;if(F)if((b[I>>0]|0)==(b[e>>0]|0))break z;else break;if((I&255)<<24>>24==(f[e>>2]&255)<<24>>24){I=N;fa=H;ga=e;do{fa=fa+-1|0;I=I+1|0;if(!fa)break z;ga=ga+1|0}while((b[I>>0]|0)==(b[ga>>0]|0))}}while(0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[K>>0]=1;b[e>>0]=44;b[B>>0]=0;H=j3b(a,e)|0;if((b[K>>0]|0)<0)Emc(f[e>>2]|0);if(!H){M=0;break g}}NYb(s)|0;break u}while(0)}i=f[z>>2]|0;if(i|0?(f[i>>2]|0)!=2:0){f[e>>2]=110868;f[e+4>>2]=1634;b[e+8>>0]=0;f[e+12>>2]=S;dEb(i,e)}if((f[149940+(f[j>>2]<<2)>>2]|0)==10)if(s3b(a,c,q,S)|0)break;else{M=0;break g}else if(t3b(a,c,q,S)|0)break;else{M=0;break g}}while(0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=1;b[e>>0]=59;b[e+1>>0]=0;j=b[O>>0]|0;z=j<<24>>24<0;i=j&255;j=((z?f[P>>2]|0:i)|0)==1;A:do if(j){L=f[a+24>>2]|0;B:do if(z){if((b[L>>0]|0)!=(b[e>>0]|0)){J=254;break A}}else{if((L&255)<<24>>24!=(f[e>>2]&255)<<24>>24){J=254;break A}K=N;B=i;y=e;while(1){B=B+-1|0;K=K+1|0;if(!B)break B;y=y+1|0;if((b[K>>0]|0)!=(b[y>>0]|0)){J=254;break A}}}while(0);NYb(s)|0}else J=254;while(0);if((J|0)==254){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=1;b[g>>0]=44;b[g+1>>0]=0;C:do if(j){L=f[a+24>>2]|0;D:do if(z){if((b[L>>0]|0)!=(b[g>>0]|0))break C}else{if((L&255)<<24>>24!=(f[g>>2]&255)<<24>>24)break C;y=N;K=i;B=g;while(1){K=K+-1|0;y=y+1|0;if(!K)break D;B=B+1|0;if((b[y>>0]|0)!=(b[B>>0]|0))break C}}while(0);NYb(s)|0}while(0)}if(b[(f[S+68>>2]|0)+54>>0]|0){bza(g,510629,h);pza(e,g,509777);m3b(a,f[t>>2]|0,f[w>>2]|0,e);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0)}i=f[a+8>>2]|0;if(!i)M=1;else{z=g;f[z>>2]=v;f[z+4>>2]=x;f[e>>2]=f[g>>2];f[e+4>>2]=f[g+4>>2];Z2b(i,S,e);M=1}}while(0);if((b[h+11>>0]|0)>=0){u=d;return M|0}Emc(f[h>>2]|0);u=d;return M|0}function h3b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;g=u;u=u+64|0;h=g+24|0;i=g;b[a+145>>0]=1;j=f[a>>2]|0;if(j|0){rh[f[(f[j>>2]|0)+8>>2]&255](j,c,d,e);u=g;return}if((c|0)>-1){TDb(h,2,509891,288);j=ODb(h,510281)|0;QDb(g+49|0,PDb(ODb(RDb(ODb(RDb(ODb(PDb(j,f[(f[a+132>>2]|0)+4>>2]|0)|0,509871)|0,c+1|0)|0,510308)|0,d+1|0)|0,509871)|0,e)|0);UDb(h);u=g;return}else{TDb(i,2,509891,293);h=ODb(i,510281)|0;QDb(g+48|0,PDb(ODb(PDb(h,f[(f[a+132>>2]|0)+4>>2]|0)|0,509871)|0,e)|0);UDb(i);u=g;return}}function i3b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;e=u;u=u+96|0;g=e+84|0;h=e+72|0;i=e+60|0;j=e+48|0;k=e+36|0;l=e+24|0;m=e+12|0;n=e;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;do if(n3b(a,g)|0){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;o=j+11|0;b[o>>0]=1;b[j>>0]=46;b[j+1>>0]=0;p=j3b(a,j)|0;if((b[o>>0]|0)<0)Emc(f[j>>2]|0);if(p?n3b(a,h)|0:0){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;p=j+11|0;b[p>>0]=1;b[j>>0]=46;b[j+1>>0]=0;o=j3b(a,j)|0;if((b[p>>0]|0)<0)Emc(f[j>>2]|0);if(o?n3b(a,i)|0:0){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;o=j+11|0;b[o>>0]=1;b[j>>0]=47;b[j+1>>0]=0;p=j3b(a,j)|0;if((b[o>>0]|0)<0)Emc(f[j>>2]|0);if(p?l3b(a,c)|0:0){pza(n,g,523604);JDa(m,n,h);pza(l,m,523604);JDa(k,l,i);pza(j,k,523408);Qmc(d,j)|0;if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);if((b[k+11>>0]|0)<0)Emc(f[k>>2]|0);if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0);if((b[m+11>>0]|0)<0)Emc(f[m>>2]|0);if((b[n+11>>0]|0)<0)Emc(f[n>>2]|0);p=s8b(515952)|0;o=d+11|0;q=b[o>>0]|0;r=d+4|0;s=f[r>>2]|0;if((p|0)==((q<<24>>24<0?s:q&255)|0)){if(!(knc(d,0,-1,515952,p)|0)){t=1;break}v=b[o>>0]|0;w=f[r>>2]|0}else{v=q;w=s}s=s8b(515973)|0;if((s|0)==((v<<24>>24<0?w:v&255)|0)?(knc(d,0,-1,515973,s)|0)==0:0){t=1;break}bza(k,511216,d);pza(j,k,509777);h3b(a,f[a+36>>2]|0,f[a+40>>2]|0,j);if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);if((b[k+11>>0]|0)<0)Emc(f[k>>2]|0);t=0}else t=0}else t=0}else t=0}else t=0;while(0);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);if((b[g+11>>0]|0)>=0){u=e;return t|0}Emc(f[g>>2]|0);u=e;return t|0}function j3b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+48|0;e=d+36|0;g=d+24|0;h=d+12|0;i=d;j=a+20|0;k=a+24|0;l=b[k+11>>0]|0;m=l<<24>>24<0;n=l&255;l=m?f[a+28>>2]|0:n;o=b[c+11>>0]|0;p=o<<24>>24<0;a:do if((l|0)==((p?f[c+4>>2]|0:o&255)|0)){q=f[k>>2]|0;r=m?q:k;s=p?f[c>>2]|0:c;t=(l|0)==0;b:do if(m){if(!t?gac(r,s,l)|0:0)break a}else if(!t){if((q&255)<<24>>24==(b[s>>0]|0)){v=k;w=n;x=s}else break a;while(1){w=w+-1|0;v=v+1|0;if(!w)break b;x=x+1|0;if((b[v>>0]|0)!=(b[x>>0]|0))break a}}while(0);NYb(j)|0;y=1;u=d;return y|0}while(0);bza(i,511194,c);pza(h,i,511205);JDa(g,h,k);pza(e,g,510410);h3b(a,f[a+36>>2]|0,f[a+40>>2]|0,e);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);y=0;u=d;return y|0}function k3b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=u;u=u+80|0;h=g+48|0;i=g+36|0;j=g+24|0;k=g+12|0;l=g;m=OIb(d,c)|0;if(!m){bza(i,511063,c);pza(h,i,511085);h3b(a,f[a+36>>2]|0,f[a+40>>2]|0,h);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);n=0;u=g;return n|0}MVb(h);d=JVb(h,m)|0;if(d){m=ci[f[(f[d>>2]|0)+12>>2]&1023](d)|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;do if(x3b(a,i)|0){Nmc(j,i);d=y3b(a,m,j)|0;if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);if(d){if(b[a+144>>0]|0){pDb(m,e)|0;o=1;break}if(ci[f[(f[m>>2]|0)+32>>2]&1023](m)|0){oDb(m,e)|0;o=1;break}bza(l,511118,c);pza(k,l,511134);h3b(a,f[a+36>>2]|0,f[a+40>>2]|0,k);if((b[k+11>>0]|0)<0)Emc(f[k>>2]|0);if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0);o=0}else o=0}else o=0;while(0);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);if(!m)p=o;else{ai[f[(f[m>>2]|0)+4>>2]&2047](m);p=o}}else p=0;HVb(h);n=p;u=g;return n|0}function l3b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+16|0;e=d;if(!(n3b(a,c)|0)){g=0;u=d;return g|0}h=e+11|0;i=e+1|0;j=a+20|0;k=a+24|0;l=k+11|0;m=a+28|0;n=e+11|0;o=e+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[h>>0]=1;b[e>>0]=46;b[i>>0]=0;p=b[l>>0]|0;q=p<<24>>24<0;r=p&255;a:do if(((q?f[m>>2]|0:r)|0)==1){p=r;s=q;while(1){t=f[k>>2]|0;b:do if(s){if((b[t>>0]|0)!=(b[e>>0]|0))break a}else{if((t&255)<<24>>24==(f[e>>2]&255)<<24>>24){v=k;w=p;x=e}else break a;while(1){w=w+-1|0;v=v+1|0;if(!w)break b;x=x+1|0;if((b[v>>0]|0)!=(b[x>>0]|0))break a}}while(0);NYb(j)|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;if(!(n3b(a,e)|0))break;anc(c,523604)|0;t=b[n>>0]|0;y=t<<24>>24<0;$mc(c,y?f[e>>2]|0:e,y?f[o>>2]|0:t&255)|0;if((b[n>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[h>>0]=1;b[e>>0]=46;b[i>>0]=0;t=b[l>>0]|0;s=t<<24>>24<0;p=t&255;if(((s?f[m>>2]|0:p)|0)!=1)break a}if((b[n>>0]|0)<0)Emc(f[e>>2]|0);g=0;u=d;return g|0}while(0);g=1;u=d;return g|0}function m3b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+64|0;g=e+24|0;h=e;i=f[a>>2]|0;if(i|0){rh[f[(f[i>>2]|0)+12>>2]&255](i,b,c,d);u=e;return}if((b|0)>-1){TDb(g,1,509891,305);i=ODb(g,511034)|0;QDb(e+49|0,PDb(ODb(RDb(ODb(RDb(ODb(PDb(i,f[(f[a+132>>2]|0)+4>>2]|0)|0,509871)|0,b+1|0)|0,510308)|0,c+1|0)|0,509871)|0,d)|0);UDb(g);u=e;return}else{TDb(h,1,509891,310);g=ODb(h,511034)|0;QDb(e+48|0,PDb(ODb(PDb(g,f[(f[a+132>>2]|0)+4>>2]|0)|0,509871)|0,d)|0);UDb(h);u=e;return}}function n3b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+16|0;e=d;g=f[a+20>>2]|0;if((g|0)==2){Qmc(c,a+24|0)|0;NYb(a+20|0)|0;h=1;u=d;return h|0}if(!(b[a+143>>0]|0)){if((b[a+141>>0]|0)!=0&(g|0)==3)i=6}else if((g|0)==3)i=6;if((i|0)==6){Qmc(c,a+24|0)|0;NYb(a+20|0)|0;h=1;u=d;return h|0}bza(e,511007,a+24|0);h3b(a,f[a+36>>2]|0,f[a+40>>2]|0,e);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);h=0;u=d;return h|0}function o3b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=f[a+80>>2]|0;if((d|0)<=0){e=0;return e|0}g=f[a+48>>2]|0;a=b[c+11>>0]|0;h=a<<24>>24<0;i=a&255;a=h?f[c+4>>2]|0:i;j=h?f[c>>2]|0:c;k=(a|0)==0;if(h){if(k){h=0;while(1){l=f[g+(h<<2)>>2]|0;m=b[l+11>>0]|0;if(!((m<<24>>24<0?f[l+4>>2]|0:m&255)|0)){e=1;n=17;break}h=h+1|0;if((h|0)>=(d|0)){e=0;n=17;break}}if((n|0)==17)return e|0}else o=0;while(1){h=f[g+(o<<2)>>2]|0;m=b[h+11>>0]|0;l=m<<24>>24<0;if((a|0)==((l?f[h+4>>2]|0:m&255)|0)?(gac(j,l?f[h>>2]|0:h,a)|0)==0:0){e=1;n=17;break}o=o+1|0;if((o|0)>=(d|0)){e=0;n=17;break}}if((n|0)==17)return e|0}if(k){k=0;while(1){o=f[g+(k<<2)>>2]|0;j=b[o+11>>0]|0;if(!((j<<24>>24<0?f[o+4>>2]|0:j&255)|0)){e=1;n=17;break}k=k+1|0;if((k|0)>=(d|0)){e=0;n=17;break}}if((n|0)==17)return e|0}else p=0;a:while(1){k=f[g+(p<<2)>>2]|0;j=b[k+11>>0]|0;o=j<<24>>24<0;b:do if((a|0)==((o?f[k+4>>2]|0:j&255)|0)){h=c;l=i;m=o?f[k>>2]|0:k;while(1){if((b[h>>0]|0)!=(b[m>>0]|0))break b;l=l+-1|0;if(!l){e=1;n=17;break a}else{h=h+1|0;m=m+1|0}}}while(0);p=p+1|0;if((p|0)>=(d|0)){e=0;n=17;break}}if((n|0)==17)return e|0;return 0}function p3b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;d=u;u=u+32|0;e=d+12|0;g=d;h=a+20|0;if((f[h>>2]|0)==5){i=a+20|0;do NYb(i)|0;while((f[h>>2]|0)==5);j=1;u=d;return j|0};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=1;b[e>>0]=91;b[e+1>>0]=0;i=a+20|0;k=a+24|0;l=k+11|0;m=b[l>>0]|0;n=m<<24>>24<0;o=a+28|0;p=m&255;a:do if(((n?f[o>>2]|0:p)|0)==1){m=f[k>>2]|0;b:do if(n){if((b[m>>0]|0)!=(b[e>>0]|0))break a}else{if((m&255)<<24>>24!=(f[e>>2]&255)<<24>>24)break a;q=k;r=p;s=e;while(1){r=r+-1|0;q=q+1|0;if(!r)break b;s=s+1|0;if((b[q>>0]|0)!=(b[s>>0]|0))break a}}while(0);NYb(i)|0;m=e+11|0;s=e+1|0;q=e+11|0;r=e+1|0;t=e+11|0;v=e+1|0;w=g+11|0;x=g+1|0;c:while(1){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[m>>0]=1;b[e>>0]=123;b[s>>0]=0;y=b[l>>0]|0;z=y<<24>>24<0;A=y&255;y=((z?f[o>>2]|0:A)|0)==1;d:do if(y){B=f[k>>2]|0;e:do if(z)if((b[B>>0]|0)==(b[e>>0]|0))C=24;else C=18;else if((B&255)<<24>>24==(f[e>>2]&255)<<24>>24){D=k;E=A;F=e;while(1){E=E+-1|0;D=D+1|0;if(!E){C=24;break e}F=F+1|0;if((b[D>>0]|0)!=(b[F>>0]|0)){C=18;break}}}else C=18;while(0);do if((C|0)==18){C=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[w>>0]=1;b[g>>0]=60;b[x>>0]=0;if(!y){C=26;break d}B=f[k>>2]|0;if(z)if((b[B>>0]|0)==(b[g>>0]|0))break;else{C=28;break d}if((B&255)<<24>>24==(f[g>>2]&255)<<24>>24){G=k;H=A;I=g}else{C=26;break d}while(1){H=H+-1|0;G=G+1|0;if(!H)break;I=I+1|0;if((b[G>>0]|0)!=(b[I>>0]|0)){C=26;break d}}}else if((C|0)==24)C=0;while(0);if(!(q3b(a,c)|0)){j=0;C=72;break c}}else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[w>>0]=1;b[g>>0]=60;b[x>>0]=0;C=26}while(0);if((C|0)==26){C=0;C=28}if((C|0)==28?(C=0,!(p3b(a,c)|0)):0){j=0;C=72;break};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[q>>0]=1;b[e>>0]=93;b[r>>0]=0;A=b[l>>0]|0;z=A<<24>>24<0;y=A&255;do if(((z?f[o>>2]|0:y)|0)==1){A=f[k>>2]|0;if(z)if((b[A>>0]|0)==(b[e>>0]|0)){C=36;break c}else break;if((A&255)<<24>>24==(f[e>>2]&255)<<24>>24){A=k;B=y;F=e;do{B=B+-1|0;A=A+1|0;if(!B){C=36;break c}F=F+1|0}while((b[A>>0]|0)==(b[F>>0]|0))}}while(0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[t>>0]=1;b[e>>0]=44;b[v>>0]=0;y=j3b(a,e)|0;if((b[t>>0]|0)<0)Emc(f[e>>2]|0);if(!y){j=0;C=72;break}}if((C|0)==36){NYb(i)|0;j=1;u=d;return j|0}else if((C|0)==72){u=d;return j|0}}while(0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=1;b[e>>0]=45;b[e+1>>0]=0;I=b[l>>0]|0;l=I<<24>>24<0;G=I&255;f:do if(((l?f[o>>2]|0:G)|0)==1){I=f[k>>2]|0;g:do if(l){if((b[I>>0]|0)!=(b[e>>0]|0)){J=0;break f}}else{if((I&255)<<24>>24!=(f[e>>2]&255)<<24>>24){J=0;break f}H=k;p=G;n=e;while(1){p=p+-1|0;H=H+1|0;if(!p)break g;n=n+1|0;if((b[H>>0]|0)!=(b[n>>0]|0)){J=0;break f}}}while(0);NYb(i)|0;J=1}else J=0;while(0);G=f[h>>2]|0;if((G+-2|0)>>>0>=3){j=0;u=d;return j|0}if(J&(G|0)==2){Nmc(e,k);G=e+11|0;J=b[G>>0]|0;h=J<<24>>24<0;l=f[e>>2]|0;o=e+4|0;I=f[o>>2]|0;n=h?l+I|0:e+(J&255)|0;H=h?l:e;if((H|0)==(n|0)){K=J;L=I}else{I=H;do{H=b[I>>0]|0;if((H+-65&255)<26)b[I>>0]=(H&255)+32;I=I+1|0}while((I|0)!=(n|0));K=b[G>>0]|0;L=f[o>>2]|0}if(((K<<24>>24<0?L:K&255)|0)==3){if(knc(e,0,-1,517449,3)|0){M=b[G>>0]|0;N=f[o>>2]|0;C=58}}else{M=K;N=L;C=58}do if((C|0)==58){if(((M<<24>>24<0?N:M&255)|0)==8){if(!(knc(e,0,-1,519369,8)|0))break;O=b[G>>0]|0;P=f[o>>2]|0}else{O=M;P=N}if(((O<<24>>24<0?P:O&255)|0)==3?(knc(e,0,-1,519378,3)|0)==0:0)break;bza(g,510984,e);h3b(a,f[a+36>>2]|0,f[a+40>>2]|0,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if((b[G>>0]|0)<0)Emc(f[e>>2]|0);j=0;u=d;return j|0}while(0);if((b[G>>0]|0)<0)Emc(f[e>>2]|0)}Qmc(U3b(c,1)|0,k)|0;NYb(i)|0;j=1;u=d;return j|0}function q3b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;d=u;u=u+48|0;e=d+24|0;g=d+12|0;h=d;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;a:do if(x3b(a,e)|0){i=g+11|0;j=g+1|0;k=a+24|0;l=k+11|0;m=a+28|0;n=h+11|0;o=h+1|0;b:while(1){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[i>>0]=1;b[g>>0]=62;b[j>>0]=0;p=b[l>>0]|0;q=p<<24>>24<0;r=p&255;p=((q?f[m>>2]|0:r)|0)==1;do if(p){s=f[k>>2]|0;if(q){if((b[s>>0]|0)==(b[g>>0]|0)){t=15;break b}}else if((s&255)<<24>>24==(f[g>>2]&255)<<24>>24){s=k;v=r;w=g;do{v=v+-1|0;s=s+1|0;if(!v){t=15;break b}w=w+1|0}while((b[s>>0]|0)==(b[w>>0]|0))};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[n>>0]=1;b[h>>0]=125;b[o>>0]=0;if(p){w=f[k>>2]|0;if(q)if((b[w>>0]|0)==(b[h>>0]|0))break b;else break;if((w&255)<<24>>24==(f[h>>2]&255)<<24>>24){w=k;s=r;v=h;while(1){s=s+-1|0;w=w+1|0;if(!s){t=13;break b}v=v+1|0;if((b[w>>0]|0)!=(b[v>>0]|0)){t=17;break}}}else t=17}else t=17}else{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[n>>0]=1;b[h>>0]=125;b[o>>0]=0;t=17}while(0);if((t|0)==17)t=0;if(!(z3b(a,c)|0)){x=0;break a}}x=j3b(a,e)|0}else x=0;while(0);if((b[e+11>>0]|0)>=0){u=d;return x|0}Emc(f[e>>2]|0);u=d;return x|0}function r3b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+16|0;e=d;g=a+20|0;if((f[g>>2]|0)!=5){bza(e,510961,a+24|0);h3b(a,f[a+36>>2]|0,f[a+40>>2]|0,e);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);h=0;u=d;return h|0}e=c+11|0;if((b[e>>0]|0)<0){b[f[c>>2]>>0]=0;f[c+4>>2]=0}else{b[c>>0]=0;b[e>>0]=0}if((f[g>>2]|0)!=5){h=1;u=d;return h|0}e=a+20|0;i=a+24|0;do{QYb(i,c);NYb(e)|0}while((f[g>>2]|0)==5);h=1;u=d;return h|0}function s3b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=u;u=u+48|0;h=g+24|0;i=g+12|0;j=g;k=a+8|0;l=f[k>>2]|0;if(l|0){m=$2b(l,e)|0;f[k>>2]=m};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;do if(x3b(a,h)|0){m=f[d>>2]|0;if((f[e+32>>2]|0)==3){n=Bg[f[m+300>>2]&127](d,c,e,0)|0;Nmc(i,h);o=y3b(a,n,i)|0;if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);if(!o){p=0;break}}else{o=Bg[f[m+156>>2]&127](d,c,e,0)|0;Nmc(j,h);m=y3b(a,o,j)|0;if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);if(!m){p=0;break}}f[k>>2]=l;p=1}else p=0;while(0);if((b[h+11>>0]|0)>=0){u=g;return p|0}Emc(f[h>>2]|0);u=g;return p|0}function t3b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;g=u;u=u+96|0;h=g;i=g+52|0;j=g+40|0;k=g+28|0;l=g+16|0;m=g+64|0;n=g+88|0;o=f[e+24>>2]|0;if(o|0?(f[o>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=e;dEb(o,h)}a:do switch(f[149940+(f[e+28>>2]<<2)>>2]|0){case 1:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[h+11>>0]=1;b[h>>0]=45;b[h+1>>0]=0;o=a+20|0;q=a+24|0;r=b[q+11>>0]|0;s=r<<24>>24<0;t=r&255;b:do if(((s?f[a+28>>2]|0:t)|0)==1){r=f[q>>2]|0;c:do if(s){if((b[r>>0]|0)!=45){v=0;break b}}else{if((r&255)<<24>>24!=(f[h>>2]&255)<<24>>24){v=0;break b}w=q;x=t;y=h;while(1){x=x+-1|0;w=w+1|0;if(!x)break c;y=y+1|0;if((b[w>>0]|0)!=(b[y>>0]|0)){v=0;break b}}}while(0);NYb(o)|0;v=1}else v=0;while(0);if(!(u3b(a,h,v?-2147483648:2147483647,v?0:0)|0)){z=0;u=g;return z|0}o=h;t=f[o>>2]|0;q=f[o+4>>2]|0;o=(t|0)==0&(q|0)==-2147483648;s=zrc(0,0,t|0,q|0)|0;q=v?(o?0:s):t;t=f[d>>2]|0;if((f[e+32>>2]|0)==3){rh[f[t+260>>2]&255](d,c,e,q);break a}else{rh[f[t+116>>2]&255](d,c,e,q);break a}break}case 3:{if(!(u3b(a,h,-1,0)|0)){z=0;u=g;return z|0}q=f[d>>2]|0;t=f[h>>2]|0;if((f[e+32>>2]|0)==3)rh[f[q+268>>2]&255](d,c,e,t);else rh[f[q+124>>2]&255](d,c,e,t);break}case 2:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[h+11>>0]=1;b[h>>0]=45;b[h+1>>0]=0;t=a+20|0;q=a+24|0;s=b[q+11>>0]|0;o=s<<24>>24<0;r=s&255;d:do if(((o?f[a+28>>2]|0:r)|0)==1){s=f[q>>2]|0;e:do if(o){if((b[s>>0]|0)!=45){A=0;break d}}else{if((s&255)<<24>>24!=(f[h>>2]&255)<<24>>24){A=0;break d}y=q;w=r;x=h;while(1){w=w+-1|0;y=y+1|0;if(!w)break e;x=x+1|0;if((b[y>>0]|0)!=(b[x>>0]|0)){A=0;break d}}}while(0);NYb(t)|0;A=1}else A=0;while(0);if(!(u3b(a,h,A?0:-1,A?-2147483648:2147483647)|0)){z=0;u=g;return z|0}t=h;r=f[t>>2]|0;q=f[t+4>>2]|0;t=(r|0)==0&(q|0)==-2147483648;o=zrc(0,0,r|0,q|0)|0;s=A?(t?0:o):r;r=A?(t?-2147483648:J):q;q=f[d>>2]|0;if((f[e+32>>2]|0)==3){sh[f[q+264>>2]&255](d,c,e,s,r);break a}else{sh[f[q+120>>2]&255](d,c,e,s,r);break a}break}case 4:{if(!(u3b(a,h,-1,-1)|0)){z=0;u=g;return z|0}r=f[d>>2]|0;s=h;q=f[s>>2]|0;t=f[s+4>>2]|0;if((f[e+32>>2]|0)==3)sh[f[r+272>>2]&255](d,c,e,q,t);else sh[f[r+128>>2]&255](d,c,e,q,t);break}case 6:{if(!(v3b(a,h)|0)){z=0;u=g;return z|0}t=f[d>>2]|0;B=+p[h>>3];if((f[e+32>>2]|0)==3){q=f[t+276>>2]|0;C=+EYb(B);mh[q&63](d,c,e,C)}else{q=f[t+132>>2]|0;C=+EYb(B);mh[q&63](d,c,e,C)}break}case 5:{if(!(v3b(a,h)|0)){z=0;u=g;return z|0}q=f[d>>2]|0;C=+p[h>>3];if((f[e+32>>2]|0)==3)mh[f[q+280>>2]&63](d,c,e,C);else mh[f[q+136>>2]&63](d,c,e,C);break}case 9:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(!(r3b(a,h)|0)){if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);z=0;u=g;return z|0}q=f[d>>2]|0;if((f[e+32>>2]|0)==3)rh[f[q+288>>2]&255](d,c,e,h);else rh[f[q+144>>2]&255](d,c,e,h);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);break}case 7:{if((f[a+20>>2]|0)==3){if(!(u3b(a,h,1,0)|0)){z=0;u=g;return z|0}q=f[d>>2]|0;t=h;r=(f[t>>2]|0)!=0|(f[t+4>>2]|0)!=0;if((f[e+32>>2]|0)==3)rh[f[q+284>>2]&255](d,c,e,r);else rh[f[q+140>>2]&255](d,c,e,r);break a};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=n3b(a,h)|0;q=h+11|0;t=b[q>>0]|0;s=t<<24>>24<0;if(!r){if(s)Emc(f[h>>2]|0);z=0;u=g;return z|0}r=h+4|0;o=f[r>>2]|0;if(((s?o:t&255)|0)==4)if(!(knc(h,0,-1,524521,4)|0))D=72;else{E=b[q>>0]|0;F=f[r>>2]|0;D=66}else{E=t;F=o;D=66}do if((D|0)==66){if(((E<<24>>24<0?F:E&255)|0)==4){if(!(knc(h,0,-1,510669,4)|0)){D=72;break}G=b[q>>0]|0;H=f[r>>2]|0}else{G=E;H=F}if(((G<<24>>24<0?H:G&255)|0)==1){if(!(knc(h,0,-1,510674,1)|0)){D=72;break}I=b[q>>0]|0;K=f[r>>2]|0}else{I=G;K=H}if(((I<<24>>24<0?K:I&255)|0)==5){if(knc(h,0,-1,524515,5)|0){L=b[q>>0]|0;M=f[r>>2]|0;D=78}}else{L=I;M=K;D=78}do if((D|0)==78){if(((L<<24>>24<0?M:L&255)|0)==5){if(!(knc(h,0,-1,510676,5)|0))break;N=b[q>>0]|0;O=f[r>>2]|0}else{N=L;O=M}if(((N<<24>>24<0?O:N&255)|0)==1?(knc(h,0,-1,510682,1)|0)==0:0)break;bza(l,510684,f[e>>2]|0);pza(k,l,510718);JDa(j,k,h);pza(i,j,510410);h3b(a,f[a+36>>2]|0,f[a+40>>2]|0,i);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);if((b[k+11>>0]|0)<0)Emc(f[k>>2]|0);if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0);if((b[q>>0]|0)<0)Emc(f[h>>2]|0);z=0;u=g;return z|0}while(0);o=f[d>>2]|0;if((f[e+32>>2]|0)==3){rh[f[o+284>>2]&255](d,c,e,0);break}else{rh[f[o+140>>2]&255](d,c,e,0);break}}while(0);do if((D|0)==72){r=f[d>>2]|0;if((f[e+32>>2]|0)==3){rh[f[r+284>>2]&255](d,c,e,1);break}else{rh[f[r+140>>2]&255](d,c,e,1);break}}while(0);if((b[q>>0]|0)<0)Emc(f[h>>2]|0);break}case 8:{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;r=eJb(e)|0;o=f[a+20>>2]|0;do if((o|0)==2)if(n3b(a,i)|0){P=XIb(r,i)|0;D=128}else{Q=1;R=0}else{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[h+11>>0]=1;b[h>>0]=45;b[h+1>>0]=0;t=a+24|0;s=b[t+11>>0]|0;x=s<<24>>24<0;y=s&255;s=((x?f[a+28>>2]|0:y)|0)==1;f:do if(s){w=f[t>>2]|0;g:do if(x){if((b[w>>0]|0)!=(b[h>>0]|0)){D=110;break f}}else{if((w&255)<<24>>24!=(f[h>>2]&255)<<24>>24){D=110;break f}S=t;T=y;U=h;while(1){T=T+-1|0;S=S+1|0;if(!T)break g;U=U+1|0;if((b[S>>0]|0)!=(b[U>>0]|0)){D=110;break f}}}while(0)}else D=110;while(0);if((D|0)==110?(o|0)!=3:0){bza(h,510730,t);h3b(a,f[a+36>>2]|0,f[a+40>>2]|0,h);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);Q=1;R=0;break};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[h+11>>0]=1;b[h>>0]=45;b[h+1>>0]=0;w=a+20|0;h:do if(s){U=f[t>>2]|0;i:do if(x){if((b[U>>0]|0)!=45){V=0;break h}}else{if((U&255)<<24>>24!=(f[h>>2]&255)<<24>>24){V=0;break h}S=t;T=y;W=h;while(1){T=T+-1|0;S=S+1|0;if(!T)break i;W=W+1|0;if((b[S>>0]|0)!=(b[W>>0]|0)){V=0;break h}}}while(0);NYb(w)|0;V=1}else V=0;while(0);if(!(u3b(a,h,V?-2147483648:2147483647,V?0:0)|0)){Q=1;R=0;break}w=h;y=f[w>>2]|0;t=f[w+4>>2]|0;w=(y|0)==0&(t|0)==-2147483648;x=zrc(0,0,y|0,t|0)|0;s=V?(w?0:x):y;G6b(h,s,V?(w?-2147483648:J):t);Qmc(i,h)|0;if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);P=YIb(r,s)|0;D=128}while(0);do if((D|0)==128){if(P|0){r=f[d>>2]|0;if((f[e+32>>2]|0)==3){rh[f[r+292>>2]&255](d,c,e,P);Q=2;R=0;break}else{rh[f[r+148>>2]&255](d,c,e,P);Q=2;R=0;break}}if(!(b[a+142>>0]|0)){bza(l,510768,i);pza(k,l,510799);JDa(j,k,f[e>>2]|0);pza(h,j,510410);h3b(a,f[a+36>>2]|0,f[a+40>>2]|0,h);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);if((b[k+11>>0]|0)<0)Emc(f[k>>2]|0);if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0);Q=1;R=0;break}else{bza(l,510768,i);pza(k,l,510799);JDa(j,k,f[e>>2]|0);pza(h,j,510410);m3b(a,f[a+36>>2]|0,f[a+40>>2]|0,h);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);if((b[k+11>>0]|0)<0)Emc(f[k>>2]|0);if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0);Q=1;R=1;break}}while(0);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);if((Q|0)==1){z=R;u=g;return z|0}break}case 10:{TDb(m,3,509891,770);QDb(n,ODb(m,510813)|0);UDb(m);break}default:{}}while(0);z=1;u=g;return z|0}function u3b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+32|0;h=g+12|0;i=g;if((f[a+20>>2]|0)!=3){bza(h,510881,a+24|0);h3b(a,f[a+36>>2]|0,f[a+40>>2]|0,h);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);j=0;u=g;return j|0}k=a+24|0;if(OYb(k,d,e,c)|0){NYb(a+20|0)|0;j=1;u=g;return j|0}bza(i,510936,k);pza(h,i,523313);h3b(a,f[a+36>>2]|0,f[a+40>>2]|0,h);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);j=0;u=g;return j|0}function v3b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0.0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,E=0;d=u;u=u+32|0;e=d;g=d+12|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=1;b[e>>0]=45;b[e+1>>0]=0;h=a+20|0;i=a+24|0;j=b[i+11>>0]|0;k=j<<24>>24<0;l=j&255;a:do if(((k?f[a+28>>2]|0:l)|0)==1){j=f[i>>2]|0;b:do if(k){if((b[j>>0]|0)!=(b[e>>0]|0)){m=0;break a}}else{if((j&255)<<24>>24!=(f[e>>2]&255)<<24>>24){m=0;break a}n=i;o=l;q=e;while(1){o=o+-1|0;n=n+1|0;if(!o)break b;q=q+1|0;if((b[n>>0]|0)!=(b[q>>0]|0)){m=0;break a}}}while(0);NYb(h)|0;m=1}else m=0;while(0);c:do switch(f[a+20>>2]|0){case 3:{if(w3b(a,e,-1,-1)|0){l=e;p[c>>3]=+((f[l>>2]|0)>>>0)+4294967296.0*+((f[l+4>>2]|0)>>>0);break c}r=0;u=d;return r|0}case 4:{s=+PYb(i);p[c>>3]=s;NYb(h)|0;break}case 2:{Nmc(e,i);l=e+11|0;k=b[l>>0]|0;j=k<<24>>24<0;q=f[e>>2]|0;n=e+4|0;o=f[n>>2]|0;t=j?q+o|0:e+(k&255)|0;v=j?q:e;if((v|0)==(t|0)){w=k;x=o}else{o=v;do{v=b[o>>0]|0;if((v+-65&255)<26)b[o>>0]=(v&255)+32;o=o+1|0}while((o|0)!=(t|0));w=b[l>>0]|0;x=f[n>>2]|0}if(((w<<24>>24<0?x:w&255)|0)==3)if(!(knc(e,0,-1,517449,3)|0))y=25;else{z=b[l>>0]|0;A=f[n>>2]|0;y=22}else{z=w;A=x;y=22}do if((y|0)==22){if(((z<<24>>24<0?A:z&255)|0)==8){if(!(knc(e,0,-1,519369,8)|0)){y=25;break}B=b[l>>0]|0;E=f[n>>2]|0}else{B=z;E=A}if(((B<<24>>24<0?E:B&255)|0)==3?(knc(e,0,-1,519378,3)|0)==0:0){p[c>>3]=C;NYb(h)|0;break}bza(g,510858,e);h3b(a,f[a+36>>2]|0,f[a+40>>2]|0,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if((b[l>>0]|0)<0)Emc(f[e>>2]|0);r=0;u=d;return r|0}while(0);if((y|0)==25){p[c>>3]=D;NYb(h)|0}if((b[l>>0]|0)<0)Emc(f[e>>2]|0);break}default:{bza(e,510858,i);h3b(a,f[a+36>>2]|0,f[a+40>>2]|0,e);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);r=0;u=d;return r|0}}while(0);if(!m){r=1;u=d;return r|0}p[c>>3]=-+p[c>>3];r=1;u=d;return r|0}function w3b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=u;u=u+32|0;h=g+12|0;i=g;if((f[a+20>>2]|0)!=3){bza(h,510881,a+24|0);h3b(a,f[a+36>>2]|0,f[a+40>>2]|0,h);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);j=0;u=g;return j|0}k=a+20|0;l=a+24|0;m=b[l+11>>0]|0;n=m<<24>>24<0;do if((n?f[a+28>>2]|0:m&255)>>>0>1){o=n?f[l>>2]|0:l;if(!((b[o>>0]|0)==48?(b[o+1>>0]|32)<<24>>24==120:0)){o=n?f[l>>2]|0:l;if((b[o>>0]|0)!=48)break;if((b[o+1>>0]&-8)<<24>>24!=48)break}bza(h,510905,l);h3b(a,f[a+36>>2]|0,f[a+40>>2]|0,h);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);j=0;u=g;return j|0}while(0);if(OYb(l,d,e,c)|0){NYb(k)|0;j=1;u=g;return j|0}bza(i,510936,l);pza(h,i,523313);h3b(a,f[a+36>>2]|0,f[a+40>>2]|0,h);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);j=0;u=g;return j|0}function x3b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+16|0;e=d;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[e+11>>0]=1;b[e>>0]=60;b[e+1>>0]=0;g=a+20|0;h=a+24|0;i=b[h+11>>0]|0;j=i<<24>>24<0;k=i&255;a:do if(((j?f[a+28>>2]|0:k)|0)==1){i=f[h>>2]|0;b:do if(j){if((b[i>>0]|0)!=(b[e>>0]|0))break a}else{if((i&255)<<24>>24!=(f[e>>2]&255)<<24>>24)break a;l=h;m=k;n=e;while(1){m=m+-1|0;l=l+1|0;if(!m)break b;n=n+1|0;if((b[l>>0]|0)!=(b[n>>0]|0))break a}}while(0);NYb(g)|0;Vmc(c,523351)|0;o=1;u=d;return o|0}while(0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=e+11|0;b[g>>0]=1;b[e>>0]=123;b[e+1>>0]=0;k=j3b(a,e)|0;if((b[g>>0]|0)<0)Emc(f[e>>2]|0);if(!k){o=0;u=d;return o|0}Vmc(c,510959)|0;o=1;u=d;return o|0}function y3b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;e=u;u=u+32|0;g=e+12|0;h=e;i=g+11|0;j=g+1|0;k=a+24|0;l=k+11|0;m=a+28|0;n=h+11|0;o=h+1|0;a:while(1){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[i>>0]=1;b[g>>0]=62;b[j>>0]=0;p=b[l>>0]|0;q=p<<24>>24<0;r=p&255;p=((q?f[m>>2]|0:r)|0)==1;do if(p){s=f[k>>2]|0;if(q){if((b[s>>0]|0)==(b[g>>0]|0)){t=14;break a}}else if((s&255)<<24>>24==(f[g>>2]&255)<<24>>24){s=k;v=r;w=g;do{v=v+-1|0;s=s+1|0;if(!v){t=14;break a}w=w+1|0}while((b[s>>0]|0)==(b[w>>0]|0))};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[n>>0]=1;b[h>>0]=125;b[o>>0]=0;if(p){w=f[k>>2]|0;if(q)if((b[w>>0]|0)==(b[h>>0]|0))break a;else break;if((w&255)<<24>>24==(f[h>>2]&255)<<24>>24){w=k;s=r;v=h;while(1){s=s+-1|0;w=w+1|0;if(!s){t=12;break a}v=v+1|0;if((b[w>>0]|0)!=(b[v>>0]|0)){t=16;break}}}else t=16}else t=16}else{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[n>>0]=1;b[h>>0]=125;b[o>>0]=0;t=16}while(0);if((t|0)==16)t=0;if(!(g3b(a,c)|0)){x=0;t=20;break}}if((t|0)!=12)if((t|0)!=14)if((t|0)==20){u=e;return x|0}x=j3b(a,d)|0;u=e;return x|0}function z3b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;d=u;u=u+48|0;e=d+36|0;g=d+24|0;h=d+12|0;i=d;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=1;b[g>>0]=91;b[g+1>>0]=0;j=a+20|0;k=a+24|0;l=k+11|0;m=b[l>>0]|0;n=m<<24>>24<0;o=a+28|0;p=m&255;a:do if(((n?f[o>>2]|0:p)|0)==1){m=f[k>>2]|0;b:do if(n){if((b[m>>0]|0)!=(b[g>>0]|0)){q=12;break a}}else{if((m&255)<<24>>24!=(f[g>>2]&255)<<24>>24){q=12;break a}r=k;s=p;t=g;while(1){s=s+-1|0;r=r+1|0;if(!s)break b;t=t+1|0;if((b[r>>0]|0)!=(b[t>>0]|0)){q=12;break a}}}while(0);NYb(j)|0;if(l3b(a,e)|0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;m=g+11|0;b[m>>0]=1;b[g>>0]=93;b[g+1>>0]=0;t=j3b(a,g)|0;if((b[m>>0]|0)<0)Emc(f[g>>2]|0);if(t)q=13;else v=0}else v=0}else q=12;while(0);if((q|0)==12)if(n3b(a,e)|0)q=13;else v=0;c:do if((q|0)==13){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=1;b[g>>0]=58;b[g+1>>0]=0;p=b[l>>0]|0;n=p<<24>>24<0;t=p&255;d:do if(((n?f[o>>2]|0:t)|0)==1){p=f[k>>2]|0;e:do if(n){if((b[p>>0]|0)!=(b[g>>0]|0)){q=31;break d}}else{if((p&255)<<24>>24==(f[g>>2]&255)<<24>>24){w=k;x=t;y=g}else{q=31;break d}while(1){x=x+-1|0;w=w+1|0;if(!x)break e;y=y+1|0;if((b[w>>0]|0)!=(b[y>>0]|0)){q=31;break d}}}while(0);NYb(j)|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[h+11>>0]=1;b[h>>0]=123;b[h+1>>0]=0;p=b[l>>0]|0;m=p<<24>>24<0;r=p&255;p=((m?f[o>>2]|0:r)|0)==1;f:do if(p){s=f[k>>2]|0;g:do if(m){if((b[s>>0]|0)!=(b[h>>0]|0))break f}else{if((s&255)<<24>>24==(f[h>>2]&255)<<24>>24){z=k;A=r;B=h}else break f;while(1){A=A+-1|0;z=z+1|0;if(!A)break g;B=B+1|0;if((b[z>>0]|0)!=(b[B>>0]|0))break f}}while(0);q=40;break d}while(0);f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[i+11>>0]=1;b[i>>0]=60;b[i+1>>0]=0;do if(p){s=f[k>>2]|0;if(m)if((b[s>>0]|0)==(b[i>>0]|0)){q=40;break d}else break;if((s&255)<<24>>24==(f[i>>2]&255)<<24>>24){C=k;D=r;E=i}else break;while(1){D=D+-1|0;C=C+1|0;if(!D){q=39;break}E=E+1|0;if((b[C>>0]|0)!=(b[E>>0]|0)){q=35;break}}if((q|0)==35)break;else if((q|0)==39){q=40;break d}}while(0);r=f[c>>2]|0;if(!r)F=0;else F=(f[r+4>>2]|0)-(f[r>>2]|0)>>4;r=V3b(c,F)|0;Qmc(U3b(r,0)|0,e)|0;if(!(p3b(a,r)|0)){v=0;break c}}else q=31;while(0);if((q|0)==31)q=40;if((q|0)==40?!(q3b(a,c)|0):0){v=0;break};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[g+11>>0]=1;b[g>>0]=59;b[g+1>>0]=0;t=b[l>>0]|0;n=t<<24>>24<0;r=t&255;t=((n?f[o>>2]|0:r)|0)==1;h:do if(t){m=f[k>>2]|0;i:do if(n){if((b[m>>0]|0)!=(b[g>>0]|0)){q=49;break h}}else{if((m&255)<<24>>24!=(f[g>>2]&255)<<24>>24){q=49;break h}p=k;s=r;G=g;while(1){s=s+-1|0;p=p+1|0;if(!s)break i;G=G+1|0;if((b[p>>0]|0)!=(b[G>>0]|0)){q=49;break h}}}while(0);NYb(j)|0}else q=49;while(0);if((q|0)==49){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[h+11>>0]=1;b[h>>0]=44;b[h+1>>0]=0;j:do if(t){m=f[k>>2]|0;k:do if(n){if((b[m>>0]|0)!=(b[h>>0]|0))break j}else{if((m&255)<<24>>24!=(f[h>>2]&255)<<24>>24)break j;G=k;p=r;s=h;while(1){p=p+-1|0;G=G+1|0;if(!p)break k;s=s+1|0;if((b[G>>0]|0)!=(b[s>>0]|0))break j}}while(0);NYb(j)|0}while(0)}v=1}while(0);if((b[e+11>>0]|0)>=0){u=d;return v|0}Emc(f[e>>2]|0);u=d;return v|0}function A3b(a){a=a|0;Emc(a);return}function B3b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;h3b(f[a+4>>2]|0,b,c,d);return}function C3b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;m3b(f[a+4>>2]|0,b,c,d);return}function D3b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+32|0;g=e;h=b[c+11>>0]|0;i=h<<24>>24<0;dDb(g,i?f[c>>2]|0:c,i?f[c+4>>2]|0:h&255,-1);h=d3b(a,g,d)|0;u=e;return h|0}function E3b(a,c){a=a|0;c=c|0;var e=0,g=0,h=0;e=u;u=u+32|0;g=e;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;d[g+16>>1]=0;b[g+18>>0]=0;h=d3b(g,a,c)|0;u=e;return h|0}function F3b(a){a=a|0;var b=0;b=a+16|0;f[b>>2]=0;f[b+4>>2]=0;b=a+24|0;f[b>>2]=0;f[a+32>>2]=0;f[a+36>>2]=0;f[a>>2]=0;f[a+4>>2]=0;d[a+8>>1]=0;f[a+28>>2]=a+32;a=Bmc(4)|0;f[a>>2]=156944;f[b>>2]=a;return}function G3b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+48|0;i=h+32|0;j=h;k=g+11|0;if((b[k>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0}else{b[g>>0]=0;b[k>>0]=0}fDb(i,g);g=f[a>>2]|0;f[j>>2]=157012;k=j+4|0;f[k>>2]=i;f[j+8>>2]=0;i=j+12|0;f[i>>2]=0;b[j+16>>0]=1;l=j+17|0;b[l>>0]=0;f[j+20>>2]=g;f[j+24>>2]=g;L2b(a,c,ci[f[(f[c>>2]|0)+92>>2]&1023](c)|0,d,e,j);f[j>>2]=157012;if(b[l>>0]|0){u=h;return}l=f[i>>2]|0;if((l|0)<=0){u=h;return}i=f[k>>2]|0;xh[f[(f[i>>2]|0)+12>>2]&2047](i,l);u=h;return}function H3b(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var g=0,h=0,i=0,j=0;g=u;u=u+48|0;h=g;i=h+16|0;f[i>>2]=0;f[i+4>>2]=0;i=h+24|0;f[i>>2]=0;f[h+32>>2]=0;f[h+36>>2]=0;f[h>>2]=0;f[h+4>>2]=0;d[h+8>>1]=0;f[h+28>>2]=h+32;j=Bmc(4)|0;f[j>>2]=156944;f[i>>2]=j;G3b(h,a,b,c,e);z2b(h);u=g;return}function I3b(){var a=0,c=0,d=0;a=u;u=u+16|0;c=a;if((f[222992]|0)==2){d=f[222993]|0;u=a;return d|0}f[c>>2]=149752;f[c+4>>2]=178;b[c+8>>0]=0;dEb(891968,c);zDb(c);d=f[222993]|0;u=a;return d|0}function J3b(){var a=0;a=Bmc(4)|0;f[a>>2]=0;f[222993]=a;KDb(179);return}function K3b(){var a=0;a=f[222993]|0;if(!a)return;if(f[a>>2]|0)L3b(a);Emc(a);return}function L3b(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=f[a>>2]|0;d=(f[c+4>>2]|0)-(f[c>>2]|0)>>4;e=c;do{c=d;d=d+-1|0;g=f[e>>2]|0;switch(f[g+(d<<4)+4>>2]|0){case 3:{h=f[g+(d<<4)+8>>2]|0;if(h|0){if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);Emc(h)}break}case 4:{h=f[g+(d<<4)+8>>2]|0;if(h|0){if(f[h>>2]|0)L3b(h);Emc(h)}break}default:{}}e=f[a>>2]|0}while((c|0)>1);if(!e){f[a>>2]=0;return}d=f[e>>2]|0;if(d|0){c=e+4|0;h=f[c>>2]|0;if((h|0)!=(d|0))f[c>>2]=h+(~((h+-16-d|0)>>>4)<<4);Emc(d)}Emc(e);f[a>>2]=0;return}function M3b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=f[b>>2]|0;if(!c)return;d=(f[c+4>>2]|0)-(f[c>>2]|0)|0;c=d>>4;if((d|0)<=0)return;d=Bmc(12)|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[a>>2]=d;e=0;g=d;while(1){d=(f[f[b>>2]>>2]|0)+(e<<4)|0;h=g+4|0;i=f[h>>2]|0;if((i|0)==(f[g+8>>2]|0))N3b(g,d);else{f[i>>2]=f[d>>2];f[i+4>>2]=f[d+4>>2];f[i+8>>2]=f[d+8>>2];f[i+12>>2]=f[d+12>>2];f[h>>2]=(f[h>>2]|0)+16}h=f[(f[a>>2]|0)+4>>2]|0;switch(f[h+-12>>2]|0){case 3:{d=Bmc(12)|0;i=h+-8|0;Nmc(d,f[i>>2]|0);j=d;k=i;l=10;break}case 4:{i=Bmc(4)|0;f[i>>2]=0;d=h+-8|0;M3b(i,f[d>>2]|0);j=i;k=d;l=10;break}default:{}}if((l|0)==10){l=0;f[k>>2]=j}d=e+1|0;if((d|0)>=(c|0))break;e=d;g=f[a>>2]|0}return}function N3b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>4;h=g+1|0;if(h>>>0>268435455)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>3;l=j>>4>>>0<134217727?(k>>>0<h>>>0?h:k):268435455;do if(l)if(l>>>0>268435455){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<4)|0;break}else m=0;while(0);k=m+(g<<4)|0;f[k>>2]=f[b>>2];f[k+4>>2]=f[b+4>>2];f[k+8>>2]=f[b+8>>2];f[k+12>>2]=f[b+12>>2];b=k+(0-g<<4)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+16;f[i>>2]=m+(l<<4);if(!d)return;Emc(d);return}function O3b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=f[b>>2]|0;if(!c)return;d=(f[c+4>>2]|0)-(f[c>>2]|0)|0;c=d>>4;if((d|0)<=0)return;d=f[a>>2]|0;if(!d){e=Bmc(12)|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[a>>2]=e;g=0;h=e}else{g=0;h=d}while(1){d=(f[f[b>>2]>>2]|0)+(g<<4)|0;e=h+4|0;i=f[e>>2]|0;if((i|0)==(f[h+8>>2]|0))N3b(h,d);else{f[i>>2]=f[d>>2];f[i+4>>2]=f[d+4>>2];f[i+8>>2]=f[d+8>>2];f[i+12>>2]=f[d+12>>2];f[e>>2]=(f[e>>2]|0)+16}e=f[(f[a>>2]|0)+4>>2]|0;switch(f[e+-12>>2]|0){case 3:{d=Bmc(12)|0;i=e+-8|0;Nmc(d,f[i>>2]|0);j=d;k=i;l=11;break}case 4:{i=Bmc(4)|0;f[i>>2]=0;d=e+-8|0;M3b(i,f[d>>2]|0);j=i;k=d;l=11;break}default:{}}if((l|0)==11){l=0;f[k>>2]=j}d=g+1|0;if((d|0)>=(c|0))break;g=d;h=f[a>>2]|0}return}function P3b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=f[b>>2]|0;if(!c){f[b>>2]=0;return}d=(f[c+4>>2]|0)-(f[c>>2]|0)|0;c=d>>4;a:do if((d|0)>0){e=f[a>>2]|0;if(!e){g=Bmc(12)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[a>>2]=g;h=0;i=g}else{h=0;i=e}while(1){e=(f[f[b>>2]>>2]|0)+(h<<4)|0;g=i+4|0;j=f[g>>2]|0;if((j|0)==(f[i+8>>2]|0))N3b(i,e);else{f[j>>2]=f[e>>2];f[j+4>>2]=f[e+4>>2];f[j+8>>2]=f[e+8>>2];f[j+12>>2]=f[e+12>>2];f[g>>2]=(f[g>>2]|0)+16}g=f[f[b>>2]>>2]|0;switch(f[g+(h<<4)+4>>2]|0){case 3:{f[g+(h<<4)+8>>2]=0;break}case 4:{f[g+(h<<4)+8>>2]=0;break}default:{}}g=h+1|0;if((g|0)>=(c|0))break a;h=g;i=f[a>>2]|0}}while(0);a=f[b>>2]|0;if(!a){f[b>>2]=0;return}i=f[a>>2]|0;if(i|0){h=a+4|0;c=f[h>>2]|0;if((c|0)!=(i|0))f[h>>2]=c+(~((c+-16-i|0)>>>4)<<4);Emc(i)}Emc(a);f[b>>2]=0;return}function Q3b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;b=f[a>>2]|0;if(!b){c=0;return c|0}d=f[b+4>>2]|0;e=f[b>>2]|0;g=d-e|12;if((d|0)==(e|0)){c=g;return c|0}else{h=0;i=g;j=b}while(1){b=f[j>>2]|0;switch(f[b+(h<<4)+4>>2]|0){case 3:{k=i+12+(sBb(f[b+(h<<4)+8>>2]|0)|0)|0;break}case 4:{k=i+4+(Q3b(f[b+(h<<4)+8>>2]|0)|0)|0;break}default:k=i}h=h+1|0;j=f[a>>2]|0;if(h>>>0>=(f[j+4>>2]|0)-(f[j>>2]|0)>>4>>>0){c=k;break}else i=k}return c|0}function R3b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+16|0;g=e;f[g>>2]=b;f[g+4>>2]=0;b=g+8|0;f[b>>2]=c;f[b+4>>2]=d;d=f[a>>2]|0;if(!d){b=Bmc(12)|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[a>>2]=b;h=b}else h=d;d=h+4|0;b=f[d>>2]|0;if((b|0)==(f[h+8>>2]|0)){N3b(h,g);u=e;return}else{f[b>>2]=f[g>>2];f[b+4>>2]=f[g+4>>2];f[b+8>>2]=f[g+8>>2];f[b+12>>2]=f[g+12>>2];f[d>>2]=(f[d>>2]|0)+16;u=e;return}}function S3b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;f[e>>2]=b;f[e+4>>2]=1;f[e+8>>2]=c;c=f[a>>2]|0;if(!c){b=Bmc(12)|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[a>>2]=b;g=b}else g=c;c=g+4|0;b=f[c>>2]|0;if((b|0)==(f[g+8>>2]|0)){N3b(g,e);u=d;return}else{f[b>>2]=f[e>>2];f[b+4>>2]=f[e+4>>2];f[b+8>>2]=f[e+8>>2];f[b+12>>2]=f[e+12>>2];f[c>>2]=(f[c>>2]|0)+16;u=d;return}}function T3b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+16|0;g=e;f[g>>2]=b;f[g+4>>2]=2;b=g+8|0;f[b>>2]=c;f[b+4>>2]=d;d=f[a>>2]|0;if(!d){b=Bmc(12)|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[a>>2]=b;h=b}else h=d;d=h+4|0;b=f[d>>2]|0;if((b|0)==(f[h+8>>2]|0)){N3b(h,g);u=e;return}else{f[b>>2]=f[g>>2];f[b+4>>2]=f[g+4>>2];f[b+8>>2]=f[g+8>>2];f[b+12>>2]=f[g+12>>2];f[d>>2]=(f[d>>2]|0)+16;u=e;return}}function U3b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+16|0;d=c;f[d>>2]=b;f[d+4>>2]=3;b=Bmc(12)|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;e=d+8|0;f[e>>2]=b;b=f[a>>2]|0;if(!b){g=Bmc(12)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[a>>2]=g;h=g}else h=b;b=h+4|0;g=f[b>>2]|0;if((g|0)==(f[h+8>>2]|0)){N3b(h,d);i=f[e>>2]|0;u=c;return i|0}else{f[g>>2]=f[d>>2];f[g+4>>2]=f[d+4>>2];f[g+8>>2]=f[d+8>>2];f[g+12>>2]=f[d+12>>2];f[b>>2]=(f[b>>2]|0)+16;i=f[e>>2]|0;u=c;return i|0}return 0}function V3b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+16|0;d=c;f[d>>2]=b;f[d+4>>2]=4;b=Bmc(4)|0;f[b>>2]=0;e=d+8|0;f[e>>2]=b;b=f[a>>2]|0;if(!b){g=Bmc(12)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[a>>2]=g;h=g}else h=b;b=h+4|0;g=f[b>>2]|0;if((g|0)==(f[h+8>>2]|0)){N3b(h,d);i=f[e>>2]|0;u=c;return i|0}else{f[g>>2]=f[d>>2];f[g+4>>2]=f[d+4>>2];f[g+8>>2]=f[d+8>>2];f[g+12>>2]=f[d+12>>2];f[b>>2]=(f[b>>2]|0)+16;i=f[e>>2]|0;u=c;return i|0}return 0}function W3b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;if(f[a>>2]|0)L3b(a);f[e>>2]=0;if(c4b(c,e)|0?(b[c+24>>0]|0)!=0:0){P3b(a,e);g=1}else g=0;if(!(f[e>>2]|0)){u=d;return g|0}L3b(e);u=d;return g|0}function X3b(a,c,e){a=a|0;c=c|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+96|0;h=g+24|0;i=g;dDb(i,c,e,-1);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=i;i=h+12|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;d[i+12>>1]=0;f[h+28>>2]=2147483647;f[h+32>>2]=0;f[h+36>>2]=2147483647;i=f[37396]|0;f[h+40>>2]=i;f[h+44>>2]=i;b[h+48>>0]=1;f[h+52>>2]=0;f[h+56>>2]=0;kCb(h)|0;i=W3b(a,h)|0;a=b[h+24>>0]|0;eCb(h);u=g;return i&a<<24>>24!=0|0}function Y3b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=f[a+8>>2]|0;a=d+11|0;e=b[a>>0]|0;if(e<<24>>24<0)g=f[d+4>>2]|0;else g=e&255;e=c+8|0;if((f[e>>2]|0)>4){h=c+4|0;i=f[h>>2]|0;if(g>>>0>127){j=g;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=i;o=g}b[n>>0]=o;o=n+1-i|0;f[h>>2]=(f[h>>2]|0)+o;f[e>>2]=(f[e>>2]|0)-o}else ECb(c,g);g=b[a>>0]|0;if(g<<24>>24<0){p=f[d>>2]|0;q=f[d+4>>2]|0}else{p=d;q=g&255}if(!(b[c+17>>0]|0)){ACb(c,p,q);return}else{BCb(c,p,q);return}}function Z3b(a){a=a|0;Emc(a);return}function _3b(a,b,c){a=a|0;b=b|0;c=c|0;return b4b(b,c,f[a+4>>2]|0)|0}function $3b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=f[a+4>>2]|0;a=c+4|0;e=c+20|0;while(1){g=f[c>>2]|0;if(g>>>0<(f[a>>2]|0)>>>0){h=b[g>>0]|0;i=h&255;if(h<<24>>24>-1){f[c>>2]=g+1;j=i}else{k=i;l=5}}else{k=0;l=5}if((l|0)==5){l=0;j=xCb(c,k)|0}f[e>>2]=j;if((j|0)==0|(j&7|0)==4){m=1;l=8;break}if(!(b4b(c,j,d)|0)){m=0;l=8;break}}if((l|0)==8)return m|0;return 0}function a4b(a,b,c){a=a|0;b=b|0;c=c|0;R3b(f[a+4>>2]|0,b,c,((c|0)<0)<<31>>31);return}function b4b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;e=u;u=u+16|0;g=e;i=c>>>3;if(!i){j=0;u=e;return j|0}switch(c&7){case 0:{c=f[a>>2]|0;if(c>>>0<(f[a+4>>2]|0)>>>0?(k=b[c>>0]|0,k<<24>>24>-1):0){f[a>>2]=c+1;l=k&255;m=0}else{jCb(g,a);k=g;if(!(b[g+8>>0]|0)){j=0;u=e;return j|0}else{l=f[k>>2]|0;m=f[k+4>>2]|0}}if(!d){j=1;u=e;return j|0}R3b(d,i,l,m);j=1;u=e;return j|0}case 1:{m=f[a>>2]|0;if(((f[a+4>>2]|0)-m|0)<=7)if(vCb(a,g)|0)n=12;else o=0;else{l=m;k=l;c=l+4|0;l=h[c>>0]|h[c+1>>0]<<8|h[c+2>>0]<<16|h[c+3>>0]<<24;c=g;f[c>>2]=h[k>>0]|h[k+1>>0]<<8|h[k+2>>0]<<16|h[k+3>>0]<<24;f[c+4>>2]=l;f[a>>2]=m+8;n=12}if((n|0)==12)if(!d)o=1;else{m=g;T3b(d,i,f[m>>2]|0,f[m+4>>2]|0);o=1}j=o;u=e;return j|0}case 2:{o=f[a>>2]|0;m=a+4|0;if(o>>>0<(f[m>>2]|0)>>>0){l=b[o>>0]|0;c=l&255;if(l<<24>>24>-1){f[a>>2]=o+1;p=c}else{q=c;n=18}}else{q=0;n=18}if((n|0)==18){c=iCb(a,q)|0;q=J;if((q|0)>-1|(q|0)==-1&c>>>0>4294967295)p=c;else{j=0;u=e;return j|0}}do if(!d){if((p|0)<0){j=0;u=e;return j|0}c=f[a>>2]|0;q=(f[m>>2]|0)-c|0;if((q|0)>=(p|0)){f[a>>2]=c+p;break}if(!(qCb(a,p,q)|0)){j=0;u=e;return j|0}}else if(!(sCb(a,U3b(d,i)|0,p)|0)){j=0;u=e;return j|0}while(0);j=1;u=e;return j|0}case 3:{p=a+40|0;m=f[p>>2]|0;f[p>>2]=m+-1;if((m|0)<=0){j=0;u=e;return j|0}if(!d)r=0;else r=V3b(d,i)|0;m=a+4|0;q=a+20|0;while(1){c=f[a>>2]|0;if(c>>>0<(f[m>>2]|0)>>>0){o=b[c>>0]|0;l=o&255;if(o<<24>>24>-1){f[a>>2]=c+1;s=l}else{t=l;n=33}}else{t=0;n=33}if((n|0)==33){n=0;s=xCb(a,t)|0}f[q>>2]=s;if((s|0)==0|(s&7|0)==4)break;if(!(b4b(a,s,r)|0)){j=0;n=45;break}}if((n|0)==45){u=e;return j|0}r=f[p>>2]|0;if((r|0)<(f[a+44>>2]|0))f[p>>2]=r+1;j=(s|0)==(i<<3|4|0);u=e;return j|0}case 5:{s=f[a>>2]|0;if(((f[a+4>>2]|0)-s|0)<=3)if(uCb(a,g)|0)n=42;else v=0;else{r=s;f[g>>2]=h[r>>0]|h[r+1>>0]<<8|h[r+2>>0]<<16|h[r+3>>0]<<24;f[a>>2]=s+4;n=42}if((n|0)==42)if(!d)v=1;else{S3b(d,i,f[g>>2]|0);v=1}j=v;u=e;return j|0}default:{j=0;u=e;return j|0}}return 0}function c4b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=a+4|0;e=a+20|0;while(1){g=f[a>>2]|0;if(g>>>0<(f[d>>2]|0)>>>0){h=b[g>>0]|0;i=h&255;if(h<<24>>24>-1){f[a>>2]=g+1;j=i}else{k=i;l=5}}else{k=0;l=5}if((l|0)==5){l=0;j=xCb(a,k)|0}f[e>>2]=j;if((j|0)==0|(j&7|0)==4){m=1;l=8;break}if(!(b4b(a,j,c)|0)){m=0;l=8;break}}if((l|0)==8)return m|0;return 0}function d4b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;h=f[a>>2]|0;i=a+4|0;if(h>>>0<(f[i>>2]|0)>>>0){j=b[h>>0]|0;k=j&255;if(j<<24>>24>-1){f[a>>2]=h+1;l=k}else{m=k;n=4}}else{m=0;n=4}if((n|0)==4){k=iCb(a,m)|0;m=J;if((m|0)>-1|(m|0)==-1&k>>>0>4294967295)l=k;else{o=0;return o|0}}k=fCb(a,l)|0;a:do if((nCb(a)|0)>0){l=g+4|0;m=g+8|0;if(!d){while(1){h=f[a>>2]|0;if(h>>>0<(f[i>>2]|0)>>>0){j=b[h>>0]|0;p=j&255;if(j<<24>>24>-1){f[a>>2]=h+1;q=p}else{r=p;n=9}}else{r=0;n=9}if((n|0)==9){n=0;p=iCb(a,r)|0;h=J;if((h|0)>-1|(h|0)==-1&p>>>0>4294967295)q=p;else{o=0;break}}p=f[g>>2]|0;if((p|0)==(f[l>>2]|0)){eFa(g,p+1|0);s=f[g>>2]|0}else s=p;p=f[m>>2]|0;f[g>>2]=s+1;f[p+4+(s<<2)>>2]=q;if((nCb(a)|0)<=0)break a}return o|0}while(1){p=f[a>>2]|0;if(p>>>0<(f[i>>2]|0)>>>0){h=b[p>>0]|0;j=h&255;if(h<<24>>24>-1){f[a>>2]=p+1;t=j}else{u=j;n=17}}else{u=0;n=17}if((n|0)==17){n=0;j=iCb(a,u)|0;p=J;if((p|0)>-1|(p|0)==-1&j>>>0>4294967295)t=j;else{o=0;break}}if(ci[d&1023](t)|0){j=f[g>>2]|0;if((j|0)==(f[l>>2]|0)){eFa(g,j+1|0);v=f[g>>2]|0}else v=j;j=f[m>>2]|0;f[g>>2]=v+1;f[j+4+(v<<2)>>2]=t}else R3b(e,c,t,((t|0)<0)<<31>>31);if((nCb(a)|0)<=0)break a}return o|0}while(0);gCb(a,k);o=1;return o|0}function e4b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;d=c+8|0;e=c+4|0;g=c+17|0;h=0;while(1){i=f[a>>2]|0;if(!i)j=0;else j=(f[i+4>>2]|0)-(f[i>>2]|0)>>4;if((h|0)>=(j|0))break;k=f[i>>2]|0;i=k+(h<<4)|0;a:do switch(f[k+(h<<4)+4>>2]|0){case 0:{l=f[i>>2]<<3;if((f[d>>2]|0)>4){m=f[e>>2]|0;if(l>>>0>127){n=l;o=m;while(1){b[o>>0]=n|128;p=n>>>7;q=o+1|0;if(n>>>0>16383){n=p;o=q}else{r=q;s=p;break}}}else{r=m;s=l}b[r>>0]=s;o=r+1-m|0;f[e>>2]=(f[e>>2]|0)+o;n=(f[d>>2]|0)-o|0;f[d>>2]=n;t=n}else{ECb(c,l);t=f[d>>2]|0}n=k+(h<<4)+8|0;o=f[n>>2]|0;p=f[n+4>>2]|0;if((t|0)<=9){FCb(c,o,p);break a}n=f[e>>2]|0;q=o&255;if(p>>>0>0|(p|0)==0&o>>>0>127){u=n;v=q;w=o;o=p;while(1){b[u>>0]=v|-128;p=w;w=Irc(w|0,o|0,7)|0;x=u+1|0;y=w&255;if(!(o>>>0>0|(o|0)==0&p>>>0>16383)){z=x;A=y;break}else{u=x;v=y;o=J}}}else{z=n;A=q}b[z>>0]=A;o=z+1-n|0;f[e>>2]=(f[e>>2]|0)+o;f[d>>2]=(f[d>>2]|0)-o;break}case 1:{o=f[i>>2]<<3|5;if((f[d>>2]|0)>4){v=f[e>>2]|0;if(o>>>0>127){u=o;w=v;while(1){b[w>>0]=u|128;l=u>>>7;m=w+1|0;if(u>>>0>16383){u=l;w=m}else{B=m;C=l;break}}}else{B=v;C=o}b[B>>0]=C;w=B+1-v|0;f[e>>2]=(f[e>>2]|0)+w;f[d>>2]=(f[d>>2]|0)-w}else ECb(c,o);CCb(c,f[k+(h<<4)+8>>2]|0);break}case 2:{w=f[i>>2]<<3|1;if((f[d>>2]|0)>4){u=f[e>>2]|0;if(w>>>0>127){n=w;q=u;while(1){b[q>>0]=n|128;l=n>>>7;m=q+1|0;if(n>>>0>16383){n=l;q=m}else{D=m;E=l;break}}}else{D=u;E=w}b[D>>0]=E;q=D+1-u|0;f[e>>2]=(f[e>>2]|0)+q;f[d>>2]=(f[d>>2]|0)-q}else ECb(c,w);q=k+(h<<4)+8|0;DCb(c,f[q>>2]|0,f[q+4>>2]|0);break}case 3:{q=f[i>>2]<<3|2;if((f[d>>2]|0)>4){n=f[e>>2]|0;if(q>>>0>127){o=q;v=n;while(1){b[v>>0]=o|128;l=o>>>7;m=v+1|0;if(o>>>0>16383){o=l;v=m}else{F=m;G=l;break}}}else{F=n;G=q}b[F>>0]=G;v=F+1-n|0;f[e>>2]=(f[e>>2]|0)+v;f[d>>2]=(f[d>>2]|0)-v}else ECb(c,q);v=k+(h<<4)+8|0;o=f[v>>2]|0;w=b[o+11>>0]|0;if(w<<24>>24<0)H=f[o+4>>2]|0;else H=w&255;if((f[d>>2]|0)>4){w=f[e>>2]|0;if(H>>>0>127){o=H;u=w;while(1){b[u>>0]=o|128;l=o>>>7;m=u+1|0;if(o>>>0>16383){o=l;u=m}else{I=m;K=l;break}}}else{I=w;K=H}b[I>>0]=K;u=I+1-w|0;f[e>>2]=(f[e>>2]|0)+u;f[d>>2]=(f[d>>2]|0)-u}else ECb(c,H);u=f[v>>2]|0;o=b[u+11>>0]|0;if(o<<24>>24<0){L=f[u>>2]|0;M=f[u+4>>2]|0}else{L=u;M=o&255}if(!(b[g>>0]|0)){ACb(c,L,M);break a}else{BCb(c,L,M);break a}break}case 4:{o=f[i>>2]<<3|3;if((f[d>>2]|0)>4){u=f[e>>2]|0;if(o>>>0>127){q=o;n=u;while(1){b[n>>0]=q|128;l=q>>>7;m=n+1|0;if(q>>>0>16383){q=l;n=m}else{N=m;O=l;break}}}else{N=u;O=o}b[N>>0]=O;n=N+1-u|0;f[e>>2]=(f[e>>2]|0)+n;f[d>>2]=(f[d>>2]|0)-n}else ECb(c,o);e4b(f[k+(h<<4)+8>>2]|0,c);n=f[i>>2]<<3|4;if((f[d>>2]|0)<=4){ECb(c,n);break a}q=f[e>>2]|0;if(n>>>0>127){v=n;w=q;while(1){b[w>>0]=v|128;l=v>>>7;m=w+1|0;if(v>>>0>16383){v=l;w=m}else{P=m;Q=l;break}}}else{P=q;Q=n}b[P>>0]=Q;w=P+1-q|0;f[e>>2]=(f[e>>2]|0)+w;f[d>>2]=(f[d>>2]|0)-w;break}default:{}}while(0);h=h+1|0}return}function f4b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;d=c;c=0;while(1){e=f[a>>2]|0;if(!e)g=0;else g=(f[e+4>>2]|0)-(f[e>>2]|0)>>4;if((c|0)>=(g|0))break;h=f[e>>2]|0;e=h+(c<<4)|0;switch(f[h+(c<<4)+4>>2]|0){case 0:{i=h+(c<<4)+8|0;j=f[i>>2]|0;k=f[i+4>>2]|0;i=f[e>>2]<<3;if(i>>>0>127){l=i;m=d;while(1){b[m>>0]=l|128;n=l>>>7;o=m+1|0;if(l>>>0>16383){l=n;m=o}else{p=o;q=n;break}}}else{p=d;q=i}b[p>>0]=q;m=p+1|0;l=j&255;if(k>>>0>0|(k|0)==0&j>>>0>127){n=m;o=l;r=j;s=k;while(1){b[n>>0]=o|-128;t=r;r=Irc(r|0,s|0,7)|0;u=n+1|0;v=r&255;if(!(s>>>0>0|(s|0)==0&t>>>0>16383)){w=u;x=v;break}else{n=u;o=v;s=J}}}else{w=m;x=l}b[w>>0]=x;y=w+1|0;break}case 1:{s=f[h+(c<<4)+8>>2]|0;o=f[e>>2]<<3|5;if(o>>>0>127){n=o;r=d;while(1){b[r>>0]=n|128;k=n>>>7;j=r+1|0;if(n>>>0>16383){n=k;r=j}else{z=j;A=k;break}}}else{z=d;A=o}b[z>>0]=A;r=z+1|0;b[r>>0]=s;b[r+1>>0]=s>>8;b[r+2>>0]=s>>16;b[r+3>>0]=s>>24;y=z+5|0;break}case 2:{r=h+(c<<4)+8|0;n=f[r>>2]|0;l=f[r+4>>2]|0;r=f[e>>2]<<3|1;if(r>>>0>127){m=r;k=d;while(1){b[k>>0]=m|128;j=m>>>7;i=k+1|0;if(m>>>0>16383){m=j;k=i}else{B=i;C=j;break}}}else{B=d;C=r}b[B>>0]=C;k=B+1|0;m=k;b[m>>0]=n;b[m+1>>0]=n>>8;b[m+2>>0]=n>>16;b[m+3>>0]=n>>24;m=k+4|0;b[m>>0]=l;b[m+1>>0]=l>>8;b[m+2>>0]=l>>16;b[m+3>>0]=l>>24;y=B+9|0;break}case 3:{m=f[h+(c<<4)+8>>2]|0;k=f[e>>2]<<3|2;if(k>>>0>127){s=k;o=d;while(1){b[o>>0]=s|128;j=s>>>7;i=o+1|0;if(s>>>0>16383){s=j;o=i}else{D=i;E=j;break}}}else{D=d;E=k}b[D>>0]=E;y=GCb(m,D+1|0)|0;break}case 4:{o=f[e>>2]<<3|3;if(o>>>0>127){s=o;l=d;while(1){b[l>>0]=s|128;n=s>>>7;r=l+1|0;if(s>>>0>16383){s=n;l=r}else{F=r;G=n;break}}}else{F=d;G=o}b[F>>0]=G;l=f4b(f[h+(c<<4)+8>>2]|0,F+1|0)|0;s=f[e>>2]<<3|4;if(s>>>0>127){m=s;k=l;while(1){b[k>>0]=m|128;n=m>>>7;r=k+1|0;if(m>>>0>16383){m=n;k=r}else{H=r;I=n;break}}}else{H=l;I=s}b[H>>0]=I;y=H+1|0;break}default:y=d}d=y;c=c+1|0}return d|0}function g4b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;d=c+8|0;e=c+4|0;g=0;while(1){h=f[a>>2]|0;if(!h)i=0;else i=(f[h+4>>2]|0)-(f[h>>2]|0)>>4;if((g|0)>=(i|0))break;j=f[h>>2]|0;h=j+(g<<4)|0;do if((f[j+(g<<4)+4>>2]|0)==3){if((f[d>>2]|0)>4){b[f[e>>2]>>0]=11;f[e>>2]=(f[e>>2]|0)+1;k=(f[d>>2]|0)+-1|0;f[d>>2]=k;l=k}else{ECb(c,11);l=f[d>>2]|0}if((l|0)>4){b[f[e>>2]>>0]=16;f[e>>2]=(f[e>>2]|0)+1;k=(f[d>>2]|0)+-1|0;f[d>>2]=k;m=k}else{ECb(c,16);m=f[d>>2]|0}k=f[h>>2]|0;if((m|0)>4){n=f[e>>2]|0;if(k>>>0>127){o=k;p=n;while(1){b[p>>0]=o|128;q=o>>>7;r=p+1|0;if(o>>>0>16383){o=q;p=r}else{s=r;t=q;break}}}else{s=n;t=k}b[s>>0]=t;p=s+1-n|0;f[e>>2]=(f[e>>2]|0)+p;o=(f[d>>2]|0)-p|0;f[d>>2]=o;u=o}else{ECb(c,k);u=f[d>>2]|0}if((u|0)>4){b[f[e>>2]>>0]=26;f[e>>2]=(f[e>>2]|0)+1;f[d>>2]=(f[d>>2]|0)+-1}else ECb(c,26);Y3b(h,c);if((f[d>>2]|0)>4){b[f[e>>2]>>0]=12;f[e>>2]=(f[e>>2]|0)+1;f[d>>2]=(f[d>>2]|0)+-1;break}else{ECb(c,12);break}}while(0);g=g+1|0}return}function h4b(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=f[a>>2]|0;a=(c|0)==0;d=c+4|0;e=0;g=0;while(1){if(a)h=0;else h=(f[d>>2]|0)-(f[c>>2]|0)>>4;if((g|0)>=(h|0))break;i=f[c>>2]|0;j=i+(g<<4)|0;switch(f[i+(g<<4)+4>>2]|0){case 0:{k=((((($(f[j>>2]<<3|1|0)|0)^31)*9|0)+73|0)>>>6)+e|0;l=i+(g<<4)+8|0;m=k+(((((Prc(f[l>>2]|1|0,f[l+4>>2]|0,1)|0)^63)*9|0)+73|0)>>>6)|0;break}case 1:{m=e+4+((((($(f[j>>2]<<3|5|0)|0)^31)*9|0)+73|0)>>>6)|0;break}case 2:{m=e+8+((((($(f[j>>2]<<3|1|0)|0)^31)*9|0)+73|0)>>>6)|0;break}case 3:{l=((((($(f[j>>2]<<3|3|0)|0)^31)*9|0)+73|0)>>>6)+e|0;k=f[i+(g<<4)+8>>2]|0;n=b[k+11>>0]|0;o=n<<24>>24<0;if(o)p=f[k+4>>2]|0;else p=n&255;q=l+((((($(p|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if(o)r=f[k+4>>2]|0;else r=n&255;m=q+r|0;break}case 4:{q=f[j>>2]<<3;m=((((($(q|3|0)|0)^31)*9|0)+73|0)>>>6)+((h4b(f[i+(g<<4)+8>>2]|0)|0)+e)+((((($(q|5|0)|0)^31)*9|0)+73|0)>>>6)|0;break}default:m=e}e=m;g=g+1|0}return e|0}function i4b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+16|0;e=d;xh[f[(f[c>>2]|0)+96>>2]&2047](e,c);g=f[e>>2]|0;e=ci[f[(f[c>>2]|0)+92>>2]&1023](c)|0;h=a+4|0;i=a+20|0;j=g+16|0;k=a+52|0;if(!g){l=0;while(1){m=f[a>>2]|0;if(m>>>0<(f[h>>2]|0)>>>0){n=b[m>>0]|0;o=n&255;if(n<<24>>24>-1){f[a>>2]=m+1;p=o}else{q=o;r=4}}else{q=0;r=4}if((r|0)==4){r=0;p=xCb(a,q)|0}f[i>>2]=p;if((p|0)==0|(p&7|0)==4){s=1;r=23;break}o=j4b(p,0,c,a)|0;m=l&o;if(o)l=m;else{s=m;r=23;break}}if((r|0)==23){u=d;return s|0}}else t=0;a:while(1){l=f[a>>2]|0;if(l>>>0<(f[h>>2]|0)>>>0){p=b[l>>0]|0;q=p&255;if(p<<24>>24>-1){f[a>>2]=l+1;v=q}else{w=q;r=11}}else{w=0;r=11}if((r|0)==11){r=0;v=xCb(a,w)|0}f[i>>2]=v;if((v|0)==0|(v&7|0)==4){s=1;r=23;break}q=v>>>3;l=SIb(g,q)|0;do if(!l){if($Ib(g,q)|0){p=f[k>>2]|0;if(!p)x=Sh[f[(f[e>>2]|0)+312>>2]&511](e,q)|0;else x=QIb(p,g,q)|0;if(x|0){y=x;r=21;break}}if((v|0)==11?(b[(f[j>>2]|0)+48>>0]|0)!=0:0){p=k4b(a,c)|0;z=p?2:1;A=p}else{y=0;r=21}}else{y=l;r=21}while(0);if((r|0)==21){r=0;l=j4b(v,y,c,a)|0;z=(l^1)&1;A=l}l=t&A;switch(z&3){case 2:case 0:{t=l;break}default:{s=l;r=23;break a}}}if((r|0)==23){u=d;return s|0}return 0}function j4b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0.0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0.0,sa=0.0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0;g=u;u=u+16|0;i=g;j=ci[f[(f[d>>2]|0)+92>>2]&1023](d)|0;do if(c|0){k=a&7;l=c+24|0;m=f[l>>2]|0;if(m|0?(f[m>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=c;dEb(m,i)}m=c+28|0;if((k|0)!=(f[149864+(f[m>>2]<<2)>>2]|0)){if((f[c+32>>2]|0)!=3)break;o=f[l>>2]|0;if(o|0?(f[o>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=c;dEb(o,i)}if(!((k|0)==2?((f[m>>2]|0)+-9|0)>>>0>3:0))break;k=f[e>>2]|0;o=e+4|0;if(k>>>0<(f[o>>2]|0)>>>0){q=b[k>>0]|0;r=q&255;if(q<<24>>24>-1){f[e>>2]=k+1;t=r}else{v=r;w=15}}else{v=0;w=15}if((w|0)==15){r=iCb(e,v)|0;k=J;if((k|0)>-1|(k|0)==-1&r>>>0>4294967295)t=r;else{x=0;u=g;return x|0}}r=fCb(e,t)|0;k=f[l>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=c;dEb(k,i)}a:do switch(f[m>>2]|0){case 5:{if((nCb(e)|0)>0){while(1){k=f[e>>2]|0;if(k>>>0<(f[o>>2]|0)>>>0){q=b[k>>0]|0;y=q&255;if(q<<24>>24>-1){f[e>>2]=k+1;z=y}else{A=y;w=51}}else{A=0;w=51}if((w|0)==51){w=0;y=iCb(e,A)|0;k=J;if((k|0)>-1|(k|0)==-1&y>>>0>4294967295)z=y;else{x=0;break}}rh[f[(f[j>>2]|0)+260>>2]&255](j,d,c,z);if((nCb(e)|0)<=0)break a}u=g;return x|0}break}case 3:{if((nCb(e)|0)>0){y=i+8|0;while(1){k=f[e>>2]|0;if(k>>>0<(f[o>>2]|0)>>>0?(q=b[k>>0]|0,q<<24>>24>-1):0){f[e>>2]=k+1;B=q&255;C=0}else{jCb(i,e);q=i;if(!(b[y>>0]|0)){x=0;break}else{B=f[q>>2]|0;C=f[q+4>>2]|0}}sh[f[(f[j>>2]|0)+264>>2]&255](j,d,c,B,C);if((nCb(e)|0)<=0)break a}u=g;return x|0}break}case 17:{if((nCb(e)|0)>0){while(1){y=f[e>>2]|0;if(y>>>0<(f[o>>2]|0)>>>0){q=b[y>>0]|0;k=q&255;if(q<<24>>24>-1){f[e>>2]=y+1;D=k>>>1^0-(k&1)}else{E=k;w=61}}else{E=0;w=61}if((w|0)==61){w=0;k=iCb(e,E)|0;y=J;if((y|0)>-1|(y|0)==-1&k>>>0>4294967295)D=k>>>1^0-(k&1);else{x=0;break}}rh[f[(f[j>>2]|0)+260>>2]&255](j,d,c,D);if((nCb(e)|0)<=0)break a}u=g;return x|0}break}case 18:{if((nCb(e)|0)>0){k=i+8|0;while(1){y=f[e>>2]|0;if(y>>>0<(f[o>>2]|0)>>>0?(q=b[y>>0]|0,q<<24>>24>-1):0){F=q&255;f[e>>2]=y+1;y=Irc(F|0,0,1)|0;q=J;G=zrc(0,0,F&1|0,0)|0;H=y^G;I=q^J}else{jCb(i,e);q=i;G=f[q>>2]|0;y=(b[k>>0]|0)==0;F=Irc(G|0,f[q+4>>2]|0,1)|0;q=J;K=zrc(0,0,G&1|0,0)|0;if(y){x=0;break}else{H=F^K;I=q^J}}sh[f[(f[j>>2]|0)+264>>2]&255](j,d,c,H,I);if((nCb(e)|0)<=0)break a}u=g;return x|0}break}case 13:{if((nCb(e)|0)>0){while(1){k=f[e>>2]|0;if(k>>>0<(f[o>>2]|0)>>>0){q=b[k>>0]|0;K=q&255;if(q<<24>>24>-1){f[e>>2]=k+1;L=K}else{M=K;w=71}}else{M=0;w=71}if((w|0)==71){w=0;K=iCb(e,M)|0;k=J;if((k|0)>-1|(k|0)==-1&K>>>0>4294967295)L=K;else{x=0;break}}rh[f[(f[j>>2]|0)+268>>2]&255](j,d,c,L);if((nCb(e)|0)<=0)break a}u=g;return x|0}break}case 4:{if((nCb(e)|0)>0){K=i+8|0;while(1){k=f[e>>2]|0;if(k>>>0<(f[o>>2]|0)>>>0?(q=b[k>>0]|0,q<<24>>24>-1):0){f[e>>2]=k+1;N=q&255;O=0}else{jCb(i,e);q=i;if(!(b[K>>0]|0)){x=0;break}else{N=f[q>>2]|0;O=f[q+4>>2]|0}}sh[f[(f[j>>2]|0)+272>>2]&255](j,d,c,N,O);if((nCb(e)|0)<=0)break a}u=g;return x|0}break}case 7:{if((nCb(e)|0)>0){while(1){K=f[e>>2]|0;if(((f[o>>2]|0)-K|0)>3){q=K;k=h[q>>0]|h[q+1>>0]<<8|h[q+2>>0]<<16|h[q+3>>0]<<24;f[i>>2]=k;f[e>>2]=K+4;P=k}else{if(!(uCb(e,i)|0))break;P=f[i>>2]|0}rh[f[(f[j>>2]|0)+268>>2]&255](j,d,c,P);if((nCb(e)|0)<=0)break a}x=0;u=g;return x|0}break}case 6:{if((nCb(e)|0)>0){while(1){k=f[e>>2]|0;if(((f[o>>2]|0)-k|0)>7){K=k;q=K;F=h[q>>0]|h[q+1>>0]<<8|h[q+2>>0]<<16|h[q+3>>0]<<24;q=K+4|0;K=h[q>>0]|h[q+1>>0]<<8|h[q+2>>0]<<16|h[q+3>>0]<<24;q=i;f[q>>2]=F;f[q+4>>2]=K;f[e>>2]=k+8;Q=F;R=K}else{if(!(vCb(e,i)|0))break;K=i;Q=f[K>>2]|0;R=f[K+4>>2]|0}sh[f[(f[j>>2]|0)+272>>2]&255](j,d,c,Q,R);if((nCb(e)|0)<=0)break a}x=0;u=g;return x|0}break}case 15:{if((nCb(e)|0)>0){while(1){K=f[e>>2]|0;if(((f[o>>2]|0)-K|0)>3){F=K;k=h[F>>0]|h[F+1>>0]<<8|h[F+2>>0]<<16|h[F+3>>0]<<24;f[i>>2]=k;f[e>>2]=K+4;S=k}else{if(!(uCb(e,i)|0))break;S=f[i>>2]|0}rh[f[(f[j>>2]|0)+260>>2]&255](j,d,c,S);if((nCb(e)|0)<=0)break a}x=0;u=g;return x|0}break}case 16:{if((nCb(e)|0)>0){while(1){k=f[e>>2]|0;if(((f[o>>2]|0)-k|0)>7){K=k;F=K;q=h[F>>0]|h[F+1>>0]<<8|h[F+2>>0]<<16|h[F+3>>0]<<24;F=K+4|0;K=h[F>>0]|h[F+1>>0]<<8|h[F+2>>0]<<16|h[F+3>>0]<<24;F=i;f[F>>2]=q;f[F+4>>2]=K;f[e>>2]=k+8;T=q;U=K}else{if(!(vCb(e,i)|0))break;K=i;T=f[K>>2]|0;U=f[K+4>>2]|0}sh[f[(f[j>>2]|0)+264>>2]&255](j,d,c,T,U);if((nCb(e)|0)<=0)break a}x=0;u=g;return x|0}break}case 2:{if((nCb(e)|0)>0){while(1){K=f[e>>2]|0;if(((f[o>>2]|0)-K|0)>3){q=K;k=h[q>>0]|h[q+1>>0]<<8|h[q+2>>0]<<16|h[q+3>>0]<<24;f[i>>2]=k;f[e>>2]=K+4;V=k}else{if(!(uCb(e,i)|0))break;V=f[i>>2]|0}mh[f[(f[j>>2]|0)+276>>2]&63](j,d,c,(f[s>>2]=V,+n[s>>2]));if((nCb(e)|0)<=0)break a}x=0;u=g;return x|0}break}case 1:{if((nCb(e)|0)>0){while(1){k=f[e>>2]|0;if(((f[o>>2]|0)-k|0)>7){K=k;q=K;F=h[q>>0]|h[q+1>>0]<<8|h[q+2>>0]<<16|h[q+3>>0]<<24;q=K+4|0;K=h[q>>0]|h[q+1>>0]<<8|h[q+2>>0]<<16|h[q+3>>0]<<24;q=i;f[q>>2]=F;f[q+4>>2]=K;f[e>>2]=k+8;f[s>>2]=F;f[s+4>>2]=K;W=+p[s>>3]}else{if(!(vCb(e,i)|0))break;W=+p[i>>3]}mh[f[(f[j>>2]|0)+280>>2]&63](j,d,c,W);if((nCb(e)|0)<=0)break a}x=0;u=g;return x|0}break}case 8:{if((nCb(e)|0)>0){K=i+8|0;while(1){F=f[e>>2]|0;if(F>>>0<(f[o>>2]|0)>>>0?(k=b[F>>0]|0,k<<24>>24>-1):0){f[e>>2]=F+1;X=k<<24>>24!=0}else{jCb(i,e);k=i;if(!(b[K>>0]|0)){x=0;break}else X=(f[k>>2]|0)!=0|(f[k+4>>2]|0)!=0}rh[f[(f[j>>2]|0)+284>>2]&255](j,d,c,X);if((nCb(e)|0)<=0)break a}u=g;return x|0}break}case 14:{if((nCb(e)|0)>0){K=a>>>3;while(1){k=f[e>>2]|0;if(k>>>0<(f[o>>2]|0)>>>0){F=b[k>>0]|0;q=F&255;if(F<<24>>24>-1){f[e>>2]=k+1;Y=q}else{Z=q;w=122}}else{Z=0;w=122}if((w|0)==122){w=0;q=iCb(e,Z)|0;k=J;if((k|0)>-1|(k|0)==-1&q>>>0>4294967295)Y=q;else{x=0;break}}xh[f[(f[d>>2]|0)+96>>2]&2047](i,d);do if((f[(f[(f[i>>2]|0)+8>>2]|0)+44>>2]|0)!=3){q=YIb(eJb(c)|0,Y)|0;if(!q){R3b(Sh[f[(f[j>>2]|0)+12>>2]&511](j,d)|0,K,Y,((Y|0)<0)<<31>>31);break}else{rh[f[(f[j>>2]|0)+292>>2]&255](j,d,c,q);break}}else rh[f[(f[j>>2]|0)+296>>2]&255](j,d,c,Y);while(0);if((nCb(e)|0)<=0)break a}u=g;return x|0}break}case 12:case 11:case 10:case 9:{x=0;u=g;return x|0}default:{}}while(0);gCb(e,r);x=1;u=g;return x|0}o=f[l>>2]|0;if(o|0?(f[o>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=c;dEb(o,i)}do switch(f[m>>2]|0){case 5:{o=f[e>>2]|0;if(o>>>0<(f[e+4>>2]|0)>>>0){K=b[o>>0]|0;q=K&255;if(K<<24>>24>-1){f[e>>2]=o+1;_=q}else{$=q;w=137}}else{$=0;w=137}if((w|0)==137){q=iCb(e,$)|0;o=J;if((o|0)>-1|(o|0)==-1&q>>>0>4294967295)_=q;else{x=0;u=g;return x|0}}q=f[j>>2]|0;if((f[c+32>>2]|0)==3){rh[f[q+260>>2]&255](j,d,c,_);x=1;u=g;return x|0}else{rh[f[q+116>>2]&255](j,d,c,_);x=1;u=g;return x|0}break}case 3:{q=f[e>>2]|0;if(q>>>0<(f[e+4>>2]|0)>>>0?(o=b[q>>0]|0,o<<24>>24>-1):0){f[e>>2]=q+1;aa=o&255;ba=0}else{jCb(i,e);o=i;if(!(b[i+8>>0]|0)){x=0;u=g;return x|0}else{aa=f[o>>2]|0;ba=f[o+4>>2]|0}}o=f[j>>2]|0;if((f[c+32>>2]|0)==3){sh[f[o+264>>2]&255](j,d,c,aa,ba);x=1;u=g;return x|0}else{sh[f[o+120>>2]&255](j,d,c,aa,ba);x=1;u=g;return x|0}break}case 17:{o=f[e>>2]|0;if(o>>>0<(f[e+4>>2]|0)>>>0){q=b[o>>0]|0;K=q&255;if(q<<24>>24>-1){f[e>>2]=o+1;ca=K>>>1^0-(K&1)}else{da=K;w=151}}else{da=0;w=151}if((w|0)==151){K=iCb(e,da)|0;o=J;if((o|0)>-1|(o|0)==-1&K>>>0>4294967295)ca=K>>>1^0-(K&1);else{x=0;u=g;return x|0}}K=f[j>>2]|0;if((f[c+32>>2]|0)==3){rh[f[K+260>>2]&255](j,d,c,ca);x=1;u=g;return x|0}else{rh[f[K+116>>2]&255](j,d,c,ca);x=1;u=g;return x|0}break}case 18:{K=f[e>>2]|0;if(K>>>0<(f[e+4>>2]|0)>>>0?(o=b[K>>0]|0,o<<24>>24>-1):0){q=o&255;f[e>>2]=K+1;K=Irc(q|0,0,1)|0;o=J;k=zrc(0,0,q&1|0,0)|0;ea=K^k;fa=o^J}else{jCb(i,e);o=i;k=f[o>>2]|0;K=(b[i+8>>0]|0)==0;q=Irc(k|0,f[o+4>>2]|0,1)|0;o=J;F=zrc(0,0,k&1|0,0)|0;k=o^J;if(K){x=0;u=g;return x|0}else{ea=q^F;fa=k}}k=f[j>>2]|0;if((f[c+32>>2]|0)==3){sh[f[k+264>>2]&255](j,d,c,ea,fa);x=1;u=g;return x|0}else{sh[f[k+120>>2]&255](j,d,c,ea,fa);x=1;u=g;return x|0}break}case 13:{k=f[e>>2]|0;if(k>>>0<(f[e+4>>2]|0)>>>0){F=b[k>>0]|0;q=F&255;if(F<<24>>24>-1){f[e>>2]=k+1;ga=q}else{ha=q;w=165}}else{ha=0;w=165}if((w|0)==165){q=iCb(e,ha)|0;k=J;if((k|0)>-1|(k|0)==-1&q>>>0>4294967295)ga=q;else{x=0;u=g;return x|0}}q=f[j>>2]|0;if((f[c+32>>2]|0)==3){rh[f[q+268>>2]&255](j,d,c,ga);x=1;u=g;return x|0}else{rh[f[q+124>>2]&255](j,d,c,ga);x=1;u=g;return x|0}break}case 4:{q=f[e>>2]|0;if(q>>>0<(f[e+4>>2]|0)>>>0?(k=b[q>>0]|0,k<<24>>24>-1):0){f[e>>2]=q+1;ia=k&255;ja=0}else{jCb(i,e);k=i;if(!(b[i+8>>0]|0)){x=0;u=g;return x|0}else{ia=f[k>>2]|0;ja=f[k+4>>2]|0}}k=f[j>>2]|0;if((f[c+32>>2]|0)==3){sh[f[k+272>>2]&255](j,d,c,ia,ja);x=1;u=g;return x|0}else{sh[f[k+128>>2]&255](j,d,c,ia,ja);x=1;u=g;return x|0}break}case 7:{k=f[e>>2]|0;do if(((f[e+4>>2]|0)-k|0)>3){q=k;F=h[q>>0]|h[q+1>>0]<<8|h[q+2>>0]<<16|h[q+3>>0]<<24;f[i>>2]=F;f[e>>2]=k+4;ka=F}else{if(uCb(e,i)|0){ka=f[i>>2]|0;break}x=0;u=g;return x|0}while(0);k=f[j>>2]|0;if((f[c+32>>2]|0)==3)rh[f[k+268>>2]&255](j,d,c,ka);else rh[f[k+124>>2]&255](j,d,c,ka);x=1;u=g;return x|0}case 6:{k=f[e>>2]|0;do if(((f[e+4>>2]|0)-k|0)>7){F=k;q=F;K=h[q>>0]|h[q+1>>0]<<8|h[q+2>>0]<<16|h[q+3>>0]<<24;q=F+4|0;F=h[q>>0]|h[q+1>>0]<<8|h[q+2>>0]<<16|h[q+3>>0]<<24;q=i;f[q>>2]=K;f[q+4>>2]=F;f[e>>2]=k+8;la=K;ma=F}else{if(vCb(e,i)|0){F=i;la=f[F>>2]|0;ma=f[F+4>>2]|0;break}x=0;u=g;return x|0}while(0);k=f[j>>2]|0;if((f[c+32>>2]|0)==3)sh[f[k+272>>2]&255](j,d,c,la,ma);else sh[f[k+128>>2]&255](j,d,c,la,ma);x=1;u=g;return x|0}case 15:{k=f[e>>2]|0;do if(((f[e+4>>2]|0)-k|0)>3){F=k;K=h[F>>0]|h[F+1>>0]<<8|h[F+2>>0]<<16|h[F+3>>0]<<24;f[i>>2]=K;f[e>>2]=k+4;na=K}else{if(uCb(e,i)|0){na=f[i>>2]|0;break}x=0;u=g;return x|0}while(0);k=f[j>>2]|0;if((f[c+32>>2]|0)==3){rh[f[k+260>>2]&255](j,d,c,na);x=1;u=g;return x|0}else{rh[f[k+116>>2]&255](j,d,c,na);x=1;u=g;return x|0}break}case 16:{k=f[e>>2]|0;do if(((f[e+4>>2]|0)-k|0)>7){K=k;F=K;q=h[F>>0]|h[F+1>>0]<<8|h[F+2>>0]<<16|h[F+3>>0]<<24;F=K+4|0;K=h[F>>0]|h[F+1>>0]<<8|h[F+2>>0]<<16|h[F+3>>0]<<24;F=i;f[F>>2]=q;f[F+4>>2]=K;f[e>>2]=k+8;oa=q;pa=K}else{if(vCb(e,i)|0){K=i;oa=f[K>>2]|0;pa=f[K+4>>2]|0;break}x=0;u=g;return x|0}while(0);k=f[j>>2]|0;if((f[c+32>>2]|0)==3){sh[f[k+264>>2]&255](j,d,c,oa,pa);x=1;u=g;return x|0}else{sh[f[k+120>>2]&255](j,d,c,oa,pa);x=1;u=g;return x|0}break}case 2:{k=f[e>>2]|0;do if(((f[e+4>>2]|0)-k|0)>3){K=k;q=h[K>>0]|h[K+1>>0]<<8|h[K+2>>0]<<16|h[K+3>>0]<<24;f[i>>2]=q;f[e>>2]=k+4;qa=q}else{if(uCb(e,i)|0){qa=f[i>>2]|0;break}x=0;u=g;return x|0}while(0);k=f[j>>2]|0;ra=(f[s>>2]=qa,+n[s>>2]);if((f[c+32>>2]|0)==3){mh[f[k+276>>2]&63](j,d,c,ra);x=1;u=g;return x|0}else{mh[f[k+132>>2]&63](j,d,c,ra);x=1;u=g;return x|0}break}case 1:{k=f[e>>2]|0;do if(((f[e+4>>2]|0)-k|0)>7){q=k;K=q;F=h[K>>0]|h[K+1>>0]<<8|h[K+2>>0]<<16|h[K+3>>0]<<24;K=q+4|0;q=h[K>>0]|h[K+1>>0]<<8|h[K+2>>0]<<16|h[K+3>>0]<<24;K=i;f[K>>2]=F;f[K+4>>2]=q;f[e>>2]=k+8;f[s>>2]=F;f[s+4>>2]=q;sa=+p[s>>3]}else{if(vCb(e,i)|0){sa=+p[i>>3];break}x=0;u=g;return x|0}while(0);k=f[j>>2]|0;if((f[c+32>>2]|0)==3){mh[f[k+280>>2]&63](j,d,c,sa);x=1;u=g;return x|0}else{mh[f[k+136>>2]&63](j,d,c,sa);x=1;u=g;return x|0}break}case 8:{k=f[e>>2]|0;if(k>>>0<(f[e+4>>2]|0)>>>0?(q=b[k>>0]|0,q<<24>>24>-1):0){f[e>>2]=k+1;ta=q<<24>>24!=0}else{jCb(i,e);q=i;if(!(b[i+8>>0]|0)){x=0;u=g;return x|0}else ta=(f[q>>2]|0)!=0|(f[q+4>>2]|0)!=0}q=f[j>>2]|0;if((f[c+32>>2]|0)==3){rh[f[q+284>>2]&255](j,d,c,ta);x=1;u=g;return x|0}else{rh[f[q+140>>2]&255](j,d,c,ta);x=1;u=g;return x|0}break}case 14:{q=f[e>>2]|0;if(q>>>0<(f[e+4>>2]|0)>>>0){k=b[q>>0]|0;F=k&255;if(k<<24>>24>-1){f[e>>2]=q+1;ua=F}else{va=F;w=230}}else{va=0;w=230}if((w|0)==230){F=iCb(e,va)|0;q=J;if((q|0)>-1|(q|0)==-1&F>>>0>4294967295)ua=F;else{x=0;u=g;return x|0}}xh[f[(f[d>>2]|0)+96>>2]&2047](i,d);if((f[(f[(f[i>>2]|0)+8>>2]|0)+44>>2]|0)==3){F=f[j>>2]|0;if((f[c+32>>2]|0)==3){rh[f[F+296>>2]&255](j,d,c,ua);x=1;u=g;return x|0}else{rh[f[F+152>>2]&255](j,d,c,ua);x=1;u=g;return x|0}}F=YIb(eJb(c)|0,ua)|0;if(!F){R3b(Sh[f[(f[j>>2]|0)+12>>2]&511](j,d)|0,a>>>3,ua,((ua|0)<0)<<31>>31);x=1;u=g;return x|0}q=f[j>>2]|0;if((f[c+32>>2]|0)==3){rh[f[q+292>>2]&255](j,d,c,F);x=1;u=g;return x|0}else{rh[f[q+148>>2]&255](j,d,c,F);x=1;u=g;return x|0}break}case 9:{F=(f[(f[c+20>>2]|0)+44>>2]|0)==3;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;q=HEb(e,i)|0;k=i+11|0;K=b[k>>0]|0;o=K<<24>>24<0;if(!q){if(o)Emc(f[i>>2]|0);x=0;u=g;return x|0}q=f[c+4>>2]|0;if((b[q+11>>0]|0)<0)wa=f[q>>2]|0;else wa=q;if(F?!(IEb(o?f[i>>2]|0:i,o?f[i+4>>2]|0:K&255,0,wa)|0):0){if((b[k>>0]|0)<0)Emc(f[i>>2]|0);x=0;u=g;return x|0}K=f[j>>2]|0;if((f[c+32>>2]|0)==3)rh[f[K+288>>2]&255](j,d,c,i);else rh[f[K+144>>2]&255](j,d,c,i);if((b[k>>0]|0)<0)Emc(f[i>>2]|0);x=1;u=g;return x|0}case 12:{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;if(!(HEb(e,i)|0)){if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);x=0;u=g;return x|0}k=f[j>>2]|0;if((f[c+32>>2]|0)==3)rh[f[k+288>>2]&255](j,d,c,i);else rh[f[k+144>>2]&255](j,d,c,i);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);x=1;u=g;return x|0}case 10:{k=f[j>>2]|0;K=f[e+56>>2]|0;if((f[c+32>>2]|0)==3)xa=Bg[f[k+300>>2]&127](j,d,c,K)|0;else xa=Bg[f[k+156>>2]&127](j,d,c,K)|0;K=a&-8;k=e+40|0;o=f[k>>2]|0;f[k>>2]=o+-1;if((o|0)>0?Sh[f[(f[xa>>2]|0)+44>>2]&511](xa,e)|0:0){o=f[k>>2]|0;if((o|0)<(f[e+44>>2]|0))f[k>>2]=o+1;if((f[e+20>>2]|0)==(K|4|0)){x=1;u=g;return x|0}}x=0;u=g;return x|0}case 11:{K=f[j>>2]|0;o=f[e+56>>2]|0;if((f[c+32>>2]|0)==3)ya=Bg[f[K+300>>2]&127](j,d,c,o)|0;else ya=Bg[f[K+156>>2]&127](j,d,c,o)|0;o=f[e>>2]|0;if(o>>>0<(f[e+4>>2]|0)>>>0?(K=b[o>>0]|0,K<<24>>24>-1):0){f[e>>2]=o+1;za=K&255;w=275}else w=274;if((w|0)==274?(K=wCb(e)|0,(K|0)>-1):0){za=K;w=275}do if(((w|0)==275?(hCb(i,e,za),(f[i+4>>2]|0)>=0):0)?Sh[f[(f[ya>>2]|0)+44>>2]&511](ya,e)|0:0){if(mCb(e,f[i>>2]|0)|0)x=1;else break;u=g;return x|0}while(0);x=0;u=g;return x|0}default:{x=1;u=g;return x|0}}while(0)}while(0);x=b4b(e,a,Sh[f[(f[j>>2]|0)+12>>2]&511](j,d)|0)|0;u=g;return x|0}function k4b(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;e=u;u=u+128|0;g=e+104|0;h=e+80|0;i=e+20|0;j=e;k=ci[f[(f[c>>2]|0)+92>>2]&1023](c)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;l=a+4|0;m=a+20|0;n=j+8|0;o=j+4|0;p=h+11|0;q=h+4|0;r=g+11|0;s=g+4|0;t=i+4|0;v=i+8|0;w=i+12|0;x=i+28|0;y=i+32|0;z=i+36|0;A=i+40|0;B=i+44|0;C=i+48|0;D=i+52|0;E=i+56|0;F=0;G=0;a:while(1){H=(G|0)==0;b:while(1){if(!H){I=10;break}c:while(1){K=f[a>>2]|0;if(K>>>0<(f[l>>2]|0)>>>0){L=b[K>>0]|0;M=L&255;if(L<<24>>24>-1){f[a>>2]=K+1;N=M}else{O=M;I=6}}else{O=0;I=6}if((I|0)==6){I=0;N=xCb(a,O)|0}f[m>>2]=N;switch(N|0){case 12:{P=1;break a;break}case 0:{I=41;break a;break}case 16:{break b;break}case 26:{break c;break}default:{}}if(!(b4b(a,N,0)|0)){I=41;break a}}f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;M=f[a>>2]|0;if(M>>>0<(f[l>>2]|0)>>>0){K=b[M>>0]|0;L=K&255;if(K<<24>>24>-1){f[a>>2]=M+1;Q=L;I=29}else{R=L;I=28}}else{R=0;I=28}if((I|0)==28){I=0;L=iCb(a,R)|0;M=J;if((M|0)>-1|(M|0)==-1&L>>>0>4294967295){Q=L;I=29}else S=1}if((I|0)==29){I=0;if(sCb(a,h,Q)|0){fDb(i,g);yCb(j,i);if((f[n>>2]|0)>4){L=f[o>>2]|0;if(Q>>>0>127){M=Q;K=L;while(1){b[K>>0]=M|128;T=M>>>7;U=K+1|0;if(M>>>0>16383){M=T;K=U}else{V=U;W=T;break}}}else{V=L;W=Q}b[V>>0]=W;K=V+1-L|0;f[o>>2]=(f[o>>2]|0)+K;f[n>>2]=(f[n>>2]|0)-K}else ECb(j,Q);K=b[p>>0]|0;M=K<<24>>24<0;ACb(j,M?f[h>>2]|0:h,M?f[q>>2]|0:K&255);zCb(j);S=0}else S=1}if((b[p>>0]|0)<0)Emc(f[h>>2]|0);if(S|0){P=0;break a}}d:do if((I|0)==10)e:while(1){I=0;H=f[a>>2]|0;if(H>>>0<(f[l>>2]|0)>>>0){K=b[H>>0]|0;M=K&255;if(K<<24>>24>-1){f[a>>2]=H+1;X=M}else{Y=M;I=13}}else{Y=0;I=13}if((I|0)==13){I=0;X=xCb(a,Y)|0}f[m>>2]=X;switch(X|0){case 12:{P=1;break a;break}case 0:{I=42;break a;break}case 16:{break d;break}case 26:{if(l4b(G,F,c,a)|0){I=10;continue e}else{I=42;break a}break}default:if(b4b(a,X,0)|0){I=10;continue e}else{I=42;break a}}}while(0);L=f[a>>2]|0;if(L>>>0<(f[l>>2]|0)>>>0){M=b[L>>0]|0;H=M&255;if(M<<24>>24>-1){f[a>>2]=L+1;Z=H}else{_=H;I=18}}else{_=0;I=18}if((I|0)==18){I=0;H=iCb(a,_)|0;L=J;if((L|0)>-1|(L|0)==-1&H>>>0>4294967295)Z=H;else{P=0;break}}H=F;F=Sh[f[(f[k>>2]|0)+312>>2]&511](k,Z)|0;H=b[r>>0]|0;L=H<<24>>24<0;M=f[s>>2]|0;K=H&255;if(!((L?M:K)|0)){F=F;G=Z;continue}dDb(h,L?f[g>>2]|0:g,L?M:K,-1);f[i>>2]=0;f[t>>2]=0;f[v>>2]=h;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;d[w+12>>1]=0;f[x>>2]=2147483647;f[y>>2]=0;f[z>>2]=2147483647;K=f[37396]|0;f[A>>2]=K;f[B>>2]=K;b[C>>0]=1;f[D>>2]=0;f[E>>2]=0;kCb(i)|0;do if(l4b(Z,F,c,i)|0)if((b[r>>0]|0)<0){b[f[g>>2]>>0]=0;f[s>>2]=0;$=0;break}else{b[g>>0]=0;b[r>>0]=0;$=0;break}else $=1;while(0);eCb(i);if($|0){P=0;break}else G=Z}if((I|0)==41)P=0;else if((I|0)==42)P=0;if((b[r>>0]|0)>=0){u=e;return P|0}Emc(f[g>>2]|0);u=e;return P|0}function l4b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;g=u;u=u+48|0;h=g+24|0;i=g;j=g+40|0;k=ci[f[(f[d>>2]|0)+92>>2]&1023](d)|0;if(!c){l=Sh[f[(f[k>>2]|0)+12>>2]&511](k,d)|0;m=f[e>>2]|0;if(m>>>0<(f[e+4>>2]|0)>>>0){n=b[m>>0]|0;o=n&255;if(n<<24>>24>-1){f[e>>2]=m+1;p=o}else{q=o;r=5}}else{q=0;r=5}if((r|0)==5){r=iCb(e,q)|0;q=J;if((q|0)>-1|(q|0)==-1&r>>>0>4294967295)p=r;else{s=0;u=g;return s|0}}s=sCb(e,U3b(l,a)|0,p)|0;u=g;return s|0}if((f[c+32>>2]|0)!=3){p=f[c+24>>2]|0;if(p|0?(f[p>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=c;dEb(p,h)}if((f[c+28>>2]|0)==11){p=Bg[f[(f[k>>2]|0)+156>>2]&127](k,d,c,f[e+56>>2]|0)|0;c=f[e>>2]|0;if(c>>>0<(f[e+4>>2]|0)>>>0?(d=b[c>>0]|0,d<<24>>24>-1):0){f[e>>2]=c+1;t=d&255}else{d=wCb(e)|0;if((d|0)>-1)t=d;else{s=0;u=g;return s|0}}hCb(h,e,t);if((f[h+4>>2]|0)>=0?Sh[f[(f[p>>2]|0)+44>>2]&511](p,e)|0:0)v=mCb(e,f[h>>2]|0)|0;else v=0;s=v;u=g;return s|0}}TDb(i,2,511443,467);QDb(j,ODb(i,511533)|0);UDb(i);s=0;u=g;return s|0}function m4b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;e=u;u=u+48|0;g=e+32|0;h=e;i=e+8|0;j=e+44|0;xh[f[(f[a>>2]|0)+96>>2]&2047](g,a);k=f[g>>2]|0;l=ci[f[(f[a>>2]|0)+92>>2]&1023](a)|0;m=d+12|0;n=d+8|0;o=(f[m>>2]|0)+c-(f[n>>2]|0)|0;f[g>>2]=0;c=g+4|0;f[c>>2]=0;f[g+8>>2]=0;p=k+16|0;a:do if(b[(f[p>>2]|0)+51>>0]|0){q=k+52|0;r=f[q>>2]|0;if((r|0)>0){s=k+20|0;t=g+8|0;v=0;w=0;x=0;y=r;while(1){r=(f[s>>2]|0)+(v*88|0)|0;f[h>>2]=r;if((w|0)==(x|0)){LGb(g,h);z=f[q>>2]|0}else{f[w>>2]=r;f[c>>2]=(f[c>>2]|0)+4;z=y}r=v+1|0;if((r|0)>=(z|0))break a;v=r;w=f[c>>2]|0;x=f[t>>2]|0;y=z}}}else Yh[f[(f[l>>2]|0)+64>>2]&511](l,a,g);while(0);z=f[g>>2]|0;if((f[c>>2]|0)!=(z|0)){h=0;k=z;do{n4b(f[k+(h<<2)>>2]|0,a,d);h=h+1|0;k=f[g>>2]|0}while(h>>>0<(f[c>>2]|0)-k>>2>>>0)}k=(b[(f[p>>2]|0)+48>>0]|0)==0;p=Sh[f[(f[l>>2]|0)+8>>2]&511](l,a)|0;if(k)e4b(p,d);else g4b(p,d);if(((f[m>>2]|0)-(f[n>>2]|0)|0)!=(o|0)){TDb(i,3,511443,830);QDb(j,ODb(ODb(i,511586)|0,511647)|0);UDb(i)}i=f[g>>2]|0;if(!i){u=e;return}g=f[c>>2]|0;if((g|0)!=(i|0))f[c>>2]=g+(~((g+-4-i|0)>>>2)<<2);Emc(i);u=e;return}function n4b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0.0,va=0.0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0;e=u;u=u+64|0;g=e+32|0;h=e;i=ci[f[(f[c>>2]|0)+92>>2]&1023](c)|0;if(b[a+38>>0]|0?b[(f[(f[a+48>>2]|0)+16>>2]|0)+48>>0]|0:0){j=f[a+24>>2]|0;if(j|0?(f[j>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=a;dEb(j,g)}if((f[149940+(f[a+28>>2]<<2)>>2]|0)==10?(f[a+32>>2]|0)!=3:0){o4b(a,c,d);u=e;return}}j=a+24|0;k=f[j>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=a;dEb(k,g)}k=a+28|0;if(((f[k>>2]|0)==11?bJb(a)|0:0)?t_b(ki[f[(f[i>>2]|0)+364>>2]&511](i,c,a)|0)|0:0){if(!(b[d+18>>0]|0)){if(!(f[222909]|0))l=33}else if(!(b[d+19>>0]|0))l=33;if((l|0)==33){rh[f[(f[i>>2]|0)+352>>2]&255](g,i,c,a);l=g+4|0;m=h+4|0;o=h+16|0;q=h+8|0;r=g+8|0;t=g+24|0;while(1){rh[f[(f[i>>2]|0)+356>>2]&255](h,i,c,a);v=f[l>>2]|0;w=ki[f[(f[v>>2]|0)+20>>2]&511](v,g,h)|0;v=f[m>>2]|0;xh[f[(f[v>>2]|0)+52>>2]&2047](v,h);if((f[o>>2]|0)==9?(v=f[q>>2]|0,v|0):0){if((b[v+11>>0]|0)<0)Emc(f[v>>2]|0);Emc(v)}if(w)break;q4b(a,r,t,d);w=f[l>>2]|0;xh[f[(f[w>>2]|0)+60>>2]&2047](w,g)}t=f[l>>2]|0;xh[f[(f[t>>2]|0)+52>>2]&2047](t,g);if((f[g+16>>2]|0)==9?(t=f[r>>2]|0,t|0):0){if((b[t+11>>0]|0)<0)Emc(f[t>>2]|0);Emc(t)}u=e;return}p4b(g,c,i,a);t=f[g>>2]|0;r=g+4|0;if((t|0)==(f[r>>2]|0)){x=t;y=t}else{l=h+4|0;q=t;do{f[h>>2]=0;f[l>>2]=0;lh[f[(f[i>>2]|0)+344>>2]&127](i,c,a,q,h)|0;q4b(a,q,h,d);q=q+16|0}while((q|0)!=(f[r>>2]|0));x=f[g>>2]|0;y=q}if(x|0){if((y|0)==(x|0))z=x;else{q=y;while(1){y=q+-16|0;f[r>>2]=y;if((f[q+-8>>2]|0)==9?(l=f[y>>2]|0,(l|0)!=0):0){if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0);Emc(l);A=f[r>>2]|0}else A=y;if((A|0)==(x|0))break;else q=A}z=f[g>>2]|0}Emc(z)}u=e;return}z=a+32|0;if((f[z>>2]|0)!=3)if(!(b[(f[(f[a+48>>2]|0)+16>>2]|0)+51>>0]|0))B=(ki[f[(f[i>>2]|0)+20>>2]&511](i,c,a)|0)&1;else B=1;else B=ki[f[(f[i>>2]|0)+24>>2]&511](i,c,a)|0;f[h>>2]=0;A=h+4|0;f[A>>2]=0;f[h+8>>2]=0;do if((B|0)>1){q=f[j>>2]|0;if(q|0?(f[q>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=a;dEb(q,g)}if((f[k>>2]|0)==11?bJb(a)|0:0){if(!(b[d+18>>0]|0)){if(!(f[222909]|0))break}else if(!(b[d+19>>0]|0))break;I2b(g,c,B,i,a);q=g+4|0;J2b(h,f[g>>2]|0,f[q>>2]|0);x=f[g>>2]|0;if(x|0){r=f[q>>2]|0;if((r|0)!=(x|0))f[q>>2]=r+(~((r+-4-x|0)>>>2)<<2);Emc(x)}}}while(0);x=fJb(a)|0;r=(B|0)>0;do if(r&x){q=f[a+40>>2]<<3|2;y=d+8|0;if((f[y>>2]|0)>4){l=d+4|0;t=f[l>>2]|0;if(q>>>0>127){o=q;m=t;while(1){b[m>>0]=o|128;w=o>>>7;v=m+1|0;if(o>>>0>16383){o=w;m=v}else{C=v;D=w;break}}}else{C=t;D=q}b[C>>0]=D;m=C+1-t|0;f[l>>2]=(f[l>>2]|0)+m;f[y>>2]=(f[y>>2]|0)-m}else ECb(d,q);m=r4b(a,c)|0;if((f[y>>2]|0)<=4){ECb(d,m);break}o=d+4|0;w=f[o>>2]|0;if(m>>>0>127){v=m;E=w;while(1){b[E>>0]=v|128;F=v>>>7;G=E+1|0;if(v>>>0>16383){v=F;E=G}else{H=G;I=F;break}}}else{H=w;I=m}b[H>>0]=I;E=H+1-w|0;f[o>>2]=(f[o>>2]|0)+E;f[y>>2]=(f[y>>2]|0)-E}while(0);a:do if(r){H=d+8|0;I=d+4|0;C=a+40|0;D=a+20|0;E=a+4|0;v=g+11|0;q=g+11|0;l=g+4|0;t=g+8|0;F=g+12|0;G=0;while(1){K=f[j>>2]|0;if(K|0?(f[K>>2]|0)!=2:0){f[g>>2]=110868;f[l>>2]=1634;b[t>>0]=0;f[F>>2]=a;dEb(K,g)}b:do switch(f[k>>2]|0){case 5:{if((f[z>>2]|0)==3)L=Bg[f[(f[i>>2]|0)+168>>2]&127](i,c,a,G)|0;else L=ki[f[(f[i>>2]|0)+68>>2]&511](i,c,a)|0;if(!x){mEb(f[C>>2]|0,L,d);break b}K=((L|0)<0)<<31>>31;if((f[H>>2]|0)<=9){FCb(d,L,K);break b}M=f[I>>2]|0;N=L&255;if(L>>>0>127){O=M;P=N;Q=L;R=K;while(1){b[O>>0]=P|-128;K=Q;Q=Irc(Q|0,R|0,7)|0;S=O+1|0;T=Q&255;if(!(R>>>0>0|(R|0)==0&K>>>0>16383)){U=S;V=T;break}else{O=S;P=T;R=J}}}else{U=M;V=N}b[U>>0]=V;R=U+1-M|0;f[I>>2]=(f[I>>2]|0)+R;f[H>>2]=(f[H>>2]|0)-R;break}case 3:{if((f[z>>2]|0)==3){R=Bg[f[(f[i>>2]|0)+172>>2]&127](i,c,a,G)|0;W=J;X=R}else{R=ki[f[(f[i>>2]|0)+72>>2]&511](i,c,a)|0;W=J;X=R}if(!x){nEb(f[C>>2]|0,X,W,d);break b}if((f[H>>2]|0)<=9){FCb(d,X,W);break b}R=f[I>>2]|0;P=X&255;if(W>>>0>0|(W|0)==0&X>>>0>127){O=R;Q=P;T=X;S=W;while(1){b[O>>0]=Q|-128;K=T;T=Irc(T|0,S|0,7)|0;Y=O+1|0;Z=T&255;if(!(S>>>0>0|(S|0)==0&K>>>0>16383)){_=Y;$=Z;break}else{O=Y;Q=Z;S=J}}}else{_=R;$=P}b[_>>0]=$;S=_+1-R|0;f[I>>2]=(f[I>>2]|0)+S;f[H>>2]=(f[H>>2]|0)-S;break}case 17:{if((f[z>>2]|0)==3)aa=Bg[f[(f[i>>2]|0)+168>>2]&127](i,c,a,G)|0;else aa=ki[f[(f[i>>2]|0)+68>>2]&511](i,c,a)|0;if(!x){qEb(f[C>>2]|0,aa,d);break b}S=aa<<1^aa>>31;if((f[H>>2]|0)<=4){ECb(d,S);break b}Q=f[I>>2]|0;if(S>>>0>127){O=S;T=Q;while(1){b[T>>0]=O|128;M=O>>>7;N=T+1|0;if(O>>>0>16383){O=M;T=N}else{ba=N;ca=M;break}}}else{ba=Q;ca=S}b[ba>>0]=ca;T=ba+1-Q|0;f[I>>2]=(f[I>>2]|0)+T;f[H>>2]=(f[H>>2]|0)-T;break}case 18:{if((f[z>>2]|0)==3){T=Bg[f[(f[i>>2]|0)+172>>2]&127](i,c,a,G)|0;da=T;ea=J}else{T=ki[f[(f[i>>2]|0)+72>>2]&511](i,c,a)|0;da=T;ea=J}if(!x){rEb(f[C>>2]|0,da,ea,d);break b}T=Qrc(da|0,ea|0,1)|0;O=J;R=Hrc(da|0,ea|0,63)|0;P=T^R;R=O^J;if((f[H>>2]|0)<=9){FCb(d,P,R);break b}O=f[I>>2]|0;T=P&255;if(R>>>0>0|(R|0)==0&P>>>0>127){M=O;N=T;Z=P;P=R;while(1){b[M>>0]=N|-128;R=Z;Z=Irc(Z|0,P|0,7)|0;Y=M+1|0;K=Z&255;if(!(P>>>0>0|(P|0)==0&R>>>0>16383)){fa=Y;ga=K;break}else{M=Y;N=K;P=J}}}else{fa=O;ga=T}b[fa>>0]=ga;P=fa+1-O|0;f[I>>2]=(f[I>>2]|0)+P;f[H>>2]=(f[H>>2]|0)-P;break}case 13:{if((f[z>>2]|0)==3)ha=Bg[f[(f[i>>2]|0)+176>>2]&127](i,c,a,G)|0;else ha=ki[f[(f[i>>2]|0)+76>>2]&511](i,c,a)|0;if(!x){oEb(f[C>>2]|0,ha,d);break b}if((f[H>>2]|0)<=4){ECb(d,ha);break b}P=f[I>>2]|0;if(ha>>>0>127){N=ha;M=P;while(1){b[M>>0]=N|128;Z=N>>>7;Q=M+1|0;if(N>>>0>16383){N=Z;M=Q}else{ia=Q;ja=Z;break}}}else{ia=P;ja=ha}b[ia>>0]=ja;M=ia+1-P|0;f[I>>2]=(f[I>>2]|0)+M;f[H>>2]=(f[H>>2]|0)-M;break}case 4:{if((f[z>>2]|0)==3){M=Bg[f[(f[i>>2]|0)+180>>2]&127](i,c,a,G)|0;ka=J;la=M}else{M=ki[f[(f[i>>2]|0)+80>>2]&511](i,c,a)|0;ka=J;la=M}if(!x){pEb(f[C>>2]|0,la,ka,d);break b}if((f[H>>2]|0)<=9){FCb(d,la,ka);break b}M=f[I>>2]|0;N=la&255;if(ka>>>0>0|(ka|0)==0&la>>>0>127){O=M;T=N;Z=la;Q=ka;while(1){b[O>>0]=T|-128;S=Z;Z=Irc(Z|0,Q|0,7)|0;K=O+1|0;Y=Z&255;if(!(Q>>>0>0|(Q|0)==0&S>>>0>16383)){ma=K;na=Y;break}else{O=K;T=Y;Q=J}}}else{ma=M;na=N}b[ma>>0]=na;Q=ma+1-M|0;f[I>>2]=(f[I>>2]|0)+Q;f[H>>2]=(f[H>>2]|0)-Q;break}case 7:{if((f[z>>2]|0)==3)oa=Bg[f[(f[i>>2]|0)+176>>2]&127](i,c,a,G)|0;else oa=ki[f[(f[i>>2]|0)+76>>2]&511](i,c,a)|0;if(x){CCb(d,oa);break b}else{sEb(f[C>>2]|0,oa,d);break b}break}case 6:{if((f[z>>2]|0)==3){Q=Bg[f[(f[i>>2]|0)+180>>2]&127](i,c,a,G)|0;pa=Q;qa=J}else{Q=ki[f[(f[i>>2]|0)+80>>2]&511](i,c,a)|0;pa=Q;qa=J}if(x){DCb(d,pa,qa);break b}else{tEb(f[C>>2]|0,pa,qa,d);break b}break}case 15:{if((f[z>>2]|0)==3)ra=Bg[f[(f[i>>2]|0)+168>>2]&127](i,c,a,G)|0;else ra=ki[f[(f[i>>2]|0)+68>>2]&511](i,c,a)|0;if(x){CCb(d,ra);break b}else{uEb(f[C>>2]|0,ra,d);break b}break}case 16:{if((f[z>>2]|0)==3){Q=Bg[f[(f[i>>2]|0)+172>>2]&127](i,c,a,G)|0;sa=Q;ta=J}else{Q=ki[f[(f[i>>2]|0)+72>>2]&511](i,c,a)|0;sa=Q;ta=J}if(x){DCb(d,sa,ta);break b}else{vEb(f[C>>2]|0,sa,ta,d);break b}break}case 2:{if((f[z>>2]|0)==3)ua=+Ih[f[(f[i>>2]|0)+184>>2]&15](i,c,a,G);else ua=+dh[f[(f[i>>2]|0)+84>>2]&31](i,c,a);if(x){CCb(d,(n[s>>2]=ua,f[s>>2]|0));break b}else{wEb(f[C>>2]|0,ua,d);break b}break}case 1:{if((f[z>>2]|0)==3)va=+Ih[f[(f[i>>2]|0)+188>>2]&15](i,c,a,G);else va=+dh[f[(f[i>>2]|0)+88>>2]&31](i,c,a);if(x){p[s>>3]=va;DCb(d,f[s>>2]|0,f[s+4>>2]|0);break b}else{xEb(f[C>>2]|0,va,d);break b}break}case 8:{if((f[z>>2]|0)==3)wa=Bg[f[(f[i>>2]|0)+192>>2]&127](i,c,a,G)|0;else wa=ki[f[(f[i>>2]|0)+92>>2]&511](i,c,a)|0;if(!x){yEb(f[C>>2]|0,wa,d);break b}if((f[H>>2]|0)>4){b[f[I>>2]>>0]=wa&1;f[I>>2]=(f[I>>2]|0)+1;f[H>>2]=(f[H>>2]|0)+-1;break b}else{ECb(d,wa&1);break b}break}case 10:{Q=f[C>>2]|0;do if((f[z>>2]|0)==3){T=f[h>>2]|0;if((T|0)==(f[A>>2]|0)){xa=Bg[f[(f[i>>2]|0)+208>>2]&127](i,c,a,G)|0;break}else{xa=f[T+(G<<2)>>2]|0;break}}else xa=Bg[f[(f[i>>2]|0)+108>>2]&127](i,c,a,0)|0;while(0);EEb(Q,xa,d);break}case 11:{M=f[C>>2]|0;do if((f[z>>2]|0)==3){N=f[h>>2]|0;if((N|0)==(f[A>>2]|0)){ya=Bg[f[(f[i>>2]|0)+208>>2]&127](i,c,a,G)|0;break}else{ya=f[N+(G<<2)>>2]|0;break}}else ya=Bg[f[(f[i>>2]|0)+108>>2]&127](i,c,a,0)|0;while(0);FEb(M,ya,d);break}case 14:{if((f[z>>2]|0)==3)za=Bg[f[(f[i>>2]|0)+200>>2]&127](i,c,a,G)|0;else za=ki[f[(f[i>>2]|0)+100>>2]&511](i,c,a)|0;if(!x){zEb(f[C>>2]|0,f[za+8>>2]|0,d);break b}Q=f[za+8>>2]|0;N=((Q|0)<0)<<31>>31;if((f[H>>2]|0)<=9){FCb(d,Q,N);break b}T=f[I>>2]|0;O=Q&255;if(Q>>>0>127){Z=T;P=O;Y=Q;Q=N;while(1){b[Z>>0]=P|-128;N=Y;Y=Irc(Y|0,Q|0,7)|0;K=Z+1|0;S=Y&255;if(!(Q>>>0>0|(Q|0)==0&N>>>0>16383)){Aa=K;Ba=S;break}else{Z=K;P=S;Q=J}}}else{Aa=T;Ba=O}b[Aa>>0]=Ba;Q=Aa+1-T|0;f[I>>2]=(f[I>>2]|0)+Q;f[H>>2]=(f[H>>2]|0)-Q;break}case 9:{Q=(f[(f[D>>2]|0)+44>>2]|0)==3;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;if((f[z>>2]|0)==3)Ca=lh[f[(f[i>>2]|0)+212>>2]&127](i,c,a,G,g)|0;else Ca=Bg[f[(f[i>>2]|0)+112>>2]&127](i,c,a,g)|0;P=b[Ca+11>>0]|0;if(P<<24>>24<0){Da=f[Ca>>2]|0;Ea=f[Ca+4>>2]|0}else{Da=Ca;Ea=P&255}P=f[E>>2]|0;if((b[P+11>>0]|0)<0)Fa=f[P>>2]|0;else Fa=P;if(Q)IEb(Da,Ea,1,Fa)|0;AEb(f[C>>2]|0,Ca,d);if((b[v>>0]|0)<0)Emc(f[g>>2]|0);break}case 12:{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;if((f[z>>2]|0)==3)Ga=lh[f[(f[i>>2]|0)+212>>2]&127](i,c,a,G,g)|0;else Ga=Bg[f[(f[i>>2]|0)+112>>2]&127](i,c,a,g)|0;CEb(f[C>>2]|0,Ga,d);if((b[q>>0]|0)<0)Emc(f[g>>2]|0);break}default:{}}while(0);G=G+1|0;if((G|0)>=(B|0))break a}}while(0);B=f[h>>2]|0;if(B|0){h=f[A>>2]|0;if((h|0)!=(B|0))f[A>>2]=h+(~((h+-4-B|0)>>>2)<<2);Emc(B)}u=e;return}function o4b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=ci[f[(f[c>>2]|0)+92>>2]&1023](c)|0;g=d+8|0;if((f[g>>2]|0)>4){h=d+4|0;b[f[h>>2]>>0]=11;f[h>>2]=(f[h>>2]|0)+1;h=(f[g>>2]|0)+-1|0;f[g>>2]=h;i=h}else{ECb(d,11);i=f[g>>2]|0}if((i|0)>4){i=d+4|0;b[f[i>>2]>>0]=16;f[i>>2]=(f[i>>2]|0)+1;i=(f[g>>2]|0)+-1|0;f[g>>2]=i;j=i}else{ECb(d,16);j=f[g>>2]|0}i=f[a+40>>2]|0;if((j|0)>4){j=d+4|0;h=f[j>>2]|0;if(i>>>0>127){k=i;l=h;while(1){b[l>>0]=k|128;m=k>>>7;n=l+1|0;if(k>>>0>16383){k=m;l=n}else{o=n;p=m;break}}}else{o=h;p=i}b[o>>0]=p;p=o+1-h|0;f[j>>2]=(f[j>>2]|0)+p;j=(f[g>>2]|0)-p|0;f[g>>2]=j;q=j}else{ECb(d,i);q=f[g>>2]|0}if((q|0)>4){q=d+4|0;b[f[q>>2]>>0]=26;f[q>>2]=(f[q>>2]|0)+1;f[g>>2]=(f[g>>2]|0)+-1}else ECb(d,26);q=Bg[f[(f[e>>2]|0)+108>>2]&127](e,c,a,0)|0;a=ci[f[(f[q>>2]|0)+60>>2]&1023](q)|0;if((f[g>>2]|0)>4){c=d+4|0;e=f[c>>2]|0;if(a>>>0>127){i=a;j=e;while(1){b[j>>0]=i|128;p=i>>>7;h=j+1|0;if(i>>>0>16383){i=p;j=h}else{r=h;s=p;break}}}else{r=e;s=a}b[r>>0]=s;s=r+1-e|0;f[c>>2]=(f[c>>2]|0)+s;f[g>>2]=(f[g>>2]|0)-s}else ECb(d,a);xh[f[(f[q>>2]|0)+52>>2]&2047](q,d);if((f[g>>2]|0)>4){q=d+4|0;b[f[q>>2]>>0]=12;f[q>>2]=(f[q>>2]|0)+1;f[g>>2]=(f[g>>2]|0)+-1;return}else{ECb(d,12);return}}function p4b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=u;u=u+64|0;h=g+32|0;i=g;f[a>>2]=0;j=a+4|0;f[j>>2]=0;f[a+8>>2]=0;rh[f[(f[d>>2]|0)+352>>2]&255](h,d,c,e);k=h+4|0;l=i+4|0;m=i+16|0;n=i+8|0;o=h+8|0;p=a+8|0;while(1){rh[f[(f[d>>2]|0)+356>>2]&255](i,d,c,e);q=f[k>>2]|0;r=ki[f[(f[q>>2]|0)+20>>2]&511](q,h,i)|0;q=f[l>>2]|0;xh[f[(f[q>>2]|0)+52>>2]&2047](q,i);if((f[m>>2]|0)==9?(q=f[n>>2]|0,q|0):0){if((b[q+11>>0]|0)<0)Emc(f[q>>2]|0);Emc(q)}if(r)break;r=f[j>>2]|0;if((r|0)==(f[p>>2]|0))u4b(a,o);else{f[r+8>>2]=0;yZb(r,o);f[j>>2]=(f[j>>2]|0)+16}r=f[k>>2]|0;xh[f[(f[r>>2]|0)+60>>2]&2047](r,h)}p=f[k>>2]|0;xh[f[(f[p>>2]|0)+52>>2]&2047](p,h);if((f[h+16>>2]|0)!=9){s=f[a>>2]|0;t=f[j>>2]|0;v4b(s,t,h);u=g;return}p=f[o>>2]|0;if(!p){s=f[a>>2]|0;t=f[j>>2]|0;v4b(s,t,h);u=g;return}if((b[p+11>>0]|0)<0)Emc(f[p>>2]|0);Emc(p);s=f[a>>2]|0;t=f[j>>2]|0;v4b(s,t,h);u=g;return}function q4b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;g=u;u=u+48|0;h=g+24|0;i=g;j=g+40|0;k=(dJb(a)|0)+20|0;l=f[k>>2]|0;k=(dJb(a)|0)+20|0;m=f[k>>2]|0;k=m+88|0;n=f[a+40>>2]<<3|2;a=e+8|0;if((f[a>>2]|0)>4){o=e+4|0;p=f[o>>2]|0;if(n>>>0>127){q=n;r=p;while(1){b[r>>0]=q|128;s=q>>>7;t=r+1|0;if(q>>>0>16383){q=s;r=t}else{v=t;w=s;break}}}else{v=p;w=n}b[v>>0]=w;w=v+1-p|0;f[o>>2]=(f[o>>2]|0)+w;f[a>>2]=(f[a>>2]|0)-w}else ECb(e,n);n=(s4b(l,c)|0)+2|0;w=n+(t4b(k,d)|0)|0;if((f[a>>2]|0)>4){n=e+4|0;o=f[n>>2]|0;if(w>>>0>127){p=w;v=o;while(1){b[v>>0]=p|128;r=p>>>7;q=v+1|0;if(p>>>0>16383){p=r;v=q}else{x=q;y=r;break}}}else{x=o;y=w}b[x>>0]=y;y=x+1-o|0;f[n>>2]=(f[n>>2]|0)+y;f[a>>2]=(f[a>>2]|0)-y}else ECb(e,w);w=f[l+24>>2]|0;if(w|0?(f[w>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=l;dEb(w,h)}do switch(f[l+28>>2]|0){case 14:case 12:case 11:case 10:case 2:case 1:{TDb(i,3,511443,846);QDb(j,ODb(i,511797)|0);UDb(i);break}case 3:{nEb(1,EZb(c)|0,J,e);break}case 4:{pEb(1,GZb(c)|0,J,e);break}case 5:{mEb(1,FZb(c)|0,e);break}case 6:{tEb(1,GZb(c)|0,J,e);break}case 7:{sEb(1,HZb(c)|0,e);break}case 8:{yEb(1,IZb(c)|0,e);break}case 13:{oEb(1,HZb(c)|0,e);break}case 15:{uEb(1,FZb(c)|0,e);break}case 16:{vEb(1,EZb(c)|0,J,e);break}case 17:{qEb(1,FZb(c)|0,e);break}case 18:{rEb(1,EZb(c)|0,J,e);break}case 9:{AEb(1,hHa(c)|0,e);break}default:{}}while(0);c=f[m+112>>2]|0;if(c|0?(f[c>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=k;dEb(c,h)}do switch(f[m+116>>2]|0){case 3:{nEb(2,f_b(d)|0,J,e);u=g;return}case 4:{pEb(2,h_b(d)|0,J,e);u=g;return}case 5:{mEb(2,g_b(d)|0,e);u=g;return}case 6:{tEb(2,h_b(d)|0,J,e);u=g;return}case 7:{sEb(2,i_b(d)|0,e);u=g;return}case 8:{yEb(2,j_b(d)|0,e);u=g;return}case 13:{oEb(2,i_b(d)|0,e);u=g;return}case 15:{uEb(2,g_b(d)|0,e);u=g;return}case 16:{vEb(2,f_b(d)|0,J,e);u=g;return}case 17:{qEb(2,g_b(d)|0,e);u=g;return}case 18:{rEb(2,f_b(d)|0,J,e);u=g;return}case 14:{zEb(2,m_b(d)|0,e);u=g;return}case 1:{xEb(2,+k_b(d),e);u=g;return}case 2:{wEb(2,+l_b(d),e);u=g;return}case 9:{AEb(2,e_b(d)|0,e);u=g;return}case 12:{CEb(2,e_b(d)|0,e);u=g;return}case 11:{FEb(2,n_b(d)|0,e);u=g;return}case 10:{EEb(2,n_b(d)|0,e);u=g;return}default:{u=g;return}}while(0)}function r4b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;d=u;u=u+64|0;e=d+32|0;g=d;h=ci[f[(f[c>>2]|0)+92>>2]&1023](c)|0;i=a+24|0;j=f[i>>2]|0;if(j|0?(f[j>>2]|0)!=2:0){f[e>>2]=110868;f[e+4>>2]=1634;b[e+8>>0]=0;f[e+12>>2]=a;dEb(j,e)}j=a+28|0;if(((f[j>>2]|0)==11?bJb(a)|0:0)?(k=ki[f[(f[h>>2]|0)+364>>2]&511](h,c,a)|0,t_b(k)|0):0){OXb(e,c,a);OXb(g,c,a);l=(dJb(a)|0)+20|0;m=f[l>>2]|0;l=(dJb(a)|0)+20|0;n=(f[l>>2]|0)+88|0;xh[f[(f[k>>2]|0)+24>>2]&2047](k,e);xh[f[(f[k>>2]|0)+28>>2]&2047](k,g);k=e+4|0;l=e+8|0;o=e+24|0;p=0;while(1){q=f[k>>2]|0;if(ki[f[(f[q>>2]|0)+20>>2]&511](q,e,g)|0)break;q=s4b(m,l)|0;r=q+2+(t4b(n,o)|0)|0;q=r+p+((((($(r|1|0)|0)^31)*9|0)+73|0)>>>6)|0;r=f[k>>2]|0;xh[f[(f[r>>2]|0)+60>>2]&2047](r,e);p=q}o=f[g+4>>2]|0;xh[f[(f[o>>2]|0)+52>>2]&2047](o,g);if((f[g+16>>2]|0)==9?(o=f[g+8>>2]|0,o|0):0){if((b[o+11>>0]|0)<0)Emc(f[o>>2]|0);Emc(o)}o=f[k>>2]|0;xh[f[(f[o>>2]|0)+52>>2]&2047](o,e);if((f[e+16>>2]|0)==9?(o=f[l>>2]|0,o|0):0){if((b[o+11>>0]|0)<0)Emc(f[o>>2]|0);Emc(o)}s=p;u=d;return s|0}p=a+32|0;if((f[p>>2]|0)!=3)if(!(b[(f[(f[a+48>>2]|0)+16>>2]|0)+51>>0]|0))t=(ki[f[(f[h>>2]|0)+20>>2]&511](h,c,a)|0)&1;else t=1;else t=ki[f[(f[h>>2]|0)+24>>2]&511](h,c,a)|0;o=f[i>>2]|0;if(o|0?(f[o>>2]|0)!=2:0){f[e>>2]=110868;f[e+4>>2]=1634;b[e+8>>0]=0;f[e+12>>2]=a;dEb(o,e)}do switch(f[j>>2]|0){case 5:{if((f[p>>2]|0)!=3){o=ki[f[(f[h>>2]|0)+68>>2]&511](h,c,a)|0;if((o|0)<0){s=10;u=d;return s|0}s=(((($(o|1|0)|0)^31)*9|0)+73|0)>>>6;u=d;return s|0}if(!t){s=0;u=d;return s|0}o=0;i=0;while(1){l=Bg[f[(f[h>>2]|0)+168>>2]&127](h,c,a,o)|0;if((l|0)<0)v=10;else v=(((($(l|1|0)|0)^31)*9|0)+73|0)>>>6;l=v+i|0;o=o+1|0;if((o|0)==(t|0)){s=l;break}else i=l}u=d;return s|0}case 3:{if((f[p>>2]|0)!=3){i=ki[f[(f[h>>2]|0)+72>>2]&511](h,c,a)|0;o=Prc(i|1|0,J|0,1)|0;s=(((o^63)*9|0)+73|0)>>>6;u=d;return s|0}if(!t){s=0;u=d;return s|0}o=0;i=0;while(1){l=Bg[f[(f[h>>2]|0)+172>>2]&127](h,c,a,o)|0;k=Prc(l|1|0,J|0,1)|0;l=((((k^63)*9|0)+73|0)>>>6)+i|0;o=o+1|0;if((o|0)==(t|0)){s=l;break}else i=l}u=d;return s|0}case 17:{if((f[p>>2]|0)!=3){i=ki[f[(f[h>>2]|0)+68>>2]&511](h,c,a)|0;s=(((($(i<<1^i>>31|1|0)|0)^31)*9|0)+73|0)>>>6;u=d;return s|0}if(!t){s=0;u=d;return s|0}i=0;o=0;while(1){l=Bg[f[(f[h>>2]|0)+168>>2]&127](h,c,a,i)|0;k=((((($(l<<1^l>>31|1|0)|0)^31)*9|0)+73|0)>>>6)+o|0;i=i+1|0;if((i|0)==(t|0)){s=k;break}else o=k}u=d;return s|0}case 18:{if((f[p>>2]|0)!=3){o=ki[f[(f[h>>2]|0)+72>>2]&511](h,c,a)|0;i=J;k=Qrc(o|0,i|0,1)|0;l=J;g=Hrc(o|0,i|0,63)|0;i=Prc(k^g|1|0,l^J|0,1)|0;s=(((i^63)*9|0)+73|0)>>>6;u=d;return s|0}if(!t){s=0;u=d;return s|0}i=0;l=0;while(1){g=Bg[f[(f[h>>2]|0)+172>>2]&127](h,c,a,i)|0;k=J;o=Qrc(g|0,k|0,1)|0;n=J;m=Hrc(g|0,k|0,63)|0;k=Prc(o^m|1|0,n^J|0,1)|0;n=((((k^63)*9|0)+73|0)>>>6)+l|0;i=i+1|0;if((i|0)==(t|0)){s=n;break}else l=n}u=d;return s|0}case 13:{if((f[p>>2]|0)!=3){s=(((($(ki[f[(f[h>>2]|0)+76>>2]&511](h,c,a)|0|1|0)|0)^31)*9|0)+73|0)>>>6;u=d;return s|0}if(!t){s=0;u=d;return s|0}l=0;i=0;while(1){n=((((($(Bg[f[(f[h>>2]|0)+176>>2]&127](h,c,a,l)|0|1|0)|0)^31)*9|0)+73|0)>>>6)+i|0;l=l+1|0;if((l|0)==(t|0)){s=n;break}else i=n}u=d;return s|0}case 4:{if((f[p>>2]|0)!=3){i=ki[f[(f[h>>2]|0)+80>>2]&511](h,c,a)|0;l=Prc(i|1|0,J|0,1)|0;s=(((l^63)*9|0)+73|0)>>>6;u=d;return s|0}if(!t){s=0;u=d;return s|0}l=0;i=0;while(1){n=Bg[f[(f[h>>2]|0)+180>>2]&127](h,c,a,l)|0;k=Prc(n|1|0,J|0,1)|0;n=((((k^63)*9|0)+73|0)>>>6)+i|0;l=l+1|0;if((l|0)==(t|0)){s=n;break}else i=n}u=d;return s|0}case 7:{s=t<<2;u=d;return s|0}case 6:{s=t<<3;u=d;return s|0}case 15:{s=t<<2;u=d;return s|0}case 16:{s=t<<3;u=d;return s|0}case 2:{s=t<<2;u=d;return s|0}case 1:{s=t<<3;u=d;return s|0}case 8:{s=t;u=d;return s|0}case 10:{if((f[p>>2]|0)!=3){i=Bg[f[(f[h>>2]|0)+108>>2]&127](h,c,a,0)|0;s=ci[f[(f[i>>2]|0)+48>>2]&1023](i)|0;u=d;return s|0}if(!t){s=0;u=d;return s|0}i=0;l=0;while(1){n=Bg[f[(f[h>>2]|0)+208>>2]&127](h,c,a,i)|0;k=(ci[f[(f[n>>2]|0)+48>>2]&1023](n)|0)+l|0;i=i+1|0;if((i|0)==(t|0)){s=k;break}else l=k}u=d;return s|0}case 11:{if((f[p>>2]|0)!=3){l=Bg[f[(f[h>>2]|0)+108>>2]&127](h,c,a,0)|0;i=ci[f[(f[l>>2]|0)+48>>2]&1023](l)|0;s=((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)+i|0;u=d;return s|0}if(!t){s=0;u=d;return s|0}i=0;l=0;while(1){k=Bg[f[(f[h>>2]|0)+208>>2]&127](h,c,a,i)|0;n=ci[f[(f[k>>2]|0)+48>>2]&1023](k)|0;k=n+l+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0;i=i+1|0;if((i|0)==(t|0)){s=k;break}else l=k}u=d;return s|0}case 14:{if((f[p>>2]|0)!=3){l=(ki[f[(f[h>>2]|0)+100>>2]&511](h,c,a)|0)+8|0;i=f[l>>2]|0;if((i|0)<0){s=10;u=d;return s|0}s=(((($(i|1|0)|0)^31)*9|0)+73|0)>>>6;u=d;return s|0}if(!t){s=0;u=d;return s|0}i=0;l=0;while(1){k=(Bg[f[(f[h>>2]|0)+200>>2]&127](h,c,a,i)|0)+8|0;n=f[k>>2]|0;if((n|0)<0)w=10;else w=(((($(n|1|0)|0)^31)*9|0)+73|0)>>>6;n=w+l|0;i=i+1|0;if((i|0)==(t|0)){s=n;break}else l=n}u=d;return s|0}case 12:case 9:{if(!t){s=0;u=d;return s|0}l=e+11|0;i=0;n=0;while(1){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;if((f[p>>2]|0)==3)x=lh[f[(f[h>>2]|0)+212>>2]&127](h,c,a,i,e)|0;else x=Bg[f[(f[h>>2]|0)+112>>2]&127](h,c,a,e)|0;k=b[x+11>>0]|0;m=k<<24>>24<0?f[x+4>>2]|0:k&255;k=m+n+((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)|0;if((b[l>>0]|0)<0)Emc(f[e>>2]|0);i=i+1|0;if(i>>>0>=t>>>0){s=k;break}else n=k}u=d;return s|0}default:{s=0;u=d;return s|0}}while(0);return 0}function s4b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+80|0;e=d+48|0;g=d+24|0;h=d+65|0;i=d;j=d+64|0;k=f[a+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[e>>2]=110868;f[e+4>>2]=1634;b[e+8>>0]=0;f[e+12>>2]=a;dEb(k,e)}do switch(f[a+28>>2]|0){case 14:case 12:case 11:case 10:case 2:case 1:{TDb(g,3,511443,1245);QDb(h,ODb(g,511797)|0);UDb(g);l=0;u=d;return l|0}case 5:{e=FZb(c)|0;if((e|0)<0){l=10;u=d;return l|0}l=(((($(e|1|0)|0)^31)*9|0)+73|0)>>>6;u=d;return l|0}case 3:{l=((((Prc(EZb(c)|0|1|0,J|0,1)|0)^63)*9|0)+73|0)>>>6;u=d;return l|0}case 13:{l=(((($(HZb(c)|0|1|0)|0)^31)*9|0)+73|0)>>>6;u=d;return l|0}case 4:{l=((((Prc(GZb(c)|0|1|0,J|0,1)|0)^63)*9|0)+73|0)>>>6;u=d;return l|0}case 17:{e=FZb(c)|0;l=(((($(e<<1^e>>31|1|0)|0)^31)*9|0)+73|0)>>>6;u=d;return l|0}case 18:{e=EZb(c)|0;k=J;m=Qrc(e|0,k|0,1)|0;n=J;l=((((Prc(m^(Hrc(e|0,k|0,63)|0)|1|0,n^J|0,1)|0)^63)*9|0)+73|0)>>>6;u=d;return l|0}case 9:{n=hHa(c)|0;k=b[n+11>>0]|0;e=k<<24>>24<0?f[n+4>>2]|0:k&255;l=((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)+e|0;u=d;return l|0}case 6:{l=8;u=d;return l|0}case 16:{l=8;u=d;return l|0}case 8:{l=1;u=d;return l|0}case 15:case 7:{l=4;u=d;return l|0}default:{TDb(i,3,511443,1272);QDb(j,ODb(i,511809)|0);UDb(i);l=0;u=d;return l|0}}while(0);return 0}function t4b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+80|0;e=d+48|0;g=d+24|0;h=d+65|0;i=d;j=d+64|0;k=f[a+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[e>>2]=110868;f[e+4>>2]=1634;b[e+8>>0]=0;f[e+12>>2]=a;dEb(k,e)}do switch(f[a+28>>2]|0){case 10:{TDb(g,3,511443,1280);QDb(h,ODb(g,511797)|0);UDb(g);l=0;u=d;return l|0}case 5:{e=g_b(c)|0;if((e|0)<0){l=10;u=d;return l|0}l=(((($(e|1|0)|0)^31)*9|0)+73|0)>>>6;u=d;return l|0}case 3:{l=((((Prc(f_b(c)|0|1|0,J|0,1)|0)^63)*9|0)+73|0)>>>6;u=d;return l|0}case 13:{l=(((($(i_b(c)|0|1|0)|0)^31)*9|0)+73|0)>>>6;u=d;return l|0}case 4:{l=((((Prc(h_b(c)|0|1|0,J|0,1)|0)^63)*9|0)+73|0)>>>6;u=d;return l|0}case 17:{e=g_b(c)|0;l=(((($(e<<1^e>>31|1|0)|0)^31)*9|0)+73|0)>>>6;u=d;return l|0}case 18:{e=f_b(c)|0;k=J;m=Qrc(e|0,k|0,1)|0;n=J;l=((((Prc(m^(Hrc(e|0,k|0,63)|0)|1|0,n^J|0,1)|0)^63)*9|0)+73|0)>>>6;u=d;return l|0}case 9:{n=e_b(c)|0;k=b[n+11>>0]|0;e=k<<24>>24<0?f[n+4>>2]|0:k&255;l=((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)+e|0;u=d;return l|0}case 12:{e=e_b(c)|0;k=b[e+11>>0]|0;n=k<<24>>24<0?f[e+4>>2]|0:k&255;l=((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)+n|0;u=d;return l|0}case 14:{n=m_b(c)|0;if((n|0)<0){l=10;u=d;return l|0}l=(((($(n|1|0)|0)^31)*9|0)+73|0)>>>6;u=d;return l|0}case 11:{n=n_b(c)|0;k=ci[f[(f[n>>2]|0)+48>>2]&1023](n)|0;l=((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)+k|0;u=d;return l|0}case 6:{l=8;u=d;return l|0}case 16:{l=8;u=d;return l|0}case 1:{l=8;u=d;return l|0}case 8:{l=1;u=d;return l|0}case 2:case 15:case 7:{l=4;u=d;return l|0}default:{TDb(i,3,511443,1312);QDb(j,ODb(i,511809)|0);UDb(i);l=0;u=d;return l|0}}while(0);return 0}function u4b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=a+4|0;e=f[a>>2]|0;g=(f[d>>2]|0)-e>>4;h=g+1|0;if(h>>>0>268435455)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-e|0;e=j>>3;k=j>>4>>>0<134217727?(e>>>0<h>>>0?h:e):268435455;if(k>>>0>268435455){e=ye(8)|0;Jmc(e,511852);f[e>>2]=165276;Gf(e|0,26776,1555)}e=Bmc(k<<4)|0;h=e+(g<<4)|0;j=h;l=e+(k<<4)|0;f[e+(g<<4)+8>>2]=0;yZb(h,c);c=h+16|0;g=f[a>>2]|0;e=f[d>>2]|0;if((e|0)==(g|0)){m=j;n=g;o=g}else{k=e;e=j;j=h;do{k=k+-16|0;f[j+-8>>2]=0;yZb(j+-16|0,k);j=e+-16|0;e=j}while((k|0)!=(g|0));m=e;n=f[a>>2]|0;o=f[d>>2]|0}f[a>>2]=m;f[d>>2]=c;f[i>>2]=l;l=n;if((o|0)!=(l|0)){i=o;do{o=i;i=i+-16|0;if((f[o+-8>>2]|0)==9?(o=f[i>>2]|0,o|0):0){if((b[o+11>>0]|0)<0)Emc(f[o>>2]|0);Emc(o)}}while((i|0)!=(l|0))}if(!n)return;Emc(n);return}function v4b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;e=u;u=u+16|0;g=e;h=g+8|0;i=g+8|0;j=g+8|0;k=g+8|0;l=g+8|0;m=a;a=c;a:while(1){c=a;n=a+-16|0;o=m;while(1){p=o;b:while(1){q=p;r=c-q|0;s=r>>4;switch(s|0){case 2:{t=5;break a;break}case 3:{t=12;break a;break}case 4:{t=13;break a;break}case 5:{t=14;break a;break}case 1:case 0:{t=76;break a;break}default:{}}if((r|0)<112){t=16;break a}v=p+(((s|0)/2|0)<<4)|0;if((r|0)>15984){r=(s|0)/4|0;w=z4b(p,p+(r<<4)|0,v,v+(r<<4)|0,n,d)|0}else w=x4b(p,v,n,d)|0;if(w4b(d,p,v)|0){x=n;y=w;break}else z=n;while(1){z=z+-16|0;if((p|0)==(z|0))break;if(w4b(d,z,v)|0){t=44;break b}}r=p+16|0;if(w4b(d,p,n)|0)A=r;else{if((r|0)==(n|0)){t=76;break a}else B=r;while(1){if(w4b(d,p,B)|0)break;r=B+16|0;if((r|0)==(n|0)){t=76;break a}else B=r}f[i>>2]=0;yZb(g,B);yZb(B,n);yZb(n,g);if((f[i>>2]|0)==9?(r=f[g>>2]|0,r|0):0){if((b[r+11>>0]|0)<0)Emc(f[r>>2]|0);Emc(r)}A=B+16|0}if((A|0)==(n|0)){t=76;break a}else{C=n;D=A}while(1){r=D;while(1){E=r+16|0;if(w4b(d,p,r)|0){F=C;break}else r=E}do F=F+-16|0;while(w4b(d,p,F)|0);if(r>>>0>=F>>>0){p=r;continue b}f[h>>2]=0;yZb(g,r);yZb(r,F);yZb(F,g);if((f[h>>2]|0)==9?(s=f[g>>2]|0,s|0):0){if((b[s+11>>0]|0)<0)Emc(f[s>>2]|0);Emc(s)}C=F;D=E}}if((t|0)==44){t=0;f[l>>2]=0;yZb(g,p);yZb(p,z);yZb(z,g);if((f[l>>2]|0)==9?(s=f[g>>2]|0,s|0):0){if((b[s+11>>0]|0)<0)Emc(f[s>>2]|0);Emc(s)}x=z;y=w+1|0}s=p+16|0;c:do if(s>>>0<x>>>0){G=v;H=x;I=s;J=y;while(1){K=I;while(1){L=K+16|0;if(w4b(d,K,G)|0)K=L;else{M=H;break}}do M=M+-16|0;while(!(w4b(d,M,G)|0));if(K>>>0>M>>>0){N=G;O=J;P=K;break c}f[k>>2]=0;yZb(g,K);yZb(K,M);yZb(M,g);if((f[k>>2]|0)==9?(r=f[g>>2]|0,r|0):0){if((b[r+11>>0]|0)<0)Emc(f[r>>2]|0);Emc(r)}G=(G|0)==(K|0)?M:G;H=M;I=L;J=J+1|0}}else{N=v;O=y;P=s}while(0);if((P|0)!=(N|0)?w4b(d,N,P)|0:0){f[j>>2]=0;yZb(g,P);yZb(P,N);yZb(N,g);if((f[j>>2]|0)==9?(s=f[g>>2]|0,s|0):0){if((b[s+11>>0]|0)<0)Emc(f[s>>2]|0);Emc(s)}Q=O+1|0}else Q=O;if(!Q){R=B4b(p,P,d)|0;s=P+16|0;if(B4b(s,a,d)|0){t=75;break}if(R){o=s;continue}}s=P;if((s-q|0)>=(c-s|0)){t=74;break}v4b(p,P,d);o=P+16|0}if((t|0)==74){t=0;v4b(P+16|0,a,d);m=p;a=P;continue}else if((t|0)==75){t=0;if(R){t=76;break}else{m=p;a=P;continue}}}if((t|0)==5){if(!(w4b(d,n,p)|0)){u=e;return}P=g+8|0;f[P>>2]=0;yZb(g,p);yZb(p,n);yZb(n,g);if((f[P>>2]|0)==9?(P=f[g>>2]|0,P|0):0){if((b[P+11>>0]|0)<0)Emc(f[P>>2]|0);Emc(P)}u=e;return}else if((t|0)==12){x4b(p,p+16|0,n,d)|0;u=e;return}else if((t|0)==13){y4b(p,p+16|0,p+32|0,n,d)|0;u=e;return}else if((t|0)==14){z4b(p,p+16|0,p+32|0,p+48|0,n,d)|0;u=e;return}else if((t|0)==16){A4b(p,a,d);u=e;return}else if((t|0)==76){u=e;return}}function w4b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;a=u;u=u+32|0;e=a;g=a+24|0;switch(FGa(c)|0){case 9:{h=hHa(c)|0;i=hHa(d)|0;j=b[i+11>>0]|0;k=j<<24>>24<0;l=k?f[i+4>>2]|0:j&255;j=b[h+11>>0]|0;m=j<<24>>24<0;n=m?f[h+4>>2]|0:j&255;j=l>>>0<n>>>0;o=j?l:n;if((o|0)!=0?(p=gac(m?f[h>>2]|0:h,k?f[i>>2]|0:i,o)|0,(p|0)!=0):0)q=p;else q=n>>>0<l>>>0?-1:j&1;r=(q|0)<0;u=a;return r|0}case 2:{q=EZb(c)|0;j=J;l=EZb(d)|0;n=J;r=(j|0)<(n|0)|(j|0)==(n|0)&q>>>0<l>>>0;u=a;return r|0}case 1:{r=(FZb(c)|0)<(FZb(d)|0);u=a;return r|0}case 4:{l=GZb(c)|0;q=J;n=GZb(d)|0;j=J;r=q>>>0<j>>>0|(q|0)==(j|0)&l>>>0<n>>>0;u=a;return r|0}case 3:{r=(HZb(c)|0)>>>0<(HZb(d)|0)>>>0;u=a;return r|0}case 7:{n=IZb(c)|0;r=(IZb(d)|0)&(n^1);u=a;return r|0}default:{TDb(e,2,511443,936);QDb(g,ODb(e,511825)|0);UDb(e);r=1;u=a;return r|0}}return 0}function x4b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+16|0;h=g;i=w4b(e,c,a)|0;j=w4b(e,d,c)|0;if(!i){if(!j){k=0;u=g;return k|0}i=h+8|0;f[i>>2]=0;yZb(h,c);yZb(c,d);yZb(d,h);if((f[i>>2]|0)==9?(i=f[h>>2]|0,i|0):0){if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);Emc(i)}if(!(w4b(e,c,a)|0)){k=1;u=g;return k|0}i=h+8|0;f[i>>2]=0;yZb(h,a);yZb(a,c);yZb(c,h);if((f[i>>2]|0)==9?(i=f[h>>2]|0,i|0):0){if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);Emc(i)}k=2;u=g;return k|0}if(j){j=h+8|0;f[j>>2]=0;yZb(h,a);yZb(a,d);yZb(d,h);if((f[j>>2]|0)==9?(j=f[h>>2]|0,j|0):0){if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);Emc(j)}k=1;u=g;return k|0}j=h+8|0;f[j>>2]=0;yZb(h,a);yZb(a,c);yZb(c,h);if((f[j>>2]|0)==9?(j=f[h>>2]|0,j|0):0){if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);Emc(j)}if(!(w4b(e,d,c)|0)){k=1;u=g;return k|0}e=h+8|0;f[e>>2]=0;yZb(h,c);yZb(c,d);yZb(d,h);if((f[e>>2]|0)==9?(e=f[h>>2]|0,e|0):0){if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);Emc(e)}k=2;u=g;return k|0}function y4b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h;j=x4b(a,c,d,g)|0;if(!(w4b(g,e,d)|0)){k=j;u=h;return k|0}l=i+8|0;f[l>>2]=0;yZb(i,d);yZb(d,e);yZb(e,i);if((f[l>>2]|0)==9?(l=f[i>>2]|0,l|0):0){if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0);Emc(l)}if(!(w4b(g,d,c)|0)){k=j+1|0;u=h;return k|0}l=i+8|0;f[l>>2]=0;yZb(i,c);yZb(c,d);yZb(d,i);if((f[l>>2]|0)==9?(l=f[i>>2]|0,l|0):0){if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0);Emc(l)}if(!(w4b(g,c,a)|0)){k=j+2|0;u=h;return k|0}g=i+8|0;f[g>>2]=0;yZb(i,a);yZb(a,c);yZb(c,i);if((f[g>>2]|0)==9?(g=f[i>>2]|0,g|0):0){if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);Emc(g)}k=j+3|0;u=h;return k|0}function z4b(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;i=u;u=u+16|0;j=i;k=y4b(a,c,d,e,h)|0;if(!(w4b(h,g,e)|0)){l=k;u=i;return l|0}m=j+8|0;f[m>>2]=0;yZb(j,e);yZb(e,g);yZb(g,j);if((f[m>>2]|0)==9?(m=f[j>>2]|0,m|0):0){if((b[m+11>>0]|0)<0)Emc(f[m>>2]|0);Emc(m)}if(!(w4b(h,e,d)|0)){l=k+1|0;u=i;return l|0}m=j+8|0;f[m>>2]=0;yZb(j,d);yZb(d,e);yZb(e,j);if((f[m>>2]|0)==9?(m=f[j>>2]|0,m|0):0){if((b[m+11>>0]|0)<0)Emc(f[m>>2]|0);Emc(m)}if(!(w4b(h,d,c)|0)){l=k+2|0;u=i;return l|0}m=j+8|0;f[m>>2]=0;yZb(j,c);yZb(c,d);yZb(d,j);if((f[m>>2]|0)==9?(m=f[j>>2]|0,m|0):0){if((b[m+11>>0]|0)<0)Emc(f[m>>2]|0);Emc(m)}if(!(w4b(h,c,a)|0)){l=k+3|0;u=i;return l|0}h=j+8|0;f[h>>2]=0;yZb(j,a);yZb(a,c);yZb(c,j);if((f[h>>2]|0)==9?(h=f[j>>2]|0,h|0):0){if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);Emc(h)}l=k+4|0;u=i;return l|0}function A4b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+16|0;g=e;h=a+32|0;x4b(a,a+16|0,h,d)|0;i=a+48|0;if((i|0)==(c|0)){u=e;return}j=g+8|0;k=i;i=h;while(1){if(w4b(d,k,i)|0){f[j>>2]=0;yZb(g,k);h=i;l=k;while(1){yZb(l,h);if((h|0)==(a|0)){m=a;break}n=h+-16|0;if(w4b(d,g,n)|0){o=h;h=n;l=o}else{m=h;break}}yZb(m,g);if((f[j>>2]|0)==9?(h=f[g>>2]|0,h|0):0){if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);Emc(h)}}h=k+16|0;if((h|0)==(c|0))break;else{l=k;k=h;i=l}}u=e;return}function B4b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;e=u;u=u+16|0;g=e;switch(c-a>>4|0){case 2:{h=c+-16|0;if(!(w4b(d,h,a)|0)){i=1;u=e;return i|0}j=g+8|0;f[j>>2]=0;yZb(g,a);yZb(a,h);yZb(h,g);if((f[j>>2]|0)==9?(j=f[g>>2]|0,j|0):0){if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);Emc(j)}i=1;u=e;return i|0}case 3:{x4b(a,a+16|0,c+-16|0,d)|0;i=1;u=e;return i|0}case 4:{y4b(a,a+16|0,a+32|0,c+-16|0,d)|0;i=1;u=e;return i|0}case 5:{z4b(a,a+16|0,a+32|0,a+48|0,c+-16|0,d)|0;i=1;u=e;return i|0}case 1:case 0:{i=1;u=e;return i|0}default:{j=a+32|0;x4b(a,a+16|0,j,d)|0;h=a+48|0;a:do if((h|0)==(c|0)){k=1;l=0}else{m=g+8|0;n=h;o=0;p=j;while(1){if(w4b(d,n,p)|0){f[m>>2]=0;yZb(g,n);q=p;r=n;while(1){yZb(r,q);if((q|0)==(a|0)){s=a;break}t=q+-16|0;if(w4b(d,g,t)|0){v=q;q=t;r=v}else{s=q;break}}yZb(s,g);q=o+1|0;r=(q|0)==8;v=(n+16|0)==(c|0);if((f[m>>2]|0)==9?(t=f[g>>2]|0,t|0):0){if((b[t+11>>0]|0)<0)Emc(f[t>>2]|0);Emc(t)}if(r){k=0;l=v;break a}else w=q}else w=o;q=n+16|0;if((q|0)==(c|0)){k=1;l=0;break}else{v=n;n=q;o=w;p=v}}}while(0);i=k|l;u=e;return i|0}}return 0}function C4b(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;c=u;u=u+16|0;d=c+4|0;e=c;xh[f[(f[a>>2]|0)+96>>2]&2047](d,a);g=f[d>>2]|0;h=ci[f[(f[a>>2]|0)+92>>2]&1023](a)|0;f[d>>2]=0;i=d+4|0;f[i>>2]=0;f[d+8>>2]=0;j=g+16|0;a:do if(b[(f[j>>2]|0)+51>>0]|0){k=g+52|0;l=f[k>>2]|0;if((l|0)>0){m=g+20|0;n=d+8|0;o=0;p=l;l=0;q=0;while(1){r=(f[m>>2]|0)+(o*88|0)|0;f[e>>2]=r;if((l|0)==(q|0)){LGb(d,e);s=f[k>>2]|0}else{f[l>>2]=r;f[i>>2]=(f[i>>2]|0)+4;s=p}r=o+1|0;if((r|0)>=(s|0))break a;o=r;p=s;l=f[i>>2]|0;q=f[n>>2]|0}}}else Yh[f[(f[h>>2]|0)+64>>2]&511](h,a,d);while(0);s=f[d>>2]|0;if((f[i>>2]|0)==(s|0))t=0;else{e=0;g=0;n=s;while(1){s=(D4b(f[n+(g<<2)>>2]|0,a)|0)+e|0;g=g+1|0;n=f[d>>2]|0;if(g>>>0>=(f[i>>2]|0)-n>>2>>>0){t=s;break}else e=s}}e=(b[(f[j>>2]|0)+48>>0]|0)==0;j=Sh[f[(f[h>>2]|0)+8>>2]&511](h,a)|0;if(!e){e=f[j>>2]|0;a=f[37446]|0;if((e|0)!=0?(h=f[e>>2]|0,n=h,g=(f[e+4>>2]|0)-h|0,h=g>>4,(g|0)>0):0){g=0;e=0;while(1){if((f[n+(e<<4)+4>>2]|0)==3){s=g+a+((((($(f[n+(e<<4)>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)|0;q=f[n+(e<<4)+8>>2]|0;l=b[q+11>>0]|0;if(l<<24>>24<0)v=f[q+4>>2]|0;else v=l&255;w=s+v+((((($(v|1|0)|0)^31)*9|0)+73|0)>>>6)|0}else w=g;e=e+1|0;if((e|0)>=(h|0)){x=w;break}else g=w}}else x=0}else x=h4b(j)|0;j=x+t|0;t=f[d>>2]|0;if(!t){u=c;return j|0}d=f[i>>2]|0;if((d|0)!=(t|0))f[i>>2]=d+(~((d+-4-t|0)>>>2)<<2);Emc(t);u=c;return j|0}function D4b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+16|0;e=d;g=ci[f[(f[c>>2]|0)+92>>2]&1023](c)|0;if(b[a+38>>0]|0?b[(f[(f[a+48>>2]|0)+16>>2]|0)+48>>0]|0:0){h=f[a+24>>2]|0;if(h|0?(f[h>>2]|0)!=2:0){f[e>>2]=110868;f[e+4>>2]=1634;b[e+8>>0]=0;f[e+12>>2]=a;dEb(h,e)}if((f[149940+(f[a+28>>2]<<2)>>2]|0)==10?(f[a+32>>2]|0)!=3:0){h=ci[f[(f[c>>2]|0)+92>>2]&1023](c)|0;i=((((($(f[a+40>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)+(f[37446]|0)|0;j=Bg[f[(f[h>>2]|0)+108>>2]&127](h,c,a,0)|0;h=ci[f[(f[j>>2]|0)+48>>2]&1023](j)|0;k=i+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0;u=d;return k|0}}if((f[a+32>>2]|0)!=3)if(!(b[(f[(f[a+48>>2]|0)+16>>2]|0)+51>>0]|0))l=(ki[f[(f[g>>2]|0)+20>>2]&511](g,c,a)|0)&1;else l=1;else l=ki[f[(f[g>>2]|0)+24>>2]&511](g,c,a)|0;g=r4b(a,c)|0;if(fJb(a)|0){if(!g){k=0;u=d;return k|0}k=((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)+g+((((($(f[a+40>>2]<<3|1|0)|0)^31)*9|0)+73|0)>>>6)|0;u=d;return k|0}c=f[a+40>>2]|0;h=f[a+24>>2]|0;if(h|0?(f[h>>2]|0)!=2:0){f[e>>2]=110868;f[e+4>>2]=1634;b[e+8>>0]=0;f[e+12>>2]=a;dEb(h,e)}k=(Y((((($(c<<3|1|0)|0)^31)*9|0)+73|0)>>>6<<((f[a+28>>2]|0)==10&1),l)|0)+g|0;u=d;return k|0}function E4b(a){a=a|0;return}function F4b(a){a=a|0;Emc(a);return}function G4b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=f[a+4>>2]|0;a=f[222994]|0;if(!a){e=0;return e|0}g=(d*65535|0)+b|0;h=f[a+4>>2]|0;if(!h){e=0;return e|0}i=h+-1|0;j=(i&h|0)==0;if(!j)if(g>>>0<h>>>0)k=g;else k=(g>>>0)%(h>>>0)|0;else k=i&g;l=f[(f[a>>2]|0)+(k<<2)>>2]|0;if(!l){e=0;return e|0}a=f[l>>2]|0;if(!a){e=0;return e|0}a:do if(j){l=a;while(1){m=f[l+4>>2]|0;n=(m|0)==(g|0);if(!(n|(m&i|0)==(k|0))){e=0;o=23;break}if((n?(f[l+8>>2]|0)==(d|0):0)?(f[l+12>>2]|0)==(b|0):0){p=l;break a}l=f[l>>2]|0;if(!l){e=0;o=23;break}}if((o|0)==23)return e|0}else{l=a;while(1){n=f[l+4>>2]|0;if((n|0)==(g|0)){if((f[l+8>>2]|0)==(d|0)?(f[l+12>>2]|0)==(b|0):0){p=l;break a}}else{if(n>>>0<h>>>0)q=n;else q=(n>>>0)%(h>>>0)|0;if((q|0)!=(k|0)){e=0;o=23;break}}l=f[l>>2]|0;if(!l){e=0;o=23;break}}if((o|0)==23)return e|0}while(0);o=p+16|0;f[c>>2]=f[o>>2];f[c+4>>2]=f[o+4>>2];f[c+8>>2]=f[o+8>>2];f[c+12>>2]=f[o+12>>2];e=1;return e|0}function H4b(a,b){a=a|0;b=b|0;f[a+4>>2]=0;f[a+8>>2]=0;f[a>>2]=a+4;f[a+12>>2]=b;if(!b)return;I4b(b,a);return}function I4b(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1678);return}function J4b(a,b){a=a|0;b=b|0;if(!b)return;else{J4b(a,f[b>>2]|0);J4b(a,f[b+4>>2]|0);Emc(b);return}}function K4b(a){a=a|0;J4b(a,f[a+4>>2]|0);return}function L4b(a){a=a|0;f[a+4>>2]=0;f[a+8>>2]=0;f[a>>2]=a+4;f[a+12>>2]=0;return}function M4b(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;if(!(f[a+12>>2]|0)){b=f[a>>2]|0;c=a+4|0;if((b|0)==(c|0))d=c;else{e=b;while(1){N4b(e+24|0);b=f[e+4>>2]|0;if(!b){g=e+8|0;h=f[g>>2]|0;if((f[h>>2]|0)==(e|0))i=h;else{h=g;do{g=f[h>>2]|0;h=g+8|0;j=f[h>>2]|0}while((f[j>>2]|0)!=(g|0));i=j}}else{h=b;while(1){j=f[h>>2]|0;if(!j)break;else h=j}i=h}if((i|0)==(c|0)){d=c;break}else e=i}}}else d=a+4|0;J4b(a,f[d>>2]|0);return}function N4b(a){a=a|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=f[149788+(h[a+8>>0]<<2)>>2]|0;if(!(b[a+9>>0]|0))switch(c|0){case 9:{d=f[a>>2]|0;if(!d)return;if((b[d+11>>0]|0)<0)Emc(f[d>>2]|0);Emc(d);return}case 10:{d=f[a>>2]|0;e=(d|0)==0;if(!(b[a+10>>0]&16)){if(e)return;ai[f[(f[d>>2]|0)+4>>2]&2047](d);return}else{if(e)return;ai[f[(f[d>>2]|0)+4>>2]&2047](d);return}break}default:return}do switch(c|0){case 1:{d=f[a>>2]|0;if(!d)return;e=f[d+8>>2]|0;if(e|0?(f[e>>2]|0)==0:0)Emc(e);Emc(d);return}case 2:{d=f[a>>2]|0;if(!d)return;e=f[d+8>>2]|0;if(e|0?(f[e>>2]|0)==0:0)Emc(e);Emc(d);return}case 3:{d=f[a>>2]|0;if(!d)return;e=f[d+8>>2]|0;if(e|0?(f[e>>2]|0)==0:0)Emc(e);Emc(d);return}case 4:{d=f[a>>2]|0;if(!d)return;e=f[d+8>>2]|0;if(e|0?(f[e>>2]|0)==0:0)Emc(e);Emc(d);return}case 6:{d=f[a>>2]|0;if(!d)return;e=f[d+8>>2]|0;if(e|0?(f[e>>2]|0)==0:0)Emc(e);Emc(d);return}case 5:{d=f[a>>2]|0;if(!d)return;e=f[d+8>>2]|0;if(e|0?(f[e>>2]|0)==0:0)Emc(e);Emc(d);return}case 7:{d=f[a>>2]|0;if(!d)return;e=f[d+8>>2]|0;if(e|0?(f[e>>2]|0)==0:0)Emc(e);Emc(d);return}case 8:{d=f[a>>2]|0;if(!d)return;e=f[d+8>>2]|0;if(e|0?(f[e>>2]|0)==0:0)Emc(e);Emc(d);return}case 9:{d=f[a>>2]|0;if(!d)return;e=d+12|0;g=f[e>>2]|0;if(g|0?(f[d>>2]|0)==0:0){i=f[g>>2]|0;if((i|0)>0){j=0;do{k=f[g+4+(j<<2)>>2]|0;if(k|0){if((b[k+11>>0]|0)<0)Emc(f[k>>2]|0);Emc(k)}j=j+1|0}while((j|0)!=(i|0));l=f[e>>2]|0}else l=g;Emc(l)}Emc(d);return}case 10:{i=f[a>>2]|0;if(!i)return;j=i+12|0;k=f[j>>2]|0;if(k|0?(f[i>>2]|0)==0:0){m=f[k>>2]|0;if((m|0)>0){n=0;do{o=f[k+4+(n<<2)>>2]|0;if(o|0)ai[f[(f[o>>2]|0)+4>>2]&2047](o);n=n+1|0}while((n|0)!=(m|0));p=f[j>>2]|0}else p=k;Emc(p)}Emc(i);return}default:return}while(0)}function O4b(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=a+4|0;a=f[d>>2]|0;if(!a){e=0;return e|0}else{g=d;h=a}a:while(1){a=h;while(1){if((f[a+16>>2]|0)>=(c|0))break;i=f[a+4>>2]|0;if(!i){j=g;break a}else a=i}h=f[a>>2]|0;if(!h){j=a;break}else g=a}if((j|0)==(d|0)){e=0;return e|0}d=j+16|0;if((f[d>>2]|0)>(c|0)){e=0;return e|0}e=(b[d+18>>0]&1)==0;return e|0}function P4b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+4|0;a=f[c>>2]|0;if(!a){d=0;return d|0}else{e=c;g=a}a:while(1){a=g;while(1){if((f[a+16>>2]|0)>=(b|0))break;h=f[a+4>>2]|0;if(!h){i=e;break a}else a=h}g=f[a>>2]|0;if(!g){i=a;break}else e=a}if((i|0)==(c|0)){d=0;return d|0}if((f[i+16>>2]|0)>(b|0)){d=0;return d|0}d=Q4b(i+24|0)|0;return d|0}function Q4b(a){a=a|0;var b=0,c=0,d=0;b=u;u=u+32|0;c=b;do switch(f[149788+((h[a+8>>0]|0)<<2)>>2]|0){case 1:{d=f[f[a>>2]>>2]|0;break}case 2:{d=f[f[a>>2]>>2]|0;break}case 3:{d=f[f[a>>2]>>2]|0;break}case 4:{d=f[f[a>>2]>>2]|0;break}case 6:{d=f[f[a>>2]>>2]|0;break}case 5:{d=f[f[a>>2]>>2]|0;break}case 7:{d=f[f[a>>2]>>2]|0;break}case 8:{d=f[f[a>>2]>>2]|0;break}case 9:{d=f[(f[a>>2]|0)+4>>2]|0;break}case 10:{d=f[(f[a>>2]|0)+4>>2]|0;break}default:{TDb(c,3,512019,1703);QDb(b+24|0,ODb(c,512111)|0);UDb(c);d=0}}while(0);u=b;return d|0}function R4b(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=a+4|0;a=f[c>>2]|0;if(!a)return;else{d=c;e=a}a:while(1){a=e;while(1){if((f[a+16>>2]|0)>=(b|0))break;g=f[a+4>>2]|0;if(!g){h=d;break a}else a=g}e=f[a>>2]|0;if(!e){h=a;break}else d=a}if((h|0)==(c|0))return;if((f[h+16>>2]|0)>(b|0))return;S4b(h+24|0);return}function S4b(a){a=a|0;var c=0,d=0,e=0,g=0,i=0,j=0;if(!(b[a+9>>0]|0)){c=a+10|0;d=b[c>>0]|0;if(d&1)return;a:do switch(f[149788+(h[a+8>>0]<<2)>>2]|0){case 9:{e=f[a>>2]|0;g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break a}else{b[e>>0]=0;b[g>>0]=0;break a}break}case 10:{g=f[a>>2]|0;e=f[g>>2]|0;if(!(d&16)){ai[f[e+28>>2]&2047](g);break a}else{ai[f[e+52>>2]&2047](g);break a}break}default:{}}while(0);b[c>>0]=b[c>>0]&-16|1;return}do switch(f[149788+(h[a+8>>0]<<2)>>2]|0){case 1:{f[f[a>>2]>>2]=0;return}case 2:{f[f[a>>2]>>2]=0;return}case 3:{f[f[a>>2]>>2]=0;return}case 4:{f[f[a>>2]>>2]=0;return}case 6:{f[f[a>>2]>>2]=0;return}case 5:{f[f[a>>2]>>2]=0;return}case 7:{f[f[a>>2]>>2]=0;return}case 8:{f[f[a>>2]>>2]=0;return}case 9:{c=f[a>>2]|0;d=c+4|0;g=f[d>>2]|0;if((g|0)<=0)return;e=f[c+12>>2]|0;c=0;do{i=f[e+4+(c<<2)>>2]|0;c=c+1|0;j=i+11|0;if((b[j>>0]|0)<0){b[f[i>>2]>>0]=0;f[i+4>>2]=0}else{b[i>>0]=0;b[j>>0]=0}}while((c|0)!=(g|0));f[d>>2]=0;return}case 10:{g=f[a>>2]|0;c=g+4|0;e=f[c>>2]|0;if((e|0)<=0)return;j=f[g+12>>2]|0;g=0;do{i=f[j+4+(g<<2)>>2]|0;g=g+1|0;ai[f[(f[i>>2]|0)+28>>2]&2047](i)}while((g|0)!=(e|0));f[c>>2]=0;return}default:return}while(0)}function T4b(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=a+4|0;a=f[e>>2]|0;if(!a){g=d;return g|0}else{h=e;i=a}a:while(1){a=i;while(1){if((f[a+16>>2]|0)>=(c|0))break;j=f[a+4>>2]|0;if(!j){k=h;break a}else a=j}i=f[a>>2]|0;if(!i){k=a;break}else h=a}if((k|0)==(e|0)){g=d;return g|0}e=k+16|0;if((f[e>>2]|0)>(c|0)){g=d;return g|0}if(b[e+18>>0]&1){g=d;return g|0}g=f[k+24>>2]|0;return g|0}function U4b(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;h=u;u=u+32|0;i=h;j=i+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;j=a+4|0;k=f[j>>2]|0;do if(k){l=a+4|0;m=k;while(1){n=f[m+16>>2]|0;if((n|0)>(c|0)){o=f[m>>2]|0;if(!o){p=5;break}else{q=m;r=o}}else{if((n|0)>=(c|0)){p=10;break}s=m+4|0;n=f[s>>2]|0;if(!n){p=9;break}else{q=s;r=n}}l=q;m=r}if((p|0)==5){t=m;v=m;break}else if((p|0)==9){t=s;v=m;break}else if((p|0)==10){t=l;v=m;break}}else{t=j;v=j}while(0);j=f[t>>2]|0;if(j|0){f[j+40>>2]=g;w=j+24|0;x=w+10|0;y=b[x>>0]|0;z=y&-16;b[x>>0]=z;f[w>>2]=e;u=h;return}j=Bmc(48)|0;f[j+16>>2]=c;c=j+20|0;f[c>>2]=f[i>>2];f[c+4>>2]=f[i+4>>2];f[c+8>>2]=f[i+8>>2];f[c+12>>2]=f[i+12>>2];f[c+16>>2]=f[i+16>>2];f[c+20>>2]=f[i+20>>2];f[c+24>>2]=f[i+24>>2];f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=v;f[t>>2]=j;v=f[f[a>>2]>>2]|0;if(!v)A=j;else{f[a>>2]=v;A=f[t>>2]|0}RS(f[a+4>>2]|0,A);A=a+8|0;f[A>>2]=(f[A>>2]|0)+1;f[j+40>>2]=g;b[j+32>>0]=d;b[j+33>>0]=0;w=j+24|0;x=w+10|0;y=b[x>>0]|0;z=y&-16;b[x>>0]=z;f[w>>2]=e;u=h;return}function V4b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;e=u;u=u+32|0;g=e;h=g+4|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;h=a+4|0;i=f[h>>2]|0;do if(i){j=a+4|0;k=i;while(1){l=f[k+16>>2]|0;if((l|0)>(b|0)){m=f[k>>2]|0;if(!m){n=5;break}else{o=k;p=m}}else{if((l|0)>=(b|0)){n=10;break}q=k+4|0;l=f[q>>2]|0;if(!l){n=9;break}else{o=q;p=l}}j=o;k=p}if((n|0)==5){r=k;s=k;break}else if((n|0)==9){r=q;s=k;break}else if((n|0)==10){r=j;s=k;break}}else{r=h;s=h}while(0);h=f[r>>2]|0;if(h|0){t=h;v=0;w=t+24|0;f[d>>2]=w;x=t+40|0;f[x>>2]=c;u=e;return v|0}h=Bmc(48)|0;f[h+16>>2]=b;b=h+20|0;f[b>>2]=f[g>>2];f[b+4>>2]=f[g+4>>2];f[b+8>>2]=f[g+8>>2];f[b+12>>2]=f[g+12>>2];f[b+16>>2]=f[g+16>>2];f[b+20>>2]=f[g+20>>2];f[b+24>>2]=f[g+24>>2];f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=s;f[r>>2]=h;s=f[f[a>>2]>>2]|0;if(!s)y=h;else{f[a>>2]=s;y=f[r>>2]|0}RS(f[a+4>>2]|0,y);y=a+8|0;f[y>>2]=(f[y>>2]|0)+1;t=h;v=1;w=t+24|0;f[d>>2]=w;x=t+40|0;f[x>>2]=c;u=e;return v|0}function W4b(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+32|0;e=d;g=d+24|0;h=a+4|0;a=f[h>>2]|0;if(a){i=h;j=a;a:while(1){a=j;while(1){if((f[a+16>>2]|0)>=(b|0))break;k=f[a+4>>2]|0;if(!k){l=i;break a}else a=k}j=f[a>>2]|0;if(!j){l=a;break}else i=a}if((l|0)!=(h|0)?(f[l+16>>2]|0)<=(b|0):0)m=l;else n=8}else n=8;if((n|0)==8){TDb(e,3,512019,326);QDb(g,ODb(ODb(e,512127)|0,512169)|0);UDb(e);m=h}u=d;return f[(f[(f[m+24>>2]|0)+8>>2]|0)+4+(c<<2)>>2]|0}function X4b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=u;u=u+32|0;g=e;h=e+24|0;i=a+4|0;a=f[i>>2]|0;if(a|0){j=i;k=a;a:while(1){a=k;while(1){if((f[a+16>>2]|0)>=(b|0))break;l=f[a+4>>2]|0;if(!l){m=j;break a}else a=l}k=f[a>>2]|0;if(!k){m=a;break}else j=a}if((m|0)!=(i|0)?(f[m+16>>2]|0)<=(b|0):0){n=m;o=n+24|0;p=f[o>>2]|0;q=p+8|0;r=f[q>>2]|0;s=r+4+(c<<2)|0;f[s>>2]=d;u=e;return}}TDb(g,3,512019,326);QDb(h,ODb(ODb(g,512127)|0,512169)|0);UDb(g);n=i;o=n+24|0;p=f[o>>2]|0;q=p+8|0;r=f[q>>2]|0;s=r+4+(c<<2)|0;f[s>>2]=d;u=e;return}function Y4b(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;i=u;u=u+32|0;j=i;k=j+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;k=a+4|0;l=f[k>>2]|0;do if(l){m=a+4|0;n=l;while(1){o=f[n+16>>2]|0;if((o|0)>(c|0)){p=f[n>>2]|0;if(!p){q=5;break}else{r=n;s=p}}else{if((o|0)>=(c|0)){q=10;break}t=n+4|0;o=f[t>>2]|0;if(!o){q=9;break}else{r=t;s=o}}m=r;n=s}if((q|0)==5){v=n;w=n;break}else if((q|0)==9){v=t;w=n;break}else if((q|0)==10){v=m;w=n;break}}else{v=k;w=k}while(0);k=f[v>>2]|0;if(!k){q=Bmc(48)|0;f[q+16>>2]=c;c=q+20|0;f[c>>2]=f[j>>2];f[c+4>>2]=f[j+4>>2];f[c+8>>2]=f[j+8>>2];f[c+12>>2]=f[j+12>>2];f[c+16>>2]=f[j+16>>2];f[c+20>>2]=f[j+20>>2];f[c+24>>2]=f[j+24>>2];f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=w;f[v>>2]=q;w=f[f[a>>2]>>2]|0;if(!w)x=q;else{f[a>>2]=w;x=f[v>>2]|0}RS(f[a+4>>2]|0,x);x=a+8|0;f[x>>2]=(f[x>>2]|0)+1;x=q+24|0;f[q+40>>2]=h;b[q+32>>0]=d;b[q+33>>0]=1;b[q+35>>0]=e&1;e=f[a+12>>2]|0;if(!e){a=Bmc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;y=a}else{a=e+64|0;if(f[a>>2]|0)pBb(e,25112,16);q=oBb(e,16,1679)|0;f[q>>2]=0;f[q+4>>2]=0;d=q+8|0;f[d>>2]=0;if(f[a>>2]|0)pBb(e,26896,8);a=nBb(e,8)|0;f[d>>2]=a;f[a>>2]=e;y=q}f[x>>2]=y;z=x}else{f[k+40>>2]=h;z=k+24|0}k=f[z>>2]|0;z=f[k>>2]|0;if((z|0)!=(f[k+4>>2]|0)){A=z;B=k+8|0;C=f[B>>2]|0;D=A+1|0;f[k>>2]=D;E=C+4+(A<<2)|0;f[E>>2]=g;u=i;return}eFa(k,z+1|0);A=f[k>>2]|0;B=k+8|0;C=f[B>>2]|0;D=A+1|0;f[k>>2]=D;E=C+4+(A<<2)|0;f[E>>2]=g;u=i;return}function Z4b(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(!b)return;if(f[b>>2]|0)return;Emc(b);return}function _4b(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;g=a+4|0;a=f[g>>2]|0;if(a){h=g;i=a;a:while(1){a=i;while(1){if((f[a+16>>2]|0)>=(c|0))break;j=f[a+4>>2]|0;if(!j){k=h;break a}else a=j}i=f[a>>2]|0;if(!i){k=a;break}else h=a}if(((k|0)!=(g|0)?(g=k+16|0,(f[g>>2]|0)<=(c|0)):0)?(b[g+18>>0]&1)==0:0){g=k+24|0;l=f[g+4>>2]|0;m=f[g>>2]|0}else{l=e;m=d}}else{l=e;m=d}J=l;return m|0}
function Toa(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0,E=0.0;i=f[a+20>>2]|0;j=f[a+32>>2]|0;k=(f[a+24>>2]|0)-i|0;a=k>>3;l=Y(h,g)|0;if((e|0)<=0)return;g=(k|0)>0;m=l+-4|0;o=(l|0)<4;p=(k|0)>8;k=l&-4;q=e;e=b;b=c;while(1){if(g){c=0;do{r=(f[e+(f[i+(c<<3)+4>>2]<<2)>>2]|0)+((Y(f[i+(c<<3)>>2]|0,h)|0)<<2)|0;f[j+(c<<2)>>2]=r;c=c+1|0}while((c|0)<(a|0))}a:do if(o)s=0;else{c=f[j>>2]|0;if(p)t=0;else{r=0;while(1){u=c+(r<<2)|0;v=f[u+4>>2]|0;w=f[u+8>>2]|0;x=f[u+12>>2]|0;f[b+(r<<2)>>2]=f[u>>2];f[b+((r|1)<<2)>>2]=v;f[b+((r|2)<<2)>>2]=w;f[b+((r|3)<<2)>>2]=x;r=r+4|0;if((r|0)>(m|0)){s=k;break a}}}do{r=c+(t<<2)|0;y=+n[r+12>>2];z=+n[r+8>>2];A=+n[r+4>>2];B=+n[r>>2];r=1;do{x=(f[j+(r<<2)>>2]|0)+(t<<2)|0;C=+n[x>>2];B=C<B?C:B;C=+n[x+4>>2];A=C<A?C:A;C=+n[x+8>>2];z=C<z?C:z;C=+n[x+12>>2];y=C<y?C:y;r=r+1|0}while((r|0)<(a|0));n[b+(t<<2)>>2]=B;n[b+((t|1)<<2)>>2]=A;n[b+((t|2)<<2)>>2]=z;n[b+((t|3)<<2)>>2]=y;t=t+4|0}while((t|0)<=(m|0));s=k}while(0);b:do if((s|0)<(l|0)){c=f[j>>2]|0;if(p)D=s;else{r=s;while(1){f[b+(r<<2)>>2]=f[c+(r<<2)>>2];r=r+1|0;if((r|0)==(l|0))break b}}do{C=+n[c+(D<<2)>>2];r=1;do{E=+n[(f[j+(r<<2)>>2]|0)+(D<<2)>>2];C=E<C?E:C;r=r+1|0}while((r|0)<(a|0));n[b+(D<<2)>>2]=C;D=D+1|0}while((D|0)!=(l|0))}while(0);if((q|0)>1){q=q+-1|0;e=e+4|0;b=b+d|0}else break}return}function Uoa(a){a=a|0;Emc(a);return}function Voa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Woa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=61032;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+20>>2]|0;if(!b){Fba(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);Emc(b);Fba(a);return}function Xoa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=61032;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+20>>2]|0;if(!b){Fba(a);Emc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);Emc(b);Fba(a);Emc(a);return}function Yoa(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;j=f[a+20>>2]|0;k=f[a+32>>2]|0;l=(f[a+24>>2]|0)-j|0;a=l>>3;m=Y(i,h)|0;if((g|0)<=0)return;h=(l|0)>0;n=m+-4|0;o=(m|0)<4;p=(l|0)>8;l=m&-4;q=g;g=b;b=c;while(1){if(h){c=0;do{r=(f[g+(f[j+(c<<3)+4>>2]<<2)>>2]|0)+((Y(f[j+(c<<3)>>2]|0,i)|0)<<1)|0;f[k+(c<<2)>>2]=r;c=c+1|0}while((c|0)<(a|0))}a:do if(o)s=0;else{c=f[k>>2]|0;if(p)t=0;else{r=0;while(1){u=c+(r<<1)|0;v=d[u+2>>1]|0;w=d[u+4>>1]|0;x=d[u+6>>1]|0;d[b+(r<<1)>>1]=d[u>>1]|0;d[b+((r|1)<<1)>>1]=v;d[b+((r|2)<<1)>>1]=w;d[b+((r|3)<<1)>>1]=x;r=r+4|0;if((r|0)>(n|0)){s=l;break a}}}do{r=c+(t<<1)|0;x=d[r+6>>1]|0;w=d[r+4>>1]|0;v=d[r+2>>1]|0;u=d[r>>1]|0;r=1;do{y=(f[k+(r<<2)>>2]|0)+(t<<1)|0;z=d[y>>1]|0;u=z<<16>>16<u<<16>>16?z:u;z=d[y+2>>1]|0;v=z<<16>>16<v<<16>>16?z:v;z=d[y+4>>1]|0;w=z<<16>>16<w<<16>>16?z:w;z=d[y+6>>1]|0;x=z<<16>>16<x<<16>>16?z:x;r=r+1|0}while((r|0)<(a|0));d[b+(t<<1)>>1]=u;d[b+((t|1)<<1)>>1]=v;d[b+((t|2)<<1)>>1]=w;d[b+((t|3)<<1)>>1]=x;t=t+4|0}while((t|0)<=(n|0));s=l}while(0);b:do if((s|0)<(m|0)){c=f[k>>2]|0;if(p)A=s;else{r=s;while(1){d[b+(r<<1)>>1]=d[c+(r<<1)>>1]|0;r=r+1|0;if((r|0)==(m|0))break b}}do{r=d[c+(A<<1)>>1]|0;z=1;do{y=d[(f[k+(z<<2)>>2]|0)+(A<<1)>>1]|0;r=y<<16>>16<r<<16>>16?y:r;z=z+1|0}while((z|0)<(a|0));d[b+(A<<1)>>1]=r;A=A+1|0}while((A|0)!=(m|0))}while(0);if((q|0)>1){q=q+-1|0;g=g+4|0;b=b+e|0}else break}return}function Zoa(a){a=a|0;Emc(a);return}function _oa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function $oa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=61056;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+20>>2]|0;if(!b){Fba(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);Emc(b);Fba(a);return}function apa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=61056;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+20>>2]|0;if(!b){Fba(a);Emc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);Emc(b);Fba(a);Emc(a);return}function bpa(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;j=f[a+20>>2]|0;k=f[a+32>>2]|0;l=(f[a+24>>2]|0)-j|0;a=l>>3;m=Y(i,h)|0;if((g|0)<=0)return;h=(l|0)>0;n=m+-4|0;o=(m|0)<4;p=(l|0)>8;l=m&-4;q=g;g=b;b=c;while(1){if(h){c=0;do{r=(f[g+(f[j+(c<<3)+4>>2]<<2)>>2]|0)+((Y(f[j+(c<<3)>>2]|0,i)|0)<<1)|0;f[k+(c<<2)>>2]=r;c=c+1|0}while((c|0)<(a|0))}a:do if(o)s=0;else{c=f[k>>2]|0;if(p)t=0;else{r=0;while(1){u=c+(r<<1)|0;v=d[u+2>>1]|0;w=d[u+4>>1]|0;x=d[u+6>>1]|0;d[b+(r<<1)>>1]=d[u>>1]|0;d[b+((r|1)<<1)>>1]=v;d[b+((r|2)<<1)>>1]=w;d[b+((r|3)<<1)>>1]=x;r=r+4|0;if((r|0)>(n|0)){s=l;break a}}}do{r=c+(t<<1)|0;x=d[r+6>>1]|0;w=d[r+4>>1]|0;v=d[r+2>>1]|0;u=d[r>>1]|0;r=1;do{y=(f[k+(r<<2)>>2]|0)+(t<<1)|0;z=d[y>>1]|0;u=(z&65535)<(u&65535)?z:u;z=d[y+2>>1]|0;v=(z&65535)<(v&65535)?z:v;z=d[y+4>>1]|0;w=(z&65535)<(w&65535)?z:w;z=d[y+6>>1]|0;x=(z&65535)<(x&65535)?z:x;r=r+1|0}while((r|0)<(a|0));d[b+(t<<1)>>1]=u;d[b+((t|1)<<1)>>1]=v;d[b+((t|2)<<1)>>1]=w;d[b+((t|3)<<1)>>1]=x;t=t+4|0}while((t|0)<=(n|0));s=l}while(0);b:do if((s|0)<(m|0)){c=f[k>>2]|0;if(p)A=s;else{r=s;while(1){d[b+(r<<1)>>1]=d[c+(r<<1)>>1]|0;r=r+1|0;if((r|0)==(m|0))break b}}do{r=d[c+(A<<1)>>1]|0;z=1;do{y=d[(f[k+(z<<2)>>2]|0)+(A<<1)>>1]|0;r=(y&65535)<(r&65535)?y:r;z=z+1|0}while((z|0)<(a|0));d[b+(A<<1)>>1]=r;A=A+1|0}while((A|0)!=(m|0))}while(0);if((q|0)>1){q=q+-1|0;g=g+4|0;b=b+e|0}else break}return}function cpa(a){a=a|0;Emc(a);return}function dpa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function epa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=61080;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+20>>2]|0;if(!b){Fba(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);Emc(b);Fba(a);return}function fpa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=61080;b=f[a+32>>2]|0;if(b|0){c=a+36|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}b=f[a+20>>2]|0;if(!b){Fba(a);Emc(a);return}d=a+24|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);Emc(b);Fba(a);Emc(a);return}function gpa(a,c,d,e,g,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;k=f[a+20>>2]|0;l=f[a+32>>2]|0;m=(f[a+24>>2]|0)-k|0;a=m>>3;n=Y(j,i)|0;if((g|0)<=0)return;i=(m|0)>0;o=n+-4|0;p=(n|0)<4;q=(m|0)>8;m=n&-4;r=c;c=d;d=g;while(1){if(i){g=0;do{s=(f[r+(f[k+(g<<3)+4>>2]<<2)>>2]|0)+(Y(f[k+(g<<3)>>2]|0,j)|0)|0;f[l+(g<<2)>>2]=s;g=g+1|0}while((g|0)<(a|0))}a:do if(p)t=0;else{if(q)u=0;else{g=0;while(1){s=(f[l>>2]|0)+g|0;v=b[s+1>>0]|0;w=b[s+2>>0]|0;x=b[s+3>>0]|0;b[c+g>>0]=b[s>>0]|0;b[c+(g|1)>>0]=v;b[c+(g|2)>>0]=w;b[c+(g|3)>>0]=x;g=g+4|0;if((g|0)>(o|0)){t=m;break a}}}do{g=(f[l>>2]|0)+u|0;x=b[g+3>>0]|0;w=b[g+2>>0]|0;v=b[g+1>>0]|0;s=b[g>>0]|0;g=1;do{y=(f[l+(g<<2)>>2]|0)+u|0;z=s&255;A=z-(h[y>>0]|0)+256|0;if(A>>>0<769)B=h[277436+A>>0]|0;else B=0;s=z-B&255;z=v&255;A=z-(h[y+1>>0]|0)+256|0;if(A>>>0<769)C=h[277436+A>>0]|0;else C=0;v=z-C&255;z=w&255;A=z-(h[y+2>>0]|0)+256|0;if(A>>>0<769)D=h[277436+A>>0]|0;else D=0;w=z-D&255;z=x&255;A=z-(h[y+3>>0]|0)+256|0;if(A>>>0<769)E=h[277436+A>>0]|0;else E=0;x=z-E&255;g=g+1|0}while((g|0)<(a|0));b[c+u>>0]=s;b[c+(u|1)>>0]=v;b[c+(u|2)>>0]=w;b[c+(u|3)>>0]=x;u=u+4|0}while((u|0)<=(o|0));t=m}while(0);b:do if((t|0)<(n|0)){if(q)F=t;else{g=t;while(1){b[c+g>>0]=b[(f[l>>2]|0)+g>>0]|0;g=g+1|0;if((g|0)==(n|0))break b}}do{g=b[(f[l>>2]|0)+F>>0]|0;z=1;do{A=g&255;y=A-(h[(f[l+(z<<2)>>2]|0)+F>>0]|0)+256|0;if(y>>>0<769)G=h[277436+y>>0]|0;else G=0;g=A-G&255;z=z+1|0}while((z|0)<(a|0));b[c+F>>0]=g;F=F+1|0}while((F|0)!=(n|0))}while(0);if((d|0)>1){r=r+4|0;c=c+e|0;d=d+-1|0}else break}return}function hpa(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0;k=u;u=u+144|0;l=k+128|0;m=k+72|0;n=k+64|0;o=k+56|0;q=k;r=k+32|0;s=k+48|0;do if((pD(e)|0)==65536){t=f[e+4>>2]|0;f[m>>2]=f[t>>2];v=m+4|0;w=t+4|0;f[v>>2]=f[w>>2];x=m+8|0;f[x>>2]=f[t+8>>2];f[m+12>>2]=f[t+12>>2];f[m+16>>2]=f[t+16>>2];f[m+20>>2]=f[t+20>>2];f[m+24>>2]=f[t+24>>2];f[m+28>>2]=f[t+28>>2];f[m+32>>2]=f[t+32>>2];y=f[t+36>>2]|0;f[m+36>>2]=y;z=m+40|0;f[z>>2]=x;x=m+48|0;A=m+44|0;f[A>>2]=x;f[x>>2]=0;f[m+52>>2]=0;if(y|0){x=y+12|0;f[x>>2]=(f[x>>2]|0)+1}if((f[w>>2]|0)<3){w=f[t+44>>2]|0;x=f[A>>2]|0;f[x>>2]=f[w>>2];f[x+4>>2]=f[w+4>>2];B=z;break}else{f[v>>2]=0;kP(m,t);B=z;break}}else{lD(m,e,-1);B=m+40|0}while(0);e=f[g>>2]|0;z=g+4|0;t=f[z>>2]|0;v=f[B>>2]|0;w=f[v+4>>2]|0;x=f[v>>2]|0;v=(e|0)==-1?(w|0)/2|0:e;e=(t|0)==-1?(x|0)/2|0:t;if(!((v|0)>-1&(v|0)<(w|0))){f[l>>2]=0;C=l+4|0;f[C>>2]=0;D=YG(l,52)|0;E=D;F=281789;G=E+52|0;do{b[E>>0]=b[F>>0]|0;E=E+1|0;F=F+1|0}while((E|0)<(G|0));SQ(-215,l,281842,281858,363)}if((e|0)<0|(e|0)>=(x|0)){f[l>>2]=0;C=l+4|0;f[C>>2]=0;D=YG(l,52)|0;E=D;F=281789;G=E+52|0;do{b[E>>0]=b[F>>0]|0;E=E+1|0;F=F+1|0}while((E|0)<(G|0));SQ(-215,l,281842,281858,363)}f[g>>2]=v;f[z>>2]=e;f[l>>2]=0;e=l+4|0;f[e>>2]=0;f[n>>2]=0;v=n+4|0;f[v>>2]=0;f[o>>2]=0;D=o+4|0;f[D>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;f[q>>2]=16842752;f[q+4>>2]=m;C=PX(q)|0;x=m+8|0;w=f[m+12>>2]|0;if((C|0)==(Y(w,f[x>>2]|0)|0)){Ama(q,c,d,w,f[g>>2]|0);w=f[q>>2]|0;C=f[q+4>>2]|0;if(w|0){t=w+4|0;f[t>>2]=(f[t>>2]|0)+1}t=f[l>>2]|0;f[l>>2]=w;f[e>>2]=C;if(t|0?(C=t+4|0,e=f[C>>2]|0,f[C>>2]=e+-1,(e|0)==1):0)ai[f[(f[t>>2]|0)+8>>2]&2047](t);t=f[q>>2]|0;if(t|0?(e=t+4|0,C=f[e>>2]|0,f[e>>2]=C+-1,(C|0)==1):0)ai[f[(f[t>>2]|0)+8>>2]&2047](t);nna(q,c,d,f[x>>2]|0,f[z>>2]|0);x=f[q>>2]|0;t=f[q+4>>2]|0;if(x|0){C=x+4|0;f[C>>2]=(f[C>>2]|0)+1}C=f[n>>2]|0;f[n>>2]=x;f[v>>2]=t;if(C|0?(t=C+4|0,v=f[t>>2]|0,f[t>>2]=v+-1,(v|0)==1):0)ai[f[(f[C>>2]|0)+8>>2]&2047](C);C=f[q>>2]|0;if(C|0?(v=C+4|0,t=f[v>>2]|0,f[v>>2]=t+-1,(t|0)==1):0)ai[f[(f[C>>2]|0)+8>>2]&2047](C)}else{f[r+8>>2]=0;f[r+12>>2]=0;f[r>>2]=16842752;f[r+4>>2]=m;f[s>>2]=f[g>>2];f[s+4>>2]=f[z>>2];aoa(q,c,d,r,s);s=f[q>>2]|0;z=f[q+4>>2]|0;if(s|0){g=s+4|0;f[g>>2]=(f[g>>2]|0)+1}g=f[o>>2]|0;f[o>>2]=s;f[D>>2]=z;if(g|0?(z=g+4|0,D=f[z>>2]|0,f[z>>2]=D+-1,(D|0)==1):0)ai[f[(f[g>>2]|0)+8>>2]&2047](g);g=f[q>>2]|0;if(g|0?(D=g+4|0,z=f[D>>2]|0,f[D>>2]=z+-1,(z|0)==1):0)ai[f[(f[g>>2]|0)+8>>2]&2047](g)}H=+p[j>>3];p[q>>3]=H;I=+p[j+8>>3];g=q+8|0;p[g>>3]=I;J=+p[j+16>>3];z=q+16|0;p[z>>3]=J;K=+p[j+24>>3];j=q+24|0;p[j>>3]=K;do if(((h|0)==0|(i|0)==0)&H==1797693134862315708145274.0e284&I==1797693134862315708145274.0e284?!(K!=1797693134862315708145274.0e284|J!=1797693134862315708145274.0e284):0){D=d&7;s=(D|2|0)==2;C=(D|0)==3;t=(D|0)==5;D=d&255;switch(D&7){case 0:case 2:case 3:case 5:case 6:break;default:{f[r>>2]=0;f[r+4>>2]=0;E=YG(r,90)|0;F=283508;G=E+90|0;do{b[E>>0]=b[F>>0]|0;E=E+1|0;F=F+1|0}while((E|0)<(G|0));SQ(-215,r,283599,278268,1003)}}if(c|0){L=s?0.0:C?-32768.0:t?-3402823466385288598117041.0e14:-1797693134862315708145274.0e284;p[q>>3]=L;p[g>>3]=L;p[z>>3]=L;p[j>>3]=L;break}switch(D&7){case 0:{M=255.0;break}case 2:{M=65535.0;break}default:M=C?32767.0:t?3402823466385288598117041.0e14:1797693134862315708145274.0e284}p[q>>3]=M;p[g>>3]=M;p[z>>3]=M;p[j>>3]=M}while(0);j=Bmc(200)|0;Rba(j,o,l,n,d,d,d,h,i,q);q=Bmc(16)|0;f[q+4>>2]=1;f[q>>2]=55716;f[q+8>>2]=j;f[a>>2]=q;f[a+4>>2]=j;j=f[o>>2]|0;if(j|0?(o=j+4|0,a=f[o>>2]|0,f[o>>2]=a+-1,(a|0)==1):0)ai[f[(f[j>>2]|0)+8>>2]&2047](j);j=f[n>>2]|0;if(j|0?(n=j+4|0,a=f[n>>2]|0,f[n>>2]=a+-1,(a|0)==1):0)ai[f[(f[j>>2]|0)+8>>2]&2047](j);j=f[l>>2]|0;if(j|0?(l=j+4|0,a=f[l>>2]|0,f[l>>2]=a+-1,(a|0)==1):0)ai[f[(f[j>>2]|0)+8>>2]&2047](j);j=m+36|0;a=f[j>>2]|0;if(a|0?(l=a+12|0,a=f[l>>2]|0,f[l>>2]=a+-1,(a|0)==1):0)lP(m);f[j>>2]=0;j=m+16|0;a=m+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[a>>2]|0)>0){j=f[B>>2]|0;B=0;do{f[j+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[a>>2]|0))}a=f[m+44>>2]|0;if((a|0)==(m+48|0)){u=k;return}tE(a);u=k;return}function ipa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0.0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;g=u;u=u+16|0;h=g;if(c>>>0>=3){f[h>>2]=0;f[h+4>>2]=0;i=YG(h,69)|0;j=283622;k=i+69|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-215,h,283692,278268,1027)}l=f[e>>2]|0;m=e+4|0;n=f[m>>2]|0;o=f[d>>2]|0;p=d+4|0;q=f[p>>2]|0;r=(o|0)/2|0;s=(l|0)==-1?r:l;l=(n|0)==-1?(q|0)/2|0:n;if(!((s|0)>-1&(s|0)<(o|0))){f[h>>2]=0;t=h+4|0;f[t>>2]=0;v=YG(h,52)|0;i=v;j=281789;k=i+52|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-215,h,281842,281858,363)}if((l|0)<0|(l|0)>=(q|0)){f[h>>2]=0;t=h+4|0;f[t>>2]=0;v=YG(h,52)|0;i=v;j=281789;k=i+52|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-215,h,281842,281858,363)}f[e>>2]=s;f[m>>2]=l;l=f[p>>2]|0;s=(o|0)==1&(l|0)==1?0:c;if((s|0)==2){c=(l|0)/2|0;w=+(c|0);x=(l+1|0)>>>0>2?1.0/(w*w):0.0;y=r;z=c}else{x=0.0;y=0;z=0}f[a>>2]=1124007936;c=a+8|0;r=a+40|0;i=a+4|0;k=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(k|0));f[r>>2]=c;c=a+48|0;r=a+44|0;f[r>>2]=c;f[c>>2]=0;f[a+52>>2]=0;f[h>>2]=l;f[h+4>>2]=o;iP(a,2,h,0);if((f[p>>2]|0)<=0){u=g;return}h=a+16|0;w=+(y|0);a=Y(z,z)|0;if(!s){o=0;l=f[d>>2]|0;while(1){c=(f[h>>2]|0)+(Y(f[f[r>>2]>>2]|0,o)|0)|0;if((l|0)>0){Drc(c|0,1,l|0)|0;A=l;B=f[d>>2]|0}else{A=0;B=l}if((A|0)<(B|0)){i=A;do{b[c+i>>0]=0;i=i+1|0;k=f[d>>2]|0}while((i|0)<(k|0));C=k}else C=B;o=o+1|0;if((o|0)>=(f[p>>2]|0))break;else l=C}u=g;return}C=(s|0)==1;s=0;do{l=f[h>>2]|0;o=Y(f[f[r>>2]>>2]|0,s)|0;B=l+o|0;do if(C)if((s|0)!=(f[m>>2]|0)){A=f[e>>2]|0;i=A+1|0;if((A|0)>0){D=i;E=A;F=23;break}else{G=0;H=i;F=24;break}}else{G=0;H=f[d>>2]|0;F=24;break}else{i=s-z|0;if((((i|0)>-1?i:0-i|0)|0)<=(z|0)){A=V9b(w*+M(+(x*+(a-(Y(i,i)|0)|0))))|0;i=y-A|0;c=A+y|0;A=f[d>>2]|0;k=(A|0)<=(c|0)?A:c+1|0;if((i|0)>0){D=k;E=i;F=23}else{G=0;H=k;F=24}}else I=0}while(0);if((F|0)==23){F=0;Drc(B|0,0,E|0)|0;G=E;H=D;F=24}if((F|0)==24){F=0;if((H|0)>(G|0)){Drc(l+(G+o)|0,1,H-G|0)|0;I=H}else I=G}if((I|0)<(f[d>>2]|0)){k=I;do{b[B+k>>0]=0;k=k+1|0}while((k|0)<(f[d>>2]|0))}s=s+1|0}while((s|0)<(f[p>>2]|0));u=g;return}function jpa(a,b,c,d,e,g,h,i,j,k,l,m,n,o,q,r,s,t,v,w,x,y,z,A,B,C,D,E){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;q=q|0;r=r|0;s=s|0;t=t|0;v=v|0;w=w|0;x=x|0;y=y|0;z=z|0;A=A|0;B=B|0;C=C|0;D=D|0;E=E|0;var F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0.0,R=0.0,S=0.0;E=u;u=u+224|0;F=E+168|0;G=E+160|0;H=E+152|0;I=E+96|0;J=E+88|0;K=E;L=E+80|0;M=E+72|0;N=E+64|0;O=E+56|0;f[G>>2]=x;f[G+4>>2]=y;mD(F,G,t,v,w);P=+p[C>>3];Q=+p[C+8>>3];R=+p[C+16>>3];S=+p[C+24>>3];f[I+8>>2]=0;f[I+12>>2]=0;f[I>>2]=16842752;f[I+4>>2]=F;f[J>>2]=z;f[J+4>>2]=A;p[K>>3]=P;p[K+8>>3]=Q;p[K+16>>3]=R;p[K+24>>3]=S;hpa(H,a,b,I,J,B,B,K);f[L>>2]=i;f[L+4>>2]=j;mD(I,L,b,d,e);f[M>>2]=i;f[M+4>>2]=j;mD(K,M,c,g,h);f[N>>2]=m;f[N+4>>2]=n;f[O>>2]=k;f[O+4>>2]=l;l=f[H+4>>2]|0;sh[f[(f[l>>2]|0)+20>>2]&255](l,I,K,O,N);f[N>>2]=r;f[N+4>>2]=s;f[O>>2]=o;f[O+4>>2]=q;if((D|0)>1){q=1;do{sh[f[(f[l>>2]|0)+20>>2]&255](l,K,K,O,N);q=q+1|0}while((q|0)<(D|0))}D=K+36|0;q=f[D>>2]|0;if(q|0?(N=q+12|0,q=f[N>>2]|0,f[N>>2]=q+-1,(q|0)==1):0)lP(K);f[D>>2]=0;D=K+16|0;q=K+4|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[q>>2]|0)>0){D=f[K+40>>2]|0;N=0;do{f[D+(N<<2)>>2]=0;N=N+1|0}while((N|0)<(f[q>>2]|0))}q=f[K+44>>2]|0;if((q|0)!=(K+48|0))tE(q);q=I+36|0;K=f[q>>2]|0;if(K|0?(N=K+12|0,K=f[N>>2]|0,f[N>>2]=K+-1,(K|0)==1):0)lP(I);f[q>>2]=0;q=I+16|0;K=I+4|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[K>>2]|0)>0){q=f[I+40>>2]|0;N=0;do{f[q+(N<<2)>>2]=0;N=N+1|0}while((N|0)<(f[K>>2]|0))}K=f[I+44>>2]|0;if((K|0)!=(I+48|0))tE(K);K=f[H>>2]|0;if(K|0?(H=K+4|0,I=f[H>>2]|0,f[H>>2]=I+-1,(I|0)==1):0)ai[f[(f[K>>2]|0)+8>>2]&2047](K);K=F+36|0;I=f[K>>2]|0;if(I|0?(H=I+12|0,I=f[H>>2]|0,f[H>>2]=I+-1,(I|0)==1):0)lP(F);f[K>>2]=0;K=F+16|0;I=F+4|0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[I>>2]|0)>0){K=f[F+40>>2]|0;H=0;do{f[K+(H<<2)>>2]=0;H=H+1|0}while((H|0)<(f[I>>2]|0))}I=f[F+44>>2]|0;if((I|0)==(F+48|0)){u=E;return}tE(I);u=E;return}function kpa(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0;i=u;u=u+16|0;j=i+8|0;k=i;zT(j,61096);f[k>>2]=f[d>>2];f[k+4>>2]=f[d+4>>2];lpa(0,a,b,c,k,e,g,h);if(!(f[j+4>>2]|0)){u=i;return}u=i;return}function lpa(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0;k=u;u=u+256|0;l=k+192|0;m=k+184|0;n=k+128|0;o=k+120|0;p=k+112|0;q=k+104|0;r=k+96|0;s=k+32|0;t=k+40|0;v=k+24|0;w=k+16|0;x=k+8|0;y=k;zT(m,61116);do if((pD(e)|0)==65536){z=f[e+4>>2]|0;f[n>>2]=f[z>>2];A=n+4|0;B=z+4|0;f[A>>2]=f[B>>2];C=n+8|0;f[C>>2]=f[z+8>>2];f[n+12>>2]=f[z+12>>2];D=n+16|0;f[D>>2]=f[z+16>>2];f[n+20>>2]=f[z+20>>2];f[n+24>>2]=f[z+24>>2];f[n+28>>2]=f[z+28>>2];f[n+32>>2]=f[z+32>>2];E=f[z+36>>2]|0;f[n+36>>2]=E;f[n+40>>2]=C;C=n+48|0;F=n+44|0;f[F>>2]=C;f[C>>2]=0;f[n+52>>2]=0;if(E|0){C=E+12|0;f[C>>2]=(f[C>>2]|0)+1}if((f[B>>2]|0)<3){B=f[z+44>>2]|0;C=f[F>>2]|0;f[C>>2]=f[B>>2];f[C+4>>2]=f[B+4>>2];G=D;break}else{f[A>>2]=0;kP(n,z);G=D;break}}else{lD(n,e,-1);G=n+16|0}while(0);e=(f[G>>2]|0)==0;if(!e){D=f[n+4>>2]|0;if((D|0)<3)H=Y(f[n+12>>2]|0,f[n+8>>2]|0)|0;else{z=f[n+40>>2]|0;A=0;B=1;while(1){C=Y(f[z+(A<<2)>>2]|0,B)|0;A=A+1|0;if((A|0)==(D|0)){H=C;break}else B=C}}if(!((D|0)==0|(H|0)==0)){H=f[n+40>>2]|0;I=f[H+4>>2]|0;J=f[H>>2]|0}else{I=3;J=3}}else{I=3;J=3}H=f[g>>2]|0;D=g+4|0;B=f[D>>2]|0;A=(H|0)==-1?(I|0)/2|0:H;H=(B|0)==-1?(J|0)/2|0:B;if(!((A|0)>-1&(A|0)<(I|0))){f[l>>2]=0;K=l+4|0;f[K>>2]=0;L=YG(l,52)|0;M=L;N=281789;O=M+52|0;do{b[M>>0]=b[N>>0]|0;M=M+1|0;N=N+1|0}while((M|0)<(O|0));SQ(-215,l,281842,281858,363)}if((H|0)<0|(H|0)>=(J|0)){f[l>>2]=0;K=l+4|0;f[K>>2]=0;L=YG(l,52)|0;M=L;N=281789;O=M+52|0;do{b[M>>0]=b[N>>0]|0;M=M+1|0;N=N+1|0}while((M|0)<(O|0));SQ(-215,l,281842,281858,363)}f[g>>2]=A;f[D>>2]=H;if((h|0)!=0?(H=n+8|0,A=n+12|0,N=Y(f[A>>2]|0,f[H>>2]|0)|0,(N|0)!=1):0){if(!e){e=n+4|0;M=f[e>>2]|0;if((M|0)<3)P=N;else{N=f[n+40>>2]|0;O=0;L=1;while(1){K=Y(f[N+(O<<2)>>2]|0,L)|0;O=O+1|0;if((O|0)==(M|0)){P=K;break}else L=K}}if(!((M|0)==0|(P|0)==0))if((h|0)>1?(f[l+8>>2]=0,f[l+12>>2]=0,f[l>>2]=16842752,f[l+4>>2]=n,P=PX(l)|0,(P|0)==(Y(f[A>>2]|0,f[H>>2]|0)|0)):0){P=Y(f[g>>2]|0,h)|0;M=Y(f[D>>2]|0,h)|0;f[g>>2]=P;f[D>>2]=M;L=h+-1|0;O=(Y(I+-1|0,L)|0)+I|0;I=(Y(J+-1|0,L)|0)+J|0;f[q>>2]=O;f[q+4>>2]=I;f[r>>2]=P;f[r+4>>2]=M;ipa(l,0,q,r);r=l+36|0;q=f[r>>2]|0;if(q|0){M=q+12|0;f[M>>2]=(f[M>>2]|0)+1}M=n+36|0;q=f[M>>2]|0;if(q|0?(P=q+12|0,q=f[P>>2]|0,f[P>>2]=q+-1,(q|0)==1):0)lP(n);f[M>>2]=0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[e>>2]|0)>0){q=f[n+40>>2]|0;P=0;do{f[q+(P<<2)>>2]=0;P=P+1|0;Q=f[e>>2]|0}while((P|0)<(Q|0));f[n>>2]=f[l>>2];if((Q|0)<3)R=60;else R=62}else{f[n>>2]=f[l>>2];R=60}if((R|0)==60){Q=f[l+4>>2]|0;if((Q|0)<3){f[e>>2]=Q;f[H>>2]=f[l+8>>2];f[A>>2]=f[l+12>>2];Q=f[l+44>>2]|0;e=f[n+44>>2]|0;f[e>>2]=f[Q>>2];f[e+4>>2]=f[Q+4>>2]}else R=62}if((R|0)==62)kP(n,l);Q=l+16|0;f[G>>2]=f[Q>>2];f[n+20>>2]=f[l+20>>2];f[n+24>>2]=f[l+24>>2];f[n+28>>2]=f[l+28>>2];f[n+32>>2]=f[l+32>>2];e=f[r>>2]|0;f[M>>2]=e;if(e|0?(M=e+12|0,e=f[M>>2]|0,f[M>>2]=e+-1,(e|0)==1):0)lP(l);f[r>>2]=0;r=l+4|0;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q+12>>2]=0;if((f[r>>2]|0)>0){Q=f[l+40>>2]|0;e=0;do{f[Q+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[r>>2]|0))}r=f[l+44>>2]|0;if((r|0)!=(l+48|0))tE(r);S=1}else S=h;else R=26}else R=26;if((R|0)==26){r=h<<1|1;f[o>>2]=r;f[o+4>>2]=r;f[p>>2]=-1;f[p+4>>2]=-1;ipa(l,0,o,p);p=l+36|0;o=f[p>>2]|0;if(o|0){r=o+12|0;f[r>>2]=(f[r>>2]|0)+1}r=n+36|0;o=f[r>>2]|0;if(o|0?(e=o+12|0,o=f[e>>2]|0,f[e>>2]=o+-1,(o|0)==1):0)lP(n);f[r>>2]=0;o=n+4|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[o>>2]|0)>0){e=f[n+40>>2]|0;Q=0;do{f[e+(Q<<2)>>2]=0;Q=Q+1|0;T=f[o>>2]|0}while((Q|0)<(T|0));f[n>>2]=f[l>>2];if((T|0)<3)R=36;else R=38}else{f[n>>2]=f[l>>2];R=36}if((R|0)==36){T=f[l+4>>2]|0;if((T|0)<3){f[o>>2]=T;f[H>>2]=f[l+8>>2];f[A>>2]=f[l+12>>2];T=f[l+44>>2]|0;o=f[n+44>>2]|0;f[o>>2]=f[T>>2];f[o+4>>2]=f[T+4>>2]}else R=38}if((R|0)==38)kP(n,l);R=l+16|0;f[G>>2]=f[R>>2];f[n+20>>2]=f[l+20>>2];f[n+24>>2]=f[l+24>>2];f[n+28>>2]=f[l+28>>2];f[n+32>>2]=f[l+32>>2];T=f[p>>2]|0;f[r>>2]=T;if(T|0?(r=T+12|0,T=f[r>>2]|0,f[r>>2]=T+-1,(T|0)==1):0)lP(l);f[p>>2]=0;p=l+4|0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((f[p>>2]|0)>0){R=f[l+40>>2]|0;T=0;do{f[R+(T<<2)>>2]=0;T=T+1|0}while((T|0)<(f[p>>2]|0))}p=f[l+44>>2]|0;if((p|0)!=(l+48|0))tE(p);f[g>>2]=h;f[D>>2]=h;S=1}do if((pD(c)|0)==65536){h=f[c+4>>2]|0;f[l>>2]=f[h>>2];p=l+4|0;T=h+4|0;f[p>>2]=f[T>>2];R=l+8|0;f[R>>2]=f[h+8>>2];f[l+12>>2]=f[h+12>>2];f[l+16>>2]=f[h+16>>2];f[l+20>>2]=f[h+20>>2];f[l+24>>2]=f[h+24>>2];f[l+28>>2]=f[h+28>>2];f[l+32>>2]=f[h+32>>2];r=f[h+36>>2]|0;f[l+36>>2]=r;o=l+40|0;f[o>>2]=R;R=l+48|0;Q=l+44|0;f[Q>>2]=R;f[R>>2]=0;f[l+52>>2]=0;if(r|0){R=r+12|0;f[R>>2]=(f[R>>2]|0)+1}if((f[T>>2]|0)<3){T=f[h+44>>2]|0;R=f[Q>>2]|0;f[R>>2]=f[T>>2];f[R+4>>2]=f[T+4>>2];U=o;V=l;break}else{f[p>>2]=0;kP(l,h);U=o;V=l;break}}else{lD(l,c,-1);U=l+40|0;V=l}while(0);o=f[U>>2]|0;h=f[o>>2]|0;f[s>>2]=f[o+4>>2];f[s+4>>2]=h;HD(d,s,f[V>>2]&4095,-1,0,0);do if((pD(d)|0)==65536){s=f[d+4>>2]|0;f[t>>2]=f[s>>2];h=t+4|0;o=s+4|0;f[h>>2]=f[o>>2];p=t+8|0;f[p>>2]=f[s+8>>2];T=t+12|0;f[T>>2]=f[s+12>>2];f[t+16>>2]=f[s+16>>2];f[t+20>>2]=f[s+20>>2];f[t+24>>2]=f[s+24>>2];f[t+28>>2]=f[s+28>>2];f[t+32>>2]=f[s+32>>2];R=f[s+36>>2]|0;f[t+36>>2]=R;f[t+40>>2]=p;Q=t+48|0;r=t+44|0;f[r>>2]=Q;f[Q>>2]=0;f[t+52>>2]=0;if(R|0){Q=R+12|0;f[Q>>2]=(f[Q>>2]|0)+1}if((f[o>>2]|0)<3){o=f[s+44>>2]|0;Q=f[r>>2]|0;f[Q>>2]=f[o>>2];f[Q+4>>2]=f[o+4>>2];W=T;X=p;break}else{f[h>>2]=0;kP(t,s);W=T;X=p;break}}else{lD(t,d,-1);W=t+12|0;X=t+8|0}while(0);f[v>>2]=0;p=v+4|0;f[p>>2]=0;T=l+12|0;s=f[T>>2]|0;h=l+8|0;o=f[h>>2]|0;f[w>>2]=s;Q=w+4|0;f[Q>>2]=o;f[x>>2]=0;r=x+4|0;f[r>>2]=0;R=f[W>>2]|0;W=f[X>>2]|0;f[y>>2]=R;X=y+4|0;f[X>>2]=W;e=(i&16|0)!=0;if(e){Z=s;_=o;$=s;aa=o;ba=0;ca=0;da=R;ea=W;fa=0;ga=0}else{vP(l,w,v);vP(t,y,x);Z=f[T>>2]|0;_=f[h>>2]|0;$=f[w>>2]|0;aa=f[Q>>2]|0;ba=f[v>>2]|0;ca=f[p>>2]|0;da=f[y>>2]|0;ea=f[X>>2]|0;fa=f[x>>2]|0;ga=f[r>>2]|0}r=f[V>>2]|0;V=l+16|0;x=l+48|0;X=t+16|0;y=t+48|0;jpa(a,r&4095,f[t>>2]&4095,f[V>>2]|0,f[x>>2]|0,f[X>>2]|0,f[y>>2]|0,Z,_,$,aa,ba,ca,da,ea,fa,ga,f[n>>2]&4095,f[G>>2]|0,f[n+48>>2]|0,f[A>>2]|0,f[H>>2]|0,f[g>>2]|0,f[D>>2]|0,i&-17,j,S,(r&32768|0)!=0&(e^1));e=t+36|0;r=f[e>>2]|0;if(r|0?(S=r+12|0,r=f[S>>2]|0,f[S>>2]=r+-1,(r|0)==1):0)lP(t);f[e>>2]=0;e=t+4|0;f[X>>2]=0;f[X+4>>2]=0;f[X+8>>2]=0;f[X+12>>2]=0;if((f[e>>2]|0)>0){X=f[t+40>>2]|0;r=0;do{f[X+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[e>>2]|0))}e=f[t+44>>2]|0;if((e|0)!=(y|0))tE(e);e=l+36|0;y=f[e>>2]|0;if(y|0?(t=y+12|0,y=f[t>>2]|0,f[t>>2]=y+-1,(y|0)==1):0)lP(l);f[e>>2]=0;e=l+4|0;f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;f[V+12>>2]=0;if((f[e>>2]|0)>0){V=f[U>>2]|0;U=0;do{f[V+(U<<2)>>2]=0;U=U+1|0}while((U|0)<(f[e>>2]|0))}e=f[l+44>>2]|0;if((e|0)!=(x|0))tE(e)}else FD(c,d);d=n+36|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(n);f[d>>2]=0;d=n+4|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[d>>2]|0)>0){G=f[n+40>>2]|0;c=0;do{f[G+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[n+44>>2]|0;if((d|0)!=(n+48|0))tE(d);if(!(f[m+4>>2]|0)){u=k;return}u=k;return}function mpa(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0;i=u;u=u+16|0;j=i+8|0;k=i;zT(j,61136);f[k>>2]=f[d>>2];f[k+4>>2]=f[d+4>>2];lpa(1,a,b,c,k,e,g,h);if(!(f[j+4>>2]|0)){u=i;return}u=i;return}function npa(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0;k=u;u=u+864|0;l=k+56|0;m=k+808|0;n=k+728|0;o=k+720|0;q=k+664|0;r=k+800|0;s=k+792|0;t=k+608|0;v=k+552|0;w=k+784|0;x=k+496|0;y=k+440|0;z=k+384|0;A=k+328|0;B=k;C=k+312|0;D=k+296|0;E=k+280|0;zT(o,61156);do if((pD(e)|0)==65536){F=f[e+4>>2]|0;f[q>>2]=f[F>>2];G=q+4|0;H=F+4|0;f[G>>2]=f[H>>2];I=q+8|0;f[I>>2]=f[F+8>>2];f[q+12>>2]=f[F+12>>2];J=q+16|0;f[J>>2]=f[F+16>>2];f[q+20>>2]=f[F+20>>2];f[q+24>>2]=f[F+24>>2];f[q+28>>2]=f[F+28>>2];f[q+32>>2]=f[F+32>>2];K=f[F+36>>2]|0;f[q+36>>2]=K;f[q+40>>2]=I;I=q+48|0;L=q+44|0;f[L>>2]=I;f[I>>2]=0;f[q+52>>2]=0;if(K|0){I=K+12|0;f[I>>2]=(f[I>>2]|0)+1}if((f[H>>2]|0)<3){H=f[F+44>>2]|0;I=f[L>>2]|0;f[I>>2]=f[H>>2];f[I+4>>2]=f[H+4>>2];M=J;break}else{f[G>>2]=0;kP(q,F);M=J;break}}else{lD(q,e,-1);M=q+16|0}while(0);if(f[M>>2]|0){e=f[q+4>>2]|0;if((e|0)<3)N=Y(f[q+12>>2]|0,f[q+8>>2]|0)|0;else{J=f[q+40>>2]|0;F=0;G=1;while(1){H=Y(f[J+(F<<2)>>2]|0,G)|0;F=F+1|0;if((F|0)==(e|0)){N=H;break}else G=H}}if((e|0)==0|(N|0)==0)O=14}else O=14;if((O|0)==14){f[r>>2]=3;f[r+4>>2]=3;f[s>>2]=1;f[s+4>>2]=1;ipa(l,0,r,s);s=l+36|0;r=f[s>>2]|0;if(r|0){N=r+12|0;f[N>>2]=(f[N>>2]|0)+1}N=q+36|0;r=f[N>>2]|0;if(r|0?(e=r+12|0,r=f[e>>2]|0,f[e>>2]=r+-1,(r|0)==1):0)lP(q);f[N>>2]=0;r=q+4|0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[r>>2]|0)>0){e=f[q+40>>2]|0;G=0;do{f[e+(G<<2)>>2]=0;G=G+1|0;P=f[r>>2]|0}while((G|0)<(P|0));f[q>>2]=f[l>>2];if((P|0)<3)O=24;else O=26}else{f[q>>2]=f[l>>2];O=24}if((O|0)==24){P=f[l+4>>2]|0;if((P|0)<3){f[r>>2]=P;f[q+8>>2]=f[l+8>>2];f[q+12>>2]=f[l+12>>2];P=f[l+44>>2]|0;r=f[q+44>>2]|0;f[r>>2]=f[P>>2];f[r+4>>2]=f[P+4>>2]}else O=26}if((O|0)==26)kP(q,l);P=l+16|0;f[M>>2]=f[P>>2];f[q+20>>2]=f[l+20>>2];f[q+24>>2]=f[l+24>>2];f[q+28>>2]=f[l+28>>2];f[q+32>>2]=f[l+32>>2];r=f[s>>2]|0;f[N>>2]=r;if(r|0?(N=r+12|0,r=f[N>>2]|0,f[N>>2]=r+-1,(r|0)==1):0)lP(l);f[s>>2]=0;s=l+4|0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;if((f[s>>2]|0)>0){P=f[l+40>>2]|0;r=0;do{f[P+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[s>>2]|0))}s=f[l+44>>2]|0;if((s|0)!=(l+48|0))tE(s)}do if((pD(a)|0)==65536){s=f[a+4>>2]|0;f[t>>2]=f[s>>2];r=t+4|0;P=s+4|0;f[r>>2]=f[P>>2];N=t+8|0;f[N>>2]=f[s+8>>2];f[t+12>>2]=f[s+12>>2];f[t+16>>2]=f[s+16>>2];f[t+20>>2]=f[s+20>>2];f[t+24>>2]=f[s+24>>2];f[t+28>>2]=f[s+28>>2];f[t+32>>2]=f[s+32>>2];G=f[s+36>>2]|0;f[t+36>>2]=G;e=t+40|0;f[e>>2]=N;N=t+48|0;F=t+44|0;f[F>>2]=N;f[N>>2]=0;f[t+52>>2]=0;if(G|0){N=G+12|0;f[N>>2]=(f[N>>2]|0)+1}if((f[P>>2]|0)<3){P=f[s+44>>2]|0;N=f[F>>2]|0;f[N>>2]=f[P>>2];f[N+4>>2]=f[P+4>>2];Q=e;R=t;break}else{f[r>>2]=0;kP(t,s);Q=e;R=t;break}}else{lD(t,a,-1);Q=t+40|0;R=t}while(0);f[v>>2]=1124007936;a=v+4|0;e=v+8|0;s=v+40|0;r=a;P=r+36|0;do{f[r>>2]=0;r=r+4|0}while((r|0)<(P|0));f[s>>2]=e;N=v+48|0;F=v+44|0;f[F>>2]=N;f[N>>2]=0;f[v+52>>2]=0;G=f[Q>>2]|0;J=f[G>>2]|0;f[w>>2]=f[G+4>>2];f[w+4>>2]=J;HD(c,w,f[R>>2]&4095,-1,0,0);do if((pD(c)|0)==65536){w=f[c+4>>2]|0;f[x>>2]=f[w>>2];J=x+4|0;G=w+4|0;f[J>>2]=f[G>>2];H=x+8|0;f[H>>2]=f[w+8>>2];f[x+12>>2]=f[w+12>>2];f[x+16>>2]=f[w+16>>2];f[x+20>>2]=f[w+20>>2];f[x+24>>2]=f[w+24>>2];f[x+28>>2]=f[w+28>>2];f[x+32>>2]=f[w+32>>2];I=f[w+36>>2]|0;f[x+36>>2]=I;f[x+40>>2]=H;H=x+48|0;L=x+44|0;f[L>>2]=H;f[H>>2]=0;f[x+52>>2]=0;if(I|0){H=I+12|0;f[H>>2]=(f[H>>2]|0)+1}if((f[G>>2]|0)<3){G=f[w+44>>2]|0;H=f[L>>2]|0;f[H>>2]=f[G>>2];f[H+4>>2]=f[G+4>>2];break}else{f[J>>2]=0;kP(x,w);break}}else lD(x,c,-1);while(0);a:do switch(d|0){case 0:{f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=t;c=y+8|0;f[c>>2]=0;f[c+4>>2]=0;f[y>>2]=33619968;f[y+4>>2]=x;f[z+8>>2]=0;f[z+12>>2]=0;f[z>>2]=16842752;f[z+4>>2]=q;c=f[g>>2]|0;w=f[g+4>>2]|0;zT(l,61096);f[m>>2]=c;f[m+4>>2]=w;lpa(0,n,y,z,m,h,i,j);break}case 1:{f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=t;w=y+8|0;f[w>>2]=0;f[w+4>>2]=0;f[y>>2]=33619968;f[y+4>>2]=x;f[z+8>>2]=0;f[z+12>>2]=0;f[z>>2]=16842752;f[z+4>>2]=q;w=f[g>>2]|0;c=f[g+4>>2]|0;zT(l,61136);f[m>>2]=w;f[m+4>>2]=c;lpa(1,n,y,z,m,h,i,j);break}case 2:{f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=t;c=y+8|0;f[c>>2]=0;f[c+4>>2]=0;f[y>>2]=33619968;f[y+4>>2]=x;f[z+8>>2]=0;f[z+12>>2]=0;f[z>>2]=16842752;f[z+4>>2]=q;c=f[g>>2]|0;w=g+4|0;J=f[w>>2]|0;zT(l,61096);f[m>>2]=c;f[m+4>>2]=J;lpa(0,n,y,z,m,h,i,j);f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=x;J=y+8|0;f[J>>2]=0;f[J+4>>2]=0;f[y>>2]=33619968;f[y+4>>2]=x;f[z+8>>2]=0;f[z+12>>2]=0;f[z>>2]=16842752;f[z+4>>2]=q;J=f[g>>2]|0;c=f[w>>2]|0;zT(l,61136);f[m>>2]=J;f[m+4>>2]=c;lpa(1,n,y,z,m,h,i,j);break}case 3:{f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=t;c=y+8|0;f[c>>2]=0;f[c+4>>2]=0;f[y>>2]=33619968;f[y+4>>2]=x;f[z+8>>2]=0;f[z+12>>2]=0;f[z>>2]=16842752;f[z+4>>2]=q;c=f[g>>2]|0;J=g+4|0;w=f[J>>2]|0;zT(l,61136);f[m>>2]=c;f[m+4>>2]=w;lpa(1,n,y,z,m,h,i,j);f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=x;w=y+8|0;f[w>>2]=0;f[w+4>>2]=0;f[y>>2]=33619968;f[y+4>>2]=x;f[z+8>>2]=0;f[z+12>>2]=0;f[z>>2]=16842752;f[z+4>>2]=q;w=f[g>>2]|0;c=f[J>>2]|0;zT(l,61096);f[m>>2]=w;f[m+4>>2]=c;lpa(0,n,y,z,m,h,i,j);break}case 4:{f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=t;c=y+8|0;f[c>>2]=0;f[c+4>>2]=0;f[y>>2]=33619968;f[y+4>>2]=v;f[z+8>>2]=0;f[z+12>>2]=0;f[z>>2]=16842752;f[z+4>>2]=q;c=f[g>>2]|0;w=g+4|0;J=f[w>>2]|0;zT(l,61096);f[m>>2]=c;f[m+4>>2]=J;lpa(0,n,y,z,m,h,i,j);f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=t;J=y+8|0;f[J>>2]=0;f[J+4>>2]=0;f[y>>2]=33619968;f[y+4>>2]=x;f[z+8>>2]=0;f[z+12>>2]=0;f[z>>2]=16842752;f[z+4>>2]=q;J=f[g>>2]|0;c=f[w>>2]|0;zT(l,61136);f[m>>2]=J;f[m+4>>2]=c;lpa(1,n,y,z,m,h,i,j);f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=x;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=v;c=n+8|0;f[c>>2]=0;f[c+4>>2]=0;f[n>>2]=33619968;f[n+4>>2]=x;fI(l,m,n,rE()|0,-1);break}case 5:{c=x+16|0;if((f[t+16>>2]|0)!=(f[c>>2]|0)){J=x+36|0;w=f[J>>2]|0;if(w|0){G=w+12|0;f[G>>2]=(f[G>>2]|0)+1}G=v+36|0;w=f[G>>2]|0;if(w|0?(H=w+12|0,w=f[H>>2]|0,f[H>>2]=w+-1,(w|0)==1):0)lP(v);f[G>>2]=0;w=v+16|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[a>>2]|0)>0){H=f[s>>2]|0;L=0;do{f[H+(L<<2)>>2]=0;L=L+1|0;S=f[a>>2]|0}while((L|0)<(S|0));f[v>>2]=f[x>>2];if((S|0)<3)O=83;else O=85}else{f[v>>2]=f[x>>2];O=83}if((O|0)==83){L=f[x+4>>2]|0;if((L|0)<3){f[a>>2]=L;f[e>>2]=f[x+8>>2];f[v+12>>2]=f[x+12>>2];L=f[x+44>>2]|0;H=f[F>>2]|0;f[H>>2]=f[L>>2];f[H+4>>2]=f[L+4>>2]}else O=85}if((O|0)==85)kP(v,x);f[w>>2]=f[c>>2];f[v+20>>2]=f[x+20>>2];f[v+24>>2]=f[x+24>>2];f[v+28>>2]=f[x+28>>2];f[v+32>>2]=f[x+32>>2];f[G>>2]=f[J>>2]}f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=t;L=y+8|0;f[L>>2]=0;f[L+4>>2]=0;f[y>>2]=33619968;f[y+4>>2]=v;f[z+8>>2]=0;f[z+12>>2]=0;f[z>>2]=16842752;f[z+4>>2]=q;L=f[g>>2]|0;H=g+4|0;I=f[H>>2]|0;zT(l,61096);f[m>>2]=L;f[m+4>>2]=I;lpa(0,n,y,z,m,h,i,j);f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=v;I=y+8|0;f[I>>2]=0;f[I+4>>2]=0;f[y>>2]=33619968;f[y+4>>2]=v;f[z+8>>2]=0;f[z+12>>2]=0;f[z>>2]=16842752;f[z+4>>2]=q;I=f[g>>2]|0;L=f[H>>2]|0;zT(l,61136);f[m>>2]=I;f[m+4>>2]=L;lpa(1,n,y,z,m,h,i,j);XF(l,t,v);L=f[l>>2]|0;rh[f[(f[L>>2]|0)+12>>2]&255](L,l,x,-1);Xi(l);break}case 6:{L=x+16|0;if((f[t+16>>2]|0)!=(f[L>>2]|0)){I=x+36|0;H=f[I>>2]|0;if(H|0){K=H+12|0;f[K>>2]=(f[K>>2]|0)+1}K=v+36|0;H=f[K>>2]|0;if(H|0?(T=H+12|0,H=f[T>>2]|0,f[T>>2]=H+-1,(H|0)==1):0)lP(v);f[K>>2]=0;H=v+16|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[a>>2]|0)>0){T=f[s>>2]|0;U=0;do{f[T+(U<<2)>>2]=0;U=U+1|0;V=f[a>>2]|0}while((U|0)<(V|0));f[v>>2]=f[x>>2];if((V|0)<3)O=103;else O=105}else{f[v>>2]=f[x>>2];O=103}if((O|0)==103){U=f[x+4>>2]|0;if((U|0)<3){f[a>>2]=U;f[e>>2]=f[x+8>>2];f[v+12>>2]=f[x+12>>2];U=f[x+44>>2]|0;T=f[F>>2]|0;f[T>>2]=f[U>>2];f[T+4>>2]=f[U+4>>2]}else O=105}if((O|0)==105)kP(v,x);f[H>>2]=f[L>>2];f[v+20>>2]=f[x+20>>2];f[v+24>>2]=f[x+24>>2];f[v+28>>2]=f[x+28>>2];f[v+32>>2]=f[x+32>>2];f[K>>2]=f[I>>2]}f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=t;U=y+8|0;f[U>>2]=0;f[U+4>>2]=0;f[y>>2]=33619968;f[y+4>>2]=v;f[z+8>>2]=0;f[z+12>>2]=0;f[z>>2]=16842752;f[z+4>>2]=q;U=f[g>>2]|0;T=g+4|0;J=f[T>>2]|0;zT(l,61136);f[m>>2]=U;f[m+4>>2]=J;lpa(1,n,y,z,m,h,i,j);f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=16842752;f[n+4>>2]=v;J=y+8|0;f[J>>2]=0;f[J+4>>2]=0;f[y>>2]=33619968;f[y+4>>2]=v;f[z+8>>2]=0;f[z+12>>2]=0;f[z>>2]=16842752;f[z+4>>2]=q;J=f[g>>2]|0;U=f[T>>2]|0;zT(l,61096);f[m>>2]=J;f[m+4>>2]=U;lpa(0,n,y,z,m,h,i,j);XF(l,v,t);U=f[l>>2]|0;rh[f[(f[U>>2]|0)+12>>2]&255](U,l,x,-1);Xi(l);break}case 7:{if(f[R>>2]&4095|0){f[l>>2]=0;f[l+4>>2]=0;r=YG(l,21)|0;W=295163;P=r+21|0;do{b[r>>0]=b[W>>0]|0;r=r+1|0;W=W+1|0}while((r|0)<(P|0));SQ(-215,l,283977,278268,2106)}f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=q;if((PX(l)|0)<1){I=l+8|0;f[I>>2]=0;f[I+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=x;kT(t,l);break a}f[n>>2]=1124007936;I=n+4|0;K=n+8|0;L=n+40|0;r=I;P=r+36|0;do{f[r>>2]=0;r=r+4|0}while((r|0)<(P|0));f[L>>2]=K;H=n+48|0;U=n+44|0;f[U>>2]=H;f[H>>2]=0;f[n+52>>2]=0;f[y>>2]=1124007936;J=y+4|0;T=y+8|0;G=y+40|0;r=J;P=r+36|0;do{f[r>>2]=0;r=r+4|0}while((r|0)<(P|0));f[G>>2]=T;K=y+48|0;c=y+44|0;f[c>>2]=K;f[K>>2]=0;f[y+52>>2]=0;f[z>>2]=1124007936;w=z+4|0;X=z+8|0;Z=z+40|0;r=w;P=r+36|0;do{f[r>>2]=0;r=r+4|0}while((r|0)<(P|0));f[Z>>2]=X;T=z+48|0;_=z+44|0;f[_>>2]=T;f[T>>2]=0;f[z+52>>2]=0;f[A>>2]=1124007936;$=A+4|0;aa=A+8|0;ba=A+40|0;r=$;P=r+36|0;do{f[r>>2]=0;r=r+4|0}while((r|0)<(P|0));f[ba>>2]=aa;ca=A+48|0;da=A+44|0;f[da>>2]=ca;f[ca>>2]=0;f[A+52>>2]=0;hG(l,q,1.0);ea=f[l>>2]|0;rh[f[(f[ea>>2]|0)+12>>2]&255](ea,l,n,-1);Xi(l);hG(l,q,-1.0);ea=f[l>>2]|0;rh[f[(f[ea>>2]|0)+12>>2]&255](ea,l,y,-1);Xi(l);f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=n;if((PX(l)|0)<1){ea=f[Q>>2]|0;fa=f[ea+4>>2]|0;ga=f[ea>>2]|0;ea=f[R>>2]&4095;p[B>>3]=255.0;ha=B+8|0;f[ha>>2]=0;f[ha+4>>2]=0;f[ha+8>>2]=0;f[ha+12>>2]=0;f[ha+16>>2]=0;f[ha+20>>2]=0;f[m>>2]=1124007936;ha=m+4|0;ia=m+8|0;ja=m+40|0;r=ha;P=r+36|0;do{f[r>>2]=0;r=r+4|0}while((r|0)<(P|0));f[ja>>2]=ia;ka=m+48|0;la=m+44|0;f[la>>2]=ka;f[ka>>2]=0;f[m+52>>2]=0;f[l>>2]=ga;f[l+4>>2]=fa;iP(m,2,l,ea);nT(m,B)|0;ma=m+36|0;na=f[ma>>2]|0;if(na|0){oa=na+12|0;f[oa>>2]=(f[oa>>2]|0)+1}oa=z+36|0;na=f[oa>>2]|0;if(na|0?(pa=na+12|0,na=f[pa>>2]|0,f[pa>>2]=na+-1,(na|0)==1):0)lP(z);f[oa>>2]=0;na=z+16|0;f[na>>2]=0;f[na+4>>2]=0;f[na+8>>2]=0;f[na+12>>2]=0;if((f[w>>2]|0)>0){pa=f[Z>>2]|0;qa=0;do{f[pa+(qa<<2)>>2]=0;qa=qa+1|0;ra=f[w>>2]|0}while((qa|0)<(ra|0));f[z>>2]=f[m>>2];if((ra|0)<3)O=127;else O=129}else{f[z>>2]=f[m>>2];O=127}if((O|0)==127){qa=f[ha>>2]|0;if((qa|0)<3){f[w>>2]=qa;f[X>>2]=f[ia>>2];f[z+12>>2]=f[m+12>>2];qa=f[la>>2]|0;pa=f[_>>2]|0;f[pa>>2]=f[qa>>2];f[pa+4>>2]=f[qa+4>>2]}else O=129}if((O|0)==129)kP(z,m);qa=m+16|0;f[na>>2]=f[qa>>2];f[z+20>>2]=f[m+20>>2];f[z+24>>2]=f[m+24>>2];f[z+28>>2]=f[m+28>>2];f[z+32>>2]=f[m+32>>2];pa=f[ma>>2]|0;f[oa>>2]=pa;if(pa|0?(ea=pa+12|0,pa=f[ea>>2]|0,f[ea>>2]=pa+-1,(pa|0)==1):0)lP(m);f[ma>>2]=0;f[qa>>2]=0;f[qa+4>>2]=0;f[qa+8>>2]=0;f[qa+12>>2]=0;if((f[ha>>2]|0)>0){qa=f[ja>>2]|0;pa=0;do{f[qa+(pa<<2)>>2]=0;pa=pa+1|0}while((pa|0)<(f[ha>>2]|0))}ha=f[la>>2]|0;if((ha|0)!=(ka|0))tE(ha)}else{f[B+8>>2]=0;f[B+12>>2]=0;f[B>>2]=16842752;f[B+4>>2]=t;ha=C+8|0;f[ha>>2]=0;f[ha+4>>2]=0;f[C>>2]=33619968;f[C+4>>2]=z;f[D+8>>2]=0;f[D+12>>2]=0;f[D>>2]=16842752;f[D+4>>2]=n;ha=f[g>>2]|0;pa=f[g+4>>2]|0;zT(l,61096);f[m>>2]=ha;f[m+4>>2]=pa;lpa(0,B,C,D,m,h,i,j)}f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=y;if((PX(l)|0)<1){pa=f[Q>>2]|0;ha=f[pa+4>>2]|0;qa=f[pa>>2]|0;pa=f[R>>2]&4095;p[B>>3]=255.0;ja=B+8|0;f[ja>>2]=0;f[ja+4>>2]=0;f[ja+8>>2]=0;f[ja+12>>2]=0;f[ja+16>>2]=0;f[ja+20>>2]=0;f[m>>2]=1124007936;ja=m+4|0;ma=m+8|0;oa=m+40|0;r=ja;P=r+36|0;do{f[r>>2]=0;r=r+4|0}while((r|0)<(P|0));f[oa>>2]=ma;ka=m+48|0;la=m+44|0;f[la>>2]=ka;f[ka>>2]=0;f[m+52>>2]=0;f[l>>2]=qa;f[l+4>>2]=ha;iP(m,2,l,pa);nT(m,B)|0;na=m+36|0;ia=f[na>>2]|0;if(ia|0){X=ia+12|0;f[X>>2]=(f[X>>2]|0)+1}X=A+36|0;ia=f[X>>2]|0;if(ia|0?(ea=ia+12|0,ia=f[ea>>2]|0,f[ea>>2]=ia+-1,(ia|0)==1):0)lP(A);f[X>>2]=0;ia=A+16|0;f[ia>>2]=0;f[ia+4>>2]=0;f[ia+8>>2]=0;f[ia+12>>2]=0;if((f[$>>2]|0)>0){ea=f[ba>>2]|0;fa=0;do{f[ea+(fa<<2)>>2]=0;fa=fa+1|0;sa=f[$>>2]|0}while((fa|0)<(sa|0));f[A>>2]=f[m>>2];if((sa|0)<3)O=153;else O=155}else{f[A>>2]=f[m>>2];O=153}if((O|0)==153){fa=f[ja>>2]|0;if((fa|0)<3){f[$>>2]=fa;f[aa>>2]=f[ma>>2];f[A+12>>2]=f[m+12>>2];fa=f[la>>2]|0;ea=f[da>>2]|0;f[ea>>2]=f[fa>>2];f[ea+4>>2]=f[fa+4>>2]}else O=155}if((O|0)==155)kP(A,m);fa=m+16|0;f[ia>>2]=f[fa>>2];f[A+20>>2]=f[m+20>>2];f[A+24>>2]=f[m+24>>2];f[A+28>>2]=f[m+28>>2];f[A+32>>2]=f[m+32>>2];ea=f[na>>2]|0;f[X>>2]=ea;if(ea|0?(pa=ea+12|0,ea=f[pa>>2]|0,f[pa>>2]=ea+-1,(ea|0)==1):0)lP(m);f[na>>2]=0;f[fa>>2]=0;f[fa+4>>2]=0;f[fa+8>>2]=0;f[fa+12>>2]=0;if((f[ja>>2]|0)>0){fa=f[oa>>2]|0;ea=0;do{f[fa+(ea<<2)>>2]=0;ea=ea+1|0}while((ea|0)<(f[ja>>2]|0))}ja=f[la>>2]|0;if((ja|0)!=(ka|0))tE(ja)}else{f[B>>2]=1124007936;ja=B+4|0;ea=B+8|0;fa=B+40|0;r=ja;P=r+36|0;do{f[r>>2]=0;r=r+4|0}while((r|0)<(P|0));f[fa>>2]=ea;ka=B+48|0;la=B+44|0;f[la>>2]=ka;f[ka>>2]=0;f[B+52>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l>>2]=16842752;f[l+4>>2]=t;oa=m+8|0;f[oa>>2]=0;f[oa+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=B;jH(l,m,rE()|0);f[C+8>>2]=0;f[C+12>>2]=0;f[C>>2]=16842752;f[C+4>>2]=B;oa=D+8|0;f[oa>>2]=0;f[oa+4>>2]=0;f[D>>2]=33619968;f[D+4>>2]=A;f[E+8>>2]=0;f[E+12>>2]=0;f[E>>2]=16842752;f[E+4>>2]=y;oa=f[g>>2]|0;na=f[g+4>>2]|0;zT(l,61096);f[m>>2]=oa;f[m+4>>2]=na;lpa(0,C,D,E,m,h,i,j);na=B+36|0;oa=f[na>>2]|0;if(oa|0?(X=oa+12|0,oa=f[X>>2]|0,f[X>>2]=oa+-1,(oa|0)==1):0)lP(B);f[na>>2]=0;na=B+16|0;f[na>>2]=0;f[na+4>>2]=0;f[na+8>>2]=0;f[na+12>>2]=0;if((f[ja>>2]|0)>0){na=f[fa>>2]|0;oa=0;do{f[na+(oa<<2)>>2]=0;oa=oa+1|0}while((oa|0)<(f[ja>>2]|0))}ja=f[la>>2]|0;if((ja|0)!=(ka|0))tE(ja)}iG(l,z,A);ja=f[l>>2]|0;rh[f[(f[ja>>2]|0)+12>>2]&255](ja,l,x,-1);Xi(l);ja=A+36|0;oa=f[ja>>2]|0;if(oa|0?(na=oa+12|0,oa=f[na>>2]|0,f[na>>2]=oa+-1,(oa|0)==1):0)lP(A);f[ja>>2]=0;ja=A+16|0;f[ja>>2]=0;f[ja+4>>2]=0;f[ja+8>>2]=0;f[ja+12>>2]=0;if((f[$>>2]|0)>0){ja=f[ba>>2]|0;oa=0;do{f[ja+(oa<<2)>>2]=0;oa=oa+1|0}while((oa|0)<(f[$>>2]|0))}$=f[da>>2]|0;if(($|0)!=(ca|0))tE($);$=z+36|0;oa=f[$>>2]|0;if(oa|0?(ja=oa+12|0,oa=f[ja>>2]|0,f[ja>>2]=oa+-1,(oa|0)==1):0)lP(z);f[$>>2]=0;$=z+16|0;f[$>>2]=0;f[$+4>>2]=0;f[$+8>>2]=0;f[$+12>>2]=0;if((f[w>>2]|0)>0){$=f[Z>>2]|0;oa=0;do{f[$+(oa<<2)>>2]=0;oa=oa+1|0}while((oa|0)<(f[w>>2]|0))}w=f[_>>2]|0;if((w|0)!=(T|0))tE(w);w=y+36|0;oa=f[w>>2]|0;if(oa|0?($=oa+12|0,oa=f[$>>2]|0,f[$>>2]=oa+-1,(oa|0)==1):0)lP(y);f[w>>2]=0;w=y+16|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[J>>2]|0)>0){w=f[G>>2]|0;oa=0;do{f[w+(oa<<2)>>2]=0;oa=oa+1|0}while((oa|0)<(f[J>>2]|0))}J=f[c>>2]|0;if((J|0)!=(K|0))tE(J);J=n+36|0;oa=f[J>>2]|0;do if(oa|0){w=oa+12|0;G=f[w>>2]|0;f[w>>2]=G+-1;if((G|0)!=1)break;lP(n)}while(0);f[J>>2]=0;oa=n+16|0;f[oa>>2]=0;f[oa+4>>2]=0;f[oa+8>>2]=0;f[oa+12>>2]=0;if((f[I>>2]|0)>0){oa=f[L>>2]|0;K=0;do{f[oa+(K<<2)>>2]=0;K=K+1|0}while((K|0)<(f[I>>2]|0))}I=f[U>>2]|0;if((I|0)!=(H|0))tE(I);break}default:{f[l>>2]=0;f[l+4>>2]=0;r=YG(l,31)|0;W=283990;P=r+31|0;do{b[r>>0]=b[W>>0]|0;r=r+1|0;W=W+1|0}while((r|0)<(P|0));SQ(-5,l,283977,278268,2134)}}while(0);l=x+36|0;W=f[l>>2]|0;if(W|0?(r=W+12|0,W=f[r>>2]|0,f[r>>2]=W+-1,(W|0)==1):0)lP(x);f[l>>2]=0;l=x+16|0;W=x+4|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[W>>2]|0)>0){l=f[x+40>>2]|0;r=0;do{f[l+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[W>>2]|0))}W=f[x+44>>2]|0;if((W|0)!=(x+48|0))tE(W);W=v+36|0;x=f[W>>2]|0;if(x|0?(r=x+12|0,x=f[r>>2]|0,f[r>>2]=x+-1,(x|0)==1):0)lP(v);f[W>>2]=0;W=v+16|0;f[W>>2]=0;f[W+4>>2]=0;f[W+8>>2]=0;f[W+12>>2]=0;if((f[a>>2]|0)>0){W=f[s>>2]|0;s=0;do{f[W+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[a>>2]|0))}a=f[F>>2]|0;if((a|0)!=(N|0))tE(a);a=t+36|0;N=f[a>>2]|0;if(N|0?(F=N+12|0,N=f[F>>2]|0,f[F>>2]=N+-1,(N|0)==1):0)lP(t);f[a>>2]=0;a=t+16|0;N=t+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[N>>2]|0)>0){a=f[Q>>2]|0;Q=0;do{f[a+(Q<<2)>>2]=0;Q=Q+1|0}while((Q|0)<(f[N>>2]|0))}N=f[t+44>>2]|0;if((N|0)!=(t+48|0))tE(N);N=q+36|0;t=f[N>>2]|0;if(t|0?(Q=t+12|0,t=f[Q>>2]|0,f[Q>>2]=t+-1,(t|0)==1):0)lP(q);f[N>>2]=0;N=q+4|0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[N>>2]|0)>0){M=f[q+40>>2]|0;t=0;do{f[M+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[N>>2]|0))}N=f[q+44>>2]|0;if((N|0)!=(q+48|0))tE(N);if(!(f[o+4>>2]|0)){u=k;return}u=k;return}function opa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0;d=u;u=u+4256|0;e=d+4240|0;g=d+4184|0;i=d+4128|0;j=d+4112|0;k=d+2064|0;l=d+8|0;m=d;zT(e,61176);do if((pD(a)|0)==65536){n=f[a+4>>2]|0;f[g>>2]=f[n>>2];o=g+4|0;p=n+4|0;f[o>>2]=f[p>>2];q=g+8|0;f[q>>2]=f[n+8>>2];f[g+12>>2]=f[n+12>>2];f[g+16>>2]=f[n+16>>2];f[g+20>>2]=f[n+20>>2];f[g+24>>2]=f[n+24>>2];f[g+28>>2]=f[n+28>>2];f[g+32>>2]=f[n+32>>2];r=f[n+36>>2]|0;f[g+36>>2]=r;f[g+40>>2]=q;q=g+48|0;s=g+44|0;f[s>>2]=q;f[q>>2]=0;f[g+52>>2]=0;if(r|0){q=r+12|0;f[q>>2]=(f[q>>2]|0)+1}if((f[p>>2]|0)<3){p=f[n+44>>2]|0;q=f[s>>2]|0;f[q>>2]=f[p>>2];f[q+4>>2]=f[p+4>>2];break}else{f[o>>2]=0;kP(g,n);break}}else lD(g,a,-1);while(0);do if((pD(c)|0)==65536){a=f[c+4>>2]|0;f[i>>2]=f[a>>2];n=i+4|0;o=a+4|0;f[n>>2]=f[o>>2];p=i+8|0;f[p>>2]=f[a+8>>2];f[i+12>>2]=f[a+12>>2];f[i+16>>2]=f[a+16>>2];f[i+20>>2]=f[a+20>>2];f[i+24>>2]=f[a+24>>2];f[i+28>>2]=f[a+28>>2];f[i+32>>2]=f[a+32>>2];q=f[a+36>>2]|0;f[i+36>>2]=q;f[i+40>>2]=p;p=i+48|0;s=i+44|0;f[s>>2]=p;f[p>>2]=0;f[i+52>>2]=0;if(q|0){p=q+12|0;f[p>>2]=(f[p>>2]|0)+1}if((f[o>>2]|0)<3){o=f[a+44>>2]|0;p=f[s>>2]|0;f[p>>2]=f[o>>2];f[p+4>>2]=f[o+4>>2];break}else{f[n>>2]=0;kP(i,a);break}}else lD(i,c,-1);while(0);c=g+40|0;a=f[c>>2]|0;n=f[a+4>>2]|0;o=f[a>>2]|0;f[j>>2]=0;a=j+4|0;f[a>>2]=0;f[j+8>>2]=0;Drc(k|0,0,2048)|0;if((f[g>>2]&4095|0)!=16){f[m>>2]=0;t=m+4|0;f[t>>2]=0;v=YG(m,47)|0;w=v;x=284119;y=w+47|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,m,284167,284177,161)}if((f[i>>2]&4095|0)!=4){f[m>>2]=0;t=m+4|0;f[t>>2]=0;v=YG(m,47)|0;w=v;x=284119;y=w+47|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,m,284167,284177,161)}v=i+40|0;t=f[v>>2]|0;if(!((o|0)==(f[t>>2]|0)?(n|0)==(f[t+4>>2]|0):0)){f[m>>2]=0;f[m+4>>2]=0;w=YG(m,24)|0;x=295308;y=w+24|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,m,284167,284177,162)}m=g+16|0;x=f[m>>2]|0;w=g+48|0;y=f[w>>2]|0;t=i+16|0;p=f[t>>2]|0;s=i+48|0;q=f[s>>2]|0;Drc(l|0,0,1024)|0;r=g+44|0;z=i+44|0;A=q>>>2;q=256;do{f[l+(q<<2)>>2]=q+-256;q=q+1|0}while((q|0)!=513);q=o+-1|0;if((n|0)>0){o=Y(A,q)|0;B=0;do{f[p+(B+o<<2)>>2]=-1;f[p+(B<<2)>>2]=-1;B=B+1|0}while((B|0)!=(n|0))}if((q|0)>1){B=n+-1|0;n=(B|0)>1;o=0-A|0;C=0-y|0;D=0;E=p;p=x;x=1;F=0;G=0;H=0;I=0;J=0;K=0;while(1){p=p+y|0;E=E+(A<<2)|0;f[E+(B<<2)>>2]=-1;f[E>>2]=-1;if(n){L=Y(x,A)|0;M=Y(x,y)|0;N=D;O=1;P=K;Q=F;R=G;S=H;T=I;U=J;while(1){V=E+(O<<2)|0;W=f[V>>2]|0;if((W|0)>=0)if(!W)X=33;else{Z=N;_=Q;$=R;aa=S;ba=T;ca=U;da=P}else{f[V>>2]=0;X=33}do if((X|0)==33){X=0;if((f[V+-4>>2]|0)>0){W=O*3|0;ea=p+W|0;fa=ea+-3|0;ga=(h[ea>>0]|0)-(h[fa>>0]|0)|0;ha=(h[ea+1>>0]|0)-(h[fa+1>>0]|0)|0;ia=(ha|0)>-1?ha:0-ha|0;ha=(h[ea+2>>0]|0)-(h[fa+2>>0]|0)|0;fa=(ha|0)>-1?ha:0-ha|0;ja=fa+(f[l+((f[l+(((ga|0)>-1?ga:0-ga|0)+256-ia<<2)>>2]|0)+256+ia-fa<<2)>>2]|0)|0;ka=f[V+4>>2]|0;la=ea;ma=W}else{W=f[V+4>>2]|0;if(((W|0)<=0?(f[V+(o<<2)>>2]|0)<=0:0)?(f[V+(A<<2)>>2]|0)<=0:0){Z=N;_=Q;$=R;aa=S;ba=T;ca=U;da=P;break}ea=O*3|0;ja=256;ka=W;la=p+ea|0;ma=ea}if((ka|0)>0){ea=(h[la>>0]|0)-(h[la+3>>0]|0)|0;W=(h[la+1>>0]|0)-(h[la+4>>0]|0)|0;fa=(W|0)>-1?W:0-W|0;W=(h[la+2>>0]|0)-(h[la+5>>0]|0)|0;ia=(W|0)>-1?W:0-W|0;na=ja-(f[l+(ja+256-(f[l+((f[l+(((ea|0)>-1?ea:0-ea|0)+256-fa<<2)>>2]|0)+256+fa-ia<<2)>>2]|0)-ia<<2)>>2]|0)|0}else na=ja;if((f[V+(o<<2)>>2]|0)>0){ia=la+C|0;fa=(h[la>>0]|0)-(h[ia>>0]|0)|0;ea=(h[la+1>>0]|0)-(h[ia+1>>0]|0)|0;W=(ea|0)>-1?ea:0-ea|0;ea=(h[la+2>>0]|0)-(h[ia+2>>0]|0)|0;ia=(ea|0)>-1?ea:0-ea|0;oa=na-(f[l+(na+256-(f[l+((f[l+(((fa|0)>-1?fa:0-fa|0)+256-W<<2)>>2]|0)+256+W-ia<<2)>>2]|0)-ia<<2)>>2]|0)|0}else oa=na;if((f[V+(A<<2)>>2]|0)>0){ia=la+y|0;W=(h[la>>0]|0)-(h[ia>>0]|0)|0;fa=(h[la+1>>0]|0)-(h[ia+1>>0]|0)|0;ea=(fa|0)>-1?fa:0-fa|0;fa=(h[la+2>>0]|0)-(h[ia+2>>0]|0)|0;ia=(fa|0)>-1?fa:0-fa|0;pa=oa-(f[l+(oa+256-(f[l+((f[l+(((W|0)>-1?W:0-W|0)+256-ea<<2)>>2]|0)+256+ea-ia<<2)>>2]|0)-ia<<2)>>2]|0)|0}else pa=oa;if(!N){ia=f[a>>2]|0;ea=ia-P|0;W=(ea|0)/12|0;fa=W*3|0;ga=(fa|0)>257?(fa|0)/2|0:128;fa=P;ha=ia;do if(ga>>>0>W>>>0){ppa(j,ga-W|0);X=51}else{if(ga>>>0>=W>>>0){X=51;break}ia=fa+(ga*12|0)|0;if((ha|0)==(ia|0)){qa=W;ra=U;break}f[a>>2]=ha+(~(((ha+-12-ia|0)>>>0)/12|0)*12|0);qa=W;ra=U}while(0);do if((X|0)==51){X=0;ha=f[j>>2]|0;if(ea|0){qa=W;ra=ha;break}f[ha>>2]=0;qa=1;ra=ha}while(0);W=ga+-1|0;if((qa|0)<(W|0)){ea=qa;do{ha=ea;ea=ea+1|0;f[ra+(ha*12|0)>>2]=ea}while((ea|0)!=(W|0))}f[ra+(W*12|0)>>2]=0;sa=qa;ta=ra}else{sa=N;ta=U}ea=ta+(sa*12|0)|0;ga=f[ea>>2]|0;f[ea>>2]=0;f[ta+(sa*12|0)+4>>2]=O+L;f[ta+(sa*12|0)+8>>2]=ma+M;ea=k+(pa<<3)+4|0;ha=f[ea>>2]|0;fa=f[j>>2]|0;f[((ha|0)==0?k+(pa<<3)|0:fa+(ha*12|0)|0)>>2]=sa;f[ea>>2]=sa;f[V>>2]=-2;ea=fa;Z=ga;_=ea;$=ea;aa=ea;ba=ea;ca=fa;da=ea}while(0);O=O+1|0;if((O|0)>=(B|0)){ua=Z;va=_;wa=$;xa=aa;ya=ba;za=ca;Aa=da;break}else{N=Z;P=da;Q=_;R=$;S=aa;T=ba;U=ca}}}else{ua=D;va=F;wa=G;xa=H;ya=I;za=J;Aa=K}x=x+1|0;if((x|0)>=(q|0)){Ba=ua;Ca=va;Da=wa;Ea=xa;Fa=ya;Ga=za;break}else{D=ua;F=va;G=wa;H=xa;I=ya;J=za;K=Aa}}}else{Ba=0;Ca=0;Da=0;Ea=0;Fa=0;Ga=0}Aa=0;while(1){if(f[k+(Aa<<3)>>2]|0){Ha=Aa;X=62;break}Aa=Aa+1|0;if((Aa|0)>=256){X=61;break}}if((X|0)==61)if((Aa|0)==256)Ia=Ga;else{Ha=Aa;X=62}a:do if((X|0)==62){Aa=f[m>>2]|0;K=f[t>>2]|0;za=0-A|0;J=0-y|0;ya=Ha;I=Ba;xa=Ca;H=Da;wa=Ea;G=Fa;va=Ga;while(1){F=ya;ua=I;while(1){D=f[k+(F<<3)>>2]|0;b:do if(!D){q=F;while(1){Ja=q+1|0;if((Ja|0)>=256)break;x=f[k+(Ja<<3)>>2]|0;if(!x)q=Ja;else{Ka=Ja;La=x;break b}}if((Ja|0)==256){Ia=va;break a}Ka=Ja;La=f[k+(Ja<<3)>>2]|0}else{Ka=F;La=D}while(0);D=va+(La*12|0)|0;W=f[D>>2]|0;f[k+(Ka<<3)>>2]=W;if(!W)f[k+(Ka<<3)+4>>2]=0;f[D>>2]=ua;Ma=f[va+(La*12|0)+4>>2]|0;Na=f[va+(La*12|0)+8>>2]|0;Oa=K+(Ma<<2)|0;Pa=Oa+-4|0;Qa=f[Pa>>2]|0;D=(Qa|0)>0?Qa:0;Ra=Oa+4|0;Sa=f[Ra>>2]|0;if((Sa|0)>0)Ta=(Qa|0)<1?Sa:(Sa|0)==(D|0)?D:-1;else Ta=D;Ua=Oa+(za<<2)|0;D=f[Ua>>2]|0;if((D|0)>0)Va=(Ta|0)==0?D:(D|0)==(Ta|0)?Ta:-1;else Va=Ta;Wa=Oa+(A<<2)|0;Xa=f[Wa>>2]|0;if((Xa|0)>0)if(!Va){X=77;break}else Ya=(Xa|0)==(Va|0)?Va:-1;else Ya=Va;f[Oa>>2]=Ya;if((Ya|0)==-1){F=Ka;ua=La}else break}if((X|0)==77){X=0;f[Oa>>2]=Xa}ua=Aa+Na|0;if(!Qa){F=ua+-3|0;D=(h[ua>>0]|0)-(h[F>>0]|0)|0;W=(h[ua+1>>0]|0)-(h[F+1>>0]|0)|0;q=(W|0)>-1?W:0-W|0;W=(h[ua+2>>0]|0)-(h[F+2>>0]|0)|0;F=(W|0)>-1?W:0-W|0;W=F+(f[l+((f[l+(((D|0)>-1?D:0-D|0)+256-q<<2)>>2]|0)+256+q-F<<2)>>2]|0)|0;if(!La){F=f[a>>2]|0;q=F-G|0;D=(q|0)/12|0;x=D*3|0;ca=(x|0)>257?(x|0)/2|0:128;x=G;ba=F;if(ca>>>0<=D>>>0)if(ca>>>0<D>>>0){F=x+(ca*12|0)|0;if((ba|0)==(F|0)){Za=D;_a=va}else{f[a>>2]=ba+(~(((ba+-12-F|0)>>>0)/12|0)*12|0);Za=D;_a=va}}else X=86;else{ppa(j,ca-D|0);X=86}if((X|0)==86){X=0;F=f[j>>2]|0;if(!q){f[F>>2]=0;Za=1;_a=F}else{Za=D;_a=F}}F=ca+-1|0;if((Za|0)<(F|0)){ca=Za;do{D=ca;ca=ca+1|0;f[_a+(D*12|0)>>2]=ca}while((ca|0)!=(F|0))}f[_a+(F*12|0)>>2]=0;$a=Za;ab=_a}else{$a=La;ab=va}ca=ab+($a*12|0)|0;D=f[ca>>2]|0;f[ca>>2]=0;f[ab+($a*12|0)+4>>2]=Ma+-1;f[ab+($a*12|0)+8>>2]=Na+-3;ca=k+(W<<3)+4|0;q=f[ca>>2]|0;ba=f[j>>2]|0;f[((q|0)==0?k+(W<<3)|0:ba+(q*12|0)|0)>>2]=$a;f[ca>>2]=$a;ca=Ka-(f[l+(Ka+256-W<<2)>>2]|0)|0;f[Pa>>2]=-2;q=ba;bb=ca;cb=D;db=f[Ra>>2]|0;eb=q;fb=q;gb=q;hb=q;ib=ba}else{bb=Ka;cb=La;db=Sa;eb=wa;fb=xa;gb=H;hb=G;ib=va}if(!db){ba=ua+3|0;q=(h[ua>>0]|0)-(h[ba>>0]|0)|0;D=(h[ua+1>>0]|0)-(h[ba+1>>0]|0)|0;ca=(D|0)>-1?D:0-D|0;D=(h[ua+2>>0]|0)-(h[ba+2>>0]|0)|0;ba=(D|0)>-1?D:0-D|0;D=ba+(f[l+((f[l+(((q|0)>-1?q:0-q|0)+256-ca<<2)>>2]|0)+256+ca-ba<<2)>>2]|0)|0;if(!cb){ba=f[a>>2]|0;ca=ba-eb|0;q=(ca|0)/12|0;x=q*3|0;aa=(x|0)>257?(x|0)/2|0:128;x=eb;$=ba;if(aa>>>0<=q>>>0)if(aa>>>0<q>>>0){ba=x+(aa*12|0)|0;if(($|0)==(ba|0)){jb=q;kb=ib}else{f[a>>2]=$+(~((($+-12-ba|0)>>>0)/12|0)*12|0);jb=q;kb=ib}}else X=99;else{ppa(j,aa-q|0);X=99}if((X|0)==99){X=0;ba=f[j>>2]|0;if(!ca){f[ba>>2]=0;jb=1;kb=ba}else{jb=q;kb=ba}}ba=aa+-1|0;if((jb|0)<(ba|0)){aa=jb;do{q=aa;aa=aa+1|0;f[kb+(q*12|0)>>2]=aa}while((aa|0)!=(ba|0))}f[kb+(ba*12|0)>>2]=0;lb=jb;mb=kb}else{lb=cb;mb=ib}aa=mb+(lb*12|0)|0;W=f[aa>>2]|0;f[aa>>2]=0;f[mb+(lb*12|0)+4>>2]=Ma+1;f[mb+(lb*12|0)+8>>2]=Na+3;aa=k+(D<<3)+4|0;F=f[aa>>2]|0;q=f[j>>2]|0;f[((F|0)==0?k+(D<<3)|0:q+(F*12|0)|0)>>2]=lb;f[aa>>2]=lb;aa=bb-(f[l+(bb+256-D<<2)>>2]|0)|0;f[Ra>>2]=-2;F=q;nb=aa;ob=W;pb=F;qb=F;rb=F;sb=F;tb=q}else{nb=bb;ob=cb;pb=gb;qb=fb;rb=eb;sb=hb;tb=ib}if(!(f[Ua>>2]|0)){q=ua+J|0;F=(h[ua>>0]|0)-(h[q>>0]|0)|0;W=(h[ua+1>>0]|0)-(h[q+1>>0]|0)|0;aa=(W|0)>-1?W:0-W|0;W=(h[ua+2>>0]|0)-(h[q+2>>0]|0)|0;q=(W|0)>-1?W:0-W|0;W=q+(f[l+((f[l+(((F|0)>-1?F:0-F|0)+256-aa<<2)>>2]|0)+256+aa-q<<2)>>2]|0)|0;if(!ob){q=f[a>>2]|0;aa=q-pb|0;F=(aa|0)/12|0;ca=F*3|0;$=(ca|0)>257?(ca|0)/2|0:128;ca=pb;x=q;if($>>>0<=F>>>0)if($>>>0<F>>>0){q=ca+($*12|0)|0;if((x|0)==(q|0)){ub=F;vb=tb}else{f[a>>2]=x+(~(((x+-12-q|0)>>>0)/12|0)*12|0);ub=F;vb=tb}}else X=112;else{ppa(j,$-F|0);X=112}if((X|0)==112){X=0;q=f[j>>2]|0;if(!aa){f[q>>2]=0;ub=1;vb=q}else{ub=F;vb=q}}q=$+-1|0;if((ub|0)<(q|0)){$=ub;do{F=$;$=$+1|0;f[vb+(F*12|0)>>2]=$}while(($|0)!=(q|0))}f[vb+(q*12|0)>>2]=0;wb=ub;xb=vb}else{wb=ob;xb=tb}$=xb+(wb*12|0)|0;D=f[$>>2]|0;f[$>>2]=0;f[xb+(wb*12|0)+4>>2]=Ma-A;f[xb+(wb*12|0)+8>>2]=Na-y;$=k+(W<<3)+4|0;ba=f[$>>2]|0;F=f[j>>2]|0;f[((ba|0)==0?k+(W<<3)|0:F+(ba*12|0)|0)>>2]=wb;f[$>>2]=wb;$=nb-(f[l+(nb+256-W<<2)>>2]|0)|0;f[Ua>>2]=-2;ba=F;yb=D;zb=$;Ab=ba;Bb=ba;Cb=ba;Db=ba;Eb=F}else{yb=ob;zb=nb;Ab=qb;Bb=pb;Cb=rb;Db=sb;Eb=tb}if(f[Wa>>2]|0){ya=zb;I=yb;xa=Ab;H=Bb;wa=Cb;G=Db;va=Eb;continue}F=ua+y|0;ba=(h[ua>>0]|0)-(h[F>>0]|0)|0;$=(h[ua+1>>0]|0)-(h[F+1>>0]|0)|0;D=($|0)>-1?$:0-$|0;$=(h[ua+2>>0]|0)-(h[F+2>>0]|0)|0;F=($|0)>-1?$:0-$|0;$=F+(f[l+((f[l+(((ba|0)>-1?ba:0-ba|0)+256-D<<2)>>2]|0)+256+D-F<<2)>>2]|0)|0;if(!yb){F=f[a>>2]|0;D=F-Ab|0;ba=(D|0)/12|0;aa=ba*3|0;x=(aa|0)>257?(aa|0)/2|0:128;aa=Ab;ca=F;if(x>>>0<=ba>>>0)if(x>>>0<ba>>>0){F=aa+(x*12|0)|0;if((ca|0)==(F|0)){Fb=ba;Gb=Eb}else{f[a>>2]=ca+(~(((ca+-12-F|0)>>>0)/12|0)*12|0);Fb=ba;Gb=Eb}}else X=125;else{ppa(j,x-ba|0);X=125}if((X|0)==125){X=0;F=f[j>>2]|0;if(!D){f[F>>2]=0;Fb=1;Gb=F}else{Fb=ba;Gb=F}}F=x+-1|0;if((Fb|0)<(F|0)){x=Fb;do{ba=x;x=x+1|0;f[Gb+(ba*12|0)>>2]=x}while((x|0)!=(F|0))}f[Gb+(F*12|0)>>2]=0;Hb=Fb;Ib=Gb}else{Hb=yb;Ib=Eb}x=Ib+(Hb*12|0)|0;ua=f[x>>2]|0;f[x>>2]=0;f[Ib+(Hb*12|0)+4>>2]=Ma+A;f[Ib+(Hb*12|0)+8>>2]=Na+y;x=k+($<<3)+4|0;W=f[x>>2]|0;q=f[j>>2]|0;f[((W|0)==0?k+($<<3)|0:q+(W*12|0)|0)>>2]=Hb;f[x>>2]=Hb;x=zb-(f[l+(zb+256-$<<2)>>2]|0)|0;f[Wa>>2]=-2;W=q;ya=x;I=ua;xa=W;H=W;wa=W;G=W;va=q}}while(0);if(Ia|0){Wa=f[a>>2]|0;if((Wa|0)!=(Ia|0))f[a>>2]=Wa+(~(((Wa+-12-Ia|0)>>>0)/12|0)*12|0);Emc(Ia)}Ia=i+36|0;Wa=f[Ia>>2]|0;if(Wa|0?(a=Wa+12|0,Wa=f[a>>2]|0,f[a>>2]=Wa+-1,(Wa|0)==1):0)lP(i);f[Ia>>2]=0;Ia=i+4|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[Ia>>2]|0)>0){t=f[v>>2]|0;v=0;do{f[t+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[Ia>>2]|0))}Ia=f[z>>2]|0;if((Ia|0)!=(s|0))tE(Ia);Ia=g+36|0;s=f[Ia>>2]|0;if(s|0?(z=s+12|0,s=f[z>>2]|0,f[z>>2]=s+-1,(s|0)==1):0)lP(g);f[Ia>>2]=0;Ia=g+4|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[Ia>>2]|0)>0){m=f[c>>2]|0;c=0;do{f[m+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[Ia>>2]|0))}Ia=f[r>>2]|0;if((Ia|0)!=(w|0))tE(Ia);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function ppa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/12|0)>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;i=(f[e>>2]|0)+12|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/12|0;g=i+b|0;if(g>>>0>357913941)Ukc(a);j=(d-h|0)/12|0;h=j<<1;d=j>>>0<178956970?(h>>>0<g>>>0?g:h):357913941;do if(d)if(d>>>0>357913941){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{k=Bmc(d*12|0)|0;break}else k=0;while(0);h=k+(i*12|0)|0;i=k+(d*12|0)|0;d=b;b=h;k=h;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;b=k+12|0;k=b;d=d+-1|0}while((d|0)!=0);d=f[a>>2]|0;b=(f[e>>2]|0)-d|0;g=h+(((b|0)/-12|0)*12|0)|0;if((b|0)>0)Krc(g|0,d|0,b|0)|0;f[a>>2]=g;f[e>>2]=k;f[c>>2]=i;if(!d)return;Emc(d);return}function qpa(a,c,e,g){a=a|0;c=c|0;e=e|0;g=g|0;var i=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0.0,Qb=0,Rb=0,Sb=0,Tb=0.0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0;i=u;u=u+1536|0;k=i+480|0;l=i;m=i+336|0;o=i+304|0;p=i+248|0;q=i+192|0;r=i+328|0;s=i+320|0;t=i+136|0;v=i+312|0;zT(o,61196);do if((pD(a)|0)==65536){w=f[a+4>>2]|0;f[p>>2]=f[w>>2];x=p+4|0;y=w+4|0;f[x>>2]=f[y>>2];z=p+8|0;f[z>>2]=f[w+8>>2];f[p+12>>2]=f[w+12>>2];f[p+16>>2]=f[w+16>>2];f[p+20>>2]=f[w+20>>2];f[p+24>>2]=f[w+24>>2];f[p+28>>2]=f[w+28>>2];f[p+32>>2]=f[w+32>>2];A=f[w+36>>2]|0;f[p+36>>2]=A;B=p+40|0;f[B>>2]=z;z=p+48|0;C=p+44|0;f[C>>2]=z;f[z>>2]=0;f[p+52>>2]=0;if(A|0){z=A+12|0;f[z>>2]=(f[z>>2]|0)+1}if((f[y>>2]|0)<3){y=f[w+44>>2]|0;z=f[C>>2]|0;f[z>>2]=f[y>>2];f[z+4>>2]=f[y+4>>2];D=B;E=p;break}else{f[x>>2]=0;kP(p,w);D=B;E=p;break}}else{lD(p,a,-1);D=p+40|0;E=p}while(0);f[q>>2]=1124007936;a=q+4|0;B=q+8|0;w=q+40|0;x=a;y=x+36|0;do{f[x>>2]=0;x=x+4|0}while((x|0)<(y|0));f[w>>2]=B;z=q+48|0;C=q+44|0;f[C>>2]=z;f[z>>2]=0;f[q+52>>2]=0;A=f[D>>2]|0;F=f[A+4>>2]|0;G=f[A>>2]|0;H=f[E>>2]|0;E=H>>>3&511;I=H&7;H=(I|0)==0;J=(I|0)==2;if((I|2|0)!=2){f[k>>2]=0;f[k+4>>2]=0;x=YG(k,33)|0;K=284300;y=x+33|0;do{b[x>>0]=b[K>>0]|0;x=x+1|0;K=K+1|0}while((x|0)<(y|0));rpa(-215,k,1670)}L=p+16|0;if(!(f[L>>2]|0)){f[k>>2]=0;M=k+4|0;f[M>>2]=0;N=YG(k,12)|0;x=N;K=384479;y=x+12|0;do{b[x>>0]=b[K>>0]|0;x=x+1|0;K=K+1|0}while((x|0)<(y|0));rpa(-215,k,1671)}O=p+4|0;P=f[O>>2]|0;if((P|0)<3)Q=Y(f[p+12>>2]|0,f[p+8>>2]|0)|0;else{R=1;S=G;while(1){T=Y(f[A+(R<<2)>>2]|0,S)|0;R=R+1|0;if((R|0)==(P|0)){Q=T;break}else S=T}}if((P|0)==0|(Q|0)==0){f[k>>2]=0;M=k+4|0;f[M>>2]=0;N=YG(k,12)|0;x=N;K=384479;y=x+12|0;do{b[x>>0]=b[K>>0]|0;x=x+1|0;K=K+1|0}while((x|0)<(y|0));rpa(-215,k,1671)}a:do switch(e|0){case 89:case 88:case 87:case 86:{if(!((g|0)<2&(E|0)==0)){f[k>>2]=0;f[k+4>>2]=0;x=YG(k,20)|0;K=284334;y=x+20|0;do{b[x>>0]=b[K>>0]|0;x=x+1|0;K=K+1|0}while((x|0)<(y|0));rpa(-215,k,1678)}f[r>>2]=F;f[r+4>>2]=G;HD(c,r,I,-1,0,0);do if((pD(c)|0)==65536){N=f[c+4>>2]|0;f[k>>2]=f[N>>2];M=k+4|0;Q=N+4|0;f[M>>2]=f[Q>>2];P=k+8|0;f[P>>2]=f[N+8>>2];f[k+12>>2]=f[N+12>>2];f[k+16>>2]=f[N+16>>2];f[k+20>>2]=f[N+20>>2];f[k+24>>2]=f[N+24>>2];f[k+28>>2]=f[N+28>>2];f[k+32>>2]=f[N+32>>2];S=k+36|0;R=f[N+36>>2]|0;f[S>>2]=R;f[k+40>>2]=P;P=k+48|0;A=k+44|0;f[A>>2]=P;f[P>>2]=0;f[k+52>>2]=0;if(R|0){P=R+12|0;f[P>>2]=(f[P>>2]|0)+1}if((f[Q>>2]|0)<3){Q=f[N+44>>2]|0;P=f[A>>2]|0;f[P>>2]=f[Q>>2];f[P+4>>2]=f[Q+4>>2];U=S;break}else{f[M>>2]=0;kP(k,N);U=S;break}}else{lD(k,c,-1);U=k+36|0}while(0);S=f[U>>2]|0;if(S|0){N=S+12|0;f[N>>2]=(f[N>>2]|0)+1}N=q+36|0;S=f[N>>2]|0;if(S|0?(M=S+12|0,S=f[M>>2]|0,f[M>>2]=S+-1,(S|0)==1):0)lP(q);f[N>>2]=0;S=q+16|0;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;if((f[a>>2]|0)>0){M=f[w>>2]|0;Q=0;do{f[M+(Q<<2)>>2]=0;Q=Q+1|0;V=f[a>>2]|0}while((Q|0)<(V|0));f[q>>2]=f[k>>2];if((V|0)<3)W=36;else W=38}else{f[q>>2]=f[k>>2];W=36}if((W|0)==36){Q=f[k+4>>2]|0;if((Q|0)<3){f[a>>2]=Q;f[B>>2]=f[k+8>>2];f[q+12>>2]=f[k+12>>2];Q=f[k+44>>2]|0;M=f[C>>2]|0;f[M>>2]=f[Q>>2];f[M+4>>2]=f[Q+4>>2]}else W=38}if((W|0)==38)kP(q,k);Q=k+16|0;f[S>>2]=f[Q>>2];f[q+20>>2]=f[k+20>>2];f[q+24>>2]=f[k+24>>2];f[q+28>>2]=f[k+28>>2];f[q+32>>2]=f[k+32>>2];M=f[U>>2]|0;f[N>>2]=M;if(M|0?(P=M+12|0,M=f[P>>2]|0,f[P>>2]=M+-1,(M|0)==1):0)lP(k);f[U>>2]=0;M=k+4|0;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q+12>>2]=0;if((f[M>>2]|0)>0){Q=f[k+40>>2]|0;P=0;do{f[Q+(P<<2)>>2]=0;P=P+1|0}while((P|0)<(f[M>>2]|0))}M=f[k+44>>2]|0;if((M|0)!=(k+48|0))tE(M);if(H){M=f[D>>2]|0;P=f[M+4>>2]|0;Q=f[M>>2]|0;M=k+4|0;A=(e&-2|0)==86;R=Q+-2|0;f[M>>2]=R;f[k>>2]=P+-2;if((Q|0)>2){f[l>>2]=0;f[l+4>>2]=R;spa(m,p,q,((e|0)==87|(e|0)==89)&1,A,k,A?1868:4899,A?4899:1868);A=f[a>>2]|0;if((A|0)<3)X=Y(f[q+12>>2]|0,f[B>>2]|0)|0;else{R=f[w>>2]|0;Q=0;P=1;while(1){T=Y(f[R+(Q<<2)>>2]|0,P)|0;Q=Q+1|0;if((Q|0)==(A|0)){X=T;break}else P=T}}oU(l,m,+(X>>>0)*.0000152587890625);tpa(m)}P=f[w>>2]|0;A=f[P+4>>2]|0;Q=f[P>>2]|0;f[k>>2]=A;f[M>>2]=Q;P=f[S>>2]|0;R=f[z>>2]|0;T=(A|0)>0;do if((Q|0)>2){if(T){A=0;do{b[P+A>>0]=b[P+(A+R)>>0]|0;Z=f[M>>2]|0;_=P+((Y(Z+-2|0,R)|0)+A)|0;$=P+((Y(Z+-1|0,R)|0)+A)|0;b[$>>0]=b[_>>0]|0;A=A+1|0}while((A|0)<(f[k>>2]|0))}}else if(T){A=P+(Y(Q+-1|0,R)|0)|0;b[A>>0]=0;b[P>>0]=0;if((f[k>>2]|0)>1)aa=1;else break;do{A=P+((Y((f[M>>2]|0)+-1|0,R)|0)+aa)|0;b[A>>0]=0;b[P+aa>>0]=0;aa=aa+1|0}while((aa|0)<(f[k>>2]|0))}while(0);ba=N;break a}if(!J){f[k>>2]=0;f[k+4>>2]=0;x=YG(k,54)|0;K=284355;y=x+54|0;do{b[x>>0]=b[K>>0]|0;x=x+1|0;K=K+1|0}while((x|0)<(y|0));rpa(-210,k,1688)}P=f[D>>2]|0;R=f[P+4>>2]|0;M=f[P>>2]|0;P=k+4|0;Q=(e&-2|0)==86;T=M+-2|0;f[P>>2]=T;f[k>>2]=R+-2;if((M|0)>2){f[l>>2]=0;f[l+4>>2]=T;upa(m,p,q,((e|0)==87|(e|0)==89)&1,Q,k,Q?1868:4899,Q?4899:1868);Q=f[a>>2]|0;if((Q|0)<3)ca=Y(f[q+12>>2]|0,f[B>>2]|0)|0;else{T=f[w>>2]|0;M=0;R=1;while(1){A=Y(f[T+(M<<2)>>2]|0,R)|0;M=M+1|0;if((M|0)==(Q|0)){ca=A;break}else R=A}}oU(l,m,+(ca>>>0)*.0000152587890625);vpa(m)}R=f[w>>2]|0;Q=f[R+4>>2]|0;M=f[R>>2]|0;f[k>>2]=Q;f[P>>2]=M;R=f[S>>2]|0;T=(f[z>>2]|0)>>>1;A=(Q|0)>0;if((M|0)>2){if(A){_=Y(T,M+-2|0)|0;$=Y(T,M+-1|0)|0;Z=0;do{d[R+(Z<<1)>>1]=d[R+(Z+T<<1)>>1]|0;d[R+(Z+$<<1)>>1]=d[R+(Z+_<<1)>>1]|0;Z=Z+1|0}while((Z|0)!=(Q|0))}}else if(A){Z=Y(T,M+-1|0)|0;_=0;do{d[R+(_+Z<<1)>>1]=0;d[R+(_<<1)>>1]=0;_=_+1|0}while((_|0)!=(Q|0))}ba=N;break}case 142:case 141:case 140:case 139:{da=(g|0)<1?4:g;W=78;break}case 65:case 64:case 63:case 62:case 49:case 48:case 47:case 46:{da=g;W=78;break}case 138:case 137:case 136:case 135:{if(!(((g|0)<1|(g|0)==3)&(E|0)==0)){f[k>>2]=0;f[k+4>>2]=0;x=YG(k,20)|0;K=284499;y=x+20|0;do{b[x>>0]=b[K>>0]|0;x=x+1|0;K=K+1|0}while((x|0)<(y|0));rpa(-215,k,1729)}f[v>>2]=F;f[v+4>>2]=G;HD(c,v,I|16,-1,0,0);do if((pD(c)|0)==65536){N=f[c+4>>2]|0;f[k>>2]=f[N>>2];Q=k+4|0;_=N+4|0;f[Q>>2]=f[_>>2];R=k+8|0;f[R>>2]=f[N+8>>2];f[k+12>>2]=f[N+12>>2];f[k+16>>2]=f[N+16>>2];f[k+20>>2]=f[N+20>>2];f[k+24>>2]=f[N+24>>2];f[k+28>>2]=f[N+28>>2];f[k+32>>2]=f[N+32>>2];Z=k+36|0;M=f[N+36>>2]|0;f[Z>>2]=M;f[k+40>>2]=R;R=k+48|0;T=k+44|0;f[T>>2]=R;f[R>>2]=0;f[k+52>>2]=0;if(M|0){R=M+12|0;f[R>>2]=(f[R>>2]|0)+1}if((f[_>>2]|0)<3){_=f[N+44>>2]|0;R=f[T>>2]|0;f[R>>2]=f[_>>2];f[R+4>>2]=f[_+4>>2];ea=Z;break}else{f[Q>>2]=0;kP(k,N);ea=Z;break}}else{lD(k,c,-1);ea=k+36|0}while(0);Z=f[ea>>2]|0;if(Z|0){N=Z+12|0;f[N>>2]=(f[N>>2]|0)+1}N=q+36|0;Z=f[N>>2]|0;if(Z|0?(Q=Z+12|0,Z=f[Q>>2]|0,f[Q>>2]=Z+-1,(Z|0)==1):0)lP(q);f[N>>2]=0;Z=q+16|0;f[Z>>2]=0;f[Z+4>>2]=0;f[Z+8>>2]=0;f[Z+12>>2]=0;if((f[a>>2]|0)>0){Q=f[w>>2]|0;_=0;do{f[Q+(_<<2)>>2]=0;_=_+1|0;fa=f[a>>2]|0}while((_|0)<(fa|0));f[q>>2]=f[k>>2];if((fa|0)<3)W=199;else W=201}else{f[q>>2]=f[k>>2];W=199}if((W|0)==199){_=f[k+4>>2]|0;if((_|0)<3){f[a>>2]=_;f[B>>2]=f[k+8>>2];f[q+12>>2]=f[k+12>>2];_=f[k+44>>2]|0;Q=f[C>>2]|0;f[Q>>2]=f[_>>2];f[Q+4>>2]=f[_+4>>2]}else W=201}if((W|0)==201)kP(q,k);_=k+16|0;f[Z>>2]=f[_>>2];f[q+20>>2]=f[k+20>>2];f[q+24>>2]=f[k+24>>2];f[q+28>>2]=f[k+28>>2];f[q+32>>2]=f[k+32>>2];Q=f[ea>>2]|0;f[N>>2]=Q;if(Q|0?(R=Q+12|0,Q=f[R>>2]|0,f[R>>2]=Q+-1,(Q|0)==1):0)lP(k);f[ea>>2]=0;Q=k+4|0;f[_>>2]=0;f[_+4>>2]=0;f[_+8>>2]=0;f[_+12>>2]=0;if((f[Q>>2]|0)>0){_=f[k+40>>2]|0;R=0;do{f[_+(R<<2)>>2]=0;R=R+1|0}while((R|0)<(f[Q>>2]|0))}Q=f[k+44>>2]|0;if((Q|0)!=(k+48|0))tE(Q);if(H){Q=f[D>>2]|0;R=f[Q+4>>2]|0;_=f[Q>>2]|0;f[k>>2]=R;Q=k+4|0;f[Q>>2]=_;b:do if((R|0)<3|(_|0)<3){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;f[l+28>>2]=0;nT(q,l)|0}else{f[k>>2]=R+-2;f[Q>>2]=_+-2;zpa(l,p,q,k,(e+-135|0)>>>0<2&1,(e|2|0)==138&1);T=f[Q>>2]|0;f[m>>2]=0;f[m+4>>2]=T;T=f[a>>2]|0;if((T|0)<3)ga=Y(f[q+12>>2]|0,f[B>>2]|0)|0;else{M=f[w>>2]|0;A=0;$=1;while(1){S=Y(f[M+(A<<2)>>2]|0,$)|0;A=A+1|0;if((A|0)==(T|0)){ga=S;break}else $=S}}oU(m,l,+(ga>>>0)*.0000152587890625);Apa(l);$=f[w>>2]|0;T=f[$+4>>2]|0;A=f[$>>2]|0;f[Q>>2]=A;$=f[q>>2]|0;M=Y(($>>>3&511)+1|0,T)|0;f[k>>2]=M;T=((f[z>>2]|0)>>>0)/((1212424721>>>($<<2&28)&15)>>>0)|0;$=f[Z>>2]|0;S=$+(Y(T,A+-1|0)|0)|0;P=(M|0)>0;if((A|0)<=2){if(P)ha=0;else break;while(1){b[S+ha>>0]=0;b[$+ha>>0]=0;ha=ha+1|0;if((ha|0)>=(f[k>>2]|0))break b}}if(!P)break;A=$+T|0;M=S+(0-T)|0;ia=0;do{b[$+ia>>0]=b[A+ia>>0]|0;b[S+ia>>0]=b[M+ia>>0]|0;ia=ia+1|0}while((ia|0)<(f[k>>2]|0))}while(0);ba=N;break a}if(!J){f[k>>2]=0;f[k+4>>2]=0;x=YG(k,74)|0;K=284520;y=x+74|0;do{b[x>>0]=b[K>>0]|0;x=x+1|0;K=K+1|0}while((x|0)<(y|0));rpa(-210,k,1738)}Q=f[D>>2]|0;_=f[Q+4>>2]|0;R=f[Q>>2]|0;f[k>>2]=_;Q=k+4|0;f[Q>>2]=R;c:do if((_|0)<3|(R|0)<3){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;f[l+28>>2]=0;nT(q,l)|0}else{f[k>>2]=_+-2;f[Q>>2]=R+-2;Bpa(l,p,q,k,(e+-135|0)>>>0<2&1,(e|2|0)==138&1);ia=f[Q>>2]|0;f[m>>2]=0;f[m+4>>2]=ia;ia=f[a>>2]|0;if((ia|0)<3)ja=Y(f[q+12>>2]|0,f[B>>2]|0)|0;else{M=f[w>>2]|0;S=0;A=1;while(1){$=Y(f[M+(S<<2)>>2]|0,A)|0;S=S+1|0;if((S|0)==(ia|0)){ja=$;break}else A=$}}oU(m,l,+(ja>>>0)*.0000152587890625);Cpa(l);A=f[w>>2]|0;ia=f[A+4>>2]|0;S=f[A>>2]|0;f[Q>>2]=S;A=f[q>>2]|0;M=Y((A>>>3&511)+1|0,ia)|0;f[k>>2]=M;ia=((f[z>>2]|0)>>>0)/((1212424721>>>(A<<2&28)&15)>>>0)|0;A=f[Z>>2]|0;$=A+((Y(ia,S+-1|0)|0)<<1)|0;T=(M|0)>0;if((S|0)<=2){if(T)ka=0;else break;while(1){d[$+(ka<<1)>>1]=0;d[A+(ka<<1)>>1]=0;ka=ka+1|0;if((ka|0)==(M|0))break c}}if(!T)break;S=A+(ia<<1)|0;P=$+(0-ia<<1)|0;la=0;do{d[A+(la<<1)>>1]=d[S+(la<<1)>>1]|0;d[$+(la<<1)>>1]=d[P+(la<<1)>>1]|0;la=la+1|0}while((la|0)!=(M|0))}while(0);ba=N;break}default:{f[k>>2]=0;f[k+4>>2]=0;x=YG(k,43)|0;K=284595;y=x+43|0;do{b[x>>0]=b[K>>0]|0;x=x+1|0;K=K+1|0}while((x|0)<(y|0));rpa(-206,k,1743)}}while(0);if((W|0)==78){W=(da|0)<1?3:da;if(!((E|0)==0&(W+-3|0)>>>0<2)){f[k>>2]=0;f[k+4>>2]=0;x=YG(k,34)|0;K=284410;y=x+34|0;do{b[x>>0]=b[K>>0]|0;x=x+1|0;K=K+1|0}while((x|0)<(y|0));rpa(-215,k,1700)}f[s>>2]=F;f[s+4>>2]=G;HD(c,s,(W<<3)+-8|I,-1,0,0);do if((pD(c)|0)==65536){I=f[c+4>>2]|0;f[t>>2]=f[I>>2];W=t+4|0;s=I+4|0;f[W>>2]=f[s>>2];G=t+8|0;f[G>>2]=f[I+8>>2];f[t+12>>2]=f[I+12>>2];f[t+16>>2]=f[I+16>>2];f[t+20>>2]=f[I+20>>2];f[t+24>>2]=f[I+24>>2];f[t+28>>2]=f[I+28>>2];f[t+32>>2]=f[I+32>>2];F=f[I+36>>2]|0;f[t+36>>2]=F;f[t+40>>2]=G;G=t+48|0;E=t+44|0;f[E>>2]=G;f[G>>2]=0;f[t+52>>2]=0;if(F|0){G=F+12|0;f[G>>2]=(f[G>>2]|0)+1}if((f[s>>2]|0)<3){s=f[I+44>>2]|0;G=f[E>>2]|0;f[G>>2]=f[s>>2];f[G+4>>2]=f[s+4>>2];break}else{f[W>>2]=0;kP(t,I);break}}else lD(t,c,-1);while(0);d:do switch(e|0){case 46:case 47:case 48:case 49:case 139:case 140:case 141:case 142:{if(H){wpa(p,t,e);break d}if(!J){f[k>>2]=0;f[k+4>>2]=0;x=YG(k,53)|0;K=284445;y=x+53|0;do{b[x>>0]=b[K>>0]|0;x=x+1|0;K=K+1|0}while((x|0)<(y|0));rpa(-210,k,1715)}c=(f[t+48>>2]|0)>>>1;I=f[D>>2]|0;W=f[I+4>>2]|0;s=f[I>>2]|0;f[k>>2]=W;I=k+4|0;f[I>>2]=s;switch(e|0){case 46:case 47:case 139:{ma=-1;break}default:ma=(e|0)==140?-1:1}switch(e|0){case 142:case 47:case 49:case 140:{na=1;break}default:na=0}G=((f[t>>2]|0)>>>3&511)+1|0;E=s+-2|0;f[I>>2]=E;f[k>>2]=W+-2;if((s|0)>2){f[l>>2]=0;f[l+4>>2]=E;xpa(m,p,t,na,ma,k);E=f[t+4>>2]|0;if((E|0)<3)oa=Y(f[t+12>>2]|0,f[t+8>>2]|0)|0;else{s=f[t+40>>2]|0;W=0;F=1;while(1){da=Y(f[s+(W<<2)>>2]|0,F)|0;W=W+1|0;if((W|0)==(E|0)){oa=da;break}else F=da}}oU(l,m,+(oa>>>0)*.0000152587890625);ypa(m)}F=f[t+40>>2]|0;E=f[F+4>>2]|0;W=f[F>>2]|0;f[k>>2]=E;f[I>>2]=W;F=f[t+16>>2]|0;s=Y(E,G)|0;E=(s|0)>0;if((W|0)>2){if(E){da=Y(W+-2|0,c)|0;ka=Y(W+-1|0,c)|0;ja=0;do{d[F+(ja<<1)>>1]=d[F+(ja+c<<1)>>1]|0;d[F+(ja+ka<<1)>>1]=d[F+(ja+da<<1)>>1]|0;ja=ja+1|0}while((ja|0)!=(s|0))}}else if(E){ja=Y(W+-1|0,c)|0;da=0;do{d[F+(da+ja<<1)>>1]=0;d[F+(da<<1)>>1]=0;da=da+1|0}while((da|0)!=(s|0))}break}default:{if(!H){f[k>>2]=0;f[k+4>>2]=0;x=YG(k,14)|0;K=382877;y=x+14|0;do{b[x>>0]=b[K>>0]|0;x=x+1|0;K=K+1|0}while((x|0)<(y|0));rpa(-215,k,1719)}s=f[L>>2]|0;da=f[p+48>>2]|0;F=f[t+16>>2]|0;ja=f[t+48>>2]|0;c=f[D>>2]|0;W=f[c+4>>2]|0;E=f[c>>2]|0;if((((W|0)>(E|0)?E:W)|0)<8){wpa(p,t,e);break d}c=W<<1;ka=W*3|0;G=W<<2;I=W*5|0;B=W*6|0;ha=W*49|0;ga=W*147|0;ea=k+8|0;f[k>>2]=ea;fa=k+4|0;f[fa>>2]=ga;if(ga>>>0>520){v=Dmc(ga>>>0>2147483647?-1:ga<<1)|0;f[k>>2]=v;pa=v}else pa=ea;v=da<<1;ga=s+v|0;s=E+-4|0;if((s|0)>2){g=W+-2|0;ca=W+-1|0;aa=(ca|0)>1;X=~da;U=da+-1|0;V=0-da|0;r=1-da|0;N=da+1|0;Z=(g|0)>2;Q=ka+-9|0;R=g*3|0;_=W+1|0;M=c|1;la=c+-1|0;P=ka+-1|0;$=ka+1|0;S=V<<1;A=S+-1|0;ia=S|1;T=v+-1|0;qa=v|1;ra=-2-da|0;sa=da+-2|0;ta=2-da|0;ua=da+2|0;va=G|1;wa=G+-1|0;xa=I+-1|0;ya=I+1|0;za=Y(da,-2)|0;Aa=za+2|0;Ba=B|1;Ca=v+-2|0;Da=B+-1|0;Ea=za+-2|0;za=v+2|0;Fa=g+W|0;Ga=g+c|0;Ha=g+ka|0;Ia=g+G|0;Ja=g+I|0;Ka=g+B|0;La=(e|1|0)==63?0:2;Ma=2;Na=(e|0)!=62&(e|0)!=64;while(1){Oa=Y(Ma,ja)|0;Pa=(Ma|0)==2?-1:1;do{Qa=Pa+Ma|0;Ra=pa+((Y((Qa+-1|0)%3|0,ha)|0)<<1)+2|0;d[Ra+(g<<1)>>1]=0;d[Ra+-2>>1]=0;d[Ra+(Fa<<1)>>1]=0;d[Ra+(ca<<1)>>1]=0;d[Ra+(Ga<<1)>>1]=0;d[Ra+(la<<1)>>1]=0;d[Ra+(Ha<<1)>>1]=0;d[Ra+(P<<1)>>1]=0;d[Ra+(Ia<<1)>>1]=0;d[Ra+(wa<<1)>>1]=0;d[Ra+(Ja<<1)>>1]=0;d[Ra+(xa<<1)>>1]=0;d[Ra+(Ka<<1)>>1]=0;d[Ra+(Da<<1)>>1]=0;if(aa){Sa=Ra;Ra=ga+(Y(Qa,da)|0)+1|0;Qa=1;while(1){Ta=Ra+X|0;Ua=Ra+U|0;Va=(h[Ta>>0]|0)-(h[Ua>>0]|0)|0;Wa=Ra+V|0;Xa=Ra+da|0;Ya=(h[Wa>>0]|0)-(h[Xa>>0]|0)|0;Za=Ra+r|0;_a=Ra+N|0;$a=(h[Za>>0]|0)-(h[_a>>0]|0)|0;d[Sa>>1]=(((Ya|0)>-1?Ya:0-Ya|0)<<1)+((Va|0)>-1?Va:0-Va|0)+(($a|0)>-1?$a:0-$a|0);$a=(h[Ta>>0]|0)-(h[Za>>0]|0)|0;Va=Ra+-1|0;Ra=Ra+1|0;Ya=(h[Va>>0]|0)-(h[Ra>>0]|0)|0;ab=(h[Ua>>0]|0)-(h[_a>>0]|0)|0;d[Sa+(W<<1)>>1]=(((Ya|0)>-1?Ya:0-Ya|0)<<1)+(($a|0)>-1?$a:0-$a|0)+((ab|0)>-1?ab:0-ab|0);ab=(h[Za>>0]|0)-(h[Ua>>0]|0)|0;Ua=Sa+(c<<1)|0;d[Ua>>1]=((ab|0)>-1?ab:0-ab|0)<<1;ab=(h[Ta>>0]|0)-(h[_a>>0]|0)|0;_a=Sa+(ka<<1)|0;d[_a>>1]=((ab|0)>-1?ab:0-ab|0)<<1;ab=(h[Wa>>0]|0)-(h[Va>>0]|0)|0;Ta=(h[Xa>>0]|0)-(h[Ra>>0]|0)|0;d[Sa+(G<<1)>>1]=((ab|0)>-1?ab:0-ab|0)+(j[Ua>>1]|0)+((Ta|0)>-1?Ta:0-Ta|0);Ta=(h[Wa>>0]|0)-(h[Ra>>0]|0)|0;Ua=(h[Xa>>0]|0)-(h[Va>>0]|0)|0;d[Sa+(I<<1)>>1]=((Ta|0)>-1?Ta:0-Ta|0)+(j[_a>>1]|0)+((Ua|0)>-1?Ua:0-Ua|0);d[Sa+(B<<1)>>1]=((h[Va>>0]|0)+(h[Wa>>0]|0)+(h[Ra>>0]|0)+(h[Xa>>0]|0)|0)>>>1;Qa=Qa+1|0;if((Qa|0)==(ca|0))break;else Sa=Sa+2|0}}Pa=Pa+1|0}while((Pa|0)!=2);Pa=F+Oa|0;if(Z){Sa=La^2;Qa=Na;Ra=pa+((Y((Ma|0)%3|0,ha)|0)<<1)+4|0;Xa=pa+((Y((Ma+-1|0)%3|0,ha)|0)<<1)+4|0;Wa=pa+((Y((Ma+-2|0)%3|0,ha)|0)<<1)+4|0;Va=Pa+6|0;Ua=ga+(Y(Ma,da)|0)+2|0;_a=2;while(1){Ta=j[Xa>>1]|0;ab=Ta+(j[Wa>>1]|0)|0;Za=(j[Ra>>1]|0)+Ta|0;Ta=j[Xa+(W<<1)>>1]|0;$a=Ta+(j[Xa+(ca<<1)>>1]|0)|0;Ya=(j[Xa+(_<<1)>>1]|0)+Ta|0;Ta=Za>>>0<ab>>>0?Za:ab;bb=($a|0)<(Ta|0)?$a:Ta;Ta=(Ya|0)<(bb|0)?Ya:bb;bb=ab>>>0<Za>>>0?Za:ab;cb=(bb|0)<($a|0)?$a:bb;bb=(cb|0)<(Ya|0)?Ya:cb;if(Qa){cb=j[Xa+(c<<1)>>1]|0;db=(j[Wa+(M<<1)>>1]|0)+(j[Wa+(c<<1)>>1]|0)+cb+(j[Xa+(M<<1)>>1]|0)|0;eb=(j[Xa+(la<<1)>>1]|0)+cb+(j[Ra+(c<<1)>>1]|0)+(j[Ra+(la<<1)>>1]|0)|0;cb=j[Xa+(ka<<1)>>1]|0;fb=(j[Wa+(P<<1)>>1]|0)+(j[Wa+(ka<<1)>>1]|0)+cb+(j[Xa+(P<<1)>>1]|0)|0;gb=(j[Xa+($<<1)>>1]|0)+cb+(j[Ra+(ka<<1)>>1]|0)+(j[Ra+($<<1)>>1]|0)|0;cb=(db|0)<(Ta|0)?db:Ta;hb=(eb|0)<(cb|0)?eb:cb;cb=(fb|0)<(hb|0)?fb:hb;hb=(bb|0)<(db|0)?db:bb;ib=(hb|0)<(eb|0)?eb:hb;hb=(ib|0)<(fb|0)?fb:ib;ib=(hb|0)<(gb|0)?gb:hb;hb=((ib|0)<2?1:ib>>>1)+((gb|0)<(cb|0)?gb:cb)|0;if((ab|0)<(hb|0)){jb=1;kb=(h[Ua+V>>0]|0)<<1;lb=(h[Ua>>0]|0)+(h[Ua+S>>0]|0)|0;mb=(h[Ua+ia>>0]|0)+(h[Ua+A>>0]|0)|0}else{jb=0;kb=0;lb=0;mb=0}if((Za|0)<(hb|0)){nb=jb+1|0;ob=((h[Ua+da>>0]|0)<<1)+kb|0;pb=(h[Ua+v>>0]|0)+lb+(h[Ua>>0]|0)|0;qb=(h[Ua+T>>0]|0)+mb+(h[Ua+qa>>0]|0)|0}else{nb=jb;ob=kb;pb=lb;qb=mb}if(($a|0)<(hb|0)){rb=nb+1|0;sb=(h[Ua+ra>>0]|0)+ob+(h[Ua+sa>>0]|0)|0;tb=(h[Ua+-2>>0]|0)+pb+(h[Ua>>0]|0)|0;ub=((h[Ua+-1>>0]|0)<<1)+qb|0}else{rb=nb;sb=ob;tb=pb;ub=qb}if((Ya|0)<(hb|0)){vb=rb+1|0;wb=(h[Ua+ta>>0]|0)+sb+(h[Ua+ua>>0]|0)|0;xb=(h[Ua+2>>0]|0)+tb+(h[Ua>>0]|0)|0;yb=((h[Ua+1>>0]|0)<<1)+ub|0}else{vb=rb;wb=sb;xb=tb;yb=ub}if((db|0)<(hb|0)){zb=vb+1|0;Ab=(h[Ua+V>>0]|0)+wb+(h[Ua+ta>>0]|0)|0;Bb=((h[Ua+r>>0]|0)<<1)+xb|0;Cb=(h[Ua+ia>>0]|0)+yb+(h[Ua+1>>0]|0)|0}else{zb=vb;Ab=wb;Bb=xb;Cb=yb}if((eb|0)<(hb|0)){Db=zb+1|0;Eb=(h[Ua+da>>0]|0)+Ab+(h[Ua+sa>>0]|0)|0;Fb=((h[Ua+U>>0]|0)<<1)+Bb|0;Gb=(h[Ua+T>>0]|0)+Cb+(h[Ua+-1>>0]|0)|0}else{Db=zb;Eb=Ab;Fb=Bb;Gb=Cb}if((fb|0)<(hb|0)){Hb=Db+1|0;Ib=(h[Ua+ra>>0]|0)+Eb+(h[Ua+V>>0]|0)|0;Jb=((h[Ua+X>>0]|0)<<1)+Fb|0;Kb=(h[Ua+A>>0]|0)+Gb+(h[Ua+-1>>0]|0)|0}else{Hb=Db;Ib=Eb;Jb=Fb;Kb=Gb}if((gb|0)<(hb|0)){Lb=Hb+1|0;Mb=(h[Ua+ua>>0]|0)+Ib+(h[Ua+da>>0]|0)|0;Nb=((h[Ua+N>>0]|0)<<1)+Jb|0;Ob=(h[Ua+qa>>0]|0)+Kb+(h[Ua+1>>0]|0)|0}else{Lb=Hb;Mb=Ib;Nb=Jb;Ob=Kb}hb=h[Ua>>0]|0;Pb=+n[61216+(Lb<<2)>>2];Qb=hb;Rb=(U9b(+(Ob-Nb|0)*Pb)|0)+hb|0;Sb=hb;Tb=Pb;Ub=Mb-Nb|0}else{hb=j[Xa+(G<<1)>>1]|0;gb=hb+(j[Wa+(va<<1)>>1]|0)|0;fb=(j[Ra+(wa<<1)>>1]|0)+hb|0;hb=j[Xa+(I<<1)>>1]|0;eb=hb+(j[Wa+(xa<<1)>>1]|0)|0;db=(j[Ra+(ya<<1)>>1]|0)+hb|0;hb=(gb|0)<(Ta|0)?gb:Ta;Ta=(fb|0)<(hb|0)?fb:hb;hb=(eb|0)<(Ta|0)?eb:Ta;Ta=(bb|0)<(gb|0)?gb:bb;bb=(Ta|0)<(fb|0)?fb:Ta;Ta=(bb|0)<(eb|0)?eb:bb;bb=(Ta|0)<(db|0)?db:Ta;Ta=((bb|0)<2?1:bb>>>1)+((db|0)<(hb|0)?db:hb)|0;hb=h[Ua>>0]|0;if((ab|0)<(Ta|0)){Vb=1;Wb=(h[Ua+r>>0]|0)+(h[Ua+X>>0]|0)|0;Xb=(h[Ua+V>>0]|0)<<1;Yb=(h[Ua+S>>0]|0)+hb|0}else{Vb=0;Wb=0;Xb=0;Yb=0}if((Za|0)<(Ta|0)){Zb=Vb+1|0;_b=(h[Ua+U>>0]|0)+Wb+(h[Ua+N>>0]|0)|0;$b=((h[Ua+da>>0]|0)<<1)+Xb|0;ac=Yb+hb+(h[Ua+v>>0]|0)|0}else{Zb=Vb;_b=Wb;$b=Xb;ac=Yb}if(($a|0)<(Ta|0)){bc=Zb+1|0;cc=(h[Ua+X>>0]|0)+_b+(h[Ua+U>>0]|0)|0;dc=((h[Ua+-1>>0]|0)<<1)+$b|0;ec=ac+hb+(h[Ua+-2>>0]|0)|0}else{bc=Zb;cc=_b;dc=$b;ec=ac}if((Ya|0)<(Ta|0)){fc=bc+1|0;gc=(h[Ua+r>>0]|0)+cc+(h[Ua+N>>0]|0)|0;hc=((h[Ua+1>>0]|0)<<1)+dc|0;ic=ec+hb+(h[Ua+2>>0]|0)|0}else{fc=bc;gc=cc;hc=dc;ic=ec}if((gb|0)<(Ta|0)){jc=fc+1|0;kc=((h[Ua+r>>0]|0)<<1)+gc|0;lc=(j[Wa+(Ba<<1)>>1]|0)+hc|0;mc=ic+hb+(h[Ua+Aa>>0]|0)|0}else{jc=fc;kc=gc;lc=hc;mc=ic}if((fb|0)<(Ta|0)){nc=jc+1|0;oc=((h[Ua+U>>0]|0)<<1)+kc|0;pc=(j[Ra+(Da<<1)>>1]|0)+lc|0;qc=mc+hb+(h[Ua+Ca>>0]|0)|0}else{nc=jc;oc=kc;pc=lc;qc=mc}if((eb|0)<(Ta|0)){rc=nc+1|0;sc=((h[Ua+r>>0]|0)<<1)+oc|0;tc=(j[Wa+(Da<<1)>>1]|0)+pc|0;uc=qc+hb+(h[Ua+Ea>>0]|0)|0}else{rc=nc;sc=oc;tc=pc;uc=qc}if((db|0)<(Ta|0)){vc=rc+1|0;wc=((h[Ua+r>>0]|0)<<1)+sc|0;xc=(j[Ra+(Ba<<1)>>1]|0)+tc|0;yc=uc+hb+(h[Ua+za>>0]|0)|0}else{vc=rc;wc=sc;xc=tc;yc=uc}Pb=+n[61216+(vc<<2)>>2];Qb=(U9b(+(xc-yc|0)*Pb)|0)+hb|0;Rb=hb;Sb=hb;Tb=Pb;Ub=wc-yc|0}hb=(U9b(+(Ub|0)*Tb)|0)+Sb|0;b[Va+La>>0]=hb>>>0<256?hb:(hb|0)>0?255:0;b[Va+1>>0]=Qb>>>0<256?Qb:(Qb|0)>0?255:0;b[Va+Sa>>0]=Rb>>>0<256?Rb:(Rb|0)>0?255:0;_a=_a+1|0;if((_a|0)==(g|0)){zc=Sa;break}else{Qa=Qa^1;Ra=Ra+2|0;Xa=Xa+2|0;Wa=Wa+2|0;Va=Va+3|0;Ua=Ua+1|0}}}else zc=La^2;Ua=Q+Oa|0;Va=Oa+R|0;Wa=F+(Oa+5)|0;b[Wa>>0]=b[F+(Oa+8)>>0]|0;b[F+Va>>0]=b[F+Ua>>0]|0;Xa=F+(Oa+4)|0;b[Xa>>0]=b[F+(Oa+7)>>0]|0;b[F+(Va+1)>>0]=b[F+(Ua+1)>>0]|0;Ra=F+(Oa+3)|0;b[Ra>>0]=b[F+(Oa+6)>>0]|0;b[F+(Va+2)>>0]=b[F+(Ua+2)>>0]|0;b[F+(Oa+2)>>0]=b[Wa>>0]|0;b[F+(Va+3)>>0]=b[F+(Ua+3)>>0]|0;b[F+(Oa+1)>>0]=b[Xa>>0]|0;b[F+(Va+4)>>0]=b[F+(Ua+4)>>0]|0;b[Pa>>0]=b[Ra>>0]|0;b[F+(Va+5)>>0]=b[F+(Ua+5)>>0]|0;Ma=Ma+1|0;if((Ma|0)==(s|0))break;else{La=zc;Na=Na^1}}}if((ka|0)>0){Na=ja<<1;La=Y(E+-5|0,ja)|0;Ma=Y(E+-1|0,ja)|0;R=Y(E+-2|0,ja)|0;Q=Y(E+-3|0,ja)|0;g=Y(s,ja)|0;za=0;do{Ba=b[F+(za+Na)>>0]|0;b[F+(za+ja)>>0]=Ba;b[F+za>>0]=Ba;Ba=b[F+(za+La)>>0]|0;b[F+(za+Ma)>>0]=Ba;b[F+(za+R)>>0]=Ba;b[F+(za+Q)>>0]=Ba;b[F+(za+g)>>0]=Ba;za=za+1|0}while((za|0)!=(ka|0))}ka=f[k>>2]|0;if((ka|0)!=(ea|0)){if(ka|0)Fmc(ka);f[k>>2]=ea;f[fa>>2]=520}}}while(0);k=t+36|0;zc=f[k>>2]|0;if(zc|0?(Rb=zc+12|0,zc=f[Rb>>2]|0,f[Rb>>2]=zc+-1,(zc|0)==1):0)lP(t);f[k>>2]=0;k=t+16|0;zc=t+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[zc>>2]|0)>0){k=f[t+40>>2]|0;Rb=0;do{f[k+(Rb<<2)>>2]=0;Rb=Rb+1|0}while((Rb|0)<(f[zc>>2]|0))}zc=f[t+44>>2]|0;if((zc|0)!=(t+48|0))tE(zc);ba=q+36|0}zc=f[ba>>2]|0;if(zc|0?(t=zc+12|0,zc=f[t>>2]|0,f[t>>2]=zc+-1,(zc|0)==1):0)lP(q);f[ba>>2]=0;ba=q+16|0;f[ba>>2]=0;f[ba+4>>2]=0;f[ba+8>>2]=0;f[ba+12>>2]=0;if((f[a>>2]|0)>0){ba=f[w>>2]|0;w=0;do{f[ba+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[a>>2]|0))}a=f[C>>2]|0;if((a|0)!=(z|0))tE(a);a=p+36|0;z=f[a>>2]|0;if(z|0?(C=z+12|0,z=f[C>>2]|0,f[C>>2]=z+-1,(z|0)==1):0)lP(p);f[a>>2]=0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;if((f[O>>2]|0)>0){L=f[D>>2]|0;D=0;do{f[L+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[O>>2]|0))}O=f[p+44>>2]|0;if((O|0)!=(p+48|0))tE(O);if(!(f[o+4>>2]|0)){u=i;return}u=i;return}function rpa(a,b,c){a=a|0;b=b|0;c=c|0;SQ(a,b,285043,285055,c);return}function spa(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;k=g&1;f[a>>2]=61360;g=a+4|0;f[g>>2]=f[c>>2];l=a+8|0;m=c+4|0;f[l>>2]=f[m>>2];n=a+12|0;f[n>>2]=f[c+8>>2];f[a+16>>2]=f[c+12>>2];f[a+20>>2]=f[c+16>>2];f[a+24>>2]=f[c+20>>2];f[a+28>>2]=f[c+24>>2];f[a+32>>2]=f[c+28>>2];f[a+36>>2]=f[c+32>>2];o=f[c+36>>2]|0;f[a+40>>2]=o;f[a+44>>2]=n;n=a+52|0;p=a+48|0;f[p>>2]=n;f[n>>2]=0;f[a+56>>2]=0;if(o|0){n=o+12|0;f[n>>2]=(f[n>>2]|0)+1}if((f[m>>2]|0)<3){m=f[c+44>>2]|0;n=f[p>>2]|0;f[n>>2]=f[m>>2];f[n+4>>2]=f[m+4>>2]}else{f[l>>2]=0;kP(g,c)}c=a+60|0;f[c>>2]=f[d>>2];g=a+64|0;l=d+4|0;f[g>>2]=f[l>>2];m=a+68|0;f[m>>2]=f[d+8>>2];f[a+72>>2]=f[d+12>>2];f[a+76>>2]=f[d+16>>2];f[a+80>>2]=f[d+20>>2];f[a+84>>2]=f[d+24>>2];f[a+88>>2]=f[d+28>>2];f[a+92>>2]=f[d+32>>2];n=f[d+36>>2]|0;f[a+96>>2]=n;f[a+100>>2]=m;m=a+108|0;p=a+104|0;f[p>>2]=m;f[m>>2]=0;f[a+112>>2]=0;if(n|0){m=n+12|0;f[m>>2]=(f[m>>2]|0)+1}if((f[l>>2]|0)<3){l=f[d+44>>2]|0;m=f[p>>2]|0;f[m>>2]=f[l>>2];f[m+4>>2]=f[l+4>>2];q=a+116|0;f[q>>2]=e;r=a+120|0;b[r>>0]=k;s=a+124|0;t=f[h>>2]|0;f[s>>2]=t;u=a+128|0;v=h+4|0;w=f[v>>2]|0;f[u>>2]=w;x=a+132|0;f[x>>2]=i;y=a+136|0;f[y>>2]=j;return}else{f[g>>2]=0;kP(c,d);q=a+116|0;f[q>>2]=e;r=a+120|0;b[r>>0]=k;s=a+124|0;t=f[h>>2]|0;f[s>>2]=t;u=a+128|0;v=h+4|0;w=f[v>>2]|0;f[u>>2]=w;x=a+132|0;f[x>>2]=i;y=a+136|0;f[y>>2]=j;return}}function tpa(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=61360;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))tE(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;tE(b);return}function upa(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;k=g&1;f[a>>2]=61340;g=a+4|0;f[g>>2]=f[c>>2];l=a+8|0;m=c+4|0;f[l>>2]=f[m>>2];n=a+12|0;f[n>>2]=f[c+8>>2];f[a+16>>2]=f[c+12>>2];f[a+20>>2]=f[c+16>>2];f[a+24>>2]=f[c+20>>2];f[a+28>>2]=f[c+24>>2];f[a+32>>2]=f[c+28>>2];f[a+36>>2]=f[c+32>>2];o=f[c+36>>2]|0;f[a+40>>2]=o;f[a+44>>2]=n;n=a+52|0;p=a+48|0;f[p>>2]=n;f[n>>2]=0;f[a+56>>2]=0;if(o|0){n=o+12|0;f[n>>2]=(f[n>>2]|0)+1}if((f[m>>2]|0)<3){m=f[c+44>>2]|0;n=f[p>>2]|0;f[n>>2]=f[m>>2];f[n+4>>2]=f[m+4>>2]}else{f[l>>2]=0;kP(g,c)}c=a+60|0;f[c>>2]=f[d>>2];g=a+64|0;l=d+4|0;f[g>>2]=f[l>>2];m=a+68|0;f[m>>2]=f[d+8>>2];f[a+72>>2]=f[d+12>>2];f[a+76>>2]=f[d+16>>2];f[a+80>>2]=f[d+20>>2];f[a+84>>2]=f[d+24>>2];f[a+88>>2]=f[d+28>>2];f[a+92>>2]=f[d+32>>2];n=f[d+36>>2]|0;f[a+96>>2]=n;f[a+100>>2]=m;m=a+108|0;p=a+104|0;f[p>>2]=m;f[m>>2]=0;f[a+112>>2]=0;if(n|0){m=n+12|0;f[m>>2]=(f[m>>2]|0)+1}if((f[l>>2]|0)<3){l=f[d+44>>2]|0;m=f[p>>2]|0;f[m>>2]=f[l>>2];f[m+4>>2]=f[l+4>>2];q=a+116|0;f[q>>2]=e;r=a+120|0;b[r>>0]=k;s=a+124|0;t=f[h>>2]|0;f[s>>2]=t;u=a+128|0;v=h+4|0;w=f[v>>2]|0;f[u>>2]=w;x=a+132|0;f[x>>2]=i;y=a+136|0;f[y>>2]=j;return}else{f[g>>2]=0;kP(c,d);q=a+116|0;f[q>>2]=e;r=a+120|0;b[r>>0]=k;s=a+124|0;t=f[h>>2]|0;f[s>>2]=t;u=a+128|0;v=h+4|0;w=f[v>>2]|0;f[u>>2]=w;x=a+132|0;f[x>>2]=i;y=a+136|0;f[y>>2]=j;return}}function vpa(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=61340;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))tE(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;tE(b);return}function wpa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=u;u=u+160|0;g=e+144|0;h=e+136|0;i=e;j=f[c+48>>2]|0;k=f[a+40>>2]|0;l=f[k+4>>2]|0;m=f[k>>2]|0;f[g>>2]=l;k=g+4|0;f[k>>2]=m;switch(d|0){case 46:case 47:case 139:{n=-1;break}default:n=(d|0)==140?-1:1}switch(d|0){case 142:case 47:case 49:case 140:{o=1;break}default:o=0}d=((f[c>>2]|0)>>>3&511)+1|0;p=m+-2|0;f[k>>2]=p;f[g>>2]=l+-2;if((m|0)>2){f[h>>2]=0;f[h+4>>2]=p;Jpa(i,a,c,o,n,g);n=f[c+4>>2]|0;if((n|0)<3)q=Y(f[c+12>>2]|0,f[c+8>>2]|0)|0;else{o=f[c+40>>2]|0;a=0;p=1;while(1){m=Y(f[o+(a<<2)>>2]|0,p)|0;a=a+1|0;if((a|0)==(n|0)){q=m;break}else p=m}}oU(h,i,+(q>>>0)*.0000152587890625);Kpa(i)}i=f[c+40>>2]|0;q=f[i+4>>2]|0;h=f[i>>2]|0;f[g>>2]=q;f[k>>2]=h;i=f[c+16>>2]|0;c=(Y(q,d)|0)>0;if((h|0)>2){if(c)r=0;else{u=e;return}do{b[i+r>>0]=b[i+(r+j)>>0]|0;q=f[k>>2]|0;p=i+((Y(q+-2|0,j)|0)+r)|0;n=i+((Y(q+-1|0,j)|0)+r)|0;b[n>>0]=b[p>>0]|0;r=r+1|0}while((r|0)<(Y(f[g>>2]|0,d)|0));u=e;return}if(!c){u=e;return}c=i+(Y(h+-1|0,j)|0)|0;b[c>>0]=0;b[i>>0]=0;if((Y(f[g>>2]|0,d)|0)>1)s=1;else{u=e;return}do{c=i+((Y((f[k>>2]|0)+-1|0,j)|0)+s)|0;b[c>>0]=0;b[i+s>>0]=0;s=s+1|0}while((s|0)<(Y(f[g>>2]|0,d)|0));u=e;return}function xpa(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;f[a>>2]=61300;h=a+4|0;f[h>>2]=f[b>>2];i=a+8|0;j=b+4|0;f[i>>2]=f[j>>2];k=a+12|0;f[k>>2]=f[b+8>>2];f[a+16>>2]=f[b+12>>2];f[a+20>>2]=f[b+16>>2];f[a+24>>2]=f[b+20>>2];f[a+28>>2]=f[b+24>>2];f[a+32>>2]=f[b+28>>2];f[a+36>>2]=f[b+32>>2];l=f[b+36>>2]|0;f[a+40>>2]=l;f[a+44>>2]=k;k=a+52|0;m=a+48|0;f[m>>2]=k;f[k>>2]=0;f[a+56>>2]=0;if(l|0){k=l+12|0;f[k>>2]=(f[k>>2]|0)+1}if((f[j>>2]|0)<3){j=f[b+44>>2]|0;k=f[m>>2]|0;f[k>>2]=f[j>>2];f[k+4>>2]=f[j+4>>2]}else{f[i>>2]=0;kP(h,b)}b=a+60|0;f[b>>2]=f[c>>2];h=a+64|0;i=c+4|0;f[h>>2]=f[i>>2];j=a+68|0;f[j>>2]=f[c+8>>2];f[a+72>>2]=f[c+12>>2];f[a+76>>2]=f[c+16>>2];f[a+80>>2]=f[c+20>>2];f[a+84>>2]=f[c+24>>2];f[a+88>>2]=f[c+28>>2];f[a+92>>2]=f[c+32>>2];k=f[c+36>>2]|0;f[a+96>>2]=k;f[a+100>>2]=j;j=a+108|0;m=a+104|0;f[m>>2]=j;f[j>>2]=0;f[a+112>>2]=0;if(k|0){j=k+12|0;f[j>>2]=(f[j>>2]|0)+1}if((f[i>>2]|0)<3){i=f[c+44>>2]|0;j=f[m>>2]|0;f[j>>2]=f[i>>2];f[j+4>>2]=f[i+4>>2];n=a+116|0;f[n>>2]=d;o=a+120|0;f[o>>2]=e;p=a+124|0;q=f[g>>2]|0;f[p>>2]=q;r=a+128|0;s=g+4|0;t=f[s>>2]|0;f[r>>2]=t;return}else{f[h>>2]=0;kP(b,c);n=a+116|0;f[n>>2]=d;o=a+120|0;f[o>>2]=e;p=a+124|0;q=f[g>>2]|0;f[p>>2]=q;r=a+128|0;s=g+4|0;t=f[s>>2]|0;f[r>>2]=t;return}}function ypa(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=61300;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))tE(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;tE(b);return}function zpa(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;f[a>>2]=61280;h=a+4|0;f[h>>2]=f[b>>2];i=a+8|0;j=b+4|0;f[i>>2]=f[j>>2];k=a+12|0;f[k>>2]=f[b+8>>2];f[a+16>>2]=f[b+12>>2];f[a+20>>2]=f[b+16>>2];f[a+24>>2]=f[b+20>>2];f[a+28>>2]=f[b+24>>2];f[a+32>>2]=f[b+28>>2];f[a+36>>2]=f[b+32>>2];l=f[b+36>>2]|0;f[a+40>>2]=l;f[a+44>>2]=k;k=a+52|0;m=a+48|0;f[m>>2]=k;f[k>>2]=0;f[a+56>>2]=0;if(l|0){k=l+12|0;f[k>>2]=(f[k>>2]|0)+1}if((f[j>>2]|0)<3){j=f[b+44>>2]|0;k=f[m>>2]|0;f[k>>2]=f[j>>2];f[k+4>>2]=f[j+4>>2]}else{f[i>>2]=0;kP(h,b)}b=a+60|0;f[b>>2]=f[c>>2];h=a+64|0;i=c+4|0;f[h>>2]=f[i>>2];j=a+68|0;f[j>>2]=f[c+8>>2];f[a+72>>2]=f[c+12>>2];f[a+76>>2]=f[c+16>>2];f[a+80>>2]=f[c+20>>2];f[a+84>>2]=f[c+24>>2];f[a+88>>2]=f[c+28>>2];f[a+92>>2]=f[c+32>>2];k=f[c+36>>2]|0;f[a+96>>2]=k;f[a+100>>2]=j;j=a+108|0;m=a+104|0;f[m>>2]=j;f[j>>2]=0;f[a+112>>2]=0;if(k|0){j=k+12|0;f[j>>2]=(f[j>>2]|0)+1}if((f[i>>2]|0)<3){i=f[c+44>>2]|0;j=f[m>>2]|0;f[j>>2]=f[i>>2];f[j+4>>2]=f[i+4>>2];n=a+116|0;o=f[d>>2]|0;f[n>>2]=o;p=a+120|0;q=d+4|0;r=f[q>>2]|0;f[p>>2]=r;s=a+124|0;f[s>>2]=e;t=a+128|0;f[t>>2]=g;return}else{f[h>>2]=0;kP(b,c);n=a+116|0;o=f[d>>2]|0;f[n>>2]=o;p=a+120|0;q=d+4|0;r=f[q>>2]|0;f[p>>2]=r;s=a+124|0;f[s>>2]=e;t=a+128|0;f[t>>2]=g;return}}function Apa(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=61280;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))tE(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;tE(b);return}function Bpa(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;f[a>>2]=61260;h=a+4|0;f[h>>2]=f[b>>2];i=a+8|0;j=b+4|0;f[i>>2]=f[j>>2];k=a+12|0;f[k>>2]=f[b+8>>2];f[a+16>>2]=f[b+12>>2];f[a+20>>2]=f[b+16>>2];f[a+24>>2]=f[b+20>>2];f[a+28>>2]=f[b+24>>2];f[a+32>>2]=f[b+28>>2];f[a+36>>2]=f[b+32>>2];l=f[b+36>>2]|0;f[a+40>>2]=l;f[a+44>>2]=k;k=a+52|0;m=a+48|0;f[m>>2]=k;f[k>>2]=0;f[a+56>>2]=0;if(l|0){k=l+12|0;f[k>>2]=(f[k>>2]|0)+1}if((f[j>>2]|0)<3){j=f[b+44>>2]|0;k=f[m>>2]|0;f[k>>2]=f[j>>2];f[k+4>>2]=f[j+4>>2]}else{f[i>>2]=0;kP(h,b)}b=a+60|0;f[b>>2]=f[c>>2];h=a+64|0;i=c+4|0;f[h>>2]=f[i>>2];j=a+68|0;f[j>>2]=f[c+8>>2];f[a+72>>2]=f[c+12>>2];f[a+76>>2]=f[c+16>>2];f[a+80>>2]=f[c+20>>2];f[a+84>>2]=f[c+24>>2];f[a+88>>2]=f[c+28>>2];f[a+92>>2]=f[c+32>>2];k=f[c+36>>2]|0;f[a+96>>2]=k;f[a+100>>2]=j;j=a+108|0;m=a+104|0;f[m>>2]=j;f[j>>2]=0;f[a+112>>2]=0;if(k|0){j=k+12|0;f[j>>2]=(f[j>>2]|0)+1}if((f[i>>2]|0)<3){i=f[c+44>>2]|0;j=f[m>>2]|0;f[j>>2]=f[i>>2];f[j+4>>2]=f[i+4>>2];n=a+116|0;o=f[d>>2]|0;f[n>>2]=o;p=a+120|0;q=d+4|0;r=f[q>>2]|0;f[p>>2]=r;s=a+124|0;f[s>>2]=e;t=a+128|0;f[t>>2]=g;return}else{f[h>>2]=0;kP(b,c);n=a+116|0;o=f[d>>2]|0;f[n>>2]=o;p=a+120|0;q=d+4|0;r=f[q>>2]|0;f[p>>2]=r;s=a+124|0;f[s>>2]=e;t=a+128|0;f[t>>2]=g;return}}function Cpa(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=61260;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))tE(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;tE(b);return}function Dpa(a){a=a|0;Cpa(a);Emc(a);return}function Epa(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;c=f[a+60>>2]|0;e=(c>>>3&511)+1|0;g=e<<1;h=((f[a+52>>2]|0)>>>0)/((1212424721>>>(f[a+4>>2]<<2&28)&15)>>>0)|0;i=f[a+108>>2]|0;k=(i>>>0)/((1212424721>>>(c<<2&28)&15)>>>0)|0;c=f[b>>2]|0;l=c+1|0;m=f[b+4>>2]|0;if((c|0)>=(m|0))return;b=c&1;n=(f[a+76>>2]|0)+(Y(l,i)|0)+(e<<1)|0;i=0-h|0;o=a+116|0;p=g-k|0;q=e-k|0;k=~h;r=1-h|0;s=h+-1|0;t=h+1|0;u=c;c=n;n=(f[a+20>>2]|0)+(Y(f[f[a+48>>2]>>2]|0,l)|0)+2|0;l=b^f[a+124>>2];v=b^f[a+128>>2];while(1){if(!v){w=1;x=c;y=n}else{a=l<<1;d[c+(a<<1)>>1]=((j[n+(h<<1)>>1]|0)+(j[n+(i<<1)>>1]|0)|0)>>>1;d[c+2>>1]=d[n>>1]|0;b=n+2|0;d[c+(2-a<<1)>>1]=((j[b>>1]|0)+(j[n+-2>>1]|0)|0)>>>1;w=2;x=c+(e<<1)|0;y=b}b=f[o>>2]|0;a=(w|0)<(b|0);if(!l)if(a){z=w;A=x;B=y;while(1){C=B+(r<<1)|0;D=B+(t<<1)|0;d[A>>1]=((j[B+(k<<1)>>1]|0)+2+(j[C>>1]|0)+(j[B+(s<<1)>>1]|0)+(j[D>>1]|0)|0)>>>2;E=j[B+-2>>1]|0;F=B+2|0;G=d[F>>1]|0;H=E-(G&65535)|0;I=j[B+(h<<1)>>1]|0;J=d[B+(i<<1)>>1]|0;K=I-(J&65535)|0;L=(((H|0)>-1?H:0-H|0)|0)>(((K|0)>-1?K:0-K|0)|0);d[A+2>>1]=((L?I:E)+1+((L?J:G)&65535)|0)>>>1;d[A+4>>1]=d[B>>1]|0;d[A+6>>1]=((j[C>>1]|0)+1+(j[D>>1]|0)|0)>>>1;d[A+8>>1]=d[F>>1]|0;F=B+4|0;d[A+10>>1]=((j[B>>1]|0)+1+(j[F>>1]|0)|0)>>>1;D=z+2|0;C=A+(g<<1)|0;if((D|0)<(b|0)){z=D;A=C;B=F}else{M=D;N=C;O=F;break}}}else{M=w;N=x;O=y}else if(a){B=w;A=x;z=y;while(1){d[A>>1]=d[z>>1]|0;F=j[z+-2>>1]|0;C=z+2|0;D=d[C>>1]|0;G=F-(D&65535)|0;J=j[z+(h<<1)>>1]|0;L=d[z+(i<<1)>>1]|0;E=J-(L&65535)|0;I=(((G|0)>-1?G:0-G|0)|0)>(((E|0)>-1?E:0-E|0)|0);d[A+2>>1]=((I?J:F)+1+((I?L:D)&65535)|0)>>>1;D=z+(r<<1)|0;L=z+(t<<1)|0;d[A+4>>1]=((j[D>>1]|0)+(j[z+(k<<1)>>1]|0)+(j[z+(s<<1)>>1]|0)+(j[L>>1]|0)|0)>>>2;I=z+4|0;d[A+6>>1]=((j[z>>1]|0)+1+(j[I>>1]|0)|0)>>>1;d[A+8>>1]=d[C>>1]|0;d[A+10>>1]=((j[D>>1]|0)+1+(j[L>>1]|0)|0)>>>1;L=B+2|0;D=A+(g<<1)|0;if((L|0)<(b|0)){B=L;A=D;z=I}else{M=L;N=D;O=I;break}}}else{M=w;N=x;O=y}if((M|0)>(b|0)){P=N;Q=O}else{z=l<<1;d[N+(z<<1)>>1]=((j[O+(k<<1)>>1]|0)+2+(j[O+(r<<1)>>1]|0)+(j[O+(s<<1)>>1]|0)+(j[O+(t<<1)>>1]|0)|0)>>>2;A=j[O+-2>>1]|0;B=O+2|0;a=d[B>>1]|0;I=A-(a&65535)|0;D=j[O+(h<<1)>>1]|0;L=d[O+(i<<1)>>1]|0;C=D-(L&65535)|0;F=(((I|0)>-1?I:0-I|0)|0)>(((C|0)>-1?C:0-C|0)|0);d[N+2>>1]=((F?D:A)+1+((F?L:a)&65535)|0)>>>1;d[N+(2-z<<1)>>1]=d[O>>1]|0;P=N+(e<<1)|0;Q=B}B=0;do{d[P+(B<<1)>>1]=d[P+(B-e<<1)>>1]|0;d[P+(q+B<<1)>>1]=d[P+(p+B<<1)>>1]|0;B=B+1|0}while((B|0)!=(e|0));u=u+1|0;if((u|0)>=(m|0))break;else{c=P+(g<<1)|0;n=Q+4|0;l=l^1;v=v^1}}return}function Fpa(a){a=a|0;Apa(a);Emc(a);return}function Gpa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;d=f[a+60>>2]|0;e=(d>>>3&511)+1|0;g=e<<1;i=((f[a+52>>2]|0)>>>0)/((1212424721>>>(f[a+4>>2]<<2&28)&15)>>>0)|0;j=f[a+108>>2]|0;k=(j>>>0)/((1212424721>>>(d<<2&28)&15)>>>0)|0;d=f[c>>2]|0;l=d+1|0;m=c+4|0;if((d|0)>=(f[m>>2]|0))return;c=d&1;n=(f[a+76>>2]|0)+(Y(l,j)|0)+e|0;j=0-i|0;o=a+116|0;p=g-k|0;q=e-k|0;k=~i;r=1-i|0;s=i+-1|0;t=i+1|0;u=d;d=n;n=(f[a+20>>2]|0)+(Y(f[f[a+48>>2]>>2]|0,l)|0)+1|0;l=c^f[a+124>>2];v=c^f[a+128>>2];while(1){if(!v){w=1;x=d;y=n}else{a=l<<1;b[d+a>>0]=((h[n+i>>0]|0)+(h[n+j>>0]|0)|0)>>>1;b[d+1>>0]=b[n>>0]|0;c=n+1|0;b[d+(2-a)>>0]=((h[c>>0]|0)+(h[n+-1>>0]|0)|0)>>>1;w=2;x=d+e|0;y=c}c=f[o>>2]|0;a=(w|0)<(c|0);if(!l)if(a){z=w;A=x;B=y;while(1){C=B+r|0;D=B+t|0;b[A>>0]=((h[B+k>>0]|0)+2+(h[C>>0]|0)+(h[B+s>>0]|0)+(h[D>>0]|0)|0)>>>2;E=h[B+-1>>0]|0;F=B+1|0;G=b[F>>0]|0;H=E-(G&255)|0;I=h[B+i>>0]|0;J=b[B+j>>0]|0;K=I-(J&255)|0;L=(((H|0)>-1?H:0-H|0)|0)>(((K|0)>-1?K:0-K|0)|0);b[A+1>>0]=((L?I:E)+1+((L?J:G)&255)|0)>>>1;b[A+2>>0]=b[B>>0]|0;b[A+3>>0]=((h[C>>0]|0)+1+(h[D>>0]|0)|0)>>>1;b[A+4>>0]=b[F>>0]|0;F=B+2|0;b[A+5>>0]=((h[B>>0]|0)+1+(h[F>>0]|0)|0)>>>1;D=z+2|0;C=A+g|0;G=f[o>>2]|0;if((D|0)<(G|0)){z=D;A=C;B=F}else{M=D;N=C;O=F;P=G;break}}}else{M=w;N=x;O=y;P=c}else if(a){B=w;A=x;z=y;while(1){b[A>>0]=b[z>>0]|0;G=h[z+-1>>0]|0;F=z+1|0;C=b[F>>0]|0;D=G-(C&255)|0;J=h[z+i>>0]|0;L=b[z+j>>0]|0;E=J-(L&255)|0;I=(((D|0)>-1?D:0-D|0)|0)>(((E|0)>-1?E:0-E|0)|0);b[A+1>>0]=((I?J:G)+1+((I?L:C)&255)|0)>>>1;C=z+r|0;L=z+t|0;b[A+2>>0]=((h[C>>0]|0)+(h[z+k>>0]|0)+(h[z+s>>0]|0)+(h[L>>0]|0)|0)>>>2;I=z+2|0;b[A+3>>0]=((h[z>>0]|0)+1+(h[I>>0]|0)|0)>>>1;b[A+4>>0]=b[F>>0]|0;b[A+5>>0]=((h[C>>0]|0)+1+(h[L>>0]|0)|0)>>>1;L=B+2|0;C=A+g|0;F=f[o>>2]|0;if((L|0)<(F|0)){B=L;A=C;z=I}else{M=L;N=C;O=I;P=F;break}}}else{M=w;N=x;O=y;P=c}if((M|0)>(P|0)){Q=N;R=O}else{z=l<<1;b[N+z>>0]=((h[O+k>>0]|0)+2+(h[O+r>>0]|0)+(h[O+s>>0]|0)+(h[O+t>>0]|0)|0)>>>2;A=h[O+-1>>0]|0;B=O+1|0;a=b[B>>0]|0;F=A-(a&255)|0;I=h[O+i>>0]|0;C=b[O+j>>0]|0;L=I-(C&255)|0;G=(((F|0)>-1?F:0-F|0)|0)>(((L|0)>-1?L:0-L|0)|0);b[N+1>>0]=((G?I:A)+1+((G?C:a)&255)|0)>>>1;b[N+(2-z)>>0]=b[O>>0]|0;Q=N+e|0;R=B}B=0;do{b[Q+B>>0]=b[Q+(B-e)>>0]|0;b[Q+(q+B)>>0]=b[Q+(p+B)>>0]|0;B=B+1|0}while((B|0)!=(e|0));u=u+1|0;if((u|0)>=(f[m>>2]|0))break;else{d=Q+g|0;n=R+2|0;l=l^1;v=v^1}}return}function Hpa(a){a=a|0;ypa(a);Emc(a);return}function Ipa(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;c=((f[a+60>>2]|0)>>>3&511)+1|0;e=c<<1;g=f[a+52>>2]|0;h=g>>>1;i=f[b>>2]|0;k=(f[a+108>>2]|0)>>>1;l=f[a+120>>2]|0;m=f[a+116>>2]|0;n=(i&1|0)==0;o=f[b+4>>2]|0;if((i|0)>=(o|0))return;b=(f[a+76>>2]|0)+((Y(k,i+1|0)|0)<<1)+(c<<1)+2|0;p=(f[a+20>>2]|0)+((Y(i,h)|0)<<1)|0;q=a+124|0;a=f[q>>2]|0;r=(a|0)<1;s=(c|0)==3;t=Y(a,c)|0;u=t+1|0;v=t+-1|0;w=t+2|0;x=g|1;g=h+2|0;y=h+1|0;z=(c|0)==4;A=h<<1;B=A+2|0;C=A|1;D=h+3|0;E=b;b=i;i=p;p=n?m:(m|0)==0&1;m=n?l:0-l|0;while(1){l=i+(a<<1)|0;if(r){d[E+(u<<1)>>1]=0;d[E+(t<<1)>>1]=0;d[E+(v<<1)>>1]=0;if(s){F=-4;G=0;H=-3;I=-2}else{d[E+-6>>1]=0;d[E+-8>>1]=0;F=-2;G=-1;H=w;I=-5}d[E+(I<<1)>>1]=0;d[E+(H<<1)>>1]=G;d[E+(F<<1)>>1]=G;J=p;K=m}else{n=(p|0)!=0;if(n){L=i+2|0;M=((j[i+(h<<1)>>1]|0)+1+(j[i+(g<<1)>>1]|0)|0)>>>1;d[E+(0-m<<1)>>1]=((j[L>>1]|0)+1+(j[i+(x<<1)>>1]|0)|0)>>>1;d[E>>1]=d[i+(y<<1)>>1]|0;d[E+(m<<1)>>1]=M;if(z)d[E+4>>1]=-1;N=E+(c<<1)|0;O=L}else{N=E;O=i}L=(m|0)>0;M=l+-4|0;P=O>>>0>M>>>0;do if(s)if(L){if(P){Q=N;R=O;break}else{S=O;T=N}while(1){U=S+4|0;V=S+(B<<1)|0;W=S+(g<<1)|0;X=((j[S+2>>1]|0)+2+(j[S+(h<<1)>>1]|0)+(j[W>>1]|0)+(j[S+(C<<1)>>1]|0)|0)>>>2;d[T+-2>>1]=((j[S>>1]|0)+2+(j[U>>1]|0)+(j[S+(A<<1)>>1]|0)+(j[V>>1]|0)|0)>>>2;d[T>>1]=X;X=S+(y<<1)|0;d[T+2>>1]=d[X>>1]|0;Z=((j[X>>1]|0)+1+(j[S+(D<<1)>>1]|0)|0)>>>1;d[T+4>>1]=((j[U>>1]|0)+1+(j[V>>1]|0)|0)>>>1;d[T+6>>1]=d[W>>1]|0;d[T+8>>1]=Z;Z=T+(e<<1)|0;if(U>>>0>M>>>0){Q=Z;R=U;break}else{S=U;T=Z}}}else{if(P){Q=N;R=O;break}else{_=O;$=N}while(1){Z=_+4|0;U=_+(B<<1)|0;W=_+(g<<1)|0;V=((j[_+2>>1]|0)+2+(j[_+(h<<1)>>1]|0)+(j[W>>1]|0)+(j[_+(C<<1)>>1]|0)|0)>>>2;d[$+2>>1]=((j[_>>1]|0)+2+(j[Z>>1]|0)+(j[_+(A<<1)>>1]|0)+(j[U>>1]|0)|0)>>>2;d[$>>1]=V;V=_+(y<<1)|0;d[$+-2>>1]=d[V>>1]|0;X=((j[V>>1]|0)+1+(j[_+(D<<1)>>1]|0)|0)>>>1;d[$+8>>1]=((j[Z>>1]|0)+1+(j[U>>1]|0)|0)>>>1;d[$+6>>1]=d[W>>1]|0;d[$+4>>1]=X;X=$+(e<<1)|0;if(Z>>>0>M>>>0){Q=X;R=Z;break}else{_=Z;$=X}}}else if(L){if(P){Q=N;R=O;break}else{aa=O;ba=N}while(1){X=aa+4|0;Z=aa+(B<<1)|0;W=aa+(g<<1)|0;U=((j[aa+2>>1]|0)+2+(j[aa+(h<<1)>>1]|0)+(j[W>>1]|0)+(j[aa+(C<<1)>>1]|0)|0)>>>2;d[ba+-2>>1]=((j[aa>>1]|0)+2+(j[X>>1]|0)+(j[aa+(A<<1)>>1]|0)+(j[Z>>1]|0)|0)>>>2;d[ba>>1]=U;U=aa+(y<<1)|0;d[ba+2>>1]=d[U>>1]|0;d[ba+4>>1]=-1;V=((j[U>>1]|0)+1+(j[aa+(D<<1)>>1]|0)|0)>>>1;d[ba+6>>1]=((j[X>>1]|0)+1+(j[Z>>1]|0)|0)>>>1;d[ba+8>>1]=d[W>>1]|0;d[ba+10>>1]=V;d[ba+12>>1]=-1;V=ba+(e<<1)|0;if(X>>>0>M>>>0){Q=V;R=X;break}else{aa=X;ba=V}}}else{if(P){Q=N;R=O;break}else{ca=O;da=N}while(1){V=ca+4|0;X=ca+(B<<1)|0;W=((j[ca>>1]|0)+2+(j[V>>1]|0)+(j[ca+(A<<1)>>1]|0)+(j[X>>1]|0)|0)>>>2;Z=ca+(g<<1)|0;U=((j[ca+2>>1]|0)+2+(j[ca+(h<<1)>>1]|0)+(j[Z>>1]|0)+(j[ca+(C<<1)>>1]|0)|0)>>>2;ea=ca+(y<<1)|0;d[da+-2>>1]=d[ea>>1]|0;d[da>>1]=U;d[da+2>>1]=W;d[da+4>>1]=-1;W=((j[V>>1]|0)+1+(j[X>>1]|0)|0)>>>1;d[da+6>>1]=((j[ea>>1]|0)+1+(j[ca+(D<<1)>>1]|0)|0)>>>1;d[da+8>>1]=d[Z>>1]|0;d[da+10>>1]=W;d[da+12>>1]=-1;W=da+(e<<1)|0;if(V>>>0>M>>>0){Q=W;R=V;break}else{ca=V;da=W}}}while(0);if(R>>>0<l>>>0?(M=((j[R+2>>1]|0)+2+(j[R+(h<<1)>>1]|0)+(j[R+(g<<1)>>1]|0)+(j[R+(C<<1)>>1]|0)|0)>>>2,d[Q+(0-m<<1)>>1]=((j[R>>1]|0)+2+(j[R+4>>1]|0)+(j[R+(A<<1)>>1]|0)+(j[R+(B<<1)>>1]|0)|0)>>>2,d[Q>>1]=M,d[Q+(m<<1)>>1]=d[R+(y<<1)>>1]|0,z):0)d[Q+4>>1]=-1;M=d[E+-2>>1]|0;P=d[E+2>>1]|0;L=d[E>>1]|0;W=Y(f[q>>2]|0,c)|0;V=W+-4|0;if(s){d[E+-8>>1]=M;d[E+-6>>1]=L;d[E+-4>>1]=P;fa=W;ga=d[E+(V<<1)>>1]|0;ha=1}else{d[E+-10>>1]=M;d[E+-8>>1]=L;d[E+-6>>1]=P;d[E+-4>>1]=d[E+4>>1]|0;P=d[E+(W+-5<<1)>>1]|0;d[E+(W<<1)>>1]=d[E+(V<<1)>>1]|0;fa=W+1|0;ga=P;ha=2}d[E+(W+-1<<1)>>1]=ga;d[E+(fa<<1)>>1]=d[E+(W+-3<<1)>>1]|0;d[E+(ha+W<<1)>>1]=d[E+(W+-2<<1)>>1]|0;J=(n^1)&1;K=0-m|0}b=b+1|0;if((b|0)>=(o|0))break;else{E=E+(k<<1)|0;i=i+(h<<1)|0;p=J;m=K}}return}function Jpa(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;f[a>>2]=61320;h=a+4|0;f[h>>2]=f[b>>2];i=a+8|0;j=b+4|0;f[i>>2]=f[j>>2];k=a+12|0;f[k>>2]=f[b+8>>2];f[a+16>>2]=f[b+12>>2];f[a+20>>2]=f[b+16>>2];f[a+24>>2]=f[b+20>>2];f[a+28>>2]=f[b+24>>2];f[a+32>>2]=f[b+28>>2];f[a+36>>2]=f[b+32>>2];l=f[b+36>>2]|0;f[a+40>>2]=l;f[a+44>>2]=k;k=a+52|0;m=a+48|0;f[m>>2]=k;f[k>>2]=0;f[a+56>>2]=0;if(l|0){k=l+12|0;f[k>>2]=(f[k>>2]|0)+1}if((f[j>>2]|0)<3){j=f[b+44>>2]|0;k=f[m>>2]|0;f[k>>2]=f[j>>2];f[k+4>>2]=f[j+4>>2]}else{f[i>>2]=0;kP(h,b)}b=a+60|0;f[b>>2]=f[c>>2];h=a+64|0;i=c+4|0;f[h>>2]=f[i>>2];j=a+68|0;f[j>>2]=f[c+8>>2];f[a+72>>2]=f[c+12>>2];f[a+76>>2]=f[c+16>>2];f[a+80>>2]=f[c+20>>2];f[a+84>>2]=f[c+24>>2];f[a+88>>2]=f[c+28>>2];f[a+92>>2]=f[c+32>>2];k=f[c+36>>2]|0;f[a+96>>2]=k;f[a+100>>2]=j;j=a+108|0;m=a+104|0;f[m>>2]=j;f[j>>2]=0;f[a+112>>2]=0;if(k|0){j=k+12|0;f[j>>2]=(f[j>>2]|0)+1}if((f[i>>2]|0)<3){i=f[c+44>>2]|0;j=f[m>>2]|0;f[j>>2]=f[i>>2];f[j+4>>2]=f[i+4>>2];n=a+116|0;f[n>>2]=d;o=a+120|0;f[o>>2]=e;p=a+124|0;q=f[g>>2]|0;f[p>>2]=q;r=a+128|0;s=g+4|0;t=f[s>>2]|0;f[r>>2]=t;return}else{f[h>>2]=0;kP(b,c);n=a+116|0;f[n>>2]=d;o=a+120|0;f[o>>2]=e;p=a+124|0;q=f[g>>2]|0;f[p>>2]=q;r=a+128|0;s=g+4|0;t=f[s>>2]|0;f[r>>2]=t;return}}function Kpa(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=61320;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))tE(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;tE(b);return}function Lpa(a){a=a|0;Kpa(a);Emc(a);return}function Mpa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0;d=((f[a+60>>2]|0)>>>3&511)+1|0;e=d<<1;g=f[a+52>>2]|0;i=f[c>>2]|0;j=f[a+108>>2]|0;k=f[a+120>>2]|0;l=f[a+116>>2]|0;m=(i&1|0)==0;n=c+4|0;if((i|0)>=(f[n>>2]|0))return;c=(f[a+76>>2]|0)+(Y(i+1|0,j)|0)+d+1|0;o=a+124|0;p=(d|0)==3;q=g<<1;r=q|1;s=g+2|0;t=g+1|0;u=(d|0)==4;v=q+2|0;w=g+3|0;x=c;c=i;y=(f[a+20>>2]|0)+(Y(i,g)|0)|0;i=m?l:(l|0)==0&1;l=m?k:0-k|0;while(1){k=f[o>>2]|0;m=y+k|0;if((k|0)<1){a=x+((Y(k,d)|0)+1)|0;b[a>>0]=0;a=x+(Y(f[o>>2]|0,d)|0)|0;b[a>>0]=0;a=x+((Y(f[o>>2]|0,d)|0)+-1)|0;b[a>>0]=0;if(p){b[x+-2>>0]=0;z=-4;A=0;B=-3}else{b[x+-3>>0]=0;b[x+-4>>0]=0;b[x+-5>>0]=0;z=-2;A=-1;B=(Y(f[o>>2]|0,d)|0)+2|0}b[x+B>>0]=A;b[x+z>>0]=A;C=i;D=l}else{a=(i|0)!=0;if(a){k=y+1|0;E=((h[y+g>>0]|0)+1+(h[y+s>>0]|0)|0)>>>1;b[x+(0-l)>>0]=((h[k>>0]|0)+1+(h[y+r>>0]|0)|0)>>>1;b[x>>0]=b[y+t>>0]|0;b[x+l>>0]=E;if(u)b[x+2>>0]=-1;F=x+d|0;G=k}else{F=x;G=y}k=(l|0)>0;E=m+-2|0;H=G>>>0>E>>>0;do if(p)if(k){if(H){I=F;J=G;break}else{K=G;L=F}while(1){M=K+2|0;N=K+v|0;O=K+s|0;P=((h[K+1>>0]|0)+2+(h[K+g>>0]|0)+(h[O>>0]|0)+(h[K+r>>0]|0)|0)>>>2;b[L+-1>>0]=((h[K>>0]|0)+2+(h[M>>0]|0)+(h[K+q>>0]|0)+(h[N>>0]|0)|0)>>>2;b[L>>0]=P;P=K+t|0;b[L+1>>0]=b[P>>0]|0;Q=((h[P>>0]|0)+1+(h[K+w>>0]|0)|0)>>>1;b[L+2>>0]=((h[M>>0]|0)+1+(h[N>>0]|0)|0)>>>1;b[L+3>>0]=b[O>>0]|0;b[L+4>>0]=Q;Q=L+e|0;if(M>>>0>E>>>0){I=Q;J=M;break}else{K=M;L=Q}}}else{if(H){I=F;J=G;break}else{R=G;S=F}while(1){Q=R+2|0;M=R+v|0;O=R+s|0;N=((h[R+1>>0]|0)+2+(h[R+g>>0]|0)+(h[O>>0]|0)+(h[R+r>>0]|0)|0)>>>2;b[S+1>>0]=((h[R>>0]|0)+2+(h[Q>>0]|0)+(h[R+q>>0]|0)+(h[M>>0]|0)|0)>>>2;b[S>>0]=N;N=R+t|0;b[S+-1>>0]=b[N>>0]|0;P=((h[N>>0]|0)+1+(h[R+w>>0]|0)|0)>>>1;b[S+4>>0]=((h[Q>>0]|0)+1+(h[M>>0]|0)|0)>>>1;b[S+3>>0]=b[O>>0]|0;b[S+2>>0]=P;P=S+e|0;if(Q>>>0>E>>>0){I=P;J=Q;break}else{R=Q;S=P}}}else if(k){if(H){I=F;J=G;break}else{T=G;U=F}while(1){P=T+2|0;Q=T+v|0;O=T+s|0;M=((h[T+1>>0]|0)+2+(h[T+g>>0]|0)+(h[O>>0]|0)+(h[T+r>>0]|0)|0)>>>2;b[U+-1>>0]=((h[T>>0]|0)+2+(h[P>>0]|0)+(h[T+q>>0]|0)+(h[Q>>0]|0)|0)>>>2;b[U>>0]=M;M=T+t|0;b[U+1>>0]=b[M>>0]|0;b[U+2>>0]=-1;N=((h[M>>0]|0)+1+(h[T+w>>0]|0)|0)>>>1;b[U+3>>0]=((h[P>>0]|0)+1+(h[Q>>0]|0)|0)>>>1;b[U+4>>0]=b[O>>0]|0;b[U+5>>0]=N;b[U+6>>0]=-1;N=U+e|0;if(P>>>0>E>>>0){I=N;J=P;break}else{T=P;U=N}}}else{if(H){I=F;J=G;break}else{V=G;W=F}while(1){N=V+2|0;P=V+v|0;O=((h[V>>0]|0)+2+(h[N>>0]|0)+(h[V+q>>0]|0)+(h[P>>0]|0)|0)>>>2;Q=V+s|0;M=((h[V+1>>0]|0)+2+(h[V+g>>0]|0)+(h[Q>>0]|0)+(h[V+r>>0]|0)|0)>>>2;X=V+t|0;b[W+-1>>0]=b[X>>0]|0;b[W>>0]=M;b[W+1>>0]=O;b[W+2>>0]=-1;O=((h[N>>0]|0)+1+(h[P>>0]|0)|0)>>>1;b[W+3>>0]=((h[X>>0]|0)+1+(h[V+w>>0]|0)|0)>>>1;b[W+4>>0]=b[Q>>0]|0;b[W+5>>0]=O;b[W+6>>0]=-1;O=W+e|0;if(N>>>0>E>>>0){I=O;J=N;break}else{V=N;W=O}}}while(0);if(J>>>0<m>>>0?(E=((h[J+1>>0]|0)+2+(h[J+g>>0]|0)+(h[J+s>>0]|0)+(h[J+r>>0]|0)|0)>>>2,b[I+(0-l)>>0]=((h[J>>0]|0)+2+(h[J+2>>0]|0)+(h[J+q>>0]|0)+(h[J+v>>0]|0)|0)>>>2,b[I>>0]=E,b[I+l>>0]=b[J+t>>0]|0,u):0)b[I+2>>0]=-1;E=b[x+-1>>0]|0;H=b[x+1>>0]|0;k=b[x>>0]|0;if(p){b[x+-4>>0]=E;b[x+-3>>0]=k;b[x+-2>>0]=H;O=(f[o>>2]|0)*3|0;b[x+(O+-1)>>0]=b[x+(O+-4)>>0]|0;O=(f[o>>2]|0)*3|0;Z=O;_=O;$=1}else{b[x+-5>>0]=E;b[x+-4>>0]=k;b[x+-3>>0]=H;b[x+-2>>0]=b[x+2>>0]|0;H=Y(f[o>>2]|0,d)|0;b[x+(H+-1)>>0]=b[x+(H+-5)>>0]|0;H=Y(f[o>>2]|0,d)|0;b[x+H>>0]=b[x+(H+-4)>>0]|0;H=Y(f[o>>2]|0,d)|0;Z=H;_=H+1|0;$=2}b[x+_>>0]=b[x+(Z+-3)>>0]|0;H=Y(f[o>>2]|0,d)|0;b[x+(H+$)>>0]=b[x+(H+-2)>>0]|0;C=(a^1)&1;D=0-l|0}c=c+1|0;if((c|0)>=(f[n>>2]|0))break;else{x=x+j|0;y=y+g|0;i=C;l=D}}return}function Npa(a){a=a|0;vpa(a);Emc(a);return}function Opa(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;c=f[a+52>>2]|0;e=c>>>1;g=(f[a+108>>2]|0)>>>1;h=f[a+132>>2]|0;i=f[a+136>>2]|0;k=f[a+116>>2]|0;l=f[b>>2]|0;m=(l&1|0)==0;n=f[b+4>>2]|0;if((l|0)>=(n|0))return;b=(f[a+76>>2]|0)+(g+1<<1)+((Y(l,g)|0)<<1)|0;o=(f[a+20>>2]|0)+((Y(l,e)|0)<<1)|0;p=f[a+124>>2]|0;a=(p|0)<1;q=c|1;c=e+2|0;r=e+1|0;s=e<<1;t=s+2|0;u=s|1;v=e+3|0;w=p+-1|0;x=b;b=l;l=o;o=m?k:(k|0)==0&1;k=m?i:h;y=m?h:i;while(1){i=l+(p<<1)|0;if(a){d[x+(p<<1)>>1]=0;d[x+-2>>1]=0;z=k;A=o;B=y}else{h=(o|0)!=0;if(h){m=l+2|0;C=Y((j[l+(q<<1)>>1]|0)+(j[m>>1]|0)|0,k)|0;D=Y((j[l+(c<<1)>>1]|0)+(j[l+(e<<1)>>1]|0)|0,y)|0;d[x>>1]=(C+16384+D+((j[l+(r<<1)>>1]|0)*19234|0)|0)>>>15;E=x+2|0;F=m}else{E=x;F=l}m=i+-4|0;if(F>>>0>m>>>0){G=E;H=F}else{D=y<<2;C=F;I=E;while(1){J=C+4|0;K=C+(t<<1)|0;L=Y((j[J>>1]|0)+(j[C>>1]|0)+(j[C+(s<<1)>>1]|0)+(j[K>>1]|0)|0,k)|0;M=C+(c<<1)|0;N=C+(r<<1)|0;O=(L+32768+(((j[C+(e<<1)>>1]|0)+(j[C+2>>1]|0)+(j[M>>1]|0)+(j[C+(u<<1)>>1]|0)|0)*9617|0)+(Y(D,j[N>>1]|0)|0)|0)>>>16&65535;d[I>>1]=O;O=Y((j[K>>1]|0)+(j[J>>1]|0)|0,k)|0;K=Y((j[C+(v<<1)>>1]|0)+(j[N>>1]|0)|0,y)|0;d[I+2>>1]=(O+16384+K+((j[M>>1]|0)*19234|0)|0)>>>15;M=I+4|0;if(J>>>0>m>>>0){G=M;H=J;break}else{C=J;I=M}}}if(H>>>0<i>>>0){I=Y((j[H+4>>1]|0)+(j[H>>1]|0)+(j[H+(s<<1)>>1]|0)+(j[H+(t<<1)>>1]|0)|0,k)|0;C=(I+32768+(((j[H+(e<<1)>>1]|0)+(j[H+2>>1]|0)+(j[H+(c<<1)>>1]|0)+(j[H+(u<<1)>>1]|0)|0)*9617|0)+(Y(y<<2,j[H+(r<<1)>>1]|0)|0)|0)>>>16&65535;d[G>>1]=C}d[x+-2>>1]=d[x>>1]|0;d[x+(p<<1)>>1]=d[x+(w<<1)>>1]|0;z=y;A=(h^1)&1;B=k}b=b+1|0;if((b|0)>=(n|0))break;else{x=x+(g<<1)|0;l=l+(e<<1)|0;o=A;k=z;y=B}}return}function Ppa(a){a=a|0;tpa(a);Emc(a);return}function Qpa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;d=f[a+52>>2]|0;e=f[a+108>>2]|0;g=f[a+132>>2]|0;i=f[a+136>>2]|0;j=f[a+116>>2]|0;k=f[c>>2]|0;l=(k&1|0)==0;m=c+4|0;if((k|0)>=(f[m>>2]|0))return;c=(f[a+76>>2]|0)+(e+1)+(Y(k,e)|0)|0;n=(f[a+20>>2]|0)+(Y(k,d)|0)|0;o=a+124|0;a=d<<1;p=a|1;q=d+2|0;r=d+1|0;s=a+2|0;t=d+3|0;u=c;c=k;k=n;n=l?j:(j|0)==0&1;j=l?i:g;v=l?g:i;while(1){i=f[o>>2]|0;g=k+i|0;if((i|0)<1){b[u+i>>0]=0;b[u+-1>>0]=0;w=j;x=n;y=v}else{i=(n|0)!=0;if(i){l=k+1|0;z=Y((h[k+p>>0]|0)+(h[l>>0]|0)|0,j)|0;A=Y((h[k+q>>0]|0)+(h[k+d>>0]|0)|0,v)|0;b[u>>0]=(z+16384+A+((h[k+r>>0]|0)*19234|0)|0)>>>15;B=u+1|0;C=l}else{B=u;C=k}l=g+-2|0;if(C>>>0>l>>>0){D=B;E=C}else{A=v<<2;z=C;F=B;while(1){G=z+2|0;H=z+s|0;I=Y((h[G>>0]|0)+(h[z>>0]|0)+(h[z+a>>0]|0)+(h[H>>0]|0)|0,j)|0;J=z+q|0;K=z+r|0;L=(I+32768+(((h[z+d>>0]|0)+(h[z+1>>0]|0)+(h[J>>0]|0)+(h[z+p>>0]|0)|0)*9617|0)+(Y(A,h[K>>0]|0)|0)|0)>>>16&255;b[F>>0]=L;L=Y((h[H>>0]|0)+(h[G>>0]|0)|0,j)|0;H=Y((h[z+t>>0]|0)+(h[K>>0]|0)|0,v)|0;b[F+1>>0]=(L+16384+H+((h[J>>0]|0)*19234|0)|0)>>>15;J=F+2|0;if(G>>>0>l>>>0){D=J;E=G;break}else{z=G;F=J}}}if(E>>>0<g>>>0){F=Y((h[E+2>>0]|0)+(h[E>>0]|0)+(h[E+a>>0]|0)+(h[E+s>>0]|0)|0,j)|0;z=(F+32768+(((h[E+d>>0]|0)+(h[E+1>>0]|0)+(h[E+q>>0]|0)+(h[E+p>>0]|0)|0)*9617|0)+(Y(v<<2,h[E+r>>0]|0)|0)|0)>>>16&255;b[D>>0]=z}b[u+-1>>0]=b[u>>0]|0;z=f[o>>2]|0;b[u+z>>0]=b[u+(z+-1)>>0]|0;w=v;x=(i^1)&1;y=j}c=c+1|0;if((c|0)>=(f[m>>2]|0))break;else{u=u+e|0;k=k+d|0;n=x;j=w;v=y}}return}function Rpa(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0;l=u;u=u+64|0;m=l+56|0;n=l+24|0;o=l+16|0;p=l;zT(o,61372);q=k?2:0;switch(h|0){case 0:{f[p>>2]=i;f[p+4>>2]=j;f[p+8>>2]=q;f[m>>2]=0;f[m+4>>2]=g;f[n>>2]=61400;f[n+4>>2]=a;f[n+8>>2]=b;f[n+12>>2]=c;f[n+16>>2]=d;f[n+20>>2]=e;f[n+24>>2]=p;oU(m,n,+(Y(g,e)|0)*.0000152587890625);break}case 2:{f[p>>2]=i;f[p+4>>2]=j;f[p+8>>2]=q;f[m>>2]=0;f[m+4>>2]=g;f[n>>2]=61420;f[n+4>>2]=a;f[n+8>>2]=b;f[n+12>>2]=c;f[n+16>>2]=d;f[n+20>>2]=e;f[n+24>>2]=p;oU(m,n,+(Y(g,e)|0)*.0000152587890625);break}default:{f[p>>2]=i;f[p+4>>2]=j;f[p+8>>2]=q;f[m>>2]=0;f[m+4>>2]=g;f[n>>2]=61440;f[n+4>>2]=a;f[n+8>>2]=b;f[n+12>>2]=c;f[n+16>>2]=d;f[n+20>>2]=e;f[n+24>>2]=p;oU(m,n,+(Y(g,e)|0)*.0000152587890625)}}if(!(f[o+4>>2]|0)){u=l;return}u=l;return}function Spa(a){a=a|0;Emc(a);return}function Tpa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;zT(d,61452);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){Upa(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function Upa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=f[a>>2]|0;g=f[a+8>>2]|0;if((f[a+4>>2]|0)==3){a=d*3|0;if((d|0)<=0)return;h=g^2;i=0;j=b;while(1){k=f[j+4>>2]|0;l=f[j+(h<<2)>>2]|0;f[c+(i<<2)>>2]=f[j+(g<<2)>>2];f[c+(i+1<<2)>>2]=k;f[c+(i+2<<2)>>2]=l;i=i+3|0;if((i|0)>=(a|0))break;else j=j+(e<<2)|0}return}if((e|0)==3){e=d*3|0;if((d|0)<=0)return;j=g^2;a=c;i=0;while(1){h=f[b+(i+1<<2)>>2]|0;l=f[b+(i+2<<2)>>2]|0;f[a+(g<<2)>>2]=f[b+(i<<2)>>2];f[a+4>>2]=h;f[a+(j<<2)>>2]=l;n[a+12>>2]=1.0;i=i+3|0;if((i|0)>=(e|0))break;else a=a+16|0}return}else{a=d<<2;if((d|0)<=0)return;d=g^2;e=0;do{i=e|1;j=f[b+(i<<2)>>2]|0;l=f[b+((e|2)<<2)>>2]|0;h=e|3;k=f[b+(h<<2)>>2]|0;f[c+(e+g<<2)>>2]=f[b+(e<<2)>>2];f[c+(i<<2)>>2]=j;f[c+(e+d<<2)>>2]=l;f[c+(h<<2)>>2]=k;e=e+4|0}while((e|0)<(a|0));return}}function Vpa(a){a=a|0;Emc(a);return}function Wpa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;zT(d,61472);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){Xpa(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function Xpa(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;g=f[a>>2]|0;h=f[a+8>>2]|0;if((f[a+4>>2]|0)==3){a=e*3|0;if((e|0)<=0)return;i=h^2;j=0;k=b;while(1){l=d[k+2>>1]|0;m=d[k+(i<<1)>>1]|0;d[c+(j<<1)>>1]=d[k+(h<<1)>>1]|0;d[c+(j+1<<1)>>1]=l;d[c+(j+2<<1)>>1]=m;j=j+3|0;if((j|0)>=(a|0))break;else k=k+(g<<1)|0}return}if((g|0)==3){g=e*3|0;if((e|0)<=0)return;k=h^2;a=c;j=0;while(1){i=d[b+(j+1<<1)>>1]|0;m=d[b+(j+2<<1)>>1]|0;d[a+(h<<1)>>1]=d[b+(j<<1)>>1]|0;d[a+2>>1]=i;d[a+(k<<1)>>1]=m;d[a+6>>1]=-1;j=j+3|0;if((j|0)>=(g|0))break;else a=a+8|0}return}else{a=e<<2;if((e|0)<=0)return;e=h^2;g=0;do{j=g|1;k=d[b+(j<<1)>>1]|0;m=d[b+((g|2)<<1)>>1]|0;i=g|3;l=d[b+(i<<1)>>1]|0;d[c+(g+h<<1)>>1]=d[b+(g<<1)>>1]|0;d[c+(j<<1)>>1]=k;d[c+(g+e<<1)>>1]=m;d[c+(i<<1)>>1]=l;g=g+4|0}while((g|0)<(a|0));return}}function Ypa(a){a=a|0;Emc(a);return}function Zpa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;zT(d,61492);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){_pa(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function _pa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;g=f[a>>2]|0;h=f[a+8>>2]|0;if((f[a+4>>2]|0)==3){a=e*3|0;if((e|0)<=0)return;i=h^2;j=0;k=c;while(1){l=b[k+1>>0]|0;m=b[k+i>>0]|0;b[d+j>>0]=b[k+h>>0]|0;b[d+(j+1)>>0]=l;b[d+(j+2)>>0]=m;j=j+3|0;if((j|0)>=(a|0))break;else k=k+g|0}return}if((g|0)==3){g=e*3|0;if((e|0)<=0)return;k=h^2;a=d;j=0;while(1){i=b[c+(j+1)>>0]|0;m=b[c+(j+2)>>0]|0;b[a+h>>0]=b[c+j>>0]|0;b[a+1>>0]=i;b[a+k>>0]=m;b[a+3>>0]=-1;j=j+3|0;if((j|0)>=(g|0))break;else a=a+4|0}return}else{a=e<<2;if((e|0)<=0)return;e=h^2;g=0;do{j=g|1;k=b[c+j>>0]|0;m=b[c+(g|2)>>0]|0;i=g|3;l=b[c+i>>0]|0;b[d+(g+h)>>0]=b[c+g>>0]|0;b[d+j>>0]=k;b[d+(g+e)>>0]=m;b[d+i>>0]=l;g=g+4|0}while((g|0)<(a|0));return}}function $pa(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0;k=u;u=u+64|0;l=k+56|0;m=k+24|0;n=k+16|0;o=k;zT(n,61512);f[o>>2]=h;f[o+4>>2]=i?2:0;f[o+8>>2]=j;f[l>>2]=0;f[l+4>>2]=g;f[m>>2]=61540;f[m+4>>2]=a;f[m+8>>2]=b;f[m+12>>2]=c;f[m+16>>2]=d;f[m+20>>2]=e;f[m+24>>2]=o;oU(l,m,+(Y(g,e)|0)*.0000152587890625);if(!(f[n+4>>2]|0)){u=k;return}u=k;return}function aqa(a){a=a|0;Emc(a);return}function bqa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;d=c;zT(d,61552);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;a=e;while(1){cqa(f[j>>2]|0,b,l,f[k>>2]|0);a=a+1|0;if((a|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;b=b+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function cqa(a,c,e,g){a=a|0;c=c|0;e=e|0;g=g|0;var i=0,j=0,k=0,l=0,m=0;i=f[a+4>>2]|0;j=(f[a>>2]|0)==3;k=(g|0)>0;if((f[a+8>>2]|0)==6)if(j){if(!k)return;a=i^2;l=c;m=0;while(1){d[e+(m<<1)>>1]=(b[l+1>>0]&-4&255)<<3|(h[l+i>>0]|0)>>>3|(b[l+a>>0]&-8&255)<<8;m=m+1|0;if((m|0)==(g|0))break;else l=l+3|0}return}else{if(!k)return;l=i^2;m=c;a=0;while(1){d[e+(a<<1)>>1]=(b[m+1>>0]&-4&255)<<3|(h[m+i>>0]|0)>>>3|(b[m+l>>0]&-8&255)<<8;a=a+1|0;if((a|0)==(g|0))break;else m=m+4|0}return}else if(j){if(!k)return;j=i^2;m=c;a=0;while(1){d[e+(a<<1)>>1]=(b[m+1>>0]&-8&255)<<2|(h[m+i>>0]|0)>>>3|(b[m+j>>0]&-8&255)<<7;a=a+1|0;if((a|0)==(g|0))break;else m=m+3|0}return}else{if(!k)return;k=i^2;m=c;c=0;while(1){d[e+(c<<1)>>1]=(b[m+1>>0]&-8&255)<<2|(h[m+i>>0]|0)>>>3|(b[m+k>>0]&-8&255)<<7|(b[m+3>>0]|0?32768:0);c=c+1|0;if((c|0)==(g|0))break;else m=m+4|0}return}}function dqa(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0;k=u;u=u+64|0;l=k+56|0;m=k+24|0;n=k+16|0;o=k;zT(n,61572);f[o>>2]=h;f[o+4>>2]=i?2:0;f[o+8>>2]=j;f[l>>2]=0;f[l+4>>2]=g;f[m>>2]=61600;f[m+4>>2]=a;f[m+8>>2]=b;f[m+12>>2]=c;f[m+16>>2]=d;f[m+20>>2]=e;f[m+24>>2]=o;oU(l,m,+(Y(g,e)|0)*.0000152587890625);if(!(f[n+4>>2]|0)){u=k;return}u=k;return}function eqa(a){a=a|0;Emc(a);return}function fqa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;d=c;zT(d,61612);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;a=e;while(1){gqa(f[j>>2]|0,b,l,f[k>>2]|0);a=a+1|0;if((a|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;b=b+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function gqa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,k=0,l=0,m=0;g=f[a>>2]|0;h=f[a+4>>2]|0;i=(e|0)>0;if((f[a+8>>2]|0)==6){if(!i)return;a=h^2;if((g|0)==4){k=0;l=d;while(1){m=j[c+(k<<1)>>1]|0;b[l+h>>0]=m<<3;b[l+1>>0]=m>>>3&252;b[l+a>>0]=m>>>8&248;b[l+3>>0]=-1;k=k+1|0;if((k|0)==(e|0))break;else l=l+4|0}return}else{l=0;k=d;while(1){m=j[c+(l<<1)>>1]|0;b[k+h>>0]=m<<3;b[k+1>>0]=m>>>3&252;b[k+a>>0]=m>>>8&248;l=l+1|0;if((l|0)==(e|0))break;else k=k+g|0}return}}else{if(!i)return;i=h^2;if((g|0)==4){k=0;l=d;while(1){a=j[c+(k<<1)>>1]|0;b[l+h>>0]=a<<3;b[l+1>>0]=a>>>2&248;b[l+i>>0]=a>>>7&248;b[l+3>>0]=a<<16>>31;k=k+1|0;if((k|0)==(e|0))break;else l=l+4|0}return}else{l=0;k=d;while(1){d=j[c+(l<<1)>>1]|0;b[k+h>>0]=d<<3;b[k+1>>0]=d>>>2&248;b[k+i>>0]=d>>>7&248;l=l+1|0;if((l|0)==(e|0))break;else k=k+g|0}return}}}function hqa(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;k=u;u=u+3136|0;l=k+3120|0;m=k+3088|0;n=k+3080|0;o=k;zT(n,61632);p=j?2:0;switch(h|0){case 0:{f[o>>2]=i;h=f[61652+((p^2)<<2)>>2]|0;q=f[61652+(p<<2)>>2]|0;p=0;r=0;s=8192;t=0;while(1){f[o+4+(t<<2)>>2]=p;f[o+4+(t+256<<2)>>2]=r;f[o+4+(t+512<<2)>>2]=s;t=t+1|0;if((t|0)==256)break;else{p=p+h|0;r=r+9617|0;s=s+q|0}}f[l>>2]=0;f[l+4>>2]=g;f[m>>2]=61672;f[m+4>>2]=a;f[m+8>>2]=b;f[m+12>>2]=c;f[m+16>>2]=d;f[m+20>>2]=e;f[m+24>>2]=o;oU(l,m,+(Y(g,e)|0)*.0000152587890625);break}case 2:{f[o>>2]=i;q=o+4|0;f[q>>2]=f[15413];f[q+4>>2]=f[15414];f[q+8>>2]=f[15415];if(!j){f[q>>2]=1868;f[o+12>>2]=4899}f[l>>2]=0;f[l+4>>2]=g;f[m>>2]=61692;f[m+4>>2]=a;f[m+8>>2]=b;f[m+12>>2]=c;f[m+16>>2]=d;f[m+20>>2]=e;f[m+24>>2]=o;oU(l,m,+(Y(g,e)|0)*.0000152587890625);break}default:{f[o>>2]=i;i=o+4|0;f[i>>2]=f[15426];f[i+4>>2]=f[15427];f[i+8>>2]=f[15428];if(!j){f[i>>2]=1038710997;f[o+12>>2]=1050220167}f[l>>2]=0;f[l+4>>2]=g;f[m>>2]=61724;f[m+4>>2]=a;f[m+8>>2]=b;f[m+12>>2]=c;f[m+16>>2]=d;f[m+20>>2]=e;f[m+24>>2]=o;oU(l,m,+(Y(g,e)|0)*.0000152587890625)}}if(!(f[n+4>>2]|0)){u=k;return}u=k;return}function iqa(a){a=a|0;Emc(a);return}function jqa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0;c=u;u=u+16|0;d=c;zT(d,61736);e=f[b>>2]|0;g=f[b+4>>2]|0;a:do if((e|0)<(g|0)){b=f[a+16>>2]|0;h=f[a+8>>2]|0;i=a+24|0;j=f[a+20>>2]|0;if((j|0)<=0){k=e;while(1){k=k+1|0;if((k|0)>=(g|0))break a}}k=(f[a+4>>2]|0)+(Y(h,e)|0)|0;l=(f[a+12>>2]|0)+(Y(b,e)|0)|0;m=e;o=k;while(1){k=f[i>>2]|0;p=f[k>>2]|0;q=+n[k+4>>2];r=+n[k+8>>2];s=+n[k+12>>2];k=o;t=0;while(1){n[l+(t<<2)>>2]=q*+n[k>>2]+r*+n[k+4>>2]+s*+n[k+8>>2];t=t+1|0;if((t|0)==(j|0))break;else k=k+(p<<2)|0}m=m+1|0;if((m|0)>=(g|0))break;else{l=l+b|0;o=o+h|0}}}while(0);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function kqa(a){a=a|0;Emc(a);return}function lqa(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;c=u;u=u+16|0;e=c;zT(e,61756);g=f[b>>2]|0;h=f[b+4>>2]|0;if((g|0)<(h|0)){b=f[a+16>>2]|0;i=(f[a+12>>2]|0)+(Y(b,g)|0)|0;k=f[a+8>>2]|0;l=(f[a+4>>2]|0)+(Y(k,g)|0)|0;m=a+24|0;n=f[a+20>>2]|0;a=(n|0)>0;o=i;i=l;l=g;while(1){g=f[m>>2]|0;p=f[g>>2]|0;q=f[g+4>>2]|0;r=f[g+8>>2]|0;s=f[g+12>>2]|0;if(a){g=i;t=0;while(1){v=Y(j[g>>1]|0,q)|0;w=Y(j[g+2>>1]|0,r)|0;x=(v+8192+w+(Y(j[g+4>>1]|0,s)|0)|0)>>>14&65535;d[o+(t<<1)>>1]=x;t=t+1|0;if((t|0)==(n|0))break;else g=g+(p<<1)|0}}l=l+1|0;if((l|0)>=(h|0))break;else{o=o+b|0;i=i+k|0}}}if(!(f[e+4>>2]|0)){u=c;return}u=c;return}function mqa(a){a=a|0;Emc(a);return}function nqa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+16|0;e=d;zT(e,61776);g=f[c>>2]|0;i=a+8|0;j=a+16|0;k=c+4|0;c=f[k>>2]|0;if((g|0)<(c|0)){l=f[j>>2]|0;m=(f[a+12>>2]|0)+(Y(l,g)|0)|0;n=f[i>>2]|0;o=a+24|0;p=a+20|0;q=m;m=(f[a+4>>2]|0)+(Y(n,g)|0)|0;a=g;g=c;c=l;l=n;while(1){n=f[o>>2]|0;r=f[p>>2]|0;s=f[n>>2]|0;if((r|0)>0){t=m;v=0;while(1){b[q+v>>0]=((f[n+4+((h[t+1>>0]|0|256)<<2)>>2]|0)+(f[n+4+((h[t>>0]|0)<<2)>>2]|0)+(f[n+4+((h[t+2>>0]|0|512)<<2)>>2]|0)|0)>>>14;v=v+1|0;if((v|0)==(r|0))break;else t=t+s|0}w=f[i>>2]|0;x=f[j>>2]|0;y=f[k>>2]|0}else{w=l;x=c;y=g}a=a+1|0;if((a|0)>=(y|0))break;else{q=q+x|0;m=m+w|0;g=y;c=x;l=w}}}if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function oqa(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0;j=u;u=u+64|0;k=j+48|0;l=j+16|0;m=j+8|0;n=j;zT(m,61796);switch(h|0){case 0:{f[n>>2]=i;f[k>>2]=0;f[k+4>>2]=g;f[l>>2]=61824;f[l+4>>2]=a;f[l+8>>2]=b;f[l+12>>2]=c;f[l+16>>2]=d;f[l+20>>2]=e;f[l+24>>2]=n;oU(k,l,+(Y(g,e)|0)*.0000152587890625);break}case 2:{f[n>>2]=i;f[k>>2]=0;f[k+4>>2]=g;f[l>>2]=61844;f[l+4>>2]=a;f[l+8>>2]=b;f[l+12>>2]=c;f[l+16>>2]=d;f[l+20>>2]=e;f[l+24>>2]=n;oU(k,l,+(Y(g,e)|0)*.0000152587890625);break}default:{f[n>>2]=i;f[k>>2]=0;f[k+4>>2]=g;f[l>>2]=61864;f[l+4>>2]=a;f[l+8>>2]=b;f[l+12>>2]=c;f[l+16>>2]=d;f[l+20>>2]=e;f[l+24>>2]=n;oU(k,l,+(Y(g,e)|0)*.0000152587890625)}}if(!(f[m+4>>2]|0)){u=j;return}u=j;return}function pqa(a){a=a|0;Emc(a);return}function qqa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0;c=u;u=u+16|0;d=c;zT(d,61876);e=f[b>>2]|0;g=f[b+4>>2]|0;a:do if((e|0)<(g|0)){b=f[a+8>>2]|0;h=f[a+16>>2]|0;i=a+24|0;j=f[a+20>>2]|0;if((j|0)<=0){k=e;while(1){k=k+1|0;if((k|0)>=(g|0))break a}}k=(f[a+12>>2]|0)+(Y(h,e)|0)|0;l=k;k=(f[a+4>>2]|0)+(Y(b,e)|0)|0;m=e;while(1){if((f[f[i>>2]>>2]|0)==3){o=l;p=0;while(1){q=f[k+(p<<2)>>2]|0;f[o+8>>2]=q;f[o+4>>2]=q;f[o>>2]=q;p=p+1|0;if((p|0)==(j|0))break;else o=o+12|0}}else{o=0;p=l;while(1){q=f[k+(o<<2)>>2]|0;f[p+8>>2]=q;f[p+4>>2]=q;f[p>>2]=q;n[p+12>>2]=1.0;o=o+1|0;if((o|0)==(j|0))break;else p=p+16|0}}m=m+1|0;if((m|0)>=(g|0))break;else{l=l+h|0;k=k+b|0}}}while(0);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function rqa(a){a=a|0;Emc(a);return}function sqa(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=u;u=u+16|0;e=c;zT(e,61896);g=f[b>>2]|0;h=f[b+4>>2]|0;a:do if((g|0)<(h|0)){b=f[a+8>>2]|0;i=f[a+16>>2]|0;j=a+24|0;k=f[a+20>>2]|0;if((k|0)<=0){l=g;while(1){l=l+1|0;if((l|0)>=(h|0))break a}}l=(f[a+12>>2]|0)+(Y(i,g)|0)|0;m=l;l=(f[a+4>>2]|0)+(Y(b,g)|0)|0;n=g;while(1){if((f[f[j>>2]>>2]|0)==3){o=m;p=0;while(1){q=d[l+(p<<1)>>1]|0;d[o+4>>1]=q;d[o+2>>1]=q;d[o>>1]=q;p=p+1|0;if((p|0)==(k|0))break;else o=o+6|0}}else{o=0;p=m;while(1){q=d[l+(o<<1)>>1]|0;d[p+4>>1]=q;d[p+2>>1]=q;d[p>>1]=q;d[p+6>>1]=-1;o=o+1|0;if((o|0)==(k|0))break;else p=p+8|0}}n=n+1|0;if((n|0)>=(h|0))break;else{m=m+i|0;l=l+b|0}}}while(0);if(!(f[e+4>>2]|0)){u=c;return}u=c;return}function tqa(a){a=a|0;Emc(a);return}function uqa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+16|0;e=d;zT(e,61916);g=f[c>>2]|0;h=a+8|0;i=a+16|0;j=c+4|0;if((g|0)<(f[j>>2]|0)){c=(f[a+12>>2]|0)+(Y(f[i>>2]|0,g)|0)|0;k=a+24|0;l=a+20|0;m=c;c=(f[a+4>>2]|0)+(Y(f[h>>2]|0,g)|0)|0;a=g;while(1){g=f[l>>2]|0;n=(g|0)>0;if((f[f[k>>2]>>2]|0)==3){if(n){o=m;p=0;while(1){q=b[c+p>>0]|0;b[o+2>>0]=q;b[o+1>>0]=q;b[o>>0]=q;p=p+1|0;if((p|0)==(g|0))break;else o=o+3|0}}}else if(n){o=0;p=m;while(1){q=b[c+o>>0]|0;b[p+2>>0]=q;b[p+1>>0]=q;b[p>>0]=q;b[p+3>>0]=-1;o=o+1|0;if((o|0)==(g|0))break;else p=p+4|0}}a=a+1|0;if((a|0)>=(f[j>>2]|0))break;else{m=m+(f[i>>2]|0)|0;c=c+(f[h>>2]|0)|0}}}if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function vqa(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;i=u;u=u+64|0;j=i+48|0;k=i+16|0;l=i+8|0;m=i;zT(l,61936);f[m>>2]=h;f[j>>2]=0;f[j+4>>2]=g;f[k>>2]=61964;f[k+4>>2]=a;f[k+8>>2]=b;f[k+12>>2]=c;f[k+16>>2]=d;f[k+20>>2]=e;f[k+24>>2]=m;oU(j,k,+(Y(g,e)|0)*.0000152587890625);if(!(f[l+4>>2]|0)){u=i;return}u=i;return}function wqa(a){a=a|0;Emc(a);return}function xqa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+16|0;e=d;zT(e,61976);g=f[c>>2]|0;h=a+8|0;i=a+16|0;k=c+4|0;if((g|0)<(f[k>>2]|0)){c=(f[a+12>>2]|0)+(Y(f[i>>2]|0,g)|0)|0;l=a+24|0;m=a+20|0;n=c;c=(f[a+4>>2]|0)+(Y(f[h>>2]|0,g)|0)|0;a=g;while(1){g=f[m>>2]|0;o=(g|0)>0;if((f[f[l>>2]>>2]|0)==6){if(o){p=0;do{q=j[c+(p<<1)>>1]|0;b[n+p>>0]=(((q>>>3&252)*9617|0)+8192+((q<<3&248)*1868|0)+((q>>>8&248)*4899|0)|0)>>>14;p=p+1|0}while((p|0)!=(g|0))}}else if(o){p=0;do{q=j[c+(p<<1)>>1]|0;b[n+p>>0]=(((q>>>2&248)*9617|0)+8192+((q<<3&248)*1868|0)+((q>>>7&248)*4899|0)|0)>>>14;p=p+1|0}while((p|0)!=(g|0))}a=a+1|0;if((a|0)>=(f[k>>2]|0))break;else{n=n+(f[i>>2]|0)|0;c=c+(f[h>>2]|0)|0}}}if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function yqa(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;i=u;u=u+64|0;j=i+48|0;k=i+16|0;l=i+8|0;m=i;zT(l,61996);f[m>>2]=h;f[j>>2]=0;f[j+4>>2]=g;f[k>>2]=62024;f[k+4>>2]=a;f[k+8>>2]=b;f[k+12>>2]=c;f[k+16>>2]=d;f[k+20>>2]=e;f[k+24>>2]=m;oU(j,k,+(Y(g,e)|0)*.0000152587890625);if(!(f[l+4>>2]|0)){u=i;return}u=i;return}function zqa(a){a=a|0;Emc(a);return}function Aqa(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=u;u=u+16|0;e=c;zT(e,62036);g=f[b>>2]|0;i=f[b+4>>2]|0;if((g|0)<(i|0)){b=f[a+16>>2]|0;j=(f[a+12>>2]|0)+(Y(b,g)|0)|0;k=f[a+8>>2]|0;l=(f[a+4>>2]|0)+(Y(k,g)|0)|0;m=a+24|0;n=f[a+20>>2]|0;a=(n|0)>0;o=j;j=l;l=g;while(1){if((f[f[m>>2]>>2]|0)==6){if(a){g=0;do{p=h[j+g>>0]|0;d[o+(g<<1)>>1]=p<<3&2016|p>>>3|p<<8&63488;g=g+1|0}while((g|0)!=(n|0))}}else if(a){g=0;do{p=(h[j+g>>0]|0)>>>3;d[o+(g<<1)>>1]=p<<5|p|p<<10;g=g+1|0}while((g|0)!=(n|0))}l=l+1|0;if((l|0)>=(i|0))break;else{o=o+b|0;j=j+k|0}}}if(!(f[e+4>>2]|0)){u=c;return}u=c;return}function Bqa(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+64|0;i=h+40|0;j=h+8|0;k=h;zT(k,62056);f[i>>2]=0;f[i+4>>2]=g;f[j>>2]=62084;f[j+4>>2]=a;f[j+8>>2]=b;f[j+12>>2]=c;f[j+16>>2]=d;f[j+20>>2]=e;f[j+24>>2]=h+48;oU(i,j,+(Y(g,e)|0)*.0000152587890625);if(!(f[k+4>>2]|0)){u=h;return}u=h;return}function Cqa(a){a=a|0;Emc(a);return}function Dqa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=u;u=u+16|0;e=d;zT(e,62096);g=f[c>>2]|0;i=a+8|0;j=a+16|0;k=c+4|0;c=f[k>>2]|0;if((g|0)<(c|0)){l=f[j>>2]|0;m=(f[a+12>>2]|0)+(Y(l,g)|0)|0;n=f[i>>2]|0;o=a+20|0;p=m;m=g;q=(f[a+4>>2]|0)+(Y(n,g)|0)|0;g=c;c=l;l=n;while(1){n=f[o>>2]|0;if((n|0)>0){a=p;r=0;s=q;while(1){t=b[s+1>>0]|0;v=b[s+2>>0]|0;w=b[s+3>>0]|0;x=w&255;y=((((Y(x,h[s>>0]|0)|0)+128|0)>>>0)/255|0)&255;b[a>>0]=y;y=((((Y(x,t&255)|0)+128|0)>>>0)/255|0)&255;b[a+1>>0]=y;y=((((Y(x,v&255)|0)+128|0)>>>0)/255|0)&255;b[a+2>>0]=y;b[a+3>>0]=w;r=r+1|0;if((r|0)==(n|0))break;else{a=a+4|0;s=s+4|0}}z=f[i>>2]|0;A=f[j>>2]|0;B=f[k>>2]|0}else{z=l;A=c;B=g}m=m+1|0;if((m|0)>=(B|0))break;else{p=p+A|0;q=q+z|0;g=B;c=A;l=z}}}if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function Eqa(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+64|0;i=h+40|0;j=h+8|0;k=h;zT(k,62116);f[i>>2]=0;f[i+4>>2]=g;f[j>>2]=62144;f[j+4>>2]=a;f[j+8>>2]=b;f[j+12>>2]=c;f[j+16>>2]=d;f[j+20>>2]=e;f[j+24>>2]=h+48;oU(i,j,+(Y(g,e)|0)*.0000152587890625);if(!(f[k+4>>2]|0)){u=h;return}u=h;return}function Fqa(a){a=a|0;Emc(a);return}function Gqa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;d=u;u=u+16|0;e=d;zT(e,62156);g=f[c>>2]|0;i=a+8|0;j=a+16|0;k=c+4|0;c=f[k>>2]|0;if((g|0)<(c|0)){l=f[j>>2]|0;m=(f[a+12>>2]|0)+(Y(l,g)|0)|0;n=f[i>>2]|0;o=a+20|0;p=m;m=(f[a+4>>2]|0)+(Y(n,g)|0)|0;a=g;g=c;c=l;l=n;while(1){n=f[o>>2]|0;if((n|0)>0){q=p;r=0;s=m;while(1){t=b[s+3>>0]|0;v=t&255;if(!(t<<24>>24)){b[q>>0]=0;w=0;x=0}else{y=b[s+2>>0]|0;z=b[s+1>>0]|0;A=(t&255)>>>1&255;b[q>>0]=((((h[s>>0]|0)*255|0)+A|0)>>>0)/(v>>>0)|0;w=(((((z&255)*255|0)+A|0)>>>0)/(v>>>0)|0)&255;x=((((y&255)*255|0)+A|0)>>>0)/(v>>>0)|0}b[q+1>>0]=w;b[q+2>>0]=x;b[q+3>>0]=t;r=r+1|0;if((r|0)==(n|0))break;else{q=q+4|0;s=s+4|0}}B=f[i>>2]|0;C=f[j>>2]|0;D=f[k>>2]|0}else{B=l;C=c;D=g}a=a+1|0;if((a|0)>=(D|0))break;else{p=p+C|0;m=m+B|0;g=D;c=C;l=B}}}if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function Hqa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+128|0;g=e;Iqa(g,a,b,c);Rpa(f[g+16>>2]|0,f[g+48>>2]|0,f[g+72>>2]|0,f[g+104>>2]|0,f[g+12>>2]|0,f[g+8>>2]|0,f[g+112>>2]|0,f[g+116>>2]|0,c,d);Jqa(g);u=e;return}function Iqa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;g=u;u=u+64|0;h=g+8|0;i=g;f[a>>2]=1124007936;j=a+4|0;k=a+8|0;l=a+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;o=a+48|0;p=a+44|0;f[p>>2]=o;f[o>>2]=0;f[a+52>>2]=0;o=a+56|0;f[o>>2]=1124007936;q=a+60|0;r=a+64|0;s=a+96|0;m=q;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[s>>2]=r;t=a+104|0;v=a+100|0;f[v>>2]=t;f[t>>2]=0;f[a+108>>2]=0;t=a+120|0;f[t>>2]=0;w=a+124|0;f[w>>2]=0;if(DD(c)|0){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,13)|0;x=288769;n=m+13|0;do{b[m>>0]=b[x>>0]|0;m=m+1|0;x=x+1|0}while((m|0)<(n|0));SQ(-215,h,288783,285307,250)}x=oD(c,-1)|0;m=x>>>3;n=(m&511)+1|0;f[a+116>>2]=n;y=x&7;z=a+112|0;f[z>>2]=y;if((m&510|0)!=2)JY(n,62176);if((e+-3|0)>>>0>=2)JY(e,62204);switch(x&7){case 0:case 2:case 5:break;default:GY(y,62232)}y=c+4|0;x=d+4|0;if((f[y>>2]|0)!=(f[x>>2]|0)){do if((pD(c)|0)==65536){n=f[y>>2]|0;f[h>>2]=f[n>>2];m=h+4|0;A=n+4|0;f[m>>2]=f[A>>2];B=h+8|0;f[B>>2]=f[n+8>>2];f[h+12>>2]=f[n+12>>2];f[h+16>>2]=f[n+16>>2];f[h+20>>2]=f[n+20>>2];f[h+24>>2]=f[n+24>>2];f[h+28>>2]=f[n+28>>2];f[h+32>>2]=f[n+32>>2];C=f[n+36>>2]|0;f[h+36>>2]=C;f[h+40>>2]=B;B=h+48|0;D=h+44|0;f[D>>2]=B;f[B>>2]=0;f[h+52>>2]=0;if(C|0){B=C+12|0;f[B>>2]=(f[B>>2]|0)+1}if((f[A>>2]|0)<3){A=f[n+44>>2]|0;B=f[D>>2]|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];break}else{f[m>>2]=0;kP(h,n);break}}else lD(h,c,-1);while(0);y=h+36|0;n=f[y>>2]|0;if((a|0)==(h|0))E=n;else{if(n|0){m=n+12|0;f[m>>2]=(f[m>>2]|0)+1}m=a+36|0;n=f[m>>2]|0;if(n|0?(A=n+12|0,n=f[A>>2]|0,f[A>>2]=n+-1,(n|0)==1):0)lP(a);f[m>>2]=0;n=a+16|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[j>>2]|0)>0){A=f[l>>2]|0;B=0;do{f[A+(B<<2)>>2]=0;B=B+1|0;F=f[j>>2]|0}while((B|0)<(F|0));f[a>>2]=f[h>>2];if((F|0)<3)G=29;else G=31}else{f[a>>2]=f[h>>2];G=29}if((G|0)==29){F=f[h+4>>2]|0;if((F|0)<3){f[j>>2]=F;f[k>>2]=f[h+8>>2];f[a+12>>2]=f[h+12>>2];k=f[h+44>>2]|0;F=f[p>>2]|0;f[F>>2]=f[k>>2];f[F+4>>2]=f[k+4>>2]}else G=31}if((G|0)==31)kP(a,h);f[n>>2]=f[h+16>>2];f[a+20>>2]=f[h+20>>2];f[a+24>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];n=f[y>>2]|0;f[m>>2]=n;E=n}if(E|0?(n=E+12|0,E=f[n>>2]|0,f[n>>2]=E+-1,(E|0)==1):0)lP(h);f[y>>2]=0;y=h+16|0;E=h+4|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[E>>2]|0)>0){y=f[h+40>>2]|0;n=0;do{f[y+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[E>>2]|0))}E=f[h+44>>2]|0;if((E|0)!=(h+48|0))tE(E)}else{E=h+8|0;f[E>>2]=0;f[E+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=a;FD(c,h)}c=f[l>>2]|0;l=f[c+4>>2]|0;E=f[c>>2]|0;f[t>>2]=l;f[w>>2]=E;f[i>>2]=l;f[i+4>>2]=E;HD(d,i,f[z>>2]&7|(e<<3)+-8,-1,0,0);do if((pD(d)|0)==65536){e=f[x>>2]|0;f[h>>2]=f[e>>2];z=h+4|0;i=e+4|0;f[z>>2]=f[i>>2];E=h+8|0;f[E>>2]=f[e+8>>2];f[h+12>>2]=f[e+12>>2];f[h+16>>2]=f[e+16>>2];f[h+20>>2]=f[e+20>>2];f[h+24>>2]=f[e+24>>2];f[h+28>>2]=f[e+28>>2];f[h+32>>2]=f[e+32>>2];l=f[e+36>>2]|0;f[h+36>>2]=l;f[h+40>>2]=E;E=h+48|0;w=h+44|0;f[w>>2]=E;f[E>>2]=0;f[h+52>>2]=0;if(l|0){E=l+12|0;f[E>>2]=(f[E>>2]|0)+1}if((f[i>>2]|0)<3){i=f[e+44>>2]|0;E=f[w>>2]|0;f[E>>2]=f[i>>2];f[E+4>>2]=f[i+4>>2];break}else{f[z>>2]=0;kP(h,e);break}}else lD(h,d,-1);while(0);d=h+36|0;x=f[d>>2]|0;if((o|0)==(h|0))H=x;else{if(x|0){e=x+12|0;f[e>>2]=(f[e>>2]|0)+1}e=a+92|0;x=f[e>>2]|0;if(x|0?(z=x+12|0,x=f[z>>2]|0,f[z>>2]=x+-1,(x|0)==1):0)lP(o);f[e>>2]=0;x=a+72|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[q>>2]|0)>0){z=f[s>>2]|0;s=0;do{f[z+(s<<2)>>2]=0;s=s+1|0;I=f[q>>2]|0}while((s|0)<(I|0));f[o>>2]=f[h>>2];if((I|0)<3)G=60;else G=62}else{f[o>>2]=f[h>>2];G=60}if((G|0)==60){I=f[h+4>>2]|0;if((I|0)<3){f[q>>2]=I;f[r>>2]=f[h+8>>2];f[a+68>>2]=f[h+12>>2];r=f[h+44>>2]|0;I=f[v>>2]|0;f[I>>2]=f[r>>2];f[I+4>>2]=f[r+4>>2]}else G=62}if((G|0)==62)kP(o,h);f[x>>2]=f[h+16>>2];f[a+76>>2]=f[h+20>>2];f[a+80>>2]=f[h+24>>2];f[a+84>>2]=f[h+28>>2];f[a+88>>2]=f[h+32>>2];a=f[d>>2]|0;f[e>>2]=a;H=a}if(H|0?(a=H+12|0,H=f[a>>2]|0,f[a>>2]=H+-1,(H|0)==1):0)lP(h);f[d>>2]=0;d=h+16|0;H=h+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[H>>2]|0)>0){d=f[h+40>>2]|0;a=0;do{f[d+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[H>>2]|0))}H=f[h+44>>2]|0;if((H|0)==(h+48|0)){u=g;return}tE(H);u=g;return}function Jqa(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+56|0;c=a+92|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+72|0;b=a+60|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+96>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+100>>2]|0;if((b|0)!=(a+104|0))tE(b);b=a+36|0;d=f[b>>2]|0;if(d|0?(c=d+12|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)lP(a);f[b>>2]=0;b=a+16|0;d=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+40>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+44>>2]|0;if((d|0)==(a+48|0))return;tE(d);return}function Kqa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+128|0;g=e;Lqa(g,a,b,2);$pa(f[g+16>>2]|0,f[g+48>>2]|0,f[g+72>>2]|0,f[g+104>>2]|0,f[g+12>>2]|0,f[g+8>>2]|0,f[g+116>>2]|0,c,d);Mqa(g);u=e;return}function Lqa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;g=u;u=u+64|0;h=g+8|0;i=g;f[a>>2]=1124007936;j=a+4|0;k=a+8|0;l=a+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;o=a+48|0;p=a+44|0;f[p>>2]=o;f[o>>2]=0;f[a+52>>2]=0;o=a+56|0;f[o>>2]=1124007936;q=a+60|0;r=a+64|0;s=a+96|0;m=q;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[s>>2]=r;t=a+104|0;v=a+100|0;f[v>>2]=t;f[t>>2]=0;f[a+108>>2]=0;t=a+120|0;f[t>>2]=0;w=a+124|0;f[w>>2]=0;if(DD(c)|0){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,13)|0;x=288769;n=m+13|0;do{b[m>>0]=b[x>>0]|0;m=m+1|0;x=x+1|0}while((m|0)<(n|0));SQ(-215,h,288783,285307,250)}x=oD(c,-1)|0;m=x>>>3;n=(m&511)+1|0;f[a+116>>2]=n;y=x&7;x=a+112|0;f[x>>2]=y;if((m&510|0)!=2)JY(n,62260);if((e|0)!=2)JY(e,62288);if(y|0)GY(y,62316);y=c+4|0;e=d+4|0;if((f[y>>2]|0)!=(f[e>>2]|0)){do if((pD(c)|0)==65536){n=f[y>>2]|0;f[h>>2]=f[n>>2];m=h+4|0;z=n+4|0;f[m>>2]=f[z>>2];A=h+8|0;f[A>>2]=f[n+8>>2];f[h+12>>2]=f[n+12>>2];f[h+16>>2]=f[n+16>>2];f[h+20>>2]=f[n+20>>2];f[h+24>>2]=f[n+24>>2];f[h+28>>2]=f[n+28>>2];f[h+32>>2]=f[n+32>>2];B=f[n+36>>2]|0;f[h+36>>2]=B;f[h+40>>2]=A;A=h+48|0;C=h+44|0;f[C>>2]=A;f[A>>2]=0;f[h+52>>2]=0;if(B|0){A=B+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[z>>2]|0)<3){z=f[n+44>>2]|0;A=f[C>>2]|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];break}else{f[m>>2]=0;kP(h,n);break}}else lD(h,c,-1);while(0);y=h+36|0;n=f[y>>2]|0;if((a|0)==(h|0))D=n;else{if(n|0){m=n+12|0;f[m>>2]=(f[m>>2]|0)+1}m=a+36|0;n=f[m>>2]|0;if(n|0?(z=n+12|0,n=f[z>>2]|0,f[z>>2]=n+-1,(n|0)==1):0)lP(a);f[m>>2]=0;n=a+16|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[j>>2]|0)>0){z=f[l>>2]|0;A=0;do{f[z+(A<<2)>>2]=0;A=A+1|0;E=f[j>>2]|0}while((A|0)<(E|0));f[a>>2]=f[h>>2];if((E|0)<3)F=29;else F=31}else{f[a>>2]=f[h>>2];F=29}if((F|0)==29){E=f[h+4>>2]|0;if((E|0)<3){f[j>>2]=E;f[k>>2]=f[h+8>>2];f[a+12>>2]=f[h+12>>2];k=f[h+44>>2]|0;E=f[p>>2]|0;f[E>>2]=f[k>>2];f[E+4>>2]=f[k+4>>2]}else F=31}if((F|0)==31)kP(a,h);f[n>>2]=f[h+16>>2];f[a+20>>2]=f[h+20>>2];f[a+24>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];n=f[y>>2]|0;f[m>>2]=n;D=n}if(D|0?(n=D+12|0,D=f[n>>2]|0,f[n>>2]=D+-1,(D|0)==1):0)lP(h);f[y>>2]=0;y=h+16|0;D=h+4|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[D>>2]|0)>0){y=f[h+40>>2]|0;n=0;do{f[y+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[D>>2]|0))}D=f[h+44>>2]|0;if((D|0)!=(h+48|0))tE(D)}else{D=h+8|0;f[D>>2]=0;f[D+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=a;FD(c,h)}c=f[l>>2]|0;l=f[c+4>>2]|0;D=f[c>>2]|0;f[t>>2]=l;f[w>>2]=D;f[i>>2]=l;f[i+4>>2]=D;HD(d,i,f[x>>2]&7|8,-1,0,0);do if((pD(d)|0)==65536){x=f[e>>2]|0;f[h>>2]=f[x>>2];i=h+4|0;D=x+4|0;f[i>>2]=f[D>>2];l=h+8|0;f[l>>2]=f[x+8>>2];f[h+12>>2]=f[x+12>>2];f[h+16>>2]=f[x+16>>2];f[h+20>>2]=f[x+20>>2];f[h+24>>2]=f[x+24>>2];f[h+28>>2]=f[x+28>>2];f[h+32>>2]=f[x+32>>2];w=f[x+36>>2]|0;f[h+36>>2]=w;f[h+40>>2]=l;l=h+48|0;t=h+44|0;f[t>>2]=l;f[l>>2]=0;f[h+52>>2]=0;if(w|0){l=w+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[D>>2]|0)<3){D=f[x+44>>2]|0;l=f[t>>2]|0;f[l>>2]=f[D>>2];f[l+4>>2]=f[D+4>>2];break}else{f[i>>2]=0;kP(h,x);break}}else lD(h,d,-1);while(0);d=h+36|0;e=f[d>>2]|0;if((o|0)==(h|0))G=e;else{if(e|0){x=e+12|0;f[x>>2]=(f[x>>2]|0)+1}x=a+92|0;e=f[x>>2]|0;if(e|0?(i=e+12|0,e=f[i>>2]|0,f[i>>2]=e+-1,(e|0)==1):0)lP(o);f[x>>2]=0;e=a+72|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[q>>2]|0)>0){i=f[s>>2]|0;s=0;do{f[i+(s<<2)>>2]=0;s=s+1|0;H=f[q>>2]|0}while((s|0)<(H|0));f[o>>2]=f[h>>2];if((H|0)<3)F=60;else F=62}else{f[o>>2]=f[h>>2];F=60}if((F|0)==60){H=f[h+4>>2]|0;if((H|0)<3){f[q>>2]=H;f[r>>2]=f[h+8>>2];f[a+68>>2]=f[h+12>>2];r=f[h+44>>2]|0;H=f[v>>2]|0;f[H>>2]=f[r>>2];f[H+4>>2]=f[r+4>>2]}else F=62}if((F|0)==62)kP(o,h);f[e>>2]=f[h+16>>2];f[a+76>>2]=f[h+20>>2];f[a+80>>2]=f[h+24>>2];f[a+84>>2]=f[h+28>>2];f[a+88>>2]=f[h+32>>2];a=f[d>>2]|0;f[x>>2]=a;G=a}if(G|0?(a=G+12|0,G=f[a>>2]|0,f[a>>2]=G+-1,(G|0)==1):0)lP(h);f[d>>2]=0;d=h+16|0;G=h+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[G>>2]|0)>0){d=f[h+40>>2]|0;a=0;do{f[d+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[G>>2]|0))}G=f[h+44>>2]|0;if((G|0)==(h+48|0)){u=g;return}tE(G);u=g;return}function Mqa(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+56|0;c=a+92|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+72|0;b=a+60|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+96>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+100>>2]|0;if((b|0)!=(a+104|0))tE(b);b=a+36|0;d=f[b>>2]|0;if(d|0?(c=d+12|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)lP(a);f[b>>2]=0;b=a+16|0;d=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+40>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+44>>2]|0;if((d|0)==(a+48|0))return;tE(d);return}function Nqa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+128|0;h=g;i=(c|0)<1?3:c;W3(h,a,b,i);dqa(f[h+16>>2]|0,f[h+48>>2]|0,f[h+72>>2]|0,f[h+104>>2]|0,f[h+12>>2]|0,f[h+8>>2]|0,i,d,e);X3(h);u=g;return}function Oqa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+128|0;e=d;Pqa(e,a,b,1);hqa(f[e+16>>2]|0,f[e+48>>2]|0,f[e+72>>2]|0,f[e+104>>2]|0,f[e+12>>2]|0,f[e+8>>2]|0,f[e+112>>2]|0,f[e+116>>2]|0,c);Qqa(e);u=d;return}function Pqa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;g=u;u=u+64|0;h=g+8|0;i=g;f[a>>2]=1124007936;j=a+4|0;k=a+8|0;l=a+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;o=a+48|0;p=a+44|0;f[p>>2]=o;f[o>>2]=0;f[a+52>>2]=0;o=a+56|0;f[o>>2]=1124007936;q=a+60|0;r=a+64|0;s=a+96|0;m=q;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[s>>2]=r;t=a+104|0;v=a+100|0;f[v>>2]=t;f[t>>2]=0;f[a+108>>2]=0;t=a+120|0;f[t>>2]=0;w=a+124|0;f[w>>2]=0;if(DD(c)|0){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,13)|0;x=288769;n=m+13|0;do{b[m>>0]=b[x>>0]|0;m=m+1|0;x=x+1|0}while((m|0)<(n|0));SQ(-215,h,288783,285307,250)}x=oD(c,-1)|0;m=x>>>3;n=(m&511)+1|0;f[a+116>>2]=n;y=x&7;z=a+112|0;f[z>>2]=y;if((m&510|0)!=2)JY(n,62344);if((e|0)!=1)JY(e,62372);switch(x&7){case 0:case 2:case 5:break;default:GY(y,62400)}y=c+4|0;x=d+4|0;if((f[y>>2]|0)!=(f[x>>2]|0)){do if((pD(c)|0)==65536){e=f[y>>2]|0;f[h>>2]=f[e>>2];n=h+4|0;m=e+4|0;f[n>>2]=f[m>>2];A=h+8|0;f[A>>2]=f[e+8>>2];f[h+12>>2]=f[e+12>>2];f[h+16>>2]=f[e+16>>2];f[h+20>>2]=f[e+20>>2];f[h+24>>2]=f[e+24>>2];f[h+28>>2]=f[e+28>>2];f[h+32>>2]=f[e+32>>2];B=f[e+36>>2]|0;f[h+36>>2]=B;f[h+40>>2]=A;A=h+48|0;C=h+44|0;f[C>>2]=A;f[A>>2]=0;f[h+52>>2]=0;if(B|0){A=B+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[m>>2]|0)<3){m=f[e+44>>2]|0;A=f[C>>2]|0;f[A>>2]=f[m>>2];f[A+4>>2]=f[m+4>>2];break}else{f[n>>2]=0;kP(h,e);break}}else lD(h,c,-1);while(0);y=h+36|0;e=f[y>>2]|0;if((a|0)==(h|0))D=e;else{if(e|0){n=e+12|0;f[n>>2]=(f[n>>2]|0)+1}n=a+36|0;e=f[n>>2]|0;if(e|0?(m=e+12|0,e=f[m>>2]|0,f[m>>2]=e+-1,(e|0)==1):0)lP(a);f[n>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[j>>2]|0)>0){m=f[l>>2]|0;A=0;do{f[m+(A<<2)>>2]=0;A=A+1|0;E=f[j>>2]|0}while((A|0)<(E|0));f[a>>2]=f[h>>2];if((E|0)<3)F=29;else F=31}else{f[a>>2]=f[h>>2];F=29}if((F|0)==29){E=f[h+4>>2]|0;if((E|0)<3){f[j>>2]=E;f[k>>2]=f[h+8>>2];f[a+12>>2]=f[h+12>>2];k=f[h+44>>2]|0;E=f[p>>2]|0;f[E>>2]=f[k>>2];f[E+4>>2]=f[k+4>>2]}else F=31}if((F|0)==31)kP(a,h);f[e>>2]=f[h+16>>2];f[a+20>>2]=f[h+20>>2];f[a+24>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];e=f[y>>2]|0;f[n>>2]=e;D=e}if(D|0?(e=D+12|0,D=f[e>>2]|0,f[e>>2]=D+-1,(D|0)==1):0)lP(h);f[y>>2]=0;y=h+16|0;D=h+4|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[D>>2]|0)>0){y=f[h+40>>2]|0;e=0;do{f[y+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[D>>2]|0))}D=f[h+44>>2]|0;if((D|0)!=(h+48|0))tE(D)}else{D=h+8|0;f[D>>2]=0;f[D+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=a;FD(c,h)}c=f[l>>2]|0;l=f[c+4>>2]|0;D=f[c>>2]|0;f[t>>2]=l;f[w>>2]=D;f[i>>2]=l;f[i+4>>2]=D;HD(d,i,f[z>>2]&7,-1,0,0);do if((pD(d)|0)==65536){z=f[x>>2]|0;f[h>>2]=f[z>>2];i=h+4|0;D=z+4|0;f[i>>2]=f[D>>2];l=h+8|0;f[l>>2]=f[z+8>>2];f[h+12>>2]=f[z+12>>2];f[h+16>>2]=f[z+16>>2];f[h+20>>2]=f[z+20>>2];f[h+24>>2]=f[z+24>>2];f[h+28>>2]=f[z+28>>2];f[h+32>>2]=f[z+32>>2];w=f[z+36>>2]|0;f[h+36>>2]=w;f[h+40>>2]=l;l=h+48|0;t=h+44|0;f[t>>2]=l;f[l>>2]=0;f[h+52>>2]=0;if(w|0){l=w+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[D>>2]|0)<3){D=f[z+44>>2]|0;l=f[t>>2]|0;f[l>>2]=f[D>>2];f[l+4>>2]=f[D+4>>2];break}else{f[i>>2]=0;kP(h,z);break}}else lD(h,d,-1);while(0);d=h+36|0;x=f[d>>2]|0;if((o|0)==(h|0))G=x;else{if(x|0){z=x+12|0;f[z>>2]=(f[z>>2]|0)+1}z=a+92|0;x=f[z>>2]|0;if(x|0?(i=x+12|0,x=f[i>>2]|0,f[i>>2]=x+-1,(x|0)==1):0)lP(o);f[z>>2]=0;x=a+72|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[q>>2]|0)>0){i=f[s>>2]|0;s=0;do{f[i+(s<<2)>>2]=0;s=s+1|0;H=f[q>>2]|0}while((s|0)<(H|0));f[o>>2]=f[h>>2];if((H|0)<3)F=60;else F=62}else{f[o>>2]=f[h>>2];F=60}if((F|0)==60){H=f[h+4>>2]|0;if((H|0)<3){f[q>>2]=H;f[r>>2]=f[h+8>>2];f[a+68>>2]=f[h+12>>2];r=f[h+44>>2]|0;H=f[v>>2]|0;f[H>>2]=f[r>>2];f[H+4>>2]=f[r+4>>2]}else F=62}if((F|0)==62)kP(o,h);f[x>>2]=f[h+16>>2];f[a+76>>2]=f[h+20>>2];f[a+80>>2]=f[h+24>>2];f[a+84>>2]=f[h+28>>2];f[a+88>>2]=f[h+32>>2];a=f[d>>2]|0;f[z>>2]=a;G=a}if(G|0?(a=G+12|0,G=f[a>>2]|0,f[a>>2]=G+-1,(G|0)==1):0)lP(h);f[d>>2]=0;d=h+16|0;G=h+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[G>>2]|0)>0){d=f[h+40>>2]|0;a=0;do{f[d+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[G>>2]|0))}G=f[h+44>>2]|0;if((G|0)==(h+48|0)){u=g;return}tE(G);u=g;return}function Qqa(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+56|0;c=a+92|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+72|0;b=a+60|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+96>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+100>>2]|0;if((b|0)!=(a+104|0))tE(b);b=a+36|0;d=f[b>>2]|0;if(d|0?(c=d+12|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)lP(a);f[b>>2]=0;b=a+16|0;d=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+40>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+44>>2]|0;if((d|0)==(a+48|0))return;tE(d);return}function Rqa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+128|0;e=d;g=(c|0)<1?3:c;Sqa(e,a,b,g);oqa(f[e+16>>2]|0,f[e+48>>2]|0,f[e+72>>2]|0,f[e+104>>2]|0,f[e+12>>2]|0,f[e+8>>2]|0,f[e+112>>2]|0,g);Tqa(e);u=d;return}function Sqa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;g=u;u=u+64|0;h=g+8|0;i=g;f[a>>2]=1124007936;j=a+4|0;k=a+8|0;l=a+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;o=a+48|0;p=a+44|0;f[p>>2]=o;f[o>>2]=0;f[a+52>>2]=0;o=a+56|0;f[o>>2]=1124007936;q=a+60|0;r=a+64|0;s=a+96|0;m=q;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[s>>2]=r;t=a+104|0;v=a+100|0;f[v>>2]=t;f[t>>2]=0;f[a+108>>2]=0;t=a+120|0;f[t>>2]=0;w=a+124|0;f[w>>2]=0;if(DD(c)|0){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,13)|0;x=288769;n=m+13|0;do{b[m>>0]=b[x>>0]|0;m=m+1|0;x=x+1|0}while((m|0)<(n|0));SQ(-215,h,288783,285307,250)}x=oD(c,-1)|0;m=x>>>3&511;n=m+1|0;f[a+116>>2]=n;y=x&7;z=a+112|0;f[z>>2]=y;if(m|0)JY(n,62428);if((e+-3|0)>>>0>=2)JY(e,62456);switch(x&7){case 0:case 2:case 5:break;default:GY(y,62484)}y=c+4|0;x=d+4|0;if((f[y>>2]|0)!=(f[x>>2]|0)){do if((pD(c)|0)==65536){n=f[y>>2]|0;f[h>>2]=f[n>>2];m=h+4|0;A=n+4|0;f[m>>2]=f[A>>2];B=h+8|0;f[B>>2]=f[n+8>>2];f[h+12>>2]=f[n+12>>2];f[h+16>>2]=f[n+16>>2];f[h+20>>2]=f[n+20>>2];f[h+24>>2]=f[n+24>>2];f[h+28>>2]=f[n+28>>2];f[h+32>>2]=f[n+32>>2];C=f[n+36>>2]|0;f[h+36>>2]=C;f[h+40>>2]=B;B=h+48|0;D=h+44|0;f[D>>2]=B;f[B>>2]=0;f[h+52>>2]=0;if(C|0){B=C+12|0;f[B>>2]=(f[B>>2]|0)+1}if((f[A>>2]|0)<3){A=f[n+44>>2]|0;B=f[D>>2]|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];break}else{f[m>>2]=0;kP(h,n);break}}else lD(h,c,-1);while(0);y=h+36|0;n=f[y>>2]|0;if((a|0)==(h|0))E=n;else{if(n|0){m=n+12|0;f[m>>2]=(f[m>>2]|0)+1}m=a+36|0;n=f[m>>2]|0;if(n|0?(A=n+12|0,n=f[A>>2]|0,f[A>>2]=n+-1,(n|0)==1):0)lP(a);f[m>>2]=0;n=a+16|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[j>>2]|0)>0){A=f[l>>2]|0;B=0;do{f[A+(B<<2)>>2]=0;B=B+1|0;F=f[j>>2]|0}while((B|0)<(F|0));f[a>>2]=f[h>>2];if((F|0)<3)G=29;else G=31}else{f[a>>2]=f[h>>2];G=29}if((G|0)==29){F=f[h+4>>2]|0;if((F|0)<3){f[j>>2]=F;f[k>>2]=f[h+8>>2];f[a+12>>2]=f[h+12>>2];k=f[h+44>>2]|0;F=f[p>>2]|0;f[F>>2]=f[k>>2];f[F+4>>2]=f[k+4>>2]}else G=31}if((G|0)==31)kP(a,h);f[n>>2]=f[h+16>>2];f[a+20>>2]=f[h+20>>2];f[a+24>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];n=f[y>>2]|0;f[m>>2]=n;E=n}if(E|0?(n=E+12|0,E=f[n>>2]|0,f[n>>2]=E+-1,(E|0)==1):0)lP(h);f[y>>2]=0;y=h+16|0;E=h+4|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[E>>2]|0)>0){y=f[h+40>>2]|0;n=0;do{f[y+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[E>>2]|0))}E=f[h+44>>2]|0;if((E|0)!=(h+48|0))tE(E)}else{E=h+8|0;f[E>>2]=0;f[E+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=a;FD(c,h)}c=f[l>>2]|0;l=f[c+4>>2]|0;E=f[c>>2]|0;f[t>>2]=l;f[w>>2]=E;f[i>>2]=l;f[i+4>>2]=E;HD(d,i,f[z>>2]&7|(e<<3)+-8,-1,0,0);do if((pD(d)|0)==65536){e=f[x>>2]|0;f[h>>2]=f[e>>2];z=h+4|0;i=e+4|0;f[z>>2]=f[i>>2];E=h+8|0;f[E>>2]=f[e+8>>2];f[h+12>>2]=f[e+12>>2];f[h+16>>2]=f[e+16>>2];f[h+20>>2]=f[e+20>>2];f[h+24>>2]=f[e+24>>2];f[h+28>>2]=f[e+28>>2];f[h+32>>2]=f[e+32>>2];l=f[e+36>>2]|0;f[h+36>>2]=l;f[h+40>>2]=E;E=h+48|0;w=h+44|0;f[w>>2]=E;f[E>>2]=0;f[h+52>>2]=0;if(l|0){E=l+12|0;f[E>>2]=(f[E>>2]|0)+1}if((f[i>>2]|0)<3){i=f[e+44>>2]|0;E=f[w>>2]|0;f[E>>2]=f[i>>2];f[E+4>>2]=f[i+4>>2];break}else{f[z>>2]=0;kP(h,e);break}}else lD(h,d,-1);while(0);d=h+36|0;x=f[d>>2]|0;if((o|0)==(h|0))H=x;else{if(x|0){e=x+12|0;f[e>>2]=(f[e>>2]|0)+1}e=a+92|0;x=f[e>>2]|0;if(x|0?(z=x+12|0,x=f[z>>2]|0,f[z>>2]=x+-1,(x|0)==1):0)lP(o);f[e>>2]=0;x=a+72|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[q>>2]|0)>0){z=f[s>>2]|0;s=0;do{f[z+(s<<2)>>2]=0;s=s+1|0;I=f[q>>2]|0}while((s|0)<(I|0));f[o>>2]=f[h>>2];if((I|0)<3)G=60;else G=62}else{f[o>>2]=f[h>>2];G=60}if((G|0)==60){I=f[h+4>>2]|0;if((I|0)<3){f[q>>2]=I;f[r>>2]=f[h+8>>2];f[a+68>>2]=f[h+12>>2];r=f[h+44>>2]|0;I=f[v>>2]|0;f[I>>2]=f[r>>2];f[I+4>>2]=f[r+4>>2]}else G=62}if((G|0)==62)kP(o,h);f[x>>2]=f[h+16>>2];f[a+76>>2]=f[h+20>>2];f[a+80>>2]=f[h+24>>2];f[a+84>>2]=f[h+28>>2];f[a+88>>2]=f[h+32>>2];a=f[d>>2]|0;f[e>>2]=a;H=a}if(H|0?(a=H+12|0,H=f[a>>2]|0,f[a>>2]=H+-1,(H|0)==1):0)lP(h);f[d>>2]=0;d=h+16|0;H=h+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[H>>2]|0)>0){d=f[h+40>>2]|0;a=0;do{f[d+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[H>>2]|0))}H=f[h+44>>2]|0;if((H|0)==(h+48|0)){u=g;return}tE(H);u=g;return}function Tqa(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+56|0;c=a+92|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+72|0;b=a+60|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+96>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+100>>2]|0;if((b|0)!=(a+104|0))tE(b);b=a+36|0;d=f[b>>2]|0;if(d|0?(c=d+12|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)lP(a);f[b>>2]=0;b=a+16|0;d=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+40>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+44>>2]|0;if((d|0)==(a+48|0))return;tE(d);return}function Uqa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+128|0;e=d;Vqa(e,a,b,1);vqa(f[e+16>>2]|0,f[e+48>>2]|0,f[e+72>>2]|0,f[e+104>>2]|0,f[e+12>>2]|0,f[e+8>>2]|0,c);Wqa(e);u=d;return}function Vqa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;g=u;u=u+64|0;h=g+8|0;i=g;f[a>>2]=1124007936;j=a+4|0;k=a+8|0;l=a+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;o=a+48|0;p=a+44|0;f[p>>2]=o;f[o>>2]=0;f[a+52>>2]=0;o=a+56|0;f[o>>2]=1124007936;q=a+60|0;r=a+64|0;s=a+96|0;m=q;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[s>>2]=r;t=a+104|0;v=a+100|0;f[v>>2]=t;f[t>>2]=0;f[a+108>>2]=0;t=a+120|0;f[t>>2]=0;w=a+124|0;f[w>>2]=0;if(DD(c)|0){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,13)|0;x=288769;n=m+13|0;do{b[m>>0]=b[x>>0]|0;m=m+1|0;x=x+1|0}while((m|0)<(n|0));SQ(-215,h,288783,285307,250)}x=oD(c,-1)|0;m=(x>>>3&511)+1|0;f[a+116>>2]=m;n=x&7;x=a+112|0;f[x>>2]=n;if((m|0)!=2)JY(m,62512);if((e|0)!=1)JY(e,62540);if(n|0)GY(n,62568);n=c+4|0;e=d+4|0;if((f[n>>2]|0)!=(f[e>>2]|0)){do if((pD(c)|0)==65536){m=f[n>>2]|0;f[h>>2]=f[m>>2];y=h+4|0;z=m+4|0;f[y>>2]=f[z>>2];A=h+8|0;f[A>>2]=f[m+8>>2];f[h+12>>2]=f[m+12>>2];f[h+16>>2]=f[m+16>>2];f[h+20>>2]=f[m+20>>2];f[h+24>>2]=f[m+24>>2];f[h+28>>2]=f[m+28>>2];f[h+32>>2]=f[m+32>>2];B=f[m+36>>2]|0;f[h+36>>2]=B;f[h+40>>2]=A;A=h+48|0;C=h+44|0;f[C>>2]=A;f[A>>2]=0;f[h+52>>2]=0;if(B|0){A=B+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[z>>2]|0)<3){z=f[m+44>>2]|0;A=f[C>>2]|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];break}else{f[y>>2]=0;kP(h,m);break}}else lD(h,c,-1);while(0);n=h+36|0;m=f[n>>2]|0;if((a|0)==(h|0))D=m;else{if(m|0){y=m+12|0;f[y>>2]=(f[y>>2]|0)+1}y=a+36|0;m=f[y>>2]|0;if(m|0?(z=m+12|0,m=f[z>>2]|0,f[z>>2]=m+-1,(m|0)==1):0)lP(a);f[y>>2]=0;m=a+16|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[j>>2]|0)>0){z=f[l>>2]|0;A=0;do{f[z+(A<<2)>>2]=0;A=A+1|0;E=f[j>>2]|0}while((A|0)<(E|0));f[a>>2]=f[h>>2];if((E|0)<3)F=29;else F=31}else{f[a>>2]=f[h>>2];F=29}if((F|0)==29){E=f[h+4>>2]|0;if((E|0)<3){f[j>>2]=E;f[k>>2]=f[h+8>>2];f[a+12>>2]=f[h+12>>2];k=f[h+44>>2]|0;E=f[p>>2]|0;f[E>>2]=f[k>>2];f[E+4>>2]=f[k+4>>2]}else F=31}if((F|0)==31)kP(a,h);f[m>>2]=f[h+16>>2];f[a+20>>2]=f[h+20>>2];f[a+24>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];m=f[n>>2]|0;f[y>>2]=m;D=m}if(D|0?(m=D+12|0,D=f[m>>2]|0,f[m>>2]=D+-1,(D|0)==1):0)lP(h);f[n>>2]=0;n=h+16|0;D=h+4|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[D>>2]|0)>0){n=f[h+40>>2]|0;m=0;do{f[n+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[D>>2]|0))}D=f[h+44>>2]|0;if((D|0)!=(h+48|0))tE(D)}else{D=h+8|0;f[D>>2]=0;f[D+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=a;FD(c,h)}c=f[l>>2]|0;l=f[c+4>>2]|0;D=f[c>>2]|0;f[t>>2]=l;f[w>>2]=D;f[i>>2]=l;f[i+4>>2]=D;HD(d,i,f[x>>2]&7,-1,0,0);do if((pD(d)|0)==65536){x=f[e>>2]|0;f[h>>2]=f[x>>2];i=h+4|0;D=x+4|0;f[i>>2]=f[D>>2];l=h+8|0;f[l>>2]=f[x+8>>2];f[h+12>>2]=f[x+12>>2];f[h+16>>2]=f[x+16>>2];f[h+20>>2]=f[x+20>>2];f[h+24>>2]=f[x+24>>2];f[h+28>>2]=f[x+28>>2];f[h+32>>2]=f[x+32>>2];w=f[x+36>>2]|0;f[h+36>>2]=w;f[h+40>>2]=l;l=h+48|0;t=h+44|0;f[t>>2]=l;f[l>>2]=0;f[h+52>>2]=0;if(w|0){l=w+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[D>>2]|0)<3){D=f[x+44>>2]|0;l=f[t>>2]|0;f[l>>2]=f[D>>2];f[l+4>>2]=f[D+4>>2];break}else{f[i>>2]=0;kP(h,x);break}}else lD(h,d,-1);while(0);d=h+36|0;e=f[d>>2]|0;if((o|0)==(h|0))G=e;else{if(e|0){x=e+12|0;f[x>>2]=(f[x>>2]|0)+1}x=a+92|0;e=f[x>>2]|0;if(e|0?(i=e+12|0,e=f[i>>2]|0,f[i>>2]=e+-1,(e|0)==1):0)lP(o);f[x>>2]=0;e=a+72|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[q>>2]|0)>0){i=f[s>>2]|0;s=0;do{f[i+(s<<2)>>2]=0;s=s+1|0;H=f[q>>2]|0}while((s|0)<(H|0));f[o>>2]=f[h>>2];if((H|0)<3)F=60;else F=62}else{f[o>>2]=f[h>>2];F=60}if((F|0)==60){H=f[h+4>>2]|0;if((H|0)<3){f[q>>2]=H;f[r>>2]=f[h+8>>2];f[a+68>>2]=f[h+12>>2];r=f[h+44>>2]|0;H=f[v>>2]|0;f[H>>2]=f[r>>2];f[H+4>>2]=f[r+4>>2]}else F=62}if((F|0)==62)kP(o,h);f[e>>2]=f[h+16>>2];f[a+76>>2]=f[h+20>>2];f[a+80>>2]=f[h+24>>2];f[a+84>>2]=f[h+28>>2];f[a+88>>2]=f[h+32>>2];a=f[d>>2]|0;f[x>>2]=a;G=a}if(G|0?(a=G+12|0,G=f[a>>2]|0,f[a>>2]=G+-1,(G|0)==1):0)lP(h);f[d>>2]=0;d=h+16|0;G=h+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[G>>2]|0)>0){d=f[h+40>>2]|0;a=0;do{f[d+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[G>>2]|0))}G=f[h+44>>2]|0;if((G|0)==(h+48|0)){u=g;return}tE(G);u=g;return}function Wqa(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+56|0;c=a+92|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+72|0;b=a+60|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+96>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+100>>2]|0;if((b|0)!=(a+104|0))tE(b);b=a+36|0;d=f[b>>2]|0;if(d|0?(c=d+12|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)lP(a);f[b>>2]=0;b=a+16|0;d=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+40>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+44>>2]|0;if((d|0)==(a+48|0))return;tE(d);return}function Xqa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+128|0;e=d;Yqa(e,a,b,2);yqa(f[e+16>>2]|0,f[e+48>>2]|0,f[e+72>>2]|0,f[e+104>>2]|0,f[e+12>>2]|0,f[e+8>>2]|0,c);Zqa(e);u=d;return}function Yqa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;g=u;u=u+64|0;h=g+8|0;i=g;f[a>>2]=1124007936;j=a+4|0;k=a+8|0;l=a+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;o=a+48|0;p=a+44|0;f[p>>2]=o;f[o>>2]=0;f[a+52>>2]=0;o=a+56|0;f[o>>2]=1124007936;q=a+60|0;r=a+64|0;s=a+96|0;m=q;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[s>>2]=r;t=a+104|0;v=a+100|0;f[v>>2]=t;f[t>>2]=0;f[a+108>>2]=0;t=a+120|0;f[t>>2]=0;w=a+124|0;f[w>>2]=0;if(DD(c)|0){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,13)|0;x=288769;n=m+13|0;do{b[m>>0]=b[x>>0]|0;m=m+1|0;x=x+1|0}while((m|0)<(n|0));SQ(-215,h,288783,285307,250)}x=oD(c,-1)|0;m=x>>>3&511;n=m+1|0;f[a+116>>2]=n;y=x&7;x=a+112|0;f[x>>2]=y;if(m|0)JY(n,62596);if((e|0)!=2)JY(e,62624);if(y|0)GY(y,62652);y=c+4|0;e=d+4|0;if((f[y>>2]|0)!=(f[e>>2]|0)){do if((pD(c)|0)==65536){n=f[y>>2]|0;f[h>>2]=f[n>>2];m=h+4|0;z=n+4|0;f[m>>2]=f[z>>2];A=h+8|0;f[A>>2]=f[n+8>>2];f[h+12>>2]=f[n+12>>2];f[h+16>>2]=f[n+16>>2];f[h+20>>2]=f[n+20>>2];f[h+24>>2]=f[n+24>>2];f[h+28>>2]=f[n+28>>2];f[h+32>>2]=f[n+32>>2];B=f[n+36>>2]|0;f[h+36>>2]=B;f[h+40>>2]=A;A=h+48|0;C=h+44|0;f[C>>2]=A;f[A>>2]=0;f[h+52>>2]=0;if(B|0){A=B+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[z>>2]|0)<3){z=f[n+44>>2]|0;A=f[C>>2]|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];break}else{f[m>>2]=0;kP(h,n);break}}else lD(h,c,-1);while(0);y=h+36|0;n=f[y>>2]|0;if((a|0)==(h|0))D=n;else{if(n|0){m=n+12|0;f[m>>2]=(f[m>>2]|0)+1}m=a+36|0;n=f[m>>2]|0;if(n|0?(z=n+12|0,n=f[z>>2]|0,f[z>>2]=n+-1,(n|0)==1):0)lP(a);f[m>>2]=0;n=a+16|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[j>>2]|0)>0){z=f[l>>2]|0;A=0;do{f[z+(A<<2)>>2]=0;A=A+1|0;E=f[j>>2]|0}while((A|0)<(E|0));f[a>>2]=f[h>>2];if((E|0)<3)F=29;else F=31}else{f[a>>2]=f[h>>2];F=29}if((F|0)==29){E=f[h+4>>2]|0;if((E|0)<3){f[j>>2]=E;f[k>>2]=f[h+8>>2];f[a+12>>2]=f[h+12>>2];k=f[h+44>>2]|0;E=f[p>>2]|0;f[E>>2]=f[k>>2];f[E+4>>2]=f[k+4>>2]}else F=31}if((F|0)==31)kP(a,h);f[n>>2]=f[h+16>>2];f[a+20>>2]=f[h+20>>2];f[a+24>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];n=f[y>>2]|0;f[m>>2]=n;D=n}if(D|0?(n=D+12|0,D=f[n>>2]|0,f[n>>2]=D+-1,(D|0)==1):0)lP(h);f[y>>2]=0;y=h+16|0;D=h+4|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[D>>2]|0)>0){y=f[h+40>>2]|0;n=0;do{f[y+(n<<2)>>2]=0;n=n+1|0}while((n|0)<(f[D>>2]|0))}D=f[h+44>>2]|0;if((D|0)!=(h+48|0))tE(D)}else{D=h+8|0;f[D>>2]=0;f[D+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=a;FD(c,h)}c=f[l>>2]|0;l=f[c+4>>2]|0;D=f[c>>2]|0;f[t>>2]=l;f[w>>2]=D;f[i>>2]=l;f[i+4>>2]=D;HD(d,i,f[x>>2]&7|8,-1,0,0);do if((pD(d)|0)==65536){x=f[e>>2]|0;f[h>>2]=f[x>>2];i=h+4|0;D=x+4|0;f[i>>2]=f[D>>2];l=h+8|0;f[l>>2]=f[x+8>>2];f[h+12>>2]=f[x+12>>2];f[h+16>>2]=f[x+16>>2];f[h+20>>2]=f[x+20>>2];f[h+24>>2]=f[x+24>>2];f[h+28>>2]=f[x+28>>2];f[h+32>>2]=f[x+32>>2];w=f[x+36>>2]|0;f[h+36>>2]=w;f[h+40>>2]=l;l=h+48|0;t=h+44|0;f[t>>2]=l;f[l>>2]=0;f[h+52>>2]=0;if(w|0){l=w+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[D>>2]|0)<3){D=f[x+44>>2]|0;l=f[t>>2]|0;f[l>>2]=f[D>>2];f[l+4>>2]=f[D+4>>2];break}else{f[i>>2]=0;kP(h,x);break}}else lD(h,d,-1);while(0);d=h+36|0;e=f[d>>2]|0;if((o|0)==(h|0))G=e;else{if(e|0){x=e+12|0;f[x>>2]=(f[x>>2]|0)+1}x=a+92|0;e=f[x>>2]|0;if(e|0?(i=e+12|0,e=f[i>>2]|0,f[i>>2]=e+-1,(e|0)==1):0)lP(o);f[x>>2]=0;e=a+72|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[q>>2]|0)>0){i=f[s>>2]|0;s=0;do{f[i+(s<<2)>>2]=0;s=s+1|0;H=f[q>>2]|0}while((s|0)<(H|0));f[o>>2]=f[h>>2];if((H|0)<3)F=60;else F=62}else{f[o>>2]=f[h>>2];F=60}if((F|0)==60){H=f[h+4>>2]|0;if((H|0)<3){f[q>>2]=H;f[r>>2]=f[h+8>>2];f[a+68>>2]=f[h+12>>2];r=f[h+44>>2]|0;H=f[v>>2]|0;f[H>>2]=f[r>>2];f[H+4>>2]=f[r+4>>2]}else F=62}if((F|0)==62)kP(o,h);f[e>>2]=f[h+16>>2];f[a+76>>2]=f[h+20>>2];f[a+80>>2]=f[h+24>>2];f[a+84>>2]=f[h+28>>2];f[a+88>>2]=f[h+32>>2];a=f[d>>2]|0;f[x>>2]=a;G=a}if(G|0?(a=G+12|0,G=f[a>>2]|0,f[a>>2]=G+-1,(G|0)==1):0)lP(h);f[d>>2]=0;d=h+16|0;G=h+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[G>>2]|0)>0){d=f[h+40>>2]|0;a=0;do{f[d+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[G>>2]|0))}G=f[h+44>>2]|0;if((G|0)==(h+48|0)){u=g;return}tE(G);u=g;return}function Zqa(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+56|0;c=a+92|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+72|0;b=a+60|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+96>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+100>>2]|0;if((b|0)!=(a+104|0))tE(b);b=a+36|0;d=f[b>>2]|0;if(d|0?(c=d+12|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)lP(a);f[b>>2]=0;b=a+16|0;d=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+40>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+44>>2]|0;if((d|0)==(a+48|0))return;tE(d);return}function _qa(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+128|0;d=c;$qa(d,a,b,4);Bqa(f[d+16>>2]|0,f[d+48>>2]|0,f[d+72>>2]|0,f[d+104>>2]|0,f[d+12>>2]|0,f[d+8>>2]|0);ara(d);u=c;return}function $qa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;g=u;u=u+64|0;h=g+8|0;i=g;f[a>>2]=1124007936;j=a+4|0;k=a+8|0;l=a+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;o=a+48|0;p=a+44|0;f[p>>2]=o;f[o>>2]=0;f[a+52>>2]=0;o=a+56|0;f[o>>2]=1124007936;q=a+60|0;r=a+64|0;s=a+96|0;m=q;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[s>>2]=r;t=a+104|0;v=a+100|0;f[v>>2]=t;f[t>>2]=0;f[a+108>>2]=0;t=a+120|0;f[t>>2]=0;w=a+124|0;f[w>>2]=0;if(DD(c)|0){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,13)|0;x=288769;n=m+13|0;do{b[m>>0]=b[x>>0]|0;m=m+1|0;x=x+1|0}while((m|0)<(n|0));SQ(-215,h,288783,285307,250)}x=oD(c,-1)|0;m=(x>>>3&511)+1|0;f[a+116>>2]=m;n=x&7;x=a+112|0;f[x>>2]=n;if((m|0)!=4)JY(m,62680);if((e|0)!=4)JY(e,62708);if(n|0)GY(n,62736);n=c+4|0;e=d+4|0;if((f[n>>2]|0)!=(f[e>>2]|0)){do if((pD(c)|0)==65536){m=f[n>>2]|0;f[h>>2]=f[m>>2];y=h+4|0;z=m+4|0;f[y>>2]=f[z>>2];A=h+8|0;f[A>>2]=f[m+8>>2];f[h+12>>2]=f[m+12>>2];f[h+16>>2]=f[m+16>>2];f[h+20>>2]=f[m+20>>2];f[h+24>>2]=f[m+24>>2];f[h+28>>2]=f[m+28>>2];f[h+32>>2]=f[m+32>>2];B=f[m+36>>2]|0;f[h+36>>2]=B;f[h+40>>2]=A;A=h+48|0;C=h+44|0;f[C>>2]=A;f[A>>2]=0;f[h+52>>2]=0;if(B|0){A=B+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[z>>2]|0)<3){z=f[m+44>>2]|0;A=f[C>>2]|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];break}else{f[y>>2]=0;kP(h,m);break}}else lD(h,c,-1);while(0);n=h+36|0;m=f[n>>2]|0;if((a|0)==(h|0))D=m;else{if(m|0){y=m+12|0;f[y>>2]=(f[y>>2]|0)+1}y=a+36|0;m=f[y>>2]|0;if(m|0?(z=m+12|0,m=f[z>>2]|0,f[z>>2]=m+-1,(m|0)==1):0)lP(a);f[y>>2]=0;m=a+16|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[j>>2]|0)>0){z=f[l>>2]|0;A=0;do{f[z+(A<<2)>>2]=0;A=A+1|0;E=f[j>>2]|0}while((A|0)<(E|0));f[a>>2]=f[h>>2];if((E|0)<3)F=29;else F=31}else{f[a>>2]=f[h>>2];F=29}if((F|0)==29){E=f[h+4>>2]|0;if((E|0)<3){f[j>>2]=E;f[k>>2]=f[h+8>>2];f[a+12>>2]=f[h+12>>2];k=f[h+44>>2]|0;E=f[p>>2]|0;f[E>>2]=f[k>>2];f[E+4>>2]=f[k+4>>2]}else F=31}if((F|0)==31)kP(a,h);f[m>>2]=f[h+16>>2];f[a+20>>2]=f[h+20>>2];f[a+24>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];m=f[n>>2]|0;f[y>>2]=m;D=m}if(D|0?(m=D+12|0,D=f[m>>2]|0,f[m>>2]=D+-1,(D|0)==1):0)lP(h);f[n>>2]=0;n=h+16|0;D=h+4|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[D>>2]|0)>0){n=f[h+40>>2]|0;m=0;do{f[n+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[D>>2]|0))}D=f[h+44>>2]|0;if((D|0)!=(h+48|0))tE(D)}else{D=h+8|0;f[D>>2]=0;f[D+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=a;FD(c,h)}c=f[l>>2]|0;l=f[c+4>>2]|0;D=f[c>>2]|0;f[t>>2]=l;f[w>>2]=D;f[i>>2]=l;f[i+4>>2]=D;HD(d,i,f[x>>2]&7|24,-1,0,0);do if((pD(d)|0)==65536){x=f[e>>2]|0;f[h>>2]=f[x>>2];i=h+4|0;D=x+4|0;f[i>>2]=f[D>>2];l=h+8|0;f[l>>2]=f[x+8>>2];f[h+12>>2]=f[x+12>>2];f[h+16>>2]=f[x+16>>2];f[h+20>>2]=f[x+20>>2];f[h+24>>2]=f[x+24>>2];f[h+28>>2]=f[x+28>>2];f[h+32>>2]=f[x+32>>2];w=f[x+36>>2]|0;f[h+36>>2]=w;f[h+40>>2]=l;l=h+48|0;t=h+44|0;f[t>>2]=l;f[l>>2]=0;f[h+52>>2]=0;if(w|0){l=w+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[D>>2]|0)<3){D=f[x+44>>2]|0;l=f[t>>2]|0;f[l>>2]=f[D>>2];f[l+4>>2]=f[D+4>>2];break}else{f[i>>2]=0;kP(h,x);break}}else lD(h,d,-1);while(0);d=h+36|0;e=f[d>>2]|0;if((o|0)==(h|0))G=e;else{if(e|0){x=e+12|0;f[x>>2]=(f[x>>2]|0)+1}x=a+92|0;e=f[x>>2]|0;if(e|0?(i=e+12|0,e=f[i>>2]|0,f[i>>2]=e+-1,(e|0)==1):0)lP(o);f[x>>2]=0;e=a+72|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[q>>2]|0)>0){i=f[s>>2]|0;s=0;do{f[i+(s<<2)>>2]=0;s=s+1|0;H=f[q>>2]|0}while((s|0)<(H|0));f[o>>2]=f[h>>2];if((H|0)<3)F=60;else F=62}else{f[o>>2]=f[h>>2];F=60}if((F|0)==60){H=f[h+4>>2]|0;if((H|0)<3){f[q>>2]=H;f[r>>2]=f[h+8>>2];f[a+68>>2]=f[h+12>>2];r=f[h+44>>2]|0;H=f[v>>2]|0;f[H>>2]=f[r>>2];f[H+4>>2]=f[r+4>>2]}else F=62}if((F|0)==62)kP(o,h);f[e>>2]=f[h+16>>2];f[a+76>>2]=f[h+20>>2];f[a+80>>2]=f[h+24>>2];f[a+84>>2]=f[h+28>>2];f[a+88>>2]=f[h+32>>2];a=f[d>>2]|0;f[x>>2]=a;G=a}if(G|0?(a=G+12|0,G=f[a>>2]|0,f[a>>2]=G+-1,(G|0)==1):0)lP(h);f[d>>2]=0;d=h+16|0;G=h+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[G>>2]|0)>0){d=f[h+40>>2]|0;a=0;do{f[d+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[G>>2]|0))}G=f[h+44>>2]|0;if((G|0)==(h+48|0)){u=g;return}tE(G);u=g;return}function ara(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+56|0;c=a+92|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+72|0;b=a+60|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+96>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+100>>2]|0;if((b|0)!=(a+104|0))tE(b);b=a+36|0;d=f[b>>2]|0;if(d|0?(c=d+12|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)lP(a);f[b>>2]=0;b=a+16|0;d=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+40>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+44>>2]|0;if((d|0)==(a+48|0))return;tE(d);return}function bra(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+128|0;d=c;$qa(d,a,b,4);Eqa(f[d+16>>2]|0,f[d+48>>2]|0,f[d+72>>2]|0,f[d+104>>2]|0,f[d+12>>2]|0,f[d+8>>2]|0);ara(d);u=c;return}function cra(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,M=0.0,N=0,O=0,P=0;d=u;u=u+16|0;e=d;zT(e,62764);g=a;h=f[g>>2]|0;i=f[g+4>>2]|0;g=Arc(h|0,i|0,-1,-1)|0;j=J;k=a+8|0;a=f[k>>2]|0;l=f[k+4>>2]|0;k=Arc(a|0,l|0,-1,-1)|0;m=J;if((i|0)<0|(i|0)==0&h>>>0<1|((l|0)<0|(l|0)==0&a>>>0<1))n=0;else{o=b+8|0;p=c+8|0;q=b;r=f[q>>2]|0;s=f[q+4>>2]|0;q=Irc(r|0,s|0,63)|0;t=o;v=f[t>>2]|0;w=f[t+4>>2]|0;t=Irc(v|0,w|0,61)|0;x=(((s|0)>(i|0)|(s|0)==(i|0)&r>>>0>=h>>>0)&1)<<1|q|t&4|(((w|0)>(l|0)|(w|0)==(l|0)&v>>>0>=a>>>0)&1)<<3;t=c;q=f[t>>2]|0;y=f[t+4>>2]|0;t=Irc(q|0,y|0,63)|0;z=p;A=f[z>>2]|0;B=f[z+4>>2]|0;z=Irc(A|0,B|0,61)|0;C=(((y|0)>(i|0)|(y|0)==(i|0)&q>>>0>=h>>>0)&1)<<1|t|z&4|(((B|0)>(l|0)|(B|0)==(l|0)&A>>>0>=a>>>0)&1)<<3;if(!((C&x|0)!=0|(C|x|0)==0)){if(!(x&12)){D=x;E=r;F=s;G=v;H=w}else{a=x>>>0<8;l=a?0:k;z=a?0:m;a=zrc(l|0,z|0,v|0,w|0)|0;I=+(a>>>0)+4294967296.0*+(J|0);a=zrc(q|0,y|0,r|0,s|0)|0;M=(+(a>>>0)+4294967296.0*+(J|0))*I;a=zrc(A|0,B|0,v|0,w|0)|0;I=M/(+(a>>>0)+4294967296.0*+(J|0));a=Arc(~~I>>>0|0,(+L(I)>=1.0?(I>0.0?~~+Z(+K(I/4294967296.0),4294967295.0)>>>0:~~+X((I-+(~~I>>>0))/4294967296.0)>>>0):0)|0,r|0,s|0)|0;s=J;r=b;f[r>>2]=a;f[r+4>>2]=s;r=o;f[r>>2]=l;f[r+4>>2]=z;r=Irc(a|0,s|0,63)|0;D=(((s|0)>(i|0)|(s|0)==(i|0)&a>>>0>=h>>>0)&1)<<1|r;E=a;F=s;G=l;H=z}if(!(C&12))N=C;else{z=C>>>0<8;l=z?0:k;k=z?0:m;m=p;z=f[m>>2]|0;s=f[m+4>>2]|0;m=zrc(l|0,k|0,z|0,s|0)|0;I=+(m>>>0)+4294967296.0*+(J|0);m=c;a=f[m>>2]|0;r=f[m+4>>2]|0;m=zrc(a|0,r|0,E|0,F|0)|0;M=I*(+(m>>>0)+4294967296.0*+(J|0));m=zrc(z|0,s|0,G|0,H|0)|0;I=M/(+(m>>>0)+4294967296.0*+(J|0));m=Arc(~~I>>>0|0,(+L(I)>=1.0?(I>0.0?~~+Z(+K(I/4294967296.0),4294967295.0)>>>0:~~+X((I-+(~~I>>>0))/4294967296.0)>>>0):0)|0,a|0,r|0)|0;r=J;a=c;f[a>>2]=m;f[a+4>>2]=r;a=p;f[a>>2]=l;f[a+4>>2]=k;k=Irc(m|0,r|0,63)|0;N=(((r|0)>(i|0)|(r|0)==(i|0)&m>>>0>=h>>>0)&1)<<1|k}if(!((N&D|0)!=0|(N|D|0)==0)){if(D|0){k=(D|0)==1;h=k?0:g;m=k?0:j;k=b;i=f[k>>2]|0;r=f[k+4>>2]|0;k=zrc(h|0,m|0,i|0,r|0)|0;I=+(k>>>0)+4294967296.0*+(J|0);k=p;a=o;l=f[a>>2]|0;H=f[a+4>>2]|0;a=zrc(f[k>>2]|0,f[k+4>>2]|0,l|0,H|0)|0;M=I*(+(a>>>0)+4294967296.0*+(J|0));a=c;k=zrc(f[a>>2]|0,f[a+4>>2]|0,i|0,r|0)|0;I=M/(+(k>>>0)+4294967296.0*+(J|0));k=Arc(~~I>>>0|0,(+L(I)>=1.0?(I>0.0?~~+Z(+K(I/4294967296.0),4294967295.0)>>>0:~~+X((I-+(~~I>>>0))/4294967296.0)>>>0):0)|0,l|0,H|0)|0;H=o;f[H>>2]=k;f[H+4>>2]=J;H=b;f[H>>2]=h;f[H+4>>2]=m}if(!N){O=0;P=0}else{m=(N|0)==1;H=m?0:g;g=m?0:j;j=c;m=f[j>>2]|0;h=f[j+4>>2]|0;j=zrc(H|0,g|0,m|0,h|0)|0;I=+(j>>>0)+4294967296.0*+(J|0);j=p;k=f[j>>2]|0;l=f[j+4>>2]|0;j=o;o=zrc(k|0,l|0,f[j>>2]|0,f[j+4>>2]|0)|0;M=I*(+(o>>>0)+4294967296.0*+(J|0));o=b;b=zrc(m|0,h|0,f[o>>2]|0,f[o+4>>2]|0)|0;I=M/(+(b>>>0)+4294967296.0*+(J|0));b=Arc(~~I>>>0|0,(+L(I)>=1.0?(I>0.0?~~+Z(+K(I/4294967296.0),4294967295.0)>>>0:~~+X((I-+(~~I>>>0))/4294967296.0)>>>0):0)|0,k|0,l|0)|0;l=p;f[l>>2]=b;f[l+4>>2]=J;l=c;f[l>>2]=H;f[l+4>>2]=g;O=0;P=0}}else{O=N;P=D}}else{O=C;P=x}n=(P|O|0)==0}if(!(f[e+4>>2]|0)){u=d;return n|0}u=d;return n|0}function dra(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;i=u;u=u+48|0;j=i+32|0;k=i+16|0;l=i;m=a+20|0;f[m>>2]=-1;n=(g|0)==8;switch(g|0){case 4:case 8:break;default:{f[j>>2]=0;f[j+4>>2]=0;g=YG(j,38)|0;o=290876;p=g+38|0;do{b[g>>0]=b[o>>0]|0;g=g+1|0;o=o+1|0}while((g|0)<(p|0));era(-215,j,290915,168)}}o=f[d>>2]|0;g=f[c+12>>2]|0;p=f[e>>2]|0;if((o>>>0<g>>>0&p>>>0<g>>>0?(g=f[c+8>>2]|0,(f[d+4>>2]|0)>>>0<g>>>0):0)?(q=f[e+4>>2]|0,q>>>0<g>>>0):0){r=p;s=q}else{q=f[c+40>>2]|0;g=f[q+4>>2]|0;t=f[q>>2]|0;q=d+4|0;v=f[q>>2]|0;w=j;f[w>>2]=o;f[w+4>>2]=((o|0)<0)<<31>>31;o=j+8|0;w=o;f[w>>2]=v;f[w+4>>2]=((v|0)<0)<<31>>31;v=e+4|0;w=f[v>>2]|0;x=k;f[x>>2]=p;f[x+4>>2]=((p|0)<0)<<31>>31;p=k+8|0;x=p;f[x>>2]=w;f[x+4>>2]=((w|0)<0)<<31>>31;w=l;f[w>>2]=g;f[w+4>>2]=((g|0)<0)<<31>>31;g=l+8|0;f[g>>2]=t;f[g+4>>2]=((t|0)<0)<<31>>31;t=cra(l,j,k)|0;f[d>>2]=f[j>>2];f[q>>2]=f[o>>2];o=f[k>>2]|0;f[e>>2]=o;e=f[p>>2]|0;f[v>>2]=e;if(t){r=o;s=e}else{f[a>>2]=f[c+16>>2];e=a+16|0;f[a+4>>2]=0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;y=0;z=0;A=a+8|0;f[A>>2]=z;B=a+12|0;f[B>>2]=y;u=i;return}}e=f[c+4>>2]|0;if((e|0)>0)C=f[(f[c+44>>2]|0)+(e+-1<<2)>>2]|0;else C=0;e=c+48|0;o=f[e>>2]|0;t=f[d>>2]|0;v=r-t|0;p=d+4|0;k=f[p>>2]|0;q=s-k|0;j=v>>31;l=(j^v)-j|0;if(h){h=j&(t^r)^t;f[d>>2]=h;d=(s^k)&j^k;f[p>>2]=d;D=(q^j)-j|0;E=C;F=d;G=h}else{D=q;E=(j^C)-j|0;F=k;G=t}t=c+16|0;c=(f[t>>2]|0)+(Y(F,o)|0)+(Y(G,C)|0)|0;f[a>>2]=c;c=D>>31;G=(c^D)-c|0;D=(c^o)-c|0;c=(G|0)>(l|0);o=(c?G:0)^l;l=(c?o:0)^G;G=(c?l:0)^o;o=(c?D:0)^E;E=(c?o:0)^D;D=(c?E:0)^o;o=G<<1;c=l<<1;if(n){H=o;I=G-c|0;J=G;K=E}else{H=o+c|0;I=0;J=G+l|0;K=E-D|0}f[a+16>>2]=I;f[a+28>>2]=H;f[a+24>>2]=0-c;f[a+36>>2]=K;f[a+32>>2]=D;f[m>>2]=J+1;f[a+4>>2]=f[t>>2];y=C;z=f[e>>2]|0;A=a+8|0;f[A>>2]=z;B=a+12|0;f[B>>2]=y;u=i;return}function era(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;SQ(a,b,c,290807,d);return}function fra(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0.0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;i=u;u=u+64|0;j=i+40|0;k=i+16|0;l=i;m=i+32|0;f[j>>2]=0;n=j+4|0;f[n>>2]=0;f[j+8>>2]=0;o=+(f[a+4>>2]|0);p[k>>3]=+(f[a>>2]|0);p[k+8>>3]=o;o=+(f[b+4>>2]|0);p[l>>3]=+(f[b>>2]|0);p[l+8>>3]=o;gra(k,l,c,d,e,g,j);g=h+4|0;e=f[g>>2]|0;d=f[h>>2]|0;c=e;if((e|0)==(d|0)|(c|0)==(d|0))q=e;else{e=c+(~((c+-8-d|0)>>>3)<<3)|0;f[g>>2]=e;q=e}e=f[n>>2]|0;c=f[j>>2]|0;l=c;if((e|0)==(c|0)){r=d;s=q;t=l}else{q=m+4|0;d=h+8|0;k=0;b=-2147483648;v=-2147483648;w=l;x=l;l=c;c=e;while(1){e=V9b(+p[w+(k<<4)>>3])|0;f[m>>2]=e;y=V9b(+p[w+(k<<4)+8>>3])|0;f[q>>2]=y;if((e|0)!=(b|0)|(y|0)!=(v|0)){z=f[g>>2]|0;if((z|0)==(f[d>>2]|0)){G1(h,m);A=f[n>>2]|0;B=f[j>>2]|0}else{f[z>>2]=e;f[z+4>>2]=y;f[g>>2]=z+8;A=c;B=l}C=f[m>>2]|0;D=f[q>>2]|0;E=B;F=A;G=B}else{C=b;D=v;E=l;F=c;G=x}k=k+1|0;if(k>>>0>=F-E>>4>>>0)break;else{b=C;v=D;w=E;x=G;l=E;c=F}}r=f[h>>2]|0;s=f[g>>2]|0;t=G}if((s-r|0)==8){hra(h,2,a);H=f[j>>2]|0}else H=t;if(!H){u=i;return}t=f[n>>2]|0;if((t|0)!=(H|0))f[n>>2]=t+(~((t+-16-H|0)>>>4)<<4);Emc(H);u=i;return}function gra(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0.0,w=0.0,x=0,y=0,z=0.0,A=0,B=0.0,C=0.0,D=0.0,E=0,F=0;i=u;u=u+32|0;j=i+16|0;k=i;zT(j,62784);l=((c|0)>0?c:0)+359-c|0;m=l-((l>>>0)%360|0)+c|0;c=~m;l=m+((c|0)>-361?c:-361)+360|0;c=m+(((l>>>0)%360|0)-l)|0;l=(d|0)>(e|0);m=l?d:e;o=l?e:d;if((o|0)<0){l=~((e|0)<(d|0)?e:d);d=((o|0)>-360?o:-360)+l+360|0;e=d-((d>>>0)%360|0)|0;q=e+359-l|0;r=m+e+360|0}else{q=o;r=m}if((r|0)>360){m=r+-361|0;o=m-((m>>>0)%360|0)|0;s=q+-360-o|0;t=r+-360-o|0}else{s=q;t=r}r=(t-s|0)>360;q=r?360:t;t=r?0:s;s=(c>>31&360)+c|0;v=+n[62804+(s<<2)>>2];w=+n[62804+(450-s<<2)>>2];s=h+4|0;c=f[s>>2]|0;r=f[h>>2]|0;o=c;if((c|0)==(r|0)|(o|0)==(r|0)){x=c;y=o}else{c=o+(~((o+-16-r|0)>>>4)<<4)|0;f[s>>2]=c;x=c;y=c}c=q+g|0;if((t|0)<(c|0)){o=b+8|0;z=w;w=v;m=a+8|0;e=k+8|0;l=h+8|0;d=t;t=y;while(1){y=(d|0)>(q|0)?q:d;A=(y|0)<0?y+360|0:y;v=+p[b>>3]*+n[62804+(450-A<<2)>>2];B=+p[o>>3]*+n[62804+(A<<2)>>2];C=z*v+ +p[a>>3]-w*B;p[k>>3]=C;D=z*B+(w*v+ +p[m>>3]);p[e>>3]=D;if((t|0)==(f[l>>2]|0))ira(h,k);else{p[t>>3]=C;p[t+8>>3]=D;f[s>>2]=t+16}A=d+g|0;if((A|0)>=(c|0))break;d=A;t=f[s>>2]|0}E=f[h>>2]|0;F=f[s>>2]|0}else{E=r;F=x}if((F-E|0)==16)jra(h,2,a);if(!(f[j+4>>2]|0)){u=i;return}u=i;return}function hra(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=a+8|0;e=f[d>>2]|0;g=f[a>>2]|0;h=g;do if(e-g>>3>>>0>=b>>>0){i=a+4|0;j=f[i>>2]|0;k=j-g>>3;l=k>>>0<b>>>0;m=l?k:b;n=j;if(m|0){j=c+4|0;o=m;m=h;while(1){f[m>>2]=f[c>>2];f[m+4>>2]=f[j>>2];o=o+-1|0;if(!o)break;else m=m+8|0}}if(!l){m=h+(b<<3)|0;if((n|0)==(m|0))return;else{p=i;q=n+(~((n+-8-m|0)>>>3)<<3)|0;break}}else{m=b-k|0;o=c+4|0;j=m;r=n;while(1){f[r>>2]=f[c>>2];f[r+4>>2]=f[o>>2];j=j+-1|0;if(!j)break;else r=r+8|0}p=i;q=n+(m<<3)|0;break}}else{r=g;if(!g)s=e;else{j=a+4|0;o=f[j>>2]|0;if((o|0)!=(h|0))f[j>>2]=o+(~((o+-8-g|0)>>>3)<<3);Emc(r);f[d>>2]=0;f[j>>2]=0;f[a>>2]=0;s=0}if(b>>>0>536870911)Ukc(a);j=s>>2;r=s>>3>>>0<268435455?(j>>>0<b>>>0?b:j):536870911;if(r>>>0>536870911)Ukc(a);j=Bmc(r<<3)|0;o=a+4|0;f[o>>2]=j;f[a>>2]=j;f[d>>2]=j+(r<<3);r=c+4|0;k=b;l=j;while(1){f[l>>2]=f[c>>2];f[l+4>>2]=f[r>>2];k=k+-1|0;if(!k)break;else l=l+8|0}p=o;q=j+(b<<3)|0}while(0);f[p>>2]=q;return}function ira(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=d-e>>4;h=g+1|0;i=e;j=d;if(h>>>0>268435455)Ukc(a);d=a+8|0;k=(f[d>>2]|0)-e|0;l=k>>3;m=k>>4>>>0<134217727?(l>>>0<h>>>0?h:l):268435455;do if(m)if(m>>>0>268435455){l=ye(8)|0;Jmc(l,511852);f[l>>2]=165276;Gf(l|0,26776,1555)}else{n=Bmc(m<<4)|0;break}else n=0;while(0);l=n+(g<<4)|0;h=n+(m<<4)|0;p[l>>3]=+p[b>>3];p[n+(g<<4)+8>>3]=+p[b+8>>3];b=l+16|0;if((j|0)==(i|0))o=l;else{g=j+-16-e|0;n=j;j=l;while(1){m=n;n=n+-16|0;p[j+-16>>3]=+p[n>>3];p[j+-8>>3]=+p[m+-8>>3];if((n|0)==(i|0))break;else j=j+-16|0}o=l+(~(g>>>4)<<4)|0}f[a>>2]=o;f[c>>2]=b;f[d>>2]=h;if(!e)return;Emc(e);return}function jra(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0;d=a+8|0;e=f[d>>2]|0;g=f[a>>2]|0;h=g;do if(e-g>>4>>>0>=b>>>0){i=a+4|0;j=f[i>>2]|0;k=j-g>>4;l=k>>>0<b>>>0;m=l?k:b;n=j;if(m|0){j=c+8|0;o=m;m=h;while(1){p[m>>3]=+p[c>>3];p[m+8>>3]=+p[j>>3];o=o+-1|0;if(!o)break;else m=m+16|0}}if(!l){m=h+(b<<4)|0;if((n|0)==(m|0))return;else{q=i;r=n+(~((n+-16-m|0)>>>4)<<4)|0;break}}else{m=b-k|0;o=c+8|0;j=m;s=n;while(1){p[s>>3]=+p[c>>3];p[s+8>>3]=+p[o>>3];j=j+-1|0;if(!j)break;else s=s+16|0}q=i;r=n+(m<<4)|0;break}}else{s=g;if(!g)t=e;else{j=a+4|0;o=f[j>>2]|0;if((o|0)!=(h|0))f[j>>2]=o+(~((o+-16-g|0)>>>4)<<4);Emc(s);f[d>>2]=0;f[j>>2]=0;f[a>>2]=0;t=0}if(b>>>0>268435455)Ukc(a);j=t>>3;s=t>>4>>>0<134217727?(j>>>0<b>>>0?b:j):268435455;if(s>>>0>268435455)Ukc(a);j=Bmc(s<<4)|0;o=a+4|0;f[o>>2]=j;f[a>>2]=j;f[d>>2]=j+(s<<4);s=c+8|0;k=b;l=j;while(1){p[l>>3]=+p[c>>3];p[l+8>>3]=+p[s>>3];k=k+-1|0;if(!k)break;else l=l+16|0}q=o;r=j+(b<<4)|0}while(0);f[q>>2]=r;return}function kra(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;j=u;u=u+128|0;k=j+120|0;l=j+64|0;m=j+32|0;n=j+16|0;o=j;zT(k,64608);do if((pD(a)|0)==65536){p=f[a+4>>2]|0;f[l>>2]=f[p>>2];q=l+4|0;r=p+4|0;f[q>>2]=f[r>>2];s=l+8|0;f[s>>2]=f[p+8>>2];f[l+12>>2]=f[p+12>>2];f[l+16>>2]=f[p+16>>2];f[l+20>>2]=f[p+20>>2];f[l+24>>2]=f[p+24>>2];f[l+28>>2]=f[p+28>>2];f[l+32>>2]=f[p+32>>2];t=f[p+36>>2]|0;f[l+36>>2]=t;f[l+40>>2]=s;s=l+48|0;v=l+44|0;f[v>>2]=s;f[s>>2]=0;f[l+52>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[p+44>>2]|0;s=f[v>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2];break}else{f[q>>2]=0;kP(l,p);break}}else lD(l,a,-1);while(0);if((h|0)==16)w=(f[l>>2]&7|0)==0?16:8;else w=h;if((g+-1|0)>>>0>=32767){f[m>>2]=0;f[m+4>>2]=0;x=YG(m,43)|0;y=291011;z=x+43|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));era(-215,m,291055,1811)}if(i>>>0>=17){f[m>>2]=0;f[m+4>>2]=0;x=YG(m,31)|0;y=291060;z=x+31|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));era(-215,m,291055,1812)}lU(e,m,f[l>>2]&4095,0);e=f[c>>2]|0;y=f[c+4>>2]|0;c=n;f[c>>2]=e;f[c+4>>2]=((e|0)<0)<<31>>31;e=n+8|0;f[e>>2]=y;f[e+4>>2]=((y|0)<0)<<31>>31;y=f[d>>2]|0;e=f[d+4>>2]|0;d=o;f[d>>2]=y;f[d+4>>2]=((y|0)<0)<<31>>31;y=o+8|0;f[y>>2]=e;f[y+4>>2]=((e|0)<0)<<31>>31;lra(l,n,o,m,g,w,3,i);i=l+36|0;w=f[i>>2]|0;if(w|0?(g=w+12|0,w=f[g>>2]|0,f[g>>2]=w+-1,(w|0)==1):0)lP(l);f[i>>2]=0;i=l+16|0;w=l+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[w>>2]|0)>0){i=f[l+40>>2]|0;g=0;do{f[i+(g<<2)>>2]=0;g=g+1|0}while((g|0)<(f[w>>2]|0))}w=f[l+44>>2]|0;if((w|0)!=(l+48|0))tE(w);if(!(f[k+4>>2]|0)){u=j;return}u=j;return}function lra(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,N=0.0,O=0.0,P=0.0,Q=0.0;j=u;u=u+176|0;k=j+80|0;l=j+64|0;m=j+48|0;n=j+32|0;o=j+96|0;p=j+160|0;q=j+16|0;r=j;s=16-i|0;t=b;v=Qrc(f[t>>2]|0,f[t+4>>2]|0,s|0)|0;t=b;f[t>>2]=v;f[t+4>>2]=J;t=b+8|0;v=t;w=Qrc(f[v>>2]|0,f[v+4>>2]|0,s|0)|0;v=t;f[v>>2]=w;f[v+4>>2]=J;v=c;w=Qrc(f[v>>2]|0,f[v+4>>2]|0,s|0)|0;v=J;x=c;f[x>>2]=w;f[x+4>>2]=v;x=c+8|0;y=x;z=Qrc(f[y>>2]|0,f[y+4>>2]|0,s|0)|0;s=J;y=x;f[y>>2]=z;f[y+4>>2]=s;if((e|0)<2){if((g|0)>=16){y=b;A=f[y+4>>2]|0;B=m;f[B>>2]=f[y>>2];f[B+4>>2]=A;A=t;B=f[A+4>>2]|0;y=m+8|0;f[y>>2]=f[A>>2];f[y+4>>2]=B;B=n;f[B>>2]=w;f[B+4>>2]=v;B=n+8|0;f[B>>2]=z;f[B+4>>2]=s;ora(a,m,n,d);u=j;return}a:do if(i|0){switch(g|0){case 1:case 4:{break a;break}default:{}}n=b;m=f[n+4>>2]|0;B=k;f[B>>2]=f[n>>2];f[B+4>>2]=m;m=t;B=f[m+4>>2]|0;n=k+8|0;f[n>>2]=f[m>>2];f[n+4>>2]=B;B=l;f[B>>2]=w;f[B+4>>2]=v;B=l+8|0;f[B>>2]=z;f[B+4>>2]=s;nra(a,k,l,d);u=j;return}while(0);l=b;k=Arc(f[l>>2]|0,f[l+4>>2]|0,32768,0)|0;l=Hrc(k|0,J|0,16)|0;k=b;f[k>>2]=l;f[k+4>>2]=J;k=t;l=Arc(f[k>>2]|0,f[k+4>>2]|0,32768,0)|0;k=Hrc(l|0,J|0,16)|0;l=t;f[l>>2]=k;f[l+4>>2]=J;l=c;k=Arc(f[l>>2]|0,f[l+4>>2]|0,32768,0)|0;l=Hrc(k|0,J|0,16)|0;k=J;i=c;f[i>>2]=l;f[i+4>>2]=k;i=x;B=Arc(f[i>>2]|0,f[i+4>>2]|0,32768,0)|0;i=Hrc(B|0,J|0,16)|0;B=J;n=x;f[n>>2]=i;f[n+4>>2]=B;n=b;m=f[n>>2]|0;y=f[n+4>>2]|0;n=Arc(m|0,y|0,-2147483648,0)|0;A=J;C=t;D=f[C>>2]|0;E=f[C+4>>2]|0;C=Arc(D|0,E|0,-2147483648,0)|0;F=J;G=Arc(l|0,k|0,-2147483648,0)|0;H=J;I=Arc(i|0,B|0,-2147483648,0)|0;K=J;mra(a,A>>>0<1|(A|0)==1&n>>>0<0?m:(y|0)>0|(y|0)==0&m>>>0>0?2147483647:-2147483648,F>>>0<1|(F|0)==1&C>>>0<0?D:(E|0)>0|(E|0)==0&D>>>0>0?2147483647:-2147483648,H>>>0<1|(H|0)==1&G>>>0<0?l:(k|0)>0|(k|0)==0&l>>>0>0?2147483647:-2147483648,K>>>0<1|(K|0)==1&I>>>0<0?i:(B|0)>0|(B|0)==0&i>>>0>0?2147483647:-2147483648,d,g);u=j;return}i=o;B=i+64|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(B|0));i=b;B=f[i>>2]|0;I=f[i+4>>2]|0;i=zrc(B|0,I|0,w|0,v|0)|0;N=(+(i>>>0)+4294967296.0*+(J|0))*.0000152587890625;i=t;K=f[i>>2]|0;l=f[i+4>>2]|0;i=zrc(z|0,s|0,K|0,l|0)|0;O=(+(i>>>0)+4294967296.0*+(J|0))*.0000152587890625;P=N*N+O*O;i=e<<15;if(+L(+P)>2.220446049250313e-16){Q=(+(i|0)+ +(e<<16&65536|0)*.5)/+M(+P);e=V9b(O*Q)|0;k=((e|0)<0)<<31>>31;G=V9b(N*Q)|0;H=((G|0)<0)<<31>>31;D=Arc(e|0,k|0,B|0,I|0)|0;E=o;f[E>>2]=D;f[E+4>>2]=J;E=Arc(K|0,l|0,G|0,H|0)|0;D=o+8|0;f[D>>2]=E;f[D+4>>2]=J;D=zrc(B|0,I|0,e|0,k|0)|0;I=o+16|0;f[I>>2]=D;f[I+4>>2]=J;I=zrc(K|0,l|0,G|0,H|0)|0;l=o+24|0;f[l>>2]=I;f[l+4>>2]=J;l=zrc(w|0,v|0,e|0,k|0)|0;I=o+32|0;f[I>>2]=l;f[I+4>>2]=J;I=zrc(z|0,s|0,G|0,H|0)|0;l=o+40|0;f[l>>2]=I;f[l+4>>2]=J;l=Arc(w|0,v|0,e|0,k|0)|0;k=o+48|0;f[k>>2]=l;f[k+4>>2]=J;k=Arc(z|0,s|0,G|0,H|0)|0;H=o+56|0;f[H>>2]=k;f[H+4>>2]=J;pra(a,o,4,d,g,16)}o=p+4|0;H=i+32768>>16;k=q+8|0;G=((i|0)<0)<<31>>31;s=r+8|0;z=(h&1|0)==0;if((g|0)<16){if(!z){l=b;e=Arc(f[l>>2]|0,f[l+4>>2]|0,32768,0)|0;l=Irc(e|0,J|0,16)|0;e=t;v=Arc(f[e>>2]|0,f[e+4>>2]|0,32768,0)|0;e=Irc(v|0,J|0,16)|0;f[p>>2]=l;f[o>>2]=e;qra(a,p,H,d,1)}e=c;l=f[e>>2]|0;v=f[e+4>>2]|0;e=b;f[e>>2]=l;f[e+4>>2]=v;e=x;w=f[e>>2]|0;I=f[e+4>>2]|0;e=t;f[e>>2]=w;f[e+4>>2]=I;if(h&2|0){e=Arc(l|0,v|0,32768,0)|0;v=Irc(e|0,J|0,16)|0;e=Arc(w|0,I|0,32768,0)|0;I=Irc(e|0,J|0,16)|0;f[p>>2]=v;f[o>>2]=I;qra(a,p,H,d,1)}}else{if(!z){z=b;H=f[z+4>>2]|0;p=q;f[p>>2]=f[z>>2];f[p+4>>2]=H;H=t;p=f[H+4>>2]|0;z=k;f[z>>2]=f[H>>2];f[z+4>>2]=p;p=r;f[p>>2]=i;f[p+4>>2]=G;p=s;f[p>>2]=i;f[p+4>>2]=G;rra(a,q,r,0,0,360,d,-1,g)}p=c;z=f[p>>2]|0;H=f[p+4>>2]|0;p=b;f[p>>2]=z;f[p+4>>2]=H;p=x;I=f[p>>2]|0;o=f[p+4>>2]|0;p=t;f[p>>2]=I;f[p+4>>2]=o;if(h&2|0){h=q;f[h>>2]=z;f[h+4>>2]=H;H=k;f[H>>2]=I;f[H+4>>2]=o;o=r;f[o>>2]=i;f[o+4>>2]=G;o=s;f[o>>2]=i;f[o+4>>2]=G;rra(a,q,r,0,0,360,d,-1,g)}}g=c;c=f[g+4>>2]|0;d=b;f[d>>2]=f[g>>2];f[d+4>>2]=c;c=x;x=f[c+4>>2]|0;d=t;f[d>>2]=f[c>>2];f[d+4>>2]=x;u=j;return}function mra(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;j=u;u=u+64|0;k=j+16|0;l=j+8|0;m=j;switch(i|0){case 0:{n=8;break}case 1:{n=4;break}default:n=i}f[l>>2]=c;f[l+4>>2]=d;f[m>>2]=e;f[m+4>>2]=g;dra(k,a,l,m,n,1);n=f[k+20>>2]|0;m=f[a+4>>2]|0;if((m|0)>0)o=f[(f[a+44>>2]|0)+(m+-1<<2)>>2]|0;else o=0;if((n|0)<=0){u=j;return}m=k+16|0;a=k+24|0;l=k+28|0;g=k+32|0;e=k+36|0;d=h+1|0;c=h+2|0;switch(o|0){case 1:{i=0;p=f[k>>2]|0;do{b[p>>0]=b[h>>0]|0;i=i+1|0;q=f[m>>2]|0;r=q>>31;f[m>>2]=(f[a>>2]|0)+q+(f[l>>2]&r);p=(f[k>>2]|0)+((f[e>>2]&r)+(f[g>>2]|0))|0;f[k>>2]=p}while((i|0)!=(n|0));u=j;return}case 3:{i=0;p=f[k>>2]|0;do{b[p>>0]=b[h>>0]|0;b[p+1>>0]=b[d>>0]|0;b[p+2>>0]=b[c>>0]|0;i=i+1|0;r=f[m>>2]|0;q=r>>31;f[m>>2]=(f[a>>2]|0)+r+(f[l>>2]&q);p=(f[k>>2]|0)+((f[e>>2]&q)+(f[g>>2]|0))|0;f[k>>2]=p}while((i|0)!=(n|0));u=j;return}default:{i=0;p=f[k>>2]|0;do{Krc(p|0,h|0,o|0)|0;i=i+1|0;c=f[m>>2]|0;d=c>>31;f[m>>2]=(f[a>>2]|0)+c+(f[l>>2]&d);p=(f[k>>2]|0)+((f[e>>2]&d)+(f[g>>2]|0))|0;f[k>>2]=p}while((i|0)!=(n|0));u=j;return}}}function nra(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0;g=u;u=u+16|0;h=g;i=b[e>>0]|0;j=b[e+1>>0]|0;k=b[e+2>>0]|0;l=f[a+4>>2]|0;if((l|0)>0)m=f[(f[a+44>>2]|0)+(l+-1<<2)>>2]|0;else m=0;l=f[a+16>>2]|0;n=f[a+48>>2]|0;o=f[a+40>>2]|0;a=f[o+4>>2]|0;p=f[o>>2]|0;o=Qrc(a|0,((a|0)<0)<<31>>31|0,16)|0;q=J;r=Qrc(p|0,((p|0)<0)<<31>>31|0,16)|0;s=h;f[s>>2]=o;f[s+4>>2]=q;q=h+8|0;f[q>>2]=r;f[q+4>>2]=J;if(!(cra(h,c,d)|0)){u=g;return}h=d;q=f[h>>2]|0;r=f[h+4>>2]|0;h=c;s=f[h>>2]|0;o=f[h+4>>2]|0;h=zrc(q|0,r|0,s|0,o|0)|0;t=J;v=d+8|0;w=v;x=f[w>>2]|0;y=f[w+4>>2]|0;w=c+8|0;z=w;A=f[z>>2]|0;B=f[z+4>>2]|0;z=zrc(x|0,y|0,A|0,B|0)|0;C=J;D=Hrc(h|0,t|0,63)|0;E=J;F=zrc(D^h|0,E^t|0,D|0,E|0)|0;G=J;H=Hrc(z|0,C|0,63)|0;I=J;K=zrc(H^z|0,I^C|0,H|0,I|0)|0;L=J;M=(G|0)>(L|0)|(G|0)==(L|0)&F>>>0>K>>>0;if(M){N=zrc(z^D|0,C^E|0,D|0,E|0)|0;C=D&q^s;z=E&r^o;O=c;f[O>>2]=C;f[O+4>>2]=z;O=d;P=f[O>>2]^C&D;C=f[O+4>>2]^z&E;z=d;f[z>>2]=P;f[z+4>>2]=C;z=c;O=f[z>>2]^P&D;P=f[z+4>>2]^C&E;C=c;f[C>>2]=O;f[C+4>>2]=P;C=D&x^A;z=E&y^B;Q=w;f[Q>>2]=C;f[Q+4>>2]=z;Q=v;R=f[Q>>2]^C&D;C=f[Q+4>>2]^z&E;z=v;f[z>>2]=R;f[z+4>>2]=C;z=w;Q=f[z>>2]^R&D;D=f[z+4>>2]^C&E;E=w;f[E>>2]=Q;f[E+4>>2]=D;E=Qrc(N|0,J|0,16)|0;N=Rrc(E|0,J|0,F|1|0,G|0)|0;S=d;T=O;U=P;V=O;W=P;X=Q;Z=D;_=N;$=J;aa=65536;ba=0}else{N=zrc(H^h|0,I^t|0,H|0,I|0)|0;t=H&q^s;s=I&r^o;o=c;f[o>>2]=t;f[o+4>>2]=s;o=d;r=f[o>>2]^t&H;t=f[o+4>>2]^s&I;s=d;f[s>>2]=r;f[s+4>>2]=t;s=c;o=f[s>>2]^r&H;r=f[s+4>>2]^t&I;t=c;f[t>>2]=o;f[t+4>>2]=r;t=A^x&H;x=B^y&I;y=w;f[y>>2]=t;f[y+4>>2]=x;y=v;B=f[y>>2]^t&H;t=f[y+4>>2]^x&I;x=v;f[x>>2]=B;f[x+4>>2]=t;x=w;y=f[x>>2]^B&H;H=f[x+4>>2]^t&I;I=w;f[I>>2]=y;f[I+4>>2]=H;I=Qrc(N|0,J|0,16)|0;N=Rrc(I|0,J|0,K|1|0,L|0)|0;S=v;T=y;U=H;V=o;W=r;X=y;Z=H;_=65536;$=0;aa=N;ba=J}N=S;S=zrc(f[N>>2]|0,f[N+4>>2]|0,T|0,U|0)|0;U=Irc(S|0,J|0,16)|0;S=Arc(V|0,W|0,32768,0)|0;W=c;f[W>>2]=S;f[W+4>>2]=J;W=Arc(X|0,Z|0,32768,0)|0;Z=w;f[Z>>2]=W;f[Z+4>>2]=J;Z=d;d=v;v=f[d>>2]|0;W=f[d+4>>2]|0;d=Arc(f[Z>>2]|0,f[Z+4>>2]|0,32768,0)|0;Z=J;X=Arc(v|0,W|0,32768,0)|0;W=Irc(X|0,J|0,16)|0;X=Irc(d|0,Z|0,16)|0;Z=(X|0)>-1;switch(m|0){case 3:{if(Z?(d=l+(Y(W,n)|0)+(X*3|0)|0,(W|0)<(p|0)&((X|0)<(a|0)&(W|0)>-1)):0){b[d>>0]=i;b[d+1>>0]=j;b[d+2>>0]=k}if(M){d=c;v=Hrc(f[d>>2]|0,f[d+4>>2]|0,16)|0;d=J;S=c;f[S>>2]=v;f[S+4>>2]=d;if((U|0)<=-1){u=g;return}S=w;V=U;T=f[S>>2]|0;N=f[S+4>>2]|0;S=v;v=d;while(1){d=Irc(T|0,N|0,16)|0;if((S|0)>-1?(H=l+(Y(d,n)|0)+(S*3|0)|0,(d|0)<(p|0)&((S|0)<(a|0)&(d|0)>-1)):0){b[H>>0]=i;b[H+1>>0]=j;b[H+2>>0]=k;H=c;d=w;ca=f[H>>2]|0;da=f[H+4>>2]|0;ea=f[d>>2]|0;fa=f[d+4>>2]|0}else{ca=S;da=v;ea=T;fa=N}S=Arc(ca|0,da|0,1,0)|0;v=J;d=c;f[d>>2]=S;f[d+4>>2]=v;T=Arc(ea|0,fa|0,_|0,$|0)|0;N=J;d=w;f[d>>2]=T;f[d+4>>2]=N;if((V|0)<=0)break;else V=V+-1|0}u=g;return}else{V=w;N=Hrc(f[V>>2]|0,f[V+4>>2]|0,16)|0;V=J;T=w;f[T>>2]=N;f[T+4>>2]=V;if((U|0)<=-1){u=g;return}T=c;fa=U;ea=f[T>>2]|0;v=f[T+4>>2]|0;T=N;N=V;while(1){V=Irc(ea|0,v|0,16)|0;if((V|0)>-1?(S=l+(Y(T,n)|0)+(V*3|0)|0,(T|0)<(p|0)&((V|0)<(a|0)&(T|0)>-1)):0){b[S>>0]=i;b[S+1>>0]=j;b[S+2>>0]=k;S=c;V=w;ga=f[S>>2]|0;ha=f[S+4>>2]|0;ia=f[V>>2]|0;ja=f[V+4>>2]|0}else{ga=ea;ha=v;ia=T;ja=N}ea=Arc(ga|0,ha|0,aa|0,ba|0)|0;v=J;V=c;f[V>>2]=ea;f[V+4>>2]=v;T=Arc(ia|0,ja|0,1,0)|0;N=J;V=w;f[V>>2]=T;f[V+4>>2]=N;if((fa|0)<=0)break;else fa=fa+-1|0}u=g;return}break}case 1:{if(Z?(W|0)<(p|0)&((X|0)<(a|0)&(W|0)>-1):0){fa=l+(Y(W,n)|0)+X|0;b[fa>>0]=i}if(M){fa=c;N=Hrc(f[fa>>2]|0,f[fa+4>>2]|0,16)|0;fa=J;T=c;f[T>>2]=N;f[T+4>>2]=fa;if((U|0)<=-1){u=g;return}T=w;ja=U;ia=f[T>>2]|0;v=f[T+4>>2]|0;T=N;N=fa;while(1){fa=Irc(ia|0,v|0,16)|0;if((T|0)>-1?(fa|0)<(p|0)&((T|0)<(a|0)&(fa|0)>-1):0){ea=l+(Y(fa,n)|0)+T|0;b[ea>>0]=i;ea=c;fa=w;ka=f[ea>>2]|0;la=f[ea+4>>2]|0;ma=f[fa>>2]|0;na=f[fa+4>>2]|0}else{ka=T;la=N;ma=ia;na=v}T=Arc(ka|0,la|0,1,0)|0;N=J;fa=c;f[fa>>2]=T;f[fa+4>>2]=N;ia=Arc(ma|0,na|0,_|0,$|0)|0;v=J;fa=w;f[fa>>2]=ia;f[fa+4>>2]=v;if((ja|0)<=0)break;else ja=ja+-1|0}u=g;return}else{ja=w;v=Hrc(f[ja>>2]|0,f[ja+4>>2]|0,16)|0;ja=J;ia=w;f[ia>>2]=v;f[ia+4>>2]=ja;if((U|0)<=-1){u=g;return}ia=c;na=U;ma=f[ia>>2]|0;N=f[ia+4>>2]|0;ia=v;v=ja;while(1){ja=Irc(ma|0,N|0,16)|0;if((ja|0)>-1?(ia|0)<(p|0)&((ja|0)<(a|0)&(ia|0)>-1):0){T=l+(Y(ia,n)|0)+ja|0;b[T>>0]=i;T=c;ja=w;oa=f[T>>2]|0;pa=f[T+4>>2]|0;qa=f[ja>>2]|0;ra=f[ja+4>>2]|0}else{oa=ma;pa=N;qa=ia;ra=v}ma=Arc(oa|0,pa|0,aa|0,ba|0)|0;N=J;ja=c;f[ja>>2]=ma;f[ja+4>>2]=N;ia=Arc(qa|0,ra|0,1,0)|0;v=J;ja=w;f[ja>>2]=ia;f[ja+4>>2]=v;if((na|0)<=0)break;else na=na+-1|0}u=g;return}break}default:{if((Z?(W|0)<(p|0)&((X|0)<(a|0)&(W|0)>-1):0)?(Z=l+(Y(W,n)|0)+(Y(X,m)|0)|0,X=((m|0)<0)<<31>>31,(m|0)>0):0){W=0;na=0;do{b[Z+W>>0]=b[e+W>>0]|0;W=Arc(W|0,na|0,1,0)|0;na=J}while((na|0)<(X|0)|(na|0)==(X|0)&W>>>0<m>>>0)}if(M){M=c;W=Hrc(f[M>>2]|0,f[M+4>>2]|0,16)|0;M=J;X=c;f[X>>2]=W;f[X+4>>2]=M;if((U|0)<=-1){u=g;return}X=((m|0)<0)<<31>>31;na=w;Z=f[na>>2]|0;v=f[na+4>>2]|0;if((m|0)>0){sa=U;ta=Z;ua=v;va=W;wa=M}else{na=U;ia=W;W=M;M=Z;Z=v;while(1){ia=Arc(ia|0,W|0,1,0)|0;W=J;M=Arc(M|0,Z|0,_|0,$|0)|0;Z=J;if((na|0)<=0)break;else na=na+-1|0}na=c;f[na>>2]=ia;f[na+4>>2]=W;W=w;f[W>>2]=M;f[W+4>>2]=Z;u=g;return}while(1){Z=Irc(ta|0,ua|0,16)|0;if((va|0)>-1?(Z|0)<(p|0)&((va|0)<(a|0)&(Z|0)>-1):0){W=l+(Y(Z,n)|0)+(Y(va,m)|0)|0;Z=0;M=0;do{b[W+Z>>0]=b[e+Z>>0]|0;Z=Arc(Z|0,M|0,1,0)|0;M=J}while((M|0)<(X|0)|(M|0)==(X|0)&Z>>>0<m>>>0);Z=c;M=w;xa=f[Z>>2]|0;ya=f[Z+4>>2]|0;za=f[M>>2]|0;Aa=f[M+4>>2]|0}else{xa=va;ya=wa;za=ta;Aa=ua}va=Arc(xa|0,ya|0,1,0)|0;wa=J;M=c;f[M>>2]=va;f[M+4>>2]=wa;ta=Arc(za|0,Aa|0,_|0,$|0)|0;ua=J;M=w;f[M>>2]=ta;f[M+4>>2]=ua;if((sa|0)<=0)break;else sa=sa+-1|0}u=g;return}else{sa=w;ua=Hrc(f[sa>>2]|0,f[sa+4>>2]|0,16)|0;sa=J;ta=w;f[ta>>2]=ua;f[ta+4>>2]=sa;if((U|0)<=-1){u=g;return}ta=((m|0)<0)<<31>>31;$=c;_=f[$>>2]|0;Aa=f[$+4>>2]|0;if((m|0)>0){Ba=U;Ca=_;Da=Aa;Ea=ua;Fa=sa}else{$=U;U=_;_=Aa;Aa=ua;ua=sa;while(1){U=Arc(U|0,_|0,aa|0,ba|0)|0;_=J;Aa=Arc(Aa|0,ua|0,1,0)|0;ua=J;if(($|0)<=0)break;else $=$+-1|0}$=c;f[$>>2]=U;f[$+4>>2]=_;_=w;f[_>>2]=Aa;f[_+4>>2]=ua;u=g;return}while(1){ua=Irc(Ca|0,Da|0,16)|0;if((ua|0)>-1?(Ea|0)<(p|0)&((ua|0)<(a|0)&(Ea|0)>-1):0){_=l+(Y(Ea,n)|0)+(Y(ua,m)|0)|0;ua=0;Aa=0;do{b[_+ua>>0]=b[e+ua>>0]|0;ua=Arc(ua|0,Aa|0,1,0)|0;Aa=J}while((Aa|0)<(ta|0)|(Aa|0)==(ta|0)&ua>>>0<m>>>0);ua=c;Aa=w;Ga=f[ua>>2]|0;Ha=f[ua+4>>2]|0;Ia=f[Aa>>2]|0;Ja=f[Aa+4>>2]|0}else{Ga=Ca;Ha=Da;Ia=Ea;Ja=Fa}Ca=Arc(Ga|0,Ha|0,aa|0,ba|0)|0;Da=J;Aa=c;f[Aa>>2]=Ca;f[Aa+4>>2]=Da;Ea=Arc(Ia|0,Ja|0,1,0)|0;Fa=J;Aa=w;f[Aa>>2]=Ea;f[Aa+4>>2]=Fa;if((Ba|0)<=0)break;else Ba=Ba+-1|0}u=g;return}}}}function ora(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0;g=u;u=u+64|0;i=g+16|0;j=g;k=h[e>>0]|0;l=h[e+1>>0]|0;m=h[e+2>>0]|0;n=h[e+3>>0]|0;o=f[a>>2]|0;p=o>>>3;q=f[a+16>>2]|0;r=f[a+48>>2]|0;s=f[a+40>>2]|0;t=f[s+4>>2]|0;v=f[s>>2]|0;s=p&65535;switch(s&511){case 0:case 2:case 3:{if(!(o&7)){o=c;w=Arc(f[o>>2]|0,f[o+4>>2]|0,-131072,-1)|0;o=c;f[o>>2]=w;f[o+4>>2]=J;o=c+8|0;w=o;x=Arc(f[w>>2]|0,f[w+4>>2]|0,-131072,-1)|0;w=o;f[w>>2]=x;f[w+4>>2]=J;w=d;x=Arc(f[w>>2]|0,f[w+4>>2]|0,-131072,-1)|0;w=d;f[w>>2]=x;f[w+4>>2]=J;w=d+8|0;x=w;y=Arc(f[x>>2]|0,f[x+4>>2]|0,-131072,-1)|0;x=w;f[x>>2]=y;f[x+4>>2]=J;x=q+((p&511)+1+r<<1)|0;p=Qrc(t|0,((t|0)<0)<<31>>31|0,16)|0;t=Arc(p|0,J|0,-327679,-1)|0;p=J;q=Qrc(v|0,((v|0)<0)<<31>>31|0,16)|0;v=Arc(q|0,J|0,-327679,-1)|0;q=j;f[q>>2]=t;f[q+4>>2]=p;p=j+8|0;f[p>>2]=v;f[p+4>>2]=J;if(!(cra(j,c,d)|0)){u=g;return}j=d;p=f[j>>2]|0;v=f[j+4>>2]|0;j=c;q=f[j>>2]|0;t=f[j+4>>2]|0;j=zrc(p|0,v|0,q|0,t|0)|0;y=J;z=w;A=f[z>>2]|0;B=f[z+4>>2]|0;z=o;C=f[z>>2]|0;D=f[z+4>>2]|0;z=zrc(A|0,B|0,C|0,D|0)|0;E=J;F=Hrc(j|0,y|0,63)|0;G=J;H=zrc(F^j|0,G^y|0,F|0,G|0)|0;I=J;K=Hrc(z|0,E|0,63)|0;L=J;M=zrc(K^z|0,L^E|0,K|0,L|0)|0;N=J;O=(I|0)>(N|0)|(I|0)==(N|0)&H>>>0>M>>>0;if(O){P=zrc(z^F|0,E^G|0,F|0,G|0)|0;E=F&p^q;z=G&v^t;Q=c;f[Q>>2]=E;f[Q+4>>2]=z;Q=d;R=f[Q>>2]^E&F;E=f[Q+4>>2]^z&G;z=d;f[z>>2]=R;f[z+4>>2]=E;z=c;Q=f[z+4>>2]^E&G;E=c;f[E>>2]=f[z>>2]^R&F;f[E+4>>2]=Q;Q=F&A^C;E=G&B^D;R=o;f[R>>2]=Q;f[R+4>>2]=E;R=w;z=f[R>>2]^Q&F;Q=f[R+4>>2]^E&G;E=w;f[E>>2]=z;f[E+4>>2]=Q;E=o;R=f[E>>2]^z&F;F=f[E+4>>2]^Q&G;G=Qrc(P|0,J|0,16)|0;P=Rrc(G|0,J|0,H|1|0,I|0)|0;I=J;H=d;G=Arc(f[H>>2]|0,f[H+4>>2]|0,65536,0)|0;H=J;Q=d;f[Q>>2]=G;f[Q+4>>2]=H;Q=Irc(G|0,H|0,16)|0;E=J;z=c;S=f[z>>2]|0;T=f[z+4>>2]|0;z=Irc(S|0,T|0,16)|0;U=zrc(Q|0,E|0,z|0,J|0)|0;z=zrc(0,0,P|0,I|0)|0;E=Urc(S&65535|0,0,z|0,J|0)|0;z=Hrc(E|0,J|0,16)|0;E=J;Q=Arc(R|0,F|0,32768,0)|0;F=Arc(Q|0,J|0,z|0,E|0)|0;E=J;z=o;f[z>>2]=F;f[z+4>>2]=E;z=Irc(P|0,I|0,11)|0;Q=Hrc(S|0,T|0,9)|0;R=J;V=Hrc(G|0,H|0,9)|0;W=U;X=z&63^((I|0)<0?63:0);Z=J;_=R;$=Q;aa=V;ba=S;ca=T;da=P;ea=I;fa=F;ga=E;ha=65536;ia=0}else{E=zrc(K^j|0,L^y|0,K|0,L|0)|0;y=K&p^q;q=L&v^t;t=c;f[t>>2]=y;f[t+4>>2]=q;t=d;v=f[t>>2]^y&K;y=f[t+4>>2]^q&L;q=d;f[q>>2]=v;f[q+4>>2]=y;q=c;t=f[q>>2]^v&K;v=f[q+4>>2]^y&L;y=C^A&K;A=D^B&L;B=o;f[B>>2]=y;f[B+4>>2]=A;B=w;D=f[B>>2]^y&K;y=f[B+4>>2]^A&L;A=w;f[A>>2]=D;f[A+4>>2]=y;A=o;B=f[A+4>>2]^y&L;L=o;f[L>>2]=f[A>>2]^D&K;f[L+4>>2]=B;B=Qrc(E|0,J|0,16)|0;E=Rrc(B|0,J|0,M|1|0,N|0)|0;N=J;M=w;B=Arc(f[M>>2]|0,f[M+4>>2]|0,65536,0)|0;M=J;L=w;f[L>>2]=B;f[L+4>>2]=M;L=Irc(B|0,M|0,16)|0;w=J;K=o;D=f[K>>2]|0;A=f[K+4>>2]|0;K=Irc(D|0,A|0,16)|0;y=zrc(L|0,w|0,K|0,J|0)|0;K=zrc(0,0,E|0,N|0)|0;w=Urc(D&65535|0,0,K|0,J|0)|0;K=Hrc(w|0,J|0,16)|0;w=J;L=Arc(t|0,v|0,32768,0)|0;v=Arc(L|0,J|0,K|0,w|0)|0;w=J;K=c;f[K>>2]=v;f[K+4>>2]=w;K=Irc(E|0,N|0,11)|0;L=Irc(D|0,A|0,9)|0;t=J;C=Irc(B|0,M|0,9)|0;W=y;X=K&63^((N|0)<0?63:0);Z=J;_=t;$=L;aa=C;ba=v;ca=w;da=65536;ea=0;fa=D;ga=A;ha=E;ia=N}N=$&120;$=aa&120;if(!(X&32))ja=h[291151+X>>0]|0;else ja=256;X=ja<<7;aa=Y(ja,120-N|4)|0;E=Y(ja,$|4)|0;f[i>>2]=0;f[i+32>>2]=ja;A=zrc($|0,0,N|0,0)|0;N=J;$=Urc(ja|0,0,A&120|4|0,0)|0;D=Irc($|0,J|0,8)|0;f[i+12>>2]=D;f[i+4>>2]=D;f[i+8>>2]=aa>>>8&511;D=Arc(A|0,N|0,128,0)|0;N=Urc(ja|0,0,D|4|0,J|0)|0;D=Irc(N|0,J|0,8)|0;f[i+16>>2]=D&511;f[i+20>>2]=(aa+X|0)>>>8&511;f[i+24>>2]=E>>>8;f[i+28>>2]=(E+X|0)>>>8&511;switch(s&511){case 2:{s=(W|0)>-1;if(O){if(!s){u=g;return}X=Hrc(ba|0,ca|0,16)|0;E=Urc(X|0,J|0,3,0)|0;X=0;aa=x+E|0;E=W;D=fa;N=ga;while(1){ja=Hrc(D|0,N|0,16)|0;A=Arc(ja|0,J|0,-1,-1)|0;ja=Urc(A|0,J|0,r|0,0)|0;A=aa+ja|0;ja=f[i+(((((X|0)>1?2:1)&(X|2))*3|0)+(((E|0)>1?2:1)&(E|2))<<2)>>2]|0;$=Irc(D|0,N|0,11)|0;w=$&31;$=(Y(f[64628+((w|32)<<2)>>2]|0,ja)|0)>>>8&255;v=h[A>>0]|0;C=(((Y(k-v|0,$)|0)+127|0)>>>8)+v|0;v=A+1|0;L=h[v>>0]|0;t=(((Y(l-L|0,$)|0)+127|0)>>>8)+L|0;L=A+2|0;_=h[L>>0]|0;Z=(((Y(m-_|0,$)|0)+127|0)>>>8)+_|0;_=(((Y(l-(t&255)|0,$)|0)+127|0)>>>8)+t|0;t=(((Y(m-(Z&255)|0,$)|0)+127|0)>>>8)+Z|0;Z=(((Y(k-(C&255)|0,$)|0)+127|0)>>>8)+C&255;b[A>>0]=Z;b[v>>0]=_;b[L>>0]=t;t=A+r|0;A=(Y(f[64628+(w<<2)>>2]|0,ja)|0)>>>8&255;L=h[t>>0]|0;_=(((Y(k-L|0,A)|0)+127|0)>>>8)+L|0;L=t+1|0;v=h[L>>0]|0;Z=(((Y(l-v|0,A)|0)+127|0)>>>8)+v|0;v=t+2|0;C=h[v>>0]|0;$=(((Y(m-C|0,A)|0)+127|0)>>>8)+C|0;C=(((Y(l-(Z&255)|0,A)|0)+127|0)>>>8)+Z|0;Z=(((Y(m-($&255)|0,A)|0)+127|0)>>>8)+$|0;$=(((Y(k-(_&255)|0,A)|0)+127|0)>>>8)+_&255;b[t>>0]=$;b[L>>0]=C;b[v>>0]=Z;Z=t+r|0;t=(Y(f[64628+((w^63)<<2)>>2]|0,ja)|0)>>>8&255;ja=h[Z>>0]|0;w=(((Y(k-ja|0,t)|0)+127|0)>>>8)+ja|0;ja=Z+1|0;v=h[ja>>0]|0;C=(((Y(l-v|0,t)|0)+127|0)>>>8)+v|0;v=Z+2|0;L=h[v>>0]|0;$=(((Y(m-L|0,t)|0)+127|0)>>>8)+L|0;L=(((Y(l-(C&255)|0,t)|0)+127|0)>>>8)+C|0;C=(((Y(m-($&255)|0,t)|0)+127|0)>>>8)+$|0;$=(((Y(k-(w&255)|0,t)|0)+127|0)>>>8)+w&255;b[Z>>0]=$;b[ja>>0]=L;b[v>>0]=C;C=o;D=Arc(f[C>>2]|0,f[C+4>>2]|0,da|0,ea|0)|0;N=J;C=o;f[C>>2]=D;f[C+4>>2]=N;if((E|0)<=0)break;else{X=X+1|0;aa=aa+3|0;E=E+-1|0}}u=g;return}else{if(!s){u=g;return}s=Hrc(fa|0,ga|0,16)|0;E=Urc(s|0,J|0,r|0,0)|0;s=0;aa=x+E|0;E=W;X=ba;N=ca;while(1){D=Hrc(X|0,N|0,16)|0;C=Urc(D|0,J|0,3,0)|0;D=Arc(C|0,J|0,-3,0)|0;C=aa+D|0;D=f[i+(((((s|0)>1?2:1)&(s|2))*3|0)+(((E|0)>1?2:1)&(E|2))<<2)>>2]|0;v=Irc(X|0,N|0,11)|0;L=v&31;v=(Y(f[64628+((L|32)<<2)>>2]|0,D)|0)>>>8&255;ja=h[C>>0]|0;$=(((Y(k-ja|0,v)|0)+127|0)>>>8)+ja|0;ja=C+1|0;Z=h[ja>>0]|0;w=(((Y(l-Z|0,v)|0)+127|0)>>>8)+Z|0;Z=C+2|0;t=h[Z>>0]|0;_=(((Y(m-t|0,v)|0)+127|0)>>>8)+t|0;t=(((Y(l-(w&255)|0,v)|0)+127|0)>>>8)+w|0;w=(((Y(m-(_&255)|0,v)|0)+127|0)>>>8)+_|0;_=(((Y(k-($&255)|0,v)|0)+127|0)>>>8)+$&255;b[C>>0]=_;b[ja>>0]=t;b[Z>>0]=w;w=C+3|0;C=(Y(f[64628+(L<<2)>>2]|0,D)|0)>>>8&255;Z=h[w>>0]|0;t=(((Y(k-Z|0,C)|0)+127|0)>>>8)+Z|0;Z=w+1|0;ja=h[Z>>0]|0;_=(((Y(l-ja|0,C)|0)+127|0)>>>8)+ja|0;ja=w+2|0;$=h[ja>>0]|0;v=(((Y(m-$|0,C)|0)+127|0)>>>8)+$|0;$=(((Y(l-(_&255)|0,C)|0)+127|0)>>>8)+_|0;_=(((Y(m-(v&255)|0,C)|0)+127|0)>>>8)+v|0;v=(((Y(k-(t&255)|0,C)|0)+127|0)>>>8)+t&255;b[w>>0]=v;b[Z>>0]=$;b[ja>>0]=_;_=w+3|0;w=(Y(f[64628+((L^63)<<2)>>2]|0,D)|0)>>>8&255;D=h[_>>0]|0;L=(((Y(k-D|0,w)|0)+127|0)>>>8)+D|0;D=_+1|0;ja=h[D>>0]|0;$=(((Y(l-ja|0,w)|0)+127|0)>>>8)+ja|0;ja=_+2|0;Z=h[ja>>0]|0;v=(((Y(m-Z|0,w)|0)+127|0)>>>8)+Z|0;Z=(((Y(l-($&255)|0,w)|0)+127|0)>>>8)+$|0;$=(((Y(m-(v&255)|0,w)|0)+127|0)>>>8)+v|0;v=(((Y(k-(L&255)|0,w)|0)+127|0)>>>8)+L&255;b[_>>0]=v;b[D>>0]=Z;b[ja>>0]=$;$=c;X=Arc(f[$>>2]|0,f[$+4>>2]|0,ha|0,ia|0)|0;N=J;$=c;f[$>>2]=X;f[$+4>>2]=N;if((E|0)<=0)break;else{s=s+1|0;aa=aa+r|0;E=E+-1|0}}u=g;return}break}case 0:{E=(W|0)>-1;if(O){if(!E){u=g;return}aa=Irc(ba|0,ca|0,16)|0;s=0;N=x+aa|0;aa=W;X=fa;$=ga;while(1){ja=Hrc(X|0,$|0,16)|0;Z=Arc(ja|0,J|0,-1,-1)|0;ja=Urc(Z|0,J|0,r|0,0)|0;Z=N+ja|0;ja=f[i+(((((s|0)>1?2:1)&(s|2))*3|0)+(((aa|0)>1?2:1)&(aa|2))<<2)>>2]|0;D=Irc(X|0,$|0,11)|0;v=D&31;D=(Y(f[64628+((v|32)<<2)>>2]|0,ja)|0)>>>8&255;_=h[Z>>0]|0;L=(((Y(k-_|0,D)|0)+127|0)>>>8)+_|0;_=(((Y(k-(L&255)|0,D)|0)+127|0)>>>8)+L&255;b[Z>>0]=_;_=Z+r|0;Z=(Y(f[64628+(v<<2)>>2]|0,ja)|0)>>>8&255;L=h[_>>0]|0;D=(((Y(k-L|0,Z)|0)+127|0)>>>8)+L|0;L=(((Y(k-(D&255)|0,Z)|0)+127|0)>>>8)+D&255;b[_>>0]=L;L=_+r|0;_=(Y(f[64628+((v^63)<<2)>>2]|0,ja)|0)>>>8&255;ja=h[L>>0]|0;v=(((Y(k-ja|0,_)|0)+127|0)>>>8)+ja|0;ja=(((Y(k-(v&255)|0,_)|0)+127|0)>>>8)+v&255;b[L>>0]=ja;ja=o;X=Arc(f[ja>>2]|0,f[ja+4>>2]|0,da|0,ea|0)|0;$=J;ja=o;f[ja>>2]=X;f[ja+4>>2]=$;if((aa|0)<=0)break;else{s=s+1|0;N=N+1|0;aa=aa+-1|0}}u=g;return}else{if(!E){u=g;return}E=Hrc(fa|0,ga|0,16)|0;aa=Urc(E|0,J|0,r|0,0)|0;E=0;N=x+aa|0;aa=W;s=ba;$=ca;while(1){X=Irc(s|0,$|0,16)|0;ja=Arc(X|0,J|0,-1,0)|0;X=N+ja|0;ja=f[i+(((((E|0)>1?2:1)&(E|2))*3|0)+(((aa|0)>1?2:1)&(aa|2))<<2)>>2]|0;L=Irc(s|0,$|0,11)|0;v=L&31;L=(Y(f[64628+((v|32)<<2)>>2]|0,ja)|0)>>>8&255;_=h[X>>0]|0;D=(((Y(k-_|0,L)|0)+127|0)>>>8)+_|0;_=(((Y(k-(D&255)|0,L)|0)+127|0)>>>8)+D&255;b[X>>0]=_;_=X+1|0;X=(Y(f[64628+(v<<2)>>2]|0,ja)|0)>>>8&255;D=h[_>>0]|0;L=(((Y(k-D|0,X)|0)+127|0)>>>8)+D|0;D=(((Y(k-(L&255)|0,X)|0)+127|0)>>>8)+L&255;b[_>>0]=D;D=_+1|0;_=(Y(f[64628+((v^63)<<2)>>2]|0,ja)|0)>>>8&255;ja=h[D>>0]|0;v=(((Y(k-ja|0,_)|0)+127|0)>>>8)+ja|0;ja=(((Y(k-(v&255)|0,_)|0)+127|0)>>>8)+v&255;b[D>>0]=ja;ja=c;s=Arc(f[ja>>2]|0,f[ja+4>>2]|0,ha|0,ia|0)|0;$=J;ja=c;f[ja>>2]=s;f[ja+4>>2]=$;if((aa|0)<=0)break;else{E=E+1|0;N=N+r|0;aa=aa+-1|0}}u=g;return}break}default:{aa=(W|0)>-1;if(O){if(!aa){u=g;return}O=Hrc(ba|0,ca|0,16)|0;N=Qrc(O|0,J|0,2)|0;O=x+N|0;N=0;E=W;$=fa;s=ga;while(1){ja=Hrc($|0,s|0,16)|0;D=Arc(ja|0,J|0,-1,-1)|0;ja=Urc(D|0,J|0,r|0,0)|0;D=O+ja|0;ja=f[i+(((((N|0)>1?2:1)&(N|2))*3|0)+(((E|0)>1?2:1)&(E|2))<<2)>>2]|0;v=Irc($|0,s|0,11)|0;_=v&31;v=(Y(f[64628+((_|32)<<2)>>2]|0,ja)|0)>>>8&255;L=h[D>>0]|0;X=(((Y(k-L|0,v)|0)+127|0)>>>8)+L|0;L=D+1|0;Z=h[L>>0]|0;w=(((Y(l-Z|0,v)|0)+127|0)>>>8)+Z|0;Z=D+2|0;t=h[Z>>0]|0;C=(((Y(m-t|0,v)|0)+127|0)>>>8)+t|0;t=D+3|0;A=h[t>>0]|0;K=(((Y(n-A|0,v)|0)+127|0)>>>8)+A|0;A=(((Y(l-(w&255)|0,v)|0)+127|0)>>>8)+w|0;w=(((Y(m-(C&255)|0,v)|0)+127|0)>>>8)+C|0;C=(((Y(n-(K&255)|0,v)|0)+127|0)>>>8)+K|0;K=(((Y(k-(X&255)|0,v)|0)+127|0)>>>8)+X&255;b[D>>0]=K;b[L>>0]=A;b[Z>>0]=w;b[t>>0]=C;C=D+r|0;D=(Y(f[64628+(_<<2)>>2]|0,ja)|0)>>>8&255;t=h[C>>0]|0;w=(((Y(k-t|0,D)|0)+127|0)>>>8)+t|0;t=C+1|0;Z=h[t>>0]|0;A=(((Y(l-Z|0,D)|0)+127|0)>>>8)+Z|0;Z=C+2|0;L=h[Z>>0]|0;K=(((Y(m-L|0,D)|0)+127|0)>>>8)+L|0;L=C+3|0;X=h[L>>0]|0;v=(((Y(n-X|0,D)|0)+127|0)>>>8)+X|0;X=(((Y(l-(A&255)|0,D)|0)+127|0)>>>8)+A|0;A=(((Y(m-(K&255)|0,D)|0)+127|0)>>>8)+K|0;K=(((Y(n-(v&255)|0,D)|0)+127|0)>>>8)+v|0;v=(((Y(k-(w&255)|0,D)|0)+127|0)>>>8)+w&255;b[C>>0]=v;b[t>>0]=X;b[Z>>0]=A;b[L>>0]=K;K=C+r|0;C=(Y(f[64628+((_^63)<<2)>>2]|0,ja)|0)>>>8&255;ja=h[K>>0]|0;_=(((Y(k-ja|0,C)|0)+127|0)>>>8)+ja|0;ja=K+1|0;L=h[ja>>0]|0;A=(((Y(l-L|0,C)|0)+127|0)>>>8)+L|0;L=K+2|0;Z=h[L>>0]|0;X=(((Y(m-Z|0,C)|0)+127|0)>>>8)+Z|0;Z=K+3|0;t=h[Z>>0]|0;v=(((Y(n-t|0,C)|0)+127|0)>>>8)+t|0;t=(((Y(l-(A&255)|0,C)|0)+127|0)>>>8)+A|0;A=(((Y(m-(X&255)|0,C)|0)+127|0)>>>8)+X|0;X=(((Y(n-(v&255)|0,C)|0)+127|0)>>>8)+v|0;v=(((Y(k-(_&255)|0,C)|0)+127|0)>>>8)+_&255;b[K>>0]=v;b[ja>>0]=t;b[L>>0]=A;b[Z>>0]=X;X=o;$=Arc(f[X>>2]|0,f[X+4>>2]|0,da|0,ea|0)|0;s=J;X=o;f[X>>2]=$;f[X+4>>2]=s;if((E|0)<=0)break;else{O=O+4|0;N=N+1|0;E=E+-1|0}}u=g;return}else{if(!aa){u=g;return}aa=Hrc(fa|0,ga|0,16)|0;ga=Urc(aa|0,J|0,r|0,0)|0;aa=x+ga|0;ga=0;x=W;W=ba;ba=ca;while(1){ca=Hrc(W|0,ba|0,16)|0;fa=Qrc(ca|0,J|0,2)|0;ca=Arc(fa|0,J|0,-4,0)|0;fa=aa+ca|0;ca=f[i+(((((ga|0)>1?2:1)&(ga|2))*3|0)+(((x|0)>1?2:1)&(x|2))<<2)>>2]|0;E=Irc(W|0,ba|0,11)|0;N=E&31;E=(Y(f[64628+((N|32)<<2)>>2]|0,ca)|0)>>>8&255;O=h[fa>>0]|0;s=(((Y(k-O|0,E)|0)+127|0)>>>8)+O|0;O=fa+1|0;$=h[O>>0]|0;o=(((Y(l-$|0,E)|0)+127|0)>>>8)+$|0;$=fa+2|0;ea=h[$>>0]|0;da=(((Y(m-ea|0,E)|0)+127|0)>>>8)+ea|0;ea=fa+3|0;X=h[ea>>0]|0;Z=(((Y(n-X|0,E)|0)+127|0)>>>8)+X|0;X=(((Y(l-(o&255)|0,E)|0)+127|0)>>>8)+o|0;o=(((Y(m-(da&255)|0,E)|0)+127|0)>>>8)+da|0;da=(((Y(n-(Z&255)|0,E)|0)+127|0)>>>8)+Z|0;Z=(((Y(k-(s&255)|0,E)|0)+127|0)>>>8)+s&255;b[fa>>0]=Z;b[O>>0]=X;b[$>>0]=o;b[ea>>0]=da;da=fa+4|0;fa=(Y(f[64628+(N<<2)>>2]|0,ca)|0)>>>8&255;ea=h[da>>0]|0;o=(((Y(k-ea|0,fa)|0)+127|0)>>>8)+ea|0;ea=da+1|0;$=h[ea>>0]|0;X=(((Y(l-$|0,fa)|0)+127|0)>>>8)+$|0;$=da+2|0;O=h[$>>0]|0;Z=(((Y(m-O|0,fa)|0)+127|0)>>>8)+O|0;O=da+3|0;s=h[O>>0]|0;E=(((Y(n-s|0,fa)|0)+127|0)>>>8)+s|0;s=(((Y(l-(X&255)|0,fa)|0)+127|0)>>>8)+X|0;X=(((Y(m-(Z&255)|0,fa)|0)+127|0)>>>8)+Z|0;Z=(((Y(n-(E&255)|0,fa)|0)+127|0)>>>8)+E|0;E=(((Y(k-(o&255)|0,fa)|0)+127|0)>>>8)+o&255;b[da>>0]=E;b[ea>>0]=s;b[$>>0]=X;b[O>>0]=Z;Z=da+4|0;da=(Y(f[64628+((N^63)<<2)>>2]|0,ca)|0)>>>8&255;ca=h[Z>>0]|0;N=(((Y(k-ca|0,da)|0)+127|0)>>>8)+ca|0;ca=Z+1|0;O=h[ca>>0]|0;X=(((Y(l-O|0,da)|0)+127|0)>>>8)+O|0;O=Z+2|0;$=h[O>>0]|0;s=(((Y(m-$|0,da)|0)+127|0)>>>8)+$|0;$=Z+3|0;ea=h[$>>0]|0;E=(((Y(n-ea|0,da)|0)+127|0)>>>8)+ea|0;ea=(((Y(l-(X&255)|0,da)|0)+127|0)>>>8)+X|0;X=(((Y(m-(s&255)|0,da)|0)+127|0)>>>8)+s|0;s=(((Y(n-(E&255)|0,da)|0)+127|0)>>>8)+E|0;E=(((Y(k-(N&255)|0,da)|0)+127|0)>>>8)+N&255;b[Z>>0]=E;b[ca>>0]=ea;b[O>>0]=X;b[$>>0]=s;s=c;W=Arc(f[s>>2]|0,f[s+4>>2]|0,ha|0,ia|0)|0;ba=J;s=c;f[s>>2]=W;f[s+4>>2]=ba;if((x|0)<=0)break;else{aa=aa+r|0;ga=ga+1|0;x=x+-1|0}}u=g;return}}}}break}default:{}}x=c;ga=Irc(f[x>>2]|0,f[x+4>>2]|0,16)|0;x=c+8|0;c=Irc(f[x>>2]|0,f[x+4>>2]|0,16)|0;x=d;r=Irc(f[x>>2]|0,f[x+4>>2]|0,16)|0;x=d+8|0;d=Irc(f[x>>2]|0,f[x+4>>2]|0,16)|0;mra(a,ga,c,r,d,e,8);u=g;return}function pra(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0;i=u;u=u+128|0;j=i+64|0;k=i+48|0;l=i+32|0;m=i+16|0;n=i;o=1<<h>>1;p=f[a+16>>2]|0;q=f[a+40>>2]|0;r=f[q+4>>2]|0;s=f[q>>2]|0;q=f[a+4>>2]|0;if((q|0)>0)t=f[(f[a+44>>2]|0)+(q+-1<<2)>>2]|0;else t=0;q=(g|0)<16;v=q?32768:65535;w=q?0:0;x=q?32768:0;y=q?0:0;z=d+-1|0;A=c+(z<<4)|0;B=c+(z<<4)+8|0;C=f[B>>2]|0;D=f[B+4>>2]|0;B=16-h|0;E=Qrc(f[A>>2]|0,f[A+4>>2]|0,B|0)|0;A=J;F=Qrc(C|0,D|0,B|0)|0;D=J;C=c;G=f[C>>2]|0;H=f[C+4>>2]|0;C=c+8|0;I=f[C>>2]|0;K=f[C+4>>2]|0;a:do if((d|0)>0){C=(h|0)==0;L=k+8|0;M=l+8|0;N=m+8|0;O=n+8|0;if((g|0)<9){P=0;Q=0;R=H;S=G;T=E;U=A;V=F;W=D;X=K;Z=K;_=I;$=I;aa=K;ba=I;ca=H;da=H;ea=G;fa=G}else{ga=0;ha=0;ia=K;ja=K;ka=I;la=I;ma=K;na=I;oa=H;pa=H;qa=G;ra=G;sa=H;ta=G;ua=E;va=A;wa=F;xa=D;while(1){ya=(ia|0)<(ja|0)|(ia|0)==(ja|0)&ka>>>0<la>>>0;za=ya?ga:ha;Aa=ya?ka:la;Ba=ya?ia:ja;ya=(ma|0)<(ia|0)|(ma|0)==(ia|0)&na>>>0<ka>>>0;Ca=ya?ka:na;Da=ya?ia:ma;ya=(oa|0)<(pa|0)|(oa|0)==(pa|0)&qa>>>0<ra>>>0;Ea=ya?ra:qa;Fa=ya?pa:oa;ya=(sa|0)>(pa|0)|(sa|0)==(pa|0)&ta>>>0>ra>>>0;Ga=ya?ra:ta;Ha=ya?pa:sa;ya=Qrc(ra|0,pa|0,B|0)|0;Ia=J;Ja=Qrc(ka|0,ia|0,B|0)|0;Ka=J;La=m;f[La>>2]=ua;f[La+4>>2]=va;La=N;f[La>>2]=wa;f[La+4>>2]=xa;La=n;f[La>>2]=ya;f[La+4>>2]=Ia;La=O;f[La>>2]=Ja;f[La+4>>2]=Ka;ora(a,m,n,e);La=ga+1|0;if((La|0)==(d|0)){Ma=za;Na=Aa;Oa=Ba;Pa=Ca;Qa=Da;Ra=Ea;Sa=Fa;Ta=Ga;Ua=Ha;break a}Va=c+(La<<4)|0;Wa=c+(La<<4)+8|0;ga=La;ha=za;ia=f[Wa+4>>2]|0;ja=Ba;ka=f[Wa>>2]|0;la=Aa;ma=Da;na=Ca;oa=Fa;pa=f[Va+4>>2]|0;qa=Ea;ra=f[Va>>2]|0;sa=Ha;ta=Ga;ua=ya;va=Ia;wa=Ja;xa=Ka}}while(1){xa=(X|0)<(Z|0)|(X|0)==(Z|0)&_>>>0<$>>>0;wa=xa?P:Q;va=xa?_:$;ua=xa?X:Z;xa=(aa|0)<(X|0)|(aa|0)==(X|0)&ba>>>0<_>>>0;ta=xa?_:ba;sa=xa?X:aa;xa=(ca|0)<(da|0)|(ca|0)==(da|0)&ea>>>0<fa>>>0;ra=xa?fa:ea;qa=xa?da:ca;xa=(R|0)>(da|0)|(R|0)==(da|0)&S>>>0>fa>>>0;pa=xa?fa:S;oa=xa?da:R;xa=Qrc(fa|0,da|0,B|0)|0;na=J;ma=Qrc(_|0,X|0,B|0)|0;la=J;if(C){ka=Irc(T|0,U|0,16)|0;ja=Irc(V|0,W|0,16)|0;ia=Irc(xa|0,na|0,16)|0;ha=Irc(ma|0,la|0,16)|0;mra(a,ka,ja,ia,ha,e,g)}else{ha=k;f[ha>>2]=T;f[ha+4>>2]=U;ha=L;f[ha>>2]=V;f[ha+4>>2]=W;ha=l;f[ha>>2]=xa;f[ha+4>>2]=na;ha=M;f[ha>>2]=ma;f[ha+4>>2]=la;nra(a,k,l,e)}ha=P+1|0;if((ha|0)==(d|0)){Ma=wa;Na=va;Oa=ua;Pa=ta;Qa=sa;Ra=ra;Sa=qa;Ta=pa;Ua=oa;break a}ia=c+(ha<<4)|0;ja=c+(ha<<4)+8|0;P=ha;Q=wa;R=oa;S=pa;T=xa;U=na;V=ma;W=la;X=f[ja+4>>2]|0;Z=ua;_=f[ja>>2]|0;$=va;aa=sa;ba=ta;ca=qa;da=f[ia+4>>2]|0;ea=ra;fa=f[ia>>2]|0}}else{Ma=0;Na=I;Oa=K;Pa=I;Qa=K;Ra=G;Sa=H;Ta=G;Ua=H}while(0);H=((o|0)<0)<<31>>31;G=Arc(Na|0,Oa|0,o|0,H|0)|0;Oa=Hrc(G|0,J|0,h|0)|0;G=Arc(Pa|0,Qa|0,o|0,H|0)|0;Qa=Hrc(G|0,J|0,h|0)|0;G=J;if((d|0)<3){u=i;return}Pa=Arc(Ra|0,Sa|0,o|0,H|0)|0;Sa=Hrc(Pa|0,J|0,h|0)|0;Pa=J;Pa=Arc(Ta|0,Ua|0,o|0,H|0)|0;Ua=Hrc(Pa|0,J|0,h|0)|0;if(!((Sa|Qa|0)>-1&(Ua|0)<(r|0))){u=i;return}if((Oa|0)>=(s|0)){u=i;return}Ua=s+-1|0;s=((Ua|0)<0)<<31>>31;Sa=(G|0)>(s|0)|(G|0)==(s|0)&Qa>>>0>Ua>>>0;s=Sa?Ua:Qa;Qa=j+32|0;f[Qa>>2]=Ma;f[j>>2]=Ma;Ma=j+56|0;f[Ma>>2]=Oa;Ua=j+24|0;f[Ua>>2]=Oa;Sa=j+4|0;f[Sa>>2]=1;G=j+36|0;f[G>>2]=z;z=j+40|0;Pa=z;f[Pa>>2]=-65536;f[Pa+4>>2]=-1;Pa=j+8|0;Ta=Pa;f[Ta>>2]=-65536;f[Ta+4>>2]=-1;Ta=j+48|0;Ra=Ta;f[Ra>>2]=0;f[Ra+4>>2]=0;Ra=j+16|0;Na=Ra;f[Na>>2]=0;f[Na+4>>2]=0;Na=a+48|0;a=p+(Y(f[Na>>2]|0,Oa)|0)|0;p=r+-1|0;K=(t|0)==1;I=(h|0)==16?0:B;B=Oa;fa=a;a=d;ea=-65536;da=-1;ca=-65536;ba=-1;while(1){if(!q?!((B|0)<(s|0)|(B|0)==(Oa|0)):0){Xa=a;Ya=ba;Za=da;_a=ca;$a=ea}else ab=18;b:do if((ab|0)==18){ab=0;c:do if((B|0)<(f[Ua>>2]|0)){bb=a;cb=ca;db=ba}else{aa=f[Sa>>2]|0;$=f[j>>2]|0;_=a;while(1){Z=$+aa|0;eb=Z-((Z|0)<(d|0)?0:d)|0;Z=_;_=_+-1|0;if((Z|0)<=0){bb=_;cb=ca;db=ba;break c}Z=c+(eb<<4)+8|0;X=Arc(f[Z>>2]|0,f[Z+4>>2]|0,o|0,H|0)|0;fb=Hrc(X|0,J|0,h|0)|0;if((fb|0)>(B|0))break;else $=eb}aa=c+($<<4)|0;X=c+(eb<<4)|0;Z=f[X>>2]|0;W=f[X+4>>2]|0;X=Qrc(f[aa>>2]|0,f[aa+4>>2]|0,I|0)|0;aa=J;V=Qrc(Z|0,W|0,I|0)|0;f[Ua>>2]=fb;W=zrc(V|0,J|0,X|0,aa|0)|0;V=Qrc(W|0,J|0,1)|0;W=fb-B|0;Z=Arc(V|0,J|0,W|0,((W|0)<0)<<31>>31|0)|0;V=W<<1;W=Rrc(Z|0,J|0,V|0,((V|0)<0)<<31>>31|0)|0;V=Ra;f[V>>2]=W;f[V+4>>2]=J;V=Pa;f[V>>2]=X;f[V+4>>2]=aa;f[j>>2]=eb;bb=_;cb=X;db=aa}while(0);if((B|0)<(f[Ma>>2]|0)){Xa=bb;Ya=db;Za=da;_a=cb;$a=ea}else{aa=f[G>>2]|0;X=f[Qa>>2]|0;V=bb;while(1){W=X+aa|0;gb=W-((W|0)<(d|0)?0:d)|0;W=V;V=V+-1|0;if((W|0)<=0){Xa=V;Ya=db;Za=da;_a=cb;$a=ea;break b}W=c+(gb<<4)+8|0;Z=Arc(f[W>>2]|0,f[W+4>>2]|0,o|0,H|0)|0;hb=Hrc(Z|0,J|0,h|0)|0;if((hb|0)>(B|0))break;else X=gb}aa=c+(X<<4)|0;Z=c+(gb<<4)|0;W=f[Z>>2]|0;U=f[Z+4>>2]|0;Z=Qrc(f[aa>>2]|0,f[aa+4>>2]|0,I|0)|0;aa=J;T=Qrc(W|0,U|0,I|0)|0;f[Ma>>2]=hb;U=zrc(T|0,J|0,Z|0,aa|0)|0;T=Qrc(U|0,J|0,1)|0;U=hb-B|0;W=Arc(T|0,J|0,U|0,((U|0)<0)<<31>>31|0)|0;T=U<<1;U=Rrc(W|0,J|0,T|0,((T|0)<0)<<31>>31|0)|0;T=Ta;f[T>>2]=U;f[T+4>>2]=J;T=z;f[T>>2]=Z;f[T+4>>2]=aa;f[Qa>>2]=gb;Xa=V;Ya=db;Za=aa;_a=cb;$a=Z}}while(0);if((Xa|0)<0){ab=35;break}do if((B|0)>-1?(Z=(Ya|0)>(Za|0)|(Ya|0)==(Za|0)&_a>>>0>$a>>>0,aa=j+((Z&1)<<5)+8|0,T=Arc(f[aa>>2]|0,f[aa+4>>2]|0,v|0,w|0)|0,aa=Irc(T|0,J|0,16)|0,T=j+(((Z^1)&1)<<5)+8|0,Z=Arc(f[T>>2]|0,f[T+4>>2]|0,x|0,y|0)|0,T=Irc(Z|0,J|0,16)|0,(aa|0)<(r|0)&(T|0)>-1):0){Z=Y((aa|0)>0?aa:0,t)|0;aa=fa+Z|0;U=Y(((T|0)<(r|0)?T:p)+1|0,t)|0;T=fa+U|0;if(K){Drc(aa|0,b[e>>0]|0,T-aa|0)|0;break}if((Z|0)<(U|0)){Krc(aa|0,e|0,t|0)|0;ib=aa+t|0}else ib=aa;if(ib>>>0<T>>>0){U=T;Z=t;W=ib;while(1){Krc(W|0,aa|0,Z|0)|0;W=W+Z|0;S=Z<<1;R=U-W|0;if(W>>>0>=T>>>0)break;else Z=R>>>0<S>>>0?R:S}}}while(0);Z=Ra;T=Pa;ca=Arc(f[T>>2]|0,f[T+4>>2]|0,f[Z>>2]|0,f[Z+4>>2]|0)|0;ba=J;Z=Pa;f[Z>>2]=ca;f[Z+4>>2]=ba;Z=Ta;T=z;ea=Arc(f[T>>2]|0,f[T+4>>2]|0,f[Z>>2]|0,f[Z+4>>2]|0)|0;da=J;Z=z;f[Z>>2]=ea;f[Z+4>>2]=da;if((B|0)>=(s|0)){ab=35;break}else{B=B+1|0;fa=fa+(f[Na>>2]|0)|0;a=Xa}}if((ab|0)==35){u=i;return}}function qra(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0;h=f[a+40>>2]|0;i=f[h+4>>2]|0;j=f[h>>2]|0;h=f[a+48>>2]|0;k=f[a+4>>2]|0;if((k|0)>0)l=f[(f[a+44>>2]|0)+(k+-1<<2)>>2]|0;else l=0;k=f[a+16>>2]|0;a=f[c>>2]|0;if((a|0)>=(d|0)&(a|0)<(i-d|0)){m=f[c+4>>2]|0;n=(m|0)<(j-d|0)&(m|0)>=(d|0)}else n=0;if((d|0)<0)return;m=c+4|0;o=(g|0)!=0;g=(l|0)==1;p=i+-1|0;q=d;r=0;s=1;t=(d<<1)+-1|0;d=0;u=a;while(1){a=f[m>>2]|0;v=a-r|0;w=a+r|0;x=a-q|0;y=a+q|0;a=u-q|0;z=u+q|0;A=u-r|0;B=u+r|0;do if(n){C=k+(Y(v,h)|0)|0;D=k+(Y(w,h)|0)|0;E=Y(a,l)|0;F=C+E|0;if(!o){Krc(F|0,e|0,l|0)|0;Krc(D+E|0,e|0,l|0)|0;G=Y(z,l)|0;Krc(C+G|0,e|0,l|0)|0;Krc(D+G|0,e|0,l|0)|0;G=k+(Y(x,h)|0)|0;H=k+(Y(y,h)|0)|0;I=Y(A,l)|0;Krc(G+I|0,e|0,l|0)|0;Krc(H+I|0,e|0,l|0)|0;I=Y(B,l)|0;Krc(G+I|0,e|0,l|0)|0;Krc(H+I|0,e|0,l|0)|0;break}I=Y(z+1|0,l)|0;H=C+I|0;if(!g){C=(I|0)>(E|0);if(C){Krc(F|0,e|0,l|0)|0;J=F+l|0}else J=F;if(J>>>0<H>>>0){G=H;K=l;L=J;while(1){Krc(L|0,F|0,K|0)|0;L=L+K|0;M=K<<1;N=G-L|0;if(L>>>0>=H>>>0)break;else K=N>>>0<M>>>0?N:M}}K=D+E|0;L=D+I|0;if(C){Krc(K|0,e|0,l|0)|0;O=D+E+l|0}else O=K;if(O>>>0<L>>>0){G=L;M=l;N=O;while(1){Krc(N|0,K|0,M|0)|0;N=N+M|0;P=M<<1;Q=G-N|0;if(N>>>0>=L>>>0)break;else M=Q>>>0<P>>>0?Q:P}}}else{Drc(F|0,b[e>>0]|0,H-F|0)|0;Drc(D+E|0,b[e>>0]|0,I-E|0)|0}M=k+(Y(x,h)|0)|0;L=k+(Y(y,h)|0)|0;N=Y(A,l)|0;G=M+N|0;K=Y(B+1|0,l)|0;C=M+K|0;if(g){Drc(G|0,b[e>>0]|0,C-G|0)|0;Drc(L+N|0,b[e>>0]|0,K-N|0)|0;break}M=(K|0)>(N|0);if(M){Krc(G|0,e|0,l|0)|0;R=G+l|0}else R=G;if(R>>>0<C>>>0){P=C;Q=l;S=R;while(1){Krc(S|0,G|0,Q|0)|0;S=S+Q|0;T=Q<<1;U=P-S|0;if(S>>>0>=C>>>0)break;else Q=U>>>0<T>>>0?U:T}}Q=L+N|0;C=L+K|0;if(M){Krc(Q|0,e|0,l|0)|0;V=L+N+l|0}else V=Q;if(V>>>0<C>>>0){S=C;P=l;G=V;while(1){Krc(G|0,Q|0,P|0)|0;G=G+P|0;E=P<<1;I=S-G|0;if(G>>>0>=C>>>0)break;else P=I>>>0<E>>>0?I:E}}}else if((a|0)<(i|0)&(z|0)>-1?(x|0)<(j|0)&(y|0)>-1:0){P=o?((a|0)>0?a:0):a;C=o&(z|0)>=(i|0)?p:z;do if(v>>>0<j>>>0){G=k+(Y(v,h)|0)|0;if(!o){if((P|0)>-1)Krc(G+(Y(P,l)|0)|0,e|0,l|0)|0;if((C|0)>=(i|0))break;Krc(G+(Y(C,l)|0)|0,e|0,l|0)|0;break}S=Y(P,l)|0;Q=G+S|0;N=Y(C+1|0,l)|0;L=G+N|0;if(g){Drc(Q|0,b[e>>0]|0,L-Q|0)|0;break}if((S|0)<(N|0)){Krc(Q|0,e|0,l|0)|0;W=Q+l|0}else W=Q;if(W>>>0<L>>>0){N=L;S=l;G=W;while(1){Krc(G|0,Q|0,S|0)|0;G=G+S|0;M=S<<1;K=N-G|0;if(G>>>0>=L>>>0)break;else S=K>>>0<M>>>0?K:M}}}while(0);do if(w>>>0<j>>>0){S=k+(Y(w,h)|0)|0;if(!o){if((P|0)>-1)Krc(S+(Y(P,l)|0)|0,e|0,l|0)|0;if((C|0)>=(i|0))break;Krc(S+(Y(C,l)|0)|0,e|0,l|0)|0;break}L=Y(P,l)|0;G=S+L|0;N=Y(C+1|0,l)|0;Q=S+N|0;if(g){Drc(G|0,b[e>>0]|0,Q-G|0)|0;break}if((L|0)<(N|0)){Krc(G|0,e|0,l|0)|0;X=G+l|0}else X=G;if(X>>>0<Q>>>0){N=Q;L=l;S=X;while(1){Krc(S|0,G|0,L|0)|0;S=S+L|0;M=L<<1;K=N-S|0;if(S>>>0>=Q>>>0)break;else L=K>>>0<M>>>0?K:M}}}while(0);if((A|0)<(i|0)&(B|0)>-1){C=o?((A|0)>0?A:0):A;P=o&(B|0)>=(i|0)?p:B;do if(x>>>0<j>>>0){L=k+(Y(x,h)|0)|0;if(!o){if((C|0)>-1)Krc(L+(Y(C,l)|0)|0,e|0,l|0)|0;if((P|0)>=(i|0))break;Krc(L+(Y(P,l)|0)|0,e|0,l|0)|0;break}Q=Y(C,l)|0;S=L+Q|0;N=Y(P+1|0,l)|0;G=L+N|0;if(g){Drc(S|0,b[e>>0]|0,G-S|0)|0;break}if((Q|0)<(N|0)){Krc(S|0,e|0,l|0)|0;Z=S+l|0}else Z=S;if(Z>>>0<G>>>0){N=G;Q=l;L=Z;while(1){Krc(L|0,S|0,Q|0)|0;L=L+Q|0;M=Q<<1;K=N-L|0;if(L>>>0>=G>>>0)break;else Q=K>>>0<M>>>0?K:M}}}while(0);if(y>>>0<j>>>0){Q=k+(Y(y,h)|0)|0;if(!o){if((C|0)>-1)Krc(Q+(Y(C,l)|0)|0,e|0,l|0)|0;if((P|0)>=(i|0))break;Krc(Q+(Y(P,l)|0)|0,e|0,l|0)|0;break}G=Y(C,l)|0;L=Q+G|0;N=Y(P+1|0,l)|0;S=Q+N|0;if(g){Drc(L|0,b[e>>0]|0,S-L|0)|0;break}if((G|0)<(N|0)){Krc(L|0,e|0,l|0)|0;_=L+l|0}else _=L;if(_>>>0<S>>>0){N=S;G=l;Q=_;while(1){Krc(Q|0,L|0,G|0)|0;Q=Q+G|0;M=G<<1;K=N-Q|0;if(Q>>>0>=S>>>0)break;else G=K>>>0<M>>>0?K:M}}}}}while(0);y=d+s|0;x=(y|0)>0;B=(x<<31>>31)+q|0;if((B|0)<=(r|0))break;A=y-(x?t:0)|0;q=B;r=r+1|0;s=s+2|0;t=t-(x?2:0)|0;d=A;u=f[c>>2]|0}return}function rra(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;k=u;u=u+80|0;l=k+68|0;m=k+32|0;n=k;o=k+56|0;q=k+16|0;r=k+48|0;s=c;t=f[s>>2]|0;v=f[s+4>>2]|0;s=(v|0)>-1|(v|0)==-1&t>>>0>4294967295;w=zrc(0,0,t|0,v|0)|0;x=s?t:w;w=s?v:J;v=c;f[v>>2]=x;f[v+4>>2]=w;v=c+8|0;c=v;s=f[c>>2]|0;t=f[c+4>>2]|0;c=(t|0)>-1|(t|0)==-1&s>>>0>4294967295;y=zrc(0,0,s|0,t|0)|0;z=c?s:y;y=c?t:J;t=v;f[t>>2]=z;f[t+4>>2]=y;t=(w|0)<(y|0)|(w|0)==(y|0)&x>>>0<z>>>0;v=Arc((t?z:x)|0,(t?y:w)|0,32768,0)|0;t=Irc(v|0,J|0,16)|0;if((t|0)<3)A=90;else A=(t|0)<10?30:(t|0)<15?18:5;f[l>>2]=0;t=l+4|0;f[t>>2]=0;f[l+8>>2]=0;v=b;c=b+8|0;s=c;B=+((f[s>>2]|0)>>>0)+4294967296.0*+(f[s+4>>2]|0);p[m>>3]=+((f[v>>2]|0)>>>0)+4294967296.0*+(f[v+4>>2]|0);p[m+8>>3]=B;p[n>>3]=+(x>>>0)+4294967296.0*+(w|0);p[n+8>>3]=+(z>>>0)+4294967296.0*+(y|0);gra(m,n,d,e,g,A,l);f[o>>2]=0;A=o+4|0;f[A>>2]=0;f[o+8>>2]=0;d=f[t>>2]|0;n=f[l>>2]|0;if((d|0)==(n|0)){C=0;D=0}else{m=q+8|0;y=o+8|0;z=0;w=n;n=-1;x=-1;v=-1;s=-1;E=d;while(1){d=w;F=V9b(+p[d+(z<<4)>>3]*.0000152587890625)|0;G=Qrc(F|0,((F|0)<0)<<31>>31|0,16)|0;F=J;H=V9b(+p[d+(z<<4)+8>>3]*.0000152587890625)|0;I=Qrc(H|0,((H|0)<0)<<31>>31|0,16)|0;H=J;K=V9b(+p[d+(z<<4)>>3]-(+(G>>>0)+4294967296.0*+(F|0)))|0;L=Arc(K|0,((K|0)<0)<<31>>31|0,G|0,F|0)|0;F=J;G=q;f[G>>2]=L;f[G+4>>2]=F;G=V9b(+p[d+(z<<4)+8>>3]-(+(I>>>0)+4294967296.0*+(H|0)))|0;d=Arc(G|0,((G|0)<0)<<31>>31|0,I|0,H|0)|0;H=J;I=m;f[I>>2]=d;f[I+4>>2]=H;if((L|0)!=(v|0)|(F|0)!=(s|0)|((d|0)!=(n|0)|(H|0)!=(x|0))){I=f[A>>2]|0;if((I|0)==(f[y>>2]|0)){sra(o,q);M=f[t>>2]|0;N=f[l>>2]|0}else{G=I;f[G>>2]=L;f[G+4>>2]=F;F=I+8|0;f[F>>2]=d;f[F+4>>2]=H;f[A>>2]=I+16;M=E;N=w}I=q;H=m;O=N;P=M;Q=f[H>>2]|0;R=f[H+4>>2]|0;S=f[I>>2]|0;T=f[I+4>>2]|0}else{O=w;P=E;Q=n;R=x;S=v;T=s}z=z+1|0;if(z>>>0>=P-O>>4>>>0)break;else{w=O;n=Q;x=R;v=S;s=T;E=P}}C=f[A>>2]|0;D=f[o>>2]|0}if((C-D|0)==16)tra(o,2,b);do if((i|0)<=-1){if((g-e|0)>359){D=f[o>>2]|0;pra(a,D,(f[A>>2]|0)-D>>4,h,j,16);break}D=f[A>>2]|0;if((D|0)==(f[o+8>>2]|0)){sra(o,b);U=f[A>>2]|0}else{C=b;P=f[C+4>>2]|0;E=D;f[E>>2]=f[C>>2];f[E+4>>2]=P;P=c;E=f[P+4>>2]|0;C=D+8|0;f[C>>2]=f[P>>2];f[C+4>>2]=E;E=D+16|0;f[A>>2]=E;U=E}f[q>>2]=0;E=q+4|0;f[E>>2]=0;f[q+8>>2]=0;D=f[o>>2]|0;f[r>>2]=0;f[r+4>>2]=0;vra(a,D,U-D>>4,q,h,j,16,r);wra(a,q,h);D=f[q>>2]|0;if(D|0){C=f[E>>2]|0;if((C|0)!=(D|0))f[E>>2]=C+(~((C+-32-D|0)>>>5)<<5);Emc(D)}}else{D=f[o>>2]|0;ura(a,D,(f[A>>2]|0)-D>>4,0,h,i,j,16)}while(0);j=f[o>>2]|0;if(j|0){o=f[A>>2]|0;if((o|0)!=(j|0))f[A>>2]=o+(~((o+-16-j|0)>>>4)<<4);Emc(j)}j=f[l>>2]|0;if(!j){u=k;return}l=f[t>>2]|0;if((l|0)!=(j|0))f[t>>2]=l+(~((l+-16-j|0)>>>4)<<4);Emc(j);u=k;return}function sra(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=d-e>>4;h=g+1|0;i=e;j=d;if(h>>>0>268435455)Ukc(a);d=a+8|0;k=(f[d>>2]|0)-e|0;l=k>>3;m=k>>4>>>0<134217727?(l>>>0<h>>>0?h:l):268435455;do if(m)if(m>>>0>268435455){l=ye(8)|0;Jmc(l,511852);f[l>>2]=165276;Gf(l|0,26776,1555)}else{n=Bmc(m<<4)|0;break}else n=0;while(0);l=n+(g<<4)|0;h=n+(m<<4)|0;m=b;k=f[m+4>>2]|0;o=l;f[o>>2]=f[m>>2];f[o+4>>2]=k;k=b+8|0;b=f[k+4>>2]|0;o=n+(g<<4)+8|0;f[o>>2]=f[k>>2];f[o+4>>2]=b;b=l+16|0;if((j|0)==(i|0))p=l;else{o=j+-16-e|0;k=j;j=l;while(1){g=k;k=k+-16|0;n=k;m=f[n+4>>2]|0;q=j+-16|0;f[q>>2]=f[n>>2];f[q+4>>2]=m;m=g+-8|0;g=f[m+4>>2]|0;q=j+-8|0;f[q>>2]=f[m>>2];f[q+4>>2]=g;if((k|0)==(i|0))break;else j=j+-16|0}p=l+(~(o>>>4)<<4)|0}f[a>>2]=p;f[c>>2]=b;f[d>>2]=h;if(!e)return;Emc(e);return}function tra(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=a+8|0;e=f[d>>2]|0;g=f[a>>2]|0;h=g;do if(e-g>>4>>>0>=b>>>0){i=a+4|0;j=f[i>>2]|0;k=j-g>>4;l=k>>>0<b>>>0;m=l?k:b;n=j;if(m|0){j=c+8|0;o=m;m=h;while(1){p=c;q=f[p+4>>2]|0;r=m;f[r>>2]=f[p>>2];f[r+4>>2]=q;q=j;r=f[q+4>>2]|0;p=m+8|0;f[p>>2]=f[q>>2];f[p+4>>2]=r;o=o+-1|0;if(!o)break;else m=m+16|0}}if(!l){m=h+(b<<4)|0;if((n|0)==(m|0))return;else{s=i;t=n+(~((n+-16-m|0)>>>4)<<4)|0;break}}else{m=b-k|0;o=c+8|0;j=m;r=n;while(1){p=c;q=f[p+4>>2]|0;u=r;f[u>>2]=f[p>>2];f[u+4>>2]=q;q=o;u=f[q+4>>2]|0;p=r+8|0;f[p>>2]=f[q>>2];f[p+4>>2]=u;j=j+-1|0;if(!j)break;else r=r+16|0}s=i;t=n+(m<<4)|0;break}}else{r=g;if(!g)v=e;else{j=a+4|0;o=f[j>>2]|0;if((o|0)!=(h|0))f[j>>2]=o+(~((o+-16-g|0)>>>4)<<4);Emc(r);f[d>>2]=0;f[j>>2]=0;f[a>>2]=0;v=0}if(b>>>0>268435455)Ukc(a);j=v>>3;r=v>>4>>>0<134217727?(j>>>0<b>>>0?b:j):268435455;if(r>>>0>268435455)Ukc(a);j=Bmc(r<<4)|0;o=a+4|0;f[o>>2]=j;f[a>>2]=j;f[d>>2]=j+(r<<4);r=c+8|0;k=b;l=j;while(1){u=c;p=f[u+4>>2]|0;q=l;f[q>>2]=f[u>>2];f[q+4>>2]=p;p=r;q=f[p+4>>2]|0;u=l+8|0;f[u>>2]=f[p>>2];f[u+4>>2]=q;k=k+-1|0;if(!k)break;else l=l+16|0}s=o;t=j+(b<<4)|0}while(0);f[s>>2]=t;return}function ura(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;k=u;u=u+48|0;l=k+32|0;m=k+16|0;n=k;if((c|0)==0|(d|0)<1){u=k;return}if(!((h|0)>-1&j>>>0<17)){f[l>>2]=0;f[l+4>>2]=0;o=YG(l,49)|0;p=291092;q=o+49|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));era(-215,l,291142,1720)}l=(e^1)&1;p=e?d+-1|0:0;if((l|0)>=(d|0)){u=k;return}o=c+(p<<4)+8|0;q=c+(p<<4)|0;p=m+8|0;r=n+8|0;s=e?2:3;e=l;l=f[q>>2]|0;t=f[q+4>>2]|0;q=f[o>>2]|0;v=f[o+4>>2]|0;while(1){o=c+(e<<4)|0;w=l;l=f[o>>2]|0;x=t;t=f[o+4>>2]|0;o=c+(e<<4)+8|0;y=q;q=f[o>>2]|0;z=v;v=f[o+4>>2]|0;o=m;f[o>>2]=w;f[o+4>>2]=x;x=p;f[x>>2]=y;f[x+4>>2]=z;z=n;f[z>>2]=l;f[z+4>>2]=t;z=r;f[z>>2]=q;f[z+4>>2]=v;lra(a,m,n,g,h,i,s,j);e=e+1|0;if((e|0)==(d|0))break;else s=2}u=k;return}function vra(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;j=u;u=u+96|0;k=j+80|0;l=j+64|0;m=j+32|0;n=j+16|0;o=j;p=(f[i+4>>2]|0)+(1<<h>>1)|0;q=c+-1|0;r=b+(q<<4)|0;s=f[r>>2]|0;t=f[r+4>>2]|0;r=k+8|0;v=b+(q<<4)+8|0;q=f[v>>2]|0;w=f[v+4>>2]|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;v=f[i>>2]|0;x=Arc(v|0,((v|0)<0)<<31>>31|0,s|0,t|0)|0;t=16-h|0;s=Qrc(x|0,J|0,t|0)|0;x=J;v=k;f[v>>2]=s;f[v+4>>2]=x;v=((p|0)<0)<<31>>31;y=Arc(q|0,w|0,p|0,v|0)|0;w=Hrc(y|0,J|0,h|0)|0;y=J;q=r;f[q>>2]=w;f[q+4>>2]=y;q=d+4|0;Dra(d,((f[q>>2]|0)-(f[d>>2]|0)>>5)+c|0);if((c|0)<=0){u=j;return}z=l+8|0;A=(g|0)<16;B=m+4|0;C=m+8|0;D=m+16|0;E=d+8|0;F=n+8|0;G=o+8|0;H=0;I=s;s=x;x=w;w=y;do{f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;f[m+24>>2]=0;y=b+(H<<4)|0;K=b+(H<<4)+8|0;L=f[K>>2]|0;M=f[K+4>>2]|0;K=f[i>>2]|0;N=Arc(K|0,((K|0)<0)<<31>>31|0,f[y>>2]|0,f[y+4>>2]|0)|0;y=I;I=Qrc(N|0,J|0,t|0)|0;N=s;s=J;K=l;f[K>>2]=I;f[K+4>>2]=s;K=Arc(L|0,M|0,p|0,v|0)|0;M=x;x=Hrc(K|0,J|0,h|0)|0;K=w;w=J;L=z;f[L>>2]=x;f[L+4>>2]=w;if(A){L=Arc(y|0,N|0,32768,0)|0;O=Hrc(L|0,J|0,16)|0;L=J;P=Arc(I|0,s|0,32768,0)|0;Q=Hrc(P|0,J|0,16)|0;P=J;R=Arc(O|0,L|0,-2147483648,0)|0;S=J;T=Arc(M|0,K|0,-2147483648,0)|0;U=J;V=Arc(Q|0,P|0,-2147483648,0)|0;W=J;X=Arc(x|0,w|0,-2147483648,0)|0;Y=J;mra(a,S>>>0<1|(S|0)==1&R>>>0<0?O:(L|0)>0|(L|0)==0&O>>>0>0?2147483647:-2147483648,U>>>0<1|(U|0)==1&T>>>0<0?M:(K|0)>0|(K|0)==0&M>>>0>0?2147483647:-2147483648,W>>>0<1|(W|0)==1&V>>>0<0?Q:(P|0)>0|(P|0)==0&Q>>>0>0?2147483647:-2147483648,Y>>>0<1|(Y|0)==1&X>>>0<0?x:(w|0)>0|(w|0)==0&x>>>0>0?2147483647:-2147483648,e,g)}else{X=Qrc(M|0,K|0,16)|0;Y=J;Q=Qrc(x|0,w|0,16)|0;P=n;f[P>>2]=y;f[P+4>>2]=N;P=F;f[P>>2]=X;f[P+4>>2]=Y;Y=o;f[Y>>2]=I;f[Y+4>>2]=s;Y=G;f[Y>>2]=Q;f[Y+4>>2]=J;ora(a,n,o,e)}do if(!((x|0)==(M|0)&(w|0)==(K|0))){Y=(w|0)>(K|0)|(w|0)==(K|0)&x>>>0>M>>>0;Q=Y?k:l;f[m>>2]=f[Q+8>>2];f[B>>2]=f[(Y?l:k)+8>>2];Y=Q;Q=f[Y+4>>2]|0;P=C;f[P>>2]=f[Y>>2];f[P+4>>2]=Q;Q=zrc(I|0,s|0,y|0,N|0)|0;P=J;Y=zrc(x|0,w|0,M|0,K|0)|0;X=Rrc(Q|0,P|0,Y|0,J|0)|0;Y=D;f[Y>>2]=X;f[Y+4>>2]=J;Y=f[q>>2]|0;if((Y|0)==(f[E>>2]|0)){yra(d,m);break}else{f[Y>>2]=f[m>>2];f[Y+4>>2]=f[m+4>>2];f[Y+8>>2]=f[m+8>>2];f[Y+12>>2]=f[m+12>>2];f[Y+16>>2]=f[m+16>>2];f[Y+20>>2]=f[m+20>>2];f[Y+24>>2]=f[m+24>>2];f[Y+28>>2]=f[m+28>>2];f[q>>2]=(f[q>>2]|0)+32;break}}while(0);H=H+1|0;K=k;f[K>>2]=I;f[K+4>>2]=s;K=r;f[K>>2]=x;f[K+4>>2]=w}while((H|0)!=(c|0));u=j;return}function wra(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0;e=u;u=u+48|0;g=e+32|0;h=e;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;i=c+4|0;j=f[i>>2]|0;k=f[c>>2]|0;l=j-k|0;m=l>>5;n=f[a+40>>2]|0;o=f[n+4>>2]|0;p=f[n>>2]|0;n=f[a+4>>2]|0;q=k;k=j;if((n|0)>0)r=f[(f[a+44>>2]|0)+(n+-1<<2)>>2]|0;else r=0;if((l|0)<64){u=e;return}else{s=-2147483648;t=2147483647;v=0;w=2147483647;x=-1;y=-1;z=-1}while(1){l=q+(v<<5)+8|0;n=f[l>>2]|0;j=f[l+4>>2]|0;l=f[q+(v<<5)+4>>2]|0;A=f[q+(v<<5)>>2]|0;B=l-A|0;C=q+(v<<5)+16|0;D=Urc(B|0,((B|0)<0)<<31>>31|0,f[C>>2]|0,f[C+4>>2]|0)|0;C=Arc(D|0,J|0,n|0,j|0)|0;D=J;t=(A|0)<(t|0)?A:t;s=(s|0)<(l|0)?l:s;l=(j|0)<(w|0)|(j|0)==(w|0)&n>>>0<x>>>0;A=l?n:x;B=l?j:w;l=(y|0)<(j|0)|(y|0)==(j|0)&z>>>0<n>>>0;E=l?n:z;n=l?j:y;j=(D|0)<(B|0)|(D|0)==(B|0)&C>>>0<A>>>0;x=j?C:A;w=j?D:B;B=(n|0)<(D|0)|(n|0)==(D|0)&E>>>0<C>>>0;y=B?D:n;v=v+1|0;if((v|0)>=(m|0))break;else z=B?C:E}if((s|0)<0){u=e;return}if((y|0)<0|(t|0)>=(p|0)){u=e;return}t=Qrc(o|0,((o|0)<0)<<31>>31|0,16)|0;y=J;if(!((w|0)<(y|0)|(w|0)==(y|0)&x>>>0<t>>>0)){u=e;return}xra(q,k,g);f[h>>2]=2147483647;g=f[i>>2]|0;if((g|0)==(f[c+8>>2]|0))yra(c,h);else{f[g>>2]=f[h>>2];f[g+4>>2]=f[h+4>>2];f[g+8>>2]=f[h+8>>2];f[g+12>>2]=f[h+12>>2];f[g+16>>2]=f[h+16>>2];f[g+20>>2]=f[h+20>>2];f[g+24>>2]=f[h+24>>2];f[g+28>>2]=f[h+28>>2];f[i>>2]=(f[i>>2]|0)+32}i=h+24|0;f[i>>2]=0;g=f[c>>2]|0;k=(s|0)>(p|0)?p:s;s=f[g>>2]|0;if((s|0)>=(k|0)){u=e;return}p=a+16|0;q=a+44|0;a=o+-1|0;t=(r|0)==1;x=s;s=g;g=0;y=0;while(1){a:do if((x|0)<0){w=f[c>>2]|0;z=0;v=h;E=y;C=s;B=g;while(1){b:do if(!E)F=22;else{n=v+24|0;D=E;while(1){if((f[D+4>>2]|0)!=(x|0))break;j=D+24|0;f[n>>2]=f[j>>2];A=f[j>>2]|0;if(!A){F=22;break b}else D=A}if((f[C>>2]|0)<=(x|0)?(A=D+8|0,j=f[A+4>>2]|0,l=C+8|0,G=f[l+4>>2]|0,!((j|0)<(G|0)|((j|0)==(G|0)?(f[A>>2]|0)>>>0<(f[l>>2]|0)>>>0:0))):0)if((B|0)<(m|0)){H=D;I=n;F=24;break}else{K=C;L=B;break a}M=D;N=f[D+24>>2]|0;O=C;P=B}while(0);if((F|0)==22){F=0;if(!((B|0)<(m|0)?(f[C>>2]|0)==(x|0):0)){K=C;L=B;break a}H=0;I=v+24|0;F=24}if((F|0)==24){F=0;f[I>>2]=C;f[C+24>>2]=H;l=B+1|0;M=C;N=H;O=w+(l<<5)|0;P=l}if(z|0){l=v+16|0;A=v+8|0;G=A;j=Arc(f[G>>2]|0,f[G+4>>2]|0,f[l>>2]|0,f[l+4>>2]|0)|0;l=A;f[l>>2]=j;f[l+4>>2]=J;l=M+16|0;j=M+8|0;A=j;G=Arc(f[A>>2]|0,f[A+4>>2]|0,f[l>>2]|0,f[l+4>>2]|0)|0;l=j;f[l>>2]=G;f[l+4>>2]=J}z=z^1;v=M;E=N;C=O;B=P}}else{B=0;C=h;E=y;v=s;z=g;while(1){c:do if(!E)F=31;else{w=C+24|0;l=E;while(1){if((f[l+4>>2]|0)!=(x|0))break;G=l+24|0;f[w>>2]=f[G>>2];j=f[G>>2]|0;if(!j){F=31;break c}else l=j}if((f[v>>2]|0)<=(x|0)?(D=l+8|0,n=f[D+4>>2]|0,j=v+8|0,G=f[j+4>>2]|0,!((n|0)<(G|0)|((n|0)==(G|0)?(f[D>>2]|0)>>>0<(f[j>>2]|0)>>>0:0))):0)if((z|0)<(m|0)){Q=l;R=w;F=40;break}else{K=v;L=z;break a}S=l;T=f[l+24>>2]|0;U=v;V=z}while(0);if((F|0)==31){F=0;if(!((z|0)<(m|0)?(f[v>>2]|0)==(x|0):0)){K=v;L=z;break a}Q=0;R=C+24|0;F=40}if((F|0)==40){F=0;f[R>>2]=v;f[v+24>>2]=Q;j=z+1|0;S=v;T=Q;U=(f[c>>2]|0)+(j<<5)|0;V=j}if(B|0){j=(f[p>>2]|0)+(Y(f[f[q>>2]>>2]|0,x)|0)|0;D=C+8|0;G=D;n=f[G>>2]|0;A=f[G+4>>2]|0;G=S+8|0;W=G;X=f[W>>2]|0;Z=f[W+4>>2]|0;W=(A|0)>(Z|0)|(A|0)==(Z|0)&n>>>0>X>>>0;_=Arc((W?X:n)|0,(W?Z:A)|0,65535,0)|0;$=Irc(_|0,J|0,16)|0;_=Irc((W?n:X)|0,(W?A:Z)|0,16)|0;do if((_|0)>-1&($|0)<(o|0)){Z=Y(($|0)>0?$:0,r)|0;A=j+Z|0;W=Y(((_|0)<(o|0)?_:a)+1|0,r)|0;X=j+W|0;if(t){Drc(A|0,b[d>>0]|0,X-A|0)|0;break}if((Z|0)<(W|0)){Krc(A|0,d|0,r|0)|0;aa=A+r|0}else aa=A;if(aa>>>0<X>>>0){W=X;Z=r;n=aa;while(1){Krc(n|0,A|0,Z|0)|0;n=n+Z|0;ba=Z<<1;ca=W-n|0;if(n>>>0>=X>>>0)break;else Z=ca>>>0<ba>>>0?ca:ba}}}while(0);j=C+16|0;_=D;$=Arc(f[_>>2]|0,f[_+4>>2]|0,f[j>>2]|0,f[j+4>>2]|0)|0;j=D;f[j>>2]=$;f[j+4>>2]=J;j=S+16|0;$=G;_=Arc(f[$>>2]|0,f[$+4>>2]|0,f[j>>2]|0,f[j+4>>2]|0)|0;j=G;f[j>>2]=_;f[j+4>>2]=J}B=B^1;C=S;E=T;v=U;z=V}}while(0);z=0;v=0;E=f[i>>2]|0;while(1){d:do if((E|0)==(v|0)){da=z;ea=h}else{C=z;B=h;j=E;while(1){_=j+24|0;$=f[_>>2]|0;if(!$){da=C;ea=B;break d}Z=j+8|0;X=f[Z>>2]|0;n=f[Z+4>>2]|0;Z=C;W=B;A=$;while(1){$=A+8|0;l=f[$+4>>2]|0;if(!((n|0)>(l|0)|((n|0)==(l|0)?X>>>0>(f[$>>2]|0)>>>0:0)))break;f[W+24>>2]=A;$=A+24|0;f[_>>2]=f[$>>2];f[$>>2]=j;$=f[_>>2]|0;if(!$){da=1;ea=A;break d}else{l=A;Z=1;A=$;W=l}}if((A|0)==(v|0)){da=Z;ea=j;break}else{W=j;C=Z;j=A;B=W}}}while(0);if(!da)break;E=f[i>>2]|0;if(!((ea|0)!=(h|0)&(ea|0)!=(E|0)))break;else{z=da;v=ea}}v=x+1|0;if((v|0)>=(k|0))break;x=v;s=K;g=L;y=f[i>>2]|0}u=e;return}function xra(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0;d=u;u=u+32|0;e=d;g=a;a=b;a:while(1){b=a;h=a+-32|0;i=a+-64|0;j=a+-24|0;k=a+-16|0;l=g;while(1){m=l;b:while(1){n=m;o=b-n|0;p=o>>5;switch(p|0){case 2:{q=5;break a;break}case 3:{q=11;break a;break}case 4:{q=12;break a;break}case 5:{q=13;break a;break}case 1:case 0:{q=107;break a;break}default:{}}if((o|0)<992){q=15;break a}r=(p|0)/2|0;s=m+(r<<5)|0;if((o|0)>31968){o=(p|0)/4|0;t=Bra(m,m+(o<<5)|0,s,s+(o<<5)|0,h,c)|0}else t=zra(m,s,h,c)|0;o=f[m>>2]|0;p=f[s>>2]|0;if((o|0)==(p|0)){v=m+8|0;w=f[v>>2]|0;x=f[v+4>>2]|0;v=m+(r<<5)+8|0;y=f[v>>2]|0;z=f[v+4>>2]|0;if((w|0)==(y|0)&(x|0)==(z|0)){v=m+16|0;A=m+(r<<5)+16|0;B=f[v+4>>2]|0;C=f[A+4>>2]|0;D=f[v>>2]|0;E=f[A>>2]|0}else{B=x;C=z;D=w;E=y}if((B|0)<(C|0)|(B|0)==(C|0)&D>>>0<E>>>0){F=h;G=t;break}}else if((o|0)<(p|0)){F=h;G=t;break}if((m|0)!=(i|0)){y=m+(r<<5)+8|0;w=m+(r<<5)+16|0;r=h;H=i;while(1){z=f[H>>2]|0;if((z|0)==(p|0)){x=r+-24|0;A=f[x>>2]|0;v=f[x+4>>2]|0;x=y;I=f[x>>2]|0;J=f[x+4>>2]|0;if((A|0)==(I|0)&(v|0)==(J|0)){x=r+-16|0;K=w;L=f[x+4>>2]|0;M=f[K+4>>2]|0;N=f[x>>2]|0;O=f[K>>2]|0}else{L=v;M=J;N=A;O=I}if((L|0)<(M|0)|(L|0)==(M|0)&N>>>0<O>>>0){q=77;break b}}else if((z|0)<(p|0)){q=77;break b}z=H+-32|0;if((m|0)==(z|0))break;else{I=H;H=z;r=I}}}r=m+32|0;p=f[h>>2]|0;if((o|0)==(p|0)){w=m+8|0;y=f[w>>2]|0;I=f[w+4>>2]|0;w=j;z=f[w>>2]|0;A=f[w+4>>2]|0;if((y|0)==(z|0)&(I|0)==(A|0)){w=m+16|0;J=k;P=f[w+4>>2]|0;Q=f[J+4>>2]|0;R=f[w>>2]|0;S=f[J>>2]|0}else{P=I;Q=A;R=y;S=z}if((P|0)<(Q|0)|(P|0)==(Q|0)&R>>>0<S>>>0)T=r;else q=46}else if((o|0)<(p|0))T=r;else q=46;if((q|0)==46){q=0;if((r|0)==(h|0)){q=107;break a}p=m+8|0;z=m+16|0;y=r;while(1){r=f[y>>2]|0;if((o|0)==(r|0)){A=p;I=f[A>>2]|0;J=f[A+4>>2]|0;A=y+8|0;w=f[A>>2]|0;v=f[A+4>>2]|0;if((I|0)==(w|0)&(J|0)==(v|0)){A=z;K=y+16|0;U=f[A+4>>2]|0;V=f[K+4>>2]|0;W=f[A>>2]|0;X=f[K>>2]|0}else{U=J;V=v;W=I;X=w}if((U|0)<(V|0)|(U|0)==(V|0)&W>>>0<X>>>0)break}else if((o|0)<(r|0))break;r=y+32|0;if((r|0)==(h|0)){q=107;break a}else y=r}f[e>>2]=f[y>>2];f[e+4>>2]=f[y+4>>2];f[e+8>>2]=f[y+8>>2];f[e+12>>2]=f[y+12>>2];f[e+16>>2]=f[y+16>>2];f[e+20>>2]=f[y+20>>2];f[e+24>>2]=f[y+24>>2];f[e+28>>2]=f[y+28>>2];f[y>>2]=f[h>>2];f[y+4>>2]=f[h+4>>2];f[y+8>>2]=f[h+8>>2];f[y+12>>2]=f[h+12>>2];f[y+16>>2]=f[h+16>>2];f[y+20>>2]=f[h+20>>2];f[y+24>>2]=f[h+24>>2];f[h>>2]=f[e>>2];f[h+4>>2]=f[e+4>>2];f[h+8>>2]=f[e+8>>2];f[h+12>>2]=f[e+12>>2];f[h+16>>2]=f[e+16>>2];f[h+20>>2]=f[e+20>>2];f[h+24>>2]=f[e+24>>2];T=y+32|0}if((T|0)==(h|0)){q=107;break a}o=m+8|0;z=m+16|0;p=h;r=T;while(1){w=f[m>>2]|0;I=r;while(1){v=f[I>>2]|0;if((w|0)==(v|0)){J=o;K=f[J>>2]|0;A=f[J+4>>2]|0;J=I+8|0;x=f[J>>2]|0;Y=f[J+4>>2]|0;if((K|0)==(x|0)&(A|0)==(Y|0)){J=z;Z=I+16|0;_=f[J+4>>2]|0;$=f[Z+4>>2]|0;aa=f[J>>2]|0;ba=f[Z>>2]|0}else{_=A;$=Y;aa=K;ba=x}if((_|0)<($|0)|(_|0)==($|0)&aa>>>0<ba>>>0){ca=p;break}}else if((w|0)<(v|0)){ca=p;break}I=I+32|0}while(1){v=ca;ca=ca+-32|0;x=f[ca>>2]|0;if((w|0)!=(x|0))if((w|0)<(x|0)){ca=ca;continue}else break;x=o;K=f[x>>2]|0;Y=f[x+4>>2]|0;x=v+-24|0;A=f[x>>2]|0;Z=f[x+4>>2]|0;if((K|0)==(A|0)&(Y|0)==(Z|0)){x=z;J=v+-16|0;da=f[x+4>>2]|0;ea=f[J+4>>2]|0;fa=f[x>>2]|0;ga=f[J>>2]|0}else{da=Y;ea=Z;fa=K;ga=A}if(!((da|0)<(ea|0)|(da|0)==(ea|0)&fa>>>0<ga>>>0))break}if(I>>>0>=ca>>>0){m=I;continue b};f[e>>2]=f[I>>2];f[e+4>>2]=f[I+4>>2];f[e+8>>2]=f[I+8>>2];f[e+12>>2]=f[I+12>>2];f[e+16>>2]=f[I+16>>2];f[e+20>>2]=f[I+20>>2];f[e+24>>2]=f[I+24>>2];f[e+28>>2]=f[I+28>>2];f[I>>2]=f[ca>>2];f[I+4>>2]=f[ca+4>>2];f[I+8>>2]=f[ca+8>>2];f[I+12>>2]=f[ca+12>>2];f[I+16>>2]=f[ca+16>>2];f[I+20>>2]=f[ca+20>>2];f[I+24>>2]=f[ca+24>>2];f[ca>>2]=f[e>>2];f[ca+4>>2]=f[e+4>>2];f[ca+8>>2]=f[e+8>>2];f[ca+12>>2]=f[e+12>>2];f[ca+16>>2]=f[e+16>>2];f[ca+20>>2]=f[e+20>>2];f[ca+24>>2]=f[e+24>>2];p=ca;r=I+32|0}}if((q|0)==77){q=0;f[e>>2]=f[m>>2];f[e+4>>2]=f[m+4>>2];f[e+8>>2]=f[m+8>>2];f[e+12>>2]=f[m+12>>2];f[e+16>>2]=f[m+16>>2];f[e+20>>2]=f[m+20>>2];f[e+24>>2]=f[m+24>>2];f[e+28>>2]=f[m+28>>2];f[m>>2]=f[H>>2];f[m+4>>2]=f[H+4>>2];f[m+8>>2]=f[H+8>>2];f[m+12>>2]=f[H+12>>2];f[m+16>>2]=f[H+16>>2];f[m+20>>2]=f[H+20>>2];f[m+24>>2]=f[H+24>>2];f[H>>2]=f[e>>2];f[H+4>>2]=f[e+4>>2];f[H+8>>2]=f[e+8>>2];f[H+12>>2]=f[e+12>>2];f[H+16>>2]=f[e+16>>2];f[H+20>>2]=f[e+20>>2];f[H+24>>2]=f[e+24>>2];F=H;G=t+1|0}r=m+32|0;c:do if(r>>>0<F>>>0){p=s;z=F;o=r;y=G;while(1){w=f[p>>2]|0;A=p+8|0;K=p+16|0;Z=o;while(1){Y=f[Z>>2]|0;if((Y|0)==(w|0)){J=Z+8|0;x=f[J>>2]|0;v=f[J+4>>2]|0;J=A;ha=f[J>>2]|0;ia=f[J+4>>2]|0;if((x|0)==(ha|0)&(v|0)==(ia|0)){J=Z+16|0;ja=K;ka=f[J+4>>2]|0;la=f[ja+4>>2]|0;ma=f[J>>2]|0;na=f[ja>>2]|0}else{ka=v;la=ia;ma=x;na=ha}if(!((ka|0)<(la|0)|(ka|0)==(la|0)&ma>>>0<na>>>0)){oa=z;break}}else if((Y|0)>=(w|0)){oa=z;break}Z=Z+32|0}while(1){I=oa;oa=oa+-32|0;Y=f[oa>>2]|0;if((Y|0)!=(w|0))if((Y|0)<(w|0))break;else{oa=oa;continue}Y=I+-24|0;ha=f[Y>>2]|0;x=f[Y+4>>2]|0;Y=A;ia=f[Y>>2]|0;v=f[Y+4>>2]|0;if((ha|0)==(ia|0)&(x|0)==(v|0)){Y=I+-16|0;I=K;pa=f[Y+4>>2]|0;qa=f[I+4>>2]|0;ra=f[Y>>2]|0;sa=f[I>>2]|0}else{pa=x;qa=v;ra=ha;sa=ia}if((pa|0)<(qa|0)|(pa|0)==(qa|0)&ra>>>0<sa>>>0)break}if(Z>>>0>oa>>>0){ta=p;ua=y;va=Z;break c};f[e>>2]=f[Z>>2];f[e+4>>2]=f[Z+4>>2];f[e+8>>2]=f[Z+8>>2];f[e+12>>2]=f[Z+12>>2];f[e+16>>2]=f[Z+16>>2];f[e+20>>2]=f[Z+20>>2];f[e+24>>2]=f[Z+24>>2];f[e+28>>2]=f[Z+28>>2];f[Z>>2]=f[oa>>2];f[Z+4>>2]=f[oa+4>>2];f[Z+8>>2]=f[oa+8>>2];f[Z+12>>2]=f[oa+12>>2];f[Z+16>>2]=f[oa+16>>2];f[Z+20>>2]=f[oa+20>>2];f[Z+24>>2]=f[oa+24>>2];f[oa>>2]=f[e>>2];f[oa+4>>2]=f[e+4>>2];f[oa+8>>2]=f[e+8>>2];f[oa+12>>2]=f[e+12>>2];f[oa+16>>2]=f[e+16>>2];f[oa+20>>2]=f[e+20>>2];f[oa+24>>2]=f[e+24>>2];p=(p|0)==(Z|0)?oa:p;z=oa;o=Z+32|0;y=y+1|0}}else{ta=s;ua=G;va=r}while(0);do if((va|0)==(ta|0))wa=ua;else{r=f[ta>>2]|0;y=f[va>>2]|0;if((r|0)==(y|0)){o=ta+8|0;z=f[o>>2]|0;p=f[o+4>>2]|0;o=va+8|0;K=f[o>>2]|0;A=f[o+4>>2]|0;if((z|0)==(K|0)&(p|0)==(A|0)){o=ta+16|0;w=va+16|0;xa=f[o+4>>2]|0;ya=f[w+4>>2]|0;za=f[o>>2]|0;Aa=f[w>>2]|0}else{xa=p;ya=A;za=z;Aa=K}if(!((xa|0)<(ya|0)|(xa|0)==(ya|0)&za>>>0<Aa>>>0)){wa=ua;break}}else if((r|0)>=(y|0)){wa=ua;break};f[e>>2]=f[va>>2];f[e+4>>2]=f[va+4>>2];f[e+8>>2]=f[va+8>>2];f[e+12>>2]=f[va+12>>2];f[e+16>>2]=f[va+16>>2];f[e+20>>2]=f[va+20>>2];f[e+24>>2]=f[va+24>>2];f[e+28>>2]=f[va+28>>2];f[va>>2]=f[ta>>2];f[va+4>>2]=f[ta+4>>2];f[va+8>>2]=f[ta+8>>2];f[va+12>>2]=f[ta+12>>2];f[va+16>>2]=f[ta+16>>2];f[va+20>>2]=f[ta+20>>2];f[va+24>>2]=f[ta+24>>2];f[ta>>2]=f[e>>2];f[ta+4>>2]=f[e+4>>2];f[ta+8>>2]=f[e+8>>2];f[ta+12>>2]=f[e+12>>2];f[ta+16>>2]=f[e+16>>2];f[ta+20>>2]=f[e+20>>2];f[ta+24>>2]=f[e+24>>2];wa=ua+1|0}while(0);if(!wa){Ba=Cra(m,va,c)|0;y=va+32|0;if(Cra(y,a,c)|0){q=106;break}if(Ba){l=y;continue}}y=va;if((y-n|0)>=(b-y|0)){q=105;break}xra(m,va,c);l=va+32|0}if((q|0)==105){q=0;xra(va+32|0,a,c);g=m;a=va;continue}else if((q|0)==106){q=0;if(Ba){q=107;break}else{g=m;a=va;continue}}}if((q|0)==5){va=f[h>>2]|0;g=f[m>>2]|0;if((va|0)==(g|0)){Ba=j;j=f[Ba>>2]|0;n=f[Ba+4>>2]|0;Ba=m+8|0;wa=f[Ba>>2]|0;ua=f[Ba+4>>2]|0;if((j|0)==(wa|0)&(n|0)==(ua|0)){Ba=k;k=m+16|0;Ca=f[Ba+4>>2]|0;Da=f[k+4>>2]|0;Ea=f[Ba>>2]|0;Fa=f[k>>2]|0}else{Ca=n;Da=ua;Ea=j;Fa=wa}if(!((Ca|0)<(Da|0)|(Ca|0)==(Da|0)&Ea>>>0<Fa>>>0)){u=d;return}}else if((va|0)>=(g|0)){u=d;return};f[e>>2]=f[m>>2];f[e+4>>2]=f[m+4>>2];f[e+8>>2]=f[m+8>>2];f[e+12>>2]=f[m+12>>2];f[e+16>>2]=f[m+16>>2];f[e+20>>2]=f[m+20>>2];f[e+24>>2]=f[m+24>>2];f[e+28>>2]=f[m+28>>2];f[m>>2]=f[h>>2];f[m+4>>2]=f[h+4>>2];f[m+8>>2]=f[h+8>>2];f[m+12>>2]=f[h+12>>2];f[m+16>>2]=f[h+16>>2];f[m+20>>2]=f[h+20>>2];f[m+24>>2]=f[h+24>>2];f[h>>2]=f[e>>2];f[h+4>>2]=f[e+4>>2];f[h+8>>2]=f[e+8>>2];f[h+12>>2]=f[e+12>>2];f[h+16>>2]=f[e+16>>2];f[h+20>>2]=f[e+20>>2];f[h+24>>2]=f[e+24>>2];u=d;return}else if((q|0)==11){zra(m,m+32|0,h,c)|0;u=d;return}else if((q|0)==12){Ara(m,m+32|0,m+64|0,h,c)|0;u=d;return}else if((q|0)==13){Bra(m,m+32|0,m+64|0,m+96|0,h,c)|0;u=d;return}else if((q|0)==15){h=m+64|0;zra(m,m+32|0,h,c)|0;c=m+96|0;if((c|0)==(a|0)){u=d;return}else{Ga=c;Ha=h}while(1){h=f[Ga>>2]|0;c=f[Ha>>2]|0;if((h|0)==(c|0)){e=Ga+8|0;g=f[e>>2]|0;va=f[e+4>>2]|0;e=Ha+8|0;Fa=f[e>>2]|0;Ea=f[e+4>>2]|0;if((g|0)==(Fa|0)&(va|0)==(Ea|0)){e=Ga+16|0;Da=Ha+16|0;Ia=f[e+4>>2]|0;Ja=f[Da+4>>2]|0;Ka=f[e>>2]|0;La=f[Da>>2]|0}else{Ia=va;Ja=Ea;Ka=g;La=Fa}if((Ia|0)<(Ja|0)|(Ia|0)==(Ja|0)&Ka>>>0<La>>>0){Ma=g;Na=va;q=22}}else if((h|0)<(c|0)){c=Ga+8|0;Ma=f[c>>2]|0;Na=f[c+4>>2]|0;q=22}if((q|0)==22){q=0;c=f[Ga+4>>2]|0;va=Ga+16|0;g=f[va>>2]|0;Fa=f[va+4>>2]|0;va=f[Ga+24>>2]|0;f[Ga>>2]=f[Ha>>2];f[Ga+4>>2]=f[Ha+4>>2];f[Ga+8>>2]=f[Ha+8>>2];f[Ga+12>>2]=f[Ha+12>>2];f[Ga+16>>2]=f[Ha+16>>2];f[Ga+20>>2]=f[Ha+20>>2];f[Ga+24>>2]=f[Ha+24>>2];d:do if((Ha|0)==(m|0))Oa=m;else{Ea=Ha;while(1){Da=Ea;Ea=Ea+-32|0;e=f[Ea>>2]|0;if((h|0)==(e|0)){Ca=Da+-24|0;wa=f[Ca>>2]|0;j=f[Ca+4>>2]|0;if((Ma|0)==(wa|0)&(Na|0)==(j|0)){Ca=Da+-16|0;Pa=Fa;Qa=f[Ca+4>>2]|0;Ra=g;Sa=f[Ca>>2]|0}else{Pa=Na;Qa=j;Ra=Ma;Sa=wa}if(!((Pa|0)<(Qa|0)|(Pa|0)==(Qa|0)&Ra>>>0<Sa>>>0)){Oa=Da;break d}}else if((h|0)>=(e|0)){Oa=Da;break d};f[Da>>2]=f[Ea>>2];f[Da+4>>2]=f[Ea+4>>2];f[Da+8>>2]=f[Ea+8>>2];f[Da+12>>2]=f[Ea+12>>2];f[Da+16>>2]=f[Ea+16>>2];f[Da+20>>2]=f[Ea+20>>2];f[Da+24>>2]=f[Ea+24>>2];if((Ea|0)==(m|0)){Oa=m;break}}}while(0);f[Oa>>2]=h;f[Oa+4>>2]=c;Ea=Oa+8|0;f[Ea>>2]=Ma;f[Ea+4>>2]=Na;Ea=Oa+16|0;f[Ea>>2]=g;f[Ea+4>>2]=Fa;f[Oa+24>>2]=va}Ea=Ga+32|0;if((Ea|0)==(a|0))break;else{Da=Ga;Ga=Ea;Ha=Da}}u=d;return}else if((q|0)==107){u=d;return}}function yra(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>5;h=g+1|0;if(h>>>0>134217727)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>4;l=j>>5>>>0<67108863?(k>>>0<h>>>0?h:k):134217727;do if(l)if(l>>>0>134217727){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<5)|0;break}else m=0;while(0);k=m+(g<<5)|0;f[k>>2]=f[b>>2];f[k+4>>2]=f[b+4>>2];f[k+8>>2]=f[b+8>>2];f[k+12>>2]=f[b+12>>2];f[k+16>>2]=f[b+16>>2];f[k+20>>2]=f[b+20>>2];f[k+24>>2]=f[b+24>>2];f[k+28>>2]=f[b+28>>2];b=k+(0-g<<5)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+32;f[i>>2]=m+(l<<5);if(!d)return;Emc(d);return}function zra(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;d=u;u=u+32|0;e=d;g=f[b>>2]|0;h=f[a>>2]|0;if((g|0)==(h|0)){i=b+8|0;j=f[i>>2]|0;k=f[i+4>>2]|0;i=a+8|0;l=f[i>>2]|0;m=f[i+4>>2]|0;if((j|0)==(l|0)&(k|0)==(m|0)){i=b+16|0;n=a+16|0;o=f[i+4>>2]|0;p=f[n+4>>2]|0;q=f[i>>2]|0;r=f[n>>2]|0}else{o=k;p=m;q=j;r=l}s=(o|0)<(p|0)|(o|0)==(p|0)&q>>>0<r>>>0}else s=(g|0)<(h|0);h=f[c>>2]|0;if((h|0)==(g|0)){r=c+8|0;q=f[r>>2]|0;p=f[r+4>>2]|0;r=b+8|0;o=f[r>>2]|0;l=f[r+4>>2]|0;if((q|0)==(o|0)&(p|0)==(l|0)){r=c+16|0;j=b+16|0;t=f[r+4>>2]|0;v=f[j+4>>2]|0;w=f[r>>2]|0;x=f[j>>2]|0}else{t=p;v=l;w=q;x=o}y=(t|0)<(v|0)|(t|0)==(v|0)&w>>>0<x>>>0}else y=(h|0)<(g|0);if(!s){if(!y){z=0;u=d;return z|0};f[e>>2]=f[b>>2];f[e+4>>2]=f[b+4>>2];f[e+8>>2]=f[b+8>>2];f[e+12>>2]=f[b+12>>2];f[e+16>>2]=f[b+16>>2];f[e+20>>2]=f[b+20>>2];f[e+24>>2]=f[b+24>>2];f[e+28>>2]=f[b+28>>2];f[b>>2]=f[c>>2];f[b+4>>2]=f[c+4>>2];f[b+8>>2]=f[c+8>>2];f[b+12>>2]=f[c+12>>2];f[b+16>>2]=f[c+16>>2];f[b+20>>2]=f[c+20>>2];f[b+24>>2]=f[c+24>>2];f[c>>2]=f[e>>2];f[c+4>>2]=f[e+4>>2];f[c+8>>2]=f[e+8>>2];f[c+12>>2]=f[e+12>>2];f[c+16>>2]=f[e+16>>2];f[c+20>>2]=f[e+20>>2];f[c+24>>2]=f[e+24>>2];s=f[b>>2]|0;g=f[a>>2]|0;if((s|0)==(g|0)){h=b+8|0;x=f[h>>2]|0;w=f[h+4>>2]|0;h=a+8|0;v=f[h>>2]|0;t=f[h+4>>2]|0;if((x|0)==(v|0)&(w|0)==(t|0)){h=b+16|0;o=a+16|0;A=f[h+4>>2]|0;B=f[o+4>>2]|0;C=f[h>>2]|0;D=f[o>>2]|0}else{A=w;B=t;C=x;D=v}if(!((A|0)<(B|0)|(A|0)==(B|0)&C>>>0<D>>>0)){z=1;u=d;return z|0}}else if((s|0)>=(g|0)){z=1;u=d;return z|0};f[e>>2]=f[a>>2];f[e+4>>2]=f[a+4>>2];f[e+8>>2]=f[a+8>>2];f[e+12>>2]=f[a+12>>2];f[e+16>>2]=f[a+16>>2];f[e+20>>2]=f[a+20>>2];f[e+24>>2]=f[a+24>>2];f[e+28>>2]=f[a+28>>2];f[a>>2]=f[b>>2];f[a+4>>2]=f[b+4>>2];f[a+8>>2]=f[b+8>>2];f[a+12>>2]=f[b+12>>2];f[a+16>>2]=f[b+16>>2];f[a+20>>2]=f[b+20>>2];f[a+24>>2]=f[b+24>>2];f[b>>2]=f[e>>2];f[b+4>>2]=f[e+4>>2];f[b+8>>2]=f[e+8>>2];f[b+12>>2]=f[e+12>>2];f[b+16>>2]=f[e+16>>2];f[b+20>>2]=f[e+20>>2];f[b+24>>2]=f[e+24>>2];z=2;u=d;return z|0};f[e>>2]=f[a>>2];f[e+4>>2]=f[a+4>>2];f[e+8>>2]=f[a+8>>2];f[e+12>>2]=f[a+12>>2];f[e+16>>2]=f[a+16>>2];f[e+20>>2]=f[a+20>>2];f[e+24>>2]=f[a+24>>2];f[e+28>>2]=f[a+28>>2];if(y){f[a>>2]=f[c>>2];f[a+4>>2]=f[c+4>>2];f[a+8>>2]=f[c+8>>2];f[a+12>>2]=f[c+12>>2];f[a+16>>2]=f[c+16>>2];f[a+20>>2]=f[c+20>>2];f[a+24>>2]=f[c+24>>2];f[c>>2]=f[e>>2];f[c+4>>2]=f[e+4>>2];f[c+8>>2]=f[e+8>>2];f[c+12>>2]=f[e+12>>2];f[c+16>>2]=f[e+16>>2];f[c+20>>2]=f[e+20>>2];f[c+24>>2]=f[e+24>>2];z=1;u=d;return z|0};f[a>>2]=f[b>>2];f[a+4>>2]=f[b+4>>2];f[a+8>>2]=f[b+8>>2];f[a+12>>2]=f[b+12>>2];f[a+16>>2]=f[b+16>>2];f[a+20>>2]=f[b+20>>2];f[a+24>>2]=f[b+24>>2];f[b>>2]=f[e>>2];f[b+4>>2]=f[e+4>>2];f[b+8>>2]=f[e+8>>2];f[b+12>>2]=f[e+12>>2];f[b+16>>2]=f[e+16>>2];f[b+20>>2]=f[e+20>>2];f[b+24>>2]=f[e+24>>2];a=f[c>>2]|0;y=f[b>>2]|0;if((a|0)==(y|0)){g=c+8|0;s=f[g>>2]|0;D=f[g+4>>2]|0;g=b+8|0;C=f[g>>2]|0;B=f[g+4>>2]|0;if((s|0)==(C|0)&(D|0)==(B|0)){g=c+16|0;A=b+16|0;E=f[g+4>>2]|0;F=f[A+4>>2]|0;G=f[g>>2]|0;H=f[A>>2]|0}else{E=D;F=B;G=s;H=C}if(!((E|0)<(F|0)|(E|0)==(F|0)&G>>>0<H>>>0)){z=1;u=d;return z|0}}else if((a|0)>=(y|0)){z=1;u=d;return z|0};f[e>>2]=f[b>>2];f[e+4>>2]=f[b+4>>2];f[e+8>>2]=f[b+8>>2];f[e+12>>2]=f[b+12>>2];f[e+16>>2]=f[b+16>>2];f[e+20>>2]=f[b+20>>2];f[e+24>>2]=f[b+24>>2];f[e+28>>2]=f[b+28>>2];f[b>>2]=f[c>>2];f[b+4>>2]=f[c+4>>2];f[b+8>>2]=f[c+8>>2];f[b+12>>2]=f[c+12>>2];f[b+16>>2]=f[c+16>>2];f[b+20>>2]=f[c+20>>2];f[b+24>>2]=f[c+24>>2];f[c>>2]=f[e>>2];f[c+4>>2]=f[e+4>>2];f[c+8>>2]=f[e+8>>2];f[c+12>>2]=f[e+12>>2];f[c+16>>2]=f[e+16>>2];f[c+20>>2]=f[e+20>>2];f[c+24>>2]=f[e+24>>2];z=2;u=d;return z|0}function Ara(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;g=u;u=u+32|0;h=g;i=zra(a,b,c,e)|0;e=f[d>>2]|0;j=f[c>>2]|0;if((e|0)==(j|0)){k=d+8|0;l=f[k>>2]|0;m=f[k+4>>2]|0;k=c+8|0;n=f[k>>2]|0;o=f[k+4>>2]|0;if((l|0)==(n|0)&(m|0)==(o|0)){k=d+16|0;p=c+16|0;q=f[k+4>>2]|0;r=f[p+4>>2]|0;s=f[k>>2]|0;t=f[p>>2]|0}else{q=m;r=o;s=l;t=n}if(!((q|0)<(r|0)|(q|0)==(r|0)&s>>>0<t>>>0)){v=i;u=g;return v|0}}else if((e|0)>=(j|0)){v=i;u=g;return v|0};f[h>>2]=f[c>>2];f[h+4>>2]=f[c+4>>2];f[h+8>>2]=f[c+8>>2];f[h+12>>2]=f[c+12>>2];f[h+16>>2]=f[c+16>>2];f[h+20>>2]=f[c+20>>2];f[h+24>>2]=f[c+24>>2];f[h+28>>2]=f[c+28>>2];f[c>>2]=f[d>>2];f[c+4>>2]=f[d+4>>2];f[c+8>>2]=f[d+8>>2];f[c+12>>2]=f[d+12>>2];f[c+16>>2]=f[d+16>>2];f[c+20>>2]=f[d+20>>2];f[c+24>>2]=f[d+24>>2];f[d>>2]=f[h>>2];f[d+4>>2]=f[h+4>>2];f[d+8>>2]=f[h+8>>2];f[d+12>>2]=f[h+12>>2];f[d+16>>2]=f[h+16>>2];f[d+20>>2]=f[h+20>>2];f[d+24>>2]=f[h+24>>2];d=i+1|0;j=f[c>>2]|0;e=f[b>>2]|0;if((j|0)==(e|0)){t=c+8|0;s=f[t>>2]|0;r=f[t+4>>2]|0;t=b+8|0;q=f[t>>2]|0;n=f[t+4>>2]|0;if((s|0)==(q|0)&(r|0)==(n|0)){t=c+16|0;l=b+16|0;w=f[t+4>>2]|0;x=f[l+4>>2]|0;y=f[t>>2]|0;z=f[l>>2]|0}else{w=r;x=n;y=s;z=q}if(!((w|0)<(x|0)|(w|0)==(x|0)&y>>>0<z>>>0)){v=d;u=g;return v|0}}else if((j|0)>=(e|0)){v=d;u=g;return v|0};f[h>>2]=f[b>>2];f[h+4>>2]=f[b+4>>2];f[h+8>>2]=f[b+8>>2];f[h+12>>2]=f[b+12>>2];f[h+16>>2]=f[b+16>>2];f[h+20>>2]=f[b+20>>2];f[h+24>>2]=f[b+24>>2];f[h+28>>2]=f[b+28>>2];f[b>>2]=f[c>>2];f[b+4>>2]=f[c+4>>2];f[b+8>>2]=f[c+8>>2];f[b+12>>2]=f[c+12>>2];f[b+16>>2]=f[c+16>>2];f[b+20>>2]=f[c+20>>2];f[b+24>>2]=f[c+24>>2];f[c>>2]=f[h>>2];f[c+4>>2]=f[h+4>>2];f[c+8>>2]=f[h+8>>2];f[c+12>>2]=f[h+12>>2];f[c+16>>2]=f[h+16>>2];f[c+20>>2]=f[h+20>>2];f[c+24>>2]=f[h+24>>2];c=i+2|0;d=f[b>>2]|0;e=f[a>>2]|0;if((d|0)==(e|0)){j=b+8|0;z=f[j>>2]|0;y=f[j+4>>2]|0;j=a+8|0;x=f[j>>2]|0;w=f[j+4>>2]|0;if((z|0)==(x|0)&(y|0)==(w|0)){j=b+16|0;q=a+16|0;A=f[j+4>>2]|0;B=f[q+4>>2]|0;C=f[j>>2]|0;D=f[q>>2]|0}else{A=y;B=w;C=z;D=x}if(!((A|0)<(B|0)|(A|0)==(B|0)&C>>>0<D>>>0)){v=c;u=g;return v|0}}else if((d|0)>=(e|0)){v=c;u=g;return v|0};f[h>>2]=f[a>>2];f[h+4>>2]=f[a+4>>2];f[h+8>>2]=f[a+8>>2];f[h+12>>2]=f[a+12>>2];f[h+16>>2]=f[a+16>>2];f[h+20>>2]=f[a+20>>2];f[h+24>>2]=f[a+24>>2];f[h+28>>2]=f[a+28>>2];f[a>>2]=f[b>>2];f[a+4>>2]=f[b+4>>2];f[a+8>>2]=f[b+8>>2];f[a+12>>2]=f[b+12>>2];f[a+16>>2]=f[b+16>>2];f[a+20>>2]=f[b+20>>2];f[a+24>>2]=f[b+24>>2];f[b>>2]=f[h>>2];f[b+4>>2]=f[h+4>>2];f[b+8>>2]=f[h+8>>2];f[b+12>>2]=f[h+12>>2];f[b+16>>2]=f[h+16>>2];f[b+20>>2]=f[h+20>>2];f[b+24>>2]=f[h+24>>2];v=i+3|0;u=g;return v|0}function Bra(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;h=u;u=u+32|0;i=h;j=Ara(a,b,c,d,g)|0;g=f[e>>2]|0;k=f[d>>2]|0;if((g|0)==(k|0)){l=e+8|0;m=f[l>>2]|0;n=f[l+4>>2]|0;l=d+8|0;o=f[l>>2]|0;p=f[l+4>>2]|0;if((m|0)==(o|0)&(n|0)==(p|0)){l=e+16|0;q=d+16|0;r=f[l+4>>2]|0;s=f[q+4>>2]|0;t=f[l>>2]|0;v=f[q>>2]|0}else{r=n;s=p;t=m;v=o}if(!((r|0)<(s|0)|(r|0)==(s|0)&t>>>0<v>>>0)){w=j;u=h;return w|0}}else if((g|0)>=(k|0)){w=j;u=h;return w|0};f[i>>2]=f[d>>2];f[i+4>>2]=f[d+4>>2];f[i+8>>2]=f[d+8>>2];f[i+12>>2]=f[d+12>>2];f[i+16>>2]=f[d+16>>2];f[i+20>>2]=f[d+20>>2];f[i+24>>2]=f[d+24>>2];f[i+28>>2]=f[d+28>>2];f[d>>2]=f[e>>2];f[d+4>>2]=f[e+4>>2];f[d+8>>2]=f[e+8>>2];f[d+12>>2]=f[e+12>>2];f[d+16>>2]=f[e+16>>2];f[d+20>>2]=f[e+20>>2];f[d+24>>2]=f[e+24>>2];f[e>>2]=f[i>>2];f[e+4>>2]=f[i+4>>2];f[e+8>>2]=f[i+8>>2];f[e+12>>2]=f[i+12>>2];f[e+16>>2]=f[i+16>>2];f[e+20>>2]=f[i+20>>2];f[e+24>>2]=f[i+24>>2];e=j+1|0;k=f[d>>2]|0;g=f[c>>2]|0;if((k|0)==(g|0)){v=d+8|0;t=f[v>>2]|0;s=f[v+4>>2]|0;v=c+8|0;r=f[v>>2]|0;o=f[v+4>>2]|0;if((t|0)==(r|0)&(s|0)==(o|0)){v=d+16|0;m=c+16|0;x=f[v+4>>2]|0;y=f[m+4>>2]|0;z=f[v>>2]|0;A=f[m>>2]|0}else{x=s;y=o;z=t;A=r}if(!((x|0)<(y|0)|(x|0)==(y|0)&z>>>0<A>>>0)){w=e;u=h;return w|0}}else if((k|0)>=(g|0)){w=e;u=h;return w|0};f[i>>2]=f[c>>2];f[i+4>>2]=f[c+4>>2];f[i+8>>2]=f[c+8>>2];f[i+12>>2]=f[c+12>>2];f[i+16>>2]=f[c+16>>2];f[i+20>>2]=f[c+20>>2];f[i+24>>2]=f[c+24>>2];f[i+28>>2]=f[c+28>>2];f[c>>2]=f[d>>2];f[c+4>>2]=f[d+4>>2];f[c+8>>2]=f[d+8>>2];f[c+12>>2]=f[d+12>>2];f[c+16>>2]=f[d+16>>2];f[c+20>>2]=f[d+20>>2];f[c+24>>2]=f[d+24>>2];f[d>>2]=f[i>>2];f[d+4>>2]=f[i+4>>2];f[d+8>>2]=f[i+8>>2];f[d+12>>2]=f[i+12>>2];f[d+16>>2]=f[i+16>>2];f[d+20>>2]=f[i+20>>2];f[d+24>>2]=f[i+24>>2];d=j+2|0;e=f[c>>2]|0;g=f[b>>2]|0;if((e|0)==(g|0)){k=c+8|0;A=f[k>>2]|0;z=f[k+4>>2]|0;k=b+8|0;y=f[k>>2]|0;x=f[k+4>>2]|0;if((A|0)==(y|0)&(z|0)==(x|0)){k=c+16|0;r=b+16|0;B=f[k+4>>2]|0;C=f[r+4>>2]|0;D=f[k>>2]|0;E=f[r>>2]|0}else{B=z;C=x;D=A;E=y}if(!((B|0)<(C|0)|(B|0)==(C|0)&D>>>0<E>>>0)){w=d;u=h;return w|0}}else if((e|0)>=(g|0)){w=d;u=h;return w|0};f[i>>2]=f[b>>2];f[i+4>>2]=f[b+4>>2];f[i+8>>2]=f[b+8>>2];f[i+12>>2]=f[b+12>>2];f[i+16>>2]=f[b+16>>2];f[i+20>>2]=f[b+20>>2];f[i+24>>2]=f[b+24>>2];f[i+28>>2]=f[b+28>>2];f[b>>2]=f[c>>2];f[b+4>>2]=f[c+4>>2];f[b+8>>2]=f[c+8>>2];f[b+12>>2]=f[c+12>>2];f[b+16>>2]=f[c+16>>2];f[b+20>>2]=f[c+20>>2];f[b+24>>2]=f[c+24>>2];f[c>>2]=f[i>>2];f[c+4>>2]=f[i+4>>2];f[c+8>>2]=f[i+8>>2];f[c+12>>2]=f[i+12>>2];f[c+16>>2]=f[i+16>>2];f[c+20>>2]=f[i+20>>2];f[c+24>>2]=f[i+24>>2];c=j+3|0;d=f[b>>2]|0;g=f[a>>2]|0;if((d|0)==(g|0)){e=b+8|0;E=f[e>>2]|0;D=f[e+4>>2]|0;e=a+8|0;C=f[e>>2]|0;B=f[e+4>>2]|0;if((E|0)==(C|0)&(D|0)==(B|0)){e=b+16|0;y=a+16|0;F=f[e+4>>2]|0;G=f[y+4>>2]|0;H=f[e>>2]|0;I=f[y>>2]|0}else{F=D;G=B;H=E;I=C}if(!((F|0)<(G|0)|(F|0)==(G|0)&H>>>0<I>>>0)){w=c;u=h;return w|0}}else if((d|0)>=(g|0)){w=c;u=h;return w|0};f[i>>2]=f[a>>2];f[i+4>>2]=f[a+4>>2];f[i+8>>2]=f[a+8>>2];f[i+12>>2]=f[a+12>>2];f[i+16>>2]=f[a+16>>2];f[i+20>>2]=f[a+20>>2];f[i+24>>2]=f[a+24>>2];f[i+28>>2]=f[a+28>>2];f[a>>2]=f[b>>2];f[a+4>>2]=f[b+4>>2];f[a+8>>2]=f[b+8>>2];f[a+12>>2]=f[b+12>>2];f[a+16>>2]=f[b+16>>2];f[a+20>>2]=f[b+20>>2];f[a+24>>2]=f[b+24>>2];f[b>>2]=f[i>>2];f[b+4>>2]=f[i+4>>2];f[b+8>>2]=f[i+8>>2];f[b+12>>2]=f[i+12>>2];f[b+16>>2]=f[i+16>>2];f[b+20>>2]=f[i+20>>2];f[b+24>>2]=f[i+24>>2];w=j+4|0;u=h;return w|0}function Cra(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;d=u;u=u+32|0;e=d;switch(b-a>>5|0){case 2:{g=b+-32|0;h=f[g>>2]|0;i=f[a>>2]|0;if((h|0)==(i|0)){j=b+-24|0;k=f[j>>2]|0;l=f[j+4>>2]|0;j=a+8|0;m=f[j>>2]|0;n=f[j+4>>2]|0;if((k|0)==(m|0)&(l|0)==(n|0)){j=b+-16|0;o=a+16|0;p=f[j+4>>2]|0;q=f[o+4>>2]|0;r=f[j>>2]|0;s=f[o>>2]|0}else{p=l;q=n;r=k;s=m}if(!((p|0)<(q|0)|(p|0)==(q|0)&r>>>0<s>>>0)){t=1;u=d;return t|0}}else if((h|0)>=(i|0)){t=1;u=d;return t|0};f[e>>2]=f[a>>2];f[e+4>>2]=f[a+4>>2];f[e+8>>2]=f[a+8>>2];f[e+12>>2]=f[a+12>>2];f[e+16>>2]=f[a+16>>2];f[e+20>>2]=f[a+20>>2];f[e+24>>2]=f[a+24>>2];f[e+28>>2]=f[a+28>>2];f[a>>2]=f[g>>2];f[a+4>>2]=f[g+4>>2];f[a+8>>2]=f[g+8>>2];f[a+12>>2]=f[g+12>>2];f[a+16>>2]=f[g+16>>2];f[a+20>>2]=f[g+20>>2];f[a+24>>2]=f[g+24>>2];f[g>>2]=f[e>>2];f[g+4>>2]=f[e+4>>2];f[g+8>>2]=f[e+8>>2];f[g+12>>2]=f[e+12>>2];f[g+16>>2]=f[e+16>>2];f[g+20>>2]=f[e+20>>2];f[g+24>>2]=f[e+24>>2];t=1;u=d;return t|0}case 3:{zra(a,a+32|0,b+-32|0,c)|0;t=1;u=d;return t|0}case 4:{Ara(a,a+32|0,a+64|0,b+-32|0,c)|0;t=1;u=d;return t|0}case 5:{Bra(a,a+32|0,a+64|0,a+96|0,b+-32|0,c)|0;t=1;u=d;return t|0}case 1:case 0:{t=1;u=d;return t|0}default:{g=a+64|0;zra(a,a+32|0,g,c)|0;c=a+96|0;a:do if((c|0)==(b|0)){v=1;w=0}else{i=c;h=0;s=g;while(1){r=f[i>>2]|0;q=f[s>>2]|0;if((r|0)==(q|0)){p=i+8|0;m=f[p>>2]|0;k=f[p+4>>2]|0;p=s+8|0;n=f[p>>2]|0;l=f[p+4>>2]|0;if((m|0)==(n|0)&(k|0)==(l|0)){p=i+16|0;o=s+16|0;x=f[p+4>>2]|0;y=f[o+4>>2]|0;z=f[p>>2]|0;A=f[o>>2]|0}else{x=k;y=l;z=m;A=n}if((x|0)<(y|0)|(x|0)==(y|0)&z>>>0<A>>>0){B=m;C=k;D=19}else E=h}else if((r|0)<(q|0)){q=i+8|0;B=f[q>>2]|0;C=f[q+4>>2]|0;D=19}else E=h;if((D|0)==19){D=0;q=f[i+4>>2]|0;k=i+16|0;m=f[k>>2]|0;n=f[k+4>>2]|0;k=i+24|0;l=f[k+4>>2]|0;o=e;f[o>>2]=f[k>>2];f[o+4>>2]=l;f[i>>2]=f[s>>2];f[i+4>>2]=f[s+4>>2];f[i+8>>2]=f[s+8>>2];f[i+12>>2]=f[s+12>>2];f[i+16>>2]=f[s+16>>2];f[i+20>>2]=f[s+20>>2];f[i+24>>2]=f[s+24>>2];b:do if((s|0)==(a|0))F=a;else{l=s;while(1){o=l;l=l+-32|0;k=f[l>>2]|0;if((r|0)==(k|0)){p=o+-24|0;j=f[p>>2]|0;G=f[p+4>>2]|0;if((B|0)==(j|0)&(C|0)==(G|0)){p=o+-16|0;H=n;I=f[p+4>>2]|0;J=m;K=f[p>>2]|0}else{H=C;I=G;J=B;K=j}if(!((H|0)<(I|0)|(H|0)==(I|0)&J>>>0<K>>>0)){F=o;break b}}else if((r|0)>=(k|0)){F=o;break b};f[o>>2]=f[l>>2];f[o+4>>2]=f[l+4>>2];f[o+8>>2]=f[l+8>>2];f[o+12>>2]=f[l+12>>2];f[o+16>>2]=f[l+16>>2];f[o+20>>2]=f[l+20>>2];f[o+24>>2]=f[l+24>>2];if((l|0)==(a|0)){F=a;break}}}while(0);f[F>>2]=r;f[F+4>>2]=q;l=F+8|0;f[l>>2]=B;f[l+4>>2]=C;l=F+16|0;f[l>>2]=m;f[l+4>>2]=n;f[F+24>>2]=f[e>>2];l=h+1|0;if((l|0)==8){v=0;w=(i+32|0)==(b|0);break a}else E=l}l=i+32|0;if((l|0)==(b|0)){v=1;w=0;break}else{o=i;i=l;h=E;s=o}}}while(0);t=w|v;u=d;return t|0}}return 0}function Dra(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[a>>2]|0;if((f[c>>2]|0)-d>>5>>>0>=b>>>0)return;e=a+4|0;if(b>>>0>134217727){g=ye(8)|0;Jmc(g,511852);f[g>>2]=165276;Gf(g|0,26776,1555)}g=(f[e>>2]|0)-d|0;h=g>>5;i=Bmc(b<<5)|0;j=i+(h<<5)|0;k=j+(0-h<<5)|0;if((g|0)>0)Krc(k|0,d|0,g|0)|0;f[a>>2]=k;f[e>>2]=j;f[c>>2]=i+(b<<5);if(!d)return;Emc(d);return}function Era(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;j=u;u=u+160|0;k=j+152|0;l=j+96|0;m=j+64|0;n=j;zT(k,64884);do if((pD(a)|0)==65536){o=f[a+4>>2]|0;f[l>>2]=f[o>>2];p=l+4|0;q=o+4|0;f[p>>2]=f[q>>2];r=l+8|0;f[r>>2]=f[o+8>>2];f[l+12>>2]=f[o+12>>2];f[l+16>>2]=f[o+16>>2];f[l+20>>2]=f[o+20>>2];f[l+24>>2]=f[o+24>>2];f[l+28>>2]=f[o+28>>2];f[l+32>>2]=f[o+32>>2];s=f[o+36>>2]|0;f[l+36>>2]=s;f[l+40>>2]=r;r=l+48|0;t=l+44|0;f[t>>2]=r;f[r>>2]=0;f[l+52>>2]=0;if(s|0){r=s+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[q>>2]|0)<3){q=f[o+44>>2]|0;r=f[t>>2]|0;f[r>>2]=f[q>>2];f[r+4>>2]=f[q+4>>2];break}else{f[p>>2]=0;kP(l,o);break}}else lD(l,a,-1);while(0);if((h|0)==16)v=(f[l>>2]&7|0)==0?16:8;else v=h;if((g|0)>=32768){f[m>>2]=0;f[m+4>>2]=0;w=YG(m,26)|0;x=291260;y=w+26|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));era(-215,m,291287,1850)}if(i>>>0>=17){f[m>>2]=0;f[m+4>>2]=0;w=YG(m,31)|0;x=291060;y=w+31|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));era(-215,m,291287,1851)}lU(e,m,f[l>>2]&4095,0);e=f[c>>2]|0;x=((e|0)<0)<<31>>31;w=f[c+4>>2]|0;c=((w|0)<0)<<31>>31;y=n;f[y>>2]=e;f[y+4>>2]=x;y=n+8|0;f[y>>2]=w;f[y+4>>2]=c;y=f[d>>2]|0;h=((y|0)<0)<<31>>31;a=n+16|0;f[a>>2]=y;f[a+4>>2]=h;a=n+24|0;f[a>>2]=w;f[a+4>>2]=c;c=f[d+4>>2]|0;d=((c|0)<0)<<31>>31;a=n+32|0;f[a>>2]=y;f[a+4>>2]=h;h=n+40|0;f[h>>2]=c;f[h+4>>2]=d;h=n+48|0;f[h>>2]=e;f[h+4>>2]=x;x=n+56|0;f[x>>2]=c;f[x+4>>2]=d;if((g|0)>-1)ura(l,n,4,1,m,g,v,i);else pra(l,n,4,m,v,i);i=l+36|0;v=f[i>>2]|0;if(v|0?(m=v+12|0,v=f[m>>2]|0,f[m>>2]=v+-1,(v|0)==1):0)lP(l);f[i>>2]=0;i=l+16|0;v=l+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[v>>2]|0)>0){i=f[l+40>>2]|0;m=0;do{f[i+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[v>>2]|0))}v=f[l+44>>2]|0;if((v|0)!=(l+48|0))tE(v);if(!(f[k+4>>2]|0)){u=j;return}u=j;return}function Fra(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;j=u;u=u+144|0;k=j+128|0;l=j+72|0;m=j+32|0;n=j+16|0;o=j;p=j+64|0;zT(k,64904);do if((pD(a)|0)==65536){q=f[a+4>>2]|0;f[l>>2]=f[q>>2];r=l+4|0;s=q+4|0;f[r>>2]=f[s>>2];t=l+8|0;f[t>>2]=f[q+8>>2];f[l+12>>2]=f[q+12>>2];f[l+16>>2]=f[q+16>>2];f[l+20>>2]=f[q+20>>2];f[l+24>>2]=f[q+24>>2];f[l+28>>2]=f[q+28>>2];f[l+32>>2]=f[q+32>>2];v=f[q+36>>2]|0;f[l+36>>2]=v;f[l+40>>2]=t;t=l+48|0;w=l+44|0;f[w>>2]=t;f[t>>2]=0;f[l+52>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[q+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2];break}else{f[r>>2]=0;kP(l,q);break}}else lD(l,a,-1);while(0);if((h|0)==16)x=(f[l>>2]&7|0)==0?16:8;else x=h;if(!((i|0)<17&((g|0)<32768&(i|d|0)>-1))){f[m>>2]=0;f[m+4>>2]=0;h=YG(m,76)|0;a=291379;q=h+76|0;do{b[h>>0]=b[a>>0]|0;h=h+1|0;a=a+1|0}while((h|0)<(q|0));era(-215,m,291456,1896)}lU(e,m,f[l>>2]&4095,0);if((i|0)>0|((g|0)>1|(x|0)!=8)){e=f[c>>2]|0;a=f[c+4>>2]|0;h=16-i|0;i=Qrc(e|0,((e|0)<0)<<31>>31|0,h|0)|0;e=J;q=Qrc(a|0,((a|0)<0)<<31>>31|0,h|0)|0;a=J;r=Qrc(d|0,((d|0)<0)<<31>>31|0,h|0)|0;h=J;s=n;f[s>>2]=i;f[s+4>>2]=e;e=n+8|0;f[e>>2]=q;f[e+4>>2]=a;a=o;f[a>>2]=r;f[a+4>>2]=h;a=o+8|0;f[a>>2]=r;f[a+4>>2]=h;rra(l,n,o,0,0,360,m,g,x)}else{f[p>>2]=f[c>>2];f[p+4>>2]=f[c+4>>2];qra(l,p,d,m,g>>>31)}g=l+36|0;m=f[g>>2]|0;if(m|0?(d=m+12|0,m=f[d>>2]|0,f[d>>2]=m+-1,(m|0)==1):0)lP(l);f[g>>2]=0;g=l+16|0;m=l+4|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[m>>2]|0)>0){g=f[l+40>>2]|0;d=0;do{f[g+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[m>>2]|0))}m=f[l+44>>2]|0;if((m|0)!=(l+48|0))tE(m);if(!(f[k+4>>2]|0)){u=j;return}u=j;return}function Gra(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=+e;g=+g;h=+h;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;m=u;u=u+128|0;n=m+120|0;o=m+64|0;p=m+32|0;q=m+16|0;r=m;zT(n,64924);do if((pD(a)|0)==65536){s=f[a+4>>2]|0;f[o>>2]=f[s>>2];t=o+4|0;v=s+4|0;f[t>>2]=f[v>>2];w=o+8|0;f[w>>2]=f[s+8>>2];f[o+12>>2]=f[s+12>>2];f[o+16>>2]=f[s+16>>2];f[o+20>>2]=f[s+20>>2];f[o+24>>2]=f[s+24>>2];f[o+28>>2]=f[s+28>>2];f[o+32>>2]=f[s+32>>2];x=f[s+36>>2]|0;f[o+36>>2]=x;f[o+40>>2]=w;w=o+48|0;y=o+44|0;f[y>>2]=w;f[w>>2]=0;f[o+52>>2]=0;if(x|0){w=x+12|0;f[w>>2]=(f[w>>2]|0)+1}if((f[v>>2]|0)<3){v=f[s+44>>2]|0;w=f[y>>2]|0;f[w>>2]=f[v>>2];f[w+4>>2]=f[v+4>>2];break}else{f[t>>2]=0;kP(o,s);break}}else lD(o,a,-1);while(0);if((k|0)==16)z=(f[o>>2]&7|0)==0?16:8;else z=k;if((f[d>>2]|0)<=-1){f[p>>2]=0;A=p+4|0;f[A>>2]=0;B=YG(p,100)|0;C=B;D=291540;E=C+100|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));era(-215,p,291641,1928)}k=d+4|0;if(!((l|0)<17&((j|0)<32768?(f[k>>2]|l|0)>-1:0))){f[p>>2]=0;A=p+4|0;f[A>>2]=0;B=YG(p,100)|0;C=B;D=291540;E=C+100|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));era(-215,p,291641,1928)}lU(i,p,f[o>>2]&4095,0);i=V9b(e)|0;D=V9b(g)|0;C=V9b(h)|0;E=f[c>>2]|0;B=f[c+4>>2]|0;c=f[d>>2]|0;d=f[k>>2]|0;k=16-l|0;l=Qrc(E|0,((E|0)<0)<<31>>31|0,k|0)|0;E=J;A=Qrc(B|0,((B|0)<0)<<31>>31|0,k|0)|0;B=J;a=Qrc(c|0,((c|0)<0)<<31>>31|0,k|0)|0;c=J;s=Qrc(d|0,((d|0)<0)<<31>>31|0,k|0)|0;k=q;f[k>>2]=l;f[k+4>>2]=E;E=q+8|0;f[E>>2]=A;f[E+4>>2]=B;B=r;f[B>>2]=a;f[B+4>>2]=c;c=r+8|0;f[c>>2]=s;f[c+4>>2]=J;rra(o,q,r,i,D,C,p,j,z);z=o+36|0;j=f[z>>2]|0;if(j|0?(p=j+12|0,j=f[p>>2]|0,f[p>>2]=j+-1,(j|0)==1):0)lP(o);f[z>>2]=0;z=o+16|0;j=o+4|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[j>>2]|0)>0){z=f[o+40>>2]|0;p=0;do{f[z+(p<<2)>>2]=0;p=p+1|0}while((p|0)<(f[j>>2]|0))}j=f[o+44>>2]|0;if((j|0)!=(o+48|0))tE(j);if(!(f[n+4>>2]|0)){u=m;return}u=m;return}function Hra(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0;h=u;u=u+128|0;i=h+120|0;j=h+64|0;k=h+32|0;l=h+16|0;m=h;zT(i,64944);do if((pD(a)|0)==65536){o=f[a+4>>2]|0;f[j>>2]=f[o>>2];p=j+4|0;q=o+4|0;f[p>>2]=f[q>>2];r=j+8|0;f[r>>2]=f[o+8>>2];f[j+12>>2]=f[o+12>>2];f[j+16>>2]=f[o+16>>2];f[j+20>>2]=f[o+20>>2];f[j+24>>2]=f[o+24>>2];f[j+28>>2]=f[o+28>>2];f[j+32>>2]=f[o+32>>2];s=f[o+36>>2]|0;f[j+36>>2]=s;f[j+40>>2]=r;r=j+48|0;t=j+44|0;f[t>>2]=r;f[r>>2]=0;f[j+52>>2]=0;if(s|0){r=s+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[q>>2]|0)<3){q=f[o+44>>2]|0;r=f[t>>2]|0;f[r>>2]=f[q>>2];f[r+4>>2]=f[q+4>>2];break}else{f[p>>2]=0;kP(j,o);break}}else lD(j,a,-1);while(0);if((g|0)==16)v=(f[j>>2]&7|0)==0?16:8;else v=g;g=c+8|0;if(!(+n[g>>2]>=0.0)){f[k>>2]=0;w=k+4|0;f[w>>2]=0;x=YG(k,73)|0;y=x;z=291752;A=y+73|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));era(-215,k,291641,1958)}a=c+12|0;if(!((e|0)<32768&+n[a>>2]>=0.0)){f[k>>2]=0;w=k+4|0;f[w>>2]=0;x=YG(k,73)|0;y=x;z=291752;A=y+73|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));era(-215,k,291641,1958)}lU(d,k,f[j>>2]&4095,0);d=U9b(+n[c+16>>2])|0;B=+n[c>>2];z=U9b(B)|0;C=+n[c+4>>2];c=U9b(C)|0;y=Qrc(z|0,((z|0)<0)<<31>>31|0,16)|0;A=J;x=U9b((B-+(z|0))*65536.0)|0;z=Arc(x|0,((x|0)<0)<<31>>31|0,y|0,A|0)|0;A=J;y=Qrc(c|0,((c|0)<0)<<31>>31|0,16)|0;x=J;w=U9b((C-+(c|0))*65536.0)|0;c=Arc(w|0,((w|0)<0)<<31>>31|0,y|0,x|0)|0;x=J;C=+n[g>>2];g=U9b(C)|0;B=+n[a>>2];a=U9b(B)|0;y=Qrc(g|0,((g|0)<0)<<31>>31|0,15)|0;w=J;o=U9b((C-+(g|0))*32768.0)|0;g=Arc(o|0,((o|0)<0)<<31>>31|0,y|0,w|0)|0;w=J;y=Qrc(a|0,((a|0)<0)<<31>>31|0,15)|0;o=J;p=U9b((B-+(a|0))*32768.0)|0;a=Arc(p|0,((p|0)<0)<<31>>31|0,y|0,o|0)|0;o=l;f[o>>2]=z;f[o+4>>2]=A;A=l+8|0;f[A>>2]=c;f[A+4>>2]=x;x=m;f[x>>2]=g;f[x+4>>2]=w;w=m+8|0;f[w>>2]=a;f[w+4>>2]=J;rra(j,l,m,d,0,360,k,e,v);v=j+36|0;e=f[v>>2]|0;if(e|0?(k=e+12|0,e=f[k>>2]|0,f[k>>2]=e+-1,(e|0)==1):0)lP(j);f[v>>2]=0;v=j+16|0;e=j+4|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[e>>2]|0)>0){v=f[j+40>>2]|0;k=0;do{f[v+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[e>>2]|0))}e=f[j+44>>2]|0;if((e|0)!=(j+48|0))tE(e);if(!(f[i+4>>2]|0)){u=h;return}u=h;return}function Ira(a,c,d,e,g,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=+g;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0;m=u;u=u+128|0;n=m+16|0;o=m+120|0;p=m+64|0;q=m+48|0;r=m;zT(o,64964);s=c+4|0;if(f[s>>2]|0){do if((pD(a)|0)==65536){t=f[a+4>>2]|0;f[p>>2]=f[t>>2];v=p+4|0;w=t+4|0;f[v>>2]=f[w>>2];x=p+8|0;f[x>>2]=f[t+8>>2];f[p+12>>2]=f[t+12>>2];f[p+16>>2]=f[t+16>>2];f[p+20>>2]=f[t+20>>2];f[p+24>>2]=f[t+24>>2];f[p+28>>2]=f[t+28>>2];f[p+32>>2]=f[t+32>>2];y=f[t+36>>2]|0;f[p+36>>2]=y;f[p+40>>2]=x;x=p+48|0;z=p+44|0;f[z>>2]=x;f[x>>2]=0;f[p+52>>2]=0;if(y|0){x=y+12|0;f[x>>2]=(f[x>>2]|0)+1}if((f[w>>2]|0)<3){w=f[t+44>>2]|0;x=f[z>>2]|0;f[x>>2]=f[w>>2];f[x+4>>2]=f[w+4>>2];break}else{f[v>>2]=0;kP(p,t);break}}else lD(p,a,-1);while(0);a=(e&16|0)!=0;switch(e&15){case 0:{A=69464;break}case 1:{A=a?64984:65368;break}case 2:{A=69080;break}case 3:{A=a?65752:66136;break}case 4:{A=a?66776:67160;break}case 5:{A=a?67544:67928;break}case 6:{A=68696;break}case 7:{A=68312;break}default:{f[n>>2]=0;f[n+4>>2]=0;a=YG(n,17)|0;t=291912;v=a+17|0;do{b[a>>0]=b[t>>0]|0;a=a+1|0;t=t+1|0}while((a|0)<(v|0));era(-211,n,291930,2212)}}lU(i,n,f[p>>2]&4095,0);i=0-(f[A>>2]&15)|0;t=V9b(g*65536.0)|0;if((k|0)==16)B=(f[p>>2]&7|0)==0?16:8;else B=k;k=l?0-t|0:t;l=f[d>>2]|0;a=Qrc(l|0,((l|0)<0)<<31>>31|0,16)|0;l=J;v=f[d+4>>2]|0;d=Qrc(v|0,((v|0)<0)<<31>>31|0,16)|0;v=Y(k,i)|0;i=Arc(d|0,J|0,v|0,((v|0)<0)<<31>>31|0)|0;v=J;f[q>>2]=0;d=q+4|0;f[d>>2]=0;f[q+8>>2]=0;w=q+8|0;x=Bmc(16384)|0;z=x;f[q>>2]=z;f[d>>2]=z;f[w>>2]=x+16384;if((f[s>>2]|0)>0){z=(e|0)==3;e=((t|0)<0)<<31>>31;y=((k|0)<0)<<31>>31;C=r+8|0;D=a;a=l;l=0;while(1){E=f[c>>2]|0;F=b[E+l>>0]|0;G=F&255;a:do if(z&F<<24>>24<0){switch(F<<24>>24){case -48:{H=l+1|0;I=b[E+H>>0]|0;if((I+112&255)<48){K=175;L=(I&255)+-17|0;M=127;N=H;break a}else{O=I;P=H}break}case -47:{H=l+1|0;I=b[E+H>>0]|0;if(I<<24>>24<0&(I&255)<144){K=191;L=(I&255)+47|0;M=175;N=H;break a}else{O=I;P=H}break}default:{if((F&255)<=191){K=127;L=63;M=32;N=l;break a}H=l+1|0;I=(b[E+H>>0]|0)==0?l:H;if((F&255)<=223){K=127;L=63;M=32;N=I;break a}H=I+1|0;Q=(b[E+H>>0]|0)==0?I:H;if((F&255)<=239){K=127;L=63;M=32;N=Q;break a}H=Q+1|0;I=(b[E+H>>0]|0)==0?Q:H;if((F&255)<=247){K=127;L=63;M=32;N=I;break a}H=I+1|0;Q=(b[E+H>>0]|0)==0?I:H;if((F&255)<=251){K=127;L=63;M=32;N=Q;break a}H=Q+1|0;K=127;L=63;M=32;N=(b[E+H>>0]|0)==0?Q:H;break a}}K=127;L=63;M=32;N=O<<24>>24==0?l:P}else{K=127;L=G;M=32;N=l}while(0);G=f[70624+(f[A+(((L|0)<(M|0)|(L|0)>=(K|0)?32:L+-31|0)<<2)>>2]<<2)>>2]|0;E=(h[G>>0]|0)+-82|0;F=(h[G+1>>0]|0)+-82|0;H=Urc(F|0,((F|0)<0)<<31>>31|0,t|0,e|0)|0;F=J;Q=Urc(E|0,((E|0)<0)<<31>>31|0,t|0,e|0)|0;E=zrc(D|0,a|0,Q|0,J|0)|0;Q=J;I=f[d>>2]|0;R=f[q>>2]|0;S=I;if(!((I|0)==(R|0)|(S|0)==(R|0)))f[d>>2]=S+(~((S+-16-R|0)>>>4)<<4);R=G+2|0;b:while(1){G=b[R>>0]|0;switch(G<<24>>24){case 0:case 32:break;default:{S=(G&255)+-82|0;I=(h[R+1>>0]|0)+-82|0;T=Arc(Urc(S|0,((S|0)<0)<<31>>31|0,t|0,e|0)|0,J|0,E|0,Q|0)|0;S=J;U=Arc(i|0,v|0,Urc(I|0,((I|0)<0)<<31>>31|0,k|0,y|0)|0,J|0)|0;I=J;V=r;f[V>>2]=T;f[V+4>>2]=S;V=C;f[V>>2]=U;f[V+4>>2]=I;V=f[d>>2]|0;if((V|0)==(f[w>>2]|0))sra(q,r);else{W=V;f[W>>2]=T;f[W+4>>2]=S;S=V+8|0;f[S>>2]=U;f[S+4>>2]=I;f[d>>2]=V+16}R=R+2|0;continue b}}V=f[q>>2]|0;I=(f[d>>2]|0)-V>>4;if(I>>>0>1){ura(p,V,I,0,n,j,B,16);X=b[R>>0]|0}else X=G;if(!(X<<24>>24))break;G=R+1|0;I=f[d>>2]|0;V=f[q>>2]|0;S=I;if((I|0)==(V|0)|(S|0)==(V|0)){R=G;continue}f[d>>2]=S+(~((S+-16-V|0)>>>4)<<4);R=G}D=Arc(E|0,Q|0,H|0,F|0)|0;l=N+1|0;if((l|0)>=(f[s>>2]|0))break;else a=J}a=f[q>>2]|0;if(a|0){Z=a;_=a;$=23}}else{Z=x;_=x;$=23}if(($|0)==23){$=f[d>>2]|0;if(($|0)!=(Z|0))f[d>>2]=$+(~(($+-16-Z|0)>>>4)<<4);Emc(_)}_=p+36|0;Z=f[_>>2]|0;if(Z|0?($=Z+12|0,Z=f[$>>2]|0,f[$>>2]=Z+-1,(Z|0)==1):0)lP(p);f[_>>2]=0;_=p+16|0;Z=p+4|0;f[_>>2]=0;f[_+4>>2]=0;f[_+8>>2]=0;f[_+12>>2]=0;if((f[Z>>2]|0)>0){_=f[p+40>>2]|0;$=0;do{f[_+($<<2)>>2]=0;$=$+1|0}while(($|0)<(f[Z>>2]|0))}Z=f[p+44>>2]|0;if((Z|0)!=(p+48|0))tE(Z)}if(!(f[o+4>>2]|0)){u=m;return}u=m;return}function Jra(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0.0,ma=0.0,na=0.0,oa=0.0;l=u;u=u+368|0;m=l+312|0;n=l+96|0;o=l+64|0;q=l+304|0;r=l+248|0;s=l+192|0;t=l+160|0;v=l+148|0;w=l+136|0;x=l+32|0;y=l;z=l+128|0;zT(q,69848);do if((pD(a)|0)==65536){A=f[a+4>>2]|0;f[r>>2]=f[A>>2];B=r+4|0;C=A+4|0;f[B>>2]=f[C>>2];D=r+8|0;f[D>>2]=f[A+8>>2];f[r+12>>2]=f[A+12>>2];f[r+16>>2]=f[A+16>>2];f[r+20>>2]=f[A+20>>2];f[r+24>>2]=f[A+24>>2];f[r+28>>2]=f[A+28>>2];f[r+32>>2]=f[A+32>>2];E=f[A+36>>2]|0;f[r+36>>2]=E;f[r+40>>2]=D;D=r+48|0;F=r+44|0;f[F>>2]=D;f[D>>2]=0;f[r+52>>2]=0;if(E|0){D=E+12|0;f[D>>2]=(f[D>>2]|0)+1}if((f[C>>2]|0)<3){C=f[A+44>>2]|0;D=f[F>>2]|0;f[D>>2]=f[C>>2];f[D+4>>2]=f[C+4>>2];break}else{f[B>>2]=0;kP(r,A);break}}else lD(r,a,-1);while(0);do if((pD(i)|0)==65536){a=f[i+4>>2]|0;f[s>>2]=f[a>>2];A=s+4|0;B=a+4|0;f[A>>2]=f[B>>2];C=s+8|0;f[C>>2]=f[a+8>>2];f[s+12>>2]=f[a+12>>2];f[s+16>>2]=f[a+16>>2];f[s+20>>2]=f[a+20>>2];f[s+24>>2]=f[a+24>>2];f[s+28>>2]=f[a+28>>2];f[s+32>>2]=f[a+32>>2];D=f[a+36>>2]|0;f[s+36>>2]=D;f[s+40>>2]=C;C=s+48|0;F=s+44|0;f[F>>2]=C;f[C>>2]=0;f[s+52>>2]=0;if(D|0){C=D+12|0;f[C>>2]=(f[C>>2]|0)+1}if((f[B>>2]|0)<3){B=f[a+44>>2]|0;C=f[F>>2]|0;f[C>>2]=f[B>>2];f[C+4>>2]=f[B+4>>2];break}else{f[A>>2]=0;kP(s,a);break}}else lD(s,i,-1);while(0);i=f[r+8>>2]|0;a=r+4|0;A=(f[a>>2]|0)==1?1:f[r+12>>2]|0;B=f[r>>2]|0;C=r+16|0;F=f[C>>2]|0;f[t+8>>2]=0;f[t+12>>2]=0;f[t+16>>2]=F;f[t+20>>2]=i;f[t+24>>2]=A;A=r+44|0;f[t+4>>2]=f[f[A>>2]>>2];f[t>>2]=B&20479|1111621632;B=AD(c,-1)|0;f[v>>2]=0;i=v+4|0;f[i>>2]=0;f[v+8>>2]=0;f[w>>2]=0;F=w+4|0;f[F>>2]=0;f[w+8>>2]=0;if(B|0){Kra(v,B);D=f[F>>2]|0;E=f[w>>2]|0;G=(D-E|0)/20|0;H=E;E=D;if(B>>>0<=G>>>0){if(B>>>0<G>>>0?(D=H+(B*20|0)|0,(E|0)!=(D|0)):0)f[F>>2]=E+(~(((E+-20-D|0)>>>0)/20|0)*20|0)}else Lra(w,B-G|0);G=f[v>>2]|0;D=0;do{f[G+(D*56|0)+52>>2]=0;D=D+1|0}while((D|0)!=(B|0));D=(d|0)>-1;do if(D)if((B|0)>(d|0)){I=d;J=d+1|0;K=28;break}else{f[m>>2]=0;f[m+4>>2]=0;L=YG(m,41)|0;M=292041;N=L+41|0;do{b[L>>0]=b[M>>0]|0;L=L+1|0;M=M+1|0}while((L|0)<(N|0));era(-215,m,292083,2500)}else if(!B){O=0;P=B;Q=0}else{I=0;J=B;K=28}while(0);a:do if((K|0)==28){d=c+4|0;G=m+4|0;E=m+8|0;H=m+12|0;R=m+16|0;S=m+20|0;T=m+24|0;U=m+28|0;V=m+32|0;W=m+36|0;X=m+40|0;Z=m+48|0;_=m+44|0;$=m+52|0;aa=I;while(1){do if((aa|0)<0&(pD(c)|0)==65536){ba=f[d>>2]|0;f[m>>2]=f[ba>>2];ca=ba+4|0;f[G>>2]=f[ca>>2];f[E>>2]=f[ba+8>>2];f[H>>2]=f[ba+12>>2];f[R>>2]=f[ba+16>>2];f[S>>2]=f[ba+20>>2];f[T>>2]=f[ba+24>>2];f[U>>2]=f[ba+28>>2];f[V>>2]=f[ba+32>>2];da=f[ba+36>>2]|0;f[W>>2]=da;f[X>>2]=E;f[_>>2]=Z;f[Z>>2]=0;f[$>>2]=0;if(da|0){ea=da+12|0;f[ea>>2]=(f[ea>>2]|0)+1}if((f[ca>>2]|0)<3){ca=f[ba+44>>2]|0;ea=f[_>>2]|0;f[ea>>2]=f[ca>>2];f[ea+4>>2]=f[ca+4>>2];break}else{f[G>>2]=0;kP(m,ba);break}}else lD(m,c,aa);while(0);if(f[R>>2]|0){ba=f[G>>2]|0;if((ba|0)<3)fa=Y(f[H>>2]|0,f[E>>2]|0)|0;else{ca=f[X>>2]|0;ea=0;da=1;while(1){ga=Y(f[ca+(ea<<2)>>2]|0,da)|0;ea=ea+1|0;if((ea|0)==(ba|0)){fa=ga;break}else da=ga}}if(!((ba|0)==0|(fa|0)==0)){da=BP(m,2,4,1)|0;if((da|0)<=0)break;fW(20492,56,8,f[R>>2]|0,da,(f[v>>2]|0)+(aa*56|0)|0,(f[w>>2]|0)+(aa*20|0)|0)|0}}da=f[W>>2]|0;if(da|0?(ea=da+12|0,da=f[ea>>2]|0,f[ea>>2]=da+-1,(da|0)==1):0)lP(m);f[W>>2]=0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((f[G>>2]|0)>0){da=f[X>>2]|0;ea=0;do{f[da+(ea<<2)>>2]=0;ea=ea+1|0}while((ea|0)<(f[G>>2]|0))}ea=f[_>>2]|0;if((ea|0)!=(Z|0))tE(ea);aa=aa+1|0;if(aa>>>0>=J>>>0){O=I;P=J;Q=1;break a}}f[n>>2]=0;f[n+4>>2]=0;L=YG(n,11)|0;M=292096;N=L+11|0;do{b[L>>0]=b[M>>0]|0;L=L+1|0;M=M+1|0}while((L|0)<(N|0));era(-215,n,292083,2511)}while(0);J=f[s+16>>2]|0;do if(J){I=f[s+4>>2]|0;fa=(I|0)<3;if(fa)ha=Y(f[s+12>>2]|0,f[s+8>>2]|0)|0;else{aa=f[s+40>>2]|0;Z=0;_=1;while(1){G=Y(f[aa+(Z<<2)>>2]|0,_)|0;Z=Z+1|0;if((Z|0)==(I|0)){ha=G;break}else _=G}}if(!((j|0)==0|((I|0)==0|(ha|0)==0))){_=P-O|0;if(fa)ia=Y(f[s+12>>2]|0,f[s+8>>2]|0)|0;else{Z=f[s+40>>2]|0;aa=0;G=1;while(1){X=Y(f[Z+(aa<<2)>>2]|0,G)|0;aa=aa+1|0;if((aa|0)==(I|0)){ia=X;break}else G=X}}if((ia|0)!=(B|0)){f[m>>2]=0;ja=m+4|0;f[ja>>2]=0;ka=YG(m,62)|0;L=ka;M=292108;N=L+62|0;do{b[L>>0]=b[M>>0]|0;L=L+1|0;M=M+1|0}while((L|0)<(N|0));era(-215,m,292083,2525)}if((f[s>>2]&4095|0)!=28){f[m>>2]=0;ja=m+4|0;f[ja>>2]=0;ka=YG(m,62)|0;L=ka;M=292108;N=L+62|0;do{b[L>>0]=b[M>>0]|0;L=L+1|0;M=M+1|0}while((L|0)<(N|0));era(-215,m,292083,2525)}if((_|0)!=(B|0)){G=f[J+(O<<4)+8>>2]|0;if((G|0)<=-1)break;Mra(c,B,J,G,v,w);I=f[v>>2]|0;f[I+(O*56|0)+20>>2]=I+(G*56|0);break}if(Q){G=f[v>>2]|0;I=O;do{aa=f[J+(I<<4)>>2]|0;Z=f[J+(I<<4)+4>>2]|0;fa=f[J+(I<<4)+8>>2]|0;X=f[J+(I<<4)+12>>2]|0;f[G+(I*56|0)+12>>2]=aa>>>0<B>>>0?G+(aa*56|0)|0:0;f[G+(I*56|0)+8>>2]=Z>>>0<B>>>0?G+(Z*56|0)|0:0;f[G+(I*56|0)+20>>2]=fa>>>0<B>>>0?G+(fa*56|0)|0:0;f[G+(I*56|0)+16>>2]=X>>>0<B>>>0?G+(X*56|0)|0:0;I=I+1|0}while((I|0)!=(P|0))}}else K=60}else K=60;while(0);if((K|0)==60?Q:0){Q=P+-1|0;K=f[v>>2]|0;B=O;do{J=B;B=B+1|0;f[K+(J*56|0)+12>>2]=J>>>0<Q>>>0?K+(B*56|0)|0:0;f[K+(J*56|0)+8>>2]=J>>>0>O>>>0?K+((J+-1|0)*56|0)|0:0}while((B|0)!=(P|0))}P=(f[v>>2]|0)+(O*56|0)|0;la=+p[e>>3];p[x>>3]=la;ma=+p[e+8>>3];p[x+8>>3]=ma;na=+p[e+16>>3];p[x+16>>3]=na;oa=+p[e+24>>3];p[x+24>>3]=oa;p[y>>3]=la;p[y+8>>3]=ma;p[y+16>>3]=na;p[y+24>>3]=oa;e=f[k+4>>2]|0;f[z>>2]=f[k>>2];f[z+4>>2]=e;f[o>>2]=f[x>>2];f[o+4>>2]=f[x+4>>2];f[o+8>>2]=f[x+8>>2];f[o+12>>2]=f[x+12>>2];f[o+16>>2]=f[x+16>>2];f[o+20>>2]=f[x+20>>2];f[o+24>>2]=f[x+24>>2];f[o+28>>2]=f[x+28>>2];f[n>>2]=f[y>>2];f[n+4>>2]=f[y+4>>2];f[n+8>>2]=f[y+8>>2];f[n+12>>2]=f[y+12>>2];f[n+16>>2]=f[y+16>>2];f[n+20>>2]=f[y+20>>2];f[n+24>>2]=f[y+24>>2];f[n+28>>2]=f[y+28>>2];f[m>>2]=f[z>>2];f[m+4>>2]=f[z+4>>2];Nra(t,P,o,n,D?0-j|0:j,g,h,m);m=f[w>>2]|0;if(m|0){w=f[F>>2]|0;if((w|0)!=(m|0))f[F>>2]=w+(~(((w+-20-m|0)>>>0)/20|0)*20|0);Emc(m)}}m=f[v>>2]|0;if(m|0){v=f[i>>2]|0;if((v|0)!=(m|0))f[i>>2]=v+(~(((v+-56-m|0)>>>0)/56|0)*56|0);Emc(m)}m=s+36|0;v=f[m>>2]|0;if(v|0?(i=v+12|0,v=f[i>>2]|0,f[i>>2]=v+-1,(v|0)==1):0)lP(s);f[m>>2]=0;m=s+16|0;v=s+4|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[v>>2]|0)>0){m=f[s+40>>2]|0;i=0;do{f[m+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[v>>2]|0))}v=f[s+44>>2]|0;if((v|0)!=(s+48|0))tE(v);v=r+36|0;s=f[v>>2]|0;if(s|0?(i=s+12|0,s=f[i>>2]|0,f[i>>2]=s+-1,(s|0)==1):0)lP(r);f[v>>2]=0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[a>>2]|0)>0){C=f[r+40>>2]|0;v=0;do{f[C+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[a>>2]|0))}a=f[A>>2]|0;if((a|0)!=(r+48|0))tE(a);if(!(f[q+4>>2]|0)){u=l;return}u=l;return}function Kra(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/56|0)>>>0>=b>>>0){h=b;i=g;do{j=i;k=j+56|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));i=(f[e>>2]|0)+56|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/56|0;g=i+b|0;if(g>>>0>76695844)Ukc(a);l=(d-h|0)/56|0;h=l<<1;d=l>>>0<38347922?(h>>>0<g>>>0?g:h):76695844;do if(d)if(d>>>0>76695844){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{m=Bmc(d*56|0)|0;break}else m=0;while(0);h=m+(i*56|0)|0;i=m+(d*56|0)|0;d=b;b=h;m=h;do{j=b;k=j+56|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));b=m+56|0;m=b;d=d+-1|0}while((d|0)!=0);d=f[a>>2]|0;b=(f[e>>2]|0)-d|0;j=h+(((b|0)/-56|0)*56|0)|0;if((b|0)>0)Krc(j|0,d|0,b|0)|0;f[a>>2]=j;f[e>>2]=m;f[c>>2]=i;if(!d)return;Emc(d);return}function Lra(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(((d-g|0)/20|0)>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;i=(f[e>>2]|0)+20|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=(g-h|0)/20|0;g=i+b|0;if(g>>>0>214748364)Ukc(a);j=(d-h|0)/20|0;h=j<<1;d=j>>>0<107374182?(h>>>0<g>>>0?g:h):214748364;do if(d)if(d>>>0>214748364){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{k=Bmc(d*20|0)|0;break}else k=0;while(0);h=k+(i*20|0)|0;i=k+(d*20|0)|0;d=b;b=h;k=h;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;b=k+20|0;k=b;d=d+-1|0}while((d|0)!=0);d=f[a>>2]|0;b=(f[e>>2]|0)-d|0;g=h+(((b|0)/-20|0)*20|0)|0;if((b|0)>0)Krc(g|0,d|0,b|0)|0;f[a>>2]=g;f[e>>2]=k;f[c>>2]=i;if(!d)return;Emc(d);return}function Mra(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;h=u;u=u+64|0;i=h;if((d|0)<=-1){u=h;return}j=i+16|0;k=i+4|0;l=i+8|0;m=i+12|0;n=i+36|0;o=i+40|0;p=i+44|0;q=i+48|0;r=d;do{lD(i,a,r);d=f[j>>2]|0;s=f[k>>2]|0;if(!d)t=0;else{if((s|0)<3)v=Y(f[m>>2]|0,f[l>>2]|0)|0;else{w=f[o>>2]|0;x=0;y=1;while(1){z=Y(f[w+(x<<2)>>2]|0,y)|0;x=x+1|0;if((x|0)==(s|0)){v=z;break}else y=z}}t=(s|0)==0|(v|0)==0?0:d}if((s|0)<3)A=Y(f[m>>2]|0,f[l>>2]|0)|0;else{y=f[o>>2]|0;x=0;w=1;while(1){z=Y(f[y+(x<<2)>>2]|0,w)|0;x=x+1|0;if((x|0)==(s|0)){A=z;break}else w=z}}fW(20492,56,8,t,A,(f[e>>2]|0)+(r*56|0)|0,(f[g>>2]|0)+(r*20|0)|0)|0;w=c+(r<<4)|0;s=f[w>>2]|0;x=f[c+(r<<4)+4>>2]|0;y=f[c+(r<<4)+8>>2]|0;d=f[c+(r<<4)+12>>2]|0;z=f[e>>2]|0;f[z+(r*56|0)+12>>2]=(s|0)>-1&(s|0)<(b|0)?z+(s*56|0)|0:0;s=f[e>>2]|0;f[s+(r*56|0)+8>>2]=(x|0)>-1&(x|0)<(b|0)?s+(x*56|0)|0:0;x=(y|0)>-1;s=f[e>>2]|0;f[s+(r*56|0)+20>>2]=x&(y|0)<(b|0)?s+(y*56|0)|0:0;s=f[e>>2]|0;f[s+(r*56|0)+16>>2]=(d|0)>-1&(d|0)<(b|0)?s+(d*56|0)|0:0;if(x)Mra(a,b,c,y,e,g);y=f[n>>2]|0;if(y|0?(x=y+12|0,y=f[x>>2]|0,f[x>>2]=y+-1,(y|0)==1):0)lP(i);f[n>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[k>>2]|0)>0){y=f[o>>2]|0;x=0;do{f[y+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[k>>2]|0))}x=f[p>>2]|0;if((x|0)!=(q|0))tE(x);r=f[w>>2]|0}while((r|0)>-1);u=h;return}function Nra(a,c,d,e,g,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0;l=u;u=u+384|0;m=l+368|0;n=l+356|0;o=l+344|0;q=l+208|0;r=l+176|0;s=l+288|0;t=l+144|0;v=l+112|0;w=l+256|0;x=l+80|0;y=l+96|0;z=l+64|0;A=l+48|0;B=l+32|0;C=l+248|0;D=l+16|0;E=l;F=l+240|0;f[n>>2]=0;G=n+4|0;f[G>>2]=0;f[n+8>>2]=0;f[o>>2]=0;H=o+4|0;f[H>>2]=0;f[o+8>>2]=0;I=+p[d+8>>3];J=+p[d+16>>3];K=+p[d+24>>3];p[q>>3]=+p[d>>3];p[q+8>>3]=I;p[q+16>>3]=J;p[q+24>>3]=K;K=+p[e+8>>3];J=+p[e+16>>3];I=+p[e+24>>3];p[r>>3]=+p[e>>3];p[r+8>>3]=K;p[r+16>>3]=J;p[r+24>>3]=I;mU(s,a,0,1,0,0);a=f[k>>2]|0;e=f[k+4>>2]|0;if((j|0)==16)L=(f[s>>2]&7|0)==0?16:8;else L=j;do if(c|0){if((i|0)>=32768){f[w>>2]=0;f[w+4>>2]=0;M=YG(w,26)|0;N=291260;O=M+26|0;do{b[M>>0]=b[N>>0]|0;M=M+1|0;N=N+1|0}while((M|0)<(O|0));era(-215,w,292171,2584)}lU(q,t,f[s>>2]&4095,0);lU(r,v,f[s>>2]&4095,0);j=(g|0)>-2147483646?g:-2147483646;k=(j|0)==2147483647?2147483646:j;j=c+12|0;if((k|0)<0){d=f[j>>2]|0;f[j>>2]=0;P=1-k|0;Q=d}else{P=k;Q=0}CW(m,c,P);k=w+12|0;d=(i|0)<0;R=w+20|0;S=x+8|0;T=o+8|0;U=(i|0)>-1;V=D+8|0;W=E+8|0;X=x+8|0;Y=F+4|0;Z=y+8|0;_=z+8|0;$=x+8|0;aa=A+8|0;ba=B+8|0;ca=C+4|0;a:while(1){da=DW(m)|0;if(!da){ea=61;break}fa=f[da+24>>2]|0;ga=f[da>>2]|0;ha=ga&4095;ia=(ga&32768|0)==0?t:v;eW(da,w,0);ga=f[k>>2]|0;if(!ga){ea=11;break}if(d?(ja=f[H>>2]|0,ka=f[o>>2]|0,la=ja,!((ja|0)==(ka|0)|(la|0)==(ka|0))):0)f[H>>2]=la+(~((la+-16-ka|0)>>>4)<<4);ka=f[da>>2]|0;do if((ka&12288|0)==4096){if(!((ka&16384|0)==0?1:(f[da+28>>2]|0)!=1)){la=da+56|0;ja=f[la>>2]|0;ma=da+60|0;na=f[ma>>2]|0;oa=b[ga>>0]|0;pa=ja+a|0;qa=na+e|0;b:do if((fa|0)>0){if(U){ra=oa;sa=0;ta=pa;ua=ja;va=na;wa=qa;xa=ga;while(1){ya=b[xa>>0]|0;za=xa+1|0;f[k>>2]=za;if(za>>>0>=(f[R>>2]|0)>>>0)mW(w,1);za=ya<<24>>24;if(ya<<24>>24==ra<<24>>24){Aa=ra;Ba=ta;Ca=wa}else{Da=y;f[Da>>2]=ta;f[Da+4>>2]=((ta|0)<0)<<31>>31;Da=Z;f[Da>>2]=wa;f[Da+4>>2]=((wa|0)<0)<<31>>31;Da=z;f[Da>>2]=ua;f[Da+4>>2]=((ua|0)<0)<<31>>31;Da=_;f[Da>>2]=va;f[Da+4>>2]=((va|0)<0)<<31>>31;lra(s,y,z,ia,i,L,2,0);Aa=ya;Ba=ua;Ca=va}ya=sa+1|0;if((ya|0)>=(fa|0)){Ea=Ba;Fa=Ca;break b}ra=Aa;sa=ya;ta=Ba;ua=(f[69868+(za<<3)>>2]|0)+ua|0;va=(f[69868+(za<<3)+4>>2]|0)+va|0;wa=Ca;xa=f[k>>2]|0}}else{Ga=oa;Ha=0;Ia=pa;Ja=ja;Ka=na;La=qa;Ma=ga}while(1){xa=b[Ma>>0]|0;wa=Ma+1|0;f[k>>2]=wa;if(wa>>>0>=(f[R>>2]|0)>>>0)mW(w,1);wa=xa<<24>>24;if(xa<<24>>24==Ga<<24>>24){Na=Ga;Oa=Ia;Pa=La}else{va=((Ja|0)<0)<<31>>31;ua=((Ka|0)<0)<<31>>31;ta=x;f[ta>>2]=Ja;f[ta+4>>2]=va;ta=$;f[ta>>2]=Ka;f[ta+4>>2]=ua;ta=f[H>>2]|0;if((ta|0)==(f[T>>2]|0))sra(o,x);else{sa=ta;f[sa>>2]=Ja;f[sa+4>>2]=va;va=ta+8|0;f[va>>2]=Ka;f[va+4>>2]=ua;f[H>>2]=ta+16}Na=xa;Oa=Ja;Pa=Ka}xa=Ha+1|0;if((xa|0)>=(fa|0)){Ea=Oa;Fa=Pa;break b}Ga=Na;Ha=xa;Ia=Oa;Ja=(f[69868+(wa<<3)>>2]|0)+Ja|0;Ka=(f[69868+(wa<<3)+4>>2]|0)+Ka|0;La=Pa;Ma=f[k>>2]|0}}else{Ea=pa;Fa=qa}while(0);if(U){qa=A;f[qa>>2]=Ea;f[qa+4>>2]=((Ea|0)<0)<<31>>31;qa=aa;f[qa>>2]=Fa;f[qa+4>>2]=((Fa|0)<0)<<31>>31;qa=(f[la>>2]|0)+a|0;pa=(f[ma>>2]|0)+e|0;na=B;f[na>>2]=qa;f[na+4>>2]=((qa|0)<0)<<31>>31;qa=ba;f[qa>>2]=pa;f[qa+4>>2]=((pa|0)<0)<<31>>31;lra(s,A,B,ia,i,L,2,0);break}else{pa=f[o>>2]|0;qa=(f[H>>2]|0)-pa>>4;f[C>>2]=a;f[ca>>2]=e;vra(s,pa,qa,n,t,L,0,C);break}}if((ka&4094|0)==12){if((ha|0)!=12){ea=39;break a}qa=fa-(ka>>>14&1^1)|0;pa=ga;na=pa;ja=h[na>>0]|h[na+1>>0]<<8|h[na+2>>0]<<16|h[na+3>>0]<<24;na=pa+4|0;pa=h[na>>0]|h[na+1>>0]<<8|h[na+2>>0]<<16|h[na+3>>0]<<24;na=ga+8|0;f[k>>2]=na;if(na>>>0>=(f[R>>2]|0)>>>0)mW(w,1);na=ja+a|0;ja=pa+e|0;if(d){pa=((na|0)<0)<<31>>31;oa=((ja|0)<0)<<31>>31;wa=x;f[wa>>2]=na;f[wa+4>>2]=pa;wa=S;f[wa>>2]=ja;f[wa+4>>2]=oa;wa=f[H>>2]|0;if((wa|0)==(f[T>>2]|0))sra(o,x);else{xa=wa;f[xa>>2]=na;f[xa+4>>2]=pa;pa=wa+8|0;f[pa>>2]=ja;f[pa+4>>2]=oa;f[H>>2]=wa+16}}c:do if((qa|0)>0){if(U){wa=0;oa=na;pa=ja;while(1){xa=f[k>>2]|0;ta=xa;ua=ta;va=h[ua>>0]|h[ua+1>>0]<<8|h[ua+2>>0]<<16|h[ua+3>>0]<<24;ua=ta+4|0;ta=h[ua>>0]|h[ua+1>>0]<<8|h[ua+2>>0]<<16|h[ua+3>>0]<<24;ua=xa+8|0;f[k>>2]=ua;if(ua>>>0>=(f[R>>2]|0)>>>0)mW(w,1);ua=oa;oa=va+a|0;va=D;f[va>>2]=ua;f[va+4>>2]=((ua|0)<0)<<31>>31;ua=V;f[ua>>2]=pa;f[ua+4>>2]=((pa|0)<0)<<31>>31;pa=ta+e|0;ta=E;f[ta>>2]=oa;f[ta+4>>2]=((oa|0)<0)<<31>>31;ta=W;f[ta>>2]=pa;f[ta+4>>2]=((pa|0)<0)<<31>>31;lra(s,D,E,ia,i,L,2,0);wa=wa+1|0;if((wa|0)>=(qa|0))break c}}else Qa=0;do{wa=f[k>>2]|0;pa=wa;oa=pa;ta=h[oa>>0]|h[oa+1>>0]<<8|h[oa+2>>0]<<16|h[oa+3>>0]<<24;oa=pa+4|0;pa=h[oa>>0]|h[oa+1>>0]<<8|h[oa+2>>0]<<16|h[oa+3>>0]<<24;oa=wa+8|0;f[k>>2]=oa;if(oa>>>0>=(f[R>>2]|0)>>>0)mW(w,1);oa=ta+a|0;ta=pa+e|0;pa=((oa|0)<0)<<31>>31;wa=((ta|0)<0)<<31>>31;ua=x;f[ua>>2]=oa;f[ua+4>>2]=pa;ua=X;f[ua>>2]=ta;f[ua+4>>2]=wa;ua=f[H>>2]|0;if((ua|0)==(f[T>>2]|0))sra(o,x);else{va=ua;f[va>>2]=oa;f[va+4>>2]=pa;pa=ua+8|0;f[pa>>2]=ta;f[pa+4>>2]=wa;f[H>>2]=ua+16}Qa=Qa+1|0}while((Qa|0)<(qa|0))}while(0);if(d){qa=f[o>>2]|0;ja=(f[H>>2]|0)-qa>>4;f[F>>2]=0;f[Y>>2]=0;vra(s,qa,ja,n,t,L,0,F)}}}while(0)}if((ea|0)==11){f[x>>2]=0;f[x+4>>2]=0;M=YG(x,18)|0;N=292186;O=M+18|0;do{b[M>>0]=b[N>>0]|0;M=M+1|0;N=N+1|0}while((M|0)<(O|0));era(-215,x,292171,2608)}else if((ea|0)==39){f[x>>2]=0;f[x+4>>2]=0;M=YG(x,21)|0;N=292205;O=M+21|0;do{b[M>>0]=b[N>>0]|0;M=M+1|0;N=N+1|0}while((M|0)<(O|0));era(-215,x,292171,2651)}else if((ea|0)==61){if(d)wra(s,n,t);if(!Q)break;f[j>>2]=Q;break}}while(0);Q=s+36|0;t=f[Q>>2]|0;if(t|0?(ea=t+12|0,t=f[ea>>2]|0,f[ea>>2]=t+-1,(t|0)==1):0)lP(s);f[Q>>2]=0;Q=s+16|0;t=s+4|0;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q+12>>2]=0;if((f[t>>2]|0)>0){Q=f[s+40>>2]|0;ea=0;do{f[Q+(ea<<2)>>2]=0;ea=ea+1|0}while((ea|0)<(f[t>>2]|0))}t=f[s+44>>2]|0;if((t|0)!=(s+48|0))tE(t);t=f[o>>2]|0;if(t|0){o=f[H>>2]|0;if((o|0)!=(t|0))f[H>>2]=o+(~((o+-16-t|0)>>>4)<<4);Emc(t)}t=f[n>>2]|0;if(!t){u=l;return}n=f[G>>2]|0;if((n|0)!=(t|0))f[G>>2]=n+(~((n+-32-t|0)>>>5)<<5);Emc(t);u=l;return}function Ora(a,b,c){a=a|0;b=+b;c=c|0;var d=0,e=0,g=0,h=0;d=f[c>>2]|0;e=f[c+4>>2]|0;c=Bmc(136)|0;cY(c);f[c>>2]=69940;p[c+8>>3]=b;f[c+16>>2]=d;f[c+20>>2]=e;f[c+24>>2]=1124007936;e=c+32|0;d=c+64|0;g=c+28|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[d>>2]=e;e=c+72|0;f[c+68>>2]=e;f[e>>2]=0;f[c+76>>2]=0;f[c+80>>2]=1124007936;e=c+88|0;d=c+120|0;g=c+84|0;h=g+36|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[d>>2]=e;e=c+128|0;f[c+124>>2]=e;f[e>>2]=0;f[c+132>>2]=0;e=Bmc(16)|0;d=e+4|0;f[d>>2]=1;f[e>>2]=70004;f[e+8>>2]=c;f[a>>2]=e;f[a+4>>2]=c;f[d>>2]=(f[d>>2]|0)+1;c=f[d>>2]|0;f[d>>2]=c+-1;if((c|0)!=1)return;ai[f[(f[e>>2]|0)+8>>2]&2047](e);return}function Pra(a){a=a|0;Emc(a);return}function Qra(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Rra(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=69940;b=a+80|0;c=a+116|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+96|0;b=a+84|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+120>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+124>>2]|0;if((b|0)!=(a+128|0))tE(b);b=a+24|0;d=a+60|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+40|0;b=a+28|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+64>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+68>>2]|0;if((b|0)==(a+72|0)){WX(a);return}tE(b);WX(a);return}function Sra(a){a=a|0;Rra(a);Emc(a);return}function Tra(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0.0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0.0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0;e=u;u=u+272|0;g=e+248|0;h=e+240|0;i=e+56|0;j=e+232|0;k=e+224|0;l=e+216|0;m=e+208|0;o=e+144|0;q=e+80|0;r=e;s=e+72|0;t=e+152|0;v=e+88|0;zT(h,70016);if(oD(c,-1)|0?(oD(c,-1)|0)!=2:0){f[g>>2]=0;f[g+4>>2]=0;w=YG(g,49)|0;x=292424;y=w+49|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));Zra(-215,g,351)}z=(oD(c,-1)|0)==0;A=z?256:65536;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;nD(j,c,-1);z=a+16|0;if(!((f[j>>2]|0)%(f[z>>2]|0)|0)){nD(k,c,-1);j=a+20|0;B=f[j>>2]|0;if(!((f[k+4>>2]|0)%(B|0)|0)){nD(l,c,-1);k=f[l>>2]|0;l=f[z>>2]|0;nD(m,c,-1);C=(f[m+4>>2]|0)/(f[j>>2]|0)|0;m=c;D=f[m+4>>2]|0;E=i;f[E>>2]=f[m>>2];f[E+4>>2]=D;f[i+8>>2]=f[c+8>>2];F=f[c+12>>2]|0;G=(k|0)/(l|0)|0;H=C}else{I=j;J=B;K=8}}else{B=a+20|0;I=B;J=f[B>>2]|0;K=8}if((K|0)==8){K=a+24|0;B=g+8|0;f[B>>2]=0;f[B+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=K;nD(o,c,-1);B=f[o+4>>2]|0;o=f[I>>2]|0;j=f[z>>2]|0;nD(q,c,-1);C=f[q>>2]|0;q=f[z>>2]|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;f[r+16>>2]=0;f[r+20>>2]=0;f[r+24>>2]=0;f[r+28>>2]=0;tT(c,g,0,J-((B|0)%(o|0)|0)|0,0,j-((C|0)%(q|0)|0)|0,4,r);q=f[a+64>>2]|0;C=(f[q+4>>2]|0)/(f[z>>2]|0)|0;j=(f[q>>2]|0)/(f[I>>2]|0)|0;f[i>>2]=16842752;f[i+4>>2]=K;f[i+8>>2]=0;F=0;G=C;H=j}f[i+12>>2]=F;F=Y(H,G)|0;L=+(A+-1|0)/+(F|0);M=+p[a+8>>3];if(M>0.0){j=~~(M*+(F|0)/+(A|0));N=(j|0)>1?j:1}else N=0;do if((pD(c)|0)==65536){j=f[c+4>>2]|0;f[r>>2]=f[j>>2];F=r+4|0;C=j+4|0;f[F>>2]=f[C>>2];K=r+8|0;f[K>>2]=f[j+8>>2];f[r+12>>2]=f[j+12>>2];f[r+16>>2]=f[j+16>>2];f[r+20>>2]=f[j+20>>2];f[r+24>>2]=f[j+24>>2];f[r+28>>2]=f[j+28>>2];f[r+32>>2]=f[j+32>>2];I=f[j+36>>2]|0;f[r+36>>2]=I;q=r+40|0;f[q>>2]=K;K=r+48|0;o=r+44|0;f[o>>2]=K;f[K>>2]=0;f[r+52>>2]=0;if(I|0){K=I+12|0;f[K>>2]=(f[K>>2]|0)+1}if((f[C>>2]|0)<3){C=f[j+44>>2]|0;K=f[o>>2]|0;f[K>>2]=f[C>>2];f[K+4>>2]=f[C+4>>2];O=q;P=r;break}else{f[F>>2]=0;kP(r,j);O=q;P=r;break}}else{lD(r,c,-1);O=r+40|0;P=r}while(0);q=f[O>>2]|0;j=f[q>>2]|0;f[s>>2]=f[q+4>>2];f[s+4>>2]=j;HD(d,s,f[P>>2]&4095,-1,0,0);do if((pD(d)|0)==65536){s=f[d+4>>2]|0;f[t>>2]=f[s>>2];j=t+4|0;q=s+4|0;f[j>>2]=f[q>>2];F=t+8|0;f[F>>2]=f[s+8>>2];f[t+12>>2]=f[s+12>>2];f[t+16>>2]=f[s+16>>2];f[t+20>>2]=f[s+20>>2];f[t+24>>2]=f[s+24>>2];f[t+28>>2]=f[s+28>>2];f[t+32>>2]=f[s+32>>2];C=f[s+36>>2]|0;f[t+36>>2]=C;f[t+40>>2]=F;F=t+48|0;K=t+44|0;f[K>>2]=F;f[F>>2]=0;f[t+52>>2]=0;if(C|0){F=C+12|0;f[F>>2]=(f[F>>2]|0)+1}if((f[q>>2]|0)<3){q=f[s+44>>2]|0;F=f[K>>2]|0;f[F>>2]=f[q>>2];f[F+4>>2]=f[q+4>>2];break}else{f[j>>2]=0;kP(t,s);break}}else lD(t,d,-1);while(0);do if((pD(i)|0)==65536){d=f[i+4>>2]|0;f[v>>2]=f[d>>2];s=v+4|0;j=d+4|0;f[s>>2]=f[j>>2];q=v+8|0;f[q>>2]=f[d+8>>2];f[v+12>>2]=f[d+12>>2];f[v+16>>2]=f[d+16>>2];f[v+20>>2]=f[d+20>>2];f[v+24>>2]=f[d+24>>2];f[v+28>>2]=f[d+28>>2];f[v+32>>2]=f[d+32>>2];F=f[d+36>>2]|0;f[v+36>>2]=F;f[v+40>>2]=q;q=v+48|0;K=v+44|0;f[K>>2]=q;f[q>>2]=0;f[v+52>>2]=0;if(F|0){q=F+12|0;f[q>>2]=(f[q>>2]|0)+1}if((f[j>>2]|0)<3){j=f[d+44>>2]|0;q=f[K>>2]|0;f[q>>2]=f[j>>2];f[q+4>>2]=f[j+4>>2];break}else{f[s>>2]=0;kP(v,d);break}}else lD(v,i,-1);while(0);i=a+80|0;d=f[z>>2]|0;s=a+20|0;j=f[s>>2]|0;q=Y(j,d)|0;d=(oD(c,-1)|0)&4095;j=a+84|0;if(!(((((f[j>>2]|0)<3?(f[a+88>>2]|0)==(q|0):0)?(f[a+92>>2]|0)==(A|0):0)?(f[i>>2]&4095|0)==(d|0):0)?(f[a+96>>2]|0)!=0:0)){f[g>>2]=q;f[g+4>>2]=A;iP(i,2,g,d)}if(!(oD(c,-1)|0)){d=Bmc(136)|0;f[d>>2]=70044;A=d+4|0;f[A>>2]=f[v>>2];q=d+8|0;K=v+4|0;F=f[K>>2]|0;f[q>>2]=F;C=d+12|0;f[C>>2]=f[v+8>>2];f[d+16>>2]=f[v+12>>2];f[d+20>>2]=f[v+16>>2];f[d+24>>2]=f[v+20>>2];f[d+28>>2]=f[v+24>>2];f[d+32>>2]=f[v+28>>2];f[d+36>>2]=f[v+32>>2];o=f[v+36>>2]|0;f[d+40>>2]=o;f[d+44>>2]=C;C=d+52|0;I=d+48|0;f[I>>2]=C;f[C>>2]=0;f[d+56>>2]=0;if(!o)Q=F;else{F=o+12|0;f[F>>2]=(f[F>>2]|0)+1;Q=f[K>>2]|0}if((Q|0)<3){Q=f[v+44>>2]|0;K=f[I>>2]|0;f[K>>2]=f[Q>>2];f[K+4>>2]=f[Q+4>>2]}else{f[q>>2]=0;kP(A,v)}A=d+60|0;f[A>>2]=f[i>>2];q=d+64|0;Q=f[j>>2]|0;f[q>>2]=Q;K=d+68|0;f[K>>2]=f[a+88>>2];f[d+72>>2]=f[a+92>>2];f[d+76>>2]=f[a+96>>2];f[d+80>>2]=f[a+100>>2];f[d+84>>2]=f[a+104>>2];f[d+88>>2]=f[a+108>>2];f[d+92>>2]=f[a+112>>2];I=f[a+116>>2]|0;f[d+96>>2]=I;f[d+100>>2]=K;K=d+108|0;F=d+104|0;f[F>>2]=K;f[K>>2]=0;f[d+112>>2]=0;if(!I)R=Q;else{Q=I+12|0;f[Q>>2]=(f[Q>>2]|0)+1;R=f[j>>2]|0}if((R|0)<3){R=f[a+124>>2]|0;Q=f[F>>2]|0;f[Q>>2]=f[R>>2];f[Q+4>>2]=f[R+4>>2]}else{f[q>>2]=0;kP(A,i)}f[d+116>>2]=G;f[d+120>>2]=H;f[d+124>>2]=f[z>>2];f[d+128>>2]=N;n[d+132>>2]=L;A=Bmc(16)|0;q=A+4|0;f[q>>2]=1;f[A>>2]=70064;f[A+8>>2]=d;R=A;Q=d;f[q>>2]=(f[q>>2]|0)+1;d=f[q>>2]|0;f[q>>2]=d+-1;if((d|0)==1){ai[f[(f[A>>2]|0)+8>>2]&2047](A);S=R;T=Q}else{S=R;T=Q}}else{if((oD(c,-1)|0)!=2){f[g>>2]=0;f[g+4>>2]=0;w=YG(g,16)|0;x=292474;y=w+16|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));Zra(-5,g,416)}x=Bmc(136)|0;f[x>>2]=70084;w=x+4|0;f[w>>2]=f[v>>2];y=x+8|0;Q=v+4|0;R=f[Q>>2]|0;f[y>>2]=R;A=x+12|0;f[A>>2]=f[v+8>>2];f[x+16>>2]=f[v+12>>2];f[x+20>>2]=f[v+16>>2];f[x+24>>2]=f[v+20>>2];f[x+28>>2]=f[v+24>>2];f[x+32>>2]=f[v+28>>2];f[x+36>>2]=f[v+32>>2];d=f[v+36>>2]|0;f[x+40>>2]=d;f[x+44>>2]=A;A=x+52|0;q=x+48|0;f[q>>2]=A;f[A>>2]=0;f[x+56>>2]=0;if(!d)U=R;else{R=d+12|0;f[R>>2]=(f[R>>2]|0)+1;U=f[Q>>2]|0}if((U|0)<3){U=f[v+44>>2]|0;Q=f[q>>2]|0;f[Q>>2]=f[U>>2];f[Q+4>>2]=f[U+4>>2]}else{f[y>>2]=0;kP(w,v)}w=x+60|0;f[w>>2]=f[i>>2];y=x+64|0;U=f[j>>2]|0;f[y>>2]=U;Q=x+68|0;f[Q>>2]=f[a+88>>2];f[x+72>>2]=f[a+92>>2];f[x+76>>2]=f[a+96>>2];f[x+80>>2]=f[a+100>>2];f[x+84>>2]=f[a+104>>2];f[x+88>>2]=f[a+108>>2];f[x+92>>2]=f[a+112>>2];q=f[a+116>>2]|0;f[x+96>>2]=q;f[x+100>>2]=Q;Q=x+108|0;R=x+104|0;f[R>>2]=Q;f[Q>>2]=0;f[x+112>>2]=0;if(!q)V=U;else{U=q+12|0;f[U>>2]=(f[U>>2]|0)+1;V=f[j>>2]|0}if((V|0)<3){V=f[a+124>>2]|0;U=f[R>>2]|0;f[U>>2]=f[V>>2];f[U+4>>2]=f[V+4>>2]}else{f[y>>2]=0;kP(w,i)}f[x+116>>2]=G;f[x+120>>2]=H;f[x+124>>2]=f[z>>2];f[x+128>>2]=N;n[x+132>>2]=L;N=Bmc(16)|0;w=N+4|0;f[w>>2]=1;f[N>>2]=70104;f[N+8>>2]=x;y=N;V=x;f[w>>2]=(f[w>>2]|0)+1;x=f[w>>2]|0;f[w>>2]=x+-1;if((x|0)==1){ai[f[(f[N>>2]|0)+8>>2]&2047](N);S=y;T=V}else{S=y;T=V}}V=Y(f[s>>2]|0,f[z>>2]|0)|0;f[g>>2]=0;f[g+4>>2]=V;oU(g,T,-1.0);do if(!(oD(c,-1)|0)){T=Bmc(1268)|0;f[T>>2]=70124;V=T+4|0;f[V>>2]=f[P>>2];y=T+8|0;N=r+4|0;x=f[N>>2]|0;f[y>>2]=x;w=T+12|0;U=r+8|0;f[w>>2]=f[U>>2];R=r+12|0;f[T+16>>2]=f[R>>2];f[T+20>>2]=f[r+16>>2];f[T+24>>2]=f[r+20>>2];f[T+28>>2]=f[r+24>>2];f[T+32>>2]=f[r+28>>2];f[T+36>>2]=f[r+32>>2];q=f[r+36>>2]|0;f[T+40>>2]=q;f[T+44>>2]=w;w=T+52|0;Q=T+48|0;f[Q>>2]=w;f[w>>2]=0;f[T+56>>2]=0;if(!q)W=x;else{x=q+12|0;f[x>>2]=(f[x>>2]|0)+1;W=f[N>>2]|0}if((W|0)<3){N=f[r+44>>2]|0;x=f[Q>>2]|0;f[x>>2]=f[N>>2];f[x+4>>2]=f[N+4>>2]}else{f[y>>2]=0;kP(V,r)}V=T+60|0;f[V>>2]=f[t>>2];y=T+64|0;N=t+4|0;x=f[N>>2]|0;f[y>>2]=x;Q=T+68|0;f[Q>>2]=f[t+8>>2];f[T+72>>2]=f[t+12>>2];f[T+76>>2]=f[t+16>>2];f[T+80>>2]=f[t+20>>2];f[T+84>>2]=f[t+24>>2];f[T+88>>2]=f[t+28>>2];f[T+92>>2]=f[t+32>>2];q=f[t+36>>2]|0;f[T+96>>2]=q;f[T+100>>2]=Q;Q=T+108|0;w=T+104|0;f[w>>2]=Q;f[Q>>2]=0;f[T+112>>2]=0;if(!q)X=x;else{x=q+12|0;f[x>>2]=(f[x>>2]|0)+1;X=f[N>>2]|0}if((X|0)<3){N=f[t+44>>2]|0;x=f[w>>2]|0;f[x>>2]=f[N>>2];f[x+4>>2]=f[N+4>>2]}else{f[y>>2]=0;kP(V,t)}V=T+116|0;f[V>>2]=f[i>>2];y=T+120|0;N=f[j>>2]|0;f[y>>2]=N;x=T+124|0;f[x>>2]=f[a+88>>2];f[T+128>>2]=f[a+92>>2];f[T+132>>2]=f[a+96>>2];f[T+136>>2]=f[a+100>>2];f[T+140>>2]=f[a+104>>2];f[T+144>>2]=f[a+108>>2];f[T+148>>2]=f[a+112>>2];w=f[a+116>>2]|0;f[T+152>>2]=w;f[T+156>>2]=x;x=T+164|0;q=T+160|0;f[q>>2]=x;f[x>>2]=0;f[T+168>>2]=0;if(!w)Z=N;else{N=w+12|0;f[N>>2]=(f[N>>2]|0)+1;Z=f[j>>2]|0}if((Z|0)<3){N=f[a+124>>2]|0;w=f[q>>2]|0;f[w>>2]=f[N>>2];f[w+4>>2]=f[N+4>>2]}else{f[y>>2]=0;kP(V,i)}f[T+172>>2]=G;f[T+176>>2]=H;V=T+180|0;y=f[z>>2]|0;f[V>>2]=y;f[T+184>>2]=f[s>>2];N=T+188|0;w=T+196|0;f[N>>2]=w;q=f[R>>2]|0;R=q<<2;f[T+192>>2]=R;if(R>>>0>264){Q=Dmc(R>>>0>1073741823?-1:R<<2)|0;f[N>>2]=Q;_=Q}else _=w;f[T+1252>>2]=_;w=_+(q<<2)|0;f[T+1256>>2]=w;Q=w+(q<<2)|0;f[T+1260>>2]=Q;N=Q+(q<<2)|0;f[T+1264>>2]=N;R=f[x>>2]|0;L=1.0/+(G|0);a:do if((q|0)>0){x=q+-1|0;d=0;A=y;while(1){M=L*+(d|0)+-.5;F=~~M;I=F-(+(F|0)>M&1)|0;F=I+1|0;$=M-+(I|0);n[Q+(d<<2)>>2]=$;n[N+(d<<2)>>2]=1.0-$;K=A+-1|0;o=Y((I|0)>0?I:0,R)|0;f[_+(d<<2)>>2]=o;o=Y((K|0)<(F|0)?K:F,R)|0;f[w+(d<<2)>>2]=o;if((d|0)==(x|0))break a;d=d+1|0;A=f[V>>2]|0}}while(0);V=Bmc(16)|0;w=V+4|0;f[w>>2]=1;f[V>>2]=70144;f[V+8>>2]=T;R=V;N=T;f[w>>2]=(f[w>>2]|0)+1;Q=f[w>>2]|0;f[w>>2]=Q+-1;if((Q|0)==1){ai[f[(f[V>>2]|0)+8>>2]&2047](V);aa=U;ba=R;ca=N}else{aa=U;ba=R;ca=N}}else{if((oD(c,-1)|0)!=2){aa=r+8|0;ba=0;ca=0;break}N=Bmc(1268)|0;f[N>>2]=70164;R=N+4|0;f[R>>2]=f[P>>2];V=N+8|0;Q=r+4|0;w=f[Q>>2]|0;f[V>>2]=w;y=N+12|0;q=r+8|0;f[y>>2]=f[q>>2];A=r+12|0;f[N+16>>2]=f[A>>2];f[N+20>>2]=f[r+16>>2];f[N+24>>2]=f[r+20>>2];f[N+28>>2]=f[r+24>>2];f[N+32>>2]=f[r+28>>2];f[N+36>>2]=f[r+32>>2];d=f[r+36>>2]|0;f[N+40>>2]=d;f[N+44>>2]=y;y=N+52|0;x=N+48|0;f[x>>2]=y;f[y>>2]=0;f[N+56>>2]=0;if(!d)da=w;else{w=d+12|0;f[w>>2]=(f[w>>2]|0)+1;da=f[Q>>2]|0}if((da|0)<3){Q=f[r+44>>2]|0;w=f[x>>2]|0;f[w>>2]=f[Q>>2];f[w+4>>2]=f[Q+4>>2]}else{f[V>>2]=0;kP(R,r)}R=N+60|0;f[R>>2]=f[t>>2];V=N+64|0;Q=t+4|0;w=f[Q>>2]|0;f[V>>2]=w;x=N+68|0;f[x>>2]=f[t+8>>2];f[N+72>>2]=f[t+12>>2];f[N+76>>2]=f[t+16>>2];f[N+80>>2]=f[t+20>>2];f[N+84>>2]=f[t+24>>2];f[N+88>>2]=f[t+28>>2];f[N+92>>2]=f[t+32>>2];d=f[t+36>>2]|0;f[N+96>>2]=d;f[N+100>>2]=x;x=N+108|0;y=N+104|0;f[y>>2]=x;f[x>>2]=0;f[N+112>>2]=0;if(!d)ea=w;else{w=d+12|0;f[w>>2]=(f[w>>2]|0)+1;ea=f[Q>>2]|0}if((ea|0)<3){Q=f[t+44>>2]|0;w=f[y>>2]|0;f[w>>2]=f[Q>>2];f[w+4>>2]=f[Q+4>>2]}else{f[V>>2]=0;kP(R,t)}R=N+116|0;f[R>>2]=f[i>>2];V=N+120|0;Q=f[j>>2]|0;f[V>>2]=Q;w=N+124|0;f[w>>2]=f[a+88>>2];f[N+128>>2]=f[a+92>>2];f[N+132>>2]=f[a+96>>2];f[N+136>>2]=f[a+100>>2];f[N+140>>2]=f[a+104>>2];f[N+144>>2]=f[a+108>>2];f[N+148>>2]=f[a+112>>2];y=f[a+116>>2]|0;f[N+152>>2]=y;f[N+156>>2]=w;w=N+164|0;d=N+160|0;f[d>>2]=w;f[w>>2]=0;f[N+168>>2]=0;if(!y)fa=Q;else{Q=y+12|0;f[Q>>2]=(f[Q>>2]|0)+1;fa=f[j>>2]|0}if((fa|0)<3){Q=f[a+124>>2]|0;y=f[d>>2]|0;f[y>>2]=f[Q>>2];f[y+4>>2]=f[Q+4>>2]}else{f[V>>2]=0;kP(R,i)}f[N+172>>2]=G;f[N+176>>2]=H;R=N+180|0;V=f[z>>2]|0;f[R>>2]=V;f[N+184>>2]=f[s>>2];Q=N+188|0;y=N+196|0;f[Q>>2]=y;d=f[A>>2]|0;A=d<<2;f[N+192>>2]=A;if(A>>>0>264){x=Dmc(A>>>0>1073741823?-1:A<<2)|0;f[Q>>2]=x;ga=x}else ga=y;f[N+1252>>2]=ga;y=ga+(d<<2)|0;f[N+1256>>2]=y;x=y+(d<<2)|0;f[N+1260>>2]=x;Q=x+(d<<2)|0;f[N+1264>>2]=Q;A=(f[w>>2]|0)>>>1;L=1.0/+(G|0);b:do if((d|0)>0){w=d+-1|0;o=0;F=V;while(1){$=L*+(o|0)+-.5;K=~~$;I=K-(+(K|0)>$&1)|0;K=I+1|0;M=$-+(I|0);n[x+(o<<2)>>2]=M;n[Q+(o<<2)>>2]=1.0-M;C=F+-1|0;B=Y((I|0)>0?I:0,A)|0;f[ga+(o<<2)>>2]=B;B=Y((C|0)<(K|0)?C:K,A)|0;f[y+(o<<2)>>2]=B;if((o|0)==(w|0))break b;o=o+1|0;F=f[R>>2]|0}}while(0);R=Bmc(16)|0;y=R+4|0;f[y>>2]=1;f[R>>2]=70184;f[R+8>>2]=N;A=R;Q=N;f[y>>2]=(f[y>>2]|0)+1;x=f[y>>2]|0;f[y>>2]=x+-1;if((x|0)==1){ai[f[(f[R>>2]|0)+8>>2]&2047](R);aa=q;ba=A;ca=Q}else{aa=q;ba=A;ca=Q}}while(0);ga=f[aa>>2]|0;f[g>>2]=0;f[g+4>>2]=ga;oU(g,ca,-1.0);ca=ba;if(ba|0?(g=ca+4|0,ga=f[g>>2]|0,f[g>>2]=ga+-1,(ga|0)==1):0)ai[f[(f[ba>>2]|0)+8>>2]&2047](ca);ca=S;ba=ca+4|0;ga=f[ba>>2]|0;f[ba>>2]=ga+-1;if((ga|0)==1)ai[f[(f[S>>2]|0)+8>>2]&2047](ca);ca=v+36|0;S=f[ca>>2]|0;if(S|0?(ga=S+12|0,S=f[ga>>2]|0,f[ga>>2]=S+-1,(S|0)==1):0)lP(v);f[ca>>2]=0;ca=v+16|0;S=v+4|0;f[ca>>2]=0;f[ca+4>>2]=0;f[ca+8>>2]=0;f[ca+12>>2]=0;if((f[S>>2]|0)>0){ca=f[v+40>>2]|0;ga=0;do{f[ca+(ga<<2)>>2]=0;ga=ga+1|0}while((ga|0)<(f[S>>2]|0))}S=f[v+44>>2]|0;if((S|0)!=(v+48|0))tE(S);S=t+36|0;v=f[S>>2]|0;if(v|0?(ga=v+12|0,v=f[ga>>2]|0,f[ga>>2]=v+-1,(v|0)==1):0)lP(t);f[S>>2]=0;S=t+16|0;v=t+4|0;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;if((f[v>>2]|0)>0){S=f[t+40>>2]|0;ga=0;do{f[S+(ga<<2)>>2]=0;ga=ga+1|0}while((ga|0)<(f[v>>2]|0))}v=f[t+44>>2]|0;if((v|0)!=(t+48|0))tE(v);v=r+36|0;t=f[v>>2]|0;if(t|0?(ga=t+12|0,t=f[ga>>2]|0,f[ga>>2]=t+-1,(t|0)==1):0)lP(r);f[v>>2]=0;v=r+16|0;t=r+4|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[t>>2]|0)>0){v=f[O>>2]|0;O=0;do{f[v+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[t>>2]|0))}t=f[r+44>>2]|0;if((t|0)!=(r+48|0))tE(t);if(!(f[h+4>>2]|0)){u=e;return}u=e;return}function Ura(a,b){a=a|0;b=+b;p[a+8>>3]=b;return}function Vra(a){a=a|0;return +(+p[a+8>>3])}function Wra(a,b){a=a|0;b=b|0;f[a+16>>2]=f[b>>2];f[a+20>>2]=f[b+4>>2];return}function Xra(a,b){a=a|0;b=b|0;var c=0;c=f[b+20>>2]|0;f[a>>2]=f[b+16>>2];f[a+4>>2]=c;return}function Yra(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+24|0;c=a+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+40|0;b=a+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=a+80|0;d=a+116|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+96|0;b=a+84|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)<=0)return;d=f[a+120>>2]|0;a=0;do{f[d+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[b>>2]|0));return}function Zra(a,b,c){a=a|0;b=b|0;c=c|0;SQ(a,b,472702,293107,c);return}function _ra(a){a=a|0;Emc(a);return}function $ra(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function asa(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=70164;b=a+188|0;c=f[b>>2]|0;d=a+196|0;if((c|0)!=(d|0)){if(c|0)Fmc(c);f[b>>2]=d;f[a+192>>2]=264}d=a+116|0;b=a+152|0;c=f[b>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(d);f[b>>2]=0;b=a+132|0;d=a+120|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+156>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+160>>2]|0;if((d|0)!=(a+164|0))tE(d);d=a+60|0;c=a+96|0;b=f[c>>2]|0;if(b|0?(e=b+12|0,b=f[e>>2]|0,f[e>>2]=b+-1,(b|0)==1):0)lP(d);f[c>>2]=0;c=a+76|0;d=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[d>>2]|0)>0){c=f[a+100>>2]|0;b=0;do{f[c+(b<<2)>>2]=0;b=b+1|0}while((b|0)<(f[d>>2]|0))}d=f[a+104>>2]|0;if((d|0)!=(a+108|0))tE(d);d=a+4|0;b=a+40|0;c=f[b>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(d);f[b>>2]=0;b=a+20|0;d=a+8|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+44>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+48>>2]|0;if((d|0)==(a+52|0))return;tE(d);return}function bsa(a){a=a|0;asa(a);Emc(a);return}function csa(a,b){a=a|0;b=b|0;var c=0.0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0,E=0.0,F=0.0;c=1.0/+(f[a+176>>2]|0);e=f[b>>2]|0;g=f[b+4>>2]|0;if((e|0)>=(g|0))return;b=f[a+20>>2]|0;h=f[f[a+48>>2]>>2]|0;i=f[a+76>>2]|0;k=f[f[a+104>>2]>>2]|0;l=(f[a+184>>2]|0)+-1|0;m=f[a+180>>2]|0;o=f[a+132>>2]|0;p=f[f[a+160>>2]>>2]|0;q=f[a+16>>2]|0;if((q|0)<=0)return;r=f[a+1252>>2]|0;s=f[a+1256>>2]|0;t=f[a+1264>>2]|0;u=f[a+1260>>2]|0;a=e;do{e=b+(Y(h,a)|0)|0;v=i+(Y(k,a)|0)|0;w=c*+(a|0)+-.5;x=~~w;y=x-(+(x|0)>w&1)|0;x=y+1|0;z=w-+(y|0);w=1.0-z;A=o+(Y(Y(m,(y|0)>0?y:0)|0,p)|0)|0;y=o+(Y(Y((l|0)<(x|0)?l:x,m)|0,p)|0)|0;x=0;do{B=j[e+(x<<1)>>1]|0;C=(f[r+(x<<2)>>2]|0)+B|0;D=(f[s+(x<<2)>>2]|0)+B|0;E=+n[t+(x<<2)>>2];F=+n[u+(x<<2)>>2];B=U9b(w*(+(j[A+(C<<1)>>1]|0)*E+ +(j[A+(D<<1)>>1]|0)*F)+z*(E*+(j[y+(C<<1)>>1]|0)+F*+(j[y+(D<<1)>>1]|0)))|0;d[v+(x<<1)>>1]=B>>>0<65536?B:(B|0)>0?65535:0;x=x+1|0}while((x|0)<(q|0));a=a+1|0}while((a|0)<(g|0));return}function dsa(a){a=a|0;Emc(a);return}function esa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function fsa(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=70124;b=a+188|0;c=f[b>>2]|0;d=a+196|0;if((c|0)!=(d|0)){if(c|0)Fmc(c);f[b>>2]=d;f[a+192>>2]=264}d=a+116|0;b=a+152|0;c=f[b>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(d);f[b>>2]=0;b=a+132|0;d=a+120|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+156>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+160>>2]|0;if((d|0)!=(a+164|0))tE(d);d=a+60|0;c=a+96|0;b=f[c>>2]|0;if(b|0?(e=b+12|0,b=f[e>>2]|0,f[e>>2]=b+-1,(b|0)==1):0)lP(d);f[c>>2]=0;c=a+76|0;d=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[d>>2]|0)>0){c=f[a+100>>2]|0;b=0;do{f[c+(b<<2)>>2]=0;b=b+1|0}while((b|0)<(f[d>>2]|0))}d=f[a+104>>2]|0;if((d|0)!=(a+108|0))tE(d);d=a+4|0;b=a+40|0;c=f[b>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(d);f[b>>2]=0;b=a+20|0;d=a+8|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+44>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+48>>2]|0;if((d|0)==(a+52|0))return;tE(d);return}function gsa(a){a=a|0;fsa(a);Emc(a);return}function hsa(a,c){a=a|0;c=c|0;var d=0.0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0.0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0.0,J=0,K=0,L=0;d=1.0/+(f[a+176>>2]|0);e=f[c>>2]|0;g=c+4|0;c=f[g>>2]|0;if((e|0)>=(c|0))return;i=a+20|0;j=a+48|0;k=a+76|0;l=a+104|0;m=a+184|0;o=a+180|0;p=a+132|0;q=a+160|0;r=a+16|0;s=a+1252|0;t=a+1256|0;u=a+1264|0;v=a+1260|0;a=e;e=c;c=f[r>>2]|0;while(1){w=(f[i>>2]|0)+(Y(f[f[j>>2]>>2]|0,a)|0)|0;x=(f[k>>2]|0)+(Y(f[f[l>>2]>>2]|0,a)|0)|0;y=d*+(a|0)+-.5;z=~~y;A=z-(+(z|0)>y&1)|0;z=A+1|0;B=y-+(A|0);y=1.0-B;C=(f[m>>2]|0)+-1|0;D=f[o>>2]|0;E=Y(D,(A|0)>0?A:0)|0;A=f[p>>2]|0;F=f[f[q>>2]>>2]|0;G=A+(Y(E,F)|0)|0;E=A+(Y(Y((C|0)<(z|0)?C:z,D)|0,F)|0)|0;if((c|0)>0){F=0;do{D=h[w+F>>0]|0;z=(f[(f[s>>2]|0)+(F<<2)>>2]|0)+D|0;C=(f[(f[t>>2]|0)+(F<<2)>>2]|0)+D|0;H=+n[(f[u>>2]|0)+(F<<2)>>2];I=+n[(f[v>>2]|0)+(F<<2)>>2];D=U9b(y*(+(h[G+z>>0]|0)*H+ +(h[G+C>>0]|0)*I)+B*(H*+(h[E+z>>0]|0)+I*+(h[E+C>>0]|0)))|0;b[x+F>>0]=D>>>0<256?D:(D|0)>0?255:0;F=F+1|0;J=f[r>>2]|0}while((F|0)<(J|0));K=J;L=f[g>>2]|0}else{K=c;L=e}a=a+1|0;if((a|0)>=(L|0))break;else{e=L;c=K}}return}function isa(a){a=a|0;Emc(a);return}function jsa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function ksa(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=70084;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))tE(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;tE(b);return}function lsa(a){a=a|0;ksa(a);Emc(a);return}function msa(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0;c=u;u=u+262224|0;e=c+262200|0;g=c+262144|0;h=c;i=f[b>>2]|0;k=(f[a+108>>2]|0)>>>1;l=b+4|0;if((i|0)>=(f[l>>2]|0)){u=c;return}b=a+124|0;m=a+116|0;o=a+120|0;p=e+4|0;q=e+8|0;r=e+12|0;s=a+4|0;t=a+52|0;v=g+16|0;w=g+44|0;x=a+128|0;y=a+132|0;z=g+36|0;A=g+4|0;B=g+40|0;C=g+48|0;D=(f[a+76>>2]|0)+(Y(f[f[a+104>>2]>>2]|0,i)|0)|0;a=i;while(1){i=f[b>>2]|0;E=f[m>>2]|0;F=Y(E,(a|0)%(i|0)|0)|0;f[e>>2]=F;F=f[o>>2]|0;G=Y(F,(a|0)/(i|0)|0)|0;f[p>>2]=G;f[q>>2]=E;f[r>>2]=F;pP(g,s,e);Drc(h|0,0,262144)|0;F=f[r>>2]|0;E=(f[t>>2]|0)>>>1;G=f[v>>2]|0;i=F+-1|0;a:do if(F|0){H=f[q>>2]|0;I=H+-4|0;if((H|0)<4){J=(H|0)>0;K=G;L=i;while(1){if(J){M=0;do{N=h+((j[K+(M<<1)>>1]|0)<<2)|0;f[N>>2]=(f[N>>2]|0)+1;M=M+1|0}while((M|0)!=(H|0))}if(!L)break a;else{K=K+(E<<1)|0;L=L+-1|0}}}L=H&-4;K=(L|0)<(H|0);J=G;M=i;while(1){N=0;do{O=j[J+((N|1)<<1)>>1]|0;P=h+((j[J+(N<<1)>>1]|0)<<2)|0;f[P>>2]=(f[P>>2]|0)+1;P=h+(O<<2)|0;f[P>>2]=(f[P>>2]|0)+1;P=j[J+((N|3)<<1)>>1]|0;O=h+((j[J+((N|2)<<1)>>1]|0)<<2)|0;f[O>>2]=(f[O>>2]|0)+1;O=h+(P<<2)|0;f[O>>2]=(f[O>>2]|0)+1;N=N+4|0}while((N|0)<=(I|0));if(K){N=L;do{O=h+((j[J+(N<<1)>>1]|0)<<2)|0;f[O>>2]=(f[O>>2]|0)+1;N=N+1|0}while((N|0)!=(H|0))}if(!M)break;else{J=J+(E<<1)|0;M=M+-1|0}}}while(0);E=f[x>>2]|0;if((E|0)>0){i=0;G=0;while(1){F=h+(i<<2)|0;M=f[F>>2]|0;if((M|0)>(E|0)){f[F>>2]=E;Q=M+G-E|0}else Q=G;i=i+1|0;if((i|0)==65536)break;else G=Q}G=(Q|0)/65536|0;i=G<<16;E=0;do{M=h+(E<<2)|0;f[M>>2]=(f[M>>2]|0)+G;E=E+1|0}while((E|0)!=65536);E=Q-i|0;if(E|0?(G=65536/(E|0)|0,M=(G|0)>1?G:1,(E|0)>0):0){G=0;F=E;while(1){E=h+(G<<2)|0;f[E>>2]=(f[E>>2]|0)+1;G=G+M|0;if(!((F|0)>1&(G|0)<65536))break;else F=F+-1|0}}}R=+n[y>>2];F=0;G=0;do{F=(f[h+(G<<2)>>2]|0)+F|0;M=U9b(R*+(F|0))|0;d[D+(G<<1)>>1]=M>>>0<65536?M:(M|0)>0?65535:0;G=G+1|0}while((G|0)!=65536);G=f[z>>2]|0;if(G|0?(F=G+12|0,G=f[F>>2]|0,f[F>>2]=G+-1,(G|0)==1):0)lP(g);f[z>>2]=0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[A>>2]|0)>0){G=f[B>>2]|0;F=0;do{f[G+(F<<2)>>2]=0;F=F+1|0}while((F|0)<(f[A>>2]|0))}F=f[w>>2]|0;if((F|0)!=(C|0))tE(F);a=a+1|0;if((a|0)>=(f[l>>2]|0))break;else D=D+(k<<1)|0}u=c;return}function nsa(a){a=a|0;Emc(a);return}function osa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function psa(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=70044;b=a+60|0;c=a+96|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+76|0;b=a+64|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+100>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+104>>2]|0;if((b|0)!=(a+108|0))tE(b);b=a+4|0;d=a+40|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+20|0;b=a+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+44>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;tE(b);return}function qsa(a){a=a|0;psa(a);Emc(a);return}function rsa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;d=u;u=u+1104|0;e=d+1080|0;g=d+1024|0;i=d;j=f[c>>2]|0;k=f[a+108>>2]|0;l=c+4|0;if((j|0)>=(f[l>>2]|0)){u=d;return}c=a+124|0;m=a+116|0;o=a+120|0;p=e+4|0;q=e+8|0;r=e+12|0;s=a+4|0;t=a+52|0;v=g+16|0;w=g+44|0;x=a+128|0;y=a+132|0;z=g+36|0;A=g+4|0;B=g+40|0;C=g+48|0;D=(f[a+76>>2]|0)+(Y(f[f[a+104>>2]>>2]|0,j)|0)|0;a=j;while(1){j=f[c>>2]|0;E=f[m>>2]|0;F=Y(E,(a|0)%(j|0)|0)|0;f[e>>2]=F;F=f[o>>2]|0;G=Y(F,(a|0)/(j|0)|0)|0;f[p>>2]=G;f[q>>2]=E;f[r>>2]=F;pP(g,s,e);Drc(i|0,0,1024)|0;F=f[r>>2]|0;E=f[t>>2]|0;if(F|0){G=f[q>>2]|0;j=(G|0)<4;H=G+-4|0;I=f[v>>2]|0;J=F;while(1){J=J+-1|0;if(j)K=0;else{F=0;while(1){L=h[I+(F|1)>>0]|0;M=i+((h[I+F>>0]|0)<<2)|0;f[M>>2]=(f[M>>2]|0)+1;M=i+(L<<2)|0;f[M>>2]=(f[M>>2]|0)+1;M=h[I+(F|3)>>0]|0;L=i+((h[I+(F|2)>>0]|0)<<2)|0;f[L>>2]=(f[L>>2]|0)+1;L=i+(M<<2)|0;f[L>>2]=(f[L>>2]|0)+1;L=F+4|0;if((L|0)>(H|0)){K=L;break}else F=L}}if((K|0)<(G|0)){F=K;do{L=i+((h[I+F>>0]|0)<<2)|0;f[L>>2]=(f[L>>2]|0)+1;F=F+1|0}while((F|0)!=(G|0))}if(!J)break;else I=I+E|0}}E=f[x>>2]|0;if((E|0)>0){I=0;J=0;while(1){G=i+(I<<2)|0;H=f[G>>2]|0;if((H|0)>(E|0)){f[G>>2]=E;N=H+J-E|0}else N=J;I=I+1|0;if((I|0)==256)break;else J=N}J=(N|0)/256|0;I=J<<8;E=0;do{H=i+(E<<2)|0;f[H>>2]=(f[H>>2]|0)+J;E=E+1|0}while((E|0)!=256);E=N-I|0;if((E|0)!=0?(J=256/(E|0)|0,H=(J|0)>1?J:1,(E|0)>0):0){J=0;G=E;while(1){E=i+(J<<2)|0;f[E>>2]=(f[E>>2]|0)+1;J=J+H|0;if(!((G|0)>1&(J|0)<256)){O=0;P=0;break}else G=G+-1|0}}else{O=0;P=0}}else{O=0;P=0}do{O=(f[i+(P<<2)>>2]|0)+O|0;G=U9b(+n[y>>2]*+(O|0))|0;b[D+P>>0]=G>>>0<256?G:(G|0)>0?255:0;P=P+1|0}while((P|0)!=256);G=f[z>>2]|0;if(G|0?(J=G+12|0,G=f[J>>2]|0,f[J>>2]=G+-1,(G|0)==1):0)lP(g);f[z>>2]=0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[A>>2]|0)>0){G=f[B>>2]|0;J=0;do{f[G+(J<<2)>>2]=0;J=J+1|0}while((J|0)<(f[A>>2]|0))}J=f[w>>2]|0;if((J|0)!=(C|0))tE(J);a=a+1|0;if((a|0)>=(f[l>>2]|0))break;else D=D+k|0}u=d;return}function ssa(){var a=0;if(((((tsa(1,0)|0)!=0?(tsa(1,1)|0)!=0:0)?(tsa(2,0)|0)!=0:0)?(tsa(2,1)|0)!=0:0)?(tsa(4,0)|0)!=0:0)a=(tsa(4,1)|0)!=0&1;else a=0;b[1159010]=a;return}function tsa(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0.0,z=0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0;e=u;u=u+1072|0;g=e+1064|0;h=e;switch(a|0){case 1:{i=873840;k=1149524;l=2;break}case 2:{i=546160;k=985684;l=4;break}case 4:{i=611696;k=1018452;l=8;break}default:{f[g>>2]=0;f[g+4>>2]=0;m=YG(g,38)|0;o=293290;p=m+38|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));SQ(-5,g,293329,293344,226)}}q=1159011+a|0;if(b[q>>0]|0){r=i;s=k;t=c?s:r;u=e;return t|0}v=h+8|0;f[h>>2]=v;w=h+4|0;f[w>>2]=256;switch(a|0){case 1:{a=0;x=v;while(1){y=+(a|0)*.03125;n[x>>2]=1.0-y;n[x+4>>2]=y;a=a+1|0;if((a|0)==32){z=v;break}else x=x+8|0}break}case 2:{x=0;a=v;while(1){y=+(x|0)*.03125;A=y+1.0;B=A*(A*(3.75-A*.75)+-6.0)+3.0;n[a>>2]=B;A=y*(y*(y*1.25+-2.25))+1.0;n[a+4>>2]=A;C=1.0-y;y=C*(C*(C*1.25+-2.25))+1.0;n[a+8>>2]=y;n[a+12>>2]=1.0-B-A-y;x=x+1|0;if((x|0)==32){z=v;break}else a=a+16|0}break}case 4:{a=0;x=v;while(1){y=+(a|0)*.03125;if(y<1.1920928955078125e-07){f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;f[x+16>>2]=0;f[x+20>>2]=0;f[x+24>>2]=0;f[x+28>>2]=0;D=1.0}else{A=y+3.0;y=-A*3.141592653589793*.25;B=+P(+y);C=+O(+y);E=C*0.0;F=(B+E)/(y*y);y=-(A+-1.0)*3.141592653589793*.25;G=B*-.7071067811865476;H=C*-.7071067811865476;I=(G+H)/(y*y);y=-(A+-2.0)*3.141592653589793*.25;J=B*0.0;K=(J+C)/(y*y);y=-(A+-3.0)*3.141592653589793*.25;L=B*.7071067811865476;M=(L+H)/(y*y);y=-(A+-4.0)*3.141592653589793*.25;H=(E-B)/(y*y);y=-(A+-5.0)*3.141592653589793*.25;B=C*.7071067811865476;E=(L+B)/(y*y);y=-(A+-6.0)*3.141592653589793*.25;L=(J-C)/(y*y);y=-(A+-7.0)*3.141592653589793*.25;A=(G+B)/(y*y);y=1.0/(A+(L+(E+(H+(M+(K+(I+(F+0.0))))))));n[x>>2]=F*y;n[x+4>>2]=I*y;n[x+8>>2]=K*y;n[x+16>>2]=H*y;n[x+20>>2]=E*y;n[x+24>>2]=L*y;n[x+28>>2]=A*y;D=M*y}n[x+12>>2]=D;a=a+1|0;if((a|0)==32)break;else x=x+32|0}z=f[h>>2]|0;break}default:{f[g>>2]=0;f[g+4>>2]=0;m=YG(g,28)|0;o=293413;p=m+28|0;do{b[m>>0]=b[o>>0]|0;m=m+1|0;o=o+1|0}while((m|0)<(p|0));SQ(-5,g,293442,293344,209)}}g=Y(l,l)|0;o=l>>>1;m=g<<5;p=g<<10;x=i+(p<<2)|0;a=Y(o,l)|0;N=o+a|0;Q=o+1|0;R=Q+a|0;S=Y(Q,l)|0;T=o+S|0;U=Q+S|0;S=0;V=i;i=k;while(1){W=S<<5;X=(S|0)<16&1;Z=Y(S,l)|0;_=0;$=V;V=V+(m<<2)|0;aa=i;while(1){ba=_+W|0;b[1159019+(ba<<1)>>0]=(_|0)<16&1;b[1159019+(ba<<1)+1>>0]=X;ba=Y(_,l)|0;ca=0;da=0;while(1){D=+n[z+(da+Z<<2)>>2];ea=Y(da,l)|0;fa=0;ga=ca;do{y=D*+n[z+(fa+ba<<2)>>2];ha=fa+ea|0;n[$+(ha<<2)>>2]=y;ia=U9b(y*32768.0)|0;ja=(ia+32768|0)>>>0<65536?ia:(ia|0)>0?32767:32768;d[aa+(ha<<1)>>1]=ja;ga=(ja<<16>>16)+ga|0;fa=fa+1|0}while((fa|0)<(l|0));da=da+1|0;if((da|0)>=(l|0))break;else ca=ga}if((ga|0)!=32768){ca=d[aa+(N<<1)>>1]|0;da=d[aa+(R<<1)>>1]|0;ba=da<<16>>16<ca<<16>>16;fa=ba?o:da<<16>>16>ca<<16>>16?Q:o;ca=ba?Q:o;ba=d[aa+(T<<1)>>1]|0;if(ba<<16>>16<(d[aa+(a+ca<<1)>>1]|0)){ka=o;la=Q;ma=fa;na=o}else{da=ba<<16>>16>(d[aa+(a+fa<<1)>>1]|0);ka=ca;la=o;ma=da?o:fa;na=da?Q:o}da=d[aa+(U<<1)>>1]|0;fa=aa+((Y(la,l)|0)+ka<<1)|0;if(da<<16>>16<(d[fa>>1]|0)){oa=Q;pa=Q;qa=ma;ra=na}else{fa=aa+((Y(na,l)|0)+ma<<1)|0;ca=da<<16>>16>(d[fa>>1]|0);oa=ka;pa=la;qa=ca?Q:ma;ra=ca?Q:na}if((ga|0)<32768){ca=(Y(ra,l)|0)+qa|0;sa=d[aa+(ca<<1)>>1]|0;ta=ca}else{ca=(Y(pa,l)|0)+oa|0;sa=j[aa+(ca<<1)>>1]|0;ta=ca}d[aa+(ta<<1)>>1]=-32768-ga+sa}_=_+1|0;if((_|0)==32)break;else{$=$+(g<<2)|0;aa=aa+(g<<1)|0}}S=S+1|0;if((S|0)==32)break;else i=i+(m<<1)|0}m=Y(Y(l,-1024)|0,l)|0;l=x+(m<<2)|0;x=k+(p<<1)+(m<<1)|0;b[q>>0]=1;if((z|0)!=(v|0)){if(z|0)Fmc(z);f[h>>2]=v;f[w>>2]=264}r=l;s=x;t=c?s:r;u=e;return t|0}function usa(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;j=u;u=u+384|0;k=j;l=j+368|0;m=j+360|0;n=j+304|0;o=j+240|0;q=j+184|0;r=j+296|0;s=j+128|0;t=j+72|0;zT(l,70196);nD(m,d,-1);if((Y(f[m+4>>2]|0,f[m>>2]|0)|0)<=0){f[k>>2]=0;f[k+4>>2]=0;v=YG(k,23)|0;w=293457;x=v+23|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-215,k,293481,293344,1708)}if(!(DD(e)|0)?(nD(k,e,-1),nD(n,d,-1),!((f[k>>2]|0)==(f[n>>2]|0)?(f[k+4>>2]|0)==(f[n+4>>2]|0):0)):0){f[k>>2]=0;f[k+4>>2]=0;v=YG(k,47)|0;w=293487;x=v+47|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-215,k,293481,293344,1709)}do if((pD(a)|0)==65536){m=f[a+4>>2]|0;f[n>>2]=f[m>>2];y=n+4|0;z=m+4|0;f[y>>2]=f[z>>2];A=n+8|0;f[A>>2]=f[m+8>>2];f[n+12>>2]=f[m+12>>2];f[n+16>>2]=f[m+16>>2];f[n+20>>2]=f[m+20>>2];f[n+24>>2]=f[m+24>>2];f[n+28>>2]=f[m+28>>2];f[n+32>>2]=f[m+32>>2];B=f[m+36>>2]|0;f[n+36>>2]=B;f[n+40>>2]=A;A=n+48|0;C=n+44|0;f[C>>2]=A;f[A>>2]=0;f[n+52>>2]=0;if(B|0){A=B+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[z>>2]|0)<3){z=f[m+44>>2]|0;A=f[C>>2]|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];break}else{f[y>>2]=0;kP(n,m);break}}else lD(n,a,-1);while(0);do if((pD(d)|0)==65536){m=f[d+4>>2]|0;f[o>>2]=f[m>>2];y=o+4|0;z=m+4|0;f[y>>2]=f[z>>2];A=o+8|0;f[A>>2]=f[m+8>>2];f[o+12>>2]=f[m+12>>2];f[o+16>>2]=f[m+16>>2];f[o+20>>2]=f[m+20>>2];f[o+24>>2]=f[m+24>>2];f[o+28>>2]=f[m+28>>2];f[o+32>>2]=f[m+32>>2];C=f[m+36>>2]|0;f[o+36>>2]=C;f[o+40>>2]=A;A=o+48|0;B=o+44|0;f[B>>2]=A;f[A>>2]=0;f[o+52>>2]=0;if(C|0){A=C+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[z>>2]|0)<3){z=f[m+44>>2]|0;A=f[B>>2]|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];break}else{f[y>>2]=0;kP(o,m);break}}else lD(o,d,-1);while(0);do if((pD(e)|0)==65536){d=f[e+4>>2]|0;f[q>>2]=f[d>>2];m=q+4|0;y=d+4|0;f[m>>2]=f[y>>2];z=q+8|0;f[z>>2]=f[d+8>>2];f[q+12>>2]=f[d+12>>2];f[q+16>>2]=f[d+16>>2];f[q+20>>2]=f[d+20>>2];f[q+24>>2]=f[d+24>>2];f[q+28>>2]=f[d+28>>2];f[q+32>>2]=f[d+32>>2];A=f[d+36>>2]|0;f[q+36>>2]=A;f[q+40>>2]=z;z=q+48|0;B=q+44|0;f[B>>2]=z;f[z>>2]=0;f[q+52>>2]=0;if(A|0){z=A+12|0;f[z>>2]=(f[z>>2]|0)+1}if((f[y>>2]|0)<3){y=f[d+44>>2]|0;z=f[B>>2]|0;f[z>>2]=f[y>>2];f[z+4>>2]=f[y+4>>2];break}else{f[m>>2]=0;kP(q,d);break}}else lD(q,e,-1);while(0);e=o+40|0;d=f[e>>2]|0;m=f[d>>2]|0;f[r>>2]=f[d+4>>2];f[r+4>>2]=m;HD(c,r,f[n>>2]&4095,-1,0,0);do if((pD(c)|0)==65536){r=f[c+4>>2]|0;f[s>>2]=f[r>>2];m=s+4|0;d=r+4|0;f[m>>2]=f[d>>2];y=s+8|0;f[y>>2]=f[r+8>>2];z=s+12|0;f[z>>2]=f[r+12>>2];f[s+16>>2]=f[r+16>>2];f[s+20>>2]=f[r+20>>2];f[s+24>>2]=f[r+24>>2];f[s+28>>2]=f[r+28>>2];f[s+32>>2]=f[r+32>>2];B=f[r+36>>2]|0;f[s+36>>2]=B;f[s+40>>2]=y;y=s+48|0;A=s+44|0;f[A>>2]=y;f[y>>2]=0;f[s+52>>2]=0;if(B|0){y=B+12|0;f[y>>2]=(f[y>>2]|0)+1}if((f[d>>2]|0)<3){d=f[r+44>>2]|0;y=f[A>>2]|0;f[y>>2]=f[d>>2];f[y+4>>2]=f[d+4>>2];D=z;break}else{f[m>>2]=0;kP(s,r);D=z;break}}else{lD(s,c,-1);D=s+12|0}while(0);if((f[D>>2]|0)>=32767){f[k>>2]=0;E=k+4|0;f[E>>2]=0;F=YG(k,88)|0;v=F;w=293535;x=v+88|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-215,k,293481,293344,1729)}c=s+8|0;if((f[c>>2]|0)>=32767){f[k>>2]=0;E=k+4|0;f[E>>2]=0;F=YG(k,88)|0;v=F;w=293535;x=v+88|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-215,k,293481,293344,1729)}z=n+12|0;if((f[z>>2]|0)>=32767){f[k>>2]=0;E=k+4|0;f[E>>2]=0;F=YG(k,88)|0;v=F;w=293535;x=v+88|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-215,k,293481,293344,1729)}r=n+8|0;if((f[r>>2]|0)>=32767){f[k>>2]=0;E=k+4|0;f[E>>2]=0;F=YG(k,88)|0;v=F;w=293535;x=v+88|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-215,k,293481,293344,1729)}F=s+16|0;E=n+16|0;if((f[F>>2]|0)==(f[E>>2]|0)){f[t>>2]=1124007936;m=t+4|0;d=t+8|0;y=t+40|0;v=m;x=v+36|0;do{f[v>>2]=0;v=v+4|0}while((v|0)<(x|0));f[y>>2]=d;A=t+48|0;B=t+44|0;f[B>>2]=A;f[A>>2]=0;f[t+52>>2]=0;C=k+8|0;f[C>>2]=0;f[C+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=t;kT(n,k);C=t+36|0;G=f[C>>2]|0;if(G|0){H=G+12|0;f[H>>2]=(f[H>>2]|0)+1}H=n+36|0;G=f[H>>2]|0;if(G|0?(I=G+12|0,G=f[I>>2]|0,f[I>>2]=G+-1,(G|0)==1):0)lP(n);f[H>>2]=0;G=n+4|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[G>>2]|0)>0){I=f[n+40>>2]|0;J=0;do{f[I+(J<<2)>>2]=0;J=J+1|0;K=f[G>>2]|0}while((J|0)<(K|0));f[n>>2]=f[t>>2];if((K|0)<3)L=50;else L=52}else{f[n>>2]=f[t>>2];L=50}if((L|0)==50){K=f[m>>2]|0;if((K|0)<3){f[G>>2]=K;f[r>>2]=f[d>>2];f[z>>2]=f[t+12>>2];z=f[B>>2]|0;d=f[n+44>>2]|0;f[d>>2]=f[z>>2];f[d+4>>2]=f[z+4>>2]}else L=52}if((L|0)==52)kP(n,t);z=t+16|0;f[E>>2]=f[z>>2];f[n+20>>2]=f[t+20>>2];f[n+24>>2]=f[t+24>>2];f[n+28>>2]=f[t+28>>2];f[n+32>>2]=f[t+32>>2];d=f[C>>2]|0;f[H>>2]=d;if(d|0?(H=d+12|0,d=f[H>>2]|0,f[H>>2]=d+-1,(d|0)==1):0)lP(t);f[C>>2]=0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[m>>2]|0)>0){z=f[y>>2]|0;y=0;do{f[z+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[m>>2]|0))}m=f[B>>2]|0;if((m|0)!=(A|0))tE(m)}m=(g|0)==3?1:g;g=f[n>>2]&7;A=(g|0)==0;switch(m|0){case 0:{B=f[70216+(g<<2)>>2]|0;if((g|0)==7){f[k>>2]=0;f[k+4>>2]=0;v=YG(k,11)|0;w=293624;x=v+11|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-215,k,293481,293344,1789)}else{M=0;N=B;O=0}break}case 1:{P=f[70248+(g<<2)>>2]|0;L=71;break}case 2:{B=f[70280+(g<<2)>>2]|0;if((CD(a,-1)|0)<5){P=B;L=71}else{f[k>>2]=0;f[k+4>>2]=0;v=YG(k,20)|0;w=293636;x=v+20|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-215,k,293481,293344,1797)}break}case 4:{B=f[70312+(g<<2)>>2]|0;if((CD(a,-1)|0)<5){P=B;L=71}else{f[k>>2]=0;f[k+4>>2]=0;v=YG(k,20)|0;w=293636;x=v+20|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-215,k,293481,293344,1801)}break}default:{f[k>>2]=0;f[k+4>>2]=0;v=YG(k,28)|0;w=293413;x=v+28|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-5,k,293481,293344,1804)}}do if((L|0)==71)if(!P){f[k>>2]=0;f[k+4>>2]=0;v=YG(k,10)|0;w=293657;x=v+10|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-215,k,293481,293344,1805)}else{M=tsa(m,A)|0;N=0;O=P;break}while(0);P=o;A=q;m=f[o>>2]|0;B=m&4095;a=(B|0)==11;g=f[q>>2]|0;if(a)if((g&4094|0)!=2?(f[q+16>>2]|0)!=0:0){y=f[q+4>>2]|0;if((y|0)<3)Q=Y(f[q+12>>2]|0,f[q+8>>2]|0)|0;else{z=f[q+40>>2]|0;C=0;d=1;while(1){H=Y(f[z+(C<<2)>>2]|0,d)|0;C=C+1|0;if((C|0)==(y|0)){Q=H;break}else d=H}}if(!((y|0)==0|(Q|0)==0))L=82;else L=90}else L=90;else L=82;do if((L|0)==82){Q=g&4095;if((Q|0)==11){if((m&4094|0)==2){L=90;break}if(!(f[o+16>>2]|0)){L=90;break}y=f[o+4>>2]|0;if((y|0)<3)R=Y(f[o+12>>2]|0,f[o+8>>2]|0)|0;else{d=f[e>>2]|0;C=0;z=1;while(1){H=Y(f[d+(C<<2)>>2]|0,z)|0;C=C+1|0;if((C|0)==(y|0)){R=H;break}else z=H}}if((y|0)==0|(R|0)==0){L=90;break}}switch(m&4095){case 11:case 13:{if(f[q+16>>2]|0){z=f[q+4>>2]|0;if((z|0)<3)S=Y(f[q+12>>2]|0,f[q+8>>2]|0)|0;else{C=f[q+40>>2]|0;d=0;H=1;while(1){r=Y(f[C+(d<<2)>>2]|0,H)|0;d=d+1|0;if((d|0)==(z|0)){S=r;break}else H=r}}if(!((z|0)==0|(S|0)==0))L=98}break}default:L=98}if((L|0)==98?!((B|0)==5&(Q|0)==5):0){f[k>>2]=0;f[k+4>>2]=0;v=YG(k,126)|0;w=293668;x=v+126|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-215,k,293481,293344,1820)}T=(m&4088|0)==0;U=A;V=P}while(0);if((L|0)==90){T=0;U=a?A:P;V=a?P:A}f[k>>2]=70352;f[k+4>>2]=n;f[k+8>>2]=s;f[k+12>>2]=V;f[k+16>>2]=U;f[k+20>>2]=h;p[k+24>>3]=+p[i>>3];p[k+32>>3]=+p[i+8>>3];p[k+40>>3]=+p[i+16>>3];p[k+48>>3]=+p[i+24>>3];f[k+56>>2]=T&1;f[k+60>>2]=N;f[k+64>>2]=O;f[k+68>>2]=M;M=f[c>>2]|0;f[t>>2]=0;f[t+4>>2]=M;c=s+4|0;O=f[c>>2]|0;if((O|0)<3)W=Y(f[D>>2]|0,M)|0;else{M=f[s+40>>2]|0;D=0;N=1;while(1){T=Y(f[M+(D<<2)>>2]|0,N)|0;D=D+1|0;if((D|0)==(O|0)){W=T;break}else N=T}}oU(t,k,+(W>>>0)*.0000152587890625);W=s+36|0;k=f[W>>2]|0;if(k|0?(t=k+12|0,k=f[t>>2]|0,f[t>>2]=k+-1,(k|0)==1):0)lP(s);f[W>>2]=0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[c>>2]|0)>0){F=f[s+40>>2]|0;W=0;do{f[F+(W<<2)>>2]=0;W=W+1|0}while((W|0)<(f[c>>2]|0))}c=f[s+44>>2]|0;if((c|0)!=(s+48|0))tE(c);c=q+36|0;s=f[c>>2]|0;if(s|0?(W=s+12|0,s=f[W>>2]|0,f[W>>2]=s+-1,(s|0)==1):0)lP(q);f[c>>2]=0;c=q+16|0;s=q+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[s>>2]|0)>0){c=f[q+40>>2]|0;W=0;do{f[c+(W<<2)>>2]=0;W=W+1|0}while((W|0)<(f[s>>2]|0))}s=f[q+44>>2]|0;if((s|0)!=(q+48|0))tE(s);s=o+36|0;q=f[s>>2]|0;do if(q|0){W=q+12|0;c=f[W>>2]|0;f[W>>2]=c+-1;if((c|0)!=1)break;lP(o)}while(0);f[s>>2]=0;s=o+16|0;q=o+4|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[q>>2]|0)>0){s=f[e>>2]|0;e=0;do{f[s+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[q>>2]|0))}q=f[o+44>>2]|0;if((q|0)!=(o+48|0))tE(q);q=n+36|0;o=f[q>>2]|0;do if(o|0){e=o+12|0;s=f[e>>2]|0;f[e>>2]=s+-1;if((s|0)!=1)break;lP(n)}while(0);f[q>>2]=0;q=n+4|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[q>>2]|0)>0){E=f[n+40>>2]|0;o=0;do{f[E+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[q>>2]|0))}q=f[n+44>>2]|0;if((q|0)!=(n+48|0))tE(q);if(!(f[l+4>>2]|0)){u=j;return}u=j;return}function vsa(a){a=a|0;Emc(a);return}function wsa(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,i=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0;c=u;u=u+416|0;e=c+352|0;g=c+296|0;i=c+240|0;k=c+184|0;l=c+72|0;m=c+16|0;o=c+128|0;p=c;q=a+8|0;r=f[q>>2]|0;s=f[r+8>>2]|0;t=a+12|0;v=f[f[t>>2]>>2]&7;w=16384/(((s|0)<128?s:128)|0)|0;x=f[r+12>>2]|0;r=(x|0)<(w|0)?x:w;w=16384/(r|0)|0;x=(s|0)<(w|0)?s:w;f[g>>2]=1124007936;w=g+4|0;s=g+8|0;y=g+40|0;z=w;A=z+36|0;do{f[z>>2]=0;z=z+4|0}while((z|0)<(A|0));f[y>>2]=s;s=g+48|0;B=g+44|0;f[B>>2]=s;f[s>>2]=0;f[g+52>>2]=0;f[e>>2]=x;C=e+4|0;f[C>>2]=r;iP(g,2,e,11);f[i>>2]=1124007936;D=i+4|0;E=i+8|0;F=i+40|0;z=D;A=z+36|0;do{f[z>>2]=0;z=z+4|0}while((z|0)<(A|0));f[F>>2]=E;E=i+48|0;z=i+44|0;f[z>>2]=E;f[E>>2]=0;f[i+52>>2]=0;A=a+60|0;if(!(f[A>>2]|0)){f[e>>2]=x;f[C>>2]=r;iP(i,2,e,2)}C=f[b>>2]|0;G=b+4|0;if((C|0)<(f[G>>2]|0)){b=k+4|0;H=k+8|0;I=k+12|0;J=l+4|0;K=l+8|0;L=l+12|0;M=m+4|0;N=m+8|0;O=m+12|0;P=a+64|0;Q=a+4|0;R=a+68|0;S=a+20|0;T=a+24|0;U=l+36|0;V=l+16|0;W=l+4|0;X=l+40|0;Z=l+44|0;_=l+48|0;$=k+16|0;aa=k+44|0;ba=a+16|0;ca=p+4|0;da=p+8|0;ea=p+12|0;fa=m+36|0;ga=k+36|0;ha=k+4|0;ia=k+40|0;ja=m+4|0;ka=m+8|0;la=k+8|0;ma=m+12|0;na=k+12|0;oa=m+44|0;pa=m+16|0;qa=m+20|0;ra=k+20|0;sa=m+24|0;ta=k+24|0;ua=m+28|0;va=k+28|0;wa=m+32|0;xa=k+32|0;ya=m+40|0;za=m+48|0;Aa=a+56|0;a=k+48|0;Ba=e+36|0;Ca=e+16|0;Da=e+4|0;Ea=e+40|0;Fa=e+44|0;Ga=e+48|0;Ha=m+4|0;Ia=m+8|0;Ja=m+12|0;Ka=l+36|0;La=l+4|0;Ma=l+8|0;Na=l+12|0;Oa=l+44|0;Pa=l+16|0;Qa=l+20|0;Ra=l+24|0;Sa=l+28|0;Ta=l+32|0;Ua=l+40|0;Va=l+48|0;Wa=(v|0)==5;v=l+4|0;Xa=l+8|0;Ya=l+12|0;Za=m+8|0;_a=m+4|0;$a=o+36|0;ab=o+16|0;bb=o+4|0;cb=o+40|0;db=o+44|0;eb=o+48|0;fb=C;C=f[q>>2]|0;while(1){gb=f[C+12>>2]|0;if((gb|0)>0){hb=0;ib=gb;gb=C;while(1){jb=(f[G>>2]|0)-fb|0;kb=(jb|0)<(x|0)?jb:x;jb=ib-hb|0;lb=(jb|0)<(r|0)?jb:r;f[k>>2]=hb;f[b>>2]=fb;f[H>>2]=lb;f[I>>2]=kb;pP(e,gb,k);f[l>>2]=0;f[J>>2]=0;f[K>>2]=lb;f[L>>2]=kb;pP(k,g,l);if(!(f[A>>2]|0)){f[m>>2]=0;f[M>>2]=0;f[N>>2]=lb;f[O>>2]=kb;pP(l,i,m);if((kb|0)>0){jb=(lb|0)>0;mb=hb<<1;nb=0;do{ob=(f[$>>2]|0)+(Y(f[f[aa>>2]>>2]|0,nb)|0)|0;pb=(f[V>>2]|0)+(Y(f[f[Z>>2]>>2]|0,nb)|0)|0;qb=f[t>>2]|0;do if((f[qb>>2]&4095|0)==11?(f[f[ba>>2]>>2]&4094|0)==2:0){f[p>>2]=hb;f[ca>>2]=fb;f[da>>2]=lb;f[ea>>2]=kb;pP(m,qb,p);rb=f[fa>>2]|0;if(rb|0){sb=rb+12|0;f[sb>>2]=(f[sb>>2]|0)+1}sb=f[ga>>2]|0;if(sb|0?(rb=sb+12|0,sb=f[rb>>2]|0,f[rb>>2]=sb+-1,(sb|0)==1):0)lP(k);f[ga>>2]=0;f[$>>2]=0;f[$+4>>2]=0;f[$+8>>2]=0;f[$+12>>2]=0;if((f[ha>>2]|0)>0){sb=f[ia>>2]|0;rb=0;do{f[sb+(rb<<2)>>2]=0;rb=rb+1|0;tb=f[ha>>2]|0}while((rb|0)<(tb|0));f[k>>2]=f[m>>2];if((tb|0)<3)ub=73;else ub=75}else{f[k>>2]=f[m>>2];ub=73}if((ub|0)==73){ub=0;rb=f[ja>>2]|0;if((rb|0)<3){f[ha>>2]=rb;f[la>>2]=f[ka>>2];f[na>>2]=f[ma>>2];rb=f[oa>>2]|0;sb=f[aa>>2]|0;f[sb>>2]=f[rb>>2];f[sb+4>>2]=f[rb+4>>2]}else ub=75}if((ub|0)==75){ub=0;kP(k,m)}f[$>>2]=f[pa>>2];f[ra>>2]=f[qa>>2];f[ta>>2]=f[sa>>2];f[va>>2]=f[ua>>2];f[xa>>2]=f[wa>>2];rb=f[fa>>2]|0;f[ga>>2]=rb;do if(rb|0){sb=rb+12|0;vb=f[sb>>2]|0;f[sb>>2]=vb+-1;if((vb|0)!=1)break;lP(m)}while(0);f[fa>>2]=0;f[pa>>2]=0;f[pa+4>>2]=0;f[pa+8>>2]=0;f[pa+12>>2]=0;if((f[ja>>2]|0)>0){rb=f[ya>>2]|0;vb=0;do{f[rb+(vb<<2)>>2]=0;vb=vb+1|0}while((vb|0)<(f[ja>>2]|0))}vb=f[oa>>2]|0;if((vb|0)!=(za|0))tE(vb);vb=f[ba>>2]|0;rb=(f[vb+16>>2]|0)+(Y(f[f[vb+44>>2]>>2]|0,nb+fb|0)|0)+(hb<<1)|0;if(jb)wb=0;else break;do{d[pb+(wb<<1)>>1]=d[rb+(wb<<1)>>1]&1023;wb=wb+1|0}while((wb|0)<(lb|0))}else ub=86;while(0);do if((ub|0)==86){ub=0;rb=nb+fb|0;vb=(f[qb+16>>2]|0)+(Y(f[f[qb+44>>2]>>2]|0,rb)|0)|0;if(!(f[Aa>>2]|0)){sb=vb+(mb<<2)|0;if(jb)xb=0;else break;do{yb=xb<<1;zb=U9b(+n[sb+(yb<<2)>>2]*32.0)|0;Ab=yb|1;Bb=U9b(+n[sb+(Ab<<2)>>2]*32.0)|0;Cb=zb>>5;d[ob+(yb<<1)>>1]=(Cb+32768|0)>>>0<65536?Cb:(Cb|0)>0?32767:32768;Cb=Bb>>5;d[ob+(Ab<<1)>>1]=(Cb+32768|0)>>>0<65536?Cb:(Cb|0)>0?32767:32768;d[pb+(xb<<1)>>1]=Bb<<5&992|zb&31;xb=xb+1|0}while((xb|0)<(lb|0))}else{sb=vb+(hb<<2)|0;zb=f[ba>>2]|0;Bb=(f[zb+16>>2]|0)+(Y(f[f[zb+44>>2]>>2]|0,rb)|0)+(hb<<2)|0;if(jb)Db=0;else break;do{zb=U9b(+n[sb+(Db<<2)>>2]*32.0)|0;Cb=U9b(+n[Bb+(Db<<2)>>2]*32.0)|0;Ab=zb>>5;yb=Db<<1;d[ob+(yb<<1)>>1]=(Ab+32768|0)>>>0<65536?Ab:(Ab|0)>0?32767:32768;Ab=Cb>>5;d[ob+((yb|1)<<1)>>1]=(Ab+32768|0)>>>0<65536?Ab:(Ab|0)>0?32767:32768;d[pb+(Db<<1)>>1]=Cb<<5&992|zb&31;Db=Db+1|0}while((Db|0)<(lb|0))}}while(0);nb=nb+1|0}while((nb|0)<(kb|0))}Oh[f[P>>2]&127](f[Q>>2]|0,e,k,l,f[R>>2]|0,f[S>>2]|0,T);nb=f[U>>2]|0;if(nb|0?(jb=nb+12|0,nb=f[jb>>2]|0,f[jb>>2]=nb+-1,(nb|0)==1):0)lP(l);f[U>>2]=0;f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;f[V+12>>2]=0;if((f[W>>2]|0)>0){nb=f[X>>2]|0;jb=0;do{f[nb+(jb<<2)>>2]=0;jb=jb+1|0}while((jb|0)<(f[W>>2]|0))}jb=f[Z>>2]|0;if((jb|0)!=(_|0))tE(jb)}else{jb=f[t>>2]|0;do if((f[jb>>2]&4095|0)==11){nb=f[ba>>2]|0;if(f[nb+16>>2]|0){mb=f[nb+4>>2]|0;if((mb|0)<3)Eb=Y(f[nb+12>>2]|0,f[nb+8>>2]|0)|0;else{pb=f[nb+40>>2]|0;nb=0;ob=1;while(1){qb=Y(f[pb+(nb<<2)>>2]|0,ob)|0;nb=nb+1|0;if((nb|0)==(mb|0)){Eb=qb;break}else ob=qb}}if(!((mb|0)==0|(Eb|0)==0)){ub=36;break}}f[m>>2]=hb;f[Ha>>2]=fb;f[Ia>>2]=lb;f[Ja>>2]=kb;pP(l,jb,m);ob=f[Ka>>2]|0;if(ob|0){nb=ob+12|0;f[nb>>2]=(f[nb>>2]|0)+1}nb=f[ga>>2]|0;if(nb|0?(ob=nb+12|0,nb=f[ob>>2]|0,f[ob>>2]=nb+-1,(nb|0)==1):0)lP(k);f[ga>>2]=0;f[$>>2]=0;f[$+4>>2]=0;f[$+8>>2]=0;f[$+12>>2]=0;if((f[ha>>2]|0)>0){nb=f[ia>>2]|0;ob=0;do{f[nb+(ob<<2)>>2]=0;ob=ob+1|0;Fb=f[ha>>2]|0}while((ob|0)<(Fb|0));f[k>>2]=f[l>>2];if((Fb|0)<3)ub=24;else ub=26}else{f[k>>2]=f[l>>2];ub=24}if((ub|0)==24){ub=0;ob=f[La>>2]|0;if((ob|0)<3){f[ha>>2]=ob;f[la>>2]=f[Ma>>2];f[na>>2]=f[Na>>2];ob=f[Oa>>2]|0;nb=f[aa>>2]|0;f[nb>>2]=f[ob>>2];f[nb+4>>2]=f[ob+4>>2]}else ub=26}if((ub|0)==26){ub=0;kP(k,l)}f[$>>2]=f[Pa>>2];f[ra>>2]=f[Qa>>2];f[ta>>2]=f[Ra>>2];f[va>>2]=f[Sa>>2];f[xa>>2]=f[Ta>>2];ob=f[Ka>>2]|0;f[ga>>2]=ob;if(ob|0?(nb=ob+12|0,ob=f[nb>>2]|0,f[nb>>2]=ob+-1,(ob|0)==1):0)lP(l);f[Ka>>2]=0;f[Pa>>2]=0;f[Pa+4>>2]=0;f[Pa+8>>2]=0;f[Pa+12>>2]=0;if((f[La>>2]|0)>0){ob=f[Ua>>2]|0;nb=0;do{f[ob+(nb<<2)>>2]=0;nb=nb+1|0}while((nb|0)<(f[La>>2]|0))}nb=f[Oa>>2]|0;if((nb|0)!=(Va|0))tE(nb)}else ub=36;while(0);a:do if((ub|0)==36){ub=0;if(!Wa){if((kb|0)<=0)break;nb=f[$>>2]|0;ob=f[jb+16>>2]|0;mb=hb<<1;pb=f[ba>>2]|0;qb=f[pb+16>>2]|0;if((lb|0)<=0)break;Bb=f[f[aa>>2]>>2]|0;sb=f[f[jb+44>>2]>>2]|0;rb=f[f[pb+44>>2]>>2]|0;pb=0;while(1){vb=nb+(Y(Bb,pb)|0)|0;zb=pb+fb|0;Cb=ob+(Y(sb,zb)|0)+(mb<<1)|0;Ab=qb+(Y(rb,zb)|0)+(hb<<1)|0;zb=0;do{yb=d[Ab+(zb<<1)>>1]&1023;Gb=zb<<1;d[vb+(Gb<<1)>>1]=(h[1159019+(yb<<1)>>0]|0)+(j[Cb+(Gb<<1)>>1]|0);Hb=Gb|1;d[vb+(Hb<<1)>>1]=(h[1159019+(yb<<1)+1>>0]|0)+(j[Cb+(Hb<<1)>>1]|0);zb=zb+1|0}while((zb|0)<(lb|0));pb=pb+1|0;if((pb|0)>=(kb|0))break a}}if(f[Aa>>2]|0){if((kb|0)<=0)break;pb=f[$>>2]|0;rb=f[f[aa>>2]>>2]|0;qb=f[jb+16>>2]|0;mb=f[f[jb+44>>2]>>2]|0;sb=f[ba>>2]|0;ob=f[sb+16>>2]|0;Bb=f[f[sb+44>>2]>>2]|0;if((lb|0)>0)Ib=0;else break;while(1){sb=pb+(Y(rb,Ib)|0)|0;nb=Ib+fb|0;zb=qb+(Y(mb,nb)|0)+(hb<<2)|0;Cb=ob+(Y(Bb,nb)|0)+(hb<<2)|0;nb=0;do{vb=U9b(+n[zb+(nb<<2)>>2])|0;Ab=nb<<1;d[sb+(Ab<<1)>>1]=(vb+32768|0)>>>0<65536?vb:(vb|0)>0?32767:32768;vb=U9b(+n[Cb+(nb<<2)>>2])|0;d[sb+((Ab|1)<<1)>>1]=(vb+32768|0)>>>0<65536?vb:(vb|0)>0?32767:32768;nb=nb+1|0}while((nb|0)<(lb|0));Ib=Ib+1|0;if((Ib|0)>=(kb|0))break a}}f[l>>2]=hb;f[v>>2]=fb;f[Xa>>2]=lb;f[Ya>>2]=kb;pP(o,jb,l);Bb=Za;f[Bb>>2]=0;f[Bb+4>>2]=0;f[m>>2]=33619968;f[_a>>2]=k;IO(o,m,f[k>>2]&7,1.0,0.0);Bb=f[$a>>2]|0;if(Bb|0?(ob=Bb+12|0,Bb=f[ob>>2]|0,f[ob>>2]=Bb+-1,(Bb|0)==1):0)lP(o);f[$a>>2]=0;f[ab>>2]=0;f[ab+4>>2]=0;f[ab+8>>2]=0;f[ab+12>>2]=0;if((f[bb>>2]|0)>0){Bb=f[cb>>2]|0;ob=0;do{f[Bb+(ob<<2)>>2]=0;ob=ob+1|0}while((ob|0)<(f[bb>>2]|0))}ob=f[db>>2]|0;if((ob|0)!=(eb|0))tE(ob)}while(0);sh[f[A>>2]&255](f[Q>>2]|0,e,k,f[S>>2]|0,T)}jb=f[ga>>2]|0;if(jb|0?(kb=jb+12|0,jb=f[kb>>2]|0,f[kb>>2]=jb+-1,(jb|0)==1):0)lP(k);f[ga>>2]=0;f[$>>2]=0;f[$+4>>2]=0;f[$+8>>2]=0;f[$+12>>2]=0;if((f[ha>>2]|0)>0){jb=f[ia>>2]|0;kb=0;do{f[jb+(kb<<2)>>2]=0;kb=kb+1|0}while((kb|0)<(f[ha>>2]|0))}kb=f[aa>>2]|0;if((kb|0)!=(a|0))tE(kb);kb=f[Ba>>2]|0;if(kb|0?(jb=kb+12|0,kb=f[jb>>2]|0,f[jb>>2]=kb+-1,(kb|0)==1):0)lP(e);f[Ba>>2]=0;f[Ca>>2]=0;f[Ca+4>>2]=0;f[Ca+8>>2]=0;f[Ca+12>>2]=0;if((f[Da>>2]|0)>0){kb=f[Ea>>2]|0;jb=0;do{f[kb+(jb<<2)>>2]=0;jb=jb+1|0}while((jb|0)<(f[Da>>2]|0))}jb=f[Fa>>2]|0;if((jb|0)!=(Ga|0))tE(jb);hb=hb+r|0;jb=f[q>>2]|0;ib=f[jb+12>>2]|0;if((ib|0)<=(hb|0)){Jb=jb;break}else gb=jb}}else Jb=C;fb=fb+x|0;if((fb|0)>=(f[G>>2]|0))break;else C=Jb}}Jb=i+36|0;C=f[Jb>>2]|0;if(C|0?(G=C+12|0,C=f[G>>2]|0,f[G>>2]=C+-1,(C|0)==1):0)lP(i);f[Jb>>2]=0;Jb=i+16|0;f[Jb>>2]=0;f[Jb+4>>2]=0;f[Jb+8>>2]=0;f[Jb+12>>2]=0;if((f[D>>2]|0)>0){Jb=f[F>>2]|0;F=0;do{f[Jb+(F<<2)>>2]=0;F=F+1|0}while((F|0)<(f[D>>2]|0))}D=f[z>>2]|0;if((D|0)!=(E|0))tE(D);D=g+36|0;E=f[D>>2]|0;if(E|0?(z=E+12|0,E=f[z>>2]|0,f[z>>2]=E+-1,(E|0)==1):0)lP(g);f[D>>2]=0;D=g+16|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[w>>2]|0)>0){D=f[y>>2]|0;y=0;do{f[D+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[w>>2]|0))}w=f[B>>2]|0;if((w|0)==(s|0)){u=c;return}tE(w);u=c;return}function xsa(a,c,e,g,i,k,l){a=a|0;c=c|0;e=e|0;g=g|0;i=i|0;k=k|0;l=l|0;var m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0;m=u;u=u+576|0;n=m+64|0;o=m+32|0;q=m;r=f[a+40>>2]|0;s=f[r+4>>2]|0;t=f[r>>2]|0;r=f[c+40>>2]|0;v=f[r+4>>2]|0;w=f[r>>2]|0;r=(f[a>>2]|0)>>>3;x=(r&511)+1|0;y=f[a+16>>2]|0;z=f[a+48>>2]|0;a=0;do{A=V9b(+p[l+((a&3)<<3)>>3])|0;b[n+a>>0]=A>>>0<256?A:(A|0)>0?255:0;a=a+1|0}while((a|0)!=(x|0));a=(k|0)!=5?k:4;l=s+-7|0;A=(l|0)>0?l:0;l=t+-7|0;B=(l|0)>0?l:0;if((f[c>>2]&16384|0)!=0?(f[e>>2]&16384|0)!=0:0){l=(f[g>>2]&16384|0)!=0;C=Y(l?w:1,v)|0;if(l){D=C;E=1}else{F=C;G=6}}else{F=v;G=6}if((G|0)==6)if((w|0)>0){D=F;E=w}else{u=m;return}w=c+16|0;F=c+44|0;c=e+16|0;v=e+44|0;e=g+16|0;C=g+44|0;g=(D|0)>0;l=x<<1;H=x*3|0;I=x<<2;J=x*5|0;K=x*6|0;L=x*7|0;M=z<<3;N=1-M|0;O=(k|0)==5;k=(a|0)==0;P=o+4|0;Q=o+8|0;R=o+12|0;S=o+16|0;T=o+20|0;U=o+24|0;V=o+28|0;W=(r|-512)^511;r=q+4|0;X=q+8|0;Z=q+12|0;_=q+16|0;$=q+20|0;aa=q+24|0;ba=q+28|0;ca=0;da=y;while(1){y=f[w>>2]|0;ea=Y(f[f[F>>2]>>2]|0,ca)|0;fa=(f[c>>2]|0)+(Y(f[f[v>>2]>>2]|0,ca)|0)|0;ga=(f[e>>2]|0)+(Y(f[f[C>>2]>>2]|0,ca)|0)|0;if(g){ha=y+ea|0;ia=0;ja=da;while(1){ka=y+(ea+(Y(x,ia)|0))|0;la=ia<<1;ma=d[fa+(la<<1)>>1]|0;na=ma<<16>>16;oa=na+-3|0;pa=d[fa+((la|1)<<1)>>1]|0;la=pa+-3|0;qa=i+(j[ga+(ia<<1)>>1]<<6<<1)|0;if(oa>>>0<A>>>0&la>>>0<B>>>0){ra=0;sa=ja+(Y(la,z)|0)+(Y(oa,x)|0)|0;while(1){ta=0;ua=0;va=sa;wa=qa;while(1){xa=Y(d[wa>>1]|0,h[va>>0]|0)|0;ya=Y(d[wa+2>>1]|0,h[va+x>>0]|0)|0;za=Y(d[wa+4>>1]|0,h[va+l>>0]|0)|0;Aa=Y(d[wa+6>>1]|0,h[va+H>>0]|0)|0;Ba=Y(d[wa+8>>1]|0,h[va+I>>0]|0)|0;Ca=Y(d[wa+10>>1]|0,h[va+J>>0]|0)|0;Da=Y(d[wa+12>>1]|0,h[va+K>>0]|0)|0;ua=xa+ua+ya+za+Aa+Ba+Ca+Da+(Y(d[wa+14>>1]|0,h[va+L>>0]|0)|0)|0;ta=ta+1|0;if((ta|0)==8)break;else{va=va+z|0;wa=wa+16|0}}wa=ua+16384>>15;b[ha+ra>>0]=wa>>>0<256?wa:(wa|0)>0?255:0;ra=ra+1|0;if((ra|0)==(x|0)){Ea=ja;break}else sa=sa+M+N|0}}else{if(O?!(na>>>0<s>>>0&pa>>>0<t>>>0):0)Fa=ja;else G=19;do if((G|0)==19){G=0;if(k?(pa+5|0)<1|ma<<16>>16>-5&(oa|0)<(s|0)&(la|0)<(t|0)^1:0){Krc(ka|0,n|0,x|0)|0;Fa=ja;break}sa=Y(sT(oa,s,a)|0,x)|0;f[o>>2]=sa;ra=sT(la,t,a)|0;f[q>>2]=ra;ra=Y(sT(na+-2|0,s,a)|0,x)|0;f[P>>2]=ra;wa=sT(pa+-2|0,t,a)|0;f[r>>2]=wa;wa=Y(sT(na+-1|0,s,a)|0,x)|0;f[Q>>2]=wa;va=sT(pa+-1|0,t,a)|0;f[X>>2]=va;va=Y(sT(na,s,a)|0,x)|0;f[R>>2]=va;ta=sT(pa,t,a)|0;f[Z>>2]=ta;ta=Y(sT(na+1|0,s,a)|0,x)|0;f[S>>2]=ta;Da=sT(pa+1|0,t,a)|0;f[_>>2]=Da;Da=Y(sT(na+2|0,s,a)|0,x)|0;f[T>>2]=Da;Ca=sT(pa+2|0,t,a)|0;f[$>>2]=Ca;Ca=Y(sT(na+3|0,s,a)|0,x)|0;f[U>>2]=Ca;Ba=sT(pa+3|0,t,a)|0;f[aa>>2]=Ba;Ba=Y(sT(na+4|0,s,a)|0,x)|0;f[V>>2]=Ba;Aa=sT(pa+4|0,t,a)|0;f[ba>>2]=Aa;Aa=0;za=ja;ya=sa;sa=ra;ra=wa;wa=va;va=ta;ta=Da;Da=Ca;Ca=Ba;while(1){Ba=h[n+Aa>>0]|0;xa=Ba<<15;Ga=(sa|0)>-1;Ha=(ra|0)>-1;Ia=(wa|0)>-1;Ja=(va|0)>-1;Ka=(ta|0)>-1;La=(Da|0)>-1;Ma=(Ca|0)>-1;if((ya|0)>-1){Na=0;Oa=xa;Pa=qa;while(1){Qa=f[q+(Na<<2)>>2]|0;Ra=za+(Y(Qa,z)|0)|0;do if((Qa|0)<0)Sa=Oa;else{Ta=(Y((h[Ra+ya>>0]|0)-Ba|0,d[Pa>>1]|0)|0)+Oa|0;if(Ga)Ua=(Y((h[Ra+sa>>0]|0)-Ba|0,d[Pa+2>>1]|0)|0)+Ta|0;else Ua=Ta;if(Ha)Va=(Y((h[Ra+ra>>0]|0)-Ba|0,d[Pa+4>>1]|0)|0)+Ua|0;else Va=Ua;if(Ia)Wa=(Y((h[Ra+wa>>0]|0)-Ba|0,d[Pa+6>>1]|0)|0)+Va|0;else Wa=Va;if(Ja)Xa=(Y((h[Ra+va>>0]|0)-Ba|0,d[Pa+8>>1]|0)|0)+Wa|0;else Xa=Wa;if(Ka)Ya=(Y((h[Ra+ta>>0]|0)-Ba|0,d[Pa+10>>1]|0)|0)+Xa|0;else Ya=Xa;if(La)Za=(Y((h[Ra+Da>>0]|0)-Ba|0,d[Pa+12>>1]|0)|0)+Ya|0;else Za=Ya;if(!Ma){Sa=Za;break}Sa=(Y((h[Ra+Ca>>0]|0)-Ba|0,d[Pa+14>>1]|0)|0)+Za|0}while(0);Na=Na+1|0;if((Na|0)==8){_a=Sa;break}else{Oa=Sa;Pa=Pa+16|0}}}else{Pa=0;Oa=xa;Na=qa;while(1){Ra=f[q+(Pa<<2)>>2]|0;Qa=za+(Y(Ra,z)|0)|0;do if((Ra|0)<0)$a=Oa;else{if(Ga)ab=(Y((h[Qa+sa>>0]|0)-Ba|0,d[Na+2>>1]|0)|0)+Oa|0;else ab=Oa;if(Ha)bb=(Y((h[Qa+ra>>0]|0)-Ba|0,d[Na+4>>1]|0)|0)+ab|0;else bb=ab;if(Ia)cb=(Y((h[Qa+wa>>0]|0)-Ba|0,d[Na+6>>1]|0)|0)+bb|0;else cb=bb;if(Ja)db=(Y((h[Qa+va>>0]|0)-Ba|0,d[Na+8>>1]|0)|0)+cb|0;else db=cb;if(Ka)eb=(Y((h[Qa+ta>>0]|0)-Ba|0,d[Na+10>>1]|0)|0)+db|0;else eb=db;if(La)fb=(Y((h[Qa+Da>>0]|0)-Ba|0,d[Na+12>>1]|0)|0)+eb|0;else fb=eb;if(!Ma){$a=fb;break}$a=(Y((h[Qa+Ca>>0]|0)-Ba|0,d[Na+14>>1]|0)|0)+fb|0}while(0);Pa=Pa+1|0;if((Pa|0)==8){_a=$a;break}else{Oa=$a;Na=Na+16|0}}}Na=_a+16384>>15;b[ha+Aa>>0]=Na>>>0<256?Na:(Na|0)>0?255:0;Na=Aa+1|0;if((Na|0)==(x|0))break;Aa=Na;za=za+1|0;ya=f[o>>2]|0;sa=f[P>>2]|0;ra=f[Q>>2]|0;wa=f[R>>2]|0;va=f[S>>2]|0;ta=f[T>>2]|0;Da=f[U>>2]|0;Ca=f[V>>2]|0}Fa=ja+x+W|0}while(0);Ea=Fa}ia=ia+1|0;if((ia|0)==(D|0)){gb=Ea;break}else{ha=ha+x|0;ja=Ea}}}else gb=da;ca=ca+1|0;if((ca|0)==(E|0))break;else da=gb}u=m;return}function ysa(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0.0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0.0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0.0,Oa=0,Pa=0,Qa=0,Ra=0.0,Sa=0.0,Ta=0.0,Ua=0.0,Va=0.0,Wa=0.0,Xa=0.0,Ya=0.0,Za=0.0,_a=0.0,$a=0.0,ab=0.0,bb=0.0,cb=0.0,db=0.0,eb=0.0,fb=0;k=u;u=u+1088|0;l=k+64|0;m=k+32|0;o=k;q=f[a+40>>2]|0;r=f[q+4>>2]|0;s=f[q>>2]|0;q=f[b+40>>2]|0;t=f[q+4>>2]|0;v=f[q>>2]|0;q=(f[a>>2]|0)>>>3;w=q&511;x=w+1|0;y=f[a+16>>2]|0;z=(f[a+48>>2]|0)>>>1;a=0;do{A=V9b(+p[i+((a&3)<<3)>>3])|0;d[l+(a<<1)>>1]=A>>>0<65536?A:(A|0)>0?65535:0;a=a+1|0}while((a|0)!=(x|0));a=(h|0)!=5?h:4;i=r+-7|0;A=(i|0)>0?i:0;i=s+-7|0;B=(i|0)>0?i:0;if((f[b>>2]&16384|0)!=0?(f[c>>2]&16384|0)!=0:0){i=(f[e>>2]&16384|0)!=0;C=Y(i?v:1,t)|0;if(i){D=C;E=1}else{F=C;G=6}}else{F=t;G=6}if((G|0)==6)if((v|0)>0){D=F;E=v}else{u=k;return}v=b+16|0;F=b+44|0;b=c+16|0;t=c+44|0;c=e+16|0;C=e+44|0;e=(D|0)>0;i=x<<1;H=x*3|0;I=x<<2;J=x*5|0;K=x*6|0;L=x*7|0;M=z<<3;N=1-M|0;O=(h|0)==5;h=(a|0)==0;P=m+4|0;Q=m+8|0;R=m+12|0;S=m+16|0;T=m+20|0;U=m+24|0;V=m+28|0;W=(q|-512)^511;q=(w<<1)+2|0;w=o+4|0;X=o+8|0;Z=o+12|0;_=o+16|0;$=o+20|0;aa=o+24|0;ba=o+28|0;ca=0;da=y;while(1){y=f[v>>2]|0;ea=Y(f[f[F>>2]>>2]|0,ca)|0;fa=(f[b>>2]|0)+(Y(f[f[t>>2]>>2]|0,ca)|0)|0;ga=(f[c>>2]|0)+(Y(f[f[C>>2]>>2]|0,ca)|0)|0;if(e){ha=y+ea|0;ia=0;ja=da;while(1){ka=y+(ea+(Y(q,ia)|0))|0;la=ia<<1;ma=d[fa+(la<<1)>>1]|0;na=ma<<16>>16;oa=na+-3|0;pa=d[fa+((la|1)<<1)>>1]|0;la=pa+-3|0;qa=g+(j[ga+(ia<<1)>>1]<<6<<2)|0;if(oa>>>0<A>>>0&la>>>0<B>>>0){ra=0;sa=ja+((Y(la,z)|0)<<1)+((Y(oa,x)|0)<<1)|0;while(1){ta=0;ua=0.0;va=sa;wa=qa;while(1){ua=ua+(+(j[va>>1]|0)*+n[wa>>2]+ +(j[va+(x<<1)>>1]|0)*+n[wa+4>>2]+ +(j[va+(i<<1)>>1]|0)*+n[wa+8>>2]+ +(j[va+(H<<1)>>1]|0)*+n[wa+12>>2]+ +(j[va+(I<<1)>>1]|0)*+n[wa+16>>2]+ +(j[va+(J<<1)>>1]|0)*+n[wa+20>>2]+ +(j[va+(K<<1)>>1]|0)*+n[wa+24>>2]+ +(j[va+(L<<1)>>1]|0)*+n[wa+28>>2]);ta=ta+1|0;if((ta|0)==8)break;else{va=va+(z<<1)|0;wa=wa+32|0}}wa=U9b(ua)|0;d[ha+(ra<<1)>>1]=wa>>>0<65536?wa:(wa|0)>0?65535:0;ra=ra+1|0;if((ra|0)==(x|0)){xa=ja;break}else sa=sa+(M<<1)+(N<<1)|0}}else{if(O?!(na>>>0<r>>>0&pa>>>0<s>>>0):0)ya=ja;else G=19;do if((G|0)==19){G=0;if(h?(pa+5|0)<1|ma<<16>>16>-5&(oa|0)<(r|0)&(la|0)<(s|0)^1:0){Krc(ka|0,l|0,q|0)|0;ya=ja;break}sa=Y(sT(oa,r,a)|0,x)|0;f[m>>2]=sa;ra=sT(la,s,a)|0;f[o>>2]=ra;ra=Y(sT(na+-2|0,r,a)|0,x)|0;f[P>>2]=ra;wa=sT(pa+-2|0,s,a)|0;f[w>>2]=wa;wa=Y(sT(na+-1|0,r,a)|0,x)|0;f[Q>>2]=wa;va=sT(pa+-1|0,s,a)|0;f[X>>2]=va;va=Y(sT(na,r,a)|0,x)|0;f[R>>2]=va;ta=sT(pa,s,a)|0;f[Z>>2]=ta;ta=Y(sT(na+1|0,r,a)|0,x)|0;f[S>>2]=ta;za=sT(pa+1|0,s,a)|0;f[_>>2]=za;za=Y(sT(na+2|0,r,a)|0,x)|0;f[T>>2]=za;Aa=sT(pa+2|0,s,a)|0;f[$>>2]=Aa;Aa=Y(sT(na+3|0,r,a)|0,x)|0;f[U>>2]=Aa;Ba=sT(pa+3|0,s,a)|0;f[aa>>2]=Ba;Ba=Y(sT(na+4|0,r,a)|0,x)|0;f[V>>2]=Ba;Ca=sT(pa+4|0,s,a)|0;f[ba>>2]=Ca;Ca=0;Da=ja;Ea=sa;sa=ra;ra=wa;wa=va;va=ta;ta=za;za=Aa;Aa=Ba;while(1){Fa=+(j[l+(Ca<<1)>>1]|0);Ba=(sa|0)>-1;Ga=(ra|0)>-1;Ha=(wa|0)>-1;Ia=(va|0)>-1;Ja=(ta|0)>-1;Ka=(za|0)>-1;La=(Aa|0)>-1;if((Ea|0)>-1){Ma=0;Na=Fa;Oa=qa;while(1){Pa=f[o+(Ma<<2)>>2]|0;Qa=Da+((Y(Pa,z)|0)<<1)|0;do if((Pa|0)<0)Ra=Na;else{Sa=Na+ +n[Oa>>2]*(+(j[Qa+(Ea<<1)>>1]|0)-Fa);if(Ba)Ta=Sa+ +n[Oa+4>>2]*(+(j[Qa+(sa<<1)>>1]|0)-Fa);else Ta=Sa;if(Ga)Ua=Ta+ +n[Oa+8>>2]*(+(j[Qa+(ra<<1)>>1]|0)-Fa);else Ua=Ta;if(Ha)Va=Ua+ +n[Oa+12>>2]*(+(j[Qa+(wa<<1)>>1]|0)-Fa);else Va=Ua;if(Ia)Wa=Va+ +n[Oa+16>>2]*(+(j[Qa+(va<<1)>>1]|0)-Fa);else Wa=Va;if(Ja)Xa=Wa+ +n[Oa+20>>2]*(+(j[Qa+(ta<<1)>>1]|0)-Fa);else Xa=Wa;if(Ka)Ya=Xa+ +n[Oa+24>>2]*(+(j[Qa+(za<<1)>>1]|0)-Fa);else Ya=Xa;if(!La){Ra=Ya;break}Ra=Ya+ +n[Oa+28>>2]*(+(j[Qa+(Aa<<1)>>1]|0)-Fa)}while(0);Ma=Ma+1|0;if((Ma|0)==8){Za=Ra;break}else{Na=Ra;Oa=Oa+32|0}}}else{Oa=0;Na=Fa;Ma=qa;while(1){Qa=f[o+(Oa<<2)>>2]|0;Pa=Da+((Y(Qa,z)|0)<<1)|0;do if((Qa|0)<0)_a=Na;else{if(Ba)$a=Na+ +n[Ma+4>>2]*(+(j[Pa+(sa<<1)>>1]|0)-Fa);else $a=Na;if(Ga)ab=$a+ +n[Ma+8>>2]*(+(j[Pa+(ra<<1)>>1]|0)-Fa);else ab=$a;if(Ha)bb=ab+ +n[Ma+12>>2]*(+(j[Pa+(wa<<1)>>1]|0)-Fa);else bb=ab;if(Ia)cb=bb+ +n[Ma+16>>2]*(+(j[Pa+(va<<1)>>1]|0)-Fa);else cb=bb;if(Ja)db=cb+ +n[Ma+20>>2]*(+(j[Pa+(ta<<1)>>1]|0)-Fa);else db=cb;if(Ka)eb=db+ +n[Ma+24>>2]*(+(j[Pa+(za<<1)>>1]|0)-Fa);else eb=db;if(!La){_a=eb;break}_a=eb+ +n[Ma+28>>2]*(+(j[Pa+(Aa<<1)>>1]|0)-Fa)}while(0);Oa=Oa+1|0;if((Oa|0)==8){Za=_a;break}else{Na=_a;Ma=Ma+32|0}}}Ma=U9b(Za)|0;d[ha+(Ca<<1)>>1]=Ma>>>0<65536?Ma:(Ma|0)>0?65535:0;Ma=Ca+1|0;if((Ma|0)==(x|0))break;Ca=Ma;Da=Da+2|0;Ea=f[m>>2]|0;sa=f[P>>2]|0;ra=f[Q>>2]|0;wa=f[R>>2]|0;va=f[S>>2]|0;ta=f[T>>2]|0;za=f[U>>2]|0;Aa=f[V>>2]|0}ya=ja+(x<<1)+(W<<1)|0}while(0);xa=ya}ia=ia+1|0;if((ia|0)==(D|0)){fb=xa;break}else{ha=ha+(x<<1)|0;ja=xa}}}else fb=da;ca=ca+1|0;if((ca|0)==(E|0))break;else da=fb}u=k;return}function zsa(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0.0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0.0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0.0,Oa=0,Pa=0,Qa=0,Ra=0.0,Sa=0.0,Ta=0.0,Ua=0.0,Va=0.0,Wa=0.0,Xa=0.0,Ya=0.0,Za=0.0,_a=0.0,$a=0.0,ab=0.0,bb=0.0,cb=0.0,db=0.0,eb=0.0,fb=0;k=u;u=u+1088|0;l=k+64|0;m=k+32|0;o=k;q=f[a+40>>2]|0;r=f[q+4>>2]|0;s=f[q>>2]|0;q=f[b+40>>2]|0;t=f[q+4>>2]|0;v=f[q>>2]|0;q=(f[a>>2]|0)>>>3;w=q&511;x=w+1|0;y=f[a+16>>2]|0;z=(f[a+48>>2]|0)>>>1;a=0;do{A=V9b(+p[i+((a&3)<<3)>>3])|0;d[l+(a<<1)>>1]=(A+32768|0)>>>0<65536?A:(A|0)>0?32767:32768;a=a+1|0}while((a|0)!=(x|0));a=(h|0)!=5?h:4;i=r+-7|0;A=(i|0)>0?i:0;i=s+-7|0;B=(i|0)>0?i:0;if((f[b>>2]&16384|0)!=0?(f[c>>2]&16384|0)!=0:0){i=(f[e>>2]&16384|0)!=0;C=Y(i?v:1,t)|0;if(i){D=C;E=1}else{F=C;G=6}}else{F=t;G=6}if((G|0)==6)if((v|0)>0){D=F;E=v}else{u=k;return}v=b+16|0;F=b+44|0;b=c+16|0;t=c+44|0;c=e+16|0;C=e+44|0;e=(D|0)>0;i=x<<1;H=x*3|0;I=x<<2;J=x*5|0;K=x*6|0;L=x*7|0;M=z<<3;N=1-M|0;O=(h|0)==5;h=(a|0)==0;P=m+4|0;Q=m+8|0;R=m+12|0;S=m+16|0;T=m+20|0;U=m+24|0;V=m+28|0;W=(q|-512)^511;q=(w<<1)+2|0;w=o+4|0;X=o+8|0;Z=o+12|0;_=o+16|0;$=o+20|0;aa=o+24|0;ba=o+28|0;ca=0;da=y;while(1){y=f[v>>2]|0;ea=Y(f[f[F>>2]>>2]|0,ca)|0;fa=(f[b>>2]|0)+(Y(f[f[t>>2]>>2]|0,ca)|0)|0;ga=(f[c>>2]|0)+(Y(f[f[C>>2]>>2]|0,ca)|0)|0;if(e){ha=y+ea|0;ia=0;ja=da;while(1){ka=y+(ea+(Y(q,ia)|0))|0;la=ia<<1;ma=d[fa+(la<<1)>>1]|0;na=ma<<16>>16;oa=na+-3|0;pa=d[fa+((la|1)<<1)>>1]|0;la=pa+-3|0;qa=g+(j[ga+(ia<<1)>>1]<<6<<2)|0;if(oa>>>0<A>>>0&la>>>0<B>>>0){ra=0;sa=ja+((Y(la,z)|0)<<1)+((Y(oa,x)|0)<<1)|0;while(1){ta=0;ua=0.0;va=sa;wa=qa;while(1){ua=ua+(+(d[va>>1]|0)*+n[wa>>2]+ +(d[va+(x<<1)>>1]|0)*+n[wa+4>>2]+ +(d[va+(i<<1)>>1]|0)*+n[wa+8>>2]+ +(d[va+(H<<1)>>1]|0)*+n[wa+12>>2]+ +(d[va+(I<<1)>>1]|0)*+n[wa+16>>2]+ +(d[va+(J<<1)>>1]|0)*+n[wa+20>>2]+ +(d[va+(K<<1)>>1]|0)*+n[wa+24>>2]+ +(d[va+(L<<1)>>1]|0)*+n[wa+28>>2]);ta=ta+1|0;if((ta|0)==8)break;else{va=va+(z<<1)|0;wa=wa+32|0}}wa=U9b(ua)|0;d[ha+(ra<<1)>>1]=(wa+32768|0)>>>0<65536?wa:(wa|0)>0?32767:32768;ra=ra+1|0;if((ra|0)==(x|0)){xa=ja;break}else sa=sa+(M<<1)+(N<<1)|0}}else{if(O?!(na>>>0<r>>>0&pa>>>0<s>>>0):0)ya=ja;else G=19;do if((G|0)==19){G=0;if(h?(pa+5|0)<1|ma<<16>>16>-5&(oa|0)<(r|0)&(la|0)<(s|0)^1:0){Krc(ka|0,l|0,q|0)|0;ya=ja;break}sa=Y(sT(oa,r,a)|0,x)|0;f[m>>2]=sa;ra=sT(la,s,a)|0;f[o>>2]=ra;ra=Y(sT(na+-2|0,r,a)|0,x)|0;f[P>>2]=ra;wa=sT(pa+-2|0,s,a)|0;f[w>>2]=wa;wa=Y(sT(na+-1|0,r,a)|0,x)|0;f[Q>>2]=wa;va=sT(pa+-1|0,s,a)|0;f[X>>2]=va;va=Y(sT(na,r,a)|0,x)|0;f[R>>2]=va;ta=sT(pa,s,a)|0;f[Z>>2]=ta;ta=Y(sT(na+1|0,r,a)|0,x)|0;f[S>>2]=ta;za=sT(pa+1|0,s,a)|0;f[_>>2]=za;za=Y(sT(na+2|0,r,a)|0,x)|0;f[T>>2]=za;Aa=sT(pa+2|0,s,a)|0;f[$>>2]=Aa;Aa=Y(sT(na+3|0,r,a)|0,x)|0;f[U>>2]=Aa;Ba=sT(pa+3|0,s,a)|0;f[aa>>2]=Ba;Ba=Y(sT(na+4|0,r,a)|0,x)|0;f[V>>2]=Ba;Ca=sT(pa+4|0,s,a)|0;f[ba>>2]=Ca;Ca=0;Da=ja;Ea=sa;sa=ra;ra=wa;wa=va;va=ta;ta=za;za=Aa;Aa=Ba;while(1){Fa=+(d[l+(Ca<<1)>>1]|0);Ba=(sa|0)>-1;Ga=(ra|0)>-1;Ha=(wa|0)>-1;Ia=(va|0)>-1;Ja=(ta|0)>-1;Ka=(za|0)>-1;La=(Aa|0)>-1;if((Ea|0)>-1){Ma=0;Na=Fa;Oa=qa;while(1){Pa=f[o+(Ma<<2)>>2]|0;Qa=Da+((Y(Pa,z)|0)<<1)|0;do if((Pa|0)<0)Ra=Na;else{Sa=Na+ +n[Oa>>2]*(+(d[Qa+(Ea<<1)>>1]|0)-Fa);if(Ba)Ta=Sa+ +n[Oa+4>>2]*(+(d[Qa+(sa<<1)>>1]|0)-Fa);else Ta=Sa;if(Ga)Ua=Ta+ +n[Oa+8>>2]*(+(d[Qa+(ra<<1)>>1]|0)-Fa);else Ua=Ta;if(Ha)Va=Ua+ +n[Oa+12>>2]*(+(d[Qa+(wa<<1)>>1]|0)-Fa);else Va=Ua;if(Ia)Wa=Va+ +n[Oa+16>>2]*(+(d[Qa+(va<<1)>>1]|0)-Fa);else Wa=Va;if(Ja)Xa=Wa+ +n[Oa+20>>2]*(+(d[Qa+(ta<<1)>>1]|0)-Fa);else Xa=Wa;if(Ka)Ya=Xa+ +n[Oa+24>>2]*(+(d[Qa+(za<<1)>>1]|0)-Fa);else Ya=Xa;if(!La){Ra=Ya;break}Ra=Ya+ +n[Oa+28>>2]*(+(d[Qa+(Aa<<1)>>1]|0)-Fa)}while(0);Ma=Ma+1|0;if((Ma|0)==8){Za=Ra;break}else{Na=Ra;Oa=Oa+32|0}}}else{Oa=0;Na=Fa;Ma=qa;while(1){Qa=f[o+(Oa<<2)>>2]|0;Pa=Da+((Y(Qa,z)|0)<<1)|0;do if((Qa|0)<0)_a=Na;else{if(Ba)$a=Na+ +n[Ma+4>>2]*(+(d[Pa+(sa<<1)>>1]|0)-Fa);else $a=Na;if(Ga)ab=$a+ +n[Ma+8>>2]*(+(d[Pa+(ra<<1)>>1]|0)-Fa);else ab=$a;if(Ha)bb=ab+ +n[Ma+12>>2]*(+(d[Pa+(wa<<1)>>1]|0)-Fa);else bb=ab;if(Ia)cb=bb+ +n[Ma+16>>2]*(+(d[Pa+(va<<1)>>1]|0)-Fa);else cb=bb;if(Ja)db=cb+ +n[Ma+20>>2]*(+(d[Pa+(ta<<1)>>1]|0)-Fa);else db=cb;if(Ka)eb=db+ +n[Ma+24>>2]*(+(d[Pa+(za<<1)>>1]|0)-Fa);else eb=db;if(!La){_a=eb;break}_a=eb+ +n[Ma+28>>2]*(+(d[Pa+(Aa<<1)>>1]|0)-Fa)}while(0);Oa=Oa+1|0;if((Oa|0)==8){Za=_a;break}else{Na=_a;Ma=Ma+32|0}}}Ma=U9b(Za)|0;d[ha+(Ca<<1)>>1]=(Ma+32768|0)>>>0<65536?Ma:(Ma|0)>0?32767:32768;Ma=Ca+1|0;if((Ma|0)==(x|0))break;Ca=Ma;Da=Da+2|0;Ea=f[m>>2]|0;sa=f[P>>2]|0;ra=f[Q>>2]|0;wa=f[R>>2]|0;va=f[S>>2]|0;ta=f[T>>2]|0;za=f[U>>2]|0;Aa=f[V>>2]|0}ya=ja+(x<<1)+(W<<1)|0}while(0);xa=ya}ia=ia+1|0;if((ia|0)==(D|0)){fb=xa;break}else{ha=ha+(x<<1)|0;ja=xa}}}else fb=da;ca=ca+1|0;if((ca|0)==(E|0))break;else da=fb}u=k;return}function Asa(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0.0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0.0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0.0,Oa=0,Pa=0,Qa=0,Ra=0.0,Sa=0.0,Ta=0.0,Ua=0.0,Va=0.0,Wa=0.0,Xa=0.0,Ya=0.0,Za=0.0,_a=0.0,$a=0.0,ab=0.0,bb=0.0,cb=0.0,db=0.0,eb=0.0,fb=0;k=u;u=u+2112|0;l=k+64|0;m=k+32|0;o=k;q=f[a+40>>2]|0;r=f[q+4>>2]|0;s=f[q>>2]|0;q=f[b+40>>2]|0;t=f[q+4>>2]|0;v=f[q>>2]|0;q=(f[a>>2]|0)>>>3;w=q&511;x=w+1|0;y=f[a+16>>2]|0;z=(f[a+48>>2]|0)>>>2;a=0;do{n[l+(a<<2)>>2]=+p[i+((a&3)<<3)>>3];a=a+1|0}while((a|0)!=(x|0));a=(h|0)!=5?h:4;i=r+-7|0;A=(i|0)>0?i:0;i=s+-7|0;B=(i|0)>0?i:0;if((f[b>>2]&16384|0)!=0?(f[c>>2]&16384|0)!=0:0){i=(f[e>>2]&16384|0)!=0;C=Y(i?v:1,t)|0;if(i){D=C;E=1}else{F=C;G=6}}else{F=t;G=6}if((G|0)==6)if((v|0)>0){D=F;E=v}else{u=k;return}v=b+16|0;F=b+44|0;b=c+16|0;t=c+44|0;c=e+16|0;C=e+44|0;e=(D|0)>0;i=x<<1;H=x*3|0;I=x<<2;J=x*5|0;K=x*6|0;L=x*7|0;M=z<<3;N=1-M|0;O=(h|0)==5;h=(a|0)==0;P=m+4|0;Q=m+8|0;R=m+12|0;S=m+16|0;T=m+20|0;U=m+24|0;V=m+28|0;W=(q|-512)^511;q=(w<<2)+4|0;w=o+4|0;X=o+8|0;Z=o+12|0;_=o+16|0;$=o+20|0;aa=o+24|0;ba=o+28|0;ca=0;da=y;while(1){y=f[v>>2]|0;ea=Y(f[f[F>>2]>>2]|0,ca)|0;fa=(f[b>>2]|0)+(Y(f[f[t>>2]>>2]|0,ca)|0)|0;ga=(f[c>>2]|0)+(Y(f[f[C>>2]>>2]|0,ca)|0)|0;if(e){ha=y+ea|0;ia=0;ja=da;while(1){ka=y+(ea+(Y(q,ia)|0))|0;la=ia<<1;ma=d[fa+(la<<1)>>1]|0;na=ma<<16>>16;oa=na+-3|0;pa=d[fa+((la|1)<<1)>>1]|0;la=pa+-3|0;qa=g+(j[ga+(ia<<1)>>1]<<6<<2)|0;if(oa>>>0<A>>>0&la>>>0<B>>>0){ra=0;sa=ja+((Y(la,z)|0)<<2)+((Y(oa,x)|0)<<2)|0;while(1){ta=0;ua=0.0;va=sa;wa=qa;while(1){ua=ua+(+n[va>>2]*+n[wa>>2]+ +n[va+(x<<2)>>2]*+n[wa+4>>2]+ +n[va+(i<<2)>>2]*+n[wa+8>>2]+ +n[va+(H<<2)>>2]*+n[wa+12>>2]+ +n[va+(I<<2)>>2]*+n[wa+16>>2]+ +n[va+(J<<2)>>2]*+n[wa+20>>2]+ +n[va+(K<<2)>>2]*+n[wa+24>>2]+ +n[va+(L<<2)>>2]*+n[wa+28>>2]);ta=ta+1|0;if((ta|0)==8)break;else{va=va+(z<<2)|0;wa=wa+32|0}}n[ha+(ra<<2)>>2]=ua;ra=ra+1|0;if((ra|0)==(x|0)){xa=ja;break}else sa=sa+(M<<2)+(N<<2)|0}}else{if(O?!(na>>>0<r>>>0&pa>>>0<s>>>0):0)ya=ja;else G=19;do if((G|0)==19){G=0;if(h?(pa+5|0)<1|ma<<16>>16>-5&(oa|0)<(r|0)&(la|0)<(s|0)^1:0){Krc(ka|0,l|0,q|0)|0;ya=ja;break}sa=Y(sT(oa,r,a)|0,x)|0;f[m>>2]=sa;ra=sT(la,s,a)|0;f[o>>2]=ra;ra=Y(sT(na+-2|0,r,a)|0,x)|0;f[P>>2]=ra;wa=sT(pa+-2|0,s,a)|0;f[w>>2]=wa;wa=Y(sT(na+-1|0,r,a)|0,x)|0;f[Q>>2]=wa;va=sT(pa+-1|0,s,a)|0;f[X>>2]=va;va=Y(sT(na,r,a)|0,x)|0;f[R>>2]=va;ta=sT(pa,s,a)|0;f[Z>>2]=ta;ta=Y(sT(na+1|0,r,a)|0,x)|0;f[S>>2]=ta;za=sT(pa+1|0,s,a)|0;f[_>>2]=za;za=Y(sT(na+2|0,r,a)|0,x)|0;f[T>>2]=za;Aa=sT(pa+2|0,s,a)|0;f[$>>2]=Aa;Aa=Y(sT(na+3|0,r,a)|0,x)|0;f[U>>2]=Aa;Ba=sT(pa+3|0,s,a)|0;f[aa>>2]=Ba;Ba=Y(sT(na+4|0,r,a)|0,x)|0;f[V>>2]=Ba;Ca=sT(pa+4|0,s,a)|0;f[ba>>2]=Ca;Ca=0;Da=ja;Ea=sa;sa=ra;ra=wa;wa=va;va=ta;ta=za;za=Aa;Aa=Ba;while(1){Fa=+n[l+(Ca<<2)>>2];Ba=(sa|0)>-1;Ga=(ra|0)>-1;Ha=(wa|0)>-1;Ia=(va|0)>-1;Ja=(ta|0)>-1;Ka=(za|0)>-1;La=(Aa|0)>-1;if((Ea|0)>-1){Ma=0;Na=Fa;Oa=qa;while(1){Pa=f[o+(Ma<<2)>>2]|0;Qa=Da+((Y(Pa,z)|0)<<2)|0;do if((Pa|0)<0)Ra=Na;else{Sa=Na+(+n[Qa+(Ea<<2)>>2]-Fa)*+n[Oa>>2];if(Ba)Ta=Sa+(+n[Qa+(sa<<2)>>2]-Fa)*+n[Oa+4>>2];else Ta=Sa;if(Ga)Ua=Ta+(+n[Qa+(ra<<2)>>2]-Fa)*+n[Oa+8>>2];else Ua=Ta;if(Ha)Va=Ua+(+n[Qa+(wa<<2)>>2]-Fa)*+n[Oa+12>>2];else Va=Ua;if(Ia)Wa=Va+(+n[Qa+(va<<2)>>2]-Fa)*+n[Oa+16>>2];else Wa=Va;if(Ja)Xa=Wa+(+n[Qa+(ta<<2)>>2]-Fa)*+n[Oa+20>>2];else Xa=Wa;if(Ka)Ya=Xa+(+n[Qa+(za<<2)>>2]-Fa)*+n[Oa+24>>2];else Ya=Xa;if(!La){Ra=Ya;break}Ra=Ya+(+n[Qa+(Aa<<2)>>2]-Fa)*+n[Oa+28>>2]}while(0);Ma=Ma+1|0;if((Ma|0)==8){Za=Ra;break}else{Na=Ra;Oa=Oa+32|0}}}else{Oa=0;Na=Fa;Ma=qa;while(1){Qa=f[o+(Oa<<2)>>2]|0;Pa=Da+((Y(Qa,z)|0)<<2)|0;do if((Qa|0)<0)_a=Na;else{if(Ba)$a=Na+(+n[Pa+(sa<<2)>>2]-Fa)*+n[Ma+4>>2];else $a=Na;if(Ga)ab=$a+(+n[Pa+(ra<<2)>>2]-Fa)*+n[Ma+8>>2];else ab=$a;if(Ha)bb=ab+(+n[Pa+(wa<<2)>>2]-Fa)*+n[Ma+12>>2];else bb=ab;if(Ia)cb=bb+(+n[Pa+(va<<2)>>2]-Fa)*+n[Ma+16>>2];else cb=bb;if(Ja)db=cb+(+n[Pa+(ta<<2)>>2]-Fa)*+n[Ma+20>>2];else db=cb;if(Ka)eb=db+(+n[Pa+(za<<2)>>2]-Fa)*+n[Ma+24>>2];else eb=db;if(!La){_a=eb;break}_a=eb+(+n[Pa+(Aa<<2)>>2]-Fa)*+n[Ma+28>>2]}while(0);Oa=Oa+1|0;if((Oa|0)==8){Za=_a;break}else{Na=_a;Ma=Ma+32|0}}}n[ha+(Ca<<2)>>2]=Za;Ma=Ca+1|0;if((Ma|0)==(x|0))break;Ca=Ma;Da=Da+4|0;Ea=f[m>>2]|0;sa=f[P>>2]|0;ra=f[Q>>2]|0;wa=f[R>>2]|0;va=f[S>>2]|0;ta=f[T>>2]|0;za=f[U>>2]|0;Aa=f[V>>2]|0}ya=ja+(x<<2)+(W<<2)|0}while(0);xa=ya}ia=ia+1|0;if((ia|0)==(D|0)){fb=xa;break}else{ha=ha+(x<<2)|0;ja=xa}}}else fb=da;ca=ca+1|0;if((ca|0)==(E|0))break;else da=fb}u=k;return}function Bsa(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0.0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0.0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0.0,Oa=0,Pa=0,Qa=0,Ra=0.0,Sa=0.0,Ta=0.0,Ua=0.0,Va=0.0,Wa=0.0,Xa=0.0,Ya=0.0,Za=0.0,_a=0.0,$a=0.0,ab=0.0,bb=0.0,cb=0.0,db=0.0,eb=0.0,fb=0;k=u;u=u+4160|0;l=k;m=k+4128|0;o=k+4096|0;q=f[a+40>>2]|0;r=f[q+4>>2]|0;s=f[q>>2]|0;q=f[b+40>>2]|0;t=f[q+4>>2]|0;v=f[q>>2]|0;q=(f[a>>2]|0)>>>3;w=q&511;x=w+1|0;y=f[a+16>>2]|0;z=(f[a+48>>2]|0)>>>3;a=0;do{p[l+(a<<3)>>3]=+p[i+((a&3)<<3)>>3];a=a+1|0}while((a|0)!=(x|0));a=(h|0)!=5?h:4;i=r+-7|0;A=(i|0)>0?i:0;i=s+-7|0;B=(i|0)>0?i:0;if((f[b>>2]&16384|0)!=0?(f[c>>2]&16384|0)!=0:0){i=(f[e>>2]&16384|0)!=0;C=Y(i?v:1,t)|0;if(i){D=C;E=1}else{F=C;G=6}}else{F=t;G=6}if((G|0)==6)if((v|0)>0){D=F;E=v}else{u=k;return}v=b+16|0;F=b+44|0;b=c+16|0;t=c+44|0;c=e+16|0;C=e+44|0;e=(D|0)>0;i=x<<1;H=x*3|0;I=x<<2;J=x*5|0;K=x*6|0;L=x*7|0;M=z<<3;N=1-M|0;O=(h|0)==5;h=(a|0)==0;P=m+4|0;Q=m+8|0;R=m+12|0;S=m+16|0;T=m+20|0;U=m+24|0;V=m+28|0;W=(q|-512)^511;q=(w<<3)+8|0;w=o+4|0;X=o+8|0;Z=o+12|0;_=o+16|0;$=o+20|0;aa=o+24|0;ba=o+28|0;ca=0;da=y;while(1){y=f[v>>2]|0;ea=Y(f[f[F>>2]>>2]|0,ca)|0;fa=(f[b>>2]|0)+(Y(f[f[t>>2]>>2]|0,ca)|0)|0;ga=(f[c>>2]|0)+(Y(f[f[C>>2]>>2]|0,ca)|0)|0;if(e){ha=y+ea|0;ia=0;ja=da;while(1){ka=y+(ea+(Y(q,ia)|0))|0;la=ia<<1;ma=d[fa+(la<<1)>>1]|0;na=ma<<16>>16;oa=na+-3|0;pa=d[fa+((la|1)<<1)>>1]|0;la=pa+-3|0;qa=g+(j[ga+(ia<<1)>>1]<<6<<2)|0;if(oa>>>0<A>>>0&la>>>0<B>>>0){ra=0;sa=ja+((Y(la,z)|0)<<3)+((Y(oa,x)|0)<<3)|0;while(1){ta=0;ua=0.0;va=sa;wa=qa;while(1){ua=ua+(+p[va>>3]*+n[wa>>2]+ +p[va+(x<<3)>>3]*+n[wa+4>>2]+ +p[va+(i<<3)>>3]*+n[wa+8>>2]+ +p[va+(H<<3)>>3]*+n[wa+12>>2]+ +p[va+(I<<3)>>3]*+n[wa+16>>2]+ +p[va+(J<<3)>>3]*+n[wa+20>>2]+ +p[va+(K<<3)>>3]*+n[wa+24>>2]+ +p[va+(L<<3)>>3]*+n[wa+28>>2]);ta=ta+1|0;if((ta|0)==8)break;else{va=va+(z<<3)|0;wa=wa+32|0}}p[ha+(ra<<3)>>3]=ua;ra=ra+1|0;if((ra|0)==(x|0)){xa=ja;break}else sa=sa+(M<<3)+(N<<3)|0}}else{if(O?!(na>>>0<r>>>0&pa>>>0<s>>>0):0)ya=ja;else G=19;do if((G|0)==19){G=0;if(h?(pa+5|0)<1|ma<<16>>16>-5&(oa|0)<(r|0)&(la|0)<(s|0)^1:0){Krc(ka|0,l|0,q|0)|0;ya=ja;break}sa=Y(sT(oa,r,a)|0,x)|0;f[m>>2]=sa;ra=sT(la,s,a)|0;f[o>>2]=ra;ra=Y(sT(na+-2|0,r,a)|0,x)|0;f[P>>2]=ra;wa=sT(pa+-2|0,s,a)|0;f[w>>2]=wa;wa=Y(sT(na+-1|0,r,a)|0,x)|0;f[Q>>2]=wa;va=sT(pa+-1|0,s,a)|0;f[X>>2]=va;va=Y(sT(na,r,a)|0,x)|0;f[R>>2]=va;ta=sT(pa,s,a)|0;f[Z>>2]=ta;ta=Y(sT(na+1|0,r,a)|0,x)|0;f[S>>2]=ta;za=sT(pa+1|0,s,a)|0;f[_>>2]=za;za=Y(sT(na+2|0,r,a)|0,x)|0;f[T>>2]=za;Aa=sT(pa+2|0,s,a)|0;f[$>>2]=Aa;Aa=Y(sT(na+3|0,r,a)|0,x)|0;f[U>>2]=Aa;Ba=sT(pa+3|0,s,a)|0;f[aa>>2]=Ba;Ba=Y(sT(na+4|0,r,a)|0,x)|0;f[V>>2]=Ba;Ca=sT(pa+4|0,s,a)|0;f[ba>>2]=Ca;Ca=0;Da=ja;Ea=sa;sa=ra;ra=wa;wa=va;va=ta;ta=za;za=Aa;Aa=Ba;while(1){Fa=+p[l+(Ca<<3)>>3];Ba=(sa|0)>-1;Ga=(ra|0)>-1;Ha=(wa|0)>-1;Ia=(va|0)>-1;Ja=(ta|0)>-1;Ka=(za|0)>-1;La=(Aa|0)>-1;if((Ea|0)>-1){Ma=0;Na=Fa;Oa=qa;while(1){Pa=f[o+(Ma<<2)>>2]|0;Qa=Da+((Y(Pa,z)|0)<<3)|0;do if((Pa|0)<0)Ra=Na;else{Sa=Na+(+p[Qa+(Ea<<3)>>3]-Fa)*+n[Oa>>2];if(Ba)Ta=Sa+(+p[Qa+(sa<<3)>>3]-Fa)*+n[Oa+4>>2];else Ta=Sa;if(Ga)Ua=Ta+(+p[Qa+(ra<<3)>>3]-Fa)*+n[Oa+8>>2];else Ua=Ta;if(Ha)Va=Ua+(+p[Qa+(wa<<3)>>3]-Fa)*+n[Oa+12>>2];else Va=Ua;if(Ia)Wa=Va+(+p[Qa+(va<<3)>>3]-Fa)*+n[Oa+16>>2];else Wa=Va;if(Ja)Xa=Wa+(+p[Qa+(ta<<3)>>3]-Fa)*+n[Oa+20>>2];else Xa=Wa;if(Ka)Ya=Xa+(+p[Qa+(za<<3)>>3]-Fa)*+n[Oa+24>>2];else Ya=Xa;if(!La){Ra=Ya;break}Ra=Ya+(+p[Qa+(Aa<<3)>>3]-Fa)*+n[Oa+28>>2]}while(0);Ma=Ma+1|0;if((Ma|0)==8){Za=Ra;break}else{Na=Ra;Oa=Oa+32|0}}}else{Oa=0;Na=Fa;Ma=qa;while(1){Qa=f[o+(Oa<<2)>>2]|0;Pa=Da+((Y(Qa,z)|0)<<3)|0;do if((Qa|0)<0)_a=Na;else{if(Ba)$a=Na+(+p[Pa+(sa<<3)>>3]-Fa)*+n[Ma+4>>2];else $a=Na;if(Ga)ab=$a+(+p[Pa+(ra<<3)>>3]-Fa)*+n[Ma+8>>2];else ab=$a;if(Ha)bb=ab+(+p[Pa+(wa<<3)>>3]-Fa)*+n[Ma+12>>2];else bb=ab;if(Ia)cb=bb+(+p[Pa+(va<<3)>>3]-Fa)*+n[Ma+16>>2];else cb=bb;if(Ja)db=cb+(+p[Pa+(ta<<3)>>3]-Fa)*+n[Ma+20>>2];else db=cb;if(Ka)eb=db+(+p[Pa+(za<<3)>>3]-Fa)*+n[Ma+24>>2];else eb=db;if(!La){_a=eb;break}_a=eb+(+p[Pa+(Aa<<3)>>3]-Fa)*+n[Ma+28>>2]}while(0);Oa=Oa+1|0;if((Oa|0)==8){Za=_a;break}else{Na=_a;Ma=Ma+32|0}}}p[ha+(Ca<<3)>>3]=Za;Ma=Ca+1|0;if((Ma|0)==(x|0))break;Ca=Ma;Da=Da+8|0;Ea=f[m>>2]|0;sa=f[P>>2]|0;ra=f[Q>>2]|0;wa=f[R>>2]|0;va=f[S>>2]|0;ta=f[T>>2]|0;za=f[U>>2]|0;Aa=f[V>>2]|0}ya=ja+(x<<3)+(W<<3)|0}while(0);xa=ya}ia=ia+1|0;if((ia|0)==(D|0)){fb=xa;break}else{ha=ha+(x<<3)|0;ja=xa}}}else fb=da;ca=ca+1|0;if((ca|0)==(E|0))break;else da=fb}u=k;return}function Csa(a,c,e,g,i,k,l){a=a|0;c=c|0;e=e|0;g=g|0;i=i|0;k=k|0;l=l|0;var m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0;m=u;u=u+544|0;n=m+32|0;o=m+16|0;q=m;r=f[a+40>>2]|0;s=f[r+4>>2]|0;t=f[r>>2]|0;r=f[c+40>>2]|0;v=f[r+4>>2]|0;w=f[r>>2]|0;r=(f[a>>2]|0)>>>3;x=(r&511)+1|0;y=f[a+16>>2]|0;z=f[a+48>>2]|0;a=0;do{A=V9b(+p[l+((a&3)<<3)>>3])|0;b[n+a>>0]=A>>>0<256?A:(A|0)>0?255:0;a=a+1|0}while((a|0)!=(x|0));a=(k|0)!=5?k:4;l=s+-3|0;A=(l|0)>0?l:0;l=t+-3|0;B=(l|0)>0?l:0;if((f[c>>2]&16384|0)!=0?(f[e>>2]&16384|0)!=0:0){l=(f[g>>2]&16384|0)!=0;C=Y(l?w:1,v)|0;if(l){D=C;E=1}else{F=C;G=6}}else{F=v;G=6}if((G|0)==6)if((w|0)>0){D=F;E=w}else{u=m;return}w=c+16|0;F=c+44|0;c=e+16|0;v=e+44|0;e=g+16|0;C=g+44|0;g=(D|0)>0;l=x<<1;H=x*3|0;I=(Y(z,-3)|0)+1|0;J=(k|0)==5;k=(a|0)==0;K=o+4|0;L=o+8|0;M=o+12|0;N=(r|-512)^511;r=q+4|0;O=q+8|0;P=q+12|0;Q=0;R=y;while(1){y=f[w>>2]|0;S=Y(f[f[F>>2]>>2]|0,Q)|0;T=(f[c>>2]|0)+(Y(f[f[v>>2]>>2]|0,Q)|0)|0;U=(f[e>>2]|0)+(Y(f[f[C>>2]>>2]|0,Q)|0)|0;if(g){V=y+S|0;W=0;X=R;while(1){Z=y+(S+(Y(x,W)|0))|0;_=W<<1;$=d[T+(_<<1)>>1]|0;aa=$+-1|0;ba=d[T+((_|1)<<1)>>1]|0;_=ba+-1|0;ca=i+(j[U+(W<<1)>>1]<<4<<1)|0;if(aa>>>0<A>>>0&_>>>0<B>>>0){da=ca+2|0;ea=ca+4|0;fa=ca+6|0;ga=ca+8|0;ha=ca+10|0;ia=ca+12|0;ja=ca+14|0;ka=ca+16|0;la=ca+18|0;ma=ca+20|0;na=ca+22|0;oa=ca+24|0;pa=ca+26|0;qa=ca+28|0;ra=ca+30|0;sa=0;ta=X+(Y(_,z)|0)+(Y(aa,x)|0)|0;while(1){ua=Y(d[ca>>1]|0,h[ta>>0]|0)|0;va=Y(d[da>>1]|0,h[ta+x>>0]|0)|0;wa=Y(d[ea>>1]|0,h[ta+l>>0]|0)|0;xa=Y(d[fa>>1]|0,h[ta+H>>0]|0)|0;ya=ta+z|0;za=Y(d[ga>>1]|0,h[ya>>0]|0)|0;Aa=Y(d[ha>>1]|0,h[ya+x>>0]|0)|0;Ba=Y(d[ia>>1]|0,h[ya+l>>0]|0)|0;Ca=Y(d[ja>>1]|0,h[ya+H>>0]|0)|0;Da=ya+z|0;ya=Y(d[ka>>1]|0,h[Da>>0]|0)|0;Ea=Y(d[la>>1]|0,h[Da+x>>0]|0)|0;Fa=Y(d[ma>>1]|0,h[Da+l>>0]|0)|0;Ga=Y(d[na>>1]|0,h[Da+H>>0]|0)|0;Ha=Da+z|0;Da=Y(d[oa>>1]|0,h[Ha>>0]|0)|0;Ia=Y(d[pa>>1]|0,h[Ha+x>>0]|0)|0;Ja=Y(d[qa>>1]|0,h[Ha+l>>0]|0)|0;Ka=ua+16384+va+wa+xa+za+Aa+Ba+Ca+ya+Ea+Fa+Ga+Da+Ia+Ja+(Y(d[ra>>1]|0,h[Ha+H>>0]|0)|0)>>15;b[V+sa>>0]=Ka>>>0<256?Ka:(Ka|0)>0?255:0;sa=sa+1|0;if((sa|0)==(x|0)){La=X;break}else ta=Ha+I|0}}else{if(J?!($>>>0<s>>>0&ba>>>0<t>>>0):0)Ma=X;else G=17;do if((G|0)==17){G=0;if(k?(ba+3|0)<1|((ba|0)>(t|0)|(($|0)>(s|0)|($+3|0)<1)):0){Krc(Z|0,n|0,x|0)|0;Ma=X;break}ta=Y(sT(aa,s,a)|0,x)|0;f[o>>2]=ta;sa=sT(_,t,a)|0;f[q>>2]=sa;sa=Y(sT($,s,a)|0,x)|0;f[K>>2]=sa;ra=sT(ba,t,a)|0;f[r>>2]=ra;ra=Y(sT($+1|0,s,a)|0,x)|0;f[L>>2]=ra;qa=sT(ba+1|0,t,a)|0;f[O>>2]=qa;qa=Y(sT($+2|0,s,a)|0,x)|0;f[M>>2]=qa;pa=sT(ba+2|0,t,a)|0;f[P>>2]=pa;pa=ca+8|0;oa=pa+8|0;na=oa+8|0;ma=na+2|0;la=na+4|0;ka=na+6|0;ja=oa+2|0;ia=oa+4|0;ha=oa+6|0;ga=pa+2|0;fa=pa+4|0;ea=pa+6|0;da=ca+2|0;Ha=ca+4|0;Ka=ca+6|0;Ja=ca+8|0;Ia=Ja+8|0;Da=Ia+8|0;Ga=Da+2|0;Fa=Da+4|0;Ea=Da+6|0;Da=Ia+2|0;ya=Ia+4|0;Ca=Ia+6|0;Ia=Ja+2|0;Ba=Ja+4|0;Aa=Ja+6|0;Ja=ca+2|0;za=ca+4|0;xa=ca+6|0;wa=ca+8|0;va=ca+16|0;ua=ca+24|0;Na=ua+4|0;Oa=ua+6|0;ua=va+4|0;Pa=va+6|0;va=wa+4|0;Qa=wa+6|0;wa=ca+4|0;Ra=ca+6|0;Sa=0;Ta=X;Ua=ta;ta=sa;sa=ra;ra=qa;while(1){qa=h[n+Sa>>0]|0;Va=qa<<15;Wa=(ta|0)>-1;Xa=(sa|0)>-1;Ya=(ra|0)>-1;Za=f[q>>2]|0;_a=Ta+(Y(Za,z)|0)|0;$a=(Za|0)<0;do if((Ua|0)>-1){if(!$a){Za=(Y((h[_a+Ua>>0]|0)-qa|0,d[ca>>1]|0)|0)+Va|0;if(Wa)ab=(Y((h[_a+ta>>0]|0)-qa|0,d[da>>1]|0)|0)+Za|0;else ab=Za;if(Xa)bb=(Y((h[_a+sa>>0]|0)-qa|0,d[Ha>>1]|0)|0)+ab|0;else bb=ab;if(Ya)cb=(Y((h[_a+ra>>0]|0)-qa|0,d[Ka>>1]|0)|0)+bb|0;else cb=bb}else cb=Va;Za=f[r>>2]|0;db=Ta+(Y(Za,z)|0)|0;if((Za|0)>=0){Za=(Y((h[db+Ua>>0]|0)-qa|0,d[pa>>1]|0)|0)+cb|0;if(Wa)eb=(Y((h[db+ta>>0]|0)-qa|0,d[ga>>1]|0)|0)+Za|0;else eb=Za;if(Xa)fb=(Y((h[db+sa>>0]|0)-qa|0,d[fa>>1]|0)|0)+eb|0;else fb=eb;if(Ya)gb=(Y((h[db+ra>>0]|0)-qa|0,d[ea>>1]|0)|0)+fb|0;else gb=fb}else gb=cb;db=f[O>>2]|0;Za=Ta+(Y(db,z)|0)|0;if((db|0)>=0){db=(Y((h[Za+Ua>>0]|0)-qa|0,d[oa>>1]|0)|0)+gb|0;if(Wa)hb=(Y((h[Za+ta>>0]|0)-qa|0,d[ja>>1]|0)|0)+db|0;else hb=db;if(Xa)ib=(Y((h[Za+sa>>0]|0)-qa|0,d[ia>>1]|0)|0)+hb|0;else ib=hb;if(Ya)jb=(Y((h[Za+ra>>0]|0)-qa|0,d[ha>>1]|0)|0)+ib|0;else jb=ib}else jb=gb;Za=f[P>>2]|0;db=Ta+(Y(Za,z)|0)|0;if((Za|0)>=0){Za=(Y((h[db+Ua>>0]|0)-qa|0,d[na>>1]|0)|0)+jb|0;if(Wa)kb=(Y((h[db+ta>>0]|0)-qa|0,d[ma>>1]|0)|0)+Za|0;else kb=Za;if(Xa)lb=(Y((h[db+sa>>0]|0)-qa|0,d[la>>1]|0)|0)+kb|0;else lb=kb;if(Ya)mb=(Y((h[db+ra>>0]|0)-qa|0,d[ka>>1]|0)|0)+lb|0;else mb=lb}else mb=jb}else if(Wa){if(!$a){db=(Y((h[_a+ta>>0]|0)-qa|0,d[Ja>>1]|0)|0)+Va|0;if(Xa)nb=(Y((h[_a+sa>>0]|0)-qa|0,d[za>>1]|0)|0)+db|0;else nb=db;if(Ya)ob=(Y((h[_a+ra>>0]|0)-qa|0,d[xa>>1]|0)|0)+nb|0;else ob=nb}else ob=Va;db=f[r>>2]|0;Za=Ta+(Y(db,z)|0)|0;if((db|0)>=0){db=(Y((h[Za+ta>>0]|0)-qa|0,d[Ia>>1]|0)|0)+ob|0;if(Xa)pb=(Y((h[Za+sa>>0]|0)-qa|0,d[Ba>>1]|0)|0)+db|0;else pb=db;if(Ya)qb=(Y((h[Za+ra>>0]|0)-qa|0,d[Aa>>1]|0)|0)+pb|0;else qb=pb}else qb=ob;Za=f[O>>2]|0;db=Ta+(Y(Za,z)|0)|0;do if((Za|0)<0)rb=qb;else{sb=(Y((h[db+ta>>0]|0)-qa|0,d[Da>>1]|0)|0)+qb|0;if(Xa)tb=(Y((h[db+sa>>0]|0)-qa|0,d[ya>>1]|0)|0)+sb|0;else tb=sb;if(!Ya){rb=tb;break}rb=(Y((h[db+ra>>0]|0)-qa|0,d[Ca>>1]|0)|0)+tb|0}while(0);db=f[P>>2]|0;Za=Ta+(Y(db,z)|0)|0;if((db|0)<0){mb=rb;break}db=(Y((h[Za+ta>>0]|0)-qa|0,d[Ga>>1]|0)|0)+rb|0;if(Xa)ub=(Y((h[Za+sa>>0]|0)-qa|0,d[Fa>>1]|0)|0)+db|0;else ub=db;if(!Ya){mb=ub;break}mb=(Y((h[Za+ra>>0]|0)-qa|0,d[Ea>>1]|0)|0)+ub|0;break}else{if(!$a){if(Xa)vb=(Y((h[_a+sa>>0]|0)-qa|0,d[wa>>1]|0)|0)+Va|0;else vb=Va;if(Ya)wb=(Y((h[_a+ra>>0]|0)-qa|0,d[Ra>>1]|0)|0)+vb|0;else wb=vb}else wb=Va;Za=f[r>>2]|0;db=Ta+(Y(Za,z)|0)|0;if((Za|0)>=0){if(Xa)xb=(Y((h[db+sa>>0]|0)-qa|0,d[va>>1]|0)|0)+wb|0;else xb=wb;if(Ya)yb=(Y((h[db+ra>>0]|0)-qa|0,d[Qa>>1]|0)|0)+xb|0;else yb=xb}else yb=wb;db=f[O>>2]|0;Za=Ta+(Y(db,z)|0)|0;do if((db|0)<0)zb=yb;else{if(Xa)Ab=(Y((h[Za+sa>>0]|0)-qa|0,d[ua>>1]|0)|0)+yb|0;else Ab=yb;if(!Ya){zb=Ab;break}zb=(Y((h[Za+ra>>0]|0)-qa|0,d[Pa>>1]|0)|0)+Ab|0}while(0);Za=f[P>>2]|0;db=Ta+(Y(Za,z)|0)|0;if((Za|0)<0){mb=zb;break}if(Xa)Bb=(Y((h[db+sa>>0]|0)-qa|0,d[Na>>1]|0)|0)+zb|0;else Bb=zb;if(!Ya){mb=Bb;break}mb=(Y((h[db+ra>>0]|0)-qa|0,d[Oa>>1]|0)|0)+Bb|0;break}while(0);qa=mb+16384>>15;b[V+Sa>>0]=qa>>>0<256?qa:(qa|0)>0?255:0;qa=Sa+1|0;if((qa|0)==(x|0))break;Sa=qa;Ta=Ta+1|0;Ua=f[o>>2]|0;ta=f[K>>2]|0;sa=f[L>>2]|0;ra=f[M>>2]|0}Ma=X+x+N|0}while(0);La=Ma}W=W+1|0;if((W|0)==(D|0)){Cb=La;break}else{V=V+x|0;X=La}}}else Cb=R;Q=Q+1|0;if((Q|0)==(E|0))break;else R=Cb}u=m;return}function Dsa(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0.0,ob=0.0,pb=0.0,qb=0.0,rb=0.0,sb=0.0,tb=0.0,ub=0.0,vb=0.0,wb=0.0,xb=0.0,yb=0.0,zb=0.0,Ab=0.0,Bb=0.0,Cb=0,Db=0,Eb=0,Fb=0.0,Gb=0.0,Hb=0.0,Ib=0;k=u;u=u+1056|0;l=k+32|0;m=k+16|0;o=k;q=f[a+40>>2]|0;r=f[q+4>>2]|0;s=f[q>>2]|0;q=f[b+40>>2]|0;t=f[q+4>>2]|0;v=f[q>>2]|0;q=(f[a>>2]|0)>>>3;w=q&511;x=w+1|0;y=f[a+16>>2]|0;z=(f[a+48>>2]|0)>>>1;a=0;do{A=V9b(+p[i+((a&3)<<3)>>3])|0;d[l+(a<<1)>>1]=A>>>0<65536?A:(A|0)>0?65535:0;a=a+1|0}while((a|0)!=(x|0));a=(h|0)!=5?h:4;i=r+-3|0;A=(i|0)>0?i:0;i=s+-3|0;B=(i|0)>0?i:0;if((f[b>>2]&16384|0)!=0?(f[c>>2]&16384|0)!=0:0){i=(f[e>>2]&16384|0)!=0;C=Y(i?v:1,t)|0;if(i){D=C;E=1}else{F=C;G=6}}else{F=t;G=6}if((G|0)==6)if((v|0)>0){D=F;E=v}else{u=k;return}v=b+16|0;F=b+44|0;b=c+16|0;t=c+44|0;c=e+16|0;C=e+44|0;e=(D|0)>0;i=x<<1;H=x*3|0;I=(Y(z,-3)|0)+1|0;J=(h|0)==5;h=(a|0)==0;K=m+4|0;L=m+8|0;M=m+12|0;N=(q|-512)^511;q=(w<<1)+2|0;w=o+4|0;O=o+8|0;P=o+12|0;Q=0;R=y;while(1){y=f[v>>2]|0;S=Y(f[f[F>>2]>>2]|0,Q)|0;T=(f[b>>2]|0)+(Y(f[f[t>>2]>>2]|0,Q)|0)|0;U=(f[c>>2]|0)+(Y(f[f[C>>2]>>2]|0,Q)|0)|0;if(e){V=y+S|0;W=0;X=R;while(1){Z=y+(S+(Y(q,W)|0))|0;_=W<<1;$=d[T+(_<<1)>>1]|0;aa=$+-1|0;ba=d[T+((_|1)<<1)>>1]|0;_=ba+-1|0;ca=g+(j[U+(W<<1)>>1]<<4<<2)|0;if(aa>>>0<A>>>0&_>>>0<B>>>0){da=X+((Y(_,z)|0)<<1)+((Y(aa,x)|0)<<1)|0;ea=+n[ca>>2];fa=+n[ca+4>>2];ga=+n[ca+8>>2];ha=+n[ca+12>>2];ia=+n[ca+16>>2];ja=+n[ca+20>>2];ka=+n[ca+24>>2];la=+n[ca+28>>2];ma=+n[ca+32>>2];na=+n[ca+36>>2];oa=+n[ca+40>>2];pa=+n[ca+44>>2];qa=+n[ca+48>>2];ra=+n[ca+52>>2];sa=+n[ca+56>>2];ta=+n[ca+60>>2];ua=0;va=da;while(1){da=va+(z<<1)|0;wa=da+(z<<1)|0;xa=wa+(z<<1)|0;ya=U9b(+(j[va>>1]|0)*ea+ +(j[va+(x<<1)>>1]|0)*fa+ +(j[va+(i<<1)>>1]|0)*ga+ +(j[va+(H<<1)>>1]|0)*ha+(+(j[da>>1]|0)*ia+ +(j[da+(x<<1)>>1]|0)*ja+ +(j[da+(i<<1)>>1]|0)*ka+ +(j[da+(H<<1)>>1]|0)*la)+(+(j[wa>>1]|0)*ma+ +(j[wa+(x<<1)>>1]|0)*na+ +(j[wa+(i<<1)>>1]|0)*oa+ +(j[wa+(H<<1)>>1]|0)*pa)+(+(j[xa>>1]|0)*qa+ +(j[xa+(x<<1)>>1]|0)*ra+ +(j[xa+(i<<1)>>1]|0)*sa+ +(j[xa+(H<<1)>>1]|0)*ta))|0;d[V+(ua<<1)>>1]=ya>>>0<65536?ya:(ya|0)>0?65535:0;ua=ua+1|0;if((ua|0)==(x|0)){za=X;break}else va=xa+(I<<1)|0}}else{if(J?!($>>>0<r>>>0&ba>>>0<s>>>0):0)Aa=X;else G=17;do if((G|0)==17){G=0;if(h?(ba+3|0)<1|((ba|0)>(s|0)|(($|0)>(r|0)|($+3|0)<1)):0){Krc(Z|0,l|0,q|0)|0;Aa=X;break}va=Y(sT(aa,r,a)|0,x)|0;f[m>>2]=va;ua=sT(_,s,a)|0;f[o>>2]=ua;xa=Y(sT($,r,a)|0,x)|0;f[K>>2]=xa;ya=sT(ba,s,a)|0;f[w>>2]=ya;wa=Y(sT($+1|0,r,a)|0,x)|0;f[L>>2]=wa;da=sT(ba+1|0,s,a)|0;f[O>>2]=da;Ba=Y(sT($+2|0,r,a)|0,x)|0;f[M>>2]=Ba;Ca=sT(ba+2|0,s,a)|0;f[P>>2]=Ca;Da=Y(ua,z)|0;Ea=(ua|0)<0;Fa=ca+16|0;Ga=Y(ya,z)|0;Ha=(ya|0)<0;Ia=Fa+16|0;Ja=Y(da,z)|0;Ka=(da|0)<0;La=Ia+16|0;Ma=Y(Ca,z)|0;Na=(Ca|0)<0;Oa=La+4|0;Pa=La+8|0;Qa=La+12|0;La=Ia+4|0;Ra=Ia+8|0;Sa=Ia+12|0;Ia=Fa+4|0;Ta=Fa+8|0;Ua=Fa+12|0;Fa=ca+4|0;Va=ca+8|0;Wa=ca+12|0;Xa=Y(ua,z)|0;Ya=(ua|0)<0;ua=ca+16|0;Za=Y(ya,z)|0;_a=(ya|0)<0;ya=ca+32|0;$a=Y(da,z)|0;ab=(da|0)<0;da=ca+48|0;bb=Y(Ca,z)|0;cb=(Ca|0)<0;Ca=da+8|0;db=da+12|0;da=ya+8|0;eb=ya+12|0;ya=ua+8|0;fb=ua+12|0;ua=ca+8|0;gb=ca+12|0;hb=0;ib=X;jb=va;va=xa;xa=wa;wa=Ba;while(1){ta=+(j[l+(hb<<1)>>1]|0);Ba=(va|0)>-1;kb=(xa|0)>-1;lb=(wa|0)>-1;do if((jb|0)<=-1)if(Ba){mb=ib+(Da<<1)|0;if(!Ea){sa=ta+ +n[Fa>>2]*(+(j[mb+(va<<1)>>1]|0)-ta);if(kb)nb=sa+ +n[Va>>2]*(+(j[mb+(xa<<1)>>1]|0)-ta);else nb=sa;if(lb)ob=nb+ +n[Wa>>2]*(+(j[mb+(wa<<1)>>1]|0)-ta);else ob=nb}else ob=ta;mb=ib+(Ga<<1)|0;if(!Ha){sa=ob+ +n[Ia>>2]*(+(j[mb+(va<<1)>>1]|0)-ta);if(kb)pb=sa+ +n[Ta>>2]*(+(j[mb+(xa<<1)>>1]|0)-ta);else pb=sa;if(lb)qb=pb+ +n[Ua>>2]*(+(j[mb+(wa<<1)>>1]|0)-ta);else qb=pb}else qb=ob;mb=ib+(Ja<<1)|0;do if(Ka)rb=qb;else{sa=qb+ +n[La>>2]*(+(j[mb+(va<<1)>>1]|0)-ta);if(kb)sb=sa+ +n[Ra>>2]*(+(j[mb+(xa<<1)>>1]|0)-ta);else sb=sa;if(!lb){rb=sb;break}rb=sb+ +n[Sa>>2]*(+(j[mb+(wa<<1)>>1]|0)-ta)}while(0);mb=ib+(Ma<<1)|0;if(Na){tb=rb;break}sa=rb+ +n[Oa>>2]*(+(j[mb+(va<<1)>>1]|0)-ta);if(kb)ub=sa+ +n[Pa>>2]*(+(j[mb+(xa<<1)>>1]|0)-ta);else ub=sa;if(!lb){tb=ub;break}tb=ub+ +n[Qa>>2]*(+(j[mb+(wa<<1)>>1]|0)-ta);break}else{mb=ib+(Xa<<1)|0;if(!Ya){if(kb)vb=ta+ +n[ua>>2]*(+(j[mb+(xa<<1)>>1]|0)-ta);else vb=ta;if(lb)wb=vb+ +n[gb>>2]*(+(j[mb+(wa<<1)>>1]|0)-ta);else wb=vb}else wb=ta;mb=ib+(Za<<1)|0;if(!_a){if(kb)xb=wb+ +n[ya>>2]*(+(j[mb+(xa<<1)>>1]|0)-ta);else xb=wb;if(lb)yb=xb+ +n[fb>>2]*(+(j[mb+(wa<<1)>>1]|0)-ta);else yb=xb}else yb=wb;mb=ib+($a<<1)|0;do if(ab)zb=yb;else{if(kb)Ab=yb+ +n[da>>2]*(+(j[mb+(xa<<1)>>1]|0)-ta);else Ab=yb;if(!lb){zb=Ab;break}zb=Ab+ +n[eb>>2]*(+(j[mb+(wa<<1)>>1]|0)-ta)}while(0);mb=ib+(bb<<1)|0;if(cb){tb=zb;break}if(kb)Bb=zb+ +n[Ca>>2]*(+(j[mb+(xa<<1)>>1]|0)-ta);else Bb=zb;if(!lb){tb=Bb;break}tb=Bb+ +n[db>>2]*(+(j[mb+(wa<<1)>>1]|0)-ta);break}else{mb=0;sa=ta;Cb=ca;while(1){Db=f[o+(mb<<2)>>2]|0;Eb=ib+((Y(Db,z)|0)<<1)|0;if((Db|0)>=0){ra=sa+ +n[Cb>>2]*(+(j[Eb+(jb<<1)>>1]|0)-ta);if(Ba)Fb=ra+ +n[Cb+4>>2]*(+(j[Eb+(va<<1)>>1]|0)-ta);else Fb=ra;if(kb)Gb=Fb+ +n[Cb+8>>2]*(+(j[Eb+(xa<<1)>>1]|0)-ta);else Gb=Fb;if(lb)Hb=Gb+ +n[Cb+12>>2]*(+(j[Eb+(wa<<1)>>1]|0)-ta);else Hb=Gb}else Hb=sa;mb=mb+1|0;if((mb|0)==4){tb=Hb;break}else{sa=Hb;Cb=Cb+16|0}}}while(0);lb=U9b(tb)|0;d[V+(hb<<1)>>1]=lb>>>0<65536?lb:(lb|0)>0?65535:0;lb=hb+1|0;if((lb|0)==(x|0))break;hb=lb;ib=ib+2|0;jb=f[m>>2]|0;va=f[K>>2]|0;xa=f[L>>2]|0;wa=f[M>>2]|0}Aa=X+(x<<1)+(N<<1)|0}while(0);za=Aa}W=W+1|0;if((W|0)==(D|0)){Ib=za;break}else{V=V+(x<<1)|0;X=za}}}else Ib=R;Q=Q+1|0;if((Q|0)==(E|0))break;else R=Ib}u=k;return}function Esa(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0.0,ob=0.0,pb=0.0,qb=0.0,rb=0.0,sb=0.0,tb=0.0,ub=0.0,vb=0.0,wb=0.0,xb=0.0,yb=0.0,zb=0.0,Ab=0.0,Bb=0.0,Cb=0,Db=0,Eb=0,Fb=0.0,Gb=0.0,Hb=0.0,Ib=0;k=u;u=u+1056|0;l=k+32|0;m=k+16|0;o=k;q=f[a+40>>2]|0;r=f[q+4>>2]|0;s=f[q>>2]|0;q=f[b+40>>2]|0;t=f[q+4>>2]|0;v=f[q>>2]|0;q=(f[a>>2]|0)>>>3;w=q&511;x=w+1|0;y=f[a+16>>2]|0;z=(f[a+48>>2]|0)>>>1;a=0;do{A=V9b(+p[i+((a&3)<<3)>>3])|0;d[l+(a<<1)>>1]=(A+32768|0)>>>0<65536?A:(A|0)>0?32767:32768;a=a+1|0}while((a|0)!=(x|0));a=(h|0)!=5?h:4;i=r+-3|0;A=(i|0)>0?i:0;i=s+-3|0;B=(i|0)>0?i:0;if((f[b>>2]&16384|0)!=0?(f[c>>2]&16384|0)!=0:0){i=(f[e>>2]&16384|0)!=0;C=Y(i?v:1,t)|0;if(i){D=C;E=1}else{F=C;G=6}}else{F=t;G=6}if((G|0)==6)if((v|0)>0){D=F;E=v}else{u=k;return}v=b+16|0;F=b+44|0;b=c+16|0;t=c+44|0;c=e+16|0;C=e+44|0;e=(D|0)>0;i=x<<1;H=x*3|0;I=(Y(z,-3)|0)+1|0;J=(h|0)==5;h=(a|0)==0;K=m+4|0;L=m+8|0;M=m+12|0;N=(q|-512)^511;q=(w<<1)+2|0;w=o+4|0;O=o+8|0;P=o+12|0;Q=0;R=y;while(1){y=f[v>>2]|0;S=Y(f[f[F>>2]>>2]|0,Q)|0;T=(f[b>>2]|0)+(Y(f[f[t>>2]>>2]|0,Q)|0)|0;U=(f[c>>2]|0)+(Y(f[f[C>>2]>>2]|0,Q)|0)|0;if(e){V=y+S|0;W=0;X=R;while(1){Z=y+(S+(Y(q,W)|0))|0;_=W<<1;$=d[T+(_<<1)>>1]|0;aa=$+-1|0;ba=d[T+((_|1)<<1)>>1]|0;_=ba+-1|0;ca=g+(j[U+(W<<1)>>1]<<4<<2)|0;if(aa>>>0<A>>>0&_>>>0<B>>>0){da=X+((Y(_,z)|0)<<1)+((Y(aa,x)|0)<<1)|0;ea=+n[ca>>2];fa=+n[ca+4>>2];ga=+n[ca+8>>2];ha=+n[ca+12>>2];ia=+n[ca+16>>2];ja=+n[ca+20>>2];ka=+n[ca+24>>2];la=+n[ca+28>>2];ma=+n[ca+32>>2];na=+n[ca+36>>2];oa=+n[ca+40>>2];pa=+n[ca+44>>2];qa=+n[ca+48>>2];ra=+n[ca+52>>2];sa=+n[ca+56>>2];ta=+n[ca+60>>2];ua=0;va=da;while(1){da=va+(z<<1)|0;wa=da+(z<<1)|0;xa=wa+(z<<1)|0;ya=U9b(+(d[va>>1]|0)*ea+ +(d[va+(x<<1)>>1]|0)*fa+ +(d[va+(i<<1)>>1]|0)*ga+ +(d[va+(H<<1)>>1]|0)*ha+(+(d[da>>1]|0)*ia+ +(d[da+(x<<1)>>1]|0)*ja+ +(d[da+(i<<1)>>1]|0)*ka+ +(d[da+(H<<1)>>1]|0)*la)+(+(d[wa>>1]|0)*ma+ +(d[wa+(x<<1)>>1]|0)*na+ +(d[wa+(i<<1)>>1]|0)*oa+ +(d[wa+(H<<1)>>1]|0)*pa)+(+(d[xa>>1]|0)*qa+ +(d[xa+(x<<1)>>1]|0)*ra+ +(d[xa+(i<<1)>>1]|0)*sa+ +(d[xa+(H<<1)>>1]|0)*ta))|0;d[V+(ua<<1)>>1]=(ya+32768|0)>>>0<65536?ya:(ya|0)>0?32767:32768;ua=ua+1|0;if((ua|0)==(x|0)){za=X;break}else va=xa+(I<<1)|0}}else{if(J?!($>>>0<r>>>0&ba>>>0<s>>>0):0)Aa=X;else G=17;do if((G|0)==17){G=0;if(h?(ba+3|0)<1|((ba|0)>(s|0)|(($|0)>(r|0)|($+3|0)<1)):0){Krc(Z|0,l|0,q|0)|0;Aa=X;break}va=Y(sT(aa,r,a)|0,x)|0;f[m>>2]=va;ua=sT(_,s,a)|0;f[o>>2]=ua;xa=Y(sT($,r,a)|0,x)|0;f[K>>2]=xa;ya=sT(ba,s,a)|0;f[w>>2]=ya;wa=Y(sT($+1|0,r,a)|0,x)|0;f[L>>2]=wa;da=sT(ba+1|0,s,a)|0;f[O>>2]=da;Ba=Y(sT($+2|0,r,a)|0,x)|0;f[M>>2]=Ba;Ca=sT(ba+2|0,s,a)|0;f[P>>2]=Ca;Da=Y(ua,z)|0;Ea=(ua|0)<0;Fa=ca+16|0;Ga=Y(ya,z)|0;Ha=(ya|0)<0;Ia=Fa+16|0;Ja=Y(da,z)|0;Ka=(da|0)<0;La=Ia+16|0;Ma=Y(Ca,z)|0;Na=(Ca|0)<0;Oa=La+4|0;Pa=La+8|0;Qa=La+12|0;La=Ia+4|0;Ra=Ia+8|0;Sa=Ia+12|0;Ia=Fa+4|0;Ta=Fa+8|0;Ua=Fa+12|0;Fa=ca+4|0;Va=ca+8|0;Wa=ca+12|0;Xa=Y(ua,z)|0;Ya=(ua|0)<0;ua=ca+16|0;Za=Y(ya,z)|0;_a=(ya|0)<0;ya=ca+32|0;$a=Y(da,z)|0;ab=(da|0)<0;da=ca+48|0;bb=Y(Ca,z)|0;cb=(Ca|0)<0;Ca=da+8|0;db=da+12|0;da=ya+8|0;eb=ya+12|0;ya=ua+8|0;fb=ua+12|0;ua=ca+8|0;gb=ca+12|0;hb=0;ib=X;jb=va;va=xa;xa=wa;wa=Ba;while(1){ta=+(d[l+(hb<<1)>>1]|0);Ba=(va|0)>-1;kb=(xa|0)>-1;lb=(wa|0)>-1;do if((jb|0)<=-1)if(Ba){mb=ib+(Da<<1)|0;if(!Ea){sa=ta+ +n[Fa>>2]*(+(d[mb+(va<<1)>>1]|0)-ta);if(kb)nb=sa+ +n[Va>>2]*(+(d[mb+(xa<<1)>>1]|0)-ta);else nb=sa;if(lb)ob=nb+ +n[Wa>>2]*(+(d[mb+(wa<<1)>>1]|0)-ta);else ob=nb}else ob=ta;mb=ib+(Ga<<1)|0;if(!Ha){sa=ob+ +n[Ia>>2]*(+(d[mb+(va<<1)>>1]|0)-ta);if(kb)pb=sa+ +n[Ta>>2]*(+(d[mb+(xa<<1)>>1]|0)-ta);else pb=sa;if(lb)qb=pb+ +n[Ua>>2]*(+(d[mb+(wa<<1)>>1]|0)-ta);else qb=pb}else qb=ob;mb=ib+(Ja<<1)|0;do if(Ka)rb=qb;else{sa=qb+ +n[La>>2]*(+(d[mb+(va<<1)>>1]|0)-ta);if(kb)sb=sa+ +n[Ra>>2]*(+(d[mb+(xa<<1)>>1]|0)-ta);else sb=sa;if(!lb){rb=sb;break}rb=sb+ +n[Sa>>2]*(+(d[mb+(wa<<1)>>1]|0)-ta)}while(0);mb=ib+(Ma<<1)|0;if(Na){tb=rb;break}sa=rb+ +n[Oa>>2]*(+(d[mb+(va<<1)>>1]|0)-ta);if(kb)ub=sa+ +n[Pa>>2]*(+(d[mb+(xa<<1)>>1]|0)-ta);else ub=sa;if(!lb){tb=ub;break}tb=ub+ +n[Qa>>2]*(+(d[mb+(wa<<1)>>1]|0)-ta);break}else{mb=ib+(Xa<<1)|0;if(!Ya){if(kb)vb=ta+ +n[ua>>2]*(+(d[mb+(xa<<1)>>1]|0)-ta);else vb=ta;if(lb)wb=vb+ +n[gb>>2]*(+(d[mb+(wa<<1)>>1]|0)-ta);else wb=vb}else wb=ta;mb=ib+(Za<<1)|0;if(!_a){if(kb)xb=wb+ +n[ya>>2]*(+(d[mb+(xa<<1)>>1]|0)-ta);else xb=wb;if(lb)yb=xb+ +n[fb>>2]*(+(d[mb+(wa<<1)>>1]|0)-ta);else yb=xb}else yb=wb;mb=ib+($a<<1)|0;do if(ab)zb=yb;else{if(kb)Ab=yb+ +n[da>>2]*(+(d[mb+(xa<<1)>>1]|0)-ta);else Ab=yb;if(!lb){zb=Ab;break}zb=Ab+ +n[eb>>2]*(+(d[mb+(wa<<1)>>1]|0)-ta)}while(0);mb=ib+(bb<<1)|0;if(cb){tb=zb;break}if(kb)Bb=zb+ +n[Ca>>2]*(+(d[mb+(xa<<1)>>1]|0)-ta);else Bb=zb;if(!lb){tb=Bb;break}tb=Bb+ +n[db>>2]*(+(d[mb+(wa<<1)>>1]|0)-ta);break}else{mb=0;sa=ta;Cb=ca;while(1){Db=f[o+(mb<<2)>>2]|0;Eb=ib+((Y(Db,z)|0)<<1)|0;if((Db|0)>=0){ra=sa+ +n[Cb>>2]*(+(d[Eb+(jb<<1)>>1]|0)-ta);if(Ba)Fb=ra+ +n[Cb+4>>2]*(+(d[Eb+(va<<1)>>1]|0)-ta);else Fb=ra;if(kb)Gb=Fb+ +n[Cb+8>>2]*(+(d[Eb+(xa<<1)>>1]|0)-ta);else Gb=Fb;if(lb)Hb=Gb+ +n[Cb+12>>2]*(+(d[Eb+(wa<<1)>>1]|0)-ta);else Hb=Gb}else Hb=sa;mb=mb+1|0;if((mb|0)==4){tb=Hb;break}else{sa=Hb;Cb=Cb+16|0}}}while(0);lb=U9b(tb)|0;d[V+(hb<<1)>>1]=(lb+32768|0)>>>0<65536?lb:(lb|0)>0?32767:32768;lb=hb+1|0;if((lb|0)==(x|0))break;hb=lb;ib=ib+2|0;jb=f[m>>2]|0;va=f[K>>2]|0;xa=f[L>>2]|0;wa=f[M>>2]|0}Aa=X+(x<<1)+(N<<1)|0}while(0);za=Aa}W=W+1|0;if((W|0)==(D|0)){Ib=za;break}else{V=V+(x<<1)|0;X=za}}}else Ib=R;Q=Q+1|0;if((Q|0)==(E|0))break;else R=Ib}u=k;return}function Fsa(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0.0,ob=0,pb=0,qb=0,rb=0.0,sb=0.0,tb=0.0,ub=0.0,vb=0.0,wb=0.0,xb=0.0,yb=0.0,zb=0.0,Ab=0.0,Bb=0.0,Cb=0.0,Db=0.0,Eb=0.0,Fb=0.0,Gb=0.0,Hb=0.0,Ib=0.0,Jb=0.0,Kb=0.0,Lb=0.0,Mb=0.0,Nb=0.0,Ob=0.0,Pb=0.0,Qb=0.0,Rb=0.0,Sb=0;k=u;u=u+2064|0;l=k+16|0;m=k;o=f[a+40>>2]|0;q=f[o+4>>2]|0;r=f[o>>2]|0;o=f[b+40>>2]|0;s=f[o+4>>2]|0;t=f[o>>2]|0;o=(f[a>>2]|0)>>>3;v=o&511;w=v+1|0;x=f[a+16>>2]|0;y=(f[a+48>>2]|0)>>>2;a=0;do{n[l+(a<<2)>>2]=+p[i+((a&3)<<3)>>3];a=a+1|0}while((a|0)!=(w|0));a=(h|0)!=5?h:4;i=q+-3|0;z=(i|0)>0?i:0;i=r+-3|0;A=(i|0)>0?i:0;if((f[b>>2]&16384|0)!=0?(f[c>>2]&16384|0)!=0:0){i=(f[e>>2]&16384|0)!=0;B=Y(i?t:1,s)|0;if(i){C=B;D=1}else{E=B;F=6}}else{E=s;F=6}if((F|0)==6)if((t|0)>0){C=E;D=t}else{u=k;return}t=b+16|0;E=b+44|0;b=c+16|0;s=c+44|0;c=e+16|0;B=e+44|0;e=(C|0)>0;i=w<<1;G=w*3|0;H=(Y(y,-3)|0)+1|0;I=(h|0)==5;h=(a|0)==0;J=m+4|0;K=m+8|0;L=m+12|0;M=(o|-512)^511;o=(v<<2)+4|0;v=0;N=x;while(1){x=f[t>>2]|0;O=Y(f[f[E>>2]>>2]|0,v)|0;P=(f[b>>2]|0)+(Y(f[f[s>>2]>>2]|0,v)|0)|0;Q=(f[c>>2]|0)+(Y(f[f[B>>2]>>2]|0,v)|0)|0;if(e){R=x+O|0;S=0;T=N;while(1){U=x+(O+(Y(o,S)|0))|0;V=S<<1;W=d[P+(V<<1)>>1]|0;X=W+-1|0;Z=d[P+((V|1)<<1)>>1]|0;V=Z+-1|0;_=g+(j[Q+(S<<1)>>1]<<4<<2)|0;if(X>>>0<z>>>0&V>>>0<A>>>0){$=_+4|0;aa=_+8|0;ba=_+12|0;ca=_+16|0;da=_+20|0;ea=_+24|0;fa=_+28|0;ga=_+32|0;ha=_+36|0;ia=_+40|0;ja=_+44|0;ka=_+48|0;la=_+52|0;ma=_+56|0;na=_+60|0;oa=0;pa=T+((Y(V,y)|0)<<2)+((Y(X,w)|0)<<2)|0;while(1){qa=pa+(y<<2)|0;ra=qa+(y<<2)|0;sa=ra+(y<<2)|0;n[R+(oa<<2)>>2]=+n[pa>>2]*+n[_>>2]+ +n[pa+(w<<2)>>2]*+n[$>>2]+ +n[pa+(i<<2)>>2]*+n[aa>>2]+ +n[pa+(G<<2)>>2]*+n[ba>>2]+(+n[qa>>2]*+n[ca>>2]+ +n[qa+(w<<2)>>2]*+n[da>>2]+ +n[qa+(i<<2)>>2]*+n[ea>>2]+ +n[qa+(G<<2)>>2]*+n[fa>>2])+(+n[ra>>2]*+n[ga>>2]+ +n[ra+(w<<2)>>2]*+n[ha>>2]+ +n[ra+(i<<2)>>2]*+n[ia>>2]+ +n[ra+(G<<2)>>2]*+n[ja>>2])+(+n[sa>>2]*+n[ka>>2]+ +n[sa+(w<<2)>>2]*+n[la>>2]+ +n[sa+(i<<2)>>2]*+n[ma>>2]+ +n[sa+(G<<2)>>2]*+n[na>>2]);oa=oa+1|0;if((oa|0)==(w|0)){ta=T;break}else pa=sa+(H<<2)|0}}else{if(I?!(W>>>0<q>>>0&Z>>>0<r>>>0):0)ua=T;else F=17;do if((F|0)==17){F=0;if(h?(Z+3|0)<1|((Z|0)>(r|0)|((W|0)>(q|0)|(W+3|0)<1)):0){Krc(U|0,l|0,o|0)|0;ua=T;break}pa=Y(sT(X,q,a)|0,w)|0;f[m>>2]=pa;oa=sT(V,r,a)|0;na=Y(sT(W,q,a)|0,w)|0;f[J>>2]=na;ma=sT(Z,r,a)|0;la=Y(sT(W+1|0,q,a)|0,w)|0;f[K>>2]=la;ka=sT(Z+1|0,r,a)|0;ja=Y(sT(W+2|0,q,a)|0,w)|0;f[L>>2]=ja;ia=sT(Z+2|0,r,a)|0;ha=Y(oa,y)|0;ga=(oa|0)<0;fa=_+16|0;ea=Y(ma,y)|0;da=(ma|0)<0;ca=fa+16|0;ba=Y(ka,y)|0;aa=(ka|0)<0;$=ca+16|0;sa=Y(ia,y)|0;ra=(ia|0)<0;qa=$+4|0;va=$+8|0;wa=$+12|0;xa=ca+4|0;ya=ca+8|0;za=ca+12|0;Aa=fa+4|0;Ba=fa+8|0;Ca=fa+12|0;Da=_+4|0;Ea=_+8|0;Fa=_+12|0;Ga=Y(oa,y)|0;Ha=(oa|0)<0;Ia=_+16|0;Ja=Y(ma,y)|0;Ka=(ma|0)<0;La=Ia+16|0;Ma=Y(ka,y)|0;Na=(ka|0)<0;Oa=La+16|0;Pa=Y(ia,y)|0;Qa=(ia|0)<0;Ra=Oa+4|0;Sa=Oa+8|0;Ta=Oa+12|0;Oa=La+4|0;Ua=La+8|0;Va=La+12|0;La=Ia+4|0;Wa=Ia+8|0;Xa=Ia+12|0;Ia=_+4|0;Ya=_+8|0;Za=_+12|0;_a=Y(oa,y)|0;$a=(oa|0)<0;oa=_+16|0;ab=Y(ma,y)|0;bb=(ma|0)<0;ma=_+32|0;cb=Y(ka,y)|0;db=(ka|0)<0;ka=_+48|0;eb=Y(ia,y)|0;fb=(ia|0)<0;ia=ka+8|0;gb=ka+12|0;ka=ma+8|0;hb=ma+12|0;ma=oa+8|0;ib=oa+12|0;oa=_+8|0;jb=_+12|0;kb=0;lb=T;mb=pa;pa=na;na=la;la=ja;while(1){nb=+n[l+(kb<<2)>>2];ja=(pa|0)>-1;ob=(na|0)>-1;pb=(la|0)>-1;do if((mb|0)>-1){qb=lb+(ha<<2)|0;if(!ga){rb=nb+(+n[qb+(mb<<2)>>2]-nb)*+n[_>>2];if(ja)sb=rb+(+n[qb+(pa<<2)>>2]-nb)*+n[Da>>2];else sb=rb;if(ob)tb=sb+(+n[qb+(na<<2)>>2]-nb)*+n[Ea>>2];else tb=sb;if(pb)ub=tb+(+n[qb+(la<<2)>>2]-nb)*+n[Fa>>2];else ub=tb}else ub=nb;qb=lb+(ea<<2)|0;if(!da){rb=ub+(+n[qb+(mb<<2)>>2]-nb)*+n[fa>>2];if(ja)vb=rb+(+n[qb+(pa<<2)>>2]-nb)*+n[Aa>>2];else vb=rb;if(ob)wb=vb+(+n[qb+(na<<2)>>2]-nb)*+n[Ba>>2];else wb=vb;if(pb)xb=wb+(+n[qb+(la<<2)>>2]-nb)*+n[Ca>>2];else xb=wb}else xb=ub;qb=lb+(ba<<2)|0;if(!aa){rb=xb+(+n[qb+(mb<<2)>>2]-nb)*+n[ca>>2];if(ja)yb=rb+(+n[qb+(pa<<2)>>2]-nb)*+n[xa>>2];else yb=rb;if(ob)zb=yb+(+n[qb+(na<<2)>>2]-nb)*+n[ya>>2];else zb=yb;if(pb)Ab=zb+(+n[qb+(la<<2)>>2]-nb)*+n[za>>2];else Ab=zb}else Ab=xb;qb=lb+(sa<<2)|0;if(!ra){rb=Ab+(+n[qb+(mb<<2)>>2]-nb)*+n[$>>2];if(ja)Bb=rb+(+n[qb+(pa<<2)>>2]-nb)*+n[qa>>2];else Bb=rb;if(ob)Cb=Bb+(+n[qb+(na<<2)>>2]-nb)*+n[va>>2];else Cb=Bb;if(pb)Db=Cb+(+n[qb+(la<<2)>>2]-nb)*+n[wa>>2];else Db=Cb}else Db=Ab}else if(ja){qb=lb+(Ga<<2)|0;if(!Ha){rb=nb+(+n[qb+(pa<<2)>>2]-nb)*+n[Ia>>2];if(ob)Eb=rb+(+n[qb+(na<<2)>>2]-nb)*+n[Ya>>2];else Eb=rb;if(pb)Fb=Eb+(+n[qb+(la<<2)>>2]-nb)*+n[Za>>2];else Fb=Eb}else Fb=nb;qb=lb+(Ja<<2)|0;if(!Ka){rb=Fb+(+n[qb+(pa<<2)>>2]-nb)*+n[La>>2];if(ob)Gb=rb+(+n[qb+(na<<2)>>2]-nb)*+n[Wa>>2];else Gb=rb;if(pb)Hb=Gb+(+n[qb+(la<<2)>>2]-nb)*+n[Xa>>2];else Hb=Gb}else Hb=Fb;qb=lb+(Ma<<2)|0;do if(Na)Ib=Hb;else{rb=Hb+(+n[qb+(pa<<2)>>2]-nb)*+n[Oa>>2];if(ob)Jb=rb+(+n[qb+(na<<2)>>2]-nb)*+n[Ua>>2];else Jb=rb;if(!pb){Ib=Jb;break}Ib=Jb+(+n[qb+(la<<2)>>2]-nb)*+n[Va>>2]}while(0);qb=lb+(Pa<<2)|0;if(Qa){Db=Ib;break}rb=Ib+(+n[qb+(pa<<2)>>2]-nb)*+n[Ra>>2];if(ob)Kb=rb+(+n[qb+(na<<2)>>2]-nb)*+n[Sa>>2];else Kb=rb;if(!pb){Db=Kb;break}Db=Kb+(+n[qb+(la<<2)>>2]-nb)*+n[Ta>>2];break}else{qb=lb+(_a<<2)|0;if(!$a){if(ob)Lb=nb+(+n[qb+(na<<2)>>2]-nb)*+n[oa>>2];else Lb=nb;if(pb)Mb=Lb+(+n[qb+(la<<2)>>2]-nb)*+n[jb>>2];else Mb=Lb}else Mb=nb;qb=lb+(ab<<2)|0;if(!bb){if(ob)Nb=Mb+(+n[qb+(na<<2)>>2]-nb)*+n[ma>>2];else Nb=Mb;if(pb)Ob=Nb+(+n[qb+(la<<2)>>2]-nb)*+n[ib>>2];else Ob=Nb}else Ob=Mb;qb=lb+(cb<<2)|0;do if(db)Pb=Ob;else{if(ob)Qb=Ob+(+n[qb+(na<<2)>>2]-nb)*+n[ka>>2];else Qb=Ob;if(!pb){Pb=Qb;break}Pb=Qb+(+n[qb+(la<<2)>>2]-nb)*+n[hb>>2]}while(0);qb=lb+(eb<<2)|0;if(fb){Db=Pb;break}if(ob)Rb=Pb+(+n[qb+(na<<2)>>2]-nb)*+n[ia>>2];else Rb=Pb;if(!pb){Db=Rb;break}Db=Rb+(+n[qb+(la<<2)>>2]-nb)*+n[gb>>2];break}while(0);n[R+(kb<<2)>>2]=Db;pb=kb+1|0;if((pb|0)==(w|0))break;kb=pb;lb=lb+4|0;mb=f[m>>2]|0;pa=f[J>>2]|0;na=f[K>>2]|0;la=f[L>>2]|0}ua=T+(w<<2)+(M<<2)|0}while(0);ta=ua}S=S+1|0;if((S|0)==(C|0)){Sb=ta;break}else{R=R+(w<<2)|0;T=ta}}}else Sb=N;v=v+1|0;if((v|0)==(D|0))break;else N=Sb}u=k;return}function Gsa(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0.0,ob=0.0,pb=0.0,qb=0.0,rb=0.0,sb=0.0,tb=0.0,ub=0.0,vb=0.0,wb=0.0,xb=0.0,yb=0.0,zb=0.0,Ab=0.0,Bb=0.0,Cb=0,Db=0,Eb=0,Fb=0.0,Gb=0.0,Hb=0.0,Ib=0;k=u;u=u+4128|0;l=k;m=k+4112|0;o=k+4096|0;q=f[a+40>>2]|0;r=f[q+4>>2]|0;s=f[q>>2]|0;q=f[b+40>>2]|0;t=f[q+4>>2]|0;v=f[q>>2]|0;q=(f[a>>2]|0)>>>3;w=q&511;x=w+1|0;y=f[a+16>>2]|0;z=(f[a+48>>2]|0)>>>3;a=0;do{p[l+(a<<3)>>3]=+p[i+((a&3)<<3)>>3];a=a+1|0}while((a|0)!=(x|0));a=(h|0)!=5?h:4;i=r+-3|0;A=(i|0)>0?i:0;i=s+-3|0;B=(i|0)>0?i:0;if((f[b>>2]&16384|0)!=0?(f[c>>2]&16384|0)!=0:0){i=(f[e>>2]&16384|0)!=0;C=Y(i?v:1,t)|0;if(i){D=C;E=1}else{F=C;G=6}}else{F=t;G=6}if((G|0)==6)if((v|0)>0){D=F;E=v}else{u=k;return}v=b+16|0;F=b+44|0;b=c+16|0;t=c+44|0;c=e+16|0;C=e+44|0;e=(D|0)>0;i=x<<1;H=x*3|0;I=(Y(z,-3)|0)+1|0;J=(h|0)==5;h=(a|0)==0;K=m+4|0;L=m+8|0;M=m+12|0;N=(q|-512)^511;q=(w<<3)+8|0;w=o+4|0;O=o+8|0;P=o+12|0;Q=0;R=y;while(1){y=f[v>>2]|0;S=Y(f[f[F>>2]>>2]|0,Q)|0;T=(f[b>>2]|0)+(Y(f[f[t>>2]>>2]|0,Q)|0)|0;U=(f[c>>2]|0)+(Y(f[f[C>>2]>>2]|0,Q)|0)|0;if(e){V=y+S|0;W=0;X=R;while(1){Z=y+(S+(Y(q,W)|0))|0;_=W<<1;$=d[T+(_<<1)>>1]|0;aa=$+-1|0;ba=d[T+((_|1)<<1)>>1]|0;_=ba+-1|0;ca=g+(j[U+(W<<1)>>1]<<4<<2)|0;if(aa>>>0<A>>>0&_>>>0<B>>>0){da=X+((Y(_,z)|0)<<3)+((Y(aa,x)|0)<<3)|0;ea=+n[ca>>2];fa=+n[ca+4>>2];ga=+n[ca+8>>2];ha=+n[ca+12>>2];ia=+n[ca+16>>2];ja=+n[ca+20>>2];ka=+n[ca+24>>2];la=+n[ca+28>>2];ma=+n[ca+32>>2];na=+n[ca+36>>2];oa=+n[ca+40>>2];pa=+n[ca+44>>2];qa=+n[ca+48>>2];ra=+n[ca+52>>2];sa=+n[ca+56>>2];ta=+n[ca+60>>2];ua=0;va=da;while(1){da=va+(z<<3)|0;wa=da+(z<<3)|0;xa=wa+(z<<3)|0;p[V+(ua<<3)>>3]=+p[va>>3]*ea+ +p[va+(x<<3)>>3]*fa+ +p[va+(i<<3)>>3]*ga+ +p[va+(H<<3)>>3]*ha+(+p[da>>3]*ia+ +p[da+(x<<3)>>3]*ja+ +p[da+(i<<3)>>3]*ka+ +p[da+(H<<3)>>3]*la)+(+p[wa>>3]*ma+ +p[wa+(x<<3)>>3]*na+ +p[wa+(i<<3)>>3]*oa+ +p[wa+(H<<3)>>3]*pa)+(+p[xa>>3]*qa+ +p[xa+(x<<3)>>3]*ra+ +p[xa+(i<<3)>>3]*sa+ +p[xa+(H<<3)>>3]*ta);ua=ua+1|0;if((ua|0)==(x|0)){ya=X;break}else va=xa+(I<<3)|0}}else{if(J?!($>>>0<r>>>0&ba>>>0<s>>>0):0)za=X;else G=17;do if((G|0)==17){G=0;if(h?(ba+3|0)<1|((ba|0)>(s|0)|(($|0)>(r|0)|($+3|0)<1)):0){Krc(Z|0,l|0,q|0)|0;za=X;break}va=Y(sT(aa,r,a)|0,x)|0;f[m>>2]=va;ua=sT(_,s,a)|0;f[o>>2]=ua;xa=Y(sT($,r,a)|0,x)|0;f[K>>2]=xa;wa=sT(ba,s,a)|0;f[w>>2]=wa;da=Y(sT($+1|0,r,a)|0,x)|0;f[L>>2]=da;Aa=sT(ba+1|0,s,a)|0;f[O>>2]=Aa;Ba=Y(sT($+2|0,r,a)|0,x)|0;f[M>>2]=Ba;Ca=sT(ba+2|0,s,a)|0;f[P>>2]=Ca;Da=Y(ua,z)|0;Ea=(ua|0)<0;Fa=ca+16|0;Ga=Y(wa,z)|0;Ha=(wa|0)<0;Ia=Fa+16|0;Ja=Y(Aa,z)|0;Ka=(Aa|0)<0;La=Ia+16|0;Ma=Y(Ca,z)|0;Na=(Ca|0)<0;Oa=La+4|0;Pa=La+8|0;Qa=La+12|0;La=Ia+4|0;Ra=Ia+8|0;Sa=Ia+12|0;Ia=Fa+4|0;Ta=Fa+8|0;Ua=Fa+12|0;Fa=ca+4|0;Va=ca+8|0;Wa=ca+12|0;Xa=Y(ua,z)|0;Ya=(ua|0)<0;ua=ca+16|0;Za=Y(wa,z)|0;_a=(wa|0)<0;wa=ca+32|0;$a=Y(Aa,z)|0;ab=(Aa|0)<0;Aa=ca+48|0;bb=Y(Ca,z)|0;cb=(Ca|0)<0;Ca=Aa+8|0;db=Aa+12|0;Aa=wa+8|0;eb=wa+12|0;wa=ua+8|0;fb=ua+12|0;ua=ca+8|0;gb=ca+12|0;hb=0;ib=X;jb=va;va=xa;xa=da;da=Ba;while(1){ta=+p[l+(hb<<3)>>3];Ba=(va|0)>-1;kb=(xa|0)>-1;lb=(da|0)>-1;do if((jb|0)<=-1)if(Ba){mb=ib+(Da<<3)|0;if(!Ea){sa=ta+(+p[mb+(va<<3)>>3]-ta)*+n[Fa>>2];if(kb)nb=sa+(+p[mb+(xa<<3)>>3]-ta)*+n[Va>>2];else nb=sa;if(lb)ob=nb+(+p[mb+(da<<3)>>3]-ta)*+n[Wa>>2];else ob=nb}else ob=ta;mb=ib+(Ga<<3)|0;if(!Ha){sa=ob+(+p[mb+(va<<3)>>3]-ta)*+n[Ia>>2];if(kb)pb=sa+(+p[mb+(xa<<3)>>3]-ta)*+n[Ta>>2];else pb=sa;if(lb)qb=pb+(+p[mb+(da<<3)>>3]-ta)*+n[Ua>>2];else qb=pb}else qb=ob;mb=ib+(Ja<<3)|0;do if(Ka)rb=qb;else{sa=qb+(+p[mb+(va<<3)>>3]-ta)*+n[La>>2];if(kb)sb=sa+(+p[mb+(xa<<3)>>3]-ta)*+n[Ra>>2];else sb=sa;if(!lb){rb=sb;break}rb=sb+(+p[mb+(da<<3)>>3]-ta)*+n[Sa>>2]}while(0);mb=ib+(Ma<<3)|0;if(Na){tb=rb;break}sa=rb+(+p[mb+(va<<3)>>3]-ta)*+n[Oa>>2];if(kb)ub=sa+(+p[mb+(xa<<3)>>3]-ta)*+n[Pa>>2];else ub=sa;if(!lb){tb=ub;break}tb=ub+(+p[mb+(da<<3)>>3]-ta)*+n[Qa>>2];break}else{mb=ib+(Xa<<3)|0;if(!Ya){if(kb)vb=ta+(+p[mb+(xa<<3)>>3]-ta)*+n[ua>>2];else vb=ta;if(lb)wb=vb+(+p[mb+(da<<3)>>3]-ta)*+n[gb>>2];else wb=vb}else wb=ta;mb=ib+(Za<<3)|0;if(!_a){if(kb)xb=wb+(+p[mb+(xa<<3)>>3]-ta)*+n[wa>>2];else xb=wb;if(lb)yb=xb+(+p[mb+(da<<3)>>3]-ta)*+n[fb>>2];else yb=xb}else yb=wb;mb=ib+($a<<3)|0;do if(ab)zb=yb;else{if(kb)Ab=yb+(+p[mb+(xa<<3)>>3]-ta)*+n[Aa>>2];else Ab=yb;if(!lb){zb=Ab;break}zb=Ab+(+p[mb+(da<<3)>>3]-ta)*+n[eb>>2]}while(0);mb=ib+(bb<<3)|0;if(cb){tb=zb;break}if(kb)Bb=zb+(+p[mb+(xa<<3)>>3]-ta)*+n[Ca>>2];else Bb=zb;if(!lb){tb=Bb;break}tb=Bb+(+p[mb+(da<<3)>>3]-ta)*+n[db>>2];break}else{mb=0;sa=ta;Cb=ca;while(1){Db=f[o+(mb<<2)>>2]|0;Eb=ib+((Y(Db,z)|0)<<3)|0;if((Db|0)>=0){ra=sa+(+p[Eb+(jb<<3)>>3]-ta)*+n[Cb>>2];if(Ba)Fb=ra+(+p[Eb+(va<<3)>>3]-ta)*+n[Cb+4>>2];else Fb=ra;if(kb)Gb=Fb+(+p[Eb+(xa<<3)>>3]-ta)*+n[Cb+8>>2];else Gb=Fb;if(lb)Hb=Gb+(+p[Eb+(da<<3)>>3]-ta)*+n[Cb+12>>2];else Hb=Gb}else Hb=sa;mb=mb+1|0;if((mb|0)==4){tb=Hb;break}else{sa=Hb;Cb=Cb+16|0}}}while(0);p[V+(hb<<3)>>3]=tb;lb=hb+1|0;if((lb|0)==(x|0))break;hb=lb;ib=ib+8|0;jb=f[m>>2]|0;va=f[K>>2]|0;xa=f[L>>2]|0;da=f[M>>2]|0}za=X+(x<<3)+(N<<3)|0}while(0);ya=za}W=W+1|0;if((W|0)==(D|0)){Ib=ya;break}else{V=V+(x<<3)|0;X=ya}}}else Ib=R;Q=Q+1|0;if((Q|0)==(E|0))break;else R=Ib}u=k;return}function Hsa(a,c,e,g,i,k,l){a=a|0;c=c|0;e=e|0;g=g|0;i=i|0;k=k|0;l=l|0;var m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0;m=u;u=u+528|0;n=m+8|0;o=m;q=f[a+40>>2]|0;r=f[q+4>>2]|0;s=f[q>>2]|0;q=f[c+40>>2]|0;t=f[q+4>>2]|0;v=f[q>>2]|0;q=(f[a>>2]|0)>>>3;w=q&511;x=w+1|0;y=f[a+16>>2]|0;z=f[a+48>>2]|0;a=0;do{A=V9b(+p[l+((a&3)<<3)>>3])|0;b[n+a>>0]=A>>>0<256?A:(A|0)>0?255:0;a=a+1|0}while((a|0)!=(x|0));a=r+-1|0;l=(a|0)>0?a:0;A=s+-1|0;B=(A|0)>0?A:0;if((Y(s,r)|0)<=0){f[o>>2]=0;f[o+4>>2]=0;C=YG(o,16)|0;D=293815;E=C+16|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,o,293832,293344,666)}if((v|0)<=0){u=m;return}o=c+16|0;D=c+44|0;c=e+16|0;C=e+44|0;e=g+16|0;E=g+44|0;g=(t|0)<0;F=(k|0)==5;G=F&(x|0)!=3;H=(w|0)==0;w=(k|0)==0;I=(k|0)==1;J=q&65535;q=z+1|0;K=z+2|0;L=z+3|0;M=z+4|0;N=z+5|0;O=z+6|0;P=z+7|0;Q=0;do{R=(f[c>>2]|0)+(Y(f[f[C>>2]>>2]|0,Q)|0)|0;S=(f[e>>2]|0)+(Y(f[f[E>>2]>>2]|0,Q)|0)|0;if(!g){T=(f[o>>2]|0)+(Y(f[f[D>>2]>>2]|0,Q)|0)|0;U=0;V=0;W=0;while(1){do if((W|0)<(t|0)){X=W<<1;if((d[R+(X<<1)>>1]|0)>>>0>=l>>>0)if(V){Z=18;break}else{_=T;$=W;aa=U;ba=0;break}else{ca=(d[R+((X|1)<<1)>>1]|0)>>>0<B>>>0;Z=16;break}}else{ca=V^1;Z=16}while(0);do if((Z|0)==16){Z=0;if(V^ca)if(ca){if(G){_=T+(Y(W-U|0,x)|0)|0;$=W;aa=W;ba=1;break}X=(W|0)>(U|0);if(H){if(!X){_=T;$=U;aa=W;ba=1;break}da=W-U|0;ea=U;fa=T;while(1){ga=ea<<1;ha=d[R+(ga<<1)>>1]|0;ia=ha<<16>>16;ja=d[R+((ga|1)<<1)>>1]|0;ga=ja<<16>>16;do if(w)if(ja<<16>>16<-1|ha<<16>>16>-2&(ia|0)<(r|0)&(ga|0)<(s|0)^1){ka=b[n>>0]|0;break}else{la=i+(j[S+(ea<<1)>>1]<<2<<1)|0;Z=49;break}else{ma=i+(j[S+(ea<<1)>>1]<<2<<1)|0;if(I){na=ha<<16>>16>-1?((ia|0)<(r|0)?ia:a):0;oa=ia+1|0;pa=ha<<16>>16>-2?((oa|0)<(r|0)?oa:a):0;oa=ga+1|0;qa=Y(ja<<16>>16>-1?((ga|0)<(s|0)?ga:A):0,z)|0;ra=Y(ja<<16>>16>-2?((oa|0)<(s|0)?oa:A):0,z)|0;sa=y+(ra+pa)|0;ta=y+(ra+na)|0;ua=y+(qa+pa)|0;va=y+(qa+na)|0;wa=ma;Z=50}else{la=ma;Z=49}}while(0);if((Z|0)==49){Z=0;ja=sT(ia,r,k)|0;ha=sT(ia+1|0,r,k)|0;ma=sT(ga,s,k)|0;na=sT(ga+1|0,s,k)|0;qa=Y(ma,z)|0;pa=Y(na,z)|0;sa=(na|ha|0)>-1?y+(pa+ha)|0:n;ta=(na|ja|0)>-1?y+(pa+ja)|0:n;ua=(ma|ha|0)>-1?y+(qa+ha)|0:n;va=(ma|ja|0)>-1?y+(qa+ja)|0:n;wa=la;Z=50}if((Z|0)==50){Z=0;ja=Y(d[wa>>1]|0,h[va>>0]|0)|0;qa=Y(d[wa+2>>1]|0,h[ua>>0]|0)|0;ma=Y(d[wa+4>>1]|0,h[ta>>0]|0)|0;ha=ja+16384+qa+ma+(Y(d[wa+6>>1]|0,h[sa>>0]|0)|0)>>15;ka=(ha>>>0<256?ha:(ha|0)>0?255:0)&255}b[fa>>0]=ka;ea=ea+1|0;if((ea|0)==(W|0))break;else fa=fa+1|0}_=T+da|0;$=W;aa=W;ba=1;break}if(X){fa=Y(x,W+-1-U|0)|0;ea=U;ha=T;while(1){ma=ea<<1;qa=d[R+(ma<<1)>>1]|0;ja=qa<<16>>16;pa=d[R+((ma|1)<<1)>>1]|0;ma=pa<<16>>16;do if(w)if(pa<<16>>16<-1|qa<<16>>16>-2&(ja|0)<(r|0)&(ma|0)<(s|0)^1){na=0;do{b[ha+na>>0]=b[n+na>>0]|0;na=na+1|0}while((na|0)!=(x|0))}else{xa=i+(j[S+(ea<<1)>>1]<<2<<1)|0;Z=58;break}else{na=i+(j[S+(ea<<1)>>1]<<2<<1)|0;if(I){ra=ja+1|0;oa=ma+1|0;ya=y+(Y(pa<<16>>16>-1?((ma|0)<(s|0)?ma:A):0,z)|0)|0;za=Y(qa<<16>>16>-1?((ja|0)<(r|0)?ja:a):0,x)|0;Aa=Y(qa<<16>>16>-2?((ra|0)<(r|0)?ra:a):0,x)|0;ra=y+(Y(pa<<16>>16>-2?((oa|0)<(s|0)?oa:A):0,z)|0)|0;Ba=ra+Aa|0;Ca=ra+za|0;Da=ya+Aa|0;Ea=ya+za|0;Fa=na;Z=61}else{xa=na;Z=58}}while(0);do if((Z|0)==58){Z=0;if(F?!(ja>>>0<a>>>0&ma>>>0<A>>>0):0)break;pa=sT(ja,r,k)|0;qa=sT(ja+1|0,r,k)|0;ga=sT(ma,s,k)|0;ia=sT(ma+1|0,s,k)|0;na=y+(Y(ga,z)|0)|0;za=Y(pa,x)|0;ya=Y(qa,x)|0;Aa=y+(Y(ia,z)|0)|0;Ba=(ia|qa|0)>-1?Aa+ya|0:n;Ca=(ia|pa|0)>-1?Aa+za|0:n;Da=(ga|qa|0)>-1?na+ya|0:n;Ea=(ga|pa|0)>-1?na+za|0:n;Fa=xa;Z=61}while(0);if((Z|0)==61){Z=0;ma=Fa+2|0;ja=Fa+4|0;za=Fa+6|0;na=0;do{pa=Y(d[Fa>>1]|0,h[Ea+na>>0]|0)|0;ga=Y(d[ma>>1]|0,h[Da+na>>0]|0)|0;ya=Y(d[ja>>1]|0,h[Ca+na>>0]|0)|0;qa=pa+16384+ga+ya+(Y(d[za>>1]|0,h[Ba+na>>0]|0)|0)>>15;b[ha+na>>0]=qa>>>0<256?qa:(qa|0)>0?255:0;na=na+1|0}while((na|0)!=(x|0))}ea=ea+1|0;if((ea|0)==(W|0))break;else ha=ha+x|0}_=T+x+fa|0;$=W;aa=W;ba=1}else{_=T;$=U;aa=W;ba=1}}else Z=18;else{_=T;$=W;aa=U;ba=V}}while(0);a:do if((Z|0)==18){Z=0;switch(J&511){case 0:{if((W|0)<=(U|0)){_=T;$=U;aa=W;ba=0;break a}ha=W-U|0;ea=T;X=U;while(1){da=X<<1;na=i+(j[S+(X<<1)>>1]<<2<<1)|0;za=y+(Y(d[R+((da|1)<<1)>>1]|0,z)|0)+(d[R+(da<<1)>>1]|0)|0;da=Y(d[na>>1]|0,h[za>>0]|0)|0;ja=Y(d[na+2>>1]|0,h[za+1>>0]|0)|0;ma=Y(d[na+4>>1]|0,h[za+z>>0]|0)|0;qa=da+16384+ja+ma+(Y(d[na+6>>1]|0,h[za+q>>0]|0)|0)>>15;b[ea>>0]=qa>>>0<256?qa:(qa|0)>0?255:0;X=X+1|0;if((X|0)==(W|0))break;else ea=ea+1|0}_=T+ha|0;$=W;aa=W;ba=0;break a;break}case 1:{if((W|0)<=(U|0)){_=T;$=U;aa=W;ba=0;break a}ea=W-U<<1;X=T;fa=U;while(1){qa=fa<<1;za=i+(j[S+(fa<<1)>>1]<<2<<1)|0;na=y+(Y(d[R+((qa|1)<<1)>>1]|0,z)|0)+(d[R+(qa<<1)>>1]<<1)|0;qa=d[za>>1]|0;ma=Y(qa,h[na>>0]|0)|0;ja=d[za+2>>1]|0;da=Y(ja,h[na+2>>0]|0)|0;ya=d[za+4>>1]|0;ga=Y(ya,h[na+z>>0]|0)|0;pa=d[za+6>>1]|0;za=Y(pa,h[na+K>>0]|0)|0;Aa=Y(h[na+1>>0]|0,qa)|0;qa=Y(h[na+3>>0]|0,ja)|0;ja=Y(h[na+q>>0]|0,ya)|0;ya=Y(h[na+L>>0]|0,pa)|0;pa=ma+16384+da+ga+za>>15;b[X>>0]=pa>>>0<256?pa:(pa|0)>0?255:0;pa=Aa+16384+qa+ja+ya>>15;b[X+1>>0]=pa>>>0<256?pa:(pa|0)>0?255:0;fa=fa+1|0;if((fa|0)==(W|0))break;else X=X+2|0}_=T+ea|0;$=W;aa=W;ba=0;break a;break}case 2:{if((W|0)<=(U|0)){_=T;$=U;aa=W;ba=0;break a}X=(W-U|0)*3|0;fa=T;ha=U;while(1){pa=ha<<1;ya=i+(j[S+(ha<<1)>>1]<<2<<1)|0;ja=y+(Y(d[R+((pa|1)<<1)>>1]|0,z)|0)+((d[R+(pa<<1)>>1]|0)*3|0)|0;pa=d[ya>>1]|0;qa=Y(pa,h[ja>>0]|0)|0;Aa=d[ya+2>>1]|0;za=Y(Aa,h[ja+3>>0]|0)|0;ga=d[ya+4>>1]|0;da=Y(ga,h[ja+z>>0]|0)|0;ma=d[ya+6>>1]|0;ya=Y(ma,h[ja+L>>0]|0)|0;na=Y(h[ja+1>>0]|0,pa)|0;ia=Y(h[ja+4>>0]|0,Aa)|0;ra=Y(h[ja+q>>0]|0,ga)|0;oa=Y(h[ja+M>>0]|0,ma)|0;Ga=Y(h[ja+2>>0]|0,pa)|0;pa=Y(h[ja+5>>0]|0,Aa)|0;Aa=Y(h[ja+K>>0]|0,ga)|0;ga=Y(h[ja+N>>0]|0,ma)|0;ma=qa+16384+za+da+ya>>15;b[fa>>0]=ma>>>0<256?ma:(ma|0)>0?255:0;ma=na+16384+ia+ra+oa>>15;b[fa+1>>0]=ma>>>0<256?ma:(ma|0)>0?255:0;ma=Ga+16384+pa+Aa+ga>>15;b[fa+2>>0]=ma>>>0<256?ma:(ma|0)>0?255:0;ha=ha+1|0;if((ha|0)==(W|0))break;else fa=fa+3|0}_=T+X|0;$=W;aa=W;ba=0;break a;break}case 3:{if((W|0)<=(U|0)){_=T;$=U;aa=W;ba=0;break a}fa=W-U<<2;ha=U;ea=T;while(1){ma=ha<<1;ga=i+(j[S+(ha<<1)>>1]<<2<<1)|0;Aa=y+(Y(d[R+((ma|1)<<1)>>1]|0,z)|0)+(d[R+(ma<<1)>>1]<<2)|0;ma=d[ga>>1]|0;pa=Y(ma,h[Aa>>0]|0)|0;Ga=ga+2|0;oa=d[Ga>>1]|0;ra=Y(oa,h[Aa+4>>0]|0)|0;ia=ga+4|0;na=d[ia>>1]|0;ya=Y(na,h[Aa+z>>0]|0)|0;da=ga+6|0;za=d[da>>1]|0;qa=Y(za,h[Aa+M>>0]|0)|0;ja=Y(h[Aa+1>>0]|0,ma)|0;ma=Y(h[Aa+5>>0]|0,oa)|0;oa=Y(h[Aa+q>>0]|0,na)|0;na=Y(h[Aa+N>>0]|0,za)|0;za=pa+16384+ra+ya+qa>>15;b[ea>>0]=za>>>0<256?za:(za|0)>0?255:0;za=ja+16384+ma+oa+na>>15;b[ea+1>>0]=za>>>0<256?za:(za|0)>0?255:0;za=d[ga>>1]|0;ga=Y(za,h[Aa+2>>0]|0)|0;na=d[Ga>>1]|0;Ga=Y(na,h[Aa+6>>0]|0)|0;oa=d[ia>>1]|0;ia=Y(oa,h[Aa+K>>0]|0)|0;ma=d[da>>1]|0;da=Y(ma,h[Aa+O>>0]|0)|0;ja=Y(h[Aa+3>>0]|0,za)|0;za=Y(h[Aa+7>>0]|0,na)|0;na=Y(h[Aa+L>>0]|0,oa)|0;oa=Y(h[Aa+P>>0]|0,ma)|0;ma=ga+16384+Ga+ia+da>>15;b[ea+2>>0]=ma>>>0<256?ma:(ma|0)>0?255:0;ma=ja+16384+za+na+oa>>15;b[ea+3>>0]=ma>>>0<256?ma:(ma|0)>0?255:0;ha=ha+1|0;if((ha|0)==(W|0))break;else ea=ea+4|0}_=T+fa|0;$=W;aa=W;ba=0;break a;break}default:{if((W|0)<=(U|0)){_=T;$=U;aa=W;ba=0;break a}ea=Y(x,W+-1-U|0)|0;ha=U;X=T;while(1){ma=ha<<1;oa=i+(j[S+(ha<<1)>>1]<<2<<1)|0;na=y+(Y(d[R+((ma|1)<<1)>>1]|0,z)|0)+(Y(d[R+(ma<<1)>>1]|0,x)|0)|0;ma=oa+2|0;za=oa+4|0;ja=oa+6|0;da=0;do{ia=Y(d[oa>>1]|0,h[na+da>>0]|0)|0;Ga=Y(d[ma>>1]|0,h[na+(da+x)>>0]|0)|0;ga=da+z|0;Aa=Y(d[za>>1]|0,h[na+ga>>0]|0)|0;qa=ia+16384+Ga+Aa+(Y(d[ja>>1]|0,h[na+(ga+x)>>0]|0)|0)>>15;b[X+da>>0]=qa>>>0<256?qa:(qa|0)>0?255:0;da=da+1|0}while((da|0)!=(x|0));ha=ha+1|0;if((ha|0)==(W|0))break;else X=X+x|0}_=T+x+ea|0;$=W;aa=W;ba=0;break a}}}while(0);if(($|0)<(t|0)){T=_;U=aa;V=ba;W=$+1|0}else break}}Q=Q+1|0}while((Q|0)!=(v|0));u=m;return}function Isa(a,c,e,g,h,i,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0.0,Ma=0.0,Na=0.0,Oa=0.0,Pa=0.0,Qa=0.0;l=u;u=u+1040|0;m=l+8|0;o=l;q=f[a+40>>2]|0;r=f[q+4>>2]|0;s=f[q>>2]|0;q=f[c+40>>2]|0;t=f[q+4>>2]|0;v=f[q>>2]|0;q=(f[a>>2]|0)>>>3;w=q&511;x=w+1|0;y=f[a+16>>2]|0;z=f[a+48>>2]|0;a=0;do{A=V9b(+p[k+((a&3)<<3)>>3])|0;d[m+(a<<1)>>1]=A>>>0<65536?A:(A|0)>0?65535:0;a=a+1|0}while((a|0)!=(x|0));a=z>>>1;z=r+-1|0;k=(z|0)>0?z:0;A=s+-1|0;B=(A|0)>0?A:0;if((Y(s,r)|0)<=0){f[o>>2]=0;f[o+4>>2]=0;C=YG(o,16)|0;D=293815;E=C+16|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,o,293832,293344,666)}if((v|0)<=0){u=l;return}o=c+16|0;D=c+44|0;c=e+16|0;C=e+44|0;e=g+16|0;E=g+44|0;g=(t|0)<0;F=(i|0)==5;G=F&(x|0)!=3;H=(w|0)==0;I=(i|0)==0;J=(i|0)==1;K=q&65535;q=a+1|0;L=a+2|0;M=a+3|0;N=a+4|0;O=a+5|0;P=a+6|0;Q=a+7|0;R=(w<<1)+2|0;w=0;do{S=(f[c>>2]|0)+(Y(f[f[C>>2]>>2]|0,w)|0)|0;T=(f[e>>2]|0)+(Y(f[f[E>>2]>>2]|0,w)|0)|0;if(!g){U=(f[o>>2]|0)+(Y(f[f[D>>2]>>2]|0,w)|0)|0;V=0;W=0;X=0;while(1){do if((X|0)<(t|0)){Z=X<<1;if((d[S+(Z<<1)>>1]|0)>>>0>=k>>>0)if(W){_=18;break}else{$=U;aa=X;ba=V;ca=0;break}else{da=(d[S+((Z|1)<<1)>>1]|0)>>>0<B>>>0;_=16;break}}else{da=W^1;_=16}while(0);do if((_|0)==16){_=0;if(W^da)if(da){if(G){$=U+((Y(X-V|0,x)|0)<<1)|0;aa=X;ba=X;ca=1;break}Z=(X|0)>(V|0);if(H){if(!Z){$=U;aa=V;ba=X;ca=1;break}ea=X-V|0;fa=V;ga=U;while(1){ha=fa<<1;ia=d[S+(ha<<1)>>1]|0;ja=ia<<16>>16;ka=d[S+((ha|1)<<1)>>1]|0;ha=ka<<16>>16;do if(I)if(ka<<16>>16<-1|ia<<16>>16>-2&(ja|0)<(r|0)&(ha|0)<(s|0)^1){la=d[m>>1]|0;break}else{ma=h+(j[T+(fa<<1)>>1]<<2<<2)|0;_=49;break}else{na=h+(j[T+(fa<<1)>>1]<<2<<2)|0;if(J){oa=ia<<16>>16>-1?((ja|0)<(r|0)?ja:z):0;pa=ja+1|0;qa=ia<<16>>16>-2?((pa|0)<(r|0)?pa:z):0;pa=ha+1|0;ra=Y(ka<<16>>16>-1?((ha|0)<(s|0)?ha:A):0,a)|0;sa=Y(ka<<16>>16>-2?((pa|0)<(s|0)?pa:A):0,a)|0;ta=y+(sa+qa<<1)|0;ua=d[y+(sa+oa<<1)>>1]|0;va=d[y+(ra+qa<<1)>>1]|0;wa=d[y+(ra+oa<<1)>>1]|0;xa=na;_=57}else{ma=na;_=49}}while(0);do if((_|0)==49){_=0;ka=sT(ja,r,i)|0;ia=sT(ja+1|0,r,i)|0;na=sT(ha,s,i)|0;oa=sT(ha+1|0,s,i)|0;if((na|ka|0)>-1)ya=y+((Y(na,a)|0)+ka<<1)|0;else ya=m;ra=d[ya>>1]|0;if((na|ia|0)>-1)za=y+((Y(na,a)|0)+ia<<1)|0;else za=m;na=d[za>>1]|0;if((oa|ka|0)>-1)Aa=y+((Y(oa,a)|0)+ka<<1)|0;else Aa=m;ka=d[Aa>>1]|0;if((oa|ia|0)<=-1){ta=m;ua=ka;va=na;wa=ra;xa=ma;_=57;break}ta=y+((Y(oa,a)|0)+ia<<1)|0;ua=ka;va=na;wa=ra;xa=ma;_=57}while(0);if((_|0)==57){_=0;ha=U9b(+(wa&65535)*+n[xa>>2]+ +(va&65535)*+n[xa+4>>2]+ +(ua&65535)*+n[xa+8>>2]+ +(j[ta>>1]|0)*+n[xa+12>>2])|0;la=(ha>>>0<65536?ha:(ha|0)>0?65535:0)&65535}d[ga>>1]=la;fa=fa+1|0;if((fa|0)==(X|0))break;else ga=ga+2|0}$=U+(ea<<1)|0;aa=X;ba=X;ca=1;break}if(Z){ga=U+(x<<1)+(Y(R,X+-1-V|0)|0)|0;fa=V;ha=U;while(1){ja=fa<<1;ra=d[S+(ja<<1)>>1]|0;na=ra<<16>>16;ka=d[S+((ja|1)<<1)>>1]|0;ja=ka<<16>>16;do if(I)if(ka<<16>>16<-1|ra<<16>>16>-2&(na|0)<(r|0)&(ja|0)<(s|0)^1){ia=0;do{d[ha+(ia<<1)>>1]=d[m+(ia<<1)>>1]|0;ia=ia+1|0}while((ia|0)!=(x|0))}else{Ba=h+(j[T+(fa<<1)>>1]<<2<<2)|0;_=65;break}else{ia=h+(j[T+(fa<<1)>>1]<<2<<2)|0;if(J){oa=na+1|0;qa=ja+1|0;sa=y+((Y(ka<<16>>16>-1?((ja|0)<(s|0)?ja:A):0,a)|0)<<1)|0;pa=Y(ra<<16>>16>-1?((na|0)<(r|0)?na:z):0,x)|0;Ca=Y(ra<<16>>16>-2?((oa|0)<(r|0)?oa:z):0,x)|0;oa=y+((Y(ka<<16>>16>-2?((qa|0)<(s|0)?qa:A):0,a)|0)<<1)|0;Da=oa+(Ca<<1)|0;Ea=oa+(pa<<1)|0;Fa=sa+(Ca<<1)|0;Ga=sa+(pa<<1)|0;Ha=ia;_=75}else{Ba=ia;_=65}}while(0);do if((_|0)==65){_=0;if(F?!(na>>>0<z>>>0&ja>>>0<A>>>0):0)break;ka=sT(na,r,i)|0;ra=sT(na+1|0,r,i)|0;ia=sT(ja,s,i)|0;pa=sT(ja+1|0,s,i)|0;if((ia|ka|0)>-1)Ia=y+((Y(ia,a)|0)<<1)+((Y(ka,x)|0)<<1)|0;else Ia=m;if((ia|ra|0)>-1)Ja=y+((Y(ia,a)|0)<<1)+((Y(ra,x)|0)<<1)|0;else Ja=m;if((pa|ka|0)>-1)Ka=y+((Y(pa,a)|0)<<1)+((Y(ka,x)|0)<<1)|0;else Ka=m;if((pa|ra|0)<=-1){Da=m;Ea=Ka;Fa=Ja;Ga=Ia;Ha=Ba;_=75;break}Da=y+((Y(pa,a)|0)<<1)+((Y(ra,x)|0)<<1)|0;Ea=Ka;Fa=Ja;Ga=Ia;Ha=Ba;_=75}while(0);if((_|0)==75){_=0;La=+n[Ha>>2];Ma=+n[Ha+4>>2];Na=+n[Ha+8>>2];Oa=+n[Ha+12>>2];ja=0;do{na=U9b(+(j[Ga+(ja<<1)>>1]|0)*La+ +(j[Fa+(ja<<1)>>1]|0)*Ma+ +(j[Ea+(ja<<1)>>1]|0)*Na+ +(j[Da+(ja<<1)>>1]|0)*Oa)|0;d[ha+(ja<<1)>>1]=na>>>0<65536?na:(na|0)>0?65535:0;ja=ja+1|0}while((ja|0)!=(x|0))}fa=fa+1|0;if((fa|0)==(X|0))break;else ha=ha+(x<<1)|0}$=ga;aa=X;ba=X;ca=1}else{$=U;aa=V;ba=X;ca=1}}else _=18;else{$=U;aa=X;ba=V;ca=W}}while(0);a:do if((_|0)==18){_=0;switch(K&511){case 0:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}ha=X-V|0;fa=U;Z=V;while(1){ea=Z<<1;ja=h+(j[T+(Z<<1)>>1]<<2<<2)|0;na=y+((Y(d[S+((ea|1)<<1)>>1]|0,a)|0)<<1)+(d[S+(ea<<1)>>1]<<1)|0;ea=U9b(+(j[na>>1]|0)*+n[ja>>2]+ +(j[na+2>>1]|0)*+n[ja+4>>2]+ +(j[na+(a<<1)>>1]|0)*+n[ja+8>>2]+ +(j[na+(q<<1)>>1]|0)*+n[ja+12>>2])|0;d[fa>>1]=ea>>>0<65536?ea:(ea|0)>0?65535:0;Z=Z+1|0;if((Z|0)==(X|0))break;else fa=fa+2|0}$=U+(ha<<1)|0;aa=X;ba=X;ca=0;break a;break}case 1:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}fa=X-V<<1;Z=U;ga=V;while(1){ea=ga<<1;ja=h+(j[T+(ga<<1)>>1]<<2<<2)|0;na=y+((Y(d[S+((ea|1)<<1)>>1]|0,a)|0)<<1)+(d[S+(ea<<1)>>1]<<1<<1)|0;Oa=+n[ja>>2];Na=+n[ja+4>>2];Ma=+n[ja+8>>2];La=+n[ja+12>>2];Pa=Oa*+(j[na+2>>1]|0)+Na*+(j[na+6>>1]|0)+Ma*+(j[na+(q<<1)>>1]|0)+La*+(j[na+(M<<1)>>1]|0);ja=U9b(+(j[na>>1]|0)*Oa+ +(j[na+4>>1]|0)*Na+ +(j[na+(a<<1)>>1]|0)*Ma+ +(j[na+(L<<1)>>1]|0)*La)|0;d[Z>>1]=ja>>>0<65536?ja:(ja|0)>0?65535:0;ja=U9b(Pa)|0;d[Z+2>>1]=ja>>>0<65536?ja:(ja|0)>0?65535:0;ga=ga+1|0;if((ga|0)==(X|0))break;else Z=Z+4|0}$=U+(fa<<1)|0;aa=X;ba=X;ca=0;break a;break}case 2:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}Z=(X-V|0)*3|0;ga=U;ha=V;while(1){ja=ha<<1;na=h+(j[T+(ha<<1)>>1]<<2<<2)|0;ea=y+((Y(d[S+((ja|1)<<1)>>1]|0,a)|0)<<1)+((d[S+(ja<<1)>>1]|0)*3<<1)|0;Pa=+n[na>>2];La=+n[na+4>>2];Ma=+n[na+8>>2];Na=+n[na+12>>2];Oa=Pa*+(j[ea+2>>1]|0)+La*+(j[ea+8>>1]|0)+Ma*+(j[ea+(q<<1)>>1]|0)+Na*+(j[ea+(N<<1)>>1]|0);Qa=Pa*+(j[ea+4>>1]|0)+La*+(j[ea+10>>1]|0)+Ma*+(j[ea+(L<<1)>>1]|0)+Na*+(j[ea+(O<<1)>>1]|0);na=U9b(+(j[ea>>1]|0)*Pa+ +(j[ea+6>>1]|0)*La+ +(j[ea+(a<<1)>>1]|0)*Ma+ +(j[ea+(M<<1)>>1]|0)*Na)|0;d[ga>>1]=na>>>0<65536?na:(na|0)>0?65535:0;na=U9b(Oa)|0;d[ga+2>>1]=na>>>0<65536?na:(na|0)>0?65535:0;na=U9b(Qa)|0;d[ga+4>>1]=na>>>0<65536?na:(na|0)>0?65535:0;ha=ha+1|0;if((ha|0)==(X|0))break;else ga=ga+6|0}$=U+(Z<<1)|0;aa=X;ba=X;ca=0;break a;break}case 3:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}ga=X-V<<2;ha=V;fa=U;while(1){na=ha<<1;ea=h+(j[T+(ha<<1)>>1]<<2<<2)|0;ja=y+((Y(d[S+((na|1)<<1)>>1]|0,a)|0)<<1)+(d[S+(na<<1)>>1]<<2<<1)|0;Qa=+n[ea>>2];Oa=+n[ea+4>>2];Na=+n[ea+8>>2];Ma=+n[ea+12>>2];La=Qa*+(j[ja+2>>1]|0)+Oa*+(j[ja+10>>1]|0)+Na*+(j[ja+(q<<1)>>1]|0)+Ma*+(j[ja+(O<<1)>>1]|0);ea=U9b(+(j[ja>>1]|0)*Qa+ +(j[ja+8>>1]|0)*Oa+ +(j[ja+(a<<1)>>1]|0)*Na+ +(j[ja+(N<<1)>>1]|0)*Ma)|0;d[fa>>1]=ea>>>0<65536?ea:(ea|0)>0?65535:0;ea=U9b(La)|0;d[fa+2>>1]=ea>>>0<65536?ea:(ea|0)>0?65535:0;La=Qa*+(j[ja+6>>1]|0)+Oa*+(j[ja+14>>1]|0)+Na*+(j[ja+(M<<1)>>1]|0)+Ma*+(j[ja+(Q<<1)>>1]|0);ea=U9b(+(j[ja+4>>1]|0)*Qa+ +(j[ja+12>>1]|0)*Oa+ +(j[ja+(L<<1)>>1]|0)*Na+ +(j[ja+(P<<1)>>1]|0)*Ma)|0;d[fa+4>>1]=ea>>>0<65536?ea:(ea|0)>0?65535:0;ea=U9b(La)|0;d[fa+6>>1]=ea>>>0<65536?ea:(ea|0)>0?65535:0;ha=ha+1|0;if((ha|0)==(X|0))break;else fa=fa+8|0}$=U+(ga<<1)|0;aa=X;ba=X;ca=0;break a;break}default:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}fa=U+(x<<1)+(Y(R,X+-1-V|0)|0)|0;ha=V;Z=U;while(1){ea=ha<<1;ja=h+(j[T+(ha<<1)>>1]<<2<<2)|0;na=y+((Y(d[S+((ea|1)<<1)>>1]|0,a)|0)<<1)+((Y(d[S+(ea<<1)>>1]|0,x)|0)<<1)|0;La=+n[ja>>2];Ma=+n[ja+4>>2];Na=+n[ja+8>>2];Oa=+n[ja+12>>2];ja=0;do{ea=ja+a|0;ra=U9b(+(j[na+(ja<<1)>>1]|0)*La+ +(j[na+(ja+x<<1)>>1]|0)*Ma+ +(j[na+(ea<<1)>>1]|0)*Na+ +(j[na+(ea+x<<1)>>1]|0)*Oa)|0;d[Z+(ja<<1)>>1]=ra>>>0<65536?ra:(ra|0)>0?65535:0;ja=ja+1|0}while((ja|0)!=(x|0));ha=ha+1|0;if((ha|0)==(X|0))break;else Z=Z+(x<<1)|0}$=fa;aa=X;ba=X;ca=0;break a}}}while(0);if((aa|0)<(t|0)){U=$;V=ba;W=ca;X=aa+1|0}else break}}w=w+1|0}while((w|0)!=(v|0));u=l;return}function Jsa(a,c,e,g,h,i,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0.0,Ma=0.0,Na=0.0,Oa=0.0,Pa=0.0,Qa=0.0;l=u;u=u+1040|0;m=l+8|0;o=l;q=f[a+40>>2]|0;r=f[q+4>>2]|0;s=f[q>>2]|0;q=f[c+40>>2]|0;t=f[q+4>>2]|0;v=f[q>>2]|0;q=(f[a>>2]|0)>>>3;w=q&511;x=w+1|0;y=f[a+16>>2]|0;z=f[a+48>>2]|0;a=0;do{A=V9b(+p[k+((a&3)<<3)>>3])|0;d[m+(a<<1)>>1]=(A+32768|0)>>>0<65536?A:(A|0)>0?32767:32768;a=a+1|0}while((a|0)!=(x|0));a=z>>>1;z=r+-1|0;k=(z|0)>0?z:0;A=s+-1|0;B=(A|0)>0?A:0;if((Y(s,r)|0)<=0){f[o>>2]=0;f[o+4>>2]=0;C=YG(o,16)|0;D=293815;E=C+16|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,o,293832,293344,666)}if((v|0)<=0){u=l;return}o=c+16|0;D=c+44|0;c=e+16|0;C=e+44|0;e=g+16|0;E=g+44|0;g=(t|0)<0;F=(i|0)==5;G=F&(x|0)!=3;H=(w|0)==0;I=(i|0)==0;J=(i|0)==1;K=q&65535;q=a+1|0;L=a+2|0;M=a+3|0;N=a+4|0;O=a+5|0;P=a+6|0;Q=a+7|0;R=(w<<1)+2|0;w=0;do{S=(f[c>>2]|0)+(Y(f[f[C>>2]>>2]|0,w)|0)|0;T=(f[e>>2]|0)+(Y(f[f[E>>2]>>2]|0,w)|0)|0;if(!g){U=(f[o>>2]|0)+(Y(f[f[D>>2]>>2]|0,w)|0)|0;V=0;W=0;X=0;while(1){do if((X|0)<(t|0)){Z=X<<1;if((d[S+(Z<<1)>>1]|0)>>>0>=k>>>0)if(W){_=18;break}else{$=U;aa=X;ba=V;ca=0;break}else{da=(d[S+((Z|1)<<1)>>1]|0)>>>0<B>>>0;_=16;break}}else{da=W^1;_=16}while(0);do if((_|0)==16){_=0;if(W^da)if(da){if(G){$=U+((Y(X-V|0,x)|0)<<1)|0;aa=X;ba=X;ca=1;break}Z=(X|0)>(V|0);if(H){if(!Z){$=U;aa=V;ba=X;ca=1;break}ea=X-V|0;fa=V;ga=U;while(1){ha=fa<<1;ia=d[S+(ha<<1)>>1]|0;ja=ia<<16>>16;ka=d[S+((ha|1)<<1)>>1]|0;ha=ka<<16>>16;do if(I)if(ka<<16>>16<-1|ia<<16>>16>-2&(ja|0)<(r|0)&(ha|0)<(s|0)^1){la=d[m>>1]|0;break}else{ma=h+(j[T+(fa<<1)>>1]<<2<<2)|0;_=49;break}else{na=h+(j[T+(fa<<1)>>1]<<2<<2)|0;if(J){oa=ia<<16>>16>-1?((ja|0)<(r|0)?ja:z):0;pa=ja+1|0;qa=ia<<16>>16>-2?((pa|0)<(r|0)?pa:z):0;pa=ha+1|0;ra=Y(ka<<16>>16>-1?((ha|0)<(s|0)?ha:A):0,a)|0;sa=Y(ka<<16>>16>-2?((pa|0)<(s|0)?pa:A):0,a)|0;ta=y+(sa+qa<<1)|0;ua=d[y+(sa+oa<<1)>>1]|0;va=d[y+(ra+qa<<1)>>1]|0;wa=d[y+(ra+oa<<1)>>1]|0;xa=na;_=57}else{ma=na;_=49}}while(0);do if((_|0)==49){_=0;ka=sT(ja,r,i)|0;ia=sT(ja+1|0,r,i)|0;na=sT(ha,s,i)|0;oa=sT(ha+1|0,s,i)|0;if((na|ka|0)>-1)ya=y+((Y(na,a)|0)+ka<<1)|0;else ya=m;ra=d[ya>>1]|0;if((na|ia|0)>-1)za=y+((Y(na,a)|0)+ia<<1)|0;else za=m;na=d[za>>1]|0;if((oa|ka|0)>-1)Aa=y+((Y(oa,a)|0)+ka<<1)|0;else Aa=m;ka=d[Aa>>1]|0;if((oa|ia|0)<=-1){ta=m;ua=ka;va=na;wa=ra;xa=ma;_=57;break}ta=y+((Y(oa,a)|0)+ia<<1)|0;ua=ka;va=na;wa=ra;xa=ma;_=57}while(0);if((_|0)==57){_=0;ha=U9b(+(wa<<16>>16)*+n[xa>>2]+ +(va<<16>>16)*+n[xa+4>>2]+ +(ua<<16>>16)*+n[xa+8>>2]+ +(d[ta>>1]|0)*+n[xa+12>>2])|0;la=((ha+32768|0)>>>0<65536?ha:(ha|0)>0?32767:32768)&65535}d[ga>>1]=la;fa=fa+1|0;if((fa|0)==(X|0))break;else ga=ga+2|0}$=U+(ea<<1)|0;aa=X;ba=X;ca=1;break}if(Z){ga=U+(x<<1)+(Y(R,X+-1-V|0)|0)|0;fa=V;ha=U;while(1){ja=fa<<1;ra=d[S+(ja<<1)>>1]|0;na=ra<<16>>16;ka=d[S+((ja|1)<<1)>>1]|0;ja=ka<<16>>16;do if(I)if(ka<<16>>16<-1|ra<<16>>16>-2&(na|0)<(r|0)&(ja|0)<(s|0)^1){ia=0;do{d[ha+(ia<<1)>>1]=d[m+(ia<<1)>>1]|0;ia=ia+1|0}while((ia|0)!=(x|0))}else{Ba=h+(j[T+(fa<<1)>>1]<<2<<2)|0;_=65;break}else{ia=h+(j[T+(fa<<1)>>1]<<2<<2)|0;if(J){oa=na+1|0;qa=ja+1|0;sa=y+((Y(ka<<16>>16>-1?((ja|0)<(s|0)?ja:A):0,a)|0)<<1)|0;pa=Y(ra<<16>>16>-1?((na|0)<(r|0)?na:z):0,x)|0;Ca=Y(ra<<16>>16>-2?((oa|0)<(r|0)?oa:z):0,x)|0;oa=y+((Y(ka<<16>>16>-2?((qa|0)<(s|0)?qa:A):0,a)|0)<<1)|0;Da=oa+(Ca<<1)|0;Ea=oa+(pa<<1)|0;Fa=sa+(Ca<<1)|0;Ga=sa+(pa<<1)|0;Ha=ia;_=75}else{Ba=ia;_=65}}while(0);do if((_|0)==65){_=0;if(F?!(na>>>0<z>>>0&ja>>>0<A>>>0):0)break;ka=sT(na,r,i)|0;ra=sT(na+1|0,r,i)|0;ia=sT(ja,s,i)|0;pa=sT(ja+1|0,s,i)|0;if((ia|ka|0)>-1)Ia=y+((Y(ia,a)|0)<<1)+((Y(ka,x)|0)<<1)|0;else Ia=m;if((ia|ra|0)>-1)Ja=y+((Y(ia,a)|0)<<1)+((Y(ra,x)|0)<<1)|0;else Ja=m;if((pa|ka|0)>-1)Ka=y+((Y(pa,a)|0)<<1)+((Y(ka,x)|0)<<1)|0;else Ka=m;if((pa|ra|0)<=-1){Da=m;Ea=Ka;Fa=Ja;Ga=Ia;Ha=Ba;_=75;break}Da=y+((Y(pa,a)|0)<<1)+((Y(ra,x)|0)<<1)|0;Ea=Ka;Fa=Ja;Ga=Ia;Ha=Ba;_=75}while(0);if((_|0)==75){_=0;La=+n[Ha>>2];Ma=+n[Ha+4>>2];Na=+n[Ha+8>>2];Oa=+n[Ha+12>>2];ja=0;do{na=U9b(+(d[Ga+(ja<<1)>>1]|0)*La+ +(d[Fa+(ja<<1)>>1]|0)*Ma+ +(d[Ea+(ja<<1)>>1]|0)*Na+ +(d[Da+(ja<<1)>>1]|0)*Oa)|0;d[ha+(ja<<1)>>1]=(na+32768|0)>>>0<65536?na:(na|0)>0?32767:32768;ja=ja+1|0}while((ja|0)!=(x|0))}fa=fa+1|0;if((fa|0)==(X|0))break;else ha=ha+(x<<1)|0}$=ga;aa=X;ba=X;ca=1}else{$=U;aa=V;ba=X;ca=1}}else _=18;else{$=U;aa=X;ba=V;ca=W}}while(0);a:do if((_|0)==18){_=0;switch(K&511){case 0:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}ha=X-V|0;fa=U;Z=V;while(1){ea=Z<<1;ja=h+(j[T+(Z<<1)>>1]<<2<<2)|0;na=y+((Y(d[S+((ea|1)<<1)>>1]|0,a)|0)<<1)+(d[S+(ea<<1)>>1]<<1)|0;ea=U9b(+(d[na>>1]|0)*+n[ja>>2]+ +(d[na+2>>1]|0)*+n[ja+4>>2]+ +(d[na+(a<<1)>>1]|0)*+n[ja+8>>2]+ +(d[na+(q<<1)>>1]|0)*+n[ja+12>>2])|0;d[fa>>1]=(ea+32768|0)>>>0<65536?ea:(ea|0)>0?32767:32768;Z=Z+1|0;if((Z|0)==(X|0))break;else fa=fa+2|0}$=U+(ha<<1)|0;aa=X;ba=X;ca=0;break a;break}case 1:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}fa=X-V<<1;Z=U;ga=V;while(1){ea=ga<<1;ja=h+(j[T+(ga<<1)>>1]<<2<<2)|0;na=y+((Y(d[S+((ea|1)<<1)>>1]|0,a)|0)<<1)+(d[S+(ea<<1)>>1]<<1<<1)|0;Oa=+n[ja>>2];Na=+n[ja+4>>2];Ma=+n[ja+8>>2];La=+n[ja+12>>2];Pa=Oa*+(d[na+2>>1]|0)+Na*+(d[na+6>>1]|0)+Ma*+(d[na+(q<<1)>>1]|0)+La*+(d[na+(M<<1)>>1]|0);ja=U9b(+(d[na>>1]|0)*Oa+ +(d[na+4>>1]|0)*Na+ +(d[na+(a<<1)>>1]|0)*Ma+ +(d[na+(L<<1)>>1]|0)*La)|0;d[Z>>1]=(ja+32768|0)>>>0<65536?ja:(ja|0)>0?32767:32768;ja=U9b(Pa)|0;d[Z+2>>1]=(ja+32768|0)>>>0<65536?ja:(ja|0)>0?32767:32768;ga=ga+1|0;if((ga|0)==(X|0))break;else Z=Z+4|0}$=U+(fa<<1)|0;aa=X;ba=X;ca=0;break a;break}case 2:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}Z=(X-V|0)*3|0;ga=U;ha=V;while(1){ja=ha<<1;na=h+(j[T+(ha<<1)>>1]<<2<<2)|0;ea=y+((Y(d[S+((ja|1)<<1)>>1]|0,a)|0)<<1)+((d[S+(ja<<1)>>1]|0)*3<<1)|0;Pa=+n[na>>2];La=+n[na+4>>2];Ma=+n[na+8>>2];Na=+n[na+12>>2];Oa=Pa*+(d[ea+2>>1]|0)+La*+(d[ea+8>>1]|0)+Ma*+(d[ea+(q<<1)>>1]|0)+Na*+(d[ea+(N<<1)>>1]|0);Qa=Pa*+(d[ea+4>>1]|0)+La*+(d[ea+10>>1]|0)+Ma*+(d[ea+(L<<1)>>1]|0)+Na*+(d[ea+(O<<1)>>1]|0);na=U9b(+(d[ea>>1]|0)*Pa+ +(d[ea+6>>1]|0)*La+ +(d[ea+(a<<1)>>1]|0)*Ma+ +(d[ea+(M<<1)>>1]|0)*Na)|0;d[ga>>1]=(na+32768|0)>>>0<65536?na:(na|0)>0?32767:32768;na=U9b(Oa)|0;d[ga+2>>1]=(na+32768|0)>>>0<65536?na:(na|0)>0?32767:32768;na=U9b(Qa)|0;d[ga+4>>1]=(na+32768|0)>>>0<65536?na:(na|0)>0?32767:32768;ha=ha+1|0;if((ha|0)==(X|0))break;else ga=ga+6|0}$=U+(Z<<1)|0;aa=X;ba=X;ca=0;break a;break}case 3:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}ga=X-V<<2;ha=V;fa=U;while(1){na=ha<<1;ea=h+(j[T+(ha<<1)>>1]<<2<<2)|0;ja=y+((Y(d[S+((na|1)<<1)>>1]|0,a)|0)<<1)+(d[S+(na<<1)>>1]<<2<<1)|0;Qa=+n[ea>>2];Oa=+n[ea+4>>2];Na=+n[ea+8>>2];Ma=+n[ea+12>>2];La=Qa*+(d[ja+2>>1]|0)+Oa*+(d[ja+10>>1]|0)+Na*+(d[ja+(q<<1)>>1]|0)+Ma*+(d[ja+(O<<1)>>1]|0);ea=U9b(+(d[ja>>1]|0)*Qa+ +(d[ja+8>>1]|0)*Oa+ +(d[ja+(a<<1)>>1]|0)*Na+ +(d[ja+(N<<1)>>1]|0)*Ma)|0;d[fa>>1]=(ea+32768|0)>>>0<65536?ea:(ea|0)>0?32767:32768;ea=U9b(La)|0;d[fa+2>>1]=(ea+32768|0)>>>0<65536?ea:(ea|0)>0?32767:32768;La=Qa*+(d[ja+6>>1]|0)+Oa*+(d[ja+14>>1]|0)+Na*+(d[ja+(M<<1)>>1]|0)+Ma*+(d[ja+(Q<<1)>>1]|0);ea=U9b(+(d[ja+4>>1]|0)*Qa+ +(d[ja+12>>1]|0)*Oa+ +(d[ja+(L<<1)>>1]|0)*Na+ +(d[ja+(P<<1)>>1]|0)*Ma)|0;d[fa+4>>1]=(ea+32768|0)>>>0<65536?ea:(ea|0)>0?32767:32768;ea=U9b(La)|0;d[fa+6>>1]=(ea+32768|0)>>>0<65536?ea:(ea|0)>0?32767:32768;ha=ha+1|0;if((ha|0)==(X|0))break;else fa=fa+8|0}$=U+(ga<<1)|0;aa=X;ba=X;ca=0;break a;break}default:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}fa=U+(x<<1)+(Y(R,X+-1-V|0)|0)|0;ha=V;Z=U;while(1){ea=ha<<1;ja=h+(j[T+(ha<<1)>>1]<<2<<2)|0;na=y+((Y(d[S+((ea|1)<<1)>>1]|0,a)|0)<<1)+((Y(d[S+(ea<<1)>>1]|0,x)|0)<<1)|0;La=+n[ja>>2];Ma=+n[ja+4>>2];Na=+n[ja+8>>2];Oa=+n[ja+12>>2];ja=0;do{ea=ja+a|0;ra=U9b(+(d[na+(ja<<1)>>1]|0)*La+ +(d[na+(ja+x<<1)>>1]|0)*Ma+ +(d[na+(ea<<1)>>1]|0)*Na+ +(d[na+(ea+x<<1)>>1]|0)*Oa)|0;d[Z+(ja<<1)>>1]=(ra+32768|0)>>>0<65536?ra:(ra|0)>0?32767:32768;ja=ja+1|0}while((ja|0)!=(x|0));ha=ha+1|0;if((ha|0)==(X|0))break;else Z=Z+(x<<1)|0}$=fa;aa=X;ba=X;ca=0;break a}}}while(0);if((aa|0)<(t|0)){U=$;V=ba;W=ca;X=aa+1|0}else break}}w=w+1|0}while((w|0)!=(v|0));u=l;return}function Ksa(a,c,e,g,h,i,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0.0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0.0,va=0.0,wa=0.0,xa=0,ya=0,za=0.0,Aa=0,Ba=0.0,Ca=0,Da=0.0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0.0,Pa=0.0,Qa=0.0;l=u;u=u+2064|0;m=l+8|0;o=l;q=f[a+40>>2]|0;r=f[q+4>>2]|0;s=f[q>>2]|0;q=f[c+40>>2]|0;t=f[q+4>>2]|0;v=f[q>>2]|0;q=(f[a>>2]|0)>>>3;w=q&511;x=w+1|0;y=f[a+16>>2]|0;z=f[a+48>>2]|0;a=0;do{n[m+(a<<2)>>2]=+p[k+((a&3)<<3)>>3];a=a+1|0}while((a|0)!=(x|0));a=z>>>2;z=r+-1|0;k=(z|0)>0?z:0;A=s+-1|0;B=(A|0)>0?A:0;if((Y(s,r)|0)<=0){f[o>>2]=0;f[o+4>>2]=0;C=YG(o,16)|0;D=293815;E=C+16|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,o,293832,293344,666)}if((v|0)<=0){u=l;return}o=c+16|0;D=c+44|0;c=e+16|0;C=e+44|0;e=g+16|0;E=g+44|0;g=(t|0)<0;F=(i|0)==5;G=F&(x|0)!=3;H=(w|0)==0;I=(i|0)==0;J=(i|0)==1;K=q&65535;q=a+1|0;L=a+2|0;M=a+3|0;N=a+4|0;O=a+5|0;P=a+6|0;Q=a+7|0;R=(w<<2)+4|0;w=0;do{S=(f[c>>2]|0)+(Y(f[f[C>>2]>>2]|0,w)|0)|0;T=(f[e>>2]|0)+(Y(f[f[E>>2]>>2]|0,w)|0)|0;if(!g){U=(f[o>>2]|0)+(Y(f[f[D>>2]>>2]|0,w)|0)|0;V=0;W=0;X=0;while(1){do if((X|0)<(t|0)){Z=X<<1;if((d[S+(Z<<1)>>1]|0)>>>0>=k>>>0)if(W){_=18;break}else{$=U;aa=X;ba=V;ca=0;break}else{da=(d[S+((Z|1)<<1)>>1]|0)>>>0<B>>>0;_=16;break}}else{da=W^1;_=16}while(0);do if((_|0)==16){_=0;if(W^da)if(da){if(G){$=U+((Y(X-V|0,x)|0)<<2)|0;aa=X;ba=X;ca=1;break}Z=(X|0)>(V|0);if(H){if(!Z){$=U;aa=V;ba=X;ca=1;break}ea=X-V|0;fa=V;ga=U;while(1){ha=fa<<1;ia=d[S+(ha<<1)>>1]|0;ja=ia<<16>>16;ka=d[S+((ha|1)<<1)>>1]|0;ha=ka<<16>>16;do if(I)if(ka<<16>>16<-1|ia<<16>>16>-2&(ja|0)<(r|0)&(ha|0)<(s|0)^1){la=+n[m>>2];break}else{ma=h+(j[T+(fa<<1)>>1]<<2<<2)|0;_=49;break}else{na=h+(j[T+(fa<<1)>>1]<<2<<2)|0;if(J){oa=ia<<16>>16>-1?((ja|0)<(r|0)?ja:z):0;pa=ja+1|0;qa=ia<<16>>16>-2?((pa|0)<(r|0)?pa:z):0;pa=ha+1|0;ra=Y(ka<<16>>16>-1?((ha|0)<(s|0)?ha:A):0,a)|0;sa=Y(ka<<16>>16>-2?((pa|0)<(s|0)?pa:A):0,a)|0;ta=y+(sa+qa<<2)|0;ua=+n[y+(sa+oa<<2)>>2];va=+n[y+(ra+qa<<2)>>2];wa=+n[y+(ra+oa<<2)>>2];xa=na;_=57}else{ma=na;_=49}}while(0);do if((_|0)==49){_=0;ka=sT(ja,r,i)|0;ia=sT(ja+1|0,r,i)|0;na=sT(ha,s,i)|0;oa=sT(ha+1|0,s,i)|0;if((na|ka|0)>-1)ya=y+((Y(na,a)|0)+ka<<2)|0;else ya=m;za=+n[ya>>2];if((na|ia|0)>-1)Aa=y+((Y(na,a)|0)+ia<<2)|0;else Aa=m;Ba=+n[Aa>>2];if((oa|ka|0)>-1)Ca=y+((Y(oa,a)|0)+ka<<2)|0;else Ca=m;Da=+n[Ca>>2];if((oa|ia|0)<=-1){ta=m;ua=Da;va=Ba;wa=za;xa=ma;_=57;break}ta=y+((Y(oa,a)|0)+ia<<2)|0;ua=Da;va=Ba;wa=za;xa=ma;_=57}while(0);if((_|0)==57){_=0;la=wa*+n[xa>>2]+va*+n[xa+4>>2]+ua*+n[xa+8>>2]+ +n[ta>>2]*+n[xa+12>>2]}n[ga>>2]=la;fa=fa+1|0;if((fa|0)==(X|0))break;else ga=ga+4|0}$=U+(ea<<2)|0;aa=X;ba=X;ca=1;break}if(Z){ga=U+(x<<2)+(Y(R,X+-1-V|0)|0)|0;fa=V;ha=U;while(1){ja=fa<<1;ia=d[S+(ja<<1)>>1]|0;oa=ia<<16>>16;ka=d[S+((ja|1)<<1)>>1]|0;ja=ka<<16>>16;do if(I)if(ka<<16>>16<-1|ia<<16>>16>-2&(oa|0)<(r|0)&(ja|0)<(s|0)^1){na=0;do{f[ha+(na<<2)>>2]=f[m+(na<<2)>>2];na=na+1|0}while((na|0)!=(x|0))}else{Ea=h+(j[T+(fa<<1)>>1]<<2<<2)|0;_=65;break}else{na=h+(j[T+(fa<<1)>>1]<<2<<2)|0;if(J){ra=oa+1|0;qa=ja+1|0;sa=y+((Y(ka<<16>>16>-1?((ja|0)<(s|0)?ja:A):0,a)|0)<<2)|0;pa=Y(ia<<16>>16>-1?((oa|0)<(r|0)?oa:z):0,x)|0;Fa=Y(ia<<16>>16>-2?((ra|0)<(r|0)?ra:z):0,x)|0;ra=y+((Y(ka<<16>>16>-2?((qa|0)<(s|0)?qa:A):0,a)|0)<<2)|0;Ga=ra+(Fa<<2)|0;Ha=ra+(pa<<2)|0;Ia=sa+(Fa<<2)|0;Ja=sa+(pa<<2)|0;Ka=na;_=75}else{Ea=na;_=65}}while(0);do if((_|0)==65){_=0;if(F?!(oa>>>0<z>>>0&ja>>>0<A>>>0):0)break;ka=sT(oa,r,i)|0;ia=sT(oa+1|0,r,i)|0;na=sT(ja,s,i)|0;pa=sT(ja+1|0,s,i)|0;if((na|ka|0)>-1)La=y+((Y(na,a)|0)<<2)+((Y(ka,x)|0)<<2)|0;else La=m;if((na|ia|0)>-1)Ma=y+((Y(na,a)|0)<<2)+((Y(ia,x)|0)<<2)|0;else Ma=m;if((pa|ka|0)>-1)Na=y+((Y(pa,a)|0)<<2)+((Y(ka,x)|0)<<2)|0;else Na=m;if((pa|ia|0)<=-1){Ga=m;Ha=Na;Ia=Ma;Ja=La;Ka=Ea;_=75;break}Ga=y+((Y(pa,a)|0)<<2)+((Y(ia,x)|0)<<2)|0;Ha=Na;Ia=Ma;Ja=La;Ka=Ea;_=75}while(0);if((_|0)==75){_=0;ja=Ka+4|0;oa=Ka+8|0;ia=Ka+12|0;pa=0;do{n[ha+(pa<<2)>>2]=+n[Ja+(pa<<2)>>2]*+n[Ka>>2]+ +n[Ia+(pa<<2)>>2]*+n[ja>>2]+ +n[Ha+(pa<<2)>>2]*+n[oa>>2]+ +n[Ga+(pa<<2)>>2]*+n[ia>>2];pa=pa+1|0}while((pa|0)!=(x|0))}fa=fa+1|0;if((fa|0)==(X|0))break;else ha=ha+(x<<2)|0}$=ga;aa=X;ba=X;ca=1}else{$=U;aa=V;ba=X;ca=1}}else _=18;else{$=U;aa=X;ba=V;ca=W}}while(0);a:do if((_|0)==18){_=0;switch(K&511){case 0:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}ha=X-V|0;fa=U;Z=V;while(1){ea=Z<<1;pa=h+(j[T+(Z<<1)>>1]<<2<<2)|0;ia=y+((Y(d[S+((ea|1)<<1)>>1]|0,a)|0)<<2)+(d[S+(ea<<1)>>1]<<2)|0;n[fa>>2]=+n[ia>>2]*+n[pa>>2]+ +n[ia+4>>2]*+n[pa+4>>2]+ +n[ia+(a<<2)>>2]*+n[pa+8>>2]+ +n[ia+(q<<2)>>2]*+n[pa+12>>2];Z=Z+1|0;if((Z|0)==(X|0))break;else fa=fa+4|0}$=U+(ha<<2)|0;aa=X;ba=X;ca=0;break a;break}case 1:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}fa=X-V<<1;Z=U;ga=V;while(1){pa=ga<<1;ia=h+(j[T+(ga<<1)>>1]<<2<<2)|0;ea=y+((Y(d[S+((pa|1)<<1)>>1]|0,a)|0)<<2)+(d[S+(pa<<1)>>1]<<1<<2)|0;za=+n[ia>>2];Ba=+n[ia+4>>2];Da=+n[ia+8>>2];Oa=+n[ia+12>>2];Pa=za*+n[ea+4>>2]+Ba*+n[ea+12>>2]+Da*+n[ea+(q<<2)>>2]+Oa*+n[ea+(M<<2)>>2];n[Z>>2]=+n[ea>>2]*za+ +n[ea+8>>2]*Ba+ +n[ea+(a<<2)>>2]*Da+ +n[ea+(L<<2)>>2]*Oa;n[Z+4>>2]=Pa;ga=ga+1|0;if((ga|0)==(X|0))break;else Z=Z+8|0}$=U+(fa<<2)|0;aa=X;ba=X;ca=0;break a;break}case 2:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}Z=(X-V|0)*3|0;ga=U;ha=V;while(1){ea=ha<<1;ia=h+(j[T+(ha<<1)>>1]<<2<<2)|0;pa=y+((Y(d[S+((ea|1)<<1)>>1]|0,a)|0)<<2)+((d[S+(ea<<1)>>1]|0)*3<<2)|0;Pa=+n[ia>>2];Oa=+n[ia+4>>2];Da=+n[ia+8>>2];Ba=+n[ia+12>>2];za=Pa*+n[pa+4>>2]+Oa*+n[pa+16>>2]+Da*+n[pa+(q<<2)>>2]+Ba*+n[pa+(N<<2)>>2];Qa=Pa*+n[pa+8>>2]+Oa*+n[pa+20>>2]+Da*+n[pa+(L<<2)>>2]+Ba*+n[pa+(O<<2)>>2];n[ga>>2]=+n[pa>>2]*Pa+ +n[pa+12>>2]*Oa+ +n[pa+(a<<2)>>2]*Da+ +n[pa+(M<<2)>>2]*Ba;n[ga+4>>2]=za;n[ga+8>>2]=Qa;ha=ha+1|0;if((ha|0)==(X|0))break;else ga=ga+12|0}$=U+(Z<<2)|0;aa=X;ba=X;ca=0;break a;break}case 3:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}ga=X-V<<2;ha=V;fa=U;while(1){pa=ha<<1;ia=h+(j[T+(ha<<1)>>1]<<2<<2)|0;ea=y+((Y(d[S+((pa|1)<<1)>>1]|0,a)|0)<<2)+(d[S+(pa<<1)>>1]<<2<<2)|0;Qa=+n[ia>>2];pa=ia+4|0;za=+n[pa>>2];oa=ia+8|0;Ba=+n[oa>>2];ja=ia+12|0;Da=+n[ja>>2];Oa=Qa*+n[ea+4>>2]+za*+n[ea+20>>2]+Ba*+n[ea+(q<<2)>>2]+Da*+n[ea+(O<<2)>>2];n[fa>>2]=+n[ea>>2]*Qa+ +n[ea+16>>2]*za+ +n[ea+(a<<2)>>2]*Ba+ +n[ea+(N<<2)>>2]*Da;n[fa+4>>2]=Oa;Oa=+n[ia>>2];Da=+n[pa>>2];Ba=+n[oa>>2];za=+n[ja>>2];Qa=Oa*+n[ea+12>>2]+Da*+n[ea+28>>2]+Ba*+n[ea+(M<<2)>>2]+za*+n[ea+(Q<<2)>>2];n[fa+8>>2]=+n[ea+8>>2]*Oa+ +n[ea+24>>2]*Da+ +n[ea+(L<<2)>>2]*Ba+ +n[ea+(P<<2)>>2]*za;n[fa+12>>2]=Qa;ha=ha+1|0;if((ha|0)==(X|0))break;else fa=fa+16|0}$=U+(ga<<2)|0;aa=X;ba=X;ca=0;break a;break}default:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}fa=U+(x<<2)+(Y(R,X+-1-V|0)|0)|0;ha=V;Z=U;while(1){ea=ha<<1;ja=h+(j[T+(ha<<1)>>1]<<2<<2)|0;oa=y+((Y(d[S+((ea|1)<<1)>>1]|0,a)|0)<<2)+((Y(d[S+(ea<<1)>>1]|0,x)|0)<<2)|0;ea=ja+4|0;pa=ja+8|0;ia=ja+12|0;ka=0;do{na=ka+a|0;n[Z+(ka<<2)>>2]=+n[oa+(ka<<2)>>2]*+n[ja>>2]+ +n[oa+(ka+x<<2)>>2]*+n[ea>>2]+ +n[oa+(na<<2)>>2]*+n[pa>>2]+ +n[oa+(na+x<<2)>>2]*+n[ia>>2];ka=ka+1|0}while((ka|0)!=(x|0));ha=ha+1|0;if((ha|0)==(X|0))break;else Z=Z+(x<<2)|0}$=fa;aa=X;ba=X;ca=0;break a}}}while(0);if((aa|0)<(t|0)){U=$;V=ba;W=ca;X=aa+1|0}else break}}w=w+1|0}while((w|0)!=(v|0));u=l;return}function Lsa(a,c,e,g,h,i,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0.0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0.0,va=0.0,wa=0.0,xa=0,ya=0,za=0.0,Aa=0,Ba=0.0,Ca=0,Da=0.0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0.0,Pa=0.0,Qa=0.0;l=u;u=u+4112|0;m=l;o=l+4096|0;q=f[a+40>>2]|0;r=f[q+4>>2]|0;s=f[q>>2]|0;q=f[c+40>>2]|0;t=f[q+4>>2]|0;v=f[q>>2]|0;q=(f[a>>2]|0)>>>3;w=q&511;x=w+1|0;y=f[a+16>>2]|0;z=f[a+48>>2]|0;a=0;do{p[m+(a<<3)>>3]=+p[k+((a&3)<<3)>>3];a=a+1|0}while((a|0)!=(x|0));a=z>>>3;z=r+-1|0;k=(z|0)>0?z:0;A=s+-1|0;B=(A|0)>0?A:0;if((Y(s,r)|0)<=0){f[o>>2]=0;f[o+4>>2]=0;C=YG(o,16)|0;D=293815;E=C+16|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,o,293832,293344,666)}if((v|0)<=0){u=l;return}o=c+16|0;D=c+44|0;c=e+16|0;C=e+44|0;e=g+16|0;E=g+44|0;g=(t|0)<0;F=(i|0)==5;G=F&(x|0)!=3;H=(w|0)==0;I=(i|0)==0;J=(i|0)==1;K=q&65535;q=a+1|0;L=a+2|0;M=a+3|0;N=a+4|0;O=a+5|0;P=a+6|0;Q=a+7|0;R=(w<<3)+8|0;w=0;do{S=(f[c>>2]|0)+(Y(f[f[C>>2]>>2]|0,w)|0)|0;T=(f[e>>2]|0)+(Y(f[f[E>>2]>>2]|0,w)|0)|0;if(!g){U=(f[o>>2]|0)+(Y(f[f[D>>2]>>2]|0,w)|0)|0;V=0;W=0;X=0;while(1){do if((X|0)<(t|0)){Z=X<<1;if((d[S+(Z<<1)>>1]|0)>>>0>=k>>>0)if(W){_=18;break}else{$=U;aa=X;ba=V;ca=0;break}else{da=(d[S+((Z|1)<<1)>>1]|0)>>>0<B>>>0;_=16;break}}else{da=W^1;_=16}while(0);do if((_|0)==16){_=0;if(W^da)if(da){if(G){$=U+((Y(X-V|0,x)|0)<<3)|0;aa=X;ba=X;ca=1;break}Z=(X|0)>(V|0);if(H){if(!Z){$=U;aa=V;ba=X;ca=1;break}ea=X-V|0;fa=V;ga=U;while(1){ha=fa<<1;ia=d[S+(ha<<1)>>1]|0;ja=ia<<16>>16;ka=d[S+((ha|1)<<1)>>1]|0;ha=ka<<16>>16;do if(I)if(ka<<16>>16<-1|ia<<16>>16>-2&(ja|0)<(r|0)&(ha|0)<(s|0)^1){la=+p[m>>3];break}else{ma=h+(j[T+(fa<<1)>>1]<<2<<2)|0;_=49;break}else{na=h+(j[T+(fa<<1)>>1]<<2<<2)|0;if(J){oa=ia<<16>>16>-1?((ja|0)<(r|0)?ja:z):0;pa=ja+1|0;qa=ia<<16>>16>-2?((pa|0)<(r|0)?pa:z):0;pa=ha+1|0;ra=Y(ka<<16>>16>-1?((ha|0)<(s|0)?ha:A):0,a)|0;sa=Y(ka<<16>>16>-2?((pa|0)<(s|0)?pa:A):0,a)|0;ta=y+(sa+qa<<3)|0;ua=+p[y+(sa+oa<<3)>>3];va=+p[y+(ra+qa<<3)>>3];wa=+p[y+(ra+oa<<3)>>3];xa=na;_=57}else{ma=na;_=49}}while(0);do if((_|0)==49){_=0;ka=sT(ja,r,i)|0;ia=sT(ja+1|0,r,i)|0;na=sT(ha,s,i)|0;oa=sT(ha+1|0,s,i)|0;if((na|ka|0)>-1)ya=y+((Y(na,a)|0)+ka<<3)|0;else ya=m;za=+p[ya>>3];if((na|ia|0)>-1)Aa=y+((Y(na,a)|0)+ia<<3)|0;else Aa=m;Ba=+p[Aa>>3];if((oa|ka|0)>-1)Ca=y+((Y(oa,a)|0)+ka<<3)|0;else Ca=m;Da=+p[Ca>>3];if((oa|ia|0)<=-1){ta=m;ua=Da;va=Ba;wa=za;xa=ma;_=57;break}ta=y+((Y(oa,a)|0)+ia<<3)|0;ua=Da;va=Ba;wa=za;xa=ma;_=57}while(0);if((_|0)==57){_=0;la=wa*+n[xa>>2]+va*+n[xa+4>>2]+ua*+n[xa+8>>2]+ +p[ta>>3]*+n[xa+12>>2]}p[ga>>3]=la;fa=fa+1|0;if((fa|0)==(X|0))break;else ga=ga+8|0}$=U+(ea<<3)|0;aa=X;ba=X;ca=1;break}if(Z){ga=U+(x<<3)+(Y(R,X+-1-V|0)|0)|0;fa=V;ha=U;while(1){ja=fa<<1;ia=d[S+(ja<<1)>>1]|0;oa=ia<<16>>16;ka=d[S+((ja|1)<<1)>>1]|0;ja=ka<<16>>16;do if(I)if(ka<<16>>16<-1|ia<<16>>16>-2&(oa|0)<(r|0)&(ja|0)<(s|0)^1){na=0;do{p[ha+(na<<3)>>3]=+p[m+(na<<3)>>3];na=na+1|0}while((na|0)!=(x|0))}else{Ea=h+(j[T+(fa<<1)>>1]<<2<<2)|0;_=65;break}else{na=h+(j[T+(fa<<1)>>1]<<2<<2)|0;if(J){ra=oa+1|0;qa=ja+1|0;sa=y+((Y(ka<<16>>16>-1?((ja|0)<(s|0)?ja:A):0,a)|0)<<3)|0;pa=Y(ia<<16>>16>-1?((oa|0)<(r|0)?oa:z):0,x)|0;Fa=Y(ia<<16>>16>-2?((ra|0)<(r|0)?ra:z):0,x)|0;ra=y+((Y(ka<<16>>16>-2?((qa|0)<(s|0)?qa:A):0,a)|0)<<3)|0;Ga=ra+(Fa<<3)|0;Ha=ra+(pa<<3)|0;Ia=sa+(Fa<<3)|0;Ja=sa+(pa<<3)|0;Ka=na;_=75}else{Ea=na;_=65}}while(0);do if((_|0)==65){_=0;if(F?!(oa>>>0<z>>>0&ja>>>0<A>>>0):0)break;ka=sT(oa,r,i)|0;ia=sT(oa+1|0,r,i)|0;na=sT(ja,s,i)|0;pa=sT(ja+1|0,s,i)|0;if((na|ka|0)>-1)La=y+((Y(na,a)|0)<<3)+((Y(ka,x)|0)<<3)|0;else La=m;if((na|ia|0)>-1)Ma=y+((Y(na,a)|0)<<3)+((Y(ia,x)|0)<<3)|0;else Ma=m;if((pa|ka|0)>-1)Na=y+((Y(pa,a)|0)<<3)+((Y(ka,x)|0)<<3)|0;else Na=m;if((pa|ia|0)<=-1){Ga=m;Ha=Na;Ia=Ma;Ja=La;Ka=Ea;_=75;break}Ga=y+((Y(pa,a)|0)<<3)+((Y(ia,x)|0)<<3)|0;Ha=Na;Ia=Ma;Ja=La;Ka=Ea;_=75}while(0);if((_|0)==75){_=0;za=+n[Ka>>2];Ba=+n[Ka+4>>2];Da=+n[Ka+8>>2];Oa=+n[Ka+12>>2];ja=0;do{p[ha+(ja<<3)>>3]=+p[Ja+(ja<<3)>>3]*za+ +p[Ia+(ja<<3)>>3]*Ba+ +p[Ha+(ja<<3)>>3]*Da+ +p[Ga+(ja<<3)>>3]*Oa;ja=ja+1|0}while((ja|0)!=(x|0))}fa=fa+1|0;if((fa|0)==(X|0))break;else ha=ha+(x<<3)|0}$=ga;aa=X;ba=X;ca=1}else{$=U;aa=V;ba=X;ca=1}}else _=18;else{$=U;aa=X;ba=V;ca=W}}while(0);a:do if((_|0)==18){_=0;switch(K&511){case 0:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}ha=X-V|0;fa=U;Z=V;while(1){ea=Z<<1;ja=h+(j[T+(Z<<1)>>1]<<2<<2)|0;oa=y+((Y(d[S+((ea|1)<<1)>>1]|0,a)|0)<<3)+(d[S+(ea<<1)>>1]<<3)|0;p[fa>>3]=+p[oa>>3]*+n[ja>>2]+ +p[oa+8>>3]*+n[ja+4>>2]+ +p[oa+(a<<3)>>3]*+n[ja+8>>2]+ +p[oa+(q<<3)>>3]*+n[ja+12>>2];Z=Z+1|0;if((Z|0)==(X|0))break;else fa=fa+8|0}$=U+(ha<<3)|0;aa=X;ba=X;ca=0;break a;break}case 1:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}fa=X-V<<1;Z=U;ga=V;while(1){ja=ga<<1;oa=h+(j[T+(ga<<1)>>1]<<2<<2)|0;ea=y+((Y(d[S+((ja|1)<<1)>>1]|0,a)|0)<<3)+(d[S+(ja<<1)>>1]<<1<<3)|0;Oa=+n[oa>>2];Da=+n[oa+4>>2];Ba=+n[oa+8>>2];za=+n[oa+12>>2];Pa=Oa*+p[ea+8>>3]+Da*+p[ea+24>>3]+Ba*+p[ea+(q<<3)>>3]+za*+p[ea+(M<<3)>>3];p[Z>>3]=+p[ea>>3]*Oa+ +p[ea+16>>3]*Da+ +p[ea+(a<<3)>>3]*Ba+ +p[ea+(L<<3)>>3]*za;p[Z+8>>3]=Pa;ga=ga+1|0;if((ga|0)==(X|0))break;else Z=Z+16|0}$=U+(fa<<3)|0;aa=X;ba=X;ca=0;break a;break}case 2:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}Z=(X-V|0)*3|0;ga=U;ha=V;while(1){ea=ha<<1;oa=h+(j[T+(ha<<1)>>1]<<2<<2)|0;ja=y+((Y(d[S+((ea|1)<<1)>>1]|0,a)|0)<<3)+((d[S+(ea<<1)>>1]|0)*3<<3)|0;Pa=+n[oa>>2];za=+n[oa+4>>2];Ba=+n[oa+8>>2];Da=+n[oa+12>>2];Oa=Pa*+p[ja+8>>3]+za*+p[ja+32>>3]+Ba*+p[ja+(q<<3)>>3]+Da*+p[ja+(N<<3)>>3];Qa=Pa*+p[ja+16>>3]+za*+p[ja+40>>3]+Ba*+p[ja+(L<<3)>>3]+Da*+p[ja+(O<<3)>>3];p[ga>>3]=+p[ja>>3]*Pa+ +p[ja+24>>3]*za+ +p[ja+(a<<3)>>3]*Ba+ +p[ja+(M<<3)>>3]*Da;p[ga+8>>3]=Oa;p[ga+16>>3]=Qa;ha=ha+1|0;if((ha|0)==(X|0))break;else ga=ga+24|0}$=U+(Z<<3)|0;aa=X;ba=X;ca=0;break a;break}case 3:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}ga=X-V<<2;ha=V;fa=U;while(1){ja=ha<<1;oa=h+(j[T+(ha<<1)>>1]<<2<<2)|0;ea=y+((Y(d[S+((ja|1)<<1)>>1]|0,a)|0)<<3)+(d[S+(ja<<1)>>1]<<2<<3)|0;Qa=+n[oa>>2];Oa=+n[oa+4>>2];Da=+n[oa+8>>2];Ba=+n[oa+12>>2];za=Qa*+p[ea+8>>3]+Oa*+p[ea+40>>3]+Da*+p[ea+(q<<3)>>3]+Ba*+p[ea+(O<<3)>>3];p[fa>>3]=+p[ea>>3]*Qa+ +p[ea+32>>3]*Oa+ +p[ea+(a<<3)>>3]*Da+ +p[ea+(N<<3)>>3]*Ba;p[fa+8>>3]=za;za=Qa*+p[ea+24>>3]+Oa*+p[ea+56>>3]+Da*+p[ea+(M<<3)>>3]+Ba*+p[ea+(Q<<3)>>3];p[fa+16>>3]=+p[ea+16>>3]*Qa+ +p[ea+48>>3]*Oa+ +p[ea+(L<<3)>>3]*Da+ +p[ea+(P<<3)>>3]*Ba;p[fa+24>>3]=za;ha=ha+1|0;if((ha|0)==(X|0))break;else fa=fa+32|0}$=U+(ga<<3)|0;aa=X;ba=X;ca=0;break a;break}default:{if((X|0)<=(V|0)){$=U;aa=V;ba=X;ca=0;break a}fa=U+(x<<3)+(Y(R,X+-1-V|0)|0)|0;ha=V;Z=U;while(1){ea=ha<<1;oa=h+(j[T+(ha<<1)>>1]<<2<<2)|0;ja=y+((Y(d[S+((ea|1)<<1)>>1]|0,a)|0)<<3)+((Y(d[S+(ea<<1)>>1]|0,x)|0)<<3)|0;za=+n[oa>>2];Ba=+n[oa+4>>2];Da=+n[oa+8>>2];Oa=+n[oa+12>>2];oa=0;do{ea=oa+a|0;p[Z+(oa<<3)>>3]=+p[ja+(oa<<3)>>3]*za+ +p[ja+(oa+x<<3)>>3]*Ba+ +p[ja+(ea<<3)>>3]*Da+ +p[ja+(ea+x<<3)>>3]*Oa;oa=oa+1|0}while((oa|0)!=(x|0));ha=ha+1|0;if((ha|0)==(X|0))break;else Z=Z+(x<<3)|0}$=fa;aa=X;ba=X;ca=0;break a}}}while(0);if((aa|0)<(t|0)){U=$;V=ba;W=ca;X=aa+1|0}else break}}w=w+1|0}while((w|0)!=(v|0));u=l;return}function Msa(a,c,e,g,h){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;i=u;u=u+512|0;j=i;k=f[a+40>>2]|0;l=f[k+4>>2]|0;m=f[k>>2]|0;k=f[c+40>>2]|0;n=f[k+4>>2]|0;o=f[k>>2]|0;k=(f[a>>2]|0)>>>3&511;q=k+1|0;r=f[a+16>>2]|0;s=f[a+48>>2]|0;a=0;do{t=V9b(+p[h+((a&3)<<3)>>3])|0;b[j+a>>0]=t>>>0<256?t:(t|0)>0?255:0;a=a+1|0}while((a|0)!=(q|0));if(f[c>>2]&16384){a=(f[e>>2]&16384|0)!=0;h=Y(a?o:1,n)|0;if(a){v=h;w=1}else{x=h;y=5}}else{x=n;y=5}if((y|0)==5)if((o|0)>0){v=x;w=o}else{u=i;return}o=c+16|0;x=c+44|0;c=e+16|0;n=e+44|0;e=(k|0)==0;k=(v|0)>0;h=l+-1|0;a=m+-1|0;t=(q|0)==3;z=(q|0)==4;A=(g|0)==5;B=0;do{C=(f[o>>2]|0)+(Y(f[f[x>>2]>>2]|0,B)|0)|0;D=(f[c>>2]|0)+(Y(f[f[n>>2]>>2]|0,B)|0)|0;a:do if(e){if(k)switch(g|0){case 1:{E=0;do{F=E<<1;G=d[D+(F<<1)>>1]|0;H=G<<16>>16;I=d[D+((F|1)<<1)>>1]|0;F=I<<16>>16;if(H>>>0<l>>>0&F>>>0<m>>>0){J=F;K=H}else{J=I<<16>>16>-1?((F|0)<(m|0)?F:a):0;K=G<<16>>16>-1?((H|0)<(l|0)?H:h):0}H=r+((Y(J,s)|0)+K)|0;b[C+E>>0]=b[H>>0]|0;E=E+1|0}while((E|0)!=(v|0));break}case 0:{E=0;do{H=E<<1;G=d[D+(H<<1)>>1]|0;F=d[D+((H|1)<<1)>>1]|0;H=r+((Y(F,s)|0)+G)|0;b[C+E>>0]=b[(G>>>0<l>>>0&F>>>0<m>>>0?H:j)>>0]|0;E=E+1|0}while((E|0)!=(v|0));break}default:{E=0;do{H=E<<1;F=d[D+(H<<1)>>1]|0;G=d[D+((H|1)<<1)>>1]|0;if(!(F>>>0<l>>>0&G>>>0<m>>>0)){if(!A){H=sT(F,l,g)|0;L=H;M=sT(G,m,g)|0;y=28}}else{L=F;M=G;y=28}if((y|0)==28){y=0;G=r+((Y(M,s)|0)+L)|0;b[C+E>>0]=b[G>>0]|0}E=E+1|0}while((E|0)!=(v|0))}}}else if(k){if(A){E=0;G=C;while(1){F=E<<1;H=d[D+(F<<1)>>1]|0;I=d[D+((F|1)<<1)>>1]|0;do if(H>>>0<l>>>0&I>>>0<m>>>0){F=r+(Y(I,s)|0)|0;if(t){N=F+(H*3|0)|0;b[G>>0]=b[N>>0]|0;b[G+1>>0]=b[N+1>>0]|0;b[G+2>>0]=b[N+2>>0]|0;break}if(z){N=F+(H<<2)|0;b[G>>0]=b[N>>0]|0;b[G+1>>0]=b[N+1>>0]|0;b[G+2>>0]=b[N+2>>0]|0;b[G+3>>0]=b[N+3>>0]|0;break}N=F+(Y(H,q)|0)|0;F=0;do{b[G+F>>0]=b[N+F>>0]|0;F=F+1|0}while((F|0)!=(q|0))}while(0);E=E+1|0;if((E|0)==(v|0))break a;else G=G+q|0}}else{O=0;P=C}while(1){G=O<<1;E=d[D+(G<<1)>>1]|0;H=E<<16>>16;I=d[D+((G|1)<<1)>>1]|0;G=I<<16>>16;b:do if(H>>>0<l>>>0&G>>>0<m>>>0){F=r+(Y(G,s)|0)|0;if(t){N=F+(H*3|0)|0;b[P>>0]=b[N>>0]|0;b[P+1>>0]=b[N+1>>0]|0;b[P+2>>0]=b[N+2>>0]|0;break}if(z){N=F+(H<<2)|0;b[P>>0]=b[N>>0]|0;b[P+1>>0]=b[N+1>>0]|0;b[P+2>>0]=b[N+2>>0]|0;b[P+3>>0]=b[N+3>>0]|0;break}N=F+(Y(H,q)|0)|0;F=0;do{b[P+F>>0]=b[N+F>>0]|0;F=F+1|0}while((F|0)!=(q|0))}else{switch(g|0){case 5:{break b;break}case 1:{Q=r+(Y(I<<16>>16>-1?((G|0)<(m|0)?G:a):0,s)|0)+(Y(E<<16>>16>-1?((H|0)<(l|0)?H:h):0,q)|0)|0;break}case 0:{Q=j;break}default:{F=sT(H,l,g)|0;Q=r+(Y(sT(G,m,g)|0,s)|0)+(Y(F,q)|0)|0}}F=0;do{b[P+F>>0]=b[Q+F>>0]|0;F=F+1|0}while((F|0)!=(q|0))}while(0);O=O+1|0;if((O|0)==(v|0))break;else P=P+q|0}}while(0);B=B+1|0}while((B|0)!=(w|0));u=i;return}function Nsa(a,c,e,g,h){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;i=u;u=u+512|0;j=i;k=f[a+40>>2]|0;l=f[k+4>>2]|0;m=f[k>>2]|0;k=f[c+40>>2]|0;n=f[k+4>>2]|0;o=f[k>>2]|0;k=(f[a>>2]|0)>>>3&511;q=k+1|0;r=f[a+16>>2]|0;s=f[a+48>>2]|0;a=0;do{t=V9b(+p[h+((a&3)<<3)>>3])|0;b[j+a>>0]=(t+128|0)>>>0<256?t:(t|0)>0?127:128;a=a+1|0}while((a|0)!=(q|0));if(f[c>>2]&16384){a=(f[e>>2]&16384|0)!=0;h=Y(a?o:1,n)|0;if(a){v=h;w=1}else{x=h;y=5}}else{x=n;y=5}if((y|0)==5)if((o|0)>0){v=x;w=o}else{u=i;return}o=c+16|0;x=c+44|0;c=e+16|0;n=e+44|0;e=(k|0)==0;k=(v|0)>0;h=l+-1|0;a=m+-1|0;t=(q|0)==3;z=(q|0)==4;A=(g|0)==5;B=0;do{C=(f[o>>2]|0)+(Y(f[f[x>>2]>>2]|0,B)|0)|0;D=(f[c>>2]|0)+(Y(f[f[n>>2]>>2]|0,B)|0)|0;a:do if(e){if(k)switch(g|0){case 1:{E=0;do{F=E<<1;G=d[D+(F<<1)>>1]|0;H=G<<16>>16;I=d[D+((F|1)<<1)>>1]|0;F=I<<16>>16;if(H>>>0<l>>>0&F>>>0<m>>>0){J=F;K=H}else{J=I<<16>>16>-1?((F|0)<(m|0)?F:a):0;K=G<<16>>16>-1?((H|0)<(l|0)?H:h):0}H=r+((Y(J,s)|0)+K)|0;b[C+E>>0]=b[H>>0]|0;E=E+1|0}while((E|0)!=(v|0));break}case 0:{E=0;do{H=E<<1;G=d[D+(H<<1)>>1]|0;F=d[D+((H|1)<<1)>>1]|0;H=r+((Y(F,s)|0)+G)|0;b[C+E>>0]=b[(G>>>0<l>>>0&F>>>0<m>>>0?H:j)>>0]|0;E=E+1|0}while((E|0)!=(v|0));break}default:{E=0;do{H=E<<1;F=d[D+(H<<1)>>1]|0;G=d[D+((H|1)<<1)>>1]|0;if(!(F>>>0<l>>>0&G>>>0<m>>>0)){if(!A){H=sT(F,l,g)|0;L=H;M=sT(G,m,g)|0;y=28}}else{L=F;M=G;y=28}if((y|0)==28){y=0;G=r+((Y(M,s)|0)+L)|0;b[C+E>>0]=b[G>>0]|0}E=E+1|0}while((E|0)!=(v|0))}}}else if(k){if(A){E=0;G=C;while(1){F=E<<1;H=d[D+(F<<1)>>1]|0;I=d[D+((F|1)<<1)>>1]|0;do if(H>>>0<l>>>0&I>>>0<m>>>0){F=r+(Y(I,s)|0)|0;if(t){N=F+(H*3|0)|0;b[G>>0]=b[N>>0]|0;b[G+1>>0]=b[N+1>>0]|0;b[G+2>>0]=b[N+2>>0]|0;break}if(z){N=F+(H<<2)|0;b[G>>0]=b[N>>0]|0;b[G+1>>0]=b[N+1>>0]|0;b[G+2>>0]=b[N+2>>0]|0;b[G+3>>0]=b[N+3>>0]|0;break}N=F+(Y(H,q)|0)|0;F=0;do{b[G+F>>0]=b[N+F>>0]|0;F=F+1|0}while((F|0)!=(q|0))}while(0);E=E+1|0;if((E|0)==(v|0))break a;else G=G+q|0}}else{O=0;P=C}while(1){G=O<<1;E=d[D+(G<<1)>>1]|0;H=E<<16>>16;I=d[D+((G|1)<<1)>>1]|0;G=I<<16>>16;b:do if(H>>>0<l>>>0&G>>>0<m>>>0){F=r+(Y(G,s)|0)|0;if(t){N=F+(H*3|0)|0;b[P>>0]=b[N>>0]|0;b[P+1>>0]=b[N+1>>0]|0;b[P+2>>0]=b[N+2>>0]|0;break}if(z){N=F+(H<<2)|0;b[P>>0]=b[N>>0]|0;b[P+1>>0]=b[N+1>>0]|0;b[P+2>>0]=b[N+2>>0]|0;b[P+3>>0]=b[N+3>>0]|0;break}N=F+(Y(H,q)|0)|0;F=0;do{b[P+F>>0]=b[N+F>>0]|0;F=F+1|0}while((F|0)!=(q|0))}else{switch(g|0){case 5:{break b;break}case 1:{Q=r+(Y(I<<16>>16>-1?((G|0)<(m|0)?G:a):0,s)|0)+(Y(E<<16>>16>-1?((H|0)<(l|0)?H:h):0,q)|0)|0;break}case 0:{Q=j;break}default:{F=sT(H,l,g)|0;Q=r+(Y(sT(G,m,g)|0,s)|0)+(Y(F,q)|0)|0}}F=0;do{b[P+F>>0]=b[Q+F>>0]|0;F=F+1|0}while((F|0)!=(q|0))}while(0);O=O+1|0;if((O|0)==(v|0))break;else P=P+q|0}}while(0);B=B+1|0}while((B|0)!=(w|0));u=i;return}function Osa(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;h=u;u=u+1024|0;i=h;j=f[a+40>>2]|0;k=f[j+4>>2]|0;l=f[j>>2]|0;j=f[b+40>>2]|0;m=f[j+4>>2]|0;n=f[j>>2]|0;j=(f[a>>2]|0)>>>3&511;o=j+1|0;q=f[a+16>>2]|0;r=f[a+48>>2]|0;a=0;do{s=V9b(+p[g+((a&3)<<3)>>3])|0;d[i+(a<<1)>>1]=s>>>0<65536?s:(s|0)>0?65535:0;a=a+1|0}while((a|0)!=(o|0));a=r>>>1;if(f[b>>2]&16384){r=(f[c>>2]&16384|0)!=0;g=Y(r?n:1,m)|0;if(r){t=g;v=1}else{w=g;x=5}}else{w=m;x=5}if((x|0)==5)if((n|0)>0){t=w;v=n}else{u=h;return}n=b+16|0;w=b+44|0;b=c+16|0;m=c+44|0;c=(j|0)==0;j=(t|0)>0;g=k+-1|0;r=l+-1|0;s=(o|0)==3;y=(o|0)==4;z=(e|0)==5;A=0;do{B=(f[n>>2]|0)+(Y(f[f[w>>2]>>2]|0,A)|0)|0;C=(f[b>>2]|0)+(Y(f[f[m>>2]>>2]|0,A)|0)|0;a:do if(c){if(j)switch(e|0){case 1:{D=0;do{E=D<<1;F=d[C+(E<<1)>>1]|0;G=F<<16>>16;H=d[C+((E|1)<<1)>>1]|0;E=H<<16>>16;if(G>>>0<k>>>0&E>>>0<l>>>0){I=E;J=G}else{I=H<<16>>16>-1?((E|0)<(l|0)?E:r):0;J=F<<16>>16>-1?((G|0)<(k|0)?G:g):0}G=q+((Y(I,a)|0)+J<<1)|0;d[B+(D<<1)>>1]=d[G>>1]|0;D=D+1|0}while((D|0)!=(t|0));break}case 0:{D=0;do{G=D<<1;F=d[C+(G<<1)>>1]|0;E=d[C+((G|1)<<1)>>1]|0;if(F>>>0<k>>>0&E>>>0<l>>>0)K=q+((Y(E,a)|0)+F<<1)|0;else K=i;d[B+(D<<1)>>1]=d[K>>1]|0;D=D+1|0}while((D|0)!=(t|0));break}default:{D=0;do{F=D<<1;E=d[C+(F<<1)>>1]|0;G=d[C+((F|1)<<1)>>1]|0;if(!(E>>>0<k>>>0&G>>>0<l>>>0)){if(!z){F=sT(E,k,e)|0;L=F;M=sT(G,l,e)|0;x=30}}else{L=E;M=G;x=30}if((x|0)==30){x=0;G=q+((Y(M,a)|0)+L<<1)|0;d[B+(D<<1)>>1]=d[G>>1]|0}D=D+1|0}while((D|0)!=(t|0))}}}else if(j){if(z){D=0;G=B;while(1){E=D<<1;F=d[C+(E<<1)>>1]|0;H=d[C+((E|1)<<1)>>1]|0;do if(F>>>0<k>>>0&H>>>0<l>>>0){E=q+((Y(H,a)|0)<<1)|0;if(s){N=E+(F*3<<1)|0;d[G>>1]=d[N>>1]|0;d[G+2>>1]=d[N+2>>1]|0;d[G+4>>1]=d[N+4>>1]|0;break}if(y){N=E+(F<<2<<1)|0;d[G>>1]=d[N>>1]|0;d[G+2>>1]=d[N+2>>1]|0;d[G+4>>1]=d[N+4>>1]|0;d[G+6>>1]=d[N+6>>1]|0;break}N=E+((Y(F,o)|0)<<1)|0;E=0;do{d[G+(E<<1)>>1]=d[N+(E<<1)>>1]|0;E=E+1|0}while((E|0)!=(o|0))}while(0);D=D+1|0;if((D|0)==(t|0))break a;else G=G+(o<<1)|0}}else{O=0;P=B}while(1){G=O<<1;D=d[C+(G<<1)>>1]|0;F=D<<16>>16;H=d[C+((G|1)<<1)>>1]|0;G=H<<16>>16;b:do if(F>>>0<k>>>0&G>>>0<l>>>0){E=q+((Y(G,a)|0)<<1)|0;if(s){N=E+(F*3<<1)|0;d[P>>1]=d[N>>1]|0;d[P+2>>1]=d[N+2>>1]|0;d[P+4>>1]=d[N+4>>1]|0;break}if(y){N=E+(F<<2<<1)|0;d[P>>1]=d[N>>1]|0;d[P+2>>1]=d[N+2>>1]|0;d[P+4>>1]=d[N+4>>1]|0;d[P+6>>1]=d[N+6>>1]|0;break}N=E+((Y(F,o)|0)<<1)|0;E=0;do{d[P+(E<<1)>>1]=d[N+(E<<1)>>1]|0;E=E+1|0}while((E|0)!=(o|0))}else{switch(e|0){case 5:{break b;break}case 1:{Q=q+((Y(H<<16>>16>-1?((G|0)<(l|0)?G:r):0,a)|0)<<1)+((Y(D<<16>>16>-1?((F|0)<(k|0)?F:g):0,o)|0)<<1)|0;break}case 0:{Q=i;break}default:{E=sT(F,k,e)|0;Q=q+((Y(sT(G,l,e)|0,a)|0)<<1)+((Y(E,o)|0)<<1)|0}}E=0;do{d[P+(E<<1)>>1]=d[Q+(E<<1)>>1]|0;E=E+1|0}while((E|0)!=(o|0))}while(0);O=O+1|0;if((O|0)==(t|0))break;else P=P+(o<<1)|0}}while(0);A=A+1|0}while((A|0)!=(v|0));u=h;return}function Psa(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;h=u;u=u+1024|0;i=h;j=f[a+40>>2]|0;k=f[j+4>>2]|0;l=f[j>>2]|0;j=f[b+40>>2]|0;m=f[j+4>>2]|0;n=f[j>>2]|0;j=(f[a>>2]|0)>>>3&511;o=j+1|0;q=f[a+16>>2]|0;r=f[a+48>>2]|0;a=0;do{s=V9b(+p[g+((a&3)<<3)>>3])|0;d[i+(a<<1)>>1]=(s+32768|0)>>>0<65536?s:(s|0)>0?32767:32768;a=a+1|0}while((a|0)!=(o|0));a=r>>>1;if(f[b>>2]&16384){r=(f[c>>2]&16384|0)!=0;g=Y(r?n:1,m)|0;if(r){t=g;v=1}else{w=g;x=5}}else{w=m;x=5}if((x|0)==5)if((n|0)>0){t=w;v=n}else{u=h;return}n=b+16|0;w=b+44|0;b=c+16|0;m=c+44|0;c=(j|0)==0;j=(t|0)>0;g=k+-1|0;r=l+-1|0;s=(o|0)==3;y=(o|0)==4;z=(e|0)==5;A=0;do{B=(f[n>>2]|0)+(Y(f[f[w>>2]>>2]|0,A)|0)|0;C=(f[b>>2]|0)+(Y(f[f[m>>2]>>2]|0,A)|0)|0;a:do if(c){if(j)switch(e|0){case 1:{D=0;do{E=D<<1;F=d[C+(E<<1)>>1]|0;G=F<<16>>16;H=d[C+((E|1)<<1)>>1]|0;E=H<<16>>16;if(G>>>0<k>>>0&E>>>0<l>>>0){I=E;J=G}else{I=H<<16>>16>-1?((E|0)<(l|0)?E:r):0;J=F<<16>>16>-1?((G|0)<(k|0)?G:g):0}G=q+((Y(I,a)|0)+J<<1)|0;d[B+(D<<1)>>1]=d[G>>1]|0;D=D+1|0}while((D|0)!=(t|0));break}case 0:{D=0;do{G=D<<1;F=d[C+(G<<1)>>1]|0;E=d[C+((G|1)<<1)>>1]|0;if(F>>>0<k>>>0&E>>>0<l>>>0)K=q+((Y(E,a)|0)+F<<1)|0;else K=i;d[B+(D<<1)>>1]=d[K>>1]|0;D=D+1|0}while((D|0)!=(t|0));break}default:{D=0;do{F=D<<1;E=d[C+(F<<1)>>1]|0;G=d[C+((F|1)<<1)>>1]|0;if(!(E>>>0<k>>>0&G>>>0<l>>>0)){if(!z){F=sT(E,k,e)|0;L=F;M=sT(G,l,e)|0;x=30}}else{L=E;M=G;x=30}if((x|0)==30){x=0;G=q+((Y(M,a)|0)+L<<1)|0;d[B+(D<<1)>>1]=d[G>>1]|0}D=D+1|0}while((D|0)!=(t|0))}}}else if(j){if(z){D=0;G=B;while(1){E=D<<1;F=d[C+(E<<1)>>1]|0;H=d[C+((E|1)<<1)>>1]|0;do if(F>>>0<k>>>0&H>>>0<l>>>0){E=q+((Y(H,a)|0)<<1)|0;if(s){N=E+(F*3<<1)|0;d[G>>1]=d[N>>1]|0;d[G+2>>1]=d[N+2>>1]|0;d[G+4>>1]=d[N+4>>1]|0;break}if(y){N=E+(F<<2<<1)|0;d[G>>1]=d[N>>1]|0;d[G+2>>1]=d[N+2>>1]|0;d[G+4>>1]=d[N+4>>1]|0;d[G+6>>1]=d[N+6>>1]|0;break}N=E+((Y(F,o)|0)<<1)|0;E=0;do{d[G+(E<<1)>>1]=d[N+(E<<1)>>1]|0;E=E+1|0}while((E|0)!=(o|0))}while(0);D=D+1|0;if((D|0)==(t|0))break a;else G=G+(o<<1)|0}}else{O=0;P=B}while(1){G=O<<1;D=d[C+(G<<1)>>1]|0;F=D<<16>>16;H=d[C+((G|1)<<1)>>1]|0;G=H<<16>>16;b:do if(F>>>0<k>>>0&G>>>0<l>>>0){E=q+((Y(G,a)|0)<<1)|0;if(s){N=E+(F*3<<1)|0;d[P>>1]=d[N>>1]|0;d[P+2>>1]=d[N+2>>1]|0;d[P+4>>1]=d[N+4>>1]|0;break}if(y){N=E+(F<<2<<1)|0;d[P>>1]=d[N>>1]|0;d[P+2>>1]=d[N+2>>1]|0;d[P+4>>1]=d[N+4>>1]|0;d[P+6>>1]=d[N+6>>1]|0;break}N=E+((Y(F,o)|0)<<1)|0;E=0;do{d[P+(E<<1)>>1]=d[N+(E<<1)>>1]|0;E=E+1|0}while((E|0)!=(o|0))}else{switch(e|0){case 5:{break b;break}case 1:{Q=q+((Y(H<<16>>16>-1?((G|0)<(l|0)?G:r):0,a)|0)<<1)+((Y(D<<16>>16>-1?((F|0)<(k|0)?F:g):0,o)|0)<<1)|0;break}case 0:{Q=i;break}default:{E=sT(F,k,e)|0;Q=q+((Y(sT(G,l,e)|0,a)|0)<<1)+((Y(E,o)|0)<<1)|0}}E=0;do{d[P+(E<<1)>>1]=d[Q+(E<<1)>>1]|0;E=E+1|0}while((E|0)!=(o|0))}while(0);O=O+1|0;if((O|0)==(t|0))break;else P=P+(o<<1)|0}}while(0);A=A+1|0}while((A|0)!=(v|0));u=h;return}
function _Ib(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;e=u;u=u+48|0;g=e;h=e+36|0;i=e+24|0;j=e+12|0;k=c;l=(k*65535|0)+d|0;m=f[a+100>>2]|0;a:do if(m|0){n=m+-1|0;o=(n&m|0)==0;if(!o)if(l>>>0<m>>>0)p=l;else p=(l>>>0)%(m>>>0)|0;else p=n&l;q=f[(f[a+96>>2]|0)+(p<<2)>>2]|0;if(q|0?(r=f[q>>2]|0,r|0):0){b:do if(o){q=r;while(1){s=f[q+4>>2]|0;t=(l|0)==(s|0);if(!(t|(s&n|0)==(p|0)))break a;if((t?(f[q+8>>2]|0)==(c|0):0)?(f[q+12>>2]|0)==(d|0):0){v=q;break b}q=f[q>>2]|0;if(!q)break a}}else{q=r;while(1){t=f[q+4>>2]|0;if((l|0)==(t|0)){if((f[q+8>>2]|0)==(c|0)?(f[q+12>>2]|0)==(d|0):0){v=q;break b}}else{if(t>>>0<m>>>0)w=t;else w=(t>>>0)%(m>>>0)|0;if((w|0)!=(p|0))break a}q=f[q>>2]|0;if(!q)break a}}while(0);r=f[v+16>>2]|0;if(r|0){x=r;u=e;return x|0}}}while(0);v=a+160|0;FDb(v);p=a+116|0;w=a+120|0;a=f[w>>2]|0;c:do if(a){m=a+-1|0;r=(m&a|0)==0;if(!r)if(l>>>0<a>>>0)y=l;else y=(l>>>0)%(a>>>0)|0;else y=m&l;n=f[(f[p>>2]|0)+(y<<2)>>2]|0;if((n|0)!=0?(o=f[n>>2]|0,(o|0)!=0):0){d:do if(r){n=o;while(1){q=f[n+4>>2]|0;t=(q|0)==(l|0);if(!(t|(q&m|0)==(y|0))){z=42;break c}if((t?(f[n+8>>2]|0)==(c|0):0)?(f[n+12>>2]|0)==(d|0):0){A=n;break d}n=f[n>>2]|0;if(!n){z=42;break c}}}else{n=o;while(1){t=f[n+4>>2]|0;if((t|0)==(l|0)){if((f[n+8>>2]|0)==(c|0)?(f[n+12>>2]|0)==(d|0):0){A=n;break d}}else{if(t>>>0<a>>>0)B=t;else B=(t>>>0)%(a>>>0)|0;if((B|0)!=(y|0)){z=42;break c}}n=f[n>>2]|0;if(!n){z=42;break c}}}while(0);o=f[A+16>>2]|0;GDb(v);if(o|0){x=o;u=e;return x|0}}else z=42}else z=42;while(0);if((z|0)==42)GDb(v);FDb(v);A=f[w>>2]|0;e:do if(A){w=A+-1|0;y=(w&A|0)==0;if(!y)if(l>>>0<A>>>0)C=l;else C=(l>>>0)%(A>>>0)|0;else C=w&l;B=f[(f[p>>2]|0)+(C<<2)>>2]|0;if((B|0)!=0?(a=f[B>>2]|0,(a|0)!=0):0){f:do if(y){B=a;while(1){o=f[B+4>>2]|0;m=(o|0)==(l|0);if(!(m|(o&w|0)==(C|0))){z=65;break e}if((m?(f[B+8>>2]|0)==(c|0):0)?(f[B+12>>2]|0)==(d|0):0){D=B;break f}B=f[B>>2]|0;if(!B){z=65;break e}}}else{B=a;while(1){m=f[B+4>>2]|0;if((m|0)==(l|0)){if((f[B+8>>2]|0)==(c|0)?(f[B+12>>2]|0)==(d|0):0){D=B;break f}}else{if(m>>>0<A>>>0)E=m;else E=(m>>>0)%(A>>>0)|0;if((E|0)!=(C|0)){z=65;break e}}B=f[B>>2]|0;if(!B){z=65;break e}}}while(0);a=f[D+16>>2]|0;if(a)F=a;else z=65}else z=65}else z=65;while(0);if((z|0)==65){z=f[c>>2]|0;if((b[z+11>>0]|0)<0)G=f[z>>2]|0;else G=z;f[g>>2]=G;f[g+4>>2]=d;p6b(h,493377,g);if((f[222929]|0)!=2){f[g>>2]=149752;f[g+4>>2]=132;b[g+8>>0]=0;dEb(891716,g);zDb(g)}G=f[(f[222930]|0)+16>>2]|0;z=Bmc(20)|0;f[g>>2]=z;D=G+124|0;C=f[D>>2]|0;if((C|0)==(f[G+128>>2]|0))LR(G+120|0,g);else{f[C>>2]=z;f[D>>2]=(f[D>>2]|0)+4}D=f[g>>2]|0;z=Bmc(12)|0;Nmc(z,h);f[g>>2]=z;C=G+76|0;E=f[C>>2]|0;A=G+80|0;if((E|0)==(f[A>>2]|0))OFb(G+72|0,g);else{f[E>>2]=z;f[C>>2]=(f[C>>2]|0)+4}f[D>>2]=f[g>>2];pza(j,f[c+4>>2]|0,523604);JDa(i,j,h);z=Bmc(12)|0;Nmc(z,i);f[g>>2]=z;E=f[C>>2]|0;if((E|0)==(f[A>>2]|0))OFb(G+72|0,g);else{f[E>>2]=z;f[C>>2]=(f[C>>2]|0)+4}f[D+4>>2]=f[g>>2];if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);f[D+8>>2]=d;f[D+12>>2]=c;c=IUb()|0;f[D+16>>2]=c;f[g>>2]=k;f[g+4>>2]=d;f[i>>2]=D;jIb(p,g,i)|0;if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);F=D}GDb(v);x=F;u=e;return x|0}function $Ib(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=f[a+68>>2]|0;if((c|0)<=0){d=0;return d|0}e=f[a+36>>2]|0;a=0;while(1){g=e+(a*12|0)|0;if((f[g>>2]|0)<=(b|0)?(f[e+(a*12|0)+4>>2]|0)>(b|0):0){d=g;h=6;break}a=a+1|0;if((a|0)>=(c|0)){d=0;h=6;break}}if((h|0)==6)return d|0;return 0}function aJb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=f[a+76>>2]|0;if((c|0)<=0){d=0;return d|0}e=f[a+44>>2]|0;a=0;while(1){g=e+(a<<3)|0;if((f[g>>2]|0)<=(b|0)?(f[e+(a<<3)+4>>2]|0)>(b|0):0){d=g;h=6;break}a=a+1|0;if((a|0)>=(c|0)){d=0;h=6;break}}if((h|0)==6)return d|0;return 0}function bJb(a){a=a|0;return (b[(f[(f[a+60>>2]|0)+16>>2]|0)+51>>0]|0)!=0|0}function cJb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;e=f[a+24>>2]|0;if(e|0?(f[e>>2]|0)!=2:0){f[d>>2]=110868;f[d+4>>2]=1634;b[d+8>>0]=0;f[d+12>>2]=a;dEb(e,d)}u=c;return f[a+80>>2]|0}function dJb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;e=f[a+24>>2]|0;if(e|0?(f[e>>2]|0)!=2:0){f[d>>2]=110868;f[d+4>>2]=1634;b[d+8>>0]=0;f[d+12>>2]=a;dEb(e,d)}u=c;return f[a+60>>2]|0}function eJb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;e=f[a+24>>2]|0;if(e|0?(f[e>>2]|0)!=2:0){f[d>>2]=110868;f[d+4>>2]=1634;b[d+8>>0]=0;f[d+12>>2]=a;dEb(e,d)}u=c;return f[a+64>>2]|0}function fJb(a){a=a|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[a+32>>2]|0)!=3){e=0;u=c;return e|0}g=f[a+24>>2]|0;if(g|0?(f[g>>2]|0)!=2:0){f[d>>2]=110868;f[d+4>>2]=1634;b[d+8>>0]=0;f[d+12>>2]=a;dEb(g,d)}if(((f[a+28>>2]|0)+-9|0)>>>0<=3){e=0;u=c;return e|0}d=f[a+68>>2]|0;g=(d|0)==0;if((f[(f[a+20>>2]|0)+44>>2]|0)==2){if(g){e=0;u=c;return e|0}e=(b[d+52>>0]|0)!=0;u=c;return e|0}if(g){e=1;u=c;return e|0}if(!(f[d+24>>2]&2)){e=1;u=c;return e|0}e=(b[d+52>>0]|0)!=0;u=c;return e|0}function gJb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=151832;b=a+28|0;c=f[b>>2]|0;if(c|0?(f[a+16>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)ai[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;Emc(h)}f[b>>2]=0;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}h=a&-2;a=h;if((h|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(h);f[b>>2]=0;return}function hJb(a){a=a|0;gJb(a);Emc(a);return}function iJb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function jJb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(32)|0;sUb(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,23992,32);a=nBb(b,32)|0;tUb(a,b);c=a;return c|0}function kJb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function lJb(a){a=a|0;return f[a+4>>2]|0}function mJb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+20|0;c=f[b>>2]|0;if((c|0)>0){d=f[a+28>>2]|0;e=0;do{g=f[d+4+(e<<2)>>2]|0;e=e+1|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}while((e|0)!=(c|0));f[b>>2]=0}f[a+8>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function nJb(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+28|0;c=f[a+20>>2]|0;while(1){if((c|0)<=0){d=1;e=4;break}c=c+-1|0;a=f[(f[b>>2]|0)+4+(c<<2)>>2]|0;if(!(ci[f[(f[a>>2]|0)+32>>2]&1023](a)|0)){d=0;e=4;break}}if((e|0)==4)return d|0;return 0}function oJb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+16|0;i=a+28|0;j=a+24|0;k=a+20|0;l=e+4|0;m=a+4|0;while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=xCb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}if((q|0)==6){q=0;if((p|0)==10){o=f[i>>2]|0;do if(o){a=f[k>>2]|0;n=f[o>>2]|0;if((a|0)>=(n|0))if((n|0)==(f[j>>2]|0)){t=n;q=12;break}else{v=n;w=o;q=13;break}else{f[k>>2]=a+1;x=f[o+4+(a<<2)>>2]|0;break}}else{t=f[j>>2]|0;q=12}while(0);if((q|0)==12){q=0;uDb(h,t+1|0);o=f[i>>2]|0;v=f[o>>2]|0;w=o;q=13}if((q|0)==13){q=0;f[w>>2]=v+1;o=f[h>>2]|0;if(!o){a=Bmc(140)|0;nUb(a);y=a}else{if(f[o+64>>2]|0)pBb(o,24408,144);a=nBb(o,144)|0;oUb(a,o);y=a}a=f[i>>2]|0;o=f[k>>2]|0;f[k>>2]=o+1;f[a+4+(o<<2)>>2]=y;x=y}o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0?(a=b[o>>0]|0,a<<24>>24>-1):0){f[c>>2]=o+1;z=a&255}else{a=wCb(c)|0;if((a|0)>-1)z=a;else{A=0;q=32;break}}hCb(e,c,z);if((f[l>>2]|0)<0){q=25;break}if(!(Sh[f[(f[x>>2]|0)+44>>2]&511](x,c)|0)){q=25;break}if(mCb(c,f[e>>2]|0)|0)continue;else{A=0;q=32;break}}else s=p}if(!s){A=1;q=32;break}a=f[m>>2]|0;if(!(a&1))B=AHa(m)|0;else B=a&-2;if(!(b4b(c,s,B)|0)){A=0;q=32;break}}if((q|0)==25){A=0;u=d;return A|0}else if((q|0)==32){u=d;return A|0}return 0}function pJb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+20>>2]|0;d=b+c|0;if(!b){e=d;g=a+12|0;f[g>>2]=e;return e|0}c=a+28|0;h=0;i=d;while(1){d=f[(f[c>>2]|0)+4+(h<<2)>>2]|0;j=ci[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(b|0)){e=d;break}else i=d}g=a+12|0;f[g>>2]=e;return e|0}function qJb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a+20>>2]|0;if(c|0){d=a+28|0;e=0;do{GEb(1,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function rJb(a){a=a|0;return f[a+12>>2]|0}function sJb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=f[a+20>>2]|0;if(!e)g=d;else{h=a+28|0;i=0;j=d;while(1){d=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;b[j>>0]=10;k=j+1|0;l=ci[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=k;r=l}b[q>>0]=r;n=ki[f[(f[d>>2]|0)+64>>2]&511](d,c,q+1|0)|0;i=i+1|0;if((i|0)==(e|0)){g=n;break}else j=n}}j=f[a+4>>2]|0;if(!(j&1)){s=g;return s|0}s=f4b(j&-2,g)|0;return s|0}function tJb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function uJb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,23992,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}qUb(a+16|0,c+16|0);return}function vJb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function wJb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222940]|0)!=2){f[d>>2]=149752;f[d+4>>2]=135;b[d+8>>0]=0;dEb(891760,d);zDb(d)}d=536920;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function xJb(){var a=0,c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((f[222941]|0)!=2){f[c>>2]=149752;f[c+4>>2]=136;b[c+8>>0]=0;dEb(891764,c);zDb(c)}d=Bmc(48)|0;f[c>>2]=d;f[c+8>>2]=-2147483600;f[c+4>>2]=32;e=d;g=493402;h=e+32|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));b[d+32>>0]=0;wYb(c,151932,152256,150308,0,536920,891736,0);if((b[c+11>>0]|0)>=0){u=a;return}Emc(f[c>>2]|0);u=a;return}function yJb(){zJb();NIb(493435,5968);R1b(493402,1673);return}function zJb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222942]|0)!=2){f[c>>2]=149752;f[c+4>>2]=137;b[c+8>>0]=0;dEb(891768,c);zDb(c)}if((f[222943]|0)!=2){f[c>>2]=149752;f[c+4>>2]=138;b[c+8>>0]=0;dEb(891772,c);zDb(c)}if((f[222944]|0)!=2){f[c>>2]=149752;f[c+4>>2]=139;b[c+8>>0]=0;dEb(891776,c);zDb(c)}if((f[222945]|0)!=2){f[c>>2]=149752;f[c+4>>2]=140;b[c+8>>0]=0;dEb(891780,c);zDb(c)}if((f[222946]|0)!=2){f[c>>2]=149752;f[c+4>>2]=141;b[c+8>>0]=0;dEb(891784,c);zDb(c)}if((f[222947]|0)!=2){f[c>>2]=149752;f[c+4>>2]=142;b[c+8>>0]=0;dEb(891788,c);zDb(c)}if((f[222948]|0)!=2){f[c>>2]=149752;f[c+4>>2]=143;b[c+8>>0]=0;dEb(891792,c);zDb(c)}if((f[222949]|0)!=2){f[c>>2]=149752;f[c+4>>2]=144;b[c+8>>0]=0;dEb(891796,c);zDb(c)}if((f[222950]|0)!=2){f[c>>2]=149752;f[c+4>>2]=145;b[c+8>>0]=0;dEb(891800,c);zDb(c)}if((f[222951]|0)!=2){f[c>>2]=149752;f[c+4>>2]=146;b[c+8>>0]=0;dEb(891804,c);zDb(c)}if((f[222952]|0)!=2){f[c>>2]=149752;f[c+4>>2]=147;b[c+8>>0]=0;dEb(891808,c);zDb(c)}if((f[222953]|0)!=2){f[c>>2]=149752;f[c+4>>2]=148;b[c+8>>0]=0;dEb(891812,c);zDb(c)}if((f[222954]|0)!=2){f[c>>2]=149752;f[c+4>>2]=149;b[c+8>>0]=0;dEb(891816,c);zDb(c)}if((f[222955]|0)!=2){f[c>>2]=149752;f[c+4>>2]=150;b[c+8>>0]=0;dEb(891820,c);zDb(c)}if((f[222956]|0)!=2){f[c>>2]=149752;f[c+4>>2]=151;b[c+8>>0]=0;dEb(891824,c);zDb(c)}if((f[222957]|0)!=2){f[c>>2]=149752;f[c+4>>2]=152;b[c+8>>0]=0;dEb(891828,c);zDb(c)}if((f[222958]|0)!=2){f[c>>2]=149752;f[c+4>>2]=153;b[c+8>>0]=0;dEb(891832,c);zDb(c)}if((f[222959]|0)!=2){f[c>>2]=149752;f[c+4>>2]=154;b[c+8>>0]=0;dEb(891836,c);zDb(c)}if((f[222960]|0)!=2){f[c>>2]=149752;f[c+4>>2]=155;b[c+8>>0]=0;dEb(891840,c);zDb(c)}if((f[222961]|0)!=2){f[c>>2]=149752;f[c+4>>2]=156;b[c+8>>0]=0;dEb(891844,c);zDb(c)}if((f[222962]|0)!=2){f[c>>2]=149752;f[c+4>>2]=157;b[c+8>>0]=0;dEb(891848,c);zDb(c)}if((f[222963]|0)!=2){f[c>>2]=149752;f[c+4>>2]=158;b[c+8>>0]=0;dEb(891852,c);zDb(c)}if((f[222964]|0)!=2){f[c>>2]=149752;f[c+4>>2]=159;b[c+8>>0]=0;dEb(891856,c);zDb(c)}if((f[222965]|0)!=2){f[c>>2]=149752;f[c+4>>2]=160;b[c+8>>0]=0;dEb(891860,c);zDb(c)}if((f[222966]|0)!=2){f[c>>2]=149752;f[c+4>>2]=161;b[c+8>>0]=0;dEb(891864,c);zDb(c)}if((f[222967]|0)!=2){f[c>>2]=149752;f[c+4>>2]=162;b[c+8>>0]=0;dEb(891868,c);zDb(c)}if((f[222968]|0)==2){u=a;return}f[c>>2]=149752;f[c+4>>2]=163;b[c+8>>0]=0;dEb(891872,c);zDb(c);u=a;return}function AJb(a){a=a|0;var c=0;a=u;u=u+16|0;c=a;if((f[222940]|0)!=2){f[c>>2]=149752;f[c+4>>2]=135;b[c+8>>0]=0;dEb(891760,c);zDb(c)}BYb(536920,27);u=a;return}function BJb(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,499404);tBb();if((f[222943]|0)!=2){f[c>>2]=149752;f[c+4>>2]=138;b[c+8>>0]=0;dEb(891772,c);zDb(c)}f[133858]=151832;f[133859]=0;f[133860]=0;f[133861]=0;f[133862]=0;f[133863]=0;f[133864]=0;f[133865]=0;$Db(535432);u=a;return}function CJb(){var a=0,c=0,d=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,499404);tBb();if((f[222946]|0)!=2){f[c>>2]=149752;f[c+4>>2]=141;b[c+8>>0]=0;dEb(891784,c);zDb(c)}if((f[222951]|0)!=2){f[c>>2]=149752;f[c+4>>2]=146;b[c+8>>0]=0;dEb(891804,c);zDb(c)}if((f[222953]|0)!=2){f[c>>2]=149752;f[c+4>>2]=148;b[c+8>>0]=0;dEb(891812,c);zDb(c)}if((f[222948]|0)!=2){f[c>>2]=149752;f[c+4>>2]=143;b[c+8>>0]=0;dEb(891792,c);zDb(c)}if((f[222955]|0)!=2){f[c>>2]=149752;f[c+4>>2]=150;b[c+8>>0]=0;dEb(891820,c);zDb(c)}if((f[222966]|0)!=2){f[c>>2]=149752;f[c+4>>2]=161;b[c+8>>0]=0;dEb(891864,c);zDb(c)}f[133866]=155072;f[133867]=0;c=535472;d=c+112|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(d|0));f[133896]=535416;f[133897]=535416;f[133898]=535416;c=535596;f[c>>2]=0;f[c+4>>2]=0;$Db(535464);f[133899]=536152;f[133900]=536808;u=a;return}function DJb(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,499404);tBb();if((f[222947]|0)!=2){f[c>>2]=149752;f[c+4>>2]=142;b[c+8>>0]=0;dEb(891788,c);zDb(c)}f[133902]=154964;f[133903]=0;f[133904]=0;f[133905]=0;f[133906]=0;f[133907]=0;f[133908]=0;$Db(535608);f[133906]=535816;u=a;return}function EJb(){CDb(3005001,3005e3,499404);tBb();f[133910]=154856;f[133911]=0;f[133912]=0;f[133913]=0;f[133914]=0;f[133915]=0;$Db(535640);return}function FJb(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,499404);tBb();if((f[222948]|0)!=2){f[c>>2]=149752;f[c+4>>2]=143;b[c+8>>0]=0;dEb(891792,c);zDb(c)}if((f[222951]|0)!=2){f[c>>2]=149752;f[c+4>>2]=146;b[c+8>>0]=0;dEb(891804,c);zDb(c)}if((f[222944]|0)!=2){f[c>>2]=149752;f[c+4>>2]=139;b[c+8>>0]=0;dEb(891776,c);zDb(c)}if((f[222949]|0)!=2){f[c>>2]=149752;f[c+4>>2]=144;b[c+8>>0]=0;dEb(891796,c);zDb(c)}if((f[222956]|0)!=2){f[c>>2]=149752;f[c+4>>2]=151;b[c+8>>0]=0;dEb(891824,c);zDb(c)}if((f[222945]|0)==2){f[133916]=154748;f[133917]=0;Drc(535672,0,136)|0;f[133952]=535416;f[133953]=0;$Db(535664);f[133953]=536248;u=a;return}f[c>>2]=149752;f[c+4>>2]=140;b[c+8>>0]=0;dEb(891780,c);zDb(c);f[133916]=154748;f[133917]=0;Drc(535672,0,136)|0;f[133952]=535416;f[133953]=0;$Db(535664);f[133953]=536248;u=a;return}function GJb(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,499404);tBb();if((f[222964]|0)!=2){f[c>>2]=149752;f[c+4>>2]=159;b[c+8>>0]=0;dEb(891856,c);zDb(c)}f[133954]=154640;L4b(535820);f[133959]=0;f[133960]=0;f[133961]=0;f[133962]=0;f[133963]=0;f[133964]=0;f[133965]=0;$Db(535816);u=a;return}function HJb(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,499404);tBb();if((f[222957]|0)!=2){f[c>>2]=149752;f[c+4>>2]=152;b[c+8>>0]=0;dEb(891828,c);zDb(c)}f[133966]=154532;f[133967]=0;f[133968]=0;f[133969]=0;f[133970]=535416;f[133971]=535416;f[133972]=535416;f[133973]=535416;f[133974]=535416;f[133975]=0;f[133976]=0;f[133977]=0;f[133978]=1;f[133979]=1;$Db(535864);f[133975]=536304;u=a;return}function IJb(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,499404);tBb();if((f[222958]|0)!=2){f[c>>2]=149752;f[c+4>>2]=153;b[c+8>>0]=0;dEb(891832,c);zDb(c)}f[133980]=154424;f[133981]=0;f[133982]=0;f[133983]=0;f[133984]=535416;f[133985]=0;$Db(535920);f[133985]=536368;u=a;return}function JJb(){CDb(3005001,3005e3,499404);tBb();f[133986]=154316;f[133987]=0;f[133988]=0;f[133989]=0;f[133990]=0;f[133991]=0;$Db(535944);return}function KJb(){var a=0,c=0,d=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,499404);tBb();if((f[222952]|0)!=2){f[c>>2]=149752;f[c+4>>2]=147;b[c+8>>0]=0;dEb(891808,c);zDb(c)}if((f[222959]|0)!=2){f[c>>2]=149752;f[c+4>>2]=154;b[c+8>>0]=0;dEb(891836,c);zDb(c)}if((f[222950]|0)!=2){f[c>>2]=149752;f[c+4>>2]=145;b[c+8>>0]=0;dEb(891800,c);zDb(c)}f[133992]=154208;f[133993]=0;c=535976;d=c+56|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(d|0));f[134008]=535416;f[134009]=0;$Db(535968);f[134009]=536416;u=a;return}function LJb(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,499404);tBb();if((f[222960]|0)!=2){f[c>>2]=149752;f[c+4>>2]=155;b[c+8>>0]=0;dEb(891840,c);zDb(c)}f[134010]=154100;f[134011]=0;f[134012]=0;f[134013]=0;f[134014]=535416;c=536060;f[c>>2]=0;f[c+4>>2]=0;$Db(536040);f[134015]=536472;u=a;return}function MJb(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,499404);tBb();if((f[222954]|0)!=2){f[c>>2]=149752;f[c+4>>2]=149;b[c+8>>0]=0;dEb(891816,c);zDb(c)}if((f[222961]|0)!=2){f[c>>2]=149752;f[c+4>>2]=156;b[c+8>>0]=0;dEb(891844,c);zDb(c)}f[134018]=153992;f[134019]=0;f[134020]=0;f[134021]=0;f[134022]=0;f[134023]=0;f[134024]=0;f[134025]=0;f[134026]=535416;f[134027]=0;$Db(536072);f[134027]=536528;u=a;return}function NJb(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,499404);tBb();if((f[222962]|0)!=2){f[c>>2]=149752;f[c+4>>2]=157;b[c+8>>0]=0;dEb(891848,c);zDb(c)}f[134028]=153884;f[134029]=0;f[134030]=0;f[134031]=0;f[134032]=535416;f[134033]=535416;f[134034]=535416;f[134035]=0;d[268072]=0;$Db(536112);f[134035]=536584;u=a;return}function OJb(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,499404);tBb();if((f[222964]|0)!=2){f[c>>2]=149752;f[c+4>>2]=159;b[c+8>>0]=0;dEb(891856,c);zDb(c)}f[134038]=153776;L4b(536156);f[134043]=0;f[134044]=0;f[134045]=0;f[134046]=0;f[134047]=0;f[134048]=0;f[134049]=0;f[134050]=535416;f[134051]=535416;f[134052]=535416;f[134053]=535416;f[134054]=535416;f[134055]=535416;f[134056]=535416;f[134057]=535416;f[134058]=0;f[134059]=0;b[536240]=0;f[134061]=1;$Db(536152);u=a;return}function PJb(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,499404);tBb();if((f[222964]|0)!=2){f[c>>2]=149752;f[c+4>>2]=159;b[c+8>>0]=0;dEb(891856,c);zDb(c)}f[134062]=153668;L4b(536252);f[134067]=0;f[134068]=0;f[134069]=0;f[134070]=0;f[134071]=0;f[134072]=0;f[134073]=0;f[134074]=0;$Db(536248);u=a;return}function QJb(){var a=0,c=0,d=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,499404);tBb();if((f[222964]|0)!=2){f[c>>2]=149752;f[c+4>>2]=159;b[c+8>>0]=0;dEb(891856,c);zDb(c)}f[134076]=153560;L4b(536308);c=536324;d=c+40|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(d|0));$Db(536304);u=a;return}function RJb(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,499404);tBb();if((f[222964]|0)!=2){f[c>>2]=149752;f[c+4>>2]=159;b[c+8>>0]=0;dEb(891856,c);zDb(c)}f[134092]=153452;L4b(536372);f[134097]=0;f[134098]=0;f[134099]=0;f[134100]=0;f[134101]=0;f[134102]=0;f[134103]=0;$Db(536368);u=a;return}function SJb(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,499404);tBb();if((f[222964]|0)!=2){f[c>>2]=149752;f[c+4>>2]=159;b[c+8>>0]=0;dEb(891856,c);zDb(c)}f[134104]=153344;L4b(536420);f[134109]=0;f[134110]=0;f[134111]=0;f[134112]=0;f[134113]=0;f[134114]=0;f[134115]=0;d[268232]=0;$Db(536416);u=a;return}function TJb(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,499404);tBb();if((f[222964]|0)!=2){f[c>>2]=149752;f[c+4>>2]=159;b[c+8>>0]=0;dEb(891856,c);zDb(c)}f[134118]=153236;L4b(536476);f[134123]=0;f[134124]=0;f[134125]=0;f[134126]=0;f[134127]=0;f[134128]=0;f[134129]=0;b[536520]=0;$Db(536472);u=a;return}function UJb(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,499404);tBb();if((f[222964]|0)!=2){f[c>>2]=149752;f[c+4>>2]=159;b[c+8>>0]=0;dEb(891856,c);zDb(c)}f[134132]=153128;L4b(536532);f[134137]=0;f[134138]=0;f[134139]=0;f[134140]=0;f[134141]=0;f[134142]=0;f[134143]=0;b[536576]=0;$Db(536528);u=a;return}function VJb(){var a=0,c=0,d=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,499404);tBb();if((f[222964]|0)!=2){f[c>>2]=149752;f[c+4>>2]=159;b[c+8>>0]=0;dEb(891856,c);zDb(c)}f[134146]=153020;L4b(536588);c=536604;d=c+36|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(d|0));$Db(536584);u=a;return}function WJb(){CDb(3005001,3005e3,499404);tBb();f[134160]=152912;f[134161]=0;f[134162]=0;f[134163]=0;f[134164]=535416;b[536660]=0;$Db(536640);return}function XJb(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,499404);tBb();if((f[222963]|0)!=2){f[c>>2]=149752;f[c+4>>2]=158;b[c+8>>0]=0;dEb(891852,c);zDb(c)}f[134166]=152804;f[134167]=0;f[134168]=0;f[134169]=0;f[134170]=0;f[134171]=0;f[134172]=0;f[134173]=0;f[134174]=535416;f[134175]=535416;f[134176]=535416;f[134178]=0;f[134179]=0;f[134180]=0;f[134181]=0;f[134182]=0;f[134183]=0;$Db(536664);u=a;return}function YJb(){CDb(3005001,3005e3,499404);tBb();f[134184]=152696;f[134185]=0;f[134192]=0;f[134193]=0;f[134194]=0;f[134196]=0;f[134197]=0;f[134198]=0;f[134199]=0;f[134186]=0;f[134187]=0;f[134188]=0;f[134189]=0;f[134190]=0;f[134200]=535416;f[134201]=535416;$Db(536736);return}function ZJb(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,499404);tBb();if((f[222965]|0)!=2){f[c>>2]=149752;f[c+4>>2]=160;b[c+8>>0]=0;dEb(891860,c);zDb(c)}f[134202]=152588;f[134203]=0;f[134204]=0;f[134205]=0;f[134206]=0;f[134207]=0;f[134208]=0;f[134209]=0;$Db(536808);u=a;return}function _Jb(){var a=0;CDb(3005001,3005e3,499404);tBb();f[134210]=152480;f[134211]=0;f[134212]=0;f[134213]=0;f[134214]=0;f[134215]=0;f[134216]=0;f[134218]=535416;a=536876;f[a>>2]=0;f[a+4>>2]=0;$Db(536840);return}function $Jb(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,499404);tBb();if((f[222967]|0)!=2){f[c>>2]=149752;f[c+4>>2]=162;b[c+8>>0]=0;dEb(891868,c);zDb(c)}f[134222]=152372;f[134223]=0;f[134224]=0;f[134225]=0;f[134226]=0;f[134227]=0;f[134228]=0;f[134229]=0;$Db(536888);u=a;return}function aKb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=152372;b=a+28|0;c=f[b>>2]|0;if(c|0?(f[a+16>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)ai[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;Emc(h)}f[b>>2]=0;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}h=a&-2;a=h;if((h|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(h);f[b>>2]=0;return}function bKb(a){a=a|0;aKb(a);Emc(a);return}function cKb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function dKb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(32)|0;NKb(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,24008,32);a=nBb(b,32)|0;OKb(a,b);c=a;return c|0}function eKb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function fKb(a){a=a|0;return f[a+4>>2]|0}function gKb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+20|0;c=f[b>>2]|0;if((c|0)>0){d=f[a+28>>2]|0;e=0;do{g=f[d+4+(e<<2)>>2]|0;e=e+1|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}while((e|0)!=(c|0));f[b>>2]=0}f[a+8>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function hKb(a){a=a|0;return 1}function iKb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+16|0;i=a+28|0;j=a+24|0;k=a+20|0;l=e+4|0;m=a+4|0;while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=xCb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}if((q|0)==6){q=0;if((p|0)==10){o=f[i>>2]|0;do if(o){a=f[k>>2]|0;n=f[o>>2]|0;if((a|0)>=(n|0))if((n|0)==(f[j>>2]|0)){t=n;q=12;break}else{v=n;w=o;q=13;break}else{f[k>>2]=a+1;x=f[o+4+(a<<2)>>2]|0;break}}else{t=f[j>>2]|0;q=12}while(0);if((q|0)==12){q=0;uDb(h,t+1|0);o=f[i>>2]|0;v=f[o>>2]|0;w=o;q=13}if((q|0)==13){q=0;f[w>>2]=v+1;o=f[h>>2]|0;if(!o){a=Bmc(44)|0;sKb(a);y=a}else{if(f[o+64>>2]|0)pBb(o,24024,48);a=nBb(o,48)|0;uKb(a,o);y=a}a=f[i>>2]|0;o=f[k>>2]|0;f[k>>2]=o+1;f[a+4+(o<<2)>>2]=y;x=y}o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0?(a=b[o>>0]|0,a<<24>>24>-1):0){f[c>>2]=o+1;z=a&255}else{a=wCb(c)|0;if((a|0)>-1)z=a;else{A=0;q=32;break}}hCb(e,c,z);if((f[l>>2]|0)<0){q=25;break}if(!(Sh[f[(f[x>>2]|0)+44>>2]&511](x,c)|0)){q=25;break}if(mCb(c,f[e>>2]|0)|0)continue;else{A=0;q=32;break}}else s=p}if(!s){A=1;q=32;break}a=f[m>>2]|0;if(!(a&1))B=AHa(m)|0;else B=a&-2;if(!(b4b(c,s,B)|0)){A=0;q=32;break}}if((q|0)==25){A=0;u=d;return A|0}else if((q|0)==32){u=d;return A|0}return 0}function jKb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+20>>2]|0;d=b+c|0;if(!b){e=d;g=a+12|0;f[g>>2]=e;return e|0}c=a+28|0;h=0;i=d;while(1){d=f[(f[c>>2]|0)+4+(h<<2)>>2]|0;j=ci[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(b|0)){e=d;break}else i=d}g=a+12|0;f[g>>2]=e;return e|0}function kKb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a+20>>2]|0;if(c|0){d=a+28|0;e=0;do{GEb(1,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function lKb(a){a=a|0;return f[a+12>>2]|0}function mKb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=f[a+20>>2]|0;if(!e)g=d;else{h=a+28|0;i=0;j=d;while(1){d=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;b[j>>0]=10;k=j+1|0;l=ci[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=k;r=l}b[q>>0]=r;n=ki[f[(f[d>>2]|0)+64>>2]&511](d,c,q+1|0)|0;i=i+1|0;if((i|0)==(e|0)){g=n;break}else j=n}}j=f[a+4>>2]|0;if(!(j&1)){s=g;return s|0}s=f4b(j&-2,g)|0;return s|0}function nKb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function oKb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,24008,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}rKb(a+16|0,c+16|0);return}function pKb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function qKb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222940]|0)!=2){f[d>>2]=149752;f[d+4>>2]=135;b[d+8>>0]=0;dEb(891760,d);zDb(d)}d=537128;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function rKb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{tKb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(44)|0;sKb(l);tKb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,24024,48);l=nBb(i,48)|0;uKb(l,i);tKb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function sKb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=152480;f[a+4>>2]=0;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;if((a|0)!=536840?(f[222967]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=162;b[d+8>>0]=0;dEb(891868,d);zDb(d)}f[a+12>>2]=0;f[a+32>>2]=535416;d=a+36|0;f[d>>2]=0;f[d+4>>2]=0;u=c;return}function tKb(a,b){a=a|0;b=b|0;MKb(b,a);return}function uKb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;f[a>>2]=152480;f[a+4>>2]=c;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;g=a+24|0;f[g>>2]=0;if(c|0){if(f[c+64>>2]|0)pBb(c,26896,8);h=nBb(c,8)|0;f[g>>2]=h;f[h>>2]=c}if((f[222967]|0)!=2){f[e>>2]=149752;f[e+4>>2]=162;b[e+8>>0]=0;dEb(891868,e);zDb(e)}f[a+12>>2]=0;f[a+32>>2]=535416;e=a+36|0;f[e>>2]=0;f[e+4>>2]=0;u=d;return}function vKb(a){a=a|0;var c=0,d=0;f[a>>2]=152480;c=f[a+32>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+24>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(d);f[c>>2]=0;return}function wKb(a){a=a|0;vKb(a);Emc(a);return}function xKb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function yKb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(44)|0;sKb(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,24024,48);a=nBb(b,48)|0;uKb(a,b);c=a;return c|0}function zKb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function AKb(a){a=a|0;return f[a+4>>2]|0}function BKb(a){a=a|0;var c=0,d=0,e=0,g=0;f[a+16>>2]=0;c=a+8|0;d=f[c>>2]|0;do if(d&1|0?(e=f[a+32>>2]|0,(e|0)!=535416):0){g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);if(d&6|0){d=a+36|0;f[d>>2]=0;f[d+4>>2]=0}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function CKb(a){a=a|0;return 1}function DKb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;d=c+4|0;e=a+16|0;g=a+20|0;h=a+24|0;i=a+8|0;j=a+32|0;k=a+4|0;l=a+36|0;m=a+40|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=xCb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:{switch((p&255)<<24>>24){case 10:break;case 8:{if(zIa(1,10,c,e)|0)continue a;else{t=0;q=46;break a}break}default:{s=p;break b}}o=f[c>>2]|0;if(o>>>0<(f[d>>2]|0)>>>0?(a=b[o>>0]|0,a<<24>>24>-1):0){f[c>>2]=o+1;u=a&255}else{a=wCb(c)|0;if((a|0)>-1)u=a;else{t=0;q=46;break a}}a=fCb(c,u)|0;if((nCb(c)|0)>0)do{o=f[c>>2]|0;if(o>>>0<(f[d>>2]|0)>>>0){n=b[o>>0]|0;v=n&255;if(n<<24>>24>-1){f[c>>2]=o+1;w=v}else{x=v;q=16}}else{x=0;q=16}if((q|0)==16){q=0;v=iCb(c,x)|0;o=J;if((o|0)>-1|(o|0)==-1&v>>>0>4294967295)w=v;else{t=0;q=46;break a}}v=f[e>>2]|0;if((v|0)==(f[g>>2]|0)){eFa(e,v+1|0);y=f[e>>2]|0}else y=v;v=f[h>>2]|0;f[e>>2]=y+1;f[v+4+(y<<2)>>2]=w}while((nCb(c)|0)>0);gCb(c,a);continue a;break}case 2:{if((p&255|0)!=18){s=p;break b}f[i>>2]=f[i>>2]|1;v=f[k>>2]|0;o=v&-2;if(!(v&1))z=o;else z=f[o+4>>2]|0;o=f[j>>2]|0;if((o|0)==535416){PDa(j,z,535416);A=f[j>>2]|0}else A=o;if(HEb(c,A)|0)continue a;else{t=0;q=46;break a}break}case 3:{if((p&255|0)!=24){s=p;break b}f[i>>2]=f[i>>2]|2;o=f[c>>2]|0;if(o>>>0<(f[d>>2]|0)>>>0){v=b[o>>0]|0;n=v&255;if(v<<24>>24>-1){f[c>>2]=o+1;B=n}else{C=n;q=33}}else{C=0;q=33}if((q|0)==33){q=0;n=iCb(c,C)|0;o=J;if((o|0)>-1|(o|0)==-1&n>>>0>4294967295)B=n;else{t=0;q=46;break a}}f[l>>2]=B;continue a;break}case 4:{if((p&255|0)!=32){s=p;break b}f[i>>2]=f[i>>2]|4;n=f[c>>2]|0;if(n>>>0<(f[d>>2]|0)>>>0){o=b[n>>0]|0;v=o&255;if(o<<24>>24>-1){f[c>>2]=n+1;D=v}else{E=v;q=39}}else{E=0;q=39}if((q|0)==39){q=0;v=iCb(c,E)|0;n=J;if((n|0)>-1|(n|0)==-1&v>>>0>4294967295)D=v;else{t=0;q=46;break a}}f[m>>2]=D;continue a;break}default:{s=p;break b}}}while(0);if(!s){t=1;q=46;break}v=f[k>>2]|0;if(!(v&1))F=AHa(k)|0;else F=v&-2;if(!(b4b(c,s,F)|0)){t=0;q=46;break}}if((q|0)==46)return t|0;return 0}function EKb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=JEb(a+16|0)|0;if(!c)e=d;else{if((c|0)<0)g=11;else g=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;e=g+d|0}f[a+28>>2]=c;d=e+c|0;c=f[a+8>>2]|0;if(!(c&7)){h=d;i=a+12|0;f[i>>2]=h;return h|0}if(!(c&1))j=d;else{e=f[a+32>>2]|0;g=b[e+11>>0]|0;k=g<<24>>24<0?f[e+4>>2]|0:g&255;j=d+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&2))l=j;else{k=f[a+36>>2]|0;if((k|0)<0)m=11;else m=((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;l=m+j|0}if(!(c&4)){h=l;i=a+12|0;f[i>>2]=h;return h|0}c=f[a+40>>2]|0;if((c|0)<0)n=11;else n=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;h=n+l|0;i=a+12|0;f[i>>2]=h;return h|0}function FKb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=a+16|0;if((f[d>>2]|0)>0){e=c+8|0;if((f[e>>2]|0)>4){g=c+4|0;b[f[g>>2]>>0]=10;f[g>>2]=(f[g>>2]|0)+1;g=(f[e>>2]|0)+-1|0;f[e>>2]=g;h=g}else{ECb(c,10);h=f[e>>2]|0}g=f[a+28>>2]|0;if((h|0)>4){h=c+4|0;i=f[h>>2]|0;if(g>>>0>127){j=g;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=i;o=g}b[n>>0]=o;o=n+1-i|0;f[h>>2]=(f[h>>2]|0)+o;f[e>>2]=(f[e>>2]|0)-o}else ECb(c,g);g=f[d>>2]|0;if((g|0)>0){d=a+24|0;o=c+8|0;e=c+4|0;h=0;do{i=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;n=((i|0)<0)<<31>>31;if((f[o>>2]|0)>9){k=f[e>>2]|0;j=i&255;if(i>>>0>127){l=k;m=j;p=i;q=n;while(1){b[l>>0]=m|-128;r=p;p=Irc(p|0,q|0,7)|0;s=l+1|0;t=p&255;if(!(q>>>0>0|(q|0)==0&r>>>0>16383)){u=s;v=t;break}else{l=s;m=t;q=J}}}else{u=k;v=j}b[u>>0]=v;q=u+1-k|0;f[e>>2]=(f[e>>2]|0)+q;f[o>>2]=(f[o>>2]|0)-q}else FCb(c,i,n);h=h+1|0}while((h|0)!=(g|0))}}g=f[a+8>>2]|0;if(g&1|0)BEb(2,f[a+32>>2]|0,c);if(g&2|0)mEb(3,f[a+36>>2]|0,c);if(g&4|0)mEb(4,f[a+40>>2]|0,c);g=f[a+4>>2]|0;if(!(g&1))return;e4b(g&-2,c);return}function GKb(a){a=a|0;return f[a+12>>2]|0}function HKb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;c=a+16|0;if((f[c>>2]|0)>0){b[d>>0]=10;e=d+1|0;g=f[a+28>>2]|0;if(g>>>0>127){h=g;i=e;while(1){b[i>>0]=h|128;j=h>>>7;k=i+1|0;if(h>>>0>16383){h=j;i=k}else{l=k;m=j;break}}}else{l=e;m=g}b[l>>0]=m;m=f[c>>2]|0;c=f[a+24>>2]|0;g=0;e=l+1|0;while(1){l=f[c+4+(g<<2)>>2]|0;i=l&255;if(l>>>0>127){h=e;j=i;k=l;n=((l|0)<0)<<31>>31;while(1){b[h>>0]=j|-128;l=k;k=Irc(k|0,n|0,7)|0;o=h+1|0;p=k&255;if(!(n>>>0>0|(n|0)==0&l>>>0>16383)){q=o;r=p;break}else{h=o;j=p;n=J}}}else{q=e;r=i}b[q>>0]=r;n=q+1|0;g=g+1|0;if((g|0)>=(m|0)){s=n;break}else e=n}}else s=d;d=f[a+8>>2]|0;if(!(d&1))t=s;else{e=f[a+32>>2]|0;b[s>>0]=18;t=GCb(e,s+1|0)|0}if(!(d&2))u=t;else{s=f[a+36>>2]|0;b[t>>0]=24;e=t+1|0;t=s&255;if(s>>>0>127){m=e;g=t;q=s;r=((s|0)<0)<<31>>31;while(1){b[m>>0]=g|-128;s=q;q=Irc(q|0,r|0,7)|0;c=m+1|0;n=q&255;if(!(r>>>0>0|(r|0)==0&s>>>0>16383)){v=c;w=n;break}else{m=c;g=n;r=J}}}else{v=e;w=t}b[v>>0]=w;u=v+1|0}if(!(d&4))x=u;else{d=f[a+40>>2]|0;b[u>>0]=32;v=u+1|0;u=d&255;if(d>>>0>127){w=v;t=u;e=d;r=((d|0)<0)<<31>>31;while(1){b[w>>0]=t|-128;d=e;e=Irc(e|0,r|0,7)|0;g=w+1|0;m=e&255;if(!(r>>>0>0|(r|0)==0&d>>>0>16383)){y=g;z=m;break}else{w=g;t=m;r=J}}}else{y=v;z=u}b[y>>0]=z;x=y+1|0}y=f[a+4>>2]|0;if(!(y&1)){A=x;return A|0}A=f4b(y&-2,x)|0;return A|0}function IKb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function JKb(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,24024,0)|0;if(!c){c2b(b,a);return}else{MKb(a,c);return}}function KKb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function LKb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222940]|0)!=2){f[d>>2]=149752;f[d+4>>2]=135;b[d+8>>0]=0;dEb(891760,d);zDb(d)}d=537120;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function MKb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}d=a+16|0;g=b+16|0;e=f[g>>2]|0;if(e|0){eFa(d,(f[d>>2]|0)+e|0);Krc((f[a+24>>2]|0)+4+(f[d>>2]<<2)|0,(f[b+24>>2]|0)+4|0,f[g>>2]<<2|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}g=f[b+8>>2]|0;if(!(g&7))return;do if(g&1|0){d=f[b+32>>2]|0;e=a+8|0;f[e>>2]=f[e>>2]|1;e=a+32|0;h=f[c>>2]|0;i=h&-2;if(!(h&1))j=i;else j=f[i+4>>2]|0;i=f[e>>2]|0;if((i|0)==535416){PDa(e,j,d);break}else{Qmc(i,d)|0;break}}while(0);if(g&2|0)f[a+36>>2]=f[b+36>>2];if(g&4|0)f[a+40>>2]=f[b+40>>2];b=a+8|0;f[b>>2]=f[b>>2]|g;return}function NKb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=152372;f[a+4>>2]=0;f[a+8>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=536888?(f[222968]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=163;b[d+8>>0]=0;dEb(891872,d);zDb(d)}f[a+12>>2]=0;u=c;return}function OKb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;f[a>>2]=152372;f[a+4>>2]=c;f[a+8>>2]=0;f[a+16>>2]=c;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;if((f[222968]|0)==2){g=a+12|0;f[g>>2]=0;u=d;return}f[e>>2]=149752;f[e+4>>2]=163;b[e+8>>0]=0;dEb(891872,e);zDb(e);g=a+12|0;f[g>>2]=0;u=d;return}function PKb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=152588;b=a+28|0;c=f[b>>2]|0;if(c|0?(f[a+16>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)ai[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;Emc(h)}f[b>>2]=0;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}h=a&-2;a=h;if((h|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(h);f[b>>2]=0;return}function QKb(a){a=a|0;PKb(a);Emc(a);return}function RKb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function SKb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(32)|0;ALb(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,24040,32);a=nBb(b,32)|0;BLb(a,b);c=a;return c|0}function TKb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function UKb(a){a=a|0;return f[a+4>>2]|0}function VKb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+20|0;c=f[b>>2]|0;if((c|0)>0){d=f[a+28>>2]|0;e=0;do{g=f[d+4+(e<<2)>>2]|0;e=e+1|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}while((e|0)!=(c|0));f[b>>2]=0}f[a+8>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function WKb(a){a=a|0;return 1}function XKb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+16|0;i=a+28|0;j=a+24|0;k=a+20|0;l=e+4|0;m=a+4|0;while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){n=b[a>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=a+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=xCb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}if((q|0)==6){q=0;if((p|0)==10){o=f[i>>2]|0;do if(o){a=f[k>>2]|0;n=f[o>>2]|0;if((a|0)>=(n|0))if((n|0)==(f[j>>2]|0)){t=n;q=12;break}else{v=n;w=o;q=13;break}else{f[k>>2]=a+1;x=f[o+4+(a<<2)>>2]|0;break}}else{t=f[j>>2]|0;q=12}while(0);if((q|0)==12){q=0;uDb(h,t+1|0);o=f[i>>2]|0;v=f[o>>2]|0;w=o;q=13}if((q|0)==13){q=0;f[w>>2]=v+1;o=f[h>>2]|0;if(!o){a=Bmc(72)|0;fLb(a);y=a}else{if(f[o+64>>2]|0)pBb(o,24056,72);a=nBb(o,72)|0;hLb(a,o);y=a}a=f[i>>2]|0;o=f[k>>2]|0;f[k>>2]=o+1;f[a+4+(o<<2)>>2]=y;x=y}o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0?(a=b[o>>0]|0,a<<24>>24>-1):0){f[c>>2]=o+1;z=a&255}else{a=wCb(c)|0;if((a|0)>-1)z=a;else{A=0;q=32;break}}hCb(e,c,z);if((f[l>>2]|0)<0){q=25;break}if(!(Sh[f[(f[x>>2]|0)+44>>2]&511](x,c)|0)){q=25;break}if(mCb(c,f[e>>2]|0)|0)continue;else{A=0;q=32;break}}else s=p}if(!s){A=1;q=32;break}a=f[m>>2]|0;if(!(a&1))B=AHa(m)|0;else B=a&-2;if(!(b4b(c,s,B)|0)){A=0;q=32;break}}if((q|0)==25){A=0;u=d;return A|0}else if((q|0)==32){u=d;return A|0}return 0}function YKb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+20>>2]|0;d=b+c|0;if(!b){e=d;g=a+12|0;f[g>>2]=e;return e|0}c=a+28|0;h=0;i=d;while(1){d=f[(f[c>>2]|0)+4+(h<<2)>>2]|0;j=ci[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(b|0)){e=d;break}else i=d}g=a+12|0;f[g>>2]=e;return e|0}function ZKb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a+20>>2]|0;if(c|0){d=a+28|0;e=0;do{GEb(1,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function _Kb(a){a=a|0;return f[a+12>>2]|0}function $Kb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=f[a+20>>2]|0;if(!e)g=d;else{h=a+28|0;i=0;j=d;while(1){d=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;b[j>>0]=10;k=j+1|0;l=ci[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=k;r=l}b[q>>0]=r;n=ki[f[(f[d>>2]|0)+64>>2]&511](d,c,q+1|0)|0;i=i+1|0;if((i|0)==(e|0)){g=n;break}else j=n}}j=f[a+4>>2]|0;if(!(j&1)){s=g;return s|0}s=f4b(j&-2,g)|0;return s|0}function aLb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function bLb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,24040,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}eLb(a+16|0,c+16|0);return}function cLb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function dLb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222940]|0)!=2){f[d>>2]=149752;f[d+4>>2]=135;b[d+8>>0]=0;dEb(891760,d);zDb(d)}d=537112;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function eLb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{gLb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(72)|0;fLb(l);gLb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,24056,72);l=nBb(i,72)|0;hLb(l,i);gLb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function fLb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=152696;f[a+4>>2]=0;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+32>>2]=0;f[a+36>>2]=0;f[a+40>>2]=0;e=a+48|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=536736?(f[222965]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=160;b[d+8>>0]=0;dEb(891860,d);zDb(d)}f[a+12>>2]=0;f[a+64>>2]=535416;f[a+68>>2]=535416;u=c;return}function gLb(a,b){a=a|0;b=b|0;zLb(b,a);return}function hLb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d;f[a>>2]=152696;f[a+4>>2]=c;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;g=a+24|0;f[g>>2]=0;if(!c){f[a+32>>2]=0;f[a+36>>2]=0;f[a+40>>2]=0}else{if(f[c+64>>2]|0)pBb(c,26896,8);h=nBb(c,8)|0;f[g>>2]=h;f[h>>2]=c;f[a+32>>2]=0;f[a+36>>2]=0;h=a+40|0;f[h>>2]=0;if(f[c+64>>2]|0)pBb(c,26896,8);g=nBb(c,8)|0;f[h>>2]=g;f[g>>2]=c}f[a+48>>2]=c;f[a+52>>2]=0;f[a+56>>2]=0;f[a+60>>2]=0;if((f[222965]|0)==2){i=a+12|0;f[i>>2]=0;j=a+64|0;f[j>>2]=535416;k=a+68|0;f[k>>2]=535416;u=d;return}f[e>>2]=149752;f[e+4>>2]=160;b[e+8>>0]=0;dEb(891860,e);zDb(e);i=a+12|0;f[i>>2]=0;j=a+64|0;f[j>>2]=535416;k=a+68|0;f[k>>2]=535416;u=d;return}function iLb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;f[a>>2]=152696;c=f[a+64>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+68>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=a+60|0;d=f[c>>2]|0;if(d|0?(f[a+48>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0){if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);Emc(h)}g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;Emc(i)}f[c>>2]=0;c=f[a+40>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=f[a+24>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}i=a&-2;a=i;if((i|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(i);f[c>>2]=0;return}function jLb(a){a=a|0;iLb(a);Emc(a);return}function kLb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function lLb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(72)|0;fLb(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,24056,72);a=nBb(b,72)|0;hLb(a,b);c=a;return c|0}function mLb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function nLb(a){a=a|0;return f[a+4>>2]|0}function oLb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;f[a+16>>2]=0;f[a+32>>2]=0;c=a+52|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+60>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;i=h+11|0;if((b[i>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0}else{b[h>>0]=0;b[i>>0]=0}}while((g|0)!=(d|0));f[c>>2]=0}c=a+8|0;d=f[c>>2]|0;do if(d&3|0){do if(d&1|0?(g=f[a+64>>2]|0,(g|0)!=535416):0){e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);if(d&2|0?(e=f[a+68>>2]|0,(e|0)!=535416):0){g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}}while(0);f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function pLb(a){a=a|0;return 1}function qLb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0;d=c+4|0;e=a+16|0;g=a+20|0;h=a+24|0;i=a+32|0;j=a+36|0;k=a+40|0;l=a+8|0;m=a+64|0;n=a+4|0;o=a+68|0;p=a+48|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){q=b[a>>0]|0;r=q&255;if(q<<24>>24>0){f[c>>2]=a+1;s=r;t=6}else{u=r;t=5}}else{u=0;t=5}if((t|0)==5){t=0;r=xCb(c,u)|0;if((r+-1|0)>>>0<127){s=r;t=6}else v=r}b:do if((t|0)==6){t=0;switch(s>>>3&536870911|0){case 1:{switch((s&255)<<24>>24){case 10:break;case 8:{if(zIa(1,10,c,e)|0)continue a;else{w=0;t=58;break a}break}default:{v=s;break b}}r=f[c>>2]|0;if(r>>>0<(f[d>>2]|0)>>>0?(a=b[r>>0]|0,a<<24>>24>-1):0){f[c>>2]=r+1;x=a&255}else{a=wCb(c)|0;if((a|0)>-1)x=a;else{w=0;t=58;break a}}a=fCb(c,x)|0;if((nCb(c)|0)>0)do{r=f[c>>2]|0;if(r>>>0<(f[d>>2]|0)>>>0){q=b[r>>0]|0;y=q&255;if(q<<24>>24>-1){f[c>>2]=r+1;z=y}else{A=y;t=16}}else{A=0;t=16}if((t|0)==16){t=0;y=iCb(c,A)|0;r=J;if((r|0)>-1|(r|0)==-1&y>>>0>4294967295)z=y;else{w=0;t=58;break a}}y=f[e>>2]|0;if((y|0)==(f[g>>2]|0)){eFa(e,y+1|0);B=f[e>>2]|0}else B=y;y=f[h>>2]|0;f[e>>2]=B+1;f[y+4+(B<<2)>>2]=z}while((nCb(c)|0)>0);gCb(c,a);continue a;break}case 2:{switch((s&255)<<24>>24){case 18:break;case 16:{if(zIa(1,18,c,i)|0)continue a;else{w=0;t=58;break a}break}default:{v=s;break b}}y=f[c>>2]|0;if(y>>>0<(f[d>>2]|0)>>>0?(r=b[y>>0]|0,r<<24>>24>-1):0){f[c>>2]=y+1;C=r&255}else{r=wCb(c)|0;if((r|0)>-1)C=r;else{w=0;t=58;break a}}r=fCb(c,C)|0;if((nCb(c)|0)>0)do{y=f[c>>2]|0;if(y>>>0<(f[d>>2]|0)>>>0){q=b[y>>0]|0;D=q&255;if(q<<24>>24>-1){f[c>>2]=y+1;E=D}else{F=D;t=31}}else{F=0;t=31}if((t|0)==31){t=0;D=iCb(c,F)|0;y=J;if((y|0)>-1|(y|0)==-1&D>>>0>4294967295)E=D;else{w=0;t=58;break a}}D=f[i>>2]|0;if((D|0)==(f[j>>2]|0)){eFa(i,D+1|0);G=f[i>>2]|0}else G=D;D=f[k>>2]|0;f[i>>2]=G+1;f[D+4+(G<<2)>>2]=E}while((nCb(c)|0)>0);gCb(c,r);continue a;break}case 3:{if((s&255|0)!=26){v=s;break b}f[l>>2]=f[l>>2]|1;a=f[n>>2]|0;D=a&-2;if(!(a&1))H=D;else H=f[D+4>>2]|0;D=f[m>>2]|0;if((D|0)==535416){PDa(m,H,535416);I=f[m>>2]|0}else I=D;if(HEb(c,I)|0)continue a;else{w=0;t=58;break a}break}case 4:{if((s&255|0)!=34){v=s;break b}f[l>>2]=f[l>>2]|2;D=f[n>>2]|0;a=D&-2;if(!(D&1))K=a;else K=f[a+4>>2]|0;a=f[o>>2]|0;if((a|0)==535416){PDa(o,K,535416);L=f[o>>2]|0}else L=a;if(HEb(c,L)|0)continue a;else{w=0;t=58;break a}break}case 6:{if((s&255|0)!=50){v=s;break b}if(HEb(c,dFa(p)|0)|0)continue a;else{w=0;t=58;break a}break}default:{v=s;break b}}}while(0);if(!v){w=1;t=58;break}a=f[n>>2]|0;if(!(a&1))M=AHa(n)|0;else M=a&-2;if(!(b4b(c,v,M)|0)){w=0;t=58;break}}if((t|0)==58)return w|0;return 0}function rLb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=JEb(a+16|0)|0;if(!c)e=d;else{if((c|0)<0)g=11;else g=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;e=g+d|0}f[a+28>>2]=c;d=e+c|0;c=JEb(a+32|0)|0;if(!c)h=d;else{if((c|0)<0)i=11;else i=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;h=i+d|0}f[a+44>>2]=c;d=f[a+52>>2]|0;i=h+c+d|0;if((d|0)>0){c=f[a+60>>2]|0;h=0;e=i;while(1){g=f[c+4+(h<<2)>>2]|0;j=b[g+11>>0]|0;k=j<<24>>24<0?f[g+4>>2]|0:j&255;j=k+e+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(d|0)){l=j;break}else e=j}}else l=i;i=f[a+8>>2]|0;if(!(i&3)){m=l;n=a+12|0;f[n>>2]=m;return m|0}if(!(i&1))o=l;else{e=f[a+64>>2]|0;d=b[e+11>>0]|0;h=d<<24>>24<0?f[e+4>>2]|0:d&255;o=l+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&2)){m=o;n=a+12|0;f[n>>2]=m;return m|0}i=f[a+68>>2]|0;h=b[i+11>>0]|0;l=h<<24>>24<0?f[i+4>>2]|0:h&255;m=o+1+l+((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)|0;n=a+12|0;f[n>>2]=m;return m|0}function sLb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;d=a+16|0;if((f[d>>2]|0)>0){e=c+8|0;if((f[e>>2]|0)>4){g=c+4|0;b[f[g>>2]>>0]=10;f[g>>2]=(f[g>>2]|0)+1;g=(f[e>>2]|0)+-1|0;f[e>>2]=g;h=g}else{ECb(c,10);h=f[e>>2]|0}g=f[a+28>>2]|0;if((h|0)>4){h=c+4|0;i=f[h>>2]|0;if(g>>>0>127){j=g;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=i;o=g}b[n>>0]=o;o=n+1-i|0;f[h>>2]=(f[h>>2]|0)+o;f[e>>2]=(f[e>>2]|0)-o}else ECb(c,g);g=f[d>>2]|0;if((g|0)>0){d=a+24|0;o=c+8|0;e=c+4|0;h=0;do{i=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;n=((i|0)<0)<<31>>31;if((f[o>>2]|0)>9){k=f[e>>2]|0;j=i&255;if(i>>>0>127){l=k;m=j;p=i;q=n;while(1){b[l>>0]=m|-128;r=p;p=Irc(p|0,q|0,7)|0;s=l+1|0;t=p&255;if(!(q>>>0>0|(q|0)==0&r>>>0>16383)){u=s;v=t;break}else{l=s;m=t;q=J}}}else{u=k;v=j}b[u>>0]=v;q=u+1-k|0;f[e>>2]=(f[e>>2]|0)+q;f[o>>2]=(f[o>>2]|0)-q}else FCb(c,i,n);h=h+1|0}while((h|0)!=(g|0))}}g=a+32|0;if((f[g>>2]|0)>0){h=c+8|0;if((f[h>>2]|0)>4){o=c+4|0;b[f[o>>2]>>0]=18;f[o>>2]=(f[o>>2]|0)+1;o=(f[h>>2]|0)+-1|0;f[h>>2]=o;w=o}else{ECb(c,18);w=f[h>>2]|0}o=f[a+44>>2]|0;if((w|0)>4){w=c+4|0;e=f[w>>2]|0;if(o>>>0>127){u=o;v=e;while(1){b[v>>0]=u|128;d=u>>>7;q=v+1|0;if(u>>>0>16383){u=d;v=q}else{x=q;y=d;break}}}else{x=e;y=o}b[x>>0]=y;y=x+1-e|0;f[w>>2]=(f[w>>2]|0)+y;f[h>>2]=(f[h>>2]|0)-y}else ECb(c,o);o=f[g>>2]|0;if((o|0)>0){g=a+40|0;y=c+8|0;h=c+4|0;w=0;do{e=f[(f[g>>2]|0)+4+(w<<2)>>2]|0;x=((e|0)<0)<<31>>31;if((f[y>>2]|0)>9){v=f[h>>2]|0;u=e&255;if(e>>>0>127){d=v;q=u;m=e;l=x;while(1){b[d>>0]=q|-128;p=m;m=Irc(m|0,l|0,7)|0;t=d+1|0;s=m&255;if(!(l>>>0>0|(l|0)==0&p>>>0>16383)){z=t;A=s;break}else{d=t;q=s;l=J}}}else{z=v;A=u}b[z>>0]=A;l=z+1-v|0;f[h>>2]=(f[h>>2]|0)+l;f[y>>2]=(f[y>>2]|0)-l}else FCb(c,e,x);w=w+1|0}while((w|0)!=(o|0))}}o=f[a+8>>2]|0;if(o&1|0)BEb(3,f[a+64>>2]|0,c);if(o&2|0)BEb(4,f[a+68>>2]|0,c);o=f[a+52>>2]|0;if((o|0)>0){w=a+60|0;y=0;do{AEb(6,f[(f[w>>2]|0)+4+(y<<2)>>2]|0,c);y=y+1|0}while((y|0)!=(o|0))}o=f[a+4>>2]|0;if(!(o&1))return;e4b(o&-2,c);return}function tLb(a){a=a|0;return f[a+12>>2]|0}function uLb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;c=a+16|0;if((f[c>>2]|0)>0){b[d>>0]=10;e=d+1|0;g=f[a+28>>2]|0;if(g>>>0>127){h=g;i=e;while(1){b[i>>0]=h|128;j=h>>>7;k=i+1|0;if(h>>>0>16383){h=j;i=k}else{l=k;m=j;break}}}else{l=e;m=g}b[l>>0]=m;m=f[c>>2]|0;c=f[a+24>>2]|0;g=0;e=l+1|0;while(1){l=f[c+4+(g<<2)>>2]|0;i=l&255;if(l>>>0>127){h=e;j=i;k=l;n=((l|0)<0)<<31>>31;while(1){b[h>>0]=j|-128;l=k;k=Irc(k|0,n|0,7)|0;o=h+1|0;p=k&255;if(!(n>>>0>0|(n|0)==0&l>>>0>16383)){q=o;r=p;break}else{h=o;j=p;n=J}}}else{q=e;r=i}b[q>>0]=r;n=q+1|0;g=g+1|0;if((g|0)>=(m|0)){s=n;break}else e=n}}else s=d;d=a+32|0;if((f[d>>2]|0)>0){b[s>>0]=18;e=s+1|0;m=f[a+44>>2]|0;if(m>>>0>127){g=m;q=e;while(1){b[q>>0]=g|128;r=g>>>7;c=q+1|0;if(g>>>0>16383){g=r;q=c}else{t=c;u=r;break}}}else{t=e;u=m}b[t>>0]=u;u=f[d>>2]|0;d=f[a+40>>2]|0;m=0;e=t+1|0;while(1){t=f[d+4+(m<<2)>>2]|0;q=t&255;if(t>>>0>127){g=e;r=q;c=t;n=((t|0)<0)<<31>>31;while(1){b[g>>0]=r|-128;t=c;c=Irc(c|0,n|0,7)|0;j=g+1|0;h=c&255;if(!(n>>>0>0|(n|0)==0&t>>>0>16383)){v=j;w=h;break}else{g=j;r=h;n=J}}}else{v=e;w=q}b[v>>0]=w;n=v+1|0;m=m+1|0;if((m|0)>=(u|0)){x=n;break}else e=n}}else x=s;s=f[a+8>>2]|0;if(!(s&1))y=x;else{e=f[a+64>>2]|0;b[x>>0]=26;y=GCb(e,x+1|0)|0}if(!(s&2))z=y;else{s=f[a+68>>2]|0;b[y>>0]=34;z=GCb(s,y+1|0)|0}y=f[a+52>>2]|0;if((y|0)>0){s=a+60|0;x=0;e=z;while(1){u=f[(f[s>>2]|0)+4+(x<<2)>>2]|0;b[e>>0]=50;m=GCb(u,e+1|0)|0;x=x+1|0;if((x|0)==(y|0)){A=m;break}else e=m}}else A=z;z=f[a+4>>2]|0;if(!(z&1)){B=A;return B|0}B=f4b(z&-2,A)|0;return B|0}function vLb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function wLb(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,24056,0)|0;if(!c){c2b(b,a);return}else{zLb(a,c);return}}function xLb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function yLb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222940]|0)!=2){f[d>>2]=149752;f[d+4>>2]=135;b[d+8>>0]=0;dEb(891760,d);zDb(d)}d=537104;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function zLb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}d=a+16|0;g=b+16|0;e=f[g>>2]|0;if(e|0){eFa(d,(f[d>>2]|0)+e|0);Krc((f[a+24>>2]|0)+4+(f[d>>2]<<2)|0,(f[b+24>>2]|0)+4|0,f[g>>2]<<2|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}g=a+32|0;d=b+32|0;e=f[d>>2]|0;if(e|0){eFa(g,(f[g>>2]|0)+e|0);Krc((f[a+40>>2]|0)+4+(f[g>>2]<<2)|0,(f[b+40>>2]|0)+4|0,f[d>>2]<<2|0)|0;f[g>>2]=(f[g>>2]|0)+(f[d>>2]|0)}BHa(a+48|0,b+48|0);d=f[b+8>>2]|0;if(!(d&3))return;do if(d&1|0){g=f[b+64>>2]|0;e=a+8|0;f[e>>2]=f[e>>2]|1;e=a+64|0;h=f[c>>2]|0;i=h&-2;if(!(h&1))j=i;else j=f[i+4>>2]|0;i=f[e>>2]|0;if((i|0)==535416){PDa(e,j,g);break}else{Qmc(i,g)|0;break}}while(0);if(!(d&2))return;d=f[b+68>>2]|0;b=a+8|0;f[b>>2]=f[b>>2]|2;b=a+68|0;a=f[c>>2]|0;c=a&-2;if(!(a&1))k=c;else k=f[c+4>>2]|0;c=f[b>>2]|0;if((c|0)==535416){PDa(b,k,d);return}else{Qmc(c,d)|0;return}}function ALb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=152588;f[a+4>>2]=0;f[a+8>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=536808?(f[222966]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=161;b[d+8>>0]=0;dEb(891864,d);zDb(d)}f[a+12>>2]=0;u=c;return}function BLb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;f[a>>2]=152588;f[a+4>>2]=c;f[a+8>>2]=0;f[a+16>>2]=c;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;if((f[222966]|0)==2){g=a+12|0;f[g>>2]=0;u=d;return}f[e>>2]=149752;f[e+4>>2]=161;b[e+8>>0]=0;dEb(891864,e);zDb(e);g=a+12|0;f[g>>2]=0;u=d;return}function CLb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=152804;qMb(a);b=a+28|0;c=f[b>>2]|0;if(c|0?(f[a+16>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)ai[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;Emc(h)}f[b>>2]=0;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}h=a&-2;a=h;if((h|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(h);f[b>>2]=0;return}function DLb(a){a=a|0;CLb(a);Emc(a);return}function ELb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function FLb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(72)|0;oMb(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,24072,72);a=nBb(b,72)|0;pMb(a,b);c=a;return c|0}function GLb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function HLb(a){a=a|0;return f[a+4>>2]|0}function ILb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=a+20|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+28>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((g|0)!=(d|0));f[c>>2]=0}c=a+8|0;d=f[c>>2]|0;do if(d&7|0){do if(d&1|0?(g=f[a+32>>2]|0,(g|0)!=535416):0){e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);do if(d&2|0?(e=f[a+36>>2]|0,(e|0)!=535416):0){g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);if(d&4|0?(g=f[a+40>>2]|0,(g|0)!=535416):0){e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}}while(0);if(d&56|0){d=a+48|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function JLb(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+28|0;c=f[a+20>>2]|0;while(1){if((c|0)<=0){d=1;e=4;break}c=c+-1|0;a=f[(f[b>>2]|0)+4+(c<<2)>>2]|0;if(!(ci[f[(f[a>>2]|0)+32>>2]&1023](a)|0)){d=0;e=4;break}}if((e|0)==4)return d|0;return 0}function KLb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0.0,T=0,U=0,V=0,W=0,X=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+16|0;j=a+28|0;k=a+24|0;l=a+20|0;m=e+4|0;n=a+8|0;o=a+32|0;q=a+4|0;r=a+48|0;t=e+8|0;v=a+56|0;w=e+8|0;x=a+64|0;y=a+36|0;z=a+40|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){A=b[a>>0]|0;B=A&255;if(A<<24>>24>0){f[c>>2]=a+1;C=B;D=6}else{E=B;D=5}}else{E=0;D=5}if((D|0)==5){D=0;B=xCb(c,E)|0;if((B+-1|0)>>>0<127){C=B;D=6}else F=B}b:do if((D|0)==6){D=0;switch(C>>>3&536870911|0){case 2:{if((C&255|0)!=18){F=C;break b}B=f[j>>2]|0;do if(B){a=f[l>>2]|0;A=f[B>>2]|0;if((a|0)>=(A|0))if((A|0)==(f[k>>2]|0)){G=A;D=13;break}else{H=A;I=B;D=14;break}else{f[l>>2]=a+1;J=f[B+4+(a<<2)>>2]|0;break}}else{G=f[k>>2]|0;D=13}while(0);if((D|0)==13){D=0;uDb(i,G+1|0);B=f[j>>2]|0;H=f[B>>2]|0;I=B;D=14}if((D|0)==14){D=0;f[I>>2]=H+1;B=f[i>>2]|0;if(!B){a=Bmc(24)|0;VLb(a);K=a}else{if(f[B+64>>2]|0)pBb(B,24088,24);a=nBb(B,24)|0;XLb(a,B);K=a}a=f[j>>2]|0;B=f[l>>2]|0;f[l>>2]=B+1;f[a+4+(B<<2)>>2]=K;J=K}B=f[c>>2]|0;if(B>>>0<(f[g>>2]|0)>>>0?(a=b[B>>0]|0,a<<24>>24>-1):0){f[c>>2]=B+1;L=a&255}else{a=wCb(c)|0;if((a|0)>-1)L=a;else{M=0;D=72;break a}}hCb(e,c,L);if((f[m>>2]|0)<0){D=26;break a}if(!(Sh[f[(f[J>>2]|0)+44>>2]&511](J,c)|0)){D=26;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{M=0;D=72;break a}break}case 3:{if((C&255|0)!=26){F=C;break b}f[n>>2]=f[n>>2]|1;a=f[q>>2]|0;B=a&-2;if(!(a&1))N=B;else N=f[B+4>>2]|0;B=f[o>>2]|0;if((B|0)==535416){PDa(o,N,535416);O=f[o>>2]|0}else O=B;if(HEb(c,O)|0)continue a;else{M=0;D=72;break a}break}case 4:{if((C&255|0)!=32){F=C;break b}f[n>>2]=f[n>>2]|8;B=f[c>>2]|0;if(B>>>0<(f[g>>2]|0)>>>0?(a=b[B>>0]|0,a<<24>>24>-1):0){A=r;f[A>>2]=a&255;f[A+4>>2]=0;f[c>>2]=B+1;continue a}jCb(e,c);B=e;A=f[B+4>>2]|0;a=r;f[a>>2]=f[B>>2];f[a+4>>2]=A;if(!(b[t>>0]|0)){M=0;D=72;break a}else continue a;break}case 5:{if((C&255|0)!=40){F=C;break b}f[n>>2]=f[n>>2]|16;A=f[c>>2]|0;if(A>>>0<(f[g>>2]|0)>>>0?(a=b[A>>0]|0,a<<24>>24>-1):0){f[c>>2]=A+1;P=a&255;Q=0}else{jCb(e,c);a=e;if(!(b[w>>0]|0)){M=0;D=72;break a}else{P=f[a>>2]|0;Q=f[a+4>>2]|0}}a=v;f[a>>2]=P;f[a+4>>2]=Q;continue a;break}case 6:{if((C&255|0)!=49){F=C;break b}f[n>>2]=f[n>>2]|32;a=f[c>>2]|0;if(((f[g>>2]|0)-a|0)>7){A=a;B=A;R=h[B>>0]|h[B+1>>0]<<8|h[B+2>>0]<<16|h[B+3>>0]<<24;B=A+4|0;A=h[B>>0]|h[B+1>>0]<<8|h[B+2>>0]<<16|h[B+3>>0]<<24;B=e;f[B>>2]=R;f[B+4>>2]=A;f[c>>2]=a+8;f[s>>2]=R;f[s+4>>2]=A;S=+p[s>>3]}else{if(!(vCb(c,e)|0)){D=52;break a}S=+p[e>>3]}p[x>>3]=S;continue a;break}case 7:{if((C&255|0)!=58){F=C;break b}f[n>>2]=f[n>>2]|2;A=f[q>>2]|0;R=A&-2;if(!(A&1))T=R;else T=f[R+4>>2]|0;R=f[y>>2]|0;if((R|0)==535416){PDa(y,T,535416);U=f[y>>2]|0}else U=R;if(HEb(c,U)|0)continue a;else{M=0;D=72;break a}break}case 8:{if((C&255|0)!=66){F=C;break b}f[n>>2]=f[n>>2]|4;R=f[q>>2]|0;A=R&-2;if(!(R&1))V=A;else V=f[A+4>>2]|0;A=f[z>>2]|0;if((A|0)==535416){PDa(z,V,535416);W=f[z>>2]|0}else W=A;if(HEb(c,W)|0)continue a;else{M=0;D=72;break a}break}default:{F=C;break b}}}while(0);if(!F){M=1;D=72;break}A=f[q>>2]|0;if(!(A&1))X=AHa(q)|0;else X=A&-2;if(!(b4b(c,F,X)|0)){M=0;D=72;break}}if((D|0)==26){M=0;u=d;return M|0}else if((D|0)==52){M=0;u=d;return M|0}else if((D|0)==72){u=d;return M|0}return 0}function LLb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=f[a+20>>2]|0;e=c+d|0;if(!c)g=e;else{d=a+28|0;h=0;i=e;while(1){e=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;j=ci[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(c|0)){g=e;break}else i=e}}i=f[a+8>>2]|0;if(!(i&63)){k=g;l=a+12|0;f[l>>2]=k;return k|0}if(!(i&1))m=g;else{c=f[a+32>>2]|0;h=b[c+11>>0]|0;d=h<<24>>24<0?f[c+4>>2]|0:h&255;m=g+1+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&2))n=m;else{d=f[a+36>>2]|0;g=b[d+11>>0]|0;h=g<<24>>24<0?f[d+4>>2]|0:g&255;n=m+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&4))o=n;else{h=f[a+40>>2]|0;m=b[h+11>>0]|0;g=m<<24>>24<0?f[h+4>>2]|0:m&255;o=n+1+g+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&8))p=o;else{g=a+48|0;n=Prc(f[g>>2]|1|0,f[g+4>>2]|0,1)|0;p=o+1+((((n^63)*9|0)+73|0)>>>6)|0}if(!(i&16))q=p;else{n=a+56|0;o=Prc(f[n>>2]|1|0,f[n+4>>2]|0,1)|0;q=p+1+((((o^63)*9|0)+73|0)>>>6)|0}k=i&32|0?q+9|0:q;l=a+12|0;f[l>>2]=k;return k|0}function MLb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a+20>>2]|0;if(c|0){d=a+28|0;e=0;do{GEb(2,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}c=f[a+8>>2]|0;if(c&1|0)BEb(3,f[a+32>>2]|0,b);if(c&8|0){e=a+48|0;pEb(4,f[e>>2]|0,f[e+4>>2]|0,b)}if(c&16|0){e=a+56|0;nEb(5,f[e>>2]|0,f[e+4>>2]|0,b)}if(c&32|0)xEb(6,+p[a+64>>3],b);if(c&2|0)DEb(7,f[a+36>>2]|0,b);if(c&4|0)BEb(8,f[a+40>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function NLb(a){a=a|0;return f[a+12>>2]|0}function OLb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0,E=0,F=0;e=f[a+20>>2]|0;if(!e)g=d;else{h=a+28|0;i=0;j=d;while(1){d=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;b[j>>0]=18;k=j+1|0;l=ci[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;q=n+1|0;if(m>>>0>16383){m=o;n=q}else{r=q;t=o;break}}}else{r=k;t=l}b[r>>0]=t;n=ki[f[(f[d>>2]|0)+64>>2]&511](d,c,r+1|0)|0;i=i+1|0;if((i|0)==(e|0)){g=n;break}else j=n}}j=f[a+8>>2]|0;if(!(j&1))u=g;else{e=f[a+32>>2]|0;b[g>>0]=26;u=GCb(e,g+1|0)|0}if(!(j&8))v=u;else{g=a+48|0;e=f[g>>2]|0;i=f[g+4>>2]|0;b[u>>0]=32;g=u+1|0;u=e&255;if(i>>>0>0|(i|0)==0&e>>>0>127){r=g;c=u;t=e;e=i;while(1){b[r>>0]=c|-128;i=t;t=Irc(t|0,e|0,7)|0;h=r+1|0;n=t&255;if(!(e>>>0>0|(e|0)==0&i>>>0>16383)){w=h;x=n;break}else{r=h;c=n;e=J}}}else{w=g;x=u}b[w>>0]=x;v=w+1|0}if(!(j&16))y=v;else{w=a+56|0;x=f[w>>2]|0;u=f[w+4>>2]|0;b[v>>0]=40;w=v+1|0;v=x&255;if(u>>>0>0|(u|0)==0&x>>>0>127){g=w;e=v;c=x;x=u;while(1){b[g>>0]=e|-128;u=c;c=Irc(c|0,x|0,7)|0;r=g+1|0;t=c&255;if(!(x>>>0>0|(x|0)==0&u>>>0>16383)){z=r;A=t;break}else{g=r;e=t;x=J}}}else{z=w;A=v}b[z>>0]=A;y=z+1|0}if(!(j&32))B=y;else{C=+p[a+64>>3];b[y>>0]=49;z=y+1|0;p[s>>3]=C;b[z>>0]=b[s>>0];b[z+1>>0]=b[s+1>>0];b[z+2>>0]=b[s+2>>0];b[z+3>>0]=b[s+3>>0];b[z+4>>0]=b[s+4>>0];b[z+5>>0]=b[s+5>>0];b[z+6>>0]=b[s+6>>0];b[z+7>>0]=b[s+7>>0];B=y+9|0}if(!(j&2))D=B;else{y=f[a+36>>2]|0;b[B>>0]=58;D=GCb(y,B+1|0)|0}if(!(j&4))E=D;else{j=f[a+40>>2]|0;b[D>>0]=66;E=GCb(j,D+1|0)|0}D=f[a+4>>2]|0;if(!(D&1)){F=E;return F|0}F=f4b(D&-2,E)|0;return F|0}function PLb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function QLb(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,24072,0)|0;if(!c){c2b(b,a);return}else{TLb(a,c);return}}function RLb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function SLb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222940]|0)!=2){f[d>>2]=149752;f[d+4>>2]=135;b[d+8>>0]=0;dEb(891760,d);zDb(d)}d=537096;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function TLb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}ULb(a+16|0,b+16|0);d=f[b+8>>2]|0;if(!(d&63))return;do if(d&1|0){g=f[b+32>>2]|0;e=a+8|0;f[e>>2]=f[e>>2]|1;e=a+32|0;h=f[c>>2]|0;i=h&-2;if(!(h&1))j=i;else j=f[i+4>>2]|0;i=f[e>>2]|0;if((i|0)==535416){PDa(e,j,g);break}else{Qmc(i,g)|0;break}}while(0);do if(d&2|0){j=f[b+36>>2]|0;g=a+8|0;f[g>>2]=f[g>>2]|2;g=a+36|0;i=f[c>>2]|0;e=i&-2;if(!(i&1))k=e;else k=f[e+4>>2]|0;e=f[g>>2]|0;if((e|0)==535416){PDa(g,k,j);break}else{Qmc(e,j)|0;break}}while(0);do if(d&4|0){k=f[b+40>>2]|0;j=a+8|0;f[j>>2]=f[j>>2]|4;j=a+40|0;e=f[c>>2]|0;g=e&-2;if(!(e&1))l=g;else l=f[g+4>>2]|0;g=f[j>>2]|0;if((g|0)==535416){PDa(j,l,k);break}else{Qmc(g,k)|0;break}}while(0);if(d&8|0){l=b+48|0;c=f[l+4>>2]|0;k=a+48|0;f[k>>2]=f[l>>2];f[k+4>>2]=c}if(d&16|0){c=b+56|0;k=f[c+4>>2]|0;l=a+56|0;f[l>>2]=f[c>>2];f[l+4>>2]=k}if(d&32|0)p[a+64>>3]=+p[b+64>>3];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function ULb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{WLb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(24)|0;VLb(l);WLb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,24088,24);l=nBb(i,24)|0;XLb(l,i);WLb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function VLb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=152912;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=536640?(f[222963]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=158;b[d+8>>0]=0;dEb(891852,d);zDb(d)}f[a+12>>2]=0;f[a+16>>2]=535416;b[a+20>>0]=0;u=c;return}function WLb(a,b){a=a|0;b=b|0;nMb(b,a);return}function XLb(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=152912;f[a+4>>2]=c;f[a+8>>2]=0;if((f[222963]|0)!=2){f[e>>2]=149752;f[e+4>>2]=158;b[e+8>>0]=0;dEb(891852,e);zDb(e)}f[a+12>>2]=0;f[a+16>>2]=535416;b[a+20>>0]=0;u=d;return}function YLb(a){a=a|0;var c=0,d=0;f[a>>2]=152912;c=f[a+16>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(d);f[c>>2]=0;return}function ZLb(a){a=a|0;YLb(a);Emc(a);return}function _Lb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function $Lb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(24)|0;VLb(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,24088,24);a=nBb(b,24)|0;XLb(a,b);c=a;return c|0}function aMb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function bMb(a){a=a|0;return f[a+4>>2]|0}function cMb(a){a=a|0;var c=0,d=0,e=0;c=a+8|0;do if(f[c>>2]&1|0?(d=f[a+16>>2]|0,(d|0)!=535416):0){e=d+11|0;if((b[e>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[e>>0]=0;break}}while(0);b[a+20>>0]=0;f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function dMb(a){a=a|0;return (f[a+8>>2]&3|0)==3|0}function eMb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+16|0;j=a+4|0;k=a+20|0;a=e+8|0;a:while(1){l=f[c>>2]|0;if(l>>>0<(f[g>>2]|0)>>>0){m=b[l>>0]|0;n=m&255;if(m<<24>>24>0){f[c>>2]=l+1;o=n;p=6}else{q=n;p=5}}else{q=0;p=5}if((p|0)==5){p=0;n=xCb(c,q)|0;if((n+-1|0)>>>0<127){o=n;p=6}else r=n}b:do if((p|0)==6){p=0;switch(o>>>3&536870911|0){case 1:break;case 2:{if((o&255|0)!=16){r=o;break b}f[h>>2]=f[h>>2]|2;n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0?(l=b[n>>0]|0,l<<24>>24>-1):0){f[c>>2]=n+1;s=l<<24>>24!=0}else{jCb(e,c);l=e;if(!(b[a>>0]|0)){t=0;p=25;break a}else s=(f[l>>2]|0)!=0|(f[l+4>>2]|0)!=0}b[k>>0]=s&1;continue a;break}default:{r=o;break b}}if((o&255|0)==10){f[h>>2]=f[h>>2]|1;l=f[j>>2]|0;n=l&-2;if(!(l&1))v=n;else v=f[n+4>>2]|0;n=f[i>>2]|0;if((n|0)==535416){PDa(i,v,535416);w=f[i>>2]|0}else w=n;if(HEb(c,w)|0)continue a;else{t=0;p=25;break a}}else r=o}while(0);if(!r){t=1;p=25;break}n=f[j>>2]|0;if(!(n&1))x=AHa(j)|0;else x=n&-2;if(!(b4b(c,r,x)|0)){t=0;p=25;break}}if((p|0)==25){u=d;return t|0}return 0}function fMb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=f[a+8>>2]|0;if((c&3|0)==3){e=f[a+16>>2]|0;g=b[e+11>>0]|0;h=g<<24>>24<0?f[e+4>>2]|0:g&255;i=d+3+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0;j=a+12|0;f[j>>2]=i;return i|0}if(!(c&1))k=0;else{h=f[a+16>>2]|0;g=b[h+11>>0]|0;e=g<<24>>24<0?f[h+4>>2]|0:g&255;k=e+1+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0}i=(c&2|0?k+2|0:k)+d|0;j=a+12|0;f[j>>2]=i;return i|0}function gMb(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&1|0)BEb(1,f[a+16>>2]|0,c);if(d&2|0)yEb(2,(b[a+20>>0]|0)!=0,c);d=f[a+4>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function hMb(a){a=a|0;return f[a+12>>2]|0}function iMb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=10;e=GCb(g,d+1|0)|0}if(!(c&2))h=e;else{c=b[a+20>>0]|0;b[e>>0]=16;b[e+1>>0]=c;h=e+2|0}e=f[a+4>>2]|0;if(!(e&1)){i=h;return i|0}i=f4b(e&-2,h)|0;return i|0}function jMb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function kMb(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,24088,0)|0;if(!c){c2b(b,a);return}else{nMb(a,c);return}}function lMb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function mMb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222940]|0)!=2){f[d>>2]=149752;f[d+4>>2]=135;b[d+8>>0]=0;dEb(891760,d);zDb(d)}d=537088;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function nMb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}e=f[c+8>>2]|0;if(!(e&3))return;do if(e&1|0){h=f[c+16>>2]|0;g=a+8|0;f[g>>2]=f[g>>2]|1;g=a+16|0;i=f[d>>2]|0;j=i&-2;if(!(i&1))k=j;else k=f[j+4>>2]|0;j=f[g>>2]|0;if((j|0)==535416){PDa(g,k,h);break}else{Qmc(j,h)|0;break}}while(0);if(e&2|0)b[a+20>>0]=b[c+20>>0]|0;c=a+8|0;f[c>>2]=f[c>>2]|e;return}function oMb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=152804;f[a+4>>2]=0;f[a+8>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=536664?(f[222964]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=159;b[d+8>>0]=0;dEb(891856,d);zDb(d)}f[a+12>>2]=0;f[a+32>>2]=535416;f[a+36>>2]=535416;f[a+40>>2]=535416;d=a+48|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;u=c;return}function pMb(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=152804;f[a+4>>2]=c;f[a+8>>2]=0;f[a+16>>2]=c;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;if((f[222964]|0)!=2){f[e>>2]=149752;f[e+4>>2]=159;b[e+8>>0]=0;dEb(891856,e);zDb(e)}f[a+12>>2]=0;f[a+32>>2]=535416;f[a+36>>2]=535416;f[a+40>>2]=535416;e=a+48|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;u=d;return}function qMb(a){a=a|0;var c=0;c=f[a+32>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+36>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+40>>2]|0;if((c|0)==535416|(c|0)==0)return;if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c);return}function rMb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=153020;b=a+44|0;c=f[b>>2]|0;if(c|0?(f[a+32>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)ai[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;Emc(h)}f[b>>2]=0;b=a+20|0;h=f[b>>2]|0;if(h&1|0?(c=h&-2,h=c,!((c|0)==0|(f[h+4>>2]|0)!=0)):0){if(f[h>>2]|0)L3b(h);Emc(c)}f[b>>2]=0;M4b(a+4|0);return}function sMb(a){a=a|0;rMb(a);Emc(a);return}function tMb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function uMb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(56)|0;MMb(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,24104,56);a=nBb(b,56)|0;NMb(a,b);c=a;return c|0}function vMb(a){a=a|0;var b=0,c=0;b=f[a+20>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function wMb(a){a=a|0;return f[a+20>>2]|0}function xMb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;a6b(a+4|0);b=a+36|0;c=f[b>>2]|0;if((c|0)>0){d=f[a+44>>2]|0;e=0;do{g=f[d+4+(e<<2)>>2]|0;e=e+1|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}while((e|0)!=(c|0));f[b>>2]=0}b=a+24|0;if(f[b>>2]&3|0){c=a+48|0;f[c>>2]=0;f[c+4>>2]=0}f[b>>2]=0;b=f[a+20>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function yMb(a){a=a|0;var b=0,c=0,d=0,e=0;if(!(f6b(a+4|0)|0)){b=0;return b|0}c=a+44|0;d=f[a+36>>2]|0;while(1){if((d|0)<=0){b=1;e=5;break}d=d+-1|0;a=f[(f[c>>2]|0)+4+(d<<2)>>2]|0;if(!(ci[f[(f[a>>2]|0)+32>>2]&1023](a)|0)){b=0;e=5;break}}if((e|0)==5)return b|0;return 0}function zMb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+24|0;j=a+48|0;k=e+8|0;l=a+32|0;m=e+4|0;n=a+4|0;o=a+20|0;p=a+52|0;a:while(1){b:while(1){a=f[c>>2]|0;q=f[g>>2]|0;do if(a>>>0<q>>>0){r=b[a>>0]|0;s=r&255;t=a+1|0;if(r<<24>>24>0){v=t;w=s}else{if(t>>>0>=q>>>0){x=s;y=8;break}r=h[t>>0]|0;if(((r^128)&s)>>>0<=127){x=s;y=8;break}v=a+2|0;w=s+-128+(r<<7)|0}f[c>>2]=v;z=w;y=10}else{x=0;y=8}while(0);if((y|0)==8){y=0;a=xCb(c,x)|0;if((a+-1|0)>>>0<16383){z=a;y=10}else A=a}c:do if((y|0)==10){y=0;switch(z>>>3&536870911|0){case 33:{if((z&255|0)!=8){A=z;break c}f[i>>2]=f[i>>2]|1;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(q=b[a>>0]|0,q<<24>>24>-1):0){f[c>>2]=a+1;B=q<<24>>24!=0}else{jCb(e,c);q=e;if(!(b[k>>0]|0)){C=0;y=47;break a}else B=(f[q>>2]|0)!=0|(f[q+4>>2]|0)!=0}b[j>>0]=B&1;continue b;break}case 34:{if((z&255|0)==16)break b;else{A=z;break c}break}case 999:{if((z&255|0)!=58){A=z;break c}q=LMb(l)|0;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(r=b[a>>0]|0,r<<24>>24>-1):0){f[c>>2]=a+1;D=r&255}else{r=wCb(c)|0;if((r|0)>-1)D=r;else{C=0;y=47;break a}}hCb(e,c,D);if((f[m>>2]|0)<0){y=35;break a}if(!(Sh[f[(f[q>>2]|0)+44>>2]&511](q,c)|0)){y=35;break a}if(mCb(c,f[e>>2]|0)|0)continue b;else{C=0;y=47;break a}break}default:{A=z;break c}}}while(0);if(!A){C=1;y=47;break a}q=f[o>>2]|0;r=(q&1|0)==0;if(A>>>0>7999){if(r)E=AHa(o)|0;else E=q&-2;if(ZVb(n,A,c,536584,E)|0)continue;else{C=0;y=47;break a}}else{if(r)F=AHa(o)|0;else F=q&-2;if(b4b(c,A,F)|0)continue;else{C=0;y=47;break a}}}q=f[c>>2]|0;if(q>>>0<(f[g>>2]|0)>>>0){r=b[q>>0]|0;a=r&255;if(r<<24>>24>-1){f[c>>2]=q+1;G=a}else{H=a;y=21}}else{H=0;y=21}if((y|0)==21){y=0;a=iCb(c,H)|0;q=J;if((q|0)>-1|(q|0)==-1&a>>>0>4294967295)G=a;else{C=0;y=47;break}}if(G>>>0<3){f[i>>2]=f[i>>2]|2;f[p>>2]=G;continue}a=f[o>>2]|0;if(!(a&1))I=AHa(o)|0;else I=a&-2;R3b(I,34,G,((G|0)<0)<<31>>31)}if((y|0)==35){C=0;u=d;return C|0}else if((y|0)==47){u=d;return C|0}return 0}function AMb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;b=l6b(a+4|0)|0;c=f[a+20>>2]|0;if(!(c&1))d=b;else d=(h4b(c&-2)|0)+b|0;b=f[a+36>>2]|0;c=(b<<1)+d|0;if(!b)e=c;else{d=a+44|0;g=0;h=c;while(1){c=f[(f[d>>2]|0)+4+(g<<2)>>2]|0;i=ci[f[(f[c>>2]|0)+48>>2]&1023](c)|0;c=i+h+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=g+1|0;if((g|0)==(b|0)){e=c;break}else h=c}}h=f[a+24>>2]|0;if(!(h&3)){j=e;k=a+28|0;f[k>>2]=j;return j|0}b=h&1|0?e+3|0:e;if(!(h&2)){j=b;k=a+28|0;f[k>>2]=j;return j|0}h=f[a+52>>2]|0;if((h|0)<0)l=12;else l=((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)+2|0;j=l+b|0;k=a+28|0;f[k>>2]=j;return j|0}function BMb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=f[a+24>>2]|0;if(d&1|0)yEb(33,(b[a+48>>0]|0)!=0,c);if(d&2|0)zEb(34,f[a+52>>2]|0,c);d=f[a+36>>2]|0;if(d|0){e=a+44|0;g=0;do{GEb(999,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(d|0))}j6b(a+4|0,1e3,536870912,c);d=f[a+20>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function CMb(a){a=a|0;return f[a+28>>2]|0}function DMb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=f[a+24>>2]|0;if(!(e&1))g=d;else{h=b[a+48>>0]|0;b[d>>0]=-120;b[d+1>>0]=2;b[d+2>>0]=h;g=d+3|0}if(!(e&2))i=g;else{e=f[a+52>>2]|0;b[g>>0]=-112;b[g+1>>0]=2;d=g+2|0;g=e&255;if(e>>>0>127){h=d;j=g;k=e;l=((e|0)<0)<<31>>31;while(1){b[h>>0]=j|-128;e=k;k=Irc(k|0,l|0,7)|0;m=h+1|0;n=k&255;if(!(l>>>0>0|(l|0)==0&e>>>0>16383)){o=m;p=n;break}else{h=m;j=n;l=J}}}else{o=d;p=g}b[o>>0]=p;i=o+1|0}o=f[a+36>>2]|0;if(!o)q=i;else{p=a+44|0;g=0;d=i;while(1){i=f[(f[p>>2]|0)+4+(g<<2)>>2]|0;b[d>>0]=-70;b[d+1>>0]=62;l=d+2|0;j=ci[f[(f[i>>2]|0)+60>>2]&1023](i)|0;if(j>>>0>127){h=j;k=l;while(1){b[k>>0]=h|128;n=h>>>7;m=k+1|0;if(h>>>0>16383){h=n;k=m}else{r=m;s=n;break}}}else{r=l;s=j}b[r>>0]=s;k=ki[f[(f[i>>2]|0)+64>>2]&511](i,c,r+1|0)|0;g=g+1|0;if((g|0)==(o|0)){q=k;break}else d=k}}d=bWb(a+4|0,1e3,536870912,c,q)|0;q=f[a+20>>2]|0;if(!(q&1)){t=d;return t|0}t=f4b(q&-2,d)|0;return t|0}function EMb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function FMb(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,24104,0)|0;if(!c){c2b(b,a);return}else{IMb(a,c);return}}function GMb(a,b){a=a|0;b=b|0;f[a+28>>2]=b;return}function HMb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222940]|0)!=2){f[d>>2]=149752;f[d+4>>2]=135;b[d+8>>0]=0;dEb(891760,d);zDb(d)}d=537080;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function IMb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;b6b(a+4|0,c+4|0);d=a+20|0;e=f[c+20>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}JMb(a+32|0,c+32|0);e=f[c+24>>2]|0;if(!(e&3))return;if(e&1|0)b[a+48>>0]=b[c+48>>0]|0;if(e&2|0)f[a+52>>2]=f[c+52>>2];c=a+24|0;f[c>>2]=f[c>>2]|e;return}function JMb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{KMb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(72)|0;oMb(l);KMb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,24072,72);l=nBb(i,72)|0;pMb(l,i);KMb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function KMb(a,b){a=a|0;b=b|0;TLb(b,a);return}function LMb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=a+12|0;c=f[b>>2]|0;do if(!c){d=a+4|0;e=f[a+8>>2]|0;g=6}else{h=a+4|0;i=f[h>>2]|0;j=f[c>>2]|0;if((i|0)>=(j|0))if((j|0)==(f[a+8>>2]|0)){d=h;e=j;g=6;break}else{k=h;l=j;m=c;break}f[h>>2]=i+1;n=f[c+4+(i<<2)>>2]|0;return n|0}while(0);if((g|0)==6){uDb(a,e+1|0);e=f[b>>2]|0;k=d;l=f[e>>2]|0;m=e}f[m>>2]=l+1;l=f[a>>2]|0;if(!l){a=Bmc(72)|0;oMb(a);o=a}else{if(f[l+64>>2]|0)pBb(l,24072,72);a=nBb(l,72)|0;pMb(a,l);o=a}a=f[b>>2]|0;b=f[k>>2]|0;f[k>>2]=b+1;f[a+4+(b<<2)>>2]=o;n=o;return n|0}function MMb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=153020;L4b(a+4|0);f[a+20>>2]=0;f[a+24>>2]=0;e=a+32|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=536584?(f[222962]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=157;b[d+8>>0]=0;dEb(891848,d);zDb(d)}f[a+28>>2]=0;d=a+48|0;f[d>>2]=0;f[d+4>>2]=0;u=c;return}function NMb(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=153020;H4b(a+4|0,c);f[a+20>>2]=c;f[a+24>>2]=0;f[a+32>>2]=c;f[a+36>>2]=0;f[a+40>>2]=0;f[a+44>>2]=0;if((f[222962]|0)!=2){f[e>>2]=149752;f[e+4>>2]=157;b[e+8>>0]=0;dEb(891848,e);zDb(e)}f[a+28>>2]=0;e=a+48|0;f[e>>2]=0;f[e+4>>2]=0;u=d;return}function OMb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=153128;b=a+44|0;c=f[b>>2]|0;if(c|0?(f[a+32>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)ai[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;Emc(h)}f[b>>2]=0;b=a+20|0;h=f[b>>2]|0;if(h&1|0?(c=h&-2,h=c,!((c|0)==0|(f[h+4>>2]|0)!=0)):0){if(f[h>>2]|0)L3b(h);Emc(c)}f[b>>2]=0;M4b(a+4|0);return}function PMb(a){a=a|0;OMb(a);Emc(a);return}function QMb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function RMb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(52)|0;dNb(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,24120,56);a=nBb(b,56)|0;eNb(a,b);c=a;return c|0}function SMb(a){a=a|0;var b=0,c=0;b=f[a+20>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function TMb(a){a=a|0;return f[a+20>>2]|0}function UMb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;a6b(a+4|0);c=a+36|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+44>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((g|0)!=(d|0));f[c>>2]=0}b[a+48>>0]=0;f[a+24>>2]=0;c=f[a+20>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function VMb(a){a=a|0;var b=0,c=0,d=0,e=0;if(!(f6b(a+4|0)|0)){b=0;return b|0}c=a+44|0;d=f[a+36>>2]|0;while(1){if((d|0)<=0){b=1;e=5;break}d=d+-1|0;a=f[(f[c>>2]|0)+4+(d<<2)>>2]|0;if(!(ci[f[(f[a>>2]|0)+32>>2]&1023](a)|0)){b=0;e=5;break}}if((e|0)==5)return b|0;return 0}function WMb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+24|0;j=a+48|0;k=e+8|0;l=a+32|0;m=e+4|0;n=a+4|0;o=a+20|0;a:while(1){a=f[c>>2]|0;p=f[g>>2]|0;do if(a>>>0<p>>>0){q=b[a>>0]|0;r=q&255;s=a+1|0;if(q<<24>>24>0){t=s;v=r}else{if(s>>>0>=p>>>0){w=r;x=7;break}q=h[s>>0]|0;if(((q^128)&r)>>>0<=127){w=r;x=7;break}t=a+2|0;v=r+-128+(q<<7)|0}f[c>>2]=t;y=v;x=9}else{w=0;x=7}while(0);if((x|0)==7){x=0;a=xCb(c,w)|0;if((a+-1|0)>>>0<16383){y=a;x=9}else z=a}b:do if((x|0)==9){x=0;switch(y>>>3&536870911|0){case 33:{if((y&255|0)!=8){z=y;break b}f[i>>2]=f[i>>2]|1;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(p=b[a>>0]|0,p<<24>>24>-1):0){f[c>>2]=a+1;A=p<<24>>24!=0}else{jCb(e,c);p=e;if(!(b[k>>0]|0)){B=0;x=35;break a}else A=(f[p>>2]|0)!=0|(f[p+4>>2]|0)!=0}b[j>>0]=A&1;continue a;break}case 999:break;default:{z=y;break b}}if((y&255|0)==58){p=LMb(l)|0;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(q=b[a>>0]|0,q<<24>>24>-1):0){f[c>>2]=a+1;C=q&255}else{q=wCb(c)|0;if((q|0)>-1)C=q;else{B=0;x=35;break a}}hCb(e,c,C);if((f[m>>2]|0)<0){x=23;break a}if(!(Sh[f[(f[p>>2]|0)+44>>2]&511](p,c)|0)){x=23;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{B=0;x=35;break a}}else z=y}while(0);if(!z){B=1;x=35;break}p=f[o>>2]|0;q=(p&1|0)==0;if(z>>>0>7999){if(q)D=AHa(o)|0;else D=p&-2;if(ZVb(n,z,c,536528,D)|0)continue;else{B=0;x=35;break}}else{if(q)E=AHa(o)|0;else E=p&-2;if(b4b(c,z,E)|0)continue;else{B=0;x=35;break}}}if((x|0)==23){B=0;u=d;return B|0}else if((x|0)==35){u=d;return B|0}return 0}function XMb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=l6b(a+4|0)|0;c=f[a+20>>2]|0;if(!(c&1))d=b;else d=(h4b(c&-2)|0)+b|0;b=f[a+36>>2]|0;c=(b<<1)+d|0;if(!b){e=c;g=a+24|0;h=f[g>>2]|0;i=h&1;j=(i|0)!=0;k=e+3|0;l=j?k:e;m=a+28|0;f[m>>2]=l;return l|0}d=a+44|0;n=0;o=c;while(1){c=f[(f[d>>2]|0)+4+(n<<2)>>2]|0;p=ci[f[(f[c>>2]|0)+48>>2]&1023](c)|0;c=p+o+((((($(p|1|0)|0)^31)*9|0)+73|0)>>>6)|0;n=n+1|0;if((n|0)==(b|0)){e=c;break}else o=c}g=a+24|0;h=f[g>>2]|0;i=h&1;j=(i|0)!=0;k=e+3|0;l=j?k:e;m=a+28|0;f[m>>2]=l;return l|0}function YMb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;if(f[a+24>>2]&1|0)yEb(33,(b[a+48>>0]|0)!=0,c);d=f[a+36>>2]|0;if(d|0){e=a+44|0;g=0;do{GEb(999,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(d|0))}j6b(a+4|0,1e3,536870912,c);d=f[a+20>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function ZMb(a){a=a|0;return f[a+28>>2]|0}function _Mb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;if(!(f[a+24>>2]&1))e=d;else{g=b[a+48>>0]|0;b[d>>0]=-120;b[d+1>>0]=2;b[d+2>>0]=g;e=d+3|0}d=f[a+36>>2]|0;if(!d)h=e;else{g=a+44|0;i=0;j=e;while(1){e=f[(f[g>>2]|0)+4+(i<<2)>>2]|0;b[j>>0]=-70;b[j+1>>0]=62;k=j+2|0;l=ci[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=k;r=l}b[q>>0]=r;n=ki[f[(f[e>>2]|0)+64>>2]&511](e,c,q+1|0)|0;i=i+1|0;if((i|0)==(d|0)){h=n;break}else j=n}}j=bWb(a+4|0,1e3,536870912,c,h)|0;h=f[a+20>>2]|0;if(!(h&1)){s=j;return s|0}s=f4b(h&-2,j)|0;return s|0}function $Mb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function aNb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=Jnc(c,24640,24120,0)|0;if(!d){c2b(c,a);return}b6b(a+4|0,d+4|0);c=a+20|0;e=f[d+20>>2]|0;if(e&1|0){g=f[c>>2]|0;if(!(g&1))h=AHa(c)|0;else h=g&-2;O3b(h,e&-2)}JMb(a+32|0,d+32|0);if(!(f[d+24>>2]&1))return;e=b[d+48>>0]|0;d=a+24|0;f[d>>2]=f[d>>2]|1;b[a+48>>0]=e;return}function bNb(a,b){a=a|0;b=b|0;f[a+28>>2]=b;return}function cNb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222940]|0)!=2){f[d>>2]=149752;f[d+4>>2]=135;b[d+8>>0]=0;dEb(891760,d);zDb(d)}d=537072;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function dNb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=153128;L4b(a+4|0);f[a+20>>2]=0;f[a+24>>2]=0;e=a+32|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=536528?(f[222961]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=156;b[d+8>>0]=0;dEb(891844,d);zDb(d)}f[a+28>>2]=0;b[a+48>>0]=0;u=c;return}function eNb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;f[a>>2]=153128;H4b(a+4|0,c);f[a+20>>2]=c;f[a+24>>2]=0;f[a+32>>2]=c;f[a+36>>2]=0;f[a+40>>2]=0;f[a+44>>2]=0;if((f[222961]|0)==2){g=a+28|0;f[g>>2]=0;h=a+48|0;b[h>>0]=0;u=d;return}f[e>>2]=149752;f[e+4>>2]=156;b[e+8>>0]=0;dEb(891844,e);zDb(e);g=a+28|0;f[g>>2]=0;h=a+48|0;b[h>>0]=0;u=d;return}function fNb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=153236;b=a+44|0;c=f[b>>2]|0;if(c|0?(f[a+32>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)ai[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;Emc(h)}f[b>>2]=0;b=a+20|0;h=f[b>>2]|0;if(h&1|0?(c=h&-2,h=c,!((c|0)==0|(f[h+4>>2]|0)!=0)):0){if(f[h>>2]|0)L3b(h);Emc(c)}f[b>>2]=0;M4b(a+4|0);return}function gNb(a){a=a|0;fNb(a);Emc(a);return}function hNb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function iNb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(52)|0;wNb(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,24136,56);a=nBb(b,56)|0;xNb(a,b);c=a;return c|0}function jNb(a){a=a|0;var b=0,c=0;b=f[a+20>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function kNb(a){a=a|0;return f[a+20>>2]|0}function lNb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;a6b(a+4|0);c=a+36|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+44>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((g|0)!=(d|0));f[c>>2]=0}b[a+48>>0]=0;f[a+24>>2]=0;c=f[a+20>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function mNb(a){a=a|0;var b=0,c=0,d=0,e=0;if(!(f6b(a+4|0)|0)){b=0;return b|0}c=a+44|0;d=f[a+36>>2]|0;while(1){if((d|0)<=0){b=1;e=5;break}d=d+-1|0;a=f[(f[c>>2]|0)+4+(d<<2)>>2]|0;if(!(ci[f[(f[a>>2]|0)+32>>2]&1023](a)|0)){b=0;e=5;break}}if((e|0)==5)return b|0;return 0}function nNb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+24|0;j=a+48|0;k=e+8|0;l=a+32|0;m=e+4|0;n=a+4|0;o=a+20|0;a:while(1){a=f[c>>2]|0;p=f[g>>2]|0;do if(a>>>0<p>>>0){q=b[a>>0]|0;r=q&255;s=a+1|0;if(q<<24>>24>0){t=s;v=r}else{if(s>>>0>=p>>>0){w=r;x=7;break}q=h[s>>0]|0;if(((q^128)&r)>>>0<=127){w=r;x=7;break}t=a+2|0;v=r+-128+(q<<7)|0}f[c>>2]=t;y=v;x=9}else{w=0;x=7}while(0);if((x|0)==7){x=0;a=xCb(c,w)|0;if((a+-1|0)>>>0<16383){y=a;x=9}else z=a}b:do if((x|0)==9){x=0;switch(y>>>3&536870911|0){case 1:{if((y&255|0)!=8){z=y;break b}f[i>>2]=f[i>>2]|1;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(p=b[a>>0]|0,p<<24>>24>-1):0){f[c>>2]=a+1;A=p<<24>>24!=0}else{jCb(e,c);p=e;if(!(b[k>>0]|0)){B=0;x=35;break a}else A=(f[p>>2]|0)!=0|(f[p+4>>2]|0)!=0}b[j>>0]=A&1;continue a;break}case 999:break;default:{z=y;break b}}if((y&255|0)==58){p=LMb(l)|0;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(q=b[a>>0]|0,q<<24>>24>-1):0){f[c>>2]=a+1;C=q&255}else{q=wCb(c)|0;if((q|0)>-1)C=q;else{B=0;x=35;break a}}hCb(e,c,C);if((f[m>>2]|0)<0){x=23;break a}if(!(Sh[f[(f[p>>2]|0)+44>>2]&511](p,c)|0)){x=23;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{B=0;x=35;break a}}else z=y}while(0);if(!z){B=1;x=35;break}p=f[o>>2]|0;q=(p&1|0)==0;if(z>>>0>7999){if(q)D=AHa(o)|0;else D=p&-2;if(ZVb(n,z,c,536472,D)|0)continue;else{B=0;x=35;break}}else{if(q)E=AHa(o)|0;else E=p&-2;if(b4b(c,z,E)|0)continue;else{B=0;x=35;break}}}if((x|0)==23){B=0;u=d;return B|0}else if((x|0)==35){u=d;return B|0}return 0}function oNb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=l6b(a+4|0)|0;c=f[a+20>>2]|0;if(!(c&1))d=b;else d=(h4b(c&-2)|0)+b|0;b=f[a+36>>2]|0;c=(b<<1)+d|0;if(!b){e=c;g=a+24|0;h=f[g>>2]|0;i=h&1;j=(i|0)!=0;k=e+2|0;l=j?k:e;m=a+28|0;f[m>>2]=l;return l|0}d=a+44|0;n=0;o=c;while(1){c=f[(f[d>>2]|0)+4+(n<<2)>>2]|0;p=ci[f[(f[c>>2]|0)+48>>2]&1023](c)|0;c=p+o+((((($(p|1|0)|0)^31)*9|0)+73|0)>>>6)|0;n=n+1|0;if((n|0)==(b|0)){e=c;break}else o=c}g=a+24|0;h=f[g>>2]|0;i=h&1;j=(i|0)!=0;k=e+2|0;l=j?k:e;m=a+28|0;f[m>>2]=l;return l|0}function pNb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;if(f[a+24>>2]&1|0)yEb(1,(b[a+48>>0]|0)!=0,c);d=f[a+36>>2]|0;if(d|0){e=a+44|0;g=0;do{GEb(999,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(d|0))}j6b(a+4|0,1e3,536870912,c);d=f[a+20>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function qNb(a){a=a|0;return f[a+28>>2]|0}function rNb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;if(!(f[a+24>>2]&1))e=d;else{g=b[a+48>>0]|0;b[d>>0]=8;b[d+1>>0]=g;e=d+2|0}d=f[a+36>>2]|0;if(!d)h=e;else{g=a+44|0;i=0;j=e;while(1){e=f[(f[g>>2]|0)+4+(i<<2)>>2]|0;b[j>>0]=-70;b[j+1>>0]=62;k=j+2|0;l=ci[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=k;r=l}b[q>>0]=r;n=ki[f[(f[e>>2]|0)+64>>2]&511](e,c,q+1|0)|0;i=i+1|0;if((i|0)==(d|0)){h=n;break}else j=n}}j=bWb(a+4|0,1e3,536870912,c,h)|0;h=f[a+20>>2]|0;if(!(h&1)){s=j;return s|0}s=f4b(h&-2,j)|0;return s|0}function sNb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function tNb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=Jnc(c,24640,24136,0)|0;if(!d){c2b(c,a);return}b6b(a+4|0,d+4|0);c=a+20|0;e=f[d+20>>2]|0;if(e&1|0){g=f[c>>2]|0;if(!(g&1))h=AHa(c)|0;else h=g&-2;O3b(h,e&-2)}JMb(a+32|0,d+32|0);if(!(f[d+24>>2]&1))return;e=b[d+48>>0]|0;d=a+24|0;f[d>>2]=f[d>>2]|1;b[a+48>>0]=e;return}function uNb(a,b){a=a|0;b=b|0;f[a+28>>2]=b;return}function vNb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222940]|0)!=2){f[d>>2]=149752;f[d+4>>2]=135;b[d+8>>0]=0;dEb(891760,d);zDb(d)}d=537064;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function wNb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=153236;L4b(a+4|0);f[a+20>>2]=0;f[a+24>>2]=0;e=a+32|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=536472?(f[222960]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=155;b[d+8>>0]=0;dEb(891840,d);zDb(d)}f[a+28>>2]=0;b[a+48>>0]=0;u=c;return}function xNb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;f[a>>2]=153236;H4b(a+4|0,c);f[a+20>>2]=c;f[a+24>>2]=0;f[a+32>>2]=c;f[a+36>>2]=0;f[a+40>>2]=0;f[a+44>>2]=0;if((f[222960]|0)==2){g=a+28|0;f[g>>2]=0;h=a+48|0;b[h>>0]=0;u=d;return}f[e>>2]=149752;f[e+4>>2]=155;b[e+8>>0]=0;dEb(891840,e);zDb(e);g=a+28|0;f[g>>2]=0;h=a+48|0;b[h>>0]=0;u=d;return}function yNb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=153344;b=a+44|0;c=f[b>>2]|0;if(c|0?(f[a+32>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)ai[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;Emc(h)}f[b>>2]=0;b=a+20|0;h=f[b>>2]|0;if(h&1|0?(c=h&-2,h=c,!((c|0)==0|(f[h+4>>2]|0)!=0)):0){if(f[h>>2]|0)L3b(h);Emc(c)}f[b>>2]=0;M4b(a+4|0);return}function zNb(a){a=a|0;yNb(a);Emc(a);return}function ANb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function BNb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(52)|0;QNb(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,24152,56);a=nBb(b,56)|0;RNb(a,b);c=a;return c|0}function CNb(a){a=a|0;var b=0,c=0;b=f[a+20>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function DNb(a){a=a|0;return f[a+20>>2]|0}function ENb(a){a=a|0;var b=0,c=0,e=0,g=0,h=0;a6b(a+4|0);b=a+36|0;c=f[b>>2]|0;if((c|0)>0){e=f[a+44>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((g|0)!=(c|0));f[b>>2]=0}d[a+48>>1]=0;f[a+24>>2]=0;b=f[a+20>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function FNb(a){a=a|0;var b=0,c=0,d=0,e=0;if(!(f6b(a+4|0)|0)){b=0;return b|0}c=a+44|0;d=f[a+36>>2]|0;while(1){if((d|0)<=0){b=1;e=5;break}d=d+-1|0;a=f[(f[c>>2]|0)+4+(d<<2)>>2]|0;if(!(ci[f[(f[a>>2]|0)+32>>2]&1023](a)|0)){b=0;e=5;break}}if((e|0)==5)return b|0;return 0}function GNb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+24|0;j=a+48|0;k=e+8|0;l=a+49|0;m=e+8|0;n=a+32|0;o=e+4|0;p=a+4|0;q=a+20|0;a:while(1){a=f[c>>2]|0;r=f[g>>2]|0;do if(a>>>0<r>>>0){s=b[a>>0]|0;t=s&255;v=a+1|0;if(s<<24>>24>0){w=v;x=t}else{if(v>>>0>=r>>>0){y=t;z=7;break}s=h[v>>0]|0;if(((s^128)&t)>>>0<=127){y=t;z=7;break}w=a+2|0;x=t+-128+(s<<7)|0}f[c>>2]=w;A=x;z=9}else{y=0;z=7}while(0);if((z|0)==7){z=0;a=xCb(c,y)|0;if((a+-1|0)>>>0<16383){A=a;z=9}else B=a}b:do if((z|0)==9){z=0;switch(A>>>3&536870911|0){case 2:{if((A&255|0)!=16){B=A;break b}f[i>>2]=f[i>>2]|1;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(r=b[a>>0]|0,r<<24>>24>-1):0){f[c>>2]=a+1;C=r<<24>>24!=0}else{jCb(e,c);r=e;if(!(b[k>>0]|0)){D=0;z=41;break a}else C=(f[r>>2]|0)!=0|(f[r+4>>2]|0)!=0}b[j>>0]=C&1;continue a;break}case 3:{if((A&255|0)!=24){B=A;break b}f[i>>2]=f[i>>2]|2;r=f[c>>2]|0;if(r>>>0<(f[g>>2]|0)>>>0?(a=b[r>>0]|0,a<<24>>24>-1):0){f[c>>2]=r+1;E=a<<24>>24!=0}else{jCb(e,c);a=e;if(!(b[m>>0]|0)){D=0;z=41;break a}else E=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[l>>0]=E&1;continue a;break}case 999:{if((A&255|0)!=58){B=A;break b}a=LMb(n)|0;r=f[c>>2]|0;if(r>>>0<(f[g>>2]|0)>>>0?(s=b[r>>0]|0,s<<24>>24>-1):0){f[c>>2]=r+1;F=s&255}else{s=wCb(c)|0;if((s|0)>-1)F=s;else{D=0;z=41;break a}}hCb(e,c,F);if((f[o>>2]|0)<0){z=29;break a}if(!(Sh[f[(f[a>>2]|0)+44>>2]&511](a,c)|0)){z=29;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{D=0;z=41;break a}break}default:{B=A;break b}}}while(0);if(!B){D=1;z=41;break}a=f[q>>2]|0;s=(a&1|0)==0;if(B>>>0>7999){if(s)G=AHa(q)|0;else G=a&-2;if(ZVb(p,B,c,536416,G)|0)continue;else{D=0;z=41;break}}else{if(s)H=AHa(q)|0;else H=a&-2;if(b4b(c,B,H)|0)continue;else{D=0;z=41;break}}}if((z|0)==29){D=0;u=d;return D|0}else if((z|0)==41){u=d;return D|0}return 0}function HNb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;b=l6b(a+4|0)|0;c=f[a+20>>2]|0;if(!(c&1))d=b;else d=(h4b(c&-2)|0)+b|0;b=f[a+36>>2]|0;c=(b<<1)+d|0;if(!b)e=c;else{d=a+44|0;g=0;h=c;while(1){c=f[(f[d>>2]|0)+4+(g<<2)>>2]|0;i=ci[f[(f[c>>2]|0)+48>>2]&1023](c)|0;c=i+h+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=g+1|0;if((g|0)==(b|0)){e=c;break}else h=c}}h=f[a+24>>2]|0;if(!(h&3)){j=e;k=a+28|0;f[k>>2]=j;return j|0}b=h&1|0?e+2|0:e;j=h&2|0?b+2|0:b;k=a+28|0;f[k>>2]=j;return j|0}function INb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=f[a+24>>2]|0;if(d&1|0)yEb(2,(b[a+48>>0]|0)!=0,c);if(d&2|0)yEb(3,(b[a+49>>0]|0)!=0,c);d=f[a+36>>2]|0;if(d|0){e=a+44|0;g=0;do{GEb(999,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(d|0))}j6b(a+4|0,1e3,536870912,c);d=f[a+20>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function JNb(a){a=a|0;return f[a+28>>2]|0}function KNb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=f[a+24>>2]|0;if(!(e&1))g=d;else{h=b[a+48>>0]|0;b[d>>0]=16;b[d+1>>0]=h;g=d+2|0}if(!(e&2))i=g;else{e=b[a+49>>0]|0;b[g>>0]=24;b[g+1>>0]=e;i=g+2|0}g=f[a+36>>2]|0;if(!g)j=i;else{e=a+44|0;d=0;h=i;while(1){i=f[(f[e>>2]|0)+4+(d<<2)>>2]|0;b[h>>0]=-70;b[h+1>>0]=62;k=h+2|0;l=ci[f[(f[i>>2]|0)+60>>2]&1023](i)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=k;r=l}b[q>>0]=r;n=ki[f[(f[i>>2]|0)+64>>2]&511](i,c,q+1|0)|0;d=d+1|0;if((d|0)==(g|0)){j=n;break}else h=n}}h=bWb(a+4|0,1e3,536870912,c,j)|0;j=f[a+20>>2]|0;if(!(j&1)){s=h;return s|0}s=f4b(j&-2,h)|0;return s|0}function LNb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function MNb(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,24152,0)|0;if(!c){c2b(b,a);return}else{PNb(a,c);return}}function NNb(a,b){a=a|0;b=b|0;f[a+28>>2]=b;return}function ONb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222940]|0)!=2){f[d>>2]=149752;f[d+4>>2]=135;b[d+8>>0]=0;dEb(891760,d);zDb(d)}d=537056;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function PNb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;b6b(a+4|0,c+4|0);d=a+20|0;e=f[c+20>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}JMb(a+32|0,c+32|0);e=f[c+24>>2]|0;if(!(e&3))return;if(e&1|0)b[a+48>>0]=b[c+48>>0]|0;if(e&2|0)b[a+49>>0]=b[c+49>>0]|0;c=a+24|0;f[c>>2]=f[c>>2]|e;return}function QNb(a){a=a|0;var c=0,e=0,g=0;c=u;u=u+16|0;e=c;f[a>>2]=153344;L4b(a+4|0);f[a+20>>2]=0;f[a+24>>2]=0;g=a+32|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((a|0)!=536416?(f[222959]|0)!=2:0){f[e>>2]=149752;f[e+4>>2]=154;b[e+8>>0]=0;dEb(891836,e);zDb(e)}f[a+28>>2]=0;d[a+48>>1]=0;u=c;return}function RNb(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0;e=u;u=u+16|0;g=e;f[a>>2]=153344;H4b(a+4|0,c);f[a+20>>2]=c;f[a+24>>2]=0;f[a+32>>2]=c;f[a+36>>2]=0;f[a+40>>2]=0;f[a+44>>2]=0;if((f[222959]|0)==2){h=a+28|0;f[h>>2]=0;i=a+48|0;d[i>>1]=0;u=e;return}f[g>>2]=149752;f[g+4>>2]=154;b[g+8>>0]=0;dEb(891836,g);zDb(g);h=a+28|0;f[h>>2]=0;i=a+48|0;d[i>>1]=0;u=e;return}function SNb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=153452;b=a+44|0;c=f[b>>2]|0;if(c|0?(f[a+32>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)ai[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;Emc(h)}f[b>>2]=0;b=a+20|0;h=f[b>>2]|0;if(h&1|0?(c=h&-2,h=c,!((c|0)==0|(f[h+4>>2]|0)!=0)):0){if(f[h>>2]|0)L3b(h);Emc(c)}f[b>>2]=0;M4b(a+4|0);return}function TNb(a){a=a|0;SNb(a);Emc(a);return}function UNb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function VNb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(48)|0;hOb(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,24168,48);a=nBb(b,48)|0;iOb(a,b);c=a;return c|0}function WNb(a){a=a|0;var b=0,c=0;b=f[a+20>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function XNb(a){a=a|0;return f[a+20>>2]|0}function YNb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;a6b(a+4|0);b=a+36|0;c=f[b>>2]|0;if((c|0)>0){d=f[a+44>>2]|0;e=0;do{g=f[d+4+(e<<2)>>2]|0;e=e+1|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}while((e|0)!=(c|0));f[b>>2]=0}f[a+24>>2]=0;b=f[a+20>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function ZNb(a){a=a|0;var b=0,c=0,d=0,e=0;if(!(f6b(a+4|0)|0)){b=0;return b|0}c=a+44|0;d=f[a+36>>2]|0;while(1){if((d|0)<=0){b=1;e=5;break}d=d+-1|0;a=f[(f[c>>2]|0)+4+(d<<2)>>2]|0;if(!(ci[f[(f[a>>2]|0)+32>>2]&1023](a)|0)){b=0;e=5;break}}if((e|0)==5)return b|0;return 0}function _Nb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+32|0;j=e+4|0;k=a+4|0;l=a+20|0;while(1){a=f[c>>2]|0;m=f[g>>2]|0;do if(a>>>0<m>>>0){n=b[a>>0]|0;o=n&255;p=a+1|0;if(n<<24>>24>0){q=p;r=o}else{if(p>>>0>=m>>>0){s=o;t=7;break}n=h[p>>0]|0;if(((n^128)&o)>>>0<=127){s=o;t=7;break}q=a+2|0;r=o+-128+(n<<7)|0}f[c>>2]=q;v=r;t=9}else{s=0;t=7}while(0);if((t|0)==7){t=0;a=xCb(c,s)|0;if((a+-1|0)>>>0<16383){v=a;t=9}else w=a}if((t|0)==9){t=0;if((v|0)==7994){a=LMb(i)|0;m=f[c>>2]|0;if(m>>>0<(f[g>>2]|0)>>>0?(n=b[m>>0]|0,n<<24>>24>-1):0){f[c>>2]=m+1;x=n&255}else{n=wCb(c)|0;if((n|0)>-1)x=n;else{y=0;t=28;break}}hCb(e,c,x);if((f[j>>2]|0)<0){t=16;break}if(!(Sh[f[(f[a>>2]|0)+44>>2]&511](a,c)|0)){t=16;break}if(mCb(c,f[e>>2]|0)|0)continue;else{y=0;t=28;break}}else w=v}if(!w){y=1;t=28;break}a=f[l>>2]|0;n=(a&1|0)==0;if(w>>>0>7999){if(n)z=AHa(l)|0;else z=a&-2;if(ZVb(k,w,c,536368,z)|0)continue;else{y=0;t=28;break}}else{if(n)A=AHa(l)|0;else A=a&-2;if(b4b(c,w,A)|0)continue;else{y=0;t=28;break}}}if((t|0)==16){y=0;u=d;return y|0}else if((t|0)==28){u=d;return y|0}return 0}function $Nb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=l6b(a+4|0)|0;c=f[a+20>>2]|0;if(!(c&1))d=b;else d=(h4b(c&-2)|0)+b|0;b=f[a+36>>2]|0;c=(b<<1)+d|0;if(!b){e=c;g=a+28|0;f[g>>2]=e;return e|0}d=a+44|0;h=0;i=c;while(1){c=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;j=ci[f[(f[c>>2]|0)+48>>2]&1023](c)|0;c=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(b|0)){e=c;break}else i=c}g=a+28|0;f[g>>2]=e;return e|0}function aOb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a+36>>2]|0;if(c|0){d=a+44|0;e=0;do{GEb(999,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}j6b(a+4|0,1e3,536870912,b);c=f[a+20>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function bOb(a){a=a|0;return f[a+28>>2]|0}function cOb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=f[a+36>>2]|0;if(!e)g=d;else{h=a+44|0;i=0;j=d;while(1){d=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;b[j>>0]=-70;b[j+1>>0]=62;k=j+2|0;l=ci[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=k;r=l}b[q>>0]=r;n=ki[f[(f[d>>2]|0)+64>>2]&511](d,c,q+1|0)|0;i=i+1|0;if((i|0)==(e|0)){g=n;break}else j=n}}j=bWb(a+4|0,1e3,536870912,c,g)|0;g=f[a+20>>2]|0;if(!(g&1)){s=j;return s|0}s=f4b(g&-2,j)|0;return s|0}function dOb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function eOb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,24168,0)|0;if(!c){c2b(b,a);return}b6b(a+4|0,c+4|0);b=a+20|0;d=f[c+20>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}JMb(a+32|0,c+32|0);return}function fOb(a,b){a=a|0;b=b|0;f[a+28>>2]=b;return}function gOb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222940]|0)!=2){f[d>>2]=149752;f[d+4>>2]=135;b[d+8>>0]=0;dEb(891760,d);zDb(d)}d=537048;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function hOb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=153452;L4b(a+4|0);f[a+20>>2]=0;f[a+24>>2]=0;e=a+32|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=536368?(f[222958]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=153;b[d+8>>0]=0;dEb(891832,d);zDb(d)}f[a+28>>2]=0;u=c;return}function iOb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;f[a>>2]=153452;H4b(a+4|0,c);f[a+20>>2]=c;f[a+24>>2]=0;f[a+32>>2]=c;f[a+36>>2]=0;f[a+40>>2]=0;f[a+44>>2]=0;if((f[222958]|0)==2){g=a+28|0;f[g>>2]=0;u=d;return}f[e>>2]=149752;f[e+4>>2]=153;b[e+8>>0]=0;dEb(891832,e);zDb(e);g=a+28|0;f[g>>2]=0;u=d;return}function jOb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=153560;b=a+44|0;c=f[b>>2]|0;if(c|0?(f[a+32>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)ai[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;Emc(h)}f[b>>2]=0;b=a+20|0;h=f[b>>2]|0;if(h&1|0?(c=h&-2,h=c,!((c|0)==0|(f[h+4>>2]|0)!=0)):0){if(f[h>>2]|0)L3b(h);Emc(c)}f[b>>2]=0;M4b(a+4|0);return}function kOb(a){a=a|0;jOb(a);Emc(a);return}function lOb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function mOb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(60)|0;BOb(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,24184,64);a=nBb(b,64)|0;COb(a,b);c=a;return c|0}function nOb(a){a=a|0;var b=0,c=0;b=f[a+20>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function oOb(a){a=a|0;return f[a+20>>2]|0}function pOb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;a6b(a+4|0);b=a+36|0;c=f[b>>2]|0;if((c|0)>0){d=f[a+44>>2]|0;e=0;do{g=f[d+4+(e<<2)>>2]|0;e=e+1|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}while((e|0)!=(c|0));f[b>>2]=0}b=a+24|0;if(f[b>>2]&63|0){c=a+48|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0}f[b>>2]=0;b=f[a+20>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function qOb(a){a=a|0;var b=0,c=0,d=0,e=0;if(!(f6b(a+4|0)|0)){b=0;return b|0}c=a+44|0;d=f[a+36>>2]|0;while(1){if((d|0)<=0){b=1;e=5;break}d=d+-1|0;a=f[(f[c>>2]|0)+4+(d<<2)>>2]|0;if(!(ci[f[(f[a>>2]|0)+32>>2]&1023](a)|0)){b=0;e=5;break}}if((e|0)==5)return b|0;return 0}function rOb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+24|0;j=a+48|0;k=a+20|0;l=a+52|0;m=e+8|0;n=a+54|0;o=e+8|0;p=a+53|0;q=e+8|0;r=a+56|0;s=a+55|0;t=e+8|0;v=a+32|0;w=e+4|0;x=a+4|0;a:while(1){a=f[c>>2]|0;y=f[g>>2]|0;do if(a>>>0<y>>>0){z=b[a>>0]|0;A=z&255;B=a+1|0;if(z<<24>>24>0){C=B;D=A}else{if(B>>>0>=y>>>0){E=A;F=7;break}z=h[B>>0]|0;if(((z^128)&A)>>>0<=127){E=A;F=7;break}C=a+2|0;D=A+-128+(z<<7)|0}f[c>>2]=C;G=D;F=9}else{E=0;F=7}while(0);if((F|0)==7){F=0;a=xCb(c,E)|0;if((a+-1|0)>>>0<16383){G=a;F=9}else H=a}b:do if((F|0)==9){F=0;switch(G>>>3&536870911|0){case 1:{if((G&255|0)!=8){H=G;break b}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){y=b[a>>0]|0;z=y&255;if(y<<24>>24>-1){f[c>>2]=a+1;I=z}else{K=z;F=14}}else{K=0;F=14}if((F|0)==14){F=0;z=iCb(c,K)|0;a=J;if((a|0)>-1|(a|0)==-1&z>>>0>4294967295)I=z;else{L=0;F=75;break a}}if(I>>>0<3){f[i>>2]=f[i>>2]|1;f[j>>2]=I;continue a}z=f[k>>2]|0;if(!(z&1))M=AHa(k)|0;else M=z&-2;R3b(M,1,I,((I|0)<0)<<31>>31);continue a;break}case 2:{if((G&255|0)!=16){H=G;break b}f[i>>2]=f[i>>2]|2;z=f[c>>2]|0;if(z>>>0<(f[g>>2]|0)>>>0?(a=b[z>>0]|0,a<<24>>24>-1):0){f[c>>2]=z+1;N=a<<24>>24!=0}else{jCb(e,c);a=e;if(!(b[m>>0]|0)){L=0;F=75;break a}else N=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[l>>0]=N&1;continue a;break}case 3:{if((G&255|0)!=24){H=G;break b}f[i>>2]=f[i>>2]|8;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(z=b[a>>0]|0,z<<24>>24>-1):0){f[c>>2]=a+1;O=z<<24>>24!=0}else{jCb(e,c);z=e;if(!(b[o>>0]|0)){L=0;F=75;break a}else O=(f[z>>2]|0)!=0|(f[z+4>>2]|0)!=0}b[n>>0]=O&1;continue a;break}case 5:{if((G&255|0)!=40){H=G;break b}f[i>>2]=f[i>>2]|4;z=f[c>>2]|0;if(z>>>0<(f[g>>2]|0)>>>0?(a=b[z>>0]|0,a<<24>>24>-1):0){f[c>>2]=z+1;P=a<<24>>24!=0}else{jCb(e,c);a=e;if(!(b[q>>0]|0)){L=0;F=75;break a}else P=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[p>>0]=P&1;continue a;break}case 6:{if((G&255|0)!=48){H=G;break b}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){z=b[a>>0]|0;y=z&255;if(z<<24>>24>-1){f[c>>2]=a+1;Q=y}else{R=y;F=43}}else{R=0;F=43}if((F|0)==43){F=0;y=iCb(c,R)|0;a=J;if((a|0)>-1|(a|0)==-1&y>>>0>4294967295)Q=y;else{L=0;F=75;break a}}if(Q>>>0<3){f[i>>2]=f[i>>2]|32;f[r>>2]=Q;continue a}y=f[k>>2]|0;if(!(y&1))S=AHa(k)|0;else S=y&-2;R3b(S,6,Q,((Q|0)<0)<<31>>31);continue a;break}case 10:{if((G&255|0)!=80){H=G;break b}f[i>>2]=f[i>>2]|16;y=f[c>>2]|0;if(y>>>0<(f[g>>2]|0)>>>0?(a=b[y>>0]|0,a<<24>>24>-1):0){f[c>>2]=y+1;T=a<<24>>24!=0}else{jCb(e,c);a=e;if(!(b[t>>0]|0)){L=0;F=75;break a}else T=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[s>>0]=T&1;continue a;break}case 999:{if((G&255|0)!=58){H=G;break b}a=LMb(v)|0;y=f[c>>2]|0;if(y>>>0<(f[g>>2]|0)>>>0?(z=b[y>>0]|0,z<<24>>24>-1):0){f[c>>2]=y+1;U=z&255}else{z=wCb(c)|0;if((z|0)>-1)U=z;else{L=0;F=75;break a}}hCb(e,c,U);if((f[w>>2]|0)<0){F=63;break a}if(!(Sh[f[(f[a>>2]|0)+44>>2]&511](a,c)|0)){F=63;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{L=0;F=75;break a}break}default:{H=G;break b}}}while(0);if(!H){L=1;F=75;break}a=f[k>>2]|0;z=(a&1|0)==0;if(H>>>0>7999){if(z)V=AHa(k)|0;else V=a&-2;if(ZVb(x,H,c,536304,V)|0)continue;else{L=0;F=75;break}}else{if(z)W=AHa(k)|0;else W=a&-2;if(b4b(c,H,W)|0)continue;else{L=0;F=75;break}}}if((F|0)==63){L=0;u=d;return L|0}else if((F|0)==75){u=d;return L|0}return 0}function sOb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;b=l6b(a+4|0)|0;c=f[a+20>>2]|0;if(!(c&1))d=b;else d=(h4b(c&-2)|0)+b|0;b=f[a+36>>2]|0;c=(b<<1)+d|0;if(!b)e=c;else{d=a+44|0;g=0;h=c;while(1){c=f[(f[d>>2]|0)+4+(g<<2)>>2]|0;i=ci[f[(f[c>>2]|0)+48>>2]&1023](c)|0;c=i+h+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=g+1|0;if((g|0)==(b|0)){e=c;break}else h=c}}h=f[a+24>>2]|0;if(!(h&63)){j=e;k=a+28|0;f[k>>2]=j;return j|0}if(!(h&1))l=e;else{b=f[a+48>>2]|0;if((b|0)<0)m=11;else m=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;l=m+e|0}e=h&2|0?l+2|0:l;l=h&4|0?e+2|0:e;e=h&8|0?l+2|0:l;l=h&16|0?e+2|0:e;if(!(h&32)){j=l;k=a+28|0;f[k>>2]=j;return j|0}h=f[a+56>>2]|0;if((h|0)<0)n=11;else n=((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;j=n+l|0;k=a+28|0;f[k>>2]=j;return j|0}function tOb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=f[a+24>>2]|0;if(d&1|0)zEb(1,f[a+48>>2]|0,c);if(d&2|0)yEb(2,(b[a+52>>0]|0)!=0,c);if(d&8|0)yEb(3,(b[a+54>>0]|0)!=0,c);if(d&4|0)yEb(5,(b[a+53>>0]|0)!=0,c);if(d&32|0)zEb(6,f[a+56>>2]|0,c);if(d&16|0)yEb(10,(b[a+55>>0]|0)!=0,c);d=f[a+36>>2]|0;if(d|0){e=a+44|0;g=0;do{GEb(999,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(d|0))}j6b(a+4|0,1e3,536870912,c);d=f[a+20>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function uOb(a){a=a|0;return f[a+28>>2]|0}function vOb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=f[a+24>>2]|0;if(!(e&1))g=d;else{h=f[a+48>>2]|0;b[d>>0]=8;i=d+1|0;d=h&255;if(h>>>0>127){j=i;k=d;l=h;m=((h|0)<0)<<31>>31;while(1){b[j>>0]=k|-128;h=l;l=Irc(l|0,m|0,7)|0;n=j+1|0;o=l&255;if(!(m>>>0>0|(m|0)==0&h>>>0>16383)){p=n;q=o;break}else{j=n;k=o;m=J}}}else{p=i;q=d}b[p>>0]=q;g=p+1|0}if(!(e&2))r=g;else{p=b[a+52>>0]|0;b[g>>0]=16;b[g+1>>0]=p;r=g+2|0}if(!(e&8))s=r;else{g=b[a+54>>0]|0;b[r>>0]=24;b[r+1>>0]=g;s=r+2|0}if(!(e&4))t=s;else{r=b[a+53>>0]|0;b[s>>0]=40;b[s+1>>0]=r;t=s+2|0}if(!(e&32))u=t;else{s=f[a+56>>2]|0;b[t>>0]=48;r=t+1|0;t=s&255;if(s>>>0>127){g=r;p=t;q=s;d=((s|0)<0)<<31>>31;while(1){b[g>>0]=p|-128;s=q;q=Irc(q|0,d|0,7)|0;i=g+1|0;m=q&255;if(!(d>>>0>0|(d|0)==0&s>>>0>16383)){v=i;w=m;break}else{g=i;p=m;d=J}}}else{v=r;w=t}b[v>>0]=w;u=v+1|0}if(!(e&16))x=u;else{e=b[a+55>>0]|0;b[u>>0]=80;b[u+1>>0]=e;x=u+2|0}u=f[a+36>>2]|0;if(!u)y=x;else{e=a+44|0;v=0;w=x;while(1){x=f[(f[e>>2]|0)+4+(v<<2)>>2]|0;b[w>>0]=-70;b[w+1>>0]=62;t=w+2|0;r=ci[f[(f[x>>2]|0)+60>>2]&1023](x)|0;if(r>>>0>127){d=r;p=t;while(1){b[p>>0]=d|128;g=d>>>7;q=p+1|0;if(d>>>0>16383){d=g;p=q}else{z=q;A=g;break}}}else{z=t;A=r}b[z>>0]=A;p=ki[f[(f[x>>2]|0)+64>>2]&511](x,c,z+1|0)|0;v=v+1|0;if((v|0)==(u|0)){y=p;break}else w=p}}w=bWb(a+4|0,1e3,536870912,c,y)|0;y=f[a+20>>2]|0;if(!(y&1)){B=w;return B|0}B=f4b(y&-2,w)|0;return B|0}function wOb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function xOb(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,24184,0)|0;if(!c){c2b(b,a);return}else{AOb(a,c);return}}function yOb(a,b){a=a|0;b=b|0;f[a+28>>2]=b;return}function zOb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222940]|0)!=2){f[d>>2]=149752;f[d+4>>2]=135;b[d+8>>0]=0;dEb(891760,d);zDb(d)}d=537040;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function AOb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;b6b(a+4|0,c+4|0);d=a+20|0;e=f[c+20>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}JMb(a+32|0,c+32|0);e=f[c+24>>2]|0;if(!(e&63))return;if(e&1|0)f[a+48>>2]=f[c+48>>2];if(e&2|0)b[a+52>>0]=b[c+52>>0]|0;if(e&4|0)b[a+53>>0]=b[c+53>>0]|0;if(e&8|0)b[a+54>>0]=b[c+54>>0]|0;if(e&16|0)b[a+55>>0]=b[c+55>>0]|0;if(e&32|0)f[a+56>>2]=f[c+56>>2];c=a+24|0;f[c>>2]=f[c>>2]|e;return}function BOb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=153560;L4b(a+4|0);f[a+20>>2]=0;f[a+24>>2]=0;e=a+32|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=536304?(f[222957]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=152;b[d+8>>0]=0;dEb(891828,d);zDb(d)}f[a+28>>2]=0;d=a+48|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;u=c;return}function COb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;f[a>>2]=153560;H4b(a+4|0,c);f[a+20>>2]=c;f[a+24>>2]=0;f[a+32>>2]=c;f[a+36>>2]=0;f[a+40>>2]=0;f[a+44>>2]=0;if((f[222957]|0)==2){g=a+28|0;f[g>>2]=0;h=a+48|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;u=d;return}f[e>>2]=149752;f[e+4>>2]=152;b[e+8>>0]=0;dEb(891828,e);zDb(e);g=a+28|0;f[g>>2]=0;h=a+48|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;u=d;return}function DOb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=153668;b=a+44|0;c=f[b>>2]|0;if(c|0?(f[a+32>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)ai[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;Emc(h)}f[b>>2]=0;b=a+20|0;h=f[b>>2]|0;if(h&1|0?(c=h&-2,h=c,!((c|0)==0|(f[h+4>>2]|0)!=0)):0){if(f[h>>2]|0)L3b(h);Emc(c)}f[b>>2]=0;M4b(a+4|0);return}function EOb(a){a=a|0;DOb(a);Emc(a);return}function FOb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function GOb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(52)|0;VOb(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,24200,56);a=nBb(b,56)|0;WOb(a,b);c=a;return c|0}function HOb(a){a=a|0;var b=0,c=0;b=f[a+20>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function IOb(a){a=a|0;return f[a+20>>2]|0}function JOb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;a6b(a+4|0);b=a+36|0;c=f[b>>2]|0;if((c|0)>0){d=f[a+44>>2]|0;e=0;do{g=f[d+4+(e<<2)>>2]|0;e=e+1|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}while((e|0)!=(c|0));f[b>>2]=0}f[a+48>>2]=0;f[a+24>>2]=0;b=f[a+20>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function KOb(a){a=a|0;var b=0,c=0,d=0,e=0;if(!(f6b(a+4|0)|0)){b=0;return b|0}c=a+44|0;d=f[a+36>>2]|0;while(1){if((d|0)<=0){b=1;e=5;break}d=d+-1|0;a=f[(f[c>>2]|0)+4+(d<<2)>>2]|0;if(!(ci[f[(f[a>>2]|0)+32>>2]&1023](a)|0)){b=0;e=5;break}}if((e|0)==5)return b|0;return 0}function LOb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+24|0;j=a+48|0;k=e+8|0;l=a+49|0;m=e+8|0;n=a+50|0;o=e+8|0;p=a+51|0;q=e+8|0;r=a+32|0;s=e+4|0;t=a+4|0;v=a+20|0;a:while(1){a=f[c>>2]|0;w=f[g>>2]|0;do if(a>>>0<w>>>0){x=b[a>>0]|0;y=x&255;z=a+1|0;if(x<<24>>24>0){A=z;B=y}else{if(z>>>0>=w>>>0){C=y;D=7;break}x=h[z>>0]|0;if(((x^128)&y)>>>0<=127){C=y;D=7;break}A=a+2|0;B=y+-128+(x<<7)|0}f[c>>2]=A;E=B;D=9}else{C=0;D=7}while(0);if((D|0)==7){D=0;a=xCb(c,C)|0;if((a+-1|0)>>>0<16383){E=a;D=9}else F=a}b:do if((D|0)==9){D=0;switch(E>>>3&536870911|0){case 1:{if((E&255|0)!=8){F=E;break b}f[i>>2]=f[i>>2]|1;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(w=b[a>>0]|0,w<<24>>24>-1):0){f[c>>2]=a+1;G=w<<24>>24!=0}else{jCb(e,c);w=e;if(!(b[k>>0]|0)){H=0;D=53;break a}else G=(f[w>>2]|0)!=0|(f[w+4>>2]|0)!=0}b[j>>0]=G&1;continue a;break}case 2:{if((E&255|0)!=16){F=E;break b}f[i>>2]=f[i>>2]|2;w=f[c>>2]|0;if(w>>>0<(f[g>>2]|0)>>>0?(a=b[w>>0]|0,a<<24>>24>-1):0){f[c>>2]=w+1;I=a<<24>>24!=0}else{jCb(e,c);a=e;if(!(b[m>>0]|0)){H=0;D=53;break a}else I=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[l>>0]=I&1;continue a;break}case 3:{if((E&255|0)!=24){F=E;break b}f[i>>2]=f[i>>2]|4;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(w=b[a>>0]|0,w<<24>>24>-1):0){f[c>>2]=a+1;J=w<<24>>24!=0}else{jCb(e,c);w=e;if(!(b[o>>0]|0)){H=0;D=53;break a}else J=(f[w>>2]|0)!=0|(f[w+4>>2]|0)!=0}b[n>>0]=J&1;continue a;break}case 7:{if((E&255|0)!=56){F=E;break b}f[i>>2]=f[i>>2]|8;w=f[c>>2]|0;if(w>>>0<(f[g>>2]|0)>>>0?(a=b[w>>0]|0,a<<24>>24>-1):0){f[c>>2]=w+1;K=a<<24>>24!=0}else{jCb(e,c);a=e;if(!(b[q>>0]|0)){H=0;D=53;break a}else K=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[p>>0]=K&1;continue a;break}case 999:{if((E&255|0)!=58){F=E;break b}a=LMb(r)|0;w=f[c>>2]|0;if(w>>>0<(f[g>>2]|0)>>>0?(x=b[w>>0]|0,x<<24>>24>-1):0){f[c>>2]=w+1;L=x&255}else{x=wCb(c)|0;if((x|0)>-1)L=x;else{H=0;D=53;break a}}hCb(e,c,L);if((f[s>>2]|0)<0){D=41;break a}if(!(Sh[f[(f[a>>2]|0)+44>>2]&511](a,c)|0)){D=41;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{H=0;D=53;break a}break}default:{F=E;break b}}}while(0);if(!F){H=1;D=53;break}a=f[v>>2]|0;x=(a&1|0)==0;if(F>>>0>7999){if(x)M=AHa(v)|0;else M=a&-2;if(ZVb(t,F,c,536248,M)|0)continue;else{H=0;D=53;break}}else{if(x)N=AHa(v)|0;else N=a&-2;if(b4b(c,F,N)|0)continue;else{H=0;D=53;break}}}if((D|0)==41){H=0;u=d;return H|0}else if((D|0)==53){u=d;return H|0}return 0}function MOb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;b=l6b(a+4|0)|0;c=f[a+20>>2]|0;if(!(c&1))d=b;else d=(h4b(c&-2)|0)+b|0;b=f[a+36>>2]|0;c=(b<<1)+d|0;if(!b)e=c;else{d=a+44|0;g=0;h=c;while(1){c=f[(f[d>>2]|0)+4+(g<<2)>>2]|0;i=ci[f[(f[c>>2]|0)+48>>2]&1023](c)|0;c=i+h+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=g+1|0;if((g|0)==(b|0)){e=c;break}else h=c}}h=f[a+24>>2]|0;if(!(h&15)){j=e;k=a+28|0;f[k>>2]=j;return j|0}b=h&1|0?e+2|0:e;e=h&2|0?b+2|0:b;b=h&4|0?e+2|0:e;j=h&8|0?b+2|0:b;k=a+28|0;f[k>>2]=j;return j|0}function NOb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=f[a+24>>2]|0;if(d&1|0)yEb(1,(b[a+48>>0]|0)!=0,c);if(d&2|0)yEb(2,(b[a+49>>0]|0)!=0,c);if(d&4|0)yEb(3,(b[a+50>>0]|0)!=0,c);if(d&8|0)yEb(7,(b[a+51>>0]|0)!=0,c);d=f[a+36>>2]|0;if(d|0){e=a+44|0;g=0;do{GEb(999,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(d|0))}j6b(a+4|0,1e3,536870912,c);d=f[a+20>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function OOb(a){a=a|0;return f[a+28>>2]|0}function POb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=f[a+24>>2]|0;if(!(e&1))g=d;else{h=b[a+48>>0]|0;b[d>>0]=8;b[d+1>>0]=h;g=d+2|0}if(!(e&2))i=g;else{d=b[a+49>>0]|0;b[g>>0]=16;b[g+1>>0]=d;i=g+2|0}if(!(e&4))j=i;else{g=b[a+50>>0]|0;b[i>>0]=24;b[i+1>>0]=g;j=i+2|0}if(!(e&8))k=j;else{e=b[a+51>>0]|0;b[j>>0]=56;b[j+1>>0]=e;k=j+2|0}j=f[a+36>>2]|0;if(!j)l=k;else{e=a+44|0;i=0;g=k;while(1){k=f[(f[e>>2]|0)+4+(i<<2)>>2]|0;b[g>>0]=-70;b[g+1>>0]=62;d=g+2|0;h=ci[f[(f[k>>2]|0)+60>>2]&1023](k)|0;if(h>>>0>127){m=h;n=d;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=d;r=h}b[q>>0]=r;n=ki[f[(f[k>>2]|0)+64>>2]&511](k,c,q+1|0)|0;i=i+1|0;if((i|0)==(j|0)){l=n;break}else g=n}}g=bWb(a+4|0,1e3,536870912,c,l)|0;l=f[a+20>>2]|0;if(!(l&1)){s=g;return s|0}s=f4b(l&-2,g)|0;return s|0}function QOb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function ROb(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,24200,0)|0;if(!c){c2b(b,a);return}else{UOb(a,c);return}}function SOb(a,b){a=a|0;b=b|0;f[a+28>>2]=b;return}function TOb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222940]|0)!=2){f[d>>2]=149752;f[d+4>>2]=135;b[d+8>>0]=0;dEb(891760,d);zDb(d)}d=537032;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function UOb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;b6b(a+4|0,c+4|0);d=a+20|0;e=f[c+20>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}JMb(a+32|0,c+32|0);e=f[c+24>>2]|0;if(!(e&15))return;if(e&1|0)b[a+48>>0]=b[c+48>>0]|0;if(e&2|0)b[a+49>>0]=b[c+49>>0]|0;if(e&4|0)b[a+50>>0]=b[c+50>>0]|0;if(e&8|0)b[a+51>>0]=b[c+51>>0]|0;c=a+24|0;f[c>>2]=f[c>>2]|e;return}function VOb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=153668;L4b(a+4|0);f[a+20>>2]=0;f[a+24>>2]=0;e=a+32|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=536248?(f[222956]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=151;b[d+8>>0]=0;dEb(891824,d);zDb(d)}f[a+28>>2]=0;f[a+48>>2]=0;u=c;return}function WOb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;f[a>>2]=153668;H4b(a+4|0,c);f[a+20>>2]=c;f[a+24>>2]=0;f[a+32>>2]=c;f[a+36>>2]=0;f[a+40>>2]=0;f[a+44>>2]=0;if((f[222956]|0)==2){g=a+28|0;f[g>>2]=0;h=a+48|0;f[h>>2]=0;u=d;return}f[e>>2]=149752;f[e+4>>2]=151;b[e+8>>0]=0;dEb(891824,e);zDb(e);g=a+28|0;f[g>>2]=0;h=a+48|0;f[h>>2]=0;u=d;return}function XOb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=153776;pPb(a);b=a+44|0;c=f[b>>2]|0;if(c|0?(f[a+32>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)ai[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;Emc(h)}f[b>>2]=0;b=a+20|0;h=f[b>>2]|0;if(h&1|0?(c=h&-2,h=c,!((c|0)==0|(f[h+4>>2]|0)!=0)):0){if(f[h>>2]|0)L3b(h);Emc(c)}f[b>>2]=0;M4b(a+4|0);return}function YOb(a){a=a|0;XOb(a);Emc(a);return}function ZOb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function _Ob(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(96)|0;nPb(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,24216,96);a=nBb(b,96)|0;oPb(a,b);c=a;return c|0}function $Ob(a){a=a|0;var b=0,c=0;b=f[a+20>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function aPb(a){a=a|0;return f[a+20>>2]|0}function bPb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;a6b(a+4|0);c=a+36|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+44>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((g|0)!=(d|0));f[c>>2]=0}c=a+24|0;d=f[c>>2]|0;do if(d&255|0){do if(d&1|0?(g=f[a+48>>2]|0,(g|0)!=535416):0){e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);do if(d&2|0?(e=f[a+52>>2]|0,(e|0)!=535416):0){g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&4|0?(g=f[a+56>>2]|0,(g|0)!=535416):0){e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);do if(d&8|0?(e=f[a+60>>2]|0,(e|0)!=535416):0){g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&16|0?(g=f[a+64>>2]|0,(g|0)!=535416):0){e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);do if(d&32|0?(e=f[a+68>>2]|0,(e|0)!=535416):0){g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&64|0?(g=f[a+72>>2]|0,(g|0)!=535416):0){e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);if(d&128|0?(e=f[a+76>>2]|0,(e|0)!=535416):0){g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}}while(0);if(d&65280|0){g=a+80|0;f[g>>2]=0;f[g+4>>2]=0}if(d&196608|0){b[a+88>>0]=0;f[a+92>>2]=1}f[c>>2]=0;c=f[a+20>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function cPb(a){a=a|0;var b=0,c=0,d=0,e=0;if(!(f6b(a+4|0)|0)){b=0;return b|0}c=a+44|0;d=f[a+36>>2]|0;while(1){if((d|0)<=0){b=1;e=5;break}d=d+-1|0;a=f[(f[c>>2]|0)+4+(d<<2)>>2]|0;if(!(ci[f[(f[a>>2]|0)+32>>2]&1023](a)|0)){b=0;e=5;break}}if((e|0)==5)return b|0;return 0}function dPb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+24|0;j=a+48|0;k=a+20|0;l=a+52|0;m=a+92|0;n=a+81|0;o=e+8|0;p=a+56|0;q=a+84|0;r=e+8|0;s=a+85|0;t=e+8|0;v=a+86|0;w=e+8|0;x=a+82|0;y=e+8|0;z=a+88|0;A=e+8|0;B=a+83|0;C=e+8|0;D=a+80|0;E=e+8|0;F=a+60|0;G=a+64|0;H=a+68|0;I=a+72|0;K=a+76|0;L=a+87|0;M=e+8|0;N=a+32|0;O=e+4|0;P=a+4|0;a:while(1){a=f[c>>2]|0;Q=f[g>>2]|0;do if(a>>>0<Q>>>0){R=b[a>>0]|0;S=R&255;T=a+1|0;if(R<<24>>24>0){U=T;V=S}else{if(T>>>0>=Q>>>0){W=S;X=7;break}R=h[T>>0]|0;if(((R^128)&S)>>>0<=127){W=S;X=7;break}U=a+2|0;V=S+-128+(R<<7)|0}f[c>>2]=U;Y=V;X=9}else{W=0;X=7}while(0);if((X|0)==7){X=0;a=xCb(c,W)|0;if((a+-1|0)>>>0<16383){Y=a;X=9}else Z=a}b:do if((X|0)==9){X=0;do switch(Y>>>3&536870911|0){case 1:{if((Y&255|0)!=10){Z=Y;break b}f[i>>2]=f[i>>2]|1;a=f[k>>2]|0;Q=a&-2;if(!(a&1))_=Q;else _=f[Q+4>>2]|0;Q=f[j>>2]|0;if((Q|0)==535416){PDa(j,_,535416);$=f[j>>2]|0}else $=Q;if(HEb(c,$)|0)continue a;else{aa=0;X=150;break a}break}case 8:{if((Y&255|0)!=66){Z=Y;break b}f[i>>2]=f[i>>2]|2;Q=f[k>>2]|0;a=Q&-2;if(!(Q&1))ba=a;else ba=f[a+4>>2]|0;a=f[l>>2]|0;if((a|0)==535416){PDa(l,ba,535416);ca=f[l>>2]|0}else ca=a;if(HEb(c,ca)|0)continue a;else{aa=0;X=150;break a}break}case 9:{if((Y&255|0)!=72){Z=Y;break b}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){Q=b[a>>0]|0;R=Q&255;if(Q<<24>>24>-1){f[c>>2]=a+1;da=R}else{ea=R;X=28}}else{ea=0;X=28}if((X|0)==28){X=0;R=iCb(c,ea)|0;a=J;if((a|0)>-1|(a|0)==-1&R>>>0>4294967295)da=R;else{aa=0;X=150;break a}}if((da+-1|0)>>>0<3){f[i>>2]=f[i>>2]|131072;f[m>>2]=da;continue a}R=f[k>>2]|0;if(!(R&1))fa=AHa(k)|0;else fa=R&-2;R3b(fa,9,da,((da|0)<0)<<31>>31);continue a;break}case 10:{if((Y&255|0)!=80){Z=Y;break b}f[i>>2]=f[i>>2]|512;R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0?(a=b[R>>0]|0,a<<24>>24>-1):0){f[c>>2]=R+1;ga=a<<24>>24!=0}else{jCb(e,c);a=e;if(!(b[o>>0]|0)){aa=0;X=150;break a}else ga=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[n>>0]=ga&1;continue a;break}case 11:{if((Y&255|0)!=90){Z=Y;break b}f[i>>2]=f[i>>2]|4;a=f[k>>2]|0;R=a&-2;if(!(a&1))ha=R;else ha=f[R+4>>2]|0;R=f[p>>2]|0;if((R|0)==535416){PDa(p,ha,535416);ia=f[p>>2]|0}else ia=R;if(HEb(c,ia)|0)continue a;else{aa=0;X=150;break a}break}case 16:{if((Y&255|0)!=128){Z=Y;break b}f[i>>2]=f[i>>2]|4096;R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0?(a=b[R>>0]|0,a<<24>>24>-1):0){f[c>>2]=R+1;ja=a<<24>>24!=0}else{jCb(e,c);a=e;if(!(b[r>>0]|0)){aa=0;X=150;break a}else ja=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[q>>0]=ja&1;continue a;break}case 17:{if((Y&255|0)!=136){Z=Y;break b}f[i>>2]=f[i>>2]|8192;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(R=b[a>>0]|0,R<<24>>24>-1):0){f[c>>2]=a+1;ka=R<<24>>24!=0}else{jCb(e,c);R=e;if(!(b[t>>0]|0)){aa=0;X=150;break a}else ka=(f[R>>2]|0)!=0|(f[R+4>>2]|0)!=0}b[s>>0]=ka&1;continue a;break}case 18:{if((Y&255|0)!=144){Z=Y;break b}f[i>>2]=f[i>>2]|16384;R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0?(a=b[R>>0]|0,a<<24>>24>-1):0){f[c>>2]=R+1;la=a<<24>>24!=0}else{jCb(e,c);a=e;if(!(b[w>>0]|0)){aa=0;X=150;break a}else la=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[v>>0]=la&1;continue a;break}case 20:{if((Y&255|0)!=160){Z=Y;break b}f[i>>2]=f[i>>2]|1024;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(R=b[a>>0]|0,R<<24>>24>-1):0){f[c>>2]=a+1;ma=R<<24>>24!=0}else{jCb(e,c);R=e;if(!(b[y>>0]|0)){aa=0;X=150;break a}else ma=(f[R>>2]|0)!=0|(f[R+4>>2]|0)!=0}b[x>>0]=ma&1;continue a;break}case 23:{if((Y&255|0)!=184){Z=Y;break b}f[i>>2]=f[i>>2]|65536;R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0?(a=b[R>>0]|0,a<<24>>24>-1):0){f[c>>2]=R+1;na=a<<24>>24!=0}else{jCb(e,c);a=e;if(!(b[A>>0]|0)){aa=0;X=150;break a}else na=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[z>>0]=na&1;continue a;break}case 27:{if((Y&255|0)!=216){Z=Y;break b}f[i>>2]=f[i>>2]|2048;a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(R=b[a>>0]|0,R<<24>>24>-1):0){f[c>>2]=a+1;oa=R<<24>>24!=0}else{jCb(e,c);R=e;if(!(b[C>>0]|0)){aa=0;X=150;break a}else oa=(f[R>>2]|0)!=0|(f[R+4>>2]|0)!=0}b[B>>0]=oa&1;continue a;break}case 31:{if((Y&255|0)!=248){Z=Y;break b}f[i>>2]=f[i>>2]|256;R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0?(a=b[R>>0]|0,a<<24>>24>-1):0){f[c>>2]=R+1;pa=a<<24>>24!=0}else{jCb(e,c);a=e;if(!(b[E>>0]|0)){aa=0;X=150;break a}else pa=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[D>>0]=pa&1;continue a;break}case 36:{if((Y&255|0)!=34){Z=Y;break b}f[i>>2]=f[i>>2]|8;a=f[k>>2]|0;R=a&-2;if(!(a&1))qa=R;else qa=f[R+4>>2]|0;R=f[F>>2]|0;if((R|0)==535416){PDa(F,qa,535416);ra=f[F>>2]|0}else ra=R;if(HEb(c,ra)|0)continue a;else{aa=0;X=150;break a}break}case 37:{if((Y&255|0)!=42){Z=Y;break b}f[i>>2]=f[i>>2]|16;R=f[k>>2]|0;a=R&-2;if(!(R&1))sa=a;else sa=f[a+4>>2]|0;a=f[G>>2]|0;if((a|0)==535416){PDa(G,sa,535416);ta=f[G>>2]|0}else ta=a;if(HEb(c,ta)|0)continue a;else{aa=0;X=150;break a}break}case 39:{if((Y&255|0)!=58){Z=Y;break b}f[i>>2]=f[i>>2]|32;a=f[k>>2]|0;R=a&-2;if(!(a&1))ua=R;else ua=f[R+4>>2]|0;R=f[H>>2]|0;if((R|0)==535416){PDa(H,ua,535416);va=f[H>>2]|0}else va=R;if(HEb(c,va)|0)continue a;else{aa=0;X=150;break a}break}case 40:{if((Y&255|0)!=66){Z=Y;break b}f[i>>2]=f[i>>2]|64;R=f[k>>2]|0;a=R&-2;if(!(R&1))wa=a;else wa=f[a+4>>2]|0;a=f[I>>2]|0;if((a|0)==535416){PDa(I,wa,535416);xa=f[I>>2]|0}else xa=a;if(HEb(c,xa)|0)continue a;else{aa=0;X=150;break a}break}case 41:{if((Y&255|0)!=74){Z=Y;break b}f[i>>2]=f[i>>2]|128;a=f[k>>2]|0;R=a&-2;if(!(a&1))ya=R;else ya=f[R+4>>2]|0;R=f[K>>2]|0;if((R|0)==535416){PDa(K,ya,535416);za=f[K>>2]|0}else za=R;if(HEb(c,za)|0)continue a;else{aa=0;X=150;break a}break}case 42:{if((Y&255|0)!=80){Z=Y;break b}f[i>>2]=f[i>>2]|32768;R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0?(a=b[R>>0]|0,a<<24>>24>-1):0){f[c>>2]=R+1;Aa=a<<24>>24!=0}else{jCb(e,c);a=e;if(!(b[M>>0]|0)){aa=0;X=150;break a}else Aa=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[L>>0]=Aa&1;continue a;break}case 999:{if((Y&255|0)!=58){Z=Y;break b}a=LMb(N)|0;R=f[c>>2]|0;if(R>>>0<(f[g>>2]|0)>>>0?(Q=b[R>>0]|0,Q<<24>>24>-1):0){f[c>>2]=R+1;Ba=Q&255}else{Q=wCb(c)|0;if((Q|0)>-1)Ba=Q;else{aa=0;X=150;break a}}hCb(e,c,Ba);if((f[O>>2]|0)<0){X=138;break a}if(!(Sh[f[(f[a>>2]|0)+44>>2]&511](a,c)|0)){X=138;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{aa=0;X=150;break a}break}default:{Z=Y;break b}}while(0)}while(0);if(!Z){aa=1;X=150;break}a=f[k>>2]|0;Q=(a&1|0)==0;if(Z>>>0>7999){if(Q)Ca=AHa(k)|0;else Ca=a&-2;if(ZVb(P,Z,c,536152,Ca)|0)continue;else{aa=0;X=150;break}}else{if(Q)Da=AHa(k)|0;else Da=a&-2;if(b4b(c,Z,Da)|0)continue;else{aa=0;X=150;break}}}if((X|0)==138){aa=0;u=d;return aa|0}else if((X|0)==150){u=d;return aa|0}return 0}function ePb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;c=l6b(a+4|0)|0;d=f[a+20>>2]|0;if(!(d&1))e=c;else e=(h4b(d&-2)|0)+c|0;c=f[a+36>>2]|0;d=(c<<1)+e|0;if(!c)g=d;else{e=a+44|0;h=0;i=d;while(1){d=f[(f[e>>2]|0)+4+(h<<2)>>2]|0;j=ci[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(c|0)){g=d;break}else i=d}}i=f[a+24>>2]|0;if(i&255){if(!(i&1))k=g;else{c=f[a+48>>2]|0;h=b[c+11>>0]|0;e=h<<24>>24<0?f[c+4>>2]|0:h&255;k=g+1+e+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&2))l=k;else{e=f[a+52>>2]|0;h=b[e+11>>0]|0;c=h<<24>>24<0?f[e+4>>2]|0:h&255;l=k+1+c+((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&4))m=l;else{c=f[a+56>>2]|0;k=b[c+11>>0]|0;h=k<<24>>24<0?f[c+4>>2]|0:k&255;m=l+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&8))n=m;else{h=f[a+60>>2]|0;l=b[h+11>>0]|0;k=l<<24>>24<0?f[h+4>>2]|0:l&255;n=m+2+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&16))o=n;else{k=f[a+64>>2]|0;m=b[k+11>>0]|0;l=m<<24>>24<0?f[k+4>>2]|0:m&255;o=n+2+l+((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&32))p=o;else{l=f[a+68>>2]|0;n=b[l+11>>0]|0;m=n<<24>>24<0?f[l+4>>2]|0:n&255;p=o+2+m+((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&64))q=p;else{m=f[a+72>>2]|0;o=b[m+11>>0]|0;n=o<<24>>24<0?f[m+4>>2]|0:o&255;q=p+2+n+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&128))r=q;else{n=f[a+76>>2]|0;p=b[n+11>>0]|0;o=p<<24>>24<0?f[n+4>>2]|0:p&255;r=q+2+o+((((($(o|1|0)|0)^31)*9|0)+73|0)>>>6)|0}}else r=g;if(!(i&65280))s=r;else{g=i&256|0?r+3|0:r;r=i&512|0?g+2|0:g;g=i&1024|0?r+3|0:r;r=i&2048|0?g+3|0:g;g=i&4096|0?r+3|0:r;r=i&8192|0?g+3|0:g;g=i&16384|0?r+3|0:r;s=i&32768|0?g+3|0:g}if(!(i&196608)){t=s;u=a+28|0;f[u>>2]=t;return t|0}g=i&65536|0?s+3|0:s;if(!(i&131072)){t=g;u=a+28|0;f[u>>2]=t;return t|0}i=f[a+92>>2]|0;if((i|0)<0)v=11;else v=((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;t=v+g|0;u=a+28|0;f[u>>2]=t;return t|0}function fPb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=f[a+24>>2]|0;if(d&1|0)BEb(1,f[a+48>>2]|0,c);if(d&2|0)BEb(8,f[a+52>>2]|0,c);if(d&131072|0)zEb(9,f[a+92>>2]|0,c);if(d&512|0)yEb(10,(b[a+81>>0]|0)!=0,c);if(d&4|0)BEb(11,f[a+56>>2]|0,c);if(d&4096|0)yEb(16,(b[a+84>>0]|0)!=0,c);if(d&8192|0)yEb(17,(b[a+85>>0]|0)!=0,c);if(d&16384|0)yEb(18,(b[a+86>>0]|0)!=0,c);if(d&1024|0)yEb(20,(b[a+82>>0]|0)!=0,c);if(d&65536|0)yEb(23,(b[a+88>>0]|0)!=0,c);if(d&2048|0)yEb(27,(b[a+83>>0]|0)!=0,c);if(d&256|0)yEb(31,(b[a+80>>0]|0)!=0,c);if(d&8|0)BEb(36,f[a+60>>2]|0,c);if(d&16|0)BEb(37,f[a+64>>2]|0,c);if(d&32|0)BEb(39,f[a+68>>2]|0,c);if(d&64|0)BEb(40,f[a+72>>2]|0,c);if(d&128|0)BEb(41,f[a+76>>2]|0,c);if(d&32768|0)yEb(42,(b[a+87>>0]|0)!=0,c);d=f[a+36>>2]|0;if(d|0){e=a+44|0;g=0;do{GEb(999,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(d|0))}j6b(a+4|0,1e3,536870912,c);d=f[a+20>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function gPb(a){a=a|0;return f[a+28>>2]|0}function hPb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0;e=f[a+24>>2]|0;if(!(e&1))g=d;else{h=f[a+48>>2]|0;b[d>>0]=10;g=GCb(h,d+1|0)|0}if(!(e&2))i=g;else{d=f[a+52>>2]|0;b[g>>0]=66;i=GCb(d,g+1|0)|0}if(!(e&131072))j=i;else{g=f[a+92>>2]|0;b[i>>0]=72;d=i+1|0;i=g&255;if(g>>>0>127){h=d;k=i;l=g;m=((g|0)<0)<<31>>31;while(1){b[h>>0]=k|-128;g=l;l=Irc(l|0,m|0,7)|0;n=h+1|0;o=l&255;if(!(m>>>0>0|(m|0)==0&g>>>0>16383)){p=n;q=o;break}else{h=n;k=o;m=J}}}else{p=d;q=i}b[p>>0]=q;j=p+1|0}if(!(e&512))r=j;else{p=b[a+81>>0]|0;b[j>>0]=80;b[j+1>>0]=p;r=j+2|0}if(!(e&4))s=r;else{j=f[a+56>>2]|0;b[r>>0]=90;s=GCb(j,r+1|0)|0}if(!(e&4096))t=s;else{r=b[a+84>>0]|0;b[s>>0]=-128;b[s+1>>0]=1;b[s+2>>0]=r;t=s+3|0}if(!(e&8192))u=t;else{s=b[a+85>>0]|0;b[t>>0]=-120;b[t+1>>0]=1;b[t+2>>0]=s;u=t+3|0}if(!(e&16384))v=u;else{t=b[a+86>>0]|0;b[u>>0]=-112;b[u+1>>0]=1;b[u+2>>0]=t;v=u+3|0}if(!(e&1024))w=v;else{u=b[a+82>>0]|0;b[v>>0]=-96;b[v+1>>0]=1;b[v+2>>0]=u;w=v+3|0}if(!(e&65536))x=w;else{v=b[a+88>>0]|0;b[w>>0]=-72;b[w+1>>0]=1;b[w+2>>0]=v;x=w+3|0}if(!(e&2048))y=x;else{w=b[a+83>>0]|0;b[x>>0]=-40;b[x+1>>0]=1;b[x+2>>0]=w;y=x+3|0}if(!(e&256))z=y;else{x=b[a+80>>0]|0;b[y>>0]=-8;b[y+1>>0]=1;b[y+2>>0]=x;z=y+3|0}if(!(e&8))A=z;else{y=f[a+60>>2]|0;b[z>>0]=-94;b[z+1>>0]=2;A=GCb(y,z+2|0)|0}if(!(e&16))B=A;else{z=f[a+64>>2]|0;b[A>>0]=-86;b[A+1>>0]=2;B=GCb(z,A+2|0)|0}if(!(e&32))C=B;else{A=f[a+68>>2]|0;b[B>>0]=-70;b[B+1>>0]=2;C=GCb(A,B+2|0)|0}if(!(e&64))D=C;else{B=f[a+72>>2]|0;b[C>>0]=-62;b[C+1>>0]=2;D=GCb(B,C+2|0)|0}if(!(e&128))E=D;else{C=f[a+76>>2]|0;b[D>>0]=-54;b[D+1>>0]=2;E=GCb(C,D+2|0)|0}if(!(e&32768))F=E;else{e=b[a+87>>0]|0;b[E>>0]=-48;b[E+1>>0]=2;b[E+2>>0]=e;F=E+3|0}E=f[a+36>>2]|0;if(!E)G=F;else{e=a+44|0;D=0;C=F;while(1){F=f[(f[e>>2]|0)+4+(D<<2)>>2]|0;b[C>>0]=-70;b[C+1>>0]=62;B=C+2|0;A=ci[f[(f[F>>2]|0)+60>>2]&1023](F)|0;if(A>>>0>127){z=A;y=B;while(1){b[y>>0]=z|128;x=z>>>7;w=y+1|0;if(z>>>0>16383){z=x;y=w}else{H=w;I=x;break}}}else{H=B;I=A}b[H>>0]=I;y=ki[f[(f[F>>2]|0)+64>>2]&511](F,c,H+1|0)|0;D=D+1|0;if((D|0)==(E|0)){G=y;break}else C=y}}C=bWb(a+4|0,1e3,536870912,c,G)|0;G=f[a+20>>2]|0;if(!(G&1)){K=C;return K|0}K=f4b(G&-2,C)|0;return K|0}function iPb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function jPb(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,24216,0)|0;if(!c){c2b(b,a);return}else{mPb(a,c);return}}function kPb(a,b){a=a|0;b=b|0;f[a+28>>2]=b;return}function lPb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222940]|0)!=2){f[d>>2]=149752;f[d+4>>2]=135;b[d+8>>0]=0;dEb(891760,d);zDb(d)}d=537024;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function mPb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;b6b(a+4|0,c+4|0);d=a+20|0;e=f[c+20>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}JMb(a+32|0,c+32|0);e=f[c+24>>2]|0;do if(e&255|0){do if(e&1|0){h=f[c+48>>2]|0;g=a+24|0;f[g>>2]=f[g>>2]|1;g=a+48|0;i=f[d>>2]|0;j=i&-2;if(!(i&1))k=j;else k=f[j+4>>2]|0;j=f[g>>2]|0;if((j|0)==535416){PDa(g,k,h);break}else{Qmc(j,h)|0;break}}while(0);do if(e&2|0){h=f[c+52>>2]|0;j=a+24|0;f[j>>2]=f[j>>2]|2;j=a+52|0;g=f[d>>2]|0;i=g&-2;if(!(g&1))l=i;else l=f[i+4>>2]|0;i=f[j>>2]|0;if((i|0)==535416){PDa(j,l,h);break}else{Qmc(i,h)|0;break}}while(0);do if(e&4|0){h=f[c+56>>2]|0;i=a+24|0;f[i>>2]=f[i>>2]|4;i=a+56|0;j=f[d>>2]|0;g=j&-2;if(!(j&1))m=g;else m=f[g+4>>2]|0;g=f[i>>2]|0;if((g|0)==535416){PDa(i,m,h);break}else{Qmc(g,h)|0;break}}while(0);do if(e&8|0){h=f[c+60>>2]|0;g=a+24|0;f[g>>2]=f[g>>2]|8;g=a+60|0;i=f[d>>2]|0;j=i&-2;if(!(i&1))n=j;else n=f[j+4>>2]|0;j=f[g>>2]|0;if((j|0)==535416){PDa(g,n,h);break}else{Qmc(j,h)|0;break}}while(0);do if(e&16|0){h=f[c+64>>2]|0;j=a+24|0;f[j>>2]=f[j>>2]|16;j=a+64|0;g=f[d>>2]|0;i=g&-2;if(!(g&1))o=i;else o=f[i+4>>2]|0;i=f[j>>2]|0;if((i|0)==535416){PDa(j,o,h);break}else{Qmc(i,h)|0;break}}while(0);do if(e&32|0){h=f[c+68>>2]|0;i=a+24|0;f[i>>2]=f[i>>2]|32;i=a+68|0;j=f[d>>2]|0;g=j&-2;if(!(j&1))p=g;else p=f[g+4>>2]|0;g=f[i>>2]|0;if((g|0)==535416){PDa(i,p,h);break}else{Qmc(g,h)|0;break}}while(0);do if(e&64|0){h=f[c+72>>2]|0;g=a+24|0;f[g>>2]=f[g>>2]|64;g=a+72|0;i=f[d>>2]|0;j=i&-2;if(!(i&1))q=j;else q=f[j+4>>2]|0;j=f[g>>2]|0;if((j|0)==535416){PDa(g,q,h);break}else{Qmc(j,h)|0;break}}while(0);if(e&128|0){h=f[c+76>>2]|0;j=a+24|0;f[j>>2]=f[j>>2]|128;j=a+76|0;g=f[d>>2]|0;i=g&-2;if(!(g&1))r=i;else r=f[i+4>>2]|0;i=f[j>>2]|0;if((i|0)==535416){PDa(j,r,h);break}else{Qmc(i,h)|0;break}}}while(0);if(e&65280|0){if(e&256|0)b[a+80>>0]=b[c+80>>0]|0;if(e&512|0)b[a+81>>0]=b[c+81>>0]|0;if(e&1024|0)b[a+82>>0]=b[c+82>>0]|0;if(e&2048|0)b[a+83>>0]=b[c+83>>0]|0;if(e&4096|0)b[a+84>>0]=b[c+84>>0]|0;if(e&8192|0)b[a+85>>0]=b[c+85>>0]|0;if(e&16384|0)b[a+86>>0]=b[c+86>>0]|0;if(e&32768|0)b[a+87>>0]=b[c+87>>0]|0;r=a+24|0;f[r>>2]=f[r>>2]|e}if(!(e&196608))return;if(e&65536|0)b[a+88>>0]=b[c+88>>0]|0;if(e&131072|0)f[a+92>>2]=f[c+92>>2];c=a+24|0;f[c>>2]=f[c>>2]|e;return}function nPb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=153776;L4b(a+4|0);f[a+20>>2]=0;f[a+24>>2]=0;e=a+32|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=536152?(f[222955]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=150;b[d+8>>0]=0;dEb(891820,d);zDb(d)}f[a+28>>2]=0;f[a+48>>2]=535416;f[a+52>>2]=535416;f[a+56>>2]=535416;f[a+60>>2]=535416;f[a+64>>2]=535416;f[a+68>>2]=535416;f[a+72>>2]=535416;f[a+76>>2]=535416;d=a+80|0;f[d>>2]=0;f[d+4>>2]=0;b[d+8>>0]=0;f[a+92>>2]=1;u=c;return}function oPb(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=153776;H4b(a+4|0,c);f[a+20>>2]=c;f[a+24>>2]=0;f[a+32>>2]=c;f[a+36>>2]=0;f[a+40>>2]=0;f[a+44>>2]=0;if((f[222955]|0)!=2){f[e>>2]=149752;f[e+4>>2]=150;b[e+8>>0]=0;dEb(891820,e);zDb(e)}f[a+28>>2]=0;f[a+48>>2]=535416;f[a+52>>2]=535416;f[a+56>>2]=535416;f[a+60>>2]=535416;f[a+64>>2]=535416;f[a+68>>2]=535416;f[a+72>>2]=535416;f[a+76>>2]=535416;e=a+80|0;f[e>>2]=0;f[e+4>>2]=0;b[e+8>>0]=0;f[a+92>>2]=1;u=d;return}function pPb(a){a=a|0;var c=0;c=f[a+48>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+52>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+56>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+60>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+64>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+68>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+72>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+76>>2]|0;if((c|0)==535416|(c|0)==0)return;if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c);return}function qPb(a){a=a|0;var b=0,c=0;f[a>>2]=153884;LPb(a);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function rPb(a){a=a|0;qPb(a);Emc(a);return}function sPb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function tPb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(36)|0;JPb(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,24232,40);a=nBb(b,40)|0;KPb(a,b);c=a;return c|0}function uPb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function vPb(a){a=a|0;return f[a+4>>2]|0}function wPb(a){a=a|0;var c=0,e=0,g=0,h=0;c=a+8|0;e=f[c>>2]|0;if(e&15|0){do if(e&1|0?(g=f[a+16>>2]|0,(g|0)!=535416):0){h=g+11|0;if((b[h>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[h>>0]=0;break}}while(0);do if(e&2|0?(h=f[a+20>>2]|0,(h|0)!=535416):0){g=h+11|0;if((b[g>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0;break}else{b[h>>0]=0;b[g>>0]=0;break}}while(0);do if(e&4|0?(g=f[a+24>>2]|0,(g|0)!=535416):0){h=g+11|0;if((b[h>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[h>>0]=0;break}}while(0);if(e&8|0){e=f[a+28>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}}d[a+32>>1]=0;f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function xPb(a){a=a|0;var b=0,c=0;if(f[a+8>>2]&8|0?(b=f[a+28>>2]|0,!(ci[f[(f[b>>2]|0)+32>>2]&1023](b)|0)):0){c=0;return c|0}c=1;return c|0}function yPb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+16|0;j=a+4|0;k=a+20|0;l=a+24|0;m=a+28|0;n=e+4|0;o=a+32|0;p=e+8|0;q=a+33|0;r=e+8|0;a:while(1){s=f[c>>2]|0;if(s>>>0<(f[g>>2]|0)>>>0){t=b[s>>0]|0;v=t&255;if(t<<24>>24>0){f[c>>2]=s+1;w=v;x=6}else{y=v;x=5}}else{y=0;x=5}if((x|0)==5){x=0;v=xCb(c,y)|0;if((v+-1|0)>>>0<127){w=v;x=6}else z=v}b:do if((x|0)==6){x=0;switch(w>>>3&536870911|0){case 1:{if((w&255|0)!=10){z=w;break b}f[h>>2]=f[h>>2]|1;v=f[j>>2]|0;s=v&-2;if(!(v&1))A=s;else A=f[s+4>>2]|0;s=f[i>>2]|0;if((s|0)==535416){PDa(i,A,535416);B=f[i>>2]|0}else B=s;if(HEb(c,B)|0)continue a;else{C=0;x=56;break a}break}case 2:{if((w&255|0)!=18){z=w;break b}f[h>>2]=f[h>>2]|2;s=f[j>>2]|0;v=s&-2;if(!(s&1))D=v;else D=f[v+4>>2]|0;v=f[k>>2]|0;if((v|0)==535416){PDa(k,D,535416);E=f[k>>2]|0}else E=v;if(HEb(c,E)|0)continue a;else{C=0;x=56;break a}break}case 3:{if((w&255|0)!=26){z=w;break b}f[h>>2]=f[h>>2]|4;v=f[j>>2]|0;s=v&-2;if(!(v&1))F=s;else F=f[s+4>>2]|0;s=f[l>>2]|0;if((s|0)==535416){PDa(l,F,535416);G=f[l>>2]|0}else G=s;if(HEb(c,G)|0)continue a;else{C=0;x=56;break a}break}case 4:{if((w&255|0)!=34){z=w;break b}f[h>>2]=f[h>>2]|8;s=f[m>>2]|0;if(!s){IPb(a);H=f[m>>2]|0}else H=s;s=f[c>>2]|0;if(s>>>0<(f[g>>2]|0)>>>0?(v=b[s>>0]|0,v<<24>>24>-1):0){f[c>>2]=s+1;I=v&255}else{v=wCb(c)|0;if((v|0)>-1)I=v;else{C=0;x=56;break a}}hCb(e,c,I);if((f[n>>2]|0)<0){x=37;break a}if(!(Sh[f[(f[H>>2]|0)+44>>2]&511](H,c)|0)){x=37;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{C=0;x=56;break a}break}case 5:{if((w&255|0)!=40){z=w;break b}f[h>>2]=f[h>>2]|16;v=f[c>>2]|0;if(v>>>0<(f[g>>2]|0)>>>0?(s=b[v>>0]|0,s<<24>>24>-1):0){f[c>>2]=v+1;J=s<<24>>24!=0}else{jCb(e,c);s=e;if(!(b[p>>0]|0)){C=0;x=56;break a}else J=(f[s>>2]|0)!=0|(f[s+4>>2]|0)!=0}b[o>>0]=J&1;continue a;break}case 6:{if((w&255|0)!=48){z=w;break b}f[h>>2]=f[h>>2]|32;s=f[c>>2]|0;if(s>>>0<(f[g>>2]|0)>>>0?(v=b[s>>0]|0,v<<24>>24>-1):0){f[c>>2]=s+1;K=v<<24>>24!=0}else{jCb(e,c);v=e;if(!(b[r>>0]|0)){C=0;x=56;break a}else K=(f[v>>2]|0)!=0|(f[v+4>>2]|0)!=0}b[q>>0]=K&1;continue a;break}default:{z=w;break b}}}while(0);if(!z){C=1;x=56;break}v=f[j>>2]|0;if(!(v&1))L=AHa(j)|0;else L=v&-2;if(!(b4b(c,z,L)|0)){C=0;x=56;break}}if((x|0)==37){C=0;u=d;return C|0}else if((x|0)==56){u=d;return C|0}return 0}function zPb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=a+8|0;e=f[c>>2]|0;if(!(e&63)){g=d;h=a+12|0;f[h>>2]=g;return g|0}if(!(e&1))i=d;else{j=f[a+16>>2]|0;k=b[j+11>>0]|0;l=k<<24>>24<0?f[j+4>>2]|0:k&255;i=d+1+l+((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(e&2))m=i;else{l=f[a+20>>2]|0;d=b[l+11>>0]|0;k=d<<24>>24<0?f[l+4>>2]|0:d&255;m=i+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(e&4))n=m;else{k=f[a+24>>2]|0;i=b[k+11>>0]|0;d=i<<24>>24<0?f[k+4>>2]|0:i&255;n=m+1+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(e&8)){o=n;p=e}else{e=f[a+28>>2]|0;d=ci[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=n+1+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0;o=e;p=f[c>>2]|0}c=p&16|0?o+2|0:o;g=p&32|0?c+2|0:c;h=a+12|0;f[h>>2]=g;return g|0}function APb(a,c){a=a|0;c=c|0;var d=0;d=f[a+8>>2]|0;if(d&1|0)BEb(1,f[a+16>>2]|0,c);if(d&2|0)BEb(2,f[a+20>>2]|0,c);if(d&4|0)BEb(3,f[a+24>>2]|0,c);if(d&8|0)GEb(4,f[a+28>>2]|0,c);if(d&16|0)yEb(5,(b[a+32>>0]|0)!=0,c);if(d&32|0)yEb(6,(b[a+33>>0]|0)!=0,c);d=f[a+4>>2]|0;if(!(d&1))return;e4b(d&-2,c);return}function BPb(a){a=a|0;return f[a+12>>2]|0}function CPb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=f[a+8>>2]|0;if(!(e&1))g=d;else{h=f[a+16>>2]|0;b[d>>0]=10;g=GCb(h,d+1|0)|0}if(!(e&2))i=g;else{d=f[a+20>>2]|0;b[g>>0]=18;i=GCb(d,g+1|0)|0}if(!(e&4))j=i;else{g=f[a+24>>2]|0;b[i>>0]=26;j=GCb(g,i+1|0)|0}if(!(e&8))k=j;else{i=f[a+28>>2]|0;b[j>>0]=34;g=j+1|0;j=ci[f[(f[i>>2]|0)+60>>2]&1023](i)|0;if(j>>>0>127){d=j;h=g;while(1){b[h>>0]=d|128;l=d>>>7;m=h+1|0;if(d>>>0>16383){d=l;h=m}else{n=m;o=l;break}}}else{n=g;o=j}b[n>>0]=o;k=ki[f[(f[i>>2]|0)+64>>2]&511](i,c,n+1|0)|0}if(!(e&16))p=k;else{n=b[a+32>>0]|0;b[k>>0]=40;b[k+1>>0]=n;p=k+2|0}if(!(e&32))q=p;else{e=b[a+33>>0]|0;b[p>>0]=48;b[p+1>>0]=e;q=p+2|0}p=f[a+4>>2]|0;if(!(p&1)){r=q;return r|0}r=f4b(p&-2,q)|0;return r|0}function DPb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function EPb(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,24232,0)|0;if(!c){c2b(b,a);return}else{HPb(a,c);return}}function FPb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function GPb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222940]|0)!=2){f[d>>2]=149752;f[d+4>>2]=135;b[d+8>>0]=0;dEb(891760,d);zDb(d)}d=537016;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function HPb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}e=f[c+8>>2]|0;if(!(e&63))return;do if(e&1|0){h=f[c+16>>2]|0;g=a+8|0;f[g>>2]=f[g>>2]|1;g=a+16|0;i=f[d>>2]|0;j=i&-2;if(!(i&1))k=j;else k=f[j+4>>2]|0;j=f[g>>2]|0;if((j|0)==535416){PDa(g,k,h);break}else{Qmc(j,h)|0;break}}while(0);do if(e&2|0){k=f[c+20>>2]|0;h=a+8|0;f[h>>2]=f[h>>2]|2;h=a+20|0;j=f[d>>2]|0;g=j&-2;if(!(j&1))l=g;else l=f[g+4>>2]|0;g=f[h>>2]|0;if((g|0)==535416){PDa(h,l,k);break}else{Qmc(g,k)|0;break}}while(0);do if(e&4|0){l=f[c+24>>2]|0;k=a+8|0;f[k>>2]=f[k>>2]|4;k=a+24|0;g=f[d>>2]|0;h=g&-2;if(!(g&1))m=h;else m=f[h+4>>2]|0;h=f[k>>2]|0;if((h|0)==535416){PDa(k,m,l);break}else{Qmc(h,l)|0;break}}while(0);if(e&8|0){m=a+8|0;f[m>>2]=f[m>>2]|8;m=a+28|0;d=f[m>>2]|0;if(!d){IPb(a);n=f[m>>2]|0}else n=d;d=f[c+28>>2]|0;IMb(n,d|0?d:536584)}if(e&16|0)b[a+32>>0]=b[c+32>>0]|0;if(e&32|0)b[a+33>>0]=b[c+33>>0]|0;c=a+8|0;f[c>>2]=f[c>>2]|e;return}function IPb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=Bmc(56)|0;MMb(c);e=c;g=a+28|0;f[g>>2]=e;return}if(f[d+64>>2]|0)pBb(d,24104,56);c=nBb(d,56)|0;NMb(c,d);e=c;g=a+28|0;f[g>>2]=e;return}function JPb(a){a=a|0;var c=0,e=0;c=u;u=u+16|0;e=c;f[a>>2]=153884;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=536112?(f[222954]|0)!=2:0){f[e>>2]=149752;f[e+4>>2]=149;b[e+8>>0]=0;dEb(891816,e);zDb(e)}f[a+12>>2]=0;f[a+16>>2]=535416;f[a+20>>2]=535416;f[a+24>>2]=535416;e=a+28|0;f[e>>2]=0;d[e+4>>1]=0;u=c;return}function KPb(a,c){a=a|0;c=c|0;var e=0,g=0;e=u;u=u+16|0;g=e;f[a>>2]=153884;f[a+4>>2]=c;f[a+8>>2]=0;if((f[222954]|0)!=2){f[g>>2]=149752;f[g+4>>2]=149;b[g+8>>0]=0;dEb(891816,g);zDb(g)}f[a+12>>2]=0;f[a+16>>2]=535416;f[a+20>>2]=535416;f[a+24>>2]=535416;g=a+28|0;f[g>>2]=0;d[g+4>>1]=0;u=e;return}function LPb(a){a=a|0;var c=0;c=f[a+16>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+20>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+24>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}if((a|0)==536112)return;c=f[a+28>>2]|0;if(!c)return;ai[f[(f[c>>2]|0)+4>>2]&2047](c);return}function MPb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;f[a>>2]=153992;c=f[a+32>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}if((a|0)!=536072?(c=f[a+36>>2]|0,c|0):0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=a+28|0;d=f[c>>2]|0;if(d|0?(f[a+16>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0)ai[f[(f[h>>2]|0)+4>>2]&2047](h);g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;Emc(i)}f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}i=a&-2;a=i;if((i|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(i);f[c>>2]=0;return}function NPb(a){a=a|0;MPb(a);Emc(a);return}function OPb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function PPb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(40)|0;fQb(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,24248,40);a=nBb(b,40)|0;gQb(a,b);c=a;return c|0}function QPb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function RPb(a){a=a|0;return f[a+4>>2]|0}function SPb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=a+20|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+28>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((g|0)!=(d|0));f[c>>2]=0}c=a+8|0;d=f[c>>2]|0;if(d&3|0){do if(d&1|0?(g=f[a+32>>2]|0,(g|0)!=535416):0){e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);if(d&2|0){d=f[a+36>>2]|0;ai[f[(f[d>>2]|0)+28>>2]&2047](d)}}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function TPb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+28|0;c=f[a+20>>2]|0;while(1){if((c|0)<=0)break;c=c+-1|0;d=f[(f[b>>2]|0)+4+(c<<2)>>2]|0;if(!(ci[f[(f[d>>2]|0)+32>>2]&1023](d)|0)){e=0;g=7;break}}if((g|0)==7)return e|0;if(f[a+8>>2]&2|0?(g=f[a+36>>2]|0,!(ci[f[(f[g>>2]|0)+32>>2]&1023](g)|0)):0){e=0;return e|0}e=1;return e|0}function UPb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+32|0;j=a+4|0;k=a+16|0;l=a+28|0;m=a+24|0;n=a+20|0;o=e+4|0;p=a+36|0;q=e+4|0;a:while(1){r=f[c>>2]|0;if(r>>>0<(f[g>>2]|0)>>>0){s=b[r>>0]|0;t=s&255;if(s<<24>>24>0){f[c>>2]=r+1;v=t;w=6}else{x=t;w=5}}else{x=0;w=5}if((w|0)==5){w=0;t=xCb(c,x)|0;if((t+-1|0)>>>0<127){v=t;w=6}else y=t}b:do if((w|0)==6){w=0;switch(v>>>3&536870911|0){case 1:{if((v&255|0)!=10){y=v;break b}f[h>>2]=f[h>>2]|1;t=f[j>>2]|0;r=t&-2;if(!(t&1))z=r;else z=f[r+4>>2]|0;r=f[i>>2]|0;if((r|0)==535416){PDa(i,z,535416);A=f[i>>2]|0}else A=r;if(HEb(c,A)|0)continue a;else{B=0;w=51;break a}break}case 2:{if((v&255|0)!=18){y=v;break b}r=f[l>>2]|0;do if(r){t=f[n>>2]|0;s=f[r>>2]|0;if((t|0)>=(s|0))if((s|0)==(f[m>>2]|0)){C=s;w=20;break}else{D=s;E=r;w=21;break}else{f[n>>2]=t+1;F=f[r+4+(t<<2)>>2]|0;break}}else{C=f[m>>2]|0;w=20}while(0);if((w|0)==20){w=0;uDb(k,C+1|0);r=f[l>>2]|0;D=f[r>>2]|0;E=r;w=21}if((w|0)==21){w=0;f[E>>2]=D+1;r=f[k>>2]|0;if(!r){t=Bmc(36)|0;JPb(t);G=t}else{if(f[r+64>>2]|0)pBb(r,24232,40);t=nBb(r,40)|0;KPb(t,r);G=t}t=f[l>>2]|0;r=f[n>>2]|0;f[n>>2]=r+1;f[t+4+(r<<2)>>2]=G;F=G}r=f[c>>2]|0;if(r>>>0<(f[g>>2]|0)>>>0?(t=b[r>>0]|0,t<<24>>24>-1):0){f[c>>2]=r+1;H=t&255}else{t=wCb(c)|0;if((t|0)>-1)H=t;else{B=0;w=51;break a}}hCb(e,c,H);if((f[o>>2]|0)<0){w=33;break a}if(!(Sh[f[(f[F>>2]|0)+44>>2]&511](F,c)|0)){w=33;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{B=0;w=51;break a}break}case 3:{if((v&255|0)!=26){y=v;break b}f[h>>2]=f[h>>2]|2;t=f[p>>2]|0;if(!t){dQb(a);I=f[p>>2]|0}else I=t;t=f[c>>2]|0;if(t>>>0<(f[g>>2]|0)>>>0?(r=b[t>>0]|0,r<<24>>24>-1):0){f[c>>2]=t+1;J=r&255}else{r=wCb(c)|0;if((r|0)>-1)J=r;else{B=0;w=51;break a}}hCb(e,c,J);if((f[q>>2]|0)<0){w=44;break a}if(!(Sh[f[(f[I>>2]|0)+44>>2]&511](I,c)|0)){w=44;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{B=0;w=51;break a}break}default:{y=v;break b}}}while(0);if(!y){B=1;w=51;break}r=f[j>>2]|0;if(!(r&1))K=AHa(j)|0;else K=r&-2;if(!(b4b(c,y,K)|0)){B=0;w=51;break}}if((w|0)==33){B=0;u=d;return B|0}else if((w|0)==44){B=0;u=d;return B|0}else if((w|0)==51){u=d;return B|0}return 0}function VPb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=f[a+20>>2]|0;e=c+d|0;if(!c)g=e;else{d=a+28|0;h=0;i=e;while(1){e=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;j=ci[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(c|0)){g=e;break}else i=e}}i=f[a+8>>2]|0;if(!(i&3)){k=g;l=a+12|0;f[l>>2]=k;return k|0}if(!(i&1))m=g;else{c=f[a+32>>2]|0;h=b[c+11>>0]|0;d=h<<24>>24<0?f[c+4>>2]|0:h&255;m=g+1+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&2)){k=m;l=a+12|0;f[l>>2]=k;return k|0}i=f[a+36>>2]|0;d=ci[f[(f[i>>2]|0)+48>>2]&1023](i)|0;k=m+1+d+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0;l=a+12|0;f[l>>2]=k;return k|0}function WPb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=f[a+8>>2]|0;if(c&1|0)BEb(1,f[a+32>>2]|0,b);d=f[a+20>>2]|0;if(d|0){e=a+28|0;g=0;do{GEb(2,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(d|0))}if(c&2|0)GEb(3,f[a+36>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function XPb(a){a=a|0;return f[a+12>>2]|0}function YPb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=f[a+8>>2]|0;if(!(e&1))g=d;else{h=f[a+32>>2]|0;b[d>>0]=10;g=GCb(h,d+1|0)|0}d=f[a+20>>2]|0;if(!d)i=g;else{h=a+28|0;j=0;k=g;while(1){g=f[(f[h>>2]|0)+4+(j<<2)>>2]|0;b[k>>0]=18;l=k+1|0;m=ci[f[(f[g>>2]|0)+60>>2]&1023](g)|0;if(m>>>0>127){n=m;o=l;while(1){b[o>>0]=n|128;p=n>>>7;q=o+1|0;if(n>>>0>16383){n=p;o=q}else{r=q;s=p;break}}}else{r=l;s=m}b[r>>0]=s;o=ki[f[(f[g>>2]|0)+64>>2]&511](g,c,r+1|0)|0;j=j+1|0;if((j|0)==(d|0)){i=o;break}else k=o}}if(!(e&2))t=i;else{e=f[a+36>>2]|0;b[i>>0]=26;k=i+1|0;i=ci[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(i>>>0>127){d=i;j=k;while(1){b[j>>0]=d|128;r=d>>>7;s=j+1|0;if(d>>>0>16383){d=r;j=s}else{u=s;v=r;break}}}else{u=k;v=i}b[u>>0]=v;t=ki[f[(f[e>>2]|0)+64>>2]&511](e,c,u+1|0)|0}u=f[a+4>>2]|0;if(!(u&1)){w=t;return w|0}w=f4b(u&-2,t)|0;return w|0}function ZPb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function _Pb(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,24248,0)|0;if(!c){c2b(b,a);return}else{bQb(a,c);return}}function $Pb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function aQb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222940]|0)!=2){f[d>>2]=149752;f[d+4>>2]=135;b[d+8>>0]=0;dEb(891760,d);zDb(d)}d=537008;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function bQb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}cQb(a+16|0,c+16|0);e=f[c+8>>2]|0;if(!(e&3))return;do if(e&1|0){h=f[c+32>>2]|0;g=a+8|0;f[g>>2]=f[g>>2]|1;g=a+32|0;i=f[d>>2]|0;j=i&-2;if(!(i&1))k=j;else k=f[j+4>>2]|0;j=f[g>>2]|0;if((j|0)==535416){PDa(g,k,h);break}else{Qmc(j,h)|0;break}}while(0);if(!(e&2))return;e=a+8|0;f[e>>2]=f[e>>2]|2;e=a+36|0;k=f[e>>2]|0;if(!k){dQb(a);l=f[e>>2]|0}else l=k;k=f[c+36>>2]|0;c=k|0?k:536528;b6b(l+4|0,c+4|0);k=l+20|0;e=f[c+20>>2]|0;if(e&1|0){a=f[k>>2]|0;if(!(a&1))m=AHa(k)|0;else m=a&-2;O3b(m,e&-2)}JMb(l+32|0,c+32|0);if(!(f[c+24>>2]&1))return;e=b[c+48>>0]|0;c=l+24|0;f[c>>2]=f[c>>2]|1;b[l+48>>0]=e;return}function cQb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{eQb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(36)|0;JPb(l);eQb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,24232,40);l=nBb(i,40)|0;KPb(l,i);eQb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function dQb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=Bmc(52)|0;dNb(c);e=c;g=a+36|0;f[g>>2]=e;return}if(f[d+64>>2]|0)pBb(d,24120,56);c=nBb(d,56)|0;eNb(c,d);e=c;g=a+36|0;f[g>>2]=e;return}function eQb(a,b){a=a|0;b=b|0;HPb(b,a);return}function fQb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=153992;f[a+4>>2]=0;f[a+8>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=536072?(f[222953]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=148;b[d+8>>0]=0;dEb(891812,d);zDb(d)}f[a+12>>2]=0;f[a+32>>2]=535416;f[a+36>>2]=0;u=c;return}function gQb(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=153992;f[a+4>>2]=c;f[a+8>>2]=0;f[a+16>>2]=c;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;if((f[222953]|0)!=2){f[e>>2]=149752;f[e+4>>2]=148;b[e+8>>0]=0;dEb(891812,e);zDb(e)}f[a+12>>2]=0;f[a+32>>2]=535416;f[a+36>>2]=0;u=d;return}function hQb(a){a=a|0;var c=0,d=0;f[a>>2]=154100;c=f[a+16>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}if((a|0)!=536040?(c=f[a+20>>2]|0,c|0):0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(d);f[c>>2]=0;return}function iQb(a){a=a|0;hQb(a);Emc(a);return}function jQb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function kQb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(28)|0;AQb(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,24264,32);a=nBb(b,32)|0;BQb(a,b);c=a;return c|0}function lQb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function mQb(a){a=a|0;return f[a+4>>2]|0}function nQb(a){a=a|0;var c=0,d=0,e=0,g=0;c=a+8|0;d=f[c>>2]|0;if(d&3|0){do if(d&1|0?(e=f[a+16>>2]|0,(e|0)!=535416):0){g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);if(d&2|0){d=f[a+20>>2]|0;ai[f[(f[d>>2]|0)+28>>2]&2047](d)}}f[a+24>>2]=0;f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function oQb(a){a=a|0;var b=0,c=0;if(f[a+8>>2]&2|0?(b=f[a+20>>2]|0,!(ci[f[(f[b>>2]|0)+32>>2]&1023](b)|0)):0){c=0;return c|0}c=1;return c|0}function pQb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+16|0;j=a+4|0;k=a+24|0;l=a+20|0;m=e+4|0;a:while(1){n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0){o=b[n>>0]|0;p=o&255;if(o<<24>>24>0){f[c>>2]=n+1;q=p;r=6}else{s=p;r=5}}else{s=0;r=5}if((r|0)==5){r=0;p=xCb(c,s)|0;if((p+-1|0)>>>0<127){q=p;r=6}else t=p}b:do if((r|0)==6){r=0;switch(q>>>3&536870911|0){case 1:{if((q&255|0)!=10){t=q;break b}f[h>>2]=f[h>>2]|1;p=f[j>>2]|0;n=p&-2;if(!(p&1))v=n;else v=f[n+4>>2]|0;n=f[i>>2]|0;if((n|0)==535416){PDa(i,v,535416);w=f[i>>2]|0}else w=n;if(HEb(c,w)|0)continue a;else{x=0;r=36;break a}break}case 2:{if((q&255|0)!=16){t=q;break b}f[h>>2]=f[h>>2]|4;n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0){p=b[n>>0]|0;o=p&255;if(p<<24>>24>-1){f[c>>2]=n+1;y=o}else{z=o;r=18}}else{z=0;r=18}if((r|0)==18){r=0;o=iCb(c,z)|0;n=J;if((n|0)>-1|(n|0)==-1&o>>>0>4294967295)y=o;else{x=0;r=36;break a}}f[k>>2]=y;continue a;break}case 3:{if((q&255|0)!=26){t=q;break b}f[h>>2]=f[h>>2]|2;o=f[l>>2]|0;if(!o){zQb(a);A=f[l>>2]|0}else A=o;o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0?(n=b[o>>0]|0,n<<24>>24>-1):0){f[c>>2]=o+1;B=n&255}else{n=wCb(c)|0;if((n|0)>-1)B=n;else{x=0;r=36;break a}}hCb(e,c,B);if((f[m>>2]|0)<0){r=29;break a}if(!(Sh[f[(f[A>>2]|0)+44>>2]&511](A,c)|0)){r=29;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{x=0;r=36;break a}break}default:{t=q;break b}}}while(0);if(!t){x=1;r=36;break}n=f[j>>2]|0;if(!(n&1))C=AHa(j)|0;else C=n&-2;if(!(b4b(c,t,C)|0)){x=0;r=36;break}}if((r|0)==29){x=0;u=d;return x|0}else if((r|0)==36){u=d;return x|0}return 0}function qQb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=a+8|0;e=f[c>>2]|0;if(!(e&7)){g=d;h=a+12|0;f[h>>2]=g;return g|0}if(!(e&1))i=d;else{j=f[a+16>>2]|0;k=b[j+11>>0]|0;l=k<<24>>24<0?f[j+4>>2]|0:k&255;i=d+1+l+((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(e&2)){m=i;n=e}else{e=f[a+20>>2]|0;l=ci[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=i+1+l+((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)|0;m=e;n=f[c>>2]|0}if(!(n&4)){g=m;h=a+12|0;f[h>>2]=g;return g|0}n=f[a+24>>2]|0;if((n|0)<0)o=11;else o=((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;g=o+m|0;h=a+12|0;f[h>>2]=g;return g|0}function rQb(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)BEb(1,f[a+16>>2]|0,b);if(c&4|0)mEb(2,f[a+24>>2]|0,b);if(c&2|0)GEb(3,f[a+20>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function sQb(a){a=a|0;return f[a+12>>2]|0}function tQb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;e=f[a+8>>2]|0;if(!(e&1))g=d;else{h=f[a+16>>2]|0;b[d>>0]=10;g=GCb(h,d+1|0)|0}if(!(e&4))i=g;else{d=f[a+24>>2]|0;b[g>>0]=16;h=g+1|0;g=d&255;if(d>>>0>127){j=h;k=g;l=d;m=((d|0)<0)<<31>>31;while(1){b[j>>0]=k|-128;d=l;l=Irc(l|0,m|0,7)|0;n=j+1|0;o=l&255;if(!(m>>>0>0|(m|0)==0&d>>>0>16383)){p=n;q=o;break}else{j=n;k=o;m=J}}}else{p=h;q=g}b[p>>0]=q;i=p+1|0}if(!(e&2))r=i;else{e=f[a+20>>2]|0;b[i>>0]=26;p=i+1|0;i=ci[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(i>>>0>127){q=i;g=p;while(1){b[g>>0]=q|128;h=q>>>7;m=g+1|0;if(q>>>0>16383){q=h;g=m}else{s=m;t=h;break}}}else{s=p;t=i}b[s>>0]=t;r=ki[f[(f[e>>2]|0)+64>>2]&511](e,c,s+1|0)|0}s=f[a+4>>2]|0;if(!(s&1)){u=r;return u|0}u=f4b(s&-2,r)|0;return u|0}function uQb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function vQb(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,24264,0)|0;if(!c){c2b(b,a);return}else{yQb(a,c);return}}function wQb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function xQb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222940]|0)!=2){f[d>>2]=149752;f[d+4>>2]=135;b[d+8>>0]=0;dEb(891760,d);zDb(d)}d=537e3;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function yQb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}e=f[c+8>>2]|0;if(!(e&7))return;do if(e&1|0){h=f[c+16>>2]|0;g=a+8|0;f[g>>2]=f[g>>2]|1;g=a+16|0;i=f[d>>2]|0;j=i&-2;if(!(i&1))k=j;else k=f[j+4>>2]|0;j=f[g>>2]|0;if((j|0)==535416){PDa(g,k,h);break}else{Qmc(j,h)|0;break}}while(0);if(e&2|0){k=a+8|0;f[k>>2]=f[k>>2]|2;k=a+20|0;d=f[k>>2]|0;if(!d){zQb(a);l=f[k>>2]|0}else l=d;d=f[c+20>>2]|0;k=d|0?d:536472;b6b(l+4|0,k+4|0);d=l+20|0;h=f[k+20>>2]|0;if(h&1|0){j=f[d>>2]|0;if(!(j&1))m=AHa(d)|0;else m=j&-2;O3b(m,h&-2)}JMb(l+32|0,k+32|0);if(f[k+24>>2]&1|0){h=b[k+48>>0]|0;k=l+24|0;f[k>>2]=f[k>>2]|1;b[l+48>>0]=h}}if(e&4|0)f[a+24>>2]=f[c+24>>2];c=a+8|0;f[c>>2]=f[c>>2]|e;return}function zQb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=Bmc(52)|0;wNb(c);e=c;g=a+20|0;f[g>>2]=e;return}if(f[d+64>>2]|0)pBb(d,24136,56);c=nBb(d,56)|0;xNb(c,d);e=c;g=a+20|0;f[g>>2]=e;return}function AQb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=154100;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=536040?(f[222952]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=147;b[d+8>>0]=0;dEb(891808,d);zDb(d)}f[a+12>>2]=0;f[a+16>>2]=535416;d=a+20|0;f[d>>2]=0;f[d+4>>2]=0;u=c;return}function BQb(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=154100;f[a+4>>2]=c;f[a+8>>2]=0;if((f[222952]|0)!=2){f[e>>2]=149752;f[e+4>>2]=147;b[e+8>>0]=0;dEb(891808,e);zDb(e)}f[a+12>>2]=0;f[a+16>>2]=535416;e=a+20|0;f[e>>2]=0;f[e+4>>2]=0;u=d;return}function CQb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;f[a>>2]=154208;c=f[a+64>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}if((a|0)!=535968?(c=f[a+68>>2]|0,c|0):0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=a+60|0;d=f[c>>2]|0;if(d|0?(f[a+48>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0){if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);Emc(h)}g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;Emc(i)}f[c>>2]=0;c=a+44|0;i=f[c>>2]|0;if(i|0?(f[a+32>>2]|0)==0:0){d=f[i>>2]|0;if((d|0)>0){e=0;do{g=f[i+4+(e<<2)>>2]|0;if(g|0)ai[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));j=f[c>>2]|0}else j=i;Emc(j)}f[c>>2]=0;c=a+28|0;j=f[c>>2]|0;if(j|0?(f[a+16>>2]|0)==0:0){i=f[j>>2]|0;if((i|0)>0){d=0;do{e=f[j+4+(d<<2)>>2]|0;if(e|0)ai[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(i|0));k=f[c>>2]|0}else k=j;Emc(k)}f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}k=a&-2;a=k;if((k|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(k);f[c>>2]=0;return}function DQb(a){a=a|0;CQb(a);Emc(a);return}function EQb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function FQb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(72)|0;qRb(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,24280,72);a=nBb(b,72)|0;rRb(a,b);c=a;return c|0}function GQb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function HQb(a){a=a|0;return f[a+4>>2]|0}function IQb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+20|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+28>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((g|0)!=(d|0));f[c>>2]=0}c=a+36|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+44>>2]|0;e=0;do{h=f[g+4+(e<<2)>>2]|0;e=e+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((e|0)!=(d|0));f[c>>2]=0}c=a+52|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+60>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;i=h+11|0;if((b[i>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0}else{b[h>>0]=0;b[i>>0]=0}}while((g|0)!=(d|0));f[c>>2]=0}c=a+8|0;d=f[c>>2]|0;if(d&3|0){do if(d&1|0?(g=f[a+64>>2]|0,(g|0)!=535416):0){e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);if(d&2|0){d=f[a+68>>2]|0;ai[f[(f[d>>2]|0)+28>>2]&2047](d)}}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function JQb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+28|0;c=f[a+20>>2]|0;while(1){if((c|0)<=0)break;c=c+-1|0;d=f[(f[b>>2]|0)+4+(c<<2)>>2]|0;if(!(ci[f[(f[d>>2]|0)+32>>2]&1023](d)|0)){e=0;g=7;break}}if((g|0)==7)return e|0;if(f[a+8>>2]&2|0?(g=f[a+68>>2]|0,!(ci[f[(f[g>>2]|0)+32>>2]&1023](g)|0)):0){e=0;return e|0}e=1;return e|0}function KQb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+64|0;j=a+4|0;k=a+16|0;l=a+28|0;m=a+24|0;n=a+20|0;o=e+4|0;p=a+68|0;q=e+4|0;r=a+32|0;s=a+44|0;t=a+40|0;v=a+36|0;w=e+4|0;x=a+48|0;a:while(1){y=f[c>>2]|0;if(y>>>0<(f[g>>2]|0)>>>0){z=b[y>>0]|0;A=z&255;if(z<<24>>24>0){f[c>>2]=y+1;B=A;C=6}else{D=A;C=5}}else{D=0;C=5}if((C|0)==5){C=0;A=xCb(c,D)|0;if((A+-1|0)>>>0<127){B=A;C=6}else E=A}b:do if((C|0)==6){C=0;switch(B>>>3&536870911|0){case 1:{if((B&255|0)!=10){E=B;break b}f[h>>2]=f[h>>2]|1;A=f[j>>2]|0;y=A&-2;if(!(A&1))F=y;else F=f[y+4>>2]|0;y=f[i>>2]|0;if((y|0)==535416){PDa(i,F,535416);G=f[i>>2]|0}else G=y;if(HEb(c,G)|0)continue a;else{H=0;C=74;break a}break}case 2:{if((B&255|0)!=18){E=B;break b}y=f[l>>2]|0;do if(y){A=f[n>>2]|0;z=f[y>>2]|0;if((A|0)>=(z|0))if((z|0)==(f[m>>2]|0)){I=z;C=20;break}else{J=z;K=y;C=21;break}else{f[n>>2]=A+1;L=f[y+4+(A<<2)>>2]|0;break}}else{I=f[m>>2]|0;C=20}while(0);if((C|0)==20){C=0;uDb(k,I+1|0);y=f[l>>2]|0;J=f[y>>2]|0;K=y;C=21}if((C|0)==21){C=0;f[K>>2]=J+1;y=f[k>>2]|0;if(!y){A=Bmc(28)|0;AQb(A);M=A}else{if(f[y+64>>2]|0)pBb(y,24264,32);A=nBb(y,32)|0;BQb(A,y);M=A}A=f[l>>2]|0;y=f[n>>2]|0;f[n>>2]=y+1;f[A+4+(y<<2)>>2]=M;L=M}y=f[c>>2]|0;if(y>>>0<(f[g>>2]|0)>>>0?(A=b[y>>0]|0,A<<24>>24>-1):0){f[c>>2]=y+1;N=A&255}else{A=wCb(c)|0;if((A|0)>-1)N=A;else{H=0;C=74;break a}}hCb(e,c,N);if((f[o>>2]|0)<0){C=33;break a}if(!(Sh[f[(f[L>>2]|0)+44>>2]&511](L,c)|0)){C=33;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{H=0;C=74;break a}break}case 3:{if((B&255|0)!=26){E=B;break b}f[h>>2]=f[h>>2]|2;A=f[p>>2]|0;if(!A){WQb(a);O=f[p>>2]|0}else O=A;A=f[c>>2]|0;if(A>>>0<(f[g>>2]|0)>>>0?(y=b[A>>0]|0,y<<24>>24>-1):0){f[c>>2]=A+1;P=y&255}else{y=wCb(c)|0;if((y|0)>-1)P=y;else{H=0;C=74;break a}}hCb(e,c,P);if((f[q>>2]|0)<0){C=44;break a}if(!(Sh[f[(f[O>>2]|0)+44>>2]&511](O,c)|0)){C=44;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{H=0;C=74;break a}break}case 4:{if((B&255|0)!=34){E=B;break b}y=f[s>>2]|0;do if(y){A=f[v>>2]|0;z=f[y>>2]|0;if((A|0)>=(z|0))if((z|0)==(f[t>>2]|0)){Q=z;C=52;break}else{R=z;S=y;C=53;break}else{f[v>>2]=A+1;T=f[y+4+(A<<2)>>2]|0;break}}else{Q=f[t>>2]|0;C=52}while(0);if((C|0)==52){C=0;uDb(r,Q+1|0);y=f[s>>2]|0;R=f[y>>2]|0;S=y;C=53}if((C|0)==53){C=0;f[S>>2]=R+1;y=f[r>>2]|0;if(!y){A=Bmc(24)|0;XQb(A);U=A}else{if(f[y+64>>2]|0)pBb(y,24296,24);A=nBb(y,24)|0;ZQb(A,y);U=A}A=f[s>>2]|0;y=f[v>>2]|0;f[v>>2]=y+1;f[A+4+(y<<2)>>2]=U;T=U}y=f[c>>2]|0;if(y>>>0<(f[g>>2]|0)>>>0?(A=b[y>>0]|0,A<<24>>24>-1):0){f[c>>2]=y+1;V=A&255}else{A=wCb(c)|0;if((A|0)>-1)V=A;else{H=0;C=74;break a}}hCb(e,c,V);if((f[w>>2]|0)<0){C=65;break a}if(!(Sh[f[(f[T>>2]|0)+44>>2]&511](T,c)|0)){C=65;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{H=0;C=74;break a}break}case 5:{if((B&255|0)!=42){E=B;break b}if(HEb(c,dFa(x)|0)|0)continue a;else{H=0;C=74;break a}break}default:{E=B;break b}}}while(0);if(!E){H=1;C=74;break}A=f[j>>2]|0;if(!(A&1))W=AHa(j)|0;else W=A&-2;if(!(b4b(c,E,W)|0)){H=0;C=74;break}}if((C|0)==33){H=0;u=d;return H|0}else if((C|0)==44){H=0;u=d;return H|0}else if((C|0)==65){H=0;u=d;return H|0}else if((C|0)==74){u=d;return H|0}return 0}function LQb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=f[a+20>>2]|0;e=c+d|0;if(!c)g=e;else{d=a+28|0;h=0;i=e;while(1){e=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;j=ci[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(c|0)){g=e;break}else i=e}}i=f[a+36>>2]|0;c=i+g|0;if(!i)k=c;else{g=a+44|0;h=0;d=c;while(1){c=f[(f[g>>2]|0)+4+(h<<2)>>2]|0;e=ci[f[(f[c>>2]|0)+48>>2]&1023](c)|0;c=e+d+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(i|0)){k=c;break}else d=c}}d=f[a+52>>2]|0;i=d+k|0;if((d|0)>0){k=f[a+60>>2]|0;h=0;g=i;while(1){c=f[k+4+(h<<2)>>2]|0;e=b[c+11>>0]|0;j=e<<24>>24<0?f[c+4>>2]|0:e&255;e=j+g+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(d|0)){l=e;break}else g=e}}else l=i;i=f[a+8>>2]|0;if(!(i&3)){m=l;n=a+12|0;f[n>>2]=m;return m|0}if(!(i&1))o=l;else{g=f[a+64>>2]|0;d=b[g+11>>0]|0;h=d<<24>>24<0?f[g+4>>2]|0:d&255;o=l+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(i&2)){m=o;n=a+12|0;f[n>>2]=m;return m|0}i=f[a+68>>2]|0;h=ci[f[(f[i>>2]|0)+48>>2]&1023](i)|0;m=o+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0;n=a+12|0;f[n>>2]=m;return m|0}function MQb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=f[a+8>>2]|0;if(c&1|0)BEb(1,f[a+64>>2]|0,b);d=f[a+20>>2]|0;if(d|0){e=a+28|0;g=0;do{GEb(2,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(d|0))}if(c&2|0)GEb(3,f[a+68>>2]|0,b);c=f[a+36>>2]|0;if(c|0){d=a+44|0;g=0;do{GEb(4,f[(f[d>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(c|0))}c=f[a+52>>2]|0;if((c|0)>0){g=a+60|0;d=0;do{AEb(5,f[(f[g>>2]|0)+4+(d<<2)>>2]|0,b);d=d+1|0}while((d|0)!=(c|0))}c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function NQb(a){a=a|0;return f[a+12>>2]|0}function OQb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;e=f[a+8>>2]|0;if(!(e&1))g=d;else{h=f[a+64>>2]|0;b[d>>0]=10;g=GCb(h,d+1|0)|0}d=f[a+20>>2]|0;if(!d)i=g;else{h=a+28|0;j=0;k=g;while(1){g=f[(f[h>>2]|0)+4+(j<<2)>>2]|0;b[k>>0]=18;l=k+1|0;m=ci[f[(f[g>>2]|0)+60>>2]&1023](g)|0;if(m>>>0>127){n=m;o=l;while(1){b[o>>0]=n|128;p=n>>>7;q=o+1|0;if(n>>>0>16383){n=p;o=q}else{r=q;s=p;break}}}else{r=l;s=m}b[r>>0]=s;o=ki[f[(f[g>>2]|0)+64>>2]&511](g,c,r+1|0)|0;j=j+1|0;if((j|0)==(d|0)){i=o;break}else k=o}}if(!(e&2))t=i;else{e=f[a+68>>2]|0;b[i>>0]=26;k=i+1|0;i=ci[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(i>>>0>127){d=i;j=k;while(1){b[j>>0]=d|128;r=d>>>7;s=j+1|0;if(d>>>0>16383){d=r;j=s}else{u=s;v=r;break}}}else{u=k;v=i}b[u>>0]=v;t=ki[f[(f[e>>2]|0)+64>>2]&511](e,c,u+1|0)|0}u=f[a+36>>2]|0;if(!u)w=t;else{e=a+44|0;v=0;i=t;while(1){t=f[(f[e>>2]|0)+4+(v<<2)>>2]|0;b[i>>0]=34;k=i+1|0;j=ci[f[(f[t>>2]|0)+60>>2]&1023](t)|0;if(j>>>0>127){d=j;r=k;while(1){b[r>>0]=d|128;s=d>>>7;h=r+1|0;if(d>>>0>16383){d=s;r=h}else{x=h;y=s;break}}}else{x=k;y=j}b[x>>0]=y;r=ki[f[(f[t>>2]|0)+64>>2]&511](t,c,x+1|0)|0;v=v+1|0;if((v|0)==(u|0)){w=r;break}else i=r}}i=f[a+52>>2]|0;if((i|0)>0){u=a+60|0;v=0;x=w;while(1){c=f[(f[u>>2]|0)+4+(v<<2)>>2]|0;b[x>>0]=42;y=GCb(c,x+1|0)|0;v=v+1|0;if((v|0)==(i|0)){z=y;break}else x=y}}else z=w;w=f[a+4>>2]|0;if(!(w&1)){A=z;return A|0}A=f4b(w&-2,z)|0;return A|0}function PQb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function QQb(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,24280,0)|0;if(!c){c2b(b,a);return}else{TQb(a,c);return}}function RQb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function SQb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222940]|0)!=2){f[d>>2]=149752;f[d+4>>2]=135;b[d+8>>0]=0;dEb(891760,d);zDb(d)}d=536992;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function TQb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}UQb(a+16|0,b+16|0);VQb(a+32|0,b+32|0);BHa(a+48|0,b+48|0);d=f[b+8>>2]|0;if(!(d&3))return;do if(d&1|0){g=f[b+64>>2]|0;e=a+8|0;f[e>>2]=f[e>>2]|1;e=a+64|0;h=f[c>>2]|0;i=h&-2;if(!(h&1))j=i;else j=f[i+4>>2]|0;i=f[e>>2]|0;if((i|0)==535416){PDa(e,j,g);break}else{Qmc(i,g)|0;break}}while(0);if(!(d&2))return;d=a+8|0;f[d>>2]=f[d>>2]|2;d=a+68|0;j=f[d>>2]|0;if(!j){WQb(a);k=f[d>>2]|0}else k=j;j=f[b+68>>2]|0;PNb(k,j|0?j:536416);return}function UQb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{pRb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(28)|0;AQb(l);pRb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,24264,32);l=nBb(i,32)|0;BQb(l,i);pRb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function VQb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{YQb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(24)|0;XQb(l);YQb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,24296,24);l=nBb(i,24)|0;ZQb(l,i);YQb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function WQb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=Bmc(52)|0;QNb(c);e=c;g=a+68|0;f[g>>2]=e;return}if(f[d+64>>2]|0)pBb(d,24152,56);c=nBb(d,56)|0;RNb(c,d);e=c;g=a+68|0;f[g>>2]=e;return}function XQb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=154316;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=535944?(f[222950]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=145;b[d+8>>0]=0;dEb(891800,d);zDb(d)}f[a+12>>2]=0;d=a+16|0;f[d>>2]=0;f[d+4>>2]=0;u=c;return}function YQb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=b+4|0;d=f[a+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}d=f[a+8>>2]|0;if(!(d&3))return;if(d&1|0)f[b+16>>2]=f[a+16>>2];if(d&2|0)f[b+20>>2]=f[a+20>>2];a=b+8|0;f[a>>2]=f[a>>2]|d;return}function ZQb(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=154316;f[a+4>>2]=c;f[a+8>>2]=0;if((f[222950]|0)!=2){f[e>>2]=149752;f[e+4>>2]=145;b[e+8>>0]=0;dEb(891800,e);zDb(e)}f[a+12>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;u=d;return}function _Qb(a){a=a|0;var b=0,c=0;f[a>>2]=154316;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function $Qb(a){a=a|0;var b=0,c=0;f[a>>2]=154316;b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function aRb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function bRb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(24)|0;XQb(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,24296,24);a=nBb(b,24)|0;ZQb(a,b);c=a;return c|0}function cRb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function dRb(a){a=a|0;return f[a+4>>2]|0}function eRb(a){a=a|0;var b=0,c=0;b=a+8|0;if(f[b>>2]&3|0){c=a+16|0;f[c>>2]=0;f[c+4>>2]=0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function fRb(a){a=a|0;return 1}function gRb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;d=c+4|0;e=a+8|0;g=a+16|0;h=a+20|0;i=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){j=b[a>>0]|0;k=j&255;if(j<<24>>24>0){f[c>>2]=a+1;l=k;m=6}else{n=k;m=5}}else{n=0;m=5}if((m|0)==5){m=0;k=xCb(c,n)|0;if((k+-1|0)>>>0<127){l=k;m=6}else o=k}b:do if((m|0)==6){m=0;switch(l>>>3&536870911|0){case 1:{if((l&255|0)!=8){o=l;break b}f[e>>2]=f[e>>2]|1;k=f[c>>2]|0;if(k>>>0<(f[d>>2]|0)>>>0){a=b[k>>0]|0;j=a&255;if(a<<24>>24>-1){f[c>>2]=k+1;p=j}else{q=j;m=11}}else{q=0;m=11}if((m|0)==11){m=0;j=iCb(c,q)|0;k=J;if((k|0)>-1|(k|0)==-1&j>>>0>4294967295)p=j;else{r=0;m=24;break a}}f[g>>2]=p;continue a;break}case 2:{if((l&255|0)!=16){o=l;break b}f[e>>2]=f[e>>2]|2;j=f[c>>2]|0;if(j>>>0<(f[d>>2]|0)>>>0){k=b[j>>0]|0;a=k&255;if(k<<24>>24>-1){f[c>>2]=j+1;s=a}else{t=a;m=17}}else{t=0;m=17}if((m|0)==17){m=0;a=iCb(c,t)|0;j=J;if((j|0)>-1|(j|0)==-1&a>>>0>4294967295)s=a;else{r=0;m=24;break a}}f[h>>2]=s;continue a;break}default:{o=l;break b}}}while(0);if(!o){r=1;m=24;break}a=f[i>>2]|0;if(!(a&1))u=AHa(i)|0;else u=a&-2;if(!(b4b(c,o,u)|0)){r=0;m=24;break}}if((m|0)==24)return r|0;return 0}function hRb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+8>>2]|0;if(!(b&3)){d=c;e=a+12|0;f[e>>2]=d;return d|0}if(!(b&1))g=c;else{h=f[a+16>>2]|0;if((h|0)<0)i=11;else i=((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;g=i+c|0}if(!(b&2)){d=g;e=a+12|0;f[e>>2]=d;return d|0}b=f[a+20>>2]|0;if((b|0)<0)j=11;else j=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;d=j+g|0;e=a+12|0;f[e>>2]=d;return d|0}function iRb(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)mEb(1,f[a+16>>2]|0,b);if(c&2|0)mEb(2,f[a+20>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function jRb(a){a=a|0;return f[a+12>>2]|0}function kRb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=8;h=d+1|0;d=g&255;if(g>>>0>127){i=h;j=d;k=g;l=((g|0)<0)<<31>>31;while(1){b[i>>0]=j|-128;g=k;k=Irc(k|0,l|0,7)|0;m=i+1|0;n=k&255;if(!(l>>>0>0|(l|0)==0&g>>>0>16383)){o=m;p=n;break}else{i=m;j=n;l=J}}}else{o=h;p=d}b[o>>0]=p;e=o+1|0}if(!(c&2))q=e;else{c=f[a+20>>2]|0;b[e>>0]=16;o=e+1|0;e=c&255;if(c>>>0>127){p=o;d=e;h=c;l=((c|0)<0)<<31>>31;while(1){b[p>>0]=d|-128;c=h;h=Irc(h|0,l|0,7)|0;j=p+1|0;i=h&255;if(!(l>>>0>0|(l|0)==0&c>>>0>16383)){r=j;s=i;break}else{p=j;d=i;l=J}}}else{r=o;s=e}b[r>>0]=s;q=r+1|0}r=f[a+4>>2]|0;if(!(r&1)){t=q;return t|0}t=f4b(r&-2,q)|0;return t|0}function lRb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function mRb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,24296,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}d=f[c+8>>2]|0;if(!(d&3))return;if(d&1|0)f[a+16>>2]=f[c+16>>2];if(d&2|0)f[a+20>>2]=f[c+20>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function nRb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function oRb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222940]|0)!=2){f[d>>2]=149752;f[d+4>>2]=135;b[d+8>>0]=0;dEb(891760,d);zDb(d)}d=536984;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function pRb(a,b){a=a|0;b=b|0;yQb(b,a);return}function qRb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;f[a>>2]=154208;f[a+4>>2]=0;f[a+8>>2]=0;e=(a|0)==535968;g=a+16|0;h=g+48|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));if(!e?(f[222951]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=146;b[d+8>>0]=0;dEb(891804,d);zDb(d)}f[a+12>>2]=0;f[a+64>>2]=535416;f[a+68>>2]=0;u=c;return}function rRb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+16|0;e=d;f[a>>2]=154208;f[a+4>>2]=c;f[a+8>>2]=0;f[a+16>>2]=c;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;f[a+32>>2]=c;f[a+36>>2]=0;f[a+40>>2]=0;f[a+44>>2]=0;f[a+48>>2]=c;f[a+52>>2]=0;f[a+56>>2]=0;f[a+60>>2]=0;if((f[222951]|0)==2){g=a+12|0;f[g>>2]=0;h=a+64|0;f[h>>2]=535416;i=a+68|0;f[i>>2]=0;u=d;return}f[e>>2]=149752;f[e+4>>2]=146;b[e+8>>0]=0;dEb(891804,e);zDb(e);g=a+12|0;f[g>>2]=0;h=a+64|0;f[h>>2]=535416;i=a+68|0;f[i>>2]=0;u=d;return}function sRb(a){a=a|0;var c=0,d=0;f[a>>2]=154424;c=f[a+16>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}if((a|0)!=535920?(c=f[a+20>>2]|0,c|0):0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(d);f[c>>2]=0;return}function tRb(a){a=a|0;sRb(a);Emc(a);return}function uRb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function vRb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(24)|0;LRb(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,24312,24);a=nBb(b,24)|0;MRb(a,b);c=a;return c|0}function wRb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function xRb(a){a=a|0;return f[a+4>>2]|0}function yRb(a){a=a|0;var c=0,d=0,e=0,g=0;c=a+8|0;d=f[c>>2]|0;if(d&3|0){do if(d&1|0?(e=f[a+16>>2]|0,(e|0)!=535416):0){g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);if(d&2|0){d=f[a+20>>2]|0;ai[f[(f[d>>2]|0)+28>>2]&2047](d)}}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function zRb(a){a=a|0;var b=0,c=0;if(f[a+8>>2]&2|0?(b=f[a+20>>2]|0,!(ci[f[(f[b>>2]|0)+32>>2]&1023](b)|0)):0){c=0;return c|0}c=1;return c|0}function ARb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+16|0;j=a+4|0;k=a+20|0;l=e+4|0;a:while(1){m=f[c>>2]|0;if(m>>>0<(f[g>>2]|0)>>>0){n=b[m>>0]|0;o=n&255;if(n<<24>>24>0){f[c>>2]=m+1;p=o;q=6}else{r=o;q=5}}else{r=0;q=5}if((q|0)==5){q=0;o=xCb(c,r)|0;if((o+-1|0)>>>0<127){p=o;q=6}else s=o}b:do if((q|0)==6){q=0;switch(p>>>3&536870911|0){case 1:{if((p&255|0)!=10){s=p;break b}f[h>>2]=f[h>>2]|1;o=f[j>>2]|0;m=o&-2;if(!(o&1))t=m;else t=f[m+4>>2]|0;m=f[i>>2]|0;if((m|0)==535416){PDa(i,t,535416);v=f[i>>2]|0}else v=m;if(HEb(c,v)|0)continue a;else{w=0;q=30;break a}break}case 2:break;default:{s=p;break b}}if((p&255|0)==18){f[h>>2]=f[h>>2]|2;m=f[k>>2]|0;if(!m){KRb(a);x=f[k>>2]|0}else x=m;m=f[c>>2]|0;if(m>>>0<(f[g>>2]|0)>>>0?(o=b[m>>0]|0,o<<24>>24>-1):0){f[c>>2]=m+1;y=o&255}else{o=wCb(c)|0;if((o|0)>-1)y=o;else{w=0;q=30;break a}}hCb(e,c,y);if((f[l>>2]|0)<0){q=23;break a}if(!(Sh[f[(f[x>>2]|0)+44>>2]&511](x,c)|0)){q=23;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{w=0;q=30;break a}}else s=p}while(0);if(!s){w=1;q=30;break}o=f[j>>2]|0;if(!(o&1))z=AHa(j)|0;else z=o&-2;if(!(b4b(c,s,z)|0)){w=0;q=30;break}}if((q|0)==23){w=0;u=d;return w|0}else if((q|0)==30){u=d;return w|0}return 0}function BRb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=f[a+8>>2]|0;if(!(c&3)){e=d;g=a+12|0;f[g>>2]=e;return e|0}if(!(c&1))h=d;else{i=f[a+16>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0?f[i+4>>2]|0:j&255;h=d+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(c&2)){e=h;g=a+12|0;f[g>>2]=e;return e|0}c=f[a+20>>2]|0;k=ci[f[(f[c>>2]|0)+48>>2]&1023](c)|0;e=h+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=a+12|0;f[g>>2]=e;return e|0}function CRb(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)BEb(1,f[a+16>>2]|0,b);if(c&2|0)GEb(2,f[a+20>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function DRb(a){a=a|0;return f[a+12>>2]|0}function ERb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=f[a+8>>2]|0;if(!(e&1))g=d;else{h=f[a+16>>2]|0;b[d>>0]=10;g=GCb(h,d+1|0)|0}if(!(e&2))i=g;else{e=f[a+20>>2]|0;b[g>>0]=18;d=g+1|0;g=ci[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(g>>>0>127){h=g;j=d;while(1){b[j>>0]=h|128;k=h>>>7;l=j+1|0;if(h>>>0>16383){h=k;j=l}else{m=l;n=k;break}}}else{m=d;n=g}b[m>>0]=n;i=ki[f[(f[e>>2]|0)+64>>2]&511](e,c,m+1|0)|0}m=f[a+4>>2]|0;if(!(m&1)){o=i;return o|0}o=f4b(m&-2,i)|0;return o|0}function FRb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function GRb(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,24312,0)|0;if(!c){c2b(b,a);return}else{JRb(a,c);return}}function HRb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function IRb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222940]|0)!=2){f[d>>2]=149752;f[d+4>>2]=135;b[d+8>>0]=0;dEb(891760,d);zDb(d)}d=536976;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function JRb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}d=f[b+8>>2]|0;if(!(d&3))return;do if(d&1|0){g=f[b+16>>2]|0;e=a+8|0;f[e>>2]=f[e>>2]|1;e=a+16|0;h=f[c>>2]|0;i=h&-2;if(!(h&1))j=i;else j=f[i+4>>2]|0;i=f[e>>2]|0;if((i|0)==535416){PDa(e,j,g);break}else{Qmc(i,g)|0;break}}while(0);if(!(d&2))return;d=a+8|0;f[d>>2]=f[d>>2]|2;d=a+20|0;j=f[d>>2]|0;if(!j){KRb(a);k=f[d>>2]|0}else k=j;j=f[b+20>>2]|0;b=j|0?j:536368;b6b(k+4|0,b+4|0);j=k+20|0;d=f[b+20>>2]|0;if(d&1|0){a=f[j>>2]|0;if(!(a&1))l=AHa(j)|0;else l=a&-2;O3b(l,d&-2)}JMb(k+32|0,b+32|0);return}function KRb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=Bmc(48)|0;hOb(c);e=c;g=a+20|0;f[g>>2]=e;return}if(f[d+64>>2]|0)pBb(d,24168,48);c=nBb(d,48)|0;iOb(c,d);e=c;g=a+20|0;f[g>>2]=e;return}function LRb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=154424;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=535920?(f[222949]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=144;b[d+8>>0]=0;dEb(891796,d);zDb(d)}f[a+12>>2]=0;f[a+16>>2]=535416;f[a+20>>2]=0;u=c;return}function MRb(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=154424;f[a+4>>2]=c;f[a+8>>2]=0;if((f[222949]|0)!=2){f[e>>2]=149752;f[e+4>>2]=144;b[e+8>>0]=0;dEb(891796,e);zDb(e)}f[a+12>>2]=0;f[a+16>>2]=535416;f[a+20>>2]=0;u=d;return}function NRb(a){a=a|0;var b=0,c=0;f[a>>2]=154532;gSb(a);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function ORb(a){a=a|0;NRb(a);Emc(a);return}function PRb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function QRb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(56)|0;eSb(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,24328,56);a=nBb(b,56)|0;fSb(a,b);c=a;return c|0}function RRb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function SRb(a){a=a|0;return f[a+4>>2]|0}function TRb(a){a=a|0;var c=0,d=0,e=0,g=0;c=a+8|0;d=f[c>>2]|0;if(d&63|0){do if(d&1|0?(e=f[a+16>>2]|0,(e|0)!=535416):0){g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&2|0?(g=f[a+20>>2]|0,(g|0)!=535416):0){e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);do if(d&4|0?(e=f[a+24>>2]|0,(e|0)!=535416):0){g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&8|0?(g=f[a+28>>2]|0,(g|0)!=535416):0){e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);do if(d&16|0?(e=f[a+32>>2]|0,(e|0)!=535416):0){g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);if(d&32|0){g=f[a+36>>2]|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}}if(d&192|0){g=a+40|0;f[g>>2]=0;f[g+4>>2]=0}if(d&768|0){f[a+48>>2]=1;f[a+52>>2]=1}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function URb(a){a=a|0;var b=0,c=0;if(f[a+8>>2]&32|0?(b=f[a+36>>2]|0,!(ci[f[(f[b>>2]|0)+32>>2]&1023](b)|0)):0){c=0;return c|0}c=1;return c|0}function VRb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+16|0;j=a+4|0;k=a+20|0;l=a+40|0;m=a+48|0;n=a+52|0;o=a+24|0;p=a+28|0;q=a+36|0;r=e+4|0;s=a+44|0;t=a+32|0;a:while(1){v=f[c>>2]|0;if(v>>>0<(f[g>>2]|0)>>>0){w=b[v>>0]|0;x=w&255;if(w<<24>>24>0){f[c>>2]=v+1;y=x;z=6}else{A=x;z=5}}else{A=0;z=5}if((z|0)==5){z=0;x=xCb(c,A)|0;if((x+-1|0)>>>0<127){y=x;z=6}else B=x}b:do if((z|0)==6){z=0;do switch(y>>>3&536870911|0){case 1:{if((y&255|0)!=10){B=y;break b}f[h>>2]=f[h>>2]|1;x=f[j>>2]|0;v=x&-2;if(!(x&1))C=v;else C=f[v+4>>2]|0;v=f[i>>2]|0;if((v|0)==535416){PDa(i,C,535416);D=f[i>>2]|0}else D=v;if(HEb(c,D)|0)continue a;else{E=0;z=92;break a}break}case 2:{if((y&255|0)!=18){B=y;break b}f[h>>2]=f[h>>2]|2;v=f[j>>2]|0;x=v&-2;if(!(v&1))F=x;else F=f[x+4>>2]|0;x=f[k>>2]|0;if((x|0)==535416){PDa(k,F,535416);G=f[k>>2]|0}else G=x;if(HEb(c,G)|0)continue a;else{E=0;z=92;break a}break}case 3:{if((y&255|0)!=24){B=y;break b}f[h>>2]=f[h>>2]|64;x=f[c>>2]|0;if(x>>>0<(f[g>>2]|0)>>>0){v=b[x>>0]|0;w=v&255;if(v<<24>>24>-1){f[c>>2]=x+1;H=w}else{I=w;z=25}}else{I=0;z=25}if((z|0)==25){z=0;w=iCb(c,I)|0;x=J;if((x|0)>-1|(x|0)==-1&w>>>0>4294967295)H=w;else{E=0;z=92;break a}}f[l>>2]=H;continue a;break}case 4:{if((y&255|0)!=32){B=y;break b}w=f[c>>2]|0;if(w>>>0<(f[g>>2]|0)>>>0){x=b[w>>0]|0;v=x&255;if(x<<24>>24>-1){f[c>>2]=w+1;K=v}else{L=v;z=31}}else{L=0;z=31}if((z|0)==31){z=0;v=iCb(c,L)|0;w=J;if((w|0)>-1|(w|0)==-1&v>>>0>4294967295)K=v;else{E=0;z=92;break a}}if((K+-1|0)>>>0<3){f[h>>2]=f[h>>2]|256;f[m>>2]=K;continue a}v=f[j>>2]|0;if(!(v&1))M=AHa(j)|0;else M=v&-2;R3b(M,4,K,((K|0)<0)<<31>>31);continue a;break}case 5:{if((y&255|0)!=40){B=y;break b}v=f[c>>2]|0;if(v>>>0<(f[g>>2]|0)>>>0){w=b[v>>0]|0;x=w&255;if(w<<24>>24>-1){f[c>>2]=v+1;N=x}else{O=x;z=42}}else{O=0;z=42}if((z|0)==42){z=0;x=iCb(c,O)|0;v=J;if((v|0)>-1|(v|0)==-1&x>>>0>4294967295)N=x;else{E=0;z=92;break a}}if((N+-1|0)>>>0<18){f[h>>2]=f[h>>2]|512;f[n>>2]=N;continue a}x=f[j>>2]|0;if(!(x&1))P=AHa(j)|0;else P=x&-2;R3b(P,5,N,((N|0)<0)<<31>>31);continue a;break}case 6:{if((y&255|0)!=50){B=y;break b}f[h>>2]=f[h>>2]|4;x=f[j>>2]|0;v=x&-2;if(!(x&1))Q=v;else Q=f[v+4>>2]|0;v=f[o>>2]|0;if((v|0)==535416){PDa(o,Q,535416);R=f[o>>2]|0}else R=v;if(HEb(c,R)|0)continue a;else{E=0;z=92;break a}break}case 7:{if((y&255|0)!=58){B=y;break b}f[h>>2]=f[h>>2]|8;v=f[j>>2]|0;x=v&-2;if(!(v&1))S=x;else S=f[x+4>>2]|0;x=f[p>>2]|0;if((x|0)==535416){PDa(p,S,535416);T=f[p>>2]|0}else T=x;if(HEb(c,T)|0)continue a;else{E=0;z=92;break a}break}case 8:{if((y&255|0)!=66){B=y;break b}f[h>>2]=f[h>>2]|32;x=f[q>>2]|0;if(!x){dSb(a);U=f[q>>2]|0}else U=x;x=f[c>>2]|0;if(x>>>0<(f[g>>2]|0)>>>0?(v=b[x>>0]|0,v<<24>>24>-1):0){f[c>>2]=x+1;V=v&255}else{v=wCb(c)|0;if((v|0)>-1)V=v;else{E=0;z=92;break a}}hCb(e,c,V);if((f[r>>2]|0)<0){z=72;break a}if(!(Sh[f[(f[U>>2]|0)+44>>2]&511](U,c)|0)){z=72;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{E=0;z=92;break a}break}case 9:{if((y&255|0)!=72){B=y;break b}f[h>>2]=f[h>>2]|128;v=f[c>>2]|0;if(v>>>0<(f[g>>2]|0)>>>0){x=b[v>>0]|0;w=x&255;if(x<<24>>24>-1){f[c>>2]=v+1;W=w}else{X=w;z=78}}else{X=0;z=78}if((z|0)==78){z=0;w=iCb(c,X)|0;v=J;if((v|0)>-1|(v|0)==-1&w>>>0>4294967295)W=w;else{E=0;z=92;break a}}f[s>>2]=W;continue a;break}case 10:{if((y&255|0)!=82){B=y;break b}f[h>>2]=f[h>>2]|16;w=f[j>>2]|0;v=w&-2;if(!(w&1))Y=v;else Y=f[v+4>>2]|0;v=f[t>>2]|0;if((v|0)==535416){PDa(t,Y,535416);Z=f[t>>2]|0}else Z=v;if(HEb(c,Z)|0)continue a;else{E=0;z=92;break a}break}default:{B=y;break b}}while(0)}while(0);if(!B){E=1;z=92;break}v=f[j>>2]|0;if(!(v&1))_=AHa(j)|0;else _=v&-2;if(!(b4b(c,B,_)|0)){E=0;z=92;break}}if((z|0)==72){E=0;u=d;return E|0}else if((z|0)==92){u=d;return E|0}return 0}function WRb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=a+8|0;e=f[c>>2]|0;if(e&255){if(!(e&1))g=d;else{h=f[a+16>>2]|0;i=b[h+11>>0]|0;j=i<<24>>24<0?f[h+4>>2]|0:i&255;g=d+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(e&2))k=g;else{j=f[a+20>>2]|0;i=b[j+11>>0]|0;h=i<<24>>24<0?f[j+4>>2]|0:i&255;k=g+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(e&4))l=k;else{h=f[a+24>>2]|0;g=b[h+11>>0]|0;i=g<<24>>24<0?f[h+4>>2]|0:g&255;l=k+1+i+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(e&8))m=l;else{i=f[a+28>>2]|0;k=b[i+11>>0]|0;g=k<<24>>24<0?f[i+4>>2]|0:k&255;m=l+1+g+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(e&16))n=m;else{g=f[a+32>>2]|0;l=b[g+11>>0]|0;k=l<<24>>24<0?f[g+4>>2]|0:l&255;n=m+1+k+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(e&32)){o=n;p=e}else{k=f[a+36>>2]|0;m=ci[f[(f[k>>2]|0)+48>>2]&1023](k)|0;k=n+1+m+((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)|0;o=k;p=f[c>>2]|0}if(!(p&64))q=o;else{c=f[a+40>>2]|0;if((c|0)<0)r=11;else r=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;q=r+o|0}if(!(p&128)){s=q;t=p}else{o=f[a+44>>2]|0;if((o|0)<0)u=11;else u=((((($(o|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;s=u+q|0;t=p}}else{s=d;t=e}if(!(t&768)){v=s;w=a+12|0;f[w>>2]=v;return v|0}if(!(t&256))x=s;else{e=f[a+48>>2]|0;if((e|0)<0)y=11;else y=((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;x=y+s|0}if(!(t&512)){v=x;w=a+12|0;f[w>>2]=v;return v|0}t=f[a+52>>2]|0;if((t|0)<0)z=11;else z=((((($(t|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;v=z+x|0;w=a+12|0;f[w>>2]=v;return v|0}function XRb(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)BEb(1,f[a+16>>2]|0,b);if(c&2|0)BEb(2,f[a+20>>2]|0,b);if(c&64|0)mEb(3,f[a+40>>2]|0,b);if(c&256|0)zEb(4,f[a+48>>2]|0,b);if(c&512|0)zEb(5,f[a+52>>2]|0,b);if(c&4|0)BEb(6,f[a+24>>2]|0,b);if(c&8|0)BEb(7,f[a+28>>2]|0,b);if(c&32|0)GEb(8,f[a+36>>2]|0,b);if(c&128|0)mEb(9,f[a+44>>2]|0,b);if(c&16|0)BEb(10,f[a+32>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function YRb(a){a=a|0;return f[a+12>>2]|0}function ZRb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;e=f[a+8>>2]|0;if(!(e&1))g=d;else{h=f[a+16>>2]|0;b[d>>0]=10;g=GCb(h,d+1|0)|0}if(!(e&2))i=g;else{d=f[a+20>>2]|0;b[g>>0]=18;i=GCb(d,g+1|0)|0}if(!(e&64))j=i;else{g=f[a+40>>2]|0;b[i>>0]=24;d=i+1|0;i=g&255;if(g>>>0>127){h=d;k=i;l=g;m=((g|0)<0)<<31>>31;while(1){b[h>>0]=k|-128;g=l;l=Irc(l|0,m|0,7)|0;n=h+1|0;o=l&255;if(!(m>>>0>0|(m|0)==0&g>>>0>16383)){p=n;q=o;break}else{h=n;k=o;m=J}}}else{p=d;q=i}b[p>>0]=q;j=p+1|0}if(!(e&256))r=j;else{p=f[a+48>>2]|0;b[j>>0]=32;q=j+1|0;j=p&255;if(p>>>0>127){i=q;d=j;m=p;k=((p|0)<0)<<31>>31;while(1){b[i>>0]=d|-128;p=m;m=Irc(m|0,k|0,7)|0;h=i+1|0;l=m&255;if(!(k>>>0>0|(k|0)==0&p>>>0>16383)){s=h;t=l;break}else{i=h;d=l;k=J}}}else{s=q;t=j}b[s>>0]=t;r=s+1|0}if(!(e&512))u=r;else{s=f[a+52>>2]|0;b[r>>0]=40;t=r+1|0;r=s&255;if(s>>>0>127){j=t;q=r;k=s;d=((s|0)<0)<<31>>31;while(1){b[j>>0]=q|-128;s=k;k=Irc(k|0,d|0,7)|0;i=j+1|0;m=k&255;if(!(d>>>0>0|(d|0)==0&s>>>0>16383)){v=i;w=m;break}else{j=i;q=m;d=J}}}else{v=t;w=r}b[v>>0]=w;u=v+1|0}if(!(e&4))x=u;else{v=f[a+24>>2]|0;b[u>>0]=50;x=GCb(v,u+1|0)|0}if(!(e&8))y=x;else{u=f[a+28>>2]|0;b[x>>0]=58;y=GCb(u,x+1|0)|0}if(!(e&32))z=y;else{x=f[a+36>>2]|0;b[y>>0]=66;u=y+1|0;y=ci[f[(f[x>>2]|0)+60>>2]&1023](x)|0;if(y>>>0>127){v=y;w=u;while(1){b[w>>0]=v|128;r=v>>>7;t=w+1|0;if(v>>>0>16383){v=r;w=t}else{A=t;B=r;break}}}else{A=u;B=y}b[A>>0]=B;z=ki[f[(f[x>>2]|0)+64>>2]&511](x,c,A+1|0)|0}if(!(e&128))C=z;else{A=f[a+44>>2]|0;b[z>>0]=72;c=z+1|0;z=A&255;if(A>>>0>127){x=c;B=z;y=A;u=((A|0)<0)<<31>>31;while(1){b[x>>0]=B|-128;A=y;y=Irc(y|0,u|0,7)|0;w=x+1|0;v=y&255;if(!(u>>>0>0|(u|0)==0&A>>>0>16383)){D=w;E=v;break}else{x=w;B=v;u=J}}}else{D=c;E=z}b[D>>0]=E;C=D+1|0}if(!(e&16))F=C;else{e=f[a+32>>2]|0;b[C>>0]=82;F=GCb(e,C+1|0)|0}C=f[a+4>>2]|0;if(!(C&1)){G=F;return G|0}G=f4b(C&-2,F)|0;return G|0}function _Rb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function $Rb(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,24328,0)|0;if(!c){c2b(b,a);return}else{cSb(a,c);return}}function aSb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function bSb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222940]|0)!=2){f[d>>2]=149752;f[d+4>>2]=135;b[d+8>>0]=0;dEb(891760,d);zDb(d)}d=536968;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function cSb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}d=f[b+8>>2]|0;if(d&255|0){do if(d&1|0){g=f[b+16>>2]|0;e=a+8|0;f[e>>2]=f[e>>2]|1;e=a+16|0;h=f[c>>2]|0;i=h&-2;if(!(h&1))j=i;else j=f[i+4>>2]|0;i=f[e>>2]|0;if((i|0)==535416){PDa(e,j,g);break}else{Qmc(i,g)|0;break}}while(0);do if(d&2|0){j=f[b+20>>2]|0;g=a+8|0;f[g>>2]=f[g>>2]|2;g=a+20|0;i=f[c>>2]|0;e=i&-2;if(!(i&1))k=e;else k=f[e+4>>2]|0;e=f[g>>2]|0;if((e|0)==535416){PDa(g,k,j);break}else{Qmc(e,j)|0;break}}while(0);do if(d&4|0){k=f[b+24>>2]|0;j=a+8|0;f[j>>2]=f[j>>2]|4;j=a+24|0;e=f[c>>2]|0;g=e&-2;if(!(e&1))l=g;else l=f[g+4>>2]|0;g=f[j>>2]|0;if((g|0)==535416){PDa(j,l,k);break}else{Qmc(g,k)|0;break}}while(0);do if(d&8|0){l=f[b+28>>2]|0;k=a+8|0;f[k>>2]=f[k>>2]|8;k=a+28|0;g=f[c>>2]|0;j=g&-2;if(!(g&1))m=j;else m=f[j+4>>2]|0;j=f[k>>2]|0;if((j|0)==535416){PDa(k,m,l);break}else{Qmc(j,l)|0;break}}while(0);do if(d&16|0){m=f[b+32>>2]|0;l=a+8|0;f[l>>2]=f[l>>2]|16;l=a+32|0;j=f[c>>2]|0;k=j&-2;if(!(j&1))n=k;else n=f[k+4>>2]|0;k=f[l>>2]|0;if((k|0)==535416){PDa(l,n,m);break}else{Qmc(k,m)|0;break}}while(0);if(d&32|0){n=a+8|0;f[n>>2]=f[n>>2]|32;n=a+36|0;c=f[n>>2]|0;if(!c){dSb(a);o=f[n>>2]|0}else o=c;c=f[b+36>>2]|0;AOb(o,c|0?c:536304)}if(d&64|0)f[a+40>>2]=f[b+40>>2];if(d&128|0)f[a+44>>2]=f[b+44>>2];c=a+8|0;f[c>>2]=f[c>>2]|d}if(!(d&768))return;if(d&256|0)f[a+48>>2]=f[b+48>>2];if(d&512|0)f[a+52>>2]=f[b+52>>2];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function dSb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=Bmc(60)|0;BOb(c);e=c;g=a+36|0;f[g>>2]=e;return}if(f[d+64>>2]|0)pBb(d,24184,64);c=nBb(d,64)|0;COb(c,d);e=c;g=a+36|0;f[g>>2]=e;return}function eSb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=154532;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=535864?(f[222948]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=143;b[d+8>>0]=0;dEb(891792,d);zDb(d)}f[a+12>>2]=0;f[a+16>>2]=535416;f[a+20>>2]=535416;f[a+24>>2]=535416;f[a+28>>2]=535416;f[a+32>>2]=535416;d=a+36|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[a+48>>2]=1;f[a+52>>2]=1;u=c;return}function fSb(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=154532;f[a+4>>2]=c;f[a+8>>2]=0;if((f[222948]|0)!=2){f[e>>2]=149752;f[e+4>>2]=143;b[e+8>>0]=0;dEb(891792,e);zDb(e)}f[a+12>>2]=0;f[a+16>>2]=535416;f[a+20>>2]=535416;f[a+24>>2]=535416;f[a+28>>2]=535416;f[a+32>>2]=535416;e=a+36|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[a+48>>2]=1;f[a+52>>2]=1;u=d;return}function gSb(a){a=a|0;var c=0;c=f[a+16>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+20>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+24>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+28>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+32>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}if((a|0)==535864)return;c=f[a+36>>2]|0;if(!c)return;ai[f[(f[c>>2]|0)+4>>2]&2047](c);return}function hSb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=154640;b=a+44|0;c=f[b>>2]|0;if(c|0?(f[a+32>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)ai[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;Emc(h)}f[b>>2]=0;b=a+20|0;h=f[b>>2]|0;if(h&1|0?(c=h&-2,h=c,!((c|0)==0|(f[h+4>>2]|0)!=0)):0){if(f[h>>2]|0)L3b(h);Emc(c)}f[b>>2]=0;M4b(a+4|0);return}function iSb(a){a=a|0;hSb(a);Emc(a);return}function jSb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function kSb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(48)|0;ySb(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,24344,48);a=nBb(b,48)|0;zSb(a,b);c=a;return c|0}function lSb(a){a=a|0;var b=0,c=0;b=f[a+20>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function mSb(a){a=a|0;return f[a+20>>2]|0}function nSb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;a6b(a+4|0);b=a+36|0;c=f[b>>2]|0;if((c|0)>0){d=f[a+44>>2]|0;e=0;do{g=f[d+4+(e<<2)>>2]|0;e=e+1|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}while((e|0)!=(c|0));f[b>>2]=0}f[a+24>>2]=0;b=f[a+20>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function oSb(a){a=a|0;var b=0,c=0,d=0,e=0;if(!(f6b(a+4|0)|0)){b=0;return b|0}c=a+44|0;d=f[a+36>>2]|0;while(1){if((d|0)<=0){b=1;e=5;break}d=d+-1|0;a=f[(f[c>>2]|0)+4+(d<<2)>>2]|0;if(!(ci[f[(f[a>>2]|0)+32>>2]&1023](a)|0)){b=0;e=5;break}}if((e|0)==5)return b|0;return 0}function pSb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+32|0;j=e+4|0;k=a+4|0;l=a+20|0;while(1){a=f[c>>2]|0;m=f[g>>2]|0;do if(a>>>0<m>>>0){n=b[a>>0]|0;o=n&255;p=a+1|0;if(n<<24>>24>0){q=p;r=o}else{if(p>>>0>=m>>>0){s=o;t=7;break}n=h[p>>0]|0;if(((n^128)&o)>>>0<=127){s=o;t=7;break}q=a+2|0;r=o+-128+(n<<7)|0}f[c>>2]=q;v=r;t=9}else{s=0;t=7}while(0);if((t|0)==7){t=0;a=xCb(c,s)|0;if((a+-1|0)>>>0<16383){v=a;t=9}else w=a}if((t|0)==9){t=0;if((v|0)==7994){a=LMb(i)|0;m=f[c>>2]|0;if(m>>>0<(f[g>>2]|0)>>>0?(n=b[m>>0]|0,n<<24>>24>-1):0){f[c>>2]=m+1;x=n&255}else{n=wCb(c)|0;if((n|0)>-1)x=n;else{y=0;t=28;break}}hCb(e,c,x);if((f[j>>2]|0)<0){t=16;break}if(!(Sh[f[(f[a>>2]|0)+44>>2]&511](a,c)|0)){t=16;break}if(mCb(c,f[e>>2]|0)|0)continue;else{y=0;t=28;break}}else w=v}if(!w){y=1;t=28;break}a=f[l>>2]|0;n=(a&1|0)==0;if(w>>>0>7999){if(n)z=AHa(l)|0;else z=a&-2;if(ZVb(k,w,c,535816,z)|0)continue;else{y=0;t=28;break}}else{if(n)A=AHa(l)|0;else A=a&-2;if(b4b(c,w,A)|0)continue;else{y=0;t=28;break}}}if((t|0)==16){y=0;u=d;return y|0}else if((t|0)==28){u=d;return y|0}return 0}function qSb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=l6b(a+4|0)|0;c=f[a+20>>2]|0;if(!(c&1))d=b;else d=(h4b(c&-2)|0)+b|0;b=f[a+36>>2]|0;c=(b<<1)+d|0;if(!b){e=c;g=a+28|0;f[g>>2]=e;return e|0}d=a+44|0;h=0;i=c;while(1){c=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;j=ci[f[(f[c>>2]|0)+48>>2]&1023](c)|0;c=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(b|0)){e=c;break}else i=c}g=a+28|0;f[g>>2]=e;return e|0}function rSb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a+36>>2]|0;if(c|0){d=a+44|0;e=0;do{GEb(999,f[(f[d>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(c|0))}j6b(a+4|0,1e3,536870912,b);c=f[a+20>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function sSb(a){a=a|0;return f[a+28>>2]|0}function tSb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=f[a+36>>2]|0;if(!e)g=d;else{h=a+44|0;i=0;j=d;while(1){d=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;b[j>>0]=-70;b[j+1>>0]=62;k=j+2|0;l=ci[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=k;r=l}b[q>>0]=r;n=ki[f[(f[d>>2]|0)+64>>2]&511](d,c,q+1|0)|0;i=i+1|0;if((i|0)==(e|0)){g=n;break}else j=n}}j=bWb(a+4|0,1e3,536870912,c,g)|0;g=f[a+20>>2]|0;if(!(g&1)){s=j;return s|0}s=f4b(g&-2,j)|0;return s|0}function uSb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function vSb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,24344,0)|0;if(!c){c2b(b,a);return}b6b(a+4|0,c+4|0);b=a+20|0;d=f[c+20>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}JMb(a+32|0,c+32|0);return}function wSb(a,b){a=a|0;b=b|0;f[a+28>>2]=b;return}function xSb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222940]|0)!=2){f[d>>2]=149752;f[d+4>>2]=135;b[d+8>>0]=0;dEb(891760,d);zDb(d)}d=536960;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function ySb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=154640;L4b(a+4|0);f[a+20>>2]=0;f[a+24>>2]=0;e=a+32|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=535816?(f[222947]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=142;b[d+8>>0]=0;dEb(891788,d);zDb(d)}f[a+28>>2]=0;u=c;return}function zSb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;f[a>>2]=154640;H4b(a+4|0,c);f[a+20>>2]=c;f[a+24>>2]=0;f[a+32>>2]=c;f[a+36>>2]=0;f[a+40>>2]=0;f[a+44>>2]=0;if((f[222947]|0)==2){g=a+28|0;f[g>>2]=0;u=d;return}f[e>>2]=149752;f[e+4>>2]=142;b[e+8>>0]=0;dEb(891788,e);zDb(e);g=a+28|0;f[g>>2]=0;u=d;return}function ASb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;f[a>>2]=154748;c=f[a+144>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}if((a|0)!=535664?(c=f[a+148>>2]|0,c|0):0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=a+140|0;d=f[c>>2]|0;if(d|0?(f[a+128>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0){if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);Emc(h)}g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;Emc(i)}f[c>>2]=0;c=a+124|0;i=f[c>>2]|0;if(i|0?(f[a+112>>2]|0)==0:0){d=f[i>>2]|0;if((d|0)>0){e=0;do{g=f[i+4+(e<<2)>>2]|0;if(g|0)ai[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));j=f[c>>2]|0}else j=i;Emc(j)}f[c>>2]=0;c=a+108|0;j=f[c>>2]|0;if(j|0?(f[a+96>>2]|0)==0:0){i=f[j>>2]|0;if((i|0)>0){d=0;do{e=f[j+4+(d<<2)>>2]|0;if(e|0)ai[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(i|0));k=f[c>>2]|0}else k=j;Emc(k)}f[c>>2]=0;c=a+92|0;k=f[c>>2]|0;if(k|0?(f[a+80>>2]|0)==0:0){j=f[k>>2]|0;if((j|0)>0){i=0;do{d=f[k+4+(i<<2)>>2]|0;if(d|0)ai[f[(f[d>>2]|0)+4>>2]&2047](d);i=i+1|0}while((i|0)!=(j|0));l=f[c>>2]|0}else l=k;Emc(l)}f[c>>2]=0;c=a+76|0;l=f[c>>2]|0;if(l|0?(f[a+64>>2]|0)==0:0){k=f[l>>2]|0;if((k|0)>0){j=0;do{i=f[l+4+(j<<2)>>2]|0;if(i|0)ai[f[(f[i>>2]|0)+4>>2]&2047](i);j=j+1|0}while((j|0)!=(k|0));m=f[c>>2]|0}else m=l;Emc(m)}f[c>>2]=0;c=a+60|0;m=f[c>>2]|0;if(m|0?(f[a+48>>2]|0)==0:0){l=f[m>>2]|0;if((l|0)>0){k=0;do{j=f[m+4+(k<<2)>>2]|0;if(j|0)ai[f[(f[j>>2]|0)+4>>2]&2047](j);k=k+1|0}while((k|0)!=(l|0));n=f[c>>2]|0}else n=m;Emc(n)}f[c>>2]=0;c=a+44|0;n=f[c>>2]|0;if(n|0?(f[a+32>>2]|0)==0:0){m=f[n>>2]|0;if((m|0)>0){l=0;do{k=f[n+4+(l<<2)>>2]|0;if(k|0)ai[f[(f[k>>2]|0)+4>>2]&2047](k);l=l+1|0}while((l|0)!=(m|0));o=f[c>>2]|0}else o=n;Emc(o)}f[c>>2]=0;c=a+28|0;o=f[c>>2]|0;if(o|0?(f[a+16>>2]|0)==0:0){n=f[o>>2]|0;if((n|0)>0){m=0;do{l=f[o+4+(m<<2)>>2]|0;if(l|0)ai[f[(f[l>>2]|0)+4>>2]&2047](l);m=m+1|0}while((m|0)!=(n|0));p=f[c>>2]|0}else p=o;Emc(p)}f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}p=a&-2;a=p;if((p|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(p);f[c>>2]=0;return}function BSb(a){a=a|0;ASb(a);Emc(a);return}function CSb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function DSb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(152)|0;PTb(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,24360,152);a=nBb(b,152)|0;RTb(a,b);c=a;return c|0}function ESb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function FSb(a){a=a|0;return f[a+4>>2]|0}function GSb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+20|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+28>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((g|0)!=(d|0));f[c>>2]=0}c=a+36|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+44>>2]|0;e=0;do{h=f[g+4+(e<<2)>>2]|0;e=e+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((e|0)!=(d|0));f[c>>2]=0}c=a+52|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+60>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((g|0)!=(d|0));f[c>>2]=0}c=a+68|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+76>>2]|0;e=0;do{h=f[g+4+(e<<2)>>2]|0;e=e+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((e|0)!=(d|0));f[c>>2]=0}c=a+84|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+92>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((g|0)!=(d|0));f[c>>2]=0}c=a+100|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+108>>2]|0;e=0;do{h=f[g+4+(e<<2)>>2]|0;e=e+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((e|0)!=(d|0));f[c>>2]=0}c=a+116|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+124>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((g|0)!=(d|0));f[c>>2]=0}c=a+132|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+140>>2]|0;e=0;do{h=f[g+4+(e<<2)>>2]|0;e=e+1|0;i=h+11|0;if((b[i>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0}else{b[h>>0]=0;b[i>>0]=0}}while((e|0)!=(d|0));f[c>>2]=0}c=a+8|0;d=f[c>>2]|0;if(d&3|0){do if(d&1|0?(e=f[a+144>>2]|0,(e|0)!=535416):0){g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);if(d&2|0){d=f[a+148>>2]|0;ai[f[(f[d>>2]|0)+28>>2]&2047](d)}}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function HSb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+28|0;c=f[a+20>>2]|0;while(1){if((c|0)<=0)break;c=c+-1|0;d=f[(f[b>>2]|0)+4+(c<<2)>>2]|0;if(!(ci[f[(f[d>>2]|0)+32>>2]&1023](d)|0)){e=0;g=22;break}}if((g|0)==22)return e|0;c=a+44|0;b=f[a+36>>2]|0;while(1){if((b|0)<=0)break;b=b+-1|0;d=f[(f[c>>2]|0)+4+(b<<2)>>2]|0;if(!(ci[f[(f[d>>2]|0)+32>>2]&1023](d)|0)){e=0;g=22;break}}if((g|0)==22)return e|0;b=a+60|0;c=f[a+52>>2]|0;while(1){if((c|0)<=0)break;c=c+-1|0;d=f[(f[b>>2]|0)+4+(c<<2)>>2]|0;if(!(ci[f[(f[d>>2]|0)+32>>2]&1023](d)|0)){e=0;g=22;break}}if((g|0)==22)return e|0;c=a+76|0;b=f[a+68>>2]|0;while(1){if((b|0)<=0)break;b=b+-1|0;d=f[(f[c>>2]|0)+4+(b<<2)>>2]|0;if(!(ci[f[(f[d>>2]|0)+32>>2]&1023](d)|0)){e=0;g=22;break}}if((g|0)==22)return e|0;b=a+92|0;c=f[a+84>>2]|0;while(1){if((c|0)<=0)break;c=c+-1|0;d=f[(f[b>>2]|0)+4+(c<<2)>>2]|0;if(!(ci[f[(f[d>>2]|0)+32>>2]&1023](d)|0)){e=0;g=22;break}}if((g|0)==22)return e|0;c=a+108|0;b=f[a+100>>2]|0;while(1){if((b|0)<=0)break;b=b+-1|0;d=f[(f[c>>2]|0)+4+(b<<2)>>2]|0;if(!(ci[f[(f[d>>2]|0)+32>>2]&1023](d)|0)){e=0;g=22;break}}if((g|0)==22)return e|0;if(f[a+8>>2]&2|0?(g=f[a+148>>2]|0,!(ci[f[(f[g>>2]|0)+32>>2]&1023](g)|0)):0){e=0;return e|0}e=1;return e|0}function ISb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+144|0;j=a+4|0;k=a+16|0;l=e+4|0;m=a+32|0;n=e+4|0;o=a+48|0;p=e+4|0;q=a+64|0;r=a+76|0;s=a+72|0;t=a+68|0;v=e+4|0;w=a+80|0;x=e+4|0;y=a+148|0;z=e+4|0;A=a+96|0;B=a+108|0;C=a+104|0;D=a+100|0;E=e+4|0;F=a+112|0;G=a+124|0;H=a+120|0;I=a+116|0;J=e+4|0;K=a+128|0;a:while(1){L=f[c>>2]|0;if(L>>>0<(f[g>>2]|0)>>>0){M=b[L>>0]|0;N=M&255;if(M<<24>>24>0){f[c>>2]=L+1;O=N;P=6}else{Q=N;P=5}}else{Q=0;P=5}if((P|0)==5){P=0;N=xCb(c,Q)|0;if((N+-1|0)>>>0<127){O=N;P=6}else R=N}b:do if((P|0)==6){P=0;do switch(O>>>3&536870911|0){case 1:{if((O&255|0)!=10){R=O;break b}f[h>>2]=f[h>>2]|1;N=f[j>>2]|0;L=N&-2;if(!(N&1))S=L;else S=f[L+4>>2]|0;L=f[i>>2]|0;if((L|0)==535416){PDa(i,S,535416);T=f[i>>2]|0}else T=L;if(HEb(c,T)|0)continue a;else{U=0;P=131;break a}break}case 2:{if((O&255|0)!=18){R=O;break b}L=yIb(k)|0;N=f[c>>2]|0;if(N>>>0<(f[g>>2]|0)>>>0?(M=b[N>>0]|0,M<<24>>24>-1):0){f[c>>2]=N+1;V=M&255}else{M=wCb(c)|0;if((M|0)>-1)V=M;else{U=0;P=131;break a}}hCb(e,c,V);if((f[l>>2]|0)<0){P=21;break a}if(!(Sh[f[(f[L>>2]|0)+44>>2]&511](L,c)|0)){P=21;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{U=0;P=131;break a}break}case 3:{if((O&255|0)!=26){R=O;break b}L=tIb(m)|0;M=f[c>>2]|0;if(M>>>0<(f[g>>2]|0)>>>0?(N=b[M>>0]|0,N<<24>>24>-1):0){f[c>>2]=M+1;W=N&255}else{N=wCb(c)|0;if((N|0)>-1)W=N;else{U=0;P=131;break a}}hCb(e,c,W);if((f[n>>2]|0)<0){P=30;break a}if(!(Sh[f[(f[L>>2]|0)+44>>2]&511](L,c)|0)){P=30;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{U=0;P=131;break a}break}case 4:{if((O&255|0)!=34){R=O;break b}L=vIb(o)|0;N=f[c>>2]|0;if(N>>>0<(f[g>>2]|0)>>>0?(M=b[N>>0]|0,M<<24>>24>-1):0){f[c>>2]=N+1;X=M&255}else{M=wCb(c)|0;if((M|0)>-1)X=M;else{U=0;P=131;break a}}hCb(e,c,X);if((f[p>>2]|0)<0){P=39;break a}if(!(Sh[f[(f[L>>2]|0)+44>>2]&511](L,c)|0)){P=39;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{U=0;P=131;break a}break}case 5:{if((O&255|0)!=42){R=O;break b}L=f[r>>2]|0;do if(L){M=f[t>>2]|0;N=f[L>>2]|0;if((M|0)>=(N|0))if((N|0)==(f[s>>2]|0)){Y=N;P=47;break}else{Z=N;_=L;P=48;break}else{f[t>>2]=M+1;$=f[L+4+(M<<2)>>2]|0;break}}else{Y=f[s>>2]|0;P=47}while(0);if((P|0)==47){P=0;uDb(q,Y+1|0);L=f[r>>2]|0;Z=f[L>>2]|0;_=L;P=48}if((P|0)==48){P=0;f[_>>2]=Z+1;L=f[q>>2]|0;if(!L){M=Bmc(28)|0;sTb(M);aa=M}else{if(f[L+64>>2]|0)pBb(L,24392,32);M=nBb(L,32)|0;uTb(M,L);aa=M}M=f[r>>2]|0;L=f[t>>2]|0;f[t>>2]=L+1;f[M+4+(L<<2)>>2]=aa;$=aa}L=f[c>>2]|0;if(L>>>0<(f[g>>2]|0)>>>0?(M=b[L>>0]|0,M<<24>>24>-1):0){f[c>>2]=L+1;ba=M&255}else{M=wCb(c)|0;if((M|0)>-1)ba=M;else{U=0;P=131;break a}}hCb(e,c,ba);if((f[v>>2]|0)<0){P=60;break a}if(!(Sh[f[(f[$>>2]|0)+44>>2]&511]($,c)|0)){P=60;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{U=0;P=131;break a}break}case 6:{if((O&255|0)!=50){R=O;break b}M=yIb(w)|0;L=f[c>>2]|0;if(L>>>0<(f[g>>2]|0)>>>0?(N=b[L>>0]|0,N<<24>>24>-1):0){f[c>>2]=L+1;ca=N&255}else{N=wCb(c)|0;if((N|0)>-1)ca=N;else{U=0;P=131;break a}}hCb(e,c,ca);if((f[x>>2]|0)<0){P=69;break a}if(!(Sh[f[(f[M>>2]|0)+44>>2]&511](M,c)|0)){P=69;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{U=0;P=131;break a}break}case 7:{if((O&255|0)!=58){R=O;break b}f[h>>2]=f[h>>2]|2;M=f[y>>2]|0;if(!M){YSb(a);da=f[y>>2]|0}else da=M;M=f[c>>2]|0;if(M>>>0<(f[g>>2]|0)>>>0?(N=b[M>>0]|0,N<<24>>24>-1):0){f[c>>2]=M+1;ea=N&255}else{N=wCb(c)|0;if((N|0)>-1)ea=N;else{U=0;P=131;break a}}hCb(e,c,ea);if((f[z>>2]|0)<0){P=80;break a}if(!(Sh[f[(f[da>>2]|0)+44>>2]&511](da,c)|0)){P=80;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{U=0;P=131;break a}break}case 8:{if((O&255|0)!=66){R=O;break b}N=f[B>>2]|0;do if(N){M=f[D>>2]|0;L=f[N>>2]|0;if((M|0)>=(L|0))if((L|0)==(f[C>>2]|0)){fa=L;P=88;break}else{ga=L;ha=N;P=89;break}else{f[D>>2]=M+1;ia=f[N+4+(M<<2)>>2]|0;break}}else{fa=f[C>>2]|0;P=88}while(0);if((P|0)==88){P=0;uDb(A,fa+1|0);N=f[B>>2]|0;ga=f[N>>2]|0;ha=N;P=89}if((P|0)==89){P=0;f[ha>>2]=ga+1;N=f[A>>2]|0;if(!N){M=Bmc(24)|0;LRb(M);ja=M}else{if(f[N+64>>2]|0)pBb(N,24312,24);M=nBb(N,24)|0;MRb(M,N);ja=M}M=f[B>>2]|0;N=f[D>>2]|0;f[D>>2]=N+1;f[M+4+(N<<2)>>2]=ja;ia=ja}N=f[c>>2]|0;if(N>>>0<(f[g>>2]|0)>>>0?(M=b[N>>0]|0,M<<24>>24>-1):0){f[c>>2]=N+1;ka=M&255}else{M=wCb(c)|0;if((M|0)>-1)ka=M;else{U=0;P=131;break a}}hCb(e,c,ka);if((f[E>>2]|0)<0){P=101;break a}if(!(Sh[f[(f[ia>>2]|0)+44>>2]&511](ia,c)|0)){P=101;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{U=0;P=131;break a}break}case 9:{if((O&255|0)!=74){R=O;break b}M=f[G>>2]|0;do if(M){N=f[I>>2]|0;L=f[M>>2]|0;if((N|0)>=(L|0))if((L|0)==(f[H>>2]|0)){la=L;P=109;break}else{ma=L;na=M;P=110;break}else{f[I>>2]=N+1;oa=f[M+4+(N<<2)>>2]|0;break}}else{la=f[H>>2]|0;P=109}while(0);if((P|0)==109){P=0;uDb(F,la+1|0);M=f[G>>2]|0;ma=f[M>>2]|0;na=M;P=110}if((P|0)==110){P=0;f[na>>2]=ma+1;M=f[F>>2]|0;if(!M){N=Bmc(24)|0;ZSb(N);pa=N}else{if(f[M+64>>2]|0)pBb(M,24376,24);N=nBb(M,24)|0;$Sb(N,M);pa=N}N=f[G>>2]|0;M=f[I>>2]|0;f[I>>2]=M+1;f[N+4+(M<<2)>>2]=pa;oa=pa}M=f[c>>2]|0;if(M>>>0<(f[g>>2]|0)>>>0?(N=b[M>>0]|0,N<<24>>24>-1):0){f[c>>2]=M+1;qa=N&255}else{N=wCb(c)|0;if((N|0)>-1)qa=N;else{U=0;P=131;break a}}hCb(e,c,qa);if((f[J>>2]|0)<0){P=122;break a}if(!(Sh[f[(f[oa>>2]|0)+44>>2]&511](oa,c)|0)){P=122;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{U=0;P=131;break a}break}case 10:{if((O&255|0)!=82){R=O;break b}if(HEb(c,dFa(K)|0)|0)continue a;else{U=0;P=131;break a}break}default:{R=O;break b}}while(0)}while(0);if(!R){U=1;P=131;break}N=f[j>>2]|0;if(!(N&1))ra=AHa(j)|0;else ra=N&-2;if(!(b4b(c,R,ra)|0)){U=0;P=131;break}}if((P|0)==21){U=0;u=d;return U|0}else if((P|0)==30){U=0;u=d;return U|0}else if((P|0)==39){U=0;u=d;return U|0}else if((P|0)==60){U=0;u=d;return U|0}else if((P|0)==69){U=0;u=d;return U|0}else if((P|0)==80){U=0;u=d;return U|0}else if((P|0)==101){U=0;u=d;return U|0}else if((P|0)==122){U=0;u=d;return U|0}else if((P|0)==131){u=d;return U|0}return 0}function JSb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=f[a+20>>2]|0;e=c+d|0;if(!c)g=e;else{d=a+28|0;h=0;i=e;while(1){e=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;j=ci[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(c|0)){g=e;break}else i=e}}i=f[a+36>>2]|0;c=i+g|0;if(!i)k=c;else{g=a+44|0;h=0;d=c;while(1){c=f[(f[g>>2]|0)+4+(h<<2)>>2]|0;e=ci[f[(f[c>>2]|0)+48>>2]&1023](c)|0;c=e+d+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(i|0)){k=c;break}else d=c}}d=f[a+52>>2]|0;i=d+k|0;if(!d)l=i;else{k=a+60|0;h=0;g=i;while(1){i=f[(f[k>>2]|0)+4+(h<<2)>>2]|0;c=ci[f[(f[i>>2]|0)+48>>2]&1023](i)|0;i=c+g+((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(d|0)){l=i;break}else g=i}}g=f[a+68>>2]|0;d=g+l|0;if(!g)m=d;else{l=a+76|0;h=0;k=d;while(1){d=f[(f[l>>2]|0)+4+(h<<2)>>2]|0;i=ci[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=i+k+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(g|0)){m=d;break}else k=d}}k=f[a+84>>2]|0;g=k+m|0;if(!k)n=g;else{m=a+92|0;h=0;l=g;while(1){g=f[(f[m>>2]|0)+4+(h<<2)>>2]|0;d=ci[f[(f[g>>2]|0)+48>>2]&1023](g)|0;g=d+l+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(k|0)){n=g;break}else l=g}}l=f[a+100>>2]|0;k=l+n|0;if(!l)o=k;else{n=a+108|0;h=0;m=k;while(1){k=f[(f[n>>2]|0)+4+(h<<2)>>2]|0;g=ci[f[(f[k>>2]|0)+48>>2]&1023](k)|0;k=g+m+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(l|0)){o=k;break}else m=k}}m=f[a+116>>2]|0;l=m+o|0;if(!m)p=l;else{o=a+124|0;h=0;n=l;while(1){l=f[(f[o>>2]|0)+4+(h<<2)>>2]|0;k=ci[f[(f[l>>2]|0)+48>>2]&1023](l)|0;l=k+n+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(m|0)){p=l;break}else n=l}}n=f[a+132>>2]|0;m=n+p|0;if((n|0)>0){p=f[a+140>>2]|0;h=0;o=m;while(1){l=f[p+4+(h<<2)>>2]|0;k=b[l+11>>0]|0;g=k<<24>>24<0?f[l+4>>2]|0:k&255;k=g+o+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(n|0)){q=k;break}else o=k}}else q=m;m=f[a+8>>2]|0;if(!(m&3)){r=q;s=a+12|0;f[s>>2]=r;return r|0}if(!(m&1))t=q;else{o=f[a+144>>2]|0;n=b[o+11>>0]|0;h=n<<24>>24<0?f[o+4>>2]|0:n&255;t=q+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(m&2)){r=t;s=a+12|0;f[s>>2]=r;return r|0}m=f[a+148>>2]|0;h=ci[f[(f[m>>2]|0)+48>>2]&1023](m)|0;r=t+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0;s=a+12|0;f[s>>2]=r;return r|0}function KSb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=f[a+8>>2]|0;if(c&1|0)BEb(1,f[a+144>>2]|0,b);d=f[a+20>>2]|0;if(d|0){e=a+28|0;g=0;do{GEb(2,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(d|0))}d=f[a+36>>2]|0;if(d|0){g=a+44|0;e=0;do{GEb(3,f[(f[g>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(d|0))}d=f[a+52>>2]|0;if(d|0){e=a+60|0;g=0;do{GEb(4,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(d|0))}d=f[a+68>>2]|0;if(d|0){g=a+76|0;e=0;do{GEb(5,f[(f[g>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(d|0))}d=f[a+84>>2]|0;if(d|0){e=a+92|0;g=0;do{GEb(6,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(d|0))}if(c&2|0)GEb(7,f[a+148>>2]|0,b);c=f[a+100>>2]|0;if(c|0){d=a+108|0;g=0;do{GEb(8,f[(f[d>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(c|0))}c=f[a+116>>2]|0;if(c|0){g=a+124|0;d=0;do{GEb(9,f[(f[g>>2]|0)+4+(d<<2)>>2]|0,b);d=d+1|0}while((d|0)!=(c|0))}c=f[a+132>>2]|0;if((c|0)>0){d=a+140|0;g=0;do{AEb(10,f[(f[d>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(c|0))}c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function LSb(a){a=a|0;return f[a+12>>2]|0}function MSb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;e=f[a+8>>2]|0;if(!(e&1))g=d;else{h=f[a+144>>2]|0;b[d>>0]=10;g=GCb(h,d+1|0)|0}d=f[a+20>>2]|0;if(!d)i=g;else{h=a+28|0;j=0;k=g;while(1){g=f[(f[h>>2]|0)+4+(j<<2)>>2]|0;b[k>>0]=18;l=k+1|0;m=ci[f[(f[g>>2]|0)+60>>2]&1023](g)|0;if(m>>>0>127){n=m;o=l;while(1){b[o>>0]=n|128;p=n>>>7;q=o+1|0;if(n>>>0>16383){n=p;o=q}else{r=q;s=p;break}}}else{r=l;s=m}b[r>>0]=s;o=ki[f[(f[g>>2]|0)+64>>2]&511](g,c,r+1|0)|0;j=j+1|0;if((j|0)==(d|0)){i=o;break}else k=o}}k=f[a+36>>2]|0;if(!k)t=i;else{d=a+44|0;j=0;r=i;while(1){i=f[(f[d>>2]|0)+4+(j<<2)>>2]|0;b[r>>0]=26;s=r+1|0;h=ci[f[(f[i>>2]|0)+60>>2]&1023](i)|0;if(h>>>0>127){o=h;n=s;while(1){b[n>>0]=o|128;p=o>>>7;q=n+1|0;if(o>>>0>16383){o=p;n=q}else{u=q;v=p;break}}}else{u=s;v=h}b[u>>0]=v;n=ki[f[(f[i>>2]|0)+64>>2]&511](i,c,u+1|0)|0;j=j+1|0;if((j|0)==(k|0)){t=n;break}else r=n}}r=f[a+52>>2]|0;if(!r)w=t;else{k=a+60|0;j=0;u=t;while(1){t=f[(f[k>>2]|0)+4+(j<<2)>>2]|0;b[u>>0]=34;v=u+1|0;d=ci[f[(f[t>>2]|0)+60>>2]&1023](t)|0;if(d>>>0>127){n=d;o=v;while(1){b[o>>0]=n|128;g=n>>>7;m=o+1|0;if(n>>>0>16383){n=g;o=m}else{x=m;y=g;break}}}else{x=v;y=d}b[x>>0]=y;o=ki[f[(f[t>>2]|0)+64>>2]&511](t,c,x+1|0)|0;j=j+1|0;if((j|0)==(r|0)){w=o;break}else u=o}}u=f[a+68>>2]|0;if(!u)z=w;else{r=a+76|0;j=0;x=w;while(1){w=f[(f[r>>2]|0)+4+(j<<2)>>2]|0;b[x>>0]=42;y=x+1|0;k=ci[f[(f[w>>2]|0)+60>>2]&1023](w)|0;if(k>>>0>127){o=k;n=y;while(1){b[n>>0]=o|128;i=o>>>7;h=n+1|0;if(o>>>0>16383){o=i;n=h}else{A=h;B=i;break}}}else{A=y;B=k}b[A>>0]=B;n=ki[f[(f[w>>2]|0)+64>>2]&511](w,c,A+1|0)|0;j=j+1|0;if((j|0)==(u|0)){z=n;break}else x=n}}x=f[a+84>>2]|0;if(!x)C=z;else{u=a+92|0;j=0;A=z;while(1){z=f[(f[u>>2]|0)+4+(j<<2)>>2]|0;b[A>>0]=50;B=A+1|0;r=ci[f[(f[z>>2]|0)+60>>2]&1023](z)|0;if(r>>>0>127){n=r;o=B;while(1){b[o>>0]=n|128;t=n>>>7;d=o+1|0;if(n>>>0>16383){n=t;o=d}else{D=d;E=t;break}}}else{D=B;E=r}b[D>>0]=E;o=ki[f[(f[z>>2]|0)+64>>2]&511](z,c,D+1|0)|0;j=j+1|0;if((j|0)==(x|0)){C=o;break}else A=o}}if(!(e&2))F=C;else{e=f[a+148>>2]|0;b[C>>0]=58;A=C+1|0;C=ci[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(C>>>0>127){x=C;j=A;while(1){b[j>>0]=x|128;D=x>>>7;E=j+1|0;if(x>>>0>16383){x=D;j=E}else{G=E;H=D;break}}}else{G=A;H=C}b[G>>0]=H;F=ki[f[(f[e>>2]|0)+64>>2]&511](e,c,G+1|0)|0}G=f[a+100>>2]|0;if(!G)I=F;else{e=a+108|0;H=0;C=F;while(1){F=f[(f[e>>2]|0)+4+(H<<2)>>2]|0;b[C>>0]=66;A=C+1|0;j=ci[f[(f[F>>2]|0)+60>>2]&1023](F)|0;if(j>>>0>127){x=j;D=A;while(1){b[D>>0]=x|128;E=x>>>7;u=D+1|0;if(x>>>0>16383){x=E;D=u}else{J=u;K=E;break}}}else{J=A;K=j}b[J>>0]=K;D=ki[f[(f[F>>2]|0)+64>>2]&511](F,c,J+1|0)|0;H=H+1|0;if((H|0)==(G|0)){I=D;break}else C=D}}C=f[a+116>>2]|0;if(!C)L=I;else{G=a+124|0;H=0;J=I;while(1){I=f[(f[G>>2]|0)+4+(H<<2)>>2]|0;b[J>>0]=74;K=J+1|0;e=ci[f[(f[I>>2]|0)+60>>2]&1023](I)|0;if(e>>>0>127){D=e;x=K;while(1){b[x>>0]=D|128;z=D>>>7;r=x+1|0;if(D>>>0>16383){D=z;x=r}else{M=r;N=z;break}}}else{M=K;N=e}b[M>>0]=N;x=ki[f[(f[I>>2]|0)+64>>2]&511](I,c,M+1|0)|0;H=H+1|0;if((H|0)==(C|0)){L=x;break}else J=x}}J=f[a+132>>2]|0;if((J|0)>0){C=a+140|0;H=0;M=L;while(1){c=f[(f[C>>2]|0)+4+(H<<2)>>2]|0;b[M>>0]=82;N=GCb(c,M+1|0)|0;H=H+1|0;if((H|0)==(J|0)){O=N;break}else M=N}}else O=L;L=f[a+4>>2]|0;if(!(L&1)){P=O;return P|0}P=f4b(L&-2,O)|0;return P|0}function NSb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function OSb(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,24360,0)|0;if(!c){c2b(b,a);return}else{RSb(a,c);return}}function PSb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function QSb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222940]|0)!=2){f[d>>2]=149752;f[d+4>>2]=135;b[d+8>>0]=0;dEb(891760,d);zDb(d)}d=536952;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function RSb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}SSb(a+16|0,b+16|0);TSb(a+32|0,b+32|0);USb(a+48|0,b+48|0);VSb(a+64|0,b+64|0);SSb(a+80|0,b+80|0);WSb(a+96|0,b+96|0);XSb(a+112|0,b+112|0);BHa(a+128|0,b+128|0);d=f[b+8>>2]|0;if(!(d&3))return;do if(d&1|0){g=f[b+144>>2]|0;e=a+8|0;f[e>>2]=f[e>>2]|1;e=a+144|0;h=f[c>>2]|0;i=h&-2;if(!(h&1))j=i;else j=f[i+4>>2]|0;i=f[e>>2]|0;if((i|0)==535416){PDa(e,j,g);break}else{Qmc(i,g)|0;break}}while(0);if(!(d&2))return;d=a+8|0;f[d>>2]=f[d>>2]|2;d=a+148|0;j=f[d>>2]|0;if(!j){YSb(a);k=f[d>>2]|0}else k=j;j=f[b+148>>2]|0;UOb(k,j|0?j:536248);return}function SSb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{STb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(56)|0;eSb(l);STb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,24328,56);l=nBb(i,56)|0;fSb(l,i);STb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function TSb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{QTb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(152)|0;PTb(l);QTb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,24360,152);l=nBb(i,152)|0;RTb(l,i);QTb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function USb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{OTb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(72)|0;qRb(l);OTb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,24280,72);l=nBb(i,72)|0;rRb(l,i);OTb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function VSb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{tTb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(28)|0;sTb(l);tTb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,24392,32);l=nBb(i,32)|0;uTb(l,i);tTb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function WSb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{rTb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(24)|0;LRb(l);rTb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,24312,24);l=nBb(i,24)|0;MRb(l,i);rTb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function XSb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{_Sb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(24)|0;ZSb(l);_Sb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,24376,24);l=nBb(i,24)|0;$Sb(l,i);_Sb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function YSb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=Bmc(52)|0;VOb(c);e=c;g=a+148|0;f[g>>2]=e;return}if(f[d+64>>2]|0)pBb(d,24200,56);c=nBb(d,56)|0;WOb(c,d);e=c;g=a+148|0;f[g>>2]=e;return}function ZSb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=154856;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=535640?(f[222945]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=140;b[d+8>>0]=0;dEb(891780,d);zDb(d)}f[a+12>>2]=0;d=a+16|0;f[d>>2]=0;f[d+4>>2]=0;u=c;return}function _Sb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=b+4|0;d=f[a+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}d=f[a+8>>2]|0;if(!(d&3))return;if(d&1|0)f[b+16>>2]=f[a+16>>2];if(d&2|0)f[b+20>>2]=f[a+20>>2];a=b+8|0;f[a>>2]=f[a>>2]|d;return}function $Sb(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=154856;f[a+4>>2]=c;f[a+8>>2]=0;if((f[222945]|0)!=2){f[e>>2]=149752;f[e+4>>2]=140;b[e+8>>0]=0;dEb(891780,e);zDb(e)}f[a+12>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;u=d;return}function aTb(a){a=a|0;var b=0,c=0;f[a>>2]=154856;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function bTb(a){a=a|0;var b=0,c=0;f[a>>2]=154856;b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function cTb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function dTb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(24)|0;ZSb(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,24376,24);a=nBb(b,24)|0;$Sb(a,b);c=a;return c|0}function eTb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function fTb(a){a=a|0;return f[a+4>>2]|0}function gTb(a){a=a|0;var b=0,c=0;b=a+8|0;if(f[b>>2]&3|0){c=a+16|0;f[c>>2]=0;f[c+4>>2]=0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function hTb(a){a=a|0;return 1}function iTb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;d=c+4|0;e=a+8|0;g=a+16|0;h=a+20|0;i=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){j=b[a>>0]|0;k=j&255;if(j<<24>>24>0){f[c>>2]=a+1;l=k;m=6}else{n=k;m=5}}else{n=0;m=5}if((m|0)==5){m=0;k=xCb(c,n)|0;if((k+-1|0)>>>0<127){l=k;m=6}else o=k}b:do if((m|0)==6){m=0;switch(l>>>3&536870911|0){case 1:{if((l&255|0)!=8){o=l;break b}f[e>>2]=f[e>>2]|1;k=f[c>>2]|0;if(k>>>0<(f[d>>2]|0)>>>0){a=b[k>>0]|0;j=a&255;if(a<<24>>24>-1){f[c>>2]=k+1;p=j}else{q=j;m=11}}else{q=0;m=11}if((m|0)==11){m=0;j=iCb(c,q)|0;k=J;if((k|0)>-1|(k|0)==-1&j>>>0>4294967295)p=j;else{r=0;m=24;break a}}f[g>>2]=p;continue a;break}case 2:{if((l&255|0)!=16){o=l;break b}f[e>>2]=f[e>>2]|2;j=f[c>>2]|0;if(j>>>0<(f[d>>2]|0)>>>0){k=b[j>>0]|0;a=k&255;if(k<<24>>24>-1){f[c>>2]=j+1;s=a}else{t=a;m=17}}else{t=0;m=17}if((m|0)==17){m=0;a=iCb(c,t)|0;j=J;if((j|0)>-1|(j|0)==-1&a>>>0>4294967295)s=a;else{r=0;m=24;break a}}f[h>>2]=s;continue a;break}default:{o=l;break b}}}while(0);if(!o){r=1;m=24;break}a=f[i>>2]|0;if(!(a&1))u=AHa(i)|0;else u=a&-2;if(!(b4b(c,o,u)|0)){r=0;m=24;break}}if((m|0)==24)return r|0;return 0}function jTb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=f[a+8>>2]|0;if(!(b&3)){d=c;e=a+12|0;f[e>>2]=d;return d|0}if(!(b&1))g=c;else{h=f[a+16>>2]|0;if((h|0)<0)i=11;else i=((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;g=i+c|0}if(!(b&2)){d=g;e=a+12|0;f[e>>2]=d;return d|0}b=f[a+20>>2]|0;if((b|0)<0)j=11;else j=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;d=j+g|0;e=a+12|0;f[e>>2]=d;return d|0}function kTb(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&1|0)mEb(1,f[a+16>>2]|0,b);if(c&2|0)mEb(2,f[a+20>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function lTb(a){a=a|0;return f[a+12>>2]|0}function mTb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=f[a+8>>2]|0;if(!(c&1))e=d;else{g=f[a+16>>2]|0;b[d>>0]=8;h=d+1|0;d=g&255;if(g>>>0>127){i=h;j=d;k=g;l=((g|0)<0)<<31>>31;while(1){b[i>>0]=j|-128;g=k;k=Irc(k|0,l|0,7)|0;m=i+1|0;n=k&255;if(!(l>>>0>0|(l|0)==0&g>>>0>16383)){o=m;p=n;break}else{i=m;j=n;l=J}}}else{o=h;p=d}b[o>>0]=p;e=o+1|0}if(!(c&2))q=e;else{c=f[a+20>>2]|0;b[e>>0]=16;o=e+1|0;e=c&255;if(c>>>0>127){p=o;d=e;h=c;l=((c|0)<0)<<31>>31;while(1){b[p>>0]=d|-128;c=h;h=Irc(h|0,l|0,7)|0;j=p+1|0;i=h&255;if(!(l>>>0>0|(l|0)==0&c>>>0>16383)){r=j;s=i;break}else{p=j;d=i;l=J}}}else{r=o;s=e}b[r>>0]=s;q=r+1|0}r=f[a+4>>2]|0;if(!(r&1)){t=q;return t|0}t=f4b(r&-2,q)|0;return t|0}function nTb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function oTb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,24376,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}d=f[c+8>>2]|0;if(!(d&3))return;if(d&1|0)f[a+16>>2]=f[c+16>>2];if(d&2|0)f[a+20>>2]=f[c+20>>2];c=a+8|0;f[c>>2]=f[c>>2]|d;return}function pTb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function qTb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222940]|0)!=2){f[d>>2]=149752;f[d+4>>2]=135;b[d+8>>0]=0;dEb(891760,d);zDb(d)}d=536944;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function rTb(a,b){a=a|0;b=b|0;JRb(b,a);return}function sTb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=154964;f[a+4>>2]=0;f[a+8>>2]=0;if((a|0)!=535608?(f[222944]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=139;b[d+8>>0]=0;dEb(891776,d);zDb(d)}d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;u=c;return}function tTb(a,b){a=a|0;b=b|0;MTb(b,a);return}function uTb(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=154964;f[a+4>>2]=c;f[a+8>>2]=0;if((f[222944]|0)!=2){f[e>>2]=149752;f[e+4>>2]=139;b[e+8>>0]=0;dEb(891776,e);zDb(e)}e=a+12|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;u=d;return}function vTb(a){a=a|0;var b=0,c=0;f[a>>2]=154964;if((a|0)!=535608?(b=f[a+16>>2]|0,b|0):0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function wTb(a){a=a|0;vTb(a);Emc(a);return}function xTb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function yTb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(28)|0;sTb(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,24392,32);a=nBb(b,32)|0;uTb(a,b);c=a;return c|0}function zTb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function ATb(a){a=a|0;return f[a+4>>2]|0}function BTb(a){a=a|0;var b=0,c=0,d=0;b=a+8|0;c=f[b>>2]|0;if(c&1|0){d=f[a+16>>2]|0;ai[f[(f[d>>2]|0)+28>>2]&2047](d)}if(c&6|0){c=a+20|0;f[c>>2]=0;f[c+4>>2]=0}f[b>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function CTb(a){a=a|0;var b=0,c=0;if(f[a+8>>2]&1|0?(b=f[a+16>>2]|0,!(ci[f[(f[b>>2]|0)+32>>2]&1023](b)|0)):0){c=0;return c|0}c=1;return c|0}function DTb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+20|0;j=a+24|0;k=a+16|0;l=e+4|0;m=a+4|0;a:while(1){n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0){o=b[n>>0]|0;p=o&255;if(o<<24>>24>0){f[c>>2]=n+1;q=p;r=6}else{s=p;r=5}}else{s=0;r=5}if((r|0)==5){r=0;p=xCb(c,s)|0;if((p+-1|0)>>>0<127){q=p;r=6}else t=p}b:do if((r|0)==6){r=0;switch(q>>>3&536870911|0){case 1:{if((q&255|0)!=8){t=q;break b}f[h>>2]=f[h>>2]|2;p=f[c>>2]|0;if(p>>>0<(f[g>>2]|0)>>>0){n=b[p>>0]|0;o=n&255;if(n<<24>>24>-1){f[c>>2]=p+1;v=o}else{w=o;r=11}}else{w=0;r=11}if((r|0)==11){r=0;o=iCb(c,w)|0;p=J;if((p|0)>-1|(p|0)==-1&o>>>0>4294967295)v=o;else{x=0;r=35;break a}}f[i>>2]=v;continue a;break}case 2:{if((q&255|0)!=16){t=q;break b}f[h>>2]=f[h>>2]|4;o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0){p=b[o>>0]|0;n=p&255;if(p<<24>>24>-1){f[c>>2]=o+1;y=n}else{z=n;r=17}}else{z=0;r=17}if((r|0)==17){r=0;n=iCb(c,z)|0;o=J;if((o|0)>-1|(o|0)==-1&n>>>0>4294967295)y=n;else{x=0;r=35;break a}}f[j>>2]=y;continue a;break}case 3:{if((q&255|0)!=26){t=q;break b}f[h>>2]=f[h>>2]|1;n=f[k>>2]|0;if(!n){NTb(a);A=f[k>>2]|0}else A=n;n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0?(o=b[n>>0]|0,o<<24>>24>-1):0){f[c>>2]=n+1;B=o&255}else{o=wCb(c)|0;if((o|0)>-1)B=o;else{x=0;r=35;break a}}hCb(e,c,B);if((f[l>>2]|0)<0){r=28;break a}if(!(Sh[f[(f[A>>2]|0)+44>>2]&511](A,c)|0)){r=28;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{x=0;r=35;break a}break}default:{t=q;break b}}}while(0);if(!t){x=1;r=35;break}o=f[m>>2]|0;if(!(o&1))C=AHa(m)|0;else C=o&-2;if(!(b4b(c,t,C)|0)){x=0;r=35;break}}if((r|0)==28){x=0;u=d;return x|0}else if((r|0)==35){u=d;return x|0}return 0}function ETb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;b=f[a+4>>2]|0;if(!(b&1))c=0;else c=h4b(b&-2)|0;b=a+8|0;d=f[b>>2]|0;if(!(d&7)){e=c;g=a+12|0;f[g>>2]=e;return e|0}if(!(d&1)){h=c;i=d}else{d=f[a+16>>2]|0;j=ci[f[(f[d>>2]|0)+48>>2]&1023](d)|0;d=c+1+j+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=d;i=f[b>>2]|0}if(!(i&2))k=h;else{b=f[a+20>>2]|0;if((b|0)<0)l=11;else l=((((($(b|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;k=l+h|0}if(!(i&4)){e=k;g=a+12|0;f[g>>2]=e;return e|0}i=f[a+24>>2]|0;if((i|0)<0)m=11;else m=((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;e=m+k|0;g=a+12|0;f[g>>2]=e;return e|0}function FTb(a,b){a=a|0;b=b|0;var c=0;c=f[a+8>>2]|0;if(c&2|0)mEb(1,f[a+20>>2]|0,b);if(c&4|0)mEb(2,f[a+24>>2]|0,b);if(c&1|0)GEb(3,f[a+16>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function GTb(a){a=a|0;return f[a+12>>2]|0}function HTb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;e=f[a+8>>2]|0;if(!(e&2))g=d;else{h=f[a+20>>2]|0;b[d>>0]=8;i=d+1|0;d=h&255;if(h>>>0>127){j=i;k=d;l=h;m=((h|0)<0)<<31>>31;while(1){b[j>>0]=k|-128;h=l;l=Irc(l|0,m|0,7)|0;n=j+1|0;o=l&255;if(!(m>>>0>0|(m|0)==0&h>>>0>16383)){p=n;q=o;break}else{j=n;k=o;m=J}}}else{p=i;q=d}b[p>>0]=q;g=p+1|0}if(!(e&4))r=g;else{p=f[a+24>>2]|0;b[g>>0]=16;q=g+1|0;g=p&255;if(p>>>0>127){d=q;i=g;m=p;k=((p|0)<0)<<31>>31;while(1){b[d>>0]=i|-128;p=m;m=Irc(m|0,k|0,7)|0;j=d+1|0;l=m&255;if(!(k>>>0>0|(k|0)==0&p>>>0>16383)){s=j;t=l;break}else{d=j;i=l;k=J}}}else{s=q;t=g}b[s>>0]=t;r=s+1|0}if(!(e&1))u=r;else{e=f[a+16>>2]|0;b[r>>0]=26;s=r+1|0;r=ci[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(r>>>0>127){t=r;g=s;while(1){b[g>>0]=t|128;q=t>>>7;k=g+1|0;if(t>>>0>16383){t=q;g=k}else{v=k;w=q;break}}}else{v=s;w=r}b[v>>0]=w;u=ki[f[(f[e>>2]|0)+64>>2]&511](e,c,v+1|0)|0}v=f[a+4>>2]|0;if(!(v&1)){x=u;return x|0}x=f4b(v&-2,u)|0;return x|0}function ITb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function JTb(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,24392,0)|0;if(!c){c2b(b,a);return}else{MTb(a,c);return}}function KTb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function LTb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222940]|0)!=2){f[d>>2]=149752;f[d+4>>2]=135;b[d+8>>0]=0;dEb(891760,d);zDb(d)}d=536936;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function MTb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}d=f[b+8>>2]|0;if(!(d&7))return;if(d&1|0){g=a+8|0;f[g>>2]=f[g>>2]|1;g=a+16|0;e=f[g>>2]|0;if(!e){NTb(a);h=f[g>>2]|0}else h=e;e=f[b+16>>2]|0;g=e|0?e:535816;b6b(h+4|0,g+4|0);e=h+20|0;c=f[g+20>>2]|0;if(c&1|0){i=f[e>>2]|0;if(!(i&1))j=AHa(e)|0;else j=i&-2;O3b(j,c&-2)}JMb(h+32|0,g+32|0)}if(d&2|0)f[a+20>>2]=f[b+20>>2];if(d&4|0)f[a+24>>2]=f[b+24>>2];b=a+8|0;f[b>>2]=f[b>>2]|d;return}function NTb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=Bmc(48)|0;ySb(c);e=c;g=a+16|0;f[g>>2]=e;return}if(f[d+64>>2]|0)pBb(d,24344,48);c=nBb(d,48)|0;zSb(c,d);e=c;g=a+16|0;f[g>>2]=e;return}function OTb(a,b){a=a|0;b=b|0;TQb(b,a);return}function PTb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;f[a>>2]=154748;f[a+4>>2]=0;f[a+8>>2]=0;e=(a|0)==535664;g=a+16|0;h=g+128|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));if(!e?(f[222946]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=141;b[d+8>>0]=0;dEb(891784,d);zDb(d)}f[a+12>>2]=0;f[a+144>>2]=535416;f[a+148>>2]=0;u=c;return}function QTb(a,b){a=a|0;b=b|0;RSb(b,a);return}function RTb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+16|0;e=d;f[a>>2]=154748;f[a+4>>2]=c;f[a+8>>2]=0;f[a+16>>2]=c;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;f[a+32>>2]=c;f[a+36>>2]=0;f[a+40>>2]=0;f[a+44>>2]=0;f[a+48>>2]=c;f[a+52>>2]=0;f[a+56>>2]=0;f[a+60>>2]=0;f[a+64>>2]=c;f[a+68>>2]=0;f[a+72>>2]=0;f[a+76>>2]=0;f[a+80>>2]=c;f[a+84>>2]=0;f[a+88>>2]=0;f[a+92>>2]=0;f[a+96>>2]=c;f[a+100>>2]=0;f[a+104>>2]=0;f[a+108>>2]=0;f[a+112>>2]=c;f[a+116>>2]=0;f[a+120>>2]=0;f[a+124>>2]=0;f[a+128>>2]=c;f[a+132>>2]=0;f[a+136>>2]=0;f[a+140>>2]=0;if((f[222946]|0)==2){g=a+12|0;f[g>>2]=0;h=a+144|0;f[h>>2]=535416;i=a+148|0;f[i>>2]=0;u=d;return}f[e>>2]=149752;f[e+4>>2]=141;b[e+8>>0]=0;dEb(891784,e);zDb(e);g=a+12|0;f[g>>2]=0;h=a+144|0;f[h>>2]=535416;i=a+148|0;f[i>>2]=0;u=d;return}function STb(a,b){a=a|0;b=b|0;cSb(b,a);return}function TTb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f[a>>2]=155072;pUb(a);c=f[a+116>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=f[a+104>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=a+92|0;d=f[c>>2]|0;if(d|0?(f[a+80>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0)ai[f[(f[h>>2]|0)+4>>2]&2047](h);g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;Emc(i)}f[c>>2]=0;c=a+76|0;i=f[c>>2]|0;if(i|0?(f[a+64>>2]|0)==0:0){d=f[i>>2]|0;if((d|0)>0){e=0;do{g=f[i+4+(e<<2)>>2]|0;if(g|0)ai[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));j=f[c>>2]|0}else j=i;Emc(j)}f[c>>2]=0;c=a+60|0;j=f[c>>2]|0;if(j|0?(f[a+48>>2]|0)==0:0){i=f[j>>2]|0;if((i|0)>0){d=0;do{e=f[j+4+(d<<2)>>2]|0;if(e|0)ai[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(i|0));k=f[c>>2]|0}else k=j;Emc(k)}f[c>>2]=0;c=a+44|0;k=f[c>>2]|0;if(k|0?(f[a+32>>2]|0)==0:0){j=f[k>>2]|0;if((j|0)>0){i=0;do{d=f[k+4+(i<<2)>>2]|0;if(d|0)ai[f[(f[d>>2]|0)+4>>2]&2047](d);i=i+1|0}while((i|0)!=(j|0));l=f[c>>2]|0}else l=k;Emc(l)}f[c>>2]=0;c=a+28|0;l=f[c>>2]|0;if(l|0?(f[a+16>>2]|0)==0:0){k=f[l>>2]|0;if((k|0)>0){j=0;do{i=f[l+4+(j<<2)>>2]|0;if(i|0){if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);Emc(i)}j=j+1|0}while((j|0)!=(k|0));m=f[c>>2]|0}else m=l;Emc(m)}f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}m=a&-2;a=m;if((m|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(m);f[c>>2]=0;return}function UTb(a){a=a|0;TTb(a);Emc(a);return}function VTb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function WTb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(140)|0;nUb(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,24408,144);a=nBb(b,144)|0;oUb(a,b);c=a;return c|0}function XTb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function YTb(a){a=a|0;return f[a+4>>2]|0}function ZTb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+20|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+28>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;i=h+11|0;if((b[i>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0}else{b[h>>0]=0;b[i>>0]=0}}while((g|0)!=(d|0));f[c>>2]=0}c=a+36|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+44>>2]|0;e=0;do{i=f[g+4+(e<<2)>>2]|0;e=e+1|0;ai[f[(f[i>>2]|0)+28>>2]&2047](i)}while((e|0)!=(d|0));f[c>>2]=0}c=a+52|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+60>>2]|0;g=0;do{i=f[e+4+(g<<2)>>2]|0;g=g+1|0;ai[f[(f[i>>2]|0)+28>>2]&2047](i)}while((g|0)!=(d|0));f[c>>2]=0}c=a+68|0;d=f[c>>2]|0;if((d|0)>0){g=f[a+76>>2]|0;e=0;do{i=f[g+4+(e<<2)>>2]|0;e=e+1|0;ai[f[(f[i>>2]|0)+28>>2]&2047](i)}while((e|0)!=(d|0));f[c>>2]=0}c=a+84|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+92>>2]|0;g=0;do{i=f[e+4+(g<<2)>>2]|0;g=g+1|0;ai[f[(f[i>>2]|0)+28>>2]&2047](i)}while((g|0)!=(d|0));f[c>>2]=0}f[a+96>>2]=0;f[a+108>>2]=0;c=a+8|0;d=f[c>>2]|0;if(d&31|0){do if(d&1|0?(g=f[a+120>>2]|0,(g|0)!=535416):0){e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);do if(d&2|0?(e=f[a+124>>2]|0,(e|0)!=535416):0){g=e+11|0;if((b[g>>0]|0)<0){b[f[e>>2]>>0]=0;f[e+4>>2]=0;break}else{b[e>>0]=0;b[g>>0]=0;break}}while(0);do if(d&4|0?(g=f[a+128>>2]|0,(g|0)!=535416):0){e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);if(d&8|0){e=f[a+132>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e)}if(d&16|0){d=f[a+136>>2]|0;ai[f[(f[d>>2]|0)+28>>2]&2047](d)}}f[c>>2]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function _Tb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+44|0;c=f[a+36>>2]|0;while(1){if((c|0)<=0)break;c=c+-1|0;d=f[(f[b>>2]|0)+4+(c<<2)>>2]|0;if(!(ci[f[(f[d>>2]|0)+32>>2]&1023](d)|0)){e=0;g=16;break}}if((g|0)==16)return e|0;c=a+60|0;b=f[a+52>>2]|0;while(1){if((b|0)<=0)break;b=b+-1|0;d=f[(f[c>>2]|0)+4+(b<<2)>>2]|0;if(!(ci[f[(f[d>>2]|0)+32>>2]&1023](d)|0)){e=0;g=16;break}}if((g|0)==16)return e|0;b=a+76|0;c=f[a+68>>2]|0;while(1){if((c|0)<=0)break;c=c+-1|0;d=f[(f[b>>2]|0)+4+(c<<2)>>2]|0;if(!(ci[f[(f[d>>2]|0)+32>>2]&1023](d)|0)){e=0;g=16;break}}if((g|0)==16)return e|0;c=a+92|0;b=f[a+84>>2]|0;while(1){if((b|0)<=0)break;b=b+-1|0;d=f[(f[c>>2]|0)+4+(b<<2)>>2]|0;if(!(ci[f[(f[d>>2]|0)+32>>2]&1023](d)|0)){e=0;g=16;break}}if((g|0)==16)return e|0;if(f[a+8>>2]&8|0?(g=f[a+132>>2]|0,!(ci[f[(f[g>>2]|0)+32>>2]&1023](g)|0)):0){e=0;return e|0}e=1;return e|0}function $Tb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+120|0;j=a+4|0;k=a+124|0;l=a+16|0;m=a+32|0;n=e+4|0;o=a+48|0;p=e+4|0;q=a+64|0;r=a+76|0;s=a+72|0;t=a+68|0;v=e+4|0;w=a+80|0;x=e+4|0;y=a+132|0;z=e+4|0;A=a+136|0;B=e+4|0;C=a+96|0;D=a+100|0;E=a+104|0;F=a+108|0;G=a+112|0;H=a+116|0;I=a+128|0;a:while(1){K=f[c>>2]|0;if(K>>>0<(f[g>>2]|0)>>>0){L=b[K>>0]|0;M=L&255;if(L<<24>>24>0){f[c>>2]=K+1;N=M;O=6}else{P=M;O=5}}else{P=0;O=5}if((O|0)==5){O=0;M=xCb(c,P)|0;if((M+-1|0)>>>0<127){N=M;O=6}else Q=M}b:do if((O|0)==6){O=0;do switch(N>>>3&536870911|0){case 1:{if((N&255|0)!=10){Q=N;break b}f[h>>2]=f[h>>2]|1;M=f[j>>2]|0;K=M&-2;if(!(M&1))R=K;else R=f[K+4>>2]|0;K=f[i>>2]|0;if((K|0)==535416){PDa(i,R,535416);S=f[i>>2]|0}else S=K;if(HEb(c,S)|0)continue a;else{T=0;O=139;break a}break}case 2:{if((N&255|0)!=18){Q=N;break b}f[h>>2]=f[h>>2]|2;K=f[j>>2]|0;M=K&-2;if(!(K&1))U=M;else U=f[M+4>>2]|0;M=f[k>>2]|0;if((M|0)==535416){PDa(k,U,535416);V=f[k>>2]|0}else V=M;if(HEb(c,V)|0)continue a;else{T=0;O=139;break a}break}case 3:{if((N&255|0)!=26){Q=N;break b}if(HEb(c,dFa(l)|0)|0)continue a;else{T=0;O=139;break a}break}case 4:{if((N&255|0)!=34){Q=N;break b}M=tIb(m)|0;K=f[c>>2]|0;if(K>>>0<(f[g>>2]|0)>>>0?(L=b[K>>0]|0,L<<24>>24>-1):0){f[c>>2]=K+1;W=L&255}else{L=wCb(c)|0;if((L|0)>-1)W=L;else{T=0;O=139;break a}}hCb(e,c,W);if((f[n>>2]|0)<0){O=30;break a}if(!(Sh[f[(f[M>>2]|0)+44>>2]&511](M,c)|0)){O=30;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{T=0;O=139;break a}break}case 5:{if((N&255|0)!=42){Q=N;break b}M=vIb(o)|0;L=f[c>>2]|0;if(L>>>0<(f[g>>2]|0)>>>0?(K=b[L>>0]|0,K<<24>>24>-1):0){f[c>>2]=L+1;X=K&255}else{K=wCb(c)|0;if((K|0)>-1)X=K;else{T=0;O=139;break a}}hCb(e,c,X);if((f[p>>2]|0)<0){O=39;break a}if(!(Sh[f[(f[M>>2]|0)+44>>2]&511](M,c)|0)){O=39;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{T=0;O=139;break a}break}case 6:{if((N&255|0)!=50){Q=N;break b}M=f[r>>2]|0;do if(M){K=f[t>>2]|0;L=f[M>>2]|0;if((K|0)>=(L|0))if((L|0)==(f[s>>2]|0)){Y=L;O=47;break}else{Z=L;_=M;O=48;break}else{f[t>>2]=K+1;$=f[M+4+(K<<2)>>2]|0;break}}else{Y=f[s>>2]|0;O=47}while(0);if((O|0)==47){O=0;uDb(q,Y+1|0);M=f[r>>2]|0;Z=f[M>>2]|0;_=M;O=48}if((O|0)==48){O=0;f[_>>2]=Z+1;M=f[q>>2]|0;if(!M){K=Bmc(40)|0;fQb(K);aa=K}else{if(f[M+64>>2]|0)pBb(M,24248,40);K=nBb(M,40)|0;gQb(K,M);aa=K}K=f[r>>2]|0;M=f[t>>2]|0;f[t>>2]=M+1;f[K+4+(M<<2)>>2]=aa;$=aa}M=f[c>>2]|0;if(M>>>0<(f[g>>2]|0)>>>0?(K=b[M>>0]|0,K<<24>>24>-1):0){f[c>>2]=M+1;ba=K&255}else{K=wCb(c)|0;if((K|0)>-1)ba=K;else{T=0;O=139;break a}}hCb(e,c,ba);if((f[v>>2]|0)<0){O=60;break a}if(!(Sh[f[(f[$>>2]|0)+44>>2]&511]($,c)|0)){O=60;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{T=0;O=139;break a}break}case 7:{if((N&255|0)!=58){Q=N;break b}K=yIb(w)|0;M=f[c>>2]|0;if(M>>>0<(f[g>>2]|0)>>>0?(L=b[M>>0]|0,L<<24>>24>-1):0){f[c>>2]=M+1;ca=L&255}else{L=wCb(c)|0;if((L|0)>-1)ca=L;else{T=0;O=139;break a}}hCb(e,c,ca);if((f[x>>2]|0)<0){O=69;break a}if(!(Sh[f[(f[K>>2]|0)+44>>2]&511](K,c)|0)){O=69;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{T=0;O=139;break a}break}case 8:{if((N&255|0)!=66){Q=N;break b}f[h>>2]=f[h>>2]|8;K=f[y>>2]|0;if(!K){kUb(a);da=f[y>>2]|0}else da=K;K=f[c>>2]|0;if(K>>>0<(f[g>>2]|0)>>>0?(L=b[K>>0]|0,L<<24>>24>-1):0){f[c>>2]=K+1;ea=L&255}else{L=wCb(c)|0;if((L|0)>-1)ea=L;else{T=0;O=139;break a}}hCb(e,c,ea);if((f[z>>2]|0)<0){O=80;break a}if(!(Sh[f[(f[da>>2]|0)+44>>2]&511](da,c)|0)){O=80;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{T=0;O=139;break a}break}case 9:{if((N&255|0)!=74){Q=N;break b}f[h>>2]=f[h>>2]|16;L=f[A>>2]|0;if(!L){lUb(a);fa=f[A>>2]|0}else fa=L;L=f[c>>2]|0;if(L>>>0<(f[g>>2]|0)>>>0?(K=b[L>>0]|0,K<<24>>24>-1):0){f[c>>2]=L+1;ga=K&255}else{K=wCb(c)|0;if((K|0)>-1)ga=K;else{T=0;O=139;break a}}hCb(e,c,ga);if((f[B>>2]|0)<0){O=91;break a}if(!(Sh[f[(f[fa>>2]|0)+44>>2]&511](fa,c)|0)){O=91;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{T=0;O=139;break a}break}case 10:{switch((N&255)<<24>>24){case 80:break;case 82:{if(Wcb(c,C)|0)continue a;else{T=0;O=139;break a}break}default:{Q=N;break b}}K=f[c>>2]|0;if(K>>>0<(f[g>>2]|0)>>>0){L=b[K>>0]|0;M=L&255;if(L<<24>>24>-1){f[c>>2]=K+1;ha=M}else{ia=M;O=97}}else{ia=0;O=97}if((O|0)==97){O=0;M=iCb(c,ia)|0;K=J;if((K|0)>-1|(K|0)==-1&M>>>0>4294967295)ha=M;else{T=0;O=139;break a}}M=f[C>>2]|0;if((M|0)==(f[D>>2]|0)){eFa(C,M+1|0);ja=f[C>>2]|0}else ja=M;M=f[E>>2]|0;f[C>>2]=ja+1;f[M+4+(ja<<2)>>2]=ha;K=(f[D>>2]|0)-(f[C>>2]|0)|0;if((K|0)>0){ka=K;la=M}else continue a;while(1){M=f[c>>2]|0;K=f[g>>2]|0;if(M>>>0>=K>>>0)continue a;if((b[M>>0]|0)!=80)continue a;L=M+1|0;f[c>>2]=L;if(L>>>0<K>>>0){K=b[L>>0]|0;L=K&255;if(K<<24>>24>-1){f[c>>2]=M+2;ma=L;na=la}else{oa=L;O=105}}else{oa=0;O=105}if((O|0)==105){O=0;L=iCb(c,oa)|0;M=J;if(!((M|0)>-1|(M|0)==-1&L>>>0>4294967295)){T=0;O=139;break a}ma=L;na=f[E>>2]|0}L=f[C>>2]|0;f[C>>2]=L+1;f[na+4+(L<<2)>>2]=ma;if((ka|0)>1){ka=ka+-1|0;la=na}else continue a}break}case 11:{switch((N&255)<<24>>24){case 88:break;case 90:{if(Wcb(c,F)|0)continue a;else{T=0;O=139;break a}break}default:{Q=N;break b}}L=f[c>>2]|0;if(L>>>0<(f[g>>2]|0)>>>0){M=b[L>>0]|0;K=M&255;if(M<<24>>24>-1){f[c>>2]=L+1;pa=K}else{qa=K;O=114}}else{qa=0;O=114}if((O|0)==114){O=0;K=iCb(c,qa)|0;L=J;if((L|0)>-1|(L|0)==-1&K>>>0>4294967295)pa=K;else{T=0;O=139;break a}}K=f[F>>2]|0;if((K|0)==(f[G>>2]|0)){eFa(F,K+1|0);ra=f[F>>2]|0}else ra=K;K=f[H>>2]|0;f[F>>2]=ra+1;f[K+4+(ra<<2)>>2]=pa;L=(f[G>>2]|0)-(f[F>>2]|0)|0;if((L|0)>0){sa=L;ta=K}else continue a;while(1){K=f[c>>2]|0;L=f[g>>2]|0;if(K>>>0>=L>>>0)continue a;if((b[K>>0]|0)!=88)continue a;M=K+1|0;f[c>>2]=M;if(M>>>0<L>>>0){L=b[M>>0]|0;M=L&255;if(L<<24>>24>-1){f[c>>2]=K+2;ua=M;va=ta}else{wa=M;O=122}}else{wa=0;O=122}if((O|0)==122){O=0;M=iCb(c,wa)|0;K=J;if(!((K|0)>-1|(K|0)==-1&M>>>0>4294967295)){T=0;O=139;break a}ua=M;va=f[H>>2]|0}M=f[F>>2]|0;f[F>>2]=M+1;f[va+4+(M<<2)>>2]=ua;if((sa|0)>1){sa=sa+-1|0;ta=va}else continue a}break}case 12:{if((N&255|0)!=98){Q=N;break b}f[h>>2]=f[h>>2]|4;M=f[j>>2]|0;K=M&-2;if(!(M&1))xa=K;else xa=f[K+4>>2]|0;K=f[I>>2]|0;if((K|0)==535416){PDa(I,xa,535416);ya=f[I>>2]|0}else ya=K;if(HEb(c,ya)|0)continue a;else{T=0;O=139;break a}break}default:{Q=N;break b}}while(0)}while(0);if(!Q){T=1;O=139;break}K=f[j>>2]|0;if(!(K&1))za=AHa(j)|0;else za=K&-2;if(!(b4b(c,Q,za)|0)){T=0;O=139;break}}if((O|0)==30){T=0;u=d;return T|0}else if((O|0)==39){T=0;u=d;return T|0}else if((O|0)==60){T=0;u=d;return T|0}else if((O|0)==69){T=0;u=d;return T|0}else if((O|0)==80){T=0;u=d;return T|0}else if((O|0)==91){T=0;u=d;return T|0}else if((O|0)==139){u=d;return T|0}return 0}function aUb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;c=f[a+4>>2]|0;if(!(c&1))d=0;else d=h4b(c&-2)|0;c=f[a+20>>2]|0;e=c+d|0;if((c|0)>0){d=f[a+28>>2]|0;g=0;h=e;while(1){i=f[d+4+(g<<2)>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0?f[i+4>>2]|0:j&255;j=k+h+((((($(k|1|0)|0)^31)*9|0)+73|0)>>>6)|0;g=g+1|0;if((g|0)==(c|0)){l=j;break}else h=j}}else l=e;e=f[a+36>>2]|0;h=e+l|0;if(!e)m=h;else{l=a+44|0;c=0;g=h;while(1){h=f[(f[l>>2]|0)+4+(c<<2)>>2]|0;d=ci[f[(f[h>>2]|0)+48>>2]&1023](h)|0;h=d+g+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0;c=c+1|0;if((c|0)==(e|0)){m=h;break}else g=h}}g=f[a+52>>2]|0;e=g+m|0;if(!g)n=e;else{m=a+60|0;c=0;l=e;while(1){e=f[(f[m>>2]|0)+4+(c<<2)>>2]|0;h=ci[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=h+l+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0;c=c+1|0;if((c|0)==(g|0)){n=e;break}else l=e}}l=f[a+68>>2]|0;g=l+n|0;if(!l)o=g;else{n=a+76|0;c=0;m=g;while(1){g=f[(f[n>>2]|0)+4+(c<<2)>>2]|0;e=ci[f[(f[g>>2]|0)+48>>2]&1023](g)|0;g=e+m+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0;c=c+1|0;if((c|0)==(l|0)){o=g;break}else m=g}}m=f[a+84>>2]|0;l=m+o|0;if(!m)p=l;else{o=a+92|0;c=0;n=l;while(1){l=f[(f[o>>2]|0)+4+(c<<2)>>2]|0;g=ci[f[(f[l>>2]|0)+48>>2]&1023](l)|0;l=g+n+((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)|0;c=c+1|0;if((c|0)==(m|0)){p=l;break}else n=l}}n=JEb(a+96|0)|0;m=f[a+96>>2]|0;c=JEb(a+108|0)|0;o=n+p+m+c+(f[a+108>>2]|0)|0;c=a+8|0;m=f[c>>2]|0;if(!(m&31)){q=o;r=a+12|0;f[r>>2]=q;return q|0}if(!(m&1))s=o;else{p=f[a+120>>2]|0;n=b[p+11>>0]|0;l=n<<24>>24<0?f[p+4>>2]|0:n&255;s=o+1+l+((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(m&2))t=s;else{l=f[a+124>>2]|0;o=b[l+11>>0]|0;n=o<<24>>24<0?f[l+4>>2]|0:o&255;t=s+1+n+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(m&4))u=t;else{n=f[a+128>>2]|0;s=b[n+11>>0]|0;o=s<<24>>24<0?f[n+4>>2]|0:s&255;u=t+1+o+((((($(o|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if(!(m&8)){v=u;w=m}else{m=f[a+132>>2]|0;o=ci[f[(f[m>>2]|0)+48>>2]&1023](m)|0;m=u+1+o+((((($(o|1|0)|0)^31)*9|0)+73|0)>>>6)|0;v=m;w=f[c>>2]|0}if(!(w&16)){q=v;r=a+12|0;f[r>>2]=q;return q|0}w=f[a+136>>2]|0;c=ci[f[(f[w>>2]|0)+48>>2]&1023](w)|0;q=v+1+c+((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)|0;r=a+12|0;f[r>>2]=q;return q|0}function bUb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=f[a+8>>2]|0;if(c&1|0)BEb(1,f[a+120>>2]|0,b);if(c&2|0)BEb(2,f[a+124>>2]|0,b);d=f[a+20>>2]|0;if((d|0)>0){e=a+28|0;g=0;do{AEb(3,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(d|0))}d=f[a+36>>2]|0;if(d|0){g=a+44|0;e=0;do{GEb(4,f[(f[g>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(d|0))}d=f[a+52>>2]|0;if(d|0){e=a+60|0;g=0;do{GEb(5,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(d|0))}d=f[a+68>>2]|0;if(d|0){g=a+76|0;e=0;do{GEb(6,f[(f[g>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(d|0))}d=f[a+84>>2]|0;if(d|0){e=a+92|0;g=0;do{GEb(7,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(d|0))}if(c&8|0)GEb(8,f[a+132>>2]|0,b);if(c&16|0)GEb(9,f[a+136>>2]|0,b);d=f[a+96>>2]|0;if((d|0)>0){g=a+104|0;e=0;do{mEb(10,f[(f[g>>2]|0)+4+(e<<2)>>2]|0,b);e=e+1|0}while((e|0)!=(d|0))}d=f[a+108>>2]|0;if((d|0)>0){e=a+116|0;g=0;do{mEb(11,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,b);g=g+1|0}while((g|0)!=(d|0))}if(c&4|0)BEb(12,f[a+128>>2]|0,b);c=f[a+4>>2]|0;if(!(c&1))return;e4b(c&-2,b);return}function cUb(a){a=a|0;return f[a+12>>2]|0}function dUb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;e=f[a+8>>2]|0;if(!(e&1))g=d;else{h=f[a+120>>2]|0;b[d>>0]=10;g=GCb(h,d+1|0)|0}if(!(e&2))i=g;else{d=f[a+124>>2]|0;b[g>>0]=18;i=GCb(d,g+1|0)|0}g=f[a+20>>2]|0;if((g|0)>0){d=a+28|0;h=0;j=i;while(1){k=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;b[j>>0]=26;l=GCb(k,j+1|0)|0;h=h+1|0;if((h|0)==(g|0)){m=l;break}else j=l}}else m=i;i=f[a+36>>2]|0;if(!i)n=m;else{j=a+44|0;g=0;h=m;while(1){m=f[(f[j>>2]|0)+4+(g<<2)>>2]|0;b[h>>0]=34;d=h+1|0;l=ci[f[(f[m>>2]|0)+60>>2]&1023](m)|0;if(l>>>0>127){k=l;o=d;while(1){b[o>>0]=k|128;p=k>>>7;q=o+1|0;if(k>>>0>16383){k=p;o=q}else{r=q;s=p;break}}}else{r=d;s=l}b[r>>0]=s;o=ki[f[(f[m>>2]|0)+64>>2]&511](m,c,r+1|0)|0;g=g+1|0;if((g|0)==(i|0)){n=o;break}else h=o}}h=f[a+52>>2]|0;if(!h)t=n;else{i=a+60|0;g=0;r=n;while(1){n=f[(f[i>>2]|0)+4+(g<<2)>>2]|0;b[r>>0]=42;s=r+1|0;j=ci[f[(f[n>>2]|0)+60>>2]&1023](n)|0;if(j>>>0>127){o=j;k=s;while(1){b[k>>0]=o|128;p=o>>>7;q=k+1|0;if(o>>>0>16383){o=p;k=q}else{u=q;v=p;break}}}else{u=s;v=j}b[u>>0]=v;k=ki[f[(f[n>>2]|0)+64>>2]&511](n,c,u+1|0)|0;g=g+1|0;if((g|0)==(h|0)){t=k;break}else r=k}}r=f[a+68>>2]|0;if(!r)w=t;else{h=a+76|0;g=0;u=t;while(1){t=f[(f[h>>2]|0)+4+(g<<2)>>2]|0;b[u>>0]=50;v=u+1|0;i=ci[f[(f[t>>2]|0)+60>>2]&1023](t)|0;if(i>>>0>127){k=i;o=v;while(1){b[o>>0]=k|128;m=k>>>7;l=o+1|0;if(k>>>0>16383){k=m;o=l}else{x=l;y=m;break}}}else{x=v;y=i}b[x>>0]=y;o=ki[f[(f[t>>2]|0)+64>>2]&511](t,c,x+1|0)|0;g=g+1|0;if((g|0)==(r|0)){w=o;break}else u=o}}u=f[a+84>>2]|0;if(!u)z=w;else{r=a+92|0;g=0;x=w;while(1){w=f[(f[r>>2]|0)+4+(g<<2)>>2]|0;b[x>>0]=58;y=x+1|0;h=ci[f[(f[w>>2]|0)+60>>2]&1023](w)|0;if(h>>>0>127){o=h;k=y;while(1){b[k>>0]=o|128;n=o>>>7;j=k+1|0;if(o>>>0>16383){o=n;k=j}else{A=j;B=n;break}}}else{A=y;B=h}b[A>>0]=B;k=ki[f[(f[w>>2]|0)+64>>2]&511](w,c,A+1|0)|0;g=g+1|0;if((g|0)==(u|0)){z=k;break}else x=k}}if(!(e&8))C=z;else{x=f[a+132>>2]|0;b[z>>0]=66;u=z+1|0;z=ci[f[(f[x>>2]|0)+60>>2]&1023](x)|0;if(z>>>0>127){g=z;A=u;while(1){b[A>>0]=g|128;B=g>>>7;r=A+1|0;if(g>>>0>16383){g=B;A=r}else{D=r;E=B;break}}}else{D=u;E=z}b[D>>0]=E;C=ki[f[(f[x>>2]|0)+64>>2]&511](x,c,D+1|0)|0}if(!(e&16))F=C;else{D=f[a+136>>2]|0;b[C>>0]=74;x=C+1|0;C=ci[f[(f[D>>2]|0)+60>>2]&1023](D)|0;if(C>>>0>127){E=C;z=x;while(1){b[z>>0]=E|128;u=E>>>7;A=z+1|0;if(E>>>0>16383){E=u;z=A}else{G=A;H=u;break}}}else{G=x;H=C}b[G>>0]=H;F=ki[f[(f[D>>2]|0)+64>>2]&511](D,c,G+1|0)|0}G=f[a+96>>2]|0;if(!G)I=F;else{c=f[a+104>>2]|0;D=0;H=F;while(1){F=f[c+4+(D<<2)>>2]|0;b[H>>0]=80;C=H+1|0;x=F&255;if(F>>>0>127){z=C;E=x;u=F;A=((F|0)<0)<<31>>31;while(1){b[z>>0]=E|-128;F=u;u=Irc(u|0,A|0,7)|0;g=z+1|0;B=u&255;if(!(A>>>0>0|(A|0)==0&F>>>0>16383)){K=g;L=z;M=B;break}else{z=g;E=B;A=J}}}else{K=C;L=H;M=x}b[K>>0]=M;A=L+2|0;D=D+1|0;if((D|0)>=(G|0)){I=A;break}else H=A}}H=f[a+108>>2]|0;if(!H)N=I;else{G=f[a+116>>2]|0;D=0;L=I;while(1){I=f[G+4+(D<<2)>>2]|0;b[L>>0]=88;M=L+1|0;K=I&255;if(I>>>0>127){c=M;A=K;E=I;z=((I|0)<0)<<31>>31;while(1){b[c>>0]=A|-128;I=E;E=Irc(E|0,z|0,7)|0;u=c+1|0;w=E&255;if(!(z>>>0>0|(z|0)==0&I>>>0>16383)){O=u;P=c;Q=w;break}else{c=u;A=w;z=J}}}else{O=M;P=L;Q=K}b[O>>0]=Q;z=P+2|0;D=D+1|0;if((D|0)>=(H|0)){N=z;break}else L=z}}if(!(e&4))R=N;else{e=f[a+128>>2]|0;b[N>>0]=98;R=GCb(e,N+1|0)|0}N=f[a+4>>2]|0;if(!(N&1)){S=R;return S|0}S=f4b(N&-2,R)|0;return S|0}function eUb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function fUb(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,24408,0)|0;if(!c){c2b(b,a);return}else{iUb(a,c);return}}function gUb(a,b){a=a|0;b=b|0;f[a+12>>2]=b;return}function hUb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222940]|0)!=2){f[d>>2]=149752;f[d+4>>2]=135;b[d+8>>0]=0;dEb(891760,d);zDb(d)}d=536928;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function iUb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}BHa(a+16|0,b+16|0);TSb(a+32|0,b+32|0);USb(a+48|0,b+48|0);jUb(a+64|0,b+64|0);SSb(a+80|0,b+80|0);d=a+96|0;g=b+96|0;e=f[g>>2]|0;if(e|0){eFa(d,(f[d>>2]|0)+e|0);Krc((f[a+104>>2]|0)+4+(f[d>>2]<<2)|0,(f[b+104>>2]|0)+4|0,f[g>>2]<<2|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}g=a+108|0;d=b+108|0;e=f[d>>2]|0;if(e|0){eFa(g,(f[g>>2]|0)+e|0);Krc((f[a+116>>2]|0)+4+(f[g>>2]<<2)|0,(f[b+116>>2]|0)+4|0,f[d>>2]<<2|0)|0;f[g>>2]=(f[g>>2]|0)+(f[d>>2]|0)}d=f[b+8>>2]|0;if(!(d&31))return;do if(d&1|0){g=f[b+120>>2]|0;e=a+8|0;f[e>>2]=f[e>>2]|1;e=a+120|0;h=f[c>>2]|0;i=h&-2;if(!(h&1))j=i;else j=f[i+4>>2]|0;i=f[e>>2]|0;if((i|0)==535416){PDa(e,j,g);break}else{Qmc(i,g)|0;break}}while(0);do if(d&2|0){j=f[b+124>>2]|0;g=a+8|0;f[g>>2]=f[g>>2]|2;g=a+124|0;i=f[c>>2]|0;e=i&-2;if(!(i&1))k=e;else k=f[e+4>>2]|0;e=f[g>>2]|0;if((e|0)==535416){PDa(g,k,j);break}else{Qmc(e,j)|0;break}}while(0);do if(d&4|0){k=f[b+128>>2]|0;j=a+8|0;f[j>>2]=f[j>>2]|4;j=a+128|0;e=f[c>>2]|0;g=e&-2;if(!(e&1))l=g;else l=f[g+4>>2]|0;g=f[j>>2]|0;if((g|0)==535416){PDa(j,l,k);break}else{Qmc(g,k)|0;break}}while(0);if(d&8|0){l=a+8|0;f[l>>2]=f[l>>2]|8;l=a+132|0;c=f[l>>2]|0;if(!c){kUb(a);m=f[l>>2]|0}else m=c;c=f[b+132>>2]|0;mPb(m,c|0?c:536152)}if(!(d&16))return;d=a+8|0;f[d>>2]=f[d>>2]|16;d=a+136|0;c=f[d>>2]|0;if(!c){lUb(a);n=f[d>>2]|0}else n=c;c=f[b+136>>2]|0;b=c|0?c:536808;c=n+4|0;d=f[b+4>>2]|0;if(d&1|0){a=f[c>>2]|0;if(!(a&1))o=AHa(c)|0;else o=a&-2;O3b(o,d&-2)}eLb(n+16|0,b+16|0);return}function jUb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{mUb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(40)|0;fQb(l);mUb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,24248,40);l=nBb(i,40)|0;gQb(l,i);mUb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function kUb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=Bmc(96)|0;nPb(c);e=c;g=a+132|0;f[g>>2]=e;return}if(f[d+64>>2]|0)pBb(d,24216,96);c=nBb(d,96)|0;oPb(c,d);e=c;g=a+132|0;f[g>>2]=e;return}function lUb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=Bmc(32)|0;ALb(c);e=c;g=a+136|0;f[g>>2]=e;return}if(f[d+64>>2]|0)pBb(d,24040,32);c=nBb(d,32)|0;BLb(c,d);e=c;g=a+136|0;f[g>>2]=e;return}function mUb(a,b){a=a|0;b=b|0;bQb(b,a);return}function nUb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;f[a>>2]=155072;f[a+4>>2]=0;f[a+8>>2]=0;e=(a|0)==535464;g=a+16|0;h=g+104|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));if(!e?(f[222943]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=138;b[d+8>>0]=0;dEb(891772,d);zDb(d)}f[a+12>>2]=0;f[a+120>>2]=535416;f[a+124>>2]=535416;f[a+128>>2]=535416;d=a+132|0;f[d>>2]=0;f[d+4>>2]=0;u=c;return}function oUb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+16|0;e=d;f[a>>2]=155072;f[a+4>>2]=c;f[a+8>>2]=0;f[a+16>>2]=c;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;f[a+32>>2]=c;f[a+36>>2]=0;f[a+40>>2]=0;f[a+44>>2]=0;f[a+48>>2]=c;f[a+52>>2]=0;f[a+56>>2]=0;f[a+60>>2]=0;f[a+64>>2]=c;f[a+68>>2]=0;f[a+72>>2]=0;f[a+76>>2]=0;f[a+80>>2]=c;g=a+84|0;h=a+104|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;if(!c){f[a+108>>2]=0;f[a+112>>2]=0;f[a+116>>2]=0}else{if(f[c+64>>2]|0)pBb(c,26896,8);g=nBb(c,8)|0;f[h>>2]=g;f[g>>2]=c;f[a+108>>2]=0;f[a+112>>2]=0;g=a+116|0;f[g>>2]=0;if(f[c+64>>2]|0)pBb(c,26896,8);h=nBb(c,8)|0;f[g>>2]=h;f[h>>2]=c}if((f[222943]|0)==2){i=a+12|0;f[i>>2]=0;j=a+120|0;f[j>>2]=535416;k=a+124|0;f[k>>2]=535416;l=a+128|0;f[l>>2]=535416;m=a+132|0;n=m;o=n;f[o>>2]=0;p=n+4|0;q=p;f[q>>2]=0;u=d;return}f[e>>2]=149752;f[e+4>>2]=138;b[e+8>>0]=0;dEb(891772,e);zDb(e);i=a+12|0;f[i>>2]=0;j=a+120|0;f[j>>2]=535416;k=a+124|0;f[k>>2]=535416;l=a+128|0;f[l>>2]=535416;m=a+132|0;n=m;o=n;f[o>>2]=0;p=n+4|0;q=p;f[q>>2]=0;u=d;return}function pUb(a){a=a|0;var c=0;c=f[a+120>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+124>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+128>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}if((a|0)==535464)return;c=f[a+132>>2]|0;if(c|0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+136>>2]|0;if(!c)return;ai[f[(f[c>>2]|0)+4>>2]&2047](c);return}function qUb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{rUb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(140)|0;nUb(l);rUb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,24408,144);l=nBb(i,144)|0;oUb(l,i);rUb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function rUb(a,b){a=a|0;b=b|0;iUb(b,a);return}function sUb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=151832;f[a+4>>2]=0;f[a+8>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=535432?(f[222942]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=137;b[d+8>>0]=0;dEb(891768,d);zDb(d)}f[a+12>>2]=0;u=c;return}function tUb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;f[a>>2]=151832;f[a+4>>2]=c;f[a+8>>2]=0;f[a+16>>2]=c;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;if((f[222942]|0)==2){g=a+12|0;f[g>>2]=0;u=d;return}f[e>>2]=149752;f[e+4>>2]=137;b[e+8>>0]=0;dEb(891768,e);zDb(e);g=a+12|0;f[g>>2]=0;u=d;return}function uUb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222941]|0)==2){u=a;return}f[c>>2]=149752;f[c+4>>2]=136;b[c+8>>0]=0;dEb(891764,c);zDb(c);u=a;return}function vUb(){var a=0,c=0,d=0;a=u;u=u+16|0;c=a;if((f[222940]|0)==2){d=f[222938]|0;u=a;return d|0}f[c>>2]=149752;f[c+4>>2]=135;b[c+8>>0]=0;dEb(891760,c);zDb(c);d=f[222938]|0;u=a;return d|0}function wUb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222947]|0)==2){u=a;return 535816}f[c>>2]=149752;f[c+4>>2]=142;b[c+8>>0]=0;dEb(891788,c);zDb(c);u=a;return 535816}function xUb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);b6b(a+4|0,b+4|0);c=a+20|0;d=f[b+20>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}JMb(a+32|0,b+32|0);return}function yUb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222955]|0)==2){u=a;return 536152}f[c>>2]=149752;f[c+4>>2]=150;b[c+8>>0]=0;dEb(891820,c);zDb(c);u=a;return 536152}function zUb(a,b){a=a|0;b=b|0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);mPb(a,b);return}function AUb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222956]|0)==2){u=a;return 536248}f[c>>2]=149752;f[c+4>>2]=151;b[c+8>>0]=0;dEb(891824,c);zDb(c);u=a;return 536248}function BUb(a,b){a=a|0;b=b|0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);UOb(a,b);return}function CUb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222957]|0)==2){u=a;return 536304}f[c>>2]=149752;f[c+4>>2]=152;b[c+8>>0]=0;dEb(891828,c);zDb(c);u=a;return 536304}function DUb(a,b){a=a|0;b=b|0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);AOb(a,b);return}function EUb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222958]|0)==2){u=a;return 536368}f[c>>2]=149752;f[c+4>>2]=153;b[c+8>>0]=0;dEb(891832,c);zDb(c);u=a;return 536368}function FUb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);b6b(a+4|0,b+4|0);c=a+20|0;d=f[b+20>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}JMb(a+32|0,b+32|0);return}function GUb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222959]|0)==2){u=a;return 536416}f[c>>2]=149752;f[c+4>>2]=154;b[c+8>>0]=0;dEb(891836,c);zDb(c);u=a;return 536416}function HUb(a,b){a=a|0;b=b|0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);PNb(a,b);return}function IUb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222960]|0)==2){u=a;return 536472}f[c>>2]=149752;f[c+4>>2]=155;b[c+8>>0]=0;dEb(891840,c);zDb(c);u=a;return 536472}function JUb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;if((c|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);b6b(a+4|0,c+4|0);d=a+20|0;e=f[c+20>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}JMb(a+32|0,c+32|0);if(!(f[c+24>>2]&1))return;e=b[c+48>>0]|0;c=a+24|0;f[c>>2]=f[c>>2]|1;b[a+48>>0]=e;return}function KUb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222961]|0)==2){u=a;return 536528}f[c>>2]=149752;f[c+4>>2]=156;b[c+8>>0]=0;dEb(891844,c);zDb(c);u=a;return 536528}function LUb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;if((c|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);b6b(a+4|0,c+4|0);d=a+20|0;e=f[c+20>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}JMb(a+32|0,c+32|0);if(!(f[c+24>>2]&1))return;e=b[c+48>>0]|0;c=a+24|0;f[c>>2]=f[c>>2]|1;b[a+48>>0]=e;return}function MUb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222962]|0)==2){u=a;return 536584}f[c>>2]=149752;f[c+4>>2]=157;b[c+8>>0]=0;dEb(891848,c);zDb(c);u=a;return 536584}function NUb(a,b){a=a|0;b=b|0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);IMb(a,b);return}function OUb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222966]|0)==2){u=a;return 536808}f[c>>2]=149752;f[c+4>>2]=161;b[c+8>>0]=0;dEb(891864,c);zDb(c);u=a;return 536808}function PUb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}eLb(a+16|0,b+16|0);return}function QUb(a,b){a=a|0;b=b|0;return 0}function RUb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;f[a>>2]=155216;b=a+40|0;c=a+44|0;d=f[c>>2]|0;e=f[b>>2]|0;g=e;if((d|0)==(e|0)){h=d;i=g}else{d=0;e=g;while(1){Emc(f[e+(d<<2)>>2]|0);d=d+1|0;g=f[c>>2]|0;j=f[b>>2]|0;k=j;if(d>>>0>=g-j>>2>>>0){h=g;i=k;break}else e=k}}e=h;if(i|0){if((e|0)!=(i|0))f[c>>2]=e+(~((e+-4-i|0)>>>2)<<2);Emc(i)}dVb(a+28|0,f[a+32>>2]|0);eVb(a+16|0,f[a+20>>2]|0);eVb(a+4|0,f[a+8>>2]|0);return}function SUb(a){a=a|0;RUb(a);Emc(a);return}function TUb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;f[e>>2]=0;f[e+4>>2]=0;g=cVb(a+4|0,b)|0;b=(g|0)==(a+8|0)?e:g+28|0;g=f[b>>2]|0;if(!g){h=0;u=d;return h|0}h=mDb(c,g,f[b+4>>2]|0)|0;u=d;return h|0}function UUb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;aVb(e,a+4|0,b);b=f[e>>2]|0;if(!b){g=0;u=d;return g|0}g=mDb(c,b,f[e+4>>2]|0)|0;u=d;return g|0}function VUb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+16|0;g=e;ZUb(g,a+4|0,b,c);c=f[g>>2]|0;if(!c){h=0;u=e;return h|0}h=mDb(d,c,f[g+4>>2]|0)|0;u=e;return h|0}function WUb(a,b,c){a=a|0;b=b|0;c=c|0;return XUb(a+4|0,b,c)|0}function XUb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;e=u;u=u+32|0;g=e+16|0;h=e;Nmc(h,c);Nmc(g,h);f[g+12>>2]=0;i=a+28|0;j=YUb(a+24|0,g,f[i>>2]|0,i)|0;if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);if((j|0)==(i|0)){k=0;u=e;return k|0}h=c+11|0;g=c+4|0;a=d+4|0;l=d+8|0;m=0;n=j;a:while(1){j=n+16|0;o=b[j+11>>0]|0;p=o<<24>>24<0;q=o&255;o=p?f[n+20>>2]|0:q;r=b[h>>0]|0;s=r<<24>>24<0;if((o|0)!=((s?f[g>>2]|0:r&255)|0)){k=m;t=24;break}r=f[j>>2]|0;v=p?r:j;w=s?f[c>>2]|0:c;s=(o|0)==0;b:do if(p){if(!s?gac(v,w,o)|0:0){k=m;t=24;break a}}else if(!s){if((r&255)<<24>>24==(b[w>>0]|0)){x=j;y=q;z=w}else{k=m;t=24;break a}while(1){y=y+-1|0;x=x+1|0;if(!y)break b;z=z+1|0;if((b[x>>0]|0)!=(b[z>>0]|0)){k=m;t=24;break a}}}while(0);w=n+28|0;q=f[a>>2]|0;if((q|0)==(f[l>>2]|0))MR(d,w);else{f[q>>2]=f[w>>2];f[a>>2]=q+4}q=f[n+4>>2]|0;if(!q){w=n+8|0;j=f[w>>2]|0;if((f[j>>2]|0)==(n|0))A=j;else{j=w;do{w=f[j>>2]|0;j=w+8|0;r=f[j>>2]|0}while((f[r>>2]|0)!=(w|0));A=r}}else{j=q;while(1){r=f[j>>2]|0;if(!r)break;else j=r}A=j}if((A|0)==(i|0)){k=1;t=24;break}else{m=1;n=A}}if((t|0)==24){u=e;return k|0}return 0}function YUb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(!d){g=e;return g|0}a=b[c+11>>0]|0;h=a<<24>>24<0;i=h?f[c+4>>2]|0:a&255;a=f[c+12>>2]|0;j=h?f[c>>2]|0:c;c=e;e=d;a:while(1){d=e;while(1){h=d+16|0;k=b[h+11>>0]|0;l=k<<24>>24<0;m=l?f[d+20>>2]|0:k&255;k=i>>>0<m>>>0;n=k?i:m;if((n|0)!=0?(o=gac(l?f[h>>2]|0:h,j,n)|0,(o|0)!=0):0){if((o|0)>=0)p=8}else p=6;if((p|0)==6?(p=0,m>>>0>=i>>>0):0)p=8;if((p|0)==8){p=0;o=m>>>0<i>>>0?m:i;if((o|0)!=0?(m=gac(j,l?f[h>>2]|0:h,o)|0,(m|0)!=0):0){if((m|0)<0)break}else p=10;if((p|0)==10?(p=0,k):0)break;if((f[d+28>>2]|0)>=(a|0))break}k=f[d+4>>2]|0;if(!k){g=c;p=15;break a}else d=k}e=f[d>>2]|0;if(!e){g=d;p=15;break}else c=d}if((p|0)==15)return g|0;return 0}function ZUb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;g=u;u=u+48|0;h=g+24|0;i=g;j=g+16|0;Nmc(i,d);Nmc(h,i);f[h+12>>2]=e;f[j>>2]=0;f[j+4>>2]=0;e=_Ub(c+24|0,h)|0;d=(e|0)==(c+28|0)?j:e+32|0;e=f[d+4>>2]|0;j=a;f[j>>2]=f[d>>2];f[j+4>>2]=e;if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);if((b[i+11>>0]|0)>=0){u=g;return}Emc(f[i>>2]|0);u=g;return}function _Ub(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=a+4|0;e=$Ub(a,c,f[d>>2]|0,d)|0;do if((e|0)!=(d|0)){a=e+16|0;g=b[a+11>>0]|0;h=g<<24>>24<0;i=h?f[e+20>>2]|0:g&255;g=b[c+11>>0]|0;j=g<<24>>24<0;k=j?f[c+4>>2]|0:g&255;g=i>>>0<k>>>0;l=g?i:k;if((l|0)!=0?(m=gac(j?f[c>>2]|0:c,h?f[a>>2]|0:a,l)|0,(m|0)!=0):0){if((m|0)<0)break}else n=4;if((n|0)==4?k>>>0<i>>>0:0)break;m=k>>>0<i>>>0?k:i;if((m|0)!=0?(i=gac(h?f[a>>2]|0:a,j?f[c>>2]|0:c,m)|0,(i|0)!=0):0){if((i|0)<0){o=e;return o|0}}else n=8;if((n|0)==8?g:0){o=e;return o|0}if((f[c+12>>2]|0)>=(f[e+28>>2]|0)){o=e;return o|0}}while(0);o=d;return o|0}function $Ub(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(!d){g=e;return g|0}a=b[c+11>>0]|0;h=a<<24>>24<0;i=h?f[c+4>>2]|0:a&255;a=f[c+12>>2]|0;j=h?f[c>>2]|0:c;c=e;e=d;a:while(1){d=e;while(1){h=d+16|0;k=b[h+11>>0]|0;l=k<<24>>24<0;m=l?f[d+20>>2]|0:k&255;k=i>>>0<m>>>0;n=k?i:m;if((n|0)!=0?(o=gac(l?f[h>>2]|0:h,j,n)|0,(o|0)!=0):0){if((o|0)>=0)p=8}else p=6;if((p|0)==6?(p=0,m>>>0>=i>>>0):0)p=8;if((p|0)==8){p=0;o=m>>>0<i>>>0?m:i;if((o|0)!=0?(m=gac(j,l?f[h>>2]|0:h,o)|0,(m|0)!=0):0){if((m|0)<0)break}else p=10;if((p|0)==10?(p=0,k):0)break;if((f[d+28>>2]|0)>=(a|0))break}k=f[d+4>>2]|0;if(!k){g=c;p=15;break a}else d=k}e=f[d>>2]|0;if(!e){g=d;p=15;break}else c=d}if((p|0)==15)return g|0;return 0}function aVb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;e=c+16|0;g=f[e>>2]|0;a:do if(!g)h=e;else{i=b[d+11>>0]|0;j=i<<24>>24<0;k=j?f[d+4>>2]|0:i&255;i=j?f[d>>2]|0:d;j=e;l=g;while(1){m=l;while(1){n=m+16|0;o=b[n+11>>0]|0;p=o<<24>>24<0;q=p?f[m+20>>2]|0:o&255;o=q>>>0<k>>>0?q:k;if((o|0)!=0?(r=gac(i,p?f[n>>2]|0:n,o)|0,(r|0)!=0):0){if((r|0)<0)break}else s=6;if((s|0)==6?(s=0,k>>>0<q>>>0):0)break;q=f[m+4>>2]|0;if(!q){h=j;break a}else m=q}l=f[m>>2]|0;if(!l){h=m;break}else j=m}}while(0);if((h|0)==(f[c+12>>2]|0))t=h;else{s=f[h>>2]|0;if(!s){g=h;while(1){h=f[g+8>>2]|0;if((f[h>>2]|0)==(g|0))g=h;else{u=h;break}}}else{g=s;while(1){s=f[g+4>>2]|0;if(!s){u=g;break}else g=s}}t=u}if((t|0)!=(e|0)?bVb(c,t+16|0,d)|0:0){d=t+28|0;t=f[d+4>>2]|0;c=a;f[c>>2]=f[d>>2];f[c+4>>2]=t;return}f[a>>2]=0;f[a+4>>2]=0;return}function bVb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;a=c+11|0;e=b[a>>0]|0;g=e<<24>>24<0;h=c+4|0;i=e&255;e=g?f[h>>2]|0:i;j=d+11|0;k=b[j>>0]|0;l=k<<24>>24<0;m=l?f[d+4>>2]|0:k&255;a:do if((e|0)==(m|0)){k=f[c>>2]|0;n=g?k:c;o=l?f[d>>2]|0:d;p=(e|0)==0;if(g){if(p){q=1;return q|0}if(!(gac(n,o,e)|0))q=1;else break;return q|0}if(p){q=1;return q|0}if((k&255)<<24>>24==(b[o>>0]|0)){k=c;p=i;n=o;while(1){p=p+-1|0;k=k+1|0;if(!p){q=1;break}n=n+1|0;if((b[k>>0]|0)!=(b[n>>0]|0))break a}return q|0}}while(0);if(m>>>0<e>>>0){q=0;return q|0}if(knc(d,0,e,g?f[c>>2]|0:c,e)|0){q=0;return q|0}e=b[a>>0]|0;q=(b[((b[j>>0]|0)<0?f[d>>2]|0:d)+(e<<24>>24<0?f[h>>2]|0:e&255)>>0]|0)==46;return q|0}function cVb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=a+4|0;a=f[d>>2]|0;do if(a|0){e=b[c+11>>0]|0;g=e<<24>>24<0;h=g?f[c+4>>2]|0:e&255;e=g?f[c>>2]|0:c;g=d;i=a;a:while(1){j=i;while(1){k=j+16|0;l=b[k+11>>0]|0;m=l<<24>>24<0;n=m?f[j+20>>2]|0:l&255;l=h>>>0<n>>>0?h:n;if((l|0)!=0?(o=gac(m?f[k>>2]|0:k,e,l)|0,(o|0)!=0):0){if((o|0)>=0)break}else p=6;if((p|0)==6?(p=0,n>>>0>=h>>>0):0)break;n=f[j+4>>2]|0;if(!n){q=g;break a}else j=n}i=f[j>>2]|0;if(!i){q=j;break}else g=j}if((q|0)!=(d|0)){g=q+16|0;i=b[g+11>>0]|0;n=i<<24>>24<0;o=n?f[q+20>>2]|0:i&255;i=o>>>0<h>>>0?o:h;if(i|0?(l=gac(e,n?f[g>>2]|0:g,i)|0,l|0):0){if((l|0)<0)break;else r=q;return r|0}if(h>>>0>=o>>>0){r=q;return r|0}}}while(0);r=d;return r|0}function dVb(a,c){a=a|0;c=c|0;if(!c)return;dVb(a,f[c>>2]|0);dVb(a,f[c+4>>2]|0);a=c+16|0;if((b[a+11>>0]|0)<0)Emc(f[a>>2]|0);Emc(c);return}function eVb(a,c){a=a|0;c=c|0;if(!c)return;eVb(a,f[c>>2]|0);eVb(a,f[c+4>>2]|0);a=c+16|0;if((b[a+11>>0]|0)<0)Emc(f[a>>2]|0);Emc(c);return}function fVb(a){a=a|0;f[a>>2]=155216;f[a+8>>2]=0;f[a+12>>2]=0;f[a+4>>2]=a+8;f[a+20>>2]=0;f[a+24>>2]=0;f[a+16>>2]=a+20;f[a+32>>2]=0;f[a+36>>2]=0;f[a+28>>2]=a+32;f[a+40>>2]=0;f[a+44>>2]=0;f[a+48>>2]=0;return}function gVb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+192|0;e=d+176|0;g=d+32|0;h=d+24|0;i=d;nUb(g);if(mDb(g,b,c)|0){f[h>>2]=b;f[h+4>>2]=c;f[e>>2]=f[h>>2];f[e+4>>2]=f[h+4>>2];j=hVb(a+4|0,g,e)|0;TTb(g);u=d;return j|0}else{TDb(i,2,500674,318);QDb(d+184|0,ODb(i,500952)|0);UDb(i);j=0;TTb(g);u=d;return j|0}return 0}function hVb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;e=u;u=u+128|0;g=e+96|0;h=e+72|0;i=e+60|0;j=e+48|0;k=e+40|0;l=e+32|0;m=e+24|0;n=e+16|0;o=e+8|0;p=e;q=c+120|0;Nmc(g,f[q>>2]|0);r=d;d=f[r>>2]|0;s=f[r+4>>2]|0;r=g+12|0;f[r>>2]=d;f[r+4>>2]=s;r=iVb(a,g)|0;if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if(!r){TDb(h,2,500674,58);r=ODb(h,500772)|0;QDb(e+116|0,PDb(r,f[q>>2]|0)|0);UDb(h);t=0;u=e;return t|0}if(!(f[c+8>>2]&2)){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;v=i+11|0;w=0;x=0}else{Nmc(i,f[c+124>>2]|0);h=i+11|0;v=h;w=b[h>>0]|0;x=f[i+4>>2]|0}if((w<<24>>24<0?x:w&255)|0)bnc(i,46);w=c+36|0;a:do if((f[w>>2]|0)>0){x=c+44|0;h=j+11|0;q=0;while(1){JDa(j,i,f[(f[(f[x>>2]|0)+4+(q<<2)>>2]|0)+144>>2]|0);r=k;f[r>>2]=d;f[r+4>>2]=s;f[g>>2]=f[k>>2];f[g+4>>2]=f[k+4>>2];r=jVb(a,j,g)|0;if((b[h>>0]|0)<0)Emc(f[j>>2]|0);if(!r){y=0;break a}r=f[(f[x>>2]|0)+4+(q<<2)>>2]|0;z=l;f[z>>2]=d;f[z+4>>2]=s;f[g>>2]=f[l>>2];f[g+4>>2]=f[l+4>>2];q=q+1|0;if(!(kVb(a,r,g)|0)){y=0;break a}if((q|0)>=(f[w>>2]|0)){A=13;break}}}else A=13;while(0);b:do if((A|0)==13){w=c+52|0;if((f[w>>2]|0)>0){l=c+60|0;k=j+11|0;q=0;do{JDa(j,i,f[(f[(f[l>>2]|0)+4+(q<<2)>>2]|0)+64>>2]|0);x=m;f[x>>2]=d;f[x+4>>2]=s;f[g>>2]=f[m>>2];f[g+4>>2]=f[m+4>>2];x=jVb(a,j,g)|0;if((b[k>>0]|0)<0)Emc(f[j>>2]|0);q=q+1|0;if(!x){y=0;break b}}while((q|0)<(f[w>>2]|0))}w=c+84|0;if((f[w>>2]|0)>0){q=c+92|0;k=j+11|0;l=0;do{JDa(j,i,f[(f[(f[q>>2]|0)+4+(l<<2)>>2]|0)+16>>2]|0);x=n;f[x>>2]=d;f[x+4>>2]=s;f[g>>2]=f[n>>2];f[g+4>>2]=f[n+4>>2];x=jVb(a,j,g)|0;if((b[k>>0]|0)<0)Emc(f[j>>2]|0);if(!x){y=0;break b}x=f[(f[q>>2]|0)+4+(l<<2)>>2]|0;h=o;f[h>>2]=d;f[h+4>>2]=s;f[g>>2]=f[o>>2];f[g+4>>2]=f[o+4>>2];l=l+1|0;if(!(lVb(a,x,g)|0)){y=0;break b}}while((l|0)<(f[w>>2]|0))}w=c+68|0;if((f[w>>2]|0)>0){l=c+76|0;q=j+11|0;k=0;while(1){JDa(j,i,f[(f[(f[l>>2]|0)+4+(k<<2)>>2]|0)+32>>2]|0);x=p;f[x>>2]=d;f[x+4>>2]=s;f[g>>2]=f[p>>2];f[g+4>>2]=f[p+4>>2];x=jVb(a,j,g)|0;if((b[q>>0]|0)<0)Emc(f[j>>2]|0);k=k+1|0;if(!x){y=0;break b}if((k|0)>=(f[w>>2]|0)){y=1;break}}}else y=1}while(0);if((b[v>>0]|0)<0)Emc(f[i>>2]|0);t=y;u=e;return t|0}function iVb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=u;u=u+16|0;d=c;e=oVb(a,d,b)|0;if(f[e>>2]|0){g=0;u=c;return g|0}h=Bmc(36)|0;Nmc(h+16|0,b);i=b+12|0;b=f[i+4>>2]|0;j=h+28|0;f[j>>2]=f[i>>2];f[j+4>>2]=b;b=f[d>>2]|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=b;f[e>>2]=h;b=f[f[a>>2]>>2]|0;if(!b)k=h;else{f[a>>2]=b;k=f[e>>2]|0}RS(f[a+4>>2]|0,k);k=a+8|0;f[k>>2]=(f[k>>2]|0)+1;g=1;u=c;return g|0}function jVb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;e=u;u=u+144|0;g=e+124|0;h=e+104|0;i=e+100|0;j=e+96|0;k=e+72|0;l=e+130|0;m=e+24|0;n=e+129|0;o=e;p=e+128|0;q=e+48|0;r=b[c+11>>0]|0;s=r<<24>>24<0;t=s?f[c+4>>2]|0:r&255;a:do if(t|0){r=s?f[c>>2]|0:c;v=0;b:while(1){w=b[r+v>>0]|0;switch(w<<24>>24){case 95:case 46:break;default:{if(w<<24>>24<48)break b;if(w<<24>>24>57){if(w<<24>>24<65)break b;if(w<<24>>24>90&(w+-97&255)>25)break b}}}v=v+1|0;if(v>>>0>=t>>>0)break a}TDb(k,2,500674,95);QDb(l,PDb(ODb(k,500877)|0,c)|0);UDb(k);x=0;u=e;return x|0}while(0);k=a+16|0;l=f[k>>2]|0;c:do if(!l)y=k;else{v=s?f[c>>2]|0:c;r=k;w=l;while(1){z=w;while(1){A=z+16|0;B=b[A+11>>0]|0;C=B<<24>>24<0;D=C?f[z+20>>2]|0:B&255;B=D>>>0<t>>>0?D:t;if((B|0)!=0?(E=gac(v,C?f[A>>2]|0:A,B)|0,(E|0)!=0):0){if((E|0)<0)break}else F=15;if((F|0)==15?(F=0,t>>>0<D>>>0):0)break;D=f[z+4>>2]|0;if(!D){y=r;break c}else z=D}w=f[z>>2]|0;if(!w){y=z;break}else r=z}}while(0);if((y|0)==(f[a+12>>2]|0))G=y;else{t=f[y>>2]|0;if(!t){F=y;while(1){y=f[F+8>>2]|0;if((f[y>>2]|0)==(F|0))F=y;else{H=y;break}}}else{F=t;while(1){t=f[F+4>>2]|0;if(!t){H=F;break}else F=t}}G=H}H=a+12|0;if((G|0)==(k|0)){Nmc(h,c);F=h+12|0;t=d;y=f[t+4>>2]|0;l=F;f[l>>2]=f[t>>2];f[l+4>>2]=y;y=oVb(H,g,h)|0;if(!(f[y>>2]|0)){l=Bmc(36)|0;Nmc(l+16|0,h);t=F;F=f[t+4>>2]|0;s=l+28|0;f[s>>2]=f[t>>2];f[s+4>>2]=F;F=f[g>>2]|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=F;f[y>>2]=l;F=f[f[H>>2]>>2]|0;if(!F)I=l;else{f[H>>2]=F;I=f[y>>2]|0}RS(f[a+16>>2]|0,I);I=a+20|0;f[I>>2]=(f[I>>2]|0)+1}if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);x=1;u=e;return x|0}I=G+16|0;if(bVb(a,I,c)|0){TDb(m,2,500674,111);QDb(n,ODb(PDb(ODb(PDb(ODb(m,500899)|0,c)|0,500913)|0,I)|0,510410)|0);UDb(m);x=0;u=e;return x|0}m=f[G+4>>2]|0;if(!m){I=G+8|0;n=f[I>>2]|0;if((f[n>>2]|0)==(G|0))J=n;else{n=I;do{I=f[n>>2]|0;n=I+8|0;G=f[n>>2]|0}while((f[G>>2]|0)!=(I|0));J=G}}else{n=m;while(1){m=f[n>>2]|0;if(!m)break;else n=m}J=n}n=J;if((J|0)!=(k|0)?(k=J+16|0,bVb(a,c,k)|0):0){TDb(o,2,500674,124);QDb(p,ODb(PDb(ODb(PDb(ODb(o,500899)|0,c)|0,500913)|0,k)|0,510410)|0);UDb(o);x=0;u=e;return x|0}Nmc(q,c);c=q+12|0;o=d;d=f[o+4>>2]|0;k=c;f[k>>2]=f[o>>2];f[k+4>>2]=d;f[j>>2]=n;f[g>>2]=f[j>>2];j=pVb(H,g,h,i,q)|0;if(!(f[j>>2]|0)){i=Bmc(36)|0;Nmc(i+16|0,q);g=c;c=f[g+4>>2]|0;n=i+28|0;f[n>>2]=f[g>>2];f[n+4>>2]=c;c=f[h>>2]|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=c;f[j>>2]=i;c=f[f[H>>2]>>2]|0;if(!c)K=i;else{f[H>>2]=c;K=f[j>>2]|0}RS(f[a+16>>2]|0,K);K=a+20|0;f[K>>2]=(f[K>>2]|0)+1}if((b[q+11>>0]|0)<0)Emc(f[q>>2]|0);x=1;u=e;return x|0}function kVb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+32|0;e=d+16|0;g=d+8|0;h=d;i=b+36|0;a:do if((f[i>>2]|0)>0){j=b+44|0;k=c;l=f[k>>2]|0;m=f[k+4>>2]|0;k=0;while(1){n=f[(f[j>>2]|0)+4+(k<<2)>>2]|0;o=g;f[o>>2]=l;f[o+4>>2]=m;f[e>>2]=f[g>>2];f[e+4>>2]=f[g+4>>2];k=k+1|0;if(!(kVb(a,n,e)|0)){p=0;break}if((k|0)>=(f[i>>2]|0))break a}u=d;return p|0}while(0);i=b+84|0;if((f[i>>2]|0)<=0){p=1;u=d;return p|0}g=b+92|0;b=c;c=f[b>>2]|0;k=f[b+4>>2]|0;b=0;while(1){m=f[(f[g>>2]|0)+4+(b<<2)>>2]|0;l=h;f[l>>2]=c;f[l+4>>2]=k;f[e>>2]=f[h>>2];f[e+4>>2]=f[h+4>>2];b=b+1|0;if(!(lVb(a,m,e)|0)){p=0;q=9;break}if((b|0)>=(f[i>>2]|0)){p=1;q=9;break}}if((q|0)==9){u=d;return p|0}return 0}function lVb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=u;u=u+96|0;g=e+56|0;h=e+40|0;i=e+24|0;j=e;k=c+20|0;l=f[k>>2]|0;m=b[l+11>>0]|0;n=m<<24>>24<0;if(n)o=f[l+4>>2]|0;else o=m&255;if(!o){p=1;u=e;return p|0}if(n)q=f[l>>2]|0;else q=l;if((b[q>>0]|0)!=46){p=1;u=e;return p|0}Omc(i,l,1,-1,l);l=c+40|0;q=f[l>>2]|0;Nmc(h,i);n=h+12|0;f[n>>2]=q;Nmc(g,h);f[g+12>>2]=f[n>>2];n=d;d=f[n+4>>2]|0;q=g+16|0;f[q>>2]=f[n>>2];f[q+4>>2]=d;d=mVb(a+24|0,g)|0;if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);if(d){p=1;u=e;return p|0}TDb(j,2,500674,163);d=ODb(j,500806)|0;i=ODb(PDb(d,f[k>>2]|0)|0,509767)|0;k=ODb(PDb(i,f[c+16>>2]|0)|0,500870)|0;QDb(e+80|0,ODb(RDb(k,f[l>>2]|0)|0,500874)|0);UDb(j);p=0;u=e;return p|0}function mVb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=u;u=u+16|0;d=c;e=nVb(a,d,b)|0;if(f[e>>2]|0){g=0;u=c;return g|0}h=Bmc(40)|0;Nmc(h+16|0,b);f[h+28>>2]=f[b+12>>2];i=b+16|0;b=f[i+4>>2]|0;j=h+32|0;f[j>>2]=f[i>>2];f[j+4>>2]=b;b=f[d>>2]|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=b;f[e>>2]=h;b=f[f[a>>2]>>2]|0;if(!b)k=h;else{f[a>>2]=b;k=f[e>>2]|0}RS(f[a+4>>2]|0,k);k=a+8|0;f[k>>2]=(f[k>>2]|0)+1;g=1;u=c;return g|0}function nVb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=a+4|0;g=f[e>>2]|0;if(!g){f[c>>2]=e;h=e;return h|0}e=b[d+11>>0]|0;i=e<<24>>24<0;j=i?f[d+4>>2]|0:e&255;e=f[d+12>>2]|0;k=i?f[d>>2]|0:d;d=a+4|0;a=g;a:while(1){g=a+16|0;i=b[g+11>>0]|0;l=i<<24>>24<0;m=l?f[a+20>>2]|0:i&255;i=m>>>0<j>>>0;n=i?m:j;o=(n|0)==0;if(!o?(p=gac(k,l?f[g>>2]|0:g,n)|0,(p|0)!=0):0)if((p|0)<0)q=13;else q=8;else if(j>>>0<m>>>0)q=13;else q=8;do if((q|0)==8){q=0;p=j>>>0<m>>>0;r=p?j:m;s=(r|0)==0;if(!s?(t=gac(l?f[g>>2]|0:g,k,r)|0,(t|0)!=0):0)if((t|0)<0)q=16;else q=12;else if(i)q=15;else q=12;if((q|0)==12){q=0;if((e|0)<(f[a+28>>2]|0)){q=13;break}else q=15}if((q|0)==15){q=0;if(s)q=17;else q=16}if((q|0)==16){q=0;s=gac(l?f[g>>2]|0:g,k,r)|0;if(s){if((s|0)>=0)q=19}else q=17}if((q|0)==17?(q=0,!i):0)q=19;if((q|0)==19){q=0;if(!o?(s=gac(k,l?f[g>>2]|0:g,n)|0,(s|0)!=0):0){if((s|0)<0){q=26;break a}}else q=21;if((q|0)==21?(q=0,p):0){q=26;break a}if((f[a+28>>2]|0)>=(e|0)){q=26;break a}}u=a+4|0;p=f[u>>2]|0;if(!p){q=25;break a}else{v=u;w=p}}while(0);if((q|0)==13){q=0;n=f[a>>2]|0;if(!n){q=14;break}else{v=a;w=n}}d=v;a=w}if((q|0)==14){f[c>>2]=a;h=a;return h|0}else if((q|0)==25){f[c>>2]=a;h=u;return h|0}else if((q|0)==26){f[c>>2]=a;h=d;return h|0}return 0}function oVb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=a+4|0;g=f[e>>2]|0;if(!g){f[c>>2]=e;h=e;return h|0}e=b[d+11>>0]|0;i=e<<24>>24<0;j=i?f[d+4>>2]|0:e&255;e=i?f[d>>2]|0:d;d=a+4|0;a=g;while(1){g=a+16|0;i=b[g+11>>0]|0;k=i<<24>>24<0;l=k?f[a+20>>2]|0:i&255;i=l>>>0<j>>>0;m=i?l:j;if((m|0)!=0?(n=gac(e,k?f[g>>2]|0:g,m)|0,(n|0)!=0):0)if((n|0)<0)o=8;else o=10;else if(j>>>0<l>>>0)o=8;else o=10;if((o|0)==8){o=0;n=f[a>>2]|0;if(!n){o=9;break}else{p=a;q=n}}else if((o|0)==10){o=0;n=j>>>0<l>>>0?j:l;if((n|0)!=0?(l=gac(k?f[g>>2]|0:g,e,n)|0,(l|0)!=0):0){if((l|0)>=0){o=16;break}}else o=12;if((o|0)==12?(o=0,!i):0){o=16;break}r=a+4|0;i=f[r>>2]|0;if(!i){o=15;break}else{p=r;q=i}}d=p;a=q}if((o|0)==9){f[c>>2]=a;h=a;return h|0}else if((o|0)==15){f[c>>2]=a;h=r;return h|0}else if((o|0)==16){f[c>>2]=a;h=d;return h|0}return 0}function pVb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;h=a+4|0;i=f[c>>2]|0;c=i;do if((i|0)!=(h|0)){j=i+16|0;k=b[j+11>>0]|0;l=k<<24>>24<0;m=l?f[i+20>>2]|0:k&255;k=b[g+11>>0]|0;n=k<<24>>24<0;o=n?f[g+4>>2]|0:k&255;k=m>>>0<o>>>0;p=k?m:o;if((p|0)!=0?(q=gac(n?f[g>>2]|0:g,l?f[j>>2]|0:j,p)|0,(q|0)!=0):0){if((q|0)<0)break}else r=4;if((r|0)==4?o>>>0<m>>>0:0)break;q=o>>>0<m>>>0?o:m;if((q|0)!=0?(m=gac(l?f[j>>2]|0:j,n?f[g>>2]|0:g,q)|0,(m|0)!=0):0){if((m|0)>=0)r=36}else r=20;if((r|0)==20?!k:0)r=36;if((r|0)==36){f[d>>2]=c;f[e>>2]=c;s=e;return s|0}k=i+4|0;m=f[k>>2]|0;if(!m){q=i+8|0;j=f[q>>2]|0;if((f[j>>2]|0)==(i|0))t=j;else{j=q;do{q=f[j>>2]|0;j=q+8|0;l=f[j>>2]|0}while((f[l>>2]|0)!=(q|0));t=l}}else{j=m;while(1){l=f[j>>2]|0;if(!l)break;else j=l}t=j}do if((t|0)!=(h|0)){m=t+16|0;l=b[m+11>>0]|0;q=l<<24>>24<0;p=q?f[t+20>>2]|0:l&255;l=p>>>0<o>>>0?p:o;if((l|0)!=0?(u=gac(n?f[g>>2]|0:g,q?f[m>>2]|0:m,l)|0,(u|0)!=0):0){if((u|0)<0)break}else r=30;if((r|0)==30?o>>>0<p>>>0:0)break;s=oVb(a,d,g)|0;return s|0}while(0);if(!(f[i+4>>2]|0)){f[d>>2]=c;s=k;return s|0}else{f[d>>2]=t;s=t;return s|0}}while(0);t=f[i>>2]|0;do if((i|0)==(f[a>>2]|0))v=c;else{if(!t){h=i;while(1){e=f[h+8>>2]|0;if((f[e>>2]|0)==(h|0))h=e;else{w=e;break}}}else{h=t;while(1){k=f[h+4>>2]|0;if(!k){w=h;break}else h=k}}h=w;k=w+16|0;e=b[g+11>>0]|0;o=e<<24>>24<0;n=o?f[g+4>>2]|0:e&255;e=b[k+11>>0]|0;j=e<<24>>24<0;p=j?f[w+20>>2]|0:e&255;e=n>>>0<p>>>0?n:p;if((e|0)!=0?(u=gac(j?f[k>>2]|0:k,o?f[g>>2]|0:g,e)|0,(u|0)!=0):0){if((u|0)<0){v=h;break}}else r=12;if((r|0)==12?p>>>0<n>>>0:0){v=h;break}s=oVb(a,d,g)|0;return s|0}while(0);if(!t){f[d>>2]=i;s=i;return s|0}else{i=v;f[d>>2]=i;s=i+4|0;return s|0}return 0}function qVb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;c=u;u=u+16|0;d=c;f[a>>2]=155252;e=a+4|0;g=f[e>>2]|0;h=f[g+28>>2]|0;i=a+(f[g+12>>2]|0)|0;g=f[i>>2]|0;if(g&1|0?(j=g&-2,g=j,!((j|0)==0|(f[g+4>>2]|0)!=0)):0){if(f[g>>2]|0)L3b(g);Emc(j)}f[i>>2]=0;i=f[(f[e>>2]|0)+16>>2]|0;if((i|0)!=-1)M4b(a+i|0);i=h+52|0;j=f[i>>2]|0;if((j|0)<=0){u=c;return}g=h+20|0;h=d+4|0;k=d+8|0;l=d+12|0;m=d+4|0;n=d+8|0;o=d+12|0;p=d+4|0;q=d+8|0;r=d+12|0;s=d+4|0;t=d+8|0;v=d+12|0;w=d+4|0;x=d+8|0;y=d+12|0;z=d+4|0;A=d+8|0;B=d+12|0;C=0;D=j;do{j=f[g>>2]|0;E=j+(C*88|0)|0;F=f[j+(C*88|0)+52>>2]|0;G=f[e>>2]|0;a:do if(F){H=(F-(f[(f[F+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[a+((H<<2)+(f[G+8>>2]|0))>>2]|0)==(f[j+(C*88|0)+40>>2]|0)){I=a+(f[(f[G+32>>2]|0)+(H+D<<2)>>2]|0)|0;H=j+(C*88|0)+24|0;J=f[H>>2]|0;if(J|0?(f[J>>2]|0)!=2:0){f[d>>2]=110868;f[z>>2]=1634;b[A>>0]=0;f[B>>2]=E;dEb(J,d)}J=j+(C*88|0)+28|0;if((f[149940+(f[J>>2]<<2)>>2]|0)==9){K=f[e>>2]|0;L=f[I>>2]|0;if((L|0)==0?1:(L|0)==(f[(f[K+44>>2]|0)+(f[(f[K+32>>2]|0)+(C<<2)>>2]|0)>>2]|0))break;if((b[L+11>>0]|0)<0)Emc(f[L>>2]|0);Emc(L);break}L=f[H>>2]|0;if(L|0?(f[L>>2]|0)!=2:0){f[d>>2]=110868;f[w>>2]=1634;b[x>>0]=0;f[y>>2]=E;dEb(L,d)}if((f[149940+(f[J>>2]<<2)>>2]|0)==10?(J=f[I>>2]|0,J|0):0)ai[f[(f[J>>2]|0)+4>>2]&2047](J)}}else{J=a+(f[(f[G+32>>2]|0)+(C<<2)>>2]|0)|0;I=j+(C*88|0)+24|0;L=f[I>>2]|0;H=(L|0)==0;if((f[j+(C*88|0)+32>>2]|0)!=3){if(!H?(f[L>>2]|0)!=2:0){f[d>>2]=110868;f[s>>2]=1634;b[t>>0]=0;f[v>>2]=E;dEb(L,d)}K=j+(C*88|0)+28|0;if((f[149940+(f[K>>2]<<2)>>2]|0)==9){M=f[e>>2]|0;N=f[J>>2]|0;if((N|0)==0?1:(N|0)==(f[(f[M+44>>2]|0)+(f[(f[M+32>>2]|0)+(C<<2)>>2]|0)>>2]|0))break;if((b[N+11>>0]|0)<0)Emc(f[N>>2]|0);Emc(N);break}N=f[I>>2]|0;if(N|0?(f[N>>2]|0)!=2:0){f[d>>2]=110868;f[p>>2]=1634;b[q>>0]=0;f[r>>2]=E;dEb(N,d)}if((f[149940+(f[K>>2]<<2)>>2]|0)!=10)break;K=f[(f[e>>2]|0)+44>>2]|0;if((K|0)==(a|0)|(K|0)==0)break;K=f[J>>2]|0;if(!K)break;ai[f[(f[K>>2]|0)+4>>2]&2047](K);break}if(!H?(f[L>>2]|0)!=2:0){f[d>>2]=110868;f[m>>2]=1634;b[n>>0]=0;f[o>>2]=E;dEb(L,d)}L=j+(C*88|0)+28|0;do switch(f[149940+(f[L>>2]<<2)>>2]|0){case 1:{H=f[J+8>>2]|0;if(!H)break a;if(f[H>>2]|0)break a;Emc(H);break a;break}case 2:{H=f[J+8>>2]|0;if(!H)break a;if(f[H>>2]|0)break a;Emc(H);break a;break}case 3:{H=f[J+8>>2]|0;if(!H)break a;if(f[H>>2]|0)break a;Emc(H);break a;break}case 4:{H=f[J+8>>2]|0;if(!H)break a;if(f[H>>2]|0)break a;Emc(H);break a;break}case 5:{H=f[J+8>>2]|0;if(!H)break a;if(f[H>>2]|0)break a;Emc(H);break a;break}case 6:{H=f[J+8>>2]|0;if(!H)break a;if(f[H>>2]|0)break a;Emc(H);break a;break}case 7:{H=f[J+8>>2]|0;if(!H)break a;if(f[H>>2]|0)break a;Emc(H);break a;break}case 8:{H=f[J+8>>2]|0;if(!H)break a;if(f[H>>2]|0)break a;Emc(H);break a;break}case 9:{H=J+12|0;K=f[H>>2]|0;if(K|0?(f[J>>2]|0)==0:0){N=f[K>>2]|0;if((N|0)>0){M=0;do{O=f[K+4+(M<<2)>>2]|0;if(O|0){if((b[O+11>>0]|0)<0)Emc(f[O>>2]|0);Emc(O)}M=M+1|0}while((M|0)!=(N|0));P=f[H>>2]|0}else P=K;Emc(P)}f[H>>2]=0;break a;break}case 10:{N=f[I>>2]|0;if(N|0?(f[N>>2]|0)!=2:0){f[d>>2]=110868;f[h>>2]=1634;b[k>>0]=0;f[l>>2]=E;dEb(N,d)}if((f[L>>2]|0)==11?bJb(E)|0:0){ai[f[f[J>>2]>>2]&2047](J);break a}N=J+12|0;M=f[N>>2]|0;if(M|0?(f[J>>2]|0)==0:0){O=f[M>>2]|0;if((O|0)>0){Q=0;do{R=f[M+4+(Q<<2)>>2]|0;if(R|0)ai[f[(f[R>>2]|0)+4>>2]&2047](R);Q=Q+1|0}while((Q|0)!=(O|0));S=f[N>>2]|0}else S=M;Emc(S)}f[N>>2]=0;break a;break}default:break a}while(0)}while(0);C=C+1|0;D=f[i>>2]|0}while((C|0)<(D|0));u=c;return}function rVb(a){a=a|0;qVb(a);Emc(a);return}function sVb(a){a=a|0;var b=0,c=0;b=a+4|0;a=Bmc(f[f[b>>2]>>2]|0)|0;c=f[b>>2]|0;Drc(a|0,0,f[c>>2]|0)|0;f[a>>2]=155252;f[a+4>>2]=c;f[a+8>>2]=0;zVb(a,1);return a|0}function tVb(a,b){a=a|0;b=b|0;var c=0;c=ci[f[(f[a>>2]|0)+12>>2]&1023](a)|0;if(!b)return c|0;yVb(b,c);return c|0}function uVb(a){a=a|0;return 0}function vVb(a){a=a|0;return f[a+8>>2]|0}function wVb(a,b){a=a|0;b=b|0;f[a+8>>2]=b;return}function xVb(a,b){a=a|0;b=b|0;var c=0;c=f[b+4>>2]|0;f[a>>2]=f[c+28>>2];f[a+4>>2]=f[c+40>>2];return}function yVb(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function zVb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+16|0;e=d;g=a+4|0;h=f[g>>2]|0;i=f[h+28>>2]|0;j=i+56|0;if((f[j>>2]|0)>0){k=0;l=h;while(1){f[a+((f[l+8>>2]|0)+(k<<2))>>2]=0;k=k+1|0;m=f[g>>2]|0;if((k|0)>=(f[j>>2]|0)){n=m;break}else l=m}}else n=h;f[a+(f[n+12>>2]|0)>>2]=0;n=f[(f[g>>2]|0)+16>>2]|0;if((n|0)!=-1)L4b(a+n|0);n=i+52|0;if((f[n>>2]|0)<=0){u=d;return}h=i+20|0;i=e+4|0;l=e+8|0;j=e+12|0;k=e+4|0;m=e+8|0;o=e+12|0;q=0;do{r=f[h>>2]|0;s=r+(q*88|0)|0;t=a+(f[(f[(f[g>>2]|0)+32>>2]|0)+(q<<2)>>2]|0)|0;a:do if(!(f[r+(q*88|0)+52>>2]|0)){v=r+(q*88|0)+24|0;w=f[v>>2]|0;if(w|0?(f[w>>2]|0)!=2:0){f[e>>2]=110868;f[k>>2]=1634;b[m>>0]=0;f[o>>2]=s;dEb(w,e)}w=r+(q*88|0)+28|0;do switch(f[149940+(f[w>>2]<<2)>>2]|0){case 1:{if((f[r+(q*88|0)+32>>2]|0)==3){f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;break a}else{f[t>>2]=f[r+(q*88|0)+80>>2];break a}break}case 2:{if((f[r+(q*88|0)+32>>2]|0)==3){f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;break a}else{x=r+(q*88|0)+80|0;y=f[x+4>>2]|0;z=t;f[z>>2]=f[x>>2];f[z+4>>2]=y;break a}break}case 3:{if((f[r+(q*88|0)+32>>2]|0)==3){f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;break a}else{f[t>>2]=f[r+(q*88|0)+80>>2];break a}break}case 4:{if((f[r+(q*88|0)+32>>2]|0)==3){f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;break a}else{y=r+(q*88|0)+80|0;z=f[y+4>>2]|0;x=t;f[x>>2]=f[y>>2];f[x+4>>2]=z;break a}break}case 5:{if((f[r+(q*88|0)+32>>2]|0)==3){f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;break a}else{p[t>>3]=+p[r+(q*88|0)+80>>3];break a}break}case 6:{if((f[r+(q*88|0)+32>>2]|0)==3){f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;break a}else{f[t>>2]=f[r+(q*88|0)+80>>2];break a}break}case 7:{if((f[r+(q*88|0)+32>>2]|0)==3){f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;break a}else{b[t>>0]=b[r+(q*88|0)+80>>0]|0;break a}break}case 8:{if((f[r+(q*88|0)+32>>2]|0)==3){f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;break a}else{z=(cJb(s)|0)+8|0;f[t>>2]=f[z>>2];break a}break}case 9:{if((f[r+(q*88|0)+32>>2]|0)==3){f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;break a}z=f[g>>2]|0;x=f[z+44>>2]|0;if((x|0)==(a|0)|(x|0)==0)A=r+(q*88|0)+80|0;else A=x+(f[(f[z+32>>2]|0)+(q<<2)>>2]|0)|0;f[t>>2]=f[A>>2];break a;break}case 10:{if((f[r+(q*88|0)+32>>2]|0)!=3){f[t>>2]=0;break a}z=f[v>>2]|0;if(z|0?(f[z>>2]|0)!=2:0){f[e>>2]=110868;f[i>>2]=1634;b[l>>0]=0;f[j>>2]=s;dEb(z,e)}if((f[w>>2]|0)==11?bJb(s)|0:0){z=f[(f[g>>2]|0)+20>>2]|0;if(c){x=f[(f[z>>2]|0)+8>>2]|0;y=dJb(s)|0;w_b(t,Sh[x&511](z,y)|0);break a}else{w_b(t,AVb(z,dJb(s)|0)|0);break a}};f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;break a;break}default:break a}while(0)}while(0);q=q+1|0}while((q|0)<(f[n>>2]|0));u=d;return}function AVb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=u;u=u+80|0;e=d+32|0;g=d+8|0;h=d+68|0;i=d;f[i>>2]=c;if(b[a+8>>0]|0?(j=f[(f[c+8>>2]|0)+8>>2]|0,(j|0)==(MIb()|0)):0){j=K1b()|0;k=Sh[f[(f[j>>2]|0)+8>>2]&511](j,c)|0;u=d;return k|0}c=BVb(f[a+12>>2]|0,i)|0;j=f[c>>2]|0;if(j|0){k=f[j+44>>2]|0;u=d;return k|0}j=Bmc(52)|0;l=j+32|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[c>>2]=j;c=f[i>>2]|0;m=j+28|0;f[m>>2]=c;n=f[a+4>>2]|0;if(!n)o=f[(f[c+8>>2]|0)+8>>2]|0;else o=n;n=j+24|0;f[n>>2]=o;f[j+20>>2]=a;o=(f[c+56>>2]|0)+(f[c+52>>2]|0)|0;p=Dmc(o>>>0>1073741823?-1:o<<2)|0;o=f[l>>2]|0;if((o|0)==(p|0))q=c;else{if(!o)r=c;else{Fmc(o);r=f[i>>2]|0}f[l>>2]=p;q=r}r=j+4|0;if((f[(f[q+8>>2]|0)+44>>2]|0)!=3){f[r>>2]=16;o=q+52|0;c=f[o>>2]|0;s=(((c+31|0)/32|0)<<2)+23|0;t=s-((s|0)%8|0)|0;s=Dmc(c>>>0>1073741823?-1:c<<2)|0;if((f[o>>2]|0)>0){c=0;do{f[s+(c<<2)>>2]=c;c=c+1|0}while((c|0)<(f[o>>2]|0))}o=j+36|0;c=f[o>>2]|0;if((c|0)==(s|0)){v=t;w=q}else{if(!c)x=q;else{Fmc(c);x=f[i>>2]|0}f[o>>2]=s;v=t;w=x}}else{f[r>>2]=-1;v=16;w=q}q=f[w+56>>2]|0;if((q|0)>0){f[j+8>>2]=v;x=v+7+(q<<2)|0;y=x-((x|0)%8|0)|0}else y=v;v=j+16|0;if((f[w+68>>2]|0)>0){f[v>>2]=y;x=y+23|0;z=x-((x|0)%8|0)|0}else{f[v>>2]=-1;z=y}y=f[w+52>>2]|0;if((y|0)>0){x=e+4|0;t=e+8|0;s=e+12|0;o=e+4|0;c=e+8|0;A=e+12|0;B=0;C=z;D=w;while(1){E=f[D+20>>2]|0;F=E+(B*88|0)|0;if(!(f[E+(B*88|0)+52>>2]|0)){G=(f[E+(B*88|0)+32>>2]|0)==3;H=E+(B*88|0)+24|0;I=f[H>>2]|0;if(I|0?(f[I>>2]|0)!=2:0){f[e>>2]=110868;f[o>>2]=1634;b[c>>0]=0;f[A>>2]=F;dEb(I,e)}I=E+(B*88|0)+28|0;E=f[149940+(f[I>>2]<<2)>>2]|0;a:do if(G){switch(E|0){case 8:case 7:case 6:case 5:case 4:case 3:case 2:case 1:{J=12;K=48;break a;break}case 10:break;case 9:{J=16;K=48;break a;break}default:{K=47;break a}}L=f[H>>2]|0;if(L|0?(f[L>>2]|0)!=2:0){f[e>>2]=110868;f[x>>2]=1634;b[t>>0]=0;f[s>>2]=F;dEb(L,e)}if((f[I>>2]|0)==11){L=bJb(F)|0;M=L?36:16}else{J=16;K=48}}else switch(E|0){case 9:case 10:case 8:case 6:case 3:case 1:{J=4;K=48;break a;break}case 2:{J=8;K=48;break a;break}case 4:{J=8;K=48;break a;break}case 5:{J=8;K=48;break a;break}case 7:{J=1;K=48;break a;break}default:{K=47;break a}}while(0);if((K|0)==47){K=0;TDb(g,2,501025,162);QDb(h,ODb(g,512111)|0);UDb(g);J=0;K=48}if((K|0)==48){K=0;M=J}E=(M|0)<8?M:8;F=C+-1+E|0;I=F-((F|0)%(E|0)|0)|0;f[p+(B<<2)>>2]=I;N=I+M|0;O=f[i>>2]|0}else{N=C;O=D}B=B+1|0;P=f[O+52>>2]|0;if((B|0)>=(P|0))break;else{C=N;D=O}}Q=N;R=O;S=f[O+56>>2]|0;T=P}else{Q=z;R=w;S=q;T=y}y=R+56|0;q=Q+7|0;Q=q-((q|0)%8|0)|0;if((S|0)>0){q=R+52|0;f[p+(T<<2)>>2]=Q;T=f[y>>2]|0;w=Q+15|0;z=w-((w|0)%8|0)|0;if((T|0)>1){w=1;P=z;while(1){f[p+((f[q>>2]|0)+w<<2)>>2]=P;w=w+1|0;O=f[y>>2]|0;N=P+15|0;D=N-((N|0)%8|0)|0;if((w|0)>=(O|0)){U=D;V=O;break}else P=D}}else{U=z;V=T}}else{U=Q;V=S}S=j+12|0;f[S>>2]=U;Q=U+4|0;U=j+48|0;f[U>>2]=-1;f[j>>2]=Q;if((V|0)>0){V=e+4|0;T=e+8|0;z=e+12|0;P=0;w=Q;y=R;while(1){R=f[y+24>>2]|0;b:do if((f[R+(P*28|0)+16>>2]|0)>0){q=0;D=w;O=R;while(1){N=f[(f[O+(P*28|0)+20>>2]|0)+(q<<2)>>2]|0;C=f[N+24>>2]|0;if(C|0?(f[C>>2]|0)!=2:0){f[e>>2]=110868;f[V>>2]=1634;b[T>>0]=0;f[z>>2]=N;dEb(C,e)}switch(f[149940+(f[N+28>>2]<<2)>>2]|0){case 9:case 10:case 8:case 6:case 3:case 1:{W=4;break}case 2:{W=8;break}case 4:{W=8;break}case 5:{W=8;break}case 7:{W=1;break}default:{TDb(g,2,501025,192);QDb(h,ODb(g,512111)|0);UDb(g);W=0}}C=W>>>0<8?W:8;B=D+-1+C|0;M=B-((B|0)%(C|0)|0)|0;do if(b[N+38>>0]|0){C=f[N+56>>2]|0;B=N;if(!C){X=B-(f[(f[N+20>>2]|0)+80>>2]|0)|0;break}else{X=B-(f[C+40>>2]|0)|0;break}}else X=N-(f[(f[N+48>>2]|0)+20>>2]|0)|0;while(0);f[p+(((X|0)/88|0)<<2)>>2]=M;N=M+W|0;q=q+1|0;C=f[i>>2]|0;O=f[C+24>>2]|0;if((q|0)>=(f[O+(P*28|0)+16>>2]|0)){Y=N;Z=C;break b}else D=N}}else{Y=w;Z=y}while(0);P=P+1|0;if((P|0)>=(f[Z+56>>2]|0)){_=Y;break}else{w=Y;y=Z}}}else _=Q;Q=_+7|0;_=Q-((Q|0)%8|0)|0;Q=Bmc(_)|0;Drc(Q|0,0,_|0)|0;_=j+44|0;f[_>>2]=Q;f[Q>>2]=155252;f[Q+4>>2]=j;f[Q+8>>2]=0;zVb(Q,0);if((f[(f[i>>2]|0)+56>>2]|0)>0)CVb(f[m>>2]|0,f[l>>2]|0,Q);f[e>>2]=f[_>>2];f[e+4>>2]=f[l>>2];f[e+8>>2]=f[j+36>>2];f[e+12>>2]=f[r>>2];f[e+16>>2]=f[S>>2];f[e+20>>2]=f[v>>2];f[e+24>>2]=f[j+8>>2];f[e+28>>2]=f[j>>2];f[e+32>>2]=f[U>>2];U=Bmc(56)|0;vYb(U,f[m>>2]|0,e,f[n>>2]|0,a);a=j+40|0;j=f[a>>2]|0;if((j|0)!=(U|0)){if(j|0)ai[f[(f[j>>2]|0)+4>>2]&2047](j);f[a>>2]=U}DVb(Q);k=Q;u=d;return k|0}function BVb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+16|0;d=c;e=f[b>>2]|0;b=f[a+4>>2]|0;g=e;a:do if(b|0){h=b+-1|0;i=(h&b|0)==0;if(!i)if(e>>>0<b>>>0)j=e;else j=(e>>>0)%(b>>>0)|0;else j=h&e;k=f[(f[a>>2]|0)+(j<<2)>>2]|0;if(k|0?(l=f[k>>2]|0,l|0):0){b:do if(i){k=l;while(1){m=f[k+4>>2]|0;n=(m|0)==(e|0);if(!(n|(m&h|0)==(j|0)))break a;if(n?(f[k+8>>2]|0)==(g|0):0){o=k;break b}k=f[k>>2]|0;if(!k)break a}}else{k=l;while(1){n=f[k+4>>2]|0;if((n|0)==(e|0)){if((f[k+8>>2]|0)==(g|0)){o=k;break b}}else{if(n>>>0<b>>>0)p=n;else p=(n>>>0)%(b>>>0)|0;if((p|0)!=(j|0))break a}k=f[k>>2]|0;if(!k)break a}}while(0);q=o;r=q+12|0;u=c;return r|0}}while(0);o=Bmc(16)|0;f[o+8>>2]=e;f[o+12>>2]=0;EVb(d,a,o);q=f[d>>2]|0;r=q+12|0;u=c;return r|0}function CVb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;e=u;u=u+16|0;g=e;h=a+56|0;if((f[h>>2]|0)<=0){u=e;return}i=a+24|0;a=g+4|0;j=g+8|0;k=g+12|0;l=0;m=f[i>>2]|0;while(1){a:do if((f[m+(l*28|0)+16>>2]|0)>0){n=0;o=m;while(1){q=f[(f[o+(l*28|0)+20>>2]|0)+(n<<2)>>2]|0;do if(b[q+38>>0]|0){r=f[q+56>>2]|0;s=q;if(!r){t=s-(f[(f[q+20>>2]|0)+80>>2]|0)|0;break}else{t=s-(f[r+40>>2]|0)|0;break}}else t=q-(f[(f[q+48>>2]|0)+20>>2]|0)|0;while(0);r=d+(f[c+(((t|0)/88|0)<<2)>>2]|0)|0;s=f[q+24>>2]|0;if(s|0?(f[s>>2]|0)!=2:0){f[g>>2]=110868;f[a>>2]=1634;b[j>>0]=0;f[k>>2]=q;dEb(s,g)}do switch(f[149940+(f[q+28>>2]<<2)>>2]|0){case 1:{f[r>>2]=f[q+80>>2];break}case 2:{s=q+80|0;v=f[s+4>>2]|0;w=r;f[w>>2]=f[s>>2];f[w+4>>2]=v;break}case 3:{f[r>>2]=f[q+80>>2];break}case 4:{v=q+80|0;w=f[v+4>>2]|0;s=r;f[s>>2]=f[v>>2];f[s+4>>2]=w;break}case 5:{p[r>>3]=+p[q+80>>3];break}case 6:{f[r>>2]=f[q+80>>2];break}case 7:{b[r>>0]=b[q+80>>0]|0;break}case 8:{w=(cJb(q)|0)+8|0;f[r>>2]=f[w>>2];break}case 9:{f[r>>2]=0;f[r>>2]=f[q+80>>2];break}case 10:{f[r>>2]=0;break}default:{}}while(0);n=n+1|0;r=f[i>>2]|0;if((n|0)>=(f[r+(l*28|0)+16>>2]|0)){x=r;break a}else o=r}}else x=m;while(0);l=l+1|0;if((l|0)>=(f[h>>2]|0))break;else m=x}u=e;return}function DVb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+48|0;d=c+24|0;e=c;g=a+4|0;h=f[g>>2]|0;i=f[h+44>>2]|0;if((i|0)==(a|0)|(i|0)==0)j=h;else{TDb(e,3,501025,550);QDb(c+40|0,ODb(e,501119)|0);UDb(e);j=f[g>>2]|0}e=f[j+20>>2]|0;h=f[j+28>>2]|0;i=h+52|0;if((f[i>>2]|0)<=0){u=c;return}k=h+20|0;h=d+4|0;l=d+8|0;m=d+12|0;n=0;o=j;while(1){j=f[k>>2]|0;p=j+(n*88|0)|0;q=a+(f[(f[o+32>>2]|0)+(n<<2)>>2]|0)|0;r=f[j+(n*88|0)+24>>2]|0;if(r|0?(f[r>>2]|0)!=2:0){f[d>>2]=110868;f[h>>2]=1634;b[l>>0]=0;f[m>>2]=p;dEb(r,d)}if((f[149940+(f[j+(n*88|0)+28>>2]<<2)>>2]|0)==10?(f[j+(n*88|0)+32>>2]|0)!=3:0){j=AVb(e,dJb(p)|0)|0;f[q>>2]=j}j=n+1|0;if((j|0)>=(f[i>>2]|0))break;n=j;o=f[g>>2]|0}u=c;return}function EVb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0,B=0,C=0,D=0;e=f[d+8>>2]|0;g=d+4|0;f[g>>2]=e;h=c+4|0;i=f[h>>2]|0;j=(i|0)==0;k=e;a:do if(!j){l=i+-1|0;m=(l&i|0)==0;if(!m)if(e>>>0<i>>>0)o=e;else o=(e>>>0)%(i>>>0)|0;else o=l&e;p=f[(f[c>>2]|0)+(o<<2)>>2]|0;if(!p)q=o;else{if(m){m=p;while(1){r=f[m>>2]|0;if(!r){q=o;break a}if((f[r+4>>2]&l|0)!=(o|0)){q=o;break a}if((f[r+8>>2]|0)==(k|0)){s=0;t=r;break}else m=r}u=t;f[a>>2]=u;v=a+4|0;b[v>>0]=s;return}else w=p;while(1){m=f[w>>2]|0;if(!m){q=o;break a}l=f[m+4>>2]|0;if(l>>>0<i>>>0)x=l;else x=(l>>>0)%(i>>>0)|0;if((x|0)!=(o|0)){q=o;break a}if((f[m+8>>2]|0)==(k|0)){s=0;t=m;break}else w=m}u=t;f[a>>2]=u;v=a+4|0;b[v>>0]=s;return}}else q=0;while(0);w=c+12|0;y=+(((f[w>>2]|0)+1|0)>>>0);z=+n[c+16>>2];do if(j|y>+(i>>>0)*z){k=(i>>>0<3|(i+-1&i|0)!=0)&1|i<<1;o=~~+X(+(y/z))>>>0;FVb(c,k>>>0<o>>>0?o:k);k=f[h>>2]|0;o=f[g>>2]|0;x=k+-1|0;if(!(x&k)){A=k;B=x&o;break}if(o>>>0<k>>>0){A=k;B=o}else{A=k;B=(o>>>0)%(k>>>0)|0}}else{A=i;B=q}while(0);q=f[(f[c>>2]|0)+(B<<2)>>2]|0;if(!q){i=c+8|0;f[d>>2]=f[i>>2];f[i>>2]=d;f[(f[c>>2]|0)+(B<<2)>>2]=i;i=f[d>>2]|0;if(!i)C=d;else{B=f[i+4>>2]|0;i=A+-1|0;if(i&A)if(B>>>0<A>>>0)D=B;else D=(B>>>0)%(A>>>0)|0;else D=B&i;f[(f[c>>2]|0)+(D<<2)>>2]=d;C=d}}else{f[d>>2]=f[q>>2];f[q>>2]=d;C=d}f[w>>2]=(f[w>>2]|0)+1;s=1;t=C;u=t;f[a>>2]=u;v=a+4|0;b[v>>0]=s;return}function FVb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if((b|0)!=1)if(!(b+-1&b))c=b;else c=pbc(b)|0;else c=2;b=f[a+4>>2]|0;if(c>>>0>b>>>0){GVb(a,c);return}if(c>>>0>=b>>>0)return;d=~~+X(+(+((f[a+12>>2]|0)>>>0)/+n[a+16>>2]))>>>0;if(b>>>0>2&(b+-1&b|0)==0)e=1<<32-($(d+-1|0)|0);else e=pbc(d)|0;d=c>>>0<e>>>0?e:c;if(d>>>0>=b>>>0)return;GVb(a,d);return}function GVb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;c=(b|0)!=0;do if(c)if(b>>>0>1073741823){d=ye(8)|0;Jmc(d,511852);f[d>>2]=165276;Gf(d|0,26776,1555)}else{e=Bmc(b<<2)|0;break}else e=0;while(0);d=f[a>>2]|0;f[a>>2]=e;if(d|0)Emc(d);f[a+4>>2]=b;if(c)g=0;else return;do{f[(f[a>>2]|0)+(g<<2)>>2]=0;g=g+1|0}while((g|0)!=(b|0));g=a+8|0;c=f[g>>2]|0;if(!c)return;d=f[c+4>>2]|0;e=b+-1|0;h=(e&b|0)==0;if(!h)if(d>>>0<b>>>0)i=d;else i=(d>>>0)%(b>>>0)|0;else i=d&e;f[(f[a>>2]|0)+(i<<2)>>2]=g;g=f[c>>2]|0;if(!g)return;else{j=i;k=c;l=g;m=c}a:while(1){b:do if(h){c=k;g=l;i=m;while(1){d=g;while(1){n=f[d+4>>2]&e;if((n|0)==(j|0))break;o=(f[a>>2]|0)+(n<<2)|0;if(!(f[o>>2]|0)){p=d;q=i;r=o;s=n;break b}o=d+8|0;t=d;while(1){u=f[t>>2]|0;if(!u)break;if((f[o>>2]|0)==(f[u+8>>2]|0))t=u;else break}f[i>>2]=u;f[t>>2]=f[f[(f[a>>2]|0)+(n<<2)>>2]>>2];f[f[(f[a>>2]|0)+(n<<2)>>2]>>2]=d;o=f[c>>2]|0;if(!o){v=35;break a}else d=o}g=f[d>>2]|0;if(!g){v=35;break a}else{c=d;i=d}}}else{i=k;c=l;g=m;while(1){o=c;while(1){w=f[o+4>>2]|0;if(w>>>0<b>>>0)x=w;else x=(w>>>0)%(b>>>0)|0;if((x|0)==(j|0))break;w=(f[a>>2]|0)+(x<<2)|0;if(!(f[w>>2]|0)){p=o;q=g;r=w;s=x;break b}w=o+8|0;y=o;while(1){z=f[y>>2]|0;if(!z)break;if((f[w>>2]|0)==(f[z+8>>2]|0))y=z;else break}f[g>>2]=z;f[y>>2]=f[f[(f[a>>2]|0)+(x<<2)>>2]>>2];f[f[(f[a>>2]|0)+(x<<2)>>2]>>2]=o;w=f[i>>2]|0;if(!w){v=35;break a}else o=w}c=f[o>>2]|0;if(!c){v=35;break a}else{i=o;g=o}}}while(0);f[r>>2]=q;l=f[p>>2]|0;if(!l){v=35;break}else{j=s;k=p;m=p}}if((v|0)==35)return}function HVb(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=155360;b=a+12|0;c=f[(f[b>>2]|0)+8>>2]|0;if(c|0){d=c;do{c=d+12|0;KVb(f[(f[c>>2]|0)+28>>2]|0,0,0);e=f[c>>2]|0;if(e|0){LVb(e);Emc(e)}d=f[d>>2]|0}while((d|0)!=0)}WDb(a+16|0);a=f[b>>2]|0;if(!a)return;b=f[a+8>>2]|0;if(b|0){d=b;do{b=d;d=f[d>>2]|0;Emc(b)}while((d|0)!=0)}d=f[a>>2]|0;f[a>>2]=0;if(d|0)Emc(d);Emc(a);return}function IVb(a){a=a|0;HVb(a);Emc(a);return}function JVb(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+16|0;FDb(c);d=AVb(a,b)|0;GDb(c);return d|0}function KVb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=u;u=u+16|0;c=d;e=a+56|0;if((f[e>>2]|0)<=0){u=d;return}g=a+24|0;a=c+4|0;h=c+8|0;i=c+12|0;j=0;k=f[g>>2]|0;while(1){if((f[k+(j*28|0)+16>>2]|0)>0){l=0;m=k;while(1){n=f[(f[m+(j*28|0)+20>>2]|0)+(l<<2)>>2]|0;o=f[n+24>>2]|0;if(o|0?(f[o>>2]|0)!=2:0){f[c>>2]=110868;f[a>>2]=1634;b[h>>0]=0;f[i>>2]=n;dEb(o,c)}l=l+1|0;o=f[g>>2]|0;if((l|0)>=(f[o+(j*28|0)+16>>2]|0)){p=o;break}else m=o}}else p=k;j=j+1|0;if((j|0)>=(f[e>>2]|0))break;else k=p}u=d;return}function LVb(a){a=a|0;var b=0;b=f[a+44>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);b=f[a+40>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);b=f[a+36>>2]|0;if(b|0)Fmc(b);b=f[a+32>>2]|0;if(!b)return;Fmc(b);return}function MVb(a){a=a|0;var c=0;f[a>>2]=155360;f[a+4>>2]=0;b[a+8>>0]=0;c=Bmc(20)|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;n[c+16>>2]=1.0;f[a+12>>2]=c;VDb(a+16|0);return}function NVb(a){a=a|0;Emc(a);return}function OVb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+48|0;g=e+24|0;h=e;i=e+40|0;j=QIb(f[a+4>>2]|0,f[a+12>>2]|0,c)|0;if(!j){k=0;u=e;return k|0}c=j+24|0;l=f[c>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=j;dEb(l,g)}l=j+28|0;b[d>>0]=f[l>>2];b[d+1>>0]=(f[j+32>>2]|0)==3&1;b[d+2>>0]=b[(f[j+68>>2]|0)+52>>0]|0;f[d+12>>2]=j;m=f[c>>2]|0;if(m|0?(f[m>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=j;dEb(m,g)}if((f[149940+(f[l>>2]<<2)>>2]|0)==10){m=f[a+8>>2]|0;a=f[(f[m>>2]|0)+8>>2]|0;n=dJb(j)|0;o=Sh[a&511](m,n)|0;f[d+4>>2]=o;if(o|0){k=1;u=e;return k|0}TDb(h,3,501227,303);o=ODb(ODb(h,501325)|0,501375)|0;QDb(i,PDb(o,f[j+4>>2]|0)|0);UDb(h);k=1;u=e;return k|0}h=f[c>>2]|0;if(h|0?(f[h>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=j;dEb(h,g)}if((f[149940+(f[l>>2]<<2)>>2]|0)!=8){k=1;u=e;return k|0}f[d+4>>2]=509;l=eJb(j)|0;f[d+8>>2]=l;k=1;u=e;return k|0}function PVb(a,b){a=a|0;b=b|0;return (YIb(a,b)|0)!=0|0}function QVb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=u;u=u+16|0;h=g;i=f[a>>2]|0;j=a+4|0;if((i|0)==(j|0)){u=g;return}a=e+4|0;k=e+8|0;l=i;while(1){i=l+16|0;if(!(b[i+17>>0]|0)){if(!(b[i+18>>0]&1))m=7}else if((Q4b(l+24|0)|0)>0)m=7;do if((m|0)==7){m=0;n=l+40|0;o=f[n>>2]|0;p=o;if(o|0){o=f[a>>2]|0;if((o|0)==(f[k>>2]|0)){LGb(e,n);break}else{f[o>>2]=p;f[a>>2]=(f[a>>2]|0)+4;break}}p=QIb(d,c,f[i>>2]|0)|0;f[h>>2]=p;o=f[a>>2]|0;if((o|0)==(f[k>>2]|0))LGb(e,h);else{f[o>>2]=p;f[a>>2]=(f[a>>2]|0)+4}}while(0);i=f[l+4>>2]|0;if(!i){p=l+8|0;o=f[p>>2]|0;if((f[o>>2]|0)==(l|0))q=o;else{o=p;do{p=f[o>>2]|0;o=p+8|0;n=f[o>>2]|0}while((f[n>>2]|0)!=(p|0));q=n}}else{o=i;while(1){n=f[o>>2]|0;if(!n)break;else o=n}q=o}if((q|0)==(j|0))break;else l=q}u=g;return}function RVb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=a+4|0;a=f[g>>2]|0;if(a|0){h=g;i=a;a:while(1){a=i;while(1){if((f[a+16>>2]|0)>=(c|0))break;j=f[a+4>>2]|0;if(!j){k=h;break a}else a=j}i=f[a>>2]|0;if(!i){k=a;break}else h=a}if(((k|0)!=(g|0)?(g=k+16|0,(f[g>>2]|0)<=(c|0)):0)?(c=b[g+18>>0]|0,(c&1)==0):0){g=f[k+24>>2]|0;if(!(c&16)){l=g;return l|0}c=f[(f[g>>2]|0)+12>>2]|0;k=Sh[f[(f[e>>2]|0)+8>>2]&511](e,d)|0;l=Sh[c&511](g,k)|0;return l|0}}l=Sh[f[(f[e>>2]|0)+8>>2]&511](e,d)|0;return l|0}function SVb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+32|0;g=e+8|0;h=e;if(!(V4b(a,f[c+40>>2]|0,c,h)|0)){i=f[h>>2]|0;j=i+10|0;k=b[j>>0]|0;b[j>>0]=k&-16;j=f[i>>2]|0;if(!(k&16)){l=j;u=e;return l|0}k=f[(f[j>>2]|0)+16>>2]|0;i=f[(f[d>>2]|0)+8>>2]|0;m=dJb(c)|0;n=Sh[i&511](d,m)|0;l=Sh[k&511](j,n)|0;u=e;return l|0}n=f[c+24>>2]|0;if(n|0?(f[n>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(n,g)}g=f[h>>2]|0;b[g+8>>0]=f[c+28>>2];b[g+9>>0]=0;b[g+11>>0]=0;g=f[(f[d>>2]|0)+8>>2]|0;n=dJb(c)|0;c=Sh[g&511](d,n)|0;n=(f[h>>2]|0)+10|0;b[n>>0]=b[n>>0]&15;n=Sh[f[(f[c>>2]|0)+16>>2]&511](c,f[a+12>>2]|0)|0;f[f[h>>2]>>2]=n;n=f[h>>2]|0;h=n+10|0;b[h>>0]=b[h>>0]&-16;l=f[n>>2]|0;u=e;return l|0}function TVb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=c+40|0;g=f[e>>2]|0;h=a+4|0;i=f[h>>2]|0;if(!i){j=0;return j|0}else{k=h;l=i}a:while(1){i=l;while(1){if((f[i+16>>2]|0)>=(g|0))break;m=f[i+4>>2]|0;if(!m){n=k;break a}else i=m}l=f[i>>2]|0;if(!l){n=i;break}else k=i}if((n|0)==(h|0)){j=0;return j|0}k=n+16|0;if((g|0)<(f[k>>2]|0)){j=0;return j|0}g=n+24|0;n=f[g>>2]|0;if(b[k+18>>0]&16){k=f[(f[n>>2]|0)+32>>2]|0;l=f[(f[d>>2]|0)+8>>2]|0;m=dJb(c)|0;c=Sh[l&511](d,m)|0;m=Sh[k&511](n,c)|0;if((f[a+12>>2]|0)==0?(c=f[g>>2]|0,(c|0)!=0):0){ai[f[(f[c>>2]|0)+4>>2]&2047](c);o=m}else o=m}else o=n;n=f[e>>2]|0;e=f[h>>2]|0;if(!e){j=o;return j|0}else{p=h;q=e}b:while(1){m=q;while(1){if((f[m+16>>2]|0)>=(n|0))break;c=f[m+4>>2]|0;if(!c){r=p;break b}else m=c}q=f[m>>2]|0;if(!q){r=m;break}else p=m}if((r|0)==(h|0)){j=o;return j|0}if((n|0)<(f[r+16>>2]|0)){j=o;return j|0}n=f[r+4>>2]|0;if(!n){h=r+8|0;p=f[h>>2]|0;if((f[p>>2]|0)==(r|0))s=p;else{p=h;do{h=f[p>>2]|0;p=h+8|0;q=f[p>>2]|0}while((f[q>>2]|0)!=(h|0));s=q}}else{p=n;while(1){n=f[p>>2]|0;if(!n)break;else p=n}s=p}if((f[a>>2]|0)==(r|0))f[a>>2]=s;s=a+8|0;f[s>>2]=(f[s>>2]|0)+-1;gCa(e,r);Emc(r);j=o;return j|0}function UVb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+32|0;e=d+8|0;g=d;if(!(V4b(a,f[c+40>>2]|0,c,g)|0)){h=f[g>>2]|0;u=d;return h|0}i=f[c+24>>2]|0;if(i|0?(f[i>>2]|0)!=2:0){f[e>>2]=110868;f[e+4>>2]=1634;b[e+8>>0]=0;f[e+12>>2]=c;dEb(i,e)}e=f[g>>2]|0;b[e+8>>0]=f[c+28>>2];b[e+9>>0]=1;c=f[a+12>>2]|0;if(!c){a=Bmc(16)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;j=a;k=e}else{if(f[c+64>>2]|0)pBb(c,24496,16);e=oBb(c,16,1674)|0;f[e>>2]=c;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;j=e;k=f[g>>2]|0}f[k>>2]=j;h=f[g>>2]|0;u=d;return h|0}function VVb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+12|0;c=f[b>>2]|0;if(!c){f[b>>2]=0;return}if(f[a>>2]|0){f[b>>2]=0;return}a=f[c>>2]|0;if((a|0)>0){d=0;do{e=f[c+4+(d<<2)>>2]|0;if(e|0)ai[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(a|0));g=f[b>>2]|0}else g=c;Emc(g);f[b>>2]=0;return}function WVb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+32|0;e=d;g=d+24|0;h=UVb(a,b)|0;i=f[h>>2]|0;j=f[i+12>>2]|0;if((j|0?(k=i+4|0,l=f[k>>2]|0,(l|0)<(f[j>>2]|0)):0)?(f[k>>2]=l+1,k=f[j+4+(l<<2)>>2]|0,k|0):0){m=k;u=d;return m|0}if(!(f[i+4>>2]|0)){k=f[(f[c>>2]|0)+8>>2]|0;l=dJb(b)|0;b=Sh[k&511](c,l)|0;if(!b){TDb(e,3,501227,268);QDb(g,ODb(e,501556)|0);UDb(e);n=b}else n=b}else n=f[(f[i+12>>2]|0)+4>>2]|0;i=Sh[f[(f[n>>2]|0)+16>>2]&511](n,f[a+12>>2]|0)|0;XVb(f[h>>2]|0,i);m=i;u=d;return m|0}function XVb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=a+12|0;d=f[c>>2]|0;do if(d){e=f[d>>2]|0;g=f[a+8>>2]|0;h=a+4|0;i=f[h>>2]|0;if((e|0)<(g|0)){if((i|0)<(e|0)){j=d+4+(i<<2)|0;f[d+4+(e<<2)>>2]=f[j>>2];k=j}else k=d+4+(i<<2)|0;f[k>>2]=b;f[h>>2]=i+1;j=f[c>>2]|0;f[j>>2]=(f[j>>2]|0)+1;return}if((i|0)==(g|0)){l=h;m=g;n=9}else{if((e|0)==(g|0)){g=f[d+4+(i<<2)>>2]|0;if((g|0)==0|(f[a>>2]|0)!=0){o=h;p=d;break}ai[f[(f[g>>2]|0)+4>>2]&2047](g);o=h;p=f[c>>2]|0;break}if((i|0)<(e|0)){f[d+4+(e<<2)>>2]=f[d+4+(i<<2)>>2];i=f[c>>2]|0;q=i;r=f[i>>2]|0}else{q=d;r=e}f[q>>2]=r+1;o=h;p=q}}else{l=a+4|0;m=f[a+8>>2]|0;n=9}while(0);if((n|0)==9){uDb(a,m+1|0);m=f[c>>2]|0;f[m>>2]=(f[m>>2]|0)+1;o=l;p=m}m=f[o>>2]|0;f[o>>2]=m+1;f[p+4+(m<<2)>>2]=b;return}function YVb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=UVb(a,b)|0;XVb(f[d>>2]|0,c);return}function ZVb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+32|0;h=g+24|0;i=g+16|0;j=g;f[i>>2]=157056;f[i+4>>2]=e;e=f[c+52>>2]|0;if(!e){f[h>>2]=157084;f[h+4>>2]=d;k=h6b(a,b,c,h,i)|0;u=g;return k|0}else{l=f[c+56>>2]|0;xh[f[(f[d>>2]|0)+96>>2]&2047](h,d);d=f[h>>2]|0;f[j>>2]=155380;f[j+4>>2]=e;f[j+8>>2]=l;f[j+12>>2]=d;k=h6b(a,b,c,j,i)|0;u=g;return k|0}return 0}function _Vb(a){a=a|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=f[149940+(h[a+8>>0]<<2)>>2]|0;if(!(b[a+9>>0]|0))switch(c|0){case 9:{d=(sBb(f[a>>2]|0)|0)+12|0;return d|0}case 10:{if(!(b[a+10>>0]&16)){e=f[a>>2]|0;d=ci[f[(f[e>>2]|0)+84>>2]&1023](e)|0;return d|0}else{e=f[a>>2]|0;d=ci[f[(f[e>>2]|0)+44>>2]&1023](e)|0;return d|0}break}default:{d=0;return d|0}}do switch(c|0){case 1:{e=f[a>>2]|0;if(!(f[e+8>>2]|0)){d=12;return d|0}d=(f[e+4>>2]<<2)+16|0;return d|0}case 2:{e=f[a>>2]|0;if(!(f[e+8>>2]|0)){d=12;return d|0}d=(f[e+4>>2]<<3)+20|0;return d|0}case 3:{e=f[a>>2]|0;if(!(f[e+8>>2]|0)){d=12;return d|0}d=(f[e+4>>2]<<2)+16|0;return d|0}case 4:{e=f[a>>2]|0;if(!(f[e+8>>2]|0)){d=12;return d|0}d=(f[e+4>>2]<<3)+20|0;return d|0}case 6:{e=f[a>>2]|0;if(!(f[e+8>>2]|0)){d=12;return d|0}d=(f[e+4>>2]<<2)+16|0;return d|0}case 5:{e=f[a>>2]|0;if(!(f[e+8>>2]|0)){d=12;return d|0}d=(f[e+4>>2]<<3)+20|0;return d|0}case 7:{e=f[a>>2]|0;if(!(f[e+8>>2]|0)){d=12;return d|0}d=(f[e+4>>2]|0)+16|0;return d|0}case 8:{e=f[a>>2]|0;if(!(f[e+8>>2]|0)){d=12;return d|0}d=(f[e+4>>2]<<2)+16|0;return d|0}case 9:{e=f[a>>2]|0;g=f[e+8>>2]<<2;i=e+12|0;e=f[i>>2]|0;if(!e)j=g;else{if((f[e>>2]|0)>0){k=0;l=g;m=e;while(1){e=l+12+(sBb(f[m+4+(k<<2)>>2]|0)|0)|0;k=k+1|0;m=f[i>>2]|0;if((k|0)>=(f[m>>2]|0)){n=e;break}else l=e}}else n=g;j=n+4|0}d=j+16|0;return d|0}case 10:{l=f[a>>2]|0;m=f[l+8>>2]<<2;k=l+12|0;l=f[k>>2]|0;if(!l)o=m;else{if((f[l>>2]|0)>0){i=0;e=m;p=l;while(1){l=f[p+4+(i<<2)>>2]|0;q=(ci[f[(f[l>>2]|0)+84>>2]&1023](l)|0)+e|0;i=i+1|0;p=f[k>>2]|0;if((i|0)>=(f[p>>2]|0)){r=q;break}else e=q}}else r=m;o=r+4|0}d=o+16|0;return d|0}default:{d=0;return d|0}}while(0);return 0}function $Vb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;b=f[a+8>>2]<<5;c=f[a>>2]|0;d=a+4|0;if((c|0)==(d|0)){e=b;return e|0}else{g=b;h=c}while(1){c=(_Vb(h+24|0)|0)+g|0;b=f[h+4>>2]|0;if(!b){a=h+8|0;i=f[a>>2]|0;if((f[i>>2]|0)==(h|0))j=i;else{i=a;do{a=f[i>>2]|0;i=a+8|0;k=f[i>>2]|0}while((f[k>>2]|0)!=(a|0));j=k}}else{i=b;while(1){k=f[i>>2]|0;if(!k)break;else i=k}j=i}if((j|0)==(d|0)){e=c;break}else{g=c;h=j}}return e|0}function aWb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0.0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0;g=u;u=u+32|0;h=g;i=g+24|0;if(!(b[a+9>>0]|0)){j=b[a+10>>0]|0;if(j&1){k=e;u=g;return k|0}do switch(b[a+8>>0]|0){case 5:{l=f[a>>2]|0;m=c<<3;if(m>>>0>127){n=m;o=e;while(1){b[o>>0]=n|128;q=n>>>7;r=o+1|0;if(n>>>0>16383){n=q;o=r}else{t=r;v=q;break}}}else{t=e;v=m}b[t>>0]=v;o=t+1|0;n=l&255;if(l>>>0>127){q=o;r=n;w=l;x=((l|0)<0)<<31>>31;while(1){b[q>>0]=r|-128;y=w;w=Irc(w|0,x|0,7)|0;z=q+1|0;A=w&255;if(!(x>>>0>0|(x|0)==0&y>>>0>16383)){B=z;C=A;break}else{q=z;r=A;x=J}}}else{B=o;C=n}b[B>>0]=C;k=B+1|0;u=g;return k|0}case 3:{x=a;r=f[x>>2]|0;q=f[x+4>>2]|0;x=c<<3;if(x>>>0>127){w=x;l=e;while(1){b[l>>0]=w|128;m=w>>>7;A=l+1|0;if(w>>>0>16383){w=m;l=A}else{D=A;E=m;break}}}else{D=e;E=x}b[D>>0]=E;l=D+1|0;w=r&255;if(q>>>0>0|(q|0)==0&r>>>0>127){n=l;o=w;m=r;A=q;while(1){b[n>>0]=o|-128;z=m;m=Irc(m|0,A|0,7)|0;y=n+1|0;F=m&255;if(!(A>>>0>0|(A|0)==0&z>>>0>16383)){G=y;H=F;break}else{n=y;o=F;A=J}}}else{G=l;H=w}b[G>>0]=H;k=G+1|0;u=g;return k|0}case 13:{A=f[a>>2]|0;o=c<<3;if(o>>>0>127){n=o;m=e;while(1){b[m>>0]=n|128;q=n>>>7;r=m+1|0;if(n>>>0>16383){n=q;m=r}else{I=r;K=q;break}}}else{I=e;K=o}b[I>>0]=K;m=I+1|0;if(A>>>0>127){n=A;w=m;while(1){b[w>>0]=n|128;l=n>>>7;q=w+1|0;if(n>>>0>16383){n=l;w=q}else{L=q;M=l;break}}}else{L=m;M=A}b[L>>0]=M;k=L+1|0;u=g;return k|0}case 4:{w=a;n=f[w>>2]|0;o=f[w+4>>2]|0;w=c<<3;if(w>>>0>127){l=w;q=e;while(1){b[q>>0]=l|128;r=l>>>7;x=q+1|0;if(l>>>0>16383){l=r;q=x}else{N=x;O=r;break}}}else{N=e;O=w}b[N>>0]=O;q=N+1|0;l=n&255;if(o>>>0>0|(o|0)==0&n>>>0>127){A=q;m=l;r=n;x=o;while(1){b[A>>0]=m|-128;F=r;r=Irc(r|0,x|0,7)|0;y=A+1|0;z=r&255;if(!(x>>>0>0|(x|0)==0&F>>>0>16383)){P=y;Q=z;break}else{A=y;m=z;x=J}}}else{P=q;Q=l}b[P>>0]=Q;k=P+1|0;u=g;return k|0}case 17:{x=f[a>>2]|0;m=c<<3;if(m>>>0>127){A=m;r=e;while(1){b[r>>0]=A|128;o=A>>>7;n=r+1|0;if(A>>>0>16383){A=o;r=n}else{R=n;S=o;break}}}else{R=e;S=m}b[R>>0]=S;r=R+1|0;A=x<<1^x>>31;if(A>>>0>127){l=A;q=r;while(1){b[q>>0]=l|128;o=l>>>7;n=q+1|0;if(l>>>0>16383){l=o;q=n}else{T=n;U=o;break}}}else{T=r;U=A}b[T>>0]=U;k=T+1|0;u=g;return k|0}case 18:{q=a;l=f[q>>2]|0;x=f[q+4>>2]|0;q=c<<3;if(q>>>0>127){m=q;o=e;while(1){b[o>>0]=m|128;n=m>>>7;w=o+1|0;if(m>>>0>16383){m=n;o=w}else{V=w;W=n;break}}}else{V=e;W=q}b[V>>0]=W;o=V+1|0;m=Qrc(l|0,x|0,1)|0;A=J;r=Hrc(l|0,x|0,63)|0;n=m^r;r=A^J;A=n&255;if(r>>>0>0|(r|0)==0&n>>>0>127){m=o;w=A;z=n;n=r;while(1){b[m>>0]=w|-128;r=z;z=Irc(z|0,n|0,7)|0;y=m+1|0;F=z&255;if(!(n>>>0>0|(n|0)==0&r>>>0>16383)){X=y;Y=F;break}else{m=y;w=F;n=J}}}else{X=o;Y=A}b[X>>0]=Y;k=X+1|0;u=g;return k|0}case 7:{n=f[a>>2]|0;w=c<<3|5;if(w>>>0>127){m=w;z=e;while(1){b[z>>0]=m|128;x=m>>>7;l=z+1|0;if(m>>>0>16383){m=x;z=l}else{Z=l;_=x;break}}}else{Z=e;_=w}b[Z>>0]=_;z=Z+1|0;b[z>>0]=n;b[z+1>>0]=n>>8;b[z+2>>0]=n>>16;b[z+3>>0]=n>>24;k=Z+5|0;u=g;return k|0}case 6:{z=a;m=f[z>>2]|0;A=f[z+4>>2]|0;z=c<<3|1;if(z>>>0>127){o=z;x=e;while(1){b[x>>0]=o|128;l=o>>>7;q=x+1|0;if(o>>>0>16383){o=l;x=q}else{$=q;aa=l;break}}}else{$=e;aa=z}b[$>>0]=aa;x=$+1|0;o=x;b[o>>0]=m;b[o+1>>0]=m>>8;b[o+2>>0]=m>>16;b[o+3>>0]=m>>24;o=x+4|0;b[o>>0]=A;b[o+1>>0]=A>>8;b[o+2>>0]=A>>16;b[o+3>>0]=A>>24;k=$+9|0;u=g;return k|0}case 15:{o=f[a>>2]|0;x=c<<3|5;if(x>>>0>127){n=x;w=e;while(1){b[w>>0]=n|128;l=n>>>7;q=w+1|0;if(n>>>0>16383){n=l;w=q}else{ba=q;ca=l;break}}}else{ba=e;ca=x}b[ba>>0]=ca;w=ba+1|0;b[w>>0]=o;b[w+1>>0]=o>>8;b[w+2>>0]=o>>16;b[w+3>>0]=o>>24;k=ba+5|0;u=g;return k|0}case 16:{w=a;n=f[w>>2]|0;A=f[w+4>>2]|0;w=c<<3|1;if(w>>>0>127){m=w;z=e;while(1){b[z>>0]=m|128;l=m>>>7;q=z+1|0;if(m>>>0>16383){m=l;z=q}else{da=q;ea=l;break}}}else{da=e;ea=w}b[da>>0]=ea;z=da+1|0;m=z;b[m>>0]=n;b[m+1>>0]=n>>8;b[m+2>>0]=n>>16;b[m+3>>0]=n>>24;m=z+4|0;b[m>>0]=A;b[m+1>>0]=A>>8;b[m+2>>0]=A>>16;b[m+3>>0]=A>>24;k=da+9|0;u=g;return k|0}case 2:{m=f[a>>2]|0;z=c<<3|5;if(z>>>0>127){o=z;x=e;while(1){b[x>>0]=o|128;l=o>>>7;q=x+1|0;if(o>>>0>16383){o=l;x=q}else{fa=q;ga=l;break}}}else{fa=e;ga=z}b[fa>>0]=ga;x=fa+1|0;b[x>>0]=m;b[x+1>>0]=m>>8;b[x+2>>0]=m>>16;b[x+3>>0]=m>>24;k=fa+5|0;u=g;return k|0}case 1:{ha=+p[a>>3];x=c<<3|1;if(x>>>0>127){o=x;A=e;while(1){b[A>>0]=o|128;n=o>>>7;w=A+1|0;if(o>>>0>16383){o=n;A=w}else{ia=w;ja=n;break}}}else{ia=e;ja=x}b[ia>>0]=ja;A=ia+1|0;p[s>>3]=ha;b[A>>0]=b[s>>0];b[A+1>>0]=b[s+1>>0];b[A+2>>0]=b[s+2>>0];b[A+3>>0]=b[s+3>>0];b[A+4>>0]=b[s+4>>0];b[A+5>>0]=b[s+5>>0];b[A+6>>0]=b[s+6>>0];b[A+7>>0]=b[s+7>>0];k=ia+9|0;u=g;return k|0}case 8:{A=b[a>>0]|0;o=c<<3;if(o>>>0>127){m=o;z=e;while(1){b[z>>0]=m|128;n=m>>>7;w=z+1|0;if(m>>>0>16383){m=n;z=w}else{ka=w;la=n;break}}}else{ka=e;la=o}b[ka>>0]=la;b[ka+1>>0]=A;k=ka+2|0;u=g;return k|0}case 9:{z=f[a>>2]|0;m=c<<3|2;if(m>>>0>127){x=m;n=e;while(1){b[n>>0]=x|128;w=x>>>7;l=n+1|0;if(x>>>0>16383){x=w;n=l}else{ma=l;na=w;break}}}else{ma=e;na=m}b[ma>>0]=na;k=GCb(z,ma+1|0)|0;u=g;return k|0}case 12:{n=f[a>>2]|0;x=c<<3|2;if(x>>>0>127){A=x;o=e;while(1){b[o>>0]=A|128;w=A>>>7;l=o+1|0;if(A>>>0>16383){A=w;o=l}else{oa=l;pa=w;break}}}else{oa=e;pa=x}b[oa>>0]=pa;k=GCb(n,oa+1|0)|0;u=g;return k|0}case 14:{o=f[a>>2]|0;A=c<<3;if(A>>>0>127){z=A;m=e;while(1){b[m>>0]=z|128;w=z>>>7;l=m+1|0;if(z>>>0>16383){z=w;m=l}else{qa=l;ra=w;break}}}else{qa=e;ra=A}b[qa>>0]=ra;m=qa+1|0;z=o&255;if(o>>>0>127){n=m;x=z;w=o;l=((o|0)<0)<<31>>31;while(1){b[n>>0]=x|-128;q=w;w=Irc(w|0,l|0,7)|0;F=n+1|0;y=w&255;if(!(l>>>0>0|(l|0)==0&q>>>0>16383)){sa=F;ta=y;break}else{n=F;x=y;l=J}}}else{sa=m;ta=z}b[sa>>0]=ta;k=sa+1|0;u=g;return k|0}case 10:{l=f[a>>2]|0;x=c<<3;n=x|3;if(n>>>0>127){w=n;o=e;while(1){b[o>>0]=w|128;A=w>>>7;y=o+1|0;if(w>>>0>16383){w=A;o=y}else{ua=y;va=A;break}}}else{ua=e;va=n}b[ua>>0]=va;o=ki[f[(f[l>>2]|0)+64>>2]&511](l,0,ua+1|0)|0;w=x|4;if(w>>>0>127){z=w;m=o;while(1){b[m>>0]=z|128;A=z>>>7;y=m+1|0;if(z>>>0>16383){z=A;m=y}else{wa=y;xa=A;break}}}else{wa=o;xa=w}b[wa>>0]=xa;k=wa+1|0;u=g;return k|0}case 11:{m=f[a>>2]|0;if(j&16){k=Bg[f[(f[m>>2]|0)+68>>2]&127](m,c,d,e)|0;u=g;return k|0}z=c<<3|2;if(z>>>0>127){x=z;l=e;while(1){b[l>>0]=x|128;n=x>>>7;A=l+1|0;if(x>>>0>16383){x=n;l=A}else{ya=A;za=n;break}}}else{ya=e;za=z}b[ya>>0]=za;l=ya+1|0;x=ci[f[(f[m>>2]|0)+60>>2]&1023](m)|0;if(x>>>0>127){w=x;o=l;while(1){b[o>>0]=w|128;n=w>>>7;A=o+1|0;if(w>>>0>16383){w=n;o=A}else{Aa=A;Ba=n;break}}}else{Aa=l;Ba=x}b[Aa>>0]=Ba;k=ki[f[(f[m>>2]|0)+64>>2]&511](m,d,Aa+1|0)|0;u=g;return k|0}default:{k=e;u=g;return k|0}}while(0)}if(b[a+11>>0]|0){Aa=a+12|0;if(!(f[Aa>>2]|0)){k=e;u=g;return k|0}Ba=c<<3|2;if(Ba>>>0>127){ya=Ba;za=e;while(1){b[za>>0]=ya|128;j=ya>>>7;wa=za+1|0;if(ya>>>0>16383){ya=j;za=wa}else{Ca=wa;Da=j;break}}}else{Ca=e;Da=Ba}b[Ca>>0]=Da;Da=Ca+1|0;Ca=f[Aa>>2]|0;Aa=Ca&255;if(Ca>>>0>127){Ba=Da;za=Aa;ya=Ca;j=((Ca|0)<0)<<31>>31;while(1){b[Ba>>0]=za|-128;Ca=ya;ya=Irc(ya|0,j|0,7)|0;wa=Ba+1|0;xa=ya&255;if(!(j>>>0>0|(j|0)==0&Ca>>>0>16383)){Ea=wa;Fa=xa;break}else{Ba=wa;za=xa;j=J}}}else{Ea=Da;Fa=Aa}b[Ea>>0]=Fa;Fa=Ea+1|0;do switch(b[a+8>>0]|0){case 5:{Ea=f[a>>2]|0;if((f[Ea>>2]|0)>0){Ga=Fa;Ha=0;Ia=Ea}else{k=Fa;u=g;return k|0}while(1){Ea=f[(f[Ia+8>>2]|0)+4+(Ha<<2)>>2]|0;Aa=Ea&255;if(Ea>>>0>127){Da=Ga;j=((Ea|0)<0)<<31>>31;za=Aa;Ba=Ea;while(1){b[Da>>0]=za|-128;Ea=Ba;Ba=Irc(Ba|0,j|0,7)|0;ya=Da+1|0;xa=Ba&255;if(!(j>>>0>0|(j|0)==0&Ea>>>0>16383)){Ja=ya;Ka=xa;break}else{Da=ya;j=J;za=xa}}}else{Ja=Ga;Ka=Aa}b[Ja>>0]=Ka;za=Ja+1|0;Ha=Ha+1|0;Ia=f[a>>2]|0;if((Ha|0)>=(f[Ia>>2]|0)){k=za;break}else Ga=za}u=g;return k|0}case 3:{m=f[a>>2]|0;if((f[m>>2]|0)>0){La=0;Ma=Fa;Na=m}else{k=Fa;u=g;return k|0}while(1){m=(f[Na+8>>2]|0)+8+(La<<3)|0;x=f[m>>2]|0;l=f[m+4>>2]|0;m=x&255;if(l>>>0>0|(l|0)==0&x>>>0>127){za=Ma;j=m;Da=x;x=l;while(1){b[za>>0]=j|-128;l=Da;Da=Irc(Da|0,x|0,7)|0;Ba=za+1|0;xa=Da&255;if(!(x>>>0>0|(x|0)==0&l>>>0>16383)){Oa=Ba;Pa=xa;break}else{za=Ba;j=xa;x=J}}}else{Oa=Ma;Pa=m}b[Oa>>0]=Pa;x=Oa+1|0;La=La+1|0;Na=f[a>>2]|0;if((La|0)>=(f[Na>>2]|0)){k=x;break}else Ma=x}u=g;return k|0}case 13:{x=f[a>>2]|0;if((f[x>>2]|0)>0){Qa=0;Ra=Fa;Sa=x}else{k=Fa;u=g;return k|0}while(1){x=f[(f[Sa+8>>2]|0)+4+(Qa<<2)>>2]|0;if(x>>>0>127){j=x;za=Ra;while(1){b[za>>0]=j|128;Da=j>>>7;Aa=za+1|0;if(j>>>0>16383){j=Da;za=Aa}else{Ta=Aa;Ua=Da;break}}}else{Ta=Ra;Ua=x}b[Ta>>0]=Ua;za=Ta+1|0;Qa=Qa+1|0;Sa=f[a>>2]|0;if((Qa|0)>=(f[Sa>>2]|0)){k=za;break}else Ra=za}u=g;return k|0}case 4:{za=f[a>>2]|0;if((f[za>>2]|0)>0){Va=0;Wa=Fa;Xa=za}else{k=Fa;u=g;return k|0}while(1){za=(f[Xa+8>>2]|0)+8+(Va<<3)|0;j=f[za>>2]|0;m=f[za+4>>2]|0;za=j&255;if(m>>>0>0|(m|0)==0&j>>>0>127){Da=Wa;Aa=za;xa=j;j=m;while(1){b[Da>>0]=Aa|-128;m=xa;xa=Irc(xa|0,j|0,7)|0;Ba=Da+1|0;l=xa&255;if(!(j>>>0>0|(j|0)==0&m>>>0>16383)){Ya=Ba;Za=l;break}else{Da=Ba;Aa=l;j=J}}}else{Ya=Wa;Za=za}b[Ya>>0]=Za;j=Ya+1|0;Va=Va+1|0;Xa=f[a>>2]|0;if((Va|0)>=(f[Xa>>2]|0)){k=j;break}else Wa=j}u=g;return k|0}case 17:{j=f[a>>2]|0;if((f[j>>2]|0)>0){_a=0;$a=Fa;ab=j}else{k=Fa;u=g;return k|0}while(1){j=f[(f[ab+8>>2]|0)+4+(_a<<2)>>2]|0;Aa=j<<1^j>>31;if(Aa>>>0>127){j=Aa;Da=$a;while(1){b[Da>>0]=j|128;xa=j>>>7;x=Da+1|0;if(j>>>0>16383){j=xa;Da=x}else{bb=x;cb=xa;break}}}else{bb=$a;cb=Aa}b[bb>>0]=cb;Da=bb+1|0;_a=_a+1|0;ab=f[a>>2]|0;if((_a|0)>=(f[ab>>2]|0)){k=Da;break}else $a=Da}u=g;return k|0}case 18:{Da=f[a>>2]|0;if((f[Da>>2]|0)>0){db=0;eb=Fa;fb=Da}else{k=Fa;u=g;return k|0}while(1){Da=(f[fb+8>>2]|0)+8+(db<<3)|0;j=f[Da>>2]|0;za=f[Da+4>>2]|0;Da=Qrc(j|0,za|0,1)|0;xa=J;x=Hrc(j|0,za|0,63)|0;za=Da^x;x=xa^J;xa=za&255;if(x>>>0>0|(x|0)==0&za>>>0>127){Da=eb;j=xa;l=za;za=x;while(1){b[Da>>0]=j|-128;x=l;l=Irc(l|0,za|0,7)|0;Ba=Da+1|0;m=l&255;if(!(za>>>0>0|(za|0)==0&x>>>0>16383)){gb=Ba;hb=m;break}else{Da=Ba;j=m;za=J}}}else{gb=eb;hb=xa}b[gb>>0]=hb;za=gb+1|0;db=db+1|0;fb=f[a>>2]|0;if((db|0)>=(f[fb>>2]|0)){k=za;break}else eb=za}u=g;return k|0}case 7:{za=f[a>>2]|0;if((f[za>>2]|0)>0){ib=0;jb=Fa;kb=za}else{k=Fa;u=g;return k|0}while(1){za=f[(f[kb+8>>2]|0)+4+(ib<<2)>>2]|0;b[jb>>0]=za;b[jb+1>>0]=za>>8;b[jb+2>>0]=za>>16;b[jb+3>>0]=za>>24;za=jb+4|0;ib=ib+1|0;kb=f[a>>2]|0;if((ib|0)>=(f[kb>>2]|0)){k=za;break}else jb=za}u=g;return k|0}case 6:{za=f[a>>2]|0;if((f[za>>2]|0)>0){lb=0;mb=Fa;nb=za}else{k=Fa;u=g;return k|0}while(1){za=(f[nb+8>>2]|0)+8+(lb<<3)|0;j=f[za>>2]|0;Da=f[za+4>>2]|0;za=mb;l=za;b[l>>0]=j;b[l+1>>0]=j>>8;b[l+2>>0]=j>>16;b[l+3>>0]=j>>24;j=za+4|0;b[j>>0]=Da;b[j+1>>0]=Da>>8;b[j+2>>0]=Da>>16;b[j+3>>0]=Da>>24;Da=mb+8|0;lb=lb+1|0;nb=f[a>>2]|0;if((lb|0)>=(f[nb>>2]|0)){k=Da;break}else mb=Da}u=g;return k|0}case 15:{Da=f[a>>2]|0;if((f[Da>>2]|0)>0){ob=0;pb=Fa;qb=Da}else{k=Fa;u=g;return k|0}while(1){Da=f[(f[qb+8>>2]|0)+4+(ob<<2)>>2]|0;b[pb>>0]=Da;b[pb+1>>0]=Da>>8;b[pb+2>>0]=Da>>16;b[pb+3>>0]=Da>>24;Da=pb+4|0;ob=ob+1|0;qb=f[a>>2]|0;if((ob|0)>=(f[qb>>2]|0)){k=Da;break}else pb=Da}u=g;return k|0}case 16:{Da=f[a>>2]|0;if((f[Da>>2]|0)>0){rb=0;sb=Fa;tb=Da}else{k=Fa;u=g;return k|0}while(1){Da=(f[tb+8>>2]|0)+8+(rb<<3)|0;j=f[Da>>2]|0;za=f[Da+4>>2]|0;Da=sb;l=Da;b[l>>0]=j;b[l+1>>0]=j>>8;b[l+2>>0]=j>>16;b[l+3>>0]=j>>24;j=Da+4|0;b[j>>0]=za;b[j+1>>0]=za>>8;b[j+2>>0]=za>>16;b[j+3>>0]=za>>24;za=sb+8|0;rb=rb+1|0;tb=f[a>>2]|0;if((rb|0)>=(f[tb>>2]|0)){k=za;break}else sb=za}u=g;return k|0}case 2:{za=f[a>>2]|0;if((f[za>>2]|0)>0){ub=0;vb=Fa;wb=za}else{k=Fa;u=g;return k|0}while(1){za=f[(f[wb+8>>2]|0)+4+(ub<<2)>>2]|0;b[vb>>0]=za;b[vb+1>>0]=za>>8;b[vb+2>>0]=za>>16;b[vb+3>>0]=za>>24;za=vb+4|0;ub=ub+1|0;wb=f[a>>2]|0;if((ub|0)>=(f[wb>>2]|0)){k=za;break}else vb=za}u=g;return k|0}case 1:{za=f[a>>2]|0;if((f[za>>2]|0)>0){xb=0;yb=Fa;zb=za}else{k=Fa;u=g;return k|0}while(1){p[s>>3]=+p[(f[zb+8>>2]|0)+8+(xb<<3)>>3];b[yb>>0]=b[s>>0];b[yb+1>>0]=b[s+1>>0];b[yb+2>>0]=b[s+2>>0];b[yb+3>>0]=b[s+3>>0];b[yb+4>>0]=b[s+4>>0];b[yb+5>>0]=b[s+5>>0];b[yb+6>>0]=b[s+6>>0];b[yb+7>>0]=b[s+7>>0];za=yb+8|0;xb=xb+1|0;zb=f[a>>2]|0;if((xb|0)>=(f[zb>>2]|0)){k=za;break}else yb=za}u=g;return k|0}case 8:{za=f[a>>2]|0;if((f[za>>2]|0)>0){Ab=0;Bb=Fa;Cb=za}else{k=Fa;u=g;return k|0}while(1){b[Bb>>0]=b[(f[Cb+8>>2]|0)+4+Ab>>0]|0;za=Bb+1|0;Ab=Ab+1|0;Cb=f[a>>2]|0;if((Ab|0)>=(f[Cb>>2]|0)){k=za;break}else Bb=za}u=g;return k|0}case 14:{za=f[a>>2]|0;if((f[za>>2]|0)>0){Db=0;Eb=Fa;Fb=za}else{k=Fa;u=g;return k|0}while(1){za=f[(f[Fb+8>>2]|0)+4+(Db<<2)>>2]|0;j=za&255;if(za>>>0>127){Da=Eb;l=j;Aa=za;m=((za|0)<0)<<31>>31;while(1){b[Da>>0]=l|-128;za=Aa;Aa=Irc(Aa|0,m|0,7)|0;Ba=Da+1|0;x=Aa&255;if(!(m>>>0>0|(m|0)==0&za>>>0>16383)){Gb=Ba;Hb=x;break}else{Da=Ba;l=x;m=J}}}else{Gb=Eb;Hb=j}b[Gb>>0]=Hb;m=Gb+1|0;Db=Db+1|0;Fb=f[a>>2]|0;if((Db|0)>=(f[Fb>>2]|0)){k=m;break}else Eb=m}u=g;return k|0}case 11:case 10:case 12:case 9:{TDb(h,3,501227,498);QDb(i,ODb(h,512587)|0);UDb(h);k=Fa;u=g;return k|0}default:{k=Fa;u=g;return k|0}}while(0)}do switch(b[a+8>>0]|0){case 5:{Fa=f[a>>2]|0;if((f[Fa>>2]|0)<=0){k=e;u=g;return k|0}h=c<<3;if(h>>>0>127){Ib=0;Jb=e;Kb=Fa}else{i=h&255;Eb=0;Fb=e;Db=Fa;while(1){Fa=f[(f[Db+8>>2]|0)+4+(Eb<<2)>>2]|0;b[Fb>>0]=i;Gb=Fb+1|0;Hb=Fa&255;if(Fa>>>0>127){Bb=Gb;Cb=Hb;Ab=Fa;yb=((Fa|0)<0)<<31>>31;while(1){b[Bb>>0]=Cb|-128;Fa=Ab;Ab=Irc(Ab|0,yb|0,7)|0;zb=Bb+1|0;xb=Ab&255;if(!(yb>>>0>0|(yb|0)==0&Fa>>>0>16383)){Lb=zb;Mb=xb;break}else{Bb=zb;Cb=xb;yb=J}}}else{Lb=Gb;Mb=Hb}b[Lb>>0]=Mb;yb=Lb+1|0;Eb=Eb+1|0;Db=f[a>>2]|0;if((Eb|0)>=(f[Db>>2]|0)){k=yb;break}else Fb=yb}u=g;return k|0}while(1){Fb=f[(f[Kb+8>>2]|0)+4+(Ib<<2)>>2]|0;Db=h;Eb=Jb;while(1){b[Eb>>0]=Db|128;i=Db;Db=Db>>>7;Nb=Eb+1|0;if(i>>>0<=16383)break;else Eb=Nb}b[Nb>>0]=Db;Hb=Eb+2|0;Gb=Fb&255;if(Fb>>>0>127){i=Hb;yb=Gb;Cb=Fb;Bb=((Fb|0)<0)<<31>>31;while(1){b[i>>0]=yb|-128;Ab=Cb;Cb=Irc(Cb|0,Bb|0,7)|0;j=i+1|0;xb=Cb&255;if(!(Bb>>>0>0|(Bb|0)==0&Ab>>>0>16383)){Ob=j;Pb=xb;break}else{i=j;yb=xb;Bb=J}}}else{Ob=Hb;Pb=Gb}b[Ob>>0]=Pb;Bb=Ob+1|0;Ib=Ib+1|0;Kb=f[a>>2]|0;if((Ib|0)>=(f[Kb>>2]|0)){k=Bb;break}else Jb=Bb}u=g;return k|0}case 3:{h=f[a>>2]|0;if((f[h>>2]|0)<=0){k=e;u=g;return k|0}Bb=c<<3;if(Bb>>>0>127){Qb=0;Rb=e;Sb=h}else{yb=Bb&255;i=0;Cb=e;Fb=h;while(1){h=(f[Fb+8>>2]|0)+8+(i<<3)|0;Eb=f[h>>2]|0;Db=f[h+4>>2]|0;b[Cb>>0]=yb;h=Cb+1|0;xb=Eb&255;if(Db>>>0>0|(Db|0)==0&Eb>>>0>127){j=h;Ab=xb;zb=Eb;Eb=Db;while(1){b[j>>0]=Ab|-128;Db=zb;zb=Irc(zb|0,Eb|0,7)|0;Fa=j+1|0;vb=zb&255;if(!(Eb>>>0>0|(Eb|0)==0&Db>>>0>16383)){Tb=Fa;Ub=vb;break}else{j=Fa;Ab=vb;Eb=J}}}else{Tb=h;Ub=xb}b[Tb>>0]=Ub;Eb=Tb+1|0;i=i+1|0;Fb=f[a>>2]|0;if((i|0)>=(f[Fb>>2]|0)){k=Eb;break}else Cb=Eb}u=g;return k|0}while(1){Cb=(f[Sb+8>>2]|0)+8+(Qb<<3)|0;Fb=f[Cb>>2]|0;i=f[Cb+4>>2]|0;Cb=Bb;yb=Rb;while(1){b[yb>>0]=Cb|128;Eb=Cb;Cb=Cb>>>7;Vb=yb+1|0;if(Eb>>>0<=16383)break;else yb=Vb}b[Vb>>0]=Cb;xb=yb+2|0;h=Fb&255;if(i>>>0>0|(i|0)==0&Fb>>>0>127){Eb=xb;Ab=h;j=Fb;zb=i;while(1){b[Eb>>0]=Ab|-128;Gb=j;j=Irc(j|0,zb|0,7)|0;Hb=Eb+1|0;vb=j&255;if(!(zb>>>0>0|(zb|0)==0&Gb>>>0>16383)){Wb=Hb;Xb=vb;break}else{Eb=Hb;Ab=vb;zb=J}}}else{Wb=xb;Xb=h}b[Wb>>0]=Xb;zb=Wb+1|0;Qb=Qb+1|0;Sb=f[a>>2]|0;if((Qb|0)>=(f[Sb>>2]|0)){k=zb;break}else Rb=zb}u=g;return k|0}case 13:{Bb=f[a>>2]|0;if((f[Bb>>2]|0)<=0){k=e;u=g;return k|0}zb=c<<3;if(zb>>>0>127){Yb=0;Zb=e;_b=Bb}else{Ab=zb&255;Eb=0;j=e;i=Bb;while(1){Bb=f[(f[i+8>>2]|0)+4+(Eb<<2)>>2]|0;b[j>>0]=Ab;Fb=j+1|0;if(Bb>>>0>127){yb=Bb;Cb=Fb;while(1){b[Cb>>0]=yb|128;vb=yb>>>7;Hb=Cb+1|0;if(yb>>>0>16383){yb=vb;Cb=Hb}else{$b=Hb;ac=vb;break}}}else{$b=Fb;ac=Bb}b[$b>>0]=ac;Cb=$b+1|0;Eb=Eb+1|0;i=f[a>>2]|0;if((Eb|0)>=(f[i>>2]|0)){k=Cb;break}else j=Cb}u=g;return k|0}while(1){j=f[(f[_b+8>>2]|0)+4+(Yb<<2)>>2]|0;i=zb;Eb=Zb;while(1){b[Eb>>0]=i|128;Ab=i;i=i>>>7;bc=Eb+1|0;if(Ab>>>0<=16383)break;else Eb=bc}b[bc>>0]=i;Bb=Eb+2|0;if(j>>>0>127){Fb=j;Ab=Bb;while(1){b[Ab>>0]=Fb|128;Cb=Fb>>>7;yb=Ab+1|0;if(Fb>>>0>16383){Fb=Cb;Ab=yb}else{cc=yb;dc=Cb;break}}}else{cc=Bb;dc=j}b[cc>>0]=dc;Ab=cc+1|0;Yb=Yb+1|0;_b=f[a>>2]|0;if((Yb|0)>=(f[_b>>2]|0)){k=Ab;break}else Zb=Ab}u=g;return k|0}case 4:{zb=f[a>>2]|0;if((f[zb>>2]|0)<=0){k=e;u=g;return k|0}Ab=c<<3;if(Ab>>>0>127){ec=0;fc=e;gc=zb}else{Fb=Ab&255;Eb=0;i=e;Cb=zb;while(1){zb=(f[Cb+8>>2]|0)+8+(Eb<<3)|0;yb=f[zb>>2]|0;h=f[zb+4>>2]|0;b[i>>0]=Fb;zb=i+1|0;xb=yb&255;if(h>>>0>0|(h|0)==0&yb>>>0>127){vb=zb;Hb=xb;Gb=yb;yb=h;while(1){b[vb>>0]=Hb|-128;h=Gb;Gb=Irc(Gb|0,yb|0,7)|0;Fa=vb+1|0;Db=Gb&255;if(!(yb>>>0>0|(yb|0)==0&h>>>0>16383)){hc=Fa;ic=Db;break}else{vb=Fa;Hb=Db;yb=J}}}else{hc=zb;ic=xb}b[hc>>0]=ic;yb=hc+1|0;Eb=Eb+1|0;Cb=f[a>>2]|0;if((Eb|0)>=(f[Cb>>2]|0)){k=yb;break}else i=yb}u=g;return k|0}while(1){i=(f[gc+8>>2]|0)+8+(ec<<3)|0;Cb=f[i>>2]|0;Eb=f[i+4>>2]|0;i=Ab;Fb=fc;while(1){b[Fb>>0]=i|128;yb=i;i=i>>>7;jc=Fb+1|0;if(yb>>>0<=16383)break;else Fb=jc}b[jc>>0]=i;xb=Fb+2|0;zb=Cb&255;if(Eb>>>0>0|(Eb|0)==0&Cb>>>0>127){yb=xb;Hb=zb;vb=Cb;Gb=Eb;while(1){b[yb>>0]=Hb|-128;j=vb;vb=Irc(vb|0,Gb|0,7)|0;Bb=yb+1|0;Db=vb&255;if(!(Gb>>>0>0|(Gb|0)==0&j>>>0>16383)){kc=Bb;lc=Db;break}else{yb=Bb;Hb=Db;Gb=J}}}else{kc=xb;lc=zb}b[kc>>0]=lc;Gb=kc+1|0;ec=ec+1|0;gc=f[a>>2]|0;if((ec|0)>=(f[gc>>2]|0)){k=Gb;break}else fc=Gb}u=g;return k|0}case 17:{Ab=f[a>>2]|0;if((f[Ab>>2]|0)<=0){k=e;u=g;return k|0}Gb=c<<3;if(Gb>>>0>127){mc=0;nc=e;oc=Ab}else{Hb=Gb&255;yb=0;vb=e;Eb=Ab;while(1){Ab=f[(f[Eb+8>>2]|0)+4+(yb<<2)>>2]|0;b[vb>>0]=Hb;Cb=vb+1|0;Fb=Ab<<1^Ab>>31;if(Fb>>>0>127){Ab=Fb;i=Cb;while(1){b[i>>0]=Ab|128;Db=Ab>>>7;Bb=i+1|0;if(Ab>>>0>16383){Ab=Db;i=Bb}else{pc=Bb;qc=Db;break}}}else{pc=Cb;qc=Fb}b[pc>>0]=qc;i=pc+1|0;yb=yb+1|0;Eb=f[a>>2]|0;if((yb|0)>=(f[Eb>>2]|0)){k=i;break}else vb=i}u=g;return k|0}while(1){vb=f[(f[oc+8>>2]|0)+4+(mc<<2)>>2]|0;Eb=Gb;yb=nc;while(1){b[yb>>0]=Eb|128;Hb=Eb;Eb=Eb>>>7;rc=yb+1|0;if(Hb>>>0<=16383)break;else yb=rc}b[rc>>0]=Eb;Fb=yb+2|0;Cb=vb<<1^vb>>31;if(Cb>>>0>127){Hb=Cb;i=Fb;while(1){b[i>>0]=Hb|128;Ab=Hb>>>7;zb=i+1|0;if(Hb>>>0>16383){Hb=Ab;i=zb}else{sc=zb;tc=Ab;break}}}else{sc=Fb;tc=Cb}b[sc>>0]=tc;i=sc+1|0;mc=mc+1|0;oc=f[a>>2]|0;if((mc|0)>=(f[oc>>2]|0)){k=i;break}else nc=i}u=g;return k|0}case 18:{Gb=f[a>>2]|0;if((f[Gb>>2]|0)<=0){k=e;u=g;return k|0}i=c<<3;if(i>>>0>127){uc=0;vc=e;wc=Gb}else{Hb=i&255;vb=0;yb=e;Eb=Gb;while(1){Gb=(f[Eb+8>>2]|0)+8+(vb<<3)|0;Ab=f[Gb>>2]|0;zb=f[Gb+4>>2]|0;b[yb>>0]=Hb;Gb=yb+1|0;xb=Qrc(Ab|0,zb|0,1)|0;Db=J;Bb=Hrc(Ab|0,zb|0,63)|0;zb=xb^Bb;Bb=Db^J;Db=zb&255;if(Bb>>>0>0|(Bb|0)==0&zb>>>0>127){xb=Gb;Ab=Db;j=zb;zb=Bb;while(1){b[xb>>0]=Ab|-128;Bb=j;j=Irc(j|0,zb|0,7)|0;Fa=xb+1|0;h=j&255;if(!(zb>>>0>0|(zb|0)==0&Bb>>>0>16383)){xc=Fa;yc=h;break}else{xb=Fa;Ab=h;zb=J}}}else{xc=Gb;yc=Db}b[xc>>0]=yc;zb=xc+1|0;vb=vb+1|0;Eb=f[a>>2]|0;if((vb|0)>=(f[Eb>>2]|0)){k=zb;break}else yb=zb}u=g;return k|0}while(1){yb=(f[wc+8>>2]|0)+8+(uc<<3)|0;Eb=f[yb>>2]|0;vb=f[yb+4>>2]|0;yb=i;Hb=vc;while(1){b[Hb>>0]=yb|128;zb=yb;yb=yb>>>7;zc=Hb+1|0;if(zb>>>0<=16383)break;else Hb=zc}b[zc>>0]=yb;Db=Hb+2|0;Gb=Qrc(Eb|0,vb|0,1)|0;zb=J;Ab=Hrc(Eb|0,vb|0,63)|0;xb=Gb^Ab;Ab=zb^J;zb=xb&255;if(Ab>>>0>0|(Ab|0)==0&xb>>>0>127){Gb=Db;j=zb;Cb=xb;xb=Ab;while(1){b[Gb>>0]=j|-128;Ab=Cb;Cb=Irc(Cb|0,xb|0,7)|0;Fb=Gb+1|0;h=Cb&255;if(!(xb>>>0>0|(xb|0)==0&Ab>>>0>16383)){Ac=Fb;Bc=h;break}else{Gb=Fb;j=h;xb=J}}}else{Ac=Db;Bc=zb}b[Ac>>0]=Bc;xb=Ac+1|0;uc=uc+1|0;wc=f[a>>2]|0;if((uc|0)>=(f[wc>>2]|0)){k=xb;break}else vc=xb}u=g;return k|0}case 7:{i=f[a>>2]|0;if((f[i>>2]|0)<=0){k=e;u=g;return k|0}xb=c<<3|5;if(xb>>>0>127){Cc=0;Dc=e;Ec=i}else{j=xb&255;Gb=0;Cb=e;vb=i;while(1){i=f[(f[vb+8>>2]|0)+4+(Gb<<2)>>2]|0;b[Cb>>0]=j;Eb=Cb+1|0;b[Eb>>0]=i;b[Eb+1>>0]=i>>8;b[Eb+2>>0]=i>>16;b[Eb+3>>0]=i>>24;i=Cb+5|0;Gb=Gb+1|0;vb=f[a>>2]|0;if((Gb|0)>=(f[vb>>2]|0)){k=i;break}else Cb=i}u=g;return k|0}while(1){Cb=f[(f[Ec+8>>2]|0)+4+(Cc<<2)>>2]|0;vb=xb;Gb=Dc;while(1){b[Gb>>0]=vb|128;j=vb;vb=vb>>>7;Fc=Gb+1|0;if(j>>>0<=16383)break;else Gb=Fc}b[Fc>>0]=vb;zb=Gb+2|0;b[zb>>0]=Cb;b[zb+1>>0]=Cb>>8;b[zb+2>>0]=Cb>>16;b[zb+3>>0]=Cb>>24;zb=Gb+6|0;Cc=Cc+1|0;Ec=f[a>>2]|0;if((Cc|0)>=(f[Ec>>2]|0)){k=zb;break}else Dc=zb}u=g;return k|0}case 6:{xb=f[a>>2]|0;if((f[xb>>2]|0)<=0){k=e;u=g;return k|0}zb=c<<3|1;if(zb>>>0>127){Gc=0;Hc=e;Ic=xb}else{Db=zb&255;j=0;i=e;Eb=xb;while(1){xb=(f[Eb+8>>2]|0)+8+(j<<3)|0;Hb=f[xb>>2]|0;yb=f[xb+4>>2]|0;b[i>>0]=Db;xb=i+1|0;h=xb;b[h>>0]=Hb;b[h+1>>0]=Hb>>8;b[h+2>>0]=Hb>>16;b[h+3>>0]=Hb>>24;Hb=xb+4|0;b[Hb>>0]=yb;b[Hb+1>>0]=yb>>8;b[Hb+2>>0]=yb>>16;b[Hb+3>>0]=yb>>24;yb=i+9|0;j=j+1|0;Eb=f[a>>2]|0;if((j|0)>=(f[Eb>>2]|0)){k=yb;break}else i=yb}u=g;return k|0}while(1){i=(f[Ic+8>>2]|0)+8+(Gc<<3)|0;Eb=f[i>>2]|0;j=f[i+4>>2]|0;i=zb;Db=Hc;while(1){b[Db>>0]=i|128;yb=i;i=i>>>7;Jc=Db+1|0;if(yb>>>0<=16383)break;else Db=Jc}b[Jc>>0]=i;Gb=Db+2|0;Cb=Gb;b[Cb>>0]=Eb;b[Cb+1>>0]=Eb>>8;b[Cb+2>>0]=Eb>>16;b[Cb+3>>0]=Eb>>24;Cb=Gb+4|0;b[Cb>>0]=j;b[Cb+1>>0]=j>>8;b[Cb+2>>0]=j>>16;b[Cb+3>>0]=j>>24;Cb=Db+10|0;Gc=Gc+1|0;Ic=f[a>>2]|0;if((Gc|0)>=(f[Ic>>2]|0)){k=Cb;break}else Hc=Cb}u=g;return k|0}case 15:{zb=f[a>>2]|0;if((f[zb>>2]|0)<=0){k=e;u=g;return k|0}Cb=c<<3|5;if(Cb>>>0>127){Kc=0;Lc=e;Mc=zb}else{Gb=Cb&255;vb=0;yb=e;Hb=zb;while(1){zb=f[(f[Hb+8>>2]|0)+4+(vb<<2)>>2]|0;b[yb>>0]=Gb;xb=yb+1|0;b[xb>>0]=zb;b[xb+1>>0]=zb>>8;b[xb+2>>0]=zb>>16;b[xb+3>>0]=zb>>24;zb=yb+5|0;vb=vb+1|0;Hb=f[a>>2]|0;if((vb|0)>=(f[Hb>>2]|0)){k=zb;break}else yb=zb}u=g;return k|0}while(1){yb=f[(f[Mc+8>>2]|0)+4+(Kc<<2)>>2]|0;Hb=Cb;vb=Lc;while(1){b[vb>>0]=Hb|128;Gb=Hb;Hb=Hb>>>7;Nc=vb+1|0;if(Gb>>>0<=16383)break;else vb=Nc}b[Nc>>0]=Hb;Db=vb+2|0;b[Db>>0]=yb;b[Db+1>>0]=yb>>8;b[Db+2>>0]=yb>>16;b[Db+3>>0]=yb>>24;Db=vb+6|0;Kc=Kc+1|0;Mc=f[a>>2]|0;if((Kc|0)>=(f[Mc>>2]|0)){k=Db;break}else Lc=Db}u=g;return k|0}case 16:{Cb=f[a>>2]|0;if((f[Cb>>2]|0)<=0){k=e;u=g;return k|0}Db=c<<3|1;if(Db>>>0>127){Oc=0;Pc=e;Qc=Cb}else{j=Db&255;Eb=0;i=e;Gb=Cb;while(1){Cb=(f[Gb+8>>2]|0)+8+(Eb<<3)|0;zb=f[Cb>>2]|0;xb=f[Cb+4>>2]|0;b[i>>0]=j;Cb=i+1|0;h=Cb;b[h>>0]=zb;b[h+1>>0]=zb>>8;b[h+2>>0]=zb>>16;b[h+3>>0]=zb>>24;zb=Cb+4|0;b[zb>>0]=xb;b[zb+1>>0]=xb>>8;b[zb+2>>0]=xb>>16;b[zb+3>>0]=xb>>24;xb=i+9|0;Eb=Eb+1|0;Gb=f[a>>2]|0;if((Eb|0)>=(f[Gb>>2]|0)){k=xb;break}else i=xb}u=g;return k|0}while(1){i=(f[Qc+8>>2]|0)+8+(Oc<<3)|0;Gb=f[i>>2]|0;Eb=f[i+4>>2]|0;i=Db;j=Pc;while(1){b[j>>0]=i|128;xb=i;i=i>>>7;Rc=j+1|0;if(xb>>>0<=16383)break;else j=Rc}b[Rc>>0]=i;vb=j+2|0;yb=vb;b[yb>>0]=Gb;b[yb+1>>0]=Gb>>8;b[yb+2>>0]=Gb>>16;b[yb+3>>0]=Gb>>24;yb=vb+4|0;b[yb>>0]=Eb;b[yb+1>>0]=Eb>>8;b[yb+2>>0]=Eb>>16;b[yb+3>>0]=Eb>>24;yb=j+10|0;Oc=Oc+1|0;Qc=f[a>>2]|0;if((Oc|0)>=(f[Qc>>2]|0)){k=yb;break}else Pc=yb}u=g;return k|0}case 2:{Db=f[a>>2]|0;if((f[Db>>2]|0)<=0){k=e;u=g;return k|0}yb=c<<3|5;if(yb>>>0>127){Sc=0;Tc=e;Uc=Db}else{vb=yb&255;Hb=0;xb=e;zb=Db;while(1){Db=f[(f[zb+8>>2]|0)+4+(Hb<<2)>>2]|0;b[xb>>0]=vb;Cb=xb+1|0;b[Cb>>0]=Db;b[Cb+1>>0]=Db>>8;b[Cb+2>>0]=Db>>16;b[Cb+3>>0]=Db>>24;Db=xb+5|0;Hb=Hb+1|0;zb=f[a>>2]|0;if((Hb|0)>=(f[zb>>2]|0)){k=Db;break}else xb=Db}u=g;return k|0}while(1){xb=f[(f[Uc+8>>2]|0)+4+(Sc<<2)>>2]|0;zb=yb;Hb=Tc;while(1){b[Hb>>0]=zb|128;vb=zb;zb=zb>>>7;Vc=Hb+1|0;if(vb>>>0<=16383)break;else Hb=Vc}b[Vc>>0]=zb;j=Hb+2|0;b[j>>0]=xb;b[j+1>>0]=xb>>8;b[j+2>>0]=xb>>16;b[j+3>>0]=xb>>24;j=Hb+6|0;Sc=Sc+1|0;Uc=f[a>>2]|0;if((Sc|0)>=(f[Uc>>2]|0)){k=j;break}else Tc=j}u=g;return k|0}case 1:{yb=f[a>>2]|0;if((f[yb>>2]|0)<=0){k=e;u=g;return k|0}j=c<<3|1;if(j>>>0>127){Wc=0;Xc=e;Yc=yb}else{Eb=j&255;Gb=0;i=e;vb=yb;while(1){ha=+p[(f[vb+8>>2]|0)+8+(Gb<<3)>>3];b[i>>0]=Eb;yb=i+1|0;p[s>>3]=ha;b[yb>>0]=b[s>>0];b[yb+1>>0]=b[s+1>>0];b[yb+2>>0]=b[s+2>>0];b[yb+3>>0]=b[s+3>>0];b[yb+4>>0]=b[s+4>>0];b[yb+5>>0]=b[s+5>>0];b[yb+6>>0]=b[s+6>>0];b[yb+7>>0]=b[s+7>>0];yb=i+9|0;Gb=Gb+1|0;vb=f[a>>2]|0;if((Gb|0)>=(f[vb>>2]|0)){k=yb;break}else i=yb}u=g;return k|0}while(1){ha=+p[(f[Yc+8>>2]|0)+8+(Wc<<3)>>3];i=j;vb=Xc;while(1){b[vb>>0]=i|128;Gb=i;i=i>>>7;Zc=vb+1|0;if(Gb>>>0<=16383)break;else vb=Zc}b[Zc>>0]=i;Hb=vb+2|0;p[s>>3]=ha;b[Hb>>0]=b[s>>0];b[Hb+1>>0]=b[s+1>>0];b[Hb+2>>0]=b[s+2>>0];b[Hb+3>>0]=b[s+3>>0];b[Hb+4>>0]=b[s+4>>0];b[Hb+5>>0]=b[s+5>>0];b[Hb+6>>0]=b[s+6>>0];b[Hb+7>>0]=b[s+7>>0];Hb=vb+10|0;Wc=Wc+1|0;Yc=f[a>>2]|0;if((Wc|0)>=(f[Yc>>2]|0)){k=Hb;break}else Xc=Hb}u=g;return k|0}case 8:{j=f[a>>2]|0;if((f[j>>2]|0)<=0){k=e;u=g;return k|0}Hb=c<<3;if(Hb>>>0>127){_c=0;$c=e;ad=j}else{xb=Hb&255;zb=0;Gb=e;Eb=j;while(1){j=b[(f[Eb+8>>2]|0)+4+zb>>0]|0;b[Gb>>0]=xb;b[Gb+1>>0]=j;j=Gb+2|0;zb=zb+1|0;Eb=f[a>>2]|0;if((zb|0)>=(f[Eb>>2]|0)){k=j;break}else Gb=j}u=g;return k|0}while(1){Gb=b[(f[ad+8>>2]|0)+4+_c>>0]|0;Eb=Hb;zb=$c;while(1){b[zb>>0]=Eb|128;xb=Eb;Eb=Eb>>>7;bd=zb+1|0;if(xb>>>0<=16383)break;else zb=bd}b[bd>>0]=Eb;b[zb+2>>0]=Gb;vb=zb+3|0;_c=_c+1|0;ad=f[a>>2]|0;if((_c|0)>=(f[ad>>2]|0)){k=vb;break}else $c=vb}u=g;return k|0}case 9:{Hb=f[a>>2]|0;if((f[Hb+4>>2]|0)<=0){k=e;u=g;return k|0}vb=c<<3|2;if(vb>>>0>127){cd=0;dd=e;ed=Hb}else{i=vb&255;xb=0;j=e;yb=Hb;while(1){Hb=f[(f[yb+12>>2]|0)+4+(xb<<2)>>2]|0;b[j>>0]=i;Db=GCb(Hb,j+1|0)|0;xb=xb+1|0;yb=f[a>>2]|0;if((xb|0)>=(f[yb+4>>2]|0)){k=Db;break}else j=Db}u=g;return k|0}while(1){j=f[(f[ed+12>>2]|0)+4+(cd<<2)>>2]|0;yb=vb;xb=dd;while(1){b[xb>>0]=yb|128;i=yb;yb=yb>>>7;fd=xb+1|0;if(i>>>0<=16383)break;else xb=fd}b[fd>>0]=yb;zb=GCb(j,xb+2|0)|0;cd=cd+1|0;ed=f[a>>2]|0;if((cd|0)>=(f[ed+4>>2]|0)){k=zb;break}else dd=zb}u=g;return k|0}case 12:{vb=f[a>>2]|0;if((f[vb+4>>2]|0)<=0){k=e;u=g;return k|0}zb=c<<3|2;if(zb>>>0>127){gd=0;hd=e;id=vb}else{Gb=zb&255;Eb=0;i=e;Db=vb;while(1){vb=f[(f[Db+12>>2]|0)+4+(Eb<<2)>>2]|0;b[i>>0]=Gb;Hb=GCb(vb,i+1|0)|0;Eb=Eb+1|0;Db=f[a>>2]|0;if((Eb|0)>=(f[Db+4>>2]|0)){k=Hb;break}else i=Hb}u=g;return k|0}while(1){i=f[(f[id+12>>2]|0)+4+(gd<<2)>>2]|0;Db=zb;Eb=hd;while(1){b[Eb>>0]=Db|128;Gb=Db;Db=Db>>>7;jd=Eb+1|0;if(Gb>>>0<=16383)break;else Eb=jd}b[jd>>0]=Db;xb=GCb(i,Eb+2|0)|0;gd=gd+1|0;id=f[a>>2]|0;if((gd|0)>=(f[id+4>>2]|0)){k=xb;break}else hd=xb}u=g;return k|0}case 14:{zb=f[a>>2]|0;if((f[zb>>2]|0)<=0){k=e;u=g;return k|0}xb=c<<3;if(xb>>>0>127){kd=0;ld=e;md=zb}else{j=xb&255;yb=0;Gb=e;Hb=zb;while(1){zb=f[(f[Hb+8>>2]|0)+4+(yb<<2)>>2]|0;b[Gb>>0]=j;vb=Gb+1|0;Cb=zb&255;if(zb>>>0>127){h=vb;Fb=Cb;Ab=zb;Fa=((zb|0)<0)<<31>>31;while(1){b[h>>0]=Fb|-128;zb=Ab;Ab=Irc(Ab|0,Fa|0,7)|0;Bb=h+1|0;wb=Ab&255;if(!(Fa>>>0>0|(Fa|0)==0&zb>>>0>16383)){nd=Bb;od=wb;break}else{h=Bb;Fb=wb;Fa=J}}}else{nd=vb;od=Cb}b[nd>>0]=od;Fa=nd+1|0;yb=yb+1|0;Hb=f[a>>2]|0;if((yb|0)>=(f[Hb>>2]|0)){k=Fa;break}else Gb=Fa}u=g;return k|0}while(1){Gb=f[(f[md+8>>2]|0)+4+(kd<<2)>>2]|0;Hb=xb;yb=ld;while(1){b[yb>>0]=Hb|128;j=Hb;Hb=Hb>>>7;pd=yb+1|0;if(j>>>0<=16383)break;else yb=pd}b[pd>>0]=Hb;Cb=yb+2|0;vb=Gb&255;if(Gb>>>0>127){j=Cb;Fa=vb;Fb=Gb;h=((Gb|0)<0)<<31>>31;while(1){b[j>>0]=Fa|-128;Ab=Fb;Fb=Irc(Fb|0,h|0,7)|0;Eb=j+1|0;i=Fb&255;if(!(h>>>0>0|(h|0)==0&Ab>>>0>16383)){qd=Eb;rd=i;break}else{j=Eb;Fa=i;h=J}}}else{qd=Cb;rd=vb}b[qd>>0]=rd;h=qd+1|0;kd=kd+1|0;md=f[a>>2]|0;if((kd|0)>=(f[md>>2]|0)){k=h;break}else ld=h}u=g;return k|0}case 10:{xb=f[a>>2]|0;if((f[xb+4>>2]|0)<=0){k=e;u=g;return k|0}h=c<<3;Fa=h|3;j=h|4;h=j>>>0>127;if(Fa>>>0>127){sd=0;td=e;ud=xb}else{Fb=Fa&255;Gb=0;yb=e;Hb=xb;while(1){xb=f[(f[Hb+12>>2]|0)+4+(Gb<<2)>>2]|0;b[yb>>0]=Fb;i=ki[f[(f[xb>>2]|0)+64>>2]&511](xb,d,yb+1|0)|0;if(h){xb=j;Eb=i;while(1){b[Eb>>0]=xb|128;Ab=xb>>>7;Db=Eb+1|0;if(xb>>>0>16383){xb=Ab;Eb=Db}else{vd=Db;wd=Ab;break}}}else{vd=i;wd=j}b[vd>>0]=wd;Eb=vd+1|0;Gb=Gb+1|0;Hb=f[a>>2]|0;if((Gb|0)>=(f[Hb+4>>2]|0)){k=Eb;break}else yb=Eb}u=g;return k|0}while(1){yb=f[(f[ud+12>>2]|0)+4+(sd<<2)>>2]|0;Hb=Fa;Gb=td;while(1){b[Gb>>0]=Hb|128;Fb=Hb;Hb=Hb>>>7;xd=Gb+1|0;if(Fb>>>0<=16383)break;else Gb=xd}b[xd>>0]=Hb;i=ki[f[(f[yb>>2]|0)+64>>2]&511](yb,d,Gb+2|0)|0;if(h){Fb=j;Eb=i;while(1){b[Eb>>0]=Fb|128;xb=Fb>>>7;vb=Eb+1|0;if(Fb>>>0>16383){Fb=xb;Eb=vb}else{yd=vb;zd=xb;break}}}else{yd=i;zd=j}b[yd>>0]=zd;Eb=yd+1|0;sd=sd+1|0;ud=f[a>>2]|0;if((sd|0)>=(f[ud+4>>2]|0)){k=Eb;break}else td=Eb}u=g;return k|0}case 11:{j=f[a>>2]|0;if((f[j+4>>2]|0)<=0){k=e;u=g;return k|0}h=c<<3|2;if(h>>>0>127){Ad=0;Bd=e;Cd=j}else{Fa=h&255;Eb=0;Fb=e;Gb=j;while(1){j=f[(f[Gb+12>>2]|0)+4+(Eb<<2)>>2]|0;b[Fb>>0]=Fa;yb=Fb+1|0;Hb=ci[f[(f[j>>2]|0)+60>>2]&1023](j)|0;if(Hb>>>0>127){xb=Hb;vb=yb;while(1){b[vb>>0]=xb|128;Cb=xb>>>7;Ab=vb+1|0;if(xb>>>0>16383){xb=Cb;vb=Ab}else{Dd=Ab;Ed=Cb;break}}}else{Dd=yb;Ed=Hb}b[Dd>>0]=Ed;vb=ki[f[(f[j>>2]|0)+64>>2]&511](j,d,Dd+1|0)|0;Eb=Eb+1|0;Gb=f[a>>2]|0;if((Eb|0)>=(f[Gb+4>>2]|0)){k=vb;break}else Fb=vb}u=g;return k|0}while(1){Fb=f[(f[Cd+12>>2]|0)+4+(Ad<<2)>>2]|0;Gb=h;Eb=Bd;while(1){b[Eb>>0]=Gb|128;Fa=Gb;Gb=Gb>>>7;Fd=Eb+1|0;if(Fa>>>0<=16383)break;else Eb=Fd}b[Fd>>0]=Gb;j=Eb+2|0;Hb=ci[f[(f[Fb>>2]|0)+60>>2]&1023](Fb)|0;if(Hb>>>0>127){yb=Hb;Fa=j;while(1){b[Fa>>0]=yb|128;vb=yb>>>7;xb=Fa+1|0;if(yb>>>0>16383){yb=vb;Fa=xb}else{Gd=xb;Hd=vb;break}}}else{Gd=j;Hd=Hb}b[Gd>>0]=Hd;Fa=ki[f[(f[Fb>>2]|0)+64>>2]&511](Fb,d,Gd+1|0)|0;Ad=Ad+1|0;Cd=f[a>>2]|0;if((Ad|0)>=(f[Cd+4>>2]|0)){k=Fa;break}else Bd=Fa}u=g;return k|0}default:{k=e;u=g;return k|0}}while(0);return 0}function bWb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=a+4|0;a=f[g>>2]|0;if(!a){h=e;return h|0}else{i=g;j=a}a:while(1){a=j;while(1){if((f[a+16>>2]|0)>=(b|0))break;k=f[a+4>>2]|0;if(!k){l=i;break a}else a=k}j=f[a>>2]|0;if(!j){l=a;break}else i=a}if((l|0)==(g|0)){h=e;return h|0}else{m=e;n=l}while(1){l=f[n+16>>2]|0;if((l|0)>=(c|0)){h=m;o=14;break}e=aWb(n+24|0,l,d,m)|0;l=f[n+4>>2]|0;if(!l){i=n+8|0;j=f[i>>2]|0;if((f[j>>2]|0)==(n|0))p=j;else{j=i;do{i=f[j>>2]|0;j=i+8|0;b=f[j>>2]|0}while((f[b>>2]|0)!=(i|0));p=b}}else{j=l;while(1){a=f[j>>2]|0;if(!a)break;else j=a}p=j}if((p|0)==(g|0)){h=e;o=14;break}else{m=e;n=p}}if((o|0)==14)return h|0;return 0}function cWb(a){a=a|0;return}function dWb(a){a=a|0;Emc(a);return}function eWb(a,c){a=a|0;c=c|0;var d=0,e=0;if(!(b[481264]|0?1:(f[(f[(f[a+4>>2]|0)+8>>2]|0)+44>>2]|0)!=3)){d=I3b()|0;return d|0}e=f[c+(f[a+24>>2]|0)>>2]|0;if(!(e&1)){d=I3b()|0;return d|0}else{d=e&-2;return d|0}return 0}function fWb(a,b){a=a|0;b=b|0;var c=0,d=0;c=b+(f[a+24>>2]|0)|0;a=f[c>>2]|0;if(!(a&1)){d=AHa(c)|0;return d|0}else{d=a&-2;return d|0}return 0}function gWb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0;d=u;u=u+16|0;e=d;g=a+8|0;h=f[a+36>>2]|0;i=(Q3b(Sh[f[(f[a>>2]|0)+8>>2]&511](a,c)|0)|0)+h|0;h=f[a+28>>2]|0;if((h|0)==-1)j=i;else j=($Vb(c+h|0)|0)+i|0;i=a+52|0;if((f[i>>2]|0)<0){k=j;u=d;return k|0}h=a+4|0;l=a+12|0;m=a+32|0;a=e+4|0;n=e+8|0;o=e+12|0;p=e+4|0;q=e+8|0;r=e+12|0;s=e+4|0;t=e+8|0;v=e+12|0;w=0;x=j;while(1){j=f[(f[h>>2]|0)+20>>2]|0;y=j+(w*88|0)|0;a:do if((f[j+(w*88|0)+32>>2]|0)!=3){z=j+(w*88|0)+52|0;A=f[z>>2]|0;if(A|0?(f[c+((((A-(f[(f[A+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[m>>2]|0))>>2]|0)!=(f[j+(w*88|0)+40>>2]|0):0){B=x;break}A=f[j+(w*88|0)+24>>2]|0;if(A|0?(f[A>>2]|0)!=2:0){f[e>>2]=110868;f[s>>2]=1634;b[t>>0]=0;f[v>>2]=y;dEb(A,e)}switch(f[149940+(f[j+(w*88|0)+28>>2]<<2)>>2]|0){case 10:{A=f[g>>2]|0;if((A|0)==(c|0)){B=x;break a}C=f[z>>2]|0;do if(!C){D=f[l>>2]|0;do if(b[j+(w*88|0)+38>>0]|0){E=f[j+(w*88|0)+56>>2]|0;F=y;if(!E){G=F-(f[(f[j+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{G=F-(f[E+40>>2]|0)|0;break}}else G=y-(f[(f[j+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);H=c;I=D+(((G|0)/88|0)<<2)|0}else{E=(C-(f[(f[C+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((E<<2)+(f[m>>2]|0))>>2]|0)==(f[j+(w*88|0)+40>>2]|0)){H=c;I=(f[l>>2]|0)+((f[(f[j+(w*88|0)+48>>2]|0)+52>>2]|0)+E<<2)|0;break}E=f[l>>2]|0;do if(b[j+(w*88|0)+38>>0]|0){F=f[j+(w*88|0)+56>>2]|0;J=y;if(!F){K=J-(f[(f[j+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{K=J-(f[F+40>>2]|0)|0;break}}else K=y-(f[(f[j+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);H=A;I=E+(((K|0)/88|0)<<2)|0}while(0);A=f[H+(f[I>>2]|0)>>2]|0;if(!A){B=x;break a}B=(ci[f[(f[A>>2]|0)+84>>2]&1023](A)|0)+x|0;break a;break}case 9:break;default:{B=x;break a}}A=f[g>>2]|0;C=f[l>>2]|0;D=(b[j+(w*88|0)+38>>0]|0)==0;do if(!D){F=f[j+(w*88|0)+56>>2]|0;J=y;if(!F){L=J-(f[(f[j+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{L=J-(f[F+40>>2]|0)|0;break}}else L=y-(f[(f[j+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);F=f[A+(f[C+(((L|0)/88|0)<<2)>>2]|0)>>2]|0;J=f[z>>2]|0;do if(!J){do if(!D){M=f[j+(w*88|0)+56>>2]|0;N=y;if(!M){O=N-(f[(f[j+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{O=N-(f[M+40>>2]|0)|0;break}}else O=y-(f[(f[j+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);P=(O|0)/88|0;Q=c}else{E=(J-(f[(f[J+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((E<<2)+(f[m>>2]|0))>>2]|0)==(f[j+(w*88|0)+40>>2]|0)){P=(f[(f[j+(w*88|0)+48>>2]|0)+52>>2]|0)+E|0;Q=c;break}do if(!D){E=f[j+(w*88|0)+56>>2]|0;M=y;if(!E){R=M-(f[(f[j+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{R=M-(f[E+40>>2]|0)|0;break}}else R=y-(f[(f[j+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);P=(R|0)/88|0;Q=A}while(0);A=f[Q+(f[C+(P<<2)>>2]|0)>>2]|0;if((A|0)==(F|0))B=x;else B=x+12+(sBb(A)|0)|0}else{A=j+(w*88|0)+24|0;D=f[A>>2]|0;if(D|0?(f[D>>2]|0)!=2:0){f[e>>2]=110868;f[p>>2]=1634;b[q>>0]=0;f[r>>2]=y;dEb(D,e)}D=j+(w*88|0)+28|0;do switch(f[149940+(f[D>>2]<<2)>>2]|0){case 1:{J=f[j+(w*88|0)+52>>2]|0;do if(!J){z=f[l>>2]|0;do if(b[j+(w*88|0)+38>>0]|0){E=f[j+(w*88|0)+56>>2]|0;M=y;if(!E){S=M-(f[(f[j+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{S=M-(f[E+40>>2]|0)|0;break}}else S=y-(f[(f[j+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);T=c;U=z+(((S|0)/88|0)<<2)|0}else{E=(J-(f[(f[J+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((E<<2)+(f[m>>2]|0))>>2]|0)==(f[j+(w*88|0)+40>>2]|0)){T=c;U=(f[l>>2]|0)+((f[(f[j+(w*88|0)+48>>2]|0)+52>>2]|0)+E<<2)|0;break}E=f[g>>2]|0;M=f[l>>2]|0;do if(b[j+(w*88|0)+38>>0]|0){N=f[j+(w*88|0)+56>>2]|0;V=y;if(!N){W=V-(f[(f[j+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{W=V-(f[N+40>>2]|0)|0;break}}else W=y-(f[(f[j+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);T=E;U=M+(((W|0)/88|0)<<2)|0}while(0);J=T+(f[U>>2]|0)|0;if(!(f[J+8>>2]|0))X=0;else X=(f[J+4>>2]<<2)+4|0;B=X+x|0;break a;break}case 2:{J=f[j+(w*88|0)+52>>2]|0;do if(!J){z=f[l>>2]|0;do if(b[j+(w*88|0)+38>>0]|0){N=f[j+(w*88|0)+56>>2]|0;V=y;if(!N){Y=V-(f[(f[j+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{Y=V-(f[N+40>>2]|0)|0;break}}else Y=y-(f[(f[j+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);Z=c;_=z+(((Y|0)/88|0)<<2)|0}else{M=(J-(f[(f[J+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((M<<2)+(f[m>>2]|0))>>2]|0)==(f[j+(w*88|0)+40>>2]|0)){Z=c;_=(f[l>>2]|0)+((f[(f[j+(w*88|0)+48>>2]|0)+52>>2]|0)+M<<2)|0;break}M=f[g>>2]|0;E=f[l>>2]|0;do if(b[j+(w*88|0)+38>>0]|0){N=f[j+(w*88|0)+56>>2]|0;V=y;if(!N){$=V-(f[(f[j+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{$=V-(f[N+40>>2]|0)|0;break}}else $=y-(f[(f[j+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);Z=M;_=E+((($|0)/88|0)<<2)|0}while(0);J=Z+(f[_>>2]|0)|0;if(!(f[J+8>>2]|0))aa=0;else aa=(f[J+4>>2]<<3)+8|0;B=aa+x|0;break a;break}case 3:{J=f[j+(w*88|0)+52>>2]|0;do if(!J){z=f[l>>2]|0;do if(b[j+(w*88|0)+38>>0]|0){N=f[j+(w*88|0)+56>>2]|0;V=y;if(!N){ba=V-(f[(f[j+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{ba=V-(f[N+40>>2]|0)|0;break}}else ba=y-(f[(f[j+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);ca=c;da=z+(((ba|0)/88|0)<<2)|0}else{E=(J-(f[(f[J+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((E<<2)+(f[m>>2]|0))>>2]|0)==(f[j+(w*88|0)+40>>2]|0)){ca=c;da=(f[l>>2]|0)+((f[(f[j+(w*88|0)+48>>2]|0)+52>>2]|0)+E<<2)|0;break}E=f[g>>2]|0;M=f[l>>2]|0;do if(b[j+(w*88|0)+38>>0]|0){N=f[j+(w*88|0)+56>>2]|0;V=y;if(!N){ea=V-(f[(f[j+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{ea=V-(f[N+40>>2]|0)|0;break}}else ea=y-(f[(f[j+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);ca=E;da=M+(((ea|0)/88|0)<<2)|0}while(0);J=ca+(f[da>>2]|0)|0;if(!(f[J+8>>2]|0))fa=0;else fa=(f[J+4>>2]<<2)+4|0;B=fa+x|0;break a;break}case 4:{J=f[j+(w*88|0)+52>>2]|0;do if(!J){z=f[l>>2]|0;do if(b[j+(w*88|0)+38>>0]|0){N=f[j+(w*88|0)+56>>2]|0;V=y;if(!N){ga=V-(f[(f[j+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{ga=V-(f[N+40>>2]|0)|0;break}}else ga=y-(f[(f[j+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);ha=c;ia=z+(((ga|0)/88|0)<<2)|0}else{M=(J-(f[(f[J+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((M<<2)+(f[m>>2]|0))>>2]|0)==(f[j+(w*88|0)+40>>2]|0)){ha=c;ia=(f[l>>2]|0)+((f[(f[j+(w*88|0)+48>>2]|0)+52>>2]|0)+M<<2)|0;break}M=f[g>>2]|0;E=f[l>>2]|0;do if(b[j+(w*88|0)+38>>0]|0){N=f[j+(w*88|0)+56>>2]|0;V=y;if(!N){ja=V-(f[(f[j+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{ja=V-(f[N+40>>2]|0)|0;break}}else ja=y-(f[(f[j+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);ha=M;ia=E+(((ja|0)/88|0)<<2)|0}while(0);J=ha+(f[ia>>2]|0)|0;if(!(f[J+8>>2]|0))ka=0;else ka=(f[J+4>>2]<<3)+8|0;B=ka+x|0;break a;break}case 5:{J=f[j+(w*88|0)+52>>2]|0;do if(!J){z=f[l>>2]|0;do if(b[j+(w*88|0)+38>>0]|0){N=f[j+(w*88|0)+56>>2]|0;V=y;if(!N){la=V-(f[(f[j+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{la=V-(f[N+40>>2]|0)|0;break}}else la=y-(f[(f[j+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);ma=c;na=z+(((la|0)/88|0)<<2)|0}else{E=(J-(f[(f[J+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((E<<2)+(f[m>>2]|0))>>2]|0)==(f[j+(w*88|0)+40>>2]|0)){ma=c;na=(f[l>>2]|0)+((f[(f[j+(w*88|0)+48>>2]|0)+52>>2]|0)+E<<2)|0;break}E=f[g>>2]|0;M=f[l>>2]|0;do if(b[j+(w*88|0)+38>>0]|0){N=f[j+(w*88|0)+56>>2]|0;V=y;if(!N){oa=V-(f[(f[j+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{oa=V-(f[N+40>>2]|0)|0;break}}else oa=y-(f[(f[j+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);ma=E;na=M+(((oa|0)/88|0)<<2)|0}while(0);J=ma+(f[na>>2]|0)|0;if(!(f[J+8>>2]|0))pa=0;else pa=(f[J+4>>2]<<3)+8|0;B=pa+x|0;break a;break}case 6:{J=f[j+(w*88|0)+52>>2]|0;do if(!J){z=f[l>>2]|0;do if(b[j+(w*88|0)+38>>0]|0){N=f[j+(w*88|0)+56>>2]|0;V=y;if(!N){qa=V-(f[(f[j+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{qa=V-(f[N+40>>2]|0)|0;break}}else qa=y-(f[(f[j+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);ra=c;sa=z+(((qa|0)/88|0)<<2)|0}else{M=(J-(f[(f[J+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((M<<2)+(f[m>>2]|0))>>2]|0)==(f[j+(w*88|0)+40>>2]|0)){ra=c;sa=(f[l>>2]|0)+((f[(f[j+(w*88|0)+48>>2]|0)+52>>2]|0)+M<<2)|0;break}M=f[g>>2]|0;E=f[l>>2]|0;do if(b[j+(w*88|0)+38>>0]|0){N=f[j+(w*88|0)+56>>2]|0;V=y;if(!N){ta=V-(f[(f[j+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{ta=V-(f[N+40>>2]|0)|0;break}}else ta=y-(f[(f[j+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);ra=M;sa=E+(((ta|0)/88|0)<<2)|0}while(0);J=ra+(f[sa>>2]|0)|0;if(!(f[J+8>>2]|0))ua=0;else ua=(f[J+4>>2]<<2)+4|0;B=ua+x|0;break a;break}case 7:{J=f[j+(w*88|0)+52>>2]|0;do if(!J){z=f[l>>2]|0;do if(b[j+(w*88|0)+38>>0]|0){N=f[j+(w*88|0)+56>>2]|0;V=y;if(!N){va=V-(f[(f[j+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{va=V-(f[N+40>>2]|0)|0;break}}else va=y-(f[(f[j+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);wa=c;xa=z+(((va|0)/88|0)<<2)|0}else{E=(J-(f[(f[J+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((E<<2)+(f[m>>2]|0))>>2]|0)==(f[j+(w*88|0)+40>>2]|0)){wa=c;xa=(f[l>>2]|0)+((f[(f[j+(w*88|0)+48>>2]|0)+52>>2]|0)+E<<2)|0;break}E=f[g>>2]|0;M=f[l>>2]|0;do if(b[j+(w*88|0)+38>>0]|0){N=f[j+(w*88|0)+56>>2]|0;V=y;if(!N){ya=V-(f[(f[j+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{ya=V-(f[N+40>>2]|0)|0;break}}else ya=y-(f[(f[j+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);wa=E;xa=M+(((ya|0)/88|0)<<2)|0}while(0);J=wa+(f[xa>>2]|0)|0;if(!(f[J+8>>2]|0))za=0;else za=(f[J+4>>2]|0)+4|0;B=za+x|0;break a;break}case 8:{J=f[j+(w*88|0)+52>>2]|0;do if(!J){z=f[l>>2]|0;do if(b[j+(w*88|0)+38>>0]|0){N=f[j+(w*88|0)+56>>2]|0;V=y;if(!N){Aa=V-(f[(f[j+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{Aa=V-(f[N+40>>2]|0)|0;break}}else Aa=y-(f[(f[j+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);Ba=c;Ca=z+(((Aa|0)/88|0)<<2)|0}else{M=(J-(f[(f[J+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((M<<2)+(f[m>>2]|0))>>2]|0)==(f[j+(w*88|0)+40>>2]|0)){Ba=c;Ca=(f[l>>2]|0)+((f[(f[j+(w*88|0)+48>>2]|0)+52>>2]|0)+M<<2)|0;break}M=f[g>>2]|0;E=f[l>>2]|0;do if(b[j+(w*88|0)+38>>0]|0){N=f[j+(w*88|0)+56>>2]|0;V=y;if(!N){Da=V-(f[(f[j+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{Da=V-(f[N+40>>2]|0)|0;break}}else Da=y-(f[(f[j+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);Ba=M;Ca=E+(((Da|0)/88|0)<<2)|0}while(0);J=Ba+(f[Ca>>2]|0)|0;if(!(f[J+8>>2]|0))Ea=0;else Ea=(f[J+4>>2]<<2)+4|0;B=Ea+x|0;break a;break}case 9:{J=f[j+(w*88|0)+52>>2]|0;do if(!J){z=f[l>>2]|0;do if(b[j+(w*88|0)+38>>0]|0){N=f[j+(w*88|0)+56>>2]|0;V=y;if(!N){Fa=V-(f[(f[j+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{Fa=V-(f[N+40>>2]|0)|0;break}}else Fa=y-(f[(f[j+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);Ga=c;Ha=z+(((Fa|0)/88|0)<<2)|0}else{E=(J-(f[(f[J+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((E<<2)+(f[m>>2]|0))>>2]|0)==(f[j+(w*88|0)+40>>2]|0)){Ga=c;Ha=(f[l>>2]|0)+((f[(f[j+(w*88|0)+48>>2]|0)+52>>2]|0)+E<<2)|0;break}E=f[g>>2]|0;M=f[l>>2]|0;do if(b[j+(w*88|0)+38>>0]|0){N=f[j+(w*88|0)+56>>2]|0;V=y;if(!N){Ia=V-(f[(f[j+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{Ia=V-(f[N+40>>2]|0)|0;break}}else Ia=y-(f[(f[j+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);Ga=E;Ha=M+(((Ia|0)/88|0)<<2)|0}while(0);J=Ga+(f[Ha>>2]|0)|0;z=f[J+8>>2]<<2;N=J+12|0;J=f[N>>2]|0;if(!J)Ja=z;else{if((f[J>>2]|0)>0){V=0;Ka=z;La=J;while(1){J=Ka+12+(sBb(f[La+4+(V<<2)>>2]|0)|0)|0;V=V+1|0;La=f[N>>2]|0;if((V|0)>=(f[La>>2]|0)){Ma=J;break}else Ka=J}}else Ma=z;Ja=Ma+4|0}B=Ja+x|0;break a;break}case 10:{Ka=f[A>>2]|0;if(Ka|0?(f[Ka>>2]|0)!=2:0){f[e>>2]=110868;f[a>>2]=1634;b[n>>0]=0;f[o>>2]=y;dEb(Ka,e)}if((f[D>>2]|0)==11?bJb(y)|0:0){Ka=f[j+(w*88|0)+52>>2]|0;do if(!Ka){La=f[l>>2]|0;do if(b[j+(w*88|0)+38>>0]|0){V=f[j+(w*88|0)+56>>2]|0;N=y;if(!V){Na=N-(f[(f[j+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{Na=N-(f[V+40>>2]|0)|0;break}}else Na=y-(f[(f[j+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);Oa=c;Pa=La+(((Na|0)/88|0)<<2)|0}else{M=(Ka-(f[(f[Ka+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((M<<2)+(f[m>>2]|0))>>2]|0)==(f[j+(w*88|0)+40>>2]|0)){Oa=c;Pa=(f[l>>2]|0)+((f[(f[j+(w*88|0)+48>>2]|0)+52>>2]|0)+M<<2)|0;break}M=f[g>>2]|0;E=f[l>>2]|0;do if(b[j+(w*88|0)+38>>0]|0){V=f[j+(w*88|0)+56>>2]|0;N=y;if(!V){Qa=N-(f[(f[j+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{Qa=N-(f[V+40>>2]|0)|0;break}}else Qa=y-(f[(f[j+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);Oa=M;Pa=E+(((Qa|0)/88|0)<<2)|0}while(0);B=(s_b(Oa+(f[Pa>>2]|0)|0)|0)+x|0;break a}Ka=f[j+(w*88|0)+52>>2]|0;do if(!Ka){z=f[l>>2]|0;do if(b[j+(w*88|0)+38>>0]|0){La=f[j+(w*88|0)+56>>2]|0;V=y;if(!La){Ra=V-(f[(f[j+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{Ra=V-(f[La+40>>2]|0)|0;break}}else Ra=y-(f[(f[j+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);Sa=c;Ta=z+(((Ra|0)/88|0)<<2)|0}else{E=(Ka-(f[(f[Ka+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((E<<2)+(f[m>>2]|0))>>2]|0)==(f[j+(w*88|0)+40>>2]|0)){Sa=c;Ta=(f[l>>2]|0)+((f[(f[j+(w*88|0)+48>>2]|0)+52>>2]|0)+E<<2)|0;break}E=f[g>>2]|0;M=f[l>>2]|0;do if(b[j+(w*88|0)+38>>0]|0){La=f[j+(w*88|0)+56>>2]|0;V=y;if(!La){Ua=V-(f[(f[j+(w*88|0)+20>>2]|0)+80>>2]|0)|0;break}else{Ua=V-(f[La+40>>2]|0)|0;break}}else Ua=y-(f[(f[j+(w*88|0)+48>>2]|0)+20>>2]|0)|0;while(0);Sa=E;Ta=M+(((Ua|0)/88|0)<<2)|0}while(0);Ka=Sa+(f[Ta>>2]|0)|0;z=f[Ka+8>>2]<<2;La=Ka+12|0;Ka=f[La>>2]|0;if(!Ka)Va=z;else{if((f[Ka>>2]|0)>0){V=0;N=z;J=Ka;while(1){Ka=f[J+4+(V<<2)>>2]|0;Wa=(ci[f[(f[Ka>>2]|0)+84>>2]&1023](Ka)|0)+N|0;V=V+1|0;J=f[La>>2]|0;if((V|0)>=(f[J>>2]|0)){Xa=Wa;break}else N=Wa}}else Xa=z;Va=Xa+4|0}B=Va+x|0;break a;break}default:{B=x;break a}}while(0)}while(0);if((w|0)<(f[i>>2]|0)){w=w+1|0;x=B}else{k=B;break}}u=d;return k|0}function hWb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=a+4|0;g=f[e>>2]|0;if((f[d+48>>2]|0)!=(g|0))NXb(g,d,504528,502886);if((f[d+32>>2]|0)==3)NXb(f[e>>2]|0,d,504528,503645);if(b[d+38>>0]|0){h=O4b(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0)|0;return h|0}e=f[d+52>>2]|0;if(!e){h=dYb(a,c,d)|0;return h|0}else{h=(f[c+((((e-(f[(f[e+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0);return h|0}return 0}function iWb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0;e=u;u=u+48|0;g=e+24|0;h=e;i=e+40|0;j=d+48|0;k=a+4|0;l=f[k>>2]|0;if((f[j>>2]|0)!=(l|0))NXb(l,d,504518,502886);if((f[d+32>>2]|0)!=3)NXb(f[k>>2]|0,d,504518,502338);k=d+38|0;if(b[k>>0]|0){m=P4b(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0)|0;u=e;return m|0}l=d+24|0;n=f[l>>2]|0;if(n|0?(f[n>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=d;dEb(n,g)}n=d+28|0;do switch(f[149940+(f[n>>2]<<2)>>2]|0){case 1:{o=f[d+52>>2]|0;do if(!o){p=f[a+12>>2]|0;do if(b[k>>0]|0){q=f[d+56>>2]|0;r=d;if(!q){s=r-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{s=r-(f[q+40>>2]|0)|0;break}}else s=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);t=c;v=p+(((s|0)/88|0)<<2)|0}else{q=(o-(f[(f[o+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((q<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){t=c;v=(f[a+12>>2]|0)+((f[(f[j>>2]|0)+52>>2]|0)+q<<2)|0;break}q=f[a+8>>2]|0;r=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){y=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{y=x-(f[w+40>>2]|0)|0;break}}else y=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);t=q;v=r+(((y|0)/88|0)<<2)|0}while(0);m=f[t+(f[v>>2]|0)>>2]|0;u=e;return m|0}case 2:{o=f[d+52>>2]|0;do if(!o){p=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){z=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{z=x-(f[w+40>>2]|0)|0;break}}else z=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);A=c;B=p+(((z|0)/88|0)<<2)|0}else{r=(o-(f[(f[o+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((r<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){A=c;B=(f[a+12>>2]|0)+((f[(f[j>>2]|0)+52>>2]|0)+r<<2)|0;break}r=f[a+8>>2]|0;q=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){C=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{C=x-(f[w+40>>2]|0)|0;break}}else C=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);A=r;B=q+(((C|0)/88|0)<<2)|0}while(0);m=f[A+(f[B>>2]|0)>>2]|0;u=e;return m|0}case 3:{o=f[d+52>>2]|0;do if(!o){p=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){D=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{D=x-(f[w+40>>2]|0)|0;break}}else D=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);E=c;F=p+(((D|0)/88|0)<<2)|0}else{q=(o-(f[(f[o+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((q<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){E=c;F=(f[a+12>>2]|0)+((f[(f[j>>2]|0)+52>>2]|0)+q<<2)|0;break}q=f[a+8>>2]|0;r=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){G=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{G=x-(f[w+40>>2]|0)|0;break}}else G=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);E=q;F=r+(((G|0)/88|0)<<2)|0}while(0);m=f[E+(f[F>>2]|0)>>2]|0;u=e;return m|0}case 4:{o=f[d+52>>2]|0;do if(!o){p=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){H=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{H=x-(f[w+40>>2]|0)|0;break}}else H=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);I=c;J=p+(((H|0)/88|0)<<2)|0}else{r=(o-(f[(f[o+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((r<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){I=c;J=(f[a+12>>2]|0)+((f[(f[j>>2]|0)+52>>2]|0)+r<<2)|0;break}r=f[a+8>>2]|0;q=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){K=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{K=x-(f[w+40>>2]|0)|0;break}}else K=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);I=r;J=q+(((K|0)/88|0)<<2)|0}while(0);m=f[I+(f[J>>2]|0)>>2]|0;u=e;return m|0}case 5:{o=f[d+52>>2]|0;do if(!o){p=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){L=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{L=x-(f[w+40>>2]|0)|0;break}}else L=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);M=c;N=p+(((L|0)/88|0)<<2)|0}else{q=(o-(f[(f[o+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((q<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){M=c;N=(f[a+12>>2]|0)+((f[(f[j>>2]|0)+52>>2]|0)+q<<2)|0;break}q=f[a+8>>2]|0;r=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){O=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{O=x-(f[w+40>>2]|0)|0;break}}else O=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);M=q;N=r+(((O|0)/88|0)<<2)|0}while(0);m=f[M+(f[N>>2]|0)>>2]|0;u=e;return m|0}case 6:{o=f[d+52>>2]|0;do if(!o){p=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){P=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{P=x-(f[w+40>>2]|0)|0;break}}else P=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);Q=c;R=p+(((P|0)/88|0)<<2)|0}else{r=(o-(f[(f[o+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((r<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){Q=c;R=(f[a+12>>2]|0)+((f[(f[j>>2]|0)+52>>2]|0)+r<<2)|0;break}r=f[a+8>>2]|0;q=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){S=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{S=x-(f[w+40>>2]|0)|0;break}}else S=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);Q=r;R=q+(((S|0)/88|0)<<2)|0}while(0);m=f[Q+(f[R>>2]|0)>>2]|0;u=e;return m|0}case 7:{o=f[d+52>>2]|0;do if(!o){p=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){T=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{T=x-(f[w+40>>2]|0)|0;break}}else T=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);U=c;V=p+(((T|0)/88|0)<<2)|0}else{q=(o-(f[(f[o+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((q<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){U=c;V=(f[a+12>>2]|0)+((f[(f[j>>2]|0)+52>>2]|0)+q<<2)|0;break}q=f[a+8>>2]|0;r=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){W=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{W=x-(f[w+40>>2]|0)|0;break}}else W=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);U=q;V=r+(((W|0)/88|0)<<2)|0}while(0);m=f[U+(f[V>>2]|0)>>2]|0;u=e;return m|0}case 8:{o=f[d+52>>2]|0;do if(!o){p=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){X=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{X=x-(f[w+40>>2]|0)|0;break}}else X=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);Y=c;Z=p+(((X|0)/88|0)<<2)|0}else{r=(o-(f[(f[o+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((r<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){Y=c;Z=(f[a+12>>2]|0)+((f[(f[j>>2]|0)+52>>2]|0)+r<<2)|0;break}r=f[a+8>>2]|0;q=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){_=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{_=x-(f[w+40>>2]|0)|0;break}}else _=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);Y=r;Z=q+(((_|0)/88|0)<<2)|0}while(0);m=f[Y+(f[Z>>2]|0)>>2]|0;u=e;return m|0}case 10:case 9:{o=f[l>>2]|0;if(o|0?(f[o>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=d;dEb(o,g)}if((f[n>>2]|0)==11?bJb(d)|0:0){o=f[d+52>>2]|0;do if(!o){p=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){$=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{$=x-(f[w+40>>2]|0)|0;break}}else $=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);aa=c;ba=p+((($|0)/88|0)<<2)|0}else{q=(o-(f[(f[o+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((q<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){aa=c;ba=(f[a+12>>2]|0)+((f[(f[j>>2]|0)+52>>2]|0)+q<<2)|0;break}q=f[a+8>>2]|0;r=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){ca=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{ca=x-(f[w+40>>2]|0)|0;break}}else ca=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);aa=q;ba=r+(((ca|0)/88|0)<<2)|0}while(0);o=(q_b(aa+(f[ba>>2]|0)|0)|0)+4|0;m=f[o>>2]|0;u=e;return m|0}o=f[d+52>>2]|0;do if(!o){p=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){da=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{da=x-(f[w+40>>2]|0)|0;break}}else da=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);ea=c;fa=p+(((da|0)/88|0)<<2)|0}else{r=(o-(f[(f[o+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((r<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){ea=c;fa=(f[a+12>>2]|0)+((f[(f[j>>2]|0)+52>>2]|0)+r<<2)|0;break}r=f[a+8>>2]|0;q=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;x=d;if(!w){ga=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{ga=x-(f[w+40>>2]|0)|0;break}}else ga=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);ea=r;fa=q+(((ga|0)/88|0)<<2)|0}while(0);m=f[ea+(f[fa>>2]|0)+4>>2]|0;u=e;return m|0}default:{TDb(h,3,501629,747);QDb(i,ODb(h,512111)|0);UDb(h);m=0;u=e;return m|0}}while(0);return 0}function jWb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0.0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0;e=u;u=u+16|0;g=e;h=d+48|0;i=f[a+4>>2]|0;if((f[h>>2]|0)!=(i|0))NXb(i,d,504507,502886);i=d+38|0;if(b[i>>0]|0){R4b(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0);u=e;return}if((f[d+32>>2]|0)==3){j=d+24|0;k=f[j>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=d;dEb(k,g)}k=d+28|0;do switch(f[149940+(f[k>>2]<<2)>>2]|0){case 1:{l=f[d+52>>2]|0;if(!l){m=f[a+12>>2]|0;do if(b[i>>0]|0){n=f[d+56>>2]|0;o=d;if(!n){q=o-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{q=o-(f[n+40>>2]|0)|0;break}}else q=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);r=m+(((q|0)/88|0)<<2)|0}else r=(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;f[c+(f[r>>2]|0)>>2]=0;u=e;return}case 2:{n=f[d+52>>2]|0;if(!n){o=f[a+12>>2]|0;do if(b[i>>0]|0){s=f[d+56>>2]|0;t=d;if(!s){v=t-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{v=t-(f[s+40>>2]|0)|0;break}}else v=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);w=o+(((v|0)/88|0)<<2)|0}else w=(f[a+12>>2]|0)+(((n-(f[(f[n+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;f[c+(f[w>>2]|0)>>2]=0;u=e;return}case 3:{l=f[d+52>>2]|0;if(!l){m=f[a+12>>2]|0;do if(b[i>>0]|0){s=f[d+56>>2]|0;t=d;if(!s){x=t-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{x=t-(f[s+40>>2]|0)|0;break}}else x=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);y=m+(((x|0)/88|0)<<2)|0}else y=(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;f[c+(f[y>>2]|0)>>2]=0;u=e;return}case 4:{n=f[d+52>>2]|0;if(!n){o=f[a+12>>2]|0;do if(b[i>>0]|0){s=f[d+56>>2]|0;t=d;if(!s){z=t-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{z=t-(f[s+40>>2]|0)|0;break}}else z=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);A=o+(((z|0)/88|0)<<2)|0}else A=(f[a+12>>2]|0)+(((n-(f[(f[n+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;f[c+(f[A>>2]|0)>>2]=0;u=e;return}case 5:{l=f[d+52>>2]|0;if(!l){m=f[a+12>>2]|0;do if(b[i>>0]|0){s=f[d+56>>2]|0;t=d;if(!s){B=t-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{B=t-(f[s+40>>2]|0)|0;break}}else B=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);C=m+(((B|0)/88|0)<<2)|0}else C=(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;f[c+(f[C>>2]|0)>>2]=0;u=e;return}case 6:{n=f[d+52>>2]|0;if(!n){o=f[a+12>>2]|0;do if(b[i>>0]|0){s=f[d+56>>2]|0;t=d;if(!s){D=t-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{D=t-(f[s+40>>2]|0)|0;break}}else D=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);E=o+(((D|0)/88|0)<<2)|0}else E=(f[a+12>>2]|0)+(((n-(f[(f[n+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;f[c+(f[E>>2]|0)>>2]=0;u=e;return}case 7:{l=f[d+52>>2]|0;if(!l){m=f[a+12>>2]|0;do if(b[i>>0]|0){s=f[d+56>>2]|0;t=d;if(!s){F=t-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{F=t-(f[s+40>>2]|0)|0;break}}else F=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);G=m+(((F|0)/88|0)<<2)|0}else G=(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;f[c+(f[G>>2]|0)>>2]=0;u=e;return}case 8:{n=f[d+52>>2]|0;if(!n){o=f[a+12>>2]|0;do if(b[i>>0]|0){s=f[d+56>>2]|0;t=d;if(!s){H=t-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{H=t-(f[s+40>>2]|0)|0;break}}else H=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);I=o+(((H|0)/88|0)<<2)|0}else I=(f[a+12>>2]|0)+(((n-(f[(f[n+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;f[c+(f[I>>2]|0)>>2]=0;u=e;return}case 9:{l=f[d+52>>2]|0;if(!l){m=f[a+12>>2]|0;do if(b[i>>0]|0){s=f[d+56>>2]|0;t=d;if(!s){J=t-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{J=t-(f[s+40>>2]|0)|0;break}}else J=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);K=m+(((J|0)/88|0)<<2)|0}else K=(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;n=c+(f[K>>2]|0)|0;o=n+4|0;s=f[o>>2]|0;if((s|0)<=0){u=e;return}t=f[n+12>>2]|0;n=0;do{L=f[t+4+(n<<2)>>2]|0;n=n+1|0;M=L+11|0;if((b[M>>0]|0)<0){b[f[L>>2]>>0]=0;f[L+4>>2]=0}else{b[L>>0]=0;b[M>>0]=0}}while((n|0)!=(s|0));f[o>>2]=0;u=e;return}case 10:{s=f[j>>2]|0;if(s|0?(f[s>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=d;dEb(s,g)}if((f[k>>2]|0)==11?bJb(d)|0:0){s=f[d+52>>2]|0;if(!s){n=f[a+12>>2]|0;do if(b[i>>0]|0){t=f[d+56>>2]|0;l=d;if(!t){N=l-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{N=l-(f[t+40>>2]|0)|0;break}}else N=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);O=n+(((N|0)/88|0)<<2)|0}else O=(f[a+12>>2]|0)+(((s-(f[(f[s+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;o=r_b(c+(f[O>>2]|0)|0)|0;t=o+4|0;l=f[t>>2]|0;if((l|0)<=0){u=e;return}m=f[o+12>>2]|0;o=0;do{M=f[m+4+(o<<2)>>2]|0;o=o+1|0;ai[f[(f[M>>2]|0)+28>>2]&2047](M)}while((o|0)!=(l|0));f[t>>2]=0;u=e;return}l=f[d+52>>2]|0;if(!l){o=f[a+12>>2]|0;do if(b[i>>0]|0){m=f[d+56>>2]|0;s=d;if(!m){P=s-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{P=s-(f[m+40>>2]|0)|0;break}}else P=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);Q=o+(((P|0)/88|0)<<2)|0}else Q=(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;t=c+(f[Q>>2]|0)|0;m=t+4|0;s=f[m>>2]|0;if((s|0)<=0){u=e;return}n=f[t+12>>2]|0;t=0;do{M=f[n+4+(t<<2)>>2]|0;t=t+1|0;ai[f[(f[M>>2]|0)+28>>2]&2047](M)}while((t|0)!=(s|0));f[m>>2]=0;u=e;return}default:{u=e;return}}while(0)}Q=d+52|0;P=f[Q>>2]|0;if(P|0){if((f[c+((((P-(f[(f[P+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]|0)!=(f[d+40>>2]|0)){u=e;return}Yh[f[(f[a>>2]|0)+36>>2]&511](a,c,P);u=e;return}if(!(dYb(a,c,d)|0)){u=e;return}P=a+20|0;O=f[P>>2]|0;if((O|0)!=-1){N=f[a+16>>2]|0;do if(b[i>>0]|0){k=f[d+56>>2]|0;j=d;if(!k){R=j-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{R=j-(f[k+40>>2]|0)|0;break}}else R=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);k=f[N+(((R|0)/88|0)<<2)>>2]|0;R=c+O+(k>>>5<<2)|0;f[R>>2]=f[R>>2]&~(1<<(k&31))}k=f[d+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=d;dEb(k,g)}do switch(f[149940+(f[d+28>>2]<<2)>>2]|0){case 1:{g=f[d+80>>2]|0;k=f[Q>>2]|0;if(!k){R=f[a+12>>2]|0;do if(b[i>>0]|0){O=f[d+56>>2]|0;N=d;if(!O){S=N-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{S=N-(f[O+40>>2]|0)|0;break}}else S=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);T=R+(((S|0)/88|0)<<2)|0}else T=(f[a+12>>2]|0)+(((k-(f[(f[k+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;f[c+(f[T>>2]|0)>>2]=g;u=e;return}case 2:{m=d+80|0;O=f[m>>2]|0;N=f[m+4>>2]|0;m=f[Q>>2]|0;if(!m){j=f[a+12>>2]|0;do if(b[i>>0]|0){K=f[d+56>>2]|0;J=d;if(!K){U=J-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{U=J-(f[K+40>>2]|0)|0;break}}else U=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);V=j+(((U|0)/88|0)<<2)|0}else V=(f[a+12>>2]|0)+(((m-(f[(f[m+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;g=c+(f[V>>2]|0)|0;f[g>>2]=O;f[g+4>>2]=N;u=e;return}case 3:{g=f[d+80>>2]|0;k=f[Q>>2]|0;if(!k){R=f[a+12>>2]|0;do if(b[i>>0]|0){K=f[d+56>>2]|0;J=d;if(!K){W=J-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{W=J-(f[K+40>>2]|0)|0;break}}else W=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);X=R+(((W|0)/88|0)<<2)|0}else X=(f[a+12>>2]|0)+(((k-(f[(f[k+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;f[c+(f[X>>2]|0)>>2]=g;u=e;return}case 4:{N=d+80|0;O=f[N>>2]|0;m=f[N+4>>2]|0;N=f[Q>>2]|0;if(!N){j=f[a+12>>2]|0;do if(b[i>>0]|0){K=f[d+56>>2]|0;J=d;if(!K){Y=J-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{Y=J-(f[K+40>>2]|0)|0;break}}else Y=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);Z=j+(((Y|0)/88|0)<<2)|0}else Z=(f[a+12>>2]|0)+(((N-(f[(f[N+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;g=c+(f[Z>>2]|0)|0;f[g>>2]=O;f[g+4>>2]=m;u=e;return}case 6:{g=f[d+80>>2]|0;k=f[Q>>2]|0;if(!k){R=f[a+12>>2]|0;do if(b[i>>0]|0){K=f[d+56>>2]|0;J=d;if(!K){_=J-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{_=J-(f[K+40>>2]|0)|0;break}}else _=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);$=R+(((_|0)/88|0)<<2)|0}else $=(f[a+12>>2]|0)+(((k-(f[(f[k+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;f[c+(f[$>>2]|0)>>2]=g;u=e;return}case 5:{aa=+p[d+80>>3];m=f[Q>>2]|0;if(!m){O=f[a+12>>2]|0;do if(b[i>>0]|0){N=f[d+56>>2]|0;j=d;if(!N){ba=j-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{ba=j-(f[N+40>>2]|0)|0;break}}else ba=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);ca=O+(((ba|0)/88|0)<<2)|0}else ca=(f[a+12>>2]|0)+(((m-(f[(f[m+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;p[c+(f[ca>>2]|0)>>3]=aa;u=e;return}case 7:{g=b[d+80>>0]|0;k=f[Q>>2]|0;if(!k){R=f[a+12>>2]|0;do if(b[i>>0]|0){N=f[d+56>>2]|0;j=d;if(!N){da=j-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{da=j-(f[N+40>>2]|0)|0;break}}else da=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);ea=R+(((da|0)/88|0)<<2)|0}else ea=(f[a+12>>2]|0)+(((k-(f[(f[k+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;b[c+(f[ea>>2]|0)>>0]=g;u=e;return}case 8:{m=(cJb(d)|0)+8|0;O=f[m>>2]|0;m=f[Q>>2]|0;if(!m){N=f[a+12>>2]|0;do if(b[i>>0]|0){j=f[d+56>>2]|0;K=d;if(!j){fa=K-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{fa=K-(f[j+40>>2]|0)|0;break}}else fa=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);ga=N+(((fa|0)/88|0)<<2)|0}else ga=(f[a+12>>2]|0)+(((m-(f[(f[m+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;f[c+(f[ga>>2]|0)>>2]=O;u=e;return}case 9:{g=f[a+8>>2]|0;k=f[a+12>>2]|0;R=(b[i>>0]|0)==0;do if(!R){j=f[d+56>>2]|0;K=d;if(!j){ha=K-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{ha=K-(f[j+40>>2]|0)|0;break}}else ha=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);O=f[g+(f[k+(((ha|0)/88|0)<<2)>>2]|0)>>2]|0;m=f[Q>>2]|0;if(!m){do if(!R){N=f[d+56>>2]|0;j=d;if(!N){ia=j-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{ia=j-(f[N+40>>2]|0)|0;break}}else ia=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);ja=(ia|0)/88|0}else ja=((m-(f[(f[m+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)|0;R=c+(f[k+(ja<<2)>>2]|0)|0;g=f[c+(f[a+24>>2]|0)>>2]|0;N=g&-2;if(!(g&1))ka=N;else ka=f[N+4>>2]|0;if((ka|0)==0?(N=f[R>>2]|0,!((N|0)==(O|0)|(N|0)==0)):0){if((b[N+11>>0]|0)<0)Emc(f[N>>2]|0);Emc(N)}f[R>>2]=O;u=e;return}case 10:{if((f[P>>2]|0)!=-1){R=f[Q>>2]|0;if(!R){N=f[a+12>>2]|0;do if(b[i>>0]|0){g=f[d+56>>2]|0;j=d;if(!g){la=j-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{la=j-(f[g+40>>2]|0)|0;break}}else la=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);ma=N+(((la|0)/88|0)<<2)|0}else ma=(f[a+12>>2]|0)+(((R-(f[(f[R+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;O=f[c+(f[ma>>2]|0)>>2]|0;ai[f[(f[O>>2]|0)+28>>2]&2047](O);u=e;return}O=f[c+(f[a+24>>2]|0)>>2]|0;k=O&-2;if(!(O&1))na=k;else na=f[k+4>>2]|0;if(!na){k=f[Q>>2]|0;if(!k){O=f[a+12>>2]|0;do if(b[i>>0]|0){m=f[d+56>>2]|0;g=d;if(!m){oa=g-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{oa=g-(f[m+40>>2]|0)|0;break}}else oa=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);pa=O+(((oa|0)/88|0)<<2)|0}else pa=(f[a+12>>2]|0)+(((k-(f[(f[k+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;R=f[c+(f[pa>>2]|0)>>2]|0;if(R|0)ai[f[(f[R>>2]|0)+4>>2]&2047](R)}R=f[Q>>2]|0;if(!R){N=f[a+12>>2]|0;do if(b[i>>0]|0){m=f[d+56>>2]|0;g=d;if(!m){qa=g-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{qa=g-(f[m+40>>2]|0)|0;break}}else qa=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);ra=N+(((qa|0)/88|0)<<2)|0}else ra=(f[a+12>>2]|0)+(((R-(f[(f[R+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;f[c+(f[ra>>2]|0)>>2]=0;u=e;return}default:{u=e;return}}while(0)}function kWb(a,b,c){a=a|0;b=b|0;c=c|0;return (f[b+((((c-(f[(f[c+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]|0)!=0|0}function lWb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;e=u;u=u+16|0;g=e;h=a+32|0;i=d+8|0;j=d;d=f[c+((((j-(f[(f[i>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[h>>2]|0))>>2]|0;if(!d){u=e;return}k=SIb(f[a+4>>2]|0,d)|0;d=a+24|0;l=f[c+(f[d>>2]|0)>>2]|0;m=l&-2;if(!(l&1))n=m;else n=f[m+4>>2]|0;a:do if(!n){m=f[k+24>>2]|0;if(m|0?(f[m>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=k;dEb(m,g)}switch(f[149940+(f[k+28>>2]<<2)>>2]|0){case 9:break;case 10:{m=f[k+52>>2]|0;if(!m){l=f[a+12>>2]|0;do if(b[k+38>>0]|0){o=f[k+56>>2]|0;p=k;if(!o){q=p-(f[(f[k+20>>2]|0)+80>>2]|0)|0;break}else{q=p-(f[o+40>>2]|0)|0;break}}else q=k-(f[(f[k+48>>2]|0)+20>>2]|0)|0;while(0);r=l+(((q|0)/88|0)<<2)|0}else r=(f[a+12>>2]|0)+(((m-(f[(f[m+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[k+48>>2]|0)+52>>2]|0)<<2)|0;o=f[c+(f[r>>2]|0)>>2]|0;if(!o)break a;ai[f[(f[o>>2]|0)+4>>2]&2047](o);break a;break}default:break a}o=f[a+8>>2]|0;p=f[a+12>>2]|0;s=(b[k+38>>0]|0)==0;do if(!s){t=f[k+56>>2]|0;v=k;if(!t){w=v-(f[(f[k+20>>2]|0)+80>>2]|0)|0;break}else{w=v-(f[t+40>>2]|0)|0;break}}else w=k-(f[(f[k+48>>2]|0)+20>>2]|0)|0;while(0);m=f[o+(f[p+(((w|0)/88|0)<<2)>>2]|0)>>2]|0;l=f[k+52>>2]|0;if(!l){t=f[a+20>>2]|0;if((t|0)!=-1){v=f[a+16>>2]|0;do if(!s){x=f[k+56>>2]|0;y=k;if(!x){z=y-(f[(f[k+20>>2]|0)+80>>2]|0)|0;break}else{z=y-(f[x+40>>2]|0)|0;break}}else z=k-(f[(f[k+48>>2]|0)+20>>2]|0)|0;while(0);o=f[v+(((z|0)/88|0)<<2)>>2]|0;x=c+t+(o>>>5<<2)|0;f[x>>2]=1<<(o&31)|f[x>>2]}do if(!s){x=f[k+56>>2]|0;o=k;if(!x){A=o-(f[(f[k+20>>2]|0)+80>>2]|0)|0;break}else{A=o-(f[x+40>>2]|0)|0;break}}else A=k-(f[(f[k+48>>2]|0)+20>>2]|0)|0;while(0);B=(A|0)/88|0}else{s=(l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0;f[c+((s<<2)+(f[h>>2]|0))>>2]=f[k+40>>2];B=s+(f[(f[k+48>>2]|0)+52>>2]|0)|0}s=f[c+(f[d>>2]|0)>>2]|0;t=s&-2;if(!(s&1))C=t;else C=f[t+4>>2]|0;if((C|0)==0?(t=f[c+(f[p+(B<<2)>>2]|0)>>2]|0,!((t|0)==(m|0)|(t|0)==0)):0){if((b[t+11>>0]|0)<0)Emc(f[t>>2]|0);Emc(t)}}while(0);f[c+((((j-(f[(f[i>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[h>>2]|0))>>2]=0;u=e;return}function mWb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=f[b+((((c-(f[(f[c+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[a+32>>2]|0))>>2]|0;if(!d){e=0;return e|0}e=SIb(f[a+4>>2]|0,d)|0;return e|0}function nWb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;e=u;u=u+16|0;g=e;h=d+48|0;i=a+4|0;j=f[i>>2]|0;if((f[h>>2]|0)!=(j|0))NXb(j,d,504496,502886);if((f[d+32>>2]|0)!=3)NXb(f[i>>2]|0,d,504496,502338);i=d+38|0;if(b[i>>0]|0){Z5b(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0);u=e;return}j=d+24|0;k=f[j>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=d;dEb(k,g)}k=d+28|0;do switch(f[149940+(f[k>>2]<<2)>>2]|0){case 1:{l=f[d+52>>2]|0;if(!l){m=f[a+12>>2]|0;do if(b[i>>0]|0){n=f[d+56>>2]|0;o=d;if(!n){p=o-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{p=o-(f[n+40>>2]|0)|0;break}}else p=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);q=m+(((p|0)/88|0)<<2)|0}else q=(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;n=c+(f[q>>2]|0)|0;f[n>>2]=(f[n>>2]|0)+-1;u=e;return}case 2:{n=f[d+52>>2]|0;if(!n){o=f[a+12>>2]|0;do if(b[i>>0]|0){r=f[d+56>>2]|0;s=d;if(!r){t=s-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{t=s-(f[r+40>>2]|0)|0;break}}else t=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);v=o+(((t|0)/88|0)<<2)|0}else v=(f[a+12>>2]|0)+(((n-(f[(f[n+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;l=c+(f[v>>2]|0)|0;f[l>>2]=(f[l>>2]|0)+-1;u=e;return}case 3:{l=f[d+52>>2]|0;if(!l){m=f[a+12>>2]|0;do if(b[i>>0]|0){r=f[d+56>>2]|0;s=d;if(!r){w=s-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{w=s-(f[r+40>>2]|0)|0;break}}else w=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);x=m+(((w|0)/88|0)<<2)|0}else x=(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;n=c+(f[x>>2]|0)|0;f[n>>2]=(f[n>>2]|0)+-1;u=e;return}case 4:{n=f[d+52>>2]|0;if(!n){o=f[a+12>>2]|0;do if(b[i>>0]|0){r=f[d+56>>2]|0;s=d;if(!r){y=s-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{y=s-(f[r+40>>2]|0)|0;break}}else y=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);z=o+(((y|0)/88|0)<<2)|0}else z=(f[a+12>>2]|0)+(((n-(f[(f[n+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;l=c+(f[z>>2]|0)|0;f[l>>2]=(f[l>>2]|0)+-1;u=e;return}case 5:{l=f[d+52>>2]|0;if(!l){m=f[a+12>>2]|0;do if(b[i>>0]|0){r=f[d+56>>2]|0;s=d;if(!r){A=s-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{A=s-(f[r+40>>2]|0)|0;break}}else A=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);B=m+(((A|0)/88|0)<<2)|0}else B=(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;n=c+(f[B>>2]|0)|0;f[n>>2]=(f[n>>2]|0)+-1;u=e;return}case 6:{n=f[d+52>>2]|0;if(!n){o=f[a+12>>2]|0;do if(b[i>>0]|0){r=f[d+56>>2]|0;s=d;if(!r){C=s-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{C=s-(f[r+40>>2]|0)|0;break}}else C=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);D=o+(((C|0)/88|0)<<2)|0}else D=(f[a+12>>2]|0)+(((n-(f[(f[n+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;l=c+(f[D>>2]|0)|0;f[l>>2]=(f[l>>2]|0)+-1;u=e;return}case 7:{l=f[d+52>>2]|0;if(!l){m=f[a+12>>2]|0;do if(b[i>>0]|0){r=f[d+56>>2]|0;s=d;if(!r){E=s-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{E=s-(f[r+40>>2]|0)|0;break}}else E=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);F=m+(((E|0)/88|0)<<2)|0}else F=(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;n=c+(f[F>>2]|0)|0;f[n>>2]=(f[n>>2]|0)+-1;u=e;return}case 8:{n=f[d+52>>2]|0;if(!n){o=f[a+12>>2]|0;do if(b[i>>0]|0){r=f[d+56>>2]|0;s=d;if(!r){G=s-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{G=s-(f[r+40>>2]|0)|0;break}}else G=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);H=o+(((G|0)/88|0)<<2)|0}else H=(f[a+12>>2]|0)+(((n-(f[(f[n+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;l=c+(f[H>>2]|0)|0;f[l>>2]=(f[l>>2]|0)+-1;u=e;return}case 9:{l=f[d+52>>2]|0;if(!l){m=f[a+12>>2]|0;do if(b[i>>0]|0){r=f[d+56>>2]|0;s=d;if(!r){I=s-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{I=s-(f[r+40>>2]|0)|0;break}}else I=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);J=m+(((I|0)/88|0)<<2)|0}else J=(f[a+12>>2]|0)+(((l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;n=c+(f[J>>2]|0)|0;o=f[n+12>>2]|0;r=n+4|0;n=(f[r>>2]|0)+-1|0;f[r>>2]=n;r=f[o+4+(n<<2)>>2]|0;n=r+11|0;if((b[n>>0]|0)<0){b[f[r>>2]>>0]=0;f[r+4>>2]=0;u=e;return}else{b[r>>0]=0;b[n>>0]=0;u=e;return}break}case 10:{n=f[j>>2]|0;if(n|0?(f[n>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=d;dEb(n,g)}if((f[k>>2]|0)==11?bJb(d)|0:0){n=f[d+52>>2]|0;if(!n){r=f[a+12>>2]|0;do if(b[i>>0]|0){o=f[d+56>>2]|0;s=d;if(!o){K=s-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{K=s-(f[o+40>>2]|0)|0;break}}else K=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);L=r+(((K|0)/88|0)<<2)|0}else L=(f[a+12>>2]|0)+(((n-(f[(f[n+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;l=r_b(c+(f[L>>2]|0)|0)|0;m=f[l+12>>2]|0;o=l+4|0;l=(f[o>>2]|0)+-1|0;f[o>>2]=l;o=f[m+4+(l<<2)>>2]|0;ai[f[(f[o>>2]|0)+28>>2]&2047](o);u=e;return}o=f[d+52>>2]|0;if(!o){l=f[a+12>>2]|0;do if(b[i>>0]|0){m=f[d+56>>2]|0;s=d;if(!m){M=s-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{M=s-(f[m+40>>2]|0)|0;break}}else M=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);N=l+(((M|0)/88|0)<<2)|0}else N=(f[a+12>>2]|0)+(((o-(f[(f[o+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;n=c+(f[N>>2]|0)|0;r=f[n+12>>2]|0;m=n+4|0;n=(f[m>>2]|0)+-1|0;f[m>>2]=n;m=f[r+4+(n<<2)>>2]|0;ai[f[(f[m>>2]|0)+28>>2]&2047](m);u=e;return}default:{u=e;return}}while(0)}function oWb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+16|0;g=e;h=d+48|0;i=a+4|0;j=f[i>>2]|0;if((f[h>>2]|0)!=(j|0))NXb(j,d,504484,502886);if((f[d+32>>2]|0)!=3)NXb(f[i>>2]|0,d,504484,502338);j=d+24|0;k=f[j>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=d;dEb(k,g)}k=d+28|0;if((f[149940+(f[k>>2]<<2)>>2]|0)!=10)PXb(f[i>>2]|0,d,504484,10);i=d+38|0;if(b[i>>0]|0){l=_5b(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0)|0;u=e;return l|0}m=f[j>>2]|0;if(m|0?(f[m>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=d;dEb(m,g)}if((f[k>>2]|0)==11?bJb(d)|0:0){k=f[d+52>>2]|0;if(!k){g=f[a+12>>2]|0;do if(b[i>>0]|0){m=f[d+56>>2]|0;j=d;if(!m){n=j-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{n=j-(f[m+40>>2]|0)|0;break}}else n=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);o=g+(((n|0)/88|0)<<2)|0}else o=(f[a+12>>2]|0)+(((k-(f[(f[k+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;k=r_b(c+(f[o>>2]|0)|0)|0;o=f[k+12>>2]|0;n=k+4|0;g=f[n>>2]|0;m=g+-1|0;f[n>>2]=m;n=o+4+(m<<2)|0;m=f[n>>2]|0;j=f[o>>2]|0;p=j+-1|0;f[o>>2]=p;if((g|0)<(j|0))f[n>>2]=f[o+4+(p<<2)>>2];if(!(f[k>>2]|0)){l=m;u=e;return l|0}k=Z1b(m,0)|0;RXb(m,k);l=k;u=e;return l|0}k=f[d+52>>2]|0;if(!k){m=f[a+12>>2]|0;do if(b[i>>0]|0){p=f[d+56>>2]|0;o=d;if(!p){q=o-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{q=o-(f[p+40>>2]|0)|0;break}}else q=d-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);r=m+(((q|0)/88|0)<<2)|0}else r=(f[a+12>>2]|0)+(((k-(f[(f[k+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[h>>2]|0)+52>>2]|0)<<2)|0;h=c+(f[r>>2]|0)|0;r=f[h+12>>2]|0;c=h+4|0;k=f[c>>2]|0;a=k+-1|0;f[c>>2]=a;c=r+4+(a<<2)|0;a=f[c>>2]|0;q=f[r>>2]|0;m=q+-1|0;f[r>>2]=m;if((k|0)<(q|0))f[c>>2]=f[r+4+(m<<2)>>2];if(!(f[h>>2]|0)){l=a;u=e;return l|0}h=Z1b(a,0)|0;RXb(a,h);l=h;u=e;return l|0}function pWb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=u;u=u+64|0;e=d+48|0;g=d+24|0;h=d;if((b|0)==(c|0)){u=d;return}if((ci[f[(f[b>>2]|0)+92>>2]&1023](b)|0)!=(a|0)){TDb(g,3,501629,577);i=ODb(ODb(g,504048)|0,504411)|0;xh[f[(f[b>>2]|0)+96>>2]&2047](e,b);j=ODb(PDb(i,f[(f[e>>2]|0)+4>>2]|0)|0,504144)|0;QDb(d+57|0,ODb(PDb(j,f[(f[a+4>>2]|0)+4>>2]|0)|0,504214)|0);UDb(g)}if((ci[f[(f[c>>2]|0)+92>>2]&1023](c)|0)!=(a|0)){TDb(h,3,501629,584);g=ODb(ODb(h,504293)|0,504447)|0;xh[f[(f[c>>2]|0)+96>>2]&2047](e,c);j=ODb(PDb(g,f[(f[e>>2]|0)+4>>2]|0)|0,504144)|0;QDb(d+56|0,ODb(PDb(j,f[(f[a+4>>2]|0)+4>>2]|0)|0,504214)|0);UDb(h)}h=a+24|0;j=f[h>>2]|0;e=f[b+j>>2]|0;g=(e&1|0)==0;i=e&-2;if(g)k=i;else k=f[i+4>>2]|0;e=f[c+j>>2]|0;j=e&-2;if(!(e&1))l=j;else l=f[j+4>>2]|0;if((k|0)!=(l|0)){if(g)m=i;else m=f[i+4>>2]|0;i=Sh[f[(f[b>>2]|0)+16>>2]&511](b,m)|0;xh[f[(f[i>>2]|0)+76>>2]&2047](i,c);xh[f[(f[c>>2]|0)+72>>2]&2047](c,b);Yh[f[(f[a>>2]|0)+52>>2]&511](a,b,i);m=f[b+(f[h>>2]|0)>>2]|0;h=m&-2;if(!(m&1))n=h;else n=f[h+4>>2]|0;if((i|0)==0|(n|0)!=0){u=d;return}ai[f[(f[i>>2]|0)+4>>2]&2047](i);u=d;return}i=f[a+20>>2]|0;if((i|0)!=-1){n=b+i|0;h=c+i|0;i=a+4|0;m=f[i>>2]|0;g=f[m+52>>2]|0;if((g|0)>0){l=f[m+20>>2]|0;k=0;j=0;while(1){if((f[l+(k*88|0)+32>>2]|0)==3)o=j;else o=((f[l+(k*88|0)+52>>2]|0)==0&1)+j|0;k=k+1|0;if((k|0)>=(g|0))break;else j=o}j=(o+31|0)/32|0;if((o|0)>0){o=0;do{g=n+(o<<2)|0;k=h+(o<<2)|0;l=f[g>>2]|0;f[g>>2]=f[k>>2];f[k>>2]=l;o=o+1|0}while((o|0)<(j|0));p=i;q=m}else{p=i;q=m}}else{p=i;q=m}}else{m=a+4|0;p=m;q=f[m>>2]|0}m=a+52|0;i=f[m>>2]|0;if((i|0)<0)r=q;else{j=0;o=q;q=i;while(1){i=f[o+20>>2]|0;if(!(f[i+(j*88|0)+52>>2]|0)){jYb(a,b,c,i+(j*88|0)|0);s=f[m>>2]|0;t=f[p>>2]|0}else{s=q;t=o}if((j|0)<(s|0)){j=j+1|0;o=t;q=s}else{r=t;break}}}t=f[r+56>>2]|0;if((t|0)>0?(hYb(a,b,c,f[r+24>>2]|0),(t|0)!=1):0){r=1;do{hYb(a,b,c,(f[(f[p>>2]|0)+24>>2]|0)+(r*28|0)|0);r=r+1|0}while((r|0)!=(t|0))}t=f[a+28>>2]|0;if((t|0)!=-1)d6b(b+t|0,c+t|0);t=Sh[f[(f[a>>2]|0)+12>>2]&511](a,b)|0;b=Sh[f[(f[a>>2]|0)+12>>2]&511](a,c)|0;c=f[t>>2]|0;f[t>>2]=f[b>>2];f[b>>2]=c;u=d;return}function qWb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;g=u;u=u+64|0;h=g+48|0;i=g+24|0;j=g;if((c|0)==(d|0)){u=g;return}if((ci[f[(f[c>>2]|0)+92>>2]&1023](c)|0)!=(a|0)){TDb(i,3,501629,651);k=ODb(ODb(i,504048)|0,504102)|0;xh[f[(f[c>>2]|0)+96>>2]&2047](h,c);l=ODb(PDb(k,f[(f[h>>2]|0)+4>>2]|0)|0,504144)|0;QDb(g+61|0,ODb(PDb(l,f[(f[a+4>>2]|0)+4>>2]|0)|0,504214)|0);UDb(i)}if((ci[f[(f[d>>2]|0)+92>>2]&1023](d)|0)!=(a|0)){TDb(j,3,501629,658);i=ODb(ODb(j,504293)|0,504347)|0;xh[f[(f[d>>2]|0)+96>>2]&2047](h,d);l=ODb(PDb(i,f[(f[h>>2]|0)+4>>2]|0)|0,504144)|0;QDb(g+60|0,ODb(PDb(l,f[(f[a+4>>2]|0)+4>>2]|0)|0,504214)|0);UDb(j)}j=h+4|0;f[j>>2]=0;l=h+8|0;f[l>>2]=0;i=h+4|0;f[h>>2]=i;k=f[e>>2]|0;m=(f[e+4>>2]|0)-k|0;n=m>>2;if((m|0)>0){m=a+28|0;o=0;p=k;while(1){k=f[p+(o<<2)>>2]|0;a:do if(!(b[k+38>>0]|0)){q=k+52|0;r=f[q>>2]|0;if(!r){if((f[k+32>>2]|0)!=3)iYb(a,c,d,k);jYb(a,c,d,k);break}s=(r-(f[(f[r+8>>2]|0)+24>>2]|0)|0)/28|0;t=f[i>>2]|0;do if(t){v=i;w=t;b:while(1){x=w;while(1){if((f[x+16>>2]|0)>=(s|0))break;y=f[x+4>>2]|0;if(!y){z=v;break b}else x=y}w=f[x>>2]|0;if(!w){z=x;break}else v=x}if((z|0)!=(i|0)?(s|0)>=(f[z+16>>2]|0):0)break a;else{A=j;B=t}while(1){v=f[B+16>>2]|0;if((s|0)<(v|0)){w=f[B>>2]|0;if(!w){C=23;break}else{D=B;E=w}}else{if((v|0)>=(s|0)){C=27;break}F=B+4|0;v=f[F>>2]|0;if(!v){C=26;break}else{D=F;E=v}}A=D;B=E}if((C|0)==23){C=0;G=B;H=B;break}else if((C|0)==26){C=0;G=F;H=B;break}else if((C|0)==27){C=0;G=A;H=B;break}}else{G=i;H=i}while(0);if(!(f[G>>2]|0)){t=Bmc(20)|0;f[t+16>>2]=s;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=H;f[G>>2]=t;v=f[f[h>>2]>>2]|0;if(!v)I=t;else{f[h>>2]=v;I=f[G>>2]|0}RS(f[j>>2]|0,I);f[l>>2]=(f[l>>2]|0)+1;J=f[q>>2]|0}else J=r;hYb(a,c,d,J)}else{v=f[m>>2]|0;e6b(c+v|0,d+v|0,f[k+40>>2]|0)}while(0);k=o+1|0;if((k|0)>=(n|0))break;o=k;p=f[e>>2]|0}K=f[i>>2]|0}else K=0;BAa(h,K);u=g;return}function rWb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;h=u;u=u+16|0;i=h;j=d+48|0;k=a+4|0;l=f[k>>2]|0;if((f[j>>2]|0)!=(l|0))NXb(l,d,504043,502886);if((f[d+32>>2]|0)!=3)NXb(f[k>>2]|0,d,504043,502338);k=d+38|0;if(b[k>>0]|0){$5b(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,e,g);u=h;return}l=d+24|0;m=f[l>>2]|0;if(m|0?(f[m>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=d;dEb(m,i)}m=d+28|0;do switch(f[149940+(f[m>>2]<<2)>>2]|0){case 1:{n=f[d+52>>2]|0;if(!n){o=f[a+12>>2]|0;do if(b[k>>0]|0){q=f[d+56>>2]|0;r=d;if(!q){s=r-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{s=r-(f[q+40>>2]|0)|0;break}}else s=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);t=o+(((s|0)/88|0)<<2)|0}else t=(f[a+12>>2]|0)+(((n-(f[(f[n+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[j>>2]|0)+52>>2]|0)<<2)|0;q=f[c+(f[t>>2]|0)+8>>2]|0;r=q+4+(e<<2)|0;v=q+4+(g<<2)|0;q=f[r>>2]|0;f[r>>2]=f[v>>2];f[v>>2]=q;u=h;return}case 2:{q=f[d+52>>2]|0;if(!q){v=f[a+12>>2]|0;do if(b[k>>0]|0){r=f[d+56>>2]|0;w=d;if(!r){x=w-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{x=w-(f[r+40>>2]|0)|0;break}}else x=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);y=v+(((x|0)/88|0)<<2)|0}else y=(f[a+12>>2]|0)+(((q-(f[(f[q+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[j>>2]|0)+52>>2]|0)<<2)|0;n=f[c+(f[y>>2]|0)+8>>2]|0;o=n+8+(e<<3)|0;r=n+8+(g<<3)|0;n=o;w=f[n>>2]|0;z=f[n+4>>2]|0;n=r;A=f[n+4>>2]|0;B=o;f[B>>2]=f[n>>2];f[B+4>>2]=A;A=r;f[A>>2]=w;f[A+4>>2]=z;u=h;return}case 3:{z=f[d+52>>2]|0;if(!z){A=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;r=d;if(!w){C=r-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{C=r-(f[w+40>>2]|0)|0;break}}else C=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);D=A+(((C|0)/88|0)<<2)|0}else D=(f[a+12>>2]|0)+(((z-(f[(f[z+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[j>>2]|0)+52>>2]|0)<<2)|0;q=f[c+(f[D>>2]|0)+8>>2]|0;v=q+4+(e<<2)|0;w=q+4+(g<<2)|0;q=f[v>>2]|0;f[v>>2]=f[w>>2];f[w>>2]=q;u=h;return}case 4:{q=f[d+52>>2]|0;if(!q){w=f[a+12>>2]|0;do if(b[k>>0]|0){v=f[d+56>>2]|0;r=d;if(!v){E=r-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{E=r-(f[v+40>>2]|0)|0;break}}else E=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);F=w+(((E|0)/88|0)<<2)|0}else F=(f[a+12>>2]|0)+(((q-(f[(f[q+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[j>>2]|0)+52>>2]|0)<<2)|0;z=f[c+(f[F>>2]|0)+8>>2]|0;A=z+8+(e<<3)|0;v=z+8+(g<<3)|0;z=A;r=f[z>>2]|0;B=f[z+4>>2]|0;z=v;n=f[z+4>>2]|0;o=A;f[o>>2]=f[z>>2];f[o+4>>2]=n;n=v;f[n>>2]=r;f[n+4>>2]=B;u=h;return}case 5:{B=f[d+52>>2]|0;if(!B){n=f[a+12>>2]|0;do if(b[k>>0]|0){r=f[d+56>>2]|0;v=d;if(!r){G=v-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{G=v-(f[r+40>>2]|0)|0;break}}else G=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);H=n+(((G|0)/88|0)<<2)|0}else H=(f[a+12>>2]|0)+(((B-(f[(f[B+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[j>>2]|0)+52>>2]|0)<<2)|0;q=f[c+(f[H>>2]|0)+8>>2]|0;w=q+8+(e<<3)|0;r=q+8+(g<<3)|0;I=+p[w>>3];p[w>>3]=+p[r>>3];p[r>>3]=I;u=h;return}case 6:{r=f[d+52>>2]|0;if(!r){w=f[a+12>>2]|0;do if(b[k>>0]|0){q=f[d+56>>2]|0;v=d;if(!q){J=v-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{J=v-(f[q+40>>2]|0)|0;break}}else J=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);K=w+(((J|0)/88|0)<<2)|0}else K=(f[a+12>>2]|0)+(((r-(f[(f[r+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[j>>2]|0)+52>>2]|0)<<2)|0;B=f[c+(f[K>>2]|0)+8>>2]|0;n=B+4+(e<<2)|0;q=B+4+(g<<2)|0;B=f[n>>2]|0;f[n>>2]=f[q>>2];f[q>>2]=B;u=h;return}case 7:{B=f[d+52>>2]|0;if(!B){q=f[a+12>>2]|0;do if(b[k>>0]|0){n=f[d+56>>2]|0;v=d;if(!n){L=v-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{L=v-(f[n+40>>2]|0)|0;break}}else L=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);M=q+(((L|0)/88|0)<<2)|0}else M=(f[a+12>>2]|0)+(((B-(f[(f[B+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[j>>2]|0)+52>>2]|0)<<2)|0;r=f[c+(f[M>>2]|0)+8>>2]|0;w=r+4+e|0;n=r+4+g|0;r=b[w>>0]|0;b[w>>0]=b[n>>0]|0;b[n>>0]=r;u=h;return}case 8:{r=f[d+52>>2]|0;if(!r){n=f[a+12>>2]|0;do if(b[k>>0]|0){w=f[d+56>>2]|0;v=d;if(!w){N=v-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{N=v-(f[w+40>>2]|0)|0;break}}else N=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);O=n+(((N|0)/88|0)<<2)|0}else O=(f[a+12>>2]|0)+(((r-(f[(f[r+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[j>>2]|0)+52>>2]|0)<<2)|0;B=f[c+(f[O>>2]|0)+8>>2]|0;q=B+4+(e<<2)|0;w=B+4+(g<<2)|0;B=f[q>>2]|0;f[q>>2]=f[w>>2];f[w>>2]=B;u=h;return}case 10:case 9:{B=f[l>>2]|0;if(B|0?(f[B>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=d;dEb(B,i)}if((f[m>>2]|0)==11?bJb(d)|0:0){B=f[d+52>>2]|0;if(!B){w=f[a+12>>2]|0;do if(b[k>>0]|0){q=f[d+56>>2]|0;v=d;if(!q){P=v-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{P=v-(f[q+40>>2]|0)|0;break}}else P=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);Q=w+(((P|0)/88|0)<<2)|0}else Q=(f[a+12>>2]|0)+(((B-(f[(f[B+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[j>>2]|0)+52>>2]|0)<<2)|0;r=(r_b(c+(f[Q>>2]|0)|0)|0)+12|0;n=f[r>>2]|0;r=n+4+(e<<2)|0;q=n+4+(g<<2)|0;n=f[r>>2]|0;f[r>>2]=f[q>>2];f[q>>2]=n;u=h;return}n=f[d+52>>2]|0;if(!n){q=f[a+12>>2]|0;do if(b[k>>0]|0){r=f[d+56>>2]|0;v=d;if(!r){R=v-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{R=v-(f[r+40>>2]|0)|0;break}}else R=d-(f[(f[j>>2]|0)+20>>2]|0)|0;while(0);S=q+(((R|0)/88|0)<<2)|0}else S=(f[a+12>>2]|0)+(((n-(f[(f[n+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[(f[j>>2]|0)+52>>2]|0)<<2)|0;B=f[c+(f[S>>2]|0)+12>>2]|0;w=B+4+(e<<2)|0;r=B+4+(g<<2)|0;B=f[w>>2]|0;f[w>>2]=f[r>>2];f[r>>2]=B;u=h;return}default:{u=h;return}}while(0)}function sWb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=u;u=u+16|0;e=d;g=f[c>>2]|0;h=c+4|0;i=f[h>>2]|0;if((i|0)!=(g|0))f[h>>2]=i+(~((i+-4-g|0)>>>2)<<2);if((f[a+8>>2]|0)==(b|0)){u=d;return}g=f[a+20>>2]|0;i=(g|0)==-1?0:b+g|0;g=f[a+16>>2]|0;j=b+(f[a+32>>2]|0)|0;k=a+4|0;cYb(c,f[(f[k>>2]|0)+52>>2]|0);l=a+52|0;if((f[l>>2]|0)>=0){m=c+8|0;n=(i|0)==0;o=0;while(1){p=f[(f[k>>2]|0)+20>>2]|0;q=p+(o*88|0)|0;f[e>>2]=q;r=q;do if((f[p+(o*88|0)+32>>2]|0)==3){if((ki[f[(f[a>>2]|0)+24>>2]&511](a,b,q)|0)>0){s=f[h>>2]|0;if((s|0)==(f[m>>2]|0)){LGb(c,e);break}else{f[s>>2]=f[e>>2];f[h>>2]=(f[h>>2]|0)+4;break}}}else{s=f[p+(o*88|0)+52>>2]|0;if(s|0){if((f[j+(((s-(f[(f[s+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)>>2]|0)!=(f[p+(o*88|0)+40>>2]|0))break;s=f[h>>2]|0;if((s|0)==(f[m>>2]|0)){LGb(c,e);break}else{f[s>>2]=r;f[h>>2]=(f[h>>2]|0)+4;break}}if(n){if(!(dYb(a,b,q)|0))break;s=f[h>>2]|0;if((s|0)==(f[m>>2]|0)){LGb(c,e);break}else{f[s>>2]=f[e>>2];f[h>>2]=(f[h>>2]|0)+4;break}}else{s=f[g+(o<<2)>>2]|0;if(!(1<<(s&31)&f[i+(s>>>5<<2)>>2]))break;s=f[h>>2]|0;if((s|0)==(f[m>>2]|0)){LGb(c,e);break}else{f[s>>2]=r;f[h>>2]=(f[h>>2]|0)+4;break}}}while(0);if((o|0)<(f[l>>2]|0))o=o+1|0;else break}}o=f[a+28>>2]|0;if((o|0)!=-1)QVb(b+o|0,f[k>>2]|0,f[a+44>>2]|0,c);eYb(f[c>>2]|0,f[h>>2]|0);u=d;return}function tWb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;h=d+48|0;i=a+4|0;j=f[i>>2]|0;if((f[h>>2]|0)!=(j|0))NXb(j,d,503997,502886);if((f[d+32>>2]|0)==3)NXb(f[i>>2]|0,d,503997,503645);j=f[d+24>>2]|0;if(j|0?(f[j>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=d;dEb(j,g)}if((f[149940+(f[d+28>>2]<<2)>>2]|0)!=1)PXb(f[i>>2]|0,d,503997,1);if(b[d+38>>0]|0){k=T4b(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,f[d+80>>2]|0)|0;u=e;return k|0}i=f[d+52>>2]|0;do if(i){g=(i-(f[(f[i+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((g<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){l=c;m=(f[a+12>>2]|0)+((f[(f[h>>2]|0)+52>>2]|0)+g<<2)|0;break}else{l=f[a+8>>2]|0;m=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{l=c;m=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);k=f[l+(f[m>>2]|0)>>2]|0;u=e;return k|0}function uWb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+16|0;g=e;h=d+48|0;i=a+4|0;j=f[i>>2]|0;if((f[h>>2]|0)!=(j|0))NXb(j,d,503988,502886);if((f[d+32>>2]|0)==3)NXb(f[i>>2]|0,d,503988,503645);j=f[d+24>>2]|0;if(j|0?(f[j>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=d;dEb(j,g)}if((f[149940+(f[d+28>>2]<<2)>>2]|0)!=2)PXb(f[i>>2]|0,d,503988,2);if(b[d+38>>0]|0){i=d+80|0;g=_4b(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,f[i>>2]|0,f[i+4>>2]|0)|0;k=J;l=g;J=k;u=e;return l|0}g=f[d+52>>2]|0;do if(g){i=(g-(f[(f[g+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((i<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){m=c;n=(f[a+12>>2]|0)+((f[(f[h>>2]|0)+52>>2]|0)+i<<2)|0;break}else{m=f[a+8>>2]|0;n=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{m=c;n=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);h=m+(f[n>>2]|0)|0;k=f[h+4>>2]|0;l=f[h>>2]|0;J=k;u=e;return l|0}function vWb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;h=d+48|0;i=a+4|0;j=f[i>>2]|0;if((f[h>>2]|0)!=(j|0))NXb(j,d,503978,502886);if((f[d+32>>2]|0)==3)NXb(f[i>>2]|0,d,503978,503645);j=f[d+24>>2]|0;if(j|0?(f[j>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=d;dEb(j,g)}if((f[149940+(f[d+28>>2]<<2)>>2]|0)!=3)PXb(f[i>>2]|0,d,503978,3);if(b[d+38>>0]|0){k=e5b(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,f[d+80>>2]|0)|0;u=e;return k|0}i=f[d+52>>2]|0;do if(i){g=(i-(f[(f[i+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((g<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){l=c;m=(f[a+12>>2]|0)+((f[(f[h>>2]|0)+52>>2]|0)+g<<2)|0;break}else{l=f[a+8>>2]|0;m=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{l=c;m=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);k=f[l+(f[m>>2]|0)>>2]|0;u=e;return k|0}function wWb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+16|0;g=e;h=d+48|0;i=a+4|0;j=f[i>>2]|0;if((f[h>>2]|0)!=(j|0))NXb(j,d,503968,502886);if((f[d+32>>2]|0)==3)NXb(f[i>>2]|0,d,503968,503645);j=f[d+24>>2]|0;if(j|0?(f[j>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=d;dEb(j,g)}if((f[149940+(f[d+28>>2]<<2)>>2]|0)!=4)PXb(f[i>>2]|0,d,503968,4);if(b[d+38>>0]|0){i=d+80|0;g=k5b(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,f[i>>2]|0,f[i+4>>2]|0)|0;k=J;l=g;J=k;u=e;return l|0}g=f[d+52>>2]|0;do if(g){i=(g-(f[(f[g+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((i<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){m=c;n=(f[a+12>>2]|0)+((f[(f[h>>2]|0)+52>>2]|0)+i<<2)|0;break}else{m=f[a+8>>2]|0;n=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{m=c;n=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);h=m+(f[n>>2]|0)|0;k=f[h+4>>2]|0;l=f[h>>2]|0;J=k;u=e;return l|0}function xWb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0.0,l=0,m=0;e=u;u=u+16|0;g=e;h=d+48|0;i=a+4|0;j=f[i>>2]|0;if((f[h>>2]|0)!=(j|0))NXb(j,d,503959,502886);if((f[d+32>>2]|0)==3)NXb(f[i>>2]|0,d,503959,503645);j=f[d+24>>2]|0;if(j|0?(f[j>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=d;dEb(j,g)}if((f[149940+(f[d+28>>2]<<2)>>2]|0)!=6)PXb(f[i>>2]|0,d,503959,6);if(b[d+38>>0]|0){k=+q5b(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,+n[d+80>>2]);u=e;return +k}i=f[d+52>>2]|0;do if(i){g=(i-(f[(f[i+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((g<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){l=c;m=(f[a+12>>2]|0)+((f[(f[h>>2]|0)+52>>2]|0)+g<<2)|0;break}else{l=f[a+8>>2]|0;m=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{l=c;m=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);k=+n[l+(f[m>>2]|0)>>2];u=e;return +k}function yWb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0.0,l=0,m=0;e=u;u=u+16|0;g=e;h=d+48|0;i=a+4|0;j=f[i>>2]|0;if((f[h>>2]|0)!=(j|0))NXb(j,d,503949,502886);if((f[d+32>>2]|0)==3)NXb(f[i>>2]|0,d,503949,503645);j=f[d+24>>2]|0;if(j|0?(f[j>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=d;dEb(j,g)}if((f[149940+(f[d+28>>2]<<2)>>2]|0)!=5)PXb(f[i>>2]|0,d,503949,5);if(b[d+38>>0]|0){k=+w5b(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,+p[d+80>>3]);u=e;return +k}i=f[d+52>>2]|0;do if(i){g=(i-(f[(f[i+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((g<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){l=c;m=(f[a+12>>2]|0)+((f[(f[h>>2]|0)+52>>2]|0)+g<<2)|0;break}else{l=f[a+8>>2]|0;m=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{l=c;m=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);k=+p[l+(f[m>>2]|0)>>3];u=e;return +k}function zWb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;h=d+48|0;i=a+4|0;j=f[i>>2]|0;if((f[h>>2]|0)!=(j|0))NXb(j,d,503941,502886);if((f[d+32>>2]|0)==3)NXb(f[i>>2]|0,d,503941,503645);j=f[d+24>>2]|0;if(j|0?(f[j>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=d;dEb(j,g)}if((f[149940+(f[d+28>>2]<<2)>>2]|0)!=7)PXb(f[i>>2]|0,d,503941,7);if(b[d+38>>0]|0){k=C5b(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,(b[d+80>>0]|0)!=0)|0;u=e;return k|0}i=f[d+52>>2]|0;do if(i){g=(i-(f[(f[i+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((g<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){l=c;m=(f[a+12>>2]|0)+((f[(f[h>>2]|0)+52>>2]|0)+g<<2)|0;break}else{l=f[a+8>>2]|0;m=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{l=c;m=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);k=(b[l+(f[m>>2]|0)>>0]|0)!=0;u=e;return k|0}function AWb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;g=u;u=u+16|0;h=g;i=e+48|0;j=c+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))NXb(k,e,503931,502886);if((f[e+32>>2]|0)==3)NXb(f[j>>2]|0,e,503931,503645);k=f[e+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=e;dEb(k,h)}if((f[149940+(f[e+28>>2]<<2)>>2]|0)!=9)PXb(f[j>>2]|0,e,503931,9);if(b[e+38>>0]|0){Nmc(a,P5b(d+(f[c+28>>2]|0)|0,f[e+40>>2]|0,f[e+80>>2]|0)|0);u=g;return}j=f[e+52>>2]|0;do if(j){h=(j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[d+((h<<2)+(f[c+32>>2]|0))>>2]|0)==(f[e+40>>2]|0)){l=d;m=(f[c+12>>2]|0)+((f[(f[i>>2]|0)+52>>2]|0)+h<<2)|0;break}else{l=f[c+8>>2]|0;m=(f[c+12>>2]|0)+(((e-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{l=d;m=(f[c+12>>2]|0)+(((e-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);Nmc(a,f[l+(f[m>>2]|0)>>2]|0);u=g;return}function BWb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=ki[f[(f[a>>2]|0)+104>>2]&511](a,b,c)|0;return ZIb(eJb(c)|0,d)|0}function CWb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;h=d+48|0;i=a+4|0;j=f[i>>2]|0;if((f[h>>2]|0)!=(j|0))NXb(j,d,503918,502886);if((f[d+32>>2]|0)==3)NXb(f[i>>2]|0,d,503918,503645);j=f[d+24>>2]|0;if(j|0?(f[j>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=d;dEb(j,g)}if((f[149940+(f[d+28>>2]<<2)>>2]|0)!=8)PXb(f[i>>2]|0,d,503918,8);if(b[d+38>>0]|0){i=c+(f[a+28>>2]|0)|0;g=f[d+40>>2]|0;j=(cJb(d)|0)+8|0;k=K5b(i,g,f[j>>2]|0)|0;u=e;return k|0}j=f[d+52>>2]|0;do if(j){g=(j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((g<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){l=c;m=(f[a+12>>2]|0)+((f[(f[h>>2]|0)+52>>2]|0)+g<<2)|0;break}else{l=f[a+8>>2]|0;m=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{l=c;m=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);k=f[l+(f[m>>2]|0)>>2]|0;u=e;return k|0}function DWb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))NXb(k,d,503907,502886);if((f[d+32>>2]|0)==3)NXb(f[j>>2]|0,d,503907,503645);k=f[d+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(k,h)}if((f[149940+(f[d+28>>2]<<2)>>2]|0)!=10)PXb(f[j>>2]|0,d,503907,10);if(!e)l=f[a+48>>2]|0;else l=e;if(b[d+38>>0]|0){e=c+(f[a+28>>2]|0)|0;j=f[d+40>>2]|0;m=RVb(e,j,dJb(d)|0,l)|0;u=g;return m|0}l=f[d+52>>2]|0;do if(l){j=(l-(f[(f[l+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((j<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){e=f[i>>2]|0;h=f[a+12>>2]|0;n=c;o=h+((f[e+52>>2]|0)+j<<2)|0;p=e;q=h;break}else{h=f[a+12>>2]|0;e=f[i>>2]|0;n=f[a+8>>2]|0;o=h+(((d-(f[e+20>>2]|0)|0)/88|0)<<2)|0;p=e;q=h;break}}else{h=f[a+12>>2]|0;e=f[i>>2]|0;n=c;o=h+(((d-(f[e+20>>2]|0)|0)/88|0)<<2)|0;p=e;q=h}while(0);c=f[n+(f[o>>2]|0)>>2]|0;if(c|0){m=c;u=g;return m|0}m=f[(f[a+8>>2]|0)+(f[q+(((d-(f[p+20>>2]|0)|0)/88|0)<<2)>>2]|0)>>2]|0;u=g;return m|0}function EWb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;h=d+48|0;i=a+4|0;j=f[i>>2]|0;if((f[h>>2]|0)!=(j|0))NXb(j,d,503888,502886);if((f[d+32>>2]|0)==3)NXb(f[i>>2]|0,d,503888,503645);j=f[d+24>>2]|0;if(j|0?(f[j>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=d;dEb(j,g)}if((f[149940+(f[d+28>>2]<<2)>>2]|0)!=9)PXb(f[i>>2]|0,d,503888,9);if(b[d+38>>0]|0){k=P5b(c+(f[a+28>>2]|0)|0,f[d+40>>2]|0,f[d+80>>2]|0)|0;u=e;return k|0}i=f[d+52>>2]|0;do if(i){g=(i-(f[(f[i+8>>2]|0)+24>>2]|0)|0)/28|0;if((f[c+((g<<2)+(f[a+32>>2]|0))>>2]|0)==(f[d+40>>2]|0)){l=c;m=(f[a+12>>2]|0)+((f[(f[h>>2]|0)+52>>2]|0)+g<<2)|0;break}else{l=f[a+8>>2]|0;m=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0;break}}else{l=c;m=(f[a+12>>2]|0)+(((d-(f[(f[h>>2]|0)+20>>2]|0)|0)/88|0)<<2)|0}while(0);k=f[l+(f[m>>2]|0)>>2]|0;u=e;return k|0}function FWb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+32|0;h=g+8|0;i=g;f[i>>2]=e;e=a+4|0;j=f[e>>2]|0;if((f[d+48>>2]|0)!=(j|0))NXb(j,d,503879,502886);if((f[d+32>>2]|0)==3)NXb(f[e>>2]|0,d,503879,503645);j=d+24|0;k=f[j>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(k,h)}k=d+28|0;if((f[149940+(f[k>>2]<<2)>>2]|0)!=1)PXb(f[e>>2]|0,d,503879,1);if(!(b[d+38>>0]|0)){XXb(a,c,d,i);u=g;return}e=c+(f[a+28>>2]|0)|0;a=f[d+40>>2]|0;c=f[j>>2]|0;if(c|0?(f[c>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(c,h)}U4b(e,a,f[k>>2]&255,f[i>>2]|0,d);u=g;return}function GWb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+32|0;i=h+8|0;j=h;k=j;f[k>>2]=e;f[k+4>>2]=g;g=a+4|0;k=f[g>>2]|0;if((f[d+48>>2]|0)!=(k|0))NXb(k,d,503870,502886);if((f[d+32>>2]|0)==3)NXb(f[g>>2]|0,d,503870,503645);k=d+24|0;e=f[k>>2]|0;if(e|0?(f[e>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=d;dEb(e,i)}e=d+28|0;if((f[149940+(f[e>>2]<<2)>>2]|0)!=2)PXb(f[g>>2]|0,d,503870,2);if(!(b[d+38>>0]|0)){bYb(a,c,d,j);u=h;return}g=c+(f[a+28>>2]|0)|0;a=f[d+40>>2]|0;c=f[k>>2]|0;if(c|0?(f[c>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=d;dEb(c,i)}i=j;$4b(g,a,f[e>>2]&255,f[i>>2]|0,f[i+4>>2]|0,d);u=h;return}function HWb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+32|0;h=g+8|0;i=g;f[i>>2]=e;e=a+4|0;j=f[e>>2]|0;if((f[d+48>>2]|0)!=(j|0))NXb(j,d,503860,502886);if((f[d+32>>2]|0)==3)NXb(f[e>>2]|0,d,503860,503645);j=d+24|0;k=f[j>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(k,h)}k=d+28|0;if((f[149940+(f[k>>2]<<2)>>2]|0)!=3)PXb(f[e>>2]|0,d,503860,3);if(!(b[d+38>>0]|0)){aYb(a,c,d,i);u=g;return}e=c+(f[a+28>>2]|0)|0;a=f[d+40>>2]|0;c=f[j>>2]|0;if(c|0?(f[c>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(c,h)}f5b(e,a,f[k>>2]&255,f[i>>2]|0,d);u=g;return}function IWb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;h=u;u=u+32|0;i=h+8|0;j=h;k=j;f[k>>2]=e;f[k+4>>2]=g;g=a+4|0;k=f[g>>2]|0;if((f[d+48>>2]|0)!=(k|0))NXb(k,d,503850,502886);if((f[d+32>>2]|0)==3)NXb(f[g>>2]|0,d,503850,503645);k=d+24|0;e=f[k>>2]|0;if(e|0?(f[e>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=d;dEb(e,i)}e=d+28|0;if((f[149940+(f[e>>2]<<2)>>2]|0)!=4)PXb(f[g>>2]|0,d,503850,4);if(!(b[d+38>>0]|0)){$Xb(a,c,d,j);u=h;return}g=c+(f[a+28>>2]|0)|0;a=f[d+40>>2]|0;c=f[k>>2]|0;if(c|0?(f[c>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=d;dEb(c,i)}i=j;l5b(g,a,f[e>>2]&255,f[i>>2]|0,f[i+4>>2]|0,d);u=h;return}function JWb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+32|0;h=g+8|0;i=g;n[i>>2]=e;j=a+4|0;k=f[j>>2]|0;if((f[d+48>>2]|0)!=(k|0))NXb(k,d,503841,502886);if((f[d+32>>2]|0)==3)NXb(f[j>>2]|0,d,503841,503645);k=d+24|0;l=f[k>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(l,h)}l=d+28|0;if((f[149940+(f[l>>2]<<2)>>2]|0)!=6)PXb(f[j>>2]|0,d,503841,6);if(!(b[d+38>>0]|0)){_Xb(a,c,d,i);u=g;return}j=c+(f[a+28>>2]|0)|0;a=f[d+40>>2]|0;c=f[k>>2]|0;if(c|0?(f[c>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(c,h)}r5b(j,a,f[l>>2]&255,+n[i>>2],d);u=g;return}function KWb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+32|0;h=g+8|0;i=g;p[i>>3]=e;j=a+4|0;k=f[j>>2]|0;if((f[d+48>>2]|0)!=(k|0))NXb(k,d,503831,502886);if((f[d+32>>2]|0)==3)NXb(f[j>>2]|0,d,503831,503645);k=d+24|0;l=f[k>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(l,h)}l=d+28|0;if((f[149940+(f[l>>2]<<2)>>2]|0)!=5)PXb(f[j>>2]|0,d,503831,5);if(!(b[d+38>>0]|0)){ZXb(a,c,d,i);u=g;return}j=c+(f[a+28>>2]|0)|0;a=f[d+40>>2]|0;c=f[k>>2]|0;if(c|0?(f[c>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(c,h)}x5b(j,a,f[l>>2]&255,+p[i>>3],d);u=g;return}function LWb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+32|0;h=g;i=g+16|0;b[i>>0]=e&1;e=a+4|0;j=f[e>>2]|0;if((f[d+48>>2]|0)!=(j|0))NXb(j,d,503823,502886);if((f[d+32>>2]|0)==3)NXb(f[e>>2]|0,d,503823,503645);j=d+24|0;k=f[j>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(k,h)}k=d+28|0;if((f[149940+(f[k>>2]<<2)>>2]|0)!=7)PXb(f[e>>2]|0,d,503823,7);if(!(b[d+38>>0]|0)){YXb(a,c,d,i);u=g;return}e=c+(f[a+28>>2]|0)|0;a=f[d+40>>2]|0;c=f[j>>2]|0;if(c|0?(f[c>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(c,h)}D5b(e,a,f[k>>2]&255,(b[i>>0]|0)!=0,d);u=g;return}function MWb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))NXb(k,d,503813,502886);if((f[d+32>>2]|0)==3)NXb(f[j>>2]|0,d,503813,503645);k=d+24|0;l=f[k>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(l,h)}l=d+28|0;if((f[149940+(f[l>>2]<<2)>>2]|0)!=9)PXb(f[j>>2]|0,d,503813,9);j=d+38|0;if(b[j>>0]|0){m=c+(f[a+28>>2]|0)|0;n=f[d+40>>2]|0;o=f[k>>2]|0;if(o|0?(f[o>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(o,h)}Qmc(Q5b(m,n,f[l>>2]&255,d)|0,e)|0;u=g;return}l=a+12|0;n=f[l>>2]|0;m=d;h=f[(f[a+8>>2]|0)+(f[n+(((m-(f[(f[i>>2]|0)+20>>2]|0)|0)/88|0)<<2)>>2]|0)>>2]|0;o=d+52|0;k=f[o>>2]|0;a:do if(!k){p=n;q=33}else{r=a+32|0;s=d+40|0;do if((f[c+((((k-(f[(f[k+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[r>>2]|0))>>2]|0)==(f[s>>2]|0)){t=k;v=n}else{Yh[f[(f[a>>2]|0)+36>>2]&511](a,c,k);w=f[o>>2]|0;if(w|0){x=(w-(f[(f[w+8>>2]|0)+24>>2]|0)|0)/28|0;f[c+((x<<2)+(f[r>>2]|0))>>2]=f[s>>2];y=f[l>>2]|0;f[c+(f[y+(x+(f[(f[i>>2]|0)+52>>2]|0)<<2)>>2]|0)>>2]=h;t=w;v=y;break}y=f[a+20>>2]|0;if((y|0)==-1)z=b[j>>0]|0;else{w=f[a+16>>2]|0;x=b[j>>0]|0;do if(x<<24>>24){A=f[d+56>>2]|0;if(!A){B=(f[d+20>>2]|0)+80|0;break}else{B=A+40|0;break}}else B=(f[i>>2]|0)+20|0;while(0);A=f[w+(((m-(f[B>>2]|0)|0)/88|0)<<2)>>2]|0;C=c+y+(A>>>5<<2)|0;f[C>>2]=1<<(A&31)|f[C>>2];z=x}C=f[l>>2]|0;do if(z<<24>>24){A=f[d+56>>2]|0;if(!A){D=(f[d+20>>2]|0)+80|0;break}else{D=A+40|0;break}}else D=(f[i>>2]|0)+20|0;while(0);f[c+(f[C+(((m-(f[D>>2]|0)|0)/88|0)<<2)>>2]|0)>>2]=h;p=C;q=33;break a}while(0);x=(t-(f[(f[t+8>>2]|0)+24>>2]|0)|0)/28|0;f[c+((x<<2)+(f[r>>2]|0))>>2]=f[s>>2];E=c;F=v+(x+(f[(f[i>>2]|0)+52>>2]|0)<<2)|0}while(0);if((q|0)==33){q=f[a+20>>2]|0;if((q|0)==-1)G=b[j>>0]|0;else{v=f[a+16>>2]|0;t=b[j>>0]|0;do if(t<<24>>24){j=f[d+56>>2]|0;if(!j){H=(f[d+20>>2]|0)+80|0;break}else{H=j+40|0;break}}else H=(f[i>>2]|0)+20|0;while(0);j=f[v+(((m-(f[H>>2]|0)|0)/88|0)<<2)>>2]|0;H=c+q+(j>>>5<<2)|0;f[H>>2]=1<<(j&31)|f[H>>2];G=t}do if(G<<24>>24){t=f[d+56>>2]|0;if(!t){I=(f[d+20>>2]|0)+80|0;break}else{I=t+40|0;break}}else I=(f[i>>2]|0)+20|0;while(0);E=c;F=p+(((m-(f[I>>2]|0)|0)/88|0)<<2)|0}I=E+(f[F>>2]|0)|0;F=f[E+(f[a+24>>2]|0)>>2]|0;a=F&-2;if(!(F&1))J=a;else J=f[a+4>>2]|0;a=f[I>>2]|0;if((a|0)==(h|0)){PDa(I,J,e);u=g;return}else{Qmc(a,e)|0;u=g;return}}function NWb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=f[d+12>>2]|0;if((e|0)!=(eJb(c)|0))TXb(f[a+4>>2]|0,c,503805,d);WXb(a,b,c,f[d+8>>2]|0);return}function OWb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;g=u;u=u+48|0;h=g+24|0;i=g;j=g+40|0;k=a+4|0;l=f[k>>2]|0;if((f[d+48>>2]|0)!=(l|0))NXb(l,d,503737,502886);if((f[d+32>>2]|0)==3)NXb(f[k>>2]|0,d,503737,503645);l=f[d+24>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(l,h)}if((f[149940+(f[d+28>>2]<<2)>>2]|0)!=8)PXb(f[k>>2]|0,d,503737,8);if((f[(f[(f[k>>2]|0)+8>>2]|0)+44>>2]|0)==3){m=e;WXb(a,c,d,m);u=g;return}if(YIb(eJb(d)|0,e)|0){m=e;WXb(a,c,d,m);u=g;return}TDb(i,2,501629,1297);k=ODb(RDb(ODb(i,503750)|0,e)|0,502995)|0;QDb(j,PDb(k,f[d+4>>2]|0)|0);UDb(i);i=(cJb(d)|0)+8|0;m=f[i>>2]|0;WXb(a,c,d,m);u=g;return}function PWb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;g=u;u=u+16|0;h=g;i=d+48|0;j=a+4|0;k=f[j>>2]|0;if((f[i>>2]|0)!=(k|0))NXb(k,d,503722,502886);if((f[d+32>>2]|0)==3)NXb(f[j>>2]|0,d,503722,503645);k=f[d+24>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[h>>2]=110868;f[h+4>>2]=1634;b[h+8>>0]=0;f[h+12>>2]=d;dEb(k,h)}if((f[149940+(f[d+28>>2]<<2)>>2]|0)!=10)PXb(f[j>>2]|0,d,503722,10);if(!e)l=f[a+48>>2]|0;else l=e;e=d+38|0;if(b[e>>0]|0){m=SVb(c+(f[a+28>>2]|0)|0,d,l)|0;u=g;return m|0}l=d+52|0;j=f[l>>2]|0;h=a+12|0;k=f[h>>2]|0;n=f[i>>2]|0;if(!j){o=c+(f[k+(((d-(f[n+20>>2]|0)|0)/88|0)<<2)>>2]|0)|0;p=f[a+20>>2]|0;if((p|0)==-1)q=o;else{r=f[(f[a+16>>2]|0)+(((d-(f[n+20>>2]|0)|0)/88|0)<<2)>>2]|0;s=c+p+(r>>>5<<2)|0;f[s>>2]=1<<(r&31)|f[s>>2];q=o}}else{o=a+32|0;s=d+40|0;if((f[c+((((j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0)<<2)+(f[o>>2]|0))>>2]|0)==(f[s>>2]|0))q=c+(f[k+(((j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0)+(f[n+52>>2]|0)<<2)>>2]|0)|0;else{Yh[f[(f[a>>2]|0)+36>>2]&511](a,c,j);j=f[l>>2]|0;if(!j){l=f[a+20>>2]|0;if((l|0)==-1)t=b[e>>0]|0;else{n=f[a+16>>2]|0;k=b[e>>0]|0;do if(k<<24>>24){r=f[d+56>>2]|0;p=d;if(!r){v=p-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{v=p-(f[r+40>>2]|0)|0;break}}else v=d-(f[(f[i>>2]|0)+20>>2]|0)|0;while(0);r=f[n+(((v|0)/88|0)<<2)>>2]|0;v=c+l+(r>>>5<<2)|0;f[v>>2]=1<<(r&31)|f[v>>2];t=k}k=f[h>>2]|0;do if(t<<24>>24){v=f[d+56>>2]|0;r=d;if(!v){w=r-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{w=r-(f[v+40>>2]|0)|0;break}}else w=d-(f[(f[i>>2]|0)+20>>2]|0)|0;while(0);x=k+(((w|0)/88|0)<<2)|0;y=t;z=k}else{k=(j-(f[(f[j+8>>2]|0)+24>>2]|0)|0)/28|0;f[c+((k<<2)+(f[o>>2]|0))>>2]=f[s>>2];s=f[h>>2]|0;x=s+(k+(f[(f[i>>2]|0)+52>>2]|0)<<2)|0;y=b[e>>0]|0;z=s}s=c+(f[x>>2]|0)|0;x=f[a+8>>2]|0;do if(y<<24>>24){k=f[d+56>>2]|0;o=d;if(!k){A=o-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{A=o-(f[k+40>>2]|0)|0;break}}else A=d-(f[(f[i>>2]|0)+20>>2]|0)|0;while(0);y=f[x+(f[z+(((A|0)/88|0)<<2)>>2]|0)>>2]|0;A=f[(f[y>>2]|0)+16>>2]|0;z=ci[f[(f[c>>2]|0)+20>>2]&1023](c)|0;x=Sh[A&511](y,z)|0;f[s>>2]=x;q=s}}s=f[q>>2]|0;if(s|0){m=s;u=g;return m|0}s=f[a+8>>2]|0;a=f[h>>2]|0;do if(b[e>>0]|0){h=f[d+56>>2]|0;x=d;if(!h){B=x-(f[(f[d+20>>2]|0)+80>>2]|0)|0;break}else{B=x-(f[h+40>>2]|0)|0;break}}else B=d-(f[(f[i>>2]|0)+20>>2]|0)|0;while(0);i=f[s+(f[a+(((B|0)/88|0)<<2)>>2]|0)>>2]|0;B=f[(f[i>>2]|0)+16>>2]|0;a=ci[f[(f[c>>2]|0)+20>>2]&1023](c)|0;c=Sh[B&511](i,a)|0;f[q>>2]=c;m=c;u=g;return m|0}
function cCb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0,Zd=0,_d=0,$d=0,ae=0,be=0,ce=0,de=0,ee=0,fe=0,ge=0,he=0,ie=0,je=0,ke=0,le=0,me=0,ne=0,oe=0,pe=0,qe=0,re=0,se=0,te=0,ue=0,ve=0,we=0,xe=0,ye=0,ze=0,Ae=0,Be=0,Ce=0,De=0,Ee=0,Fe=0,Ge=0,He=0,Ie=0,Je=0,Ke=0,Le=0,Me=0,Ne=0,Oe=0,Pe=0,Qe=0,Re=0,Se=0,Te=0,Ue=0,Ve=0,We=0,Xe=0,Ye=0,Ze=0,_e=0,$e=0,af=0,bf=0,cf=0,df=0,ef=0,ff=0,gf=0,hf=0,jf=0,kf=0,lf=0,mf=0,nf=0,of=0,pf=0,qf=0,rf=0,sf=0,tf=0,uf=0,vf=0,wf=0;h=u;u=u+64|0;i=h+48|0;j=h+24|0;k=h;l=e&1;f[i>>2]=g;g=i+4|0;b[g>>0]=l;if((d|0)<=0){m=f[i>>2]|0;u=h;return m|0}e=k+18|0;o=k+19|0;q=k+12|0;r=k+8|0;s=0;do{t=c+(s*20|0)|0;v=a+(f[t>>2]|0)|0;w=f[c+(s*20|0)+12>>2]|0;a:do switch(w|0){case 0:{x=f[c+(s*20|0)+8>>2]|0;if(1<<(x&31)&f[a+(x>>>5<<2)>>2]|0){x=f[c+(s*20|0)+4>>2]|0;y=f[i>>2]|0;if(x>>>0>127){z=x;A=y;while(1){b[A>>0]=z|128;B=z>>>7;C=A+1|0;if(z>>>0>16383){z=B;A=C}else{D=C;E=B;break}}}else{D=y;E=x}b[D>>0]=E;A=v;z=f[A>>2]|0;B=f[A+4>>2]|0;A=D+1|0;C=A;b[C>>0]=z;b[C+1>>0]=z>>8;b[C+2>>0]=z>>16;b[C+3>>0]=z>>24;z=A+4|0;b[z>>0]=B;b[z+1>>0]=B>>8;b[z+2>>0]=B>>16;b[z+3>>0]=B>>24;f[i>>2]=D+9}break}case 20:{if(!(+p[v>>3]==0.0)){B=f[c+(s*20|0)+4>>2]|0;z=f[i>>2]|0;if(B>>>0>127){A=B;C=z;while(1){b[C>>0]=A|128;F=A>>>7;G=C+1|0;if(A>>>0>16383){A=F;C=G}else{H=G;I=F;break}}}else{H=z;I=B}b[H>>0]=I;C=v;A=f[C>>2]|0;x=f[C+4>>2]|0;C=H+1|0;y=C;b[y>>0]=A;b[y+1>>0]=A>>8;b[y+2>>0]=A>>16;b[y+3>>0]=A>>24;A=C+4|0;b[A>>0]=x;b[A+1>>0]=x>>8;b[A+2>>0]=x>>16;b[A+3>>0]=x>>24;f[i>>2]=H+9}break}case 40:{if((f[v>>2]|0)>0){x=c+(s*20|0)+4|0;A=v+8|0;C=0;y=f[i>>2]|0;do{F=f[x>>2]|0;if(F>>>0>127){G=F;K=y;while(1){b[K>>0]=G|128;L=G>>>7;M=K+1|0;if(G>>>0>16383){G=L;K=M}else{N=M;O=L;break}}}else{N=y;O=F}b[N>>0]=O;K=(f[A>>2]|0)+8+(C<<3)|0;G=f[K>>2]|0;L=f[K+4>>2]|0;K=N+1|0;M=K;b[M>>0]=G;b[M+1>>0]=G>>8;b[M+2>>0]=G>>16;b[M+3>>0]=G>>24;G=K+4|0;b[G>>0]=L;b[G+1>>0]=L>>8;b[G+2>>0]=L>>16;b[G+3>>0]=L>>24;y=N+9|0;f[i>>2]=y;C=C+1|0}while((C|0)<(f[v>>2]|0))}break}case 60:{if(f[v>>2]|0){C=f[c+(s*20|0)+4>>2]|0;y=f[i>>2]|0;if(C>>>0>127){A=C;x=y;while(1){b[x>>0]=A|128;B=A>>>7;z=x+1|0;if(A>>>0>16383){A=B;x=z}else{P=z;Q=B;break}}}else{P=y;Q=C}b[P>>0]=Q;x=P+1|0;f[i>>2]=x;A=f[v+12>>2]|0;if(A>>>0>127){B=A;z=x;while(1){b[z>>0]=B|128;L=B>>>7;G=z+1|0;if(B>>>0>16383){B=L;z=G}else{R=G;S=L;break}}}else{R=x;S=A}b[R>>0]=S;z=R+1|0;f[i>>2]=z;if((f[v>>2]|0)>0){B=v+8|0;C=0;y=z;do{z=(f[B>>2]|0)+8+(C<<3)|0;L=f[z>>2]|0;G=f[z+4>>2]|0;z=y;K=z;b[K>>0]=L;b[K+1>>0]=L>>8;b[K+2>>0]=L>>16;b[K+3>>0]=L>>24;L=z+4|0;b[L>>0]=G;b[L+1>>0]=G>>8;b[L+2>>0]=G>>16;b[L+3>>0]=G>>24;y=y+8|0;f[i>>2]=y;C=C+1|0}while((C|0)<(f[v>>2]|0))}}break}case 80:{C=f[c+(s*20|0)+4>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(C>>>3|0)){y=f[i>>2]|0;if(C>>>0>127){B=C;A=y;while(1){b[A>>0]=B|128;x=B>>>7;G=A+1|0;if(B>>>0>16383){B=x;A=G}else{T=G;U=x;break}}}else{T=y;U=C}b[T>>0]=U;A=v;B=f[A>>2]|0;x=f[A+4>>2]|0;A=T+1|0;G=A;b[G>>0]=B;b[G+1>>0]=B>>8;b[G+2>>0]=B>>16;b[G+3>>0]=B>>24;B=A+4|0;b[B>>0]=x;b[B+1>>0]=x>>8;b[B+2>>0]=x>>16;b[B+3>>0]=x>>24;f[i>>2]=T+9}break}case 1:{x=f[c+(s*20|0)+8>>2]|0;if(1<<(x&31)&f[a+(x>>>5<<2)>>2]|0){x=f[c+(s*20|0)+4>>2]|0;B=f[i>>2]|0;if(x>>>0>127){A=x;G=B;while(1){b[G>>0]=A|128;L=A>>>7;z=G+1|0;if(A>>>0>16383){A=L;G=z}else{V=z;W=L;break}}}else{V=B;W=x}b[V>>0]=W;G=V+1|0;A=f[v>>2]|0;b[G>>0]=A;b[G+1>>0]=A>>8;b[G+2>>0]=A>>16;b[G+3>>0]=A>>24;f[i>>2]=V+5}break}case 21:{if(!(+n[v>>2]==0.0)){A=f[c+(s*20|0)+4>>2]|0;G=f[i>>2]|0;if(A>>>0>127){C=A;y=G;while(1){b[y>>0]=C|128;L=C>>>7;z=y+1|0;if(C>>>0>16383){C=L;y=z}else{X=z;Y=L;break}}}else{X=G;Y=A}b[X>>0]=Y;y=X+1|0;C=f[v>>2]|0;b[y>>0]=C;b[y+1>>0]=C>>8;b[y+2>>0]=C>>16;b[y+3>>0]=C>>24;f[i>>2]=X+5}break}case 41:{if((f[v>>2]|0)>0){C=c+(s*20|0)+4|0;y=v+8|0;x=0;B=f[i>>2]|0;do{L=f[C>>2]|0;if(L>>>0>127){z=L;K=B;while(1){b[K>>0]=z|128;M=z>>>7;Z=K+1|0;if(z>>>0>16383){z=M;K=Z}else{_=Z;$=M;break}}}else{_=B;$=L}b[_>>0]=$;K=_+1|0;z=f[(f[y>>2]|0)+4+(x<<2)>>2]|0;b[K>>0]=z;b[K+1>>0]=z>>8;b[K+2>>0]=z>>16;b[K+3>>0]=z>>24;B=_+5|0;f[i>>2]=B;x=x+1|0}while((x|0)<(f[v>>2]|0))}break}case 61:{if(f[v>>2]|0){x=f[c+(s*20|0)+4>>2]|0;B=f[i>>2]|0;if(x>>>0>127){y=x;C=B;while(1){b[C>>0]=y|128;A=y>>>7;G=C+1|0;if(y>>>0>16383){y=A;C=G}else{aa=G;ba=A;break}}}else{aa=B;ba=x}b[aa>>0]=ba;C=aa+1|0;f[i>>2]=C;y=f[v+12>>2]|0;if(y>>>0>127){A=y;G=C;while(1){b[G>>0]=A|128;z=A>>>7;K=G+1|0;if(A>>>0>16383){A=z;G=K}else{ca=K;da=z;break}}}else{ca=C;da=y}b[ca>>0]=da;G=ca+1|0;f[i>>2]=G;if((f[v>>2]|0)>0){A=v+8|0;x=0;B=G;do{G=f[(f[A>>2]|0)+4+(x<<2)>>2]|0;b[B>>0]=G;b[B+1>>0]=G>>8;b[B+2>>0]=G>>16;b[B+3>>0]=G>>24;B=B+4|0;f[i>>2]=B;x=x+1|0}while((x|0)<(f[v>>2]|0))}}break}case 81:{x=f[c+(s*20|0)+4>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(x>>>3|0)){B=f[i>>2]|0;if(x>>>0>127){A=x;y=B;while(1){b[y>>0]=A|128;C=A>>>7;G=y+1|0;if(A>>>0>16383){A=C;y=G}else{ea=G;fa=C;break}}}else{ea=B;fa=x}b[ea>>0]=fa;y=ea+1|0;A=f[v>>2]|0;b[y>>0]=A;b[y+1>>0]=A>>8;b[y+2>>0]=A>>16;b[y+3>>0]=A>>24;f[i>>2]=ea+5}break}case 2:{A=f[c+(s*20|0)+8>>2]|0;if(1<<(A&31)&f[a+(A>>>5<<2)>>2]|0){A=f[c+(s*20|0)+4>>2]|0;y=f[i>>2]|0;if(A>>>0>127){C=A;G=y;while(1){b[G>>0]=C|128;z=C>>>7;K=G+1|0;if(C>>>0>16383){C=z;G=K}else{ga=K;ha=z;break}}}else{ga=y;ha=A}b[ga>>0]=ha;G=ga+1|0;f[i>>2]=G;C=v;x=f[C>>2]|0;B=f[C+4>>2]|0;C=x&255;if(B>>>0>0|(B|0)==0&x>>>0>127){z=G;K=C;F=x;x=B;while(1){b[z>>0]=K|-128;B=F;F=Irc(F|0,x|0,7)|0;M=z+1|0;Z=F&255;if(!(x>>>0>0|(x|0)==0&B>>>0>16383)){ia=M;ja=Z;break}else{z=M;K=Z;x=J}}}else{ia=G;ja=C}b[ia>>0]=ja;f[i>>2]=ia+1}break}case 22:{x=v;if(!((f[x>>2]|0)==0&(f[x+4>>2]|0)==0)){x=f[c+(s*20|0)+4>>2]|0;K=f[i>>2]|0;if(x>>>0>127){z=x;F=K;while(1){b[F>>0]=z|128;A=z>>>7;y=F+1|0;if(z>>>0>16383){z=A;F=y}else{ka=y;la=A;break}}}else{ka=K;la=x}b[ka>>0]=la;F=ka+1|0;f[i>>2]=F;z=v;C=f[z>>2]|0;G=f[z+4>>2]|0;z=C&255;if(G>>>0>0|(G|0)==0&C>>>0>127){A=F;y=z;Z=C;C=G;while(1){b[A>>0]=y|-128;G=Z;Z=Irc(Z|0,C|0,7)|0;M=A+1|0;B=Z&255;if(!(C>>>0>0|(C|0)==0&G>>>0>16383)){ma=M;na=B;break}else{A=M;y=B;C=J}}}else{ma=F;na=z}b[ma>>0]=na;f[i>>2]=ma+1}break}case 42:{if((f[v>>2]|0)>0){C=c+(s*20|0)+4|0;y=v+8|0;A=0;Z=f[i>>2]|0;do{x=f[C>>2]|0;if(x>>>0>127){K=x;B=Z;while(1){b[B>>0]=K|128;M=K>>>7;G=B+1|0;if(K>>>0>16383){K=M;B=G}else{oa=G;pa=M;break}}}else{oa=Z;pa=x}b[oa>>0]=pa;B=oa+1|0;f[i>>2]=B;K=(f[y>>2]|0)+8+(A<<3)|0;L=f[K>>2]|0;M=f[K+4>>2]|0;K=L&255;if(M>>>0>0|(M|0)==0&L>>>0>127){G=B;qa=K;ra=L;L=M;while(1){b[G>>0]=qa|-128;M=ra;ra=Irc(ra|0,L|0,7)|0;sa=G+1|0;ta=ra&255;if(!(L>>>0>0|(L|0)==0&M>>>0>16383)){ua=sa;va=ta;break}else{G=sa;qa=ta;L=J}}}else{ua=B;va=K}b[ua>>0]=va;Z=ua+1|0;f[i>>2]=Z;A=A+1|0}while((A|0)<(f[v>>2]|0))}break}case 62:{if(f[v>>2]|0){A=f[c+(s*20|0)+4>>2]|0;Z=f[i>>2]|0;if(A>>>0>127){y=A;C=Z;while(1){b[C>>0]=y|128;z=y>>>7;F=C+1|0;if(y>>>0>16383){y=z;C=F}else{wa=F;xa=z;break}}}else{wa=Z;xa=A}b[wa>>0]=xa;C=wa+1|0;f[i>>2]=C;y=f[v+12>>2]|0;if(y>>>0>127){z=y;F=C;while(1){b[F>>0]=z|128;L=z>>>7;qa=F+1|0;if(z>>>0>16383){z=L;F=qa}else{ya=qa;za=L;break}}}else{ya=C;za=y}b[ya>>0]=za;F=ya+1|0;f[i>>2]=F;if((f[v>>2]|0)>0){z=v+8|0;A=0;Z=F;do{F=(f[z>>2]|0)+8+(A<<3)|0;L=f[F>>2]|0;qa=f[F+4>>2]|0;F=L&255;if(qa>>>0>0|(qa|0)==0&L>>>0>127){G=Z;ra=F;x=L;L=qa;while(1){b[G>>0]=ra|-128;qa=x;x=Irc(x|0,L|0,7)|0;ta=G+1|0;sa=x&255;if(!(L>>>0>0|(L|0)==0&qa>>>0>16383)){Aa=ta;Ba=sa;break}else{G=ta;ra=sa;L=J}}}else{Aa=Z;Ba=F}b[Aa>>0]=Ba;Z=Aa+1|0;f[i>>2]=Z;A=A+1|0}while((A|0)<(f[v>>2]|0))}}break}case 82:{A=f[c+(s*20|0)+4>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(A>>>3|0)){Z=f[i>>2]|0;if(A>>>0>127){z=A;y=Z;while(1){b[y>>0]=z|128;C=z>>>7;L=y+1|0;if(z>>>0>16383){z=C;y=L}else{Ca=L;Da=C;break}}}else{Ca=Z;Da=A}b[Ca>>0]=Da;y=Ca+1|0;f[i>>2]=y;z=v;C=f[z>>2]|0;L=f[z+4>>2]|0;z=C&255;if(L>>>0>0|(L|0)==0&C>>>0>127){ra=y;G=z;x=C;C=L;while(1){b[ra>>0]=G|-128;L=x;x=Irc(x|0,C|0,7)|0;K=ra+1|0;B=x&255;if(!(C>>>0>0|(C|0)==0&L>>>0>16383)){Ea=K;Fa=B;break}else{ra=K;G=B;C=J}}}else{Ea=y;Fa=z}b[Ea>>0]=Fa;f[i>>2]=Ea+1}break}case 3:{C=f[c+(s*20|0)+8>>2]|0;if(1<<(C&31)&f[a+(C>>>5<<2)>>2]|0){C=f[c+(s*20|0)+4>>2]|0;G=f[i>>2]|0;if(C>>>0>127){ra=C;x=G;while(1){b[x>>0]=ra|128;A=ra>>>7;Z=x+1|0;if(ra>>>0>16383){ra=A;x=Z}else{Ga=Z;Ha=A;break}}}else{Ga=G;Ha=C}b[Ga>>0]=Ha;x=Ga+1|0;f[i>>2]=x;ra=v;z=f[ra>>2]|0;y=f[ra+4>>2]|0;ra=z&255;if(y>>>0>0|(y|0)==0&z>>>0>127){A=x;Z=ra;B=z;z=y;while(1){b[A>>0]=Z|-128;y=B;B=Irc(B|0,z|0,7)|0;K=A+1|0;L=B&255;if(!(z>>>0>0|(z|0)==0&y>>>0>16383)){Ia=K;Ja=L;break}else{A=K;Z=L;z=J}}}else{Ia=x;Ja=ra}b[Ia>>0]=Ja;f[i>>2]=Ia+1}break}case 23:{z=v;if(!((f[z>>2]|0)==0&(f[z+4>>2]|0)==0)){z=f[c+(s*20|0)+4>>2]|0;Z=f[i>>2]|0;if(z>>>0>127){A=z;B=Z;while(1){b[B>>0]=A|128;C=A>>>7;G=B+1|0;if(A>>>0>16383){A=C;B=G}else{Ka=G;La=C;break}}}else{Ka=Z;La=z}b[Ka>>0]=La;B=Ka+1|0;f[i>>2]=B;A=v;ra=f[A>>2]|0;x=f[A+4>>2]|0;A=ra&255;if(x>>>0>0|(x|0)==0&ra>>>0>127){C=B;G=A;L=ra;ra=x;while(1){b[C>>0]=G|-128;x=L;L=Irc(L|0,ra|0,7)|0;K=C+1|0;y=L&255;if(!(ra>>>0>0|(ra|0)==0&x>>>0>16383)){Ma=K;Na=y;break}else{C=K;G=y;ra=J}}}else{Ma=B;Na=A}b[Ma>>0]=Na;f[i>>2]=Ma+1}break}case 43:{if((f[v>>2]|0)>0){ra=c+(s*20|0)+4|0;G=v+8|0;C=0;L=f[i>>2]|0;do{z=f[ra>>2]|0;if(z>>>0>127){Z=z;y=L;while(1){b[y>>0]=Z|128;K=Z>>>7;x=y+1|0;if(Z>>>0>16383){Z=K;y=x}else{Oa=x;Pa=K;break}}}else{Oa=L;Pa=z}b[Oa>>0]=Pa;y=Oa+1|0;f[i>>2]=y;Z=(f[G>>2]|0)+8+(C<<3)|0;F=f[Z>>2]|0;K=f[Z+4>>2]|0;Z=F&255;if(K>>>0>0|(K|0)==0&F>>>0>127){x=y;sa=Z;ta=F;F=K;while(1){b[x>>0]=sa|-128;K=ta;ta=Irc(ta|0,F|0,7)|0;qa=x+1|0;M=ta&255;if(!(F>>>0>0|(F|0)==0&K>>>0>16383)){Qa=qa;Ra=M;break}else{x=qa;sa=M;F=J}}}else{Qa=y;Ra=Z}b[Qa>>0]=Ra;L=Qa+1|0;f[i>>2]=L;C=C+1|0}while((C|0)<(f[v>>2]|0))}break}case 63:{if(f[v>>2]|0){C=f[c+(s*20|0)+4>>2]|0;L=f[i>>2]|0;if(C>>>0>127){G=C;ra=L;while(1){b[ra>>0]=G|128;A=G>>>7;B=ra+1|0;if(G>>>0>16383){G=A;ra=B}else{Sa=B;Ta=A;break}}}else{Sa=L;Ta=C}b[Sa>>0]=Ta;ra=Sa+1|0;f[i>>2]=ra;G=f[v+12>>2]|0;if(G>>>0>127){A=G;B=ra;while(1){b[B>>0]=A|128;F=A>>>7;sa=B+1|0;if(A>>>0>16383){A=F;B=sa}else{Ua=sa;Va=F;break}}}else{Ua=ra;Va=G}b[Ua>>0]=Va;B=Ua+1|0;f[i>>2]=B;if((f[v>>2]|0)>0){A=v+8|0;C=0;L=B;do{B=(f[A>>2]|0)+8+(C<<3)|0;F=f[B>>2]|0;sa=f[B+4>>2]|0;B=F&255;if(sa>>>0>0|(sa|0)==0&F>>>0>127){x=L;ta=B;z=F;F=sa;while(1){b[x>>0]=ta|-128;sa=z;z=Irc(z|0,F|0,7)|0;M=x+1|0;qa=z&255;if(!(F>>>0>0|(F|0)==0&sa>>>0>16383)){Wa=M;Xa=qa;break}else{x=M;ta=qa;F=J}}}else{Wa=L;Xa=B}b[Wa>>0]=Xa;L=Wa+1|0;f[i>>2]=L;C=C+1|0}while((C|0)<(f[v>>2]|0))}}break}case 83:{C=f[c+(s*20|0)+4>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(C>>>3|0)){L=f[i>>2]|0;if(C>>>0>127){A=C;G=L;while(1){b[G>>0]=A|128;ra=A>>>7;F=G+1|0;if(A>>>0>16383){A=ra;G=F}else{Ya=F;Za=ra;break}}}else{Ya=L;Za=C}b[Ya>>0]=Za;G=Ya+1|0;f[i>>2]=G;A=v;ra=f[A>>2]|0;F=f[A+4>>2]|0;A=ra&255;if(F>>>0>0|(F|0)==0&ra>>>0>127){ta=G;x=A;z=ra;ra=F;while(1){b[ta>>0]=x|-128;F=z;z=Irc(z|0,ra|0,7)|0;Z=ta+1|0;y=z&255;if(!(ra>>>0>0|(ra|0)==0&F>>>0>16383)){_a=Z;$a=y;break}else{ta=Z;x=y;ra=J}}}else{_a=G;$a=A}b[_a>>0]=$a;f[i>>2]=_a+1}break}case 4:{ra=f[c+(s*20|0)+8>>2]|0;if(1<<(ra&31)&f[a+(ra>>>5<<2)>>2]|0){ra=f[c+(s*20|0)+4>>2]|0;x=f[i>>2]|0;if(ra>>>0>127){ta=ra;z=x;while(1){b[z>>0]=ta|128;C=ta>>>7;L=z+1|0;if(ta>>>0>16383){ta=C;z=L}else{ab=L;bb=C;break}}}else{ab=x;bb=ra}b[ab>>0]=bb;z=ab+1|0;f[i>>2]=z;ta=f[v>>2]|0;A=ta&255;if(ta>>>0>127){G=z;C=A;L=ta;y=((ta|0)<0)<<31>>31;while(1){b[G>>0]=C|-128;ta=L;L=Irc(L|0,y|0,7)|0;Z=G+1|0;F=L&255;if(!(y>>>0>0|(y|0)==0&ta>>>0>16383)){cb=Z;db=F;break}else{G=Z;C=F;y=J}}}else{cb=z;db=A}b[cb>>0]=db;f[i>>2]=cb+1}break}case 24:{if(f[v>>2]|0){y=f[c+(s*20|0)+4>>2]|0;C=f[i>>2]|0;if(y>>>0>127){G=y;L=C;while(1){b[L>>0]=G|128;ra=G>>>7;x=L+1|0;if(G>>>0>16383){G=ra;L=x}else{eb=x;fb=ra;break}}}else{eb=C;fb=y}b[eb>>0]=fb;L=eb+1|0;f[i>>2]=L;G=f[v>>2]|0;A=G&255;if(G>>>0>127){z=L;ra=A;x=G;F=((G|0)<0)<<31>>31;while(1){b[z>>0]=ra|-128;G=x;x=Irc(x|0,F|0,7)|0;Z=z+1|0;ta=x&255;if(!(F>>>0>0|(F|0)==0&G>>>0>16383)){gb=Z;hb=ta;break}else{z=Z;ra=ta;F=J}}}else{gb=L;hb=A}b[gb>>0]=hb;f[i>>2]=gb+1}break}case 44:{if((f[v>>2]|0)>0){F=c+(s*20|0)+4|0;ra=v+8|0;z=0;x=f[i>>2]|0;do{y=f[F>>2]|0;if(y>>>0>127){C=y;ta=x;while(1){b[ta>>0]=C|128;Z=C>>>7;G=ta+1|0;if(C>>>0>16383){C=Z;ta=G}else{ib=G;jb=Z;break}}}else{ib=x;jb=y}b[ib>>0]=jb;ta=ib+1|0;f[i>>2]=ta;C=f[(f[ra>>2]|0)+4+(z<<2)>>2]|0;B=C&255;if(C>>>0>127){Z=ta;G=B;qa=C;M=((C|0)<0)<<31>>31;while(1){b[Z>>0]=G|-128;C=qa;qa=Irc(qa|0,M|0,7)|0;sa=Z+1|0;K=qa&255;if(!(M>>>0>0|(M|0)==0&C>>>0>16383)){kb=sa;lb=K;break}else{Z=sa;G=K;M=J}}}else{kb=ta;lb=B}b[kb>>0]=lb;x=kb+1|0;f[i>>2]=x;z=z+1|0}while((z|0)<(f[v>>2]|0))}break}case 64:{if(f[v>>2]|0){z=f[c+(s*20|0)+4>>2]|0;x=f[i>>2]|0;if(z>>>0>127){ra=z;F=x;while(1){b[F>>0]=ra|128;A=ra>>>7;L=F+1|0;if(ra>>>0>16383){ra=A;F=L}else{mb=L;nb=A;break}}}else{mb=x;nb=z}b[mb>>0]=nb;F=mb+1|0;f[i>>2]=F;ra=f[v+12>>2]|0;if(ra>>>0>127){A=ra;L=F;while(1){b[L>>0]=A|128;M=A>>>7;G=L+1|0;if(A>>>0>16383){A=M;L=G}else{ob=G;pb=M;break}}}else{ob=F;pb=ra}b[ob>>0]=pb;L=ob+1|0;f[i>>2]=L;if((f[v>>2]|0)>0){A=v+8|0;z=0;x=L;do{L=f[(f[A>>2]|0)+4+(z<<2)>>2]|0;M=L&255;if(L>>>0>127){G=x;Z=M;qa=L;y=((L|0)<0)<<31>>31;while(1){b[G>>0]=Z|-128;L=qa;qa=Irc(qa|0,y|0,7)|0;K=G+1|0;sa=qa&255;if(!(y>>>0>0|(y|0)==0&L>>>0>16383)){qb=K;rb=sa;break}else{G=K;Z=sa;y=J}}}else{qb=x;rb=M}b[qb>>0]=rb;x=qb+1|0;f[i>>2]=x;z=z+1|0}while((z|0)<(f[v>>2]|0))}}break}case 84:{z=f[c+(s*20|0)+4>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(z>>>3|0)){x=f[i>>2]|0;if(z>>>0>127){A=z;ra=x;while(1){b[ra>>0]=A|128;F=A>>>7;y=ra+1|0;if(A>>>0>16383){A=F;ra=y}else{sb=y;tb=F;break}}}else{sb=x;tb=z}b[sb>>0]=tb;ra=sb+1|0;f[i>>2]=ra;A=f[v>>2]|0;F=A&255;if(A>>>0>127){y=ra;Z=F;G=A;qa=((A|0)<0)<<31>>31;while(1){b[y>>0]=Z|-128;A=G;G=Irc(G|0,qa|0,7)|0;B=y+1|0;ta=G&255;if(!(qa>>>0>0|(qa|0)==0&A>>>0>16383)){ub=B;vb=ta;break}else{y=B;Z=ta;qa=J}}}else{ub=ra;vb=F}b[ub>>0]=vb;f[i>>2]=ub+1}break}case 5:{qa=f[c+(s*20|0)+8>>2]|0;if(1<<(qa&31)&f[a+(qa>>>5<<2)>>2]|0){qa=f[c+(s*20|0)+4>>2]|0;Z=f[i>>2]|0;if(qa>>>0>127){y=qa;G=Z;while(1){b[G>>0]=y|128;z=y>>>7;x=G+1|0;if(y>>>0>16383){y=z;G=x}else{wb=x;xb=z;break}}}else{wb=Z;xb=qa}b[wb>>0]=xb;G=v;y=f[G>>2]|0;F=f[G+4>>2]|0;G=wb+1|0;ra=G;b[ra>>0]=y;b[ra+1>>0]=y>>8;b[ra+2>>0]=y>>16;b[ra+3>>0]=y>>24;y=G+4|0;b[y>>0]=F;b[y+1>>0]=F>>8;b[y+2>>0]=F>>16;b[y+3>>0]=F>>24;f[i>>2]=wb+9}break}case 25:{F=v;if(!((f[F>>2]|0)==0&(f[F+4>>2]|0)==0)){F=f[c+(s*20|0)+4>>2]|0;y=f[i>>2]|0;if(F>>>0>127){G=F;ra=y;while(1){b[ra>>0]=G|128;z=G>>>7;x=ra+1|0;if(G>>>0>16383){G=z;ra=x}else{yb=x;zb=z;break}}}else{yb=y;zb=F}b[yb>>0]=zb;ra=v;G=f[ra>>2]|0;qa=f[ra+4>>2]|0;ra=yb+1|0;Z=ra;b[Z>>0]=G;b[Z+1>>0]=G>>8;b[Z+2>>0]=G>>16;b[Z+3>>0]=G>>24;G=ra+4|0;b[G>>0]=qa;b[G+1>>0]=qa>>8;b[G+2>>0]=qa>>16;b[G+3>>0]=qa>>24;f[i>>2]=yb+9}break}case 45:{if((f[v>>2]|0)>0){qa=c+(s*20|0)+4|0;G=v+8|0;ra=0;Z=f[i>>2]|0;do{z=f[qa>>2]|0;if(z>>>0>127){x=z;ta=Z;while(1){b[ta>>0]=x|128;B=x>>>7;A=ta+1|0;if(x>>>0>16383){x=B;ta=A}else{Ab=A;Bb=B;break}}}else{Ab=Z;Bb=z}b[Ab>>0]=Bb;ta=(f[G>>2]|0)+8+(ra<<3)|0;x=f[ta>>2]|0;M=f[ta+4>>2]|0;ta=Ab+1|0;B=ta;b[B>>0]=x;b[B+1>>0]=x>>8;b[B+2>>0]=x>>16;b[B+3>>0]=x>>24;x=ta+4|0;b[x>>0]=M;b[x+1>>0]=M>>8;b[x+2>>0]=M>>16;b[x+3>>0]=M>>24;Z=Ab+9|0;f[i>>2]=Z;ra=ra+1|0}while((ra|0)<(f[v>>2]|0))}break}case 65:{if(f[v>>2]|0){ra=f[c+(s*20|0)+4>>2]|0;Z=f[i>>2]|0;if(ra>>>0>127){G=ra;qa=Z;while(1){b[qa>>0]=G|128;F=G>>>7;y=qa+1|0;if(G>>>0>16383){G=F;qa=y}else{Cb=y;Db=F;break}}}else{Cb=Z;Db=ra}b[Cb>>0]=Db;qa=Cb+1|0;f[i>>2]=qa;G=f[v+12>>2]|0;if(G>>>0>127){F=G;y=qa;while(1){b[y>>0]=F|128;M=F>>>7;x=y+1|0;if(F>>>0>16383){F=M;y=x}else{Eb=x;Fb=M;break}}}else{Eb=qa;Fb=G}b[Eb>>0]=Fb;y=Eb+1|0;f[i>>2]=y;if((f[v>>2]|0)>0){F=v+8|0;ra=0;Z=y;do{y=(f[F>>2]|0)+8+(ra<<3)|0;M=f[y>>2]|0;x=f[y+4>>2]|0;y=Z;ta=y;b[ta>>0]=M;b[ta+1>>0]=M>>8;b[ta+2>>0]=M>>16;b[ta+3>>0]=M>>24;M=y+4|0;b[M>>0]=x;b[M+1>>0]=x>>8;b[M+2>>0]=x>>16;b[M+3>>0]=x>>24;Z=Z+8|0;f[i>>2]=Z;ra=ra+1|0}while((ra|0)<(f[v>>2]|0))}}break}case 85:{ra=f[c+(s*20|0)+4>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(ra>>>3|0)){Z=f[i>>2]|0;if(ra>>>0>127){F=ra;G=Z;while(1){b[G>>0]=F|128;qa=F>>>7;x=G+1|0;if(F>>>0>16383){F=qa;G=x}else{Gb=x;Hb=qa;break}}}else{Gb=Z;Hb=ra}b[Gb>>0]=Hb;G=v;F=f[G>>2]|0;qa=f[G+4>>2]|0;G=Gb+1|0;x=G;b[x>>0]=F;b[x+1>>0]=F>>8;b[x+2>>0]=F>>16;b[x+3>>0]=F>>24;F=G+4|0;b[F>>0]=qa;b[F+1>>0]=qa>>8;b[F+2>>0]=qa>>16;b[F+3>>0]=qa>>24;f[i>>2]=Gb+9}break}case 6:{qa=f[c+(s*20|0)+8>>2]|0;if(1<<(qa&31)&f[a+(qa>>>5<<2)>>2]|0){qa=f[c+(s*20|0)+4>>2]|0;F=f[i>>2]|0;if(qa>>>0>127){G=qa;x=F;while(1){b[x>>0]=G|128;M=G>>>7;y=x+1|0;if(G>>>0>16383){G=M;x=y}else{Ib=y;Jb=M;break}}}else{Ib=F;Jb=qa}b[Ib>>0]=Jb;x=Ib+1|0;G=f[v>>2]|0;b[x>>0]=G;b[x+1>>0]=G>>8;b[x+2>>0]=G>>16;b[x+3>>0]=G>>24;f[i>>2]=Ib+5}break}case 26:{if(f[v>>2]|0){G=f[c+(s*20|0)+4>>2]|0;x=f[i>>2]|0;if(G>>>0>127){ra=G;Z=x;while(1){b[Z>>0]=ra|128;M=ra>>>7;y=Z+1|0;if(ra>>>0>16383){ra=M;Z=y}else{Kb=y;Lb=M;break}}}else{Kb=x;Lb=G}b[Kb>>0]=Lb;Z=Kb+1|0;ra=f[v>>2]|0;b[Z>>0]=ra;b[Z+1>>0]=ra>>8;b[Z+2>>0]=ra>>16;b[Z+3>>0]=ra>>24;f[i>>2]=Kb+5}break}case 46:{if((f[v>>2]|0)>0){ra=c+(s*20|0)+4|0;Z=v+8|0;qa=0;F=f[i>>2]|0;do{M=f[ra>>2]|0;if(M>>>0>127){y=M;ta=F;while(1){b[ta>>0]=y|128;B=y>>>7;A=ta+1|0;if(y>>>0>16383){y=B;ta=A}else{Mb=A;Nb=B;break}}}else{Mb=F;Nb=M}b[Mb>>0]=Nb;ta=Mb+1|0;y=f[(f[Z>>2]|0)+4+(qa<<2)>>2]|0;b[ta>>0]=y;b[ta+1>>0]=y>>8;b[ta+2>>0]=y>>16;b[ta+3>>0]=y>>24;F=Mb+5|0;f[i>>2]=F;qa=qa+1|0}while((qa|0)<(f[v>>2]|0))}break}case 66:{if(f[v>>2]|0){qa=f[c+(s*20|0)+4>>2]|0;F=f[i>>2]|0;if(qa>>>0>127){Z=qa;ra=F;while(1){b[ra>>0]=Z|128;G=Z>>>7;x=ra+1|0;if(Z>>>0>16383){Z=G;ra=x}else{Ob=x;Pb=G;break}}}else{Ob=F;Pb=qa}b[Ob>>0]=Pb;ra=Ob+1|0;f[i>>2]=ra;Z=f[v+12>>2]|0;if(Z>>>0>127){G=Z;x=ra;while(1){b[x>>0]=G|128;y=G>>>7;ta=x+1|0;if(G>>>0>16383){G=y;x=ta}else{Qb=ta;Rb=y;break}}}else{Qb=ra;Rb=Z}b[Qb>>0]=Rb;x=Qb+1|0;f[i>>2]=x;if((f[v>>2]|0)>0){G=v+8|0;qa=0;F=x;do{x=f[(f[G>>2]|0)+4+(qa<<2)>>2]|0;b[F>>0]=x;b[F+1>>0]=x>>8;b[F+2>>0]=x>>16;b[F+3>>0]=x>>24;F=F+4|0;f[i>>2]=F;qa=qa+1|0}while((qa|0)<(f[v>>2]|0))}}break}case 86:{qa=f[c+(s*20|0)+4>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(qa>>>3|0)){F=f[i>>2]|0;if(qa>>>0>127){G=qa;Z=F;while(1){b[Z>>0]=G|128;ra=G>>>7;x=Z+1|0;if(G>>>0>16383){G=ra;Z=x}else{Sb=x;Tb=ra;break}}}else{Sb=F;Tb=qa}b[Sb>>0]=Tb;Z=Sb+1|0;G=f[v>>2]|0;b[Z>>0]=G;b[Z+1>>0]=G>>8;b[Z+2>>0]=G>>16;b[Z+3>>0]=G>>24;f[i>>2]=Sb+5}break}case 7:{G=f[c+(s*20|0)+8>>2]|0;if(1<<(G&31)&f[a+(G>>>5<<2)>>2]|0){G=f[c+(s*20|0)+4>>2]|0;Z=f[i>>2]|0;if(G>>>0>127){ra=G;x=Z;while(1){b[x>>0]=ra|128;y=ra>>>7;ta=x+1|0;if(ra>>>0>16383){ra=y;x=ta}else{Ub=ta;Vb=y;break}}}else{Ub=Z;Vb=G}b[Ub>>0]=Vb;b[Ub+1>>0]=b[v>>0]|0;f[i>>2]=Ub+2}break}case 27:{if(b[v>>0]|0){x=f[c+(s*20|0)+4>>2]|0;ra=f[i>>2]|0;if(x>>>0>127){qa=x;F=ra;while(1){b[F>>0]=qa|128;y=qa>>>7;ta=F+1|0;if(qa>>>0>16383){qa=y;F=ta}else{Wb=ta;Xb=y;break}}}else{Wb=ra;Xb=x}b[Wb>>0]=Xb;b[Wb+1>>0]=b[v>>0]|0;f[i>>2]=Wb+2}break}case 47:{if((f[v>>2]|0)>0){F=c+(s*20|0)+4|0;qa=v+8|0;G=0;Z=f[i>>2]|0;do{y=f[F>>2]|0;if(y>>>0>127){ta=y;z=Z;while(1){b[z>>0]=ta|128;B=ta>>>7;A=z+1|0;if(ta>>>0>16383){ta=B;z=A}else{Yb=A;Zb=B;break}}}else{Yb=Z;Zb=y}b[Yb>>0]=Zb;b[Yb+1>>0]=b[(f[qa>>2]|0)+4+G>>0]|0;Z=Yb+2|0;f[i>>2]=Z;G=G+1|0}while((G|0)<(f[v>>2]|0))}break}case 67:{if(f[v>>2]|0){G=f[c+(s*20|0)+4>>2]|0;Z=f[i>>2]|0;if(G>>>0>127){qa=G;F=Z;while(1){b[F>>0]=qa|128;x=qa>>>7;ra=F+1|0;if(qa>>>0>16383){qa=x;F=ra}else{_b=ra;$b=x;break}}}else{_b=Z;$b=G}b[_b>>0]=$b;F=_b+1|0;f[i>>2]=F;qa=f[v+12>>2]|0;if(qa>>>0>127){x=qa;ra=F;while(1){b[ra>>0]=x|128;z=x>>>7;ta=ra+1|0;if(x>>>0>16383){x=z;ra=ta}else{ac=ta;bc=z;break}}}else{ac=F;bc=qa}b[ac>>0]=bc;ra=ac+1|0;f[i>>2]=ra;if((f[v>>2]|0)>0){x=v+8|0;G=0;Z=ra;do{b[Z>>0]=b[(f[x>>2]|0)+4+G>>0]|0;Z=Z+1|0;f[i>>2]=Z;G=G+1|0}while((G|0)<(f[v>>2]|0))}}break}case 87:{G=f[c+(s*20|0)+4>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(G>>>3|0)){Z=f[i>>2]|0;if(G>>>0>127){x=G;qa=Z;while(1){b[qa>>0]=x|128;F=x>>>7;ra=qa+1|0;if(x>>>0>16383){x=F;qa=ra}else{cc=ra;dc=F;break}}}else{cc=Z;dc=G}b[cc>>0]=dc;b[cc+1>>0]=b[v>>0]|0;f[i>>2]=cc+2}break}case 8:{qa=f[c+(s*20|0)+8>>2]|0;if(1<<(qa&31)&f[a+(qa>>>5<<2)>>2]|0){qa=f[c+(s*20|0)+4>>2]|0;x=f[i>>2]|0;if(qa>>>0>127){F=qa;ra=x;while(1){b[ra>>0]=F|128;z=F>>>7;ta=ra+1|0;if(F>>>0>16383){F=z;ra=ta}else{ec=ta;fc=z;break}}}else{ec=x;fc=qa}b[ec>>0]=fc;ra=ec+1|0;f[i>>2]=ra;F=GCb(f[v>>2]|0,ra)|0;f[i>>2]=F}break}case 28:{F=f[v>>2]|0;ra=b[F+11>>0]|0;if(ra<<24>>24<0)gc=f[F+4>>2]|0;else gc=ra&255;if(gc|0){ra=f[c+(s*20|0)+4>>2]|0;F=f[i>>2]|0;if(ra>>>0>127){G=ra;Z=F;while(1){b[Z>>0]=G|128;z=G>>>7;ta=Z+1|0;if(G>>>0>16383){G=z;Z=ta}else{hc=ta;ic=z;break}}}else{hc=F;ic=ra}b[hc>>0]=ic;Z=hc+1|0;f[i>>2]=Z;G=GCb(f[v>>2]|0,Z)|0;f[i>>2]=G}break}case 48:{G=v+4|0;if((f[G>>2]|0)>0){Z=c+(s*20|0)+4|0;qa=v+12|0;x=0;z=f[i>>2]|0;do{ta=f[Z>>2]|0;if(ta>>>0>127){M=ta;B=z;while(1){b[B>>0]=M|128;A=M>>>7;sa=B+1|0;if(M>>>0>16383){M=A;B=sa}else{jc=sa;kc=A;break}}}else{jc=z;kc=ta}b[jc>>0]=kc;B=jc+1|0;f[i>>2]=B;M=f[qa>>2]|0;z=GCb(f[((M|0)==0?0:M+4|0)+(x<<2)>>2]|0,B)|0;f[i>>2]=z;x=x+1|0}while((x|0)<(f[G>>2]|0))}break}case 68:{dCb(v,t,i);break}case 88:{G=f[c+(s*20|0)+4>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(G>>>3|0)){x=f[i>>2]|0;if(G>>>0>127){z=G;qa=x;while(1){b[qa>>0]=z|128;Z=z>>>7;ra=qa+1|0;if(z>>>0>16383){z=Z;qa=ra}else{lc=ra;mc=Z;break}}}else{lc=x;mc=G}b[lc>>0]=mc;qa=lc+1|0;f[i>>2]=qa;z=GCb(f[v>>2]|0,qa)|0;f[i>>2]=z}break}case 9:{z=f[c+(s*20|0)+8>>2]|0;if(1<<(z&31)&f[a+(z>>>5<<2)>>2]|0){z=c+(s*20|0)+4|0;qa=f[z>>2]|0;Z=f[i>>2]|0;if(qa>>>0>127){ra=qa;F=Z;while(1){b[F>>0]=ra|128;B=ra>>>7;M=F+1|0;if(ra>>>0>16383){ra=B;F=M}else{nc=M;oc=B;break}}}else{nc=Z;oc=qa}b[nc>>0]=oc;F=nc+1|0;f[i>>2]=F;ra=f[v>>2]|0;G=f[c+(s*20|0)+16>>2]|0;if(!G)pc=ki[f[(f[ra>>2]|0)+64>>2]&511](ra,(b[g>>0]|0)!=0,F)|0;else pc=cCb(ra,(f[G+4>>2]|0)+20|0,(f[G>>2]|0)+-1|0,(b[g>>0]|0)!=0,F)|0;f[i>>2]=pc;F=(f[z>>2]|0)+1|0;if(F>>>0>127){G=F;ra=pc;while(1){b[ra>>0]=G|128;x=G>>>7;B=ra+1|0;if(G>>>0>16383){G=x;ra=B}else{qc=B;rc=x;break}}}else{qc=pc;rc=F}b[qc>>0]=rc;f[i>>2]=qc+1}break}case 29:{if(f[v>>2]|0){ra=c+(s*20|0)+4|0;G=f[ra>>2]|0;z=f[i>>2]|0;if(G>>>0>127){qa=G;Z=z;while(1){b[Z>>0]=qa|128;x=qa>>>7;B=Z+1|0;if(qa>>>0>16383){qa=x;Z=B}else{sc=B;tc=x;break}}}else{sc=z;tc=G}b[sc>>0]=tc;Z=sc+1|0;f[i>>2]=Z;qa=f[v>>2]|0;F=f[c+(s*20|0)+16>>2]|0;if(!F)uc=ki[f[(f[qa>>2]|0)+64>>2]&511](qa,(b[g>>0]|0)!=0,Z)|0;else uc=cCb(qa,(f[F+4>>2]|0)+20|0,(f[F>>2]|0)+-1|0,(b[g>>0]|0)!=0,Z)|0;f[i>>2]=uc;Z=(f[ra>>2]|0)+1|0;if(Z>>>0>127){F=Z;qa=uc;while(1){b[qa>>0]=F|128;x=F>>>7;B=qa+1|0;if(F>>>0>16383){F=x;qa=B}else{vc=B;wc=x;break}}}else{vc=uc;wc=Z}b[vc>>0]=wc;f[i>>2]=vc+1}break}case 49:{qa=v+4|0;if((f[qa>>2]|0)>0){F=c+(s*20|0)+4|0;ra=v+12|0;G=c+(s*20|0)+16|0;z=0;do{x=f[F>>2]|0;B=f[i>>2]|0;if(x>>>0>127){M=x;y=B;while(1){b[y>>0]=M|128;A=M>>>7;sa=y+1|0;if(M>>>0>16383){M=A;y=sa}else{xc=sa;yc=A;break}}}else{xc=B;yc=x}b[xc>>0]=yc;y=xc+1|0;f[i>>2]=y;M=f[ra>>2]|0;ta=f[((M|0)==0?0:M+4|0)+(z<<2)>>2]|0;M=f[G>>2]|0;if(!M)zc=ki[f[(f[ta>>2]|0)+64>>2]&511](ta,(b[g>>0]|0)!=0,y)|0;else zc=cCb(ta,(f[M+4>>2]|0)+20|0,(f[M>>2]|0)+-1|0,(b[g>>0]|0)!=0,y)|0;f[i>>2]=zc;y=(f[F>>2]|0)+1|0;if(y>>>0>127){M=y;ta=zc;while(1){b[ta>>0]=M|128;A=M>>>7;sa=ta+1|0;if(M>>>0>16383){M=A;ta=sa}else{Ac=sa;Bc=A;break}}}else{Ac=zc;Bc=y}b[Ac>>0]=Bc;f[i>>2]=Ac+1;z=z+1|0}while((z|0)<(f[qa>>2]|0))}break}case 69:{dCb(v,t,i);break}case 89:{qa=c+(s*20|0)+4|0;z=f[qa>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(z>>>3|0)){F=f[i>>2]|0;if(z>>>0>127){G=z;ra=F;while(1){b[ra>>0]=G|128;Z=G>>>7;ta=ra+1|0;if(G>>>0>16383){G=Z;ra=ta}else{Cc=ta;Dc=Z;break}}}else{Cc=F;Dc=z}b[Cc>>0]=Dc;ra=Cc+1|0;f[i>>2]=ra;G=f[v>>2]|0;Z=f[c+(s*20|0)+16>>2]|0;if(!Z)Ec=ki[f[(f[G>>2]|0)+64>>2]&511](G,(b[g>>0]|0)!=0,ra)|0;else Ec=cCb(G,(f[Z+4>>2]|0)+20|0,(f[Z>>2]|0)+-1|0,(b[g>>0]|0)!=0,ra)|0;f[i>>2]=Ec;ra=(f[qa>>2]|0)+1|0;if(ra>>>0>127){Z=ra;G=Ec;while(1){b[G>>0]=Z|128;ta=Z>>>7;M=G+1|0;if(Z>>>0>16383){Z=ta;G=M}else{Fc=M;Gc=ta;break}}}else{Fc=Ec;Gc=ra}b[Fc>>0]=Gc;f[i>>2]=Fc+1}break}case 10:{G=f[c+(s*20|0)+8>>2]|0;if(1<<(G&31)&f[a+(G>>>5<<2)>>2]|0){G=f[c+(s*20|0)+4>>2]|0;Z=f[i>>2]|0;if(G>>>0>127){qa=G;z=Z;while(1){b[z>>0]=qa|128;F=qa>>>7;ta=z+1|0;if(qa>>>0>16383){qa=F;z=ta}else{Hc=ta;Ic=F;break}}}else{Hc=Z;Ic=G}b[Hc>>0]=Ic;z=Hc+1|0;f[i>>2]=z;qa=f[v>>2]|0;ra=f[c+(s*20|0)+16>>2]|0;if(!ra){F=ci[f[(f[qa>>2]|0)+60>>2]&1023](qa)|0;ta=f[i>>2]|0;if(F>>>0>127){M=F;x=ta;while(1){b[x>>0]=M|128;B=M>>>7;A=x+1|0;if(M>>>0>16383){M=B;x=A}else{Jc=A;Kc=B;break}}}else{Jc=ta;Kc=F}b[Jc>>0]=Kc;x=Jc+1|0;f[i>>2]=x;M=ki[f[(f[qa>>2]|0)+64>>2]&511](qa,(b[g>>0]|0)!=0,x)|0;f[i>>2]=M;break a}else{M=f[ra+4>>2]|0;x=f[qa+(f[M>>2]|0)>>2]|0;if(x>>>0>127){G=x;Z=z;while(1){b[Z>>0]=G|128;B=G>>>7;A=Z+1|0;if(G>>>0>16383){G=B;Z=A}else{Lc=A;Mc=B;break}}}else{Lc=z;Mc=x}b[Lc>>0]=Mc;Z=Lc+1|0;f[i>>2]=Z;G=cCb(qa,M+20|0,(f[ra>>2]|0)+-1|0,(b[g>>0]|0)!=0,Z)|0;f[i>>2]=G;break a}}break}case 30:{if(f[v>>2]|0){G=f[c+(s*20|0)+4>>2]|0;Z=f[i>>2]|0;if(G>>>0>127){F=G;ta=Z;while(1){b[ta>>0]=F|128;B=F>>>7;A=ta+1|0;if(F>>>0>16383){F=B;ta=A}else{Nc=A;Oc=B;break}}}else{Nc=Z;Oc=G}b[Nc>>0]=Oc;ta=Nc+1|0;f[i>>2]=ta;F=f[v>>2]|0;ra=f[c+(s*20|0)+16>>2]|0;if(!ra){M=ci[f[(f[F>>2]|0)+60>>2]&1023](F)|0;qa=f[i>>2]|0;if(M>>>0>127){x=M;z=qa;while(1){b[z>>0]=x|128;B=x>>>7;A=z+1|0;if(x>>>0>16383){x=B;z=A}else{Pc=A;Qc=B;break}}}else{Pc=qa;Qc=M}b[Pc>>0]=Qc;z=Pc+1|0;f[i>>2]=z;x=ki[f[(f[F>>2]|0)+64>>2]&511](F,(b[g>>0]|0)!=0,z)|0;f[i>>2]=x;break a}else{x=f[ra+4>>2]|0;z=f[F+(f[x>>2]|0)>>2]|0;if(z>>>0>127){G=z;Z=ta;while(1){b[Z>>0]=G|128;B=G>>>7;A=Z+1|0;if(G>>>0>16383){G=B;Z=A}else{Rc=A;Sc=B;break}}}else{Rc=ta;Sc=z}b[Rc>>0]=Sc;Z=Rc+1|0;f[i>>2]=Z;G=cCb(F,x+20|0,(f[ra>>2]|0)+-1|0,(b[g>>0]|0)!=0,Z)|0;f[i>>2]=G;break a}}break}case 50:{G=v+4|0;if((f[G>>2]|0)>0){Z=c+(s*20|0)+4|0;M=v+12|0;qa=c+(s*20|0)+16|0;B=0;do{A=f[Z>>2]|0;sa=f[i>>2]|0;if(A>>>0>127){K=A;L=sa;while(1){b[L>>0]=K|128;C=K>>>7;Tc=L+1|0;if(K>>>0>16383){K=C;L=Tc}else{Uc=Tc;Vc=C;break}}}else{Uc=sa;Vc=A}b[Uc>>0]=Vc;L=Uc+1|0;f[i>>2]=L;K=f[M>>2]|0;y=f[((K|0)==0?0:K+4|0)+(B<<2)>>2]|0;K=f[qa>>2]|0;if(!K){C=ci[f[(f[y>>2]|0)+60>>2]&1023](y)|0;Tc=f[i>>2]|0;if(C>>>0>127){Wc=C;Xc=Tc;while(1){b[Xc>>0]=Wc|128;Yc=Wc>>>7;Zc=Xc+1|0;if(Wc>>>0>16383){Wc=Yc;Xc=Zc}else{_c=Zc;$c=Yc;break}}}else{_c=Tc;$c=C}b[_c>>0]=$c;Xc=_c+1|0;f[i>>2]=Xc;ad=ki[f[(f[y>>2]|0)+64>>2]&511](y,(b[g>>0]|0)!=0,Xc)|0}else{Xc=f[K+4>>2]|0;Wc=f[y+(f[Xc>>2]|0)>>2]|0;if(Wc>>>0>127){A=Wc;sa=L;while(1){b[sa>>0]=A|128;Yc=A>>>7;Zc=sa+1|0;if(A>>>0>16383){A=Yc;sa=Zc}else{bd=Zc;cd=Yc;break}}}else{bd=L;cd=Wc}b[bd>>0]=cd;sa=bd+1|0;f[i>>2]=sa;ad=cCb(y,Xc+20|0,(f[K>>2]|0)+-1|0,(b[g>>0]|0)!=0,sa)|0}f[i>>2]=ad;B=B+1|0}while((B|0)<(f[G>>2]|0))}break}case 70:{dCb(v,t,i);break}case 90:{G=f[c+(s*20|0)+4>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(G>>>3|0)){B=f[i>>2]|0;if(G>>>0>127){qa=G;M=B;while(1){b[M>>0]=qa|128;Z=qa>>>7;ra=M+1|0;if(qa>>>0>16383){qa=Z;M=ra}else{dd=ra;ed=Z;break}}}else{dd=B;ed=G}b[dd>>0]=ed;M=dd+1|0;f[i>>2]=M;qa=f[v>>2]|0;Z=f[c+(s*20|0)+16>>2]|0;if(!Z){ra=ci[f[(f[qa>>2]|0)+60>>2]&1023](qa)|0;x=f[i>>2]|0;if(ra>>>0>127){F=ra;z=x;while(1){b[z>>0]=F|128;ta=F>>>7;sa=z+1|0;if(F>>>0>16383){F=ta;z=sa}else{fd=sa;gd=ta;break}}}else{fd=x;gd=ra}b[fd>>0]=gd;z=fd+1|0;f[i>>2]=z;F=ki[f[(f[qa>>2]|0)+64>>2]&511](qa,(b[g>>0]|0)!=0,z)|0;f[i>>2]=F;break a}else{F=f[Z+4>>2]|0;z=f[qa+(f[F>>2]|0)>>2]|0;if(z>>>0>127){G=z;B=M;while(1){b[B>>0]=G|128;ta=G>>>7;sa=B+1|0;if(G>>>0>16383){G=ta;B=sa}else{hd=sa;id=ta;break}}}else{hd=M;id=z}b[hd>>0]=id;B=hd+1|0;f[i>>2]=B;G=cCb(qa,F+20|0,(f[Z>>2]|0)+-1|0,(b[g>>0]|0)!=0,B)|0;f[i>>2]=G;break a}}break}case 11:{G=f[c+(s*20|0)+8>>2]|0;if(1<<(G&31)&f[a+(G>>>5<<2)>>2]|0){G=f[c+(s*20|0)+4>>2]|0;B=f[i>>2]|0;if(G>>>0>127){ra=G;x=B;while(1){b[x>>0]=ra|128;ta=ra>>>7;sa=x+1|0;if(ra>>>0>16383){ra=ta;x=sa}else{jd=sa;kd=ta;break}}}else{jd=B;kd=G}b[jd>>0]=kd;x=jd+1|0;f[i>>2]=x;ra=GCb(f[v>>2]|0,x)|0;f[i>>2]=ra}break}case 31:{ra=f[v>>2]|0;x=b[ra+11>>0]|0;if(x<<24>>24<0)ld=f[ra+4>>2]|0;else ld=x&255;if(ld|0){x=f[c+(s*20|0)+4>>2]|0;ra=f[i>>2]|0;if(x>>>0>127){Z=x;F=ra;while(1){b[F>>0]=Z|128;qa=Z>>>7;z=F+1|0;if(Z>>>0>16383){Z=qa;F=z}else{md=z;nd=qa;break}}}else{md=ra;nd=x}b[md>>0]=nd;F=md+1|0;f[i>>2]=F;Z=GCb(f[v>>2]|0,F)|0;f[i>>2]=Z}break}case 51:{Z=v+4|0;if((f[Z>>2]|0)>0){F=c+(s*20|0)+4|0;G=v+12|0;B=0;qa=f[i>>2]|0;do{z=f[F>>2]|0;if(z>>>0>127){M=z;ta=qa;while(1){b[ta>>0]=M|128;sa=M>>>7;A=ta+1|0;if(M>>>0>16383){M=sa;ta=A}else{od=A;pd=sa;break}}}else{od=qa;pd=z}b[od>>0]=pd;ta=od+1|0;f[i>>2]=ta;M=f[G>>2]|0;qa=GCb(f[((M|0)==0?0:M+4|0)+(B<<2)>>2]|0,ta)|0;f[i>>2]=qa;B=B+1|0}while((B|0)<(f[Z>>2]|0))}break}case 71:{dCb(v,t,i);break}case 91:{Z=f[c+(s*20|0)+4>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(Z>>>3|0)){B=f[i>>2]|0;if(Z>>>0>127){qa=Z;G=B;while(1){b[G>>0]=qa|128;F=qa>>>7;x=G+1|0;if(qa>>>0>16383){qa=F;G=x}else{qd=x;rd=F;break}}}else{qd=B;rd=Z}b[qd>>0]=rd;G=qd+1|0;f[i>>2]=G;qa=GCb(f[v>>2]|0,G)|0;f[i>>2]=qa}break}case 12:{qa=f[c+(s*20|0)+8>>2]|0;if(1<<(qa&31)&f[a+(qa>>>5<<2)>>2]|0){qa=f[c+(s*20|0)+4>>2]|0;G=f[i>>2]|0;if(qa>>>0>127){F=qa;x=G;while(1){b[x>>0]=F|128;ra=F>>>7;ta=x+1|0;if(F>>>0>16383){F=ra;x=ta}else{sd=ta;td=ra;break}}}else{sd=G;td=qa}b[sd>>0]=td;x=sd+1|0;f[i>>2]=x;F=f[v>>2]|0;if(F>>>0>127){Z=F;B=x;while(1){b[B>>0]=Z|128;ra=Z>>>7;ta=B+1|0;if(Z>>>0>16383){Z=ra;B=ta}else{ud=ta;vd=ra;break}}}else{ud=x;vd=F}b[ud>>0]=vd;f[i>>2]=ud+1}break}case 32:{if(f[v>>2]|0){B=f[c+(s*20|0)+4>>2]|0;Z=f[i>>2]|0;if(B>>>0>127){qa=B;G=Z;while(1){b[G>>0]=qa|128;ra=qa>>>7;ta=G+1|0;if(qa>>>0>16383){qa=ra;G=ta}else{wd=ta;xd=ra;break}}}else{wd=Z;xd=B}b[wd>>0]=xd;G=wd+1|0;f[i>>2]=G;qa=f[v>>2]|0;if(qa>>>0>127){F=qa;x=G;while(1){b[x>>0]=F|128;ra=F>>>7;ta=x+1|0;if(F>>>0>16383){F=ra;x=ta}else{yd=ta;zd=ra;break}}}else{yd=G;zd=qa}b[yd>>0]=zd;f[i>>2]=yd+1}break}case 52:{if((f[v>>2]|0)>0){x=c+(s*20|0)+4|0;F=v+8|0;B=0;Z=f[i>>2]|0;do{ra=f[x>>2]|0;if(ra>>>0>127){ta=ra;M=Z;while(1){b[M>>0]=ta|128;K=ta>>>7;Xc=M+1|0;if(ta>>>0>16383){ta=K;M=Xc}else{Ad=Xc;Bd=K;break}}}else{Ad=Z;Bd=ra}b[Ad>>0]=Bd;M=Ad+1|0;f[i>>2]=M;ta=f[(f[F>>2]|0)+4+(B<<2)>>2]|0;if(ta>>>0>127){z=ta;K=M;while(1){b[K>>0]=z|128;Xc=z>>>7;y=K+1|0;if(z>>>0>16383){z=Xc;K=y}else{Cd=y;Dd=Xc;break}}}else{Cd=M;Dd=ta}b[Cd>>0]=Dd;Z=Cd+1|0;f[i>>2]=Z;B=B+1|0}while((B|0)<(f[v>>2]|0))}break}case 72:{if(f[v>>2]|0){B=f[c+(s*20|0)+4>>2]|0;Z=f[i>>2]|0;if(B>>>0>127){F=B;x=Z;while(1){b[x>>0]=F|128;qa=F>>>7;G=x+1|0;if(F>>>0>16383){F=qa;x=G}else{Ed=G;Fd=qa;break}}}else{Ed=Z;Fd=B}b[Ed>>0]=Fd;x=Ed+1|0;f[i>>2]=x;F=f[v+12>>2]|0;if(F>>>0>127){qa=F;G=x;while(1){b[G>>0]=qa|128;K=qa>>>7;z=G+1|0;if(qa>>>0>16383){qa=K;G=z}else{Gd=z;Hd=K;break}}}else{Gd=x;Hd=F}b[Gd>>0]=Hd;G=Gd+1|0;f[i>>2]=G;if((f[v>>2]|0)>0){qa=v+8|0;B=0;Z=G;do{G=f[(f[qa>>2]|0)+4+(B<<2)>>2]|0;if(G>>>0>127){K=G;z=Z;while(1){b[z>>0]=K|128;ra=K>>>7;Xc=z+1|0;if(K>>>0>16383){K=ra;z=Xc}else{Id=Xc;Jd=ra;break}}}else{Id=Z;Jd=G}b[Id>>0]=Jd;Z=Id+1|0;f[i>>2]=Z;B=B+1|0}while((B|0)<(f[v>>2]|0))}}break}case 92:{B=f[c+(s*20|0)+4>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(B>>>3|0)){Z=f[i>>2]|0;if(B>>>0>127){qa=B;F=Z;while(1){b[F>>0]=qa|128;x=qa>>>7;z=F+1|0;if(qa>>>0>16383){qa=x;F=z}else{Kd=z;Ld=x;break}}}else{Kd=Z;Ld=B}b[Kd>>0]=Ld;F=Kd+1|0;f[i>>2]=F;qa=f[v>>2]|0;if(qa>>>0>127){x=qa;z=F;while(1){b[z>>0]=x|128;K=x>>>7;ta=z+1|0;if(x>>>0>16383){x=K;z=ta}else{Md=ta;Nd=K;break}}}else{Md=F;Nd=qa}b[Md>>0]=Nd;f[i>>2]=Md+1}break}case 13:{z=f[c+(s*20|0)+8>>2]|0;if(1<<(z&31)&f[a+(z>>>5<<2)>>2]|0){z=f[c+(s*20|0)+4>>2]|0;x=f[i>>2]|0;if(z>>>0>127){B=z;Z=x;while(1){b[Z>>0]=B|128;K=B>>>7;ta=Z+1|0;if(B>>>0>16383){B=K;Z=ta}else{Od=ta;Pd=K;break}}}else{Od=x;Pd=z}b[Od>>0]=Pd;Z=Od+1|0;f[i>>2]=Z;B=f[v>>2]|0;qa=B&255;if(B>>>0>127){F=Z;K=qa;ta=B;M=((B|0)<0)<<31>>31;while(1){b[F>>0]=K|-128;B=ta;ta=Irc(ta|0,M|0,7)|0;ra=F+1|0;Xc=ta&255;if(!(M>>>0>0|(M|0)==0&B>>>0>16383)){Qd=ra;Rd=Xc;break}else{F=ra;K=Xc;M=J}}}else{Qd=Z;Rd=qa}b[Qd>>0]=Rd;f[i>>2]=Qd+1}break}case 33:{if(f[v>>2]|0){M=f[c+(s*20|0)+4>>2]|0;K=f[i>>2]|0;if(M>>>0>127){F=M;ta=K;while(1){b[ta>>0]=F|128;z=F>>>7;x=ta+1|0;if(F>>>0>16383){F=z;ta=x}else{Sd=x;Td=z;break}}}else{Sd=K;Td=M}b[Sd>>0]=Td;ta=Sd+1|0;f[i>>2]=ta;F=f[v>>2]|0;qa=F&255;if(F>>>0>127){Z=ta;z=qa;x=F;Xc=((F|0)<0)<<31>>31;while(1){b[Z>>0]=z|-128;F=x;x=Irc(x|0,Xc|0,7)|0;ra=Z+1|0;B=x&255;if(!(Xc>>>0>0|(Xc|0)==0&F>>>0>16383)){Ud=ra;Vd=B;break}else{Z=ra;z=B;Xc=J}}}else{Ud=ta;Vd=qa}b[Ud>>0]=Vd;f[i>>2]=Ud+1}break}case 53:{if((f[v>>2]|0)>0){Xc=c+(s*20|0)+4|0;z=v+8|0;Z=0;x=f[i>>2]|0;do{M=f[Xc>>2]|0;if(M>>>0>127){K=M;B=x;while(1){b[B>>0]=K|128;ra=K>>>7;F=B+1|0;if(K>>>0>16383){K=ra;B=F}else{Wd=F;Xd=ra;break}}}else{Wd=x;Xd=M}b[Wd>>0]=Xd;B=Wd+1|0;f[i>>2]=B;K=f[(f[z>>2]|0)+4+(Z<<2)>>2]|0;G=K&255;if(K>>>0>127){ra=B;F=G;y=K;Wc=((K|0)<0)<<31>>31;while(1){b[ra>>0]=F|-128;K=y;y=Irc(y|0,Wc|0,7)|0;L=ra+1|0;sa=y&255;if(!(Wc>>>0>0|(Wc|0)==0&K>>>0>16383)){Yd=L;Zd=sa;break}else{ra=L;F=sa;Wc=J}}}else{Yd=B;Zd=G}b[Yd>>0]=Zd;x=Yd+1|0;f[i>>2]=x;Z=Z+1|0}while((Z|0)<(f[v>>2]|0))}break}case 73:{if(f[v>>2]|0){Z=f[c+(s*20|0)+4>>2]|0;x=f[i>>2]|0;if(Z>>>0>127){z=Z;Xc=x;while(1){b[Xc>>0]=z|128;qa=z>>>7;ta=Xc+1|0;if(z>>>0>16383){z=qa;Xc=ta}else{_d=ta;$d=qa;break}}}else{_d=x;$d=Z}b[_d>>0]=$d;Xc=_d+1|0;f[i>>2]=Xc;z=f[v+12>>2]|0;if(z>>>0>127){qa=z;ta=Xc;while(1){b[ta>>0]=qa|128;Wc=qa>>>7;F=ta+1|0;if(qa>>>0>16383){qa=Wc;ta=F}else{ae=F;be=Wc;break}}}else{ae=Xc;be=z}b[ae>>0]=be;ta=ae+1|0;f[i>>2]=ta;if((f[v>>2]|0)>0){qa=v+8|0;Z=0;x=ta;do{ta=f[(f[qa>>2]|0)+4+(Z<<2)>>2]|0;Wc=ta&255;if(ta>>>0>127){F=x;ra=Wc;y=ta;M=((ta|0)<0)<<31>>31;while(1){b[F>>0]=ra|-128;ta=y;y=Irc(y|0,M|0,7)|0;sa=F+1|0;L=y&255;if(!(M>>>0>0|(M|0)==0&ta>>>0>16383)){ce=sa;de=L;break}else{F=sa;ra=L;M=J}}}else{ce=x;de=Wc}b[ce>>0]=de;x=ce+1|0;f[i>>2]=x;Z=Z+1|0}while((Z|0)<(f[v>>2]|0))}}break}case 93:{Z=f[c+(s*20|0)+4>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(Z>>>3|0)){x=f[i>>2]|0;if(Z>>>0>127){qa=Z;z=x;while(1){b[z>>0]=qa|128;Xc=qa>>>7;M=z+1|0;if(qa>>>0>16383){qa=Xc;z=M}else{ee=M;fe=Xc;break}}}else{ee=x;fe=Z}b[ee>>0]=fe;z=ee+1|0;f[i>>2]=z;qa=f[v>>2]|0;Xc=qa&255;if(qa>>>0>127){M=z;ra=Xc;F=qa;y=((qa|0)<0)<<31>>31;while(1){b[M>>0]=ra|-128;qa=F;F=Irc(F|0,y|0,7)|0;G=M+1|0;B=F&255;if(!(y>>>0>0|(y|0)==0&qa>>>0>16383)){ge=G;he=B;break}else{M=G;ra=B;y=J}}}else{ge=z;he=Xc}b[ge>>0]=he;f[i>>2]=ge+1}break}case 14:{y=f[c+(s*20|0)+8>>2]|0;if(1<<(y&31)&f[a+(y>>>5<<2)>>2]|0){y=f[c+(s*20|0)+4>>2]|0;ra=f[i>>2]|0;if(y>>>0>127){M=y;F=ra;while(1){b[F>>0]=M|128;Z=M>>>7;x=F+1|0;if(M>>>0>16383){M=Z;F=x}else{ie=x;je=Z;break}}}else{ie=ra;je=y}b[ie>>0]=je;F=ie+1|0;M=f[v>>2]|0;b[F>>0]=M;b[F+1>>0]=M>>8;b[F+2>>0]=M>>16;b[F+3>>0]=M>>24;f[i>>2]=ie+5}break}case 34:{if(f[v>>2]|0){M=f[c+(s*20|0)+4>>2]|0;F=f[i>>2]|0;if(M>>>0>127){Xc=M;z=F;while(1){b[z>>0]=Xc|128;Z=Xc>>>7;x=z+1|0;if(Xc>>>0>16383){Xc=Z;z=x}else{ke=x;le=Z;break}}}else{ke=F;le=M}b[ke>>0]=le;z=ke+1|0;Xc=f[v>>2]|0;b[z>>0]=Xc;b[z+1>>0]=Xc>>8;b[z+2>>0]=Xc>>16;b[z+3>>0]=Xc>>24;f[i>>2]=ke+5}break}case 54:{if((f[v>>2]|0)>0){Xc=c+(s*20|0)+4|0;z=v+8|0;y=0;ra=f[i>>2]|0;do{Z=f[Xc>>2]|0;if(Z>>>0>127){x=Z;B=ra;while(1){b[B>>0]=x|128;G=x>>>7;qa=B+1|0;if(x>>>0>16383){x=G;B=qa}else{me=qa;ne=G;break}}}else{me=ra;ne=Z}b[me>>0]=ne;B=me+1|0;x=f[(f[z>>2]|0)+4+(y<<2)>>2]|0;b[B>>0]=x;b[B+1>>0]=x>>8;b[B+2>>0]=x>>16;b[B+3>>0]=x>>24;ra=me+5|0;f[i>>2]=ra;y=y+1|0}while((y|0)<(f[v>>2]|0))}break}case 74:{if(f[v>>2]|0){y=f[c+(s*20|0)+4>>2]|0;ra=f[i>>2]|0;if(y>>>0>127){z=y;Xc=ra;while(1){b[Xc>>0]=z|128;M=z>>>7;F=Xc+1|0;if(z>>>0>16383){z=M;Xc=F}else{oe=F;pe=M;break}}}else{oe=ra;pe=y}b[oe>>0]=pe;Xc=oe+1|0;f[i>>2]=Xc;z=f[v+12>>2]|0;if(z>>>0>127){M=z;F=Xc;while(1){b[F>>0]=M|128;x=M>>>7;B=F+1|0;if(M>>>0>16383){M=x;F=B}else{qe=B;re=x;break}}}else{qe=Xc;re=z}b[qe>>0]=re;F=qe+1|0;f[i>>2]=F;if((f[v>>2]|0)>0){M=v+8|0;y=0;ra=F;do{F=f[(f[M>>2]|0)+4+(y<<2)>>2]|0;b[ra>>0]=F;b[ra+1>>0]=F>>8;b[ra+2>>0]=F>>16;b[ra+3>>0]=F>>24;ra=ra+4|0;f[i>>2]=ra;y=y+1|0}while((y|0)<(f[v>>2]|0))}}break}case 94:{y=f[c+(s*20|0)+4>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(y>>>3|0)){ra=f[i>>2]|0;if(y>>>0>127){M=y;z=ra;while(1){b[z>>0]=M|128;Xc=M>>>7;F=z+1|0;if(M>>>0>16383){M=Xc;z=F}else{se=F;te=Xc;break}}}else{se=ra;te=y}b[se>>0]=te;z=se+1|0;M=f[v>>2]|0;b[z>>0]=M;b[z+1>>0]=M>>8;b[z+2>>0]=M>>16;b[z+3>>0]=M>>24;f[i>>2]=se+5}break}case 15:{M=f[c+(s*20|0)+8>>2]|0;if(1<<(M&31)&f[a+(M>>>5<<2)>>2]|0){M=f[c+(s*20|0)+4>>2]|0;z=f[i>>2]|0;if(M>>>0>127){Xc=M;F=z;while(1){b[F>>0]=Xc|128;x=Xc>>>7;B=F+1|0;if(Xc>>>0>16383){Xc=x;F=B}else{ue=B;ve=x;break}}}else{ue=z;ve=M}b[ue>>0]=ve;F=v;Xc=f[F>>2]|0;y=f[F+4>>2]|0;F=ue+1|0;ra=F;b[ra>>0]=Xc;b[ra+1>>0]=Xc>>8;b[ra+2>>0]=Xc>>16;b[ra+3>>0]=Xc>>24;Xc=F+4|0;b[Xc>>0]=y;b[Xc+1>>0]=y>>8;b[Xc+2>>0]=y>>16;b[Xc+3>>0]=y>>24;f[i>>2]=ue+9}break}case 35:{y=v;if(!((f[y>>2]|0)==0&(f[y+4>>2]|0)==0)){y=f[c+(s*20|0)+4>>2]|0;Xc=f[i>>2]|0;if(y>>>0>127){F=y;ra=Xc;while(1){b[ra>>0]=F|128;x=F>>>7;B=ra+1|0;if(F>>>0>16383){F=x;ra=B}else{we=B;xe=x;break}}}else{we=Xc;xe=y}b[we>>0]=xe;ra=v;F=f[ra>>2]|0;M=f[ra+4>>2]|0;ra=we+1|0;z=ra;b[z>>0]=F;b[z+1>>0]=F>>8;b[z+2>>0]=F>>16;b[z+3>>0]=F>>24;F=ra+4|0;b[F>>0]=M;b[F+1>>0]=M>>8;b[F+2>>0]=M>>16;b[F+3>>0]=M>>24;f[i>>2]=we+9}break}case 55:{if((f[v>>2]|0)>0){M=c+(s*20|0)+4|0;F=v+8|0;ra=0;z=f[i>>2]|0;do{x=f[M>>2]|0;if(x>>>0>127){B=x;Wc=z;while(1){b[Wc>>0]=B|128;G=B>>>7;qa=Wc+1|0;if(B>>>0>16383){B=G;Wc=qa}else{ye=qa;ze=G;break}}}else{ye=z;ze=x}b[ye>>0]=ze;Wc=(f[F>>2]|0)+8+(ra<<3)|0;B=f[Wc>>2]|0;Z=f[Wc+4>>2]|0;Wc=ye+1|0;G=Wc;b[G>>0]=B;b[G+1>>0]=B>>8;b[G+2>>0]=B>>16;b[G+3>>0]=B>>24;B=Wc+4|0;b[B>>0]=Z;b[B+1>>0]=Z>>8;b[B+2>>0]=Z>>16;b[B+3>>0]=Z>>24;z=ye+9|0;f[i>>2]=z;ra=ra+1|0}while((ra|0)<(f[v>>2]|0))}break}case 75:{if(f[v>>2]|0){ra=f[c+(s*20|0)+4>>2]|0;z=f[i>>2]|0;if(ra>>>0>127){F=ra;M=z;while(1){b[M>>0]=F|128;y=F>>>7;Xc=M+1|0;if(F>>>0>16383){F=y;M=Xc}else{Ae=Xc;Be=y;break}}}else{Ae=z;Be=ra}b[Ae>>0]=Be;M=Ae+1|0;f[i>>2]=M;F=f[v+12>>2]|0;if(F>>>0>127){y=F;Xc=M;while(1){b[Xc>>0]=y|128;Z=y>>>7;B=Xc+1|0;if(y>>>0>16383){y=Z;Xc=B}else{Ce=B;De=Z;break}}}else{Ce=M;De=F}b[Ce>>0]=De;Xc=Ce+1|0;f[i>>2]=Xc;if((f[v>>2]|0)>0){y=v+8|0;ra=0;z=Xc;do{Xc=(f[y>>2]|0)+8+(ra<<3)|0;Z=f[Xc>>2]|0;B=f[Xc+4>>2]|0;Xc=z;Wc=Xc;b[Wc>>0]=Z;b[Wc+1>>0]=Z>>8;b[Wc+2>>0]=Z>>16;b[Wc+3>>0]=Z>>24;Z=Xc+4|0;b[Z>>0]=B;b[Z+1>>0]=B>>8;b[Z+2>>0]=B>>16;b[Z+3>>0]=B>>24;z=z+8|0;f[i>>2]=z;ra=ra+1|0}while((ra|0)<(f[v>>2]|0))}}break}case 95:{ra=f[c+(s*20|0)+4>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(ra>>>3|0)){z=f[i>>2]|0;if(ra>>>0>127){y=ra;F=z;while(1){b[F>>0]=y|128;M=y>>>7;B=F+1|0;if(y>>>0>16383){y=M;F=B}else{Ee=B;Fe=M;break}}}else{Ee=z;Fe=ra}b[Ee>>0]=Fe;F=v;y=f[F>>2]|0;M=f[F+4>>2]|0;F=Ee+1|0;B=F;b[B>>0]=y;b[B+1>>0]=y>>8;b[B+2>>0]=y>>16;b[B+3>>0]=y>>24;y=F+4|0;b[y>>0]=M;b[y+1>>0]=M>>8;b[y+2>>0]=M>>16;b[y+3>>0]=M>>24;f[i>>2]=Ee+9}break}case 16:{M=f[c+(s*20|0)+8>>2]|0;if(1<<(M&31)&f[a+(M>>>5<<2)>>2]|0){M=f[c+(s*20|0)+4>>2]|0;y=f[i>>2]|0;if(M>>>0>127){F=M;B=y;while(1){b[B>>0]=F|128;Z=F>>>7;Xc=B+1|0;if(F>>>0>16383){F=Z;B=Xc}else{Ge=Xc;He=Z;break}}}else{Ge=y;He=M}b[Ge>>0]=He;B=Ge+1|0;f[i>>2]=B;F=f[v>>2]|0;ra=F<<1^F>>31;if(ra>>>0>127){F=ra;z=B;while(1){b[z>>0]=F|128;Z=F>>>7;Xc=z+1|0;if(F>>>0>16383){F=Z;z=Xc}else{Ie=Xc;Je=Z;break}}}else{Ie=B;Je=ra}b[Ie>>0]=Je;f[i>>2]=Ie+1}break}case 36:{if(f[v>>2]|0){z=f[c+(s*20|0)+4>>2]|0;F=f[i>>2]|0;if(z>>>0>127){M=z;y=F;while(1){b[y>>0]=M|128;Z=M>>>7;Xc=y+1|0;if(M>>>0>16383){M=Z;y=Xc}else{Ke=Xc;Le=Z;break}}}else{Ke=F;Le=z}b[Ke>>0]=Le;y=Ke+1|0;f[i>>2]=y;M=f[v>>2]|0;ra=M<<1^M>>31;if(ra>>>0>127){M=ra;B=y;while(1){b[B>>0]=M|128;Z=M>>>7;Xc=B+1|0;if(M>>>0>16383){M=Z;B=Xc}else{Me=Xc;Ne=Z;break}}}else{Me=y;Ne=ra}b[Me>>0]=Ne;f[i>>2]=Me+1}break}case 56:{if((f[v>>2]|0)>0){B=c+(s*20|0)+4|0;M=v+8|0;z=0;F=f[i>>2]|0;do{Z=f[B>>2]|0;if(Z>>>0>127){Xc=Z;Wc=F;while(1){b[Wc>>0]=Xc|128;G=Xc>>>7;qa=Wc+1|0;if(Xc>>>0>16383){Xc=G;Wc=qa}else{Oe=qa;Pe=G;break}}}else{Oe=F;Pe=Z}b[Oe>>0]=Pe;Wc=Oe+1|0;f[i>>2]=Wc;Xc=f[(f[M>>2]|0)+4+(z<<2)>>2]|0;x=Xc<<1^Xc>>31;if(x>>>0>127){Xc=x;G=Wc;while(1){b[G>>0]=Xc|128;qa=Xc>>>7;L=G+1|0;if(Xc>>>0>16383){Xc=qa;G=L}else{Qe=L;Re=qa;break}}}else{Qe=Wc;Re=x}b[Qe>>0]=Re;F=Qe+1|0;f[i>>2]=F;z=z+1|0}while((z|0)<(f[v>>2]|0))}break}case 76:{if(f[v>>2]|0){z=f[c+(s*20|0)+4>>2]|0;F=f[i>>2]|0;if(z>>>0>127){M=z;B=F;while(1){b[B>>0]=M|128;ra=M>>>7;y=B+1|0;if(M>>>0>16383){M=ra;B=y}else{Se=y;Te=ra;break}}}else{Se=F;Te=z}b[Se>>0]=Te;B=Se+1|0;f[i>>2]=B;M=f[v+12>>2]|0;if(M>>>0>127){ra=M;y=B;while(1){b[y>>0]=ra|128;G=ra>>>7;Xc=y+1|0;if(ra>>>0>16383){ra=G;y=Xc}else{Ue=Xc;Ve=G;break}}}else{Ue=B;Ve=M}b[Ue>>0]=Ve;y=Ue+1|0;f[i>>2]=y;if((f[v>>2]|0)>0){ra=v+8|0;z=0;F=y;do{y=f[(f[ra>>2]|0)+4+(z<<2)>>2]|0;G=y<<1^y>>31;if(G>>>0>127){y=G;Xc=F;while(1){b[Xc>>0]=y|128;Z=y>>>7;qa=Xc+1|0;if(y>>>0>16383){y=Z;Xc=qa}else{We=qa;Xe=Z;break}}}else{We=F;Xe=G}b[We>>0]=Xe;F=We+1|0;f[i>>2]=F;z=z+1|0}while((z|0)<(f[v>>2]|0))}}break}case 96:{z=f[c+(s*20|0)+4>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(z>>>3|0)){F=f[i>>2]|0;if(z>>>0>127){ra=z;M=F;while(1){b[M>>0]=ra|128;B=ra>>>7;Xc=M+1|0;if(ra>>>0>16383){ra=B;M=Xc}else{Ye=Xc;Ze=B;break}}}else{Ye=F;Ze=z}b[Ye>>0]=Ze;M=Ye+1|0;f[i>>2]=M;ra=f[v>>2]|0;B=ra<<1^ra>>31;if(B>>>0>127){ra=B;Xc=M;while(1){b[Xc>>0]=ra|128;y=ra>>>7;x=Xc+1|0;if(ra>>>0>16383){ra=y;Xc=x}else{_e=x;$e=y;break}}}else{_e=M;$e=B}b[_e>>0]=$e;f[i>>2]=_e+1}break}case 17:{Xc=f[c+(s*20|0)+8>>2]|0;if(1<<(Xc&31)&f[a+(Xc>>>5<<2)>>2]|0){Xc=f[c+(s*20|0)+4>>2]|0;ra=f[i>>2]|0;if(Xc>>>0>127){z=Xc;F=ra;while(1){b[F>>0]=z|128;y=z>>>7;x=F+1|0;if(z>>>0>16383){z=y;F=x}else{af=x;bf=y;break}}}else{af=ra;bf=Xc}b[af>>0]=bf;F=af+1|0;f[i>>2]=F;z=v;B=f[z>>2]|0;M=f[z+4>>2]|0;z=Qrc(B|0,M|0,1)|0;y=J;x=Hrc(B|0,M|0,63)|0;M=z^x;x=y^J;y=M&255;if(x>>>0>0|(x|0)==0&M>>>0>127){z=F;B=y;Wc=M;M=x;while(1){b[z>>0]=B|-128;x=Wc;Wc=Irc(Wc|0,M|0,7)|0;Z=z+1|0;qa=Wc&255;if(!(M>>>0>0|(M|0)==0&x>>>0>16383)){cf=Z;df=qa;break}else{z=Z;B=qa;M=J}}}else{cf=F;df=y}b[cf>>0]=df;f[i>>2]=cf+1}break}case 37:{M=v;if(!((f[M>>2]|0)==0&(f[M+4>>2]|0)==0)){M=f[c+(s*20|0)+4>>2]|0;B=f[i>>2]|0;if(M>>>0>127){z=M;Wc=B;while(1){b[Wc>>0]=z|128;Xc=z>>>7;ra=Wc+1|0;if(z>>>0>16383){z=Xc;Wc=ra}else{ef=ra;ff=Xc;break}}}else{ef=B;ff=M}b[ef>>0]=ff;Wc=ef+1|0;f[i>>2]=Wc;z=v;y=f[z>>2]|0;F=f[z+4>>2]|0;z=Qrc(y|0,F|0,1)|0;Xc=J;ra=Hrc(y|0,F|0,63)|0;F=z^ra;ra=Xc^J;Xc=F&255;if(ra>>>0>0|(ra|0)==0&F>>>0>127){z=Wc;y=Xc;qa=F;F=ra;while(1){b[z>>0]=y|-128;ra=qa;qa=Irc(qa|0,F|0,7)|0;Z=z+1|0;x=qa&255;if(!(F>>>0>0|(F|0)==0&ra>>>0>16383)){gf=Z;hf=x;break}else{z=Z;y=x;F=J}}}else{gf=Wc;hf=Xc}b[gf>>0]=hf;f[i>>2]=gf+1}break}case 57:{if((f[v>>2]|0)>0){F=c+(s*20|0)+4|0;y=v+8|0;z=0;qa=f[i>>2]|0;do{M=f[F>>2]|0;if(M>>>0>127){B=M;x=qa;while(1){b[x>>0]=B|128;Z=B>>>7;ra=x+1|0;if(B>>>0>16383){B=Z;x=ra}else{jf=ra;kf=Z;break}}}else{jf=qa;kf=M}b[jf>>0]=kf;x=jf+1|0;f[i>>2]=x;B=(f[y>>2]|0)+8+(z<<3)|0;G=f[B>>2]|0;Z=f[B+4>>2]|0;B=Qrc(G|0,Z|0,1)|0;ra=J;L=Hrc(G|0,Z|0,63)|0;Z=B^L;L=ra^J;ra=Z&255;if(L>>>0>0|(L|0)==0&Z>>>0>127){B=x;G=ra;sa=Z;Z=L;while(1){b[B>>0]=G|-128;L=sa;sa=Irc(sa|0,Z|0,7)|0;ta=B+1|0;K=sa&255;if(!(Z>>>0>0|(Z|0)==0&L>>>0>16383)){lf=ta;mf=K;break}else{B=ta;G=K;Z=J}}}else{lf=x;mf=ra}b[lf>>0]=mf;qa=lf+1|0;f[i>>2]=qa;z=z+1|0}while((z|0)<(f[v>>2]|0))}break}case 77:{if(f[v>>2]|0){z=f[c+(s*20|0)+4>>2]|0;qa=f[i>>2]|0;if(z>>>0>127){y=z;F=qa;while(1){b[F>>0]=y|128;Xc=y>>>7;Wc=F+1|0;if(y>>>0>16383){y=Xc;F=Wc}else{nf=Wc;of=Xc;break}}}else{nf=qa;of=z}b[nf>>0]=of;F=nf+1|0;f[i>>2]=F;y=f[v+12>>2]|0;if(y>>>0>127){Xc=y;Wc=F;while(1){b[Wc>>0]=Xc|128;Z=Xc>>>7;G=Wc+1|0;if(Xc>>>0>16383){Xc=Z;Wc=G}else{pf=G;qf=Z;break}}}else{pf=F;qf=y}b[pf>>0]=qf;Wc=pf+1|0;f[i>>2]=Wc;if((f[v>>2]|0)>0){Xc=v+8|0;z=0;qa=Wc;do{Wc=(f[Xc>>2]|0)+8+(z<<3)|0;Z=f[Wc>>2]|0;G=f[Wc+4>>2]|0;Wc=Qrc(Z|0,G|0,1)|0;B=J;sa=Hrc(Z|0,G|0,63)|0;G=Wc^sa;sa=B^J;B=G&255;if(sa>>>0>0|(sa|0)==0&G>>>0>127){Wc=qa;Z=B;M=G;G=sa;while(1){b[Wc>>0]=Z|-128;sa=M;M=Irc(M|0,G|0,7)|0;K=Wc+1|0;ta=M&255;if(!(G>>>0>0|(G|0)==0&sa>>>0>16383)){rf=K;sf=ta;break}else{Wc=K;Z=ta;G=J}}}else{rf=qa;sf=B}b[rf>>0]=sf;qa=rf+1|0;f[i>>2]=qa;z=z+1|0}while((z|0)<(f[v>>2]|0))}}break}case 97:{z=f[c+(s*20|0)+4>>2]|0;if((f[a+(f[c+(s*20|0)+8>>2]|0)>>2]|0)==(z>>>3|0)){qa=f[i>>2]|0;if(z>>>0>127){Xc=z;y=qa;while(1){b[y>>0]=Xc|128;F=Xc>>>7;G=y+1|0;if(Xc>>>0>16383){Xc=F;y=G}else{tf=G;uf=F;break}}}else{tf=qa;uf=z}b[tf>>0]=uf;y=tf+1|0;f[i>>2]=y;Xc=v;F=f[Xc>>2]|0;G=f[Xc+4>>2]|0;Xc=Qrc(F|0,G|0,1)|0;Z=J;Wc=Hrc(F|0,G|0,63)|0;G=Xc^Wc;Wc=Z^J;Z=G&255;if(Wc>>>0>0|(Wc|0)==0&G>>>0>127){Xc=y;F=Z;M=G;G=Wc;while(1){b[Xc>>0]=F|-128;Wc=M;M=Irc(M|0,G|0,7)|0;ra=Xc+1|0;x=M&255;if(!(G>>>0>0|(G|0)==0&Wc>>>0>16383)){vf=ra;wf=x;break}else{Xc=ra;F=x;G=J}}}else{vf=y;wf=Z}b[vf>>0]=wf;f[i>>2]=vf+1}break}case 100:{eDb(j,f[i>>2]|0,2147483647,-1);yCb(k,j);b[e>>0]=1;b[o>>0]=l;sh[f[c+(s*20|0)+16>>2]&255](a,f[t>>2]|0,f[c+(s*20|0)+4>>2]|0,f[c+(s*20|0)+8>>2]|0,k);f[i>>2]=(f[i>>2]|0)+((f[q>>2]|0)-(f[r>>2]|0));zCb(k);break}default:bCb(w)}while(0);s=s+1|0}while((s|0)<(d|0));m=f[i>>2]|0;u=h;return m|0}function dCb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;c=u;u=u+32|0;a=c;TDb(a,3,479783,512);d=ODb(a,479884)|0;e=ODb(SDb(d,f[b+4>>2]|0)|0,479914)|0;QDb(c+24|0,SDb(e,f[b+12>>2]|0)|0);UDb(a);u=c;return}function eCb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+8>>2]|0;if(!b)return;c=a+4|0;d=a+32|0;e=a+16|0;g=(f[c>>2]|0)-(f[a>>2]|0)+(f[d>>2]|0)+(f[e>>2]|0)|0;if((g|0)<=0)return;xh[f[(f[b>>2]|0)+12>>2]&2047](b,g);g=f[a>>2]|0;b=a+12|0;f[b>>2]=g-(f[c>>2]|0)-(f[d>>2]|0)+(f[b>>2]|0);f[c>>2]=g;f[d>>2]=0;f[e>>2]=0;return}function fCb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=f[a+12>>2]|0;d=a+4|0;e=f[d>>2]|0;g=a+32|0;h=f[g>>2]|0;i=c-e+(f[a>>2]|0)-h|0;j=a+28|0;k=f[j>>2]|0;if(!((k-i|0)>(b|0)&((b|0)>-1&(2147483647-i|0)>=(b|0))))return k|0;l=i+b|0;f[j>>2]=l;j=e+h|0;f[d>>2]=j;h=f[a+36>>2]|0;a=(h|0)<(l|0)?h:l;if((c|0)>(a|0)){l=c-a|0;f[g>>2]=l;f[d>>2]=j+(0-l);return k|0}else{f[g>>2]=0;return k|0}return 0}function gCb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;f[a+28>>2]=c;d=a+32|0;e=a+4|0;g=(f[e>>2]|0)+(f[d>>2]|0)|0;f[e>>2]=g;h=f[a+36>>2]|0;i=(h|0)<(c|0)?h:c;c=f[a+12>>2]|0;if((c|0)>(i|0)){h=c-i|0;f[d>>2]=h;f[e>>2]=g+(0-h);j=a+24|0;b[j>>0]=0;return}else{f[d>>2]=0;j=a+24|0;b[j>>0]=0;return}}function hCb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=f[b+12>>2]|0;e=b+4|0;g=f[e>>2]|0;h=b+32|0;i=f[h>>2]|0;j=d-g+(f[b>>2]|0)-i|0;k=b+28|0;l=f[k>>2]|0;do if((l-j|0)>(c|0)&((c|0)>-1&(2147483647-j|0)>=(c|0))){m=j+c|0;f[k>>2]=m;n=g+i|0;f[e>>2]=n;o=f[b+36>>2]|0;p=(o|0)<(m|0)?o:m;if((d|0)>(p|0)){m=d-p|0;f[h>>2]=m;f[e>>2]=n+(0-m);break}else{f[h>>2]=0;break}}while(0);h=b+40|0;b=(f[h>>2]|0)+-1|0;f[h>>2]=b;f[a>>2]=l;f[a+4>>2]=b;return}function iCb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;d=u;u=u+16|0;e=d;g=f[a+4>>2]|0;i=f[a>>2]|0;j=g;k=i;do if((g-i|0)<=9){if(j>>>0>k>>>0?(b[j+-1>>0]|0)>=0:0)break;jCb(e,a);l=(b[e+8>>0]|0)!=0;m=l?0:-1;n=l?f[e>>2]|0:-1;J=m;u=d;return n|0}while(0);e=k+2|0;j=h[k+1>>0]|0;i=c+-128+(j<<7)|0;if(j&128){j=k+3|0;c=h[e>>0]|0;g=i+-16384+(c<<14)|0;if(c&128){c=k+4|0;l=h[j>>0]|0;o=g+-2097152+(l<<21)|0;if(l&128){l=k+5|0;p=h[c>>0]|0;q=o+-268435456+(p<<28)|0;if(p&128){p=k+6|0;if((b[l>>0]|0)<0){r=k+7|0;if((b[p>>0]|0)<0){s=k+8|0;if((b[r>>0]|0)<0){t=k+9|0;if((b[s>>0]|0)<0)if((b[t>>0]|0)<0){m=-1;n=-1;J=m;u=d;return n|0}else{v=q;w=k+10|0}else{v=q;w=t}}else{v=q;w=s}}else{v=q;w=r}}else{v=q;w=p}}else{v=q;w=l}}else{v=o;w=c}}else{v=g;w=j}}else{v=i;w=e}f[a>>2]=w;m=0;n=v;J=m;u=d;return n|0}function jCb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;d=c+4|0;e=f[d>>2]|0;g=f[c>>2]|0;i=e;j=g;a:do if((e-g|0)>9)k=4;else{if(i>>>0>j>>>0?(b[i+-1>>0]|0)>=0:0){k=4;break}else{l=0;m=0;n=0;o=j;p=i}while(1){if((l|0)==10){q=0;r=0;s=0;break a}if((o|0)==(p|0))while(1){if(!(kCb(c)|0)){q=0;r=0;s=0;break a}t=f[c>>2]|0;u=f[d>>2]|0;if((t|0)!=(u|0)){v=t;w=u;break}}else{v=o;w=p}u=h[v>>0]|0;t=Qrc(u&127|0,0,l*7|0)|0;x=t|m;t=J|n;o=v+1|0;f[c>>2]=o;if(!(u&128)){q=1;r=x;s=t;break}else{l=l+1|0;m=x;n=t;p=w}}}while(0);do if((k|0)==4){w=j+1|0;p=h[j>>0]|0;if(p&128){n=j+2|0;m=h[w>>0]|0;l=p+-128+(m<<7)|0;if(m&128){m=j+3|0;o=h[n>>0]|0;v=l+-16384+(o<<14)|0;if(o&128){o=j+4|0;d=h[m>>0]|0;i=v+-2097152+(d<<21)|0;if(d&128){d=i+-268435456|0;g=j+5|0;e=h[o>>0]|0;if(e&128){t=j+6|0;x=h[g>>0]|0;u=e+-128+(x<<7)|0;if(x&128){x=j+7|0;y=h[t>>0]|0;z=u+-16384+(y<<14)|0;if(y&128){y=j+8|0;A=h[x>>0]|0;B=z+-2097152+(A<<21)|0;if(A&128){A=B+-268435456|0;C=j+9|0;D=h[y>>0]|0;if(D&128){E=h[C>>0]|0;if(!(E&128)){F=D+-128+(E<<7)|0;G=A;H=d;I=j+10|0}else{q=0;r=0;s=0;break}}else{F=D;G=A;H=d;I=C}}else{F=0;G=B;H=d;I=y}}else{F=0;G=z;H=d;I=x}}else{F=0;G=u;H=d;I=t}}else{F=0;G=e;H=d;I=g}}else{F=0;G=0;H=i;I=o}}else{F=0;G=0;H=v;I=m}}else{F=0;G=0;H=l;I=n}}else{F=0;G=0;H=p;I=w}w=Qrc(G|0,0,28)|0;p=J;n=Qrc(F|0,0,56)|0;f[c>>2]=I;q=1;r=w|H|n;s=p|J}while(0);H=a;f[H>>2]=r;f[H+4>>2]=s;b[a+8>>0]=q;return}function kCb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;b=u;u=u+48|0;c=b+28|0;d=b+24|0;e=b;g=b+32|0;h=a+32|0;i=f[h>>2]|0;if(((i|0)<=0?(j=a+16|0,(f[j>>2]|0)<=0):0)?(k=a+12|0,l=a+28|0,(f[k>>2]|0)!=(f[l>>2]|0)):0){m=f[a+8>>2]|0;while(1){if(!(ki[f[(f[m>>2]|0)+8>>2]&511](m,c,d)|0)){n=18;break}o=f[d>>2]|0;if(o|0){n=10;break}}do if((n|0)==10){m=f[c>>2]|0;f[a>>2]=m;p=a+4|0;f[p>>2]=m+o;if((o|0)>-1)q=o;else{TDb(e,3,479926,590);QDb(g,ODb(e,480020)|0);UDb(e);q=f[d>>2]|0}m=f[k>>2]|0;r=2147483647-q|0;if((m|0)>(r|0)){s=m-r|0;f[j>>2]=s;r=(f[p>>2]|0)+(0-s)|0;f[p>>2]=r;t=r;v=2147483647}else{t=f[p>>2]|0;v=q+m|0}f[k>>2]=v;m=t+(f[h>>2]|0)|0;f[p>>2]=m;r=f[a+36>>2]|0;s=f[l>>2]|0;w=(r|0)<(s|0)?r:s;if((v|0)>(w|0)){s=v-w|0;f[h>>2]=s;f[p>>2]=m+(0-s);x=1;break}else{f[h>>2]=0;x=1;break}}else if((n|0)==18){f[a>>2]=0;f[a+4>>2]=0;x=0}while(0);y=x;u=b;return y|0}x=f[a+36>>2]|0;if(((f[a+12>>2]|0)-i|0)<(x|0)){y=0;u=b;return y|0}if((x|0)==(f[a+28>>2]|0)){y=0;u=b;return y|0}lCb(a);y=0;u=b;return y|0}function lCb(a){a=a|0;var b=0,c=0,d=0;b=u;u=u+32|0;c=b;TDb(c,2,479926,193);d=ODb(c,480057)|0;QDb(b+24|0,ODb(RDb(d,f[a+36>>2]|0)|0,480124)|0);UDb(c);u=b;return}function mCb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=a+24|0;e=(b[d>>0]|0)!=0;f[a+28>>2]=c;g=a+32|0;h=a+4|0;i=(f[h>>2]|0)+(f[g>>2]|0)|0;f[h>>2]=i;j=f[a+36>>2]|0;k=(j|0)<(c|0)?j:c;c=f[a+12>>2]|0;if((c|0)>(k|0)){j=c-k|0;f[g>>2]=j;f[h>>2]=i+(0-j);b[d>>0]=0;l=a+40|0;m=f[l>>2]|0;n=m+1|0;f[l>>2]=n;return e|0}else{f[g>>2]=0;b[d>>0]=0;l=a+40|0;m=f[l>>2]|0;n=m+1|0;f[l>>2]=n;return e|0}return 0}function nCb(a){a=a|0;var b=0,c=0;b=f[a+28>>2]|0;if((b|0)==2147483647){c=-1;return c|0}c=b-(f[a+12>>2]|0)+(f[a+4>>2]|0)-(f[a>>2]|0)+(f[a+32>>2]|0)|0;return c|0}function oCb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;c=f[a+12>>2]|0;d=a+4|0;e=f[d>>2]|0;g=a+32|0;h=f[g>>2]|0;i=c-e+(f[a>>2]|0)-h|0;j=(i|0)<(b|0)?b:i;f[a+36>>2]=j;i=e+h|0;f[d>>2]=i;h=f[a+28>>2]|0;a=(j|0)<(h|0)?j:h;if((c|0)>(a|0)){h=c-a|0;f[g>>2]=h;f[d>>2]=i+(0-h);return}else{f[g>>2]=0;return}}function pCb(a){a=a|0;var b=0,c=0;b=f[a+36>>2]|0;if((b|0)==2147483647){c=-1;return c|0}c=b-(f[a+12>>2]|0)+(f[a+4>>2]|0)-(f[a>>2]|0)+(f[a+32>>2]|0)|0;return c|0}function qCb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;if((f[a+32>>2]|0)>0){f[a>>2]=(f[a>>2]|0)+c;d=0;return d|0}e=b-c|0;f[a>>2]=0;f[a+4>>2]=0;c=f[a+36>>2]|0;b=f[a+28>>2]|0;g=(c|0)<(b|0)?c:b;b=a+12|0;c=f[b>>2]|0;h=g-c|0;if((h|0)>=(e|0)){f[b>>2]=c+e;c=f[a+8>>2]|0;d=Sh[f[(f[c>>2]|0)+16>>2]&511](c,e)|0;return d|0}if((h|0)<=0){d=0;return d|0}f[b>>2]=g;g=f[a+8>>2]|0;Sh[f[(f[g>>2]|0)+16>>2]&511](g,h)|0;d=0;return d|0}function rCb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=a+4|0;e=c;c=b;while(1){b=f[a>>2]|0;g=(f[d>>2]|0)-b|0;h=b;if((e|0)<=(g|0))break;Krc(c|0,h|0,g|0)|0;f[a>>2]=(f[a>>2]|0)+g;if(kCb(a)|0){e=e-g|0;c=c+g|0}else{i=0;j=5;break}}if((j|0)==5)return i|0;Krc(c|0,h|0,e|0)|0;f[a>>2]=(f[a>>2]|0)+e;i=1;return i|0}function sCb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;if((d|0)<0){e=0;return e|0}if(((f[a+4>>2]|0)-(f[a>>2]|0)|0)<(d|0)){e=tCb(a,c,d)|0;return e|0}Wmc(c,d,0);g=b[c+11>>0]|0;h=g<<24>>24<0;if(h)i=f[c+4>>2]|0;else i=g&255;if(!i){e=1;return e|0}if(h)j=f[c>>2]|0;else j=c;if(!j){e=1;return e|0}Krc(j|0,f[a>>2]|0,d|0)|0;f[a>>2]=(f[a>>2]|0)+d;e=1;return e|0}function tCb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=c+11|0;g=b[e>>0]|0;h=g<<24>>24<0;if(h)i=f[c+4>>2]|0;else i=g&255;do if(i|0)if(h){b[f[c>>2]>>0]=0;f[c+4>>2]=0;break}else{b[c>>0]=0;b[e>>0]=0;break}while(0);e=f[a+36>>2]|0;h=f[a+28>>2]|0;i=(e|0)<(h|0)?e:h;if((i|0)!=2147483647){h=a+4|0;e=i-(f[a+12>>2]|0)+(f[h>>2]|0)-(f[a>>2]|0)+(f[a+32>>2]|0)|0;if((e|0)<(d|0)|((d|0)<1|(e|0)<1)){j=h;k=a}else{Umc(c,d);j=h;k=a}}else{j=a+4|0;k=a}h=d;while(1){d=f[k>>2]|0;e=(f[j>>2]|0)-d|0;l=d;if((h|0)<=(e|0))break;if(!e)m=l;else{$mc(c,l,e)|0;m=f[a>>2]|0}f[a>>2]=m+e;if(kCb(a)|0)h=h-e|0;else{n=0;o=18;break}}if((o|0)==18)return n|0;$mc(c,l,h)|0;f[a>>2]=(f[a>>2]|0)+h;n=1;return n|0}function uCb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+16|0;e=d;g=a+4|0;i=f[g>>2]|0;j=f[a>>2]|0;k=j;if((i-j|0)>>>0>3){l=k;m=k+4|0}else{k=i-j|0;i=j;a:do if((k|0)<4){j=4;n=e;o=i;p=k;while(1){Krc(n|0,o|0,p|0)|0;f[a>>2]=(f[a>>2]|0)+p;if(!(kCb(a)|0)){q=0;break}r=j-p|0;s=n+p|0;t=f[a>>2]|0;p=(f[g>>2]|0)-t|0;v=t;if((r|0)<=(p|0)){w=r;x=s;y=v;break a}else{j=r;n=s;o=v}}u=d;return q|0}else{w=4;x=e;y=i}while(0);Krc(x|0,y|0,w|0)|0;l=e;m=(f[a>>2]|0)+w|0}f[a>>2]=m;m=h[l>>0]|h[l+1>>0]<<8|h[l+2>>0]<<16|h[l+3>>0]<<24;b[c>>0]=m;b[c+1>>0]=m>>8;b[c+2>>0]=m>>16;b[c+3>>0]=m>>24;q=1;u=d;return q|0}function vCb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+16|0;e=d;g=a+4|0;i=f[g>>2]|0;j=f[a>>2]|0;k=j;if((i-j|0)>>>0>7){l=k;m=k+8|0}else{k=i-j|0;i=j;a:do if((k|0)<8){j=8;n=e;o=i;p=k;while(1){Krc(n|0,o|0,p|0)|0;f[a>>2]=(f[a>>2]|0)+p;if(!(kCb(a)|0)){q=0;break}r=j-p|0;s=n+p|0;t=f[a>>2]|0;p=(f[g>>2]|0)-t|0;v=t;if((r|0)<=(p|0)){w=r;x=s;y=v;break a}else{j=r;n=s;o=v}}u=d;return q|0}else{w=8;x=e;y=i}while(0);Krc(x|0,y|0,w|0)|0;l=e;m=(f[a>>2]|0)+w|0}f[a>>2]=m;m=l;l=m;a=h[l>>0]|h[l+1>>0]<<8|h[l+2>>0]<<16|h[l+3>>0]<<24;l=m+4|0;m=h[l>>0]|h[l+1>>0]<<8|h[l+2>>0]<<16|h[l+3>>0]<<24;l=c;c=l;b[c>>0]=a;b[c+1>>0]=a>>8;b[c+2>>0]=a>>16;b[c+3>>0]=a>>24;a=l+4|0;b[a>>0]=m;b[a+1>>0]=m>>8;b[a+2>>0]=m>>16;b[a+3>>0]=m>>24;q=1;u=d;return q|0}function wCb(a){a=a|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;c=u;u=u+16|0;d=c;e=f[a+4>>2]|0;g=f[a>>2]|0;i=e;j=g;do if((e-g|0)<=9){if(i>>>0>j>>>0?(b[i+-1>>0]|0)>=0:0)break;jCb(d,a);if(!(b[d+8>>0]|0))k=-1;else{l=d;m=f[l>>2]|0;n=f[l+4>>2]|0;k=n>>>0>0|(n|0)==0&m>>>0>2147483647?-1:m}o=k;u=c;return o|0}while(0);k=j+1|0;d=h[j>>0]|0;if(d&128){i=j+2|0;g=h[k>>0]|0;e=d+-128+(g<<7)|0;if(g&128){g=j+3|0;m=h[i>>0]|0;n=e+-16384+(m<<14)|0;if(m&128){m=j+4|0;l=h[g>>0]|0;p=n+-2097152+(l<<21)|0;if(l&128){l=p+-268435456|0;q=j+5|0;r=h[m>>0]|0;if(r&128){s=j+6|0;t=h[q>>0]|0;v=r+-128+(t<<7)|0;if(t&128){t=j+7|0;w=h[s>>0]|0;x=v+-16384+(w<<14)|0;if(w&128){w=j+8|0;y=h[t>>0]|0;z=x+-2097152+(y<<21)|0;if(y&128){y=z+-268435456|0;A=j+9|0;B=h[w>>0]|0;if(B&128){C=h[A>>0]|0;if(!(C&128)){D=B+-128+(C<<7)|0;E=y;F=l;G=j+10|0}else{o=-1;u=c;return o|0}}else{D=B;E=y;F=l;G=A}}else{D=0;E=z;F=l;G=w}}else{D=0;E=x;F=l;G=t}}else{D=0;E=v;F=l;G=s}}else{D=0;E=r;F=l;G=q}}else{D=0;E=0;F=p;G=m}}else{D=0;E=0;F=n;G=g}}else{D=0;E=0;F=e;G=i}}else{D=0;E=0;F=d;G=k}k=Qrc(E|0,0,28)|0;E=J;d=k|F;F=Qrc(D|0,0,56)|0;D=E|J;if(D>>>0>0|(D|0)==0&(d|F)>>>0>2147483647){o=-1;u=c;return o|0}f[a>>2]=G;o=d;u=c;return o|0}function xCb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;d=u;u=u+16|0;e=d;g=a+4|0;i=f[g>>2]|0;j=f[a>>2]|0;k=i-j|0;l=i;i=j;a:do if((k|0)<=9){do if((k|0)>0){if((b[l+-1>>0]|0)>=0)break a}else if(!k){j=f[a+32>>2]|0;m=f[a+12>>2]|0;if((j|0)<=0?(m|0)!=(f[a+28>>2]|0):0)break;if((m-j|0)<(f[a+36>>2]|0)){b[a+24>>0]=1;n=0;u=d;return n|0}}while(0);do if((i|0)==(l|0)){if(kCb(a)|0){o=f[a>>2]|0;p=f[g>>2]|0;break}j=f[a+36>>2]|0;if(((f[a+12>>2]|0)-(f[a+32>>2]|0)|0)<(j|0)){b[a+24>>0]=1;n=0;u=d;return n|0}else{b[a+24>>0]=(f[a+28>>2]|0)==(j|0)&1;n=0;u=d;return n|0}}else{o=i;p=l}while(0);if(o>>>0<p>>>0?(j=b[o>>0]|0,j<<24>>24>-1):0){f[a>>2]=o+1;q=j&255}else{jCb(e,a);if(!(b[e+8>>0]|0)){n=0;u=d;return n|0}else q=f[e>>2]|0}n=q;u=d;return n|0}while(0);if(!c){f[a>>2]=i+1;n=0;u=d;return n|0}q=i+2|0;e=h[i+1>>0]|0;o=c+-128+(e<<7)|0;if(e&128){e=i+3|0;c=h[q>>0]|0;p=o+-16384+(c<<14)|0;if(c&128){c=i+4|0;l=h[e>>0]|0;g=p+-2097152+(l<<21)|0;if(l&128){l=i+5|0;k=h[c>>0]|0;j=g+-268435456+(k<<28)|0;if(k&128){k=i+6|0;if((b[l>>0]|0)<0){m=i+7|0;if((b[k>>0]|0)<0){r=i+8|0;if((b[m>>0]|0)<0){s=i+9|0;if((b[r>>0]|0)<0)if((b[s>>0]|0)<0){n=0;u=d;return n|0}else{t=j;v=i+10|0}else{t=j;v=s}}else{t=j;v=r}}else{t=j;v=m}}else{t=j;v=k}}else{t=j;v=l}}else{t=g;v=c}}else{t=p;v=e}}else{t=o;v=q}f[a>>2]=v;n=t;u=d;return n|0}function yCb(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+16|0;g=e;f[a>>2]=c;h=a+4|0;i=a+8|0;j=a+12|0;k=a+16|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;d[h+12>>1]=0;b[h+14>>0]=0;if(ki[f[(f[c>>2]|0)+8>>2]&511](c,g,i)|0){f[h>>2]=f[g>>2];f[j>>2]=(f[j>>2]|0)+(f[i>>2]|0);b[k>>0]=0;u=e;return}else{f[h>>2]=0;f[i>>2]=0;b[k>>0]=1;b[k>>0]=0;u=e;return}}function zCb(a){a=a|0;var b=0,c=0,d=0;b=a+8|0;c=f[b>>2]|0;if((c|0)<=0)return;d=f[a>>2]|0;xh[f[(f[d>>2]|0)+12>>2]&2047](d,c);c=a+12|0;f[c>>2]=(f[c>>2]|0)-(f[b>>2]|0);f[b>>2]=0;f[a+4>>2]=0;return}function ACb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;e=u;u=u+16|0;g=e;h=a+8|0;i=f[h>>2]|0;j=a+4|0;k=f[j>>2]|0;a:do if((i|0)<(d|0)){l=a+12|0;m=d;n=c;o=k;p=i;while(1){Krc(o|0,n|0,p|0)|0;q=f[h>>2]|0;r=f[a>>2]|0;if(!(ki[f[(f[r>>2]|0)+8>>2]&511](r,g,h)|0))break;r=n+q|0;s=m-q|0;q=f[g>>2]|0;f[j>>2]=q;p=f[h>>2]|0;f[l>>2]=(f[l>>2]|0)+p;t=q;if((p|0)>=(s|0)){v=s;w=r;x=t;break a}else{m=s;n=r;o=t}}f[j>>2]=0;f[h>>2]=0;b[a+16>>0]=1;u=e;return}else{v=d;w=c;x=k}while(0);Krc(x|0,w|0,v|0)|0;f[j>>2]=(f[j>>2]|0)+v;f[h>>2]=(f[h>>2]|0)-v;u=e;return}function BCb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0;e=a+8|0;g=f[e>>2]|0;if((g|0)>(d|0)){i=a+4|0;Krc(f[i>>2]|0,c|0,d|0)|0;f[i>>2]=(f[i>>2]|0)+d;f[e>>2]=(f[e>>2]|0)-d;return}if((g|0)>0){i=f[a>>2]|0;xh[f[(f[i>>2]|0)+12>>2]&2047](i,g);g=a+12|0;i=(f[g>>2]|0)-(f[e>>2]|0)|0;f[g>>2]=i;f[e>>2]=0;f[a+4>>2]=0;j=a;k=g;l=i}else{i=a+12|0;j=a;k=i;l=f[i>>2]|0}f[k>>2]=l+d;l=f[j>>2]|0;j=((ki[f[(f[l>>2]|0)+20>>2]&511](l,c,d)|0)^1)&1;d=a+16|0;b[d>>0]=h[d>>0]|0|j;return}function CCb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+16|0;e=d+4|0;g=d;h=a+8|0;i=f[h>>2]|0;if(i>>>0>3){j=a+4|0;k=f[j>>2]|0;b[k>>0]=c;b[k+1>>0]=c>>8;b[k+2>>0]=c>>16;b[k+3>>0]=c>>24;f[j>>2]=(f[j>>2]|0)+4;f[h>>2]=(f[h>>2]|0)+-4;u=d;return}f[g>>2]=c;c=a+4|0;j=a+12|0;k=4;l=g;g=f[c>>2]|0;m=i;while(1){Krc(g|0,l|0,m|0)|0;i=f[h>>2]|0;n=f[a>>2]|0;if(!(ki[f[(f[n>>2]|0)+8>>2]&511](n,e,h)|0)){o=6;break}l=l+i|0;k=k-i|0;i=f[e>>2]|0;f[c>>2]=i;m=f[h>>2]|0;f[j>>2]=(f[j>>2]|0)+m;g=i;if((m|0)>=(k|0)){o=7;break}}if((o|0)==6){f[c>>2]=0;f[h>>2]=0;b[a+16>>0]=1;u=d;return}else if((o|0)==7){Krc(g|0,l|0,k|0)|0;f[c>>2]=(f[c>>2]|0)+k;f[h>>2]=(f[h>>2]|0)-k;u=d;return}}function DCb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+16|0;g=e+8|0;h=e;i=a+8|0;j=f[i>>2]|0;if(j>>>0>7){k=a+4|0;l=f[k>>2]|0;m=l;b[m>>0]=c;b[m+1>>0]=c>>8;b[m+2>>0]=c>>16;b[m+3>>0]=c>>24;m=l+4|0;b[m>>0]=d;b[m+1>>0]=d>>8;b[m+2>>0]=d>>16;b[m+3>>0]=d>>24;f[k>>2]=(f[k>>2]|0)+8;f[i>>2]=(f[i>>2]|0)+-8;u=e;return}k=h;f[k>>2]=c;f[k+4>>2]=d;d=a+4|0;k=a+12|0;c=8;m=h;h=f[d>>2]|0;l=j;while(1){Krc(h|0,m|0,l|0)|0;j=f[i>>2]|0;n=f[a>>2]|0;if(!(ki[f[(f[n>>2]|0)+8>>2]&511](n,g,i)|0)){o=6;break}m=m+j|0;c=c-j|0;j=f[g>>2]|0;f[d>>2]=j;l=f[i>>2]|0;f[k>>2]=(f[k>>2]|0)+l;h=j;if((l|0)>=(c|0)){o=7;break}}if((o|0)==6){f[d>>2]=0;f[i>>2]=0;b[a+16>>0]=1;u=e;return}else if((o|0)==7){Krc(h|0,m|0,c|0)|0;f[d>>2]=(f[d>>2]|0)+c;f[i>>2]=(f[i>>2]|0)-c;u=e;return}}function ECb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;d=u;u=u+16|0;e=d;g=d+4|0;if(c>>>0>127){h=c;i=g;while(1){b[i>>0]=h|128;j=h>>>7;k=i+1|0;if(h>>>0>16383){h=j;i=k}else{l=k;m=j;break}}}else{l=g;m=c}b[l>>0]=m;m=l+1-g|0;l=a+8|0;c=f[l>>2]|0;i=a+4|0;h=f[i>>2]|0;a:do if((c|0)<(m|0)){j=a+12|0;k=m;n=g;o=h;p=c;while(1){Krc(o|0,n|0,p|0)|0;q=f[l>>2]|0;r=f[a>>2]|0;if(!(ki[f[(f[r>>2]|0)+8>>2]&511](r,e,l)|0))break;r=n+q|0;s=k-q|0;q=f[e>>2]|0;f[i>>2]=q;p=f[l>>2]|0;f[j>>2]=(f[j>>2]|0)+p;t=q;if((p|0)>=(s|0)){v=s;w=r;x=t;break a}else{k=s;n=r;o=t}}f[i>>2]=0;f[l>>2]=0;b[a+16>>0]=1;u=d;return}else{v=m;w=g;x=h}while(0);Krc(x|0,w|0,v|0)|0;f[i>>2]=(f[i>>2]|0)+v;f[l>>2]=(f[l>>2]|0)-v;u=d;return}function FCb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;e=u;u=u+16|0;g=e;h=e+4|0;i=c&255;if(d>>>0>0|(d|0)==0&c>>>0>127){j=h;k=i;l=c;c=d;while(1){b[j>>0]=k|-128;d=l;l=Irc(l|0,c|0,7)|0;m=j+1|0;n=l&255;if(!(c>>>0>0|(c|0)==0&d>>>0>16383)){o=m;p=n;break}else{j=m;k=n;c=J}}}else{o=h;p=i}b[o>>0]=p;p=o+1-h|0;o=a+8|0;i=f[o>>2]|0;c=a+4|0;k=f[c>>2]|0;a:do if((i|0)<(p|0)){j=a+12|0;l=p;n=h;m=k;d=i;while(1){Krc(m|0,n|0,d|0)|0;q=f[o>>2]|0;r=f[a>>2]|0;if(!(ki[f[(f[r>>2]|0)+8>>2]&511](r,g,o)|0))break;r=n+q|0;s=l-q|0;q=f[g>>2]|0;f[c>>2]=q;d=f[o>>2]|0;f[j>>2]=(f[j>>2]|0)+d;t=q;if((d|0)>=(s|0)){v=s;w=r;x=t;break a}else{l=s;n=r;m=t}}f[c>>2]=0;f[o>>2]=0;b[a+16>>0]=1;u=e;return}else{v=p;w=h;x=k}while(0);Krc(x|0,w|0,v|0)|0;f[c>>2]=(f[c>>2]|0)+v;f[o>>2]=(f[o>>2]|0)-v;u=e;return}function GCb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=a+11|0;e=b[d>>0]|0;if(e<<24>>24<0){g=a+4|0;h=f[g>>2]|0;if(h>>>0>127){i=h;j=c;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;o=g;break}}}else{m=c;n=h;o=g}}else{m=c;n=e&255;o=a+4|0}b[m>>0]=n;n=m+1|0;m=b[d>>0]|0;d=m<<24>>24<0;e=d?f[o>>2]|0:m&255;Krc(n|0,(d?f[a>>2]|0:a)|0,e|0)|0;return n+e|0}function HCb(a){a=a|0;return}function ICb(a){a=a|0;Emc(a);return}function JCb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=a+16|0;e=f[d>>2]|0;g=f[a+8>>2]|0;if((g|0)>(e|0)){h=g-e|0;g=f[a+12>>2]|0;i=(h|0)<(g|0)?h:g;g=a+20|0;f[g>>2]=i;f[b>>2]=(f[a+4>>2]|0)+e;f[c>>2]=i;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0);j=1;return j|0}else{f[a+20>>2]=0;j=0;return j|0}return 0}function KCb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+80|0;d=c+48|0;e=c+24|0;g=c;h=a+20|0;i=f[h>>2]|0;if((i|0)>0)j=i;else{TDb(d,3,480269,82);QDb(c+74|0,ODb(ODb(d,480408)|0,480452)|0);UDb(d);j=f[h>>2]|0}if((j|0)<(b|0)){TDb(e,3,480269,84);QDb(c+73|0,ODb(e,480507)|0);UDb(e)}if((b|0)>-1){k=a+16|0;l=f[k>>2]|0;m=l-b|0;f[k>>2]=m;f[h>>2]=0;u=c;return}TDb(g,3,480269,85);QDb(c+72|0,ODb(g,480377)|0);UDb(g);k=a+16|0;l=f[k>>2]|0;m=l-b|0;f[k>>2]=m;f[h>>2]=0;u=c;return}function LCb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+32|0;d=c;if((b|0)<=-1){TDb(d,3,480269,91);QDb(c+24|0,ODb(d,480377)|0);UDb(d)}f[a+20>>2]=0;d=f[a+8>>2]|0;e=a+16|0;a=f[e>>2]|0;g=(d-a|0)<(b|0);f[e>>2]=g?d:a+b|0;u=c;return g^1|0}function MCb(a){a=a|0;var b=0;b=f[a+16>>2]|0;J=((b|0)<0)<<31>>31;return b|0}function NCb(a){a=a|0;return}function OCb(a){a=a|0;Emc(a);return}function PCb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=a+16|0;e=f[d>>2]|0;g=f[a+8>>2]|0;if((g|0)>(e|0)){h=g-e|0;g=f[a+12>>2]|0;i=(h|0)<(g|0)?h:g;g=a+20|0;f[g>>2]=i;f[b>>2]=(f[a+4>>2]|0)+e;f[c>>2]=i;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0);j=1;return j|0}else{f[a+20>>2]=0;j=0;return j|0}return 0}function QCb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+80|0;d=c+48|0;e=c+24|0;g=c;h=a+20|0;i=f[h>>2]|0;if((i|0)>0)j=i;else{TDb(d,3,480269,132);QDb(c+74|0,ODb(ODb(d,480408)|0,480452)|0);UDb(d);j=f[h>>2]|0}if((j|0)<(b|0)){TDb(e,3,480269,134);QDb(c+73|0,ODb(e,480507)|0);UDb(e)}if((b|0)>-1){k=a+16|0;l=f[k>>2]|0;m=l-b|0;f[k>>2]=m;f[h>>2]=0;u=c;return}TDb(g,3,480269,135);QDb(c+72|0,ODb(g,480377)|0);UDb(g);k=a+16|0;l=f[k>>2]|0;m=l-b|0;f[k>>2]=m;f[h>>2]=0;u=c;return}function RCb(a){a=a|0;var b=0;b=f[a+16>>2]|0;J=((b|0)<0)<<31>>31;return b|0}function SCb(a){a=a|0;return 0}function TCb(a){a=a|0;Emc(a);return}function UCb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+64|0;g=e+24|0;h=e;i=e+48|0;j=a+4|0;a=f[j>>2]|0;if(!a){TDb(g,3,480269,151);QDb(e+49|0,ODb(g,480680)|0);UDb(g);k=f[j>>2]|0}else k=a;a=b[k+11>>0]|0;g=a<<24>>24<0;if(g){l=f[k+4>>2]|0;m=(f[k+8>>2]&2147483647)+-1|0}else{l=a&255;m=10}do if(l>>>0<m>>>0){if(g)n=(f[k+8>>2]&2147483647)+-1|0;else n=10;Wmc(k,n,0)}else{if((l|0)<=1073741823){a=l<<1;Wmc(k,(a|0)>16?a:16,0);break}TDb(h,2,480269,164);QDb(i,ODb(ODb(h,480757)|0,480807)|0);UDb(h);o=0;u=e;return o|0}while(0);h=f[j>>2]|0;i=b[h+11>>0]|0;k=i<<24>>24<0;if(k)p=f[h+4>>2]|0;else p=i&255;do if(p)if(k){q=f[h>>2]|0;break}else{q=h;break}else q=0;while(0);f[c>>2]=q+l;q=f[j>>2]|0;j=b[q+11>>0]|0;if(j<<24>>24<0)r=f[q+4>>2]|0;else r=j&255;f[d>>2]=r-l;o=1;u=e;return o|0}function VCb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+80|0;e=d+48|0;g=d+24|0;h=d;if((c|0)<=-1){TDb(e,3,480269,182);QDb(d+74|0,ODb(e,480377)|0);UDb(e)}e=a+4|0;a=f[e>>2]|0;if(!a){TDb(g,3,480269,183);QDb(d+73|0,ODb(g,480680)|0);UDb(g);i=f[e>>2]|0}else i=a;a=b[i+11>>0]|0;if(a<<24>>24<0)j=f[i+4>>2]|0;else j=a&255;if(j>>>0<c>>>0){TDb(h,3,480269,184);QDb(d+72|0,ODb(h,480712)|0);UDb(h);h=f[e>>2]|0;k=b[h+11>>0]|0;l=h}else{k=a;l=i}if(k<<24>>24<0){m=f[l+4>>2]|0;n=m-c|0;Wmc(l,n,0);u=d;return}else{m=k&255;n=m-c|0;Wmc(l,n,0);u=d;return}}function WCb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+32|0;d=c;e=a+4|0;a=f[e>>2]|0;if(!a){TDb(d,3,480269,189);QDb(c+24|0,ODb(d,480680)|0);UDb(d);g=f[e>>2]|0}else g=a;a=b[g+11>>0]|0;if(a<<24>>24<0){h=f[g+4>>2]|0;J=0;u=c;return h|0}else{h=a&255;J=0;u=c;return h|0}return 0}function XCb(a){a=a|0;var c=0;f[a>>2]=149700;if(b[a+8>>0]|0?(c=f[a+4>>2]|0,c|0):0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+24>>2]|0;if(!c)return;Fmc(c);return}function YCb(a){a=a|0;var c=0;f[a>>2]=149700;if(b[a+8>>0]|0?(c=f[a+4>>2]|0,c|0):0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+24>>2]|0;if(!c){Emc(a);return}Fmc(c);Emc(a);return}function ZCb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a+9|0;if(b[e>>0]|0){g=0;return g|0}h=a+24|0;i=f[h>>2]|0;if(!i){j=f[a+28>>2]|0;k=Dmc((j|0)>-1?j:-1)|0;f[h>>2]=k;l=k}else l=i;i=a+36|0;k=f[i>>2]|0;if((k|0)>0){f[c>>2]=l+(f[a+32>>2]|0)+(0-k);f[d>>2]=k;f[i>>2]=0;g=1;return g|0}i=f[a+4>>2]|0;k=ki[f[(f[i>>2]|0)+8>>2]&511](i,l,f[a+28>>2]|0)|0;f[a+32>>2]=k;if((k|0)>=1){l=a+16|0;i=l;j=Arc(f[i>>2]|0,f[i+4>>2]|0,k|0,((k|0)<0)<<31>>31|0)|0;i=l;f[i>>2]=j;f[i+4>>2]=J;f[d>>2]=k;f[c>>2]=f[h>>2];g=1;return g|0}if((k|0)<0)b[e>>0]=1;bDb(a);g=0;return g|0}function _Cb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=u;u=u+80|0;d=c+48|0;e=c+74|0;g=c+24|0;h=c+73|0;i=c;j=c+72|0;k=a+36|0;if(!((f[k>>2]|0)==0?(f[a+24>>2]|0)!=0:0)){TDb(d,3,480269,266);QDb(e,ODb(ODb(d,480869)|0,480929)|0);UDb(d)}if((f[a+32>>2]|0)<(b|0)){TDb(g,3,480269,268);QDb(h,ODb(ODb(g,480972)|0,481014)|0);UDb(g)}if((b|0)>-1){f[k>>2]=b;u=c;return}TDb(i,3,480269,271);QDb(j,ODb(ODb(i,480377)|0,481092)|0);UDb(i);f[k>>2]=b;u=c;return}function $Cb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+32|0;e=d;if((c|0)<=-1){TDb(e,3,480269,278);QDb(d+24|0,ODb(e,480377)|0);UDb(e)}if(b[a+9>>0]|0){g=0;u=d;return g|0}e=a+36|0;h=f[e>>2]|0;if((h|0)<(c|0)){i=c-h|0;f[e>>2]=0;j=f[a+4>>2]|0;k=Sh[f[(f[j>>2]|0)+12>>2]&511](j,i)|0;j=a+16|0;a=j;l=Arc(f[a>>2]|0,f[a+4>>2]|0,k|0,((k|0)<0)<<31>>31|0)|0;a=j;f[a>>2]=l;f[a+4>>2]=J;g=(k|0)==(i|0);u=d;return g|0}else{f[e>>2]=h-c;g=1;u=d;return g|0}return 0}function aDb(a){a=a|0;var b=0,c=0;b=a+16|0;c=f[a+36>>2]|0;a=zrc(f[b>>2]|0,f[b+4>>2]|0,c|0,((c|0)<0)<<31>>31|0)|0;return a|0}function bDb(a){a=a|0;var b=0,c=0;b=u;u=u+32|0;c=b;if(f[a+36>>2]|0){TDb(c,3,480269,311);QDb(b+24|0,ODb(c,481134)|0);UDb(c)}f[a+32>>2]=0;c=a+24|0;a=f[c>>2]|0;if(!a){u=b;return}Fmc(a);f[c>>2]=0;u=b;return}function cDb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+4096|0;d=c;e=0;while(1){if((e|0)>=(b|0)){g=4;break}h=b-e|0;i=ki[f[(f[a>>2]|0)+8>>2]&511](a,d,(h|0)<4096?h:4096)|0;h=(i|0)<1;if(h){g=4;break}else e=(h?0:i)+e|0}if((g|0)==4){u=c;return e|0}return 0}function dDb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;f[a>>2]=149596;f[a+4>>2]=b;f[a+8>>2]=c;f[a+12>>2]=(d|0)>0?d:c;f[a+16>>2]=0;f[a+20>>2]=0;return}function eDb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;f[a>>2]=149628;f[a+4>>2]=b;f[a+8>>2]=c;f[a+12>>2]=(d|0)>0?d:c;f[a+16>>2]=0;f[a+20>>2]=0;return}function fDb(a,b){a=a|0;b=b|0;f[a>>2]=149664;f[a+4>>2]=b;return}function gDb(a,c,d){a=a|0;c=c|0;d=d|0;f[a>>2]=149700;f[a+4>>2]=c;b[a+8>>0]=0;b[a+9>>0]=0;c=a+16|0;f[c>>2]=0;f[c+4>>2]=0;f[a+24>>2]=0;f[a+28>>2]=(d|0)>0?d:8192;f[a+32>>2]=0;f[a+36>>2]=0;return}function hDb(a,b){a=a|0;b=b|0;return ki[f[(f[a>>2]|0)+64>>2]&511](a,(f[222909]|0)!=0,b)|0}function iDb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+80|0;g=e+48|0;h=e+24|0;i=e;j=ci[f[(f[a>>2]|0)+68>>2]&1023](a)|0;if(j|0){k=cCb(a,(f[j+4>>2]|0)+20|0,(f[j>>2]|0)+-1|0,c,d)|0;u=e;return k|0}j=ci[f[(f[a>>2]|0)+60>>2]&1023](a)|0;eDb(g,d,j,-1);yCb(h,g);b[h+18>>0]=1;b[h+19>>0]=c&1;xh[f[(f[a>>2]|0)+52>>2]&2047](a,h);if(b[h+16>>0]|0){TDb(i,3,481265,373);QDb(e+72|0,ODb(i,481356)|0);UDb(i)}zCb(h);k=d+j|0;u=e;return k|0}function jDb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+64|0;e=d+40|0;g=d+16|0;h=d;ai[f[(f[a>>2]|0)+28>>2]&2047](a);if(!(Sh[f[(f[a>>2]|0)+44>>2]&511](a,c)|0)){i=0;u=d;return i|0}if(ci[f[(f[a>>2]|0)+32>>2]&1023](a)|0){i=1;u=d;return i|0}TDb(g,2,481265,121);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;anc(h,481426)|0;anc(h,481433)|0;anc(h,481439)|0;xh[f[(f[a>>2]|0)+8>>2]&2047](e,a);c=e+11|0;j=b[c>>0]|0;k=j<<24>>24<0;$mc(h,k?f[e>>2]|0:e,k?f[e+4>>2]|0:j&255)|0;if((b[c>>0]|0)<0)Emc(f[e>>2]|0);anc(h,481458)|0;xh[f[(f[a>>2]|0)+36>>2]&2047](e,a);a=e+11|0;c=b[a>>0]|0;j=c<<24>>24<0;$mc(h,j?f[e>>2]|0:e,j?f[e+4>>2]|0:c&255)|0;if((b[a>>0]|0)<0)Emc(f[e>>2]|0);QDb(d+52|0,PDb(g,h)|0);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);UDb(g);i=0;u=d;return i|0}function kDb(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=u;u=u+112|0;g=e+96|0;h=e+72|0;i=e+60|0;j=e+108|0;k=e;l=b[c+11>>0]|0;m=l<<24>>24<0;n=m?f[c>>2]|0:c;o=m?f[c+4>>2]|0:l&255;f[k>>2]=n;f[k+4>>2]=n+o;f[k+8>>2]=0;f[k+12>>2]=o;n=k+16|0;f[n>>2]=0;f[n+4>>2]=0;d[n+8>>1]=0;f[k+28>>2]=o;f[k+32>>2]=0;f[k+36>>2]=2147483647;o=f[37396]|0;f[k+40>>2]=o;f[k+44>>2]=o;b[k+48>>0]=1;f[k+52>>2]=0;f[k+56>>2]=0;ai[f[(f[a>>2]|0)+28>>2]&2047](a);if(Sh[f[(f[a>>2]|0)+44>>2]&511](a,k)|0){if(ci[f[(f[a>>2]|0)+32>>2]&1023](a)|0){p=(b[k+24>>0]|0)!=0;eCb(k);u=e;return p|0}TDb(h,2,481265,121);f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;anc(i,481426)|0;anc(i,481433)|0;anc(i,481439)|0;xh[f[(f[a>>2]|0)+8>>2]&2047](g,a);o=g+11|0;n=b[o>>0]|0;l=n<<24>>24<0;$mc(i,l?f[g>>2]|0:g,l?f[g+4>>2]|0:n&255)|0;if((b[o>>0]|0)<0)Emc(f[g>>2]|0);anc(i,481458)|0;xh[f[(f[a>>2]|0)+36>>2]&2047](g,a);a=g+11|0;o=b[a>>0]|0;n=o<<24>>24<0;$mc(i,n?f[g>>2]|0:g,n?f[g+4>>2]|0:o&255)|0;if((b[a>>0]|0)<0)Emc(f[g>>2]|0);QDb(j,PDb(h,i)|0);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);UDb(h)}p=0;eCb(k);u=e;return p|0}function lDb(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+64|0;g=e;h=b[c+11>>0]|0;i=h<<24>>24<0;j=i?f[c>>2]|0:c;k=i?f[c+4>>2]|0:h&255;f[g>>2]=j;f[g+4>>2]=j+k;f[g+8>>2]=0;f[g+12>>2]=k;j=g+16|0;f[j>>2]=0;f[j+4>>2]=0;d[j+8>>1]=0;f[g+28>>2]=k;f[g+32>>2]=0;f[g+36>>2]=2147483647;k=f[37396]|0;f[g+40>>2]=k;f[g+44>>2]=k;b[g+48>>0]=1;f[g+52>>2]=0;f[g+56>>2]=0;ai[f[(f[a>>2]|0)+28>>2]&2047](a);k=Sh[f[(f[a>>2]|0)+44>>2]&511](a,g)|0;a=k&(b[g+24>>0]|0)!=0;eCb(g);u=e;return a|0}function mDb(a,c,e){a=a|0;c=c|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=u;u=u+112|0;h=g+96|0;i=g+72|0;j=g+60|0;k=g+108|0;l=g;f[l>>2]=c;f[l+4>>2]=c+e;f[l+8>>2]=0;f[l+12>>2]=e;c=l+16|0;f[c>>2]=0;f[c+4>>2]=0;d[c+8>>1]=0;f[l+28>>2]=e;f[l+32>>2]=0;f[l+36>>2]=2147483647;e=f[37396]|0;f[l+40>>2]=e;f[l+44>>2]=e;b[l+48>>0]=1;f[l+52>>2]=0;f[l+56>>2]=0;ai[f[(f[a>>2]|0)+28>>2]&2047](a);if(Sh[f[(f[a>>2]|0)+44>>2]&511](a,l)|0){if(ci[f[(f[a>>2]|0)+32>>2]&1023](a)|0){m=(b[l+24>>0]|0)!=0;eCb(l);u=g;return m|0}TDb(i,2,481265,121);f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;anc(j,481426)|0;anc(j,481433)|0;anc(j,481439)|0;xh[f[(f[a>>2]|0)+8>>2]&2047](h,a);e=h+11|0;c=b[e>>0]|0;n=c<<24>>24<0;$mc(j,n?f[h>>2]|0:h,n?f[h+4>>2]|0:c&255)|0;if((b[e>>0]|0)<0)Emc(f[h>>2]|0);anc(j,481458)|0;xh[f[(f[a>>2]|0)+36>>2]&2047](h,a);a=h+11|0;e=b[a>>0]|0;c=e<<24>>24<0;$mc(j,c?f[h>>2]|0:h,c?f[h+4>>2]|0:e&255)|0;if((b[a>>0]|0)<0)Emc(f[h>>2]|0);QDb(k,PDb(i,j)|0);if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);UDb(i)}m=0;eCb(l);u=g;return m|0}function nDb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=u;u=u+96|0;h=g+48|0;i=g+72|0;j=g+24|0;k=g+85|0;l=g;m=g+84|0;if((a|0)!=(c|0)){TDb(h,3,481265,68);c=ODb(h,481540)|0;xh[f[(f[e>>2]|0)+8>>2]&2047](i,e);QDb(g+86|0,ODb(PDb(c,i)|0,481624)|0);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);UDb(h)}if((d|0)==(a|0)){TDb(l,3,481265,75);n=ODb(l,481914)|0;QDb(m,n);UDb(l);u=g;return}TDb(j,3,481265,71);a=ODb(ODb(j,481673)|0,481759)|0;xh[f[(f[e>>2]|0)+8>>2]&2047](i,e);QDb(k,ODb(PDb(a,i)|0,523604)|0);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);UDb(j);TDb(l,3,481265,75);n=ODb(l,481914)|0;QDb(m,n);UDb(l);u=g;return}function oDb(a,b){a=a|0;b=b|0;return pDb(a,b)|0}function pDb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+32|0;e=d;g=c+11|0;h=b[g>>0]|0;if(h<<24>>24<0)i=f[c+4>>2]|0;else i=h&255;h=ci[f[(f[a>>2]|0)+48>>2]&1023](a)|0;if((h|0)<0){TDb(e,2,481265,289);QDb(d+24|0,SDb(ODb(e,481500)|0,h)|0);UDb(e);j=0;u=d;return j|0}Wmc(c,h+i|0,0);e=b[g>>0]|0;g=e<<24>>24<0;if(g)k=f[c+4>>2]|0;else k=e&255;do if(k)if(g){l=f[c>>2]|0;break}else{l=c;break}else l=0;while(0);c=l+i|0;i=(Sh[f[(f[a>>2]|0)+56>>2]&511](a,c)|0)-c|0;if((i|0)==(h|0)){j=1;u=d;return j|0}nDb(h,ci[f[(f[a>>2]|0)+48>>2]&1023](a)|0,i,a);j=1;u=d;return j|0}function qDb(a,c){a=a|0;c=c|0;var d=0;d=c+11|0;if((b[d>>0]|0)<0){b[f[c>>2]>>0]=0;f[c+4>>2]=0}else{b[c>>0]=0;b[d>>0]=0}return pDb(a,c)|0}function rDb(a,c){a=a|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;if(pDb(c,a)|0)return;c=a+11|0;if((b[c>>0]|0)<0){b[f[a>>2]>>0]=0;f[a+4>>2]=0;return}else{b[a>>0]=0;b[c>>0]=0;return}}function sDb(a,b){a=a|0;b=b|0;Qmc(b,a)|0;return}function tDb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+32|0;d=c;e=a+4|0;g=f[e>>2]|0;h=g+b|0;b=a+8|0;i=f[b>>2]|0;j=a+12|0;k=f[j>>2]|0;if((i|0)>=(h|0)){l=k;m=g;n=l+4+(m<<2)|0;u=c;return n|0}g=f[a>>2]|0;a=i<<1;i=(a|0)<(h|0)?h:a;a=(i|0)>4?i:4;if(a>>>0>1073741822){TDb(d,3,481967,59);QDb(c+24|0,ODb(ODb(d,482060)|0,482177)|0);UDb(d)}d=a<<2;i=(g|0)==0;if(i)o=Bmc(d+4|0)|0;else{h=d+11&-8;if(f[g+64>>2]|0)pBb(g,26896,h);o=nBb(g,h)|0}f[j>>2]=o;f[b>>2]=a;if((k|0)!=0?(a=f[k>>2]|0,(a|0)>0):0){Krc(o+4|0,k+4|0,a<<2|0)|0;p=f[k>>2]|0;q=f[j>>2]|0}else{p=0;q=o}f[q>>2]=p;if(i){Emc(k);r=f[j>>2]|0}else r=q;l=r;m=f[e>>2]|0;n=l+4+(m<<2)|0;u=c;return n|0}function uDb(a,b){a=a|0;b=b|0;var c=0;c=f[a+4>>2]|0;if((c|0)>=(b|0))return;tDb(a,b-c|0)|0;return}function vDb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a+12|0;e=f[d>>2]|0;if(!e)return;g=c+b|0;b=f[e>>2]|0;if((g|0)<(b|0)){h=g;g=e;while(1){f[g+4+(h-c<<2)>>2]=f[g+4+(h<<2)>>2];h=h+1|0;i=f[d>>2]|0;j=f[i>>2]|0;if((h|0)>=(j|0)){k=j;l=i;break}else g=i}}else{k=b;l=e}e=a+4|0;f[e>>2]=(f[e>>2]|0)-c;f[l>>2]=k-c;return}function wDb(a){a=a|0;var c=0;f[a>>2]=149732;c=a+12|0;if((b[c+11>>0]|0)>=0)return;Emc(f[c>>2]|0);return}function xDb(a){a=a|0;var c=0;f[a>>2]=149732;c=a+12|0;if((b[c+11>>0]|0)>=0){Emc(a);return}Emc(f[c>>2]|0);Emc(a);return}function yDb(a){a=a|0;var c=0,d=0;c=a+12|0;if((b[c+11>>0]|0)<0){d=f[c>>2]|0;return d|0}else{d=c;return d|0}return 0}function zDb(a){a=a|0;return}function ADb(a){a=a|0;Emc(a);return}function BDb(a){a=a|0;var c=0;c=b[a+8>>0]|0;Zh[f[a+4>>2]&255]();if((a|0)==0|c<<24>>24==0)return;ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function CDb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;e=u;u=u+256|0;g=e+48|0;h=e+32|0;i=e+16|0;j=e;k=e+128|0;l=e+88|0;m=e+112|0;n=e+64|0;if((c|0)>3005001){f[l>>2]=3;f[l+4>>2]=482333;f[l+8>>2]=68;o=l+12|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;anc(o,482424)|0;f[j>>2]=(c>>>0)/1e6|0;f[j+4>>2]=(((c>>>0)/1e3|0)>>>0)%1e3|0;f[j+8>>2]=(c>>>0)%1e3|0;O8b(k,128,482455,j)|0;c=k+127|0;b[c>>0]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;p=s8b(k)|0;if(p>>>0>4294967279)Lmc(m);if(p>>>0<11){q=m+11|0;b[q>>0]=p;if(!p){r=m;s=q}else{t=m;v=q;w=7}}else{q=p+16&-16;x=Bmc(q)|0;f[m>>2]=x;f[m+8>>2]=q|-2147483648;f[m+4>>2]=p;t=x;v=m+11|0;w=7}if((w|0)==7){Krc(t|0,k|0,p|0)|0;r=t;s=v}b[r+p>>0]=0;p=b[s>>0]|0;r=p<<24>>24<0;$mc(o,r?f[m>>2]|0:m,r?f[m+4>>2]|0:p&255)|0;anc(o,482464)|0;f[i>>2]=3;f[i+4>>2]=5;f[i+8>>2]=1;O8b(k,128,482455,i)|0;b[c>>0]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;c=s8b(k)|0;if(c>>>0>4294967279)Lmc(j);if(c>>>0<11){i=j+11|0;b[i>>0]=c;if(!c){y=j;z=i}else{A=j;B=i;w=13}}else{i=c+16&-16;p=Bmc(i)|0;f[j>>2]=p;f[j+8>>2]=i|-2147483648;f[j+4>>2]=c;A=p;B=j+11|0;w=13}if((w|0)==13){Krc(A|0,k|0,c|0)|0;y=A;z=B}b[y+c>>0]=0;c=b[z>>0]|0;y=c<<24>>24<0;$mc(o,y?f[j>>2]|0:j,y?f[j+4>>2]|0:c&255)|0;anc(o,482535)|0;anc(o,d)|0;anc(o,482741)|0;DDb(l);if((b[z>>0]|0)<0)Emc(f[j>>2]|0);if((b[s>>0]|0)<0)Emc(f[m>>2]|0);if((b[o+11>>0]|0)<0)Emc(f[o>>2]|0)}if((a|0)>=3005e3){u=e;return}f[n>>2]=3;f[n+4>>2]=482333;f[n+8>>2]=79;o=n+12|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;anc(o,482745)|0;f[h>>2]=(a|0)/1e6|0;f[h+4>>2]=((a|0)/1e3|0|0)%1e3|0;f[h+8>>2]=(a|0)%1e3|0;O8b(k,128,482455,h)|0;a=k+127|0;b[a>>0]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;s=s8b(k)|0;if(s>>>0>4294967279)Lmc(m);if(s>>>0<11){j=m+11|0;b[j>>0]=s;if(!s){C=m;D=j}else{E=m;F=j;w=26}}else{j=s+16&-16;z=Bmc(j)|0;f[m>>2]=z;f[m+8>>2]=j|-2147483648;f[m+4>>2]=s;E=z;F=m+11|0;w=26}if((w|0)==26){Krc(E|0,k|0,s|0)|0;C=E;D=F}b[C+s>>0]=0;s=b[D>>0]|0;C=s<<24>>24<0;$mc(o,C?f[m>>2]|0:m,C?f[m+4>>2]|0:s&255)|0;anc(o,482788)|0;f[g>>2]=3;f[g+4>>2]=5;f[g+8>>2]=1;O8b(k,128,482455,g)|0;b[a>>0]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;a=s8b(k)|0;if(a>>>0>4294967279)Lmc(h);if(a>>>0<11){g=h+11|0;b[g>>0]=a;if(!a){G=h;H=g}else{I=h;J=g;w=32}}else{g=a+16&-16;s=Bmc(g)|0;f[h>>2]=s;f[h+8>>2]=g|-2147483648;f[h+4>>2]=a;I=s;J=h+11|0;w=32}if((w|0)==32){Krc(I|0,k|0,a|0)|0;G=I;H=J}b[G+a>>0]=0;a=b[H>>0]|0;G=a<<24>>24<0;$mc(o,G?f[h>>2]|0:h,G?f[h+4>>2]|0:a&255)|0;anc(o,482882)|0;anc(o,d)|0;anc(o,482741)|0;DDb(n);if((b[H>>0]|0)<0)Emc(f[h>>2]|0);if((b[D>>0]|0)<0)Emc(f[m>>2]|0);if((b[o+11>>0]|0)>=0){u=e;return}Emc(f[o>>2]|0);u=e;return}function DDb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;if((f[a>>2]|0)!=3){if((f[222910]|0)!=2){f[d>>2]=149752;f[d+4>>2]=126;b[d+8>>0]=0;dEb(891640,d)}d=f[222913]|0;FDb(d);e=(f[222914]|0)>0;GDb(d);if(!e){g=f[a>>2]|0;h=6}}else{g=3;h=6}if((h|0)==6)rh[f[37441]&255](g,f[a+4>>2]|0,f[a+8>>2]|0,a+12|0);if((f[a>>2]|0)==3){g=ye(24)|0;HDb(g,f[a+4>>2]|0,f[a+8>>2]|0,a+12|0);Gf(g|0,23848,1327)}else{u=c;return}}function EDb(){var a=0,b=0;a=Bmc(4)|0;b=Bmc(28)|0;f[a>>2]=b;Lf(b|0,0)|0;f[222913]=a;KDb(127);return}function FDb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c;e=Crc(f[a>>2]|0)|0;if(!e){u=c;return}f[d>>2]=3;f[d+4>>2]=482333;f[d+8>>2]=378;a=d+12|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;anc(a,483172)|0;anc(a,E7b(e)|0)|0;DDb(d);if((b[a+11>>0]|0)>=0){u=c;return}Emc(f[a>>2]|0);u=c;return}function GDb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+32|0;d=c;e=Brc(f[a>>2]|0)|0;if(!e){u=c;return}f[d>>2]=3;f[d+4>>2]=482333;f[d+8>>2]=385;a=d+12|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;anc(a,483149)|0;anc(a,E7b(e)|0)|0;DDb(d);if((b[a+11>>0]|0)>=0){u=c;return}Emc(f[a>>2]|0);u=c;return}function HDb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;f[a>>2]=149732;f[a+4>>2]=b;f[a+8>>2]=c;Nmc(a+12|0,d);return}function IDb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;g=u;u=u+16|0;h=g;if((a|0)<0){u=g;return}i=f[39286]|0;j=(b[e+11>>0]|0)<0?f[e>>2]|0:e;f[h>>2]=f[149768+(a<<2)>>2];f[h+4>>2]=c;f[h+8>>2]=d;f[h+12>>2]=j;M8b(i,483103,h)|0;I8b(i)|0;u=g;return}function JDb(){var a=0,b=0;a=f[222913]|0;if(!a){f[222913]=0;return}vf(f[a>>2]|0)|0;b=f[a>>2]|0;if(b|0)Emc(b);Emc(a);f[222913]=0;return}function KDb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c+4|0;e=c;f[e>>2]=a;if((f[222912]|0)!=2){f[d>>2]=149752;f[d+4>>2]=128;b[d+8>>0]=0;dEb(891648,d)}d=(f[222911]|0)+36|0;FDb(d);a=f[222911]|0;g=a+4|0;h=f[g>>2]|0;if((h|0)==(f[a+8>>2]|0)){MDb(a,e);GDb(d);u=c;return}else{f[h>>2]=f[e>>2];f[g>>2]=(f[g>>2]|0)+4;GDb(d);u=c;return}}function LDb(){var a=0;a=Bmc(40)|0;NDb(a);f[222911]=a;return}function MDb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;Emc(d);return}function NDb(a){a=a|0;var b=0,c=0;b=a;c=b+36|0;do{f[b>>2]=0;b=b+4|0}while((b|0)<(c|0));b=Bmc(28)|0;f[a+36>>2]=b;Lf(b|0,0)|0;return}function ODb(a,b){a=a|0;b=b|0;anc(a+12|0,b)|0;return a|0}function PDb(a,c){a=a|0;c=c|0;var d=0,e=0;d=b[c+11>>0]|0;e=d<<24>>24<0;$mc(a+12|0,e?f[c>>2]|0:c,e?f[c+4>>2]|0:d&255)|0;return a|0}function QDb(a,b){a=a|0;b=b|0;DDb(b);return}function RDb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+144|0;e=d;g=d+8|0;f[e>>2]=c;O8b(g,128,510037,e)|0;b[g+127>>0]=0;anc(a+12|0,g)|0;u=d;return a|0}function SDb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+144|0;e=d;g=d+8|0;f[e>>2]=c;O8b(g,128,483193,e)|0;b[g+127>>0]=0;anc(a+12|0,g)|0;u=d;return a|0}function TDb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;f[a>>2]=b;f[a+4>>2]=c;f[a+8>>2]=d;d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;return}function UDb(a){a=a|0;var c=0;c=a+12|0;if((b[c+11>>0]|0)>=0)return;Emc(f[c>>2]|0);return}function VDb(a){a=a|0;var b=0;b=Bmc(28)|0;f[a>>2]=b;Lf(b|0,0)|0;return}function WDb(a){a=a|0;var b=0;vf(f[a>>2]|0)|0;b=f[a>>2]|0;if(!b)return;Emc(b);return}function XDb(a){a=a|0;return}function YDb(a){a=a|0;return Orc(a|0)|0}function ZDb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c+4|0;e=c;f[e>>2]=a;if((f[222912]|0)!=2){f[d>>2]=149752;f[d+4>>2]=128;b[d+8>>0]=0;dEb(891648,d)}d=(f[222911]|0)+36|0;FDb(d);a=f[222911]|0;g=a+16|0;h=f[g>>2]|0;if((h|0)==(f[a+20>>2]|0)){_Db(a+12|0,e);GDb(d);u=c;return}else{f[h>>2]=f[e>>2];f[g>>2]=(f[g>>2]|0)+4;GDb(d);u=c;return}}function _Db(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;Emc(d);return}function $Db(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+16|0;d=c;if((f[222912]|0)!=2){f[d>>2]=149752;f[d+4>>2]=128;b[d+8>>0]=0;dEb(891648,d)}e=(f[222911]|0)+36|0;FDb(e);g=f[222911]|0;f[d>>2]=a;h=g+28|0;i=f[h>>2]|0;if((i|0)==(f[g+32>>2]|0)){aEb(g+24|0,d);GDb(e);u=c;return}else{f[i>>2]=a;f[h>>2]=(f[h>>2]|0)+4;GDb(e);u=c;return}}function aEb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;Emc(d);return}function bEb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222912]|0)!=2){f[c>>2]=149752;f[c+4>>2]=128;b[c+8>>0]=0;dEb(891648,c)}c=f[222911]|0;if(!c){u=a;return}cEb(c);Emc(c);f[222911]=0;u=a;return}function cEb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=a+4|0;d=f[a>>2]|0;if((f[c>>2]|0)!=(d|0)){e=0;g=d;do{Zh[f[g+(e<<2)>>2]&255]();e=e+1|0;g=f[a>>2]|0}while(e>>>0<(f[c>>2]|0)-g>>2>>>0)}g=a+12|0;e=a+16|0;d=f[e>>2]|0;h=f[g>>2]|0;if((d|0)!=(h|0)){i=0;j=h;h=d;while(1){d=f[j+(i<<2)>>2]|0;if((b[d+11>>0]|0)<0){Emc(f[d>>2]|0);k=f[g>>2]|0;l=f[e>>2]|0}else{k=j;l=h}i=i+1|0;if(i>>>0>=l-k>>2>>>0)break;else{j=k;h=l}}}l=a+24|0;h=a+28|0;k=f[l>>2]|0;if((f[h>>2]|0)!=(k|0)){j=0;i=k;do{k=f[i+(j<<2)>>2]|0;ai[f[f[k>>2]>>2]&2047](k);j=j+1|0;i=f[l>>2]|0}while(j>>>0<(f[h>>2]|0)-i>>2>>>0)}i=a+36|0;vf(f[i>>2]|0)|0;j=f[i>>2]|0;if(j|0)Emc(j);j=f[l>>2]|0;if(j|0){l=f[h>>2]|0;if((l|0)!=(j|0))f[h>>2]=l+(~((l+-4-j|0)>>>2)<<2);Emc(j)}j=f[g>>2]|0;if(j|0){g=f[e>>2]|0;if((g|0)!=(j|0))f[e>>2]=g+(~((g+-4-j|0)>>>2)<<2);Emc(j)}j=f[a>>2]|0;if(!j)return;a=f[c>>2]|0;if((a|0)!=(j|0))f[c>>2]=a+(~((a+-4-j|0)>>>2)<<2);Emc(j);return}function dEb(a,b){a=a|0;b=b|0;var c=0;if((f[a>>2]|0)==2)return;c=f[a>>2]|0;if(!c)f[a>>2]=1;switch(((c|0)==0?0:c)|0){case 0:{ai[f[(f[b>>2]|0)+8>>2]&2047](b);f[a>>2]=2;return}case 1:{do ue()|0;while((f[a>>2]|0)==1);return}default:return}}function eEb(){var a=0,b=0,c=0;a=u;u=u+16|0;b=a+8|0;c=a;f[222915]=0;f[222916]=0;f[222917]=0;f[222918]=0;Ad(1668,891660,x|0)|0;f[c>>2]=1163146;f[c+4>>2]=0;f[b>>2]=f[c>>2];f[b+4>>2]=f[c+4>>2];gEb(891676,1,b);Ad(1668,891676,x|0)|0;f[c>>2]=1163146;f[c+4>>2]=0;f[b>>2]=f[c>>2];f[b+4>>2]=f[c+4>>2];gEb(891692,2,b);Ad(1668,891692,x|0)|0;u=a;return}function fEb(a){a=a|0;var c=0;c=a+4|0;if((b[c+11>>0]|0)>=0)return;Emc(f[c>>2]|0);return}function gEb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e;f[a>>2]=c;h=a+4|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(!c){u=e;return}c=f[d>>2]|0;if(!c){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0}else{a=f[d+4>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;if(a>>>0>4294967279)Lmc(g);if(a>>>0<11){b[g+11>>0]=a;if(!a)i=g;else{j=g;k=9}}else{d=a+16&-16;l=Bmc(d)|0;f[g>>2]=l;f[g+8>>2]=d|-2147483648;f[g+4>>2]=a;j=l;k=9}if((k|0)==9){Krc(j|0,c|0,a|0)|0;i=j}b[i+a>>0]=0}Qmc(h,g)|0;if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);u=e;return}function hEb(a){a=a|0;return}function iEb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;d=u;u=u+16|0;e=d;g=c>>>3;if(!g){i=0;u=d;return i|0}switch(c&7){case 0:{c=f[a>>2]|0;if(c>>>0<(f[a+4>>2]|0)>>>0?(b[c>>0]|0)>-1:0)f[a>>2]=c+1;else j=6;if((j|0)==6?(jCb(e,a),(b[e+8>>0]|0)==0):0){i=0;u=d;return i|0}i=1;u=d;return i|0}case 1:{c=f[a>>2]|0;if(((f[a+4>>2]|0)-c|0)<=7)if(vCb(a,e)|0)j=11;else k=0;else{l=c;m=l;n=l+4|0;l=h[n>>0]|h[n+1>>0]<<8|h[n+2>>0]<<16|h[n+3>>0]<<24;n=e;f[n>>2]=h[m>>0]|h[m+1>>0]<<8|h[m+2>>0]<<16|h[m+3>>0]<<24;f[n+4>>2]=l;f[a>>2]=c+8;j=11}if((j|0)==11)k=1;i=k;u=d;return i|0}case 2:{k=f[a>>2]|0;c=a+4|0;l=f[c>>2]|0;n=l;if(k>>>0<l>>>0){l=b[k>>0]|0;m=l&255;if(l<<24>>24>-1){l=k+1|0;f[a>>2]=l;o=m;p=l;q=n}else{r=m;j=16}}else{r=0;j=16}do if((j|0)==16){m=iCb(a,r)|0;if((J|0)<0|(m|0)<0){i=0;u=d;return i|0}else{o=m;p=f[a>>2]|0;q=f[c>>2]|0;break}}while(0);c=q-p|0;if((c|0)<(o|0)){if(!(qCb(a,o,c)|0)){i=0;u=d;return i|0}}else f[a>>2]=p+o;i=1;u=d;return i|0}case 3:{o=a+40|0;p=f[o>>2]|0;f[o>>2]=p+-1;if((p|0)<=0){i=0;u=d;return i|0}p=a+4|0;c=a+20|0;while(1){q=f[a>>2]|0;if(q>>>0<(f[p>>2]|0)>>>0){r=b[q>>0]|0;m=r&255;if(r<<24>>24>-1){f[a>>2]=q+1;s=m}else{t=m;j=27}}else{t=0;j=27}if((j|0)==27){j=0;s=xCb(a,t)|0}f[c>>2]=s;if((s|0)==0|(s&7|0)==4)break;if(!(iEb(a,s)|0)){i=0;j=38;break}}if((j|0)==38){u=d;return i|0}c=f[o>>2]|0;if((c|0)<(f[a+44>>2]|0))f[o>>2]=c+1;i=(s|0)==(g<<3|4|0);u=d;return i|0}case 5:{g=f[a>>2]|0;if(((f[a+4>>2]|0)-g|0)<=3)if(uCb(a,e)|0)j=36;else v=0;else{s=g;f[e>>2]=h[s>>0]|h[s+1>>0]<<8|h[s+2>>0]<<16|h[s+3>>0]<<24;f[a>>2]=g+4;j=36}if((j|0)==36)v=1;i=v;u=d;return i|0}default:{i=0;u=d;return i|0}}return 0}function jEb(a,b,c){a=a|0;b=b|0;c=c|0;ACb(c,a,b<<2);return}function kEb(a,b,c){a=a|0;b=b|0;c=c|0;ACb(c,a,b<<3);return}function lEb(a,b,c){a=a|0;b=b|0;c=c|0;ACb(c,a,b);return}function mEb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=a<<3;a=d+8|0;if((f[a>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[a>>2]|0)-n|0;f[a>>2]=g;o=g}else{ECb(d,e);o=f[a>>2]|0}e=((c|0)<0)<<31>>31;if((o|0)<=9){FCb(d,c,e);return}o=d+4|0;d=f[o>>2]|0;g=c&255;if(c>>>0>127){n=d;h=g;m=c;c=e;while(1){b[n>>0]=h|-128;e=m;m=Irc(m|0,c|0,7)|0;j=n+1|0;i=m&255;if(!(c>>>0>0|(c|0)==0&e>>>0>16383)){p=j;q=i;break}else{n=j;h=i;c=J}}}else{p=d;q=g}b[p>>0]=q;q=p+1-d|0;f[o>>2]=(f[o>>2]|0)+q;f[a>>2]=(f[a>>2]|0)-q;return}function nEb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=a<<3;a=e+8|0;if((f[a>>2]|0)>4){h=e+4|0;i=f[h>>2]|0;if(g>>>0>127){j=g;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=i;o=g}b[n>>0]=o;o=n+1-i|0;f[h>>2]=(f[h>>2]|0)+o;h=(f[a>>2]|0)-o|0;f[a>>2]=h;p=h}else{ECb(e,g);p=f[a>>2]|0}if((p|0)<=9){FCb(e,c,d);return}p=e+4|0;e=f[p>>2]|0;g=c&255;if(d>>>0>0|(d|0)==0&c>>>0>127){h=e;o=g;i=c;c=d;while(1){b[h>>0]=o|-128;d=i;i=Irc(i|0,c|0,7)|0;n=h+1|0;k=i&255;if(!(c>>>0>0|(c|0)==0&d>>>0>16383)){q=n;r=k;break}else{h=n;o=k;c=J}}}else{q=e;r=g}b[q>>0]=r;r=q+1-e|0;f[p>>2]=(f[p>>2]|0)+r;f[a>>2]=(f[a>>2]|0)-r;return}function oEb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=a<<3;a=d+8|0;if((f[a>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[a>>2]|0)-n|0;f[a>>2]=g;o=g}else{ECb(d,e);o=f[a>>2]|0}if((o|0)<=4){ECb(d,c);return}o=d+4|0;d=f[o>>2]|0;if(c>>>0>127){e=c;g=d;while(1){b[g>>0]=e|128;n=e>>>7;h=g+1|0;if(e>>>0>16383){e=n;g=h}else{p=h;q=n;break}}}else{p=d;q=c}b[p>>0]=q;q=p+1-d|0;f[o>>2]=(f[o>>2]|0)+q;f[a>>2]=(f[a>>2]|0)-q;return}function pEb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=a<<3;a=e+8|0;if((f[a>>2]|0)>4){h=e+4|0;i=f[h>>2]|0;if(g>>>0>127){j=g;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=i;o=g}b[n>>0]=o;o=n+1-i|0;f[h>>2]=(f[h>>2]|0)+o;h=(f[a>>2]|0)-o|0;f[a>>2]=h;p=h}else{ECb(e,g);p=f[a>>2]|0}if((p|0)<=9){FCb(e,c,d);return}p=e+4|0;e=f[p>>2]|0;g=c&255;if(d>>>0>0|(d|0)==0&c>>>0>127){h=e;o=g;i=c;c=d;while(1){b[h>>0]=o|-128;d=i;i=Irc(i|0,c|0,7)|0;n=h+1|0;k=i&255;if(!(c>>>0>0|(c|0)==0&d>>>0>16383)){q=n;r=k;break}else{h=n;o=k;c=J}}}else{q=e;r=g}b[q>>0]=r;r=q+1-e|0;f[p>>2]=(f[p>>2]|0)+r;f[a>>2]=(f[a>>2]|0)-r;return}function qEb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=a<<3;a=d+8|0;if((f[a>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[a>>2]|0)-n|0;f[a>>2]=g;o=g}else{ECb(d,e);o=f[a>>2]|0}e=c<<1^c>>31;if((o|0)<=4){ECb(d,e);return}o=d+4|0;d=f[o>>2]|0;if(e>>>0>127){c=e;g=d;while(1){b[g>>0]=c|128;n=c>>>7;h=g+1|0;if(c>>>0>16383){c=n;g=h}else{p=h;q=n;break}}}else{p=d;q=e}b[p>>0]=q;q=p+1-d|0;f[o>>2]=(f[o>>2]|0)+q;f[a>>2]=(f[a>>2]|0)-q;return}function rEb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=a<<3;a=e+8|0;if((f[a>>2]|0)>4){h=e+4|0;i=f[h>>2]|0;if(g>>>0>127){j=g;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=i;o=g}b[n>>0]=o;o=n+1-i|0;f[h>>2]=(f[h>>2]|0)+o;h=(f[a>>2]|0)-o|0;f[a>>2]=h;p=h}else{ECb(e,g);p=f[a>>2]|0}g=Qrc(c|0,d|0,1)|0;h=J;o=Hrc(c|0,d|0,63)|0;d=g^o;o=h^J;if((p|0)<=9){FCb(e,d,o);return}p=e+4|0;e=f[p>>2]|0;h=d&255;if(o>>>0>0|(o|0)==0&d>>>0>127){g=e;c=h;i=d;d=o;while(1){b[g>>0]=c|-128;o=i;i=Irc(i|0,d|0,7)|0;n=g+1|0;k=i&255;if(!(d>>>0>0|(d|0)==0&o>>>0>16383)){q=n;r=k;break}else{g=n;c=k;d=J}}}else{q=e;r=h}b[q>>0]=r;r=q+1-e|0;f[p>>2]=(f[p>>2]|0)+r;f[a>>2]=(f[a>>2]|0)-r;return}function sEb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=a<<3|5;a=d+8|0;if((f[a>>2]|0)<=4){ECb(d,e);CCb(d,c);return}g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;f[a>>2]=(f[a>>2]|0)-n;CCb(d,c);return}function tEb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=a<<3|1;a=e+8|0;if((f[a>>2]|0)<=4){ECb(e,g);DCb(e,c,d);return}h=e+4|0;i=f[h>>2]|0;if(g>>>0>127){j=g;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=i;o=g}b[n>>0]=o;o=n+1-i|0;f[h>>2]=(f[h>>2]|0)+o;f[a>>2]=(f[a>>2]|0)-o;DCb(e,c,d);return}function uEb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=a<<3|5;a=d+8|0;if((f[a>>2]|0)<=4){ECb(d,e);CCb(d,c);return}g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;f[a>>2]=(f[a>>2]|0)-n;CCb(d,c);return}function vEb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=a<<3|1;a=e+8|0;if((f[a>>2]|0)<=4){ECb(e,g);DCb(e,c,d);return}h=e+4|0;i=f[h>>2]|0;if(g>>>0>127){j=g;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=i;o=g}b[n>>0]=o;o=n+1-i|0;f[h>>2]=(f[h>>2]|0)+o;f[a>>2]=(f[a>>2]|0)-o;DCb(e,c,d);return}function wEb(a,c,d){a=a|0;c=+c;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0;e=a<<3|5;a=d+8|0;if((f[a>>2]|0)<=4){ECb(d,e);g=(n[s>>2]=c,f[s>>2]|0);CCb(d,g);return}h=d+4|0;i=f[h>>2]|0;if(e>>>0>127){j=e;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{o=m;p=l;break}}}else{o=i;p=e}b[o>>0]=p;p=o+1-i|0;f[h>>2]=(f[h>>2]|0)+p;f[a>>2]=(f[a>>2]|0)-p;g=(n[s>>2]=c,f[s>>2]|0);CCb(d,g);return}function xEb(a,c,d){a=a|0;c=+c;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=a<<3|1;a=d+8|0;if((f[a>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;f[a>>2]=(f[a>>2]|0)-n}else ECb(d,e);p[s>>3]=c;DCb(d,f[s>>2]|0,f[s+4>>2]|0);return}function yEb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=a<<3;a=d+8|0;if((f[a>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[a>>2]|0)-n|0;f[a>>2]=g;o=g}else{ECb(d,e);o=f[a>>2]|0}if((o|0)>4){o=d+4|0;b[f[o>>2]>>0]=c&1;f[o>>2]=(f[o>>2]|0)+1;f[a>>2]=(f[a>>2]|0)+-1;return}else{ECb(d,c&1);return}}function zEb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=a<<3;a=d+8|0;if((f[a>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[a>>2]|0)-n|0;f[a>>2]=g;o=g}else{ECb(d,e);o=f[a>>2]|0}e=((c|0)<0)<<31>>31;if((o|0)<=9){FCb(d,c,e);return}o=d+4|0;d=f[o>>2]|0;g=c&255;if(c>>>0>127){n=d;h=g;m=c;c=e;while(1){b[n>>0]=h|-128;e=m;m=Irc(m|0,c|0,7)|0;j=n+1|0;i=m&255;if(!(c>>>0>0|(c|0)==0&e>>>0>16383)){p=j;q=i;break}else{n=j;h=i;c=J}}}else{p=d;q=g}b[p>>0]=q;q=p+1-d|0;f[o>>2]=(f[o>>2]|0)+q;f[a>>2]=(f[a>>2]|0)-q;return}function AEb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;e=u;u=u+32|0;g=e;h=e+24|0;i=a<<3|2;a=d+8|0;if((f[a>>2]|0)>4){j=d+4|0;k=f[j>>2]|0;if(i>>>0>127){l=i;m=k;while(1){b[m>>0]=l|128;n=l>>>7;o=m+1|0;if(l>>>0>16383){l=n;m=o}else{p=o;q=n;break}}}else{p=k;q=i}b[p>>0]=q;q=p+1-k|0;f[j>>2]=(f[j>>2]|0)+q;f[a>>2]=(f[a>>2]|0)-q}else ECb(d,i);i=c+11|0;q=b[i>>0]|0;do if(q<<24>>24<0){j=c+4|0;if((f[j>>2]|0)<=-1?(TDb(g,3,483238,510),QDb(h,ODb(g,483333)|0),UDb(g),k=b[i>>0]|0,k<<24>>24>=0):0){r=k;s=10;break}t=f[j>>2]|0}else{r=q;s=10}while(0);if((s|0)==10)t=r&255;if((f[a>>2]|0)<=4){ECb(d,t);v=b[i>>0]|0;w=v<<24>>24<0;x=f[c>>2]|0;y=w?x:c;z=c+4|0;A=f[z>>2]|0;B=v&255;C=w?A:B;ACb(d,y,C);u=e;return}r=d+4|0;s=f[r>>2]|0;if(t>>>0>127){q=t;g=s;while(1){b[g>>0]=q|128;h=q>>>7;j=g+1|0;if(q>>>0>16383){q=h;g=j}else{D=j;E=h;break}}}else{D=s;E=t}b[D>>0]=E;E=D+1-s|0;f[r>>2]=(f[r>>2]|0)+E;f[a>>2]=(f[a>>2]|0)-E;v=b[i>>0]|0;w=v<<24>>24<0;x=f[c>>2]|0;y=w?x:c;z=c+4|0;A=f[z>>2]|0;B=v&255;C=w?A:B;ACb(d,y,C);u=e;return}function BEb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;e=u;u=u+32|0;g=e;h=e+24|0;i=a<<3|2;a=d+8|0;if((f[a>>2]|0)>4){j=d+4|0;k=f[j>>2]|0;if(i>>>0>127){l=i;m=k;while(1){b[m>>0]=l|128;n=l>>>7;o=m+1|0;if(l>>>0>16383){l=n;m=o}else{p=o;q=n;break}}}else{p=k;q=i}b[p>>0]=q;q=p+1-k|0;f[j>>2]=(f[j>>2]|0)+q;f[a>>2]=(f[a>>2]|0)-q}else ECb(d,i);i=c+11|0;q=b[i>>0]|0;do if(q<<24>>24<0){j=c+4|0;if((f[j>>2]|0)<=-1?(TDb(g,3,483238,519),QDb(h,ODb(g,483333)|0),UDb(g),k=b[i>>0]|0,k<<24>>24>=0):0){r=k;s=10;break}t=f[j>>2]|0}else{r=q;s=10}while(0);if((s|0)==10)t=r&255;if((f[a>>2]|0)>4){r=d+4|0;s=f[r>>2]|0;if(t>>>0>127){q=t;g=s;while(1){b[g>>0]=q|128;h=q>>>7;j=g+1|0;if(q>>>0>16383){q=h;g=j}else{v=j;w=h;break}}}else{v=s;w=t}b[v>>0]=w;w=v+1-s|0;f[r>>2]=(f[r>>2]|0)+w;f[a>>2]=(f[a>>2]|0)-w}else ECb(d,t);t=b[i>>0]|0;i=t<<24>>24<0;w=i?f[c>>2]|0:c;a=i?f[c+4>>2]|0:t&255;if(!(b[d+17>>0]|0)){ACb(d,w,a);u=e;return}else{BCb(d,w,a);u=e;return}}function CEb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;e=u;u=u+32|0;g=e;h=e+24|0;i=a<<3|2;a=d+8|0;if((f[a>>2]|0)>4){j=d+4|0;k=f[j>>2]|0;if(i>>>0>127){l=i;m=k;while(1){b[m>>0]=l|128;n=l>>>7;o=m+1|0;if(l>>>0>16383){l=n;m=o}else{p=o;q=n;break}}}else{p=k;q=i}b[p>>0]=q;q=p+1-k|0;f[j>>2]=(f[j>>2]|0)+q;f[a>>2]=(f[a>>2]|0)-q}else ECb(d,i);i=c+11|0;q=b[i>>0]|0;do if(q<<24>>24<0){j=c+4|0;if((f[j>>2]|0)<=-1?(TDb(g,3,483238,526),QDb(h,ODb(g,483333)|0),UDb(g),k=b[i>>0]|0,k<<24>>24>=0):0){r=k;s=10;break}t=f[j>>2]|0}else{r=q;s=10}while(0);if((s|0)==10)t=r&255;if((f[a>>2]|0)<=4){ECb(d,t);v=b[i>>0]|0;w=v<<24>>24<0;x=f[c>>2]|0;y=w?x:c;z=c+4|0;A=f[z>>2]|0;B=v&255;C=w?A:B;ACb(d,y,C);u=e;return}r=d+4|0;s=f[r>>2]|0;if(t>>>0>127){q=t;g=s;while(1){b[g>>0]=q|128;h=q>>>7;j=g+1|0;if(q>>>0>16383){q=h;g=j}else{D=j;E=h;break}}}else{D=s;E=t}b[D>>0]=E;E=D+1-s|0;f[r>>2]=(f[r>>2]|0)+E;f[a>>2]=(f[a>>2]|0)-E;v=b[i>>0]|0;w=v<<24>>24<0;x=f[c>>2]|0;y=w?x:c;z=c+4|0;A=f[z>>2]|0;B=v&255;C=w?A:B;ACb(d,y,C);u=e;return}function DEb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;e=u;u=u+32|0;g=e;h=e+24|0;i=a<<3|2;a=d+8|0;if((f[a>>2]|0)>4){j=d+4|0;k=f[j>>2]|0;if(i>>>0>127){l=i;m=k;while(1){b[m>>0]=l|128;n=l>>>7;o=m+1|0;if(l>>>0>16383){l=n;m=o}else{p=o;q=n;break}}}else{p=k;q=i}b[p>>0]=q;q=p+1-k|0;f[j>>2]=(f[j>>2]|0)+q;f[a>>2]=(f[a>>2]|0)-q}else ECb(d,i);i=c+11|0;q=b[i>>0]|0;do if(q<<24>>24<0){j=c+4|0;if((f[j>>2]|0)<=-1?(TDb(g,3,483238,534),QDb(h,ODb(g,483333)|0),UDb(g),k=b[i>>0]|0,k<<24>>24>=0):0){r=k;s=10;break}t=f[j>>2]|0}else{r=q;s=10}while(0);if((s|0)==10)t=r&255;if((f[a>>2]|0)>4){r=d+4|0;s=f[r>>2]|0;if(t>>>0>127){q=t;g=s;while(1){b[g>>0]=q|128;h=q>>>7;j=g+1|0;if(q>>>0>16383){q=h;g=j}else{v=j;w=h;break}}}else{v=s;w=t}b[v>>0]=w;w=v+1-s|0;f[r>>2]=(f[r>>2]|0)+w;f[a>>2]=(f[a>>2]|0)-w}else ECb(d,t);t=b[i>>0]|0;i=t<<24>>24<0;w=i?f[c>>2]|0:c;a=i?f[c+4>>2]|0:t&255;if(!(b[d+17>>0]|0)){ACb(d,w,a);u=e;return}else{BCb(d,w,a);u=e;return}}function EEb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=a<<3;a=e|3;g=d+8|0;if((f[g>>2]|0)>4){h=d+4|0;i=f[h>>2]|0;if(a>>>0>127){j=a;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=i;o=a}b[n>>0]=o;o=n+1-i|0;f[h>>2]=(f[h>>2]|0)+o;f[g>>2]=(f[g>>2]|0)-o}else ECb(d,a);xh[f[(f[c>>2]|0)+52>>2]&2047](c,d);c=e|4;if((f[g>>2]|0)<=4){ECb(d,c);return}e=d+4|0;d=f[e>>2]|0;if(c>>>0>127){a=c;o=d;while(1){b[o>>0]=a|128;h=a>>>7;i=o+1|0;if(a>>>0>16383){a=h;o=i}else{p=i;q=h;break}}}else{p=d;q=c}b[p>>0]=q;q=p+1-d|0;f[e>>2]=(f[e>>2]|0)+q;f[g>>2]=(f[g>>2]|0)-q;return}function FEb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=a<<3|2;a=d+8|0;if((f[a>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;f[a>>2]=(f[a>>2]|0)-n}else ECb(d,e);e=ci[f[(f[c>>2]|0)+60>>2]&1023](c)|0;if((f[a>>2]|0)<=4){ECb(d,e);o=f[c>>2]|0;p=o+52|0;q=f[p>>2]|0;xh[q&2047](c,d);return}n=d+4|0;g=f[n>>2]|0;if(e>>>0>127){h=e;m=g;while(1){b[m>>0]=h|128;j=h>>>7;i=m+1|0;if(h>>>0>16383){h=j;m=i}else{r=i;s=j;break}}}else{r=g;s=e}b[r>>0]=s;s=r+1-g|0;f[n>>2]=(f[n>>2]|0)+s;f[a>>2]=(f[a>>2]|0)-s;o=f[c>>2]|0;p=o+52|0;q=f[p>>2]|0;xh[q&2047](c,d);return}function GEb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=a<<3|2;a=d+8|0;if((f[a>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;f[a>>2]=(f[a>>2]|0)-n}else ECb(d,e);e=ci[f[(f[c>>2]|0)+60>>2]&1023](c)|0;if((f[a>>2]|0)>4){n=d+4|0;g=f[n>>2]|0;if(e>>>0>127){h=e;m=g;while(1){b[m>>0]=h|128;j=h>>>7;i=m+1|0;if(h>>>0>16383){h=j;m=i}else{o=i;p=j;break}}}else{o=g;p=e}b[o>>0]=p;p=o+1-g|0;f[n>>2]=(f[n>>2]|0)+p;g=(f[a>>2]|0)-p|0;f[a>>2]=g;q=n;r=g}else{ECb(d,e);q=d+4|0;r=f[a>>2]|0}if((r|0)>=(e|0)?(g=f[q>>2]|0,f[q>>2]=g+e,f[a>>2]=r-e,g|0):0){if(!(b[d+18>>0]|0))s=(f[222909]|0)!=0;else s=(b[d+19>>0]|0)!=0;ki[f[(f[c>>2]|0)+64>>2]&511](c,s,g)|0;return}xh[f[(f[c>>2]|0)+52>>2]&2047](c,d);return}function HEb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=f[a>>2]|0;e=a+4|0;g=f[e>>2]|0;h=g;if(d>>>0<g>>>0){g=b[d>>0]|0;i=g&255;if(g<<24>>24>-1){g=d+1|0;f[a>>2]=g;j=i;k=g;l=h}else{m=i;n=4}}else{m=0;n=4}do if((n|0)==4){i=iCb(a,m)|0;if((J|0)<0|(i|0)<0){o=0;return o|0}else{j=i;k=f[a>>2]|0;l=f[e>>2]|0;break}}while(0);if((l-k|0)<(j|0)){o=tCb(a,c,j)|0;return o|0}Wmc(c,j,0);k=b[c+11>>0]|0;l=k<<24>>24<0;if(l)p=f[c+4>>2]|0;else p=k&255;if(!p){o=1;return o|0}if(l)q=f[c>>2]|0;else q=c;if(!q){o=1;return o|0}Krc(q|0,f[a>>2]|0,j|0)|0;f[a>>2]=(f[a>>2]|0)+j;o=1;return o|0}function IEb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;g=u;u=u+64|0;h=g;i=g+44|0;j=g+32|0;k=g+8|0;l=g+56|0;if(s6b(a,c)|0){m=1;u=g;return m|0}c=(d|0)==0?483391:(d|0)==1?483379:0;d=i+11|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;if(e|0?(f[h>>2]=e,p6b(j,483399,h),Qmc(i,j)|0,(b[j+11>>0]|0)<0):0)Emc(f[j>>2]|0);TDb(k,2,483238,629);QDb(l,ODb(ODb(ODb(ODb(ODb(ODb(PDb(ODb(k,483405)|0,i)|0,483418)|0,483437)|0,c)|0,483454)|0,483467)|0,483523)|0);UDb(k);if((b[d>>0]|0)<0)Emc(f[i>>2]|0);m=0;u=g;return m|0}function JEb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;b=f[a>>2]|0;if((b|0)<=0){c=0;return c|0}d=f[a+8>>2]|0;a=0;e=0;while(1){g=f[d+4+(e<<2)>>2]|0;if((g|0)<0)h=10;else h=(((($(g|1|0)|0)^31)*9|0)+73|0)>>>6;g=h+a|0;e=e+1|0;if((e|0)==(b|0)){c=g;break}else a=g}return c|0}function KEb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a>>2]|0;if((b|0)<=0){c=0;return c|0}d=f[a+8>>2]|0;a=0;e=0;while(1){g=((((($(f[d+4+(e<<2)>>2]|1|0)|0)^31)*9|0)+73|0)>>>6)+a|0;e=e+1|0;if((e|0)==(b|0)){c=g;break}else a=g}return c|0}function LEb(a){a=a|0;var b=0,c=0,d=0;b=u;u=u+32|0;c=b;switch(a|0){case 2:{d=483774;break}case 3:{d=483767;break}case 0:{d=483759;break}default:{TDb(c,3,483670,228);QDb(b+24|0,ODb(c,512569)|0);UDb(c);d=0}}u=b;return d|0}function MEb(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;n[a+28>>2]=1.0;b=a+32|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;n[a+48>>2]=1.0;b=a+52|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;n[a+68>>2]=1.0;b=a+132|0;c=a+148|0;d=a+72|0;e=d+76|0;do{f[d>>2]=0;d=d+4|0}while((d|0)<(e|0));n[c>>2]=1.0;NEb(b,3);b=a+152|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;n[a+168>>2]=1.0;OEb(b,3);f[a+176>>2]=0;f[a+180>>2]=0;f[a+172>>2]=a+176;d=a+184|0;e=d+48|0;do{f[d>>2]=0;d=d+4|0}while((d|0)<(e|0));return}function NEb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if((b|0)!=1)if(!(b+-1&b))c=b;else c=pbc(b)|0;else c=2;b=f[a+4>>2]|0;if(c>>>0>b>>>0){QEb(a,c);return}if(c>>>0>=b>>>0)return;d=~~+X(+(+((f[a+12>>2]|0)>>>0)/+n[a+16>>2]))>>>0;if(b>>>0>2&(b+-1&b|0)==0)e=1<<32-($(d+-1|0)|0);else e=pbc(d)|0;d=c>>>0<e>>>0?e:c;if(d>>>0>=b>>>0)return;QEb(a,d);return}function OEb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if((b|0)!=1)if(!(b+-1&b))c=b;else c=pbc(b)|0;else c=2;b=f[a+4>>2]|0;if(c>>>0>b>>>0){PEb(a,c);return}if(c>>>0>=b>>>0)return;d=~~+X(+(+((f[a+12>>2]|0)>>>0)/+n[a+16>>2]))>>>0;if(b>>>0>2&(b+-1&b|0)==0)e=1<<32-($(d+-1|0)|0);else e=pbc(d)|0;d=c>>>0<e>>>0?e:c;if(d>>>0>=b>>>0)return;PEb(a,d);return}function PEb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;c=(b|0)!=0;do if(c)if(b>>>0>1073741823){d=ye(8)|0;Jmc(d,511852);f[d>>2]=165276;Gf(d|0,26776,1555)}else{e=Bmc(b<<2)|0;break}else e=0;while(0);d=f[a>>2]|0;f[a>>2]=e;if(d|0)Emc(d);f[a+4>>2]=b;if(c)g=0;else return;do{f[(f[a>>2]|0)+(g<<2)>>2]=0;g=g+1|0}while((g|0)!=(b|0));g=a+8|0;c=f[g>>2]|0;if(!c)return;d=f[c+4>>2]|0;e=b+-1|0;h=(e&b|0)==0;if(!h)if(d>>>0<b>>>0)i=d;else i=(d>>>0)%(b>>>0)|0;else i=d&e;f[(f[a>>2]|0)+(i<<2)>>2]=g;g=f[c>>2]|0;if(!g)return;else{j=i;k=c;l=g;m=c}a:while(1){b:do if(h){c=k;g=l;i=m;while(1){d=g;while(1){n=f[d+4>>2]&e;if((n|0)==(j|0))break;o=(f[a>>2]|0)+(n<<2)|0;if(!(f[o>>2]|0)){p=d;q=i;r=o;s=n;break b}o=d+8|0;t=d;while(1){u=f[t>>2]|0;if(!u)break;if(!(o7b(f[o>>2]|0,f[u+8>>2]|0)|0))t=u;else break}f[i>>2]=u;f[t>>2]=f[f[(f[a>>2]|0)+(n<<2)>>2]>>2];f[f[(f[a>>2]|0)+(n<<2)>>2]>>2]=d;o=f[c>>2]|0;if(!o){v=35;break a}else d=o}g=f[d>>2]|0;if(!g){v=35;break a}else{c=d;i=d}}}else{i=k;c=l;g=m;while(1){o=c;while(1){w=f[o+4>>2]|0;if(w>>>0<b>>>0)x=w;else x=(w>>>0)%(b>>>0)|0;if((x|0)==(j|0))break;w=(f[a>>2]|0)+(x<<2)|0;if(!(f[w>>2]|0)){p=o;q=g;r=w;s=x;break b}w=o+8|0;y=o;while(1){z=f[y>>2]|0;if(!z)break;if(!(o7b(f[w>>2]|0,f[z+8>>2]|0)|0))y=z;else break}f[g>>2]=z;f[y>>2]=f[f[(f[a>>2]|0)+(x<<2)>>2]>>2];f[f[(f[a>>2]|0)+(x<<2)>>2]>>2]=o;w=f[i>>2]|0;if(!w){v=35;break a}else o=w}c=f[o>>2]|0;if(!c){v=35;break a}else{i=o;g=o}}}while(0);f[r>>2]=q;l=f[p>>2]|0;if(!l){v=35;break}else{j=s;k=p;m=p}}if((v|0)==35)return}function QEb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;c=(b|0)!=0;do if(c)if(b>>>0>1073741823){d=ye(8)|0;Jmc(d,511852);f[d>>2]=165276;Gf(d|0,26776,1555)}else{e=Bmc(b<<2)|0;break}else e=0;while(0);d=f[a>>2]|0;f[a>>2]=e;if(d|0)Emc(d);f[a+4>>2]=b;if(c)g=0;else return;do{f[(f[a>>2]|0)+(g<<2)>>2]=0;g=g+1|0}while((g|0)!=(b|0));g=a+8|0;c=f[g>>2]|0;if(!c)return;d=f[c+4>>2]|0;e=b+-1|0;h=(e&b|0)==0;if(!h)if(d>>>0<b>>>0)i=d;else i=(d>>>0)%(b>>>0)|0;else i=d&e;f[(f[a>>2]|0)+(i<<2)>>2]=g;g=f[c>>2]|0;if(!g)return;else{j=i;k=c;l=g;m=c}a:while(1){b:do if(h){c=k;g=l;i=m;while(1){d=g;while(1){n=f[d+4>>2]&e;if((n|0)==(j|0))break;o=(f[a>>2]|0)+(n<<2)|0;if(!(f[o>>2]|0)){p=d;q=i;r=o;s=n;break b}o=d+8|0;t=d;while(1){u=f[t>>2]|0;if(!u)break;if(!(o7b(f[o>>2]|0,f[u+8>>2]|0)|0))t=u;else break}f[i>>2]=u;f[t>>2]=f[f[(f[a>>2]|0)+(n<<2)>>2]>>2];f[f[(f[a>>2]|0)+(n<<2)>>2]>>2]=d;o=f[c>>2]|0;if(!o){v=35;break a}else d=o}g=f[d>>2]|0;if(!g){v=35;break a}else{c=d;i=d}}}else{i=k;c=l;g=m;while(1){o=c;while(1){w=f[o+4>>2]|0;if(w>>>0<b>>>0)x=w;else x=(w>>>0)%(b>>>0)|0;if((x|0)==(j|0))break;w=(f[a>>2]|0)+(x<<2)|0;if(!(f[w>>2]|0)){p=o;q=g;r=w;s=x;break b}w=o+8|0;y=o;while(1){z=f[y>>2]|0;if(!z)break;if(!(o7b(f[w>>2]|0,f[z+8>>2]|0)|0))y=z;else break}f[g>>2]=z;f[y>>2]=f[f[(f[a>>2]|0)+(x<<2)>>2]>>2];f[f[(f[a>>2]|0)+(x<<2)>>2]>>2]=o;w=f[i>>2]|0;if(!w){v=35;break a}else o=w}c=f[o>>2]|0;if(!c){v=35;break a}else{i=o;g=o}}}while(0);f[r>>2]=q;l=f[p>>2]|0;if(!l){v=35;break}else{j=s;k=p;m=p}}if((v|0)==35)return}function REb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=a+84|0;d=f[c>>2]|0;e=a+88|0;g=f[e>>2]|0;if((d|0)!=(g|0)){h=d;do{d=f[h>>2]|0;h=h+4|0;if(d|0)ai[f[(f[d>>2]|0)+4>>2]&2047](d)}while((h|0)!=(g|0));g=f[c>>2]|0;h=f[e>>2]|0;if((h|0)!=(g|0))f[e>>2]=h+(~((h+-4-g|0)>>>2)<<2)}g=a+120|0;h=a+124|0;d=f[g>>2]|0;if((f[h>>2]|0)!=(d|0)){i=0;j=d;do{Emc(f[j+(i<<2)>>2]|0);i=i+1|0;j=f[g>>2]|0}while(i>>>0<(f[h>>2]|0)-j>>2>>>0)}j=a+72|0;i=f[j>>2]|0;d=a+76|0;k=f[d>>2]|0;if((i|0)!=(k|0)){l=i;do{i=f[l>>2]|0;l=l+4|0;if(i|0){if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);Emc(i)}}while((l|0)!=(k|0));k=f[j>>2]|0;l=f[d>>2]|0;if((l|0)!=(k|0))f[d>>2]=l+(~((l+-4-k|0)>>>2)<<2)}k=a+108|0;l=f[k>>2]|0;i=a+112|0;m=f[i>>2]|0;if((l|0)!=(m|0)){n=l;do{l=f[n>>2]|0;n=n+4|0;if(l|0){SEb(l);Emc(l)}}while((n|0)!=(m|0));m=f[k>>2]|0;n=f[i>>2]|0;if((n|0)!=(m|0))f[i>>2]=n+(~((n+-4-m|0)>>>2)<<2)}m=a+96|0;n=f[m>>2]|0;l=a+100|0;o=f[l>>2]|0;if((n|0)!=(o|0)){p=n;do{n=f[p>>2]|0;p=p+4|0;if(n|0)Emc(n)}while((p|0)!=(o|0));o=f[m>>2]|0;p=f[l>>2]|0;if((p|0)!=(o|0))f[l>>2]=p+(~((p+-4-o|0)>>>2)<<2)}o=f[a+220>>2]|0;if(o|0){p=a+224|0;n=f[p>>2]|0;if((n|0)!=(o|0))f[p>>2]=n+(~((n+-8-o|0)>>>3)<<3);Emc(o)}o=f[a+208>>2]|0;if(o|0){n=a+212|0;p=f[n>>2]|0;if((p|0)!=(o|0))f[n>>2]=p+(~((p+-4-o|0)>>>2)<<2);Emc(o)}o=f[a+196>>2]|0;if(o|0){p=a+200|0;n=f[p>>2]|0;if((n|0)!=(o|0))f[p>>2]=n+(~((n+-4-o|0)>>>2)<<2);Emc(o)}o=f[a+184>>2]|0;if(o|0){n=a+188|0;p=f[n>>2]|0;if((p|0)!=(o|0))f[n>>2]=p+(~((p+-32-o|0)>>>5)<<5);Emc(o)}TEb(a+172|0,f[a+176>>2]|0);o=f[a+160>>2]|0;if(o|0){p=o;do{o=p;p=f[p>>2]|0;Emc(o)}while((p|0)!=0)}p=a+152|0;o=f[p>>2]|0;f[p>>2]=0;if(o|0)Emc(o);o=f[a+140>>2]|0;if(o|0){p=o;do{o=p;p=f[p>>2]|0;Emc(o)}while((p|0)!=0)}p=a+132|0;o=f[p>>2]|0;f[p>>2]=0;if(o|0)Emc(o);o=f[g>>2]|0;if(o|0){g=f[h>>2]|0;if((g|0)!=(o|0))f[h>>2]=g+(~((g+-4-o|0)>>>2)<<2);Emc(o)}o=f[k>>2]|0;if(o|0){k=f[i>>2]|0;if((k|0)!=(o|0))f[i>>2]=k+(~((k+-4-o|0)>>>2)<<2);Emc(o)}o=f[m>>2]|0;if(o|0){m=f[l>>2]|0;if((m|0)!=(o|0))f[l>>2]=m+(~((m+-4-o|0)>>>2)<<2);Emc(o)}o=f[c>>2]|0;if(o|0){c=f[e>>2]|0;if((c|0)!=(o|0))f[e>>2]=c+(~((c+-4-o|0)>>>2)<<2);Emc(o)}o=f[j>>2]|0;if(o|0){j=f[d>>2]|0;if((j|0)!=(o|0))f[d>>2]=j+(~((j+-4-o|0)>>>2)<<2);Emc(o)}o=f[a+60>>2]|0;if(o|0){j=o;do{o=j;j=f[j>>2]|0;Emc(o)}while((j|0)!=0)}j=a+52|0;o=f[j>>2]|0;f[j>>2]=0;if(o|0)Emc(o);o=f[a+40>>2]|0;if(o|0){j=o;do{o=j;j=f[j>>2]|0;d=o+8|0;if((b[d+11>>0]|0)<0)Emc(f[d>>2]|0);Emc(o)}while((j|0)!=0)}j=a+32|0;o=f[j>>2]|0;f[j>>2]=0;if(o|0)Emc(o);o=f[a+20>>2]|0;if(o|0){j=o;do{o=j;j=f[j>>2]|0;d=o+8|0;if((b[d+11>>0]|0)<0)Emc(f[d>>2]|0);Emc(o)}while((j|0)!=0)}j=a+12|0;o=f[j>>2]|0;f[j>>2]=0;if(o|0)Emc(o);o=f[a>>2]|0;if(!o)return;j=a+4|0;d=f[j>>2]|0;if((d|0)==(o|0))q=o;else{c=d;while(1){d=c+-12|0;f[j>>2]=d;if((b[d+11>>0]|0)<0){Emc(f[d>>2]|0);r=f[j>>2]|0}else r=d;if((r|0)==(o|0))break;else c=r}q=f[a>>2]|0}Emc(q);return}function SEb(a){a=a|0;var c=0,d=0,e=0;WDb(a+160|0);c=f[a+148>>2]|0;if(c|0){d=c;do{c=d;d=f[d>>2]|0;e=c+8|0;if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);Emc(c)}while((d|0)!=0)}d=a+140|0;c=f[d>>2]|0;f[d>>2]=0;if(c|0)Emc(c);c=f[a+124>>2]|0;if(c|0){d=c;do{c=d;d=f[d>>2]|0;Emc(c)}while((d|0)!=0)}d=a+116|0;c=f[d>>2]|0;f[d>>2]=0;if(c|0)Emc(c);c=f[a+104>>2]|0;if(c|0){d=c;do{c=d;d=f[d>>2]|0;Emc(c)}while((d|0)!=0)}d=a+96|0;c=f[d>>2]|0;f[d>>2]=0;if(c|0)Emc(c);c=f[a+84>>2]|0;if(c|0){d=c;do{c=d;d=f[d>>2]|0;Emc(c)}while((d|0)!=0)}d=a+76|0;c=f[d>>2]|0;f[d>>2]=0;if(c|0)Emc(c);c=f[a+56>>2]|0;if(c|0){d=c;do{c=d;d=f[d>>2]|0;Emc(c)}while((d|0)!=0)}d=a+48|0;c=f[d>>2]|0;f[d>>2]=0;if(c|0)Emc(c);c=f[a+28>>2]|0;if(c|0){d=c;do{c=d;d=f[d>>2]|0;Emc(c)}while((d|0)!=0)}d=a+20|0;c=f[d>>2]|0;f[d>>2]=0;if(c|0)Emc(c);c=f[a+8>>2]|0;if(c|0){d=c;do{c=d;d=f[d>>2]|0;Emc(c)}while((d|0)!=0)}d=f[a>>2]|0;f[a>>2]=0;if(!d)return;Emc(d);return}function TEb(a,b){a=a|0;b=b|0;if(!b)return;else{TEb(a,f[b>>2]|0);TEb(a,f[b+4>>2]|0);Emc(b);return}}function UEb(a){a=a|0;var b=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;n[a+16>>2]=1.0;VEb(a,3);b=a+20|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;n[a+36>>2]=1.0;WEb(b,3);b=Bmc(20)|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;n[b+16>>2]=1.0;f[a+40>>2]=b;b=a+44|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;n[a+64>>2]=1.0;WEb(a+48|0,3);b=Bmc(20)|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;n[b+16>>2]=1.0;f[a+68>>2]=b;b=a+72|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;n[a+92>>2]=1.0;XEb(a+76|0,3);b=a+96|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;n[a+112>>2]=1.0;YEb(b,3);b=a+116|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;n[a+132>>2]=1.0;YEb(b,3);b=a+136|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;n[a+156>>2]=1.0;ZEb(a+140|0,3);VDb(a+160|0);return}function VEb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if((b|0)!=1)if(!(b+-1&b))c=b;else c=pbc(b)|0;else c=2;b=f[a+4>>2]|0;if(c>>>0>b>>>0){cFb(a,c);return}if(c>>>0>=b>>>0)return;d=~~+X(+(+((f[a+12>>2]|0)>>>0)/+n[a+16>>2]))>>>0;if(b>>>0>2&(b+-1&b|0)==0)e=1<<32-($(d+-1|0)|0);else e=pbc(d)|0;d=c>>>0<e>>>0?e:c;if(d>>>0>=b>>>0)return;cFb(a,d);return}function WEb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if((b|0)!=1)if(!(b+-1&b))c=b;else c=pbc(b)|0;else c=2;b=f[a+4>>2]|0;if(c>>>0>b>>>0){bFb(a,c);return}if(c>>>0>=b>>>0)return;d=~~+X(+(+((f[a+12>>2]|0)>>>0)/+n[a+16>>2]))>>>0;if(b>>>0>2&(b+-1&b|0)==0)e=1<<32-($(d+-1|0)|0);else e=pbc(d)|0;d=c>>>0<e>>>0?e:c;if(d>>>0>=b>>>0)return;bFb(a,d);return}function XEb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if((b|0)!=1)if(!(b+-1&b))c=b;else c=pbc(b)|0;else c=2;b=f[a+4>>2]|0;if(c>>>0>b>>>0){aFb(a,c);return}if(c>>>0>=b>>>0)return;d=~~+X(+(+((f[a+12>>2]|0)>>>0)/+n[a+16>>2]))>>>0;if(b>>>0>2&(b+-1&b|0)==0)e=1<<32-($(d+-1|0)|0);else e=pbc(d)|0;d=c>>>0<e>>>0?e:c;if(d>>>0>=b>>>0)return;aFb(a,d);return}function YEb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if((b|0)!=1)if(!(b+-1&b))c=b;else c=pbc(b)|0;else c=2;b=f[a+4>>2]|0;if(c>>>0>b>>>0){$Eb(a,c);return}if(c>>>0>=b>>>0)return;d=~~+X(+(+((f[a+12>>2]|0)>>>0)/+n[a+16>>2]))>>>0;if(b>>>0>2&(b+-1&b|0)==0)e=1<<32-($(d+-1|0)|0);else e=pbc(d)|0;d=c>>>0<e>>>0?e:c;if(d>>>0>=b>>>0)return;$Eb(a,d);return}function ZEb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if((b|0)!=1)if(!(b+-1&b))c=b;else c=pbc(b)|0;else c=2;b=f[a+4>>2]|0;if(c>>>0>b>>>0){_Eb(a,c);return}if(c>>>0>=b>>>0)return;d=~~+X(+(+((f[a+12>>2]|0)>>>0)/+n[a+16>>2]))>>>0;if(b>>>0>2&(b+-1&b|0)==0)e=1<<32-($(d+-1|0)|0);else e=pbc(d)|0;d=c>>>0<e>>>0?e:c;if(d>>>0>=b>>>0)return;_Eb(a,d);return}function _Eb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;d=(c|0)!=0;do if(d)if(c>>>0>1073741823){e=ye(8)|0;Jmc(e,511852);f[e>>2]=165276;Gf(e|0,26776,1555)}else{g=Bmc(c<<2)|0;break}else g=0;while(0);e=f[a>>2]|0;f[a>>2]=g;if(e|0)Emc(e);f[a+4>>2]=c;if(d)h=0;else return;do{f[(f[a>>2]|0)+(h<<2)>>2]=0;h=h+1|0}while((h|0)!=(c|0));h=a+8|0;d=f[h>>2]|0;if(!d)return;e=f[d+4>>2]|0;g=c+-1|0;i=(g&c|0)==0;if(!i)if(e>>>0<c>>>0)j=e;else j=(e>>>0)%(c>>>0)|0;else j=e&g;f[(f[a>>2]|0)+(j<<2)>>2]=h;h=f[d>>2]|0;if(!h)return;else{k=j;l=d;m=h;n=d}a:while(1){d=l;h=m;j=n;b:while(1){o=h;while(1){e=f[o+4>>2]|0;if(!i)if(e>>>0<c>>>0)p=e;else p=(e>>>0)%(c>>>0)|0;else p=e&g;if((p|0)==(k|0))break;q=(f[a>>2]|0)+(p<<2)|0;if(!(f[q>>2]|0))break b;e=f[o>>2]|0;c:do if(!e)r=o;else{s=o+8|0;t=b[s+11>>0]|0;u=t<<24>>24<0;v=t&255;t=u?f[o+12>>2]|0:v;w=(t|0)==0;if(u){u=o;x=e;while(1){y=x+8|0;z=b[y+11>>0]|0;A=z<<24>>24<0;if((t|0)!=((A?f[x+12>>2]|0:z&255)|0)){r=u;break c}if(!w?gac(f[s>>2]|0,A?f[y>>2]|0:y,t)|0:0){r=u;break c}y=f[x>>2]|0;if(!y){r=x;break c}else{A=x;x=y;u=A}}}if(w){u=o;x=e;while(1){A=b[x+8+11>>0]|0;if((A<<24>>24<0?f[x+12>>2]|0:A&255)|0){r=u;break c}A=f[x>>2]|0;if(!A){r=x;break c}else{y=x;x=A;u=y}}}u=o;x=e;while(1){w=x+8|0;y=b[w+11>>0]|0;A=y<<24>>24<0;if((t|0)!=((A?f[x+12>>2]|0:y&255)|0)){r=u;break c}y=A?f[w>>2]|0:w;if((f[s>>2]&255)<<24>>24==(b[y>>0]|0)){B=s;C=v;D=y}else{r=u;break c}while(1){C=C+-1|0;B=B+1|0;if(!C)break;D=D+1|0;if((b[B>>0]|0)!=(b[D>>0]|0)){r=u;break c}}y=f[x>>2]|0;if(!y){r=x;break}else{w=x;x=y;u=w}}}while(0);f[j>>2]=f[r>>2];f[r>>2]=f[f[(f[a>>2]|0)+(p<<2)>>2]>>2];f[f[(f[a>>2]|0)+(p<<2)>>2]>>2]=o;e=f[d>>2]|0;if(!e){E=41;break a}else o=e}h=f[o>>2]|0;if(!h){E=41;break a}else{d=o;j=o}}f[q>>2]=j;m=f[o>>2]|0;if(!m){E=41;break}else{k=p;l=o;n=o}}if((E|0)==41)return}function $Eb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;c=(b|0)!=0;do if(c)if(b>>>0>1073741823){d=ye(8)|0;Jmc(d,511852);f[d>>2]=165276;Gf(d|0,26776,1555)}else{e=Bmc(b<<2)|0;break}else e=0;while(0);d=f[a>>2]|0;f[a>>2]=e;if(d|0)Emc(d);f[a+4>>2]=b;if(c)g=0;else return;do{f[(f[a>>2]|0)+(g<<2)>>2]=0;g=g+1|0}while((g|0)!=(b|0));g=a+8|0;c=f[g>>2]|0;if(!c)return;d=f[c+4>>2]|0;e=b+-1|0;h=(e&b|0)==0;if(!h)if(d>>>0<b>>>0)i=d;else i=(d>>>0)%(b>>>0)|0;else i=d&e;f[(f[a>>2]|0)+(i<<2)>>2]=g;g=f[c>>2]|0;if(!g)return;else{j=i;k=c;l=g;m=c}a:while(1){c=k;g=l;i=m;b:while(1){c:do if(h){d=g;while(1){n=f[d+4>>2]&e;if((n|0)==(j|0)){o=d;break c}p=(f[a>>2]|0)+(n<<2)|0;if(!(f[p>>2]|0)){q=d;r=p;s=n;break b}p=d+12|0;t=f[d>>2]|0;d:do if(!t)u=d;else{v=f[d+8>>2]|0;w=d;x=t;while(1){if((v|0)!=(f[x+8>>2]|0)){u=w;break d}if((f[p>>2]|0)!=(f[x+12>>2]|0)){u=w;break d}y=f[x>>2]|0;if(!y){u=x;break}else{z=x;x=y;w=z}}}while(0);f[i>>2]=f[u>>2];f[u>>2]=f[f[(f[a>>2]|0)+(n<<2)>>2]>>2];f[f[(f[a>>2]|0)+(n<<2)>>2]>>2]=d;d=f[c>>2]|0;if(!d){A=37;break a}}}else{d=g;while(1){p=f[d+4>>2]|0;if(p>>>0<b>>>0)B=p;else B=(p>>>0)%(b>>>0)|0;if((B|0)==(j|0)){o=d;break c}p=(f[a>>2]|0)+(B<<2)|0;if(!(f[p>>2]|0)){q=d;r=p;s=B;break b}p=d+12|0;t=f[d>>2]|0;e:do if(!t)C=d;else{w=f[d+8>>2]|0;x=d;v=t;while(1){if((w|0)!=(f[v+8>>2]|0)){C=x;break e}if((f[p>>2]|0)!=(f[v+12>>2]|0)){C=x;break e}z=f[v>>2]|0;if(!z){C=v;break}else{y=v;v=z;x=y}}}while(0);f[i>>2]=f[C>>2];f[C>>2]=f[f[(f[a>>2]|0)+(B<<2)>>2]>>2];f[f[(f[a>>2]|0)+(B<<2)>>2]>>2]=d;d=f[c>>2]|0;if(!d){A=37;break a}}}while(0);g=f[o>>2]|0;if(!g){A=37;break a}else{c=o;i=o}}f[r>>2]=i;l=f[q>>2]|0;if(!l){A=37;break}else{j=s;k=q;m=q}}if((A|0)==37)return}function aFb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;c=(b|0)!=0;do if(c)if(b>>>0>1073741823){d=ye(8)|0;Jmc(d,511852);f[d>>2]=165276;Gf(d|0,26776,1555)}else{e=Bmc(b<<2)|0;break}else e=0;while(0);d=f[a>>2]|0;f[a>>2]=e;if(d|0)Emc(d);f[a+4>>2]=b;if(c)g=0;else return;do{f[(f[a>>2]|0)+(g<<2)>>2]=0;g=g+1|0}while((g|0)!=(b|0));g=a+8|0;c=f[g>>2]|0;if(!c)return;d=f[c+4>>2]|0;e=b+-1|0;h=(e&b|0)==0;if(!h)if(d>>>0<b>>>0)i=d;else i=(d>>>0)%(b>>>0)|0;else i=d&e;f[(f[a>>2]|0)+(i<<2)>>2]=g;g=f[c>>2]|0;if(!g)return;else{j=i;k=c;l=g;m=c}a:while(1){c=k;g=l;i=m;b:while(1){c:do if(h){d=g;while(1){n=f[d+4>>2]&e;if((n|0)==(j|0)){o=d;break c}p=(f[a>>2]|0)+(n<<2)|0;if(!(f[p>>2]|0)){q=d;r=p;s=n;break b}p=d+12|0;t=f[d>>2]|0;d:do if(!t)u=d;else{v=f[d+8>>2]|0;w=d;x=t;while(1){if((v|0)!=(f[x+8>>2]|0)){u=w;break d}if((f[p>>2]|0)!=(f[x+12>>2]|0)){u=w;break d}y=f[x>>2]|0;if(!y){u=x;break}else{z=x;x=y;w=z}}}while(0);f[i>>2]=f[u>>2];f[u>>2]=f[f[(f[a>>2]|0)+(n<<2)>>2]>>2];f[f[(f[a>>2]|0)+(n<<2)>>2]>>2]=d;d=f[c>>2]|0;if(!d){A=37;break a}}}else{d=g;while(1){p=f[d+4>>2]|0;if(p>>>0<b>>>0)B=p;else B=(p>>>0)%(b>>>0)|0;if((B|0)==(j|0)){o=d;break c}p=(f[a>>2]|0)+(B<<2)|0;if(!(f[p>>2]|0)){q=d;r=p;s=B;break b}p=d+12|0;t=f[d>>2]|0;e:do if(!t)C=d;else{w=f[d+8>>2]|0;x=d;v=t;while(1){if((w|0)!=(f[v+8>>2]|0)){C=x;break e}if((f[p>>2]|0)!=(f[v+12>>2]|0)){C=x;break e}z=f[v>>2]|0;if(!z){C=v;break}else{y=v;v=z;x=y}}}while(0);f[i>>2]=f[C>>2];f[C>>2]=f[f[(f[a>>2]|0)+(B<<2)>>2]>>2];f[f[(f[a>>2]|0)+(B<<2)>>2]>>2]=d;d=f[c>>2]|0;if(!d){A=37;break a}}}while(0);g=f[o>>2]|0;if(!g){A=37;break a}else{c=o;i=o}}f[r>>2]=i;l=f[q>>2]|0;if(!l){A=37;break}else{j=s;k=q;m=q}}if((A|0)==37)return}function bFb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;c=(b|0)!=0;do if(c)if(b>>>0>1073741823){d=ye(8)|0;Jmc(d,511852);f[d>>2]=165276;Gf(d|0,26776,1555)}else{e=Bmc(b<<2)|0;break}else e=0;while(0);d=f[a>>2]|0;f[a>>2]=e;if(d|0)Emc(d);f[a+4>>2]=b;if(c)g=0;else return;do{f[(f[a>>2]|0)+(g<<2)>>2]=0;g=g+1|0}while((g|0)!=(b|0));g=a+8|0;c=f[g>>2]|0;if(!c)return;d=f[c+4>>2]|0;e=b+-1|0;h=(e&b|0)==0;if(!h)if(d>>>0<b>>>0)i=d;else i=(d>>>0)%(b>>>0)|0;else i=d&e;f[(f[a>>2]|0)+(i<<2)>>2]=g;g=f[c>>2]|0;if(!g)return;else{j=i;k=c;l=g;m=c}a:while(1){c=k;g=l;i=m;b:while(1){c:do if(h){d=g;while(1){n=f[d+4>>2]&e;if((n|0)==(j|0)){o=d;break c}p=(f[a>>2]|0)+(n<<2)|0;if(!(f[p>>2]|0)){q=d;r=p;s=n;break b}p=f[d>>2]|0;d:do if(!p)t=d;else{u=f[d+8>>2]|0;v=d+12|0;w=d;x=p;while(1){if((u|0)!=(f[x+8>>2]|0)){t=w;break d}if(o7b(f[v>>2]|0,f[x+12>>2]|0)|0){t=w;break d}y=f[x>>2]|0;if(!y){t=x;break}else{z=x;x=y;w=z}}}while(0);f[i>>2]=f[t>>2];f[t>>2]=f[f[(f[a>>2]|0)+(n<<2)>>2]>>2];f[f[(f[a>>2]|0)+(n<<2)>>2]>>2]=d;d=f[c>>2]|0;if(!d){A=37;break a}}}else{d=g;while(1){p=f[d+4>>2]|0;if(p>>>0<b>>>0)B=p;else B=(p>>>0)%(b>>>0)|0;if((B|0)==(j|0)){o=d;break c}p=(f[a>>2]|0)+(B<<2)|0;if(!(f[p>>2]|0)){q=d;r=p;s=B;break b}p=f[d>>2]|0;e:do if(!p)C=d;else{w=f[d+8>>2]|0;x=d+12|0;v=d;u=p;while(1){if((w|0)!=(f[u+8>>2]|0)){C=v;break e}if(o7b(f[x>>2]|0,f[u+12>>2]|0)|0){C=v;break e}z=f[u>>2]|0;if(!z){C=u;break}else{y=u;u=z;v=y}}}while(0);f[i>>2]=f[C>>2];f[C>>2]=f[f[(f[a>>2]|0)+(B<<2)>>2]>>2];f[f[(f[a>>2]|0)+(B<<2)>>2]>>2]=d;d=f[c>>2]|0;if(!d){A=37;break a}}}while(0);g=f[o>>2]|0;if(!g){A=37;break a}else{c=o;i=o}}f[r>>2]=i;l=f[q>>2]|0;if(!l){A=37;break}else{j=s;k=q;m=q}}if((A|0)==37)return}function cFb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;c=(b|0)!=0;do if(c)if(b>>>0>1073741823){d=ye(8)|0;Jmc(d,511852);f[d>>2]=165276;Gf(d|0,26776,1555)}else{e=Bmc(b<<2)|0;break}else e=0;while(0);d=f[a>>2]|0;f[a>>2]=e;if(d|0)Emc(d);f[a+4>>2]=b;if(c)g=0;else return;do{f[(f[a>>2]|0)+(g<<2)>>2]=0;g=g+1|0}while((g|0)!=(b|0));g=a+8|0;c=f[g>>2]|0;if(!c)return;d=f[c+4>>2]|0;e=b+-1|0;h=(e&b|0)==0;if(!h)if(d>>>0<b>>>0)i=d;else i=(d>>>0)%(b>>>0)|0;else i=d&e;f[(f[a>>2]|0)+(i<<2)>>2]=g;g=f[c>>2]|0;if(!g)return;else{j=i;k=c;l=g;m=c}a:while(1){c=k;g=l;i=m;b:while(1){c:do if(h){d=g;while(1){n=f[d+4>>2]&e;if((n|0)==(j|0)){o=d;break c}p=(f[a>>2]|0)+(n<<2)|0;if(!(f[p>>2]|0)){q=d;r=p;s=n;break b}p=f[d>>2]|0;d:do if(!p)t=d;else{u=f[d+8>>2]|0;v=d+12|0;w=d;x=p;while(1){if((u|0)!=(f[x+8>>2]|0)){t=w;break d}if(o7b(f[v>>2]|0,f[x+12>>2]|0)|0){t=w;break d}y=f[x>>2]|0;if(!y){t=x;break}else{z=x;x=y;w=z}}}while(0);f[i>>2]=f[t>>2];f[t>>2]=f[f[(f[a>>2]|0)+(n<<2)>>2]>>2];f[f[(f[a>>2]|0)+(n<<2)>>2]>>2]=d;d=f[c>>2]|0;if(!d){A=37;break a}}}else{d=g;while(1){p=f[d+4>>2]|0;if(p>>>0<b>>>0)B=p;else B=(p>>>0)%(b>>>0)|0;if((B|0)==(j|0)){o=d;break c}p=(f[a>>2]|0)+(B<<2)|0;if(!(f[p>>2]|0)){q=d;r=p;s=B;break b}p=f[d>>2]|0;e:do if(!p)C=d;else{w=f[d+8>>2]|0;x=d+12|0;v=d;u=p;while(1){if((w|0)!=(f[u+8>>2]|0)){C=v;break e}if(o7b(f[x>>2]|0,f[u+12>>2]|0)|0){C=v;break e}z=f[u>>2]|0;if(!z){C=u;break}else{y=u;u=z;v=y}}}while(0);f[i>>2]=f[C>>2];f[C>>2]=f[f[(f[a>>2]|0)+(B<<2)>>2]>>2];f[f[(f[a>>2]|0)+(B<<2)>>2]>>2]=d;d=f[c>>2]|0;if(!d){A=37;break a}}}while(0);g=f[o>>2]|0;if(!g){A=37;break a}else{c=o;i=o}}f[r>>2]=i;l=f[q>>2]|0;if(!l){A=37;break}else{j=s;k=q;m=q}}if((A|0)==37)return}function dFb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>5;h=g+1|0;if(h>>>0>134217727)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>4;l=j>>5>>>0<67108863?(k>>>0<h>>>0?h:k):134217727;do if(l)if(l>>>0>134217727){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<5)|0;break}else m=0;while(0);k=m+(g<<5)|0;f[k>>2]=f[b>>2];f[k+4>>2]=f[b+4>>2];f[k+8>>2]=f[b+8>>2];f[k+12>>2]=f[b+12>>2];f[k+16>>2]=f[b+16>>2];f[k+20>>2]=f[b+20>>2];f[k+24>>2]=f[b+24>>2];f[k+28>>2]=f[b+28>>2];b=k+(0-g<<5)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+32;f[i>>2]=m+(l<<5);if(!d)return;Emc(d);return}function eFb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;c=u;u=u+32|0;d=c+16|0;e=c+4|0;g=c;h=a+188|0;i=f[h>>2]|0;j=i+-12|0;k=f[j>>2]|0;l=a+196|0;m=a+200|0;n=f[l>>2]|0;if(k>>>0<(f[m>>2]|0)-n>>2>>>0){o=a+132|0;p=k;k=n;do{n=fFb(o,k+(p<<2)|0)|0;if(n|0?(f[g>>2]=n,f[d>>2]=f[g>>2],gFb(e,o,d),n=f[e>>2]|0,f[e>>2]=0,n|0):0)Emc(n);p=p+1|0;k=f[l>>2]|0}while(p>>>0<(f[m>>2]|0)-k>>2>>>0)}k=i+-8|0;p=f[k>>2]|0;o=a+208|0;n=a+212|0;q=f[o>>2]|0;if(p>>>0<(f[n>>2]|0)-q>>2>>>0){r=a+152|0;s=p;p=q;do{q=hFb(r,p+(s<<2)|0)|0;if(q|0?(f[g>>2]=q,f[d>>2]=f[g>>2],iFb(e,r,d),q=f[e>>2]|0,f[e>>2]=0,q|0):0)Emc(q);s=s+1|0;p=f[o>>2]|0}while(s>>>0<(f[n>>2]|0)-p>>2>>>0)}p=i+-4|0;s=f[p>>2]|0;e=a+220|0;d=a+224|0;r=f[e>>2]|0;if(s>>>0<(f[d>>2]|0)-r>>3>>>0){g=a+172|0;q=s;s=r;do{lFb(g,s+(q<<3)|0)|0;q=q+1|0;s=f[e>>2]|0}while(q>>>0<(f[d>>2]|0)-s>>3>>>0)}s=f[j>>2]|0;j=f[m>>2]|0;q=f[l>>2]|0;g=j-q>>2;r=q;q=j;if(s>>>0<=g>>>0){if(s>>>0<g>>>0?(j=r+(s<<2)|0,(q|0)!=(j|0)):0)f[m>>2]=q+(~((q+-4-j|0)>>>2)<<2)}else jFb(l,s-g|0);g=f[k>>2]|0;k=f[n>>2]|0;s=f[o>>2]|0;l=k-s>>2;j=s;s=k;if(g>>>0<=l>>>0){if(g>>>0<l>>>0?(k=j+(g<<2)|0,(s|0)!=(k|0)):0)f[n>>2]=s+(~((s+-4-k|0)>>>2)<<2)}else jFb(o,g-l|0);l=f[p>>2]|0;p=f[d>>2]|0;g=f[e>>2]|0;o=p-g>>3;k=g;g=p;if(l>>>0<=o>>>0){if(l>>>0<o>>>0?(p=k+(l<<3)|0,(g|0)!=(p|0)):0)f[d>>2]=g+(~((g+-8-p|0)>>>3)<<3)}else kFb(e,l-o|0);o=a+72|0;l=i+-32|0;e=(f[o>>2]|0)+(f[l>>2]<<2)|0;p=a+76|0;g=f[p>>2]|0;if((e|0)!=(g|0)){d=e;do{e=f[d>>2]|0;d=d+4|0;if(e|0){if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);Emc(e)}}while((d|0)!=(g|0))}g=a+84|0;d=i+-28|0;e=(f[g>>2]|0)+(f[d>>2]<<2)|0;k=a+88|0;s=f[k>>2]|0;if((e|0)!=(s|0)){n=e;do{e=f[n>>2]|0;n=n+4|0;if(e|0)ai[f[(f[e>>2]|0)+4>>2]&2047](e)}while((n|0)!=(s|0))}s=a+96|0;n=i+-24|0;e=(f[s>>2]|0)+(f[n>>2]<<2)|0;j=a+100|0;q=f[j>>2]|0;if((e|0)!=(q|0)){m=e;do{e=f[m>>2]|0;m=m+4|0;if(e|0)Emc(e)}while((m|0)!=(q|0))}q=a+108|0;m=i+-20|0;e=(f[q>>2]|0)+(f[m>>2]<<2)|0;r=a+112|0;t=f[r>>2]|0;if((e|0)!=(t|0)){v=e;do{e=f[v>>2]|0;v=v+4|0;if(e|0){SEb(e);Emc(e)}}while((v|0)!=(t|0))}t=i+-16|0;i=f[t>>2]|0;v=a+120|0;e=a+124|0;a=f[v>>2]|0;if(i>>>0<(f[e>>2]|0)-a>>2>>>0){w=i;i=a;do{Emc(f[i+(w<<2)>>2]|0);w=w+1|0;i=f[v>>2]|0}while(w>>>0<(f[e>>2]|0)-i>>2>>>0)}i=f[l>>2]|0;l=f[p>>2]|0;w=f[o>>2]|0;a=l-w>>2;x=w;w=l;if(i>>>0<=a>>>0){if(i>>>0<a>>>0?(l=x+(i<<2)|0,(w|0)!=(l|0)):0)f[p>>2]=w+(~((w+-4-l|0)>>>2)<<2)}else mFb(o,i-a|0);a=f[d>>2]|0;d=f[k>>2]|0;i=f[g>>2]|0;o=d-i>>2;l=i;i=d;if(a>>>0<=o>>>0){if(a>>>0<o>>>0?(d=l+(a<<2)|0,(i|0)!=(d|0)):0)f[k>>2]=i+(~((i+-4-d|0)>>>2)<<2)}else nFb(g,a-o|0);o=f[n>>2]|0;n=f[j>>2]|0;a=f[s>>2]|0;g=n-a>>2;d=a;a=n;if(o>>>0<=g>>>0){if(o>>>0<g>>>0?(n=d+(o<<2)|0,(a|0)!=(n|0)):0)f[j>>2]=a+(~((a+-4-n|0)>>>2)<<2)}else oFb(s,o-g|0);g=f[m>>2]|0;m=f[r>>2]|0;o=f[q>>2]|0;s=m-o>>2;n=o;o=m;if(g>>>0<=s>>>0){if(g>>>0<s>>>0?(m=n+(g<<2)|0,(o|0)!=(m|0)):0)f[r>>2]=o+(~((o+-4-m|0)>>>2)<<2)}else pFb(q,g-s|0);s=f[t>>2]|0;t=f[e>>2]|0;g=f[v>>2]|0;q=t-g>>2;m=t;if(s>>>0>q>>>0){qFb(v,s-q|0);y=f[h>>2]|0;z=y+-32|0;f[h>>2]=z;u=c;return}if(s>>>0>=q>>>0){y=f[h>>2]|0;z=y+-32|0;f[h>>2]=z;u=c;return}q=g+(s<<2)|0;if((m|0)==(q|0)){y=f[h>>2]|0;z=y+-32|0;f[h>>2]=z;u=c;return}f[e>>2]=m+(~((m+-4-q|0)>>>2)<<2);y=f[h>>2]|0;z=y+-32|0;f[h>>2]=z;u=c;return}function fFb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=f[c>>2]|0;c=b[d>>0]|0;if(!(c<<24>>24))e=0;else{g=d;h=0;i=c;while(1){c=(h*5|0)+(i<<24>>24)|0;g=g+1|0;i=b[g>>0]|0;if(!(i<<24>>24)){e=c;break}else h=c}}h=f[a+4>>2]|0;if(!h){j=0;return j|0}i=h+-1|0;g=(i&h|0)==0;if(!g)if(e>>>0<h>>>0)k=e;else k=(e>>>0)%(h>>>0)|0;else k=i&e;c=f[(f[a>>2]|0)+(k<<2)>>2]|0;if(!c){j=0;return j|0}a=f[c>>2]|0;if(!a){j=0;return j|0}if(g){g=a;while(1){c=f[g+4>>2]|0;l=(c|0)==(e|0);if(!(l|(c&i|0)==(k|0))){j=0;m=22;break}if(l?(o7b(f[g+8>>2]|0,d)|0)==0:0){j=g;m=22;break}g=f[g>>2]|0;if(!g){j=0;m=22;break}}if((m|0)==22)return j|0}else n=a;while(1){a=f[n+4>>2]|0;g=(a|0)==(e|0);if(!g){if(a>>>0<h>>>0)o=a;else o=(a>>>0)%(h>>>0)|0;if((o|0)!=(k|0)){j=0;m=22;break}if(g)m=21}else m=21;if((m|0)==21?(m=0,(o7b(f[n+8>>2]|0,d)|0)==0):0){j=n;m=22;break}n=f[n>>2]|0;if(!n){j=0;m=22;break}}if((m|0)==22)return j|0;return 0}function gFb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=f[c>>2]|0;c=f[b+4>>2]|0;e=f[d+4>>2]|0;g=c+-1|0;h=(g&c|0)==0;if(!h)if(e>>>0<c>>>0)i=e;else i=(e>>>0)%(c>>>0)|0;else i=g&e;e=(f[b>>2]|0)+(i<<2)|0;j=f[e>>2]|0;while(1){k=f[j>>2]|0;if((k|0)==(d|0))break;else j=k}k=b+8|0;if((j|0)!=(k|0)){l=f[j+4>>2]|0;if(!h)if(l>>>0<c>>>0)m=l;else m=(l>>>0)%(c>>>0)|0;else m=l&g;if((m|0)==(i|0))n=d;else o=14}else o=14;do if((o|0)==14){m=f[d>>2]|0;if(m|0){l=f[m+4>>2]|0;if(!h)if(l>>>0<c>>>0)p=l;else p=(l>>>0)%(c>>>0)|0;else p=l&g;if((p|0)==(i|0)){n=d;break}}f[e>>2]=0;n=d}while(0);e=f[n>>2]|0;p=e;if(e){o=f[e+4>>2]|0;if(!h)if(o>>>0<c>>>0)q=o;else q=(o>>>0)%(c>>>0)|0;else q=o&g;if((q|0)!=(i|0)){f[(f[b>>2]|0)+(q<<2)>>2]=j;r=f[d>>2]|0}else r=p}else r=p;f[j>>2]=r;f[n>>2]=0;n=b+12|0;f[n>>2]=(f[n>>2]|0)+-1;f[a>>2]=d;d=a+4|0;f[d>>2]=k;f[d+4>>2]=1;return}function hFb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=f[c>>2]|0;c=b[d>>0]|0;if(!(c<<24>>24))e=0;else{g=d;h=0;i=c;while(1){c=(h*5|0)+(i<<24>>24)|0;g=g+1|0;i=b[g>>0]|0;if(!(i<<24>>24)){e=c;break}else h=c}}h=f[a+4>>2]|0;if(!h){j=0;return j|0}i=h+-1|0;g=(i&h|0)==0;if(!g)if(e>>>0<h>>>0)k=e;else k=(e>>>0)%(h>>>0)|0;else k=i&e;c=f[(f[a>>2]|0)+(k<<2)>>2]|0;if(!c){j=0;return j|0}a=f[c>>2]|0;if(!a){j=0;return j|0}if(g){g=a;while(1){c=f[g+4>>2]|0;l=(c|0)==(e|0);if(!(l|(c&i|0)==(k|0))){j=0;m=22;break}if(l?(o7b(f[g+8>>2]|0,d)|0)==0:0){j=g;m=22;break}g=f[g>>2]|0;if(!g){j=0;m=22;break}}if((m|0)==22)return j|0}else n=a;while(1){a=f[n+4>>2]|0;g=(a|0)==(e|0);if(!g){if(a>>>0<h>>>0)o=a;else o=(a>>>0)%(h>>>0)|0;if((o|0)!=(k|0)){j=0;m=22;break}if(g)m=21}else m=21;if((m|0)==21?(m=0,(o7b(f[n+8>>2]|0,d)|0)==0):0){j=n;m=22;break}n=f[n>>2]|0;if(!n){j=0;m=22;break}}if((m|0)==22)return j|0;return 0}function iFb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=f[c>>2]|0;c=f[b+4>>2]|0;e=f[d+4>>2]|0;g=c+-1|0;h=(g&c|0)==0;if(!h)if(e>>>0<c>>>0)i=e;else i=(e>>>0)%(c>>>0)|0;else i=g&e;e=(f[b>>2]|0)+(i<<2)|0;j=f[e>>2]|0;while(1){k=f[j>>2]|0;if((k|0)==(d|0))break;else j=k}k=b+8|0;if((j|0)!=(k|0)){l=f[j+4>>2]|0;if(!h)if(l>>>0<c>>>0)m=l;else m=(l>>>0)%(c>>>0)|0;else m=l&g;if((m|0)==(i|0))n=d;else o=14}else o=14;do if((o|0)==14){m=f[d>>2]|0;if(m|0){l=f[m+4>>2]|0;if(!h)if(l>>>0<c>>>0)p=l;else p=(l>>>0)%(c>>>0)|0;else p=l&g;if((p|0)==(i|0)){n=d;break}}f[e>>2]=0;n=d}while(0);e=f[n>>2]|0;p=e;if(e){o=f[e+4>>2]|0;if(!h)if(o>>>0<c>>>0)q=o;else q=(o>>>0)%(c>>>0)|0;else q=o&g;if((q|0)!=(i|0)){f[(f[b>>2]|0)+(q<<2)>>2]=j;r=f[d>>2]|0}else r=p}else r=p;f[j>>2]=r;f[n>>2]=0;n=b+12|0;f[n>>2]=(f[n>>2]|0)+-1;f[a>>2]=d;d=a+4|0;f[d>>2]=k;f[d+4>>2]=1;return}function jFb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>2>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;i=(f[e>>2]|0)+4|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>2;g=i+b|0;if(g>>>0>1073741823)Ukc(a);j=d-h|0;h=j>>1;d=j>>2>>>0<536870911?(h>>>0<g>>>0?g:h):1073741823;do if(d)if(d>>>0>1073741823){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{k=Bmc(d<<2)|0;break}else k=0;while(0);h=k+(i<<2)|0;i=k+(d<<2)|0;d=b;b=h;k=h;do{f[k>>2]=0;k=b+4|0;b=k;d=d+-1|0}while((d|0)!=0);d=f[a>>2]|0;k=(f[e>>2]|0)-d|0;g=h+(0-(k>>2)<<2)|0;if((k|0)>0)Krc(g|0,d|0,k|0)|0;f[a>>2]=g;f[e>>2]=b;f[c>>2]=i;if(!d)return;Emc(d);return}function kFb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>3>>>0>=b>>>0){Drc(g|0,0,b<<3|0)|0;f[e>>2]=g+(b<<3);return}h=f[a>>2]|0;i=g-h|0;g=i>>3;j=g+b|0;if(j>>>0>536870911)Ukc(a);k=d-h|0;d=k>>2;l=k>>3>>>0<268435455?(d>>>0<j>>>0?j:d):536870911;do if(l)if(l>>>0>536870911){d=ye(8)|0;Jmc(d,511852);f[d>>2]=165276;Gf(d|0,26776,1555)}else{m=Bmc(l<<3)|0;break}else m=0;while(0);d=m+(g<<3)|0;Drc(d|0,0,b<<3|0)|0;j=d+(0-g<<3)|0;if((i|0)>0)Krc(j|0,h|0,i|0)|0;f[a>>2]=j;f[e>>2]=d+(b<<3);f[c>>2]=m+(l<<3);if(!h)return;Emc(h);return}function lFb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[c>>2]|0;if(!d){e=0;return e|0}g=f[b>>2]|0;h=f[b+4>>2]|0;b=c;i=d;a:while(1){j=i;while(1){k=f[j+16>>2]|0;if(k>>>0>=g>>>0){if(g>>>0<k>>>0)break;if((f[j+20>>2]|0)>=(h|0))break}k=f[j+4>>2]|0;if(!k){l=b;break a}else j=k}i=f[j>>2]|0;if(!i){l=j;break}else b=j}if((l|0)==(c|0)){e=0;return e|0}c=f[l+16>>2]|0;if(g>>>0<c>>>0){e=0;return e|0}if(c>>>0>=g>>>0?(h|0)<(f[l+20>>2]|0):0){e=0;return e|0}h=f[l+4>>2]|0;if(!h){g=l+8|0;c=f[g>>2]|0;if((f[c>>2]|0)==(l|0))m=c;else{c=g;do{g=f[c>>2]|0;c=g+8|0;b=f[c>>2]|0}while((f[b>>2]|0)!=(g|0));m=b}}else{c=h;while(1){h=f[c>>2]|0;if(!h)break;else c=h}m=c}if((f[a>>2]|0)==(l|0))f[a>>2]=m;m=a+8|0;f[m>>2]=(f[m>>2]|0)+-1;gCa(d,l);Emc(l);e=1;return e|0}function mFb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>2>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;i=(f[e>>2]|0)+4|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>2;g=i+b|0;if(g>>>0>1073741823)Ukc(a);j=d-h|0;h=j>>1;d=j>>2>>>0<536870911?(h>>>0<g>>>0?g:h):1073741823;do if(d)if(d>>>0>1073741823){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{k=Bmc(d<<2)|0;break}else k=0;while(0);h=k+(i<<2)|0;i=k+(d<<2)|0;d=b;b=h;k=h;do{f[k>>2]=0;k=b+4|0;b=k;d=d+-1|0}while((d|0)!=0);d=f[a>>2]|0;k=(f[e>>2]|0)-d|0;g=h+(0-(k>>2)<<2)|0;if((k|0)>0)Krc(g|0,d|0,k|0)|0;f[a>>2]=g;f[e>>2]=b;f[c>>2]=i;if(!d)return;Emc(d);return}function nFb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>2>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;i=(f[e>>2]|0)+4|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>2;g=i+b|0;if(g>>>0>1073741823)Ukc(a);j=d-h|0;h=j>>1;d=j>>2>>>0<536870911?(h>>>0<g>>>0?g:h):1073741823;do if(d)if(d>>>0>1073741823){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{k=Bmc(d<<2)|0;break}else k=0;while(0);h=k+(i<<2)|0;i=k+(d<<2)|0;d=b;b=h;k=h;do{f[k>>2]=0;k=b+4|0;b=k;d=d+-1|0}while((d|0)!=0);d=f[a>>2]|0;k=(f[e>>2]|0)-d|0;g=h+(0-(k>>2)<<2)|0;if((k|0)>0)Krc(g|0,d|0,k|0)|0;f[a>>2]=g;f[e>>2]=b;f[c>>2]=i;if(!d)return;Emc(d);return}function oFb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>2>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;i=(f[e>>2]|0)+4|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>2;g=i+b|0;if(g>>>0>1073741823)Ukc(a);j=d-h|0;h=j>>1;d=j>>2>>>0<536870911?(h>>>0<g>>>0?g:h):1073741823;do if(d)if(d>>>0>1073741823){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{k=Bmc(d<<2)|0;break}else k=0;while(0);h=k+(i<<2)|0;i=k+(d<<2)|0;d=b;b=h;k=h;do{f[k>>2]=0;k=b+4|0;b=k;d=d+-1|0}while((d|0)!=0);d=f[a>>2]|0;k=(f[e>>2]|0)-d|0;g=h+(0-(k>>2)<<2)|0;if((k|0)>0)Krc(g|0,d|0,k|0)|0;f[a>>2]=g;f[e>>2]=b;f[c>>2]=i;if(!d)return;Emc(d);return}function pFb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>2>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;i=(f[e>>2]|0)+4|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>2;g=i+b|0;if(g>>>0>1073741823)Ukc(a);j=d-h|0;h=j>>1;d=j>>2>>>0<536870911?(h>>>0<g>>>0?g:h):1073741823;do if(d)if(d>>>0>1073741823){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{k=Bmc(d<<2)|0;break}else k=0;while(0);h=k+(i<<2)|0;i=k+(d<<2)|0;d=b;b=h;k=h;do{f[k>>2]=0;k=b+4|0;b=k;d=d+-1|0}while((d|0)!=0);d=f[a>>2]|0;k=(f[e>>2]|0)-d|0;g=h+(0-(k>>2)<<2)|0;if((k|0)>0)Krc(g|0,d|0,k|0)|0;f[a>>2]=g;f[e>>2]=b;f[c>>2]=i;if(!d)return;Emc(d);return}function qFb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>2>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;i=(f[e>>2]|0)+4|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>2;g=i+b|0;if(g>>>0>1073741823)Ukc(a);j=d-h|0;h=j>>1;d=j>>2>>>0<536870911?(h>>>0<g>>>0?g:h):1073741823;do if(d)if(d>>>0>1073741823){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{k=Bmc(d<<2)|0;break}else k=0;while(0);h=k+(i<<2)|0;i=k+(d<<2)|0;d=b;b=h;k=h;do{f[k>>2]=0;k=b+4|0;b=k;d=d+-1|0}while((d|0)!=0);d=f[a>>2]|0;k=(f[e>>2]|0)-d|0;g=h+(0-(k>>2)<<2)|0;if((k|0)>0)Krc(g|0,d|0,k|0)|0;f[a>>2]=g;f[e>>2]=b;f[c>>2]=i;if(!d)return;Emc(d);return}function rFb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=u;u=u+16|0;h=g;i=f[d>>2]|0;j=(i|0)==0;if(!j)FDb(i);k=c+44|0;if(f[k>>2]|0){l=c+40|0;m=f[l>>2]|0;if(m|0){n=m;do{m=n;n=f[n>>2]|0;o=m+8|0;if((b[o+11>>0]|0)<0)Emc(f[o>>2]|0);Emc(m)}while((n|0)!=0)}f[l>>2]=0;l=f[c+36>>2]|0;if(l|0){n=c+32|0;m=0;do{f[(f[n>>2]|0)+(m<<2)>>2]=0;m=m+1|0}while((m|0)!=(l|0))}f[k>>2]=0}k=c+24|0;if(f[k>>2]|0){l=c+20|0;m=f[l>>2]|0;if(m|0){n=m;do{m=n;n=f[n>>2]|0;o=m+8|0;if((b[o+11>>0]|0)<0)Emc(f[o>>2]|0);Emc(m)}while((n|0)!=0)}f[l>>2]=0;l=f[c+16>>2]|0;if(l|0){n=c+12|0;m=0;do{f[(f[n>>2]|0)+(m<<2)>>2]=0;m=m+1|0}while((m|0)!=(l|0))}f[k>>2]=0}k=e+11|0;f[h>>2]=(b[k>>0]|0)<0?f[e>>2]|0:e;l=c+132|0;c=sFb(l,h)|0;if(c){m=c+12|0;c=f[m>>2]|0;n=f[m+4>>2]|0;m=a;f[m>>2]=c;f[m+4>>2]=n;if(!c)p=24}else{c=a;f[c>>2]=0;f[c+4>>2]=0;p=24}do if((p|0)==24){c=f[d+12>>2]|0;if(c|0?(rFb(h,f[c+16>>2]|0,c,e),c=h,n=f[c>>2]|0,m=f[c+4>>2]|0,c=a,f[c>>2]=n,f[c+4>>2]=m,n|0):0)break;if(tFb(d,e)|0){f[h>>2]=(b[k>>0]|0)<0?f[e>>2]|0:e;n=sFb(l,h)|0;if(!n){q=0;r=0}else{m=n+12|0;q=f[m>>2]|0;r=f[m+4>>2]|0}m=a;f[m>>2]=q;f[m+4>>2]=r}}while(0);if(j){u=g;return}GDb(i);u=g;return}function sFb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=f[c>>2]|0;c=b[d>>0]|0;if(!(c<<24>>24))e=0;else{g=d;h=0;i=c;while(1){c=(h*5|0)+(i<<24>>24)|0;g=g+1|0;i=b[g>>0]|0;if(!(i<<24>>24)){e=c;break}else h=c}}h=f[a+4>>2]|0;if(!h){j=0;return j|0}i=h+-1|0;g=(i&h|0)==0;if(!g)if(e>>>0<h>>>0)k=e;else k=(e>>>0)%(h>>>0)|0;else k=i&e;c=f[(f[a>>2]|0)+(k<<2)>>2]|0;if(!c){j=0;return j|0}a=f[c>>2]|0;if(!a){j=0;return j|0}if(g){g=a;while(1){c=f[g+4>>2]|0;l=(e|0)==(c|0);if(!(l|(c&i|0)==(k|0))){j=0;m=22;break}if(l?(o7b(f[g+8>>2]|0,d)|0)==0:0){j=g;m=22;break}g=f[g>>2]|0;if(!g){j=0;m=22;break}}if((m|0)==22)return j|0}else n=a;while(1){a=f[n+4>>2]|0;g=(e|0)==(a|0);if(!g){if(a>>>0<h>>>0)o=a;else o=(a>>>0)%(h>>>0)|0;if((o|0)!=(k|0)){j=0;m=22;break}if(g)m=21}else m=21;if((m|0)==21?(m=0,(o7b(f[n+8>>2]|0,d)|0)==0):0){j=n;m=22;break}n=f[n>>2]|0;if(!n){j=0;m=22;break}}if((m|0)==22)return j|0;return 0}function tFb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0.0,N=0,O=0,P=0,Q=0;d=u;u=u+144|0;e=d+140|0;g=d;h=a+4|0;if(!(f[h>>2]|0)){i=0;u=d;return i|0}j=a+16|0;if(uFb((f[j>>2]|0)+32|0,c)|0){i=0;u=d;return i|0}nUb(g);do if(!(vFb(a,c)|0)?(k=f[h>>2]|0,ki[f[(f[k>>2]|0)+12>>2]&511](k,c,g)|0):0){k=f[j>>2]|0;l=f[g+120>>2]|0;f[e>>2]=(b[l+11>>0]|0)<0?f[l>>2]|0:l;l=wFb(k+152|0,e)|0;if(l)if(f[l+12>>2]|0){m=9;break}if(xFb(a,g)|0)o=1;else m=9}else m=9;while(0);a:do if((m|0)==9){a=f[j>>2]|0;e=a+32|0;h=b[c+11>>0]|0;l=h<<24>>24<0;k=l?f[c>>2]|0:c;p=b[k>>0]|0;if(!(p<<24>>24))q=0;else{r=k;s=0;t=p;while(1){v=(s*5|0)+(t<<24>>24)|0;r=r+1|0;t=b[r>>0]|0;if(!(t<<24>>24)){q=v;break}else s=v}}s=a+36|0;t=f[s>>2]|0;r=(t|0)==0;b:do if(!r){v=t+-1|0;w=(v&t|0)==0;if(!w)if(q>>>0<t>>>0)x=q;else x=(q>>>0)%(t>>>0)|0;else x=v&q;y=f[(f[e>>2]|0)+(x<<2)>>2]|0;if((y|0)!=0?(z=f[y>>2]|0,(z|0)!=0):0){y=l?f[c+4>>2]|0:h&255;A=(y|0)==0;if(w){if(A){w=z;while(1){B=f[w+4>>2]|0;if(!((B|0)==(q|0)|(B&v|0)==(x|0))){C=x;break b}B=b[w+8+11>>0]|0;if(!((B<<24>>24<0?f[w+12>>2]|0:B&255)|0)){o=0;break a}w=f[w>>2]|0;if(!w){C=x;break b}}}else D=z;while(1){w=f[D+4>>2]|0;if(!((w|0)==(q|0)|(w&v|0)==(x|0))){C=x;break b}w=D+8|0;B=b[w+11>>0]|0;E=B<<24>>24<0;F=B&255;do if(((E?f[D+12>>2]|0:F)|0)==(y|0)){B=f[w>>2]|0;if(E)if(!(gac(B,k,y)|0)){o=0;break a}else break;if((B&255)<<24>>24==p<<24>>24){B=w;G=F;H=k;do{G=G+-1|0;B=B+1|0;if(!G){o=0;break a}H=H+1|0}while((b[B>>0]|0)==(b[H>>0]|0))}}while(0);D=f[D>>2]|0;if(!D){C=x;break b}}}if(A){v=z;while(1){F=f[v+4>>2]|0;if((F|0)!=(q|0)){if(F>>>0<t>>>0)I=F;else I=(F>>>0)%(t>>>0)|0;if((I|0)!=(x|0)){C=x;break b}}F=b[v+8+11>>0]|0;if(!((F<<24>>24<0?f[v+12>>2]|0:F&255)|0)){o=0;break a}v=f[v>>2]|0;if(!v){C=x;break b}}}else J=z;while(1){v=f[J+4>>2]|0;if((v|0)!=(q|0)){if(v>>>0<t>>>0)K=v;else K=(v>>>0)%(t>>>0)|0;if((K|0)!=(x|0)){C=x;break b}}v=J+8|0;A=b[v+11>>0]|0;F=A<<24>>24<0;w=A&255;do if(((F?f[J+12>>2]|0:w)|0)==(y|0)){A=f[v>>2]|0;if(F)if(!(gac(A,k,y)|0)){o=0;break a}else break;if((A&255)<<24>>24==p<<24>>24){A=v;E=w;H=k;do{E=E+-1|0;A=A+1|0;if(!E){o=0;break a}H=H+1|0}while((b[A>>0]|0)==(b[H>>0]|0))}}while(0);J=f[J>>2]|0;if(!J){C=x;break}}}else C=x}else C=0;while(0);k=Bmc(20)|0;Nmc(k+8|0,c);f[k+4>>2]=q;f[k>>2]=0;p=a+44|0;L=+(((f[p>>2]|0)+1|0)>>>0);M=+n[a+48>>2];do if(r|L>+(t>>>0)*M){h=(t>>>0<3|(t+-1&t|0)!=0)&1|t<<1;l=~~+X(+(L/M))>>>0;yFb(e,h>>>0<l>>>0?l:h);h=f[s>>2]|0;l=h+-1|0;if(!(l&h)){N=h;O=l&q;break}if(q>>>0<h>>>0){N=h;O=q}else{N=h;O=(q>>>0)%(h>>>0)|0}}else{N=t;O=C}while(0);t=(f[e>>2]|0)+(O<<2)|0;s=f[t>>2]|0;if(!s){r=a+40|0;f[k>>2]=f[r>>2];f[r>>2]=k;f[t>>2]=r;r=f[k>>2]|0;if(r|0){t=f[r+4>>2]|0;r=N+-1|0;if(r&N)if(t>>>0<N>>>0)P=t;else P=(t>>>0)%(N>>>0)|0;else P=t&r;Q=(f[e>>2]|0)+(P<<2)|0;m=64}}else{f[k>>2]=f[s>>2];Q=s;m=64}if((m|0)==64)f[Q>>2]=k;f[p>>2]=(f[p>>2]|0)+1;o=0}while(0);TTb(g);i=o;u=d;return i|0}function uFb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=b[c+11>>0]|0;e=d<<24>>24<0;g=e?f[c>>2]|0:c;h=b[g>>0]|0;if(!(h<<24>>24))i=0;else{j=g;k=0;l=h;while(1){m=(k*5|0)+(l<<24>>24)|0;j=j+1|0;l=b[j>>0]|0;if(!(l<<24>>24)){i=m;break}else k=m}}k=f[a+4>>2]|0;if(!k){n=0;return n|0}l=k+-1|0;j=(l&k|0)==0;if(!j)if(i>>>0<k>>>0)o=i;else o=(i>>>0)%(k>>>0)|0;else o=l&i;m=f[(f[a>>2]|0)+(o<<2)>>2]|0;if(!m){n=0;return n|0}a=f[m>>2]|0;if(!a){n=0;return n|0}m=e?f[c+4>>2]|0:d&255;d=(m|0)==0;if(j){j=a;a:while(1){c=f[j+4>>2]|0;e=(i|0)==(c|0);if(!(e|(c&l|0)==(o|0))){n=0;p=36;break}do if(e?(c=j+8|0,q=b[c+11>>0]|0,r=q<<24>>24<0,s=q&255,((r?f[j+12>>2]|0:s)|0)==(m|0)):0){q=f[c>>2]|0;t=r?q:c;if(r){if(d){n=j;p=36;break a}if(!(gac(t,g,m)|0)){n=j;p=36;break a}else break}if(d){n=j;p=36;break a}if((q&255)<<24>>24==h<<24>>24){q=c;c=s;s=g;do{c=c+-1|0;q=q+1|0;if(!c){n=j;p=36;break a}s=s+1|0}while((b[q>>0]|0)==(b[s>>0]|0))}}while(0);j=f[j>>2]|0;if(!j){n=0;p=36;break}}if((p|0)==36)return n|0}else u=a;b:while(1){a=f[u+4>>2]|0;j=(i|0)==(a|0);if(!j){if(a>>>0<k>>>0)v=a;else v=(a>>>0)%(k>>>0)|0;if((v|0)!=(o|0)){n=0;p=36;break}if(j)p=28}else p=28;do if((p|0)==28?(p=0,j=u+8|0,a=b[j+11>>0]|0,l=a<<24>>24<0,e=a&255,((l?f[u+12>>2]|0:e)|0)==(m|0)):0){a=f[j>>2]|0;s=l?a:j;if(l){if(d){n=u;p=36;break b}if(!(gac(s,g,m)|0)){n=u;p=36;break b}else break}if(d){n=u;p=36;break b}if((a&255)<<24>>24==h<<24>>24){a=j;j=e;e=g;do{j=j+-1|0;a=a+1|0;if(!j){n=u;p=36;break b}e=e+1|0}while((b[a>>0]|0)==(b[e>>0]|0))}}while(0);u=f[u>>2]|0;if(!u){n=0;p=36;break}}if((p|0)==36)return n|0;return 0}function vFb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=u;u=u+32|0;e=d+12|0;g=d;Nmc(g,c);h=jnc(g,46,-1)|0;a:do if((h|0)==-1)i=8;else{j=e+11|0;k=a+16|0;l=g+11|0;m=h;while(1){Omc(e,g,0,m,g);Qmc(g,e)|0;if((b[j>>0]|0)<0)Emc(f[e>>2]|0);n=f[k>>2]|0;f[e>>2]=(b[l>>0]|0)<0?f[g>>2]|0:g;o=sFb(n+132|0,e)|0;if(o|0)switch(f[o+12>>2]|0){case 8:case 0:break;default:{p=1;break a}}m=jnc(g,46,-1)|0;if((m|0)==-1){i=8;break}}}while(0);if((i|0)==8){i=f[a+12>>2]|0;if(!i)p=0;else p=vFb(i,c)|0}if((b[g+11>>0]|0)>=0){u=d;return p|0}Emc(f[g>>2]|0);u=d;return p|0}function wFb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=f[c>>2]|0;c=b[d>>0]|0;if(!(c<<24>>24))e=0;else{g=d;h=0;i=c;while(1){c=(h*5|0)+(i<<24>>24)|0;g=g+1|0;i=b[g>>0]|0;if(!(i<<24>>24)){e=c;break}else h=c}}h=f[a+4>>2]|0;if(!h){j=0;return j|0}i=h+-1|0;g=(i&h|0)==0;if(!g)if(e>>>0<h>>>0)k=e;else k=(e>>>0)%(h>>>0)|0;else k=i&e;c=f[(f[a>>2]|0)+(k<<2)>>2]|0;if(!c){j=0;return j|0}a=f[c>>2]|0;if(!a){j=0;return j|0}if(g){g=a;while(1){c=f[g+4>>2]|0;l=(e|0)==(c|0);if(!(l|(c&i|0)==(k|0))){j=0;m=22;break}if(l?(o7b(f[g+8>>2]|0,d)|0)==0:0){j=g;m=22;break}g=f[g>>2]|0;if(!g){j=0;m=22;break}}if((m|0)==22)return j|0}else n=a;while(1){a=f[n+4>>2]|0;g=(e|0)==(a|0);if(!g){if(a>>>0<h>>>0)o=a;else o=(a>>>0)%(h>>>0)|0;if((o|0)!=(k|0)){j=0;m=22;break}if(g)m=21}else m=21;if((m|0)==21?(m=0,(o7b(f[n+8>>2]|0,d)|0)==0):0){j=n;m=22;break}n=f[n>>2]|0;if(!n){j=0;m=22;break}}if((m|0)==22)return j|0;return 0}function xFb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0.0,K=0,L=0,M=0,N=0;d=u;u=u+112|0;e=d;g=a+16|0;h=c+120|0;if(uFb((f[g>>2]|0)+12|0,f[h>>2]|0)|0){i=0;u=d;return i|0}j=f[g>>2]|0;k=f[a+8>>2]|0;f[e>>2]=a;f[e+4>>2]=j;f[e+8>>2]=k;k=e+12|0;j=e+28|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[e+52>>2]=0;f[e+56>>2]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;b[k+12>>0]=0;f[e+48>>2]=e+52;f[e+64>>2]=0;f[e+68>>2]=0;f[e+60>>2]=e+64;k=e+72|0;j=e+88|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;f[k+24>>2]=0;b[j+11>>0]=0;b[j>>0]=0;j=AFb(e,c)|0;BFb(e);if(j|0){i=j;u=d;return i|0}j=f[g>>2]|0;g=j+12|0;e=f[h>>2]|0;h=b[e+11>>0]|0;c=h<<24>>24<0;k=c?f[e>>2]|0:e;a=b[k>>0]|0;if(!(a<<24>>24))l=0;else{m=k;o=0;p=a;while(1){q=(o*5|0)+(p<<24>>24)|0;m=m+1|0;p=b[m>>0]|0;if(!(p<<24>>24)){l=q;break}else o=q}}o=j+16|0;p=f[o>>2]|0;m=(p|0)==0;a:do if(!m){q=p+-1|0;r=(q&p|0)==0;if(!r)if(l>>>0<p>>>0)s=l;else s=(l>>>0)%(p>>>0)|0;else s=q&l;t=f[(f[g>>2]|0)+(s<<2)>>2]|0;if((t|0)!=0?(v=f[t>>2]|0,(v|0)!=0):0){t=c?f[e+4>>2]|0:h&255;w=(t|0)==0;if(r){if(w){r=v;while(1){x=f[r+4>>2]|0;if(!((x|0)==(l|0)|(x&q|0)==(s|0))){y=s;break a}x=b[r+8+11>>0]|0;if(!((x<<24>>24<0?f[r+12>>2]|0:x&255)|0)){i=0;break}r=f[r>>2]|0;if(!r){y=s;break a}}u=d;return i|0}else z=v;b:while(1){r=f[z+4>>2]|0;if(!((r|0)==(l|0)|(r&q|0)==(s|0))){y=s;break a}r=z+8|0;x=b[r+11>>0]|0;A=x<<24>>24<0;B=x&255;do if(((A?f[z+12>>2]|0:B)|0)==(t|0)){x=f[r>>2]|0;if(A)if(!(gac(x,k,t)|0)){i=0;C=60;break b}else break;if((x&255)<<24>>24==a<<24>>24){x=r;D=B;E=k;do{D=D+-1|0;x=x+1|0;if(!D){i=0;C=60;break b}E=E+1|0}while((b[x>>0]|0)==(b[E>>0]|0))}}while(0);z=f[z>>2]|0;if(!z){y=s;break a}}if((C|0)==60){u=d;return i|0}}if(w){q=v;while(1){B=f[q+4>>2]|0;if((B|0)!=(l|0)){if(B>>>0<p>>>0)F=B;else F=(B>>>0)%(p>>>0)|0;if((F|0)!=(s|0)){y=s;break a}}B=b[q+8+11>>0]|0;if(!((B<<24>>24<0?f[q+12>>2]|0:B&255)|0)){i=0;break}q=f[q>>2]|0;if(!q){y=s;break a}}u=d;return i|0}else G=v;c:while(1){q=f[G+4>>2]|0;if((q|0)!=(l|0)){if(q>>>0<p>>>0)H=q;else H=(q>>>0)%(p>>>0)|0;if((H|0)!=(s|0)){y=s;break a}}q=G+8|0;w=b[q+11>>0]|0;B=w<<24>>24<0;r=w&255;do if(((B?f[G+12>>2]|0:r)|0)==(t|0)){w=f[q>>2]|0;if(B)if(!(gac(w,k,t)|0)){i=0;C=60;break c}else break;if((w&255)<<24>>24==a<<24>>24){w=q;A=r;E=k;do{A=A+-1|0;w=w+1|0;if(!A){i=0;C=60;break c}E=E+1|0}while((b[w>>0]|0)==(b[E>>0]|0))}}while(0);G=f[G>>2]|0;if(!G){y=s;break a}}if((C|0)==60){u=d;return i|0}}else y=s}else y=0;while(0);s=Bmc(20)|0;Nmc(s+8|0,e);f[s+4>>2]=l;f[s>>2]=0;e=j+24|0;I=+(((f[e>>2]|0)+1|0)>>>0);J=+n[j+28>>2];do if(m|I>+(p>>>0)*J){G=(p>>>0<3|(p+-1&p|0)!=0)&1|p<<1;k=~~+X(+(I/J))>>>0;yFb(g,G>>>0<k>>>0?k:G);G=f[o>>2]|0;k=G+-1|0;if(!(k&G)){K=G;L=k&l;break}if(l>>>0<G>>>0){K=G;L=l}else{K=G;L=(l>>>0)%(G>>>0)|0}}else{K=p;L=y}while(0);y=(f[g>>2]|0)+(L<<2)|0;L=f[y>>2]|0;if(!L){p=j+20|0;f[s>>2]=f[p>>2];f[p>>2]=s;f[y>>2]=p;p=f[s>>2]|0;if(p|0){y=f[p+4>>2]|0;p=K+-1|0;if(p&K)if(y>>>0<K>>>0)M=y;else M=(y>>>0)%(K>>>0)|0;else M=y&p;N=(f[g>>2]|0)+(M<<2)|0;C=58}}else{f[s>>2]=f[L>>2];N=L;C=58}if((C|0)==58)f[N>>2]=s;f[e>>2]=(f[e>>2]|0)+1;i=0;u=d;return i|0}function yFb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if((b|0)!=1)if(!(b+-1&b))c=b;else c=pbc(b)|0;else c=2;b=f[a+4>>2]|0;if(c>>>0>b>>>0){zFb(a,c);return}if(c>>>0>=b>>>0)return;d=~~+X(+(+((f[a+12>>2]|0)>>>0)/+n[a+16>>2]))>>>0;if(b>>>0>2&(b+-1&b|0)==0)e=1<<32-($(d+-1|0)|0);else e=pbc(d)|0;d=c>>>0<e>>>0?e:c;if(d>>>0>=b>>>0)return;zFb(a,d);return}function zFb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;d=(c|0)!=0;do if(d)if(c>>>0>1073741823){e=ye(8)|0;Jmc(e,511852);f[e>>2]=165276;Gf(e|0,26776,1555)}else{g=Bmc(c<<2)|0;break}else g=0;while(0);e=f[a>>2]|0;f[a>>2]=g;if(e|0)Emc(e);f[a+4>>2]=c;if(d)h=0;else return;do{f[(f[a>>2]|0)+(h<<2)>>2]=0;h=h+1|0}while((h|0)!=(c|0));h=a+8|0;d=f[h>>2]|0;if(!d)return;e=f[d+4>>2]|0;g=c+-1|0;i=(g&c|0)==0;if(!i)if(e>>>0<c>>>0)j=e;else j=(e>>>0)%(c>>>0)|0;else j=e&g;f[(f[a>>2]|0)+(j<<2)>>2]=h;h=f[d>>2]|0;if(!h)return;else{k=j;l=d;m=h;n=d}a:while(1){d=l;h=m;j=n;b:while(1){o=h;while(1){e=f[o+4>>2]|0;if(!i)if(e>>>0<c>>>0)p=e;else p=(e>>>0)%(c>>>0)|0;else p=e&g;if((p|0)==(k|0))break;q=(f[a>>2]|0)+(p<<2)|0;if(!(f[q>>2]|0))break b;e=f[o>>2]|0;c:do if(!e)r=o;else{s=o+8|0;t=b[s+11>>0]|0;u=t<<24>>24<0;v=t&255;t=u?f[o+12>>2]|0:v;w=(t|0)==0;if(u){u=o;x=e;while(1){y=x+8|0;z=b[y+11>>0]|0;A=z<<24>>24<0;if((t|0)!=((A?f[x+12>>2]|0:z&255)|0)){r=u;break c}if(!w?gac(f[s>>2]|0,A?f[y>>2]|0:y,t)|0:0){r=u;break c}y=f[x>>2]|0;if(!y){r=x;break c}else{A=x;x=y;u=A}}}if(w){u=o;x=e;while(1){A=b[x+8+11>>0]|0;if((A<<24>>24<0?f[x+12>>2]|0:A&255)|0){r=u;break c}A=f[x>>2]|0;if(!A){r=x;break c}else{y=x;x=A;u=y}}}u=o;x=e;while(1){w=x+8|0;y=b[w+11>>0]|0;A=y<<24>>24<0;if((t|0)!=((A?f[x+12>>2]|0:y&255)|0)){r=u;break c}y=A?f[w>>2]|0:w;if((f[s>>2]&255)<<24>>24==(b[y>>0]|0)){B=s;C=v;D=y}else{r=u;break c}while(1){C=C+-1|0;B=B+1|0;if(!C)break;D=D+1|0;if((b[B>>0]|0)!=(b[D>>0]|0)){r=u;break c}}y=f[x>>2]|0;if(!y){r=x;break}else{w=x;x=y;u=w}}}while(0);f[j>>2]=f[r>>2];f[r>>2]=f[f[(f[a>>2]|0)+(p<<2)>>2]>>2];f[f[(f[a>>2]|0)+(p<<2)>>2]>>2]=o;e=f[d>>2]|0;if(!e){E=41;break a}else o=e}h=f[o>>2]|0;if(!h){E=41;break a}else{d=o;j=o}}f[q>>2]=j;m=f[o>>2]|0;if(!m){E=41;break}else{k=p;l=o;n=o}}if((E|0)==41)return}function AFb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;d=u;u=u+176|0;e=d+24|0;g=d+12|0;h=d;i=c+120|0;j=a+28|0;Qmc(j,f[i>>2]|0)|0;k=a+4|0;l=f[k>>2]|0;f[e>>2]=(b[j+11>>0]|0)<0?f[j>>2]|0:j;j=wFb(l+152|0,e)|0;if(j){l=f[j+12>>2]|0;if(l|0){nUb(e);DFb(l,e);if((f[l+44>>2]|0)==2?f[c+8>>2]&4|0:0)EFb(e,483774);rDb(g,e);rDb(h,c);j=g+11|0;m=b[j>>0]|0;n=m<<24>>24<0;o=m&255;p=n?f[g+4>>2]|0:o;q=b[h+11>>0]|0;r=q<<24>>24<0;a:do if((p|0)==((r?f[h+4>>2]|0:q&255)|0)){s=f[g>>2]|0;t=n?s:g;v=r?f[h>>2]|0:h;w=(p|0)==0;if(n){if(w){x=1;break}x=(gac(t,v,p)|0)==0;break}if(!w)if((s&255)<<24>>24==(b[v>>0]|0)){s=g;w=o;t=v;while(1){w=w+-1|0;s=s+1|0;if(!w){x=1;break a}t=t+1|0;if((b[s>>0]|0)!=(b[t>>0]|0)){x=0;break}}}else x=0;else x=1}else x=0;while(0);if(r){Emc(f[h>>2]|0);y=b[j>>0]|0}else y=m;if(y<<24>>24<0)Emc(f[g>>2]|0);TTb(e);if(x){z=l;u=d;return z|0}}}l=f[k>>2]|0;x=l+4|0;g=f[x>>2]|0;y=f[l>>2]|0;m=g;j=y;b:do if((g|0)!=(y|0)){h=f[i>>2]|0;r=b[h+11>>0]|0;o=r<<24>>24<0;p=o?f[h+4>>2]|0:r&255;r=(p|0)==0;n=(g-y|0)/12|0;c:do if(o){q=0;while(1){t=j+(q*12|0)|0;s=b[t+11>>0]|0;w=s<<24>>24<0;v=s&255;do if(((w?f[j+(q*12|0)+4>>2]|0:v)|0)==(p|0)){s=f[t>>2]|0;A=w?s:t;B=f[h>>2]|0;if(w){if(r){C=q;break c}if(!(gac(A,B,p)|0)){C=q;break c}else break}if(r){C=q;break c}if((s&255)<<24>>24==(b[B>>0]|0)){s=t;A=v;D=B;do{A=A+-1|0;s=s+1|0;if(!A){C=q;break c}D=D+1|0}while((b[s>>0]|0)==(b[D>>0]|0))}}while(0);q=q+1|0;if(q>>>0>=n>>>0)break b}}else{q=0;while(1){v=j+(q*12|0)|0;t=b[v+11>>0]|0;w=t<<24>>24<0;D=t&255;do if(((w?f[j+(q*12|0)+4>>2]|0:D)|0)==(p|0)){t=f[v>>2]|0;s=w?t:v;if(w){if(r){C=q;break c}if(!(gac(s,h,p)|0)){C=q;break c}else break}if(r){C=q;break c}if((t&255)<<24>>24==(b[h>>0]|0)){t=v;s=D;A=h;do{s=s+-1|0;t=t+1|0;if(!s){C=q;break c}A=A+1|0}while((b[t>>0]|0)==(b[A>>0]|0))}}while(0);q=q+1|0;if(q>>>0>=n>>>0)break b}}while(0);FFb(a,c,C);z=0;u=d;return z|0}while(0);C=f[a>>2]|0;if((b[C+21>>0]|0)==0?(f[C+4>>2]|0)!=0:0){C=f[i>>2]|0;if((m|0)==(f[l+8>>2]|0))LY(l,C);else{Nmc(m,C);f[x>>2]=(f[x>>2]|0)+12}x=c+20|0;C=f[k>>2]|0;if((f[x>>2]|0)>0){m=c+28|0;i=0;j=C;while(1){y=f[(f[m>>2]|0)+4+(i<<2)>>2]|0;f[e>>2]=(b[y+11>>0]|0)<0?f[y>>2]|0:y;y=wFb(j+152|0,e)|0;if(!((y|0)!=0?(f[y+12>>2]|0)!=0:0))E=55;do if((E|0)==55){E=0;y=f[a>>2]|0;g=f[y+12>>2]|0;if(!g)F=y;else{if(GFb(g,f[(f[m>>2]|0)+4+(i<<2)>>2]|0)|0)break;F=f[a>>2]|0}HFb(F,f[(f[m>>2]|0)+4+(i<<2)>>2]|0)|0}while(0);i=i+1|0;g=f[k>>2]|0;if((i|0)>=(f[x>>2]|0)){G=g;break}else j=g}}else G=C;C=G+4|0;G=f[C>>2]|0;j=G+-12|0;x=G;while(1){G=x+-12|0;f[C>>2]=G;if((b[G+11>>0]|0)<0){Emc(f[G>>2]|0);H=f[C>>2]|0}else H=G;if((H|0)==(j|0))break;else x=H}I=f[k>>2]|0}else I=l;f[e>>2]=(f[I+76>>2]|0)-(f[I+72>>2]|0)>>2;f[e+4>>2]=(f[I+88>>2]|0)-(f[I+84>>2]|0)>>2;f[e+8>>2]=(f[I+100>>2]|0)-(f[I+96>>2]|0)>>2;f[e+12>>2]=(f[I+112>>2]|0)-(f[I+108>>2]|0)>>2;f[e+16>>2]=(f[I+124>>2]|0)-(f[I+120>>2]|0)>>2;f[e+20>>2]=(f[I+200>>2]|0)-(f[I+196>>2]|0)>>2;f[e+24>>2]=(f[I+212>>2]|0)-(f[I+208>>2]|0)>>2;f[e+28>>2]=(f[I+224>>2]|0)-(f[I+220>>2]|0)>>3;l=I+188|0;H=f[l>>2]|0;if((H|0)==(f[I+192>>2]|0))dFb(I+184|0,e);else{f[H>>2]=f[e>>2];f[H+4>>2]=f[e+4>>2];f[H+8>>2]=f[e+8>>2];f[H+12>>2]=f[e+12>>2];f[H+16>>2]=f[e+16>>2];f[H+20>>2]=f[e+20>>2];f[H+24>>2]=f[e+24>>2];f[H+28>>2]=f[e+28>>2];f[l>>2]=(f[l>>2]|0)+32}l=IFb(a,c)|0;JFb(f[a+44>>2]|0);a=f[k>>2]|0;if(!l){eFb(a);z=0;u=d;return z|0}k=a+188|0;c=(f[k>>2]|0)+-32|0;f[k>>2]=c;if((f[a+184>>2]|0)==(c|0)){c=f[a+196>>2]|0;k=a+200|0;e=f[k>>2]|0;if((e|0)!=(c|0))f[k>>2]=e+(~((e+-4-c|0)>>>2)<<2);c=f[a+208>>2]|0;e=a+212|0;k=f[e>>2]|0;if((k|0)!=(c|0))f[e>>2]=k+(~((k+-4-c|0)>>>2)<<2);c=f[a+220>>2]|0;k=a+224|0;a=f[k>>2]|0;if((a|0)!=(c|0))f[k>>2]=a+(~((a+-8-c|0)>>>3)<<3)}b[l+49>>0]=1;z=l;u=d;return z|0}function BFb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+88|0;if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);c=a+76|0;if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);CFb(a+60|0,f[a+64>>2]|0);CFb(a+48|0,f[a+52>>2]|0);c=a+28|0;if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);c=a+12|0;d=f[c>>2]|0;if(!d)return;e=a+16|0;a=f[e>>2]|0;if((a|0)==(d|0))g=d;else{h=a;do{a=h+-32|0;f[e>>2]=a;i=h+-20|0;if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);if((b[a+11>>0]|0)<0)Emc(f[a>>2]|0);h=f[e>>2]|0}while((h|0)!=(d|0));g=f[c>>2]|0}Emc(g);return}function CFb(a,b){a=a|0;b=b|0;if(!b)return;else{CFb(a,f[b>>2]|0);CFb(a,f[b+4>>2]|0);Emc(b);return}}function DFb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;d=u;u=u+16|0;e=d;g=f[a>>2]|0;h=c+8|0;f[h>>2]=f[h>>2]|1;i=c+120|0;j=c+4|0;k=f[j>>2]|0;l=k&-2;if(!(k&1))m=l;else m=f[l+4>>2]|0;l=f[i>>2]|0;if((l|0)==535416)PDa(i,m,g);else Qmc(l,g)|0;g=f[a+4>>2]|0;l=b[g+11>>0]|0;if(l<<24>>24<0)n=f[g+4>>2]|0;else n=l&255;do if(n|0){f[h>>2]=f[h>>2]|2;l=c+124|0;m=f[j>>2]|0;i=m&-2;if(!(m&1))o=i;else o=f[i+4>>2]|0;i=f[l>>2]|0;if((i|0)==535416){PDa(l,o,g);break}else{Qmc(i,g)|0;break}}while(0);if((f[a+44>>2]|0)==3)EFb(c,LEb(3)|0);g=a+16|0;if((f[g>>2]|0)>0){o=a+12|0;j=a+52|0;n=c+16|0;i=e+4|0;l=e+8|0;m=e+12|0;k=0;do{p=f[o>>2]|0;if(p|0?(f[p>>2]|0)!=2:0){f[e>>2]=150160;f[i>>2]=1669;b[l>>0]=0;f[m>>2]=a;dEb(p,e)}p=f[f[(f[j>>2]|0)+(k<<2)>>2]>>2]|0;Qmc(dFa(n)|0,p)|0;k=k+1|0}while((k|0)<(f[g>>2]|0))}g=a+20|0;if((f[g>>2]|0)>0){k=a+60|0;n=c+96|0;j=c+100|0;e=c+104|0;m=0;do{l=f[(f[k>>2]|0)+(m<<2)>>2]|0;i=f[n>>2]|0;if((i|0)==(f[j>>2]|0)){eFa(n,i+1|0);q=f[n>>2]|0}else q=i;i=f[e>>2]|0;f[n>>2]=q+1;f[i+4+(q<<2)>>2]=l;m=m+1|0}while((m|0)<(f[g>>2]|0))}g=a+24|0;if((f[g>>2]|0)>0){m=a+64|0;q=c+108|0;n=c+112|0;e=c+116|0;j=0;do{k=f[(f[m>>2]|0)+(j<<2)>>2]|0;l=f[q>>2]|0;if((l|0)==(f[n>>2]|0)){eFa(q,l+1|0);r=f[q>>2]|0}else r=l;l=f[e>>2]|0;f[q>>2]=r+1;f[l+4+(r<<2)>>2]=k;j=j+1|0}while((j|0)<(f[g>>2]|0))}g=a+28|0;if((f[g>>2]|0)>0){j=a+68|0;r=c+32|0;q=0;do{e=(f[j>>2]|0)+(q*88|0)|0;uIb(e,tIb(r)|0);q=q+1|0}while((q|0)<(f[g>>2]|0))}g=a+32|0;if((f[g>>2]|0)>0){q=a+72|0;r=c+48|0;j=0;do{e=(f[q>>2]|0)+(j*48|0)|0;wIb(e,vIb(r)|0);j=j+1|0}while((j|0)<(f[g>>2]|0))}g=a+36|0;if((f[g>>2]|0)>0){j=a+76|0;r=c+64|0;q=c+76|0;e=c+72|0;n=c+68|0;m=0;do{k=(f[j>>2]|0)+(m*24|0)|0;l=f[q>>2]|0;do if(l){i=f[n>>2]|0;o=f[l>>2]|0;if((i|0)>=(o|0))if((o|0)==(f[e>>2]|0)){s=o;t=50;break}else{v=o;w=l;t=51;break}else{f[n>>2]=i+1;x=f[l+4+(i<<2)>>2]|0;break}}else{s=f[e>>2]|0;t=50}while(0);if((t|0)==50){t=0;uDb(r,s+1|0);l=f[q>>2]|0;v=f[l>>2]|0;w=l;t=51}if((t|0)==51){t=0;f[w>>2]=v+1;l=f[r>>2]|0;if(!l){i=Bmc(40)|0;fQb(i);y=i}else{if(f[l+64>>2]|0)pBb(l,24248,40);i=nBb(l,40)|0;gQb(i,l);y=i}i=f[q>>2]|0;l=f[n>>2]|0;f[n>>2]=l+1;f[i+4+(l<<2)>>2]=y;x=y}xIb(k,x);m=m+1|0}while((m|0)<(f[g>>2]|0))}g=a+40|0;if((f[g>>2]|0)>0){m=a+80|0;x=c+80|0;y=0;do{n=(f[m>>2]|0)+(y*88|0)|0;zIb(n,yIb(x)|0);y=y+1|0}while((y|0)<(f[g>>2]|0))}g=a+84|0;a=f[g>>2]|0;if((a|0)==(yUb()|0)){u=d;return}f[h>>2]=f[h>>2]|8;h=c+132|0;a=f[h>>2]|0;if(!a){kUb(c);z=f[h>>2]|0}else z=a;zUb(z,f[g>>2]|0);u=d;return}function EFb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+16|0;e=d;g=a+8|0;f[g>>2]=f[g>>2]|4;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=s8b(c)|0;if(g>>>0>4294967279)Lmc(e);if(g>>>0<11){b[e+11>>0]=g;if(!g)h=e;else{i=e;j=6}}else{k=g+16&-16;l=Bmc(k)|0;f[e>>2]=l;f[e+8>>2]=k|-2147483648;f[e+4>>2]=g;i=l;j=6}if((j|0)==6){Krc(i|0,c|0,g|0)|0;h=i}b[h+g>>0]=0;g=f[a+4>>2]|0;h=g&-2;if(!(g&1))m=h;else m=f[h+4>>2]|0;h=a+128|0;a=f[h>>2]|0;if((a|0)==535416)PDa(h,m,e);else Qmc(a,e)|0;if((b[e+11>>0]|0)>=0){u=d;return}Emc(f[e>>2]|0);u=d;return}function FFb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;h=Bmc(48)|0;f[g>>2]=h;f[g+8>>2]=-2147483600;f[g+4>>2]=33;i=h;j=493077;k=i+33|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[h+33>>0]=0;h=a+4|0;j=f[h>>2]|0;if((((f[j+4>>2]|0)-(f[j>>2]|0)|0)/12|0)>>>0>d>>>0){i=d;d=j;do{j=f[d>>2]|0;k=j+(i*12|0)|0;l=b[k+11>>0]|0;m=l<<24>>24<0;$mc(g,m?f[k>>2]|0:k,m?f[j+(i*12|0)+4>>2]|0:l&255)|0;anc(g,493111)|0;i=i+1|0;d=f[h>>2]|0}while(i>>>0<(((f[d+4>>2]|0)-(f[d>>2]|0)|0)/12|0)>>>0)}d=c+120|0;i=f[d>>2]|0;h=b[i+11>>0]|0;l=h<<24>>24<0;$mc(g,l?f[i>>2]|0:i,l?f[i+4>>2]|0:h&255)|0;NFb(a,f[d>>2]|0,c,9,g);if((b[g+11>>0]|0)>=0){u=e;return}Emc(f[g>>2]|0);u=e;return}function GFb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=u;u=u+16|0;e=d;g=f[a>>2]|0;h=(g|0)==0;if(!h)FDb(g);i=a+16|0;j=f[i>>2]|0;k=j+44|0;if(!(f[k>>2]|0))l=j;else{m=j+40|0;n=f[m>>2]|0;if(n|0){o=n;do{n=o;o=f[o>>2]|0;p=n+8|0;if((b[p+11>>0]|0)<0)Emc(f[p>>2]|0);Emc(n)}while((o|0)!=0)}f[m>>2]=0;m=f[j+36>>2]|0;if(m|0){o=j+32|0;j=0;do{f[(f[o>>2]|0)+(j<<2)>>2]=0;j=j+1|0}while((j|0)!=(m|0))}f[k>>2]=0;l=f[i>>2]|0}k=l+24|0;if(!(f[k>>2]|0))q=l;else{m=l+20|0;j=f[m>>2]|0;if(j|0){o=j;do{j=o;o=f[o>>2]|0;n=j+8|0;if((b[n+11>>0]|0)<0)Emc(f[n>>2]|0);Emc(j)}while((o|0)!=0)}f[m>>2]=0;m=f[l+16>>2]|0;if(m|0){o=l+12|0;l=0;do{f[(f[o>>2]|0)+(l<<2)>>2]=0;l=l+1|0}while((l|0)!=(m|0))}f[k>>2]=0;q=f[i>>2]|0}k=c+11|0;f[e>>2]=(b[k>>0]|0)<0?f[c>>2]|0:c;m=wFb(q+152|0,e)|0;if((m|0)!=0?(q=f[m+12>>2]|0,(q|0)!=0):0)r=q;else s=24;a:do if((s|0)==24){q=f[a+12>>2]|0;if(q|0?(m=GFb(q,c)|0,m|0):0){r=m;break}do if(HFb(a,c)|0){m=f[i>>2]|0;f[e>>2]=(b[k>>0]|0)<0?f[c>>2]|0:c;q=wFb(m+152|0,e)|0;if((q|0)!=0?(m=f[q+12>>2]|0,(m|0)!=0):0){r=m;break a}else break}while(0);r=0}while(0);if(h){u=d;return r|0}GDb(g);u=d;return r|0}function HFb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0.0,N=0,O=0,P=0,Q=0;d=u;u=u+144|0;e=d;g=a+4|0;if(!(f[g>>2]|0)){h=0;u=d;return h|0}i=a+16|0;if(uFb((f[i>>2]|0)+12|0,c)|0){h=0;u=d;return h|0}nUb(e);j=f[g>>2]|0;if(ki[f[(f[j>>2]|0)+8>>2]&511](j,c,e)|0?(xFb(a,e)|0)!=0:0)k=1;else l=5;a:do if((l|0)==5){a=f[i>>2]|0;j=a+12|0;g=b[c+11>>0]|0;m=g<<24>>24<0;o=m?f[c>>2]|0:c;p=b[o>>0]|0;if(!(p<<24>>24))q=0;else{r=o;s=0;t=p;while(1){v=(s*5|0)+(t<<24>>24)|0;r=r+1|0;t=b[r>>0]|0;if(!(t<<24>>24)){q=v;break}else s=v}}s=a+16|0;t=f[s>>2]|0;r=(t|0)==0;b:do if(!r){v=t+-1|0;w=(v&t|0)==0;if(!w)if(q>>>0<t>>>0)x=q;else x=(q>>>0)%(t>>>0)|0;else x=v&q;y=f[(f[j>>2]|0)+(x<<2)>>2]|0;if((y|0)!=0?(z=f[y>>2]|0,(z|0)!=0):0){y=m?f[c+4>>2]|0:g&255;A=(y|0)==0;if(w){if(A){w=z;while(1){B=f[w+4>>2]|0;if(!((B|0)==(q|0)|(B&v|0)==(x|0))){C=x;break b}B=b[w+8+11>>0]|0;if(!((B<<24>>24<0?f[w+12>>2]|0:B&255)|0)){k=0;break a}w=f[w>>2]|0;if(!w){C=x;break b}}}else D=z;while(1){w=f[D+4>>2]|0;if(!((w|0)==(q|0)|(w&v|0)==(x|0))){C=x;break b}w=D+8|0;B=b[w+11>>0]|0;E=B<<24>>24<0;F=B&255;do if(((E?f[D+12>>2]|0:F)|0)==(y|0)){B=f[w>>2]|0;if(E)if(!(gac(B,o,y)|0)){k=0;break a}else break;if((B&255)<<24>>24==p<<24>>24){B=w;G=F;H=o;do{G=G+-1|0;B=B+1|0;if(!G){k=0;break a}H=H+1|0}while((b[B>>0]|0)==(b[H>>0]|0))}}while(0);D=f[D>>2]|0;if(!D){C=x;break b}}}if(A){v=z;while(1){F=f[v+4>>2]|0;if((F|0)!=(q|0)){if(F>>>0<t>>>0)I=F;else I=(F>>>0)%(t>>>0)|0;if((I|0)!=(x|0)){C=x;break b}}F=b[v+8+11>>0]|0;if(!((F<<24>>24<0?f[v+12>>2]|0:F&255)|0)){k=0;break a}v=f[v>>2]|0;if(!v){C=x;break b}}}else J=z;while(1){v=f[J+4>>2]|0;if((v|0)!=(q|0)){if(v>>>0<t>>>0)K=v;else K=(v>>>0)%(t>>>0)|0;if((K|0)!=(x|0)){C=x;break b}}v=J+8|0;A=b[v+11>>0]|0;F=A<<24>>24<0;w=A&255;do if(((F?f[J+12>>2]|0:w)|0)==(y|0)){A=f[v>>2]|0;if(F)if(!(gac(A,o,y)|0)){k=0;break a}else break;if((A&255)<<24>>24==p<<24>>24){A=v;E=w;H=o;do{E=E+-1|0;A=A+1|0;if(!E){k=0;break a}H=H+1|0}while((b[A>>0]|0)==(b[H>>0]|0))}}while(0);J=f[J>>2]|0;if(!J){C=x;break}}}else C=x}else C=0;while(0);o=Bmc(20)|0;Nmc(o+8|0,c);f[o+4>>2]=q;f[o>>2]=0;p=a+24|0;L=+(((f[p>>2]|0)+1|0)>>>0);M=+n[a+28>>2];do if(r|L>+(t>>>0)*M){g=(t>>>0<3|(t+-1&t|0)!=0)&1|t<<1;m=~~+X(+(L/M))>>>0;yFb(j,g>>>0<m>>>0?m:g);g=f[s>>2]|0;m=g+-1|0;if(!(m&g)){N=g;O=m&q;break}if(q>>>0<g>>>0){N=g;O=q}else{N=g;O=(q>>>0)%(g>>>0)|0}}else{N=t;O=C}while(0);t=(f[j>>2]|0)+(O<<2)|0;s=f[t>>2]|0;if(!s){r=a+20|0;f[o>>2]=f[r>>2];f[r>>2]=o;f[t>>2]=r;r=f[o>>2]|0;if(r|0){t=f[r+4>>2]|0;r=N+-1|0;if(r&N)if(t>>>0<N>>>0)P=t;else P=(t>>>0)%(N>>>0)|0;else P=t&r;Q=(f[j>>2]|0)+(P<<2)|0;l=60}}else{f[o>>2]=f[s>>2];Q=s;l=60}if((l|0)==60)f[Q>>2]=o;f[p>>2]=(f[p>>2]|0)+1;k=0}while(0);TTb(e);h=k;u=d;return h|0}function IFb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0;d=u;u=u+208|0;e=d;g=d+184|0;h=d+160|0;i=d+199|0;j=d+136|0;k=d+198|0;l=d+112|0;m=d+197|0;n=d+88|0;o=d+196|0;p=d+72|0;q=d+60|0;r=d+48|0;s=d+16|0;t=a+4|0;v=f[t>>2]|0;w=Bmc(96)|0;f[e>>2]=w;x=v+124|0;y=f[x>>2]|0;if((y|0)==(f[v+128>>2]|0))LR(v+120|0,e);else{f[y>>2]=w;f[x>>2]=(f[x>>2]|0)+4}x=f[e>>2]|0;w=a+40|0;f[w>>2]=x;b[x+48>>0]=0;b[x+49>>0]=0;y=c+8|0;if(!(f[y>>2]&16))z=OUb()|0;else{v=f[t>>2]|0;A=Bmc(32)|0;ALb(A);f[e>>2]=A;B=v+88|0;C=f[B>>2]|0;if((C|0)==(f[v+92>>2]|0))KFb(v+84|0,e);else{f[C>>2]=A;f[B>>2]=(f[B>>2]|0)+4}B=f[c+136>>2]|0;PUb(A,B|0?B:536808);z=A}f[x+92>>2]=z;z=f[t>>2]|0;A=Bmc(164)|0;UEb(A);f[e>>2]=A;B=z+112|0;C=f[B>>2]|0;if((C|0)==(f[z+116>>2]|0))LFb(z+108|0,e);else{f[C>>2]=A;f[B>>2]=(f[B>>2]|0)+4}B=f[e>>2]|0;f[a+44>>2]=B;f[(f[w>>2]|0)+88>>2]=B;if((f[y>>2]&1|0)==0?(f[e>>2]=0,f[e+4>>2]=0,f[e+8>>2]=0,MFb(a,e,c,9,483781),(b[e+11>>0]|0)<0):0)Emc(f[e>>2]|0);B=c+128|0;A=f[B>>2]|0;C=b[A+11>>0]|0;z=C<<24>>24<0;if(z)D=f[A+4>>2]|0;else D=C&255;a:do if(D){v=f[A+4>>2]|0;if(((z?v:C&255)|0)==6){if(!(knc(A,0,-1,483774,6)|0)){E=24;break}F=f[B>>2]|0;G=F;H=b[F+11>>0]|0;I=f[F+4>>2]|0}else{G=A;H=C;I=v}do if(((H<<24>>24<0?I:H&255)|0)==6){v=(knc(G,0,-1,483767,6)|0)==0;F=(f[w>>2]|0)+44|0;if(v){f[F>>2]=3;break a}else{J=F;K=f[B>>2]|0;break}}else{J=(f[w>>2]|0)+44|0;K=G}while(0);f[J>>2]=0;F=f[c+120>>2]|0;bza(e,483822,K);NFb(a,F,c,9,e);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0)}else E=24;while(0);if((E|0)==24)f[(f[w>>2]|0)+44>>2]=2;w=f[t>>2]|0;K=c+120|0;J=f[K>>2]|0;G=Bmc(12)|0;Nmc(G,J);f[e>>2]=G;J=w+76|0;B=f[J>>2]|0;if((B|0)==(f[w+80>>2]|0))OFb(w+72|0,e);else{f[B>>2]=G;f[J>>2]=(f[J>>2]|0)+4}f[x>>2]=f[e>>2];J=f[t>>2]|0;if(!(f[y>>2]&2)){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;G=Bmc(12)|0;Nmc(G,g);f[e>>2]=G;B=J+76|0;w=f[B>>2]|0;if((w|0)==(f[J+80>>2]|0))OFb(J+72|0,e);else{f[w>>2]=G;f[B>>2]=(f[B>>2]|0)+4}f[x+4>>2]=f[e>>2];if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0)}else{B=f[c+124>>2]|0;G=Bmc(12)|0;Nmc(G,B);f[e>>2]=G;B=J+76|0;w=f[B>>2]|0;if((w|0)==(f[J+80>>2]|0))OFb(J+72|0,e);else{f[w>>2]=G;f[B>>2]=(f[B>>2]|0)+4}f[x+4>>2]=f[e>>2]}f[x+8>>2]=f[a>>2];B=f[t>>2]|0;G=f[x>>2]|0;if((b[G+11>>0]|0)<0)L=f[G>>2]|0;else L=G;f[e>>2]=L;f[e+4>>2]=x;if(!(PFb(B+152|0,e)|0)){MFb(a,f[K>>2]|0,c,9,483844);M=0;u=d;return M|0}L=f[x>>2]|0;if((b[L+11>>0]|0)<0)N=f[L>>2]|0;else N=L;f[e>>2]=N;L=B+212|0;G=f[L>>2]|0;if((G|0)==(f[B+216>>2]|0))QFb(B+208|0,e);else{f[G>>2]=N;f[L>>2]=(f[L>>2]|0)+4}L=x+4|0;N=f[L>>2]|0;G=b[N+11>>0]|0;if(G<<24>>24<0)O=f[N+4>>2]|0;else O=G&255;if(O|0)RFb(a,N,c,x);N=q+4|0;f[N>>2]=0;O=q+8|0;f[O>>2]=0;G=q+4|0;f[q>>2]=G;B=c+20|0;w=f[B>>2]|0;J=x+16|0;f[J>>2]=w;H=f[t>>2]|0;I=w<<2;if(!I)P=0;else{w=Bmc(I)|0;f[e>>2]=w;I=H+124|0;C=f[I>>2]|0;if((C|0)==(f[H+128>>2]|0))LR(H+120|0,e);else{f[C>>2]=w;f[I>>2]=(f[I>>2]|0)+4}P=f[e>>2]|0}I=x+52|0;f[I>>2]=P;if(b[(f[a>>2]|0)+21>>0]|0){P=f[t>>2]|0;w=Bmc(4)|0;f[w>>2]=0;f[e>>2]=w;C=P+100|0;H=f[C>>2]|0;if((H|0)==(f[P+104>>2]|0))SFb(P+96|0,e);else{f[H>>2]=w;f[C>>2]=(f[C>>2]|0)+4}f[x+12>>2]=f[e>>2];C=f[t>>2]|0;w=f[B>>2]|0;H=w<<2;if(!H){Q=0;R=w}else{w=Bmc(H)|0;f[e>>2]=w;H=C+124|0;P=f[H>>2]|0;if((P|0)==(f[C+128>>2]|0))LR(C+120|0,e);else{f[P>>2]=w;f[H>>2]=(f[H>>2]|0)+4}Q=f[e>>2]|0;R=f[B>>2]|0}f[x+56>>2]=Q;if((R|0)>0)Drc(Q|0,0,R<<2|0)|0}else{f[x+12>>2]=0;f[x+56>>2]=0}R=a+60|0;Q=a+64|0;CFb(R,f[Q>>2]|0);H=a+68|0;f[H>>2]=0;f[R>>2]=Q;f[Q>>2]=0;w=r+4|0;f[w>>2]=0;P=r+8|0;f[P>>2]=0;C=r+4|0;f[r>>2]=C;A=c+108|0;z=f[A>>2]|0;b:do if((z|0)>0){D=c+116|0;F=0;v=0;S=z;while(1){T=f[(f[D>>2]|0)+4+(F<<2)>>2]|0;do if(v){U=w;V=v;while(1){W=f[V+16>>2]|0;if((T|0)<(W|0)){X=f[V>>2]|0;if(!X){E=88;break}else{Y=V;Z=X}}else{if((W|0)>=(T|0)){E=92;break}_=V+4|0;W=f[_>>2]|0;if(!W){E=91;break}else{Y=_;Z=W}}U=Y;V=Z}if((E|0)==88){E=0;$=V;aa=V;break}else if((E|0)==91){E=0;$=_;aa=V;break}else if((E|0)==92){E=0;$=U;aa=V;break}}else{$=C;aa=C}while(0);if(!(f[$>>2]|0)){W=Bmc(20)|0;f[W+16>>2]=T;f[W>>2]=0;f[W+4>>2]=0;f[W+8>>2]=aa;f[$>>2]=W;X=f[f[r>>2]>>2]|0;if(!X)ba=W;else{f[r>>2]=X;ba=f[$>>2]|0}RS(f[w>>2]|0,ba);f[P>>2]=(f[P>>2]|0)+1;ca=f[A>>2]|0}else ca=S;X=F+1|0;if((X|0)>=(ca|0))break b;F=X;v=f[C>>2]|0;S=ca}}while(0);c:do if((f[B>>2]|0)>0){ca=c+28|0;P=x+56|0;ba=a+64|0;w=0;while(1){$=f[(f[ca>>2]|0)+4+(w<<2)>>2]|0;aa=QS(q,e,$)|0;if(!(f[aa>>2]|0)){_=Bmc(28)|0;Nmc(_+16|0,$);$=f[e>>2]|0;f[_>>2]=0;f[_+4>>2]=0;f[_+8>>2]=$;f[aa>>2]=_;$=f[f[q>>2]>>2]|0;if(!$)da=_;else{f[q>>2]=$;da=f[aa>>2]|0}RS(f[N>>2]|0,da);f[O>>2]=(f[O>>2]|0)+1}else TFb(a,c,w);aa=f[t>>2]|0;$=f[(f[ca>>2]|0)+4+(w<<2)>>2]|0;f[e>>2]=(b[$+11>>0]|0)<0?f[$>>2]|0:$;$=wFb(aa+152|0,e)|0;if($){aa=f[$+12>>2]|0;$=aa;if(!aa){ea=$;E=107}else fa=$}else{ea=0;E=107}do if((E|0)==107){E=0;$=f[(f[a>>2]|0)+12>>2]|0;if(!$){fa=ea;break}fa=GFb($,f[(f[ca>>2]|0)+4+(w<<2)>>2]|0)|0}while(0);T=fa;if((T|0)==(x|0)){ga=0;ha=q;ia=C;break c}$=f[a>>2]|0;d:do if(!fa){if(b[$+21>>0]|0){ja=0;break}e:do if(!(b[$+22>>0]|0)){do if(!(b[$+23>>0]|0)){aa=f[C>>2]|0;if(!aa)break;else{ka=C;la=aa}f:while(1){aa=la;while(1){if((f[aa+16>>2]|0)>=(w|0))break;_=f[aa+4>>2]|0;if(!_){ma=ka;break f}else aa=_}la=f[aa>>2]|0;if(!la){ma=aa;break}else ka=aa}if((ma|0)==(C|0))break;if((w|0)>=(f[ma+16>>2]|0))break e}while(0);VFb(a,c,w);ja=0;break d}while(0);ja=UFb($,f[(f[ca>>2]|0)+4+(w<<2)>>2]|0)|0}else{if(!(b[$+20>>0]|0)){ja=fa;break}V=WFb($+28|0,f[K>>2]|0)|0;if((V|0)==((f[a>>2]|0)+32|0)){ja=fa;break}if(f[T+20>>2]|0){ja=fa;break}V=f[Q>>2]|0;do if(V){U=ba;_=V;while(1){Z=f[_+16>>2]|0;if(T>>>0<Z>>>0){Y=f[_>>2]|0;if(!Y){E=130;break}else{na=_;oa=Y}}else{if(Z>>>0>=T>>>0){E=134;break}pa=_+4|0;Z=f[pa>>2]|0;if(!Z){E=133;break}else{na=pa;oa=Z}}U=na;_=oa}if((E|0)==130){E=0;qa=_;ra=_;break}else if((E|0)==133){E=0;qa=pa;ra=_;break}else if((E|0)==134){E=0;qa=U;ra=_;break}}else{qa=Q;ra=Q}while(0);if(f[qa>>2]|0){ja=fa;break}V=Bmc(20)|0;f[V+16>>2]=fa;f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=ra;f[qa>>2]=V;Z=f[f[R>>2]>>2]|0;if(!Z)sa=V;else{f[R>>2]=Z;sa=f[qa>>2]|0}RS(f[ba>>2]|0,sa);f[H>>2]=(f[H>>2]|0)+1;ja=fa}while(0);f[(f[I>>2]|0)+(w<<2)>>2]=ja;if(!(ja|0?1:(b[(f[a>>2]|0)+21>>0]|0)==0)){T=f[t>>2]|0;$=f[(f[ca>>2]|0)+4+(w<<2)>>2]|0;Z=Bmc(12)|0;Nmc(Z,$);f[e>>2]=Z;$=T+76|0;V=f[$>>2]|0;if((V|0)==(f[T+80>>2]|0))OFb(T+72|0,e);else{f[V>>2]=Z;f[$>>2]=(f[$>>2]|0)+4}f[(f[P>>2]|0)+(w<<2)>>2]=f[e>>2]}w=w+1|0;if((w|0)>=(f[B>>2]|0)){E=145;break}}}else E=145;while(0);if((E|0)==145){ja=f[t>>2]|0;fa=c+96|0;sa=f[fa>>2]|0;qa=sa<<2;if(!qa){ta=0;ua=sa}else{sa=Bmc(qa)|0;f[e>>2]=sa;qa=ja+124|0;ra=f[qa>>2]|0;if((ra|0)==(f[ja+128>>2]|0))LR(ja+120|0,e);else{f[ra>>2]=sa;f[qa>>2]=(f[qa>>2]|0)+4}ta=f[e>>2]|0;ua=f[fa>>2]|0}qa=x+60|0;f[qa>>2]=ta;if((ua|0)>0){ua=c+104|0;ta=x+12|0;sa=e+4|0;ra=e+8|0;ja=e+12|0;pa=0;oa=0;while(1){na=f[(f[ua>>2]|0)+4+(pa<<2)>>2]|0;do if((na|0)>-1?(na|0)<(f[B>>2]|0):0){ma=oa+1|0;f[(f[qa>>2]|0)+(oa<<2)>>2]=na;if(b[(f[a>>2]|0)+21>>0]|0){va=ma;break}ka=f[ta>>2]|0;do if(ka|0){if((f[ka>>2]|0)==2)break;f[e>>2]=150160;f[sa>>2]=1669;b[ra>>0]=0;f[ja>>2]=x;dEb(ka,e)}while(0);ka=f[(f[I>>2]|0)+(na<<2)>>2]|0;la=f[Q>>2]|0;if(!la){va=ma;break}else{wa=Q;xa=la}g:while(1){ea=xa;while(1){if((f[ea+16>>2]|0)>>>0>=ka>>>0)break;O=f[ea+4>>2]|0;if(!O){ya=wa;break g}else ea=O}xa=f[ea>>2]|0;if(!xa){ya=ea;break}else wa=ea}if((ya|0)==(Q|0)){va=ma;break}if(ka>>>0<(f[ya+16>>2]|0)>>>0){va=ma;break}O=f[ya+4>>2]|0;do if(!O){da=ya+8|0;N=f[da>>2]|0;if((f[N>>2]|0)==(ya|0)){za=N;break}else Aa=da;do{da=f[Aa>>2]|0;Aa=da+8|0;N=f[Aa>>2]|0}while((f[N>>2]|0)!=(da|0));za=N}else{ea=O;while(1){N=f[ea>>2]|0;if(!N)break;else ea=N}za=ea}while(0);if((f[R>>2]|0)==(ya|0))f[R>>2]=za;f[H>>2]=(f[H>>2]|0)+-1;gCa(la,ya);Emc(ya);va=ma}else{MFb(a,f[K>>2]|0,c,9,483890);va=oa}while(0);pa=pa+1|0;if((pa|0)>=(f[fa>>2]|0)){Ba=va;break}else oa=va}}else Ba=0;f[x+20>>2]=Ba;Ba=a+48|0;va=a+52|0;CFb(Ba,f[va>>2]|0);f[a+56>>2]=0;f[Ba>>2]=va;f[va>>2]=0;do if(!(b[(f[a>>2]|0)+21>>0]|0)){if((f[J>>2]|0)<=0)break;va=x+12|0;Ba=e+4|0;oa=e+8|0;fa=e+12|0;pa=0;do{ya=f[va>>2]|0;do if(ya|0){if((f[ya>>2]|0)==2)break;f[e>>2]=150160;f[Ba>>2]=1669;b[oa>>0]=0;f[fa>>2]=x;dEb(ya,e)}while(0);YFb(a,f[(f[I>>2]|0)+(pa<<2)>>2]|0);pa=pa+1|0}while((pa|0)<(f[J>>2]|0))}while(0);J=f[t>>2]|0;I=f[A>>2]|0;pa=I<<2;if(!pa){Ca=0;Da=I}else{I=Bmc(pa)|0;f[e>>2]=I;pa=J+124|0;fa=f[pa>>2]|0;if((fa|0)==(f[J+128>>2]|0))LR(J+120|0,e);else{f[fa>>2]=I;f[pa>>2]=(f[pa>>2]|0)+4}Ca=f[e>>2]|0;Da=f[A>>2]|0}pa=x+64|0;f[pa>>2]=Ca;if((Da|0)>0){Da=c+116|0;Ca=0;I=0;while(1){fa=f[(f[Da>>2]|0)+4+(Ca<<2)>>2]|0;if((fa|0)>-1?(fa|0)<(f[B>>2]|0):0){f[(f[pa>>2]|0)+(I<<2)>>2]=fa;Ea=I+1|0}else{MFb(a,f[K>>2]|0,c,9,483923);Ea=I}Ca=Ca+1|0;if((Ca|0)>=(f[A>>2]|0)){Fa=Ea;break}else I=Ea}}else Fa=0;f[x+24>>2]=Fa;Fa=c+36|0;Ea=f[Fa>>2]|0;f[x+28>>2]=Ea;I=x+68|0;A=f[t>>2]|0;Ca=Ea*88|0;if(!Ca){Ga=0;Ha=Ea}else{Ea=Bmc(Ca)|0;f[e>>2]=Ea;Ca=A+124|0;K=f[Ca>>2]|0;if((K|0)==(f[A+128>>2]|0))LR(A+120|0,e);else{f[K>>2]=Ea;f[Ca>>2]=(f[Ca>>2]|0)+4}Ga=f[e>>2]|0;Ha=f[Fa>>2]|0}f[I>>2]=Ga;h:do if((Ha|0)>0){Ca=c+44|0;Ea=0;K=Ga;while(1){ZFb(a,f[(f[Ca>>2]|0)+4+(Ea<<2)>>2]|0,0,K+(Ea*88|0)|0);A=Ea+1|0;if((A|0)>=(f[Fa>>2]|0))break h;Ea=A;K=f[I>>2]|0}}while(0);Ga=c+52|0;Ha=f[Ga>>2]|0;f[x+32>>2]=Ha;K=x+72|0;Ea=f[t>>2]|0;Ca=Ha*48|0;if(!Ca){Ia=0;Ja=Ha}else{Ha=Bmc(Ca)|0;f[e>>2]=Ha;Ca=Ea+124|0;A=f[Ca>>2]|0;if((A|0)==(f[Ea+128>>2]|0))LR(Ea+120|0,e);else{f[A>>2]=Ha;f[Ca>>2]=(f[Ca>>2]|0)+4}Ia=f[e>>2]|0;Ja=f[Ga>>2]|0}f[K>>2]=Ia;i:do if((Ja|0)>0){Ca=c+60|0;Ha=0;A=Ia;while(1){_Fb(a,f[(f[Ca>>2]|0)+4+(Ha<<2)>>2]|0,0,A+(Ha*48|0)|0);Ea=Ha+1|0;if((Ea|0)>=(f[Ga>>2]|0))break i;Ha=Ea;A=f[K>>2]|0}}while(0);K=c+68|0;Ga=f[K>>2]|0;f[x+36>>2]=Ga;Ia=x+76|0;Ja=f[t>>2]|0;A=Ga*24|0;if(!A){Ka=0;La=Ga}else{Ga=Bmc(A)|0;f[e>>2]=Ga;A=Ja+124|0;Ha=f[A>>2]|0;if((Ha|0)==(f[Ja+128>>2]|0))LR(Ja+120|0,e);else{f[Ha>>2]=Ga;f[A>>2]=(f[A>>2]|0)+4}Ka=f[e>>2]|0;La=f[K>>2]|0}f[Ia>>2]=Ka;j:do if((La|0)>0){A=c+76|0;Ga=0;Ha=Ka;while(1){$Fb(a,f[(f[A>>2]|0)+4+(Ga<<2)>>2]|0,0,Ha+(Ga*24|0)|0);Ja=Ga+1|0;if((Ja|0)>=(f[K>>2]|0))break j;Ga=Ja;Ha=f[Ia>>2]|0}}while(0);Ia=c+84|0;K=f[Ia>>2]|0;f[x+40>>2]=K;Ka=x+80|0;La=f[t>>2]|0;t=K*88|0;if(!t){Ma=0;Na=K}else{K=Bmc(t)|0;f[e>>2]=K;t=La+124|0;Ha=f[t>>2]|0;if((Ha|0)==(f[La+128>>2]|0))LR(La+120|0,e);else{f[Ha>>2]=K;f[t>>2]=(f[t>>2]|0)+4}Ma=f[e>>2]|0;Na=f[Ia>>2]|0}f[Ka>>2]=Ma;k:do if((Na|0)>0){t=c+92|0;K=0;Ha=Ma;while(1){aGb(a,f[(f[t>>2]|0)+4+(K<<2)>>2]|0,0,Ha+(K*88|0)|0,1);La=K+1|0;if((La|0)>=(f[Ia>>2]|0))break k;K=La;Ha=f[Ka>>2]|0}}while(0);if(f[y>>2]&8){y=f[c+132>>2]|0;pza(e,f[L>>2]|0,483954);bGb(a,e,f[x>>2]|0,y|0?y:536152,x);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0)}else f[x+84>>2]=0;cGb(a,x,c);y=a+24|0;do if(!(b[y>>0]|0)){dGb(s,a);L=a+12|0;Ka=f[L>>2]|0;Ia=a+16|0;do if((Ka|0)!=(f[Ia>>2]|0)){Ma=s+4|0;Na=g+8|0;Ha=g+4|0;K=g+11|0;t=g+8|0;La=g+4|0;Ga=g+11|0;A=s+8|0;Ja=e+11|0;Ca=g+11|0;Ea=p+11|0;pa=Ka;do{B=f[pa+28>>2]|0;Da=f[pa+24>>2]|0;f[Ma>>2]=pa;xh[f[(f[B>>2]|0)+96>>2]&2047](e,B);fa=f[e>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;J=Bmc(32)|0;f[g>>2]=J;f[Na>>2]=-2147483616;f[Ha>>2]=20;oa=J;Ba=483961;va=oa+20|0;do{b[oa>>0]=b[Ba>>0]|0;oa=oa+1|0;Ba=Ba+1|0}while((oa|0)<(va|0));b[J+20>>0]=0;eGb(e,f[(f[fa+8>>2]|0)+88>>2]|0,fa,g);ea=(f[e>>2]|0)==2;ya=e;ma=ea?f[ya+4>>2]|0:0;if(!((ea?f[ya>>2]|0:0)|0))Oa=0;else Oa=b[ma+38>>0]|0?0:ma;if((b[K>>0]|0)<0)Emc(f[g>>2]|0);if(!Oa){TDb(h,3,483670,6243);QDb(i,ODb(ODb(h,483982)|0,484034)|0);UDb(h)}ma=ci[f[(f[B>>2]|0)+92>>2]&1023](B)|0;Yh[f[(f[ma>>2]|0)+28>>2]&511](ma,B,Oa);xh[f[(f[Da>>2]|0)+96>>2]&2047](e,Da);ma=f[e>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;ya=Bmc(32)|0;f[g>>2]=ya;f[t>>2]=-2147483616;f[La>>2]=20;oa=ya;Ba=483961;va=oa+20|0;do{b[oa>>0]=b[Ba>>0]|0;oa=oa+1|0;Ba=Ba+1|0}while((oa|0)<(va|0));b[ya+20>>0]=0;eGb(e,f[(f[ma+8>>2]|0)+88>>2]|0,ma,g);Ba=(f[e>>2]|0)==2;oa=e;va=Ba?f[oa+4>>2]|0:0;if(!((Ba?f[oa>>2]|0:0)|0))Pa=0;else Pa=b[va+38>>0]|0?0:va;if((b[Ga>>0]|0)<0)Emc(f[g>>2]|0);if(!Pa){TDb(j,3,483670,6251);QDb(k,ODb(ODb(j,484094)|0,484034)|0);UDb(j)}va=ci[f[(f[Da>>2]|0)+92>>2]&1023](Da)|0;oa=ki[f[(f[va>>2]|0)+24>>2]&511](va,Da,Pa)|0;l:do if((oa|0)>0){va=0;while(1){Ba=ci[f[(f[Da>>2]|0)+92>>2]&1023](Da)|0;fa=Bg[f[(f[Ba>>2]|0)+208>>2]&127](Ba,Da,Pa,va)|0;f[A>>2]=fa;va=va+1|0;if(!(fGb(s,B)|0))break;if((va|0)>=(oa|0)){E=259;break l}}f[A>>2]=0;f[Ma>>2]=0}else E=259;while(0);if((E|0)==259){E=0;f[A>>2]=0;f[Ma>>2]=0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;if(!(pDb(B,e)|0)){TDb(l,3,483670,6280);QDb(m,ODb(ODb(l,484155)|0,484208)|0);UDb(l)}if(!(lDb(B,e)|0)){TDb(n,3,483670,6282);QDb(o,ODb(ODb(n,484250)|0,484303)|0);UDb(n)}if(!(ci[f[(f[B>>2]|0)+32>>2]&1023](B)|0)){oa=f[s>>2]|0;xh[f[(f[B>>2]|0)+36>>2]&2047](p,B);bza(g,484358,p);gGb(oa,pa+12|0,Da,9,g);if((b[Ca>>0]|0)<0)Emc(f[g>>2]|0);if((b[Ea>>0]|0)<0)Emc(f[p>>2]|0)}if((b[Ja>>0]|0)<0)Emc(f[e>>2]|0)}pa=pa+32|0}while((pa|0)!=(f[Ia>>2]|0));Ja=f[L>>2]|0;if((pa|0)==(Ja|0))break;else Qa=pa;do{Ea=Qa+-32|0;f[Ia>>2]=Ea;Ca=Qa+-20|0;if((b[Ca+11>>0]|0)<0)Emc(f[Ca>>2]|0);if((b[Ea+11>>0]|0)<0)Emc(f[Ea>>2]|0);Qa=f[Ia>>2]|0}while((Qa|0)!=(Ja|0))}while(0);HVb(s+12|0);if(b[y>>0]|0){E=275;break}if(b[(f[a>>2]|0)+21>>0]|0)break;hGb(a,x,c);if((b[y>>0]|0)!=0&(f[Fa>>2]|0)>0)E=276}else E=275;while(0);if((E|0)==275?(f[Fa>>2]|0)>0:0)E=276;if((E|0)==276){E=c+44|0;s=0;do{iGb(a,(f[I>>2]|0)+(s*88|0)|0,f[(f[E>>2]|0)+4+(s<<2)>>2]|0);s=s+1|0}while((s|0)<(f[Fa>>2]|0))}do if(f[H>>2]|0){if(b[(f[a>>2]|0)+21>>0]|0)break;jGb(a,c,0)}while(0);ga=(b[y>>0]|0)==0?x:0;ha=q;ia=C}BAa(r,f[ia>>2]|0);PS(ha,f[G>>2]|0);M=ga;u=d;return M|0}function JFb(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+40|0;c=f[b>>2]|0;if(c|0){d=f[c+8>>2]|0;if(d|0){e=d;do{d=e;e=f[e>>2]|0;Emc(d)}while((e|0)!=0)}e=f[c>>2]|0;f[c>>2]=0;if(e|0)Emc(e);Emc(c)}f[b>>2]=0;b=a+68|0;a=f[b>>2]|0;if(!a){f[b>>2]=0;return}c=f[a+8>>2]|0;if(c|0){e=c;do{c=e;e=f[e>>2]|0;Emc(c)}while((e|0)!=0)}e=f[a>>2]|0;f[a>>2]=0;if(e|0)Emc(e);Emc(a);f[b>>2]=0;return}function KFb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;Emc(d);return}function LFb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;Emc(d);return}function MFb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;h=u;u=u+16|0;i=h;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;j=s8b(g)|0;if(j>>>0>4294967279)Lmc(i);if(j>>>0<11){b[i+11>>0]=j;if(!j)k=i;else{l=i;m=6}}else{n=j+16&-16;o=Bmc(n)|0;f[i>>2]=o;f[i+8>>2]=n|-2147483648;f[i+4>>2]=j;l=o;m=6}if((m|0)==6){Krc(l|0,g|0,j|0)|0;k=l}b[k+j>>0]=0;NFb(a,c,d,e,i);if((b[i+11>>0]|0)>=0){u=h;return}Emc(f[i>>2]|0);u=h;return}function NFb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+64|0;i=h+24|0;j=h;k=f[a+8>>2]|0;if(k|0){Ug[f[(f[k>>2]|0)+8>>2]&127](k,a+28|0,c,d,e,g);l=a+24|0;b[l>>0]=1;u=h;return}e=a+24|0;if(!(b[e>>0]|0)){TDb(i,2,483670,3592);QDb(h+49|0,ODb(PDb(ODb(i,493035)|0,a+28|0)|0,493071)|0);UDb(i)}TDb(j,2,483670,3595);QDb(h+48|0,PDb(ODb(PDb(ODb(j,493074)|0,c)|0,509871)|0,g)|0);UDb(j);l=e;b[l>>0]=1;u=h;return}function OFb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;Emc(d);return}function PFb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0.0,v=0,w=0,x=0,y=0,z=0;d=f[c>>2]|0;e=b[d>>0]|0;if(!(e<<24>>24))g=0;else{h=d;i=0;j=e;while(1){e=(i*5|0)+(j<<24>>24)|0;h=h+1|0;j=b[h>>0]|0;if(!(j<<24>>24)){g=e;break}else i=e}}i=a+4|0;j=f[i>>2]|0;h=(j|0)==0;a:do if(!h){e=j+-1|0;k=(e&j|0)==0;if(!k)if(g>>>0<j>>>0)l=g;else l=(g>>>0)%(j>>>0)|0;else l=e&g;m=f[(f[a>>2]|0)+(l<<2)>>2]|0;if(!m)o=l;else{if(k){k=m;while(1){k=f[k>>2]|0;if(!k){o=l;break a}p=f[k+4>>2]|0;if(!((p|0)==(g|0)|(p&e|0)==(l|0))){o=l;break a}if(!(o7b(f[k+8>>2]|0,d)|0)){q=0;break}}return q|0}else r=m;while(1){r=f[r>>2]|0;if(!r){o=l;break a}k=f[r+4>>2]|0;if((k|0)!=(g|0)){if(k>>>0<j>>>0)s=k;else s=(k>>>0)%(j>>>0)|0;if((s|0)!=(l|0)){o=l;break a}}if(!(o7b(f[r+8>>2]|0,d)|0)){q=0;break}}return q|0}}else o=0;while(0);d=Bmc(16)|0;r=c;c=f[r+4>>2]|0;l=d+8|0;f[l>>2]=f[r>>2];f[l+4>>2]=c;f[d+4>>2]=g;f[d>>2]=0;c=a+12|0;t=+(((f[c>>2]|0)+1|0)>>>0);u=+n[a+16>>2];do if(h|t>+(j>>>0)*u){l=(j>>>0<3|(j+-1&j|0)!=0)&1|j<<1;r=~~+X(+(t/u))>>>0;OEb(a,l>>>0<r>>>0?r:l);l=f[i>>2]|0;r=l+-1|0;if(!(r&l)){v=l;w=r&g;break}if(g>>>0<l>>>0){v=l;w=g}else{v=l;w=(g>>>0)%(l>>>0)|0}}else{v=j;w=o}while(0);o=(f[a>>2]|0)+(w<<2)|0;w=f[o>>2]|0;if(!w){j=a+8|0;f[d>>2]=f[j>>2];f[j>>2]=d;f[o>>2]=j;j=f[d>>2]|0;if(j|0){o=f[j+4>>2]|0;j=v+-1|0;if(j&v)if(o>>>0<v>>>0)x=o;else x=(o>>>0)%(v>>>0)|0;else x=o&j;y=(f[a>>2]|0)+(x<<2)|0;z=32}}else{f[d>>2]=f[w>>2];y=w;z=32}if((z|0)==32)f[y>>2]=d;f[c>>2]=(f[c>>2]|0)+1;q=1;return q|0}function QFb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;Emc(d);return}function RFb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;g=u;u=u+48|0;h=g+36|0;i=g+24|0;j=g+12|0;k=g;l=a+4|0;m=f[l>>2]|0;n=c+11|0;f[h>>2]=(b[n>>0]|0)<0?f[c>>2]|0:c;f[h+4>>2]=8;f[h+8>>2]=e;if(YHb(m+132|0,h)|0){o=(b[n>>0]|0)<0?f[c>>2]|0:c;f[h>>2]=o;p=m+200|0;q=f[p>>2]|0;if((q|0)==(f[m+204>>2]|0))QFb(m+196|0,h);else{f[q>>2]=o;f[p>>2]=(f[p>>2]|0)+4}p=jnc(c,46,-1)|0;if((p|0)==-1){VHb(a,c,c,d);u=g;return}o=f[l>>2]|0;Omc(i,c,0,p,c);q=Bmc(12)|0;Nmc(q,i);f[h>>2]=q;m=o+76|0;r=f[m>>2]|0;if((r|0)==(f[o+80>>2]|0))OFb(o+72|0,h);else{f[r>>2]=q;f[m>>2]=(f[m>>2]|0)+4}m=f[h>>2]|0;if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);RFb(a,m,d,e);Omc(h,c,p+1|0,-1,c);VHb(a,h,c,d);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);u=g;return}p=f[l>>2]|0;f[h>>2]=(b[n>>0]|0)<0?f[c>>2]|0:c;n=sFb(p+132|0,h)|0;if(n){p=f[n+12>>2]|0;if((p|0)==8){u=g;return}else{s=p;t=f[n+16>>2]|0}}else{s=0;t=0}bza(k,509777,c);pza(j,k,492968);switch(s|0){case 7:{v=(f[t+8>>2]|0)+8|0;w=25;break}case 1:{v=t+8|0;w=25;break}case 2:{v=t+20|0;w=25;break}case 3:{v=(f[t+8>>2]|0)+8|0;w=25;break}case 4:{v=t+8|0;w=25;break}case 5:{v=(f[t+12>>2]|0)+8|0;w=25;break}case 6:{v=t+8|0;w=25;break}default:x=0}if((w|0)==25)x=f[v>>2]|0;JDa(i,j,f[x>>2]|0);pza(h,i,510410);NFb(a,c,d,0,h);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);if((b[k+11>>0]|0)<0)Emc(f[k>>2]|0);u=g;return}function SFb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;Emc(d);return}function TFb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+32|0;g=e+12|0;h=e;i=f[c+120>>2]|0;bza(h,492885,f[(f[c+28>>2]|0)+4+(d<<2)>>2]|0);pza(g,h,492948);NFb(a,i,c,9,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if((b[h+11>>0]|0)>=0){u=e;return}Emc(f[h>>2]|0);u=e;return}function UFb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=u;u=u+16|0;e=d;g=a+16|0;h=f[g>>2]|0;i=Bmc(96)|0;f[e>>2]=i;j=h+124|0;k=f[j>>2]|0;if((k|0)==(f[h+128>>2]|0))LR(h+120|0,e);else{f[k>>2]=i;f[j>>2]=(f[j>>2]|0)+4}j=f[e>>2]|0;i=j;k=i+96|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(k|0));i=f[g>>2]|0;g=Bmc(12)|0;Nmc(g,c);f[e>>2]=g;c=i+76|0;k=f[c>>2]|0;if((k|0)==(f[i+80>>2]|0))OFb(i+72|0,e);else{f[k>>2]=g;f[c>>2]=(f[c>>2]|0)+4}f[j>>2]=f[e>>2];if((f[222908]|0)!=2){f[e>>2]=149752;f[e+4>>2]=125;b[e+8>>0]=0;dEb(891632,e);zDb(e)}f[j+4>>2]=535416;f[j+8>>2]=a;a=yUb()|0;f[j+84>>2]=a;if((f[222932]|0)==2){l=f[222933]|0;m=j+88|0;f[m>>2]=l;n=OUb()|0;o=j+92|0;f[o>>2]=n;p=j+48|0;b[p>>0]=1;q=j+44|0;f[q>>2]=2;r=j+49|0;b[r>>0]=1;u=d;return j|0}f[e>>2]=149752;f[e+4>>2]=129;b[e+8>>0]=0;dEb(891728,e);zDb(e);l=f[222933]|0;m=j+88|0;f[m>>2]=l;n=OUb()|0;o=j+92|0;f[o>>2]=n;p=j+48|0;b[p>>0]=1;q=j+44|0;f[q>>2]=2;r=j+49|0;b[r>>0]=1;u=d;return j|0}function VFb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+48|0;g=e+24|0;h=e+12|0;i=e;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;if(!(f[(f[a>>2]|0)+4>>2]|0)){bza(i,492885,f[(f[c+28>>2]|0)+4+(d<<2)>>2]|0);pza(h,i,492894);Qmc(g,h)|0;if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0)}else{bza(i,492885,f[(f[c+28>>2]|0)+4+(d<<2)>>2]|0);pza(h,i,492917);Qmc(g,h)|0;if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0)}NFb(a,f[c+120>>2]|0,c,9,g);if((b[g+11>>0]|0)>=0){u=e;return}Emc(f[g>>2]|0);u=e;return}function WFb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=a+4|0;a=f[d>>2]|0;do if(a|0){e=b[c+11>>0]|0;g=e<<24>>24<0;h=g?f[c+4>>2]|0:e&255;e=g?f[c>>2]|0:c;g=d;i=a;a:while(1){j=i;while(1){k=j+16|0;l=b[k+11>>0]|0;m=l<<24>>24<0;n=m?f[j+20>>2]|0:l&255;l=h>>>0<n>>>0?h:n;if((l|0)!=0?(o=gac(m?f[k>>2]|0:k,e,l)|0,(o|0)!=0):0){if((o|0)>=0)break}else p=6;if((p|0)==6?(p=0,n>>>0>=h>>>0):0)break;n=f[j+4>>2]|0;if(!n){q=g;break a}else j=n}i=f[j>>2]|0;if(!i){q=j;break}else g=j}if((q|0)!=(d|0)){g=q+16|0;i=b[g+11>>0]|0;n=i<<24>>24<0;o=n?f[q+20>>2]|0:i&255;i=o>>>0<h>>>0?o:h;if(i|0?(l=gac(e,n?f[g>>2]|0:g,i)|0,l|0):0){if((l|0)<0)break;else r=q;return r|0}if(h>>>0>=o>>>0){r=q;return r|0}}}while(0);r=d;return r|0}function XFb(a){a=a|0;oIb(a);return}function YFb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;d=u;u=u+16|0;e=d;g=c;if(!c){u=d;return}h=a+48|0;i=a+52|0;j=f[i>>2]|0;do if(j){k=a+52|0;l=j;while(1){m=f[l+16>>2]|0;if(m>>>0>c>>>0){n=f[l>>2]|0;if(!n){o=7;break}else{p=l;q=n}}else{if(m>>>0>=c>>>0){o=11;break}r=l+4|0;m=f[r>>2]|0;if(!m){o=10;break}else{p=r;q=m}}k=p;l=q}if((o|0)==7){s=l;t=l;break}else if((o|0)==10){s=r;t=l;break}else if((o|0)==11){s=k;t=l;break}}else{s=i;t=i}while(0);if(f[s>>2]|0){u=d;return}i=Bmc(20)|0;f[i+16>>2]=g;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=t;f[s>>2]=i;t=f[f[h>>2]>>2]|0;if(!t)v=i;else{f[h>>2]=t;v=f[s>>2]|0}RS(f[a+52>>2]|0,v);v=a+56|0;f[v>>2]=(f[v>>2]|0)+1;v=c+20|0;if((f[v>>2]|0)<=0){u=d;return}s=c+60|0;t=c+12|0;h=c+52|0;i=e+4|0;g=e+8|0;o=e+12|0;r=0;do{q=f[(f[s>>2]|0)+(r<<2)>>2]|0;p=f[t>>2]|0;if(p|0?(f[p>>2]|0)!=2:0){f[e>>2]=150160;f[i>>2]=1669;b[g>>0]=0;f[o>>2]=c;dEb(p,e)}YFb(a,f[(f[h>>2]|0)+(q<<2)>>2]|0);r=r+1|0}while((r|0)<(f[v>>2]|0));u=d;return}function ZFb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0.0,sa=0.0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0;g=u;u=u+480|0;h=g+448|0;i=g+440|0;j=g+400|0;k=g+360|0;l=g+320|0;m=g+280|0;o=g+240|0;p=g+200|0;q=g+160|0;r=g+120|0;s=g+80|0;t=g+40|0;v=g;if(!d)w=(f[a+40>>2]|0)+4|0;else w=d+4|0;x=f[w>>2]|0;w=a+4|0;y=f[w>>2]|0;z=Bmc(12)|0;Nmc(z,x);f[h>>2]=z;x=y+76|0;A=f[x>>2]|0;if((A|0)==(f[y+80>>2]|0))OFb(y+72|0,h);else{f[A>>2]=z;f[x>>2]=(f[x>>2]|0)+4}x=f[h>>2]|0;z=b[x+11>>0]|0;if(z<<24>>24<0)B=f[x+4>>2]|0;else B=z&255;if(B|0)Xmc(x,1,46)|0;B=c+144|0;z=f[B>>2]|0;A=b[z+11>>0]|0;y=A<<24>>24<0;$mc(x,y?f[z>>2]|0:z,y?f[z+4>>2]|0:A&255)|0;VHb(a,f[B>>2]|0,x,c);A=f[w>>2]|0;z=f[B>>2]|0;B=Bmc(12)|0;Nmc(B,z);f[h>>2]=B;z=A+76|0;y=f[z>>2]|0;if((y|0)==(f[A+80>>2]|0))OFb(A+72|0,h);else{f[y>>2]=B;f[z>>2]=(f[z>>2]|0)+4}f[e>>2]=f[h>>2];z=e+4|0;f[z>>2]=x;f[e+8>>2]=f[a+40>>2];f[e+12>>2]=d;b[e+84>>0]=0;b[e+85>>0]=0;x=c+100|0;B=f[x>>2]|0;f[e+56>>2]=B;y=e+24|0;A=f[w>>2]|0;C=B*28|0;if(!C){D=0;E=B}else{B=Bmc(C)|0;f[h>>2]=B;C=A+124|0;F=f[C>>2]|0;if((F|0)==(f[A+128>>2]|0))LR(A+120|0,h);else{f[F>>2]=B;f[C>>2]=(f[C>>2]|0)+4}D=f[h>>2]|0;E=f[x>>2]|0}f[y>>2]=D;if((E|0)>0?(E=c+108|0,kIb(a,f[(f[E>>2]|0)+4>>2]|0,e,D),(f[x>>2]|0)>1):0){D=1;do{kIb(a,f[(f[E>>2]|0)+4+(D<<2)>>2]|0,e,(f[y>>2]|0)+(D*28|0)|0);D=D+1|0}while((D|0)<(f[x>>2]|0))}x=c+20|0;D=f[x>>2]|0;y=e+52|0;f[y>>2]=D;E=e+20|0;C=f[w>>2]|0;B=D*88|0;if(!B){G=0;H=D}else{D=Bmc(B)|0;f[h>>2]=D;B=C+124|0;F=f[B>>2]|0;if((F|0)==(f[C+128>>2]|0))LR(C+120|0,h);else{f[F>>2]=D;f[B>>2]=(f[B>>2]|0)+4}G=f[h>>2]|0;H=f[x>>2]|0}f[E>>2]=G;if((H|0)>0?(H=c+28|0,aGb(a,f[(f[H>>2]|0)+4>>2]|0,e,G,0),(f[x>>2]|0)>1):0){G=1;do{aGb(a,f[(f[H>>2]|0)+4+(G<<2)>>2]|0,e,(f[E>>2]|0)+(G*88|0)|0,0);G=G+1|0}while((G|0)<(f[x>>2]|0))}x=c+36|0;G=f[x>>2]|0;f[e+60>>2]=G;H=e+28|0;B=f[w>>2]|0;D=G*88|0;if(!D){I=0;J=G}else{G=Bmc(D)|0;f[h>>2]=G;D=B+124|0;F=f[D>>2]|0;if((F|0)==(f[B+128>>2]|0))LR(B+120|0,h);else{f[F>>2]=G;f[D>>2]=(f[D>>2]|0)+4}I=f[h>>2]|0;J=f[x>>2]|0}f[H>>2]=I;if((J|0)>0?(J=c+44|0,ZFb(a,f[(f[J>>2]|0)+4>>2]|0,e,I),(f[x>>2]|0)>1):0){I=1;do{ZFb(a,f[(f[J>>2]|0)+4+(I<<2)>>2]|0,e,(f[H>>2]|0)+(I*88|0)|0);I=I+1|0}while((I|0)<(f[x>>2]|0))}x=c+52|0;I=f[x>>2]|0;f[e+64>>2]=I;H=e+32|0;J=f[w>>2]|0;D=I*48|0;if(!D){K=0;L=I}else{I=Bmc(D)|0;f[h>>2]=I;D=J+124|0;G=f[D>>2]|0;if((G|0)==(f[J+128>>2]|0))LR(J+120|0,h);else{f[G>>2]=I;f[D>>2]=(f[D>>2]|0)+4}K=f[h>>2]|0;L=f[x>>2]|0}f[H>>2]=K;if((L|0)>0?(L=c+60|0,_Fb(a,f[(f[L>>2]|0)+4>>2]|0,e,K),(f[x>>2]|0)>1):0){K=1;do{_Fb(a,f[(f[L>>2]|0)+4+(K<<2)>>2]|0,e,(f[H>>2]|0)+(K*48|0)|0);K=K+1|0}while((K|0)<(f[x>>2]|0))}x=c+68|0;K=f[x>>2]|0;H=e+68|0;f[H>>2]=K;L=e+36|0;D=f[w>>2]|0;I=K*12|0;if(!I){M=0;N=K}else{K=Bmc(I)|0;f[h>>2]=K;I=D+124|0;G=f[I>>2]|0;if((G|0)==(f[D+128>>2]|0))LR(D+120|0,h);else{f[G>>2]=K;f[I>>2]=(f[I>>2]|0)+4}M=f[h>>2]|0;N=f[x>>2]|0}f[L>>2]=M;a:do if((N|0)>0){I=c+76|0;K=0;G=M;while(1){D=f[(f[I>>2]|0)+4+(K<<2)>>2]|0;J=G+(K*12|0)|0;F=f[D+20>>2]|0;f[J>>2]=F;B=f[D+24>>2]|0;C=G+(K*12|0)+4|0;f[C>>2]=B;if((F|0)<1){MFb(a,f[z>>2]|0,D,1,492325);O=f[J>>2]|0;P=f[C>>2]|0}else{O=F;P=B}if((O|0)>=(P|0))MFb(a,f[z>>2]|0,D,1,492370);if(!(f[D+8>>2]&1))f[G+(K*12|0)+8>>2]=0;else{B=f[z>>2]|0;F=f[D+16>>2]|0;lIb(a,B,B,F|0?F:535816,J)}J=K+1|0;if((J|0)>=(f[x>>2]|0))break a;K=J;G=f[L>>2]|0}}while(0);x=c+84|0;P=f[x>>2]|0;f[e+72>>2]=P;O=e+40|0;M=f[w>>2]|0;N=P*88|0;if(!N){Q=0;R=P}else{P=Bmc(N)|0;f[h>>2]=P;N=M+124|0;G=f[N>>2]|0;if((G|0)==(f[M+128>>2]|0))LR(M+120|0,h);else{f[G>>2]=P;f[N>>2]=(f[N>>2]|0)+4}Q=f[h>>2]|0;R=f[x>>2]|0}f[O>>2]=Q;if((R|0)>0?(R=c+92|0,aGb(a,f[(f[R>>2]|0)+4>>2]|0,e,Q,1),(f[x>>2]|0)>1):0){Q=1;do{aGb(a,f[(f[R>>2]|0)+4+(Q<<2)>>2]|0,e,(f[O>>2]|0)+(Q*88|0)|0,1);Q=Q+1|0}while((Q|0)<(f[x>>2]|0))}x=c+116|0;Q=f[x>>2]|0;O=e+76|0;f[O>>2]=Q;R=e+44|0;N=f[w>>2]|0;P=Q<<3;if(!P){S=0;T=Q}else{Q=Bmc(P)|0;f[h>>2]=Q;P=N+124|0;G=f[P>>2]|0;if((G|0)==(f[N+128>>2]|0))LR(N+120|0,h);else{f[G>>2]=Q;f[P>>2]=(f[P>>2]|0)+4}S=f[h>>2]|0;T=f[x>>2]|0}f[R>>2]=S;b:do if((T|0)>0){P=c+124|0;Q=0;G=S;N=T;while(1){M=f[(f[P>>2]|0)+4+(Q<<2)>>2]|0;K=f[M+16>>2]|0;f[G+(Q<<3)>>2]=K;f[G+(Q<<3)+4>>2]=f[M+20>>2];if((K|0)<1){MFb(a,f[z>>2]|0,M,1,492432);U=f[x>>2]|0}else U=N;M=Q+1|0;if((M|0)>=(U|0))break b;Q=M;G=f[R>>2]|0;N=U}}while(0);U=c+132|0;T=f[U>>2]|0;f[e+80>>2]=T;S=f[w>>2]|0;N=T<<2;if(!N)V=0;else{G=Bmc(N)|0;f[h>>2]=G;N=S+124|0;Q=f[N>>2]|0;if((Q|0)==(f[S+128>>2]|0))LR(S+120|0,h);else{f[Q>>2]=G;f[N>>2]=(f[N>>2]|0)+4}V=f[h>>2]|0}N=e+48|0;f[N>>2]=V;if((T|0)>0){V=c+140|0;G=0;do{Q=f[w>>2]|0;S=f[(f[V>>2]|0)+4+(G<<2)>>2]|0;P=Bmc(12)|0;Nmc(P,S);f[h>>2]=P;S=Q+76|0;M=f[S>>2]|0;if((M|0)==(f[Q+80>>2]|0))OFb(Q+72|0,h);else{f[M>>2]=P;f[S>>2]=(f[S>>2]|0)+4}f[(f[N>>2]|0)+(G<<2)>>2]=f[h>>2];G=G+1|0}while((G|0)<(T|0))}if(!(f[c+8>>2]&2))f[e+16>>2]=0;else{T=f[c+148>>2]|0;G=f[z>>2]|0;mIb(a,G,G,T|0?T:536248,e)}T=f[z>>2]|0;G=f[e>>2]|0;f[i>>2]=1;f[i+4>>2]=e;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];XHb(a,T,d,G,c,h)|0;G=f[x>>2]|0;if((G|0)>0){d=c+124|0;T=j+8|0;i=j+4|0;e=k+8|0;N=k+4|0;V=l+8|0;w=l+4|0;S=m+8|0;P=m+4|0;M=o+4|0;Q=p+4|0;K=q+4|0;I=r+4|0;J=s+4|0;F=t+4|0;B=h+11|0;D=0;C=G;while(1){G=f[d>>2]|0;A=f[G+4+(D<<2)>>2]|0;W=D;D=D+1|0;c:do if((D|0)<(C|0)){Y=A+20|0;Z=A+16|0;_=D;$=G;aa=C;while(1){ba=f[$+4+(_<<2)>>2]|0;ca=f[ba+16>>2]|0;do if((f[Y>>2]|0)>(ca|0)){da=ba+20|0;if((f[da>>2]|0)<=(f[Z>>2]|0)){ea=aa;break}fa=f[z>>2]|0;ga=f[$+4+(W<<2)>>2]|0;ha=A6b(ca,T)|0;f[j>>2]=ha;ia=s8b(ha)|0;f[i>>2]=ia;ia=A6b((f[da>>2]|0)+-1|0,e)|0;f[k>>2]=ia;da=s8b(ia)|0;f[N>>2]=da;da=A6b(f[Z>>2]|0,V)|0;f[l>>2]=da;ia=s8b(da)|0;f[w>>2]=ia;ia=A6b((f[Y>>2]|0)+-1|0,S)|0;f[m>>2]=ia;da=s8b(ia)|0;f[P>>2]=da;f[o>>2]=0;f[M>>2]=-1;f[p>>2]=0;f[Q>>2]=-1;f[q>>2]=0;f[K>>2]=-1;f[r>>2]=0;f[I>>2]=-1;f[s>>2]=0;f[J>>2]=-1;f[t>>2]=0;f[F>>2]=-1;h2b(h,491782,j,k,l,m,o,p,q,r,s,t);NFb(a,fa,ga,1,h);if((b[B>>0]|0)<0)Emc(f[h>>2]|0);ea=f[x>>2]|0}else ea=aa;while(0);ca=_+1|0;if((ca|0)>=(ea|0)){ja=ea;break c}_=ca;$=f[d>>2]|0;aa=ea}}else ja=C;while(0);if((D|0)>=(ja|0))break;else C=ja}}ja=h+16|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;n[ja>>2]=1.0;if((f[U>>2]|0)>0){C=c+140|0;D=h+4|0;ea=h+12|0;d=h+8|0;x=k+4|0;B=l+4|0;F=m+4|0;J=o+4|0;I=p+4|0;K=q+4|0;Q=r+4|0;M=s+4|0;P=t+4|0;S=v+4|0;w=j+11|0;V=0;do{N=f[(f[C>>2]|0)+4+(V<<2)>>2]|0;d:do if(eIb(h,N)|0){e=b[N+11>>0]|0;i=e<<24>>24<0;f[k>>2]=i?f[N>>2]|0:N;f[x>>2]=i?f[N+4>>2]|0:e&255;f[l>>2]=0;f[B>>2]=-1;f[m>>2]=0;f[F>>2]=-1;f[o>>2]=0;f[J>>2]=-1;f[p>>2]=0;f[I>>2]=-1;f[q>>2]=0;f[K>>2]=-1;f[r>>2]=0;f[Q>>2]=-1;f[s>>2]=0;f[M>>2]=-1;f[t>>2]=0;f[P>>2]=-1;f[v>>2]=0;f[S>>2]=-1;h2b(j,492476,k,l,m,o,p,q,r,s,t,v);NFb(a,N,c,0,j);if((b[w>>0]|0)<0)Emc(f[j>>2]|0)}else{e=b[N+11>>0]|0;i=e<<24>>24<0;T=i?f[N>>2]|0:N;W=b[T>>0]|0;if(!(W<<24>>24))ka=0;else{G=T;A=0;aa=W;while(1){$=(A*5|0)+(aa<<24>>24)|0;G=G+1|0;aa=b[G>>0]|0;if(!(aa<<24>>24)){ka=$;break}else A=$}}A=f[D>>2]|0;aa=(A|0)==0;e:do if(aa)la=0;else{G=A+-1|0;$=(G&A|0)==0;do if($)ma=G&ka;else{if(ka>>>0<A>>>0){ma=ka;break}ma=(ka>>>0)%(A>>>0)|0}while(0);_=f[(f[h>>2]|0)+(ma<<2)>>2]|0;if(!_){la=ma;break}Y=f[_>>2]|0;if(!Y){la=ma;break}_=i?f[N+4>>2]|0:e&255;Z=(_|0)==0;if($){if(Z){ca=Y;while(1){ba=f[ca+4>>2]|0;if(!((ba|0)==(ka|0)|(ba&G|0)==(ma|0))){la=ma;break e}ba=b[ca+8+11>>0]|0;if(!((ba<<24>>24<0?f[ca+12>>2]|0:ba&255)|0))break d;ca=f[ca>>2]|0;if(!ca){la=ma;break e}}}else na=Y;while(1){ca=f[na+4>>2]|0;if(!((ca|0)==(ka|0)|(ca&G|0)==(ma|0))){la=ma;break e}ca=na+8|0;$=b[ca+11>>0]|0;ba=$<<24>>24<0;ga=$&255;do if(((ba?f[na+12>>2]|0:ga)|0)==(_|0)){$=f[ca>>2]|0;if(ba)if(!(gac($,T,_)|0))break d;else break;if(($&255)<<24>>24!=W<<24>>24)break;$=ca;fa=ga;da=T;do{fa=fa+-1|0;$=$+1|0;if(!fa)break d;da=da+1|0}while((b[$>>0]|0)==(b[da>>0]|0))}while(0);na=f[na>>2]|0;if(!na){la=ma;break e}}}if(Z){G=Y;while(1){ga=f[G+4>>2]|0;if((ga|0)!=(ka|0)){if(ga>>>0<A>>>0)oa=ga;else oa=(ga>>>0)%(A>>>0)|0;if((oa|0)!=(ma|0)){la=ma;break e}}ga=b[G+8+11>>0]|0;if(!((ga<<24>>24<0?f[G+12>>2]|0:ga&255)|0))break d;G=f[G>>2]|0;if(!G){la=ma;break e}}}else pa=Y;while(1){G=f[pa+4>>2]|0;if((G|0)!=(ka|0)){if(G>>>0<A>>>0)qa=G;else qa=(G>>>0)%(A>>>0)|0;if((qa|0)!=(ma|0)){la=ma;break e}}G=pa+8|0;Z=b[G+11>>0]|0;ga=Z<<24>>24<0;ca=Z&255;do if(((ga?f[pa+12>>2]|0:ca)|0)==(_|0)){Z=f[G>>2]|0;if(ga)if(!(gac(Z,T,_)|0))break d;else break;if((Z&255)<<24>>24!=W<<24>>24)break;Z=G;ba=ca;da=T;do{ba=ba+-1|0;Z=Z+1|0;if(!ba)break d;da=da+1|0}while((b[Z>>0]|0)==(b[da>>0]|0))}while(0);pa=f[pa>>2]|0;if(!pa){la=ma;break}}}while(0);T=Bmc(20)|0;Nmc(T+8|0,N);f[T+4>>2]=ka;f[T>>2]=0;ra=+(((f[ea>>2]|0)+1|0)>>>0);sa=+n[ja>>2];do if(aa|ra>+(A>>>0)*sa){W=(A>>>0<3|(A+-1&A|0)!=0)&1|A<<1;e=~~+X(+(ra/sa))>>>0;yFb(h,W>>>0<e>>>0?e:W);W=f[D>>2]|0;e=W+-1|0;if(!(e&W)){ta=W;ua=e&ka;break}if(ka>>>0<W>>>0){ta=W;ua=ka;break}ta=W;ua=(ka>>>0)%(W>>>0)|0}else{ta=A;ua=la}while(0);A=(f[h>>2]|0)+(ua<<2)|0;aa=f[A>>2]|0;do if(!aa){f[T>>2]=f[d>>2];f[d>>2]=T;f[A>>2]=d;W=f[T>>2]|0;if(!W)break;e=f[W+4>>2]|0;W=ta+-1|0;do if(!(W&ta))va=e&W;else{if(e>>>0<ta>>>0){va=e;break}va=(e>>>0)%(ta>>>0)|0}while(0);wa=(f[h>>2]|0)+(va<<2)|0;xa=168}else{f[T>>2]=f[aa>>2];wa=aa;xa=168}while(0);if((xa|0)==168){xa=0;f[wa>>2]=T}f[ea>>2]=(f[ea>>2]|0)+1}while(0);V=V+1|0}while((V|0)<(f[U>>2]|0))}if((f[y>>2]|0)>0){U=c+28|0;V=k+4|0;ea=l+4|0;wa=m+4|0;xa=o+4|0;va=p+4|0;ta=q+4|0;d=r+4|0;ua=s+4|0;la=t+4|0;ka=v+4|0;D=j+11|0;ja=c+124|0;ma=k+4|0;pa=l+8|0;qa=l+4|0;oa=m+4|0;na=o+4|0;w=p+4|0;S=q+4|0;P=r+4|0;M=s+4|0;Q=t+4|0;K=v+4|0;I=j+11|0;J=c+76|0;F=k+8|0;B=k+4|0;x=l+8|0;C=l+4|0;N=m+4|0;aa=o+8|0;A=o+4|0;e=p+4|0;W=q+4|0;i=r+4|0;_=s+4|0;Y=t+4|0;ca=v+4|0;G=j+11|0;ga=0;do{da=f[E>>2]|0;Z=da+(ga*88|0)|0;ba=f[H>>2]|0;if((ba|0)>0){$=da+(ga*88|0)+40|0;fa=da+(ga*88|0)+4|0;ia=0;ha=ba;while(1){ba=f[L>>2]|0;ya=f[ba+(ia*12|0)>>2]|0;za=f[$>>2]|0;do if((ya|0)>(za|0))Aa=ha;else{Ba=ba+(ia*12|0)+4|0;if((za|0)>=(f[Ba>>2]|0)){Aa=ha;break}Ca=f[fa>>2]|0;Da=f[(f[J>>2]|0)+4+(ia<<2)>>2]|0;Ea=A6b(ya,F)|0;f[k>>2]=Ea;Fa=s8b(Ea)|0;f[B>>2]=Fa;Fa=A6b((f[Ba>>2]|0)+-1|0,x)|0;f[l>>2]=Fa;Ba=s8b(Fa)|0;f[C>>2]=Ba;Ba=f[Z>>2]|0;Fa=b[Ba+11>>0]|0;Ea=Fa<<24>>24<0;f[m>>2]=Ea?f[Ba>>2]|0:Ba;f[N>>2]=Ea?f[Ba+4>>2]|0:Fa&255;Fa=A6b(f[$>>2]|0,aa)|0;f[o>>2]=Fa;Ba=s8b(Fa)|0;f[A>>2]=Ba;f[p>>2]=0;f[e>>2]=-1;f[q>>2]=0;f[W>>2]=-1;f[r>>2]=0;f[i>>2]=-1;f[s>>2]=0;f[_>>2]=-1;f[t>>2]=0;f[Y>>2]=-1;f[v>>2]=0;f[ca>>2]=-1;h2b(j,492520,k,l,m,o,p,q,r,s,t,v);NFb(a,Ca,Da,1,j);if((b[G>>0]|0)<0)Emc(f[j>>2]|0);Aa=f[H>>2]|0}while(0);ia=ia+1|0;if((ia|0)>=(Aa|0))break;else ha=Aa}}ha=f[O>>2]|0;if((ha|0)>0){ia=da+(ga*88|0)+40|0;$=da+(ga*88|0)+4|0;fa=0;ya=ha;while(1){ha=f[R>>2]|0;za=f[ia>>2]|0;do if((f[ha+(fa<<3)>>2]|0)>(za|0))Ga=ya;else{if((za|0)>=(f[ha+(fa<<3)+4>>2]|0)){Ga=ya;break}ba=f[$>>2]|0;T=f[(f[ja>>2]|0)+4+(fa<<2)>>2]|0;Da=f[Z>>2]|0;Ca=b[Da+11>>0]|0;Ba=Ca<<24>>24<0;f[k>>2]=Ba?f[Da>>2]|0:Da;f[ma>>2]=Ba?f[Da+4>>2]|0:Ca&255;Ca=A6b(za,pa)|0;f[l>>2]=Ca;Da=s8b(Ca)|0;f[qa>>2]=Da;f[m>>2]=0;f[oa>>2]=-1;f[o>>2]=0;f[na>>2]=-1;f[p>>2]=0;f[w>>2]=-1;f[q>>2]=0;f[S>>2]=-1;f[r>>2]=0;f[P>>2]=-1;f[s>>2]=0;f[M>>2]=-1;f[t>>2]=0;f[Q>>2]=-1;f[v>>2]=0;f[K>>2]=-1;h2b(j,492571,k,l,m,o,p,q,r,s,t,v);NFb(a,ba,T,1,j);if((b[I>>0]|0)<0)Emc(f[j>>2]|0);Ga=f[O>>2]|0}while(0);fa=fa+1|0;if((fa|0)>=(Ga|0)){Ha=Z;break}else ya=Ga}}else Ha=Z;if(eIb(h,f[Ha>>2]|0)|0?(ya=f[da+(ga*88|0)+4>>2]|0,fa=f[(f[U>>2]|0)+4+(ga<<2)>>2]|0,$=f[Ha>>2]|0,ia=b[$+11>>0]|0,za=ia<<24>>24<0,f[k>>2]=za?f[$>>2]|0:$,f[V>>2]=za?f[$+4>>2]|0:ia&255,f[l>>2]=0,f[ea>>2]=-1,f[m>>2]=0,f[wa>>2]=-1,f[o>>2]=0,f[xa>>2]=-1,f[p>>2]=0,f[va>>2]=-1,f[q>>2]=0,f[ta>>2]=-1,f[r>>2]=0,f[d>>2]=-1,f[s>>2]=0,f[ua>>2]=-1,f[t>>2]=0,f[la>>2]=-1,f[v>>2]=0,f[ka>>2]=-1,h2b(j,492607,k,l,m,o,p,q,r,s,t,v),NFb(a,ya,fa,0,j),(b[D>>0]|0)<0):0)Emc(f[j>>2]|0);ga=ga+1|0}while((ga|0)<(f[y>>2]|0))}y=f[H>>2]|0;if((y|0)>0){ga=c+76|0;c=k+8|0;D=k+4|0;ka=l+8|0;la=l+4|0;ua=m+8|0;d=m+4|0;ta=o+8|0;va=o+4|0;xa=p+4|0;wa=q+4|0;ea=r+4|0;V=s+4|0;Ha=t+4|0;U=v+4|0;Ga=j+11|0;I=k+8|0;K=k+4|0;Q=l+8|0;M=l+4|0;P=m+8|0;S=m+4|0;w=o+8|0;na=o+4|0;oa=p+4|0;qa=q+4|0;pa=r+4|0;ma=s+4|0;ja=t+4|0;Aa=v+4|0;G=j+11|0;ca=0;Y=y;while(1){y=f[L>>2]|0;_=y+(ca*12|0)|0;i=f[O>>2]|0;if((i|0)>0){W=y+(ca*12|0)+4|0;e=0;A=i;while(1){i=f[R>>2]|0;aa=i+(e<<3)|0;do if((f[W>>2]|0)>(f[aa>>2]|0)){N=i+(e<<3)+4|0;C=f[_>>2]|0;if((f[N>>2]|0)<=(C|0)){Ia=A;break}x=f[z>>2]|0;B=f[(f[ga>>2]|0)+4+(ca<<2)>>2]|0;F=A6b(C,I)|0;f[k>>2]=F;C=s8b(F)|0;f[K>>2]=C;C=A6b((f[W>>2]|0)+-1|0,Q)|0;f[l>>2]=C;F=s8b(C)|0;f[M>>2]=F;F=A6b(f[aa>>2]|0,P)|0;f[m>>2]=F;C=s8b(F)|0;f[S>>2]=C;C=A6b((f[N>>2]|0)+-1|0,w)|0;f[o>>2]=C;N=s8b(C)|0;f[na>>2]=N;f[p>>2]=0;f[oa>>2]=-1;f[q>>2]=0;f[qa>>2]=-1;f[r>>2]=0;f[pa>>2]=-1;f[s>>2]=0;f[ma>>2]=-1;f[t>>2]=0;f[ja>>2]=-1;f[v>>2]=0;f[Aa>>2]=-1;h2b(j,492636,k,l,m,o,p,q,r,s,t,v);NFb(a,x,B,1,j);if((b[G>>0]|0)<0)Emc(f[j>>2]|0);Ia=f[O>>2]|0}else Ia=A;while(0);e=e+1|0;if((e|0)>=(Ia|0))break;else A=Ia}Ja=f[H>>2]|0}else Ja=Y;A=ca;ca=ca+1|0;if((ca|0)<(Ja|0)){e=y+(A*12|0)+4|0;W=ca;da=Ja;while(1){Z=f[L>>2]|0;aa=f[Z+(W*12|0)>>2]|0;do if((f[e>>2]|0)>(aa|0)){i=Z+(W*12|0)+4|0;if((f[i>>2]|0)<=(f[_>>2]|0)){Ka=da;break}B=f[z>>2]|0;x=f[(f[ga>>2]|0)+4+(A<<2)>>2]|0;N=A6b(aa,c)|0;f[k>>2]=N;C=s8b(N)|0;f[D>>2]=C;C=A6b((f[i>>2]|0)+-1|0,ka)|0;f[l>>2]=C;i=s8b(C)|0;f[la>>2]=i;i=A6b(f[_>>2]|0,ua)|0;f[m>>2]=i;C=s8b(i)|0;f[d>>2]=C;C=A6b((f[e>>2]|0)+-1|0,ta)|0;f[o>>2]=C;i=s8b(C)|0;f[va>>2]=i;f[p>>2]=0;f[xa>>2]=-1;f[q>>2]=0;f[wa>>2]=-1;f[r>>2]=0;f[ea>>2]=-1;f[s>>2]=0;f[V>>2]=-1;f[t>>2]=0;f[Ha>>2]=-1;f[v>>2]=0;f[U>>2]=-1;h2b(j,492700,k,l,m,o,p,q,r,s,t,v);NFb(a,B,x,1,j);if((b[Ga>>0]|0)<0)Emc(f[j>>2]|0);Ka=f[H>>2]|0}else Ka=da;while(0);W=W+1|0;if((W|0)>=(Ka|0)){La=Ka;break}else da=Ka}}else La=Ja;if((ca|0)>=(La|0))break;else Y=La}}La=f[h+8>>2]|0;if(La|0){Y=La;do{La=Y;Y=f[Y>>2]|0;ca=La+8|0;if((b[ca+11>>0]|0)<0)Emc(f[ca>>2]|0);Emc(La)}while((Y|0)!=0)}Y=f[h>>2]|0;f[h>>2]=0;if(!Y){u=g;return}Emc(Y);u=g;return}function _Fb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0.0,qa=0.0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0;g=u;u=u+480|0;h=g+448|0;i=g+440|0;j=g+400|0;k=g+360|0;l=g+320|0;m=g+280|0;o=g+240|0;p=g+200|0;q=g+160|0;r=g+120|0;s=g+80|0;t=g+40|0;v=g;if(!d)w=(f[a+40>>2]|0)+4|0;else w=d+4|0;x=f[w>>2]|0;w=a+4|0;y=f[w>>2]|0;z=Bmc(12)|0;Nmc(z,x);f[h>>2]=z;x=y+76|0;A=f[x>>2]|0;if((A|0)==(f[y+80>>2]|0))OFb(y+72|0,h);else{f[A>>2]=z;f[x>>2]=(f[x>>2]|0)+4}x=f[h>>2]|0;z=b[x+11>>0]|0;if(z<<24>>24<0)B=f[x+4>>2]|0;else B=z&255;if(B|0)Xmc(x,1,46)|0;B=c+64|0;z=f[B>>2]|0;A=b[z+11>>0]|0;y=A<<24>>24<0;$mc(x,y?f[z>>2]|0:z,y?f[z+4>>2]|0:A&255)|0;VHb(a,f[B>>2]|0,x,c);A=f[w>>2]|0;z=f[B>>2]|0;B=Bmc(12)|0;Nmc(B,z);f[h>>2]=B;z=A+76|0;y=f[z>>2]|0;if((y|0)==(f[A+80>>2]|0))OFb(A+72|0,h);else{f[y>>2]=B;f[z>>2]=(f[z>>2]|0)+4}f[e>>2]=f[h>>2];z=e+4|0;f[z>>2]=x;f[e+8>>2]=f[a+40>>2];f[e+12>>2]=d;b[e+20>>0]=0;b[e+21>>0]=0;B=c+20|0;y=f[B>>2]|0;if(!y){MFb(a,x,c,0,491682);C=f[B>>2]|0}else C=y;y=e+24|0;f[y>>2]=C;x=e+28|0;A=f[w>>2]|0;D=C*20|0;if(!D){E=0;F=C}else{C=Bmc(D)|0;f[h>>2]=C;D=A+124|0;G=f[D>>2]|0;if((G|0)==(f[A+128>>2]|0))LR(A+120|0,h);else{f[G>>2]=C;f[D>>2]=(f[D>>2]|0)+4}E=f[h>>2]|0;F=f[B>>2]|0}f[x>>2]=E;if((F|0)>0?(F=c+28|0,bIb(a,f[(f[F>>2]|0)+4>>2]|0,e,E),(f[B>>2]|0)>1):0){E=1;do{bIb(a,f[(f[F>>2]|0)+4+(E<<2)>>2]|0,e,(f[x>>2]|0)+(E*20|0)|0);E=E+1|0}while((E|0)<(f[B>>2]|0))}B=c+36|0;E=f[B>>2]|0;F=e+32|0;f[F>>2]=E;D=e+40|0;C=f[w>>2]|0;G=E<<3;if(!G){H=0;I=E}else{E=Bmc(G)|0;f[h>>2]=E;G=C+124|0;A=f[G>>2]|0;if((A|0)==(f[C+128>>2]|0))LR(C+120|0,h);else{f[A>>2]=E;f[G>>2]=(f[G>>2]|0)+4}H=f[h>>2]|0;I=f[B>>2]|0}f[D>>2]=H;a:do if((I|0)>0){G=c+44|0;E=0;A=H;C=I;while(1){J=f[(f[G>>2]|0)+4+(E<<2)>>2]|0;K=f[J+16>>2]|0;f[A+(E<<3)>>2]=K;L=f[J+20>>2]|0;f[A+(E<<3)+4>>2]=L;if((K|0)>(L|0)){MFb(a,f[z>>2]|0,J,1,491721);M=f[B>>2]|0}else M=C;J=E+1|0;if((J|0)>=(M|0))break a;E=J;A=f[D>>2]|0;C=M}}while(0);M=c+52|0;I=f[M>>2]|0;f[e+36>>2]=I;H=f[w>>2]|0;C=I<<2;if(!C)N=0;else{A=Bmc(C)|0;f[h>>2]=A;C=H+124|0;E=f[C>>2]|0;if((E|0)==(f[H+128>>2]|0))LR(H+120|0,h);else{f[E>>2]=A;f[C>>2]=(f[C>>2]|0)+4}N=f[h>>2]|0}C=e+44|0;f[C>>2]=N;if((I|0)>0){N=c+60|0;A=0;do{E=f[w>>2]|0;H=f[(f[N>>2]|0)+4+(A<<2)>>2]|0;G=Bmc(12)|0;Nmc(G,H);f[h>>2]=G;H=E+76|0;J=f[H>>2]|0;if((J|0)==(f[E+80>>2]|0))OFb(E+72|0,h);else{f[J>>2]=G;f[H>>2]=(f[H>>2]|0)+4}f[(f[C>>2]|0)+(A<<2)>>2]=f[h>>2];A=A+1|0}while((A|0)<(I|0))}cIb(a,c,e);if(!(f[c+8>>2]&2))f[e+16>>2]=0;else{I=f[c+68>>2]|0;A=f[z>>2]|0;dIb(a,A,A,I|0?I:536416,e)}I=f[z>>2]|0;A=f[e>>2]|0;f[i>>2]=4;f[i+4>>2]=e;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];XHb(a,I,d,A,c,h)|0;A=f[B>>2]|0;if((A|0)>0){d=c+44|0;I=j+8|0;i=j+4|0;e=k+8|0;C=k+4|0;N=l+8|0;w=l+4|0;H=m+8|0;G=m+4|0;J=o+4|0;E=p+4|0;L=q+4|0;K=r+4|0;O=s+4|0;P=t+4|0;Q=h+11|0;R=0;S=A;while(1){A=f[d>>2]|0;T=f[A+4+(R<<2)>>2]|0;U=R;R=R+1|0;b:do if((R|0)<(S|0)){V=T+20|0;W=T+16|0;Y=R;Z=A;_=S;while(1){$=f[Z+4+(Y<<2)>>2]|0;aa=f[$+16>>2]|0;do if((f[V>>2]|0)>(aa|0)){ba=$+20|0;if((f[ba>>2]|0)<=(f[W>>2]|0)){ca=_;break}da=f[z>>2]|0;ea=f[Z+4+(U<<2)>>2]|0;fa=A6b(aa,I)|0;f[j>>2]=fa;ga=s8b(fa)|0;f[i>>2]=ga;ga=A6b((f[ba>>2]|0)+-1|0,e)|0;f[k>>2]=ga;ba=s8b(ga)|0;f[C>>2]=ba;ba=A6b(f[W>>2]|0,N)|0;f[l>>2]=ba;ga=s8b(ba)|0;f[w>>2]=ga;ga=A6b((f[V>>2]|0)+-1|0,H)|0;f[m>>2]=ga;ba=s8b(ga)|0;f[G>>2]=ba;f[o>>2]=0;f[J>>2]=-1;f[p>>2]=0;f[E>>2]=-1;f[q>>2]=0;f[L>>2]=-1;f[r>>2]=0;f[K>>2]=-1;f[s>>2]=0;f[O>>2]=-1;f[t>>2]=0;f[P>>2]=-1;h2b(h,491782,j,k,l,m,o,p,q,r,s,t);NFb(a,da,ea,1,h);if((b[Q>>0]|0)<0)Emc(f[h>>2]|0);ca=f[B>>2]|0}else ca=_;while(0);aa=Y+1|0;if((aa|0)>=(ca|0)){ha=ca;break b}Y=aa;Z=f[d>>2]|0;_=ca}}else ha=S;while(0);if((R|0)>=(ha|0))break;else S=ha}}ha=h+16|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;n[ha>>2]=1.0;if((f[M>>2]|0)>0){S=c+60|0;R=h+4|0;ca=h+12|0;d=h+8|0;B=k+4|0;Q=l+4|0;P=m+4|0;O=o+4|0;K=p+4|0;L=q+4|0;E=r+4|0;J=s+4|0;G=t+4|0;H=v+4|0;w=j+11|0;N=0;do{C=f[(f[S>>2]|0)+4+(N<<2)>>2]|0;c:do if(eIb(h,C)|0){e=b[C+11>>0]|0;i=e<<24>>24<0;f[k>>2]=i?f[C>>2]|0:C;f[B>>2]=i?f[C+4>>2]|0:e&255;f[l>>2]=0;f[Q>>2]=-1;f[m>>2]=0;f[P>>2]=-1;f[o>>2]=0;f[O>>2]=-1;f[p>>2]=0;f[K>>2]=-1;f[q>>2]=0;f[L>>2]=-1;f[r>>2]=0;f[E>>2]=-1;f[s>>2]=0;f[J>>2]=-1;f[t>>2]=0;f[G>>2]=-1;f[v>>2]=0;f[H>>2]=-1;h2b(j,491852,k,l,m,o,p,q,r,s,t,v);NFb(a,C,c,0,j);if((b[w>>0]|0)<0)Emc(f[j>>2]|0)}else{e=b[C+11>>0]|0;i=e<<24>>24<0;I=i?f[C>>2]|0:C;z=b[I>>0]|0;if(!(z<<24>>24))ia=0;else{U=I;A=0;T=z;while(1){_=(A*5|0)+(T<<24>>24)|0;U=U+1|0;T=b[U>>0]|0;if(!(T<<24>>24)){ia=_;break}else A=_}}A=f[R>>2]|0;T=(A|0)==0;d:do if(T)ja=0;else{U=A+-1|0;_=(U&A|0)==0;do if(_)ka=U&ia;else{if(ia>>>0<A>>>0){ka=ia;break}ka=(ia>>>0)%(A>>>0)|0}while(0);Z=f[(f[h>>2]|0)+(ka<<2)>>2]|0;if(!Z){ja=ka;break}Y=f[Z>>2]|0;if(!Y){ja=ka;break}Z=i?f[C+4>>2]|0:e&255;V=(Z|0)==0;if(_){if(V){W=Y;while(1){aa=f[W+4>>2]|0;if(!((aa|0)==(ia|0)|(aa&U|0)==(ka|0))){ja=ka;break d}aa=b[W+8+11>>0]|0;if(!((aa<<24>>24<0?f[W+12>>2]|0:aa&255)|0))break c;W=f[W>>2]|0;if(!W){ja=ka;break d}}}else la=Y;while(1){W=f[la+4>>2]|0;if(!((W|0)==(ia|0)|(W&U|0)==(ka|0))){ja=ka;break d}W=la+8|0;_=b[W+11>>0]|0;aa=_<<24>>24<0;$=_&255;do if(((aa?f[la+12>>2]|0:$)|0)==(Z|0)){_=f[W>>2]|0;if(aa)if(!(gac(_,I,Z)|0))break c;else break;if((_&255)<<24>>24!=z<<24>>24)break;_=W;ea=$;da=I;do{ea=ea+-1|0;_=_+1|0;if(!ea)break c;da=da+1|0}while((b[_>>0]|0)==(b[da>>0]|0))}while(0);la=f[la>>2]|0;if(!la){ja=ka;break d}}}if(V){U=Y;while(1){$=f[U+4>>2]|0;if(($|0)!=(ia|0)){if($>>>0<A>>>0)ma=$;else ma=($>>>0)%(A>>>0)|0;if((ma|0)!=(ka|0)){ja=ka;break d}}$=b[U+8+11>>0]|0;if(!(($<<24>>24<0?f[U+12>>2]|0:$&255)|0))break c;U=f[U>>2]|0;if(!U){ja=ka;break d}}}else na=Y;while(1){U=f[na+4>>2]|0;if((U|0)!=(ia|0)){if(U>>>0<A>>>0)oa=U;else oa=(U>>>0)%(A>>>0)|0;if((oa|0)!=(ka|0)){ja=ka;break d}}U=na+8|0;V=b[U+11>>0]|0;$=V<<24>>24<0;W=V&255;do if((($?f[na+12>>2]|0:W)|0)==(Z|0)){V=f[U>>2]|0;if($)if(!(gac(V,I,Z)|0))break c;else break;if((V&255)<<24>>24!=z<<24>>24)break;V=U;aa=W;da=I;do{aa=aa+-1|0;V=V+1|0;if(!aa)break c;da=da+1|0}while((b[V>>0]|0)==(b[da>>0]|0))}while(0);na=f[na>>2]|0;if(!na){ja=ka;break}}}while(0);I=Bmc(20)|0;Nmc(I+8|0,C);f[I+4>>2]=ia;f[I>>2]=0;pa=+(((f[ca>>2]|0)+1|0)>>>0);qa=+n[ha>>2];do if(T|pa>+(A>>>0)*qa){z=(A>>>0<3|(A+-1&A|0)!=0)&1|A<<1;e=~~+X(+(pa/qa))>>>0;yFb(h,z>>>0<e>>>0?e:z);z=f[R>>2]|0;e=z+-1|0;if(!(e&z)){ra=z;sa=e&ia;break}if(ia>>>0<z>>>0){ra=z;sa=ia;break}ra=z;sa=(ia>>>0)%(z>>>0)|0}else{ra=A;sa=ja}while(0);A=(f[h>>2]|0)+(sa<<2)|0;T=f[A>>2]|0;do if(!T){f[I>>2]=f[d>>2];f[d>>2]=I;f[A>>2]=d;z=f[I>>2]|0;if(!z)break;e=f[z+4>>2]|0;z=ra+-1|0;do if(!(z&ra))ta=e&z;else{if(e>>>0<ra>>>0){ta=e;break}ta=(e>>>0)%(ra>>>0)|0}while(0);ua=(f[h>>2]|0)+(ta<<2)|0;va=122}else{f[I>>2]=f[T>>2];ua=T;va=122}while(0);if((va|0)==122){va=0;f[ua>>2]=I}f[ca>>2]=(f[ca>>2]|0)+1}while(0);N=N+1|0}while((N|0)<(f[M>>2]|0))}if((f[y>>2]|0)>0){M=c+28|0;N=k+4|0;ca=l+4|0;ua=m+4|0;va=o+4|0;ta=p+4|0;ra=q+4|0;d=r+4|0;sa=s+4|0;ja=t+4|0;ia=v+4|0;R=j+11|0;ha=c+44|0;c=k+4|0;ka=l+8|0;na=l+4|0;oa=m+4|0;ma=o+4|0;la=p+4|0;w=q+4|0;H=r+4|0;G=s+4|0;J=t+4|0;E=v+4|0;L=j+11|0;K=0;do{O=f[x>>2]|0;P=O+(K*20|0)|0;Q=f[F>>2]|0;if((Q|0)>0){B=O+(K*20|0)+8|0;S=O+(K*20|0)+4|0;C=0;T=Q;while(1){Q=f[D>>2]|0;A=f[B>>2]|0;do if((f[Q+(C<<3)>>2]|0)>(A|0))wa=T;else{if((A|0)>(f[Q+(C<<3)+4>>2]|0)){wa=T;break}e=f[S>>2]|0;z=f[(f[ha>>2]|0)+4+(C<<2)>>2]|0;i=f[P>>2]|0;Z=b[i+11>>0]|0;Y=Z<<24>>24<0;f[k>>2]=Y?f[i>>2]|0:i;f[c>>2]=Y?f[i+4>>2]|0:Z&255;Z=A6b(A,ka)|0;f[l>>2]=Z;i=s8b(Z)|0;f[na>>2]=i;f[m>>2]=0;f[oa>>2]=-1;f[o>>2]=0;f[ma>>2]=-1;f[p>>2]=0;f[la>>2]=-1;f[q>>2]=0;f[w>>2]=-1;f[r>>2]=0;f[H>>2]=-1;f[s>>2]=0;f[G>>2]=-1;f[t>>2]=0;f[J>>2]=-1;f[v>>2]=0;f[E>>2]=-1;h2b(j,491896,k,l,m,o,p,q,r,s,t,v);NFb(a,e,z,1,j);if((b[L>>0]|0)<0)Emc(f[j>>2]|0);wa=f[F>>2]|0}while(0);C=C+1|0;if((C|0)>=(wa|0)){xa=P;break}else T=wa}}else xa=P;if(eIb(h,f[xa>>2]|0)|0?(T=f[O+(K*20|0)+4>>2]|0,C=f[(f[M>>2]|0)+4+(K<<2)>>2]|0,S=f[xa>>2]|0,B=b[S+11>>0]|0,A=B<<24>>24<0,f[k>>2]=A?f[S>>2]|0:S,f[N>>2]=A?f[S+4>>2]|0:B&255,f[l>>2]=0,f[ca>>2]=-1,f[m>>2]=0,f[ua>>2]=-1,f[o>>2]=0,f[va>>2]=-1,f[p>>2]=0,f[ta>>2]=-1,f[q>>2]=0,f[ra>>2]=-1,f[r>>2]=0,f[d>>2]=-1,f[s>>2]=0,f[sa>>2]=-1,f[t>>2]=0,f[ja>>2]=-1,f[v>>2]=0,f[ia>>2]=-1,h2b(j,491937,k,l,m,o,p,q,r,s,t,v),NFb(a,T,C,0,j),(b[R>>0]|0)<0):0)Emc(f[j>>2]|0);K=K+1|0}while((K|0)<(f[y>>2]|0))}y=f[h+8>>2]|0;if(y|0){K=y;do{y=K;K=f[K>>2]|0;j=y+8|0;if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);Emc(y)}while((K|0)!=0)}K=f[h>>2]|0;f[h>>2]=0;if(!K){u=g;return}Emc(K);u=g;return}function $Fb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=u;u=u+16|0;g=d+8|0;h=d;i=a+4|0;j=f[i>>2]|0;k=a+40|0;l=f[(f[k>>2]|0)+4>>2]|0;m=Bmc(12)|0;Nmc(m,l);f[g>>2]=m;l=j+76|0;n=f[l>>2]|0;if((n|0)==(f[j+80>>2]|0))OFb(j+72|0,g);else{f[n>>2]=m;f[l>>2]=(f[l>>2]|0)+4}l=f[g>>2]|0;m=b[l+11>>0]|0;if(m<<24>>24<0)o=f[l+4>>2]|0;else o=m&255;if(o|0)Xmc(l,1,46)|0;o=c+32|0;m=f[o>>2]|0;n=b[m+11>>0]|0;j=n<<24>>24<0;$mc(l,j?f[m>>2]|0:m,j?f[m+4>>2]|0:n&255)|0;VHb(a,f[o>>2]|0,l,c);n=f[i>>2]|0;m=f[o>>2]|0;o=Bmc(12)|0;Nmc(o,m);f[g>>2]=o;m=n+76|0;j=f[m>>2]|0;if((j|0)==(f[n+80>>2]|0))OFb(n+72|0,g);else{f[j>>2]=o;f[m>>2]=(f[m>>2]|0)+4}f[e>>2]=f[g>>2];m=e+4|0;f[m>>2]=l;f[e+8>>2]=f[k>>2];k=c+20|0;l=f[k>>2]|0;f[e+20>>2]=l;o=e+16|0;j=f[i>>2]|0;i=l*52|0;if(!i){p=0;q=l}else{l=Bmc(i)|0;f[g>>2]=l;i=j+124|0;n=f[i>>2]|0;if((n|0)==(f[j+128>>2]|0))LR(j+120|0,g);else{f[n>>2]=l;f[i>>2]=(f[i>>2]|0)+4}p=f[g>>2]|0;q=f[k>>2]|0}f[o>>2]=p;if((q|0)>0?(q=c+28|0,_Hb(a,f[(f[q>>2]|0)+4>>2]|0,e,p),(f[k>>2]|0)>1):0){p=1;do{_Hb(a,f[(f[q>>2]|0)+4+(p<<2)>>2]|0,e,(f[o>>2]|0)+(p*52|0)|0);p=p+1|0}while((p|0)<(f[k>>2]|0))}if(!(f[c+8>>2]&2)){f[e+12>>2]=0;r=f[m>>2]|0;s=f[e>>2]|0;f[h>>2]=6;t=h+4|0;f[t>>2]=e;f[g>>2]=f[h>>2];f[g+4>>2]=f[h+4>>2];XHb(a,r,0,s,c,g)|0;u=d;return}else{k=f[c+36>>2]|0;p=f[m>>2]|0;$Hb(a,p,p,k|0?k:536528,e);r=f[m>>2]|0;s=f[e>>2]|0;f[h>>2]=6;t=h+4|0;f[t>>2]=e;f[g>>2]=f[h>>2];f[g+4>>2]=f[h+4>>2];XHb(a,r,0,s,c,g)|0;u=d;return}}function aGb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0.0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0.0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0;h=u;u=u+448|0;i=h+424|0;j=h+400|0;k=h+360|0;l=h+320|0;m=h+280|0;o=h+240|0;q=h+200|0;r=h+160|0;s=h+120|0;t=h+80|0;v=h+40|0;w=h;x=h+416|0;if(!d)y=(f[a+40>>2]|0)+4|0;else y=d+4|0;z=f[y>>2]|0;y=a+4|0;A=f[y>>2]|0;B=Bmc(12)|0;Nmc(B,z);f[i>>2]=B;z=A+76|0;E=f[z>>2]|0;if((E|0)==(f[A+80>>2]|0))OFb(A+72|0,i);else{f[E>>2]=B;f[z>>2]=(f[z>>2]|0)+4}z=f[i>>2]|0;B=b[z+11>>0]|0;if(B<<24>>24<0)F=f[z+4>>2]|0;else F=B&255;if(F|0)Xmc(z,1,46)|0;F=c+16|0;B=f[F>>2]|0;E=b[B+11>>0]|0;A=E<<24>>24<0;$mc(z,A?f[B>>2]|0:B,A?f[B+4>>2]|0:E&255)|0;VHb(a,f[F>>2]|0,z,c);E=f[y>>2]|0;B=f[F>>2]|0;A=Bmc(12)|0;Nmc(A,B);f[i>>2]=A;B=E+76|0;G=f[B>>2]|0;if((G|0)==(f[E+80>>2]|0))OFb(E+72|0,i);else{f[G>>2]=A;f[B>>2]=(f[B>>2]|0)+4}f[e>>2]=f[i>>2];B=e+4|0;f[B>>2]=z;f[e+20>>2]=f[a+40>>2];z=e+40|0;f[z>>2]=f[c+40>>2];A=e+38|0;b[A>>0]=g&1;Nmc(j,f[F>>2]|0);G=j+11|0;E=b[G>>0]|0;H=E<<24>>24<0;I=f[j>>2]|0;K=j+4|0;L=f[K>>2]|0;M=H?I+L|0:j+(E&255)|0;N=H?I:j;if((N|0)==(M|0)){O=L;P=E}else{E=N;do{N=b[E>>0]|0;if((N+-65&255)<26)b[E>>0]=(N&255)+32;E=E+1|0}while((E|0)!=(M|0));O=f[K>>2]|0;P=b[G>>0]|0}K=f[F>>2]|0;M=P<<24>>24<0;E=P&255;P=M?O:E;O=b[K+11>>0]|0;N=O<<24>>24<0;a:do if((P|0)==((N?f[K+4>>2]|0:O&255)|0)){L=f[j>>2]|0;I=M?L:j;H=N?f[K>>2]|0:K;Q=(P|0)==0;b:do if(M){if(!Q?gac(I,H,P)|0:0){R=29;break a}}else if(!Q){if((L&255)<<24>>24==(b[H>>0]|0)){S=j;T=E;U=H}else{R=29;break a}while(1){T=T+-1|0;S=S+1|0;if(!T)break b;U=U+1|0;if((b[S>>0]|0)!=(b[U>>0]|0)){R=29;break a}}}while(0);V=f[e>>2]|0;W=K}else R=29;while(0);if((R|0)==29){K=f[y>>2]|0;U=Bmc(12)|0;Nmc(U,j);f[i>>2]=U;S=K+76|0;T=f[S>>2]|0;if((T|0)==(f[K+80>>2]|0))OFb(K+72|0,i);else{f[T>>2]=U;f[S>>2]=(f[S>>2]|0)+4}V=f[i>>2]|0;W=f[F>>2]|0}f[e+8>>2]=V;V=f[y>>2]|0;FGb(k,W,1);W=Bmc(12)|0;Nmc(W,k);f[i>>2]=W;S=V+76|0;U=f[S>>2]|0;if((U|0)==(f[V+80>>2]|0))OFb(V+72|0,i);else{f[U>>2]=W;f[S>>2]=(f[S>>2]|0)+4}f[e+12>>2]=f[i>>2];if((b[k+11>>0]|0)<0)Emc(f[k>>2]|0);S=c+8|0;W=e+37|0;if(!(f[S>>2]&16)){b[W>>0]=0;U=f[y>>2]|0;V=f[F>>2]|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;F=V+11|0;T=b[F>>0]|0;K=V+4|0;Umc(k,T<<24>>24<0?f[K>>2]|0:T&255);T=b[F>>0]|0;if((T<<24>>24<0?f[K>>2]|0:T&255)|0){E=0;P=0;M=T;while(1){T=b[(M<<24>>24<0?f[V>>2]|0:V)+P>>0]|0;do if(T<<24>>24!=95)if(E){N=T<<24>>24;bnc(k,((T+-97&255)<26?N+224|0:N)&255);X=0;break}else{bnc(k,T);X=0;break}else X=1;while(0);P=P+1|0;M=b[F>>0]|0;if(P>>>0>=(M<<24>>24<0?f[K>>2]|0:M&255)>>>0)break;else E=X}}X=Bmc(12)|0;Nmc(X,k);f[i>>2]=X;E=U+76|0;M=f[E>>2]|0;if((M|0)==(f[U+80>>2]|0))OFb(U+72|0,i);else{f[M>>2]=X;f[E>>2]=(f[E>>2]|0)+4}f[e+16>>2]=f[i>>2];if((b[k+11>>0]|0)<0)Emc(f[k>>2]|0)}else{b[W>>0]=1;W=f[y>>2]|0;E=f[c+32>>2]|0;X=Bmc(12)|0;Nmc(X,E);f[i>>2]=X;E=W+76|0;M=f[E>>2]|0;if((M|0)==(f[W+80>>2]|0))OFb(W+72|0,i);else{f[M>>2]=X;f[E>>2]=(f[E>>2]|0)+4}f[e+16>>2]=f[i>>2]}E=e+28|0;f[E>>2]=f[c+52>>2];X=f[c+48>>2]|0;M=e+32|0;f[M>>2]=X;if((X|0)==2&(b[A>>0]|0)!=0)MFb(a,f[B>>2]|0,c,2,490863);A=e+48|0;f[A>>2]=0;X=e+56|0;f[X>>2]=0;f[e+60>>2]=0;f[e+64>>2]=0;f[e+72>>2]=0;W=e+24|0;f[W>>2]=0;U=e+80|0;f[U>>2]=0;f[e+76>>2]=0;K=f[S>>2]|0;P=e+36|0;b[P>>0]=K>>>3&1;if((K&8|0)!=0?(f[M>>2]|0)==3:0){MFb(a,f[B>>2]|0,c,4,490911);Y=f[S>>2]|0}else Y=K;c:do if(Y&512|0){if(!(Y&8)){K=f[W>>2]|0;if(K|0?(f[K>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=e;dEb(K,i)}switch(f[149940+(f[E>>2]<<2)>>2]|0){case 1:{f[U>>2]=0;break c;break}case 2:{K=U;f[K>>2]=0;f[K+4>>2]=0;break c;break}case 3:{f[U>>2]=0;break c;break}case 4:{K=U;f[K>>2]=0;f[K+4>>2]=0;break c;break}case 6:{n[U>>2]=0.0;break c;break}case 5:{p[U>>3]=0.0;break c;break}case 7:{b[U>>0]=0;break c;break}case 8:{f[U>>2]=0;break c;break}case 9:{if((f[222908]|0)!=2){f[i>>2]=149752;f[i+4>>2]=125;b[i+8>>0]=0;dEb(891632,i);zDb(i)}f[U>>2]=535416;break c;break}default:break c}}f[k>>2]=0;K=f[W>>2]|0;if(K|0?(f[K>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=e;dEb(K,i)}d:do switch(f[149940+(f[E>>2]<<2)>>2]|0){case 1:{K=f[c+28>>2]|0;if((b[K+11>>0]|0)<0)Z=f[K>>2]|0;else Z=K;K=eac(Z,k,0)|0;f[U>>2]=K;break}case 2:{K=f[c+28>>2]|0;if((b[K+11>>0]|0)<0)_=f[K>>2]|0;else _=K;K=dac(_,k,0)|0;M=U;f[M>>2]=K;f[M+4>>2]=J;break}case 3:{M=f[c+28>>2]|0;if((b[M+11>>0]|0)<0)$=f[M>>2]|0;else $=M;M=n9b($,k,0)|0;f[U>>2]=M;break}case 4:{M=f[c+28>>2]|0;if((b[M+11>>0]|0)<0)aa=f[M>>2]|0;else aa=M;M=cac(aa,k,0)|0;K=U;f[K>>2]=M;f[K+4>>2]=J;break}case 6:{K=c+28|0;M=f[K>>2]|0;F=b[M+11>>0]|0;V=f[M+4>>2]|0;if(((F<<24>>24<0?V:F&255)|0)==3)if(!(knc(M,0,-1,517449,3)|0))ba=D;else{T=f[K>>2]|0;ca=b[T+11>>0]|0;da=f[T+4>>2]|0;ea=T;R=86}else{ca=F;da=V;ea=M;R=86}do if((R|0)==86){if(((ca<<24>>24<0?da:ca&255)|0)==4){if(!(knc(ea,0,-1,515922,4)|0)){ba=-D;break}M=f[K>>2]|0;fa=b[M+11>>0]|0;ga=f[M+4>>2]|0;ha=M}else{fa=ca;ga=da;ha=ea}if(((fa<<24>>24<0?ga:fa&255)|0)==3){if(!(knc(ha,0,-1,519378,3)|0)){ba=C;break}M=f[K>>2]|0;ia=b[M+11>>0]|0;ja=M}else{ia=fa;ja=ha}if(ia<<24>>24<0)ka=f[ja>>2]|0;else ka=ja;ba=+EYb(+CYb(ka,k))}while(0);n[U>>2]=ba;break}case 5:{K=c+28|0;M=f[K>>2]|0;V=b[M+11>>0]|0;F=f[M+4>>2]|0;if(((V<<24>>24<0?F:V&255)|0)==3)if(!(knc(M,0,-1,517449,3)|0))la=D;else{T=f[K>>2]|0;ma=b[T+11>>0]|0;na=f[T+4>>2]|0;oa=T;R=100}else{ma=V;na=F;oa=M;R=100}do if((R|0)==100){if(((ma<<24>>24<0?na:ma&255)|0)==4){if(!(knc(oa,0,-1,515922,4)|0)){la=-D;break}M=f[K>>2]|0;pa=b[M+11>>0]|0;qa=f[M+4>>2]|0;ra=M}else{pa=ma;qa=na;ra=oa}if(((pa<<24>>24<0?qa:pa&255)|0)==3){if(!(knc(ra,0,-1,519378,3)|0)){la=C;break}M=f[K>>2]|0;sa=b[M+11>>0]|0;ta=M}else{sa=pa;ta=ra}if(sa<<24>>24<0)ua=f[ta>>2]|0;else ua=ta;la=+CYb(ua,k)}while(0);p[U>>3]=la;break}case 7:{K=c+28|0;M=f[K>>2]|0;F=b[M+11>>0]|0;V=f[M+4>>2]|0;do if(((F<<24>>24<0?V:F&255)|0)==4)if(!(knc(M,0,-1,524521,4)|0)){b[U>>0]=1;break d}else{T=f[K>>2]|0;va=b[T+11>>0]|0;wa=f[T+4>>2]|0;xa=T;break}else{va=F;wa=V;xa=M}while(0);do if(((va<<24>>24<0?wa:va&255)|0)==5){if(knc(xa,0,-1,524515,5)|0)break;b[U>>0]=0;break d}while(0);MFb(a,f[B>>2]|0,c,4,490954);break}case 8:{f[U>>2]=0;break}case 9:{M=f[W>>2]|0;if(M|0?(f[M>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=e;dEb(M,i)}M=f[y>>2]|0;if((f[E>>2]|0)!=12){V=f[c+28>>2]|0;F=Bmc(12)|0;Nmc(F,V);f[i>>2]=F;V=M+76|0;K=f[V>>2]|0;if((K|0)==(f[M+80>>2]|0))OFb(M+72|0,i);else{f[K>>2]=F;f[V>>2]=(f[V>>2]|0)+4}f[U>>2]=f[i>>2];break d}w6b(l,f[c+28>>2]|0);V=Bmc(12)|0;Nmc(V,l);f[i>>2]=V;F=M+76|0;K=f[F>>2]|0;if((K|0)==(f[M+80>>2]|0))OFb(M+72|0,i);else{f[K>>2]=V;f[F>>2]=(f[F>>2]|0)+4}f[U>>2]=f[i>>2];if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0);break}case 10:{MFb(a,f[B>>2]|0,c,4,490277);b[P>>0]=0;break}default:{}}while(0);F=f[k>>2]|0;do if(F|0){V=f[c+28>>2]|0;K=b[V+11>>0]|0;if(K<<24>>24<0)ya=f[V+4>>2]|0;else ya=K&255;if(ya|0?(b[F>>0]|0)==0:0)break;K=f[B>>2]|0;bza(l,490993,V);pza(i,l,510410);NFb(a,K,c,4,i);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0)}while(0)}while(0);ya=f[z>>2]|0;do if((ya|0)>=1){if((ya|0)>536870911&(g^1)){z=f[B>>2]|0;P=A6b(536870911,k+8|0)|0;f[k>>2]=P;U=s8b(P)|0;f[k+4>>2]=U;f[l>>2]=0;f[l+4>>2]=-1;f[m>>2]=0;f[m+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;f[t>>2]=0;f[t+4>>2]=-1;f[v>>2]=0;f[v+4>>2]=-1;f[w>>2]=0;f[w+4>>2]=-1;h2b(i,491065,k,l,m,o,q,r,s,t,v,w);NFb(a,z,c,1,i);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);break}if((ya+-19e3|0)>>>0<1e3?(z=f[B>>2]|0,U=A6b(19e3,k+8|0)|0,f[k>>2]=U,P=s8b(U)|0,f[k+4>>2]=P,P=A6b(19999,l+8|0)|0,f[l>>2]=P,U=s8b(P)|0,f[l+4>>2]=U,f[m>>2]=0,f[m+4>>2]=-1,f[o>>2]=0,f[o+4>>2]=-1,f[q>>2]=0,f[q+4>>2]=-1,f[r>>2]=0,f[r+4>>2]=-1,f[s>>2]=0,f[s+4>>2]=-1,f[t>>2]=0,f[t+4>>2]=-1,f[v>>2]=0,f[v+4>>2]=-1,f[w>>2]=0,f[w+4>>2]=-1,h2b(i,491106,k,l,m,o,q,r,s,t,v,w),NFb(a,z,c,1,i),(b[i+11>>0]|0)<0):0)Emc(f[i>>2]|0)}else MFb(a,f[B>>2]|0,c,1,491024);while(0);ya=f[S>>2]|0;z=(ya&2|0)!=0;e:do if(g){if(z)za=ya;else{MFb(a,f[B>>2]|0,c,3,491195);za=f[S>>2]|0}f[X>>2]=d;if(!(za&128))Aa=0;else{MFb(a,f[B>>2]|0,c,9,491254);Aa=0}}else{if(z){MFb(a,f[B>>2]|0,c,3,491321);Ba=f[S>>2]|0}else Ba=ya;f[A>>2]=d;if(!(Ba&128))Aa=0;else{U=f[c+44>>2]|0;do if((U|0)>=0){if((U|0)>=(f[d+56>>2]|0))break;Aa=(f[d+24>>2]|0)+(U*28|0)|0;break e}while(0);P=f[B>>2]|0;E=A6b(U,k+8|0)|0;f[k>>2]=E;y=s8b(E)|0;f[k+4>>2]=y;y=f[d>>2]|0;E=b[y+11>>0]|0;W=E<<24>>24<0;f[l>>2]=W?f[y>>2]|0:y;f[l+4>>2]=W?f[y+4>>2]|0:E&255;f[m>>2]=0;f[m+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;f[t>>2]=0;f[t+4>>2]=-1;f[v>>2]=0;f[v+4>>2]=-1;f[w>>2]=0;f[w+4>>2]=-1;h2b(i,491380,k,l,m,o,q,r,s,t,v,w);NFb(a,P,c,9,i);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);Aa=0}}while(0);f[e+52>>2]=Aa;if(!(f[S>>2]&32))f[e+68>>2]=0;else{S=f[c+36>>2]|0;Aa=f[B>>2]|0;WHb(a,Aa,Aa,S|0?S:536304,e)}S=f[B>>2]|0;B=f[e>>2]|0;f[x>>2]=2;f[x+4>>2]=e;f[i>>2]=f[x>>2];f[i+4>>2]=f[x+4>>2];XHb(a,S,d,B,c,i)|0;if((b[G>>0]|0)>=0){u=h;return}Emc(f[j>>2]|0);u=h;return}function bGb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;h=u;u=u+32|0;i=h;j=f[a+4>>2]|0;k=Bmc(96)|0;nPb(k);f[i>>2]=k;l=j+88|0;m=f[l>>2]|0;if((m|0)==(f[j+92>>2]|0))KFb(j+84|0,i);else{f[m>>2]=k;f[l>>2]=(f[l>>2]|0)+4}rDb(i,e);kDb(k,i)|0;if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);f[g+84>>2]=k;if((f[k+36>>2]|0)<=0){u=h;return}g=a+12|0;Nmc(i,c);c=i+12|0;Nmc(c,d);d=i+24|0;f[d>>2]=e;f[i+28>>2]=k;k=a+16|0;e=f[k>>2]|0;l=a+20|0;a=f[l>>2]|0;m=a;if((e|0)==(a|0)){a=f[g>>2]|0;j=e-a>>5;n=j+1|0;if(n>>>0>134217727)Ukc(g);o=m-a|0;a=o>>4;m=o>>5>>>0<67108863?(a>>>0<n>>>0?n:a):134217727;do if(m)if(m>>>0>134217727){a=ye(8)|0;Jmc(a,511852);f[a>>2]=165276;Gf(a|0,26776,1555)}else{p=Bmc(m<<5)|0;break}else p=0;while(0);a=p+(j<<5)|0;n=a;o=p+(m<<5)|0;Nmc(a,i);Nmc(p+(j<<5)+12|0,c);m=d;q=f[m+4>>2]|0;r=p+(j<<5)+24|0;f[r>>2]=f[m>>2];f[r+4>>2]=q;q=a+32|0;r=f[g>>2]|0;m=f[k>>2]|0;if((m|0)==(r|0)){s=n;t=r;v=r}else{j=m;m=n;n=a;do{a=j;j=j+-32|0;Nmc(n+-32|0,j);Nmc(n+-20|0,a+-20|0);p=a+-8|0;a=f[p+4>>2]|0;w=n+-8|0;f[w>>2]=f[p>>2];f[w+4>>2]=a;n=m+-32|0;m=n}while((j|0)!=(r|0));s=m;t=f[g>>2]|0;v=f[k>>2]|0}f[g>>2]=s;f[k>>2]=q;f[l>>2]=o;o=t;if((v|0)!=(o|0)){l=v;do{v=l+-20|0;l=l+-32|0;if((b[v+11>>0]|0)<0)Emc(f[v>>2]|0);if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0)}while((l|0)!=(o|0))}if(t|0)Emc(t)}else{Nmc(e,i);Nmc(e+12|0,c);t=d;d=f[t+4>>2]|0;o=e+24|0;f[o>>2]=f[t>>2];f[o+4>>2]=d;f[k>>2]=(f[k>>2]|0)+32}if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);u=h;return}function cGb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=b+84|0;if(!(f[d>>2]|0)){e=yUb()|0;f[d>>2]=e}e=b+28|0;if((f[e>>2]|0)>0){d=b+68|0;g=c+44|0;h=0;do{JHb(a,(f[d>>2]|0)+(h*88|0)|0,f[(f[g>>2]|0)+4+(h<<2)>>2]|0);h=h+1|0}while((h|0)<(f[e>>2]|0))}e=b+40|0;if((f[e>>2]|0)>0){h=b+80|0;g=c+92|0;d=0;do{KHb(a,(f[h>>2]|0)+(d*88|0)|0,f[(f[g>>2]|0)+4+(d<<2)>>2]|0);d=d+1|0}while((d|0)<(f[e>>2]|0))}e=b+32|0;if((f[e>>2]|0)>0){d=b+72|0;g=0;do{h=f[d>>2]|0;i=h+(g*48|0)+16|0;if(!(f[i>>2]|0)){j=GUb()|0;f[i>>2]=j}j=h+(g*48|0)+24|0;i=f[j>>2]|0;if((i|0)>0){k=h+(g*48|0)+28|0;h=0;l=i;while(1){i=(f[k>>2]|0)+(h*20|0)+16|0;if(!(f[i>>2]|0)){m=IUb()|0;f[i>>2]=m;n=f[j>>2]|0}else n=l;h=h+1|0;if((h|0)>=(n|0))break;else l=n}}g=g+1|0}while((g|0)<(f[e>>2]|0))}e=b+36|0;if((f[e>>2]|0)<=0)return;g=b+76|0;b=c+76|0;c=0;do{n=f[g>>2]|0;d=f[(f[b>>2]|0)+4+(c<<2)>>2]|0;l=n+(c*24|0)+12|0;if(!(f[l>>2]|0)){h=KUb()|0;f[l>>2]=h}h=n+(c*24|0)+20|0;if((f[h>>2]|0)>0){l=n+(c*24|0)+16|0;n=d+28|0;d=0;do{LHb(a,(f[l>>2]|0)+(d*52|0)|0,f[(f[n>>2]|0)+4+(d<<2)>>2]|0);d=d+1|0}while((d|0)<(f[h>>2]|0))}c=c+1|0}while((c|0)<(f[e>>2]|0));return}function dGb(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+32|0;d=c;f[a>>2]=b;MVb(a+12|0);if(f[a>>2]|0){u=c;return}TDb(d,3,483670,6223);QDb(c+24|0,ODb(d,489579)|0);UDb(d);u=c;return}function eGb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=(b[e+11>>0]|0)<0?f[e>>2]|0:e;e=d*65535|0;h=b[g>>0]|0;if(!(h<<24>>24))i=0;else{j=g;k=0;l=h;while(1){h=(k*5|0)+(l<<24>>24)|0;j=j+1|0;l=b[j>>0]|0;if(!(l<<24>>24)){i=h;break}else k=h}}k=i+e|0;e=f[c+4>>2]|0;a:do if(e|0){i=e+-1|0;l=(i&e|0)==0;if(!l)if(k>>>0<e>>>0)m=k;else m=(k>>>0)%(e>>>0)|0;else m=i&k;j=f[(f[c>>2]|0)+(m<<2)>>2]|0;if(j|0?(h=f[j>>2]|0,h|0):0){b:do if(l){j=h;while(1){n=f[j+4>>2]|0;o=(k|0)==(n|0);if(!(o|(n&i|0)==(m|0)))break a;if((o?(f[j+8>>2]|0)==(d|0):0)?(o7b(f[j+12>>2]|0,g)|0)==0:0){p=j;break b}j=f[j>>2]|0;if(!j)break a}}else{j=h;while(1){o=f[j+4>>2]|0;if((k|0)==(o|0)){if((f[j+8>>2]|0)==(d|0)?(o7b(f[j+12>>2]|0,g)|0)==0:0){p=j;break b}}else{if(o>>>0<e>>>0)q=o;else q=(o>>>0)%(e>>>0)|0;if((q|0)!=(m|0))break a}j=f[j>>2]|0;if(!j)break a}}while(0);h=p+16|0;i=f[h+4>>2]|0;l=a;f[l>>2]=f[h>>2];f[l+4>>2]=i;return}}while(0);p=a;f[p>>2]=0;f[p+4>>2]=0;return}function fGb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0;d=u;u=u+240|0;e=d+32|0;g=d+8|0;h=d;i=d+200|0;j=d+226|0;k=d+192|0;l=d+176|0;m=d+136|0;n=d+96|0;o=d+84|0;p=d+72|0;q=d+60|0;r=d+48|0;s=d+196|0;t=d+188|0;v=d+152|0;w=d+225|0;x=d+112|0;y=d+224|0;z=a+8|0;A=f[z>>2]|0;if(!(f[A+20>>2]|0)){B=Bmc(32)|0;f[e>>2]=B;f[e+8>>2]=-2147483616;f[e+4>>2]=24;C=B;D=486845;E=C+24|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));b[B+24>>0]=0;NFb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,A,7,e);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);F=0;u=d;return F|0}B=f[(f[(f[A+28>>2]|0)+4>>2]|0)+16>>2]|0;A=b[B+11>>0]|0;if(((A<<24>>24<0?f[B+4>>2]|0:A&255)|0)==20?(knc(B,0,-1,483961,20)|0)==0:0){B=Bmc(64)|0;f[e>>2]=B;f[e+8>>2]=-2147483584;f[e+4>>2]=57;C=B;D=486870;E=C+57|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));b[B+57>>0]=0;NFb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[z>>2]|0,7,e);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);F=0;u=d;return F|0}B=f[a>>2]|0;xh[f[(f[c>>2]|0)+96>>2]&2047](e,c);HGb(h,B,f[B>>2]|0,f[(f[e>>2]|0)+4>>2]|0,1);if((f[h>>2]|0)==1)G=f[h+4>>2]|0;else{xh[f[(f[c>>2]|0)+96>>2]&2047](e,c);G=f[e>>2]|0}if(!G){TDb(i,3,483670,6330);QDb(j,ODb(i,486928)|0);UDb(i)}f[k>>2]=0;f[l>>2]=0;i=l+4|0;f[i>>2]=0;f[l+8>>2]=0;j=m+11|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;B=f[z>>2]|0;do if((f[B+20>>2]|0)>0){D=m+4|0;C=l+8|0;E=e+4|0;A=e+8|0;H=e+12|0;I=e+4|0;J=e+8|0;K=e+12|0;L=e+11|0;M=e+4|0;N=g+11|0;O=a+4|0;P=0;Q=G;R=B;S=0;T=0;U=G;while(1){V=f[(f[R+28>>2]|0)+4+(P<<2)>>2]|0;W=f[V+16>>2]|0;if(!((S<<24>>24<0?T:S&255)|0))X=V;else{anc(m,523604)|0;X=f[(f[(f[z>>2]|0)+28>>2]|0)+4+(P<<2)>>2]|0}do if(b[X+20>>0]|0){bza(g,523315,W);pza(e,g,523313);V=b[L>>0]|0;Y=V<<24>>24<0;$mc(m,Y?f[e>>2]|0:e,Y?f[M>>2]|0:V&255)|0;if((b[L>>0]|0)<0)Emc(f[e>>2]|0);if((b[N>>0]|0)<0)Emc(f[g>>2]|0);V=f[a>>2]|0;IGb(g,V,W,f[O>>2]|0,0,1);if((f[g>>2]|0)==0?(Y=f[V>>2]|0,b[Y+22>>0]|0):0){JGb(e,Y,W,0);Y=e;V=f[Y+4>>2]|0;Z=g;f[Z>>2]=f[Y>>2];f[Z+4>>2]=V}V=g;Z=f[V>>2]|0;Y=f[V+4>>2]|0;V=h;f[V>>2]=Z;f[V+4>>2]=Y;if((Z|0)==2){f[k>>2]=Y;_=Y;break}else{_=f[k>>2]|0;break}}else{Y=b[W+11>>0]|0;Z=Y<<24>>24<0;$mc(m,Z?f[W>>2]|0:W,Z?f[W+4>>2]|0:Y&255)|0;eGb(e,f[(f[Q+8>>2]|0)+88>>2]|0,U,W);Y=(f[e>>2]|0)==2;Z=e;V=Y?f[Z+4>>2]|0:0;if(!((Y?f[Z>>2]|0:0)|0))$=0;else $=b[V+38>>0]|0?0:V;f[k>>2]=$;_=$}while(0);if(!_){aa=34;break}ba=f[_+48>>2]|0;if((ba|0)!=(Q|0)){aa=61;break}W=f[z>>2]|0;V=f[W+20>>2]|0;if((P|0)<(V+-1|0)){Z=f[_+24>>2]|0;if(Z|0?(f[Z>>2]|0)!=2:0){f[e>>2]=110868;f[I>>2]=1634;b[J>>0]=0;f[K>>2]=_;dEb(Z,e)}if((f[_+28>>2]|1|0)!=11){aa=77;break}Z=f[k>>2]|0;if((f[Z+32>>2]|0)==3){aa=83;break}Y=f[i>>2]|0;if((Y|0)==(f[C>>2]|0))LGb(l,k);else{f[Y>>2]=Z;f[i>>2]=(f[i>>2]|0)+4}Z=f[k>>2]|0;Y=f[Z+24>>2]|0;if(Y|0?(f[Y>>2]|0)!=2:0){f[e>>2]=110868;f[E>>2]=1634;b[A>>0]=0;f[H>>2]=Z;dEb(Y,e)}Y=f[Z+60>>2]|0;Z=f[z>>2]|0;ca=Y;da=f[Z+20>>2]|0;ea=Z;fa=Y}else{ca=Q;da=V;ea=W;fa=U}W=P+1|0;if((W|0)>=(da|0)){aa=97;break}P=W;Q=ca;R=ea;S=b[j>>0]|0;T=f[D>>2]|0;U=fa}if((aa|0)==34){U=f[a>>2]|0;if(b[(f[U>>2]|0)+22>>0]|0){KGb(0,f[z>>2]|0,c);ga=1;break}D=b[U+88+11>>0]|0;if(D<<24>>24<0)ha=f[U+92>>2]|0;else ha=D&255;if(!ha){bza(g,486963,m);pza(e,g,487153);NFb(f[a>>2]|0,(f[O>>2]|0)+12|0,f[z>>2]|0,7,e);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);ga=0;break}bza(q,486963,m);pza(p,q,486972);JDa(o,p,(f[a>>2]|0)+88|0);pza(n,o,486992);Omc(r,m,1,-1,m);JDa(g,n,r);pza(e,g,487115);NFb(f[a>>2]|0,(f[O>>2]|0)+12|0,f[z>>2]|0,7,e);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if((b[r+11>>0]|0)<0)Emc(f[r>>2]|0);if((b[n+11>>0]|0)<0)Emc(f[n>>2]|0);if((b[o+11>>0]|0)<0)Emc(f[o>>2]|0);if((b[p+11>>0]|0)<0)Emc(f[p>>2]|0);if((b[q+11>>0]|0)<0)Emc(f[q>>2]|0);ga=0;break}else if((aa|0)==61){if(b[ba+84>>0]|0){KGb(0,f[z>>2]|0,c);ga=1;break}bza(o,487164,m);pza(n,o,487179);JDa(g,n,f[Q>>2]|0);pza(e,g,510410);NFb(f[a>>2]|0,(f[O>>2]|0)+12|0,f[z>>2]|0,7,e);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if((b[n+11>>0]|0)<0)Emc(f[n>>2]|0);if((b[o+11>>0]|0)<0)Emc(f[o>>2]|0);ga=0;break}else if((aa|0)==77){bza(g,486963,m);pza(e,g,487222);NFb(f[a>>2]|0,(f[O>>2]|0)+12|0,f[z>>2]|0,7,e);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);ga=0;break}else if((aa|0)==83){bza(g,487164,m);pza(e,g,487258);NFb(f[a>>2]|0,(f[O>>2]|0)+12|0,f[z>>2]|0,7,e);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);ga=0;break}else if((aa|0)==97){ia=f[k>>2]|0;aa=98;break}}else{ia=0;aa=98}while(0);do if((aa|0)==98){if((f[ia+32>>2]|0)!=3?(f[s>>2]=f[l>>2],f[t>>2]=f[i>>2],z=ci[f[(f[c>>2]|0)+92>>2]&1023](c)|0,o=Sh[f[(f[z>>2]|0)+8>>2]&511](z,c)|0,f[g>>2]=f[s>>2],f[e>>2]=f[t>>2],!(MGb(a,g,e,ia,m,o)|0)):0){ga=0;break}o=Bmc(4)|0;f[o>>2]=0;if(NGb(a,f[k>>2]|0,o)|0){z=f[i>>2]|0;a:do if((z|0)==(f[l>>2]|0)){ja=o;ka=o;aa=123}else{n=g+16|0;ba=e+4|0;q=e+8|0;p=e+12|0;r=o;ha=z;fa=o;ea=o;ca=o;da=o;_=o;$=o;b:while(1){la=Bmc(4)|0;f[la>>2]=0;ha=ha+-4|0;h=f[ha>>2]|0;X=f[h+24>>2]|0;if(X|0?(f[X>>2]|0)!=2:0){f[e>>2]=110868;f[ba>>2]=1634;b[q>>0]=0;f[p>>2]=h;dEb(X,e)}switch(f[h+28>>2]|0){case 11:{fDb(e,U3b(la,f[(f[ha>>2]|0)+40>>2]|0)|0);yCb(g,e);e4b(r,g);if(b[n>>0]|0){TDb(v,3,483670,6459);QDb(w,ODb(PDb(ODb(ODb(v,487354)|0,487386)|0,m)|0,510410)|0);UDb(v)}zCb(g);break}case 10:{O3b(V3b(la,f[(f[ha>>2]|0)+40>>2]|0)|0,r);break}default:break b}if((r|0)!=(la|0))if(!r){ma=la;na=la;oa=la;pa=la;qa=la;ra=la;sa=la}else{if(f[r>>2]|0)L3b(r);Emc(fa);ma=la;na=la;oa=la;pa=la;qa=la;ra=la;sa=la}else{ma=r;na=$;oa=_;pa=da;qa=ca;ra=ea;sa=fa}if((ha|0)==(f[l>>2]|0)){ja=qa;ka=ma;aa=123;break a}else{r=ma;fa=sa;ea=ra;ca=qa;da=pa;_=oa;$=na}}TDb(x,3,483670,6472);$=ODb(x,487442)|0;_=f[ha>>2]|0;da=f[_+24>>2]|0;if(da|0?(f[da>>2]|0)!=2:0){f[e>>2]=110868;f[e+4>>2]=1634;b[e+8>>0]=0;f[e+12>>2]=_;dEb(da,e)}QDb(y,RDb($,f[_+28>>2]|0)|0);UDb(x);if(f[la>>2]|0)L3b(la);Emc(la);ta=0;ua=r;va=ca}while(0);if((aa|0)==123){z=ci[f[(f[c>>2]|0)+92>>2]&1023](c)|0;O3b(Sh[f[(f[z>>2]|0)+12>>2]&511](z,c)|0,ka);ta=1;ua=ka;va=ja}if(!ua){ga=ta;break}else{wa=ta;xa=ua;ya=va}}else{wa=0;xa=o;ya=o}if(f[xa>>2]|0)L3b(xa);Emc(ya);ga=wa}while(0);if((b[j>>0]|0)<0)Emc(f[m>>2]|0);m=f[l>>2]|0;if(m|0){l=f[i>>2]|0;if((l|0)!=(m|0))f[i>>2]=l+(~((l+-4-m|0)>>>2)<<2);Emc(m)}F=ga;u=d;return F|0}function gGb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+32|0;h=g;i=f[a+8>>2]|0;if(!i){TDb(h,1,483670,3646);QDb(g+24|0,PDb(ODb(PDb(ODb(PDb(h,a+28|0)|0,523347)|0,b)|0,509871)|0,e)|0);UDb(h);u=g;return}else{Ug[f[(f[i>>2]|0)+12>>2]&127](i,a+28|0,b,c,d,e);u=g;return}}function hGb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=u;u=u+48|0;g=e+24|0;h=e+12|0;i=e;j=c+28|0;if((f[j>>2]|0)>0){k=c+68|0;l=d+44|0;m=0;do{oGb(a,(f[k>>2]|0)+(m*88|0)|0,f[(f[l>>2]|0)+4+(m<<2)>>2]|0);m=m+1|0}while((m|0)<(f[j>>2]|0))}j=c+32|0;if((f[j>>2]|0)>0){m=c+72|0;l=d+60|0;k=0;do{pGb(a,(f[m>>2]|0)+(k*48|0)|0,f[(f[l>>2]|0)+4+(k<<2)>>2]|0);k=k+1|0}while((k|0)<(f[j>>2]|0))}j=c+36|0;if((f[j>>2]|0)>0){k=c+76|0;l=d+76|0;m=0;do{n=f[k>>2]|0;o=f[(f[l>>2]|0)+4+(m<<2)>>2]|0;p=n+(m*24|0)+8|0;q=f[p>>2]|0;do if((q|0?(r=q+84|0,s=f[r>>2]|0,(s|0)!=(yUb()|0)):0)?(f[(f[r>>2]|0)+92>>2]|0)==3:0){r=f[(f[p>>2]|0)+84>>2]|0;if((b[r+84>>0]|0)==0?(b[r+85>>0]|0)==0:0)break;MFb(a,f[n+(m*24|0)+4>>2]|0,o,0,484924)}while(0);m=m+1|0}while((m|0)<(f[j>>2]|0))}j=c+40|0;if((f[j>>2]|0)>0){m=c+80|0;l=d+92|0;k=0;do{qGb(a,(f[m>>2]|0)+(k*88|0)|0,f[(f[l>>2]|0)+4+(k<<2)>>2]|0);k=k+1|0}while((k|0)<(f[j>>2]|0))}j=c+84|0;k=f[j>>2]|0;if(!((k|0)!=(yUb()|0)?(f[(f[j>>2]|0)+92>>2]|0)==3:0))t=19;a:do if((t|0)==19?(j=c+16|0,(f[j>>2]|0)>0):0){k=c+12|0;l=c+52|0;m=g+4|0;o=g+8|0;n=g+12|0;p=0;while(1){q=f[k>>2]|0;if(q|0?(f[q>>2]|0)!=2:0){f[g>>2]=150160;f[m>>2]=1669;b[o>>0]=0;f[n>>2]=c;dEb(q,g)}q=f[(f[l>>2]|0)+(p<<2)>>2]|0;if((q|0?(r=q+84|0,q=f[r>>2]|0,(q|0)!=(yUb()|0)):0)?(f[(f[r>>2]|0)+92>>2]|0)==3:0)break;r=p+1|0;if((r|0)<(f[j>>2]|0))p=r;else break a}j=f[c>>2]|0;n=f[k>>2]|0;if(n|0?(f[n>>2]|0)!=2:0){f[g>>2]=150160;f[g+4>>2]=1669;b[g+8>>0]=0;f[g+12>>2]=c;dEb(n,g)}bza(i,485069,f[f[(f[l>>2]|0)+(p<<2)>>2]>>2]|0);pza(h,i,485206);NFb(a,j,d,9,h);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0)}while(0);if((f[c+44>>2]|0)!=3){u=e;return}rGb(a,c,d);u=e;return}function iGb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;e=u;u=u+80|0;g=e+60|0;h=e+48|0;i=e+32|0;j=e+16|0;k=e;l=h+4|0;f[l>>2]=0;m=h+8|0;f[m>>2]=0;n=h+4|0;f[h>>2]=n;o=c+60|0;if((f[o>>2]|0)>0){p=c+28|0;q=j+12|0;r=i+12|0;s=i+11|0;t=j+11|0;v=k+11|0;w=c+4|0;x=g+11|0;y=i+11|0;z=d+44|0;A=0;do{B=f[p>>2]|0;C=B+(A*88|0)|0;Nmc(k,f[C>>2]|0);Nmc(j,k);f[q>>2]=C;Nmc(i,j);f[r>>2]=f[q>>2];D=lGb(h,g,i)|0;E=f[D>>2]|0;if(!E){F=Bmc(32)|0;Nmc(F+16|0,i);f[F+28>>2]=f[r>>2];G=f[g>>2]|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=G;f[D>>2]=F;G=f[f[h>>2]>>2]|0;if(!G)H=F;else{f[h>>2]=G;H=f[D>>2]|0}RS(f[l>>2]|0,H);f[m>>2]=(f[m>>2]|0)+1;I=F;J=1}else{I=E;J=0}if((b[s>>0]|0)<0)Emc(f[i>>2]|0);if((b[t>>0]|0)<0)Emc(f[j>>2]|0);if((b[v>>0]|0)<0)Emc(f[k>>2]|0);do if(!(J<<24>>24)){if((b[(f[(f[I+28>>2]|0)+16>>2]|0)+51>>0]|0)==0?(b[(f[B+(A*88|0)+16>>2]|0)+51>>0]|0)==0:0)break;E=f[w>>2]|0;bza(i,484736,f[C>>2]|0);pza(g,i,484761);NFb(a,E,d,0,g);if((b[x>>0]|0)<0)Emc(f[g>>2]|0);if((b[y>>0]|0)<0)Emc(f[i>>2]|0)}while(0);iGb(a,(f[p>>2]|0)+(A*88|0)|0,f[(f[z>>2]|0)+4+(A<<2)>>2]|0);A=A+1|0}while((A|0)<(f[o>>2]|0))}o=c+52|0;if((f[o>>2]|0)>0){A=c+20|0;z=c+4|0;p=g+11|0;y=i+11|0;x=0;do{w=mGb(h,f[(f[A>>2]|0)+(x*88|0)>>2]|0)|0;if((w|0)!=(n|0)?(I=f[w+28>>2]|0,b[(f[I+16>>2]|0)+51>>0]|0):0){w=f[z>>2]|0;bza(i,484736,f[I>>2]|0);pza(g,i,484810);NFb(a,w,d,0,g);if((b[p>>0]|0)<0)Emc(f[g>>2]|0);if((b[y>>0]|0)<0)Emc(f[i>>2]|0)}x=x+1|0}while((x|0)<(f[o>>2]|0))}o=c+64|0;if((f[o>>2]|0)>0){x=c+32|0;y=c+4|0;p=g+11|0;z=i+11|0;A=0;do{w=mGb(h,f[(f[x>>2]|0)+(A*48|0)>>2]|0)|0;if((w|0)!=(n|0)?(I=f[w+28>>2]|0,b[(f[I+16>>2]|0)+51>>0]|0):0){w=f[y>>2]|0;bza(i,484736,f[I>>2]|0);pza(g,i,484845);NFb(a,w,d,0,g);if((b[p>>0]|0)<0)Emc(f[g>>2]|0);if((b[z>>0]|0)<0)Emc(f[i>>2]|0)}A=A+1|0}while((A|0)<(f[o>>2]|0))}o=c+56|0;if((f[o>>2]|0)<=0){K=h;L=f[n>>2]|0;nGb(K,L);u=e;return}A=c+24|0;z=c+4|0;c=g+11|0;p=i+11|0;y=0;do{x=mGb(h,f[(f[A>>2]|0)+(y*28|0)>>2]|0)|0;if((x|0)!=(n|0)?(w=f[x+28>>2]|0,b[(f[w+16>>2]|0)+51>>0]|0):0){x=f[z>>2]|0;bza(i,484736,f[w>>2]|0);pza(g,i,484884);NFb(a,x,d,0,g);if((b[c>>0]|0)<0)Emc(f[g>>2]|0);if((b[p>>0]|0)<0)Emc(f[i>>2]|0)}y=y+1|0}while((y|0)<(f[o>>2]|0));K=h;L=f[n>>2]|0;nGb(K,L);u=e;return}function jGb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;d=u;u=u+48|0;e=d+24|0;g=d+12|0;h=d;if(!(f[a+68>>2]|0)){u=d;return}i=g+4|0;f[i>>2]=0;j=g+8|0;f[j>>2]=0;k=g+4|0;f[g>>2]=k;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;l=Bmc(32)|0;f[h>>2]=l;f[h+8>>2]=-2147483616;f[h+4>>2]=30;m=l;n=484473;o=m+30|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[l+30>>0]=0;l=QS(g,e,h)|0;if(!(f[l>>2]|0)){p=Bmc(28)|0;Nmc(p+16|0,h);q=f[e>>2]|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=q;f[l>>2]=p;q=f[f[g>>2]>>2]|0;if(!q)r=p;else{f[g>>2]=q;r=f[l>>2]|0}RS(f[i>>2]|0,r);f[j>>2]=(f[j>>2]|0)+1}if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=Bmc(32)|0;f[h>>2]=r;f[h+8>>2]=-2147483616;f[h+4>>2]=27;m=r;n=484504;o=m+27|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[r+27>>0]=0;r=QS(g,e,h)|0;if(!(f[r>>2]|0)){l=Bmc(28)|0;Nmc(l+16|0,h);q=f[e>>2]|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=q;f[r>>2]=l;q=f[f[g>>2]>>2]|0;if(!q)s=l;else{f[g>>2]=q;s=f[r>>2]|0}RS(f[i>>2]|0,s);f[j>>2]=(f[j>>2]|0)+1}if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;s=Bmc(32)|0;f[h>>2]=s;f[h+8>>2]=-2147483616;f[h+4>>2]=28;m=s;n=484532;o=m+28|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[s+28>>0]=0;s=QS(g,e,h)|0;if(!(f[s>>2]|0)){r=Bmc(28)|0;Nmc(r+16|0,h);q=f[e>>2]|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=q;f[s>>2]=r;q=f[f[g>>2]>>2]|0;if(!q)t=r;else{f[g>>2]=q;t=f[s>>2]|0}RS(f[i>>2]|0,t);f[j>>2]=(f[j>>2]|0)+1}if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;t=Bmc(32)|0;f[h>>2]=t;f[h+8>>2]=-2147483616;f[h+4>>2]=27;m=t;n=484561;o=m+27|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[t+27>>0]=0;t=QS(g,e,h)|0;if(!(f[t>>2]|0)){s=Bmc(28)|0;Nmc(s+16|0,h);q=f[e>>2]|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=q;f[t>>2]=s;q=f[f[g>>2]>>2]|0;if(!q)v=s;else{f[g>>2]=q;v=f[t>>2]|0}RS(f[i>>2]|0,v);f[j>>2]=(f[j>>2]|0)+1}if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;v=Bmc(48)|0;f[h>>2]=v;f[h+8>>2]=-2147483600;f[h+4>>2]=32;m=v;n=484589;o=m+32|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[v+32>>0]=0;v=QS(g,e,h)|0;if(!(f[v>>2]|0)){t=Bmc(28)|0;Nmc(t+16|0,h);q=f[e>>2]|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=q;f[v>>2]=t;q=f[f[g>>2]>>2]|0;if(!q)w=t;else{f[g>>2]=q;w=f[v>>2]|0}RS(f[i>>2]|0,w);f[j>>2]=(f[j>>2]|0)+1}if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;w=Bmc(48)|0;f[h>>2]=w;f[h+8>>2]=-2147483600;f[h+4>>2]=32;m=w;n=484589;o=m+32|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[w+32>>0]=0;w=QS(g,e,h)|0;if(!(f[w>>2]|0)){v=Bmc(28)|0;Nmc(v+16|0,h);q=f[e>>2]|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=q;f[w>>2]=v;q=f[f[g>>2]>>2]|0;if(!q)x=v;else{f[g>>2]=q;x=f[w>>2]|0}RS(f[i>>2]|0,x);f[j>>2]=(f[j>>2]|0)+1}if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;x=Bmc(32)|0;f[h>>2]=x;f[h+8>>2]=-2147483616;f[h+4>>2]=30;m=x;n=484622;o=m+30|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[x+30>>0]=0;x=QS(g,e,h)|0;if(!(f[x>>2]|0)){w=Bmc(28)|0;Nmc(w+16|0,h);q=f[e>>2]|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=q;f[x>>2]=w;q=f[f[g>>2]>>2]|0;if(!q)y=w;else{f[g>>2]=q;y=f[x>>2]|0}RS(f[i>>2]|0,y);f[j>>2]=(f[j>>2]|0)+1}if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;y=Bmc(32)|0;f[h>>2]=y;f[h+8>>2]=-2147483616;f[h+4>>2]=29;m=y;n=484653;o=m+29|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[y+29>>0]=0;y=QS(g,e,h)|0;if(!(f[y>>2]|0)){x=Bmc(28)|0;Nmc(x+16|0,h);q=f[e>>2]|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=q;f[y>>2]=x;q=f[f[g>>2]>>2]|0;if(!q)z=x;else{f[g>>2]=q;z=f[y>>2]|0}RS(f[i>>2]|0,z);f[j>>2]=(f[j>>2]|0)+1}if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;z=Bmc(32)|0;f[h>>2]=z;f[h+8>>2]=-2147483616;f[h+4>>2]=29;m=z;n=484683;o=m+29|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));b[z+29>>0]=0;z=QS(g,e,h)|0;if(!(f[z>>2]|0)){n=Bmc(28)|0;Nmc(n+16|0,h);m=f[e>>2]|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=m;f[z>>2]=n;m=f[f[g>>2]>>2]|0;if(!m)A=n;else{f[g>>2]=m;A=f[z>>2]|0}RS(f[i>>2]|0,A);f[j>>2]=(f[j>>2]|0)+1}if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);j=f[a+60>>2]|0;A=a+64|0;if((j|0)!=(A|0)){i=h+11|0;z=e+11|0;m=j;while(1){j=m+16|0;n=f[j>>2]|0;o=f[n+40>>2]|0;a:do if((o|0)>0){y=0;q=n;while(1){if((kGb(g,f[(f[(f[q+80>>2]|0)+(y*88|0)+48>>2]|0)+4>>2]|0)|0)!=(k|0))break;x=y+1|0;w=f[j>>2]|0;v=f[w+40>>2]|0;if((x|0)<(v|0)){y=x;q=w}else{B=x;C=v;D=w;break a}}q=f[j>>2]|0;B=y;C=f[q+40>>2]|0;D=q}else{B=0;C=o;D=n}while(0);if((B|0)==(C|0)){bza(h,484713,f[D>>2]|0);pza(e,h,484721);if((b[i>>0]|0)<0)Emc(f[h>>2]|0);gGb(a,f[f[j>>2]>>2]|0,c,9,e);if((b[z>>0]|0)<0)Emc(f[e>>2]|0)}n=f[m+4>>2]|0;do if(!n){o=m+8|0;q=f[o>>2]|0;if((f[q>>2]|0)==(m|0)){E=q;break}else F=o;do{o=f[F>>2]|0;F=o+8|0;q=f[F>>2]|0}while((f[q>>2]|0)!=(o|0));E=q}else{y=n;while(1){q=f[y>>2]|0;if(!q)break;else y=q}E=y}while(0);if((E|0)==(A|0))break;else m=E}}PS(g,f[k>>2]|0);u=d;return}function kGb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=a+4|0;a=f[d>>2]|0;do if(a|0){e=b[c+11>>0]|0;g=e<<24>>24<0;h=g?f[c+4>>2]|0:e&255;e=g?f[c>>2]|0:c;g=d;i=a;a:while(1){j=i;while(1){k=j+16|0;l=b[k+11>>0]|0;m=l<<24>>24<0;n=m?f[j+20>>2]|0:l&255;l=h>>>0<n>>>0?h:n;if((l|0)!=0?(o=gac(m?f[k>>2]|0:k,e,l)|0,(o|0)!=0):0){if((o|0)>=0)break}else p=6;if((p|0)==6?(p=0,n>>>0>=h>>>0):0)break;n=f[j+4>>2]|0;if(!n){q=g;break a}else j=n}i=f[j>>2]|0;if(!i){q=j;break}else g=j}if((q|0)!=(d|0)){g=q+16|0;i=b[g+11>>0]|0;n=i<<24>>24<0;o=n?f[q+20>>2]|0:i&255;i=o>>>0<h>>>0?o:h;if(i|0?(l=gac(e,n?f[g>>2]|0:g,i)|0,l|0):0){if((l|0)<0)break;else r=q;return r|0}if(h>>>0>=o>>>0){r=q;return r|0}}}while(0);r=d;return r|0}function lGb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=a+4|0;g=f[e>>2]|0;if(!g){f[c>>2]=e;h=e;return h|0}e=b[d+11>>0]|0;i=e<<24>>24<0;j=i?f[d+4>>2]|0:e&255;e=i?f[d>>2]|0:d;d=a+4|0;a=g;while(1){g=a+16|0;i=b[g+11>>0]|0;k=i<<24>>24<0;l=k?f[a+20>>2]|0:i&255;i=l>>>0<j>>>0;m=i?l:j;if((m|0)!=0?(n=gac(e,k?f[g>>2]|0:g,m)|0,(n|0)!=0):0)if((n|0)<0)o=8;else o=10;else if(j>>>0<l>>>0)o=8;else o=10;if((o|0)==8){o=0;n=f[a>>2]|0;if(!n){o=9;break}else{p=a;q=n}}else if((o|0)==10){o=0;n=j>>>0<l>>>0?j:l;if((n|0)!=0?(l=gac(k?f[g>>2]|0:g,e,n)|0,(l|0)!=0):0){if((l|0)>=0){o=16;break}}else o=12;if((o|0)==12?(o=0,!i):0){o=16;break}r=a+4|0;i=f[r>>2]|0;if(!i){o=15;break}else{p=r;q=i}}d=p;a=q}if((o|0)==9){f[c>>2]=a;h=a;return h|0}else if((o|0)==15){f[c>>2]=a;h=r;return h|0}else if((o|0)==16){f[c>>2]=a;h=d;return h|0}return 0}function mGb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=a+4|0;a=f[d>>2]|0;do if(a|0){e=b[c+11>>0]|0;g=e<<24>>24<0;h=g?f[c+4>>2]|0:e&255;e=g?f[c>>2]|0:c;g=d;i=a;a:while(1){j=i;while(1){k=j+16|0;l=b[k+11>>0]|0;m=l<<24>>24<0;n=m?f[j+20>>2]|0:l&255;l=h>>>0<n>>>0?h:n;if((l|0)!=0?(o=gac(m?f[k>>2]|0:k,e,l)|0,(o|0)!=0):0){if((o|0)>=0)break}else p=6;if((p|0)==6?(p=0,n>>>0>=h>>>0):0)break;n=f[j+4>>2]|0;if(!n){q=g;break a}else j=n}i=f[j>>2]|0;if(!i){q=j;break}else g=j}if((q|0)!=(d|0)){g=q+16|0;i=b[g+11>>0]|0;n=i<<24>>24<0;o=n?f[q+20>>2]|0:i&255;i=o>>>0<h>>>0?o:h;if(i|0?(l=gac(e,n?f[g>>2]|0:g,i)|0,l|0):0){if((l|0)<0)break;else r=q;return r|0}if(h>>>0>=o>>>0){r=q;return r|0}}}while(0);r=d;return r|0}function nGb(a,c){a=a|0;c=c|0;if(!c)return;nGb(a,f[c>>2]|0);nGb(a,f[c+4>>2]|0);a=c+16|0;if((b[a+11>>0]|0)<0)Emc(f[a>>2]|0);Emc(c);return}function oGb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;e=u;u=u+416|0;g=e+400|0;h=e+360|0;i=e+320|0;j=e+280|0;k=e+240|0;l=e+200|0;m=e+160|0;n=e+120|0;o=e+80|0;p=e+40|0;q=e;r=c+52|0;if((f[r>>2]|0)>0){s=c+20|0;t=d+28|0;v=0;do{qGb(a,(f[s>>2]|0)+(v*88|0)|0,f[(f[t>>2]|0)+4+(v<<2)>>2]|0);v=v+1|0}while((v|0)<(f[r>>2]|0))}r=c+60|0;if((f[r>>2]|0)>0){v=c+28|0;t=d+44|0;s=0;do{oGb(a,(f[v>>2]|0)+(s*88|0)|0,f[(f[t>>2]|0)+4+(s<<2)>>2]|0);s=s+1|0}while((s|0)<(f[r>>2]|0))}r=c+64|0;if((f[r>>2]|0)>0){s=c+32|0;t=d+60|0;v=0;do{pGb(a,(f[s>>2]|0)+(v*48|0)|0,f[(f[t>>2]|0)+4+(v<<2)>>2]|0);v=v+1|0}while((v|0)<(f[r>>2]|0))}r=c+72|0;if((f[r>>2]|0)>0){v=c+40|0;t=d+92|0;s=0;do{qGb(a,(f[v>>2]|0)+(s*88|0)|0,f[(f[t>>2]|0)+4+(s<<2)>>2]|0);s=s+1|0}while((s|0)<(f[r>>2]|0))}r=(b[(f[c+16>>2]|0)+48>>0]|0)!=0;s=r?2147483647:536870911;t=r?0:0;r=c+68|0;v=f[r>>2]|0;if((v|0)<=0){u=e;return}w=c+36|0;x=Arc(s|0,t|0,1,0)|0;y=J;z=c+4|0;c=d+76|0;d=h+8|0;A=h+4|0;B=i+4|0;C=j+4|0;D=k+4|0;E=l+4|0;F=m+4|0;G=n+4|0;H=o+4|0;I=p+4|0;K=q+4|0;L=g+11|0;M=0;N=v;while(1){v=f[(f[w>>2]|0)+(M*12|0)+4>>2]|0;O=((v|0)<0)<<31>>31;if((O|0)>(y|0)|(O|0)==(y|0)&v>>>0>x>>>0){v=f[z>>2]|0;O=f[(f[c>>2]|0)+4+(M<<2)>>2]|0;P=z6b(s,t,d)|0;f[h>>2]=P;Q=s8b(P)|0;f[A>>2]=Q;f[i>>2]=0;f[B>>2]=-1;f[j>>2]=0;f[C>>2]=-1;f[k>>2]=0;f[D>>2]=-1;f[l>>2]=0;f[E>>2]=-1;f[m>>2]=0;f[F>>2]=-1;f[n>>2]=0;f[G>>2]=-1;f[o>>2]=0;f[H>>2]=-1;f[p>>2]=0;f[I>>2]=-1;f[q>>2]=0;f[K>>2]=-1;h2b(g,486800,h,i,j,k,l,m,n,o,p,q);NFb(a,v,O,1,g);if((b[L>>0]|0)<0)Emc(f[g>>2]|0);R=f[r>>2]|0}else R=N;M=M+1|0;if((M|0)>=(R|0))break;else N=R}u=e;return}function pGb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0;e=u;u=u+96|0;g=e+72|0;h=e+60|0;i=e+48|0;j=e+36|0;k=e+24|0;l=e;m=e+84|0;n=c+24|0;o=c+16|0;p=f[o>>2]|0;if(f[p+24>>2]&1|0?b[p+48>>0]|0:0){u=e;return}p=g+4|0;f[p>>2]=0;q=g+8|0;f[q>>2]=0;r=g+4|0;f[g>>2]=r;a:do if((f[n>>2]|0)>0){s=c+28|0;t=i+11|0;v=j+11|0;w=k+11|0;x=c+4|0;y=h+11|0;z=0;A=0;B=0;while(1){C=f[s>>2]|0;D=C+(z*20|0)+8|0;E=f[D>>2]|0;do if(A){F=r;G=A;b:while(1){H=G;while(1){if((f[H+16>>2]|0)>=(E|0))break;I=f[H+4>>2]|0;if(!I){J=F;break b}else H=I}G=f[H>>2]|0;if(!G){J=H;break}else F=H}if((J|0)!=(r|0)?(E|0)>=(f[J+16>>2]|0):0){bza(k,509777,f[C+(z*20|0)+4>>2]|0);pza(j,k,486687);F=f[D>>2]|0;G=f[r>>2]|0;do if(G){I=p;K=G;L=G;while(1){M=f[K+16>>2]|0;if((F|0)<(M|0)){N=f[K>>2]|0;if(!N){O=18;break}else{P=K;Q=N}}else{if((M|0)>=(F|0)){O=22;break}R=K+4|0;M=f[R>>2]|0;if(!M){O=21;break}else{P=R;Q=M}}I=P;K=Q;L=Q}if((O|0)==18){O=0;S=K;T=K;O=24;break}else if((O|0)==21){O=0;S=R;T=K;O=24;break}else if((O|0)==22){O=0;U=I;V=K;W=L;O=23;break}}else{U=r;V=r;W=G;O=23}while(0);if((O|0)==23){O=0;if(!W){S=U;T=V;O=24}else X=W}if((O|0)==24){O=0;G=Bmc(32)|0;f[G+16>>2]=F;H=G+20|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=T;f[S>>2]=G;H=f[f[g>>2]>>2]|0;if(!H)Y=G;else{f[g>>2]=H;Y=f[S>>2]|0}RS(f[p>>2]|0,Y);f[q>>2]=(f[q>>2]|0)+1;X=G}JDa(i,j,X+20|0);pza(h,i,486719);if((b[t>>0]|0)<0)Emc(f[i>>2]|0);if((b[v>>0]|0)<0)Emc(f[j>>2]|0);if((b[w>>0]|0)<0)Emc(f[k>>2]|0);if(!(b[(f[o>>2]|0)+48>>0]|0))NFb(a,f[x>>2]|0,d,1,h);else{TDb(l,2,483670,6017);QDb(m,PDb(l,h)|0);UDb(l)}if((b[y>>0]|0)<0)Emc(f[h>>2]|0);break}G=f[C+(z*20|0)+4>>2]|0;H=p;M=A;N=B;while(1){Z=f[M+16>>2]|0;if((E|0)<(Z|0)){_=f[M>>2]|0;if(!_){O=43;break}else{$=M;aa=_}}else{if((Z|0)>=(E|0)){O=47;break}ba=M+4|0;Z=f[ba>>2]|0;if(!Z){O=46;break}else{$=ba;aa=Z}}H=$;M=aa;N=aa}if((O|0)==43){O=0;ca=M;da=M;ea=G;O=48;break}else if((O|0)==46){O=0;ca=ba;da=M;ea=G;O=48;break}else if((O|0)==47){O=0;if(!N){ca=H;da=M;ea=G;O=48;break}else{fa=N;ga=G;O=51;break}}}else{ca=r;da=r;ea=f[C+(z*20|0)+4>>2]|0;O=48}while(0);if((O|0)==48){O=0;C=Bmc(32)|0;f[C+16>>2]=E;D=C+20|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=da;f[ca>>2]=C;D=f[f[g>>2]>>2]|0;if(!D)ha=C;else{f[g>>2]=D;ha=f[ca>>2]|0}RS(f[p>>2]|0,ha);f[q>>2]=(f[q>>2]|0)+1;fa=C;ga=ea;O=51}if((O|0)==51){O=0;Qmc(fa+20|0,ga)|0}C=z+1|0;D=f[r>>2]|0;if((C|0)>=(f[n>>2]|0)){ia=D;break a}z=C;A=D;B=D}}else ia=0;while(0);GGb(g,ia);u=e;return}function qGb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+16|0;g=e;if(b[(f[a>>2]|0)+21>>0]|0){if(!c){u=e;return}h=f[c+24>>2]|0;if(h|0?(f[h>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(h,g)}if(!(f[c+60>>2]|0)){u=e;return}}h=c+68|0;if(b[(f[h>>2]|0)+53>>0]|0){i=f[c+24>>2]|0;if(i|0?(f[i>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(i,g)}if((f[c+28>>2]|0)!=11)MFb(a,f[c+4>>2]|0,d,2,485956)}do if(b[(f[h>>2]|0)+52>>0]|0){if((f[c+32>>2]|0)==3){i=f[c+24>>2]|0;if(i|0?(f[i>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(i,g)}if(((f[c+28>>2]|0)+-9|0)>>>0>3)break}MFb(a,f[c+4>>2]|0,d,2,486015)}while(0);h=c+48|0;i=f[h>>2]|0;do if((i|0?(j=f[i+16>>2]|0,(j|0)!=(AUb()|0)):0)?b[(f[(f[h>>2]|0)+16>>2]|0)+48>>0]|0:0){if(!(b[c+38>>0]|0)){MFb(a,f[c+4>>2]|0,d,0,486084);break}if((f[c+32>>2]|0)==1){j=f[c+24>>2]|0;if(j|0?(f[j>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(j,g)}if((f[c+28>>2]|0)==11)break}MFb(a,f[c+4>>2]|0,d,2,511533)}while(0);i=f[c+20>>2]|0;do if(((i|0?(j=i+84|0,k=f[j>>2]|0,(k|0)!=(yUb()|0)):0)?(f[(f[j>>2]|0)+92>>2]|0)==3:0)?(j=f[h>>2]|0,j|0):0){k=f[j+8>>2]|0;if((k|0?(j=k+84|0,k=f[j>>2]|0,(k|0)!=(yUb()|0)):0)?(f[(f[j>>2]|0)+92>>2]|0)==3:0)break;MFb(a,f[c+4>>2]|0,d,3,486133)}while(0);h=f[c+24>>2]|0;if(h|0?(f[h>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(h,g)}if(((f[c+28>>2]|0)==11?b[(f[(f[c+60>>2]|0)+16>>2]|0)+51>>0]|0:0)?!(DGb(a,c,d)|0):0)MFb(a,f[c+4>>2]|0,d,9,486299);EGb(a,c,d);u=e;return}function rGb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=b+40|0;if((f[d>>2]|0)>0){e=b+80|0;g=c+92|0;h=0;do{sGb(a,(f[e>>2]|0)+(h*88|0)|0,f[(f[g>>2]|0)+4+(h<<2)>>2]|0);h=h+1|0}while((h|0)<(f[d>>2]|0))}d=b+28|0;if((f[d>>2]|0)>0){h=b+68|0;g=c+44|0;e=0;do{tGb(a,(f[h>>2]|0)+(e*88|0)|0,f[(f[g>>2]|0)+4+(e<<2)>>2]|0);e=e+1|0}while((e|0)<(f[d>>2]|0))}d=b+32|0;e=f[d>>2]|0;if((e|0)<=0)return;g=b+72|0;b=c+60|0;c=0;h=e;while(1){e=f[g>>2]|0;i=f[(f[b>>2]|0)+4+(c<<2)>>2]|0;if((f[e+(c*48|0)+24>>2]|0)>0?(f[(f[e+(c*48|0)+28>>2]|0)+8>>2]|0)!=0:0){MFb(a,f[e+(c*48|0)+4>>2]|0,i,9,485218);j=f[d>>2]|0}else j=h;c=c+1|0;if((c|0)>=(j|0))break;else h=j}return}function sGb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=u;u=u+64|0;g=e+48|0;h=e+36|0;i=e+24|0;j=e+12|0;k=e;if(b[c+38>>0]|0){l=f[(f[c+48>>2]|0)+4>>2]|0;if((f[222927]|0)!=2){f[g>>2]=149752;f[g+4>>2]=130;b[g+8>>0]=0;dEb(891708,g);zDb(g)}m=kGb(f[222928]|0,l)|0;if((m|0)==((f[222928]|0)+4|0))MFb(a,f[c+4>>2]|0,d,9,485442)}if((f[c+32>>2]|0)==2)MFb(a,f[c+4>>2]|0,d,9,485502);if(b[c+36>>0]|0)MFb(a,f[c+4>>2]|0,d,9,485545);m=c+24|0;l=f[m>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(l,g)}l=c+28|0;if((f[l>>2]|0)==14){n=f[m>>2]|0;if(n|0?(f[n>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(n,g)}n=c+64|0;if(f[n>>2]|0){o=f[m>>2]|0;if(o|0?(f[o>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(o,g)}if((f[(f[(f[n>>2]|0)+8>>2]|0)+44>>2]|0)!=3){o=f[c+4>>2]|0;p=f[m>>2]|0;if(p|0?(f[p>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(p,g)}bza(k,485596,f[(f[n>>2]|0)+4>>2]|0);pza(j,k,485608);JDa(i,j,f[(f[c+48>>2]|0)+4>>2]|0);pza(h,i,485649);NFb(a,o,d,2,h);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);if((b[k+11>>0]|0)<0)Emc(f[k>>2]|0)}}}k=f[m>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(k,g)}if((f[l>>2]|0)!=10){u=e;return}MFb(a,f[c+4>>2]|0,d,2,485683);u=e;return}function tGb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;e=u;u=u+96|0;g=e+72|0;h=e+60|0;i=e+48|0;j=e+36|0;k=e+24|0;l=e+12|0;m=e;n=c+60|0;if((f[n>>2]|0)>0){o=c+28|0;p=d+44|0;q=0;do{tGb(a,(f[o>>2]|0)+(q*88|0)|0,f[(f[p>>2]|0)+4+(q<<2)>>2]|0);q=q+1|0}while((q|0)<(f[n>>2]|0))}n=c+64|0;q=f[n>>2]|0;if((q|0)>0){p=c+32|0;o=d+60|0;r=0;s=q;while(1){q=f[p>>2]|0;t=f[(f[o>>2]|0)+4+(r<<2)>>2]|0;if((f[q+(r*48|0)+24>>2]|0)>0?(f[(f[q+(r*48|0)+28>>2]|0)+8>>2]|0)!=0:0){MFb(a,f[q+(r*48|0)+4>>2]|0,t,9,485218);v=f[n>>2]|0}else v=s;r=r+1|0;if((r|0)>=(v|0))break;else s=v}}v=c+52|0;if((f[v>>2]|0)>0){s=c+20|0;r=d+28|0;n=0;do{sGb(a,(f[s>>2]|0)+(n*88|0)|0,f[(f[r>>2]|0)+4+(n<<2)>>2]|0);n=n+1|0}while((n|0)<(f[v>>2]|0))}n=c+72|0;if((f[n>>2]|0)>0){r=c+40|0;s=d+92|0;o=0;do{sGb(a,(f[r>>2]|0)+(o*88|0)|0,f[(f[s>>2]|0)+4+(o<<2)>>2]|0);o=o+1|0}while((o|0)<(f[n>>2]|0))}if((f[c+68>>2]|0)>0)MFb(a,f[c+4>>2]|0,d,9,485263);if(b[(f[c+16>>2]|0)+48>>0]|0)MFb(a,f[c+4>>2]|0,d,9,485307);f[g+4>>2]=0;f[g+8>>2]=0;n=g+4|0;f[g>>2]=n;if((f[v>>2]|0)<=0){w=g;x=0;uGb(w,x);u=e;return}o=c+20|0;s=h+11|0;r=c+4|0;c=i+11|0;p=j+11|0;t=k+11|0;q=l+11|0;y=m+11|0;z=0;do{A=f[(f[o>>2]|0)+(z*88|0)>>2]|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;B=A+11|0;C=b[B>>0]|0;D=A+4|0;if((C<<24>>24<0?f[D>>2]|0:C&255)|0){E=0;F=C;do{C=b[(F<<24>>24<0?f[A>>2]|0:A)+E>>0]|0;do if(C<<24>>24!=95)if((C+-65&255)<26){bnc(h,(C&255)+32&255);break}else{bnc(h,C);break}while(0);E=E+1|0;F=b[B>>0]|0}while(E>>>0<(F<<24>>24<0?f[D>>2]|0:F&255)>>>0)}if((vGb(g,h)|0)!=(n|0)){F=f[r>>2]|0;bza(m,485346,f[(f[o>>2]|0)+(z*88|0)>>2]|0);pza(l,m,485382);D=wGb(g,h)|0;JDa(k,l,f[f[D>>2]>>2]|0);pza(j,k,485407);pza(i,j,485423);NFb(a,F,d,9,i);if((b[c>>0]|0)<0)Emc(f[i>>2]|0);if((b[p>>0]|0)<0)Emc(f[j>>2]|0);if((b[t>>0]|0)<0)Emc(f[k>>2]|0);if((b[q>>0]|0)<0)Emc(f[l>>2]|0);if((b[y>>0]|0)<0)Emc(f[m>>2]|0)}else{F=f[o>>2]|0;D=wGb(g,h)|0;f[D>>2]=F+(z*88|0)}if((b[s>>0]|0)<0)Emc(f[h>>2]|0);z=z+1|0}while((z|0)<(f[v>>2]|0));w=g;x=f[n>>2]|0;uGb(w,x);u=e;return}function uGb(a,c){a=a|0;c=c|0;if(!c)return;uGb(a,f[c>>2]|0);uGb(a,f[c+4>>2]|0);a=c+16|0;if((b[a+11>>0]|0)<0)Emc(f[a>>2]|0);Emc(c);return}function vGb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=a+4|0;a=f[d>>2]|0;do if(a|0){e=b[c+11>>0]|0;g=e<<24>>24<0;h=g?f[c+4>>2]|0:e&255;e=g?f[c>>2]|0:c;g=d;i=a;a:while(1){j=i;while(1){k=j+16|0;l=b[k+11>>0]|0;m=l<<24>>24<0;n=m?f[j+20>>2]|0:l&255;l=h>>>0<n>>>0?h:n;if((l|0)!=0?(o=gac(m?f[k>>2]|0:k,e,l)|0,(o|0)!=0):0){if((o|0)>=0)break}else p=6;if((p|0)==6?(p=0,n>>>0>=h>>>0):0)break;n=f[j+4>>2]|0;if(!n){q=g;break a}else j=n}i=f[j>>2]|0;if(!i){q=j;break}else g=j}if((q|0)!=(d|0)){g=q+16|0;i=b[g+11>>0]|0;n=i<<24>>24<0;o=n?f[q+20>>2]|0:i&255;i=o>>>0<h>>>0?o:h;if(i|0?(l=gac(e,n?f[g>>2]|0:g,i)|0,l|0):0){if((l|0)<0)break;else r=q;return r|0}if(h>>>0>=o>>>0){r=q;return r|0}}}while(0);r=d;return r|0}function wGb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=u;u=u+16|0;d=c;e=xGb(a,d,b)|0;g=f[e>>2]|0;if(g|0){h=g;i=h+28|0;u=c;return i|0}g=Bmc(32)|0;Nmc(g+16|0,b);f[g+28>>2]=0;b=f[d>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=b;f[e>>2]=g;b=f[f[a>>2]>>2]|0;if(!b)j=g;else{f[a>>2]=b;j=f[e>>2]|0}RS(f[a+4>>2]|0,j);j=a+8|0;f[j>>2]=(f[j>>2]|0)+1;h=g;i=h+28|0;u=c;return i|0}function xGb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=a+4|0;g=f[e>>2]|0;if(!g){f[c>>2]=e;h=e;return h|0}e=b[d+11>>0]|0;i=e<<24>>24<0;j=i?f[d+4>>2]|0:e&255;e=i?f[d>>2]|0:d;d=a+4|0;a=g;while(1){g=a+16|0;i=b[g+11>>0]|0;k=i<<24>>24<0;l=k?f[a+20>>2]|0:i&255;i=l>>>0<j>>>0;m=i?l:j;if((m|0)!=0?(n=gac(e,k?f[g>>2]|0:g,m)|0,(n|0)!=0):0)if((n|0)<0)o=8;else o=10;else if(j>>>0<l>>>0)o=8;else o=10;if((o|0)==8){o=0;n=f[a>>2]|0;if(!n){o=9;break}else{p=a;q=n}}else if((o|0)==10){o=0;n=j>>>0<l>>>0?j:l;if((n|0)!=0?(l=gac(k?f[g>>2]|0:g,e,n)|0,(l|0)!=0):0){if((l|0)>=0){o=16;break}}else o=12;if((o|0)==12?(o=0,!i):0){o=16;break}r=a+4|0;i=f[r>>2]|0;if(!i){o=15;break}else{p=r;q=i}}d=p;a=q}if((o|0)==9){f[c>>2]=a;h=a;return h|0}else if((o|0)==15){f[c>>2]=a;h=r;return h|0}else if((o|0)==16){f[c>>2]=a;h=d;return h|0}return 0}function yGb(){var a=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;a=u;u=u+48|0;c=a+36|0;d=a+24|0;e=a+12|0;g=a;h=Bmc(12)|0;i=h+4|0;f[i>>2]=0;f[h+8>>2]=0;f[h>>2]=i;f[222928]=h;i=e+8|0;j=e+4|0;k=d+11|0;l=e+11|0;m=g+11|0;n=g+5|0;o=d+11|0;p=e+11|0;q=0;r=h;while(1){h=Bmc(32)|0;f[e>>2]=h;f[i>>2]=-2147483616;f[j>>2]=16;s=h;t=485819;v=s+16|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));b[h+16>>0]=0;t=f[150172+(q<<2)>>2]|0;pza(d,e,t);s=QS(r,c,d)|0;if(!(f[s>>2]|0)){v=Bmc(28)|0;Nmc(v+16|0,d);w=f[c>>2]|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=w;f[s>>2]=v;w=f[f[r>>2]>>2]|0;if(!w)x=v;else{f[r>>2]=w;x=f[s>>2]|0}RS(f[r+4>>2]|0,x);s=r+8|0;f[s>>2]=(f[s>>2]|0)+1}if((b[k>>0]|0)<0)Emc(f[d>>2]|0);if((b[l>>0]|0)<0)Emc(f[e>>2]|0);s=f[222928]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[m>>0]=5;b[g>>0]=b[485836]|0;b[g+1>>0]=b[485837]|0;b[g+2>>0]=b[485838]|0;b[g+3>>0]=b[485839]|0;b[g+4>>0]=b[485840]|0;b[n>>0]=0;pza(e,g,485842);pza(d,e,t);t=QS(s,c,d)|0;if(!(f[t>>2]|0)){w=Bmc(28)|0;Nmc(w+16|0,d);v=f[c>>2]|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=v;f[t>>2]=w;v=f[f[s>>2]>>2]|0;if(!v)y=w;else{f[s>>2]=v;y=f[t>>2]|0}RS(f[s+4>>2]|0,y);t=s+8|0;f[t>>2]=(f[t>>2]|0)+1}if((b[o>>0]|0)<0)Emc(f[d>>2]|0);if((b[p>>0]|0)<0)Emc(f[e>>2]|0);if((b[m>>0]|0)<0)Emc(f[g>>2]|0);t=q+1|0;if(t>>>0>=8)break;q=t;r=f[222928]|0}KDb(131);u=a;return}function zGb(a){a=a|0;AGb(a);return}function AGb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=u;u=u+112|0;d=c+64|0;e=c+88|0;g=c+48|0;h=c+36|0;i=c+24|0;j=c;k=c+100|0;l=a+20|0;if(!(b[(f[l>>2]|0)+49>>0]|0)){TDb(d,3,483670,6998);QDb(c+101|0,ODb(d,485726)|0);UDb(d)}d=f[a+72>>2]|0;if(d|0){m=a+28|0;BGb(e,f[(f[l>>2]|0)+8>>2]|0,d,0);switch(f[e>>2]|0){case 1:{f[m>>2]=11;f[a+60>>2]=f[e+4>>2];break}case 4:{f[m>>2]=14;f[a+64>>2]=f[e+4>>2];break}default:{}}}m=a+64|0;d=f[m>>2]|0;if(!d){u=c;return}n=a+80|0;if(f[n>>2]|0){u=c;return}o=a+76|0;if(f[o>>2]|0){Nmc(e,f[d+4>>2]|0);d=jnc(e,46,-1)|0;if((d|0)!=-1){Omc(i,e,0,d,e);pza(h,i,523604);JDa(g,h,f[o>>2]|0);Qmc(e,g)|0;if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0)}else Qmc(e,f[o>>2]|0)|0;BGb(g,f[(f[l>>2]|0)+8>>2]|0,e,0);if((f[g>>2]|0)==5)f[n>>2]=f[g+4>>2];if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);if(f[n>>2]|0){u=c;return}}e=f[m>>2]|0;if(!(f[e+24>>2]|0)){TDb(j,3,483670,7030);QDb(k,ODb(j,485777)|0);UDb(j);p=f[m>>2]|0}else p=e;f[n>>2]=f[p+28>>2];u=c;return}function BGb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;e=u;u=u+32|0;g=e+12|0;h=e;Nmc(g,d);d=g+11|0;i=b[d>>0]|0;j=i<<24>>24<0;if(((j?f[g+4>>2]|0:i&255)|0?(b[(j?f[g>>2]|0:g)>>0]|0)==46:0)?(Omc(h,g,1,-1,g),Qmc(g,h)|0,(b[h+11>>0]|0)<0):0)Emc(f[h>>2]|0);rFb(a,f[c+16>>2]|0,c,g);if((b[d>>0]|0)>=0){u=e;return}Emc(f[g>>2]|0);u=e;return}function CGb(){var a=0;a=f[222928]|0;if(!a)return;PS(a,f[a+4>>2]|0);Emc(a);return}function DGb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;e=u;u=u+32|0;g=e+16|0;h=e;i=f[c+24>>2]|0;if(i|0?(f[i>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(i,g)}i=f[c+60>>2]|0;if(f[i+72>>2]|0){j=0;u=e;return j|0}if((f[c+32>>2]|0)!=3){j=0;u=e;return j|0}if(f[i+68>>2]|0){j=0;u=e;return j|0}if(f[i+60>>2]|0){j=0;u=e;return j|0}if(f[i+64>>2]|0){j=0;u=e;return j|0}if((f[i+52>>2]|0)!=2){j=0;u=e;return j|0}k=f[i>>2]|0;FGb(h,f[c>>2]|0,0);pza(g,h,486523);l=b[k+11>>0]|0;m=l<<24>>24<0;n=l&255;l=m?f[k+4>>2]|0:n;o=b[g+11>>0]|0;p=o<<24>>24<0;a:do if((l|0)==((p?f[g+4>>2]|0:o&255)|0)){q=f[k>>2]|0;r=m?q:k;s=p?f[g>>2]|0:g;t=(l|0)==0;b:do if(m){if(!t?gac(r,s,l)|0:0){v=1;break a}}else if(!t){if((q&255)<<24>>24==(b[s>>0]|0)){w=k;x=n;y=s}else{v=1;break a}while(1){x=x+-1|0;w=w+1|0;if(!x)break b;y=y+1|0;if((b[w>>0]|0)!=(b[y>>0]|0)){v=1;break a}}}while(0);v=(f[c+48>>2]|0)!=(f[i+12>>2]|0)}else v=1;while(0);if(p)Emc(f[g>>2]|0);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);if(v){j=0;u=e;return j|0}v=f[i+20>>2]|0;i=v+88|0;if((f[v+32>>2]|0)!=1){j=0;u=e;return j|0}if((f[v+40>>2]|0)!=1){j=0;u=e;return j|0}h=f[v>>2]|0;p=b[h+11>>0]|0;if(((p<<24>>24<0?f[h+4>>2]|0:p&255)|0)!=3){j=0;u=e;return j|0}if(knc(h,0,-1,506385,3)|0){j=0;u=e;return j|0}if((f[v+120>>2]|0)!=1){j=0;u=e;return j|0}if((f[v+128>>2]|0)!=2){j=0;u=e;return j|0}h=f[i>>2]|0;p=b[h+11>>0]|0;if(((p<<24>>24<0?f[h+4>>2]|0:p&255)|0)!=5){j=0;u=e;return j|0}if(knc(h,0,-1,506389,5)|0){j=0;u=e;return j|0}h=f[v+24>>2]|0;do if(h|0){if((f[h>>2]|0)==2)break;f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=v;dEb(h,g)}while(0);switch(f[v+28>>2]|0){case 14:{MFb(a,f[c+4>>2]|0,d,2,486529);break}case 12:case 10:case 11:case 1:case 2:{MFb(a,f[c+4>>2]|0,d,2,486569);break}default:{}}h=v+112|0;p=f[h>>2]|0;do if(p|0){if((f[p>>2]|0)==2)break;f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=i;dEb(p,g)}while(0);if((f[v+116>>2]|0)!=14){j=1;u=e;return j|0}p=f[h>>2]|0;do if(p|0){if((f[p>>2]|0)==2)break;f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=i;dEb(p,g)}while(0);if(!(f[(f[(f[v+152>>2]|0)+28>>2]|0)+8>>2]|0)){j=1;u=e;return j|0}MFb(a,f[c+4>>2]|0,d,2,486635);j=1;u=e;return j|0}function EGb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+16|0;g=e;h=f[(f[c+68>>2]|0)+56>>2]|0;if(!h){u=e;return}i=f[c+24>>2]|0;if(i|0?(f[i>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(i,g)}switch(f[c+28>>2]|0){case 16:case 6:case 18:case 3:case 4:break;default:{MFb(a,f[c+4>>2]|0,d,2,486446);u=e;return}}if((h+-1|0)>>>0<2){u=e;return}i=f[c+4>>2]|0;c=(vUb()|0)+28|0;bza(g,486376,f[(f[c>>2]|0)+(h*20|0)>>2]|0);NFb(a,i,d,2,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);u=e;return}function FGb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;e=c+11|0;g=b[e>>0]|0;h=c+4|0;Umc(a,g<<24>>24<0?f[h>>2]|0:g&255);g=b[e>>0]|0;if((g<<24>>24<0?f[h>>2]|0:g&255)|0){i=d^1;j=0;k=g;while(1){g=b[(k<<24>>24<0?f[c>>2]|0:c)+j>>0]|0;do if(g<<24>>24!=95)if(i){l=g<<24>>24;bnc(a,((g+-97&255)<26?l+224|0:l)&255);m=0;break}else{bnc(a,g);m=0;break}else m=1;while(0);j=j+1|0;k=b[e>>0]|0;if(j>>>0>=(k<<24>>24<0?f[h>>2]|0:k&255)>>>0)break;else i=m}}if(!d)return;d=b[a+11>>0]|0;m=d<<24>>24<0;if(m)n=f[a+4>>2]|0;else n=d&255;if(!n)return;if(m)o=f[a>>2]|0;else o=a;n=b[o>>0]|0;o=n<<24>>24;if(m)p=f[a>>2]|0;else p=a;b[p>>0]=(n+-65&255)<26?o+32|0:o;return}function GGb(a,c){a=a|0;c=c|0;if(!c)return;GGb(a,f[c>>2]|0);GGb(a,f[c+4>>2]|0);a=c+20|0;if((b[a+11>>0]|0)<0)Emc(f[a>>2]|0);Emc(c);return}function HGb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;h=u;u=u+16|0;i=h;if((f[c>>2]|0)!=(d|0)?(j=f[d>>2]|0,(j|0)!=0):0){FDb(j);k=j;l=0}else{k=0;l=1}j=d+16|0;m=f[j>>2]|0;n=e+11|0;f[i>>2]=(b[n>>0]|0)<0?f[e>>2]|0:e;o=sFb(m+132|0,i)|0;if(o){m=o+12|0;o=f[m>>2]|0;p=f[m+4>>2]|0;m=a;f[m>>2]=o;f[m+4>>2]=p;if(!o)q=7}else{o=a;f[o>>2]=0;f[o+4>>2]=0;q=7}if((q|0)==7){q=f[d+12>>2]|0;if(!q)r=0;else{HGb(i,c,q,e,1);q=i;c=f[q>>2]|0;o=f[q+4>>2]|0;q=a;f[q>>2]=c;f[q+4>>2]=o;r=(c|0)!=0}if(!(r|g^1)?tFb(d,e)|0:0){d=f[j>>2]|0;f[i>>2]=(b[n>>0]|0)<0?f[e>>2]|0:e;e=sFb(d+132|0,i)|0;if(!e){s=0;t=0}else{i=e+12|0;s=f[i>>2]|0;t=f[i+4>>2]|0}i=a;f[i>>2]=s;f[i+4>>2]=t}}if(l){u=h;return}GDb(k);u=h;return}function IGb(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;i=u;u=u+48|0;j=i+28|0;k=i+16|0;l=i+8|0;m=i;f[c+72>>2]=0;n=c+88|0;o=n+11|0;if((b[o>>0]|0)<0){b[f[n>>2]>>0]=0;f[c+92>>2]=0}else{b[n>>0]=0;b[o>>0]=0}o=d+11|0;p=b[o>>0]|0;q=p<<24>>24<0;r=d+4|0;if((q?f[r>>2]|0:p&255)|0?(b[(q?f[d>>2]|0:d)>>0]|0)==46:0){Omc(j,d,1,-1,d);IHb(a,c,j,h);if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);u=i;return}q=inc(d,46,0)|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;if((q|0)!=-1){Omc(k,d,0,q,d);Qmc(j,k)|0;if((b[k+11>>0]|0)<0)Emc(f[k>>2]|0)}else Qmc(j,d)|0;Nmc(k,e);e=jnc(k,46,-1)|0;a:do if((e|0)==-1)s=22;else{q=k+11|0;p=k+4|0;t=j+11|0;v=j+4|0;b:do if((g|0)==1){w=e;while(1){enc(k,w,-1)|0;x=b[q>>0]|0;y=x<<24>>24<0?f[p>>2]|0:x&255;Xmc(k,1,46)|0;x=b[t>>0]|0;z=x<<24>>24<0;$mc(k,z?f[j>>2]|0:j,z?f[v>>2]|0:x&255)|0;IHb(l,c,k,h);x=f[l>>2]|0;c:do if(x|0){z=b[t>>0]|0;A=f[v>>2]|0;B=b[o>>0]|0;C=f[r>>2]|0;if((z<<24>>24<0?A:z&255)>>>0>=(B<<24>>24<0?C:B&255)>>>0)switch(x|0){case 1:case 4:{s=30;break b;break}default:break c}D=x+-1|0;if(D>>>0<8?(-87&255)>>>(D&255)&1:0){E=z;F=A;G=B;H=C;s=27;break b}}while(0);enc(k,y,-1)|0;w=jnc(k,46,-1)|0;if((w|0)==-1){s=22;break a}}}else{w=e;while(1){enc(k,w,-1)|0;x=b[q>>0]|0;C=x<<24>>24<0?f[p>>2]|0:x&255;Xmc(k,1,46)|0;x=b[t>>0]|0;B=x<<24>>24<0;$mc(k,B?f[j>>2]|0:j,B?f[v>>2]|0:x&255)|0;IHb(l,c,k,h);x=f[l>>2]|0;if(x|0){B=b[t>>0]|0;A=f[v>>2]|0;z=b[o>>0]|0;D=f[r>>2]|0;if((B<<24>>24<0?A:B&255)>>>0>=(z<<24>>24<0?D:z&255)>>>0){s=30;break b}I=x+-1|0;if(I>>>0<8?(-87&255)>>>(I&255)&1:0){E=B;F=A;G=z;H=D;s=27;break b}}enc(k,C,-1)|0;w=jnc(k,46,-1)|0;if((w|0)==-1){s=22;break a}}}while(0);if((s|0)==27){v=E<<24>>24<0?F:E&255;cnc(k,d,v,(G<<24>>24<0?H:G&255)-v|0)|0;IHb(m,c,k,h);v=m;t=f[v>>2]|0;p=f[v+4>>2]|0;v=l;f[v>>2]=t;f[v+4>>2]=p;if(!t)Qmc(n,k)|0;v=a;f[v>>2]=t;f[v+4>>2]=p}else if((s|0)==30){p=l;v=f[p+4>>2]|0;t=a;f[t>>2]=f[p>>2];f[t+4>>2]=v}J=q}while(0);if((s|0)==22){IHb(a,c,d,h);J=k+11|0}if((b[J>>0]|0)<0)Emc(f[k>>2]|0);if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);u=i;return}function JGb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;g=u;u=u+32|0;h=g+12|0;i=g;j=d+11|0;k=b[j>>0]|0;l=k<<24>>24<0;m=l?f[d+4>>2]|0:k&255;a:do if(m|0){k=l?f[d>>2]|0:d;n=0;o=0;while(1){p=b[k+n>>0]|0;do if(p<<24>>24>96)if(p<<24>>24<123)q=0;else break a;else{if(p<<24>>24>64)if(p<<24>>24<91|p<<24>>24==95){q=0;break}else break a;if(p<<24>>24>47)if(p<<24>>24<58){q=0;break}else break a;else if(o|p<<24>>24!=46)break a;else{q=1;break}}while(0);n=n+1|0;if(n>>>0>=m>>>0)break;else o=q}if(!q){o=c+16|0;n=f[o>>2]|0;if((b[k>>0]|0)==46){Omc(i,d,1,-1,d);p=Bmc(12)|0;Nmc(p,i);f[h>>2]=p;r=n+76|0;s=f[r>>2]|0;if((s|0)==(f[n+80>>2]|0))OFb(n+72|0,h);else{f[s>>2]=p;f[r>>2]=(f[r>>2]|0)+4}r=f[h>>2]|0;if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);t=r}else{r=Bmc(12)|0;Nmc(r,d);f[h>>2]=r;p=n+76|0;s=f[p>>2]|0;if((s|0)==(f[n+80>>2]|0))OFb(n+72|0,h);else{f[s>>2]=r;f[p>>2]=(f[p>>2]|0)+4}t=f[h>>2]|0}p=jnc(t,46,-1)|0;if((p|0)==-1)if((f[222908]|0)==2){v=t;w=535416;x=535416}else{f[h>>2]=149752;f[h+4>>2]=125;b[h+8>>0]=0;dEb(891632,h);zDb(h);v=t;w=535416;x=535416}else{r=f[o>>2]|0;Omc(i,t,0,p,t);s=Bmc(12)|0;Nmc(s,i);f[h>>2]=s;n=r+76|0;y=f[n>>2]|0;if((y|0)==(f[r+80>>2]|0))OFb(r+72|0,h);else{f[y>>2]=s;f[n>>2]=(f[n>>2]|0)+4}n=f[h>>2]|0;if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);s=f[o>>2]|0;Omc(i,t,p+1|0,-1,t);p=Bmc(12)|0;Nmc(p,i);f[h>>2]=p;y=s+76|0;r=f[y>>2]|0;if((r|0)==(f[s+80>>2]|0))OFb(s+72|0,h);else{f[r>>2]=p;f[y>>2]=(f[y>>2]|0)+4}y=f[h>>2]|0;if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);v=y;w=n;x=n}pza(h,t,489523);n=UFb(c,h)|0;if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);f[n+4>>2]=x;if((e|0)!=1){f[n+28>>2]=1;y=f[o>>2]|0;p=Bmc(88)|0;f[h>>2]=p;r=y+124|0;s=f[r>>2]|0;if((s|0)==(f[y+128>>2]|0))LR(y+120|0,h);else{f[s>>2]=p;f[r>>2]=(f[r>>2]|0)+4}r=f[h>>2]|0;f[n+68>>2]=r;z=r+12|0;A=z+76|0;do{f[z>>2]=0;z=z+4|0}while((z|0)<(A|0));f[r+4>>2]=t;f[r>>2]=v;f[r+8>>2]=n;k=AUb()|0;f[r+16>>2]=k;b[r+84>>0]=1;b[r+85>>0]=(b[((b[j>>0]|0)<0?f[d>>2]|0:d)>>0]|0)!=46&1;if((e|0)==2){f[r+68>>2]=1;k=f[o>>2]|0;p=Bmc(12)|0;f[h>>2]=p;s=k+124|0;y=f[s>>2]|0;if((y|0)==(f[k+128>>2]|0))LR(k+120|0,h);else{f[y>>2]=p;f[s>>2]=(f[s>>2]|0)+4}s=f[h>>2]|0;f[r+36>>2]=s;f[s>>2]=1;f[s+4>>2]=536870912}f[a>>2]=1;f[a+4>>2]=r;u=g;return}f[n+32>>2]=1;s=f[o>>2]|0;p=Bmc(48)|0;f[h>>2]=p;y=s+124|0;k=f[y>>2]|0;if((k|0)==(f[s+128>>2]|0))LR(s+120|0,h);else{f[k>>2]=p;f[y>>2]=(f[y>>2]|0)+4}y=f[h>>2]|0;f[n+72>>2]=y;z=y+12|0;A=z+36|0;do{f[z>>2]=0;z=z+4|0}while((z|0)<(A|0));f[y+4>>2]=t;f[y>>2]=v;f[y+8>>2]=n;r=GUb()|0;f[y+16>>2]=r;b[y+20>>0]=1;b[y+21>>0]=(b[((b[j>>0]|0)<0?f[d>>2]|0:d)>>0]|0)!=46&1;f[y+24>>2]=1;r=f[o>>2]|0;p=Bmc(20)|0;f[h>>2]=p;k=r+124|0;s=f[k>>2]|0;if((s|0)==(f[r+128>>2]|0))LR(r+120|0,h);else{f[s>>2]=p;f[k>>2]=(f[k>>2]|0)+4}k=f[h>>2]|0;f[y+28>>2]=k;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;p=f[o>>2]|0;s=Bmc(32)|0;f[i>>2]=s;f[i+8>>2]=-2147483616;f[i+4>>2]=17;z=s;r=489542;A=z+17|0;do{b[z>>0]=b[r>>0]|0;z=z+1|0;r=r+1|0}while((z|0)<(A|0));b[s+17>>0]=0;r=Bmc(12)|0;Nmc(r,i);f[h>>2]=r;n=p+76|0;B=f[n>>2]|0;if((B|0)==(f[p+80>>2]|0))OFb(p+72|0,h);else{f[B>>2]=r;f[n>>2]=(f[n>>2]|0)+4}f[k>>2]=f[h>>2];if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);n=b[x+11>>0]|0;if(n<<24>>24<0)C=f[w+4>>2]|0;else C=n&255;if(C){n=f[o>>2]|0;pza(i,w,489560);r=Bmc(12)|0;Nmc(r,i);f[h>>2]=r;B=n+76|0;D=f[B>>2]|0;if((D|0)==(f[n+80>>2]|0))OFb(n+72|0,h);else{f[D>>2]=r;f[B>>2]=(f[B>>2]|0)+4}f[k+4>>2]=f[h>>2];if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0)}else f[k+4>>2]=f[k>>2];f[k+8>>2]=0;f[k+12>>2]=y;B=IUb()|0;f[k+16>>2]=B;f[a>>2]=4;f[a+4>>2]=y;u=g;return}}while(0);i=a;f[i>>2]=0;f[i+4>>2]=0;u=g;return}function KGb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;a=u;u=u+64|0;e=a;g=a+8|0;h=a+24|0;i=a+48|0;xh[f[(f[d>>2]|0)+96>>2]&2047](e,d);j=f[e>>2]|0;k=Bmc(32)|0;f[g>>2]=k;f[g+8>>2]=-2147483616;f[g+4>>2]=20;l=k;m=483961;n=l+20|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));b[k+20>>0]=0;eGb(e,f[(f[j+8>>2]|0)+88>>2]|0,j,g);j=(f[e>>2]|0)==2;k=e;e=j?f[k+4>>2]|0:0;if(!((j?f[k>>2]|0:0)|0))o=0;else o=b[e+38>>0]|0?0:e;if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if(!o){TDb(h,3,483670,6491);QDb(i,ODb(h,489493)|0);UDb(h)}h=ci[f[(f[d>>2]|0)+92>>2]&1023](d)|0;i=Bg[f[(f[h>>2]|0)+300>>2]&127](h,d,o,0)|0;xh[f[(f[i>>2]|0)+72>>2]&2047](i,c);u=a;return}function LGb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;Emc(d);return}function MGb(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;i=u;u=u+96|0;j=i+64|0;k=i+48|0;l=i;m=i+44|0;n=i+40|0;o=i+36|0;p=i+32|0;q=i+8|0;r=i+80|0;if((f[c>>2]|0)==(f[d>>2]|0)){s=f[h>>2]|0;t=e+40|0;if(!s){v=1;u=i;return v|0}w=f[s>>2]|0;x=w;y=(f[s+4>>2]|0)-w>>4;w=0;while(1){if((w|0)>=(y|0)){v=1;z=12;break}if((f[x+(w<<4)>>2]|0)==(f[t>>2]|0))break;else w=w+1|0}if((z|0)==12){u=i;return v|0}bza(k,486963,g);pza(j,k,489474);NFb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[a+8>>2]|0,7,j);if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);if((b[k+11>>0]|0)<0)Emc(f[k>>2]|0);v=0;u=i;return v|0}w=j+4|0;t=j+8|0;x=j+12|0;y=0;a:while(1){s=f[h>>2]|0;if(!s)A=0;else A=(f[s+4>>2]|0)-(f[s>>2]|0)>>4;if((y|0)>=(A|0)){v=1;z=12;break}B=f[s>>2]|0;s=f[f[c>>2]>>2]|0;b:do if((f[B+(y<<4)>>2]|0)==(f[s+40>>2]|0)){C=f[s+24>>2]|0;if(C|0?(f[C>>2]|0)!=2:0){f[j>>2]=110868;f[w>>2]=1634;b[t>>0]=0;f[x>>2]=s;dEb(C,j)}D=f[s+28>>2]|0;switch(D|0){case 11:break;case 10:{if((f[B+(y<<4)+4>>2]|0)!=4)break b;f[o>>2]=(f[c>>2]|0)+4;f[p>>2]=f[d>>2];C=f[B+(y<<4)+8>>2]|0;f[k>>2]=f[o>>2];f[j>>2]=f[p>>2];if(MGb(a,k,j,e,g,C)|0)break b;else{v=0;z=12;break a}break}default:{z=30;break a}}if((f[B+(y<<4)+4>>2]|0)==3){f[l>>2]=0;C=f[B+(y<<4)+8>>2]|0;E=b[C+11>>0]|0;F=E<<24>>24<0;if(X3b(l,F?f[C>>2]|0:C,F?f[C+4>>2]|0:E&255)|0?(f[m>>2]=(f[c>>2]|0)+4,f[n>>2]=f[d>>2],f[k>>2]=f[m>>2],f[j>>2]=f[n>>2],!(MGb(a,k,j,e,g,l)|0)):0)G=1;else G=0;if(f[l>>2]|0)L3b(l);if(G|0){v=0;z=12;break a}}}while(0);y=y+1|0}if((z|0)==12){u=i;return v|0}else if((z|0)==30){TDb(q,3,483670,6551);QDb(r,RDb(ODb(q,487442)|0,D)|0);UDb(q);v=0;u=i;return v|0}return 0}function NGb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;e=u;u=u+112|0;g=e;h=e+88|0;i=e+76|0;j=e+64|0;k=e+52|0;l=e+40|0;m=e+28|0;o=e+16|0;q=c+24|0;r=f[q>>2]|0;if(r|0?(f[r>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(r,g)}r=c+28|0;a:do switch(f[149940+(f[r>>2]<<2)>>2]|0){case 1:{t=a+8|0;v=f[t>>2]|0;w=f[v+8>>2]|0;if(w&8|0){x=v+48|0;y=f[x>>2]|0;z=f[x+4>>2]|0;if(!(z>>>0>0|(z|0)==0&y>>>0>2147483647)){z=f[c+40>>2]|0;x=f[q>>2]|0;if(x|0?(f[x>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(x,g)}OGb(0,z,y,f[r>>2]|0,d);break a}bza(h,487482,f[c+4>>2]|0);pza(g,h,510410);NFb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[t>>2]|0,8,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);A=0;u=e;return A|0}if(!(w&16)){bza(h,487520,f[c+4>>2]|0);pza(g,h,510410);NFb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[t>>2]|0,8,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);A=0;u=e;return A|0}w=v+56|0;v=f[w>>2]|0;y=f[w+4>>2]|0;if(!((y|0)<-1|(y|0)==-1&v>>>0<2147483648)){y=f[c+40>>2]|0;w=f[q>>2]|0;if(w|0?(f[w>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(w,g)}OGb(0,y,v,f[r>>2]|0,d);break a}bza(h,487482,f[c+4>>2]|0);pza(g,h,510410);NFb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[t>>2]|0,8,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);A=0;u=e;return A|0}case 2:{t=a+8|0;v=f[t>>2]|0;y=f[v+8>>2]|0;if(!(y&8)){if(y&16|0){y=f[c+40>>2]|0;w=v+56|0;z=f[w>>2]|0;x=f[w+4>>2]|0;w=f[q>>2]|0;if(w|0?(f[w>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(w,g)}PGb(0,y,z,x,f[r>>2]|0,d);break a}bza(h,487599,f[c+4>>2]|0);pza(g,h,510410);NFb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[t>>2]|0,8,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);A=0;u=e;return A|0}else{x=v+48|0;v=f[x>>2]|0;z=f[x+4>>2]|0;if((z|0)>=0){x=f[c+40>>2]|0;y=f[q>>2]|0;if(y|0?(f[y>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(y,g)}PGb(0,x,v,z,f[r>>2]|0,d);break a}bza(h,487561,f[c+4>>2]|0);pza(g,h,510410);NFb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[t>>2]|0,8,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);A=0;u=e;return A|0}break}case 3:{t=a+8|0;z=f[t>>2]|0;if(!(f[z+8>>2]&8)){bza(h,487679,f[c+4>>2]|0);pza(g,h,510410);NFb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[t>>2]|0,8,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);A=0;u=e;return A|0}v=z+48|0;z=f[v>>2]|0;x=f[v+4>>2]|0;if(!(x>>>0>0|(x|0)==0&z>>>0>4294967295)){x=f[c+40>>2]|0;v=f[q>>2]|0;if(v|0?(f[v>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(v,g)}QGb(0,x,z,f[r>>2]|0,d);break a}bza(h,487640,f[c>>2]|0);pza(g,h,510410);NFb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[t>>2]|0,8,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);A=0;u=e;return A|0}case 4:{t=a+8|0;z=f[t>>2]|0;if(f[z+8>>2]&8|0){x=f[c+40>>2]|0;v=z+48|0;z=f[v>>2]|0;y=f[v+4>>2]|0;v=f[q>>2]|0;if(v|0?(f[v>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(v,g)}RGb(0,x,z,y,f[r>>2]|0,d);break a}bza(h,487734,f[c+4>>2]|0);pza(g,h,510410);NFb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[t>>2]|0,8,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);A=0;u=e;return A|0}case 6:{t=a+8|0;y=f[t>>2]|0;z=f[y+8>>2]|0;do if(!(z&32)){if(z&8|0){x=y+48|0;B=+((f[x>>2]|0)>>>0)+4294967296.0*+((f[x+4>>2]|0)>>>0);break}if(z&16|0){x=y+56|0;B=+((f[x>>2]|0)>>>0)+4294967296.0*+(f[x+4>>2]|0);break}bza(h,487789,f[c+4>>2]|0);pza(g,h,510410);NFb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[t>>2]|0,8,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);A=0;u=e;return A|0}else B=+p[y+64>>3];while(0);S3b(d,f[c+40>>2]|0,(n[s>>2]=B,f[s>>2]|0));break}case 5:{y=a+8|0;t=f[y>>2]|0;z=f[t+8>>2]|0;do if(!(z&32)){if(z&8|0){x=t+48|0;C=+((f[x>>2]|0)>>>0)+4294967296.0*+((f[x+4>>2]|0)>>>0);break}if(z&16|0){x=t+56|0;C=+((f[x>>2]|0)>>>0)+4294967296.0*+(f[x+4>>2]|0);break}bza(h,487829,f[c+4>>2]|0);pza(g,h,510410);NFb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[y>>2]|0,8,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);A=0;u=e;return A|0}else C=+p[t+64>>3];while(0);p[s>>3]=C;T3b(d,f[c+40>>2]|0,f[s>>2]|0,f[s+4>>2]|0);break}case 7:{t=a+8|0;y=f[t>>2]|0;if(!(f[y+8>>2]&1)){bza(h,487870,f[c+4>>2]|0);pza(g,h,510410);NFb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[t>>2]|0,8,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);A=0;u=e;return A|0}z=f[y+32>>2]|0;y=b[z+11>>0]|0;x=f[z+4>>2]|0;if(((y<<24>>24<0?x:y&255)|0)==4)if(!(knc(z,0,-1,524521,4)|0)){D=1;E=0}else{v=f[(f[t>>2]|0)+32>>2]|0;F=b[v+11>>0]|0;G=f[v+4>>2]|0;H=v;I=112}else{F=y;G=x;H=z;I=112}do if((I|0)==112){if(((F<<24>>24<0?G:F&255)|0)==5?(knc(H,0,-1,524515,5)|0)==0:0){D=0;E=0;break}bza(h,487916,f[c+4>>2]|0);pza(g,h,510410);NFb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[t>>2]|0,8,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);A=0;u=e;return A|0}while(0);R3b(d,f[c+40>>2]|0,D,E);break}case 8:{t=a+8|0;if(!(f[(f[t>>2]|0)+8>>2]&1)){bza(h,487969,f[c+4>>2]|0);pza(g,h,510410);NFb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[t>>2]|0,8,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);A=0;u=e;return A|0}z=f[q>>2]|0;if(z|0?(f[z>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(z,g)}z=c+64|0;x=f[z>>2]|0;y=f[(f[t>>2]|0)+32>>2]|0;v=x+8|0;w=f[(f[v>>2]|0)+8>>2]|0;if((f[222929]|0)!=2){f[g>>2]=149752;f[g+4>>2]=132;b[g+8>>0]=0;dEb(891716,g);zDb(g)}if((w|0)==(f[222930]|0)){eGb(g,f[(f[v>>2]|0)+88>>2]|0,x,y);v=(f[g>>2]|0)==5;w=g;if((v?f[w>>2]|0:0)|0){J=v?f[w+4>>2]|0:0;I=154}}else{w=x+4|0;Nmc(g,f[w>>2]|0);v=g+11|0;K=b[v>>0]|0;L=f[x>>2]|0;M=b[L+11>>0]|0;if(M<<24>>24<0)N=f[L+4>>2]|0;else N=M&255;Wmc(g,(K<<24>>24<0?f[g+4>>2]|0:K&255)-N|0,0);K=b[y+11>>0]|0;M=K<<24>>24<0;$mc(g,M?f[y>>2]|0:y,M?f[y+4>>2]|0:K&255)|0;K=f[a>>2]|0;HGb(h,K,f[K>>2]|0,g,1);if((f[h>>2]|0)==5){K=f[h+4>>2]|0;if((f[K+12>>2]|0)==(x|0)){O=K;P=0}else{bza(o,485596,f[w>>2]|0);pza(m,o,488019);JDa(l,m,y);pza(k,l,488042);JDa(j,k,f[c+4>>2]|0);pza(i,j,488057);NFb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[t>>2]|0,8,i);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);if((b[k+11>>0]|0)<0)Emc(f[k>>2]|0);if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0);if((b[m+11>>0]|0)<0)Emc(f[m>>2]|0);if((b[o+11>>0]|0)<0)Emc(f[o>>2]|0);O=0;P=1}}else{O=0;P=0}if((b[v>>0]|0)<0)Emc(f[g>>2]|0);if(!P){J=O;I=154}else{A=0;u=e;return A|0}}if((I|0)==154?J|0:0){v=f[J+8>>2]|0;R3b(d,f[c+40>>2]|0,v,((v|0)<0)<<31>>31);break a}v=f[q>>2]|0;if(v|0?(f[v>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(v,g)}bza(m,485596,f[(f[z>>2]|0)+4>>2]|0);pza(l,m,488019);JDa(k,l,y);pza(j,k,488042);JDa(i,j,f[c+4>>2]|0);pza(h,i,510410);NFb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[t>>2]|0,8,h);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);if((b[k+11>>0]|0)<0)Emc(f[k>>2]|0);if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0);if((b[m+11>>0]|0)<0)Emc(f[m>>2]|0);A=0;u=e;return A|0}case 9:{t=a+8|0;y=f[t>>2]|0;if(f[y+8>>2]&2|0){z=f[y+36>>2]|0;Qmc(U3b(d,f[c+40>>2]|0)|0,z)|0;break a}bza(h,488108,f[c+4>>2]|0);pza(g,h,510410);NFb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[t>>2]|0,8,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);A=0;u=e;return A|0}case 10:{if(!(TGb(a,c,d)|0)){A=0;u=e;return A|0}break}default:{}}while(0);A=1;u=e;return A|0}function OGb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0;a=u;u=u+32|0;f=a;switch(d|0){case 5:{R3b(e,b,c,((c|0)<0)<<31>>31);u=a;return}case 15:{S3b(e,b,c);u=a;return}case 17:{R3b(e,b,c<<1^c>>31,0);u=a;return}default:{TDb(f,3,483670,6886);QDb(a+24|0,RDb(ODb(f,489436)|0,d)|0);UDb(f);u=a;return}}}function PGb(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;a=u;u=u+32|0;g=a;switch(e|0){case 3:{R3b(f,b,c,d);u=a;return}case 16:{T3b(f,b,c,d);u=a;return}case 18:{h=Qrc(c|0,d|0,1)|0;i=J;R3b(f,b,h^(Hrc(c|0,d|0,63)|0),i^J);u=a;return}default:{TDb(g,3,483670,6908);QDb(a+24|0,RDb(ODb(g,489398)|0,e)|0);UDb(g);u=a;return}}}function QGb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0;a=u;u=u+32|0;f=a;switch(d|0){case 13:{R3b(e,b,c,0);u=a;return}case 7:{S3b(e,b,c);u=a;return}default:{TDb(f,3,483670,6925);QDb(a+24|0,RDb(ODb(f,489359)|0,d)|0);UDb(f);u=a;return}}}function RGb(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0;a=u;u=u+32|0;g=a;switch(e|0){case 4:{R3b(f,b,c,d);u=a;return}case 6:{T3b(f,b,c,d);u=a;return}default:{TDb(g,3,483670,6942);QDb(a+24|0,RDb(ODb(g,489320)|0,e)|0);UDb(g);u=a;return}}}function SGb(){var a=0,c=0;a=Bmc(52)|0;fVb(a);f[222931]=a;c=Bmc(40)|0;FHb(c,a,0);f[222930]=c;b[c+21>>0]=1;b[c+20>>0]=0;KDb(133);return}function TGb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;e=u;u=u+144|0;g=e+120|0;h=e+104|0;i=e+68|0;j=e+48|0;k=e+12|0;l=e;m=e+80|0;n=e+137|0;o=e+24|0;p=e+136|0;q=a+8|0;if(!(f[(f[q>>2]|0)+8>>2]&4)){bza(l,486963,f[c+4>>2]|0);pza(k,l,488156);JDa(j,k,f[c>>2]|0);pza(i,j,488217);JDa(h,i,f[c>>2]|0);pza(g,h,488289);NFb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[q>>2]|0,8,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);if((b[k+11>>0]|0)<0)Emc(f[k>>2]|0);if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0);r=0;u=e;return r|0}s=c+24|0;t=f[s>>2]|0;if(t|0?(f[t>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(t,g)}t=JVb(a+12|0,f[c+60>>2]|0)|0;v=ci[f[(f[t>>2]|0)+12>>2]&1023](t)|0;t=(v|0)==0;if(t){TDb(m,3,483670,6840);w=ODb(ODb(m,488304)|0,488342)|0;b[g>>0]=0;b[g+1>>0]=0;b[g+2>>0]=0;UGb(h,c,g);QDb(n,PDb(w,h)|0);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);UDb(m)}f[h>>2]=150212;m=h+4|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[i>>2]=150236;f[i+4>>2]=f[a>>2];b3b(j,0);f[j>>2]=h;f[j+4>>2]=i;if(D3b(j,f[(f[q>>2]|0)+40>>2]|0,v)|0){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;qDb(v,k)|0;i=f[s>>2]|0;if(i|0?(f[i>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(i,g)}i=c+28|0;if((f[i>>2]|0)==11){Qmc(U3b(d,f[c+40>>2]|0)|0,k)|0;x=k+11|0}else{w=f[s>>2]|0;if(w|0?(f[w>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(w,g)}if((f[i>>2]|0)!=10){TDb(o,3,483670,6860);QDb(p,ODb(o,488418)|0);UDb(o)}o=V3b(d,f[c+40>>2]|0)|0;d=k+11|0;p=b[d>>0]|0;i=p<<24>>24<0;X3b(o,i?f[k>>2]|0:k,i?f[k+4>>2]|0:p&255)|0;x=d}if((b[x>>0]|0)<0)Emc(f[k>>2]|0);y=1}else{bza(l,488375,f[c>>2]|0);pza(k,l,488414);JDa(g,k,m);NFb(f[a>>2]|0,(f[a+4>>2]|0)+12|0,f[q>>2]|0,8,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if((b[k+11>>0]|0)<0)Emc(f[k>>2]|0);if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0);y=0}c3b(j);f[h>>2]=150212;if((b[m+11>>0]|0)<0)Emc(f[m>>2]|0);if(t){r=y;u=e;return r|0}ai[f[(f[v>>2]|0)+4>>2]&2047](v);r=y;u=e;return r|0}function UGb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;e=u;u=u+400|0;g=e+360|0;h=e+320|0;i=e+280|0;j=e+240|0;k=e+200|0;l=e+160|0;m=e+120|0;n=e+80|0;o=e+40|0;p=e;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;q=c+38|0;if(!(b[q>>0]|0))r=0;else{s=f[(f[c+48>>2]|0)+4>>2]|0;t=b[s+11>>0]|0;v=t<<24>>24<0;f[g>>2]=v?f[s>>2]|0:s;f[g+4>>2]=v?f[s+4>>2]|0:t&255;f[h>>2]=0;f[h+4>>2]=-1;f[i>>2]=0;f[i+4>>2]=-1;f[j>>2]=0;f[j+4>>2]=-1;f[k>>2]=0;f[k+4>>2]=-1;f[l>>2]=0;f[l+4>>2]=-1;f[m>>2]=0;f[m+4>>2]=-1;f[n>>2]=0;f[n+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;i2b(a,488631,g,h,i,j,k,l,m,n,o,p);r=1}$Gb(c,r,0,a,d);if(!(b[q>>0]|0)){u=e;return}anc(a,509714)|0;u=e;return}function VGb(a){a=a|0;Emc(a);return}function WGb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;e=u;u=u+32|0;g=e+8|0;h=e;i=a+4|0;xh[f[(f[c>>2]|0)+96>>2]&2047](g,c);c=f[g>>2]|0;IGb(h,f[i>>2]|0,d,f[c+4>>2]|0,0,1);switch(f[h>>2]|0){case 2:{d=f[h+4>>2]|0;j=(b[d+38>>0]|0)==0?0:d;u=e;return j|0}case 1:{if(!(b[(f[c+16>>2]|0)+48>>0]|0)){j=0;u=e;return j|0}d=f[h+4>>2]|0;h=d+72|0;if((f[h>>2]|0)<=0){j=0;u=e;return j|0}i=d+40|0;a=g+4|0;k=g+8|0;l=g+12|0;m=g+4|0;n=g+8|0;o=g+12|0;p=0;while(1){q=f[i>>2]|0;r=q+(p*88|0)|0;if((f[q+(p*88|0)+48>>2]|0)==(c|0)){s=q+(p*88|0)+24|0;t=f[s>>2]|0;if(t|0?(f[t>>2]|0)!=2:0){f[g>>2]=110868;f[m>>2]=1634;b[n>>0]=0;f[o>>2]=r;dEb(t,g)}if((f[q+(p*88|0)+28>>2]|0)==11?(f[q+(p*88|0)+32>>2]|0)==1:0){t=f[s>>2]|0;if(t|0?(f[t>>2]|0)!=2:0){f[g>>2]=110868;f[a>>2]=1634;b[k>>0]=0;f[l>>2]=r;dEb(t,g)}if((f[q+(p*88|0)+60>>2]|0)==(d|0)){j=r;v=19;break}}}p=p+1|0;if((p|0)>=(f[h>>2]|0)){j=0;v=19;break}}if((v|0)==19){u=e;return j|0}break}default:{j=0;u=e;return j|0}}return 0}function XGb(a){a=a|0;var c=0;f[a>>2]=150212;c=a+4|0;if((b[c+11>>0]|0)>=0)return;Emc(f[c>>2]|0);return}function YGb(a){a=a|0;var c=0;f[a>>2]=150212;c=a+4|0;if((b[c+11>>0]|0)>=0){Emc(a);return}Emc(f[c>>2]|0);Emc(a);return}function ZGb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0;d=a+4|0;c=b[d+11>>0]|0;if(c<<24>>24<0)g=f[a+8>>2]|0;else g=c&255;if(g|0)anc(d,488570)|0;g=b[e+11>>0]|0;c=g<<24>>24<0;$mc(d,c?f[e>>2]|0:e,c?f[e+4>>2]|0:g&255)|0;return}function _Gb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return}function $Gb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;h=u;u=u+576|0;i=h+536|0;j=h+524|0;k=h+512|0;l=h+472|0;m=h+400|0;n=h+360|0;o=h+320|0;p=h+280|0;q=h+240|0;r=h+200|0;s=h+160|0;t=h+120|0;v=h+80|0;w=h+40|0;x=h;y=c<<1;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;if(y>>>0>4294967279)Lmc(j);if(y>>>0<11){b[j+11>>0]=y;if(!c)z=j;else{A=j;B=6}}else{C=y+16&-16;D=Bmc(C)|0;f[j>>2]=D;f[j+8>>2]=C|-2147483648;f[j+4>>2]=y;A=D;B=6}if((B|0)==6){Drc(A|0,32,y|0)|0;z=A}b[z+y>>0]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;y=a+24|0;z=f[y>>2]|0;if(z|0?(f[z>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=a;dEb(z,i)}z=a+28|0;if((f[z>>2]|0)==11?(A=a+60|0,(b[(f[(f[A>>2]|0)+16>>2]|0)+51>>0]|0)!=0):0){D=f[y>>2]|0;if(D|0?(f[D>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=a;dEb(D,i)}aHb(m,f[(f[A>>2]|0)+20>>2]|0);D=m+11|0;C=b[D>>0]|0;E=C<<24>>24<0;f[l>>2]=E?f[m>>2]|0:m;f[l+4>>2]=E?f[m+4>>2]|0:C&255;C=f[y>>2]|0;if(C|0?(f[C>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=a;dEb(C,i)}aHb(o,(f[(f[A>>2]|0)+20>>2]|0)+88|0);A=o+11|0;C=b[A>>0]|0;E=C<<24>>24<0;f[n>>2]=E?f[o>>2]|0:o;f[n+4>>2]=E?f[o+4>>2]|0:C&255;f[i>>2]=0;f[i+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;f[t>>2]=0;f[t+4>>2]=-1;f[v>>2]=0;f[v+4>>2]=-1;f[w>>2]=0;f[w+4>>2]=-1;i2b(k,488645,l,n,i,p,q,r,s,t,v,w);if((b[A>>0]|0)<0)Emc(f[o>>2]|0);if((b[D>>0]|0)<0)Emc(f[m>>2]|0)}else B=23;if((B|0)==23?(aHb(i,a),Qmc(k,i)|0,(b[i+11>>0]|0)<0):0)Emc(f[i>>2]|0);D=a+32|0;if((f[D>>2]|0)==1)if((d|0)!=1?(f[(f[a+20>>2]|0)+44>>2]|0)!=3:0)B=29;else B=34;else B=29;do if((B|0)==29){d=f[y>>2]|0;if(d|0?(f[d>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=a;dEb(d,i)}if((f[z>>2]|0)==11?b[(f[(f[a+60>>2]|0)+16>>2]|0)+51>>0]|0:0){B=34;break};f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;Vmc(l,f[150136+(f[D>>2]<<2)>>2]|0)|0;bnc(l,32);F=l}while(0);if((B|0)==34){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;F=l}D=m+4|0;d=m+20|0;A=d;C=A+36|0;do{f[A>>2]=0;A=A+4|0}while((A|0)<(C|0));A=m+56|0;b[A>>0]=b[g>>0]|0;b[A+1>>0]=b[g+1>>0]|0;b[A+2>>0]=b[g+2>>0]|0;A=m+60|0;Nmc(A,j);if(!(b[g>>0]|0))G=0;else G=bHb(a,D)|0;b[m>>0]=G&1;cHb(m,e);G=j+11|0;D=b[G>>0]|0;C=D<<24>>24<0;f[n>>2]=C?f[j>>2]|0:j;f[n+4>>2]=C?f[j+4>>2]|0:D&255;D=l+11|0;C=b[D>>0]|0;E=C<<24>>24<0;f[o>>2]=E?f[l>>2]|0:F;f[o+4>>2]=E?f[l+4>>2]|0:C&255;C=k+11|0;E=b[C>>0]|0;F=E<<24>>24<0;f[p>>2]=F?f[k>>2]|0:k;f[p+4>>2]=F?f[k+4>>2]|0:E&255;E=f[y>>2]|0;if(E|0?(f[E>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=a;dEb(E,i)}if((f[z>>2]|0)==10){E=f[y>>2]|0;if(E|0?(f[E>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=a;dEb(E,i)}H=f[a+60>>2]|0}else H=a;E=f[H>>2]|0;H=b[E+11>>0]|0;F=H<<24>>24<0;f[q>>2]=F?f[E>>2]|0:E;f[q+4>>2]=F?f[E+4>>2]|0:H&255;H=A6b(f[a+40>>2]|0,i+8|0)|0;f[i>>2]=H;E=s8b(H)|0;f[i+4>>2]=E;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;f[t>>2]=0;f[t+4>>2]=-1;f[v>>2]=0;f[v+4>>2]=-1;f[w>>2]=0;f[w+4>>2]=-1;i2b(e,488657,n,o,p,q,i,r,s,t,v,w);if(!(b[a+36>>0]|0))I=0;else{dHb(n,a,1);E=n+11|0;H=b[E>>0]|0;F=H<<24>>24<0;f[i>>2]=F?f[n>>2]|0:n;f[i+4>>2]=F?f[n+4>>2]|0:H&255;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;f[t>>2]=0;f[t+4>>2]=-1;f[v>>2]=0;f[v+4>>2]=-1;f[w>>2]=0;f[w+4>>2]=-1;f[x>>2]=0;f[x+4>>2]=-1;i2b(e,488672,i,o,p,q,r,s,t,v,w,x);if((b[E>>0]|0)<0)Emc(f[n>>2]|0);I=1}if(!(b[a+37>>0]|0))J=I;else{if(I)anc(e,523537)|0;else anc(e,509775)|0;anc(e,488687)|0;y6b(i,f[a+16>>2]|0);I=i+11|0;E=b[I>>0]|0;x=E<<24>>24<0;$mc(e,x?f[i>>2]|0:i,x?f[i+4>>2]|0:E&255)|0;if((b[I>>0]|0)<0)Emc(f[i>>2]|0);anc(e,509777)|0;J=1};f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;if(!(eHb(c,f[a+68>>2]|0,f[(f[a+20>>2]|0)+8>>2]|0,n)|0)){if(J)B=61}else{anc(e,J?523537:523307)|0;J=b[n+11>>0]|0;I=J<<24>>24<0;$mc(e,I?f[n>>2]|0:n,I?f[n+4>>2]|0:J&255)|0;B=61}if((B|0)==61)anc(e,523362)|0;B=f[y>>2]|0;if(B|0?(f[B>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=a;dEb(B,i)}do if((f[z>>2]|0)==10){if(b[g+1>>0]|0){anc(e,488701)|0;break}B=f[y>>2]|0;if(B|0?(f[B>>2]|0)!=2:0){f[i>>2]=110868;f[i+4>>2]=1634;b[i+8>>0]=0;f[i+12>>2]=a;dEb(B,i)}fHb(f[a+60>>2]|0,c,e,g,0)}else anc(e,488712)|0;while(0);gHb(m,e);if((b[n+11>>0]|0)<0)Emc(f[n>>2]|0);if((b[A+11>>0]|0)<0)Emc(f[A>>2]|0);A=m+44|0;n=f[A>>2]|0;if(n|0){e=m+48|0;g=f[e>>2]|0;if((g|0)==(n|0))K=n;else{c=g;while(1){g=c+-12|0;f[e>>2]=g;if((b[g+11>>0]|0)<0){Emc(f[g>>2]|0);L=f[e>>2]|0}else L=g;if((L|0)==(n|0))break;else c=L}K=f[A>>2]|0}Emc(K)}K=m+32|0;if((b[K+11>>0]|0)<0)Emc(f[K>>2]|0);if((b[d+11>>0]|0)<0)Emc(f[d>>2]|0);if((b[D>>0]|0)<0)Emc(f[l>>2]|0);if((b[C>>0]|0)<0)Emc(f[k>>2]|0);if((b[G>>0]|0)>=0){u=h;return}Emc(f[j>>2]|0);u=h;return}function aHb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+16|0;e=d;g=c+24|0;h=f[g>>2]|0;if(h|0?(f[h>>2]|0)!=2:0){f[e>>2]=110868;f[e+4>>2]=1634;b[e+8>>0]=0;f[e+12>>2]=c;dEb(h,e)}h=c+28|0;switch(f[h>>2]|0){case 11:{i=f[g>>2]|0;if(i|0?(f[i>>2]|0)!=2:0){f[e>>2]=110868;f[e+4>>2]=1634;b[e+8>>0]=0;f[e+12>>2]=c;dEb(i,e)}bza(a,523604,f[(f[c+60>>2]|0)+4>>2]|0);u=d;return}case 14:{i=f[g>>2]|0;if(i|0?(f[i>>2]|0)!=2:0){f[e>>2]=110868;f[e+4>>2]=1634;b[e+8>>0]=0;f[e+12>>2]=c;dEb(i,e)}bza(a,523604,f[(f[c+64>>2]|0)+4>>2]|0);u=d;return}default:{i=f[g>>2]|0;if(i|0?(f[i>>2]|0)!=2:0){f[e>>2]=110868;f[e+4>>2]=1634;b[e+8>>0]=0;f[e+12>>2]=c;dEb(i,e)}e=f[150016+(f[h>>2]<<2)>>2]|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;h=s8b(e)|0;if(h>>>0>4294967279)Lmc(a);if(h>>>0<11){b[a+11>>0]=h;if(!h)j=a;else{k=a;l=21}}else{i=h+16&-16;c=Bmc(i)|0;f[a>>2]=c;f[a+8>>2]=i|-2147483648;f[a+4>>2]=h;k=c;l=21}if((l|0)==21){Krc(k|0,e|0,h|0)|0;j=k}b[j+h>>0]=0;u=d;return}}}function bHb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;f[d>>2]=0;e=d+4|0;f[e>>2]=0;f[d+8>>2]=0;EHb(a,d);g=pHb(f[a+20>>2]|0,d,b)|0;b=f[d>>2]|0;if(!b){u=c;return g|0}d=f[e>>2]|0;if((d|0)!=(b|0))f[e>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b);u=c;return g|0}function cHb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+16|0;e=d;if(!(b[a>>0]|0)){u=d;return}g=a+44|0;h=a+48|0;i=f[g>>2]|0;if((f[h>>2]|0)!=(i|0)){j=e+11|0;k=e+4|0;l=0;m=i;do{hHb(e,a,m+(l*12|0)|0);i=b[j>>0]|0;n=i<<24>>24<0;$mc(c,n?f[e>>2]|0:e,n?f[k>>2]|0:i&255)|0;if((b[j>>0]|0)<0)Emc(f[e>>2]|0);anc(c,509874)|0;l=l+1|0;m=f[g>>2]|0}while(l>>>0<(((f[h>>2]|0)-m|0)/12|0)>>>0)}m=a+20|0;h=b[m+11>>0]|0;if(h<<24>>24<0)o=f[a+24>>2]|0;else o=h&255;if(!o){u=d;return}hHb(e,a,m);m=e+11|0;a=b[m>>0]|0;o=a<<24>>24<0;$mc(c,o?f[e>>2]|0:e,o?f[e+4>>2]|0:a&255)|0;if((b[m>>0]|0)<0)Emc(f[e>>2]|0);u=d;return}function dHb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0;e=u;u=u+112|0;g=e+88|0;h=e+64|0;i=e+24|0;j=e+40|0;k=e+105|0;l=e;m=e+104|0;if(!(b[c+36>>0]|0)){TDb(h,3,483670,1934);QDb(e+106|0,ODb(ODb(h,489177)|0,489213)|0);UDb(h)}h=c+24|0;o=f[h>>2]|0;if(o|0?(f[o>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(o,g)}o=c+28|0;do switch(f[149940+(f[o>>2]<<2)>>2]|0){case 1:{E6b(a,f[c+80>>2]|0);u=e;return}case 2:{q=c+80|0;G6b(a,f[q>>2]|0,f[q+4>>2]|0);u=e;return}case 3:{F6b(a,f[c+80>>2]|0);u=e;return}case 4:{q=c+80|0;H6b(a,f[q>>2]|0,f[q+4>>2]|0);u=e;return}case 6:{K6b(a,+n[c+80>>2]);u=e;return}case 5:{I6b(a,+p[c+80>>3]);u=e;return}case 7:{q=(b[c+80>>0]|0)!=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;r=q?4:5;b[a+11>>0]=r;Krc(a|0,(q?524521:524515)|0,r|0)|0;b[a+r>>0]=0;u=e;return}case 9:{if(d){y6b(i,f[c+80>>2]|0);bza(g,509777,i);pza(a,g,509777);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);u=e;return}r=f[h>>2]|0;if(r|0?(f[r>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(r,g)}r=f[c+80>>2]|0;if((f[o>>2]|0)==12){y6b(a,r);u=e;return}else{Nmc(a,r);u=e;return}break}case 8:{r=f[h>>2]|0;if(r|0?(f[r>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(r,g)}Nmc(a,f[f[c+80>>2]>>2]|0);u=e;return}case 10:{TDb(j,2,483670,1972);QDb(k,ODb(j,489230)|0);UDb(j);break}default:{}}while(0);TDb(l,3,483670,1975);QDb(m,ODb(l,489266)|0);UDb(l);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;u=e;return}function eHb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;g=u;u=u+64|0;h=g+24|0;i=g+12|0;j=g;f[i>>2]=0;k=i+4|0;f[k>>2]=0;f[i+8>>2]=0;if(CHb(a,c,d,i)|0){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;d=f[i>>2]|0;c=f[k>>2]|0;if((d|0)==(c|0)){l=j+11|0;m=j;n=0;o=0;p=0}else{a=h+4|0;q=d;do{if((q|0)!=(d|0))anc(j,523537)|0;r=b[q+11>>0]|0;s=r<<24>>24<0;f[h>>2]=s?f[q>>2]|0:q;f[a>>2]=s?f[q+4>>2]|0:r&255;Q6b(j,h);q=q+12|0}while((q|0)!=(c|0));c=j+11|0;l=c;m=j;n=b[c>>0]|0;o=f[j>>2]|0;p=f[j+4>>2]|0}c=n<<24>>24<0;$mc(e,c?o:j,c?p:n&255)|0;if((b[l>>0]|0)<0)Emc(f[m>>2]|0)}m=f[i>>2]|0;l=f[k>>2]|0;n=(m|0)!=(l|0);if(!m){u=g;return n|0}if((l|0)==(m|0))t=m;else{p=l;while(1){l=p+-12|0;f[k>>2]=l;if((b[l+11>>0]|0)<0){Emc(f[l>>2]|0);v=f[k>>2]|0}else v=l;if((v|0)==(m|0))break;else p=v}t=f[i>>2]|0}Emc(t);u=g;return n|0}function fHb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0;h=u;u=u+576|0;i=h+528|0;j=h+512|0;k=h+440|0;l=h+400|0;m=h+360|0;n=h+320|0;o=h+280|0;p=h+240|0;q=h+200|0;r=h+160|0;s=h+120|0;t=h+80|0;v=h+40|0;w=h;x=a+16|0;if(b[(f[x>>2]|0)+51>>0]|0){u=h;return}y=c<<1;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;if(y>>>0>4294967279)Lmc(j);if(y>>>0<11){b[j+11>>0]=y;if(!c)z=j;else{A=j;B=7}}else{C=y+16&-16;D=Bmc(C)|0;f[j>>2]=D;f[j+8>>2]=C|-2147483648;f[j+4>>2]=y;A=D;B=7}if((B|0)==7){Drc(A|0,32,y|0)|0;z=A}b[z+y>>0]=0;y=c+1|0;z=k+4|0;A=k+20|0;D=A;C=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(C|0));D=k+56|0;b[D>>0]=b[e>>0]|0;b[D+1>>0]=b[e+1>>0]|0;b[D+2>>0]=b[e+2>>0]|0;D=k+60|0;Nmc(D,j);if(!(b[e>>0]|0))E=0;else E=iHb(a,z)|0;b[k>>0]=E&1;cHb(k,d);if(g){g=b[j+11>>0]|0;E=g<<24>>24<0;f[i>>2]=E?f[j>>2]|0:j;f[i+4>>2]=E?f[j+4>>2]|0:g&255;g=f[a>>2]|0;E=b[g+11>>0]|0;z=E<<24>>24<0;f[l>>2]=z?f[g>>2]|0:g;f[l+4>>2]=z?f[g+4>>2]|0:E&255;f[m>>2]=0;f[m+4>>2]=-1;f[n>>2]=0;f[n+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;f[t>>2]=0;f[t+4>>2]=-1;i2b(d,488724,i,l,m,n,o,p,q,r,s,t)}anc(d,509771)|0;jHb(y,f[x>>2]|0,f[(f[a+8>>2]|0)+8>>2]|0,d)|0;x=l+4|0;f[x>>2]=0;E=l+8|0;f[E>>2]=0;g=l+4|0;f[l>>2]=g;z=a+52|0;if((f[z>>2]|0)>0){C=a+20|0;F=i+4|0;G=i+8|0;H=i+12|0;I=i+4|0;J=i+8|0;K=i+12|0;L=0;do{M=f[C>>2]|0;N=M+(L*88|0)|0;O=f[M+(L*88|0)+24>>2]|0;if(O|0?(f[O>>2]|0)!=2:0){f[i>>2]=110868;f[I>>2]=1634;b[J>>0]=0;f[K>>2]=N;dEb(O,i)}if((f[M+(L*88|0)+28>>2]|0)==10){M=f[C>>2]|0;O=M+(L*88|0)|0;N=f[M+(L*88|0)+24>>2]|0;if(N|0?(f[N>>2]|0)!=2:0){f[i>>2]=110868;f[F>>2]=1634;b[G>>0]=0;f[H>>2]=O;dEb(N,i)}N=f[M+(L*88|0)+60>>2]|0;M=N;O=f[g>>2]|0;do if(O){P=x;Q=O;while(1){R=f[Q+16>>2]|0;if(N>>>0<R>>>0){S=f[Q>>2]|0;if(!S){B=27;break}else{T=Q;U=S}}else{if(R>>>0>=N>>>0){B=31;break}V=Q+4|0;R=f[V>>2]|0;if(!R){B=30;break}else{T=V;U=R}}P=T;Q=U}if((B|0)==27){B=0;W=Q;X=Q;break}else if((B|0)==30){B=0;W=V;X=Q;break}else if((B|0)==31){B=0;W=P;X=Q;break}}else{W=g;X=g}while(0);if(!(f[W>>2]|0)){N=Bmc(20)|0;f[N+16>>2]=M;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=X;f[W>>2]=N;O=f[f[l>>2]>>2]|0;if(!O)Y=N;else{f[l>>2]=O;Y=f[W>>2]|0}RS(f[x>>2]|0,Y);f[E>>2]=(f[E>>2]|0)+1}}L=L+1|0}while((L|0)<(f[z>>2]|0))}L=a+72|0;if((f[L>>2]|0)>0){Y=a+40|0;W=i+4|0;X=i+8|0;V=i+12|0;U=i+4|0;T=i+8|0;H=i+12|0;G=0;do{F=f[Y>>2]|0;C=F+(G*88|0)|0;K=f[F+(G*88|0)+24>>2]|0;if(K|0?(f[K>>2]|0)!=2:0){f[i>>2]=110868;f[U>>2]=1634;b[T>>0]=0;f[H>>2]=C;dEb(K,i)}if((f[F+(G*88|0)+28>>2]|0)==10){F=f[Y>>2]|0;K=F+(G*88|0)|0;C=f[F+(G*88|0)+24>>2]|0;if(C|0?(f[C>>2]|0)!=2:0){f[i>>2]=110868;f[W>>2]=1634;b[X>>0]=0;f[V>>2]=K;dEb(C,i)}C=f[F+(G*88|0)+60>>2]|0;F=C;K=f[g>>2]|0;do if(K){J=x;I=K;while(1){O=f[I+16>>2]|0;if(C>>>0<O>>>0){N=f[I>>2]|0;if(!N){B=50;break}else{Z=I;_=N}}else{if(O>>>0>=C>>>0){B=54;break}$=I+4|0;O=f[$>>2]|0;if(!O){B=53;break}else{Z=$;_=O}}J=Z;I=_}if((B|0)==50){B=0;aa=I;ba=I;break}else if((B|0)==53){B=0;aa=$;ba=I;break}else if((B|0)==54){B=0;aa=J;ba=I;break}}else{aa=g;ba=g}while(0);if(!(f[aa>>2]|0)){C=Bmc(20)|0;f[C+16>>2]=F;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=ba;f[aa>>2]=C;K=f[f[l>>2]>>2]|0;if(!K)ca=C;else{f[l>>2]=K;ca=f[aa>>2]|0}RS(f[x>>2]|0,ca);f[E>>2]=(f[E>>2]|0)+1}}G=G+1|0}while((G|0)<(f[L>>2]|0))}G=a+60|0;E=f[G>>2]|0;if((E|0)>0){ca=a+28|0;x=0;aa=E;while(1){E=(f[ca>>2]|0)+(x*88|0)|0;ba=f[g>>2]|0;a:do if(!ba)B=68;else{$=ba;while(1){_=f[$+16>>2]|0;if(E>>>0<_>>>0)da=$;else{if(_>>>0>=E>>>0){ea=aa;break a}da=$+4|0}$=f[da>>2]|0;if(!$){B=68;break}}}while(0);if((B|0)==68){B=0;fHb(E,y,d,e,1);ea=f[G>>2]|0}x=x+1|0;if((x|0)>=(ea|0))break;else aa=ea}}ea=a+64|0;if((f[ea>>2]|0)>0){aa=a+32|0;x=0;do{kHb((f[aa>>2]|0)+(x*48|0)|0,y,d,e);x=x+1|0}while((x|0)<(f[ea>>2]|0))}if((f[z>>2]|0)>0){ea=a+20|0;x=0;do{aa=f[ea>>2]|0;G=aa+(x*88|0)|0;B=f[aa+(x*88|0)+52>>2]|0;if(B){if((f[f[B+20>>2]>>2]|0)==(G|0))lHb(B,y,d,e)}else $Gb(G,y,0,d,e);x=x+1|0}while((x|0)<(f[z>>2]|0))}z=a+68|0;if((f[z>>2]|0)>0){x=j+11|0;y=i+4|0;ea=j+4|0;G=a+36|0;B=m+8|0;aa=m+4|0;da=n+8|0;ca=n+4|0;ba=o+4|0;F=p+4|0;$=q+4|0;I=r+4|0;J=s+4|0;_=t+4|0;Z=v+4|0;V=0;do{X=b[x>>0]|0;W=X<<24>>24<0;f[i>>2]=W?f[j>>2]|0:j;f[y>>2]=W?f[ea>>2]|0:X&255;X=A6b(f[(f[G>>2]|0)+(V*12|0)>>2]|0,B)|0;f[m>>2]=X;W=s8b(X)|0;f[aa>>2]=W;W=A6b((f[(f[G>>2]|0)+(V*12|0)+4>>2]|0)+-1|0,da)|0;f[n>>2]=W;X=s8b(W)|0;f[ca>>2]=X;f[o>>2]=0;f[ba>>2]=-1;f[p>>2]=0;f[F>>2]=-1;f[q>>2]=0;f[$>>2]=-1;f[r>>2]=0;f[I>>2]=-1;f[s>>2]=0;f[J>>2]=-1;f[t>>2]=0;f[_>>2]=-1;f[v>>2]=0;f[Z>>2]=-1;i2b(d,488737,i,m,n,o,p,q,r,s,t,v);V=V+1|0}while((V|0)<(f[z>>2]|0))}if((f[L>>2]|0)>0){z=a+40|0;V=c+2|0;c=j+11|0;Z=i+4|0;_=j+4|0;J=m+4|0;I=n+4|0;$=o+4|0;F=p+4|0;ba=q+4|0;ca=r+4|0;da=s+4|0;G=t+4|0;aa=v+4|0;B=i+4|0;ea=m+4|0;y=n+4|0;x=o+4|0;X=p+4|0;W=q+4|0;Y=r+4|0;H=s+4|0;T=t+4|0;U=v+4|0;K=0;C=0;while(1){M=f[z>>2]|0;Q=f[M+(K*88|0)+48>>2]|0;if((Q|0)==(C|0)){fa=C;ga=M}else{if((K|0)>0){M=b[c>>0]|0;P=M<<24>>24<0;f[i>>2]=P?f[j>>2]|0:j;f[Z>>2]=P?f[_>>2]|0:M&255;f[m>>2]=0;f[J>>2]=-1;f[n>>2]=0;f[I>>2]=-1;f[o>>2]=0;f[$>>2]=-1;f[p>>2]=0;f[F>>2]=-1;f[q>>2]=0;f[ba>>2]=-1;f[r>>2]=0;f[ca>>2]=-1;f[s>>2]=0;f[da>>2]=-1;f[t>>2]=0;f[G>>2]=-1;f[v>>2]=0;f[aa>>2]=-1;i2b(d,488763,i,m,n,o,p,q,r,s,t,v);ha=f[(f[z>>2]|0)+(K*88|0)+48>>2]|0}else ha=Q;Q=b[c>>0]|0;M=Q<<24>>24<0;f[i>>2]=M?f[j>>2]|0:j;f[B>>2]=M?f[_>>2]|0:Q&255;Q=f[ha+4>>2]|0;M=b[Q+11>>0]|0;P=M<<24>>24<0;f[m>>2]=P?f[Q>>2]|0:Q;f[ea>>2]=P?f[Q+4>>2]|0:M&255;f[n>>2]=0;f[y>>2]=-1;f[o>>2]=0;f[x>>2]=-1;f[p>>2]=0;f[X>>2]=-1;f[q>>2]=0;f[W>>2]=-1;f[r>>2]=0;f[Y>>2]=-1;f[s>>2]=0;f[H>>2]=-1;f[t>>2]=0;f[T>>2]=-1;f[v>>2]=0;f[U>>2]=-1;i2b(d,488770,i,m,n,o,p,q,r,s,t,v);fa=ha;ga=f[z>>2]|0}$Gb(ga+(K*88|0)|0,V,0,d,e);K=K+1|0;ia=f[L>>2]|0;if((K|0)>=(ia|0))break;else C=fa}if((ia|0)>0){ia=b[j+11>>0]|0;fa=ia<<24>>24<0;f[i>>2]=fa?f[j>>2]|0:j;f[i+4>>2]=fa?f[j+4>>2]|0:ia&255;f[m>>2]=0;f[m+4>>2]=-1;f[n>>2]=0;f[n+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;f[t>>2]=0;f[t+4>>2]=-1;f[v>>2]=0;f[v+4>>2]=-1;i2b(d,488763,i,m,n,o,p,q,r,s,t,v)}}ia=a+76|0;if((f[ia>>2]|0)>0){fa=b[j+11>>0]|0;C=fa<<24>>24<0;f[i>>2]=C?f[j>>2]|0:j;f[i+4>>2]=C?f[j+4>>2]|0:fa&255;f[m>>2]=0;f[m+4>>2]=-1;f[n>>2]=0;f[n+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;f[t>>2]=0;f[t+4>>2]=-1;f[v>>2]=0;f[v+4>>2]=-1;i2b(d,488788,i,m,n,o,p,q,r,s,t,v);if((f[ia>>2]|0)>0){fa=a+44|0;C=i+8|0;K=i+4|0;L=m+4|0;e=n+4|0;V=o+4|0;ga=p+4|0;z=q+4|0;ha=r+4|0;U=s+4|0;T=t+4|0;H=v+4|0;Y=i+8|0;W=i+4|0;X=m+8|0;x=m+4|0;y=n+4|0;ea=o+4|0;_=p+4|0;B=q+4|0;c=r+4|0;aa=s+4|0;G=t+4|0;da=v+4|0;ca=0;do{ba=f[fa>>2]|0;F=ba+(ca<<3)+4|0;$=f[ba+(ca<<3)>>2]|0;if((f[F>>2]|0)==($+1|0)){ba=A6b($,C)|0;f[i>>2]=ba;I=s8b(ba)|0;f[K>>2]=I;f[m>>2]=0;f[L>>2]=-1;f[n>>2]=0;f[e>>2]=-1;f[o>>2]=0;f[V>>2]=-1;f[p>>2]=0;f[ga>>2]=-1;f[q>>2]=0;f[z>>2]=-1;f[r>>2]=0;f[ha>>2]=-1;f[s>>2]=0;f[U>>2]=-1;f[t>>2]=0;f[T>>2]=-1;f[v>>2]=0;f[H>>2]=-1;i2b(d,488802,i,m,n,o,p,q,r,s,t,v)}else{I=A6b($,Y)|0;f[i>>2]=I;$=s8b(I)|0;f[W>>2]=$;$=A6b((f[F>>2]|0)+-1|0,X)|0;f[m>>2]=$;F=s8b($)|0;f[x>>2]=F;f[n>>2]=0;f[y>>2]=-1;f[o>>2]=0;f[ea>>2]=-1;f[p>>2]=0;f[_>>2]=-1;f[q>>2]=0;f[B>>2]=-1;f[r>>2]=0;f[c>>2]=-1;f[s>>2]=0;f[aa>>2]=-1;f[t>>2]=0;f[G>>2]=-1;f[v>>2]=0;f[da>>2]=-1;i2b(d,488807,i,m,n,o,p,q,r,s,t,v)}ca=ca+1|0}while((ca|0)<(f[ia>>2]|0))}ia=b[d+11>>0]|0;if(ia<<24>>24<0)ja=f[d+4>>2]|0;else ja=ia&255;gnc(d,ja+-2|0,2,488712)|0}ja=a+80|0;if((f[ja>>2]|0)>0){ia=j+11|0;ca=b[ia>>0]|0;da=ca<<24>>24<0;f[i>>2]=da?f[j>>2]|0:j;G=j+4|0;f[i+4>>2]=da?f[G>>2]|0:ca&255;f[m>>2]=0;f[m+4>>2]=-1;f[n>>2]=0;f[n+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;f[t>>2]=0;f[t+4>>2]=-1;f[v>>2]=0;f[v+4>>2]=-1;i2b(d,488788,i,m,n,o,p,q,r,s,t,v);if((f[ja>>2]|0)>0){ca=a+48|0;a=m+11|0;da=i+4|0;aa=m+4|0;c=n+4|0;B=o+4|0;_=p+4|0;ea=q+4|0;y=r+4|0;x=s+4|0;X=t+4|0;W=v+4|0;Y=w+4|0;H=0;do{y6b(m,f[(f[ca>>2]|0)+(H<<2)>>2]|0);T=b[a>>0]|0;U=T<<24>>24<0;f[i>>2]=U?f[m>>2]|0:m;f[da>>2]=U?f[aa>>2]|0:T&255;f[n>>2]=0;f[c>>2]=-1;f[o>>2]=0;f[B>>2]=-1;f[p>>2]=0;f[_>>2]=-1;f[q>>2]=0;f[ea>>2]=-1;f[r>>2]=0;f[y>>2]=-1;f[s>>2]=0;f[x>>2]=-1;f[t>>2]=0;f[X>>2]=-1;f[v>>2]=0;f[W>>2]=-1;f[w>>2]=0;f[Y>>2]=-1;i2b(d,488818,i,n,o,p,q,r,s,t,v,w);if((b[a>>0]|0)<0)Emc(f[m>>2]|0);H=H+1|0}while((H|0)<(f[ja>>2]|0))}ja=b[d+11>>0]|0;if(ja<<24>>24<0)ka=f[d+4>>2]|0;else ka=ja&255;gnc(d,ka+-2|0,2,488712)|0;la=ia;ma=j;na=G}else{la=j+11|0;ma=j;na=j+4|0}G=b[la>>0]|0;ia=G<<24>>24<0;f[i>>2]=ia?f[ma>>2]|0:j;f[i+4>>2]=ia?f[na>>2]|0:G&255;f[m>>2]=0;f[m+4>>2]=-1;f[n>>2]=0;f[n+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;f[t>>2]=0;f[t+4>>2]=-1;f[v>>2]=0;f[v+4>>2]=-1;i2b(d,488825,i,m,n,o,p,q,r,s,t,v);gHb(k,d);mHb(l,f[g>>2]|0);if((b[D+11>>0]|0)<0)Emc(f[D>>2]|0);D=k+44|0;g=f[D>>2]|0;if(g|0){l=k+48|0;d=f[l>>2]|0;if((d|0)==(g|0))oa=g;else{v=d;while(1){d=v+-12|0;f[l>>2]=d;if((b[d+11>>0]|0)<0){Emc(f[d>>2]|0);pa=f[l>>2]|0}else pa=d;if((pa|0)==(g|0))break;else v=pa}oa=f[D>>2]|0}Emc(oa)}oa=k+32|0;if((b[oa+11>>0]|0)<0)Emc(f[oa>>2]|0);if((b[A+11>>0]|0)<0)Emc(f[A>>2]|0);if((b[la>>0]|0)<0)Emc(f[ma>>2]|0);u=h;return}function gHb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+16|0;e=d;if(!(b[a>>0]|0)){u=d;return}g=a+32|0;h=b[g+11>>0]|0;if(h<<24>>24<0)i=f[a+36>>2]|0;else i=h&255;if(!i){u=d;return}hHb(e,a,g);g=e+11|0;a=b[g>>0]|0;i=a<<24>>24<0;$mc(c,i?f[e>>2]|0:e,i?f[e+4>>2]|0:a&255)|0;if((b[g>>0]|0)<0)Emc(f[e>>2]|0);u=d;return}function hHb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;e=u;u=u+432|0;g=e+412|0;h=e+400|0;i=e+360|0;j=e+320|0;k=e+280|0;l=e+240|0;m=e+200|0;n=e+160|0;o=e+120|0;p=e+80|0;q=e+40|0;r=e;Nmc(g,d);t6b(g);f[h>>2]=0;d=h+4|0;f[d>>2]=0;f[h+8>>2]=0;u6b(g,509874,h);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;s=f[d>>2]|0;t=f[h>>2]|0;v=t;if((s|0)==(t|0)){w=s;x=v}else{s=c+60|0;t=s+11|0;y=i+4|0;z=c+64|0;c=j+4|0;A=k+4|0;B=l+4|0;C=m+4|0;D=n+4|0;E=o+4|0;F=p+4|0;G=q+4|0;H=r+4|0;I=0;J=v;while(1){v=J+(I*12|0)|0;K=b[t>>0]|0;L=K<<24>>24<0;f[i>>2]=L?f[s>>2]|0:s;f[y>>2]=L?f[z>>2]|0:K&255;K=b[v+11>>0]|0;L=K<<24>>24<0;f[j>>2]=L?f[v>>2]|0:v;f[c>>2]=L?f[J+(I*12|0)+4>>2]|0:K&255;f[k>>2]=0;f[A>>2]=-1;f[l>>2]=0;f[B>>2]=-1;f[m>>2]=0;f[C>>2]=-1;f[n>>2]=0;f[D>>2]=-1;f[o>>2]=0;f[E>>2]=-1;f[p>>2]=0;f[F>>2]=-1;f[q>>2]=0;f[G>>2]=-1;f[r>>2]=0;f[H>>2]=-1;i2b(a,488715,i,j,k,l,m,n,o,p,q,r);I=I+1|0;K=f[d>>2]|0;L=f[h>>2]|0;v=L;if(I>>>0>=((K-L|0)/12|0)>>>0){w=K;x=v;break}else J=v}}J=w;if(x|0){if((J|0)==(x|0))M=x;else{w=J;while(1){J=w+-12|0;f[d>>2]=J;if((b[J+11>>0]|0)<0){Emc(f[J>>2]|0);N=f[d>>2]|0}else N=J;if((N|0)==(x|0))break;else w=N}M=f[h>>2]|0}Emc(M)}if((b[g+11>>0]|0)>=0){u=e;return}Emc(f[g>>2]|0);u=e;return}function iHb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;f[d>>2]=0;e=d+4|0;f[e>>2]=0;f[d+8>>2]=0;oHb(a,d);g=pHb(f[a+8>>2]|0,d,b)|0;b=f[d>>2]|0;if(!b){u=c;return g|0}d=f[e>>2]|0;if((d|0)!=(b|0))f[e>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b);u=c;return g|0}function jHb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;g=u;u=u+432|0;h=g+412|0;i=g+400|0;j=g+360|0;k=g+320|0;l=g+280|0;m=g+240|0;n=g+200|0;o=g+160|0;p=g+120|0;q=g+80|0;r=g+40|0;s=g;t=a<<1;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(t>>>0>4294967279)Lmc(h);if(t>>>0<11){b[h+11>>0]=t;if(!a)v=h;else{w=h;x=6}}else{y=t+16&-16;z=Bmc(y)|0;f[h>>2]=z;f[h+8>>2]=y|-2147483648;f[h+4>>2]=t;w=z;x=6}if((x|0)==6){Drc(w|0,32,t|0)|0;v=w}b[v+t>>0]=0;f[i>>2]=0;t=i+4|0;f[t>>2]=0;f[i+8>>2]=0;if(CHb(a,c,d,i)|0){d=f[t>>2]|0;c=f[i>>2]|0;a=c;if((d|0)==(c|0)){A=a;B=d}else{d=h+11|0;c=j+4|0;v=h+4|0;w=k+4|0;x=l+4|0;z=m+4|0;y=n+4|0;C=o+4|0;D=p+4|0;E=q+4|0;F=r+4|0;G=s+4|0;H=0;I=a;do{a=b[d>>0]|0;J=a<<24>>24<0;f[j>>2]=J?f[h>>2]|0:h;f[c>>2]=J?f[v>>2]|0:a&255;a=I+(H*12|0)|0;J=b[a+11>>0]|0;K=J<<24>>24<0;f[k>>2]=K?f[a>>2]|0:a;f[w>>2]=K?f[I+(H*12|0)+4>>2]|0:J&255;f[l>>2]=0;f[x>>2]=-1;f[m>>2]=0;f[z>>2]=-1;f[n>>2]=0;f[y>>2]=-1;f[o>>2]=0;f[C>>2]=-1;f[p>>2]=0;f[D>>2]=-1;f[q>>2]=0;f[E>>2]=-1;f[r>>2]=0;f[F>>2]=-1;f[s>>2]=0;f[G>>2]=-1;i2b(e,489119,j,k,l,m,n,o,p,q,r,s);H=H+1|0;L=f[t>>2]|0;J=f[i>>2]|0;I=J}while(H>>>0<((L-J|0)/12|0)>>>0);A=I;B=L}}else{A=f[i>>2]|0;B=f[t>>2]|0}if(A|0){if((B|0)==(A|0))M=A;else{L=B;while(1){I=L+-12|0;f[t>>2]=I;if((b[I+11>>0]|0)<0){Emc(f[I>>2]|0);N=f[t>>2]|0}else N=I;if((N|0)==(A|0))break;else L=N}M=f[i>>2]|0}Emc(M)}M=(A|0)!=(B|0);if((b[h+11>>0]|0)>=0){u=g;return M|0}Emc(f[h>>2]|0);u=g;return M|0}function kHb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;g=u;u=u+528|0;h=g+512|0;i=g+440|0;j=g+400|0;k=g+360|0;l=g+320|0;m=g+280|0;n=g+240|0;o=g+200|0;p=g+160|0;q=g+120|0;r=g+80|0;s=g+40|0;t=g;v=c<<1;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(v>>>0>4294967279)Lmc(h);if(v>>>0<11){b[h+11>>0]=v;if(!c)w=h;else{x=h;y=6}}else{z=v+16&-16;A=Bmc(z)|0;f[h>>2]=A;f[h+8>>2]=z|-2147483648;f[h+4>>2]=v;x=A;y=6}if((y|0)==6){Drc(x|0,32,v|0)|0;w=x}b[w+v>>0]=0;v=c+1|0;c=i+4|0;w=i+20|0;x=w;y=x+36|0;do{f[x>>2]=0;x=x+4|0}while((x|0)<(y|0));x=i+56|0;b[x>>0]=b[e>>0]|0;b[x+1>>0]=b[e+1>>0]|0;b[x+2>>0]=b[e+2>>0]|0;x=i+60|0;Nmc(x,h);if(!(b[e>>0]|0))B=0;else B=yHb(a,c)|0;b[i>>0]=B&1;cHb(i,d);B=h+11|0;c=b[B>>0]|0;y=c<<24>>24<0;f[j>>2]=y?f[h>>2]|0:h;A=h+4|0;f[j+4>>2]=y?f[A>>2]|0:c&255;c=f[a>>2]|0;y=b[c+11>>0]|0;z=y<<24>>24<0;f[k>>2]=z?f[c>>2]|0:c;f[k+4>>2]=z?f[c+4>>2]|0:y&255;f[l>>2]=0;f[l+4>>2]=-1;f[m>>2]=0;f[m+4>>2]=-1;f[n>>2]=0;f[n+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;i2b(d,489090,j,k,l,m,n,o,p,q,r,s);jHb(v,f[a+16>>2]|0,f[(f[a+8>>2]|0)+8>>2]|0,d)|0;y=a+24|0;if((f[y>>2]|0)>0){c=a+28|0;z=0;do{zHb((f[c>>2]|0)+(z*20|0)|0,v,d,e);z=z+1|0}while((z|0)<(f[y>>2]|0))}y=a+32|0;if((f[y>>2]|0)>0){z=b[B>>0]|0;e=z<<24>>24<0;f[j>>2]=e?f[h>>2]|0:h;f[j+4>>2]=e?f[A>>2]|0:z&255;f[k>>2]=0;f[k+4>>2]=-1;f[l>>2]=0;f[l+4>>2]=-1;f[m>>2]=0;f[m+4>>2]=-1;f[n>>2]=0;f[n+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;i2b(d,488788,j,k,l,m,n,o,p,q,r,s);if((f[y>>2]|0)>0){z=a+40|0;e=j+8|0;v=j+4|0;c=k+4|0;C=l+4|0;D=m+4|0;E=n+4|0;F=o+4|0;G=p+4|0;H=q+4|0;I=r+4|0;J=s+4|0;K=j+8|0;L=j+4|0;M=k+8|0;N=k+4|0;O=l+4|0;P=m+4|0;Q=n+4|0;R=o+4|0;S=p+4|0;T=q+4|0;U=r+4|0;V=s+4|0;W=0;do{X=f[z>>2]|0;Y=X+(W<<3)+4|0;Z=f[Y>>2]|0;_=f[X+(W<<3)>>2]|0;if((Z|0)==(_|0)){X=A6b(Z,e)|0;f[j>>2]=X;Z=s8b(X)|0;f[v>>2]=Z;f[k>>2]=0;f[c>>2]=-1;f[l>>2]=0;f[C>>2]=-1;f[m>>2]=0;f[D>>2]=-1;f[n>>2]=0;f[E>>2]=-1;f[o>>2]=0;f[F>>2]=-1;f[p>>2]=0;f[G>>2]=-1;f[q>>2]=0;f[H>>2]=-1;f[r>>2]=0;f[I>>2]=-1;f[s>>2]=0;f[J>>2]=-1;i2b(d,488802,j,k,l,m,n,o,p,q,r,s)}else{Z=A6b(_,K)|0;f[j>>2]=Z;_=s8b(Z)|0;f[L>>2]=_;_=A6b(f[Y>>2]|0,M)|0;f[k>>2]=_;Y=s8b(_)|0;f[N>>2]=Y;f[l>>2]=0;f[O>>2]=-1;f[m>>2]=0;f[P>>2]=-1;f[n>>2]=0;f[Q>>2]=-1;f[o>>2]=0;f[R>>2]=-1;f[p>>2]=0;f[S>>2]=-1;f[q>>2]=0;f[T>>2]=-1;f[r>>2]=0;f[U>>2]=-1;f[s>>2]=0;f[V>>2]=-1;i2b(d,488807,j,k,l,m,n,o,p,q,r,s)}W=W+1|0}while((W|0)<(f[y>>2]|0))}y=b[d+11>>0]|0;if(y<<24>>24<0)$=f[d+4>>2]|0;else $=y&255;gnc(d,$+-2|0,2,488712)|0}$=a+36|0;if((f[$>>2]|0)>0){y=b[B>>0]|0;W=y<<24>>24<0;f[j>>2]=W?f[h>>2]|0:h;f[j+4>>2]=W?f[A>>2]|0:y&255;f[k>>2]=0;f[k+4>>2]=-1;f[l>>2]=0;f[l+4>>2]=-1;f[m>>2]=0;f[m+4>>2]=-1;f[n>>2]=0;f[n+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;i2b(d,488788,j,k,l,m,n,o,p,q,r,s);if((f[$>>2]|0)>0){y=a+44|0;a=k+11|0;W=j+4|0;V=k+4|0;U=l+4|0;T=m+4|0;S=n+4|0;R=o+4|0;Q=p+4|0;P=q+4|0;O=r+4|0;N=s+4|0;M=t+4|0;L=0;do{y6b(k,f[(f[y>>2]|0)+(L<<2)>>2]|0);K=b[a>>0]|0;J=K<<24>>24<0;f[j>>2]=J?f[k>>2]|0:k;f[W>>2]=J?f[V>>2]|0:K&255;f[l>>2]=0;f[U>>2]=-1;f[m>>2]=0;f[T>>2]=-1;f[n>>2]=0;f[S>>2]=-1;f[o>>2]=0;f[R>>2]=-1;f[p>>2]=0;f[Q>>2]=-1;f[q>>2]=0;f[P>>2]=-1;f[r>>2]=0;f[O>>2]=-1;f[s>>2]=0;f[N>>2]=-1;f[t>>2]=0;f[M>>2]=-1;i2b(d,488818,j,l,m,n,o,p,q,r,s,t);if((b[a>>0]|0)<0)Emc(f[k>>2]|0);L=L+1|0}while((L|0)<(f[$>>2]|0))}$=b[d+11>>0]|0;if($<<24>>24<0)aa=f[d+4>>2]|0;else aa=$&255;gnc(d,aa+-2|0,2,488712)|0}aa=b[B>>0]|0;$=aa<<24>>24<0;f[j>>2]=$?f[h>>2]|0:h;f[j+4>>2]=$?f[A>>2]|0:aa&255;f[k>>2]=0;f[k+4>>2]=-1;f[l>>2]=0;f[l+4>>2]=-1;f[m>>2]=0;f[m+4>>2]=-1;f[n>>2]=0;f[n+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;i2b(d,488825,j,k,l,m,n,o,p,q,r,s);gHb(i,d);if((b[x+11>>0]|0)<0)Emc(f[x>>2]|0);x=i+44|0;d=f[x>>2]|0;if(d|0){s=i+48|0;r=f[s>>2]|0;if((r|0)==(d|0))ba=d;else{q=r;while(1){r=q+-12|0;f[s>>2]=r;if((b[r+11>>0]|0)<0){Emc(f[r>>2]|0);ca=f[s>>2]|0}else ca=r;if((ca|0)==(d|0))break;else q=ca}ba=f[x>>2]|0}Emc(ba)}ba=i+32|0;if((b[ba+11>>0]|0)<0)Emc(f[ba>>2]|0);if((b[w+11>>0]|0)<0)Emc(f[w>>2]|0);if((b[B>>0]|0)>=0){u=g;return}Emc(f[h>>2]|0);u=g;return}function lHb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;g=u;u=u+496|0;h=g+472|0;i=g+400|0;j=g+360|0;k=g+320|0;l=g+280|0;m=g+240|0;n=g+200|0;o=g+160|0;p=g+120|0;q=g+80|0;r=g+40|0;s=g;t=c<<1;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(t>>>0>4294967279)Lmc(h);if(t>>>0<11){b[h+11>>0]=t;if(!c)v=h;else{w=h;x=6}}else{y=t+16&-16;z=Bmc(y)|0;f[h>>2]=z;f[h+8>>2]=y|-2147483648;f[h+4>>2]=t;w=z;x=6}if((x|0)==6){Drc(w|0,32,t|0)|0;v=w}b[v+t>>0]=0;t=c+1|0;c=i+4|0;v=i+20|0;w=v;x=w+36|0;do{f[w>>2]=0;w=w+4|0}while((w|0)<(x|0));w=i+56|0;b[w>>0]=b[e>>0]|0;b[w+1>>0]=b[e+1>>0]|0;b[w+2>>0]=b[e+2>>0]|0;w=i+60|0;Nmc(w,h);if(!(b[e>>0]|0))A=0;else A=nHb(a,c)|0;b[i>>0]=A&1;cHb(i,d);A=h+11|0;c=b[A>>0]|0;x=c<<24>>24<0;f[j>>2]=x?f[h>>2]|0:h;z=h+4|0;f[j+4>>2]=x?f[z>>2]|0:c&255;c=f[a>>2]|0;x=b[c+11>>0]|0;y=x<<24>>24<0;f[k>>2]=y?f[c>>2]|0:c;f[k+4>>2]=y?f[c+4>>2]|0:x&255;f[l>>2]=0;f[l+4>>2]=-1;f[m>>2]=0;f[m+4>>2]=-1;f[n>>2]=0;f[n+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;i2b(d,488830,j,k,l,m,n,o,p,q,r,s);jHb(t,f[a+24>>2]|0,f[(f[(f[a+8>>2]|0)+8>>2]|0)+8>>2]|0,d)|0;if(!(b[e+2>>0]|0)){anc(d,509874)|0;x=a+16|0;if((f[x>>2]|0)>0){c=a+20|0;a=0;do{$Gb(f[(f[c>>2]|0)+(a<<2)>>2]|0,t,1,d,e);a=a+1|0}while((a|0)<(f[x>>2]|0))}x=b[A>>0]|0;a=x<<24>>24<0;f[j>>2]=a?f[h>>2]|0:h;f[j+4>>2]=a?f[z>>2]|0:x&255;f[k>>2]=0;f[k+4>>2]=-1;f[l>>2]=0;f[l+4>>2]=-1;f[m>>2]=0;f[m+4>>2]=-1;f[n>>2]=0;f[n+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;i2b(d,488825,j,k,l,m,n,o,p,q,r,s)}else anc(d,488843)|0;gHb(i,d);if((b[w+11>>0]|0)<0)Emc(f[w>>2]|0);w=i+44|0;d=f[w>>2]|0;if(d|0){s=i+48|0;r=f[s>>2]|0;if((r|0)==(d|0))B=d;else{q=r;while(1){r=q+-12|0;f[s>>2]=r;if((b[r+11>>0]|0)<0){Emc(f[r>>2]|0);C=f[s>>2]|0}else C=r;if((C|0)==(d|0))break;else q=C}B=f[w>>2]|0}Emc(B)}B=i+32|0;if((b[B+11>>0]|0)<0)Emc(f[B>>2]|0);if((b[v+11>>0]|0)<0)Emc(f[v>>2]|0);if((b[A>>0]|0)>=0){u=g;return}Emc(f[h>>2]|0);u=g;return}function mHb(a,b){a=a|0;b=b|0;if(!b)return;else{mHb(a,f[b>>2]|0);mHb(a,f[b+4>>2]|0);Emc(b);return}}function nHb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+16|0;d=c+12|0;e=c;f[e>>2]=0;g=e+4|0;f[g>>2]=0;f[e+8>>2]=0;h=a+8|0;oHb(f[h>>2]|0,e);i=f[g>>2]|0;j=e+8|0;k=f[j>>2]|0;if((i|0)==(k|0)){MR(e,155200);l=f[g>>2]|0;m=f[j>>2]|0}else{f[i>>2]=f[38800];j=i+4|0;f[g>>2]=j;l=j;m=k}k=f[h>>2]|0;j=(a-(f[k+24>>2]|0)|0)/28|0;f[d>>2]=j;if((l|0)==(m|0)){MR(e,d);n=f[h>>2]|0}else{f[l>>2]=j;f[g>>2]=l+4;n=k}k=pHb(f[n+8>>2]|0,e,b)|0;b=f[e>>2]|0;if(!b){u=c;return k|0}e=f[g>>2]|0;if((e|0)!=(b|0))f[g>>2]=e+(~((e+-4-b|0)>>>2)<<2);Emc(b);u=c;return k|0}function oHb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;c=u;u=u+16|0;d=c;e=a+12|0;g=f[e>>2]|0;if(!g){h=b+4|0;i=f[h>>2]|0;j=b+8|0;if((i|0)==(f[j>>2]|0)){MR(b,155172);k=f[e>>2]|0;l=a;if(!k){m=l;n=d;o=15}else{p=k+28|0;q=l;r=d}}else{f[i>>2]=f[38793];f[h>>2]=i+4;m=a;n=d;o=15}if((o|0)==15){p=(f[a+8>>2]|0)+68|0;q=m;r=n}n=(q-(f[p>>2]|0)|0)/88|0;f[d>>2]=n;p=f[h>>2]|0;if((p|0)==(f[j>>2]|0))MR(b,d);else{f[p>>2]=n;f[h>>2]=p+4}u=c;return}oHb(g,b);g=b+4|0;p=f[g>>2]|0;h=b+8|0;if((p|0)==(f[h>>2]|0))MR(b,155192);else{f[p>>2]=f[38798];f[g>>2]=p+4}p=f[e>>2]|0;if(!p)s=(f[a+8>>2]|0)+68|0;else s=p+28|0;p=(a-(f[s>>2]|0)|0)/88|0;f[d>>2]=p;s=f[g>>2]|0;if((s|0)==(f[h>>2]|0))MR(b,d);else{f[s>>2]=p;f[g>>2]=s+4}u=c;return}function pHb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+48|0;e=d+16|0;g=d+8|0;h=d+4|0;i=d;if(!c){TDb(e,3,488851,166);QDb(g,ODb(e,488942)|0);UDb(e)}j=f[a+92>>2]|0;if(!j){k=0;u=d;return k|0}l=qHb(f[a+88>>2]|0,b,j)|0;if(!l){k=0;u=d;return k|0}j=f[l+32>>2]|0;if((j+-3|0)>>>0>=2){k=0;u=d;return k|0}b=f[l+40>>2]|0;f[c>>2]=f[b+4>>2];f[c+8>>2]=f[b+8>>2];f[c+4>>2]=f[b+4+(((j|0)==3?0:2)<<2)>>2];f[c+12>>2]=f[b+4+(j+-1<<2)>>2];Qmc(c+16|0,f[l+64>>2]|0)|0;Qmc(c+28|0,f[l+68>>2]|0)|0;j=f[l+60>>2]|0;b=(j|0)==0?0:j+4|0;f[h>>2]=b;f[i>>2]=b+(f[l+52>>2]<<2);f[g>>2]=f[h>>2];f[e>>2]=f[i>>2];rHb(c+40|0,g,e);k=1;u=d;return k|0}function qHb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+64|0;g=e+24|0;h=e+16|0;i=e;f[h>>2]=a;f[h+4>>2]=d;d=a+136|0;if((f[d>>2]|0)!=2){f[g>>2]=150256;f[g+4>>2]=1670;b[g+8>>0]=0;f[g+12>>2]=h;dEb(d,g)};f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;d=f[c>>2]|0;h=f[c+4>>2]|0;if((d|0)!=(h|0)){c=g+8|0;j=g+4|0;k=c;l=d;do{if((l|0)!=(d|0))anc(i,523383)|0;m=f[l>>2]|0;f[g>>2]=c;n=(C6b(m,c)|0)-k|0;f[j>>2]=n;Q6b(i,g);l=l+4|0}while((l|0)!=(h|0))}h=tHb(a+140|0,i)|0;if(!h)o=0;else o=f[h+20>>2]|0;if((b[i+11>>0]|0)>=0){u=e;return o|0}Emc(f[i>>2]|0);u=e;return o|0}function rHb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;e=f[c>>2]|0;c=f[d>>2]|0;d=c-e>>2;g=a+8|0;h=f[g>>2]|0;i=f[a>>2]|0;j=e;k=i;l=c;if(d>>>0<=((h-i|0)/12|0)>>>0){m=a+4|0;n=((f[m>>2]|0)-i|0)/12|0;o=d>>>0>n>>>0;p=o?j+(n<<2)|0:c;c=p;if((j|0)==(c|0))q=k;else{n=k;r=e;while(1){Qmc(n,f[r>>2]|0)|0;r=r+4|0;s=n+12|0;if((r|0)==(c|0)){q=s;break}else n=s}}if(o){if((c|0)==(l|0))return;c=p;p=f[m>>2]|0;do{Nmc(p,f[c>>2]|0);c=c+4|0;p=(f[m>>2]|0)+12|0;f[m>>2]=p}while((c|0)!=(l|0));return}c=f[m>>2]|0;if((c|0)==(q|0))return;else t=c;while(1){c=t+-12|0;f[m>>2]=c;if((b[c+11>>0]|0)<0){Emc(f[c>>2]|0);u=f[m>>2]|0}else u=c;if((u|0)==(q|0))break;else t=u}return}if(!i)v=h;else{h=a+4|0;u=f[h>>2]|0;if((u|0)==(k|0))w=i;else{i=u;while(1){u=i+-12|0;f[h>>2]=u;if((b[u+11>>0]|0)<0){Emc(f[u>>2]|0);x=f[h>>2]|0}else x=u;if((x|0)==(k|0))break;else i=x}w=f[a>>2]|0}Emc(w);f[g>>2]=0;f[h>>2]=0;f[a>>2]=0;v=0}if(d>>>0>357913941)Ukc(a);h=(v|0)/12|0;v=h<<1;w=h>>>0<178956970?(v>>>0<d>>>0?d:v):357913941;if(w>>>0>357913941)Ukc(a);v=Bmc(w*12|0)|0;d=a+4|0;f[d>>2]=v;f[a>>2]=v;f[g>>2]=v+(w*12|0);if((j|0)==(l|0))return;j=e;e=v;do{Nmc(e,f[j>>2]|0);j=j+4|0;e=(f[d>>2]|0)+12|0;f[d>>2]=e}while((j|0)!=(l|0));return}function sHb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;c=u;u=u+64|0;d=c+16|0;e=c;g=a+4|0;h=f[g>>2]|0;i=f[h+20>>2]|0;if((i|0)<=0){u=c;return}j=e+11|0;k=d+8|0;l=d+4|0;m=k;n=0;o=h;while(1){h=f[(f[o+28>>2]|0)+4+(n<<2)>>2]|0;p=(f[a>>2]|0)+140|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;q=f[h+24>>2]|0;r=(q|0)==0;s=r?0:q+4|0;t=r?0:q+4+(f[h+16>>2]<<2)|0;if((s|0)!=(t|0)){q=s;do{if((q|0)!=(s|0))anc(e,523383)|0;r=f[q>>2]|0;f[d>>2]=k;v=(C6b(r,k)|0)-m|0;f[l>>2]=v;Q6b(e,d);q=q+4|0}while((q|0)!=(t|0))}t=uHb(p,e)|0;f[t>>2]=h;if((b[j>>0]|0)<0)Emc(f[e>>2]|0);t=n+1|0;if((t|0)>=(i|0))break;n=t;o=f[g>>2]|0}u=c;return}function tHb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=b[c+11>>0]|0;e=d<<24>>24<0;g=e?f[c>>2]|0:c;h=b[g>>0]|0;if(!(h<<24>>24))i=0;else{j=g;k=0;l=h;while(1){m=(k*5|0)+(l<<24>>24)|0;j=j+1|0;l=b[j>>0]|0;if(!(l<<24>>24)){i=m;break}else k=m}}k=f[a+4>>2]|0;if(!k){n=0;return n|0}l=k+-1|0;j=(l&k|0)==0;if(!j)if(i>>>0<k>>>0)o=i;else o=(i>>>0)%(k>>>0)|0;else o=l&i;m=f[(f[a>>2]|0)+(o<<2)>>2]|0;if(!m){n=0;return n|0}a=f[m>>2]|0;if(!a){n=0;return n|0}m=e?f[c+4>>2]|0:d&255;d=(m|0)==0;if(j){j=a;a:while(1){c=f[j+4>>2]|0;e=(c|0)==(i|0);if(!(e|(c&l|0)==(o|0))){n=0;p=36;break}do if(e?(c=j+8|0,q=b[c+11>>0]|0,r=q<<24>>24<0,s=q&255,((r?f[j+12>>2]|0:s)|0)==(m|0)):0){q=f[c>>2]|0;t=r?q:c;if(r){if(d){n=j;p=36;break a}if(!(gac(t,g,m)|0)){n=j;p=36;break a}else break}if(d){n=j;p=36;break a}if((q&255)<<24>>24==h<<24>>24){q=c;c=s;s=g;do{c=c+-1|0;q=q+1|0;if(!c){n=j;p=36;break a}s=s+1|0}while((b[q>>0]|0)==(b[s>>0]|0))}}while(0);j=f[j>>2]|0;if(!j){n=0;p=36;break}}if((p|0)==36)return n|0}else u=a;b:while(1){a=f[u+4>>2]|0;j=(a|0)==(i|0);if(!j){if(a>>>0<k>>>0)v=a;else v=(a>>>0)%(k>>>0)|0;if((v|0)!=(o|0)){n=0;p=36;break}if(j)p=28}else p=28;do if((p|0)==28?(p=0,j=u+8|0,a=b[j+11>>0]|0,l=a<<24>>24<0,e=a&255,((l?f[u+12>>2]|0:e)|0)==(m|0)):0){a=f[j>>2]|0;s=l?a:j;if(l){if(d){n=u;p=36;break b}if(!(gac(s,g,m)|0)){n=u;p=36;break b}else break}if(d){n=u;p=36;break b}if((a&255)<<24>>24==h<<24>>24){a=j;j=e;e=g;do{j=j+-1|0;a=a+1|0;if(!j){n=u;p=36;break b}e=e+1|0}while((b[a>>0]|0)==(b[e>>0]|0))}}while(0);u=f[u>>2]|0;if(!u){n=0;p=36;break}}if((p|0)==36)return n|0;return 0}function uHb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+16|0;d=c;e=tHb(a,b)|0;if(!e){g=Bmc(24)|0;Nmc(g+8|0,b);f[g+20>>2]=0;vHb(d,a,g);h=f[d>>2]|0;i=h+20|0;u=c;return i|0}else{h=e;i=h+20|0;u=c;return i|0}return 0}function vHb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0.0,L=0,M=0,N=0,O=0;e=d+8|0;g=b[e+11>>0]|0;h=g<<24>>24<0;i=h?f[e>>2]|0:e;e=b[i>>0]|0;if(!(e<<24>>24))j=0;else{k=i;l=0;m=e;while(1){e=(l*5|0)+(m<<24>>24)|0;k=k+1|0;m=b[k>>0]|0;if(!(m<<24>>24)){j=e;break}else l=e}}l=d+4|0;f[l>>2]=j;m=c+4|0;k=f[m>>2]|0;e=(k|0)==0;a:do if(!e){o=k+-1|0;p=(o&k|0)==0;if(!p)if(j>>>0<k>>>0)q=j;else q=(j>>>0)%(k>>>0)|0;else q=o&j;r=f[(f[c>>2]|0)+(q<<2)>>2]|0;if((r|0)!=0?(s=f[r>>2]|0,(s|0)!=0):0){r=d+12|0;t=g&255;if(p){p=s;b:while(1){if((f[p+4>>2]&o|0)!=(q|0)){u=q;break a}v=p+8|0;w=b[v+11>>0]|0;x=w<<24>>24<0;y=w&255;w=x?f[p+12>>2]|0:y;do if((w|0)==((h?f[r>>2]|0:t)|0)){z=f[v>>2]|0;A=x?z:v;B=(w|0)==0;if(x){if(B){C=0;D=p;E=47;break b}if(!(gac(A,i,w)|0)){C=0;D=p;E=47;break b}else break}if(B){C=0;D=p;E=47;break b}if((z&255)<<24>>24==(b[i>>0]|0)){z=v;B=y;A=i;do{B=B+-1|0;z=z+1|0;if(!B){C=0;D=p;E=47;break b}A=A+1|0}while((b[z>>0]|0)==(b[A>>0]|0))}}while(0);p=f[p>>2]|0;if(!p){u=q;break a}}if((E|0)==47){F=D;f[a>>2]=F;G=a+4|0;b[G>>0]=C;return}}else H=s;c:while(1){p=f[H+4>>2]|0;if(p>>>0<k>>>0)I=p;else I=(p>>>0)%(k>>>0)|0;if((I|0)!=(q|0)){u=q;break a}p=H+8|0;o=b[p+11>>0]|0;y=o<<24>>24<0;v=o&255;o=y?f[H+12>>2]|0:v;do if((o|0)==((h?f[r>>2]|0:t)|0)){w=f[p>>2]|0;x=y?w:p;A=(o|0)==0;if(y){if(A){C=0;D=H;E=47;break c}if(!(gac(x,i,o)|0)){C=0;D=H;E=47;break c}else break}if(A){C=0;D=H;E=47;break c}if((w&255)<<24>>24==(b[i>>0]|0)){w=p;A=v;x=i;do{A=A+-1|0;w=w+1|0;if(!A){C=0;D=H;E=47;break c}x=x+1|0}while((b[w>>0]|0)==(b[x>>0]|0))}}while(0);H=f[H>>2]|0;if(!H){u=q;break a}}if((E|0)==47){F=D;f[a>>2]=F;G=a+4|0;b[G>>0]=C;return}}else u=q}else u=0;while(0);q=c+12|0;J=+(((f[q>>2]|0)+1|0)>>>0);K=+n[c+16>>2];do if(e|J>+(k>>>0)*K){E=(k>>>0<3|(k+-1&k|0)!=0)&1|k<<1;H=~~+X(+(J/K))>>>0;ZEb(c,E>>>0<H>>>0?H:E);E=f[m>>2]|0;H=f[l>>2]|0;i=E+-1|0;if(!(i&E)){L=E;M=i&H;break}if(H>>>0<E>>>0){L=E;M=H}else{L=E;M=(H>>>0)%(E>>>0)|0}}else{L=k;M=u}while(0);u=f[(f[c>>2]|0)+(M<<2)>>2]|0;if(!u){k=c+8|0;f[d>>2]=f[k>>2];f[k>>2]=d;f[(f[c>>2]|0)+(M<<2)>>2]=k;k=f[d>>2]|0;if(!k)N=d;else{M=f[k+4>>2]|0;k=L+-1|0;if(k&L)if(M>>>0<L>>>0)O=M;else O=(M>>>0)%(L>>>0)|0;else O=M&k;f[(f[c>>2]|0)+(O<<2)>>2]=d;N=d}}else{f[d>>2]=f[u>>2];f[u>>2]=d;N=d}f[q>>2]=(f[q>>2]|0)+1;C=1;D=N;F=D;f[a>>2]=F;G=a+4|0;b[G>>0]=C;return}function wHb(a){a=a|0;Emc(a);return}function xHb(a){a=a|0;var c=0;c=b[a+8>>0]|0;ai[f[a+4>>2]&2047](f[a+12>>2]|0);if((a|0)==0|c<<24>>24==0)return;ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function yHb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;f[d>>2]=0;e=d+4|0;f[e>>2]=0;f[d+8>>2]=0;BHb(a,d);g=pHb(f[a+8>>2]|0,d,b)|0;b=f[d>>2]|0;if(!b){u=c;return g|0}d=f[e>>2]|0;if((d|0)!=(b|0))f[e>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b);u=c;return g|0}function zHb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;g=u;u=u+528|0;h=g+512|0;i=g+440|0;j=g+400|0;k=g+360|0;l=g+320|0;m=g+280|0;n=g+240|0;o=g+200|0;p=g+160|0;q=g+120|0;r=g+80|0;s=g+40|0;t=g;v=c<<1;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(v>>>0>4294967279)Lmc(h);if(v>>>0<11){b[h+11>>0]=v;if(!c)w=h;else{x=h;y=6}}else{z=v+16&-16;A=Bmc(z)|0;f[h>>2]=A;f[h+8>>2]=z|-2147483648;f[h+4>>2]=v;x=A;y=6}if((y|0)==6){Drc(x|0,32,v|0)|0;w=x}b[w+v>>0]=0;v=i+4|0;w=i+20|0;x=w;y=x+36|0;do{f[x>>2]=0;x=x+4|0}while((x|0)<(y|0));x=i+56|0;b[x>>0]=b[e>>0]|0;b[x+1>>0]=b[e+1>>0]|0;b[x+2>>0]=b[e+2>>0]|0;x=i+60|0;Nmc(x,h);if(!(b[e>>0]|0))B=0;else B=AHb(a,v)|0;b[i>>0]=B&1;cHb(i,d);B=h+11|0;v=b[B>>0]|0;e=v<<24>>24<0;f[j>>2]=e?f[h>>2]|0:h;f[j+4>>2]=e?f[h+4>>2]|0:v&255;v=f[a>>2]|0;e=b[v+11>>0]|0;y=e<<24>>24<0;f[k>>2]=y?f[v>>2]|0:v;f[k+4>>2]=y?f[v+4>>2]|0:e&255;e=A6b(f[a+8>>2]|0,l+8|0)|0;f[l>>2]=e;v=s8b(e)|0;f[l+4>>2]=v;f[m>>2]=0;f[m+4>>2]=-1;f[n>>2]=0;f[n+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;i2b(d,489103,j,k,l,m,n,o,p,q,r,s);f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;if(eHb(c,f[a+16>>2]|0,f[(f[(f[a+12>>2]|0)+8>>2]|0)+8>>2]|0,j)|0){a=b[j+11>>0]|0;c=a<<24>>24<0;f[k>>2]=c?f[j>>2]|0:j;f[k+4>>2]=c?f[j+4>>2]|0:a&255;f[l>>2]=0;f[l+4>>2]=-1;f[m>>2]=0;f[m+4>>2]=-1;f[n>>2]=0;f[n+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;f[s>>2]=0;f[s+4>>2]=-1;f[t>>2]=0;f[t+4>>2]=-1;i2b(d,489113,k,l,m,n,o,p,q,r,s,t)}anc(d,488712)|0;gHb(i,d);if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);if((b[x+11>>0]|0)<0)Emc(f[x>>2]|0);x=i+44|0;j=f[x>>2]|0;if(j|0){d=i+48|0;t=f[d>>2]|0;if((t|0)==(j|0))C=j;else{s=t;while(1){t=s+-12|0;f[d>>2]=t;if((b[t+11>>0]|0)<0){Emc(f[t>>2]|0);D=f[d>>2]|0}else D=t;if((D|0)==(j|0))break;else s=D}C=f[x>>2]|0}Emc(C)}C=i+32|0;if((b[C+11>>0]|0)<0)Emc(f[C>>2]|0);if((b[w+11>>0]|0)<0)Emc(f[w>>2]|0);if((b[B>>0]|0)>=0){u=g;return}Emc(f[h>>2]|0);u=g;return}function AHb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+16|0;d=c+12|0;e=c;f[e>>2]=0;g=e+4|0;f[g>>2]=0;f[e+8>>2]=0;h=a+12|0;BHb(f[h>>2]|0,e);i=f[g>>2]|0;j=e+8|0;k=f[j>>2]|0;if((i|0)==(k|0)){MR(e,155204);l=f[g>>2]|0;m=f[j>>2]|0}else{f[i>>2]=f[38801];j=i+4|0;f[g>>2]=j;l=j;m=k}k=f[h>>2]|0;j=(a-(f[k+28>>2]|0)|0)/20|0;f[d>>2]=j;if((l|0)==(m|0)){MR(e,d);n=f[h>>2]|0}else{f[l>>2]=j;f[g>>2]=l+4;n=k}k=pHb(f[n+8>>2]|0,e,b)|0;b=f[e>>2]|0;if(!b){u=c;return k|0}e=f[g>>2]|0;if((e|0)!=(b|0))f[g>>2]=e+(~((e+-4-b|0)>>>2)<<2);Emc(b);u=c;return k|0}function BHb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;c=u;u=u+16|0;d=c;e=a+12|0;g=f[e>>2]|0;if(!g){h=b+4|0;i=f[h>>2]|0;j=b+8|0;if((i|0)==(f[j>>2]|0)){MR(b,155176);k=f[e>>2]|0;l=a;if(!k){m=l;n=d;o=15}else{p=k+32|0;q=l;r=d}}else{f[i>>2]=f[38794];f[h>>2]=i+4;m=a;n=d;o=15}if((o|0)==15){p=(f[a+8>>2]|0)+72|0;q=m;r=n}n=(q-(f[p>>2]|0)|0)/48|0;f[d>>2]=n;p=f[h>>2]|0;if((p|0)==(f[j>>2]|0))MR(b,d);else{f[p>>2]=n;f[h>>2]=p+4}u=c;return}oHb(g,b);g=b+4|0;p=f[g>>2]|0;h=b+8|0;if((p|0)==(f[h>>2]|0))MR(b,155196);else{f[p>>2]=f[38799];f[g>>2]=p+4}p=f[e>>2]|0;if(!p)s=(f[a+8>>2]|0)+72|0;else s=p+32|0;p=(a-(f[s>>2]|0)|0)/48|0;f[d>>2]=p;s=f[g>>2]|0;if((s|0)==(f[h>>2]|0))MR(b,d);else{f[s>>2]=p;f[g>>2]=s+4}u=c;return}function CHb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;g=u;u=u+64|0;h=g+48|0;i=g;j=g+24|0;xh[f[(f[c>>2]|0)+96>>2]&2047](h,c);if((f[(f[(f[h>>2]|0)+8>>2]|0)+8>>2]|0)==(d|0)){k=DHb(a,c,e)|0;u=g;return k|0}xh[f[(f[c>>2]|0)+96>>2]&2047](h,c);rFb(h,f[d+16>>2]|0,d,f[(f[h>>2]|0)+4>>2]|0);d=f[h+4>>2]|0;if((f[h>>2]|0)!=1|(d|0)==0){k=DHb(a,c,e)|0;u=g;return k|0}MVb(i);l=JVb(i,d)|0;d=ci[f[(f[l>>2]|0)+12>>2]&1023](l)|0;rDb(h,c);l=kDb(d,h)|0;if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);if(l)m=d;else{TDb(j,2,483670,2297);l=ODb(j,489133)|0;xh[f[(f[c>>2]|0)+96>>2]&2047](h,c);QDb(g+60|0,PDb(l,f[(f[h>>2]|0)+4>>2]|0)|0);UDb(j);m=c}c=DHb(a,m,e)|0;if(d|0)ai[f[(f[d>>2]|0)+4>>2]&2047](d);HVb(i);k=c;u=g;return k|0}function DHb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;e=u;u=u+96|0;g=e+80|0;h=e+64|0;i=e+52|0;j=e;k=e+40|0;l=f[d>>2]|0;m=d+4|0;n=f[m>>2]|0;if((n|0)!=(l|0)){o=n;while(1){n=o+-12|0;f[m>>2]=n;if((b[n+11>>0]|0)<0){Emc(f[n>>2]|0);p=f[m>>2]|0}else p=n;if((p|0)==(l|0))break;else o=p}}p=ci[f[(f[c>>2]|0)+92>>2]&1023](c)|0;f[h>>2]=0;o=h+4|0;f[o>>2]=0;f[h+8>>2]=0;Yh[f[(f[p>>2]|0)+64>>2]&511](p,c,h);l=f[o>>2]|0;n=f[h>>2]|0;q=n;if((l|0)==(n|0)){r=l;s=q}else{l=a+1|0;n=g+11|0;t=g+4|0;v=a<<1;a=d+8|0;w=j+11|0;x=k+11|0;y=g+11|0;z=i+11|0;A=j+11|0;B=k+11|0;C=g+4|0;D=g+8|0;E=g+12|0;F=0;G=q;while(1){q=f[G+(F<<2)>>2]|0;if((f[q+32>>2]|0)==3){H=ki[f[(f[p>>2]|0)+24>>2]&511](p,c,q)|0;if((H|0)>0){I=1;J=H;K=14}}else{I=0;J=1;K=14}if((K|0)==14){K=0;H=0;do{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;q=f[(f[h>>2]|0)+(F<<2)>>2]|0;L=f[q+24>>2]|0;if(L|0?(f[L>>2]|0)!=2:0){f[g>>2]=110868;f[C>>2]=1634;b[D>>0]=0;f[E>>2]=q;dEb(L,g)}if((f[q+28>>2]|1|0)==11){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;F3b(j);f[j>>2]=l;G3b(j,c,f[(f[h>>2]|0)+(F<<2)>>2]|0,I?H:-1,g);anc(i,489171)|0;q=b[n>>0]|0;L=q<<24>>24<0;$mc(i,L?f[g>>2]|0:g,L?f[t>>2]|0:q&255)|0;Xmc(i,v,32)|0;anc(i,510959)|0;z2b(j);if((b[n>>0]|0)<0)Emc(f[g>>2]|0)}else H3b(c,f[(f[h>>2]|0)+(F<<2)>>2]|0,I?H:-1,i);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;q=f[(f[h>>2]|0)+(F<<2)>>2]|0;if(b[q+38>>0]|0){bza(k,489174,f[q+4>>2]|0);pza(j,k,523313);Qmc(g,j)|0;if((b[A>>0]|0)<0)Emc(f[j>>2]|0);if((b[B>>0]|0)<0)Emc(f[k>>2]|0)}else Qmc(g,f[q>>2]|0)|0;pza(k,g,500870);JDa(j,k,i);q=f[m>>2]|0;if((q|0)==(f[a>>2]|0))LY(d,j);else{Nmc(q,j);f[m>>2]=(f[m>>2]|0)+12}if((b[w>>0]|0)<0)Emc(f[j>>2]|0);if((b[x>>0]|0)<0)Emc(f[k>>2]|0);if((b[y>>0]|0)<0)Emc(f[g>>2]|0);if((b[z>>0]|0)<0)Emc(f[i>>2]|0);H=H+1|0}while((H|0)<(J|0))}F=F+1|0;H=f[o>>2]|0;q=f[h>>2]|0;L=q;if(F>>>0>=H-q>>2>>>0){r=H;s=L;break}else G=L}}G=r;r=(f[d>>2]|0)!=(f[m>>2]|0);if(!s){u=e;return r|0}if((G|0)!=(s|0))f[o>>2]=G+(~((G+-4-s|0)>>>2)<<2);Emc(s);u=e;return r|0}function EHb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=u;u=u+16|0;e=d;g=a+38|0;if(!(b[g>>0]|0)){h=a+48|0;oHb(f[h>>2]|0,c);i=c+4|0;j=f[i>>2]|0;k=c+8|0;if((j|0)==(f[k>>2]|0))MR(c,155184);else{f[j>>2]=f[38796];f[i>>2]=j+4}do if(b[g>>0]|0){j=f[a+56>>2]|0;l=a;if(!j){m=l-(f[(f[a+20>>2]|0)+80>>2]|0)|0;break}else{m=l-(f[j+40>>2]|0)|0;break}}else m=a-(f[(f[h>>2]|0)+20>>2]|0)|0;while(0);h=(m|0)/88|0;f[e>>2]=h;m=f[i>>2]|0;if((m|0)==(f[k>>2]|0))MR(c,e);else{f[m>>2]=h;f[i>>2]=m+4}u=d;return}m=a+56|0;i=f[m>>2]|0;if(!i){h=c+4|0;k=f[h>>2]|0;j=c+8|0;if((k|0)==(f[j>>2]|0)){MR(c,155180);if(!(b[g>>0]|0)){n=a-(f[(f[a+48>>2]|0)+20>>2]|0)|0;o=e}else{p=e;q=7}}else{f[k>>2]=f[38795];f[h>>2]=k+4;p=e;q=7}do if((q|0)==7){k=f[m>>2]|0;l=a;if(!k){n=l-(f[(f[a+20>>2]|0)+80>>2]|0)|0;o=p;break}else{n=l-(f[k+40>>2]|0)|0;o=p;break}}while(0);p=(n|0)/88|0;f[e>>2]=p;n=f[h>>2]|0;if((n|0)==(f[j>>2]|0))MR(c,e);else{f[n>>2]=p;f[h>>2]=n+4}u=d;return}oHb(i,c);i=c+4|0;n=f[i>>2]|0;h=c+8|0;if((n|0)==(f[h>>2]|0))MR(c,155188);else{f[n>>2]=f[38797];f[i>>2]=n+4}do if(b[g>>0]|0){n=f[m>>2]|0;p=a;if(!n){r=p-(f[(f[a+20>>2]|0)+80>>2]|0)|0;break}else{r=p-(f[n+40>>2]|0)|0;break}}else r=a-(f[(f[a+48>>2]|0)+20>>2]|0)|0;while(0);a=(r|0)/88|0;f[e>>2]=a;r=f[i>>2]|0;if((r|0)==(f[h>>2]|0))MR(c,e);else{f[r>>2]=a;f[i>>2]=r+4}u=d;return}function FHb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0;e=Bmc(4)|0;VDb(e);f[a>>2]=e;f[a+4>>2]=c;f[a+8>>2]=d;f[a+12>>2]=0;d=Bmc(232)|0;MEb(d);f[a+16>>2]=d;b[a+20>>0]=1;d=a+21|0;f[a+32>>2]=0;f[a+36>>2]=0;b[d>>0]=0;b[d+1>>0]=0;b[d+2>>0]=0;b[d+3>>0]=0;f[a+28>>2]=a+32;return}function GHb(){var a=0;a=f[222931]|0;if(a|0)ai[f[(f[a>>2]|0)+4>>2]&2047](a);f[222931]=0;a=f[222930]|0;if(!a){f[222930]=0;return}HHb(a);Emc(a);f[222930]=0;return}function HHb(a){a=a|0;var b=0;b=f[a>>2]|0;if(b|0){WDb(b);Emc(b)}PS(a+28|0,f[a+32>>2]|0);b=f[a+16>>2]|0;if(!b)return;REb(b);Emc(b);return}function IHb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;g=u;u=u+16|0;h=g;HGb(h,c,f[c>>2]|0,d,e);e=f[h>>2]|0;if(!e){i=h;j=f[i+4>>2]|0;k=a;f[k>>2]=f[i>>2];f[k+4>>2]=j;u=g;return}if(!(b[(f[c>>2]|0)+20>>0]|0)){j=h;k=f[j+4>>2]|0;i=a;f[i>>2]=f[j>>2];f[i+4>>2]=k;u=g;return}switch(e|0){case 8:{l=h+4|0;m=14;break}case 1:{l=(f[h+4>>2]|0)+8|0;m=14;break}case 2:{l=(f[h+4>>2]|0)+20|0;m=14;break}case 3:{l=(f[(f[h+4>>2]|0)+8>>2]|0)+8|0;m=14;break}case 4:{l=(f[h+4>>2]|0)+8|0;m=14;break}case 5:{l=(f[(f[h+4>>2]|0)+12>>2]|0)+8|0;m=14;break}case 6:{l=(f[h+4>>2]|0)+8|0;m=14;break}case 7:{l=(f[(f[h+4>>2]|0)+8>>2]|0)+8|0;m=14;break}default:n=0}if((m|0)==14)n=f[l>>2]|0;l=n;m=f[c+40>>2]|0;a:do if((n|0)!=(m|0)){k=c+52|0;i=f[k>>2]|0;if(i|0){j=i;do{i=f[j+16>>2]|0;if(n>>>0<i>>>0)o=j;else{if(i>>>0>=n>>>0)break a;o=j+4|0}j=f[o>>2]|0}while((j|0)!=0)}b:do if((e|0)==8){j=m+4|0;i=f[j>>2]|0;p=b[i+11>>0]|0;q=d+11|0;r=b[q>>0]|0;s=r<<24>>24<0;t=d+4|0;v=s?f[t>>2]|0:r&255;do if((p<<24>>24<0?f[i+4>>2]|0:p&255)>>>0>=v>>>0?(knc(i,0,v,s?f[d>>2]|0:d,v)|0)==0:0){r=f[j>>2]|0;w=b[r+11>>0]|0;x=w<<24>>24<0;if(x)y=f[r+4>>2]|0;else y=w&255;w=b[q>>0]|0;z=w<<24>>24<0?f[t>>2]|0:w&255;if((y|0)!=(z|0)){if(x)A=f[r>>2]|0;else A=r;if((b[A+z>>0]|0)!=46)break}z=h;r=f[z+4>>2]|0;x=a;f[x>>2]=f[z>>2];f[x+4>>2]=r;u=g;return}while(0);j=f[c+48>>2]|0;if((j|0)!=(k|0)){v=j;while(1){j=f[v+16>>2]|0;if((j|0?(s=j+4|0,j=f[s>>2]|0,i=b[j+11>>0]|0,p=b[q>>0]|0,r=p<<24>>24<0,x=r?f[t>>2]|0:p&255,(i<<24>>24<0?f[j+4>>2]|0:i&255)>>>0>=x>>>0):0)?(knc(j,0,x,r?f[d>>2]|0:d,x)|0)==0:0){x=f[s>>2]|0;s=b[x+11>>0]|0;r=s<<24>>24<0;if(r)B=f[x+4>>2]|0;else B=s&255;s=b[q>>0]|0;j=s<<24>>24<0?f[t>>2]|0:s&255;if((B|0)==(j|0))break;if(r)C=f[x>>2]|0;else C=x;if((b[C+j>>0]|0)==46)break}j=f[v+4>>2]|0;if(!j){x=v+8|0;r=f[x>>2]|0;if((f[r>>2]|0)==(v|0))D=r;else{r=x;do{x=f[r>>2]|0;r=x+8|0;s=f[r>>2]|0}while((f[s>>2]|0)!=(x|0));D=s}}else{r=j;while(1){s=f[r>>2]|0;if(!s)break;else r=s}D=r}if((D|0)==(k|0))break b;else v=D}v=h;t=f[v+4>>2]|0;q=a;f[q>>2]=f[v>>2];f[q+4>>2]=t;u=g;return}}while(0);f[c+72>>2]=l;Qmc(c+76|0,d)|0;k=a;f[k>>2]=0;f[k+4>>2]=0;u=g;return}while(0);d=c+60|0;l=c+64|0;D=f[l>>2]|0;if(D|0){C=l;B=D;c:while(1){A=B;while(1){if((f[A+16>>2]|0)>>>0>=n>>>0)break;y=f[A+4>>2]|0;if(!y){E=C;break c}else A=y}B=f[A>>2]|0;if(!B){E=A;break}else C=A}if((E|0)!=(l|0)?n>>>0>=(f[E+16>>2]|0)>>>0:0){n=f[E+4>>2]|0;if(!n){l=E+8|0;C=f[l>>2]|0;if((f[C>>2]|0)==(E|0))F=C;else{C=l;do{l=f[C>>2]|0;C=l+8|0;B=f[C>>2]|0}while((f[B>>2]|0)!=(l|0));F=B}}else{C=n;while(1){n=f[C>>2]|0;if(!n)break;else C=n}F=C}if((f[d>>2]|0)==(E|0))f[d>>2]=F;F=c+68|0;f[F>>2]=(f[F>>2]|0)+-1;gCa(D,E);Emc(E)}}E=h;h=f[E+4>>2]|0;D=a;f[D>>2]=f[E>>2];f[D+4>>2]=h;u=g;return}function JHb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;e=u;u=u+448|0;g=e+424|0;h=e+412|0;i=e+400|0;j=e+360|0;k=e+320|0;l=e+280|0;m=e+240|0;n=e+200|0;o=e+160|0;p=e+120|0;q=e+80|0;r=e+40|0;s=e;t=c+16|0;if(!(f[t>>2]|0)){v=AUb()|0;f[t>>2]=v}v=c+60|0;if((f[v>>2]|0)>0){t=c+28|0;w=d+44|0;x=0;do{JHb(a,(f[t>>2]|0)+(x*88|0)|0,f[(f[w>>2]|0)+4+(x<<2)>>2]|0);x=x+1|0}while((x|0)<(f[v>>2]|0))}v=c+64|0;if((f[v>>2]|0)>0){x=c+32|0;w=0;do{t=f[x>>2]|0;y=t+(w*48|0)+16|0;if(!(f[y>>2]|0)){z=GUb()|0;f[y>>2]=z}z=t+(w*48|0)+24|0;y=f[z>>2]|0;if((y|0)>0){A=t+(w*48|0)+28|0;t=0;B=y;while(1){y=(f[A>>2]|0)+(t*20|0)+16|0;if(!(f[y>>2]|0)){C=IUb()|0;f[y>>2]=C;D=f[z>>2]|0}else D=B;t=t+1|0;if((t|0)>=(D|0))break;else B=D}}w=w+1|0}while((w|0)<(f[v>>2]|0))}v=c+52|0;if((f[v>>2]|0)>0){w=c+20|0;D=d+28|0;x=0;do{KHb(a,(f[w>>2]|0)+(x*88|0)|0,f[(f[D>>2]|0)+4+(x<<2)>>2]|0);x=x+1|0}while((x|0)<(f[v>>2]|0))}x=c+72|0;if((f[x>>2]|0)>0){D=c+40|0;w=d+92|0;B=0;do{KHb(a,(f[D>>2]|0)+(B*88|0)|0,f[(f[w>>2]|0)+4+(B<<2)>>2]|0);B=B+1|0}while((B|0)<(f[x>>2]|0))}x=c+68|0;B=f[x>>2]|0;if((B|0)>0){w=c+36|0;D=0;t=B;while(1){B=(f[w>>2]|0)+(D*12|0)+8|0;if(!(f[B>>2]|0)){z=wUb()|0;f[B>>2]=z;E=f[x>>2]|0}else E=t;D=D+1|0;if((D|0)>=(E|0))break;else t=E}}E=f[v>>2]|0;if((E|0)>0){t=c+20|0;D=c+4|0;x=d+28|0;w=j+4|0;z=k+4|0;B=l+4|0;A=m+4|0;C=n+4|0;y=o+4|0;F=p+4|0;G=q+4|0;H=r+4|0;I=s+4|0;J=i+11|0;K=g+11|0;L=h+11|0;M=c+24|0;N=0;O=E;while(1){P=f[t>>2]|0;Q=f[P+(N*88|0)+52>>2]|0;if(!Q)R=O;else{if((f[Q+16>>2]|0)>0?(S=N+-1|0,(f[P+(S*88|0)+52>>2]|0)!=(Q|0)):0){pza(h,f[D>>2]|0,523604);JDa(g,h,f[(f[t>>2]|0)+(S*88|0)>>2]|0);P=f[(f[x>>2]|0)+4+(S<<2)>>2]|0;T=f[(f[t>>2]|0)+(S*88|0)>>2]|0;S=b[T+11>>0]|0;U=S<<24>>24<0;f[j>>2]=U?f[T>>2]|0:T;f[w>>2]=U?f[T+4>>2]|0:S&255;S=f[Q>>2]|0;T=b[S+11>>0]|0;U=T<<24>>24<0;f[k>>2]=U?f[S>>2]|0:S;f[z>>2]=U?f[S+4>>2]|0:T&255;f[l>>2]=0;f[B>>2]=-1;f[m>>2]=0;f[A>>2]=-1;f[n>>2]=0;f[C>>2]=-1;f[o>>2]=0;f[y>>2]=-1;f[p>>2]=0;f[F>>2]=-1;f[q>>2]=0;f[G>>2]=-1;f[r>>2]=0;f[H>>2]=-1;f[s>>2]=0;f[I>>2]=-1;h2b(i,490696,j,k,l,m,n,o,p,q,r,s);NFb(a,g,P,9,i);if((b[J>>0]|0)<0)Emc(f[i>>2]|0);if((b[K>>0]|0)<0)Emc(f[g>>2]|0);if((b[L>>0]|0)<0)Emc(f[h>>2]|0);V=f[v>>2]|0}else V=O;P=(f[M>>2]|0)+(((Q-(f[(f[Q+8>>2]|0)+24>>2]|0)|0)/28|0)*28|0)+16|0;f[P>>2]=(f[P>>2]|0)+1;R=V}N=N+1|0;if((N|0)>=(R|0)){W=R;break}else O=R}}else W=E;E=c+56|0;if((f[E>>2]|0)>0){R=c+24|0;O=c+4|0;N=d+108|0;d=g+11|0;V=h+11|0;M=a+4|0;L=0;do{K=f[R>>2]|0;i=K+(L*28|0)+16|0;J=f[i>>2]|0;if(!J){pza(h,f[O>>2]|0,523604);JDa(g,h,f[K+(L*28|0)>>2]|0);MFb(a,g,f[(f[N>>2]|0)+4+(L<<2)>>2]|0,0,490827);if((b[d>>0]|0)<0)Emc(f[g>>2]|0);if((b[V>>0]|0)<0)Emc(f[h>>2]|0);X=f[i>>2]|0}else X=J;J=f[M>>2]|0;s=X<<2;if(!s)Y=0;else{r=Bmc(s)|0;f[g>>2]=r;s=J+124|0;q=f[s>>2]|0;if((q|0)==(f[J+128>>2]|0))LR(J+120|0,g);else{f[q>>2]=r;f[s>>2]=(f[s>>2]|0)+4}Y=f[g>>2]|0}f[K+(L*28|0)+20>>2]=Y;f[i>>2]=0;i=K+(L*28|0)+24|0;if(!(f[i>>2]|0)){K=EUb()|0;f[i>>2]=K}L=L+1|0}while((L|0)<(f[E>>2]|0));Z=f[v>>2]|0}else Z=W;if((Z|0)<=0){u=e;return}W=c+20|0;v=c+24|0;c=0;do{E=f[W>>2]|0;L=f[E+(c*88|0)+52>>2]|0;if(L|0){Y=f[v>>2]|0;g=(L-(f[(f[L+8>>2]|0)+24>>2]|0)|0)/28|0;L=Y+(g*28|0)+16|0;X=f[L>>2]|0;f[E+(c*88|0)+44>>2]=X;M=f[Y+(g*28|0)+20>>2]|0;f[L>>2]=X+1;f[M+(X<<2)>>2]=E+(c*88|0)}c=c+1|0}while((c|0)<(Z|0));u=e;return}function KHb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;e=u;u=u+464|0;g=e+40|0;h=e;i=e+416|0;j=e+376|0;k=e+336|0;l=e+296|0;m=e+256|0;n=e+216|0;o=e+176|0;p=e+136|0;q=e+96|0;r=e+56|0;s=c+68|0;if(!(f[s>>2]|0)){t=CUb()|0;f[s>>2]=t}t=a+44|0;PHb(f[t>>2]|0,c);s=d+8|0;if(f[s>>2]&2|0){v=d+20|0;w=f[v>>2]|0;x=c+4|0;IGb(h,a,w,f[x>>2]|0,0,1);y=f[h>>2]|0;do if(!y){z=f[a>>2]|0;if(b[z+22>>0]|0?(JGb(g,z,w,2),z=g,A=f[z>>2]|0,B=f[z+4>>2]|0,z=h,f[z>>2]=A,f[z+4>>2]=B,A|0):0){C=A;break}MHb(a,f[x>>2]|0,d,3,f[v>>2]|0);u=e;return}else C=y;while(0);if((C|0)!=1){C=f[x>>2]|0;bza(i,509777,f[v>>2]|0);pza(g,i,489604);NFb(a,C,d,3,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);u=e;return}C=f[h+4>>2]|0;f[c+48>>2]=C;v=C;C=f[c+40>>2]|0;y=f[v+68>>2]|0;a:do if((y|0)>0){w=f[v+36>>2]|0;A=0;while(1){if((f[w+(A*12|0)>>2]|0)<=(C|0)?(f[w+(A*12|0)+4>>2]|0)>(C|0):0)break a;A=A+1|0;if((A|0)>=(y|0)){D=19;break}}}else D=19;while(0);if((D|0)==19?(y=f[x>>2]|0,x=f[v+4>>2]|0,v=b[x+11>>0]|0,A=v<<24>>24<0,f[i>>2]=A?f[x>>2]|0:x,f[i+4>>2]=A?f[x+4>>2]|0:v&255,v=A6b(C,j+8|0)|0,f[j>>2]=v,C=s8b(v)|0,f[j+4>>2]=C,f[k>>2]=0,f[k+4>>2]=-1,f[l>>2]=0,f[l+4>>2]=-1,f[m>>2]=0,f[m+4>>2]=-1,f[n>>2]=0,f[n+4>>2]=-1,f[o>>2]=0,f[o+4>>2]=-1,f[p>>2]=0,f[p+4>>2]=-1,f[q>>2]=0,f[q+4>>2]=-1,f[r>>2]=0,f[r+4>>2]=-1,h2b(g,490129,i,j,k,l,m,n,o,p,q,r),NFb(a,y,d,1,g),(b[g+11>>0]|0)<0):0)Emc(f[g>>2]|0)}if(f[c+52>>2]|0?(f[c+32>>2]|0)!=1:0)MFb(a,f[c+4>>2]|0,d,0,490178);y=f[s>>2]|0;do if(!(y&4)){C=c+24|0;v=f[C>>2]|0;if(v|0?(f[v>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(v,g)}v=c+28|0;if((f[v>>2]|1|0)!=11){x=f[C>>2]|0;if(x|0?(f[x>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(x,g)}if((f[v>>2]|0)!=14)break}MFb(a,f[c+4>>2]|0,d,2,490432)}else{v=f[a>>2]|0;if(!(b[v+23>>0]|0)){x=f[d+36>>2]|0;E=(b[(x|0?x:536304)+55>>0]|0)!=0}else E=0;x=(b[v+21>>0]|0)!=0;v=x&(E^1);C=d+24|0;A=f[C>>2]|0;w=c+4|0;B=(f[d+52>>2]|0)==14|y>>>3&1;IGb(h,a,A,f[w>>2]|0,1,E|x^1);x=f[h>>2]|0;do if(!x){z=f[a>>2]|0;if(b[z+22>>0]|0?(JGb(g,z,A,B),z=g,F=f[z>>2]|0,G=f[z+4>>2]|0,z=h,f[z>>2]=F,f[z+4>>2]=G,F|0):0){H=F;break}if(!v){if(E){F=Bmc(32)|0;f[i>>2]=F;f[i+8>>2]=-2147483616;f[i+4>>2]=21;G=F;z=490238;I=G+21|0;do{b[G>>0]=b[z>>0]|0;G=G+1|0;z=z+1|0}while((G|0)<(I|0));b[F+21>>0]=0;IHb(g,a,i,1);z=g;G=f[z>>2]|0;I=f[z+4>>2]|0;z=h;f[z>>2]=G;f[z+4>>2]=I;if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);if(G|0){H=G;break}}MHb(a,f[w>>2]|0,d,2,f[C>>2]|0);u=e;return}Nmc(i,f[C>>2]|0);G=a+4|0;I=f[G>>2]|0;z=Bmc(4)|0;f[z>>2]=0;f[g>>2]=z;J=I+100|0;K=f[J>>2]|0;if((K|0)==(f[I+104>>2]|0))SFb(I+96|0,g);else{f[K>>2]=z;f[J>>2]=(f[J>>2]|0)+4}f[c+24>>2]=f[g>>2];J=f[G>>2]|0;z=Bmc(12)|0;Nmc(z,i);f[g>>2]=z;K=J+76|0;I=f[K>>2]|0;if((I|0)==(f[J+80>>2]|0))OFb(J+72|0,g);else{f[I>>2]=z;f[K>>2]=(f[K>>2]|0)+4}f[c+72>>2]=f[g>>2];if(f[s>>2]&8|0){K=f[G>>2]|0;z=f[d+28>>2]|0;I=Bmc(12)|0;Nmc(I,z);f[g>>2]=I;z=K+76|0;J=f[z>>2]|0;if((J|0)==(f[K+80>>2]|0))OFb(K+72|0,g);else{f[J>>2]=I;f[z>>2]=(f[z>>2]|0)+4}f[c+76>>2]=f[g>>2]}QHb(f[t>>2]|0,c)|0;if(b[c+38>>0]|0)RHb(f[G>>2]|0,c)|0;if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);u=e;return}else H=x;while(0);if(!(f[s>>2]&512)){switch(H|0){case 1:{L=11;break}case 4:{L=14;break}default:{x=f[w>>2]|0;bza(i,509777,f[C>>2]|0);pza(g,i,490260);NFb(a,x,d,2,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);u=e;return}}f[c+28>>2]=L}x=c+24|0;v=f[x>>2]|0;if(v|0?(f[v>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(v,g)}v=c+28|0;do if((f[v>>2]|1|0)!=11){B=f[x>>2]|0;if(B|0?(f[B>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(B,g)}if((f[v>>2]|0)!=14){MFb(a,f[w>>2]|0,d,2,490391);break}if((f[h>>2]|0)!=4){B=f[w>>2]|0;bza(i,509777,f[C>>2]|0);pza(g,i,490313);NFb(a,B,d,2,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);u=e;return}B=c+64|0;f[B>>2]=f[h+4>>2];A=f[x>>2]|0;if(A|0?(f[A>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(A,g)}A=c+36|0;if(!(b[(f[B>>2]|0)+20>>0]|0)){if(b[A>>0]|0){G=d+28|0;if(!(RYb(f[G>>2]|0)|0)){MFb(a,f[w>>2]|0,d,4,490336);break}z=f[G>>2]|0;I=f[x>>2]|0;do if(I|0){if((f[I>>2]|0)==2)break;f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(I,g)}while(0);IGb(i,a,z,f[(f[B>>2]|0)+4>>2]|0,0,1);do if((f[i>>2]|0)==5){I=i+4|0;F=f[(f[I>>2]|0)+12>>2]|0;J=f[x>>2]|0;do if(J|0){if((f[J>>2]|0)==2)break;f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(J,g)}while(0);if((F|0)!=(f[B>>2]|0)){D=102;break}f[c+80>>2]=f[I>>2]}else D=102;while(0);if((D|0)==102){z=f[w>>2]|0;J=f[x>>2]|0;do if(J|0){if((f[J>>2]|0)==2)break;f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(J,g)}while(0);bza(m,485596,f[(f[B>>2]|0)+4>>2]|0);pza(l,m,488019);JDa(k,l,f[G>>2]|0);pza(j,k,510410);NFb(a,z,d,4,j);if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);if((b[k+11>>0]|0)<0)Emc(f[k>>2]|0);if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0);if((b[m+11>>0]|0)<0)Emc(f[m>>2]|0)}break}}else b[A>>0]=0;J=f[x>>2]|0;if(J|0?(f[J>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(J,g)}if((f[(f[B>>2]|0)+24>>2]|0)>0){J=f[x>>2]|0;do if(J|0){if((f[J>>2]|0)==2)break;f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=c;dEb(J,g)}while(0);f[c+80>>2]=f[(f[B>>2]|0)+28>>2]}}else{if((f[h>>2]|0)==1){f[c+60>>2]=f[h+4>>2];if(!(b[c+36>>0]|0))break;MFb(a,f[w>>2]|0,d,4,490277);break}J=f[w>>2]|0;bza(i,509777,f[C>>2]|0);pza(g,i,489604);NFb(a,J,d,2,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);u=e;return}while(0)}while(0);if(QHb(f[t>>2]|0,c)|0){if(!(b[c+38>>0]|0)){u=e;return}D=a+4|0;if(RHb(f[D>>2]|0,c)|0){u=e;return}L=c+48|0;H=f[L>>2]|0;s=f[c+40>>2]|0;E=(f[D>>2]|0)+176|0;D=f[E>>2]|0;do if(D){y=E;C=D;b:while(1){w=C;while(1){x=f[w+16>>2]|0;if(x>>>0>=H>>>0){if(x>>>0>H>>>0)break;if((f[w+20>>2]|0)>=(s|0))break}x=f[w+4>>2]|0;if(!x){M=y;break b}else w=x}C=f[w>>2]|0;if(!C){M=w;break}else y=w}if((M|0)!=(E|0)?(y=f[M+16>>2]|0,y>>>0<=H>>>0):0){if(y>>>0>=H>>>0?(f[M+20>>2]|0)>(s|0):0){N=0;break}N=f[M+24>>2]|0}else N=0}else N=0;while(0);M=A6b(s,h+8|0)|0;f[h>>2]=M;s=s8b(M)|0;f[h+4>>2]=s;s=f[(f[L>>2]|0)+4>>2]|0;L=b[s+11>>0]|0;M=L<<24>>24<0;f[i>>2]=M?f[s>>2]|0:s;f[i+4>>2]=M?f[s+4>>2]|0:L&255;L=f[N+4>>2]|0;s=b[L+11>>0]|0;M=s<<24>>24<0;f[j>>2]=M?f[L>>2]|0:L;f[j+4>>2]=M?f[L+4>>2]|0:s&255;s=f[f[N+20>>2]>>2]|0;N=b[s+11>>0]|0;L=N<<24>>24<0;f[k>>2]=L?f[s>>2]|0:s;f[k+4>>2]=L?f[s+4>>2]|0:N&255;f[l>>2]=0;f[l+4>>2]=-1;f[m>>2]=0;f[m+4>>2]=-1;f[n>>2]=0;f[n+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;h2b(g,490613,h,i,j,k,l,m,n,o,p,q);gGb(a,f[c+4>>2]|0,d,1,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);u=e;return}N=f[t>>2]|0;t=f[c+48>>2]|0;s=c+40|0;L=f[s>>2]|0;M=(t*65535|0)+L|0;H=f[N+80>>2]|0;c:do if(H){E=H+-1|0;D=(E&H|0)==0;if(!D)if(M>>>0<H>>>0)O=M;else O=(M>>>0)%(H>>>0)|0;else O=E&M;y=f[(f[N+76>>2]|0)+(O<<2)>>2]|0;if((y|0)!=0?(C=f[y>>2]|0,(C|0)!=0):0){d:do if(D){y=C;while(1){B=f[y+4>>2]|0;x=(M|0)==(B|0);if(!(x|(B&E|0)==(O|0))){P=0;break c}if((x?(f[y+8>>2]|0)==(t|0):0)?(f[y+12>>2]|0)==(L|0):0){Q=y;break d}y=f[y>>2]|0;if(!y){P=0;break c}}}else{y=C;while(1){w=f[y+4>>2]|0;if((M|0)==(w|0)){if((f[y+8>>2]|0)==(t|0)?(f[y+12>>2]|0)==(L|0):0){Q=y;break d}}else{if(w>>>0<H>>>0)R=w;else R=(w>>>0)%(H>>>0)|0;if((R|0)!=(O|0)){P=0;break c}}y=f[y>>2]|0;if(!y){P=0;break c}}}while(0);P=f[Q+16>>2]|0}else P=0}else P=0;while(0);if(!t){f[g+8>>2]=0;b[g+11>>0]=7;b[g>>0]=b[483759]|0;b[g+1>>0]=b[483760]|0;b[g+2>>0]=b[483761]|0;b[g+3>>0]=b[483762]|0;b[g+4>>0]=b[483763]|0;b[g+5>>0]=b[483764]|0;b[g+6>>0]=b[483765]|0;b[g+7>>0]=0}else Nmc(g,f[t+4>>2]|0);t=f[c+4>>2]|0;if(!(b[c+38>>0]|0)){c=A6b(f[s>>2]|0,i+8|0)|0;f[i>>2]=c;Q=s8b(c)|0;f[i+4>>2]=Q;Q=g+11|0;c=b[Q>>0]|0;O=c<<24>>24<0;f[j>>2]=O?f[g>>2]|0:g;f[j+4>>2]=O?f[g+4>>2]|0:c&255;c=f[P>>2]|0;O=b[c+11>>0]|0;R=O<<24>>24<0;f[k>>2]=R?f[c>>2]|0:c;f[k+4>>2]=R?f[c+4>>2]|0:O&255;f[l>>2]=0;f[l+4>>2]=-1;f[m>>2]=0;f[m+4>>2]=-1;f[n>>2]=0;f[n+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;h2b(h,490552,i,j,k,l,m,n,o,p,q,r);NFb(a,t,d,1,h);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);S=Q}else{Q=A6b(f[s>>2]|0,i+8|0)|0;f[i>>2]=Q;s=s8b(Q)|0;f[i+4>>2]=s;s=g+11|0;Q=b[s>>0]|0;O=Q<<24>>24<0;f[j>>2]=O?f[g>>2]|0:g;f[j+4>>2]=O?f[g+4>>2]|0:Q&255;Q=f[P+4>>2]|0;P=b[Q+11>>0]|0;O=P<<24>>24<0;f[k>>2]=O?f[Q>>2]|0:Q;f[k+4>>2]=O?f[Q+4>>2]|0:P&255;f[l>>2]=0;f[l+4>>2]=-1;f[m>>2]=0;f[m+4>>2]=-1;f[n>>2]=0;f[n+4>>2]=-1;f[o>>2]=0;f[o+4>>2]=-1;f[p>>2]=0;f[p+4>>2]=-1;f[q>>2]=0;f[q+4>>2]=-1;f[r>>2]=0;f[r+4>>2]=-1;h2b(h,490483,i,j,k,l,m,n,o,p,q,r);NFb(a,t,d,1,h);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);S=s}if((b[S>>0]|0)<0)Emc(f[g>>2]|0);u=e;return}function LHb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=u;u=u+48|0;g=e+24|0;h=e+16|0;i=e;j=e+36|0;k=c+44|0;if(!(f[k>>2]|0)){l=MUb()|0;f[k>>2]=l}l=d+20|0;k=f[l>>2]|0;m=c+4|0;IGb(h,a,k,f[m>>2]|0,0,(b[(f[a>>2]|0)+21>>0]|0)==0);n=f[h>>2]|0;do if(!n){o=f[a>>2]|0;if(b[o+22>>0]|0?(JGb(g,o,k,0),o=g,p=f[o>>2]|0,q=f[o+4>>2]|0,o=h,f[o>>2]=p,f[o+4>>2]=q,p|0):0){r=p;s=9;break}if(!(b[(f[a>>2]|0)+21>>0]|0)){MHb(a,f[m>>2]|0,d,5,f[l>>2]|0);break}else{NHb(c+12|0,f[l>>2]|0,f[a+40>>2]|0);break}}else{r=n;s=9}while(0);do if((s|0)==9){if((r|0)==1){OHb(c+12|0,f[h+4>>2]|0);break}n=f[m>>2]|0;bza(i,509777,f[l>>2]|0);pza(g,i,489604);NFb(a,n,d,5,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0)}while(0);l=d+24|0;h=f[l>>2]|0;IGb(i,a,h,f[m>>2]|0,0,(b[(f[a>>2]|0)+21>>0]|0)==0);r=f[i>>2]|0;do if(!r){s=f[a>>2]|0;if(b[s+22>>0]|0?(JGb(g,s,h,0),s=g,n=f[s>>2]|0,k=f[s+4>>2]|0,s=i,f[s>>2]=n,f[s+4>>2]=k,n|0):0){t=n;break}if(!(b[(f[a>>2]|0)+21>>0]|0)){MHb(a,f[m>>2]|0,d,6,f[l>>2]|0);u=e;return}else{NHb(c+28|0,f[l>>2]|0,f[a+40>>2]|0);u=e;return}}else t=r;while(0);if((t|0)==1){OHb(c+28|0,f[i+4>>2]|0);u=e;return}i=f[m>>2]|0;bza(j,509777,f[l>>2]|0);pza(g,j,489604);NFb(a,i,d,6,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);u=e;return}function MHb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;h=u;u=u+80|0;i=h+60|0;j=h+48|0;k=h+36|0;l=h+24|0;m=h+12|0;n=h;o=a+72|0;if(!(f[o>>2]|0)){p=a+88|0;q=b[p+11>>0]|0;if(q<<24>>24<0)r=f[a+92>>2]|0;else r=q&255;if(!r){bza(j,509777,g);pza(i,j,489861);NFb(a,c,d,e,i);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);u=h;return}else{s=p;t=q}}else{bza(n,509777,a+76|0);pza(m,n,489879);JDa(l,m,f[f[o>>2]>>2]|0);pza(k,l,489906);JDa(j,k,a+28|0);pza(i,j,489936);NFb(a,c,d,e,i);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);if((b[k+11>>0]|0)<0)Emc(f[k>>2]|0);if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0);if((b[m+11>>0]|0)<0)Emc(f[m>>2]|0);if((b[n+11>>0]|0)<0)Emc(f[n>>2]|0);o=a+88|0;s=o;t=b[o+11>>0]|0}if(t<<24>>24<0)v=f[a+92>>2]|0;else v=t&255;if(!v){u=h;return}bza(n,509777,g);pza(m,n,489989);JDa(l,m,s);pza(k,l,490008);JDa(j,k,g);pza(i,j,487115);NFb(a,c,d,e,i);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);if((b[k+11>>0]|0)<0)Emc(f[k>>2]|0);if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0);if((b[m+11>>0]|0)<0)Emc(f[m>>2]|0);if((b[n+11>>0]|0)<0)Emc(f[n>>2]|0);u=h;return}function NHb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=u;u=u+192|0;g=e+168|0;h=e+144|0;i=e+120|0;j=e+96|0;k=e+72|0;l=e+48|0;m=e+174|0;n=e+24|0;o=e+173|0;p=e;q=e+172|0;if(f[a>>2]|0){TDb(h,3,483670,7105);QDb(e+178|0,ODb(h,489698)|0);UDb(h)}h=a+12|0;if(f[h>>2]|0){TDb(i,3,483670,7106);QDb(e+177|0,ODb(i,489675)|0);UDb(i)}i=a+4|0;if(f[i>>2]|0){TDb(j,3,483670,7107);QDb(e+176|0,ODb(j,489629)|0);UDb(j)}j=a+8|0;if(f[j>>2]|0){TDb(k,3,483670,7108);QDb(e+175|0,ODb(k,489652)|0);UDb(k)}if((d|0)!=0?(k=d+8|0,a=f[k>>2]|0,(a|0)!=0):0){r=k;s=a}else{TDb(l,3,483670,7109);QDb(m,ODb(l,489727)|0);UDb(l);l=d+8|0;r=l;s=f[l>>2]|0}if(!(b[s+21>>0]|0)){TDb(n,3,483670,7110);QDb(o,ODb(n,489763)|0);UDb(n)}if(b[d+49>>0]|0){TDb(p,3,483670,7111);QDb(q,ODb(p,489819)|0);UDb(p)}f[h>>2]=d;d=f[(f[r>>2]|0)+16>>2]|0;h=Bmc(12)|0;Nmc(h,c);f[g>>2]=h;c=d+76|0;p=f[c>>2]|0;if((p|0)==(f[d+80>>2]|0))OFb(d+72|0,g);else{f[p>>2]=h;f[c>>2]=(f[c>>2]|0)+4}f[i>>2]=f[g>>2];i=f[(f[r>>2]|0)+16>>2]|0;r=Bmc(4)|0;f[r>>2]=0;f[g>>2]=r;c=i+100|0;h=f[c>>2]|0;if((h|0)==(f[i+104>>2]|0)){SFb(i+96|0,g);t=f[g>>2]|0;f[j>>2]=t;u=e;return}else{f[h>>2]=r;f[c>>2]=(f[c>>2]|0)+4;t=f[g>>2]|0;f[j>>2]=t;u=e;return}}function OHb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+80|0;d=c+48|0;e=c+24|0;g=c;if(f[a+4>>2]|0){TDb(d,3,483670,7097);QDb(c+74|0,ODb(d,489629)|0);UDb(d)}if(f[a+8>>2]|0){TDb(e,3,483670,7098);QDb(c+73|0,ODb(e,489652)|0);UDb(e)}if(!(f[a+12>>2]|0)){f[a>>2]=b;u=c;return}TDb(g,3,483670,7099);QDb(c+72|0,ODb(g,489675)|0);UDb(g);f[a>>2]=b;u=c;return}function PHb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+32|0;e=d+16|0;g=d+24|0;h=d+8|0;i=d;f[e>>2]=c;do if(b[c+38>>0]|0){j=f[c+56>>2]|0;if(!j){k=f[c+20>>2]|0;break}else{k=j;break}}else k=f[c+48>>2]|0;while(0);j=k;k=f[c+8>>2]|0;if((b[k+11>>0]|0)<0)l=f[k>>2]|0;else l=k;f[g>>2]=j;f[g+4>>2]=l;l=a+40|0;if(!(THb(f[l>>2]|0,g,e)|0)){k=UHb(f[l>>2]|0,g)|0;f[h>>2]=k;THb(a+20|0,g,h)|0}g=f[c+12>>2]|0;if((b[g+11>>0]|0)<0)m=f[g>>2]|0;else m=g;f[h>>2]=j;f[h+4>>2]=m;m=a+68|0;if(THb(f[m>>2]|0,h,e)|0){u=d;return}e=UHb(f[m>>2]|0,h)|0;f[i>>2]=e;THb(a+48|0,h,i)|0;u=d;return}function QHb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0,y=0,z=0,A=0,B=0;c=b;d=f[b+48>>2]|0;e=f[b+40>>2]|0;b=a+76|0;g=(d*65535|0)+e|0;h=a+80|0;i=f[h>>2]|0;j=(i|0)==0;k=d;a:do if(!j){l=i+-1|0;m=(l&i|0)==0;if(!m)if(g>>>0<i>>>0)o=g;else o=(g>>>0)%(i>>>0)|0;else o=l&g;p=f[(f[b>>2]|0)+(o<<2)>>2]|0;if((p|0)!=0?(q=f[p>>2]|0,(q|0)!=0):0){if(m){m=q;while(1){p=f[m+4>>2]|0;if(!((p|0)==(g|0)|(p&l|0)==(o|0))){r=o;break a}if((f[m+8>>2]|0)==(k|0)?(f[m+12>>2]|0)==(e|0):0){s=0;break}m=f[m>>2]|0;if(!m){r=o;break a}}return s|0}else t=q;while(1){m=f[t+4>>2]|0;if((m|0)!=(g|0)){if(m>>>0<i>>>0)u=m;else u=(m>>>0)%(i>>>0)|0;if((u|0)!=(o|0)){r=o;break a}}if((f[t+8>>2]|0)==(k|0)?(f[t+12>>2]|0)==(e|0):0){s=0;break}t=f[t>>2]|0;if(!t){r=o;break a}}return s|0}else r=o}else r=0;while(0);o=Bmc(20)|0;t=o+8|0;f[t>>2]=d;f[t+4>>2]=e;f[o+16>>2]=c;f[o+4>>2]=g;f[o>>2]=0;c=a+88|0;v=+(((f[c>>2]|0)+1|0)>>>0);w=+n[a+92>>2];do if(j|v>+(i>>>0)*w){e=(i>>>0<3|(i+-1&i|0)!=0)&1|i<<1;t=~~+X(+(v/w))>>>0;XEb(b,e>>>0<t>>>0?t:e);e=f[h>>2]|0;t=e+-1|0;if(!(t&e)){x=e;y=t&g;break}if(g>>>0<e>>>0){x=e;y=g}else{x=e;y=(g>>>0)%(e>>>0)|0}}else{x=i;y=r}while(0);r=(f[b>>2]|0)+(y<<2)|0;y=f[r>>2]|0;if(!y){i=a+84|0;f[o>>2]=f[i>>2];f[i>>2]=o;f[r>>2]=i;i=f[o>>2]|0;if(i|0){r=f[i+4>>2]|0;i=x+-1|0;if(i&x)if(r>>>0<x>>>0)z=r;else z=(r>>>0)%(x>>>0)|0;else z=r&i;A=(f[b>>2]|0)+(z<<2)|0;B=33}}else{f[o>>2]=f[y>>2];A=y;B=33}if((B|0)==33)f[A>>2]=o;f[c>>2]=(f[c>>2]|0)+1;s=1;return s|0}function RHb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;c=u;u=u+16|0;d=c;e=b;g=f[b+48>>2]|0;h=f[b+40>>2]|0;f[d>>2]=g;f[d+4>>2]=h;b=a+172|0;i=a+176|0;j=f[i>>2]|0;do if(j){k=g;l=a+176|0;m=j;a:while(1){n=f[m+16>>2]|0;do if(k>>>0>=n>>>0){if(n>>>0>=k>>>0){o=f[m+20>>2]|0;if((h|0)<(o|0)){p=7;break}if((o|0)>=(h|0)){p=12;break a}}q=m+4|0;o=f[q>>2]|0;if(!o){p=11;break a}else{r=q;s=o}}else p=7;while(0);if((p|0)==7){p=0;n=f[m>>2]|0;if(!n){p=8;break}else{r=m;s=n}}l=r;m=s}if((p|0)==8){t=m;v=m;break}else if((p|0)==11){t=q;v=m;break}else if((p|0)==12){t=l;v=m;break}}else{t=i;v=i}while(0);if(f[t>>2]|0){w=0;u=c;return w|0}i=Bmc(28)|0;f[i+16>>2]=g;f[i+20>>2]=h;f[i+24>>2]=e;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=v;f[t>>2]=i;v=f[f[b>>2]>>2]|0;if(!v)x=i;else{f[b>>2]=v;x=f[t>>2]|0}RS(f[a+176>>2]|0,x);x=a+180|0;f[x>>2]=(f[x>>2]|0)+1;x=a+224|0;t=f[x>>2]|0;if((t|0)==(f[a+228>>2]|0)){SHb(a+220|0,d);w=1;u=c;return w|0}else{a=d;d=f[a+4>>2]|0;v=t;f[v>>2]=f[a>>2];f[v+4>>2]=d;f[x>>2]=(f[x>>2]|0)+8;w=1;u=c;return w|0}return 0}function SHb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>3;h=g+1|0;if(h>>>0>536870911)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>2;l=j>>3>>>0<268435455?(k>>>0<h>>>0?h:k):536870911;do if(l)if(l>>>0>536870911){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<3)|0;break}else m=0;while(0);k=m+(g<<3)|0;h=b;b=f[h+4>>2]|0;j=k;f[j>>2]=f[h>>2];f[j+4>>2]=b;b=k+(0-g<<3)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+8;f[i>>2]=m+(l<<3);if(!d)return;Emc(d);return}function THb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0,z=0,A=0,B=0,C=0;e=f[c>>2]|0;g=f[c+4>>2]|0;c=f[d>>2]|0;d=e*65535|0;h=g;i=b[h>>0]|0;j=e;if(!(i<<24>>24))k=0;else{l=h;m=0;o=i;while(1){i=(m*5|0)+(o<<24>>24)|0;l=l+1|0;o=b[l>>0]|0;if(!(o<<24>>24)){k=i;break}else m=i}}m=k+d|0;d=a+4|0;k=f[d>>2]|0;o=(k|0)==0;a:do if(!o){l=k+-1|0;i=(l&k|0)==0;if(!i)if(m>>>0<k>>>0)p=m;else p=(m>>>0)%(k>>>0)|0;else p=l&m;q=f[(f[a>>2]|0)+(p<<2)>>2]|0;if((q|0)!=0?(r=f[q>>2]|0,(r|0)!=0):0){if(i){i=r;while(1){q=f[i+4>>2]|0;if(!((q|0)==(m|0)|(q&l|0)==(p|0))){s=p;break a}if((f[i+8>>2]|0)==(j|0)?(o7b(f[i+12>>2]|0,h)|0)==0:0){t=0;break}i=f[i>>2]|0;if(!i){s=p;break a}}return t|0}else u=r;while(1){i=f[u+4>>2]|0;if((i|0)!=(m|0)){if(i>>>0<k>>>0)v=i;else v=(i>>>0)%(k>>>0)|0;if((v|0)!=(p|0)){s=p;break a}}if((f[u+8>>2]|0)==(j|0)?(o7b(f[u+12>>2]|0,h)|0)==0:0){t=0;break}u=f[u>>2]|0;if(!u){s=p;break a}}return t|0}else s=p}else s=0;while(0);p=Bmc(20)|0;f[p+8>>2]=e;f[p+12>>2]=g;f[p+16>>2]=c;f[p+4>>2]=m;f[p>>2]=0;c=a+12|0;w=+(((f[c>>2]|0)+1|0)>>>0);x=+n[a+16>>2];do if(o|w>+(k>>>0)*x){g=(k>>>0<3|(k+-1&k|0)!=0)&1|k<<1;e=~~+X(+(w/x))>>>0;WEb(a,g>>>0<e>>>0?e:g);g=f[d>>2]|0;e=g+-1|0;if(!(e&g)){y=g;z=e&m;break}if(m>>>0<g>>>0){y=g;z=m}else{y=g;z=(m>>>0)%(g>>>0)|0}}else{y=k;z=s}while(0);s=(f[a>>2]|0)+(z<<2)|0;z=f[s>>2]|0;if(!z){k=a+8|0;f[p>>2]=f[k>>2];f[k>>2]=p;f[s>>2]=k;k=f[p>>2]|0;if(k|0){s=f[k+4>>2]|0;k=y+-1|0;if(k&y)if(s>>>0<y>>>0)A=s;else A=(s>>>0)%(y>>>0)|0;else A=s&k;B=(f[a>>2]|0)+(A<<2)|0;C=35}}else{f[p>>2]=f[z>>2];B=z;C=35}if((C|0)==35)f[B>>2]=p;f[c>>2]=(f[c>>2]|0)+1;t=1;return t|0}function UHb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=f[c>>2]|0;e=d*65535|0;g=f[c+4>>2]|0;c=b[g>>0]|0;h=d;if(!(c<<24>>24))i=0;else{d=g;j=0;k=c;while(1){c=(j*5|0)+(k<<24>>24)|0;d=d+1|0;k=b[d>>0]|0;if(!(k<<24>>24)){i=c;break}else j=c}}j=i+e|0;e=f[a+4>>2]|0;if(!e){l=0;return l|0}i=e+-1|0;k=(i&e|0)==0;if(!k)if(j>>>0<e>>>0)m=j;else m=(j>>>0)%(e>>>0)|0;else m=i&j;d=f[(f[a>>2]|0)+(m<<2)>>2]|0;if(!d){l=0;return l|0}a=f[d>>2]|0;if(!a){l=0;return l|0}a:do if(k){d=a;while(1){c=f[d+4>>2]|0;n=(c|0)==(j|0);if(!(n|(c&i|0)==(m|0))){l=0;o=24;break}if((n?(f[d+8>>2]|0)==(h|0):0)?(o7b(f[d+12>>2]|0,g)|0)==0:0){p=d;break a}d=f[d>>2]|0;if(!d){l=0;o=24;break}}if((o|0)==24)return l|0}else{d=a;while(1){n=f[d+4>>2]|0;if((n|0)==(j|0)){if((f[d+8>>2]|0)==(h|0)?(o7b(f[d+12>>2]|0,g)|0)==0:0){p=d;break a}}else{if(n>>>0<e>>>0)q=n;else q=(n>>>0)%(e>>>0)|0;if((q|0)!=(m|0)){l=0;o=24;break}}d=f[d>>2]|0;if(!d){l=0;o=24;break}}if((o|0)==24)return l|0}while(0);l=f[p+16>>2]|0;return l|0}function VHb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=u;u=u+32|0;h=g+12|0;i=g;j=c+11|0;k=b[j>>0]|0;l=c+4|0;m=f[l>>2]|0;if(!((k<<24>>24<0?m:k&255)|0)){MFb(a,d,e,0,491639);u=g;return}n=h+11|0;o=i+11|0;p=0;q=k;k=m;while(1){m=b[(q<<24>>24<0?f[c>>2]|0:c)+p>>0]|0;do if(m<<24>>24<97)if(m<<24>>24<65)if((m+-48&255)>9){r=9;break}else{s=q;t=k;break}else if(m<<24>>24<91|m<<24>>24==95){s=q;t=k;break}else{r=9;break}else if(m<<24>>24>122)r=9;else{s=q;t=k}while(0);if((r|0)==9){r=0;bza(i,509777,c);pza(h,i,491653);NFb(a,d,e,0,h);if((b[n>>0]|0)<0)Emc(f[h>>2]|0);if((b[o>>0]|0)<0)Emc(f[i>>2]|0);s=b[j>>0]|0;t=f[l>>2]|0}p=p+1|0;if(p>>>0>=(s<<24>>24<0?t:s&255)>>>0)break;else{q=s;k=t}}u=g;return}function WHb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;h=u;u=u+32|0;i=h;j=f[a+4>>2]|0;k=Bmc(60)|0;BOb(k);f[i>>2]=k;l=j+88|0;m=f[l>>2]|0;if((m|0)==(f[j+92>>2]|0))KFb(j+84|0,i);else{f[m>>2]=k;f[l>>2]=(f[l>>2]|0)+4}rDb(i,e);kDb(k,i)|0;if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);f[g+68>>2]=k;if((f[k+36>>2]|0)<=0){u=h;return}g=a+12|0;Nmc(i,c);c=i+12|0;Nmc(c,d);d=i+24|0;f[d>>2]=e;f[i+28>>2]=k;k=a+16|0;e=f[k>>2]|0;l=a+20|0;a=f[l>>2]|0;m=a;if((e|0)==(a|0)){a=f[g>>2]|0;j=e-a>>5;n=j+1|0;if(n>>>0>134217727)Ukc(g);o=m-a|0;a=o>>4;m=o>>5>>>0<67108863?(a>>>0<n>>>0?n:a):134217727;do if(m)if(m>>>0>134217727){a=ye(8)|0;Jmc(a,511852);f[a>>2]=165276;Gf(a|0,26776,1555)}else{p=Bmc(m<<5)|0;break}else p=0;while(0);a=p+(j<<5)|0;n=a;o=p+(m<<5)|0;Nmc(a,i);Nmc(p+(j<<5)+12|0,c);m=d;q=f[m+4>>2]|0;r=p+(j<<5)+24|0;f[r>>2]=f[m>>2];f[r+4>>2]=q;q=a+32|0;r=f[g>>2]|0;m=f[k>>2]|0;if((m|0)==(r|0)){s=n;t=r;v=r}else{j=m;m=n;n=a;do{a=j;j=j+-32|0;Nmc(n+-32|0,j);Nmc(n+-20|0,a+-20|0);p=a+-8|0;a=f[p+4>>2]|0;w=n+-8|0;f[w>>2]=f[p>>2];f[w+4>>2]=a;n=m+-32|0;m=n}while((j|0)!=(r|0));s=m;t=f[g>>2]|0;v=f[k>>2]|0}f[g>>2]=s;f[k>>2]=q;f[l>>2]=o;o=t;if((v|0)!=(o|0)){l=v;do{v=l+-20|0;l=l+-32|0;if((b[v+11>>0]|0)<0)Emc(f[v>>2]|0);if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0)}while((l|0)!=(o|0))}if(t|0)Emc(t)}else{Nmc(e,i);Nmc(e+12|0,c);t=d;d=f[t+4>>2]|0;o=e+24|0;f[o>>2]=f[t>>2];f[o+4>>2]=d;f[k>>2]=(f[k>>2]|0)+32}if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);u=h;return}function XHb(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;i=u;u=u+112|0;j=i+96|0;k=i;l=i+72|0;m=i+108|0;n=i+56|0;o=i+44|0;p=i+32|0;q=i+20|0;r=i+8|0;if(!d)s=f[a+40>>2]|0;else s=d;d=a+4|0;t=f[d>>2]|0;v=h;h=f[v>>2]|0;w=f[v+4>>2]|0;v=c+11|0;f[j>>2]=(b[v>>0]|0)<0?f[c>>2]|0:c;x=j+4|0;f[x>>2]=h;f[x+4>>2]=w;if(YHb(t+132|0,j)|0){x=(b[v>>0]|0)<0?f[c>>2]|0:c;f[j>>2]=x;y=t+200|0;z=f[y>>2]|0;if((z|0)==(f[t+204>>2]|0))QFb(t+196|0,j);else{f[z>>2]=x;f[y>>2]=(f[y>>2]|0)+4}y=f[a+44>>2]|0;x=k;f[x>>2]=h;f[x+4>>2]=w;f[j>>2]=f[k>>2];f[j+4>>2]=f[k+4>>2];if(ZHb(y,s,e,j)|0){A=1;u=i;return A|0}if(b[a+24>>0]|0){A=0;u=i;return A|0}TDb(l,2,483670,3991);QDb(m,ODb(PDb(ODb(l,509777)|0,c)|0,491447)|0);UDb(l);A=0;u=i;return A|0}l=f[d>>2]|0;f[j>>2]=(b[v>>0]|0)<0?f[c>>2]|0:c;v=sFb(l+132|0,j)|0;a:do if(!v)B=0;else{l=f[v+16>>2]|0;switch(f[v+12>>2]|0){case 8:{B=l;break a;break}case 1:{B=f[l+8>>2]|0;break a;break}case 2:{B=f[l+20>>2]|0;break a;break}case 3:{B=f[(f[l+8>>2]|0)+8>>2]|0;break a;break}case 4:{B=f[l+8>>2]|0;break a;break}case 5:{B=f[(f[l+12>>2]|0)+8>>2]|0;break a;break}case 6:{B=f[l+8>>2]|0;break a;break}case 7:{B=f[(f[l+8>>2]|0)+8>>2]|0;break a;break}default:{B=0;break a}}}while(0);if((B|0)!=(f[a+40>>2]|0)){bza(p,509777,c);pza(o,p,491608);JDa(n,o,f[B>>2]|0);pza(j,n,510410);NFb(a,c,g,0,j);if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);if((b[n+11>>0]|0)<0)Emc(f[n>>2]|0);if((b[o+11>>0]|0)<0)Emc(f[o>>2]|0);if((b[p+11>>0]|0)<0)Emc(f[p>>2]|0);A=0;u=i;return A|0}B=jnc(c,46,-1)|0;if((B|0)==-1){bza(n,509777,c);pza(j,n,491560);NFb(a,c,g,0,j);if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);if((b[n+11>>0]|0)<0)Emc(f[n>>2]|0);A=0;u=i;return A|0}Omc(q,c,B+1|0,-1,c);bza(p,509777,q);pza(o,p,491582);Omc(r,c,0,B,c);JDa(n,o,r);pza(j,n,510410);NFb(a,c,g,0,j);if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);if((b[n+11>>0]|0)<0)Emc(f[n>>2]|0);if((b[r+11>>0]|0)<0)Emc(f[r>>2]|0);if((b[o+11>>0]|0)<0)Emc(f[o>>2]|0);if((b[p+11>>0]|0)<0)Emc(f[p>>2]|0);if((b[q+11>>0]|0)<0)Emc(f[q>>2]|0);A=0;u=i;return A|0}function YHb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0.0,v=0,w=0,x=0,y=0,z=0;d=f[c>>2]|0;e=b[d>>0]|0;if(!(e<<24>>24))g=0;else{h=d;i=0;j=e;while(1){e=(i*5|0)+(j<<24>>24)|0;h=h+1|0;j=b[h>>0]|0;if(!(j<<24>>24)){g=e;break}else i=e}}i=a+4|0;j=f[i>>2]|0;h=(j|0)==0;a:do if(!h){e=j+-1|0;k=(e&j|0)==0;if(!k)if(g>>>0<j>>>0)l=g;else l=(g>>>0)%(j>>>0)|0;else l=e&g;m=f[(f[a>>2]|0)+(l<<2)>>2]|0;if(!m)o=l;else{if(k){k=m;while(1){k=f[k>>2]|0;if(!k){o=l;break a}p=f[k+4>>2]|0;if(!((p|0)==(g|0)|(p&e|0)==(l|0))){o=l;break a}if(!(o7b(f[k+8>>2]|0,d)|0)){q=0;break}}return q|0}else r=m;while(1){r=f[r>>2]|0;if(!r){o=l;break a}k=f[r+4>>2]|0;if((k|0)!=(g|0)){if(k>>>0<j>>>0)s=k;else s=(k>>>0)%(j>>>0)|0;if((s|0)!=(l|0)){o=l;break a}}if(!(o7b(f[r+8>>2]|0,d)|0)){q=0;break}}return q|0}}else o=0;while(0);d=Bmc(20)|0;r=d+8|0;f[r>>2]=f[c>>2];f[r+4>>2]=f[c+4>>2];f[r+8>>2]=f[c+8>>2];f[d+4>>2]=g;f[d>>2]=0;c=a+12|0;t=+(((f[c>>2]|0)+1|0)>>>0);u=+n[a+16>>2];do if(h|t>+(j>>>0)*u){r=(j>>>0<3|(j+-1&j|0)!=0)&1|j<<1;l=~~+X(+(t/u))>>>0;NEb(a,r>>>0<l>>>0?l:r);r=f[i>>2]|0;l=r+-1|0;if(!(l&r)){v=r;w=l&g;break}if(g>>>0<r>>>0){v=r;w=g}else{v=r;w=(g>>>0)%(r>>>0)|0}}else{v=j;w=o}while(0);o=(f[a>>2]|0)+(w<<2)|0;w=f[o>>2]|0;if(!w){j=a+8|0;f[d>>2]=f[j>>2];f[j>>2]=d;f[o>>2]=j;j=f[d>>2]|0;if(j|0){o=f[j+4>>2]|0;j=v+-1|0;if(j&v)if(o>>>0<v>>>0)x=o;else x=(o>>>0)%(v>>>0)|0;else x=o&j;y=(f[a>>2]|0)+(x<<2)|0;z=32}}else{f[d>>2]=f[w>>2];y=w;z=32}if((z|0)==32)f[y>>2]=d;f[c>>2]=(f[c>>2]|0)+1;q=1;return q|0}function ZHb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0,A=0,B=0,C=0,D=0;g=c;h=(b[d+11>>0]|0)<0?f[d>>2]|0:d;d=h;i=e;e=f[i>>2]|0;j=f[i+4>>2]|0;i=g*65535|0;k=b[h>>0]|0;if(!(k<<24>>24))l=0;else{m=h;o=0;p=k;while(1){k=(o*5|0)+(p<<24>>24)|0;m=m+1|0;p=b[m>>0]|0;if(!(p<<24>>24)){l=k;break}else o=k}}o=l+i|0;i=a+4|0;l=f[i>>2]|0;p=(l|0)==0;a:do if(!p){m=l+-1|0;k=(m&l|0)==0;if(!k)if(o>>>0<l>>>0)q=o;else q=(o>>>0)%(l>>>0)|0;else q=m&o;r=f[(f[a>>2]|0)+(q<<2)>>2]|0;if((r|0)!=0?(s=f[r>>2]|0,(s|0)!=0):0){if(k){k=s;while(1){r=f[k+4>>2]|0;if(!((r|0)==(o|0)|(r&m|0)==(q|0))){t=q;break a}if((f[k+8>>2]|0)==(c|0)?(o7b(f[k+12>>2]|0,h)|0)==0:0){u=0;break}k=f[k>>2]|0;if(!k){t=q;break a}}return u|0}else v=s;while(1){k=f[v+4>>2]|0;if((k|0)!=(o|0)){if(k>>>0<l>>>0)w=k;else w=(k>>>0)%(l>>>0)|0;if((w|0)!=(q|0)){t=q;break a}}if((f[v+8>>2]|0)==(c|0)?(o7b(f[v+12>>2]|0,h)|0)==0:0){u=0;break}v=f[v>>2]|0;if(!v){t=q;break a}}return u|0}else t=q}else t=0;while(0);q=Bmc(24)|0;f[q+8>>2]=g;f[q+12>>2]=d;d=q+16|0;f[d>>2]=e;f[d+4>>2]=j;f[q+4>>2]=o;f[q>>2]=0;j=a+12|0;x=+(((f[j>>2]|0)+1|0)>>>0);y=+n[a+16>>2];do if(p|x>+(l>>>0)*y){d=(l>>>0<3|(l+-1&l|0)!=0)&1|l<<1;e=~~+X(+(x/y))>>>0;VEb(a,d>>>0<e>>>0?e:d);d=f[i>>2]|0;e=d+-1|0;if(!(e&d)){z=d;A=e&o;break}if(o>>>0<d>>>0){z=d;A=o}else{z=d;A=(o>>>0)%(d>>>0)|0}}else{z=l;A=t}while(0);t=(f[a>>2]|0)+(A<<2)|0;A=f[t>>2]|0;if(!A){l=a+8|0;f[q>>2]=f[l>>2];f[l>>2]=q;f[t>>2]=l;l=f[q>>2]|0;if(l|0){t=f[l+4>>2]|0;l=z+-1|0;if(l&z)if(t>>>0<z>>>0)B=t;else B=(t>>>0)%(z>>>0)|0;else B=t&l;C=(f[a>>2]|0)+(B<<2)|0;D=35}}else{f[q>>2]=f[A>>2];C=A;D=35}if((D|0)==35)f[C>>2]=q;f[j>>2]=(f[j>>2]|0)+1;u=1;return u|0}function _Hb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;g=u;u=u+16|0;h=g+8|0;i=g;j=a+4|0;k=f[j>>2]|0;l=c+16|0;m=f[l>>2]|0;n=Bmc(12)|0;Nmc(n,m);f[h>>2]=n;m=k+76|0;o=f[m>>2]|0;if((o|0)==(f[k+80>>2]|0))OFb(k+72|0,h);else{f[o>>2]=n;f[m>>2]=(f[m>>2]|0)+4}f[e>>2]=f[h>>2];f[e+8>>2]=d;m=f[j>>2]|0;j=f[d+4>>2]|0;n=Bmc(12)|0;Nmc(n,j);f[h>>2]=n;j=m+76|0;o=f[j>>2]|0;if((o|0)==(f[m+80>>2]|0))OFb(m+72|0,h);else{f[o>>2]=n;f[j>>2]=(f[j>>2]|0)+4}j=f[h>>2]|0;Xmc(j,1,46)|0;n=f[e>>2]|0;o=b[n+11>>0]|0;m=o<<24>>24<0;$mc(j,m?f[n>>2]|0:n,m?f[n+4>>2]|0:o&255)|0;o=e+4|0;f[o>>2]=j;VHb(a,f[l>>2]|0,j,c);j=e+12|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;f[j+24>>2]=0;f[j+28>>2]=0;if(!(f[c+8>>2]&8)){f[e+44>>2]=0;p=c+32|0;q=b[p>>0]|0;r=e+48|0;b[r>>0]=q;s=c+33|0;t=b[s>>0]|0;v=e+49|0;b[v>>0]=t;w=f[o>>2]|0;x=f[e>>2]|0;f[i>>2]=7;y=i+4|0;f[y>>2]=e;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];XHb(a,w,d,x,c,h)|0;u=g;return}else{j=f[c+28>>2]|0;l=f[o>>2]|0;aIb(a,l,l,j|0?j:536584,e);p=c+32|0;q=b[p>>0]|0;r=e+48|0;b[r>>0]=q;s=c+33|0;t=b[s>>0]|0;v=e+49|0;b[v>>0]=t;w=f[o>>2]|0;x=f[e>>2]|0;f[i>>2]=7;y=i+4|0;f[y>>2]=e;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];XHb(a,w,d,x,c,h)|0;u=g;return}}function $Hb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;h=u;u=u+32|0;i=h;j=f[a+4>>2]|0;k=Bmc(52)|0;dNb(k);f[i>>2]=k;l=j+88|0;m=f[l>>2]|0;if((m|0)==(f[j+92>>2]|0))KFb(j+84|0,i);else{f[m>>2]=k;f[l>>2]=(f[l>>2]|0)+4}rDb(i,e);kDb(k,i)|0;if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);f[g+12>>2]=k;if((f[k+36>>2]|0)<=0){u=h;return}g=a+12|0;Nmc(i,c);c=i+12|0;Nmc(c,d);d=i+24|0;f[d>>2]=e;f[i+28>>2]=k;k=a+16|0;e=f[k>>2]|0;l=a+20|0;a=f[l>>2]|0;m=a;if((e|0)==(a|0)){a=f[g>>2]|0;j=e-a>>5;n=j+1|0;if(n>>>0>134217727)Ukc(g);o=m-a|0;a=o>>4;m=o>>5>>>0<67108863?(a>>>0<n>>>0?n:a):134217727;do if(m)if(m>>>0>134217727){a=ye(8)|0;Jmc(a,511852);f[a>>2]=165276;Gf(a|0,26776,1555)}else{p=Bmc(m<<5)|0;break}else p=0;while(0);a=p+(j<<5)|0;n=a;o=p+(m<<5)|0;Nmc(a,i);Nmc(p+(j<<5)+12|0,c);m=d;q=f[m+4>>2]|0;r=p+(j<<5)+24|0;f[r>>2]=f[m>>2];f[r+4>>2]=q;q=a+32|0;r=f[g>>2]|0;m=f[k>>2]|0;if((m|0)==(r|0)){s=n;t=r;v=r}else{j=m;m=n;n=a;do{a=j;j=j+-32|0;Nmc(n+-32|0,j);Nmc(n+-20|0,a+-20|0);p=a+-8|0;a=f[p+4>>2]|0;w=n+-8|0;f[w>>2]=f[p>>2];f[w+4>>2]=a;n=m+-32|0;m=n}while((j|0)!=(r|0));s=m;t=f[g>>2]|0;v=f[k>>2]|0}f[g>>2]=s;f[k>>2]=q;f[l>>2]=o;o=t;if((v|0)!=(o|0)){l=v;do{v=l+-20|0;l=l+-32|0;if((b[v+11>>0]|0)<0)Emc(f[v>>2]|0);if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0)}while((l|0)!=(o|0))}if(t|0)Emc(t)}else{Nmc(e,i);Nmc(e+12|0,c);t=d;d=f[t+4>>2]|0;o=e+24|0;f[o>>2]=f[t>>2];f[o+4>>2]=d;f[k>>2]=(f[k>>2]|0)+32}if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);u=h;return}function aIb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;h=u;u=u+32|0;i=h;j=f[a+4>>2]|0;k=Bmc(56)|0;MMb(k);f[i>>2]=k;l=j+88|0;m=f[l>>2]|0;if((m|0)==(f[j+92>>2]|0))KFb(j+84|0,i);else{f[m>>2]=k;f[l>>2]=(f[l>>2]|0)+4}rDb(i,e);kDb(k,i)|0;if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);f[g+44>>2]=k;if((f[k+36>>2]|0)<=0){u=h;return}g=a+12|0;Nmc(i,c);c=i+12|0;Nmc(c,d);d=i+24|0;f[d>>2]=e;f[i+28>>2]=k;k=a+16|0;e=f[k>>2]|0;l=a+20|0;a=f[l>>2]|0;m=a;if((e|0)==(a|0)){a=f[g>>2]|0;j=e-a>>5;n=j+1|0;if(n>>>0>134217727)Ukc(g);o=m-a|0;a=o>>4;m=o>>5>>>0<67108863?(a>>>0<n>>>0?n:a):134217727;do if(m)if(m>>>0>134217727){a=ye(8)|0;Jmc(a,511852);f[a>>2]=165276;Gf(a|0,26776,1555)}else{p=Bmc(m<<5)|0;break}else p=0;while(0);a=p+(j<<5)|0;n=a;o=p+(m<<5)|0;Nmc(a,i);Nmc(p+(j<<5)+12|0,c);m=d;q=f[m+4>>2]|0;r=p+(j<<5)+24|0;f[r>>2]=f[m>>2];f[r+4>>2]=q;q=a+32|0;r=f[g>>2]|0;m=f[k>>2]|0;if((m|0)==(r|0)){s=n;t=r;v=r}else{j=m;m=n;n=a;do{a=j;j=j+-32|0;Nmc(n+-32|0,j);Nmc(n+-20|0,a+-20|0);p=a+-8|0;a=f[p+4>>2]|0;w=n+-8|0;f[w>>2]=f[p>>2];f[w+4>>2]=a;n=m+-32|0;m=n}while((j|0)!=(r|0));s=m;t=f[g>>2]|0;v=f[k>>2]|0}f[g>>2]=s;f[k>>2]=q;f[l>>2]=o;o=t;if((v|0)!=(o|0)){l=v;do{v=l+-20|0;l=l+-32|0;if((b[v+11>>0]|0)<0)Emc(f[v>>2]|0);if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0)}while((l|0)!=(o|0))}if(t|0)Emc(t)}else{Nmc(e,i);Nmc(e+12|0,c);t=d;d=f[t+4>>2]|0;o=e+24|0;f[o>>2]=f[t>>2];f[o+4>>2]=d;f[k>>2]=(f[k>>2]|0)+32}if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);u=h;return}function bIb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;g=u;u=u+112|0;h=g+88|0;i=g+60|0;j=g+80|0;k=g+72|0;l=g+48|0;m=g+36|0;n=g+24|0;o=g+12|0;p=g;q=a+4|0;r=f[q>>2]|0;s=c+16|0;t=f[s>>2]|0;v=Bmc(12)|0;Nmc(v,t);f[h>>2]=v;t=r+76|0;w=f[t>>2]|0;if((w|0)==(f[r+80>>2]|0))OFb(r+72|0,h);else{f[w>>2]=v;f[t>>2]=(f[t>>2]|0)+4}f[e>>2]=f[h>>2];t=e+8|0;f[t>>2]=f[c+24>>2];v=e+12|0;f[v>>2]=d;w=f[q>>2]|0;q=f[d+4>>2]|0;r=Bmc(12)|0;Nmc(r,q);f[h>>2]=r;q=w+76|0;x=f[q>>2]|0;if((x|0)==(f[w+80>>2]|0))OFb(w+72|0,h);else{f[x>>2]=r;f[q>>2]=(f[q>>2]|0)+4}q=f[h>>2]|0;r=b[q+11>>0]|0;if(r<<24>>24<0)y=f[q+4>>2]|0;else y=r&255;r=f[d>>2]|0;x=b[r+11>>0]|0;if(x<<24>>24<0)z=f[r+4>>2]|0;else z=x&255;Wmc(q,y-z|0,0);z=f[e>>2]|0;y=b[z+11>>0]|0;x=y<<24>>24<0;$mc(q,x?f[z>>2]|0:z,x?f[z+4>>2]|0:y&255)|0;y=e+4|0;f[y>>2]=q;VHb(a,f[s>>2]|0,q,c);if(!(f[c+8>>2]&2))f[e+16>>2]=0;else{q=f[c+20>>2]|0;s=f[y>>2]|0;iIb(a,s,s,q|0?q:536472,e)}q=f[y>>2]|0;s=d+12|0;z=f[s>>2]|0;x=f[e>>2]|0;f[j>>2]=5;f[j+4>>2]=e;f[h>>2]=f[j>>2];f[h+4>>2]=f[j+4>>2];j=XHb(a,q,z,x,c,h)|0;x=a+44|0;z=f[x>>2]|0;q=f[e>>2]|0;f[k>>2]=5;f[k+4>>2]=e;f[h>>2]=f[k>>2];f[h+4>>2]=f[k+4>>2];if(j|(ZHb(z,d,q,h)|0)^1){A=f[x>>2]|0;f[h>>2]=e;B=f[v>>2]|0;C=f[t>>2]|0;f[i>>2]=B;D=i+4|0;f[D>>2]=C;E=A+96|0;jIb(E,i,h)|0;u=g;return};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;q=f[s>>2]|0;if(!q)Qmc(h,f[(f[a+40>>2]|0)+4>>2]|0)|0;else Qmc(h,f[q+4>>2]|0)|0;q=h+11|0;s=b[q>>0]|0;if((s<<24>>24<0?f[h+4>>2]|0:s&255)|0){bza(l,509777,h);pza(i,l,509777);Qmc(h,i)|0;if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0)}else Vmc(h,492131)|0;s=f[y>>2]|0;bza(p,492148,f[e>>2]|0);pza(o,p,492280);JDa(n,o,h);pza(m,n,492305);JDa(l,m,f[d>>2]|0);pza(i,l,510410);NFb(a,s,c,0,i);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0);if((b[m+11>>0]|0)<0)Emc(f[m>>2]|0);if((b[n+11>>0]|0)<0)Emc(f[n>>2]|0);if((b[o+11>>0]|0)<0)Emc(f[o>>2]|0);if((b[p+11>>0]|0)<0)Emc(f[p>>2]|0);if((b[q>>0]|0)<0)Emc(f[h>>2]|0);A=f[x>>2]|0;f[h>>2]=e;B=f[v>>2]|0;C=f[t>>2]|0;f[i>>2]=B;D=i+4|0;f[D>>2]=C;E=A+96|0;jIb(E,i,h)|0;u=g;return}function cIb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0;e=u;u=u+112|0;g=e+100|0;h=e+88|0;i=e+76|0;j=e+64|0;k=e+48|0;l=e+16|0;m=e+32|0;n=e;o=f[d>>2]|0;p=b[o+11>>0]|0;q=p<<24>>24<0;r=q?f[o>>2]|0:o;s=q?f[o+4>>2]|0:p&255;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if((s|0)>0){p=0;do{o=b[r+p>>0]|0;if(o<<24>>24!=95){q=o<<24>>24;bnc(h,((o+-65&255)<26?q+32|0:q)&255)}p=p+1|0}while((p|0)<(s|0))}s=i+4|0;f[s>>2]=0;p=i+8|0;f[p>>2]=0;r=i+4|0;f[i>>2]=r;q=d+24|0;do if((f[q>>2]|0)>0){o=d+28|0;t=h+11|0;v=h+4|0;w=g+11|0;x=g+8|0;y=g+4|0;z=l+12|0;A=k+12|0;B=k+11|0;C=l+11|0;D=m+11|0;E=k+11|0;F=l+11|0;G=n+11|0;H=d+8|0;I=c+28|0;J=g+11|0;K=j+11|0;L=0;a:while(1){M=f[o>>2]|0;N=M+(L*20|0)|0;O=f[N>>2]|0;P=b[O+11>>0]|0;Q=P<<24>>24<0;R=Q?f[O>>2]|0:O;S=Q?f[O+4>>2]|0:P&255;P=(S|0)==0;O=b[t>>0]|0;b:do if(P){T=0;U=0;V=O&255;W=26}else{Q=O&255;c:do if(O<<24>>24<0){X=f[v>>2]|0;Y=f[h>>2]|0;Z=0;_=0;while(1){if(_>>>0>=X>>>0){T=_;U=Z;V=Q;W=26;break b}$=b[R+Z>>0]|0;if($<<24>>24!=95){aa=$<<24>>24;if(((($+-65&255)<26?aa+32|0:aa)&255)<<24>>24==(b[Y+_>>0]|0))ba=_+1|0;else break c}else ba=_;aa=Z+1|0;if(aa>>>0<S>>>0){Z=aa;_=ba}else{T=ba;U=aa;V=Q;W=26;break b}}}else{_=0;Z=0;while(1){if(Z>>>0>=Q>>>0){T=Z;U=_;V=Q;W=26;break b}Y=b[R+_>>0]|0;if(Y<<24>>24!=95){X=Y<<24>>24;if((((Y+-65&255)<26?X+32|0:X)&255)<<24>>24==(b[h+Z>>0]|0))ca=Z+1|0;else break c}else ca=Z;X=_+1|0;if(X>>>0<S>>>0){_=X;Z=ca}else{T=ca;U=X;V=Q;W=26;break b}}}while(0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;if(S>>>0>4294967279){W=20;break a}if(S>>>0<11){b[w>>0]=S;da=g}else{Q=S+16&-16;Z=Bmc(Q)|0;f[g>>2]=Z;f[x>>2]=Q|-2147483648;f[y>>2]=S;da=Z}Krc(da|0,R|0,S|0)|0;b[da+S>>0]=0}while(0);do if((W|0)==26){W=0;if(T>>>0<(O<<24>>24<0?f[v>>2]|0:V)>>>0){if(!R){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;break};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;if(S>>>0>4294967279){W=31;break a}if(S>>>0<11){b[w>>0]=S;if(P)ea=g;else{fa=g;W=35}}else{Z=S+16&-16;Q=Bmc(Z)|0;f[g>>2]=Q;f[x>>2]=Z|-2147483648;f[y>>2]=S;fa=Q;W=35}if((W|0)==35){W=0;Krc(fa|0,R|0,S|0)|0;ea=fa}b[ea+S>>0]=0;break}d:do if(U>>>0<S>>>0){Q=U;while(1){if((b[R+Q>>0]|0)!=95){ga=Q;break d}Z=Q+1|0;if(Z>>>0<S>>>0)Q=Z;else{ga=Z;break}}}else ga=U;while(0);if((S|0)==(ga|0)){if(!R){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;break};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;if(S>>>0>4294967279){W=43;break a}if(S>>>0<11){b[w>>0]=S;if(P)ha=g;else{ia=g;W=47}}else{Q=S+16&-16;Z=Bmc(Q)|0;f[g>>2]=Z;f[x>>2]=Q|-2147483648;f[y>>2]=S;ia=Z;W=47}if((W|0)==47){W=0;Krc(ia|0,R|0,S|0)|0;ha=ia}b[ha+S>>0]=0;break}else{Z=R+ga|0;Q=S-ga|0;if(!Z){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;break};f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;if(Q>>>0>4294967279){W=52;break a}if(Q>>>0<11){b[w>>0]=Q;if(!Q)ja=g;else{ka=g;W=56}}else{_=Q+16&-16;X=Bmc(_)|0;f[g>>2]=X;f[x>>2]=_|-2147483648;f[y>>2]=Q;ka=X;W=56}if((W|0)==56){W=0;Krc(ka|0,Z|0,Q|0)|0;ja=ka}b[ja+Q>>0]=0;break}}while(0);f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;S=b[w>>0]|0;Umc(j,S<<24>>24<0?f[y>>2]|0:S&255);S=b[w>>0]|0;if(!((S<<24>>24<0?f[y>>2]|0:S&255)|0))la=S;else{R=1;P=0;O=S;while(1){S=b[(O<<24>>24<0?f[g>>2]|0:g)+P>>0]|0;do if(S<<24>>24!=95){Q=S<<24>>24;if(R){bnc(j,((S+-97&255)<26?Q+224|0:Q)&255);ma=0;break}else{bnc(j,((S+-65&255)<26?Q+32|0:Q)&255);ma=0;break}}else ma=1;while(0);P=P+1|0;S=b[w>>0]|0;if(P>>>0>=(S<<24>>24<0?f[y>>2]|0:S&255)>>>0){la=S;break}else{R=ma;O=S}}}if(la<<24>>24<0)Emc(f[g>>2]|0);Nmc(m,j);Nmc(l,m);f[z>>2]=N;Nmc(k,l);f[A>>2]=f[z>>2];O=fIb(i,g,k)|0;R=f[O>>2]|0;if(!R){P=Bmc(32)|0;Nmc(P+16|0,k);f[P+28>>2]=f[A>>2];S=f[g>>2]|0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=S;f[O>>2]=P;S=f[f[i>>2]>>2]|0;if(!S)na=P;else{f[i>>2]=S;na=f[O>>2]|0}RS(f[s>>2]|0,na);f[p>>2]=(f[p>>2]|0)+1;oa=P;pa=1}else{oa=R;pa=0}if((b[B>>0]|0)<0)Emc(f[k>>2]|0);if((b[C>>0]|0)<0)Emc(f[l>>2]|0);if((b[D>>0]|0)<0)Emc(f[m>>2]|0);e:do if(!(pa<<24>>24)){R=f[oa+28>>2]|0;P=f[R>>2]|0;O=f[N>>2]|0;S=b[P+11>>0]|0;Q=S<<24>>24<0;Z=S&255;S=Q?f[P+4>>2]|0:Z;X=b[O+11>>0]|0;_=X<<24>>24<0;do if((S|0)==((_?f[O+4>>2]|0:X&255)|0)){Y=f[P>>2]|0;aa=Q?Y:P;$=_?f[O>>2]|0:O;qa=(S|0)==0;if(Q){if(qa)break e;if(!(gac(aa,$,S)|0))break e;else break}if(qa)break e;if((Y&255)<<24>>24==(b[$>>0]|0)){Y=P;qa=Z;aa=$;do{qa=qa+-1|0;Y=Y+1|0;if(!qa)break e;aa=aa+1|0}while((b[Y>>0]|0)==(b[aa>>0]|0))}}while(0);if((f[R+8>>2]|0)!=(f[M+(L*20|0)+8>>2]|0)){bza(n,491966,j);pza(l,n,492020);Z=gIb(i,j)|0;JDa(k,l,f[f[Z>>2]>>2]|0);pza(g,k,492056);if((b[E>>0]|0)<0)Emc(f[k>>2]|0);if((b[F>>0]|0)<0)Emc(f[l>>2]|0);if((b[G>>0]|0)<0)Emc(f[n>>2]|0);Z=f[M+(L*20|0)+4>>2]|0;P=f[(f[I>>2]|0)+4+(L<<2)>>2]|0;if((f[(f[H>>2]|0)+44>>2]|0)==2)gGb(a,Z,P,0,g);else NFb(a,Z,P,0,g);if((b[J>>0]|0)<0)Emc(f[g>>2]|0)}}while(0);if((b[K>>0]|0)<0)Emc(f[j>>2]|0);L=L+1|0;if((L|0)>=(f[q>>2]|0)){W=101;break}}if((W|0)==20)Lmc(g);else if((W|0)==31)Lmc(g);else if((W|0)==43)Lmc(g);else if((W|0)==52)Lmc(g);else if((W|0)==101){ra=i;sa=t;ta=f[r>>2]|0;break}}else{ra=i;sa=h+11|0;ta=0}while(0);hIb(ra,ta);if((b[sa>>0]|0)>=0){u=e;return}Emc(f[h>>2]|0);u=e;return}function dIb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;h=u;u=u+32|0;i=h;j=f[a+4>>2]|0;k=Bmc(52)|0;QNb(k);f[i>>2]=k;l=j+88|0;m=f[l>>2]|0;if((m|0)==(f[j+92>>2]|0))KFb(j+84|0,i);else{f[m>>2]=k;f[l>>2]=(f[l>>2]|0)+4}rDb(i,e);kDb(k,i)|0;if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);f[g+16>>2]=k;if((f[k+36>>2]|0)<=0){u=h;return}g=a+12|0;Nmc(i,c);c=i+12|0;Nmc(c,d);d=i+24|0;f[d>>2]=e;f[i+28>>2]=k;k=a+16|0;e=f[k>>2]|0;l=a+20|0;a=f[l>>2]|0;m=a;if((e|0)==(a|0)){a=f[g>>2]|0;j=e-a>>5;n=j+1|0;if(n>>>0>134217727)Ukc(g);o=m-a|0;a=o>>4;m=o>>5>>>0<67108863?(a>>>0<n>>>0?n:a):134217727;do if(m)if(m>>>0>134217727){a=ye(8)|0;Jmc(a,511852);f[a>>2]=165276;Gf(a|0,26776,1555)}else{p=Bmc(m<<5)|0;break}else p=0;while(0);a=p+(j<<5)|0;n=a;o=p+(m<<5)|0;Nmc(a,i);Nmc(p+(j<<5)+12|0,c);m=d;q=f[m+4>>2]|0;r=p+(j<<5)+24|0;f[r>>2]=f[m>>2];f[r+4>>2]=q;q=a+32|0;r=f[g>>2]|0;m=f[k>>2]|0;if((m|0)==(r|0)){s=n;t=r;v=r}else{j=m;m=n;n=a;do{a=j;j=j+-32|0;Nmc(n+-32|0,j);Nmc(n+-20|0,a+-20|0);p=a+-8|0;a=f[p+4>>2]|0;w=n+-8|0;f[w>>2]=f[p>>2];f[w+4>>2]=a;n=m+-32|0;m=n}while((j|0)!=(r|0));s=m;t=f[g>>2]|0;v=f[k>>2]|0}f[g>>2]=s;f[k>>2]=q;f[l>>2]=o;o=t;if((v|0)!=(o|0)){l=v;do{v=l+-20|0;l=l+-32|0;if((b[v+11>>0]|0)<0)Emc(f[v>>2]|0);if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0)}while((l|0)!=(o|0))}if(t|0)Emc(t)}else{Nmc(e,i);Nmc(e+12|0,c);t=d;d=f[t+4>>2]|0;o=e+24|0;f[o>>2]=f[t>>2];f[o+4>>2]=d;f[k>>2]=(f[k>>2]|0)+32}if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);u=h;return}function eIb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=b[c+11>>0]|0;e=d<<24>>24<0;g=e?f[c>>2]|0:c;h=b[g>>0]|0;if(!(h<<24>>24))i=0;else{j=g;k=0;l=h;while(1){m=(k*5|0)+(l<<24>>24)|0;j=j+1|0;l=b[j>>0]|0;if(!(l<<24>>24)){i=m;break}else k=m}}k=f[a+4>>2]|0;if(!k){n=0;return n|0}l=k+-1|0;j=(l&k|0)==0;if(!j)if(i>>>0<k>>>0)o=i;else o=(i>>>0)%(k>>>0)|0;else o=l&i;m=f[(f[a>>2]|0)+(o<<2)>>2]|0;if(!m){n=0;return n|0}a=f[m>>2]|0;if(!a){n=0;return n|0}m=e?f[c+4>>2]|0:d&255;d=(m|0)==0;if(j){j=a;a:while(1){c=f[j+4>>2]|0;e=(c|0)==(i|0);if(!(e|(c&l|0)==(o|0))){n=0;p=36;break}do if(e?(c=j+8|0,q=b[c+11>>0]|0,r=q<<24>>24<0,s=q&255,((r?f[j+12>>2]|0:s)|0)==(m|0)):0){q=f[c>>2]|0;t=r?q:c;if(r){if(d){n=j;p=36;break a}if(!(gac(t,g,m)|0)){n=j;p=36;break a}else break}if(d){n=j;p=36;break a}if((q&255)<<24>>24==h<<24>>24){q=c;c=s;s=g;do{c=c+-1|0;q=q+1|0;if(!c){n=j;p=36;break a}s=s+1|0}while((b[q>>0]|0)==(b[s>>0]|0))}}while(0);j=f[j>>2]|0;if(!j){n=0;p=36;break}}if((p|0)==36)return n|0}else u=a;b:while(1){a=f[u+4>>2]|0;j=(a|0)==(i|0);if(!j){if(a>>>0<k>>>0)v=a;else v=(a>>>0)%(k>>>0)|0;if((v|0)!=(o|0)){n=0;p=36;break}if(j)p=28}else p=28;do if((p|0)==28?(p=0,j=u+8|0,a=b[j+11>>0]|0,l=a<<24>>24<0,e=a&255,((l?f[u+12>>2]|0:e)|0)==(m|0)):0){a=f[j>>2]|0;s=l?a:j;if(l){if(d){n=u;p=36;break b}if(!(gac(s,g,m)|0)){n=u;p=36;break b}else break}if(d){n=u;p=36;break b}if((a&255)<<24>>24==h<<24>>24){a=j;j=e;e=g;do{j=j+-1|0;a=a+1|0;if(!j){n=u;p=36;break b}e=e+1|0}while((b[a>>0]|0)==(b[e>>0]|0))}}while(0);u=f[u>>2]|0;if(!u){n=0;p=36;break}}if((p|0)==36)return n|0;return 0}function fIb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=a+4|0;g=f[e>>2]|0;if(!g){f[c>>2]=e;h=e;return h|0}e=b[d+11>>0]|0;i=e<<24>>24<0;j=i?f[d+4>>2]|0:e&255;e=i?f[d>>2]|0:d;d=a+4|0;a=g;while(1){g=a+16|0;i=b[g+11>>0]|0;k=i<<24>>24<0;l=k?f[a+20>>2]|0:i&255;i=l>>>0<j>>>0;m=i?l:j;if((m|0)!=0?(n=gac(e,k?f[g>>2]|0:g,m)|0,(n|0)!=0):0)if((n|0)<0)o=8;else o=10;else if(j>>>0<l>>>0)o=8;else o=10;if((o|0)==8){o=0;n=f[a>>2]|0;if(!n){o=9;break}else{p=a;q=n}}else if((o|0)==10){o=0;n=j>>>0<l>>>0?j:l;if((n|0)!=0?(l=gac(k?f[g>>2]|0:g,e,n)|0,(l|0)!=0):0){if((l|0)>=0){o=16;break}}else o=12;if((o|0)==12?(o=0,!i):0){o=16;break}r=a+4|0;i=f[r>>2]|0;if(!i){o=15;break}else{p=r;q=i}}d=p;a=q}if((o|0)==9){f[c>>2]=a;h=a;return h|0}else if((o|0)==15){f[c>>2]=a;h=r;return h|0}else if((o|0)==16){f[c>>2]=a;h=d;return h|0}return 0}function gIb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=u;u=u+16|0;d=c;e=fIb(a,d,b)|0;g=f[e>>2]|0;if(g|0){h=g;i=h+28|0;u=c;return i|0}g=Bmc(32)|0;Nmc(g+16|0,b);f[g+28>>2]=0;b=f[d>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=b;f[e>>2]=g;b=f[f[a>>2]>>2]|0;if(!b)j=g;else{f[a>>2]=b;j=f[e>>2]|0}RS(f[a+4>>2]|0,j);j=a+8|0;f[j>>2]=(f[j>>2]|0)+1;h=g;i=h+28|0;u=c;return i|0}function hIb(a,c){a=a|0;c=c|0;if(!c)return;hIb(a,f[c>>2]|0);hIb(a,f[c+4>>2]|0);a=c+16|0;if((b[a+11>>0]|0)<0)Emc(f[a>>2]|0);Emc(c);return}function iIb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;h=u;u=u+32|0;i=h;j=f[a+4>>2]|0;k=Bmc(52)|0;wNb(k);f[i>>2]=k;l=j+88|0;m=f[l>>2]|0;if((m|0)==(f[j+92>>2]|0))KFb(j+84|0,i);else{f[m>>2]=k;f[l>>2]=(f[l>>2]|0)+4}rDb(i,e);kDb(k,i)|0;if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);f[g+16>>2]=k;if((f[k+36>>2]|0)<=0){u=h;return}g=a+12|0;Nmc(i,c);c=i+12|0;Nmc(c,d);d=i+24|0;f[d>>2]=e;f[i+28>>2]=k;k=a+16|0;e=f[k>>2]|0;l=a+20|0;a=f[l>>2]|0;m=a;if((e|0)==(a|0)){a=f[g>>2]|0;j=e-a>>5;n=j+1|0;if(n>>>0>134217727)Ukc(g);o=m-a|0;a=o>>4;m=o>>5>>>0<67108863?(a>>>0<n>>>0?n:a):134217727;do if(m)if(m>>>0>134217727){a=ye(8)|0;Jmc(a,511852);f[a>>2]=165276;Gf(a|0,26776,1555)}else{p=Bmc(m<<5)|0;break}else p=0;while(0);a=p+(j<<5)|0;n=a;o=p+(m<<5)|0;Nmc(a,i);Nmc(p+(j<<5)+12|0,c);m=d;q=f[m+4>>2]|0;r=p+(j<<5)+24|0;f[r>>2]=f[m>>2];f[r+4>>2]=q;q=a+32|0;r=f[g>>2]|0;m=f[k>>2]|0;if((m|0)==(r|0)){s=n;t=r;v=r}else{j=m;m=n;n=a;do{a=j;j=j+-32|0;Nmc(n+-32|0,j);Nmc(n+-20|0,a+-20|0);p=a+-8|0;a=f[p+4>>2]|0;w=n+-8|0;f[w>>2]=f[p>>2];f[w+4>>2]=a;n=m+-32|0;m=n}while((j|0)!=(r|0));s=m;t=f[g>>2]|0;v=f[k>>2]|0}f[g>>2]=s;f[k>>2]=q;f[l>>2]=o;o=t;if((v|0)!=(o|0)){l=v;do{v=l+-20|0;l=l+-32|0;if((b[v+11>>0]|0)<0)Emc(f[v>>2]|0);if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0)}while((l|0)!=(o|0))}if(t|0)Emc(t)}else{Nmc(e,i);Nmc(e+12|0,c);t=d;d=f[t+4>>2]|0;o=e+24|0;f[o>>2]=f[t>>2];f[o+4>>2]=d;f[k>>2]=(f[k>>2]|0)+32}if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);u=h;return}function jIb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0,z=0,A=0;d=b;b=f[d>>2]|0;e=f[d+4>>2]|0;d=f[c>>2]|0;c=(b*65535|0)+e|0;g=a+4|0;h=f[g>>2]|0;i=(h|0)==0;j=b;a:do if(!i){k=h+-1|0;l=(k&h|0)==0;if(!l)if(c>>>0<h>>>0)m=c;else m=(c>>>0)%(h>>>0)|0;else m=k&c;o=f[(f[a>>2]|0)+(m<<2)>>2]|0;if((o|0)!=0?(p=f[o>>2]|0,(p|0)!=0):0){if(l){l=p;while(1){o=f[l+4>>2]|0;if(!((o|0)==(c|0)|(o&k|0)==(m|0))){q=m;break a}if((f[l+8>>2]|0)==(j|0)?(f[l+12>>2]|0)==(e|0):0){r=0;break}l=f[l>>2]|0;if(!l){q=m;break a}}return r|0}else s=p;while(1){l=f[s+4>>2]|0;if((l|0)!=(c|0)){if(l>>>0<h>>>0)t=l;else t=(l>>>0)%(h>>>0)|0;if((t|0)!=(m|0)){q=m;break a}}if((f[s+8>>2]|0)==(j|0)?(f[s+12>>2]|0)==(e|0):0){r=0;break}s=f[s>>2]|0;if(!s){q=m;break a}}return r|0}else q=m}else q=0;while(0);m=Bmc(20)|0;s=m+8|0;f[s>>2]=b;f[s+4>>2]=e;f[m+16>>2]=d;f[m+4>>2]=c;f[m>>2]=0;d=a+12|0;u=+(((f[d>>2]|0)+1|0)>>>0);v=+n[a+16>>2];do if(i|u>+(h>>>0)*v){e=(h>>>0<3|(h+-1&h|0)!=0)&1|h<<1;s=~~+X(+(u/v))>>>0;YEb(a,e>>>0<s>>>0?s:e);e=f[g>>2]|0;s=e+-1|0;if(!(s&e)){w=e;x=s&c;break}if(c>>>0<e>>>0){w=e;x=c}else{w=e;x=(c>>>0)%(e>>>0)|0}}else{w=h;x=q}while(0);q=(f[a>>2]|0)+(x<<2)|0;x=f[q>>2]|0;if(!x){h=a+8|0;f[m>>2]=f[h>>2];f[h>>2]=m;f[q>>2]=h;h=f[m>>2]|0;if(h|0){q=f[h+4>>2]|0;h=w+-1|0;if(h&w)if(q>>>0<w>>>0)y=q;else y=(q>>>0)%(w>>>0)|0;else y=q&h;z=(f[a>>2]|0)+(y<<2)|0;A=33}}else{f[m>>2]=f[x>>2];z=x;A=33}if((A|0)==33)f[z>>2]=m;f[d>>2]=(f[d>>2]|0)+1;r=1;return r|0}function kIb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=u;u=u+16|0;h=g+8|0;i=g;j=a+4|0;k=f[j>>2]|0;l=f[d+4>>2]|0;m=Bmc(12)|0;Nmc(m,l);f[h>>2]=m;l=k+76|0;n=f[l>>2]|0;if((n|0)==(f[k+80>>2]|0))OFb(k+72|0,h);else{f[n>>2]=m;f[l>>2]=(f[l>>2]|0)+4}l=f[h>>2]|0;Xmc(l,1,46)|0;m=c+16|0;n=f[m>>2]|0;k=b[n+11>>0]|0;o=k<<24>>24<0;$mc(l,o?f[n>>2]|0:n,o?f[n+4>>2]|0:k&255)|0;VHb(a,f[m>>2]|0,l,c);k=f[j>>2]|0;j=f[m>>2]|0;m=Bmc(12)|0;Nmc(m,j);f[h>>2]=m;j=k+76|0;n=f[j>>2]|0;if((n|0)==(f[k+80>>2]|0))OFb(k+72|0,h);else{f[n>>2]=m;f[j>>2]=(f[j>>2]|0)+4}j=f[h>>2]|0;f[e>>2]=j;m=e+4|0;f[m>>2]=l;f[e+8>>2]=d;f[e+16>>2]=0;f[e+20>>2]=0;if(!(f[c+8>>2]&2)){f[e+24>>2]=0;p=l;q=j;f[i>>2]=3;r=i+4|0;f[r>>2]=e;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];XHb(a,p,d,q,c,h)|0;u=g;return}else{j=f[c+20>>2]|0;nIb(a,l,l,j|0?j:536368,e);p=f[m>>2]|0;q=f[e>>2]|0;f[i>>2]=3;r=i+4|0;f[r>>2]=e;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];XHb(a,p,d,q,c,h)|0;u=g;return}}function lIb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;h=u;u=u+32|0;i=h;j=f[a+4>>2]|0;k=Bmc(48)|0;ySb(k);f[i>>2]=k;l=j+88|0;m=f[l>>2]|0;if((m|0)==(f[j+92>>2]|0))KFb(j+84|0,i);else{f[m>>2]=k;f[l>>2]=(f[l>>2]|0)+4}rDb(i,e);kDb(k,i)|0;if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);f[g+8>>2]=k;if((f[k+36>>2]|0)<=0){u=h;return}g=a+12|0;Nmc(i,c);c=i+12|0;Nmc(c,d);d=i+24|0;f[d>>2]=e;f[i+28>>2]=k;k=a+16|0;e=f[k>>2]|0;l=a+20|0;a=f[l>>2]|0;m=a;if((e|0)==(a|0)){a=f[g>>2]|0;j=e-a>>5;n=j+1|0;if(n>>>0>134217727)Ukc(g);o=m-a|0;a=o>>4;m=o>>5>>>0<67108863?(a>>>0<n>>>0?n:a):134217727;do if(m)if(m>>>0>134217727){a=ye(8)|0;Jmc(a,511852);f[a>>2]=165276;Gf(a|0,26776,1555)}else{p=Bmc(m<<5)|0;break}else p=0;while(0);a=p+(j<<5)|0;n=a;o=p+(m<<5)|0;Nmc(a,i);Nmc(p+(j<<5)+12|0,c);m=d;q=f[m+4>>2]|0;r=p+(j<<5)+24|0;f[r>>2]=f[m>>2];f[r+4>>2]=q;q=a+32|0;r=f[g>>2]|0;m=f[k>>2]|0;if((m|0)==(r|0)){s=n;t=r;v=r}else{j=m;m=n;n=a;do{a=j;j=j+-32|0;Nmc(n+-32|0,j);Nmc(n+-20|0,a+-20|0);p=a+-8|0;a=f[p+4>>2]|0;w=n+-8|0;f[w>>2]=f[p>>2];f[w+4>>2]=a;n=m+-32|0;m=n}while((j|0)!=(r|0));s=m;t=f[g>>2]|0;v=f[k>>2]|0}f[g>>2]=s;f[k>>2]=q;f[l>>2]=o;o=t;if((v|0)!=(o|0)){l=v;do{v=l+-20|0;l=l+-32|0;if((b[v+11>>0]|0)<0)Emc(f[v>>2]|0);if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0)}while((l|0)!=(o|0))}if(t|0)Emc(t)}else{Nmc(e,i);Nmc(e+12|0,c);t=d;d=f[t+4>>2]|0;o=e+24|0;f[o>>2]=f[t>>2];f[o+4>>2]=d;f[k>>2]=(f[k>>2]|0)+32}if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);u=h;return}function mIb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;h=u;u=u+32|0;i=h;j=f[a+4>>2]|0;k=Bmc(52)|0;VOb(k);f[i>>2]=k;l=j+88|0;m=f[l>>2]|0;if((m|0)==(f[j+92>>2]|0))KFb(j+84|0,i);else{f[m>>2]=k;f[l>>2]=(f[l>>2]|0)+4}rDb(i,e);kDb(k,i)|0;if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);f[g+16>>2]=k;if((f[k+36>>2]|0)<=0){u=h;return}g=a+12|0;Nmc(i,c);c=i+12|0;Nmc(c,d);d=i+24|0;f[d>>2]=e;f[i+28>>2]=k;k=a+16|0;e=f[k>>2]|0;l=a+20|0;a=f[l>>2]|0;m=a;if((e|0)==(a|0)){a=f[g>>2]|0;j=e-a>>5;n=j+1|0;if(n>>>0>134217727)Ukc(g);o=m-a|0;a=o>>4;m=o>>5>>>0<67108863?(a>>>0<n>>>0?n:a):134217727;do if(m)if(m>>>0>134217727){a=ye(8)|0;Jmc(a,511852);f[a>>2]=165276;Gf(a|0,26776,1555)}else{p=Bmc(m<<5)|0;break}else p=0;while(0);a=p+(j<<5)|0;n=a;o=p+(m<<5)|0;Nmc(a,i);Nmc(p+(j<<5)+12|0,c);m=d;q=f[m+4>>2]|0;r=p+(j<<5)+24|0;f[r>>2]=f[m>>2];f[r+4>>2]=q;q=a+32|0;r=f[g>>2]|0;m=f[k>>2]|0;if((m|0)==(r|0)){s=n;t=r;v=r}else{j=m;m=n;n=a;do{a=j;j=j+-32|0;Nmc(n+-32|0,j);Nmc(n+-20|0,a+-20|0);p=a+-8|0;a=f[p+4>>2]|0;w=n+-8|0;f[w>>2]=f[p>>2];f[w+4>>2]=a;n=m+-32|0;m=n}while((j|0)!=(r|0));s=m;t=f[g>>2]|0;v=f[k>>2]|0}f[g>>2]=s;f[k>>2]=q;f[l>>2]=o;o=t;if((v|0)!=(o|0)){l=v;do{v=l+-20|0;l=l+-32|0;if((b[v+11>>0]|0)<0)Emc(f[v>>2]|0);if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0)}while((l|0)!=(o|0))}if(t|0)Emc(t)}else{Nmc(e,i);Nmc(e+12|0,c);t=d;d=f[t+4>>2]|0;o=e+24|0;f[o>>2]=f[t>>2];f[o+4>>2]=d;f[k>>2]=(f[k>>2]|0)+32}if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);u=h;return}function nIb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;h=u;u=u+32|0;i=h;j=f[a+4>>2]|0;k=Bmc(48)|0;hOb(k);f[i>>2]=k;l=j+88|0;m=f[l>>2]|0;if((m|0)==(f[j+92>>2]|0))KFb(j+84|0,i);else{f[m>>2]=k;f[l>>2]=(f[l>>2]|0)+4}rDb(i,e);kDb(k,i)|0;if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);f[g+24>>2]=k;if((f[k+36>>2]|0)<=0){u=h;return}g=a+12|0;Nmc(i,c);c=i+12|0;Nmc(c,d);d=i+24|0;f[d>>2]=e;f[i+28>>2]=k;k=a+16|0;e=f[k>>2]|0;l=a+20|0;a=f[l>>2]|0;m=a;if((e|0)==(a|0)){a=f[g>>2]|0;j=e-a>>5;n=j+1|0;if(n>>>0>134217727)Ukc(g);o=m-a|0;a=o>>4;m=o>>5>>>0<67108863?(a>>>0<n>>>0?n:a):134217727;do if(m)if(m>>>0>134217727){a=ye(8)|0;Jmc(a,511852);f[a>>2]=165276;Gf(a|0,26776,1555)}else{p=Bmc(m<<5)|0;break}else p=0;while(0);a=p+(j<<5)|0;n=a;o=p+(m<<5)|0;Nmc(a,i);Nmc(p+(j<<5)+12|0,c);m=d;q=f[m+4>>2]|0;r=p+(j<<5)+24|0;f[r>>2]=f[m>>2];f[r+4>>2]=q;q=a+32|0;r=f[g>>2]|0;m=f[k>>2]|0;if((m|0)==(r|0)){s=n;t=r;v=r}else{j=m;m=n;n=a;do{a=j;j=j+-32|0;Nmc(n+-32|0,j);Nmc(n+-20|0,a+-20|0);p=a+-8|0;a=f[p+4>>2]|0;w=n+-8|0;f[w>>2]=f[p>>2];f[w+4>>2]=a;n=m+-32|0;m=n}while((j|0)!=(r|0));s=m;t=f[g>>2]|0;v=f[k>>2]|0}f[g>>2]=s;f[k>>2]=q;f[l>>2]=o;o=t;if((v|0)!=(o|0)){l=v;do{v=l+-20|0;l=l+-32|0;if((b[v+11>>0]|0)<0)Emc(f[v>>2]|0);if((b[l+11>>0]|0)<0)Emc(f[l>>2]|0)}while((l|0)!=(o|0))}if(t|0)Emc(t)}else{Nmc(e,i);Nmc(e+12|0,c);t=d;d=f[t+4>>2]|0;o=e+24|0;f[o>>2]=f[t>>2];f[o+4>>2]=d;f[k>>2]=(f[k>>2]|0)+32}if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);u=h;return}function oIb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+32|0;d=c;if(!(b[a+49>>0]|0)){TDb(d,3,483670,7065);QDb(c+24|0,ODb(d,492771)|0);UDb(d)}d=a+16|0;e=f[d>>2]|0;if((e|0)<=0){u=c;return}g=a+56|0;h=a+8|0;i=a+52|0;a=0;j=e;while(1){e=f[(f[g>>2]|0)+(a<<2)>>2]|0;if(!e)k=j;else{l=GFb(f[h>>2]|0,e)|0;f[(f[i>>2]|0)+(a<<2)>>2]=l;k=f[d>>2]|0}a=a+1|0;if((a|0)>=(k|0))break;else j=k}u=c;return}function pIb(a){a=a|0;Emc(a);return}function qIb(a){a=a|0;var c=0;c=b[a+8>>0]|0;ai[f[a+4>>2]&2047](f[a+12>>2]|0);if((a|0)==0|c<<24>>24==0)return;ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function rIb(){var a=0;a=Bmc(164)|0;UEb(a);f[222933]=a;KDb(134);return}function sIb(){var a=0;a=f[222933]|0;if(a|0){SEb(a);Emc(a)}f[222933]=0;return}function tIb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=a+12|0;c=f[b>>2]|0;do if(!c){d=a+4|0;e=f[a+8>>2]|0;g=6}else{h=a+4|0;i=f[h>>2]|0;j=f[c>>2]|0;if((i|0)>=(j|0))if((j|0)==(f[a+8>>2]|0)){d=h;e=j;g=6;break}else{k=h;l=j;m=c;break}f[h>>2]=i+1;n=f[c+4+(i<<2)>>2]|0;return n|0}while(0);if((g|0)==6){uDb(a,e+1|0);e=f[b>>2]|0;k=d;l=f[e>>2]|0;m=e}f[m>>2]=l+1;l=f[a>>2]|0;if(!l){a=Bmc(152)|0;PTb(a);o=a}else{if(f[l+64>>2]|0)pBb(l,24360,152);a=nBb(l,152)|0;RTb(a,l);o=a}a=f[b>>2]|0;b=f[k>>2]|0;f[k>>2]=b+1;f[a+4+(b<<2)>>2]=o;n=o;return n|0}function uIb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;c=f[a>>2]|0;d=b+8|0;f[d>>2]=f[d>>2]|1;e=b+144|0;g=f[b+4>>2]|0;h=g&-2;if(!(g&1))i=h;else i=f[h+4>>2]|0;h=f[e>>2]|0;if((h|0)==535416)PDa(e,i,c);else Qmc(h,c)|0;c=a+52|0;if((f[c>>2]|0)>0){h=a+20|0;i=b+16|0;e=0;do{g=(f[h>>2]|0)+(e*88|0)|0;zIb(g,yIb(i)|0);e=e+1|0}while((e|0)<(f[c>>2]|0))}c=a+56|0;if((f[c>>2]|0)>0){e=a+24|0;i=b+96|0;h=b+108|0;g=b+104|0;j=b+100|0;k=0;do{l=(f[e>>2]|0)+(k*28|0)|0;m=f[h>>2]|0;do if(m){n=f[j>>2]|0;o=f[m>>2]|0;if((n|0)>=(o|0))if((o|0)==(f[g>>2]|0)){p=o;q=19;break}else{r=o;s=m;q=20;break}else{f[j>>2]=n+1;t=f[m+4+(n<<2)>>2]|0;break}}else{p=f[g>>2]|0;q=19}while(0);if((q|0)==19){q=0;uDb(i,p+1|0);m=f[h>>2]|0;r=f[m>>2]|0;s=m;q=20}if((q|0)==20){q=0;f[s>>2]=r+1;m=f[i>>2]|0;if(!m){n=Bmc(24)|0;LRb(n);u=n}else{if(f[m+64>>2]|0)pBb(m,24312,24);n=nBb(m,24)|0;MRb(n,m);u=n}n=f[h>>2]|0;m=f[j>>2]|0;f[j>>2]=m+1;f[n+4+(m<<2)>>2]=u;t=u}KIb(l,t);k=k+1|0}while((k|0)<(f[c>>2]|0))}c=a+60|0;if((f[c>>2]|0)>0){k=a+28|0;t=b+32|0;u=0;do{j=(f[k>>2]|0)+(u*88|0)|0;uIb(j,tIb(t)|0);u=u+1|0}while((u|0)<(f[c>>2]|0))}c=a+64|0;if((f[c>>2]|0)>0){u=a+32|0;t=b+48|0;k=0;do{j=(f[u>>2]|0)+(k*48|0)|0;wIb(j,vIb(t)|0);k=k+1|0}while((k|0)<(f[c>>2]|0))}c=a+68|0;if((f[c>>2]|0)>0){k=b+64|0;t=b+76|0;u=b+72|0;j=b+68|0;h=a+36|0;i=0;do{r=f[t>>2]|0;do if(r){s=f[j>>2]|0;p=f[r>>2]|0;if((s|0)>=(p|0))if((p|0)==(f[u>>2]|0)){v=p;q=40;break}else{w=p;x=r;q=41;break}else{f[j>>2]=s+1;y=f[r+4+(s<<2)>>2]|0;break}}else{v=f[u>>2]|0;q=40}while(0);if((q|0)==40){q=0;uDb(k,v+1|0);r=f[t>>2]|0;w=f[r>>2]|0;x=r;q=41}if((q|0)==41){q=0;f[x>>2]=w+1;r=f[k>>2]|0;if(!r){l=Bmc(28)|0;sTb(l);z=l}else{if(f[r+64>>2]|0)pBb(r,24392,32);l=nBb(r,32)|0;uTb(l,r);z=l}l=f[t>>2]|0;r=f[j>>2]|0;f[j>>2]=r+1;f[l+4+(r<<2)>>2]=z;y=z}r=f[h>>2]|0;l=f[r+(i*12|0)>>2]|0;s=y+8|0;p=f[s>>2]|0;f[s>>2]=p|2;f[y+20>>2]=l;l=f[r+(i*12|0)+4>>2]|0;f[s>>2]=p|6;f[y+24>>2]=l;l=f[r+(i*12|0)+8>>2]|0;if((l|0)!=(wUb()|0)){f[s>>2]=f[s>>2]|1;s=y+16|0;r=f[s>>2]|0;if(!r){NTb(y);A=f[s>>2]|0}else A=r;xUb(A,l)}i=i+1|0}while((i|0)<(f[c>>2]|0))}c=a+72|0;if((f[c>>2]|0)>0){i=a+40|0;A=b+80|0;y=0;do{h=(f[i>>2]|0)+(y*88|0)|0;zIb(h,yIb(A)|0);y=y+1|0}while((y|0)<(f[c>>2]|0))}c=a+76|0;if((f[c>>2]|0)>0){y=b+112|0;A=b+124|0;i=b+120|0;h=b+116|0;z=a+44|0;j=0;do{t=f[A>>2]|0;do if(t){k=f[h>>2]|0;w=f[t>>2]|0;if((k|0)>=(w|0))if((w|0)==(f[i>>2]|0)){B=w;q=62;break}else{C=w;D=t;q=63;break}else{f[h>>2]=k+1;E=f[t+4+(k<<2)>>2]|0;break}}else{B=f[i>>2]|0;q=62}while(0);if((q|0)==62){q=0;uDb(y,B+1|0);t=f[A>>2]|0;C=f[t>>2]|0;D=t;q=63}if((q|0)==63){q=0;f[D>>2]=C+1;t=f[y>>2]|0;if(!t){k=Bmc(24)|0;ZSb(k);F=k}else{if(f[t+64>>2]|0)pBb(t,24376,24);k=nBb(t,24)|0;$Sb(k,t);F=k}k=f[A>>2]|0;t=f[h>>2]|0;f[h>>2]=t+1;f[k+4+(t<<2)>>2]=F;E=F}t=f[z>>2]|0;k=f[t+(j<<3)>>2]|0;w=E+8|0;x=f[w>>2]|0;f[w>>2]=x|1;f[E+16>>2]=k;k=f[t+(j<<3)+4>>2]|0;f[w>>2]=x|3;f[E+20>>2]=k;j=j+1|0}while((j|0)<(f[c>>2]|0))}c=a+80|0;if((f[c>>2]|0)>0){j=a+48|0;E=b+128|0;z=0;do{F=f[(f[j>>2]|0)+(z<<2)>>2]|0;Qmc(dFa(E)|0,F)|0;z=z+1|0}while((z|0)<(f[c>>2]|0))}c=a+16|0;a=f[c>>2]|0;if((a|0)==(AUb()|0))return;f[d>>2]=f[d>>2]|2;d=b+148|0;a=f[d>>2]|0;if(!a){YSb(b);G=f[d>>2]|0}else G=a;BUb(G,f[c>>2]|0);return}function vIb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=a+12|0;c=f[b>>2]|0;do if(!c){d=a+4|0;e=f[a+8>>2]|0;g=6}else{h=a+4|0;i=f[h>>2]|0;j=f[c>>2]|0;if((i|0)>=(j|0))if((j|0)==(f[a+8>>2]|0)){d=h;e=j;g=6;break}else{k=h;l=j;m=c;break}f[h>>2]=i+1;n=f[c+4+(i<<2)>>2]|0;return n|0}while(0);if((g|0)==6){uDb(a,e+1|0);e=f[b>>2]|0;k=d;l=f[e>>2]|0;m=e}f[m>>2]=l+1;l=f[a>>2]|0;if(!l){a=Bmc(72)|0;qRb(a);o=a}else{if(f[l+64>>2]|0)pBb(l,24280,72);a=nBb(l,72)|0;rRb(a,l);o=a}a=f[b>>2]|0;b=f[k>>2]|0;f[k>>2]=b+1;f[a+4+(b<<2)>>2]=o;n=o;return n|0}function wIb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;c=f[a>>2]|0;d=b+8|0;f[d>>2]=f[d>>2]|1;e=b+64|0;g=f[b+4>>2]|0;h=g&-2;if(!(g&1))i=h;else i=f[h+4>>2]|0;h=f[e>>2]|0;if((h|0)==535416)PDa(e,i,c);else Qmc(h,c)|0;c=a+24|0;if((f[c>>2]|0)>0){h=a+28|0;i=b+16|0;e=b+28|0;g=b+24|0;j=b+20|0;k=0;do{l=(f[h>>2]|0)+(k*20|0)|0;m=f[e>>2]|0;do if(m){n=f[j>>2]|0;o=f[m>>2]|0;if((n|0)>=(o|0))if((o|0)==(f[g>>2]|0)){p=o;q=16;break}else{r=o;s=m;q=17;break}else{f[j>>2]=n+1;t=f[m+4+(n<<2)>>2]|0;break}}else{p=f[g>>2]|0;q=16}while(0);if((q|0)==16){q=0;uDb(i,p+1|0);m=f[e>>2]|0;r=f[m>>2]|0;s=m;q=17}if((q|0)==17){q=0;f[s>>2]=r+1;m=f[i>>2]|0;if(!m){n=Bmc(28)|0;AQb(n);u=n}else{if(f[m+64>>2]|0)pBb(m,24264,32);n=nBb(m,32)|0;BQb(n,m);u=n}n=f[e>>2]|0;m=f[j>>2]|0;f[j>>2]=m+1;f[n+4+(m<<2)>>2]=u;t=u}JIb(l,t);k=k+1|0}while((k|0)<(f[c>>2]|0))}c=a+32|0;if((f[c>>2]|0)>0){k=b+32|0;t=b+44|0;u=b+40|0;j=b+36|0;e=a+40|0;i=0;do{r=f[t>>2]|0;do if(r){s=f[j>>2]|0;p=f[r>>2]|0;if((s|0)>=(p|0))if((p|0)==(f[u>>2]|0)){v=p;q=31;break}else{w=p;x=r;q=32;break}else{f[j>>2]=s+1;y=f[r+4+(s<<2)>>2]|0;break}}else{v=f[u>>2]|0;q=31}while(0);if((q|0)==31){q=0;uDb(k,v+1|0);r=f[t>>2]|0;w=f[r>>2]|0;x=r;q=32}if((q|0)==32){q=0;f[x>>2]=w+1;r=f[k>>2]|0;if(!r){l=Bmc(24)|0;XQb(l);z=l}else{if(f[r+64>>2]|0)pBb(r,24296,24);l=nBb(r,24)|0;ZQb(l,r);z=l}l=f[t>>2]|0;r=f[j>>2]|0;f[j>>2]=r+1;f[l+4+(r<<2)>>2]=z;y=z}r=f[e>>2]|0;l=f[r+(i<<3)>>2]|0;s=y+8|0;p=f[s>>2]|0;f[s>>2]=p|1;f[y+16>>2]=l;l=f[r+(i<<3)+4>>2]|0;f[s>>2]=p|3;f[y+20>>2]=l;i=i+1|0}while((i|0)<(f[c>>2]|0))}c=a+36|0;if((f[c>>2]|0)>0){i=a+44|0;y=b+48|0;e=0;do{z=f[(f[i>>2]|0)+(e<<2)>>2]|0;Qmc(dFa(y)|0,z)|0;e=e+1|0}while((e|0)<(f[c>>2]|0))}c=a+16|0;a=f[c>>2]|0;if((a|0)==(GUb()|0))return;f[d>>2]=f[d>>2]|2;d=b+68|0;a=f[d>>2]|0;if(!a){WQb(b);A=f[d>>2]|0}else A=a;HUb(A,f[c>>2]|0);return}function xIb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;c=f[a>>2]|0;d=b+8|0;f[d>>2]=f[d>>2]|1;e=b+32|0;g=f[b+4>>2]|0;h=g&-2;if(!(g&1))i=h;else i=f[h+4>>2]|0;h=f[e>>2]|0;if((h|0)==535416)PDa(e,i,c);else Qmc(h,c)|0;c=a+20|0;if((f[c>>2]|0)>0){h=a+16|0;i=b+16|0;e=b+28|0;g=b+24|0;j=b+20|0;k=0;do{l=(f[h>>2]|0)+(k*52|0)|0;m=f[e>>2]|0;do if(m){n=f[j>>2]|0;o=f[m>>2]|0;if((n|0)>=(o|0))if((o|0)==(f[g>>2]|0)){p=o;q=15;break}else{r=o;s=m;q=16;break}else{f[j>>2]=n+1;t=f[m+4+(n<<2)>>2]|0;break}}else{p=f[g>>2]|0;q=15}while(0);if((q|0)==15){q=0;uDb(i,p+1|0);m=f[e>>2]|0;r=f[m>>2]|0;s=m;q=16}if((q|0)==16){q=0;f[s>>2]=r+1;m=f[i>>2]|0;if(!m){n=Bmc(36)|0;JPb(n);u=n}else{if(f[m+64>>2]|0)pBb(m,24232,40);n=nBb(m,40)|0;KPb(n,m);u=n}n=f[e>>2]|0;m=f[j>>2]|0;f[j>>2]=m+1;f[n+4+(m<<2)>>2]=u;t=u}CIb(l,t);k=k+1|0}while((k|0)<(f[c>>2]|0))}c=a+12|0;a=f[c>>2]|0;if((a|0)==(KUb()|0))return;f[d>>2]=f[d>>2]|2;d=b+36|0;a=f[d>>2]|0;if(!a){dQb(b);v=f[d>>2]|0}else v=a;LUb(v,f[c>>2]|0);return}function yIb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=a+12|0;c=f[b>>2]|0;do if(!c){d=a+4|0;e=f[a+8>>2]|0;g=6}else{h=a+4|0;i=f[h>>2]|0;j=f[c>>2]|0;if((i|0)>=(j|0))if((j|0)==(f[a+8>>2]|0)){d=h;e=j;g=6;break}else{k=h;l=j;m=c;break}f[h>>2]=i+1;n=f[c+4+(i<<2)>>2]|0;return n|0}while(0);if((g|0)==6){uDb(a,e+1|0);e=f[b>>2]|0;k=d;l=f[e>>2]|0;m=e}f[m>>2]=l+1;l=f[a>>2]|0;if(!l){a=Bmc(56)|0;eSb(a);o=a}else{if(f[l+64>>2]|0)pBb(l,24328,56);a=nBb(l,56)|0;fSb(a,l);o=a}a=f[b>>2]|0;b=f[k>>2]|0;f[k>>2]=b+1;f[a+4+(b<<2)>>2]=o;n=o;return n|0}function zIb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;d=u;u=u+16|0;e=d;g=f[a>>2]|0;h=c+8|0;f[h>>2]=f[h>>2]|1;i=c+16|0;j=c+4|0;k=f[j>>2]|0;l=k&-2;if(!(k&1))m=l;else m=f[l+4>>2]|0;l=f[i>>2]|0;if((l|0)==535416)PDa(i,m,g);else Qmc(l,g)|0;g=f[a+40>>2]|0;l=f[h>>2]|0;f[h>>2]=l|64;f[c+40>>2]=g;do if(b[a+37>>0]|0){g=f[a+16>>2]|0;f[h>>2]=l|80;m=c+32|0;i=f[j>>2]|0;k=i&-2;if(!(i&1))n=k;else n=f[k+4>>2]|0;k=f[m>>2]|0;if((k|0)==535416){PDa(m,n,g);break}else{Qmc(k,g)|0;break}}while(0);n=f[a+32>>2]|0;f[h>>2]=f[h>>2]|256;f[c+48>>2]=n;n=a+24|0;l=f[n>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[e>>2]=110868;f[e+4>>2]=1634;b[e+8>>0]=0;f[e+12>>2]=a;dEb(l,e)}l=a+28|0;g=f[l>>2]|0;k=f[h>>2]|512;f[h>>2]=k;m=c+52|0;f[m>>2]=g;g=a+38|0;if(b[g>>0]|0){i=a+48|0;if(!(b[(f[i>>2]|0)+85>>0]|0)){AIb(c,523604);o=f[h>>2]|0}else o=k;f[h>>2]=o|2;o=c+20|0;k=f[j>>2]|0;p=k&-2;if(!(k&1))q=p;else q=f[p+4>>2]|0;p=f[o>>2]|0;if((p|0)==535416){PDa(o,q,535416);r=f[o>>2]|0}else r=p;p=f[(f[i>>2]|0)+4>>2]|0;i=b[p+11>>0]|0;o=i<<24>>24<0;$mc(r,o?f[p>>2]|0:p,o?f[p+4>>2]|0:i&255)|0}i=f[n>>2]|0;if(!i)s=0;else{if((f[i>>2]|0)!=2){f[e>>2]=110868;f[e+4>>2]=1634;b[e+8>>0]=0;f[e+12>>2]=a;dEb(i,e)}s=f[n>>2]|0}i=(s|0)==0;if((f[l>>2]|1|0)!=11){if(!i?(f[s>>2]|0)!=2:0){f[e>>2]=110868;f[e+4>>2]=1634;b[e+8>>0]=0;f[e+12>>2]=a;dEb(s,e)}if((f[l>>2]|0)==14){l=f[n>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[e>>2]=110868;f[e+4>>2]=1634;b[e+8>>0]=0;f[e+12>>2]=a;dEb(l,e)}l=a+64|0;if(!(b[(f[l>>2]|0)+21>>0]|0))BIb(c,523604);f[h>>2]=f[h>>2]|4;p=c+24|0;o=f[j>>2]|0;r=o&-2;if(!(o&1))t=r;else t=f[r+4>>2]|0;r=f[p>>2]|0;if((r|0)==535416){PDa(p,t,535416);v=f[p>>2]|0}else v=r;r=f[n>>2]|0;if(r|0?(f[r>>2]|0)!=2:0){f[e>>2]=110868;f[e+4>>2]=1634;b[e+8>>0]=0;f[e+12>>2]=a;dEb(r,e)}r=f[(f[l>>2]|0)+4>>2]|0;l=b[r+11>>0]|0;p=l<<24>>24<0;$mc(v,p?f[r>>2]|0:r,p?f[r+4>>2]|0:l&255)|0}}else{if(!i?(f[s>>2]|0)!=2:0){f[e>>2]=110868;f[e+4>>2]=1634;b[e+8>>0]=0;f[e+12>>2]=a;dEb(s,e)}s=a+60|0;if(b[(f[s>>2]|0)+84>>0]|0){f[m>>2]=1;f[h>>2]=f[h>>2]&-513}m=f[n>>2]|0;if(m|0?(f[m>>2]|0)!=2:0){f[e>>2]=110868;f[e+4>>2]=1634;b[e+8>>0]=0;f[e+12>>2]=a;dEb(m,e)}if(!(b[(f[s>>2]|0)+85>>0]|0))BIb(c,523604);f[h>>2]=f[h>>2]|4;m=c+24|0;i=f[j>>2]|0;l=i&-2;if(!(i&1))w=l;else w=f[l+4>>2]|0;l=f[m>>2]|0;if((l|0)==535416){PDa(m,w,535416);x=f[m>>2]|0}else x=l;l=f[n>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[e>>2]=110868;f[e+4>>2]=1634;b[e+8>>0]=0;f[e+12>>2]=a;dEb(l,e)}l=f[(f[s>>2]|0)+4>>2]|0;s=b[l+11>>0]|0;n=s<<24>>24<0;$mc(x,n?f[l>>2]|0:l,n?f[l+4>>2]|0:s&255)|0}if(b[a+36>>0]|0){dHb(e,a,0);f[h>>2]=f[h>>2]|8;s=c+28|0;l=f[j>>2]|0;j=l&-2;if(!(l&1))y=j;else y=f[j+4>>2]|0;j=f[s>>2]|0;if((j|0)==535416)PDa(s,y,e);else Qmc(j,e)|0;if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0)}e=f[a+52>>2]|0;if(e|0?(b[g>>0]|0)==0:0){g=(e-(f[(f[e+8>>2]|0)+24>>2]|0)|0)/28|0;f[h>>2]=f[h>>2]|128;f[c+44>>2]=g}g=a+68|0;a=f[g>>2]|0;if((a|0)==(CUb()|0)){u=d;return}f[h>>2]=f[h>>2]|32;h=c+36|0;a=f[h>>2]|0;if(!a){dSb(c);z=f[h>>2]|0}else z=a;DUb(z,f[g>>2]|0);u=d;return}function AIb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+16|0;e=d;g=a+8|0;f[g>>2]=f[g>>2]|2;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=s8b(c)|0;if(g>>>0>4294967279)Lmc(e);if(g>>>0<11){b[e+11>>0]=g;if(!g)h=e;else{i=e;j=6}}else{k=g+16&-16;l=Bmc(k)|0;f[e>>2]=l;f[e+8>>2]=k|-2147483648;f[e+4>>2]=g;i=l;j=6}if((j|0)==6){Krc(i|0,c|0,g|0)|0;h=i}b[h+g>>0]=0;g=f[a+4>>2]|0;h=g&-2;if(!(g&1))m=h;else m=f[h+4>>2]|0;h=a+20|0;a=f[h>>2]|0;if((a|0)==535416)PDa(h,m,e);else Qmc(a,e)|0;if((b[e+11>>0]|0)>=0){u=d;return}Emc(f[e>>2]|0);u=d;return}function BIb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+16|0;e=d;g=a+8|0;f[g>>2]=f[g>>2]|4;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=s8b(c)|0;if(g>>>0>4294967279)Lmc(e);if(g>>>0<11){b[e+11>>0]=g;if(!g)h=e;else{i=e;j=6}}else{k=g+16&-16;l=Bmc(k)|0;f[e>>2]=l;f[e+8>>2]=k|-2147483648;f[e+4>>2]=g;i=l;j=6}if((j|0)==6){Krc(i|0,c|0,g|0)|0;h=i}b[h+g>>0]=0;g=f[a+4>>2]|0;h=g&-2;if(!(g&1))m=h;else m=f[h+4>>2]|0;h=a+24|0;a=f[h>>2]|0;if((a|0)==535416)PDa(h,m,e);else Qmc(a,e)|0;if((b[e+11>>0]|0)>=0){u=d;return}Emc(f[e>>2]|0);u=d;return}function CIb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=u;u=u+16|0;e=d;g=f[a>>2]|0;h=c+8|0;f[h>>2]=f[h>>2]|1;i=c+16|0;j=c+4|0;k=f[j>>2]|0;l=k&-2;if(!(k&1))m=l;else m=f[l+4>>2]|0;l=f[i>>2]|0;if((l|0)==535416)PDa(i,m,g);else Qmc(l,g)|0;g=a+12|0;l=a+20|0;m=f[l>>2]|0;if(m|0?(f[m>>2]|0)!=2:0){f[e>>2]=150276;f[e+4>>2]=1671;b[e+8>>0]=0;f[e+12>>2]=g;dEb(m,e)}if(!(b[(f[g>>2]|0)+85>>0]|0))EIb(c,523604);f[h>>2]=f[h>>2]|2;m=c+20|0;i=f[j>>2]|0;k=i&-2;if(!(i&1))n=k;else n=f[k+4>>2]|0;k=f[m>>2]|0;if((k|0)==535416){PDa(m,n,535416);o=f[m>>2]|0}else o=k;k=f[l>>2]|0;if(k|0?(f[k>>2]|0)!=2:0){f[e>>2]=150276;f[e+4>>2]=1671;b[e+8>>0]=0;f[e+12>>2]=g;dEb(k,e)}k=f[(f[g>>2]|0)+4>>2]|0;g=b[k+11>>0]|0;l=g<<24>>24<0;$mc(o,l?f[k>>2]|0:k,l?f[k+4>>2]|0:g&255)|0;g=a+28|0;k=a+36|0;l=f[k>>2]|0;if(l|0?(f[l>>2]|0)!=2:0){f[e>>2]=150276;f[e+4>>2]=1671;b[e+8>>0]=0;f[e+12>>2]=g;dEb(l,e)}if(!(b[(f[g>>2]|0)+85>>0]|0))FIb(c,523604);f[h>>2]=f[h>>2]|4;l=c+24|0;o=f[j>>2]|0;j=o&-2;if(!(o&1))p=j;else p=f[j+4>>2]|0;j=f[l>>2]|0;if((j|0)==535416){PDa(l,p,535416);q=f[l>>2]|0}else q=j;j=f[k>>2]|0;if(j|0?(f[j>>2]|0)!=2:0){f[e>>2]=150276;f[e+4>>2]=1671;b[e+8>>0]=0;f[e+12>>2]=g;dEb(j,e)}e=f[(f[g>>2]|0)+4>>2]|0;g=b[e+11>>0]|0;j=g<<24>>24<0;$mc(q,j?f[e>>2]|0:e,j?f[e+4>>2]|0:g&255)|0;g=a+44|0;e=f[g>>2]|0;if((e|0)!=(MUb()|0)){f[h>>2]=f[h>>2]|8;e=c+28|0;j=f[e>>2]|0;if(!j){IPb(c);r=f[e>>2]|0}else r=j;NUb(r,f[g>>2]|0)}if(b[a+48>>0]|0){f[h>>2]=f[h>>2]|16;b[c+32>>0]=1}if(!(b[a+49>>0]|0)){u=d;return}f[h>>2]=f[h>>2]|32;b[c+33>>0]=1;u=d;return}function DIb(a){a=a|0;GIb(a);return}function EIb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+16|0;e=d;g=a+8|0;f[g>>2]=f[g>>2]|2;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=s8b(c)|0;if(g>>>0>4294967279)Lmc(e);if(g>>>0<11){b[e+11>>0]=g;if(!g)h=e;else{i=e;j=6}}else{k=g+16&-16;l=Bmc(k)|0;f[e>>2]=l;f[e+8>>2]=k|-2147483648;f[e+4>>2]=g;i=l;j=6}if((j|0)==6){Krc(i|0,c|0,g|0)|0;h=i}b[h+g>>0]=0;g=f[a+4>>2]|0;h=g&-2;if(!(g&1))m=h;else m=f[h+4>>2]|0;h=a+20|0;a=f[h>>2]|0;if((a|0)==535416)PDa(h,m,e);else Qmc(a,e)|0;if((b[e+11>>0]|0)>=0){u=d;return}Emc(f[e>>2]|0);u=d;return}function FIb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+16|0;e=d;g=a+8|0;f[g>>2]=f[g>>2]|4;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;g=s8b(c)|0;if(g>>>0>4294967279)Lmc(e);if(g>>>0<11){b[e+11>>0]=g;if(!g)h=e;else{i=e;j=6}}else{k=g+16&-16;l=Bmc(k)|0;f[e>>2]=l;f[e+8>>2]=k|-2147483648;f[e+4>>2]=g;i=l;j=6}if((j|0)==6){Krc(i|0,c|0,g|0)|0;h=i}b[h+g>>0]=0;g=f[a+4>>2]|0;h=g&-2;if(!(g&1))m=h;else m=f[h+4>>2]|0;h=a+24|0;a=f[h>>2]|0;if((a|0)==535416)PDa(h,m,e);else Qmc(a,e)|0;if((b[e+11>>0]|0)>=0){u=d;return}Emc(f[e>>2]|0);u=d;return}function GIb(a){a=a|0;var c=0,d=0,e=0,g=0;c=u;u=u+48|0;d=c;e=c+24|0;g=a+12|0;if(!(b[(f[g>>2]|0)+49>>0]|0)){TDb(d,3,483670,7126);QDb(c+32|0,ODb(d,493116)|0);UDb(d)}if(f[a>>2]|0){u=c;return}d=f[a+4>>2]|0;if(!d){u=c;return}BGb(e,f[(f[g>>2]|0)+8>>2]|0,d,0);if((f[e>>2]|0)==1)f[a>>2]=f[e+4>>2];u=c;return}function HIb(a){a=a|0;Emc(a);return}function IIb(a){a=a|0;var c=0;c=b[a+8>>0]|0;ai[f[a+4>>2]&2047](f[a+12>>2]|0);if((a|0)==0|c<<24>>24==0)return;ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function JIb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=f[a>>2]|0;d=b+8|0;f[d>>2]=f[d>>2]|1;e=b+16|0;g=f[b+4>>2]|0;h=g&-2;if(!(g&1))i=h;else i=f[h+4>>2]|0;h=f[e>>2]|0;if((h|0)==535416)PDa(e,i,c);else Qmc(h,c)|0;c=f[a+8>>2]|0;f[d>>2]=f[d>>2]|4;f[b+24>>2]=c;c=a+16|0;a=f[c>>2]|0;if((a|0)==(IUb()|0))return;f[d>>2]=f[d>>2]|2;d=b+20|0;a=f[d>>2]|0;if(!a){zQb(b);j=f[d>>2]|0}else j=a;JUb(j,f[c>>2]|0);return}function KIb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=f[a>>2]|0;d=b+8|0;f[d>>2]=f[d>>2]|1;e=b+16|0;g=f[b+4>>2]|0;h=g&-2;if(!(g&1))i=h;else i=f[h+4>>2]|0;h=f[e>>2]|0;if((h|0)==535416)PDa(e,i,c);else Qmc(h,c)|0;c=a+24|0;a=f[c>>2]|0;if((a|0)==(EUb()|0))return;f[d>>2]=f[d>>2]|2;d=b+20|0;a=f[d>>2]|0;if(!a){KRb(b);j=f[d>>2]|0}else j=a;FUb(j,f[c>>2]|0);return}function LIb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;d=c;e=f[a+84>>2]|0;if(!e){u=c;return}g=d+4|0;h=a+20|0;a=e;do{e=a+16|0;i=f[e>>2]|0;do if(b[i+38>>0]|0){j=f[i+56>>2]|0;if(!j){k=f[i+20>>2]|0;break}else{k=j;break}}else k=f[i+48>>2]|0;while(0);j=f[i+8>>2]|0;if((b[j+11>>0]|0)<0)l=f[j>>2]|0;else l=j;f[d>>2]=k;f[g>>2]=l;THb(h,d,e)|0;a=f[a>>2]|0}while((a|0)!=0);u=c;return}function MIb(){var a=0,c=0,d=0;a=u;u=u+16|0;c=a;if((f[222929]|0)==2){d=f[222930]|0;u=a;return d|0}f[c>>2]=149752;f[c+4>>2]=132;b[c+8>>0]=0;dEb(891716,c);zDb(c);d=f[222930]|0;u=a;return d|0}function NIb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+48|0;e=d+24|0;g=d;if((f[222929]|0)!=2){f[e>>2]=149752;f[e+4>>2]=132;b[e+8>>0]=0;dEb(891716,e);zDb(e)}if(gVb(f[222931]|0,a,c)|0){u=d;return}TDb(g,3,483670,1394);QDb(d+36|0,ODb(g,493228)|0);UDb(g);u=d;return}function OIb(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;rFb(d,f[a+16>>2]|0,a,b);u=c;return ((f[d>>2]|0)==1?f[d+4>>2]|0:0)|0}function PIb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;rFb(e,f[a+16>>2]|0,a,c);if((f[e>>2]|0)!=2){g=0;u=d;return g|0}c=f[e+4>>2]|0;g=b[c+38>>0]|0?c:0;u=d;return g|0}function QIb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;e=f[a>>2]|0;if(e){FDb(e);g=a+16|0;h=(f[g>>2]|0)+176|0;i=f[h>>2]|0;do if(i){j=h;k=i;a:while(1){l=k;while(1){m=f[l+16>>2]|0;if(m>>>0>=c>>>0){if(m>>>0>c>>>0)break;if((f[l+20>>2]|0)>=(d|0))break}m=f[l+4>>2]|0;if(!m){n=j;break a}else l=m}k=f[l>>2]|0;if(!k){n=l;break}else j=l}if((n|0)!=(h|0)?(j=f[n+16>>2]|0,j>>>0<=c>>>0):0){if(j>>>0>=c>>>0?(f[n+20>>2]|0)>(d|0):0){o=14;break}j=f[n+24>>2]|0;GDb(e);if(j|0){p=j;return p|0}}else o=14}else o=14;while(0);if((o|0)==14)GDb(e);e=f[a>>2]|0;if(!e){q=g;r=0;s=1}else{FDb(e);q=g;r=e;s=0}}else{q=a+16|0;r=0;s=1}e=f[q>>2]|0;g=e+44|0;if(!(f[g>>2]|0))t=e;else{n=e+40|0;h=f[n>>2]|0;if(h|0){i=h;do{h=i;i=f[i>>2]|0;j=h+8|0;if((b[j+11>>0]|0)<0)Emc(f[j>>2]|0);Emc(h)}while((i|0)!=0)}f[n>>2]=0;n=f[e+36>>2]|0;if(n|0){i=e+32|0;e=0;do{f[(f[i>>2]|0)+(e<<2)>>2]=0;e=e+1|0}while((e|0)!=(n|0))}f[g>>2]=0;t=f[q>>2]|0}g=t+24|0;if(!(f[g>>2]|0))u=t;else{n=t+20|0;e=f[n>>2]|0;if(e|0){i=e;do{e=i;i=f[i>>2]|0;h=e+8|0;if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);Emc(e)}while((i|0)!=0)}f[n>>2]=0;n=f[t+16>>2]|0;if(n|0){i=t+12|0;t=0;do{f[(f[i>>2]|0)+(t<<2)>>2]=0;t=t+1|0}while((t|0)!=(n|0))}f[g>>2]=0;u=f[q>>2]|0}g=u+176|0;u=f[g>>2]|0;do if(u){n=g;t=u;b:while(1){i=t;while(1){e=f[i+16>>2]|0;if(e>>>0>=c>>>0){if(e>>>0>c>>>0)break;if((f[i+20>>2]|0)>=(d|0))break}e=f[i+4>>2]|0;if(!e){v=n;break b}else i=e}t=f[i>>2]|0;if(!t){v=i;break}else n=i}if((v|0)!=(g|0)?(n=f[v+16>>2]|0,n>>>0<=c>>>0):0){if(n>>>0>=c>>>0?(f[v+20>>2]|0)>(d|0):0){o=48;break}n=f[v+24>>2]|0;if(n){w=n;o=64}else o=48}else o=48}else o=48;while(0);c:do if((o|0)==48){v=f[a+12>>2]|0;if(v|0?(g=QIb(v,c,d)|0,g|0):0){w=g;o=64;break}do if(RIb(a,c,d)|0?(g=(f[q>>2]|0)+176|0,v=f[g>>2]|0,v|0):0){u=g;n=v;d:while(1){v=n;while(1){t=f[v+16>>2]|0;if(t>>>0>=c>>>0){if(t>>>0>c>>>0)break;if((f[v+20>>2]|0)>=(d|0))break}t=f[v+4>>2]|0;if(!t){x=u;break d}else v=t}n=f[v>>2]|0;if(!n){x=v;break}else u=v}if((x|0)!=(g|0)?(u=f[x+16>>2]|0,u>>>0<=c>>>0):0){if(u>>>0>=c>>>0?(f[x+20>>2]|0)>(d|0):0)break;u=f[x+24>>2]|0;if(u|0){w=u;o=64;break c}}}while(0);if(s){p=0;return p|0}else y=0}while(0);if((o|0)==64)if(s){p=w;return p|0}else y=w;GDb(r);p=y;return p|0}function RIb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+144|0;g=e+140|0;h=e;i=a+4|0;if(!(f[i>>2]|0)){j=0;u=e;return j|0}nUb(h);k=f[i>>2]|0;do if(Bg[f[(f[k>>2]|0)+16>>2]&127](k,f[c+4>>2]|0,d,h)|0){i=f[a+16>>2]|0;l=f[h+120>>2]|0;f[g>>2]=(b[l+11>>0]|0)<0?f[l>>2]|0:l;l=wFb(i+152|0,g)|0;if(l)if(f[l+12>>2]|0){m=0;break}m=(xFb(a,h)|0)!=0}else m=0;while(0);TTb(h);j=m;u=e;return j|0}function SIb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=f[(f[a+8>>2]|0)+88>>2]|0;e=(a*65535|0)+c|0;g=f[d+80>>2]|0;if(!g)return 0;h=g+-1|0;i=(h&g|0)==0;if(!i)if(e>>>0<g>>>0)j=e;else j=(e>>>0)%(g>>>0)|0;else j=h&e;k=f[(f[d+76>>2]|0)+(j<<2)>>2]|0;if(!k)return 0;d=f[k>>2]|0;if(!d)return 0;a:do if(i){k=d;while(1){l=f[k+4>>2]|0;m=(e|0)==(l|0);if(!(m|(l&h|0)==(j|0))){n=23;break}if((m?(f[k+8>>2]|0)==(a|0):0)?(f[k+12>>2]|0)==(c|0):0){o=k;break a}k=f[k>>2]|0;if(!k){n=23;break}}if((n|0)==23)return 0}else{k=d;while(1){m=f[k+4>>2]|0;if((e|0)==(m|0)){if((f[k+8>>2]|0)==(a|0)?(f[k+12>>2]|0)==(c|0):0){o=k;break a}}else{if(m>>>0<g>>>0)p=m;else p=(m>>>0)%(g>>>0)|0;if((p|0)!=(j|0)){n=23;break}}k=f[k>>2]|0;if(!k){n=23;break}}if((n|0)==23)return 0}while(0);n=f[o+16>>2]|0;if(!n)return 0;else return (b[n+38>>0]|0?0:n)|0;return 0}function TIb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;g=f[(f[a+8>>2]|0)+88>>2]|0;h=g+44|0;if((f[h>>2]|0)!=2){f[e>>2]=150296;f[e+4>>2]=1672;b[e+8>>0]=0;f[e+12>>2]=g;dEb(h,e)}h=(b[c+11>>0]|0)<0?f[c>>2]|0:c;f[e>>2]=a;f[e+4>>2]=h;h=UHb(g+20|0,e)|0;if(!h){u=d;return 0}else{u=d;return (b[h+38>>0]|0?0:h)|0}return 0}function UIb(a){a=a|0;Emc(a);return}function VIb(a){a=a|0;var c=0;c=b[a+8>>0]|0;ai[f[a+4>>2]&2047](f[a+12>>2]|0);if((a|0)==0|c<<24>>24==0)return;ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function WIb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;eGb(e,f[(f[a+8>>2]|0)+88>>2]|0,a,c);c=(f[e>>2]|0)==2;a=e;e=c?f[a+4>>2]|0:0;if(!((c?f[a>>2]|0:0)|0)){g=0;u=d;return g|0}g=b[e+38>>0]|0?0:e;u=d;return g|0}function XIb(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;eGb(d,f[(f[a+8>>2]|0)+88>>2]|0,a,b);b=(f[d>>2]|0)==5;a=d;u=c;return (((b?f[a>>2]|0:0)|0)==0?0:b?f[a+4>>2]|0:0)|0}function YIb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=f[(f[a+8>>2]|0)+88>>2]|0;d=(a*65535|0)+b|0;e=f[c+100>>2]|0;if(!e){g=0;return g|0}h=e+-1|0;i=(h&e|0)==0;if(!i)if(d>>>0<e>>>0)j=d;else j=(d>>>0)%(e>>>0)|0;else j=h&d;k=f[(f[c+96>>2]|0)+(j<<2)>>2]|0;if(!k){g=0;return g|0}c=f[k>>2]|0;if(!c){g=0;return g|0}a:do if(i){k=c;while(1){l=f[k+4>>2]|0;m=(d|0)==(l|0);if(!(m|(l&h|0)==(j|0))){g=0;n=22;break}if((m?(f[k+8>>2]|0)==(a|0):0)?(f[k+12>>2]|0)==(b|0):0){o=k;break a}k=f[k>>2]|0;if(!k){g=0;n=22;break}}if((n|0)==22)return g|0}else{k=c;while(1){m=f[k+4>>2]|0;if((d|0)==(m|0)){if((f[k+8>>2]|0)==(a|0)?(f[k+12>>2]|0)==(b|0):0){o=k;break a}}else{if(m>>>0<e>>>0)p=m;else p=(m>>>0)%(e>>>0)|0;if((p|0)!=(j|0)){g=0;n=22;break}}k=f[k>>2]|0;if(!k){g=0;n=22;break}}if((n|0)==22)return g|0}while(0);g=f[o+16>>2]|0;return g|0}function ZIb(a,b){a=a|0;b=b|0;return _Ib(f[(f[a+8>>2]|0)+88>>2]|0,a,b)|0}
function o2(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;d=a;a=b;a:while(1){b=a;e=a+-4|0;g=d;while(1){h=g;b:while(1){i=h;j=b-i|0;k=j>>2;switch(k|0){case 2:{l=5;break a;break}case 3:{l=8;break a;break}case 4:{l=24;break a;break}case 5:{l=25;break a;break}case 1:case 0:{l=89;break a;break}default:{}}if((j|0)<124){l=27;break a}m=h+(((k|0)/2|0)<<2)|0;do if((j|0)>3996){o=(k|0)/4|0;p=s2(h,h+(o<<2)|0,m,m+(o<<2)|0,e,c)|0}else{o=f[m>>2]|0;q=f[h>>2]|0;r=+n[o>>2];s=+n[q>>2];t=o;u=q;if(!(r>s))if(r<s)v=0;else v=o>>>0>q>>>0;else v=1;w=f[e>>2]|0;x=+n[w>>2];y=w;if(!(x>r))if(x<r)z=0;else z=w>>>0>o>>>0;else z=1;if(!v){if(!z){p=0;break}f[m>>2]=y;f[e>>2]=t;o=f[m>>2]|0;w=f[h>>2]|0;r=+n[o>>2];x=+n[w>>2];A=w;B=o;if(!(r>x)?o>>>0<=w>>>0|r<x:0){p=1;break}f[h>>2]=B;f[m>>2]=A;p=2;break}if(z){f[h>>2]=y;f[e>>2]=u;p=1;break}f[h>>2]=t;f[m>>2]=u;t=f[e>>2]|0;x=+n[t>>2];y=t;if(!(x>s)?t>>>0<=q>>>0|x<s:0){p=1;break}f[m>>2]=y;f[e>>2]=u;p=2}while(0);C=f[h>>2]|0;k=f[m>>2]|0;s=+n[C>>2];x=+n[k>>2];if(s>x){D=e;E=p;break}if(C>>>0<=k>>>0|s<x)F=e;else{D=e;E=p;break}while(1){F=F+-4|0;if((h|0)==(F|0))break;G=f[F>>2]|0;r=+n[G>>2];if(r>x){l=67;break b}if(!(G>>>0<=k>>>0|r<x)){l=67;break b}}k=h+4|0;j=f[e>>2]|0;x=+n[j>>2];u=j;if(!(s>x)?C>>>0<=j>>>0|s<x:0){if((k|0)==(e|0)){l=89;break a}else H=k;while(1){I=f[H>>2]|0;x=+n[I>>2];if(s>x)break;if(!(C>>>0<=I>>>0|s<x))break;j=H+4|0;if((j|0)==(e|0)){l=89;break a}else H=j}f[H>>2]=u;f[e>>2]=I;J=H+4|0}else J=k;if((J|0)==(e|0)){l=89;break a}else{K=e;L=J}while(1){j=f[h>>2]|0;y=f[L>>2]|0;s=+n[j>>2];x=+n[y>>2];c:do if(s>x)M=L;else{q=L;r=x;t=y;while(1){if(!(j>>>0<=t>>>0|s<r)){M=q;break c}A=q+4|0;t=f[A>>2]|0;r=+n[t>>2];if(s>r){M=A;break}else q=A}}while(0);y=K;while(1){q=y;y=y+-4|0;N=f[y>>2]|0;x=+n[N>>2];if(s>x){y=y;continue}if(j>>>0<=N>>>0|s<x)break}if(M>>>0>=y>>>0){h=M;continue b}j=f[M>>2]|0;f[M>>2]=N;f[y>>2]=j;K=y;L=M+4|0}}if((l|0)==67){l=0;f[h>>2]=G;f[F>>2]=C;D=F;E=p+1|0}k=h+4|0;d:do if(k>>>0<D>>>0){u=m;j=D;q=k;t=E;while(1){A=f[u>>2]|0;s=+n[A>>2];B=q;while(1){O=f[B>>2]|0;x=+n[O>>2];if(!(x>s)?O>>>0<=A>>>0|x<s:0)break;B=B+4|0}y=O;w=j;do{w=w+-4|0;P=f[w>>2]|0;x=+n[P>>2];if(x>s)break}while(P>>>0<=A>>>0|x<s);if(B>>>0>w>>>0){Q=u;R=t;S=B;break d}f[B>>2]=P;f[w>>2]=y;u=(u|0)==(B|0)?w:u;j=w;q=B+4|0;t=t+1|0}}else{Q=m;R=E;S=k}while(0);do if((S|0)==(Q|0))T=R;else{k=f[Q>>2]|0;t=f[S>>2]|0;s=+n[k>>2];x=+n[t>>2];q=t;j=k;if(!(s>x)?!(k>>>0>t>>>0&!(s<x)):0){T=R;break}f[S>>2]=j;f[Q>>2]=q;T=R+1|0}while(0);if(!T){U=u2(h,S,c)|0;q=S+4|0;if(u2(q,a,c)|0){l=88;break}if(U){g=q;continue}}q=S;if((q-i|0)>=(b-q|0)){l=87;break}o2(h,S,c);g=S+4|0}if((l|0)==87){l=0;o2(S+4|0,a,c);d=h;a=S;continue}else if((l|0)==88){l=0;if(U){l=89;break}else{d=h;a=S;continue}}}if((l|0)==5){S=f[e>>2]|0;d=f[h>>2]|0;x=+n[S>>2];s=+n[d>>2];U=d;i=S;if(!(x>s)?S>>>0<=d>>>0|x<s:0)return;f[h>>2]=i;f[e>>2]=U;return}else if((l|0)==8){U=h+4|0;i=f[U>>2]|0;d=f[h>>2]|0;s=+n[i>>2];x=+n[d>>2];S=i;T=d;if(!(s>x))if(s<x)V=0;else V=i>>>0>d>>>0;else V=1;R=f[e>>2]|0;r=+n[R>>2];Q=R;if(!(r>s))if(r<s)W=0;else W=R>>>0>i>>>0;else W=1;if(!V){if(!W)return;f[U>>2]=Q;f[e>>2]=S;V=f[U>>2]|0;i=f[h>>2]|0;s=+n[V>>2];r=+n[i>>2];R=i;E=V;if(!(s>r)?V>>>0<=i>>>0|s<r:0)return;f[h>>2]=E;f[U>>2]=R;return}if(W){f[h>>2]=Q;f[e>>2]=T;return}f[h>>2]=S;f[U>>2]=T;S=f[e>>2]|0;r=+n[S>>2];Q=S;if(!(r>x)?S>>>0<=d>>>0|r<x:0)return;f[U>>2]=Q;f[e>>2]=T;return}else if((l|0)==24){r2(h,h+4|0,h+8|0,e,c)|0;return}else if((l|0)==25){s2(h,h+4|0,h+8|0,h+12|0,e,c)|0;return}else if((l|0)==27){t2(h,a,c);return}else if((l|0)==89)return}function p2(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=d-e>>3;h=g+1|0;i=e;j=d;if(h>>>0>536870911)Ukc(a);d=a+8|0;k=(f[d>>2]|0)-e|0;l=k>>2;m=k>>3>>>0<268435455?(l>>>0<h>>>0?h:l):536870911;do if(m)if(m>>>0>536870911){l=ye(8)|0;Jmc(l,511852);f[l>>2]=165276;Gf(l|0,26776,1555)}else{n=Bmc(m<<3)|0;break}else n=0;while(0);l=n+(g<<3)|0;h=n+(m<<3)|0;f[l>>2]=f[b>>2];f[n+(g<<3)+4>>2]=f[b+4>>2];b=l+8|0;if((j|0)==(i|0))o=l;else{g=j+-8-e|0;n=j;j=l;do{m=j;j=j+-8|0;k=n;n=n+-8|0;f[j>>2]=f[n>>2];f[m+-4>>2]=f[k+-4>>2]}while((n|0)!=(i|0));o=l+(~(g>>>3)<<3)|0}f[a>>2]=o;f[c>>2]=b;f[d>>2]=h;if(!e)return;Emc(e);return}function q2(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;f[a>>2]=0;c=a+4|0;f[c>>2]=0;f[a+8>>2]=0;if(!b)return;if(b>>>0>357913941)Ukc(a);d=b*12|0;e=Bmc(d)|0;f[a>>2]=e;g=e+(b*12|0)|0;f[a+8>>2]=g;Drc(e|0,0,d|0)|0;f[c>>2]=g;return}function r2(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0.0,i=0.0,j=0,k=0,l=0,m=0,o=0.0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;e=f[b>>2]|0;g=f[a>>2]|0;h=+n[e>>2];i=+n[g>>2];j=e;k=g;if(!(h>i))if(h<i)l=0;else l=e>>>0>g>>>0;else l=1;m=f[c>>2]|0;o=+n[m>>2];p=m;if(!(o>h))if(o<h)q=0;else q=m>>>0>e>>>0;else q=1;do if(!l)if(q){f[b>>2]=p;f[c>>2]=j;r=f[b>>2]|0;s=f[a>>2]|0;h=+n[r>>2];o=+n[s>>2];t=s;u=r;if(!(h>o)?r>>>0<=s>>>0|h<o:0){v=1;w=e;x=j;break}f[a>>2]=u;f[b>>2]=t;t=f[c>>2]|0;v=2;w=t;x=t}else{v=0;w=m;x=p}else{if(q){f[a>>2]=p;f[c>>2]=k;v=1;w=g;x=k;break}f[a>>2]=j;f[b>>2]=k;t=f[c>>2]|0;o=+n[t>>2];u=t;if(!(o>i)?t>>>0<=g>>>0|o<i:0){v=1;w=t;x=u;break}f[b>>2]=u;f[c>>2]=k;v=2;w=g;x=k}while(0);k=f[d>>2]|0;i=+n[k>>2];o=+n[w>>2];g=k;if(!(i>o)?k>>>0<=w>>>0|i<o:0){y=v;return y|0}f[c>>2]=g;f[d>>2]=x;x=f[c>>2]|0;d=f[b>>2]|0;o=+n[x>>2];i=+n[d>>2];g=d;w=x;if(!(o>i)?x>>>0<=d>>>0|o<i:0){y=v+1|0;return y|0}f[b>>2]=w;f[c>>2]=g;g=f[b>>2]|0;c=f[a>>2]|0;i=+n[g>>2];o=+n[c>>2];w=c;d=g;if(!(i>o)?!(g>>>0>c>>>0&!(i<o)):0){y=v+2|0;return y|0}f[a>>2]=d;f[b>>2]=w;y=v+3|0;return y|0}function s2(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0.0,k=0.0,l=0,m=0,o=0;h=r2(a,b,c,d,g)|0;g=f[e>>2]|0;i=f[d>>2]|0;j=+n[g>>2];k=+n[i>>2];l=i;m=g;if(!(j>k)?g>>>0<=i>>>0|j<k:0){o=h;return o|0}f[d>>2]=m;f[e>>2]=l;l=f[d>>2]|0;e=f[c>>2]|0;k=+n[l>>2];j=+n[e>>2];m=e;i=l;if(!(k>j)?l>>>0<=e>>>0|k<j:0){o=h+1|0;return o|0}f[c>>2]=i;f[d>>2]=m;m=f[c>>2]|0;d=f[b>>2]|0;j=+n[m>>2];k=+n[d>>2];i=d;e=m;if(!(j>k)?m>>>0<=d>>>0|j<k:0){o=h+2|0;return o|0}f[b>>2]=e;f[c>>2]=i;i=f[b>>2]|0;c=f[a>>2]|0;k=+n[i>>2];j=+n[c>>2];e=c;d=i;if(!(k>j)?!(i>>>0>c>>>0&!(k<j)):0){o=h+3|0;return o|0}f[a>>2]=d;f[b>>2]=e;o=h+4|0;return o|0}function t2(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0.0,i=0.0,j=0,k=0,l=0,m=0,o=0.0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;c=a+8|0;d=a+4|0;e=f[d>>2]|0;g=f[a>>2]|0;h=+n[e>>2];i=+n[g>>2];j=e;k=g;if(!(h>i))if(h<i)l=0;else l=e>>>0>g>>>0;else l=1;m=f[c>>2]|0;o=+n[m>>2];p=m;if(!(o>h))if(o<h)q=0;else q=m>>>0>e>>>0;else q=1;do if(!l)if(q){f[d>>2]=p;f[c>>2]=j;if(!(o>i)?m>>>0<=g>>>0|o<i:0){r=j;s=e;break}f[a>>2]=p;f[d>>2]=k;r=j;s=e}else{r=p;s=m}else{if(q){f[a>>2]=p;f[c>>2]=k;r=k;s=g;break}f[a>>2]=j;f[d>>2]=k;if(!(o>i)?m>>>0<=g>>>0|o<i:0){r=p;s=m;break}f[d>>2]=p;f[c>>2]=k;r=k;s=g}while(0);g=a+12|0;if((g|0)==(b|0))return;else{t=g;u=c;v=s;w=r}while(1){r=f[t>>2]|0;i=+n[r>>2];o=+n[v>>2];s=r;if(!(!(i>o)?r>>>0<=v>>>0|i<o:0)){f[t>>2]=w;a:do if((u|0)==(a|0))x=u;else{c=u;g=u;while(1){k=g;g=c+-4|0;p=f[g>>2]|0;o=+n[p>>2];d=p;if(!(i>o)?r>>>0<=p>>>0|i<o:0){x=k;break a}f[k>>2]=d;if((g|0)==(a|0)){x=g;break}else c=g}}while(0);f[x>>2]=s}r=t+4|0;if((r|0)==(b|0))break;g=f[t>>2]|0;c=t;t=r;v=g;w=g;u=c}return}function u2(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0.0,i=0.0,j=0,k=0,l=0,m=0,o=0,p=0,q=0.0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;switch(b-a>>2|0){case 2:{d=b+-4|0;e=f[d>>2]|0;g=f[a>>2]|0;h=+n[e>>2];i=+n[g>>2];j=g;k=e;if(!(h>i)?e>>>0<=g>>>0|h<i:0){l=1;return l|0}f[a>>2]=k;f[d>>2]=j;l=1;return l|0}case 3:{j=a+4|0;d=b+-4|0;k=f[j>>2]|0;g=f[a>>2]|0;i=+n[k>>2];h=+n[g>>2];e=k;m=g;if(!(i>h))if(i<h)o=0;else o=k>>>0>g>>>0;else o=1;p=f[d>>2]|0;q=+n[p>>2];r=p;if(!(q>i))if(q<i)s=0;else s=p>>>0>k>>>0;else s=1;if(!o){if(!s){l=1;return l|0}f[j>>2]=r;f[d>>2]=e;o=f[j>>2]|0;k=f[a>>2]|0;i=+n[o>>2];q=+n[k>>2];p=k;t=o;if(!(i>q)?o>>>0<=k>>>0|i<q:0){l=1;return l|0}f[a>>2]=t;f[j>>2]=p;l=1;return l|0}if(s){f[a>>2]=r;f[d>>2]=m;l=1;return l|0}f[a>>2]=e;f[j>>2]=m;e=f[d>>2]|0;q=+n[e>>2];r=e;if(!(q>h)?e>>>0<=g>>>0|q<h:0){l=1;return l|0}f[j>>2]=r;f[d>>2]=m;l=1;return l|0}case 4:{r2(a,a+4|0,a+8|0,b+-4|0,c)|0;l=1;return l|0}case 5:{s2(a,a+4|0,a+8|0,a+12|0,b+-4|0,c)|0;l=1;return l|0}case 1:case 0:{l=1;return l|0}default:{c=a+8|0;m=a+4|0;d=f[m>>2]|0;r=f[a>>2]|0;h=+n[d>>2];q=+n[r>>2];j=d;g=r;if(!(h>q))if(h<q)u=0;else u=d>>>0>r>>>0;else u=1;e=f[c>>2]|0;i=+n[e>>2];s=e;if(!(i>h))if(i<h)v=0;else v=e>>>0>d>>>0;else v=1;do if(!u)if(v){f[m>>2]=s;f[c>>2]=j;if(!(i>q)?e>>>0<=r>>>0|i<q:0){w=d;break}f[a>>2]=s;f[m>>2]=g;w=d}else w=e;else{if(v){f[a>>2]=s;f[c>>2]=g;w=r;break}f[a>>2]=j;f[m>>2]=g;if(!(i>q)?e>>>0<=r>>>0|i<q:0){w=e;break}f[m>>2]=s;f[c>>2]=g;w=r}while(0);r=a+12|0;a:do if((r|0)==(b|0)){x=1;y=0}else{g=r;s=0;m=c;e=w;while(1){j=f[g>>2]|0;q=+n[j>>2];i=+n[e>>2];v=j;if(!(q>i)?j>>>0<=e>>>0|q<i:0)z=s;else{f[g>>2]=f[m>>2];b:do if((m|0)==(a|0))A=m;else{d=m;u=m;while(1){p=u;u=d+-4|0;t=f[u>>2]|0;i=+n[t>>2];k=t;if(!(q>i)?j>>>0<=t>>>0|q<i:0){A=p;break b}f[p>>2]=k;if((u|0)==(a|0)){A=u;break}else d=u}}while(0);f[A>>2]=v;j=s+1|0;if((j|0)==8){x=0;y=(g+4|0)==(b|0);break a}else z=j}j=g+4|0;if((j|0)==(b|0)){x=1;y=0;break a}u=f[g>>2]|0;d=g;g=j;s=z;e=u;m=d}}while(0);l=y|x;return l|0}}return 0}function v2(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=g|0;h=h|0;i=+i;m2(a,b,c,d,e,f,g,3,h,i);return}function w2(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;m=u;u=u+80|0;n=m+72|0;o=m+40|0;p=m+32|0;q=m;zT(p,51032);r=k?2:0;switch(i|0){case 0:{f[q>>2]=j;f[q+4>>2]=r;b[q+8>>0]=l&1;i=q+12|0;s=l?51052:51072;f[i>>2]=f[s>>2];f[i+4>>2]=f[s+4>>2];f[i+8>>2]=f[s+8>>2];f[i+12>>2]=f[s+12>>2];f[i+16>>2]=f[s+16>>2];if(!k){s=q+20|0;t=f[i>>2]|0;f[i>>2]=f[s>>2];f[s>>2]=t}f[n>>2]=0;f[n+4>>2]=h;f[o>>2]=51100;f[o+4>>2]=a;f[o+8>>2]=c;f[o+12>>2]=d;f[o+16>>2]=e;f[o+20>>2]=g;f[o+24>>2]=q;oU(n,o,+(Y(h,g)|0)*.0000152587890625);break}case 2:{f[q>>2]=j;f[q+4>>2]=r;b[q+8>>0]=l&1;t=q+12|0;s=l?51112:51132;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2];f[t+8>>2]=f[s+8>>2];f[t+12>>2]=f[s+12>>2];f[t+16>>2]=f[s+16>>2];if(!k){s=q+20|0;i=f[t>>2]|0;f[t>>2]=f[s>>2];f[s>>2]=i}f[n>>2]=0;f[n+4>>2]=h;f[o>>2]=51160;f[o+4>>2]=a;f[o+8>>2]=c;f[o+12>>2]=d;f[o+16>>2]=e;f[o+20>>2]=g;f[o+24>>2]=q;oU(n,o,+(Y(h,g)|0)*.0000152587890625);break}default:{f[q>>2]=j;f[q+4>>2]=r;b[q+8>>0]=l&1;r=q+12|0;j=l?51172:51192;f[r>>2]=f[j>>2];f[r+4>>2]=f[j+4>>2];f[r+8>>2]=f[j+8>>2];f[r+12>>2]=f[j+12>>2];f[r+16>>2]=f[j+16>>2];if(!k){k=q+20|0;j=f[r>>2]|0;f[r>>2]=f[k>>2];f[k>>2]=j}f[n>>2]=0;f[n+4>>2]=h;f[o>>2]=51220;f[o+4>>2]=a;f[o+8>>2]=c;f[o+12>>2]=d;f[o+16>>2]=e;f[o+20>>2]=g;f[o+24>>2]=q;oU(n,o,+(Y(h,g)|0)*.0000152587890625)}}if(!(f[p+4>>2]|0)){u=m;return}u=m;return}function x2(a){a=a|0;Emc(a);return}function y2(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0;d=u;u=u+16|0;e=d;zT(e,51232);g=f[c>>2]|0;h=f[c+4>>2]|0;a:do if((g|0)<(h|0)){c=f[a+16>>2]|0;i=f[a+8>>2]|0;j=a+24|0;k=f[a+20>>2]|0;l=k*3|0;if((k|0)<=0){k=g;while(1){k=k+1|0;if((k|0)>=(h|0))break a}}k=(f[a+4>>2]|0)+(Y(i,g)|0)|0;m=(f[a+12>>2]|0)+(Y(c,g)|0)|0;o=g;p=k;while(1){k=f[j>>2]|0;q=f[k>>2]|0;r=f[k+4>>2]|0;s=(b[k+8>>0]^1)&255;t=+n[k+12>>2];v=+n[k+16>>2];w=+n[k+20>>2];x=+n[k+24>>2];y=+n[k+28>>2];k=r^2;z=s+1|0;A=2-s|0;s=0;B=p;while(1){C=t*+n[B>>2]+v*+n[B+4>>2]+w*+n[B+8>>2];D=x*(+n[B+(k<<2)>>2]-C)+.5;E=y*(+n[B+(r<<2)>>2]-C)+.5;n[m+(s<<2)>>2]=C;n[m+(z+s<<2)>>2]=D;n[m+(A+s<<2)>>2]=E;s=s+3|0;if((s|0)>=(l|0))break;else B=B+(q<<2)|0}o=o+1|0;if((o|0)>=(h|0))break;else{m=m+c|0;p=p+i|0}}}while(0);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function z2(a){a=a|0;Emc(a);return}function A2(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;zT(d,51252);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){B2(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function B2(a,c,e,g){a=a|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;h=f[a>>2]|0;i=f[a+4>>2]|0;k=(b[a+8>>0]^1)&255;l=f[a+12>>2]|0;m=f[a+16>>2]|0;n=f[a+20>>2]|0;o=f[a+24>>2]|0;p=f[a+28>>2]|0;a=g*3|0;if((g|0)<=0)return;g=i^2;q=k+1|0;r=2-k|0;k=0;s=c;while(1){c=Y(j[s>>1]|0,l)|0;t=Y(j[s+2>>1]|0,m)|0;u=c+8192+t+(Y(j[s+4>>1]|0,n)|0)>>14;t=(Y((j[s+(g<<1)>>1]|0)-u|0,o)|0)+536879104>>14;c=(Y((j[s+(i<<1)>>1]|0)-u|0,p)|0)+536879104>>14;d[e+(k<<1)>>1]=u>>>0<65536?u:(u|0)>0?65535:0;d[e+(q+k<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;d[e+(r+k<<1)>>1]=c>>>0<65536?c:(c|0)>0?65535:0;k=k+3|0;if((k|0)>=(a|0))break;else s=s+(h<<1)|0}return}function C2(a){a=a|0;Emc(a);return}function D2(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;zT(d,51272);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){E2(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function E2(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=f[a>>2]|0;i=f[a+4>>2]|0;j=(b[a+8>>0]^1)&255;k=f[a+12>>2]|0;l=f[a+16>>2]|0;m=f[a+20>>2]|0;n=f[a+24>>2]|0;o=f[a+28>>2]|0;a=e*3|0;if((e|0)<=0)return;e=i^2;p=j+1|0;q=2-j|0;j=0;r=c;while(1){c=Y(h[r>>0]|0,k)|0;s=Y(h[r+1>>0]|0,l)|0;t=c+8192+s+(Y(h[r+2>>0]|0,m)|0)>>14;s=(Y((h[r+e>>0]|0)-t|0,n)|0)+2105344>>14;c=(Y((h[r+i>>0]|0)-t|0,o)|0)+2105344>>14;b[d+j>>0]=t>>>0<256?t:(t|0)>0?255:0;b[d+(p+j)>>0]=s>>>0<256?s:(s|0)>0?255:0;b[d+(q+j)>>0]=c>>>0<256?c:(c|0)>0?255:0;j=j+3|0;if((j|0)>=(a|0))break;else r=r+g|0}return}function F2(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0;m=u;u=u+80|0;n=m+72|0;o=m+40|0;p=m+32|0;q=m;zT(p,51292);r=k?2:0;switch(i|0){case 0:{f[q>>2]=j;f[q+4>>2]=r;b[q+8>>0]=l&1;i=q+12|0;k=l?51312:51328;f[i>>2]=f[k>>2];f[i+4>>2]=f[k+4>>2];f[i+8>>2]=f[k+8>>2];f[i+12>>2]=f[k+12>>2];f[n>>2]=0;f[n+4>>2]=h;f[o>>2]=51352;f[o+4>>2]=a;f[o+8>>2]=c;f[o+12>>2]=d;f[o+16>>2]=e;f[o+20>>2]=g;f[o+24>>2]=q;oU(n,o,+(Y(h,g)|0)*.0000152587890625);break}case 2:{f[q>>2]=j;f[q+4>>2]=r;b[q+8>>0]=l&1;k=q+12|0;i=l?51364:51380;f[k>>2]=f[i>>2];f[k+4>>2]=f[i+4>>2];f[k+8>>2]=f[i+8>>2];f[k+12>>2]=f[i+12>>2];f[n>>2]=0;f[n+4>>2]=h;f[o>>2]=51404;f[o+4>>2]=a;f[o+8>>2]=c;f[o+12>>2]=d;f[o+16>>2]=e;f[o+20>>2]=g;f[o+24>>2]=q;oU(n,o,+(Y(h,g)|0)*.0000152587890625);break}default:{f[q>>2]=j;f[q+4>>2]=r;b[q+8>>0]=l&1;r=q+12|0;j=l?51416:51432;f[r>>2]=f[j>>2];f[r+4>>2]=f[j+4>>2];f[r+8>>2]=f[j+8>>2];f[r+12>>2]=f[j+12>>2];f[n>>2]=0;f[n+4>>2]=h;f[o>>2]=51456;f[o+4>>2]=a;f[o+8>>2]=c;f[o+12>>2]=d;f[o+16>>2]=e;f[o+20>>2]=g;f[o+24>>2]=q;oU(n,o,+(Y(h,g)|0)*.0000152587890625)}}if(!(f[p+4>>2]|0)){u=m;return}u=m;return}function G2(a){a=a|0;Emc(a);return}function H2(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;zT(d,51468);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){I2(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function I2(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0;g=f[a>>2]|0;h=f[a+4>>2]|0;i=(b[a+8>>0]^1)&255;j=+n[a+12>>2];k=+n[a+16>>2];l=+n[a+20>>2];m=+n[a+24>>2];a=e*3|0;if((e|0)<=0)return;e=i+1|0;o=2-i|0;i=h^2;if((g|0)==4){p=0;q=d;while(1){r=+n[c+(p<<2)>>2];s=+n[c+(o+p<<2)>>2]+-.5;t=+n[c+(e+p<<2)>>2]+-.5;n[q+(h<<2)>>2]=r+m*s;n[q+4>>2]=k*t+(r+l*s);n[q+(i<<2)>>2]=r+j*t;n[q+12>>2]=1.0;p=p+3|0;if((p|0)>=(a|0))break;else q=q+16|0}return}else{q=0;p=d;while(1){t=+n[c+(q<<2)>>2];r=+n[c+(o+q<<2)>>2]+-.5;s=+n[c+(e+q<<2)>>2]+-.5;n[p+(h<<2)>>2]=t+m*r;n[p+4>>2]=k*s+(t+l*r);n[p+(i<<2)>>2]=t+j*s;q=q+3|0;if((q|0)>=(a|0))break;else p=p+(g<<2)|0}return}}function J2(a){a=a|0;Emc(a);return}function K2(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;zT(d,51488);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){L2(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function L2(a,c,e,g){a=a|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;h=f[a>>2]|0;i=f[a+4>>2]|0;k=(b[a+8>>0]^1)&255;l=f[a+12>>2]|0;m=f[a+16>>2]|0;n=f[a+20>>2]|0;o=f[a+24>>2]|0;a=g*3|0;if((g|0)<=0)return;g=k+1|0;p=2-k|0;k=i^2;if((h|0)==4){q=0;r=e;while(1){s=j[c+(q<<1)>>1]|0;t=(j[c+(p+q<<1)>>1]|0)+-32768|0;u=((Y(t,o)|0)+8192>>14)+s|0;v=(j[c+(g+q<<1)>>1]|0)+-32768|0;w=((Y(v,m)|0)+8192+(Y(t,n)|0)>>14)+s|0;t=((Y(v,l)|0)+8192>>14)+s|0;d[r+(i<<1)>>1]=u>>>0<65536?u:(u|0)>0?65535:0;d[r+2>>1]=w>>>0<65536?w:(w|0)>0?65535:0;d[r+(k<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;d[r+6>>1]=-1;q=q+3|0;if((q|0)>=(a|0))break;else r=r+8|0}return}else{r=0;q=e;while(1){e=j[c+(r<<1)>>1]|0;t=(j[c+(p+r<<1)>>1]|0)+-32768|0;w=((Y(t,o)|0)+8192>>14)+e|0;u=(j[c+(g+r<<1)>>1]|0)+-32768|0;s=((Y(u,m)|0)+8192+(Y(t,n)|0)>>14)+e|0;t=((Y(u,l)|0)+8192>>14)+e|0;d[q+(i<<1)>>1]=w>>>0<65536?w:(w|0)>0?65535:0;d[q+2>>1]=s>>>0<65536?s:(s|0)>0?65535:0;d[q+(k<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;r=r+3|0;if((r|0)>=(a|0))break;else q=q+(h<<1)|0}return}}function M2(a){a=a|0;Emc(a);return}function N2(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;zT(d,51508);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){O2(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function O2(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;g=f[a>>2]|0;i=f[a+4>>2]|0;j=(b[a+8>>0]^1)&255;k=f[a+12>>2]|0;l=f[a+16>>2]|0;m=f[a+20>>2]|0;n=f[a+24>>2]|0;a=e*3|0;if((e|0)<=0)return;e=j+1|0;o=2-j|0;j=i^2;if((g|0)==4){p=0;q=d;while(1){r=h[c+p>>0]|0;s=(h[c+(o+p)>>0]|0)+-128|0;t=((Y(s,n)|0)+8192>>14)+r|0;u=(h[c+(e+p)>>0]|0)+-128|0;v=((Y(u,l)|0)+8192+(Y(s,m)|0)>>14)+r|0;s=((Y(u,k)|0)+8192>>14)+r|0;b[q+i>>0]=t>>>0<256?t:(t|0)>0?255:0;b[q+1>>0]=v>>>0<256?v:(v|0)>0?255:0;b[q+j>>0]=s>>>0<256?s:(s|0)>0?255:0;b[q+3>>0]=-1;p=p+3|0;if((p|0)>=(a|0))break;else q=q+4|0}return}else{q=0;p=d;while(1){d=h[c+q>>0]|0;s=(h[c+(o+q)>>0]|0)+-128|0;v=((Y(s,n)|0)+8192>>14)+d|0;t=(h[c+(e+q)>>0]|0)+-128|0;r=((Y(t,l)|0)+8192+(Y(s,m)|0)>>14)+d|0;s=((Y(t,k)|0)+8192>>14)+d|0;b[p+i>>0]=v>>>0<256?v:(v|0)>0?255:0;b[p+1>>0]=r>>>0<256?r:(r|0)>0?255:0;b[p+j>>0]=s>>>0<256?s:(s|0)>0?255:0;q=q+3|0;if((q|0)>=(a|0))break;else p=p+g|0}return}}function P2(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0;m=u;u=u+48|0;n=m+16|0;o=m+8|0;p=m;zT(p,51548);switch((k?20:0)+(j*100|0)+l|0){case 300:{f[n>>2]=51576;f[n+4>>2]=e;f[n+8>>2]=g;f[n+12>>2]=h;f[n+16>>2]=a;f[n+20>>2]=c;f[n+24>>2]=d;if((Y(i,h)|0)>76799){f[o>>2]=0;f[o+4>>2]=(i|0)/2|0;oU(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=(i|0)/2|0;Q2(n,o)}break}case 301:{f[n>>2]=51596;f[n+4>>2]=e;f[n+8>>2]=g;f[n+12>>2]=h;f[n+16>>2]=a;f[n+20>>2]=c;f[n+24>>2]=d;if((Y(i,h)|0)>76799){f[o>>2]=0;f[o+4>>2]=(i|0)/2|0;oU(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=(i|0)/2|0;R2(n,o)}break}case 320:{f[n>>2]=51616;f[n+4>>2]=e;f[n+8>>2]=g;f[n+12>>2]=h;f[n+16>>2]=a;f[n+20>>2]=c;f[n+24>>2]=d;if((Y(i,h)|0)>76799){f[o>>2]=0;f[o+4>>2]=(i|0)/2|0;oU(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=(i|0)/2|0;S2(n,o)}break}case 321:{f[n>>2]=51636;f[n+4>>2]=e;f[n+8>>2]=g;f[n+12>>2]=h;f[n+16>>2]=a;f[n+20>>2]=c;f[n+24>>2]=d;if((Y(i,h)|0)>76799){f[o>>2]=0;f[o+4>>2]=(i|0)/2|0;oU(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=(i|0)/2|0;T2(n,o)}break}case 400:{f[n>>2]=51656;f[n+4>>2]=e;f[n+8>>2]=g;f[n+12>>2]=h;f[n+16>>2]=a;f[n+20>>2]=c;f[n+24>>2]=d;if((Y(i,h)|0)>76799){f[o>>2]=0;f[o+4>>2]=(i|0)/2|0;oU(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=(i|0)/2|0;U2(n,o)}break}case 401:{f[n>>2]=51676;f[n+4>>2]=e;f[n+8>>2]=g;f[n+12>>2]=h;f[n+16>>2]=a;f[n+20>>2]=c;f[n+24>>2]=d;if((Y(i,h)|0)>76799){f[o>>2]=0;f[o+4>>2]=(i|0)/2|0;oU(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=(i|0)/2|0;V2(n,o)}break}case 420:{f[n>>2]=51696;f[n+4>>2]=e;f[n+8>>2]=g;f[n+12>>2]=h;f[n+16>>2]=a;f[n+20>>2]=c;f[n+24>>2]=d;if((Y(i,h)|0)>76799){f[o>>2]=0;f[o+4>>2]=(i|0)/2|0;oU(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=(i|0)/2|0;W2(n,o)}break}case 421:{f[n>>2]=51716;f[n+4>>2]=e;f[n+8>>2]=g;f[n+12>>2]=h;f[n+16>>2]=a;f[n+20>>2]=c;f[n+24>>2]=d;if((Y(i,h)|0)>76799){f[o>>2]=0;f[o+4>>2]=(i|0)/2|0;oU(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=(i|0)/2|0;X2(n,o)}break}default:{f[n>>2]=0;f[n+4>>2]=0;o=YG(n,41)|0;i=241749;h=o+41|0;do{b[o>>0]=b[i>>0]|0;o=o+1|0;i=i+1|0}while((o|0)<(h|0));SQ(-206,n,241791,241003,2404)}}if(!(f[p+4>>2]|0)){u=m;return}u=m;return}function Q2(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=f[c>>2]<<1;e=f[c+4>>2]<<1;c=a+24|0;g=f[c>>2]|0;i=Y(g,d)|0;if((d|0)>=(e|0))return;j=a+4|0;k=a+8|0;l=a+12|0;m=(f[a+20>>2]|0)+(i>>>1)|0;n=d;d=(f[a+16>>2]|0)+i|0;i=g;g=f[l>>2]|0;while(1){a=f[j>>2]|0;o=f[k>>2]|0;p=d+i|0;if((g|0)>0){q=a+(Y(o,n)|0)|0;r=a+(Y(o,n|1)|0)|0;o=0;while(1){a=(h[m+o>>0]|0)+-128|0;s=o|1;t=(h[m+s>>0]|0)+-128|0;u=(Y(t,1673527)|0)+524288|0;v=(Y(a,-409993)|0)+524288+(Y(t,-852492)|0)|0;t=(Y(a,2116026)|0)+524288|0;a=(h[d+o>>0]|0)+-16|0;w=Y((a|0)>0?a:0,1220542)|0;a=w+u>>20;b[q+2>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+v>>20;b[q+1>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+t>>20;b[q>>0]=a>>>0<256?a:(a|0)>0?255:0;a=(h[d+s>>0]|0)+-16|0;w=Y((a|0)>0?a:0,1220542)|0;a=w+u>>20;b[q+5>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+v>>20;b[q+4>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+t>>20;b[q+3>>0]=a>>>0<256?a:(a|0)>0?255:0;a=(h[p+o>>0]|0)+-16|0;w=Y((a|0)>0?a:0,1220542)|0;a=w+u>>20;b[r+2>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+v>>20;b[r+1>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+t>>20;b[r>>0]=a>>>0<256?a:(a|0)>0?255:0;a=(h[p+s>>0]|0)+-16|0;s=Y((a|0)>0?a:0,1220542)|0;a=s+u>>20;b[r+5>>0]=a>>>0<256?a:(a|0)>0?255:0;a=s+v>>20;b[r+4>>0]=a>>>0<256?a:(a|0)>0?255:0;a=s+t>>20;b[r+3>>0]=a>>>0<256?a:(a|0)>0?255:0;o=o+2|0;x=f[l>>2]|0;if((o|0)>=(x|0))break;else{q=q+6|0;r=r+6|0}}y=x;z=f[c>>2]|0}else{y=g;z=i}n=n+2|0;if((n|0)>=(e|0))break;else{m=m+z|0;d=d+(z<<1)|0;i=z;g=y}}return}function R2(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=f[c>>2]<<1;e=f[c+4>>2]<<1;c=a+24|0;g=f[c>>2]|0;i=Y(g,d)|0;if((d|0)>=(e|0))return;j=a+4|0;k=a+8|0;l=a+12|0;m=(f[a+20>>2]|0)+(i>>>1)|0;n=d;d=(f[a+16>>2]|0)+i|0;i=g;g=f[l>>2]|0;while(1){a=f[j>>2]|0;o=f[k>>2]|0;p=d+i|0;if((g|0)>0){q=a+(Y(o,n)|0)|0;r=a+(Y(o,n|1)|0)|0;o=0;while(1){a=o|1;s=(h[m+a>>0]|0)+-128|0;t=(h[m+o>>0]|0)+-128|0;u=(Y(t,1673527)|0)+524288|0;v=(Y(s,-409993)|0)+524288+(Y(t,-852492)|0)|0;t=(Y(s,2116026)|0)+524288|0;s=(h[d+o>>0]|0)+-16|0;w=Y((s|0)>0?s:0,1220542)|0;s=w+u>>20;b[q+2>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+v>>20;b[q+1>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+t>>20;b[q>>0]=s>>>0<256?s:(s|0)>0?255:0;s=(h[d+a>>0]|0)+-16|0;w=Y((s|0)>0?s:0,1220542)|0;s=w+u>>20;b[q+5>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+v>>20;b[q+4>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+t>>20;b[q+3>>0]=s>>>0<256?s:(s|0)>0?255:0;s=(h[p+o>>0]|0)+-16|0;w=Y((s|0)>0?s:0,1220542)|0;s=w+u>>20;b[r+2>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+v>>20;b[r+1>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+t>>20;b[r>>0]=s>>>0<256?s:(s|0)>0?255:0;s=(h[p+a>>0]|0)+-16|0;a=Y((s|0)>0?s:0,1220542)|0;s=a+u>>20;b[r+5>>0]=s>>>0<256?s:(s|0)>0?255:0;s=a+v>>20;b[r+4>>0]=s>>>0<256?s:(s|0)>0?255:0;s=a+t>>20;b[r+3>>0]=s>>>0<256?s:(s|0)>0?255:0;o=o+2|0;x=f[l>>2]|0;if((o|0)>=(x|0))break;else{q=q+6|0;r=r+6|0}}y=x;z=f[c>>2]|0}else{y=g;z=i}n=n+2|0;if((n|0)>=(e|0))break;else{m=m+z|0;d=d+(z<<1)|0;i=z;g=y}}return}function S2(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=f[c>>2]<<1;e=f[c+4>>2]<<1;c=a+24|0;g=f[c>>2]|0;i=Y(g,d)|0;if((d|0)>=(e|0))return;j=a+4|0;k=a+8|0;l=a+12|0;m=(f[a+20>>2]|0)+(i>>>1)|0;n=d;d=(f[a+16>>2]|0)+i|0;i=g;g=f[l>>2]|0;while(1){a=f[j>>2]|0;o=f[k>>2]|0;p=d+i|0;if((g|0)>0){q=a+(Y(o,n)|0)|0;r=a+(Y(o,n|1)|0)|0;o=0;while(1){a=(h[m+o>>0]|0)+-128|0;s=o|1;t=(h[m+s>>0]|0)+-128|0;u=(Y(t,1673527)|0)+524288|0;v=(Y(a,-409993)|0)+524288+(Y(t,-852492)|0)|0;t=(Y(a,2116026)|0)+524288|0;a=(h[d+o>>0]|0)+-16|0;w=Y((a|0)>0?a:0,1220542)|0;a=w+u>>20;b[q>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+v>>20;b[q+1>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+t>>20;b[q+2>>0]=a>>>0<256?a:(a|0)>0?255:0;a=(h[d+s>>0]|0)+-16|0;w=Y((a|0)>0?a:0,1220542)|0;a=w+u>>20;b[q+3>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+v>>20;b[q+4>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+t>>20;b[q+5>>0]=a>>>0<256?a:(a|0)>0?255:0;a=(h[p+o>>0]|0)+-16|0;w=Y((a|0)>0?a:0,1220542)|0;a=w+u>>20;b[r>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+v>>20;b[r+1>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+t>>20;b[r+2>>0]=a>>>0<256?a:(a|0)>0?255:0;a=(h[p+s>>0]|0)+-16|0;s=Y((a|0)>0?a:0,1220542)|0;a=s+u>>20;b[r+3>>0]=a>>>0<256?a:(a|0)>0?255:0;a=s+v>>20;b[r+4>>0]=a>>>0<256?a:(a|0)>0?255:0;a=s+t>>20;b[r+5>>0]=a>>>0<256?a:(a|0)>0?255:0;o=o+2|0;x=f[l>>2]|0;if((o|0)>=(x|0))break;else{q=q+6|0;r=r+6|0}}y=x;z=f[c>>2]|0}else{y=g;z=i}n=n+2|0;if((n|0)>=(e|0))break;else{m=m+z|0;d=d+(z<<1)|0;i=z;g=y}}return}function T2(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=f[c>>2]<<1;e=f[c+4>>2]<<1;c=a+24|0;g=f[c>>2]|0;i=Y(g,d)|0;if((d|0)>=(e|0))return;j=a+4|0;k=a+8|0;l=a+12|0;m=(f[a+20>>2]|0)+(i>>>1)|0;n=d;d=(f[a+16>>2]|0)+i|0;i=g;g=f[l>>2]|0;while(1){a=f[j>>2]|0;o=f[k>>2]|0;p=d+i|0;if((g|0)>0){q=a+(Y(o,n)|0)|0;r=a+(Y(o,n|1)|0)|0;o=0;while(1){a=o|1;s=(h[m+a>>0]|0)+-128|0;t=(h[m+o>>0]|0)+-128|0;u=(Y(t,1673527)|0)+524288|0;v=(Y(s,-409993)|0)+524288+(Y(t,-852492)|0)|0;t=(Y(s,2116026)|0)+524288|0;s=(h[d+o>>0]|0)+-16|0;w=Y((s|0)>0?s:0,1220542)|0;s=w+u>>20;b[q>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+v>>20;b[q+1>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+t>>20;b[q+2>>0]=s>>>0<256?s:(s|0)>0?255:0;s=(h[d+a>>0]|0)+-16|0;w=Y((s|0)>0?s:0,1220542)|0;s=w+u>>20;b[q+3>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+v>>20;b[q+4>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+t>>20;b[q+5>>0]=s>>>0<256?s:(s|0)>0?255:0;s=(h[p+o>>0]|0)+-16|0;w=Y((s|0)>0?s:0,1220542)|0;s=w+u>>20;b[r>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+v>>20;b[r+1>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+t>>20;b[r+2>>0]=s>>>0<256?s:(s|0)>0?255:0;s=(h[p+a>>0]|0)+-16|0;a=Y((s|0)>0?s:0,1220542)|0;s=a+u>>20;b[r+3>>0]=s>>>0<256?s:(s|0)>0?255:0;s=a+v>>20;b[r+4>>0]=s>>>0<256?s:(s|0)>0?255:0;s=a+t>>20;b[r+5>>0]=s>>>0<256?s:(s|0)>0?255:0;o=o+2|0;x=f[l>>2]|0;if((o|0)>=(x|0))break;else{q=q+6|0;r=r+6|0}}y=x;z=f[c>>2]|0}else{y=g;z=i}n=n+2|0;if((n|0)>=(e|0))break;else{m=m+z|0;d=d+(z<<1)|0;i=z;g=y}}return}function U2(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=f[c>>2]<<1;e=f[c+4>>2]<<1;c=a+24|0;g=f[c>>2]|0;i=Y(g,d)|0;if((d|0)>=(e|0))return;j=a+4|0;k=a+8|0;l=a+12|0;m=(f[a+20>>2]|0)+(i>>>1)|0;n=d;d=(f[a+16>>2]|0)+i|0;i=g;g=f[l>>2]|0;while(1){a=f[j>>2]|0;o=f[k>>2]|0;p=d+i|0;if((g|0)>0){q=a+(Y(o,n)|0)|0;r=a+(Y(o,n|1)|0)|0;o=0;while(1){a=(h[m+o>>0]|0)+-128|0;s=o|1;t=(h[m+s>>0]|0)+-128|0;u=(Y(t,1673527)|0)+524288|0;v=(Y(a,-409993)|0)+524288+(Y(t,-852492)|0)|0;t=(Y(a,2116026)|0)+524288|0;a=(h[d+o>>0]|0)+-16|0;w=Y((a|0)>0?a:0,1220542)|0;a=w+u>>20;b[q+2>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+v>>20;b[q+1>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+t>>20;b[q>>0]=a>>>0<256?a:(a|0)>0?255:0;b[q+3>>0]=-1;a=(h[d+s>>0]|0)+-16|0;w=Y((a|0)>0?a:0,1220542)|0;a=w+u>>20;b[q+6>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+v>>20;b[q+5>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+t>>20;b[q+4>>0]=a>>>0<256?a:(a|0)>0?255:0;b[q+7>>0]=-1;a=(h[p+o>>0]|0)+-16|0;w=Y((a|0)>0?a:0,1220542)|0;a=w+u>>20;b[r+2>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+v>>20;b[r+1>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+t>>20;b[r>>0]=a>>>0<256?a:(a|0)>0?255:0;b[r+3>>0]=-1;a=(h[p+s>>0]|0)+-16|0;s=Y((a|0)>0?a:0,1220542)|0;a=s+u>>20;b[r+6>>0]=a>>>0<256?a:(a|0)>0?255:0;a=s+v>>20;b[r+5>>0]=a>>>0<256?a:(a|0)>0?255:0;a=s+t>>20;b[r+4>>0]=a>>>0<256?a:(a|0)>0?255:0;b[r+7>>0]=-1;o=o+2|0;x=f[l>>2]|0;if((o|0)>=(x|0))break;else{q=q+8|0;r=r+8|0}}y=x;z=f[c>>2]|0}else{y=g;z=i}n=n+2|0;if((n|0)>=(e|0))break;else{m=m+z|0;d=d+(z<<1)|0;i=z;g=y}}return}function V2(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=f[c>>2]<<1;e=f[c+4>>2]<<1;c=a+24|0;g=f[c>>2]|0;i=Y(g,d)|0;if((d|0)>=(e|0))return;j=a+4|0;k=a+8|0;l=a+12|0;m=(f[a+20>>2]|0)+(i>>>1)|0;n=d;d=(f[a+16>>2]|0)+i|0;i=g;g=f[l>>2]|0;while(1){a=f[j>>2]|0;o=f[k>>2]|0;p=d+i|0;if((g|0)>0){q=a+(Y(o,n)|0)|0;r=a+(Y(o,n|1)|0)|0;o=0;while(1){a=o|1;s=(h[m+a>>0]|0)+-128|0;t=(h[m+o>>0]|0)+-128|0;u=(Y(t,1673527)|0)+524288|0;v=(Y(s,-409993)|0)+524288+(Y(t,-852492)|0)|0;t=(Y(s,2116026)|0)+524288|0;s=(h[d+o>>0]|0)+-16|0;w=Y((s|0)>0?s:0,1220542)|0;s=w+u>>20;b[q+2>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+v>>20;b[q+1>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+t>>20;b[q>>0]=s>>>0<256?s:(s|0)>0?255:0;b[q+3>>0]=-1;s=(h[d+a>>0]|0)+-16|0;w=Y((s|0)>0?s:0,1220542)|0;s=w+u>>20;b[q+6>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+v>>20;b[q+5>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+t>>20;b[q+4>>0]=s>>>0<256?s:(s|0)>0?255:0;b[q+7>>0]=-1;s=(h[p+o>>0]|0)+-16|0;w=Y((s|0)>0?s:0,1220542)|0;s=w+u>>20;b[r+2>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+v>>20;b[r+1>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+t>>20;b[r>>0]=s>>>0<256?s:(s|0)>0?255:0;b[r+3>>0]=-1;s=(h[p+a>>0]|0)+-16|0;a=Y((s|0)>0?s:0,1220542)|0;s=a+u>>20;b[r+6>>0]=s>>>0<256?s:(s|0)>0?255:0;s=a+v>>20;b[r+5>>0]=s>>>0<256?s:(s|0)>0?255:0;s=a+t>>20;b[r+4>>0]=s>>>0<256?s:(s|0)>0?255:0;b[r+7>>0]=-1;o=o+2|0;x=f[l>>2]|0;if((o|0)>=(x|0))break;else{q=q+8|0;r=r+8|0}}y=x;z=f[c>>2]|0}else{y=g;z=i}n=n+2|0;if((n|0)>=(e|0))break;else{m=m+z|0;d=d+(z<<1)|0;i=z;g=y}}return}function W2(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=f[c>>2]<<1;e=f[c+4>>2]<<1;c=a+24|0;g=f[c>>2]|0;i=Y(g,d)|0;if((d|0)>=(e|0))return;j=a+4|0;k=a+8|0;l=a+12|0;m=(f[a+20>>2]|0)+(i>>>1)|0;n=d;d=(f[a+16>>2]|0)+i|0;i=g;g=f[l>>2]|0;while(1){a=f[j>>2]|0;o=f[k>>2]|0;p=d+i|0;if((g|0)>0){q=a+(Y(o,n)|0)|0;r=a+(Y(o,n|1)|0)|0;o=0;while(1){a=(h[m+o>>0]|0)+-128|0;s=o|1;t=(h[m+s>>0]|0)+-128|0;u=(Y(t,1673527)|0)+524288|0;v=(Y(a,-409993)|0)+524288+(Y(t,-852492)|0)|0;t=(Y(a,2116026)|0)+524288|0;a=(h[d+o>>0]|0)+-16|0;w=Y((a|0)>0?a:0,1220542)|0;a=w+u>>20;b[q>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+v>>20;b[q+1>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+t>>20;b[q+2>>0]=a>>>0<256?a:(a|0)>0?255:0;b[q+3>>0]=-1;a=(h[d+s>>0]|0)+-16|0;w=Y((a|0)>0?a:0,1220542)|0;a=w+u>>20;b[q+4>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+v>>20;b[q+5>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+t>>20;b[q+6>>0]=a>>>0<256?a:(a|0)>0?255:0;b[q+7>>0]=-1;a=(h[p+o>>0]|0)+-16|0;w=Y((a|0)>0?a:0,1220542)|0;a=w+u>>20;b[r>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+v>>20;b[r+1>>0]=a>>>0<256?a:(a|0)>0?255:0;a=w+t>>20;b[r+2>>0]=a>>>0<256?a:(a|0)>0?255:0;b[r+3>>0]=-1;a=(h[p+s>>0]|0)+-16|0;s=Y((a|0)>0?a:0,1220542)|0;a=s+u>>20;b[r+4>>0]=a>>>0<256?a:(a|0)>0?255:0;a=s+v>>20;b[r+5>>0]=a>>>0<256?a:(a|0)>0?255:0;a=s+t>>20;b[r+6>>0]=a>>>0<256?a:(a|0)>0?255:0;b[r+7>>0]=-1;o=o+2|0;x=f[l>>2]|0;if((o|0)>=(x|0))break;else{q=q+8|0;r=r+8|0}}y=x;z=f[c>>2]|0}else{y=g;z=i}n=n+2|0;if((n|0)>=(e|0))break;else{m=m+z|0;d=d+(z<<1)|0;i=z;g=y}}return}function X2(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=f[c>>2]<<1;e=f[c+4>>2]<<1;c=a+24|0;g=f[c>>2]|0;i=Y(g,d)|0;if((d|0)>=(e|0))return;j=a+4|0;k=a+8|0;l=a+12|0;m=(f[a+20>>2]|0)+(i>>>1)|0;n=d;d=(f[a+16>>2]|0)+i|0;i=g;g=f[l>>2]|0;while(1){a=f[j>>2]|0;o=f[k>>2]|0;p=d+i|0;if((g|0)>0){q=a+(Y(o,n)|0)|0;r=a+(Y(o,n|1)|0)|0;o=0;while(1){a=o|1;s=(h[m+a>>0]|0)+-128|0;t=(h[m+o>>0]|0)+-128|0;u=(Y(t,1673527)|0)+524288|0;v=(Y(s,-409993)|0)+524288+(Y(t,-852492)|0)|0;t=(Y(s,2116026)|0)+524288|0;s=(h[d+o>>0]|0)+-16|0;w=Y((s|0)>0?s:0,1220542)|0;s=w+u>>20;b[q>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+v>>20;b[q+1>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+t>>20;b[q+2>>0]=s>>>0<256?s:(s|0)>0?255:0;b[q+3>>0]=-1;s=(h[d+a>>0]|0)+-16|0;w=Y((s|0)>0?s:0,1220542)|0;s=w+u>>20;b[q+4>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+v>>20;b[q+5>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+t>>20;b[q+6>>0]=s>>>0<256?s:(s|0)>0?255:0;b[q+7>>0]=-1;s=(h[p+o>>0]|0)+-16|0;w=Y((s|0)>0?s:0,1220542)|0;s=w+u>>20;b[r>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+v>>20;b[r+1>>0]=s>>>0<256?s:(s|0)>0?255:0;s=w+t>>20;b[r+2>>0]=s>>>0<256?s:(s|0)>0?255:0;b[r+3>>0]=-1;s=(h[p+a>>0]|0)+-16|0;a=Y((s|0)>0?s:0,1220542)|0;s=a+u>>20;b[r+4>>0]=s>>>0<256?s:(s|0)>0?255:0;s=a+v>>20;b[r+5>>0]=s>>>0<256?s:(s|0)>0?255:0;s=a+t>>20;b[r+6>>0]=s>>>0<256?s:(s|0)>0?255:0;b[r+7>>0]=-1;o=o+2|0;x=f[l>>2]|0;if((o|0)>=(x|0))break;else{q=q+8|0;r=r+8|0}}y=x;z=f[c>>2]|0}else{y=g;z=i}n=n+2|0;if((n|0)>=(e|0))break;else{m=m+z|0;d=d+(z<<1)|0;i=z;g=y}}return}function Y2(a){a=a|0;Emc(a);return}function Z2(a){a=a|0;Emc(a);return}function _2(a){a=a|0;Emc(a);return}function $2(a){a=a|0;Emc(a);return}function a3(a){a=a|0;Emc(a);return}function b3(a){a=a|0;Emc(a);return}function c3(a){a=a|0;Emc(a);return}function d3(a){a=a|0;Emc(a);return}function e3(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;l=u;u=u+64|0;m=l+16|0;n=l+8|0;o=l;zT(o,51728);p=a+(Y(h,c)|0)|0;q=(h|0)%4|0;r=a+(Y(((h|0)/4|0)+h|0,c)|0)+(Y((q|0)/2|0,(g|0)/2|0)|0)|0;s=(q|0)==2;q=(k|0)==1;k=q?r:p;t=q?p:r;r=s&q&1;p=s&(q^1)&1;switch(((i*10|0)+-30+(j?2:0)|0)>>>1&2147483647|0){case 0:{f[m>>2]=51756;f[m+4>>2]=d;f[m+8>>2]=e;f[m+12>>2]=g;f[m+16>>2]=a;f[m+20>>2]=k;f[m+24>>2]=t;f[m+28>>2]=c;f[m+32>>2]=r;f[m+36>>2]=p;if((Y(h,g)|0)>76799){f[n>>2]=0;f[n+4>>2]=(h|0)/2|0;oU(n,m,-1.0)}else{f[n>>2]=0;f[n+4>>2]=(h|0)/2|0;f3(m,n)}break}case 1:{f[m>>2]=51776;f[m+4>>2]=d;f[m+8>>2]=e;f[m+12>>2]=g;f[m+16>>2]=a;f[m+20>>2]=k;f[m+24>>2]=t;f[m+28>>2]=c;f[m+32>>2]=r;f[m+36>>2]=p;if((Y(h,g)|0)>76799){f[n>>2]=0;f[n+4>>2]=(h|0)/2|0;oU(n,m,-1.0)}else{f[n>>2]=0;f[n+4>>2]=(h|0)/2|0;g3(m,n)}break}case 5:{f[m>>2]=51796;f[m+4>>2]=d;f[m+8>>2]=e;f[m+12>>2]=g;f[m+16>>2]=a;f[m+20>>2]=k;f[m+24>>2]=t;f[m+28>>2]=c;f[m+32>>2]=r;f[m+36>>2]=p;if((Y(h,g)|0)>76799){f[n>>2]=0;f[n+4>>2]=(h|0)/2|0;oU(n,m,-1.0)}else{f[n>>2]=0;f[n+4>>2]=(h|0)/2|0;h3(m,n)}break}case 6:{f[m>>2]=51816;f[m+4>>2]=d;f[m+8>>2]=e;f[m+12>>2]=g;f[m+16>>2]=a;f[m+20>>2]=k;f[m+24>>2]=t;f[m+28>>2]=c;f[m+32>>2]=r;f[m+36>>2]=p;if((Y(h,g)|0)>76799){f[n>>2]=0;f[n+4>>2]=(h|0)/2|0;oU(n,m,-1.0)}else{f[n>>2]=0;f[n+4>>2]=(h|0)/2|0;i3(m,n)}break}default:{f[m>>2]=0;f[m+4>>2]=0;n=YG(m,41)|0;h=241749;g=n+41|0;do{b[n>>0]=b[h>>0]|0;n=n+1|0;h=h+1|0}while((n|0)<(g|0));SQ(-206,m,242354,241003,2431)}}if(!(f[o+4>>2]|0)){u=l;return}u=l;return}function f3(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;d=u;u=u+16|0;e=d;g=f[c>>2]|0;i=g<<1;j=f[c+4>>2]<<1;c=a+12|0;k=f[c>>2]|0;l=(k|0)/2|0;f[e>>2]=l;m=a+28|0;n=f[m>>2]|0;f[e+4>>2]=n-l;l=f[a+32>>2]|0;o=f[a+36>>2]|0;p=(f[a+16>>2]|0)+(Y(n,i)|0)|0;q=Y((g|0)/2|0,n)|0;r=(f[a+20>>2]|0)+q|0;s=(f[a+24>>2]|0)+q|0;if(((g|0)%2|0|0)==1){t=p;v=i;w=s;x=o;y=r;z=l;A=k;B=n;C=2}else{D=p;E=i;F=l;G=o;H=r;I=s;J=n;K=k}while(1){if((C|0)==2){C=0;D=t;E=v;F=z+1|0;G=x+1|0;H=y+(f[e+((z&1)<<2)>>2]|0)|0;I=w+(f[e+((x&1)<<2)>>2]|0)|0;J=B;K=A}if((E|0)>=(j|0))break;k=f[a+4>>2]|0;n=f[a+8>>2]|0;s=D+J|0;if((K|0)>1){r=k+(Y(n,E)|0)|0;o=k+(Y(n,E|1)|0)|0;n=0;while(1){k=(h[H+n>>0]|0)+-128|0;l=(h[I+n>>0]|0)+-128|0;i=(Y(l,1673527)|0)+524288|0;p=(Y(k,-409993)|0)+524288+(Y(l,-852492)|0)|0;l=(Y(k,2116026)|0)+524288|0;k=n<<1;g=(h[D+k>>0]|0)+-16|0;q=Y((g|0)>0?g:0,1220542)|0;g=q+i>>20;b[r+2>>0]=g>>>0<256?g:(g|0)>0?255:0;g=q+p>>20;b[r+1>>0]=g>>>0<256?g:(g|0)>0?255:0;g=q+l>>20;b[r>>0]=g>>>0<256?g:(g|0)>0?255:0;g=k|1;q=(h[D+g>>0]|0)+-16|0;L=Y((q|0)>0?q:0,1220542)|0;q=L+i>>20;b[r+5>>0]=q>>>0<256?q:(q|0)>0?255:0;q=L+p>>20;b[r+4>>0]=q>>>0<256?q:(q|0)>0?255:0;q=L+l>>20;b[r+3>>0]=q>>>0<256?q:(q|0)>0?255:0;q=(h[s+k>>0]|0)+-16|0;k=Y((q|0)>0?q:0,1220542)|0;q=k+i>>20;b[o+2>>0]=q>>>0<256?q:(q|0)>0?255:0;q=k+p>>20;b[o+1>>0]=q>>>0<256?q:(q|0)>0?255:0;q=k+l>>20;b[o>>0]=q>>>0<256?q:(q|0)>0?255:0;q=(h[s+g>>0]|0)+-16|0;g=Y((q|0)>0?q:0,1220542)|0;q=g+i>>20;b[o+5>>0]=q>>>0<256?q:(q|0)>0?255:0;q=g+p>>20;b[o+4>>0]=q>>>0<256?q:(q|0)>0?255:0;q=g+l>>20;b[o+3>>0]=q>>>0<256?q:(q|0)>0?255:0;n=n+1|0;M=f[c>>2]|0;if((n|0)>=((M|0)/2|0|0))break;else{r=r+6|0;o=o+6|0}}N=M;O=f[m>>2]|0}else{N=K;O=J}t=D+(O<<1)|0;v=E+2|0;w=I;x=G;y=H;z=F;A=N;B=O;C=2}u=d;return}function g3(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;d=u;u=u+16|0;e=d;g=f[c>>2]|0;i=g<<1;j=f[c+4>>2]<<1;c=a+12|0;k=f[c>>2]|0;l=(k|0)/2|0;f[e>>2]=l;m=a+28|0;n=f[m>>2]|0;f[e+4>>2]=n-l;l=f[a+32>>2]|0;o=f[a+36>>2]|0;p=(f[a+16>>2]|0)+(Y(n,i)|0)|0;q=Y((g|0)/2|0,n)|0;r=(f[a+20>>2]|0)+q|0;s=(f[a+24>>2]|0)+q|0;if(((g|0)%2|0|0)==1){t=p;v=i;w=s;x=o;y=r;z=l;A=k;B=n;C=2}else{D=p;E=i;F=l;G=o;H=r;I=s;J=n;K=k}while(1){if((C|0)==2){C=0;D=t;E=v;F=z+1|0;G=x+1|0;H=y+(f[e+((z&1)<<2)>>2]|0)|0;I=w+(f[e+((x&1)<<2)>>2]|0)|0;J=B;K=A}if((E|0)>=(j|0))break;k=f[a+4>>2]|0;n=f[a+8>>2]|0;s=D+J|0;if((K|0)>1){r=k+(Y(n,E)|0)|0;o=k+(Y(n,E|1)|0)|0;n=0;while(1){k=(h[H+n>>0]|0)+-128|0;l=(h[I+n>>0]|0)+-128|0;i=(Y(l,1673527)|0)+524288|0;p=(Y(k,-409993)|0)+524288+(Y(l,-852492)|0)|0;l=(Y(k,2116026)|0)+524288|0;k=n<<1;g=(h[D+k>>0]|0)+-16|0;q=Y((g|0)>0?g:0,1220542)|0;g=q+i>>20;b[r>>0]=g>>>0<256?g:(g|0)>0?255:0;g=q+p>>20;b[r+1>>0]=g>>>0<256?g:(g|0)>0?255:0;g=q+l>>20;b[r+2>>0]=g>>>0<256?g:(g|0)>0?255:0;g=k|1;q=(h[D+g>>0]|0)+-16|0;L=Y((q|0)>0?q:0,1220542)|0;q=L+i>>20;b[r+3>>0]=q>>>0<256?q:(q|0)>0?255:0;q=L+p>>20;b[r+4>>0]=q>>>0<256?q:(q|0)>0?255:0;q=L+l>>20;b[r+5>>0]=q>>>0<256?q:(q|0)>0?255:0;q=(h[s+k>>0]|0)+-16|0;k=Y((q|0)>0?q:0,1220542)|0;q=k+i>>20;b[o>>0]=q>>>0<256?q:(q|0)>0?255:0;q=k+p>>20;b[o+1>>0]=q>>>0<256?q:(q|0)>0?255:0;q=k+l>>20;b[o+2>>0]=q>>>0<256?q:(q|0)>0?255:0;q=(h[s+g>>0]|0)+-16|0;g=Y((q|0)>0?q:0,1220542)|0;q=g+i>>20;b[o+3>>0]=q>>>0<256?q:(q|0)>0?255:0;q=g+p>>20;b[o+4>>0]=q>>>0<256?q:(q|0)>0?255:0;q=g+l>>20;b[o+5>>0]=q>>>0<256?q:(q|0)>0?255:0;n=n+1|0;M=f[c>>2]|0;if((n|0)>=((M|0)/2|0|0))break;else{r=r+6|0;o=o+6|0}}N=M;O=f[m>>2]|0}else{N=K;O=J}t=D+(O<<1)|0;v=E+2|0;w=I;x=G;y=H;z=F;A=N;B=O;C=2}u=d;return}function h3(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;d=u;u=u+16|0;e=d;g=f[c>>2]|0;i=g<<1;j=f[c+4>>2]<<1;c=a+12|0;k=f[c>>2]|0;l=(k|0)/2|0;f[e>>2]=l;m=a+28|0;n=f[m>>2]|0;f[e+4>>2]=n-l;l=f[a+32>>2]|0;o=f[a+36>>2]|0;p=(f[a+16>>2]|0)+(Y(n,i)|0)|0;q=Y((g|0)/2|0,n)|0;r=(f[a+20>>2]|0)+q|0;s=(f[a+24>>2]|0)+q|0;if(((g|0)%2|0|0)==1){t=p;v=i;w=s;x=o;y=r;z=l;A=k;B=n;C=2}else{D=p;E=i;F=l;G=o;H=r;I=s;J=n;K=k}while(1){if((C|0)==2){C=0;D=t;E=v;F=z+1|0;G=x+1|0;H=y+(f[e+((z&1)<<2)>>2]|0)|0;I=w+(f[e+((x&1)<<2)>>2]|0)|0;J=B;K=A}if((E|0)>=(j|0))break;k=f[a+4>>2]|0;n=f[a+8>>2]|0;s=D+J|0;if((K|0)>1){r=k+(Y(n,E)|0)|0;o=k+(Y(n,E|1)|0)|0;n=0;while(1){k=(h[H+n>>0]|0)+-128|0;l=(h[I+n>>0]|0)+-128|0;i=(Y(l,1673527)|0)+524288|0;p=(Y(k,-409993)|0)+524288+(Y(l,-852492)|0)|0;l=(Y(k,2116026)|0)+524288|0;k=n<<1;g=(h[D+k>>0]|0)+-16|0;q=Y((g|0)>0?g:0,1220542)|0;g=q+i>>20;b[r+2>>0]=g>>>0<256?g:(g|0)>0?255:0;g=q+p>>20;b[r+1>>0]=g>>>0<256?g:(g|0)>0?255:0;g=q+l>>20;b[r>>0]=g>>>0<256?g:(g|0)>0?255:0;b[r+3>>0]=-1;g=k|1;q=(h[D+g>>0]|0)+-16|0;L=Y((q|0)>0?q:0,1220542)|0;q=L+i>>20;b[r+6>>0]=q>>>0<256?q:(q|0)>0?255:0;q=L+p>>20;b[r+5>>0]=q>>>0<256?q:(q|0)>0?255:0;q=L+l>>20;b[r+4>>0]=q>>>0<256?q:(q|0)>0?255:0;b[r+7>>0]=-1;q=(h[s+k>>0]|0)+-16|0;k=Y((q|0)>0?q:0,1220542)|0;q=k+i>>20;b[o+2>>0]=q>>>0<256?q:(q|0)>0?255:0;q=k+p>>20;b[o+1>>0]=q>>>0<256?q:(q|0)>0?255:0;q=k+l>>20;b[o>>0]=q>>>0<256?q:(q|0)>0?255:0;b[o+3>>0]=-1;q=(h[s+g>>0]|0)+-16|0;g=Y((q|0)>0?q:0,1220542)|0;q=g+i>>20;b[o+6>>0]=q>>>0<256?q:(q|0)>0?255:0;q=g+p>>20;b[o+5>>0]=q>>>0<256?q:(q|0)>0?255:0;q=g+l>>20;b[o+4>>0]=q>>>0<256?q:(q|0)>0?255:0;b[o+7>>0]=-1;n=n+1|0;M=f[c>>2]|0;if((n|0)>=((M|0)/2|0|0))break;else{r=r+8|0;o=o+8|0}}N=M;O=f[m>>2]|0}else{N=K;O=J}t=D+(O<<1)|0;v=E+2|0;w=I;x=G;y=H;z=F;A=N;B=O;C=2}u=d;return}function i3(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;d=u;u=u+16|0;e=d;g=f[c>>2]|0;i=g<<1;j=f[c+4>>2]<<1;c=a+12|0;k=f[c>>2]|0;l=(k|0)/2|0;f[e>>2]=l;m=a+28|0;n=f[m>>2]|0;f[e+4>>2]=n-l;l=f[a+32>>2]|0;o=f[a+36>>2]|0;p=(f[a+16>>2]|0)+(Y(n,i)|0)|0;q=Y((g|0)/2|0,n)|0;r=(f[a+20>>2]|0)+q|0;s=(f[a+24>>2]|0)+q|0;if(((g|0)%2|0|0)==1){t=p;v=i;w=s;x=o;y=r;z=l;A=k;B=n;C=2}else{D=p;E=i;F=l;G=o;H=r;I=s;J=n;K=k}while(1){if((C|0)==2){C=0;D=t;E=v;F=z+1|0;G=x+1|0;H=y+(f[e+((z&1)<<2)>>2]|0)|0;I=w+(f[e+((x&1)<<2)>>2]|0)|0;J=B;K=A}if((E|0)>=(j|0))break;k=f[a+4>>2]|0;n=f[a+8>>2]|0;s=D+J|0;if((K|0)>1){r=k+(Y(n,E)|0)|0;o=k+(Y(n,E|1)|0)|0;n=0;while(1){k=(h[H+n>>0]|0)+-128|0;l=(h[I+n>>0]|0)+-128|0;i=(Y(l,1673527)|0)+524288|0;p=(Y(k,-409993)|0)+524288+(Y(l,-852492)|0)|0;l=(Y(k,2116026)|0)+524288|0;k=n<<1;g=(h[D+k>>0]|0)+-16|0;q=Y((g|0)>0?g:0,1220542)|0;g=q+i>>20;b[r>>0]=g>>>0<256?g:(g|0)>0?255:0;g=q+p>>20;b[r+1>>0]=g>>>0<256?g:(g|0)>0?255:0;g=q+l>>20;b[r+2>>0]=g>>>0<256?g:(g|0)>0?255:0;b[r+3>>0]=-1;g=k|1;q=(h[D+g>>0]|0)+-16|0;L=Y((q|0)>0?q:0,1220542)|0;q=L+i>>20;b[r+4>>0]=q>>>0<256?q:(q|0)>0?255:0;q=L+p>>20;b[r+5>>0]=q>>>0<256?q:(q|0)>0?255:0;q=L+l>>20;b[r+6>>0]=q>>>0<256?q:(q|0)>0?255:0;b[r+7>>0]=-1;q=(h[s+k>>0]|0)+-16|0;k=Y((q|0)>0?q:0,1220542)|0;q=k+i>>20;b[o>>0]=q>>>0<256?q:(q|0)>0?255:0;q=k+p>>20;b[o+1>>0]=q>>>0<256?q:(q|0)>0?255:0;q=k+l>>20;b[o+2>>0]=q>>>0<256?q:(q|0)>0?255:0;b[o+3>>0]=-1;q=(h[s+g>>0]|0)+-16|0;g=Y((q|0)>0?q:0,1220542)|0;q=g+i>>20;b[o+4>>0]=q>>>0<256?q:(q|0)>0?255:0;q=g+p>>20;b[o+5>>0]=q>>>0<256?q:(q|0)>0?255:0;q=g+l>>20;b[o+6>>0]=q>>>0<256?q:(q|0)>0?255:0;b[o+7>>0]=-1;n=n+1|0;M=f[c>>2]|0;if((n|0)>=((M|0)/2|0|0))break;else{r=r+8|0;o=o+8|0}}N=M;O=f[m>>2]|0}else{N=K;O=J}t=D+(O<<1)|0;v=E+2|0;w=I;x=G;y=H;z=F;A=N;B=O;C=2}u=d;return}function j3(a){a=a|0;Emc(a);return}function k3(a){a=a|0;Emc(a);return}function l3(a){a=a|0;Emc(a);return}function m3(a){a=a|0;Emc(a);return}function n3(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0;l=u;u=u+64|0;m=l+48|0;n=l;o=l+8|0;zT(n,51828);p=d+(Y(h,e)|0)|0;f[o>>2]=51856;f[o+4>>2]=a;f[o+8>>2]=c;f[o+12>>2]=d;f[o+16>>2]=p;f[o+20>>2]=e;f[o+24>>2]=g;f[o+28>>2]=h;f[o+32>>2]=i;b[o+36>>0]=j&1;b[o+37>>0]=(k|0)==2&1;b[o+38>>0]=0;if((Y(h,g)|0)>76799){f[m>>2]=0;f[m+4>>2]=(h|0)/2|0;oU(m,o,-1.0)}else{f[m>>2]=0;f[m+4>>2]=(h|0)/2|0;o3(o,m)}if(!(f[n+4>>2]|0)){u=l;return}u=l;return}function o3(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;d=f[a+24>>2]|0;e=f[a+32>>2]|0;g=f[c>>2]|0;i=c+4|0;c=f[i>>2]|0;if((g|0)>=(c|0))return;j=a+4|0;k=a+8|0;l=a+36|0;m=a+12|0;n=a+20|0;o=a+38|0;p=a+16|0;q=(d|0)/2|0;r=(f[a+28>>2]|0)/2|0;s=a+37|0;a=Y(e,d)|0;d=(a|0)>0;t=e<<1;u=g;g=c;while(1){c=f[j>>2]|0;v=f[k>>2]|0;w=u<<1;x=c+(Y(v,w)|0)|0;y=x;z=x+1|0;A=x+2|0;x=c+(Y(v,w|1)|0)|0;v=x;c=x+1|0;B=x+2|0;x=(b[l>>0]|0)==0;C=f[n>>2]|0;D=(f[m>>2]|0)+(Y(C,w)|0)|0;w=f[p>>2]|0;if(!(b[o>>0]|0)){E=u+r|0;F=w+(Y(C,(u|0)/2|0)|0)+(Y((u|0)%2|0,q)|0)|0;G=w+(Y(C,(E|0)/2|0)|0)+(Y((E|0)%2|0,q)|0)|0}else{E=w+(Y(C,u)|0)|0;F=E;G=E+1|0}E=F;C=G;w=(b[s>>0]|0)==0;if(d){H=x?A:y;I=x?y:A;A=x?B:v;y=x?v:B;B=w?E:C;v=w?C:E;E=0;C=0;while(1){w=h[H+E>>0]|0;x=h[z+E>>0]|0;J=h[I+E>>0]|0;K=E+e|0;L=(w*269484|0)+17301504+(x*528482|0)+(J*102760|0)|0;M=((h[H+K>>0]|0)*269484|0)+17301504+((h[z+K>>0]|0)*528482|0)+((h[I+K>>0]|0)*102760|0)|0;N=((h[A+E>>0]|0)*269484|0)+17301504+((h[c+E>>0]|0)*528482|0)+((h[y+E>>0]|0)*102760|0)|0;O=((h[A+K>>0]|0)*269484|0)+17301504+((h[c+K>>0]|0)*528482|0)+((h[y+K>>0]|0)*102760|0)|0;K=L>>>20;P=C<<1;b[D+P>>0]=L>>>0<268435456?K:K|0?255:0;K=M>>>20;L=P|1;b[D+L>>0]=M>>>0<268435456?K:K|0?255:0;K=N>>>20;b[D+((f[n>>2]|0)+P)>>0]=N>>>0<268435456?K:K|0?255:0;K=O>>>20;b[D+(L+(f[n>>2]|0))>>0]=O>>>0<268435456?K:K|0?255:0;K=(Y(w,-155188)|0)+134742016+(Y(x,-305135)|0)+(J*460324|0)|0;O=(w*460324|0)+134742016+(Y(x,-385875)|0)+(Y(J,-74448)|0)|0;J=K>>20;K=O>>20;O=(b[o>>0]|0)==0?C:P;b[B+O>>0]=J>>>0<256?J:(J|0)>0?255:0;b[v+O>>0]=K>>>0<256?K:(K|0)>0?255:0;E=E+t|0;if((E|0)>=(a|0))break;else C=C+1|0}Q=f[i>>2]|0}else Q=g;u=u+1|0;if((u|0)>=(Q|0))break;else g=Q}return}function p3(a){a=a|0;Emc(a);return}function q3(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0;m=u;u=u+48|0;n=m+16|0;o=m+8|0;p=m;zT(p,51868);do switch((j?200:0)+(i*1e3|0)+(k*10|0)+l|0){case 3e3:{f[n>>2]=51896;f[n+4>>2]=d;f[n+8>>2]=e;f[n+12>>2]=a;f[n+16>>2]=c;f[n+20>>2]=g;if((Y(h,g)|0)>76799){f[o>>2]=0;f[o+4>>2]=h;oU(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=h;r3(n,o)}break}case 3001:{f[n>>2]=51916;f[n+4>>2]=d;f[n+8>>2]=e;f[n+12>>2]=a;f[n+16>>2]=c;f[n+20>>2]=g;if((Y(h,g)|0)>76799){f[o>>2]=0;f[o+4>>2]=h;oU(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=h;s3(n,o)}break}case 3010:{f[n>>2]=51936;f[n+4>>2]=d;f[n+8>>2]=e;f[n+12>>2]=a;f[n+16>>2]=c;f[n+20>>2]=g;if((Y(h,g)|0)>76799){f[o>>2]=0;f[o+4>>2]=h;oU(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=h;t3(n,o)}break}case 3200:{f[n>>2]=51956;f[n+4>>2]=d;f[n+8>>2]=e;f[n+12>>2]=a;f[n+16>>2]=c;f[n+20>>2]=g;if((Y(h,g)|0)>76799){f[o>>2]=0;f[o+4>>2]=h;oU(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=h;u3(n,o)}break}case 3201:{f[n>>2]=51976;f[n+4>>2]=d;f[n+8>>2]=e;f[n+12>>2]=a;f[n+16>>2]=c;f[n+20>>2]=g;if((Y(h,g)|0)>76799){f[o>>2]=0;f[o+4>>2]=h;oU(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=h;v3(n,o)}break}case 3210:{f[n>>2]=51996;f[n+4>>2]=d;f[n+8>>2]=e;f[n+12>>2]=a;f[n+16>>2]=c;f[n+20>>2]=g;if((Y(h,g)|0)>76799){f[o>>2]=0;f[o+4>>2]=h;oU(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=h;w3(n,o)}break}case 4e3:{f[n>>2]=52016;f[n+4>>2]=d;f[n+8>>2]=e;f[n+12>>2]=a;f[n+16>>2]=c;f[n+20>>2]=g;if((Y(h,g)|0)>76799){f[o>>2]=0;f[o+4>>2]=h;oU(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=h;x3(n,o)}break}case 4001:{f[n>>2]=52036;f[n+4>>2]=d;f[n+8>>2]=e;f[n+12>>2]=a;f[n+16>>2]=c;f[n+20>>2]=g;if((Y(h,g)|0)>76799){f[o>>2]=0;f[o+4>>2]=h;oU(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=h;y3(n,o)}break}case 4010:{f[n>>2]=52056;f[n+4>>2]=d;f[n+8>>2]=e;f[n+12>>2]=a;f[n+16>>2]=c;f[n+20>>2]=g;if((Y(h,g)|0)>76799){f[o>>2]=0;f[o+4>>2]=h;oU(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=h;z3(n,o)}break}case 4200:{f[n>>2]=52076;f[n+4>>2]=d;f[n+8>>2]=e;f[n+12>>2]=a;f[n+16>>2]=c;f[n+20>>2]=g;if((Y(h,g)|0)>76799){f[o>>2]=0;f[o+4>>2]=h;oU(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=h;A3(n,o)}break}case 4201:{f[n>>2]=52096;f[n+4>>2]=d;f[n+8>>2]=e;f[n+12>>2]=a;f[n+16>>2]=c;f[n+20>>2]=g;if((Y(h,g)|0)>76799){f[o>>2]=0;f[o+4>>2]=h;oU(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=h;B3(n,o)}break}case 4210:{f[n>>2]=52116;f[n+4>>2]=d;f[n+8>>2]=e;f[n+12>>2]=a;f[n+16>>2]=c;f[n+20>>2]=g;if((Y(h,g)|0)>76799){f[o>>2]=0;f[o+4>>2]=h;oU(o,n,-1.0)}else{f[o>>2]=0;f[o+4>>2]=h;C3(n,o)}break}default:{f[n>>2]=0;f[n+4>>2]=0;q=YG(n,41)|0;r=241749;s=q+41|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));SQ(-206,n,242754,241003,2481)}}while(0);if(!(f[p+4>>2]|0)){u=m;return}u=m;return}function r3(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=f[c>>2]|0;e=f[c+4>>2]|0;c=a+16|0;if((d|0)>=(e|0))return;g=f[c>>2]|0;i=(f[a+12>>2]|0)+(Y(g,d)|0)|0;j=a+4|0;k=a+8|0;l=a+20|0;a=d;d=i;i=g;g=f[l>>2]|0;while(1){if((g|0)>0){m=(f[j>>2]|0)+(Y(f[k>>2]|0,a)|0)|0;n=0;while(1){o=(h[d+(n|1)>>0]|0)+-128|0;p=(h[d+(n|3)>>0]|0)+-128|0;q=(Y(p,1673527)|0)+524288|0;r=(Y(o,-409993)|0)+524288+(Y(p,-852492)|0)|0;p=(Y(o,2116026)|0)+524288|0;o=(h[d+n>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+2>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+1>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m>>0]=o>>>0<256?o:(o|0)>0?255:0;o=(h[d+(n|2)>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+5>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+4>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+3>>0]=o>>>0<256?o:(o|0)>0?255:0;n=n+4|0;t=f[l>>2]|0;if((n|0)>=(t<<1|0))break;else m=m+6|0}u=t;v=f[c>>2]|0}else{u=g;v=i}a=a+1|0;if((a|0)==(e|0))break;else{d=d+v|0;i=v;g=u}}return}function s3(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=f[c>>2]|0;e=f[c+4>>2]|0;c=a+16|0;if((d|0)>=(e|0))return;g=f[c>>2]|0;i=(f[a+12>>2]|0)+(Y(g,d)|0)|0;j=a+4|0;k=a+8|0;l=a+20|0;a=d;d=i;i=g;g=f[l>>2]|0;while(1){if((g|0)>0){m=(f[j>>2]|0)+(Y(f[k>>2]|0,a)|0)|0;n=0;while(1){o=(h[d+n>>0]|0)+-128|0;p=(h[d+(n|2)>>0]|0)+-128|0;q=(Y(p,1673527)|0)+524288|0;r=(Y(o,-409993)|0)+524288+(Y(p,-852492)|0)|0;p=(Y(o,2116026)|0)+524288|0;o=(h[d+(n|1)>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+2>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+1>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m>>0]=o>>>0<256?o:(o|0)>0?255:0;o=(h[d+(n|3)>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+5>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+4>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+3>>0]=o>>>0<256?o:(o|0)>0?255:0;n=n+4|0;t=f[l>>2]|0;if((n|0)>=(t<<1|0))break;else m=m+6|0}u=t;v=f[c>>2]|0}else{u=g;v=i}a=a+1|0;if((a|0)==(e|0))break;else{d=d+v|0;i=v;g=u}}return}function t3(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=f[c>>2]|0;e=f[c+4>>2]|0;c=a+16|0;if((d|0)>=(e|0))return;g=f[c>>2]|0;i=(f[a+12>>2]|0)+(Y(g,d)|0)|0;j=a+4|0;k=a+8|0;l=a+20|0;a=d;d=i;i=g;g=f[l>>2]|0;while(1){if((g|0)>0){m=(f[j>>2]|0)+(Y(f[k>>2]|0,a)|0)|0;n=0;while(1){o=(h[d+(n|3)>>0]|0)+-128|0;p=(h[d+(n|1)>>0]|0)+-128|0;q=(Y(p,1673527)|0)+524288|0;r=(Y(o,-409993)|0)+524288+(Y(p,-852492)|0)|0;p=(Y(o,2116026)|0)+524288|0;o=(h[d+n>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+2>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+1>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m>>0]=o>>>0<256?o:(o|0)>0?255:0;o=(h[d+(n|2)>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+5>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+4>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+3>>0]=o>>>0<256?o:(o|0)>0?255:0;n=n+4|0;t=f[l>>2]|0;if((n|0)>=(t<<1|0))break;else m=m+6|0}u=t;v=f[c>>2]|0}else{u=g;v=i}a=a+1|0;if((a|0)==(e|0))break;else{d=d+v|0;i=v;g=u}}return}function u3(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=f[c>>2]|0;e=f[c+4>>2]|0;c=a+16|0;if((d|0)>=(e|0))return;g=f[c>>2]|0;i=(f[a+12>>2]|0)+(Y(g,d)|0)|0;j=a+4|0;k=a+8|0;l=a+20|0;a=d;d=i;i=g;g=f[l>>2]|0;while(1){if((g|0)>0){m=(f[j>>2]|0)+(Y(f[k>>2]|0,a)|0)|0;n=0;while(1){o=(h[d+(n|1)>>0]|0)+-128|0;p=(h[d+(n|3)>>0]|0)+-128|0;q=(Y(p,1673527)|0)+524288|0;r=(Y(o,-409993)|0)+524288+(Y(p,-852492)|0)|0;p=(Y(o,2116026)|0)+524288|0;o=(h[d+n>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+1>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+2>>0]=o>>>0<256?o:(o|0)>0?255:0;o=(h[d+(n|2)>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+3>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+4>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+5>>0]=o>>>0<256?o:(o|0)>0?255:0;n=n+4|0;t=f[l>>2]|0;if((n|0)>=(t<<1|0))break;else m=m+6|0}u=t;v=f[c>>2]|0}else{u=g;v=i}a=a+1|0;if((a|0)==(e|0))break;else{d=d+v|0;i=v;g=u}}return}function v3(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=f[c>>2]|0;e=f[c+4>>2]|0;c=a+16|0;if((d|0)>=(e|0))return;g=f[c>>2]|0;i=(f[a+12>>2]|0)+(Y(g,d)|0)|0;j=a+4|0;k=a+8|0;l=a+20|0;a=d;d=i;i=g;g=f[l>>2]|0;while(1){if((g|0)>0){m=(f[j>>2]|0)+(Y(f[k>>2]|0,a)|0)|0;n=0;while(1){o=(h[d+n>>0]|0)+-128|0;p=(h[d+(n|2)>>0]|0)+-128|0;q=(Y(p,1673527)|0)+524288|0;r=(Y(o,-409993)|0)+524288+(Y(p,-852492)|0)|0;p=(Y(o,2116026)|0)+524288|0;o=(h[d+(n|1)>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+1>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+2>>0]=o>>>0<256?o:(o|0)>0?255:0;o=(h[d+(n|3)>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+3>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+4>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+5>>0]=o>>>0<256?o:(o|0)>0?255:0;n=n+4|0;t=f[l>>2]|0;if((n|0)>=(t<<1|0))break;else m=m+6|0}u=t;v=f[c>>2]|0}else{u=g;v=i}a=a+1|0;if((a|0)==(e|0))break;else{d=d+v|0;i=v;g=u}}return}function w3(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=f[c>>2]|0;e=f[c+4>>2]|0;c=a+16|0;if((d|0)>=(e|0))return;g=f[c>>2]|0;i=(f[a+12>>2]|0)+(Y(g,d)|0)|0;j=a+4|0;k=a+8|0;l=a+20|0;a=d;d=i;i=g;g=f[l>>2]|0;while(1){if((g|0)>0){m=(f[j>>2]|0)+(Y(f[k>>2]|0,a)|0)|0;n=0;while(1){o=(h[d+(n|3)>>0]|0)+-128|0;p=(h[d+(n|1)>>0]|0)+-128|0;q=(Y(p,1673527)|0)+524288|0;r=(Y(o,-409993)|0)+524288+(Y(p,-852492)|0)|0;p=(Y(o,2116026)|0)+524288|0;o=(h[d+n>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+1>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+2>>0]=o>>>0<256?o:(o|0)>0?255:0;o=(h[d+(n|2)>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+3>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+4>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+5>>0]=o>>>0<256?o:(o|0)>0?255:0;n=n+4|0;t=f[l>>2]|0;if((n|0)>=(t<<1|0))break;else m=m+6|0}u=t;v=f[c>>2]|0}else{u=g;v=i}a=a+1|0;if((a|0)==(e|0))break;else{d=d+v|0;i=v;g=u}}return}function x3(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=f[c>>2]|0;e=f[c+4>>2]|0;c=a+16|0;if((d|0)>=(e|0))return;g=f[c>>2]|0;i=(f[a+12>>2]|0)+(Y(g,d)|0)|0;j=a+4|0;k=a+8|0;l=a+20|0;a=d;d=i;i=g;g=f[l>>2]|0;while(1){if((g|0)>0){m=(f[j>>2]|0)+(Y(f[k>>2]|0,a)|0)|0;n=0;while(1){o=(h[d+(n|1)>>0]|0)+-128|0;p=(h[d+(n|3)>>0]|0)+-128|0;q=(Y(p,1673527)|0)+524288|0;r=(Y(o,-409993)|0)+524288+(Y(p,-852492)|0)|0;p=(Y(o,2116026)|0)+524288|0;o=(h[d+n>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+2>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+1>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m>>0]=o>>>0<256?o:(o|0)>0?255:0;b[m+3>>0]=-1;o=(h[d+(n|2)>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+6>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+5>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+4>>0]=o>>>0<256?o:(o|0)>0?255:0;b[m+7>>0]=-1;n=n+4|0;t=f[l>>2]|0;if((n|0)>=(t<<1|0))break;else m=m+8|0}u=t;v=f[c>>2]|0}else{u=g;v=i}a=a+1|0;if((a|0)==(e|0))break;else{d=d+v|0;i=v;g=u}}return}function y3(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=f[c>>2]|0;e=f[c+4>>2]|0;c=a+16|0;if((d|0)>=(e|0))return;g=f[c>>2]|0;i=(f[a+12>>2]|0)+(Y(g,d)|0)|0;j=a+4|0;k=a+8|0;l=a+20|0;a=d;d=i;i=g;g=f[l>>2]|0;while(1){if((g|0)>0){m=(f[j>>2]|0)+(Y(f[k>>2]|0,a)|0)|0;n=0;while(1){o=(h[d+n>>0]|0)+-128|0;p=(h[d+(n|2)>>0]|0)+-128|0;q=(Y(p,1673527)|0)+524288|0;r=(Y(o,-409993)|0)+524288+(Y(p,-852492)|0)|0;p=(Y(o,2116026)|0)+524288|0;o=(h[d+(n|1)>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+2>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+1>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m>>0]=o>>>0<256?o:(o|0)>0?255:0;b[m+3>>0]=-1;o=(h[d+(n|3)>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+6>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+5>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+4>>0]=o>>>0<256?o:(o|0)>0?255:0;b[m+7>>0]=-1;n=n+4|0;t=f[l>>2]|0;if((n|0)>=(t<<1|0))break;else m=m+8|0}u=t;v=f[c>>2]|0}else{u=g;v=i}a=a+1|0;if((a|0)==(e|0))break;else{d=d+v|0;i=v;g=u}}return}function z3(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=f[c>>2]|0;e=f[c+4>>2]|0;c=a+16|0;if((d|0)>=(e|0))return;g=f[c>>2]|0;i=(f[a+12>>2]|0)+(Y(g,d)|0)|0;j=a+4|0;k=a+8|0;l=a+20|0;a=d;d=i;i=g;g=f[l>>2]|0;while(1){if((g|0)>0){m=(f[j>>2]|0)+(Y(f[k>>2]|0,a)|0)|0;n=0;while(1){o=(h[d+(n|3)>>0]|0)+-128|0;p=(h[d+(n|1)>>0]|0)+-128|0;q=(Y(p,1673527)|0)+524288|0;r=(Y(o,-409993)|0)+524288+(Y(p,-852492)|0)|0;p=(Y(o,2116026)|0)+524288|0;o=(h[d+n>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+2>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+1>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m>>0]=o>>>0<256?o:(o|0)>0?255:0;b[m+3>>0]=-1;o=(h[d+(n|2)>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+6>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+5>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+4>>0]=o>>>0<256?o:(o|0)>0?255:0;b[m+7>>0]=-1;n=n+4|0;t=f[l>>2]|0;if((n|0)>=(t<<1|0))break;else m=m+8|0}u=t;v=f[c>>2]|0}else{u=g;v=i}a=a+1|0;if((a|0)==(e|0))break;else{d=d+v|0;i=v;g=u}}return}function A3(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=f[c>>2]|0;e=f[c+4>>2]|0;c=a+16|0;if((d|0)>=(e|0))return;g=f[c>>2]|0;i=(f[a+12>>2]|0)+(Y(g,d)|0)|0;j=a+4|0;k=a+8|0;l=a+20|0;a=d;d=i;i=g;g=f[l>>2]|0;while(1){if((g|0)>0){m=(f[j>>2]|0)+(Y(f[k>>2]|0,a)|0)|0;n=0;while(1){o=(h[d+(n|1)>>0]|0)+-128|0;p=(h[d+(n|3)>>0]|0)+-128|0;q=(Y(p,1673527)|0)+524288|0;r=(Y(o,-409993)|0)+524288+(Y(p,-852492)|0)|0;p=(Y(o,2116026)|0)+524288|0;o=(h[d+n>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+1>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+2>>0]=o>>>0<256?o:(o|0)>0?255:0;b[m+3>>0]=-1;o=(h[d+(n|2)>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+4>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+5>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+6>>0]=o>>>0<256?o:(o|0)>0?255:0;b[m+7>>0]=-1;n=n+4|0;t=f[l>>2]|0;if((n|0)>=(t<<1|0))break;else m=m+8|0}u=t;v=f[c>>2]|0}else{u=g;v=i}a=a+1|0;if((a|0)==(e|0))break;else{d=d+v|0;i=v;g=u}}return}function B3(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=f[c>>2]|0;e=f[c+4>>2]|0;c=a+16|0;if((d|0)>=(e|0))return;g=f[c>>2]|0;i=(f[a+12>>2]|0)+(Y(g,d)|0)|0;j=a+4|0;k=a+8|0;l=a+20|0;a=d;d=i;i=g;g=f[l>>2]|0;while(1){if((g|0)>0){m=(f[j>>2]|0)+(Y(f[k>>2]|0,a)|0)|0;n=0;while(1){o=(h[d+n>>0]|0)+-128|0;p=(h[d+(n|2)>>0]|0)+-128|0;q=(Y(p,1673527)|0)+524288|0;r=(Y(o,-409993)|0)+524288+(Y(p,-852492)|0)|0;p=(Y(o,2116026)|0)+524288|0;o=(h[d+(n|1)>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+1>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+2>>0]=o>>>0<256?o:(o|0)>0?255:0;b[m+3>>0]=-1;o=(h[d+(n|3)>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+4>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+5>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+6>>0]=o>>>0<256?o:(o|0)>0?255:0;b[m+7>>0]=-1;n=n+4|0;t=f[l>>2]|0;if((n|0)>=(t<<1|0))break;else m=m+8|0}u=t;v=f[c>>2]|0}else{u=g;v=i}a=a+1|0;if((a|0)==(e|0))break;else{d=d+v|0;i=v;g=u}}return}function C3(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=f[c>>2]|0;e=f[c+4>>2]|0;c=a+16|0;if((d|0)>=(e|0))return;g=f[c>>2]|0;i=(f[a+12>>2]|0)+(Y(g,d)|0)|0;j=a+4|0;k=a+8|0;l=a+20|0;a=d;d=i;i=g;g=f[l>>2]|0;while(1){if((g|0)>0){m=(f[j>>2]|0)+(Y(f[k>>2]|0,a)|0)|0;n=0;while(1){o=(h[d+(n|3)>>0]|0)+-128|0;p=(h[d+(n|1)>>0]|0)+-128|0;q=(Y(p,1673527)|0)+524288|0;r=(Y(o,-409993)|0)+524288+(Y(p,-852492)|0)|0;p=(Y(o,2116026)|0)+524288|0;o=(h[d+n>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+1>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+2>>0]=o>>>0<256?o:(o|0)>0?255:0;b[m+3>>0]=-1;o=(h[d+(n|2)>>0]|0)+-16|0;s=Y((o|0)>0?o:0,1220542)|0;o=s+q>>20;b[m+4>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+r>>20;b[m+5>>0]=o>>>0<256?o:(o|0)>0?255:0;o=s+p>>20;b[m+6>>0]=o>>>0<256?o:(o|0)>0?255:0;b[m+7>>0]=-1;n=n+4|0;t=f[l>>2]|0;if((n|0)>=(t<<1|0))break;else m=m+8|0}u=t;v=f[c>>2]|0}else{u=g;v=i}a=a+1|0;if((a|0)==(e|0))break;else{d=d+v|0;i=v;g=u}}return}function D3(a){a=a|0;Emc(a);return}function E3(a){a=a|0;Emc(a);return}function F3(a){a=a|0;Emc(a);return}function G3(a){a=a|0;Emc(a);return}function H3(a){a=a|0;Emc(a);return}function I3(a){a=a|0;Emc(a);return}function J3(a){a=a|0;Emc(a);return}function K3(a){a=a|0;Emc(a);return}function L3(a){a=a|0;Emc(a);return}function M3(a){a=a|0;Emc(a);return}function N3(a){a=a|0;Emc(a);return}function O3(a){a=a|0;Emc(a);return}function P3(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+128|0;g=e;Q3(g,a,b,3);w2(f[g+16>>2]|0,f[g+48>>2]|0,f[g+72>>2]|0,f[g+104>>2]|0,f[g+12>>2]|0,f[g+8>>2]|0,f[g+112>>2]|0,f[g+116>>2]|0,c,d);R3(g);u=e;return}function Q3(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;g=u;u=u+64|0;h=g+8|0;i=g;f[a>>2]=1124007936;j=a+4|0;k=a+8|0;l=a+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;o=a+48|0;p=a+44|0;f[p>>2]=o;f[o>>2]=0;f[a+52>>2]=0;o=a+56|0;f[o>>2]=1124007936;q=a+60|0;r=a+64|0;s=a+96|0;m=q;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[s>>2]=r;t=a+104|0;v=a+100|0;f[v>>2]=t;f[t>>2]=0;f[a+108>>2]=0;t=a+120|0;f[t>>2]=0;w=a+124|0;f[w>>2]=0;if(DD(c)|0){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,13)|0;x=288769;n=m+13|0;do{b[m>>0]=b[x>>0]|0;m=m+1|0;x=x+1|0}while((m|0)<(n|0));SQ(-215,h,288783,285307,250)}x=oD(c,-1)|0;m=x>>>3;n=(m&511)+1|0;f[a+116>>2]=n;y=x&7;z=a+112|0;f[z>>2]=y;if((m&510|0)!=2)JY(n,52128);if((e|0)!=3)JY(e,52156);switch(x&7){case 0:case 2:case 5:break;default:GY(y,52184)}y=c+4|0;x=d+4|0;if((f[y>>2]|0)!=(f[x>>2]|0)){do if((pD(c)|0)==65536){e=f[y>>2]|0;f[h>>2]=f[e>>2];n=h+4|0;m=e+4|0;f[n>>2]=f[m>>2];A=h+8|0;f[A>>2]=f[e+8>>2];f[h+12>>2]=f[e+12>>2];f[h+16>>2]=f[e+16>>2];f[h+20>>2]=f[e+20>>2];f[h+24>>2]=f[e+24>>2];f[h+28>>2]=f[e+28>>2];f[h+32>>2]=f[e+32>>2];B=f[e+36>>2]|0;f[h+36>>2]=B;f[h+40>>2]=A;A=h+48|0;C=h+44|0;f[C>>2]=A;f[A>>2]=0;f[h+52>>2]=0;if(B|0){A=B+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[m>>2]|0)<3){m=f[e+44>>2]|0;A=f[C>>2]|0;f[A>>2]=f[m>>2];f[A+4>>2]=f[m+4>>2];break}else{f[n>>2]=0;kP(h,e);break}}else lD(h,c,-1);while(0);y=h+36|0;e=f[y>>2]|0;if((a|0)==(h|0))D=e;else{if(e|0){n=e+12|0;f[n>>2]=(f[n>>2]|0)+1}n=a+36|0;e=f[n>>2]|0;if(e|0?(m=e+12|0,e=f[m>>2]|0,f[m>>2]=e+-1,(e|0)==1):0)lP(a);f[n>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[j>>2]|0)>0){m=f[l>>2]|0;A=0;do{f[m+(A<<2)>>2]=0;A=A+1|0;E=f[j>>2]|0}while((A|0)<(E|0));f[a>>2]=f[h>>2];if((E|0)<3)F=29;else F=31}else{f[a>>2]=f[h>>2];F=29}if((F|0)==29){E=f[h+4>>2]|0;if((E|0)<3){f[j>>2]=E;f[k>>2]=f[h+8>>2];f[a+12>>2]=f[h+12>>2];k=f[h+44>>2]|0;E=f[p>>2]|0;f[E>>2]=f[k>>2];f[E+4>>2]=f[k+4>>2]}else F=31}if((F|0)==31)kP(a,h);f[e>>2]=f[h+16>>2];f[a+20>>2]=f[h+20>>2];f[a+24>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];e=f[y>>2]|0;f[n>>2]=e;D=e}if(D|0?(e=D+12|0,D=f[e>>2]|0,f[e>>2]=D+-1,(D|0)==1):0)lP(h);f[y>>2]=0;y=h+16|0;D=h+4|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[D>>2]|0)>0){y=f[h+40>>2]|0;e=0;do{f[y+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[D>>2]|0))}D=f[h+44>>2]|0;if((D|0)!=(h+48|0))tE(D)}else{D=h+8|0;f[D>>2]=0;f[D+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=a;FD(c,h)}c=f[l>>2]|0;l=f[c+4>>2]|0;D=f[c>>2]|0;f[t>>2]=l;f[w>>2]=D;f[i>>2]=l;f[i+4>>2]=D;HD(d,i,f[z>>2]&7|16,-1,0,0);do if((pD(d)|0)==65536){z=f[x>>2]|0;f[h>>2]=f[z>>2];i=h+4|0;D=z+4|0;f[i>>2]=f[D>>2];l=h+8|0;f[l>>2]=f[z+8>>2];f[h+12>>2]=f[z+12>>2];f[h+16>>2]=f[z+16>>2];f[h+20>>2]=f[z+20>>2];f[h+24>>2]=f[z+24>>2];f[h+28>>2]=f[z+28>>2];f[h+32>>2]=f[z+32>>2];w=f[z+36>>2]|0;f[h+36>>2]=w;f[h+40>>2]=l;l=h+48|0;t=h+44|0;f[t>>2]=l;f[l>>2]=0;f[h+52>>2]=0;if(w|0){l=w+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[D>>2]|0)<3){D=f[z+44>>2]|0;l=f[t>>2]|0;f[l>>2]=f[D>>2];f[l+4>>2]=f[D+4>>2];break}else{f[i>>2]=0;kP(h,z);break}}else lD(h,d,-1);while(0);d=h+36|0;x=f[d>>2]|0;if((o|0)==(h|0))G=x;else{if(x|0){z=x+12|0;f[z>>2]=(f[z>>2]|0)+1}z=a+92|0;x=f[z>>2]|0;if(x|0?(i=x+12|0,x=f[i>>2]|0,f[i>>2]=x+-1,(x|0)==1):0)lP(o);f[z>>2]=0;x=a+72|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[q>>2]|0)>0){i=f[s>>2]|0;s=0;do{f[i+(s<<2)>>2]=0;s=s+1|0;H=f[q>>2]|0}while((s|0)<(H|0));f[o>>2]=f[h>>2];if((H|0)<3)F=60;else F=62}else{f[o>>2]=f[h>>2];F=60}if((F|0)==60){H=f[h+4>>2]|0;if((H|0)<3){f[q>>2]=H;f[r>>2]=f[h+8>>2];f[a+68>>2]=f[h+12>>2];r=f[h+44>>2]|0;H=f[v>>2]|0;f[H>>2]=f[r>>2];f[H+4>>2]=f[r+4>>2]}else F=62}if((F|0)==62)kP(o,h);f[x>>2]=f[h+16>>2];f[a+76>>2]=f[h+20>>2];f[a+80>>2]=f[h+24>>2];f[a+84>>2]=f[h+28>>2];f[a+88>>2]=f[h+32>>2];a=f[d>>2]|0;f[z>>2]=a;G=a}if(G|0?(a=G+12|0,G=f[a>>2]|0,f[a>>2]=G+-1,(G|0)==1):0)lP(h);f[d>>2]=0;d=h+16|0;G=h+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[G>>2]|0)>0){d=f[h+40>>2]|0;a=0;do{f[d+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[G>>2]|0))}G=f[h+44>>2]|0;if((G|0)==(h+48|0)){u=g;return}tE(G);u=g;return}function R3(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+56|0;c=a+92|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+72|0;b=a+60|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+96>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+100>>2]|0;if((b|0)!=(a+104|0))tE(b);b=a+36|0;d=f[b>>2]|0;if(d|0?(c=d+12|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)lP(a);f[b>>2]=0;b=a+16|0;d=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+40>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+44>>2]|0;if((d|0)==(a+48|0))return;tE(d);return}function S3(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+128|0;h=g;i=(c|0)<1?3:c;T3(h,a,b,i);F2(f[h+16>>2]|0,f[h+48>>2]|0,f[h+72>>2]|0,f[h+104>>2]|0,f[h+12>>2]|0,f[h+8>>2]|0,f[h+112>>2]|0,i,d,e);U3(h);u=g;return}function T3(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;g=u;u=u+64|0;h=g+8|0;i=g;f[a>>2]=1124007936;j=a+4|0;k=a+8|0;l=a+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;o=a+48|0;p=a+44|0;f[p>>2]=o;f[o>>2]=0;f[a+52>>2]=0;o=a+56|0;f[o>>2]=1124007936;q=a+60|0;r=a+64|0;s=a+96|0;m=q;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[s>>2]=r;t=a+104|0;v=a+100|0;f[v>>2]=t;f[t>>2]=0;f[a+108>>2]=0;t=a+120|0;f[t>>2]=0;w=a+124|0;f[w>>2]=0;if(DD(c)|0){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,13)|0;x=288769;n=m+13|0;do{b[m>>0]=b[x>>0]|0;m=m+1|0;x=x+1|0}while((m|0)<(n|0));SQ(-215,h,288783,285307,250)}x=oD(c,-1)|0;m=(x>>>3&511)+1|0;f[a+116>>2]=m;n=x&7;y=a+112|0;f[y>>2]=n;if((m|0)!=3)JY(m,52212);if((e+-3|0)>>>0>=2)JY(e,52240);switch(x&7){case 0:case 2:case 5:break;default:GY(n,52268)}n=c+4|0;x=d+4|0;if((f[n>>2]|0)!=(f[x>>2]|0)){do if((pD(c)|0)==65536){m=f[n>>2]|0;f[h>>2]=f[m>>2];z=h+4|0;A=m+4|0;f[z>>2]=f[A>>2];B=h+8|0;f[B>>2]=f[m+8>>2];f[h+12>>2]=f[m+12>>2];f[h+16>>2]=f[m+16>>2];f[h+20>>2]=f[m+20>>2];f[h+24>>2]=f[m+24>>2];f[h+28>>2]=f[m+28>>2];f[h+32>>2]=f[m+32>>2];C=f[m+36>>2]|0;f[h+36>>2]=C;f[h+40>>2]=B;B=h+48|0;D=h+44|0;f[D>>2]=B;f[B>>2]=0;f[h+52>>2]=0;if(C|0){B=C+12|0;f[B>>2]=(f[B>>2]|0)+1}if((f[A>>2]|0)<3){A=f[m+44>>2]|0;B=f[D>>2]|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];break}else{f[z>>2]=0;kP(h,m);break}}else lD(h,c,-1);while(0);n=h+36|0;m=f[n>>2]|0;if((a|0)==(h|0))E=m;else{if(m|0){z=m+12|0;f[z>>2]=(f[z>>2]|0)+1}z=a+36|0;m=f[z>>2]|0;if(m|0?(A=m+12|0,m=f[A>>2]|0,f[A>>2]=m+-1,(m|0)==1):0)lP(a);f[z>>2]=0;m=a+16|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[j>>2]|0)>0){A=f[l>>2]|0;B=0;do{f[A+(B<<2)>>2]=0;B=B+1|0;F=f[j>>2]|0}while((B|0)<(F|0));f[a>>2]=f[h>>2];if((F|0)<3)G=29;else G=31}else{f[a>>2]=f[h>>2];G=29}if((G|0)==29){F=f[h+4>>2]|0;if((F|0)<3){f[j>>2]=F;f[k>>2]=f[h+8>>2];f[a+12>>2]=f[h+12>>2];k=f[h+44>>2]|0;F=f[p>>2]|0;f[F>>2]=f[k>>2];f[F+4>>2]=f[k+4>>2]}else G=31}if((G|0)==31)kP(a,h);f[m>>2]=f[h+16>>2];f[a+20>>2]=f[h+20>>2];f[a+24>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];m=f[n>>2]|0;f[z>>2]=m;E=m}if(E|0?(m=E+12|0,E=f[m>>2]|0,f[m>>2]=E+-1,(E|0)==1):0)lP(h);f[n>>2]=0;n=h+16|0;E=h+4|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[E>>2]|0)>0){n=f[h+40>>2]|0;m=0;do{f[n+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[E>>2]|0))}E=f[h+44>>2]|0;if((E|0)!=(h+48|0))tE(E)}else{E=h+8|0;f[E>>2]=0;f[E+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=a;FD(c,h)}c=f[l>>2]|0;l=f[c+4>>2]|0;E=f[c>>2]|0;f[t>>2]=l;f[w>>2]=E;f[i>>2]=l;f[i+4>>2]=E;HD(d,i,f[y>>2]&7|(e<<3)+-8,-1,0,0);do if((pD(d)|0)==65536){e=f[x>>2]|0;f[h>>2]=f[e>>2];y=h+4|0;i=e+4|0;f[y>>2]=f[i>>2];E=h+8|0;f[E>>2]=f[e+8>>2];f[h+12>>2]=f[e+12>>2];f[h+16>>2]=f[e+16>>2];f[h+20>>2]=f[e+20>>2];f[h+24>>2]=f[e+24>>2];f[h+28>>2]=f[e+28>>2];f[h+32>>2]=f[e+32>>2];l=f[e+36>>2]|0;f[h+36>>2]=l;f[h+40>>2]=E;E=h+48|0;w=h+44|0;f[w>>2]=E;f[E>>2]=0;f[h+52>>2]=0;if(l|0){E=l+12|0;f[E>>2]=(f[E>>2]|0)+1}if((f[i>>2]|0)<3){i=f[e+44>>2]|0;E=f[w>>2]|0;f[E>>2]=f[i>>2];f[E+4>>2]=f[i+4>>2];break}else{f[y>>2]=0;kP(h,e);break}}else lD(h,d,-1);while(0);d=h+36|0;x=f[d>>2]|0;if((o|0)==(h|0))H=x;else{if(x|0){e=x+12|0;f[e>>2]=(f[e>>2]|0)+1}e=a+92|0;x=f[e>>2]|0;if(x|0?(y=x+12|0,x=f[y>>2]|0,f[y>>2]=x+-1,(x|0)==1):0)lP(o);f[e>>2]=0;x=a+72|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[q>>2]|0)>0){y=f[s>>2]|0;s=0;do{f[y+(s<<2)>>2]=0;s=s+1|0;I=f[q>>2]|0}while((s|0)<(I|0));f[o>>2]=f[h>>2];if((I|0)<3)G=60;else G=62}else{f[o>>2]=f[h>>2];G=60}if((G|0)==60){I=f[h+4>>2]|0;if((I|0)<3){f[q>>2]=I;f[r>>2]=f[h+8>>2];f[a+68>>2]=f[h+12>>2];r=f[h+44>>2]|0;I=f[v>>2]|0;f[I>>2]=f[r>>2];f[I+4>>2]=f[r+4>>2]}else G=62}if((G|0)==62)kP(o,h);f[x>>2]=f[h+16>>2];f[a+76>>2]=f[h+20>>2];f[a+80>>2]=f[h+24>>2];f[a+84>>2]=f[h+28>>2];f[a+88>>2]=f[h+32>>2];a=f[d>>2]|0;f[e>>2]=a;H=a}if(H|0?(a=H+12|0,H=f[a>>2]|0,f[a>>2]=H+-1,(H|0)==1):0)lP(h);f[d>>2]=0;d=h+16|0;H=h+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[H>>2]|0)>0){d=f[h+40>>2]|0;a=0;do{f[d+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[H>>2]|0))}H=f[h+44>>2]|0;if((H|0)==(h+48|0)){u=g;return}tE(H);u=g;return}function U3(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+56|0;c=a+92|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+72|0;b=a+60|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+96>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+100>>2]|0;if((b|0)!=(a+104|0))tE(b);b=a+36|0;d=f[b>>2]|0;if(d|0?(c=d+12|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)lP(a);f[b>>2]=0;b=a+16|0;d=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+40>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+44>>2]|0;if((d|0)==(a+48|0))return;tE(d);return}function V3(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;h=u;u=u+128|0;i=h;W3(i,a,b,c);q3(f[i+16>>2]|0,f[i+48>>2]|0,f[i+72>>2]|0,f[i+104>>2]|0,f[i+12>>2]|0,f[i+8>>2]|0,c,d,e,g);X3(i);u=h;return}function W3(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;g=u;u=u+64|0;h=g+8|0;i=g;f[a>>2]=1124007936;j=a+4|0;k=a+8|0;l=a+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;o=a+48|0;p=a+44|0;f[p>>2]=o;f[o>>2]=0;f[a+52>>2]=0;o=a+56|0;f[o>>2]=1124007936;q=a+60|0;r=a+64|0;s=a+96|0;m=q;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[s>>2]=r;t=a+104|0;v=a+100|0;f[v>>2]=t;f[t>>2]=0;f[a+108>>2]=0;t=a+120|0;f[t>>2]=0;w=a+124|0;f[w>>2]=0;if(DD(c)|0){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,13)|0;x=288769;n=m+13|0;do{b[m>>0]=b[x>>0]|0;m=m+1|0;x=x+1|0}while((m|0)<(n|0));SQ(-215,h,288783,285307,250)}x=oD(c,-1)|0;m=(x>>>3&511)+1|0;f[a+116>>2]=m;n=x&7;x=a+112|0;f[x>>2]=n;if((m|0)!=2)JY(m,52296);if((e+-3|0)>>>0>=2)JY(e,52324);if(n|0)GY(n,52352);n=c+4|0;m=d+4|0;if((f[n>>2]|0)!=(f[m>>2]|0)){do if((pD(c)|0)==65536){y=f[n>>2]|0;f[h>>2]=f[y>>2];z=h+4|0;A=y+4|0;f[z>>2]=f[A>>2];B=h+8|0;f[B>>2]=f[y+8>>2];f[h+12>>2]=f[y+12>>2];f[h+16>>2]=f[y+16>>2];f[h+20>>2]=f[y+20>>2];f[h+24>>2]=f[y+24>>2];f[h+28>>2]=f[y+28>>2];f[h+32>>2]=f[y+32>>2];C=f[y+36>>2]|0;f[h+36>>2]=C;f[h+40>>2]=B;B=h+48|0;D=h+44|0;f[D>>2]=B;f[B>>2]=0;f[h+52>>2]=0;if(C|0){B=C+12|0;f[B>>2]=(f[B>>2]|0)+1}if((f[A>>2]|0)<3){A=f[y+44>>2]|0;B=f[D>>2]|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];break}else{f[z>>2]=0;kP(h,y);break}}else lD(h,c,-1);while(0);n=h+36|0;y=f[n>>2]|0;if((a|0)==(h|0))E=y;else{if(y|0){z=y+12|0;f[z>>2]=(f[z>>2]|0)+1}z=a+36|0;y=f[z>>2]|0;if(y|0?(A=y+12|0,y=f[A>>2]|0,f[A>>2]=y+-1,(y|0)==1):0)lP(a);f[z>>2]=0;y=a+16|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[j>>2]|0)>0){A=f[l>>2]|0;B=0;do{f[A+(B<<2)>>2]=0;B=B+1|0;F=f[j>>2]|0}while((B|0)<(F|0));f[a>>2]=f[h>>2];if((F|0)<3)G=29;else G=31}else{f[a>>2]=f[h>>2];G=29}if((G|0)==29){F=f[h+4>>2]|0;if((F|0)<3){f[j>>2]=F;f[k>>2]=f[h+8>>2];f[a+12>>2]=f[h+12>>2];k=f[h+44>>2]|0;F=f[p>>2]|0;f[F>>2]=f[k>>2];f[F+4>>2]=f[k+4>>2]}else G=31}if((G|0)==31)kP(a,h);f[y>>2]=f[h+16>>2];f[a+20>>2]=f[h+20>>2];f[a+24>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];y=f[n>>2]|0;f[z>>2]=y;E=y}if(E|0?(y=E+12|0,E=f[y>>2]|0,f[y>>2]=E+-1,(E|0)==1):0)lP(h);f[n>>2]=0;n=h+16|0;E=h+4|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[E>>2]|0)>0){n=f[h+40>>2]|0;y=0;do{f[n+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[E>>2]|0))}E=f[h+44>>2]|0;if((E|0)!=(h+48|0))tE(E)}else{E=h+8|0;f[E>>2]=0;f[E+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=a;FD(c,h)}c=f[l>>2]|0;l=f[c+4>>2]|0;E=f[c>>2]|0;f[t>>2]=l;f[w>>2]=E;f[i>>2]=l;f[i+4>>2]=E;HD(d,i,f[x>>2]&7|(e<<3)+-8,-1,0,0);do if((pD(d)|0)==65536){e=f[m>>2]|0;f[h>>2]=f[e>>2];x=h+4|0;i=e+4|0;f[x>>2]=f[i>>2];E=h+8|0;f[E>>2]=f[e+8>>2];f[h+12>>2]=f[e+12>>2];f[h+16>>2]=f[e+16>>2];f[h+20>>2]=f[e+20>>2];f[h+24>>2]=f[e+24>>2];f[h+28>>2]=f[e+28>>2];f[h+32>>2]=f[e+32>>2];l=f[e+36>>2]|0;f[h+36>>2]=l;f[h+40>>2]=E;E=h+48|0;w=h+44|0;f[w>>2]=E;f[E>>2]=0;f[h+52>>2]=0;if(l|0){E=l+12|0;f[E>>2]=(f[E>>2]|0)+1}if((f[i>>2]|0)<3){i=f[e+44>>2]|0;E=f[w>>2]|0;f[E>>2]=f[i>>2];f[E+4>>2]=f[i+4>>2];break}else{f[x>>2]=0;kP(h,e);break}}else lD(h,d,-1);while(0);d=h+36|0;m=f[d>>2]|0;if((o|0)==(h|0))H=m;else{if(m|0){e=m+12|0;f[e>>2]=(f[e>>2]|0)+1}e=a+92|0;m=f[e>>2]|0;if(m|0?(x=m+12|0,m=f[x>>2]|0,f[x>>2]=m+-1,(m|0)==1):0)lP(o);f[e>>2]=0;m=a+72|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[q>>2]|0)>0){x=f[s>>2]|0;s=0;do{f[x+(s<<2)>>2]=0;s=s+1|0;I=f[q>>2]|0}while((s|0)<(I|0));f[o>>2]=f[h>>2];if((I|0)<3)G=60;else G=62}else{f[o>>2]=f[h>>2];G=60}if((G|0)==60){I=f[h+4>>2]|0;if((I|0)<3){f[q>>2]=I;f[r>>2]=f[h+8>>2];f[a+68>>2]=f[h+12>>2];r=f[h+44>>2]|0;I=f[v>>2]|0;f[I>>2]=f[r>>2];f[I+4>>2]=f[r+4>>2]}else G=62}if((G|0)==62)kP(o,h);f[m>>2]=f[h+16>>2];f[a+76>>2]=f[h+20>>2];f[a+80>>2]=f[h+24>>2];f[a+84>>2]=f[h+28>>2];f[a+88>>2]=f[h+32>>2];a=f[d>>2]|0;f[e>>2]=a;H=a}if(H|0?(a=H+12|0,H=f[a>>2]|0,f[a>>2]=H+-1,(H|0)==1):0)lP(h);f[d>>2]=0;d=h+16|0;H=h+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[H>>2]|0)>0){d=f[h+40>>2]|0;a=0;do{f[d+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[H>>2]|0))}H=f[h+44>>2]|0;if((H|0)==(h+48|0)){u=g;return}tE(H);u=g;return}function X3(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+56|0;c=a+92|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+72|0;b=a+60|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+96>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+100>>2]|0;if((b|0)!=(a+104|0))tE(b);b=a+36|0;d=f[b>>2]|0;if(d|0?(c=d+12|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)lP(a);f[b>>2]=0;b=a+16|0;d=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+40>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+44>>2]|0;if((d|0)==(a+48|0))return;tE(d);return}function Y3(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+16|0;g=e;if((CD(a,-1)|0)==2?(BD(a,-1)|0)==0:0){GG(a,c,d);u=e;return}f[g>>2]=0;f[g+4>>2]=0;e=YG(g,45)|0;d=244161;c=e+45|0;do{b[e>>0]=b[d>>0]|0;e=e+1|0;d=d+1|0}while((e|0)<(c|0));SQ(-215,g,244207,241003,2641)}function Z3(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+128|0;g=e;_3(g,a,b,1);n3(f[g+16>>2]|0,f[g+48>>2]|0,f[g+72>>2]|0,f[g+104>>2]|0,f[g+12>>2]|0,f[g+8>>2]|0,f[g+116>>2]|0,c,d);$3(g);u=e;return}function _3(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;g=u;u=u+64|0;h=g+8|0;i=g;f[a>>2]=1124007936;j=a+4|0;k=a+8|0;l=a+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;o=a+48|0;p=a+44|0;f[p>>2]=o;f[o>>2]=0;f[a+52>>2]=0;o=a+56|0;f[o>>2]=1124007936;q=a+60|0;r=a+64|0;s=a+96|0;m=q;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[s>>2]=r;t=a+104|0;v=a+100|0;f[v>>2]=t;f[t>>2]=0;f[a+108>>2]=0;t=a+120|0;f[t>>2]=0;w=a+124|0;f[w>>2]=0;if(DD(c)|0){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,13)|0;x=288769;n=m+13|0;do{b[m>>0]=b[x>>0]|0;m=m+1|0;x=x+1|0}while((m|0)<(n|0));SQ(-215,h,288783,285307,250)}y=oD(c,-1)|0;z=y>>>3;A=(z&511)+1|0;f[a+116>>2]=A;B=y&7;y=a+112|0;f[y>>2]=B;if((z&510|0)!=2)JY(A,52380);if((e|0)!=1)JY(e,52408);if(B|0)GY(B,52436);B=c+4|0;e=d+4|0;if((f[B>>2]|0)!=(f[e>>2]|0)){do if((pD(c)|0)==65536){A=f[B>>2]|0;f[h>>2]=f[A>>2];z=h+4|0;C=A+4|0;f[z>>2]=f[C>>2];D=h+8|0;f[D>>2]=f[A+8>>2];f[h+12>>2]=f[A+12>>2];f[h+16>>2]=f[A+16>>2];f[h+20>>2]=f[A+20>>2];f[h+24>>2]=f[A+24>>2];f[h+28>>2]=f[A+28>>2];f[h+32>>2]=f[A+32>>2];E=f[A+36>>2]|0;f[h+36>>2]=E;f[h+40>>2]=D;D=h+48|0;F=h+44|0;f[F>>2]=D;f[D>>2]=0;f[h+52>>2]=0;if(E|0){D=E+12|0;f[D>>2]=(f[D>>2]|0)+1}if((f[C>>2]|0)<3){C=f[A+44>>2]|0;D=f[F>>2]|0;f[D>>2]=f[C>>2];f[D+4>>2]=f[C+4>>2];break}else{f[z>>2]=0;kP(h,A);break}}else lD(h,c,-1);while(0);B=h+36|0;A=f[B>>2]|0;if((a|0)==(h|0))G=A;else{if(A|0){z=A+12|0;f[z>>2]=(f[z>>2]|0)+1}z=a+36|0;A=f[z>>2]|0;if(A|0?(C=A+12|0,A=f[C>>2]|0,f[C>>2]=A+-1,(A|0)==1):0)lP(a);f[z>>2]=0;A=a+16|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[j>>2]|0)>0){C=f[l>>2]|0;D=0;do{f[C+(D<<2)>>2]=0;D=D+1|0;H=f[j>>2]|0}while((D|0)<(H|0));f[a>>2]=f[h>>2];if((H|0)<3)I=29;else I=31}else{f[a>>2]=f[h>>2];I=29}if((I|0)==29){H=f[h+4>>2]|0;if((H|0)<3){f[j>>2]=H;f[k>>2]=f[h+8>>2];f[a+12>>2]=f[h+12>>2];k=f[h+44>>2]|0;H=f[p>>2]|0;f[H>>2]=f[k>>2];f[H+4>>2]=f[k+4>>2]}else I=31}if((I|0)==31)kP(a,h);f[A>>2]=f[h+16>>2];f[a+20>>2]=f[h+20>>2];f[a+24>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];A=f[B>>2]|0;f[z>>2]=A;G=A}if(G|0?(A=G+12|0,G=f[A>>2]|0,f[A>>2]=G+-1,(G|0)==1):0)lP(h);f[B>>2]=0;B=h+16|0;G=h+4|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[G>>2]|0)>0){B=f[h+40>>2]|0;A=0;do{f[B+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[G>>2]|0))}G=f[h+44>>2]|0;if((G|0)!=(h+48|0))tE(G)}else{G=h+8|0;f[G>>2]=0;f[G+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=a;FD(c,h)}c=f[l>>2]|0;l=f[c+4>>2]|0;G=f[c>>2]|0;if((G|l)&1|0){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,39)|0;x=244227;n=m+39|0;do{b[m>>0]=b[x>>0]|0;m=m+1|0;x=x+1|0}while((m|0)<(n|0));SQ(-215,h,288783,285307,267)}x=((G|0)/2|0)*3|0;f[t>>2]=l;f[w>>2]=x;f[i>>2]=l;f[i+4>>2]=x;HD(d,i,f[y>>2]&7,-1,0,0);do if((pD(d)|0)==65536){y=f[e>>2]|0;f[h>>2]=f[y>>2];i=h+4|0;x=y+4|0;f[i>>2]=f[x>>2];l=h+8|0;f[l>>2]=f[y+8>>2];f[h+12>>2]=f[y+12>>2];f[h+16>>2]=f[y+16>>2];f[h+20>>2]=f[y+20>>2];f[h+24>>2]=f[y+24>>2];f[h+28>>2]=f[y+28>>2];f[h+32>>2]=f[y+32>>2];w=f[y+36>>2]|0;f[h+36>>2]=w;f[h+40>>2]=l;l=h+48|0;t=h+44|0;f[t>>2]=l;f[l>>2]=0;f[h+52>>2]=0;if(w|0){l=w+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[x>>2]|0)<3){x=f[y+44>>2]|0;l=f[t>>2]|0;f[l>>2]=f[x>>2];f[l+4>>2]=f[x+4>>2];break}else{f[i>>2]=0;kP(h,y);break}}else lD(h,d,-1);while(0);d=h+36|0;e=f[d>>2]|0;if((o|0)==(h|0))J=e;else{if(e|0){y=e+12|0;f[y>>2]=(f[y>>2]|0)+1}y=a+92|0;e=f[y>>2]|0;if(e|0?(i=e+12|0,e=f[i>>2]|0,f[i>>2]=e+-1,(e|0)==1):0)lP(o);f[y>>2]=0;e=a+72|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[q>>2]|0)>0){i=f[s>>2]|0;s=0;do{f[i+(s<<2)>>2]=0;s=s+1|0;K=f[q>>2]|0}while((s|0)<(K|0));f[o>>2]=f[h>>2];if((K|0)<3)I=62;else I=64}else{f[o>>2]=f[h>>2];I=62}if((I|0)==62){K=f[h+4>>2]|0;if((K|0)<3){f[q>>2]=K;f[r>>2]=f[h+8>>2];f[a+68>>2]=f[h+12>>2];r=f[h+44>>2]|0;K=f[v>>2]|0;f[K>>2]=f[r>>2];f[K+4>>2]=f[r+4>>2]}else I=64}if((I|0)==64)kP(o,h);f[e>>2]=f[h+16>>2];f[a+76>>2]=f[h+20>>2];f[a+80>>2]=f[h+24>>2];f[a+84>>2]=f[h+28>>2];f[a+88>>2]=f[h+32>>2];a=f[d>>2]|0;f[y>>2]=a;J=a}if(J|0?(a=J+12|0,J=f[a>>2]|0,f[a>>2]=J+-1,(J|0)==1):0)lP(h);f[d>>2]=0;d=h+16|0;J=h+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[J>>2]|0)>0){d=f[h+40>>2]|0;a=0;do{f[d+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[J>>2]|0))}J=f[h+44>>2]|0;if((J|0)==(h+48|0)){u=g;return}tE(J);u=g;return}function $3(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+56|0;c=a+92|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+72|0;b=a+60|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+96>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+100>>2]|0;if((b|0)!=(a+104|0))tE(b);b=a+36|0;d=f[b>>2]|0;if(d|0?(c=d+12|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)lP(a);f[b>>2]=0;b=a+16|0;d=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+40>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+44>>2]|0;if((d|0)==(a+48|0))return;tE(d);return}function a4(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+208|0;d=c+8|0;e=c;g=c+80|0;h=c+24|0;b4(g,a,b,1);b=f[g+124>>2]|0;f[d>>2]=-2147483648;f[d+4>>2]=2147483647;f[e>>2]=0;f[e+4>>2]=b;mP(h,g,e,d);e=d+8|0;f[e>>2]=0;f[e+4>>2]=0;f[d>>2]=33619968;f[d+4>>2]=g+56;kT(h,d);d=h+36|0;e=f[d>>2]|0;if(e|0?(b=e+12|0,e=f[b>>2]|0,f[b>>2]=e+-1,(e|0)==1):0)lP(h);f[d>>2]=0;d=h+16|0;e=h+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[e>>2]|0)>0){d=f[h+40>>2]|0;b=0;do{f[d+(b<<2)>>2]=0;b=b+1|0}while((b|0)<(f[e>>2]|0))}e=f[h+44>>2]|0;if((e|0)==(h+48|0)){c4(g);u=c;return}tE(e);c4(g);u=c;return}function b4(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;g=u;u=u+64|0;h=g+8|0;i=g;f[a>>2]=1124007936;j=a+4|0;k=a+8|0;l=a+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;o=a+48|0;p=a+44|0;f[p>>2]=o;f[o>>2]=0;f[a+52>>2]=0;o=a+56|0;f[o>>2]=1124007936;q=a+60|0;r=a+64|0;s=a+96|0;m=q;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[s>>2]=r;t=a+104|0;v=a+100|0;f[v>>2]=t;f[t>>2]=0;f[a+108>>2]=0;t=a+120|0;f[t>>2]=0;w=a+124|0;f[w>>2]=0;if(DD(c)|0){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,13)|0;x=288769;n=m+13|0;do{b[m>>0]=b[x>>0]|0;m=m+1|0;x=x+1|0}while((m|0)<(n|0));SQ(-215,h,288783,285307,250)}y=oD(c,-1)|0;z=y>>>3&511;A=z+1|0;f[a+116>>2]=A;B=y&7;y=a+112|0;f[y>>2]=B;if(z|0)JY(A,52464);if((e|0)!=1)JY(e,52492);if(B|0)GY(B,52520);B=c+4|0;e=d+4|0;if((f[B>>2]|0)!=(f[e>>2]|0)){do if((pD(c)|0)==65536){A=f[B>>2]|0;f[h>>2]=f[A>>2];z=h+4|0;C=A+4|0;f[z>>2]=f[C>>2];D=h+8|0;f[D>>2]=f[A+8>>2];f[h+12>>2]=f[A+12>>2];f[h+16>>2]=f[A+16>>2];f[h+20>>2]=f[A+20>>2];f[h+24>>2]=f[A+24>>2];f[h+28>>2]=f[A+28>>2];f[h+32>>2]=f[A+32>>2];E=f[A+36>>2]|0;f[h+36>>2]=E;f[h+40>>2]=D;D=h+48|0;F=h+44|0;f[F>>2]=D;f[D>>2]=0;f[h+52>>2]=0;if(E|0){D=E+12|0;f[D>>2]=(f[D>>2]|0)+1}if((f[C>>2]|0)<3){C=f[A+44>>2]|0;D=f[F>>2]|0;f[D>>2]=f[C>>2];f[D+4>>2]=f[C+4>>2];break}else{f[z>>2]=0;kP(h,A);break}}else lD(h,c,-1);while(0);B=h+36|0;A=f[B>>2]|0;if((a|0)==(h|0))G=A;else{if(A|0){z=A+12|0;f[z>>2]=(f[z>>2]|0)+1}z=a+36|0;A=f[z>>2]|0;if(A|0?(C=A+12|0,A=f[C>>2]|0,f[C>>2]=A+-1,(A|0)==1):0)lP(a);f[z>>2]=0;A=a+16|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[j>>2]|0)>0){C=f[l>>2]|0;D=0;do{f[C+(D<<2)>>2]=0;D=D+1|0;H=f[j>>2]|0}while((D|0)<(H|0));f[a>>2]=f[h>>2];if((H|0)<3)I=29;else I=31}else{f[a>>2]=f[h>>2];I=29}if((I|0)==29){H=f[h+4>>2]|0;if((H|0)<3){f[j>>2]=H;f[k>>2]=f[h+8>>2];f[a+12>>2]=f[h+12>>2];k=f[h+44>>2]|0;H=f[p>>2]|0;f[H>>2]=f[k>>2];f[H+4>>2]=f[k+4>>2]}else I=31}if((I|0)==31)kP(a,h);f[A>>2]=f[h+16>>2];f[a+20>>2]=f[h+20>>2];f[a+24>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];A=f[B>>2]|0;f[z>>2]=A;G=A}if(G|0?(A=G+12|0,G=f[A>>2]|0,f[A>>2]=G+-1,(G|0)==1):0)lP(h);f[B>>2]=0;B=h+16|0;G=h+4|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[G>>2]|0)>0){B=f[h+40>>2]|0;A=0;do{f[B+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[G>>2]|0))}G=f[h+44>>2]|0;if((G|0)!=(h+48|0))tE(G)}else{G=h+8|0;f[G>>2]=0;f[G+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=a;FD(c,h)}c=f[l>>2]|0;l=f[c+4>>2]|0;G=f[c>>2]|0;if((G|0)%3|0|l&1|0){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,39)|0;x=244525;n=m+39|0;do{b[m>>0]=b[x>>0]|0;m=m+1|0;x=x+1|0}while((m|0)<(n|0));SQ(-215,h,288783,285307,271)}x=(G<<1|0)/3|0;f[t>>2]=l;f[w>>2]=x;f[i>>2]=l;f[i+4>>2]=x;HD(d,i,f[y>>2]&7,-1,0,0);do if((pD(d)|0)==65536){y=f[e>>2]|0;f[h>>2]=f[y>>2];i=h+4|0;x=y+4|0;f[i>>2]=f[x>>2];l=h+8|0;f[l>>2]=f[y+8>>2];f[h+12>>2]=f[y+12>>2];f[h+16>>2]=f[y+16>>2];f[h+20>>2]=f[y+20>>2];f[h+24>>2]=f[y+24>>2];f[h+28>>2]=f[y+28>>2];f[h+32>>2]=f[y+32>>2];w=f[y+36>>2]|0;f[h+36>>2]=w;f[h+40>>2]=l;l=h+48|0;t=h+44|0;f[t>>2]=l;f[l>>2]=0;f[h+52>>2]=0;if(w|0){l=w+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[x>>2]|0)<3){x=f[y+44>>2]|0;l=f[t>>2]|0;f[l>>2]=f[x>>2];f[l+4>>2]=f[x+4>>2];break}else{f[i>>2]=0;kP(h,y);break}}else lD(h,d,-1);while(0);d=h+36|0;e=f[d>>2]|0;if((o|0)==(h|0))J=e;else{if(e|0){y=e+12|0;f[y>>2]=(f[y>>2]|0)+1}y=a+92|0;e=f[y>>2]|0;if(e|0?(i=e+12|0,e=f[i>>2]|0,f[i>>2]=e+-1,(e|0)==1):0)lP(o);f[y>>2]=0;e=a+72|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[q>>2]|0)>0){i=f[s>>2]|0;s=0;do{f[i+(s<<2)>>2]=0;s=s+1|0;K=f[q>>2]|0}while((s|0)<(K|0));f[o>>2]=f[h>>2];if((K|0)<3)I=62;else I=64}else{f[o>>2]=f[h>>2];I=62}if((I|0)==62){K=f[h+4>>2]|0;if((K|0)<3){f[q>>2]=K;f[r>>2]=f[h+8>>2];f[a+68>>2]=f[h+12>>2];r=f[h+44>>2]|0;K=f[v>>2]|0;f[K>>2]=f[r>>2];f[K+4>>2]=f[r+4>>2]}else I=64}if((I|0)==64)kP(o,h);f[e>>2]=f[h+16>>2];f[a+76>>2]=f[h+20>>2];f[a+80>>2]=f[h+24>>2];f[a+84>>2]=f[h+28>>2];f[a+88>>2]=f[h+32>>2];a=f[d>>2]|0;f[y>>2]=a;J=a}if(J|0?(a=J+12|0,J=f[a>>2]|0,f[a>>2]=J+-1,(J|0)==1):0)lP(h);f[d>>2]=0;d=h+16|0;J=h+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[J>>2]|0)>0){d=f[h+40>>2]|0;a=0;do{f[d+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[J>>2]|0))}J=f[h+44>>2]|0;if((J|0)==(h+48|0)){u=g;return}tE(J);u=g;return}function c4(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+56|0;c=a+92|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+72|0;b=a+60|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+96>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+100>>2]|0;if((b|0)!=(a+104|0))tE(b);b=a+36|0;d=f[b>>2]|0;if(d|0?(c=d+12|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)lP(a);f[b>>2]=0;b=a+16|0;d=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+40>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+44>>2]|0;if((d|0)==(a+48|0))return;tE(d);return}function d4(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+128|0;h=g;i=(c|0)<1?3:c;e4(h,a,b,i);e3(f[h+16>>2]|0,f[h+48>>2]|0,f[h+72>>2]|0,f[h+104>>2]|0,f[h+68>>2]|0,f[h+64>>2]|0,i,d,e);f4(h);u=g;return}function e4(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;g=u;u=u+64|0;h=g+8|0;i=g;f[a>>2]=1124007936;j=a+4|0;k=a+8|0;l=a+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;o=a+48|0;p=a+44|0;f[p>>2]=o;f[o>>2]=0;f[a+52>>2]=0;o=a+56|0;f[o>>2]=1124007936;q=a+60|0;r=a+64|0;s=a+96|0;m=q;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[s>>2]=r;t=a+104|0;v=a+100|0;f[v>>2]=t;f[t>>2]=0;f[a+108>>2]=0;t=a+120|0;f[t>>2]=0;w=a+124|0;f[w>>2]=0;if(DD(c)|0){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,13)|0;x=288769;n=m+13|0;do{b[m>>0]=b[x>>0]|0;m=m+1|0;x=x+1|0}while((m|0)<(n|0));SQ(-215,h,288783,285307,250)}y=oD(c,-1)|0;z=y>>>3&511;A=z+1|0;f[a+116>>2]=A;B=y&7;y=a+112|0;f[y>>2]=B;if(z|0)JY(A,52548);if((e+-3|0)>>>0>=2)JY(e,52576);if(B|0)GY(B,52604);B=c+4|0;A=d+4|0;if((f[B>>2]|0)!=(f[A>>2]|0)){do if((pD(c)|0)==65536){z=f[B>>2]|0;f[h>>2]=f[z>>2];C=h+4|0;D=z+4|0;f[C>>2]=f[D>>2];E=h+8|0;f[E>>2]=f[z+8>>2];f[h+12>>2]=f[z+12>>2];f[h+16>>2]=f[z+16>>2];f[h+20>>2]=f[z+20>>2];f[h+24>>2]=f[z+24>>2];f[h+28>>2]=f[z+28>>2];f[h+32>>2]=f[z+32>>2];F=f[z+36>>2]|0;f[h+36>>2]=F;f[h+40>>2]=E;E=h+48|0;G=h+44|0;f[G>>2]=E;f[E>>2]=0;f[h+52>>2]=0;if(F|0){E=F+12|0;f[E>>2]=(f[E>>2]|0)+1}if((f[D>>2]|0)<3){D=f[z+44>>2]|0;E=f[G>>2]|0;f[E>>2]=f[D>>2];f[E+4>>2]=f[D+4>>2];break}else{f[C>>2]=0;kP(h,z);break}}else lD(h,c,-1);while(0);B=h+36|0;z=f[B>>2]|0;if((a|0)==(h|0))H=z;else{if(z|0){C=z+12|0;f[C>>2]=(f[C>>2]|0)+1}C=a+36|0;z=f[C>>2]|0;if(z|0?(D=z+12|0,z=f[D>>2]|0,f[D>>2]=z+-1,(z|0)==1):0)lP(a);f[C>>2]=0;z=a+16|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[j>>2]|0)>0){D=f[l>>2]|0;E=0;do{f[D+(E<<2)>>2]=0;E=E+1|0;I=f[j>>2]|0}while((E|0)<(I|0));f[a>>2]=f[h>>2];if((I|0)<3)J=29;else J=31}else{f[a>>2]=f[h>>2];J=29}if((J|0)==29){I=f[h+4>>2]|0;if((I|0)<3){f[j>>2]=I;f[k>>2]=f[h+8>>2];f[a+12>>2]=f[h+12>>2];k=f[h+44>>2]|0;I=f[p>>2]|0;f[I>>2]=f[k>>2];f[I+4>>2]=f[k+4>>2]}else J=31}if((J|0)==31)kP(a,h);f[z>>2]=f[h+16>>2];f[a+20>>2]=f[h+20>>2];f[a+24>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];z=f[B>>2]|0;f[C>>2]=z;H=z}if(H|0?(z=H+12|0,H=f[z>>2]|0,f[z>>2]=H+-1,(H|0)==1):0)lP(h);f[B>>2]=0;B=h+16|0;H=h+4|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[H>>2]|0)>0){B=f[h+40>>2]|0;z=0;do{f[B+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[H>>2]|0))}H=f[h+44>>2]|0;if((H|0)!=(h+48|0))tE(H)}else{H=h+8|0;f[H>>2]=0;f[H+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=a;FD(c,h)}c=f[l>>2]|0;l=f[c+4>>2]|0;H=f[c>>2]|0;if((H|0)%3|0|l&1|0){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,39)|0;x=244525;n=m+39|0;do{b[m>>0]=b[x>>0]|0;m=m+1|0;x=x+1|0}while((m|0)<(n|0));SQ(-215,h,288783,285307,271)}x=(H<<1|0)/3|0;f[t>>2]=l;f[w>>2]=x;f[i>>2]=l;f[i+4>>2]=x;HD(d,i,f[y>>2]&7|(e<<3)+-8,-1,0,0);do if((pD(d)|0)==65536){e=f[A>>2]|0;f[h>>2]=f[e>>2];y=h+4|0;i=e+4|0;f[y>>2]=f[i>>2];x=h+8|0;f[x>>2]=f[e+8>>2];f[h+12>>2]=f[e+12>>2];f[h+16>>2]=f[e+16>>2];f[h+20>>2]=f[e+20>>2];f[h+24>>2]=f[e+24>>2];f[h+28>>2]=f[e+28>>2];f[h+32>>2]=f[e+32>>2];l=f[e+36>>2]|0;f[h+36>>2]=l;f[h+40>>2]=x;x=h+48|0;w=h+44|0;f[w>>2]=x;f[x>>2]=0;f[h+52>>2]=0;if(l|0){x=l+12|0;f[x>>2]=(f[x>>2]|0)+1}if((f[i>>2]|0)<3){i=f[e+44>>2]|0;x=f[w>>2]|0;f[x>>2]=f[i>>2];f[x+4>>2]=f[i+4>>2];break}else{f[y>>2]=0;kP(h,e);break}}else lD(h,d,-1);while(0);d=h+36|0;A=f[d>>2]|0;if((o|0)==(h|0))K=A;else{if(A|0){e=A+12|0;f[e>>2]=(f[e>>2]|0)+1}e=a+92|0;A=f[e>>2]|0;if(A|0?(y=A+12|0,A=f[y>>2]|0,f[y>>2]=A+-1,(A|0)==1):0)lP(o);f[e>>2]=0;A=a+72|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[q>>2]|0)>0){y=f[s>>2]|0;s=0;do{f[y+(s<<2)>>2]=0;s=s+1|0;L=f[q>>2]|0}while((s|0)<(L|0));f[o>>2]=f[h>>2];if((L|0)<3)J=62;else J=64}else{f[o>>2]=f[h>>2];J=62}if((J|0)==62){L=f[h+4>>2]|0;if((L|0)<3){f[q>>2]=L;f[r>>2]=f[h+8>>2];f[a+68>>2]=f[h+12>>2];r=f[h+44>>2]|0;L=f[v>>2]|0;f[L>>2]=f[r>>2];f[L+4>>2]=f[r+4>>2]}else J=64}if((J|0)==64)kP(o,h);f[A>>2]=f[h+16>>2];f[a+76>>2]=f[h+20>>2];f[a+80>>2]=f[h+24>>2];f[a+84>>2]=f[h+28>>2];f[a+88>>2]=f[h+32>>2];a=f[d>>2]|0;f[e>>2]=a;K=a}if(K|0?(a=K+12|0,K=f[a>>2]|0,f[a>>2]=K+-1,(K|0)==1):0)lP(h);f[d>>2]=0;d=h+16|0;K=h+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[K>>2]|0)>0){d=f[h+40>>2]|0;a=0;do{f[d+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[K>>2]|0))}K=f[h+44>>2]|0;if((K|0)==(h+48|0)){u=g;return}tE(K);u=g;return}function f4(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+56|0;c=a+92|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+72|0;b=a+60|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+96>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+100>>2]|0;if((b|0)!=(a+104|0))tE(b);b=a+36|0;d=f[b>>2]|0;if(d|0?(c=d+12|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)lP(a);f[b>>2]=0;b=a+16|0;d=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+40>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+44>>2]|0;if((d|0)==(a+48|0))return;tE(d);return}function g4(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;g=u;u=u+144|0;h=g+128|0;i=g;j=(c|0)<1?3:c;e4(i,a,b,j);b=f[i+16>>2]|0;a=f[i+48>>2]|0;c=f[i+72>>2]|0;k=f[i+104>>2]|0;l=f[i+68>>2]|0;m=f[i+64>>2]|0;zT(h,51528);P2(b,b+(Y(m,a)|0)|0,a,c,k,l,m,j,d,e);if(!(f[h+4>>2]|0)){f4(i);u=g;return}f4(i);u=g;return}function h4(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;o=u;u=u+64|0;p=o+56|0;q=o+24|0;r=o+16|0;s=o;zT(r,52632);t=(i|0)==5?360:l?256:180;l=k?2:0;k=(i|0)==0;a:do if(!m)if(k){f[s>>2]=j;f[s+4>>2]=3;f[s+8>>2]=l;n[s+12>>2]=+(t|0)/360.0;f[p>>2]=0;f[p+4>>2]=h;f[q>>2]=52700;f[q+4>>2]=a;f[q+8>>2]=c;f[q+12>>2]=d;f[q+16>>2]=e;f[q+20>>2]=g;f[q+24>>2]=s;oU(p,q,+(Y(h,g)|0)*.0000152587890625);break}else{f[s>>2]=j;f[s+4>>2]=l;n[s+8>>2]=+(t|0)/360.0;f[p>>2]=0;f[p+4>>2]=h;f[q>>2]=52720;f[q+4>>2]=a;f[q+8>>2]=c;f[q+12>>2]=d;f[q+16>>2]=e;f[q+20>>2]=g;f[q+24>>2]=s;oU(p,q,+(Y(h,g)|0)*.0000152587890625);break}else{if(!k){f[s>>2]=j;f[s+4>>2]=l;n[s+8>>2]=+(t|0);f[p>>2]=0;f[p+4>>2]=h;f[q>>2]=52680;f[q+4>>2]=a;f[q+8>>2]=c;f[q+12>>2]=d;f[q+16>>2]=e;f[q+20>>2]=g;f[q+24>>2]=s;oU(p,q,+(Y(h,g)|0)*.0000152587890625);break}f[s>>2]=j;f[s+4>>2]=l;f[s+8>>2]=t;switch(t&511){case 256:case 180:{f[p>>2]=0;f[p+4>>2]=h;f[q>>2]=52660;f[q+4>>2]=a;f[q+8>>2]=c;f[q+12>>2]=d;f[q+16>>2]=e;f[q+20>>2]=g;f[q+24>>2]=s;oU(p,q,+(Y(h,g)|0)*.0000152587890625);break a;break}default:{f[p>>2]=0;f[p+4>>2]=0;i=YG(p,30)|0;v=245091;w=i+30|0;do{b[i>>0]=b[v>>0]|0;i=i+1|0;v=v+1|0}while((i|0)<(w|0));SQ(-215,p,245122,245132,21)}}}while(0);if(!(f[r+4>>2]|0)){u=o;return}u=o;return}function i4(a){a=a|0;Emc(a);return}function j4(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0;c=u;u=u+16|0;d=c;zT(d,52732);e=f[b>>2]|0;g=f[b+4>>2]|0;a:do if((e|0)<(g|0)){b=f[a+8>>2]|0;h=f[a+16>>2]|0;i=a+24|0;j=f[a+20>>2]|0;k=j*3|0;if((j|0)<=0){j=e;while(1){j=j+1|0;if((j|0)>=(g|0))break a}}j=(f[a+12>>2]|0)+(Y(h,e)|0)|0;l=j;j=(f[a+4>>2]|0)+(Y(b,e)|0)|0;m=e;while(1){o=f[i>>2]|0;p=f[o+4>>2]|0;q=f[o>>2]|0;r=p^2;s=o+8|0;o=j;t=0;while(1){v=+n[o+(p<<2)>>2];w=+n[o+4>>2];x=+n[o+(r<<2)>>2];y=x<w?w:x;z=y<v?v:y;y=x>w?w:x;A=y>v?v:y;y=z-A;B=z+A;C=B*.5;if(y>1.1920928955078125e-07){D=y/(C<.5?B:2.0-z-A);A=60.0/y;do if(!(z==x))if(z==w){E=(v-x)*A+120.0;break}else{E=(x-w)*A+240.0;break}else E=(w-v)*A;while(0);if(E<0.0){F=D;G=E+360.0}else{F=D;G=E}}else{F=0.0;G=0.0}n[l+(t<<2)>>2]=G*+n[s>>2];n[l+(t+1<<2)>>2]=C;n[l+(t+2<<2)>>2]=F;t=t+3|0;if((t|0)>=(k|0))break;else o=o+(q<<2)|0}m=m+1|0;if((m|0)>=(g|0))break;else{l=l+h|0;j=j+b|0}}}while(0);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function k4(a){a=a|0;Emc(a);return}function l4(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;zT(d,52752);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){m4(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function m4(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0;g=u;u=u+3072|0;i=g;j=f[a>>2]|0;if((e|0)<=0){u=g;return}k=a+8|0;l=a+4|0;m=a+12|0;a=d;d=0;o=c;while(1){c=e-d|0;p=((c|0)<256?c:256)*3|0;q=(c|0)>0;if(q){c=0;r=o;do{n[i+(c<<2)>>2]=+(h[r>>0]|0)*.003921568859368563;n[i+(c+1<<2)>>2]=+(h[r+1>>0]|0)*.003921568859368563;n[i+(c+2<<2)>>2]=+(h[r+2>>0]|0)*.003921568859368563;c=c+3|0;r=r+j|0}while((c|0)<(p|0));c=f[k>>2]|0;s=f[l>>2]|0;if(q){t=c^2;v=i;w=0;while(1){x=+n[v+(c<<2)>>2];y=+n[v+4>>2];z=+n[v+(t<<2)>>2];A=z<y?y:z;B=A<x?x:A;A=z>y?y:z;C=A>x?x:A;A=B-C;D=B+C;E=D*.5;if(A>1.1920928955078125e-07){F=A/(E<.5?D:2.0-B-C);C=60.0/A;do if(!(B==z))if(B==y){G=(x-z)*C+120.0;break}else{G=(z-y)*C+240.0;break}else G=(y-x)*C;while(0);if(G<0.0){H=F;I=G+360.0}else{H=F;I=G}}else{H=0.0;I=0.0}n[i+(w<<2)>>2]=I*+n[m>>2];n[i+(w+1<<2)>>2]=E;n[i+(w+2<<2)>>2]=H;w=w+3|0;if((w|0)>=(p|0))break;else v=v+(s<<2)|0}if(q){s=0;do{v=U9b(+n[i+(s<<2)>>2])|0;b[a+s>>0]=v>>>0<256?v:(v|0)>0?255:0;v=s+1|0;w=U9b(+n[i+(v<<2)>>2]*255.0)|0;b[a+v>>0]=w>>>0<256?w:(w|0)>0?255:0;w=s+2|0;v=U9b(+n[i+(w<<2)>>2]*255.0)|0;b[a+w>>0]=v>>>0<256?v:(v|0)>0?255:0;s=s+3|0}while((s|0)<(p|0));J=r}else J=r}else J=r}else J=o;d=d+256|0;if((d|0)>=(e|0))break;else{a=a+768|0;o=J}}u=g;return}function n4(a){a=a|0;Emc(a);return}function o4(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0.0,s=0,t=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0;c=u;u=u+16|0;d=c;zT(d,52772);e=f[b>>2]|0;g=f[b+4>>2]|0;a:do if((e|0)<(g|0)){b=f[a+8>>2]|0;h=f[a+16>>2]|0;i=a+24|0;j=f[a+20>>2]|0;k=j*3|0;if((j|0)<=0){j=e;while(1){j=j+1|0;if((j|0)>=(g|0))break a}}j=(f[a+12>>2]|0)+(Y(h,e)|0)|0;l=j;j=(f[a+4>>2]|0)+(Y(b,e)|0)|0;m=e;while(1){o=f[i>>2]|0;p=f[o+4>>2]|0;q=f[o>>2]|0;r=+n[o+8>>2]*2.7777778450399637e-03;o=p^2;s=j;t=0;while(1){v=+n[s+(p<<2)>>2];w=+n[s+4>>2];x=+n[s+(o<<2)>>2];y=x<w?w:x;z=y<v?v:y;y=x>w?w:x;A=z-(y>v?v:y);y=A/(+L(+z)+1.1920928955078125e-07);B=60.0/(A+1.1920928955078125e-07);do if(!(z==x))if(z==w){C=(v-x)*B+120.0;break}else{C=(x-w)*B+240.0;break}else C=(w-v)*B;while(0);n[l+(t<<2)>>2]=r*(C<0.0?C+360.0:C);n[l+(t+1<<2)>>2]=y;n[l+(t+2<<2)>>2]=z;t=t+3|0;if((t|0)>=(k|0))break;else s=s+(q<<2)|0}m=m+1|0;if((m|0)>=(g|0))break;else{l=l+h|0;j=j+b|0}}}while(0);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function p4(a){a=a|0;Emc(a);return}function q4(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;zT(d,52792);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){r4(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function r4(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0.0,n=0,o=0.0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;g=f[a+4>>2]|0;i=f[a>>2]|0;j=f[a+8>>2]|0;a=(j|0)==180?542456:543480;k=e*3|0;if(!(b[1159008]|0)){f[135870]=0;f[135614]=0;f[136126]=0;l=1;do{m=+(l|0);n=V9b(1044480.0/m)|0;f[544504+(l<<2)>>2]=n;o=m*6.0;n=V9b(737280.0/o)|0;f[542456+(l<<2)>>2]=n;n=V9b(1048576.0/o)|0;f[543480+(l<<2)>>2]=n;l=l+1|0}while((l|0)!=256);b[1159008]=1}if((e|0)<=0)return;e=g^2;l=c;c=0;while(1){n=h[l+g>>0]|0;p=h[l+1>>0]|0;q=h[l+e>>0]|0;r=p-n|0;s=r+256|0;if(s>>>0<769)t=h[277436+s>>0]|0;else t=0;s=t+n|0;u=q-s+256|0;if(u>>>0<769)v=h[277436+u>>0]|0;else v=0;u=v+s|0;s=n-p+256|0;if(s>>>0<769)w=h[277436+s>>0]|0;else w=0;s=n-w|0;x=s-q+256|0;if(x>>>0<769)y=h[277436+x>>0]|0;else y=0;x=y-s+u|0;s=(x>>>0<256?x:(x|0)>0?255:0)&255;x=((Y(s,f[544504+(u<<2)>>2]|0)|0)+2048|0)>>>12;z=(Y((u|0)==(q|0)?r:(u|0)==(p|0)?n-q+(s<<1)|0:q-p+(s<<2)|0,f[a+(s<<2)>>2]|0)|0)+2048>>12;s=((z|0)<0?j:0)+z|0;b[d+c>>0]=s>>>0<256?s:(s|0)>0?255:0;b[d+(c+1)>>0]=x;b[d+(c+2)>>0]=u;c=c+3|0;if((c|0)>=(k|0))break;else l=l+i|0}return}function s4(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,o=0,p=0,q=0,r=0,s=0;m=u;u=u+64|0;o=m+56|0;p=m+24|0;q=m+16|0;r=m;zT(q,52812);s=(h|0)==5?360:k?255:180;k=j?2:0;j=(h|0)==0;do if(l)if(j){f[r>>2]=i;f[r+4>>2]=k;n[r+8>>2]=6.0/+(s|0);f[o>>2]=0;f[o+4>>2]=g;f[p>>2]=52840;f[p+4>>2]=a;f[p+8>>2]=b;f[p+12>>2]=c;f[p+16>>2]=d;f[p+20>>2]=e;f[p+24>>2]=r;oU(o,p,+(Y(g,e)|0)*.0000152587890625);break}else{f[r>>2]=i;f[r+4>>2]=k;n[r+8>>2]=6.0/+(s|0);f[o>>2]=0;f[o+4>>2]=g;f[p>>2]=52860;f[p+4>>2]=a;f[p+8>>2]=b;f[p+12>>2]=c;f[p+16>>2]=d;f[p+20>>2]=e;f[p+24>>2]=r;oU(o,p,+(Y(g,e)|0)*.0000152587890625);break}else if(j){f[r>>2]=i;f[r+4>>2]=3;f[r+8>>2]=k;n[r+12>>2]=6.0/+(s|0);f[o>>2]=0;f[o+4>>2]=g;f[p>>2]=52880;f[p+4>>2]=a;f[p+8>>2]=b;f[p+12>>2]=c;f[p+16>>2]=d;f[p+20>>2]=e;f[p+24>>2]=r;oU(o,p,+(Y(g,e)|0)*.0000152587890625);break}else{f[r>>2]=i;f[r+4>>2]=k;n[r+8>>2]=6.0/+(s|0);f[o>>2]=0;f[o+4>>2]=g;f[p>>2]=52900;f[p+4>>2]=a;f[p+8>>2]=b;f[p+12>>2]=c;f[p+16>>2]=d;f[p+20>>2]=e;f[p+24>>2]=r;oU(o,p,+(Y(g,e)|0)*.0000152587890625);break}while(0);if(!(f[q+4>>2]|0)){u=m;return}u=m;return}function t4(a){a=a|0;Emc(a);return}function u4(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;d=c;zT(d,52912);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;a=e;while(1){v4(f[j>>2]|0,b,l,f[k>>2]|0);a=a+1|0;if((a|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;b=b+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function v4(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0;e=u;u=u+16|0;g=e;h=f[a+4>>2]|0;i=f[a>>2]|0;j=d*3|0;if((d|0)<=0){u=e;return}d=h^2;k=a+8|0;a=g+4|0;l=g+8|0;m=g+12|0;if((i|0)==4){o=0;p=c;while(1){q=+n[b+(o<<2)>>2];r=+n[b+(o+1<<2)>>2];s=+n[b+(o+2<<2)>>2];if(s==0.0){t=r;v=r;w=r}else{if(!(r<=.5))x=r+s-r*s;else x=r*(s+1.0);s=r*2.0-x;r=q*+n[k>>2];if(!(r<0.0))if(!(r>=6.0))y=r;else{q=r;while(1){z=q+-6.0;if(!(z>=6.0)){y=z;break}else q=z}}else{q=r;while(1){z=q+6.0;if(z<0.0)q=z;else{y=z;break}}}A=~~y;B=A-(+(A|0)>y&1)|0;q=y-+(B|0);n[g>>2]=x;n[a>>2]=s;r=x-s;n[l>>2]=s+r*(1.0-q);n[m>>2]=s+r*q;t=+n[g+(f[52932+(B*12|0)+8>>2]<<2)>>2];v=+n[g+(f[52932+(B*12|0)+4>>2]<<2)>>2];w=+n[g+(f[52932+(B*12|0)>>2]<<2)>>2]}n[p+(h<<2)>>2]=w;n[p+4>>2]=v;n[p+(d<<2)>>2]=t;n[p+12>>2]=1.0;o=o+3|0;if((o|0)>=(j|0))break;else p=p+16|0}u=e;return}else{p=0;o=c;while(1){t=+n[b+(p<<2)>>2];v=+n[b+(p+1<<2)>>2];w=+n[b+(p+2<<2)>>2];if(w==0.0){C=v;D=v;E=v}else{if(!(v<=.5))F=v+w-v*w;else F=v*(w+1.0);w=v*2.0-F;v=t*+n[k>>2];if(!(v<0.0))if(!(v>=6.0))G=v;else{t=v;while(1){x=t+-6.0;if(!(x>=6.0)){G=x;break}else t=x}}else{t=v;while(1){s=t+6.0;if(s<0.0)t=s;else{G=s;break}}}c=~~G;B=c-(+(c|0)>G&1)|0;t=G-+(B|0);n[g>>2]=F;n[a>>2]=w;v=F-w;n[l>>2]=w+v*(1.0-t);n[m>>2]=w+v*t;C=+n[g+(f[52932+(B*12|0)+8>>2]<<2)>>2];D=+n[g+(f[52932+(B*12|0)+4>>2]<<2)>>2];E=+n[g+(f[52932+(B*12|0)>>2]<<2)>>2]}n[o+(h<<2)>>2]=E;n[o+4>>2]=D;n[o+(d<<2)>>2]=C;p=p+3|0;if((p|0)>=(j|0))break;else o=o+(i<<2)|0}u=e;return}}function w4(a){a=a|0;Emc(a);return}function x4(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;zT(d,53004);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){y4(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function y4(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0;g=u;u=u+3072|0;i=g;j=f[a>>2]|0;if((e|0)<=0){u=g;return}k=a+4|0;a=(j|0)==4;l=d;d=0;m=c;while(1){c=e-d|0;o=(c|0)<256?c:256;p=o*3|0;q=(c|0)>0;if(q){c=0;do{n[i+(c<<2)>>2]=+(h[m+c>>0]|0);r=c+1|0;n[i+(r<<2)>>2]=+(h[m+r>>0]|0)*.003921568859368563;r=c+2|0;n[i+(r<<2)>>2]=+(h[m+r>>0]|0)*.003921568859368563;c=c+3|0}while((c|0)<(p|0));v4(k,i,i,o);if(q)if(a){c=0;r=l;while(1){s=U9b(+n[i+(c<<2)>>2]*255.0)|0;b[r>>0]=s>>>0<256?s:(s|0)>0?255:0;s=U9b(+n[i+(c+1<<2)>>2]*255.0)|0;b[r+1>>0]=s>>>0<256?s:(s|0)>0?255:0;s=U9b(+n[i+(c+2<<2)>>2]*255.0)|0;b[r+2>>0]=s>>>0<256?s:(s|0)>0?255:0;b[r+3>>0]=-1;c=c+3|0;s=r+4|0;if((c|0)>=(p|0)){t=s;break}else r=s}}else{r=0;c=l;while(1){q=U9b(+n[i+(r<<2)>>2]*255.0)|0;b[c>>0]=q>>>0<256?q:(q|0)>0?255:0;q=U9b(+n[i+(r+1<<2)>>2]*255.0)|0;b[c+1>>0]=q>>>0<256?q:(q|0)>0?255:0;q=U9b(+n[i+(r+2<<2)>>2]*255.0)|0;b[c+2>>0]=q>>>0<256?q:(q|0)>0?255:0;r=r+3|0;q=c+j|0;if((r|0)>=(p|0)){t=q;break}else c=q}}else t=l}else{v4(k,i,i,o);t=l}d=d+256|0;if((d|0)>=(e|0))break;else{l=t;m=m+768|0}}u=g;return}function z4(a){a=a|0;Emc(a);return}function A4(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0,N=0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0;c=u;u=u+32|0;d=c+8|0;e=c;zT(e,53024);g=f[b>>2]|0;h=f[b+4>>2]|0;if((g|0)<(h|0)){b=f[a+16>>2]|0;i=(f[a+12>>2]|0)+(Y(b,g)|0)|0;j=f[a+8>>2]|0;k=(f[a+4>>2]|0)+(Y(j,g)|0)|0;l=a+24|0;m=d+4|0;o=d+8|0;p=d+12|0;q=d+4|0;r=d+8|0;s=d+12|0;t=f[a+20>>2]|0;a=t*3|0;v=(t|0)>0;t=i;i=g;g=k;while(1){k=f[l>>2]|0;w=f[k+4>>2]|0;x=f[k>>2]|0;if((x|0)==3){if(v){y=k+8|0;z=w^2;A=0;B=t;while(1){C=g+(A<<2)|0;D=+n[C+4>>2];E=+n[C+8>>2];if(D==0.0){F=E;G=E;H=E}else{I=+n[y>>2]*+n[C>>2];if(!(I<0.0))if(!(I>=6.0))J=I;else{K=I;while(1){L=K+-6.0;if(!(L>=6.0)){J=L;break}else K=L}}else{K=I;while(1){L=K+6.0;if(L<0.0)K=L;else{J=L;break}}}C=~~J;M=C-(+(C|0)>J&1)|0;C=M>>>0>5;K=C?0.0:J-+(M|0);N=C?0:M;n[d>>2]=E;n[m>>2]=E*(1.0-D);n[o>>2]=E*(1.0-D*K);n[p>>2]=E*(1.0-D*(1.0-K));F=+n[d+(f[53044+(N*12|0)+8>>2]<<2)>>2];G=+n[d+(f[53044+(N*12|0)+4>>2]<<2)>>2];H=+n[d+(f[53044+(N*12|0)>>2]<<2)>>2]}n[B+(w<<2)>>2]=H;n[B+4>>2]=G;n[B+(z<<2)>>2]=F;A=A+3|0;if((A|0)>=(a|0))break;else B=B+12|0}}}else if(v){B=k+8|0;A=w^2;z=0;y=t;while(1){N=g+(z<<2)|0;K=+n[N+4>>2];I=+n[N+8>>2];if(K==0.0){O=I;P=I;Q=I}else{L=+n[B>>2]*+n[N>>2];if(!(L<0.0))if(!(L>=6.0))R=L;else{S=L;while(1){T=S+-6.0;if(!(T>=6.0)){R=T;break}else S=T}}else{S=L;while(1){D=S+6.0;if(D<0.0)S=D;else{R=D;break}}}N=~~R;M=N-(+(N|0)>R&1)|0;N=M>>>0>5;S=N?0.0:R-+(M|0);C=N?0:M;n[d>>2]=I;n[q>>2]=I*(1.0-K);n[r>>2]=I*(1.0-K*S);n[s>>2]=I*(1.0-K*(1.0-S));O=+n[d+(f[53044+(C*12|0)+8>>2]<<2)>>2];P=+n[d+(f[53044+(C*12|0)+4>>2]<<2)>>2];Q=+n[d+(f[53044+(C*12|0)>>2]<<2)>>2]}n[y+(w<<2)>>2]=Q;n[y+4>>2]=P;n[y+(A<<2)>>2]=O;n[y+12>>2]=1.0;z=z+3|0;if((z|0)>=(a|0))break;else y=y+(x<<2)|0}}i=i+1|0;if((i|0)>=(h|0))break;else{t=t+b|0;g=g+j|0}}}if(!(f[e+4>>2]|0)){u=c;return}u=c;return}function B4(a){a=a|0;Emc(a);return}function C4(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;zT(d,53116);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){D4(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function D4(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0,J=0,K=0;g=u;u=u+48|0;i=g+24|0;j=g;k=f[a>>2]|0;l=e*3|0;if((e|0)<=0){u=g;return}e=j+4|0;m=j+8|0;o=j+12|0;p=a+4|0;q=j+16|0;r=j+20|0;s=(k|0)==4;t=a+8|0;a=i+4|0;v=i+8|0;w=i+12|0;x=0;y=d;while(1){z=+(h[c+x>>0]|0);n[j>>2]=z;A=+(h[c+(x+1)>>0]|0)*.003921568859368563;n[e>>2]=A;B=+(h[c+(x+2)>>0]|0)*.003921568859368563;n[m>>2]=B;d=f[p>>2]|0;if(A==0.0){C=B;D=B;E=B}else{F=+n[t>>2]*z;if(!(F<0.0))if(!(F>=6.0))G=F;else{z=F;while(1){H=z+-6.0;if(!(H>=6.0)){G=H;break}else z=H}}else{z=F;while(1){H=z+6.0;if(H<0.0)z=H;else{G=H;break}}}I=~~G;J=I-(+(I|0)>G&1)|0;I=J>>>0>5;z=I?0.0:G-+(J|0);K=I?0:J;n[i>>2]=B;n[a>>2]=B*(1.0-A);n[v>>2]=B*(1.0-A*z);n[w>>2]=B*(1.0-A*(1.0-z));C=+n[i+(f[53044+(K*12|0)+8>>2]<<2)>>2];D=+n[i+(f[53044+(K*12|0)+4>>2]<<2)>>2];E=+n[i+(f[53044+(K*12|0)>>2]<<2)>>2]}n[o+(d<<2)>>2]=E;n[q>>2]=D;n[o+((d^2)<<2)>>2]=C;K=U9b(+n[o>>2]*255.0)|0;b[y>>0]=K>>>0<256?K:(K|0)>0?255:0;K=U9b(+n[q>>2]*255.0)|0;b[y+1>>0]=K>>>0<256?K:(K|0)>0?255:0;K=U9b(+n[r>>2]*255.0)|0;b[y+2>>0]=K>>>0<256?K:(K|0)>0?255:0;if(s)b[y+3>>0]=-1;x=x+3|0;if((x|0)>=(l|0))break;else y=y+k|0}u=g;return}function E4(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+128|0;g=e;F4(g,a,b,3);h4(f[g+16>>2]|0,f[g+48>>2]|0,f[g+72>>2]|0,f[g+104>>2]|0,f[g+12>>2]|0,f[g+8>>2]|0,f[g+112>>2]|0,f[g+116>>2]|0,c,d,0);G4(g);u=e;return}function F4(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;g=u;u=u+64|0;h=g+8|0;i=g;f[a>>2]=1124007936;j=a+4|0;k=a+8|0;l=a+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;o=a+48|0;p=a+44|0;f[p>>2]=o;f[o>>2]=0;f[a+52>>2]=0;o=a+56|0;f[o>>2]=1124007936;q=a+60|0;r=a+64|0;s=a+96|0;m=q;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[s>>2]=r;t=a+104|0;v=a+100|0;f[v>>2]=t;f[t>>2]=0;f[a+108>>2]=0;t=a+120|0;f[t>>2]=0;w=a+124|0;f[w>>2]=0;if(DD(c)|0){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,13)|0;x=288769;n=m+13|0;do{b[m>>0]=b[x>>0]|0;m=m+1|0;x=x+1|0}while((m|0)<(n|0));SQ(-215,h,288783,285307,250)}x=oD(c,-1)|0;m=x>>>3;n=(m&511)+1|0;f[a+116>>2]=n;y=x&7;z=a+112|0;f[z>>2]=y;if((m&510|0)!=2)JY(n,53136);if((e|0)!=3)JY(e,53164);switch(x&7){case 0:case 5:break;default:GY(y,53192)}y=c+4|0;x=d+4|0;if((f[y>>2]|0)!=(f[x>>2]|0)){do if((pD(c)|0)==65536){e=f[y>>2]|0;f[h>>2]=f[e>>2];n=h+4|0;m=e+4|0;f[n>>2]=f[m>>2];A=h+8|0;f[A>>2]=f[e+8>>2];f[h+12>>2]=f[e+12>>2];f[h+16>>2]=f[e+16>>2];f[h+20>>2]=f[e+20>>2];f[h+24>>2]=f[e+24>>2];f[h+28>>2]=f[e+28>>2];f[h+32>>2]=f[e+32>>2];B=f[e+36>>2]|0;f[h+36>>2]=B;f[h+40>>2]=A;A=h+48|0;C=h+44|0;f[C>>2]=A;f[A>>2]=0;f[h+52>>2]=0;if(B|0){A=B+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[m>>2]|0)<3){m=f[e+44>>2]|0;A=f[C>>2]|0;f[A>>2]=f[m>>2];f[A+4>>2]=f[m+4>>2];break}else{f[n>>2]=0;kP(h,e);break}}else lD(h,c,-1);while(0);y=h+36|0;e=f[y>>2]|0;if((a|0)==(h|0))D=e;else{if(e|0){n=e+12|0;f[n>>2]=(f[n>>2]|0)+1}n=a+36|0;e=f[n>>2]|0;if(e|0?(m=e+12|0,e=f[m>>2]|0,f[m>>2]=e+-1,(e|0)==1):0)lP(a);f[n>>2]=0;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[j>>2]|0)>0){m=f[l>>2]|0;A=0;do{f[m+(A<<2)>>2]=0;A=A+1|0;E=f[j>>2]|0}while((A|0)<(E|0));f[a>>2]=f[h>>2];if((E|0)<3)F=29;else F=31}else{f[a>>2]=f[h>>2];F=29}if((F|0)==29){E=f[h+4>>2]|0;if((E|0)<3){f[j>>2]=E;f[k>>2]=f[h+8>>2];f[a+12>>2]=f[h+12>>2];k=f[h+44>>2]|0;E=f[p>>2]|0;f[E>>2]=f[k>>2];f[E+4>>2]=f[k+4>>2]}else F=31}if((F|0)==31)kP(a,h);f[e>>2]=f[h+16>>2];f[a+20>>2]=f[h+20>>2];f[a+24>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];e=f[y>>2]|0;f[n>>2]=e;D=e}if(D|0?(e=D+12|0,D=f[e>>2]|0,f[e>>2]=D+-1,(D|0)==1):0)lP(h);f[y>>2]=0;y=h+16|0;D=h+4|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[D>>2]|0)>0){y=f[h+40>>2]|0;e=0;do{f[y+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[D>>2]|0))}D=f[h+44>>2]|0;if((D|0)!=(h+48|0))tE(D)}else{D=h+8|0;f[D>>2]=0;f[D+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=a;FD(c,h)}c=f[l>>2]|0;l=f[c+4>>2]|0;D=f[c>>2]|0;f[t>>2]=l;f[w>>2]=D;f[i>>2]=l;f[i+4>>2]=D;HD(d,i,f[z>>2]&7|16,-1,0,0);do if((pD(d)|0)==65536){z=f[x>>2]|0;f[h>>2]=f[z>>2];i=h+4|0;D=z+4|0;f[i>>2]=f[D>>2];l=h+8|0;f[l>>2]=f[z+8>>2];f[h+12>>2]=f[z+12>>2];f[h+16>>2]=f[z+16>>2];f[h+20>>2]=f[z+20>>2];f[h+24>>2]=f[z+24>>2];f[h+28>>2]=f[z+28>>2];f[h+32>>2]=f[z+32>>2];w=f[z+36>>2]|0;f[h+36>>2]=w;f[h+40>>2]=l;l=h+48|0;t=h+44|0;f[t>>2]=l;f[l>>2]=0;f[h+52>>2]=0;if(w|0){l=w+12|0;f[l>>2]=(f[l>>2]|0)+1}if((f[D>>2]|0)<3){D=f[z+44>>2]|0;l=f[t>>2]|0;f[l>>2]=f[D>>2];f[l+4>>2]=f[D+4>>2];break}else{f[i>>2]=0;kP(h,z);break}}else lD(h,d,-1);while(0);d=h+36|0;x=f[d>>2]|0;if((o|0)==(h|0))G=x;else{if(x|0){z=x+12|0;f[z>>2]=(f[z>>2]|0)+1}z=a+92|0;x=f[z>>2]|0;if(x|0?(i=x+12|0,x=f[i>>2]|0,f[i>>2]=x+-1,(x|0)==1):0)lP(o);f[z>>2]=0;x=a+72|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[q>>2]|0)>0){i=f[s>>2]|0;s=0;do{f[i+(s<<2)>>2]=0;s=s+1|0;H=f[q>>2]|0}while((s|0)<(H|0));f[o>>2]=f[h>>2];if((H|0)<3)F=60;else F=62}else{f[o>>2]=f[h>>2];F=60}if((F|0)==60){H=f[h+4>>2]|0;if((H|0)<3){f[q>>2]=H;f[r>>2]=f[h+8>>2];f[a+68>>2]=f[h+12>>2];r=f[h+44>>2]|0;H=f[v>>2]|0;f[H>>2]=f[r>>2];f[H+4>>2]=f[r+4>>2]}else F=62}if((F|0)==62)kP(o,h);f[x>>2]=f[h+16>>2];f[a+76>>2]=f[h+20>>2];f[a+80>>2]=f[h+24>>2];f[a+84>>2]=f[h+28>>2];f[a+88>>2]=f[h+32>>2];a=f[d>>2]|0;f[z>>2]=a;G=a}if(G|0?(a=G+12|0,G=f[a>>2]|0,f[a>>2]=G+-1,(G|0)==1):0)lP(h);f[d>>2]=0;d=h+16|0;G=h+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[G>>2]|0)>0){d=f[h+40>>2]|0;a=0;do{f[d+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[G>>2]|0))}G=f[h+44>>2]|0;if((G|0)==(h+48|0)){u=g;return}tE(G);u=g;return}function G4(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+56|0;c=a+92|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+72|0;b=a+60|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+96>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+100>>2]|0;if((b|0)!=(a+104|0))tE(b);b=a+36|0;d=f[b>>2]|0;if(d|0?(c=d+12|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)lP(a);f[b>>2]=0;b=a+16|0;d=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+40>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+44>>2]|0;if((d|0)==(a+48|0))return;tE(d);return}function H4(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+128|0;g=e;F4(g,a,b,3);h4(f[g+16>>2]|0,f[g+48>>2]|0,f[g+72>>2]|0,f[g+104>>2]|0,f[g+12>>2]|0,f[g+8>>2]|0,f[g+112>>2]|0,f[g+116>>2]|0,c,d,1);G4(g);u=e;return}function I4(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+128|0;h=g;i=(c|0)<1?3:c;J4(h,a,b,i);s4(f[h+16>>2]|0,f[h+48>>2]|0,f[h+72>>2]|0,f[h+104>>2]|0,f[h+12>>2]|0,f[h+8>>2]|0,f[h+112>>2]|0,i,d,e,0);K4(h);u=g;return}function J4(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;g=u;u=u+64|0;h=g+8|0;i=g;f[a>>2]=1124007936;j=a+4|0;k=a+8|0;l=a+40|0;m=j;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[l>>2]=k;o=a+48|0;p=a+44|0;f[p>>2]=o;f[o>>2]=0;f[a+52>>2]=0;o=a+56|0;f[o>>2]=1124007936;q=a+60|0;r=a+64|0;s=a+96|0;m=q;n=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(n|0));f[s>>2]=r;t=a+104|0;v=a+100|0;f[v>>2]=t;f[t>>2]=0;f[a+108>>2]=0;t=a+120|0;f[t>>2]=0;w=a+124|0;f[w>>2]=0;if(DD(c)|0){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,13)|0;x=288769;n=m+13|0;do{b[m>>0]=b[x>>0]|0;m=m+1|0;x=x+1|0}while((m|0)<(n|0));SQ(-215,h,288783,285307,250)}x=oD(c,-1)|0;m=(x>>>3&511)+1|0;f[a+116>>2]=m;n=x&7;y=a+112|0;f[y>>2]=n;if((m|0)!=3)JY(m,53220);if((e+-3|0)>>>0>=2)JY(e,53248);switch(x&7){case 0:case 5:break;default:GY(n,53276)}n=c+4|0;x=d+4|0;if((f[n>>2]|0)!=(f[x>>2]|0)){do if((pD(c)|0)==65536){m=f[n>>2]|0;f[h>>2]=f[m>>2];z=h+4|0;A=m+4|0;f[z>>2]=f[A>>2];B=h+8|0;f[B>>2]=f[m+8>>2];f[h+12>>2]=f[m+12>>2];f[h+16>>2]=f[m+16>>2];f[h+20>>2]=f[m+20>>2];f[h+24>>2]=f[m+24>>2];f[h+28>>2]=f[m+28>>2];f[h+32>>2]=f[m+32>>2];C=f[m+36>>2]|0;f[h+36>>2]=C;f[h+40>>2]=B;B=h+48|0;D=h+44|0;f[D>>2]=B;f[B>>2]=0;f[h+52>>2]=0;if(C|0){B=C+12|0;f[B>>2]=(f[B>>2]|0)+1}if((f[A>>2]|0)<3){A=f[m+44>>2]|0;B=f[D>>2]|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];break}else{f[z>>2]=0;kP(h,m);break}}else lD(h,c,-1);while(0);n=h+36|0;m=f[n>>2]|0;if((a|0)==(h|0))E=m;else{if(m|0){z=m+12|0;f[z>>2]=(f[z>>2]|0)+1}z=a+36|0;m=f[z>>2]|0;if(m|0?(A=m+12|0,m=f[A>>2]|0,f[A>>2]=m+-1,(m|0)==1):0)lP(a);f[z>>2]=0;m=a+16|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[j>>2]|0)>0){A=f[l>>2]|0;B=0;do{f[A+(B<<2)>>2]=0;B=B+1|0;F=f[j>>2]|0}while((B|0)<(F|0));f[a>>2]=f[h>>2];if((F|0)<3)G=29;else G=31}else{f[a>>2]=f[h>>2];G=29}if((G|0)==29){F=f[h+4>>2]|0;if((F|0)<3){f[j>>2]=F;f[k>>2]=f[h+8>>2];f[a+12>>2]=f[h+12>>2];k=f[h+44>>2]|0;F=f[p>>2]|0;f[F>>2]=f[k>>2];f[F+4>>2]=f[k+4>>2]}else G=31}if((G|0)==31)kP(a,h);f[m>>2]=f[h+16>>2];f[a+20>>2]=f[h+20>>2];f[a+24>>2]=f[h+24>>2];f[a+28>>2]=f[h+28>>2];f[a+32>>2]=f[h+32>>2];m=f[n>>2]|0;f[z>>2]=m;E=m}if(E|0?(m=E+12|0,E=f[m>>2]|0,f[m>>2]=E+-1,(E|0)==1):0)lP(h);f[n>>2]=0;n=h+16|0;E=h+4|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[E>>2]|0)>0){n=f[h+40>>2]|0;m=0;do{f[n+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[E>>2]|0))}E=f[h+44>>2]|0;if((E|0)!=(h+48|0))tE(E)}else{E=h+8|0;f[E>>2]=0;f[E+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=a;FD(c,h)}c=f[l>>2]|0;l=f[c+4>>2]|0;E=f[c>>2]|0;f[t>>2]=l;f[w>>2]=E;f[i>>2]=l;f[i+4>>2]=E;HD(d,i,f[y>>2]&7|(e<<3)+-8,-1,0,0);do if((pD(d)|0)==65536){e=f[x>>2]|0;f[h>>2]=f[e>>2];y=h+4|0;i=e+4|0;f[y>>2]=f[i>>2];E=h+8|0;f[E>>2]=f[e+8>>2];f[h+12>>2]=f[e+12>>2];f[h+16>>2]=f[e+16>>2];f[h+20>>2]=f[e+20>>2];f[h+24>>2]=f[e+24>>2];f[h+28>>2]=f[e+28>>2];f[h+32>>2]=f[e+32>>2];l=f[e+36>>2]|0;f[h+36>>2]=l;f[h+40>>2]=E;E=h+48|0;w=h+44|0;f[w>>2]=E;f[E>>2]=0;f[h+52>>2]=0;if(l|0){E=l+12|0;f[E>>2]=(f[E>>2]|0)+1}if((f[i>>2]|0)<3){i=f[e+44>>2]|0;E=f[w>>2]|0;f[E>>2]=f[i>>2];f[E+4>>2]=f[i+4>>2];break}else{f[y>>2]=0;kP(h,e);break}}else lD(h,d,-1);while(0);d=h+36|0;x=f[d>>2]|0;if((o|0)==(h|0))H=x;else{if(x|0){e=x+12|0;f[e>>2]=(f[e>>2]|0)+1}e=a+92|0;x=f[e>>2]|0;if(x|0?(y=x+12|0,x=f[y>>2]|0,f[y>>2]=x+-1,(x|0)==1):0)lP(o);f[e>>2]=0;x=a+72|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[q>>2]|0)>0){y=f[s>>2]|0;s=0;do{f[y+(s<<2)>>2]=0;s=s+1|0;I=f[q>>2]|0}while((s|0)<(I|0));f[o>>2]=f[h>>2];if((I|0)<3)G=60;else G=62}else{f[o>>2]=f[h>>2];G=60}if((G|0)==60){I=f[h+4>>2]|0;if((I|0)<3){f[q>>2]=I;f[r>>2]=f[h+8>>2];f[a+68>>2]=f[h+12>>2];r=f[h+44>>2]|0;I=f[v>>2]|0;f[I>>2]=f[r>>2];f[I+4>>2]=f[r+4>>2]}else G=62}if((G|0)==62)kP(o,h);f[x>>2]=f[h+16>>2];f[a+76>>2]=f[h+20>>2];f[a+80>>2]=f[h+24>>2];f[a+84>>2]=f[h+28>>2];f[a+88>>2]=f[h+32>>2];a=f[d>>2]|0;f[e>>2]=a;H=a}if(H|0?(a=H+12|0,H=f[a>>2]|0,f[a>>2]=H+-1,(H|0)==1):0)lP(h);f[d>>2]=0;d=h+16|0;H=h+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[H>>2]|0)>0){d=f[h+40>>2]|0;a=0;do{f[d+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[H>>2]|0))}H=f[h+44>>2]|0;if((H|0)==(h+48|0)){u=g;return}tE(H);u=g;return}function K4(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+56|0;c=a+92|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+72|0;b=a+60|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+96>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+100>>2]|0;if((b|0)!=(a+104|0))tE(b);b=a+36|0;d=f[b>>2]|0;if(d|0?(c=d+12|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)lP(a);f[b>>2]=0;b=a+16|0;d=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[d>>2]|0)>0){b=f[a+40>>2]|0;c=0;do{f[b+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[a+44>>2]|0;if((d|0)==(a+48|0))return;tE(d);return}function L4(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+128|0;h=g;i=(c|0)<1?3:c;J4(h,a,b,i);s4(f[h+16>>2]|0,f[h+48>>2]|0,f[h+72>>2]|0,f[h+104>>2]|0,f[h+12>>2]|0,f[h+8>>2]|0,f[h+112>>2]|0,i,d,e,1);K4(h);u=g;return}function M4(){var a=0,b=0,c=0,d=0,e=0;a=u;u=u+32|0;b=a+8|0;c=a;d=a+16|0;e=527656;f[e>>2]=1149814285;f[e+4>>2]=1071277473;e=527664;f[e>>2]=963447064;f[e+4>>2]=1071047319;e=527672;f[e>>2]=-768008872;f[e+4>>2]=1070012441;e=527680;f[e>>2]=-1494786058;f[e+4>>2]=1070282957;e=527688;f[e>>2]=963447064;f[e+4>>2]=1072095895;e=527696;f[e>>2]=-423037099;f[e+4>>2]=1068661162;e=527704;f[e>>2]=-959598773;f[e+4>>2]=1066650698;e=527712;f[e>>2]=-1259765448;f[e+4>>2]=1069450094;e=527720;f[e>>2]=1947784849;f[e+4>>2]=1072588866;e=527728;f[e>>2]=1090715535;f[e+4>>2]=1074392192;e=527736;f[e>>2]=-1724858866;f[e+4>>2]=-1074227158;e=527744;f[e>>2]=1480217529;f[e+4>>2]=-1075845121;e=527752;f[e>>2]=682521843;f[e+4>>2]=-1074854875;e=527760;f[e>>2]=596210180;f[e+4>>2]=1073611791;e=527768;f[e>>2]=-102254581;f[e+4>>2]=1067796179;e=527776;f[e>>2]=137164076;f[e+4>>2]=1068269029;e=527784;f[e>>2]=-1107483087;f[e+4>>2]=-1077273068;e=527792;f[e>>2]=-261408890;f[e+4>>2]=1072753342;e=527800;f[e>>2]=-1282855192;f[e+4>>2]=1072589346;e=527808;f[e>>2]=0;f[e+4>>2]=1072693248;e=527816;f[e>>2]=1349925401;f[e+4>>2]=1072786313;Gzb(b,2048);Gzb(c,3);Nzb(d,b,c);f[136389]=f[d>>2];Gzb(545560,-134);Gzb(545564,220);Lzb(545568,545564,545560);Gzb(545572,-140);Gzb(545576,122);Lzb(545580,545576,545572);Rzb(b,809);Rzb(c,2e4);cAb(527824,b,c);Rzb(b,7827);Rzb(c,25e5);cAb(527832,b,c);Rzb(b,323);Rzb(c,25);cAb(527840,b,c);Rzb(b,12);Rzb(c,5);cAb(527848,b,c);Rzb(b,11);Rzb(c,200);cAb(527856,b,c);Gzb(b,216);Gzb(c,24389);Nzb(545584,b,c);Gzb(b,841);Gzb(c,108);Nzb(545588,b,c);Gzb(b,16);Gzb(c,116);Nzb(545592,b,c);Gzb(545596,255);u=a;return}function N4(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0;k=u;u=u+96|0;l=k+80|0;m=k+48|0;o=k+40|0;q=k;zT(o,53304);switch(h|0){case 0:{f[q>>2]=i;h=q+4|0;r=h;s=53324;t=r+36|0;do{f[r>>2]=f[s>>2];r=r+4|0;s=s+4|0}while((r|0)<(t|0));if(!j){f[h>>2]=739;f[q+12>>2]=1689;f[q+16>>2]=296;f[q+24>>2]=871;f[q+28>>2]=3892;f[q+36>>2]=79}f[l>>2]=0;f[l+4>>2]=g;f[m>>2]=53368;f[m+4>>2]=a;f[m+8>>2]=b;f[m+12>>2]=c;f[m+16>>2]=d;f[m+20>>2]=e;f[m+24>>2]=q;oU(l,m,+(Y(g,e)|0)*.0000152587890625);break}case 2:{f[q>>2]=i;h=q+4|0;r=h;s=53324;t=r+36|0;do{f[r>>2]=f[s>>2];r=r+4|0;s=s+4|0}while((r|0)<(t|0));if(!j){f[h>>2]=739;f[q+12>>2]=1689;f[q+16>>2]=296;f[q+24>>2]=871;f[q+28>>2]=3892;f[q+36>>2]=79}f[l>>2]=0;f[l+4>>2]=g;f[m>>2]=53388;f[m+4>>2]=a;f[m+8>>2]=b;f[m+12>>2]=c;f[m+16>>2]=d;f[m+20>>2]=e;f[m+24>>2]=q;oU(l,m,+(Y(g,e)|0)*.0000152587890625);break}default:{f[q>>2]=i;v=+p[65957];i=q+4|0;n[i>>2]=v;n[q+8>>2]=+p[65958];w=+p[65959];h=q+12|0;n[h>>2]=w;x=+p[65960];s=q+16|0;n[s>>2]=x;n[q+20>>2]=+p[65961];y=+p[65962];r=q+24|0;n[r>>2]=y;z=+p[65963];t=q+28|0;n[t>>2]=z;n[q+32>>2]=+p[65964];A=+p[65965];B=q+36|0;n[B>>2]=A;if(!j){n[i>>2]=w;n[h>>2]=v;n[s>>2]=y;n[r>>2]=x;n[t>>2]=A;n[B>>2]=z}f[l>>2]=0;f[l+4>>2]=g;f[m>>2]=53408;f[m+4>>2]=a;f[m+8>>2]=b;f[m+12>>2]=c;f[m+16>>2]=d;f[m+20>>2]=e;f[m+24>>2]=q;oU(l,m,+(Y(g,e)|0)*.0000152587890625)}}if(!(f[o+4>>2]|0)){u=k;return}u=k;return}function O4(a){a=a|0;Emc(a);return}function P4(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0,B=0.0,C=0.0,D=0.0;c=u;u=u+16|0;d=c;zT(d,53420);e=f[b>>2]|0;g=f[b+4>>2]|0;a:do if((e|0)<(g|0)){b=f[a+16>>2]|0;h=f[a+8>>2]|0;i=a+24|0;j=f[a+20>>2]|0;k=j*3|0;if((j|0)<=0){j=e;while(1){j=j+1|0;if((j|0)>=(g|0))break a}}j=(f[a+4>>2]|0)+(Y(h,e)|0)|0;l=(f[a+12>>2]|0)+(Y(b,e)|0)|0;m=e;o=j;while(1){j=f[i>>2]|0;p=f[j>>2]|0;q=+n[j+4>>2];r=+n[j+8>>2];s=+n[j+12>>2];t=+n[j+16>>2];v=+n[j+20>>2];w=+n[j+24>>2];x=+n[j+28>>2];y=+n[j+32>>2];z=+n[j+36>>2];j=0;A=o;while(1){B=+n[A>>2];C=+n[A+4>>2];D=+n[A+8>>2];n[l+(j<<2)>>2]=q*B+r*C+s*D;n[l+(j+1<<2)>>2]=t*B+v*C+w*D;n[l+(j+2<<2)>>2]=x*B+y*C+z*D;j=j+3|0;if((j|0)>=(k|0))break;else A=A+(p<<2)|0}m=m+1|0;if((m|0)>=(g|0))break;else{l=l+b|0;o=o+h|0}}}while(0);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function Q4(a){a=a|0;Emc(a);return}function R4(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;zT(d,53440);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){S4(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function S4(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;g=f[a>>2]|0;h=f[a+4>>2]|0;i=f[a+8>>2]|0;k=f[a+12>>2]|0;l=f[a+16>>2]|0;m=f[a+20>>2]|0;n=f[a+24>>2]|0;o=f[a+28>>2]|0;p=f[a+32>>2]|0;q=f[a+36>>2]|0;a=e*3|0;if((e|0)>0){r=0;s=b}else return;while(1){b=j[s>>1]|0;e=Y(b,h)|0;t=j[s+2>>1]|0;u=Y(t,i)|0;v=j[s+4>>1]|0;w=e+2048+u+(Y(v,k)|0)>>12;u=(Y(b,l)|0)+2048+(Y(t,m)|0)+(Y(v,n)|0)>>12;e=(Y(b,o)|0)+2048+(Y(t,p)|0)+(Y(v,q)|0)>>12;d[c+(r<<1)>>1]=w>>>0<65536?w:(w|0)>0?65535:0;d[c+(r+1<<1)>>1]=u>>>0<65536?u:(u|0)>0?65535:0;d[c+(r+2<<1)>>1]=e>>>0<65536?e:(e|0)>0?65535:0;r=r+3|0;if((r|0)>=(a|0))break;else s=s+(g<<1)|0}return}function T4(a){a=a|0;Emc(a);return}function U4(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;zT(d,53460);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){V4(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function V4(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;g=f[a>>2]|0;i=f[a+4>>2]|0;j=f[a+8>>2]|0;k=f[a+12>>2]|0;l=f[a+16>>2]|0;m=f[a+20>>2]|0;n=f[a+24>>2]|0;o=f[a+28>>2]|0;p=f[a+32>>2]|0;q=f[a+36>>2]|0;a=e*3|0;if((e|0)>0){r=0;s=c}else return;while(1){c=h[s>>0]|0;e=Y(c,i)|0;t=h[s+1>>0]|0;u=Y(t,j)|0;v=h[s+2>>0]|0;w=e+2048+u+(Y(v,k)|0)>>12;u=(Y(c,l)|0)+2048+(Y(t,m)|0)+(Y(v,n)|0)>>12;e=(Y(c,o)|0)+2048+(Y(t,p)|0)+(Y(v,q)|0)>>12;b[d+r>>0]=w>>>0<256?w:(w|0)>0?255:0;b[d+(r+1)>>0]=u>>>0<256?u:(u|0)>0?255:0;b[d+(r+2)>>0]=e>>>0<256?e:(e|0)>0?255:0;r=r+3|0;if((r|0)>=(a|0))break;else s=s+g|0}return}function W4(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0;k=u;u=u+96|0;l=k+88|0;m=k+56|0;o=k+48|0;q=k;zT(o,53480);r=j?2:0;switch(h|0){case 0:{f[q>>2]=i;f[q+4>>2]=r;h=q+8|0;s=h;t=53500;v=s+36|0;do{f[s>>2]=f[t>>2];s=s+4|0;t=t+4|0}while((s|0)<(v|0));if(!j){f[h>>2]=228;f[q+32>>2]=13273;f[q+12>>2]=-836;f[q+36>>2]=-6296;f[q+16>>2]=4331;f[q+40>>2]=-2042}f[l>>2]=0;f[l+4>>2]=g;f[m>>2]=53544;f[m+4>>2]=a;f[m+8>>2]=b;f[m+12>>2]=c;f[m+16>>2]=d;f[m+20>>2]=e;f[m+24>>2]=q;oU(l,m,+(Y(g,e)|0)*.0000152587890625);break}case 2:{f[q>>2]=i;f[q+4>>2]=r;h=q+8|0;s=h;t=53500;v=s+36|0;do{f[s>>2]=f[t>>2];s=s+4|0;t=t+4|0}while((s|0)<(v|0));if(!j){f[h>>2]=228;f[q+32>>2]=13273;f[q+12>>2]=-836;f[q+36>>2]=-6296;f[q+16>>2]=4331;f[q+40>>2]=-2042}f[l>>2]=0;f[l+4>>2]=g;f[m>>2]=53564;f[m+4>>2]=a;f[m+8>>2]=b;f[m+12>>2]=c;f[m+16>>2]=d;f[m+20>>2]=e;f[m+24>>2]=q;oU(l,m,+(Y(g,e)|0)*.0000152587890625);break}default:{f[q>>2]=i;f[q+4>>2]=r;w=+p[65966];r=q+8|0;n[r>>2]=w;x=+p[65967];i=q+12|0;n[i>>2]=x;y=+p[65968];h=q+16|0;n[h>>2]=y;n[q+20>>2]=+p[65969];n[q+24>>2]=+p[65970];n[q+28>>2]=+p[65971];z=+p[65972];t=q+32|0;n[t>>2]=z;A=+p[65973];s=q+36|0;n[s>>2]=A;B=+p[65974];v=q+40|0;n[v>>2]=B;if(!j){n[r>>2]=z;n[t>>2]=w;n[i>>2]=A;n[s>>2]=x;n[h>>2]=B;n[v>>2]=y}f[l>>2]=0;f[l+4>>2]=g;f[m>>2]=53584;f[m+4>>2]=a;f[m+8>>2]=b;f[m+12>>2]=c;f[m+16>>2]=d;f[m+20>>2]=e;f[m+24>>2]=q;oU(l,m,+(Y(g,e)|0)*.0000152587890625)}}if(!(f[o+4>>2]|0)){u=k;return}u=k;return}function X4(a){a=a|0;Emc(a);return}function Y4(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;zT(d,53596);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){Z4(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function Z4(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0.0,h=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,o=0.0,p=0.0,q=0,r=0.0,s=0.0,t=0.0;e=f[a>>2]|0;g=+n[a+8>>2];h=+n[a+12>>2];i=+n[a+16>>2];j=+n[a+20>>2];k=+n[a+24>>2];l=+n[a+28>>2];m=+n[a+32>>2];o=+n[a+36>>2];p=+n[a+40>>2];a=d*3|0;if((d|0)<=0)return;if((e|0)==4){d=0;q=c;while(1){r=+n[b+(d<<2)>>2];s=+n[b+(d+1<<2)>>2];t=+n[b+(d+2<<2)>>2];n[q>>2]=g*r+h*s+i*t;n[q+4>>2]=j*r+k*s+l*t;n[q+8>>2]=m*r+o*s+p*t;n[q+12>>2]=1.0;d=d+3|0;if((d|0)>=(a|0))break;else q=q+16|0}return}else{q=0;d=c;while(1){t=+n[b+(q<<2)>>2];s=+n[b+(q+1<<2)>>2];r=+n[b+(q+2<<2)>>2];n[d>>2]=g*t+h*s+i*r;n[d+4>>2]=j*t+k*s+l*r;n[d+8>>2]=m*t+o*s+p*r;q=q+3|0;if((q|0)>=(a|0))break;else d=d+(e<<2)|0}return}}function _4(a){a=a|0;Emc(a);return}function $4(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;zT(d,53616);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){a5(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function a5(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;g=f[a>>2]|0;h=f[a+8>>2]|0;i=f[a+12>>2]|0;k=f[a+16>>2]|0;l=f[a+20>>2]|0;m=f[a+24>>2]|0;n=f[a+28>>2]|0;o=f[a+32>>2]|0;p=f[a+36>>2]|0;q=f[a+40>>2]|0;a=e*3|0;if((e|0)<=0)return;if((g|0)==4){e=0;r=c;while(1){s=j[b+(e<<1)>>1]|0;t=Y(s,h)|0;u=j[b+(e+1<<1)>>1]|0;v=Y(u,i)|0;w=j[b+(e+2<<1)>>1]|0;x=t+2048+v+(Y(w,k)|0)>>12;v=(Y(s,l)|0)+2048+(Y(u,m)|0)+(Y(w,n)|0)>>12;t=(Y(s,o)|0)+2048+(Y(u,p)|0)+(Y(w,q)|0)>>12;d[r>>1]=x>>>0<65536?x:(x|0)>0?65535:0;d[r+2>>1]=v>>>0<65536?v:(v|0)>0?65535:0;d[r+4>>1]=t>>>0<65536?t:(t|0)>0?65535:0;d[r+6>>1]=-1;e=e+3|0;if((e|0)>=(a|0))break;else r=r+8|0}return}else{r=0;e=c;while(1){c=j[b+(r<<1)>>1]|0;t=Y(c,h)|0;v=j[b+(r+1<<1)>>1]|0;x=Y(v,i)|0;w=j[b+(r+2<<1)>>1]|0;u=t+2048+x+(Y(w,k)|0)>>12;x=(Y(c,l)|0)+2048+(Y(v,m)|0)+(Y(w,n)|0)>>12;t=(Y(c,o)|0)+2048+(Y(v,p)|0)+(Y(w,q)|0)>>12;d[e>>1]=u>>>0<65536?u:(u|0)>0?65535:0;d[e+2>>1]=x>>>0<65536?x:(x|0)>0?65535:0;d[e+4>>1]=t>>>0<65536?t:(t|0)>0?65535:0;r=r+3|0;if((r|0)>=(a|0))break;else e=e+(g<<1)|0}return}}function b5(a){a=a|0;Emc(a);return}function c5(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;zT(d,53636);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){d5(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function d5(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;g=f[a>>2]|0;i=f[a+8>>2]|0;j=f[a+12>>2]|0;k=f[a+16>>2]|0;l=f[a+20>>2]|0;m=f[a+24>>2]|0;n=f[a+28>>2]|0;o=f[a+32>>2]|0;p=f[a+36>>2]|0;q=f[a+40>>2]|0;a=e*3|0;if((e|0)<=0)return;if((g|0)==4){e=0;r=d;while(1){s=h[c+e>>0]|0;t=Y(s,i)|0;u=h[c+(e+1)>>0]|0;v=Y(u,j)|0;w=h[c+(e+2)>>0]|0;x=t+2048+v+(Y(w,k)|0)>>12;v=(Y(s,l)|0)+2048+(Y(u,m)|0)+(Y(w,n)|0)>>12;t=(Y(s,o)|0)+2048+(Y(u,p)|0)+(Y(w,q)|0)>>12;b[r>>0]=x>>>0<256?x:(x|0)>0?255:0;b[r+1>>0]=v>>>0<256?v:(v|0)>0?255:0;b[r+2>>0]=t>>>0<256?t:(t|0)>0?255:0;b[r+3>>0]=-1;e=e+3|0;if((e|0)>=(a|0))break;else r=r+4|0}return}else{r=0;e=d;while(1){d=h[c+r>>0]|0;t=Y(d,i)|0;v=h[c+(r+1)>>0]|0;x=Y(v,j)|0;w=h[c+(r+2)>>0]|0;u=t+2048+x+(Y(w,k)|0)>>12;x=(Y(d,l)|0)+2048+(Y(v,m)|0)+(Y(w,n)|0)>>12;t=(Y(d,o)|0)+2048+(Y(v,p)|0)+(Y(w,q)|0)>>12;b[e>>0]=u>>>0<256?u:(u|0)>0?255:0;b[e+1>>0]=x>>>0<256?x:(x|0)>0?255:0;b[e+2>>0]=t>>>0<256?t:(t|0)>0?255:0;r=r+3|0;if((r|0)>=(a|0))break;else e=e+g|0}return}}function e5(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0;n=u;u=u+128|0;o=n+112|0;p=n+80|0;q=n+72|0;r=n;zT(q,53656);s=k?2:0;k=(i|0)==0;do if(l)if(k){f5(r,j,s,0,0,m);f[o>>2]=0;f[o+4>>2]=h;f[p>>2]=53684;f[p+4>>2]=a;f[p+8>>2]=c;f[p+12>>2]=d;f[p+16>>2]=e;f[p+20>>2]=g;f[p+24>>2]=r;oU(o,p,+(Y(h,g)|0)*.0000152587890625);break}else{g5(r,j,s,0,0,m);f[o>>2]=0;f[o+4>>2]=h;f[p>>2]=53704;f[p+4>>2]=a;f[p+8>>2]=c;f[p+12>>2]=d;f[p+16>>2]=e;f[p+20>>2]=g;f[p+24>>2]=r;oU(o,p,+(Y(h,g)|0)*.0000152587890625);break}else if(k){f[r>>2]=j;h5(r+4|0,3,s,0,0,m);f[r+56>>2]=j;f[r+60>>2]=s;i5();b[r+64>>0]=m&1;f[o>>2]=0;f[o+4>>2]=h;f[p>>2]=53724;f[p+4>>2]=a;f[p+8>>2]=c;f[p+12>>2]=d;f[p+16>>2]=e;f[p+20>>2]=g;f[p+24>>2]=r;oU(o,p,+(Y(h,g)|0)*.0000152587890625);break}else{h5(r,j,s,0,0,m);f[r+52>>2]=j;f[o>>2]=0;f[o+4>>2]=h;f[p>>2]=53744;f[p+4>>2]=a;f[p+8>>2]=c;f[p+12>>2]=d;f[p+16>>2]=e;f[p+20>>2]=g;f[p+24>>2]=r;oU(o,p,+(Y(h,g)|0)*.0000152587890625);break}while(0);if(!(f[q+4>>2]|0)){u=n;return}u=n;return}function f5(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;i=u;u=u+80|0;j=i+56|0;k=i+32|0;l=i+24|0;m=i+16|0;o=i+8|0;q=i;f[a>>2]=c;b[a+40>>0]=h&1;i5();f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;if(!g){f[j>>2]=f[131950];f[j+4>>2]=f[131951];f[j+8>>2]=f[131952];f[j+12>>2]=f[131953];f[j+16>>2]=f[131954];f[j+20>>2]=f[131955]}else{p[j>>3]=+n[g>>2];p[j+8>>3]=+n[g+4>>2];p[j+16>>3]=+n[g+8>>2]}if((b[528064]|0)==0?src(528064)|0:0)Rzb(528072,4096);if((f[13459]|0)<=0){u=i;return}g=(e|0)==0;h=d^2;c=k+8|0;r=k+16|0;s=k+8|0;t=k+16|0;v=0;while(1){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;w=v*3|0;if(g){x=527656+(w<<3)|0;if((x|0)!=(k|0)){y=x;x=f[y+4>>2]|0;z=k;f[z>>2]=f[y>>2];f[z+4>>2]=x}x=w+1|0;z=527656+(x<<3)|0;if((z|0)!=(c|0)){y=z;z=f[y+4>>2]|0;A=c;f[A>>2]=f[y>>2];f[A+4>>2]=z}z=527656+(w+2<<3)|0;if((z|0)==(r|0))B=x;else{A=z;z=f[A+4>>2]|0;y=r;f[y>>2]=f[A>>2];f[y+4>>2]=z;B=x}}else{p[k>>3]=+n[e+(w<<2)>>2];x=w+1|0;p[s>>3]=+n[e+(x<<2)>>2];p[t>>3]=+n[e+(w+2<<2)>>2];B=x}bAb(m,528072,k);x=j+(v<<3)|0;cAb(l,m,x);z=Vzb(l)|0;f[a+4+(w+h<<2)>>2]=z;bAb(o,528072,c);cAb(l,o,x);z=Vzb(l)|0;y=a+4+(B<<2)|0;f[y>>2]=z;bAb(q,528072,r);cAb(l,q,x);x=Vzb(l)|0;f[a+4+(w+d<<2)>>2]=x;x=f[a+4+(w<<2)>>2]|0;if((x|0)<=-1){C=19;break}z=f[y>>2]|0;if((z|0)<=-1){C=19;break}y=f[a+4+(w+2<<2)>>2]|0;if((y|0)<=-1){C=19;break}if((z+x+y|0)>=8192){C=19;break}v=v+1|0;if((v|0)>=(f[13459]|0)){C=9;break}}if((C|0)==9){u=i;return}else if((C|0)==19){f[l>>2]=0;f[l+4>>2]=0;C=YG(l,128)|0;i=249462;v=C+128|0;do{b[C>>0]=b[i>>0]|0;C=C+1|0;i=i+1|0}while((C|0)<(v|0));SQ(-215,l,249591,247811,1686)}}function g5(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;i=u;u=u+128|0;j=i+116|0;k=i+64|0;l=i+40|0;m=i+32|0;o=i+24|0;q=i+104|0;r=i+96|0;t=i+16|0;v=i+8|0;w=i;x=i+92|0;y=i+88|0;f[a>>2]=c;c=a+40|0;b[c>>0]=h&1;h=a+44|0;f[h>>2]=d;f[j>>2]=3;i5();d=(e|0)!=0;z=(g|0)!=0;if(d|z)A=0;else A=b[c>>0]|0;b[a+41>>0]=A;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;if(z){p[k>>3]=+n[g>>2];p[k+8>>3]=+n[g+4>>2];p[k+16>>3]=+n[g+8>>2]}else{f[k>>2]=f[131950];f[k+4>>2]=f[131951];f[k+8>>2]=f[131952];f[k+12>>2]=f[131953];f[k+16>>2]=f[131954];f[k+20>>2]=f[131955]}g=m;f[g>>2]=0;f[g+4>>2]=1072693248;cAb(l,m,k);m=l+8|0;f[m>>2]=0;f[m+4>>2]=1072693248;m=o;f[m>>2]=0;f[m+4>>2]=1072693248;cAb(l+16|0,o,k+16|0);if((f[j>>2]|0)<=0){u=i;return}k=q+4|0;o=q+8|0;m=0;while(1){f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;g=l+(m<<3)|0;z=m*3|0;if(d){p[t>>3]=+n[e+(z<<2)>>2];bAb(v,g,t);Yzb(r,v);f[q>>2]=f[r>>2];A=z+1|0;p[t>>3]=+n[e+(A<<2)>>2];bAb(v,g,t);Yzb(r,v);f[k>>2]=f[r>>2];p[t>>3]=+n[e+(z+2<<2)>>2];bAb(v,g,t);Yzb(r,v);f[o>>2]=f[r>>2];B=A}else{bAb(w,g,527656+(z<<3)|0);Yzb(r,w);f[q>>2]=f[r>>2];A=z+1|0;bAb(w,g,527656+(A<<3)|0);Yzb(r,w);f[k>>2]=f[r>>2];bAb(w,g,527656+(z+2<<3)|0);Yzb(r,w);f[o>>2]=f[r>>2];B=A}A=f[q>>2]|0;f[a+4+((f[h>>2]^2)+z<<2)>>2]=A;g=f[k>>2]|0;f[a+4+(B<<2)>>2]=g;c=f[o>>2]|0;f[a+4+((f[h>>2]|0)+z<<2)>>2]=c;z=!((f[s>>2]=A,+n[s>>2])>=0.0);A=z|!((f[s>>2]=g,+n[s>>2])>=0.0);if(A|!((f[s>>2]=c,+n[s>>2])>=0.0)){C=12;break}Izb(x,q,k);Izb(y,x,o);Gzb(r,1024);if(!(Pzb(y,r)|0)){C=12;break}m=m+1|0;if((m|0)>=(f[j>>2]|0)){C=8;break}}if((C|0)==8){u=i;return}else if((C|0)==12){f[r>>2]=0;f[r+4>>2]=0;C=YG(r,93)|0;i=249202;j=C+93|0;do{b[C>>0]=b[i>>0]|0;C=C+1|0;i=i+1|0}while((C|0)<(j|0));SQ(-215,r,249296,247811,1762)}}function h5(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;i=u;u=u+128|0;j=i+112|0;k=i+48|0;l=i+100|0;m=i+104|0;o=i+96|0;q=i+40|0;r=i+92|0;s=i+32|0;t=i+24|0;v=i+16|0;w=i+8|0;x=i;y=i+88|0;z=i+84|0;A=i+80|0;B=i+76|0;C=i+72|0;f[a>>2]=c;b[a+48>>0]=h&1;i5();f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;f[j>>2]=0;a:do if((f[j>>2]|0)<3){if(g|0)while(1){p[k+(f[j>>2]<<3)>>3]=+n[g+(f[j>>2]<<2)>>2];f[j>>2]=(f[j>>2]|0)+1;if((f[j>>2]|0)>=3)break a}do{h=527800+(f[j>>2]<<3)|0;c=k+(f[j>>2]<<3)|0;if((h|0)!=(c|0)){D=h;h=f[D+4>>2]|0;E=c;f[E>>2]=f[D>>2];f[E+4>>2]=h}f[j>>2]=(f[j>>2]|0)+1}while((f[j>>2]|0)<3)}while(0);f[j>>2]=0;b:do if((f[j>>2]|0)<3){g=(e|0)==0;h=(d|0)==0;while(1){E=(f[j>>2]|0)*3|0;if(g){n[a+4+((f[j>>2]|0)*3<<2)>>2]=+p[527656+(E<<3)>>3];n[a+4+(((f[j>>2]|0)*3|0)+1<<2)>>2]=+p[527656+(((f[j>>2]|0)*3|0)+1<<3)>>3];n[a+4+(((f[j>>2]|0)*3|0)+2<<2)>>2]=+p[527656+(((f[j>>2]|0)*3|0)+2<<3)>>3]}else{f[a+4+((f[j>>2]|0)*3<<2)>>2]=f[e+(E<<2)>>2];f[a+4+(((f[j>>2]|0)*3|0)+1<<2)>>2]=f[e+(((f[j>>2]|0)*3|0)+1<<2)>>2];f[a+4+(((f[j>>2]|0)*3|0)+2<<2)>>2]=f[e+(((f[j>>2]|0)*3|0)+2<<2)>>2]}if(h){E=a+4+((f[j>>2]|0)*3<<2)|0;D=a+4+(((f[j>>2]|0)*3|0)+2<<2)|0;c=f[E>>2]|0;f[E>>2]=f[D>>2];f[D>>2]=c}if(!(+n[a+4+((f[j>>2]|0)*3<<2)>>2]>=0.0)){F=18;break}if(!(+n[a+4+(((f[j>>2]|0)*3|0)+1<<2)>>2]>=0.0)){F=18;break}if(!(+n[a+4+(((f[j>>2]|0)*3|0)+2<<2)>>2]>=0.0)){F=18;break}f[l>>2]=f[a+4+((f[j>>2]|0)*3<<2)>>2];f[m>>2]=f[a+4+(((f[j>>2]|0)*3|0)+1<<2)>>2];Izb(o,l,m);f[q>>2]=f[a+4+(((f[j>>2]|0)*3|0)+2<<2)>>2];Izb(r,o,q);n[s>>2]=1.5;if(!(Pzb(r,s)|0)){F=18;break}f[j>>2]=(f[j>>2]|0)+1;if((f[j>>2]|0)>=3)break b}if((F|0)==18){f[m>>2]=0;f[m+4>>2]=0;Krc(YG(m,158)|0,248842,158)|0;SQ(-215,m,249001,247811,2840)}}while(0);F=k+8|0;Rzb(s,15);bAb(q,F,s);Zzb(t,k,q);Rzb(w,3);bAb(v,k+16|0,w);Zzb(x,t,v);Yzb(m,x);f[y>>2]=1065353216;f[v>>2]=872415232;x=Ozb(m,v)|0;f[s>>2]=f[(x?m:v)>>2];Nzb(q,y,s);f[m>>2]=f[q>>2];Gzb(q,52);Mzb(z,m,q);Yzb(s,k);Mzb(A,z,s);f[a+40>>2]=f[A>>2];Gzb(q,117);Mzb(B,m,q);Yzb(s,F);Mzb(C,B,s);f[a+44>>2]=f[C>>2];C=q;f[C>>2]=0;f[C+4>>2]=1072693248;if(dAb(F,q)|0){u=i;return}else{f[q>>2]=0;f[q+4>>2]=0;i=YG(q,31)|0;F=249014;C=i+31|0;do{b[i>>0]=b[F>>0]|0;i=i+1|0;F=F+1|0}while((i|0)<(C|0));SQ(-215,q,249001,247811,2854)}}function i5(){var a=0,c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0;a=u;u=u+14928|0;c=a+120|0;e=a+80|0;g=a+56|0;h=a+48|0;i=a+40|0;j=a+14912|0;k=a+32|0;l=a+24|0;m=a+16|0;o=a+14908|0;p=a+14904|0;q=a+14900|0;r=a+14896|0;s=a+14892|0;t=a+14888|0;v=a+14884|0;w=a+14880|0;x=a+14876|0;y=a+14872|0;z=a+14868|0;A=a+14864|0;B=a+14860|0;C=a+14856|0;D=a+14852|0;E=a+14848|0;F=a+14844|0;G=a+14840|0;H=a+13792|0;I=a+13784|0;K=a+12736|0;L=a+12732|0;M=a+12728|0;N=a+12724|0;O=a+12720|0;P=a+12716|0;Q=a+12712|0;R=a+12708|0;S=a+12704|0;T=a+12700|0;U=a+12696|0;V=a+12692|0;W=a+12688|0;X=a+12684|0;Z=a+12676|0;_=a+12664|0;$=a+12652|0;aa=a+12644|0;ba=a+12632|0;ca=a+12620|0;da=a+12612|0;ea=a+12596|0;fa=a+12588|0;ga=a+12580|0;ha=a+12572|0;ia=a+12564|0;ja=a+12560|0;ka=a+12552|0;la=a+12544|0;ma=a+12540|0;na=a+12532|0;oa=a+12528|0;pa=a+12524|0;qa=a+12520|0;ra=a+12516|0;sa=a+12512|0;ta=a+12508|0;ua=a+12504|0;va=a+12500|0;wa=a+12496|0;xa=a+12492|0;ya=a+12488|0;za=a+12484|0;Aa=a+12480|0;Ba=a+12476|0;Ca=a+12472|0;Da=a+8372|0;Ea=a+4272|0;Fa=a+172|0;Ga=a+168|0;Ha=a+12680|0;Ia=a+12672|0;Ja=a+12668|0;Ka=a+12660|0;La=a+12656|0;Ma=a+12648|0;Na=a+12640|0;Oa=a+12636|0;Pa=a+12628|0;Qa=a+12624|0;Ra=a+12616|0;Sa=a+12608|0;Ta=a+12604|0;Ua=a+12600|0;Va=a+12592|0;Wa=a+12584|0;Xa=a+12576|0;Ya=a+12568|0;Za=a+164|0;_a=a+8|0;$a=a;ab=a+12556|0;bb=a+160|0;cb=a+12548|0;db=a+156|0;eb=a+12536|0;if(b[1159009]|0){u=a;return}Drc(Da|0,0,4100)|0;Drc(Ea|0,0,4100)|0;Drc(Fa|0,0,4100)|0;f[Ha>>2]=1065353216;f[c>>2]=f[136389];Nzb(Ga,Ha,c);Ha=0;do{Gzb(e,Ha);Mzb(c,Ga,e);if(Pzb(c,545584)|0)fAb(e,c,545588,545592);else lAb(e,c);fb=Da+(Ha<<2)|0;if((e|0)!=(fb|0))f[fb>>2]=f[e>>2];Ha=Ha+1|0}while((Ha|0)!=1025);Ha=r5(Da)|0;f[136409]=Ha;f[Ia>>2]=1065353216;n[e>>2]=1024.0;Nzb(c,Ia,e);f[Ga>>2]=f[c>>2];Ia=0;do{Gzb(e,Ia);Mzb(c,Ga,e);f[Ja>>2]=f[c>>2];s5(e,Ja);Ha=Ea+(Ia<<2)|0;if((e|0)!=(Ha|0))f[Ha>>2]=f[e>>2];f[Ka>>2]=f[c>>2];t5(e,Ka);Ha=Fa+(Ia<<2)|0;if((e|0)!=(Ha|0))f[Ha>>2]=f[e>>2];Ia=Ia+1|0}while((Ia|0)!=1025);Ia=r5(Ea)|0;f[136408]=Ia;Ia=r5(Fa)|0;f[136418]=Ia;if((b[527920]|0)==0?src(527920)|0:0)Gzb(545676,2040);Ia=0;do{Gzb(La,Ia);Nzb(c,La,545596);f[Ma>>2]=f[c>>2];s5(g,Ma);Mzb(e,545676,g);Fa=(Uzb(e)|0)&65535;d[961108+(Ia<<1)>>1]=Fa;d[961620+(Ia<<1)>>1]=Ia<<3;Ia=Ia+1|0}while((Ia|0)!=256);if((b[527928]|0)==0?src(527928)|0:0){f[Na>>2]=1065353216;Gzb(c,4096);Nzb(545680,Na,c)}Na=0;do{Gzb(e,Na);Mzb(c,545680,e);f[Oa>>2]=f[c>>2];t5(g,Oa);Mzb(e,545596,g);Ia=(Uzb(e)|0)&65535;d[962132+(Na<<1)>>1]=Ia;Mzb(e,545596,c);Ia=(Tzb(e)|0)&65535;d[970324+(Na<<1)>>1]=Ia;Na=Na+1|0}while((Na|0)!=4096);if((b[527936]|0)==0?src(527936)|0:0)n[136421]=1.0/(+n[136399]*8.0);if((b[527944]|0)==0?src(527944)|0:0)Gzb(545688,32768);Na=0;do{Gzb(e,Na);Mzb(c,545684,e);if(Pzb(c,545584)|0)fAb(g,c,545588,545592);else lAb(g,c);Mzb(e,545688,g);Oa=(Uzb(e)|0)&65535;d[978516+(Na<<1)>>1]=Oa;Na=Na+1|0}while((Na|0)!=3072);Na=0;do{if((Na|0)<21){Gzb(Pa,Y(Na,2949120)|0);Gzb(e,414613);Nzb(c,Pa,e);Oa=Uzb(c)|0;Gzb(Qa,16384);Gzb(Ra,16);Gzb(g,116);Nzb(Sa,Ra,g);Gzb(Ta,Na*5|0);Gzb(i,1479);Nzb(h,Ta,i);Izb(e,Sa,h);Mzb(c,Qa,e);gb=Oa;hb=Uzb(c)|0}else{Gzb(Ua,Y(Na,1638400)|0);Gzb(e,29580);Nzb(Va,Ua,e);Gzb(Wa,262144);Gzb(h,116);Nzb(g,Wa,h);Izb(c,Va,g);Oa=Uzb(c)|0;Mzb(Xa,c,c);Mzb(Ya,Xa,c);Gzb(g,268435456);Nzb(e,Ya,g);gb=Uzb(e)|0;hb=Oa}Oa=Na<<1;d[984660+(Oa<<1)>>1]=gb;d[984660+((Oa|1)<<1)>>1]=hb;Na=Na+1|0}while((Na|0)!=256);Na=sE(147456)|0;hb=-8145;do{if((hb|0)<3391)ib=((hb*108|0)/841|0)+-290|0;else ib=(Y((Y(hb,hb)|0)>>>14,hb)|0)/16384|0;f[Na+(hb+8145<<2)>>2]=ib;hb=hb+1|0}while((hb|0)!=28719);f[136423]=Na;Rzb(e,15);bAb(c,527808,e);Zzb(_a,527800,c);Rzb(h,3);bAb(g,527816,h);Zzb($a,_a,g);Yzb(Za,$a);f[ab>>2]=1065353216;f[g>>2]=872415232;$a=Ozb(Za,g)|0;f[e>>2]=f[($a?Za:g)>>2];Nzb(c,ab,e);f[Za>>2]=f[c>>2];Gzb(c,52);Mzb(cb,Za,c);Yzb(e,527800);Mzb(bb,cb,e);Gzb(c,117);Mzb(eb,Za,c);Yzb(e,527808);Mzb(db,eb,e);f[e>>2]=1065353216;Gzb(g,4);Nzb(c,e,g);eb=sE(262144)|0;Za=sE(262144)|0;cb=sE(524288)|0;ab=0;do{Gzb(h,ab*100|0);Nzb(g,h,545596);$a=ab<<8;_a=0;do{Gzb(j,_a);Mzb(k,j,545568);Nzb(l,k,545596);Izb(i,l,545560);Gzb(o,9);Mzb(q,g,bb);Izb(p,i,q);Mzb(m,o,p);Gzb(q,16);Mzb(p,m,q);Na=Uzb(p)|0;f[eb+(_a+$a<<2)>>2]=Na;_a=_a+1|0}while((_a|0)!=256);jb=0;do{Gzb(r,jb);Mzb(s,r,545580);Nzb(t,s,545596);Izb(i,t,545572);Mzb(q,g,db);Izb(p,i,q);Nzb(m,c,p);_a=Ozb(m,c)|0;Na=f[c>>2]|0;if(_a)f[m>>2]=Na;f[p>>2]=Na^-2147483648;if(Pzb(m,p)|0)f[m>>2]=f[c>>2]^-2147483648;Gzb(q,16777216);Mzb(p,m,q);Na=Uzb(p)|0;_a=jb+$a|0;f[Za+(_a<<2)>>2]=Na;hb=Y(Na,ab)|0;Na=Urc(hb|0,((hb|0)<0)<<31>>31|0,249600,0)|0;hb=cb+(_a<<3)|0;f[hb>>2]=Na;f[hb+4>>2]=J;jb=jb+1|0}while((jb|0)!=256);ab=ab+1|0}while((ab|0)!=256);f[136424]=eb;f[136425]=Za;f[136426]=cb;cb=c;Za=cb+36|0;do{f[cb>>2]=0;cb=cb+4|0}while((cb|0)<(Za|0));cb=e;Za=cb+36|0;do{f[cb>>2]=0;cb=cb+4|0}while((cb|0)<(Za|0));cb=h;f[cb>>2]=0;f[cb+4>>2]=1072693248;cAb(g,h,527800);h=g+8|0;f[h>>2]=0;f[h+4>>2]=1072693248;h=i;f[h>>2]=0;f[h+4>>2]=1072693248;cAb(g+16|0,i,527816);i=0;do{h=i*3|0;cb=527656+(h<<3)|0;Yzb(j,cb);Za=h+2|0;eb=e+(Za<<2)|0;if((j|0)!=(eb|0))f[eb>>2]=f[j>>2];eb=h+1|0;ab=527656+(eb<<3)|0;Yzb(j,ab);jb=e+(eb<<2)|0;if((j|0)!=(jb|0))f[jb>>2]=f[j>>2];jb=527656+(Za<<3)|0;Yzb(j,jb);$a=e+(h<<2)|0;if((j|0)!=($a|0))f[$a>>2]=f[j>>2];$a=g+(i<<3)|0;bAb(k,jb,$a);Yzb(j,k);jb=c+(h<<2)|0;if((j|0)!=(jb|0))f[jb>>2]=f[j>>2];bAb(l,ab,$a);Yzb(j,l);ab=c+(eb<<2)|0;if((j|0)!=(ab|0))f[ab>>2]=f[j>>2];bAb(m,cb,$a);Yzb(j,m);$a=c+(Za<<2)|0;if((j|0)!=($a|0))f[$a>>2]=f[j>>2];i=i+1|0}while((i|0)!=3);f[j>>2]=f[c>>2];f[o>>2]=f[c+4>>2];f[p>>2]=f[c+8>>2];f[q>>2]=f[c+12>>2];f[r>>2]=f[c+16>>2];f[s>>2]=f[c+20>>2];f[t>>2]=f[c+24>>2];f[v>>2]=f[c+28>>2];f[w>>2]=f[c+32>>2];f[x>>2]=f[e>>2];f[y>>2]=f[e+4>>2];f[z>>2]=f[e+8>>2];f[A>>2]=f[e+12>>2];f[B>>2]=f[e+16>>2];f[C>>2]=f[e+20>>2];f[D>>2]=f[e+24>>2];f[E>>2]=f[e+28>>2];f[F>>2]=f[e+32>>2];if((b[527952]|0)==0?src(527952)|0:0)Gzb(545708,32);if((b[527960]|0)==0?src(527960)|0:0)Gzb(545712,116);if((b[527968]|0)==0?src(527968)|0:0)Gzb(545716,16);if((b[527976]|0)==0?src(527976)|0:0)Gzb(545720,500);if((b[527984]|0)==0?src(527984)|0:0)Gzb(545724,200);if((b[527992]|0)==0?src(527992)|0:0)Gzb(545728,100);if((b[528e3]|0)==0?src(528e3)|0:0)Gzb(545732,128);if((b[528008]|0)==0?src(528008)|0:0)Gzb(545736,256);if((b[528016]|0)==0?src(528016)|0:0)Gzb(545740,16384);if((b[528024]|0)==0?src(528024)|0:0){Gzb(G,24389);Gzb(H,27);Nzb(545744,G,H)}if((b[528032]|0)==0?src(528032)|0:0){Gzb(I,9);Gzb(H,4);Nzb(545748,I,H)}if((b[528040]|0)==0?src(528040)|0:0)Gzb(545752,15);if((b[528048]|0)==0?src(528048)|0:0)Gzb(545756,3);I=H+8|0;G=H+4|0;f[G>>2]=107811;e=Dmc(215622)|0;f[H>>2]=e;e=K+8|0;f[K>>2]=e;c=K+4|0;f[c>>2]=107811;i=Dmc(215622)|0;f[K>>2]=i;i=0;do{m=i*3|0;l=0;do{k=(l*99|0)+m|0;g=0;do{$a=k+(g*3267|0)|0;Gzb(M,i);Nzb(L,M,545708);Gzb(O,l);Nzb(N,O,545708);Gzb(Q,g);Nzb(P,Q,545708);f[S>>2]=f[L>>2];s5(R,S);f[L>>2]=f[R>>2];f[T>>2]=f[N>>2];s5(R,T);f[N>>2]=f[R>>2];f[U>>2]=f[P>>2];s5(R,U);f[P>>2]=f[R>>2];Mzb(V,L,j);Mzb(W,N,o);Izb(X,V,W);Mzb(Z,P,p);Izb(R,X,Z);Mzb(_,L,q);Mzb(Z,N,r);Izb($,_,Z);Mzb(aa,P,s);Izb(W,$,aa);Mzb(ba,L,t);Mzb(aa,N,v);Izb(ca,ba,aa);Mzb(da,P,w);Izb(Z,ca,da);if(Ozb(R,545584)|0)lAb(aa,R);else fAb(aa,R,545588,545592);if(Ozb(W,545584)|0)lAb(da,W);else fAb(da,W,545588,545592);if(Ozb(Z,545584)|0)lAb(ea,Z);else fAb(ea,Z,545588,545592);if(Ozb(W,545584)|0){Mzb(ga,545712,da);Lzb(fa,ga,545716)}else Mzb(fa,545744,W);Lzb(ia,aa,da);Mzb(ha,545720,ia);Lzb(ja,da,ea);Mzb(ia,545724,ja);Mzb(ka,545740,fa);Nzb(ja,ka,545728);Za=(Uzb(ja)|0)&65535;d[(f[H>>2]|0)+($a<<1)>>1]=Za;Izb(la,ha,545732);Mzb(ma,545740,la);Nzb(ja,ma,545736);Za=(Uzb(ja)|0)&65535;cb=$a+1|0;d[(f[H>>2]|0)+(cb<<1)>>1]=Za;Izb(la,ia,545732);Mzb(na,545740,la);Nzb(ja,na,545736);Za=(Uzb(ja)|0)&65535;ab=$a+2|0;d[(f[H>>2]|0)+(ab<<1)>>1]=Za;Mzb(oa,L,x);Mzb(W,N,y);Izb(pa,oa,W);Mzb(Z,P,z);Izb(R,pa,Z);Mzb(qa,L,A);Mzb(Z,N,B);Izb(ra,qa,Z);Mzb(aa,P,C);Izb(W,ra,aa);Mzb(sa,L,D);Mzb(aa,N,E);Izb(ta,sa,aa);Mzb(da,P,F);Izb(Z,ta,da);if(Pzb(W,545584)|0)fAb(aa,W,545588,545592);else lAb(aa,W);Mzb(ua,aa,545712);Lzb(da,ua,545716);f[aa>>2]=f[da>>2];Gzb(va,52);Mzb(ha,545752,W);Izb(wa,R,ha);Mzb(ia,545756,Z);Izb(fa,wa,ia);n[ja>>2]=1.1920928955078125e-07;Za=Ozb(fa,ja)|0;f[ea>>2]=f[(Za?fa:ja)>>2];Nzb(da,va,ea);Mzb(xa,R,da);Lzb(fa,xa,bb);Mzb(ea,aa,fa);Mzb(ya,545748,W);Mzb(za,ya,da);Lzb(ha,za,db);Mzb(fa,aa,ha);Mzb(Aa,545740,aa);Nzb(ha,Aa,545728);Za=(Uzb(ha)|0)&65535;d[(f[K>>2]|0)+($a<<1)>>1]=Za;Lzb(ia,ea,545560);Mzb(Ba,545740,ia);Nzb(ha,Ba,545568);Za=(Uzb(ha)|0)&65535;d[(f[K>>2]|0)+(cb<<1)>>1]=Za;Lzb(ia,fa,545572);Mzb(Ca,545740,ia);Nzb(ha,Ca,545580);Za=(Uzb(ha)|0)&65535;d[(f[K>>2]|0)+(ab<<1)>>1]=Za;g=g+1|0}while((g|0)<33);l=l+1|0}while((l|0)<33);i=i+1|0}while((i|0)<33);i=sE(1724976)|0;ha=sE(1724976)|0;Ca=f[H>>2]|0;ia=f[K>>2]|0;fa=0;do{Ba=fa*24|0;ea=0;do{Aa=(ea*792|0)+Ba|0;aa=ea;ea=ea+1|0;db=((ea|0)<32?ea:32)*99|0;za=aa*99|0;aa=0;do{da=Aa+(aa*26136|0)|0;ya=aa*3267|0;aa=aa+1|0;W=((aa|0)<32?aa:32)*3267|0;bb=0;do{xa=bb+fa|0;R=((xa|0)<32?xa:32)*3|0;xa=da+(bb<<2)|0;va=R+za|0;ja=va+ya|0;d[i+(xa<<1)>>1]=d[Ca+(ja<<1)>>1]|0;wa=ja+1|0;Z=xa+8|0;d[i+(Z<<1)>>1]=d[Ca+(wa<<1)>>1]|0;ua=ja+2|0;ta=xa+16|0;d[i+(ta<<1)>>1]=d[Ca+(ua<<1)>>1]|0;d[ha+(xa<<1)>>1]=d[ia+(ja<<1)>>1]|0;d[ha+(Z<<1)>>1]=d[ia+(wa<<1)>>1]|0;d[ha+(ta<<1)>>1]=d[ia+(ua<<1)>>1]|0;ua=va+W|0;va=xa|1;d[i+(va<<1)>>1]=d[Ca+(ua<<1)>>1]|0;ta=ua+1|0;wa=va+8|0;d[i+(wa<<1)>>1]=d[Ca+(ta<<1)>>1]|0;Z=ua+2|0;ja=va+16|0;d[i+(ja<<1)>>1]=d[Ca+(Z<<1)>>1]|0;d[ha+(va<<1)>>1]=d[ia+(ua<<1)>>1]|0;d[ha+(wa<<1)>>1]=d[ia+(ta<<1)>>1]|0;d[ha+(ja<<1)>>1]=d[ia+(Z<<1)>>1]|0;Z=R+db|0;R=xa|2;ja=Z+ya|0;d[i+(R<<1)>>1]=d[Ca+(ja<<1)>>1]|0;ta=ja+1|0;wa=R+8|0;d[i+(wa<<1)>>1]=d[Ca+(ta<<1)>>1]|0;ua=ja+2|0;va=R+16|0;d[i+(va<<1)>>1]=d[Ca+(ua<<1)>>1]|0;d[ha+(R<<1)>>1]=d[ia+(ja<<1)>>1]|0;d[ha+(wa<<1)>>1]=d[ia+(ta<<1)>>1]|0;d[ha+(va<<1)>>1]=d[ia+(ua<<1)>>1]|0;ua=Z+W|0;Z=xa|3;d[i+(Z<<1)>>1]=d[Ca+(ua<<1)>>1]|0;xa=ua+1|0;va=Z+8|0;d[i+(va<<1)>>1]=d[Ca+(xa<<1)>>1]|0;ta=ua+2|0;wa=Z+16|0;d[i+(wa<<1)>>1]=d[Ca+(ta<<1)>>1]|0;d[ha+(Z<<1)>>1]=d[ia+(ua<<1)>>1]|0;d[ha+(va<<1)>>1]=d[ia+(xa<<1)>>1]|0;d[ha+(wa<<1)>>1]=d[ia+(ta<<1)>>1]|0;bb=bb+1|0}while((bb|0)!=2)}while((aa|0)!=33)}while((ea|0)!=33);fa=fa+1|0}while((fa|0)!=33);fa=i;i=ha;ha=f[K>>2]|0;if((ha|0)!=(e|0)){if(ha|0)Fmc(ha);f[K>>2]=e;f[c>>2]=520}c=f[H>>2]|0;if((c|0)!=(I|0)){if(c|0)Fmc(c);f[H>>2]=I;f[G>>2]=520}f[131978]=fa;f[131979]=i;i=0;do{fa=i<<3;G=16-i<<16>>16;I=0;do{H=(I<<7)+fa|0;c=16-I<<16>>16;e=Y(c,G)|0;K=Y(I,G)|0;ha=Y(c,i)|0;c=Y(I,i)|0;ia=0;do{Ca=895572+(H+(ia<<11)<<1)|0;ea=16-ia<<16>>16;Ba=(Y(ea,e)|0)&65535;d[Ca>>1]=Ba;Ba=(Y(ia,e)|0)&65535;d[Ca+2>>1]=Ba;Ba=(Y(ea,K)|0)&65535;d[Ca+4>>1]=Ba;Ba=(Y(ia,K)|0)&65535;d[Ca+6>>1]=Ba;Ba=(Y(ea,ha)|0)&65535;d[Ca+8>>1]=Ba;Ba=(Y(ia,ha)|0)&65535;d[Ca+10>>1]=Ba;Ba=(Y(ea,c)|0)&65535;d[Ca+12>>1]=Ba;Ba=(Y(ia,c)|0)&65535;d[Ca+14>>1]=Ba;ia=ia+1|0}while((ia|0)!=16);I=I+1|0}while((I|0)!=16);i=i+1|0}while((i|0)!=16);b[1159009]=1;u=a;return}function j5(a){a=a|0;Emc(a);return}function k5(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;zT(d,53756);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){l5(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function l5(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0.0,q=0.0,r=0.0,t=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0.0;g=u;u=u+32|0;h=g+16|0;i=g+12|0;j=g+8|0;k=g+4|0;l=g;m=f[a>>2]|0;o=b[a+48>>0]|0?f[136408]|0:0;p=+n[a+4>>2];q=+n[a+8>>2];r=+n[a+12>>2];t=+n[a+16>>2];v=+n[a+20>>2];w=+n[a+24>>2];x=+n[a+28>>2];y=+n[a+32>>2];z=+n[a+36>>2];A=e*3|0;if((e|0)<=0){u=g;return}e=(o|0)==0;B=f[136409]|0;C=a+40|0;D=a+44|0;a=c;c=0;while(1){E=f[a>>2]|0;f[h>>2]=E;F=f[a+4>>2]|0;f[i>>2]=F;G=f[a+8>>2]|0;f[j>>2]=G;n[k>>2]=0.0;H=(f[s>>2]=E,+n[s>>2])<0.0?k:h;n[l>>2]=1.0;E=f[(+n[H>>2]>1.0?l:H)>>2]|0;f[h>>2]=E;n[k>>2]=0.0;H=(f[s>>2]=F,+n[s>>2])<0.0?k:i;n[l>>2]=1.0;F=f[(+n[H>>2]>1.0?l:H)>>2]|0;f[i>>2]=F;n[k>>2]=0.0;H=(f[s>>2]=G,+n[s>>2])<0.0?k:j;n[l>>2]=1.0;G=f[(+n[H>>2]>1.0?l:H)>>2]|0;f[j>>2]=G;I=(f[s>>2]=E,+n[s>>2]);J=(f[s>>2]=F,+n[s>>2]);K=(f[s>>2]=G,+n[s>>2]);if(e){L=K;M=J;N=I}else{O=I*1024.0;G=~~O;F=(G|0)>0?G:0;G=(F|0)<1023?F:1023;I=O-+(G|0);F=o+(G<<2<<2)|0;O=+n[F>>2]+I*(+n[F+4>>2]+I*(+n[F+8>>2]+ +n[F+12>>2]*I));n[h>>2]=O;I=J*1024.0;F=~~I;G=(F|0)>0?F:0;F=(G|0)<1023?G:1023;J=I-+(F|0);G=o+(F<<2<<2)|0;I=+n[G>>2]+J*(+n[G+4>>2]+J*(+n[G+8>>2]+ +n[G+12>>2]*J));n[i>>2]=I;J=K*1024.0;G=~~J;F=(G|0)>0?G:0;G=(F|0)<1023?F:1023;K=J-+(G|0);F=o+(G<<2<<2)|0;J=+n[F>>2]+K*(+n[F+4>>2]+K*(+n[F+8>>2]+ +n[F+12>>2]*K));n[j>>2]=J;L=J;M=I;N=O}O=p*N+q*M+r*L;I=t*N+v*M+w*L;J=+n[136389]*I;F=~~J;G=(F|0)>0?F:0;F=(G|0)<1023?G:1023;K=J-+(F|0);G=B+(F<<2<<2)|0;J=(+n[G>>2]+K*(+n[G+4>>2]+K*(+n[G+8>>2]+ +n[G+12>>2]*K)))*116.0+-16.0;K=(x*N+y*M+z*L)*3.0+(O+I*15.0);P=52.0/(K<1.1920928955078125e-07?1.1920928955078125e-07:K);K=(O*P-+n[C>>2])*J;O=(I*2.25*P-+n[D>>2])*J;n[d+(c<<2)>>2]=J;n[d+(c+1<<2)>>2]=K;n[d+(c+2<<2)>>2]=O;c=c+3|0;if((c|0)>=(A|0))break;else a=a+(m<<2)|0}u=g;return}function m5(a){a=a|0;Emc(a);return}function n5(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;zT(d,53776);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){o5(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function o5(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0,z=0,A=0;g=u;u=u+3104|0;i=g;j=g+3088|0;k=g+3092|0;l=g+3084|0;m=g+3080|0;o=g+3076|0;p=g+3072|0;if(b[a+64>>0]|0){p5(a+56|0,c,d,e);u=g;return}q=f[a>>2]|0;if((e|0)>0){r=a+4|0;a=c;c=d;d=0;while(1){s=e-d|0;t=(s|0)<256?s:256;if((b[527864]|0)==0?src(527864)|0:0){f[j>>2]=1065353216;Nzb(545644,j,545596)}v=t*3|0;w=(s|0)>0;if(w){x=+n[136411];s=0;y=a;while(1){n[i+(s<<2)>>2]=+(h[y>>0]|0)*x;n[i+(s+1<<2)>>2]=+(h[y+1>>0]|0)*x;n[i+(s+2<<2)>>2]=+(h[y+2>>0]|0)*x;s=s+3|0;z=y+q|0;if((s|0)>=(v|0)){A=z;break}else y=z}}else A=a;l5(r,i,i,t);if((b[527872]|0)==0?src(527872)|0:0){Gzb(k,100);Nzb(545648,545596,k)}if((b[527880]|0)==0?src(527880)|0:0)Nzb(545652,545596,545568);if((b[527888]|0)==0?src(527888)|0:0)Nzb(545656,545596,545580);if((b[527896]|0)==0?src(527896)|0:0){f[l>>2]=f[136390]^-2147483648;Mzb(m,l,545596);Nzb(545660,m,545568)}if((b[527904]|0)==0?src(527904)|0:0){f[o>>2]=f[136393]^-2147483648;Mzb(p,o,545596);Nzb(545664,p,545580)}if(w){y=0;do{s=U9b(+n[i+(y<<2)>>2]*+n[136412])|0;b[c+y>>0]=s>>>0<256?s:(s|0)>0?255:0;s=y+1|0;z=U9b(+n[i+(s<<2)>>2]*+n[136413]+ +n[136415])|0;b[c+s>>0]=z>>>0<256?z:(z|0)>0?255:0;z=y+2|0;s=U9b(+n[i+(z<<2)>>2]*+n[136414]+ +n[136416])|0;b[c+z>>0]=s>>>0<256?s:(s|0)>0?255:0;y=y+3|0}while((y|0)<(v|0))}d=d+256|0;if((d|0)>=(e|0))break;else{a=A;c=c+768|0}}}u=g;return}function p5(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=u;u=u+16|0;i=g+8|0;j=g+4|0;k=g;l=f[a>>2]|0;m=f[a+4>>2]|0;a=e*3|0;if((e|0)<=0){u=g;return}e=m^2;n=0;o=c;while(1){q5((h[o+m>>0]|0)<<6,(h[o+1>>0]|0)<<6,(h[o+e>>0]|0)<<6,f[131979]|0,i,j,k);c=f[i>>2]|0;p=(c|0)/64|0;b[d+n>>0]=p>>>0<256?p:(c|0)>63?255:0;c=f[j>>2]|0;p=(c|0)/64|0;b[d+(n+1)>>0]=p>>>0<256?p:(c|0)>63?255:0;c=f[k>>2]|0;p=(c|0)/64|0;b[d+(n+2)>>0]=p>>>0<256?p:(c|0)>63?255:0;n=n+3|0;if((n|0)>=(a|0))break;else o=o+l|0}u=g;return}function q5(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;j=u;u=u+96|0;k=j+64|0;l=j+32|0;m=j;n=e+(((b>>9)*792|0)+((a>>9)*24|0)+((c>>9)*26136|0)<<1)|0;f[k>>2]=d[n>>1];f[l>>2]=d[n+16>>1];f[m>>2]=d[n+32>>1];e=k+4|0;f[e>>2]=d[n+2>>1];o=l+4|0;f[o>>2]=d[n+18>>1];p=m+4|0;f[p>>2]=d[n+34>>1];q=k+8|0;f[q>>2]=d[n+4>>1];r=l+8|0;f[r>>2]=d[n+20>>1];s=m+8|0;f[s>>2]=d[n+36>>1];t=k+12|0;f[t>>2]=d[n+6>>1];v=l+12|0;f[v>>2]=d[n+22>>1];w=m+12|0;f[w>>2]=d[n+38>>1];x=k+16|0;f[x>>2]=d[n+8>>1];y=l+16|0;f[y>>2]=d[n+24>>1];z=m+16|0;f[z>>2]=d[n+40>>1];A=k+20|0;f[A>>2]=d[n+10>>1];B=l+20|0;f[B>>2]=d[n+26>>1];C=m+20|0;f[C>>2]=d[n+42>>1];D=k+24|0;f[D>>2]=d[n+12>>1];E=l+24|0;f[E>>2]=d[n+28>>1];F=m+24|0;f[F>>2]=d[n+44>>1];G=d[n+14>>1]|0;f[k+28>>2]=G;H=l+28|0;f[H>>2]=d[n+30>>1];I=m+28|0;f[I>>2]=d[n+46>>1];n=b<<2&1920|a>>>2&120|c<<6&30720;c=d[895572+(n<<1)>>1]|0;a=d[895572+((n|1)<<1)>>1]|0;b=d[895572+((n|2)<<1)>>1]|0;J=d[895572+((n|3)<<1)>>1]|0;K=d[895572+((n|4)<<1)>>1]|0;L=d[895572+((n|5)<<1)>>1]|0;M=d[895572+((n|6)<<1)>>1]|0;N=d[895572+((n|7)<<1)>>1]|0;n=Y(c,f[k>>2]|0)|0;k=(Y(a,f[e>>2]|0)|0)+n|0;n=k+(Y(b,f[q>>2]|0)|0)|0;q=n+(Y(J,f[t>>2]|0)|0)|0;t=q+(Y(K,f[x>>2]|0)|0)|0;x=t+(Y(L,f[A>>2]|0)|0)|0;A=x+(Y(M,f[D>>2]|0)|0)+(Y(N,G)|0)|0;f[g>>2]=A;A=Y(f[l>>2]|0,c)|0;l=(Y(f[o>>2]|0,a)|0)+A|0;A=l+(Y(f[r>>2]|0,b)|0)|0;r=A+(Y(f[v>>2]|0,J)|0)|0;v=r+(Y(f[y>>2]|0,K)|0)|0;y=v+(Y(f[B>>2]|0,L)|0)|0;B=y+(Y(f[E>>2]|0,M)|0)|0;E=B+(Y(f[H>>2]|0,N)|0)|0;f[h>>2]=E;E=Y(f[m>>2]|0,c)|0;c=(Y(f[p>>2]|0,a)|0)+E|0;E=c+(Y(f[s>>2]|0,b)|0)|0;b=E+(Y(f[w>>2]|0,J)|0)|0;J=b+(Y(f[z>>2]|0,K)|0)|0;K=J+(Y(L,f[C>>2]|0)|0)|0;C=K+(Y(M,f[F>>2]|0)|0)|0;F=C+(Y(N,f[I>>2]|0)|0)|0;f[i>>2]=F;f[g>>2]=(f[g>>2]|0)+2048>>12;f[h>>2]=(f[h>>2]|0)+2048>>12;f[i>>2]=(f[i>>2]|0)+2048>>12;u=j;return}function r5(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;b=u;u=u+64|0;c=b+56|0;d=b+52|0;e=b+48|0;g=b+44|0;h=b+40|0;i=b+36|0;j=b+32|0;k=b+24|0;l=b+20|0;m=b+28|0;o=b+16|0;p=b+12|0;q=b+4|0;r=b+8|0;s=b;t=sE(16384)|0;Gzb(c,2);Gzb(d,3);Gzb(e,4);Gzb(g,0);n[t+4>>2]=0.0;n[t>>2]=0.0;v=1;do{w=v;v=v+1|0;Mzb(i,a+(w<<2)|0,c);Lzb(j,a+(v<<2)|0,i);x=w+-1|0;Izb(k,j,a+(x<<2)|0);Mzb(h,k,d);f[l>>2]=1065353216;y=x<<2;Lzb(m,e,t+(y<<2)|0);Nzb(i,l,m);x=w<<2;w=t+(x<<2)|0;if((i|0)!=(w|0))f[w>>2]=f[i>>2];Lzb(o,h,t+((y|1)<<2)|0);Mzb(m,o,i);y=t+((x|1)<<2)|0;if((m|0)!=(y|0))f[y>>2]=f[m>>2]}while((v|0)!=1024);v=0;do{o=1024-v|0;l=o+-1|0;e=l<<2;k=t+((e|1)<<2)|0;j=t+(e<<2)|0;Mzb(i,j,g);Lzb(h,k,i);y=a+(l<<2)|0;Lzb(p,a+(o<<2)|0,y);Mzb(q,h,c);Izb(r,g,q);Nzb(m,r,d);Lzb(i,p,m);Lzb(s,g,h);Nzb(m,s,d);if((y|0)!=(j|0))f[j>>2]=f[y>>2];if((i|0)!=(k|0))f[k>>2]=f[i>>2];k=t+((e|2)<<2)|0;if((h|0)!=(k|0))f[k>>2]=f[h>>2];k=t+((e|3)<<2)|0;if((m|0)!=(k|0))f[k>>2]=f[m>>2];f[g>>2]=f[h>>2];v=v+1|0}while((v|0)!=1024);u=b;return t|0}function s5(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=u;u=u+48|0;d=c+40|0;e=c+24|0;g=c+32|0;h=c+8|0;i=c+16|0;j=c;Hzb(d,b);if(eAb(d,527824)|0){cAb(e,d,527840);Yzb(a,e);u=c;return}else{Zzb(h,d,527856);d=j;f[d>>2]=0;f[d+4>>2]=1072693248;Zzb(i,j,527856);cAb(g,h,i);kAb(e,g,527848);Yzb(a,e);u=c;return}}function t5(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+64|0;d=c+56|0;e=c+40|0;g=c+48|0;h=c+24|0;i=c+16|0;j=c+32|0;k=c+8|0;l=c;Hzb(d,b);if(eAb(d,527832)|0){bAb(e,d,527840);Yzb(a,e);u=c;return}else{b=h;f[b>>2]=0;f[b+4>>2]=1072693248;cAb(g,h,527848);kAb(i,d,g);g=k;f[g>>2]=0;f[g+4>>2]=1072693248;Zzb(j,k,527856);bAb(l,i,j);aAb(e,l,527856);Yzb(a,e);u=c;return}}function u5(a){a=a|0;Emc(a);return}function v5(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;zT(d,53796);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){w5(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function w5(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0.0,H=0,I=0,J=0.0,K=0,L=0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0;g=u;u=u+32|0;h=g+16|0;i=g+12|0;j=g+8|0;k=g+4|0;l=g;m=f[a>>2]|0;o=f[a+44>>2]|0;p=b[a+40>>0]|0?f[136408]|0:0;q=+n[a+4>>2];r=+n[a+8>>2];s=+n[a+12>>2];t=+n[a+16>>2];v=+n[a+20>>2];w=+n[a+24>>2];x=+n[a+28>>2];y=+n[a+32>>2];z=+n[a+36>>2];A=e*3|0;if((b[a+41>>0]|0)!=0&(e|0)>0){e=o^2;a=f[131978]|0;B=0;C=c;while(1){D=+n[C+(o<<2)>>2];if(!(D<0.0))if(D>1.0)E=1.0;else E=D;else E=0.0;D=+n[C+4>>2];if(!(D<0.0))if(D>1.0)F=1.0;else F=D;else F=0.0;D=+n[C+(e<<2)>>2];if(!(D<0.0))if(D>1.0)G=1.0;else G=D;else G=0.0;H=U9b(E*16384.0)|0;I=U9b(F*16384.0)|0;q5(H,I,U9b(G*16384.0)|0,a,h,i,j);D=+(f[i>>2]|0)*.00006103515625;J=+(f[j>>2]|0)*.00006103515625;n[d+(B<<2)>>2]=+(f[h>>2]|0)*.00006103515625*100.0;n[d+(B+1<<2)>>2]=D*256.0+-128.0;n[d+(B+2<<2)>>2]=J*256.0+-128.0;I=B+3|0;H=C+(m<<2)|0;if((I|0)<(A|0)){B=I;C=H}else{K=H;L=I;break}}}else{K=c;L=0}if((b[528056]|0)==0?src(528056)|0:0){Gzb(k,16);Gzb(h,116);Nzb(l,k,h);f[136440]=f[l>>2]}if((L|0)>=(A|0)){u=g;return}l=(p|0)==0;h=L;L=K;while(1){G=+n[L>>2];if(!(G<0.0))if(G>1.0)M=1.0;else M=G;else M=0.0;G=+n[L+4>>2];if(!(G<0.0))if(G>1.0)N=1.0;else N=G;else N=0.0;G=+n[L+8>>2];if(!(G<0.0))if(G>1.0)O=1.0;else O=G;else O=0.0;if(l){P=M;Q=N;R=O}else{G=M*1024.0;K=~~G;k=(K|0)>0?K:0;K=(k|0)<1023?k:1023;F=G-+(K|0);k=p+(K<<2<<2)|0;G=N*1024.0;K=~~G;c=(K|0)>0?K:0;K=(c|0)<1023?c:1023;E=G-+(K|0);c=p+(K<<2<<2)|0;G=O*1024.0;K=~~G;C=(K|0)>0?K:0;K=(C|0)<1023?C:1023;J=G-+(K|0);C=p+(K<<2<<2)|0;P=+n[k>>2]+F*(+n[k+4>>2]+F*(F*+n[k+12>>2]+ +n[k+8>>2]));Q=+n[c>>2]+E*(+n[c+4>>2]+E*(E*+n[c+12>>2]+ +n[c+8>>2]));R=+n[C>>2]+J*(+n[C+4>>2]+J*(J*+n[C+12>>2]+ +n[C+8>>2]))}J=s*R+(r*Q+q*P);E=w*R+(v*Q+t*P);F=z*R+(y*Q+x*P);if(J>.008856000378727913)S=+pS(J);else S=J*7.7870001792907715+ +n[136440];C=E>.008856000378727913;if(C)T=+pS(E);else T=E*7.7870001792907715+ +n[136440];if(F>.008856000378727913)U=+pS(F);else U=F*7.7870001792907715+ +n[136440];n[d+(h<<2)>>2]=C?T*116.0+-16.0:E*903.2999877929688;n[d+(h+1<<2)>>2]=(S-T)*500.0;n[d+(h+2<<2)>>2]=(T-U)*200.0;h=h+3|0;if((h|0)>=(A|0))break;else L=L+(m<<2)|0}u=g;return}function x5(a){a=a|0;Emc(a);return}function y5(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;d=c;zT(d,53816);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;a=e;while(1){z5(f[j>>2]|0,b,l,f[k>>2]|0);a=a+1|0;if((a|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;b=b+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function z5(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;g=b[a+40>>0]|0?961108:961620;i=f[a>>2]|0;k=f[a+4>>2]|0;l=f[a+8>>2]|0;m=f[a+12>>2]|0;n=f[a+16>>2]|0;o=f[a+20>>2]|0;p=f[a+24>>2]|0;q=f[a+28>>2]|0;r=f[a+32>>2]|0;s=f[a+36>>2]|0;a=e*3|0;if((e|0)>0){t=0;u=c}else return;while(1){c=j[g+(h[u>>0]<<1)>>1]|0;e=j[g+(h[u+1>>0]<<1)>>1]|0;v=j[g+(h[u+2>>0]<<1)>>1]|0;w=978516+((Y(c,k)|0)+2048+(Y(e,l)|0)+(Y(v,m)|0)>>12<<1)|0;x=978516+((Y(c,n)|0)+2048+(Y(e,o)|0)+(Y(v,p)|0)>>12<<1)|0;y=j[x>>1]|0;x=978516+((Y(c,q)|0)+2048+(Y(e,r)|0)+(Y(v,s)|0)>>12<<1)|0;v=(y*296|0)+-1320550>>15;e=(((j[w>>1]|0)-y|0)*500|0)+4210688>>15;w=((y-(j[x>>1]|0)|0)*200|0)+4210688>>15;b[d+t>>0]=v>>>0<256?v:(v|0)>0?255:0;b[d+(t+1)>>0]=e>>>0<256?e:(e|0)>0?255:0;b[d+(t+2)>>0]=w>>>0<256?w:(w|0)>0?255:0;t=t+3|0;if((t|0)>=(a|0))break;else u=u+i|0}return}function A5(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0;n=u;u=u+160|0;o=n+144|0;p=n+112|0;q=n+104|0;r=n;zT(q,53840);s=k?2:0;k=(i|0)==0;do if(l)if(k){B5(r,3,s,0,0,m);C5(r+56|0,j,s,0,0,m);f[r+100>>2]=j;f[o>>2]=0;f[o+4>>2]=h;f[p>>2]=53868;f[p+4>>2]=a;f[p+8>>2]=c;f[p+12>>2]=d;f[p+16>>2]=e;f[p+20>>2]=g;f[p+24>>2]=r;oU(o,p,+(Y(h,g)|0)*.0000152587890625);break}else{B5(r,j,s,0,0,m);f[r+56>>2]=j;f[o>>2]=0;f[o+4>>2]=h;f[p>>2]=53888;f[p+4>>2]=a;f[p+8>>2]=c;f[p+12>>2]=d;f[p+16>>2]=e;f[p+20>>2]=g;f[p+24>>2]=r;oU(o,p,+(Y(h,g)|0)*.0000152587890625);break}else if(k){f[r>>2]=j;D5(r+4|0,j,s,0,0,m);E5(r+56|0,j,s,0,0,m);b[r+100>>0]=1;f[o>>2]=0;f[o+4>>2]=h;f[p>>2]=53908;f[p+4>>2]=a;f[p+8>>2]=c;f[p+12>>2]=d;f[p+16>>2]=e;f[p+20>>2]=g;f[p+24>>2]=r;oU(o,p,+(Y(h,g)|0)*.0000152587890625);break}else{D5(r,j,s,0,0,m);f[r+52>>2]=j;f[o>>2]=0;f[o+4>>2]=h;f[p>>2]=53928;f[p+4>>2]=a;f[p+8>>2]=c;f[p+12>>2]=d;f[p+16>>2]=e;f[p+20>>2]=g;f[p+24>>2]=r;oU(o,p,+(Y(h,g)|0)*.0000152587890625);break}while(0);if(!(f[q+4>>2]|0)){u=n;return}u=n;return}function B5(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;i=u;u=u+96|0;j=i+48|0;k=i+24|0;l=i+16|0;m=i+8|0;o=i;q=i+80|0;r=i+76|0;s=i+72|0;f[a>>2]=c;b[a+40>>0]=h&1;h=a+52|0;f[h>>2]=d;i5();f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;if(!g){f[j>>2]=f[131950];f[j+4>>2]=f[131951];f[j+8>>2]=f[131952];f[j+12>>2]=f[131953];f[j+16>>2]=f[131954];f[j+20>>2]=f[131955]}else{p[j>>3]=+n[g>>2];p[j+8>>3]=+n[g+4>>2];p[j+16>>3]=+n[g+8>>2]}g=k+8|0;d=k+16|0;if(e|0){c=k+8|0;t=k+16|0;p[k>>3]=+n[e>>2];p[c>>3]=+n[e+12>>2];p[t>>3]=+n[e+24>>2];bAb(l,k,j);n[a+4+((f[h>>2]^2)*3<<2)>>2]=+p[l>>3];bAb(m,g,j);n[a+16>>2]=+p[m>>3];bAb(o,d,j);n[a+4+((f[h>>2]|0)*3<<2)>>2]=+p[o>>3];p[k>>3]=+n[e+4>>2];p[c>>3]=+n[e+16>>2];p[t>>3]=+n[e+28>>2];v=j+8|0;bAb(l,k,v);n[a+4+(((f[h>>2]^2)*3|0)+1<<2)>>2]=+p[l>>3];bAb(m,g,v);n[a+20>>2]=+p[m>>3];bAb(o,d,v);n[a+4+(((f[h>>2]|0)*3|0)+1<<2)>>2]=+p[o>>3];p[k>>3]=+n[e+8>>2];p[c>>3]=+n[e+20>>2];p[t>>3]=+n[e+32>>2];e=j+16|0;bAb(l,k,e);n[a+4+(((f[h>>2]^2)*3|0)+2<<2)>>2]=+p[l>>3];bAb(m,g,e);n[a+24>>2]=+p[m>>3];bAb(o,d,e);n[a+4+(((f[h>>2]|0)*3|0)+2<<2)>>2]=+p[o>>3];Gzb(q,8);w=f[q>>2]|0;x=a+44|0;f[x>>2]=w;Gzb(r,6);Gzb(k,29);Nzb(s,r,k);y=f[s>>2]|0;z=a+48|0;f[z>>2]=y;u=i;return}e=0;do{f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;t=527728+(e<<3)|0;if((t|0)!=(k|0)){c=t;t=f[c+4>>2]|0;v=k;f[v>>2]=f[c>>2];f[v+4>>2]=t}t=e+3|0;v=527728+(t<<3)|0;if((v|0)!=(g|0)){c=v;v=f[c+4>>2]|0;A=g;f[A>>2]=f[c>>2];f[A+4>>2]=v}v=527728+(e+6<<3)|0;if((v|0)!=(d|0)){A=v;v=f[A+4>>2]|0;c=d;f[c>>2]=f[A>>2];f[c+4>>2]=v}v=j+(e<<3)|0;bAb(l,k,v);n[a+4+(((f[h>>2]^2)*3|0)+e<<2)>>2]=+p[l>>3];bAb(m,g,v);n[a+4+(t<<2)>>2]=+p[m>>3];bAb(o,d,v);n[a+4+(((f[h>>2]|0)*3|0)+e<<2)>>2]=+p[o>>3];e=e+1|0}while((e|0)!=3);Gzb(q,8);w=f[q>>2]|0;x=a+44|0;f[x>>2]=w;Gzb(r,6);Gzb(k,29);Nzb(s,r,k);y=f[s>>2]|0;z=a+48|0;f[z>>2]=y;u=i;return}function C5(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;i=u;u=u+80|0;j=i+56|0;k=i+32|0;l=i+24|0;m=i+16|0;o=i+8|0;q=i;f[a>>2]=c;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;if(!g){f[j>>2]=f[131950];f[j+4>>2]=f[131951];f[j+8>>2]=f[131952];f[j+12>>2]=f[131953];f[j+16>>2]=f[131954];f[j+20>>2]=f[131955]}else{p[j>>3]=+n[g>>2];p[j+8>>3]=+n[g+4>>2];p[j+16>>3]=+n[g+8>>2]}if((b[528120]|0)==0?src(528120)|0:0)Rzb(528128,4096);g=d*3|0;c=k+8|0;r=k+16|0;s=(d^2)*3|0;if(e|0){d=k+8|0;t=k+16|0;v=0;do{p[k>>3]=+n[e+(v<<2)>>2];w=v+3|0;p[d>>3]=+n[e+(w<<2)>>2];p[t>>3]=+n[e+(v+6<<2)>>2];bAb(m,528128,k);x=j+(v<<3)|0;bAb(l,m,x);y=Vzb(l)|0;f[a+4+(v+g<<2)>>2]=y;bAb(o,528128,c);bAb(l,o,x);y=Vzb(l)|0;f[a+4+(w<<2)>>2]=y;bAb(q,528128,r);bAb(l,q,x);x=Vzb(l)|0;f[a+4+(v+s<<2)>>2]=x;v=v+1|0}while((v|0)!=3);z=h?962132:970324;A=a+40|0;f[A>>2]=z;u=i;return}v=0;do{f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;e=527728+(v<<3)|0;if((e|0)!=(k|0)){t=e;e=f[t+4>>2]|0;d=k;f[d>>2]=f[t>>2];f[d+4>>2]=e}e=v+3|0;d=527728+(e<<3)|0;if((d|0)!=(c|0)){t=d;d=f[t+4>>2]|0;x=c;f[x>>2]=f[t>>2];f[x+4>>2]=d}d=527728+(v+6<<3)|0;if((d|0)!=(r|0)){x=d;d=f[x+4>>2]|0;t=r;f[t>>2]=f[x>>2];f[t+4>>2]=d}bAb(m,528128,k);d=j+(v<<3)|0;bAb(l,m,d);t=Vzb(l)|0;f[a+4+(v+g<<2)>>2]=t;bAb(o,528128,c);bAb(l,o,d);t=Vzb(l)|0;f[a+4+(e<<2)>>2]=t;bAb(q,528128,r);bAb(l,q,d);d=Vzb(l)|0;f[a+4+(v+s<<2)>>2]=d;v=v+1|0}while((v|0)!=3);z=h?962132:970324;A=a+40|0;f[A>>2]=z;u=i;return}function D5(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;i=u;u=u+112|0;j=i+48|0;k=i+100|0;l=i+40|0;m=i+24|0;o=i+32|0;q=i+16|0;r=i+8|0;s=i;t=i+96|0;v=i+92|0;w=i+88|0;x=i+84|0;y=i+80|0;z=i+76|0;A=i+72|0;f[a>>2]=c;b[a+48>>0]=h&1;i5();f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;if(!g){f[j>>2]=f[131950];f[j+4>>2]=f[131951];f[j+8>>2]=f[131952];f[j+12>>2]=f[131953];f[j+16>>2]=f[131954];f[j+20>>2]=f[131955]}else{p[j>>3]=+n[g>>2];p[j+8>>3]=+n[g+4>>2];p[j+16>>3]=+n[g+8>>2]}g=(d^2)*3|0;h=d*3|0;if(!e){Yzb(k,527728);d=f[k>>2]|0;Yzb(k,527752);c=f[k>>2]|0;Yzb(k,527776);B=f[k>>2]|0;f[a+4+(g<<2)>>2]=d;f[a+16>>2]=c;f[a+4+(h<<2)>>2]=B;Yzb(k,527736);B=f[k>>2]|0;Yzb(k,527760);c=f[k>>2]|0;Yzb(k,527784);d=f[k>>2]|0;f[a+4+(g+1<<2)>>2]=B;f[a+20>>2]=c;f[a+4+(h+1<<2)>>2]=d;Yzb(k,527744);d=f[k>>2]|0;Yzb(k,527768);c=f[k>>2]|0;Yzb(k,527792);C=f[k>>2]|0;D=c;E=d}else{d=f[e+12>>2]|0;c=f[e+24>>2]|0;f[a+4+(g<<2)>>2]=f[e>>2];f[a+16>>2]=d;f[a+4+(h<<2)>>2]=c;c=f[e+16>>2]|0;d=f[e+28>>2]|0;f[a+4+(g+1<<2)>>2]=f[e+4>>2];f[a+20>>2]=c;f[a+4+(h+1<<2)>>2]=d;C=f[e+32>>2]|0;D=f[e+20>>2]|0;E=f[e+8>>2]|0}f[a+4+(g+2<<2)>>2]=E;f[a+24>>2]=D;f[a+4+(h+2<<2)>>2]=C;C=j+8|0;Rzb(m,15);bAb(l,C,m);Zzb(o,j,l);Rzb(r,3);bAb(q,j+16|0,r);Zzb(s,o,q);Yzb(k,s);f[t>>2]=1065353216;f[q>>2]=872415232;s=Ozb(k,q)|0;f[m>>2]=f[(s?k:q)>>2];Nzb(l,t,m);f[k>>2]=f[l>>2];Gzb(v,52);Mzb(w,v,k);Yzb(l,j);Mzb(x,w,l);f[a+40>>2]=f[x>>2];Gzb(y,117);Mzb(z,y,k);Yzb(l,C);Mzb(A,z,l);f[a+44>>2]=f[A>>2];A=l;f[A>>2]=0;f[A+4>>2]=1072693248;if(dAb(C,l)|0){u=i;return}else{f[l>>2]=0;f[l+4>>2]=0;i=YG(l,31)|0;C=249014;A=i+31|0;do{b[i>>0]=b[C>>0]|0;i=i+1|0;C=C+1|0}while((i|0)<(A|0));SQ(-215,l,250017,247811,3179)}}function E5(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0;g=u;u=u+32|0;i=g+8|0;j=g;f[a>>2]=c;i5();if((b[528104]|0)==0?src(528104)|0:0)Rzb(528112,4096);c=d*3|0;k=i+8|0;l=i+16|0;m=(d^2)*3|0;if(!e){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;d=527728;o=f[d+4>>2]|0;q=i;f[q>>2]=f[d>>2];f[q+4>>2]=o;o=527752;q=f[o+4>>2]|0;d=k;f[d>>2]=f[o>>2];f[d+4>>2]=q;q=527776;d=f[q+4>>2]|0;o=l;f[o>>2]=f[q>>2];f[o+4>>2]=d;bAb(j,528112,i);d=Vzb(j)|0;f[a+4+(c<<2)>>2]=d;bAb(j,528112,k);d=Vzb(j)|0;f[a+16>>2]=d;bAb(j,528112,l);d=Vzb(j)|0;f[a+4+(m<<2)>>2]=d;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;d=527736;o=f[d+4>>2]|0;q=i;f[q>>2]=f[d>>2];f[q+4>>2]=o;o=527760;q=f[o+4>>2]|0;d=k;f[d>>2]=f[o>>2];f[d+4>>2]=q;q=527784;d=f[q+4>>2]|0;o=l;f[o>>2]=f[q>>2];f[o+4>>2]=d;bAb(j,528112,i);d=Vzb(j)|0;f[a+4+(c+1<<2)>>2]=d;bAb(j,528112,k);d=Vzb(j)|0;f[a+20>>2]=d;bAb(j,528112,l);d=Vzb(j)|0;f[a+4+(m+1<<2)>>2]=d;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;d=527744;o=f[d+4>>2]|0;q=i;f[q>>2]=f[d>>2];f[q+4>>2]=o;o=527768;q=f[o+4>>2]|0;d=k;f[d>>2]=f[o>>2];f[d+4>>2]=q;q=527792;d=f[q+4>>2]|0;o=l;f[o>>2]=f[q>>2];f[o+4>>2]=d;bAb(j,528112,i);d=Vzb(j)|0;f[a+4+(c+2<<2)>>2]=d;bAb(j,528112,k);d=Vzb(j)|0;f[a+24>>2]=d;bAb(j,528112,l);d=Vzb(j)|0;f[a+4+(m+2<<2)>>2]=d;r=h?962132:970324;s=a+40|0;f[s>>2]=r;u=g;return}else{p[i>>3]=+n[e>>2];d=i+8|0;p[d>>3]=+n[e+12>>2];o=i+16|0;p[o>>3]=+n[e+24>>2];bAb(j,528112,i);q=Vzb(j)|0;f[a+4+(c<<2)>>2]=q;bAb(j,528112,k);q=Vzb(j)|0;f[a+16>>2]=q;bAb(j,528112,l);q=Vzb(j)|0;f[a+4+(m<<2)>>2]=q;p[i>>3]=+n[e+4>>2];p[d>>3]=+n[e+16>>2];p[o>>3]=+n[e+28>>2];bAb(j,528112,i);q=Vzb(j)|0;f[a+4+(c+1<<2)>>2]=q;bAb(j,528112,k);q=Vzb(j)|0;f[a+20>>2]=q;bAb(j,528112,l);q=Vzb(j)|0;f[a+4+(m+1<<2)>>2]=q;p[i>>3]=+n[e+8>>2];p[d>>3]=+n[e+20>>2];p[o>>3]=+n[e+32>>2];bAb(j,528112,i);i=Vzb(j)|0;f[a+4+(c+2<<2)>>2]=i;bAb(j,528112,k);k=Vzb(j)|0;f[a+24>>2]=k;bAb(j,528112,l);l=Vzb(j)|0;f[a+4+(m+2<<2)>>2]=l;r=h?962132:970324;s=a+40|0;f[s>>2]=r;u=g;return}}function F5(a){a=a|0;Emc(a);return}function G5(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;zT(d,53940);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){H5(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function H5(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0.0,q=0.0,r=0.0,t=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0,D=0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0,L=0,M=0,N=0,O=0;g=u;u=u+32|0;h=g+16|0;i=g+12|0;j=g+8|0;k=g+4|0;l=g;m=f[a>>2]|0;o=b[a+48>>0]|0?f[136418]|0:0;p=+n[a+4>>2];q=+n[a+8>>2];r=+n[a+12>>2];t=+n[a+16>>2];v=+n[a+20>>2];w=+n[a+24>>2];x=+n[a+28>>2];y=+n[a+32>>2];z=+n[a+36>>2];A=+n[a+40>>2];B=+n[a+44>>2];a=e*3|0;if((e|0)<=0){u=g;return}e=(o|0)==0;C=(m|0)==4;D=d;d=0;while(1){E=+n[c+(d<<2)>>2];if(!(E>=8.0))F=E*.001107051968574524;else{G=(E+16.0)*.008620689623057842;F=G*(G*G)}G=(+n[c+(d+1<<2)>>2]+A*E)*3.0;H=.25/(B*E+ +n[c+(d+2<<2)>>2]);I=H>.25?.25:H;H=I<-.25?-.25:I;I=H*(G*(F*3.0));J=((E*156.0-G)*H+-5.0)*F;H=r*J+(q*F+p*I);n[h>>2]=H;G=w*J+(v*F+t*I);n[i>>2]=G;E=z*J+(y*F+x*I);n[j>>2]=E;n[k>>2]=0.0;K=H<0.0?k:h;n[l>>2]=1.0;L=f[(+n[K>>2]>1.0?l:K)>>2]|0;f[h>>2]=L;n[k>>2]=0.0;K=G<0.0?k:i;n[l>>2]=1.0;M=f[(+n[K>>2]>1.0?l:K)>>2]|0;f[i>>2]=M;n[k>>2]=0.0;K=E<0.0?k:j;n[l>>2]=1.0;N=f[(+n[K>>2]>1.0?l:K)>>2]|0;f[j>>2]=N;if(e)O=L;else{E=(f[s>>2]=N,+n[s>>2]);G=(f[s>>2]=M,+n[s>>2]);H=(f[s>>2]=L,+n[s>>2])*1024.0;L=~~H;M=(L|0)>0?L:0;L=(M|0)<1023?M:1023;I=H-+(L|0);M=o+(L<<2<<2)|0;H=+n[M>>2]+I*(+n[M+4>>2]+I*(+n[M+8>>2]+ +n[M+12>>2]*I));n[h>>2]=H;I=G*1024.0;M=~~I;L=(M|0)>0?M:0;M=(L|0)<1023?L:1023;G=I-+(M|0);L=o+(M<<2<<2)|0;n[i>>2]=+n[L>>2]+G*(+n[L+4>>2]+G*(+n[L+8>>2]+ +n[L+12>>2]*G));G=E*1024.0;L=~~G;M=(L|0)>0?L:0;L=(M|0)<1023?M:1023;E=G-+(L|0);M=o+(L<<2<<2)|0;n[j>>2]=+n[M>>2]+E*(+n[M+4>>2]+E*(+n[M+8>>2]+ +n[M+12>>2]*E));O=(n[s>>2]=H,f[s>>2]|0)}f[D>>2]=O;f[D+4>>2]=f[i>>2];f[D+8>>2]=f[j>>2];if(C)n[D+12>>2]=1.0;d=d+3|0;if((d|0)>=(a|0))break;else D=D+(m<<2)|0}u=g;return}function I5(a){a=a|0;Emc(a);return}function J5(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;zT(d,53960);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){K5(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function K5(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0.0,t=0.0,v=0.0,w=0.0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0.0,P=0.0,Q=0.0,R=0,S=0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0.0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0;g=u;u=u+3088|0;i=g;j=g+3072|0;if(b[a+100>>0]|0){L5(a+56|0,c,d,e);u=g;return}k=f[a>>2]|0;if((b[528080]|0)==0?src(528080)|0:0){Gzb(j,100);Nzb(545780,j,545596)}if((b[528088]|0)==0?src(528088)|0:0)Nzb(545784,545568,545596);if((b[528096]|0)==0?src(528096)|0:0)Nzb(545788,545580,545596);if((e|0)>0){j=a+4|0;a=(k|0)==4;l=c;c=d;d=0;m=~e;while(1){o=(Y((m|0)>-257?m:-257,-3)|0)+-19|0;p=((o|0)>16?o:16)+-1&-16;o=p+16|0;q=e-d|0;r=(q|0)<256?q:256;s=+n[136445];t=+n[136446];v=+n[136447];w=+n[136390];x=+n[136393];q=r*3|0;y=q+-48|0;if((y|0)>0){z=0;while(1){A=l+z|0;B=b[A+4>>0]|0;C=b[A+5>>0]|0;D=b[A+6>>0]|0;E=b[A+7>>0]|0;F=b[A+8>>0]|0;G=b[A+9>>0]|0;H=b[A+10>>0]|0;I=b[A+11>>0]|0;J=b[A+12>>0]|0;K=b[A+13>>0]|0;L=b[A+14>>0]|0;M=b[A+15>>0]|0;N=i+(z<<2)|0;O=w+t*+(h[A+1>>0]|0);P=x+v*+(h[A+2>>0]|0);Q=s*+(h[A+3>>0]|0)+0.0;n[N>>2]=s*+(h[A>>0]|0)+0.0;n[N+4>>2]=O;n[N+8>>2]=P;n[N+12>>2]=Q;n[N+16>>2]=w+t*+(B&255);n[N+20>>2]=x+v*+(C&255);n[N+24>>2]=s*+(D&255)+0.0;n[N+28>>2]=w+t*+(E&255);n[N+32>>2]=x+v*+(F&255);n[N+36>>2]=s*+(G&255)+0.0;n[N+40>>2]=w+t*+(H&255);n[N+44>>2]=x+v*+(I&255);n[N+48>>2]=s*+(J&255)+0.0;n[N+52>>2]=w+t*+(K&255);n[N+56>>2]=x+v*+(L&255);n[N+60>>2]=s*+(M&255)+0.0;M=A+16|0;L=b[M+4>>0]|0;K=b[M+5>>0]|0;J=b[M+6>>0]|0;I=b[M+7>>0]|0;H=b[M+8>>0]|0;G=b[M+9>>0]|0;F=b[M+10>>0]|0;E=b[M+11>>0]|0;D=b[M+12>>0]|0;C=b[M+13>>0]|0;B=b[M+14>>0]|0;R=b[M+15>>0]|0;Q=x+v*+(h[M+1>>0]|0);P=s*+(h[M+2>>0]|0)+0.0;O=w+t*+(h[M+3>>0]|0);n[N+64>>2]=w+t*+(h[M>>0]|0);n[N+68>>2]=Q;n[N+72>>2]=P;n[N+76>>2]=O;n[N+80>>2]=x+v*+(L&255);n[N+84>>2]=s*+(K&255)+0.0;n[N+88>>2]=w+t*+(J&255);n[N+92>>2]=x+v*+(I&255);n[N+96>>2]=s*+(H&255)+0.0;n[N+100>>2]=w+t*+(G&255);n[N+104>>2]=x+v*+(F&255);n[N+108>>2]=s*+(E&255)+0.0;n[N+112>>2]=w+t*+(D&255);n[N+116>>2]=x+v*+(C&255);n[N+120>>2]=s*+(B&255)+0.0;n[N+124>>2]=w+t*+(R&255);R=A+32|0;A=b[R+4>>0]|0;B=b[R+5>>0]|0;C=b[R+6>>0]|0;D=b[R+7>>0]|0;E=b[R+8>>0]|0;F=b[R+9>>0]|0;G=b[R+10>>0]|0;H=b[R+11>>0]|0;I=b[R+12>>0]|0;J=b[R+13>>0]|0;K=b[R+14>>0]|0;L=b[R+15>>0]|0;O=s*+(h[R+1>>0]|0)+0.0;P=w+t*+(h[R+2>>0]|0);Q=x+v*+(h[R+3>>0]|0);n[N+128>>2]=x+v*+(h[R>>0]|0);n[N+132>>2]=O;n[N+136>>2]=P;n[N+140>>2]=Q;n[N+144>>2]=s*+(A&255)+0.0;n[N+148>>2]=w+t*+(B&255);n[N+152>>2]=x+v*+(C&255);n[N+156>>2]=s*+(D&255)+0.0;n[N+160>>2]=w+t*+(E&255);n[N+164>>2]=x+v*+(F&255);n[N+168>>2]=s*+(G&255)+0.0;n[N+172>>2]=w+t*+(H&255);n[N+176>>2]=x+v*+(I&255);n[N+180>>2]=s*+(J&255)+0.0;n[N+184>>2]=w+t*+(K&255);n[N+188>>2]=x+v*+(L&255);L=z+48|0;if((L|0)<(y|0))z=L;else{S=L;break}}}else S=0;if((S|0)<(q|0)){v=+n[136445];x=+n[136446];t=+n[136390];w=+n[136447];s=+n[136393];z=S;do{n[i+(z<<2)>>2]=+(h[l+z>>0]|0)*v;y=z+1|0;n[i+(y<<2)>>2]=+(h[l+y>>0]|0)*x+t;y=z+2|0;n[i+(y<<2)>>2]=+(h[l+y>>0]|0)*w+s;z=z+3|0}while((z|0)<(q|0))}H5(j,i,i,r);z=q+-16|0;if((q|0)>16){y=c+16|0;L=c;N=0;while(1){K=i+(N<<2)|0;s=+n[K+16>>2];w=+n[K+20>>2];t=+n[K+24>>2];x=+n[K+28>>2];v=+n[K+32>>2];Q=+n[K+36>>2];P=+n[K+40>>2];O=+n[K+44>>2];T=+n[K+48>>2];U=+n[K+52>>2];V=+n[K+56>>2];W=+n[K+60>>2];X=+n[K+4>>2]*255.0;Z=+n[K+8>>2]*255.0;_=+n[K+12>>2]*255.0;J=U9b(+n[K>>2]*255.0)|0;K=U9b(X)|0;I=U9b(Z)|0;H=U9b(_)|0;G=U9b(s*255.0)|0;F=U9b(w*255.0)|0;E=U9b(t*255.0)|0;D=U9b(x*255.0)|0;C=U9b(v*255.0)|0;B=U9b(Q*255.0)|0;A=U9b(P*255.0)|0;R=U9b(O*255.0)|0;M=U9b(T*255.0)|0;$=U9b(U*255.0)|0;aa=U9b(V*255.0)|0;ba=U9b(W*255.0)|0;ca=((J+32768|0)>>>0<65536?J:(J|0)>0?32767:32768)&65535;J=((C+32768|0)>>>0<65536?C:(C|0)>0?32767:32768)&65535;C=((K+32768|0)>>>0<65536?K:(K|0)>0?32767:32768)&65535;K=((B+32768|0)>>>0<65536?B:(B|0)>0?32767:32768)&65535;B=((I+32768|0)>>>0<65536?I:(I|0)>0?32767:32768)&65535;I=((A+32768|0)>>>0<65536?A:(A|0)>0?32767:32768)&65535;A=((H+32768|0)>>>0<65536?H:(H|0)>0?32767:32768)&65535;H=((R+32768|0)>>>0<65536?R:(R|0)>0?32767:32768)&65535;R=((G+32768|0)>>>0<65536?G:(G|0)>0?32767:32768)&65535;G=((M+32768|0)>>>0<65536?M:(M|0)>0?32767:32768)&65535;M=((F+32768|0)>>>0<65536?F:(F|0)>0?32767:32768)&65535;F=(($+32768|0)>>>0<65536?$:($|0)>0?32767:32768)&65535;$=((E+32768|0)>>>0<65536?E:(E|0)>0?32767:32768)&65535;E=((aa+32768|0)>>>0<65536?aa:(aa|0)>0?32767:32768)&65535;aa=((D+32768|0)>>>0<65536?D:(D|0)>0?32767:32768)&65535;D=((ba+32768|0)>>>0<65536?ba:(ba|0)>0?32767:32768)&65535;b[L>>0]=ca>>>0<255?ca:255;b[L+1>>0]=C>>>0<255?C:255;b[L+2>>0]=B>>>0<255?B:255;b[L+3>>0]=A>>>0<255?A:255;b[L+4>>0]=R>>>0<255?R:255;b[L+5>>0]=M>>>0<255?M:255;b[L+6>>0]=$>>>0<255?$:255;b[L+7>>0]=aa>>>0<255?aa:255;b[L+8>>0]=J>>>0<255?J:255;b[L+9>>0]=K>>>0<255?K:255;b[L+10>>0]=I>>>0<255?I:255;b[L+11>>0]=H>>>0<255?H:255;b[L+12>>0]=G>>>0<255?G:255;b[L+13>>0]=F>>>0<255?F:255;b[L+14>>0]=E>>>0<255?E:255;b[L+15>>0]=D>>>0<255?D:255;N=N+16|0;if((N|0)>=(z|0))break;else L=L+16|0}da=y+p|0;ea=o}else{da=c;ea=0}if((ea|0)<(q|0))if(a){L=da;z=ea;while(1){N=U9b(+n[i+(z<<2)>>2]*255.0)|0;b[L>>0]=N>>>0<256?N:(N|0)>0?255:0;N=U9b(+n[i+(z+1<<2)>>2]*255.0)|0;b[L+1>>0]=N>>>0<256?N:(N|0)>0?255:0;N=U9b(+n[i+(z+2<<2)>>2]*255.0)|0;b[L+2>>0]=N>>>0<256?N:(N|0)>0?255:0;b[L+3>>0]=-1;z=z+3|0;N=L+4|0;if((z|0)>=(q|0)){fa=N;break}else L=N}}else{L=da;z=ea;while(1){o=U9b(+n[i+(z<<2)>>2]*255.0)|0;b[L>>0]=o>>>0<256?o:(o|0)>0?255:0;o=U9b(+n[i+(z+1<<2)>>2]*255.0)|0;b[L+1>>0]=o>>>0<256?o:(o|0)>0?255:0;o=U9b(+n[i+(z+2<<2)>>2]*255.0)|0;b[L+2>>0]=o>>>0<256?o:(o|0)>0?255:0;z=z+3|0;o=L+k|0;if((z|0)>=(q|0)){fa=o;break}else L=o}}else fa=da;d=d+256|0;if((d|0)>=(e|0))break;else{l=l+768|0;c=fa;m=m+256|0}}}u=g;return}function L5(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=u;u=u+16|0;h=g+8|0;i=g+4|0;j=g;k=f[a>>2]|0;l=e*3|0;if((e|0)<=0){u=g;return}if((k|0)==4){e=0;m=d;while(1){M5(a,b[c+e>>0]|0,b[c+(e+1)>>0]|0,b[c+(e+2)>>0]|0,h,i,j);n=f[j>>2]|0;b[m>>0]=n>>>0<256?n:(n|0)>0?255:0;n=f[i>>2]|0;b[m+1>>0]=n>>>0<256?n:(n|0)>0?255:0;n=f[h>>2]|0;b[m+2>>0]=n>>>0<256?n:(n|0)>0?255:0;b[m+3>>0]=-1;e=e+3|0;if((e|0)>=(l|0))break;else m=m+4|0}u=g;return}else{m=0;e=d;while(1){M5(a,b[c+m>>0]|0,b[c+(m+1)>>0]|0,b[c+(m+2)>>0]|0,h,i,j);d=f[j>>2]|0;b[e>>0]=d>>>0<256?d:(d|0)>0?255:0;d=f[i>>2]|0;b[e+1>>0]=d>>>0<256?d:(d|0)>0?255:0;d=f[h>>2]|0;b[e+2>>0]=d>>>0<256?d:(d|0)>0?255:0;m=m+3|0;if((m|0)>=(l|0))break;else e=e+k|0}u=g;return}}function M5(a,b,c,e,g,h,i){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0;k=b&255;b=d[984660+(k<<1<<1)>>1]|0;l=k<<8;k=f[(f[136424]|0)+((l|c&255)<<2)>>2]|0;c=e&255|l;l=f[(f[136425]|0)+(c<<2)>>2]|0;e=Urc(l|0,((l|0)<0)<<31>>31|0,k|0,((k|0)<0)<<31>>31|0)|0;k=J;l=Rrc(e|0,k|0,16384,0)|0;m=b&65535;n=Y(l,m)|0;l=(n|0)/16384|0;o=(f[136426]|0)+(c<<3)|0;c=f[o>>2]|0;p=f[o+4>>2]|0;o=Urc(e|0,k|0,-85,-1)|0;k=Arc(o|0,J|0,c|0,p|0)|0;p=Rrc(k|0,J|0,16384,0)|0;k=Arc(p|0,J|0,-20889600,-1)|0;p=Urc(k|0,J|0,b&65535|0,0)|0;b=Rrc(p|0,J|0,16384,0)|0;p=((b|0)/256|0)+((b|0)/65536|0)|0;b=(n|0)>16383?((l|0)<32768?l:32768):0;l=(p|0)>0?((p|0)<32768?p:32768):0;p=f[a+16>>2]|0;n=f[a+20>>2]|0;k=f[a+24>>2]|0;c=f[a+28>>2]|0;o=f[a+32>>2]|0;e=f[a+36>>2]|0;q=(Y(f[a+8>>2]|0,m)|0)+8192+(Y(b,f[a+4>>2]|0)|0)+(Y(l,f[a+12>>2]|0)|0)>>14;f[g>>2]=q;q=(Y(n,m)|0)+8192+(Y(b,p)|0)+(Y(l,k)|0)>>14;f[h>>2]=q;q=(Y(c,b)|0)+8192+(Y(o,m)|0)+(Y(l,e)|0)>>14;f[i>>2]=q;q=f[g>>2]|0;f[g>>2]=(q|0)>0?((q|0)<4095?q:4095):0;q=f[h>>2]|0;f[h>>2]=(q|0)>0?((q|0)<4095?q:4095):0;q=f[i>>2]|0;f[i>>2]=(q|0)>0?((q|0)<4095?q:4095):0;q=f[a+40>>2]|0;f[g>>2]=j[q+(f[g>>2]<<1)>>1];f[h>>2]=j[q+(f[h>>2]<<1)>>1];f[i>>2]=j[q+(f[i>>2]<<1)>>1];return}function N5(a){a=a|0;Emc(a);return}function O5(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;zT(d,53980);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){P5(f[j>>2]|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function P5(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0,I=0,J=0,K=0;g=f[a>>2]|0;h=b[a+40>>0]|0?f[136418]|0:0;i=+n[a+4>>2];j=+n[a+8>>2];k=+n[a+12>>2];l=+n[a+16>>2];m=+n[a+20>>2];o=+n[a+24>>2];p=+n[a+28>>2];q=+n[a+32>>2];r=+n[a+36>>2];s=e*3|0;if((e|0)<=0)return;e=a+44|0;t=a+48|0;a=(h|0)==0;u=(g|0)==4;v=d;d=0;while(1){w=+n[c+(d<<2)>>2];if(!(w<=+n[e>>2])){x=(w+16.0)/116.0;y=x;z=x*(x*x)}else{x=w/903.2999877929688;y=x*7.7870001792907715+.13793103396892548;z=x}x=+n[c+(d+1<<2)>>2]/500.0+y;w=y-+n[c+(d+2<<2)>>2]/200.0;A=+n[t>>2];if(!(x<=A))B=x*(x*x);else B=(x+-.13793103396892548)/7.7870001792907715;if(!(w<=A))C=w*(w*w);else C=(w+-.13793103396892548)/7.7870001792907715;w=j*z+i*B+k*C;A=m*z+l*B+o*C;x=q*z+p*B+r*C;D=w<0.0?0.0:w>1.0?1.0:w;w=A<0.0?0.0:A>1.0?1.0:A;A=x<0.0?0.0:x>1.0?1.0:x;if(a){E=A;F=w;G=D}else{x=D*1024.0;H=~~x;I=(H|0)>0?H:0;H=(I|0)<1023?I:1023;D=x-+(H|0);I=h+(H<<2<<2)|0;x=w*1024.0;H=~~x;J=(H|0)>0?H:0;H=(J|0)<1023?J:1023;w=x-+(H|0);J=h+(H<<2<<2)|0;x=A*1024.0;H=~~x;K=(H|0)>0?H:0;H=(K|0)<1023?K:1023;A=x-+(H|0);K=h+(H<<2<<2)|0;E=+n[K>>2]+A*(+n[K+4>>2]+A*(A*+n[K+12>>2]+ +n[K+8>>2]));F=+n[J>>2]+w*(+n[J+4>>2]+w*(w*+n[J+12>>2]+ +n[J+8>>2]));G=+n[I>>2]+D*(+n[I+4>>2]+D*(D*+n[I+12>>2]+ +n[I+8>>2]))}n[v>>2]=G;n[v+4>>2]=F;n[v+8>>2]=E;if(u)n[v+12>>2]=1.0;d=d+3|0;if((d|0)>=(s|0))break;else v=v+(g<<2)|0}return}function Q5(a){a=a|0;Emc(a);return}function R5(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;zT(d,54e3);e=f[b>>2]|0;g=a+8|0;h=a+16|0;i=b+4|0;if((e|0)<(f[i>>2]|0)){b=(f[a+12>>2]|0)+(Y(f[h>>2]|0,e)|0)|0;j=a+24|0;k=a+20|0;l=b;b=e;m=(f[a+4>>2]|0)+(Y(f[g>>2]|0,e)|0)|0;while(1){S5((f[j>>2]|0)+56|0,m,l,f[k>>2]|0);b=b+1|0;if((b|0)>=(f[i>>2]|0))break;else{l=l+(f[h>>2]|0)|0;m=m+(f[g>>2]|0)|0}}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function S5(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=u;u=u+16|0;h=g+8|0;i=g+4|0;j=g;k=f[a>>2]|0;l=e*3|0;if((e|0)<=0){u=g;return}if((k|0)==4){e=0;m=d;while(1){T5(a,b[c+e>>0]|0,b[c+(e+1)>>0]|0,b[c+(e+2)>>0]|0,h,i,j);n=f[j>>2]|0;b[m>>0]=n>>>0<256?n:(n|0)>0?255:0;n=f[i>>2]|0;b[m+1>>0]=n>>>0<256?n:(n|0)>0?255:0;n=f[h>>2]|0;b[m+2>>0]=n>>>0<256?n:(n|0)>0?255:0;b[m+3>>0]=-1;e=e+3|0;if((e|0)>=(l|0))break;else m=m+4|0}u=g;return}else{m=0;e=d;while(1){T5(a,b[c+m>>0]|0,b[c+(m+1)>>0]|0,b[c+(m+2)>>0]|0,h,i,j);d=f[j>>2]|0;b[e>>0]=d>>>0<256?d:(d|0)>0?255:0;d=f[i>>2]|0;b[e+1>>0]=d>>>0<256?d:(d|0)>0?255:0;d=f[h>>2]|0;b[e+2>>0]=d>>>0<256?d:(d|0)>0?255:0;m=m+3|0;if((m|0)>=(l|0))break;else e=e+k|0}u=g;return}}function T5(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,k=0,l=0,m=0,n=0,o=0,p=0;i=(b&255)<<1;b=j[984660+((i|1)<<1)>>1]|0;k=f[136423]|0;l=f[k+(((((c&255)*268435|0)+128|0)>>>13)+-4194+b+8145<<2)>>2]|0;c=f[k+(10484-((((d&255)*41943|0)+16|0)>>>9)+b+8145<<2)>>2]|0;b=j[984660+(i<<1)>>1]|0;i=f[a+16>>2]|0;d=f[a+20>>2]|0;k=f[a+24>>2]|0;m=f[a+28>>2]|0;n=f[a+32>>2]|0;o=f[a+36>>2]|0;p=(Y(f[a+4>>2]|0,l)|0)+8192+(Y(f[a+8>>2]|0,b)|0)+(Y(f[a+12>>2]|0,c)|0)>>14;f[e>>2]=p;p=(Y(i,l)|0)+8192+(Y(d,b)|0)+(Y(k,c)|0)>>14;f[g>>2]=p;p=(Y(m,l)|0)+8192+(Y(n,b)|0)+(Y(o,c)|0)>>14;f[h>>2]=p;p=f[e>>2]|0;f[e>>2]=(p|0)>0?((p|0)<4095?p:4095):0;p=f[g>>2]|0;f[g>>2]=(p|0)>0?((p|0)<4095?p:4095):0;p=f[h>>2]|0;f[h>>2]=(p|0)>0?((p|0)<4095?p:4095):0;p=f[a+40>>2]|0;f[e>>2]=j[p+(f[e>>2]<<1)>>1];f[g>>2]=j[p+(f[g>>2]<<1)>>1];f[h>>2]=j[p+(f[h>>2]<<1)>>1];return}function U5(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+128|0;g=e;F4(g,a,b,3);e5(f[g+16>>2]|0,f[g+48>>2]|0,f[g+72>>2]|0,f[g+104>>2]|0,f[g+12>>2]|0,f[g+8>>2]|0,f[g+112>>2]|0,f[g+116>>2]|0,c,1,d);G4(g);u=e;return}function V5(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+128|0;g=e;F4(g,a,b,3);e5(f[g+16>>2]|0,f[g+48>>2]|0,f[g+72>>2]|0,f[g+104>>2]|0,f[g+12>>2]|0,f[g+8>>2]|0,f[g+112>>2]|0,f[g+116>>2]|0,c,0,d);G4(g);u=e;return}function W5(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+128|0;h=g;i=(c|0)<1?3:c;J4(h,a,b,i);A5(f[h+16>>2]|0,f[h+48>>2]|0,f[h+72>>2]|0,f[h+104>>2]|0,f[h+12>>2]|0,f[h+8>>2]|0,f[h+112>>2]|0,i,d,1,e);K4(h);u=g;return}function X5(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+128|0;h=g;i=(c|0)<1?3:c;J4(h,a,b,i);A5(f[h+16>>2]|0,f[h+48>>2]|0,f[h+72>>2]|0,f[h+104>>2]|0,f[h+12>>2]|0,f[h+8>>2]|0,f[h+112>>2]|0,i,d,0,e);K4(h);u=g;return}function Y5(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+128|0;e=d;Q3(e,a,b,3);N4(f[e+16>>2]|0,f[e+48>>2]|0,f[e+72>>2]|0,f[e+104>>2]|0,f[e+12>>2]|0,f[e+8>>2]|0,f[e+112>>2]|0,f[e+116>>2]|0,c);R3(e);u=d;return}function Z5(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+128|0;g=e;h=(c|0)<1?3:c;T3(g,a,b,h);W4(f[g+16>>2]|0,f[g+48>>2]|0,f[g+72>>2]|0,f[g+104>>2]|0,f[g+12>>2]|0,f[g+8>>2]|0,f[g+112>>2]|0,h,d);U3(g);u=e;return}function _5(){H0(545808,250446,839,1625,503,249,840);Ad(1619,545808,x|0)|0;return}function $5(a){a=a|0;var b=0;if((a|0)!=0?(f[a>>2]&-65536|0)==1111818240:0)b=(f[a+4>>2]|0)!=0;else b=0;return b&1|0}function a6(a){a=a|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;if(!a){f[d>>2]=0;f[d+4>>2]=0;f6(-27,d,250943,2324)}e=f[a>>2]|0;if(!e){u=c;return}if((f[e>>2]&-65536|0)==1111818240?(g=e+4|0,f[g>>2]|0):0){f[a>>2]=0;a=f[g>>2]|0;if((a|0)!=0?(f[a>>2]&-65536|0)==1111752704:0)ST(g);else{VT(a);f[g>>2]=0}g=e+264|0;a=f[g>>2]|0;if(a|0){vE(a);f[g>>2]=0}vE(e);u=c;return}f[d>>2]=0;f[d+4>>2]=0;c=YG(d,24)|0;e=250571;g=c+24|0;do{b[c>>0]=b[e>>0]|0;c=c+1|0;e=e+1|0}while((c|0)<(g|0));f6(-5,d,250943,2331)}function b6(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;d=u;u=u+272|0;e=d+136|0;g=d+8|0;h=d;i=uE(544)|0;j=QY(a,c,390721)|0;a:do if(!j)k=0;else switch(f[j>>2]&7){case 1:{k=f[j+8>>2]|0;break a;break}case 2:{k=V9b(+p[j+8>>3])|0;break a;break}default:{k=2147483647;break a}}while(0);j=QY(a,c,250834)|0;b:do if(!j)l=0;else switch(f[j>>2]&7){case 1:{l=f[j+8>>2]|0;break b;break}case 2:{l=V9b(+p[j+8>>3])|0;break b;break}default:{l=2147483647;break b}}while(0);j=QY(a,c,250845)|0;c:do if(!j)m=0;else switch(f[j>>2]&7){case 1:{m=f[j+8>>2]|0;break c;break}case 2:{m=V9b(+p[j+8>>3])|0;break c;break}default:{m=2147483647;break c}}while(0);j=(l|0)!=0;l=(m|0)!=0;f[i>>2]=k|(j?1024:0)|(l?2048:0)|1111818240;if(k){k=RY(a,QY(a,c,250861)|0,0)|0;f[i+4>>2]=k;if(!k){f[e>>2]=0;n=e+4|0;f[n>>2]=0;o=YG(e,22)|0;q=o;r=250895;s=q+22|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));f6(-2,e,250883,3450)}if((f[k>>2]&-65536|0)!=1111752704){f[e>>2]=0;n=e+4|0;f[n>>2]=0;o=YG(e,22)|0;q=o;r=250895;s=q+22|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));f6(-2,e,250883,3450)}}else{o=RY(a,QY(a,c,250857)|0,0)|0;f[e>>2]=o;if(!o){f[h>>2]=0;t=h+4|0;f[t>>2]=0;v=YG(h,16)|0;q=v;r=250866;s=q+16|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));f6(-2,h,250883,3429)}if((f[o>>2]&-65536|0)!=1111687168){f[h>>2]=0;t=h+4|0;f[t>>2]=0;v=YG(h,16)|0;q=v;r=250866;s=q+16|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));f6(-2,h,250883,3429)}n=o+16|0;if(!(f[n>>2]|0)){f[h>>2]=0;t=h+4|0;f[t>>2]=0;v=YG(h,16)|0;q=v;r=250866;s=q+16|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));f6(-2,h,250883,3429)}v=o+4|0;t=f[v>>2]|0;if((t|0)>0){k=0;do{f[g+(k<<2)>>2]=f[o+20+(k<<3)>>2];k=k+1|0;m=f[v>>2]|0}while((k|0)<(m|0));w=m}else w=t;t=i+268|0;JT(t,w,g,f[o>>2]|0,f[o+16>>2]|0)|0;f[i+4>>2]=t;f[i+276>>2]=f[o+8>>2];t=f[o>>2]&-65536;d:do if((t|0)<1111687168){switch(t|0){case 1111621632:break;default:break d}if((((f[o+24>>2]|0)>0?(f[o+20>>2]|0)>0:0)?f[n>>2]|0:0)?(w=f[o+8>>2]|0,w|0):0)f[w>>2]=(f[w>>2]|0)+1}else{switch(t|0){case 1111687168:break;default:break d}if(f[n>>2]|0?(w=f[o+8>>2]|0,w|0):0)f[w>>2]=(f[w>>2]|0)+1}while(0);HT(e)}if(!l){u=d;return i|0}l=ZT(f[i+4>>2]|0,e)|0;o=(l|0)>0;if(o){n=0;t=0;while(1){w=n+1+(f[e+(t<<2)>>2]|0)|0;t=t+1|0;if((t|0)==(l|0)){x=w;break}else n=w}}else x=0;n=QY(a,c,464494)|0;if(!n){f[h>>2]=0;f[h+4>>2]=0;q=YG(h,24)|0;r=250918;s=q+24|0;do{b[q>>0]=b[r>>0]|0;q=q+1|0;r=r+1|0}while((q|0)<(s|0));f6(-2,h,250883,3467)}cZ(a,n,g);if(!j){j=uE(x+l<<2)|0;x=i+264|0;f[x>>2]=j;if(o?(n=j+(l<<2)|0,f[j>>2]=n,dZ(a,g,(f[e>>2]|0)+1|0,n,510682),(l|0)!=1):0){j=n;n=e;h=1;do{j=j+((f[n>>2]|0)+1<<2)|0;f[(f[x>>2]|0)+(h<<2)>>2]=j;n=e+(h<<2)|0;dZ(a,g,(f[n>>2]|0)+1|0,j,510682);h=h+1|0}while((h|0)!=(l|0))}}else{if(o){o=i+8|0;h=0;do{dZ(a,g,2,o+(h<<3)|0,510682);h=h+1|0}while((h|0)!=(l|0))}f[i+264>>2]=0}u=d;return i|0}function c6(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+176|0;e=d+160|0;g=d+8|0;h=d+152|0;i=d+144|0;j=d+136|0;k=d;f[h>>2]=0;f[h+4>>2]=0;f[e>>2]=f[h>>2];f[e+4>>2]=f[h+4>>2];XY(a,b,6,250446,e);b=f[c>>2]|0;h=b&1024;l=(h|0)==0;m=b&2048;n=(m|0)==0;ZY(a,390721,b&1);ZY(a,250834,h>>>10);ZY(a,250845,m>>>11);m=c+4|0;h=f[m>>2]|0;if((h|0)!=0?(f[h>>2]&-65536|0)==1111752704:0){f[j>>2]=0;f[j+4>>2]=0;f[e>>2]=f[j>>2];f[e+4>>2]=f[j+4>>2];iZ(a,250861,h,e)}else{f[i>>2]=0;f[i+4>>2]=0;f[e>>2]=f[i>>2];f[e+4>>2]=f[i+4>>2];iZ(a,250857,c+268|0,e)}if(n){YY(a);u=d;return}n=ZT(f[m>>2]|0,g)|0;f[k>>2]=0;f[k+4>>2]=0;f[e>>2]=f[k>>2];f[e+4>>2]=f[k+4>>2];XY(a,464494,13,0,e);e=(n|0)>0;if(l){if(e){l=c+264|0;k=0;do{bZ(a,f[(f[l>>2]|0)+(k<<2)>>2]|0,(f[g+(k<<2)>>2]|0)+1|0,510682);k=k+1|0}while((k|0)!=(n|0))}}else if(e){e=c+8|0;c=0;do{bZ(a,e+(c<<3)|0,2,510682);c=c+1|0}while((c|0)!=(n|0))}YY(a);YY(a);u=d;return}function d6(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=b;f[c>>2]=0;e6(a,c);u=b;return f[c>>2]|0}function e6(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+256|0;e=d+128|0;g=d;if(!c){f[e>>2]=0;f[e+4>>2]=0;h=YG(e,34)|0;i=250458;j=h+34|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));f6(-27,e,250493,2714)}k=f[c>>2]|0;do if((a|0?(f[a>>2]&-65536|0)==1111818240:0)?(l=a+4|0,m=f[l>>2]|0,m|0):0){n=(k|0)!=0;if(n){if((f[k>>2]&-65536|0)!=1111818240)break;if(!(f[k+4>>2]|0))break}o=(f[m>>2]&-65536|0)==1111752704;p=ZT(m,e)|0;do if(n){m=f[k+4>>2]|0;if(!m){if(o){q=20;break}}else if(o^(f[m>>2]&-65536|0)==1111752704){q=20;break}if((p|0)!=(ZT(m,g)|0)){q=20;break}a:do if((p|0)>0){m=0;while(1){if((f[e+(m<<2)>>2]|0)!=(f[g+(m<<2)>>2]|0)){r=m;break a}s=m+1|0;if((s|0)<(p|0))m=s;else{r=s;break}}}else r=0;while(0);if((r|0)==(p|0))t=k;else q=20}else q=20;while(0);if((q|0)==20){a6(c);n=g6(p,e,o&1,0,0)|0;f[c>>2]=n;t=n}n=f[a>>2]|0;if(!(n&2048)){v=f[l>>2]|0;w=t+4|0;x=f[w>>2]|0;uT(v,x,0);u=d;return}if(!(n&1024))y=f[a+264>>2]|0;else{if((p|0)>0){m=0;do{f[g+(m<<2)>>2]=a+8+(m<<3);m=m+1|0}while((m|0)!=(p|0))}y=g}h6(t,y,n>>>10&1);v=f[l>>2]|0;w=t+4|0;x=f[w>>2]|0;uT(v,x,0);u=d;return}while(0);f[e>>2]=0;f[e+4>>2]=0;h=YG(e,27)|0;i=250504;j=h+27|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));f6(-5,e,250493,2719)}function f6(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;SQ(a,b,c,250763,d);return}function g6(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;h=u;u=u+16|0;i=h;if(a>>>0>32){f[i>>2]=0;f[i+4>>2]=0;j=YG(i,36)|0;k=250669;l=j+36|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));f6(-19,i,250706,2265)}if(!c){f[i>>2]=0;f[i+4>>2]=0;j=YG(i,20)|0;k=250719;l=j+20|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));f6(-9,i,250706,2268)}m=uE(544)|0;f[m>>2]=((g|0)==0?1111818240:1111819264)|d&1;f[m+264>>2]=0;n=m+4|0;f[n>>2]=0;switch(d|0){case 0:{d=m+268|0;o=JT(d,a,c,5,0)|0;f[n>>2]=o;FT(d);break}case 1:{d=RT(a,c,5)|0;f[n>>2]=d;break}default:{f[i>>2]=0;f[i+4>>2]=0;j=YG(i,22)|0;k=250740;l=j+22|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));f6(-5,i,250706,2284)}}if(!e){u=h;return m|0}h6(m,e,g);u=h;return m|0}function h6(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0.0,x=0,y=0.0;e=u;u=u+144|0;g=e+8|0;h=e;if(!c){f[h>>2]=0;f[h+4>>2]=0;i=YG(h,19)|0;j=250532;k=i+19|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));f6(-27,h,250552,2784)}if(!a){f[h>>2]=0;l=h+4|0;f[l>>2]=0;m=YG(h,24)|0;i=m;j=250571;k=i+24|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));f6(-5,h,250552,2787)}if((f[a>>2]&-65536|0)!=1111818240){f[h>>2]=0;l=h+4|0;f[l>>2]=0;m=YG(h,24)|0;i=m;j=250571;k=i+24|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));f6(-5,h,250552,2787)}o=f[a+4>>2]|0;if(!o){f[h>>2]=0;l=h+4|0;f[l>>2]=0;m=YG(h,24)|0;i=m;j=250571;k=i+24|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));f6(-5,h,250552,2787)}m=ZT(o,g)|0;o=(m|0)>0;if(o){l=0;p=0;while(1){q=l+1+(f[g+(p<<2)>>2]|0)|0;p=p+1|0;if((p|0)==(m|0)){r=q;break}else l=q}}else r=0;if(d|0){a:do if(o){d=0;while(1){l=f[c+(d<<2)>>2]|0;if(!l)break;f[a+8+(d<<3)>>2]=f[l>>2];f[a+8+(d<<3)+4>>2]=f[l+4>>2];d=d+1|0;if((d|0)>=(m|0))break a}f[h>>2]=0;f[h+4>>2]=0;i=YG(h,32)|0;j=250596;k=i+32|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));f6(-27,h,250552,2798)}while(0);s=f[a>>2]|3072;f[a>>2]=s;u=e;return}d=a+264|0;l=f[d>>2]|0;if(!l){p=uE(r+m<<2)|0;f[d>>2]=p;t=p}else t=l;b:do if(o){l=t+(m<<2)|0;p=0;c:while(1){r=f[c+(p<<2)>>2]|0;if(!r){v=21;break}q=f[g+(p<<2)>>2]|0;if((q|0)>=0){w=-3402823466385288598117041.0e14;x=0;while(1){y=w;w=+n[r+(x<<2)>>2];if(w<=y){v=23;break c}n[l+(x<<2)>>2]=w;if((x|0)>=(q|0))break;else x=x+1|0}}f[(f[d>>2]|0)+(p<<2)>>2]=l;p=p+1|0;if((p|0)>=(m|0))break b;else l=l+(q+1<<2)|0}if((v|0)==21){f[h>>2]=0;f[h+4>>2]=0;i=YG(h,32)|0;j=250596;k=i+32|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));f6(-27,h,250552,2822)}else if((v|0)==23){f[h>>2]=0;f[h+4>>2]=0;i=YG(h,39)|0;j=250629;k=i+39|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));f6(-211,h,250552,2828)}}while(0);s=f[a>>2]&-3073|2048;f[a>>2]=s;u=e;return}function i6(a,c,d,e,g,i,k,l,m,o){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;k=k|0;l=l|0;m=m|0;o=o|0;var q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0.0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0.0,Wa=0.0,Xa=0.0,Ya=0.0,Za=0.0,_a=0.0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0;q=u;u=u+1568|0;r=q;s=q+536|0;t=q+408|0;v=q+344|0;w=q+288|0;x=q+352|0;y=q+232|0;z=q+176|0;A=q+160|0;B=q+148|0;C=q+136|0;D=q+128|0;zT(v,54020);do if((pD(e)|0)==65536){E=f[e+4>>2]|0;f[w>>2]=f[E>>2];F=w+4|0;G=E+4|0;f[F>>2]=f[G>>2];H=w+8|0;f[H>>2]=f[E+8>>2];f[w+12>>2]=f[E+12>>2];f[w+16>>2]=f[E+16>>2];f[w+20>>2]=f[E+20>>2];f[w+24>>2]=f[E+24>>2];f[w+28>>2]=f[E+28>>2];f[w+32>>2]=f[E+32>>2];I=f[E+36>>2]|0;f[w+36>>2]=I;f[w+40>>2]=H;H=w+48|0;J=w+44|0;f[J>>2]=H;f[H>>2]=0;f[w+52>>2]=0;if(I|0){H=I+12|0;f[H>>2]=(f[H>>2]|0)+1}if((f[G>>2]|0)<3){G=f[E+44>>2]|0;H=f[J>>2]|0;f[H>>2]=f[G>>2];f[H+4>>2]=f[G+4>>2];break}else{f[F>>2]=0;kP(w,E);break}}else lD(w,e,-1);while(0);if(!((i|0)>0&(k|0)!=0)){f[r>>2]=0;f[r+4>>2]=0;K=YG(r,20)|0;L=250957;M=K+20|0;do{b[K>>0]=b[L>>0]|0;K=K+1|0;L=L+1|0}while((K|0)<(M|0));f6(-215,r,250978,877)}do if((pD(g)|0)==65536){e=f[g+4>>2]|0;f[x>>2]=f[e>>2];E=x+4|0;F=e+4|0;f[E>>2]=f[F>>2];G=x+8|0;f[G>>2]=f[e+8>>2];f[x+12>>2]=f[e+12>>2];H=x+16|0;f[H>>2]=f[e+16>>2];f[x+20>>2]=f[e+20>>2];f[x+24>>2]=f[e+24>>2];f[x+28>>2]=f[e+28>>2];f[x+32>>2]=f[e+32>>2];J=x+36|0;I=f[e+36>>2]|0;f[J>>2]=I;f[x+40>>2]=G;G=x+48|0;N=x+44|0;f[N>>2]=G;f[G>>2]=0;f[x+52>>2]=0;if(I|0){G=I+12|0;f[G>>2]=(f[G>>2]|0)+1}if((f[F>>2]|0)<3){F=f[e+44>>2]|0;G=f[N>>2]|0;f[G>>2]=f[F>>2];f[G+4>>2]=f[F+4>>2];O=N;P=J;Q=H;break}else{f[E>>2]=0;kP(x,e);O=N;P=J;Q=H;break}}else{lD(x,g,-1);O=x+44|0;P=x+36|0;Q=x+16|0}while(0);H=f[Q>>2]|0;J=f[P>>2]|0;if(J|0?(N=J+12|0,J=f[N>>2]|0,f[N>>2]=J+-1,(J|0)==1):0)lP(x);f[P>>2]=0;P=x+4|0;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q+12>>2]=0;if((f[P>>2]|0)>0){Q=f[x+40>>2]|0;J=0;do{f[Q+(J<<2)>>2]=0;J=J+1|0}while((J|0)<(f[P>>2]|0))}P=f[O>>2]|0;if((P|0)!=(x+48|0))tE(P);ID(g,i,k,5,-1,0,0);do if((pD(g)|0)==65536){k=f[g+4>>2]|0;f[y>>2]=f[k>>2];P=y+4|0;x=k+4|0;f[P>>2]=f[x>>2];O=y+8|0;f[O>>2]=f[k+8>>2];J=y+12|0;f[J>>2]=f[k+12>>2];Q=y+16|0;f[Q>>2]=f[k+16>>2];N=y+20|0;f[N>>2]=f[k+20>>2];e=y+24|0;f[e>>2]=f[k+24>>2];E=y+28|0;f[E>>2]=f[k+28>>2];F=y+32|0;f[F>>2]=f[k+32>>2];G=y+36|0;I=f[k+36>>2]|0;f[G>>2]=I;f[y+40>>2]=O;R=y+48|0;S=y+44|0;f[S>>2]=R;f[R>>2]=0;f[y+52>>2]=0;if(I|0){R=I+12|0;f[R>>2]=(f[R>>2]|0)+1}if((f[x>>2]|0)<3){x=f[k+44>>2]|0;R=f[S>>2]|0;f[R>>2]=f[x>>2];f[R+4>>2]=f[x+4>>2];T=Q;U=y;V=P;W=O;X=J;Z=N;_=e;$=E;aa=F;ba=G;ca=G;break}else{f[P>>2]=0;kP(y,k);T=Q;U=y;V=P;W=O;X=J;Z=N;_=e;$=E;aa=F;ba=G;ca=G;break}}else{lD(y,g,-1);G=y+36|0;T=y+16|0;U=y;V=y+4|0;W=y+8|0;X=y+12|0;Z=y+20|0;_=y+24|0;$=y+28|0;aa=y+32|0;ba=G;ca=G}while(0);g=f[T>>2]|0;f[z>>2]=f[U>>2];U=z+4|0;G=f[V>>2]|0;f[U>>2]=G;F=z+8|0;f[F>>2]=f[W>>2];f[z+12>>2]=f[X>>2];X=z+16|0;f[X>>2]=g;f[z+20>>2]=f[Z>>2];f[z+24>>2]=f[_>>2];f[z+28>>2]=f[$>>2];f[z+32>>2]=f[aa>>2];aa=z+36|0;$=f[ca>>2]|0;f[aa>>2]=$;ca=z+40|0;f[ca>>2]=F;F=z+48|0;_=z+44|0;f[_>>2]=F;f[F>>2]=0;f[z+52>>2]=0;if(!$)da=G;else{G=$+12|0;f[G>>2]=(f[G>>2]|0)+1;da=f[V>>2]|0}if((da|0)<3){da=f[y+44>>2]|0;G=f[_>>2]|0;f[G>>2]=f[da>>2];f[G+4>>2]=f[da+4>>2]}else{f[U>>2]=0;kP(z,y)}f[z>>2]=f[z>>2]&-4096|4;if((H|0)==(g|0)&o){o=r+8|0;f[o>>2]=0;f[o+4>>2]=0;f[r>>2]=33619968;f[r+4>>2]=z;IO(y,r,4,1.0,0.0)}else{f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;f[r+16>>2]=0;f[r+20>>2]=0;f[r+24>>2]=0;f[r+28>>2]=0;nT(y,r)|0}f[A>>2]=0;o=A+4|0;f[o>>2]=0;f[A+8>>2]=0;f[B>>2]=0;g=B+4|0;f[g>>2]=0;f[B+8>>2]=0;f[C>>2]=0;H=C+4|0;f[H>>2]=0;f[C+8>>2]=0;f[D>>2]=0;da=D+4|0;f[da>>2]=0;G=w+16|0;if(f[G>>2]|0){$=f[w+4>>2]|0;if(($|0)<3)ea=Y(f[w+12>>2]|0,f[w+8>>2]|0)|0;else{Z=f[w+40>>2]|0;W=0;E=1;while(1){e=Y(f[Z+(W<<2)>>2]|0,E)|0;W=W+1|0;if((W|0)==($|0)){ea=e;break}else E=e}}if(!(($|0)==0|(ea|0)==0)?f[w>>2]&4095|0:0){f[r>>2]=0;f[r+4>>2]=0;K=YG(r,38)|0;L=250987;M=K+38|0;do{b[K>>0]=b[L>>0]|0;K=K+1|0;L=L+1|0}while((K|0)<(M|0));f6(-215,r,250978,904)}}ea=y+40|0;j6(a,c,d,w,i,f[ea>>2]|0,l,m,A,B,D,C);d=m?f[C>>2]|0:0;switch(f[a>>2]&7){case 0:{a=f[D>>2]|0;c=f[da>>2]|0;$=f[A>>2]|0;E=f[B>>2]|0;W=f[X>>2]|0;Z=f[$+(i<<2)>>2]|0;e=f[E+((i<<1|1)<<2)>>2]|0;f[r>>2]=0;N=r+4|0;f[N>>2]=0;f[r+8>>2]=0;f[s>>2]=1123876864;f[s+4>>2]=0;k6(z,s,i,l,d,m,0,r);J=f[r>>2]|0;switch(i|0){case 1:{O=f[E>>2]|0;P=f[E+4>>2]|0;Drc(s|0,0,1024)|0;a:do if(!c)fa=0;else{Q=f[$>>2]|0;k=(O|0)==1;x=O<<1;R=(a|0)<4;S=a+-4|0;if((a|0)<=0){I=a&-4;ga=Y(O,I)|0;ha=Z;ia=Q;ja=c;while(1){ja=ja+-1|0;do if(!ha){do if(k){if(R){ka=0;la=ia;break}else{ma=0;na=ia}while(1){oa=h[ia+(ma|1)>>0]|0;pa=s+(h[na>>0]<<2)|0;f[pa>>2]=(f[pa>>2]|0)+1;pa=s+(oa<<2)|0;f[pa>>2]=(f[pa>>2]|0)+1;pa=h[ia+(ma|3)>>0]|0;oa=s+(h[ia+(ma|2)>>0]<<2)|0;f[oa>>2]=(f[oa>>2]|0)+1;oa=s+(pa<<2)|0;f[oa>>2]=(f[oa>>2]|0)+1;oa=ma+4|0;if((oa|0)>(S|0))break;else{ma=oa;na=ia+oa|0}}ka=I;la=ia+I|0}else{if(R){ka=0;la=ia;break}else{qa=ia;ra=0}while(1){oa=h[qa+O>>0]|0;pa=s+(h[qa>>0]<<2)|0;f[pa>>2]=(f[pa>>2]|0)+1;pa=s+(oa<<2)|0;f[pa>>2]=(f[pa>>2]|0)+1;pa=qa+x|0;oa=h[pa+O>>0]|0;sa=s+(h[pa>>0]<<2)|0;f[sa>>2]=(f[sa>>2]|0)+1;sa=s+(oa<<2)|0;f[sa>>2]=(f[sa>>2]|0)+1;ra=ra+4|0;if((ra|0)>(S|0))break;else qa=pa+x|0}ka=I;la=ia+ga|0}while(0);if((a|0)<=(ka|0)){ta=la;break}pa=Y(O,a-ka|0)|0;sa=la;oa=ka;while(1){ua=s+(h[sa>>0]<<2)|0;f[ua>>2]=(f[ua>>2]|0)+1;oa=oa+1|0;if((oa|0)==(a|0))break;else sa=sa+O|0}ta=la+pa|0}else ta=ia;while(0);if(!ja){fa=0;break a}else{ha=ha+e|0;ia=ta+P|0}}}ia=Y(a,O)|0;ha=a&-4;ja=Y(O,ha)|0;ga=Z;I=Q;sa=c;while(1){sa=sa+-1|0;do if(!ga){do if(k){if(R){va=0;wa=I;break}else{xa=0;ya=I}while(1){oa=h[I+(xa|1)>>0]|0;ua=s+(h[ya>>0]<<2)|0;f[ua>>2]=(f[ua>>2]|0)+1;ua=s+(oa<<2)|0;f[ua>>2]=(f[ua>>2]|0)+1;ua=h[I+(xa|3)>>0]|0;oa=s+(h[I+(xa|2)>>0]<<2)|0;f[oa>>2]=(f[oa>>2]|0)+1;oa=s+(ua<<2)|0;f[oa>>2]=(f[oa>>2]|0)+1;oa=xa+4|0;if((oa|0)>(S|0))break;else{xa=oa;ya=I+oa|0}}va=ha;wa=I+ha|0}else{if(R){va=0;wa=I;break}else{za=I;Aa=0}while(1){oa=h[za+O>>0]|0;ua=s+(h[za>>0]<<2)|0;f[ua>>2]=(f[ua>>2]|0)+1;ua=s+(oa<<2)|0;f[ua>>2]=(f[ua>>2]|0)+1;ua=za+x|0;oa=h[ua+O>>0]|0;Ba=s+(h[ua>>0]<<2)|0;f[Ba>>2]=(f[Ba>>2]|0)+1;Ba=s+(oa<<2)|0;f[Ba>>2]=(f[Ba>>2]|0)+1;Aa=Aa+4|0;if((Aa|0)>(S|0))break;else za=ua+x|0}va=ha;wa=I+ja|0}while(0);if((a|0)<=(va|0)){Ca=wa;break}pa=Y(O,a-va|0)|0;ua=wa;Ba=va;while(1){oa=s+(h[ua>>0]<<2)|0;f[oa>>2]=(f[oa>>2]|0)+1;Ba=Ba+1|0;if((Ba|0)==(a|0))break;else ua=ua+O|0}Ca=wa+pa|0}else{ua=I;Ba=0;while(1){if(b[ga+Ba>>0]|0){oa=s+(h[ua>>0]<<2)|0;f[oa>>2]=(f[oa>>2]|0)+1}Ba=Ba+1|0;if((Ba|0)==(a|0))break;else ua=ua+O|0}Ca=I+ia|0}while(0);if(!sa){fa=0;break}else{ga=ga+e|0;I=Ca+P|0}}}while(0);do{P=f[J+(fa<<2)>>2]|0;Ca=W+P|0;if(P>>>0<1073741824)f[Ca>>2]=(f[Ca>>2]|0)+(f[s+(fa<<2)>>2]|0);fa=fa+1|0}while((fa|0)!=256);Da=134;break}case 2:{fa=f[E>>2]|0;Ca=f[E+4>>2]|0;P=f[E+8>>2]|0;O=f[E+12>>2]|0;if((c|0)!=0&(a|0)>0){wa=a+-1|0;va=Y(fa,wa)|0;za=Y(P,wa)|0;wa=f[$>>2]|0;Aa=f[$+4>>2]|0;ya=Z;xa=c;while(1){xa=xa+-1|0;if(!ya){ta=wa;la=Aa;ka=0;while(1){qa=(f[J+((h[la>>0]|256)<<2)>>2]|0)+(f[J+(h[ta>>0]<<2)>>2]|0)|0;if(qa>>>0<1073741824){ra=W+qa|0;f[ra>>2]=(f[ra>>2]|0)+1}ka=ka+1|0;if((ka|0)==(a|0))break;else{ta=ta+fa|0;la=la+P|0}}}else{la=wa;ta=Aa;ka=0;while(1){do if(b[ya+ka>>0]|0){ra=(f[J+((h[ta>>0]|256)<<2)>>2]|0)+(f[J+(h[la>>0]<<2)>>2]|0)|0;if(ra>>>0>=1073741824)break;qa=W+ra|0;f[qa>>2]=(f[qa>>2]|0)+1}while(0);ka=ka+1|0;if((ka|0)==(a|0))break;else{la=la+fa|0;ta=ta+P|0}}}if(!xa){Da=133;break}else{wa=wa+va+fa+Ca|0;Aa=Aa+za+P+O|0;ya=ya+e|0}}}else Da=133;break}case 3:{ya=f[E>>2]|0;O=f[E+4>>2]|0;P=f[E+8>>2]|0;za=f[E+12>>2]|0;Aa=f[E+16>>2]|0;Ca=f[E+20>>2]|0;if((c|0)!=0&(a|0)>0){fa=a+-1|0;va=Y(Aa,fa)|0;wa=Y(P,fa)|0;xa=Y(ya,fa)|0;fa=f[$+8>>2]|0;ta=f[$+4>>2]|0;la=f[$>>2]|0;ka=Z;qa=c;while(1){qa=qa+-1|0;if(!ka){ra=fa;na=ta;ma=la;I=0;while(1){ga=(f[J+((h[na>>0]|256)<<2)>>2]|0)+(f[J+(h[ma>>0]<<2)>>2]|0)+(f[J+((h[ra>>0]|512)<<2)>>2]|0)|0;if(ga>>>0<1073741824){sa=W+ga|0;f[sa>>2]=(f[sa>>2]|0)+1}I=I+1|0;if((I|0)==(a|0))break;else{ra=ra+Aa|0;na=na+P|0;ma=ma+ya|0}}}else{ma=fa;na=ta;ra=la;I=0;while(1){do if(b[ka+I>>0]|0){sa=(f[J+((h[na>>0]|256)<<2)>>2]|0)+(f[J+(h[ra>>0]<<2)>>2]|0)+(f[J+((h[ma>>0]|512)<<2)>>2]|0)|0;if(sa>>>0>=1073741824)break;ga=W+sa|0;f[ga>>2]=(f[ga>>2]|0)+1}while(0);I=I+1|0;if((I|0)==(a|0))break;else{ma=ma+Aa|0;na=na+P|0;ra=ra+ya|0}}}if(!qa){Da=133;break}else{fa=fa+va+Aa+Ca|0;ta=ta+wa+P+za|0;la=la+xa+ya+O|0;ka=ka+e|0}}}else Da=133;break}default:if(!c)Da=133;else{ka=(a|0)>0;O=Z;Z=c;while(1){Z=Z+-1|0;if(!O)if(ka){c=0;do{ya=0;xa=W;while(1){la=$+(ya<<2)|0;za=f[la>>2]|0;P=f[J+((h[za>>0]|ya<<8)<<2)>>2]|0;if(P>>>0>1073741823){Ea=ya;Fa=xa;break}wa=xa+P|0;f[la>>2]=za+(f[E+(ya<<1<<2)>>2]|0);za=ya+1|0;if((za|0)<(i|0)){ya=za;xa=wa}else{Ea=za;Fa=wa;break}}do if((Ea|0)==(i|0))f[Fa>>2]=(f[Fa>>2]|0)+1;else{if((Ea|0)<(i|0))Ga=Ea;else break;do{xa=$+(Ga<<2)|0;f[xa>>2]=(f[xa>>2]|0)+(f[E+(Ga<<1<<2)>>2]|0);Ga=Ga+1|0}while((Ga|0)!=(i|0))}while(0);c=c+1|0}while((c|0)!=(a|0));Ha=0}else Ha=0;else if(ka){c=0;while(1){b:do if(!(b[O+c>>0]|0)){Ia=0;Ja=W}else{xa=0;ya=W;while(1){wa=$+(xa<<2)|0;za=f[wa>>2]|0;la=f[J+((h[za>>0]|xa<<8)<<2)>>2]|0;if(la>>>0>1073741823){Ia=xa;Ja=ya;break b}P=ya+la|0;f[wa>>2]=za+(f[E+(xa<<1<<2)>>2]|0);za=xa+1|0;if((za|0)<(i|0)){xa=za;ya=P}else{Ia=za;Ja=P;break}}}while(0);do if((Ia|0)==(i|0))f[Ja>>2]=(f[Ja>>2]|0)+1;else{if((Ia|0)<(i|0))Ka=Ia;else break;do{ya=$+(Ka<<2)|0;f[ya>>2]=(f[ya>>2]|0)+(f[E+(Ka<<1<<2)>>2]|0);Ka=Ka+1|0}while((Ka|0)!=(i|0))}while(0);c=c+1|0;if((c|0)==(a|0)){Ha=0;break}}}else Ha=0;do{c=$+(Ha<<2)|0;f[c>>2]=(f[c>>2]|0)+(f[E+((Ha<<1|1)<<2)>>2]|0);Ha=Ha+1|0}while((Ha|0)!=(i|0));if(!Z){Da=133;break}else O=O+e|0}}}if((Da|0)==133?J|0:0)Da=134;if((Da|0)==134){Da=f[N>>2]|0;if((Da|0)!=(J|0))f[N>>2]=Da+(~((Da+-4-J|0)>>>2)<<2);Emc(J)}break}case 2:{J=f[D>>2]|0;Da=f[da>>2]|0;N=f[A>>2]|0;e=f[B>>2]|0;O=f[X>>2]|0;Z=f[N+(i<<2)>>2]|0;Ha=f[e+((i<<1|1)<<2)>>2]|0;E=i<<2;$=f[_>>2]|0;Krc(s|0,f[ca>>2]|0,E|0)|0;Krc(t|0,$|0,E|0)|0;c:do if(!m){if(!l){f[r>>2]=0;f[r+4>>2]=0;K=YG(r,55)|0;L=251026;M=K+55|0;do{b[K>>0]=b[L>>0]|0;K=K+1|0;L=L+1|0}while((K|0)<(M|0));f6(-5,r,251082,431)}Krc(r|0,l|0,E|0)|0;if(Da|0){$=(J|0)>0;a=Z;Ka=Da;while(1){Ka=Ka+-1|0;if($)if(!a){Ia=0;do{Ja=O;W=0;while(1){ka=N+(W<<2)|0;Ga=f[ka>>2]|0;La=+(j[Ga>>1]|0);Ea=f[r+(W<<2)>>2]|0;Fa=f[s+(W<<2)>>2]|0;c=-1;while(1){ya=c+1|0;if(!(La>=+n[Ea+(ya<<2)>>2])){Ma=c;break}if((ya|0)<(Fa|0))c=ya;else{Ma=ya;break}}if(Ma>>>0>=Fa>>>0){Na=Ja;Oa=W;break}f[ka>>2]=Ga+(f[e+(W<<1<<2)>>2]<<1);c=Ja+(Y(f[t+(W<<2)>>2]|0,Ma)|0)|0;Ea=W+1|0;if((Ea|0)<(i|0)){Ja=c;W=Ea}else{Na=c;Oa=Ea;break}}do if((Oa|0)==(i|0))f[Na>>2]=(f[Na>>2]|0)+1;else{if((Oa|0)<(i|0))Pa=Oa;else break;do{W=N+(Pa<<2)|0;f[W>>2]=(f[W>>2]|0)+(f[e+(Pa<<1<<2)>>2]<<1);Pa=Pa+1|0}while((Pa|0)!=(i|0))}while(0);Ia=Ia+1|0}while((Ia|0)!=(J|0));Qa=0}else{Ia=0;while(1){d:do if(!(b[a+Ia>>0]|0)){Ra=O;Sa=0}else{Ga=O;ka=0;while(1){Fa=N+(ka<<2)|0;W=f[Fa>>2]|0;La=+(j[W>>1]|0);Ja=f[r+(ka<<2)>>2]|0;Ea=f[s+(ka<<2)>>2]|0;c=-1;while(1){ya=c+1|0;if(!(La>=+n[Ja+(ya<<2)>>2])){Ta=c;break}if((ya|0)<(Ea|0))c=ya;else{Ta=ya;break}}if(Ta>>>0>=Ea>>>0){Ra=Ga;Sa=ka;break d}f[Fa>>2]=W+(f[e+(ka<<1<<2)>>2]<<1);c=Ga+(Y(f[t+(ka<<2)>>2]|0,Ta)|0)|0;Ja=ka+1|0;if((Ja|0)<(i|0)){Ga=c;ka=Ja}else{Ra=c;Sa=Ja;break}}}while(0);do if((Sa|0)==(i|0))f[Ra>>2]=(f[Ra>>2]|0)+1;else{if((Sa|0)<(i|0))Ua=Sa;else break;do{ka=N+(Ua<<2)|0;f[ka>>2]=(f[ka>>2]|0)+(f[e+(Ua<<1<<2)>>2]<<1);Ua=Ua+1|0}while((Ua|0)!=(i|0))}while(0);Ia=Ia+1|0;if((Ia|0)==(J|0)){Qa=0;break}}}else Qa=0;do{Ia=N+(Qa<<2)|0;f[Ia>>2]=(f[Ia>>2]|0)+(f[e+((Qa<<1|1)<<2)>>2]<<1);Qa=Qa+1|0}while((Qa|0)!=(i|0));if(!Ka)break;else a=a+Ha|0}}}else switch(i|0){case 1:{La=+p[d>>3];Va=+p[d+8>>3];a=f[s>>2]|0;Ka=f[e>>2]|0;$=f[e+4>>2]|0;if(!Da)break c;if((J|0)<=0)break c;Ia=Y(Ka,J+-1|0)|0;ka=Z;Ga=f[N>>2]|0;Ja=Da;while(1){Ja=Ja+-1|0;if(!ka){c=0;ya=Ga;while(1){Wa=Va+La*+(j[ya>>1]|0);xa=~~Wa;P=xa-(+(xa|0)>Wa&1)|0;xa=O+(P<<2)|0;if(P>>>0<a>>>0)f[xa>>2]=(f[xa>>2]|0)+1;c=c+1|0;if((c|0)==(J|0))break;else ya=ya+(Ka<<1)|0}}else{ya=0;c=Ga;while(1){do if(b[ka+ya>>0]|0){Wa=Va+La*+(j[c>>1]|0);xa=~~Wa;P=xa-(+(xa|0)>Wa&1)|0;xa=O+(P<<2)|0;if(P>>>0>=a>>>0)break;f[xa>>2]=(f[xa>>2]|0)+1}while(0);ya=ya+1|0;if((ya|0)==(J|0))break;else c=c+(Ka<<1)|0}}if(!Ja)break;else{ka=ka+Ha|0;Ga=Ga+(Ia<<1)+(Ka<<1)+($<<1)|0}}break}case 2:{La=+p[d>>3];Va=+p[d+8>>3];Wa=+p[d+16>>3];Xa=+p[d+24>>3];$=f[s>>2]|0;Ka=f[s+4>>2]|0;Ia=f[e>>2]|0;Ga=f[e+4>>2]|0;ka=f[e+8>>2]|0;Ja=f[e+12>>2]|0;a=f[t>>2]|0;if(!((Da|0)!=0&(J|0)>0))break c;c=J+-1|0;ya=Y(Ia,c)|0;xa=Y(ka,c)|0;c=f[N>>2]|0;P=f[N+4>>2]|0;za=Z;wa=Da;while(1){wa=wa+-1|0;if(!za){la=c;ta=P;Ca=0;while(1){Ya=Va+La*+(j[la>>1]|0);Aa=~~Ya;va=Aa-(+(Aa|0)>Ya&1)|0;Ya=Xa+Wa*+(j[ta>>1]|0);Aa=~~Ya;fa=Aa-(+(Aa|0)>Ya&1)|0;Aa=O+(Y(va,a)|0)+(fa<<2)|0;if(va>>>0<$>>>0&fa>>>0<Ka>>>0)f[Aa>>2]=(f[Aa>>2]|0)+1;Ca=Ca+1|0;if((Ca|0)==(J|0))break;else{la=la+(Ia<<1)|0;ta=ta+(ka<<1)|0}}}else{ta=c;la=P;Ca=0;while(1){do if(b[za+Ca>>0]|0){Ya=Va+La*+(j[ta>>1]|0);Aa=~~Ya;fa=Aa-(+(Aa|0)>Ya&1)|0;Ya=Xa+Wa*+(j[la>>1]|0);Aa=~~Ya;va=Aa-(+(Aa|0)>Ya&1)|0;Aa=O+(Y(fa,a)|0)+(va<<2)|0;if(!(fa>>>0<$>>>0&va>>>0<Ka>>>0))break;f[Aa>>2]=(f[Aa>>2]|0)+1}while(0);Ca=Ca+1|0;if((Ca|0)==(J|0))break;else{ta=ta+(Ia<<1)|0;la=la+(ka<<1)|0}}}if(!wa)break;else{c=c+(ya<<1)+(Ia<<1)+(Ga<<1)|0;P=P+(xa<<1)+(ka<<1)+(Ja<<1)|0;za=za+Ha|0}}break}case 3:{Wa=+p[d>>3];Xa=+p[d+8>>3];La=+p[d+16>>3];Va=+p[d+24>>3];Ya=+p[d+32>>3];Za=+p[d+40>>3];za=f[s>>2]|0;Ja=f[s+4>>2]|0;ka=f[s+8>>2]|0;xa=f[e>>2]|0;P=f[e+4>>2]|0;Ga=f[e+8>>2]|0;Ia=f[e+12>>2]|0;ya=f[e+16>>2]|0;c=f[e+20>>2]|0;wa=f[t>>2]|0;Ka=f[t+4>>2]|0;if(!Da)break c;$=(J|0)>0;a=Y(J,xa)|0;la=Y(J,Ga)|0;ta=Y(J,ya)|0;Ca=f[N>>2]|0;Aa=f[N+4>>2]|0;va=f[N+8>>2]|0;fa=Z;qa=Da;while(1){qa=qa+-1|0;if(!fa)if($){ra=Aa+(la<<1)|0;na=Ca;ma=Aa;I=va;ga=0;while(1){_a=Xa+Wa*+(j[na>>1]|0);sa=~~_a;ia=sa-(+(sa|0)>_a&1)|0;_a=Va+La*+(j[ma>>1]|0);sa=~~_a;ja=sa-(+(sa|0)>_a&1)|0;_a=Za+Ya*+(j[I>>1]|0);sa=~~_a;ha=sa-(+(sa|0)>_a&1)|0;sa=O+(Y(ia,wa)|0)+(Y(ja,Ka)|0)+(ha<<2)|0;if(ia>>>0<za>>>0&ja>>>0<Ja>>>0&ha>>>0<ka>>>0)f[sa>>2]=(f[sa>>2]|0)+1;ga=ga+1|0;if((ga|0)==(J|0))break;else{na=na+(xa<<1)|0;ma=ma+(Ga<<1)|0;I=I+(ya<<1)|0}}$a=Ca+(a<<1)|0;ab=ra;bb=va+(ta<<1)|0}else{$a=Ca;ab=Aa;bb=va}else if($){I=Aa+(la<<1)|0;ma=Ca;na=Aa;ga=va;sa=0;while(1){do if(b[fa+sa>>0]|0){_a=Xa+Wa*+(j[ma>>1]|0);ha=~~_a;ja=ha-(+(ha|0)>_a&1)|0;_a=Va+La*+(j[na>>1]|0);ha=~~_a;ia=ha-(+(ha|0)>_a&1)|0;_a=Za+Ya*+(j[ga>>1]|0);ha=~~_a;x=ha-(+(ha|0)>_a&1)|0;ha=O+(Y(ja,wa)|0)+(Y(ia,Ka)|0)+(x<<2)|0;if(!(ja>>>0<za>>>0&ia>>>0<Ja>>>0&x>>>0<ka>>>0))break;f[ha>>2]=(f[ha>>2]|0)+1}while(0);sa=sa+1|0;if((sa|0)==(J|0))break;else{ma=ma+(xa<<1)|0;na=na+(Ga<<1)|0;ga=ga+(ya<<1)|0}}$a=Ca+(a<<1)|0;ab=I;bb=va+(ta<<1)|0}else{$a=Ca;ab=Aa;bb=va}if(!qa)break;else{Ca=$a+(P<<1)|0;Aa=ab+(Ia<<1)|0;va=bb+(c<<1)|0;fa=fa+Ha|0}}break}default:{if(!Da)break c;fa=(J|0)>0;c=Z;va=Da;while(1){va=va+-1|0;if(!c)if(fa){Ia=0;do{Aa=O;P=0;while(1){Ca=N+(P<<2)|0;qa=f[Ca>>2]|0;ta=P<<1;Ya=+(j[qa>>1]|0)*+p[d+(ta<<3)>>3]+ +p[d+((ta|1)<<3)>>3];a=~~Ya;ya=a-(+(a|0)>Ya&1)|0;if(ya>>>0>=(f[s+(P<<2)>>2]|0)>>>0){cb=Aa;db=P;break}f[Ca>>2]=qa+(f[e+(ta<<2)>>2]<<1);ta=Aa+(Y(f[t+(P<<2)>>2]|0,ya)|0)|0;ya=P+1|0;if((ya|0)<(i|0)){Aa=ta;P=ya}else{cb=ta;db=ya;break}}do if((db|0)==(i|0))f[cb>>2]=(f[cb>>2]|0)+1;else{if((db|0)<(i|0))eb=db;else break;do{P=N+(eb<<2)|0;f[P>>2]=(f[P>>2]|0)+(f[e+(eb<<1<<2)>>2]<<1);eb=eb+1|0}while((eb|0)!=(i|0))}while(0);Ia=Ia+1|0}while((Ia|0)!=(J|0));fb=0}else fb=0;else if(fa){Ia=0;while(1){e:do if(!(b[c+Ia>>0]|0)){gb=O;hb=0}else{I=O;P=0;while(1){Aa=N+(P<<2)|0;ya=f[Aa>>2]|0;ta=P<<1;Ya=+(j[ya>>1]|0)*+p[d+(ta<<3)>>3]+ +p[d+((ta|1)<<3)>>3];qa=~~Ya;Ca=qa-(+(qa|0)>Ya&1)|0;if(Ca>>>0>=(f[s+(P<<2)>>2]|0)>>>0){gb=I;hb=P;break e}f[Aa>>2]=ya+(f[e+(ta<<2)>>2]<<1);ta=I+(Y(f[t+(P<<2)>>2]|0,Ca)|0)|0;Ca=P+1|0;if((Ca|0)<(i|0)){I=ta;P=Ca}else{gb=ta;hb=Ca;break}}}while(0);do if((hb|0)==(i|0))f[gb>>2]=(f[gb>>2]|0)+1;else{if((hb|0)<(i|0))ib=hb;else break;do{P=N+(ib<<2)|0;f[P>>2]=(f[P>>2]|0)+(f[e+(ib<<1<<2)>>2]<<1);ib=ib+1|0}while((ib|0)!=(i|0))}while(0);Ia=Ia+1|0;if((Ia|0)==(J|0)){fb=0;break}}}else fb=0;do{Ia=N+(fb<<2)|0;f[Ia>>2]=(f[Ia>>2]|0)+(f[e+((fb<<1|1)<<2)>>2]<<1);fb=fb+1|0}while((fb|0)!=(i|0));if(!va)break;else c=c+Ha|0}}}while(0);break}case 5:{Ha=f[D>>2]|0;D=f[da>>2]|0;da=f[A>>2]|0;fb=f[B>>2]|0;e=f[X>>2]|0;N=f[da+(i<<2)>>2]|0;J=f[fb+((i<<1|1)<<2)>>2]|0;ib=i<<2;hb=f[_>>2]|0;Krc(s|0,f[ca>>2]|0,ib|0)|0;Krc(t|0,hb|0,ib|0)|0;f:do if(!m){if(!l){f[r>>2]=0;f[r+4>>2]=0;K=YG(r,55)|0;L=251026;M=K+55|0;do{b[K>>0]=b[L>>0]|0;K=K+1|0;L=L+1|0}while((K|0)<(M|0));f6(-5,r,251082,431)}Krc(r|0,l|0,ib|0)|0;if(D|0){hb=(Ha|0)>0;gb=N;O=D;while(1){O=O+-1|0;if(hb)if(!gb){eb=0;do{db=e;cb=0;while(1){Da=da+(cb<<2)|0;Z=f[Da>>2]|0;Ya=+n[Z>>2];bb=f[r+(cb<<2)>>2]|0;ab=f[s+(cb<<2)>>2]|0;$a=-1;while(1){Qa=$a+1|0;if(!(Ya>=+n[bb+(Qa<<2)>>2])){jb=$a;break}if((Qa|0)<(ab|0))$a=Qa;else{jb=Qa;break}}if(jb>>>0>=ab>>>0){kb=db;lb=cb;break}f[Da>>2]=Z+(f[fb+(cb<<1<<2)>>2]<<2);$a=db+(Y(f[t+(cb<<2)>>2]|0,jb)|0)|0;bb=cb+1|0;if((bb|0)<(i|0)){db=$a;cb=bb}else{kb=$a;lb=bb;break}}do if((lb|0)==(i|0))f[kb>>2]=(f[kb>>2]|0)+1;else{if((lb|0)<(i|0))mb=lb;else break;do{cb=da+(mb<<2)|0;f[cb>>2]=(f[cb>>2]|0)+(f[fb+(mb<<1<<2)>>2]<<2);mb=mb+1|0}while((mb|0)!=(i|0))}while(0);eb=eb+1|0}while((eb|0)!=(Ha|0));nb=0}else{eb=0;while(1){g:do if(!(b[gb+eb>>0]|0)){ob=e;pb=0}else{Z=e;Da=0;while(1){ab=da+(Da<<2)|0;cb=f[ab>>2]|0;Ya=+n[cb>>2];db=f[r+(Da<<2)>>2]|0;bb=f[s+(Da<<2)>>2]|0;$a=-1;while(1){Qa=$a+1|0;if(!(Ya>=+n[db+(Qa<<2)>>2])){qb=$a;break}if((Qa|0)<(bb|0))$a=Qa;else{qb=Qa;break}}if(qb>>>0>=bb>>>0){ob=Z;pb=Da;break g}f[ab>>2]=cb+(f[fb+(Da<<1<<2)>>2]<<2);$a=Z+(Y(f[t+(Da<<2)>>2]|0,qb)|0)|0;db=Da+1|0;if((db|0)<(i|0)){Z=$a;Da=db}else{ob=$a;pb=db;break}}}while(0);do if((pb|0)==(i|0))f[ob>>2]=(f[ob>>2]|0)+1;else{if((pb|0)<(i|0))rb=pb;else break;do{Da=da+(rb<<2)|0;f[Da>>2]=(f[Da>>2]|0)+(f[fb+(rb<<1<<2)>>2]<<2);rb=rb+1|0}while((rb|0)!=(i|0))}while(0);eb=eb+1|0;if((eb|0)==(Ha|0)){nb=0;break}}}else nb=0;do{eb=da+(nb<<2)|0;f[eb>>2]=(f[eb>>2]|0)+(f[fb+((nb<<1|1)<<2)>>2]<<2);nb=nb+1|0}while((nb|0)!=(i|0));if(!O)break;else gb=gb+J|0}}}else switch(i|0){case 1:{Ya=+p[d>>3];Za=+p[d+8>>3];gb=f[s>>2]|0;O=f[fb>>2]|0;hb=f[fb+4>>2]|0;if(!D)break f;if((Ha|0)<=0)break f;eb=Y(O,Ha+-1|0)|0;Da=N;Z=f[da>>2]|0;db=D;while(1){db=db+-1|0;if(!Da){$a=0;W=Z;while(1){La=Za+Ya*+n[W>>2];Fa=~~La;Ea=Fa-(+(Fa|0)>La&1)|0;Fa=e+(Ea<<2)|0;if(Ea>>>0<gb>>>0)f[Fa>>2]=(f[Fa>>2]|0)+1;$a=$a+1|0;if(($a|0)==(Ha|0))break;else W=W+(O<<2)|0}}else{W=0;$a=Z;while(1){do if(b[Da+W>>0]|0){La=Za+Ya*+n[$a>>2];Fa=~~La;Ea=Fa-(+(Fa|0)>La&1)|0;Fa=e+(Ea<<2)|0;if(Ea>>>0>=gb>>>0)break;f[Fa>>2]=(f[Fa>>2]|0)+1}while(0);W=W+1|0;if((W|0)==(Ha|0))break;else $a=$a+(O<<2)|0}}if(!db)break;else{Da=Da+J|0;Z=Z+(eb<<2)+(O<<2)+(hb<<2)|0}}break}case 2:{Ya=+p[d>>3];Za=+p[d+8>>3];La=+p[d+16>>3];Va=+p[d+24>>3];hb=f[s>>2]|0;O=f[s+4>>2]|0;eb=f[fb>>2]|0;Z=f[fb+4>>2]|0;Da=f[fb+8>>2]|0;db=f[fb+12>>2]|0;gb=f[t>>2]|0;if(!((D|0)!=0&(Ha|0)>0))break f;$a=Ha+-1|0;W=Y(eb,$a)|0;Fa=Y(Da,$a)|0;$a=f[da>>2]|0;Ea=f[da+4>>2]|0;Qa=N;Ua=D;while(1){Ua=Ua+-1|0;if(!Qa){Sa=$a;Ra=Ea;Ta=0;while(1){Wa=Za+Ya*+n[Sa>>2];Pa=~~Wa;Oa=Pa-(+(Pa|0)>Wa&1)|0;Wa=Va+La*+n[Ra>>2];Pa=~~Wa;Na=Pa-(+(Pa|0)>Wa&1)|0;Pa=e+(Y(Oa,gb)|0)+(Na<<2)|0;if(Oa>>>0<hb>>>0&Na>>>0<O>>>0)f[Pa>>2]=(f[Pa>>2]|0)+1;Ta=Ta+1|0;if((Ta|0)==(Ha|0))break;else{Sa=Sa+(eb<<2)|0;Ra=Ra+(Da<<2)|0}}}else{Ra=$a;Sa=Ea;Ta=0;while(1){do if(b[Qa+Ta>>0]|0){Wa=Za+Ya*+n[Ra>>2];Pa=~~Wa;Na=Pa-(+(Pa|0)>Wa&1)|0;Wa=Va+La*+n[Sa>>2];Pa=~~Wa;Oa=Pa-(+(Pa|0)>Wa&1)|0;Pa=e+(Y(Na,gb)|0)+(Oa<<2)|0;if(!(Na>>>0<hb>>>0&Oa>>>0<O>>>0))break;f[Pa>>2]=(f[Pa>>2]|0)+1}while(0);Ta=Ta+1|0;if((Ta|0)==(Ha|0))break;else{Ra=Ra+(eb<<2)|0;Sa=Sa+(Da<<2)|0}}}if(!Ua)break;else{$a=$a+(W<<2)+(eb<<2)+(Z<<2)|0;Ea=Ea+(Fa<<2)+(Da<<2)+(db<<2)|0;Qa=Qa+J|0}}break}case 3:{La=+p[d>>3];Va=+p[d+8>>3];Ya=+p[d+16>>3];Za=+p[d+24>>3];Wa=+p[d+32>>3];Xa=+p[d+40>>3];Qa=f[s>>2]|0;db=f[s+4>>2]|0;Da=f[s+8>>2]|0;Fa=f[fb>>2]|0;Ea=f[fb+4>>2]|0;Z=f[fb+8>>2]|0;eb=f[fb+12>>2]|0;W=f[fb+16>>2]|0;$a=f[fb+20>>2]|0;Ua=f[t>>2]|0;O=f[t+4>>2]|0;if(!D)break f;hb=(Ha|0)>0;gb=Y(Ha,Fa)|0;Sa=Y(Ha,Z)|0;Ra=Y(Ha,W)|0;Ta=f[da>>2]|0;Pa=f[da+4>>2]|0;Oa=f[da+8>>2]|0;Na=N;Ma=D;while(1){Ma=Ma+-1|0;if(!Na)if(hb){E=Pa+(Sa<<2)|0;c=Ta;va=Pa;fa=Oa;Ia=0;while(1){_a=Va+La*+n[c>>2];P=~~_a;I=P-(+(P|0)>_a&1)|0;_a=Za+Ya*+n[va>>2];P=~~_a;Ca=P-(+(P|0)>_a&1)|0;_a=Xa+Wa*+n[fa>>2];P=~~_a;ta=P-(+(P|0)>_a&1)|0;P=e+(Y(I,Ua)|0)+(Y(Ca,O)|0)+(ta<<2)|0;if(I>>>0<Qa>>>0&Ca>>>0<db>>>0&ta>>>0<Da>>>0)f[P>>2]=(f[P>>2]|0)+1;Ia=Ia+1|0;if((Ia|0)==(Ha|0))break;else{c=c+(Fa<<2)|0;va=va+(Z<<2)|0;fa=fa+(W<<2)|0}}sb=Ta+(gb<<2)|0;tb=E;ub=Oa+(Ra<<2)|0}else{sb=Ta;tb=Pa;ub=Oa}else if(hb){fa=Pa+(Sa<<2)|0;va=Ta;c=Pa;Ia=Oa;P=0;while(1){do if(b[Na+P>>0]|0){_a=Va+La*+n[va>>2];ta=~~_a;Ca=ta-(+(ta|0)>_a&1)|0;_a=Za+Ya*+n[c>>2];ta=~~_a;I=ta-(+(ta|0)>_a&1)|0;_a=Xa+Wa*+n[Ia>>2];ta=~~_a;ya=ta-(+(ta|0)>_a&1)|0;ta=e+(Y(Ca,Ua)|0)+(Y(I,O)|0)+(ya<<2)|0;if(!(Ca>>>0<Qa>>>0&I>>>0<db>>>0&ya>>>0<Da>>>0))break;f[ta>>2]=(f[ta>>2]|0)+1}while(0);P=P+1|0;if((P|0)==(Ha|0))break;else{va=va+(Fa<<2)|0;c=c+(Z<<2)|0;Ia=Ia+(W<<2)|0}}sb=Ta+(gb<<2)|0;tb=fa;ub=Oa+(Ra<<2)|0}else{sb=Ta;tb=Pa;ub=Oa}if(!Ma)break;else{Ta=sb+(Ea<<2)|0;Pa=tb+(eb<<2)|0;Oa=ub+($a<<2)|0;Na=Na+J|0}}break}default:{if(!D)break f;Na=(Ha|0)>0;$a=N;Oa=D;while(1){Oa=Oa+-1|0;if(!$a)if(Na){eb=0;do{Pa=e;Ea=0;while(1){Ta=da+(Ea<<2)|0;Ma=f[Ta>>2]|0;Ra=Ea<<1;Wa=+n[Ma>>2]*+p[d+(Ra<<3)>>3]+ +p[d+((Ra|1)<<3)>>3];gb=~~Wa;W=gb-(+(gb|0)>Wa&1)|0;if(W>>>0>=(f[s+(Ea<<2)>>2]|0)>>>0){vb=Pa;wb=Ea;break}f[Ta>>2]=Ma+(f[fb+(Ra<<2)>>2]<<2);Ra=Pa+(Y(f[t+(Ea<<2)>>2]|0,W)|0)|0;W=Ea+1|0;if((W|0)<(i|0)){Pa=Ra;Ea=W}else{vb=Ra;wb=W;break}}do if((wb|0)==(i|0))f[vb>>2]=(f[vb>>2]|0)+1;else{if((wb|0)<(i|0))xb=wb;else break;do{Ea=da+(xb<<2)|0;f[Ea>>2]=(f[Ea>>2]|0)+(f[fb+(xb<<1<<2)>>2]<<2);xb=xb+1|0}while((xb|0)!=(i|0))}while(0);eb=eb+1|0}while((eb|0)!=(Ha|0));yb=0}else yb=0;else if(Na){eb=0;while(1){h:do if(!(b[$a+eb>>0]|0)){zb=e;Ab=0}else{fa=e;Ea=0;while(1){Pa=da+(Ea<<2)|0;W=f[Pa>>2]|0;Ra=Ea<<1;Wa=+n[W>>2]*+p[d+(Ra<<3)>>3]+ +p[d+((Ra|1)<<3)>>3];Ma=~~Wa;Ta=Ma-(+(Ma|0)>Wa&1)|0;if(Ta>>>0>=(f[s+(Ea<<2)>>2]|0)>>>0){zb=fa;Ab=Ea;break h}f[Pa>>2]=W+(f[fb+(Ra<<2)>>2]<<2);Ra=fa+(Y(f[t+(Ea<<2)>>2]|0,Ta)|0)|0;Ta=Ea+1|0;if((Ta|0)<(i|0)){fa=Ra;Ea=Ta}else{zb=Ra;Ab=Ta;break}}}while(0);do if((Ab|0)==(i|0))f[zb>>2]=(f[zb>>2]|0)+1;else{if((Ab|0)<(i|0))Bb=Ab;else break;do{Ea=da+(Bb<<2)|0;f[Ea>>2]=(f[Ea>>2]|0)+(f[fb+(Bb<<1<<2)>>2]<<2);Bb=Bb+1|0}while((Bb|0)!=(i|0))}while(0);eb=eb+1|0;if((eb|0)==(Ha|0)){yb=0;break}}}else yb=0;do{eb=da+(yb<<2)|0;f[eb>>2]=(f[eb>>2]|0)+(f[fb+((yb<<1|1)<<2)>>2]<<2);yb=yb+1|0}while((yb|0)!=(i|0));if(!Oa)break;else $a=$a+J|0}}}while(0);break}default:{f[r>>2]=0;f[r+4>>2]=0;f6(-210,r,250978,918)}}J=r+8|0;f[J>>2]=0;f[J+4>>2]=0;f[r>>2]=33619968;f[r+4>>2]=y;IO(z,r,5,1.0,0.0);r=f[C>>2]|0;if(r|0){C=f[H>>2]|0;if((C|0)!=(r|0))f[H>>2]=C+(~((C+-8-r|0)>>>3)<<3);Emc(r)}r=f[B>>2]|0;if(r|0){B=f[g>>2]|0;if((B|0)!=(r|0))f[g>>2]=B+(~((B+-4-r|0)>>>2)<<2);Emc(r)}r=f[A>>2]|0;if(r|0){A=f[o>>2]|0;if((A|0)!=(r|0))f[o>>2]=A+(~((A+-4-r|0)>>>2)<<2);Emc(r)}r=f[aa>>2]|0;if(r|0?(A=r+12|0,r=f[A>>2]|0,f[A>>2]=r+-1,(r|0)==1):0)lP(z);f[aa>>2]=0;f[X>>2]=0;f[X+4>>2]=0;f[X+8>>2]=0;f[X+12>>2]=0;if((f[U>>2]|0)>0){X=f[ca>>2]|0;ca=0;do{f[X+(ca<<2)>>2]=0;ca=ca+1|0}while((ca|0)<(f[U>>2]|0))}U=f[_>>2]|0;if((U|0)!=(F|0))tE(U);U=f[ba>>2]|0;if(U|0?(F=U+12|0,U=f[F>>2]|0,f[F>>2]=U+-1,(U|0)==1):0)lP(y);f[ba>>2]=0;f[T>>2]=0;f[T+4>>2]=0;f[T+8>>2]=0;f[T+12>>2]=0;if((f[V>>2]|0)>0){T=f[ea>>2]|0;ea=0;do{f[T+(ea<<2)>>2]=0;ea=ea+1|0}while((ea|0)<(f[V>>2]|0))}V=f[y+44>>2]|0;if((V|0)!=(y+48|0))tE(V);V=w+36|0;y=f[V>>2]|0;do if(y|0){ea=y+12|0;T=f[ea>>2]|0;f[ea>>2]=T+-1;if((T|0)!=1)break;lP(w)}while(0);f[V>>2]=0;V=w+4|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[V>>2]|0)>0){G=f[w+40>>2]|0;y=0;do{f[G+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[V>>2]|0))}V=f[w+44>>2]|0;if((V|0)!=(w+48|0))tE(V);if(!(f[v+4>>2]|0)){u=q;return}u=q;return}function j6(a,c,d,e,g,h,i,j,k,l,m,o){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;o=o|0;var q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0.0,Z=0.0,_=0.0;q=u;u=u+16|0;r=q;s=(d|0)!=0;if(!(s|(c|0)==(g|0))){f[r>>2]=0;f[r+4>>2]=0;t=YG(r,32)|0;v=251116;w=t+32|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));f6(-215,r,251149,128)}x=f[a+40>>2]|0;y=f[x>>2]|0;f[m>>2]=f[x+4>>2];x=m+4|0;f[x>>2]=y;y=f[a>>2]|0;z=y&7;A=1212424721>>>(y<<2&28)&15;y=g+1|0;B=k+4|0;C=f[B>>2]|0;D=f[k>>2]|0;E=C-D>>2;F=D;D=C;if(y>>>0<=E>>>0){if(y>>>0<E>>>0?(C=F+(y<<2)|0,(D|0)!=(C|0)):0)f[B>>2]=D+(~((D+-4-C|0)>>>2)<<2)}else l6(k,y-E|0);E=y<<1;y=l+4|0;C=f[y>>2]|0;D=f[l>>2]|0;B=C-D>>2;F=D;D=C;if(E>>>0<=B>>>0){if(E>>>0<B>>>0?(C=F+(E<<2)|0,(D|0)!=(C|0)):0)f[y>>2]=D+(~((D+-4-C|0)>>>2)<<2)}else $C(l,E-B|0);B=(g|0)>0;a:do if(B){E=(c|0)>0;if(!s){C=0;D=1;while(1){y=f[a+(C*56|0)>>2]|0;if(y&4088|0){G=22;break}F=f[a+(C*56|0)+40>>2]|0;if(!(((f[F>>2]|0)==(f[x>>2]|0)?(f[F+4>>2]|0)==(f[m>>2]|0):0)&(y&7|0)==(z|0))){G=26;break}F=D&(y&16384|0)!=0;f[(f[k>>2]|0)+(C<<2)>>2]=f[a+(C*56|0)+16>>2];H=(y>>>3&511)+1|0;y=C<<1;I=f[l>>2]|0;f[I+(y<<2)>>2]=H;J=(((f[a+(C*56|0)+48>>2]|0)>>>0)/(A>>>0)|0)-(Y(H,f[m>>2]|0)|0)|0;f[I+((y|1)<<2)>>2]=J;C=C+1|0;if((C|0)>=(g|0)){K=F;break a}else D=F}if((G|0)==22){f[r>>2]=0;f[r+4>>2]=0;t=YG(r,25)|0;v=251167;w=t+25|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));f6(-215,r,251149,143)}else if((G|0)==26){f[r>>2]=0;L=r+4|0;f[L>>2]=0;M=YG(r,56)|0;t=M;v=251212;w=t+56|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));f6(-215,r,251149,155)}}else{N=0;O=1}b:while(1){D=f[d+(N<<2)>>2]|0;if((D|0)<=-1){G=23;break}if(E){P=0;Q=D}else{G=24;break}while(1){R=f[a+(P*56|0)>>2]|0;S=R>>>3&511;if((Q|0)<=(S|0))break;D=P+1|0;if((D|0)<(c|0)){P=D;Q=Q+-1-S|0}else{G=24;break b}}D=f[a+(P*56|0)+40>>2]|0;if(!(((f[D>>2]|0)==(f[x>>2]|0)?(f[D+4>>2]|0)==(f[m>>2]|0):0)&(R&7|0)==(z|0))){G=26;break}D=O&(R&16384|0)!=0;C=(f[a+(P*56|0)+16>>2]|0)+(Y(Q,A)|0)|0;f[(f[k>>2]|0)+(N<<2)>>2]=C;C=S+1|0;F=N<<1;J=f[l>>2]|0;f[J+(F<<2)>>2]=C;y=(((f[a+(P*56|0)+48>>2]|0)>>>0)/(A>>>0)|0)-(Y(C,f[m>>2]|0)|0)|0;f[J+((F|1)<<2)>>2]=y;N=N+1|0;if((N|0)>=(g|0)){K=D;break a}else O=D}if((G|0)==23){f[r>>2]=0;f[r+4>>2]=0;E=YG(r,6)|0;b[E>>0]=b[251193]|0;b[E+1>>0]=b[251194]|0;b[E+2>>0]=b[251195]|0;b[E+3>>0]=b[251196]|0;b[E+4>>0]=b[251197]|0;b[E+5>>0]=b[251198]|0;f6(-215,r,251149,148)}else if((G|0)==24){f[r>>2]=0;f[r+4>>2]=0;t=YG(r,11)|0;v=251200;w=t+11|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));f6(-215,r,251149,152)}else if((G|0)==26){f[r>>2]=0;L=r+4|0;f[L>>2]=0;M=YG(r,56)|0;t=M;v=251212;w=t+56|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));f6(-215,r,251149,155)}}else K=1;while(0);M=f[e+16>>2]|0;L=M;do if(!M){if(K)G=40}else{O=f[e+4>>2]|0;if((O|0)<3)T=Y(f[e+12>>2]|0,f[e+8>>2]|0)|0;else{N=f[e+40>>2]|0;A=0;P=1;while(1){a=Y(f[N+(A<<2)>>2]|0,P)|0;A=A+1|0;if((A|0)==(O|0)){T=a;break}else P=a}}if((O|0)==0|(T|0)==0)if(K){G=40;break}else break;P=f[e+40>>2]|0;if(!((f[P>>2]|0)==(f[x>>2]|0)?(f[P+4>>2]|0)==(f[m>>2]|0):0)){f[r>>2]=0;U=r+4|0;f[U>>2]=0;V=YG(r,45)|0;t=V;v=251269;w=t+45|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));f6(-215,r,251149,165)}O=f[e>>2]|0;if(!(O&4088)){f[(f[k>>2]|0)+(g<<2)>>2]=L;P=g<<1;A=f[l>>2]|0;f[A+(P<<2)>>2]=1;f[A+((P|1)<<2)>>2]=((f[e+48>>2]|0)>>>0)/((1212424721>>>(f[e>>2]<<2&28)&15)>>>0)|0;if(K&(O&16384|0)!=0){G=40;break}else break}else{f[r>>2]=0;U=r+4|0;f[U>>2]=0;V=YG(r,45)|0;t=V;v=251269;w=t+45|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));f6(-215,r,251149,165)}}while(0);if((G|0)==40){V=Y(f[m>>2]|0,f[x>>2]|0)|0;f[m>>2]=V;f[x>>2]=1}if(!i){if(z|0){f[r>>2]=0;f[r+4>>2]=0;t=YG(r,14)|0;v=382877;w=t+14|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));f6(-215,r,251149,180)}z=g<<1;x=o+4|0;V=f[x>>2]|0;m=f[o>>2]|0;U=V-m>>3;K=m;m=V;if(z>>>0<=U>>>0){if(z>>>0<U>>>0?(V=K+(z<<3)|0,(m|0)!=(V|0)):0)f[x>>2]=m+(~((m+-8-V|0)>>>3)<<3)}else m6(o,z-U|0);if(!B){u=q;return}U=f[o>>2]|0;z=0;do{V=z<<1;p[U+(V<<3)>>3]=+(f[h+(z<<2)>>2]|0)*.00390625;p[U+((V|1)<<3)>>3]=0.0;z=z+1|0}while((z|0)!=(g|0));u=q;return}if(!j){if(B)W=0;else{u=q;return}c:while(1){j=f[h+(W<<2)>>2]|0;z=i+(W<<2)|0;U=0;while(1){if(U>>>0>=j>>>0)break;V=f[z>>2]|0;m=U;U=U+1|0;if(!(+n[V+(m<<2)>>2]<+n[V+(U<<2)>>2])){G=69;break c}}W=W+1|0;if((W|0)>=(g|0)){G=70;break}}if((G|0)==69){f[r>>2]=0;f[r+4>>2]=0;t=YG(r,29)|0;v=251356;w=t+29|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));f6(-215,r,251149,207)}else if((G|0)==70){u=q;return}}W=g<<1;U=o+4|0;z=f[U>>2]|0;j=f[o>>2]|0;V=z-j>>3;m=j;j=z;if(W>>>0<=V>>>0){if(W>>>0<V>>>0?(z=m+(W<<3)|0,(j|0)!=(z|0)):0)f[U>>2]=j+(~((j+-8-z|0)>>>3)<<3)}else m6(o,W-V|0);if(!B){u=q;return}B=f[o>>2]|0;o=0;while(1){V=f[i+(o<<2)>>2]|0;if(!V){G=63;break}X=+n[V>>2];Z=+n[V+4>>2];if(!(X<Z)){G=63;break}_=X;X=+(f[h+(o<<2)>>2]|0)/(Z-_);V=o<<1;p[B+(V<<3)>>3]=X;p[B+((V|1)<<3)>>3]=-(_*X);o=o+1|0;if((o|0)>=(g|0)){G=70;break}}if((G|0)==63){f[r>>2]=0;f[r+4>>2]=0;t=YG(r,40)|0;v=251315;w=t+40|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));f6(-215,r,251149,194)}else if((G|0)==70){u=q;return}}function k6(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0.0,z=0,A=0.0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;k=u;u=u+16|0;l=k;m=d<<8;o=j+4|0;q=f[o>>2]|0;r=f[j>>2]|0;s=q-r>>2;t=r;r=q;if(m>>>0<=s>>>0)if(m>>>0<s>>>0?(q=t+(m<<2)|0,(r|0)!=(q|0)):0){f[o>>2]=r+(~((r+-4-q|0)>>>2)<<2);v=t}else v=t;else{f$(j,m-s|0);v=f[j>>2]|0}if(h){if((d|0)<=0){u=k;return}h=f[c+4>>2]|0;j=(h|0)==0;s=f[a+40>>2]|0;m=f[a+44>>2]|0;if(i)w=0;else{t=0;do{q=t<<1;x=+p[g+(q<<3)>>3];y=+p[g+((q|1)<<3)>>3];q=f[s+(t<<2)>>2]|0;r=f[m+(t<<2)>>2]|0;o=t<<8;z=0;do{A=y+x*+(z|0);B=~~A;C=B-(+(B|0)>A&1)|0;B=Y(C,r)|0;f[v+(z+o<<2)>>2]=C>>>0<q>>>0?B:1073741824;z=z+1|0}while((z|0)!=256);t=t+1|0}while((t|0)!=(d|0));u=k;return}do{t=w<<1;x=+p[g+(t<<3)>>3];y=+p[g+((t|1)<<3)>>3];if(j)D=0;else D=f[h+48+(w<<2)>>2]|0;t=w<<8;m=0;do{A=y+x*+(m|0);s=~~A;z=s-(+(s|0)>A&1)|0;f[v+(m+t<<2)>>2]=z>>>0<D>>>0?z:1073741824;m=m+1|0}while((m|0)!=256);w=w+1|0}while((w|0)!=(d|0));u=k;return}if(!e){f[l>>2]=0;f[l+4>>2]=0;w=YG(l,55)|0;D=251026;h=w+55|0;do{b[w>>0]=b[D>>0]|0;w=w+1|0;D=D+1|0}while((w|0)<(h|0));f6(-5,l,251092,116)}if((d|0)<=0){u=k;return}l=f[c+4>>2]|0;c=(l|0)==0;D=f[a+40>>2]|0;w=f[a+44>>2]|0;if(i)E=0;else{i=0;do{a=f[e+(i<<2)>>2]|0;x=+n[a>>2];h=~~x;j=(+(h|0)<x&1)+h|0;h=f[D+(i<<2)>>2]|0;g=f[w+(i<<2)>>2]|0;m=i<<8;t=1073741824;z=(j|0)<256?j:256;j=-1;s=0;while(1){if((s|0)<(z|0)){q=s;do{f[v+(q+m<<2)>>2]=t;q=q+1|0}while((q|0)!=(z|0));F=z}else F=s;q=j+1|0;if(q>>>0>=h>>>0)break;x=+n[a+(j+2<<2)>>2];o=~~x;r=(+(o|0)<x&1)+o|0;t=Y(q,g)|0;z=(r|0)<256?r:256;j=q;s=F}if((F|0)<256){s=F;do{f[v+(s+m<<2)>>2]=1073741824;s=s+1|0}while((s|0)!=256)}i=i+1|0}while((i|0)!=(d|0));u=k;return}do{i=f[e+(E<<2)>>2]|0;x=+n[i>>2];F=~~x;w=(+(F|0)<x&1)+F|0;if(c)G=0;else G=f[l+48+(E<<2)>>2]|0;F=E<<8;D=1073741824;s=(w|0)<256?w:256;w=-1;m=0;while(1){if((m|0)<(s|0)){j=m;do{f[v+(j+F<<2)>>2]=D;j=j+1|0}while((j|0)!=(s|0));H=s}else H=m;j=w+1|0;if(j>>>0>=G>>>0)break;x=+n[i+(w+2<<2)>>2];z=~~x;g=(+(z|0)<x&1)+z|0;D=j;s=(g|0)<256?g:256;w=j;m=H}if((H|0)<256){m=H;do{f[v+(m+F<<2)>>2]=1073741824;m=m+1|0}while((m|0)!=256)}E=E+1|0}while((E|0)!=(d|0));u=k;return}function l6(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>2>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;i=(f[e>>2]|0)+4|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>2;g=i+b|0;if(g>>>0>1073741823)Ukc(a);j=d-h|0;h=j>>1;d=j>>2>>>0<536870911?(h>>>0<g>>>0?g:h):1073741823;do if(d)if(d>>>0>1073741823){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{k=Bmc(d<<2)|0;break}else k=0;while(0);h=k+(i<<2)|0;i=k+(d<<2)|0;d=b;b=h;k=h;do{f[k>>2]=0;k=b+4|0;b=k;d=d+-1|0}while((d|0)!=0);d=f[a>>2]|0;k=(f[e>>2]|0)-d|0;g=h+(0-(k>>2)<<2)|0;if((k|0)>0)Krc(g|0,d|0,k|0)|0;f[a>>2]=g;f[e>>2]=b;f[c>>2]=i;if(!d)return;Emc(d);return}function m6(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>3>>>0>=b>>>0){Drc(g|0,0,b<<3|0)|0;f[e>>2]=g+(b<<3);return}h=f[a>>2]|0;i=g-h|0;g=i>>3;j=g+b|0;if(j>>>0>536870911)Ukc(a);k=d-h|0;d=k>>2;l=k>>3>>>0<268435455?(d>>>0<j>>>0?j:d):536870911;do if(l)if(l>>>0>536870911){d=ye(8)|0;Jmc(d,511852);f[d>>2]=165276;Gf(d|0,26776,1555)}else{m=Bmc(l<<3)|0;break}else m=0;while(0);d=m+(g<<3)|0;Drc(d|0,0,b<<3|0)|0;j=d+(0-g<<3)|0;if((i|0)>0)Krc(j|0,h|0,i|0)|0;f[a>>2]=j;f[e>>2]=d+(b<<3);f[c>>2]=m+(l<<3);if(!h)return;Emc(h);return}function n6(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;j=u;u=u+1664|0;k=j+1648|0;l=j+1520|0;m=j+56|0;n=j;zT(k,54040);o=(f[g+4>>2]|0)-(f[g>>2]|0)|0;p=o>>2;q=(f[h+4>>2]|0)-(f[h>>2]|0)|0;r=q>>2;s=(f[c+4>>2]|0)-(f[c>>2]|0)>>2;t=AD(a,-1)|0;if(!((o|0)>0&(t|0)>0)){f[l>>2]=0;f[l+4>>2]=0;v=YG(l,23)|0;w=251510;x=v+23|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));f6(-215,l,250978,1200)}if((r|0)!=(o>>>1|0)){if(r|0){f[l>>2]=0;y=l+4|0;f[y>>2]=0;z=YG(l,55)|0;v=z;w=251534;x=v+55|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));f6(-215,l,250978,1201)}if(BD(a,0)|0){f[l>>2]=0;y=l+4|0;f[y>>2]=0;z=YG(l,55)|0;v=z;w=251534;x=v+55|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));f6(-215,l,250978,1201)}}z=(s|0)==0;if(!(z|(s|0)==(p|0))){f[l>>2]=0;f[l+4>>2]=0;v=YG(l,23)|0;w=251590;x=v+23|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));f6(-215,l,250978,1202)}if((q|0)>0?(w=(r|0)/2|0,(q|0)>4):0){q=f[h>>2]|0;h=0;do{f[l+(h<<2)>>2]=q+(h<<1<<2);h=h+1|0}while((h|0)<(w|0))}CG(m,t);w=n+4|0;h=n+8|0;q=n+12|0;v=n+16|0;x=n+20|0;s=n+24|0;y=n+28|0;o=n+32|0;A=n+36|0;B=n+40|0;C=n+48|0;D=n+44|0;E=0;do{lD(n,a,E);F=f[m>>2]|0;G=F+(E*56|0)|0;if((G|0)!=(n|0)){H=f[A>>2]|0;if(H|0){I=H+12|0;f[I>>2]=(f[I>>2]|0)+1}I=F+(E*56|0)+36|0;H=f[I>>2]|0;if(H|0?(J=H+12|0,H=f[J>>2]|0,f[J>>2]=H+-1,(H|0)==1):0)lP(G);f[I>>2]=0;H=F+(E*56|0)+16|0;J=F+(E*56|0)+4|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[J>>2]|0)>0){K=f[F+(E*56|0)+40>>2]|0;L=0;do{f[K+(L<<2)>>2]=0;L=L+1|0;M=f[J>>2]|0}while((L|0)<(M|0));f[G>>2]=f[n>>2];if((M|0)<3)N=25;else N=27}else{f[G>>2]=f[n>>2];N=25}if((N|0)==25){N=0;L=f[w>>2]|0;if((L|0)<3){f[J>>2]=L;f[F+(E*56|0)+8>>2]=f[h>>2];f[F+(E*56|0)+12>>2]=f[q>>2];L=f[D>>2]|0;K=f[F+(E*56|0)+44>>2]|0;f[K>>2]=f[L>>2];f[K+4>>2]=f[L+4>>2]}else N=27}if((N|0)==27){N=0;kP(G,n)}f[H>>2]=f[v>>2];f[F+(E*56|0)+20>>2]=f[x>>2];f[F+(E*56|0)+24>>2]=f[s>>2];f[F+(E*56|0)+28>>2]=f[y>>2];f[F+(E*56|0)+32>>2]=f[o>>2];f[I>>2]=f[A>>2]}L=f[A>>2]|0;if(L|0?(K=L+12|0,L=f[K>>2]|0,f[K>>2]=L+-1,(L|0)==1):0)lP(n);f[A>>2]=0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[w>>2]|0)>0){L=f[B>>2]|0;K=0;do{f[L+(K<<2)>>2]=0;K=K+1|0}while((K|0)<(f[w>>2]|0))}K=f[D>>2]|0;if((K|0)!=(C|0))tE(K);E=E+1|0}while((E|0)<(t|0));i6(f[m>>2]|0,t,z?0:f[c>>2]|0,d,e,p,f[g>>2]|0,r|0?l:0,1,i);DG(m);if(!(f[k+4>>2]|0)){u=j;return}u=j;return}function o6(a,c,e,g,i,k,l,m){a=a|0;c=c|0;e=e|0;g=g|0;i=i|0;k=k|0;l=+l;m=m|0;var o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0.0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0.0,za=0,Aa=0,Ba=0,Ca=0,Da=0.0,Ea=0.0,Fa=0,Ga=0.0,Ha=0.0,Ia=0,Ja=0.0,Ka=0.0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0.0,Ua=0.0,Va=0.0,Wa=0,Xa=0,Ya=0;o=u;u=u+688|0;q=o+560|0;r=o+304|0;s=o+176|0;t=o+168|0;v=o+104|0;w=o+88|0;x=o+76|0;y=o+64|0;z=o+56|0;A=o+160|0;B=o;zT(t,54060);do if((pD(g)|0)==65536){C=f[g+4>>2]|0;f[v>>2]=f[C>>2];D=v+4|0;E=C+4|0;f[D>>2]=f[E>>2];F=v+8|0;f[F>>2]=f[C+8>>2];f[v+12>>2]=f[C+12>>2];f[v+16>>2]=f[C+16>>2];f[v+20>>2]=f[C+20>>2];f[v+24>>2]=f[C+24>>2];f[v+28>>2]=f[C+28>>2];f[v+32>>2]=f[C+32>>2];G=f[C+36>>2]|0;f[v+36>>2]=G;f[v+40>>2]=F;F=v+48|0;H=v+44|0;f[H>>2]=F;f[F>>2]=0;f[v+52>>2]=0;if(G|0){F=G+12|0;f[F>>2]=(f[F>>2]|0)+1}if((f[E>>2]|0)<3){E=f[C+44>>2]|0;F=f[H>>2]|0;f[F>>2]=f[E>>2];f[F+4>>2]=f[E+4>>2];I=D;break}else{f[D>>2]=0;kP(v,C);I=D;break}}else{lD(v,g,-1);I=v+4|0}while(0);f[w>>2]=0;g=w+4|0;f[g>>2]=0;f[w+8>>2]=0;f[x>>2]=0;D=x+4|0;f[D>>2]=0;f[x+8>>2]=0;f[y>>2]=0;C=y+4|0;f[C>>2]=0;f[y+8>>2]=0;f[z>>2]=0;E=z+4|0;f[E>>2]=0;F=f[I>>2]|0;if((F|0)!=2)if((F|0)>0)J=F;else{f[q>>2]=0;K=q+4|0;f[K>>2]=0;L=YG(q,25)|0;M=L;N=251763;O=M+25|0;do{b[M>>0]=b[N>>0]|0;M=M+1|0;N=N+1|0}while((M|0)<(O|0));f6(-215,q,251789,1531)}else J=(f[(f[v+40>>2]|0)+4>>2]|0)==1?1:2;H=v+16|0;if(!(f[H>>2]|0)){f[q>>2]=0;K=q+4|0;f[K>>2]=0;L=YG(q,25)|0;M=L;N=251763;O=M+25|0;do{b[M>>0]=b[N>>0]|0;M=M+1|0;N=N+1|0}while((M|0)<(O|0));f6(-215,q,251789,1531)}if((F|0)<3)P=Y(f[v+12>>2]|0,f[v+8>>2]|0)|0;else{G=f[v+40>>2]|0;Q=0;R=1;while(1){S=Y(f[G+(Q<<2)>>2]|0,R)|0;Q=Q+1|0;if((Q|0)==(F|0)){P=S;break}else R=S}}if((F|0)==0|(P|0)==0){f[q>>2]=0;K=q+4|0;f[K>>2]=0;L=YG(q,25)|0;M=L;N=251763;O=M+25|0;do{b[M>>0]=b[N>>0]|0;M=M+1|0;N=N+1|0}while((M|0)<(O|0));f6(-215,q,251789,1531)}L=f[a+40>>2]|0;K=f[L>>2]|0;f[A>>2]=f[L+4>>2];f[A+4>>2]=K;HD(i,A,f[a>>2]&7,-1,0,0);do if((pD(i)|0)==65536){A=f[i+4>>2]|0;f[B>>2]=f[A>>2];K=B+4|0;L=A+4|0;f[K>>2]=f[L>>2];P=B+8|0;f[P>>2]=f[A+8>>2];f[B+12>>2]=f[A+12>>2];f[B+16>>2]=f[A+16>>2];f[B+20>>2]=f[A+20>>2];f[B+24>>2]=f[A+24>>2];f[B+28>>2]=f[A+28>>2];f[B+32>>2]=f[A+32>>2];F=f[A+36>>2]|0;f[B+36>>2]=F;f[B+40>>2]=P;P=B+48|0;R=B+44|0;f[R>>2]=P;f[P>>2]=0;f[B+52>>2]=0;if(F|0){P=F+12|0;f[P>>2]=(f[P>>2]|0)+1}if((f[L>>2]|0)<3){L=f[A+44>>2]|0;P=f[R>>2]|0;f[P>>2]=f[L>>2];f[P+4>>2]=f[L+4>>2];break}else{f[K>>2]=0;kP(B,A);break}}else lD(B,i,-1);while(0);i=v+40|0;j6(a,c,e,B,J,f[i>>2]|0,k,m,w,x,z,y);e=m?f[y>>2]|0:0;switch(f[a>>2]&7){case 0:{a=f[z>>2]|0;c=f[E>>2]|0;T=l;A=f[w>>2]|0;K=f[x>>2]|0;L=f[H>>2]|0;P=f[A+(J<<2)>>2]|0;R=f[K+((J<<1|1)<<2)>>2]|0;f[q>>2]=0;F=q+4|0;f[F>>2]=0;f[q+8>>2]=0;f[r>>2]=1123876864;f[r+4>>2]=0;k6(v,r,J,k,e,m,0,q);Q=f[q>>2]|0;a:do switch(J|0){case 1:{G=f[K>>2]|0;S=f[K+4>>2]|0;Drc(r|0,0,256)|0;U=f[A>>2]|0;V=0;do{W=f[Q+(V<<2)>>2]|0;if(W>>>0<1073741824){X=U9b(T*+n[L+W>>2])|0;b[r+V>>0]=X>>>0<256?X:(X|0)>0?255:0}V=V+1|0}while((V|0)!=256);V=c+-1|0;b:do if(c|0){X=G<<1;W=(a|0)<4;Z=a+-4|0;if((G|0)==1){if(W){_=(a|0)>0;$=P;aa=U;ba=V;while(1){if(_){ca=0;da=aa;while(1){b[$+ca>>0]=b[r+(h[da>>0]|0)>>0]|0;ca=ca+1|0;if((ca|0)==(a|0))break;else da=da+1|0}ea=aa+a|0}else ea=aa;if(!ba)break b;else{$=$+R|0;aa=ea+S|0;ba=ba+-1|0}}}ba=a&-4;aa=(ba|0)<(a|0);$=P;_=U;da=V;while(1){ca=0;fa=_;while(1){ga=ca|1;ha=b[r+(h[_+ga>>0]|0)>>0]|0;b[$+ca>>0]=b[r+(h[fa>>0]|0)>>0]|0;b[$+ga>>0]=ha;ha=ca|2;ga=ca|3;ia=b[r+(h[_+ga>>0]|0)>>0]|0;b[$+ha>>0]=b[r+(h[_+ha>>0]|0)>>0]|0;b[$+ga>>0]=ia;ia=ca+4|0;if((ia|0)>(Z|0))break;else{ca=ia;fa=_+ia|0}}if(aa){fa=ba;ca=_+ba|0;while(1){b[$+fa>>0]=b[r+(h[ca>>0]|0)>>0]|0;fa=fa+1|0;if((fa|0)==(a|0)){ja=a;break}else ca=ca+1|0}}else ja=ba;if(!da)break;else{$=$+R|0;_=_+ja+S|0;da=da+-1|0}}}else{if(W){da=Y(a,G)|0;_=(a|0)>0;$=P;ba=U;aa=V;while(1){if(_){ca=0;fa=ba;while(1){b[$+ca>>0]=b[r+(h[fa>>0]|0)>>0]|0;ca=ca+1|0;if((ca|0)==(a|0))break;else fa=fa+G|0}ka=ba+da|0}else ka=ba;if(!aa)break b;else{$=$+R|0;ba=ka+S|0;aa=aa+-1|0}}}aa=a&-4;ba=Y(G,aa)|0;$=Y(a,G)|0;da=(aa|0)<(a|0);_=P;W=U;fa=V;while(1){ca=0;ia=W;while(1){ga=b[r+(h[ia+G>>0]|0)>>0]|0;b[_+ca>>0]=b[r+(h[ia>>0]|0)>>0]|0;b[_+(ca|1)>>0]=ga;ga=ia+X|0;ha=b[r+(h[ga+G>>0]|0)>>0]|0;b[_+(ca|2)>>0]=b[r+(h[ga>>0]|0)>>0]|0;b[_+(ca|3)>>0]=ha;ca=ca+4|0;if((ca|0)>(Z|0))break;else ia=ga+X|0}if(da){ia=aa;ca=W+ba|0;while(1){b[_+ia>>0]=b[r+(h[ca>>0]|0)>>0]|0;ia=ia+1|0;if((ia|0)==(a|0)){la=$;break}else ca=ca+G|0}}else la=ba;if(!fa)break;else{_=_+R|0;W=W+la+S|0;fa=fa+-1|0}}}}while(0);break}case 2:{S=f[K>>2]|0;G=f[K+4>>2]|0;V=f[K+8>>2]|0;U=f[K+12>>2]|0;if((c|0)!=0&(a|0)>0){fa=Y(a,S)|0;W=Y(a,V)|0;_=f[A>>2]|0;ba=f[A+4>>2]|0;$=P;aa=c;while(1){da=_+fa|0;X=_;Z=ba;ca=0;while(1){ia=(f[Q+((h[Z>>0]|0|256)<<2)>>2]|0)+(f[Q+((h[X>>0]|0)<<2)>>2]|0)|0;if(ia>>>0<1073741824){ga=U9b(T*+n[L+ia>>2])|0;ma=(ga>>>0<256?ga:(ga|0)>0?255:0)&255}else ma=0;b[$+ca>>0]=ma;ca=ca+1|0;if((ca|0)==(a|0))break;else{X=X+S|0;Z=Z+V|0}}aa=aa+-1|0;if(!aa)break;else{_=da+G|0;ba=ba+W+U|0;$=$+R|0}}}break}case 3:{$=f[K>>2]|0;U=f[K+4>>2]|0;W=f[K+8>>2]|0;ba=f[K+12>>2]|0;G=f[K+16>>2]|0;_=f[K+20>>2]|0;if((c|0)!=0&(a|0)>0){aa=Y(a,$)|0;V=Y(a,W)|0;S=Y(a,G)|0;fa=f[A+8>>2]|0;Z=f[A+4>>2]|0;X=f[A>>2]|0;ca=P;ga=c;while(1){ga=ga+-1|0;ia=Z+V|0;ha=fa;na=Z;oa=X;pa=0;while(1){qa=(f[Q+((h[na>>0]|0|256)<<2)>>2]|0)+(f[Q+((h[oa>>0]|0)<<2)>>2]|0)+(f[Q+((h[ha>>0]|0|512)<<2)>>2]|0)|0;if(qa>>>0<1073741824){ra=U9b(T*+n[L+qa>>2])|0;sa=(ra>>>0<256?ra:(ra|0)>0?255:0)&255}else sa=0;b[ca+pa>>0]=sa;pa=pa+1|0;if((pa|0)==(a|0))break;else{ha=ha+G|0;na=na+W|0;oa=oa+$|0}}if(!ga)break;else{fa=fa+S+_|0;Z=ia+ba|0;X=X+aa+U|0;ca=ca+R|0}}}break}default:if(c|0){if((a|0)>0){ta=P;ua=c}else{ca=c;while(1){U=0;do{aa=A+(U<<2)|0;f[aa>>2]=(f[aa>>2]|0)+(f[K+((U<<1|1)<<2)>>2]|0);U=U+1|0}while((U|0)!=(J|0));ca=ca+-1|0;if(!ca)break a}}while(1){ca=0;do{U=L;ia=0;while(1){aa=A+(ia<<2)|0;X=f[aa>>2]|0;ba=f[Q+((h[X>>0]|0|ia<<8)<<2)>>2]|0;if(ba>>>0>1073741823){va=U;wa=ia;break}Z=U+ba|0;f[aa>>2]=X+(f[K+(ia<<1<<2)>>2]|0);X=ia+1|0;if((X|0)<(J|0)){U=Z;ia=X}else{va=Z;wa=X;break}}if((wa|0)!=(J|0)){b[ta+ca>>0]=0;if((wa|0)<(J|0)){ia=wa;do{U=A+(ia<<2)|0;f[U>>2]=(f[U>>2]|0)+(f[K+(ia<<1<<2)>>2]|0);ia=ia+1|0}while((ia|0)!=(J|0))}}else{ia=U9b(T*+n[va>>2])|0;b[ta+ca>>0]=ia>>>0<256?ia:(ia|0)>0?255:0}ca=ca+1|0}while((ca|0)!=(a|0));xa=0;do{ca=A+(xa<<2)|0;f[ca>>2]=(f[ca>>2]|0)+(f[K+((xa<<1|1)<<2)>>2]|0);xa=xa+1|0}while((xa|0)!=(J|0));ua=ua+-1|0;if(!ua)break;else ta=ta+R|0}}}while(0);R=f[q>>2]|0;if(R|0){ta=f[F>>2]|0;if((ta|0)!=(R|0))f[F>>2]=ta+(~((ta+-4-R|0)>>>2)<<2);Emc(R)}break}case 2:{R=f[z>>2]|0;ta=f[E>>2]|0;T=l;F=f[w>>2]|0;ua=f[x>>2]|0;xa=f[H>>2]|0;K=f[F+(J<<2)>>2]|0;A=f[ua+((J<<1|1)<<2)>>2]|0;a=J<<2;va=f[v+44>>2]|0;Krc(r|0,f[i>>2]|0,a|0)|0;Krc(s|0,va|0,a|0)|0;c:do if(!m){if(!k){f[q>>2]=0;f[q+4>>2]=0;M=YG(q,55)|0;N=251026;O=M+55|0;do{b[M>>0]=b[N>>0]|0;M=M+1|0;N=N+1|0}while((M|0)<(O|0));f6(-5,q,251805,1389)}Krc(q|0,k|0,a|0)|0;if(ta|0){va=(R|0)>0;wa=K;Q=ta;while(1){Q=Q+-1|0;if(va){L=0;do{c=xa;P=0;while(1){sa=F+(P<<2)|0;ma=f[sa>>2]|0;ya=+(j[ma>>1]|0);la=f[q+(P<<2)>>2]|0;ka=f[r+(P<<2)>>2]|0;ja=-1;while(1){ea=ja+1|0;if(!(ya>=+n[la+(ea<<2)>>2])){za=ja;break}if((ea|0)<(ka|0))ja=ea;else{za=ea;break}}if(za>>>0>=ka>>>0){Aa=c;Ba=P;break}f[sa>>2]=ma+(f[ua+(P<<1<<2)>>2]<<1);ja=c+(Y(f[s+(P<<2)>>2]|0,za)|0)|0;la=P+1|0;if((la|0)<(J|0)){c=ja;P=la}else{Aa=ja;Ba=la;break}}if((Ba|0)!=(J|0)){d[wa+(L<<1)>>1]=0;if((Ba|0)<(J|0)){P=Ba;do{c=F+(P<<2)|0;f[c>>2]=(f[c>>2]|0)+(f[ua+(P<<1<<2)>>2]<<1);P=P+1|0}while((P|0)!=(J|0))}}else{P=U9b(T*+n[Aa>>2])|0;d[wa+(L<<1)>>1]=P>>>0<65536?P:(P|0)>0?65535:0}L=L+1|0}while((L|0)!=(R|0));Ca=0}else Ca=0;do{L=F+(Ca<<2)|0;f[L>>2]=(f[L>>2]|0)+(f[ua+((Ca<<1|1)<<2)>>2]<<1);Ca=Ca+1|0}while((Ca|0)!=(J|0));if(!Q)break;else wa=wa+(A<<1)|0}}}else switch(J|0){case 1:{ya=+p[e>>3];Da=+p[e+8>>3];wa=f[r>>2]|0;Q=f[ua>>2]|0;va=f[ua+4>>2]|0;if(!ta)break c;if((R|0)<=0)break c;L=Y(R,Q)|0;P=K;c=f[F>>2]|0;la=ta;while(1){la=la+-1|0;ja=0;ea=c;while(1){Ea=Da+ya*+(j[ea>>1]|0);ca=~~Ea;ia=ca-(+(ca|0)>Ea&1)|0;if(ia>>>0<wa>>>0){ca=U9b(T*+n[xa+(ia<<2)>>2])|0;Fa=(ca>>>0<65536?ca:(ca|0)>0?65535:0)&65535}else Fa=0;d[P+(ja<<1)>>1]=Fa;ja=ja+1|0;if((ja|0)==(R|0))break;else ea=ea+(Q<<1)|0}if(!la)break;else{P=P+(A<<1)|0;c=c+(L<<1)+(va<<1)|0}}break}case 2:{ya=+p[e>>3];Da=+p[e+8>>3];Ea=+p[e+16>>3];Ga=+p[e+24>>3];va=f[r>>2]|0;L=f[r+4>>2]|0;c=f[ua>>2]|0;P=f[ua+4>>2]|0;la=f[ua+8>>2]|0;Q=f[ua+12>>2]|0;wa=f[s>>2]|0;if(!((R|0)>0&(ta|0)!=0))break c;ea=Y(R,c)|0;ja=Y(R,la)|0;ca=f[F>>2]|0;ia=f[F+4>>2]|0;U=K;X=ta;while(1){Z=ca+(ea<<1)|0;aa=0;ba=ca;_=ia;while(1){Ha=Da+ya*+(j[ba>>1]|0);S=~~Ha;fa=S-(+(S|0)>Ha&1)|0;Ha=Ga+Ea*+(j[_>>1]|0);S=~~Ha;ga=S-(+(S|0)>Ha&1)|0;if(fa>>>0<va>>>0&ga>>>0<L>>>0){S=xa+(Y(fa,wa)|0)+(ga<<2)|0;ga=U9b(T*+n[S>>2])|0;Ia=(ga>>>0<65536?ga:(ga|0)>0?65535:0)&65535}else Ia=0;d[U+(aa<<1)>>1]=Ia;aa=aa+1|0;if((aa|0)==(R|0))break;else{ba=ba+(c<<1)|0;_=_+(la<<1)|0}}X=X+-1|0;if(!X)break;else{ca=Z+(P<<1)|0;ia=ia+(ja<<1)+(Q<<1)|0;U=U+(A<<1)|0}}break}case 3:{Ea=+p[e>>3];Ga=+p[e+8>>3];ya=+p[e+16>>3];Da=+p[e+24>>3];Ha=+p[e+32>>3];Ja=+p[e+40>>3];U=f[r>>2]|0;Q=f[r+4>>2]|0;ja=f[r+8>>2]|0;ia=f[ua>>2]|0;P=f[ua+4>>2]|0;ca=f[ua+8>>2]|0;X=f[ua+12>>2]|0;la=f[ua+16>>2]|0;c=f[ua+20>>2]|0;wa=f[s>>2]|0;L=f[s+4>>2]|0;if(!((R|0)>0&(ta|0)!=0))break c;va=Y(R,ia)|0;ea=Y(R,ca)|0;_=Y(R,la)|0;ba=f[F>>2]|0;aa=f[F+4>>2]|0;ga=f[F+8>>2]|0;S=K;fa=ta;while(1){fa=fa+-1|0;$=aa+(ea<<1)|0;W=ba;G=aa;V=ga;oa=0;while(1){Ka=Ga+Ea*+(j[W>>1]|0);na=~~Ka;ha=na-(+(na|0)>Ka&1)|0;Ka=Da+ya*+(j[G>>1]|0);na=~~Ka;pa=na-(+(na|0)>Ka&1)|0;Ka=Ja+Ha*+(j[V>>1]|0);na=~~Ka;da=na-(+(na|0)>Ka&1)|0;if(ha>>>0<U>>>0&pa>>>0<Q>>>0&da>>>0<ja>>>0){na=xa+(Y(ha,wa)|0)+(Y(pa,L)|0)+(da<<2)|0;da=U9b(T*+n[na>>2])|0;La=(da>>>0<65536?da:(da|0)>0?65535:0)&65535}else La=0;d[S+(oa<<1)>>1]=La;oa=oa+1|0;if((oa|0)==(R|0))break;else{W=W+(ia<<1)|0;G=G+(ca<<1)|0;V=V+(la<<1)|0}}if(!fa)break;else{ba=ba+(va<<1)+(P<<1)|0;aa=$+(X<<1)|0;ga=ga+(_<<1)+(c<<1)|0;S=S+(A<<1)|0}}break}default:{if(!ta)break c;S=(k|0)==0;c=(R|0)>0;_=K;ga=ta;while(1){ga=ga+-1|0;if(c){X=0;while(1){d:do if(S){aa=xa;P=0;while(1){va=F+(P<<2)|0;ba=f[va>>2]|0;fa=P<<1;Ha=+(j[ba>>1]|0)*+p[e+(fa<<3)>>3]+ +p[e+((fa|1)<<3)>>3];la=~~Ha;ca=la-(+(la|0)>Ha&1)|0;if(ca>>>0>=(f[r+(P<<2)>>2]|0)>>>0){Ma=aa;Na=P;break d}f[va>>2]=ba+(f[ua+(fa<<2)>>2]<<1);fa=aa+(Y(f[s+(P<<2)>>2]|0,ca)|0)|0;ca=P+1|0;if((ca|0)<(J|0)){aa=fa;P=ca}else{Ma=fa;Na=ca;break}}}else{P=xa;aa=0;while(1){ma=F+(aa<<2)|0;sa=f[ma>>2]|0;ka=d[sa>>1]|0;ca=aa<<1;Ha=+(ka&65535)*+p[e+(ca<<3)>>3]+ +p[e+((ca|1)<<3)>>3];fa=~~Ha;ba=fa-(+(fa|0)>Ha&1)|0;if(ba>>>0>=(f[r+(aa<<2)>>2]|0)>>>0){Ma=P;Na=aa;break d}if(+(ka&65535)>=+n[(f[k+(aa<<2)>>2]|0)+4>>2]){Ma=P;Na=aa;break d}f[ma>>2]=sa+(f[ua+(ca<<2)>>2]<<1);ca=P+(Y(f[s+(aa<<2)>>2]|0,ba)|0)|0;ba=aa+1|0;if((ba|0)<(J|0)){P=ca;aa=ba}else{Ma=ca;Na=ba;break}}}while(0);if((Na|0)!=(J|0)){d[_+(X<<1)>>1]=0;if((Na|0)<(J|0)){aa=Na;do{P=F+(aa<<2)|0;f[P>>2]=(f[P>>2]|0)+(f[ua+(aa<<1<<2)>>2]<<1);aa=aa+1|0}while((aa|0)!=(J|0))}}else{aa=U9b(T*+n[Ma>>2])|0;d[_+(X<<1)>>1]=aa>>>0<65536?aa:(aa|0)>0?65535:0}X=X+1|0;if((X|0)==(R|0)){Oa=0;break}}}else Oa=0;do{X=F+(Oa<<2)|0;f[X>>2]=(f[X>>2]|0)+(f[ua+((Oa<<1|1)<<2)>>2]<<1);Oa=Oa+1|0}while((Oa|0)!=(J|0));if(!ga)break;else _=_+(A<<1)|0}}}while(0);break}case 5:{A=f[z>>2]|0;z=f[E>>2]|0;T=l;E=f[w>>2]|0;Oa=f[x>>2]|0;ua=f[H>>2]|0;F=f[E+(J<<2)>>2]|0;R=f[Oa+((J<<1|1)<<2)>>2]|0;Ma=J<<2;Na=f[v+44>>2]|0;Krc(r|0,f[i>>2]|0,Ma|0)|0;Krc(s|0,Na|0,Ma|0)|0;e:do if(!m){if(!k){f[q>>2]=0;f[q+4>>2]=0;M=YG(q,55)|0;N=251026;O=M+55|0;do{b[M>>0]=b[N>>0]|0;M=M+1|0;N=N+1|0}while((M|0)<(O|0));f6(-5,q,251805,1389)}Krc(q|0,k|0,Ma|0)|0;if(z|0){Na=(A|0)>0;xa=F;ta=z;while(1){ta=ta+-1|0;if(Na){K=0;do{La=ua;Ia=0;while(1){Fa=E+(Ia<<2)|0;Ca=f[Fa>>2]|0;l=+n[Ca>>2];Aa=f[q+(Ia<<2)>>2]|0;Ba=f[r+(Ia<<2)>>2]|0;za=-1;while(1){a=za+1|0;if(!(l>=+n[Aa+(a<<2)>>2])){Pa=za;break}if((a|0)<(Ba|0))za=a;else{Pa=a;break}}if(Pa>>>0>=Ba>>>0){Qa=La;Ra=Ia;break}f[Fa>>2]=Ca+(f[Oa+(Ia<<1<<2)>>2]<<2);za=La+(Y(f[s+(Ia<<2)>>2]|0,Pa)|0)|0;Aa=Ia+1|0;if((Aa|0)<(J|0)){La=za;Ia=Aa}else{Qa=za;Ra=Aa;break}}if((Ra|0)!=(J|0)){n[xa+(K<<2)>>2]=0.0;if((Ra|0)<(J|0)){Ia=Ra;do{La=E+(Ia<<2)|0;f[La>>2]=(f[La>>2]|0)+(f[Oa+(Ia<<1<<2)>>2]<<2);Ia=Ia+1|0}while((Ia|0)!=(J|0))}}else n[xa+(K<<2)>>2]=T*+n[Qa>>2];K=K+1|0}while((K|0)!=(A|0));Sa=0}else Sa=0;do{K=E+(Sa<<2)|0;f[K>>2]=(f[K>>2]|0)+(f[Oa+((Sa<<1|1)<<2)>>2]<<2);Sa=Sa+1|0}while((Sa|0)!=(J|0));if(!ta)break;else xa=xa+(R<<2)|0}}}else switch(J|0){case 1:{l=+p[e>>3];Ha=+p[e+8>>3];xa=f[r>>2]|0;ta=f[Oa>>2]|0;Na=f[Oa+4>>2]|0;if(!z)break e;if((A|0)<=0)break e;K=Y(A,ta)|0;Ia=F;La=f[E>>2]|0;Aa=z;while(1){Aa=Aa+-1|0;za=0;a=La;while(1){Ja=Ha+l*+n[a>>2];_=~~Ja;ga=_-(+(_|0)>Ja&1)|0;if(ga>>>0<xa>>>0)Ta=T*+n[ua+(ga<<2)>>2];else Ta=0.0;n[Ia+(za<<2)>>2]=Ta;za=za+1|0;if((za|0)==(A|0))break;else a=a+(ta<<2)|0}if(!Aa)break;else{Ia=Ia+(R<<2)|0;La=La+(K<<2)+(Na<<2)|0}}break}case 2:{l=+p[e>>3];Ha=+p[e+8>>3];Ja=+p[e+16>>3];ya=+p[e+24>>3];Na=f[r>>2]|0;K=f[r+4>>2]|0;La=f[Oa>>2]|0;Ia=f[Oa+4>>2]|0;Aa=f[Oa+8>>2]|0;ta=f[Oa+12>>2]|0;xa=f[s>>2]|0;if(!((A|0)>0&(z|0)!=0))break e;a=Y(A,La)|0;za=Y(A,Aa)|0;ga=f[E>>2]|0;_=f[E+4>>2]|0;S=F;c=z;while(1){X=ga+(a<<2)|0;$=0;aa=ga;P=_;while(1){Da=Ha+l*+n[aa>>2];ba=~~Da;ca=ba-(+(ba|0)>Da&1)|0;Da=ya+Ja*+n[P>>2];ba=~~Da;sa=ba-(+(ba|0)>Da&1)|0;if(ca>>>0<Na>>>0&sa>>>0<K>>>0){ba=ua+(Y(ca,xa)|0)+(sa<<2)|0;Ua=T*+n[ba>>2]}else Ua=0.0;n[S+($<<2)>>2]=Ua;$=$+1|0;if(($|0)==(A|0))break;else{aa=aa+(La<<2)|0;P=P+(Aa<<2)|0}}c=c+-1|0;if(!c)break;else{ga=X+(Ia<<2)|0;_=_+(za<<2)+(ta<<2)|0;S=S+(R<<2)|0}}break}case 3:{Ja=+p[e>>3];ya=+p[e+8>>3];l=+p[e+16>>3];Ha=+p[e+24>>3];Da=+p[e+32>>3];Ea=+p[e+40>>3];S=f[r>>2]|0;ta=f[r+4>>2]|0;za=f[r+8>>2]|0;_=f[Oa>>2]|0;Ia=f[Oa+4>>2]|0;ga=f[Oa+8>>2]|0;c=f[Oa+12>>2]|0;Aa=f[Oa+16>>2]|0;La=f[Oa+20>>2]|0;xa=f[s>>2]|0;K=f[s+4>>2]|0;if(!((A|0)>0&(z|0)!=0))break e;Na=Y(A,_)|0;a=Y(A,ga)|0;P=Y(A,Aa)|0;aa=f[E>>2]|0;$=f[E+4>>2]|0;ba=f[E+8>>2]|0;sa=F;ca=z;while(1){ca=ca+-1|0;ma=$+(a<<2)|0;ka=aa;fa=$;va=ba;la=0;while(1){Ga=ya+Ja*+n[ka>>2];ia=~~Ga;L=ia-(+(ia|0)>Ga&1)|0;Ga=Ha+l*+n[fa>>2];ia=~~Ga;wa=ia-(+(ia|0)>Ga&1)|0;Ga=Ea+Da*+n[va>>2];ia=~~Ga;ja=ia-(+(ia|0)>Ga&1)|0;if(L>>>0<S>>>0&wa>>>0<ta>>>0&ja>>>0<za>>>0){ia=ua+(Y(L,xa)|0)+(Y(wa,K)|0)+(ja<<2)|0;Va=T*+n[ia>>2]}else Va=0.0;n[sa+(la<<2)>>2]=Va;la=la+1|0;if((la|0)==(A|0))break;else{ka=ka+(_<<2)|0;fa=fa+(ga<<2)|0;va=va+(Aa<<2)|0}}if(!ca)break;else{aa=aa+(Na<<2)+(Ia<<2)|0;$=ma+(c<<2)|0;ba=ba+(P<<2)+(La<<2)|0;sa=sa+(R<<2)|0}}break}default:{if(!z)break e;sa=(k|0)==0;La=(A|0)>0;P=F;ba=z;while(1){ba=ba+-1|0;if(La){c=0;while(1){f:do if(sa){$=ua;Ia=0;while(1){Na=E+(Ia<<2)|0;aa=f[Na>>2]|0;ca=Ia<<1;Da=+n[aa>>2]*+p[e+(ca<<3)>>3]+ +p[e+((ca|1)<<3)>>3];Aa=~~Da;ga=Aa-(+(Aa|0)>Da&1)|0;if(ga>>>0>=(f[r+(Ia<<2)>>2]|0)>>>0){Wa=$;Xa=Ia;break f}f[Na>>2]=aa+(f[Oa+(ca<<2)>>2]<<2);ca=$+(Y(f[s+(Ia<<2)>>2]|0,ga)|0)|0;ga=Ia+1|0;if((ga|0)<(J|0)){$=ca;Ia=ga}else{Wa=ca;Xa=ga;break}}}else{Ia=ua;$=0;while(1){Ca=E+($<<2)|0;Fa=f[Ca>>2]|0;Da=+n[Fa>>2];Ba=$<<1;Ea=Da*+p[e+(Ba<<3)>>3]+ +p[e+((Ba|1)<<3)>>3];ga=~~Ea;ca=ga-(+(ga|0)>Ea&1)|0;if(ca>>>0>=(f[r+($<<2)>>2]|0)>>>0){Wa=Ia;Xa=$;break f}if(Da>=+n[(f[k+($<<2)>>2]|0)+4>>2]){Wa=Ia;Xa=$;break f}f[Ca>>2]=Fa+(f[Oa+(Ba<<2)>>2]<<2);Ba=Ia+(Y(f[s+($<<2)>>2]|0,ca)|0)|0;ca=$+1|0;if((ca|0)<(J|0)){Ia=Ba;$=ca}else{Wa=Ba;Xa=ca;break}}}while(0);if((Xa|0)!=(J|0)){n[P+(c<<2)>>2]=0.0;if((Xa|0)<(J|0)){$=Xa;do{Ia=E+($<<2)|0;f[Ia>>2]=(f[Ia>>2]|0)+(f[Oa+($<<1<<2)>>2]<<2);$=$+1|0}while(($|0)!=(J|0))}}else n[P+(c<<2)>>2]=T*+n[Wa>>2];c=c+1|0;if((c|0)==(A|0)){Ya=0;break}}}else Ya=0;do{c=E+(Ya<<2)|0;f[c>>2]=(f[c>>2]|0)+(f[Oa+((Ya<<1|1)<<2)>>2]<<2);Ya=Ya+1|0}while((Ya|0)!=(J|0));if(!ba)break;else P=P+(R<<2)|0}}}while(0);break}default:{f[q>>2]=0;f[q+4>>2]=0;f6(-210,q,251789,1546)}}q=B+36|0;R=f[q>>2]|0;if(R|0?(J=R+12|0,R=f[J>>2]|0,f[J>>2]=R+-1,(R|0)==1):0)lP(B);f[q>>2]=0;q=B+16|0;R=B+4|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[R>>2]|0)>0){q=f[B+40>>2]|0;J=0;do{f[q+(J<<2)>>2]=0;J=J+1|0}while((J|0)<(f[R>>2]|0))}R=f[B+44>>2]|0;if((R|0)!=(B+48|0))tE(R);R=f[y>>2]|0;if(R|0){y=f[C>>2]|0;if((y|0)!=(R|0))f[C>>2]=y+(~((y+-8-R|0)>>>3)<<3);Emc(R)}R=f[x>>2]|0;if(R|0){x=f[D>>2]|0;if((x|0)!=(R|0))f[D>>2]=x+(~((x+-4-R|0)>>>2)<<2);Emc(R)}R=f[w>>2]|0;if(R|0){w=f[g>>2]|0;if((w|0)!=(R|0))f[g>>2]=w+(~((w+-4-R|0)>>>2)<<2);Emc(R)}R=v+36|0;w=f[R>>2]|0;if(w|0?(g=w+12|0,w=f[g>>2]|0,f[g>>2]=w+-1,(w|0)==1):0)lP(v);f[R>>2]=0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[I>>2]|0)>0){H=f[i>>2]|0;i=0;do{f[H+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[I>>2]|0))}I=f[v+44>>2]|0;if((I|0)!=(v+48|0))tE(I);if(!(f[t+4>>2]|0)){u=o;return}u=o;return}function p6(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;i=u;u=u+3696|0;j=i+3688|0;k=i+3632|0;l=i+3576|0;m=i+1520|0;n=i+56|0;o=i;zT(j,54080);zD(d,-1)|0;do if((pD(d)|0)==65536){p=f[d+4>>2]|0;f[k>>2]=f[p>>2];q=k+4|0;r=p+4|0;f[q>>2]=f[r>>2];s=k+8|0;f[s>>2]=f[p+8>>2];f[k+12>>2]=f[p+12>>2];f[k+16>>2]=f[p+16>>2];f[k+20>>2]=f[p+20>>2];f[k+24>>2]=f[p+24>>2];f[k+28>>2]=f[p+28>>2];f[k+32>>2]=f[p+32>>2];t=f[p+36>>2]|0;f[k+36>>2]=t;f[k+40>>2]=s;s=k+48|0;v=k+44|0;f[v>>2]=s;f[s>>2]=0;f[k+52>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[p+44>>2]|0;s=f[v>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2];w=k;break}else{f[q>>2]=0;kP(k,p);w=k;break}}else{lD(k,d,-1);w=k}while(0);f[l>>2]=1124007936;p=l+4|0;q=l+8|0;r=l+40|0;s=p;v=s+36|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(v|0));f[r>>2]=q;t=l+48|0;x=l+44|0;f[x>>2]=t;f[t>>2]=0;f[l+52>>2]=0;y=f[w>>2]|0;z=y>>>3&511;A=z+1|0;if(z){if(!(y&16384)){f[m>>2]=0;f[m+4>>2]=0;s=YG(m,17)|0;B=251934;v=s+17|0;do{b[s>>0]=b[B>>0]|0;s=s+1|0;B=B+1|0}while((s|0)<(v|0));f6(-215,m,251789,1889)}z=f[k+4>>2]|0;Krc(m|0,f[k+40>>2]|0,z<<2|0)|0;f[m+(z<<2)>>2]=A;qP(n,z+1|0,m,y&7,f[k+16>>2]|0,0);y=n+36|0;z=f[y>>2]|0;if(z|0){A=z+12|0;f[A>>2]=(f[A>>2]|0)+1}A=l+36|0;z=f[A>>2]|0;if(z|0?(C=z+12|0,z=f[C>>2]|0,f[C>>2]=z+-1,(z|0)==1):0)lP(l);f[A>>2]=0;z=l+16|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[p>>2]|0)>0){C=f[r>>2]|0;D=0;do{f[C+(D<<2)>>2]=0;D=D+1|0;E=f[p>>2]|0}while((D|0)<(E|0));f[l>>2]=f[n>>2];if((E|0)<3)F=21;else F=23}else{f[l>>2]=f[n>>2];F=21}if((F|0)==21){E=f[n+4>>2]|0;if((E|0)<3){f[p>>2]=E;f[q>>2]=f[n+8>>2];f[l+12>>2]=f[n+12>>2];E=f[n+44>>2]|0;D=f[x>>2]|0;f[D>>2]=f[E>>2];f[D+4>>2]=f[E+4>>2]}else F=23}if((F|0)==23)kP(l,n);E=n+16|0;f[z>>2]=f[E>>2];f[l+20>>2]=f[n+20>>2];f[l+24>>2]=f[n+24>>2];f[l+28>>2]=f[n+28>>2];f[l+32>>2]=f[n+32>>2];z=f[y>>2]|0;f[A>>2]=z;if(z|0?(A=z+12|0,z=f[A>>2]|0,f[A>>2]=z+-1,(z|0)==1):0)lP(n);f[y>>2]=0;y=n+4|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[y>>2]|0)>0){E=f[n+40>>2]|0;z=0;do{f[E+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[y>>2]|0))}y=f[n+44>>2]|0;if((y|0)!=(n+48|0))tE(y)}else{y=k+36|0;z=f[y>>2]|0;if(z){E=z+12|0;f[E>>2]=(f[E>>2]|0)+1;E=l+36|0;z=f[E>>2]|0;if((z|0)!=0?(A=z+12|0,z=f[A>>2]|0,f[A>>2]=z+-1,(z|0)==1):0){lP(l);G=E}else G=E}else G=l+36|0;f[G>>2]=0;E=l+16|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[p>>2]|0)>0){z=f[r>>2]|0;A=0;do{f[z+(A<<2)>>2]=0;A=A+1|0;H=f[p>>2]|0}while((A|0)<(H|0));f[l>>2]=f[w>>2];if((H|0)<3)F=43;else F=45}else{f[l>>2]=f[w>>2];F=43}if((F|0)==43){w=f[k+4>>2]|0;if((w|0)<3){f[p>>2]=w;f[q>>2]=f[k+8>>2];f[l+12>>2]=f[k+12>>2];w=f[k+44>>2]|0;H=f[x>>2]|0;f[H>>2]=f[w>>2];f[H+4>>2]=f[w+4>>2]}else F=45}if((F|0)==45)kP(l,k);f[E>>2]=f[k+16>>2];f[l+20>>2]=f[k+20>>2];f[l+24>>2]=f[k+24>>2];f[l+28>>2]=f[k+28>>2];f[l+32>>2]=f[k+32>>2];f[G>>2]=f[y>>2]}y=(f[q>>2]|0)==1;q=(f[l+12>>2]|0)==1;G=y|q;E=f[p>>2]|0;w=(f[g+4>>2]|0)-(f[g>>2]|0)|0;H=w>>2;A=(f[c+4>>2]|0)-(f[c>>2]|0)>>2;z=AD(a,-1)|0;if((z|0)<=0){f[m>>2]=0;f[m+4>>2]=0;s=YG(m,11)|0;B=251952;v=s+11|0;do{b[s>>0]=b[B>>0]|0;s=s+1|0;B=B+1|0}while((s|0)<(v|0));f6(-215,m,251789,1902)}if((H|0)!=(E<<1|0)?(H|0)!=2|(y|q)^1:0){if(H|0){f[m>>2]=0;I=m+4|0;f[I>>2]=0;J=YG(m,76)|0;s=J;B=251964;v=s+76|0;do{b[s>>0]=b[B>>0]|0;s=s+1|0;B=B+1|0}while((s|0)<(v|0));f6(-215,m,251789,1903)}if(BD(a,0)|0){f[m>>2]=0;I=m+4|0;f[I>>2]=0;J=YG(m,76)|0;s=J;B=251964;v=s+76|0;do{b[s>>0]=b[B>>0]|0;s=s+1|0;B=B+1|0}while((s|0)<(v|0));f6(-215,m,251789,1903)}}J=(A|0)==0;if(!(J|(A|0)==(E|0))?(A|0)!=1|G^1:0){f[m>>2]=0;f[m+4>>2]=0;s=YG(m,44)|0;B=252041;v=s+44|0;do{b[s>>0]=b[B>>0]|0;s=s+1|0;B=B+1|0}while((s|0)<(v|0));f6(-215,m,251789,1904)}if((w|0)>0?(B=(H|0)/2|0,(w|0)>4):0){w=f[g>>2]|0;g=0;do{f[m+(g<<2)>>2]=w+(g<<1<<2);g=g+1|0}while((g|0)<(B|0))}CG(n,z);B=o+4|0;g=o+8|0;w=o+12|0;s=o+16|0;v=o+20|0;G=o+24|0;A=o+28|0;E=o+32|0;I=o+36|0;q=o+40|0;y=o+48|0;D=o+44|0;C=0;do{lD(o,a,C);K=f[n>>2]|0;L=K+(C*56|0)|0;if((L|0)!=(o|0)){M=f[I>>2]|0;if(M|0){N=M+12|0;f[N>>2]=(f[N>>2]|0)+1}N=K+(C*56|0)+36|0;M=f[N>>2]|0;if(M|0?(O=M+12|0,M=f[O>>2]|0,f[O>>2]=M+-1,(M|0)==1):0)lP(L);f[N>>2]=0;M=K+(C*56|0)+16|0;O=K+(C*56|0)+4|0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[O>>2]|0)>0){P=f[K+(C*56|0)+40>>2]|0;Q=0;do{f[P+(Q<<2)>>2]=0;Q=Q+1|0;R=f[O>>2]|0}while((Q|0)<(R|0));f[L>>2]=f[o>>2];if((R|0)<3)F=73;else F=75}else{f[L>>2]=f[o>>2];F=73}if((F|0)==73){F=0;Q=f[B>>2]|0;if((Q|0)<3){f[O>>2]=Q;f[K+(C*56|0)+8>>2]=f[g>>2];f[K+(C*56|0)+12>>2]=f[w>>2];Q=f[D>>2]|0;P=f[K+(C*56|0)+44>>2]|0;f[P>>2]=f[Q>>2];f[P+4>>2]=f[Q+4>>2]}else F=75}if((F|0)==75){F=0;kP(L,o)}f[M>>2]=f[s>>2];f[K+(C*56|0)+20>>2]=f[v>>2];f[K+(C*56|0)+24>>2]=f[G>>2];f[K+(C*56|0)+28>>2]=f[A>>2];f[K+(C*56|0)+32>>2]=f[E>>2];f[N>>2]=f[I>>2]}Q=f[I>>2]|0;if(Q|0?(P=Q+12|0,Q=f[P>>2]|0,f[P>>2]=Q+-1,(Q|0)==1):0)lP(o);f[I>>2]=0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[B>>2]|0)>0){Q=f[q>>2]|0;P=0;do{f[Q+(P<<2)>>2]=0;P=P+1|0}while((P|0)<(f[B>>2]|0))}P=f[D>>2]|0;if((P|0)!=(y|0))tE(P);C=C+1|0}while((C|0)<(z|0));o6(f[n>>2]|0,z,J?0:f[c>>2]|0,d,e,H|0?m:0,h,1);DG(n);n=l+36|0;m=f[n>>2]|0;if(m|0?(H=m+12|0,m=f[H>>2]|0,f[H>>2]=m+-1,(m|0)==1):0)lP(l);f[n>>2]=0;n=l+16|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[p>>2]|0)>0){n=f[r>>2]|0;r=0;do{f[n+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[p>>2]|0))}p=f[x>>2]|0;if((p|0)!=(t|0))tE(p);p=k+36|0;t=f[p>>2]|0;if(t|0?(x=t+12|0,t=f[x>>2]|0,f[x>>2]=t+-1,(t|0)==1):0)lP(k);f[p>>2]=0;p=k+16|0;t=k+4|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[t>>2]|0)>0){p=f[k+40>>2]|0;x=0;do{f[p+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[t>>2]|0))}t=f[k+44>>2]|0;if((t|0)!=(k+48|0))tE(t);if(!(f[j+4>>2]|0)){u=i;return}u=i;return}function q6(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,X=0.0,Z=0.0,_=0,$=0.0,aa=0,ba=0.0;e=u;u=u+288|0;g=e+280|0;h=e+224|0;i=e+168|0;j=e+152|0;k=e+40|0;l=e+8|0;m=e;zT(g,54100);do if((pD(a)|0)==65536){o=f[a+4>>2]|0;f[h>>2]=f[o>>2];p=h+4|0;q=o+4|0;f[p>>2]=f[q>>2];r=h+8|0;f[r>>2]=f[o+8>>2];f[h+12>>2]=f[o+12>>2];f[h+16>>2]=f[o+16>>2];f[h+20>>2]=f[o+20>>2];f[h+24>>2]=f[o+24>>2];f[h+28>>2]=f[o+28>>2];f[h+32>>2]=f[o+32>>2];s=f[o+36>>2]|0;f[h+36>>2]=s;f[h+40>>2]=r;r=h+48|0;t=h+44|0;f[t>>2]=r;f[r>>2]=0;f[h+52>>2]=0;if(s|0){r=s+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[q>>2]|0)<3){q=f[o+44>>2]|0;r=f[t>>2]|0;f[r>>2]=f[q>>2];f[r+4>>2]=f[q+4>>2];break}else{f[p>>2]=0;kP(h,o);break}}else lD(h,a,-1);while(0);do if((pD(c)|0)==65536){a=f[c+4>>2]|0;f[i>>2]=f[a>>2];o=i+4|0;p=a+4|0;f[o>>2]=f[p>>2];q=i+8|0;f[q>>2]=f[a+8>>2];f[i+12>>2]=f[a+12>>2];f[i+16>>2]=f[a+16>>2];f[i+20>>2]=f[a+20>>2];f[i+24>>2]=f[a+24>>2];f[i+28>>2]=f[a+28>>2];f[i+32>>2]=f[a+32>>2];r=f[a+36>>2]|0;f[i+36>>2]=r;f[i+40>>2]=q;q=i+48|0;t=i+44|0;f[t>>2]=q;f[q>>2]=0;f[i+52>>2]=0;if(r|0){q=r+12|0;f[q>>2]=(f[q>>2]|0)+1}if((f[p>>2]|0)<3){p=f[a+44>>2]|0;q=f[t>>2]|0;f[q>>2]=f[p>>2];f[q+4>>2]=f[p+4>>2];break}else{f[o>>2]=0;kP(i,a);break}}else lD(i,c,-1);while(0);f[j>>2]=h;f[j+4>>2]=i;f[j+8>>2]=0;f[k>>2]=1124007936;c=k+8|0;a=k+40|0;o=k+4|0;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));f[a>>2]=c;c=k+48|0;f[k+44>>2]=c;f[c>>2]=0;f[k+52>>2]=0;f[k+56>>2]=1124007936;c=k+64|0;a=k+96|0;o=k+60|0;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));f[a>>2]=c;c=k+104|0;f[k+100>>2]=c;f[c>>2]=0;f[k+108>>2]=0;GN(l,j,k,-1);j=f[h>>2]|0;if(!((j&7|0)==5?((f[i>>2]^j)&4095|0)==0:0)){f[m>>2]=0;f[m+4>>2]=0;o=YG(m,46)|0;v=252218;p=o+46|0;do{b[o>>0]=b[v>>0]|0;o=o+1|0;v=v+1|0}while((o|0)<(p|0));f6(-215,m,252265,1935)}j=l+4|0;c=f[j>>2]|0;if(!(f[c>>2]&16384)){f[m>>2]=0;w=m+4|0;f[w>>2]=0;x=YG(m,58)|0;o=x;v=252277;p=o+58|0;do{b[o>>0]=b[v>>0]|0;o=o+1|0;v=v+1|0}while((o|0)<(p|0));f6(-215,m,252265,1939)}if(!(f[c+56>>2]&16384)){f[m>>2]=0;w=m+4|0;f[w>>2]=0;x=YG(m,58)|0;o=x;v=252277;p=o+58|0;do{b[o>>0]=b[v>>0]|0;o=o+1|0;v=v+1|0}while((o|0)<(p|0));f6(-215,m,252265,1939)}x=l+16|0;w=(d|0)==1;y=0.0;z=0.0;A=0.0;B=0.0;C=0.0;D=0.0;c=0;a:while(1){if(c>>>0>=(f[x>>2]|0)>>>0)break;a=f[j>>2]|0;q=f[a+16>>2]|0;t=f[a+72>>2]|0;r=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;a=Y(r,((f[h>>2]|0)>>>3&511)+1|0)|0;switch(d|0){case 1:case 4:{if((a|0)>0)if(w){r=0;E=y;while(1){F=+n[q+(r<<2)>>2];G=F-+n[t+(r<<2)>>2];s=+L(+F)>2.220446049250313e-16;H=s?E+G*G/F:E;r=r+1|0;if((r|0)==(a|0)){I=B;J=C;K=D;N=z;O=A;P=H;break}else E=H}}else{r=0;E=y;while(1){H=+n[q+(r<<2)>>2];F=+n[t+(r<<2)>>2];G=H-F;Q=H+F;s=+L(+Q)>2.220446049250313e-16;F=s?E+G*G/Q:E;r=r+1|0;if((r|0)==(a|0)){I=B;J=C;K=D;N=z;O=A;P=F;break}else E=F}}else{I=B;J=C;K=D;N=z;O=A;P=y}break}case 0:{if((a|0)>0){r=0;E=z;F=A;Q=B;G=C;H=D;while(1){R=+n[q+(r<<2)>>2];S=+n[t+(r<<2)>>2];T=G+R*S;U=E+R;V=Q+R*R;R=F+S;X=H+S*S;r=r+1|0;if((r|0)==(a|0)){I=V;J=T;K=X;N=U;O=R;P=y;break}else{E=U;F=R;Q=V;G=T;H=X}}}else{I=B;J=C;K=D;N=z;O=A;P=y}break}case 2:{if((a|0)>0){r=0;H=y;while(1){G=+n[t+(r<<2)>>2];Q=+n[q+(r<<2)>>2];F=H+(G<Q?G:Q);r=r+1|0;if((r|0)==(a|0)){I=B;J=C;K=D;N=z;O=A;P=F;break}else H=F}}else{I=B;J=C;K=D;N=z;O=A;P=y}break}case 3:{if((a|0)>0){H=z;F=A;r=0;Q=y;while(1){G=+n[q+(r<<2)>>2];E=+n[t+(r<<2)>>2];X=Q+ +M(+(G*E));T=H+G;G=F+E;r=r+1|0;if((r|0)==(a|0)){I=B;J=C;K=D;N=T;O=G;P=X;break}else{H=T;F=G;Q=X}}}else{I=B;J=C;K=D;N=z;O=A;P=y}break}case 5:{if((a|0)>0){r=0;Q=y;while(1){F=+n[q+(r<<2)>>2];H=F;X=+n[t+(r<<2)>>2];if(!(+L(+F)<=2.220446049250313e-16)){s=!(+L(+X)<=2.220446049250313e-16);Z=Q+H*+W(+(H/(s?X:1.0e-10)))}else Z=Q;r=r+1|0;if((r|0)==(a|0)){I=B;J=C;K=D;N=z;O=A;P=Z;break}else Q=Z}}else{I=B;J=C;K=D;N=z;O=A;P=y}break}default:{_=38;break a}}JN(l)|0;y=P;z=N;A=O;B=I;C=J;D=K;c=c+1|0}if((_|0)==38){f[m>>2]=0;f[m+4>>2]=0;o=YG(m,25)|0;v=259756;p=o+25|0;do{b[o>>0]=b[v>>0]|0;o=o+1|0;v=v+1|0}while((o|0)<(p|0));f6(-5,m,252265,2108)}switch(d|0){case 4:{$=y*2.0;break}case 0:{d=f[h+4>>2]|0;if((d|0)<3)aa=Y(f[h+12>>2]|0,f[h+8>>2]|0)|0;else{m=f[h+40>>2]|0;v=0;o=1;while(1){p=Y(f[m+(v<<2)>>2]|0,o)|0;v=v+1|0;if((v|0)==(d|0)){aa=p;break}else o=p}}K=1.0/+(aa>>>0);J=(B-z*z*K)*(D-A*A*K);if(+L(+J)>2.220446049250313e-16)$=(C-A*z*K)/+M(+J);else $=1.0;break}case 3:{J=A*z;if(+L(+J)>1.1920928955078125e-07)ba=1.0/+M(+J);else ba=1.0;J=1.0-y*ba;$=+M(+(J<0.0?0.0:J));break}default:$=y}aa=k+56|0;o=k+92|0;d=f[o>>2]|0;if(d|0?(v=d+12|0,d=f[v>>2]|0,f[v>>2]=d+-1,(d|0)==1):0)lP(aa);f[o>>2]=0;o=k+72|0;aa=k+60|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[aa>>2]|0)>0){o=f[k+96>>2]|0;d=0;do{f[o+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[aa>>2]|0))}aa=f[k+100>>2]|0;if((aa|0)!=(k+104|0))tE(aa);aa=k+36|0;d=f[aa>>2]|0;if(d|0?(o=d+12|0,d=f[o>>2]|0,f[o>>2]=d+-1,(d|0)==1):0)lP(k);f[aa>>2]=0;aa=k+16|0;d=k+4|0;f[aa>>2]=0;f[aa+4>>2]=0;f[aa+8>>2]=0;f[aa+12>>2]=0;if((f[d>>2]|0)>0){aa=f[k+40>>2]|0;o=0;do{f[aa+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[d>>2]|0))}d=f[k+44>>2]|0;if((d|0)!=(k+48|0))tE(d);d=i+36|0;k=f[d>>2]|0;if(k|0?(o=k+12|0,k=f[o>>2]|0,f[o>>2]=k+-1,(k|0)==1):0)lP(i);f[d>>2]=0;d=i+16|0;k=i+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[k>>2]|0)>0){d=f[i+40>>2]|0;o=0;do{f[d+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[k>>2]|0))}k=f[i+44>>2]|0;if((k|0)!=(i+48|0))tE(k);k=h+36|0;i=f[k>>2]|0;if(i|0?(o=i+12|0,i=f[o>>2]|0,f[o>>2]=i+-1,(i|0)==1):0)lP(h);f[k>>2]=0;k=h+16|0;i=h+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[i>>2]|0)>0){k=f[h+40>>2]|0;o=0;do{f[k+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[i>>2]|0))}i=f[h+44>>2]|0;if((i|0)!=(h+48|0))tE(i);if(!(f[g+4>>2]|0)){u=e;return +$}u=e;return +$}function r6(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0;d=u;u=u+2256|0;e=d+2240|0;g=d+2184|0;h=d+2176|0;i=d+2120|0;j=d+2112|0;k=d+1088|0;l=d+64|0;m=d+48|0;n=d+32|0;o=d+24|0;q=d+8|0;r=d;zT(e,54120);if(oD(a,-1)|0){f[g>>2]=0;f[g+4>>2]=0;s=YG(g,22)|0;t=252388;v=s+22|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));f6(-215,g,252411,3334)}if(!(DD(a)|0)){do if((pD(a)|0)==65536){t=f[a+4>>2]|0;f[g>>2]=f[t>>2];s=g+4|0;v=t+4|0;f[s>>2]=f[v>>2];w=g+8|0;f[w>>2]=f[t+8>>2];f[g+12>>2]=f[t+12>>2];f[g+16>>2]=f[t+16>>2];f[g+20>>2]=f[t+20>>2];f[g+24>>2]=f[t+24>>2];f[g+28>>2]=f[t+28>>2];f[g+32>>2]=f[t+32>>2];x=f[t+36>>2]|0;f[g+36>>2]=x;y=g+40|0;f[y>>2]=w;w=g+48|0;z=g+44|0;f[z>>2]=w;f[w>>2]=0;f[g+52>>2]=0;if(x|0){w=x+12|0;f[w>>2]=(f[w>>2]|0)+1}if((f[v>>2]|0)<3){v=f[t+44>>2]|0;w=f[z>>2]|0;f[w>>2]=f[v>>2];f[w+4>>2]=f[v+4>>2];A=g;B=y;break}else{f[s>>2]=0;kP(g,t);A=g;B=y;break}}else{lD(g,a,-1);A=g;B=g+40|0}while(0);a=f[B>>2]|0;y=f[a>>2]|0;f[h>>2]=f[a+4>>2];f[h+4>>2]=y;HD(c,h,f[A>>2]&4095,-1,0,0);do if((pD(c)|0)==65536){A=f[c+4>>2]|0;f[i>>2]=f[A>>2];h=i+4|0;y=A+4|0;f[h>>2]=f[y>>2];a=i+8|0;f[a>>2]=f[A+8>>2];f[i+12>>2]=f[A+12>>2];f[i+16>>2]=f[A+16>>2];f[i+20>>2]=f[A+20>>2];f[i+24>>2]=f[A+24>>2];f[i+28>>2]=f[A+28>>2];f[i+32>>2]=f[A+32>>2];t=f[A+36>>2]|0;f[i+36>>2]=t;f[i+40>>2]=a;a=i+48|0;s=i+44|0;f[s>>2]=a;f[a>>2]=0;f[i+52>>2]=0;if(t|0){a=t+12|0;f[a>>2]=(f[a>>2]|0)+1}if((f[y>>2]|0)<3){y=f[A+44>>2]|0;a=f[s>>2]|0;f[a>>2]=f[y>>2];f[a+4>>2]=f[y+4>>2];break}else{f[h>>2]=0;kP(i,A);break}}else lD(i,c,-1);while(0);QR(j);Drc(k|0,0,1024)|0;f[m>>2]=54148;f[m+4>>2]=g;f[m+8>>2]=k;f[m+12>>2]=j;f[n>>2]=54168;f[n+4>>2]=g;f[n+8>>2]=i;f[n+12>>2]=l;c=g+8|0;A=f[c>>2]|0;f[o>>2]=0;f[o+4>>2]=A;h=g+4|0;y=f[h>>2]|0;if((y|0)<3)C=Y(f[g+12>>2]|0,A)|0;else{A=f[B>>2]|0;a=0;s=1;while(1){t=Y(f[A+(a<<2)>>2]|0,s)|0;a=a+1|0;if((a|0)==(y|0)){C=t;break}else s=t}}if(C>>>0>307199){oU(o,m,-1.0);D=0}else{s6(m,o);D=0}while(1){E=f[k+(D<<2)>>2]|0;F=D+1|0;if(!E)D=F;else break}m=f[h>>2]|0;C=(m|0)<3;if(C)G=Y(f[g+12>>2]|0,f[c>>2]|0)|0;else{s=f[B>>2]|0;y=0;a=1;while(1){A=Y(f[s+(y<<2)>>2]|0,a)|0;y=y+1|0;if((y|0)==(m|0)){G=A;break}else a=A}}do if((G|0)!=(E|0)){H=255.0/+(G-E|0);f[l+(D<<2)>>2]=0;if((F|0)<256){a=0;y=F;do{a=(f[k+(y<<2)>>2]|0)+a|0;s=U9b(H*+(a|0))|0;f[l+(y<<2)>>2]=(s>>>0<256?s:(s|0)>0?255:0)&255;y=y+1|0}while((y|0)!=256)}if(C)I=Y(f[g+12>>2]|0,f[c>>2]|0)|0;else{y=f[B>>2]|0;a=0;s=1;while(1){A=Y(f[y+(a<<2)>>2]|0,s)|0;a=a+1|0;if((a|0)==(m|0)){I=A;break}else s=A}}if(I>>>0>307199){oU(o,n,-1.0);break}else{t6(n,o);break}}else{p[r>>3]=+(D|0);f[q>>2]=-1056833530;f[q+4>>2]=r;f[q+8>>2]=1;f[q+12>>2]=1;oT(i,q,rE()|0)|0}while(0);RR(j);j=i+36|0;q=f[j>>2]|0;if(q|0?(r=q+12|0,q=f[r>>2]|0,f[r>>2]=q+-1,(q|0)==1):0)lP(i);f[j>>2]=0;j=i+16|0;q=i+4|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[q>>2]|0)>0){j=f[i+40>>2]|0;r=0;do{f[j+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[q>>2]|0))}q=f[i+44>>2]|0;if((q|0)!=(i+48|0))tE(q);q=g+36|0;i=f[q>>2]|0;if(i|0?(r=i+12|0,i=f[r>>2]|0,f[r>>2]=i+-1,(i|0)==1):0)lP(g);f[q>>2]=0;q=g+16|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[h>>2]|0)>0){q=f[B>>2]|0;B=0;do{f[q+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[h>>2]|0))}h=f[g+44>>2]|0;if((h|0)!=(g+48|0))tE(h)}if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function s6(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+1024|0;d=c;Drc(d|0,0,1024)|0;e=f[a+4>>2]|0;g=f[e+48>>2]|0;i=f[b>>2]|0;j=(f[b+4>>2]|0)-i|0;b=(f[e>>2]&16384|0)!=0;k=Y(b?j:1,f[e+12>>2]|0)|0;l=(f[e+16>>2]|0)+(Y(f[f[e+44>>2]>>2]|0,i)|0)|0;i=b?1:j;j=i+-1|0;a:do if(i|0){b=k+-4|0;if((k|0)<4){e=(k|0)>0;m=l;n=j;while(1){if(e){o=0;do{p=d+((h[m+o>>0]|0)<<2)|0;f[p>>2]=(f[p>>2]|0)+1;o=o+1|0}while((o|0)!=(k|0))}if(!n)break a;else{m=m+g|0;n=n+-1|0}}}n=k&-4;m=(n|0)<(k|0);e=l;o=j;while(1){p=0;do{q=h[e+(p|1)>>0]|0;r=d+((h[e+p>>0]|0)<<2)|0;f[r>>2]=(f[r>>2]|0)+1;r=d+(q<<2)|0;f[r>>2]=(f[r>>2]|0)+1;r=h[e+(p|3)>>0]|0;q=d+((h[e+(p|2)>>0]|0)<<2)|0;f[q>>2]=(f[q>>2]|0)+1;q=d+(r<<2)|0;f[q>>2]=(f[q>>2]|0)+1;p=p+4|0}while((p|0)<=(b|0));if(m){p=n;do{q=d+((h[e+p>>0]|0)<<2)|0;f[q>>2]=(f[q>>2]|0)+1;p=p+1|0}while((p|0)!=(k|0))}if(!o)break;else{e=e+g|0;o=o+-1|0}}}while(0);g=f[a+12>>2]|0;SR(g);k=f[a+8>>2]|0;a=0;do{j=k+(a<<2)|0;f[j>>2]=(f[j>>2]|0)+(f[d+(a<<2)>>2]|0);a=a+1|0}while((a|0)!=256);TR(g);u=c;return}function t6(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=f[a+4>>2]|0;e=f[d+48>>2]|0;g=f[a+8>>2]|0;i=f[g+48>>2]|0;j=f[d+12>>2]|0;k=f[c>>2]|0;l=(f[c+4>>2]|0)-k|0;c=f[a+12>>2]|0;if(!(f[d>>2]&16384)){m=j;n=l}else{a=(f[g>>2]&16384|0)!=0;o=Y(a?l:1,j)|0;m=o;n=a?1:l}l=(f[d+16>>2]|0)+(Y(f[f[d+44>>2]>>2]|0,k)|0)|0;d=(f[g+16>>2]|0)+(Y(f[f[g+44>>2]>>2]|0,k)|0)|0;k=n+-1|0;if(!n)return;n=m+-4|0;if((m|0)<4){g=(m|0)>0;a=l;o=d;j=k;while(1){if(g){p=0;do{b[o+p>>0]=f[c+((h[a+p>>0]|0)<<2)>>2];p=p+1|0}while((p|0)!=(m|0))}if(!j)break;else{a=a+e|0;o=o+i|0;j=j+-1|0}}return}j=m&-4;o=(j|0)<(m|0);a=l;l=d;d=k;while(1){k=0;do{g=k|1;p=f[c+((h[a+g>>0]|0)<<2)>>2]|0;b[l+k>>0]=f[c+((h[a+k>>0]|0)<<2)>>2];b[l+g>>0]=p;p=k|2;g=k|3;q=f[c+((h[a+g>>0]|0)<<2)>>2]|0;b[l+p>>0]=f[c+((h[a+p>>0]|0)<<2)>>2];b[l+g>>0]=q;k=k+4|0}while((k|0)<=(n|0));if(o){k=j;do{b[l+k>>0]=f[c+((h[a+k>>0]|0)<<2)>>2];k=k+1|0}while((k|0)!=(m|0))}if(!d)break;else{a=a+e|0;l=l+i|0;d=d+-1|0}}return}function u6(a){a=a|0;Emc(a);return}function v6(a){a=a|0;Emc(a);return}function w6(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=+g;h=+h;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,N=0.0,O=0.0,P=0.0,Q=0.0,S=0.0,T=0,U=0,V=0,W=0.0,X=0.0,Y=0.0,Z=0.0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0.0,za=0.0,Aa=0.0,Ba=0.0,Ca=0.0,Da=0.0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0.0,La=0.0,Ma=0.0,Na=0.0,Oa=0.0,Pa=0.0,Qa=0.0,Ra=0.0,Sa=0.0,Ta=0.0,Ua=0.0,Va=0.0;i=u;u=u+1264|0;j=i+1208|0;k=i+144|0;l=i+80|0;m=i+24|0;o=i;p=i+88|0;zT(l,54180);do if((pD(a)|0)==65536){q=f[a+4>>2]|0;f[m>>2]=f[q>>2];r=m+4|0;s=q+4|0;f[r>>2]=f[s>>2];t=m+8|0;f[t>>2]=f[q+8>>2];f[m+12>>2]=f[q+12>>2];f[m+16>>2]=f[q+16>>2];f[m+20>>2]=f[q+20>>2];f[m+24>>2]=f[q+24>>2];f[m+28>>2]=f[q+28>>2];f[m+32>>2]=f[q+32>>2];v=f[q+36>>2]|0;f[m+36>>2]=v;f[m+40>>2]=t;t=m+48|0;w=m+44|0;f[w>>2]=t;f[t>>2]=0;f[m+52>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[q+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2];break}else{f[r>>2]=0;kP(m,q);break}}else lD(m,a,-1);while(0);f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;f[o+16>>2]=0;f[o+20>>2]=0;a=BP(m,2,-1,0)|0;q=BP(m,3,-1,0)|0;r=(a|0)>-1;if((q&a|0)<=-1){f[j>>2]=0;f[j+4>>2]=0;x=YG(j,30)|0;y=252528;z=x+30|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));SQ(-215,j,252559,252567,607)}if((f[m>>2]&16391|0)==16389)A=m+16|0;else{f[j>>2]=1124007936;s=j+4|0;t=j+8|0;w=j+40|0;x=s;z=x+36|0;do{f[x>>2]=0;x=x+4|0}while((x|0)<(z|0));f[w>>2]=t;v=j+48|0;B=j+44|0;f[B>>2]=v;f[v>>2]=0;f[j+52>>2]=0;C=k+8|0;f[C>>2]=0;f[C+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=j;IO(m,k,5,1.0,0.0);C=j+36|0;D=f[C>>2]|0;if(D|0){E=D+12|0;f[E>>2]=(f[E>>2]|0)+1}E=m+36|0;D=f[E>>2]|0;if(D|0?(F=D+12|0,D=f[F>>2]|0,f[F>>2]=D+-1,(D|0)==1):0)lP(m);f[E>>2]=0;D=m+16|0;F=m+4|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[F>>2]|0)>0){G=f[m+40>>2]|0;H=0;do{f[G+(H<<2)>>2]=0;H=H+1|0;I=f[F>>2]|0}while((H|0)<(I|0));f[m>>2]=f[j>>2];if((I|0)<3)K=22;else K=24}else{f[m>>2]=f[j>>2];K=22}if((K|0)==22){I=f[s>>2]|0;if((I|0)<3){f[F>>2]=I;f[m+8>>2]=f[t>>2];f[m+12>>2]=f[j+12>>2];t=f[B>>2]|0;I=f[m+44>>2]|0;f[I>>2]=f[t>>2];f[I+4>>2]=f[t+4>>2]}else K=24}if((K|0)==24)kP(m,j);t=j+16|0;f[D>>2]=f[t>>2];f[m+20>>2]=f[j+20>>2];f[m+24>>2]=f[j+24>>2];f[m+28>>2]=f[j+28>>2];f[m+32>>2]=f[j+32>>2];I=f[C>>2]|0;f[E>>2]=I;if(I|0?(E=I+12|0,I=f[E>>2]|0,f[E>>2]=I+-1,(I|0)==1):0)lP(j);f[C>>2]=0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[s>>2]|0)>0){t=f[w>>2]|0;w=0;do{f[t+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[s>>2]|0))}s=f[B>>2]|0;if((s|0)!=(v|0))tE(s);A=D}D=f[A>>2]|0;if(r){N=e;O=g;P=h;Q=+(a|0)*1.1920928955078125e-07;S=O!=0.0?O:1.0;r=P!=0.0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;switch(d|0){case 2:{x6(D,a,0,o);break}case 1:{T=327;U=0;K=42;break}case 4:{T=328;U=0;K=42;break}case 5:{T=0;U=38;K=42;break}case 6:{T=0;U=39;K=42;break}case 7:{T=0;U=40;K=42;break}default:{f[k>>2]=0;f[k+4>>2]=0;x=YG(k,21)|0;y=252636;z=x+21|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));SQ(-5,k,252658,252567,361)}}if((K|0)==42){s=a<<1;v=k+8|0;f[k>>2]=v;B=k+4|0;f[B>>2]=s;if(s>>>0>264){w=Dmc(s>>>0>1073741823?-1:s<<2)|0;f[k>>2]=w;V=w}else V=v;w=V+(a<<2)|0;s=(a|0)>0;t=(a|0)<10?a:10;C=j+4|0;O=r?P:.009999999776482582;r=j+8|0;I=j+12|0;E=(T|0)==0;F=a<<2;H=(a|0)==0|s^1;G=0;P=0.0;W=1797693134862315708145274.0e284;X=0.0;Y=0.0;Z=0.0;_=0.0;$=-1;aa=-1;while(1){if(s)Drc(V|0,0,F|0)|0;if(H){ba=$;ca=aa}else{da=0;ea=$;fa=aa;while(1){ga=ea;ha=fa;do{ia=Urc(ga|0,0,-130063606,0)|0;ga=Arc(ia|0,J|0,ha|0,0)|0;ha=J;ja=V+(((ga>>>0)%(a>>>0)|0)<<2)|0}while(!(+n[ja>>2]<1.1920928955078125e-07));da=da+1|0;n[ja>>2]=1.0;if((da|0)>=(t|0)){ba=ga;ca=ha;break}else{ea=ga;fa=ha}}}x6(D,a,V,j);fa=0;ka=P;ea=0;la=X;ma=Y;na=Z;oa=_;while(1){if(fa){pa=+n[j>>2];qa=+n[C>>2];ra=la*pa+ma*qa;sa=ra<-1.0?-1.0:ra;if(+L(+(+R(+(sa>1.0?1.0:sa))))<O?(sa=+L(+(+n[r>>2]-na)),ra=+L(+(+n[I>>2]-oa)),(sa>ra?sa:ra)<S):0){ta=ka;ua=la;va=ma;wa=na;xa=oa;break}else{ya=pa;za=qa}}else{ya=+n[j>>2];za=+n[C>>2]}qa=+n[r>>2];pa=+n[I>>2];if(s){ra=0.0;da=0;while(1){sa=+L(+(za*(+n[D+(da<<3)>>2]-qa)-ya*(+n[D+(da<<3)+4>>2]-pa)));n[w+(da<<2)>>2]=sa;Aa=ra+sa;da=da+1|0;if((da|0)==(a|0)){Ba=Aa;break}else ra=Aa}}else Ba=0.0;if(Ba<Q){ta=Ba;ua=la;va=ma;wa=na;xa=oa;break}if(E)mh[U&63](w,a,V,N);else Yh[T&511](w,a,V);if(s){da=0;ra=0.0;while(1){Aa=ra+ +n[V+(da<<2)>>2];da=da+1|0;if((da|0)==(a|0)){Ca=Aa;break}else ra=Aa}}else Ca=0.0;if(+L(+Ca)>1.1920928955078125e-07){ra=1.0/Ca;if(s){da=0;do{ha=V+(da<<2)|0;n[ha>>2]=ra*+n[ha>>2];da=da+1|0}while((da|0)!=(a|0))}}else if(s){da=0;do{n[V+(da<<2)>>2]=1.0;da=da+1|0}while((da|0)!=(a|0))}x6(D,a,V,j);ea=ea+1|0;if((ea|0)>=30){ta=Ba;ua=ya;va=za;wa=qa;xa=pa;break}else{fa=1;ka=Ba;la=ya;ma=za;na=qa;oa=pa}}if(ta<W){f[o>>2]=f[j>>2];f[o+4>>2]=f[j+4>>2];f[o+8>>2]=f[j+8>>2];f[o+12>>2]=f[j+12>>2];if(ta<Q)break;else Da=ta}else Da=W;G=G+1|0;if((G|0)>=20)break;else{P=ta;W=Da;X=ua;Y=va;Z=wa;_=xa;$=ba;aa=ca}}ca=f[k>>2]|0;if((ca|0)!=(v|0)){if(ca|0)Fmc(ca);f[k>>2]=v;f[B>>2]=264}}}else{xa=e;e=g;g=h;h=+(q|0)*1.1920928955078125e-07;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;_=e!=0.0?e:1.0;B=g!=0.0;switch(d|0){case 2:{D6(D,q,0,o);break}case 1:{Ea=327;Fa=0;K=86;break}case 4:{Ea=328;Fa=0;K=86;break}case 5:{Ea=0;Fa=38;K=86;break}case 6:{Ea=0;Fa=39;K=86;break}case 7:{Ea=0;Fa=40;K=86;break}default:{f[k>>2]=0;f[k+4>>2]=0;x=YG(k,16)|0;y=252668;z=x+16|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));SQ(-5,k,252685,252567,496)}}if((K|0)==86){K=q<<1;y=k+8|0;f[k>>2]=y;x=k+4|0;f[x>>2]=K;if(K>>>0>264){z=Dmc(K>>>0>1073741823?-1:K<<2)|0;f[k>>2]=z;Ga=z}else Ga=y;z=Ga+(q<<2)|0;K=(q|0)>0;d=(q|0)<10?q:10;v=j+4|0;ca=j+8|0;e=B?g:.009999999776482582;B=j+12|0;aa=j+16|0;ba=j+20|0;$=(Ea|0)==0;G=q<<2;V=(q|0)==0|K^1;s=0;g=1797693134862315708145274.0e284;wa=0.0;Z=0.0;va=0.0;Y=0.0;ua=0.0;X=0.0;Da=0.0;w=-1;T=-1;while(1){if(K)Drc(Ga|0,0,G|0)|0;if(V){Ha=w;Ia=T}else{U=0;E=w;I=T;while(1){r=E;C=I;do{t=Urc(r|0,0,-130063606,0)|0;r=Arc(t|0,J|0,C|0,0)|0;C=J;Ja=Ga+(((r>>>0)%(q>>>0)|0)<<2)|0}while(!(+n[Ja>>2]<1.1920928955078125e-07));U=U+1|0;n[Ja>>2]=1.0;if((U|0)>=(d|0)){Ha=r;Ia=C;break}else{E=r;I=C}}}D6(D,q,Ga,j);I=0;pa=wa;E=0;qa=Z;W=va;ta=Y;P=ua;Q=X;za=Da;while(1){ya=+n[j>>2];if(I){Ba=+n[v>>2];Ca=+n[ca>>2];N=qa*ya+Q*Ba+za*Ca;S=N<-1.0?-1.0:N;if(+L(+(+R(+(S>1.0?1.0:S))))<e?(S=+n[B>>2]-W,N=+n[aa>>2]-ta,O=+n[ba>>2]-P,oa=ya-qa,na=Ba-Q,ma=Ca-za,la=+L(+(ma*N-na*O)),ka=+L(+(oa*O-ma*S)),ma=+L(+(na*S-oa*N)),N=la>ka?la:ka,(N>ma?N:ma)<_):0){Ka=pa;La=qa;Ma=W;Na=ta;Oa=P;Pa=Q;Qa=za;break}else{Ra=Ba;Sa=Ca}}else{Ra=+n[v>>2];Sa=+n[ca>>2]}Ca=+n[B>>2];Ba=+n[aa>>2];ma=+n[ba>>2];if(K){N=0.0;U=0;while(1){ka=+n[D+(U*12|0)>>2]-Ca;la=+n[D+(U*12|0)+4>>2]-Ba;oa=+n[D+(U*12|0)+8>>2]-ma;S=Ra*oa-Sa*la;na=Sa*ka-ya*oa;oa=ya*la-Ra*ka;ka=+M(+(oa*oa+(S*S+na*na)));n[z+(U<<2)>>2]=ka;na=N+ka;U=U+1|0;if((U|0)==(q|0)){Ta=na;break}else N=na}}else Ta=0.0;if($)mh[Fa&63](z,q,Ga,xa);else Yh[Ea&511](z,q,Ga);if(K){U=0;N=0.0;while(1){na=N+ +n[Ga+(U<<2)>>2];U=U+1|0;if((U|0)==(q|0)){Ua=na;break}else N=na}}else Ua=0.0;if(+L(+Ua)>1.1920928955078125e-07){N=1.0/Ua;if(K){U=0;do{C=Ga+(U<<2)|0;n[C>>2]=N*+n[C>>2];U=U+1|0}while((U|0)!=(q|0))}}else if(K){U=0;do{n[Ga+(U<<2)>>2]=1.0;U=U+1|0}while((U|0)!=(q|0))}D6(D,q,Ga,j);E=E+1|0;if((E|0)>=30){Ka=Ta;La=ya;Ma=Ca;Na=Ba;Oa=ma;Pa=Ra;Qa=Sa;break}else{I=1;pa=Ta;qa=ya;W=Ca;ta=Ba;P=ma;Q=Ra;za=Sa}}if(Ka<g){f[o>>2]=f[j>>2];f[o+4>>2]=f[j+4>>2];f[o+8>>2]=f[j+8>>2];f[o+12>>2]=f[j+12>>2];f[o+16>>2]=f[j+16>>2];f[o+20>>2]=f[j+20>>2];if(Ka<h)break;else Va=Ka}else Va=g;s=s+1|0;if((s|0)>=20)break;else{g=Va;wa=Ka;Z=La;va=Ma;Y=Na;ua=Oa;X=Pa;Da=Qa;w=Ha;T=Ia}}Ia=f[k>>2]|0;if((Ia|0)!=(y|0)){if(Ia|0)Fmc(Ia);f[k>>2]=y;f[x>>2]=264}}}x=a>>31&2|4;f[p>>2]=1124007941;a=p+4|0;f[a>>2]=2;y=p+8|0;f[y>>2]=x;f[p+12>>2]=1;k=p+16|0;f[k>>2]=o;f[p+20>>2]=o;Ia=p+24|0;T=p+40|0;Ha=Ia+8|0;f[Ha>>2]=0;f[Ha+4>>2]=0;f[T>>2]=y;y=p+48|0;Ha=p+44|0;f[Ha>>2]=y;f[y>>2]=4;f[p+52>>2]=4;w=o+(x<<2)|0;f[p+28>>2]=w;f[Ia>>2]=w;hP(p);kT(p,c);c=p+36|0;w=f[c>>2]|0;if(w|0?(Ia=w+12|0,w=f[Ia>>2]|0,f[Ia>>2]=w+-1,(w|0)==1):0)lP(p);f[c>>2]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[a>>2]|0)>0){k=f[T>>2]|0;T=0;do{f[k+(T<<2)>>2]=0;T=T+1|0}while((T|0)<(f[a>>2]|0))}a=f[Ha>>2]|0;if((a|0)!=(y|0))tE(a);a=m+36|0;y=f[a>>2]|0;if(y|0?(Ha=y+12|0,y=f[Ha>>2]|0,f[Ha>>2]=y+-1,(y|0)==1):0)lP(m);f[a>>2]=0;a=m+4|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[a>>2]|0)>0){A=f[m+40>>2]|0;y=0;do{f[A+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[a>>2]|0))}a=f[m+44>>2]|0;if((a|0)!=(m+48|0))tE(a);if(!(f[l+4>>2]|0)){u=i;return}u=i;return}function x6(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0.0,m=0.0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0;g=u;u=u+16|0;h=g;if((c|0)<=0){f[h>>2]=0;f[h+4>>2]=0;i=YG(h,9)|0;j=252695;k=i+9|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-215,h,252720,252567,50)}if(!d){h=0;l=0.0;m=0.0;o=0.0;p=0.0;q=0.0;do{r=+n[a+(h<<3)>>2];q=q+r;s=+n[a+(h<<3)+4>>2];l=l+s;m=m+r*r;o=o+s*s;p=p+r*s;h=h+1|0}while((h|0)!=(c|0));t=+(c|0);v=q;w=l;x=m;y=o;z=p}else{p=0.0;h=0;o=0.0;m=0.0;l=0.0;q=0.0;s=0.0;while(1){r=+n[d+(h<<2)>>2];A=+n[a+(h<<3)>>2];B=r*A;C=s+B;D=+n[a+(h<<3)+4>>2];E=r*D;F=o+E;G=m+A*B;A=l+D*E;E=q+B*D;D=p+r;h=h+1|0;if((h|0)==(c|0)){t=D;v=C;w=F;x=G;y=A;z=E;break}else{p=D;o=F;m=G;l=A;q=E;s=C}}}s=v/t;v=w/t;w=+U(+((z/t-v*s)*2.0),+(x/t-s*s-(y/t-v*v)))*.5;t=+O(+w);n[e>>2]=t;t=+P(+w);n[e+4>>2]=t;n[e+8>>2]=s;n[e+12>>2]=v;u=g;return}function y6(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0.0,f=0;e=d<=0.0?1.3450000286102295:d;if((b|0)>0)f=0;else return;do{d=+n[a+(f<<2)>>2];n[c+(f<<2)>>2]=d<e?1.0:e/d;f=f+1|0}while((f|0)!=(b|0));return}function z6(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0.0,f=0,g=0.0;e=d==0.0?.3350532650947571:1.0/d;if((b|0)>0)f=0;else return;do{d=+n[a+(f<<2)>>2];g=+V(+-(e*(e*(d*d))));n[c+(f<<2)>>2]=g;f=f+1|0}while((f|0)!=(b|0));return}function A6(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0.0,f=0;e=d==0.0?.7143877744674683:1.0/d;if((b|0)>0)f=0;else return;do{n[c+(f<<2)>>2]=1.0/(e*+n[a+(f<<2)>>2]+1.0);f=f+1|0}while((f|0)!=(b|0));return}function B6(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0.0,f=0.0;if((b|0)>0)d=0;else return;do{e=+n[a+(d<<2)>>2];f=1.0/+M(+(e*e*.5+1.0));n[c+(d<<2)>>2]=f;d=d+1|0}while((d|0)!=(b|0));return}function C6(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0.0;if((b|0)>0)d=0;else return;do{e=+L(+(+n[a+(d<<2)>>2]));n[c+(d<<2)>>2]=1.0/(e<1.0e-06?1.0e-06:e);d=d+1|0}while((d|0)!=(b|0));return}function D6(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Y=0.0,Z=0.0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;g=u;u=u+304|0;h=g+264|0;i=g+228|0;j=g+216|0;k=g+160|0;l=g+104|0;m=g+48|0;o=g+32|0;p=g+16|0;q=g;if((c|0)<=0){f[h>>2]=0;f[h+4>>2]=0;r=YG(h,9)|0;s=252695;t=r+9|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,h,252705,252567,102)};f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;r=i;t=r+36|0;do{f[r>>2]=0;r=r+4|0}while((r|0)<(t|0));if(!d){r=0;v=0.0;w=0.0;x=0.0;y=0.0;z=0.0;A=0.0;B=0.0;C=0.0;D=0.0;do{E=+n[a+(r*12|0)>>2];F=+n[a+(r*12|0)+4>>2];G=+n[a+(r*12|0)+8>>2];y=y+E*E;B=B+E*F;D=D+E*G;z=z+F*F;C=C+F*G;A=A+G*G;v=v+E;w=w+F;x=x+G;r=r+1|0}while((r|0)!=(c|0));H=+(c|0);I=v;J=w;K=x;L=y;N=z;O=A;P=B;Q=C;R=D}else{r=0;D=0.0;C=0.0;B=0.0;A=0.0;z=0.0;y=0.0;x=0.0;w=0.0;v=0.0;G=0.0;while(1){F=+n[a+(r*12|0)>>2];E=+n[a+(r*12|0)+4>>2];S=+n[a+(r*12|0)+8>>2];T=+n[d+(r<<2)>>2];U=z+F*F*T;V=w+F*E*T;W=G+F*S*T;X=y+E*E*T;Y=v+E*S*T;Z=x+S*S*T;_=C+F*T;F=B+E*T;E=A+S*T;S=D+T;r=r+1|0;if((r|0)==(c|0)){H=S;I=_;J=F;K=E;L=U;N=X;O=Z;P=V;Q=Y;R=W;break}else{D=S;C=_;B=F;A=E;z=U;y=X;x=Z;w=V;v=Y;G=W}}}G=I/H;I=J/H;J=K/H;K=L/H-G*G;L=N/H-I*I;N=O/H-J*J;n[h>>2]=N+L;O=-(P/H-G*I);n[h+4>>2]=O;P=-(R/H-G*J);n[h+8>>2]=P;n[h+12>>2]=O;n[h+16>>2]=K+N;N=-(Q/H-I*J);n[h+20>>2]=N;n[h+24>>2]=P;n[h+28>>2]=N;n[h+32>>2]=L+K;f[k>>2]=1124007941;c=k+4|0;f[c>>2]=2;r=k+8|0;f[r>>2]=3;f[k+12>>2]=3;d=k+16|0;f[d>>2]=h;f[k+20>>2]=h;a=k+24|0;t=k+40|0;s=a+8|0;f[s>>2]=0;f[s+4>>2]=0;f[t>>2]=r;r=k+48|0;s=k+44|0;f[s>>2]=r;f[r>>2]=12;f[k+52>>2]=4;f[k+28>>2]=h+36;f[a>>2]=h+36;hP(k);f[l>>2]=1124007941;h=l+4|0;f[h>>2]=2;a=l+8|0;f[a>>2]=3;f[l+12>>2]=3;$=l+16|0;f[$>>2]=i;f[l+20>>2]=i;aa=l+24|0;ba=l+40|0;ca=aa+8|0;f[ca>>2]=0;f[ca+4>>2]=0;f[ba>>2]=a;a=l+48|0;ca=l+44|0;f[ca>>2]=a;f[a>>2]=12;f[l+52>>2]=4;f[l+28>>2]=i+36;f[aa>>2]=i+36;hP(l);f[m>>2]=1124007941;aa=m+4|0;f[aa>>2]=2;da=m+8|0;f[da>>2]=3;f[m+12>>2]=1;ea=m+16|0;f[ea>>2]=j;f[m+20>>2]=j;fa=m+24|0;ga=m+40|0;ha=fa+8|0;f[ha>>2]=0;f[ha+4>>2]=0;f[ga>>2]=da;da=m+48|0;ha=m+44|0;f[ha>>2]=da;f[da>>2]=4;f[m+52>>2]=4;f[m+28>>2]=j+12;f[fa>>2]=j+12;hP(m);f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=k;fa=p+8|0;f[fa>>2]=0;f[fa+4>>2]=0;f[p>>2]=33619968;f[p+4>>2]=m;fa=q+8|0;f[fa>>2]=0;f[fa+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=l;CU(o,p,q)|0;q=!(+n[j>>2]<+n[j+4>>2]);p=i+((+n[j+((q&1)<<2)>>2]<+n[j+8>>2]?(q?3:0):6)<<2)|0;K=+n[p>>2];L=K;N=+n[p+4>>2];P=N;H=+n[p+8>>2];Q=H;O=+M(+(L*L+P*P+Q*Q));Q=O<1.0e-06?1.0e-06:O;n[e>>2]=K/Q;n[e+4>>2]=N/Q;n[e+8>>2]=H/Q;n[e+12>>2]=G;n[e+16>>2]=I;n[e+20>>2]=J;e=m+36|0;p=f[e>>2]|0;if(p|0?(q=p+12|0,p=f[q>>2]|0,f[q>>2]=p+-1,(p|0)==1):0)lP(m);f[e>>2]=0;f[ea>>2]=0;f[ea+4>>2]=0;f[ea+8>>2]=0;f[ea+12>>2]=0;if((f[aa>>2]|0)>0){ea=f[ga>>2]|0;ga=0;do{f[ea+(ga<<2)>>2]=0;ga=ga+1|0}while((ga|0)<(f[aa>>2]|0))}aa=f[ha>>2]|0;if((aa|0)!=(da|0))tE(aa);aa=l+36|0;da=f[aa>>2]|0;if(da|0?(ha=da+12|0,da=f[ha>>2]|0,f[ha>>2]=da+-1,(da|0)==1):0)lP(l);f[aa>>2]=0;f[$>>2]=0;f[$+4>>2]=0;f[$+8>>2]=0;f[$+12>>2]=0;if((f[h>>2]|0)>0){$=f[ba>>2]|0;ba=0;do{f[$+(ba<<2)>>2]=0;ba=ba+1|0}while((ba|0)<(f[h>>2]|0))}h=f[ca>>2]|0;if((h|0)!=(a|0))tE(h);h=k+36|0;a=f[h>>2]|0;if(a|0?(ca=a+12|0,a=f[ca>>2]|0,f[ca>>2]=a+-1,(a|0)==1):0)lP(k);f[h>>2]=0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[c>>2]|0)>0){d=f[t>>2]|0;t=0;do{f[d+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[c>>2]|0))}c=f[s>>2]|0;if((c|0)==(r|0)){u=g;return}tE(c);u=g;return}function E6(a,b,c,d,e,g,h,i,j,k,l,m,n,o){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;var p=0,q=0,r=0,s=0,t=0,v=0;p=u;u=u+16|0;q=p;r=(a|0)==0;s=r&(b|0)==4;t=(c|0)==6;if(s&t){F6(d,e,g,h,i,j,k,l,m,n,o);u=p;return}v=(c|0)==5;if(s&v){G6(d,e,g,h,i,j,k,l,m,n,o);u=p;return}if(s&(c|0)==4){H6(d,e,g,h,i,j,k,l,m,n,o);u=p;return}c=(b|0)==5;s=r&c;if(s&t){I6(d,e,g,h,i,j,k,l,m,n,o);u=p;return}if(s&v){J6(d,e,g,h,i,j,k,l,m,n,o);u=p;return}s=(b|0)==6;if(r&s&t){K6(d,e,g,h,i,j,k,l,m,n,o);u=p;return}if((a|0)==2&s&t){L6(d,e,g,h,i,j,k,l,m,n,o);u=p;return}if((a|0)==3&s&t){M6(d,e,g,h,i,j,k,l,m,n,o);u=p;return}r=(a|0)==5;b=r&c;if(b&t){N6(d,e,g,h,i,j,k,l,m,n,o);u=p;return}if(b&v){O6(d,e,g,h,i,j,k,l,m,n,o);u=p;return}if(r&s&t){P6(d,e,g,h,i,j,k,l,m,n,o);u=p;return}if(!((a|0)==6&s&t)){f[q>>2]=0;f[q+4>>2]=0;R6(-210,q,252806,488)}Q6(d,e,g,h,i,j,k,l,m,n,o);u=p;return}function F6(a,c,d,e,g,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0,M=0,N=0.0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0.0,ia=0.0,ja=0,ka=0,la=0.0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0;o=u;u=u+1072|0;q=0-n|0;r=o;s=e>>>2;e=k>>>2;k=0-e|0;t=i>>>3;i=Y(n,l)|0;l=i+n|0;v=l<<2;Drc(d|0,0,v|0)|0;w=d+(s+n<<2)|0;if(!g)x=0;else{Drc(g|0,0,l<<3|0)|0;x=g+(t+n<<3)|0}if(!j)y=0;else{Drc(j|0,0,v|0)|0;y=j+(e+n<<2)|0}j=(y|0)==0;if((x|0)==0&j){if((m|0)<=0){u=o;return}v=(i|0)>0;g=c-n|0;z=s-n|0;if((n|0)<=0){u=o;return}A=n+-1|0;B=n<<2;C=w;D=0;E=a;while(1){if(v){F=0;G=C;H=E;while(1){f[G+(q<<2)>>2]=0;I=0;J=0;do{I=(h[H+J>>0]|0)+I|0;f[G+(J<<2)>>2]=I+(f[G+(J-s<<2)>>2]|0);J=J+n|0}while((J|0)<(i|0));F=F+1|0;if((F|0)==(n|0))break;else{G=G+4|0;H=H+1|0}}}else Drc(C+(q<<2)|0,0,B|0)|0;D=D+1|0;if((D|0)==(m|0))break;else{C=C+(A<<2)+4+(z<<2)|0;E=E+A+1+g|0}}u=o;return}if(j){if((m|0)<=0){u=o;return}j=(i|0)>0;g=c-n|0;A=s-n|0;E=t-n|0;if((n|0)<=0){u=o;return}z=n+-1|0;C=x;D=0;B=w;v=a;while(1){if(j){H=0;G=C;F=B;J=v;while(1){f[F+(q<<2)>>2]=0;p[G+(q<<3)>>3]=0.0;K=0.0;I=0;L=0;do{M=b[J+L>>0]|0;I=(M&255)+I|0;N=+(M&255);K=K+N*N;N=+p[G+(L-t<<3)>>3]+K;f[F+(L<<2)>>2]=I+(f[F+(L-s<<2)>>2]|0);p[G+(L<<3)>>3]=N;L=L+n|0}while((L|0)<(i|0));H=H+1|0;if((H|0)==(n|0))break;else{G=G+8|0;F=F+4|0;J=J+1|0}}}else{J=0;F=C;G=B;while(1){f[G+(q<<2)>>2]=0;p[F+(q<<3)>>3]=0.0;J=J+1|0;if((J|0)==(n|0))break;else{F=F+8|0;G=G+4|0}}}D=D+1|0;if((D|0)==(m|0))break;else{C=C+(z<<3)+8+(E<<3)|0;B=B+(z<<2)+4+(A<<2)|0;v=v+z+1+g|0}}u=o;return}g=r+8|0;f[r>>2]=g;z=r+4|0;f[z>>2]=l;if(l>>>0>264){v=Dmc(l>>>0>1073741823?-1:l<<2)|0;f[r>>2]=v;O=v}else O=g;v=(n|0)>0;do if(v){l=(i|0)==(n|0);A=s+(n<<1)|0;B=y+(n<<2)|0;if((i|0)>0){P=O;Q=y;R=0;S=x;T=w;U=a}else{E=O;C=y;D=0;j=x;G=w;while(1){f[C+(q<<2)>>2]=0;f[G+(q<<2)>>2]=0;if(l)f[E+(n<<2)>>2]=0;if(!j)V=0;else{p[j+(q<<3)>>3]=0.0;V=j+8|0}D=D+1|0;if((D|0)==(n|0))break;else{E=E+4|0;C=C+4|0;j=V;G=G+4|0}}W=O+(n<<2)|0;X=B;Z=V;_=a+n|0;$=d+(A<<2)|0;break}while(1){f[Q+(q<<2)>>2]=0;f[T+(q<<2)>>2]=0;G=(S|0)!=0;if(G){K=0.0;j=0;C=0;do{E=b[U+C>>0]|0;D=E&255;f[Q+(C<<2)>>2]=D;f[P+(C<<2)>>2]=D;j=D+j|0;N=+(E&255);K=K+N*N;f[T+(C<<2)>>2]=j;p[S+(C<<3)>>3]=K;C=C+n|0}while((C|0)<(i|0))}else{C=0;j=0;do{E=h[U+j>>0]|0;f[Q+(j<<2)>>2]=E;f[P+(j<<2)>>2]=E;C=E+C|0;f[T+(j<<2)>>2]=C;j=j+n|0}while((j|0)<(i|0))}if(l)f[P+(n<<2)>>2]=0;if(G){p[S+(q<<3)>>3]=0.0;aa=S+8|0}else aa=0;R=R+1|0;if((R|0)==(n|0))break;else{P=P+4|0;Q=Q+4|0;S=aa;T=T+4|0;U=U+1|0}}W=O+(n<<2)|0;X=B;Z=aa;_=a+n|0;$=d+(A<<2)|0}else{W=O;X=y;Z=x;_=a;$=w}while(0);if((m|0)>1){w=c-n|0;a=s-n|0;x=e-n|0;y=t-n|0;d=0-s|0;aa=0-t|0;U=i-n|0;T=(U|0)>(n|0);S=e+n|0;Q=(i|0)>(n|0);i=W;W=X;X=1;P=$;$=Z;Z=_;while(1){_=Z+w|0;R=P+(a<<2)|0;V=W+(x<<2)|0;l=i+(q<<2)|0;j=($|0)==0?0:$+(y<<3)|0;if(v){C=P+(s<<2)|0;E=l;D=V;F=0;J=R;H=_;L=j;while(1){I=b[H>>0]|0;M=I&255;K=+(I&255);N=K*K;f[J+(q<<2)>>2]=0;I=(L|0)!=0;if(I)p[L+(q<<3)>>3]=0.0;ba=D+(k<<2)|0;f[D+(q<<2)>>2]=f[ba>>2];f[J>>2]=(f[J+(d<<2)>>2]|0)+M;if(I)p[L>>3]=N+ +p[L+(aa<<3)>>3];f[D>>2]=(f[ba>>2]|0)+M+(f[E+(n<<2)>>2]|0);if(T)if(I){ba=M;K=N;ca=M;da=n;while(1){ea=f[E+(da<<2)>>2]|0;f[E+(da-n<<2)>>2]=ea+ba;fa=b[H+da>>0]|0;ga=fa&255;ha=+(fa&255);fa=ga+ca|0;ia=K+ha*ha;f[J+(da<<2)>>2]=fa+(f[J+(da-s<<2)>>2]|0);p[L+(da<<3)>>3]=ia+ +p[L+(da-t<<3)>>3];ja=da+n|0;f[D+(da<<2)>>2]=ga+ea+(f[E+(ja<<2)>>2]|0)+(f[D+(da-S<<2)>>2]|0);if((ja|0)<(U|0)){ba=ga;K=ia;ca=fa;da=ja}else{ka=ga;la=ia;ma=fa;na=ja;break}}}else{da=M;K=N;ca=M;ba=n;while(1){G=f[E+(ba<<2)>>2]|0;f[E+(ba-n<<2)>>2]=G+da;ja=b[H+ba>>0]|0;fa=ja&255;ia=+(ja&255);ja=fa+ca|0;ha=K+ia*ia;f[J+(ba<<2)>>2]=ja+(f[J+(ba-s<<2)>>2]|0);ga=ba+n|0;f[D+(ba<<2)>>2]=fa+G+(f[E+(ga<<2)>>2]|0)+(f[D+(ba-S<<2)>>2]|0);if((ga|0)<(U|0)){da=fa;K=ha;ca=ja;ba=ga}else{ka=fa;la=ha;ma=ja;na=ga;break}}}else{ka=M;la=N;ma=M;na=n}if(Q){ba=E+(na<<2)|0;ca=f[ba>>2]|0;f[E+(na-n<<2)>>2]=ca+ka;da=b[H+na>>0]|0;ga=da&255;f[J+(na<<2)>>2]=ga+ma+(f[J+(na-s<<2)>>2]|0);K=+(da&255);if(I)p[L+(na<<3)>>3]=la+K*K+ +p[L+(na-t<<3)>>3];f[D+(na<<2)>>2]=ga+ca+(f[D+(na-S<<2)>>2]|0);f[ba>>2]=ga}L=I?L+8|0:0;F=F+1|0;if((F|0)==(n|0))break;else{E=E+4|0;D=D+4|0;J=J+4|0;H=H+1|0}}oa=i;pa=W+(e<<2)|0;qa=Z+c|0;ra=C;sa=L}else{oa=l;pa=V;qa=_;ra=R;sa=j}X=X+1|0;if((X|0)==(m|0))break;else{i=oa;W=pa;P=ra;$=sa;Z=qa}}}if((O|0)!=(g|0)){Fmc(O);f[r>>2]=g;f[z>>2]=264}u=o;return}function G6(a,c,d,e,g,i,j,k,l,m,o){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;o=o|0;var p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0,M=0,N=0.0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0.0,ia=0.0,ja=0,ka=0,la=0.0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0;p=u;u=u+1072|0;q=0-o|0;r=p;s=e>>>2;e=k>>>2;k=0-e|0;t=i>>>2;i=Y(o,l)|0;l=i+o|0;v=l<<2;Drc(d|0,0,v|0)|0;w=d+(s+o<<2)|0;if(!g)x=0;else{Drc(g|0,0,v|0)|0;x=g+(t+o<<2)|0}if(!j)y=0;else{Drc(j|0,0,v|0)|0;y=j+(e+o<<2)|0}j=(y|0)==0;if((x|0)==0&j){if((m|0)<=0){u=p;return}v=(i|0)>0;g=c-o|0;z=s-o|0;if((o|0)<=0){u=p;return}A=o+-1|0;B=o<<2;C=w;D=0;E=a;while(1){if(v){F=0;G=C;H=E;while(1){f[G+(q<<2)>>2]=0;I=0;J=0;do{I=(h[H+J>>0]|0)+I|0;f[G+(J<<2)>>2]=I+(f[G+(J-s<<2)>>2]|0);J=J+o|0}while((J|0)<(i|0));F=F+1|0;if((F|0)==(o|0))break;else{G=G+4|0;H=H+1|0}}}else Drc(C+(q<<2)|0,0,B|0)|0;D=D+1|0;if((D|0)==(m|0))break;else{C=C+(A<<2)+4+(z<<2)|0;E=E+A+1+g|0}}u=p;return}if(j){if((m|0)<=0){u=p;return}j=(i|0)>0;g=c-o|0;A=s-o|0;E=t-o|0;if((o|0)<=0){u=p;return}z=o+-1|0;C=x;D=0;B=w;v=a;while(1){if(j){H=0;G=C;F=B;J=v;while(1){f[F+(q<<2)>>2]=0;n[G+(q<<2)>>2]=0.0;K=0.0;I=0;L=0;do{M=b[J+L>>0]|0;I=(M&255)+I|0;N=+(M&255);K=K+N*N;N=+n[G+(L-t<<2)>>2]+K;f[F+(L<<2)>>2]=I+(f[F+(L-s<<2)>>2]|0);n[G+(L<<2)>>2]=N;L=L+o|0}while((L|0)<(i|0));H=H+1|0;if((H|0)==(o|0))break;else{G=G+4|0;F=F+4|0;J=J+1|0}}}else{J=0;F=C;G=B;while(1){f[G+(q<<2)>>2]=0;n[F+(q<<2)>>2]=0.0;J=J+1|0;if((J|0)==(o|0))break;else{F=F+4|0;G=G+4|0}}}D=D+1|0;if((D|0)==(m|0))break;else{C=C+(z<<2)+4+(E<<2)|0;B=B+(z<<2)+4+(A<<2)|0;v=v+z+1+g|0}}u=p;return}g=r+8|0;f[r>>2]=g;z=r+4|0;f[z>>2]=l;if(l>>>0>264){v=Dmc(l>>>0>1073741823?-1:l<<2)|0;f[r>>2]=v;O=v}else O=g;v=(o|0)>0;do if(v){l=(i|0)==(o|0);A=s+(o<<1)|0;B=y+(o<<2)|0;if((i|0)>0){P=O;Q=y;R=0;S=x;T=w;U=a}else{E=O;C=y;D=0;j=x;G=w;while(1){f[C+(q<<2)>>2]=0;f[G+(q<<2)>>2]=0;if(l)f[E+(o<<2)>>2]=0;if(!j)V=0;else{n[j+(q<<2)>>2]=0.0;V=j+4|0}D=D+1|0;if((D|0)==(o|0))break;else{E=E+4|0;C=C+4|0;j=V;G=G+4|0}}W=O+(o<<2)|0;X=B;Z=V;_=a+o|0;$=d+(A<<2)|0;break}while(1){f[Q+(q<<2)>>2]=0;f[T+(q<<2)>>2]=0;G=(S|0)!=0;if(G){K=0.0;j=0;C=0;do{E=b[U+C>>0]|0;D=E&255;f[Q+(C<<2)>>2]=D;f[P+(C<<2)>>2]=D;j=D+j|0;N=+(E&255);K=K+N*N;f[T+(C<<2)>>2]=j;n[S+(C<<2)>>2]=K;C=C+o|0}while((C|0)<(i|0))}else{C=0;j=0;do{E=h[U+j>>0]|0;f[Q+(j<<2)>>2]=E;f[P+(j<<2)>>2]=E;C=E+C|0;f[T+(j<<2)>>2]=C;j=j+o|0}while((j|0)<(i|0))}if(l)f[P+(o<<2)>>2]=0;if(G){n[S+(q<<2)>>2]=0.0;aa=S+4|0}else aa=0;R=R+1|0;if((R|0)==(o|0))break;else{P=P+4|0;Q=Q+4|0;S=aa;T=T+4|0;U=U+1|0}}W=O+(o<<2)|0;X=B;Z=aa;_=a+o|0;$=d+(A<<2)|0}else{W=O;X=y;Z=x;_=a;$=w}while(0);if((m|0)>1){w=c-o|0;a=s-o|0;x=e-o|0;y=t-o|0;d=0-s|0;aa=0-t|0;U=i-o|0;T=(U|0)>(o|0);S=e+o|0;Q=(i|0)>(o|0);i=W;W=X;X=1;P=$;$=Z;Z=_;while(1){_=Z+w|0;R=P+(a<<2)|0;V=W+(x<<2)|0;l=i+(q<<2)|0;j=($|0)==0?0:$+(y<<2)|0;if(v){C=P+(s<<2)|0;E=l;D=V;F=0;J=R;H=_;L=j;while(1){I=b[H>>0]|0;M=I&255;K=+(I&255);N=K*K;f[J+(q<<2)>>2]=0;I=(L|0)!=0;if(I)n[L+(q<<2)>>2]=0.0;ba=D+(k<<2)|0;f[D+(q<<2)>>2]=f[ba>>2];f[J>>2]=(f[J+(d<<2)>>2]|0)+M;if(I)n[L>>2]=N+ +n[L+(aa<<2)>>2];f[D>>2]=(f[ba>>2]|0)+M+(f[E+(o<<2)>>2]|0);if(T)if(I){ba=M;K=N;ca=M;da=o;while(1){ea=f[E+(da<<2)>>2]|0;f[E+(da-o<<2)>>2]=ea+ba;fa=b[H+da>>0]|0;ga=fa&255;ha=+(fa&255);fa=ga+ca|0;ia=K+ha*ha;f[J+(da<<2)>>2]=fa+(f[J+(da-s<<2)>>2]|0);n[L+(da<<2)>>2]=ia+ +n[L+(da-t<<2)>>2];ja=da+o|0;f[D+(da<<2)>>2]=ga+ea+(f[E+(ja<<2)>>2]|0)+(f[D+(da-S<<2)>>2]|0);if((ja|0)<(U|0)){ba=ga;K=ia;ca=fa;da=ja}else{ka=ga;la=ia;ma=fa;na=ja;break}}}else{da=M;K=N;ca=M;ba=o;while(1){G=f[E+(ba<<2)>>2]|0;f[E+(ba-o<<2)>>2]=G+da;ja=b[H+ba>>0]|0;fa=ja&255;ia=+(ja&255);ja=fa+ca|0;ha=K+ia*ia;f[J+(ba<<2)>>2]=ja+(f[J+(ba-s<<2)>>2]|0);ga=ba+o|0;f[D+(ba<<2)>>2]=fa+G+(f[E+(ga<<2)>>2]|0)+(f[D+(ba-S<<2)>>2]|0);if((ga|0)<(U|0)){da=fa;K=ha;ca=ja;ba=ga}else{ka=fa;la=ha;ma=ja;na=ga;break}}}else{ka=M;la=N;ma=M;na=o}if(Q){ba=E+(na<<2)|0;ca=f[ba>>2]|0;f[E+(na-o<<2)>>2]=ca+ka;da=b[H+na>>0]|0;ga=da&255;f[J+(na<<2)>>2]=ga+ma+(f[J+(na-s<<2)>>2]|0);K=+(da&255);if(I)n[L+(na<<2)>>2]=la+K*K+ +n[L+(na-t<<2)>>2];f[D+(na<<2)>>2]=ga+ca+(f[D+(na-S<<2)>>2]|0);f[ba>>2]=ga}L=I?L+4|0:0;F=F+1|0;if((F|0)==(o|0))break;else{E=E+4|0;D=D+4|0;J=J+4|0;H=H+1|0}}oa=i;pa=W+(e<<2)|0;qa=Z+c|0;ra=C;sa=L}else{oa=l;pa=V;qa=_;ra=R;sa=j}X=X+1|0;if((X|0)==(m|0))break;else{i=oa;W=pa;P=ra;$=sa;Z=qa}}}if((O|0)!=(g|0)){Fmc(O);f[r>>2]=g;f[z>>2]=264}u=p;return}function H6(a,b,c,d,e,g,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0;n=u;u=u+1072|0;o=0-m|0;p=n;q=d>>>2;d=j>>>2;j=0-d|0;r=g>>>2;g=Y(m,k)|0;k=g+m|0;s=k<<2;Drc(c|0,0,s|0)|0;t=c+(q+m<<2)|0;if(!e)v=0;else{Drc(e|0,0,s|0)|0;v=e+(r+m<<2)|0}if(!i)w=0;else{Drc(i|0,0,s|0)|0;w=i+(d+m<<2)|0}i=(w|0)==0;if((v|0)==0&i){if((l|0)<=0){u=n;return}s=(g|0)>0;e=b-m|0;x=q-m|0;if((m|0)<=0){u=n;return}y=m+-1|0;z=m<<2;A=t;B=0;C=a;while(1){if(s){D=0;E=A;F=C;while(1){f[E+(o<<2)>>2]=0;G=0;H=0;do{G=(h[F+H>>0]|0)+G|0;f[E+(H<<2)>>2]=G+(f[E+(H-q<<2)>>2]|0);H=H+m|0}while((H|0)<(g|0));D=D+1|0;if((D|0)==(m|0))break;else{E=E+4|0;F=F+1|0}}}else Drc(A+(o<<2)|0,0,z|0)|0;B=B+1|0;if((B|0)==(l|0))break;else{A=A+(y<<2)+4+(x<<2)|0;C=C+y+1+e|0}}u=n;return}if(i){if((l|0)<=0){u=n;return}i=(g|0)>0;e=b-m|0;y=q-m|0;C=r-m|0;if((m|0)<=0){u=n;return}x=m+-1|0;A=v;B=0;z=t;s=a;while(1){if(i){F=0;E=A;D=z;H=s;while(1){f[D+(o<<2)>>2]=0;f[E+(o<<2)>>2]=0;G=0;I=0;J=0;do{K=h[H+J>>0]|0;I=K+I|0;G=(Y(K,K)|0)+G|0;K=G+(f[E+(J-r<<2)>>2]|0)|0;f[D+(J<<2)>>2]=I+(f[D+(J-q<<2)>>2]|0);f[E+(J<<2)>>2]=K;J=J+m|0}while((J|0)<(g|0));F=F+1|0;if((F|0)==(m|0))break;else{E=E+4|0;D=D+4|0;H=H+1|0}}}else{H=0;D=A;E=z;while(1){f[E+(o<<2)>>2]=0;f[D+(o<<2)>>2]=0;H=H+1|0;if((H|0)==(m|0))break;else{D=D+4|0;E=E+4|0}}}B=B+1|0;if((B|0)==(l|0))break;else{A=A+(x<<2)+4+(C<<2)|0;z=z+(x<<2)+4+(y<<2)|0;s=s+x+1+e|0}}u=n;return}e=p+8|0;f[p>>2]=e;x=p+4|0;f[x>>2]=k;if(k>>>0>264){s=Dmc(k>>>0>1073741823?-1:k<<2)|0;f[p>>2]=s;L=s}else L=e;s=(m|0)>0;do if(s){k=(g|0)==(m|0);y=q+(m<<1)|0;z=w+(m<<2)|0;if((g|0)>0){M=L;N=w;O=0;P=v;Q=t;R=a}else{C=L;A=w;B=0;i=v;E=t;while(1){f[A+(o<<2)>>2]=0;f[E+(o<<2)>>2]=0;if(k)f[C+(m<<2)>>2]=0;if(!i)S=0;else{f[i+(o<<2)>>2]=0;S=i+4|0}B=B+1|0;if((B|0)==(m|0))break;else{C=C+4|0;A=A+4|0;i=S;E=E+4|0}}T=L+(m<<2)|0;U=z;V=S;W=a+m|0;X=c+(y<<2)|0;break}while(1){f[N+(o<<2)>>2]=0;f[Q+(o<<2)>>2]=0;E=(P|0)!=0;if(E){i=0;A=0;C=0;do{B=h[R+C>>0]|0;f[N+(C<<2)>>2]=B;f[M+(C<<2)>>2]=B;A=B+A|0;i=(Y(B,B)|0)+i|0;f[Q+(C<<2)>>2]=A;f[P+(C<<2)>>2]=i;C=C+m|0}while((C|0)<(g|0))}else{C=0;i=0;do{A=h[R+i>>0]|0;f[N+(i<<2)>>2]=A;f[M+(i<<2)>>2]=A;C=A+C|0;f[Q+(i<<2)>>2]=C;i=i+m|0}while((i|0)<(g|0))}if(k)f[M+(m<<2)>>2]=0;if(E){f[P+(o<<2)>>2]=0;Z=P+4|0}else Z=0;O=O+1|0;if((O|0)==(m|0))break;else{M=M+4|0;N=N+4|0;P=Z;Q=Q+4|0;R=R+1|0}}T=L+(m<<2)|0;U=z;V=Z;W=a+m|0;X=c+(y<<2)|0}else{T=L;U=w;V=v;W=a;X=t}while(0);if((l|0)>1){t=b-m|0;a=q-m|0;v=d-m|0;w=r-m|0;c=0-q|0;Z=0-r|0;R=g-m|0;Q=(R|0)>(m|0);P=d+m|0;N=(g|0)>(m|0);g=T;T=U;U=1;M=X;X=V;V=W;while(1){W=V+t|0;O=M+(a<<2)|0;S=T+(v<<2)|0;k=g+(o<<2)|0;i=(X|0)==0?0:X+(w<<2)|0;if(s){C=M+(q<<2)|0;A=k;B=S;D=0;H=O;F=W;J=i;while(1){I=h[F>>0]|0;G=Y(I,I)|0;f[H+(o<<2)>>2]=0;K=(J|0)!=0;if(K)f[J+(o<<2)>>2]=0;_=B+(j<<2)|0;f[B+(o<<2)>>2]=f[_>>2];f[H>>2]=(f[H+(c<<2)>>2]|0)+I;if(K)f[J>>2]=(f[J+(Z<<2)>>2]|0)+G;f[B>>2]=(f[_>>2]|0)+I+(f[A+(m<<2)>>2]|0);if(Q)if(K){_=I;$=G;aa=I;ba=m;while(1){ca=f[A+(ba<<2)>>2]|0;f[A+(ba-m<<2)>>2]=ca+_;da=h[F+ba>>0]|0;ea=da+aa|0;fa=(Y(da,da)|0)+$|0;f[H+(ba<<2)>>2]=ea+(f[H+(ba-q<<2)>>2]|0);f[J+(ba<<2)>>2]=(f[J+(ba-r<<2)>>2]|0)+fa;ga=ba+m|0;f[B+(ba<<2)>>2]=da+ca+(f[A+(ga<<2)>>2]|0)+(f[B+(ba-P<<2)>>2]|0);if((ga|0)<(R|0)){_=da;$=fa;aa=ea;ba=ga}else{ha=da;ia=fa;ja=ea;ka=ga;break}}}else{ba=I;aa=G;$=I;_=m;while(1){E=f[A+(_<<2)>>2]|0;f[A+(_-m<<2)>>2]=E+ba;ga=h[F+_>>0]|0;ea=ga+$|0;fa=(Y(ga,ga)|0)+aa|0;f[H+(_<<2)>>2]=ea+(f[H+(_-q<<2)>>2]|0);da=_+m|0;f[B+(_<<2)>>2]=ga+E+(f[A+(da<<2)>>2]|0)+(f[B+(_-P<<2)>>2]|0);if((da|0)<(R|0)){ba=ga;aa=fa;$=ea;_=da}else{ha=ga;ia=fa;ja=ea;ka=da;break}}}else{ha=I;ia=G;ja=I;ka=m}if(N){_=A+(ka<<2)|0;$=f[_>>2]|0;f[A+(ka-m<<2)>>2]=$+ha;aa=h[F+ka>>0]|0;f[H+(ka<<2)>>2]=aa+ja+(f[H+(ka-q<<2)>>2]|0);if(K){ba=(Y(aa,aa)|0)+ia|0;f[J+(ka<<2)>>2]=ba+(f[J+(ka-r<<2)>>2]|0)}f[B+(ka<<2)>>2]=aa+$+(f[B+(ka-P<<2)>>2]|0);f[_>>2]=aa}J=K?J+4|0:0;D=D+1|0;if((D|0)==(m|0))break;else{A=A+4|0;B=B+4|0;H=H+4|0;F=F+1|0}}la=g;ma=T+(d<<2)|0;na=V+b|0;oa=C;pa=J}else{la=k;ma=S;na=W;oa=O;pa=i}U=U+1|0;if((U|0)==(l|0))break;else{g=la;T=ma;M=oa;X=pa;V=na}}}if((L|0)!=(e|0)){Fmc(L);f[p>>2]=e;f[x>>2]=264}u=n;return}function I6(a,c,d,e,g,i,j,k,l,m,o){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;o=o|0;var q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0,L=0.0,M=0,N=0,O=0.0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0.0,ea=0.0,fa=0.0,ga=0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0;q=u;u=u+1072|0;r=0-o|0;s=q;t=e>>>2;e=k>>>2;k=0-e|0;v=i>>>3;i=Y(o,l)|0;l=i+o|0;w=l<<2;Drc(d|0,0,w|0)|0;x=d+(t+o<<2)|0;if(!g)y=0;else{Drc(g|0,0,l<<3|0)|0;y=g+(v+o<<3)|0}if(!j)z=0;else{Drc(j|0,0,w|0)|0;z=j+(e+o<<2)|0}j=(z|0)==0;if((y|0)==0&j){if((m|0)<=0){u=q;return}w=(i|0)>0;g=c-o|0;A=t-o|0;if((o|0)<=0){u=q;return}B=o+-1|0;C=o<<2;D=x;E=0;F=a;while(1){if(w){G=0;H=D;I=F;while(1){n[H+(r<<2)>>2]=0.0;J=0.0;K=0;do{J=J+ +(h[I+K>>0]|0);n[H+(K<<2)>>2]=+n[H+(K-t<<2)>>2]+J;K=K+o|0}while((K|0)<(i|0));G=G+1|0;if((G|0)==(o|0))break;else{H=H+4|0;I=I+1|0}}}else Drc(D+(r<<2)|0,0,C|0)|0;E=E+1|0;if((E|0)==(m|0))break;else{D=D+(B<<2)+4+(A<<2)|0;F=F+B+1+g|0}}u=q;return}if(j){if((m|0)<=0){u=q;return}j=(i|0)>0;g=c-o|0;B=t-o|0;F=v-o|0;if((o|0)<=0){u=q;return}A=o+-1|0;D=y;E=0;C=x;w=a;while(1){if(j){I=0;H=D;G=C;K=w;while(1){n[G+(r<<2)>>2]=0.0;p[H+(r<<3)>>3]=0.0;J=0.0;L=0.0;M=0;do{N=b[K+M>>0]|0;L=L+ +(N&255);O=+(N&255);J=J+O*O;O=+p[H+(M-v<<3)>>3]+J;n[G+(M<<2)>>2]=+n[G+(M-t<<2)>>2]+L;p[H+(M<<3)>>3]=O;M=M+o|0}while((M|0)<(i|0));I=I+1|0;if((I|0)==(o|0))break;else{H=H+8|0;G=G+4|0;K=K+1|0}}}else{K=0;G=D;H=C;while(1){n[H+(r<<2)>>2]=0.0;p[G+(r<<3)>>3]=0.0;K=K+1|0;if((K|0)==(o|0))break;else{G=G+8|0;H=H+4|0}}}E=E+1|0;if((E|0)==(m|0))break;else{D=D+(A<<3)+8+(F<<3)|0;C=C+(A<<2)+4+(B<<2)|0;w=w+A+1+g|0}}u=q;return}g=s+8|0;f[s>>2]=g;A=s+4|0;f[A>>2]=l;if(l>>>0>264){w=Dmc(l>>>0>1073741823?-1:l<<2)|0;f[s>>2]=w;P=w}else P=g;w=(o|0)>0;do if(w){l=(i|0)==(o|0);B=t+(o<<1)|0;C=z+(o<<2)|0;if((i|0)>0){Q=P;R=z;S=0;T=y;U=x;V=a}else{F=P;D=z;E=0;j=y;H=x;while(1){n[D+(r<<2)>>2]=0.0;n[H+(r<<2)>>2]=0.0;if(l)n[F+(o<<2)>>2]=0.0;if(!j)W=0;else{p[j+(r<<3)>>3]=0.0;W=j+8|0}E=E+1|0;if((E|0)==(o|0))break;else{F=F+4|0;D=D+4|0;j=W;H=H+4|0}}X=P+(o<<2)|0;Z=C;_=W;$=a+o|0;aa=d+(B<<2)|0;break}while(1){n[R+(r<<2)>>2]=0.0;n[U+(r<<2)>>2]=0.0;H=(T|0)!=0;if(H){L=0.0;J=0.0;j=0;do{D=b[V+j>>0]|0;O=+(D&255);n[R+(j<<2)>>2]=O;n[Q+(j<<2)>>2]=O;J=J+O;O=+(D&255);L=L+O*O;n[U+(j<<2)>>2]=J;p[T+(j<<3)>>3]=L;j=j+o|0}while((j|0)<(i|0))}else{L=0.0;j=0;do{J=+(h[V+j>>0]|0);n[R+(j<<2)>>2]=J;n[Q+(j<<2)>>2]=J;L=L+J;n[U+(j<<2)>>2]=L;j=j+o|0}while((j|0)<(i|0))}if(l)n[Q+(o<<2)>>2]=0.0;if(H){p[T+(r<<3)>>3]=0.0;ba=T+8|0}else ba=0;S=S+1|0;if((S|0)==(o|0))break;else{Q=Q+4|0;R=R+4|0;T=ba;U=U+4|0;V=V+1|0}}X=P+(o<<2)|0;Z=C;_=ba;$=a+o|0;aa=d+(B<<2)|0}else{X=P;Z=z;_=y;$=a;aa=x}while(0);if((m|0)>1){x=c-o|0;a=t-o|0;y=e-o|0;z=v-o|0;d=0-t|0;ba=0-v|0;V=i-o|0;U=(V|0)>(o|0);T=e+o|0;R=(i|0)>(o|0);i=X;X=Z;Z=1;Q=aa;aa=_;_=$;while(1){$=_+x|0;S=Q+(a<<2)|0;W=X+(y<<2)|0;l=i+(r<<2)|0;j=(aa|0)==0?0:aa+(z<<3)|0;if(w){D=Q+(t<<2)|0;F=l;E=W;G=0;K=S;I=$;M=j;while(1){N=b[I>>0]|0;L=+(N&255);J=+(N&255);O=J*J;n[K+(r<<2)>>2]=0.0;N=(M|0)!=0;if(N)p[M+(r<<3)>>3]=0.0;ca=E+(k<<2)|0;f[E+(r<<2)>>2]=f[ca>>2];n[K>>2]=L+ +n[K+(d<<2)>>2];if(N)p[M>>3]=O+ +p[M+(ba<<3)>>3];n[E>>2]=L+ +n[ca>>2]+ +n[F+(o<<2)>>2];if(U)if(N){J=L;da=O;ea=L;ca=o;while(1){fa=+n[F+(ca<<2)>>2];n[F+(ca-o<<2)>>2]=J+fa;ga=b[I+ca>>0]|0;ha=+(ga&255);ia=+(ga&255);ja=ea+ha;ka=da+ia*ia;n[K+(ca<<2)>>2]=+n[K+(ca-t<<2)>>2]+ja;p[M+(ca<<3)>>3]=ka+ +p[M+(ca-v<<3)>>3];ga=ca+o|0;n[E+(ca<<2)>>2]=fa+(ha+ +n[F+(ga<<2)>>2]+ +n[E+(ca-T<<2)>>2]);if((ga|0)<(V|0)){J=ha;da=ka;ea=ja;ca=ga}else{la=ha;ma=ka;na=ja;oa=ga;break}}}else{ea=L;da=O;J=L;ca=o;while(1){ja=+n[F+(ca<<2)>>2];n[F+(ca-o<<2)>>2]=ea+ja;H=b[I+ca>>0]|0;ka=+(H&255);ha=+(H&255);fa=J+ka;ia=da+ha*ha;n[K+(ca<<2)>>2]=+n[K+(ca-t<<2)>>2]+fa;H=ca+o|0;n[E+(ca<<2)>>2]=ja+(ka+ +n[F+(H<<2)>>2]+ +n[E+(ca-T<<2)>>2]);if((H|0)<(V|0)){ea=ka;da=ia;J=fa;ca=H}else{la=ka;ma=ia;na=fa;oa=H;break}}}else{la=L;ma=O;na=L;oa=o}if(R){ca=F+(oa<<2)|0;J=+n[ca>>2];n[F+(oa-o<<2)>>2]=la+J;H=b[I+oa>>0]|0;da=+(H&255);n[K+(oa<<2)>>2]=+n[K+(oa-t<<2)>>2]+(na+da);ea=+(H&255);if(N)p[M+(oa<<3)>>3]=ma+ea*ea+ +p[M+(oa-v<<3)>>3];n[E+(oa<<2)>>2]=J+da+ +n[E+(oa-T<<2)>>2];n[ca>>2]=da}M=N?M+8|0:0;G=G+1|0;if((G|0)==(o|0))break;else{F=F+4|0;E=E+4|0;K=K+4|0;I=I+1|0}}pa=i;qa=X+(e<<2)|0;ra=_+c|0;sa=D;ta=M}else{pa=l;qa=W;ra=$;sa=S;ta=j}Z=Z+1|0;if((Z|0)==(m|0))break;else{i=pa;X=qa;Q=sa;aa=ta;_=ra}}}if((P|0)!=(g|0)){Fmc(P);f[s>>2]=g;f[A>>2]=264}u=q;return}function J6(a,b,c,d,e,g,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0,J=0.0,K=0,L=0.0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0,ia=0.0,ja=0.0,ka=0.0,la=0,ma=0,na=0,oa=0,pa=0,qa=0;o=u;u=u+1072|0;p=0-m|0;q=o;r=d>>>2;d=j>>>2;j=0-d|0;s=g>>>2;g=Y(m,k)|0;k=g+m|0;t=k<<2;Drc(c|0,0,t|0)|0;v=c+(r+m<<2)|0;if(!e)w=0;else{Drc(e|0,0,t|0)|0;w=e+(s+m<<2)|0}if(!i)x=0;else{Drc(i|0,0,t|0)|0;x=i+(d+m<<2)|0}i=(x|0)==0;if((w|0)==0&i){if((l|0)<=0){u=o;return}t=(g|0)>0;e=b-m|0;y=r-m|0;if((m|0)<=0){u=o;return}z=m+-1|0;A=m<<2;B=v;C=0;D=a;while(1){if(t){E=0;F=B;G=D;while(1){n[F+(p<<2)>>2]=0.0;H=0.0;I=0;do{H=H+ +(h[G+I>>0]|0);n[F+(I<<2)>>2]=+n[F+(I-r<<2)>>2]+H;I=I+m|0}while((I|0)<(g|0));E=E+1|0;if((E|0)==(m|0))break;else{F=F+4|0;G=G+1|0}}}else Drc(B+(p<<2)|0,0,A|0)|0;C=C+1|0;if((C|0)==(l|0))break;else{B=B+(z<<2)+4+(y<<2)|0;D=D+z+1+e|0}}u=o;return}if(i){if((l|0)<=0){u=o;return}i=(g|0)>0;e=b-m|0;z=r-m|0;D=s-m|0;if((m|0)<=0){u=o;return}y=m+-1|0;B=w;C=0;A=v;t=a;while(1){if(i){G=0;F=B;E=A;I=t;while(1){n[E+(p<<2)>>2]=0.0;n[F+(p<<2)>>2]=0.0;H=0.0;J=0.0;K=0;do{L=+(h[I+K>>0]|0);J=J+L;H=H+L*L;L=+n[F+(K-s<<2)>>2]+H;n[E+(K<<2)>>2]=+n[E+(K-r<<2)>>2]+J;n[F+(K<<2)>>2]=L;K=K+m|0}while((K|0)<(g|0));G=G+1|0;if((G|0)==(m|0))break;else{F=F+4|0;E=E+4|0;I=I+1|0}}}else{I=0;E=B;F=A;while(1){n[F+(p<<2)>>2]=0.0;n[E+(p<<2)>>2]=0.0;I=I+1|0;if((I|0)==(m|0))break;else{E=E+4|0;F=F+4|0}}}C=C+1|0;if((C|0)==(l|0))break;else{B=B+(y<<2)+4+(D<<2)|0;A=A+(y<<2)+4+(z<<2)|0;t=t+y+1+e|0}}u=o;return}e=q+8|0;f[q>>2]=e;y=q+4|0;f[y>>2]=k;if(k>>>0>264){t=Dmc(k>>>0>1073741823?-1:k<<2)|0;f[q>>2]=t;M=t}else M=e;t=(m|0)>0;do if(t){k=(g|0)==(m|0);z=r+(m<<1)|0;A=x+(m<<2)|0;if((g|0)>0){N=M;O=x;P=0;Q=w;R=v;S=a}else{D=M;B=x;C=0;i=w;F=v;while(1){n[B+(p<<2)>>2]=0.0;n[F+(p<<2)>>2]=0.0;if(k)n[D+(m<<2)>>2]=0.0;if(!i)T=0;else{n[i+(p<<2)>>2]=0.0;T=i+4|0}C=C+1|0;if((C|0)==(m|0))break;else{D=D+4|0;B=B+4|0;i=T;F=F+4|0}}U=M+(m<<2)|0;V=A;W=T;X=a+m|0;Z=c+(z<<2)|0;break}while(1){n[O+(p<<2)>>2]=0.0;n[R+(p<<2)>>2]=0.0;F=(Q|0)!=0;if(F){J=0.0;H=0.0;i=0;do{L=+(h[S+i>>0]|0);n[O+(i<<2)>>2]=L;n[N+(i<<2)>>2]=L;H=H+L;J=J+L*L;n[R+(i<<2)>>2]=H;n[Q+(i<<2)>>2]=J;i=i+m|0}while((i|0)<(g|0))}else{J=0.0;i=0;do{H=+(h[S+i>>0]|0);n[O+(i<<2)>>2]=H;n[N+(i<<2)>>2]=H;J=J+H;n[R+(i<<2)>>2]=J;i=i+m|0}while((i|0)<(g|0))}if(k)n[N+(m<<2)>>2]=0.0;if(F){n[Q+(p<<2)>>2]=0.0;_=Q+4|0}else _=0;P=P+1|0;if((P|0)==(m|0))break;else{N=N+4|0;O=O+4|0;Q=_;R=R+4|0;S=S+1|0}}U=M+(m<<2)|0;V=A;W=_;X=a+m|0;Z=c+(z<<2)|0}else{U=M;V=x;W=w;X=a;Z=v}while(0);if((l|0)>1){v=b-m|0;a=r-m|0;w=d-m|0;x=s-m|0;c=0-r|0;_=0-s|0;S=g-m|0;R=(S|0)>(m|0);Q=d+m|0;O=(g|0)>(m|0);g=U;U=V;V=1;N=Z;Z=W;W=X;while(1){X=W+v|0;P=N+(a<<2)|0;T=U+(w<<2)|0;k=g+(p<<2)|0;i=(Z|0)==0?0:Z+(x<<2)|0;if(t){B=N+(r<<2)|0;D=k;C=T;E=0;I=P;G=X;K=i;while(1){J=+(h[G>>0]|0);H=J*J;n[I+(p<<2)>>2]=0.0;$=(K|0)!=0;if($)n[K+(p<<2)>>2]=0.0;aa=C+(j<<2)|0;f[C+(p<<2)>>2]=f[aa>>2];n[I>>2]=J+ +n[I+(c<<2)>>2];if($)n[K>>2]=H+ +n[K+(_<<2)>>2];n[C>>2]=J+ +n[aa>>2]+ +n[D+(m<<2)>>2];if(R)if($){L=J;ba=H;ca=J;aa=m;while(1){da=+n[D+(aa<<2)>>2];n[D+(aa-m<<2)>>2]=L+da;ea=+(h[G+aa>>0]|0);fa=ca+ea;ga=ba+ea*ea;n[I+(aa<<2)>>2]=+n[I+(aa-r<<2)>>2]+fa;n[K+(aa<<2)>>2]=ga+ +n[K+(aa-s<<2)>>2];ha=aa+m|0;n[C+(aa<<2)>>2]=da+(ea+ +n[D+(ha<<2)>>2]+ +n[C+(aa-Q<<2)>>2]);if((ha|0)<(S|0)){L=ea;ba=ga;ca=fa;aa=ha}else{ia=ea;ja=ga;ka=fa;la=ha;break}}}else{ca=J;ba=H;L=J;aa=m;while(1){fa=+n[D+(aa<<2)>>2];n[D+(aa-m<<2)>>2]=ca+fa;ga=+(h[G+aa>>0]|0);ea=L+ga;da=ba+ga*ga;n[I+(aa<<2)>>2]=+n[I+(aa-r<<2)>>2]+ea;F=aa+m|0;n[C+(aa<<2)>>2]=fa+(ga+ +n[D+(F<<2)>>2]+ +n[C+(aa-Q<<2)>>2]);if((F|0)<(S|0)){ca=ga;ba=da;L=ea;aa=F}else{ia=ga;ja=da;ka=ea;la=F;break}}}else{ia=J;ja=H;ka=J;la=m}if(O){aa=D+(la<<2)|0;L=+n[aa>>2];n[D+(la-m<<2)>>2]=ia+L;ba=+(h[G+la>>0]|0);n[I+(la<<2)>>2]=+n[I+(la-r<<2)>>2]+(ka+ba);if($)n[K+(la<<2)>>2]=ja+ba*ba+ +n[K+(la-s<<2)>>2];n[C+(la<<2)>>2]=L+ba+ +n[C+(la-Q<<2)>>2];n[aa>>2]=ba}K=$?K+4|0:0;E=E+1|0;if((E|0)==(m|0))break;else{D=D+4|0;C=C+4|0;I=I+4|0;G=G+1|0}}ma=g;na=U+(d<<2)|0;oa=W+b|0;pa=B;qa=K}else{ma=k;na=T;oa=X;pa=P;qa=i}V=V+1|0;if((V|0)==(l|0))break;else{g=ma;U=na;N=pa;Z=qa;W=oa}}}if((M|0)!=(e|0)){Fmc(M);f[q>>2]=e;f[y>>2]=264}u=o;return}function K6(a,b,c,d,e,g,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0,J=0.0,K=0,L=0.0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0,ia=0.0,ja=0.0,ka=0.0,la=0,ma=0,na=0,oa=0,pa=0,qa=0;n=u;u=u+1104|0;o=0-m|0;q=n;r=d>>>3;d=j>>>3;j=0-d|0;s=g>>>3;g=Y(m,k)|0;k=g+m|0;t=k<<3;Drc(c|0,0,t|0)|0;v=c+(r+m<<3)|0;if(!e)w=0;else{Drc(e|0,0,t|0)|0;w=e+(s+m<<3)|0}if(!i)x=0;else{Drc(i|0,0,t|0)|0;x=i+(d+m<<3)|0}i=(x|0)==0;if((w|0)==0&i){if((l|0)<=0){u=n;return}t=(g|0)>0;e=b-m|0;y=r-m|0;if((m|0)<=0){u=n;return}z=m+-1|0;A=m<<3;B=v;C=0;D=a;while(1){if(t){E=0;F=B;G=D;while(1){p[F+(o<<3)>>3]=0.0;H=0.0;I=0;do{H=H+ +(h[G+I>>0]|0);p[F+(I<<3)>>3]=+p[F+(I-r<<3)>>3]+H;I=I+m|0}while((I|0)<(g|0));E=E+1|0;if((E|0)==(m|0))break;else{F=F+8|0;G=G+1|0}}}else Drc(B+(o<<3)|0,0,A|0)|0;C=C+1|0;if((C|0)==(l|0))break;else{B=B+(z<<3)+8+(y<<3)|0;D=D+z+1+e|0}}u=n;return}if(i){if((l|0)<=0){u=n;return}i=(g|0)>0;e=b-m|0;z=r-m|0;D=s-m|0;if((m|0)<=0){u=n;return}y=m+-1|0;B=w;C=0;A=v;t=a;while(1){if(i){G=0;F=B;E=A;I=t;while(1){p[E+(o<<3)>>3]=0.0;p[F+(o<<3)>>3]=0.0;H=0.0;J=0.0;K=0;do{L=+(h[I+K>>0]|0);J=J+L;H=H+L*L;L=+p[F+(K-s<<3)>>3]+H;p[E+(K<<3)>>3]=+p[E+(K-r<<3)>>3]+J;p[F+(K<<3)>>3]=L;K=K+m|0}while((K|0)<(g|0));G=G+1|0;if((G|0)==(m|0))break;else{F=F+8|0;E=E+8|0;I=I+1|0}}}else{I=0;E=B;F=A;while(1){p[F+(o<<3)>>3]=0.0;p[E+(o<<3)>>3]=0.0;I=I+1|0;if((I|0)==(m|0))break;else{E=E+8|0;F=F+8|0}}}C=C+1|0;if((C|0)==(l|0))break;else{B=B+(y<<3)+8+(D<<3)|0;A=A+(y<<3)+8+(z<<3)|0;t=t+y+1+e|0}}u=n;return}e=q+8|0;f[q>>2]=e;y=q+4|0;f[y>>2]=k;if(k>>>0>136){t=Dmc(k>>>0>536870911?-1:k<<3)|0;f[q>>2]=t;M=t}else M=e;t=(m|0)>0;do if(t){k=(g|0)==(m|0);z=r+(m<<1)|0;A=x+(m<<3)|0;if((g|0)>0){N=M;O=x;P=0;Q=w;R=v;S=a}else{D=M;B=x;C=0;i=w;F=v;while(1){p[B+(o<<3)>>3]=0.0;p[F+(o<<3)>>3]=0.0;if(k)p[D+(m<<3)>>3]=0.0;if(!i)T=0;else{p[i+(o<<3)>>3]=0.0;T=i+8|0}C=C+1|0;if((C|0)==(m|0))break;else{D=D+8|0;B=B+8|0;i=T;F=F+8|0}}U=M+(m<<3)|0;V=A;W=T;X=a+m|0;Z=c+(z<<3)|0;break}while(1){p[O+(o<<3)>>3]=0.0;p[R+(o<<3)>>3]=0.0;F=(Q|0)!=0;if(F){J=0.0;H=0.0;i=0;do{L=+(h[S+i>>0]|0);p[O+(i<<3)>>3]=L;p[N+(i<<3)>>3]=L;H=H+L;J=J+L*L;p[R+(i<<3)>>3]=H;p[Q+(i<<3)>>3]=J;i=i+m|0}while((i|0)<(g|0))}else{J=0.0;i=0;do{H=+(h[S+i>>0]|0);p[O+(i<<3)>>3]=H;p[N+(i<<3)>>3]=H;J=J+H;p[R+(i<<3)>>3]=J;i=i+m|0}while((i|0)<(g|0))}if(k)p[N+(m<<3)>>3]=0.0;if(F){p[Q+(o<<3)>>3]=0.0;_=Q+8|0}else _=0;P=P+1|0;if((P|0)==(m|0))break;else{N=N+8|0;O=O+8|0;Q=_;R=R+8|0;S=S+1|0}}U=M+(m<<3)|0;V=A;W=_;X=a+m|0;Z=c+(z<<3)|0}else{U=M;V=x;W=w;X=a;Z=v}while(0);if((l|0)>1){v=b-m|0;a=r-m|0;w=d-m|0;x=s-m|0;c=0-r|0;_=0-s|0;S=g-m|0;R=(S|0)>(m|0);Q=d+m|0;O=(g|0)>(m|0);g=U;U=V;V=1;N=Z;Z=W;W=X;while(1){X=W+v|0;P=N+(a<<3)|0;T=U+(w<<3)|0;k=g+(o<<3)|0;i=(Z|0)==0?0:Z+(x<<3)|0;if(t){B=N+(r<<3)|0;D=k;C=T;E=0;I=P;G=X;K=i;while(1){J=+(h[G>>0]|0);H=J*J;p[I+(o<<3)>>3]=0.0;$=(K|0)!=0;if($)p[K+(o<<3)>>3]=0.0;aa=C+(j<<3)|0;p[C+(o<<3)>>3]=+p[aa>>3];p[I>>3]=J+ +p[I+(c<<3)>>3];if($)p[K>>3]=H+ +p[K+(_<<3)>>3];p[C>>3]=J+ +p[aa>>3]+ +p[D+(m<<3)>>3];if(R)if($){L=J;ba=H;ca=J;aa=m;while(1){da=+p[D+(aa<<3)>>3];p[D+(aa-m<<3)>>3]=L+da;ea=+(h[G+aa>>0]|0);fa=ca+ea;ga=ba+ea*ea;p[I+(aa<<3)>>3]=+p[I+(aa-r<<3)>>3]+fa;p[K+(aa<<3)>>3]=ga+ +p[K+(aa-s<<3)>>3];ha=aa+m|0;p[C+(aa<<3)>>3]=da+(ea+ +p[D+(ha<<3)>>3]+ +p[C+(aa-Q<<3)>>3]);if((ha|0)<(S|0)){L=ea;ba=ga;ca=fa;aa=ha}else{ia=ea;ja=ga;ka=fa;la=ha;break}}}else{ca=J;ba=H;L=J;aa=m;while(1){fa=+p[D+(aa<<3)>>3];p[D+(aa-m<<3)>>3]=ca+fa;ga=+(h[G+aa>>0]|0);ea=L+ga;da=ba+ga*ga;p[I+(aa<<3)>>3]=+p[I+(aa-r<<3)>>3]+ea;F=aa+m|0;p[C+(aa<<3)>>3]=fa+(ga+ +p[D+(F<<3)>>3]+ +p[C+(aa-Q<<3)>>3]);if((F|0)<(S|0)){ca=ga;ba=da;L=ea;aa=F}else{ia=ga;ja=da;ka=ea;la=F;break}}}else{ia=J;ja=H;ka=J;la=m}if(O){aa=D+(la<<3)|0;L=+p[aa>>3];p[D+(la-m<<3)>>3]=ia+L;ba=+(h[G+la>>0]|0);p[I+(la<<3)>>3]=+p[I+(la-r<<3)>>3]+(ka+ba);if($)p[K+(la<<3)>>3]=ja+ba*ba+ +p[K+(la-s<<3)>>3];p[C+(la<<3)>>3]=L+ba+ +p[C+(la-Q<<3)>>3];p[aa>>3]=ba}K=$?K+8|0:0;E=E+1|0;if((E|0)==(m|0))break;else{D=D+8|0;C=C+8|0;I=I+8|0;G=G+1|0}}ma=g;na=U+(d<<3)|0;oa=W+b|0;pa=B;qa=K}else{ma=k;na=T;oa=X;pa=P;qa=i}V=V+1|0;if((V|0)==(l|0))break;else{g=ma;U=na;N=pa;Z=qa;W=oa}}}if((M|0)!=(e|0)){Fmc(M);f[q>>2]=e;f[y>>2]=136}u=n;return}function L6(a,b,c,d,e,g,h,i,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0,J=0.0,K=0,L=0.0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0,ia=0.0,ja=0.0,ka=0.0,la=0,ma=0,na=0,oa=0,pa=0,qa=0;n=u;u=u+1104|0;o=0-m|0;q=n;r=b>>>1;b=d>>>3;d=i>>>3;i=0-d|0;s=g>>>3;g=Y(m,k)|0;k=g+m|0;t=k<<3;Drc(c|0,0,t|0)|0;v=c+(b+m<<3)|0;if(!e)w=0;else{Drc(e|0,0,t|0)|0;w=e+(s+m<<3)|0}if(!h)x=0;else{Drc(h|0,0,t|0)|0;x=h+(d+m<<3)|0}h=(x|0)==0;if((w|0)==0&h){if((l|0)<=0){u=n;return}t=(g|0)>0;e=r-m|0;y=b-m|0;if((m|0)<=0){u=n;return}z=m+-1|0;A=m<<3;B=v;C=0;D=a;while(1){if(t){E=0;F=B;G=D;while(1){p[F+(o<<3)>>3]=0.0;H=0.0;I=0;do{H=H+ +(j[G+(I<<1)>>1]|0);p[F+(I<<3)>>3]=+p[F+(I-b<<3)>>3]+H;I=I+m|0}while((I|0)<(g|0));E=E+1|0;if((E|0)==(m|0))break;else{F=F+8|0;G=G+2|0}}}else Drc(B+(o<<3)|0,0,A|0)|0;C=C+1|0;if((C|0)==(l|0))break;else{B=B+(z<<3)+8+(y<<3)|0;D=D+(z<<1)+2+(e<<1)|0}}u=n;return}if(h){if((l|0)<=0){u=n;return}h=(g|0)>0;e=r-m|0;z=b-m|0;D=s-m|0;if((m|0)<=0){u=n;return}y=m+-1|0;B=w;C=0;A=v;t=a;while(1){if(h){G=0;F=B;E=A;I=t;while(1){p[E+(o<<3)>>3]=0.0;p[F+(o<<3)>>3]=0.0;H=0.0;J=0.0;K=0;do{L=+(j[I+(K<<1)>>1]|0);J=J+L;H=H+L*L;L=+p[F+(K-s<<3)>>3]+H;p[E+(K<<3)>>3]=+p[E+(K-b<<3)>>3]+J;p[F+(K<<3)>>3]=L;K=K+m|0}while((K|0)<(g|0));G=G+1|0;if((G|0)==(m|0))break;else{F=F+8|0;E=E+8|0;I=I+2|0}}}else{I=0;E=B;F=A;while(1){p[F+(o<<3)>>3]=0.0;p[E+(o<<3)>>3]=0.0;I=I+1|0;if((I|0)==(m|0))break;else{E=E+8|0;F=F+8|0}}}C=C+1|0;if((C|0)==(l|0))break;else{B=B+(y<<3)+8+(D<<3)|0;A=A+(y<<3)+8+(z<<3)|0;t=t+(y<<1)+2+(e<<1)|0}}u=n;return}e=q+8|0;f[q>>2]=e;y=q+4|0;f[y>>2]=k;if(k>>>0>136){t=Dmc(k>>>0>536870911?-1:k<<3)|0;f[q>>2]=t;M=t}else M=e;t=(m|0)>0;do if(t){k=(g|0)==(m|0);z=b+(m<<1)|0;A=x+(m<<3)|0;if((g|0)>0){N=M;O=x;P=0;Q=w;R=v;S=a}else{D=M;B=x;C=0;h=w;F=v;while(1){p[B+(o<<3)>>3]=0.0;p[F+(o<<3)>>3]=0.0;if(k)p[D+(m<<3)>>3]=0.0;if(!h)T=0;else{p[h+(o<<3)>>3]=0.0;T=h+8|0}C=C+1|0;if((C|0)==(m|0))break;else{D=D+8|0;B=B+8|0;h=T;F=F+8|0}}U=M+(m<<3)|0;V=A;W=T;X=a+(m<<1)|0;Z=c+(z<<3)|0;break}while(1){p[O+(o<<3)>>3]=0.0;p[R+(o<<3)>>3]=0.0;F=(Q|0)!=0;if(F){J=0.0;H=0.0;h=0;do{L=+(j[S+(h<<1)>>1]|0);p[O+(h<<3)>>3]=L;p[N+(h<<3)>>3]=L;H=H+L;J=J+L*L;p[R+(h<<3)>>3]=H;p[Q+(h<<3)>>3]=J;h=h+m|0}while((h|0)<(g|0))}else{J=0.0;h=0;do{H=+(j[S+(h<<1)>>1]|0);p[O+(h<<3)>>3]=H;p[N+(h<<3)>>3]=H;J=J+H;p[R+(h<<3)>>3]=J;h=h+m|0}while((h|0)<(g|0))}if(k)p[N+(m<<3)>>3]=0.0;if(F){p[Q+(o<<3)>>3]=0.0;_=Q+8|0}else _=0;P=P+1|0;if((P|0)==(m|0))break;else{N=N+8|0;O=O+8|0;Q=_;R=R+8|0;S=S+2|0}}U=M+(m<<3)|0;V=A;W=_;X=a+(m<<1)|0;Z=c+(z<<3)|0}else{U=M;V=x;W=w;X=a;Z=v}while(0);if((l|0)>1){v=r-m|0;a=b-m|0;w=d-m|0;x=s-m|0;c=0-b|0;_=0-s|0;S=g-m|0;R=(S|0)>(m|0);Q=d+m|0;O=(g|0)>(m|0);g=U;U=V;V=1;N=Z;Z=W;W=X;while(1){X=W+(v<<1)|0;P=N+(a<<3)|0;T=U+(w<<3)|0;k=g+(o<<3)|0;h=(Z|0)==0?0:Z+(x<<3)|0;if(t){B=N+(b<<3)|0;D=k;C=T;E=0;I=P;G=X;K=h;while(1){J=+(j[G>>1]|0);H=J*J;p[I+(o<<3)>>3]=0.0;$=(K|0)!=0;if($)p[K+(o<<3)>>3]=0.0;aa=C+(i<<3)|0;p[C+(o<<3)>>3]=+p[aa>>3];p[I>>3]=J+ +p[I+(c<<3)>>3];if($)p[K>>3]=H+ +p[K+(_<<3)>>3];p[C>>3]=J+ +p[aa>>3]+ +p[D+(m<<3)>>3];if(R)if($){L=J;ba=H;ca=J;aa=m;while(1){da=+p[D+(aa<<3)>>3];p[D+(aa-m<<3)>>3]=L+da;ea=+(j[G+(aa<<1)>>1]|0);fa=ca+ea;ga=ba+ea*ea;p[I+(aa<<3)>>3]=+p[I+(aa-b<<3)>>3]+fa;p[K+(aa<<3)>>3]=ga+ +p[K+(aa-s<<3)>>3];ha=aa+m|0;p[C+(aa<<3)>>3]=da+(ea+ +p[D+(ha<<3)>>3]+ +p[C+(aa-Q<<3)>>3]);if((ha|0)<(S|0)){L=ea;ba=ga;ca=fa;aa=ha}else{ia=ea;ja=ga;ka=fa;la=ha;break}}}else{ca=J;ba=H;L=J;aa=m;while(1){fa=+p[D+(aa<<3)>>3];p[D+(aa-m<<3)>>3]=ca+fa;ga=+(j[G+(aa<<1)>>1]|0);ea=L+ga;da=ba+ga*ga;p[I+(aa<<3)>>3]=+p[I+(aa-b<<3)>>3]+ea;F=aa+m|0;p[C+(aa<<3)>>3]=fa+(ga+ +p[D+(F<<3)>>3]+ +p[C+(aa-Q<<3)>>3]);if((F|0)<(S|0)){ca=ga;ba=da;L=ea;aa=F}else{ia=ga;ja=da;ka=ea;la=F;break}}}else{ia=J;ja=H;ka=J;la=m}if(O){aa=D+(la<<3)|0;L=+p[aa>>3];p[D+(la-m<<3)>>3]=ia+L;ba=+(j[G+(la<<1)>>1]|0);p[I+(la<<3)>>3]=+p[I+(la-b<<3)>>3]+(ka+ba);if($)p[K+(la<<3)>>3]=ja+ba*ba+ +p[K+(la-s<<3)>>3];p[C+(la<<3)>>3]=L+ba+ +p[C+(la-Q<<3)>>3];p[aa>>3]=ba}K=$?K+8|0:0;E=E+1|0;if((E|0)==(m|0))break;else{D=D+8|0;C=C+8|0;I=I+8|0;G=G+2|0}}ma=g;na=U+(d<<3)|0;oa=W+(r<<1)|0;pa=B;qa=K}else{ma=k;na=T;oa=X;pa=P;qa=h}V=V+1|0;if((V|0)==(l|0))break;else{g=ma;U=na;N=pa;Z=qa;W=oa}}}if((M|0)!=(e|0)){Fmc(M);f[q>>2]=e;f[y>>2]=136}u=n;return}function M6(a,b,c,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0,J=0.0,K=0,L=0.0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0,ia=0.0,ja=0.0,ka=0.0,la=0,ma=0,na=0,oa=0,pa=0,qa=0;n=u;u=u+1104|0;o=0-m|0;q=n;r=b>>>1;b=e>>>3;e=j>>>3;j=0-e|0;s=h>>>3;h=Y(m,k)|0;k=h+m|0;t=k<<3;Drc(c|0,0,t|0)|0;v=c+(b+m<<3)|0;if(!g)w=0;else{Drc(g|0,0,t|0)|0;w=g+(s+m<<3)|0}if(!i)x=0;else{Drc(i|0,0,t|0)|0;x=i+(e+m<<3)|0}i=(x|0)==0;if((w|0)==0&i){if((l|0)<=0){u=n;return}t=(h|0)>0;g=r-m|0;y=b-m|0;if((m|0)<=0){u=n;return}z=m+-1|0;A=m<<3;B=v;C=0;D=a;while(1){if(t){E=0;F=B;G=D;while(1){p[F+(o<<3)>>3]=0.0;H=0.0;I=0;do{H=H+ +(d[G+(I<<1)>>1]|0);p[F+(I<<3)>>3]=+p[F+(I-b<<3)>>3]+H;I=I+m|0}while((I|0)<(h|0));E=E+1|0;if((E|0)==(m|0))break;else{F=F+8|0;G=G+2|0}}}else Drc(B+(o<<3)|0,0,A|0)|0;C=C+1|0;if((C|0)==(l|0))break;else{B=B+(z<<3)+8+(y<<3)|0;D=D+(z<<1)+2+(g<<1)|0}}u=n;return}if(i){if((l|0)<=0){u=n;return}i=(h|0)>0;g=r-m|0;z=b-m|0;D=s-m|0;if((m|0)<=0){u=n;return}y=m+-1|0;B=w;C=0;A=v;t=a;while(1){if(i){G=0;F=B;E=A;I=t;while(1){p[E+(o<<3)>>3]=0.0;p[F+(o<<3)>>3]=0.0;H=0.0;J=0.0;K=0;do{L=+(d[I+(K<<1)>>1]|0);J=J+L;H=H+L*L;L=+p[F+(K-s<<3)>>3]+H;p[E+(K<<3)>>3]=+p[E+(K-b<<3)>>3]+J;p[F+(K<<3)>>3]=L;K=K+m|0}while((K|0)<(h|0));G=G+1|0;if((G|0)==(m|0))break;else{F=F+8|0;E=E+8|0;I=I+2|0}}}else{I=0;E=B;F=A;while(1){p[F+(o<<3)>>3]=0.0;p[E+(o<<3)>>3]=0.0;I=I+1|0;if((I|0)==(m|0))break;else{E=E+8|0;F=F+8|0}}}C=C+1|0;if((C|0)==(l|0))break;else{B=B+(y<<3)+8+(D<<3)|0;A=A+(y<<3)+8+(z<<3)|0;t=t+(y<<1)+2+(g<<1)|0}}u=n;return}g=q+8|0;f[q>>2]=g;y=q+4|0;f[y>>2]=k;if(k>>>0>136){t=Dmc(k>>>0>536870911?-1:k<<3)|0;f[q>>2]=t;M=t}else M=g;t=(m|0)>0;do if(t){k=(h|0)==(m|0);z=b+(m<<1)|0;A=x+(m<<3)|0;if((h|0)>0){N=M;O=x;P=0;Q=w;R=v;S=a}else{D=M;B=x;C=0;i=w;F=v;while(1){p[B+(o<<3)>>3]=0.0;p[F+(o<<3)>>3]=0.0;if(k)p[D+(m<<3)>>3]=0.0;if(!i)T=0;else{p[i+(o<<3)>>3]=0.0;T=i+8|0}C=C+1|0;if((C|0)==(m|0))break;else{D=D+8|0;B=B+8|0;i=T;F=F+8|0}}U=M+(m<<3)|0;V=A;W=T;X=a+(m<<1)|0;Z=c+(z<<3)|0;break}while(1){p[O+(o<<3)>>3]=0.0;p[R+(o<<3)>>3]=0.0;F=(Q|0)!=0;if(F){J=0.0;H=0.0;i=0;do{L=+(d[S+(i<<1)>>1]|0);p[O+(i<<3)>>3]=L;p[N+(i<<3)>>3]=L;H=H+L;J=J+L*L;p[R+(i<<3)>>3]=H;p[Q+(i<<3)>>3]=J;i=i+m|0}while((i|0)<(h|0))}else{J=0.0;i=0;do{H=+(d[S+(i<<1)>>1]|0);p[O+(i<<3)>>3]=H;p[N+(i<<3)>>3]=H;J=J+H;p[R+(i<<3)>>3]=J;i=i+m|0}while((i|0)<(h|0))}if(k)p[N+(m<<3)>>3]=0.0;if(F){p[Q+(o<<3)>>3]=0.0;_=Q+8|0}else _=0;P=P+1|0;if((P|0)==(m|0))break;else{N=N+8|0;O=O+8|0;Q=_;R=R+8|0;S=S+2|0}}U=M+(m<<3)|0;V=A;W=_;X=a+(m<<1)|0;Z=c+(z<<3)|0}else{U=M;V=x;W=w;X=a;Z=v}while(0);if((l|0)>1){v=r-m|0;a=b-m|0;w=e-m|0;x=s-m|0;c=0-b|0;_=0-s|0;S=h-m|0;R=(S|0)>(m|0);Q=e+m|0;O=(h|0)>(m|0);h=U;U=V;V=1;N=Z;Z=W;W=X;while(1){X=W+(v<<1)|0;P=N+(a<<3)|0;T=U+(w<<3)|0;k=h+(o<<3)|0;i=(Z|0)==0?0:Z+(x<<3)|0;if(t){B=N+(b<<3)|0;D=k;C=T;E=0;I=P;G=X;K=i;while(1){J=+(d[G>>1]|0);H=J*J;p[I+(o<<3)>>3]=0.0;$=(K|0)!=0;if($)p[K+(o<<3)>>3]=0.0;aa=C+(j<<3)|0;p[C+(o<<3)>>3]=+p[aa>>3];p[I>>3]=J+ +p[I+(c<<3)>>3];if($)p[K>>3]=H+ +p[K+(_<<3)>>3];p[C>>3]=J+ +p[aa>>3]+ +p[D+(m<<3)>>3];if(R)if($){L=J;ba=H;ca=J;aa=m;while(1){da=+p[D+(aa<<3)>>3];p[D+(aa-m<<3)>>3]=L+da;ea=+(d[G+(aa<<1)>>1]|0);fa=ca+ea;ga=ba+ea*ea;p[I+(aa<<3)>>3]=+p[I+(aa-b<<3)>>3]+fa;p[K+(aa<<3)>>3]=ga+ +p[K+(aa-s<<3)>>3];ha=aa+m|0;p[C+(aa<<3)>>3]=da+(ea+ +p[D+(ha<<3)>>3]+ +p[C+(aa-Q<<3)>>3]);if((ha|0)<(S|0)){L=ea;ba=ga;ca=fa;aa=ha}else{ia=ea;ja=ga;ka=fa;la=ha;break}}}else{ca=J;ba=H;L=J;aa=m;while(1){fa=+p[D+(aa<<3)>>3];p[D+(aa-m<<3)>>3]=ca+fa;ga=+(d[G+(aa<<1)>>1]|0);ea=L+ga;da=ba+ga*ga;p[I+(aa<<3)>>3]=+p[I+(aa-b<<3)>>3]+ea;F=aa+m|0;p[C+(aa<<3)>>3]=fa+(ga+ +p[D+(F<<3)>>3]+ +p[C+(aa-Q<<3)>>3]);if((F|0)<(S|0)){ca=ga;ba=da;L=ea;aa=F}else{ia=ga;ja=da;ka=ea;la=F;break}}}else{ia=J;ja=H;ka=J;la=m}if(O){aa=D+(la<<3)|0;L=+p[aa>>3];p[D+(la-m<<3)>>3]=ia+L;ba=+(d[G+(la<<1)>>1]|0);p[I+(la<<3)>>3]=+p[I+(la-b<<3)>>3]+(ka+ba);if($)p[K+(la<<3)>>3]=ja+ba*ba+ +p[K+(la-s<<3)>>3];p[C+(la<<3)>>3]=L+ba+ +p[C+(la-Q<<3)>>3];p[aa>>3]=ba}K=$?K+8|0:0;E=E+1|0;if((E|0)==(m|0))break;else{D=D+8|0;C=C+8|0;I=I+8|0;G=G+2|0}}ma=h;na=U+(e<<3)|0;oa=W+(r<<1)|0;pa=B;qa=K}else{ma=k;na=T;oa=X;pa=P;qa=i}V=V+1|0;if((V|0)==(l|0))break;else{h=ma;U=na;N=pa;Z=qa;W=oa}}}if((M|0)!=(g|0)){Fmc(M);f[q>>2]=g;f[y>>2]=136}u=n;return}function N6(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0,J=0.0,K=0,L=0.0,M=0.0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0,ja=0.0,ka=0.0,la=0.0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0;m=u;u=u+1072|0;o=0-l|0;q=m;r=b>>>2;b=d>>>2;d=i>>>2;i=0-d|0;s=g>>>3;g=Y(l,j)|0;j=g+l|0;t=j<<2;Drc(c|0,0,t|0)|0;v=c+(b+l<<2)|0;if(!e)w=0;else{Drc(e|0,0,j<<3|0)|0;w=e+(s+l<<3)|0}if(!h)x=0;else{Drc(h|0,0,t|0)|0;x=h+(d+l<<2)|0}h=(x|0)==0;if((w|0)==0&h){if((k|0)<=0){u=m;return}t=(g|0)>0;e=r-l|0;y=b-l|0;if((l|0)<=0){u=m;return}z=l+-1|0;A=l<<2;B=v;C=0;D=a;while(1){if(t){E=0;F=B;G=D;while(1){n[F+(o<<2)>>2]=0.0;H=0.0;I=0;do{H=H+ +n[G+(I<<2)>>2];n[F+(I<<2)>>2]=+n[F+(I-b<<2)>>2]+H;I=I+l|0}while((I|0)<(g|0));E=E+1|0;if((E|0)==(l|0))break;else{F=F+4|0;G=G+4|0}}}else Drc(B+(o<<2)|0,0,A|0)|0;C=C+1|0;if((C|0)==(k|0))break;else{B=B+(z<<2)+4+(y<<2)|0;D=D+(z<<2)+4+(e<<2)|0}}u=m;return}if(h){if((k|0)<=0){u=m;return}h=(g|0)>0;e=r-l|0;z=b-l|0;D=s-l|0;if((l|0)<=0){u=m;return}y=l+-1|0;B=w;C=0;A=v;t=a;while(1){if(h){G=0;F=B;E=A;I=t;while(1){n[E+(o<<2)>>2]=0.0;p[F+(o<<3)>>3]=0.0;H=0.0;J=0.0;K=0;do{L=+n[I+(K<<2)>>2];J=J+L;M=L;H=H+M*M;M=+p[F+(K-s<<3)>>3]+H;n[E+(K<<2)>>2]=+n[E+(K-b<<2)>>2]+J;p[F+(K<<3)>>3]=M;K=K+l|0}while((K|0)<(g|0));G=G+1|0;if((G|0)==(l|0))break;else{F=F+8|0;E=E+4|0;I=I+4|0}}}else{I=0;E=B;F=A;while(1){n[F+(o<<2)>>2]=0.0;p[E+(o<<3)>>3]=0.0;I=I+1|0;if((I|0)==(l|0))break;else{E=E+8|0;F=F+4|0}}}C=C+1|0;if((C|0)==(k|0))break;else{B=B+(y<<3)+8+(D<<3)|0;A=A+(y<<2)+4+(z<<2)|0;t=t+(y<<2)+4+(e<<2)|0}}u=m;return}e=q+8|0;f[q>>2]=e;y=q+4|0;f[y>>2]=j;if(j>>>0>264){t=Dmc(j>>>0>1073741823?-1:j<<2)|0;f[q>>2]=t;N=t}else N=e;t=(l|0)>0;do if(t){j=(g|0)==(l|0);z=b+(l<<1)|0;A=x+(l<<2)|0;if((g|0)>0){O=N;P=x;Q=0;R=w;S=v;T=a}else{D=N;B=x;C=0;h=w;F=v;while(1){n[B+(o<<2)>>2]=0.0;n[F+(o<<2)>>2]=0.0;if(j)n[D+(l<<2)>>2]=0.0;if(!h)U=0;else{p[h+(o<<3)>>3]=0.0;U=h+8|0}C=C+1|0;if((C|0)==(l|0))break;else{D=D+4|0;B=B+4|0;h=U;F=F+4|0}}V=N+(l<<2)|0;W=A;X=U;Z=a+(l<<2)|0;_=c+(z<<2)|0;break}while(1){n[P+(o<<2)>>2]=0.0;n[S+(o<<2)>>2]=0.0;F=(R|0)!=0;if(F){J=0.0;H=0.0;h=0;do{M=+n[T+(h<<2)>>2];n[P+(h<<2)>>2]=M;n[O+(h<<2)>>2]=M;H=H+M;L=M;J=J+L*L;n[S+(h<<2)>>2]=H;p[R+(h<<3)>>3]=J;h=h+l|0}while((h|0)<(g|0))}else{J=0.0;h=0;do{H=+n[T+(h<<2)>>2];n[P+(h<<2)>>2]=H;n[O+(h<<2)>>2]=H;J=J+H;n[S+(h<<2)>>2]=J;h=h+l|0}while((h|0)<(g|0))}if(j)n[O+(l<<2)>>2]=0.0;if(F){p[R+(o<<3)>>3]=0.0;$=R+8|0}else $=0;Q=Q+1|0;if((Q|0)==(l|0))break;else{O=O+4|0;P=P+4|0;R=$;S=S+4|0;T=T+4|0}}V=N+(l<<2)|0;W=A;X=$;Z=a+(l<<2)|0;_=c+(z<<2)|0}else{V=N;W=x;X=w;Z=a;_=v}while(0);if((k|0)>1){v=r-l|0;a=b-l|0;w=d-l|0;x=s-l|0;c=0-b|0;$=0-s|0;T=g-l|0;S=(T|0)>(l|0);R=d+l|0;P=(g|0)>(l|0);g=V;V=W;W=1;O=_;_=X;X=Z;while(1){Z=X+(v<<2)|0;Q=O+(a<<2)|0;U=V+(w<<2)|0;j=g+(o<<2)|0;h=(_|0)==0?0:_+(x<<3)|0;if(t){B=O+(b<<2)|0;D=j;C=U;E=0;I=Q;G=Z;K=h;while(1){J=+n[G>>2];H=J;L=H*H;n[I+(o<<2)>>2]=0.0;aa=(K|0)!=0;if(aa)p[K+(o<<3)>>3]=0.0;ba=C+(i<<2)|0;f[C+(o<<2)>>2]=f[ba>>2];n[I>>2]=J+ +n[I+(c<<2)>>2];if(aa)p[K>>3]=L+ +p[K+($<<3)>>3];n[C>>2]=J+ +n[ba>>2]+ +n[D+(l<<2)>>2];if(S)if(aa){H=J;M=L;ca=J;ba=l;while(1){da=+n[D+(ba<<2)>>2];n[D+(ba-l<<2)>>2]=H+da;ea=+n[G+(ba<<2)>>2];fa=ea;ga=ca+ea;ha=M+fa*fa;n[I+(ba<<2)>>2]=+n[I+(ba-b<<2)>>2]+ga;p[K+(ba<<3)>>3]=ha+ +p[K+(ba-s<<3)>>3];ia=ba+l|0;n[C+(ba<<2)>>2]=da+(ea+ +n[D+(ia<<2)>>2]+ +n[C+(ba-R<<2)>>2]);if((ia|0)<(T|0)){H=ea;M=ha;ca=ga;ba=ia}else{ja=ea;ka=ha;la=ga;ma=ia;break}}}else{ca=J;M=L;H=J;ba=l;while(1){ga=+n[D+(ba<<2)>>2];n[D+(ba-l<<2)>>2]=ca+ga;ha=+n[G+(ba<<2)>>2];ea=ha;da=H+ha;fa=M+ea*ea;n[I+(ba<<2)>>2]=+n[I+(ba-b<<2)>>2]+da;F=ba+l|0;n[C+(ba<<2)>>2]=ga+(ha+ +n[D+(F<<2)>>2]+ +n[C+(ba-R<<2)>>2]);if((F|0)<(T|0)){ca=ha;M=fa;H=da;ba=F}else{ja=ha;ka=fa;la=da;ma=F;break}}}else{ja=J;ka=L;la=J;ma=l}if(P){ba=D+(ma<<2)|0;H=+n[ba>>2];n[D+(ma-l<<2)>>2]=ja+H;M=+n[G+(ma<<2)>>2];ca=M;n[I+(ma<<2)>>2]=+n[I+(ma-b<<2)>>2]+(la+M);if(aa)p[K+(ma<<3)>>3]=ka+ca*ca+ +p[K+(ma-s<<3)>>3];n[C+(ma<<2)>>2]=H+M+ +n[C+(ma-R<<2)>>2];n[ba>>2]=M}K=aa?K+8|0:0;E=E+1|0;if((E|0)==(l|0))break;else{D=D+4|0;C=C+4|0;I=I+4|0;G=G+4|0}}na=g;oa=V+(d<<2)|0;pa=X+(r<<2)|0;qa=B;ra=K}else{na=j;oa=U;pa=Z;qa=Q;ra=h}W=W+1|0;if((W|0)==(k|0))break;else{g=na;V=oa;O=qa;_=ra;X=pa}}}if((N|0)!=(e|0)){Fmc(N);f[q>>2]=e;f[y>>2]=264}u=m;return}function O6(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0.0,H=0,I=0.0,J=0,K=0.0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0,ha=0.0,ia=0.0,ja=0.0,ka=0,la=0,ma=0,na=0,oa=0,pa=0;m=u;u=u+1072|0;o=0-l|0;p=m;q=b>>>2;b=d>>>2;d=i>>>2;i=0-d|0;r=g>>>2;g=Y(l,j)|0;j=g+l|0;s=j<<2;Drc(c|0,0,s|0)|0;t=c+(b+l<<2)|0;if(!e)v=0;else{Drc(e|0,0,s|0)|0;v=e+(r+l<<2)|0}if(!h)w=0;else{Drc(h|0,0,s|0)|0;w=h+(d+l<<2)|0}h=(w|0)==0;if((v|0)==0&h){if((k|0)<=0){u=m;return}s=(g|0)>0;e=q-l|0;x=b-l|0;if((l|0)<=0){u=m;return}y=l+-1|0;z=l<<2;A=t;B=0;C=a;while(1){if(s){D=0;E=A;F=C;while(1){n[E+(o<<2)>>2]=0.0;G=0.0;H=0;do{G=G+ +n[F+(H<<2)>>2];n[E+(H<<2)>>2]=+n[E+(H-b<<2)>>2]+G;H=H+l|0}while((H|0)<(g|0));D=D+1|0;if((D|0)==(l|0))break;else{E=E+4|0;F=F+4|0}}}else Drc(A+(o<<2)|0,0,z|0)|0;B=B+1|0;if((B|0)==(k|0))break;else{A=A+(y<<2)+4+(x<<2)|0;C=C+(y<<2)+4+(e<<2)|0}}u=m;return}if(h){if((k|0)<=0){u=m;return}h=(g|0)>0;e=q-l|0;y=b-l|0;C=r-l|0;if((l|0)<=0){u=m;return}x=l+-1|0;A=v;B=0;z=t;s=a;while(1){if(h){F=0;E=A;D=z;H=s;while(1){n[D+(o<<2)>>2]=0.0;n[E+(o<<2)>>2]=0.0;G=0.0;I=0.0;J=0;do{K=+n[H+(J<<2)>>2];I=I+K;G=G+K*K;K=+n[E+(J-r<<2)>>2]+G;n[D+(J<<2)>>2]=+n[D+(J-b<<2)>>2]+I;n[E+(J<<2)>>2]=K;J=J+l|0}while((J|0)<(g|0));F=F+1|0;if((F|0)==(l|0))break;else{E=E+4|0;D=D+4|0;H=H+4|0}}}else{H=0;D=A;E=z;while(1){n[E+(o<<2)>>2]=0.0;n[D+(o<<2)>>2]=0.0;H=H+1|0;if((H|0)==(l|0))break;else{D=D+4|0;E=E+4|0}}}B=B+1|0;if((B|0)==(k|0))break;else{A=A+(x<<2)+4+(C<<2)|0;z=z+(x<<2)+4+(y<<2)|0;s=s+(x<<2)+4+(e<<2)|0}}u=m;return}e=p+8|0;f[p>>2]=e;x=p+4|0;f[x>>2]=j;if(j>>>0>264){s=Dmc(j>>>0>1073741823?-1:j<<2)|0;f[p>>2]=s;L=s}else L=e;s=(l|0)>0;do if(s){j=(g|0)==(l|0);y=b+(l<<1)|0;z=w+(l<<2)|0;if((g|0)>0){M=L;N=w;O=0;P=v;Q=t;R=a}else{C=L;A=w;B=0;h=v;E=t;while(1){n[A+(o<<2)>>2]=0.0;n[E+(o<<2)>>2]=0.0;if(j)n[C+(l<<2)>>2]=0.0;if(!h)S=0;else{n[h+(o<<2)>>2]=0.0;S=h+4|0}B=B+1|0;if((B|0)==(l|0))break;else{C=C+4|0;A=A+4|0;h=S;E=E+4|0}}T=L+(l<<2)|0;U=z;V=S;W=a+(l<<2)|0;X=c+(y<<2)|0;break}while(1){n[N+(o<<2)>>2]=0.0;n[Q+(o<<2)>>2]=0.0;E=(P|0)!=0;if(E){I=0.0;G=0.0;h=0;do{K=+n[R+(h<<2)>>2];n[N+(h<<2)>>2]=K;n[M+(h<<2)>>2]=K;G=G+K;I=I+K*K;n[Q+(h<<2)>>2]=G;n[P+(h<<2)>>2]=I;h=h+l|0}while((h|0)<(g|0))}else{I=0.0;h=0;do{G=+n[R+(h<<2)>>2];n[N+(h<<2)>>2]=G;n[M+(h<<2)>>2]=G;I=I+G;n[Q+(h<<2)>>2]=I;h=h+l|0}while((h|0)<(g|0))}if(j)n[M+(l<<2)>>2]=0.0;if(E){n[P+(o<<2)>>2]=0.0;Z=P+4|0}else Z=0;O=O+1|0;if((O|0)==(l|0))break;else{M=M+4|0;N=N+4|0;P=Z;Q=Q+4|0;R=R+4|0}}T=L+(l<<2)|0;U=z;V=Z;W=a+(l<<2)|0;X=c+(y<<2)|0}else{T=L;U=w;V=v;W=a;X=t}while(0);if((k|0)>1){t=q-l|0;a=b-l|0;v=d-l|0;w=r-l|0;c=0-b|0;Z=0-r|0;R=g-l|0;Q=(R|0)>(l|0);P=d+l|0;N=(g|0)>(l|0);g=T;T=U;U=1;M=X;X=V;V=W;while(1){W=V+(t<<2)|0;O=M+(a<<2)|0;S=T+(v<<2)|0;j=g+(o<<2)|0;h=(X|0)==0?0:X+(w<<2)|0;if(s){A=M+(b<<2)|0;C=j;B=S;D=0;H=O;F=W;J=h;while(1){I=+n[F>>2];G=I*I;n[H+(o<<2)>>2]=0.0;_=(J|0)!=0;if(_)n[J+(o<<2)>>2]=0.0;$=B+(i<<2)|0;f[B+(o<<2)>>2]=f[$>>2];n[H>>2]=I+ +n[H+(c<<2)>>2];if(_)n[J>>2]=G+ +n[J+(Z<<2)>>2];n[B>>2]=I+ +n[$>>2]+ +n[C+(l<<2)>>2];if(Q)if(_){K=I;aa=G;ba=I;$=l;while(1){ca=+n[C+($<<2)>>2];n[C+($-l<<2)>>2]=K+ca;da=+n[F+($<<2)>>2];ea=ba+da;fa=aa+da*da;n[H+($<<2)>>2]=+n[H+($-b<<2)>>2]+ea;n[J+($<<2)>>2]=fa+ +n[J+($-r<<2)>>2];ga=$+l|0;n[B+($<<2)>>2]=ca+(da+ +n[C+(ga<<2)>>2]+ +n[B+($-P<<2)>>2]);if((ga|0)<(R|0)){K=da;aa=fa;ba=ea;$=ga}else{ha=da;ia=fa;ja=ea;ka=ga;break}}}else{ba=I;aa=G;K=I;$=l;while(1){ea=+n[C+($<<2)>>2];n[C+($-l<<2)>>2]=ba+ea;fa=+n[F+($<<2)>>2];da=K+fa;ca=aa+fa*fa;n[H+($<<2)>>2]=+n[H+($-b<<2)>>2]+da;E=$+l|0;n[B+($<<2)>>2]=ea+(fa+ +n[C+(E<<2)>>2]+ +n[B+($-P<<2)>>2]);if((E|0)<(R|0)){ba=fa;aa=ca;K=da;$=E}else{ha=fa;ia=ca;ja=da;ka=E;break}}}else{ha=I;ia=G;ja=I;ka=l}if(N){$=C+(ka<<2)|0;K=+n[$>>2];n[C+(ka-l<<2)>>2]=ha+K;aa=+n[F+(ka<<2)>>2];n[H+(ka<<2)>>2]=+n[H+(ka-b<<2)>>2]+(ja+aa);if(_)n[J+(ka<<2)>>2]=ia+aa*aa+ +n[J+(ka-r<<2)>>2];n[B+(ka<<2)>>2]=K+aa+ +n[B+(ka-P<<2)>>2];n[$>>2]=aa}J=_?J+4|0:0;D=D+1|0;if((D|0)==(l|0))break;else{C=C+4|0;B=B+4|0;H=H+4|0;F=F+4|0}}la=g;ma=T+(d<<2)|0;na=V+(q<<2)|0;oa=A;pa=J}else{la=j;ma=S;na=W;oa=O;pa=h}U=U+1|0;if((U|0)==(k|0))break;else{g=la;T=ma;M=oa;X=pa;V=na}}}if((L|0)!=(e|0)){Fmc(L);f[p>>2]=e;f[x>>2]=264}u=m;return}function P6(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0,J=0.0,K=0,L=0.0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0,ia=0.0,ja=0.0,ka=0.0,la=0,ma=0,na=0,oa=0,pa=0,qa=0;m=u;u=u+1104|0;o=0-l|0;q=m;r=b>>>2;b=d>>>3;d=i>>>3;i=0-d|0;s=g>>>3;g=Y(l,j)|0;j=g+l|0;t=j<<3;Drc(c|0,0,t|0)|0;v=c+(b+l<<3)|0;if(!e)w=0;else{Drc(e|0,0,t|0)|0;w=e+(s+l<<3)|0}if(!h)x=0;else{Drc(h|0,0,t|0)|0;x=h+(d+l<<3)|0}h=(x|0)==0;if((w|0)==0&h){if((k|0)<=0){u=m;return}t=(g|0)>0;e=r-l|0;y=b-l|0;if((l|0)<=0){u=m;return}z=l+-1|0;A=l<<3;B=v;C=0;D=a;while(1){if(t){E=0;F=B;G=D;while(1){p[F+(o<<3)>>3]=0.0;H=0.0;I=0;do{H=H+ +n[G+(I<<2)>>2];p[F+(I<<3)>>3]=+p[F+(I-b<<3)>>3]+H;I=I+l|0}while((I|0)<(g|0));E=E+1|0;if((E|0)==(l|0))break;else{F=F+8|0;G=G+4|0}}}else Drc(B+(o<<3)|0,0,A|0)|0;C=C+1|0;if((C|0)==(k|0))break;else{B=B+(z<<3)+8+(y<<3)|0;D=D+(z<<2)+4+(e<<2)|0}}u=m;return}if(h){if((k|0)<=0){u=m;return}h=(g|0)>0;e=r-l|0;z=b-l|0;D=s-l|0;if((l|0)<=0){u=m;return}y=l+-1|0;B=w;C=0;A=v;t=a;while(1){if(h){G=0;F=B;E=A;I=t;while(1){p[E+(o<<3)>>3]=0.0;p[F+(o<<3)>>3]=0.0;H=0.0;J=0.0;K=0;do{L=+n[I+(K<<2)>>2];J=J+L;H=H+L*L;L=+p[F+(K-s<<3)>>3]+H;p[E+(K<<3)>>3]=+p[E+(K-b<<3)>>3]+J;p[F+(K<<3)>>3]=L;K=K+l|0}while((K|0)<(g|0));G=G+1|0;if((G|0)==(l|0))break;else{F=F+8|0;E=E+8|0;I=I+4|0}}}else{I=0;E=B;F=A;while(1){p[F+(o<<3)>>3]=0.0;p[E+(o<<3)>>3]=0.0;I=I+1|0;if((I|0)==(l|0))break;else{E=E+8|0;F=F+8|0}}}C=C+1|0;if((C|0)==(k|0))break;else{B=B+(y<<3)+8+(D<<3)|0;A=A+(y<<3)+8+(z<<3)|0;t=t+(y<<2)+4+(e<<2)|0}}u=m;return}e=q+8|0;f[q>>2]=e;y=q+4|0;f[y>>2]=j;if(j>>>0>136){t=Dmc(j>>>0>536870911?-1:j<<3)|0;f[q>>2]=t;M=t}else M=e;t=(l|0)>0;do if(t){j=(g|0)==(l|0);z=b+(l<<1)|0;A=x+(l<<3)|0;if((g|0)>0){N=M;O=x;P=0;Q=w;R=v;S=a}else{D=M;B=x;C=0;h=w;F=v;while(1){p[B+(o<<3)>>3]=0.0;p[F+(o<<3)>>3]=0.0;if(j)p[D+(l<<3)>>3]=0.0;if(!h)T=0;else{p[h+(o<<3)>>3]=0.0;T=h+8|0}C=C+1|0;if((C|0)==(l|0))break;else{D=D+8|0;B=B+8|0;h=T;F=F+8|0}}U=M+(l<<3)|0;V=A;W=T;X=a+(l<<2)|0;Z=c+(z<<3)|0;break}while(1){p[O+(o<<3)>>3]=0.0;p[R+(o<<3)>>3]=0.0;F=(Q|0)!=0;if(F){J=0.0;H=0.0;h=0;do{L=+n[S+(h<<2)>>2];p[O+(h<<3)>>3]=L;p[N+(h<<3)>>3]=L;H=H+L;J=J+L*L;p[R+(h<<3)>>3]=H;p[Q+(h<<3)>>3]=J;h=h+l|0}while((h|0)<(g|0))}else{J=0.0;h=0;do{H=+n[S+(h<<2)>>2];p[O+(h<<3)>>3]=H;p[N+(h<<3)>>3]=H;J=J+H;p[R+(h<<3)>>3]=J;h=h+l|0}while((h|0)<(g|0))}if(j)p[N+(l<<3)>>3]=0.0;if(F){p[Q+(o<<3)>>3]=0.0;_=Q+8|0}else _=0;P=P+1|0;if((P|0)==(l|0))break;else{N=N+8|0;O=O+8|0;Q=_;R=R+8|0;S=S+4|0}}U=M+(l<<3)|0;V=A;W=_;X=a+(l<<2)|0;Z=c+(z<<3)|0}else{U=M;V=x;W=w;X=a;Z=v}while(0);if((k|0)>1){v=r-l|0;a=b-l|0;w=d-l|0;x=s-l|0;c=0-b|0;_=0-s|0;S=g-l|0;R=(S|0)>(l|0);Q=d+l|0;O=(g|0)>(l|0);g=U;U=V;V=1;N=Z;Z=W;W=X;while(1){X=W+(v<<2)|0;P=N+(a<<3)|0;T=U+(w<<3)|0;j=g+(o<<3)|0;h=(Z|0)==0?0:Z+(x<<3)|0;if(t){B=N+(b<<3)|0;D=j;C=T;E=0;I=P;G=X;K=h;while(1){J=+n[G>>2];H=J*J;p[I+(o<<3)>>3]=0.0;$=(K|0)!=0;if($)p[K+(o<<3)>>3]=0.0;aa=C+(i<<3)|0;p[C+(o<<3)>>3]=+p[aa>>3];p[I>>3]=J+ +p[I+(c<<3)>>3];if($)p[K>>3]=H+ +p[K+(_<<3)>>3];p[C>>3]=J+ +p[aa>>3]+ +p[D+(l<<3)>>3];if(R)if($){L=J;ba=H;ca=J;aa=l;while(1){da=+p[D+(aa<<3)>>3];p[D+(aa-l<<3)>>3]=L+da;ea=+n[G+(aa<<2)>>2];fa=ca+ea;ga=ba+ea*ea;p[I+(aa<<3)>>3]=+p[I+(aa-b<<3)>>3]+fa;p[K+(aa<<3)>>3]=ga+ +p[K+(aa-s<<3)>>3];ha=aa+l|0;p[C+(aa<<3)>>3]=da+(ea+ +p[D+(ha<<3)>>3]+ +p[C+(aa-Q<<3)>>3]);if((ha|0)<(S|0)){L=ea;ba=ga;ca=fa;aa=ha}else{ia=ea;ja=ga;ka=fa;la=ha;break}}}else{ca=J;ba=H;L=J;aa=l;while(1){fa=+p[D+(aa<<3)>>3];p[D+(aa-l<<3)>>3]=ca+fa;ga=+n[G+(aa<<2)>>2];ea=L+ga;da=ba+ga*ga;p[I+(aa<<3)>>3]=+p[I+(aa-b<<3)>>3]+ea;F=aa+l|0;p[C+(aa<<3)>>3]=fa+(ga+ +p[D+(F<<3)>>3]+ +p[C+(aa-Q<<3)>>3]);if((F|0)<(S|0)){ca=ga;ba=da;L=ea;aa=F}else{ia=ga;ja=da;ka=ea;la=F;break}}}else{ia=J;ja=H;ka=J;la=l}if(O){aa=D+(la<<3)|0;L=+p[aa>>3];p[D+(la-l<<3)>>3]=ia+L;ba=+n[G+(la<<2)>>2];p[I+(la<<3)>>3]=+p[I+(la-b<<3)>>3]+(ka+ba);if($)p[K+(la<<3)>>3]=ja+ba*ba+ +p[K+(la-s<<3)>>3];p[C+(la<<3)>>3]=L+ba+ +p[C+(la-Q<<3)>>3];p[aa>>3]=ba}K=$?K+8|0:0;E=E+1|0;if((E|0)==(l|0))break;else{D=D+8|0;C=C+8|0;I=I+8|0;G=G+4|0}}ma=g;na=U+(d<<3)|0;oa=W+(r<<2)|0;pa=B;qa=K}else{ma=j;na=T;oa=X;pa=P;qa=h}V=V+1|0;if((V|0)==(k|0))break;else{g=ma;U=na;N=pa;Z=qa;W=oa}}}if((M|0)!=(e|0)){Fmc(M);f[q>>2]=e;f[y>>2]=136}u=m;return}function Q6(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0.0,H=0,I=0.0,J=0,K=0.0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0,ha=0.0,ia=0.0,ja=0.0,ka=0,la=0,ma=0,na=0,oa=0,pa=0;m=u;u=u+1104|0;n=0-l|0;o=m;q=b>>>3;b=d>>>3;d=i>>>3;i=0-d|0;r=g>>>3;g=Y(l,j)|0;j=g+l|0;s=j<<3;Drc(c|0,0,s|0)|0;t=c+(b+l<<3)|0;if(!e)v=0;else{Drc(e|0,0,s|0)|0;v=e+(r+l<<3)|0}if(!h)w=0;else{Drc(h|0,0,s|0)|0;w=h+(d+l<<3)|0}h=(w|0)==0;if((v|0)==0&h){if((k|0)<=0){u=m;return}s=(g|0)>0;e=q-l|0;x=b-l|0;if((l|0)<=0){u=m;return}y=l+-1|0;z=l<<3;A=t;B=0;C=a;while(1){if(s){D=0;E=A;F=C;while(1){p[E+(n<<3)>>3]=0.0;G=0.0;H=0;do{G=G+ +p[F+(H<<3)>>3];p[E+(H<<3)>>3]=+p[E+(H-b<<3)>>3]+G;H=H+l|0}while((H|0)<(g|0));D=D+1|0;if((D|0)==(l|0))break;else{E=E+8|0;F=F+8|0}}}else Drc(A+(n<<3)|0,0,z|0)|0;B=B+1|0;if((B|0)==(k|0))break;else{A=A+(y<<3)+8+(x<<3)|0;C=C+(y<<3)+8+(e<<3)|0}}u=m;return}if(h){if((k|0)<=0){u=m;return}h=(g|0)>0;e=q-l|0;y=b-l|0;C=r-l|0;if((l|0)<=0){u=m;return}x=l+-1|0;A=v;B=0;z=t;s=a;while(1){if(h){F=0;E=A;D=z;H=s;while(1){p[D+(n<<3)>>3]=0.0;p[E+(n<<3)>>3]=0.0;G=0.0;I=0.0;J=0;do{K=+p[H+(J<<3)>>3];I=I+K;G=G+K*K;K=+p[E+(J-r<<3)>>3]+G;p[D+(J<<3)>>3]=+p[D+(J-b<<3)>>3]+I;p[E+(J<<3)>>3]=K;J=J+l|0}while((J|0)<(g|0));F=F+1|0;if((F|0)==(l|0))break;else{E=E+8|0;D=D+8|0;H=H+8|0}}}else{H=0;D=A;E=z;while(1){p[E+(n<<3)>>3]=0.0;p[D+(n<<3)>>3]=0.0;H=H+1|0;if((H|0)==(l|0))break;else{D=D+8|0;E=E+8|0}}}B=B+1|0;if((B|0)==(k|0))break;else{A=A+(x<<3)+8+(C<<3)|0;z=z+(x<<3)+8+(y<<3)|0;s=s+(x<<3)+8+(e<<3)|0}}u=m;return}e=o+8|0;f[o>>2]=e;x=o+4|0;f[x>>2]=j;if(j>>>0>136){s=Dmc(j>>>0>536870911?-1:j<<3)|0;f[o>>2]=s;L=s}else L=e;s=(l|0)>0;do if(s){j=(g|0)==(l|0);y=b+(l<<1)|0;z=w+(l<<3)|0;if((g|0)>0){M=L;N=w;O=0;P=v;Q=t;R=a}else{C=L;A=w;B=0;h=v;E=t;while(1){p[A+(n<<3)>>3]=0.0;p[E+(n<<3)>>3]=0.0;if(j)p[C+(l<<3)>>3]=0.0;if(!h)S=0;else{p[h+(n<<3)>>3]=0.0;S=h+8|0}B=B+1|0;if((B|0)==(l|0))break;else{C=C+8|0;A=A+8|0;h=S;E=E+8|0}}T=L+(l<<3)|0;U=z;V=S;W=a+(l<<3)|0;X=c+(y<<3)|0;break}while(1){p[N+(n<<3)>>3]=0.0;p[Q+(n<<3)>>3]=0.0;E=(P|0)!=0;if(E){I=0.0;G=0.0;h=0;do{K=+p[R+(h<<3)>>3];p[N+(h<<3)>>3]=K;p[M+(h<<3)>>3]=K;G=G+K;I=I+K*K;p[Q+(h<<3)>>3]=G;p[P+(h<<3)>>3]=I;h=h+l|0}while((h|0)<(g|0))}else{I=0.0;h=0;do{G=+p[R+(h<<3)>>3];p[N+(h<<3)>>3]=G;p[M+(h<<3)>>3]=G;I=I+G;p[Q+(h<<3)>>3]=I;h=h+l|0}while((h|0)<(g|0))}if(j)p[M+(l<<3)>>3]=0.0;if(E){p[P+(n<<3)>>3]=0.0;Z=P+8|0}else Z=0;O=O+1|0;if((O|0)==(l|0))break;else{M=M+8|0;N=N+8|0;P=Z;Q=Q+8|0;R=R+8|0}}T=L+(l<<3)|0;U=z;V=Z;W=a+(l<<3)|0;X=c+(y<<3)|0}else{T=L;U=w;V=v;W=a;X=t}while(0);if((k|0)>1){t=q-l|0;a=b-l|0;v=d-l|0;w=r-l|0;c=0-b|0;Z=0-r|0;R=g-l|0;Q=(R|0)>(l|0);P=d+l|0;N=(g|0)>(l|0);g=T;T=U;U=1;M=X;X=V;V=W;while(1){W=V+(t<<3)|0;O=M+(a<<3)|0;S=T+(v<<3)|0;j=g+(n<<3)|0;h=(X|0)==0?0:X+(w<<3)|0;if(s){A=M+(b<<3)|0;C=j;B=S;D=0;H=O;F=W;J=h;while(1){I=+p[F>>3];G=I*I;p[H+(n<<3)>>3]=0.0;_=(J|0)!=0;if(_)p[J+(n<<3)>>3]=0.0;$=B+(i<<3)|0;p[B+(n<<3)>>3]=+p[$>>3];p[H>>3]=I+ +p[H+(c<<3)>>3];if(_)p[J>>3]=G+ +p[J+(Z<<3)>>3];p[B>>3]=I+ +p[$>>3]+ +p[C+(l<<3)>>3];if(Q)if(_){K=I;aa=G;ba=I;$=l;while(1){ca=+p[C+($<<3)>>3];p[C+($-l<<3)>>3]=K+ca;da=+p[F+($<<3)>>3];ea=ba+da;fa=aa+da*da;p[H+($<<3)>>3]=+p[H+($-b<<3)>>3]+ea;p[J+($<<3)>>3]=fa+ +p[J+($-r<<3)>>3];ga=$+l|0;p[B+($<<3)>>3]=ca+(da+ +p[C+(ga<<3)>>3]+ +p[B+($-P<<3)>>3]);if((ga|0)<(R|0)){K=da;aa=fa;ba=ea;$=ga}else{ha=da;ia=fa;ja=ea;ka=ga;break}}}else{ba=I;aa=G;K=I;$=l;while(1){ea=+p[C+($<<3)>>3];p[C+($-l<<3)>>3]=ba+ea;fa=+p[F+($<<3)>>3];da=K+fa;ca=aa+fa*fa;p[H+($<<3)>>3]=+p[H+($-b<<3)>>3]+da;E=$+l|0;p[B+($<<3)>>3]=ea+(fa+ +p[C+(E<<3)>>3]+ +p[B+($-P<<3)>>3]);if((E|0)<(R|0)){ba=fa;aa=ca;K=da;$=E}else{ha=fa;ia=ca;ja=da;ka=E;break}}}else{ha=I;ia=G;ja=I;ka=l}if(N){$=C+(ka<<3)|0;K=+p[$>>3];p[C+(ka-l<<3)>>3]=ha+K;aa=+p[F+(ka<<3)>>3];p[H+(ka<<3)>>3]=+p[H+(ka-b<<3)>>3]+(ja+aa);if(_)p[J+(ka<<3)>>3]=ia+aa*aa+ +p[J+(ka-r<<3)>>3];p[B+(ka<<3)>>3]=K+aa+ +p[B+(ka-P<<3)>>3];p[$>>3]=aa}J=_?J+8|0:0;D=D+1|0;if((D|0)==(l|0))break;else{C=C+8|0;B=B+8|0;H=H+8|0;F=F+8|0}}la=g;ma=T+(d<<3)|0;na=V+(q<<3)|0;oa=A;pa=J}else{la=j;ma=S;na=W;oa=O;pa=h}U=U+1|0;if((U|0)==(k|0))break;else{g=la;T=ma;M=oa;X=pa;V=na}}}if((L|0)!=(e|0)){Fmc(L);f[o>>2]=e;f[x>>2]=136}u=m;return}function R6(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;SQ(a,b,c,252815,d);return}function S6(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;h=u;u=u+320|0;i=h+312|0;j=h+304|0;k=h+240|0;l=h+248|0;m=h+184|0;n=h+128|0;o=h+72|0;p=h+8|0;q=h+16|0;r=h;zT(i,54200);s=oD(a,-1)|0;t=s&7;v=s>>>3&511;s=v+1|0;w=((e|0)<1?((t|0)==0?4:6):e)&7;e=(g|0)<1?6:g&7;nD(j,a,-1);g=(f[j>>2]|0)+1|0;x=(f[j+4>>2]|0)+1|0;f[k>>2]=g;f[k+4>>2]=x;j=v<<3;v=w|j;HD(b,k,v,-1,0,0);do if((pD(a)|0)==65536){k=f[a+4>>2]|0;f[l>>2]=f[k>>2];y=l+4|0;z=k+4|0;f[y>>2]=f[z>>2];A=l+8|0;f[A>>2]=f[k+8>>2];f[l+12>>2]=f[k+12>>2];f[l+16>>2]=f[k+16>>2];f[l+20>>2]=f[k+20>>2];f[l+24>>2]=f[k+24>>2];f[l+28>>2]=f[k+28>>2];f[l+32>>2]=f[k+32>>2];B=f[k+36>>2]|0;f[l+36>>2]=B;f[l+40>>2]=A;A=l+48|0;C=l+44|0;f[C>>2]=A;f[A>>2]=0;f[l+52>>2]=0;if(B|0){A=B+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[z>>2]|0)<3){z=f[k+44>>2]|0;A=f[C>>2]|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];break}else{f[y>>2]=0;kP(l,k);break}}else lD(l,a,-1);while(0);do if((pD(b)|0)==65536){a=f[b+4>>2]|0;f[m>>2]=f[a>>2];k=m+4|0;y=a+4|0;f[k>>2]=f[y>>2];z=m+8|0;f[z>>2]=f[a+8>>2];f[m+12>>2]=f[a+12>>2];f[m+16>>2]=f[a+16>>2];f[m+20>>2]=f[a+20>>2];f[m+24>>2]=f[a+24>>2];f[m+28>>2]=f[a+28>>2];f[m+32>>2]=f[a+32>>2];A=f[a+36>>2]|0;f[m+36>>2]=A;f[m+40>>2]=z;z=m+48|0;C=m+44|0;f[C>>2]=z;f[z>>2]=0;f[m+52>>2]=0;if(A|0){z=A+12|0;f[z>>2]=(f[z>>2]|0)+1}if((f[y>>2]|0)<3){y=f[a+44>>2]|0;z=f[C>>2]|0;f[z>>2]=f[y>>2];f[z+4>>2]=f[y+4>>2];break}else{f[k>>2]=0;kP(m,a);break}}else lD(m,b,-1);while(0);f[n>>2]=1124007936;b=n+4|0;a=n+8|0;k=n+40|0;y=b;z=y+36|0;do{f[y>>2]=0;y=y+4|0}while((y|0)<(z|0));f[k>>2]=a;C=n+48|0;A=n+44|0;f[A>>2]=C;f[C>>2]=0;f[n+52>>2]=0;f[o>>2]=1124007936;B=o+4|0;D=o+8|0;E=o+40|0;y=B;z=y+36|0;do{f[y>>2]=0;y=y+4|0}while((y|0)<(z|0));f[E>>2]=D;y=o+48|0;z=o+44|0;f[z>>2]=y;f[y>>2]=0;f[o+52>>2]=0;if(lE(c)|0){f[p>>2]=g;f[p+4>>2]=x;HD(c,p,j|e,-1,0,0);do if((pD(c)|0)==65536){j=f[c+4>>2]|0;f[q>>2]=f[j>>2];p=q+4|0;F=j+4|0;f[p>>2]=f[F>>2];G=q+8|0;f[G>>2]=f[j+8>>2];f[q+12>>2]=f[j+12>>2];f[q+16>>2]=f[j+16>>2];f[q+20>>2]=f[j+20>>2];f[q+24>>2]=f[j+24>>2];f[q+28>>2]=f[j+28>>2];f[q+32>>2]=f[j+32>>2];H=q+36|0;I=f[j+36>>2]|0;f[H>>2]=I;f[q+40>>2]=G;G=q+48|0;J=q+44|0;f[J>>2]=G;f[G>>2]=0;f[q+52>>2]=0;if(I|0){G=I+12|0;f[G>>2]=(f[G>>2]|0)+1}if((f[F>>2]|0)<3){F=f[j+44>>2]|0;G=f[J>>2]|0;f[G>>2]=f[F>>2];f[G+4>>2]=f[F+4>>2];K=H;break}else{f[p>>2]=0;kP(q,j);K=H;break}}else{lD(q,c,-1);K=q+36|0}while(0);c=f[K>>2]|0;if(c|0){H=c+12|0;f[H>>2]=(f[H>>2]|0)+1}H=n+36|0;c=f[H>>2]|0;if(c|0?(j=c+12|0,c=f[j>>2]|0,f[j>>2]=c+-1,(c|0)==1):0)lP(n);f[H>>2]=0;c=n+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){j=f[k>>2]|0;p=0;do{f[j+(p<<2)>>2]=0;p=p+1|0;L=f[b>>2]|0}while((p|0)<(L|0));f[n>>2]=f[q>>2];if((L|0)<3)M=33;else M=35}else{f[n>>2]=f[q>>2];M=33}if((M|0)==33){L=f[q+4>>2]|0;if((L|0)<3){f[b>>2]=L;f[a>>2]=f[q+8>>2];f[n+12>>2]=f[q+12>>2];a=f[q+44>>2]|0;L=f[A>>2]|0;f[L>>2]=f[a>>2];f[L+4>>2]=f[a+4>>2]}else M=35}if((M|0)==35)kP(n,q);a=q+16|0;f[c>>2]=f[a>>2];f[n+20>>2]=f[q+20>>2];f[n+24>>2]=f[q+24>>2];f[n+28>>2]=f[q+28>>2];f[n+32>>2]=f[q+32>>2];c=f[K>>2]|0;f[H>>2]=c;if(c|0?(H=c+12|0,c=f[H>>2]|0,f[H>>2]=c+-1,(c|0)==1):0)lP(q);f[K>>2]=0;K=q+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[K>>2]|0)>0){a=f[q+40>>2]|0;c=0;do{f[a+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[K>>2]|0))}K=f[q+44>>2]|0;if((K|0)!=(q+48|0))tE(K)}if(lE(d)|0){f[r>>2]=g;f[r+4>>2]=x;HD(d,r,v,-1,0,0);do if((pD(d)|0)==65536){v=f[d+4>>2]|0;f[q>>2]=f[v>>2];r=q+4|0;x=v+4|0;f[r>>2]=f[x>>2];g=q+8|0;f[g>>2]=f[v+8>>2];f[q+12>>2]=f[v+12>>2];f[q+16>>2]=f[v+16>>2];f[q+20>>2]=f[v+20>>2];f[q+24>>2]=f[v+24>>2];f[q+28>>2]=f[v+28>>2];f[q+32>>2]=f[v+32>>2];K=q+36|0;c=f[v+36>>2]|0;f[K>>2]=c;f[q+40>>2]=g;g=q+48|0;a=q+44|0;f[a>>2]=g;f[g>>2]=0;f[q+52>>2]=0;if(c|0){g=c+12|0;f[g>>2]=(f[g>>2]|0)+1}if((f[x>>2]|0)<3){x=f[v+44>>2]|0;g=f[a>>2]|0;f[g>>2]=f[x>>2];f[g+4>>2]=f[x+4>>2];N=K;break}else{f[r>>2]=0;kP(q,v);N=K;break}}else{lD(q,d,-1);N=q+36|0}while(0);d=f[N>>2]|0;if(d|0){K=d+12|0;f[K>>2]=(f[K>>2]|0)+1}K=o+36|0;d=f[K>>2]|0;if(d|0?(v=d+12|0,d=f[v>>2]|0,f[v>>2]=d+-1,(d|0)==1):0)lP(o);f[K>>2]=0;d=o+16|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[B>>2]|0)>0){v=f[E>>2]|0;r=0;do{f[v+(r<<2)>>2]=0;r=r+1|0;O=f[B>>2]|0}while((r|0)<(O|0));f[o>>2]=f[q>>2];if((O|0)<3)M=64;else M=66}else{f[o>>2]=f[q>>2];M=64}if((M|0)==64){O=f[q+4>>2]|0;if((O|0)<3){f[B>>2]=O;f[D>>2]=f[q+8>>2];f[o+12>>2]=f[q+12>>2];D=f[q+44>>2]|0;O=f[z>>2]|0;f[O>>2]=f[D>>2];f[O+4>>2]=f[D+4>>2]}else M=66}if((M|0)==66)kP(o,q);M=q+16|0;f[d>>2]=f[M>>2];f[o+20>>2]=f[q+20>>2];f[o+24>>2]=f[q+24>>2];f[o+28>>2]=f[q+28>>2];f[o+32>>2]=f[q+32>>2];D=f[N>>2]|0;f[K>>2]=D;if(D|0?(K=D+12|0,D=f[K>>2]|0,f[K>>2]=D+-1,(D|0)==1):0)lP(q);f[N>>2]=0;N=q+4|0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[N>>2]|0)>0){M=f[q+40>>2]|0;D=0;do{f[M+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[N>>2]|0))}N=f[q+44>>2]|0;if((N|0)!=(q+48|0))tE(N);P=d}else P=o+16|0;d=l+16|0;N=l+44|0;q=l+48|0;D=m+16|0;M=m+44|0;K=m+48|0;O=n+16|0;E6(t,w,e,f[d>>2]|0,f[q>>2]|0,f[D>>2]|0,f[K>>2]|0,f[O>>2]|0,f[C>>2]|0,f[P>>2]|0,f[y>>2]|0,f[l+12>>2]|0,f[l+8>>2]|0,s);s=o+36|0;e=f[s>>2]|0;if(e|0?(w=e+12|0,e=f[w>>2]|0,f[w>>2]=e+-1,(e|0)==1):0)lP(o);f[s>>2]=0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;if((f[B>>2]|0)>0){P=f[E>>2]|0;E=0;do{f[P+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[B>>2]|0))}B=f[z>>2]|0;if((B|0)!=(y|0))tE(B);B=n+36|0;y=f[B>>2]|0;if(y|0?(z=y+12|0,y=f[z>>2]|0,f[z>>2]=y+-1,(y|0)==1):0)lP(n);f[B>>2]=0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;if((f[b>>2]|0)>0){O=f[k>>2]|0;k=0;do{f[O+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[b>>2]|0))}b=f[A>>2]|0;if((b|0)!=(C|0))tE(b);b=m+36|0;C=f[b>>2]|0;if(C|0?(A=C+12|0,C=f[A>>2]|0,f[A>>2]=C+-1,(C|0)==1):0)lP(m);f[b>>2]=0;b=m+4|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[b>>2]|0)>0){D=f[m+40>>2]|0;m=0;do{f[D+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[b>>2]|0))}b=f[M>>2]|0;if((b|0)!=(K|0))tE(b);b=l+36|0;K=f[b>>2]|0;if(K|0?(M=K+12|0,K=f[M>>2]|0,f[M>>2]=K+-1,(K|0)==1):0)lP(l);f[b>>2]=0;b=l+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[l+40>>2]|0;l=0;do{f[d+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[b>>2]|0))}b=f[N>>2]|0;if((b|0)!=(q|0))tE(b);if(!(f[i+4>>2]|0)){u=h;return}u=h;return}function T6(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;zT(e,54220);g=rE()|0;S6(a,b,g,rE()|0,c,-1);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function U6(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;g=u;u=u+16|0;h=g;zT(h,54240);S6(a,b,c,rE()|0,d,e);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function V6(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0;g=u;u=u+496|0;h=g+440|0;i=g+384|0;j=g+328|0;k=g+272|0;l=g+216|0;m=g+160|0;n=g+104|0;o=g+48|0;p=g+32|0;q=g+16|0;r=g;mU(h,a,0,1,0,0);mU(i,c,0,1,0,0);f[j>>2]=f[i>>2];c=j+4|0;a=i+4|0;s=f[a>>2]|0;f[c>>2]=s;t=j+8|0;f[t>>2]=f[i+8>>2];f[j+12>>2]=f[i+12>>2];v=j+16|0;w=i+16|0;f[v>>2]=f[w>>2];f[j+20>>2]=f[i+20>>2];f[j+24>>2]=f[i+24>>2];f[j+28>>2]=f[i+28>>2];f[j+32>>2]=f[i+32>>2];x=j+36|0;y=i+36|0;z=f[y>>2]|0;f[x>>2]=z;A=j+40|0;f[A>>2]=t;t=j+48|0;B=j+44|0;f[B>>2]=t;f[t>>2]=0;f[j+52>>2]=0;if(!z)C=s;else{s=z+12|0;f[s>>2]=(f[s>>2]|0)+1;C=f[a>>2]|0}if((C|0)<3){C=f[i+44>>2]|0;s=f[B>>2]|0;f[s>>2]=f[C>>2];f[s+4>>2]=f[C+4>>2]}else{f[c>>2]=0;kP(j,i)}f[k>>2]=1124007936;C=k+4|0;s=k+8|0;z=k+40|0;D=C;E=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(E|0));f[z>>2]=s;F=k+48|0;G=k+44|0;f[G>>2]=F;f[F>>2]=0;f[k+52>>2]=0;f[l>>2]=1124007936;H=l+4|0;I=l+8|0;J=l+40|0;D=H;E=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(E|0));f[J>>2]=I;K=l+48|0;L=l+44|0;f[L>>2]=K;f[K>>2]=0;f[l+52>>2]=0;f[m>>2]=1124007936;M=m+4|0;N=m+8|0;O=m+40|0;D=M;E=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(E|0));f[O>>2]=N;P=m+48|0;Q=m+44|0;f[Q>>2]=P;f[P>>2]=0;f[m+52>>2]=0;f[n>>2]=1124007936;R=n+4|0;S=n+8|0;T=n+40|0;D=R;E=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(E|0));f[T>>2]=S;U=n+48|0;V=n+44|0;f[V>>2]=U;f[U>>2]=0;f[n+52>>2]=0;if(!d)W=0;else{mU(o,d,0,1,0,0);d=o+36|0;X=f[d>>2]|0;if(X|0){Y=X+12|0;f[Y>>2]=(f[Y>>2]|0)+1}Y=l+36|0;X=f[Y>>2]|0;if(X|0?(Z=X+12|0,X=f[Z>>2]|0,f[Z>>2]=X+-1,(X|0)==1):0)lP(l);f[Y>>2]=0;X=l+16|0;f[X>>2]=0;f[X+4>>2]=0;f[X+8>>2]=0;f[X+12>>2]=0;if((f[H>>2]|0)>0){Z=f[J>>2]|0;_=0;do{f[Z+(_<<2)>>2]=0;_=_+1|0;$=f[H>>2]|0}while((_|0)<($|0));f[l>>2]=f[o>>2];if(($|0)<3)aa=17;else aa=19}else{f[l>>2]=f[o>>2];aa=17}if((aa|0)==17){$=f[o+4>>2]|0;if(($|0)<3){f[H>>2]=$;f[I>>2]=f[o+8>>2];f[l+12>>2]=f[o+12>>2];$=f[o+44>>2]|0;_=f[L>>2]|0;f[_>>2]=f[$>>2];f[_+4>>2]=f[$+4>>2]}else aa=19}if((aa|0)==19)kP(l,o);$=o+16|0;f[X>>2]=f[$>>2];_=l+20|0;f[_>>2]=f[o+20>>2];Z=l+24|0;f[Z>>2]=f[o+24>>2];ba=l+28|0;f[ba>>2]=f[o+28>>2];ca=l+32|0;f[ca>>2]=f[o+32>>2];da=f[d>>2]|0;f[Y>>2]=da;if(da|0){ea=da+12|0;f[ea>>2]=(f[ea>>2]|0)+1}ea=k+36|0;da=f[ea>>2]|0;if(da|0?(fa=da+12|0,da=f[fa>>2]|0,f[fa>>2]=da+-1,(da|0)==1):0)lP(k);f[ea>>2]=0;da=k+16|0;f[da>>2]=0;f[da+4>>2]=0;f[da+8>>2]=0;f[da+12>>2]=0;if((f[C>>2]|0)>0){fa=f[z>>2]|0;ga=0;do{f[fa+(ga<<2)>>2]=0;ga=ga+1|0;ha=f[C>>2]|0}while((ga|0)<(ha|0));f[k>>2]=f[l>>2];if((ha|0)<3)aa=30;else aa=32}else{f[k>>2]=f[l>>2];aa=30}if((aa|0)==30){ha=f[H>>2]|0;if((ha|0)<3){f[C>>2]=ha;f[s>>2]=f[I>>2];f[k+12>>2]=f[l+12>>2];I=f[L>>2]|0;s=f[G>>2]|0;f[s>>2]=f[I>>2];f[s+4>>2]=f[I+4>>2]}else aa=32}if((aa|0)==32)kP(k,l);f[da>>2]=f[X>>2];f[k+20>>2]=f[_>>2];f[k+24>>2]=f[Z>>2];f[k+28>>2]=f[ba>>2];f[k+32>>2]=f[ca>>2];f[ea>>2]=f[Y>>2];Y=f[d>>2]|0;if(Y|0?(ea=Y+12|0,Y=f[ea>>2]|0,f[ea>>2]=Y+-1,(Y|0)==1):0)lP(o);f[d>>2]=0;d=o+4|0;f[$>>2]=0;f[$+4>>2]=0;f[$+8>>2]=0;f[$+12>>2]=0;if((f[d>>2]|0)>0){$=f[o+40>>2]|0;Y=0;do{f[$+(Y<<2)>>2]=0;Y=Y+1|0}while((Y|0)<(f[d>>2]|0))}d=f[o+44>>2]|0;if((d|0)!=(o+48|0))tE(d);W=l}if(!e)ia=0;else{mU(o,e,0,1,0,0);e=o+36|0;d=f[e>>2]|0;if(d|0){Y=d+12|0;f[Y>>2]=(f[Y>>2]|0)+1}Y=n+36|0;d=f[Y>>2]|0;if(d|0?($=d+12|0,d=f[$>>2]|0,f[$>>2]=d+-1,(d|0)==1):0)lP(n);f[Y>>2]=0;d=n+16|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[R>>2]|0)>0){$=f[T>>2]|0;ea=0;do{f[$+(ea<<2)>>2]=0;ea=ea+1|0;ja=f[R>>2]|0}while((ea|0)<(ja|0));f[n>>2]=f[o>>2];if((ja|0)<3)aa=53;else aa=55}else{f[n>>2]=f[o>>2];aa=53}if((aa|0)==53){ja=f[o+4>>2]|0;if((ja|0)<3){f[R>>2]=ja;f[S>>2]=f[o+8>>2];f[n+12>>2]=f[o+12>>2];ja=f[o+44>>2]|0;ea=f[V>>2]|0;f[ea>>2]=f[ja>>2];f[ea+4>>2]=f[ja+4>>2]}else aa=55}if((aa|0)==55)kP(n,o);ja=o+16|0;f[d>>2]=f[ja>>2];ea=n+20|0;f[ea>>2]=f[o+20>>2];$=n+24|0;f[$>>2]=f[o+24>>2];ca=n+28|0;f[ca>>2]=f[o+28>>2];ba=n+32|0;f[ba>>2]=f[o+32>>2];Z=f[e>>2]|0;f[Y>>2]=Z;if(Z|0){_=Z+12|0;f[_>>2]=(f[_>>2]|0)+1}_=m+36|0;Z=f[_>>2]|0;if(Z|0?(X=Z+12|0,Z=f[X>>2]|0,f[X>>2]=Z+-1,(Z|0)==1):0)lP(m);f[_>>2]=0;Z=m+16|0;f[Z>>2]=0;f[Z+4>>2]=0;f[Z+8>>2]=0;f[Z+12>>2]=0;if((f[M>>2]|0)>0){X=f[O>>2]|0;da=0;do{f[X+(da<<2)>>2]=0;da=da+1|0;ka=f[M>>2]|0}while((da|0)<(ka|0));f[m>>2]=f[n>>2];if((ka|0)<3)aa=66;else aa=68}else{f[m>>2]=f[n>>2];aa=66}if((aa|0)==66){ka=f[R>>2]|0;if((ka|0)<3){f[M>>2]=ka;f[N>>2]=f[S>>2];f[m+12>>2]=f[n+12>>2];S=f[V>>2]|0;N=f[Q>>2]|0;f[N>>2]=f[S>>2];f[N+4>>2]=f[S+4>>2]}else aa=68}if((aa|0)==68)kP(m,n);f[Z>>2]=f[d>>2];f[m+20>>2]=f[ea>>2];f[m+24>>2]=f[$>>2];f[m+28>>2]=f[ca>>2];f[m+32>>2]=f[ba>>2];f[_>>2]=f[Y>>2];Y=f[e>>2]|0;if(Y|0?(_=Y+12|0,Y=f[_>>2]|0,f[_>>2]=Y+-1,(Y|0)==1):0)lP(o);f[e>>2]=0;e=o+4|0;f[ja>>2]=0;f[ja+4>>2]=0;f[ja+8>>2]=0;f[ja+12>>2]=0;if((f[e>>2]|0)>0){ja=f[o+40>>2]|0;Y=0;do{f[ja+(Y<<2)>>2]=0;Y=Y+1|0}while((Y|0)<(f[e>>2]|0))}e=f[o+44>>2]|0;if((e|0)!=(o+48|0))tE(e);ia=n}f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=h;e=p+8|0;f[e>>2]=0;f[e+4>>2]=0;f[p>>2]=33619968;f[p+4>>2]=i;e=q+8|0;f[e>>2]=0;f[e+4>>2]=0;if(!W){f[q>>2]=33554432;f[q+4>>2]=0}else{f[q>>2]=33619968;f[q+4>>2]=W}W=r+8|0;f[W>>2]=0;f[W+4>>2]=0;if(!ia){f[r>>2]=33554432;f[r+4>>2]=0}else{f[r>>2]=33619968;f[r+4>>2]=ia}S6(o,p,q,r,f[i>>2]&7,-1);if((f[w>>2]|0)!=(f[v>>2]|0)){f[o>>2]=0;la=o+4|0;f[la>>2]=0;ma=YG(o,81)|0;D=ma;na=253079;E=D+81|0;do{b[D>>0]=b[na>>0]|0;D=D+1|0;na=na+1|0}while((D|0)<(E|0));R6(-215,o,253161,570)}r=l+16|0;q=k+16|0;if((f[r>>2]|0)!=(f[q>>2]|0)){f[o>>2]=0;la=o+4|0;f[la>>2]=0;ma=YG(o,81)|0;D=ma;na=253079;E=D+81|0;do{b[D>>0]=b[na>>0]|0;D=D+1|0;na=na+1|0}while((D|0)<(E|0));R6(-215,o,253161,570)}p=n+16|0;ia=m+16|0;if((f[p>>2]|0)!=(f[ia>>2]|0)){f[o>>2]=0;la=o+4|0;f[la>>2]=0;ma=YG(o,81)|0;D=ma;na=253079;E=D+81|0;do{b[D>>0]=b[na>>0]|0;D=D+1|0;na=na+1|0}while((D|0)<(E|0));R6(-215,o,253161,570)}o=n+36|0;na=f[o>>2]|0;if(na|0?(D=na+12|0,na=f[D>>2]|0,f[D>>2]=na+-1,(na|0)==1):0)lP(n);f[o>>2]=0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[R>>2]|0)>0){p=f[T>>2]|0;T=0;do{f[p+(T<<2)>>2]=0;T=T+1|0}while((T|0)<(f[R>>2]|0))}R=f[V>>2]|0;if((R|0)!=(U|0))tE(R);R=m+36|0;U=f[R>>2]|0;if(U|0?(V=U+12|0,U=f[V>>2]|0,f[V>>2]=U+-1,(U|0)==1):0)lP(m);f[R>>2]=0;f[ia>>2]=0;f[ia+4>>2]=0;f[ia+8>>2]=0;f[ia+12>>2]=0;if((f[M>>2]|0)>0){ia=f[O>>2]|0;O=0;do{f[ia+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[M>>2]|0))}M=f[Q>>2]|0;if((M|0)!=(P|0))tE(M);M=l+36|0;P=f[M>>2]|0;if(P|0?(Q=P+12|0,P=f[Q>>2]|0,f[Q>>2]=P+-1,(P|0)==1):0)lP(l);f[M>>2]=0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[H>>2]|0)>0){r=f[J>>2]|0;J=0;do{f[r+(J<<2)>>2]=0;J=J+1|0}while((J|0)<(f[H>>2]|0))}H=f[L>>2]|0;if((H|0)!=(K|0))tE(H);H=k+36|0;K=f[H>>2]|0;do if(K|0){L=K+12|0;J=f[L>>2]|0;f[L>>2]=J+-1;if((J|0)!=1)break;lP(k)}while(0);f[H>>2]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[C>>2]|0)>0){q=f[z>>2]|0;z=0;do{f[q+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[C>>2]|0))}C=f[G>>2]|0;if((C|0)!=(F|0))tE(C);C=f[x>>2]|0;do if(C|0){F=C+12|0;G=f[F>>2]|0;f[F>>2]=G+-1;if((G|0)!=1)break;lP(j)}while(0);f[x>>2]=0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[c>>2]|0)>0){v=f[A>>2]|0;A=0;do{f[v+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[c>>2]|0))}c=f[B>>2]|0;if((c|0)!=(t|0))tE(c);c=f[y>>2]|0;do if(c|0){t=c+12|0;B=f[t>>2]|0;f[t>>2]=B+-1;if((B|0)!=1)break;lP(i)}while(0);f[y>>2]=0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[a>>2]|0)>0){w=f[i+40>>2]|0;y=0;do{f[w+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[a>>2]|0))}a=f[i+44>>2]|0;if((a|0)!=(i+48|0))tE(a);a=h+36|0;i=f[a>>2]|0;do if(i|0){y=i+12|0;w=f[y>>2]|0;f[y>>2]=w+-1;if((w|0)!=1)break;lP(h)}while(0);f[a>>2]=0;a=h+16|0;i=h+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[i>>2]|0)>0){a=f[h+40>>2]|0;w=0;do{f[a+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[i>>2]|0))}i=f[h+44>>2]|0;if((i|0)==(h+48|0)){u=g;return}tE(i);u=g;return}function W6(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;g=u;u=u+48|0;h=g+8|0;i=g;if(!((c|0)!=0&(d|0)!=0&(e|0)!=0)){f[h>>2]=0;f[h+4>>2]=0;j=YG(h,45)|0;k=253172;l=j+45|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));X6(-215,h,253218,47)}m=f[c>>2]|0;if((((m&-65536|0)==1111621632?(n=f[c+24>>2]|0,(n|0)>0):0)?(f[c+20>>2]|0)>0:0)?f[c+16>>2]|0:0){if((m&4088|0)==0&(n|0)==2){aU(c,h,2,0)|0;o=h}else o=c;c=f[o>>2]|0;h=c&4095;if((c&4094|0)!=12){f[i>>2]=0;f[i+4>>2]=0;j=YG(i,87)|0;k=253270;l=j+87|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));X6(-210,i,253218,63)}n=f[o+24>>2]|0;if((n|0)!=1)if((c&16384|0)==0?1:(f[o+20>>2]|0)!=1){f[i>>2]=0;p=i+4|0;f[p>>2]=0;q=YG(i,75)|0;j=q;k=253358;l=j+75|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));X6(-5,i,253218,68)}else{r=1;s=a&28672;t=h|s;v=c>>>3;w=v&511;x=w+1|0;y=c<<1;z=y&14;A=47696>>>z;B=A&3;C=x<<B;D=o+16|0;E=f[D>>2]|0;F=Y(r,n)|0;fW(t,88,C,E,F,d,e)|0;u=g;return d|0}if(!(c&16384)){f[i>>2]=0;p=i+4|0;f[p>>2]=0;q=YG(i,75)|0;j=q;k=253358;l=j+75|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));X6(-5,i,253218,68)}r=f[o+20>>2]|0;s=a&28672;t=h|s;v=c>>>3;w=v&511;x=w+1|0;y=c<<1;z=y&14;A=47696>>>z;B=A&3;C=x<<B;D=o+16|0;E=f[D>>2]|0;F=Y(r,n)|0;fW(t,88,C,E,F,d,e)|0;u=g;return d|0}f[i>>2]=0;f[i+4>>2]=0;j=YG(i,33)|0;k=253236;l=j+33|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));X6(-5,i,253218,54);return 0}function X6(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;SQ(a,b,c,253434,d);return}function Y6(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return Z6(a,b,c,d,-1)|0}function Z6(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;h=u;u=u+144|0;i=h+72|0;j=h+8|0;k=h+16|0;l=h+128|0;m=h;do if((pD(a)|0)==65536){n=f[a+4>>2]|0;f[i>>2]=f[n>>2];o=i+4|0;p=n+4|0;f[o>>2]=f[p>>2];q=i+8|0;f[q>>2]=f[n+8>>2];f[i+12>>2]=f[n+12>>2];f[i+16>>2]=f[n+16>>2];f[i+20>>2]=f[n+20>>2];f[i+24>>2]=f[n+24>>2];f[i+28>>2]=f[n+28>>2];f[i+32>>2]=f[n+32>>2];r=f[n+36>>2]|0;f[i+36>>2]=r;s=i+40|0;f[s>>2]=q;q=i+48|0;t=i+44|0;f[t>>2]=q;f[q>>2]=0;f[i+52>>2]=0;if(r|0){q=r+12|0;f[q>>2]=(f[q>>2]|0)+1}if((f[p>>2]|0)<3){p=f[n+44>>2]|0;q=f[t>>2]|0;f[q>>2]=f[p>>2];f[q+4>>2]=f[p+4>>2];v=s;break}else{f[o>>2]=0;kP(i,n);v=s;break}}else{lD(i,a,-1);v=i+40|0}while(0);a=f[v>>2]|0;s=f[a>>2]|0;f[j>>2]=f[a+4>>2];f[j+4>>2]=s;HD(c,j,e&7,-1,0,0);do if((pD(c)|0)==65536){j=f[c+4>>2]|0;f[k>>2]=f[j>>2];s=k+4|0;a=j+4|0;f[s>>2]=f[a>>2];n=k+8|0;f[n>>2]=f[j+8>>2];f[k+12>>2]=f[j+12>>2];f[k+16>>2]=f[j+16>>2];f[k+20>>2]=f[j+20>>2];f[k+24>>2]=f[j+24>>2];f[k+28>>2]=f[j+28>>2];f[k+32>>2]=f[j+32>>2];o=f[j+36>>2]|0;f[k+36>>2]=o;f[k+40>>2]=n;n=k+48|0;p=k+44|0;f[p>>2]=n;f[n>>2]=0;f[k+52>>2]=0;if(o|0){n=o+12|0;f[n>>2]=(f[n>>2]|0)+1}if((f[a>>2]|0)<3){a=f[j+44>>2]|0;n=f[p>>2]|0;f[n>>2]=f[a>>2];f[n+4>>2]=f[a+4>>2];break}else{f[s>>2]=0;kP(k,j);break}}else lD(k,c,-1);while(0);switch(e|0){case 4:case 2:break;default:{f[m>>2]=0;f[m+4>>2]=0;e=YG(m,37)|0;c=253501;j=e+37|0;do{b[e>>0]=b[c>>0]|0;e=e+1|0;c=c+1|0}while((e|0)<(j|0));$6(-210,m,253539,4004)}}m=_6(i,k,d,g,l)|0;l=k+36|0;g=f[l>>2]|0;if(g|0?(d=g+12|0,g=f[d>>2]|0,f[d>>2]=g+-1,(g|0)==1):0)lP(k);f[l>>2]=0;l=k+16|0;g=k+4|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[g>>2]|0)>0){l=f[k+40>>2]|0;d=0;do{f[l+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[g>>2]|0))}g=f[k+44>>2]|0;if((g|0)!=(k+48|0))tE(g);g=i+36|0;k=f[g>>2]|0;if(k|0?(d=k+12|0,k=f[d>>2]|0,f[d>>2]=k+-1,(k|0)==1):0)lP(i);f[g>>2]=0;g=i+16|0;k=i+4|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[k>>2]|0)>0){g=f[v>>2]|0;v=0;do{f[g+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[k>>2]|0))}k=f[i+44>>2]|0;if((k|0)==(i+48|0)){u=h;return m|0}tE(k);u=h;return m|0}function _6(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;h=u;u=u+16|0;i=h;j=h+13|0;k=h+12|0;l=h+11|0;m=h+10|0;n=h+9|0;o=h+8|0;p=f[c>>2]|0;if(p&4088|0){f[i>>2]=0;q=i+4|0;f[q>>2]=0;r=YG(i,38)|0;s=r;t=253640;v=s+38|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));$6(-215,i,253679,3927)}w=f[a>>2]|0;if(w&4088|0){f[i>>2]=0;q=i+4|0;f[q>>2]=0;r=YG(i,38)|0;s=r;t=253640;v=s+38|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));$6(-215,i,253679,3927)}r=(d|0)==8;q=(d|0)==4;switch(d|0){case 4:case 8:break;default:{f[i>>2]=0;f[i+4>>2]=0;s=YG(i,38)|0;t=290876;v=s+38|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));$6(-215,i,253679,3928)}}x=(e|0)==1;y=(e|0)==0;z=(e|0)==-1;switch(e|0){case 0:case 1:case -1:break;default:{f[i>>2]=0;f[i+4>>2]=0;s=YG(i,67)|0;t=253704;v=s+67|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));$6(-215,i,253679,3929)}}e=p&7;A=rU()|0;B=pU()|0;if((w&6|1|0)!=1){f[i>>2]=0;f[i+4>>2]=0;s=YG(i,34)|0;t=253772;v=s+34|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));$6(-215,i,253679,3936)}if((A|0)!=0&(B|0)>1)C=((f[c+8>>2]|0)/(B|0)|0|0)>1;else C=0;B=(e|0)==0;a:do if(q|y){if(!B){switch(p&7){case 2:{D=(a7(j,a,c,d,g)|0)&65535;u=h;return D|0}case 4:break;default:break a}if(C){D=c7(l,a,c,d,g)|0;u=h;return D|0}else{D=b7(k,a,c,d,g)|0;u=h;return D|0}}}else if(!(B|r&(x|z)^1)){switch(p&7){case 2:{D=(d7(m,a,c,d,g)|0)&65535;u=h;return D|0}case 4:break;default:break a}if(C){D=f7(o,a,c,d,g)|0;u=h;return D|0}else{D=e7(n,a,c,d,g)|0;u=h;return D|0}}while(0);f[i>>2]=0;f[i+4>>2]=0;s=YG(i,28)|0;t=253807;v=s+28|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));$6(-210,i,253679,3982);return 0}function $6(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;SQ(a,b,c,253559,d);return}function a7(a,c,e,g,h){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;h=u;u=u+16|0;a=h;i=f[e+8>>2]|0;if((i|0)!=(f[c+8>>2]|0)){f[a>>2]=0;f[a+4>>2]=0;k=YG(a,26)|0;l=254301;m=k+26|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));$6(-215,a,523657,656)}n=f[e+12>>2]|0;if((n|0)!=(f[c+12>>2]|0)){f[a>>2]=0;f[a+4>>2]=0;k=YG(a,26)|0;l=254328;m=k+26|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));$6(-215,a,523657,657)}switch(g|0){case 4:case 8:break;default:{f[a>>2]=0;f[a+4>>2]=0;k=YG(a,38)|0;l=290876;m=k+38|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));$6(-215,a,523657,658)}}a=sE((Y(n,i)|0)+3&-2)|0;d[a>>1]=0;l=(i|0)>0;if((g|0)==8){if(!l){o=1;tE(a);u=h;return o|0}g=(n|0)>0;k=n+-1|0;m=f[c+16>>2]|0;p=f[f[c+44>>2]>>2]|0;q=f[e+16>>2]|0;r=f[f[e+44>>2]>>2]|0;s=0-p|0;t=0-r|0;v=1;w=0;while(1){x=m+(Y(p,w)|0)|0;y=x+s|0;z=q+(Y(r,w)|0)|0;A=z+t|0;if(g){B=(w|0)>0;C=0;D=v;while(1){a:do if(!(b[x+C>>0]|0)){d[z+(C<<1)>>1]=0;E=D}else{if(B){if(b[y+C>>0]|0){d[z+(C<<1)>>1]=d[A+(C<<1)>>1]|0;E=D;break}F=(C|0)>0;if((C|0)<(k|0)?(G=C+1|0,b[y+G>>0]|0):0){H=d[A+(G<<1)>>1]|0;do if(F){G=C+-1|0;if(!(b[y+G>>0]|0)){I=C+-1|0;if(!(b[x+I>>0]|0)){J=H;break}K=d[z+(I<<1)>>1]|0;I=K;while(1){L=d[a+((I&65535)<<1)>>1]|0;if((L&65535)<(I&65535))I=L;else break}if(K<<16>>16==H<<16>>16)M=I;else{L=H;while(1){N=d[a+((L&65535)<<1)>>1]|0;if((N&65535)<(L&65535))L=N;else break}N=(I&65535)>(L&65535)?L:I;O=H;do{P=a+((O&65535)<<1)|0;Q=O;O=d[P>>1]|0;d[P>>1]=N}while((O&65535)<(Q&65535));M=N}N=K;do{O=a+((N&65535)<<1)|0;I=N;N=d[O>>1]|0;d[O>>1]=M}while((N&65535)<(I&65535));J=M}else{N=d[A+(G<<1)>>1]|0;K=N;while(1){I=d[a+((K&65535)<<1)>>1]|0;if((I&65535)<(K&65535))K=I;else break}if(N<<16>>16==H<<16>>16)R=K;else{G=H;while(1){I=d[a+((G&65535)<<1)>>1]|0;if((I&65535)<(G&65535))G=I;else break}I=(K&65535)>(G&65535)?G:K;O=H;do{L=a+((O&65535)<<1)|0;Q=O;O=d[L>>1]|0;d[L>>1]=I}while((O&65535)<(Q&65535));R=I}I=N;do{O=a+((I&65535)<<1)|0;K=I;I=d[O>>1]|0;d[O>>1]=R}while((I&65535)<(K&65535));d[z+(C<<1)>>1]=R;E=D;break a}}else J=H;while(0);d[z+(C<<1)>>1]=J;E=D;break}if(F){H=C+-1|0;if(!(b[y+H>>0]|0))S=46;else{d[z+(C<<1)>>1]=d[A+(H<<1)>>1]|0;E=D;break}}}else if((C|0)>0)S=46;if((S|0)==46?(S=0,H=C+-1|0,b[x+H>>0]|0):0){d[z+(C<<1)>>1]=d[z+(H<<1)>>1]|0;E=D;break}d[z+(C<<1)>>1]=D;H=D&65535;d[a+(H<<1)>>1]=D;E=H+1&65535}while(0);C=C+1|0;if((C|0)==(n|0)){T=E;break}else D=E}}else T=v;w=w+1|0;if((w|0)==(i|0)){U=T;break}else v=T}}else{if(!l){o=1;tE(a);u=h;return o|0}T=(n|0)>0;v=f[c+16>>2]|0;w=f[f[c+44>>2]>>2]|0;c=f[e+16>>2]|0;E=f[f[e+44>>2]>>2]|0;S=0-w|0;J=0-E|0;R=0;M=1;while(1){k=v+(Y(w,R)|0)|0;g=k+S|0;t=c+(Y(E,R)|0)|0;r=t+J|0;b:do if(T){if((R|0)>0){V=0;W=M}else{q=0;s=M;while(1){do if(!(b[k+q>>0]|0)){d[t+(q<<1)>>1]=0;X=s}else{if((q|0)>0?(p=q+-1|0,b[k+p>>0]|0):0){d[t+(q<<1)>>1]=d[t+(p<<1)>>1]|0;X=s;break}d[t+(q<<1)>>1]=s;p=s&65535;d[a+(p<<1)>>1]=s;X=p+1&65535}while(0);q=q+1|0;if((q|0)==(n|0)){Z=X;break b}else s=X}}while(1){do if(!(b[k+V>>0]|0)){d[t+(V<<1)>>1]=0;_=W}else{s=(V|0)>0;if(!(b[g+V>>0]|0)){if(s?(q=V+-1|0,b[k+q>>0]|0):0){d[t+(V<<1)>>1]=d[t+(q<<1)>>1]|0;_=W;break}d[t+(V<<1)>>1]=W;q=W&65535;d[a+(q<<1)>>1]=W;_=q+1&65535;break}q=d[r+(V<<1)>>1]|0;if(s?(s=V+-1|0,(b[k+s>>0]|0)!=0):0){F=d[t+(s<<1)>>1]|0;s=F;while(1){p=d[a+((s&65535)<<1)>>1]|0;if((p&65535)<(s&65535))s=p;else break}if(F<<16>>16==q<<16>>16)$=s;else{p=q;while(1){m=d[a+((p&65535)<<1)>>1]|0;if((m&65535)<(p&65535))p=m;else break}m=(s&65535)>(p&65535)?p:s;D=q;do{C=a+((D&65535)<<1)|0;z=D;D=d[C>>1]|0;d[C>>1]=m}while((D&65535)<(z&65535));$=m}m=F;do{D=a+((m&65535)<<1)|0;s=m;m=d[D>>1]|0;d[D>>1]=$}while((m&65535)<(s&65535));aa=$}else aa=q;d[t+(V<<1)>>1]=aa;_=W}while(0);V=V+1|0;if((V|0)==(n|0)){Z=_;break}else W=_}}else Z=M;while(0);R=R+1|0;if((R|0)==(i|0)){U=Z;break}else M=Z}}if((U&65535)>1){Z=U&65535;U=1;M=1;while(1){R=a+(M<<1)|0;_=j[R>>1]|0;if(_>>>0<M>>>0){d[R>>1]=d[a+(_<<1)>>1]|0;ba=U}else{d[R>>1]=U;ba=(U&65535)+1&65535}M=M+1|0;if((M|0)==(Z|0)){ca=ba;break}else U=ba}}else ca=1;if(!l){o=ca;tE(a);u=h;return o|0}l=f[e+16>>2]|0;ba=f[f[e+44>>2]>>2]|0;e=0;do{U=l+(Y(ba,e)|0)|0;Z=U+(n<<1)|0;if((U|0)!=(Z|0)){M=U;do{d[M>>1]=d[a+(j[M>>1]<<1)>>1]|0;M=M+2|0}while((M|0)!=(Z|0))}e=e+1|0}while((e|0)!=(i|0));o=ca;tE(a);u=h;return o|0}function b7(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0;g=u;u=u+16|0;a=g;h=f[d+8>>2]|0;if((h|0)!=(f[c+8>>2]|0)){f[a>>2]=0;f[a+4>>2]=0;i=YG(a,26)|0;j=254301;k=i+26|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));$6(-215,a,523657,656)}l=f[d+12>>2]|0;if((l|0)!=(f[c+12>>2]|0)){f[a>>2]=0;f[a+4>>2]=0;i=YG(a,26)|0;j=254328;k=i+26|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));$6(-215,a,523657,657)}switch(e|0){case 4:case 8:break;default:{f[a>>2]=0;f[a+4>>2]=0;i=YG(a,38)|0;j=290876;k=i+38|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));$6(-215,a,523657,658)}}a=sE((((Y(l,h)|0)+1|0)>>>1<<2)+4|0)|0;f[a>>2]=0;j=(h|0)>0;if((e|0)==8){if(!j){m=1;tE(a);u=g;return m|0}e=(l|0)>0;i=l+-1|0;k=f[c+16>>2]|0;n=f[c+44>>2]|0;o=f[d+16>>2]|0;p=f[d+44>>2]|0;q=1;r=0;while(1){s=f[n>>2]|0;t=k+(Y(s,r)|0)|0;v=t+(0-s)|0;s=f[p>>2]|0;w=o+(Y(s,r)|0)|0;x=w+(0-s)|0;if(e){s=(r|0)>0;y=0;z=q;while(1){a:do if(!(b[t+y>>0]|0)){f[w+(y<<2)>>2]=0;A=z}else{if(s){if(b[v+y>>0]|0){f[w+(y<<2)>>2]=f[x+(y<<2)>>2];A=z;break}B=(y|0)>0;if((y|0)<(i|0)?(C=y+1|0,b[v+C>>0]|0):0){D=f[x+(C<<2)>>2]|0;do if(B){C=y+-1|0;if(!(b[v+C>>0]|0)){E=y+-1|0;if(!(b[t+E>>0]|0)){F=D;break}G=f[w+(E<<2)>>2]|0;E=G;while(1){H=f[a+(E<<2)>>2]|0;if((H|0)<(E|0))E=H;else break}if((G|0)==(D|0))I=E;else{H=D;while(1){J=f[a+(H<<2)>>2]|0;if((J|0)<(H|0))H=J;else break}J=(E|0)>(H|0)?H:E;K=D;do{L=a+(K<<2)|0;M=K;K=f[L>>2]|0;f[L>>2]=J}while((K|0)<(M|0));I=J}J=G;do{K=a+(J<<2)|0;E=J;J=f[K>>2]|0;f[K>>2]=I}while((J|0)<(E|0));F=I}else{J=f[x+(C<<2)>>2]|0;G=J;while(1){E=f[a+(G<<2)>>2]|0;if((E|0)<(G|0))G=E;else break}if((J|0)==(D|0))N=G;else{C=D;while(1){E=f[a+(C<<2)>>2]|0;if((E|0)<(C|0))C=E;else break}E=(G|0)>(C|0)?C:G;K=D;do{H=a+(K<<2)|0;M=K;K=f[H>>2]|0;f[H>>2]=E}while((K|0)<(M|0));N=E}E=J;do{K=a+(E<<2)|0;G=E;E=f[K>>2]|0;f[K>>2]=N}while((E|0)<(G|0));f[w+(y<<2)>>2]=N;A=z;break a}}else F=D;while(0);f[w+(y<<2)>>2]=F;A=z;break}if(B){D=y+-1|0;if(!(b[v+D>>0]|0))O=46;else{f[w+(y<<2)>>2]=f[x+(D<<2)>>2];A=z;break}}}else if((y|0)>0)O=46;if((O|0)==46?(O=0,D=y+-1|0,b[t+D>>0]|0):0){f[w+(y<<2)>>2]=f[w+(D<<2)>>2];A=z;break}f[w+(y<<2)>>2]=z;f[a+(z<<2)>>2]=z;A=z+1|0}while(0);y=y+1|0;if((y|0)==(l|0)){P=A;break}else z=A}}else P=q;r=r+1|0;if((r|0)==(h|0)){Q=P;break}else q=P}}else{if(!j){m=1;tE(a);u=g;return m|0}P=(l|0)>0;q=f[c+16>>2]|0;r=f[c+44>>2]|0;c=f[d+16>>2]|0;A=f[d+44>>2]|0;O=0;F=1;while(1){N=f[r>>2]|0;I=q+(Y(N,O)|0)|0;i=I+(0-N)|0;N=f[A>>2]|0;e=c+(Y(N,O)|0)|0;o=e+(0-N)|0;b:do if(P){if((O|0)>0){R=0;S=F}else{N=0;p=F;while(1){do if(!(b[I+N>>0]|0)){f[e+(N<<2)>>2]=0;T=p}else{if((N|0)>0?(k=N+-1|0,b[I+k>>0]|0):0){f[e+(N<<2)>>2]=f[e+(k<<2)>>2];T=p;break}f[e+(N<<2)>>2]=p;f[a+(p<<2)>>2]=p;T=p+1|0}while(0);N=N+1|0;if((N|0)==(l|0)){U=T;break b}else p=T}}while(1){do if(!(b[I+R>>0]|0)){f[e+(R<<2)>>2]=0;V=S}else{p=(R|0)>0;if(!(b[i+R>>0]|0)){if(p?(N=R+-1|0,b[I+N>>0]|0):0){f[e+(R<<2)>>2]=f[e+(N<<2)>>2];V=S;break}f[e+(R<<2)>>2]=S;f[a+(S<<2)>>2]=S;V=S+1|0;break}N=f[o+(R<<2)>>2]|0;if(p?(p=R+-1|0,(b[I+p>>0]|0)!=0):0){B=f[e+(p<<2)>>2]|0;p=B;while(1){k=f[a+(p<<2)>>2]|0;if((k|0)<(p|0))p=k;else break}if((B|0)==(N|0))W=p;else{k=N;while(1){n=f[a+(k<<2)>>2]|0;if((n|0)<(k|0))k=n;else break}n=(p|0)>(k|0)?k:p;z=N;do{y=a+(z<<2)|0;w=z;z=f[y>>2]|0;f[y>>2]=n}while((z|0)<(w|0));W=n}n=B;do{z=a+(n<<2)|0;p=n;n=f[z>>2]|0;f[z>>2]=W}while((n|0)<(p|0));X=W}else X=N;f[e+(R<<2)>>2]=X;V=S}while(0);R=R+1|0;if((R|0)==(l|0)){U=V;break}else S=V}}else U=F;while(0);O=O+1|0;if((O|0)==(h|0)){Q=U;break}else F=U}}if((Q|0)>1){U=1;F=1;while(1){O=a+(F<<2)|0;V=f[O>>2]|0;if((V|0)<(F|0)){f[O>>2]=f[a+(V<<2)>>2];Z=U}else{f[O>>2]=U;Z=U+1|0}F=F+1|0;if((F|0)==(Q|0)){_=Z;break}else U=Z}}else _=1;if(!j){m=_;tE(a);u=g;return m|0}j=f[d+16>>2]|0;Z=f[d+44>>2]|0;d=0;do{U=j+(Y(f[Z>>2]|0,d)|0)|0;Q=U+(l<<2)|0;if((U|0)!=(Q|0)){F=U;do{f[F>>2]=f[a+(f[F>>2]<<2)>>2];F=F+4|0}while((F|0)!=(Q|0))}d=d+1|0}while((d|0)!=(h|0));m=_;tE(a);u=g;return m|0}function c7(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;a=u;u=u+48|0;h=a+32|0;i=a+24|0;j=a;k=f[c+8>>2]|0;l=d+8|0;if((k|0)!=(f[l>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,26)|0;n=253836;o=m+26|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));$6(-215,h,523657,578)}p=f[c+12>>2]|0;q=d+12|0;if((p|0)!=(f[q>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,26)|0;n=253863;o=m+26|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));$6(-215,h,523657,579)}switch(e|0){case 4:case 8:break;default:{f[h>>2]=0;f[h+4>>2]=0;m=YG(h,38)|0;n=290876;o=m+38|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));$6(-215,h,523657,580)}}n=((Y(p,k)|0)+1|0)>>>1;m=sE(k<<2)|0;o=sE((n<<2)+4|0)|0;f[o>>2]=0;f[h>>2]=0;f[h+4>>2]=k;n=(k|0)/2|0;r=(pU()|0)<<2;s=(r|0)<(n|0)?r:n;t=+(((s|0)>1?s:1)|0);f[i>>2]=1;if((e|0)==8){f[j>>2]=54308;f[j+4>>2]=c;f[j+8>>2]=d;f[j+12>>2]=o;f[j+16>>2]=m;oU(h,j,t);l7(d,o,m);if((k|0)>0){e=(p+1|0)/2|0;s=0;do{n=s+1|0;r=(Y((n|0)/2|0,e)|0)+1|0;v=f[m+(n<<2)>>2]|0;n=v+r|0;if((v|0)>0){v=r;do{r=o+(v<<2)|0;w=f[r>>2]|0;if((w|0)<(v|0))f[r>>2]=f[o+(w<<2)>>2];else{f[r>>2]=f[i>>2];f[i>>2]=(f[i>>2]|0)+1}v=v+1|0}while((v|0)<(n|0))}s=f[m+(s<<2)>>2]|0}while((s|0)<(k|0))}}else{f[j>>2]=54328;f[j+4>>2]=c;f[j+8>>2]=d;f[j+12>>2]=o;f[j+16>>2]=m;oU(h,j,t);c=f[q>>2]|0;q=f[l>>2]|0;l=f[m>>2]|0;a:do if((l|0)<(q|0)){s=f[d+16>>2]|0;e=f[d+44>>2]|0;if((c|0)>0)x=l;else{n=l;while(1){n=f[m+(n<<2)>>2]|0;if((n|0)>=(q|0))break a}}do{n=f[e>>2]|0;v=s+(Y(n,x)|0)|0;r=v+(0-n)|0;n=0;do{w=v+(n<<2)|0;y=f[w>>2]|0;if((y|0)>0?(z=f[r+(n<<2)>>2]|0,(z|0)>0):0){A=z;while(1){B=f[o+(A<<2)>>2]|0;if((B|0)<(A|0))A=B;else break}if((z|0)==(y|0))C=A;else{B=y;while(1){D=f[o+(B<<2)>>2]|0;if((D|0)<(B|0))B=D;else break}D=(A|0)>(B|0)?B:A;E=y;do{F=o+(E<<2)|0;G=E;E=f[F>>2]|0;f[F>>2]=D}while((E|0)<(G|0));C=D}D=z;do{E=o+(D<<2)|0;y=D;D=f[E>>2]|0;f[E>>2]=C}while((D|0)<(y|0));f[w>>2]=C}n=n+1|0}while((n|0)!=(c|0));x=f[m+(x<<2)>>2]|0}while((x|0)<(q|0))}while(0);if((k|0)>0){q=0;do{x=(((Y(q,p)|0)+1|0)/2|0)+1|0;c=f[m+(q+1<<2)>>2]|0;C=c+x|0;if((c|0)>0){c=x;do{x=o+(c<<2)|0;l=f[x>>2]|0;if((l|0)<(c|0))f[x>>2]=f[o+(l<<2)>>2];else{f[x>>2]=f[i>>2];f[i>>2]=(f[i>>2]|0)+1}c=c+1|0}while((c|0)<(C|0))}q=f[m+(q<<2)>>2]|0}while((q|0)<(k|0))}}q=Dmc((k|0)>-1?k:-1)|0;f[j>>2]=54348;f[j+4>>2]=d;f[j+8>>2]=o;f[j+12>>2]=g;f[j+16>>2]=q;f[j+20>>2]=i;oU(h,j,t);Fmc(q);tE(m);tE(o);u=a;return f[i>>2]|0}function d7(a,c,e,g,h){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0;h=u;u=u+16|0;a=h;i=f[c+8>>2]|0;k=e+8|0;if((i|0)!=(f[k>>2]|0)){f[a>>2]=0;f[a+4>>2]=0;l=YG(a,26)|0;m=253836;n=l+26|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));$6(-215,a,523657,2589)}o=f[c+12>>2]|0;p=e+12|0;if((o|0)!=(f[p>>2]|0)){f[a>>2]=0;f[a+4>>2]=0;l=YG(a,26)|0;m=253863;n=l+26|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));$6(-215,a,523657,2590)}if((g|0)!=8){f[a>>2]=0;f[a+4>>2]=0;l=YG(a,17)|0;m=253890;n=l+17|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));$6(-215,a,523657,2591)}a=sE((Y(((i+1|0)/2|0)<<1,(o+1|0)/2|0)|0)+2|0)|0;d[a>>1]=0;if((i|0)>0){m=c+16|0;l=c+44|0;n=e+16|0;g=e+44|0;q=(o|0)>0;r=1;s=0;while(1){t=f[f[l>>2]>>2]|0;v=(f[m>>2]|0)+(Y(t,s)|0)|0;w=0-t|0;x=v+w|0;y=x+w|0;w=v+t|0;t=f[f[g>>2]>>2]|0;z=(f[n>>2]|0)+(Y(t,s)|0)|0;A=0-t|0;t=z+A+A|0;if(q){A=(s|1|0)<(i|0);B=(s|0)>0;C=B^1;D=(s+-2|0)>-1;E=0;F=r;while(1){a:do if(!(b[v+E>>0]|0)){G=E|1;H=(G|0)<(o|0);if(A?b[w+E>>0]|0:0){I=E+-1|0;J=(E|0)>0;if(H?b[v+G>>0]|0:0){do if(J){if(b[v+I>>0]|0){do if(B){if(b[x+G>>0]|0){if(b[x+E>>0]|0){d[z+(E<<1)>>1]=d[z+(E+-2<<1)>>1]|0;K=F;break a}do if(D){if(!(b[y+E>>0]|0))break;L=E+-2|0;if(b[x+I>>0]|0){d[z+(E<<1)>>1]=d[z+(L<<1)>>1]|0;K=F;break a}do if((L|0)>-1){if(!(b[x+L>>0]|0))break;if(b[y+I>>0]|0){d[z+(E<<1)>>1]=d[z+(L<<1)>>1]|0;K=F;break a}M=d[t+(E<<1)>>1]|0;N=d[z+(L<<1)>>1]|0;O=M;while(1){P=d[a+((O&65535)<<1)>>1]|0;if((P&65535)<(O&65535))O=P;else break}if(M<<16>>16==N<<16>>16)Q=O;else{P=N;while(1){R=d[a+((P&65535)<<1)>>1]|0;if((R&65535)<(P&65535))P=R;else break}R=(O&65535)>(P&65535)?P:O;S=N;do{T=a+((S&65535)<<1)|0;U=S;S=d[T>>1]|0;d[T>>1]=R}while((S&65535)<(U&65535));Q=R}R=M;do{S=a+((R&65535)<<1)|0;N=R;R=d[S>>1]|0;d[S>>1]=Q}while((R&65535)<(N&65535));d[z+(E<<1)>>1]=Q;K=F;break a}while(0);R=d[t+(E<<1)>>1]|0;M=d[z+(L<<1)>>1]|0;N=R;while(1){S=d[a+((N&65535)<<1)>>1]|0;if((S&65535)<(N&65535))N=S;else break}if(R<<16>>16==M<<16>>16)V=N;else{L=M;while(1){S=d[a+((L&65535)<<1)>>1]|0;if((S&65535)<(L&65535))L=S;else break}S=(N&65535)>(L&65535)?L:N;O=M;do{P=a+((O&65535)<<1)|0;U=O;O=d[P>>1]|0;d[P>>1]=S}while((O&65535)<(U&65535));V=S}S=R;do{O=a+((S&65535)<<1)|0;M=S;S=d[O>>1]|0;d[O>>1]=V}while((S&65535)<(M&65535));d[z+(E<<1)>>1]=V;K=F;break a}while(0);S=d[t+(E<<1)>>1]|0;R=d[z+(E+-2<<1)>>1]|0;M=S;while(1){O=d[a+((M&65535)<<1)>>1]|0;if((O&65535)<(M&65535))M=O;else break}if(S<<16>>16==R<<16>>16)W=M;else{O=R;while(1){N=d[a+((O&65535)<<1)>>1]|0;if((N&65535)<(O&65535))O=N;else break}N=(M&65535)>(O&65535)?O:M;L=R;do{U=a+((L&65535)<<1)|0;P=L;L=d[U>>1]|0;d[U>>1]=N}while((L&65535)<(P&65535));W=N}N=S;do{L=a+((N&65535)<<1)|0;R=N;N=d[L>>1]|0;d[L>>1]=W}while((N&65535)<(R&65535));d[z+(E<<1)>>1]=W;K=F;break a}N=E+2|0;if((N|0)>=(o|0))break;if(!(b[x+N>>0]|0))break;do if(D){if(!(b[y+G>>0]|0))break;if(b[x+E>>0]|0){d[z+(E<<1)>>1]=d[z+(E+-2<<1)>>1]|0;K=F;break a}if(!(b[y+E>>0]|0)){S=d[t+(N<<1)>>1]|0;R=d[z+(E+-2<<1)>>1]|0;L=S;while(1){M=d[a+((L&65535)<<1)>>1]|0;if((M&65535)<(L&65535))L=M;else break}if(S<<16>>16==R<<16>>16)X=L;else{M=R;while(1){O=d[a+((M&65535)<<1)>>1]|0;if((O&65535)<(M&65535))M=O;else break}O=(L&65535)>(M&65535)?M:L;P=R;do{U=a+((P&65535)<<1)|0;T=P;P=d[U>>1]|0;d[U>>1]=O}while((P&65535)<(T&65535));X=O}O=S;do{P=a+((O&65535)<<1)|0;R=O;O=d[P>>1]|0;d[P>>1]=X}while((O&65535)<(R&65535));d[z+(E<<1)>>1]=X;K=F;break a}O=E+-2|0;if(b[x+I>>0]|0){d[z+(E<<1)>>1]=d[z+(O<<1)>>1]|0;K=F;break a}do if((O|0)>-1){if(!(b[x+O>>0]|0))break;if(b[y+I>>0]|0){d[z+(E<<1)>>1]=d[z+(O<<1)>>1]|0;K=F;break a}S=d[t+(N<<1)>>1]|0;R=d[z+(O<<1)>>1]|0;P=S;while(1){L=d[a+((P&65535)<<1)>>1]|0;if((L&65535)<(P&65535))P=L;else break}if(S<<16>>16==R<<16>>16)Z=P;else{L=R;while(1){M=d[a+((L&65535)<<1)>>1]|0;if((M&65535)<(L&65535))L=M;else break}M=(P&65535)>(L&65535)?L:P;T=R;do{U=a+((T&65535)<<1)|0;_=T;T=d[U>>1]|0;d[U>>1]=M}while((T&65535)<(_&65535));Z=M}M=S;do{T=a+((M&65535)<<1)|0;R=M;M=d[T>>1]|0;d[T>>1]=Z}while((M&65535)<(R&65535));d[z+(E<<1)>>1]=Z;K=F;break a}while(0);M=d[t+(N<<1)>>1]|0;S=d[z+(O<<1)>>1]|0;R=M;while(1){T=d[a+((R&65535)<<1)>>1]|0;if((T&65535)<(R&65535))R=T;else break}if(M<<16>>16==S<<16>>16)$=R;else{O=S;while(1){T=d[a+((O&65535)<<1)>>1]|0;if((T&65535)<(O&65535))O=T;else break}T=(R&65535)>(O&65535)?O:R;P=S;do{L=a+((P&65535)<<1)|0;_=P;P=d[L>>1]|0;d[L>>1]=T}while((P&65535)<(_&65535));$=T}T=M;do{P=a+((T&65535)<<1)|0;S=T;T=d[P>>1]|0;d[P>>1]=$}while((T&65535)<(S&65535));d[z+(E<<1)>>1]=$;K=F;break a}while(0);T=d[t+(N<<1)>>1]|0;M=d[z+(E+-2<<1)>>1]|0;S=T;while(1){P=d[a+((S&65535)<<1)>>1]|0;if((P&65535)<(S&65535))S=P;else break}if(T<<16>>16==M<<16>>16)aa=S;else{N=M;while(1){P=d[a+((N&65535)<<1)>>1]|0;if((P&65535)<(N&65535))N=P;else break}P=(S&65535)>(N&65535)?N:S;R=M;do{O=a+((R&65535)<<1)|0;_=R;R=d[O>>1]|0;d[O>>1]=P}while((R&65535)<(_&65535));aa=P}P=T;do{R=a+((P&65535)<<1)|0;M=P;P=d[R>>1]|0;d[R>>1]=aa}while((P&65535)<(M&65535));d[z+(E<<1)>>1]=aa;K=F;break a}while(0);d[z+(E<<1)>>1]=d[z+(E+-2<<1)>>1]|0;K=F;break a}if(!(b[w+I>>0]|0))break;do if(B){if(b[x+G>>0]|0){P=E+-2|0;do if((P|0)>-1){if(!(b[v+P>>0]|0))break;if(b[x+I>>0]|0){T=d[z+(P<<1)>>1]|0;if(b[x+E>>0]|0){d[z+(E<<1)>>1]=T;K=F;break a}do if(D){if(!(b[y+E>>0]|0))break;d[z+(E<<1)>>1]=T;K=F;break a}while(0);M=d[t+(E<<1)>>1]|0;R=M;while(1){S=d[a+((R&65535)<<1)>>1]|0;if((S&65535)<(R&65535))R=S;else break}if(M<<16>>16==T<<16>>16)ba=R;else{S=T;while(1){N=d[a+((S&65535)<<1)>>1]|0;if((N&65535)<(S&65535))S=N;else break}N=(R&65535)>(S&65535)?S:R;_=T;do{O=a+((_&65535)<<1)|0;L=_;_=d[O>>1]|0;d[O>>1]=N}while((_&65535)<(L&65535));ba=N}N=M;do{_=a+((N&65535)<<1)|0;T=N;N=d[_>>1]|0;d[_>>1]=ba}while((N&65535)<(T&65535));d[z+(E<<1)>>1]=ba;K=F;break a}if(!(b[x+P>>0]|0)){N=d[t+(E<<1)>>1]|0;M=d[z+(P<<1)>>1]|0;T=N;while(1){_=d[a+((T&65535)<<1)>>1]|0;if((_&65535)<(T&65535))T=_;else break}if(N<<16>>16==M<<16>>16)ca=T;else{_=M;while(1){R=d[a+((_&65535)<<1)>>1]|0;if((R&65535)<(_&65535))_=R;else break}R=(T&65535)>(_&65535)?_:T;S=M;do{L=a+((S&65535)<<1)|0;O=S;S=d[L>>1]|0;d[L>>1]=R}while((S&65535)<(O&65535));ca=R}R=N;do{S=a+((R&65535)<<1)|0;M=R;R=d[S>>1]|0;d[S>>1]=ca}while((R&65535)<(M&65535));d[z+(E<<1)>>1]=ca;K=F;break a}do if(D){if(!(b[y+I>>0]|0))break;R=d[z+(P<<1)>>1]|0;if(b[x+E>>0]|0){d[z+(E<<1)>>1]=R;K=F;break a}if(b[y+E>>0]|0){d[z+(E<<1)>>1]=R;K=F;break a}N=d[t+(E<<1)>>1]|0;M=N;while(1){S=d[a+((M&65535)<<1)>>1]|0;if((S&65535)<(M&65535))M=S;else break}if(N<<16>>16==R<<16>>16)da=M;else{S=R;while(1){T=d[a+((S&65535)<<1)>>1]|0;if((T&65535)<(S&65535))S=T;else break}T=(M&65535)>(S&65535)?S:M;_=R;do{O=a+((_&65535)<<1)|0;L=_;_=d[O>>1]|0;d[O>>1]=T}while((_&65535)<(L&65535));da=T}T=N;do{_=a+((T&65535)<<1)|0;R=T;T=d[_>>1]|0;d[_>>1]=da}while((T&65535)<(R&65535));d[z+(E<<1)>>1]=da;K=F;break a}while(0);T=d[t+(E<<1)>>1]|0;N=d[z+(P<<1)>>1]|0;R=T;while(1){_=d[a+((R&65535)<<1)>>1]|0;if((_&65535)<(R&65535))R=_;else break}if(T<<16>>16==N<<16>>16)ea=R;else{_=N;while(1){M=d[a+((_&65535)<<1)>>1]|0;if((M&65535)<(_&65535))_=M;else break}M=(R&65535)>(_&65535)?_:R;S=N;do{L=a+((S&65535)<<1)|0;O=S;S=d[L>>1]|0;d[L>>1]=M}while((S&65535)<(O&65535));ea=M}M=T;do{S=a+((M&65535)<<1)|0;N=M;M=d[S>>1]|0;d[S>>1]=ea}while((M&65535)<(N&65535));d[z+(E<<1)>>1]=ea;K=F;break a}while(0);M=d[t+(E<<1)>>1]|0;T=d[z+(P<<1)>>1]|0;N=M;while(1){S=d[a+((N&65535)<<1)>>1]|0;if((S&65535)<(N&65535))N=S;else break}if(M<<16>>16==T<<16>>16)fa=N;else{P=T;while(1){S=d[a+((P&65535)<<1)>>1]|0;if((S&65535)<(P&65535))P=S;else break}S=(N&65535)>(P&65535)?P:N;R=T;do{_=a+((R&65535)<<1)|0;O=R;R=d[_>>1]|0;d[_>>1]=S}while((R&65535)<(O&65535));fa=S}S=M;do{R=a+((S&65535)<<1)|0;T=S;S=d[R>>1]|0;d[R>>1]=fa}while((S&65535)<(T&65535));d[z+(E<<1)>>1]=fa;K=F;break a}S=E+2|0;do if(!((S|0)>=(o|0)|C)){if(!(b[x+S>>0]|0))break;do if(D){if(!(b[y+G>>0]|0))break;M=E+-2|0;do if((M|0)>-1){if(!(b[v+M>>0]|0))break;if(b[x+I>>0]|0){T=d[z+(M<<1)>>1]|0;if(b[x+E>>0]|0){d[z+(E<<1)>>1]=T;K=F;break a}if(b[y+E>>0]|0){d[z+(E<<1)>>1]=T;K=F;break a}R=d[t+(S<<1)>>1]|0;N=R;while(1){P=d[a+((N&65535)<<1)>>1]|0;if((P&65535)<(N&65535))N=P;else break}if(R<<16>>16==T<<16>>16)ga=N;else{P=T;while(1){O=d[a+((P&65535)<<1)>>1]|0;if((O&65535)<(P&65535))P=O;else break}O=(N&65535)>(P&65535)?P:N;_=T;do{L=a+((_&65535)<<1)|0;U=_;_=d[L>>1]|0;d[L>>1]=O}while((_&65535)<(U&65535));ga=O}O=R;do{_=a+((O&65535)<<1)|0;T=O;O=d[_>>1]|0;d[_>>1]=ga}while((O&65535)<(T&65535));d[z+(E<<1)>>1]=ga;K=F;break a}if(!(b[x+M>>0]|0)){O=d[t+(S<<1)>>1]|0;R=d[z+(M<<1)>>1]|0;T=O;while(1){_=d[a+((T&65535)<<1)>>1]|0;if((_&65535)<(T&65535))T=_;else break}if(O<<16>>16==R<<16>>16)ha=T;else{_=R;while(1){N=d[a+((_&65535)<<1)>>1]|0;if((N&65535)<(_&65535))_=N;else break}N=(T&65535)>(_&65535)?_:T;P=R;do{U=a+((P&65535)<<1)|0;L=P;P=d[U>>1]|0;d[U>>1]=N}while((P&65535)<(L&65535));ha=N}N=O;do{P=a+((N&65535)<<1)|0;R=N;N=d[P>>1]|0;d[P>>1]=ha}while((N&65535)<(R&65535));d[z+(E<<1)>>1]=ha;K=F;break a}if(!(b[y+I>>0]|0)){N=d[t+(S<<1)>>1]|0;O=d[z+(M<<1)>>1]|0;R=N;while(1){P=d[a+((R&65535)<<1)>>1]|0;if((P&65535)<(R&65535))R=P;else break}if(N<<16>>16==O<<16>>16)ia=R;else{P=O;while(1){T=d[a+((P&65535)<<1)>>1]|0;if((T&65535)<(P&65535))P=T;else break}T=(R&65535)>(P&65535)?P:R;_=O;do{L=a+((_&65535)<<1)|0;U=_;_=d[L>>1]|0;d[L>>1]=T}while((_&65535)<(U&65535));ia=T}T=N;do{_=a+((T&65535)<<1)|0;O=T;T=d[_>>1]|0;d[_>>1]=ia}while((T&65535)<(O&65535));d[z+(E<<1)>>1]=ia;K=F;break a}T=d[z+(M<<1)>>1]|0;if(b[x+E>>0]|0){d[z+(E<<1)>>1]=T;K=F;break a}if(b[y+E>>0]|0){d[z+(E<<1)>>1]=T;K=F;break a}N=d[t+(S<<1)>>1]|0;O=N;while(1){_=d[a+((O&65535)<<1)>>1]|0;if((_&65535)<(O&65535))O=_;else break}if(N<<16>>16==T<<16>>16)ja=O;else{_=T;while(1){R=d[a+((_&65535)<<1)>>1]|0;if((R&65535)<(_&65535))_=R;else break}R=(O&65535)>(_&65535)?_:O;P=T;do{U=a+((P&65535)<<1)|0;L=P;P=d[U>>1]|0;d[U>>1]=R}while((P&65535)<(L&65535));ja=R}R=N;do{P=a+((R&65535)<<1)|0;T=R;R=d[P>>1]|0;d[P>>1]=ja}while((R&65535)<(T&65535));d[z+(E<<1)>>1]=ja;K=F;break a}while(0);R=d[t+(S<<1)>>1]|0;N=d[z+(M<<1)>>1]|0;T=R;while(1){P=d[a+((T&65535)<<1)>>1]|0;if((P&65535)<(T&65535))T=P;else break}if(R<<16>>16==N<<16>>16)ka=T;else{M=N;while(1){P=d[a+((M&65535)<<1)>>1]|0;if((P&65535)<(M&65535))M=P;else break}P=(T&65535)>(M&65535)?M:T;O=N;do{_=a+((O&65535)<<1)|0;L=O;O=d[_>>1]|0;d[_>>1]=P}while((O&65535)<(L&65535));ka=P}P=R;do{O=a+((P&65535)<<1)|0;N=P;P=d[O>>1]|0;d[O>>1]=ka}while((P&65535)<(N&65535));d[z+(E<<1)>>1]=ka;K=F;break a}while(0);P=E+-2|0;if(!(b[x+E>>0]|0)){R=d[t+(S<<1)>>1]|0;N=d[z+(P<<1)>>1]|0;O=R;while(1){T=d[a+((O&65535)<<1)>>1]|0;if((T&65535)<(O&65535))O=T;else break}if(R<<16>>16==N<<16>>16)la=O;else{T=N;while(1){M=d[a+((T&65535)<<1)>>1]|0;if((M&65535)<(T&65535))T=M;else break}M=(O&65535)>(T&65535)?T:O;L=N;do{_=a+((L&65535)<<1)|0;U=L;L=d[_>>1]|0;d[_>>1]=M}while((L&65535)<(U&65535));la=M}M=R;do{L=a+((M&65535)<<1)|0;N=M;M=d[L>>1]|0;d[L>>1]=la}while((M&65535)<(N&65535));d[z+(E<<1)>>1]=la;K=F;break a}do if((P|0)>-1){if(!(b[v+P>>0]|0))break;if(b[x+I>>0]|0){M=d[t+(S<<1)>>1]|0;R=d[z+(P<<1)>>1]|0;N=M;while(1){L=d[a+((N&65535)<<1)>>1]|0;if((L&65535)<(N&65535))N=L;else break}if(M<<16>>16==R<<16>>16)ma=N;else{L=R;while(1){O=d[a+((L&65535)<<1)>>1]|0;if((O&65535)<(L&65535))L=O;else break}O=(N&65535)>(L&65535)?L:N;T=R;do{U=a+((T&65535)<<1)|0;_=T;T=d[U>>1]|0;d[U>>1]=O}while((T&65535)<(_&65535));ma=O}O=M;do{T=a+((O&65535)<<1)|0;R=O;O=d[T>>1]|0;d[T>>1]=ma}while((O&65535)<(R&65535));d[z+(E<<1)>>1]=ma;K=F;break a}if(!(b[x+P>>0]|0)){O=d[t+(E<<1)>>1]|0;M=d[t+(S<<1)>>1]|0;R=O;while(1){T=d[a+((R&65535)<<1)>>1]|0;if((T&65535)<(R&65535))R=T;else break}if(O<<16>>16==M<<16>>16)na=R;else{T=M;while(1){N=d[a+((T&65535)<<1)>>1]|0;if((N&65535)<(T&65535))T=N;else break}N=(R&65535)>(T&65535)?T:R;L=M;do{_=a+((L&65535)<<1)|0;U=L;L=d[_>>1]|0;d[_>>1]=N}while((L&65535)<(U&65535));na=N}N=O;do{L=a+((N&65535)<<1)|0;M=N;N=d[L>>1]|0;d[L>>1]=na}while((N&65535)<(M&65535));N=d[z+(P<<1)>>1]|0;O=na;while(1){M=d[a+((O&65535)<<1)>>1]|0;if((M&65535)<(O&65535))O=M;else break}if(na<<16>>16==N<<16>>16)oa=O;else{M=N;while(1){L=d[a+((M&65535)<<1)>>1]|0;if((L&65535)<(M&65535))M=L;else break}L=(O&65535)>(M&65535)?M:O;R=N;do{T=a+((R&65535)<<1)|0;U=R;R=d[T>>1]|0;d[T>>1]=L}while((R&65535)<(U&65535));oa=L}L=na;do{R=a+((L&65535)<<1)|0;N=L;L=d[R>>1]|0;d[R>>1]=oa}while((L&65535)<(N&65535));d[z+(E<<1)>>1]=oa;K=F;break a}do if(D){if(!(b[y+I>>0]|0))break;L=d[t+(S<<1)>>1]|0;N=d[z+(P<<1)>>1]|0;R=L;while(1){O=d[a+((R&65535)<<1)>>1]|0;if((O&65535)<(R&65535))R=O;else break}if(L<<16>>16==N<<16>>16)pa=R;else{O=N;while(1){M=d[a+((O&65535)<<1)>>1]|0;if((M&65535)<(O&65535))O=M;else break}M=(R&65535)>(O&65535)?O:R;U=N;do{T=a+((U&65535)<<1)|0;_=U;U=d[T>>1]|0;d[T>>1]=M}while((U&65535)<(_&65535));pa=M}M=L;do{U=a+((M&65535)<<1)|0;N=M;M=d[U>>1]|0;d[U>>1]=pa}while((M&65535)<(N&65535));d[z+(E<<1)>>1]=pa;K=F;break a}while(0);M=d[t+(E<<1)>>1]|0;L=d[t+(S<<1)>>1]|0;N=M;while(1){U=d[a+((N&65535)<<1)>>1]|0;if((U&65535)<(N&65535))N=U;else break}if(M<<16>>16==L<<16>>16)qa=N;else{U=L;while(1){R=d[a+((U&65535)<<1)>>1]|0;if((R&65535)<(U&65535))U=R;else break}R=(N&65535)>(U&65535)?U:N;O=L;do{_=a+((O&65535)<<1)|0;T=O;O=d[_>>1]|0;d[_>>1]=R}while((O&65535)<(T&65535));qa=R}R=M;do{O=a+((R&65535)<<1)|0;L=R;R=d[O>>1]|0;d[O>>1]=qa}while((R&65535)<(L&65535));R=d[z+(P<<1)>>1]|0;M=qa;while(1){L=d[a+((M&65535)<<1)>>1]|0;if((L&65535)<(M&65535))M=L;else break}if(qa<<16>>16==R<<16>>16)ra=M;else{L=R;while(1){O=d[a+((L&65535)<<1)>>1]|0;if((O&65535)<(L&65535))L=O;else break}O=(M&65535)>(L&65535)?L:M;N=R;do{U=a+((N&65535)<<1)|0;T=N;N=d[U>>1]|0;d[U>>1]=O}while((N&65535)<(T&65535));ra=O}O=qa;do{N=a+((O&65535)<<1)|0;R=O;O=d[N>>1]|0;d[N>>1]=ra}while((O&65535)<(R&65535));d[z+(E<<1)>>1]=ra;K=F;break a}while(0);O=d[t+(E<<1)>>1]|0;R=d[t+(S<<1)>>1]|0;N=O;while(1){M=d[a+((N&65535)<<1)>>1]|0;if((M&65535)<(N&65535))N=M;else break}if(O<<16>>16==R<<16>>16)sa=N;else{M=R;while(1){L=d[a+((M&65535)<<1)>>1]|0;if((L&65535)<(M&65535))M=L;else break}L=(N&65535)>(M&65535)?M:N;T=R;do{U=a+((T&65535)<<1)|0;_=T;T=d[U>>1]|0;d[U>>1]=L}while((T&65535)<(_&65535));sa=L}L=O;do{T=a+((L&65535)<<1)|0;R=L;L=d[T>>1]|0;d[T>>1]=sa}while((L&65535)<(R&65535));L=d[z+(P<<1)>>1]|0;O=sa;while(1){R=d[a+((O&65535)<<1)>>1]|0;if((R&65535)<(O&65535))O=R;else break}if(sa<<16>>16==L<<16>>16)ta=O;else{P=L;while(1){R=d[a+((P&65535)<<1)>>1]|0;if((R&65535)<(P&65535))P=R;else break}R=(O&65535)>(P&65535)?P:O;T=L;do{N=a+((T&65535)<<1)|0;M=T;T=d[N>>1]|0;d[N>>1]=R}while((T&65535)<(M&65535));ta=R}R=sa;do{T=a+((R&65535)<<1)|0;L=R;R=d[T>>1]|0;d[T>>1]=ta}while((R&65535)<(L&65535));d[z+(E<<1)>>1]=ta;K=F;break a}while(0);S=E+-2|0;if(!(b[x+E>>0]|0)){ua=S;break}do if((S|0)>-1){if(!(b[v+S>>0]|0))break;if(b[x+I>>0]|0){d[z+(E<<1)>>1]=d[z+(S<<1)>>1]|0;K=F;break a}if(!(b[x+S>>0]|0)){R=d[t+(E<<1)>>1]|0;L=d[z+(S<<1)>>1]|0;T=R;while(1){O=d[a+((T&65535)<<1)>>1]|0;if((O&65535)<(T&65535))T=O;else break}if(R<<16>>16==L<<16>>16)va=T;else{O=L;while(1){P=d[a+((O&65535)<<1)>>1]|0;if((P&65535)<(O&65535))O=P;else break}P=(T&65535)>(O&65535)?O:T;M=L;do{N=a+((M&65535)<<1)|0;_=M;M=d[N>>1]|0;d[N>>1]=P}while((M&65535)<(_&65535));va=P}P=R;do{M=a+((P&65535)<<1)|0;L=P;P=d[M>>1]|0;d[M>>1]=va}while((P&65535)<(L&65535));d[z+(E<<1)>>1]=va;K=F;break a}do if(D){if(!(b[y+I>>0]|0))break;d[z+(E<<1)>>1]=d[z+(S<<1)>>1]|0;K=F;break a}while(0);P=d[t+(E<<1)>>1]|0;R=d[z+(S<<1)>>1]|0;L=P;while(1){M=d[a+((L&65535)<<1)>>1]|0;if((M&65535)<(L&65535))L=M;else break}if(P<<16>>16==R<<16>>16)wa=L;else{M=R;while(1){T=d[a+((M&65535)<<1)>>1]|0;if((T&65535)<(M&65535))M=T;else break}T=(L&65535)>(M&65535)?M:L;O=R;do{_=a+((O&65535)<<1)|0;N=O;O=d[_>>1]|0;d[_>>1]=T}while((O&65535)<(N&65535));wa=T}T=P;do{O=a+((T&65535)<<1)|0;R=T;T=d[O>>1]|0;d[O>>1]=wa}while((T&65535)<(R&65535));d[z+(E<<1)>>1]=wa;K=F;break a}while(0);T=d[t+(E<<1)>>1]|0;P=d[z+(S<<1)>>1]|0;R=T;while(1){O=d[a+((R&65535)<<1)>>1]|0;if((O&65535)<(R&65535))R=O;else break}if(T<<16>>16==P<<16>>16)xa=R;else{S=P;while(1){O=d[a+((S&65535)<<1)>>1]|0;if((O&65535)<(S&65535))S=O;else break}O=(R&65535)>(S&65535)?S:R;L=P;do{M=a+((L&65535)<<1)|0;N=L;L=d[M>>1]|0;d[M>>1]=O}while((L&65535)<(N&65535));xa=O}O=T;do{L=a+((O&65535)<<1)|0;P=O;O=d[L>>1]|0;d[L>>1]=xa}while((O&65535)<(P&65535));d[z+(E<<1)>>1]=xa;K=F;break a}else ua=E+-2|0;while(0);d[z+(E<<1)>>1]=d[z+(ua<<1)>>1]|0;K=F;break a}while(0);do if(B){if(b[x+G>>0]|0){d[z+(E<<1)>>1]=d[t+(E<<1)>>1]|0;K=F;break a}O=E+2|0;do if(!((O|0)>=(o|0)|C)){if(!(b[x+O>>0]|0))break;if(!(b[x+E>>0]|0)){d[z+(E<<1)>>1]=d[t+(O<<1)>>1]|0;K=F;break a}do if(D){if(!(b[y+G>>0]|0))break;d[z+(E<<1)>>1]=d[t+(O<<1)>>1]|0;K=F;break a}while(0);T=d[t+(E<<1)>>1]|0;P=d[t+(O<<1)>>1]|0;L=T;while(1){R=d[a+((L&65535)<<1)>>1]|0;if((R&65535)<(L&65535))L=R;else break}if(T<<16>>16==P<<16>>16)ya=L;else{R=P;while(1){S=d[a+((R&65535)<<1)>>1]|0;if((S&65535)<(R&65535))R=S;else break}S=(L&65535)>(R&65535)?R:L;N=P;do{M=a+((N&65535)<<1)|0;_=N;N=d[M>>1]|0;d[M>>1]=S}while((N&65535)<(_&65535));ya=S}S=T;do{N=a+((S&65535)<<1)|0;P=S;S=d[N>>1]|0;d[N>>1]=ya}while((S&65535)<(P&65535));d[z+(E<<1)>>1]=ya;K=F;break a}while(0);if(!(b[x+E>>0]|0))break;d[z+(E<<1)>>1]=d[t+(E<<1)>>1]|0;K=F;break a}while(0);d[z+(E<<1)>>1]=F;O=F&65535;d[a+(O<<1)>>1]=F;K=O+1&65535;break}if(J){if(b[w+I>>0]|0){d[z+(E<<1)>>1]=d[z+(E+-2<<1)>>1]|0;K=F;break}if(b[v+I>>0]|0){d[z+(E<<1)>>1]=d[z+(E+-2<<1)>>1]|0;K=F;break}}d[z+(E<<1)>>1]=F;O=F&65535;d[a+(O<<1)>>1]=F;K=O+1&65535;break}do if(H){if(!(b[v+G>>0]|0)){if(!A)break;if(!(b[w+G>>0]|0))break;d[z+(E<<1)>>1]=F;O=F&65535;d[a+(O<<1)>>1]=F;K=O+1&65535;break a}if(B){if(b[x+G>>0]|0){d[z+(E<<1)>>1]=d[t+(E<<1)>>1]|0;K=F;break a}O=E+2|0;do if(!((O|0)>=(o|0)|C)){if(!(b[x+O>>0]|0))break;if(!(b[x+E>>0]|0)){d[z+(E<<1)>>1]=d[t+(O<<1)>>1]|0;K=F;break a}do if(D){if(!(b[y+G>>0]|0))break;d[z+(E<<1)>>1]=d[t+(O<<1)>>1]|0;K=F;break a}while(0);S=d[t+(E<<1)>>1]|0;T=d[t+(O<<1)>>1]|0;P=S;while(1){N=d[a+((P&65535)<<1)>>1]|0;if((N&65535)<(P&65535))P=N;else break}if(S<<16>>16==T<<16>>16)za=P;else{N=T;while(1){L=d[a+((N&65535)<<1)>>1]|0;if((L&65535)<(N&65535))N=L;else break}L=(P&65535)>(N&65535)?N:P;R=T;do{_=a+((R&65535)<<1)|0;M=R;R=d[_>>1]|0;d[_>>1]=L}while((R&65535)<(M&65535));za=L}L=S;do{R=a+((L&65535)<<1)|0;T=L;L=d[R>>1]|0;d[R>>1]=za}while((L&65535)<(T&65535));d[z+(E<<1)>>1]=za;K=F;break a}while(0);if(b[x+E>>0]|0){d[z+(E<<1)>>1]=d[t+(E<<1)>>1]|0;K=F;break a}}d[z+(E<<1)>>1]=F;O=F&65535;d[a+(O<<1)>>1]=F;K=O+1&65535;break a}while(0);d[z+(E<<1)>>1]=0;K=F}else{G=E+-1|0;H=(E|0)>0;if(H){if(b[v+G>>0]|0){I=E|1;J=(I|0)<(o|0);if(B&J?b[x+I>>0]|0:0){if(b[x+E>>0]|0){d[z+(E<<1)>>1]=d[z+(E+-2<<1)>>1]|0;K=F;break}do if(D){if(!(b[y+E>>0]|0))break;O=E+-2|0;if(b[x+G>>0]|0){d[z+(E<<1)>>1]=d[z+(O<<1)>>1]|0;K=F;break a}do if((O|0)>-1){if(!(b[x+O>>0]|0))break;if(b[y+G>>0]|0){d[z+(E<<1)>>1]=d[z+(O<<1)>>1]|0;K=F;break a}L=d[t+(E<<1)>>1]|0;S=d[z+(O<<1)>>1]|0;T=L;while(1){R=d[a+((T&65535)<<1)>>1]|0;if((R&65535)<(T&65535))T=R;else break}if(L<<16>>16==S<<16>>16)Aa=T;else{R=S;while(1){P=d[a+((R&65535)<<1)>>1]|0;if((P&65535)<(R&65535))R=P;else break}P=(T&65535)>(R&65535)?R:T;N=S;do{M=a+((N&65535)<<1)|0;_=N;N=d[M>>1]|0;d[M>>1]=P}while((N&65535)<(_&65535));Aa=P}P=L;do{N=a+((P&65535)<<1)|0;S=P;P=d[N>>1]|0;d[N>>1]=Aa}while((P&65535)<(S&65535));d[z+(E<<1)>>1]=Aa;K=F;break a}while(0);P=d[t+(E<<1)>>1]|0;L=d[z+(O<<1)>>1]|0;S=P;while(1){N=d[a+((S&65535)<<1)>>1]|0;if((N&65535)<(S&65535))S=N;else break}if(P<<16>>16==L<<16>>16)Ba=S;else{O=L;while(1){N=d[a+((O&65535)<<1)>>1]|0;if((N&65535)<(O&65535))O=N;else break}N=(S&65535)>(O&65535)?O:S;T=L;do{R=a+((T&65535)<<1)|0;_=T;T=d[R>>1]|0;d[R>>1]=N}while((T&65535)<(_&65535));Ba=N}N=P;do{T=a+((N&65535)<<1)|0;L=N;N=d[T>>1]|0;d[T>>1]=Ba}while((N&65535)<(L&65535));d[z+(E<<1)>>1]=Ba;K=F;break a}while(0);N=d[t+(E<<1)>>1]|0;P=d[z+(E+-2<<1)>>1]|0;L=N;while(1){T=d[a+((L&65535)<<1)>>1]|0;if((T&65535)<(L&65535))L=T;else break}if(N<<16>>16==P<<16>>16)Ca=L;else{T=P;while(1){S=d[a+((T&65535)<<1)>>1]|0;if((S&65535)<(T&65535))T=S;else break}S=(L&65535)>(T&65535)?T:L;O=P;do{_=a+((O&65535)<<1)|0;R=O;O=d[_>>1]|0;d[_>>1]=S}while((O&65535)<(R&65535));Ca=S}S=N;do{O=a+((S&65535)<<1)|0;P=S;S=d[O>>1]|0;d[O>>1]=Ca}while((S&65535)<(P&65535));d[z+(E<<1)>>1]=Ca;K=F;break}if(J?b[v+I>>0]|0:0){S=E+2|0;do if(B&(S|0)<(o|0)){if(!(b[x+S>>0]|0))break;do if(D){if(!(b[y+I>>0]|0))break;if(b[x+E>>0]|0){d[z+(E<<1)>>1]=d[z+(E+-2<<1)>>1]|0;K=F;break a}if(!(b[y+E>>0]|0)){N=d[t+(S<<1)>>1]|0;P=d[z+(E+-2<<1)>>1]|0;O=N;while(1){L=d[a+((O&65535)<<1)>>1]|0;if((L&65535)<(O&65535))O=L;else break}if(N<<16>>16==P<<16>>16)Da=O;else{L=P;while(1){T=d[a+((L&65535)<<1)>>1]|0;if((T&65535)<(L&65535))L=T;else break}T=(O&65535)>(L&65535)?L:O;R=P;do{_=a+((R&65535)<<1)|0;M=R;R=d[_>>1]|0;d[_>>1]=T}while((R&65535)<(M&65535));Da=T}T=N;do{R=a+((T&65535)<<1)|0;P=T;T=d[R>>1]|0;d[R>>1]=Da}while((T&65535)<(P&65535));d[z+(E<<1)>>1]=Da;K=F;break a}T=E+-2|0;if(b[x+G>>0]|0){d[z+(E<<1)>>1]=d[z+(T<<1)>>1]|0;K=F;break a}do if((T|0)>-1){if(!(b[x+T>>0]|0))break;if(b[y+G>>0]|0){d[z+(E<<1)>>1]=d[z+(T<<1)>>1]|0;K=F;break a}N=d[t+(S<<1)>>1]|0;P=d[z+(T<<1)>>1]|0;R=N;while(1){O=d[a+((R&65535)<<1)>>1]|0;if((O&65535)<(R&65535))R=O;else break}if(N<<16>>16==P<<16>>16)Ea=R;else{O=P;while(1){L=d[a+((O&65535)<<1)>>1]|0;if((L&65535)<(O&65535))O=L;else break}L=(R&65535)>(O&65535)?O:R;M=P;do{_=a+((M&65535)<<1)|0;U=M;M=d[_>>1]|0;d[_>>1]=L}while((M&65535)<(U&65535));Ea=L}L=N;do{M=a+((L&65535)<<1)|0;P=L;L=d[M>>1]|0;d[M>>1]=Ea}while((L&65535)<(P&65535));d[z+(E<<1)>>1]=Ea;K=F;break a}while(0);L=d[t+(S<<1)>>1]|0;N=d[z+(T<<1)>>1]|0;P=L;while(1){M=d[a+((P&65535)<<1)>>1]|0;if((M&65535)<(P&65535))P=M;else break}if(L<<16>>16==N<<16>>16)Fa=P;else{T=N;while(1){M=d[a+((T&65535)<<1)>>1]|0;if((M&65535)<(T&65535))T=M;else break}M=(P&65535)>(T&65535)?T:P;R=N;do{O=a+((R&65535)<<1)|0;U=R;R=d[O>>1]|0;d[O>>1]=M}while((R&65535)<(U&65535));Fa=M}M=L;do{R=a+((M&65535)<<1)|0;N=M;M=d[R>>1]|0;d[R>>1]=Fa}while((M&65535)<(N&65535));d[z+(E<<1)>>1]=Fa;K=F;break a}while(0);M=d[t+(S<<1)>>1]|0;L=d[z+(E+-2<<1)>>1]|0;N=M;while(1){R=d[a+((N&65535)<<1)>>1]|0;if((R&65535)<(N&65535))N=R;else break}if(M<<16>>16==L<<16>>16)Ga=N;else{R=L;while(1){P=d[a+((R&65535)<<1)>>1]|0;if((P&65535)<(R&65535))R=P;else break}P=(N&65535)>(R&65535)?R:N;T=L;do{U=a+((T&65535)<<1)|0;O=T;T=d[U>>1]|0;d[U>>1]=P}while((T&65535)<(O&65535));Ga=P}P=M;do{T=a+((P&65535)<<1)|0;L=P;P=d[T>>1]|0;d[T>>1]=Ga}while((P&65535)<(L&65535));d[z+(E<<1)>>1]=Ga;K=F;break a}while(0);d[z+(E<<1)>>1]=d[z+(E+-2<<1)>>1]|0;K=F;break}d[z+(E<<1)>>1]=d[z+(E+-2<<1)>>1]|0;K=F;break}if(A?b[w+G>>0]|0:0){S=E|1;I=(S|0)<(o|0);if(!(C|I^1)?b[x+S>>0]|0:0){J=E+-2|0;do if((J|0)>-1){if(!(b[v+J>>0]|0))break;if(b[x+G>>0]|0){P=d[z+(J<<1)>>1]|0;if(b[x+E>>0]|0){d[z+(E<<1)>>1]=P;K=F;break a}do if(D){if(!(b[y+E>>0]|0))break;d[z+(E<<1)>>1]=P;K=F;break a}while(0);M=d[t+(E<<1)>>1]|0;L=M;while(1){T=d[a+((L&65535)<<1)>>1]|0;if((T&65535)<(L&65535))L=T;else break}if(M<<16>>16==P<<16>>16)Ha=L;else{T=P;while(1){N=d[a+((T&65535)<<1)>>1]|0;if((N&65535)<(T&65535))T=N;else break}N=(L&65535)>(T&65535)?T:L;R=P;do{O=a+((R&65535)<<1)|0;U=R;R=d[O>>1]|0;d[O>>1]=N}while((R&65535)<(U&65535));Ha=N}N=M;do{R=a+((N&65535)<<1)|0;P=N;N=d[R>>1]|0;d[R>>1]=Ha}while((N&65535)<(P&65535));d[z+(E<<1)>>1]=Ha;K=F;break a}if(!(b[x+J>>0]|0)){N=d[t+(E<<1)>>1]|0;M=d[z+(J<<1)>>1]|0;P=N;while(1){R=d[a+((P&65535)<<1)>>1]|0;if((R&65535)<(P&65535))P=R;else break}if(N<<16>>16==M<<16>>16)Ia=P;else{R=M;while(1){L=d[a+((R&65535)<<1)>>1]|0;if((L&65535)<(R&65535))R=L;else break}L=(P&65535)>(R&65535)?R:P;T=M;do{U=a+((T&65535)<<1)|0;O=T;T=d[U>>1]|0;d[U>>1]=L}while((T&65535)<(O&65535));Ia=L}L=N;do{T=a+((L&65535)<<1)|0;M=L;L=d[T>>1]|0;d[T>>1]=Ia}while((L&65535)<(M&65535));d[z+(E<<1)>>1]=Ia;K=F;break a}do if(D){if(!(b[y+G>>0]|0))break;L=d[z+(J<<1)>>1]|0;if(b[x+E>>0]|0){d[z+(E<<1)>>1]=L;K=F;break a}if(b[y+E>>0]|0){d[z+(E<<1)>>1]=L;K=F;break a}N=d[t+(E<<1)>>1]|0;M=N;while(1){T=d[a+((M&65535)<<1)>>1]|0;if((T&65535)<(M&65535))M=T;else break}if(N<<16>>16==L<<16>>16)Ja=M;else{T=L;while(1){P=d[a+((T&65535)<<1)>>1]|0;if((P&65535)<(T&65535))T=P;else break}P=(M&65535)>(T&65535)?T:M;R=L;do{O=a+((R&65535)<<1)|0;U=R;R=d[O>>1]|0;d[O>>1]=P}while((R&65535)<(U&65535));Ja=P}P=N;do{R=a+((P&65535)<<1)|0;L=P;P=d[R>>1]|0;d[R>>1]=Ja}while((P&65535)<(L&65535));d[z+(E<<1)>>1]=Ja;K=F;break a}while(0);P=d[t+(E<<1)>>1]|0;N=d[z+(J<<1)>>1]|0;L=P;while(1){R=d[a+((L&65535)<<1)>>1]|0;if((R&65535)<(L&65535))L=R;else break}if(P<<16>>16==N<<16>>16)Ka=L;else{R=N;while(1){M=d[a+((R&65535)<<1)>>1]|0;if((M&65535)<(R&65535))R=M;else break}M=(L&65535)>(R&65535)?R:L;T=N;do{U=a+((T&65535)<<1)|0;O=T;T=d[U>>1]|0;d[U>>1]=M}while((T&65535)<(O&65535));Ka=M}M=P;do{T=a+((M&65535)<<1)|0;N=M;M=d[T>>1]|0;d[T>>1]=Ka}while((M&65535)<(N&65535));d[z+(E<<1)>>1]=Ka;K=F;break a}while(0);if(b[x+E>>0]|0){M=d[t+(E<<1)>>1]|0;P=d[z+(J<<1)>>1]|0;N=M;while(1){T=d[a+((N&65535)<<1)>>1]|0;if((T&65535)<(N&65535))N=T;else break}if(M<<16>>16==P<<16>>16)La=N;else{T=P;while(1){L=d[a+((T&65535)<<1)>>1]|0;if((L&65535)<(T&65535))T=L;else break}L=(N&65535)>(T&65535)?T:N;R=P;do{O=a+((R&65535)<<1)|0;U=R;R=d[O>>1]|0;d[O>>1]=L}while((R&65535)<(U&65535));La=L}L=M;do{R=a+((L&65535)<<1)|0;P=L;L=d[R>>1]|0;d[R>>1]=La}while((L&65535)<(P&65535));d[z+(E<<1)>>1]=La;K=F;break}L=d[t+(E<<1)>>1]|0;if(!(b[x+G>>0]|0)){M=d[z+(J<<1)>>1]|0;P=L;while(1){R=d[a+((P&65535)<<1)>>1]|0;if((R&65535)<(P&65535))P=R;else break}if(L<<16>>16==M<<16>>16)Ma=P;else{R=M;while(1){N=d[a+((R&65535)<<1)>>1]|0;if((N&65535)<(R&65535))R=N;else break}N=(P&65535)>(R&65535)?R:P;T=M;do{U=a+((T&65535)<<1)|0;O=T;T=d[U>>1]|0;d[U>>1]=N}while((T&65535)<(O&65535));Ma=N}N=L;do{T=a+((N&65535)<<1)|0;M=N;N=d[T>>1]|0;d[T>>1]=Ma}while((N&65535)<(M&65535));d[z+(E<<1)>>1]=Ma;K=F;break}do if(D){if(!(b[y+E>>0]|0))break;N=d[z+(J<<1)>>1]|0;M=L;while(1){T=d[a+((M&65535)<<1)>>1]|0;if((T&65535)<(M&65535))M=T;else break}if(L<<16>>16==N<<16>>16)Na=M;else{T=N;while(1){P=d[a+((T&65535)<<1)>>1]|0;if((P&65535)<(T&65535))T=P;else break}P=(M&65535)>(T&65535)?T:M;R=N;do{O=a+((R&65535)<<1)|0;U=R;R=d[O>>1]|0;d[O>>1]=P}while((R&65535)<(U&65535));Na=P}P=L;do{R=a+((P&65535)<<1)|0;N=P;P=d[R>>1]|0;d[R>>1]=Na}while((P&65535)<(N&65535));d[z+(E<<1)>>1]=Na;K=F;break a}while(0);P=d[t+(J<<1)>>1]|0;N=P;while(1){R=d[a+((N&65535)<<1)>>1]|0;if((R&65535)<(N&65535))N=R;else break}if(P<<16>>16==L<<16>>16)Oa=N;else{R=L;while(1){M=d[a+((R&65535)<<1)>>1]|0;if((M&65535)<(R&65535))R=M;else break}M=(N&65535)>(R&65535)?R:N;T=L;do{U=a+((T&65535)<<1)|0;O=T;T=d[U>>1]|0;d[U>>1]=M}while((T&65535)<(O&65535));Oa=M}M=P;do{T=a+((M&65535)<<1)|0;L=M;M=d[T>>1]|0;d[T>>1]=Oa}while((M&65535)<(L&65535));M=d[z+(J<<1)>>1]|0;P=Oa;while(1){L=d[a+((P&65535)<<1)>>1]|0;if((L&65535)<(P&65535))P=L;else break}if(Oa<<16>>16==M<<16>>16)Pa=P;else{J=M;while(1){L=d[a+((J&65535)<<1)>>1]|0;if((L&65535)<(J&65535))J=L;else break}L=(P&65535)>(J&65535)?J:P;T=M;do{N=a+((T&65535)<<1)|0;R=T;T=d[N>>1]|0;d[N>>1]=L}while((T&65535)<(R&65535));Pa=L}L=Oa;do{T=a+((L&65535)<<1)|0;M=L;L=d[T>>1]|0;d[T>>1]=Pa}while((L&65535)<(M&65535));d[z+(E<<1)>>1]=Pa;K=F;break}if(I?b[v+S>>0]|0:0){L=E+2|0;do if(!((L|0)>=(o|0)|C)){if(!(b[x+L>>0]|0))break;M=E+-2|0;do if((M|0)>-1){if(!(b[v+M>>0]|0))break;if(b[x+G>>0]|0){do if(D){if(!(b[y+S>>0]|0))break;T=d[z+(M<<1)>>1]|0;if(b[x+E>>0]|0){d[z+(E<<1)>>1]=T;K=F;break a}if(b[y+E>>0]|0){d[z+(E<<1)>>1]=T;K=F;break a}P=d[t+(L<<1)>>1]|0;J=P;while(1){R=d[a+((J&65535)<<1)>>1]|0;if((R&65535)<(J&65535))J=R;else break}if(P<<16>>16==T<<16>>16)Qa=J;else{R=T;while(1){N=d[a+((R&65535)<<1)>>1]|0;if((N&65535)<(R&65535))R=N;else break}N=(J&65535)>(R&65535)?R:J;O=T;do{U=a+((O&65535)<<1)|0;_=O;O=d[U>>1]|0;d[U>>1]=N}while((O&65535)<(_&65535));Qa=N}N=P;do{O=a+((N&65535)<<1)|0;T=N;N=d[O>>1]|0;d[O>>1]=Qa}while((N&65535)<(T&65535));d[z+(E<<1)>>1]=Qa;K=F;break a}while(0);N=d[t+(L<<1)>>1]|0;P=d[z+(M<<1)>>1]|0;T=N;while(1){O=d[a+((T&65535)<<1)>>1]|0;if((O&65535)<(T&65535))T=O;else break}if(N<<16>>16==P<<16>>16)Ra=T;else{O=P;while(1){J=d[a+((O&65535)<<1)>>1]|0;if((J&65535)<(O&65535))O=J;else break}J=(T&65535)>(O&65535)?O:T;R=P;do{_=a+((R&65535)<<1)|0;U=R;R=d[_>>1]|0;d[_>>1]=J}while((R&65535)<(U&65535));Ra=J}J=N;do{R=a+((J&65535)<<1)|0;P=J;J=d[R>>1]|0;d[R>>1]=Ra}while((J&65535)<(P&65535));d[z+(E<<1)>>1]=Ra;K=F;break a}do if(D){if(!(b[y+S>>0]|0))break;if(!(b[x+M>>0]|0)){J=d[t+(L<<1)>>1]|0;N=d[z+(M<<1)>>1]|0;P=J;while(1){R=d[a+((P&65535)<<1)>>1]|0;if((R&65535)<(P&65535))P=R;else break}if(J<<16>>16==N<<16>>16)Sa=P;else{R=N;while(1){T=d[a+((R&65535)<<1)>>1]|0;if((T&65535)<(R&65535))R=T;else break}T=(P&65535)>(R&65535)?R:P;O=N;do{U=a+((O&65535)<<1)|0;_=O;O=d[U>>1]|0;d[U>>1]=T}while((O&65535)<(_&65535));Sa=T}T=J;do{O=a+((T&65535)<<1)|0;N=T;T=d[O>>1]|0;d[O>>1]=Sa}while((T&65535)<(N&65535));d[z+(E<<1)>>1]=Sa;K=F;break a}if(!(b[y+G>>0]|0)){T=d[t+(L<<1)>>1]|0;J=d[z+(M<<1)>>1]|0;N=T;while(1){O=d[a+((N&65535)<<1)>>1]|0;if((O&65535)<(N&65535))N=O;else break}if(T<<16>>16==J<<16>>16)Ta=N;else{O=J;while(1){P=d[a+((O&65535)<<1)>>1]|0;if((P&65535)<(O&65535))O=P;else break}P=(N&65535)>(O&65535)?O:N;R=J;do{_=a+((R&65535)<<1)|0;U=R;R=d[_>>1]|0;d[_>>1]=P}while((R&65535)<(U&65535));Ta=P}P=T;do{R=a+((P&65535)<<1)|0;J=P;P=d[R>>1]|0;d[R>>1]=Ta}while((P&65535)<(J&65535));d[z+(E<<1)>>1]=Ta;K=F;break a}P=d[z+(M<<1)>>1]|0;if(b[x+E>>0]|0){d[z+(E<<1)>>1]=P;K=F;break a}if(b[y+E>>0]|0){d[z+(E<<1)>>1]=P;K=F;break a}T=d[t+(L<<1)>>1]|0;J=T;while(1){R=d[a+((J&65535)<<1)>>1]|0;if((R&65535)<(J&65535))J=R;else break}if(T<<16>>16==P<<16>>16)Ua=J;else{R=P;while(1){N=d[a+((R&65535)<<1)>>1]|0;if((N&65535)<(R&65535))R=N;else break}N=(J&65535)>(R&65535)?R:J;O=P;do{U=a+((O&65535)<<1)|0;_=O;O=d[U>>1]|0;d[U>>1]=N}while((O&65535)<(_&65535));Ua=N}N=T;do{O=a+((N&65535)<<1)|0;P=N;N=d[O>>1]|0;d[O>>1]=Ua}while((N&65535)<(P&65535));d[z+(E<<1)>>1]=Ua;K=F;break a}while(0);if(!(b[x+E>>0]|0)){N=d[t+(L<<1)>>1]|0;T=d[z+(M<<1)>>1]|0;P=N;while(1){O=d[a+((P&65535)<<1)>>1]|0;if((O&65535)<(P&65535))P=O;else break}if(N<<16>>16==T<<16>>16)Va=P;else{O=T;while(1){J=d[a+((O&65535)<<1)>>1]|0;if((J&65535)<(O&65535))O=J;else break}J=(P&65535)>(O&65535)?O:P;R=T;do{_=a+((R&65535)<<1)|0;U=R;R=d[_>>1]|0;d[_>>1]=J}while((R&65535)<(U&65535));Va=J}J=N;do{R=a+((J&65535)<<1)|0;T=J;J=d[R>>1]|0;d[R>>1]=Va}while((J&65535)<(T&65535));d[z+(E<<1)>>1]=Va;K=F;break a}if(!(b[x+M>>0]|0)){J=d[t+(E<<1)>>1]|0;N=d[t+(L<<1)>>1]|0;T=J;while(1){R=d[a+((T&65535)<<1)>>1]|0;if((R&65535)<(T&65535))T=R;else break}if(J<<16>>16==N<<16>>16)Wa=T;else{R=N;while(1){P=d[a+((R&65535)<<1)>>1]|0;if((P&65535)<(R&65535))R=P;else break}P=(T&65535)>(R&65535)?R:T;O=N;do{U=a+((O&65535)<<1)|0;_=O;O=d[U>>1]|0;d[U>>1]=P}while((O&65535)<(_&65535));Wa=P}P=J;do{O=a+((P&65535)<<1)|0;N=P;P=d[O>>1]|0;d[O>>1]=Wa}while((P&65535)<(N&65535));P=d[z+(M<<1)>>1]|0;J=Wa;while(1){N=d[a+((J&65535)<<1)>>1]|0;if((N&65535)<(J&65535))J=N;else break}if(Wa<<16>>16==P<<16>>16)Xa=J;else{N=P;while(1){O=d[a+((N&65535)<<1)>>1]|0;if((O&65535)<(N&65535))N=O;else break}O=(J&65535)>(N&65535)?N:J;T=P;do{R=a+((T&65535)<<1)|0;_=T;T=d[R>>1]|0;d[R>>1]=O}while((T&65535)<(_&65535));Xa=O}O=Wa;do{T=a+((O&65535)<<1)|0;P=O;O=d[T>>1]|0;d[T>>1]=Xa}while((O&65535)<(P&65535));d[z+(E<<1)>>1]=Xa;K=F;break a}do if(D){if(!(b[y+G>>0]|0))break;O=d[t+(L<<1)>>1]|0;P=d[z+(M<<1)>>1]|0;T=O;while(1){J=d[a+((T&65535)<<1)>>1]|0;if((J&65535)<(T&65535))T=J;else break}if(O<<16>>16==P<<16>>16)Ya=T;else{J=P;while(1){N=d[a+((J&65535)<<1)>>1]|0;if((N&65535)<(J&65535))J=N;else break}N=(T&65535)>(J&65535)?J:T;_=P;do{R=a+((_&65535)<<1)|0;U=_;_=d[R>>1]|0;d[R>>1]=N}while((_&65535)<(U&65535));Ya=N}N=O;do{_=a+((N&65535)<<1)|0;P=N;N=d[_>>1]|0;d[_>>1]=Ya}while((N&65535)<(P&65535));d[z+(E<<1)>>1]=Ya;K=F;break a}while(0);N=d[t+(E<<1)>>1]|0;O=d[t+(L<<1)>>1]|0;P=N;while(1){_=d[a+((P&65535)<<1)>>1]|0;if((_&65535)<(P&65535))P=_;else break}if(N<<16>>16==O<<16>>16)Za=P;else{_=O;while(1){T=d[a+((_&65535)<<1)>>1]|0;if((T&65535)<(_&65535))_=T;else break}T=(P&65535)>(_&65535)?_:P;J=O;do{U=a+((J&65535)<<1)|0;R=J;J=d[U>>1]|0;d[U>>1]=T}while((J&65535)<(R&65535));Za=T}T=N;do{J=a+((T&65535)<<1)|0;O=T;T=d[J>>1]|0;d[J>>1]=Za}while((T&65535)<(O&65535));T=d[z+(M<<1)>>1]|0;N=Za;while(1){O=d[a+((N&65535)<<1)>>1]|0;if((O&65535)<(N&65535))N=O;else break}if(Za<<16>>16==T<<16>>16)_a=N;else{O=T;while(1){J=d[a+((O&65535)<<1)>>1]|0;if((J&65535)<(O&65535))O=J;else break}J=(N&65535)>(O&65535)?O:N;P=T;do{_=a+((P&65535)<<1)|0;R=P;P=d[_>>1]|0;d[_>>1]=J}while((P&65535)<(R&65535));_a=J}J=Za;do{P=a+((J&65535)<<1)|0;T=J;J=d[P>>1]|0;d[P>>1]=_a}while((J&65535)<(T&65535));d[z+(E<<1)>>1]=_a;K=F;break a}while(0);if(b[x+E>>0]|0){do if(D){if(!(b[y+S>>0]|0))break;J=d[t+(L<<1)>>1]|0;T=d[z+(M<<1)>>1]|0;P=J;while(1){N=d[a+((P&65535)<<1)>>1]|0;if((N&65535)<(P&65535))P=N;else break}if(J<<16>>16==T<<16>>16)$a=P;else{N=T;while(1){O=d[a+((N&65535)<<1)>>1]|0;if((O&65535)<(N&65535))N=O;else break}O=(P&65535)>(N&65535)?N:P;R=T;do{_=a+((R&65535)<<1)|0;U=R;R=d[_>>1]|0;d[_>>1]=O}while((R&65535)<(U&65535));$a=O}O=J;do{R=a+((O&65535)<<1)|0;T=O;O=d[R>>1]|0;d[R>>1]=$a}while((O&65535)<(T&65535));d[z+(E<<1)>>1]=$a;K=F;break a}while(0);O=d[t+(E<<1)>>1]|0;J=d[t+(L<<1)>>1]|0;T=O;while(1){R=d[a+((T&65535)<<1)>>1]|0;if((R&65535)<(T&65535))T=R;else break}if(O<<16>>16==J<<16>>16)ab=T;else{R=J;while(1){P=d[a+((R&65535)<<1)>>1]|0;if((P&65535)<(R&65535))R=P;else break}P=(T&65535)>(R&65535)?R:T;N=J;do{U=a+((N&65535)<<1)|0;_=N;N=d[U>>1]|0;d[U>>1]=P}while((N&65535)<(_&65535));ab=P}P=O;do{N=a+((P&65535)<<1)|0;J=P;P=d[N>>1]|0;d[N>>1]=ab}while((P&65535)<(J&65535));P=d[z+(M<<1)>>1]|0;O=ab;while(1){J=d[a+((O&65535)<<1)>>1]|0;if((J&65535)<(O&65535))O=J;else break}if(ab<<16>>16==P<<16>>16)bb=O;else{J=P;while(1){N=d[a+((J&65535)<<1)>>1]|0;if((N&65535)<(J&65535))J=N;else break}N=(O&65535)>(J&65535)?J:O;T=P;do{R=a+((T&65535)<<1)|0;_=T;T=d[R>>1]|0;d[R>>1]=N}while((T&65535)<(_&65535));bb=N}N=ab;do{T=a+((N&65535)<<1)|0;P=N;N=d[T>>1]|0;d[T>>1]=bb}while((N&65535)<(P&65535));d[z+(E<<1)>>1]=bb;K=F;break a}if(!(b[x+G>>0]|0)){N=d[t+(L<<1)>>1]|0;P=d[z+(M<<1)>>1]|0;T=N;while(1){O=d[a+((T&65535)<<1)>>1]|0;if((O&65535)<(T&65535))T=O;else break}if(N<<16>>16==P<<16>>16)cb=T;else{O=P;while(1){J=d[a+((O&65535)<<1)>>1]|0;if((J&65535)<(O&65535))O=J;else break}J=(T&65535)>(O&65535)?O:T;_=P;do{R=a+((_&65535)<<1)|0;U=_;_=d[R>>1]|0;d[R>>1]=J}while((_&65535)<(U&65535));cb=J}J=N;do{_=a+((J&65535)<<1)|0;P=J;J=d[_>>1]|0;d[_>>1]=cb}while((J&65535)<(P&65535));d[z+(E<<1)>>1]=cb;K=F;break a}do if(D){if(!(b[y+S>>0]|0))break;J=d[t+(L<<1)>>1]|0;if(b[y+E>>0]|0){N=d[z+(M<<1)>>1]|0;P=J;while(1){_=d[a+((P&65535)<<1)>>1]|0;if((_&65535)<(P&65535))P=_;else break}if(J<<16>>16==N<<16>>16)db=P;else{_=N;while(1){T=d[a+((_&65535)<<1)>>1]|0;if((T&65535)<(_&65535))_=T;else break}T=(P&65535)>(_&65535)?_:P;O=N;do{U=a+((O&65535)<<1)|0;R=O;O=d[U>>1]|0;d[U>>1]=T}while((O&65535)<(R&65535));db=T}T=J;do{O=a+((T&65535)<<1)|0;N=T;T=d[O>>1]|0;d[O>>1]=db}while((T&65535)<(N&65535));d[z+(E<<1)>>1]=db;K=F;break a}T=d[t+(M<<1)>>1]|0;N=T;while(1){O=d[a+((N&65535)<<1)>>1]|0;if((O&65535)<(N&65535))N=O;else break}if(T<<16>>16==J<<16>>16)eb=N;else{O=J;while(1){P=d[a+((O&65535)<<1)>>1]|0;if((P&65535)<(O&65535))O=P;else break}P=(N&65535)>(O&65535)?O:N;_=J;do{R=a+((_&65535)<<1)|0;U=_;_=d[R>>1]|0;d[R>>1]=P}while((_&65535)<(U&65535));eb=P}P=T;do{_=a+((P&65535)<<1)|0;J=P;P=d[_>>1]|0;d[_>>1]=eb}while((P&65535)<(J&65535));P=d[z+(M<<1)>>1]|0;T=eb;while(1){J=d[a+((T&65535)<<1)>>1]|0;if((J&65535)<(T&65535))T=J;else break}if(eb<<16>>16==P<<16>>16)fb=T;else{J=P;while(1){_=d[a+((J&65535)<<1)>>1]|0;if((_&65535)<(J&65535))J=_;else break}_=(T&65535)>(J&65535)?J:T;N=P;do{O=a+((N&65535)<<1)|0;U=N;N=d[O>>1]|0;d[O>>1]=_}while((N&65535)<(U&65535));fb=_}_=eb;do{N=a+((_&65535)<<1)|0;P=_;_=d[N>>1]|0;d[N>>1]=fb}while((_&65535)<(P&65535));d[z+(E<<1)>>1]=fb;K=F;break a}while(0);_=d[t+(M<<1)>>1]|0;P=d[t+(L<<1)>>1]|0;N=_;while(1){T=d[a+((N&65535)<<1)>>1]|0;if((T&65535)<(N&65535))N=T;else break}if(_<<16>>16==P<<16>>16)gb=N;else{T=P;while(1){J=d[a+((T&65535)<<1)>>1]|0;if((J&65535)<(T&65535))T=J;else break}J=(N&65535)>(T&65535)?T:N;U=P;do{O=a+((U&65535)<<1)|0;R=U;U=d[O>>1]|0;d[O>>1]=J}while((U&65535)<(R&65535));gb=J}J=_;do{U=a+((J&65535)<<1)|0;P=J;J=d[U>>1]|0;d[U>>1]=gb}while((J&65535)<(P&65535));J=d[z+(M<<1)>>1]|0;_=gb;while(1){P=d[a+((_&65535)<<1)>>1]|0;if((P&65535)<(_&65535))_=P;else break}if(gb<<16>>16==J<<16>>16)hb=_;else{M=J;while(1){P=d[a+((M&65535)<<1)>>1]|0;if((P&65535)<(M&65535))M=P;else break}P=(_&65535)>(M&65535)?M:_;U=J;do{N=a+((U&65535)<<1)|0;T=U;U=d[N>>1]|0;d[N>>1]=P}while((U&65535)<(T&65535));hb=P}P=gb;do{U=a+((P&65535)<<1)|0;J=P;P=d[U>>1]|0;d[U>>1]=hb}while((P&65535)<(J&65535));d[z+(E<<1)>>1]=hb;K=F;break a}while(0);do if(B){L=E+-2|0;if(b[x+G>>0]|0){S=d[z+(L<<1)>>1]|0;do if((L|0)>-1){if(!(b[v+L>>0]|0))break;d[z+(E<<1)>>1]=S;K=F;break a}while(0);I=d[t+(L<<1)>>1]|0;P=I;while(1){J=d[a+((P&65535)<<1)>>1]|0;if((J&65535)<(P&65535))P=J;else break}if(I<<16>>16==S<<16>>16)ib=P;else{J=S;while(1){U=d[a+((J&65535)<<1)>>1]|0;if((U&65535)<(J&65535))J=U;else break}U=(P&65535)>(J&65535)?J:P;_=S;do{M=a+((_&65535)<<1)|0;T=_;_=d[M>>1]|0;d[M>>1]=U}while((_&65535)<(T&65535));ib=U}U=I;do{_=a+((U&65535)<<1)|0;S=U;U=d[_>>1]|0;d[_>>1]=ib}while((U&65535)<(S&65535));d[z+(E<<1)>>1]=ib;K=F;break a}if(!(b[x+E>>0]|0)){jb=L;break}do if((L|0)>-1){if(!(b[v+L>>0]|0))break;if(!(b[x+L>>0]|0)){U=d[t+(E<<1)>>1]|0;I=d[z+(L<<1)>>1]|0;S=U;while(1){_=d[a+((S&65535)<<1)>>1]|0;if((_&65535)<(S&65535))S=_;else break}if(U<<16>>16==I<<16>>16)kb=S;else{_=I;while(1){P=d[a+((_&65535)<<1)>>1]|0;if((P&65535)<(_&65535))_=P;else break}P=(S&65535)>(_&65535)?_:S;J=I;do{T=a+((J&65535)<<1)|0;M=J;J=d[T>>1]|0;d[T>>1]=P}while((J&65535)<(M&65535));kb=P}P=U;do{J=a+((P&65535)<<1)|0;I=P;P=d[J>>1]|0;d[J>>1]=kb}while((P&65535)<(I&65535));d[z+(E<<1)>>1]=kb;K=F;break a}do if(D){if(!(b[y+G>>0]|0))break;d[z+(E<<1)>>1]=d[z+(L<<1)>>1]|0;K=F;break a}while(0);P=d[t+(E<<1)>>1]|0;U=d[z+(L<<1)>>1]|0;I=P;while(1){J=d[a+((I&65535)<<1)>>1]|0;if((J&65535)<(I&65535))I=J;else break}if(P<<16>>16==U<<16>>16)lb=I;else{J=U;while(1){S=d[a+((J&65535)<<1)>>1]|0;if((S&65535)<(J&65535))J=S;else break}S=(I&65535)>(J&65535)?J:I;_=U;do{M=a+((_&65535)<<1)|0;T=_;_=d[M>>1]|0;d[M>>1]=S}while((_&65535)<(T&65535));lb=S}S=P;do{_=a+((S&65535)<<1)|0;U=S;S=d[_>>1]|0;d[_>>1]=lb}while((S&65535)<(U&65535));d[z+(E<<1)>>1]=lb;K=F;break a}while(0);S=d[t+(E<<1)>>1]|0;P=d[z+(L<<1)>>1]|0;U=S;while(1){_=d[a+((U&65535)<<1)>>1]|0;if((_&65535)<(U&65535))U=_;else break}if(S<<16>>16==P<<16>>16)mb=U;else{L=P;while(1){_=d[a+((L&65535)<<1)>>1]|0;if((_&65535)<(L&65535))L=_;else break}_=(U&65535)>(L&65535)?L:U;I=P;do{J=a+((I&65535)<<1)|0;T=I;I=d[J>>1]|0;d[J>>1]=_}while((I&65535)<(T&65535));mb=_}_=S;do{I=a+((_&65535)<<1)|0;P=_;_=d[I>>1]|0;d[I>>1]=mb}while((_&65535)<(P&65535));d[z+(E<<1)>>1]=mb;K=F;break a}else jb=E+-2|0;while(0);d[z+(E<<1)>>1]=d[z+(jb<<1)>>1]|0;K=F;break}do if(B){_=E+-2|0;if(b[x+G>>0]|0){S=d[z+(_<<1)>>1]|0;do if((_|0)>-1){if(!(b[v+_>>0]|0))break;d[z+(E<<1)>>1]=S;K=F;break a}while(0);P=d[t+(_<<1)>>1]|0;I=P;while(1){U=d[a+((I&65535)<<1)>>1]|0;if((U&65535)<(I&65535))I=U;else break}if(P<<16>>16==S<<16>>16)nb=I;else{U=S;while(1){L=d[a+((U&65535)<<1)>>1]|0;if((L&65535)<(U&65535))U=L;else break}L=(I&65535)>(U&65535)?U:I;T=S;do{J=a+((T&65535)<<1)|0;M=T;T=d[J>>1]|0;d[J>>1]=L}while((T&65535)<(M&65535));nb=L}L=P;do{T=a+((L&65535)<<1)|0;S=L;L=d[T>>1]|0;d[T>>1]=nb}while((L&65535)<(S&65535));d[z+(E<<1)>>1]=nb;K=F;break a}if(!(b[x+E>>0]|0)){ob=_;break}do if((_|0)>-1){if(!(b[v+_>>0]|0))break;if(!(b[x+_>>0]|0)){L=d[t+(E<<1)>>1]|0;P=d[z+(_<<1)>>1]|0;S=L;while(1){T=d[a+((S&65535)<<1)>>1]|0;if((T&65535)<(S&65535))S=T;else break}if(L<<16>>16==P<<16>>16)pb=S;else{T=P;while(1){I=d[a+((T&65535)<<1)>>1]|0;if((I&65535)<(T&65535))T=I;else break}I=(S&65535)>(T&65535)?T:S;U=P;do{M=a+((U&65535)<<1)|0;J=U;U=d[M>>1]|0;d[M>>1]=I}while((U&65535)<(J&65535));pb=I}I=L;do{U=a+((I&65535)<<1)|0;P=I;I=d[U>>1]|0;d[U>>1]=pb}while((I&65535)<(P&65535));d[z+(E<<1)>>1]=pb;K=F;break a}do if(D){if(!(b[y+G>>0]|0))break;d[z+(E<<1)>>1]=d[z+(_<<1)>>1]|0;K=F;break a}while(0);I=d[t+(E<<1)>>1]|0;L=d[z+(_<<1)>>1]|0;P=I;while(1){U=d[a+((P&65535)<<1)>>1]|0;if((U&65535)<(P&65535))P=U;else break}if(I<<16>>16==L<<16>>16)qb=P;else{U=L;while(1){S=d[a+((U&65535)<<1)>>1]|0;if((S&65535)<(U&65535))U=S;else break}S=(P&65535)>(U&65535)?U:P;T=L;do{J=a+((T&65535)<<1)|0;M=T;T=d[J>>1]|0;d[J>>1]=S}while((T&65535)<(M&65535));qb=S}S=I;do{T=a+((S&65535)<<1)|0;L=S;S=d[T>>1]|0;d[T>>1]=qb}while((S&65535)<(L&65535));d[z+(E<<1)>>1]=qb;K=F;break a}while(0);S=d[t+(E<<1)>>1]|0;I=d[z+(_<<1)>>1]|0;L=S;while(1){T=d[a+((L&65535)<<1)>>1]|0;if((T&65535)<(L&65535))L=T;else break}if(S<<16>>16==I<<16>>16)rb=L;else{_=I;while(1){T=d[a+((_&65535)<<1)>>1]|0;if((T&65535)<(_&65535))_=T;else break}T=(L&65535)>(_&65535)?_:L;P=I;do{U=a+((P&65535)<<1)|0;M=P;P=d[U>>1]|0;d[U>>1]=T}while((P&65535)<(M&65535));rb=T}T=S;do{P=a+((T&65535)<<1)|0;I=T;T=d[P>>1]|0;d[P>>1]=rb}while((T&65535)<(I&65535));d[z+(E<<1)>>1]=rb;K=F;break a}else ob=E+-2|0;while(0);d[z+(E<<1)>>1]=d[z+(ob<<1)>>1]|0;K=F;break}}T=E|1;S=(T|0)<(o|0);if(!(C|S^1)?b[x+T>>0]|0:0){if(b[x+E>>0]|0){d[z+(E<<1)>>1]=d[t+(E<<1)>>1]|0;K=F;break}if(H?b[x+G>>0]|0:0){I=d[t+(E<<1)>>1]|0;do if(D){if(!(b[y+E>>0]|0))break;d[z+(E<<1)>>1]=I;K=F;break a}while(0);P=d[t+(E+-2<<1)>>1]|0;L=P;while(1){_=d[a+((L&65535)<<1)>>1]|0;if((_&65535)<(L&65535))L=_;else break}if(P<<16>>16==I<<16>>16)sb=L;else{_=I;while(1){M=d[a+((_&65535)<<1)>>1]|0;if((M&65535)<(_&65535))_=M;else break}M=(L&65535)>(_&65535)?_:L;U=I;do{J=a+((U&65535)<<1)|0;N=U;U=d[J>>1]|0;d[J>>1]=M}while((U&65535)<(N&65535));sb=M}M=P;do{U=a+((M&65535)<<1)|0;I=M;M=d[U>>1]|0;d[U>>1]=sb}while((M&65535)<(I&65535));d[z+(E<<1)>>1]=sb;K=F;break}d[z+(E<<1)>>1]=d[t+(E<<1)>>1]|0;K=F;break}if(S?b[v+T>>0]|0:0){M=E+2|0;if(!((M|0)>=(o|0)|C)?b[x+M>>0]|0:0){if(b[x+E>>0]|0){do if(D){if(!(b[y+T>>0]|0))break;d[z+(E<<1)>>1]=d[t+(M<<1)>>1]|0;K=F;break a}while(0);S=d[t+(E<<1)>>1]|0;P=d[t+(M<<1)>>1]|0;I=S;while(1){U=d[a+((I&65535)<<1)>>1]|0;if((U&65535)<(I&65535))I=U;else break}if(S<<16>>16==P<<16>>16)tb=I;else{U=P;while(1){L=d[a+((U&65535)<<1)>>1]|0;if((L&65535)<(U&65535))U=L;else break}L=(I&65535)>(U&65535)?U:I;_=P;do{N=a+((_&65535)<<1)|0;J=_;_=d[N>>1]|0;d[N>>1]=L}while((_&65535)<(J&65535));tb=L}L=S;do{_=a+((L&65535)<<1)|0;P=L;L=d[_>>1]|0;d[_>>1]=tb}while((L&65535)<(P&65535));d[z+(E<<1)>>1]=tb;K=F;break}do if(H){if(!(b[x+G>>0]|0))break;do if(D){if(!(b[y+T>>0]|0))break;L=d[t+(M<<1)>>1]|0;if(b[y+E>>0]|0){d[z+(E<<1)>>1]=L;K=F;break a}S=d[t+(E+-2<<1)>>1]|0;P=S;while(1){_=d[a+((P&65535)<<1)>>1]|0;if((_&65535)<(P&65535))P=_;else break}if(S<<16>>16==L<<16>>16)ub=P;else{_=L;while(1){I=d[a+((_&65535)<<1)>>1]|0;if((I&65535)<(_&65535))_=I;else break}I=(P&65535)>(_&65535)?_:P;U=L;do{J=a+((U&65535)<<1)|0;N=U;U=d[J>>1]|0;d[J>>1]=I}while((U&65535)<(N&65535));ub=I}I=S;do{U=a+((I&65535)<<1)|0;L=I;I=d[U>>1]|0;d[U>>1]=ub}while((I&65535)<(L&65535));d[z+(E<<1)>>1]=ub;K=F;break a}while(0);I=d[t+(E+-2<<1)>>1]|0;S=d[t+(M<<1)>>1]|0;L=I;while(1){U=d[a+((L&65535)<<1)>>1]|0;if((U&65535)<(L&65535))L=U;else break}if(I<<16>>16==S<<16>>16)vb=L;else{U=S;while(1){P=d[a+((U&65535)<<1)>>1]|0;if((P&65535)<(U&65535))U=P;else break}P=(L&65535)>(U&65535)?U:L;_=S;do{N=a+((_&65535)<<1)|0;J=_;_=d[N>>1]|0;d[N>>1]=P}while((_&65535)<(J&65535));vb=P}P=I;do{_=a+((P&65535)<<1)|0;S=P;P=d[_>>1]|0;d[_>>1]=vb}while((P&65535)<(S&65535));d[z+(E<<1)>>1]=vb;K=F;break a}while(0);d[z+(E<<1)>>1]=d[t+(M<<1)>>1]|0;K=F;break}if(B?b[x+E>>0]|0:0){d[z+(E<<1)>>1]=d[t+(E<<1)>>1]|0;K=F;break}do if(!(C|H^1)){if(!(b[x+G>>0]|0))break;d[z+(E<<1)>>1]=d[t+(E+-2<<1)>>1]|0;K=F;break a}while(0);d[z+(E<<1)>>1]=F;M=F&65535;d[a+(M<<1)>>1]=F;K=M+1&65535;break}if(B?b[x+E>>0]|0:0){d[z+(E<<1)>>1]=d[t+(E<<1)>>1]|0;K=F;break}if(!(C|H^1)?b[x+G>>0]|0:0){d[z+(E<<1)>>1]=d[t+(E+-2<<1)>>1]|0;K=F;break}d[z+(E<<1)>>1]=F;M=F&65535;d[a+(M<<1)>>1]=F;K=M+1&65535}while(0);E=E+2|0;if((E|0)>=(o|0)){wb=K;break}else F=K}}else wb=r;s=s+2|0;if((s|0)>=(i|0))break;else r=wb}if((wb&65535)>1){r=wb&65535;wb=1;i=1;while(1){s=a+(i<<1)|0;K=j[s>>1]|0;if(K>>>0<i>>>0){d[s>>1]=d[a+(K<<1)>>1]|0;xb=wb}else{d[s>>1]=wb;xb=(wb&65535)+1&65535}i=i+1|0;if((i|0)==(r|0)){yb=xb;break}else wb=xb}}else yb=1}else yb=1;xb=f[k>>2]|0;k=f[p>>2]|0;p=(k&1|0)!=0;wb=(xb|0)>0;if(!(xb&1)){if(!p){if(!wb){tE(a);u=h;return yb|0}r=f[c+16>>2]|0;i=f[f[c+44>>2]>>2]|0;s=f[e+16>>2]|0;K=f[f[e+44>>2]>>2]|0;o=(k|0)>0;vb=0;do{ub=r+(Y(i,vb)|0)|0;tb=ub+i|0;sb=s+(Y(K,vb)|0)|0;ob=sb+K|0;if(o){rb=0;do{qb=sb+(rb<<1)|0;pb=d[qb>>1]|0;do if(pb<<16>>16){nb=d[a+((pb&65535)<<1)>>1]|0;d[qb>>1]=(b[ub+rb>>0]|0)==0?0:nb;jb=rb|1;d[sb+(jb<<1)>>1]=(b[ub+jb>>0]|0)==0?0:nb;d[ob+(rb<<1)>>1]=(b[tb+rb>>0]|0)==0?0:nb;mb=ob+(jb<<1)|0;if(!(b[tb+jb>>0]|0)){d[mb>>1]=0;break}else{d[mb>>1]=nb;break}}else{d[qb>>1]=0;nb=rb|1;d[sb+(nb<<1)>>1]=0;d[ob+(rb<<1)>>1]=0;d[ob+(nb<<1)>>1]=0}while(0);rb=rb+2|0}while((rb|0)<(k|0))}vb=vb+2|0}while((vb|0)<(xb|0));tE(a);u=h;return yb|0}if(!wb){tE(a);u=h;return yb|0}vb=f[c+16>>2]|0;o=f[f[c+44>>2]>>2]|0;K=f[e+16>>2]|0;s=f[f[e+44>>2]>>2]|0;i=(k|0)>0;r=0;do{rb=vb+(Y(o,r)|0)|0;ob=rb+o|0;sb=K+(Y(s,r)|0)|0;tb=sb+s|0;if(i){ub=0;do{qb=sb+(ub<<1)|0;pb=d[qb>>1]|0;do if(!(pb<<16>>16)){d[qb>>1]=0;d[tb+(ub<<1)>>1]=0;nb=ub|1;if((nb|0)<(k|0)){d[sb+(nb<<1)>>1]=0;d[tb+(nb<<1)>>1]=0}}else{nb=d[a+((pb&65535)<<1)>>1]|0;d[qb>>1]=(b[rb+ub>>0]|0)==0?0:nb;d[tb+(ub<<1)>>1]=(b[ob+ub>>0]|0)==0?0:nb;mb=ub|1;if((mb|0)<(k|0)){d[sb+(mb<<1)>>1]=(b[rb+mb>>0]|0)==0?0:nb;jb=tb+(mb<<1)|0;if(!(b[ob+mb>>0]|0)){d[jb>>1]=0;break}else{d[jb>>1]=nb;break}}}while(0);ub=ub+2|0}while((ub|0)<(k|0))}r=r+2|0}while((r|0)<(xb|0));tE(a);u=h;return yb|0}if(!p){if(!wb){tE(a);u=h;return yb|0}p=f[c+16>>2]|0;r=f[f[c+44>>2]>>2]|0;i=f[e+16>>2]|0;s=f[f[e+44>>2]>>2]|0;K=(k|0)>0;o=0;do{vb=p+(Y(r,o)|0)|0;ub=vb+r|0;ob=i+(Y(s,o)|0)|0;tb=ob+s|0;if(K){rb=o|1;sb=(rb|0)<(xb|0);qb=(rb|0)<(xb|0);rb=0;do{pb=ob+(rb<<1)|0;nb=d[pb>>1]|0;do if(!(nb<<16>>16)){d[pb>>1]=0;jb=rb|1;d[ob+(jb<<1)>>1]=0;if(sb){d[tb+(rb<<1)>>1]=0;d[tb+(jb<<1)>>1]=0}}else{jb=d[a+((nb&65535)<<1)>>1]|0;d[pb>>1]=(b[vb+rb>>0]|0)==0?0:jb;mb=rb|1;d[ob+(mb<<1)>>1]=(b[vb+mb>>0]|0)==0?0:jb;if(qb){d[tb+(rb<<1)>>1]=(b[ub+rb>>0]|0)==0?0:jb;lb=tb+(mb<<1)|0;if(!(b[ub+mb>>0]|0)){d[lb>>1]=0;break}else{d[lb>>1]=jb;break}}}while(0);rb=rb+2|0}while((rb|0)<(k|0))}o=o+2|0}while((o|0)<(xb|0));tE(a);u=h;return yb|0}if(!wb){tE(a);u=h;return yb|0}wb=f[c+16>>2]|0;o=f[f[c+44>>2]>>2]|0;c=f[e+16>>2]|0;K=f[f[e+44>>2]>>2]|0;e=(k|0)>0;s=0;do{i=wb+(Y(o,s)|0)|0;r=i+o|0;p=c+(Y(K,s)|0)|0;rb=p+K|0;if(e){ub=s|1;tb=(ub|0)<(xb|0);qb=(ub|0)<(xb|0);vb=(ub|0)<(xb|0);ob=(ub|0)<(xb|0);ub=0;do{sb=p+(ub<<1)|0;pb=d[sb>>1]|0;do if(!(pb<<16>>16)){d[sb>>1]=0;nb=ub|1;if((nb|0)<(k|0)){d[p+(nb<<1)>>1]=0;if(!tb)break;d[rb+(ub<<1)>>1]=0;d[rb+(nb<<1)>>1]=0;break}else{if(!qb)break;d[rb+(ub<<1)>>1]=0;break}}else{nb=d[a+((pb&65535)<<1)>>1]|0;d[sb>>1]=(b[i+ub>>0]|0)==0?0:nb;jb=ub|1;if((jb|0)<(k|0)){d[p+(jb<<1)>>1]=(b[i+jb>>0]|0)==0?0:nb;if(!vb)break;d[rb+(ub<<1)>>1]=(b[r+ub>>0]|0)==0?0:nb;lb=rb+(jb<<1)|0;if(!(b[r+jb>>0]|0)){d[lb>>1]=0;break}else{d[lb>>1]=nb;break}}else{if(!ob)break;lb=rb+(ub<<1)|0;if(!(b[r+ub>>0]|0)){d[lb>>1]=0;break}else{d[lb>>1]=nb;break}}}while(0);ub=ub+2|0}while((ub|0)<(k|0))}s=s+2|0}while((s|0)<(xb|0));tE(a);u=h;return yb|0}
function aU(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;g=u;u=u+16|0;h=g+8|0;i=g;if(!c){f[h>>2]=0;f[h+4>>2]=0;CT(-27,h,215172,2718)}if(((((a|0)!=0?(f[a>>2]&-65536|0)==1111621632:0)?(f[a+24>>2]|0)>0:0)?(f[a+20>>2]|0)>0:0)?(f[a+16>>2]|0)!=0:0)j=a;else k=8;do if((k|0)==8){f[h>>2]=0;l=PT(a,c,h,1)|0;if(!(f[h>>2]|0)){j=l;break}else{f[i>>2]=0;f[i+4>>2]=0;m=YG(i,20)|0;n=380319;o=m+20|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));CT(-24,i,215172,2725)}}while(0);if(d)if((d+-1|0)>>>0>3){f[h>>2]=0;f[h+4>>2]=0;CT(-15,h,215172,2731)}else p=d;else p=((f[j>>2]|0)>>>3&511)+1|0;if((j|0)!=(c|0)){d=c+12|0;i=f[d>>2]|0;f[c>>2]=f[j>>2];f[c+4>>2]=f[j+4>>2];f[c+8>>2]=f[j+8>>2];f[c+12>>2]=f[j+12>>2];f[c+16>>2]=f[j+16>>2];f[c+20>>2]=f[j+20>>2];f[c+24>>2]=f[j+24>>2];f[c+8>>2]=0;f[d>>2]=i}i=f[j>>2]|0;d=Y((i>>>3&511)+1|0,f[j+24>>2]|0)|0;a=(e|0)==0;if((p|0)>(d|0))if(a)k=20;else{q=e;k=23}else if(a&((d|0)%(p|0)|0|0)!=0)k=20;else{r=e;k=21}if((k|0)==20){r=(Y(f[j+20>>2]|0,d)|0)/(p|0)|0;k=21}if((k|0)==21)if(!r){s=f[j+20>>2]|0;k=24}else{q=r;k=23}do if((k|0)==23){r=f[j+20>>2]|0;if((q|0)!=(r|0)){e=Y(r,d)|0;if(!(i&16384)){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,72)|0;n=215182;o=m+72|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));CT(-13,h,215172,2756)}if(q>>>0>e>>>0){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,22)|0;n=215255;o=m+22|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));CT(-211,h,215172,2759)}r=(e|0)/(q|0)|0;if((Y(r,q)|0)==(e|0)){f[c+20>>2]=q;t=r;v=Y(1212424721>>>(f[j>>2]<<2&28)&15,r)|0;break}else{f[h>>2]=0;f[h+4>>2]=0;m=YG(h,78)|0;n=215093;o=m+78|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));CT(-5,h,215172,2765)}}else{s=q;k=24}}while(0);if((k|0)==24){f[c+20>>2]=s;t=d;v=f[j+4>>2]|0}f[c+4>>2]=v;v=(t|0)/(p|0)|0;if((Y(v,p)|0)==(t|0)){f[c+24>>2]=v;v=f[j>>2]|0;f[c>>2]=v&7|(p<<3)+-8|v&-4096;u=g;return c|0}else{f[h>>2]=0;f[h+4>>2]=0;m=YG(h,62)|0;n=215278;o=m+62|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));CT(-15,h,215172,2775)}return 0}function bU(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;i=u;u=u+16|0;j=i;if(!a){f[j>>2]=0;f[j+4>>2]=0;k=YG(j,22)|0;l=215341;m=k+22|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));CT(-9,j,215364,2917)}f[a>>2]=112;k=a+4|0;m=k+108|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(m|0));n=e+-1|0;if(n>>>0<4){o=f[47060+(n<<3)+4>>2]|0;p=f[47060+(n<<3)>>2]|0}else{o=1163146;p=1163146}n=p;p=0;do{q=n+p|0;b[a+20+p>>0]=b[q>>0]|0;p=p+1|0}while((b[q>>0]|0)!=0&(p|0)<4);p=o;o=0;do{n=p+o|0;b[a+24+o>>0]=b[n>>0]|0;o=o+1|0}while((b[n>>0]|0)!=0&(o|0)<4);o=f[c>>2]|0;if((o|0)<0){f[j>>2]=0;r=j+4|0;f[r>>2]=0;s=YG(j,13)|0;k=s;l=215382;m=k+13|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));CT(-25,j,215364,2936)}p=f[c+4>>2]|0;if((p|0)<0){f[j>>2]=0;r=j+4|0;f[r>>2]=0;s=YG(j,13)|0;k=s;l=215382;m=k+13|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));CT(-25,j,215364,2936)}if((e|0)<0|(d|0)!=64&((d|0)!=32&((d|0)!=-2147483616&((d|0)!=-2147483632&((d|0)!=16&((d|0)!=-2147483640&((d|0)!=1&(d|0)!=8))))))){f[j>>2]=0;f[j+4>>2]=0;k=YG(j,18)|0;l=215396;m=k+18|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));CT(-17,j,215364,2943)}if(g>>>0>1){f[j>>2]=0;f[j+4>>2]=0;k=YG(j,16)|0;l=215415;m=k+16|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));CT(-20,j,215364,2945)}switch(h|0){case 4:case 8:break;default:{f[j>>2]=0;f[j+4>>2]=0;k=YG(j,15)|0;l=215432;m=k+15|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));CT(-21,j,215364,2948)}}f[a+40>>2]=o;f[a+44>>2]=p;s=f[a+48>>2]|0;if(s|0){f[s>>2]=0;f[s+8>>2]=0;f[s+4>>2]=0;f[s+12>>2]=o;f[s+16>>2]=p}s=(e|0)>1?e:1;f[a+8>>2]=s;f[a+16>>2]=d;f[a+36>>2]=h;e=h+-1+(((Y(Y(s,d&2147483647)|0,o)|0)+7|0)>>>3)&0-h;f[a+72>>2]=e;f[a+32>>2]=g;g=Urc(e|0,((e|0)<0)<<31>>31|0,p|0,((p|0)<0)<<31>>31|0)|0;f[a+64>>2]=g;if((g|0)==(g|0)&(((g|0)<0)<<31>>31|0)==(J|0)){u=i;return a|0}else{f[j>>2]=0;f[j+4>>2]=0;k=YG(j,22)|0;l=213373;m=k+22|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));CT(-4,j,215364,2970)}return 0}function cU(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+16|0;e=d+8|0;g=d;h=a;a=f[h>>2]|0;i=f[h+4>>2]|0;h=f[135514]|0;if(!h){j=uE(112)|0;k=g;f[k>>2]=a;f[k+4>>2]=i;f[e>>2]=f[g>>2];f[e+4>>2]=f[g+4>>2];bU(j,e,b,c,0,4)|0;l=j;FT(l);u=d;return l|0}j=c+-1|0;if(j>>>0<4){m=f[47060+(j<<3)+4>>2]|0;n=f[47060+(j<<3)>>2]|0}else{m=1163146;n=1163146}l=ti[h&0](c,0,b,n,m,0,0,4,a,i,0,0,0,0)|0;FT(l);u=d;return l|0}function dU(a){a=a|0;var b=0,c=0,d=0;b=u;u=u+16|0;c=b;if(!a){f[c>>2]=0;f[c+4>>2]=0;CT(-27,c,215466,3004)}c=f[a>>2]|0;if(!c){u=b;return}f[a>>2]=0;VT(c);a=f[135516]|0;if(!a){d=c+48|0;vE(f[d>>2]|0);f[d>>2]=0;vE(c);u=b;return}else{xh[a&2047](c,5);u=b;return}}function eU(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=u;u=u+16|0;d=c;if(!a){f[d>>2]=0;f[d+4>>2]=0;CT(-9,d,215481,3021)}e=b+8|0;g=f[e>>2]|0;if((((((g|0)>-1?(h=b+12|0,i=f[h>>2]|0,(i|0)>-1):0)?(j=f[b>>2]|0,k=f[a+40>>2]|0,(j|0)<(k|0)):0)?(l=b+4|0,m=f[l>>2]|0,n=f[a+44>>2]|0,(m|0)<(n|0)):0)?(o=j+g|0,(o|0)>=((g|0)>0|0)):0)?(g=m+i|0,(g|0)>=((i|0)>0|0)):0){i=(j|0)>0?j:0;f[b>>2]=i;b=(m|0)>0?m:0;f[l>>2]=b;l=((k|0)<(o|0)?k:o)-i|0;f[e>>2]=l;e=((n|0)<(g|0)?n:g)-b|0;f[h>>2]=e;h=a+48|0;a=f[h>>2]|0;if(a|0){f[a+4>>2]=i;f[a+8>>2]=b;f[a+12>>2]=l;f[a+16>>2]=e;u=c;return}a=f[135517]|0;if(!a){g=uE(20)|0;f[g>>2]=0;f[g+4>>2]=i;f[g+8>>2]=b;f[g+12>>2]=l;f[g+16>>2]=e;p=g}else p=lh[a&127](0,i,b,l,e)|0;f[h>>2]=p;u=c;return}f[d>>2]=0;f[d+4>>2]=0;Krc(YG(d,184)|0,215495,184)|0;CT(-215,d,215481,3027)}function fU(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+16|0;d=c;if(!a){f[d>>2]=0;f[d+4>>2]=0;CT(-9,d,215680,3094)}if((f[a+8>>2]|0)>>>0<b>>>0){f[d>>2]=0;f[d+4>>2]=0;CT(-24,d,215680,3097)}d=a+48|0;e=f[d>>2]|0;g=(e|0)!=0;if(!((b|0)!=0|g)){u=c;return}if(g){f[e>>2]=b;u=c;return}e=f[a+40>>2]|0;g=f[a+44>>2]|0;a=f[135517]|0;if(!a){h=uE(20)|0;f[h>>2]=b;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=e;f[h+16>>2]=g;i=h}else i=lh[a&127](b,0,0,e,g)|0;f[d>>2]=i;u=c;return}function gU(a){a=a|0;var b=0,c=0,d=0;b=u;u=u+16|0;c=b;if(!a){f[c>>2]=0;f[c+4>>2]=0;CT(-9,c,215694,3117)}c=f[a+48>>2]|0;if(!c){d=0;u=b;return d|0}d=f[c>>2]|0;u=b;return d|0}function hU(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=u;u=u+16|0;d=c;if(!a){f[d>>2]=0;e=d+4|0;f[e>>2]=0;g=YG(d,16)|0;h=g;i=215708;j=h+16|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));CT(-5,d,215725,3129)}if((f[a>>2]|0)!=112){f[d>>2]=0;e=d+4|0;f[e>>2]=0;g=YG(d,16)|0;h=g;i=215708;j=h+16|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));CT(-5,d,215725,3129)}d=f[135518]|0;if(d|0){k=ci[d&1023](a)|0;u=c;return k|0}d=uE(112)|0;h=d;i=a;j=h+108|0;do{f[h>>2]=f[i>>2];h=h+4|0;i=i+4|0}while((h|0)<(j|0));f[d>>2]=112;f[d+108>>2]=0;i=d+68|0;f[i>>2]=0;h=d+48|0;f[h>>2]=0;j=f[a+48>>2]|0;if(j|0){g=f[j>>2]|0;e=f[j+4>>2]|0;l=f[j+8>>2]|0;m=f[j+12>>2]|0;n=f[j+16>>2]|0;j=f[135517]|0;if(!j){o=uE(20)|0;f[o>>2]=g;f[o+4>>2]=e;f[o+8>>2]=l;f[o+12>>2]=m;f[o+16>>2]=n;p=o}else p=lh[j&127](g,e,l,m,n)|0;f[h>>2]=p}p=a+68|0;if(!(f[p>>2]|0)){k=d;u=c;return k|0}h=f[a+64>>2]|0;FT(d);Krc(f[i>>2]|0,f[p>>2]|0,h|0)|0;k=d;u=c;return k|0}function iU(a,b){a=a|0;b=b|0;var c=0;a=u;u=u+16|0;c=a;f[c>>2]=b;HT(c);u=a;return}function jU(a,b){a=a|0;b=b|0;var c=0;a=u;u=u+16|0;c=a;f[c>>2]=b;UV(c);u=a;return}function kU(a,b){a=a|0;b=b|0;var c=0;a=u;u=u+16|0;c=a;f[c>>2]=b;OY(c);u=a;return}function lU(a,c,e,g){a=a|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h+8|0;j=h;zT(i,47092);k=(e>>>3&511)+1|0;if(k>>>0>=5){f[j>>2]=0;f[j+4>>2]=0;l=YG(j,7)|0;b[l>>0]=b[215738]|0;b[l+1>>0]=b[215739]|0;b[l+2>>0]=b[215740]|0;b[l+3>>0]=b[215741]|0;b[l+4>>0]=b[215742]|0;b[l+5>>0]=b[215743]|0;b[l+6>>0]=b[215744]|0;CT(-215,j,215746,3241)}switch(e&7){case 0:{e=0;do{l=V9b(+p[a+(e<<3)>>3])|0;b[c+e>>0]=l>>>0<256?l:(l|0)>0?255:0;e=e+1|0}while((e|0)!=(k|0));if((k|0)<(g|0)){e=k;do{b[c+e>>0]=b[c+(e-k)>>0]|0;e=e+1|0}while((e|0)!=(g|0))}break}case 1:{e=0;do{l=V9b(+p[a+(e<<3)>>3])|0;b[c+e>>0]=(l+128|0)>>>0<256?l:(l|0)>0?127:128;e=e+1|0}while((e|0)!=(k|0));if((k|0)<(g|0)){e=k;do{b[c+e>>0]=b[c+(e-k)>>0]|0;e=e+1|0}while((e|0)!=(g|0))}break}case 2:{e=0;do{l=V9b(+p[a+(e<<3)>>3])|0;d[c+(e<<1)>>1]=l>>>0<65536?l:(l|0)>0?65535:0;e=e+1|0}while((e|0)!=(k|0));if((k|0)<(g|0)){e=k;do{d[c+(e<<1)>>1]=d[c+(e-k<<1)>>1]|0;e=e+1|0}while((e|0)!=(g|0))}break}case 3:{e=0;do{l=V9b(+p[a+(e<<3)>>3])|0;d[c+(e<<1)>>1]=(l+32768|0)>>>0<65536?l:(l|0)>0?32767:32768;e=e+1|0}while((e|0)!=(k|0));if((k|0)<(g|0)){e=k;do{d[c+(e<<1)>>1]=d[c+(e-k<<1)>>1]|0;e=e+1|0}while((e|0)!=(g|0))}break}case 4:{e=0;do{l=V9b(+p[a+(e<<3)>>3])|0;f[c+(e<<2)>>2]=l;e=e+1|0}while((e|0)!=(k|0));if((k|0)<(g|0)){e=k;do{f[c+(e<<2)>>2]=f[c+(e-k<<2)>>2];e=e+1|0}while((e|0)!=(g|0))}break}case 5:{e=0;do{n[c+(e<<2)>>2]=+p[a+(e<<3)>>3];e=e+1|0}while((e|0)!=(k|0));if((k|0)<(g|0)){e=k;do{f[c+(e<<2)>>2]=f[c+(e-k<<2)>>2];e=e+1|0}while((e|0)!=(g|0))}break}case 6:{e=0;do{p[c+(e<<3)>>3]=+p[a+(e<<3)>>3];e=e+1|0}while((e|0)!=(k|0));if((k|0)<(g|0)){e=k;do{p[c+(e<<3)>>3]=+p[c+(e-k<<3)>>3];e=e+1|0}while((e|0)!=(g|0))}break}default:{f[j>>2]=0;f[j+4>>2]=0;CT(-210,j,215746,3266)}}if(!(f[i+4>>2]|0)){u=h;return}u=h;return}function mU(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0;e=u;u=u+352|0;i=e+216|0;j=e+72|0;k=e+16|0;l=e;m=e+208|0;n=e+200|0;if(!c){f[a>>2]=1124007936;o=a+8|0;p=a+40|0;q=a+4|0;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));f[p>>2]=o;o=a+48|0;f[a+44>>2]=o;f[o>>2]=0;f[a+52>>2]=0;u=e;return}o=f[c>>2]|0;p=o&-65536;if((p|0)==1111621632){s=f[c+24>>2]|0;if((s|0)>-1?(t=f[c+20>>2]|0,(t|0)>-1):0){f[a>>2]=1124007936;v=a+4|0;w=a+8|0;x=a+40|0;q=v;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));f[x>>2]=w;x=a+48|0;f[a+44>>2]=x;f[x>>2]=0;y=a+52|0;f[y>>2]=0;z=f[c+4>>2]|0;if(d){f[a+16>>2]=0;f[a+24>>2]=0;f[a+20>>2]=0;Ri(i,t,s,o,f[c+16>>2]|0,z);A=j+8|0;f[A>>2]=0;f[A+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=a;kT(i,j);A=i+36|0;B=f[A>>2]|0;if(B|0?(C=B+12|0,B=f[C>>2]|0,f[C>>2]=B+-1,(B|0)==1):0)lP(i);f[A>>2]=0;A=i+16|0;B=i+4|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[B>>2]|0)>0){A=f[i+40>>2]|0;C=0;do{f[A+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[B>>2]|0))}B=f[i+44>>2]|0;if((B|0)!=(i+48|0))tE(B)}else{f[a>>2]=o&20479|1124007936;f[v>>2]=2;f[w>>2]=t;f[a+12>>2]=s;w=f[c+16>>2]|0;f[a+16>>2]=w;f[a+20>>2]=w;v=(o>>>3&511)+1<<(47696>>>(o<<1&14)&3);B=Y(s,v)|0;s=(z|0)==0?B:z;z=w+(Y(s,t)|0)|0;f[a+28>>2]=z;f[a+24>>2]=z+(0-s)+B;f[x>>2]=s;f[y>>2]=v}u=e;return}}else if((p|0)==1111687168?(v=f[c+16>>2]|0,y=v,v|0):0){v=a+4|0;s=a+8|0;x=a+40|0;q=v;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));f[x>>2]=s;B=a+48|0;z=a+44|0;f[z>>2]=B;f[B>>2]=0;f[a+52>>2]=0;B=a+16|0;f[B>>2]=y;t=a+20|0;f[t>>2]=y;f[a>>2]=o&4095|1124007936;y=f[c+4>>2]|0;if((y|0)>0){w=0;do{f[i+(w<<2)>>2]=f[c+20+(w<<3)>>2];f[j+(w<<2)>>2]=f[c+20+(w<<3)+4>>2];w=w+1|0}while((w|0)!=(y|0))}$O(a,y,i,j,0);aP(a);if(d){f[k>>2]=f[a>>2];y=k+4|0;w=f[v>>2]|0;f[y>>2]=w;C=k+8|0;f[C>>2]=f[s>>2];f[k+12>>2]=f[a+12>>2];s=k+16|0;f[s>>2]=f[B>>2];f[k+20>>2]=f[t>>2];f[k+24>>2]=f[a+24>>2];f[k+28>>2]=f[a+28>>2];f[k+32>>2]=f[a+32>>2];t=k+36|0;A=a+36|0;D=f[A>>2]|0;f[t>>2]=D;E=k+40|0;f[E>>2]=C;C=k+48|0;F=k+44|0;f[F>>2]=C;f[C>>2]=0;f[k+52>>2]=0;if(!D)G=w;else{w=D+12|0;f[w>>2]=(f[w>>2]|0)+1;G=f[v>>2]|0}if((G|0)<3){G=f[z>>2]|0;z=f[F>>2]|0;f[z>>2]=f[G>>2];f[z+4>>2]=f[G+4>>2]}else{f[y>>2]=0;kP(k,a)}G=f[A>>2]|0;if(G|0?(z=G+12|0,G=f[z>>2]|0,f[z>>2]=G+-1,(G|0)==1):0)lP(a);f[A>>2]=0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[v>>2]|0)>0){B=f[x>>2]|0;x=0;do{f[B+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[v>>2]|0))}v=l+8|0;f[v>>2]=0;f[v+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=a;kT(k,l);l=f[t>>2]|0;if(l|0?(v=l+12|0,l=f[v>>2]|0,f[v>>2]=l+-1,(l|0)==1):0)lP(k);f[t>>2]=0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[y>>2]|0)>0){s=f[E>>2]|0;E=0;do{f[s+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[y>>2]|0))}y=f[F>>2]|0;if((y|0)!=(C|0))tE(y)}u=e;return}if((o|0)==112?(y=f[c+68>>2]|0,C=y,y|0):0){F=c+48|0;E=f[F>>2]|0;if(!g)if(E)if((f[E>>2]|0)>0){f[i>>2]=0;f[i+4>>2]=0;q=YG(i,36)|0;H=215888;r=q+36|0;do{b[q>>0]=b[H>>0]|0;q=q+1|0;H=H+1|0}while((q|0)<(r|0));SQ(-24,i,215925,215821,161)}else I=E;else I=0;else I=E;f[a>>2]=1124007936;E=a+4|0;g=a+8|0;s=a+40|0;t=E+4|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;f[t+16>>2]=0;f[t+20>>2]=0;f[t+24>>2]=0;f[t+28>>2]=0;f[s>>2]=g;t=a+48|0;l=a+44|0;f[l>>2]=t;v=a+52|0;f[v>>2]=0;f[E>>2]=2;x=f[c+16>>2]|0;B=1125516576>>>((x>>>2&60)+(x>>31&20)|0);x=f[c+72>>2]|0;f[t>>2]=x;t=c+28|0;A=f[t>>2]|0;G=(A|0)==0;do if(!I)if(G){z=((f[c+8>>2]<<3)+-8|B&7)+1124007936|0;f[a>>2]=z;w=f[c+44>>2]|0;f[g>>2]=w;D=f[c+40>>2]|0;J=a+12|0;f[J>>2]=D;f[a+16>>2]=C;K=a+20|0;f[K>>2]=C;L=(z>>>3&511)+1<<(47696>>>(z<<1&14)&3);M=K;N=J;O=w;P=y;Q=D;break}else{f[i>>2]=0;f[i+4>>2]=0;q=YG(i,38)|0;H=215936;r=q+38|0;do{b[q>>0]=b[H>>0]|0;q=q+1|0;H=H+1|0}while((q|0)<(r|0));SQ(-215,i,215975,215821,106)}else{D=f[I>>2]|0;do if(!G)if(D){w=B&7;if((A|0)==1){R=1;S=w;T=1;break}else{U=w;V=58;break}}else{f[i>>2]=0;f[i+4>>2]=0;q=YG(i,60)|0;H=215989;r=q+60|0;do{b[q>>0]=b[H>>0]|0;q=q+1|0;H=H+1|0}while((q|0)<(r|0));SQ(-215,i,215975,215821,115)}else{U=B&7;V=58}while(0);if((V|0)==58){R=f[c+8>>2]|0;S=U;T=0}w=((R<<3)+-8|S)+1124007936|0;f[a>>2]=w;J=f[I+16>>2]|0;f[g>>2]=J;K=f[I+12>>2]|0;z=a+12|0;f[z>>2]=K;W=(w>>>3&511)+1<<(47696>>>(w<<1&14)&3);if(T){w=Y(D+-1|0,x)|0;X=Y(w,f[c+44>>2]|0)|0}else X=0;w=y+X+(Y(f[I+8>>2]|0,x)|0)|0;Z=w+(Y(f[I+4>>2]|0,W)|0)|0;f[a+16>>2]=Z;w=a+20|0;f[w>>2]=Z;L=W;M=w;N=z;O=J;P=Z;Q=K}while(0);I=P+(Y(O,x)|0)|0;X=a+28|0;f[X>>2]=I;I=P+(Y(O+-1|0,x)|0)+(Y(L,Q)|0)|0;Q=a+24|0;f[Q>>2]=I;f[v>>2]=L;hP(a);if(!d){u=e;return}f[j>>2]=f[a>>2];L=j+4|0;v=f[E>>2]|0;f[L>>2]=v;I=j+8|0;f[I>>2]=f[g>>2];g=j+12|0;f[g>>2]=f[N>>2];N=j+16|0;x=a+16|0;f[N>>2]=f[x>>2];f[j+20>>2]=f[M>>2];f[j+24>>2]=f[Q>>2];f[j+28>>2]=f[X>>2];f[j+32>>2]=f[a+32>>2];X=j+36|0;Q=a+36|0;M=f[Q>>2]|0;f[X>>2]=M;O=j+40|0;f[O>>2]=I;P=j+48|0;y=j+44|0;f[y>>2]=P;f[P>>2]=0;f[j+52>>2]=0;if(!M)_=v;else{v=M+12|0;f[v>>2]=(f[v>>2]|0)+1;_=f[E>>2]|0}if((_|0)<3){_=f[l>>2]|0;l=f[y>>2]|0;f[l>>2]=f[_>>2];f[l+4>>2]=f[_+4>>2]}else{f[L>>2]=0;kP(j,a)}_=f[Q>>2]|0;if(_|0?(l=_+12|0,_=f[l>>2]|0,f[l>>2]=_+-1,(_|0)==1):0)lP(a);f[Q>>2]=0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[E>>2]|0)>0){x=f[s>>2]|0;s=0;do{f[x+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[E>>2]|0))}E=f[F>>2]|0;if(((E|0)!=0?(F=f[E>>2]|0,(F|0)!=0):0)?(f[t>>2]|0)!=1:0){f[k>>2]=F+-1;f[k+4>>2]=0;F=f[g>>2]|0;g=f[j>>2]&4095;f[i>>2]=f[I>>2];f[i+4>>2]=F;iP(a,2,i,g);wG(j,1,a,1,k,1)}else{k=i+8|0;f[k>>2]=0;f[k+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=a;kT(j,i)}k=f[X>>2]|0;if(k|0?(g=k+12|0,k=f[g>>2]|0,f[g>>2]=k+-1,(k|0)==1):0)lP(j);f[X>>2]=0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;if((f[L>>2]|0)>0){N=f[O>>2]|0;O=0;do{f[N+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[L>>2]|0))}L=f[y>>2]|0;if((L|0)!=(P|0))tE(L);u=e;return}if((p|0)!=1117323264){f[i>>2]=0;f[i+4>>2]=0;q=YG(i,18)|0;H=216095;r=q+18|0;do{b[q>>0]=b[H>>0]|0;q=q+1|0;H=H+1|0}while((q|0)<(r|0));SQ(-5,i,215925,215821,185)}p=f[c+24>>2]|0;L=o&4095;P=f[c+28>>2]|0;if(!p){f[a>>2]=1124007936;y=a+8|0;O=a+40|0;q=a+4|0;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));f[O>>2]=y;y=a+48|0;f[a+44>>2]=y;f[y>>2]=0;f[a+52>>2]=0;u=e;return}if((p|0)<=0){f[i>>2]=0;$=i+4|0;f[$>>2]=0;aa=YG(i,44)|0;q=aa;H=216050;r=q+44|0;do{b[q>>0]=b[H>>0]|0;q=q+1|0;H=H+1|0}while((q|0)<(r|0));SQ(-215,i,215925,215821,170)}if(((o>>>3&511)+1<<(47696>>>(o<<1&14)&3)|0)!=(P|0)){f[i>>2]=0;$=i+4|0;f[$>>2]=0;aa=YG(i,44)|0;q=aa;H=216050;r=q+44|0;do{b[q>>0]=b[H>>0]|0;q=q+1|0;H=H+1|0}while((q|0)<(r|0));SQ(-215,i,215925,215821,170)}if(!d?(d=f[c+52>>2]|0,(f[d+4>>2]|0)==(d|0)):0){Ri(a,p,1,L,f[d+16>>2]|0,0);u=e;return}if(h|0){d=(Y(P,p)|0)+7|0;P=d>>>3;H=h+4|0;do if((f[H>>2]|0)>>>0<P>>>0){aa=f[h>>2]|0;$=h+8|0;if((aa|0)==($|0))ba=aa;else{if(aa|0)Fmc(aa);f[h>>2]=$;f[H>>2]=136;ba=$}f[H>>2]=P;if(d>>>0>1095){$=Dmc(P<<3)|0;f[h>>2]=$;ca=$;break}else{ca=ba;break}}else{f[H>>2]=P;ca=f[h>>2]|0}while(0);f[m>>2]=0;f[m+4>>2]=1073741823;f[i>>2]=f[m>>2];f[i+4>>2]=f[m+4>>2];cW(c,ca,i)|0;Ri(a,p,1,L,ca,0);u=e;return}f[j>>2]=1124007936;ca=j+4|0;m=j+8|0;h=j+40|0;q=ca;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));f[h>>2]=m;q=j+48|0;r=j+44|0;f[r>>2]=q;f[q>>2]=0;f[j+52>>2]=0;f[i>>2]=p;f[i+4>>2]=1;iP(j,2,i,L);L=j+16|0;p=f[L>>2]|0;f[n>>2]=0;f[n+4>>2]=1073741823;f[i>>2]=f[n>>2];f[i+4>>2]=f[n+4>>2];cW(c,p,i)|0;f[a>>2]=f[j>>2];i=a+4|0;p=f[ca>>2]|0;f[i>>2]=p;c=a+8|0;f[c>>2]=f[m>>2];f[a+12>>2]=f[j+12>>2];f[a+16>>2]=f[L>>2];f[a+20>>2]=f[j+20>>2];f[a+24>>2]=f[j+24>>2];f[a+28>>2]=f[j+28>>2];f[a+32>>2]=f[j+32>>2];m=j+36|0;n=f[m>>2]|0;f[a+36>>2]=n;f[a+40>>2]=c;c=a+48|0;P=a+44|0;f[P>>2]=c;f[c>>2]=0;f[a+52>>2]=0;if(!n)da=p;else{p=n+12|0;f[p>>2]=(f[p>>2]|0)+1;da=f[ca>>2]|0}if((da|0)<3){da=f[r>>2]|0;p=f[P>>2]|0;f[p>>2]=f[da>>2];f[p+4>>2]=f[da+4>>2]}else{f[i>>2]=0;kP(a,j)}a=f[m>>2]|0;if(a|0?(i=a+12|0,a=f[i>>2]|0,f[i>>2]=a+-1,(a|0)==1):0)lP(j);f[m>>2]=0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;if((f[ca>>2]|0)>0){L=f[h>>2]|0;h=0;do{f[L+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[ca>>2]|0))}ca=f[r>>2]|0;if((ca|0)!=(q|0))tE(ca);u=e;return}function nU(a){a=a|0;return}function oU(a,b,c){a=a|0;b=b|0;c=+c;if((f[a>>2]|0)==(f[a+4>>2]|0))return;xh[f[(f[b>>2]|0)+8>>2]&2047](b,a);return}function pU(){return 1}function qU(){return 1}function rU(){return 0}function sU(){var a=0,c=0,d=0,e=0;a=u;u=u+16|0;c=a;f[c>>2]=0;f[c+4>>2]=0;a=YG(c,46)|0;d=216907;e=a+46|0;do{b[a>>0]=b[d>>0]|0;a=a+1|0;d=d+1|0}while((a|0)<(e|0));tU(-218,c,216954,64)}function tU(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;SQ(a,b,c,216967,d);return}function uU(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;sU()}function vU(a){a=a|0;return}function wU(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=+j;k=+k;var l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0,F=0,G=0,H=0,I=0,K=0,N=0,O=0,P=0.0,Q=0,R=0.0,S=0.0,T=0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0,ca=0.0,da=0.0,ea=0,fa=0,ga=0.0,ha=0.0,ia=0.0,ja=0,ka=0,la=0,ma=0,na=0,oa=0.0,pa=0.0,qa=0,ra=0,sa=0,ta=0,ua=0.0,va=0,wa=0,xa=0.0,ya=0,za=0.0;l=u;u=u+1104|0;m=l;o=m+8|0;f[m>>2]=o;q=m+4|0;f[q>>2]=h;if(h>>>0>136){r=Dmc(h>>>0>536870911?-1:h<<3)|0;f[m>>2]=r;s=r}else s=o;r=(g|0)>30?g:30;t=b>>>2;b=e>>>2;e=(h|0)>0;a:do if(e){v=(d|0)==0;w=h<<2;if((g|0)>0)x=0;else{y=0;while(1){z=Y(b,y)|0;p[s+(y<<3)>>3]=0.0;if(!v){Drc(d+(z<<2)|0,0,w|0)|0;n[d+(z+y<<2)>>2]=1.0}y=y+1|0;if((y|0)==(h|0))break a}}do{y=Y(b,x)|0;z=d+(y<<2)|0;A=Y(x,t)|0;B=0;C=0.0;do{D=+n[a+(B+A<<2)>>2];C=C+D*D;B=B+1|0}while((B|0)!=(g|0));p[s+(x<<3)>>3]=C;if(!v){Drc(z|0,0,w|0)|0;n[d+(y+x<<2)>>2]=1.0}x=x+1|0}while((x|0)!=(h|0))}while(0);b:do if((r|0)>0){x=h+-1|0;w=(h|0)>1;v=(g|0)>0;D=k;B=(d|0)==0;A=0;do{if(w){E=0;F=0}else break b;while(1){G=F;F=F+1|0;if((F|0)<(h|0)){H=a+((Y(G,t)|0)<<2)|0;I=s+(G<<3)|0;K=d+((Y(G,b)|0)<<2)|0;G=F;N=E;while(1){O=a+((Y(G,t)|0)<<2)|0;P=+p[I>>3];Q=s+(G<<3)|0;R=+p[Q>>3];if(v){S=0.0;T=0;while(1){U=S+ +n[H+(T<<2)>>2]*+n[O+(T<<2)>>2];T=T+1|0;if((T|0)==(g|0)){V=U;break}else S=U}}else V=0.0;if(!(+L(+V)<=D*+M(+(P*R)))){S=V*2.0;U=P-R;W=+L(+S);X=+L(+U);if(!(W>X))if(U!=U|0.0!=0.0|U==0.0)Z=0.0;else{_=W/X;$=X;aa=_*_;ba=32}else{_=X/W;$=W;aa=_*_;ba=32}if((ba|0)==32){ba=0;Z=$*+M(+(aa+1.0))}if(U<0.0){_=+M(+((Z-U)*.5/Z));ca=S/(Z*_*2.0);da=_}else{_=+M(+((U+Z)/(Z*2.0)));ca=_;da=S/(Z*_*2.0)}if(v){_=0.0;S=0.0;T=0;while(1){ea=H+(T<<2)|0;U=+n[ea>>2];fa=O+(T<<2)|0;W=+n[fa>>2];X=ca*U+da*W;ga=ca*W-da*U;n[ea>>2]=X;n[fa>>2]=ga;U=X;X=_+U*U;U=ga;ga=S+U*U;T=T+1|0;if((T|0)==(g|0)){ha=X;ia=ga;break}else{_=X;S=ga}}}else{ha=0.0;ia=0.0}p[I>>3]=ha;p[Q>>3]=ia;if(!B?(T=d+((Y(G,b)|0)<<2)|0,e):0){O=0;do{fa=K+(O<<2)|0;S=+n[fa>>2];ea=T+(O<<2)|0;_=+n[ea>>2];n[fa>>2]=ca*S+da*_;n[ea>>2]=ca*_-da*S;O=O+1|0}while((O|0)!=(h|0));ja=1}else ja=1}else ja=N;G=G+1|0;if((G|0)==(h|0)){ka=ja;break}else N=ja}}else ka=E;if((F|0)==(x|0))break;else E=ka}A=A+1|0}while(ka&(A|0)<(r|0))}while(0);if(e){if((g|0)>0){r=0;do{ka=Y(r,t)|0;da=0.0;E=0;do{ca=+n[a+(E+ka<<2)>>2];da=da+ca*ca;E=E+1|0}while((E|0)!=(g|0));ca=+M(+da);p[s+(r<<3)>>3]=ca;r=r+1|0}while((r|0)!=(h|0))}else Drc(s|0,0,h<<3|0)|0;r=h+-1|0;c:do if((h|0)>1){E=(g|0)>0;if(!d){ka=0;while(1){F=ka;ka=ka+1|0;if((ka|0)<(h|0)){ja=F;ba=ka;while(1){A=+p[s+(ja<<3)>>3]<+p[s+(ba<<3)>>3]?ba:ja;ba=ba+1|0;if((ba|0)==(h|0)){la=A;break}else ja=A}}else la=F;if((F|0)!=(la|0)){ja=s+(F<<3)|0;ba=s+(la<<3)|0;ca=+p[ja>>3];p[ja>>3]=+p[ba>>3];p[ba>>3]=ca}if((ka|0)==(r|0))break c}}else ma=0;do{ka=ma;ma=ma+1|0;if((ma|0)<(h|0)){ba=ka;ja=ma;while(1){A=+p[s+(ba<<3)>>3]<+p[s+(ja<<3)>>3]?ja:ba;ja=ja+1|0;if((ja|0)==(h|0)){na=A;break}else ba=A}}else na=ka;if((ka|0)!=(na|0)){ba=s+(ka<<3)|0;ja=s+(na<<3)|0;da=+p[ba>>3];p[ba>>3]=+p[ja>>3];p[ja>>3]=da;if(E){ja=Y(ka,t)|0;ba=Y(na,t)|0;F=0;do{A=a+(F+ja<<2)|0;x=a+(F+ba<<2)|0;B=f[A>>2]|0;f[A>>2]=f[x>>2];f[x>>2]=B;F=F+1|0}while((F|0)!=(g|0))}F=Y(ka,b)|0;ba=Y(na,b)|0;ja=0;do{B=d+(ja+F<<2)|0;x=d+(ja+ba<<2)|0;A=f[B>>2]|0;f[B>>2]=f[x>>2];f[x>>2]=A;ja=ja+1|0}while((ja|0)!=(h|0))}}while((ma|0)!=(r|0))}while(0);if(e){e=0;do{n[c+(e<<2)>>2]=+p[s+(e<<3)>>3];e=e+1|0}while((e|0)!=(h|0))}}if((d|0)!=0&(i|0)>0){d=(g|0)>0;da=1.0/+(g|0);ca=-da;ia=k*100.0;e=305419896;c=0;r=0;while(1){if((r|0)<(h|0))oa=+p[s+(r<<3)>>3];else oa=0.0;if(!(oa<=j)){pa=oa;qa=e;ra=c}else{ma=Y(r,t)|0;b=(r|0)>0;na=0;la=e;E=c;while(1){if(d){ja=0;ba=la;F=E;while(1){ka=Urc(ba|0,0,-130063606,0)|0;A=Arc(ka|0,J|0,F|0,0)|0;ka=J;n[a+(ja+ma<<2)>>2]=(A&256|0)!=0|0!=0?da:ca;ja=ja+1|0;if((ja|0)==(g|0)){sa=A;ta=ka;break}else{ba=A;F=ka}}}else{sa=la;ta=E}d:do if(b){if(d){F=0;do{ba=Y(F,t)|0;ja=0;k=0.0;do{k=k+ +n[a+(ja+ma<<2)>>2]*+n[a+(ja+ba<<2)>>2];ja=ja+1|0}while((ja|0)!=(g|0));ua=0.0;va=0;do{ja=a+(va+ma<<2)|0;ha=+n[ja>>2]-k*+n[a+(va+ba<<2)>>2];n[ja>>2]=ha;ua=ua+ +L(+ha);va=va+1|0}while((va|0)!=(g|0));k=ua>ia?1.0/ua:0.0;ba=0;do{ja=a+(ba+ma<<2)|0;n[ja>>2]=k*+n[ja>>2];ba=ba+1|0}while((ba|0)!=(g|0));F=F+1|0}while((F|0)!=(r|0))}else{F=0;do F=F+1|0;while((F|0)!=(r|0))}if(b){if(d)wa=0;else{F=0;while(1){F=F+1|0;if((F|0)==(r|0))break d}}do{F=Y(wa,t)|0;ba=0;k=0.0;do{k=k+ +n[a+(ba+ma<<2)>>2]*+n[a+(ba+F<<2)>>2];ba=ba+1|0}while((ba|0)!=(g|0));xa=0.0;ya=0;do{ba=a+(ya+ma<<2)|0;ha=+n[ba>>2]-k*+n[a+(ya+F<<2)>>2];n[ba>>2]=ha;xa=xa+ +L(+ha);ya=ya+1|0}while((ya|0)!=(g|0));k=xa>ia?1.0/xa:0.0;F=0;do{ba=a+(F+ma<<2)|0;n[ba>>2]=k*+n[ba>>2];F=F+1|0}while((F|0)!=(g|0));wa=wa+1|0}while((wa|0)!=(r|0))}}while(0);if(d){F=0;k=0.0;while(1){ha=+n[a+(F+ma<<2)>>2];Z=k+ha*ha;F=F+1|0;if((F|0)==(g|0)){za=Z;break}else k=Z}}else za=0.0;k=+M(+za);if(!(k<=j)|(na|0)>98){pa=k;qa=sa;ra=ta;break}else{na=na+1|0;la=sa;E=ta}}}k=pa>j?1.0/pa:0.0;if(d){E=Y(r,t)|0;la=0;do{na=a+(la+E<<2)|0;n[na>>2]=k*+n[na>>2];la=la+1|0}while((la|0)!=(g|0))}r=r+1|0;if((r|0)==(i|0))break;else{e=qa;c=ra}}}ra=f[m>>2]|0;if((ra|0)==(o|0)){u=l;return}if(ra|0)Fmc(ra);f[m>>2]=o;f[q>>2]=136;u=l;return}function xU(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=+j;k=+k;var l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,N=0,O=0,P=0.0,Q=0.0,R=0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0.0,_=0.0,$=0,aa=0.0,ba=0.0,ca=0,da=0,ea=0.0,fa=0.0,ga=0.0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0.0,na=0.0,oa=0,pa=0,qa=0,ra=0,sa=0.0,ta=0,ua=0,va=0.0,wa=0,xa=0.0;l=u;u=u+1104|0;m=l;n=m+8|0;f[m>>2]=n;o=m+4|0;f[o>>2]=h;if(h>>>0>136){q=Dmc(h>>>0>536870911?-1:h<<3)|0;f[m>>2]=q;r=q}else r=n;q=(g|0)>30?g:30;s=b>>>3;b=e>>>3;e=(h|0)>0;a:do if(e){t=(d|0)==0;v=h<<3;if((g|0)<=0)if(t){Drc(r|0,0,v|0)|0;break}else{w=0;while(1){x=Y(b,w)|0;p[r+(w<<3)>>3]=0.0;Drc(d+(x<<3)|0,0,v|0)|0;p[d+(x+w<<3)>>3]=1.0;w=w+1|0;if((w|0)==(h|0))break a}}else y=0;do{w=Y(b,y)|0;x=d+(w<<3)|0;z=Y(y,s)|0;A=0;B=0.0;do{C=+p[a+(A+z<<3)>>3];B=B+C*C;A=A+1|0}while((A|0)!=(g|0));p[r+(y<<3)>>3]=B;if(!t){Drc(x|0,0,v|0)|0;p[d+(w+y<<3)>>3]=1.0}y=y+1|0}while((y|0)!=(h|0))}while(0);b:do if((q|0)>0){y=h+-1|0;v=(h|0)>1;t=(g|0)>0;A=(d|0)==0;z=0;do{if(v){D=0;E=0}else break b;while(1){F=E;E=E+1|0;if((E|0)<(h|0)){G=a+((Y(F,s)|0)<<3)|0;H=r+(F<<3)|0;I=d+((Y(F,b)|0)<<3)|0;F=E;K=D;while(1){N=a+((Y(F,s)|0)<<3)|0;C=+p[H>>3];O=r+(F<<3)|0;P=+p[O>>3];if(t){Q=0.0;R=0;while(1){S=Q+ +p[G+(R<<3)>>3]*+p[N+(R<<3)>>3];R=R+1|0;if((R|0)==(g|0)){T=S;break}else Q=S}}else T=0.0;if(!(+L(+T)<=+M(+(C*P))*k)){Q=T*2.0;S=C-P;U=+L(+Q);V=+L(+S);if(!(U>V))if(S!=S|0.0!=0.0|S==0.0)W=0.0;else{X=U/V;Z=V;_=X*X;$=32}else{X=V/U;Z=U;_=X*X;$=32}if(($|0)==32){$=0;W=Z*+M(+(_+1.0))}if(S<0.0){X=+M(+((W-S)*.5/W));aa=Q/(W*X*2.0);ba=X}else{X=+M(+((S+W)/(W*2.0)));aa=X;ba=Q/(W*X*2.0)}if(t){X=0.0;Q=0.0;R=0;while(1){ca=G+(R<<3)|0;S=+p[ca>>3];da=N+(R<<3)|0;U=+p[da>>3];V=aa*S+ba*U;ea=aa*U-ba*S;p[ca>>3]=V;p[da>>3]=ea;S=X+V*V;V=Q+ea*ea;R=R+1|0;if((R|0)==(g|0)){fa=S;ga=V;break}else{X=S;Q=V}}}else{fa=0.0;ga=0.0}p[H>>3]=fa;p[O>>3]=ga;if(!A?(R=d+((Y(F,b)|0)<<3)|0,e):0){N=0;do{da=I+(N<<3)|0;Q=+p[da>>3];ca=R+(N<<3)|0;X=+p[ca>>3];p[da>>3]=aa*Q+ba*X;p[ca>>3]=aa*X-ba*Q;N=N+1|0}while((N|0)!=(h|0));ha=1}else ha=1}else ha=K;F=F+1|0;if((F|0)==(h|0)){ia=ha;break}else K=ha}}else ia=D;if((E|0)==(y|0))break;else D=ia}z=z+1|0}while(ia&(z|0)<(q|0))}while(0);if(e){if((g|0)>0){q=0;do{ia=Y(q,s)|0;ba=0.0;D=0;do{aa=+p[a+(D+ia<<3)>>3];ba=ba+aa*aa;D=D+1|0}while((D|0)!=(g|0));aa=+M(+ba);p[r+(q<<3)>>3]=aa;q=q+1|0}while((q|0)!=(h|0))}else Drc(r|0,0,h<<3|0)|0;q=h+-1|0;c:do if((h|0)>1){D=(g|0)>0;if(!d){ia=0;while(1){E=ia;ia=ia+1|0;if((ia|0)<(h|0)){ha=E;$=ia;while(1){z=+p[r+(ha<<3)>>3]<+p[r+($<<3)>>3]?$:ha;$=$+1|0;if(($|0)==(h|0)){ja=z;break}else ha=z}}else ja=E;if((E|0)!=(ja|0)){ha=r+(E<<3)|0;$=r+(ja<<3)|0;aa=+p[ha>>3];p[ha>>3]=+p[$>>3];p[$>>3]=aa}if((ia|0)==(q|0))break c}}else ka=0;do{ia=ka;ka=ka+1|0;if((ka|0)<(h|0)){$=ia;ha=ka;while(1){z=+p[r+($<<3)>>3]<+p[r+(ha<<3)>>3]?ha:$;ha=ha+1|0;if((ha|0)==(h|0)){la=z;break}else $=z}}else la=ia;if((ia|0)!=(la|0)){$=r+(ia<<3)|0;ha=r+(la<<3)|0;ba=+p[$>>3];p[$>>3]=+p[ha>>3];p[ha>>3]=ba;if(D){ha=Y(ia,s)|0;$=Y(la,s)|0;E=0;do{z=a+(E+ha<<3)|0;y=a+(E+$<<3)|0;ba=+p[z>>3];p[z>>3]=+p[y>>3];p[y>>3]=ba;E=E+1|0}while((E|0)!=(g|0))}E=Y(ia,b)|0;$=Y(la,b)|0;ha=0;do{y=d+(ha+E<<3)|0;z=d+(ha+$<<3)|0;ba=+p[y>>3];p[y>>3]=+p[z>>3];p[z>>3]=ba;ha=ha+1|0}while((ha|0)!=(h|0))}}while((ka|0)!=(q|0))}while(0);if(e){e=0;do{p[c+(e<<3)>>3]=+p[r+(e<<3)>>3];e=e+1|0}while((e|0)!=(h|0))}}if((d|0)!=0&(i|0)>0){d=(g|0)>0;ba=1.0/+(g|0);aa=-ba;ga=k*100.0;e=305419896;c=0;q=0;while(1){if((q|0)<(h|0))ma=+p[r+(q<<3)>>3];else ma=0.0;if(!(ma<=j)){na=ma;oa=e;pa=c}else{ka=Y(q,s)|0;b=(q|0)>0;la=0;ja=e;D=c;while(1){if(d){ha=0;$=ja;E=D;while(1){ia=Urc($|0,0,-130063606,0)|0;z=Arc(ia|0,J|0,E|0,0)|0;ia=J;p[a+(ha+ka<<3)>>3]=(z&256|0)!=0|0!=0?ba:aa;ha=ha+1|0;if((ha|0)==(g|0)){qa=z;ra=ia;break}else{$=z;E=ia}}}else{qa=ja;ra=D}d:do if(b){if(d){E=0;do{$=Y(E,s)|0;ha=0;k=0.0;do{k=k+ +p[a+(ha+ka<<3)>>3]*+p[a+(ha+$<<3)>>3];ha=ha+1|0}while((ha|0)!=(g|0));sa=0.0;ta=0;do{ha=a+(ta+ka<<3)|0;fa=+p[ha>>3]-k*+p[a+(ta+$<<3)>>3];p[ha>>3]=fa;sa=sa+ +L(+fa);ta=ta+1|0}while((ta|0)!=(g|0));k=sa>ga?1.0/sa:0.0;$=0;do{ha=a+($+ka<<3)|0;p[ha>>3]=k*+p[ha>>3];$=$+1|0}while(($|0)!=(g|0));E=E+1|0}while((E|0)!=(q|0))}else{E=0;do E=E+1|0;while((E|0)!=(q|0))}if(b){if(d)ua=0;else{E=0;while(1){E=E+1|0;if((E|0)==(q|0))break d}}do{E=Y(ua,s)|0;$=0;k=0.0;do{k=k+ +p[a+($+ka<<3)>>3]*+p[a+($+E<<3)>>3];$=$+1|0}while(($|0)!=(g|0));va=0.0;wa=0;do{$=a+(wa+ka<<3)|0;fa=+p[$>>3]-k*+p[a+(wa+E<<3)>>3];p[$>>3]=fa;va=va+ +L(+fa);wa=wa+1|0}while((wa|0)!=(g|0));k=va>ga?1.0/va:0.0;E=0;do{$=a+(E+ka<<3)|0;p[$>>3]=k*+p[$>>3];E=E+1|0}while((E|0)!=(g|0));ua=ua+1|0}while((ua|0)!=(q|0))}}while(0);if(d){E=0;k=0.0;while(1){fa=+p[a+(E+ka<<3)>>3];W=k+fa*fa;E=E+1|0;if((E|0)==(g|0)){xa=W;break}else k=W}}else xa=0.0;k=+M(+xa);if(!(k<=j)|(la|0)>98){na=k;oa=qa;pa=ra;break}else{la=la+1|0;ja=qa;D=ra}}}k=na>j?1.0/na:0.0;if(d){D=Y(q,s)|0;ja=0;do{la=a+(ja+D<<3)|0;p[la>>3]=k*+p[la>>3];ja=ja+1|0}while((ja|0)!=(g|0))}q=q+1|0;if((q|0)==(i|0))break;else{e=oa;c=pa}}}pa=f[m>>2]|0;if((pa|0)==(n|0)){u=l;return}if(pa|0)Fmc(pa);f[m>>2]=n;f[o>>2]=136;u=l;return}function yU(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0,O=0.0,P=0,Q=0,R=0.0;c=u;u=u+1184|0;d=c+1168|0;e=c+1112|0;g=c+72|0;h=c+16|0;i=c;zT(d,48648);do if((pD(a)|0)==65536){j=f[a+4>>2]|0;f[e>>2]=f[j>>2];k=e+4|0;l=j+4|0;f[k>>2]=f[l>>2];m=e+8|0;f[m>>2]=f[j+8>>2];f[e+12>>2]=f[j+12>>2];o=e+16|0;f[o>>2]=f[j+16>>2];f[e+20>>2]=f[j+20>>2];f[e+24>>2]=f[j+24>>2];f[e+28>>2]=f[j+28>>2];f[e+32>>2]=f[j+32>>2];q=f[j+36>>2]|0;f[e+36>>2]=q;f[e+40>>2]=m;r=e+48|0;s=e+44|0;f[s>>2]=r;f[r>>2]=0;f[e+52>>2]=0;if(q|0){t=q+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[l>>2]|0)<3){l=f[j+44>>2]|0;t=f[s>>2]|0;f[t>>2]=f[l>>2];f[t+4>>2]=f[l+4>>2];v=m;w=r;x=o;y=s;z=e;break}else{f[k>>2]=0;kP(e,j);v=m;w=r;x=o;y=s;z=e;break}}else{lD(e,a,-1);v=e+8|0;w=e+48|0;x=e+16|0;y=e+44|0;z=e}while(0);a=f[z>>2]&4095;z=f[v>>2]|0;v=f[w>>2]|0;s=f[x>>2]|0;if(!s){f[g>>2]=0;A=g+4|0;f[A>>2]=0;B=YG(g,12)|0;C=B;D=217097;E=C+12|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,g,217110,217032,772)}o=e+4|0;r=f[o>>2]|0;if((r|0)<3)F=Y(f[e+12>>2]|0,z)|0;else{m=f[e+40>>2]|0;j=0;k=1;while(1){l=Y(f[m+(j<<2)>>2]|0,k)|0;j=j+1|0;if((j|0)==(r|0)){F=l;break}else k=l}}if((r|0)==0|(F|0)==0){f[g>>2]=0;A=g+4|0;f[A>>2]=0;B=YG(g,12)|0;C=B;D=217097;E=C+12|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,g,217110,217032,772)}if(!((a+-5|0)>>>0<2?(z|0)==(f[e+12>>2]|0):0)){f[g>>2]=0;f[g+4>>2]=0;C=YG(g,58)|0;D=217122;E=C+58|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,g,217110,217032,773)}D=(z|0)==2;a:do if((a|0)==5){if(D){C=s+v|0;G=+n[s>>2]*+n[C+4>>2]-+n[s+4>>2]*+n[C>>2];break}switch(z|0){case 3:{C=s+v|0;H=+n[C+4>>2];E=s+(v<<1)|0;I=+n[E+8>>2];J=+n[C+8>>2];K=+n[E+4>>2];L=+n[C>>2];M=+n[E>>2];G=+n[s+8>>2]*(K*L-H*M)+(+n[s>>2]*(H*I-J*K)-+n[s+4>>2]*(I*L-J*M));break a;break}case 1:{G=+n[s>>2];break a;break}default:{E=Y(z<<2,z)|0;C=g+8|0;f[g>>2]=C;B=g+4|0;f[B>>2]=E;if(E>>>0>1032){A=Dmc(E)|0;f[g>>2]=A;N=A}else N=C;Ri(h,z,z,5,N,0);A=i+8|0;f[A>>2]=0;f[A+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=h;kT(e,i);A=h+16|0;E=h+44|0;F=h+48|0;r=g$(f[A>>2]|0,f[F>>2]|0,z,0,0,0)|0;M=+(r|0);if((r|0)!=0&(z|0)>0){r=f[A>>2]|0;k=f[f[E>>2]>>2]|0;j=0;J=M;while(1){m=r+(Y(k,j)|0)+(j<<2)|0;L=J*+n[m>>2];j=j+1|0;if((j|0)==(z|0)){O=L;break}else J=L}}else O=M;j=h+36|0;k=f[j>>2]|0;if(k|0?(r=k+12|0,k=f[r>>2]|0,f[r>>2]=k+-1,(k|0)==1):0)lP(h);f[j>>2]=0;j=h+4|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[j>>2]|0)>0){k=f[h+40>>2]|0;r=0;do{f[k+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[j>>2]|0))}j=f[E>>2]|0;if((j|0)!=(F|0))tE(j);j=f[g>>2]|0;if((j|0)!=(C|0)){if(j|0)Fmc(j);f[g>>2]=C;f[B>>2]=1032}G=O;break a}}}else{if(D){j=s+v|0;G=+p[s>>3]*+p[j+8>>3]-+p[s+8>>3]*+p[j>>3];break}switch(z|0){case 3:{j=s+v|0;M=+p[j+8>>3];r=s+(v<<1)|0;J=+p[r+16>>3];L=+p[j+16>>3];I=+p[r+8>>3];K=+p[j>>3];H=+p[r>>3];G=+p[s+16>>3]*(I*K-M*H)+(+p[s>>3]*(M*J-L*I)-+p[s+8>>3]*(J*K-L*H));break a;break}case 1:{G=+p[s>>3];break a;break}default:{r=Y(z<<3,z)|0;j=g+8|0;f[g>>2]=j;k=g+4|0;f[k>>2]=r;if(r>>>0>1032){A=Dmc(r)|0;f[g>>2]=A;P=A}else P=j;Ri(h,z,z,6,P,0);A=i+8|0;f[A>>2]=0;f[A+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=h;kT(e,i);A=h+16|0;r=h+44|0;m=h+48|0;l=i$(f[A>>2]|0,f[m>>2]|0,z,0,0,0)|0;H=+(l|0);if((l|0)!=0&(z|0)>0){l=f[A>>2]|0;t=f[f[r>>2]>>2]|0;q=0;L=H;while(1){Q=l+(Y(t,q)|0)+(q<<3)|0;K=L*+p[Q>>3];q=q+1|0;if((q|0)==(z|0)){R=K;break}else L=K}}else R=H;q=h+36|0;t=f[q>>2]|0;if(t|0?(l=t+12|0,t=f[l>>2]|0,f[l>>2]=t+-1,(t|0)==1):0)lP(h);f[q>>2]=0;q=h+4|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[q>>2]|0)>0){t=f[h+40>>2]|0;l=0;do{f[t+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[q>>2]|0))}q=f[r>>2]|0;if((q|0)!=(m|0))tE(q);q=f[g>>2]|0;if((q|0)!=(j|0)){if(q|0)Fmc(q);f[g>>2]=j;f[k>>2]=1032}G=R;break a}}}while(0);g=e+36|0;h=f[g>>2]|0;if(h|0?(z=h+12|0,h=f[z>>2]|0,f[z>>2]=h+-1,(h|0)==1):0)lP(e);f[g>>2]=0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[o>>2]|0)>0){x=f[e+40>>2]|0;e=0;do{f[x+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[o>>2]|0))}o=f[y>>2]|0;if((o|0)!=(w|0))tE(o);if(!(f[d+4>>2]|0)){u=c;return +G}u=c;return +G}function zU(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0.0,T=0.0,U=0,V=0.0,W=0.0,X=0.0,Z=0.0,_=0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0,la=0,ma=0,na=0;e=u;u=u+2416|0;g=e+1376|0;h=e+1368|0;i=e+1312|0;j=e+112|0;k=e+1256|0;l=e+56|0;m=e;o=e+1240|0;q=e+1224|0;r=e+1208|0;s=e+1152|0;zT(h,48668);do if((pD(a)|0)==65536){t=f[a+4>>2]|0;f[i>>2]=f[t>>2];v=i+4|0;w=t+4|0;f[v>>2]=f[w>>2];x=i+8|0;f[x>>2]=f[t+8>>2];f[i+12>>2]=f[t+12>>2];f[i+16>>2]=f[t+16>>2];f[i+20>>2]=f[t+20>>2];f[i+24>>2]=f[t+24>>2];f[i+28>>2]=f[t+28>>2];f[i+32>>2]=f[t+32>>2];y=f[t+36>>2]|0;f[i+36>>2]=y;f[i+40>>2]=x;x=i+48|0;z=i+44|0;f[z>>2]=x;f[x>>2]=0;f[i+52>>2]=0;if(y|0){x=y+12|0;f[x>>2]=(f[x>>2]|0)+1}if((f[w>>2]|0)<3){w=f[t+44>>2]|0;x=f[z>>2]|0;f[x>>2]=f[w>>2];f[x+4>>2]=f[w+4>>2];A=i;break}else{f[v>>2]=0;kP(i,t);A=i;break}}else{lD(i,a,-1);A=i}while(0);a=f[A>>2]|0;A=a&4095;t=(A|0)==5;v=(A|0)==6;if((A+-5|0)>>>0>=2){f[g>>2]=0;f[g+4>>2]=0;B=YG(g,32)|0;C=217216;D=B+32|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));SQ(-215,g,217249,217032,848)}w=(a>>>3&511)+1<<(47696>>>(A<<1&14)&3);a=f[i+8>>2]|0;x=f[i+12>>2]|0;do if((d|0)==1){z=(x|0)<(a|0)?x:a;y=Y(z,a)|0;E=(Y(y+z+(Y(z,x)|0)|0,w)|0)+8|0;F=j+8|0;f[j>>2]=F;G=j+4|0;f[G>>2]=E;if(E>>>0>1032){H=Dmc(E)|0;f[j>>2]=H;I=H}else I=F;Ri(k,a,z,A,w+-1+I&0-w,0);H=k+16|0;E=k+44|0;Ri(l,z,1,A,(f[H>>2]|0)+(Y(y,w)|0)|0,0);y=l+16|0;J=l+44|0;Ri(m,z,x,A,(f[y>>2]|0)+(Y(z,w)|0)|0,0);f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=i;z=q+8|0;f[z>>2]=0;f[z+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=l;z=r+8|0;f[z>>2]=0;f[z+4>>2]=0;f[r>>2]=33619968;f[r+4>>2]=k;z=s+8|0;f[z>>2]=0;f[z+4>>2]=0;f[s>>2]=33619968;f[s+4>>2]=m;zT(g,48688);AU(o,q,r,s,0);f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=16842752;f[g+4>>2]=l;f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=k;f[q+8>>2]=0;f[q+12>>2]=0;f[q>>2]=16842752;f[q+4>>2]=m;f[s>>2]=1124007936;z=s+4|0;K=s+8|0;L=s+40|0;B=z;D=B+36|0;do{f[B>>2]=0;B=B+4|0}while((B|0)<(D|0));f[L>>2]=K;M=s+48|0;N=s+44|0;f[N>>2]=M;f[M>>2]=0;f[s+52>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;f[r>>2]=16842752;f[r+4>>2]=s;BU(g,o,q,r,c);O=s+36|0;P=f[O>>2]|0;if(P|0?(Q=P+12|0,P=f[Q>>2]|0,f[Q>>2]=P+-1,(P|0)==1):0)lP(s);f[O>>2]=0;O=s+16|0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;if((f[z>>2]|0)>0){O=f[L>>2]|0;P=0;do{f[O+(P<<2)>>2]=0;P=P+1|0}while((P|0)<(f[z>>2]|0))}z=f[N>>2]|0;if((z|0)!=(M|0))tE(z);z=f[y>>2]|0;if(t){R=+n[z>>2];if(!(R>=1.1920928955078125e-07))S=0.0;else S=+n[z+(x+-1<<2)>>2]/R}else{R=+p[z>>3];if(!(R>=2.220446049250313e-16))S=0.0;else S=+p[z+(x+-1<<3)>>3]/R}z=m+36|0;P=f[z>>2]|0;if(P|0?(O=P+12|0,P=f[O>>2]|0,f[O>>2]=P+-1,(P|0)==1):0)lP(m);f[z>>2]=0;z=m+16|0;P=m+4|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[P>>2]|0)>0){z=f[m+40>>2]|0;O=0;do{f[z+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[P>>2]|0))}P=f[m+44>>2]|0;if((P|0)!=(m+48|0))tE(P);P=l+36|0;O=f[P>>2]|0;if(O|0?(z=O+12|0,O=f[z>>2]|0,f[z>>2]=O+-1,(O|0)==1):0)lP(l);f[P>>2]=0;P=l+4|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[P>>2]|0)>0){O=f[l+40>>2]|0;z=0;do{f[O+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[P>>2]|0))}P=f[J>>2]|0;if((P|0)!=(l+48|0))tE(P);P=k+36|0;z=f[P>>2]|0;if(z|0?(O=z+12|0,z=f[O>>2]|0,f[O>>2]=z+-1,(z|0)==1):0)lP(k);f[P>>2]=0;P=k+4|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[P>>2]|0)>0){z=f[k+40>>2]|0;O=0;do{f[z+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[P>>2]|0))}P=f[E>>2]|0;if((P|0)!=(k+48|0))tE(P);P=f[j>>2]|0;if((P|0)!=(F|0)){if(P|0)Fmc(P);f[j>>2]=F;f[G>>2]=1032}T=S}else{if((a|0)!=(x|0)){f[g>>2]=0;f[g+4>>2]=0;P=YG(g,6)|0;b[P>>0]=b[217256]|0;b[P+1>>0]=b[217257]|0;b[P+2>>0]=b[217258]|0;b[P+3>>0]=b[217259]|0;b[P+4>>0]=b[217260]|0;b[P+5>>0]=b[217261]|0;SQ(-215,g,217249,217032,872)}if((d|0)==2){P=Y(a,a)|0;O=(Y((P<<1)+a|0,w)|0)+8|0;z=g+8|0;f[g>>2]=z;H=g+4|0;f[H>>2]=O;if(O>>>0>1032){J=Dmc(O)|0;f[g>>2]=J;U=J}else U=z;Ri(j,a,a,A,w+-1+U&0-w,0);J=j+16|0;O=j+44|0;Ri(k,a,1,A,(f[J>>2]|0)+(Y(P,w)|0)|0,0);P=k+16|0;y=k+44|0;Ri(l,a,a,A,(f[P>>2]|0)+(Y(a,w)|0)|0,0);f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=i;M=o+8|0;f[M>>2]=0;f[M+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=k;M=q+8|0;f[M>>2]=0;f[M+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=l;CU(m,o,q)|0;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=l;M=o+8|0;f[M>>2]=0;f[M+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=j;SJ(m,o);f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=k;f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=j;f[q+8>>2]=0;f[q+12>>2]=0;f[q>>2]=16842752;f[q+4>>2]=l;f[s>>2]=1124007936;M=s+4|0;N=s+8|0;L=s+40|0;B=M;D=B+36|0;do{f[B>>2]=0;B=B+4|0}while((B|0)<(D|0));f[L>>2]=N;G=s+48|0;F=s+44|0;f[F>>2]=G;f[G>>2]=0;f[s+52>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;f[r>>2]=16842752;f[r+4>>2]=s;BU(m,o,q,r,c);E=s+36|0;K=f[E>>2]|0;if(K|0?(Q=K+12|0,K=f[Q>>2]|0,f[Q>>2]=K+-1,(K|0)==1):0)lP(s);f[E>>2]=0;E=s+16|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[M>>2]|0)>0){E=f[L>>2]|0;K=0;do{f[E+(K<<2)>>2]=0;K=K+1|0}while((K|0)<(f[M>>2]|0))}M=f[F>>2]|0;if((M|0)!=(G|0))tE(M);M=f[P>>2]|0;if(t){R=+n[M>>2];if(!(R>=1.1920928955078125e-07))V=0.0;else V=+n[M+(a+-1<<2)>>2]/R}else{R=+p[M>>3];if(!(R>=2.220446049250313e-16))V=0.0;else V=+p[M+(a+-1<<3)>>3]/R}M=l+36|0;K=f[M>>2]|0;if(K|0?(E=K+12|0,K=f[E>>2]|0,f[E>>2]=K+-1,(K|0)==1):0)lP(l);f[M>>2]=0;M=l+16|0;K=l+4|0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[K>>2]|0)>0){M=f[l+40>>2]|0;E=0;do{f[M+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[K>>2]|0))}K=f[l+44>>2]|0;if((K|0)!=(l+48|0))tE(K);K=k+36|0;E=f[K>>2]|0;if(E|0?(M=E+12|0,E=f[M>>2]|0,f[M>>2]=E+-1,(E|0)==1):0)lP(k);f[K>>2]=0;K=k+4|0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;if((f[K>>2]|0)>0){E=f[k+40>>2]|0;M=0;do{f[E+(M<<2)>>2]=0;M=M+1|0}while((M|0)<(f[K>>2]|0))}K=f[y>>2]|0;if((K|0)!=(k+48|0))tE(K);K=j+36|0;M=f[K>>2]|0;do if(M|0){E=M+12|0;P=f[E>>2]|0;f[E>>2]=P+-1;if((P|0)!=1)break;lP(j)}while(0);f[K>>2]=0;M=j+4|0;f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=0;f[J+12>>2]=0;if((f[M>>2]|0)>0){y=f[j+40>>2]|0;P=0;do{f[y+(P<<2)>>2]=0;P=P+1|0}while((P|0)<(f[M>>2]|0))}M=f[O>>2]|0;if((M|0)!=(j+48|0))tE(M);M=f[g>>2]|0;if((M|0)!=(z|0)){if(M|0)Fmc(M);f[g>>2]=z;f[H>>2]=1032}T=V;break}M=(d|0)==0;P=(d|0)==3;switch(d|0){case 0:case 3:break;default:{f[g>>2]=0;f[g+4>>2]=0;B=YG(g,48)|0;C=217263;D=B+48|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));SQ(-215,g,217249,217032,892)}}iE(c,a,a,A,-1,0,0);do if((pD(c)|0)==65536){H=f[c+4>>2]|0;f[g>>2]=f[H>>2];z=g+4|0;O=H+4|0;f[z>>2]=f[O>>2];y=g+8|0;f[y>>2]=f[H+8>>2];f[g+12>>2]=f[H+12>>2];f[g+16>>2]=f[H+16>>2];f[g+20>>2]=f[H+20>>2];f[g+24>>2]=f[H+24>>2];f[g+28>>2]=f[H+28>>2];f[g+32>>2]=f[H+32>>2];J=f[H+36>>2]|0;f[g+36>>2]=J;f[g+40>>2]=y;y=g+48|0;K=g+44|0;f[K>>2]=y;f[y>>2]=0;f[g+52>>2]=0;if(J|0){y=J+12|0;f[y>>2]=(f[y>>2]|0)+1}if((f[O>>2]|0)<3){O=f[H+44>>2]|0;y=f[K>>2]|0;f[y>>2]=f[O>>2];f[y+4>>2]=f[O+4>>2];break}else{f[z>>2]=0;kP(g,H);break}}else lD(g,c,-1);while(0);a:do if((a|0)<4){H=f[i+16>>2]|0;z=f[g+16>>2]|0;O=f[i+48>>2]|0;y=f[g+48>>2]|0;b:do switch(a|0){case 2:{if(t){R=+n[H>>2];K=H+O|0;W=+n[K+4>>2];J=H+4|0;X=R*W-+n[J>>2]*+n[K>>2];if(!(X!=0.0))break b;Z=1.0/X;E=z+y|0;n[E+4>>2]=R*Z;n[z>>2]=W*Z;W=Z*-+n[K>>2];n[z+4>>2]=Z*-+n[J>>2];n[E>>2]=W;_=1;break a}else{W=+p[H>>3];E=H+O|0;Z=+p[E+8>>3];J=H+8|0;R=W*Z-+p[J>>3]*+p[E>>3];if(!(R!=0.0))break b;X=1.0/R;K=z+y|0;p[K+8>>3]=W*X;p[z>>3]=Z*X;Z=-(X*+p[E>>3]);p[z+8>>3]=-(X*+p[J>>3]);p[K>>3]=Z;_=1;break a}break}case 3:{K=O<<1;if(t){Z=+n[H>>2];J=H+O|0;X=+n[J+4>>2];E=H+K|0;W=+n[E+8>>2];R=+n[J+8>>2];$=+n[E+4>>2];aa=X*W-R*$;ba=+n[H+4>>2];ca=+n[J>>2];da=W*ca;ea=+n[E>>2];fa=R*ea;ga=+n[H+8>>2];ha=$*ca-X*ea;ia=ga*ha+(Z*aa-ba*(da-fa));if(!(ia!=0.0))break b;ja=1.0/ia;n[z>>2]=aa*ja;n[z+4>>2]=($*ga-W*ba)*ja;n[z+8>>2]=(R*ba-X*ga)*ja;E=z+y|0;n[E>>2]=(fa-da)*ja;n[E+4>>2]=(Z*W-ea*ga)*ja;n[E+8>>2]=(ca*ga-Z*R)*ja;E=z+(y<<1)|0;n[E>>2]=ha*ja;n[E+4>>2]=(ba*ea-Z*$)*ja;n[E+8>>2]=(Z*X-ba*ca)*ja;_=1;break a}else{ja=+p[H>>3];E=H+O|0;ca=+p[E+8>>3];J=H+K|0;ba=+p[J+16>>3];X=+p[E+16>>3];Z=+p[J+8>>3];$=ca*ba-X*Z;ea=+p[H+8>>3];ha=+p[E>>3];R=ba*ha;ga=+p[J>>3];W=X*ga;da=+p[H+16>>3];fa=Z*ha-ca*ga;aa=da*fa+(ja*$-ea*(R-W));if(!(aa!=0.0))break b;ia=1.0/aa;p[z>>3]=$*ia;p[z+8>>3]=(Z*da-ba*ea)*ia;p[z+16>>3]=(X*ea-ca*da)*ia;J=z+y|0;p[J>>3]=(W-R)*ia;p[J+8>>3]=(ja*ba-ga*da)*ia;p[J+16>>3]=(ha*da-ja*X)*ia;J=z+(y<<1)|0;p[J>>3]=fa*ia;p[J+8>>3]=(ea*ga-ja*Z)*ia;p[J+16>>3]=(ja*ca-ea*ha)*ia;_=1;break a}break}default:if(t){ia=+n[H>>2];if(!(ia!=0.0))break b;n[z>>2]=1.0/ia;_=1;break a}else{ia=+p[H>>3];if(!(ia!=0.0))break b;p[z>>3]=1.0/ia;_=1;break a}}while(0);f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;f[j+24>>2]=0;f[j+28>>2]=0;nT(g,j)|0;_=0}else{z=Y(Y(a,w)|0,a)|0;H=j+8|0;f[j>>2]=H;y=j+4|0;f[y>>2]=z;if(z>>>0>1032){O=Dmc(z)|0;f[j>>2]=O;ka=O}else ka=H;Ri(k,a,a,A,ka,0);O=l+8|0;f[O>>2]=0;f[O+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=k;kT(i,l);O=l+8|0;f[O>>2]=0;f[O+4>>2]=0;f[l>>2]=50397184;f[l+4>>2]=g;p[m>>3]=1.0;O=m+8|0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;f[O+16>>2]=0;f[O+20>>2]=0;QJ(l,m);do if(M&t)if(!(g$(f[k+16>>2]|0,f[k+48>>2]|0,a,f[g+16>>2]|0,f[g+48>>2]|0,a)|0))la=141;else ma=1;else{if(M&v)if(!(i$(f[k+16>>2]|0,f[k+48>>2]|0,a,f[g+16>>2]|0,f[g+48>>2]|0,a)|0)){la=141;break}else{ma=1;break}O=f[k+16>>2]|0;if(P&t)na=k$(O,f[k+48>>2]|0,a,f[g+16>>2]|0,f[g+48>>2]|0,a)|0;else na=m$(O,f[k+48>>2]|0,a,f[g+16>>2]|0,f[g+48>>2]|0,a)|0;if(na)ma=1;else la=141}while(0);if((la|0)==141){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;f[l+28>>2]=0;nT(g,l)|0;ma=0}O=k+36|0;z=f[O>>2]|0;if(z|0?(J=z+12|0,z=f[J>>2]|0,f[J>>2]=z+-1,(z|0)==1):0)lP(k);f[O>>2]=0;O=k+16|0;z=k+4|0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;if((f[z>>2]|0)>0){O=f[k+40>>2]|0;J=0;do{f[O+(J<<2)>>2]=0;J=J+1|0}while((J|0)<(f[z>>2]|0))}z=f[k+44>>2]|0;if((z|0)!=(k+48|0))tE(z);z=f[j>>2]|0;if((z|0)!=(H|0)){if(z|0)Fmc(z);f[j>>2]=H;f[y>>2]=1032}_=ma}while(0);P=g+36|0;M=f[P>>2]|0;if(M|0?(z=M+12|0,M=f[z>>2]|0,f[z>>2]=M+-1,(M|0)==1):0)lP(g);f[P>>2]=0;P=g+16|0;M=g+4|0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;if((f[M>>2]|0)>0){P=f[g+40>>2]|0;z=0;do{f[P+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[M>>2]|0))}M=f[g+44>>2]|0;if((M|0)!=(g+48|0))tE(M);T=+(_&1)}while(0);_=i+36|0;g=f[_>>2]|0;if(g|0?(ma=g+12|0,g=f[ma>>2]|0,f[ma>>2]=g+-1,(g|0)==1):0)lP(i);f[_>>2]=0;_=i+16|0;g=i+4|0;f[_>>2]=0;f[_+4>>2]=0;f[_+8>>2]=0;f[_+12>>2]=0;if((f[g>>2]|0)>0){_=f[i+40>>2]|0;ma=0;do{f[_+(ma<<2)>>2]=0;ma=ma+1|0}while((ma|0)<(f[g>>2]|0))}g=f[i+44>>2]|0;if((g|0)!=(i+48|0))tE(g);if(!(f[h+4>>2]|0)){u=e;return +T}u=e;return +T}function AU(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;h=u;u=u+1392|0;i=h+1336|0;j=h+296|0;k=h+240|0;l=h+184|0;m=h+128|0;n=h+72|0;o=h;p=h+56|0;do if((pD(a)|0)==65536){q=f[a+4>>2]|0;f[i>>2]=f[q>>2];r=i+4|0;s=q+4|0;f[r>>2]=f[s>>2];t=i+8|0;f[t>>2]=f[q+8>>2];v=i+12|0;f[v>>2]=f[q+12>>2];f[i+16>>2]=f[q+16>>2];f[i+20>>2]=f[q+20>>2];f[i+24>>2]=f[q+24>>2];f[i+28>>2]=f[q+28>>2];f[i+32>>2]=f[q+32>>2];w=f[q+36>>2]|0;f[i+36>>2]=w;f[i+40>>2]=t;x=i+48|0;y=i+44|0;f[y>>2]=x;f[x>>2]=0;f[i+52>>2]=0;if(w|0){x=w+12|0;f[x>>2]=(f[x>>2]|0)+1}if((f[s>>2]|0)<3){s=f[q+44>>2]|0;x=f[y>>2]|0;f[x>>2]=f[s>>2];f[x+4>>2]=f[s+4>>2];z=v;A=i;B=t;break}else{f[r>>2]=0;kP(i,q);z=v;A=i;B=t;break}}else{lD(i,a,-1);z=i+12|0;A=i;B=i+8|0}while(0);a=f[B>>2]|0;B=f[z>>2]|0;z=f[A>>2]&4095;if(lE(d)|0)C=1;else C=lE(e)|0;A=(z|0)==5;if((z+-5|0)>>>0>=2){f[j>>2]=0;f[j+4>>2]=0;D=YG(j,32)|0;t=217216;E=D+32|0;do{b[D>>0]=b[t>>0]|0;D=D+1|0;t=t+1|0}while((D|0)<(E|0));SQ(-215,j,217657,217032,1485)}if(!(g&2)){t=(a|0)<(B|0);v=t?B:a;q=t?a:B;F=C;G=q;H=v;I=t;J=g&4|0?v:q}else{GD(d);GD(e);q=(a|0)<(B|0);v=q?a:B;F=0;G=v;H=q?B:a;I=q;J=v}v=i+4|0;q=f[v>>2]|0;if((q|0)>0)K=f[(f[i+44>>2]|0)+(q+-1<<2)>>2]|0;else K=0;q=(Y(K,H)|0)+15&-16;a=Y(K,G)|0;K=a+15&-16;B=Y(q,J)|0;g=a+32+(Y(K,G)|0)+B|0;t=j+8|0;f[j>>2]=t;C=j+4|0;f[C>>2]=g;if(g>>>0>1032){r=Dmc(g)|0;f[j>>2]=r;L=r}else L=t;r=L+15&-16;Ri(k,G,H,z,r,q);L=r+B|0;Ri(l,G,1,z,L,0);Ri(m,J,H,z,r,q);f[n>>2]=1124007936;q=n+4|0;r=n+8|0;B=n+40|0;D=q;E=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(E|0));f[B>>2]=r;D=n+48|0;E=n+44|0;f[E>>2]=D;f[D>>2]=0;f[n+52>>2]=0;if(F){Ri(o,G,G,z,L+a+15&-16,K);K=o+36|0;a=f[K>>2]|0;if(a|0){L=a+12|0;f[L>>2]=(f[L>>2]|0)+1}L=n+36|0;a=f[L>>2]|0;if(a|0?(z=a+12|0,a=f[z>>2]|0,f[z>>2]=a+-1,(a|0)==1):0)lP(n);f[L>>2]=0;a=n+16|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[q>>2]|0)>0){z=f[B>>2]|0;g=0;do{f[z+(g<<2)>>2]=0;g=g+1|0;M=f[q>>2]|0}while((g|0)<(M|0));f[n>>2]=f[o>>2];if((M|0)<3)N=30;else N=32}else{f[n>>2]=f[o>>2];N=30}if((N|0)==30){M=f[o+4>>2]|0;if((M|0)<3){f[q>>2]=M;f[r>>2]=f[o+8>>2];f[n+12>>2]=f[o+12>>2];r=f[o+44>>2]|0;M=f[E>>2]|0;f[M>>2]=f[r>>2];f[M+4>>2]=f[r+4>>2]}else N=32}if((N|0)==32)kP(n,o);N=o+16|0;f[a>>2]=f[N>>2];f[n+20>>2]=f[o+20>>2];f[n+24>>2]=f[o+24>>2];f[n+28>>2]=f[o+28>>2];f[n+32>>2]=f[o+32>>2];a=f[K>>2]|0;f[L>>2]=a;if(a|0?(L=a+12|0,a=f[L>>2]|0,f[L>>2]=a+-1,(a|0)==1):0)lP(o);f[K>>2]=0;K=o+4|0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;if((f[K>>2]|0)>0){N=f[o+40>>2]|0;a=0;do{f[N+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[K>>2]|0))}K=f[o+44>>2]|0;if((K|0)!=(o+48|0))tE(K)}if((J|0)>(G|0)){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;f[o+16>>2]=0;f[o+20>>2]=0;f[o+24>>2]=0;f[o+28>>2]=0;nT(m,o)|0}if(I){K=o+8|0;f[K>>2]=0;f[K+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=k;kT(i,o)}else{f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=i;K=p+8|0;f[K>>2]=0;f[K+4>>2]=0;f[p>>2]=33619968;f[p+4>>2]=k;SJ(o,p)}p=k+16|0;K=f[p>>2]|0;if(A){A=f[n+16>>2]|0;a=F?J:0;wU(K,f[m+48>>2]|0,f[l+16>>2]|0,A,f[D>>2]|0,H,G,(A|0)==0?0:(a|0)<0?G:a,1.1754943508222875e-38,2.384185791015625e-07)}else{a=f[n+16>>2]|0;A=F?J:0;xU(K,f[m+48>>2]|0,f[l+16>>2]|0,a,f[D>>2]|0,H,G,(a|0)==0?0:(A|0)<0?G:A,2.2250738585072014e-308,2.220446049250313e-15)}kT(l,c);do if(F){c=lE(d)|0;if(I){if(c){f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=n;SJ(o,d)}if(!(lE(e)|0))break;kT(m,e);break}else{if(c){f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=m;SJ(o,d)}if(!(lE(e)|0))break;kT(n,e);break}}while(0);e=n+36|0;d=f[e>>2]|0;if(d|0?(o=d+12|0,d=f[o>>2]|0,f[o>>2]=d+-1,(d|0)==1):0)lP(n);f[e>>2]=0;e=n+16|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[q>>2]|0)>0){e=f[B>>2]|0;B=0;do{f[e+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[q>>2]|0))}q=f[E>>2]|0;if((q|0)!=(D|0))tE(q);q=m+36|0;D=f[q>>2]|0;if(D|0?(E=D+12|0,D=f[E>>2]|0,f[E>>2]=D+-1,(D|0)==1):0)lP(m);f[q>>2]=0;q=m+16|0;D=m+4|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[D>>2]|0)>0){q=f[m+40>>2]|0;E=0;do{f[q+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[D>>2]|0))}D=f[m+44>>2]|0;if((D|0)!=(m+48|0))tE(D);D=l+36|0;m=f[D>>2]|0;if(m|0?(E=m+12|0,m=f[E>>2]|0,f[E>>2]=m+-1,(m|0)==1):0)lP(l);f[D>>2]=0;D=l+16|0;m=l+4|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[m>>2]|0)>0){D=f[l+40>>2]|0;E=0;do{f[D+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[m>>2]|0))}m=f[l+44>>2]|0;if((m|0)!=(l+48|0))tE(m);m=k+36|0;l=f[m>>2]|0;do if(l|0){E=l+12|0;D=f[E>>2]|0;f[E>>2]=D+-1;if((D|0)!=1)break;lP(k)}while(0);f[m>>2]=0;m=k+4|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[m>>2]|0)>0){p=f[k+40>>2]|0;l=0;do{f[p+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[m>>2]|0))}m=f[k+44>>2]|0;if((m|0)!=(k+48|0))tE(m);m=f[j>>2]|0;if((m|0)!=(t|0)){if(m|0)Fmc(m);f[j>>2]=t;f[C>>2]=1032}C=i+36|0;t=f[C>>2]|0;do if(t|0){j=t+12|0;m=f[j>>2]|0;f[j>>2]=m+-1;if((m|0)!=1)break;lP(i)}while(0);f[C>>2]=0;C=i+16|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[v>>2]|0)>0){C=f[i+40>>2]|0;t=0;do{f[C+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[v>>2]|0))}v=f[i+44>>2]|0;if((v|0)==(i+48|0)){u=h;return}tE(v);u=h;return}function BU(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;h=u;u=u+1328|0;i=h+1272|0;j=h+1216|0;k=h+1160|0;l=h+1104|0;m=h+64|0;n=h+8|0;o=h;do if((pD(a)|0)==65536){p=f[a+4>>2]|0;f[i>>2]=f[p>>2];q=i+4|0;r=p+4|0;f[q>>2]=f[r>>2];s=i+8|0;f[s>>2]=f[p+8>>2];f[i+12>>2]=f[p+12>>2];f[i+16>>2]=f[p+16>>2];f[i+20>>2]=f[p+20>>2];f[i+24>>2]=f[p+24>>2];f[i+28>>2]=f[p+28>>2];f[i+32>>2]=f[p+32>>2];t=f[p+36>>2]|0;f[i+36>>2]=t;f[i+40>>2]=s;s=i+48|0;v=i+44|0;f[v>>2]=s;f[s>>2]=0;f[i+52>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[p+44>>2]|0;s=f[v>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2];break}else{f[q>>2]=0;kP(i,p);break}}else lD(i,a,-1);while(0);do if((pD(c)|0)==65536){a=f[c+4>>2]|0;f[j>>2]=f[a>>2];p=j+4|0;q=a+4|0;f[p>>2]=f[q>>2];r=j+8|0;f[r>>2]=f[a+8>>2];f[j+12>>2]=f[a+12>>2];f[j+16>>2]=f[a+16>>2];f[j+20>>2]=f[a+20>>2];f[j+24>>2]=f[a+24>>2];f[j+28>>2]=f[a+28>>2];f[j+32>>2]=f[a+32>>2];s=f[a+36>>2]|0;f[j+36>>2]=s;f[j+40>>2]=r;r=j+48|0;v=j+44|0;f[v>>2]=r;f[r>>2]=0;f[j+52>>2]=0;if(s|0){r=s+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[q>>2]|0)<3){q=f[a+44>>2]|0;r=f[v>>2]|0;f[r>>2]=f[q>>2];f[r+4>>2]=f[q+4>>2];break}else{f[p>>2]=0;kP(j,a);break}}else lD(j,c,-1);while(0);do if((pD(d)|0)==65536){c=f[d+4>>2]|0;f[k>>2]=f[c>>2];a=k+4|0;p=c+4|0;f[a>>2]=f[p>>2];q=k+8|0;f[q>>2]=f[c+8>>2];f[k+12>>2]=f[c+12>>2];f[k+16>>2]=f[c+16>>2];f[k+20>>2]=f[c+20>>2];f[k+24>>2]=f[c+24>>2];f[k+28>>2]=f[c+28>>2];f[k+32>>2]=f[c+32>>2];r=f[c+36>>2]|0;f[k+36>>2]=r;f[k+40>>2]=q;q=k+48|0;v=k+44|0;f[v>>2]=q;f[q>>2]=0;f[k+52>>2]=0;if(r|0){q=r+12|0;f[q>>2]=(f[q>>2]|0)+1}if((f[p>>2]|0)<3){p=f[c+44>>2]|0;q=f[v>>2]|0;f[q>>2]=f[p>>2];f[q+4>>2]=f[p+4>>2];break}else{f[a>>2]=0;kP(k,c);break}}else lD(k,d,-1);while(0);do if((pD(e)|0)==65536){d=f[e+4>>2]|0;f[l>>2]=f[d>>2];c=l+4|0;a=d+4|0;f[c>>2]=f[a>>2];p=l+8|0;f[p>>2]=f[d+8>>2];f[l+12>>2]=f[d+12>>2];f[l+16>>2]=f[d+16>>2];f[l+20>>2]=f[d+20>>2];f[l+24>>2]=f[d+24>>2];f[l+28>>2]=f[d+28>>2];f[l+32>>2]=f[d+32>>2];q=f[d+36>>2]|0;f[l+36>>2]=q;f[l+40>>2]=p;p=l+48|0;v=l+44|0;f[v>>2]=p;f[p>>2]=0;f[l+52>>2]=0;if(q|0){p=q+12|0;f[p>>2]=(f[p>>2]|0)+1}if((f[a>>2]|0)<3){a=f[d+44>>2]|0;p=f[v>>2]|0;f[p>>2]=f[a>>2];f[p+4>>2]=f[a+4>>2];break}else{f[c>>2]=0;kP(l,d);break}}else lD(l,e,-1);while(0);e=f[i>>2]|0;d=e&4095;c=i+4|0;a=f[c>>2]|0;if((a|0)>0)w=f[(f[i+44>>2]|0)+(a+-1<<2)>>2]|0;else w=0;a=f[j+8>>2]|0;p=f[k+12>>2]|0;v=l+16|0;q=f[v>>2]|0;r=q|0?f[l+12>>2]|0:a;s=(p|0)<(a|0)?p:a;if((f[i+8>>2]|0)==1)x=w;else x=((f[i+12>>2]|0)==1?0:w)+(f[i+48>>2]|0)|0;w=(r<<3)+16|0;t=m+8|0;f[m>>2]=t;y=m+4|0;f[y>>2]=w;if(w>>>0>1032){z=Dmc(w)|0;f[m>>2]=z}if((d|0)!=(f[j>>2]&4095|0)){f[n>>2]=0;A=n+4|0;f[A>>2]=0;B=YG(n,76)|0;C=B;D=217392;E=C+76|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,n,217469,217032,1573)}if((d|0)!=(f[k>>2]&4095|0)){f[n>>2]=0;A=n+4|0;f[A>>2]=0;B=YG(n,76)|0;C=B;D=217392;E=C+76|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,n,217469,217032,1573)}z=j+16|0;if(!(f[z>>2]|0)){f[n>>2]=0;A=n+4|0;f[A>>2]=0;B=YG(n,76)|0;C=B;D=217392;E=C+76|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,n,217469,217032,1573)}w=k+16|0;if(!(f[w>>2]|0)){f[n>>2]=0;A=n+4|0;f[A>>2]=0;B=YG(n,76)|0;C=B;D=217392;E=C+76|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,n,217469,217032,1573)}F=i+16|0;if(!(f[F>>2]|0)){f[n>>2]=0;A=n+4|0;f[A>>2]=0;B=YG(n,76)|0;C=B;D=217392;E=C+76|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,n,217469,217032,1573)}B=f[j+12>>2]|0;if((B|0)<(s|0)){f[n>>2]=0;G=n+4|0;f[G>>2]=0;H=YG(n,122)|0;C=H;D=217479;E=C+122|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,n,217469,217032,1575)}A=f[k+8>>2]|0;if((A|0)<(s|0)){f[n>>2]=0;G=n+4|0;f[G>>2]=0;H=YG(n,122)|0;C=H;D=217479;E=C+122|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,n,217469,217032,1575)}I=i+40|0;J=f[I>>2]|0;K=f[J+4>>2]|0;L=f[J>>2]|0;if((!((K|0)==(s|0)&(L|0)==1)?!((K|0)==1&(L|0)==(s|0)):0)?!((K|0)==(A|0)&(L|0)==(B|0)):0){f[n>>2]=0;G=n+4|0;f[G>>2]=0;H=YG(n,122)|0;C=H;D=217479;E=C+122|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,n,217469,217032,1575)}if(q|0){if((f[l>>2]&4095|0)!=(d|0)){f[n>>2]=0;M=n+4|0;f[M>>2]=0;N=YG(n,54)|0;C=N;D=217602;E=C+54|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,n,217469,217032,1576)}if((f[l+8>>2]|0)!=(a|0)){f[n>>2]=0;M=n+4|0;f[M>>2]=0;N=YG(n,54)|0;C=N;D=217602;E=C+54|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,n,217469,217032,1576)}}iE(g,p,r,d,-1,0,0);do if((pD(g)|0)==65536){d=f[g+4>>2]|0;f[n>>2]=f[d>>2];D=n+4|0;C=d+4|0;f[D>>2]=f[C>>2];E=n+8|0;f[E>>2]=f[d+8>>2];f[n+12>>2]=f[d+12>>2];f[n+16>>2]=f[d+16>>2];f[n+20>>2]=f[d+20>>2];f[n+24>>2]=f[d+24>>2];f[n+28>>2]=f[d+28>>2];f[n+32>>2]=f[d+32>>2];N=f[d+36>>2]|0;f[n+36>>2]=N;f[n+40>>2]=E;E=n+48|0;M=n+44|0;f[M>>2]=E;f[E>>2]=0;f[n+52>>2]=0;if(N|0){E=N+12|0;f[E>>2]=(f[E>>2]|0)+1}if((f[C>>2]|0)<3){C=f[d+44>>2]|0;E=f[M>>2]|0;f[E>>2]=f[C>>2];f[E+4>>2]=f[C+4>>2];break}else{f[D>>2]=0;kP(n,d);break}}else lD(n,g,-1);while(0);switch(e&4095){case 5:{FU(a,p,f[F>>2]|0,x,f[z>>2]|0,f[j+48>>2]|0,0,f[w>>2]|0,f[k+48>>2]|0,f[v>>2]|0,f[l+48>>2]|0,r,f[n+16>>2]|0,f[n+48>>2]|0,f[m>>2]|0);break}case 6:{GU(a,p,f[F>>2]|0,x,f[z>>2]|0,f[j+48>>2]|0,0,f[w>>2]|0,f[k+48>>2]|0,f[v>>2]|0,f[l+48>>2]|0,r,f[n+16>>2]|0,f[n+48>>2]|0,f[m>>2]|0);break}default:{f[o>>2]=0;f[o+4>>2]=0;SQ(-210,o,217469,217032,1589)}}o=n+36|0;r=f[o>>2]|0;if(r|0?(x=r+12|0,r=f[x>>2]|0,f[x>>2]=r+-1,(r|0)==1):0)lP(n);f[o>>2]=0;o=n+16|0;r=n+4|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[r>>2]|0)>0){o=f[n+40>>2]|0;x=0;do{f[o+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[r>>2]|0))}r=f[n+44>>2]|0;if((r|0)!=(n+48|0))tE(r);r=f[m>>2]|0;if((r|0)!=(t|0)){if(r|0)Fmc(r);f[m>>2]=t;f[y>>2]=1032}y=l+36|0;t=f[y>>2]|0;do if(t|0){m=t+12|0;r=f[m>>2]|0;f[m>>2]=r+-1;if((r|0)!=1)break;lP(l)}while(0);f[y>>2]=0;y=l+4|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[y>>2]|0)>0){v=f[l+40>>2]|0;t=0;do{f[v+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[y>>2]|0))}y=f[l+44>>2]|0;if((y|0)!=(l+48|0))tE(y);y=k+36|0;l=f[y>>2]|0;do if(l|0){t=l+12|0;v=f[t>>2]|0;f[t>>2]=v+-1;if((v|0)!=1)break;lP(k)}while(0);f[y>>2]=0;y=k+4|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[y>>2]|0)>0){w=f[k+40>>2]|0;l=0;do{f[w+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[y>>2]|0))}y=f[k+44>>2]|0;if((y|0)!=(k+48|0))tE(y);y=j+36|0;k=f[y>>2]|0;do if(k|0){l=k+12|0;w=f[l>>2]|0;f[l>>2]=w+-1;if((w|0)!=1)break;lP(j)}while(0);f[y>>2]=0;y=j+4|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[y>>2]|0)>0){z=f[j+40>>2]|0;k=0;do{f[z+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[y>>2]|0))}y=f[j+44>>2]|0;if((y|0)!=(j+48|0))tE(y);y=i+36|0;j=f[y>>2]|0;do if(j|0){k=j+12|0;z=f[k>>2]|0;f[k>>2]=z+-1;if((z|0)!=1)break;lP(i)}while(0);f[y>>2]=0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[c>>2]|0)>0){F=f[I>>2]|0;I=0;do{f[F+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[c>>2]|0))}c=f[i+44>>2]|0;if((c|0)==(i+48|0)){u=h;return}tE(c);u=h;return}function CU(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;e=u;u=u+1296|0;g=e+1280|0;h=e+1224|0;i=e+1168|0;j=e+128|0;k=e+72|0;l=e+16|0;m=e;zT(g,48708);do if((pD(a)|0)==65536){n=f[a+4>>2]|0;f[h>>2]=f[n>>2];o=h+4|0;p=n+4|0;f[o>>2]=f[p>>2];q=h+8|0;f[q>>2]=f[n+8>>2];r=h+12|0;f[r>>2]=f[n+12>>2];f[h+16>>2]=f[n+16>>2];f[h+20>>2]=f[n+20>>2];f[h+24>>2]=f[n+24>>2];f[h+28>>2]=f[n+28>>2];f[h+32>>2]=f[n+32>>2];s=f[n+36>>2]|0;f[h+36>>2]=s;f[h+40>>2]=q;t=h+48|0;v=h+44|0;f[v>>2]=t;f[t>>2]=0;f[h+52>>2]=0;if(s|0){t=s+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[p>>2]|0)<3){p=f[n+44>>2]|0;t=f[v>>2]|0;f[t>>2]=f[p>>2];f[t+4>>2]=f[p+4>>2];w=q;x=r;y=h;break}else{f[o>>2]=0;kP(h,n);w=q;x=r;y=h;break}}else{lD(h,a,-1);w=h+8|0;x=h+12|0;y=h}while(0);a=f[y>>2]&4095;y=f[w>>2]|0;if((y|0)!=(f[x>>2]|0)){f[i>>2]=0;f[i+4>>2]=0;z=YG(i,20)|0;A=217312;B=z+20|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));SQ(-215,i,217333,217032,1407)}x=(a|0)==5;if((a+-5|0)>>>0>=2){f[i>>2]=0;f[i+4>>2]=0;z=YG(i,32)|0;A=217216;B=z+32|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));SQ(-215,i,217333,217032,1408)}f[i>>2]=1124007936;A=i+4|0;w=i+8|0;r=i+40|0;z=A;B=z+36|0;do{f[z>>2]=0;z=z+4|0}while((z|0)<(B|0));f[r>>2]=w;z=i+48|0;B=i+44|0;f[B>>2]=z;f[z>>2]=0;f[i+52>>2]=0;if(lE(d)|0){iE(d,y,y,a,-1,0,0);do if((pD(d)|0)==65536){q=f[d+4>>2]|0;f[j>>2]=f[q>>2];n=j+4|0;o=q+4|0;f[n>>2]=f[o>>2];p=j+8|0;f[p>>2]=f[q+8>>2];f[j+12>>2]=f[q+12>>2];f[j+16>>2]=f[q+16>>2];f[j+20>>2]=f[q+20>>2];f[j+24>>2]=f[q+24>>2];f[j+28>>2]=f[q+28>>2];f[j+32>>2]=f[q+32>>2];t=j+36|0;v=f[q+36>>2]|0;f[t>>2]=v;f[j+40>>2]=p;p=j+48|0;s=j+44|0;f[s>>2]=p;f[p>>2]=0;f[j+52>>2]=0;if(v|0){p=v+12|0;f[p>>2]=(f[p>>2]|0)+1}if((f[o>>2]|0)<3){o=f[q+44>>2]|0;p=f[s>>2]|0;f[p>>2]=f[o>>2];f[p+4>>2]=f[o+4>>2];C=t;break}else{f[n>>2]=0;kP(j,q);C=t;break}}else{lD(j,d,-1);C=j+36|0}while(0);d=f[C>>2]|0;if(d|0){t=d+12|0;f[t>>2]=(f[t>>2]|0)+1}t=i+36|0;d=f[t>>2]|0;if(d|0?(q=d+12|0,d=f[q>>2]|0,f[q>>2]=d+-1,(d|0)==1):0)lP(i);f[t>>2]=0;d=i+16|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[A>>2]|0)>0){q=f[r>>2]|0;n=0;do{f[q+(n<<2)>>2]=0;n=n+1|0;D=f[A>>2]|0}while((n|0)<(D|0));f[i>>2]=f[j>>2];if((D|0)<3)E=30;else E=32}else{f[i>>2]=f[j>>2];E=30}if((E|0)==30){D=f[j+4>>2]|0;if((D|0)<3){f[A>>2]=D;f[w>>2]=f[j+8>>2];f[i+12>>2]=f[j+12>>2];w=f[j+44>>2]|0;D=f[B>>2]|0;f[D>>2]=f[w>>2];f[D+4>>2]=f[w+4>>2]}else E=32}if((E|0)==32)kP(i,j);E=j+16|0;f[d>>2]=f[E>>2];f[i+20>>2]=f[j+20>>2];f[i+24>>2]=f[j+24>>2];f[i+28>>2]=f[j+28>>2];f[i+32>>2]=f[j+32>>2];d=f[C>>2]|0;f[t>>2]=d;if(d|0?(t=d+12|0,d=f[t>>2]|0,f[t>>2]=d+-1,(d|0)==1):0)lP(j);f[C>>2]=0;C=j+4|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[C>>2]|0)>0){E=f[j+40>>2]|0;d=0;do{f[E+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[C>>2]|0))}C=f[j+44>>2]|0;if((C|0)!=(j+48|0))tE(C)}C=h+4|0;d=f[C>>2]|0;if((d|0)>0)F=f[(f[h+44>>2]|0)+(d+-1<<2)>>2]|0;else F=0;d=Y(F,y)|0;E=d+15&-16;t=Y(E,y)|0;w=(Y(y*5|0,F)|0)+32+t|0;F=j+8|0;f[j>>2]=F;D=j+4|0;f[D>>2]=w;if(w>>>0>1032){n=Dmc(w)|0;f[j>>2]=n;G=n}else G=F;n=G+15&-16;Ri(k,y,y,a,n,E);Ri(l,y,1,a,n+t|0,0);a=n+(t+d)|0;d=m+8|0;f[d>>2]=0;f[d+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=k;kT(h,m);m=k+16|0;d=f[m>>2]|0;if(x)H=DU(d,f[k+48>>2]|0,f[l+16>>2]|0,f[i+16>>2]|0,f[z>>2]|0,y,a)|0;else H=EU(d,f[k+48>>2]|0,f[l+16>>2]|0,f[i+16>>2]|0,f[z>>2]|0,y,a)|0;kT(l,c);c=l+36|0;a=f[c>>2]|0;if(a|0?(y=a+12|0,a=f[y>>2]|0,f[y>>2]=a+-1,(a|0)==1):0)lP(l);f[c>>2]=0;c=l+16|0;a=l+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[a>>2]|0)>0){c=f[l+40>>2]|0;y=0;do{f[c+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[a>>2]|0))}a=f[l+44>>2]|0;if((a|0)!=(l+48|0))tE(a);a=k+36|0;l=f[a>>2]|0;if(l|0?(y=l+12|0,l=f[y>>2]|0,f[y>>2]=l+-1,(l|0)==1):0)lP(k);f[a>>2]=0;a=k+4|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[a>>2]|0)>0){m=f[k+40>>2]|0;l=0;do{f[m+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[a>>2]|0))}a=f[k+44>>2]|0;if((a|0)!=(k+48|0))tE(a);a=f[j>>2]|0;if((a|0)!=(F|0)){if(a|0)Fmc(a);f[j>>2]=F;f[D>>2]=1032}D=i+36|0;F=f[D>>2]|0;if(F|0?(j=F+12|0,F=f[j>>2]|0,f[j>>2]=F+-1,(F|0)==1):0)lP(i);f[D>>2]=0;D=i+16|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[A>>2]|0)>0){D=f[r>>2]|0;r=0;do{f[D+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[A>>2]|0))}A=f[B>>2]|0;if((A|0)!=(z|0))tE(A);A=h+36|0;z=f[A>>2]|0;if(z|0?(B=z+12|0,z=f[B>>2]|0,f[B>>2]=z+-1,(z|0)==1):0)lP(h);f[A>>2]=0;A=h+16|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[C>>2]|0)>0){A=f[h+40>>2]|0;z=0;do{f[A+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[C>>2]|0))}C=f[h+44>>2]|0;if((C|0)!=(h+48|0))tE(C);if(!(f[g+4>>2]|0)){u=e;return H|0}u=e;return H|0}function DU(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0.0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0,K=0.0,N=0.0,O=0.0,P=0.0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0;i=b>>>2;b=(d|0)!=0;if(b){j=e>>>2;if((g|0)>0){k=g<<2;l=0;do{m=Y(j,l)|0;Drc(d+(m<<2)|0,0,k|0)|0;n[d+(m+l<<2)>>2]=1.0;l=l+1|0}while((l|0)!=(g|0));o=j}else o=j}else o=e;e=Y(g*30|0,g)|0;j=h+3&-4;h=j+(g<<2)|0;if((g|0)<=0)return 1;l=i+1|0;k=g+-1|0;m=0;do{p=a+((Y(m,l)|0)<<2)|0;f[c+(m<<2)>>2]=f[p>>2];if((m|0)<(k|0)){p=m+1|0;q=Y(m,i)|0;r=m+2|0;if((r|0)<(g|0)){s=p;t=+L(+(+n[a+(q+p<<2)>>2]));u=r;while(1){v=+L(+(+n[a+(u+q<<2)>>2]));r=t<v;w=r?u:s;u=u+1|0;if((u|0)==(g|0)){x=w;break}else{s=w;t=r?v:t}}}else x=p;f[j+(m<<2)>>2]=x}if((m|0)>0){if((m|0)==1)y=0;else{s=0;t=+L(+(+n[a+(m<<2)>>2]));u=1;while(1){q=a+((Y(u,i)|0)+m<<2)|0;v=+L(+(+n[q>>2]));q=t<v;r=q?u:s;u=u+1|0;if((u|0)>=(m|0)){y=r;break}else{s=r;t=q?v:t}}}f[h+(m<<2)>>2]=y}m=m+1|0}while((m|0)!=(g|0));m=(g|0)>1;y=g+-1|0;if(m&(e|0)>0){x=(y|0)>1;k=(g|0)<1|b^1;l=0;do{s=f[j>>2]|0;t=+L(+(+n[a+(s<<2)>>2]));if(x){u=0;p=1;v=t;do{q=Y(p,i)|0;z=+L(+(+n[a+((f[j+(p<<2)>>2]|0)+q<<2)>>2]));q=v<z;v=q?z:v;u=q?p:u;p=p+1|0}while((p|0)!=(y|0));A=f[j+(u<<2)>>2]|0;B=u;C=1;D=v}else{A=s;B=0;C=1;D=t}while(1){p=f[h+(C<<2)>>2]|0;q=a+((Y(p,i)|0)+C<<2)|0;z=+L(+(+n[q>>2]));q=D<z;A=q?C:A;B=q?p:B;C=C+1|0;if((C|0)==(g|0))break;else D=q?z:D}s=Y(B,i)|0;u=a+(s+A<<2)|0;t=+n[u>>2];v=+L(+t);if(v<=1.1920928955078125e-07)break;q=c+(A<<2)|0;p=c+(B<<2)|0;z=(+n[q>>2]-+n[p>>2])*.5;E=+L(+z);if(!(v>E))if(z!=z|0.0!=0.0|z==0.0)F=0.0;else{G=v/E;H=E;I=G*G;J=38}else{G=E/v;H=v;I=G*G;J=38}if((J|0)==38){J=0;F=H*+M(+(I+1.0))}G=E+F;E=+L(+G);if(!(v>E))if(G!=G|0.0!=0.0|G==0.0)K=0.0;else{N=v/E;O=E;P=N*N;J=43}else{N=E/v;O=v;P=N*N;J=43}if((J|0)==43){J=0;K=O*+M(+(P+1.0))}N=G/K;v=t/K;E=t*(t/G);r=z<0.0;z=r?-E:E;E=r?-v:v;n[u>>2]=0.0;n[p>>2]=+n[p>>2]-z;n[q>>2]=z+ +n[q>>2];q=(B|0)>0;if(q){p=0;do{u=Y(p,i)|0;r=a+(u+B<<2)|0;z=+n[r>>2];w=a+(u+A<<2)|0;v=+n[w>>2];n[r>>2]=N*z-E*v;n[w>>2]=E*z+N*v;p=p+1|0}while((p|0)!=(B|0))}p=B+1|0;if((p|0)<(A|0)){w=p;do{r=a+(w+s<<2)|0;v=+n[r>>2];u=a+((Y(w,i)|0)+A<<2)|0;z=+n[u>>2];n[r>>2]=N*v-E*z;n[u>>2]=E*v+N*z;w=w+1|0}while((w|0)!=(A|0))}w=A+1|0;if((w|0)<(g|0)){u=Y(A,i)|0;r=w;do{Q=a+(r+s<<2)|0;z=+n[Q>>2];R=a+(r+u<<2)|0;v=+n[R>>2];n[Q>>2]=N*z-E*v;n[R>>2]=E*z+N*v;r=r+1|0}while((r|0)!=(g|0))}if(!k){r=Y(B,o)|0;u=Y(A,o)|0;R=0;do{Q=d+(R+r<<2)|0;v=+n[Q>>2];S=d+(R+u<<2)|0;z=+n[S>>2];n[Q>>2]=N*v-E*z;n[S>>2]=E*v+N*z;R=R+1|0}while((R|0)!=(g|0))}if((B|0)<(y|0)){R=B+2|0;if((R|0)<(g|0)){u=p;N=+L(+(+n[a+(s+p<<2)>>2]));r=R;while(1){E=+L(+(+n[a+(r+s<<2)>>2]));R=N<E;S=R?r:u;r=r+1|0;if((r|0)==(g|0)){T=S;break}else{u=S;N=R?E:N}}}else T=p;f[j+(B<<2)>>2]=T}if(q){if((B|0)==1)U=0;else{N=+L(+(+n[a+(B<<2)>>2]));u=1;r=0;while(1){s=a+((Y(u,i)|0)+B<<2)|0;E=+L(+(+n[s>>2]));s=N<E;R=s?u:r;u=u+1|0;if((u|0)>=(B|0)){U=R;break}else{N=s?E:N;r=R}}}f[h+(B<<2)>>2]=U}if((A|0)<(y|0)){r=Y(A,i)|0;u=A+2|0;if((u|0)<(g|0)){q=w;N=+L(+(+n[a+(r+w<<2)>>2]));p=u;while(1){E=+L(+(+n[a+(p+r<<2)>>2]));u=N<E;R=u?p:q;p=p+1|0;if((p|0)==(g|0)){V=R;break}else{q=R;N=u?E:N}}}else V=w;f[j+(A<<2)>>2]=V}if((A|0)>0){if((A|0)==1)W=0;else{N=+L(+(+n[a+(A<<2)>>2]));q=1;p=0;while(1){r=a+((Y(q,i)|0)+A<<2)|0;E=+L(+(+n[r>>2]));r=N<E;u=r?q:p;q=q+1|0;if((q|0)>=(A|0)){W=u;break}else{N=r?E:N;p=u}}}f[h+(A<<2)>>2]=W}l=l+1|0}while((l|0)<(e|0));if(!m)return 1}else if(!m)return 1;if(b)X=0;else{b=0;do{m=b;b=b+1|0;if((b|0)<(g|0)){e=b;l=m;while(1){W=+n[c+(l<<2)>>2]<+n[c+(e<<2)>>2]?e:l;e=e+1|0;if((e|0)==(g|0)){Z=W;break}else l=W}}else Z=m;if((m|0)!=(Z|0)){l=c+(Z<<2)|0;e=c+(m<<2)|0;W=f[l>>2]|0;f[l>>2]=f[e>>2];f[e>>2]=W}}while((b|0)!=(y|0));return 1}do{b=X;X=X+1|0;if((X|0)<(g|0)){Z=X;W=b;while(1){e=+n[c+(W<<2)>>2]<+n[c+(Z<<2)>>2]?Z:W;Z=Z+1|0;if((Z|0)==(g|0)){_=e;break}else W=e}}else _=b;if((b|0)!=(_|0)){W=c+(_<<2)|0;Z=c+(b<<2)|0;m=f[W>>2]|0;f[W>>2]=f[Z>>2];f[Z>>2]=m;m=Y(_,o)|0;Z=Y(b,o)|0;W=0;do{e=d+(W+m<<2)|0;l=d+(W+Z<<2)|0;A=f[e>>2]|0;f[e>>2]=f[l>>2];f[l>>2]=A;W=W+1|0}while((W|0)!=(g|0))}}while((X|0)!=(y|0));return 1}function EU(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0.0,u=0,v=0.0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0,K=0.0,N=0.0,O=0.0,P=0.0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0;i=b>>>3;b=(d|0)!=0;if(b){j=e>>>3;if((g|0)>0){k=g<<3;l=0;do{m=Y(j,l)|0;Drc(d+(m<<3)|0,0,k|0)|0;p[d+(m+l<<3)>>3]=1.0;l=l+1|0}while((l|0)!=(g|0));n=j}else n=j}else n=e;e=Y(g*30|0,g)|0;j=h+3&-4;h=j+(g<<2)|0;if((g|0)<=0)return 1;l=i+1|0;k=g+-1|0;m=0;do{o=a+((Y(m,l)|0)<<3)|0;p[c+(m<<3)>>3]=+p[o>>3];if((m|0)<(k|0)){o=m+1|0;q=Y(m,i)|0;r=m+2|0;if((r|0)<(g|0)){s=o;t=+L(+(+p[a+(q+o<<3)>>3]));u=r;while(1){v=+L(+(+p[a+(u+q<<3)>>3]));r=t<v;w=r?u:s;u=u+1|0;if((u|0)==(g|0)){x=w;break}else{s=w;t=r?v:t}}}else x=o;f[j+(m<<2)>>2]=x}if((m|0)>0){if((m|0)==1)y=0;else{s=0;t=+L(+(+p[a+(m<<3)>>3]));u=1;while(1){q=a+((Y(u,i)|0)+m<<3)|0;v=+L(+(+p[q>>3]));q=t<v;r=q?u:s;u=u+1|0;if((u|0)>=(m|0)){y=r;break}else{s=r;t=q?v:t}}}f[h+(m<<2)>>2]=y}m=m+1|0}while((m|0)!=(g|0));m=(g|0)>1;y=g+-1|0;if(m&(e|0)>0){x=(y|0)>1;k=(g|0)<1|b^1;l=0;do{s=f[j>>2]|0;t=+L(+(+p[a+(s<<3)>>3]));if(x){u=0;o=1;v=t;do{q=Y(o,i)|0;z=+L(+(+p[a+((f[j+(o<<2)>>2]|0)+q<<3)>>3]));q=v<z;v=q?z:v;u=q?o:u;o=o+1|0}while((o|0)!=(y|0));A=f[j+(u<<2)>>2]|0;B=u;C=1;D=v}else{A=s;B=0;C=1;D=t}while(1){o=f[h+(C<<2)>>2]|0;q=a+((Y(o,i)|0)+C<<3)|0;z=+L(+(+p[q>>3]));q=D<z;A=q?C:A;B=q?o:B;C=C+1|0;if((C|0)==(g|0))break;else D=q?z:D}s=Y(B,i)|0;u=a+(s+A<<3)|0;t=+p[u>>3];v=+L(+t);if(v<=2.220446049250313e-16)break;q=c+(A<<3)|0;o=c+(B<<3)|0;z=(+p[q>>3]-+p[o>>3])*.5;E=+L(+z);if(!(v>E))if(z!=z|0.0!=0.0|z==0.0)F=0.0;else{G=v/E;H=E;I=G*G;J=38}else{G=E/v;H=v;I=G*G;J=38}if((J|0)==38){J=0;F=H*+M(+(I+1.0))}G=E+F;E=+L(+G);if(!(v>E))if(G!=G|0.0!=0.0|G==0.0)K=0.0;else{N=v/E;O=E;P=N*N;J=43}else{N=E/v;O=v;P=N*N;J=43}if((J|0)==43){J=0;K=O*+M(+(P+1.0))}N=G/K;v=t/K;E=t*(t/G);r=z<0.0;z=r?-E:E;E=r?-v:v;p[u>>3]=0.0;p[o>>3]=+p[o>>3]-z;p[q>>3]=z+ +p[q>>3];q=(B|0)>0;if(q){o=0;do{u=Y(o,i)|0;r=a+(u+B<<3)|0;z=+p[r>>3];w=a+(u+A<<3)|0;v=+p[w>>3];p[r>>3]=N*z-E*v;p[w>>3]=E*z+N*v;o=o+1|0}while((o|0)!=(B|0))}o=B+1|0;if((o|0)<(A|0)){w=o;do{r=a+(w+s<<3)|0;v=+p[r>>3];u=a+((Y(w,i)|0)+A<<3)|0;z=+p[u>>3];p[r>>3]=N*v-E*z;p[u>>3]=E*v+N*z;w=w+1|0}while((w|0)!=(A|0))}w=A+1|0;if((w|0)<(g|0)){u=Y(A,i)|0;r=w;do{Q=a+(r+s<<3)|0;z=+p[Q>>3];R=a+(r+u<<3)|0;v=+p[R>>3];p[Q>>3]=N*z-E*v;p[R>>3]=E*z+N*v;r=r+1|0}while((r|0)!=(g|0))}if(!k){r=Y(B,n)|0;u=Y(A,n)|0;R=0;do{Q=d+(R+r<<3)|0;v=+p[Q>>3];S=d+(R+u<<3)|0;z=+p[S>>3];p[Q>>3]=N*v-E*z;p[S>>3]=E*v+N*z;R=R+1|0}while((R|0)!=(g|0))}if((B|0)<(y|0)){R=B+2|0;if((R|0)<(g|0)){u=o;N=+L(+(+p[a+(s+o<<3)>>3]));r=R;while(1){E=+L(+(+p[a+(r+s<<3)>>3]));R=N<E;S=R?r:u;r=r+1|0;if((r|0)==(g|0)){T=S;break}else{u=S;N=R?E:N}}}else T=o;f[j+(B<<2)>>2]=T}if(q){if((B|0)==1)U=0;else{N=+L(+(+p[a+(B<<3)>>3]));u=1;r=0;while(1){s=a+((Y(u,i)|0)+B<<3)|0;E=+L(+(+p[s>>3]));s=N<E;R=s?u:r;u=u+1|0;if((u|0)>=(B|0)){U=R;break}else{N=s?E:N;r=R}}}f[h+(B<<2)>>2]=U}if((A|0)<(y|0)){r=Y(A,i)|0;u=A+2|0;if((u|0)<(g|0)){q=w;N=+L(+(+p[a+(r+w<<3)>>3]));o=u;while(1){E=+L(+(+p[a+(o+r<<3)>>3]));u=N<E;R=u?o:q;o=o+1|0;if((o|0)==(g|0)){V=R;break}else{q=R;N=u?E:N}}}else V=w;f[j+(A<<2)>>2]=V}if((A|0)>0){if((A|0)==1)W=0;else{N=+L(+(+p[a+(A<<3)>>3]));q=1;o=0;while(1){r=a+((Y(q,i)|0)+A<<3)|0;E=+L(+(+p[r>>3]));r=N<E;u=r?q:o;q=q+1|0;if((q|0)>=(A|0)){W=u;break}else{N=r?E:N;o=u}}}f[h+(A<<2)>>2]=W}l=l+1|0}while((l|0)<(e|0));if(!m)return 1}else if(!m)return 1;if(b)X=0;else{b=0;do{m=b;b=b+1|0;if((b|0)<(g|0)){e=b;l=m;while(1){W=+p[c+(l<<3)>>3]<+p[c+(e<<3)>>3]?e:l;e=e+1|0;if((e|0)==(g|0)){Z=W;break}else l=W}}else Z=m;if((m|0)!=(Z|0)){l=c+(Z<<3)|0;e=c+(m<<3)|0;K=+p[l>>3];p[l>>3]=+p[e>>3];p[e>>3]=K}}while((b|0)!=(y|0));return 1}do{b=X;X=X+1|0;if((X|0)<(g|0)){Z=X;e=b;while(1){l=+p[c+(e<<3)>>3]<+p[c+(Z<<3)>>3]?Z:e;Z=Z+1|0;if((Z|0)==(g|0)){_=l;break}else e=l}}else _=b;if((b|0)!=(_|0)){e=c+(_<<3)|0;Z=c+(b<<3)|0;K=+p[e>>3];p[e>>3]=+p[Z>>3];p[Z>>3]=K;Z=Y(_,n)|0;e=Y(b,n)|0;m=0;do{l=d+(m+Z<<3)|0;W=d+(m+e<<3)|0;K=+p[l>>3];p[l>>3]=+p[W>>3];p[W>>3]=K;m=m+1|0}while((m|0)!=(g|0))}}while((X|0)!=(y|0));return 1}function FU(a,b,c,d,e,f,g,h,i,j,k,l,m,o,q){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;o=o|0;q=q|0;var r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0.0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0.0,J=0,K=0,M=0.0,N=0.0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0;r=(d|0)==0?1:d>>>2;d=f>>>2;f=i>>>2;i=k>>>2;k=o>>>2;o=q+7&-8;q=o;s=o;o=g?d:1;t=g?1:d;d=(b|0)<(a|0)?b:a;g=(j|0)!=0;u=g?l:a;l=(b|0)>0;v=(u|0)>0;if(l&v){w=u<<2;x=0;do{Drc(m+((Y(x,k)|0)<<2)|0,0,w|0)|0;x=x+1|0}while((x|0)!=(b|0))}if((d|0)>0){y=0.0;z=0}else return;do{x=c+((Y(z,r)|0)<<2)|0;y=y+ +n[x>>2];z=z+1|0}while((z|0)<(d|0));A=y*4.440892098500626e-16;z=(u|0)==1;x=(a|0)>0;w=u+-4|0;B=(u|0)<4;C=u&-4;D=(C|0)<(u|0);E=u<<3;F=e;e=h;h=0;while(1){G=c+((Y(h,r)|0)<<2)|0;y=+n[G>>2];a:do if(!(+L(+y)<=A)){H=1.0/y;if(z){if(g)if(x){I=0.0;G=0;while(1){J=F+((Y(G,t)|0)<<2)|0;K=j+((Y(G,i)|0)<<2)|0;M=I+ +n[J>>2]*+n[K>>2];G=G+1|0;if((G|0)==(a|0)){N=M;break}else I=M}}else N=0.0;else N=+n[F>>2];I=H*N;if(l)O=0;else break;while(1){G=m+((Y(O,k)|0)<<2)|0;n[G>>2]=+n[G>>2]+I*+n[e+(O<<2)>>2];O=O+1|0;if((O|0)==(b|0))break a}}b:do if(g){if(v)Drc(q|0,0,E|0)|0;c:do if(x){if(B){if(v){P=j;Q=0}else break b;while(1){G=F+((Y(Q,t)|0)<<2)|0;I=+n[G>>2];G=0;do{K=s+(G<<3)|0;p[K>>3]=+p[K>>3]+I*+n[P+(G<<2)>>2];G=G+1|0}while((G|0)!=(u|0));Q=Q+1|0;if((Q|0)==(a|0))break c;else P=P+(i<<2)|0}}if(D){R=j;S=0}else{G=j;K=0;while(1){J=F+((Y(K,t)|0)<<2)|0;I=+n[J>>2];J=0;do{T=s+(J<<3)|0;U=J|1;V=s+(U<<3)|0;M=+p[V>>3]+I*+n[G+(U<<2)>>2];p[T>>3]=+p[T>>3]+I*+n[G+(J<<2)>>2];p[V>>3]=M;V=J|2;T=s+(V<<3)|0;U=J|3;W=s+(U<<3)|0;M=+p[W>>3]+I*+n[G+(U<<2)>>2];p[T>>3]=+p[T>>3]+I*+n[G+(V<<2)>>2];p[W>>3]=M;J=J+4|0}while((J|0)<=(w|0));K=K+1|0;if((K|0)==(a|0))break c;else G=G+(i<<2)|0}}while(1){G=F+((Y(S,t)|0)<<2)|0;I=+n[G>>2];G=0;do{K=s+(G<<3)|0;J=G|1;W=s+(J<<3)|0;M=+p[W>>3]+I*+n[R+(J<<2)>>2];p[K>>3]=+p[K>>3]+I*+n[R+(G<<2)>>2];p[W>>3]=M;W=G|2;K=s+(W<<3)|0;J=G|3;V=s+(J<<3)|0;M=+p[V>>3]+I*+n[R+(J<<2)>>2];p[K>>3]=+p[K>>3]+I*+n[R+(W<<2)>>2];p[V>>3]=M;G=G+4|0}while((G|0)<=(w|0));X=C;do{G=s+(X<<3)|0;p[G>>3]=+p[G>>3]+I*+n[R+(X<<2)>>2];X=X+1|0}while((X|0)!=(u|0));S=S+1|0;if((S|0)==(a|0))break;else R=R+(i<<2)|0}}while(0);if(v){G=0;do{V=s+(G<<3)|0;p[V>>3]=H*+p[V>>3];G=G+1|0}while((G|0)!=(u|0))}}else if(v){G=0;do{V=F+((Y(G,t)|0)<<2)|0;p[s+(G<<3)>>3]=H*+n[V>>2];G=G+1|0}while((G|0)!=(u|0))}while(0);if(l){if(B){if(v){Z=m;_=0}else break;while(1){H=+n[e+(_<<2)>>2];G=0;do{V=Z+(G<<2)|0;n[V>>2]=+n[V>>2]+H*+p[s+(G<<3)>>3];G=G+1|0}while((G|0)!=(u|0));_=_+1|0;if((_|0)==(b|0))break a;else Z=Z+(k<<2)|0}}if(D){$=m;aa=0}else{G=m;V=0;while(1){H=+n[e+(V<<2)>>2];W=0;do{K=G+(W<<2)|0;J=W|1;T=G+(J<<2)|0;I=+n[T>>2]+H*+p[s+(J<<3)>>3];n[K>>2]=+n[K>>2]+H*+p[s+(W<<3)>>3];n[T>>2]=I;T=W|2;K=G+(T<<2)|0;J=W|3;U=G+(J<<2)|0;I=+n[U>>2]+H*+p[s+(J<<3)>>3];n[K>>2]=+n[K>>2]+H*+p[s+(T<<3)>>3];n[U>>2]=I;W=W+4|0}while((W|0)<=(w|0));V=V+1|0;if((V|0)==(b|0))break a;else G=G+(k<<2)|0}}while(1){H=+n[e+(aa<<2)>>2];G=0;do{V=$+(G<<2)|0;W=G|1;U=$+(W<<2)|0;I=+n[U>>2]+H*+p[s+(W<<3)>>3];n[V>>2]=+n[V>>2]+H*+p[s+(G<<3)>>3];n[U>>2]=I;U=G|2;V=$+(U<<2)|0;W=G|3;T=$+(W<<2)|0;I=+n[T>>2]+H*+p[s+(W<<3)>>3];n[V>>2]=+n[V>>2]+H*+p[s+(U<<3)>>3];n[T>>2]=I;G=G+4|0}while((G|0)<=(w|0));ba=C;do{G=$+(ba<<2)|0;n[G>>2]=+n[G>>2]+H*+p[s+(ba<<3)>>3];ba=ba+1|0}while((ba|0)!=(u|0));aa=aa+1|0;if((aa|0)==(b|0))break;else $=$+(k<<2)|0}}}while(0);h=h+1|0;if((h|0)>=(d|0))break;else{F=F+(o<<2)|0;e=e+(f<<2)|0}}return}function GU(a,b,c,d,e,f,g,h,i,j,k,l,m,n,o){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;var q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0.0,A=0,B=0,C=0.0,D=0.0,E=0,F=0,G=0.0,H=0.0,I=0;q=(d|0)==0?1:d>>>3;d=f>>>3;f=i>>>3;i=k>>>3;k=n>>>3;n=o+7&-8;o=n;r=n;n=g?d:1;s=g?1:d;d=(b|0)<(a|0)?b:a;g=(j|0)!=0;t=g?l:a;l=(b|0)>0;u=(t|0)>0;if(l&u){v=t<<3;w=0;do{Drc(m+((Y(w,k)|0)<<3)|0,0,v|0)|0;w=w+1|0}while((w|0)!=(b|0))}if((d|0)>0){x=0.0;y=0}else return;do{w=c+((Y(y,q)|0)<<3)|0;x=x+ +p[w>>3];y=y+1|0}while((y|0)<(d|0));z=x*4.440892098500626e-16;y=(t|0)==1;w=(a|0)>0;v=t<<3;A=e;e=h;h=0;while(1){B=c+((Y(h,q)|0)<<3)|0;x=+p[B>>3];a:do if(!(+L(+x)<=z)){C=1.0/x;if(y){if(g)if(w){D=0.0;B=0;while(1){E=A+((Y(B,s)|0)<<3)|0;F=j+((Y(B,i)|0)<<3)|0;G=D+ +p[E>>3]*+p[F>>3];B=B+1|0;if((B|0)==(a|0)){H=G;break}else D=G}}else H=0.0;else H=+p[A>>3];D=C*H;if(l)I=0;else break;while(1){B=m+((Y(I,k)|0)<<3)|0;p[B>>3]=+p[B>>3]+D*+p[e+(I<<3)>>3];I=I+1|0;if((I|0)==(b|0))break a}}do if(!g){if(u){B=0;do{F=A+((Y(B,s)|0)<<3)|0;p[r+(B<<3)>>3]=C*+p[F>>3];B=B+1|0}while((B|0)!=(t|0))}}else{if(!u){HU(a,t,j,i,A,s,r,0);break}Drc(o|0,0,v|0)|0;HU(a,t,j,i,A,s,r,0);B=0;do{F=r+(B<<3)|0;p[F>>3]=C*+p[F>>3];B=B+1|0}while((B|0)!=(t|0))}while(0);HU(b,t,r,0,e,1,m,k)}while(0);h=h+1|0;if((h|0)>=(d|0))break;else{A=A+(n<<3)|0;e=e+(f<<3)|0}}return}function HU(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0.0,q=0,r=0,s=0.0,t=0;if((a|0)<=0)return;i=b+-4|0;if((b|0)<4){j=(b|0)>0;k=g;l=0;m=c;while(1){n=e+((Y(l,f)|0)<<3)|0;o=+p[n>>3];if(j){n=0;do{q=k+(n<<3)|0;p[q>>3]=+p[q>>3]+o*+p[m+(n<<3)>>3];n=n+1|0}while((n|0)!=(b|0))}l=l+1|0;if((l|0)==(a|0))break;else{k=k+(h<<3)|0;m=m+(d<<3)|0}}return}m=b&-4;k=(m|0)<(b|0);l=g;g=0;j=c;while(1){c=e+((Y(g,f)|0)<<3)|0;o=+p[c>>3];c=0;do{n=l+(c<<3)|0;q=c|1;r=l+(q<<3)|0;s=+p[r>>3]+o*+p[j+(q<<3)>>3];p[n>>3]=+p[n>>3]+o*+p[j+(c<<3)>>3];p[r>>3]=s;r=c|2;n=l+(r<<3)|0;q=c|3;t=l+(q<<3)|0;s=+p[t>>3]+o*+p[j+(q<<3)>>3];p[n>>3]=+p[n>>3]+o*+p[j+(r<<3)>>3];p[t>>3]=s;c=c+4|0}while((c|0)<=(i|0));if(k){c=m;do{t=l+(c<<3)|0;p[t>>3]=+p[t>>3]+o*+p[j+(c<<3)>>3];c=c+1|0}while((c|0)!=(b|0))}g=g+1|0;if((g|0)==(a|0))break;else{l=l+(h<<3)|0;j=j+(d<<3)|0}}return}function IU(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0,Z=0.0,_=0.0,$=0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0;g=u;u=u+1680|0;h=g;i=g+1624|0;j=g+1616|0;k=g+1560|0;l=g+1504|0;m=g+464|0;o=g+408|0;q=g+352|0;r=g+240|0;s=g+184|0;t=g+128|0;v=g+72|0;w=g+56|0;x=g+296|0;zT(j,48728);do if((pD(a)|0)==65536){y=f[a+4>>2]|0;f[k>>2]=f[y>>2];z=k+4|0;A=y+4|0;f[z>>2]=f[A>>2];B=k+8|0;f[B>>2]=f[y+8>>2];f[k+12>>2]=f[y+12>>2];f[k+16>>2]=f[y+16>>2];f[k+20>>2]=f[y+20>>2];f[k+24>>2]=f[y+24>>2];f[k+28>>2]=f[y+28>>2];f[k+32>>2]=f[y+32>>2];C=f[y+36>>2]|0;f[k+36>>2]=C;f[k+40>>2]=B;B=k+48|0;D=k+44|0;f[D>>2]=B;f[B>>2]=0;f[k+52>>2]=0;if(C|0){B=C+12|0;f[B>>2]=(f[B>>2]|0)+1}if((f[A>>2]|0)<3){A=f[y+44>>2]|0;B=f[D>>2]|0;f[B>>2]=f[A>>2];f[B+4>>2]=f[A+4>>2];break}else{f[z>>2]=0;kP(k,y);break}}else lD(k,a,-1);while(0);do if((pD(c)|0)==65536){a=f[c+4>>2]|0;f[l>>2]=f[a>>2];y=l+4|0;z=a+4|0;f[y>>2]=f[z>>2];A=l+8|0;f[A>>2]=f[a+8>>2];f[l+12>>2]=f[a+12>>2];f[l+16>>2]=f[a+16>>2];f[l+20>>2]=f[a+20>>2];f[l+24>>2]=f[a+24>>2];f[l+28>>2]=f[a+28>>2];f[l+32>>2]=f[a+32>>2];B=f[a+36>>2]|0;f[l+36>>2]=B;f[l+40>>2]=A;A=l+48|0;D=l+44|0;f[D>>2]=A;f[A>>2]=0;f[l+52>>2]=0;if(B|0){A=B+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[z>>2]|0)<3){z=f[a+44>>2]|0;A=f[D>>2]|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];E=l;break}else{f[y>>2]=0;kP(l,a);E=l;break}}else{lD(l,c,-1);E=l}while(0);c=f[k>>2]|0;a=c&4095;y=(e&16|0)!=0;z=f[E>>2]|0;if((a|0)!=(z&4095|0)){f[h>>2]=0;F=h+4|0;f[F>>2]=0;G=YG(h,58)|0;H=G;I=217802;J=H+58|0;do{b[H>>0]=b[I>>0]|0;H=H+1|0;I=I+1|0}while((H|0)<(J|0));SQ(-215,h,217861,217032,1109)}E=(a|0)==5;if((a+-5|0)>>>0>=2){f[h>>2]=0;F=h+4|0;f[F>>2]=0;G=YG(h,58)|0;H=G;I=217802;J=H+58|0;do{b[H>>0]=b[I>>0]|0;H=H+1|0;I=I+1|0}while((H|0)<(J|0));SQ(-215,h,217861,217032,1109)}G=e&-17;if(G>>>0>=5)JY(G,48748);a:do switch(e|0){case 0:case 3:case 16:case 19:{if(!y?(f[k+8>>2]|0)!=(f[k+12>>2]|0):0){f[h>>2]=0;f[h+4>>2]=0;H=YG(h,87)|0;I=217867;J=H+87|0;do{b[H>>0]=b[I>>0]|0;H=H+1|0;I=I+1|0}while((H|0)<(J|0));SQ(-215,h,217861,217032,1116)}switch(e|0){case 0:case 3:case 16:case 19:break;default:{K=61;break a}}if(((!y?(F=k+8|0,A=f[F>>2]|0,(A|0)<4):0)?(A|0)==(f[k+12>>2]|0):0)?(f[l+12>>2]|0)==1:0){iE(d,A,1,a,-1,0,0);do if((pD(d)|0)==65536){A=f[d+4>>2]|0;f[h>>2]=f[A>>2];D=h+4|0;B=A+4|0;f[D>>2]=f[B>>2];C=h+8|0;f[C>>2]=f[A+8>>2];f[h+12>>2]=f[A+12>>2];L=h+16|0;f[L>>2]=f[A+16>>2];f[h+20>>2]=f[A+20>>2];f[h+24>>2]=f[A+24>>2];f[h+28>>2]=f[A+28>>2];f[h+32>>2]=f[A+32>>2];M=f[A+36>>2]|0;f[h+36>>2]=M;f[h+40>>2]=C;C=h+48|0;N=h+44|0;f[N>>2]=C;f[C>>2]=0;f[h+52>>2]=0;if(M|0){O=M+12|0;f[O>>2]=(f[O>>2]|0)+1}if((f[B>>2]|0)<3){B=f[A+44>>2]|0;O=f[N>>2]|0;f[O>>2]=f[B>>2];f[O+4>>2]=f[B+4>>2];P=L;Q=N;R=C;break}else{f[D>>2]=0;kP(h,A);P=L;Q=N;R=C;break}}else{lD(h,d,-1);P=h+16|0;Q=h+44|0;R=h+48|0}while(0);C=f[k+16>>2]|0;N=f[l+16>>2]|0;L=f[P>>2]|0;A=f[k+48>>2]|0;D=f[l+48>>2]|0;B=f[R>>2]|0;b:do switch(f[F>>2]|0){case 2:{if(E){S=+n[C>>2];O=C+A|0;T=+n[O+4>>2];U=+n[C+4>>2];V=+n[O>>2];W=S*T-U*V;if(!(W!=0.0)){X=0;break b}Z=1.0/W;W=+n[N>>2];_=+n[N+D>>2];n[L+B>>2]=Z*(S*_-V*W);n[L>>2]=Z*(T*W-U*_);X=1;break b}else{_=+p[C>>3];O=C+A|0;U=+p[O+8>>3];W=+p[C+8>>3];T=+p[O>>3];Z=_*U-W*T;if(!(Z!=0.0)){X=0;break b}V=1.0/Z;Z=+p[N>>3];S=+p[N+D>>3];p[L+B>>3]=V*(_*S-T*Z);p[L>>3]=V*(U*Z-W*S);X=1;break b}break}case 3:{O=A<<1;if(E){S=+n[C>>2];M=C+A|0;W=+n[M+4>>2];$=C+O|0;Z=+n[$+8>>2];U=Z;V=+n[M+8>>2];T=+n[$+4>>2];_=W*U-V*T;aa=+n[C+4>>2];ba=+n[M>>2];ca=+n[$>>2];da=U*ba-V*ca;ea=+n[C+8>>2];fa=T*ba-W*ca;ga=ea*fa+(S*_-aa*da);if(!(ga!=0.0)){X=0;break b}ha=1.0/ga;ga=+n[N>>2];ia=+n[N+D>>2];ja=ia;ka=+n[N+(D<<1)>>2];la=V*ka;V=T*ja;T=W*ka;W=ba*ka-ca*ja;n[L>>2]=ha*(ea*(V-T)+(_*ga-aa*(U*ja-la)));n[L+B>>2]=ha*(ea*W+(S*(Z*ia-la)-da*ga));n[L+(B<<1)>>2]=ha*(fa*ga+(S*(T-V)-aa*W));X=1;break b}else{W=+p[C>>3];$=C+A|0;aa=+p[$+8>>3];M=C+O|0;V=+p[M+16>>3];T=+p[$+16>>3];S=+p[M+8>>3];ga=aa*V-T*S;fa=+p[C+8>>3];ha=+p[$>>3];da=V*ha;la=+p[M>>3];ia=T*la;Z=+p[C+16>>3];ea=S*ha-aa*la;ja=Z*ea+(W*ga-fa*(da-ia));if(!(ja!=0.0)){X=0;break b}U=1.0/ja;ja=+p[N>>3];_=+p[N+D>>3];ca=+p[N+(D<<1)>>3];p[L>>3]=U*(ga*ja+(S*Z-V*fa)*_+(T*fa-aa*Z)*ca);p[L+B>>3]=U*((ia-da)*ja+(W*V-la*Z)*_+(ha*Z-W*T)*ca);p[L+(B<<1)>>3]=U*(ea*ja+(fa*la-W*S)*_+(W*aa-fa*ha)*ca);X=1;break b}break}default:if(E){ca=+n[C>>2];if(!(ca!=0.0)){X=0;break b}n[L>>2]=+n[N>>2]/ca;X=1;break b}else{ca=+p[C>>3];if(!(ca!=0.0)){X=0;break b}p[L>>3]=+p[N>>3]/ca;X=1;break b}}while(0);N=h+36|0;L=f[N>>2]|0;if(L|0?(C=L+12|0,L=f[C>>2]|0,f[C>>2]=L+-1,(L|0)==1):0)lP(h);f[N>>2]=0;N=h+4|0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;if((f[N>>2]|0)>0){L=f[h+40>>2]|0;C=0;do{f[L+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[N>>2]|0))}N=f[Q>>2]|0;if((N|0)!=(R|0))tE(N);ma=X;na=l+36|0}else K=61;break}default:K=61}while(0);if((K|0)==61){X=f[k+8>>2]|0;R=k+12|0;Q=f[R>>2]|0;P=f[l+12>>2]|0;N=(c>>>3&511)+1<<(47696>>>(a<<1&14)&3);c=Y(Q,N)|0;C=c+15&-16;L=(Y(X,N)|0)+15&-16;B=(e|0)!=1?C:L;L=m+8|0;f[m>>2]=L;D=m+4|0;f[D>>2]=1032;f[o>>2]=z;z=o+4|0;A=l+4|0;F=f[A>>2]|0;f[z>>2]=F;M=o+8|0;f[M>>2]=f[l+8>>2];$=o+12|0;f[$>>2]=P;O=o+16|0;f[O>>2]=f[l+16>>2];oa=o+20|0;f[oa>>2]=f[l+20>>2];pa=o+24|0;f[pa>>2]=f[l+24>>2];qa=o+28|0;f[qa>>2]=f[l+28>>2];ra=o+32|0;f[ra>>2]=f[l+32>>2];sa=o+36|0;ta=l+36|0;ua=f[ta>>2]|0;f[sa>>2]=ua;va=o+40|0;f[va>>2]=M;wa=o+48|0;xa=o+44|0;f[xa>>2]=wa;f[wa>>2]=0;f[o+52>>2]=0;if(!ua)ya=F;else{F=ua+12|0;f[F>>2]=(f[F>>2]|0)+1;ya=f[A>>2]|0}if((ya|0)<3){ya=f[l+44>>2]|0;A=f[xa>>2]|0;f[A>>2]=f[ya>>2];f[A+4>>2]=f[ya+4>>2]}else{f[z>>2]=0;kP(o,l)}iE(d,f[R>>2]|0,f[$>>2]|0,f[k>>2]&4095,-1,0,0);do if((pD(d)|0)==65536){R=f[d+4>>2]|0;f[q>>2]=f[R>>2];ya=q+4|0;A=R+4|0;f[ya>>2]=f[A>>2];F=q+8|0;f[F>>2]=f[R+8>>2];f[q+12>>2]=f[R+12>>2];f[q+16>>2]=f[R+16>>2];f[q+20>>2]=f[R+20>>2];f[q+24>>2]=f[R+24>>2];f[q+28>>2]=f[R+28>>2];f[q+32>>2]=f[R+32>>2];ua=f[R+36>>2]|0;f[q+36>>2]=ua;f[q+40>>2]=F;F=q+48|0;za=q+44|0;f[za>>2]=F;f[F>>2]=0;f[q+52>>2]=0;if(ua|0){F=ua+12|0;f[F>>2]=(f[F>>2]|0)+1}if((f[A>>2]|0)<3){A=f[R+44>>2]|0;F=f[za>>2]|0;f[F>>2]=f[A>>2];f[F+4>>2]=f[A+4>>2];break}else{f[ya>>2]=0;kP(q,R);break}}else lD(q,d,-1);while(0);if((X|0)<(Q|0)){f[h>>2]=0;f[h+4>>2]=0;H=YG(h,58)|0;I=217955;J=H+58|0;do{b[H>>0]=b[I>>0]|0;H=H+1|0;I=I+1|0}while((H|0)<(J|0));SQ(-5,h,217861,217032,1262)}I=(X|0)==(Q|0);if(I){Aa=G;Ba=0;Ca=X}else{Aa=(e|0)==17?2:G;Ba=y;Ca=y?Q:X}y=(Aa|0)==1;G=Y(Ba|y?Q:X,B)|0;e=Y(c,P)|0;c=(Ba?e+32|0:32)+G|0;d=(Aa|0)==2;if((Aa+-1|0)>>>0<2)Da=(P<<3)+32+(Y(C+(N*5|0)|0,Q)|0)+c|0;else Da=c;if((f[D>>2]|0)>>>0<Da>>>0){c=f[m>>2]|0;if((c|0)==(L|0))Ea=c;else{if(c|0)Fmc(c);f[m>>2]=L;f[D>>2]=1032;Ea=L}f[D>>2]=Da;if(Da>>>0>1032){c=Dmc(Da)|0;f[m>>2]=c;Fa=c}else Fa=Ea}else{f[D>>2]=Da;Fa=f[m>>2]|0}Da=Fa+15&-16;Ri(r,Ca,Q,a,Da,B);c:do if(Ba){f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=k;Fa=i+8|0;f[Fa>>2]=0;f[Fa+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=r;oX(h,i,1,rE()|0,1.0,-1);Fa=Da+G|0;switch(Aa|0){case 0:case 3:{f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=k;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=o;f[t>>2]=1124007936;Ea=t+4|0;c=t+8|0;R=t+40|0;H=Ea;J=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(J|0));f[R>>2]=c;ya=t+48|0;A=t+44|0;f[A>>2]=ya;f[ya>>2]=0;f[t+52>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;f[s>>2]=16842752;f[s+4>>2]=t;F=v+8|0;f[F>>2]=0;f[F+4>>2]=0;f[v>>2]=33619968;f[v+4>>2]=q;UW(h,i,1.0,s,0.0,v,1);F=t+36|0;za=f[F>>2]|0;if(za|0?(ua=za+12|0,za=f[ua>>2]|0,f[ua>>2]=za+-1,(za|0)==1):0)lP(t);f[F>>2]=0;F=t+16|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[Ea>>2]|0)>0){F=f[R>>2]|0;za=0;do{f[F+(za<<2)>>2]=0;za=za+1|0}while((za|0)<(f[Ea>>2]|0))}Ea=f[A>>2]|0;if((Ea|0)!=(ya|0))tE(Ea);Ga=Fa;break c;break}default:{}}Ri(h,Q,P,a,Fa,0);Ea=Da+G+e|0;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=k;f[s+8>>2]=0;f[s+12>>2]=0;f[s>>2]=16842752;f[s+4>>2]=o;f[v>>2]=1124007936;za=v+4|0;F=v+8|0;R=v+40|0;H=za;J=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(J|0));f[R>>2]=F;Fa=v+48|0;ya=v+44|0;f[ya>>2]=Fa;f[Fa>>2]=0;f[v+52>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;f[t>>2]=16842752;f[t+4>>2]=v;A=w+8|0;f[A>>2]=0;f[A+4>>2]=0;f[w>>2]=33619968;f[w+4>>2]=h;UW(i,s,1.0,t,0.0,w,1);A=v+36|0;c=f[A>>2]|0;if(c|0?(ua=c+12|0,c=f[ua>>2]|0,f[ua>>2]=c+-1,(c|0)==1):0)lP(v);f[A>>2]=0;A=v+16|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[za>>2]|0)>0){A=f[R>>2]|0;c=0;do{f[A+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[za>>2]|0))}za=f[ya>>2]|0;if((za|0)!=(Fa|0))tE(za);za=h+36|0;c=f[za>>2]|0;if(c|0){A=c+12|0;f[A>>2]=(f[A>>2]|0)+1}A=f[sa>>2]|0;do if(A|0){c=A+12|0;R=f[c>>2]|0;f[c>>2]=R+-1;if((R|0)!=1)break;lP(o)}while(0);f[sa>>2]=0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;if((f[z>>2]|0)>0){A=f[va>>2]|0;Fa=0;do{f[A+(Fa<<2)>>2]=0;Fa=Fa+1|0;Ha=f[z>>2]|0}while((Fa|0)<(Ha|0));f[o>>2]=f[h>>2];if((Ha|0)<3)K=142;else K=144}else{f[o>>2]=f[h>>2];K=142}do if((K|0)==142){Fa=f[h+4>>2]|0;if((Fa|0)>=3){K=144;break}f[z>>2]=Fa;f[M>>2]=f[h+8>>2];f[$>>2]=f[h+12>>2];Fa=f[h+44>>2]|0;A=f[xa>>2]|0;f[A>>2]=f[Fa>>2];f[A+4>>2]=f[Fa+4>>2]}while(0);if((K|0)==144)kP(o,h);Fa=h+16|0;f[O>>2]=f[Fa>>2];f[oa>>2]=f[h+20>>2];f[pa>>2]=f[h+24>>2];f[qa>>2]=f[h+28>>2];f[ra>>2]=f[h+32>>2];A=f[za>>2]|0;f[sa>>2]=A;do if(A|0){ya=A+12|0;R=f[ya>>2]|0;f[ya>>2]=R+-1;if((R|0)!=1)break;lP(h)}while(0);f[za>>2]=0;A=h+4|0;f[Fa>>2]=0;f[Fa+4>>2]=0;f[Fa+8>>2]=0;f[Fa+12>>2]=0;if((f[A>>2]|0)>0){R=f[h+40>>2]|0;ya=0;do{f[R+(ya<<2)>>2]=0;ya=ya+1|0}while((ya|0)<(f[A>>2]|0))}A=f[h+44>>2]|0;if((A|0)!=(h+48|0))tE(A);Ga=Ea}else{if(y){Ri(h,Q,Ca,a,Da,B);A=h+36|0;ya=f[A>>2]|0;if(ya|0){R=ya+12|0;f[R>>2]=(f[R>>2]|0)+1}R=r+36|0;ya=f[R>>2]|0;do if(ya|0){Fa=ya+12|0;za=f[Fa>>2]|0;f[Fa>>2]=za+-1;if((za|0)!=1)break;lP(r)}while(0);f[R>>2]=0;ya=r+16|0;Ea=r+4|0;f[ya>>2]=0;f[ya+4>>2]=0;f[ya+8>>2]=0;f[ya+12>>2]=0;if((f[Ea>>2]|0)>0){za=f[r+40>>2]|0;Fa=0;do{f[za+(Fa<<2)>>2]=0;Fa=Fa+1|0;Ia=f[Ea>>2]|0}while((Fa|0)<(Ia|0));f[r>>2]=f[h>>2];if((Ia|0)<3)K=101;else K=103}else{f[r>>2]=f[h>>2];K=101}do if((K|0)==101){Fa=f[h+4>>2]|0;if((Fa|0)>=3){K=103;break}f[Ea>>2]=Fa;f[r+8>>2]=f[h+8>>2];f[r+12>>2]=f[h+12>>2];Fa=f[h+44>>2]|0;za=f[r+44>>2]|0;f[za>>2]=f[Fa>>2];f[za+4>>2]=f[Fa+4>>2]}while(0);if((K|0)==103)kP(r,h);Ea=h+16|0;f[ya>>2]=f[Ea>>2];f[r+20>>2]=f[h+20>>2];f[r+24>>2]=f[h+24>>2];f[r+28>>2]=f[h+28>>2];f[r+32>>2]=f[h+32>>2];Fa=f[A>>2]|0;f[R>>2]=Fa;do if(Fa|0){za=Fa+12|0;c=f[za>>2]|0;f[za>>2]=c+-1;if((c|0)!=1)break;lP(h)}while(0);f[A>>2]=0;Fa=h+4|0;f[Ea>>2]=0;f[Ea+4>>2]=0;f[Ea+8>>2]=0;f[Ea+12>>2]=0;if((f[Fa>>2]|0)>0){R=f[h+40>>2]|0;ya=0;do{f[R+(ya<<2)>>2]=0;ya=ya+1|0}while((ya|0)<(f[Fa>>2]|0))}Fa=f[h+44>>2]|0;if((Fa|0)!=(h+48|0))tE(Fa);f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=16842752;f[h+4>>2]=k;Fa=i+8|0;f[Fa>>2]=0;f[Fa+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=r;SJ(h,i)}else{Fa=h+8|0;f[Fa>>2]=0;f[Fa+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=r;kT(k,h)}Fa=Da+G|0;switch(Aa|0){case 0:case 3:break;default:{Ga=Fa;break c}}ya=h+8|0;f[ya>>2]=0;f[ya+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=q;kT(o,h);Ga=Fa}while(0);d:do switch(Aa|0){case 0:{G=f[r+16>>2]|0;if(E)if(!(g$(G,f[r+48>>2]|0,Q,f[q+16>>2]|0,f[q+48>>2]|0,P)|0)){K=281;break d}else{Ja=1;break d}else if(!(i$(G,f[r+48>>2]|0,Q,f[q+16>>2]|0,f[q+48>>2]|0,P)|0)){K=281;break d}else{Ja=1;break d}break}case 3:{G=f[r+16>>2]|0;if(E)Ka=k$(G,f[r+48>>2]|0,Q,f[q+16>>2]|0,f[q+48>>2]|0,P)|0;else Ka=m$(G,f[r+48>>2]|0,Q,f[q+16>>2]|0,f[q+48>>2]|0,P)|0;if(Ka)Ja=1;else K=281;break}case 4:{f[s>>2]=1124007936;G=s+4|0;Da=s+8|0;Ia=s+40|0;H=G;J=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(J|0));f[Ia>>2]=Da;B=s+48|0;y=s+44|0;f[y>>2]=B;f[B>>2]=0;f[s+52>>2]=0;if(I|Ba){ra=h+8|0;f[ra>>2]=0;f[ra+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=q;kT(o,h);ra=q+36|0;qa=f[ra>>2]|0;if(qa|0){pa=qa+12|0;f[pa>>2]=(f[pa>>2]|0)+1}pa=s+36|0;qa=f[pa>>2]|0;do if(qa|0){oa=qa+12|0;$=f[oa>>2]|0;f[oa>>2]=$+-1;if(($|0)!=1)break;lP(s)}while(0);f[pa>>2]=0;qa=s+16|0;f[qa>>2]=0;f[qa+4>>2]=0;f[qa+8>>2]=0;f[qa+12>>2]=0;if((f[G>>2]|0)>0){$=f[Ia>>2]|0;oa=0;do{f[$+(oa<<2)>>2]=0;oa=oa+1|0;La=f[G>>2]|0}while((oa|0)<(La|0));f[s>>2]=f[q>>2];if((La|0)<3)K=172;else K=174}else{f[s>>2]=f[q>>2];K=172}do if((K|0)==172){oa=f[q+4>>2]|0;if((oa|0)>=3){K=174;break}f[G>>2]=oa;f[Da>>2]=f[q+8>>2];f[s+12>>2]=f[q+12>>2];oa=f[q+44>>2]|0;$=f[y>>2]|0;f[$>>2]=f[oa>>2];f[$+4>>2]=f[oa+4>>2]}while(0);if((K|0)==174)kP(s,q);f[qa>>2]=f[q+16>>2];f[s+20>>2]=f[q+20>>2];f[s+24>>2]=f[q+24>>2];f[s+28>>2]=f[q+28>>2];f[s+32>>2]=f[q+32>>2];f[pa>>2]=f[ra>>2]}else{f[i>>2]=1124007936;oa=i+4|0;$=i+8|0;M=i+40|0;H=oa;J=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(J|0));f[M>>2]=$;ra=i+48|0;pa=i+44|0;f[pa>>2]=ra;f[ra>>2]=0;f[i+52>>2]=0;f[h>>2]=X;f[h+4>>2]=P;iP(i,2,h,a);qa=i+36|0;Ha=f[qa>>2]|0;if(Ha|0){v=Ha+12|0;f[v>>2]=(f[v>>2]|0)+1}v=s+36|0;Ha=f[v>>2]|0;do if(Ha|0){w=Ha+12|0;t=f[w>>2]|0;f[w>>2]=t+-1;if((t|0)!=1)break;lP(s)}while(0);f[v>>2]=0;Ha=s+16|0;f[Ha>>2]=0;f[Ha+4>>2]=0;f[Ha+8>>2]=0;f[Ha+12>>2]=0;if((f[G>>2]|0)>0){t=f[Ia>>2]|0;w=0;do{f[t+(w<<2)>>2]=0;w=w+1|0;Ma=f[G>>2]|0}while((w|0)<(Ma|0));f[s>>2]=f[i>>2];if((Ma|0)<3)K=186;else K=188}else{f[s>>2]=f[i>>2];K=186}do if((K|0)==186){w=f[oa>>2]|0;if((w|0)>=3){K=188;break}f[G>>2]=w;f[Da>>2]=f[$>>2];f[s+12>>2]=f[i+12>>2];w=f[pa>>2]|0;t=f[y>>2]|0;f[t>>2]=f[w>>2];f[t+4>>2]=f[w+4>>2]}while(0);if((K|0)==188)kP(s,i);$=i+16|0;f[Ha>>2]=f[$>>2];f[s+20>>2]=f[i+20>>2];f[s+24>>2]=f[i+24>>2];f[s+28>>2]=f[i+28>>2];f[s+32>>2]=f[i+32>>2];w=f[qa>>2]|0;f[v>>2]=w;do if(w|0){t=w+12|0;e=f[t>>2]|0;f[t>>2]=e+-1;if((e|0)!=1)break;lP(i)}while(0);f[qa>>2]=0;f[$>>2]=0;f[$+4>>2]=0;f[$+8>>2]=0;f[$+12>>2]=0;if((f[oa>>2]|0)>0){w=f[M>>2]|0;v=0;do{f[w+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[oa>>2]|0))}oa=f[pa>>2]|0;if((oa|0)!=(ra|0))tE(oa);oa=h+8|0;f[oa>>2]=0;f[oa+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=s;kT(o,h)}oa=f[r+16>>2]|0;if(E)Na=o$(oa,f[r+48>>2]|0,f[r+8>>2]|0,f[r+12>>2]|0,f[s+12>>2]|0,f[s+16>>2]|0,f[B>>2]|0,0)|0;else Na=p$(oa,f[r+48>>2]|0,f[r+8>>2]|0,f[r+12>>2]|0,f[s+12>>2]|0,f[s+16>>2]|0,f[B>>2]|0,0)|0;oa=(Na|0)==0;v=f[q+8>>2]|0;do if((f[Da>>2]|0)!=(v|0)){f[h>>2]=0;f[h+4>>2]=v;f[i>>2]=-2147483648;f[i+4>>2]=2147483647;mP(x,s,h,i);w=h+8|0;f[w>>2]=0;f[w+4>>2]=0;f[h>>2]=33619968;f[h+4>>2]=q;kT(x,h);w=x+36|0;M=f[w>>2]|0;do if(M|0){$=M+12|0;qa=f[$>>2]|0;f[$>>2]=qa+-1;if((qa|0)!=1)break;lP(x)}while(0);f[w>>2]=0;M=x+16|0;qa=x+4|0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[qa>>2]|0)>0){M=f[x+40>>2]|0;$=0;do{f[M+($<<2)>>2]=0;$=$+1|0}while(($|0)<(f[qa>>2]|0))}qa=f[x+44>>2]|0;if((qa|0)==(x+48|0))break;tE(qa)}while(0);v=s+36|0;Da=f[v>>2]|0;do if(Da|0){ra=Da+12|0;pa=f[ra>>2]|0;f[ra>>2]=pa+-1;if((pa|0)!=1)break;lP(s)}while(0);f[v>>2]=0;Da=s+16|0;f[Da>>2]=0;f[Da+4>>2]=0;f[Da+8>>2]=0;f[Da+12>>2]=0;if((f[G>>2]|0)>0){Da=f[Ia>>2]|0;pa=0;do{f[Da+(pa<<2)>>2]=0;pa=pa+1|0}while((pa|0)<(f[G>>2]|0))}G=f[y>>2]|0;if((G|0)!=(B|0))tE(G);if(oa)K=281;else Ja=1;break}default:{G=Ga+15&-16;Ri(h,Q,Q,a,G,C);Ri(i,Q,1,a,G+(Y(C,Q)|0)|0,0);f[s>>2]=1124007936;pa=s+4|0;Da=s+8|0;Ia=s+40|0;H=pa;J=H+36|0;do{f[H>>2]=0;H=H+4|0}while((H|0)<(J|0));f[Ia>>2]=Da;oa=s+48|0;B=s+44|0;f[B>>2]=oa;f[oa>>2]=0;f[s+52>>2]=0;y=G+(Y(C+N|0,Q)|0)|0;v=f[r+16>>2]|0;e:do if(d){if(E)DU(v,f[r+48>>2]|0,f[i+16>>2]|0,f[h+16>>2]|0,f[h+48>>2]|0,Q,y)|0;else EU(v,f[r+48>>2]|0,f[i+16>>2]|0,f[h+16>>2]|0,f[h+48>>2]|0,Q,y)|0;ra=h+36|0;qa=f[ra>>2]|0;if(qa|0){$=qa+12|0;f[$>>2]=(f[$>>2]|0)+1}$=s+36|0;qa=f[$>>2]|0;do if(qa|0){M=qa+12|0;w=f[M>>2]|0;f[M>>2]=w+-1;if((w|0)!=1)break;lP(s)}while(0);f[$>>2]=0;qa=s+16|0;f[qa>>2]=0;f[qa+4>>2]=0;f[qa+8>>2]=0;f[qa+12>>2]=0;if((f[pa>>2]|0)>0){w=f[Ia>>2]|0;M=0;do{f[w+(M<<2)>>2]=0;M=M+1|0;Oa=f[pa>>2]|0}while((M|0)<(Oa|0));f[s>>2]=f[h>>2];if((Oa|0)<3)K=233}else{f[s>>2]=f[h>>2];K=233}do if((K|0)==233){M=f[h+4>>2]|0;if((M|0)>=3)break;f[pa>>2]=M;f[Da>>2]=f[h+8>>2];f[s+12>>2]=f[h+12>>2];M=f[h+44>>2]|0;w=f[B>>2]|0;f[w>>2]=f[M>>2];f[w+4>>2]=f[M+4>>2];Pa=ra;Qa=$;Ra=qa;Sa=h;break e}while(0);kP(s,h);Pa=ra;Qa=$;Ra=qa;Sa=h}else{if(E){M=f[h+16>>2]|0;wU(v,f[r+48>>2]|0,f[i+16>>2]|0,M,f[h+48>>2]|0,Ca,Q,(M|0)==0?0:Q,1.1754943508222875e-38,2.384185791015625e-07)}else{M=f[h+16>>2]|0;xU(v,f[r+48>>2]|0,f[i+16>>2]|0,M,f[h+48>>2]|0,Ca,Q,(M|0)==0?0:Q,2.2250738585072014e-308,2.220446049250313e-15)}M=r+36|0;w=f[M>>2]|0;if(w|0){Ha=w+12|0;f[Ha>>2]=(f[Ha>>2]|0)+1}Ha=s+36|0;w=f[Ha>>2]|0;do if(w|0){e=w+12|0;t=f[e>>2]|0;f[e>>2]=t+-1;if((t|0)!=1)break;lP(s)}while(0);f[Ha>>2]=0;w=s+16|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[pa>>2]|0)>0){qa=f[Ia>>2]|0;$=0;do{f[qa+($<<2)>>2]=0;$=$+1|0;Ta=f[pa>>2]|0}while(($|0)<(Ta|0));f[s>>2]=f[r>>2];if((Ta|0)<3)K=249}else{f[s>>2]=f[r>>2];K=249}do if((K|0)==249){$=f[r+4>>2]|0;if(($|0)>=3)break;f[pa>>2]=$;f[Da>>2]=f[r+8>>2];f[s+12>>2]=f[r+12>>2];$=f[r+44>>2]|0;qa=f[B>>2]|0;f[qa>>2]=f[$>>2];f[qa+4>>2]=f[$+4>>2];Pa=M;Qa=Ha;Ra=w;Sa=r;break e}while(0);kP(s,r);Pa=M;Qa=Ha;Ra=w;Sa=r}while(0);f[Ra>>2]=f[Sa+16>>2];f[s+20>>2]=f[Sa+20>>2];f[s+24>>2]=f[Sa+24>>2];f[s+28>>2]=f[Sa+28>>2];f[s+32>>2]=f[Sa+32>>2];f[Qa>>2]=f[Pa>>2];Da=i+16|0;v=f[Da>>2]|0;if(E)FU(Ca,Q,v,0,f[s+16>>2]|0,f[oa>>2]|0,1,f[h+16>>2]|0,f[h+48>>2]|0,f[O>>2]|0,f[wa>>2]|0,P,f[q+16>>2]|0,f[q+48>>2]|0,y);else GU(Ca,Q,v,0,f[s+16>>2]|0,f[oa>>2]|0,1,f[h+16>>2]|0,f[h+48>>2]|0,f[O>>2]|0,f[wa>>2]|0,P,f[q+16>>2]|0,f[q+48>>2]|0,y);v=s+36|0;G=f[v>>2]|0;if(G|0?($=G+12|0,G=f[$>>2]|0,f[$>>2]=G+-1,(G|0)==1):0)lP(s);f[v>>2]=0;v=s+16|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[pa>>2]|0)>0){v=f[Ia>>2]|0;G=0;do{f[v+(G<<2)>>2]=0;G=G+1|0}while((G|0)<(f[pa>>2]|0))}pa=f[B>>2]|0;if((pa|0)!=(oa|0))tE(pa);pa=i+36|0;G=f[pa>>2]|0;do if(G|0){v=G+12|0;Ia=f[v>>2]|0;f[v>>2]=Ia+-1;if((Ia|0)!=1)break;lP(i)}while(0);f[pa>>2]=0;G=i+4|0;f[Da>>2]=0;f[Da+4>>2]=0;f[Da+8>>2]=0;f[Da+12>>2]=0;if((f[G>>2]|0)>0){oa=f[i+40>>2]|0;B=0;do{f[oa+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[G>>2]|0))}G=f[i+44>>2]|0;if((G|0)!=(i+48|0))tE(G);G=h+36|0;B=f[G>>2]|0;do if(B|0){oa=B+12|0;Da=f[oa>>2]|0;f[oa>>2]=Da+-1;if((Da|0)!=1)break;lP(h)}while(0);f[G>>2]=0;B=h+16|0;Da=h+4|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[Da>>2]|0)>0){B=f[h+40>>2]|0;oa=0;do{f[B+(oa<<2)>>2]=0;oa=oa+1|0}while((oa|0)<(f[Da>>2]|0))}Da=f[h+44>>2]|0;if((Da|0)!=(h+48|0))tE(Da);Ja=1}}while(0);if((K|0)==281){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0;f[h+24>>2]=0;f[h+28>>2]=0;nT(q,h)|0;Ja=0}h=r+36|0;K=f[h>>2]|0;if(K|0?(i=K+12|0,K=f[i>>2]|0,f[i>>2]=K+-1,(K|0)==1):0)lP(r);f[h>>2]=0;h=r+16|0;K=r+4|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[K>>2]|0)>0){h=f[r+40>>2]|0;i=0;do{f[h+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[K>>2]|0))}K=f[r+44>>2]|0;if((K|0)!=(r+48|0))tE(K);K=q+36|0;r=f[K>>2]|0;if(r|0?(i=r+12|0,r=f[i>>2]|0,f[i>>2]=r+-1,(r|0)==1):0)lP(q);f[K>>2]=0;K=q+16|0;r=q+4|0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[r>>2]|0)>0){K=f[q+40>>2]|0;i=0;do{f[K+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[r>>2]|0))}r=f[q+44>>2]|0;if((r|0)!=(q+48|0))tE(r);r=f[sa>>2]|0;do if(r|0){q=r+12|0;i=f[q>>2]|0;f[q>>2]=i+-1;if((i|0)!=1)break;lP(o)}while(0);f[sa>>2]=0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;if((f[z>>2]|0)>0){O=f[va>>2]|0;va=0;do{f[O+(va<<2)>>2]=0;va=va+1|0}while((va|0)<(f[z>>2]|0))}z=f[xa>>2]|0;if((z|0)!=(wa|0))tE(z);z=f[m>>2]|0;if((z|0)!=(L|0)){if(z|0)Fmc(z);f[m>>2]=L;f[D>>2]=1032}ma=Ja;na=ta}ta=f[na>>2]|0;if(ta|0?(Ja=ta+12|0,ta=f[Ja>>2]|0,f[Ja>>2]=ta+-1,(ta|0)==1):0)lP(l);f[na>>2]=0;na=l+16|0;ta=l+4|0;f[na>>2]=0;f[na+4>>2]=0;f[na+8>>2]=0;f[na+12>>2]=0;if((f[ta>>2]|0)>0){na=f[l+40>>2]|0;Ja=0;do{f[na+(Ja<<2)>>2]=0;Ja=Ja+1|0}while((Ja|0)<(f[ta>>2]|0))}ta=f[l+44>>2]|0;if((ta|0)!=(l+48|0))tE(ta);ta=k+36|0;l=f[ta>>2]|0;if(l|0?(Ja=l+12|0,l=f[Ja>>2]|0,f[Ja>>2]=l+-1,(l|0)==1):0)lP(k);f[ta>>2]=0;ta=k+16|0;l=k+4|0;f[ta>>2]=0;f[ta+4>>2]=0;f[ta+8>>2]=0;f[ta+12>>2]=0;if((f[l>>2]|0)>0){ta=f[k+40>>2]|0;Ja=0;do{f[ta+(Ja<<2)>>2]=0;Ja=Ja+1|0}while((Ja|0)<(f[l>>2]|0))}l=f[k+44>>2]|0;if((l|0)!=(k+48|0))tE(l);if(!(f[j+4>>2]|0)){u=g;return ma|0}u=g;return ma|0}function JU(a){a=a|0;return}function KU(a,b){a=a|0;b=b|0;var c=0,d=0;switch(b|0){case 0:{b=Bmc(16)|0;f[b+4>>2]=8;f[b+8>>2]=16;f[b+12>>2]=1;f[b>>2]=48784;c=Bmc(16)|0;d=c+4|0;f[d>>2]=1;f[c>>2]=48816;f[c+8>>2]=b;f[a>>2]=c;f[a+4>>2]=b;f[d>>2]=(f[d>>2]|0)+1;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1)return;ai[f[(f[c>>2]|0)+8>>2]&2047](c);return}case 1:{c=Bmc(16)|0;f[c+4>>2]=8;f[c+8>>2]=16;f[c+12>>2]=1;f[c>>2]=48836;b=Bmc(16)|0;d=b+4|0;f[d>>2]=1;f[b>>2]=48868;f[b+8>>2]=c;f[a>>2]=b;f[a+4>>2]=c;f[d>>2]=(f[d>>2]|0)+1;c=f[d>>2]|0;f[d>>2]=c+-1;if((c|0)!=1)return;ai[f[(f[b>>2]|0)+8>>2]&2047](b);return}case 2:{b=Bmc(16)|0;f[b+4>>2]=8;f[b+8>>2]=16;f[b+12>>2]=1;f[b>>2]=48888;c=Bmc(16)|0;d=c+4|0;f[d>>2]=1;f[c>>2]=48920;f[c+8>>2]=b;f[a>>2]=c;f[a+4>>2]=b;f[d>>2]=(f[d>>2]|0)+1;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1)return;ai[f[(f[c>>2]|0)+8>>2]&2047](c);return}case 3:{c=Bmc(16)|0;f[c+4>>2]=8;f[c+8>>2]=16;f[c+12>>2]=1;f[c>>2]=48940;b=Bmc(16)|0;d=b+4|0;f[d>>2]=1;f[b>>2]=48972;f[b+8>>2]=c;f[a>>2]=b;f[a+4>>2]=c;f[d>>2]=(f[d>>2]|0)+1;c=f[d>>2]|0;f[d>>2]=c+-1;if((c|0)!=1)return;ai[f[(f[b>>2]|0)+8>>2]&2047](b);return}case 4:{b=Bmc(16)|0;f[b+4>>2]=8;f[b+8>>2]=16;f[b+12>>2]=1;f[b>>2]=48992;c=Bmc(16)|0;d=c+4|0;f[d>>2]=1;f[c>>2]=49024;f[c+8>>2]=b;f[a>>2]=c;f[a+4>>2]=b;f[d>>2]=(f[d>>2]|0)+1;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1)return;ai[f[(f[c>>2]|0)+8>>2]&2047](c);return}case 5:{c=Bmc(16)|0;f[c+4>>2]=8;f[c+8>>2]=16;f[c+12>>2]=1;f[c>>2]=49044;b=Bmc(16)|0;d=b+4|0;f[d>>2]=1;f[b>>2]=49076;f[b+8>>2]=c;f[a>>2]=b;f[a+4>>2]=c;f[d>>2]=(f[d>>2]|0)+1;c=f[d>>2]|0;f[d>>2]=c+-1;if((c|0)!=1)return;ai[f[(f[b>>2]|0)+8>>2]&2047](b);return}default:{b=Bmc(16)|0;f[b+4>>2]=8;f[b+8>>2]=16;f[b+12>>2]=1;f[b>>2]=48784;c=Bmc(16)|0;d=c+4|0;f[d>>2]=1;f[c>>2]=48816;f[c+8>>2]=b;f[a>>2]=c;f[a+4>>2]=b;f[d>>2]=(f[d>>2]|0)+1;b=f[d>>2]|0;f[d>>2]=b+-1;if((b|0)!=1)return;ai[f[(f[c>>2]|0)+8>>2]&2047](c);return}}}function LU(a){a=a|0;Emc(a);return}function MU(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function NU(a){a=a|0;Emc(a);return}function OU(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+32|0;g=e+18|0;h=e+8|0;i=e;j=e+17|0;k=e+16|0;b[g>>0]=b[218337]|0;b[g+1>>0]=b[218338]|0;b[g+2>>0]=b[218339]|0;b[g+3>>0]=b[218340]|0;b[g+4>>0]=b[218341]|0;f[i>>2]=g;if((f[d+8>>2]|0)==1)l=1;else l=(f[c+12>>2]|0)==0&1;b[j>>0]=l;b[k>>0]=0;SU(h,218342,510959,d,i,j,k,(f[d>>2]&7|0)==6?c+8|0:c+4|0);c=f[h>>2]|0;f[a>>2]=c;f[a+4>>2]=f[h+4>>2];a=c;if(!c){m=h;n=a}else{c=a+4|0;f[c>>2]=(f[c>>2]|0)+1;m=h;n=f[h>>2]|0}if(!n){f[m>>2]=0;u=e;return}h=n+4|0;c=f[h>>2]|0;f[h>>2]=c+-1;if((c|0)!=1){f[m>>2]=0;u=e;return}ai[f[(f[n>>2]|0)+8>>2]&2047](n);f[m>>2]=0;u=e;return}function PU(a,b){a=a|0;b=b|0;f[a+4>>2]=b;return}function QU(a,b){a=a|0;b=b|0;f[a+8>>2]=b;return}function RU(a,b){a=a|0;b=b|0;f[a+12>>2]=b&1;return}function SU(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;k=u;u=u+80|0;l=k+64|0;m=k+56|0;n=k;o=Bmc(156)|0;f[l>>2]=0;f[l+4>>2]=0;p=s8b(c)|0;if(p|0)Krc(YG(l,p)|0,c|0,p|0)|0;f[m>>2]=0;f[m+4>>2]=0;p=s8b(d)|0;if(p|0)Krc(YG(m,p)|0,d|0,p|0)|0;f[n>>2]=f[e>>2];p=n+4|0;d=e+4|0;c=f[d>>2]|0;f[p>>2]=c;q=n+8|0;f[q>>2]=f[e+8>>2];f[n+12>>2]=f[e+12>>2];r=n+16|0;f[r>>2]=f[e+16>>2];f[n+20>>2]=f[e+20>>2];f[n+24>>2]=f[e+24>>2];f[n+28>>2]=f[e+28>>2];f[n+32>>2]=f[e+32>>2];s=n+36|0;t=f[e+36>>2]|0;f[s>>2]=t;v=n+40|0;f[v>>2]=q;q=n+48|0;w=n+44|0;f[w>>2]=q;f[q>>2]=0;f[n+52>>2]=0;if(!t)x=c;else{c=t+12|0;f[c>>2]=(f[c>>2]|0)+1;x=f[d>>2]|0}if((x|0)<3){x=f[e+44>>2]|0;d=f[w>>2]|0;f[d>>2]=f[x>>2];f[d+4>>2]=f[x+4>>2]}else{f[p>>2]=0;kP(n,e)}TU(o,l,m,n,f[g>>2]|0,(b[h>>0]|0)!=0,(b[i>>0]|0)!=0,f[j>>2]|0);j=Bmc(16)|0;f[j+4>>2]=1;f[j>>2]=49096;f[j+8>>2]=o;f[a>>2]=j;f[a+4>>2]=o;o=f[s>>2]|0;if(o|0?(a=o+12|0,o=f[a>>2]|0,f[a>>2]=o+-1,(o|0)==1):0)lP(n);f[s>>2]=0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[p>>2]|0)>0){r=f[v>>2]|0;v=0;do{f[r+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[p>>2]|0))}p=f[w>>2]|0;if((p|0)==(q|0)){ZG(m);ZG(l);u=k;return}tE(p);ZG(m);ZG(l);u=k;return}function TU(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;k=u;u=u+16|0;l=k;m=k+8|0;n=h&1;h=i&1;f[a>>2]=49116;i=a+44|0;f[i>>2]=1124007936;o=a+48|0;p=a+52|0;q=a+84|0;r=o;s=r+36|0;do{f[r>>2]=0;r=r+4|0}while((r|0)<(s|0));f[q>>2]=p;t=a+92|0;v=a+88|0;f[v>>2]=t;f[t>>2]=0;f[a+96>>2]=0;t=a+124|0;w=a+128|0;x=a+132|0;y=a+136|0;z=e+4|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[z>>2]|0)>=3){f[m>>2]=0;f[m+4>>2]=0;r=YG(m,11)|0;A=218417;s=r+11|0;do{b[r>>0]=b[A>>0]|0;r=r+1|0;A=A+1|0}while((r|0)<(s|0));SQ(-215,m,218429,218443,86)}if((t|0)!=(c|0)){ZG(t);m=f[c>>2]|0;if(!m)B=0;else{A=m+-4|0;f[A>>2]=(f[A>>2]|0)+1;B=f[c>>2]|0}f[t>>2]=B;f[w>>2]=f[c+4>>2]}if((x|0)!=(d|0)){ZG(x);c=f[d>>2]|0;if(!c)C=0;else{w=c+-4|0;f[w>>2]=(f[w>>2]|0)+1;C=f[d>>2]|0}f[x>>2]=C;f[y>>2]=f[d+4>>2]}if((i|0)!=(e|0)){d=e+36|0;y=f[d>>2]|0;if(y|0){C=y+12|0;f[C>>2]=(f[C>>2]|0)+1}C=a+80|0;y=f[C>>2]|0;if(y|0?(x=y+12|0,y=f[x>>2]|0,f[x>>2]=y+-1,(y|0)==1):0)lP(i);f[C>>2]=0;y=a+60|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;if((f[o>>2]|0)>0){x=f[q>>2]|0;q=0;do{f[x+(q<<2)>>2]=0;q=q+1|0;D=f[o>>2]|0}while((q|0)<(D|0));f[i>>2]=f[e>>2];if((D|0)<3)E=22;else E=24}else{f[i>>2]=f[e>>2];E=22}if((E|0)==22){D=f[z>>2]|0;if((D|0)<3){f[o>>2]=D;f[p>>2]=f[e+8>>2];f[a+56>>2]=f[e+12>>2];p=f[e+44>>2]|0;D=f[v>>2]|0;f[D>>2]=f[p>>2];f[D+4>>2]=f[p+4>>2]}else E=24}if((E|0)==24)kP(i,e);f[y>>2]=f[e+16>>2];f[a+64>>2]=f[e+20>>2];f[a+68>>2]=f[e+24>>2];f[a+72>>2]=f[e+28>>2];f[a+76>>2]=f[e+32>>2];f[C>>2]=f[d>>2]}f[a+100>>2]=((f[e>>2]|0)>>>3&511)+1;e=a+140|0;b[e>>0]=b[g>>0]|0;b[e+1>>0]=b[g+1>>0]|0;b[e+2>>0]=b[g+2>>0]|0;b[e+3>>0]=b[g+3>>0]|0;b[e+4>>0]=b[g+4>>0]|0;f[a+108>>2]=0;b[a+104>>0]=n;b[a+105>>0]=h;f[a+120>>2]=0;f[a+116>>2]=0;f[a+112>>2]=0;h=a+4|0;if((j|0)<0){b[h>>0]=37;b[a+5>>0]=97;b[a+6>>0]=0}else{f[l>>2]=(j|0)<20?j:20;VQ(h,8,218505,l)|0}switch(f[i>>2]&7){case 0:{F=1605;G=0;break}case 1:{F=1604;G=0;break}case 2:{F=1606;G=0;break}case 3:{F=1607;G=0;break}case 4:{F=1608;G=0;break}case 5:{F=1609;G=0;break}case 6:{F=1610;G=0;break}default:{F=1611;G=0}}f[a+148>>2]=F;f[a+152>>2]=G;u=k;return}function UU(a){a=a|0;Emc(a);return}function VU(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+12>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function WU(a){a=a|0;b[a+12>>0]=0;return}function XU(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=u;u=u+16|0;c=b;d=f[a+88>>2]|0;e=(f[a+60>>2]|0)+(Y(f[d>>2]|0,f[a+112>>2]|0)|0)|0;g=e+(Y(f[d+4>>2]|0,f[a+116>>2]|0)|0)|0;p[c>>3]=+p[g+(f[a+120>>2]<<3)>>3];g9b(a+12|0,a+4|0,c)|0;u=b;return}function YU(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=u;u=u+16|0;c=b;d=f[a+88>>2]|0;e=(f[a+60>>2]|0)+(Y(f[d>>2]|0,f[a+112>>2]|0)|0)|0;g=e+(Y(f[d+4>>2]|0,f[a+116>>2]|0)|0)|0;p[c>>3]=+n[g+(f[a+120>>2]<<2)>>2];g9b(a+12|0,a+4|0,c)|0;u=b;return}function ZU(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=u;u=u+16|0;c=b;d=f[a+88>>2]|0;e=(f[a+60>>2]|0)+(Y(f[d>>2]|0,f[a+112>>2]|0)|0)|0;g=e+(Y(f[d+4>>2]|0,f[a+116>>2]|0)|0)|0;f[c>>2]=f[g+(f[a+120>>2]<<2)>>2];g9b(a+12|0,510037,c)|0;u=b;return}function _U(a){a=a|0;var b=0,c=0,e=0,g=0,h=0;b=u;u=u+16|0;c=b;e=f[a+88>>2]|0;g=(f[a+60>>2]|0)+(Y(f[e>>2]|0,f[a+112>>2]|0)|0)|0;h=g+(Y(f[e+4>>2]|0,f[a+116>>2]|0)|0)|0;f[c>>2]=d[h+(f[a+120>>2]<<1)>>1];g9b(a+12|0,510037,c)|0;u=b;return}function $U(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=u;u=u+16|0;c=b;d=f[a+88>>2]|0;e=(f[a+60>>2]|0)+(Y(f[d>>2]|0,f[a+112>>2]|0)|0)|0;g=e+(Y(f[d+4>>2]|0,f[a+116>>2]|0)|0)|0;f[c>>2]=j[g+(f[a+120>>2]<<1)>>1];g9b(a+12|0,510037,c)|0;u=b;return}function aV(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=u;u=u+16|0;c=b;d=f[a+88>>2]|0;e=(f[a+60>>2]|0)+(Y(f[d>>2]|0,f[a+112>>2]|0)|0)|0;g=e+(Y(f[d+4>>2]|0,f[a+116>>2]|0)|0)|0;f[c>>2]=h[g+(f[a+120>>2]|0)>>0];g9b(a+12|0,218512,c)|0;u=b;return}function bV(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;e=f[a+88>>2]|0;g=(f[a+60>>2]|0)+(Y(f[e>>2]|0,f[a+112>>2]|0)|0)|0;h=g+(Y(f[e+4>>2]|0,f[a+116>>2]|0)|0)|0;f[d>>2]=b[h+(f[a+120>>2]|0)>>0];g9b(a+12|0,218512,d)|0;u=c;return}function cV(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+16|0;d=c+8|0;e=c;g=a+108|0;do switch(f[g>>2]|0){case 0:{f[a+112>>2]=0;if(f[a+60>>2]|0){h=f[a+48>>2]|0;if((h|0)<3)i=Y(f[a+56>>2]|0,f[a+52>>2]|0)|0;else{j=f[a+84>>2]|0;k=0;l=1;while(1){m=Y(f[j+(k<<2)>>2]|0,l)|0;k=k+1|0;if((k|0)==(h|0)){i=m;break}else l=m}}if(!((h|0)==0|(i|0)==0))n=b[a+105>>0]|0?2:3;else n=1}else n=1;f[g>>2]=n;l=f[a+124>>2]|0;o=(l|0)==0?1163146:l;u=c;return o|0}case 2:{f[g>>2]=3;l=a+112|0;if((f[l>>2]|0)<(f[a+52>>2]|0)){k=a+12|0;f[d>>2]=(f[a+120>>2]|0)+1;g9b(k,218532,d)|0;o=k;u=c;return o|0}k=a+120|0;j=f[k>>2]|0;m=j+1|0;f[k>>2]=m;if((m|0)<(f[a+100>>2]|0)){f[l>>2]=0;l=a+12|0;f[e>>2]=j+2;g9b(l,218516,e)|0;o=l;u=c;return o|0}else{f[g>>2]=1;l=a+12|0;b[l>>0]=0;o=l;u=c;return o|0}break}case 1:{f[g>>2]=8;l=f[a+132>>2]|0;o=(l|0)==0?1163146:l;u=c;return o|0}case 3:{f[a+116>>2]=0;f[g>>2]=5;if((f[a+112>>2]|0)>0?(l=a+128|0,(f[l>>2]|0)!=0):0){j=0;while(1){m=j+1|0;b[a+12+j>>0]=32;if(m>>>0<30?m>>>0<(f[l>>2]|0)>>>0:0)j=m;else{p=m;break}}}else p=0;j=b[a+140>>0]|0;if(!(j<<24>>24))if(!p){o=ci[f[f[a>>2]>>2]&1023](a)|0;u=c;return o|0}else q=p;else{b[a+12+p>>0]=j;q=p+1|0}b[a+12+q>>0]=0;o=a+12|0;u=c;return o|0}case 4:{f[g>>2]=9;j=a+112|0;l=(f[j>>2]|0)+1|0;f[j>>2]=l;j=b[a+141>>0]|0;if(j<<24>>24){h=a+12|0;b[h>>0]=j;b[a+13>>0]=(l|0)<(f[a+52>>2]|0)?44:0;b[a+14>>0]=0;o=h;u=c;return o|0}h=b[a+142>>0]|0;if(h<<24>>24?(l|0)<(f[a+52>>2]|0):0){l=a+12|0;b[l>>0]=h;b[a+13>>0]=0;o=l;u=c;return o|0}o=ci[f[f[a>>2]>>2]&1023](a)|0;u=c;return o|0}case 5:{f[g>>2]=7;if(!(b[a+105>>0]|0))f[a+120>>2]=0;if((f[a+100>>2]|0)>1?(l=b[a+143>>0]|0,l<<24>>24):0){h=a+12|0;b[h>>0]=l;b[a+13>>0]=0;o=h;u=c;return o|0}o=ci[f[f[a>>2]>>2]&1023](a)|0;u=c;return o|0}case 6:{h=a+116|0;l=(f[h>>2]|0)+1|0;f[h>>2]=l;f[g>>2]=(l|0)>=(f[a+56>>2]|0)?4:10;if((f[a+100>>2]|0)>1?(l=b[a+144>>0]|0,l<<24>>24):0){h=a+12|0;b[h>>0]=l;b[a+13>>0]=0;o=h;u=c;return o|0}o=ci[f[f[a>>2]>>2]&1023](a)|0;u=c;return o|0}case 7:{h=f[a+148>>2]|0;l=f[a+152>>2]|0;j=a+(l>>1)|0;if(!(l&1))r=h;else r=f[(f[j>>2]|0)+h>>2]|0;ai[r&2047](j);f[g>>2]=6;if(b[a+105>>0]|0){o=a+12|0;u=c;return o|0}j=a+120|0;h=(f[j>>2]|0)+1|0;f[j>>2]=h;if((h|0)<(f[a+100>>2]|0))f[g>>2]=11;o=a+12|0;u=c;return o|0}case 11:{f[g>>2]=7;h=a+12|0;b[h>>0]=44;b[a+13>>0]=32;b[a+14>>0]=0;o=h;u=c;return o|0}case 9:{if((f[a+112>>2]|0)<(f[a+52>>2]|0)){f[g>>2]=3;h=a+12|0;b[h>>0]=b[a+104>>0]|0?32:10;b[a+13>>0]=0;o=h;u=c;return o|0}else{f[g>>2]=b[a+105>>0]|0?2:1;o=ci[f[f[a>>2]>>2]&1023](a)|0;u=c;return o|0}break}case 10:{f[g>>2]=5;h=a+12|0;b[h>>0]=44;b[a+13>>0]=32;b[a+14>>0]=0;o=h;u=c;return o|0}default:{o=0;u=c;return o|0}}while(0);return 0}function dV(a){a=a|0;f[a+108>>2]=0;return}function eV(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=49116;ZG(a+132|0);ZG(a+124|0);b=a+44|0;c=a+80|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+60|0;b=a+48|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+84>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+88>>2]|0;if((b|0)==(a+92|0))return;tE(b);return}function fV(a){a=a|0;eV(a);Emc(a);return}function gV(a){a=a|0;Emc(a);return}function hV(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function iV(a){a=a|0;Emc(a);return}function jV(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+32|0;g=e;h=e+26|0;i=e+16|0;j=e+8|0;k=e+25|0;l=e+24|0;b[h>>0]=b[218681]|0;b[h+1>>0]=b[218682]|0;b[h+2>>0]=b[218683]|0;b[h+3>>0]=b[218684]|0;b[h+4>>0]=b[218685]|0;if((f[d+12>>2]|0)==1){b[h+1>>0]=0;b[h>>0]=0}f[g>>2]=f[49132+((f[d>>2]&7)<<2)>>2];aR(j,218686,g);f[g>>2]=h;if((f[d+8>>2]|0)==1)m=1;else m=(f[c+12>>2]|0)==0&1;b[k>>0]=m;b[l>>0]=0;kV(i,218701,j,d,g,k,l,(f[d>>2]&7|0)==6?c+8|0:c+4|0);c=f[i>>2]|0;f[a>>2]=c;d=i+4|0;f[a+4>>2]=f[d>>2];a=c;if(!c){n=i;o=a}else{c=a+4|0;f[c>>2]=(f[c>>2]|0)+1;n=i;o=f[i>>2]|0}if(!o){f[n>>2]=0;f[d>>2]=0;ZG(j);u=e;return}i=o+4|0;c=f[i>>2]|0;f[i>>2]=c+-1;if((c|0)!=1){f[n>>2]=0;f[d>>2]=0;ZG(j);u=e;return}ai[f[(f[o>>2]|0)+8>>2]&2047](o);f[n>>2]=0;f[d>>2]=0;ZG(j);u=e;return}function kV(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;k=u;u=u+80|0;l=k+64|0;m=k+56|0;n=k;o=Bmc(156)|0;f[l>>2]=0;f[l+4>>2]=0;p=s8b(c)|0;if(p|0)Krc(YG(l,p)|0,c|0,p|0)|0;p=f[d>>2]|0;f[m>>2]=p;f[m+4>>2]=f[d+4>>2];if(p|0){d=p+-4|0;f[d>>2]=(f[d>>2]|0)+1}f[n>>2]=f[e>>2];d=n+4|0;p=e+4|0;c=f[p>>2]|0;f[d>>2]=c;q=n+8|0;f[q>>2]=f[e+8>>2];f[n+12>>2]=f[e+12>>2];r=n+16|0;f[r>>2]=f[e+16>>2];f[n+20>>2]=f[e+20>>2];f[n+24>>2]=f[e+24>>2];f[n+28>>2]=f[e+28>>2];f[n+32>>2]=f[e+32>>2];s=n+36|0;t=f[e+36>>2]|0;f[s>>2]=t;v=n+40|0;f[v>>2]=q;q=n+48|0;w=n+44|0;f[w>>2]=q;f[q>>2]=0;f[n+52>>2]=0;if(!t)x=c;else{c=t+12|0;f[c>>2]=(f[c>>2]|0)+1;x=f[p>>2]|0}if((x|0)<3){x=f[e+44>>2]|0;p=f[w>>2]|0;f[p>>2]=f[x>>2];f[p+4>>2]=f[x+4>>2]}else{f[d>>2]=0;kP(n,e)}TU(o,l,m,n,f[g>>2]|0,(b[h>>0]|0)!=0,(b[i>>0]|0)!=0,f[j>>2]|0);j=Bmc(16)|0;f[j+4>>2]=1;f[j>>2]=49096;f[j+8>>2]=o;f[a>>2]=j;f[a+4>>2]=o;o=f[s>>2]|0;if(o|0?(a=o+12|0,o=f[a>>2]|0,f[a>>2]=o+-1,(o|0)==1):0)lP(n);f[s>>2]=0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[d>>2]|0)>0){r=f[v>>2]|0;v=0;do{f[r+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[d>>2]|0))}d=f[w>>2]|0;if((d|0)==(q|0)){ZG(m);ZG(l);u=k;return}tE(d);ZG(m);ZG(l);u=k;return}function lV(a){a=a|0;Emc(a);return}function mV(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function nV(a){a=a|0;Emc(a);return}function oV(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+32|0;g=e+18|0;h=e+8|0;i=e;j=e+17|0;k=e+16|0;b[g>>0]=b[218681]|0;b[g+1>>0]=b[218682]|0;b[g+2>>0]=b[218683]|0;b[g+3>>0]=b[218684]|0;b[g+4>>0]=b[218685]|0;if((f[d+12>>2]|0)==1){b[g+1>>0]=0;b[g>>0]=0}f[i>>2]=g;if((f[d+8>>2]|0)==1)l=1;else l=(f[c+12>>2]|0)==0&1;b[j>>0]=l;b[k>>0]=0;SU(h,509775,523362,d,i,j,k,(f[d>>2]&7|0)==6?c+8|0:c+4|0);c=f[h>>2]|0;f[a>>2]=c;f[a+4>>2]=f[h+4>>2];a=c;if(!c){m=h;n=a}else{c=a+4|0;f[c>>2]=(f[c>>2]|0)+1;m=h;n=f[h>>2]|0}if(!n){f[m>>2]=0;u=e;return}h=n+4|0;c=f[h>>2]|0;f[h>>2]=c+-1;if((c|0)!=1){f[m>>2]=0;u=e;return}ai[f[(f[n>>2]|0)+8>>2]&2047](n);f[m>>2]=0;u=e;return}function pV(a){a=a|0;Emc(a);return}function qV(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function rV(a){a=a|0;Emc(a);return}function sV(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=u;u=u+48|0;g=e+34|0;h=e+24|0;i=e+16|0;j=e+8|0;k=e;l=e+33|0;m=e+32|0;b[g>>0]=0;b[g+1>>0]=0;b[g+2>>0]=0;b[g+3>>0]=0;b[g+4>>0]=0;f[i>>2]=0;f[i+4>>2]=0;n=d+8|0;o=f[n>>2]|0;f[j>>2]=0;f[j+4>>2]=0;if((o|0)>1){p=YG(j,1)|0;b[p>>0]=10;q=f[n>>2]|0}else q=o;f[k>>2]=g;if((q|0)==1)r=1;else r=(f[c+12>>2]|0)==0&1;b[l>>0]=r;b[m>>0]=0;tV(h,i,j,d,k,l,m,(f[d>>2]&7|0)==6?c+8|0:c+4|0);c=f[h>>2]|0;f[a>>2]=c;d=h+4|0;f[a+4>>2]=f[d>>2];a=c;if(!c){s=h;t=a}else{c=a+4|0;f[c>>2]=(f[c>>2]|0)+1;s=h;t=f[h>>2]|0}if(!t){f[s>>2]=0;f[d>>2]=0;ZG(j);ZG(i);u=e;return}h=t+4|0;c=f[h>>2]|0;f[h>>2]=c+-1;if((c|0)!=1){f[s>>2]=0;f[d>>2]=0;ZG(j);ZG(i);u=e;return}ai[f[(f[t>>2]|0)+8>>2]&2047](t);f[s>>2]=0;f[d>>2]=0;ZG(j);ZG(i);u=e;return}function tV(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;k=u;u=u+80|0;l=k+64|0;m=k+56|0;n=k;o=Bmc(156)|0;p=f[c>>2]|0;f[l>>2]=p;f[l+4>>2]=f[c+4>>2];if(p|0){c=p+-4|0;f[c>>2]=(f[c>>2]|0)+1}c=f[d>>2]|0;f[m>>2]=c;f[m+4>>2]=f[d+4>>2];if(c|0){d=c+-4|0;f[d>>2]=(f[d>>2]|0)+1}f[n>>2]=f[e>>2];d=n+4|0;c=e+4|0;p=f[c>>2]|0;f[d>>2]=p;q=n+8|0;f[q>>2]=f[e+8>>2];f[n+12>>2]=f[e+12>>2];r=n+16|0;f[r>>2]=f[e+16>>2];f[n+20>>2]=f[e+20>>2];f[n+24>>2]=f[e+24>>2];f[n+28>>2]=f[e+28>>2];f[n+32>>2]=f[e+32>>2];s=n+36|0;t=f[e+36>>2]|0;f[s>>2]=t;v=n+40|0;f[v>>2]=q;q=n+48|0;w=n+44|0;f[w>>2]=q;f[q>>2]=0;f[n+52>>2]=0;if(!t)x=p;else{p=t+12|0;f[p>>2]=(f[p>>2]|0)+1;x=f[c>>2]|0}if((x|0)<3){x=f[e+44>>2]|0;c=f[w>>2]|0;f[c>>2]=f[x>>2];f[c+4>>2]=f[x+4>>2]}else{f[d>>2]=0;kP(n,e)}TU(o,l,m,n,f[g>>2]|0,(b[h>>0]|0)!=0,(b[i>>0]|0)!=0,f[j>>2]|0);j=Bmc(16)|0;f[j+4>>2]=1;f[j>>2]=49096;f[j+8>>2]=o;f[a>>2]=j;f[a+4>>2]=o;o=f[s>>2]|0;if(o|0?(a=o+12|0,o=f[a>>2]|0,f[a>>2]=o+-1,(o|0)==1):0)lP(n);f[s>>2]=0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[d>>2]|0)>0){r=f[v>>2]|0;v=0;do{f[r+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[d>>2]|0))}d=f[w>>2]|0;if((d|0)==(q|0)){ZG(m);ZG(l);u=k;return}tE(d);ZG(m);ZG(l);u=k;return}function uV(a){a=a|0;Emc(a);return}function vV(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function wV(a){a=a|0;Emc(a);return}function xV(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+32|0;g=e+18|0;h=e+8|0;i=e;j=e+17|0;k=e+16|0;b[g>>0]=b[219036]|0;b[g+1>>0]=b[219037]|0;b[g+2>>0]=b[219038]|0;b[g+3>>0]=b[219039]|0;b[g+4>>0]=b[219040]|0;f[i>>2]=g;if((f[d+8>>2]|0)==1)l=1;else l=(f[c+12>>2]|0)==0&1;b[j>>0]=l;b[k>>0]=1;yV(h,1163146,1163146,d,i,j,k,(f[d>>2]&7|0)==6?c+8|0:c+4|0);c=f[h>>2]|0;f[a>>2]=c;f[a+4>>2]=f[h+4>>2];a=c;if(!c){m=h;n=a}else{c=a+4|0;f[c>>2]=(f[c>>2]|0)+1;m=h;n=f[h>>2]|0}if(!n){f[m>>2]=0;u=e;return}h=n+4|0;c=f[h>>2]|0;f[h>>2]=c+-1;if((c|0)!=1){f[m>>2]=0;u=e;return}ai[f[(f[n>>2]|0)+8>>2]&2047](n);f[m>>2]=0;u=e;return}function yV(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;k=u;u=u+80|0;l=k+64|0;m=k+56|0;n=k;o=Bmc(156)|0;f[l>>2]=0;f[l+4>>2]=0;p=s8b(c)|0;if(p|0)Krc(YG(l,p)|0,c|0,p|0)|0;f[m>>2]=0;f[m+4>>2]=0;p=s8b(d)|0;if(p|0)Krc(YG(m,p)|0,d|0,p|0)|0;f[n>>2]=f[e>>2];p=n+4|0;d=e+4|0;c=f[d>>2]|0;f[p>>2]=c;q=n+8|0;f[q>>2]=f[e+8>>2];f[n+12>>2]=f[e+12>>2];r=n+16|0;f[r>>2]=f[e+16>>2];f[n+20>>2]=f[e+20>>2];f[n+24>>2]=f[e+24>>2];f[n+28>>2]=f[e+28>>2];f[n+32>>2]=f[e+32>>2];s=n+36|0;t=f[e+36>>2]|0;f[s>>2]=t;v=n+40|0;f[v>>2]=q;q=n+48|0;w=n+44|0;f[w>>2]=q;f[q>>2]=0;f[n+52>>2]=0;if(!t)x=c;else{c=t+12|0;f[c>>2]=(f[c>>2]|0)+1;x=f[d>>2]|0}if((x|0)<3){x=f[e+44>>2]|0;d=f[w>>2]|0;f[d>>2]=f[x>>2];f[d+4>>2]=f[x+4>>2]}else{f[p>>2]=0;kP(n,e)}TU(o,l,m,n,f[g>>2]|0,(b[h>>0]|0)!=0,(b[i>>0]|0)!=0,f[j>>2]|0);j=Bmc(16)|0;f[j+4>>2]=1;f[j>>2]=49096;f[j+8>>2]=o;f[a>>2]=j;f[a+4>>2]=o;o=f[s>>2]|0;if(o|0?(a=o+12|0,o=f[a>>2]|0,f[a>>2]=o+-1,(o|0)==1):0)lP(n);f[s>>2]=0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[p>>2]|0)>0){r=f[v>>2]|0;v=0;do{f[r+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[p>>2]|0))}p=f[w>>2]|0;if((p|0)==(q|0)){ZG(m);ZG(l);u=k;return}tE(p);ZG(m);ZG(l);u=k;return}function zV(a){a=a|0;Emc(a);return}function AV(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function BV(a){a=a|0;Emc(a);return}function CV(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+32|0;g=e+18|0;h=e+8|0;i=e;j=e+17|0;k=e+16|0;b[g>>0]=b[219036]|0;b[g+1>>0]=b[219037]|0;b[g+2>>0]=b[219038]|0;b[g+3>>0]=b[219039]|0;b[g+4>>0]=b[219040]|0;f[i>>2]=g;if((f[d+8>>2]|0)==1)l=1;else l=(f[c+12>>2]|0)==0&1;b[j>>0]=l;b[k>>0]=0;SU(h,509775,523362,d,i,j,k,(f[d>>2]&7|0)==6?c+8|0:c+4|0);c=f[h>>2]|0;f[a>>2]=c;f[a+4>>2]=f[h+4>>2];a=c;if(!c){m=h;n=a}else{c=a+4|0;f[c>>2]=(f[c>>2]|0)+1;m=h;n=f[h>>2]|0}if(!n){f[m>>2]=0;u=e;return}h=n+4|0;c=f[h>>2]|0;f[h>>2]=c+-1;if((c|0)!=1){f[m>>2]=0;u=e;return}ai[f[(f[n>>2]|0)+8>>2]&2047](n);f[m>>2]=0;u=e;return}function DV(){var a=0,c=0,d=0,e=0;a=u;u=u+16|0;c=a;f[c>>2]=0;f[c+4>>2]=0;a=YG(c,44)|0;d=224421;e=a+44|0;do{b[a>>0]=b[d>>0]|0;a=a+1|0;d=d+1|0}while((a|0)<(e|0));SQ(-216,c,224466,224480,107)}function EV(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;DV()}function FV(a){a=a|0;return}function GV(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;DV();return 0}function HV(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;i=u;u=u+224|0;j=i+208|0;k=i+152|0;l=i+96|0;m=i+80|0;o=i+16|0;q=i+48|0;r=i+44|0;s=i+40|0;t=i+36|0;v=i+32|0;w=i+28|0;x=i+24|0;y=i+8|0;z=i;zT(j,49164);A=oD(a,-1)|0;B=A&7;C=A>>>3&511;A=C+1|0;E=DD(h)|0;if(!C){if(!E?oD(h,-1)|0:0){f[k>>2]=0;F=k+4|0;f[F>>2]=0;G=YG(k,104)|0;H=G;I=219164;J=H+104|0;do{b[H>>0]=b[I>>0]|0;H=H+1|0;I=I+1|0}while((H|0)<(J|0));IV(-215,k,219269,753)}}else if((g|0)!=0|((e|0)!=0|E^1)){f[k>>2]=0;F=k+4|0;f[F>>2]=0;G=YG(k,104)|0;H=G;I=219164;J=H+104|0;do{b[H>>0]=b[I>>0]|0;H=H+1|0;I=I+1|0}while((H|0)<(J|0));IV(-215,k,219269,753)}do if((pD(a)|0)==65536){G=f[a+4>>2]|0;f[k>>2]=f[G>>2];F=k+4|0;E=G+4|0;f[F>>2]=f[E>>2];C=k+8|0;f[C>>2]=f[G+8>>2];f[k+12>>2]=f[G+12>>2];f[k+16>>2]=f[G+16>>2];f[k+20>>2]=f[G+20>>2];f[k+24>>2]=f[G+24>>2];f[k+28>>2]=f[G+28>>2];f[k+32>>2]=f[G+32>>2];K=f[G+36>>2]|0;f[k+36>>2]=K;f[k+40>>2]=C;C=k+48|0;L=k+44|0;f[L>>2]=C;f[C>>2]=0;f[k+52>>2]=0;if(K|0){C=K+12|0;f[C>>2]=(f[C>>2]|0)+1}if((f[E>>2]|0)<3){E=f[G+44>>2]|0;C=f[L>>2]|0;f[C>>2]=f[E>>2];f[C+4>>2]=f[E+4>>2];break}else{f[F>>2]=0;kP(k,G);break}}else lD(k,a,-1);while(0);do if((pD(h)|0)==65536){a=f[h+4>>2]|0;f[l>>2]=f[a>>2];G=l+4|0;F=a+4|0;f[G>>2]=f[F>>2];E=l+8|0;f[E>>2]=f[a+8>>2];f[l+12>>2]=f[a+12>>2];f[l+16>>2]=f[a+16>>2];f[l+20>>2]=f[a+20>>2];f[l+24>>2]=f[a+24>>2];f[l+28>>2]=f[a+28>>2];f[l+32>>2]=f[a+32>>2];C=f[a+36>>2]|0;f[l+36>>2]=C;f[l+40>>2]=E;E=l+48|0;L=l+44|0;f[L>>2]=E;f[E>>2]=0;f[l+52>>2]=0;if(C|0){E=C+12|0;f[E>>2]=(f[E>>2]|0)+1}if((f[F>>2]|0)<3){F=f[a+44>>2]|0;E=f[L>>2]|0;f[E>>2]=f[F>>2];f[E+4>>2]=f[F+4>>2];break}else{f[G>>2]=0;kP(l,a);break}}else lD(l,h,-1);while(0);h=k+4|0;a=f[49184+(B<<2)>>2]|0;if((B|0)==7){f[m>>2]=0;f[m+4>>2]=0;H=YG(m,9)|0;I=274048;J=H+9|0;do{b[H>>0]=b[I>>0]|0;H=H+1|0;I=I+1|0}while((H|0)<(J|0));IV(-215,m,219269,770)}f[m>>2]=k;f[m+4>>2]=l;f[m+8>>2]=0;I=o;f[I>>2]=0;f[I+4>>2]=0;IN(q,m,o,-1);f[r>>2]=0;f[s>>2]=0;f[t>>2]=2147483647;f[v>>2]=-2147483648;n[w>>2]=D;n[x>>2]=-D;p[y>>3]=D;p[z>>3]=-D;m=Y(f[q+20>>2]|0,A)|0;A=(B|0)==5;if(!A)if((B|0)==6){M=z;N=y}else{M=v;N=t}else{M=x;N=w}I=q+16|0;if(f[I>>2]|0){H=o+4|0;J=0;G=1;while(1){Fh[a&255](f[o>>2]|0,f[H>>2]|0,N,M,r,s,m,G);JN(q)|0;J=J+1|0;if(J>>>0>=(f[I>>2]|0)>>>0)break;else G=G+m|0}}m=k+16|0;do if(f[m>>2]|0){G=f[h>>2]|0;if((G|0)<3)O=Y(f[k+12>>2]|0,f[k+8>>2]|0)|0;else{I=f[k+40>>2]|0;J=0;q=1;while(1){M=Y(f[I+(J<<2)>>2]|0,q)|0;J=J+1|0;if((J|0)==(G|0)){O=M;break}else q=M}}if(!((G|0)==0|(O|0)==0)){if(f[l+16>>2]|0){q=f[l+4>>2]|0;if((q|0)<3)P=Y(f[l+12>>2]|0,f[l+8>>2]|0)|0;else{J=f[l+40>>2]|0;I=0;M=1;while(1){N=Y(f[J+(I<<2)>>2]|0,M)|0;I=I+1|0;if((I|0)==(q|0)){P=N;break}else M=N}}if(!((q|0)==0|(P|0)==0))break}if(!(f[r>>2]|0))f[r>>2]=1;if(!(f[s>>2]|0))f[s>>2]=1}}while(0);P=f[r>>2]|0;r=(P|0)==0;do if(!r){if(A){p[y>>3]=+n[w>>2];p[z>>3]=+n[x>>2];break}if(B>>>0<5){p[y>>3]=+(f[t>>2]|0);p[z>>3]=+(f[v>>2]|0)}}else{p[z>>3]=0.0;p[y>>3]=0.0}while(0);if(c|0)p[c>>3]=+p[y>>3];if(d|0)p[d>>3]=+p[z>>3];do if(e|0){z=f[h>>2]|0;d=(z|0)>0;if(r){if(!d)break;Drc(e|0,-1,z<<2|0)|0;break}if(d){d=f[k+40>>2]|0;y=z;z=P+-1|0;while(1){c=y;y=y+-1|0;v=f[d+(y<<2)>>2]|0;f[e+(y<<2)>>2]=(z>>>0)%(v>>>0)|0;if((c|0)<=1)break;else z=(z>>>0)/(v>>>0)|0}}}while(0);do if(g|0){e=f[s>>2]|0;P=f[h>>2]|0;r=(P|0)>0;if(!e){if(!r)break;Drc(g|0,-1,P<<2|0)|0;break}if(r){r=f[k+40>>2]|0;z=P;P=e+-1|0;while(1){e=z;z=z+-1|0;y=f[r+(z<<2)>>2]|0;f[g+(z<<2)>>2]=(P>>>0)%(y>>>0)|0;if((e|0)<=1)break;else P=(P>>>0)/(y>>>0)|0}}}while(0);g=l+36|0;s=f[g>>2]|0;if(s|0?(P=s+12|0,s=f[P>>2]|0,f[P>>2]=s+-1,(s|0)==1):0)lP(l);f[g>>2]=0;g=l+16|0;s=l+4|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[s>>2]|0)>0){g=f[l+40>>2]|0;P=0;do{f[g+(P<<2)>>2]=0;P=P+1|0}while((P|0)<(f[s>>2]|0))}s=f[l+44>>2]|0;if((s|0)!=(l+48|0))tE(s);s=k+36|0;l=f[s>>2]|0;if(l|0?(P=l+12|0,l=f[P>>2]|0,f[P>>2]=l+-1,(l|0)==1):0)lP(k);f[s>>2]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[h>>2]|0)>0){m=f[k+40>>2]|0;s=0;do{f[m+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[h>>2]|0))}h=f[k+44>>2]|0;if((h|0)!=(k+48|0))tE(h);if(!(f[j+4>>2]|0)){u=i;return}u=i;return}function IV(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;SQ(a,b,c,219279,d);return}function JV(a,c,d,e,g,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;l=f[d>>2]|0;m=f[e>>2]|0;n=f[g>>2]|0;o=f[i>>2]|0;p=(j|0)>0;if(!c)if(p){q=m;r=0;s=o;t=n;u=l;while(1){v=h[a+r>>0]|0;w=(v|0)<(u|0);x=r+k|0;y=w?x:t;z=w?v:u;w=(v|0)>(q|0);A=w?x:s;x=w?v:q;r=r+1|0;if((r|0)==(j|0)){B=z;C=x;D=A;E=y;break}else{q=x;s=A;t=y;u=z}}}else{B=l;C=m;D=o;E=n}else if(p){p=0;u=m;t=o;s=n;q=l;while(1){r=(b[c+p>>0]|0)!=0;z=h[a+p>>0]|0;y=p+k|0;A=r&(z|0)<(q|0);x=A?z:q;v=A?y:s;A=r&(z|0)>(u|0);r=A?y:t;y=A?z:u;p=p+1|0;if((p|0)==(j|0)){B=x;C=y;D=r;E=v;break}else{u=y;t=r;s=v;q=x}}}else{B=l;C=m;D=o;E=n}f[g>>2]=E;f[i>>2]=D;f[d>>2]=B;f[e>>2]=C;return}function KV(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;k=f[d>>2]|0;l=f[e>>2]|0;m=f[g>>2]|0;n=f[h>>2]|0;o=(i|0)>0;if(!c)if(o){p=l;q=0;r=n;s=m;t=k;while(1){u=b[a+q>>0]|0;v=(u|0)<(t|0);w=q+j|0;x=v?w:s;y=v?u:t;v=(u|0)>(p|0);z=v?w:r;w=v?u:p;q=q+1|0;if((q|0)==(i|0)){A=y;B=w;C=z;D=x;break}else{p=w;r=z;s=x;t=y}}}else{A=k;B=l;C=n;D=m}else if(o){o=0;t=l;s=n;r=m;p=k;while(1){q=(b[c+o>>0]|0)!=0;y=b[a+o>>0]|0;x=o+j|0;z=q&(y|0)<(p|0);w=z?y:p;u=z?x:r;z=q&(y|0)>(t|0);q=z?x:s;x=z?y:t;o=o+1|0;if((o|0)==(i|0)){A=w;B=x;C=q;D=u;break}else{t=x;s=q;r=u;p=w}}}else{A=k;B=l;C=n;D=m}f[g>>2]=D;f[h>>2]=C;f[d>>2]=A;f[e>>2]=B;return}function LV(a,c,d,e,g,h,i,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;l=f[d>>2]|0;m=f[e>>2]|0;n=f[g>>2]|0;o=f[h>>2]|0;p=(i|0)>0;if(!c)if(p){q=m;r=0;s=o;t=n;u=l;while(1){v=j[a+(r<<1)>>1]|0;w=(v|0)<(u|0);x=r+k|0;y=w?x:t;z=w?v:u;w=(v|0)>(q|0);A=w?x:s;x=w?v:q;r=r+1|0;if((r|0)==(i|0)){B=z;C=x;D=A;E=y;break}else{q=x;s=A;t=y;u=z}}}else{B=l;C=m;D=o;E=n}else if(p){p=0;u=l;t=m;s=o;q=n;while(1){r=(b[c+p>>0]|0)!=0;z=j[a+(p<<1)>>1]|0;y=p+k|0;A=r&(z|0)<(u|0);x=A?z:u;v=A?y:q;A=r&(z|0)>(t|0);r=A?y:s;y=A?z:t;p=p+1|0;if((p|0)==(i|0)){B=x;C=y;D=r;E=v;break}else{u=x;t=y;s=r;q=v}}}else{B=l;C=m;D=o;E=n}f[g>>2]=E;f[h>>2]=D;f[d>>2]=B;f[e>>2]=C;return}function MV(a,c,e,g,h,i,j,k){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;l=f[e>>2]|0;m=f[g>>2]|0;n=f[h>>2]|0;o=f[i>>2]|0;p=(j|0)>0;if(!c)if(p){q=m;r=0;s=o;t=n;u=l;while(1){v=d[a+(r<<1)>>1]|0;w=(v|0)<(u|0);x=r+k|0;y=w?x:t;z=w?v:u;w=(v|0)>(q|0);A=w?x:s;x=w?v:q;r=r+1|0;if((r|0)==(j|0)){B=z;C=x;D=A;E=y;break}else{q=x;s=A;t=y;u=z}}}else{B=l;C=m;D=o;E=n}else if(p){p=0;u=l;t=m;s=o;q=n;while(1){r=(b[c+p>>0]|0)!=0;z=d[a+(p<<1)>>1]|0;y=p+k|0;A=r&(z|0)<(u|0);x=A?z:u;v=A?y:q;A=r&(z|0)>(t|0);r=A?y:s;y=A?z:t;p=p+1|0;if((p|0)==(j|0)){B=x;C=y;D=r;E=v;break}else{u=x;t=y;s=r;q=v}}}else{B=l;C=m;D=o;E=n}f[h>>2]=E;f[i>>2]=D;f[e>>2]=B;f[g>>2]=C;return}function NV(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;k=f[d>>2]|0;l=f[e>>2]|0;m=f[g>>2]|0;n=f[h>>2]|0;o=(i|0)>0;if(!c)if(o){p=l;q=0;r=n;s=m;t=k;while(1){u=f[a+(q<<2)>>2]|0;v=(u|0)<(t|0);w=q+j|0;x=v?w:s;y=v?u:t;v=(u|0)>(p|0);z=v?w:r;w=v?u:p;q=q+1|0;if((q|0)==(i|0)){A=y;B=w;C=z;D=x;break}else{p=w;r=z;s=x;t=y}}}else{A=k;B=l;C=n;D=m}else if(o){o=0;t=l;s=n;r=m;p=k;while(1){q=f[a+(o<<2)>>2]|0;y=(b[c+o>>0]|0)!=0;x=(q|0)<(p|0)&y;z=o+j|0;w=x?z:r;u=x?q:p;x=(q|0)>(t|0)&y;y=x?z:s;z=x?q:t;o=o+1|0;if((o|0)==(i|0)){A=u;B=z;C=y;D=w;break}else{t=z;s=y;r=w;p=u}}}else{A=k;B=l;C=n;D=m}f[g>>2]=D;f[h>>2]=C;f[d>>2]=A;f[e>>2]=B;return}function OV(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,o=0,p=0,q=0.0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0,z=0.0,A=0,B=0.0,C=0.0,D=0.0,E=0,F=0;k=+n[d>>2];l=+n[e>>2];m=f[g>>2]|0;o=f[h>>2]|0;p=(i|0)>0;if(!c)if(p){q=l;r=0;s=o;t=m;u=k;while(1){v=+n[a+(r<<2)>>2];w=v<u;x=r+j|0;y=w?x:t;z=w?v:u;w=v>q;A=w?x:s;B=w?v:q;r=r+1|0;if((r|0)==(i|0)){C=z;D=B;E=A;F=y;break}else{q=B;s=A;t=y;u=z}}}else{C=k;D=l;E=o;F=m}else if(p){p=0;u=l;t=o;s=m;q=k;while(1){z=+n[a+(p<<2)>>2];r=(b[c+p>>0]|0)!=0;y=z<q&r;A=p+j|0;w=y?A:s;B=y?z:q;y=z>u&r;r=y?A:t;v=y?z:u;p=p+1|0;if((p|0)==(i|0)){C=B;D=v;E=r;F=w;break}else{u=v;t=r;s=w;q=B}}}else{C=k;D=l;E=o;F=m}f[g>>2]=F;f[h>>2]=E;n[d>>2]=C;n[e>>2]=D;return}function PV(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0,q=0.0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0,z=0.0,A=0,B=0.0,C=0.0,D=0.0,E=0,F=0;k=+p[d>>3];l=+p[e>>3];m=f[g>>2]|0;n=f[h>>2]|0;o=(i|0)>0;if(!c)if(o){q=l;r=0;s=n;t=m;u=k;while(1){v=+p[a+(r<<3)>>3];w=v<u;x=r+j|0;y=w?x:t;z=w?v:u;w=v>q;A=w?x:s;B=w?v:q;r=r+1|0;if((r|0)==(i|0)){C=z;D=B;E=A;F=y;break}else{q=B;s=A;t=y;u=z}}}else{C=k;D=l;E=n;F=m}else if(o){o=0;u=l;t=n;s=m;q=k;while(1){z=+p[a+(o<<3)>>3];r=(b[c+o>>0]|0)!=0;y=z<q&r;A=o+j|0;w=y?A:s;B=y?z:q;y=z>u&r;r=y?A:t;v=y?z:u;o=o+1|0;if((o|0)==(i|0)){C=B;D=v;E=r;F=w;break}else{u=v;t=r;s=w;q=B}}}else{C=k;D=l;E=n;F=m}f[g>>2]=F;f[h>>2]=E;p[d>>3]=C;p[e>>3]=D;return}function QV(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0;i=u;u=u+16|0;j=i+8|0;k=i;zT(j,49216);if((zD(a,-1)|0)>=3){f[k>>2]=0;f[k+4>>2]=0;l=YG(k,16)|0;m=219421;n=l+16|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));IV(-215,k,219438,823)}HV(a,c,d,e,g,h);if(e|0){h=e+4|0;d=f[e>>2]|0;f[e>>2]=f[h>>2];f[h>>2]=d}if(g|0){d=g+4|0;h=f[g>>2]|0;f[g>>2]=f[d>>2];f[d>>2]=h}if(!(f[j+4>>2]|0)){u=i;return}u=i;return}function RV(a){a=a|0;var b=0,c=0,d=0;b=u;u=u+16|0;c=b;d=uE(24)|0;if(!d){f[c>>2]=0;f[c+4>>2]=0;SV(-27,c,219529,92)}else{c=d+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;f[c+16>>2]=0;f[d>>2]=1116274688;f[d+16>>2]=(a|0)<1?65408:a+7&-8;u=b;return d|0}return 0}function SV(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;SQ(a,b,c,219547,d);return}function TV(a){a=a|0;var b=0,c=0,d=0,e=0;b=u;u=u+16|0;c=b;if(!a){f[c>>2]=0;f[c+4>>2]=0;SV(-27,c,219617,121)}d=f[a+16>>2]|0;e=uE(24)|0;if(!e){f[c>>2]=0;f[c+4>>2]=0;SV(-27,c,219529,92)}else{c=e+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;f[c+16>>2]=0;f[e>>2]=1116274688;f[e+16>>2]=(d|0)<1?65408:d+7&-8;f[e+12>>2]=a;u=b;return e|0}return 0}function UV(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;b=u;u=u+16|0;c=b;if(!a){f[c>>2]=0;f[c+4>>2]=0;SV(-27,c,219641,183)}c=f[a>>2]|0;f[a>>2]=0;if(!c){u=b;return}a=c+12|0;d=f[a>>2]|0;if(!d)e=0;else e=f[d+8>>2]|0;g=c+4|0;h=f[g>>2]|0;a:do if(!h)i=c+20|0;else{j=c+16|0;k=c+20|0;l=e;m=h;n=d;while(1){o=m+4|0;p=f[o>>2]|0;if(!n){q=m;r=p;while(1){vE(q);if(!r){i=k;break a}s=f[a>>2]|0;t=r+4|0;v=f[t>>2]|0;if(!s){w=r;r=v;q=w}else{x=r;y=v;z=t;A=s;break}}}else{x=m;y=p;z=o;A=n}if(!l){f[A+8>>2]=x;f[A+4>>2]=x;f[z>>2]=0;f[x>>2]=0;f[k>>2]=(f[j>>2]|0)+-8}else{f[x>>2]=l;r=l+4|0;q=f[r>>2]|0;f[z>>2]=q;if(q|0)f[q>>2]=x;f[r>>2]=x}if(!y){i=k;break}else{l=x;m=y;n=A}}}while(0);f[g>>2]=0;f[c+8>>2]=0;f[i>>2]=0;vE(c);u=b;return}function VV(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=u;u=u+16|0;c=b;if(!a){f[c>>2]=0;f[c+4>>2]=0;SV(-27,c,219661,200)}c=f[a+12>>2]|0;d=a+4|0;e=f[d>>2]|0;if(!c){f[a+8>>2]=e;if(!e)g=0;else g=(f[a+16>>2]|0)+-8|0;f[a+20>>2]=g;u=b;return}if(!e)h=a+20|0;else{g=a+16|0;i=a+20|0;j=c+8|0;k=c+4|0;l=f[c+8>>2]|0;c=e;while(1){e=c+4|0;m=f[e>>2]|0;if(!l){f[j>>2]=c;f[k>>2]=c;f[e>>2]=0;f[c>>2]=0;f[i>>2]=(f[g>>2]|0)+-8}else{f[c>>2]=l;n=l+4|0;o=f[n>>2]|0;f[e>>2]=o;if(o|0)f[o>>2]=c;f[n>>2]=c}if(!m){h=i;break}else{n=c;c=m;l=n}}}f[d>>2]=0;f[a+8>>2]=0;f[h>>2]=0;u=b;return}function WV(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;if((a|0)!=0&(b|0)!=0){f[b>>2]=f[a+8>>2];f[b+4>>2]=f[a+20>>2];u=c;return}else{f[d>>2]=0;f[d+4>>2]=0;SV(-27,d,219679,276)}}function XV(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;if(!((a|0)!=0&(b|0)!=0)){f[d>>2]=0;f[d+4>>2]=0;SV(-27,d,219699,288)}e=f[b+4>>2]|0;g=f[a+16>>2]|0;if((e|0)>(g|0)){f[d>>2]=0;f[d+4>>2]=0;SV(-201,d,219699,290)}d=f[b>>2]|0;b=a+8|0;f[b>>2]=d;h=a+20|0;f[h>>2]=e;if(d|0){u=c;return}d=f[a+4>>2]|0;f[b>>2]=d;f[h>>2]=(d|0)==0?0:g+-8|0;u=c;return}function YV(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;d=u;u=u+16|0;e=d;if(!a){f[e>>2]=0;f[e+4>>2]=0;g=YG(e,20)|0;h=273329;i=g+20|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));SV(-27,e,219722,327)}if((c|0)<0){f[e>>2]=0;f[e+4>>2]=0;g=YG(e,35)|0;h=219740;i=g+35|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));SV(-211,e,219722,330)}j=a+20|0;k=f[j>>2]|0;l=a+16|0;if(k>>>0>=c>>>0){m=k;n=a+8|0;o=f[n>>2]|0;p=f[l>>2]|0;q=o+p|0;r=0-m|0;s=q+r|0;t=m-c|0;v=t&-8;f[j>>2]=v;u=d;return s|0}if(((f[l>>2]|0)+-8&-8)>>>0<c>>>0){f[e>>2]=0;f[e+4>>2]=0;g=YG(e,37)|0;h=219776;i=g+37|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));SV(-211,e,219722,338)}ZV(a);m=f[j>>2]|0;n=a+8|0;o=f[n>>2]|0;p=f[l>>2]|0;q=o+p|0;r=0-m|0;s=q+r|0;t=m-c|0;v=t&-8;f[j>>2]=v;u=d;return s|0}function ZV(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;b=u;u=u+16|0;c=b;if(!a){f[c>>2]=0;f[c+4>>2]=0;SV(-27,c,219814,218)}d=a+8|0;e=f[d>>2]|0;if((e|0)!=0?(g=f[e+4>>2]|0,(g|0)!=0):0)h=g;else{g=f[a+12>>2]|0;do if(g){e=g+8|0;i=f[e>>2]|0;j=g+20|0;k=f[j>>2]|0;ZV(g);l=f[e>>2]|0;m=f[g+16>>2]|0;if((k|0)>(m|0)){f[c>>2]=0;f[c+4>>2]=0;SV(-201,c,219699,290)}f[e>>2]=i;f[j>>2]=k;if(!i){k=f[g+4>>2]|0;f[e>>2]=k;f[j>>2]=(k|0)==0?0:m+-8|0;n=k;o=k}else{n=i;o=i}if((l|0)==(n|0)){f[g+4>>2]=0;f[e>>2]=0;f[j>>2]=0;p=l;break}j=l+4|0;f[n+4>>2]=f[j>>2];e=f[j>>2]|0;if(!e)p=l;else{f[e>>2]=o;p=l}}else p=uE(f[a+16>>2]|0)|0;while(0);f[p+4>>2]=0;o=f[d>>2]|0;f[p>>2]=o;if(!o){f[a+4>>2]=p;q=d}else q=o+4|0;f[q>>2]=p;p=f[(f[d>>2]|0)+4>>2]|0;if(!p){r=a+16|0;s=f[r>>2]|0;t=s+-8|0;v=a+20|0;f[v>>2]=t;u=b;return}else h=p}f[d>>2]=h;r=a+16|0;s=f[r>>2]|0;t=s+-8|0;v=a+20|0;f[v>>2]=t;u=b;return}function _V(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;g=a;f[g>>2]=0;f[g+4>>2]=0;if((e|0)>-1)h=e;else h=s8b(d)|0;f[a>>2]=h;e=YV(c,h+1|0)|0;f[a+4>>2]=e;Krc(e|0,d|0,h|0)|0;b[e+h>>0]=0;return}function $V(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+16|0;h=g;if(!e){f[h>>2]=0;f[h+4>>2]=0;SV(-27,h,219832,377)}if(c>>>0<56|(d|0)==0){f[h>>2]=0;f[h+4>>2]=0;SV(-201,h,219832,379)}i=YV(e,c)|0;Drc(i|0,0,c|0)|0;f[i+4>>2]=c;f[i>>2]=a&65535|1117323264;c=(a>>>3&511)+1<<(47696>>>(a<<1&14)&3);a:do if(c|0){switch(a&4095){case 0:case 7:{break a;break}default:{}}if((c|0)!=(d|0)){f[h>>2]=0;f[h+4>>2]=0;j=YG(h,110)|0;k=219844;l=j+110|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SV(-201,h,219832,395)}}while(0);f[i+28>>2]=d;f[i+44>>2]=e;aW(i,1024/(d>>>0)|0);u=g;return i|0}function aW(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+16|0;e=d;if(!a){f[e>>2]=0;g=e+4|0;f[g>>2]=0;SV(-27,e,219955,415)}h=f[a+44>>2]|0;if(!h){f[e>>2]=0;g=e+4|0;f[g>>2]=0;SV(-27,e,219955,415)}if((c|0)<0){f[e>>2]=0;f[e+4>>2]=0;SV(-211,e,219955,417)}g=(f[h+16>>2]|0)+-28&-8;h=f[a+28>>2]|0;if(!c){i=1024/(h|0)|0;j=(i|0)>1?i:1}else j=c;if((Y(j,h)|0)<=(g|0)){k=j;l=a+40|0;f[l>>2]=k;u=d;return}j=(g|0)/(h|0)|0;if(!j){f[e>>2]=0;f[e+4>>2]=0;h=YG(e,60)|0;g=219973;c=h+60|0;do{b[h>>0]=b[g>>0]|0;h=h+1|0;g=g+1|0}while((h|0)<(c|0));SV(-211,e,219955,433)}else{k=j;l=a+40|0;f[l>>2]=k;u=d;return}}function bW(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[a+24>>2]|0;if(c>>>0<=b>>>0){d=((b|0)<0?c:0)+b|0;e=d-((d|0)>=(c|0)?c:0)|0;if(e>>>0<c>>>0)g=e;else{h=0;return h|0}}else g=b;b=f[a+52>>2]|0;if((g<<1|0)<=(c|0)){e=f[b+12>>2]|0;if((g|0)<(e|0)){i=b;j=g}else{d=b;k=g;l=e;while(1){e=f[d+4>>2]|0;m=k-l|0;l=f[e+12>>2]|0;if((m|0)<(l|0)){i=e;j=m;break}else{d=e;k=m}}}}else{k=c;c=b;do{c=f[c>>2]|0;k=k-(f[c+12>>2]|0)|0}while((g|0)<(k|0));i=c;j=g-k|0}h=(f[i+16>>2]|0)+(Y(f[a+28>>2]|0,j)|0)|0;return h|0}function cW(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+48|0;e=d+8|0;g=d;if(!((a|0)!=0&(b|0)!=0)){f[g>>2]=0;f[g+4>>2]=0;SV(-27,g,220066,551)}g=f[a+28>>2]|0;h=c;c=f[h>>2]|0;i=f[h+4>>2]|0;h=f[a+24>>2]|0;if((i|0)==(c|0))j=0;else j=i-c+((c|0)<0?0-h|0:0)+((i|0)<1?h:0)|0;while(1)if((j|0)<0)j=j+h|0;else break;i=Y((j|0)>(h|0)?h:j,g)|0;if(!i){k=0;u=d;return k|0}j=e+4|0;h=e+8|0;l=e+20|0;m=e+12|0;n=j+4|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;f[e>>2]=32;f[j>>2]=a;j=f[a+52>>2]|0;if(!j){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0}else{a=f[j>>2]|0;n=f[j+16>>2]|0;f[m>>2]=n;o=(f[a+16>>2]|0)+(Y((f[a+12>>2]|0)+-1|0,g)|0)|0;f[e+28>>2]=o;f[e+24>>2]=f[j+8>>2];o=n;f[h>>2]=j;f[e+16>>2]=o;n=o+(Y(f[j+12>>2]|0,g)|0)|0;f[l>>2]=n}dW(e,c,0);c=i;i=b;e=f[m>>2]|0;n=f[l>>2]|0;while(1){j=n-e|0;o=(j|0)>(c|0)?c:j;Krc(i|0,e|0,o|0)|0;j=f[(f[h>>2]|0)+4>>2]|0;f[h>>2]=j;e=f[j+16>>2]|0;f[m>>2]=e;n=e+(Y(f[j+12>>2]|0,g)|0)|0;f[l>>2]=n;c=c-o|0;if((c|0)<=0){k=b;break}else i=i+o|0}u=d;return k|0}function dW(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;d=u;u=u+16|0;e=d;if(!a){f[e>>2]=0;g=e+4|0;f[g>>2]=0;SV(-27,e,220082,1045)}h=f[a+4>>2]|0;if(!h){f[e>>2]=0;g=e+4|0;f[g>>2]=0;SV(-27,e,220082,1045)}g=f[h+24>>2]|0;i=f[h+28>>2]|0;if(c|0){c=a+12|0;j=f[c>>2]|0;k=Y(i,b)|0;l=a+8|0;m=f[l>>2]|0;n=j+k|0;if((k|0)>0){o=a+20|0;p=f[o>>2]|0;if(n>>>0<p>>>0)q=n;else{r=j;s=m;t=k;v=p;do{t=t+r-v|0;s=f[s+4>>2]|0;r=f[s+16>>2]|0;p=Y(f[s+12>>2]|0,i)|0;v=r+p|0}while((t|0)>=(p|0));f[l>>2]=s;f[a+16>>2]=r;f[o>>2]=v;q=r+t|0}}else{t=a+16|0;r=f[t>>2]|0;if(n>>>0<r>>>0){v=j;j=m;m=k;k=r;do{m=m+v-k|0;j=f[j>>2]|0;k=f[j+16>>2]|0;v=k+(Y(f[j+12>>2]|0,i)|0)|0;w=v+m|0}while(w>>>0<k>>>0);f[l>>2]=j;f[t>>2]=k;f[a+20>>2]=v;q=w}else q=n}f[c>>2]=q;u=d;return}do if((b|0)<0)if((b|0)<(0-g|0)){f[e>>2]=0;f[e+4>>2]=0;SV(-211,e,220082,1055)}else{x=g+b|0;break}else if((g|0)<=(b|0)){q=b-g|0;if((q|0)<(g|0))x=q;else{f[e>>2]=0;f[e+4>>2]=0;SV(-211,e,220082,1062)}}else x=b;while(0);b=f[h+52>>2]|0;h=f[b+12>>2]|0;a:do if((x|0)<(h|0)){y=x;z=b;A=h}else{if((x<<1|0)>(g|0)){B=g;C=b}else{e=b;q=h;c=x;while(1){n=f[e+4>>2]|0;w=c-q|0;v=f[n+12>>2]|0;if((w|0)<(v|0)){y=w;z=n;A=v;break a}else{e=n;q=v;c=w}}}do{C=f[C>>2]|0;D=f[C+12>>2]|0;B=B-D|0}while((x|0)<(B|0));y=x-B|0;z=C;A=D}while(0);D=f[z+16>>2]|0;C=D+(Y(y,i)|0)|0;f[a+12>>2]=C;C=a+8|0;if((f[C>>2]|0)==(z|0)){u=d;return}f[C>>2]=z;f[a+16>>2]=D;z=D+(Y(A,i)|0)|0;f[a+20>>2]=z;u=d;return}function eW(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+16|0;e=d;if(!b){f[e>>2]=0;g=e+4|0;f[g>>2]=0;SV(-27,e,220100,945)}h=b+4|0;i=b+8|0;j=b+12|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;if(!a){f[e>>2]=0;g=e+4|0;f[g>>2]=0;SV(-27,e,220100,945)}f[b>>2]=32;f[h>>2]=a;h=f[a+52>>2]|0;if(!h){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;u=d;return}e=f[h>>2]|0;g=f[h+16>>2]|0;f[j>>2]=g;k=f[e+16>>2]|0;l=f[a+28>>2]|0;a=k+(Y((f[e+12>>2]|0)+-1|0,l)|0)|0;m=b+28|0;f[m>>2]=a;f[b+24>>2]=f[h+8>>2];if(!c){n=h;o=g}else{f[j>>2]=a;f[m>>2]=g;n=e;o=k}f[i>>2]=n;f[b+16>>2]=o;i=o+(Y(f[n+12>>2]|0,l)|0)|0;f[b+20>>2]=i;u=d;return}function fW(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0;j=u;u=u+16|0;k=j;if((c|0)<56|(d|0)<1|(g|0)<0){f[k>>2]=0;f[k+4>>2]=0;SV(-201,k,220115,590)}if(!h){f[k>>2]=0;l=k+4|0;f[l>>2]=0;SV(-27,k,220115,593)}m=(g|0)>0;if(m&((e|0)==0|(i|0)==0)){f[k>>2]=0;l=k+4|0;f[l>>2]=0;SV(-27,k,220115,593)}Drc(h|0,0,c|0)|0;f[h+4>>2]=c;f[h>>2]=a&65535|1117323264;c=(a>>>3&511)+1<<(47696>>>(a<<1&14)&3);if(!((c|0)==(d|0)|((a&4095|0)==0|(c|0)==0))){f[k>>2]=0;f[k+4>>2]=0;c=YG(k,106)|0;a=220139;l=c+106|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(l|0));SV(-201,k,220115,607)}f[h+28>>2]=d;f[h+24>>2]=g;k=e+(Y(g,d)|0)|0;f[h+36>>2]=k;f[h+32>>2]=k;if(!m){u=j;return h|0}f[h+52>>2]=i;f[i+4>>2]=i;f[i>>2]=i;f[i+8>>2]=0;f[i+12>>2]=g;f[i+16>>2]=e;u=j;return h|0}function gW(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;if(!((a|0)!=0&(b|0)!=0)){f[d>>2]=0;f[d+4>>2]=0;SV(-27,d,220246,820)}d=b+8|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[b>>2]=24;f[b+4>>2]=a;d=f[a+52>>2]|0;if(!d)e=0;else e=f[d>>2]|0;f[b+8>>2]=e;f[b+12>>2]=f[a+36>>2];f[b+20>>2]=f[a+32>>2];u=c;return}function hW(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;g=u;u=u+16|0;h=g;if(!((d|0)!=0&(e|0)!=0)){f[h>>2]=0;f[h+4>>2]=0;SV(-27,h,220265,838)}i=$V(a,b,c,d)|0;if(!i){f[h>>2]=0;f[h+4>>2]=0;SV(-27,h,220246,820)}h=e+8|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[e>>2]=24;f[e+4>>2]=i;d=f[i+52>>2]|0;if(!d)j=0;else j=f[d>>2]|0;f[h>>2]=j;f[e+12>>2]=f[i+36>>2];f[e+20>>2]=f[i+32>>2];u=g;return}function iW(a){a=a|0;var b=0,c=0,d=0,e=0;b=u;u=u+16|0;c=b;if(!a){f[c>>2]=0;f[c+4>>2]=0;SV(-27,c,220281,850)}c=f[a+4>>2]|0;d=f[a+12>>2]|0;f[c+36>>2]=d;e=f[a+8>>2]|0;if(!e){u=b;return}a=f[c+52>>2]|0;f[e+12>>2]=(d-(f[e+16>>2]|0)|0)/(f[c+28>>2]|0)|0;e=a;d=0;do{d=(f[e+12>>2]|0)+d|0;e=f[e+4>>2]|0}while((e|0)!=(a|0));f[c+24>>2]=d;u=b;return}function jW(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;b=u;u=u+16|0;c=b;if(!a){f[c>>2]=0;f[c+4>>2]=0;SV(-27,c,220298,881)}c=f[a+4>>2]|0;d=a+12|0;e=f[d>>2]|0;f[c+36>>2]=e;g=f[a+8>>2]|0;a=e;if(!g){f[d>>2]=0;u=b;return c|0}e=f[c+52>>2]|0;f[g+12>>2]=(a-(f[g+16>>2]|0)|0)/(f[c+28>>2]|0)|0;g=e;h=0;do{h=(f[g+12>>2]|0)+h|0;g=f[g+4>>2]|0}while((g|0)!=(e|0));f[c+24>>2]=h;h=f[c+44>>2]|0;if(!h){f[d>>2]=0;u=b;return c|0}e=(f[h+8>>2]|0)+(f[h+16>>2]|0)|0;g=h+20|0;h=c+32|0;if((e+(0-(f[g>>2]|0))-(f[h>>2]|0)|0)>>>0>=8){f[d>>2]=0;u=b;return c|0}f[g>>2]=e-a&-8;f[h>>2]=a;f[d>>2]=0;u=b;return c|0}function kW(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;b=u;u=u+16|0;c=b;if(!a){f[c>>2]=0;d=c+4|0;f[d>>2]=0;SV(-27,c,220312,912)}e=f[a+4>>2]|0;if(!e){f[c>>2]=0;d=c+4|0;f[d>>2]=0;SV(-27,c,220312,912)}c=a+12|0;d=f[c>>2]|0;g=e+36|0;f[g>>2]=d;h=a+8|0;i=f[h>>2]|0;j=e+52|0;if(i|0){k=f[j>>2]|0;f[i+12>>2]=(d-(f[i+16>>2]|0)|0)/(f[e+28>>2]|0)|0;i=k;d=0;do{d=(f[i+12>>2]|0)+d|0;i=f[i+4>>2]|0}while((i|0)!=(k|0));f[e+24>>2]=d}lW(e,0);f[h>>2]=f[f[j>>2]>>2];f[c>>2]=f[g>>2];f[a+20>>2]=f[e+32>>2];u=b;return}function lW(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+16|0;e=d;if(!a){f[e>>2]=0;f[e+4>>2]=0;SV(-27,e,220329,637)}g=a+48|0;h=f[g>>2]|0;if(!h){i=a+28|0;j=f[i>>2]|0;k=f[a+40>>2]|0;l=f[a+44>>2]|0;if((f[a+24>>2]|0)>=(k<<2|0))aW(a,k<<1);if(!l){f[e>>2]=0;f[e+4>>2]=0;m=YG(e,37)|0;n=220340;o=m+37|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SV(-27,e,220329,650)}e=(f[l+8>>2]|0)+(f[l+16>>2]|0)|0;n=l+20|0;m=f[n>>2]|0;o=a+32|0;p=f[o>>2]|0;if((e+(0-m)-p|0)>>>0<8?!(c|0?1:(m|0)<(f[i>>2]|0)):0){q=(m|0)/(j|0)|0;r=p+(Y((q|0)>(k|0)?k:q,j)|0)|0;f[o>>2]=r;f[n>>2]=e-r&-8;u=d;return}r=(Y(k,j)|0)+24|0;do if((m|0)<(r|0))if((m|0)<((Y((k|0)>5?(k|0)/3|0:1,j)|0)+32|0)){ZV(l);s=r;break}else{s=m-((m+-24|0)%(f[i>>2]|0)|0)|0;break}else s=r;while(0);r=YV(l,s)|0;f[r+16>>2]=r+20+7&-8;f[r+12>>2]=s+-24;f[r+4>>2]=0;f[r>>2]=0;t=r}else{f[g>>2]=f[h+4>>2];t=h}h=a+52|0;g=f[h>>2]|0;if(!g){f[h>>2]=t;v=t;w=t;x=t}else{f[t>>2]=f[g>>2];f[g>>2]=t;v=g;w=t;x=(f[t>>2]|0)+4|0}f[t+4>>2]=v;f[x>>2]=t;x=f[t+12>>2]|0;v=t+16|0;g=f[v>>2]|0;r=f[w>>2]|0;if(c){c=(x|0)/(f[a+28>>2]|0)|0;w=g+x|0;f[v>>2]=w;if((t|0)==(r|0)){f[a+36>>2]=w;f[a+32>>2]=w;y=f[h>>2]|0}else{f[h>>2]=t;y=t}f[t+8>>2]=c;h=f[t+4>>2]|0;if((h|0)==(y|0))z=y;else{w=h;do{f[w+8>>2]=(f[w+8>>2]|0)+c;w=f[w+4>>2]|0}while((w|0)!=(y|0));z=y}}else{f[a+36>>2]=g;f[a+32>>2]=g+x;if((t|0)==(r|0))A=0;else A=(f[r+12>>2]|0)+(f[r+8>>2]|0)|0;f[t+8>>2]=A;z=t}f[z+12>>2]=0;u=d;return}function mW(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=u;u=u+16|0;d=c;if(!a){f[d>>2]=0;f[d+4>>2]=0;SV(-27,d,220378,995)}d=a+8|0;e=f[d>>2]|0;g=f[(f[a+4>>2]|0)+28>>2]|0;if((b|0)>0){b=f[e+4>>2]|0;f[d>>2]=b;h=f[b+16>>2]|0;i=h;j=h;k=f[b+12>>2]|0}else{b=f[e>>2]|0;f[d>>2]=b;d=f[b+16>>2]|0;e=f[b+12>>2]|0;i=d+(Y(e+-1|0,g)|0)|0;j=d;k=e}f[a+12>>2]=i;f[a+16>>2]=j;i=j+(Y(k,g)|0)|0;f[a+20>>2]=i;u=c;return}function nW(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=u;u=u+16|0;d=c;if(!a){f[d>>2]=0;f[d+4>>2]=0;SV(-27,d,220413,1138)}d=f[a+28>>2]|0;e=a+36|0;g=f[e>>2]|0;if(g>>>0<(f[a+32>>2]|0)>>>0)h=g;else{lW(a,0);h=f[e>>2]|0}if(b|0)Krc(h|0,b|0,d|0)|0;b=(f[f[a+52>>2]>>2]|0)+12|0;f[b>>2]=(f[b>>2]|0)+1;b=a+24|0;f[b>>2]=(f[b>>2]|0)+1;f[e>>2]=h+d;u=c;return h|0}function oW(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=u;u=u+16|0;d=c;if(!a){f[d>>2]=0;f[d+4>>2]=0;SV(-27,d,220423,1169)}e=a+24|0;g=f[e>>2]|0;if((g|0)<1){f[d>>2]=0;f[d+4>>2]=0;SV(-201,d,220423,1171)}d=a+28|0;h=f[d>>2]|0;i=a+36|0;j=(f[i>>2]|0)+(0-h)|0;f[i>>2]=j;if(!b)k=g;else{Krc(b|0,j|0,h|0)|0;k=f[e>>2]|0}f[i>>2]=j;f[e>>2]=k+-1;k=a+52|0;h=f[k>>2]|0;b=f[h>>2]|0;g=b+12|0;l=(f[g>>2]|0)+-1|0;f[g>>2]=l;if(l|0){u=c;return}l=f[d>>2]|0;d=a+32|0;if((h|0)==(b|0)){m=f[d>>2]|0;n=h+16|0;o=(Y(f[h+8>>2]|0,l)|0)+(m-(f[n>>2]|0))|0;f[h+12>>2]=o;f[n>>2]=m+(0-o);f[k>>2]=0;f[d>>2]=0;f[i>>2]=0;f[e>>2]=0;p=h}else{f[g>>2]=(f[d>>2]|0)-j;j=f[b>>2]|0;g=(f[j+16>>2]|0)+(Y(f[j+12>>2]|0,l)|0)|0;f[i>>2]=g;f[d>>2]=g;g=b+4|0;f[j+4>>2]=f[g>>2];f[f[g>>2]>>2]=j;p=b}b=a+48|0;f[p+4>>2]=f[b>>2];f[b>>2]=p;u=c;return}function pW(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;g=u;u=u+16|0;h=g;if(!a){f[h>>2]=0;f[h+4>>2]=0;i=YG(h,21)|0;j=220432;k=i+21|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SV(-27,h,220454,1459)}if((d|0)<0){f[h>>2]=0;f[h+4>>2]=0;i=YG(h,38)|0;j=220469;k=i+38|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SV(-201,h,220454,1461)}h=f[a+28>>2]|0;if(!e){if((d|0)<=0){u=g;return}e=a+32|0;j=a+36|0;i=a+52|0;k=a+24|0;l=d;m=c;while(1){n=f[j>>2]|0;o=((f[e>>2]|0)-n|0)/(h|0)|0;p=(o|0)>(l|0)?l:o;if((p|0)>0){o=(f[f[i>>2]>>2]|0)+12|0;f[o>>2]=(f[o>>2]|0)+p;f[k>>2]=(f[k>>2]|0)+p;o=l-p|0;q=Y(p,h)|0;if(!m){r=0;s=n}else{Krc(n|0,m|0,q|0)|0;r=m+q|0;s=f[j>>2]|0}f[j>>2]=s+q;if((o|0)>0){t=o;v=r}else break}else{t=l;v=m}lW(a,0);l=t;m=v}u=g;return}v=a+52|0;m=f[v>>2]|0;if((d|0)<=0){u=g;return}t=a+24|0;if(!c){l=m;r=d;while(1){if((l|0)!=0?(s=f[l+8>>2]|0,(s|0)!=0):0){w=l;x=s}else{lW(a,1);s=f[v>>2]|0;w=s;x=f[s+8>>2]|0}s=(x|0)>(r|0)?r:x;r=r-s|0;f[w+8>>2]=x-s;j=w+12|0;f[j>>2]=(f[j>>2]|0)+s;f[t>>2]=(f[t>>2]|0)+s;j=Y(s,h)|0;s=w+16|0;f[s>>2]=(f[s>>2]|0)+(0-j);if((r|0)<=0)break;else l=w}u=g;return}else{w=m;m=d;while(1){if((w|0)!=0?(d=f[w+8>>2]|0,(d|0)!=0):0){y=w;z=d}else{lW(a,1);d=f[v>>2]|0;y=d;z=f[d+8>>2]|0}d=(z|0)>(m|0)?m:z;m=m-d|0;f[y+8>>2]=z-d;l=y+12|0;f[l>>2]=(f[l>>2]|0)+d;f[t>>2]=(f[t>>2]|0)+d;l=Y(d,h)|0;d=y+16|0;r=(f[d>>2]|0)+(0-l)|0;f[d>>2]=r;Krc(r|0,c+(Y(m,h)|0)|0,l|0)|0;if((m|0)<=0)break;else w=y}u=g;return}}function qW(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;g=u;u=u+16|0;h=g;if(!a){f[h>>2]=0;f[h+4>>2]=0;i=YG(h,21)|0;j=220432;k=i+21|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SV(-27,h,220508,1528)}if((d|0)<0){f[h>>2]=0;f[h+4>>2]=0;i=YG(h,38)|0;j=220469;k=i+38|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SV(-201,h,220508,1530)}h=a+24|0;j=f[h>>2]|0;i=(j|0)<(d|0)?j:d;if(!e){if(!c)l=0;else l=c+(Y(f[a+28>>2]|0,i)|0)|0;if((i|0)<=0){u=g;return}e=a+52|0;d=a+28|0;k=a+36|0;m=a+32|0;n=a+48|0;o=l;l=i;p=f[e>>2]|0;q=j;while(1){r=f[p>>2]|0;s=r+12|0;t=f[s>>2]|0;v=(t|0)>(l|0)?l:t;w=t-v|0;f[s>>2]=w;f[h>>2]=q-v;s=l-v|0;t=Y(f[d>>2]|0,v)|0;v=0-t|0;x=(f[k>>2]|0)+v|0;f[k>>2]=x;if(!o){y=0;z=r;A=w;B=p}else{w=o+v|0;Krc(w|0,x|0,t|0)|0;t=f[e>>2]|0;x=f[t>>2]|0;y=w;z=x;A=f[x+12>>2]|0;B=t}t=z+12|0;if(!A){x=f[d>>2]|0;if((B|0)==(z|0)){w=f[m>>2]|0;v=z+16|0;r=(Y(f[z+8>>2]|0,x)|0)+(w-(f[v>>2]|0))|0;f[t>>2]=r;f[v>>2]=w+(0-r);f[e>>2]=0;f[m>>2]=0;f[k>>2]=0;f[h>>2]=0;C=z+4|0;D=0}else{f[t>>2]=(f[m>>2]|0)-(f[k>>2]|0);t=f[z>>2]|0;r=(f[t+16>>2]|0)+(Y(f[t+12>>2]|0,x)|0)|0;f[k>>2]=r;f[m>>2]=r;r=z+4|0;f[t+4>>2]=f[r>>2];f[f[r>>2]>>2]=t;C=r;D=B}f[C>>2]=f[n>>2];f[n>>2]=z;E=D}else E=B;if((s|0)<=0)break;o=y;l=s;p=E;q=f[h>>2]|0}u=g;return}else{if((i|0)<=0){u=g;return}q=a+52|0;E=a+28|0;p=a+32|0;l=a+36|0;y=a+48|0;a=f[q>>2]|0;o=i;i=c;c=a;B=a;a=j;while(1){j=B+12|0;D=f[j>>2]|0;z=(D|0)>(o|0)?o:D;f[j>>2]=D-z;f[h>>2]=a-z;D=o-z|0;j=B+8|0;f[j>>2]=(f[j>>2]|0)+z;j=Y(f[E>>2]|0,z)|0;if(!i){F=0;G=B;H=c}else{Krc(i|0,f[B+16>>2]|0,j|0)|0;z=f[q>>2]|0;F=i+j|0;G=z;H=z}z=G+16|0;f[z>>2]=(f[z>>2]|0)+j;if(!(f[G+12>>2]|0)){j=f[H>>2]|0;z=f[E>>2]|0;if((H|0)==(j|0)){n=f[p>>2]|0;C=H+16|0;m=(Y(f[H+8>>2]|0,z)|0)+(n-(f[C>>2]|0))|0;f[H+12>>2]=m;f[C>>2]=n+(0-m);f[q>>2]=0;f[p>>2]=0;f[l>>2]=0;f[h>>2]=0;I=H+4|0;J=0}else{m=H+8|0;n=f[m>>2]|0;C=Y(n,z)|0;f[H+12>>2]=C;z=H+16|0;f[z>>2]=(f[z>>2]|0)+(0-C);f[m>>2]=0;m=H+4|0;C=f[m>>2]|0;z=C;if((C|0)!=(H|0)){k=C;do{e=k+8|0;f[e>>2]=(f[e>>2]|0)-n;k=f[k+4>>2]|0}while((k|0)!=(H|0))}f[q>>2]=z;f[j+4>>2]=z;f[f[m>>2]>>2]=j;I=m;J=C}f[I>>2]=f[y>>2];f[y>>2]=H;K=J;L=J}else{K=H;L=G}if((D|0)<=0)break;o=D;i=F;c=K;B=L;a=f[h>>2]|0}u=g;return}}function rW(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;g=u;u=u+48|0;h=g+8|0;i=g;if(!a){f[i>>2]=0;j=i+4|0;f[j>>2]=0;k=YG(i,23)|0;l=k;m=220533;n=l+23|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SV(-5,i,220557,1610)}o=f[a>>2]|0;if((o&-65536|0)!=1117323264){f[i>>2]=0;j=i+4|0;f[j>>2]=0;k=YG(i,23)|0;l=k;m=220533;n=l+23|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SV(-5,i,220557,1610)}if(!d){k=f[a+44>>2]|0;if(!k){f[i>>2]=0;f[i+4>>2]=0;l=YG(i,20)|0;m=273329;n=l+20|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SV(-27,i,220557,1616)}else p=k}else p=d;d=a+28|0;k=f[d>>2]|0;j=c;q=f[j>>2]|0;r=f[j+4>>2]|0;j=f[a+24>>2]|0;if((r|0)==(q|0))s=0;else s=r-q+((q|0)<0?0-j|0:0)+((r|0)<1?j:0)|0;while(1)if((s|0)<0)s=s+j|0;else break;r=(s|0)>(j|0)?j:s;if((q|0)>=0)if((q|0)<(j|0))t=q;else{v=q-j|0;w=14}else{v=j+q|0;w=14}if((w|0)==14){f[c>>2]=v;t=v}if(r>>>0>j>>>0){f[i>>2]=0;x=i+4|0;f[x>>2]=0;y=YG(i,18)|0;l=y;m=220568;n=l+18|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SV(-211,i,220557,1627)}if((r|0)!=0&t>>>0>=j>>>0){f[i>>2]=0;x=i+4|0;f[x>>2]=0;y=YG(i,18)|0;l=y;m=220568;n=l+18|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SV(-211,i,220557,1627)}i=$V(o,f[a+4>>2]|0,k,p)|0;if((r|0)<=0){u=g;return i|0}o=h+4|0;m=h+8|0;l=h+20|0;n=h+12|0;y=o+4|0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;f[h>>2]=32;f[o>>2]=a;o=f[a+52>>2]|0;if(!o){f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;z=n}else{a=f[o>>2]|0;y=f[o+16>>2]|0;f[n>>2]=y;x=f[d>>2]|0;d=(f[a+16>>2]|0)+(Y((f[a+12>>2]|0)+-1|0,x)|0)|0;f[h+28>>2]=d;f[h+24>>2]=f[o+8>>2];d=y;f[m>>2]=o;f[h+16>>2]=d;y=d+(Y(f[o+12>>2]|0,x)|0)|0;f[l>>2]=y;z=n}dW(h,t,0);t=f[z>>2]|0;h=((f[l>>2]|0)-t|0)/(k|0)|0;k=i+52|0;l=i+24|0;if(!e){A=0;B=0;C=r;D=h}else{e=r;r=h;h=t;while(1){t=(r|0)>(e|0)?e:r;pW(i,h,t,0);e=e-t|0;t=f[(f[m>>2]|0)+4>>2]|0;f[m>>2]=t;h=f[t+16>>2]|0;f[z>>2]=h;if((e|0)<=0)break;else r=f[t+12>>2]|0}u=g;return i|0}while(1){r=(D|0)>(C|0)?C:D;e=A;A=YV(p,20)|0;if(!B){f[A+4>>2]=A;f[A>>2]=A;f[k>>2]=A;E=A;F=0}else{f[A>>2]=e;f[A+4>>2]=B;f[B>>2]=A;f[e+4>>2]=A;E=B;F=(f[e+12>>2]|0)+(f[e+8>>2]|0)|0}f[A+8>>2]=F;f[A+16>>2]=f[z>>2];f[A+12>>2]=r;f[l>>2]=(f[l>>2]|0)+r;C=C-r|0;r=f[(f[m>>2]|0)+4>>2]|0;f[m>>2]=r;f[z>>2]=f[r+16>>2];if((C|0)<=0)break;else{B=E;D=f[r+12>>2]|0}}u=g;return i|0}function sW(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0;e=u;u=u+1744|0;g=e+1728|0;h=e+1696|0;i=e+1664|0;j=e+128|0;k=e+96|0;l=e+64|0;m=e+32|0;n=e;o=(a|0)!=0;if(!o){p=o?-5:-27;f[g>>2]=0;q=g+4|0;f[q>>2]=0;r=YG(g,18)|0;s=r;t=220587;v=s+18|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));SV(p,g,220606,1921)}if((f[a>>2]&-65536|0)!=1117323264){p=o?-5:-27;f[g>>2]=0;q=g+4|0;f[q>>2]=0;r=YG(g,18)|0;s=r;t=220587;v=s+18|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));SV(p,g,220606,1921)}if(!c){f[g>>2]=0;f[g+4>>2]=0;s=YG(g,21)|0;t=220616;v=s+21|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));SV(-27,g,220606,1924)}t=a+24|0;if((f[t>>2]|0)<2){u=e;return}s=f[a+28>>2]|0;v=s*7|0;p=h+4|0;r=h+8|0;q=h+16|0;o=h+20|0;w=h+12|0;x=p+4|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;f[h>>2]=32;f[p>>2]=a;x=f[a+52>>2]|0;if(!x){f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;f[r+16>>2]=0;f[r+20>>2]=0;y=w;z=0;A=0;B=0}else{a=f[x>>2]|0;C=f[x+16>>2]|0;f[w>>2]=C;D=(f[a+16>>2]|0)+(Y((f[a+12>>2]|0)+-1|0,s)|0)|0;f[h+28>>2]=D;f[h+24>>2]=f[x+8>>2];D=C;f[r>>2]=x;f[q>>2]=D;a=D+(Y(f[x+12>>2]|0,s)|0)|0;f[o>>2]=a;y=w;z=x;A=C;B=a};f[i>>2]=f[h>>2];f[i+4>>2]=f[h+4>>2];f[i+8>>2]=f[h+8>>2];f[i+12>>2]=f[h+12>>2];f[i+16>>2]=f[h+16>>2];f[i+20>>2]=f[h+20>>2];f[i+24>>2]=f[h+24>>2];f[i+28>>2]=f[h+28>>2];f[j>>2]=z;f[j+4>>2]=A;f[j+8>>2]=A;f[j+12>>2]=B;z=i+12|0;a=0-s|0;C=(f[z>>2]|0)+a|0;f[z>>2]=C;x=i+16|0;D=f[x>>2]|0;E=i+8|0;if(C>>>0<D>>>0){F=i+4|0;G=f[(f[F>>2]|0)+28>>2]|0;H=f[f[E>>2]>>2]|0;f[E>>2]=H;I=f[H+16>>2]|0;J=f[H+12>>2]|0;K=I+(Y(J+-1|0,G)|0)|0;f[z>>2]=K;f[x>>2]=I;L=I+(Y(J,G)|0)|0;G=i+20|0;f[G>>2]=L;M=I;N=K;O=E;P=G;Q=G;R=F;S=H;T=L}else{L=i+20|0;M=D;N=C;O=E;P=L;Q=L;R=i+4|0;S=f[E>>2]|0;T=f[L>>2]|0}L=N;N=M;f[j+16>>2]=S;f[j+20>>2]=L;f[j+24>>2]=N;f[j+28>>2]=T;M=i+24|0;C=i+28|0;D=l+4|0;H=l+8|0;F=l+12|0;G=l+16|0;K=l+20|0;I=l+24|0;J=l+28|0;U=m+12|0;V=h+24|0;W=(s|0)>0;X=k+12|0;Z=k+4|0;_=k+16|0;$=k+8|0;aa=k+24|0;ba=m+20|0;ca=n+12|0;da=n+20|0;ea=n+8|0;fa=n+4|0;ga=n+16|0;ha=m+8|0;ia=m+4|0;ja=m+16|0;ka=k+20|0;la=(s|0)<1;ma=W^1;na=(s|0)==1;oa=(s|0)==1;pa=(s|0)==1;qa=(s|0)==1;ra=0;sa=A;ta=A;A=B;B=S;S=L;L=N;N=T;a:while(1){T=f[j+(ra<<5)>>2]|0;f[r>>2]=T;f[y>>2]=sa;f[q>>2]=ta;f[o>>2]=A;f[O>>2]=B;f[z>>2]=S;f[x>>2]=L;f[Q>>2]=N;ua=ra+-1|0;va=T;T=B;b:while(1){if((va|0)==(T|0)){wa=f[z>>2]|0;xa=f[y>>2]|0;ya=wa+s-xa|0;za=wa;Aa=xa}else{xa=f[z>>2]|0;if(!xa){Ba=20;break a}wa=f[(f[R>>2]|0)+28>>2]|0;Ca=xa-(f[x>>2]|0)|0;if((wa|0)<33?(Da=wa+-1|0,(-2147450741>>>Da&1|0)!=0):0)Ea=Ca>>b[220034+Da>>0];else Ea=(Ca|0)/(wa|0)|0;wa=f[T+8>>2]|0;Ca=f[M>>2]|0;Da=f[w>>2]|0;if(!Da){Ba=26;break a}Fa=f[(f[p>>2]|0)+28>>2]|0;Ga=Da-(f[q>>2]|0)|0;if((Fa|0)<33?(Ha=Fa+-1|0,(-2147450741>>>Ha&1|0)!=0):0)Ia=Ga>>b[220034+Ha>>0];else Ia=(Ga|0)/(Fa|0)|0;ya=Y(Ea+1+wa-Ca-Ia-(f[va+8>>2]|0)+(f[V>>2]|0)|0,s)|0;za=xa;Aa=Da}if((ya|0)<=(v|0)){Ja=ua;Ka=va;La=Aa;Ba=33;break};f[m>>2]=f[h>>2];f[m+4>>2]=f[h+4>>2];f[m+8>>2]=f[h+8>>2];f[m+12>>2]=f[h+12>>2];f[m+16>>2]=f[h+16>>2];f[m+20>>2]=f[h+20>>2];f[m+24>>2]=f[h+24>>2];f[m+28>>2]=f[h+28>>2];f[k>>2]=f[h>>2];f[k+4>>2]=f[h+4>>2];f[k+8>>2]=f[h+8>>2];f[k+12>>2]=f[h+12>>2];f[k+16>>2]=f[h+16>>2];f[k+20>>2]=f[h+20>>2];f[k+24>>2]=f[h+24>>2];f[k+28>>2]=f[h+28>>2];Da=f[R>>2]|0;xa=f[x>>2]|0;Ca=f[Q>>2]|0;wa=f[M>>2]|0;Fa=f[C>>2]|0;f[l>>2]=f[i>>2];f[D>>2]=Da;f[H>>2]=T;f[F>>2]=za;f[G>>2]=xa;f[K>>2]=Ca;f[I>>2]=wa;f[J>>2]=Fa;Fa=(ya|0)/(s|0)|0;do if((Fa|0)>40){Ca=Fa>>>3;Ga=f[U>>2]|0;dW(m,Ca,1);Ha=f[U>>2]|0;dW(m,Ca,1);Ma=f[U>>2]|0;Na=(ki[c&511](Ga,Ha,d)|0)<0;Oa=ki[c&511](Ha,Ma,d)|0;if(Na)if((Oa|0)<0)Pa=Ha;else{Na=(ki[c&511](Ga,Ma,d)|0)<0;Pa=Na?Ma:Ga}else if((Oa|0)>0)Pa=Ha;else{Ha=(ki[c&511](Ga,Ma,d)|0)<0;Pa=Ha?Ga:Ma}Ma=Fa>>>1;Ga=Ca*3|0;dW(m,Ma-Ga|0,1);Ha=f[U>>2]|0;dW(m,Ca,1);Oa=f[U>>2]|0;dW(m,Ca,1);Na=f[U>>2]|0;Qa=(ki[c&511](Ha,Oa,d)|0)<0;Ra=ki[c&511](Oa,Na,d)|0;if(Qa)if((Ra|0)<0)Sa=Oa;else{Qa=(ki[c&511](Ha,Na,d)|0)<0;Sa=Qa?Na:Ha}else if((Ra|0)>0)Sa=Oa;else{Oa=(ki[c&511](Ha,Na,d)|0)<0;Sa=Oa?Ha:Na}dW(m,Fa+-1-Ma-Ga|0,1);Ga=f[U>>2]|0;dW(m,Ca,1);Ma=f[U>>2]|0;dW(m,Ca,1);Ca=f[U>>2]|0;Na=(ki[c&511](Ga,Ma,d)|0)<0;Ha=ki[c&511](Ma,Ca,d)|0;if(Na){if((Ha|0)<0){Ta=Pa;Ua=Sa;Va=Ma;break}Na=(ki[c&511](Ga,Ca,d)|0)<0;Ta=Pa;Ua=Sa;Va=Na?Ca:Ga;break}else{if((Ha|0)>0){Ta=Pa;Ua=Sa;Va=Ma;break}Ma=(ki[c&511](Ga,Ca,d)|0)<0;Ta=Pa;Ua=Sa;Va=Ma?Ga:Ca;break}}else{Ca=f[U>>2]|0;Ga=(Fa|0)/2|0;dW(m,Ga,1);Ma=f[U>>2]|0;dW(m,Fa+-1-Ga|0,1);Ta=Ca;Ua=Ma;Va=f[U>>2]|0}while(0);Fa=(ki[c&511](Ta,Ua,d)|0)<0;Ma=ki[c&511](Ua,Va,d)|0;if(Fa)if((Ma|0)<0)Wa=Ua;else{Fa=(ki[c&511](Ta,Va,d)|0)<0;Wa=Fa?Va:Ta}else if((Ma|0)>0)Wa=Ua;else{Ma=(ki[c&511](Ta,Va,d)|0)<0;Wa=Ma?Ta:Va};f[h>>2]=f[k>>2];f[h+4>>2]=f[k+4>>2];f[h+8>>2]=f[k+8>>2];f[h+12>>2]=f[k+12>>2];f[h+16>>2]=f[k+16>>2];f[h+20>>2]=f[k+20>>2];f[h+24>>2]=f[k+24>>2];f[h+28>>2]=f[k+28>>2];Ma=f[w>>2]|0;if((Wa|0)==(Ma|0)|ma)Xa=Ma;else{Fa=0;Ca=Ma;while(1){Ma=Wa+Fa|0;Ga=b[Ma>>0]|0;b[Ma>>0]=b[Ca+Fa>>0]|0;b[(f[w>>2]|0)+Fa>>0]=Ga;Fa=Fa+1|0;Ga=f[w>>2]|0;if((Fa|0)==(s|0)){Xa=Ga;break}else Ca=Ga}}Ca=Xa+s|0;f[w>>2]=Ca;Fa=f[o>>2]|0;if(Ca>>>0<Fa>>>0){Ya=Ca;Za=f[q>>2]|0;_a=Fa;$a=f[p>>2]|0;ab=f[r>>2]|0}else{Fa=f[p>>2]|0;Ca=f[Fa+28>>2]|0;Ga=f[(f[r>>2]|0)+4>>2]|0;f[r>>2]=Ga;Ma=f[Ga+16>>2]|0;Ha=f[Ga+12>>2]|0;f[w>>2]=Ma;f[q>>2]=Ma;Na=Ma+(Y(Ha,Ca)|0)|0;f[o>>2]=Na;Ya=Ma;Za=Ma;_a=Na;$a=Fa;ab=Ga}Ga=f[V>>2]|0;Fa=Da+28|0;Na=$a+28|0;Ma=0;Ca=Ya;Ha=xa;Oa=Za;Ra=_a;Qa=T;bb=ab;cb=za;db=Ya;eb=f[z>>2]|0;while(1){c:do if((db|0)==(eb|0)){fb=Ma;gb=Ca;hb=Oa;ib=Ra;jb=bb}else{if(W){kb=Ma;lb=Ca;mb=Oa;nb=Ra;ob=bb;pb=db}else{qb=Ma;rb=Ca;sb=Oa;tb=Ra;ub=bb;vb=db;while(1){wb=ki[c&511](vb,Xa,d)|0;if((wb|0)>=1){fb=qb;gb=rb;hb=sb;ib=tb;jb=ub;break c}do if(!wb){xb=rb+s|0;if(xb>>>0<tb>>>0){yb=1;zb=xb;Ab=sb;Bb=tb;Cb=ub;break}xb=f[ub+4>>2]|0;Db=f[xb+16>>2]|0;yb=1;zb=Db;Ab=Db;Bb=Db+(Y(f[xb+12>>2]|0,f[Na>>2]|0)|0)|0;Cb=xb}else{yb=qb;zb=rb;Ab=sb;Bb=tb;Cb=ub}while(0);wb=(f[w>>2]|0)+s|0;f[w>>2]=wb;if(wb>>>0<(f[o>>2]|0)>>>0)Eb=wb;else{wb=f[(f[p>>2]|0)+28>>2]|0;xb=f[(f[r>>2]|0)+4>>2]|0;f[r>>2]=xb;Db=f[xb+16>>2]|0;Fb=f[xb+12>>2]|0;f[w>>2]=Db;f[q>>2]=Db;xb=Db+(Y(Fb,wb)|0)|0;f[o>>2]=xb;Eb=Db}if((Eb|0)==(f[z>>2]|0)){fb=yb;gb=zb;hb=Ab;ib=Bb;jb=Cb;break c}else{qb=yb;rb=zb;sb=Ab;tb=Bb;ub=Cb;vb=Eb}}}while(1){vb=ki[c&511](pb,Xa,d)|0;if((vb|0)>=1){fb=kb;gb=lb;hb=mb;ib=nb;jb=ob;break c}do if(!vb){ub=f[w>>2]|0;do if((lb|0)!=(ub|0)){tb=b[lb>>0]|0;b[lb>>0]=b[ub>>0]|0;b[f[w>>2]>>0]=tb;if(pa)break;else Gb=1;do{tb=lb+Gb|0;sb=b[tb>>0]|0;b[tb>>0]=b[(f[w>>2]|0)+Gb>>0]|0;b[(f[w>>2]|0)+Gb>>0]=sb;Gb=Gb+1|0}while((Gb|0)!=(s|0))}while(0);ub=lb+s|0;if(ub>>>0<nb>>>0){Hb=1;Ib=ub;Jb=mb;Kb=nb;Lb=ob;break}ub=f[ob+4>>2]|0;sb=f[ub+16>>2]|0;Hb=1;Ib=sb;Jb=sb;Kb=sb+(Y(f[ub+12>>2]|0,f[Na>>2]|0)|0)|0;Lb=ub}else{Hb=kb;Ib=lb;Jb=mb;Kb=nb;Lb=ob}while(0);vb=(f[w>>2]|0)+s|0;f[w>>2]=vb;if(vb>>>0<(f[o>>2]|0)>>>0)Mb=vb;else{vb=f[(f[p>>2]|0)+28>>2]|0;ub=f[(f[r>>2]|0)+4>>2]|0;f[r>>2]=ub;sb=f[ub+16>>2]|0;tb=f[ub+12>>2]|0;f[w>>2]=sb;f[q>>2]=sb;ub=sb+(Y(tb,vb)|0)|0;f[o>>2]=ub;Mb=sb}if((Mb|0)==(f[z>>2]|0)){fb=Hb;gb=Ib;hb=Jb;ib=Kb;jb=Lb;break}else{kb=Hb;lb=Ib;mb=Jb;nb=Kb;ob=Lb;pb=Mb}}}while(0);sb=f[z>>2]|0;d:do if((f[w>>2]|0)==(sb|0)){Nb=fb;Ob=Ha;Pb=Qa;Qb=cb}else{if(W){Rb=fb;Sb=Ha;Tb=Qa;Ub=cb;Vb=sb}else{ub=fb;vb=Ha;tb=Qa;rb=cb;qb=sb;while(1){Db=ki[c&511](qb,Xa,d)|0;if((Db|0)<=-1){Nb=ub;Ob=vb;Pb=tb;Qb=rb;break d}do if(!Db){xb=rb+a|0;if(xb>>>0>=vb>>>0){Wb=1;Xb=vb;Yb=tb;Zb=xb;break}xb=f[tb>>2]|0;wb=f[xb+16>>2]|0;Wb=1;Xb=wb;Yb=xb;Zb=wb+(Y((f[xb+12>>2]|0)+-1|0,f[Fa>>2]|0)|0)|0}else{Wb=ub;Xb=vb;Yb=tb;Zb=rb}while(0);Db=(f[z>>2]|0)+a|0;f[z>>2]=Db;if(Db>>>0<(f[x>>2]|0)>>>0){xb=f[(f[R>>2]|0)+28>>2]|0;wb=f[f[E>>2]>>2]|0;f[E>>2]=wb;Fb=f[wb+16>>2]|0;_b=f[wb+12>>2]|0;wb=Fb+(Y(_b+-1|0,xb)|0)|0;f[z>>2]=wb;f[x>>2]=Fb;$b=Fb+(Y(_b,xb)|0)|0;f[P>>2]=$b;ac=wb}else ac=Db;if((f[w>>2]|0)==(ac|0)){Nb=Wb;Ob=Xb;Pb=Yb;Qb=Zb;break d}else{ub=Wb;vb=Xb;tb=Yb;rb=Zb;qb=ac}}}while(1){qb=ki[c&511](Vb,Xa,d)|0;if((qb|0)<=-1){Nb=Rb;Ob=Sb;Pb=Tb;Qb=Ub;break d}do if(!qb){rb=f[z>>2]|0;do if((Ub|0)!=(rb|0)){tb=b[Ub>>0]|0;b[Ub>>0]=b[rb>>0]|0;b[f[z>>2]>>0]=tb;if(oa)break;else bc=1;do{tb=Ub+bc|0;vb=b[tb>>0]|0;b[tb>>0]=b[(f[z>>2]|0)+bc>>0]|0;b[(f[z>>2]|0)+bc>>0]=vb;bc=bc+1|0}while((bc|0)!=(s|0))}while(0);rb=Ub+a|0;if(rb>>>0>=Sb>>>0){cc=1;dc=Sb;ec=Tb;fc=rb;break}rb=f[Tb>>2]|0;vb=f[rb+16>>2]|0;cc=1;dc=vb;ec=rb;fc=vb+(Y((f[rb+12>>2]|0)+-1|0,f[Fa>>2]|0)|0)|0}else{cc=Rb;dc=Sb;ec=Tb;fc=Ub}while(0);qb=(f[z>>2]|0)+a|0;f[z>>2]=qb;if(qb>>>0<(f[x>>2]|0)>>>0){rb=f[(f[R>>2]|0)+28>>2]|0;vb=f[f[E>>2]>>2]|0;f[E>>2]=vb;tb=f[vb+16>>2]|0;ub=f[vb+12>>2]|0;vb=tb+(Y(ub+-1|0,rb)|0)|0;f[z>>2]=vb;f[x>>2]=tb;Db=tb+(Y(ub,rb)|0)|0;f[P>>2]=Db;gc=vb}else gc=qb;if((f[w>>2]|0)==(gc|0)){Nb=cc;Ob=dc;Pb=ec;Qb=fc;break}else{Rb=cc;Sb=dc;Tb=ec;Ub=fc;Vb=gc}}}while(0);hc=f[w>>2]|0;sb=f[z>>2]|0;if((hc|0)==(sb|0)){Ba=123;break}do if(W){qb=b[hc>>0]|0;b[hc>>0]=b[sb>>0]|0;b[f[z>>2]>>0]=qb;qb=f[w>>2]|0;if(na){ic=qb;break}else{jc=qb;kc=1}while(1){qb=jc+kc|0;vb=b[qb>>0]|0;b[qb>>0]=b[(f[z>>2]|0)+kc>>0]|0;b[(f[z>>2]|0)+kc>>0]=vb;kc=kc+1|0;vb=f[w>>2]|0;if((kc|0)==(s|0)){ic=vb;break}else jc=vb}}else ic=hc;while(0);sb=ic+s|0;f[w>>2]=sb;if(sb>>>0<(f[o>>2]|0)>>>0)lc=sb;else{sb=f[(f[p>>2]|0)+28>>2]|0;vb=f[(f[r>>2]|0)+4>>2]|0;f[r>>2]=vb;qb=f[vb+16>>2]|0;Db=f[vb+12>>2]|0;f[w>>2]=qb;f[q>>2]=qb;vb=qb+(Y(Db,sb)|0)|0;f[o>>2]=vb;lc=qb}qb=f[z>>2]|0;vb=qb+a|0;f[z>>2]=vb;if(vb>>>0<(f[x>>2]|0)>>>0){sb=f[(f[R>>2]|0)+28>>2]|0;Db=f[f[E>>2]>>2]|0;f[E>>2]=Db;rb=f[Db+16>>2]|0;ub=f[Db+12>>2]|0;Db=rb+(Y(ub+-1|0,sb)|0)|0;f[z>>2]=Db;f[x>>2]=rb;tb=rb+(Y(ub,sb)|0)|0;f[P>>2]=tb;mc=Db}else mc=vb;if((lc|0)==(qb|0)){nc=gb;oc=hb;pc=jb;qc=lc;Ba=143;break}else{Ma=1;Ca=gb;Ha=Ob;Oa=hb;Ra=ib;Qa=Pb;bb=jb;cb=Qb;db=lc;eb=mc}}do if((Ba|0)==123){Ba=0;eb=ki[c&511](hc,Xa,d)|0;if(!eb){db=f[w>>2]|0;if(!((gb|0)==(db|0)|la)?(cb=b[gb>>0]|0,b[gb>>0]=b[db>>0]|0,b[f[w>>2]>>0]=cb,!qa):0){cb=1;do{db=gb+cb|0;bb=b[db>>0]|0;b[db>>0]=b[(f[w>>2]|0)+cb>>0]|0;b[(f[w>>2]|0)+cb>>0]=bb;cb=cb+1|0}while((cb|0)!=(s|0))}cb=gb+s|0;if(cb>>>0<ib>>>0){rc=1;sc=cb;tc=hb;uc=jb}else{cb=f[jb+4>>2]|0;bb=f[cb+16>>2]|0;rc=1;sc=bb;tc=bb;uc=cb}}else{rc=Nb;sc=gb;tc=hb;uc=jb}if((eb|0)<1){cb=(f[w>>2]|0)+s|0;f[w>>2]=cb;if(cb>>>0>=(f[o>>2]|0)>>>0){cb=f[(f[p>>2]|0)+28>>2]|0;bb=f[(f[r>>2]|0)+4>>2]|0;f[r>>2]=bb;db=f[bb+16>>2]|0;Qa=f[bb+12>>2]|0;f[w>>2]=db;f[q>>2]=db;bb=db+(Y(Qa,cb)|0)|0;f[o>>2]=bb}}else{bb=(f[z>>2]|0)+a|0;f[z>>2]=bb;if(bb>>>0<(f[x>>2]|0)>>>0){bb=f[(f[R>>2]|0)+28>>2]|0;cb=f[f[E>>2]>>2]|0;f[E>>2]=cb;Qa=f[cb+16>>2]|0;db=f[cb+12>>2]|0;cb=Qa+(Y(db+-1|0,bb)|0)|0;f[z>>2]=cb;f[x>>2]=Qa;cb=Qa+(Y(db,bb)|0)|0;f[P>>2]=cb}}if(!rc){f[h>>2]=f[k>>2];f[h+4>>2]=f[k+4>>2];f[h+8>>2]=f[k+8>>2];f[h+12>>2]=f[k+12>>2];f[h+16>>2]=f[k+16>>2];f[h+20>>2]=f[k+20>>2];f[h+24>>2]=f[k+24>>2];f[h+28>>2]=f[k+28>>2];f[i>>2]=f[l>>2];f[i+4>>2]=f[l+4>>2];f[i+8>>2]=f[l+8>>2];f[i+12>>2]=f[l+12>>2];f[i+16>>2]=f[l+16>>2];f[i+20>>2]=f[l+20>>2];f[i+24>>2]=f[l+24>>2];f[i+28>>2]=f[l+28>>2];vc=6;wc=ua;break}else{nc=sc;oc=tc;pc=uc;qc=f[w>>2]|0;Ba=143;break}}while(0);do if((Ba|0)==143){Ba=0;if(!qc){Ba=144;break a}cb=f[(f[p>>2]|0)+28>>2]|0;bb=qc-(f[q>>2]|0)|0;if((cb|0)<33?(db=cb+-1|0,(-2147450741>>>db&1|0)!=0):0)xc=bb>>b[220034+db>>0];else xc=(bb|0)/(cb|0)|0;cb=(f[(f[r>>2]|0)+8>>2]|0)+xc-(f[V>>2]|0)|0;if(!cb)yc=f[t>>2]|0;else yc=cb;cb=f[X>>2]|0;if(!cb){Ba=152;break a}bb=f[(f[Z>>2]|0)+28>>2]|0;db=cb-(f[_>>2]|0)|0;do if((bb|0)<33){cb=bb+-1|0;if(!(-2147450741>>>cb&1)){Ba=156;break}zc=db>>b[220034+cb>>0]}else Ba=156;while(0);if((Ba|0)==156){Ba=0;zc=(db|0)/(bb|0)|0}eb=f[(f[$>>2]|0)+8>>2]|0;cb=f[aa>>2]|0;if(!nc){Ba=158;break a}Qa=f[Na>>2]|0;Ra=nc-oc|0;do if((Qa|0)<33){Oa=Qa+-1|0;if(!(-2147450741>>>Oa&1)){Ba=162;break}Ac=Ra>>b[220034+Oa>>0]}else Ba=162;while(0);if((Ba|0)==162){Ba=0;Ac=(Ra|0)/(Qa|0)|0}bb=Ac-Ga+(f[pc+8>>2]|0)|0;if(!bb)Bc=f[t>>2]|0;else Bc=bb;bb=yc-Bc|0;db=cb-(eb+zc)+Bc|0;Oa=(bb|0)>(db|0)?db:bb;do if((Oa|0)>0){f[m>>2]=f[k>>2];f[m+4>>2]=f[k+4>>2];f[m+8>>2]=f[k+8>>2];f[m+12>>2]=f[k+12>>2];f[m+16>>2]=f[k+16>>2];f[m+20>>2]=f[k+20>>2];f[m+24>>2]=f[k+24>>2];f[m+28>>2]=f[k+28>>2];f[n>>2]=f[h>>2];f[n+4>>2]=f[h+4>>2];f[n+8>>2]=f[h+8>>2];f[n+12>>2]=f[h+12>>2];f[n+16>>2]=f[h+16>>2];f[n+20>>2]=f[h+20>>2];f[n+24>>2]=f[h+24>>2];f[n+28>>2]=f[h+28>>2];dW(n,0-Oa|0,1);db=f[U>>2]|0;if(W){Ha=0;Ca=db;while(1){Ma=0;xa=Ca;do{Da=xa+Ma|0;qb=b[Da>>0]|0;b[Da>>0]=b[(f[ca>>2]|0)+Ma>>0]|0;b[(f[ca>>2]|0)+Ma>>0]=qb;Ma=Ma+1|0;xa=f[U>>2]|0}while((Ma|0)!=(s|0));Ma=xa+s|0;f[U>>2]=Ma;if(Ma>>>0<(f[ba>>2]|0)>>>0)Cc=Ma;else{Ma=f[(f[ia>>2]|0)+28>>2]|0;qb=f[(f[ha>>2]|0)+4>>2]|0;f[ha>>2]=qb;Da=f[qb+16>>2]|0;vb=f[qb+12>>2]|0;f[U>>2]=Da;f[ja>>2]=Da;qb=Da+(Y(vb,Ma)|0)|0;f[ba>>2]=qb;Cc=Da}Da=(f[ca>>2]|0)+s|0;f[ca>>2]=Da;if(Da>>>0>=(f[da>>2]|0)>>>0){Da=f[(f[fa>>2]|0)+28>>2]|0;qb=f[(f[ea>>2]|0)+4>>2]|0;f[ea>>2]=qb;Ma=f[qb+16>>2]|0;vb=f[qb+12>>2]|0;f[ca>>2]=Ma;f[ga>>2]=Ma;qb=Ma+(Y(vb,Da)|0)|0;f[da>>2]=qb}Ha=Ha+1|0;if((Ha|0)>=(Oa|0))break;else Ca=Cc}}else{Ca=(f[fa>>2]|0)+28|0;Ha=(f[ia>>2]|0)+28|0;qb=0;Da=db;vb=f[ba>>2]|0;Ma=f[ca>>2]|0;while(1){Db=Da+s|0;if(Db>>>0<vb>>>0){Dc=Db;Ec=vb}else{Db=f[Ha>>2]|0;tb=f[(f[ha>>2]|0)+4>>2]|0;f[ha>>2]=tb;sb=f[tb+16>>2]|0;ub=f[tb+12>>2]|0;f[ja>>2]=sb;tb=sb+(Y(ub,Db)|0)|0;f[ba>>2]=tb;Dc=sb;Ec=tb}tb=Ma+s|0;if(tb>>>0<(f[da>>2]|0)>>>0)Fc=tb;else{tb=f[Ca>>2]|0;sb=f[(f[ea>>2]|0)+4>>2]|0;f[ea>>2]=sb;Db=f[sb+16>>2]|0;ub=f[sb+12>>2]|0;f[ga>>2]=Db;sb=Db+(Y(ub,tb)|0)|0;f[da>>2]=sb;Fc=Db}qb=qb+1|0;if((qb|0)>=(Oa|0))break;else{Da=Dc;vb=Ec;Ma=Fc}}f[U>>2]=Dc;f[ca>>2]=Fc;break}}while(0);Oa=f[z>>2]|0;if(!Oa){Ba=182;break a}eb=f[(f[R>>2]|0)+28>>2]|0;cb=Oa-(f[x>>2]|0)|0;do if((eb|0)<33){Oa=eb+-1|0;if(!(-2147450741>>>Oa&1)){Ba=186;break}Gc=cb>>b[220034+Oa>>0]}else Ba=186;while(0);if((Ba|0)==186){Ba=0;Gc=(cb|0)/(eb|0)|0}Oa=f[(f[E>>2]|0)+8>>2]|0;Qa=f[M>>2]|0;Ra=f[F>>2]|0;if(!Ra){Ba=188;break a}Ma=f[(f[D>>2]|0)+28>>2]|0;vb=Ra-(f[G>>2]|0)|0;do if((Ma|0)<33){Ra=Ma+-1|0;if(!(-2147450741>>>Ra&1)){Ba=192;break}Hc=vb>>b[220034+Ra>>0]}else Ba=192;while(0);if((Ba|0)==192){Ba=0;Hc=(vb|0)/(Ma|0)|0}eb=(f[(f[H>>2]|0)+8>>2]|0)+Hc-(f[I>>2]|0)|0;if(!Qb){Ba=194;break a}cb=f[Fa>>2]|0;Ra=Qb-Ob|0;do if((cb|0)<33){Da=cb+-1|0;if(!(-2147450741>>>Da&1)){Ba=198;break}Ic=Ra>>b[220034+Da>>0]}else Ba=198;while(0);if((Ba|0)==198){Ba=0;Ic=(Ra|0)/(cb|0)|0}Ma=Ic-wa+(f[Pb+8>>2]|0)|0;vb=eb-Ma|0;Da=Qa-(Oa+Gc)+Ma|0;Ma=(vb|0)>(Da|0)?Da:vb;do if((Ma|0)>0){f[m>>2]=f[h>>2];f[m+4>>2]=f[h+4>>2];f[m+8>>2]=f[h+8>>2];f[m+12>>2]=f[h+12>>2];f[m+16>>2]=f[h+16>>2];f[m+20>>2]=f[h+20>>2];f[m+24>>2]=f[h+24>>2];f[m+28>>2]=f[h+28>>2];f[n>>2]=f[l>>2];f[n+4>>2]=f[l+4>>2];f[n+8>>2]=f[l+8>>2];f[n+12>>2]=f[l+12>>2];f[n+16>>2]=f[l+16>>2];f[n+20>>2]=f[l+20>>2];f[n+24>>2]=f[l+24>>2];f[n+28>>2]=f[l+28>>2];dW(n,1-Ma|0,1);vb=f[U>>2]|0;if(W){qb=0;Ca=vb;while(1){Ha=0;db=Ca;do{Db=db+Ha|0;sb=b[Db>>0]|0;b[Db>>0]=b[(f[ca>>2]|0)+Ha>>0]|0;b[(f[ca>>2]|0)+Ha>>0]=sb;Ha=Ha+1|0;db=f[U>>2]|0}while((Ha|0)!=(s|0));Ha=db+s|0;f[U>>2]=Ha;if(Ha>>>0<(f[ba>>2]|0)>>>0)Jc=Ha;else{Ha=f[(f[ia>>2]|0)+28>>2]|0;xa=f[(f[ha>>2]|0)+4>>2]|0;f[ha>>2]=xa;sb=f[xa+16>>2]|0;Db=f[xa+12>>2]|0;f[U>>2]=sb;f[ja>>2]=sb;xa=sb+(Y(Db,Ha)|0)|0;f[ba>>2]=xa;Jc=sb}sb=(f[ca>>2]|0)+s|0;f[ca>>2]=sb;if(sb>>>0>=(f[da>>2]|0)>>>0){sb=f[(f[fa>>2]|0)+28>>2]|0;xa=f[(f[ea>>2]|0)+4>>2]|0;f[ea>>2]=xa;Ha=f[xa+16>>2]|0;Db=f[xa+12>>2]|0;f[ca>>2]=Ha;f[ga>>2]=Ha;xa=Ha+(Y(Db,sb)|0)|0;f[da>>2]=xa}qb=qb+1|0;if((qb|0)>=(Ma|0))break;else Ca=Jc}}else{Ca=(f[fa>>2]|0)+28|0;qb=(f[ia>>2]|0)+28|0;xa=0;sb=vb;Db=f[ba>>2]|0;Ha=f[ca>>2]|0;while(1){tb=sb+s|0;if(tb>>>0<Db>>>0){Kc=tb;Lc=Db}else{tb=f[qb>>2]|0;ub=f[(f[ha>>2]|0)+4>>2]|0;f[ha>>2]=ub;rb=f[ub+16>>2]|0;wb=f[ub+12>>2]|0;f[ja>>2]=rb;ub=rb+(Y(wb,tb)|0)|0;f[ba>>2]=ub;Kc=rb;Lc=ub}ub=Ha+s|0;if(ub>>>0<(f[da>>2]|0)>>>0)Mc=ub;else{ub=f[Ca>>2]|0;rb=f[(f[ea>>2]|0)+4>>2]|0;f[ea>>2]=rb;tb=f[rb+16>>2]|0;wb=f[rb+12>>2]|0;f[ga>>2]=tb;rb=tb+(Y(wb,ub)|0)|0;f[da>>2]=rb;Mc=tb}xa=xa+1|0;if((xa|0)>=(Ma|0))break;else{sb=Kc;Db=Lc;Ha=Mc}}f[U>>2]=Kc;f[ca>>2]=Mc;break}}while(0);Ma=(Da|0)>1;if((bb|0)<=1){if(!Ma){vc=4;wc=ua;break}f[i>>2]=f[l>>2];f[i+4>>2]=f[l+4>>2];f[i+8>>2]=f[l+8>>2];f[i+12>>2]=f[l+12>>2];f[i+16>>2]=f[l+16>>2];f[i+20>>2]=f[l+20>>2];f[i+24>>2]=f[l+24>>2];f[i+28>>2]=f[l+28>>2];f[h>>2]=f[l>>2];f[h+4>>2]=f[l+4>>2];f[h+8>>2]=f[l+8>>2];f[h+12>>2]=f[l+12>>2];f[h+16>>2]=f[l+16>>2];f[h+20>>2]=f[l+20>>2];f[h+24>>2]=f[l+24>>2];f[h+28>>2]=f[l+28>>2];dW(h,1-Da|0,1);vc=0;wc=ua;break}if(!Ma){f[i>>2]=f[k>>2];f[i+4>>2]=f[k+4>>2];f[i+8>>2]=f[k+8>>2];f[i+12>>2]=f[k+12>>2];f[i+16>>2]=f[k+16>>2];f[i+20>>2]=f[k+20>>2];f[i+24>>2]=f[k+24>>2];f[i+28>>2]=f[k+28>>2];f[h>>2]=f[k>>2];f[h+4>>2]=f[k+4>>2];f[h+8>>2]=f[k+8>>2];f[h+12>>2]=f[k+12>>2];f[h+16>>2]=f[k+16>>2];f[h+20>>2]=f[k+20>>2];f[h+24>>2]=f[k+24>>2];f[h+28>>2]=f[k+28>>2];dW(i,bb+-1|0,1);vc=0;wc=ua;break}Ma=ua+1|0;if((bb|0)>(Da|0)){f[j+(Ma<<5)>>2]=f[$>>2];f[j+(Ma<<5)+4>>2]=f[X>>2];f[j+(Ma<<5)+8>>2]=f[_>>2];f[j+(Ma<<5)+12>>2]=f[ka>>2];dW(k,bb+-1|0,1);f[j+(Ma<<5)+16>>2]=f[$>>2];f[j+(Ma<<5)+20>>2]=f[X>>2];f[j+(Ma<<5)+24>>2]=f[_>>2];f[j+(Ma<<5)+28>>2]=f[ka>>2];f[i>>2]=f[l>>2];f[i+4>>2]=f[l+4>>2];f[i+8>>2]=f[l+8>>2];f[i+12>>2]=f[l+12>>2];f[i+16>>2]=f[l+16>>2];f[i+20>>2]=f[l+20>>2];f[i+24>>2]=f[l+24>>2];f[i+28>>2]=f[l+28>>2];f[h>>2]=f[l>>2];f[h+4>>2]=f[l+4>>2];f[h+8>>2]=f[l+8>>2];f[h+12>>2]=f[l+12>>2];f[h+16>>2]=f[l+16>>2];f[h+20>>2]=f[l+20>>2];f[h+24>>2]=f[l+24>>2];f[h+28>>2]=f[l+28>>2];dW(h,1-Da|0,1);vc=0;wc=Ma;break}else{f[j+(Ma<<5)+16>>2]=f[H>>2];f[j+(Ma<<5)+20>>2]=f[F>>2];f[j+(Ma<<5)+24>>2]=f[G>>2];f[j+(Ma<<5)+28>>2]=f[K>>2];dW(l,1-Da|0,1);f[j+(Ma<<5)>>2]=f[H>>2];f[j+(Ma<<5)+4>>2]=f[F>>2];f[j+(Ma<<5)+8>>2]=f[G>>2];f[j+(Ma<<5)+12>>2]=f[K>>2];f[i>>2]=f[k>>2];f[i+4>>2]=f[k+4>>2];f[i+8>>2]=f[k+8>>2];f[i+12>>2]=f[k+12>>2];f[i+16>>2]=f[k+16>>2];f[i+20>>2]=f[k+20>>2];f[i+24>>2]=f[k+24>>2];f[i+28>>2]=f[k+28>>2];f[h>>2]=f[k>>2];f[h+4>>2]=f[k+4>>2];f[h+8>>2]=f[k+8>>2];f[h+12>>2]=f[k+12>>2];f[h+16>>2]=f[k+16>>2];f[h+20>>2]=f[k+20>>2];f[h+24>>2]=f[k+24>>2];f[h+28>>2]=f[k+28>>2];dW(i,bb+-1|0,1);vc=0;wc=Ma;break}}while(0);switch(vc&7){case 6:{Ba=224;break b;break}case 0:break;default:if(vc|0){Nc=wc;break b}}ua=wc;va=f[r>>2]|0;T=f[E>>2]|0}if((Ba|0)==224){Ba=0;Ja=wc;Ka=f[r>>2]|0;La=f[w>>2]|0;Ba=33}e:do if((Ba|0)==33){Ba=0;T=f[p>>2]|0;va=f[q>>2]|0;ua=f[o>>2]|0;wa=La+s|0;if(wa>>>0<ua>>>0){Oc=wa;Pc=va;Qc=ua;Rc=Ka}else{ua=f[Ka+4>>2]|0;wa=f[ua+16>>2]|0;Oc=wa;Pc=wa;Qc=wa+(Y(f[ua+12>>2]|0,f[T+28>>2]|0)|0)|0;Rc=ua}ua=(f[z>>2]|0)+s|0;f[z>>2]=ua;if(ua>>>0>=(f[P>>2]|0)>>>0){ua=f[(f[R>>2]|0)+28>>2]|0;wa=f[(f[E>>2]|0)+4>>2]|0;f[E>>2]=wa;Fa=f[wa+16>>2]|0;Ga=f[wa+12>>2]|0;f[z>>2]=Fa;f[x>>2]=Fa;wa=Fa+(Y(Ga,ua)|0)|0;f[P>>2]=wa}wa=T+28|0;T=Oc;ua=va;va=Pc;Ga=Qc;Fa=Ka;Na=Rc;while(1){Ma=Ga;if(W){Oa=T;Qa=ua;eb=Fa;while(1){if((Oa|0)==(f[z>>2]|0)){Nc=Ja;break e}cb=(eb|0)==(Na|0)?Qa:va;f:do if((Oa|0)==(f[w>>2]|0)){Sc=cb;Tc=Na}else{Ra=cb;Ha=Na;Db=Oa;while(1){sb=Db+a|0;if(sb>>>0<Ra>>>0){xa=f[Ha>>2]|0;Ca=f[xa+16>>2]|0;Uc=Ca;Vc=xa;Wc=Ca+(Y((f[xa+12>>2]|0)+-1|0,f[wa>>2]|0)|0)|0}else{Uc=Ra;Vc=Ha;Wc=sb}if((ki[c&511](Wc,Db,d)|0)<1){Sc=Uc;Tc=Vc;break f}else Xc=0;do{sb=Wc+Xc|0;xa=b[sb>>0]|0;Ca=Db+Xc|0;b[sb>>0]=b[Ca>>0]|0;b[Ca>>0]=xa;Xc=Xc+1|0}while((Xc|0)!=(s|0));if((Wc|0)==(f[w>>2]|0)){Sc=Uc;Tc=Vc;break}else{Ra=Uc;Ha=Vc;Db=Wc}}}while(0);Oa=Oa+s|0;if(Oa>>>0>=Ma>>>0){Yc=Sc;Zc=Tc;break}else{Qa=Sc;eb=Tc}}}else{eb=T;Qa=ua;Oa=Fa;while(1){if((eb|0)==(f[z>>2]|0)){Nc=Ja;break e}bb=(Oa|0)==(Na|0)?Qa:va;if((eb|0)==(f[w>>2]|0)){_c=bb;$c=Na}else{Da=bb;bb=Na;cb=eb;while(1){Db=cb+a|0;if(Db>>>0<Da>>>0){Ha=f[bb>>2]|0;Ra=f[Ha+16>>2]|0;ad=Ra;bd=Ha;cd=Ra+(Y((f[Ha+12>>2]|0)+-1|0,f[wa>>2]|0)|0)|0}else{ad=Da;bd=bb;cd=Db}Db=(ki[c&511](cd,cb,d)|0)<1;if(Db|(cd|0)==(f[w>>2]|0)){_c=ad;$c=bd;break}else{Da=ad;bb=bd;cb=cd}}}eb=eb+s|0;if(eb>>>0>=Ma>>>0){Yc=_c;Zc=$c;break}else{Qa=_c;Oa=$c}}}Oa=f[Na+4>>2]|0;Qa=f[Oa+16>>2]|0;T=Qa;ua=Yc;va=Qa;Ga=Qa+(Y(f[Oa+12>>2]|0,f[wa>>2]|0)|0)|0;Fa=Zc;Na=Oa}}while(0);if((Nc|0)<=-1){Ba=227;break}ra=Nc;sa=f[j+(Nc<<5)+4>>2]|0;ta=f[j+(Nc<<5)+8>>2]|0;A=f[j+(Nc<<5)+12>>2]|0;B=f[j+(Nc<<5)+16>>2]|0;S=f[j+(Nc<<5)+20>>2]|0;L=f[j+(Nc<<5)+24>>2]|0;N=f[j+(Nc<<5)+28>>2]|0}if((Ba|0)==20){f[g>>2]=0;f[g+4>>2]=0;SV(-27,g,220395,1020)}else if((Ba|0)==26){f[g>>2]=0;f[g+4>>2]=0;SV(-27,g,220395,1020)}else if((Ba|0)==144){f[g>>2]=0;f[g+4>>2]=0;SV(-27,g,220395,1020)}else if((Ba|0)==152){f[g>>2]=0;f[g+4>>2]=0;SV(-27,g,220395,1020)}else if((Ba|0)==158){f[g>>2]=0;f[g+4>>2]=0;SV(-27,g,220395,1020)}else if((Ba|0)==182){f[g>>2]=0;f[g+4>>2]=0;SV(-27,g,220395,1020)}else if((Ba|0)==188){f[g>>2]=0;f[g+4>>2]=0;SV(-27,g,220395,1020)}else if((Ba|0)==194){f[g>>2]=0;f[g+4>>2]=0;SV(-27,g,220395,1020)}else if((Ba|0)==227){u=e;return}}function tW(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=u;u=u+16|0;g=e;if(!d){f[g>>2]=0;f[g+4>>2]=0;SV(-27,g,220638,2486)}if((b|0)>63&(c|0)>7&(c&3|0)==0){h=$V(a,b,c,d)|0;f[h>>2]=f[h>>2]&65535|1117257728;u=e;return h|0}else{f[g>>2]=0;f[g+4>>2]=0;SV(-201,g,220638,2490)}return 0}function uW(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;d=u;u=u+16|0;e=d;if(!a){f[e>>2]=0;f[e+4>>2]=0;SV(-27,e,220650,2507)}e=a+56|0;g=f[e>>2]|0;if(!g){h=a+24|0;i=f[h>>2]|0;j=f[a+28>>2]|0;lW(a,0);k=a+36|0;l=f[k>>2]|0;f[e>>2]=l;m=l+j|0;n=f[a+32>>2]|0;if(m>>>0>n>>>0){o=l;p=i}else{q=i;i=l;r=m;while(1){f[i>>2]=q|-2147483648;f[i+4>>2]=r;m=q+1|0;s=r+j|0;if(s>>>0>n>>>0){o=r;p=m;break}else{t=r;q=m;r=s;i=t}}}f[o+(0-j)+4>>2]=0;j=(f[f[a+52>>2]>>2]|0)+12|0;f[j>>2]=p-(f[h>>2]|0)+(f[j>>2]|0);f[h>>2]=p;f[k>>2]=n;v=l}else v=g;f[e>>2]=f[v+4>>2];e=f[v>>2]&67108863;if(b|0)Krc(v|0,b|0,f[a+28>>2]|0)|0;f[v>>2]=e;b=a+60|0;f[b>>2]=(f[b>>2]|0)+1;if(!c){u=d;return e|0}f[c>>2]=v;u=d;return e|0}function vW(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=b;if(!a){f[c>>2]=0;f[c+4>>2]=0;SV(-27,c,220522,1596)}else{qW(a,0,f[a+24>>2]|0,0);f[a+56>>2]=0;f[a+60>>2]=0;u=b;return}}function wW(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;g=u;u=u+16|0;h=g;if((c|0)<8|((b|0)<68|(d|0)<24)){f[h>>2]=0;f[h+4>>2]=0;SV(-201,h,220659,2586)}else{h=tW(a,b,c,e)|0;c=tW(0,64,d,e)|0;f[h+64>>2]=c;u=g;return h|0}return 0}function xW(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;d=u;u=u+16|0;e=d;if(!a){f[e>>2]=0;f[e+4>>2]=0;SV(-27,e,220673,2620)}e=a+56|0;g=f[e>>2]|0;if(!g){h=a+24|0;i=f[h>>2]|0;j=f[a+28>>2]|0;lW(a,0);k=a+36|0;l=f[k>>2]|0;f[e>>2]=l;m=l+j|0;n=f[a+32>>2]|0;if(m>>>0>n>>>0){o=l;p=i}else{q=i;i=l;r=m;while(1){f[i>>2]=q|-2147483648;f[i+4>>2]=r;m=q+1|0;s=r+j|0;if(s>>>0>n>>>0){o=r;p=m;break}else{t=r;q=m;r=s;i=t}}}f[o+(0-j)+4>>2]=0;j=(f[f[a+52>>2]>>2]|0)+12|0;f[j>>2]=p-(f[h>>2]|0)+(f[j>>2]|0);f[h>>2]=p;f[k>>2]=n;v=l}else v=g;g=v+4|0;f[e>>2]=f[g>>2];e=f[v>>2]&67108863;f[v>>2]=e;l=a+60|0;f[l>>2]=(f[l>>2]|0)+1;if(b|0)Krc(v+8|0,b+8|0,(f[a+28>>2]|0)+-8|0)|0;f[g>>2]=0;if(!c){u=d;return e|0}f[c>>2]=v;u=d;return e|0}function yW(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d;if(!((a|0)!=0&(b|0)!=0&(c|0)!=0)){f[e>>2]=0;f[e+4>>2]=0;SV(-27,e,220687,2705)}if((b|0)==(c|0)){g=0;u=d;return g|0}if(!(f[a>>2]&16384)){a=(f[b>>2]&67108863)>>>0>(f[c>>2]&67108863)>>>0;h=a?c:b;i=a?b:c}else{h=b;i=c}c=f[h+4>>2]|0;if(!c){g=0;u=d;return g|0}else j=c;while(1){c=f[j+20>>2]|0;if((c|0)==(i|0)){g=j;k=9;break}j=f[j+8+(((h|0)==(c|0)&1)<<2)>>2]|0;if(!j){g=0;k=9;break}}if((k|0)==9){u=d;return g|0}return 0}function zW(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0;h=u;u=u+16|0;i=h;if(!a){f[i>>2]=0;f[i+4>>2]=0;j=YG(i,21)|0;k=220708;l=j+21|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SV(-27,i,220730,2762)}if(!(f[a>>2]&16384)){m=(f[c>>2]&67108863)>>>0>(f[d>>2]&67108863)>>>0;o=m?d:c;p=m?c:d}else{o=c;p=d}d=yW(a,o,p)|0;if(d|0){if(!g){q=0;u=h;return q|0}f[g>>2]=d;q=0;u=h;return q|0}if((o|0)==(p|0)){d=p|0?-5:-27;f[i>>2]=0;f[i+4>>2]=0;j=YG(i,41)|0;k=220750;l=j+41|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SV(d,i,220730,2782)}d=a+64|0;a=f[d>>2]|0;k=a+56|0;j=f[k>>2]|0;if(!j){if(!a){f[i>>2]=0;f[i+4>>2]=0;SV(-27,i,220650,2507)}i=a+24|0;l=f[i>>2]|0;c=f[a+28>>2]|0;lW(a,0);m=a+36|0;r=f[m>>2]|0;f[k>>2]=r;s=r+c|0;t=f[a+32>>2]|0;if(s>>>0>t>>>0){v=r;w=l}else{x=l;l=r;y=s;while(1){f[l>>2]=x|-2147483648;f[l+4>>2]=y;s=x+1|0;z=y+c|0;if(z>>>0>t>>>0){v=y;w=s;break}else{A=y;x=s;y=z;l=A}}}f[v+(0-c)+4>>2]=0;c=(f[f[a+52>>2]>>2]|0)+12|0;f[c>>2]=w-(f[i>>2]|0)+(f[c>>2]|0);f[i>>2]=w;f[m>>2]=t;B=r}else B=j;j=B+4|0;f[k>>2]=f[j>>2];f[B>>2]=f[B>>2]&67108863;k=a+60|0;f[k>>2]=(f[k>>2]|0)+1;f[B+16>>2]=o;f[B+20>>2]=p;k=o+4|0;f[B+8>>2]=f[k>>2];o=p+4|0;f[B+12>>2]=f[o>>2];f[o>>2]=B;f[k>>2]=B;k=(f[(f[d>>2]|0)+28>>2]|0)+-24|0;d=(k|0)>0;if(!e)if(d){Drc(B+24|0,0,k|0)|0;C=1.0}else C=1.0;else{if(d)Krc(B+24|0,e+24|0,k|0)|0;C=+n[e+4>>2]}n[j>>2]=C;if(!g){q=1;u=h;return q|0}f[g>>2]=B;q=1;u=h;return q|0}function AW(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=u;u=u+16|0;e=d;if(!a){f[e>>2]=0;g=e+4|0;f[g>>2]=0;h=YG(e,21)|0;i=h;j=220792;k=i+21|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SV(-5,e,220814,3262)}if((f[a>>2]&-53248|0)!=1117261824){f[e>>2]=0;g=e+4|0;f[g>>2]=0;h=YG(e,21)|0;i=h;j=220792;k=i+21|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SV(-5,e,220814,3262)}if(!c){h=f[a+44>>2]|0;if(!h){f[e>>2]=0;f[e+4>>2]=0;i=YG(e,20)|0;j=273329;k=i+20|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SV(-27,e,220814,3268)}else l=h}else l=c;c=a+28|0;h=f[c>>2]|0;j=a+64|0;i=f[(f[j>>2]|0)+28>>2]|0;k=a+24|0;g=uE(f[k>>2]<<2)|0;m=uE(f[k>>2]<<2)|0;n=a+4|0;o=f[n>>2]|0;if((h|0)<8|((i|0)<24|(o|0)<68)){f[e>>2]=0;f[e+4>>2]=0;SV(-201,e,220659,2586)}p=tW(f[a>>2]|0,o,h,l)|0;o=tW(0,64,i,l)|0;f[p+64>>2]=o;Krc(p+4624|0,a+4624|0,(f[n>>2]|0)+-68|0)|0;n=a+52|0;a=f[n>>2]|0;if(!a){q=0;r=0;s=0}else{o=f[a+16>>2]|0;q=a;r=o;s=o+(Y(f[a+12>>2]|0,f[c>>2]|0)|0)|0}if((f[k>>2]|0)>0){a=0;o=0;l=q;q=r;r=s;while(1){s=q;if((f[s>>2]|0)>-1){f[e>>2]=0;xW(p,q,e)|0;t=f[s>>2]|0;v=f[e>>2]|0;f[v>>2]=t;f[g+(o<<2)>>2]=t;f[s>>2]=o;f[m+(o<<2)>>2]=v;w=o+1|0}else w=o;v=q+h|0;if(v>>>0<r>>>0){x=l;y=v;z=r}else{v=f[l+4>>2]|0;s=f[v+16>>2]|0;x=v;y=s;z=s+(Y(f[v+12>>2]|0,f[c>>2]|0)|0)|0}a=a+1|0;if((a|0)>=(f[k>>2]|0))break;else{o=w;l=x;q=y;r=z}}}z=f[j>>2]|0;if(!z){f[e>>2]=0;f[e+4>>2]=0;SV(-27,e,220100,945)}r=f[z+52>>2]|0;if(!r){A=0;B=0;C=0}else{y=f[r+16>>2]|0;A=r;B=y;C=y+(Y(f[r+12>>2]|0,f[z+28>>2]|0)|0)|0}r=f[z+24>>2]|0;if((r|0)>0){y=z+28|0;z=0;q=A;A=B;B=C;while(1){C=A;x=A;if((f[x>>2]|0)>-1){f[e>>2]=0;zW(p,f[m+(f[f[C+16>>2]>>2]<<2)>>2]|0,f[m+(f[f[C+20>>2]>>2]<<2)>>2]|0,A,e)|0;f[f[e>>2]>>2]=f[x>>2]}x=C+i|0;if(x>>>0<B>>>0){D=q;E=x;F=B}else{x=f[q+4>>2]|0;C=f[x+16>>2]|0;D=x;E=C;F=C+(Y(f[x+12>>2]|0,f[y>>2]|0)|0)|0}z=z+1|0;x=f[(f[j>>2]|0)+24>>2]|0;if((z|0)>=(x|0)){G=x;break}else{q=D;A=E;B=F}}}else G=r;r=f[n>>2]|0;if(!r){H=0;I=0;J=0}else{n=f[r+16>>2]|0;H=r;I=n;J=n+(Y(f[r+12>>2]|0,f[c>>2]|0)|0)|0}if((G|0)>0){K=0;L=0;M=H;N=I;O=J}else{vE(g);vE(m);P=PR()|0;Q=(P|0)<0;R=Q?0:p;u=d;return R|0}while(1){J=N;if((f[J>>2]|0)>-1){f[J>>2]=f[g+(L<<2)>>2];S=L+1|0}else S=L;J=N+h|0;if(J>>>0<O>>>0){T=M;U=J;V=O}else{J=f[M+4>>2]|0;I=f[J+16>>2]|0;T=J;U=I;V=I+(Y(f[J+12>>2]|0,f[c>>2]|0)|0)|0}K=K+1|0;if((K|0)>=(G|0))break;else{L=S;M=T;N=U;O=V}}vE(g);vE(m);P=PR()|0;Q=(P|0)<0;R=Q?0:p;u=d;return R|0}function BW(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=u;u=u+16|0;g=e;if(!d){f[g>>2]=0;f[g+4>>2]=0;h=YG(g,20)|0;i=273329;j=h+20|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));SV(-27,g,220827,3346)}i=$V(0,c,4,d)|0;if(!a){u=e;return i|0}d=a;a=0;while(1){c=f[d+20>>2]|0;if(c){h=a+1|0;if((h|0)==2147483647){k=d;l=2147483646;m=7}else{n=h;o=c}}else{k=d;l=a;m=7}a:do if((m|0)==7){while(1){m=0;p=f[k+12>>2]|0;if(p|0)break;c=l+-1|0;if((l|0)<1){n=c;o=0;break a}else{k=f[k+16>>2]|0;l=c;m=7}}n=l;o=(k|0)==0?0:p}while(0);f[g>>2]=d;nW(i,g)|0;if(!o)break;else{d=o;a=n}}u=e;return i|0}function CW(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;if(!((a|0)!=0&(b|0)!=0)){f[e>>2]=0;f[e+4>>2]=0;SV(-27,e,220843,3443)}if((c|0)<0){f[e>>2]=0;f[e+4>>2]=0;SV(-211,e,220843,3446)}else{f[a>>2]=b;f[a+4>>2]=0;f[a+8>>2]=c;u=d;return}}function DW(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+16|0;d=c;if(!a){f[d>>2]=0;f[d+4>>2]=0;e=YG(d,21)|0;g=220866;h=e+21|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));SV(-27,d,220888,3462)}d=f[a>>2]|0;g=a+4|0;e=f[g>>2]|0;a:do if(d){h=f[d+20>>2]|0;if((h|0)!=0?(i=e+1|0,(i|0)<(f[a+8>>2]|0)):0){j=h;k=i;break}else{l=d;m=e}while(1){n=f[l+12>>2]|0;if(n|0)break;i=m+-1|0;if((m|0)<1){j=0;k=i;break a}else{l=f[l+16>>2]|0;m=i}}if(!l){j=0;k=m}else{j=(f[a+8>>2]|0)==0?0:n;k=m}}else{j=d;k=e}while(0);f[a>>2]=j;f[g>>2]=k;u=c;return d|0}function EW(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;if(!((a|0)!=0&(b|0)!=0)){f[e>>2]=0;f[e+4>>2]=0;SV(-27,e,220903,3392)}f[a+16>>2]=(b|0)!=(c|0)?b:0;c=b+20|0;b=f[c>>2]|0;f[a+12>>2]=b;if(!b){f[c>>2]=a;u=d;return}f[b+8>>2]=a;f[c>>2]=a;u=d;return}function FW(a,b,c,d,e,g,h,i,j,k,l,m,n,o,p){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=+i;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;q=u;u=u+448|0;r=q+392|0;s=q+336|0;t=q+280|0;v=q+224|0;w=q+168|0;x=q+112|0;y=q+56|0;z=q;A=(o&2|0)==0;B=(o&1|0)!=0;C=B?l:m;D=B?m:l;B=A?C:n;E=A?n:C;C=(o&4|0)==0;A=C?D:n;F=C?n:D;f[r>>2]=1124007936;C=r+4|0;G=r+8|0;H=r+40|0;I=C;J=I+36|0;do{f[I>>2]=0;I=I+4|0}while((I|0)<(J|0));f[H>>2]=G;K=r+48|0;L=r+44|0;f[L>>2]=K;f[K>>2]=0;f[r+52>>2]=0;f[s>>2]=1124007936;M=s+4|0;N=s+8|0;O=s+40|0;I=M;J=I+36|0;do{f[I>>2]=0;I=I+4|0}while((I|0)<(J|0));f[O>>2]=N;P=s+48|0;Q=s+44|0;f[Q>>2]=P;f[P>>2]=0;f[s+52>>2]=0;f[t>>2]=1124007936;R=t+4|0;S=t+8|0;T=t+40|0;I=R;J=I+36|0;do{f[I>>2]=0;I=I+4|0}while((I|0)<(J|0));f[T>>2]=S;I=t+48|0;J=t+44|0;f[J>>2]=I;f[I>>2]=0;f[t+52>>2]=0;if(a|0){Ri(v,l,m,p,a,b);b=v+36|0;a=f[b>>2]|0;if(a|0){m=a+12|0;f[m>>2]=(f[m>>2]|0)+1}m=r+36|0;a=f[m>>2]|0;if(a|0?(l=a+12|0,a=f[l>>2]|0,f[l>>2]=a+-1,(a|0)==1):0)lP(r);f[m>>2]=0;a=r+16|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[C>>2]|0)>0){l=f[H>>2]|0;U=0;do{f[l+(U<<2)>>2]=0;U=U+1|0;V=f[C>>2]|0}while((U|0)<(V|0));f[r>>2]=f[v>>2];if((V|0)<3)W=12;else W=14}else{f[r>>2]=f[v>>2];W=12}if((W|0)==12){V=f[v+4>>2]|0;if((V|0)<3){f[C>>2]=V;f[G>>2]=f[v+8>>2];f[r+12>>2]=f[v+12>>2];V=f[v+44>>2]|0;U=f[L>>2]|0;f[U>>2]=f[V>>2];f[U+4>>2]=f[V+4>>2]}else W=14}if((W|0)==14)kP(r,v);V=v+16|0;f[a>>2]=f[V>>2];f[r+20>>2]=f[v+20>>2];f[r+24>>2]=f[v+24>>2];f[r+28>>2]=f[v+28>>2];f[r+32>>2]=f[v+32>>2];a=f[b>>2]|0;f[m>>2]=a;if(a|0?(m=a+12|0,a=f[m>>2]|0,f[m>>2]=a+-1,(a|0)==1):0)lP(v);f[b>>2]=0;b=v+4|0;f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;f[V+12>>2]=0;if((f[b>>2]|0)>0){V=f[v+40>>2]|0;a=0;do{f[V+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[b>>2]|0))}b=f[v+44>>2]|0;if((b|0)!=(v+48|0))tE(b)}if(c|0){Ri(v,B,E,p,c,d);d=v+36|0;c=f[d>>2]|0;if(c|0){E=c+12|0;f[E>>2]=(f[E>>2]|0)+1}E=s+36|0;c=f[E>>2]|0;if(c|0?(B=c+12|0,c=f[B>>2]|0,f[B>>2]=c+-1,(c|0)==1):0)lP(s);f[E>>2]=0;c=s+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[M>>2]|0)>0){B=f[O>>2]|0;b=0;do{f[B+(b<<2)>>2]=0;b=b+1|0;X=f[M>>2]|0}while((b|0)<(X|0));f[s>>2]=f[v>>2];if((X|0)<3)W=35;else W=37}else{f[s>>2]=f[v>>2];W=35}if((W|0)==35){X=f[v+4>>2]|0;if((X|0)<3){f[M>>2]=X;f[N>>2]=f[v+8>>2];f[s+12>>2]=f[v+12>>2];X=f[v+44>>2]|0;b=f[Q>>2]|0;f[b>>2]=f[X>>2];f[b+4>>2]=f[X+4>>2]}else W=37}if((W|0)==37)kP(s,v);X=v+16|0;f[c>>2]=f[X>>2];f[s+20>>2]=f[v+20>>2];f[s+24>>2]=f[v+24>>2];f[s+28>>2]=f[v+28>>2];f[s+32>>2]=f[v+32>>2];c=f[d>>2]|0;f[E>>2]=c;if(c|0?(E=c+12|0,c=f[E>>2]|0,f[E>>2]=c+-1,(c|0)==1):0)lP(v);f[d>>2]=0;d=v+4|0;f[X>>2]=0;f[X+4>>2]=0;f[X+8>>2]=0;f[X+12>>2]=0;if((f[d>>2]|0)>0){X=f[v+40>>2]|0;c=0;do{f[X+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[v+44>>2]|0;if((d|0)!=(v+48|0))tE(d)}if((g|0)!=0&i!=0.0){Ri(v,A,F,p,g,h);h=v+36|0;g=f[h>>2]|0;if(g|0){F=g+12|0;f[F>>2]=(f[F>>2]|0)+1}F=t+36|0;g=f[F>>2]|0;if(g|0?(A=g+12|0,g=f[A>>2]|0,f[A>>2]=g+-1,(g|0)==1):0)lP(t);f[F>>2]=0;g=t+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[R>>2]|0)>0){A=f[T>>2]|0;d=0;do{f[A+(d<<2)>>2]=0;d=d+1|0;Y=f[R>>2]|0}while((d|0)<(Y|0));f[t>>2]=f[v>>2];if((Y|0)<3)W=58;else W=60}else{f[t>>2]=f[v>>2];W=58}if((W|0)==58){Y=f[v+4>>2]|0;if((Y|0)<3){f[R>>2]=Y;f[S>>2]=f[v+8>>2];f[t+12>>2]=f[v+12>>2];Y=f[v+44>>2]|0;d=f[J>>2]|0;f[d>>2]=f[Y>>2];f[d+4>>2]=f[Y+4>>2]}else W=60}if((W|0)==60)kP(t,v);W=v+16|0;f[g>>2]=f[W>>2];f[t+20>>2]=f[v+20>>2];f[t+24>>2]=f[v+24>>2];f[t+28>>2]=f[v+28>>2];f[t+32>>2]=f[v+32>>2];g=f[h>>2]|0;f[F>>2]=g;if(g|0?(F=g+12|0,g=f[F>>2]|0,f[F>>2]=g+-1,(g|0)==1):0)lP(v);f[h>>2]=0;h=v+4|0;f[W>>2]=0;f[W+4>>2]=0;f[W+8>>2]=0;f[W+12>>2]=0;if((f[h>>2]|0)>0){W=f[v+40>>2]|0;g=0;do{f[W+(g<<2)>>2]=0;g=g+1|0}while((g|0)<(f[h>>2]|0))}h=f[v+44>>2]|0;if((h|0)!=(v+48|0))tE(h)}Ri(v,D,n,p,j,k);f[w>>2]=f[r>>2];k=w+4|0;j=f[C>>2]|0;f[k>>2]=j;p=w+8|0;f[p>>2]=f[G>>2];f[w+12>>2]=f[r+12>>2];G=w+16|0;n=r+16|0;f[G>>2]=f[n>>2];f[w+20>>2]=f[r+20>>2];f[w+24>>2]=f[r+24>>2];f[w+28>>2]=f[r+28>>2];f[w+32>>2]=f[r+32>>2];D=w+36|0;h=r+36|0;g=f[h>>2]|0;f[D>>2]=g;W=w+40|0;f[W>>2]=p;p=w+48|0;F=w+44|0;f[F>>2]=p;f[p>>2]=0;f[w+52>>2]=0;if(!g)Z=j;else{j=g+12|0;f[j>>2]=(f[j>>2]|0)+1;Z=f[C>>2]|0}if((Z|0)<3){Z=f[L>>2]|0;j=f[F>>2]|0;f[j>>2]=f[Z>>2];f[j+4>>2]=f[Z+4>>2]}else{f[k>>2]=0;kP(w,r)}f[x>>2]=f[s>>2];Z=x+4|0;j=f[M>>2]|0;f[Z>>2]=j;g=x+8|0;f[g>>2]=f[N>>2];f[x+12>>2]=f[s+12>>2];N=x+16|0;Y=s+16|0;f[N>>2]=f[Y>>2];f[x+20>>2]=f[s+20>>2];f[x+24>>2]=f[s+24>>2];f[x+28>>2]=f[s+28>>2];f[x+32>>2]=f[s+32>>2];d=x+36|0;A=s+36|0;c=f[A>>2]|0;f[d>>2]=c;X=x+40|0;f[X>>2]=g;g=x+48|0;E=x+44|0;f[E>>2]=g;f[g>>2]=0;f[x+52>>2]=0;if(!c)_=j;else{j=c+12|0;f[j>>2]=(f[j>>2]|0)+1;_=f[M>>2]|0}if((_|0)<3){_=f[Q>>2]|0;j=f[E>>2]|0;f[j>>2]=f[_>>2];f[j+4>>2]=f[_+4>>2]}else{f[Z>>2]=0;kP(x,s)}f[y>>2]=f[t>>2];_=y+4|0;j=f[R>>2]|0;f[_>>2]=j;c=y+8|0;f[c>>2]=f[S>>2];f[y+12>>2]=f[t+12>>2];S=y+16|0;b=t+16|0;f[S>>2]=f[b>>2];f[y+20>>2]=f[t+20>>2];f[y+24>>2]=f[t+24>>2];f[y+28>>2]=f[t+28>>2];f[y+32>>2]=f[t+32>>2];B=y+36|0;a=t+36|0;V=f[a>>2]|0;f[B>>2]=V;m=y+40|0;f[m>>2]=c;c=y+48|0;U=y+44|0;f[U>>2]=c;f[c>>2]=0;f[y+52>>2]=0;if(!V)$=j;else{j=V+12|0;f[j>>2]=(f[j>>2]|0)+1;$=f[R>>2]|0}if(($|0)<3){$=f[J>>2]|0;j=f[U>>2]|0;f[j>>2]=f[$>>2];f[j+4>>2]=f[$+4>>2]}else{f[_>>2]=0;kP(y,t)}f[z>>2]=f[v>>2];$=z+4|0;j=v+4|0;V=f[j>>2]|0;f[$>>2]=V;l=z+8|0;f[l>>2]=f[v+8>>2];f[z+12>>2]=f[v+12>>2];aa=z+16|0;ba=v+16|0;f[aa>>2]=f[ba>>2];f[z+20>>2]=f[v+20>>2];f[z+24>>2]=f[v+24>>2];f[z+28>>2]=f[v+28>>2];f[z+32>>2]=f[v+32>>2];ca=z+36|0;da=v+36|0;ea=f[da>>2]|0;f[ca>>2]=ea;fa=z+40|0;f[fa>>2]=l;l=z+48|0;ga=z+44|0;f[ga>>2]=l;f[l>>2]=0;f[z+52>>2]=0;if(!ea)ha=V;else{V=ea+12|0;f[V>>2]=(f[V>>2]|0)+1;ha=f[j>>2]|0}if((ha|0)<3){ha=f[v+44>>2]|0;V=f[ga>>2]|0;f[V>>2]=f[ha>>2];f[V+4>>2]=f[ha+4>>2]}else{f[$>>2]=0;kP(z,v)}GW(w,x,e,y,i,z,o);o=f[ca>>2]|0;if(o|0?(ha=o+12|0,o=f[ha>>2]|0,f[ha>>2]=o+-1,(o|0)==1):0)lP(z);f[ca>>2]=0;f[aa>>2]=0;f[aa+4>>2]=0;f[aa+8>>2]=0;f[aa+12>>2]=0;if((f[$>>2]|0)>0){aa=f[fa>>2]|0;fa=0;do{f[aa+(fa<<2)>>2]=0;fa=fa+1|0}while((fa|0)<(f[$>>2]|0))}$=f[ga>>2]|0;if(($|0)!=(l|0))tE($);$=f[B>>2]|0;if($|0?(l=$+12|0,$=f[l>>2]|0,f[l>>2]=$+-1,($|0)==1):0)lP(y);f[B>>2]=0;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;if((f[_>>2]|0)>0){S=f[m>>2]|0;m=0;do{f[S+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[_>>2]|0))}_=f[U>>2]|0;if((_|0)!=(c|0))tE(_);_=f[d>>2]|0;if(_|0?(c=_+12|0,_=f[c>>2]|0,f[c>>2]=_+-1,(_|0)==1):0)lP(x);f[d>>2]=0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;if((f[Z>>2]|0)>0){N=f[X>>2]|0;X=0;do{f[N+(X<<2)>>2]=0;X=X+1|0}while((X|0)<(f[Z>>2]|0))}Z=f[E>>2]|0;if((Z|0)!=(g|0))tE(Z);Z=f[D>>2]|0;do if(Z|0){g=Z+12|0;E=f[g>>2]|0;f[g>>2]=E+-1;if((E|0)!=1)break;lP(w)}while(0);f[D>>2]=0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[k>>2]|0)>0){G=f[W>>2]|0;W=0;do{f[G+(W<<2)>>2]=0;W=W+1|0}while((W|0)<(f[k>>2]|0))}k=f[F>>2]|0;if((k|0)!=(p|0))tE(k);k=f[da>>2]|0;do if(k|0){p=k+12|0;F=f[p>>2]|0;f[p>>2]=F+-1;if((F|0)!=1)break;lP(v)}while(0);f[da>>2]=0;f[ba>>2]=0;f[ba+4>>2]=0;f[ba+8>>2]=0;f[ba+12>>2]=0;if((f[j>>2]|0)>0){ba=f[v+40>>2]|0;da=0;do{f[ba+(da<<2)>>2]=0;da=da+1|0}while((da|0)<(f[j>>2]|0))}j=f[v+44>>2]|0;if((j|0)!=(v+48|0))tE(j);j=f[a>>2]|0;do if(j|0){v=j+12|0;da=f[v>>2]|0;f[v>>2]=da+-1;if((da|0)!=1)break;lP(t)}while(0);f[a>>2]=0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[R>>2]|0)>0){b=f[T>>2]|0;T=0;do{f[b+(T<<2)>>2]=0;T=T+1|0}while((T|0)<(f[R>>2]|0))}R=f[J>>2]|0;if((R|0)!=(I|0))tE(R);R=f[A>>2]|0;do if(R|0){I=R+12|0;J=f[I>>2]|0;f[I>>2]=J+-1;if((J|0)!=1)break;lP(s)}while(0);f[A>>2]=0;f[Y>>2]=0;f[Y+4>>2]=0;f[Y+8>>2]=0;f[Y+12>>2]=0;if((f[M>>2]|0)>0){Y=f[O>>2]|0;O=0;do{f[Y+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[M>>2]|0))}M=f[Q>>2]|0;if((M|0)!=(P|0))tE(M);M=f[h>>2]|0;do if(M|0){P=M+12|0;Q=f[P>>2]|0;f[P>>2]=Q+-1;if((Q|0)!=1)break;lP(r)}while(0);f[h>>2]=0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[C>>2]|0)>0){n=f[H>>2]|0;H=0;do{f[n+(H<<2)>>2]=0;H=H+1|0}while((H|0)<(f[C>>2]|0))}C=f[L>>2]|0;if((C|0)==(K|0)){u=q;return}tE(C);u=q;return}function GW(a,c,d,e,g,h,i){a=a|0;c=c|0;d=+d;e=e|0;g=+g;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0.0,Z=0.0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0,ea=0.0,fa=0.0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0.0,oa=0.0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0;j=u;u=u+1120|0;k=j+1104|0;l=j+64|0;m=j+56|0;o=j+48|0;q=j+40|0;r=j+32|0;s=j+24|0;t=j+16|0;v=j+8|0;w=j;zT(k,49236);x=f[a+40>>2]|0;y=f[x+4>>2]|0;z=f[x>>2]|0;x=f[a>>2]|0;A=x&4095;switch(i&3){case 0:{B=c+8|0;C=c+12|0;D=z;break}case 1:{B=c+8|0;C=c+12|0;D=y;break}case 2:{B=c+12|0;C=c+8|0;D=z;break}case 3:{B=c+12|0;C=c+8|0;D=y;break}default:{}}E=f[C>>2]|0;C=f[B>>2]|0;a:do if((i|0)==0&(C+-2|0)>>>0<3?(C|0)==(E|0)|(C|0)==(D|0):0){switch(x&4095){case 5:{B=f[h+16>>2]|0;F=f[a+16>>2]|0;G=f[c+16>>2]|0;H=f[e+16>>2]|0;I=f[h+48>>2]|0;J=I>>>2;K=f[a+48>>2]|0;L=K>>>2;M=f[c+48>>2]|0;N=M>>>2;if(!H)O=0;else O=(f[e+48>>2]|0)>>>2;P=(H|0)==0?542108:H;switch(C|0){case 2:{if(!((E|0)!=2|(G|0)==(B|0))){if((D|0)<=0)break a;Q=G+(N<<2)|0;R=G+4|0;S=G+(N+1<<2)|0;T=0;U=B;V=F;W=P;while(1){X=+n[V>>2];Z=+n[V+4>>2];_=X*+n[R>>2]+Z*+n[S>>2];n[U>>2]=(X*+n[G>>2]+Z*+n[Q>>2])*d+ +n[W>>2]*g;n[U+4>>2]=_*d+ +n[W+4>>2]*g;T=T+1|0;if((T|0)==(D|0))break a;else{U=U+(J<<2)|0;V=V+(L<<2)|0;W=W+(O<<2)|0}}}if((F|0)!=(B|0)){W=(P|0)==542108;V=(W^1)&1;U=W?1:O;if((E|0)<=0)break a;W=F+4|0;T=F+(L<<2)|0;Q=F+(L+1<<2)|0;S=G;R=0;$=B;aa=P;while(1){_=+n[S>>2];Z=+n[S+(N<<2)>>2];X=_*+n[T>>2]+Z*+n[Q>>2];n[$>>2]=(+n[F>>2]*_+ +n[W>>2]*Z)*d+ +n[aa>>2]*g;n[$+(J<<2)>>2]=X*d+ +n[aa+(U<<2)>>2]*g;R=R+1|0;if((R|0)==(E|0))break a;else{S=S+4|0;$=$+4|0;aa=aa+(V<<2)|0}}}break}case 3:{if(!((E|0)!=3|(G|0)==(B|0))){if((D|0)<=0)break a;V=G+(N<<2)|0;aa=N<<1;$=G+(aa<<2)|0;S=G+4|0;R=G+(N+1<<2)|0;U=G+((aa|1)<<2)|0;W=G+8|0;Q=G+(N+2<<2)|0;T=G+(aa+2<<2)|0;aa=F;ba=0;ca=B;da=P;while(1){X=+n[aa>>2];Z=+n[aa+4>>2];_=+n[aa+8>>2];ea=X*+n[S>>2]+Z*+n[R>>2]+_*+n[U>>2];fa=X*+n[W>>2]+Z*+n[Q>>2]+_*+n[T>>2];n[ca>>2]=(X*+n[G>>2]+Z*+n[V>>2]+_*+n[$>>2])*d+ +n[da>>2]*g;n[ca+4>>2]=ea*d+ +n[da+4>>2]*g;n[ca+8>>2]=fa*d+ +n[da+8>>2]*g;ba=ba+1|0;if((ba|0)==(D|0))break a;else{aa=aa+(L<<2)|0;ca=ca+(J<<2)|0;da=da+(O<<2)|0}}}if((F|0)!=(B|0)){da=(P|0)==542108;ca=(da^1)&1;aa=da?1:O;if((E|0)<=0)break a;da=F+4|0;ba=F+8|0;$=N<<1;V=F+(L<<2)|0;T=F+(L+1<<2)|0;Q=F+(L+2<<2)|0;W=L<<1;U=F+(W<<2)|0;R=F+((W|1)<<2)|0;S=F+(W+2<<2)|0;W=aa<<1;ga=J<<1;ha=G;ia=0;ja=B;ka=P;while(1){fa=+n[ha>>2];ea=+n[ha+(N<<2)>>2];_=+n[ha+($<<2)>>2];Z=fa*+n[V>>2]+ea*+n[T>>2]+_*+n[Q>>2];X=fa*+n[U>>2]+ea*+n[R>>2]+_*+n[S>>2];n[ja>>2]=(+n[F>>2]*fa+ +n[da>>2]*ea+ +n[ba>>2]*_)*d+ +n[ka>>2]*g;n[ja+(J<<2)>>2]=Z*d+ +n[ka+(aa<<2)>>2]*g;n[ja+(ga<<2)>>2]=X*d+ +n[ka+(W<<2)>>2]*g;ia=ia+1|0;if((ia|0)==(E|0))break a;else{ha=ha+4|0;ja=ja+4|0;ka=ka+(ca<<2)|0}}}break}case 4:{if(!((E|0)!=4|(G|0)==(B|0))){if((D|0)<=0)break a;ca=G+(N<<2)|0;ka=N<<1;ja=G+(ka<<2)|0;ha=N*3|0;ia=G+(ha<<2)|0;W=G+4|0;ga=G+(N+1<<2)|0;aa=G+((ka|1)<<2)|0;ba=G+(ha+1<<2)|0;da=G+8|0;S=G+(N+2<<2)|0;R=G+(ka+2<<2)|0;U=G+(ha+2<<2)|0;Q=G+12|0;T=G+(N+3<<2)|0;V=G+(ka+3<<2)|0;ka=G+(ha+3<<2)|0;ha=F;$=0;la=B;ma=P;while(1){X=+n[ha>>2];Z=+n[ha+4>>2];_=+n[ha+8>>2];ea=+n[ha+12>>2];fa=X*+n[W>>2]+Z*+n[ga>>2]+_*+n[aa>>2]+ea*+n[ba>>2];na=X*+n[da>>2]+Z*+n[S>>2]+_*+n[R>>2]+ea*+n[U>>2];oa=X*+n[Q>>2]+Z*+n[T>>2]+_*+n[V>>2]+ea*+n[ka>>2];n[la>>2]=(X*+n[G>>2]+Z*+n[ca>>2]+_*+n[ja>>2]+ea*+n[ia>>2])*d+ +n[ma>>2]*g;n[la+4>>2]=fa*d+ +n[ma+4>>2]*g;n[la+8>>2]=na*d+ +n[ma+8>>2]*g;n[la+12>>2]=oa*d+ +n[ma+12>>2]*g;$=$+1|0;if(($|0)==(D|0))break a;else{ha=ha+(L<<2)|0;la=la+(J<<2)|0;ma=ma+(O<<2)|0}}}if((F|0)!=(B|0)){ma=(P|0)==542108;la=(ma^1)&1;ha=ma?1:O;if((E|0)<=0)break a;ma=F+4|0;$=F+8|0;ia=N<<1;ja=F+12|0;ca=N*3|0;ka=F+(L<<2)|0;V=F+(L+1<<2)|0;T=F+(L+2<<2)|0;Q=F+(L+3<<2)|0;U=L<<1;R=F+(U<<2)|0;S=F+((U|1)<<2)|0;da=F+(U+2<<2)|0;ba=F+(U+3<<2)|0;U=L*3|0;aa=F+(U<<2)|0;ga=F+(U+1<<2)|0;W=F+(U+2<<2)|0;pa=F+(U+3<<2)|0;U=ha<<1;qa=J<<1;ra=ha*3|0;sa=J*3|0;ta=G;ua=0;va=B;wa=P;while(1){oa=+n[ta>>2];na=+n[ta+(N<<2)>>2];fa=+n[ta+(ia<<2)>>2];ea=+n[ta+(ca<<2)>>2];_=oa*+n[ka>>2]+na*+n[V>>2]+fa*+n[T>>2]+ea*+n[Q>>2];Z=oa*+n[R>>2]+na*+n[S>>2]+fa*+n[da>>2]+ea*+n[ba>>2];X=oa*+n[aa>>2]+na*+n[ga>>2]+fa*+n[W>>2]+ea*+n[pa>>2];n[va>>2]=(+n[F>>2]*oa+ +n[ma>>2]*na+ +n[$>>2]*fa+ +n[ja>>2]*ea)*d+ +n[wa>>2]*g;n[va+(J<<2)>>2]=_*d+ +n[wa+(ha<<2)>>2]*g;n[va+(qa<<2)>>2]=Z*d+ +n[wa+(U<<2)>>2]*g;n[va+(sa<<2)>>2]=X*d+ +n[wa+(ra<<2)>>2]*g;ua=ua+1|0;if((ua|0)==(E|0))break a;else{ta=ta+4|0;va=va+4|0;wa=wa+(la<<2)|0}}}break}default:{}}if((A|0)==6){xa=I;ya=K;za=M;Aa=H;Ba=H;Ca=G;Da=B;Ea=F}else{Fa=66;break a}break}case 6:{la=f[e+16>>2]|0;xa=f[h+48>>2]|0;ya=f[a+48>>2]|0;za=f[c+48>>2]|0;Aa=la;Ba=la;Ca=f[c+16>>2]|0;Da=f[h+16>>2]|0;Ea=f[a+16>>2]|0;break}default:{Fa=66;break a}}la=xa>>>3;wa=ya>>>3;va=za>>>3;if(!Aa)Ga=0;else Ga=(f[e+48>>2]|0)>>>3;ta=(Ba|0)==0?527616:Ba;switch(C|0){case 2:{if(!((E|0)!=2|(Ca|0)==(Da|0))){if((D|0)<=0)break a;ua=Ca+(va<<3)|0;ra=Ca+8|0;sa=Ca+(va+1<<3)|0;U=Da;qa=Ea;ha=ta;J=0;while(1){X=+p[qa>>3];Z=+p[qa+8>>3];_=X*+p[ra>>3]+Z*+p[sa>>3];p[U>>3]=(X*+p[Ca>>3]+Z*+p[ua>>3])*d+ +p[ha>>3]*g;p[U+8>>3]=_*d+ +p[ha+8>>3]*g;J=J+1|0;if((J|0)==(D|0))break a;else{U=U+(la<<3)|0;qa=qa+(wa<<3)|0;ha=ha+(Ga<<3)|0}}}if((Ea|0)==(Da|0)){Fa=66;break a}ha=(ta|0)==527616;qa=(ha^1)&1;U=ha?1:Ga;if((E|0)<=0)break a;ha=Ea+8|0;J=Ea+(wa<<3)|0;ua=Ea+(wa+1<<3)|0;sa=Ca;ra=Da;F=ta;B=0;while(1){_=+p[sa>>3];Z=+p[sa+(va<<3)>>3];X=_*+p[J>>3]+Z*+p[ua>>3];p[ra>>3]=(+p[Ea>>3]*_+ +p[ha>>3]*Z)*d+ +p[F>>3]*g;p[ra+(la<<3)>>3]=X*d+ +p[F+(U<<3)>>3]*g;B=B+1|0;if((B|0)==(E|0))break;else{sa=sa+8|0;ra=ra+8|0;F=F+(qa<<3)|0}}break}case 3:{if(!((E|0)!=3|(Ca|0)==(Da|0))){if((D|0)<=0)break a;qa=Ca+(va<<3)|0;F=va<<1;ra=Ca+(F<<3)|0;sa=Ca+8|0;B=Ca+(va+1<<3)|0;U=Ca+((F|1)<<3)|0;ha=Ca+16|0;ua=Ca+(va+2<<3)|0;J=Ca+(F+2<<3)|0;F=Ea;G=Da;H=ta;M=0;while(1){X=+p[F>>3];Z=+p[F+8>>3];_=+p[F+16>>3];ea=X*+p[sa>>3]+Z*+p[B>>3]+_*+p[U>>3];fa=X*+p[ha>>3]+Z*+p[ua>>3]+_*+p[J>>3];p[G>>3]=(X*+p[Ca>>3]+Z*+p[qa>>3]+_*+p[ra>>3])*d+ +p[H>>3]*g;p[G+8>>3]=ea*d+ +p[H+8>>3]*g;p[G+16>>3]=fa*d+ +p[H+16>>3]*g;M=M+1|0;if((M|0)==(D|0))break a;else{F=F+(wa<<3)|0;G=G+(la<<3)|0;H=H+(Ga<<3)|0}}}if((Ea|0)==(Da|0)){Fa=66;break a}H=(ta|0)==527616;G=(H^1)&1;F=H?1:Ga;if((E|0)<=0)break a;H=Ea+8|0;M=Ea+16|0;ra=va<<1;qa=Ea+(wa<<3)|0;J=Ea+(wa+1<<3)|0;ua=Ea+(wa+2<<3)|0;ha=wa<<1;U=Ea+(ha<<3)|0;B=Ea+((ha|1)<<3)|0;sa=Ea+(ha+2<<3)|0;ha=F<<1;K=la<<1;I=Ca;ja=Da;$=ta;ma=0;while(1){fa=+p[I>>3];ea=+p[I+(va<<3)>>3];_=+p[I+(ra<<3)>>3];Z=fa*+p[qa>>3]+ea*+p[J>>3]+_*+p[ua>>3];X=fa*+p[U>>3]+ea*+p[B>>3]+_*+p[sa>>3];p[ja>>3]=(+p[Ea>>3]*fa+ +p[H>>3]*ea+ +p[M>>3]*_)*d+ +p[$>>3]*g;p[ja+(la<<3)>>3]=Z*d+ +p[$+(F<<3)>>3]*g;p[ja+(K<<3)>>3]=X*d+ +p[$+(ha<<3)>>3]*g;ma=ma+1|0;if((ma|0)==(E|0))break;else{I=I+8|0;ja=ja+8|0;$=$+(G<<3)|0}}break}case 4:{if(!((E|0)!=4|(Ca|0)==(Da|0))){if((D|0)<=0)break a;G=Ca+(va<<3)|0;$=va<<1;ja=Ca+($<<3)|0;I=va*3|0;ma=Ca+(I<<3)|0;ha=Ca+8|0;K=Ca+(va+1<<3)|0;F=Ca+(($|1)<<3)|0;M=Ca+(I+1<<3)|0;H=Ca+16|0;sa=Ca+(va+2<<3)|0;B=Ca+($+2<<3)|0;U=Ca+(I+2<<3)|0;ua=Ca+24|0;J=Ca+(va+3<<3)|0;qa=Ca+($+3<<3)|0;$=Ca+(I+3<<3)|0;I=0;ra=Ea;pa=Da;W=ta;while(1){X=+p[ra>>3];Z=+p[ra+8>>3];_=+p[ra+16>>3];ea=+p[ra+24>>3];fa=X*+p[ha>>3]+Z*+p[K>>3]+_*+p[F>>3]+ea*+p[M>>3];na=X*+p[H>>3]+Z*+p[sa>>3]+_*+p[B>>3]+ea*+p[U>>3];oa=X*+p[ua>>3]+Z*+p[J>>3]+_*+p[qa>>3]+ea*+p[$>>3];p[pa>>3]=(X*+p[Ca>>3]+Z*+p[G>>3]+_*+p[ja>>3]+ea*+p[ma>>3])*d+ +p[W>>3]*g;p[pa+8>>3]=fa*d+ +p[W+8>>3]*g;p[pa+16>>3]=na*d+ +p[W+16>>3]*g;p[pa+24>>3]=oa*d+ +p[W+24>>3]*g;I=I+1|0;if((I|0)==(D|0))break a;else{ra=ra+(wa<<3)|0;pa=pa+(la<<3)|0;W=W+(Ga<<3)|0}}}if((E|0)>16|(Ea|0)==(Da|0)){Fa=66;break a}W=(ta|0)==527616;pa=W?1:Ga;ra=(W^1)&1;if((E|0)<=0)break a;W=Ea+8|0;I=Ea+16|0;ma=va<<1;ja=Ea+24|0;G=va*3|0;$=Ea+(wa<<3)|0;qa=Ea+(wa+1<<3)|0;J=Ea+(wa+2<<3)|0;ua=Ea+(wa+3<<3)|0;U=wa<<1;B=Ea+(U<<3)|0;sa=Ea+((U|1)<<3)|0;H=Ea+(U+2<<3)|0;M=Ea+(U+3<<3)|0;U=wa*3|0;F=Ea+(U<<3)|0;K=Ea+(U+1<<3)|0;ha=Ea+(U+2<<3)|0;ga=Ea+(U+3<<3)|0;U=pa<<1;aa=la<<1;ba=pa*3|0;da=la*3|0;S=0;R=Ca;Q=Da;T=ta;while(1){oa=+p[R>>3];na=+p[R+(va<<3)>>3];fa=+p[R+(ma<<3)>>3];ea=+p[R+(G<<3)>>3];_=oa*+p[$>>3]+na*+p[qa>>3]+fa*+p[J>>3]+ea*+p[ua>>3];Z=oa*+p[B>>3]+na*+p[sa>>3]+fa*+p[H>>3]+ea*+p[M>>3];X=oa*+p[F>>3]+na*+p[K>>3]+fa*+p[ha>>3]+ea*+p[ga>>3];p[Q>>3]=(+p[Ea>>3]*oa+ +p[W>>3]*na+ +p[I>>3]*fa+ +p[ja>>3]*ea)*d+ +p[T>>3]*g;p[Q+(la<<3)>>3]=_*d+ +p[T+(pa<<3)>>3]*g;p[Q+(aa<<3)>>3]=Z*d+ +p[T+(U<<3)>>3]*g;p[Q+(da<<3)>>3]=X*d+ +p[T+(ba<<3)>>3]*g;S=S+1|0;if((S|0)==(E|0))break;else{R=R+8|0;Q=Q+8|0;T=T+(ra<<3)|0}}break}default:{Fa=66;break a}}}else Fa=66;while(0);if((Fa|0)==66){Ea=f[c+48>>2]|0;Da=f[e+16>>2]|0;Ca=(Da|0)==0;if(Ca)Ha=0;else Ha=f[e+48>>2]|0;Ga=l+8|0;f[l>>2]=Ga;Ba=l+4|0;f[Ba>>2]=1032;switch(x&4095){case 5:{Ia=2;Ja=104;Ka=1;break}case 6:{Ia=3;Ja=105;Ka=2;break}case 13:{Ia=4;Ja=106;Ka=3;break}case 14:{Ia=5;Ja=107;Ka=4;break}default:{f[m>>2]=0;f[m+4>>2]=0;Aa=YG(m,16)|0;za=220924;ya=Aa+16|0;do{b[Aa>>0]=b[za>>0]|0;Aa=Aa+1|0;za=za+1|0}while((Aa|0)<(ya|0));SQ(-215,m,220941,220950,1218)}}m=(E|0)==1;if((i&2|0)==0&(m|(C|0)==1)?(f[c>>2]&16384|0)!=0:0){if(m)La=0;else La=(x>>>3&511)+1<<(47696>>>(A<<1&14)&3);Ma=i|2;Na=La}else{Ma=i;Na=Ea}if((D|0)<65)if((C|0)<10001)Fa=83;else Fa=81;else if((C|0)<11|(E|0)<65&(C|0)<10001)Fa=83;else Fa=81;do if((Fa|0)==81){if((E|0)<129?(D|0)<129&(C|0)<129:0){Fa=83;break}Ea=x&7;i=(x>>>3&511)+1<<(47696>>>(Ea<<1)&3);La=i<<((Ea|0)==5&1);Ea=(Ma&1|0)!=0;A=a+48|0;m=f[A>>2]|0;za=Ea?i:m;Aa=Ea?m:i;m=(Ma&2|0)!=0;ya=m?i:Na;xa=m?Na:i;if(!Ca){O=f[e+4>>2]|0;if((O|0)<3)Oa=Y(f[e+12>>2]|0,f[e+8>>2]|0)|0;else{ra=f[e+40>>2]|0;T=0;Q=1;while(1){R=Y(f[ra+(T<<2)>>2]|0,Q)|0;T=T+1|0;if((T|0)==(O|0)){Oa=R;break}else Q=R}}if(!((O|0)==0|(Oa|0)==0)){Q=(Ma&4|0)==0;T=f[e+48>>2]|0;Pa=Q?i:T;Qa=Q?T:i;Ra=Ma}else Fa=90}else Fa=90;if((Fa|0)==90){Pa=0;Qa=0;Ra=Ma&-5}T=(D|0)<128?D:128;Q=(E|0)<128?E:128;ra=16384/(T|0)|0;R=16384/(Q|0)|0;S=(R|0)<(ra|0)?R:ra;ra=(C|0)<(S|0)?C:S;if((Y(ra,T)|0)>16384)Sa=16384/(ra|0)|0;else Sa=T;if((Y(ra,Q)|0)>16384)Ta=16384/(ra|0)|0;else Ta=Q;Q=((ra|0)/8|0)+ra|0;T=Y(Ta+2+((Ta|0)/8|0)&-2,Q+1|0)|0;R=Y(T,i)|0;ba=Y(T,La)|0;if(Ea){Ua=Y(Y(Q+2&-2,i)|0,Sa+1+((Sa|0)/8|0)|0)|0;Va=Ra&-2}else{Ua=0;Va=Ra}Q=ba+R+Ua|0;f[Ba>>2]=Q;if(Q>>>0>1032){T=Dmc(Q)|0;f[l>>2]=T;Wa=T}else Wa=Ga;T=Wa+ba|0;ba=T+R|0;R=Ea?ba:0;if((D|0)>0){Q=D<<3;da=(E|0)>0;U=h+16|0;aa=h+44|0;pa=h+48|0;la=E<<3;ja=(C|0)>(S|0);S=(C|0)>0;I=w+4|0;W=a+16|0;ga=c+16|0;ha=C<<3;K=Ea&(R|0)!=0;F=(i|0)==4;M=i&65535;H=i>>>2;sa=r+4|0;B=s+4|0;ua=t+4|0;J=v+4|0;qa=0;$=Va;while(1){G=qa+Sa|0;if((G|0)<(D|0)?((G<<3)+Sa|0)<=(Q|0):0)Xa=Sa;else Xa=D-qa|0;if(da){G=Da+(Y(qa,Qa)|0)|0;ma=Y(qa,za)|0;va=0;ta=$;while(1){wa=f[pa>>2]|0;V=Y(va,i)|0;ka=(f[U>>2]|0)+(Y(wa,qa)|0)+V|0;ca=G+(Y(va,Pa)|0)|0;ia=va+Ta|0;if((ia|0)<(E|0)?((ia<<3)+Ta|0)<=(la|0):0)Ya=Ta;else Ya=E-va|0;ia=ta&15;N=Y(Ya,La)|0;P=ja?Wa:ka;ka=ja?N:wa;if(S){wa=Y(va,xa)|0;N=(Ya|0)<(E|0);L=0;Za=ia;while(1){_a=(f[W>>2]|0)+ma+(Y(L,Aa)|0)|0;$a=f[A>>2]|0;ab=(f[ga>>2]|0)+(Y(L,ya)|0)+wa|0;bb=L+ra|0;if((bb|0)<(C|0)?((bb<<3)+ra|0)<=(ha|0):0)cb=ra;else cb=C-L|0;bb=Ea?Xa:cb;db=Ea?cb:Xa;b:do if(K){eb=Y(cb,i)|0;if((bb|0)<=0){fb=eb;gb=ba;hb=db;ib=bb;break}jb=(db|0)>0;if(F){if(jb){kb=_a;lb=ba;mb=0}else{fb=eb;gb=R;hb=db;ib=bb;break}while(1){nb=0;ob=kb;while(1){f[lb+(nb<<2)>>2]=f[ob>>2];nb=nb+1|0;if((nb|0)==(db|0))break;else ob=ob+$a|0}mb=mb+1|0;if((mb|0)==(bb|0)){fb=eb;gb=R;hb=db;ib=bb;break b}else{kb=kb+4|0;lb=lb+eb|0}}}ob=db<<2;nb=db<<1;switch(M&8191){case 16:{pb=_a;qb=ba;rb=0;while(1){if(jb){sb=pb;tb=0;while(1){ub=f[sb+4>>2]|0;f[qb+(tb<<2)>>2]=f[sb>>2];f[qb+((tb|1)<<2)>>2]=ub;ub=f[sb+12>>2]|0;f[qb+((tb|2)<<2)>>2]=f[sb+8>>2];f[qb+((tb|3)<<2)>>2]=ub;tb=tb+4|0;if((tb|0)>=(ob|0))break;else sb=sb+$a|0}}rb=rb+1|0;if((rb|0)==(bb|0)){fb=eb;gb=R;hb=db;ib=bb;break}else{pb=pb+i|0;qb=qb+eb|0}}break}case 8:{qb=_a;pb=ba;rb=0;while(1){if(jb){ob=qb;sb=0;while(1){tb=f[ob+4>>2]|0;f[pb+(sb<<2)>>2]=f[ob>>2];f[pb+((sb|1)<<2)>>2]=tb;sb=sb+2|0;if((sb|0)>=(nb|0))break;else ob=ob+$a|0}}rb=rb+1|0;if((rb|0)==(bb|0)){fb=eb;gb=R;hb=db;ib=bb;break}else{qb=qb+i|0;pb=pb+eb|0}}break}default:{fb=eb;gb=ba;hb=db;ib=bb;break b}}}else{fb=$a;gb=_a;hb=bb;ib=db}while(0);c:do if(N){db=m?cb:Ya;bb=m?Ya:cb;_a=Y(db,i)|0;$a=Y(db,H)|0;if(!bb){vb=_a;wb=T;break}db=$a+-4|0;if(($a|0)<4){pb=($a|0)>0;qb=T;rb=ab;nb=bb;while(1){nb=nb+-1|0;if(pb){jb=0;do{f[qb+(jb<<2)>>2]=f[rb+(jb<<2)>>2];jb=jb+1|0}while((jb|0)!=($a|0))}if(!nb){vb=_a;wb=T;break c}else{qb=qb+_a|0;rb=rb+Na|0}}}rb=$a&-4;qb=(rb|0)<($a|0);nb=T;pb=ab;eb=bb;while(1){jb=0;do{ob=jb|1;sb=f[pb+(ob<<2)>>2]|0;f[nb+(jb<<2)>>2]=f[pb+(jb<<2)>>2];f[nb+(ob<<2)>>2]=sb;sb=jb|2;ob=jb|3;tb=f[pb+(ob<<2)>>2]|0;f[nb+(sb<<2)>>2]=f[pb+(sb<<2)>>2];f[nb+(ob<<2)>>2]=tb;jb=jb+4|0}while((jb|0)<=(db|0));eb=eb+-1|0;if(qb){jb=rb;do{f[nb+(jb<<2)>>2]=f[pb+(jb<<2)>>2];jb=jb+1|0}while((jb|0)!=($a|0))}if(!eb){vb=_a;wb=T;break}else{nb=nb+_a|0;pb=pb+Na|0}}}else{vb=Na;wb=ab}while(0);if(ja){f[r>>2]=hb;f[sa>>2]=ib;f[s>>2]=Ya;f[B>>2]=Xa;Rh[Ja&127](gb,fb,wb,vb,P,ka,r,s,Za)}else{f[t>>2]=hb;f[ua>>2]=ib;f[v>>2]=Ya;f[J>>2]=Xa;Ag[Ka&7](gb,fb,wb,vb,ca,Ha,P,ka,t,v,d,g,Za)}ab=Za|16;L=cb+L|0;if((C|0)<=(L|0)){xb=ab;break}else Za=ab}}else xb=ia;if(ja){Za=(f[U>>2]|0)+(Y(f[f[aa>>2]>>2]|0,qa)|0)+V|0;L=f[pa>>2]|0;f[w>>2]=Ya;f[I>>2]=Xa;di[Ia&7](ca,Ha,P,ka,Za,L,w,d,g,xb)}va=Ya+va|0;if((E|0)<=(va|0)){yb=xb;break}else ta=xb}}else yb=$;qa=Xa+qa|0;if((D|0)<=(qa|0))break;else $=yb}}}while(0);if((Fa|0)==83){Fa=f[a+16>>2]|0;yb=f[a+48>>2]|0;a=f[c+16>>2]|0;c=f[h+16>>2]|0;Xa=f[h+48>>2]|0;f[o>>2]=y;f[o+4>>2]=z;f[q>>2]=E;f[q+4>>2]=D;Ag[Ka&7](Fa,yb,a,Na,Da,Ha,c,Xa,o,q,d,g,Ma)}Ma=f[l>>2]|0;if((Ma|0)!=(Ga|0)){if(Ma|0)Fmc(Ma);f[l>>2]=Ga;f[Ba>>2]=1032}}if(!(f[k+4>>2]|0)){u=j;return}u=j;return}function HW(a,b,c,d,e,g,h,i,j,k,l,m,n){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=+l;m=+m;n=n|0;var o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0.0,U=0.0,V=0,W=0.0,X=0,Z=0.0,_=0.0,$=0,aa=0.0,ba=0.0,ca=0,da=0,ea=0,fa=0,ga=0.0,ha=0.0,ia=0,ja=0,ka=0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0,ra=0.0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0.0,ya=0.0,za=0,Aa=0,Ba=0.0,Ca=0.0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0;o=u;u=u+2192|0;q=o+1096|0;r=o;s=f[j>>2]|0;t=f[j+4>>2]|0;j=f[k>>2]|0;v=f[k+4>>2]|0;k=q+8|0;f[q>>2]=k;w=q+4|0;f[w>>2]=136;x=b>>>3;y=d>>>3;z=g>>>3;g=i>>>3;i=(e|0)==0;A=(n&4|0)==0;B=i?0:A?z:1;C=i?0:A?1:z;if(n&1)if(b>>>0>15&(t|0)>1){f[w>>2]=t;if(t>>>0>136){z=Dmc(t>>>0>536870911?-1:t<<3)|0;f[q>>2]=z;D=x;E=1;F=z;G=t;H=43}else{D=x;E=1;F=k;G=t;H=43}}else{I=x;J=1;K=t;H=5}else{I=1;J=x;K=s;H=5}if((H|0)==5)if((K|0)==1){s=r+8|0;f[r>>2]=s;z=r+4|0;f[z>>2]=136;if(b>>>0>15&(t|0)>1){f[w>>2]=v;if(v>>>0>136){t=Dmc(v>>>0>536870911?-1:v<<3)|0;f[q>>2]=t;L=t}else L=k;if((v|0)>0){t=0;do{b=a+((Y(t,x)|0)<<3)|0;p[L+(t<<3)>>3]=+p[b>>3];t=t+1|0}while((t|0)!=(v|0));M=L}else M=L}else M=a;if(d>>>0>15){f[z>>2]=j;if(j>>>0>136){d=Dmc(j>>>0>536870911?-1:j<<3)|0;f[r>>2]=d;N=d}else N=s;if((j|0)>0){d=0;do{L=c+((Y(d,y)|0)<<3)|0;p[N+(d<<3)>>3]=+p[L>>3];d=d+1|0}while((d|0)!=(j|0));O=N;P=N}else{O=N;P=N}}else{O=c;P=s}a:do if((v|0)>0){N=C<<1;if((j|0)<2){if((j|0)==1){Q=h;R=0;S=e}else break;while(1){T=+p[M+(R<<3)>>3]*l*+p[O>>3];if(!S)U=T;else U=T+ +p[S>>3]*m;p[Q>>3]=U;R=R+1|0;if((R|0)==(v|0))break a;else{Q=Q+(g<<3)|0;S=S+(B<<3)|0}}}d=j+-2|0;L=((d|0)>1?d:1)>>>1;t=Y(L,N)|0;x=(L<<1)+2|0;if((x|0)>=(j|0)){L=h;b=0;A=e;while(1){T=+p[M+(b<<3)>>3]*l;i=A;V=0;while(1){W=T*+p[O+(V<<3)>>3];X=V|1;Z=T*+p[O+(X<<3)>>3];if(!i){p[L+(V<<3)>>3]=W;_=Z}else{p[L+(V<<3)>>3]=W+ +p[i>>3]*m;_=Z+ +p[i+(C<<3)>>3]*m}p[L+(X<<3)>>3]=_;V=V+2|0;if((V|0)>(d|0))break;else i=i+(N<<3)|0}b=b+1|0;if((b|0)==(v|0))break a;else{L=L+(g<<3)|0;A=A+(B<<3)|0}}}A=h;L=0;b=e;i=e+(N<<3)|0;while(1){T=+p[M+(L<<3)>>3]*l;V=b;X=0;while(1){Z=T*+p[O+(X<<3)>>3];$=X|1;W=T*+p[O+($<<3)>>3];if(!V){p[A+(X<<3)>>3]=Z;aa=W}else{p[A+(X<<3)>>3]=Z+ +p[V>>3]*m;aa=W+ +p[V+(C<<3)>>3]*m}p[A+($<<3)>>3]=aa;X=X+2|0;if((X|0)>(d|0))break;else V=V+(N<<3)|0}V=i+(t<<3)|0;X=x;while(1){W=T*+p[O+(X<<3)>>3];if(!V)ba=W;else ba=W+ +p[V>>3]*m;p[A+(X<<3)>>3]=ba;X=X+1|0;if((X|0)==(j|0))break;else V=V+(C<<3)|0}L=L+1|0;if((L|0)==(v|0))break;else{A=A+(g<<3)|0;b=b+(B<<3)|0;i=i+(B<<3)|0}}}while(0);if((P|0)!=(s|0)){Fmc(P);f[r>>2]=s;f[z>>2]=136}}else{D=I;E=J;F=0;G=K;H=43}b:do if((H|0)==43){if(n&2|0){if((v|0)<=0)break;K=(F|0)==0;J=(j|0)>0;I=G+-4|0;z=(G|0)<4;s=G&-4;P=K|(G|0)<1;O=(G|0)>0;M=(s|0)<(G|0);ba=l*0.0;S=a;Q=h;R=0;i=e;while(1){if(P)ca=K?S:F;else{b=0;do{A=S+((Y(b,D)|0)<<3)|0;p[F+(b<<3)>>3]=+p[A>>3];b=b+1|0}while((b|0)!=(G|0));ca=F}c:do if(J){if(z){if(O){da=c;ea=i;fa=0}else{b=i;A=0;while(1){if(!b)ga=ba;else ga=ba+ +p[b>>3]*m;p[Q+(A<<3)>>3]=ga;A=A+1|0;if((A|0)==(j|0))break c;else b=b+(C<<3)|0}}while(1){aa=0.0;b=0;do{aa=aa+ +p[ca+(b<<3)>>3]*+p[da+(b<<3)>>3];b=b+1|0}while((b|0)!=(G|0));_=(aa+0.0)*l;if(!ea)ha=_;else ha=_+ +p[ea>>3]*m;p[Q+(fa<<3)>>3]=ha;fa=fa+1|0;if((fa|0)==(j|0))break c;else{da=da+(y<<3)|0;ea=ea+(C<<3)|0}}}if(M){ia=c;ja=i;ka=0}else{b=c;A=i;L=0;while(1){_=0.0;U=0.0;T=0.0;W=0.0;x=0;do{W=W+ +p[ca+(x<<3)>>3]*+p[b+(x<<3)>>3];t=x|1;T=T+ +p[ca+(t<<3)>>3]*+p[b+(t<<3)>>3];t=x|2;U=U+ +p[ca+(t<<3)>>3]*+p[b+(t<<3)>>3];t=x|3;_=_+ +p[ca+(t<<3)>>3]*+p[b+(t<<3)>>3];x=x+4|0}while((x|0)<=(I|0));aa=(_+(U+(T+W)))*l;if(!A)la=aa;else la=aa+ +p[A>>3]*m;p[Q+(L<<3)>>3]=la;L=L+1|0;if((L|0)==(j|0))break c;else{b=b+(y<<3)|0;A=A+(C<<3)|0}}}while(1){aa=0.0;Z=0.0;ma=0.0;na=0.0;A=0;while(1){oa=na+ +p[ca+(A<<3)>>3]*+p[ia+(A<<3)>>3];b=A|1;ma=ma+ +p[ca+(b<<3)>>3]*+p[ia+(b<<3)>>3];b=A|2;Z=Z+ +p[ca+(b<<3)>>3]*+p[ia+(b<<3)>>3];b=A|3;aa=aa+ +p[ca+(b<<3)>>3]*+p[ia+(b<<3)>>3];A=A+4|0;if((A|0)>(I|0)){pa=oa;qa=s;break}else na=oa}do{pa=pa+ +p[ca+(qa<<3)>>3]*+p[ia+(qa<<3)>>3];qa=qa+1|0}while((qa|0)!=(G|0));na=(aa+(Z+(ma+pa)))*l;if(!ja)ra=na;else ra=na+ +p[ja>>3]*m;p[Q+(ka<<3)>>3]=ra;ka=ka+1|0;if((ka|0)==(j|0))break;else{ia=ia+(y<<3)|0;ja=ja+(C<<3)|0}}}while(0);R=R+1|0;if((R|0)==(v|0))break b;else{S=S+(E<<3)|0;Q=Q+(g<<3)|0;i=i+(B<<3)|0}}}i=j<<3;if(i>>>0<1601){if((v|0)<=0)break;Q=(F|0)==0;S=j+-4|0;R=(j|0)<4;s=(G|0)>0;I=C<<2;M=C<<1;O=C*3|0;z=S>>>2;J=(z<<2)+4|0;K=Q|(G|0)<1;ba=l*0.0;P=a;A=h;b=0;L=e;x=e+(Y((z<<5)+32|0,C)|0)|0;while(1){if(K)sa=Q?P:F;else{z=0;do{t=P+((Y(z,D)|0)<<3)|0;p[F+(z<<3)>>3]=+p[t>>3];z=z+1|0}while((z|0)!=(G|0));sa=F}d:do if(R){ta=L;ua=0}else{if(s){va=L;wa=0}else{z=L;t=0;while(1){N=t|1;d=t|2;if(!z){p[A+(t<<3)>>3]=ba;p[A+(N<<3)>>3]=ba;p[A+(d<<3)>>3]=ba;xa=ba}else{p[A+(t<<3)>>3]=ba+ +p[z>>3]*m;p[A+(N<<3)>>3]=ba+ +p[z+(C<<3)>>3]*m;p[A+(d<<3)>>3]=ba+ +p[z+(M<<3)>>3]*m;xa=ba+ +p[z+(O<<3)>>3]*m}p[A+((t|3)<<3)>>3]=xa;t=t+4|0;if((t|0)>(S|0)){ta=x;ua=J;break d}else z=z+(I<<3)|0}}while(1){na=0.0;W=0.0;T=0.0;U=0.0;z=c+(wa<<3)|0;t=0;while(1){_=+p[sa+(t<<3)>>3];U=U+_*+p[z>>3];T=T+_*+p[z+8>>3];W=W+_*+p[z+16>>3];na=na+_*+p[z+24>>3];t=t+1|0;if((t|0)==(G|0))break;else z=z+(y<<3)|0}ma=U*l;Z=na*l;z=wa|1;t=wa|2;aa=W*l;_=T*l;if(!va){p[A+(wa<<3)>>3]=ma;p[A+(z<<3)>>3]=_;p[A+(t<<3)>>3]=aa;ya=Z}else{p[A+(wa<<3)>>3]=ma+ +p[va>>3]*m;p[A+(z<<3)>>3]=_+ +p[va+(C<<3)>>3]*m;p[A+(t<<3)>>3]=aa+ +p[va+(M<<3)>>3]*m;ya=Z+ +p[va+(O<<3)>>3]*m}p[A+((wa|3)<<3)>>3]=ya;wa=wa+4|0;if((wa|0)>(S|0)){ta=x;ua=J;break}else va=va+(I<<3)|0}}while(0);e:do if((ua|0)<(j|0)){if(s){za=ta;Aa=ua}else{t=ta;z=ua;while(1){if(!t)Ba=ba;else Ba=ba+ +p[t>>3]*m;p[A+(z<<3)>>3]=Ba;z=z+1|0;if((z|0)==(j|0))break e;else t=t+(C<<3)|0}}while(1){Z=0.0;t=c+(Aa<<3)|0;z=0;while(1){Z=Z+ +p[sa+(z<<3)>>3]*+p[t>>3];z=z+1|0;if((z|0)==(G|0))break;else t=t+(y<<3)|0}T=Z*l;if(!za)Ca=T;else Ca=T+ +p[za>>3]*m;p[A+(Aa<<3)>>3]=Ca;Aa=Aa+1|0;if((Aa|0)==(j|0))break;else za=za+(C<<3)|0}}while(0);b=b+1|0;if((b|0)==(v|0))break b;else{P=P+(E<<3)|0;A=A+(g<<3)|0;L=L+(B<<3)|0;x=x+(B<<3)|0}}}x=r+8|0;f[r>>2]=x;L=r+4|0;f[L>>2]=j;if(j>>>0>136){A=Dmc(j>>>0>536870911?-1:j<<3)|0;f[r>>2]=A;Da=A;Ea=A}else{Da=x;Ea=x}if((v|0)>0){A=(F|0)==0;P=(j|0)>0;b=(G|0)>0;s=j+-4|0;I=(j|0)<4;J=j&-4;S=A|(G|0)<1;O=(J|0)<(j|0);M=a;R=h;Q=0;K=e;while(1){if(S)Fa=A?M:F;else{t=0;do{z=M+((Y(t,D)|0)<<3)|0;p[F+(t<<3)>>3]=+p[z>>3];t=t+1|0}while((t|0)!=(G|0));Fa=F}if(P)Drc(Ea|0,0,i|0)|0;f:do if(b){if(I){if(P){Ga=c;Ha=0}else break;while(1){ba=+p[Fa+(Ha<<3)>>3];t=0;do{z=Ea+(t<<3)|0;p[z>>3]=+p[z>>3]+ba*+p[Ga+(t<<3)>>3];t=t+1|0}while((t|0)!=(j|0));Ha=Ha+1|0;if((Ha|0)==(G|0))break f;else Ga=Ga+(y<<3)|0}}if(O){Ia=c;Ja=0}else{t=c;z=0;while(1){ba=+p[Fa+(z<<3)>>3];d=0;do{N=Ea+(d<<3)|0;V=d|1;X=Ea+(V<<3)|0;Z=+p[X>>3]+ba*+p[t+(V<<3)>>3];p[N>>3]=+p[N>>3]+ba*+p[t+(d<<3)>>3];p[X>>3]=Z;X=d|2;N=Ea+(X<<3)|0;V=d|3;$=Ea+(V<<3)|0;Z=+p[$>>3]+ba*+p[t+(V<<3)>>3];p[N>>3]=+p[N>>3]+ba*+p[t+(X<<3)>>3];p[$>>3]=Z;d=d+4|0}while((d|0)<=(s|0));z=z+1|0;if((z|0)==(G|0))break f;else t=t+(y<<3)|0}}while(1){ba=+p[Fa+(Ja<<3)>>3];t=0;do{z=Ea+(t<<3)|0;d=t|1;$=Ea+(d<<3)|0;Z=+p[$>>3]+ba*+p[Ia+(d<<3)>>3];p[z>>3]=+p[z>>3]+ba*+p[Ia+(t<<3)>>3];p[$>>3]=Z;$=t|2;z=Ea+($<<3)|0;d=t|3;X=Ea+(d<<3)|0;Z=+p[X>>3]+ba*+p[Ia+(d<<3)>>3];p[z>>3]=+p[z>>3]+ba*+p[Ia+($<<3)>>3];p[X>>3]=Z;t=t+4|0}while((t|0)<=(s|0));Ka=J;do{t=Ea+(Ka<<3)|0;p[t>>3]=+p[t>>3]+ba*+p[Ia+(Ka<<3)>>3];Ka=Ka+1|0}while((Ka|0)!=(j|0));Ja=Ja+1|0;if((Ja|0)==(G|0))break;else Ia=Ia+(y<<3)|0}}while(0);if(!K){if(P){t=0;do{p[R+(t<<3)>>3]=+p[Ea+(t<<3)>>3]*l;t=t+1|0}while((t|0)!=(j|0))}}else if(P){t=0;X=K;while(1){p[R+(t<<3)>>3]=+p[Ea+(t<<3)>>3]*l+ +p[X>>3]*m;t=t+1|0;if((t|0)==(j|0))break;else X=X+(C<<3)|0}}Q=Q+1|0;if((Q|0)==(v|0)){La=Da;break}else{M=M+(E<<3)|0;R=R+(g<<3)|0;K=K+(B<<3)|0}}}else La=Ea;if((La|0)!=(x|0)){Fmc(La);f[r>>2]=x;f[L>>2]=136}}while(0);r=f[q>>2]|0;if((r|0)==(k|0)){u=o;return}if(r|0)Fmc(r);f[q>>2]=k;f[w>>2]=136;u=o;return}function IW(a,b,c,d,e,g,h,i,j,k,l,m,o){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=+l;m=+m;o=o|0;var q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0.0,T=0,U=0,V=0,W=0.0,X=0.0,Z=0.0,_=0.0,$=0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0,ha=0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0.0,za=0.0,Aa=0.0,Ba=0.0,Ca=0,Da=0,Ea=0,Fa=0.0,Ga=0.0,Ha=0.0,Ia=0.0,Ja=0.0,Ka=0.0,La=0.0,Ma=0.0,Na=0.0,Oa=0.0,Pa=0.0,Qa=0,Ra=0,Sa=0.0,Ta=0.0,Ua=0.0,Va=0.0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0;q=u;u=u+2256|0;r=q+1160|0;s=q;t=f[j>>2]|0;v=f[j+4>>2]|0;j=f[k>>2]|0;w=f[k+4>>2]|0;k=r+8|0;Drc(k|0,0,1088)|0;f[r>>2]=k;x=r+4|0;f[x>>2]=136;y=b>>>3;z=d>>>3;A=g>>>3;g=i>>>3;i=(e|0)==0;B=(o&4|0)==0;C=i?0:B?A:1;D=i?0:B?1:A;if(o&1)if(b>>>0>15&(v|0)>1){f[x>>2]=v;if(v>>>0>136){A=Dmc(v>>>0>536870911?-1:v<<3)|0;Drc(A|0,0,v<<3|0)|0;f[r>>2]=A;E=y;F=1;G=A;H=v;I=33}else{E=y;F=1;G=k;H=v;I=33}}else{J=y;K=1;L=v;I=5}else{J=1;K=y;L=t;I=5}if((I|0)==5)if((L|0)==1){t=s+8|0;Drc(t|0,0,1088)|0;f[s>>2]=t;A=s+4|0;f[A>>2]=136;if(b>>>0>15&(v|0)>1){f[x>>2]=w;if(w>>>0>136){v=Dmc(w>>>0>536870911?-1:w<<3)|0;Drc(v|0,0,w<<3|0)|0;f[r>>2]=v;M=v}else M=k;if((w|0)>0){v=0;do{b=a+((Y(v,y)|0)<<3)|0;B=f[b+4>>2]|0;i=M+(v<<3)|0;f[i>>2]=f[b>>2];f[i+4>>2]=B;v=v+1|0}while((v|0)!=(w|0));N=M}else N=M}else N=a;if(d>>>0>15){f[A>>2]=j;if(j>>>0>136){d=Dmc(j>>>0>536870911?-1:j<<3)|0;Drc(d|0,0,j<<3|0)|0;f[s>>2]=d;O=d}else O=t;if((j|0)>0){d=0;do{M=c+((Y(d,z)|0)<<3)|0;v=f[M+4>>2]|0;y=O+(d<<3)|0;f[y>>2]=f[M>>2];f[y+4>>2]=v;d=d+1|0}while((d|0)<(j|0));P=O}else P=O}else P=c;if((w|0)>0){O=D<<1;d=(j|0)<2;v=j+-2|0;y=v>>>1;M=(y<<1)+2|0;B=e;i=0;b=h;Q=e+(Y(D,(y<<4)+16|0)|0)|0;while(1){R=+n[N+(i<<3)>>2]*l;S=+n[N+(i<<3)+4>>2]*l;if(d){T=B;U=0}else{y=B;V=0;while(1){W=+n[P+(V<<3)>>2];X=+n[P+(V<<3)+4>>2];Z=R*W-S*X;_=S*W+R*X;$=V|1;X=+n[P+($<<3)>>2];W=+n[P+($<<3)+4>>2];aa=R*X-S*W;ba=S*X+R*W;if(!y){n[b+(V<<3)>>2]=Z;n[b+(V<<3)+4>>2]=_;ca=ba;da=aa}else{W=_+ +n[y+4>>2]*m;n[b+(V<<3)>>2]=Z+ +n[y>>2]*m;n[b+(V<<3)+4>>2]=W;ca=ba+ +n[y+(D<<3)+4>>2]*m;da=aa+ +n[y+(D<<3)>>2]*m}n[b+($<<3)>>2]=da;n[b+($<<3)+4>>2]=ca;V=V+2|0;if((V|0)>(v|0)){T=Q;U=M;break}else y=y+(O<<3)|0}}if((U|0)<(j|0)){y=T;V=U;while(1){aa=+n[P+(V<<3)>>2];ba=+n[P+(V<<3)+4>>2];W=R*aa-S*ba;Z=S*aa+R*ba;if(!y){ea=W;fa=Z}else{ea=W+ +n[y>>2]*m;fa=Z+ +n[y+4>>2]*m}n[b+(V<<3)>>2]=ea;n[b+(V<<3)+4>>2]=fa;V=V+1|0;if((V|0)==(j|0))break;else y=y+(D<<3)|0}}i=i+1|0;if((i|0)==(w|0))break;else{B=B+(C<<3)|0;b=b+(g<<3)|0;Q=Q+(C<<3)|0}}}Q=f[s>>2]|0;if((Q|0)!=(t|0)){if(Q|0)Fmc(Q);f[s>>2]=t;f[A>>2]=136}}else{E=J;F=K;G=0;H=L;I=33}a:do if((I|0)==33){if(o&2|0){if((w|0)<=0)break;L=(G|0)==0;K=H+-4|0;J=(H|0)<4;A=H&-4;t=L|(H|0)<1;Q=(j|0)>0;b=a;B=e;i=0;P=h;while(1){if(t)ga=L?b:G;else{U=0;do{T=b+((Y(U,E)|0)<<3)|0;O=f[T+4>>2]|0;M=G+(U<<3)|0;f[M>>2]=f[T>>2];f[M+4>>2]=O;U=U+1|0}while((U|0)!=(H|0));ga=G}if(Q){U=c;O=B;M=0;while(1){if(J){ha=0;ia=0.0;ja=0.0;ka=0.0;la=0.0;ma=0.0;na=0.0;oa=0.0;pa=0.0}else{T=0;fa=0.0;ea=0.0;ca=0.0;da=0.0;R=0.0;S=0.0;Z=0.0;W=0.0;while(1){ba=+n[ga+(T<<3)>>2];aa=+n[ga+(T<<3)+4>>2];_=+n[U+(T<<3)>>2];X=+n[U+(T<<3)+4>>2];qa=da+(ba*_-aa*X);ra=R+(aa*_+ba*X);v=T|1;X=+n[ga+(v<<3)>>2];ba=+n[ga+(v<<3)+4>>2];_=+n[U+(v<<3)>>2];aa=+n[U+(v<<3)+4>>2];sa=ca+(X*_-ba*aa);ta=W+(ba*_+X*aa);v=T|2;aa=+n[ga+(v<<3)>>2];X=+n[ga+(v<<3)+4>>2];_=+n[U+(v<<3)>>2];ba=+n[U+(v<<3)+4>>2];ua=ea+(aa*_-X*ba);va=Z+(X*_+aa*ba);v=T|3;ba=+n[ga+(v<<3)>>2];aa=+n[ga+(v<<3)+4>>2];_=+n[U+(v<<3)>>2];X=+n[U+(v<<3)+4>>2];wa=fa+(ba*_-aa*X);xa=S+(aa*_+ba*X);T=T+4|0;if((T|0)>(K|0)){ha=A;ia=wa;ja=ua;ka=sa;la=qa;ma=ra;na=xa;oa=va;pa=ta;break}else{fa=wa;ea=ua;ca=sa;da=qa;R=ra;S=xa;Z=va;W=ta}}}if((ha|0)<(H|0)){T=ha;W=la;Z=ma;while(1){S=+n[ga+(T<<3)>>2];R=+n[ga+(T<<3)+4>>2];da=+n[U+(T<<3)>>2];ca=+n[U+(T<<3)+4>>2];ea=W+(S*da-R*ca);fa=Z+(R*da+S*ca);T=T+1|0;if((T|0)==(H|0)){ya=ea;za=fa;break}else{W=ea;Z=fa}}}else{ya=la;za=ma}Z=(ia+(ja+(ka+ya)))*l;W=(na+(oa+(pa+za)))*l;if(!O){Aa=W;Ba=Z}else{Aa=W+ +n[O+4>>2]*m;Ba=Z+ +n[O>>2]*m}n[P+(M<<3)>>2]=Ba;n[P+(M<<3)+4>>2]=Aa;M=M+1|0;if((M|0)==(j|0))break;else{U=U+(z<<3)|0;O=O+(D<<3)|0}}}i=i+1|0;if((i|0)==(w|0))break a;else{b=b+(F<<3)|0;B=B+(C<<3)|0;P=P+(g<<3)|0}}}if(j<<3>>>0<1601){if((w|0)<=0)break;P=(G|0)==0;B=j+-4|0;b=(j|0)<4;i=(H|0)>0;A=D<<2;K=D<<1;J=D*3|0;Q=B>>>2;L=(Q<<2)+4|0;t=P|(H|0)<1;Z=l*0.0;O=a;U=e;M=0;T=h;v=e+(Y((Q<<5)+32|0,D)|0)|0;while(1){if(t)Ca=P?O:G;else{Q=0;do{d=O+((Y(Q,E)|0)<<3)|0;N=f[d+4>>2]|0;y=G+(Q<<3)|0;f[y>>2]=f[d>>2];f[y+4>>2]=N;Q=Q+1|0}while((Q|0)!=(H|0));Ca=G}if(b){Da=U;Ea=0}else{Q=U;N=0;while(1){if(i){y=c+(N<<3)|0;d=0;W=0.0;fa=0.0;ea=0.0;ca=0.0;S=0.0;da=0.0;R=0.0;ta=0.0;while(1){va=+n[Ca+(d<<3)>>2];xa=+n[Ca+(d<<3)+4>>2];ra=+n[y>>2];qa=+n[y+4>>2];sa=ca+(va*ra-xa*qa);ua=ta+(xa*ra+va*qa);qa=+n[y+8>>2];ra=+n[y+12>>2];wa=ea+(va*qa-xa*ra);X=R+(xa*qa+va*ra);ra=+n[y+16>>2];qa=+n[y+20>>2];ba=fa+(va*ra-xa*qa);_=da+(xa*ra+va*qa);qa=+n[y+24>>2];ra=+n[y+28>>2];aa=W+(va*qa-xa*ra);Fa=S+(xa*qa+va*ra);d=d+1|0;if((d|0)==(H|0)){Ga=aa;Ha=ba;Ia=wa;Ja=sa;Ka=Fa;La=_;Ma=X;Na=ua;break}else{y=y+(z<<3)|0;W=aa;fa=ba;ea=wa;ca=sa;S=Fa;da=_;R=X;ta=ua}}}else{Ga=0.0;Ha=0.0;Ia=0.0;Ja=0.0;Ka=0.0;La=0.0;Ma=0.0;Na=0.0}ta=Ja*l;R=Na*l;if(!Q){n[T+(N<<3)>>2]=ta;n[T+(N<<3)+4>>2]=R;y=N|1;n[T+(y<<3)>>2]=Ia*l;n[T+(y<<3)+4>>2]=Ma*l;y=N|2;n[T+(y<<3)>>2]=Ha*l;n[T+(y<<3)+4>>2]=La*l;Oa=Ka*l;Pa=Ga*l}else{da=R+ +n[Q+4>>2]*m;n[T+(N<<3)>>2]=ta+ +n[Q>>2]*m;n[T+(N<<3)+4>>2]=da;da=Ma*l+ +n[Q+(D<<3)+4>>2]*m;y=N|1;n[T+(y<<3)>>2]=Ia*l+ +n[Q+(D<<3)>>2]*m;n[T+(y<<3)+4>>2]=da;da=La*l+ +n[Q+(K<<3)+4>>2]*m;y=N|2;n[T+(y<<3)>>2]=Ha*l+ +n[Q+(K<<3)>>2]*m;n[T+(y<<3)+4>>2]=da;Oa=Ka*l+ +n[Q+(J<<3)+4>>2]*m;Pa=Ga*l+ +n[Q+(J<<3)>>2]*m}y=N|3;n[T+(y<<3)>>2]=Pa;n[T+(y<<3)+4>>2]=Oa;N=N+4|0;if((N|0)>(B|0)){Da=v;Ea=L;break}else Q=Q+(A<<3)|0}}b:do if((Ea|0)<(j|0)){if(i){Qa=Da;Ra=Ea}else{Q=Da;N=Ea;while(1){if(!Q){Sa=Z;Ta=Z}else{Sa=Z+ +n[Q+4>>2]*m;Ta=Z+ +n[Q>>2]*m}n[T+(N<<3)>>2]=Ta;n[T+(N<<3)+4>>2]=Sa;N=N+1|0;if((N|0)==(j|0))break b;else Q=Q+(D<<3)|0}}while(1){Q=c+(Ra<<3)|0;N=0;da=0.0;ta=0.0;while(1){R=+n[Ca+(N<<3)>>2];S=+n[Ca+(N<<3)+4>>2];ca=+n[Q>>2];ea=+n[Q+4>>2];da=da+(R*ca-S*ea);ta=ta+(S*ca+R*ea);N=N+1|0;if((N|0)==(H|0))break;else Q=Q+(z<<3)|0}ea=da*l;R=ta*l;if(!Qa){Ua=R;Va=ea}else{Ua=R+ +n[Qa+4>>2]*m;Va=ea+ +n[Qa>>2]*m}n[T+(Ra<<3)>>2]=Va;n[T+(Ra<<3)+4>>2]=Ua;Ra=Ra+1|0;if((Ra|0)==(j|0))break;else Qa=Qa+(D<<3)|0}}while(0);M=M+1|0;if((M|0)==(w|0))break a;else{O=O+(F<<3)|0;U=U+(C<<3)|0;T=T+(g<<3)|0;v=v+(C<<3)|0}}}v=s+8|0;Drc(v|0,0,1152)|0;f[s>>2]=v;T=s+4|0;f[T>>2]=j;if(j>>>0>72){U=Dmc(j>>>0>268435455?-1:j<<4)|0;Drc(U|0,0,j<<4|0)|0;f[s>>2]=U;Wa=U}else Wa=v;if((w|0)>0){U=(G|0)==0;O=(j|0)>0;M=(H|0)>0;i=j+-4|0;A=(j|0)<4;L=j<<4;B=j&-4;J=U|(H|0)<1;K=a;b=e;P=0;t=h;while(1){if(J)Xa=U?K:G;else{Q=0;do{N=K+((Y(Q,E)|0)<<3)|0;y=f[N+4>>2]|0;d=G+(Q<<3)|0;f[d>>2]=f[N>>2];f[d+4>>2]=y;Q=Q+1|0}while((Q|0)!=(H|0));Xa=G}if(O)Drc(Wa|0,0,L|0)|0;if(M){Q=c;y=0;while(1){Z=+n[Xa+(y<<3)>>2];ea=+n[Xa+(y<<3)+4>>2];if(A)Ya=0;else{d=0;do{R=+n[Q+(d<<3)>>2];ca=+n[Q+(d<<3)+4>>2];N=Wa+(d<<4)|0;V=Wa+(d<<4)+8|0;S=+p[V>>3]+(ea*R+Z*ca);$=d|1;fa=+n[Q+($<<3)>>2];W=+n[Q+($<<3)+4>>2];Za=Wa+($<<4)|0;_a=Wa+($<<4)+8|0;ua=+p[Za>>3]+(Z*fa-ea*W);X=+p[_a>>3]+(ea*fa+Z*W);p[N>>3]=+p[N>>3]+(Z*R-ea*ca);p[V>>3]=S;p[Za>>3]=ua;p[_a>>3]=X;_a=d|2;X=+n[Q+(_a<<3)>>2];ua=+n[Q+(_a<<3)+4>>2];Za=Wa+(_a<<4)|0;V=Wa+(_a<<4)+8|0;S=+p[V>>3]+(ea*X+Z*ua);_a=d|3;ca=+n[Q+(_a<<3)>>2];R=+n[Q+(_a<<3)+4>>2];N=Wa+(_a<<4)|0;$=Wa+(_a<<4)+8|0;W=+p[N>>3]+(Z*ca-ea*R);fa=+p[$>>3]+(ea*ca+Z*R);p[Za>>3]=+p[Za>>3]+(Z*X-ea*ua);p[V>>3]=S;p[N>>3]=W;p[$>>3]=fa;d=d+4|0}while((d|0)<=(i|0));Ya=B}if((Ya|0)<(j|0)){d=Ya;do{fa=+n[Q+(d<<3)>>2];W=+n[Q+(d<<3)+4>>2];$=Wa+(d<<4)|0;p[$>>3]=+p[$>>3]+(Z*fa-ea*W);$=Wa+(d<<4)+8|0;p[$>>3]=+p[$>>3]+(ea*fa+Z*W);d=d+1|0}while((d|0)!=(j|0))}y=y+1|0;if((y|0)==(H|0))break;else Q=Q+(z<<3)|0}}if(!b){if(O){Q=0;do{Z=+p[Wa+(Q<<4)+8>>3]*l;n[t+(Q<<3)>>2]=+p[Wa+(Q<<4)>>3]*l;n[t+(Q<<3)+4>>2]=Z;Q=Q+1|0}while((Q|0)!=(j|0))}}else if(O){Q=0;y=b;while(1){Z=+p[Wa+(Q<<4)+8>>3]*l+ +n[y+4>>2]*m;n[t+(Q<<3)>>2]=+p[Wa+(Q<<4)>>3]*l+ +n[y>>2]*m;n[t+(Q<<3)+4>>2]=Z;Q=Q+1|0;if((Q|0)==(j|0))break;else y=y+(D<<3)|0}}P=P+1|0;if((P|0)==(w|0))break;else{K=K+(F<<3)|0;b=b+(C<<3)|0;t=t+(g<<3)|0}}$a=f[s>>2]|0}else $a=Wa;if(($a|0)!=(v|0)){if($a|0)Fmc($a);f[s>>2]=v;f[T>>2]=72}}while(0);s=f[r>>2]|0;if((s|0)==(k|0)){u=q;return}if(s|0)Fmc(s);f[r>>2]=k;f[x>>2]=136;u=q;return}function JW(a,b,c,d,e,g,h,i,j,k,l,m,n){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=+l;m=+m;n=n|0;var o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0,Z=0,_=0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0,ga=0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0.0,za=0,Aa=0,Ba=0,Ca=0,Da=0.0,Ea=0.0,Fa=0.0,Ga=0.0,Ha=0.0,Ia=0.0,Ja=0.0,Ka=0.0,La=0.0,Ma=0.0,Na=0.0,Oa=0,Pa=0,Qa=0.0,Ra=0.0,Sa=0.0,Ta=0.0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0;o=u;u=u+2320|0;q=o+1160|0;r=o;s=f[j>>2]|0;t=f[j+4>>2]|0;j=f[k>>2]|0;v=f[k+4>>2]|0;k=q+8|0;Drc(k|0,0,1152)|0;f[q>>2]=k;w=q+4|0;f[w>>2]=72;x=b>>>4;y=d>>>4;z=g>>>4;g=i>>>4;i=(e|0)==0;A=(n&4|0)==0;B=i?0:A?z:1;C=i?0:A?1:z;if(n&1)if(b>>>0>31&(t|0)>1){f[w>>2]=t;if(t>>>0>72){z=Dmc(t>>>0>268435455?-1:t<<4)|0;Drc(z|0,0,t<<4|0)|0;f[q>>2]=z;D=x;E=1;F=z;G=t;H=40}else{D=x;E=1;F=k;G=t;H=40}}else{I=x;J=1;K=t;H=5}else{I=1;J=x;K=s;H=5}if((H|0)==5)if((K|0)==1){s=r+8|0;Drc(s|0,0,1152)|0;f[r>>2]=s;z=r+4|0;f[z>>2]=72;if(b>>>0>31&(t|0)>1){f[w>>2]=v;if(v>>>0>72){t=Dmc(v>>>0>268435455?-1:v<<4)|0;Drc(t|0,0,v<<4|0)|0;f[q>>2]=t;L=t}else L=k;if((v|0)>0){t=0;do{b=a+((Y(t,x)|0)<<4)|0;A=L+(t<<4)|0;f[A>>2]=f[b>>2];f[A+4>>2]=f[b+4>>2];f[A+8>>2]=f[b+8>>2];f[A+12>>2]=f[b+12>>2];t=t+1|0}while((t|0)!=(v|0));M=L}else M=L}else M=a;if(d>>>0>31){f[z>>2]=j;if(j>>>0>72){d=Dmc(j>>>0>268435455?-1:j<<4)|0;Drc(d|0,0,j<<4|0)|0;f[r>>2]=d;N=d}else N=s;if((j|0)>0){d=0;do{L=c+((Y(d,y)|0)<<4)|0;t=N+(d<<4)|0;f[t>>2]=f[L>>2];f[t+4>>2]=f[L+4>>2];f[t+8>>2]=f[L+8>>2];f[t+12>>2]=f[L+12>>2];d=d+1|0}while((d|0)<(j|0));O=N}else O=N}else O=c;a:do if((v|0)>0){N=C<<1;d=j+-2|0;if((j|0)<2){L=(j|0)==1;t=e;x=0;b=h;while(1){P=+p[M+(x<<4)>>3]*l;Q=+p[M+(x<<4)+8>>3]*l;if(L){A=t;i=0;while(1){R=+p[O+(i<<4)>>3];S=+p[O+(i<<4)+8>>3];T=P*R-Q*S;U=Q*R+P*S;if(!A){V=U;W=T}else{V=U+ +p[A+8>>3]*m;W=T+ +p[A>>3]*m}p[b+(i<<4)>>3]=W;p[b+(i<<4)+8>>3]=V;i=i+1|0;if((i|0)==(j|0))break;else A=A+(C<<4)|0}}x=x+1|0;if((x|0)==(v|0))break a;else{t=t+(B<<4)|0;b=b+(g<<4)|0}}}b=d>>>1;t=(b<<1)+2|0;x=(t|0)<(j|0);L=e;A=0;i=h;X=e+(Y(C,(b<<5)+32|0)|0)|0;while(1){P=+p[M+(A<<4)>>3]*l;Q=+p[M+(A<<4)+8>>3]*l;b=L;Z=0;while(1){T=+p[O+(Z<<4)>>3];U=+p[O+(Z<<4)+8>>3];S=P*T-Q*U;R=Q*T+P*U;_=Z|1;U=+p[O+(_<<4)>>3];T=+p[O+(_<<4)+8>>3];$=P*U-Q*T;aa=Q*U+P*T;if(!b){p[i+(Z<<4)>>3]=S;p[i+(Z<<4)+8>>3]=R;ba=aa;ca=$}else{T=R+ +p[b+8>>3]*m;p[i+(Z<<4)>>3]=S+ +p[b>>3]*m;p[i+(Z<<4)+8>>3]=T;ba=aa+ +p[b+(C<<4)+8>>3]*m;ca=$+ +p[b+(C<<4)>>3]*m}p[i+(_<<4)>>3]=ca;p[i+(_<<4)+8>>3]=ba;Z=Z+2|0;if((Z|0)>(d|0))break;else b=b+(N<<4)|0}if(x){b=X;Z=t;while(1){$=+p[O+(Z<<4)>>3];aa=+p[O+(Z<<4)+8>>3];T=P*$-Q*aa;S=Q*$+P*aa;if(!b){da=S;ea=T}else{da=S+ +p[b+8>>3]*m;ea=T+ +p[b>>3]*m}p[i+(Z<<4)>>3]=ea;p[i+(Z<<4)+8>>3]=da;Z=Z+1|0;if((Z|0)==(j|0))break;else b=b+(C<<4)|0}}A=A+1|0;if((A|0)==(v|0))break;else{L=L+(B<<4)|0;i=i+(g<<4)|0;X=X+(B<<4)|0}}}while(0);O=f[r>>2]|0;if((O|0)!=(s|0)){if(O|0)Fmc(O);f[r>>2]=s;f[z>>2]=72}}else{D=I;E=J;F=0;G=K;H=40}b:do if((H|0)==40){if(n&2|0){if((v|0)<=0)break;K=(F|0)==0;J=G+-4|0;I=(G|0)<4;z=G&-4;s=K|(G|0)<1;O=(j|0)>0;M=a;X=e;i=0;L=h;while(1){if(s)fa=K?M:F;else{A=0;do{t=M+((Y(A,D)|0)<<4)|0;x=F+(A<<4)|0;f[x>>2]=f[t>>2];f[x+4>>2]=f[t+4>>2];f[x+8>>2]=f[t+8>>2];f[x+12>>2]=f[t+12>>2];A=A+1|0}while((A|0)!=(G|0));fa=F}if(O){A=c;t=X;x=0;while(1){if(I){ga=0;ha=0.0;ia=0.0;ja=0.0;ka=0.0;la=0.0;ma=0.0;na=0.0;oa=0.0}else{N=0;da=0.0;ea=0.0;ba=0.0;ca=0.0;V=0.0;W=0.0;P=0.0;Q=0.0;while(1){T=+p[fa+(N<<4)>>3];S=+p[fa+(N<<4)+8>>3];aa=+p[A+(N<<4)>>3];$=+p[A+(N<<4)+8>>3];R=ca+(T*aa-S*$);U=V+(S*aa+T*$);d=N|1;$=+p[fa+(d<<4)>>3];T=+p[fa+(d<<4)+8>>3];aa=+p[A+(d<<4)>>3];S=+p[A+(d<<4)+8>>3];pa=ba+($*aa-T*S);qa=Q+(T*aa+$*S);d=N|2;S=+p[fa+(d<<4)>>3];$=+p[fa+(d<<4)+8>>3];aa=+p[A+(d<<4)>>3];T=+p[A+(d<<4)+8>>3];ra=ea+(S*aa-$*T);sa=P+($*aa+S*T);d=N|3;T=+p[fa+(d<<4)>>3];S=+p[fa+(d<<4)+8>>3];aa=+p[A+(d<<4)>>3];$=+p[A+(d<<4)+8>>3];ta=da+(T*aa-S*$);ua=W+(S*aa+T*$);N=N+4|0;if((N|0)>(J|0)){ga=z;ha=ta;ia=ra;ja=pa;ka=R;la=U;ma=ua;na=sa;oa=qa;break}else{da=ta;ea=ra;ba=pa;ca=R;V=U;W=ua;P=sa;Q=qa}}}if((ga|0)<(G|0)){N=ga;Q=ka;P=la;while(1){W=+p[fa+(N<<4)>>3];V=+p[fa+(N<<4)+8>>3];ca=+p[A+(N<<4)>>3];ba=+p[A+(N<<4)+8>>3];ea=Q+(W*ca-V*ba);da=P+(V*ca+W*ba);N=N+1|0;if((N|0)==(G|0)){va=ea;wa=da;break}else{Q=ea;P=da}}}else{va=ka;wa=la}P=(ha+(ia+(ja+va)))*l;Q=(ma+(na+(oa+wa)))*l;if(!t){xa=Q;ya=P}else{xa=Q+ +p[t+8>>3]*m;ya=P+ +p[t>>3]*m}p[L+(x<<4)>>3]=ya;p[L+(x<<4)+8>>3]=xa;x=x+1|0;if((x|0)==(j|0))break;else{A=A+(y<<4)|0;t=t+(C<<4)|0}}}i=i+1|0;if((i|0)==(v|0))break b;else{M=M+(E<<4)|0;X=X+(B<<4)|0;L=L+(g<<4)|0}}}L=j<<4;if(L>>>0<1601){if((v|0)<=0)break;X=(F|0)==0;M=j+-4|0;i=(j|0)<4;z=(G|0)>0;J=C<<2;I=C<<1;O=C*3|0;K=M>>>2;s=(K<<2)+4|0;t=X|(G|0)<1;P=l*0.0;A=a;x=e;N=0;d=h;b=e+(Y((K<<6)+64|0,C)|0)|0;while(1){if(t)za=X?A:F;else{K=0;do{Z=A+((Y(K,D)|0)<<4)|0;_=F+(K<<4)|0;f[_>>2]=f[Z>>2];f[_+4>>2]=f[Z+4>>2];f[_+8>>2]=f[Z+8>>2];f[_+12>>2]=f[Z+12>>2];K=K+1|0}while((K|0)!=(G|0));za=F}if(i){Aa=x;Ba=0}else{K=x;Z=0;while(1){if(z){_=c+(Z<<4)|0;Ca=0;Q=0.0;da=0.0;ea=0.0;ba=0.0;W=0.0;ca=0.0;V=0.0;qa=0.0;while(1){sa=+p[za+(Ca<<4)>>3];ua=+p[za+(Ca<<4)+8>>3];U=+p[_>>3];R=+p[_+8>>3];pa=da+(sa*U-ua*R);ra=V+(ua*U+sa*R);R=+p[_+16>>3];U=+p[_+24>>3];ta=Q+(sa*R-ua*U);$=ca+(ua*R+sa*U);U=+p[_+32>>3];R=+p[_+40>>3];T=ba+(sa*U-ua*R);aa=W+(ua*U+sa*R);R=+p[_+48>>3];U=+p[_+56>>3];S=ea+(sa*R-ua*U);Da=qa+(ua*R+sa*U);Ca=Ca+1|0;if((Ca|0)==(G|0)){Ea=ta;Fa=pa;Ga=S;Ha=T;Ia=aa;Ja=$;Ka=ra;La=Da;break}else{_=_+(y<<4)|0;Q=ta;da=pa;ea=S;ba=T;W=aa;ca=$;V=ra;qa=Da}}}else{Ea=0.0;Fa=0.0;Ga=0.0;Ha=0.0;Ia=0.0;Ja=0.0;Ka=0.0;La=0.0}qa=Fa*l;V=Ka*l;if(!K){p[d+(Z<<4)>>3]=qa;p[d+(Z<<4)+8>>3]=V;_=Z|1;p[d+(_<<4)>>3]=Ea*l;p[d+(_<<4)+8>>3]=Ja*l;_=Z|2;p[d+(_<<4)>>3]=Ha*l;p[d+(_<<4)+8>>3]=Ia*l;Ma=La*l;Na=Ga*l}else{ca=V+ +p[K+8>>3]*m;p[d+(Z<<4)>>3]=qa+ +p[K>>3]*m;p[d+(Z<<4)+8>>3]=ca;ca=Ja*l+ +p[K+(C<<4)+8>>3]*m;_=Z|1;p[d+(_<<4)>>3]=Ea*l+ +p[K+(C<<4)>>3]*m;p[d+(_<<4)+8>>3]=ca;ca=Ia*l+ +p[K+(I<<4)+8>>3]*m;_=Z|2;p[d+(_<<4)>>3]=Ha*l+ +p[K+(I<<4)>>3]*m;p[d+(_<<4)+8>>3]=ca;Ma=La*l+ +p[K+(O<<4)+8>>3]*m;Na=Ga*l+ +p[K+(O<<4)>>3]*m}_=Z|3;p[d+(_<<4)>>3]=Na;p[d+(_<<4)+8>>3]=Ma;Z=Z+4|0;if((Z|0)>(M|0)){Aa=b;Ba=s;break}else K=K+(J<<4)|0}}c:do if((Ba|0)<(j|0)){if(z){Oa=Aa;Pa=Ba}else{K=Aa;Z=Ba;while(1){if(!K){Qa=P;Ra=P}else{Qa=P+ +p[K+8>>3]*m;Ra=P+ +p[K>>3]*m}p[d+(Z<<4)>>3]=Ra;p[d+(Z<<4)+8>>3]=Qa;Z=Z+1|0;if((Z|0)==(j|0))break c;else K=K+(C<<4)|0}}while(1){K=c+(Pa<<4)|0;Z=0;ca=0.0;qa=0.0;while(1){V=+p[za+(Z<<4)>>3];W=+p[za+(Z<<4)+8>>3];ba=+p[K>>3];ea=+p[K+8>>3];ca=ca+(V*ba-W*ea);qa=qa+(W*ba+V*ea);Z=Z+1|0;if((Z|0)==(G|0))break;else K=K+(y<<4)|0}ea=ca*l;V=qa*l;if(!Oa){Sa=V;Ta=ea}else{Sa=V+ +p[Oa+8>>3]*m;Ta=ea+ +p[Oa>>3]*m}p[d+(Pa<<4)>>3]=Ta;p[d+(Pa<<4)+8>>3]=Sa;Pa=Pa+1|0;if((Pa|0)==(j|0))break;else Oa=Oa+(C<<4)|0}}while(0);N=N+1|0;if((N|0)==(v|0))break b;else{A=A+(E<<4)|0;x=x+(B<<4)|0;d=d+(g<<4)|0;b=b+(B<<4)|0}}}b=r+8|0;Drc(b|0,0,1152)|0;f[r>>2]=b;d=r+4|0;f[d>>2]=j;if(j>>>0>72){x=Dmc(j>>>0>268435455?-1:j<<4)|0;Drc(x|0,0,L|0)|0;f[r>>2]=x;Ua=x}else Ua=b;if((v|0)>0){x=(F|0)==0;A=(j|0)>0;N=(G|0)>0;z=j+-4|0;J=(j|0)<4;s=j&-4;M=x|(G|0)<1;O=a;I=e;i=0;X=h;while(1){if(M)Va=x?O:F;else{t=0;do{K=O+((Y(t,D)|0)<<4)|0;Z=F+(t<<4)|0;f[Z>>2]=f[K>>2];f[Z+4>>2]=f[K+4>>2];f[Z+8>>2]=f[K+8>>2];f[Z+12>>2]=f[K+12>>2];t=t+1|0}while((t|0)!=(G|0));Va=F}if(A)Drc(Ua|0,0,L|0)|0;if(N){t=c;K=0;while(1){P=+p[Va+(K<<4)>>3];ea=+p[Va+(K<<4)+8>>3];if(J)Wa=0;else{Z=0;do{V=+p[t+(Z<<4)>>3];ba=+p[t+(Z<<4)+8>>3];_=Ua+(Z<<4)|0;Ca=Ua+(Z<<4)+8|0;W=+p[Ca>>3]+(ea*V+P*ba);Xa=Z|1;da=+p[t+(Xa<<4)>>3];Q=+p[t+(Xa<<4)+8>>3];Ya=Ua+(Xa<<4)|0;Za=Ua+(Xa<<4)+8|0;Da=+p[Ya>>3]+(P*da-ea*Q);ra=+p[Za>>3]+(ea*da+P*Q);p[_>>3]=+p[_>>3]+(P*V-ea*ba);p[Ca>>3]=W;p[Ya>>3]=Da;p[Za>>3]=ra;Za=Z|2;ra=+p[t+(Za<<4)>>3];Da=+p[t+(Za<<4)+8>>3];Ya=Ua+(Za<<4)|0;Ca=Ua+(Za<<4)+8|0;W=+p[Ca>>3]+(ea*ra+P*Da);Za=Z|3;ba=+p[t+(Za<<4)>>3];V=+p[t+(Za<<4)+8>>3];_=Ua+(Za<<4)|0;Xa=Ua+(Za<<4)+8|0;Q=+p[_>>3]+(P*ba-ea*V);da=+p[Xa>>3]+(ea*ba+P*V);p[Ya>>3]=+p[Ya>>3]+(P*ra-ea*Da);p[Ca>>3]=W;p[_>>3]=Q;p[Xa>>3]=da;Z=Z+4|0}while((Z|0)<=(z|0));Wa=s}if((Wa|0)<(j|0)){Z=Wa;do{da=+p[t+(Z<<4)>>3];Q=+p[t+(Z<<4)+8>>3];Xa=Ua+(Z<<4)|0;p[Xa>>3]=+p[Xa>>3]+(P*da-ea*Q);Xa=Ua+(Z<<4)+8|0;p[Xa>>3]=ea*da+P*Q+ +p[Xa>>3];Z=Z+1|0}while((Z|0)!=(j|0))}K=K+1|0;if((K|0)==(G|0))break;else t=t+(y<<4)|0}}if(!I){if(A){t=0;do{P=+p[Ua+(t<<4)+8>>3]*l;p[X+(t<<4)>>3]=+p[Ua+(t<<4)>>3]*l;p[X+(t<<4)+8>>3]=P;t=t+1|0}while((t|0)!=(j|0))}}else if(A){t=0;K=I;while(1){P=+p[Ua+(t<<4)+8>>3]*l+ +p[K+8>>3]*m;p[X+(t<<4)>>3]=+p[Ua+(t<<4)>>3]*l+ +p[K>>3]*m;p[X+(t<<4)+8>>3]=P;t=t+1|0;if((t|0)==(j|0))break;else K=K+(C<<4)|0}}i=i+1|0;if((i|0)==(v|0))break;else{O=O+(E<<4)|0;I=I+(B<<4)|0;X=X+(g<<4)|0}}_a=f[r>>2]|0}else _a=Ua;if((_a|0)!=(b|0)){if(_a|0)Fmc(_a);f[r>>2]=b;f[d>>2]=72}}while(0);r=f[q>>2]|0;if((r|0)==(k|0)){u=o;return}if(r|0)Fmc(r);f[q>>2]=k;f[w>>2]=72;u=o;return}function KW(a,b,c,d,e,g,h,i,j,k,l,m,o){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=+l;m=+m;o=o|0;var q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0.0,V=0.0,W=0,X=0.0,Z=0,_=0.0,$=0.0,aa=0,ba=0.0,ca=0.0,da=0,ea=0.0,fa=0.0,ga=0,ha=0,ia=0,ja=0.0,ka=0.0,la=0,ma=0,na=0,oa=0,pa=0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0,wa=0,xa=0.0,ya=0.0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0;q=u;u=u+2160|0;r=q+1096|0;s=q;t=f[j>>2]|0;v=f[j+4>>2]|0;j=f[k>>2]|0;w=f[k+4>>2]|0;k=r+8|0;f[r>>2]=k;x=r+4|0;f[x>>2]=264;y=b>>>2;z=d>>>2;A=g>>>2;g=i>>>2;i=(e|0)==0;B=(o&4|0)==0;C=i?0:B?A:1;D=i?0:B?1:A;if(o&1)if(b>>>0>7&(v|0)>1){f[x>>2]=v;if(v>>>0>264){A=Dmc(v>>>0>1073741823?-1:v<<2)|0;f[r>>2]=A;E=y;F=1;G=A;H=v;I=43}else{E=y;F=1;G=k;H=v;I=43}}else{J=y;K=1;L=v;I=5}else{J=1;K=y;L=t;I=5}if((I|0)==5)if((L|0)==1){t=s+8|0;f[s>>2]=t;A=s+4|0;f[A>>2]=264;if(b>>>0>7&(v|0)>1){f[x>>2]=w;if(w>>>0>264){v=Dmc(w>>>0>1073741823?-1:w<<2)|0;f[r>>2]=v;M=v}else M=k;if((w|0)>0){v=0;do{b=a+((Y(v,y)|0)<<2)|0;f[M+(v<<2)>>2]=f[b>>2];v=v+1|0}while((v|0)!=(w|0));N=M}else N=M}else N=a;if(d>>>0>7){f[A>>2]=j;if(j>>>0>264){d=Dmc(j>>>0>1073741823?-1:j<<2)|0;f[s>>2]=d;O=d}else O=t;if((j|0)>0){d=0;do{M=c+((Y(d,z)|0)<<2)|0;f[O+(d<<2)>>2]=f[M>>2];d=d+1|0}while((d|0)!=(j|0));P=O;Q=O}else{P=O;Q=O}}else{P=c;Q=t}a:do if((w|0)>0){O=D<<1;if((j|0)<2){if((j|0)==1){R=h;S=0;T=e}else break;while(1){U=+n[N+(S<<2)>>2]*l*+n[P>>2];if(!T)V=U;else V=U+ +n[T>>2]*m;n[R>>2]=V;S=S+1|0;if((S|0)==(w|0))break a;else{R=R+(g<<2)|0;T=T+(C<<2)|0}}}d=j+-2|0;M=((d|0)>1?d:1)>>>1;v=Y(M,O)|0;y=(M<<1)+2|0;if((y|0)>=(j|0)){M=h;b=0;B=e;while(1){U=+n[N+(b<<2)>>2]*l;i=B;W=0;while(1){X=U*+n[P+(W<<2)>>2];Z=W|1;_=U*+n[P+(Z<<2)>>2];if(!i){n[M+(W<<2)>>2]=X;$=_}else{n[M+(W<<2)>>2]=X+ +n[i>>2]*m;$=_+ +n[i+(D<<2)>>2]*m}n[M+(Z<<2)>>2]=$;W=W+2|0;if((W|0)>(d|0))break;else i=i+(O<<2)|0}b=b+1|0;if((b|0)==(w|0))break a;else{M=M+(g<<2)|0;B=B+(C<<2)|0}}}B=h;M=0;b=e;i=e+(O<<2)|0;while(1){U=+n[N+(M<<2)>>2]*l;W=b;Z=0;while(1){_=U*+n[P+(Z<<2)>>2];aa=Z|1;X=U*+n[P+(aa<<2)>>2];if(!W){n[B+(Z<<2)>>2]=_;ba=X}else{n[B+(Z<<2)>>2]=_+ +n[W>>2]*m;ba=X+ +n[W+(D<<2)>>2]*m}n[B+(aa<<2)>>2]=ba;Z=Z+2|0;if((Z|0)>(d|0))break;else W=W+(O<<2)|0}W=i+(v<<2)|0;Z=y;while(1){X=U*+n[P+(Z<<2)>>2];if(!W)ca=X;else ca=X+ +n[W>>2]*m;n[B+(Z<<2)>>2]=ca;Z=Z+1|0;if((Z|0)==(j|0))break;else W=W+(D<<2)|0}M=M+1|0;if((M|0)==(w|0))break;else{B=B+(g<<2)|0;b=b+(C<<2)|0;i=i+(C<<2)|0}}}while(0);if((Q|0)!=(t|0)){Fmc(Q);f[s>>2]=t;f[A>>2]=264}}else{E=J;F=K;G=0;H=L;I=43}b:do if((I|0)==43){if(o&2|0){if((w|0)<=0)break;L=(G|0)==0;K=(j|0)>0;J=H+-4|0;A=(H|0)<4;t=H&-4;Q=L|(H|0)<1;P=(H|0)>0;N=(t|0)<(H|0);ca=l*0.0;T=a;R=h;S=0;i=e;while(1){if(Q)da=L?T:G;else{b=0;do{B=T+((Y(b,E)|0)<<2)|0;f[G+(b<<2)>>2]=f[B>>2];b=b+1|0}while((b|0)!=(H|0));da=G}c:do if(K){if(!A){b=c;B=i;M=0;while(1){ba=0.0;$=0.0;V=0.0;U=0.0;y=0;do{U=U+ +n[da+(y<<2)>>2]*+n[b+(y<<2)>>2];v=y|1;V=V+ +n[da+(v<<2)>>2]*+n[b+(v<<2)>>2];v=y|2;$=$+ +n[da+(v<<2)>>2]*+n[b+(v<<2)>>2];v=y|3;ba=ba+ +n[da+(v<<2)>>2]*+n[b+(v<<2)>>2];y=y+4|0}while((y|0)<=(J|0));if(N){X=U;y=t;while(1){_=X+ +n[da+(y<<2)>>2]*+n[b+(y<<2)>>2];y=y+1|0;if((y|0)==(H|0)){ea=_;break}else X=_}}else ea=U;X=(ba+($+(V+ea)))*l;if(!B)fa=X;else fa=X+ +n[B>>2]*m;n[R+(M<<2)>>2]=fa;M=M+1|0;if((M|0)==(j|0))break c;else{b=b+(z<<2)|0;B=B+(D<<2)|0}}}if(P){ga=c;ha=i;ia=0}else{B=i;b=0;while(1){if(!B)ja=ca;else ja=ca+ +n[B>>2]*m;n[R+(b<<2)>>2]=ja;b=b+1|0;if((b|0)==(j|0))break c;else B=B+(D<<2)|0}}while(1){X=0.0;B=0;do{X=X+ +n[da+(B<<2)>>2]*+n[ga+(B<<2)>>2];B=B+1|0}while((B|0)!=(H|0));V=(X+0.0)*l;if(!ha)ka=V;else ka=V+ +n[ha>>2]*m;n[R+(ia<<2)>>2]=ka;ia=ia+1|0;if((ia|0)==(j|0))break;else{ga=ga+(z<<2)|0;ha=ha+(D<<2)|0}}}while(0);S=S+1|0;if((S|0)==(w|0))break b;else{T=T+(F<<2)|0;R=R+(g<<2)|0;i=i+(C<<2)|0}}}if(j<<2>>>0<1601){if((w|0)<=0)break;i=(G|0)==0;R=j+-4|0;T=(j|0)<4;S=(H|0)>0;P=D<<2;t=D<<1;N=D*3|0;J=R>>>2;A=(J<<2)+4|0;K=i|(H|0)<1;ca=l*0.0;V=ca;L=a;Q=h;B=0;b=e;M=e+(Y((J<<4)+16|0,D)|0)|0;while(1){if(K)la=i?L:G;else{J=0;do{y=L+((Y(J,E)|0)<<2)|0;f[G+(J<<2)>>2]=f[y>>2];J=J+1|0}while((J|0)!=(H|0));la=G}d:do if(T){ma=b;na=0}else{if(S){oa=b;pa=0}else{J=b;y=0;while(1){v=y|2;O=y|1;if(!J){n[Q+(y<<2)>>2]=V;n[Q+(O<<2)>>2]=V;n[Q+(v<<2)>>2]=V;qa=ca}else{n[Q+(y<<2)>>2]=ca+ +n[J>>2]*m;n[Q+(O<<2)>>2]=ca+ +n[J+(D<<2)>>2]*m;n[Q+(v<<2)>>2]=ca+ +n[J+(t<<2)>>2]*m;qa=ca+ +n[J+(N<<2)>>2]*m}n[Q+((y|3)<<2)>>2]=qa;y=y+4|0;if((y|0)>(R|0)){ma=M;na=A;break d}else J=J+(P<<2)|0}}while(1){$=0.0;ba=0.0;U=0.0;_=0.0;J=c+(pa<<2)|0;y=0;while(1){ra=+n[la+(y<<2)>>2];_=_+ra*+n[J>>2];U=U+ra*+n[J+4>>2];ba=ba+ra*+n[J+8>>2];$=$+ra*+n[J+12>>2];y=y+1|0;if((y|0)==(H|0))break;else J=J+(z<<2)|0}X=_*l;J=pa|2;ra=U*l;y=pa|1;sa=ba*l;ta=$*l;if(!oa){n[Q+(pa<<2)>>2]=X;n[Q+(y<<2)>>2]=ra;n[Q+(J<<2)>>2]=sa;ua=ta}else{n[Q+(pa<<2)>>2]=X+ +n[oa>>2]*m;n[Q+(y<<2)>>2]=ra+ +n[oa+(D<<2)>>2]*m;n[Q+(J<<2)>>2]=sa+ +n[oa+(t<<2)>>2]*m;ua=ta+ +n[oa+(N<<2)>>2]*m}n[Q+((pa|3)<<2)>>2]=ua;pa=pa+4|0;if((pa|0)>(R|0)){ma=M;na=A;break}else oa=oa+(P<<2)|0}}while(0);e:do if((na|0)<(j|0)){if(S){va=ma;wa=na}else{J=ma;y=na;while(1){if(!J)xa=ca;else xa=ca+ +n[J>>2]*m;n[Q+(y<<2)>>2]=xa;y=y+1|0;if((y|0)==(j|0))break e;else J=J+(D<<2)|0}}while(1){ta=0.0;J=c+(wa<<2)|0;y=0;while(1){ta=ta+ +n[la+(y<<2)>>2]*+n[J>>2];y=y+1|0;if((y|0)==(H|0))break;else J=J+(z<<2)|0}$=ta*l;if(!va)ya=$;else ya=$+ +n[va>>2]*m;n[Q+(wa<<2)>>2]=ya;wa=wa+1|0;if((wa|0)==(j|0))break;else va=va+(D<<2)|0}}while(0);B=B+1|0;if((B|0)==(w|0))break b;else{L=L+(F<<2)|0;Q=Q+(g<<2)|0;b=b+(C<<2)|0;M=M+(C<<2)|0}}}M=s+8|0;f[s>>2]=M;b=s+4|0;f[b>>2]=j;if(j>>>0>136){Q=Dmc(j>>>0>536870911?-1:j<<3)|0;f[s>>2]=Q;za=Q;Aa=Q}else{za=M;Aa=M}if((w|0)>0){Q=(G|0)==0;L=(j|0)>0;B=(H|0)>0;S=j+-4|0;P=(j|0)<4;A=j<<3;R=j&-4;N=Q|(H|0)<1;t=(R|0)<(j|0);T=a;i=h;K=0;J=e;while(1){if(N)Ba=Q?T:G;else{y=0;do{v=T+((Y(y,E)|0)<<2)|0;f[G+(y<<2)>>2]=f[v>>2];y=y+1|0}while((y|0)!=(H|0));Ba=G}if(L)Drc(Aa|0,0,A|0)|0;f:do if(B){if(P){if(L){Ca=c;Da=0}else break;while(1){ca=+n[Ba+(Da<<2)>>2];y=0;do{v=Aa+(y<<3)|0;p[v>>3]=+p[v>>3]+ca*+n[Ca+(y<<2)>>2];y=y+1|0}while((y|0)!=(j|0));Da=Da+1|0;if((Da|0)==(H|0))break f;else Ca=Ca+(z<<2)|0}}if(t){Ea=c;Fa=0}else{y=c;v=0;while(1){ca=+n[Ba+(v<<2)>>2];O=0;do{d=Aa+(O<<3)|0;W=O|1;Z=Aa+(W<<3)|0;ta=+p[Z>>3]+ca*+n[y+(W<<2)>>2];p[d>>3]=+p[d>>3]+ca*+n[y+(O<<2)>>2];p[Z>>3]=ta;Z=O|2;d=Aa+(Z<<3)|0;W=O|3;aa=Aa+(W<<3)|0;ta=+p[aa>>3]+ca*+n[y+(W<<2)>>2];p[d>>3]=+p[d>>3]+ca*+n[y+(Z<<2)>>2];p[aa>>3]=ta;O=O+4|0}while((O|0)<=(S|0));v=v+1|0;if((v|0)==(H|0))break f;else y=y+(z<<2)|0}}while(1){ca=+n[Ba+(Fa<<2)>>2];y=0;do{v=Aa+(y<<3)|0;O=y|1;aa=Aa+(O<<3)|0;ta=+p[aa>>3]+ca*+n[Ea+(O<<2)>>2];p[v>>3]=+p[v>>3]+ca*+n[Ea+(y<<2)>>2];p[aa>>3]=ta;aa=y|2;v=Aa+(aa<<3)|0;O=y|3;Z=Aa+(O<<3)|0;ta=+p[Z>>3]+ca*+n[Ea+(O<<2)>>2];p[v>>3]=+p[v>>3]+ca*+n[Ea+(aa<<2)>>2];p[Z>>3]=ta;y=y+4|0}while((y|0)<=(S|0));Ga=R;do{y=Aa+(Ga<<3)|0;p[y>>3]=+p[y>>3]+ca*+n[Ea+(Ga<<2)>>2];Ga=Ga+1|0}while((Ga|0)!=(j|0));Fa=Fa+1|0;if((Fa|0)==(H|0))break;else Ea=Ea+(z<<2)|0}}while(0);if(!J){if(L){y=0;do{n[i+(y<<2)>>2]=+p[Aa+(y<<3)>>3]*l;y=y+1|0}while((y|0)!=(j|0))}}else if(L){y=0;Z=J;while(1){n[i+(y<<2)>>2]=+p[Aa+(y<<3)>>3]*l+ +n[Z>>2]*m;y=y+1|0;if((y|0)==(j|0))break;else Z=Z+(D<<2)|0}}K=K+1|0;if((K|0)==(w|0)){Ha=za;break}else{T=T+(F<<2)|0;i=i+(g<<2)|0;J=J+(C<<2)|0}}}else Ha=Aa;if((Ha|0)!=(M|0)){Fmc(Ha);f[s>>2]=M;f[b>>2]=136}}while(0);s=f[r>>2]|0;if((s|0)==(k|0)){u=q;return}if(s|0)Fmc(s);f[r>>2]=k;f[x>>2]=264;u=q;return}function LW(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0,S=0,T=0,U=0,V=0.0,W=0.0,X=0.0,Z=0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0.0,ea=0,fa=0,ga=0.0,ha=0.0,ia=0,ja=0,ka=0.0;k=u;u=u+1104|0;l=k;m=f[h>>2]|0;n=f[h+4>>2]|0;h=f[i>>2]|0;o=f[i+4>>2]|0;i=l+8|0;f[l>>2]=i;q=l+4|0;f[q>>2]=136;r=j&16;s=b>>>3;b=d>>>3;d=g>>>3;if(j&1){f[q>>2]=n;if(n>>>0>136){g=Dmc(n>>>0>536870911?-1:n<<3)|0;f[l>>2]=g;t=s;v=1;w=g;x=n;y=g}else{t=s;v=1;w=i;x=n;y=i}}else{t=1;v=s;w=0;x=m;y=i}m=(o|0)>0;if(!(j&2)){if(m){j=(w|0)==0;s=h+-4|0;n=(h|0)<4;g=(r|0)==0;z=(x|0)>0;A=h&-4;B=(x|0)<1|j;C=(s>>>2<<5)+32|0;D=e;E=0;F=a;while(1){G=e+((Y(d,E)|0)<<3)|0;if(B)H=j?F:w;else{I=0;do{J=F+((Y(I,t)|0)<<3)|0;p[w+(I<<3)>>3]=+p[J>>3];I=I+1|0}while((I|0)!=(x|0));H=w}a:do if(!n)if(g){if(z)K=0;else{Drc(G|0,0,C|0)|0;L=A;break}do{I=c+(K<<3)|0;M=0.0;N=0.0;O=0.0;P=0.0;J=0;while(1){Q=+p[H+(J<<3)>>3];P=P+Q*+p[I>>3];O=O+Q*+p[I+8>>3];N=N+Q*+p[I+16>>3];M=M+Q*+p[I+24>>3];J=J+1|0;if((J|0)==(x|0))break;else I=I+(b<<3)|0}p[D+(K<<3)>>3]=P;p[D+((K|1)<<3)>>3]=O;p[D+((K|2)<<3)>>3]=N;p[D+((K|3)<<3)>>3]=M;K=K+4|0}while((K|0)<=(s|0));L=A}else{if(z)R=0;else{I=0;while(1){I=I+4|0;if((I|0)>(s|0)){L=A;break a}}}do{I=D+((R|3)<<3)|0;J=D+((R|2)<<3)|0;S=D+((R|1)<<3)|0;T=D+(R<<3)|0;U=c+(R<<3)|0;Q=+p[I>>3];V=+p[J>>3];W=+p[S>>3];X=+p[T>>3];Z=0;while(1){_=+p[H+(Z<<3)>>3];X=X+_*+p[U>>3];W=W+_*+p[U+8>>3];V=V+_*+p[U+16>>3];Q=Q+_*+p[U+24>>3];Z=Z+1|0;if((Z|0)==(x|0))break;else U=U+(b<<3)|0}p[T>>3]=X;p[S>>3]=W;p[J>>3]=V;p[I>>3]=Q;R=R+4|0}while((R|0)<=(s|0));L=A}else L=0;while(0);b:do if((h|0)>(L|0)){if(!g){if(z)$=L;else break;while(1){U=D+($<<3)|0;Z=c+($<<3)|0;M=+p[U>>3];aa=0;while(1){M=M+ +p[H+(aa<<3)>>3]*+p[Z>>3];aa=aa+1|0;if((aa|0)==(x|0))break;else Z=Z+(b<<3)|0}p[U>>3]=M;$=$+1|0;if(($|0)==(h|0))break b}}if(z)ba=L;else{Drc(G+(L<<3)|0,0,h-L<<3|0)|0;break}do{Z=c+(ba<<3)|0;Q=0.0;aa=0;while(1){Q=Q+ +p[H+(aa<<3)>>3]*+p[Z>>3];aa=aa+1|0;if((aa|0)==(x|0))break;else Z=Z+(b<<3)|0}p[D+(ba<<3)>>3]=Q;ba=ba+1|0}while((ba|0)!=(h|0))}while(0);E=E+1|0;if((E|0)==(o|0))break;else{D=D+(d<<3)|0;F=F+(v<<3)|0}}}}else if(m){m=(w|0)==0;F=(h|0)>0;D=(r|0)==0;r=x+-2|0;E=(x|0)<2;ba=x&-2;H=(x|0)<1|m;L=(x|0)>0;z=(ba|0)<(x|0);$=(x|0)>0;g=(ba|0)<(x|0);A=e;e=0;s=a;while(1){if(H)ca=m?s:w;else{a=0;do{R=s+((Y(a,t)|0)<<3)|0;p[w+(a<<3)>>3]=+p[R>>3];a=a+1|0}while((a|0)!=(x|0));ca=w}c:do if(F)if(D){if(E){a=c;R=0;while(1){if(L){M=0.0;K=0;while(1){V=M+ +p[ca+(K<<3)>>3]*+p[a+(K<<3)>>3];K=K+1|0;if((K|0)==(x|0)){da=V;break}else M=V}}else da=0.0;p[A+(R<<3)>>3]=da+0.0;R=R+1|0;if((R|0)==(h|0))break c;else a=a+(b<<3)|0}}else{ea=c;fa=0}while(1){M=0.0;Q=0.0;a=0;do{Q=Q+ +p[ca+(a<<3)>>3]*+p[ea+(a<<3)>>3];R=a|1;M=M+ +p[ca+(R<<3)>>3]*+p[ea+(R<<3)>>3];a=a+2|0}while((a|0)<=(r|0));if(z){V=Q;a=ba;while(1){W=V+ +p[ca+(a<<3)>>3]*+p[ea+(a<<3)>>3];a=a+1|0;if((a|0)==(x|0)){ga=W;break}else V=W}}else ga=Q;p[A+(fa<<3)>>3]=M+ga;fa=fa+1|0;if((fa|0)==(h|0))break;else ea=ea+(b<<3)|0}}else{if(E){a=c;R=0;while(1){K=A+(R<<3)|0;V=+p[K>>3];if($){W=V;C=0;while(1){X=W+ +p[ca+(C<<3)>>3]*+p[a+(C<<3)>>3];C=C+1|0;if((C|0)==(x|0)){ha=X;break}else W=X}}else ha=V;p[K>>3]=ha+0.0;R=R+1|0;if((R|0)==(h|0))break c;else a=a+(b<<3)|0}}else{ia=c;ja=0}while(1){a=A+(ja<<3)|0;W=0.0;M=+p[a>>3];R=0;do{M=M+ +p[ca+(R<<3)>>3]*+p[ia+(R<<3)>>3];C=R|1;W=W+ +p[ca+(C<<3)>>3]*+p[ia+(C<<3)>>3];R=R+2|0}while((R|0)<=(r|0));if(g){V=M;R=ba;while(1){Q=V+ +p[ca+(R<<3)>>3]*+p[ia+(R<<3)>>3];R=R+1|0;if((R|0)==(x|0)){ka=Q;break}else V=Q}}else ka=M;p[a>>3]=W+ka;ja=ja+1|0;if((ja|0)==(h|0))break;else ia=ia+(b<<3)|0}}while(0);e=e+1|0;if((e|0)==(o|0))break;else{A=A+(d<<3)|0;s=s+(v<<3)|0}}}if((y|0)==(i|0)){u=k;return}Fmc(y);f[l>>2]=i;f[q>>2]=136;u=k;return}function MW(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0,wa=0,xa=0,ya=0.0,za=0.0,Aa=0,Ba=0,Ca=0.0,Da=0.0,Ea=0.0,Fa=0.0,Ga=0,Ha=0,Ia=0.0,Ja=0.0;k=u;u=u+1104|0;l=k;m=f[h>>2]|0;o=f[h+4>>2]|0;h=f[i>>2]|0;q=f[i+4>>2]|0;i=l+8|0;Drc(i|0,0,1088)|0;f[l>>2]=i;r=l+4|0;f[r>>2]=136;s=j&16;t=b>>>3;b=d>>>3;d=g>>>4;if(j&1){f[r>>2]=o;if(o>>>0>136){g=Dmc(o>>>0>536870911?-1:o<<3)|0;Drc(g|0,0,o<<3|0)|0;f[l>>2]=g;v=t;w=1;x=g;y=o}else{v=t;w=1;x=i;y=o}}else{v=1;w=t;x=0;y=m}m=(q|0)>0;if(!(j&2)){if(m){j=(x|0)==0;t=h+-4|0;o=(h|0)<4;g=(s|0)==0;z=(y|0)>0;A=h&-4;B=(y|0)<1|j;C=a;D=e;E=0;while(1){F=e+((Y(d,E)|0)<<4)|0;if(B)G=j?C:x;else{H=0;do{I=C+((Y(H,v)|0)<<3)|0;J=f[I+4>>2]|0;K=x+(H<<3)|0;f[K>>2]=f[I>>2];f[K+4>>2]=J;H=H+1|0}while((H|0)!=(y|0));G=x}if(o)L=0;else{H=0;do{if(g){M=0.0;N=0.0;O=0.0;P=0.0;Q=0.0;R=0.0;S=0.0;T=0.0}else{J=H|1;K=H|2;I=H|3;M=+p[D+(K<<4)>>3];N=+p[D+(J<<4)>>3];O=+p[D+(H<<4)>>3];P=+p[D+(I<<4)>>3];Q=+p[D+(I<<4)+8>>3];R=+p[D+(K<<4)+8>>3];S=+p[D+(J<<4)+8>>3];T=+p[D+(H<<4)+8>>3]}if(z){J=c+(H<<3)|0;K=0;U=M;V=N;W=O;X=P;Z=Q;_=R;$=S;aa=T;while(1){ba=+n[G+(K<<3)>>2];ca=+n[G+(K<<3)+4>>2];da=+n[J>>2];ea=+n[J+4>>2];fa=W+(ba*da-ca*ea);ga=aa+(ca*da+ba*ea);ea=+n[J+8>>2];da=+n[J+12>>2];ha=V+(ba*ea-ca*da);ia=$+(ca*ea+ba*da);da=+n[J+16>>2];ea=+n[J+20>>2];ja=U+(ba*da-ca*ea);ka=_+(ca*da+ba*ea);ea=+n[J+24>>2];da=+n[J+28>>2];la=X+(ba*ea-ca*da);ma=Z+(ca*ea+ba*da);K=K+1|0;if((K|0)==(y|0)){na=ja;oa=ha;pa=fa;qa=la;ra=ma;sa=ka;ta=ia;ua=ga;break}else{J=J+(b<<3)|0;U=ja;V=ha;W=fa;X=la;Z=ma;_=ka;$=ia;aa=ga}}}else{na=M;oa=N;pa=O;qa=P;ra=Q;sa=R;ta=S;ua=T}p[D+(H<<4)>>3]=pa;p[D+(H<<4)+8>>3]=ua;J=H|1;p[D+(J<<4)>>3]=oa;p[D+(J<<4)+8>>3]=ta;J=H|2;p[D+(J<<4)>>3]=na;p[D+(J<<4)+8>>3]=sa;J=H|3;p[D+(J<<4)>>3]=qa;p[D+(J<<4)+8>>3]=ra;H=H+4|0}while((H|0)<=(t|0));L=A}a:do if((h|0)>(L|0))if(g){if(z)va=L;else{Drc(F+(L<<4)|0,0,h-L<<4|0)|0;break}do{H=c+(va<<3)|0;J=0;aa=0.0;$=0.0;while(1){_=+n[G+(J<<3)>>2];Z=+n[G+(J<<3)+4>>2];X=+n[H>>2];W=+n[H+4>>2];aa=aa+(_*X-Z*W);$=$+(Z*X+_*W);J=J+1|0;if((J|0)==(y|0))break;else H=H+(b<<3)|0}p[D+(va<<4)>>3]=aa;p[D+(va<<4)+8>>3]=$;va=va+1|0}while((va|0)!=(h|0))}else{if(z)wa=L;else{H=L;while(1){H=H+1|0;if((H|0)==(h|0))break a}}do{H=D+(wa<<4)+8|0;J=D+(wa<<4)|0;K=c+(wa<<3)|0;I=0;W=+p[J>>3];_=+p[H>>3];while(1){X=+n[G+(I<<3)>>2];Z=+n[G+(I<<3)+4>>2];V=+n[K>>2];U=+n[K+4>>2];W=W+(X*V-Z*U);_=_+(Z*V+X*U);I=I+1|0;if((I|0)==(y|0))break;else K=K+(b<<3)|0}p[J>>3]=W;p[H>>3]=_;wa=wa+1|0}while((wa|0)!=(h|0))}while(0);E=E+1|0;if((E|0)==(q|0))break;else{C=C+(w<<3)|0;D=D+(d<<4)|0}}}}else if(m){m=(x|0)==0;D=(s|0)==0;s=y+-2|0;C=(y|0)<2;E=y&-2;wa=(y|0)<1|m;G=(h|0)>0;L=(y|0)>0;z=(E|0)<(y|0);va=(y|0)>0;g=(E|0)<(y|0);A=a;a=e;e=0;while(1){if(wa)xa=m?A:x;else{t=0;do{o=A+((Y(t,v)|0)<<3)|0;j=f[o+4>>2]|0;B=x+(t<<3)|0;f[B>>2]=f[o>>2];f[B+4>>2]=j;t=t+1|0}while((t|0)!=(y|0));xa=x}b:do if(G)if(D){if(C){t=c;j=0;while(1){if(L){B=0;ra=0.0;qa=0.0;while(1){sa=+n[xa+(B<<3)>>2];na=+n[xa+(B<<3)+4>>2];ta=+n[t+(B<<3)>>2];oa=+n[t+(B<<3)+4>>2];ua=ra+(sa*ta-na*oa);pa=qa+(na*ta+sa*oa);B=B+1|0;if((B|0)==(y|0)){ya=ua;za=pa;break}else{ra=ua;qa=pa}}}else{ya=0.0;za=0.0}p[a+(j<<4)>>3]=ya+0.0;p[a+(j<<4)+8>>3]=za+0.0;j=j+1|0;if((j|0)==(h|0))break b;else t=t+(b<<3)|0}}else{Aa=c;Ba=0}while(1){t=0;qa=0.0;ra=0.0;_=0.0;W=0.0;do{pa=+n[xa+(t<<3)>>2];ua=+n[xa+(t<<3)+4>>2];oa=+n[Aa+(t<<3)>>2];sa=+n[Aa+(t<<3)+4>>2];ra=ra+(pa*oa-ua*sa);_=_+(ua*oa+pa*sa);j=t|1;sa=+n[xa+(j<<3)>>2];pa=+n[xa+(j<<3)+4>>2];oa=+n[Aa+(j<<3)>>2];ua=+n[Aa+(j<<3)+4>>2];qa=qa+(sa*oa-pa*ua);W=W+(pa*oa+sa*ua);t=t+2|0}while((t|0)<=(s|0));if(z){t=E;ua=ra;sa=_;while(1){oa=+n[xa+(t<<3)>>2];pa=+n[xa+(t<<3)+4>>2];ta=+n[Aa+(t<<3)>>2];na=+n[Aa+(t<<3)+4>>2];T=ua+(oa*ta-pa*na);S=sa+(pa*ta+oa*na);t=t+1|0;if((t|0)==(y|0)){Ca=T;Da=S;break}else{ua=T;sa=S}}}else{Ca=ra;Da=_}p[a+(Ba<<4)>>3]=qa+Ca;p[a+(Ba<<4)+8>>3]=W+Da;Ba=Ba+1|0;if((Ba|0)==(h|0))break;else Aa=Aa+(b<<3)|0}}else{if(C){t=c;j=0;while(1){B=a+(j<<4)+8|0;H=a+(j<<4)|0;sa=+p[H>>3];ua=+p[B>>3];if(va){J=0;S=sa;T=ua;while(1){na=+n[xa+(J<<3)>>2];oa=+n[xa+(J<<3)+4>>2];ta=+n[t+(J<<3)>>2];pa=+n[t+(J<<3)+4>>2];R=S+(na*ta-oa*pa);Q=T+(oa*ta+na*pa);J=J+1|0;if((J|0)==(y|0)){Ea=R;Fa=Q;break}else{S=R;T=Q}}}else{Ea=sa;Fa=ua}p[H>>3]=Ea+0.0;p[B>>3]=Fa+0.0;j=j+1|0;if((j|0)==(h|0))break b;else t=t+(b<<3)|0}}else{Ga=c;Ha=0}while(1){t=a+(Ha<<4)+8|0;j=a+(Ha<<4)|0;J=0;T=0.0;S=+p[j>>3];W=+p[t>>3];qa=0.0;do{_=+n[xa+(J<<3)>>2];ra=+n[xa+(J<<3)+4>>2];Q=+n[Ga+(J<<3)>>2];R=+n[Ga+(J<<3)+4>>2];S=S+(_*Q-ra*R);W=W+(ra*Q+_*R);o=J|1;R=+n[xa+(o<<3)>>2];_=+n[xa+(o<<3)+4>>2];Q=+n[Ga+(o<<3)>>2];ra=+n[Ga+(o<<3)+4>>2];T=T+(R*Q-_*ra);qa=qa+(_*Q+R*ra);J=J+2|0}while((J|0)<=(s|0));if(g){J=E;ua=S;sa=W;while(1){ra=+n[xa+(J<<3)>>2];R=+n[xa+(J<<3)+4>>2];Q=+n[Ga+(J<<3)>>2];_=+n[Ga+(J<<3)+4>>2];pa=ua+(ra*Q-R*_);na=sa+(R*Q+ra*_);J=J+1|0;if((J|0)==(y|0)){Ia=pa;Ja=na;break}else{ua=pa;sa=na}}}else{Ia=S;Ja=W}p[j>>3]=T+Ia;p[t>>3]=qa+Ja;Ha=Ha+1|0;if((Ha|0)==(h|0))break;else Ga=Ga+(b<<3)|0}}while(0);e=e+1|0;if((e|0)==(q|0))break;else{A=A+(w<<3)|0;a=a+(d<<4)|0}}}d=f[l>>2]|0;if((d|0)==(i|0)){u=k;return}if(d|0)Fmc(d);f[l>>2]=i;f[r>>2]=136;u=k;return}function NW(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0,oa=0,pa=0,qa=0.0,ra=0.0,sa=0,ta=0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0,za=0,Aa=0.0,Ba=0.0;k=u;u=u+1168|0;l=k;m=f[h>>2]|0;n=f[h+4>>2]|0;h=f[i>>2]|0;o=f[i+4>>2]|0;i=l+8|0;Drc(i|0,0,1152)|0;f[l>>2]=i;q=l+4|0;f[q>>2]=72;r=j&16;s=b>>>4;b=d>>>4;d=g>>>4;if(j&1){f[q>>2]=n;if(n>>>0>72){g=Dmc(n>>>0>268435455?-1:n<<4)|0;Drc(g|0,0,n<<4|0)|0;f[l>>2]=g;t=s;v=1;w=g;x=n}else{t=s;v=1;w=i;x=n}}else{t=1;v=s;w=0;x=m}m=(o|0)>0;if(!(j&2)){if(m){j=(w|0)==0;s=h+-4|0;n=(h|0)<4;g=(r|0)==0;y=(x|0)>0;z=h&-4;A=(x|0)<1|j;B=(s>>>2<<6)+64|0;C=a;D=e;E=0;while(1){F=e+((Y(d,E)|0)<<4)|0;if(A)G=j?C:w;else{H=0;do{I=C+((Y(H,t)|0)<<4)|0;J=w+(H<<4)|0;f[J>>2]=f[I>>2];f[J+4>>2]=f[I+4>>2];f[J+8>>2]=f[I+8>>2];f[J+12>>2]=f[I+12>>2];H=H+1|0}while((H|0)!=(x|0));G=w}a:do if(!n)if(g){if(y)K=0;else{Drc(F|0,0,B|0)|0;L=z;break}do{H=c+(K<<4)|0;I=0;M=0.0;N=0.0;O=0.0;P=0.0;Q=0.0;R=0.0;S=0.0;T=0.0;while(1){U=+p[G+(I<<4)>>3];V=+p[G+(I<<4)+8>>3];W=+p[H>>3];X=+p[H+8>>3];N=N+(U*W-V*X);T=T+(V*W+U*X);X=+p[H+16>>3];W=+p[H+24>>3];M=M+(U*X-V*W);R=R+(V*X+U*W);W=+p[H+32>>3];X=+p[H+40>>3];P=P+(U*W-V*X);S=S+(V*W+U*X);X=+p[H+48>>3];W=+p[H+56>>3];O=O+(U*X-V*W);Q=Q+(V*X+U*W);I=I+1|0;if((I|0)==(x|0))break;else H=H+(b<<4)|0}p[D+(K<<4)>>3]=N;p[D+(K<<4)+8>>3]=T;H=K|1;p[D+(H<<4)>>3]=M;p[D+(H<<4)+8>>3]=R;H=K|2;p[D+(H<<4)>>3]=P;p[D+(H<<4)+8>>3]=S;H=K|3;p[D+(H<<4)>>3]=O;p[D+(H<<4)+8>>3]=Q;K=K+4|0}while((K|0)<=(s|0));L=z}else{if(y)Z=0;else{H=0;while(1){H=H+4|0;if((H|0)>(s|0)){L=z;break a}}}do{H=D+(Z<<4)|0;I=D+(Z<<4)+8|0;J=Z|1;_=D+(J<<4)|0;$=D+(J<<4)+8|0;J=Z|2;aa=D+(J<<4)|0;ba=D+(J<<4)+8|0;J=Z|3;ca=D+(J<<4)|0;da=D+(J<<4)+8|0;J=c+(Z<<4)|0;ea=0;W=+p[_>>3];U=+p[H>>3];X=+p[ca>>3];V=+p[aa>>3];fa=+p[da>>3];ga=+p[$>>3];ha=+p[ba>>3];ia=+p[I>>3];while(1){ja=+p[G+(ea<<4)>>3];ka=+p[G+(ea<<4)+8>>3];la=+p[J>>3];ma=+p[J+8>>3];U=U+(ja*la-ka*ma);ia=ia+(ka*la+ja*ma);ma=+p[J+16>>3];la=+p[J+24>>3];W=W+(ja*ma-ka*la);ga=ga+(ka*ma+ja*la);la=+p[J+32>>3];ma=+p[J+40>>3];V=V+(ja*la-ka*ma);ha=ha+(ka*la+ja*ma);ma=+p[J+48>>3];la=+p[J+56>>3];X=X+(ja*ma-ka*la);fa=fa+(ka*ma+ja*la);ea=ea+1|0;if((ea|0)==(x|0))break;else J=J+(b<<4)|0}p[H>>3]=U;p[I>>3]=ia;p[_>>3]=W;p[$>>3]=ga;p[aa>>3]=V;p[ba>>3]=ha;p[ca>>3]=X;p[da>>3]=fa;Z=Z+4|0}while((Z|0)<=(s|0));L=z}else L=0;while(0);b:do if((h|0)>(L|0))if(g){if(y)na=L;else{Drc(F+(L<<4)|0,0,h-L<<4|0)|0;break}do{J=c+(na<<4)|0;ea=0;Q=0.0;O=0.0;while(1){S=+p[G+(ea<<4)>>3];P=+p[G+(ea<<4)+8>>3];R=+p[J>>3];M=+p[J+8>>3];Q=Q+(S*R-P*M);O=O+(P*R+S*M);ea=ea+1|0;if((ea|0)==(x|0))break;else J=J+(b<<4)|0}p[D+(na<<4)>>3]=Q;p[D+(na<<4)+8>>3]=O;na=na+1|0}while((na|0)!=(h|0))}else{if(y)oa=L;else{J=L;while(1){J=J+1|0;if((J|0)==(h|0))break b}}do{J=D+(oa<<4)+8|0;ea=D+(oa<<4)|0;da=c+(oa<<4)|0;ca=0;fa=+p[ea>>3];X=+p[J>>3];while(1){ha=+p[G+(ca<<4)>>3];V=+p[G+(ca<<4)+8>>3];ga=+p[da>>3];W=+p[da+8>>3];fa=fa+(ha*ga-V*W);X=X+(V*ga+ha*W);ca=ca+1|0;if((ca|0)==(x|0))break;else da=da+(b<<4)|0}p[ea>>3]=fa;p[J>>3]=X;oa=oa+1|0}while((oa|0)!=(h|0))}while(0);E=E+1|0;if((E|0)==(o|0))break;else{C=C+(v<<4)|0;D=D+(d<<4)|0}}}}else if(m){m=(w|0)==0;D=(r|0)==0;r=x+-2|0;C=(x|0)<2;E=x&-2;oa=(x|0)<1|m;G=(h|0)>0;L=(x|0)>0;y=(E|0)<(x|0);na=(x|0)>0;g=(E|0)<(x|0);z=a;a=e;e=0;while(1){if(oa)pa=m?z:w;else{s=0;do{Z=z+((Y(s,t)|0)<<4)|0;K=w+(s<<4)|0;f[K>>2]=f[Z>>2];f[K+4>>2]=f[Z+4>>2];f[K+8>>2]=f[Z+8>>2];f[K+12>>2]=f[Z+12>>2];s=s+1|0}while((s|0)!=(x|0));pa=w}c:do if(G)if(D){if(C){s=c;Z=0;while(1){if(L){K=0;O=0.0;Q=0.0;while(1){W=+p[pa+(K<<4)>>3];ha=+p[pa+(K<<4)+8>>3];ga=+p[s+(K<<4)>>3];V=+p[s+(K<<4)+8>>3];ia=O+(W*ga-ha*V);U=Q+(ha*ga+W*V);K=K+1|0;if((K|0)==(x|0)){qa=ia;ra=U;break}else{O=ia;Q=U}}}else{qa=0.0;ra=0.0}p[a+(Z<<4)>>3]=qa+0.0;p[a+(Z<<4)+8>>3]=ra+0.0;Z=Z+1|0;if((Z|0)==(h|0))break c;else s=s+(b<<4)|0}}else{sa=c;ta=0}while(1){s=0;Q=0.0;O=0.0;X=0.0;fa=0.0;do{U=+p[pa+(s<<4)>>3];ia=+p[pa+(s<<4)+8>>3];V=+p[sa+(s<<4)>>3];W=+p[sa+(s<<4)+8>>3];O=O+(U*V-ia*W);X=X+(ia*V+U*W);Z=s|1;W=+p[pa+(Z<<4)>>3];U=+p[pa+(Z<<4)+8>>3];V=+p[sa+(Z<<4)>>3];ia=+p[sa+(Z<<4)+8>>3];Q=Q+(W*V-U*ia);fa=fa+(U*V+W*ia);s=s+2|0}while((s|0)<=(r|0));if(y){s=E;ia=O;W=X;while(1){V=+p[pa+(s<<4)>>3];U=+p[pa+(s<<4)+8>>3];ga=+p[sa+(s<<4)>>3];ha=+p[sa+(s<<4)+8>>3];M=ia+(V*ga-U*ha);S=W+(U*ga+V*ha);s=s+1|0;if((s|0)==(x|0)){ua=M;va=S;break}else{ia=M;W=S}}}else{ua=O;va=X}p[a+(ta<<4)>>3]=Q+ua;p[a+(ta<<4)+8>>3]=fa+va;ta=ta+1|0;if((ta|0)==(h|0))break;else sa=sa+(b<<4)|0}}else{if(C){s=c;Z=0;while(1){K=a+(Z<<4)+8|0;J=a+(Z<<4)|0;W=+p[J>>3];ia=+p[K>>3];if(na){ea=0;S=W;M=ia;while(1){ha=+p[pa+(ea<<4)>>3];V=+p[pa+(ea<<4)+8>>3];ga=+p[s+(ea<<4)>>3];U=+p[s+(ea<<4)+8>>3];R=S+(ha*ga-V*U);P=M+(V*ga+ha*U);ea=ea+1|0;if((ea|0)==(x|0)){wa=R;xa=P;break}else{S=R;M=P}}}else{wa=W;xa=ia}p[J>>3]=wa+0.0;p[K>>3]=xa+0.0;Z=Z+1|0;if((Z|0)==(h|0))break c;else s=s+(b<<4)|0}}else{ya=c;za=0}while(1){s=a+(za<<4)+8|0;Z=a+(za<<4)|0;ea=0;M=0.0;S=+p[Z>>3];fa=+p[s>>3];Q=0.0;do{X=+p[pa+(ea<<4)>>3];O=+p[pa+(ea<<4)+8>>3];P=+p[ya+(ea<<4)>>3];R=+p[ya+(ea<<4)+8>>3];S=S+(X*P-O*R);fa=fa+(O*P+X*R);B=ea|1;R=+p[pa+(B<<4)>>3];X=+p[pa+(B<<4)+8>>3];P=+p[ya+(B<<4)>>3];O=+p[ya+(B<<4)+8>>3];M=M+(R*P-X*O);Q=Q+(X*P+R*O);ea=ea+2|0}while((ea|0)<=(r|0));if(g){ea=E;ia=S;W=fa;while(1){O=+p[pa+(ea<<4)>>3];R=+p[pa+(ea<<4)+8>>3];P=+p[ya+(ea<<4)>>3];X=+p[ya+(ea<<4)+8>>3];U=ia+(O*P-R*X);ha=W+(R*P+O*X);ea=ea+1|0;if((ea|0)==(x|0)){Aa=U;Ba=ha;break}else{ia=U;W=ha}}}else{Aa=S;Ba=fa}p[Z>>3]=M+Aa;p[s>>3]=Q+Ba;za=za+1|0;if((za|0)==(h|0))break;else ya=ya+(b<<4)|0}}while(0);e=e+1|0;if((e|0)==(o|0))break;else{z=z+(v<<4)|0;a=a+(d<<4)|0}}}d=f[l>>2]|0;if((d|0)==(i|0)){u=k;return}if(d|0)Fmc(d);f[l>>2]=i;f[q>>2]=72;u=k;return}function OW(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0,T=0,U=0,V=0,W=0.0,X=0.0,Z=0.0,_=0,$=0.0,aa=0,ba=0,ca=0,da=0,ea=0.0,fa=0,ga=0,ha=0.0,ia=0.0,ja=0,ka=0,la=0.0;k=u;u=u+1072|0;l=k;m=f[h>>2]|0;o=f[h+4>>2]|0;h=f[i>>2]|0;q=f[i+4>>2]|0;i=l+8|0;f[l>>2]=i;r=l+4|0;f[r>>2]=264;s=j&16;t=b>>>2;b=d>>>2;d=g>>>3;if(j&1){f[r>>2]=o;if(o>>>0>264){g=Dmc(o>>>0>1073741823?-1:o<<2)|0;f[l>>2]=g;v=t;w=1;x=g;y=o;z=g}else{v=t;w=1;x=i;y=o;z=i}}else{v=1;w=t;x=0;y=m;z=i}m=(q|0)>0;if(!(j&2)){if(m){j=(x|0)==0;t=h+-4|0;o=(h|0)<4;g=(s|0)==0;A=(y|0)>0;B=h&-4;C=(y|0)<1|j;D=(t>>>2<<5)+32|0;E=e;F=0;G=a;while(1){H=e+((Y(d,F)|0)<<3)|0;if(C)I=j?G:x;else{J=0;do{K=G+((Y(J,v)|0)<<2)|0;f[x+(J<<2)>>2]=f[K>>2];J=J+1|0}while((J|0)!=(y|0));I=x}a:do if(!o)if(g){if(A)L=0;else{Drc(H|0,0,D|0)|0;M=B;break}do{J=c+(L<<2)|0;N=0.0;O=0.0;P=0.0;Q=0.0;K=0;while(1){R=+n[I+(K<<2)>>2];Q=Q+R*+n[J>>2];P=P+R*+n[J+4>>2];O=O+R*+n[J+8>>2];N=N+R*+n[J+12>>2];K=K+1|0;if((K|0)==(y|0))break;else J=J+(b<<2)|0}p[E+(L<<3)>>3]=Q;p[E+((L|1)<<3)>>3]=P;p[E+((L|2)<<3)>>3]=O;p[E+((L|3)<<3)>>3]=N;L=L+4|0}while((L|0)<=(t|0));M=B}else{if(A)S=0;else{J=0;while(1){J=J+4|0;if((J|0)>(t|0)){M=B;break a}}}do{J=E+((S|3)<<3)|0;K=E+((S|2)<<3)|0;T=E+((S|1)<<3)|0;U=E+(S<<3)|0;V=c+(S<<2)|0;R=+p[J>>3];W=+p[K>>3];X=+p[T>>3];Z=+p[U>>3];_=0;while(1){$=+n[I+(_<<2)>>2];Z=Z+$*+n[V>>2];X=X+$*+n[V+4>>2];W=W+$*+n[V+8>>2];R=R+$*+n[V+12>>2];_=_+1|0;if((_|0)==(y|0))break;else V=V+(b<<2)|0}p[U>>3]=Z;p[T>>3]=X;p[K>>3]=W;p[J>>3]=R;S=S+4|0}while((S|0)<=(t|0));M=B}else M=0;while(0);b:do if((h|0)>(M|0)){if(!g){if(A)aa=M;else break;while(1){V=E+(aa<<3)|0;_=c+(aa<<2)|0;N=+p[V>>3];ba=0;while(1){N=N+ +n[I+(ba<<2)>>2]*+n[_>>2];ba=ba+1|0;if((ba|0)==(y|0))break;else _=_+(b<<2)|0}p[V>>3]=N;aa=aa+1|0;if((aa|0)==(h|0))break b}}if(A)ca=M;else{Drc(H+(M<<3)|0,0,h-M<<3|0)|0;break}do{_=c+(ca<<2)|0;R=0.0;ba=0;while(1){R=R+ +n[I+(ba<<2)>>2]*+n[_>>2];ba=ba+1|0;if((ba|0)==(y|0))break;else _=_+(b<<2)|0}p[E+(ca<<3)>>3]=R;ca=ca+1|0}while((ca|0)!=(h|0))}while(0);F=F+1|0;if((F|0)==(q|0))break;else{E=E+(d<<3)|0;G=G+(w<<2)|0}}}}else if(m){m=(x|0)==0;G=(h|0)>0;E=(s|0)==0;s=y+-2|0;F=(y|0)<2;ca=y&-2;I=(y|0)<1|m;M=(y|0)>0;A=(ca|0)<(y|0);aa=(y|0)>0;g=(ca|0)<(y|0);B=e;e=0;t=a;while(1){if(I)da=m?t:x;else{a=0;do{S=t+((Y(a,v)|0)<<2)|0;f[x+(a<<2)>>2]=f[S>>2];a=a+1|0}while((a|0)!=(y|0));da=x}c:do if(G)if(E){if(F){a=c;S=0;while(1){if(M){N=0.0;L=0;while(1){W=N+ +n[da+(L<<2)>>2]*+n[a+(L<<2)>>2];L=L+1|0;if((L|0)==(y|0)){ea=W;break}else N=W}}else ea=0.0;p[B+(S<<3)>>3]=ea+0.0;S=S+1|0;if((S|0)==(h|0))break c;else a=a+(b<<2)|0}}else{fa=c;ga=0}while(1){N=0.0;R=0.0;a=0;do{R=R+ +n[da+(a<<2)>>2]*+n[fa+(a<<2)>>2];S=a|1;N=N+ +n[da+(S<<2)>>2]*+n[fa+(S<<2)>>2];a=a+2|0}while((a|0)<=(s|0));if(A){W=R;a=ca;while(1){X=W+ +n[da+(a<<2)>>2]*+n[fa+(a<<2)>>2];a=a+1|0;if((a|0)==(y|0)){ha=X;break}else W=X}}else ha=R;p[B+(ga<<3)>>3]=N+ha;ga=ga+1|0;if((ga|0)==(h|0))break;else fa=fa+(b<<2)|0}}else{if(F){a=c;S=0;while(1){L=B+(S<<3)|0;W=+p[L>>3];if(aa){X=W;D=0;while(1){Z=X+ +n[da+(D<<2)>>2]*+n[a+(D<<2)>>2];D=D+1|0;if((D|0)==(y|0)){ia=Z;break}else X=Z}}else ia=W;p[L>>3]=ia+0.0;S=S+1|0;if((S|0)==(h|0))break c;else a=a+(b<<2)|0}}else{ja=c;ka=0}while(1){a=B+(ka<<3)|0;X=0.0;N=+p[a>>3];S=0;do{N=N+ +n[da+(S<<2)>>2]*+n[ja+(S<<2)>>2];D=S|1;X=X+ +n[da+(D<<2)>>2]*+n[ja+(D<<2)>>2];S=S+2|0}while((S|0)<=(s|0));if(g){W=N;S=ca;while(1){R=W+ +n[da+(S<<2)>>2]*+n[ja+(S<<2)>>2];S=S+1|0;if((S|0)==(y|0)){la=R;break}else W=R}}else la=N;p[a>>3]=X+la;ka=ka+1|0;if((ka|0)==(h|0))break;else ja=ja+(b<<2)|0}}while(0);e=e+1|0;if((e|0)==(q|0))break;else{B=B+(d<<3)|0;t=t+(w<<2)|0}}}if((z|0)==(i|0)){u=k;return}Fmc(z);f[l>>2]=i;f[r>>2]=264;u=k;return}function PW(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=+i;j=+j;k=k|0;var l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0;l=f[h>>2]|0;m=f[h+4>>2]|0;h=b>>>3;b=d>>>3;d=g>>>3;g=(a|0)==0;n=(k&4|0)==0;k=g?0:n?h:1;o=g?0:n?1:h;if(!m)return;h=o<<1;n=o*3|0;g=o<<2;q=(l|0)<4;r=l+-4|0;s=(r|0)>3?r:3;t=(s&2147483644)+4|0;u=s>>>2;s=Y(u,g)|0;v=(u<<2)+4|0;u=c;c=e;e=a;w=m;m=a+(g<<3)|0;while(1){w=w+-1|0;if(!e){if(q)x=0;else{a=0;do{y=a|1;z=+p[u+(y<<3)>>3]*i;p[c+(a<<3)>>3]=+p[u+(a<<3)>>3]*i;p[c+(y<<3)>>3]=z;y=a|2;A=a|3;z=+p[u+(A<<3)>>3]*i;p[c+(y<<3)>>3]=+p[u+(y<<3)>>3]*i;p[c+(A<<3)>>3]=z;a=a+4|0}while((a|0)<=(r|0));x=t}if((x|0)<(l|0)){a=x;do{p[c+(a<<3)>>3]=+p[u+(a<<3)>>3]*i;a=a+1|0}while((a|0)!=(l|0))}}else{if(q){B=e;C=0}else{a=0;A=e;while(1){y=a|1;z=+p[u+(y<<3)>>3]*i+ +p[A+(o<<3)>>3]*j;p[c+(a<<3)>>3]=+p[u+(a<<3)>>3]*i+ +p[A>>3]*j;p[c+(y<<3)>>3]=z;y=a|2;D=a|3;z=+p[u+(D<<3)>>3]*i+ +p[A+(n<<3)>>3]*j;p[c+(y<<3)>>3]=+p[u+(y<<3)>>3]*i+ +p[A+(h<<3)>>3]*j;p[c+(D<<3)>>3]=z;a=a+4|0;if((a|0)>(r|0))break;else A=A+(g<<3)|0}B=m+(s<<3)|0;C=v}if((C|0)<(l|0)){A=C;a=B;while(1){p[c+(A<<3)>>3]=+p[u+(A<<3)>>3]*i+ +p[a>>3]*j;A=A+1|0;if((A|0)==(l|0))break;else a=a+(o<<3)|0}}}if(!w)break;else{u=u+(b<<3)|0;c=c+(d<<3)|0;e=e+(k<<3)|0;m=m+(k<<3)|0}}return}function QW(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=+i;j=+j;k=k|0;var l=0,m=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0.0,A=0.0,B=0,C=0,D=0,E=0;l=f[h>>2]|0;m=f[h+4>>2]|0;h=b>>>3;b=d>>>4;d=g>>>3;g=(a|0)==0;o=(k&4|0)==0;k=g?0:o?h:1;q=g?0:o?1:h;if(!m)return;h=q<<1;o=q*3|0;g=q<<2;r=(l|0)<4;s=l+-4|0;t=s>>>2;u=(t<<2)+4|0;v=c;c=e;e=a;w=m;m=a+(Y(q,(t<<5)+32|0)|0)|0;while(1){w=w+-1|0;if(!e){if(r)x=0;else{t=0;do{a=t|1;y=+p[v+(a<<4)>>3]*i;z=+p[v+(a<<4)+8>>3]*i;A=+p[v+(t<<4)+8>>3]*i;n[c+(t<<3)>>2]=+p[v+(t<<4)>>3]*i;n[c+(t<<3)+4>>2]=A;n[c+(a<<3)>>2]=y;n[c+(a<<3)+4>>2]=z;a=t|2;B=t|3;z=+p[v+(B<<4)>>3]*i;y=+p[v+(B<<4)+8>>3]*i;A=+p[v+(a<<4)+8>>3]*i;n[c+(a<<3)>>2]=+p[v+(a<<4)>>3]*i;n[c+(a<<3)+4>>2]=A;n[c+(B<<3)>>2]=z;n[c+(B<<3)+4>>2]=y;t=t+4|0}while((t|0)<=(s|0));x=u}if((x|0)<(l|0)){t=x;do{y=+p[v+(t<<4)+8>>3]*i;n[c+(t<<3)>>2]=+p[v+(t<<4)>>3]*i;n[c+(t<<3)+4>>2]=y;t=t+1|0}while((t|0)!=(l|0))}}else{if(r){C=e;D=0}else{t=e;B=0;while(1){a=B|1;y=+p[v+(a<<4)>>3]*i+ +n[t+(q<<3)>>2]*j;z=+p[v+(a<<4)+8>>3]*i+ +n[t+(q<<3)+4>>2]*j;A=+p[v+(B<<4)+8>>3]*i+ +n[t+4>>2]*j;n[c+(B<<3)>>2]=+p[v+(B<<4)>>3]*i+ +n[t>>2]*j;n[c+(B<<3)+4>>2]=A;n[c+(a<<3)>>2]=y;n[c+(a<<3)+4>>2]=z;a=B|2;E=B|3;z=+p[v+(E<<4)>>3]*i+ +n[t+(o<<3)>>2]*j;y=+p[v+(E<<4)+8>>3]*i+ +n[t+(o<<3)+4>>2]*j;A=+p[v+(a<<4)+8>>3]*i+ +n[t+(h<<3)+4>>2]*j;n[c+(a<<3)>>2]=+p[v+(a<<4)>>3]*i+ +n[t+(h<<3)>>2]*j;n[c+(a<<3)+4>>2]=A;n[c+(E<<3)>>2]=z;n[c+(E<<3)+4>>2]=y;B=B+4|0;if((B|0)>(s|0)){C=m;D=u;break}else t=t+(g<<3)|0}}if((D|0)<(l|0)){t=C;B=D;while(1){y=+p[v+(B<<4)+8>>3]*i+ +n[t+4>>2]*j;n[c+(B<<3)>>2]=+p[v+(B<<4)>>3]*i+ +n[t>>2]*j;n[c+(B<<3)+4>>2]=y;B=B+1|0;if((B|0)==(l|0))break;else t=t+(q<<3)|0}}}if(!w)break;else{v=v+(b<<4)|0;c=c+(d<<3)|0;e=e+(k<<3)|0;m=m+(k<<3)|0}}return}function RW(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=+i;j=+j;k=k|0;var l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0,B=0,C=0,D=0;l=f[h>>2]|0;m=f[h+4>>2]|0;h=b>>>4;b=d>>>4;d=g>>>4;g=(a|0)==0;n=(k&4|0)==0;k=g?0:n?h:1;o=g?0:n?1:h;if(!m)return;h=o<<1;n=o*3|0;g=o<<2;q=(l|0)<4;r=l+-4|0;s=r>>>2;t=(s<<2)+4|0;u=a;v=c;c=e;e=m;m=a+(Y(o,(s<<6)+64|0)|0)|0;while(1){e=e+-1|0;if(!u){if(q)w=0;else{s=0;do{x=+p[v+(s<<4)+8>>3]*i;a=s|1;y=+p[v+(a<<4)>>3]*i;z=+p[v+(a<<4)+8>>3]*i;p[c+(s<<4)>>3]=+p[v+(s<<4)>>3]*i;p[c+(s<<4)+8>>3]=x;p[c+(a<<4)>>3]=y;p[c+(a<<4)+8>>3]=z;a=s|2;z=+p[v+(a<<4)+8>>3]*i;A=s|3;y=+p[v+(A<<4)>>3]*i;x=+p[v+(A<<4)+8>>3]*i;p[c+(a<<4)>>3]=+p[v+(a<<4)>>3]*i;p[c+(a<<4)+8>>3]=z;p[c+(A<<4)>>3]=y;p[c+(A<<4)+8>>3]=x;s=s+4|0}while((s|0)<=(r|0));w=t}if((w|0)<(l|0)){s=w;do{x=+p[v+(s<<4)+8>>3]*i;p[c+(s<<4)>>3]=+p[v+(s<<4)>>3]*i;p[c+(s<<4)+8>>3]=x;s=s+1|0}while((s|0)!=(l|0))}}else{if(q){B=0;C=u}else{s=0;A=u;while(1){a=s|1;x=+p[v+(s<<4)+8>>3]*i+ +p[A+8>>3]*j;y=+p[v+(a<<4)>>3]*i+ +p[A+(o<<4)>>3]*j;z=+p[v+(a<<4)+8>>3]*i+ +p[A+(o<<4)+8>>3]*j;p[c+(s<<4)>>3]=+p[v+(s<<4)>>3]*i+ +p[A>>3]*j;p[c+(s<<4)+8>>3]=x;p[c+(a<<4)>>3]=y;p[c+(a<<4)+8>>3]=z;a=s|2;D=s|3;z=+p[v+(a<<4)+8>>3]*i+ +p[A+(h<<4)+8>>3]*j;y=+p[v+(D<<4)>>3]*i+ +p[A+(n<<4)>>3]*j;x=+p[v+(D<<4)+8>>3]*i+ +p[A+(n<<4)+8>>3]*j;p[c+(a<<4)>>3]=+p[v+(a<<4)>>3]*i+ +p[A+(h<<4)>>3]*j;p[c+(a<<4)+8>>3]=z;p[c+(D<<4)>>3]=y;p[c+(D<<4)+8>>3]=x;s=s+4|0;if((s|0)>(r|0)){B=t;C=m;break}else A=A+(g<<4)|0}}if((B|0)<(l|0)){A=C;s=B;while(1){x=+p[v+(s<<4)+8>>3]*i+ +p[A+8>>3]*j;p[c+(s<<4)>>3]=+p[v+(s<<4)>>3]*i+ +p[A>>3]*j;p[c+(s<<4)+8>>3]=x;s=s+1|0;if((s|0)==(l|0))break;else A=A+(o<<4)|0}}}if(!e)break;else{u=u+(k<<4)|0;v=v+(b<<4)|0;c=c+(d<<4)|0;m=m+(k<<4)|0}}return}function SW(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=+i;j=+j;k=k|0;var l=0,m=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0,C=0,D=0,E=0;l=f[h>>2]|0;m=f[h+4>>2]|0;h=b>>>2;b=d>>>3;d=g>>>2;g=(a|0)==0;o=(k&4|0)==0;k=g?0:o?h:1;q=g?0:o?1:h;if(!m)return;h=q<<1;o=q*3|0;g=q<<2;r=(l|0)<4;s=l+-4|0;t=(s|0)>3?s:3;u=(t&2147483644)+4|0;v=t>>>2;t=Y(v,g)|0;w=(v<<2)+4|0;v=c;c=e;e=a;x=m;m=a+(g<<2)|0;while(1){x=x+-1|0;if(!e){if(r)y=0;else{a=0;do{z=a|1;A=+p[v+(z<<3)>>3]*i;n[c+(a<<2)>>2]=+p[v+(a<<3)>>3]*i;n[c+(z<<2)>>2]=A;z=a|2;B=a|3;A=+p[v+(B<<3)>>3]*i;n[c+(z<<2)>>2]=+p[v+(z<<3)>>3]*i;n[c+(B<<2)>>2]=A;a=a+4|0}while((a|0)<=(s|0));y=u}if((y|0)<(l|0)){a=y;do{n[c+(a<<2)>>2]=+p[v+(a<<3)>>3]*i;a=a+1|0}while((a|0)!=(l|0))}}else{if(r){C=e;D=0}else{a=0;B=e;while(1){z=a|1;A=+p[v+(z<<3)>>3]*i+ +n[B+(q<<2)>>2]*j;n[c+(a<<2)>>2]=+p[v+(a<<3)>>3]*i+ +n[B>>2]*j;n[c+(z<<2)>>2]=A;z=a|2;E=a|3;A=+p[v+(E<<3)>>3]*i+ +n[B+(o<<2)>>2]*j;n[c+(z<<2)>>2]=+p[v+(z<<3)>>3]*i+ +n[B+(h<<2)>>2]*j;n[c+(E<<2)>>2]=A;a=a+4|0;if((a|0)>(s|0))break;else B=B+(g<<2)|0}C=m+(t<<2)|0;D=w}if((D|0)<(l|0)){B=D;a=C;while(1){n[c+(B<<2)>>2]=+p[v+(B<<3)>>3]*i+ +n[a>>2]*j;B=B+1|0;if((B|0)==(l|0))break;else a=a+(q<<2)|0}}}if(!x)break;else{v=v+(b<<3)|0;c=c+(d<<2)|0;e=e+(k<<2)|0;m=m+(k<<2)|0}}return}function TW(a,b,c,d,e,g,h,i,j,k,l,m,n,o,p){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=+i;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;q=u;u=u+448|0;r=q+392|0;s=q+336|0;t=q+280|0;v=q+224|0;w=q+168|0;x=q+112|0;y=q+56|0;z=q;A=(o&2|0)==0;B=(o&1|0)!=0;C=B?l:m;D=B?m:l;B=A?C:n;E=A?n:C;C=(o&4|0)==0;A=C?D:n;F=C?n:D;f[r>>2]=1124007936;C=r+4|0;G=r+8|0;H=r+40|0;I=C;J=I+36|0;do{f[I>>2]=0;I=I+4|0}while((I|0)<(J|0));f[H>>2]=G;K=r+48|0;L=r+44|0;f[L>>2]=K;f[K>>2]=0;f[r+52>>2]=0;f[s>>2]=1124007936;M=s+4|0;N=s+8|0;O=s+40|0;I=M;J=I+36|0;do{f[I>>2]=0;I=I+4|0}while((I|0)<(J|0));f[O>>2]=N;P=s+48|0;Q=s+44|0;f[Q>>2]=P;f[P>>2]=0;f[s+52>>2]=0;f[t>>2]=1124007936;R=t+4|0;S=t+8|0;T=t+40|0;I=R;J=I+36|0;do{f[I>>2]=0;I=I+4|0}while((I|0)<(J|0));f[T>>2]=S;I=t+48|0;J=t+44|0;f[J>>2]=I;f[I>>2]=0;f[t+52>>2]=0;if(a|0){Ri(v,l,m,p,a,b);b=v+36|0;a=f[b>>2]|0;if(a|0){m=a+12|0;f[m>>2]=(f[m>>2]|0)+1}m=r+36|0;a=f[m>>2]|0;if(a|0?(l=a+12|0,a=f[l>>2]|0,f[l>>2]=a+-1,(a|0)==1):0)lP(r);f[m>>2]=0;a=r+16|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[C>>2]|0)>0){l=f[H>>2]|0;U=0;do{f[l+(U<<2)>>2]=0;U=U+1|0;V=f[C>>2]|0}while((U|0)<(V|0));f[r>>2]=f[v>>2];if((V|0)<3)W=12;else W=14}else{f[r>>2]=f[v>>2];W=12}if((W|0)==12){V=f[v+4>>2]|0;if((V|0)<3){f[C>>2]=V;f[G>>2]=f[v+8>>2];f[r+12>>2]=f[v+12>>2];V=f[v+44>>2]|0;U=f[L>>2]|0;f[U>>2]=f[V>>2];f[U+4>>2]=f[V+4>>2]}else W=14}if((W|0)==14)kP(r,v);V=v+16|0;f[a>>2]=f[V>>2];f[r+20>>2]=f[v+20>>2];f[r+24>>2]=f[v+24>>2];f[r+28>>2]=f[v+28>>2];f[r+32>>2]=f[v+32>>2];a=f[b>>2]|0;f[m>>2]=a;if(a|0?(m=a+12|0,a=f[m>>2]|0,f[m>>2]=a+-1,(a|0)==1):0)lP(v);f[b>>2]=0;b=v+4|0;f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;f[V+12>>2]=0;if((f[b>>2]|0)>0){V=f[v+40>>2]|0;a=0;do{f[V+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[b>>2]|0))}b=f[v+44>>2]|0;if((b|0)!=(v+48|0))tE(b)}if(c|0){Ri(v,B,E,p,c,d);d=v+36|0;c=f[d>>2]|0;if(c|0){E=c+12|0;f[E>>2]=(f[E>>2]|0)+1}E=s+36|0;c=f[E>>2]|0;if(c|0?(B=c+12|0,c=f[B>>2]|0,f[B>>2]=c+-1,(c|0)==1):0)lP(s);f[E>>2]=0;c=s+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[M>>2]|0)>0){B=f[O>>2]|0;b=0;do{f[B+(b<<2)>>2]=0;b=b+1|0;X=f[M>>2]|0}while((b|0)<(X|0));f[s>>2]=f[v>>2];if((X|0)<3)W=35;else W=37}else{f[s>>2]=f[v>>2];W=35}if((W|0)==35){X=f[v+4>>2]|0;if((X|0)<3){f[M>>2]=X;f[N>>2]=f[v+8>>2];f[s+12>>2]=f[v+12>>2];X=f[v+44>>2]|0;b=f[Q>>2]|0;f[b>>2]=f[X>>2];f[b+4>>2]=f[X+4>>2]}else W=37}if((W|0)==37)kP(s,v);X=v+16|0;f[c>>2]=f[X>>2];f[s+20>>2]=f[v+20>>2];f[s+24>>2]=f[v+24>>2];f[s+28>>2]=f[v+28>>2];f[s+32>>2]=f[v+32>>2];c=f[d>>2]|0;f[E>>2]=c;if(c|0?(E=c+12|0,c=f[E>>2]|0,f[E>>2]=c+-1,(c|0)==1):0)lP(v);f[d>>2]=0;d=v+4|0;f[X>>2]=0;f[X+4>>2]=0;f[X+8>>2]=0;f[X+12>>2]=0;if((f[d>>2]|0)>0){X=f[v+40>>2]|0;c=0;do{f[X+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[d>>2]|0))}d=f[v+44>>2]|0;if((d|0)!=(v+48|0))tE(d)}if((g|0)!=0&i!=0.0){Ri(v,A,F,p,g,h);h=v+36|0;g=f[h>>2]|0;if(g|0){F=g+12|0;f[F>>2]=(f[F>>2]|0)+1}F=t+36|0;g=f[F>>2]|0;if(g|0?(A=g+12|0,g=f[A>>2]|0,f[A>>2]=g+-1,(g|0)==1):0)lP(t);f[F>>2]=0;g=t+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[R>>2]|0)>0){A=f[T>>2]|0;d=0;do{f[A+(d<<2)>>2]=0;d=d+1|0;Y=f[R>>2]|0}while((d|0)<(Y|0));f[t>>2]=f[v>>2];if((Y|0)<3)W=58;else W=60}else{f[t>>2]=f[v>>2];W=58}if((W|0)==58){Y=f[v+4>>2]|0;if((Y|0)<3){f[R>>2]=Y;f[S>>2]=f[v+8>>2];f[t+12>>2]=f[v+12>>2];Y=f[v+44>>2]|0;d=f[J>>2]|0;f[d>>2]=f[Y>>2];f[d+4>>2]=f[Y+4>>2]}else W=60}if((W|0)==60)kP(t,v);W=v+16|0;f[g>>2]=f[W>>2];f[t+20>>2]=f[v+20>>2];f[t+24>>2]=f[v+24>>2];f[t+28>>2]=f[v+28>>2];f[t+32>>2]=f[v+32>>2];g=f[h>>2]|0;f[F>>2]=g;if(g|0?(F=g+12|0,g=f[F>>2]|0,f[F>>2]=g+-1,(g|0)==1):0)lP(v);f[h>>2]=0;h=v+4|0;f[W>>2]=0;f[W+4>>2]=0;f[W+8>>2]=0;f[W+12>>2]=0;if((f[h>>2]|0)>0){W=f[v+40>>2]|0;g=0;do{f[W+(g<<2)>>2]=0;g=g+1|0}while((g|0)<(f[h>>2]|0))}h=f[v+44>>2]|0;if((h|0)!=(v+48|0))tE(h)}Ri(v,D,n,p,j,k);f[w>>2]=f[r>>2];k=w+4|0;j=f[C>>2]|0;f[k>>2]=j;p=w+8|0;f[p>>2]=f[G>>2];f[w+12>>2]=f[r+12>>2];G=w+16|0;n=r+16|0;f[G>>2]=f[n>>2];f[w+20>>2]=f[r+20>>2];f[w+24>>2]=f[r+24>>2];f[w+28>>2]=f[r+28>>2];f[w+32>>2]=f[r+32>>2];D=w+36|0;h=r+36|0;g=f[h>>2]|0;f[D>>2]=g;W=w+40|0;f[W>>2]=p;p=w+48|0;F=w+44|0;f[F>>2]=p;f[p>>2]=0;f[w+52>>2]=0;if(!g)Z=j;else{j=g+12|0;f[j>>2]=(f[j>>2]|0)+1;Z=f[C>>2]|0}if((Z|0)<3){Z=f[L>>2]|0;j=f[F>>2]|0;f[j>>2]=f[Z>>2];f[j+4>>2]=f[Z+4>>2]}else{f[k>>2]=0;kP(w,r)}f[x>>2]=f[s>>2];Z=x+4|0;j=f[M>>2]|0;f[Z>>2]=j;g=x+8|0;f[g>>2]=f[N>>2];f[x+12>>2]=f[s+12>>2];N=x+16|0;Y=s+16|0;f[N>>2]=f[Y>>2];f[x+20>>2]=f[s+20>>2];f[x+24>>2]=f[s+24>>2];f[x+28>>2]=f[s+28>>2];f[x+32>>2]=f[s+32>>2];d=x+36|0;A=s+36|0;c=f[A>>2]|0;f[d>>2]=c;X=x+40|0;f[X>>2]=g;g=x+48|0;E=x+44|0;f[E>>2]=g;f[g>>2]=0;f[x+52>>2]=0;if(!c)_=j;else{j=c+12|0;f[j>>2]=(f[j>>2]|0)+1;_=f[M>>2]|0}if((_|0)<3){_=f[Q>>2]|0;j=f[E>>2]|0;f[j>>2]=f[_>>2];f[j+4>>2]=f[_+4>>2]}else{f[Z>>2]=0;kP(x,s)}f[y>>2]=f[t>>2];_=y+4|0;j=f[R>>2]|0;f[_>>2]=j;c=y+8|0;f[c>>2]=f[S>>2];f[y+12>>2]=f[t+12>>2];S=y+16|0;b=t+16|0;f[S>>2]=f[b>>2];f[y+20>>2]=f[t+20>>2];f[y+24>>2]=f[t+24>>2];f[y+28>>2]=f[t+28>>2];f[y+32>>2]=f[t+32>>2];B=y+36|0;a=t+36|0;V=f[a>>2]|0;f[B>>2]=V;m=y+40|0;f[m>>2]=c;c=y+48|0;U=y+44|0;f[U>>2]=c;f[c>>2]=0;f[y+52>>2]=0;if(!V)$=j;else{j=V+12|0;f[j>>2]=(f[j>>2]|0)+1;$=f[R>>2]|0}if(($|0)<3){$=f[J>>2]|0;j=f[U>>2]|0;f[j>>2]=f[$>>2];f[j+4>>2]=f[$+4>>2]}else{f[_>>2]=0;kP(y,t)}f[z>>2]=f[v>>2];$=z+4|0;j=v+4|0;V=f[j>>2]|0;f[$>>2]=V;l=z+8|0;f[l>>2]=f[v+8>>2];f[z+12>>2]=f[v+12>>2];aa=z+16|0;ba=v+16|0;f[aa>>2]=f[ba>>2];f[z+20>>2]=f[v+20>>2];f[z+24>>2]=f[v+24>>2];f[z+28>>2]=f[v+28>>2];f[z+32>>2]=f[v+32>>2];ca=z+36|0;da=v+36|0;ea=f[da>>2]|0;f[ca>>2]=ea;fa=z+40|0;f[fa>>2]=l;l=z+48|0;ga=z+44|0;f[ga>>2]=l;f[l>>2]=0;f[z+52>>2]=0;if(!ea)ha=V;else{V=ea+12|0;f[V>>2]=(f[V>>2]|0)+1;ha=f[j>>2]|0}if((ha|0)<3){ha=f[v+44>>2]|0;V=f[ga>>2]|0;f[V>>2]=f[ha>>2];f[V+4>>2]=f[ha+4>>2]}else{f[$>>2]=0;kP(z,v)}GW(w,x,e,y,i,z,o);o=f[ca>>2]|0;if(o|0?(ha=o+12|0,o=f[ha>>2]|0,f[ha>>2]=o+-1,(o|0)==1):0)lP(z);f[ca>>2]=0;f[aa>>2]=0;f[aa+4>>2]=0;f[aa+8>>2]=0;f[aa+12>>2]=0;if((f[$>>2]|0)>0){aa=f[fa>>2]|0;fa=0;do{f[aa+(fa<<2)>>2]=0;fa=fa+1|0}while((fa|0)<(f[$>>2]|0))}$=f[ga>>2]|0;if(($|0)!=(l|0))tE($);$=f[B>>2]|0;if($|0?(l=$+12|0,$=f[l>>2]|0,f[l>>2]=$+-1,($|0)==1):0)lP(y);f[B>>2]=0;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;if((f[_>>2]|0)>0){S=f[m>>2]|0;m=0;do{f[S+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[_>>2]|0))}_=f[U>>2]|0;if((_|0)!=(c|0))tE(_);_=f[d>>2]|0;if(_|0?(c=_+12|0,_=f[c>>2]|0,f[c>>2]=_+-1,(_|0)==1):0)lP(x);f[d>>2]=0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;if((f[Z>>2]|0)>0){N=f[X>>2]|0;X=0;do{f[N+(X<<2)>>2]=0;X=X+1|0}while((X|0)<(f[Z>>2]|0))}Z=f[E>>2]|0;if((Z|0)!=(g|0))tE(Z);Z=f[D>>2]|0;do if(Z|0){g=Z+12|0;E=f[g>>2]|0;f[g>>2]=E+-1;if((E|0)!=1)break;lP(w)}while(0);f[D>>2]=0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[k>>2]|0)>0){G=f[W>>2]|0;W=0;do{f[G+(W<<2)>>2]=0;W=W+1|0}while((W|0)<(f[k>>2]|0))}k=f[F>>2]|0;if((k|0)!=(p|0))tE(k);k=f[da>>2]|0;do if(k|0){p=k+12|0;F=f[p>>2]|0;f[p>>2]=F+-1;if((F|0)!=1)break;lP(v)}while(0);f[da>>2]=0;f[ba>>2]=0;f[ba+4>>2]=0;f[ba+8>>2]=0;f[ba+12>>2]=0;if((f[j>>2]|0)>0){ba=f[v+40>>2]|0;da=0;do{f[ba+(da<<2)>>2]=0;da=da+1|0}while((da|0)<(f[j>>2]|0))}j=f[v+44>>2]|0;if((j|0)!=(v+48|0))tE(j);j=f[a>>2]|0;do if(j|0){v=j+12|0;da=f[v>>2]|0;f[v>>2]=da+-1;if((da|0)!=1)break;lP(t)}while(0);f[a>>2]=0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[R>>2]|0)>0){b=f[T>>2]|0;T=0;do{f[b+(T<<2)>>2]=0;T=T+1|0}while((T|0)<(f[R>>2]|0))}R=f[J>>2]|0;if((R|0)!=(I|0))tE(R);R=f[A>>2]|0;do if(R|0){I=R+12|0;J=f[I>>2]|0;f[I>>2]=J+-1;if((J|0)!=1)break;lP(s)}while(0);f[A>>2]=0;f[Y>>2]=0;f[Y+4>>2]=0;f[Y+8>>2]=0;f[Y+12>>2]=0;if((f[M>>2]|0)>0){Y=f[O>>2]|0;O=0;do{f[Y+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[M>>2]|0))}M=f[Q>>2]|0;if((M|0)!=(P|0))tE(M);M=f[h>>2]|0;do if(M|0){P=M+12|0;Q=f[P>>2]|0;f[P>>2]=Q+-1;if((Q|0)!=1)break;lP(r)}while(0);f[h>>2]=0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[C>>2]|0)>0){n=f[H>>2]|0;H=0;do{f[n+(H<<2)>>2]=0;H=H+1|0}while((H|0)<(f[C>>2]|0))}C=f[L>>2]|0;if((C|0)==(K|0)){u=q;return}tE(C);u=q;return}function UW(a,c,d,e,g,h,i){a=a|0;c=c|0;d=+d;e=e|0;g=+g;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;j=u;u=u+352|0;k=j+336|0;l=j+280|0;m=j+224|0;n=j+168|0;o=j+112|0;p=j+56|0;q=j;do if((pD(a)|0)==65536){r=f[a+4>>2]|0;f[l>>2]=f[r>>2];s=l+4|0;t=r+4|0;f[s>>2]=f[t>>2];v=l+8|0;f[v>>2]=f[r+8>>2];f[l+12>>2]=f[r+12>>2];f[l+16>>2]=f[r+16>>2];f[l+20>>2]=f[r+20>>2];f[l+24>>2]=f[r+24>>2];f[l+28>>2]=f[r+28>>2];f[l+32>>2]=f[r+32>>2];w=f[r+36>>2]|0;f[l+36>>2]=w;f[l+40>>2]=v;v=l+48|0;x=l+44|0;f[x>>2]=v;f[v>>2]=0;f[l+52>>2]=0;if(w|0){v=w+12|0;f[v>>2]=(f[v>>2]|0)+1}if((f[t>>2]|0)<3){t=f[r+44>>2]|0;v=f[x>>2]|0;f[v>>2]=f[t>>2];f[v+4>>2]=f[t+4>>2];break}else{f[s>>2]=0;kP(l,r);break}}else lD(l,a,-1);while(0);do if((pD(c)|0)==65536){a=f[c+4>>2]|0;f[m>>2]=f[a>>2];r=m+4|0;s=a+4|0;f[r>>2]=f[s>>2];t=m+8|0;f[t>>2]=f[a+8>>2];f[m+12>>2]=f[a+12>>2];f[m+16>>2]=f[a+16>>2];f[m+20>>2]=f[a+20>>2];f[m+24>>2]=f[a+24>>2];f[m+28>>2]=f[a+28>>2];f[m+32>>2]=f[a+32>>2];v=f[a+36>>2]|0;f[m+36>>2]=v;f[m+40>>2]=t;t=m+48|0;x=m+44|0;f[x>>2]=t;f[t>>2]=0;f[m+52>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[s>>2]|0)<3){s=f[a+44>>2]|0;t=f[x>>2]|0;f[t>>2]=f[s>>2];f[t+4>>2]=f[s+4>>2];break}else{f[r>>2]=0;kP(m,a);break}}else lD(m,c,-1);while(0);do if(g!=0.0){if((pD(e)|0)!=65536){lD(n,e,-1);break}c=f[e+4>>2]|0;f[n>>2]=f[c>>2];a=n+4|0;r=c+4|0;f[a>>2]=f[r>>2];s=n+8|0;f[s>>2]=f[c+8>>2];f[n+12>>2]=f[c+12>>2];f[n+16>>2]=f[c+16>>2];f[n+20>>2]=f[c+20>>2];f[n+24>>2]=f[c+24>>2];f[n+28>>2]=f[c+28>>2];f[n+32>>2]=f[c+32>>2];t=f[c+36>>2]|0;f[n+36>>2]=t;f[n+40>>2]=s;s=n+48|0;x=n+44|0;f[x>>2]=s;f[s>>2]=0;f[n+52>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[c+44>>2]|0;s=f[x>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2];break}else{f[a>>2]=0;kP(n,c);break}}else{f[n>>2]=1124007936;c=n+8|0;a=n+40|0;y=n+4|0;z=y+36|0;do{f[y>>2]=0;y=y+4|0}while((y|0)<(z|0));f[a>>2]=c;r=n+48|0;f[n+44>>2]=r;f[r>>2]=0;f[n+52>>2]=0}while(0);e=l+40|0;r=f[e>>2]|0;s=f[r+4>>2]|0;x=f[r>>2]|0;r=f[l>>2]|0;t=r&4095;if((t|0)!=(f[m>>2]&4095|0)){f[k>>2]=0;f[k+4>>2]=0;y=YG(k,16)|0;A=221090;z=y+16|0;do{b[y>>0]=b[A>>0]|0;y=y+1|0;A=A+1|0}while((y|0)<(z|0));SQ(-215,k,221107,220950,1558)}if(((r&4087)+-5|0)>>>0>=2){f[k>>2]=0;f[k+4>>2]=0;Krc(YG(k,210)|0,221112,210)|0;SQ(-215,k,221107,220950,1558)}switch(i&3){case 0:{if((s|0)==(f[m+8>>2]|0)){B=f[m+12>>2]|0;C=x}else{f[k>>2]=0;f[k+4>>2]=0;y=YG(k,19)|0;A=221323;z=y+19|0;do{b[y>>0]=b[A>>0]|0;y=y+1|0;A=A+1|0}while((y|0)<(z|0));SQ(-215,k,221107,220950,1565)}break}case 1:{if((x|0)==(f[m+8>>2]|0)){B=f[m+12>>2]|0;C=s}else{f[k>>2]=0;f[k+4>>2]=0;y=YG(k,20)|0;A=221343;z=y+20|0;do{b[y>>0]=b[A>>0]|0;y=y+1|0;A=A+1|0}while((y|0)<(z|0));SQ(-215,k,221107,220950,1570)}break}case 2:{if((s|0)==(f[m+12>>2]|0)){B=f[m+8>>2]|0;C=x}else{f[k>>2]=0;f[k+4>>2]=0;y=YG(k,19)|0;A=221323;z=y+19|0;do{b[y>>0]=b[A>>0]|0;y=y+1|0;A=A+1|0}while((y|0)<(z|0));SQ(-215,k,221107,220950,1575)}break}case 3:{if((x|0)==(f[m+12>>2]|0)){B=f[m+8>>2]|0;C=s}else{f[k>>2]=0;f[k+4>>2]=0;y=YG(k,20)|0;A=221343;z=y+20|0;do{b[y>>0]=b[A>>0]|0;y=y+1|0;A=A+1|0}while((y|0)<(z|0));SQ(-215,k,221107,220950,1580)}break}default:{}}v=n+16|0;do if(f[v>>2]|0){w=f[n+4>>2]|0;if((w|0)<3)D=Y(f[n+12>>2]|0,f[n+8>>2]|0)|0;else{E=f[n+40>>2]|0;F=0;G=1;while(1){H=Y(f[E+(F<<2)>>2]|0,G)|0;F=F+1|0;if((F|0)==(w|0)){D=H;break}else G=H}}if(!((w|0)==0|(D|0)==0)){if((f[n>>2]&4095|0)!=(t|0)){f[k>>2]=0;f[k+4>>2]=0;y=YG(k,16)|0;A=221364;z=y+16|0;do{b[y>>0]=b[A>>0]|0;y=y+1|0;A=A+1|0}while((y|0)<(z|0));SQ(-215,k,221107,220950,1588)}w=f[n+8>>2]|0;if(!(i&4)){if((w|0)!=(C|0)){f[k>>2]=0;I=k+4|0;f[I>>2]=0;J=YG(k,158)|0;Krc(J|0,221381,158)|0;SQ(-215,k,221107,220950,1588)}if((f[n+12>>2]|0)==(B|0))break;f[k>>2]=0;I=k+4|0;f[I>>2]=0;J=YG(k,158)|0;Krc(J|0,221381,158)|0;SQ(-215,k,221107,220950,1588)}else{if((w|0)!=(B|0)){f[k>>2]=0;I=k+4|0;f[I>>2]=0;J=YG(k,158)|0;Krc(J|0,221381,158)|0;SQ(-215,k,221107,220950,1588)}if((f[n+12>>2]|0)==(C|0))break;f[k>>2]=0;I=k+4|0;f[I>>2]=0;J=YG(k,158)|0;Krc(J|0,221381,158)|0;SQ(-215,k,221107,220950,1588)}}}while(0);iE(h,C,B,t,-1,0,0);do if((pD(h)|0)==65536){t=f[h+4>>2]|0;f[o>>2]=f[t>>2];J=o+4|0;I=t+4|0;f[J>>2]=f[I>>2];D=o+8|0;f[D>>2]=f[t+8>>2];f[o+12>>2]=f[t+12>>2];f[o+16>>2]=f[t+16>>2];f[o+20>>2]=f[t+20>>2];f[o+24>>2]=f[t+24>>2];f[o+28>>2]=f[t+28>>2];f[o+32>>2]=f[t+32>>2];w=f[t+36>>2]|0;f[o+36>>2]=w;f[o+40>>2]=D;D=o+48|0;G=o+44|0;f[G>>2]=D;f[D>>2]=0;f[o+52>>2]=0;if(w|0){D=w+12|0;f[D>>2]=(f[D>>2]|0)+1}if((f[I>>2]|0)<3){I=f[t+44>>2]|0;D=f[G>>2]|0;f[D>>2]=f[I>>2];f[D+4>>2]=f[I+4>>2];break}else{f[J>>2]=0;kP(o,t);break}}else lD(o,h,-1);while(0);if(i&4){h=o+16|0;if((f[v>>2]|0)==(f[h>>2]|0)){f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=n;t=p+8|0;f[t>>2]=0;f[t+4>>2]=0;f[p>>2]=33619968;f[p+4>>2]=n;SJ(k,p);K=i&-5;L=h}else{K=i;L=h}}else{K=i;L=o+16|0}f[p>>2]=1124007936;i=p+4|0;h=p+8|0;t=p+40|0;y=i;z=y+36|0;do{f[y>>2]=0;y=y+4|0}while((y|0)<(z|0));f[t>>2]=h;J=p+48|0;I=p+44|0;f[I>>2]=J;f[J>>2]=0;f[p+52>>2]=0;D=f[L>>2]|0;G=l+16|0;if((D|0)!=(f[G>>2]|0)?(D|0)!=(f[m+16>>2]|0):0)M=o;else{D=f[o>>2]&4095;f[q>>2]=1124007936;w=q+4|0;F=q+8|0;E=q+40|0;y=w;z=y+36|0;do{f[y>>2]=0;y=y+4|0}while((y|0)<(z|0));f[E>>2]=F;c=q+48|0;a=q+44|0;f[a>>2]=c;f[c>>2]=0;f[q+52>>2]=0;f[k>>2]=C;f[k+4>>2]=B;iP(q,2,k,D);D=q+36|0;B=f[D>>2]|0;if(B|0){C=B+12|0;f[C>>2]=(f[C>>2]|0)+1}C=p+36|0;B=f[C>>2]|0;if(B|0?(H=B+12|0,B=f[H>>2]|0,f[H>>2]=B+-1,(B|0)==1):0)lP(p);f[C>>2]=0;B=p+16|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[i>>2]|0)>0){H=f[t>>2]|0;N=0;do{f[H+(N<<2)>>2]=0;N=N+1|0;O=f[i>>2]|0}while((N|0)<(O|0));f[p>>2]=f[q>>2];if((O|0)<3)P=75;else P=77}else{f[p>>2]=f[q>>2];P=75}if((P|0)==75){O=f[w>>2]|0;if((O|0)<3){f[i>>2]=O;f[h>>2]=f[F>>2];f[p+12>>2]=f[q+12>>2];F=f[a>>2]|0;h=f[I>>2]|0;f[h>>2]=f[F>>2];f[h+4>>2]=f[F+4>>2]}else P=77}if((P|0)==77)kP(p,q);P=q+16|0;f[B>>2]=f[P>>2];f[p+20>>2]=f[q+20>>2];f[p+24>>2]=f[q+24>>2];f[p+28>>2]=f[q+28>>2];f[p+32>>2]=f[q+32>>2];B=f[D>>2]|0;f[C>>2]=B;if(B|0?(C=B+12|0,B=f[C>>2]|0,f[C>>2]=B+-1,(B|0)==1):0)lP(q);f[D>>2]=0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;if((f[w>>2]|0)>0){P=f[E>>2]|0;E=0;do{f[P+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[w>>2]|0))}w=f[a>>2]|0;if((w|0)!=(c|0))tE(w);M=p}switch(r&4095){case 5:{FW(f[G>>2]|0,f[l+48>>2]|0,f[m+16>>2]|0,f[m+48>>2]|0,d,f[v>>2]|0,f[n+48>>2]|0,g,f[M+16>>2]|0,f[M+48>>2]|0,x,s,f[M+12>>2]|0,K,5);break}case 6:{TW(f[G>>2]|0,f[l+48>>2]|0,f[m+16>>2]|0,f[m+48>>2]|0,d,f[v>>2]|0,f[n+48>>2]|0,g,f[M+16>>2]|0,f[M+48>>2]|0,x,s,f[M+12>>2]|0,K,6);break}case 13:{FW(f[G>>2]|0,f[l+48>>2]|0,f[m+16>>2]|0,f[m+48>>2]|0,d,f[v>>2]|0,f[n+48>>2]|0,g,f[M+16>>2]|0,f[M+48>>2]|0,x,s,f[M+12>>2]|0,K,13);break}case 14:{TW(f[G>>2]|0,f[l+48>>2]|0,f[m+16>>2]|0,f[m+48>>2]|0,d,f[v>>2]|0,f[n+48>>2]|0,g,f[L>>2]|0,f[o+48>>2]|0,x,s,f[M+12>>2]|0,K,14);break}default:{f[k>>2]=0;f[k+4>>2]=0;y=YG(k,16)|0;A=220924;z=y+16|0;do{b[y>>0]=b[A>>0]|0;y=y+1|0;A=A+1|0}while((y|0)<(z|0));SQ(-215,k,221107,220950,1623)}}if((M|0)!=(o|0)){A=k+8|0;f[A>>2]=0;f[A+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=o;kT(M,k)}k=p+36|0;M=f[k>>2]|0;if(M|0?(A=M+12|0,M=f[A>>2]|0,f[A>>2]=M+-1,(M|0)==1):0)lP(p);f[k>>2]=0;k=p+16|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[i>>2]|0)>0){k=f[t>>2]|0;t=0;do{f[k+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[i>>2]|0))}i=f[I>>2]|0;if((i|0)!=(J|0))tE(i);i=o+36|0;J=f[i>>2]|0;if(J|0?(I=J+12|0,J=f[I>>2]|0,f[I>>2]=J+-1,(J|0)==1):0)lP(o);f[i>>2]=0;i=o+4|0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;if((f[i>>2]|0)>0){L=f[o+40>>2]|0;J=0;do{f[L+(J<<2)>>2]=0;J=J+1|0}while((J|0)<(f[i>>2]|0))}i=f[o+44>>2]|0;if((i|0)!=(o+48|0))tE(i);i=n+36|0;o=f[i>>2]|0;if(o|0?(J=o+12|0,o=f[J>>2]|0,f[J>>2]=o+-1,(o|0)==1):0)lP(n);f[i>>2]=0;i=n+4|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[i>>2]|0)>0){v=f[n+40>>2]|0;o=0;do{f[v+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[i>>2]|0))}i=f[n+44>>2]|0;if((i|0)!=(n+48|0))tE(i);i=m+36|0;n=f[i>>2]|0;do if(n|0){o=n+12|0;v=f[o>>2]|0;f[o>>2]=v+-1;if((v|0)!=1)break;lP(m)}while(0);f[i>>2]=0;i=m+16|0;n=m+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[n>>2]|0)>0){i=f[m+40>>2]|0;v=0;do{f[i+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[n>>2]|0))}n=f[m+44>>2]|0;if((n|0)!=(m+48|0))tE(n);n=l+36|0;m=f[n>>2]|0;do if(m|0){v=m+12|0;i=f[v>>2]|0;f[v>>2]=i+-1;if((i|0)!=1)break;lP(l)}while(0);f[n>>2]=0;n=l+4|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[n>>2]|0)>0){G=f[e>>2]|0;e=0;do{f[G+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[n>>2]|0))}n=f[l+44>>2]|0;if((n|0)==(l+48|0)){u=j;return}tE(n);u=j;return}function VW(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0.0,V=0,W=0,X=0.0,Z=0.0,_=0.0,$=0;e=u;u=u+1424|0;g=e+1400|0;h=e+1096|0;i=e+1392|0;j=e+1336|0;k=e+1280|0;l=e+1272|0;m=e+1216|0;o=e;q=e+1160|0;r=e+1104|0;zT(i,49256);do if((pD(a)|0)==65536){s=f[a+4>>2]|0;f[j>>2]=f[s>>2];t=j+4|0;v=s+4|0;f[t>>2]=f[v>>2];w=j+8|0;f[w>>2]=f[s+8>>2];f[j+12>>2]=f[s+12>>2];f[j+16>>2]=f[s+16>>2];f[j+20>>2]=f[s+20>>2];f[j+24>>2]=f[s+24>>2];f[j+28>>2]=f[s+28>>2];f[j+32>>2]=f[s+32>>2];x=f[s+36>>2]|0;f[j+36>>2]=x;f[j+40>>2]=w;w=j+48|0;y=j+44|0;f[y>>2]=w;f[w>>2]=0;f[j+52>>2]=0;if(x|0){w=x+12|0;f[w>>2]=(f[w>>2]|0)+1}if((f[v>>2]|0)<3){v=f[s+44>>2]|0;w=f[y>>2]|0;f[w>>2]=f[v>>2];f[w+4>>2]=f[v+4>>2];break}else{f[t>>2]=0;kP(j,s);break}}else lD(j,a,-1);while(0);do if((pD(d)|0)==65536){a=f[d+4>>2]|0;f[k>>2]=f[a>>2];s=k+4|0;t=a+4|0;f[s>>2]=f[t>>2];v=k+8|0;f[v>>2]=f[a+8>>2];w=k+12|0;f[w>>2]=f[a+12>>2];f[k+16>>2]=f[a+16>>2];f[k+20>>2]=f[a+20>>2];f[k+24>>2]=f[a+24>>2];f[k+28>>2]=f[a+28>>2];f[k+32>>2]=f[a+32>>2];y=f[a+36>>2]|0;f[k+36>>2]=y;f[k+40>>2]=v;x=k+48|0;z=k+44|0;f[z>>2]=x;f[x>>2]=0;f[k+52>>2]=0;if(y|0){x=y+12|0;f[x>>2]=(f[x>>2]|0)+1}if((f[t>>2]|0)<3){t=f[a+44>>2]|0;x=f[z>>2]|0;f[x>>2]=f[t>>2];f[x+4>>2]=f[t+4>>2];A=w;B=v;break}else{f[s>>2]=0;kP(k,a);A=w;B=v;break}}else{lD(k,d,-1);A=k+12|0;B=k+8|0}while(0);d=f[j>>2]|0;v=d&7;w=d>>>3&511;d=w+1|0;a=f[B>>2]|0;s=f[A>>2]|0;t=w+2|0;if(!((d|0)==(s|0)|(t|0)==(s|0))){f[g>>2]=0;f[g+4>>2]=0;C=YG(g,34)|0;D=221540;E=C+34|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,g,221575,220950,2088)}s=j+40|0;x=f[s>>2]|0;z=f[x>>2]|0;f[l>>2]=f[x+4>>2];f[l+4>>2]=z;HD(c,l,(a<<3)+-8|v,-1,0,0);do if((pD(c)|0)==65536){l=f[c+4>>2]|0;f[m>>2]=f[l>>2];z=m+4|0;x=l+4|0;f[z>>2]=f[x>>2];y=m+8|0;f[y>>2]=f[l+8>>2];f[m+12>>2]=f[l+12>>2];f[m+16>>2]=f[l+16>>2];f[m+20>>2]=f[l+20>>2];f[m+24>>2]=f[l+24>>2];f[m+28>>2]=f[l+28>>2];f[m+32>>2]=f[l+32>>2];F=f[l+36>>2]|0;f[m+36>>2]=F;f[m+40>>2]=y;y=m+48|0;G=m+44|0;f[G>>2]=y;f[y>>2]=0;f[m+52>>2]=0;if(F|0){y=F+12|0;f[y>>2]=(f[y>>2]|0)+1}if((f[x>>2]|0)<3){x=f[l+44>>2]|0;y=f[G>>2]|0;f[y>>2]=f[x>>2];f[y+4>>2]=f[x+4>>2];break}else{f[z>>2]=0;kP(m,l);break}}else lD(m,c,-1);while(0);c=(v|2|0)==6;l=c?6:5;z=o+8|0;f[o>>2]=z;x=o+4|0;f[x>>2]=136;y=f[k>>2]|0;if((f[A>>2]|0)==(t|0)&((y&16384|0)!=0&(y&4095|0)==(l|0)))H=f[k+16>>2]|0;else{y=Y(t,a)|0;f[x>>2]=y;if(y>>>0>136){G=Dmc(y>>>0>536870911?-1:y<<3)|0;f[o>>2]=G;I=G}else I=z;Ri(q,a,t,l,I,0);G=q+16|0;y=f[G>>2]|0;F=q+44|0;J=q+4|0;K=f[J>>2]|0;if((K|0)<3)M=Y(f[q+12>>2]|0,f[q+8>>2]|0)|0;else{N=f[q+40>>2]|0;O=0;P=1;while(1){Q=Y(f[N+(O<<2)>>2]|0,P)|0;O=O+1|0;if((O|0)==(K|0)){M=Q;break}else P=Q}}if((K|0)>0)R=f[(f[F>>2]|0)+(K+-1<<2)>>2]|0;else R=0;Drc(y|0,0,Y(R,M)|0)|0;M=f[A>>2]|0;if((M|0)!=(t|0)){f[g>>2]=-2147483648;f[g+4>>2]=2147483647;f[h>>2]=0;f[h+4>>2]=M;mP(r,q,g,h);M=g+8|0;f[M>>2]=0;f[M+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=r;IO(k,g,l,1.0,0.0);M=r+36|0;t=f[M>>2]|0;if(t|0?(R=t+12|0,t=f[R>>2]|0,f[R>>2]=t+-1,(t|0)==1):0)lP(r);f[M>>2]=0;M=r+16|0;t=r+4|0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[t>>2]|0)>0){M=f[r+40>>2]|0;R=0;do{f[M+(R<<2)>>2]=0;R=R+1|0}while((R|0)<(f[t>>2]|0))}t=f[r+44>>2]|0;if((t|0)!=(r+48|0))tE(t)}else{t=g+8|0;f[t>>2]=0;f[t+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=q;IO(k,g,l,1.0,0.0)}l=q+36|0;t=f[l>>2]|0;if(t|0){r=t+12|0;f[r>>2]=(f[r>>2]|0)+1}r=k+36|0;t=f[r>>2]|0;if(t|0?(R=t+12|0,t=f[R>>2]|0,f[R>>2]=t+-1,(t|0)==1):0)lP(k);f[r>>2]=0;t=k+16|0;R=k+4|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[R>>2]|0)>0){M=f[k+40>>2]|0;y=0;do{f[M+(y<<2)>>2]=0;y=y+1|0;S=f[R>>2]|0}while((y|0)<(S|0));f[k>>2]=f[q>>2];if((S|0)<3)T=54;else T=56}else{f[k>>2]=f[q>>2];T=54}if((T|0)==54){S=f[J>>2]|0;if((S|0)<3){f[R>>2]=S;f[B>>2]=f[q+8>>2];f[A>>2]=f[q+12>>2];B=f[F>>2]|0;S=f[k+44>>2]|0;f[S>>2]=f[B>>2];f[S+4>>2]=f[B+4>>2]}else T=56}if((T|0)==56)kP(k,q);f[t>>2]=f[G>>2];f[k+20>>2]=f[q+20>>2];f[k+24>>2]=f[q+24>>2];f[k+28>>2]=f[q+28>>2];f[k+32>>2]=f[q+32>>2];t=f[l>>2]|0;f[r>>2]=t;if(t|0?(r=t+12|0,t=f[r>>2]|0,f[r>>2]=t+-1,(t|0)==1):0)lP(q);f[l>>2]=0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[J>>2]|0)>0){G=f[q+40>>2]|0;l=0;do{f[G+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[J>>2]|0))}J=f[F>>2]|0;if((J|0)!=(q+48|0))tE(J);H=I}a:do if((d|0)==(a|0)){U=c?2.220446049250313e-16:1.1920928955078125e-07;I=f[k+16>>2]|0;if(w|0){J=f[f[k+44>>2]>>2]|0;if(c){F=0;while(1){l=I+(Y(J,F)|0)|0;G=0;while(1){if((F|0)!=(G|0)?+L(+(+p[l+(G<<3)>>3]))>U:0){V=49276;T=96;break a}if((G|0)<(w|0))G=G+1|0;else break}if((F|0)<(w|0))F=F+1|0;else{V=49308;T=96;break a}}}else{F=0;while(1){G=I+(Y(J,F)|0)|0;l=0;while(1){if((F|0)!=(l|0)?+L(+(+n[G+(l<<2)>>2]))>U:0){V=49276;T=96;break a}if((l|0)<(w|0))l=l+1|0;else break}if((F|0)<(w|0))F=F+1|0;else{V=49308;T=96;break a}}}}if(c){U=+p[I>>3];do if((f[k>>2]&16384|0)==0?(F=f[k+40>>2]|0,(f[F>>2]|0)!=1):0){J=f[f[k+44>>2]>>2]|0;if((f[F+4>>2]|0)==1){W=I+J|0;break}else{F=f[A>>2]|0;l=(F+1|0)>>>0<3?F:0;W=I+(Y(l,J)|0)+(1-(Y(l,F)|0)<<3)|0;break}}else T=85;while(0);if((T|0)==85)W=I+8|0;X=+p[W>>3];Z=U}else{_=+n[I>>2];do if((f[k>>2]&16384|0)==0?(F=f[k+40>>2]|0,(f[F>>2]|0)!=1):0){l=f[f[k+44>>2]>>2]|0;if((f[F+4>>2]|0)==1){$=I+l|0;break}else{F=f[A>>2]|0;J=(F+1|0)>>>0<3?F:0;$=I+(Y(J,l)|0)+(1-(Y(J,F)|0)<<2)|0;break}}else T=78;while(0);if((T|0)==78)$=I+4|0;X=+n[$>>2];Z=_}F=g+8|0;f[F>>2]=0;f[F+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=m;IO(j,g,f[m>>2]&4095,Z,X)}else{V=49276;T=96}while(0);if((T|0)==96){T=f[V+(v<<2)>>2]|0;if(!T){f[g>>2]=0;f[g+4>>2]=0;C=YG(g,9)|0;D=274048;E=C+9|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,g,221575,220950,2144)}f[g>>2]=j;f[g+4>>2]=m;f[g+8>>2]=0;D=h;f[D>>2]=0;f[D+4>>2]=0;IN(q,g,h,-1);g=f[q+20>>2]|0;D=q+16|0;C=h+4|0;E=0;while(1){if(E>>>0>=(f[D>>2]|0)>>>0)break;Ug[T&127](f[h>>2]|0,f[C>>2]|0,H,g,d,a);JN(q)|0;E=E+1|0}}E=f[o>>2]|0;if((E|0)!=(z|0)){if(E|0)Fmc(E);f[o>>2]=z;f[x>>2]=136}x=m+36|0;z=f[x>>2]|0;if(z|0?(o=z+12|0,z=f[o>>2]|0,f[o>>2]=z+-1,(z|0)==1):0)lP(m);f[x>>2]=0;x=m+16|0;z=m+4|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[z>>2]|0)>0){x=f[m+40>>2]|0;o=0;do{f[x+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[z>>2]|0))}z=f[m+44>>2]|0;if((z|0)!=(m+48|0))tE(z);z=k+36|0;m=f[z>>2]|0;if(m|0?(o=m+12|0,m=f[o>>2]|0,f[o>>2]=m+-1,(m|0)==1):0)lP(k);f[z>>2]=0;z=k+16|0;m=k+4|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[m>>2]|0)>0){z=f[k+40>>2]|0;o=0;do{f[z+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[m>>2]|0))}m=f[k+44>>2]|0;if((m|0)!=(k+48|0))tE(m);m=j+36|0;k=f[m>>2]|0;if(k|0?(o=k+12|0,k=f[o>>2]|0,f[o>>2]=k+-1,(k|0)==1):0)lP(j);f[m>>2]=0;m=j+16|0;k=j+4|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[k>>2]|0)>0){m=f[s>>2]|0;s=0;do{f[m+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[k>>2]|0))}k=f[j+44>>2]|0;if((k|0)!=(j+48|0))tE(k);if(!(f[i+4>>2]|0)){u=e;return}u=e;return}function WW(a,c,d,e,f,g){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;switch(f|0){case 2:{g=e<<1;if((e|0)<=0)return;i=d+8|0;j=d+16|0;k=d+20|0;l=0;do{m=U9b(+n[i>>2]+ +n[d>>2]*+(h[a+l>>0]|0))|0;o=l|1;p=U9b(+n[k>>2]+ +n[j>>2]*+(h[a+o>>0]|0))|0;b[c+l>>0]=m>>>0<256?m:(m|0)>0?255:0;b[c+o>>0]=p>>>0<256?p:(p|0)>0?255:0;l=l+2|0}while((l|0)<(g|0));return}case 3:{g=e*3|0;if((e|0)<=0)return;l=d+12|0;j=d+20|0;k=d+28|0;i=d+40|0;p=d+44|0;o=0;do{m=U9b(+n[l>>2]+ +n[d>>2]*+(h[a+o>>0]|0))|0;q=o+1|0;r=U9b(+n[k>>2]+ +n[j>>2]*+(h[a+q>>0]|0))|0;s=o+2|0;t=U9b(+n[p>>2]+ +n[i>>2]*+(h[a+s>>0]|0))|0;b[c+o>>0]=m>>>0<256?m:(m|0)>0?255:0;b[c+q>>0]=r>>>0<256?r:(r|0)>0?255:0;b[c+s>>0]=t>>>0<256?t:(t|0)>0?255:0;o=o+3|0}while((o|0)<(g|0));return}case 4:{g=e<<2;if((e|0)<=0)return;o=d+16|0;i=d+24|0;p=d+36|0;j=d+48|0;k=d+56|0;l=d+72|0;t=d+76|0;s=0;do{r=U9b(+n[o>>2]+ +n[d>>2]*+(h[a+s>>0]|0))|0;q=s|1;m=U9b(+n[p>>2]+ +n[i>>2]*+(h[a+q>>0]|0))|0;b[c+s>>0]=r>>>0<256?r:(r|0)>0?255:0;b[c+q>>0]=m>>>0<256?m:(m|0)>0?255:0;m=s|2;q=U9b(+n[k>>2]+ +n[j>>2]*+(h[a+m>>0]|0))|0;r=s|3;u=U9b(+n[t>>2]+ +n[l>>2]*+(h[a+r>>0]|0))|0;b[c+m>>0]=q>>>0<256?q:(q|0)>0?255:0;b[c+r>>0]=u>>>0<256?u:(u|0)>0?255:0;s=s+4|0}while((s|0)<(g|0));return}default:{if((e|0)<=0)return;g=f+1|0;if((f|0)>0){v=a;w=c;x=0}else return;while(1){c=d;a=0;while(1){s=U9b(+(h[v+a>>0]|0)*+n[c+(a<<2)>>2]+ +n[c+(f<<2)>>2])|0;b[w+a>>0]=s>>>0<256?s:(s|0)>0?255:0;a=a+1|0;if((a|0)==(f|0))break;else c=c+(g<<2)|0}x=x+1|0;if((x|0)==(e|0))break;else{v=v+f|0;w=w+f|0}}return}}}function XW(a,c,d,e,f,g){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;switch(f|0){case 2:{g=e<<1;if((e|0)<=0)return;h=d+8|0;i=d+16|0;j=d+20|0;k=0;do{l=U9b(+n[h>>2]+ +n[d>>2]*+(b[a+k>>0]|0))|0;m=k|1;o=U9b(+n[j>>2]+ +n[i>>2]*+(b[a+m>>0]|0))|0;b[c+k>>0]=(l+128|0)>>>0<256?l:(l|0)>0?127:128;b[c+m>>0]=(o+128|0)>>>0<256?o:(o|0)>0?127:128;k=k+2|0}while((k|0)<(g|0));return}case 3:{g=e*3|0;if((e|0)<=0)return;k=d+12|0;i=d+20|0;j=d+28|0;h=d+40|0;o=d+44|0;m=0;do{l=U9b(+n[k>>2]+ +n[d>>2]*+(b[a+m>>0]|0))|0;p=m+1|0;q=U9b(+n[j>>2]+ +n[i>>2]*+(b[a+p>>0]|0))|0;r=m+2|0;s=U9b(+n[o>>2]+ +n[h>>2]*+(b[a+r>>0]|0))|0;b[c+m>>0]=(l+128|0)>>>0<256?l:(l|0)>0?127:128;b[c+p>>0]=(q+128|0)>>>0<256?q:(q|0)>0?127:128;b[c+r>>0]=(s+128|0)>>>0<256?s:(s|0)>0?127:128;m=m+3|0}while((m|0)<(g|0));return}case 4:{g=e<<2;if((e|0)<=0)return;m=d+16|0;h=d+24|0;o=d+36|0;i=d+48|0;j=d+56|0;k=d+72|0;s=d+76|0;r=0;do{q=U9b(+n[m>>2]+ +n[d>>2]*+(b[a+r>>0]|0))|0;p=r|1;l=U9b(+n[o>>2]+ +n[h>>2]*+(b[a+p>>0]|0))|0;b[c+r>>0]=(q+128|0)>>>0<256?q:(q|0)>0?127:128;b[c+p>>0]=(l+128|0)>>>0<256?l:(l|0)>0?127:128;l=r|2;p=U9b(+n[j>>2]+ +n[i>>2]*+(b[a+l>>0]|0))|0;q=r|3;t=U9b(+n[s>>2]+ +n[k>>2]*+(b[a+q>>0]|0))|0;b[c+l>>0]=(p+128|0)>>>0<256?p:(p|0)>0?127:128;b[c+q>>0]=(t+128|0)>>>0<256?t:(t|0)>0?127:128;r=r+4|0}while((r|0)<(g|0));return}default:{if((e|0)<=0)return;g=f+1|0;if((f|0)>0){u=a;v=c;w=0}else return;while(1){c=d;a=0;while(1){r=U9b(+(b[u+a>>0]|0)*+n[c+(a<<2)>>2]+ +n[c+(f<<2)>>2])|0;b[v+a>>0]=(r+128|0)>>>0<256?r:(r|0)>0?127:128;a=a+1|0;if((a|0)==(f|0))break;else c=c+(g<<2)|0}w=w+1|0;if((w|0)==(e|0))break;else{u=u+f|0;v=v+f|0}}return}}}function YW(a,b,c,e,f,g){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0.0,k=0.0,l=0.0,m=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0,u=0,v=0.0,w=0.0,x=0,y=0,z=0;switch(f|0){case 2:{g=e<<1;if((e|0)<=0)return;h=+n[c>>2];i=+n[c+8>>2];k=+n[c+16>>2];l=+n[c+20>>2];m=0;do{o=U9b(i+h*+(j[a+(m<<1)>>1]|0))|0;p=m|1;q=U9b(l+k*+(j[a+(p<<1)>>1]|0))|0;d[b+(m<<1)>>1]=o>>>0<65536?o:(o|0)>0?65535:0;d[b+(p<<1)>>1]=q>>>0<65536?q:(q|0)>0?65535:0;m=m+2|0}while((m|0)<(g|0));return}case 3:{g=e*3|0;if((e|0)<=0)return;k=+n[c>>2];l=+n[c+12>>2];h=+n[c+20>>2];i=+n[c+28>>2];r=+n[c+40>>2];s=+n[c+44>>2];m=0;do{q=U9b(l+k*+(j[a+(m<<1)>>1]|0))|0;p=m+1|0;o=U9b(i+h*+(j[a+(p<<1)>>1]|0))|0;t=m+2|0;u=U9b(s+r*+(j[a+(t<<1)>>1]|0))|0;d[b+(m<<1)>>1]=q>>>0<65536?q:(q|0)>0?65535:0;d[b+(p<<1)>>1]=o>>>0<65536?o:(o|0)>0?65535:0;d[b+(t<<1)>>1]=u>>>0<65536?u:(u|0)>0?65535:0;m=m+3|0}while((m|0)<(g|0));return}case 4:{g=e<<2;if((e|0)<=0)return;r=+n[c>>2];s=+n[c+16>>2];h=+n[c+24>>2];i=+n[c+36>>2];k=+n[c+48>>2];l=+n[c+56>>2];v=+n[c+72>>2];w=+n[c+76>>2];m=0;do{u=U9b(s+r*+(j[a+(m<<1)>>1]|0))|0;t=m|1;o=U9b(i+h*+(j[a+(t<<1)>>1]|0))|0;d[b+(m<<1)>>1]=u>>>0<65536?u:(u|0)>0?65535:0;d[b+(t<<1)>>1]=o>>>0<65536?o:(o|0)>0?65535:0;o=m|2;t=U9b(l+k*+(j[a+(o<<1)>>1]|0))|0;u=m|3;p=U9b(w+v*+(j[a+(u<<1)>>1]|0))|0;d[b+(o<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;d[b+(u<<1)>>1]=p>>>0<65536?p:(p|0)>0?65535:0;m=m+4|0}while((m|0)<(g|0));return}default:{if((e|0)<=0)return;g=f+1|0;if((f|0)>0){x=a;y=b;z=0}else return;while(1){b=c;a=0;while(1){m=U9b(+(j[x+(a<<1)>>1]|0)*+n[b+(a<<2)>>2]+ +n[b+(f<<2)>>2])|0;d[y+(a<<1)>>1]=m>>>0<65536?m:(m|0)>0?65535:0;a=a+1|0;if((a|0)==(f|0))break;else b=b+(g<<2)|0}z=z+1|0;if((z|0)==(e|0))break;else{x=x+(f<<1)|0;y=y+(f<<1)|0}}return}}}function ZW(a,b,c,e,f,g){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0,o=0,p=0,q=0.0,r=0.0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0;switch(f|0){case 2:{g=e<<1;if((e|0)<=0)return;h=+n[c>>2];i=+n[c+8>>2];j=+n[c+16>>2];k=+n[c+20>>2];l=0;do{m=U9b(i+h*+(d[a+(l<<1)>>1]|0))|0;o=l|1;p=U9b(k+j*+(d[a+(o<<1)>>1]|0))|0;d[b+(l<<1)>>1]=(m+32768|0)>>>0<65536?m:(m|0)>0?32767:32768;d[b+(o<<1)>>1]=(p+32768|0)>>>0<65536?p:(p|0)>0?32767:32768;l=l+2|0}while((l|0)<(g|0));return}case 3:{g=e*3|0;if((e|0)<=0)return;j=+n[c>>2];k=+n[c+12>>2];h=+n[c+20>>2];i=+n[c+28>>2];q=+n[c+40>>2];r=+n[c+44>>2];l=0;do{p=U9b(k+j*+(d[a+(l<<1)>>1]|0))|0;o=l+1|0;m=U9b(i+h*+(d[a+(o<<1)>>1]|0))|0;s=l+2|0;t=U9b(r+q*+(d[a+(s<<1)>>1]|0))|0;d[b+(l<<1)>>1]=(p+32768|0)>>>0<65536?p:(p|0)>0?32767:32768;d[b+(o<<1)>>1]=(m+32768|0)>>>0<65536?m:(m|0)>0?32767:32768;d[b+(s<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;l=l+3|0}while((l|0)<(g|0));return}case 4:{g=e<<2;if((e|0)<=0)return;q=+n[c>>2];r=+n[c+16>>2];h=+n[c+24>>2];i=+n[c+36>>2];j=+n[c+48>>2];k=+n[c+56>>2];u=+n[c+72>>2];v=+n[c+76>>2];l=0;do{t=U9b(r+q*+(d[a+(l<<1)>>1]|0))|0;s=l|1;m=U9b(i+h*+(d[a+(s<<1)>>1]|0))|0;d[b+(l<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;d[b+(s<<1)>>1]=(m+32768|0)>>>0<65536?m:(m|0)>0?32767:32768;m=l|2;s=U9b(k+j*+(d[a+(m<<1)>>1]|0))|0;t=l|3;o=U9b(v+u*+(d[a+(t<<1)>>1]|0))|0;d[b+(m<<1)>>1]=(s+32768|0)>>>0<65536?s:(s|0)>0?32767:32768;d[b+(t<<1)>>1]=(o+32768|0)>>>0<65536?o:(o|0)>0?32767:32768;l=l+4|0}while((l|0)<(g|0));return}default:{if((e|0)<=0)return;g=f+1|0;if((f|0)>0){w=a;x=b;y=0}else return;while(1){b=c;a=0;while(1){l=U9b(+(d[w+(a<<1)>>1]|0)*+n[b+(a<<2)>>2]+ +n[b+(f<<2)>>2])|0;d[x+(a<<1)>>1]=(l+32768|0)>>>0<65536?l:(l|0)>0?32767:32768;a=a+1|0;if((a|0)==(f|0))break;else b=b+(g<<2)|0}y=y+1|0;if((y|0)==(e|0))break;else{w=w+(f<<1)|0;x=x+(f<<1)|0}}return}}}function _W(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0,o=0,q=0.0,r=0.0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0;switch(e|0){case 2:{g=d<<1;if((d|0)<=0)return;h=+p[c>>3];i=+p[c+16>>3];j=+p[c+32>>3];k=+p[c+40>>3];l=0;do{m=V9b(i+h*+(f[a+(l<<2)>>2]|0))|0;n=l|1;o=V9b(k+j*+(f[a+(n<<2)>>2]|0))|0;f[b+(l<<2)>>2]=m;f[b+(n<<2)>>2]=o;l=l+2|0}while((l|0)<(g|0));return}case 3:{g=d*3|0;if((d|0)<=0)return;j=+p[c>>3];k=+p[c+24>>3];h=+p[c+40>>3];i=+p[c+56>>3];q=+p[c+80>>3];r=+p[c+88>>3];l=0;do{o=V9b(k+j*+(f[a+(l<<2)>>2]|0))|0;n=l+1|0;m=V9b(i+h*+(f[a+(n<<2)>>2]|0))|0;s=l+2|0;t=V9b(r+q*+(f[a+(s<<2)>>2]|0))|0;f[b+(l<<2)>>2]=o;f[b+(n<<2)>>2]=m;f[b+(s<<2)>>2]=t;l=l+3|0}while((l|0)<(g|0));return}case 4:{g=d<<2;if((d|0)<=0)return;q=+p[c>>3];r=+p[c+32>>3];h=+p[c+48>>3];i=+p[c+72>>3];j=+p[c+96>>3];k=+p[c+112>>3];u=+p[c+144>>3];v=+p[c+152>>3];l=0;do{t=V9b(r+q*+(f[a+(l<<2)>>2]|0))|0;s=l|1;m=V9b(i+h*+(f[a+(s<<2)>>2]|0))|0;f[b+(l<<2)>>2]=t;f[b+(s<<2)>>2]=m;m=l|2;s=V9b(k+j*+(f[a+(m<<2)>>2]|0))|0;t=l|3;n=V9b(v+u*+(f[a+(t<<2)>>2]|0))|0;f[b+(m<<2)>>2]=s;f[b+(t<<2)>>2]=n;l=l+4|0}while((l|0)<(g|0));return}default:{if((d|0)<=0)return;g=e+1|0;if((e|0)>0){w=a;x=b;y=0}else return;while(1){b=c;a=0;while(1){l=V9b(+(f[w+(a<<2)>>2]|0)*+p[b+(a<<3)>>3]+ +p[b+(e<<3)>>3])|0;f[x+(a<<2)>>2]=l;a=a+1|0;if((a|0)==(e|0))break;else b=b+(g<<3)|0}y=y+1|0;if((y|0)==(d|0))break;else{w=w+(e<<2)|0;x=x+(e<<2)|0}}return}}}function $W(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0.0,m=0,o=0,p=0,q=0.0,r=0,s=0,t=0,u=0,v=0;switch(e|0){case 2:{f=d<<1;if((d|0)<=0)return;g=c+8|0;h=c+16|0;i=c+20|0;j=0;do{k=j|1;l=+n[h>>2]*+n[a+(k<<2)>>2]+ +n[i>>2];n[b+(j<<2)>>2]=+n[c>>2]*+n[a+(j<<2)>>2]+ +n[g>>2];n[b+(k<<2)>>2]=l;j=j+2|0}while((j|0)<(f|0));return}case 3:{f=d*3|0;if((d|0)<=0)return;j=c+12|0;g=c+20|0;i=c+28|0;h=c+40|0;k=c+44|0;m=0;do{o=m+1|0;l=+n[g>>2]*+n[a+(o<<2)>>2]+ +n[i>>2];p=m+2|0;q=+n[h>>2]*+n[a+(p<<2)>>2]+ +n[k>>2];n[b+(m<<2)>>2]=+n[c>>2]*+n[a+(m<<2)>>2]+ +n[j>>2];n[b+(o<<2)>>2]=l;n[b+(p<<2)>>2]=q;m=m+3|0}while((m|0)<(f|0));return}case 4:{f=d<<2;if((d|0)<=0)return;m=c+16|0;j=c+24|0;k=c+36|0;h=c+48|0;i=c+56|0;g=c+72|0;p=c+76|0;o=0;do{r=o|1;q=+n[j>>2]*+n[a+(r<<2)>>2]+ +n[k>>2];n[b+(o<<2)>>2]=+n[c>>2]*+n[a+(o<<2)>>2]+ +n[m>>2];n[b+(r<<2)>>2]=q;r=o|2;s=o|3;q=+n[g>>2]*+n[a+(s<<2)>>2]+ +n[p>>2];n[b+(r<<2)>>2]=+n[h>>2]*+n[a+(r<<2)>>2]+ +n[i>>2];n[b+(s<<2)>>2]=q;o=o+4|0}while((o|0)<(f|0));return}default:{if((d|0)<=0)return;f=e+1|0;if((e|0)>0){t=a;u=b;v=0}else return;while(1){b=c;a=0;while(1){n[u+(a<<2)>>2]=+n[t+(a<<2)>>2]*+n[b+(a<<2)>>2]+ +n[b+(e<<2)>>2];a=a+1|0;if((a|0)==(e|0))break;else b=b+(f<<2)|0}v=v+1|0;if((v|0)==(d|0))break;else{t=t+(e<<2)|0;u=u+(e<<2)|0}}return}}}function aX(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0.0,m=0,n=0,o=0,q=0.0,r=0,s=0,t=0,u=0,v=0;switch(e|0){case 2:{f=d<<1;if((d|0)<=0)return;g=c+16|0;h=c+32|0;i=c+40|0;j=0;do{k=j|1;l=+p[h>>3]*+p[a+(k<<3)>>3]+ +p[i>>3];p[b+(j<<3)>>3]=+p[c>>3]*+p[a+(j<<3)>>3]+ +p[g>>3];p[b+(k<<3)>>3]=l;j=j+2|0}while((j|0)<(f|0));return}case 3:{f=d*3|0;if((d|0)<=0)return;j=c+24|0;g=c+40|0;i=c+56|0;h=c+80|0;k=c+88|0;m=0;do{n=m+1|0;l=+p[g>>3]*+p[a+(n<<3)>>3]+ +p[i>>3];o=m+2|0;q=+p[h>>3]*+p[a+(o<<3)>>3]+ +p[k>>3];p[b+(m<<3)>>3]=+p[c>>3]*+p[a+(m<<3)>>3]+ +p[j>>3];p[b+(n<<3)>>3]=l;p[b+(o<<3)>>3]=q;m=m+3|0}while((m|0)<(f|0));return}case 4:{f=d<<2;if((d|0)<=0)return;m=c+32|0;j=c+48|0;k=c+72|0;h=c+96|0;i=c+112|0;g=c+144|0;o=c+152|0;n=0;do{r=n|1;q=+p[j>>3]*+p[a+(r<<3)>>3]+ +p[k>>3];p[b+(n<<3)>>3]=+p[c>>3]*+p[a+(n<<3)>>3]+ +p[m>>3];p[b+(r<<3)>>3]=q;r=n|2;s=n|3;q=+p[g>>3]*+p[a+(s<<3)>>3]+ +p[o>>3];p[b+(r<<3)>>3]=+p[h>>3]*+p[a+(r<<3)>>3]+ +p[i>>3];p[b+(s<<3)>>3]=q;n=n+4|0}while((n|0)<(f|0));return}default:{if((d|0)<=0)return;f=e+1|0;if((e|0)>0){t=a;u=b;v=0}else return;while(1){b=c;a=0;while(1){p[u+(a<<3)>>3]=+p[t+(a<<3)>>3]*+p[b+(a<<3)>>3]+ +p[b+(e<<3)>>3];a=a+1|0;if((a|0)==(e|0))break;else b=b+(f<<3)|0}v=v+1|0;if((v|0)==(d|0))break;else{t=t+(e<<3)|0;u=u+(e<<3)|0}}return}}}function bX(a,c,d,e,f,g){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0.0,r=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0,M=0,N=0,O=0,P=0;if((f|0)==2&(g|0)==2){i=e<<1;if((e|0)<=0)return;j=d+4|0;k=d+8|0;l=d+12|0;m=d+16|0;o=d+20|0;p=0;do{q=+(h[a+p>>0]|0);r=p|1;s=+(h[a+r>>0]|0);t=U9b(+n[k>>2]+(q*+n[d>>2]+s*+n[j>>2]))|0;u=U9b(+n[o>>2]+(q*+n[l>>2]+s*+n[m>>2]))|0;b[c+p>>0]=t>>>0<256?t:(t|0)>0?255:0;b[c+r>>0]=u>>>0<256?u:(u|0)>0?255:0;p=p+2|0}while((p|0)<(i|0));return}i=(f|0)==3;if(i&(g|0)==3){p=e*3|0;if((e|0)<=0)return;m=d+4|0;l=d+8|0;o=d+12|0;j=d+16|0;k=d+20|0;u=d+24|0;r=d+28|0;t=d+32|0;v=d+36|0;w=d+40|0;x=d+44|0;y=0;do{s=+(h[a+y>>0]|0);z=y+1|0;q=+(h[a+z>>0]|0);A=y+2|0;B=+(h[a+A>>0]|0);C=U9b(+n[o>>2]+(s*+n[d>>2]+q*+n[m>>2]+B*+n[l>>2]))|0;D=U9b(+n[r>>2]+(s*+n[j>>2]+q*+n[k>>2]+B*+n[u>>2]))|0;E=U9b(+n[x>>2]+(s*+n[t>>2]+q*+n[v>>2]+B*+n[w>>2]))|0;b[c+y>>0]=C>>>0<256?C:(C|0)>0?255:0;b[c+z>>0]=D>>>0<256?D:(D|0)>0?255:0;b[c+A>>0]=E>>>0<256?E:(E|0)>0?255:0;y=y+3|0}while((y|0)<(p|0));return}if(i&(g|0)==1){if((e|0)<=0)return;i=d+4|0;p=d+8|0;y=d+12|0;w=a;v=0;while(1){t=U9b(+n[y>>2]+(+n[d>>2]*+(h[w>>0]|0)+ +n[i>>2]*+(h[w+1>>0]|0)+ +n[p>>2]*+(h[w+2>>0]|0)))|0;b[c+v>>0]=t>>>0<256?t:(t|0)>0?255:0;v=v+1|0;if((v|0)==(e|0))break;else w=w+3|0}return}if((f|0)==4&(g|0)==4){w=e<<2;if((e|0)<=0)return;v=d+4|0;p=d+8|0;i=d+12|0;y=d+16|0;t=d+20|0;x=d+24|0;u=d+28|0;k=d+32|0;j=d+36|0;r=d+40|0;l=d+44|0;m=d+48|0;o=d+52|0;E=d+56|0;A=d+60|0;D=d+64|0;z=d+68|0;C=d+72|0;F=d+76|0;G=0;do{B=+(h[a+G>>0]|0);H=G|1;q=+(h[a+H>>0]|0);I=G|2;s=+(h[a+I>>0]|0);J=G|3;K=+(h[a+J>>0]|0);L=U9b(+n[y>>2]+(B*+n[d>>2]+q*+n[v>>2]+s*+n[p>>2]+K*+n[i>>2]))|0;M=U9b(+n[j>>2]+(B*+n[t>>2]+q*+n[x>>2]+s*+n[u>>2]+K*+n[k>>2]))|0;b[c+G>>0]=L>>>0<256?L:(L|0)>0?255:0;b[c+H>>0]=M>>>0<256?M:(M|0)>0?255:0;M=U9b(+n[E>>2]+(B*+n[r>>2]+q*+n[l>>2]+s*+n[m>>2]+K*+n[o>>2]))|0;H=U9b(+n[F>>2]+(B*+n[A>>2]+q*+n[D>>2]+s*+n[z>>2]+K*+n[C>>2]))|0;b[c+I>>0]=M>>>0<256?M:(M|0)>0?255:0;b[c+J>>0]=H>>>0<256?H:(H|0)>0?255:0;G=G+4|0}while((G|0)<(w|0));return}if((e|0)<=0)return;w=f+1|0;if((g|0)<=0)return;if((f|0)>0){N=c;O=a;P=0}else{a=c;c=0;while(1){G=0;C=d;while(1){z=U9b(+n[C+(f<<2)>>2])|0;b[a+G>>0]=z>>>0<256?z:(z|0)>0?255:0;G=G+1|0;if((G|0)==(g|0))break;else C=C+(w<<2)|0}c=c+1|0;if((c|0)==(e|0))break;else a=a+g|0}return}while(1){a=0;c=d;while(1){C=0;K=+n[c+(f<<2)>>2];do{K=K+ +n[c+(C<<2)>>2]*+(h[O+C>>0]|0);C=C+1|0}while((C|0)!=(f|0));C=U9b(K)|0;b[N+a>>0]=C>>>0<256?C:(C|0)>0?255:0;a=a+1|0;if((a|0)==(g|0))break;else c=c+(w<<2)|0}P=P+1|0;if((P|0)==(e|0))break;else{N=N+g|0;O=O+f|0}}return}function cX(a,c,d,e,f,g){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0.0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0,L=0,M=0,N=0,O=0;if((f|0)==2&(g|0)==2){h=e<<1;if((e|0)<=0)return;i=d+4|0;j=d+8|0;k=d+12|0;l=d+16|0;m=d+20|0;o=0;do{p=+(b[a+o>>0]|0);q=o|1;r=+(b[a+q>>0]|0);s=U9b(+n[j>>2]+(p*+n[d>>2]+r*+n[i>>2]))|0;t=U9b(+n[m>>2]+(p*+n[k>>2]+r*+n[l>>2]))|0;b[c+o>>0]=(s+128|0)>>>0<256?s:(s|0)>0?127:128;b[c+q>>0]=(t+128|0)>>>0<256?t:(t|0)>0?127:128;o=o+2|0}while((o|0)<(h|0));return}h=(f|0)==3;if(h&(g|0)==3){o=e*3|0;if((e|0)<=0)return;l=d+4|0;k=d+8|0;m=d+12|0;i=d+16|0;j=d+20|0;t=d+24|0;q=d+28|0;s=d+32|0;u=d+36|0;v=d+40|0;w=d+44|0;x=0;do{r=+(b[a+x>>0]|0);y=x+1|0;p=+(b[a+y>>0]|0);z=x+2|0;A=+(b[a+z>>0]|0);B=U9b(+n[m>>2]+(r*+n[d>>2]+p*+n[l>>2]+A*+n[k>>2]))|0;C=U9b(+n[q>>2]+(r*+n[i>>2]+p*+n[j>>2]+A*+n[t>>2]))|0;D=U9b(+n[w>>2]+(r*+n[s>>2]+p*+n[u>>2]+A*+n[v>>2]))|0;b[c+x>>0]=(B+128|0)>>>0<256?B:(B|0)>0?127:128;b[c+y>>0]=(C+128|0)>>>0<256?C:(C|0)>0?127:128;b[c+z>>0]=(D+128|0)>>>0<256?D:(D|0)>0?127:128;x=x+3|0}while((x|0)<(o|0));return}if(h&(g|0)==1){if((e|0)<=0)return;h=d+4|0;o=d+8|0;x=d+12|0;v=a;u=0;while(1){s=U9b(+n[x>>2]+(+n[d>>2]*+(b[v>>0]|0)+ +n[h>>2]*+(b[v+1>>0]|0)+ +n[o>>2]*+(b[v+2>>0]|0)))|0;b[c+u>>0]=(s+128|0)>>>0<256?s:(s|0)>0?127:128;u=u+1|0;if((u|0)==(e|0))break;else v=v+3|0}return}if((f|0)==4&(g|0)==4){v=e<<2;if((e|0)<=0)return;u=d+4|0;o=d+8|0;h=d+12|0;x=d+16|0;s=d+20|0;w=d+24|0;t=d+28|0;j=d+32|0;i=d+36|0;q=d+40|0;k=d+44|0;l=d+48|0;m=d+52|0;D=d+56|0;z=d+60|0;C=d+64|0;y=d+68|0;B=d+72|0;E=d+76|0;F=0;do{A=+(b[a+F>>0]|0);G=F|1;p=+(b[a+G>>0]|0);H=F|2;r=+(b[a+H>>0]|0);I=F|3;J=+(b[a+I>>0]|0);K=U9b(+n[x>>2]+(A*+n[d>>2]+p*+n[u>>2]+r*+n[o>>2]+J*+n[h>>2]))|0;L=U9b(+n[i>>2]+(A*+n[s>>2]+p*+n[w>>2]+r*+n[t>>2]+J*+n[j>>2]))|0;b[c+F>>0]=(K+128|0)>>>0<256?K:(K|0)>0?127:128;b[c+G>>0]=(L+128|0)>>>0<256?L:(L|0)>0?127:128;L=U9b(+n[D>>2]+(A*+n[q>>2]+p*+n[k>>2]+r*+n[l>>2]+J*+n[m>>2]))|0;G=U9b(+n[E>>2]+(A*+n[z>>2]+p*+n[C>>2]+r*+n[y>>2]+J*+n[B>>2]))|0;b[c+H>>0]=(L+128|0)>>>0<256?L:(L|0)>0?127:128;b[c+I>>0]=(G+128|0)>>>0<256?G:(G|0)>0?127:128;F=F+4|0}while((F|0)<(v|0));return}if((e|0)<=0)return;v=f+1|0;if((g|0)<=0)return;if((f|0)>0){M=c;N=a;O=0}else{a=c;c=0;while(1){F=0;B=d;while(1){y=U9b(+n[B+(f<<2)>>2])|0;b[a+F>>0]=(y+128|0)>>>0<256?y:(y|0)>0?127:128;F=F+1|0;if((F|0)==(g|0))break;else B=B+(v<<2)|0}c=c+1|0;if((c|0)==(e|0))break;else a=a+g|0}return}while(1){a=0;c=d;while(1){B=0;J=+n[c+(f<<2)>>2];do{J=J+ +n[c+(B<<2)>>2]*+(b[N+B>>0]|0);B=B+1|0}while((B|0)!=(f|0));B=U9b(J)|0;b[M+a>>0]=(B+128|0)>>>0<256?B:(B|0)>0?127:128;a=a+1|0;if((a|0)==(g|0))break;else c=c+(v<<2)|0}O=O+1|0;if((O|0)==(e|0))break;else{M=M+g|0;N=N+f|0}}return}function dX(a,b,c,e,f,g){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;var h=0,i=0.0,k=0.0,l=0.0,m=0.0,o=0.0,p=0.0,q=0,r=0.0,s=0,t=0.0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0,E=0,F=0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0,Q=0,R=0;if((f|0)==2&(g|0)==2){h=e<<1;if((e|0)<=0)return;i=+n[c>>2];k=+n[c+4>>2];l=+n[c+8>>2];m=+n[c+12>>2];o=+n[c+16>>2];p=+n[c+20>>2];q=0;do{r=+(j[a+(q<<1)>>1]|0);s=q|1;t=+(j[a+(s<<1)>>1]|0);u=U9b(l+(i*r+k*t))|0;v=U9b(p+(m*r+o*t))|0;d[b+(q<<1)>>1]=u>>>0<65536?u:(u|0)>0?65535:0;d[b+(s<<1)>>1]=v>>>0<65536?v:(v|0)>0?65535:0;q=q+2|0}while((q|0)<(h|0));return}h=(f|0)==3;if(h&(g|0)==3){q=e*3|0;if((e|0)<=0)return;o=+n[c>>2];m=+n[c+4>>2];p=+n[c+8>>2];k=+n[c+12>>2];i=+n[c+16>>2];l=+n[c+20>>2];t=+n[c+24>>2];r=+n[c+28>>2];w=+n[c+32>>2];x=+n[c+36>>2];y=+n[c+40>>2];z=+n[c+44>>2];v=0;do{A=+(j[a+(v<<1)>>1]|0);s=v+1|0;B=+(j[a+(s<<1)>>1]|0);u=v+2|0;C=+(j[a+(u<<1)>>1]|0);D=U9b(k+(o*A+m*B+p*C))|0;E=U9b(r+(i*A+l*B+t*C))|0;F=U9b(z+(w*A+x*B+y*C))|0;d[b+(v<<1)>>1]=D>>>0<65536?D:(D|0)>0?65535:0;d[b+(s<<1)>>1]=E>>>0<65536?E:(E|0)>0?65535:0;d[b+(u<<1)>>1]=F>>>0<65536?F:(F|0)>0?65535:0;v=v+3|0}while((v|0)<(q|0));return}if(h&(g|0)==1){if((e|0)<=0)return;y=+n[c>>2];x=+n[c+4>>2];w=+n[c+8>>2];z=+n[c+12>>2];h=a;q=0;while(1){v=U9b(z+(y*+(j[h>>1]|0)+x*+(j[h+2>>1]|0)+w*+(j[h+4>>1]|0)))|0;d[b+(q<<1)>>1]=v>>>0<65536?v:(v|0)>0?65535:0;q=q+1|0;if((q|0)==(e|0))break;else h=h+6|0}return}if((f|0)==4&(g|0)==4){h=e<<2;if((e|0)<=0)return;w=+n[c>>2];x=+n[c+4>>2];y=+n[c+8>>2];z=+n[c+12>>2];t=+n[c+16>>2];l=+n[c+20>>2];i=+n[c+24>>2];r=+n[c+28>>2];p=+n[c+32>>2];m=+n[c+36>>2];o=+n[c+40>>2];k=+n[c+44>>2];C=+n[c+48>>2];B=+n[c+52>>2];A=+n[c+56>>2];G=+n[c+60>>2];H=+n[c+64>>2];I=+n[c+68>>2];J=+n[c+72>>2];K=+n[c+76>>2];q=0;do{L=+(j[a+(q<<1)>>1]|0);v=q|1;M=+(j[a+(v<<1)>>1]|0);F=q|2;N=+(j[a+(F<<1)>>1]|0);u=q|3;O=+(j[a+(u<<1)>>1]|0);E=U9b(t+(w*L+x*M+y*N+z*O))|0;s=U9b(m+(l*L+i*M+r*N+p*O))|0;d[b+(q<<1)>>1]=E>>>0<65536?E:(E|0)>0?65535:0;d[b+(v<<1)>>1]=s>>>0<65536?s:(s|0)>0?65535:0;s=U9b(A+(o*L+k*M+C*N+B*O))|0;v=U9b(K+(G*L+H*M+I*N+J*O))|0;d[b+(F<<1)>>1]=s>>>0<65536?s:(s|0)>0?65535:0;d[b+(u<<1)>>1]=v>>>0<65536?v:(v|0)>0?65535:0;q=q+4|0}while((q|0)<(h|0));return}if((e|0)<=0)return;h=f+1|0;if((g|0)<=0)return;if((f|0)>0){P=b;Q=a;R=0}else{a=b;b=0;while(1){q=0;v=c;while(1){u=U9b(+n[v+(f<<2)>>2])|0;d[a+(q<<1)>>1]=u>>>0<65536?u:(u|0)>0?65535:0;q=q+1|0;if((q|0)==(g|0))break;else v=v+(h<<2)|0}b=b+1|0;if((b|0)==(e|0))break;else a=a+(g<<1)|0}return}while(1){a=0;b=c;while(1){v=0;J=+n[b+(f<<2)>>2];do{J=J+ +n[b+(v<<2)>>2]*+(j[Q+(v<<1)>>1]|0);v=v+1|0}while((v|0)!=(f|0));v=U9b(J)|0;d[P+(a<<1)>>1]=v>>>0<65536?v:(v|0)>0?65535:0;a=a+1|0;if((a|0)==(g|0))break;else b=b+(h<<2)|0}R=R+1|0;if((R|0)==(e|0))break;else{P=P+(g<<1)|0;Q=Q+(f<<1)|0}}return}function eX(a,b,c,e,f,g){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;var h=0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,o=0.0,p=0,q=0.0,r=0,s=0.0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0,D=0,E=0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0,P=0,Q=0;if((f|0)==2&(g|0)==2){h=e<<1;if((e|0)<=0)return;i=+n[c>>2];j=+n[c+4>>2];k=+n[c+8>>2];l=+n[c+12>>2];m=+n[c+16>>2];o=+n[c+20>>2];p=0;do{q=+(d[a+(p<<1)>>1]|0);r=p|1;s=+(d[a+(r<<1)>>1]|0);t=U9b(k+(i*q+j*s))|0;u=U9b(o+(l*q+m*s))|0;d[b+(p<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;d[b+(r<<1)>>1]=(u+32768|0)>>>0<65536?u:(u|0)>0?32767:32768;p=p+2|0}while((p|0)<(h|0));return}h=(f|0)==3;if(h&(g|0)==3){p=e*3|0;if((e|0)<=0)return;m=+n[c>>2];l=+n[c+4>>2];o=+n[c+8>>2];j=+n[c+12>>2];i=+n[c+16>>2];k=+n[c+20>>2];s=+n[c+24>>2];q=+n[c+28>>2];v=+n[c+32>>2];w=+n[c+36>>2];x=+n[c+40>>2];y=+n[c+44>>2];u=0;do{z=+(d[a+(u<<1)>>1]|0);r=u+1|0;A=+(d[a+(r<<1)>>1]|0);t=u+2|0;B=+(d[a+(t<<1)>>1]|0);C=U9b(j+(m*z+l*A+o*B))|0;D=U9b(q+(i*z+k*A+s*B))|0;E=U9b(y+(v*z+w*A+x*B))|0;d[b+(u<<1)>>1]=(C+32768|0)>>>0<65536?C:(C|0)>0?32767:32768;d[b+(r<<1)>>1]=(D+32768|0)>>>0<65536?D:(D|0)>0?32767:32768;d[b+(t<<1)>>1]=(E+32768|0)>>>0<65536?E:(E|0)>0?32767:32768;u=u+3|0}while((u|0)<(p|0));return}if(h&(g|0)==1){if((e|0)<=0)return;x=+n[c>>2];w=+n[c+4>>2];v=+n[c+8>>2];y=+n[c+12>>2];h=a;p=0;while(1){u=U9b(y+(x*+(d[h>>1]|0)+w*+(d[h+2>>1]|0)+v*+(d[h+4>>1]|0)))|0;d[b+(p<<1)>>1]=(u+32768|0)>>>0<65536?u:(u|0)>0?32767:32768;p=p+1|0;if((p|0)==(e|0))break;else h=h+6|0}return}if((f|0)==4&(g|0)==4){h=e<<2;if((e|0)<=0)return;v=+n[c>>2];w=+n[c+4>>2];x=+n[c+8>>2];y=+n[c+12>>2];s=+n[c+16>>2];k=+n[c+20>>2];i=+n[c+24>>2];q=+n[c+28>>2];o=+n[c+32>>2];l=+n[c+36>>2];m=+n[c+40>>2];j=+n[c+44>>2];B=+n[c+48>>2];A=+n[c+52>>2];z=+n[c+56>>2];F=+n[c+60>>2];G=+n[c+64>>2];H=+n[c+68>>2];I=+n[c+72>>2];J=+n[c+76>>2];p=0;do{K=+(d[a+(p<<1)>>1]|0);u=p|1;L=+(d[a+(u<<1)>>1]|0);E=p|2;M=+(d[a+(E<<1)>>1]|0);t=p|3;N=+(d[a+(t<<1)>>1]|0);D=U9b(s+(v*K+w*L+x*M+y*N))|0;r=U9b(l+(k*K+i*L+q*M+o*N))|0;d[b+(p<<1)>>1]=(D+32768|0)>>>0<65536?D:(D|0)>0?32767:32768;d[b+(u<<1)>>1]=(r+32768|0)>>>0<65536?r:(r|0)>0?32767:32768;r=U9b(z+(m*K+j*L+B*M+A*N))|0;u=U9b(J+(F*K+G*L+H*M+I*N))|0;d[b+(E<<1)>>1]=(r+32768|0)>>>0<65536?r:(r|0)>0?32767:32768;d[b+(t<<1)>>1]=(u+32768|0)>>>0<65536?u:(u|0)>0?32767:32768;p=p+4|0}while((p|0)<(h|0));return}if((e|0)<=0)return;h=f+1|0;if((g|0)<=0)return;if((f|0)>0){O=b;P=a;Q=0}else{a=b;b=0;while(1){p=0;u=c;while(1){t=U9b(+n[u+(f<<2)>>2])|0;d[a+(p<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;p=p+1|0;if((p|0)==(g|0))break;else u=u+(h<<2)|0}b=b+1|0;if((b|0)==(e|0))break;else a=a+(g<<1)|0}return}while(1){a=0;b=c;while(1){u=0;I=+n[b+(f<<2)>>2];do{I=I+ +n[b+(u<<2)>>2]*+(d[P+(u<<1)>>1]|0);u=u+1|0}while((u|0)!=(f|0));u=U9b(I)|0;d[O+(a<<1)>>1]=(u+32768|0)>>>0<65536?u:(u|0)>0?32767:32768;a=a+1|0;if((a|0)==(g|0))break;else b=b+(h<<2)|0}Q=Q+1|0;if((Q|0)==(e|0))break;else{O=O+(g<<1)|0;P=P+(f<<1)|0}}return}function fX(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0,q=0.0,r=0,s=0.0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0,D=0,E=0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0,P=0,Q=0;if((e|0)==2&(g|0)==2){h=d<<1;if((d|0)<=0)return;i=+p[c>>3];j=+p[c+8>>3];k=+p[c+16>>3];l=+p[c+24>>3];m=+p[c+32>>3];n=+p[c+40>>3];o=0;do{q=+(f[a+(o<<2)>>2]|0);r=o|1;s=+(f[a+(r<<2)>>2]|0);t=V9b(k+(i*q+j*s))|0;u=V9b(n+(l*q+m*s))|0;f[b+(o<<2)>>2]=t;f[b+(r<<2)>>2]=u;o=o+2|0}while((o|0)<(h|0));return}h=(e|0)==3;if(h&(g|0)==3){o=d*3|0;if((d|0)<=0)return;m=+p[c>>3];l=+p[c+8>>3];n=+p[c+16>>3];j=+p[c+24>>3];i=+p[c+32>>3];k=+p[c+40>>3];s=+p[c+48>>3];q=+p[c+56>>3];v=+p[c+64>>3];w=+p[c+72>>3];x=+p[c+80>>3];y=+p[c+88>>3];u=0;do{z=+(f[a+(u<<2)>>2]|0);r=u+1|0;A=+(f[a+(r<<2)>>2]|0);t=u+2|0;B=+(f[a+(t<<2)>>2]|0);C=V9b(j+(m*z+l*A+n*B))|0;D=V9b(q+(i*z+k*A+s*B))|0;E=V9b(y+(v*z+w*A+x*B))|0;f[b+(u<<2)>>2]=C;f[b+(r<<2)>>2]=D;f[b+(t<<2)>>2]=E;u=u+3|0}while((u|0)<(o|0));return}if(h&(g|0)==1){if((d|0)<=0)return;x=+p[c>>3];w=+p[c+8>>3];v=+p[c+16>>3];y=+p[c+24>>3];h=a;o=0;while(1){u=V9b(y+(x*+(f[h>>2]|0)+w*+(f[h+4>>2]|0)+v*+(f[h+8>>2]|0)))|0;f[b+(o<<2)>>2]=u;o=o+1|0;if((o|0)==(d|0))break;else h=h+12|0}return}if((e|0)==4&(g|0)==4){h=d<<2;if((d|0)<=0)return;v=+p[c>>3];w=+p[c+8>>3];x=+p[c+16>>3];y=+p[c+24>>3];s=+p[c+32>>3];k=+p[c+40>>3];i=+p[c+48>>3];q=+p[c+56>>3];n=+p[c+64>>3];l=+p[c+72>>3];m=+p[c+80>>3];j=+p[c+88>>3];B=+p[c+96>>3];A=+p[c+104>>3];z=+p[c+112>>3];F=+p[c+120>>3];G=+p[c+128>>3];H=+p[c+136>>3];I=+p[c+144>>3];J=+p[c+152>>3];o=0;do{K=+(f[a+(o<<2)>>2]|0);u=o|1;L=+(f[a+(u<<2)>>2]|0);E=o|2;M=+(f[a+(E<<2)>>2]|0);t=o|3;N=+(f[a+(t<<2)>>2]|0);D=V9b(s+(v*K+w*L+x*M+y*N))|0;r=V9b(l+(k*K+i*L+q*M+n*N))|0;f[b+(o<<2)>>2]=D;f[b+(u<<2)>>2]=r;r=V9b(z+(m*K+j*L+B*M+A*N))|0;u=V9b(J+(F*K+G*L+H*M+I*N))|0;f[b+(E<<2)>>2]=r;f[b+(t<<2)>>2]=u;o=o+4|0}while((o|0)<(h|0));return}if((d|0)<=0)return;h=e+1|0;if((g|0)<=0)return;if((e|0)>0){O=b;P=a;Q=0}else{a=b;b=0;while(1){o=0;u=c;while(1){t=V9b(+p[u+(e<<3)>>3])|0;f[a+(o<<2)>>2]=t;o=o+1|0;if((o|0)==(g|0))break;else u=u+(h<<3)|0}b=b+1|0;if((b|0)==(d|0))break;else a=a+(g<<2)|0}return}while(1){a=0;b=c;while(1){u=0;I=+p[b+(e<<3)>>3];do{I=I+ +p[b+(u<<3)>>3]*+(f[P+(u<<2)>>2]|0);u=u+1|0}while((u|0)!=(e|0));u=V9b(I)|0;f[O+(a<<2)>>2]=u;a=a+1|0;if((a|0)==(g|0))break;else b=b+(h<<3)|0}Q=Q+1|0;if((Q|0)==(d|0))break;else{O=O+(g<<2)|0;P=P+(e<<2)|0}}return}function gX(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0.0,q=0,r=0.0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;if((e|0)==2&(g|0)==2){h=d<<1;if((d|0)<=0)return;i=c+4|0;j=c+8|0;k=c+12|0;l=c+16|0;m=c+20|0;o=0;do{p=+n[a+(o<<2)>>2];q=o|1;r=+n[a+(q<<2)>>2];s=+n[m>>2]+(p*+n[k>>2]+r*+n[l>>2]);n[b+(o<<2)>>2]=+n[j>>2]+(p*+n[c>>2]+r*+n[i>>2]);n[b+(q<<2)>>2]=s;o=o+2|0}while((o|0)<(h|0));return}h=(e|0)==3;if(h&(g|0)==3){o=d*3|0;if((d|0)<=0)return;i=c+4|0;j=c+8|0;l=c+12|0;k=c+16|0;m=c+20|0;q=c+24|0;t=c+28|0;u=c+32|0;v=c+36|0;w=c+40|0;x=c+44|0;y=0;do{s=+n[a+(y<<2)>>2];z=y+1|0;r=+n[a+(z<<2)>>2];A=y+2|0;p=+n[a+(A<<2)>>2];B=+n[t>>2]+(s*+n[k>>2]+r*+n[m>>2]+p*+n[q>>2]);C=+n[x>>2]+(s*+n[u>>2]+r*+n[v>>2]+p*+n[w>>2]);n[b+(y<<2)>>2]=+n[l>>2]+(s*+n[c>>2]+r*+n[i>>2]+p*+n[j>>2]);n[b+(z<<2)>>2]=B;n[b+(A<<2)>>2]=C;y=y+3|0}while((y|0)<(o|0));return}if(h&(g|0)==1){if((d|0)<=0)return;h=c+4|0;o=c+8|0;y=c+12|0;j=a;i=0;while(1){n[b+(i<<2)>>2]=+n[y>>2]+(+n[c>>2]*+n[j>>2]+ +n[h>>2]*+n[j+4>>2]+ +n[o>>2]*+n[j+8>>2]);i=i+1|0;if((i|0)==(d|0))break;else j=j+12|0}return}if((e|0)==4&(g|0)==4){j=d<<2;if((d|0)<=0)return;i=c+4|0;o=c+8|0;h=c+12|0;y=c+16|0;l=c+20|0;w=c+24|0;v=c+28|0;u=c+32|0;x=c+36|0;q=c+40|0;m=c+44|0;k=c+48|0;t=c+52|0;A=c+56|0;z=c+60|0;D=c+64|0;E=c+68|0;F=c+72|0;G=c+76|0;H=0;do{C=+n[a+(H<<2)>>2];I=H|1;B=+n[a+(I<<2)>>2];J=H|2;p=+n[a+(J<<2)>>2];K=H|3;r=+n[a+(K<<2)>>2];s=+n[x>>2]+(C*+n[l>>2]+B*+n[w>>2]+p*+n[v>>2]+r*+n[u>>2]);n[b+(H<<2)>>2]=+n[y>>2]+(C*+n[c>>2]+B*+n[i>>2]+p*+n[o>>2]+r*+n[h>>2]);n[b+(I<<2)>>2]=s;s=+n[G>>2]+(C*+n[z>>2]+B*+n[D>>2]+p*+n[E>>2]+r*+n[F>>2]);n[b+(J<<2)>>2]=+n[A>>2]+(C*+n[q>>2]+B*+n[m>>2]+p*+n[k>>2]+r*+n[t>>2]);n[b+(K<<2)>>2]=s;H=H+4|0}while((H|0)<(j|0));return}if((d|0)<=0)return;j=e+1|0;if((g|0)<=0)return;if((e|0)>0){L=b;M=a;N=0}else{a=b;b=0;while(1){H=0;t=c;while(1){f[a+(H<<2)>>2]=f[t+(e<<2)>>2];H=H+1|0;if((H|0)==(g|0))break;else t=t+(j<<2)|0}b=b+1|0;if((b|0)==(d|0))break;else a=a+(g<<2)|0}return}while(1){a=0;b=c;while(1){t=0;s=+n[b+(e<<2)>>2];do{s=s+ +n[b+(t<<2)>>2]*+n[M+(t<<2)>>2];t=t+1|0}while((t|0)!=(e|0));n[L+(a<<2)>>2]=s;a=a+1|0;if((a|0)==(g|0))break;else b=b+(j<<2)|0}N=N+1|0;if((N|0)==(d|0))break;else{L=L+(g<<2)|0;M=M+(e<<2)|0}}return}function hX(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0.0,o=0,q=0.0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0.0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;if((e|0)==2&(f|0)==2){g=d<<1;if((d|0)<=0)return;h=c+8|0;i=c+16|0;j=c+24|0;k=c+32|0;l=c+40|0;m=0;do{n=+p[a+(m<<3)>>3];o=m|1;q=+p[a+(o<<3)>>3];r=+p[l>>3]+(n*+p[j>>3]+q*+p[k>>3]);p[b+(m<<3)>>3]=+p[i>>3]+(n*+p[c>>3]+q*+p[h>>3]);p[b+(o<<3)>>3]=r;m=m+2|0}while((m|0)<(g|0));return}g=(e|0)==3;if(g&(f|0)==3){m=d*3|0;if((d|0)<=0)return;h=c+8|0;i=c+16|0;k=c+24|0;j=c+32|0;l=c+40|0;o=c+48|0;s=c+56|0;t=c+64|0;u=c+72|0;v=c+80|0;w=c+88|0;x=0;do{r=+p[a+(x<<3)>>3];y=x+1|0;q=+p[a+(y<<3)>>3];z=x+2|0;n=+p[a+(z<<3)>>3];A=+p[s>>3]+(r*+p[j>>3]+q*+p[l>>3]+n*+p[o>>3]);B=+p[w>>3]+(r*+p[t>>3]+q*+p[u>>3]+n*+p[v>>3]);p[b+(x<<3)>>3]=+p[k>>3]+(r*+p[c>>3]+q*+p[h>>3]+n*+p[i>>3]);p[b+(y<<3)>>3]=A;p[b+(z<<3)>>3]=B;x=x+3|0}while((x|0)<(m|0));return}if(g&(f|0)==1){if((d|0)<=0)return;g=c+8|0;m=c+16|0;x=c+24|0;i=a;h=0;while(1){p[b+(h<<3)>>3]=+p[x>>3]+(+p[c>>3]*+p[i>>3]+ +p[g>>3]*+p[i+8>>3]+ +p[m>>3]*+p[i+16>>3]);h=h+1|0;if((h|0)==(d|0))break;else i=i+24|0}return}if((e|0)==4&(f|0)==4){i=d<<2;if((d|0)<=0)return;h=c+8|0;m=c+16|0;g=c+24|0;x=c+32|0;k=c+40|0;v=c+48|0;u=c+56|0;t=c+64|0;w=c+72|0;o=c+80|0;l=c+88|0;j=c+96|0;s=c+104|0;z=c+112|0;y=c+120|0;C=c+128|0;D=c+136|0;E=c+144|0;F=c+152|0;G=0;do{B=+p[a+(G<<3)>>3];H=G|1;A=+p[a+(H<<3)>>3];I=G|2;n=+p[a+(I<<3)>>3];J=G|3;q=+p[a+(J<<3)>>3];r=+p[w>>3]+(B*+p[k>>3]+A*+p[v>>3]+n*+p[u>>3]+q*+p[t>>3]);p[b+(G<<3)>>3]=+p[x>>3]+(B*+p[c>>3]+A*+p[h>>3]+n*+p[m>>3]+q*+p[g>>3]);p[b+(H<<3)>>3]=r;r=+p[F>>3]+(B*+p[y>>3]+A*+p[C>>3]+n*+p[D>>3]+q*+p[E>>3]);p[b+(I<<3)>>3]=+p[z>>3]+(B*+p[o>>3]+A*+p[l>>3]+n*+p[j>>3]+q*+p[s>>3]);p[b+(J<<3)>>3]=r;G=G+4|0}while((G|0)<(i|0));return}if((d|0)<=0)return;i=e+1|0;if((f|0)<=0)return;if((e|0)>0){K=b;L=a;M=0}else{a=b;b=0;while(1){G=0;s=c;while(1){p[a+(G<<3)>>3]=+p[s+(e<<3)>>3];G=G+1|0;if((G|0)==(f|0))break;else s=s+(i<<3)|0}b=b+1|0;if((b|0)==(d|0))break;else a=a+(f<<3)|0}return}while(1){a=0;b=c;while(1){s=0;r=+p[b+(e<<3)>>3];do{r=r+ +p[b+(s<<3)>>3]*+p[L+(s<<3)>>3];s=s+1|0}while((s|0)!=(e|0));p[K+(a<<3)>>3]=r;a=a+1|0;if((a|0)==(f|0))break;else b=b+(i<<3)|0}M=M+1|0;if((M|0)==(d|0))break;else{K=K+(f<<3)|0;L=L+(e<<3)|0}}return}function iX(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;e=u;u=u+1392|0;g=e+1376|0;h=e+1320|0;i=e+1264|0;j=e+1208|0;k=e+1200|0;l=e+16|0;m=e+1144|0;n=e;o=e+1112|0;zT(g,49340);do if((pD(a)|0)==65536){p=f[a+4>>2]|0;f[h>>2]=f[p>>2];q=h+4|0;r=p+4|0;f[q>>2]=f[r>>2];s=h+8|0;f[s>>2]=f[p+8>>2];f[h+12>>2]=f[p+12>>2];f[h+16>>2]=f[p+16>>2];f[h+20>>2]=f[p+20>>2];f[h+24>>2]=f[p+24>>2];f[h+28>>2]=f[p+28>>2];f[h+32>>2]=f[p+32>>2];t=f[p+36>>2]|0;f[h+36>>2]=t;f[h+40>>2]=s;s=h+48|0;v=h+44|0;f[v>>2]=s;f[s>>2]=0;f[h+52>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[p+44>>2]|0;s=f[v>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2];break}else{f[q>>2]=0;kP(h,p);break}}else lD(h,a,-1);while(0);do if((pD(d)|0)==65536){a=f[d+4>>2]|0;f[i>>2]=f[a>>2];p=i+4|0;q=a+4|0;f[p>>2]=f[q>>2];r=i+8|0;f[r>>2]=f[a+8>>2];s=i+12|0;f[s>>2]=f[a+12>>2];f[i+16>>2]=f[a+16>>2];f[i+20>>2]=f[a+20>>2];f[i+24>>2]=f[a+24>>2];f[i+28>>2]=f[a+28>>2];f[i+32>>2]=f[a+32>>2];v=f[a+36>>2]|0;f[i+36>>2]=v;f[i+40>>2]=r;t=i+48|0;w=i+44|0;f[w>>2]=t;f[t>>2]=0;f[i+52>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[q>>2]|0)<3){q=f[a+44>>2]|0;t=f[w>>2]|0;f[t>>2]=f[q>>2];f[t+4>>2]=f[q+4>>2];x=r;y=s;break}else{f[p>>2]=0;kP(i,a);x=r;y=s;break}}else{lD(i,d,-1);x=i+8|0;y=i+12|0}while(0);d=f[h>>2]|0;s=d&7;r=d>>>3&511;d=r+1|0;a=f[x>>2]|0;p=a+-1|0;q=r+2|0;if((q|0)!=(f[y>>2]|0)){f[j>>2]=0;f[j+4>>2]=0;z=YG(j,17)|0;A=221641;B=z+17|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));SQ(-215,j,221659,220950,2268)}r=(s|0)==5;if((s+-5|0)>>>0>=2){f[j>>2]=0;f[j+4>>2]=0;z=YG(j,34)|0;A=221680;B=z+34|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));SQ(-215,j,221659,220950,2269)}A=h+40|0;z=f[A>>2]|0;B=f[z>>2]|0;f[k>>2]=f[z+4>>2];f[k+4>>2]=B;HD(c,k,(a<<3)+-16|s,-1,0,0);do if((pD(c)|0)==65536){s=f[c+4>>2]|0;f[j>>2]=f[s>>2];k=j+4|0;B=s+4|0;f[k>>2]=f[B>>2];z=j+8|0;f[z>>2]=f[s+8>>2];f[j+12>>2]=f[s+12>>2];f[j+16>>2]=f[s+16>>2];f[j+20>>2]=f[s+20>>2];f[j+24>>2]=f[s+24>>2];f[j+28>>2]=f[s+28>>2];f[j+32>>2]=f[s+32>>2];t=f[s+36>>2]|0;f[j+36>>2]=t;f[j+40>>2]=z;z=j+48|0;w=j+44|0;f[w>>2]=z;f[z>>2]=0;f[j+52>>2]=0;if(t|0){z=t+12|0;f[z>>2]=(f[z>>2]|0)+1}if((f[B>>2]|0)<3){B=f[s+44>>2]|0;z=f[w>>2]|0;f[z>>2]=f[B>>2];f[z+4>>2]=f[B+4>>2];break}else{f[k>>2]=0;kP(j,s);break}}else lD(j,c,-1);while(0);c=l+8|0;f[l>>2]=c;s=l+4|0;f[s>>2]=136;k=i+16|0;B=i+44|0;if((f[i>>2]&20479|0)==16390)C=f[k>>2]|0;else{z=Y(q,a)|0;f[s>>2]=z;if(z>>>0>136){w=Dmc(z>>>0>536870911?-1:z<<3)|0;f[l>>2]=w;D=w}else D=c;Ri(m,a,q,6,D,0);q=n+8|0;f[q>>2]=0;f[q+4>>2]=0;f[n>>2]=33619968;f[n+4>>2]=m;IO(i,n,6,1.0,0.0);q=m+36|0;a=f[q>>2]|0;if(a|0){w=a+12|0;f[w>>2]=(f[w>>2]|0)+1}w=i+36|0;a=f[w>>2]|0;if(a|0?(z=a+12|0,a=f[z>>2]|0,f[z>>2]=a+-1,(a|0)==1):0)lP(i);f[w>>2]=0;a=i+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[a>>2]|0)>0){z=f[i+40>>2]|0;t=0;do{f[z+(t<<2)>>2]=0;t=t+1|0;E=f[a>>2]|0}while((t|0)<(E|0));f[i>>2]=f[m>>2];if((E|0)<3)F=39;else F=41}else{f[i>>2]=f[m>>2];F=39}if((F|0)==39){E=f[m+4>>2]|0;if((E|0)<3){f[a>>2]=E;f[x>>2]=f[m+8>>2];f[y>>2]=f[m+12>>2];y=f[m+44>>2]|0;x=f[B>>2]|0;f[x>>2]=f[y>>2];f[x+4>>2]=f[y+4>>2]}else F=41}if((F|0)==41)kP(i,m);F=m+16|0;f[k>>2]=f[F>>2];f[i+20>>2]=f[m+20>>2];f[i+24>>2]=f[m+24>>2];f[i+28>>2]=f[m+28>>2];f[i+32>>2]=f[m+32>>2];y=f[q>>2]|0;f[w>>2]=y;if(y|0?(w=y+12|0,y=f[w>>2]|0,f[w>>2]=y+-1,(y|0)==1):0)lP(m);f[q>>2]=0;q=m+4|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[q>>2]|0)>0){F=f[m+40>>2]|0;y=0;do{f[F+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[q>>2]|0))}q=f[m+44>>2]|0;if((q|0)!=(m+48|0))tE(q);C=D}D=r?126:125;f[m>>2]=h;f[m+4>>2]=j;f[m+8>>2]=0;r=n;f[r>>2]=0;f[r+4>>2]=0;IN(o,m,n,-1);m=f[o+20>>2]|0;r=o+16|0;q=n+4|0;y=0;while(1){if(y>>>0>=(f[r>>2]|0)>>>0)break;Ug[D&127](f[n>>2]|0,f[q>>2]|0,C,m,d,p);JN(o)|0;y=y+1|0}y=f[l>>2]|0;if((y|0)!=(c|0)){if(y|0)Fmc(y);f[l>>2]=c;f[s>>2]=136}s=j+36|0;c=f[s>>2]|0;if(c|0?(l=c+12|0,c=f[l>>2]|0,f[l>>2]=c+-1,(c|0)==1):0)lP(j);f[s>>2]=0;s=j+16|0;c=j+4|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[c>>2]|0)>0){s=f[j+40>>2]|0;l=0;do{f[s+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[c>>2]|0))}c=f[j+44>>2]|0;if((c|0)!=(j+48|0))tE(c);c=i+36|0;j=f[c>>2]|0;if(j|0?(l=j+12|0,j=f[l>>2]|0,f[l>>2]=j+-1,(j|0)==1):0)lP(i);f[c>>2]=0;c=i+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[c>>2]|0)>0){k=f[i+40>>2]|0;j=0;do{f[k+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[c>>2]|0))}c=f[B>>2]|0;if((c|0)!=(i+48|0))tE(c);c=h+36|0;i=f[c>>2]|0;if(i|0?(B=i+12|0,i=f[B>>2]|0,f[B>>2]=i+-1,(i|0)==1):0)lP(h);f[c>>2]=0;c=h+16|0;i=h+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[i>>2]|0)>0){c=f[A>>2]|0;A=0;do{f[c+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[i>>2]|0))}i=f[h+44>>2]|0;if((i|0)!=(h+48|0))tE(i);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function jX(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0.0,j=0.0,k=0.0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0.0,x=0.0,y=0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0,J=0.0,K=0.0,M=0,N=0.0,O=0,P=0,Q=0,R=0,S=0,T=0;g=(f|0)==2;if((e|0)==2&g){h=d<<1;if((d|0)<=0)return;i=+p[c+48>>3];j=+p[c+56>>3];k=+p[c+64>>3];l=c+8|0;m=c+16|0;o=c+24|0;q=c+32|0;r=c+40|0;s=0;do{t=s|1;u=+n[a+(s<<2)>>2];v=+n[a+(t<<2)>>2];w=k+(i*u+j*v);if(+L(+w)>1.1920928955078125e-07){x=1.0/w;n[b+(s<<2)>>2]=x*(+p[m>>3]+(u*+p[c>>3]+v*+p[l>>3]));y=t;z=x*(+p[r>>3]+(u*+p[o>>3]+v*+p[q>>3]))}else{n[b+(t<<2)>>2]=0.0;y=s;z=0.0}n[b+(y<<2)>>2]=z;s=s+2|0}while((s|0)<(h|0));return}h=(e|0)==3;if(h&(f|0)==3){s=d*3|0;if((d|0)<=0)return;z=+p[c+96>>3];j=+p[c+104>>3];i=+p[c+112>>3];k=+p[c+120>>3];y=c+8|0;q=c+16|0;o=c+24|0;r=c+32|0;l=c+40|0;m=c+48|0;t=c+56|0;A=c+64|0;B=c+72|0;C=c+80|0;D=c+88|0;E=0;do{F=E+1|0;G=E+2|0;v=+n[a+(E<<2)>>2];u=+n[a+(F<<2)>>2];x=+n[a+(G<<2)>>2];w=k+(z*v+j*u+i*x);if(+L(+w)>1.1920928955078125e-07){H=1.0/w;n[b+(E<<2)>>2]=H*(+p[o>>3]+(v*+p[c>>3]+u*+p[y>>3]+x*+p[q>>3]));I=G;J=H*(+p[t>>3]+(v*+p[r>>3]+u*+p[l>>3]+x*+p[m>>3]));K=H*(+p[D>>3]+(v*+p[A>>3]+u*+p[B>>3]+x*+p[C>>3]))}else{n[b+(G<<2)>>2]=0.0;I=E;J=0.0;K=0.0}n[b+(F<<2)>>2]=J;n[b+(I<<2)>>2]=K;E=E+3|0}while((E|0)<(s|0));return}s=(d|0)>0;if(h&g){if(!s)return;K=+p[c+64>>3];J=+p[c+72>>3];i=+p[c+80>>3];j=+p[c+88>>3];g=c+8|0;h=c+16|0;E=c+24|0;I=c+32|0;C=c+40|0;B=c+48|0;A=c+56|0;D=a;m=b;l=0;while(1){z=+n[D>>2];k=+n[D+4>>2];x=+n[D+8>>2];u=j+(K*z+J*k+i*x);if(+L(+u)>1.1920928955078125e-07){v=1.0/u;n[m>>2]=v*(+p[E>>3]+(z*+p[c>>3]+k*+p[g>>3]+x*+p[h>>3]));M=m+4|0;N=v*(+p[A>>3]+(z*+p[I>>3]+k*+p[C>>3]+x*+p[B>>3]))}else{n[m+4>>2]=0.0;M=m;N=0.0}n[M>>2]=N;l=l+1|0;if((l|0)==(d|0))break;else{D=D+12|0;m=m+8|0}}return}if(!s)return;s=e+1|0;m=c+((Y(s,f)|0)<<3)|0;N=+p[m+(e<<3)>>3];D=(f|0)>0;l=f<<2;if((e|0)>0){if(D){O=a;P=b;Q=0}else return;while(1){a=b+((Y(Q,f)|0)<<2)|0;M=0;i=N;do{i=i+ +p[m+(M<<3)>>3]*+n[O+(M<<2)>>2];M=M+1|0}while((M|0)!=(e|0));if(+L(+i)>1.1920928955078125e-07){M=0;B=c;while(1){J=+p[B+(e<<3)>>3];C=0;do{J=J+ +p[B+(C<<3)>>3]*+n[O+(C<<2)>>2];C=C+1|0}while((C|0)!=(e|0));n[P+(M<<2)>>2]=i*J;M=M+1|0;if((M|0)==(f|0))break;else B=B+(s<<3)|0}}else Drc(a|0,0,l|0)|0;Q=Q+1|0;if((Q|0)==(d|0))break;else{O=O+(e<<2)|0;P=P+(f<<2)|0}}return}else{if(!(+L(+N)>1.1920928955078125e-07)){if(D)R=0;else return;do{Drc(b+((Y(R,f)|0)<<2)|0,0,l|0)|0;R=R+1|0}while((R|0)!=(d|0));return}if(D){S=b;T=0}else return;while(1){b=0;D=c;while(1){n[S+(b<<2)>>2]=N*+p[D+(e<<3)>>3];b=b+1|0;if((b|0)==(f|0))break;else D=D+(s<<3)|0}T=T+1|0;if((T|0)==(d|0))break;else S=S+(f<<2)|0}return}}function kX(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0.0,t=0,u=0.0,v=0.0,w=0.0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0,K=0.0,M=0,N=0,O=0,P=0,Q=0;g=(f|0)==2;if((e|0)==2&g){h=d<<1;if((d|0)<=0)return;i=c+48|0;j=c+56|0;k=c+64|0;l=c+8|0;m=c+16|0;n=c+24|0;o=c+32|0;q=c+40|0;r=0;do{s=+p[a+(r<<3)>>3];t=r|1;u=+p[a+(t<<3)>>3];v=+p[k>>3]+(s*+p[i>>3]+u*+p[j>>3]);if(+L(+v)>1.1920928955078125e-07){w=1.0/v;p[b+(r<<3)>>3]=w*(+p[m>>3]+(s*+p[c>>3]+u*+p[l>>3]));x=t;y=w*(+p[q>>3]+(s*+p[n>>3]+u*+p[o>>3]))}else{p[b+(t<<3)>>3]=0.0;x=r;y=0.0}p[b+(x<<3)>>3]=y;r=r+2|0}while((r|0)<(h|0));return}h=(e|0)==3;if(h&(f|0)==3){r=d*3|0;if((d|0)<=0)return;x=c+96|0;o=c+104|0;n=c+112|0;q=c+120|0;l=c+8|0;m=c+16|0;j=c+24|0;i=c+32|0;k=c+40|0;t=c+48|0;z=c+56|0;A=c+64|0;B=c+72|0;C=c+80|0;D=c+88|0;E=0;do{y=+p[a+(E<<3)>>3];F=E+1|0;u=+p[a+(F<<3)>>3];G=E+2|0;s=+p[a+(G<<3)>>3];w=+p[q>>3]+(y*+p[x>>3]+u*+p[o>>3]+s*+p[n>>3]);if(+L(+w)>1.1920928955078125e-07){v=1.0/w;p[b+(E<<3)>>3]=v*(+p[j>>3]+(y*+p[c>>3]+u*+p[l>>3]+s*+p[m>>3]));p[b+(F<<3)>>3]=v*(+p[z>>3]+(y*+p[i>>3]+u*+p[k>>3]+s*+p[t>>3]));H=G;I=v*(+p[D>>3]+(y*+p[A>>3]+u*+p[B>>3]+s*+p[C>>3]))}else{p[b+(G<<3)>>3]=0.0;p[b+(F<<3)>>3]=0.0;H=E;I=0.0}p[b+(H<<3)>>3]=I;E=E+3|0}while((E|0)<(r|0));return}r=(d|0)>0;if(h&g){if(!r)return;g=c+64|0;h=c+72|0;E=c+80|0;H=c+88|0;C=c+8|0;B=c+16|0;A=c+24|0;D=c+32|0;t=c+40|0;k=c+48|0;i=c+56|0;z=a;m=b;l=0;while(1){I=+p[z>>3];s=+p[z+8>>3];u=+p[z+16>>3];y=+p[H>>3]+(I*+p[g>>3]+s*+p[h>>3]+u*+p[E>>3]);if(+L(+y)>1.1920928955078125e-07){v=1.0/y;p[m>>3]=v*(+p[A>>3]+(I*+p[c>>3]+s*+p[C>>3]+u*+p[B>>3]));J=m+8|0;K=v*(+p[i>>3]+(I*+p[D>>3]+s*+p[t>>3]+u*+p[k>>3]))}else{p[m+8>>3]=0.0;J=m;K=0.0}p[J>>3]=K;l=l+1|0;if((l|0)==(d|0))break;else{z=z+24|0;m=m+16|0}}return}if(!r)return;r=e+1|0;m=c+((Y(r,f)|0)<<3)|0;z=m+(e<<3)|0;l=(f|0)>0;J=f<<3;if((e|0)<=0){if(l){M=b;N=0}else return;while(1){K=+p[z>>3];if(+L(+K)>1.1920928955078125e-07){k=0;t=c;while(1){p[M+(k<<3)>>3]=K*+p[t+(e<<3)>>3];k=k+1|0;if((k|0)==(f|0))break;else t=t+(r<<3)|0}}else Drc(b+((Y(N,f)|0)<<3)|0,0,J|0)|0;N=N+1|0;if((N|0)==(d|0))break;else M=M+(f<<3)|0}return}if(l){O=a;P=b;Q=0}else return;while(1){a=b+((Y(Q,f)|0)<<3)|0;l=0;K=+p[z>>3];do{K=K+ +p[m+(l<<3)>>3]*+p[O+(l<<3)>>3];l=l+1|0}while((l|0)!=(e|0));if(+L(+K)>1.1920928955078125e-07){l=0;M=c;while(1){u=+p[M+(e<<3)>>3];N=0;do{u=u+ +p[M+(N<<3)>>3]*+p[O+(N<<3)>>3];N=N+1|0}while((N|0)!=(e|0));p[P+(l<<3)>>3]=K*u;l=l+1|0;if((l|0)==(f|0))break;else M=M+(r<<3)|0}}else Drc(a|0,0,J|0)|0;Q=Q+1|0;if((Q|0)==(d|0))break;else{O=O+(e<<3)|0;P=P+(f<<3)|0}}return}function lX(a,c,d,e){a=a|0;c=+c;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;g=u;u=u+256|0;h=g;i=g+248|0;j=g+192|0;k=g+136|0;l=g+80|0;m=g+72|0;o=g+56|0;q=g+40|0;r=g+8|0;p[h>>3]=c;zT(i,49360);s=oD(a,-1)|0;t=s&7;v=(s>>>3&511)+1|0;if((s|0)!=(oD(d,-1)|0)){f[j>>2]=0;f[j+4>>2]=0;w=YG(j,20)|0;x=221782;y=w+20|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,j,221803,220950,2414)}if(t>>>0>=5){do if((pD(a)|0)==65536){z=f[a+4>>2]|0;f[j>>2]=f[z>>2];A=j+4|0;B=z+4|0;f[A>>2]=f[B>>2];C=j+8|0;f[C>>2]=f[z+8>>2];f[j+12>>2]=f[z+12>>2];f[j+16>>2]=f[z+16>>2];f[j+20>>2]=f[z+20>>2];f[j+24>>2]=f[z+24>>2];f[j+28>>2]=f[z+28>>2];f[j+32>>2]=f[z+32>>2];D=f[z+36>>2]|0;f[j+36>>2]=D;f[j+40>>2]=C;C=j+48|0;E=j+44|0;f[E>>2]=C;f[C>>2]=0;f[j+52>>2]=0;if(D|0){C=D+12|0;f[C>>2]=(f[C>>2]|0)+1}if((f[B>>2]|0)<3){B=f[z+44>>2]|0;C=f[E>>2]|0;f[C>>2]=f[B>>2];f[C+4>>2]=f[B+4>>2];break}else{f[A>>2]=0;kP(j,z);break}}else lD(j,a,-1);while(0);do if((pD(d)|0)==65536){z=f[d+4>>2]|0;f[k>>2]=f[z>>2];A=k+4|0;B=z+4|0;f[A>>2]=f[B>>2];C=k+8|0;f[C>>2]=f[z+8>>2];f[k+12>>2]=f[z+12>>2];f[k+16>>2]=f[z+16>>2];f[k+20>>2]=f[z+20>>2];f[k+24>>2]=f[z+24>>2];f[k+28>>2]=f[z+28>>2];f[k+32>>2]=f[z+32>>2];E=f[z+36>>2]|0;f[k+36>>2]=E;D=k+40|0;f[D>>2]=C;C=k+48|0;F=k+44|0;f[F>>2]=C;f[C>>2]=0;f[k+52>>2]=0;if(E|0){C=E+12|0;f[C>>2]=(f[C>>2]|0)+1}if((f[B>>2]|0)<3){B=f[z+44>>2]|0;C=f[F>>2]|0;f[C>>2]=f[B>>2];f[C+4>>2]=f[B+4>>2];G=D;break}else{f[A>>2]=0;kP(k,z);G=D;break}}else{lD(k,d,-1);G=k+40|0}while(0);D=j+40|0;z=f[D>>2]|0;A=f[z+-4>>2]|0;B=f[G>>2]|0;if((A|0)!=(f[B+-4>>2]|0)){f[l>>2]=0;H=l+4|0;f[H>>2]=0;I=YG(l,22)|0;w=I;x=221812;y=w+22|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,l,221803,220950,2426)}a:do if((A|0)==2){if((f[z>>2]|0)!=(f[B>>2]|0)){f[l>>2]=0;H=l+4|0;f[H>>2]=0;I=YG(l,22)|0;w=I;x=221812;y=w+22|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,l,221803,220950,2426)}if((f[z+4>>2]|0)!=(f[B+4>>2]|0)){f[l>>2]=0;H=l+4|0;f[H>>2]=0;I=YG(l,22)|0;w=I;x=221812;y=w+22|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,l,221803,220950,2426)}}else if((A|0)>0){C=0;while(1){if((f[z+(C<<2)>>2]|0)!=(f[B+(C<<2)>>2]|0))break;C=C+1|0;if((C|0)>=(A|0))break a}f[l>>2]=0;H=l+4|0;f[H>>2]=0;I=YG(l,22)|0;w=I;x=221812;y=w+22|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,l,221803,220950,2426)}while(0);x=j+4|0;ID(e,f[x>>2]|0,z,s,-1,0,0);do if((pD(e)|0)==65536){s=f[e+4>>2]|0;f[l>>2]=f[s>>2];z=l+4|0;w=s+4|0;f[z>>2]=f[w>>2];y=l+8|0;f[y>>2]=f[s+8>>2];f[l+12>>2]=f[s+12>>2];f[l+16>>2]=f[s+16>>2];f[l+20>>2]=f[s+20>>2];f[l+24>>2]=f[s+24>>2];f[l+28>>2]=f[s+28>>2];f[l+32>>2]=f[s+32>>2];I=f[s+36>>2]|0;f[l+36>>2]=I;f[l+40>>2]=y;y=l+48|0;H=l+44|0;f[H>>2]=y;f[y>>2]=0;f[l+52>>2]=0;if(I|0){y=I+12|0;f[y>>2]=(f[y>>2]|0)+1}if((f[w>>2]|0)<3){w=f[s+44>>2]|0;y=f[H>>2]|0;f[y>>2]=f[w>>2];f[y+4>>2]=f[w+4>>2];break}else{f[z>>2]=0;kP(l,s);break}}else lD(l,e,-1);while(0);n[m>>2]=+p[h>>3];s=(t|0)==5;z=s?m:h;m=s?147:146;if(((f[j>>2]&16384|0)!=0?(f[k>>2]&16384|0)!=0:0)?(f[l>>2]&16384|0)!=0:0){s=f[x>>2]|0;if((s|0)<3)J=Y(f[j+12>>2]|0,f[j+8>>2]|0)|0;else{w=f[D>>2]|0;y=0;H=1;while(1){I=Y(f[w+(y<<2)>>2]|0,H)|0;y=y+1|0;if((y|0)==(s|0)){J=I;break}else H=I}}H=Y(J,v)|0;sh[m&255](f[j+16>>2]|0,f[k+16>>2]|0,f[l+16>>2]|0,H,z)}else{f[o>>2]=j;f[o+4>>2]=k;f[o+8>>2]=l;f[o+12>>2]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;IN(r,o,q,-1);o=Y(f[r+20>>2]|0,v)|0;v=r+16|0;H=q+4|0;J=q+8|0;s=0;while(1){if(s>>>0>=(f[v>>2]|0)>>>0)break;sh[m&255](f[q>>2]|0,f[H>>2]|0,f[J>>2]|0,o,z);JN(r)|0;s=s+1|0}}s=l+36|0;r=f[s>>2]|0;if(r|0?(z=r+12|0,r=f[z>>2]|0,f[z>>2]=r+-1,(r|0)==1):0)lP(l);f[s>>2]=0;s=l+16|0;r=l+4|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[r>>2]|0)>0){s=f[l+40>>2]|0;z=0;do{f[s+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[r>>2]|0))}r=f[l+44>>2]|0;if((r|0)!=(l+48|0))tE(r);r=k+36|0;l=f[r>>2]|0;if(l|0?(z=l+12|0,l=f[z>>2]|0,f[z>>2]=l+-1,(l|0)==1):0)lP(k);f[r>>2]=0;r=k+16|0;l=k+4|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[l>>2]|0)>0){r=f[G>>2]|0;G=0;do{f[r+(G<<2)>>2]=0;G=G+1|0}while((G|0)<(f[l>>2]|0))}l=f[k+44>>2]|0;if((l|0)!=(k+48|0))tE(l);l=j+36|0;k=f[l>>2]|0;if(k|0?(G=k+12|0,k=f[G>>2]|0,f[G>>2]=k+-1,(k|0)==1):0)lP(j);f[l>>2]=0;l=j+16|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[x>>2]|0)>0){l=f[D>>2]|0;D=0;do{f[l+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[x>>2]|0))}x=f[j+44>>2]|0;if((x|0)!=(j+48|0))tE(x)}else fJ(a,+p[h>>3],d,1.0,0.0,e,t);if(!(f[i+4>>2]|0)){u=g;return}u=g;return}function mX(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0.0,g=0;f=+n[e>>2];if((d|0)>0)g=0;else return;do{n[c+(g<<2)>>2]=f*+n[a+(g<<2)>>2]+ +n[b+(g<<2)>>2];g=g+1|0}while((g|0)!=(d|0));return}function nX(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0.0,g=0;f=+p[e>>3];if((d|0)>0)g=0;else return;do{p[c+(g<<3)>>3]=f*+p[a+(g<<3)>>3]+ +p[b+(g<<3)>>3];g=g+1|0}while((g|0)!=(d|0));return}function oX(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;i=u;u=u+352|0;j=i+344|0;k=i+288|0;l=i+232|0;m=i+176|0;n=i+120|0;o=i+104|0;p=i+88|0;q=i+72|0;r=i+16|0;s=i;zT(j,49380);do if((pD(a)|0)==65536){t=f[a+4>>2]|0;f[k>>2]=f[t>>2];v=k+4|0;w=t+4|0;f[v>>2]=f[w>>2];x=k+8|0;f[x>>2]=f[t+8>>2];f[k+12>>2]=f[t+12>>2];f[k+16>>2]=f[t+16>>2];f[k+20>>2]=f[t+20>>2];f[k+24>>2]=f[t+24>>2];f[k+28>>2]=f[t+28>>2];f[k+32>>2]=f[t+32>>2];y=f[t+36>>2]|0;f[k+36>>2]=y;f[k+40>>2]=x;x=k+48|0;z=k+44|0;f[z>>2]=x;f[x>>2]=0;f[k+52>>2]=0;if(y|0){x=y+12|0;f[x>>2]=(f[x>>2]|0)+1}if((f[w>>2]|0)<3){w=f[t+44>>2]|0;x=f[z>>2]|0;f[x>>2]=f[w>>2];f[x+4>>2]=f[w+4>>2];break}else{f[v>>2]=0;kP(k,t);break}}else lD(k,a,-1);while(0);do if((pD(e)|0)==65536){a=f[e+4>>2]|0;f[l>>2]=f[a>>2];t=l+4|0;v=a+4|0;f[t>>2]=f[v>>2];w=l+8|0;f[w>>2]=f[a+8>>2];f[l+12>>2]=f[a+12>>2];f[l+16>>2]=f[a+16>>2];f[l+20>>2]=f[a+20>>2];f[l+24>>2]=f[a+24>>2];f[l+28>>2]=f[a+28>>2];f[l+32>>2]=f[a+32>>2];x=f[a+36>>2]|0;f[l+36>>2]=x;f[l+40>>2]=w;w=l+48|0;z=l+44|0;f[z>>2]=w;f[w>>2]=0;f[l+52>>2]=0;if(x|0){w=x+12|0;f[w>>2]=(f[w>>2]|0)+1}if((f[v>>2]|0)<3){v=f[a+44>>2]|0;w=f[z>>2]|0;f[w>>2]=f[v>>2];f[w+4>>2]=f[v+4>>2];A=l;break}else{f[t>>2]=0;kP(l,a);A=l;break}}else{lD(l,e,-1);A=l}while(0);e=f[k>>2]|0;a=e&4095;t=((h|0)>-1?h:e)&7;h=f[A>>2]|0;A=h&7;v=t>>>0<A>>>0?A:t;t=(v|0)>5?v:5;if(e&4088|0){f[m>>2]=0;f[m+4>>2]=0;B=YG(m,19)|0;C=221898;D=B+19|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));SQ(-215,m,221918,220950,2887)}e=l+16|0;if(f[e>>2]|0){A=f[l+4>>2]|0;if((A|0)<3)E=Y(f[l+12>>2]|0,f[l+8>>2]|0)|0;else{w=f[l+40>>2]|0;z=0;x=1;while(1){y=Y(f[w+(z<<2)>>2]|0,x)|0;z=z+1|0;if((z|0)==(A|0)){E=y;break}else x=y}}if(!((A|0)==0|(E|0)==0)){if(h&4088|0){f[m>>2]=0;f[m+4>>2]=0;B=YG(m,21)|0;C=221932;D=B+21|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));SQ(-215,m,221918,220950,2893)}E=f[l+8>>2]|0;if(!((E|0)==1?1:(E|0)==(f[k+8>>2]|0))){f[m>>2]=0;f[m+4>>2]=0;B=YG(m,43)|0;C=221954;D=B+43|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));SQ(-215,m,221918,220950,2893)}E=f[l+12>>2]|0;if(!((E|0)==1?1:(E|0)==(f[k+12>>2]|0))){f[m>>2]=0;f[m+4>>2]=0;B=YG(m,43)|0;C=221998;D=B+43|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));SQ(-215,m,221918,220950,2893)}if((h&4095|0)!=(t|0)){h=m+8|0;f[h>>2]=0;f[h+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=l;IO(l,m,t,1.0,0.0)}}}h=k+8|0;C=k+12|0;E=d?f[C>>2]|0:f[h>>2]|0;iE(c,E,E,t,-1,0,0);do if((pD(c)|0)==65536){E=f[c+4>>2]|0;f[m>>2]=f[E>>2];A=m+4|0;x=E+4|0;f[A>>2]=f[x>>2];z=m+8|0;f[z>>2]=f[E+8>>2];f[m+12>>2]=f[E+12>>2];w=m+16|0;f[w>>2]=f[E+16>>2];f[m+20>>2]=f[E+20>>2];f[m+24>>2]=f[E+24>>2];f[m+28>>2]=f[E+28>>2];f[m+32>>2]=f[E+32>>2];y=f[E+36>>2]|0;f[m+36>>2]=y;f[m+40>>2]=z;z=m+48|0;F=m+44|0;f[F>>2]=z;f[z>>2]=0;f[m+52>>2]=0;if(y|0){z=y+12|0;f[z>>2]=(f[z>>2]|0)+1}if((f[x>>2]|0)<3){x=f[E+44>>2]|0;z=f[F>>2]|0;f[z>>2]=f[x>>2];f[z+4>>2]=f[x+4>>2];G=w;break}else{f[A>>2]=0;kP(m,E);G=w;break}}else{lD(m,c,-1);G=m+16|0}while(0);c=k+16|0;do if((f[c>>2]|0)==(f[G>>2]|0))H=42;else{if(((a|0)==(t|0)?(f[m+12>>2]|0)>99:0)?((f[C>>2]|0)>99?(f[m+8>>2]|0)>99:0)&(f[h>>2]|0)>99:0){H=42;break}w=(a|0)==0;E=(v|0)<6;do if(!(w&E)){A=(t|0)==6;if(w&A){I=d?23:22;break}x=(a|0)==2;if(x&E){I=d?25:24;break}if(x&A){I=d?27:26;break}x=(a|0)==3;if(x&E){I=d?29:28;break}if(x&A){I=d?31:30;break}x=(a|0)==5;if(x&E){I=d?33:32;break}if(x&A){I=d?35:34;break}if((a|0)==6&A)I=d?37:36;else{f[n>>2]=0;f[n+4>>2]=0;SQ(-210,n,221918,220950,2988)}}else I=d?21:20;while(0);mh[I&63](k,m,l,g);E=n+8|0;f[E>>2]=0;f[E+4>>2]=0;f[n>>2]=50397184;f[n+4>>2]=m;lK(n,0)}while(0);if((H|0)==42){f[n>>2]=1124007936;H=n+4|0;I=n+8|0;a=n+40|0;B=H;D=B+36|0;do{f[B>>2]=0;B=B+4|0}while((B|0)<(D|0));f[a>>2]=I;I=n+48|0;t=n+44|0;f[t>>2]=I;f[I>>2]=0;f[n+52>>2]=0;do if(f[e>>2]|0){v=f[l+4>>2]|0;if((v|0)<3)J=Y(f[l+12>>2]|0,f[l+8>>2]|0)|0;else{E=f[l+40>>2]|0;w=0;A=1;while(1){x=Y(f[E+(w<<2)>>2]|0,A)|0;w=w+1|0;if((w|0)==(v|0)){J=x;break}else A=x}}if(!((v|0)==0|(J|0)==0)){A=f[l+40>>2]|0;w=f[k+40>>2]|0;if((f[A>>2]|0)==(f[w>>2]|0)?(f[A+4>>2]|0)==(f[w+4>>2]|0):0){f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=k;f[p+8>>2]=0;f[p+12>>2]=0;f[p>>2]=16842752;f[p+4>>2]=l;w=q+8|0;f[w>>2]=0;f[w+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=n;fI(o,p,q,rE()|0,-1);K=n;break}else{f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=l;w=f[h>>2]|0;A=f[l+8>>2]|0;E=f[C>>2]|0;x=f[l+12>>2]|0;z=p+8|0;f[z>>2]=0;f[z+4>>2]=0;f[p>>2]=33619968;f[p+4>>2]=n;rT(o,(w|0)/(A|0)|0,(E|0)/(x|0)|0,p);f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=k;f[p+8>>2]=0;f[p+12>>2]=0;f[p>>2]=16842752;f[p+4>>2]=n;x=q+8|0;f[x>>2]=0;f[x+4>>2]=0;f[q>>2]=33619968;f[q+4>>2]=n;fI(o,p,q,rE()|0,-1);K=n;break}}else K=k}else K=k;while(0);f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=16842752;f[o+4>>2]=K;f[p+8>>2]=0;f[p+12>>2]=0;f[p>>2]=16842752;f[p+4>>2]=K;f[r>>2]=1124007936;K=r+4|0;C=r+8|0;h=r+40|0;B=K;D=B+36|0;do{f[B>>2]=0;B=B+4|0}while((B|0)<(D|0));f[h>>2]=C;C=r+48|0;B=r+44|0;f[B>>2]=C;f[C>>2]=0;f[r+52>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;f[q>>2]=16842752;f[q+4>>2]=r;D=s+8|0;f[D>>2]=0;f[D+4>>2]=0;f[s>>2]=33619968;f[s+4>>2]=m;UW(o,p,g,q,0.0,s,d?1:2);d=r+36|0;s=f[d>>2]|0;if(s|0?(q=s+12|0,s=f[q>>2]|0,f[q>>2]=s+-1,(s|0)==1):0)lP(r);f[d>>2]=0;d=r+16|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[K>>2]|0)>0){d=f[h>>2]|0;h=0;do{f[d+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[K>>2]|0))}K=f[B>>2]|0;if((K|0)!=(C|0))tE(K);K=n+36|0;C=f[K>>2]|0;if(C|0?(B=C+12|0,C=f[B>>2]|0,f[B>>2]=C+-1,(C|0)==1):0)lP(n);f[K>>2]=0;K=n+16|0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[H>>2]|0)>0){K=f[a>>2]|0;a=0;do{f[K+(a<<2)>>2]=0;a=a+1|0}while((a|0)<(f[H>>2]|0))}H=f[t>>2]|0;if((H|0)!=(I|0))tE(H)}H=m+36|0;I=f[H>>2]|0;if(I|0?(t=I+12|0,I=f[t>>2]|0,f[t>>2]=I+-1,(I|0)==1):0)lP(m);f[H>>2]=0;H=m+4|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[H>>2]|0)>0){G=f[m+40>>2]|0;I=0;do{f[G+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[H>>2]|0))}H=f[m+44>>2]|0;if((H|0)!=(m+48|0))tE(H);H=l+36|0;m=f[H>>2]|0;if(m|0?(I=m+12|0,m=f[I>>2]|0,f[I>>2]=m+-1,(m|0)==1):0)lP(l);f[H>>2]=0;H=l+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[H>>2]|0)>0){e=f[l+40>>2]|0;m=0;do{f[e+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[H>>2]|0))}H=f[l+44>>2]|0;if((H|0)!=(l+48|0))tE(H);H=k+36|0;l=f[H>>2]|0;if(l|0?(m=l+12|0,l=f[m>>2]|0,f[m>>2]=l+-1,(l|0)==1):0)lP(k);f[H>>2]=0;H=k+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[H>>2]|0)>0){c=f[k+40>>2]|0;l=0;do{f[c+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[H>>2]|0))}H=f[k+44>>2]|0;if((H|0)!=(k+48|0))tE(H);if(!(f[j+4>>2]|0)){u=i;return}u=i;return}function pX(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0,T=0,U=0;e=u;u=u+1040|0;g=e;i=f[a+16>>2]|0;j=f[b+16>>2]|0;k=f[c+16>>2]|0;l=f[a+48>>2]|0;m=(f[b+48>>2]|0)>>>2;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>2:0;o=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;p=f[c>>2]|0;c=g+8|0;f[g>>2]=c;q=g+4|0;f[q>>2]=1032;r=(k|0)!=0;s=(o|0)<(a|0);o=r&s?p*20|0:p<<2;f[q>>2]=o;if(o>>>0>1032){t=Dmc(o)|0;f[g>>2]=t;v=t}else v=c;a:do if(r){do if(s){t=v+(p<<2)|0;if((p|0)<=0)if(!t){w=11;break a}else{x=t;y=t;z=b|0?4:0;break}else A=0;do{o=k+((Y(A,b)|0)<<2)|0;B=f[o>>2]|0;o=A<<2;f[t+((o|3)<<2)>>2]=B;f[t+((o|2)<<2)>>2]=B;f[t+((o|1)<<2)>>2]=B;f[t+(o<<2)>>2]=B;A=A+1|0}while((A|0)!=(p|0));x=t;y=t;z=b|0?4:0}else{x=k;y=0;z=b}while(0);if((a|0)>0){B=(y|0)!=0;o=(p|0)>0;C=a+-4|0;D=d*0.0;E=d*0.0;F=d*0.0;G=j;H=0;while(1){if(B){if(o){I=0;do{J=i+((Y(I,l)|0)+H)|0;K=y+((Y(I,z)|0)<<2)|0;n[v+(I<<2)>>2]=+(h[J>>0]|0)-+n[K>>2];I=I+1|0}while((I|0)!=(p|0))}}else if(o){I=0;do{t=i+((Y(I,l)|0)+H)|0;K=x+((Y(I,z)|0)+H<<2)|0;n[v+(I<<2)>>2]=+(h[t>>0]|0)-+n[K>>2];I=I+1|0}while((I|0)!=(p|0))}b:do if((H|0)>(C|0))L=H;else{if(o)M=H;else{I=H;while(1){n[G+(I<<2)>>2]=F;n[G+(I+1<<2)>>2]=F;n[G+(I+2<<2)>>2]=F;n[G+(I+3<<2)>>2]=F;K=I+4|0;if((K|0)>(C|0)){L=K;break b}else I=K}}while(1){I=B?y:x+(M<<2)|0;K=i+M|0;N=0.0;O=0.0;P=0.0;Q=0.0;t=0;while(1){R=+n[v+(t<<2)>>2];Q=Q+R*(+(h[K>>0]|0)-+n[I>>2]);P=P+R*(+(h[K+1>>0]|0)-+n[I+4>>2]);O=O+R*(+(h[K+2>>0]|0)-+n[I+8>>2]);N=N+R*(+(h[K+3>>0]|0)-+n[I+12>>2]);t=t+1|0;if((t|0)==(p|0))break;else{I=I+(z<<2)|0;K=K+l|0}}n[G+(M<<2)>>2]=Q*d;n[G+(M+1<<2)>>2]=P*d;n[G+(M+2<<2)>>2]=O*d;n[G+(M+3<<2)>>2]=N*d;K=M+4|0;if((K|0)>(C|0)){L=K;break}else M=K}}while(0);c:do if((L|0)<(a|0)){if(!o)if(B){K=L;while(1){n[G+(K<<2)>>2]=D;K=K+1|0;if((K|0)==(a|0))break c}}else{K=L;while(1){n[G+(K<<2)>>2]=E;K=K+1|0;if((K|0)==(a|0))break c}}if(B){K=L;do{I=i+K|0;R=0.0;t=y;J=0;while(1){R=R+ +n[v+(J<<2)>>2]*(+(h[I>>0]|0)-+n[t>>2]);J=J+1|0;if((J|0)==(p|0))break;else{I=I+l|0;t=t+(z<<2)|0}}n[G+(K<<2)>>2]=R*d;K=K+1|0}while((K|0)!=(a|0))}else{K=L;do{t=i+K|0;N=0.0;I=x+(K<<2)|0;J=0;while(1){N=N+ +n[v+(J<<2)>>2]*(+(h[t>>0]|0)-+n[I>>2]);J=J+1|0;if((J|0)==(p|0))break;else{t=t+l|0;I=I+(z<<2)|0}}n[G+(K<<2)>>2]=N*d;K=K+1|0}while((K|0)!=(a|0))}}while(0);H=H+1|0;if((H|0)==(a|0))break;else G=G+(m<<2)|0}}}else w=11;while(0);if((w|0)==11?(a|0)>0:0){w=(p|0)>0;z=a+-4|0;E=d*0.0;D=d*0.0;x=j;j=0;while(1){if(w){L=0;do{y=i+((Y(L,l)|0)+j)|0;n[v+(L<<2)>>2]=+(h[y>>0]|0);L=L+1|0}while((L|0)!=(p|0))}d:do if((j|0)>(z|0))S=j;else{if(w)T=j;else{L=j;while(1){n[x+(L<<2)>>2]=D;n[x+(L+1<<2)>>2]=D;n[x+(L+2<<2)>>2]=D;n[x+(L+3<<2)>>2]=D;y=L+4|0;if((y|0)>(z|0)){S=y;break d}else L=y}}while(1){L=i+T|0;F=0.0;R=0.0;O=0.0;P=0.0;y=0;while(1){Q=+n[v+(y<<2)>>2];P=P+Q*+(h[L>>0]|0);O=O+Q*+(h[L+1>>0]|0);R=R+Q*+(h[L+2>>0]|0);F=F+Q*+(h[L+3>>0]|0);y=y+1|0;if((y|0)==(p|0))break;else L=L+l|0}n[x+(T<<2)>>2]=P*d;n[x+(T+1<<2)>>2]=O*d;n[x+(T+2<<2)>>2]=R*d;n[x+(T+3<<2)>>2]=F*d;L=T+4|0;if((L|0)>(z|0)){S=L;break}else T=L}}while(0);e:do if((S|0)<(a|0)){if(w)U=S;else{L=S;while(1){n[x+(L<<2)>>2]=E;L=L+1|0;if((L|0)==(a|0))break e}}do{L=i+U|0;Q=0.0;y=0;while(1){Q=Q+ +n[v+(y<<2)>>2]*+(h[L>>0]|0);y=y+1|0;if((y|0)==(p|0))break;else L=L+l|0}n[x+(U<<2)>>2]=Q*d;U=U+1|0}while((U|0)!=(a|0))}while(0);j=j+1|0;if((j|0)==(a|0))break;else x=x+(m<<2)|0}}if((v|0)==(c|0)){u=e;return}Fmc(v);f[g>>2]=c;f[q>>2]=1032;u=e;return}function qX(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0.0,K=0.0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0.0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0.0,$=0.0,aa=0,ba=0,ca=0.0;e=u;u=u+1056|0;g=e+1040|0;i=e;j=f[a+16>>2]|0;k=f[b+16>>2]|0;l=f[c+16>>2]|0;m=f[a+48>>2]|0;o=(f[b+48>>2]|0)>>>2;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>2:0;p=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;q=f[c>>2]|0;if(!l){if((q|0)<=0){u=e;return}c=a+-4|0;r=(a|0)<4;t=a&-4;v=(a|0)>0;w=(t|0)<(a|0);x=0;y=k;while(1){z=j+(Y(x,m)|0)|0;if(r){A=x;do{B=j+(Y(A,m)|0)|0;if(v){C=0;D=0.0;while(1){E=D+ +(h[z+C>>0]|0)*+(h[B+C>>0]|0);C=C+1|0;if((C|0)==(a|0)){F=E;break}else D=E}}else F=0.0;n[y+(A<<2)>>2]=F*d;A=A+1|0}while((A|0)!=(q|0))}else{A=x;do{C=j+(Y(A,m)|0)|0;B=0;D=0.0;do{G=B|1;H=B|2;I=B|3;D=D+(+(h[z+B>>0]|0)*+(h[C+B>>0]|0)+ +(h[z+G>>0]|0)*+(h[C+G>>0]|0)+ +(h[z+H>>0]|0)*+(h[C+H>>0]|0)+ +(h[z+I>>0]|0)*+(h[C+I>>0]|0));B=B+4|0}while((B|0)<=(c|0));if(w){B=t;E=D;while(1){J=E+ +(h[z+B>>0]|0)*+(h[C+B>>0]|0);B=B+1|0;if((B|0)==(a|0)){K=J;break}else E=J}}else K=D;n[y+(A<<2)>>2]=K*d;A=A+1|0}while((A|0)!=(q|0))}x=x+1|0;if((x|0)==(q|0))break;else y=y+(o<<2)|0}u=e;return}y=(p|0)==(a|0)?4:0;x=a<<2;t=i+8|0;f[i>>2]=t;w=i+4|0;f[w>>2]=x;if(x>>>0>1032){c=Dmc(x)|0;f[i>>2]=c;L=c}else L=t;if((q|0)>0){c=(p|0)<(a|0);p=(a|0)>0;x=g+12|0;v=g+8|0;r=g+4|0;A=a+-4|0;z=(a|0)<4;B=a&-4;C=Y(y,B)|0;I=g+C|0;H=0;G=k;k=l+C|0;while(1){C=j+(Y(H,m)|0)|0;M=l+((Y(H,b)|0)<<2)|0;if(c)if(p){N=0;do{n[L+(N<<2)>>2]=+(h[C+N>>0]|0)-+n[M>>2];N=N+1|0}while((N|0)!=(a|0));O=21}else{P=H;O=22}else if(p){N=0;do{n[L+(N<<2)>>2]=+(h[C+N>>0]|0)-+n[M+(N<<2)>>2];N=N+1|0}while((N|0)!=(a|0));O=21}else{Q=H;R=k;O=31}if((O|0)==21){O=0;if(c){P=H;O=22}else{Q=H;R=k;O=31}}if((O|0)==22)while(1){O=0;N=j+(Y(P,m)|0)|0;M=l+((Y(P,b)|0)<<2)|0;C=f[M>>2]|0;f[x>>2]=C;f[v>>2]=C;f[r>>2]=C;f[g>>2]=C;a:do if(z){S=0.0;T=g;U=0}else{K=0.0;M=g;V=0;F=(f[s>>2]=C,+n[s>>2]);while(1){W=V|1;X=V|2;Z=V|3;E=K+(+n[L+(V<<2)>>2]*(+(h[N+V>>0]|0)-F)+ +n[L+(W<<2)>>2]*(+(h[N+W>>0]|0)-+n[M+4>>2])+ +n[L+(X<<2)>>2]*(+(h[N+X>>0]|0)-+n[M+8>>2])+ +n[L+(Z<<2)>>2]*(+(h[N+Z>>0]|0)-+n[M+12>>2]));Z=V+4|0;X=M+(y<<2)|0;if((Z|0)>(A|0)){S=E;T=I;U=B;break a}K=E;M=X;V=Z;F=+n[X>>2]}}while(0);if((U|0)<(a|0)){D=S;C=T;V=U;while(1){F=D+ +n[L+(V<<2)>>2]*(+(h[N+V>>0]|0)-+n[C>>2]);V=V+1|0;if((V|0)==(a|0)){_=F;break}else{D=F;C=C+4|0}}}else _=S;n[G+(P<<2)>>2]=_*d;P=P+1|0;if((P|0)==(q|0))break;else O=22}else if((O|0)==31)while(1){O=0;C=j+(Y(Q,m)|0)|0;V=l+((Y(Q,b)|0)<<2)|0;if(z){$=0.0;aa=V;ba=0}else{D=0.0;N=V;V=0;while(1){M=V|1;X=V|2;Z=V|3;F=D+(+n[L+(V<<2)>>2]*(+(h[C+V>>0]|0)-+n[N>>2])+ +n[L+(M<<2)>>2]*(+(h[C+M>>0]|0)-+n[N+4>>2])+ +n[L+(X<<2)>>2]*(+(h[C+X>>0]|0)-+n[N+8>>2])+ +n[L+(Z<<2)>>2]*(+(h[C+Z>>0]|0)-+n[N+12>>2]));V=V+4|0;if((V|0)>(A|0)){$=F;aa=R;ba=B;break}else{D=F;N=N+(y<<2)|0}}}if((ba|0)<(a|0)){D=$;N=aa;V=ba;while(1){F=D+ +n[L+(V<<2)>>2]*(+(h[C+V>>0]|0)-+n[N>>2]);V=V+1|0;if((V|0)==(a|0)){ca=F;break}else{D=F;N=N+4|0}}}else ca=$;n[G+(Q<<2)>>2]=ca*d;Q=Q+1|0;if((Q|0)==(q|0))break;else{R=R+(b<<2)|0;O=31}}H=H+1|0;if((H|0)==(q|0))break;else{G=G+(o<<2)|0;k=k+(b<<2)|0}}}if((L|0)!=(t|0)){Fmc(L);f[i>>2]=t;f[w>>2]=1032}u=e;return}function rX(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0,T=0,U=0;e=u;u=u+1040|0;g=e;i=f[a+16>>2]|0;j=f[b+16>>2]|0;k=f[c+16>>2]|0;l=f[a+48>>2]|0;m=(f[b+48>>2]|0)>>>3;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>3:0;n=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;o=f[c>>2]|0;c=g+8|0;f[g>>2]=c;q=g+4|0;f[q>>2]=1032;r=(k|0)!=0;s=(n|0)<(a|0);n=r&s?o*40|0:o<<3;f[q>>2]=n;if(n>>>0>1032){t=Dmc(n)|0;f[g>>2]=t;v=t}else v=c;a:do if(r){do if(s){t=v+(o<<3)|0;if((o|0)<=0)if(!t){w=11;break a}else{x=t;y=t;z=b|0?4:0;break}else A=0;do{n=k+((Y(A,b)|0)<<3)|0;B=+p[n>>3];n=A<<2;p[t+((n|3)<<3)>>3]=B;p[t+((n|2)<<3)>>3]=B;p[t+((n|1)<<3)>>3]=B;p[t+(n<<3)>>3]=B;A=A+1|0}while((A|0)!=(o|0));x=t;y=t;z=b|0?4:0}else{x=k;y=0;z=b}while(0);if((a|0)>0){n=(y|0)!=0;C=(o|0)>0;D=a+-4|0;B=d*0.0;E=d*0.0;F=d*0.0;G=j;H=0;while(1){if(n){if(C){I=0;do{J=i+((Y(I,l)|0)+H)|0;K=y+((Y(I,z)|0)<<3)|0;p[v+(I<<3)>>3]=+(h[J>>0]|0)-+p[K>>3];I=I+1|0}while((I|0)!=(o|0))}}else if(C){I=0;do{t=i+((Y(I,l)|0)+H)|0;K=x+((Y(I,z)|0)+H<<3)|0;p[v+(I<<3)>>3]=+(h[t>>0]|0)-+p[K>>3];I=I+1|0}while((I|0)!=(o|0))}b:do if((H|0)>(D|0))L=H;else{if(C)M=H;else{I=H;while(1){p[G+(I<<3)>>3]=F;p[G+(I+1<<3)>>3]=F;p[G+(I+2<<3)>>3]=F;p[G+(I+3<<3)>>3]=F;K=I+4|0;if((K|0)>(D|0)){L=K;break b}else I=K}}while(1){I=n?y:x+(M<<3)|0;K=i+M|0;N=0.0;O=0.0;P=0.0;Q=0.0;t=0;while(1){R=+p[v+(t<<3)>>3];Q=Q+R*(+(h[K>>0]|0)-+p[I>>3]);P=P+R*(+(h[K+1>>0]|0)-+p[I+8>>3]);O=O+R*(+(h[K+2>>0]|0)-+p[I+16>>3]);N=N+R*(+(h[K+3>>0]|0)-+p[I+24>>3]);t=t+1|0;if((t|0)==(o|0))break;else{I=I+(z<<3)|0;K=K+l|0}}p[G+(M<<3)>>3]=Q*d;p[G+(M+1<<3)>>3]=P*d;p[G+(M+2<<3)>>3]=O*d;p[G+(M+3<<3)>>3]=N*d;K=M+4|0;if((K|0)>(D|0)){L=K;break}else M=K}}while(0);c:do if((L|0)<(a|0)){if(!C)if(n){K=L;while(1){p[G+(K<<3)>>3]=B;K=K+1|0;if((K|0)==(a|0))break c}}else{K=L;while(1){p[G+(K<<3)>>3]=E;K=K+1|0;if((K|0)==(a|0))break c}}if(n){K=L;do{I=i+K|0;R=0.0;t=y;J=0;while(1){R=R+ +p[v+(J<<3)>>3]*(+(h[I>>0]|0)-+p[t>>3]);J=J+1|0;if((J|0)==(o|0))break;else{I=I+l|0;t=t+(z<<3)|0}}p[G+(K<<3)>>3]=R*d;K=K+1|0}while((K|0)!=(a|0))}else{K=L;do{t=i+K|0;N=0.0;I=x+(K<<3)|0;J=0;while(1){N=N+ +p[v+(J<<3)>>3]*(+(h[t>>0]|0)-+p[I>>3]);J=J+1|0;if((J|0)==(o|0))break;else{t=t+l|0;I=I+(z<<3)|0}}p[G+(K<<3)>>3]=N*d;K=K+1|0}while((K|0)!=(a|0))}}while(0);H=H+1|0;if((H|0)==(a|0))break;else G=G+(m<<3)|0}}}else w=11;while(0);if((w|0)==11?(a|0)>0:0){w=(o|0)>0;z=a+-4|0;E=d*0.0;B=d*0.0;x=j;j=0;while(1){if(w){L=0;do{y=i+((Y(L,l)|0)+j)|0;p[v+(L<<3)>>3]=+(h[y>>0]|0);L=L+1|0}while((L|0)!=(o|0))}d:do if((j|0)>(z|0))S=j;else{if(w)T=j;else{L=j;while(1){p[x+(L<<3)>>3]=B;p[x+(L+1<<3)>>3]=B;p[x+(L+2<<3)>>3]=B;p[x+(L+3<<3)>>3]=B;y=L+4|0;if((y|0)>(z|0)){S=y;break d}else L=y}}while(1){L=i+T|0;F=0.0;R=0.0;O=0.0;P=0.0;y=0;while(1){Q=+p[v+(y<<3)>>3];P=P+Q*+(h[L>>0]|0);O=O+Q*+(h[L+1>>0]|0);R=R+Q*+(h[L+2>>0]|0);F=F+Q*+(h[L+3>>0]|0);y=y+1|0;if((y|0)==(o|0))break;else L=L+l|0}p[x+(T<<3)>>3]=P*d;p[x+(T+1<<3)>>3]=O*d;p[x+(T+2<<3)>>3]=R*d;p[x+(T+3<<3)>>3]=F*d;L=T+4|0;if((L|0)>(z|0)){S=L;break}else T=L}}while(0);e:do if((S|0)<(a|0)){if(w)U=S;else{L=S;while(1){p[x+(L<<3)>>3]=E;L=L+1|0;if((L|0)==(a|0))break e}}do{L=i+U|0;Q=0.0;y=0;while(1){Q=Q+ +p[v+(y<<3)>>3]*+(h[L>>0]|0);y=y+1|0;if((y|0)==(o|0))break;else L=L+l|0}p[x+(U<<3)>>3]=Q*d;U=U+1|0}while((U|0)!=(a|0))}while(0);j=j+1|0;if((j|0)==(a|0))break;else x=x+(m<<3)|0}}if((v|0)==(c|0)){u=e;return}Fmc(v);f[g>>2]=c;f[q>>2]=1032;u=e;return}function sX(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0,G=0,H=0,I=0.0,J=0.0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0,W=0,X=0.0,Z=0.0,_=0,$=0,aa=0.0;e=u;u=u+1072|0;g=e;i=e+32|0;j=f[a+16>>2]|0;k=f[b+16>>2]|0;l=f[c+16>>2]|0;m=f[a+48>>2]|0;n=(f[b+48>>2]|0)>>>3;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>3:0;o=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;q=f[c>>2]|0;if(!l){if((q|0)<=0){u=e;return}c=a+-4|0;r=(a|0)<4;s=a&-4;t=(a|0)>0;v=(s|0)<(a|0);w=0;x=k;while(1){y=j+(Y(w,m)|0)|0;if(r){z=w;do{A=j+(Y(z,m)|0)|0;if(t){B=0;C=0.0;while(1){D=C+ +(h[y+B>>0]|0)*+(h[A+B>>0]|0);B=B+1|0;if((B|0)==(a|0)){E=D;break}else C=D}}else E=0.0;p[x+(z<<3)>>3]=E*d;z=z+1|0}while((z|0)!=(q|0))}else{z=w;do{B=j+(Y(z,m)|0)|0;A=0;C=0.0;do{F=A|1;G=A|2;H=A|3;C=C+(+(h[y+A>>0]|0)*+(h[B+A>>0]|0)+ +(h[y+F>>0]|0)*+(h[B+F>>0]|0)+ +(h[y+G>>0]|0)*+(h[B+G>>0]|0)+ +(h[y+H>>0]|0)*+(h[B+H>>0]|0));A=A+4|0}while((A|0)<=(c|0));if(v){A=s;D=C;while(1){I=D+ +(h[y+A>>0]|0)*+(h[B+A>>0]|0);A=A+1|0;if((A|0)==(a|0)){J=I;break}else D=I}}else J=C;p[x+(z<<3)>>3]=J*d;z=z+1|0}while((z|0)!=(q|0))}w=w+1|0;if((w|0)==(q|0))break;else x=x+(n<<3)|0}u=e;return}x=(o|0)==(a|0)?4:0;w=a<<3;s=i+8|0;f[i>>2]=s;v=i+4|0;f[v>>2]=w;if(w>>>0>1032){c=Dmc(w)|0;f[i>>2]=c;K=c}else K=s;if((q|0)>0){c=(o|0)<(a|0);o=(a|0)>0;w=g+24|0;t=g+16|0;r=g+8|0;z=a+-4|0;y=(a|0)<4;A=z>>>2;B=(A<<2)+4|0;H=Y(x,(A<<3)+8|0)|0;A=g+H|0;G=0;F=k;k=l+H|0;while(1){H=j+(Y(G,m)|0)|0;L=l+((Y(G,b)|0)<<3)|0;if(c)if(o){M=0;do{p[K+(M<<3)>>3]=+(h[H+M>>0]|0)-+p[L>>3];M=M+1|0}while((M|0)!=(a|0));N=21}else{O=G;N=22}else if(o){M=0;do{p[K+(M<<3)>>3]=+(h[H+M>>0]|0)-+p[L+(M<<3)>>3];M=M+1|0}while((M|0)!=(a|0));N=21}else{P=G;Q=k;N=30}if((N|0)==21){N=0;if(c){O=G;N=22}else{P=G;Q=k;N=30}}if((N|0)==22)while(1){N=0;M=j+(Y(O,m)|0)|0;L=l+((Y(O,b)|0)<<3)|0;J=+p[L>>3];p[w>>3]=J;p[t>>3]=J;p[r>>3]=J;p[g>>3]=J;a:do if(y){R=0.0;S=g;T=0}else{E=0.0;L=g;H=0;D=J;while(1){U=H|1;V=H|2;W=H|3;I=E+(+p[K+(H<<3)>>3]*(+(h[M+H>>0]|0)-D)+ +p[K+(U<<3)>>3]*(+(h[M+U>>0]|0)-+p[L+8>>3])+ +p[K+(V<<3)>>3]*(+(h[M+V>>0]|0)-+p[L+16>>3])+ +p[K+(W<<3)>>3]*(+(h[M+W>>0]|0)-+p[L+24>>3]));W=H+4|0;V=L+(x<<3)|0;if((W|0)>(z|0)){R=I;S=A;T=B;break a}E=I;L=V;H=W;D=+p[V>>3]}}while(0);if((T|0)<(a|0)){J=R;H=S;L=T;while(1){C=J+ +p[K+(L<<3)>>3]*(+(h[M+L>>0]|0)-+p[H>>3]);L=L+1|0;if((L|0)==(a|0)){X=C;break}else{J=C;H=H+8|0}}}else X=R;p[F+(O<<3)>>3]=X*d;O=O+1|0;if((O|0)==(q|0))break;else N=22}else if((N|0)==30)while(1){N=0;H=j+(Y(P,m)|0)|0;L=l+((Y(P,b)|0)<<3)|0;if(y){Z=0.0;_=L;$=0}else{J=0.0;M=L;L=0;while(1){V=L|1;W=L|2;U=L|3;C=J+(+p[K+(L<<3)>>3]*(+(h[H+L>>0]|0)-+p[M>>3])+ +p[K+(V<<3)>>3]*(+(h[H+V>>0]|0)-+p[M+8>>3])+ +p[K+(W<<3)>>3]*(+(h[H+W>>0]|0)-+p[M+16>>3])+ +p[K+(U<<3)>>3]*(+(h[H+U>>0]|0)-+p[M+24>>3]));L=L+4|0;if((L|0)>(z|0)){Z=C;_=Q;$=B;break}else{J=C;M=M+(x<<3)|0}}}if(($|0)<(a|0)){J=Z;M=_;L=$;while(1){C=J+ +p[K+(L<<3)>>3]*(+(h[H+L>>0]|0)-+p[M>>3]);L=L+1|0;if((L|0)==(a|0)){aa=C;break}else{J=C;M=M+8|0}}}else aa=Z;p[F+(P<<3)>>3]=aa*d;P=P+1|0;if((P|0)==(q|0))break;else{Q=Q+(b<<3)|0;N=30}}G=G+1|0;if((G|0)==(q|0))break;else{F=F+(n<<3)|0;k=k+(b<<3)|0}}}if((K|0)!=(s|0)){Fmc(K);f[i>>2]=s;f[v>>2]=1032}u=e;return}function tX(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0,T=0,U=0;e=u;u=u+1040|0;g=e;h=f[a+16>>2]|0;i=f[b+16>>2]|0;k=f[c+16>>2]|0;l=(f[a+48>>2]|0)>>>1;m=(f[b+48>>2]|0)>>>2;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>2:0;o=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;p=f[c>>2]|0;c=g+8|0;f[g>>2]=c;q=g+4|0;f[q>>2]=1032;r=(k|0)!=0;s=(o|0)<(a|0);o=r&s?p*20|0:p<<2;f[q>>2]=o;if(o>>>0>1032){t=Dmc(o)|0;f[g>>2]=t;v=t}else v=c;a:do if(r){do if(s){t=v+(p<<2)|0;if((p|0)<=0)if(!t){w=11;break a}else{x=t;y=t;z=b|0?4:0;break}else A=0;do{o=k+((Y(A,b)|0)<<2)|0;B=f[o>>2]|0;o=A<<2;f[t+((o|3)<<2)>>2]=B;f[t+((o|2)<<2)>>2]=B;f[t+((o|1)<<2)>>2]=B;f[t+(o<<2)>>2]=B;A=A+1|0}while((A|0)!=(p|0));x=t;y=t;z=b|0?4:0}else{x=k;y=0;z=b}while(0);if((a|0)>0){B=(y|0)!=0;o=(p|0)>0;C=a+-4|0;D=d*0.0;E=d*0.0;F=d*0.0;G=i;H=0;while(1){if(B){if(o){I=0;do{J=h+((Y(I,l)|0)+H<<1)|0;K=y+((Y(I,z)|0)<<2)|0;n[v+(I<<2)>>2]=+(j[J>>1]|0)-+n[K>>2];I=I+1|0}while((I|0)!=(p|0))}}else if(o){I=0;do{t=h+((Y(I,l)|0)+H<<1)|0;K=x+((Y(I,z)|0)+H<<2)|0;n[v+(I<<2)>>2]=+(j[t>>1]|0)-+n[K>>2];I=I+1|0}while((I|0)!=(p|0))}b:do if((H|0)>(C|0))L=H;else{if(o)M=H;else{I=H;while(1){n[G+(I<<2)>>2]=F;n[G+(I+1<<2)>>2]=F;n[G+(I+2<<2)>>2]=F;n[G+(I+3<<2)>>2]=F;K=I+4|0;if((K|0)>(C|0)){L=K;break b}else I=K}}while(1){I=B?y:x+(M<<2)|0;K=h+(M<<1)|0;N=0.0;O=0.0;P=0.0;Q=0.0;t=0;while(1){R=+n[v+(t<<2)>>2];Q=Q+R*(+(j[K>>1]|0)-+n[I>>2]);P=P+R*(+(j[K+2>>1]|0)-+n[I+4>>2]);O=O+R*(+(j[K+4>>1]|0)-+n[I+8>>2]);N=N+R*(+(j[K+6>>1]|0)-+n[I+12>>2]);t=t+1|0;if((t|0)==(p|0))break;else{I=I+(z<<2)|0;K=K+(l<<1)|0}}n[G+(M<<2)>>2]=Q*d;n[G+(M+1<<2)>>2]=P*d;n[G+(M+2<<2)>>2]=O*d;n[G+(M+3<<2)>>2]=N*d;K=M+4|0;if((K|0)>(C|0)){L=K;break}else M=K}}while(0);c:do if((L|0)<(a|0)){if(!o)if(B){K=L;while(1){n[G+(K<<2)>>2]=D;K=K+1|0;if((K|0)==(a|0))break c}}else{K=L;while(1){n[G+(K<<2)>>2]=E;K=K+1|0;if((K|0)==(a|0))break c}}if(B){K=L;do{I=h+(K<<1)|0;R=0.0;t=y;J=0;while(1){R=R+ +n[v+(J<<2)>>2]*(+(j[I>>1]|0)-+n[t>>2]);J=J+1|0;if((J|0)==(p|0))break;else{I=I+(l<<1)|0;t=t+(z<<2)|0}}n[G+(K<<2)>>2]=R*d;K=K+1|0}while((K|0)!=(a|0))}else{K=L;do{t=h+(K<<1)|0;N=0.0;I=x+(K<<2)|0;J=0;while(1){N=N+ +n[v+(J<<2)>>2]*(+(j[t>>1]|0)-+n[I>>2]);J=J+1|0;if((J|0)==(p|0))break;else{t=t+(l<<1)|0;I=I+(z<<2)|0}}n[G+(K<<2)>>2]=N*d;K=K+1|0}while((K|0)!=(a|0))}}while(0);H=H+1|0;if((H|0)==(a|0))break;else G=G+(m<<2)|0}}}else w=11;while(0);if((w|0)==11?(a|0)>0:0){w=(p|0)>0;z=a+-4|0;E=d*0.0;D=d*0.0;x=i;i=0;while(1){if(w){L=0;do{y=h+((Y(L,l)|0)+i<<1)|0;n[v+(L<<2)>>2]=+(j[y>>1]|0);L=L+1|0}while((L|0)!=(p|0))}d:do if((i|0)>(z|0))S=i;else{if(w)T=i;else{L=i;while(1){n[x+(L<<2)>>2]=D;n[x+(L+1<<2)>>2]=D;n[x+(L+2<<2)>>2]=D;n[x+(L+3<<2)>>2]=D;y=L+4|0;if((y|0)>(z|0)){S=y;break d}else L=y}}while(1){L=h+(T<<1)|0;F=0.0;R=0.0;O=0.0;P=0.0;y=0;while(1){Q=+n[v+(y<<2)>>2];P=P+Q*+(j[L>>1]|0);O=O+Q*+(j[L+2>>1]|0);R=R+Q*+(j[L+4>>1]|0);F=F+Q*+(j[L+6>>1]|0);y=y+1|0;if((y|0)==(p|0))break;else L=L+(l<<1)|0}n[x+(T<<2)>>2]=P*d;n[x+(T+1<<2)>>2]=O*d;n[x+(T+2<<2)>>2]=R*d;n[x+(T+3<<2)>>2]=F*d;L=T+4|0;if((L|0)>(z|0)){S=L;break}else T=L}}while(0);e:do if((S|0)<(a|0)){if(w)U=S;else{L=S;while(1){n[x+(L<<2)>>2]=E;L=L+1|0;if((L|0)==(a|0))break e}}do{L=h+(U<<1)|0;Q=0.0;y=0;while(1){Q=Q+ +n[v+(y<<2)>>2]*+(j[L>>1]|0);y=y+1|0;if((y|0)==(p|0))break;else L=L+(l<<1)|0}n[x+(U<<2)>>2]=Q*d;U=U+1|0}while((U|0)!=(a|0))}while(0);i=i+1|0;if((i|0)==(a|0))break;else x=x+(m<<2)|0}}if((v|0)==(c|0)){u=e;return}Fmc(v);f[g>>2]=c;f[q>>2]=1032;u=e;return}function uX(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0.0,K=0.0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0.0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0.0,$=0.0,aa=0,ba=0,ca=0.0;e=u;u=u+1056|0;g=e+1040|0;h=e;i=f[a+16>>2]|0;k=f[b+16>>2]|0;l=f[c+16>>2]|0;m=(f[a+48>>2]|0)>>>1;o=(f[b+48>>2]|0)>>>2;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>2:0;p=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;q=f[c>>2]|0;if(!l){if((q|0)<=0){u=e;return}c=a+-4|0;r=(a|0)<4;t=a&-4;v=(a|0)>0;w=(t|0)<(a|0);x=0;y=k;while(1){z=i+((Y(x,m)|0)<<1)|0;if(r){A=x;do{B=i+((Y(A,m)|0)<<1)|0;if(v){C=0;D=0.0;while(1){E=D+ +(j[z+(C<<1)>>1]|0)*+(j[B+(C<<1)>>1]|0);C=C+1|0;if((C|0)==(a|0)){F=E;break}else D=E}}else F=0.0;n[y+(A<<2)>>2]=F*d;A=A+1|0}while((A|0)!=(q|0))}else{A=x;do{C=i+((Y(A,m)|0)<<1)|0;B=0;D=0.0;do{G=B|1;H=B|2;I=B|3;D=D+(+(j[z+(B<<1)>>1]|0)*+(j[C+(B<<1)>>1]|0)+ +(j[z+(G<<1)>>1]|0)*+(j[C+(G<<1)>>1]|0)+ +(j[z+(H<<1)>>1]|0)*+(j[C+(H<<1)>>1]|0)+ +(j[z+(I<<1)>>1]|0)*+(j[C+(I<<1)>>1]|0));B=B+4|0}while((B|0)<=(c|0));if(w){B=t;E=D;while(1){J=E+ +(j[z+(B<<1)>>1]|0)*+(j[C+(B<<1)>>1]|0);B=B+1|0;if((B|0)==(a|0)){K=J;break}else E=J}}else K=D;n[y+(A<<2)>>2]=K*d;A=A+1|0}while((A|0)!=(q|0))}x=x+1|0;if((x|0)==(q|0))break;else y=y+(o<<2)|0}u=e;return}y=(p|0)==(a|0)?4:0;x=a<<2;t=h+8|0;f[h>>2]=t;w=h+4|0;f[w>>2]=x;if(x>>>0>1032){c=Dmc(x)|0;f[h>>2]=c;L=c}else L=t;if((q|0)>0){c=(p|0)<(a|0);p=(a|0)>0;x=g+12|0;v=g+8|0;r=g+4|0;A=a+-4|0;z=(a|0)<4;B=a&-4;C=Y(y,B)|0;I=g+C|0;H=0;G=k;k=l+C|0;while(1){C=i+((Y(H,m)|0)<<1)|0;M=l+((Y(H,b)|0)<<2)|0;if(c)if(p){N=0;do{n[L+(N<<2)>>2]=+(j[C+(N<<1)>>1]|0)-+n[M>>2];N=N+1|0}while((N|0)!=(a|0));O=21}else{P=H;O=22}else if(p){N=0;do{n[L+(N<<2)>>2]=+(j[C+(N<<1)>>1]|0)-+n[M+(N<<2)>>2];N=N+1|0}while((N|0)!=(a|0));O=21}else{Q=H;R=k;O=31}if((O|0)==21){O=0;if(c){P=H;O=22}else{Q=H;R=k;O=31}}if((O|0)==22)while(1){O=0;N=i+((Y(P,m)|0)<<1)|0;M=l+((Y(P,b)|0)<<2)|0;C=f[M>>2]|0;f[x>>2]=C;f[v>>2]=C;f[r>>2]=C;f[g>>2]=C;a:do if(z){S=0.0;T=g;U=0}else{K=0.0;M=g;V=0;F=(f[s>>2]=C,+n[s>>2]);while(1){W=V|1;X=V|2;Z=V|3;E=K+(+n[L+(V<<2)>>2]*(+(j[N+(V<<1)>>1]|0)-F)+ +n[L+(W<<2)>>2]*(+(j[N+(W<<1)>>1]|0)-+n[M+4>>2])+ +n[L+(X<<2)>>2]*(+(j[N+(X<<1)>>1]|0)-+n[M+8>>2])+ +n[L+(Z<<2)>>2]*(+(j[N+(Z<<1)>>1]|0)-+n[M+12>>2]));Z=V+4|0;X=M+(y<<2)|0;if((Z|0)>(A|0)){S=E;T=I;U=B;break a}K=E;M=X;V=Z;F=+n[X>>2]}}while(0);if((U|0)<(a|0)){D=S;C=T;V=U;while(1){F=D+ +n[L+(V<<2)>>2]*(+(j[N+(V<<1)>>1]|0)-+n[C>>2]);V=V+1|0;if((V|0)==(a|0)){_=F;break}else{D=F;C=C+4|0}}}else _=S;n[G+(P<<2)>>2]=_*d;P=P+1|0;if((P|0)==(q|0))break;else O=22}else if((O|0)==31)while(1){O=0;C=i+((Y(Q,m)|0)<<1)|0;V=l+((Y(Q,b)|0)<<2)|0;if(z){$=0.0;aa=V;ba=0}else{D=0.0;N=V;V=0;while(1){M=V|1;X=V|2;Z=V|3;F=D+(+n[L+(V<<2)>>2]*(+(j[C+(V<<1)>>1]|0)-+n[N>>2])+ +n[L+(M<<2)>>2]*(+(j[C+(M<<1)>>1]|0)-+n[N+4>>2])+ +n[L+(X<<2)>>2]*(+(j[C+(X<<1)>>1]|0)-+n[N+8>>2])+ +n[L+(Z<<2)>>2]*(+(j[C+(Z<<1)>>1]|0)-+n[N+12>>2]));V=V+4|0;if((V|0)>(A|0)){$=F;aa=R;ba=B;break}else{D=F;N=N+(y<<2)|0}}}if((ba|0)<(a|0)){D=$;N=aa;V=ba;while(1){F=D+ +n[L+(V<<2)>>2]*(+(j[C+(V<<1)>>1]|0)-+n[N>>2]);V=V+1|0;if((V|0)==(a|0)){ca=F;break}else{D=F;N=N+4|0}}}else ca=$;n[G+(Q<<2)>>2]=ca*d;Q=Q+1|0;if((Q|0)==(q|0))break;else{R=R+(b<<2)|0;O=31}}H=H+1|0;if((H|0)==(q|0))break;else{G=G+(o<<2)|0;k=k+(b<<2)|0}}}if((L|0)!=(t|0)){Fmc(L);f[h>>2]=t;f[w>>2]=1032}u=e;return}function vX(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0,T=0,U=0;e=u;u=u+1040|0;g=e;h=f[a+16>>2]|0;i=f[b+16>>2]|0;k=f[c+16>>2]|0;l=(f[a+48>>2]|0)>>>1;m=(f[b+48>>2]|0)>>>3;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>3:0;n=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;o=f[c>>2]|0;c=g+8|0;f[g>>2]=c;q=g+4|0;f[q>>2]=1032;r=(k|0)!=0;s=(n|0)<(a|0);n=r&s?o*40|0:o<<3;f[q>>2]=n;if(n>>>0>1032){t=Dmc(n)|0;f[g>>2]=t;v=t}else v=c;a:do if(r){do if(s){t=v+(o<<3)|0;if((o|0)<=0)if(!t){w=11;break a}else{x=t;y=t;z=b|0?4:0;break}else A=0;do{n=k+((Y(A,b)|0)<<3)|0;B=+p[n>>3];n=A<<2;p[t+((n|3)<<3)>>3]=B;p[t+((n|2)<<3)>>3]=B;p[t+((n|1)<<3)>>3]=B;p[t+(n<<3)>>3]=B;A=A+1|0}while((A|0)!=(o|0));x=t;y=t;z=b|0?4:0}else{x=k;y=0;z=b}while(0);if((a|0)>0){n=(y|0)!=0;C=(o|0)>0;D=a+-4|0;B=d*0.0;E=d*0.0;F=d*0.0;G=i;H=0;while(1){if(n){if(C){I=0;do{J=h+((Y(I,l)|0)+H<<1)|0;K=y+((Y(I,z)|0)<<3)|0;p[v+(I<<3)>>3]=+(j[J>>1]|0)-+p[K>>3];I=I+1|0}while((I|0)!=(o|0))}}else if(C){I=0;do{t=h+((Y(I,l)|0)+H<<1)|0;K=x+((Y(I,z)|0)+H<<3)|0;p[v+(I<<3)>>3]=+(j[t>>1]|0)-+p[K>>3];I=I+1|0}while((I|0)!=(o|0))}b:do if((H|0)>(D|0))L=H;else{if(C)M=H;else{I=H;while(1){p[G+(I<<3)>>3]=F;p[G+(I+1<<3)>>3]=F;p[G+(I+2<<3)>>3]=F;p[G+(I+3<<3)>>3]=F;K=I+4|0;if((K|0)>(D|0)){L=K;break b}else I=K}}while(1){I=n?y:x+(M<<3)|0;K=h+(M<<1)|0;N=0.0;O=0.0;P=0.0;Q=0.0;t=0;while(1){R=+p[v+(t<<3)>>3];Q=Q+R*(+(j[K>>1]|0)-+p[I>>3]);P=P+R*(+(j[K+2>>1]|0)-+p[I+8>>3]);O=O+R*(+(j[K+4>>1]|0)-+p[I+16>>3]);N=N+R*(+(j[K+6>>1]|0)-+p[I+24>>3]);t=t+1|0;if((t|0)==(o|0))break;else{I=I+(z<<3)|0;K=K+(l<<1)|0}}p[G+(M<<3)>>3]=Q*d;p[G+(M+1<<3)>>3]=P*d;p[G+(M+2<<3)>>3]=O*d;p[G+(M+3<<3)>>3]=N*d;K=M+4|0;if((K|0)>(D|0)){L=K;break}else M=K}}while(0);c:do if((L|0)<(a|0)){if(!C)if(n){K=L;while(1){p[G+(K<<3)>>3]=B;K=K+1|0;if((K|0)==(a|0))break c}}else{K=L;while(1){p[G+(K<<3)>>3]=E;K=K+1|0;if((K|0)==(a|0))break c}}if(n){K=L;do{I=h+(K<<1)|0;R=0.0;t=y;J=0;while(1){R=R+ +p[v+(J<<3)>>3]*(+(j[I>>1]|0)-+p[t>>3]);J=J+1|0;if((J|0)==(o|0))break;else{I=I+(l<<1)|0;t=t+(z<<3)|0}}p[G+(K<<3)>>3]=R*d;K=K+1|0}while((K|0)!=(a|0))}else{K=L;do{t=h+(K<<1)|0;N=0.0;I=x+(K<<3)|0;J=0;while(1){N=N+ +p[v+(J<<3)>>3]*(+(j[t>>1]|0)-+p[I>>3]);J=J+1|0;if((J|0)==(o|0))break;else{t=t+(l<<1)|0;I=I+(z<<3)|0}}p[G+(K<<3)>>3]=N*d;K=K+1|0}while((K|0)!=(a|0))}}while(0);H=H+1|0;if((H|0)==(a|0))break;else G=G+(m<<3)|0}}}else w=11;while(0);if((w|0)==11?(a|0)>0:0){w=(o|0)>0;z=a+-4|0;E=d*0.0;B=d*0.0;x=i;i=0;while(1){if(w){L=0;do{y=h+((Y(L,l)|0)+i<<1)|0;p[v+(L<<3)>>3]=+(j[y>>1]|0);L=L+1|0}while((L|0)!=(o|0))}d:do if((i|0)>(z|0))S=i;else{if(w)T=i;else{L=i;while(1){p[x+(L<<3)>>3]=B;p[x+(L+1<<3)>>3]=B;p[x+(L+2<<3)>>3]=B;p[x+(L+3<<3)>>3]=B;y=L+4|0;if((y|0)>(z|0)){S=y;break d}else L=y}}while(1){L=h+(T<<1)|0;F=0.0;R=0.0;O=0.0;P=0.0;y=0;while(1){Q=+p[v+(y<<3)>>3];P=P+Q*+(j[L>>1]|0);O=O+Q*+(j[L+2>>1]|0);R=R+Q*+(j[L+4>>1]|0);F=F+Q*+(j[L+6>>1]|0);y=y+1|0;if((y|0)==(o|0))break;else L=L+(l<<1)|0}p[x+(T<<3)>>3]=P*d;p[x+(T+1<<3)>>3]=O*d;p[x+(T+2<<3)>>3]=R*d;p[x+(T+3<<3)>>3]=F*d;L=T+4|0;if((L|0)>(z|0)){S=L;break}else T=L}}while(0);e:do if((S|0)<(a|0)){if(w)U=S;else{L=S;while(1){p[x+(L<<3)>>3]=E;L=L+1|0;if((L|0)==(a|0))break e}}do{L=h+(U<<1)|0;Q=0.0;y=0;while(1){Q=Q+ +p[v+(y<<3)>>3]*+(j[L>>1]|0);y=y+1|0;if((y|0)==(o|0))break;else L=L+(l<<1)|0}p[x+(U<<3)>>3]=Q*d;U=U+1|0}while((U|0)!=(a|0))}while(0);i=i+1|0;if((i|0)==(a|0))break;else x=x+(m<<3)|0}}if((v|0)==(c|0)){u=e;return}Fmc(v);f[g>>2]=c;f[q>>2]=1032;u=e;return}function wX(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0,G=0,H=0,I=0.0,J=0.0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0,W=0,X=0.0,Z=0.0,_=0,$=0,aa=0.0;e=u;u=u+1072|0;g=e;h=e+32|0;i=f[a+16>>2]|0;k=f[b+16>>2]|0;l=f[c+16>>2]|0;m=(f[a+48>>2]|0)>>>1;n=(f[b+48>>2]|0)>>>3;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>3:0;o=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;q=f[c>>2]|0;if(!l){if((q|0)<=0){u=e;return}c=a+-4|0;r=(a|0)<4;s=a&-4;t=(a|0)>0;v=(s|0)<(a|0);w=0;x=k;while(1){y=i+((Y(w,m)|0)<<1)|0;if(r){z=w;do{A=i+((Y(z,m)|0)<<1)|0;if(t){B=0;C=0.0;while(1){D=C+ +(j[y+(B<<1)>>1]|0)*+(j[A+(B<<1)>>1]|0);B=B+1|0;if((B|0)==(a|0)){E=D;break}else C=D}}else E=0.0;p[x+(z<<3)>>3]=E*d;z=z+1|0}while((z|0)!=(q|0))}else{z=w;do{B=i+((Y(z,m)|0)<<1)|0;A=0;C=0.0;do{F=A|1;G=A|2;H=A|3;C=C+(+(j[y+(A<<1)>>1]|0)*+(j[B+(A<<1)>>1]|0)+ +(j[y+(F<<1)>>1]|0)*+(j[B+(F<<1)>>1]|0)+ +(j[y+(G<<1)>>1]|0)*+(j[B+(G<<1)>>1]|0)+ +(j[y+(H<<1)>>1]|0)*+(j[B+(H<<1)>>1]|0));A=A+4|0}while((A|0)<=(c|0));if(v){A=s;D=C;while(1){I=D+ +(j[y+(A<<1)>>1]|0)*+(j[B+(A<<1)>>1]|0);A=A+1|0;if((A|0)==(a|0)){J=I;break}else D=I}}else J=C;p[x+(z<<3)>>3]=J*d;z=z+1|0}while((z|0)!=(q|0))}w=w+1|0;if((w|0)==(q|0))break;else x=x+(n<<3)|0}u=e;return}x=(o|0)==(a|0)?4:0;w=a<<3;s=h+8|0;f[h>>2]=s;v=h+4|0;f[v>>2]=w;if(w>>>0>1032){c=Dmc(w)|0;f[h>>2]=c;K=c}else K=s;if((q|0)>0){c=(o|0)<(a|0);o=(a|0)>0;w=g+24|0;t=g+16|0;r=g+8|0;z=a+-4|0;y=(a|0)<4;A=z>>>2;B=(A<<2)+4|0;H=Y(x,(A<<3)+8|0)|0;A=g+H|0;G=0;F=k;k=l+H|0;while(1){H=i+((Y(G,m)|0)<<1)|0;L=l+((Y(G,b)|0)<<3)|0;if(c)if(o){M=0;do{p[K+(M<<3)>>3]=+(j[H+(M<<1)>>1]|0)-+p[L>>3];M=M+1|0}while((M|0)!=(a|0));N=21}else{O=G;N=22}else if(o){M=0;do{p[K+(M<<3)>>3]=+(j[H+(M<<1)>>1]|0)-+p[L+(M<<3)>>3];M=M+1|0}while((M|0)!=(a|0));N=21}else{P=G;Q=k;N=30}if((N|0)==21){N=0;if(c){O=G;N=22}else{P=G;Q=k;N=30}}if((N|0)==22)while(1){N=0;M=i+((Y(O,m)|0)<<1)|0;L=l+((Y(O,b)|0)<<3)|0;J=+p[L>>3];p[w>>3]=J;p[t>>3]=J;p[r>>3]=J;p[g>>3]=J;a:do if(y){R=0.0;S=g;T=0}else{E=0.0;L=g;H=0;D=J;while(1){U=H|1;V=H|2;W=H|3;I=E+(+p[K+(H<<3)>>3]*(+(j[M+(H<<1)>>1]|0)-D)+ +p[K+(U<<3)>>3]*(+(j[M+(U<<1)>>1]|0)-+p[L+8>>3])+ +p[K+(V<<3)>>3]*(+(j[M+(V<<1)>>1]|0)-+p[L+16>>3])+ +p[K+(W<<3)>>3]*(+(j[M+(W<<1)>>1]|0)-+p[L+24>>3]));W=H+4|0;V=L+(x<<3)|0;if((W|0)>(z|0)){R=I;S=A;T=B;break a}E=I;L=V;H=W;D=+p[V>>3]}}while(0);if((T|0)<(a|0)){J=R;H=S;L=T;while(1){C=J+ +p[K+(L<<3)>>3]*(+(j[M+(L<<1)>>1]|0)-+p[H>>3]);L=L+1|0;if((L|0)==(a|0)){X=C;break}else{J=C;H=H+8|0}}}else X=R;p[F+(O<<3)>>3]=X*d;O=O+1|0;if((O|0)==(q|0))break;else N=22}else if((N|0)==30)while(1){N=0;H=i+((Y(P,m)|0)<<1)|0;L=l+((Y(P,b)|0)<<3)|0;if(y){Z=0.0;_=L;$=0}else{J=0.0;M=L;L=0;while(1){V=L|1;W=L|2;U=L|3;C=J+(+p[K+(L<<3)>>3]*(+(j[H+(L<<1)>>1]|0)-+p[M>>3])+ +p[K+(V<<3)>>3]*(+(j[H+(V<<1)>>1]|0)-+p[M+8>>3])+ +p[K+(W<<3)>>3]*(+(j[H+(W<<1)>>1]|0)-+p[M+16>>3])+ +p[K+(U<<3)>>3]*(+(j[H+(U<<1)>>1]|0)-+p[M+24>>3]));L=L+4|0;if((L|0)>(z|0)){Z=C;_=Q;$=B;break}else{J=C;M=M+(x<<3)|0}}}if(($|0)<(a|0)){J=Z;M=_;L=$;while(1){C=J+ +p[K+(L<<3)>>3]*(+(j[H+(L<<1)>>1]|0)-+p[M>>3]);L=L+1|0;if((L|0)==(a|0)){aa=C;break}else{J=C;M=M+8|0}}}else aa=Z;p[F+(P<<3)>>3]=aa*d;P=P+1|0;if((P|0)==(q|0))break;else{Q=Q+(b<<3)|0;N=30}}G=G+1|0;if((G|0)==(q|0))break;else{F=F+(n<<3)|0;k=k+(b<<3)|0}}}if((K|0)!=(s|0)){Fmc(K);f[h>>2]=s;f[v>>2]=1032}u=e;return}function xX(a,b,c,e){a=a|0;b=b|0;c=c|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0,T=0,U=0;g=u;u=u+1040|0;h=g;i=f[a+16>>2]|0;j=f[b+16>>2]|0;k=f[c+16>>2]|0;l=(f[a+48>>2]|0)>>>1;m=(f[b+48>>2]|0)>>>2;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>2:0;o=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;p=f[c>>2]|0;c=h+8|0;f[h>>2]=c;q=h+4|0;f[q>>2]=1032;r=(k|0)!=0;s=(o|0)<(a|0);o=r&s?p*20|0:p<<2;f[q>>2]=o;if(o>>>0>1032){t=Dmc(o)|0;f[h>>2]=t;v=t}else v=c;a:do if(r){do if(s){t=v+(p<<2)|0;if((p|0)<=0)if(!t){w=11;break a}else{x=t;y=t;z=b|0?4:0;break}else A=0;do{o=k+((Y(A,b)|0)<<2)|0;B=f[o>>2]|0;o=A<<2;f[t+((o|3)<<2)>>2]=B;f[t+((o|2)<<2)>>2]=B;f[t+((o|1)<<2)>>2]=B;f[t+(o<<2)>>2]=B;A=A+1|0}while((A|0)!=(p|0));x=t;y=t;z=b|0?4:0}else{x=k;y=0;z=b}while(0);if((a|0)>0){B=(y|0)!=0;o=(p|0)>0;C=a+-4|0;D=e*0.0;E=e*0.0;F=e*0.0;G=j;H=0;while(1){if(B){if(o){I=0;do{J=i+((Y(I,l)|0)+H<<1)|0;K=y+((Y(I,z)|0)<<2)|0;n[v+(I<<2)>>2]=+(d[J>>1]|0)-+n[K>>2];I=I+1|0}while((I|0)!=(p|0))}}else if(o){I=0;do{t=i+((Y(I,l)|0)+H<<1)|0;K=x+((Y(I,z)|0)+H<<2)|0;n[v+(I<<2)>>2]=+(d[t>>1]|0)-+n[K>>2];I=I+1|0}while((I|0)!=(p|0))}b:do if((H|0)>(C|0))L=H;else{if(o)M=H;else{I=H;while(1){n[G+(I<<2)>>2]=F;n[G+(I+1<<2)>>2]=F;n[G+(I+2<<2)>>2]=F;n[G+(I+3<<2)>>2]=F;K=I+4|0;if((K|0)>(C|0)){L=K;break b}else I=K}}while(1){I=B?y:x+(M<<2)|0;K=i+(M<<1)|0;N=0.0;O=0.0;P=0.0;Q=0.0;t=0;while(1){R=+n[v+(t<<2)>>2];Q=Q+R*(+(d[K>>1]|0)-+n[I>>2]);P=P+R*(+(d[K+2>>1]|0)-+n[I+4>>2]);O=O+R*(+(d[K+4>>1]|0)-+n[I+8>>2]);N=N+R*(+(d[K+6>>1]|0)-+n[I+12>>2]);t=t+1|0;if((t|0)==(p|0))break;else{I=I+(z<<2)|0;K=K+(l<<1)|0}}n[G+(M<<2)>>2]=Q*e;n[G+(M+1<<2)>>2]=P*e;n[G+(M+2<<2)>>2]=O*e;n[G+(M+3<<2)>>2]=N*e;K=M+4|0;if((K|0)>(C|0)){L=K;break}else M=K}}while(0);c:do if((L|0)<(a|0)){if(!o)if(B){K=L;while(1){n[G+(K<<2)>>2]=D;K=K+1|0;if((K|0)==(a|0))break c}}else{K=L;while(1){n[G+(K<<2)>>2]=E;K=K+1|0;if((K|0)==(a|0))break c}}if(B){K=L;do{I=i+(K<<1)|0;R=0.0;t=y;J=0;while(1){R=R+ +n[v+(J<<2)>>2]*(+(d[I>>1]|0)-+n[t>>2]);J=J+1|0;if((J|0)==(p|0))break;else{I=I+(l<<1)|0;t=t+(z<<2)|0}}n[G+(K<<2)>>2]=R*e;K=K+1|0}while((K|0)!=(a|0))}else{K=L;do{t=i+(K<<1)|0;N=0.0;I=x+(K<<2)|0;J=0;while(1){N=N+ +n[v+(J<<2)>>2]*(+(d[t>>1]|0)-+n[I>>2]);J=J+1|0;if((J|0)==(p|0))break;else{t=t+(l<<1)|0;I=I+(z<<2)|0}}n[G+(K<<2)>>2]=N*e;K=K+1|0}while((K|0)!=(a|0))}}while(0);H=H+1|0;if((H|0)==(a|0))break;else G=G+(m<<2)|0}}}else w=11;while(0);if((w|0)==11?(a|0)>0:0){w=(p|0)>0;z=a+-4|0;E=e*0.0;D=e*0.0;x=j;j=0;while(1){if(w){L=0;do{y=i+((Y(L,l)|0)+j<<1)|0;n[v+(L<<2)>>2]=+(d[y>>1]|0);L=L+1|0}while((L|0)!=(p|0))}d:do if((j|0)>(z|0))S=j;else{if(w)T=j;else{L=j;while(1){n[x+(L<<2)>>2]=D;n[x+(L+1<<2)>>2]=D;n[x+(L+2<<2)>>2]=D;n[x+(L+3<<2)>>2]=D;y=L+4|0;if((y|0)>(z|0)){S=y;break d}else L=y}}while(1){L=i+(T<<1)|0;F=0.0;R=0.0;O=0.0;P=0.0;y=0;while(1){Q=+n[v+(y<<2)>>2];P=P+Q*+(d[L>>1]|0);O=O+Q*+(d[L+2>>1]|0);R=R+Q*+(d[L+4>>1]|0);F=F+Q*+(d[L+6>>1]|0);y=y+1|0;if((y|0)==(p|0))break;else L=L+(l<<1)|0}n[x+(T<<2)>>2]=P*e;n[x+(T+1<<2)>>2]=O*e;n[x+(T+2<<2)>>2]=R*e;n[x+(T+3<<2)>>2]=F*e;L=T+4|0;if((L|0)>(z|0)){S=L;break}else T=L}}while(0);e:do if((S|0)<(a|0)){if(w)U=S;else{L=S;while(1){n[x+(L<<2)>>2]=E;L=L+1|0;if((L|0)==(a|0))break e}}do{L=i+(U<<1)|0;Q=0.0;y=0;while(1){Q=Q+ +n[v+(y<<2)>>2]*+(d[L>>1]|0);y=y+1|0;if((y|0)==(p|0))break;else L=L+(l<<1)|0}n[x+(U<<2)>>2]=Q*e;U=U+1|0}while((U|0)!=(a|0))}while(0);j=j+1|0;if((j|0)==(a|0))break;else x=x+(m<<2)|0}}if((v|0)==(c|0)){u=g;return}Fmc(v);f[h>>2]=c;f[q>>2]=1032;u=g;return}function yX(a,b,c,e){a=a|0;b=b|0;c=c|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0.0,K=0.0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0.0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0.0,$=0.0,aa=0,ba=0,ca=0.0;g=u;u=u+1056|0;h=g+1040|0;i=g;j=f[a+16>>2]|0;k=f[b+16>>2]|0;l=f[c+16>>2]|0;m=(f[a+48>>2]|0)>>>1;o=(f[b+48>>2]|0)>>>2;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>2:0;p=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;q=f[c>>2]|0;if(!l){if((q|0)<=0){u=g;return}c=a+-4|0;r=(a|0)<4;t=a&-4;v=(a|0)>0;w=(t|0)<(a|0);x=0;y=k;while(1){z=j+((Y(x,m)|0)<<1)|0;if(r){A=x;do{B=j+((Y(A,m)|0)<<1)|0;if(v){C=0;D=0.0;while(1){E=D+ +(d[z+(C<<1)>>1]|0)*+(d[B+(C<<1)>>1]|0);C=C+1|0;if((C|0)==(a|0)){F=E;break}else D=E}}else F=0.0;n[y+(A<<2)>>2]=F*e;A=A+1|0}while((A|0)!=(q|0))}else{A=x;do{C=j+((Y(A,m)|0)<<1)|0;B=0;D=0.0;do{G=B|1;H=B|2;I=B|3;D=D+(+(d[z+(B<<1)>>1]|0)*+(d[C+(B<<1)>>1]|0)+ +(d[z+(G<<1)>>1]|0)*+(d[C+(G<<1)>>1]|0)+ +(d[z+(H<<1)>>1]|0)*+(d[C+(H<<1)>>1]|0)+ +(d[z+(I<<1)>>1]|0)*+(d[C+(I<<1)>>1]|0));B=B+4|0}while((B|0)<=(c|0));if(w){B=t;E=D;while(1){J=E+ +(d[z+(B<<1)>>1]|0)*+(d[C+(B<<1)>>1]|0);B=B+1|0;if((B|0)==(a|0)){K=J;break}else E=J}}else K=D;n[y+(A<<2)>>2]=K*e;A=A+1|0}while((A|0)!=(q|0))}x=x+1|0;if((x|0)==(q|0))break;else y=y+(o<<2)|0}u=g;return}y=(p|0)==(a|0)?4:0;x=a<<2;t=i+8|0;f[i>>2]=t;w=i+4|0;f[w>>2]=x;if(x>>>0>1032){c=Dmc(x)|0;f[i>>2]=c;L=c}else L=t;if((q|0)>0){c=(p|0)<(a|0);p=(a|0)>0;x=h+12|0;v=h+8|0;r=h+4|0;A=a+-4|0;z=(a|0)<4;B=a&-4;C=Y(y,B)|0;I=h+C|0;H=0;G=k;k=l+C|0;while(1){C=j+((Y(H,m)|0)<<1)|0;M=l+((Y(H,b)|0)<<2)|0;if(c)if(p){N=0;do{n[L+(N<<2)>>2]=+(d[C+(N<<1)>>1]|0)-+n[M>>2];N=N+1|0}while((N|0)!=(a|0));O=21}else{P=H;O=22}else if(p){N=0;do{n[L+(N<<2)>>2]=+(d[C+(N<<1)>>1]|0)-+n[M+(N<<2)>>2];N=N+1|0}while((N|0)!=(a|0));O=21}else{Q=H;R=k;O=31}if((O|0)==21){O=0;if(c){P=H;O=22}else{Q=H;R=k;O=31}}if((O|0)==22)while(1){O=0;N=j+((Y(P,m)|0)<<1)|0;M=l+((Y(P,b)|0)<<2)|0;C=f[M>>2]|0;f[x>>2]=C;f[v>>2]=C;f[r>>2]=C;f[h>>2]=C;a:do if(z){S=0.0;T=h;U=0}else{K=0.0;M=h;V=0;F=(f[s>>2]=C,+n[s>>2]);while(1){W=V|1;X=V|2;Z=V|3;E=K+(+n[L+(V<<2)>>2]*(+(d[N+(V<<1)>>1]|0)-F)+ +n[L+(W<<2)>>2]*(+(d[N+(W<<1)>>1]|0)-+n[M+4>>2])+ +n[L+(X<<2)>>2]*(+(d[N+(X<<1)>>1]|0)-+n[M+8>>2])+ +n[L+(Z<<2)>>2]*(+(d[N+(Z<<1)>>1]|0)-+n[M+12>>2]));Z=V+4|0;X=M+(y<<2)|0;if((Z|0)>(A|0)){S=E;T=I;U=B;break a}K=E;M=X;V=Z;F=+n[X>>2]}}while(0);if((U|0)<(a|0)){D=S;C=T;V=U;while(1){F=D+ +n[L+(V<<2)>>2]*(+(d[N+(V<<1)>>1]|0)-+n[C>>2]);V=V+1|0;if((V|0)==(a|0)){_=F;break}else{D=F;C=C+4|0}}}else _=S;n[G+(P<<2)>>2]=_*e;P=P+1|0;if((P|0)==(q|0))break;else O=22}else if((O|0)==31)while(1){O=0;C=j+((Y(Q,m)|0)<<1)|0;V=l+((Y(Q,b)|0)<<2)|0;if(z){$=0.0;aa=V;ba=0}else{D=0.0;N=V;V=0;while(1){M=V|1;X=V|2;Z=V|3;F=D+(+n[L+(V<<2)>>2]*(+(d[C+(V<<1)>>1]|0)-+n[N>>2])+ +n[L+(M<<2)>>2]*(+(d[C+(M<<1)>>1]|0)-+n[N+4>>2])+ +n[L+(X<<2)>>2]*(+(d[C+(X<<1)>>1]|0)-+n[N+8>>2])+ +n[L+(Z<<2)>>2]*(+(d[C+(Z<<1)>>1]|0)-+n[N+12>>2]));V=V+4|0;if((V|0)>(A|0)){$=F;aa=R;ba=B;break}else{D=F;N=N+(y<<2)|0}}}if((ba|0)<(a|0)){D=$;N=aa;V=ba;while(1){F=D+ +n[L+(V<<2)>>2]*(+(d[C+(V<<1)>>1]|0)-+n[N>>2]);V=V+1|0;if((V|0)==(a|0)){ca=F;break}else{D=F;N=N+4|0}}}else ca=$;n[G+(Q<<2)>>2]=ca*e;Q=Q+1|0;if((Q|0)==(q|0))break;else{R=R+(b<<2)|0;O=31}}H=H+1|0;if((H|0)==(q|0))break;else{G=G+(o<<2)|0;k=k+(b<<2)|0}}}if((L|0)!=(t|0)){Fmc(L);f[i>>2]=t;f[w>>2]=1032}u=g;return}function zX(a,b,c,e){a=a|0;b=b|0;c=c|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0,T=0,U=0;g=u;u=u+1040|0;h=g;i=f[a+16>>2]|0;j=f[b+16>>2]|0;k=f[c+16>>2]|0;l=(f[a+48>>2]|0)>>>1;m=(f[b+48>>2]|0)>>>3;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>3:0;n=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;o=f[c>>2]|0;c=h+8|0;f[h>>2]=c;q=h+4|0;f[q>>2]=1032;r=(k|0)!=0;s=(n|0)<(a|0);n=r&s?o*40|0:o<<3;f[q>>2]=n;if(n>>>0>1032){t=Dmc(n)|0;f[h>>2]=t;v=t}else v=c;a:do if(r){do if(s){t=v+(o<<3)|0;if((o|0)<=0)if(!t){w=11;break a}else{x=t;y=t;z=b|0?4:0;break}else A=0;do{n=k+((Y(A,b)|0)<<3)|0;B=+p[n>>3];n=A<<2;p[t+((n|3)<<3)>>3]=B;p[t+((n|2)<<3)>>3]=B;p[t+((n|1)<<3)>>3]=B;p[t+(n<<3)>>3]=B;A=A+1|0}while((A|0)!=(o|0));x=t;y=t;z=b|0?4:0}else{x=k;y=0;z=b}while(0);if((a|0)>0){n=(y|0)!=0;C=(o|0)>0;D=a+-4|0;B=e*0.0;E=e*0.0;F=e*0.0;G=j;H=0;while(1){if(n){if(C){I=0;do{J=i+((Y(I,l)|0)+H<<1)|0;K=y+((Y(I,z)|0)<<3)|0;p[v+(I<<3)>>3]=+(d[J>>1]|0)-+p[K>>3];I=I+1|0}while((I|0)!=(o|0))}}else if(C){I=0;do{t=i+((Y(I,l)|0)+H<<1)|0;K=x+((Y(I,z)|0)+H<<3)|0;p[v+(I<<3)>>3]=+(d[t>>1]|0)-+p[K>>3];I=I+1|0}while((I|0)!=(o|0))}b:do if((H|0)>(D|0))L=H;else{if(C)M=H;else{I=H;while(1){p[G+(I<<3)>>3]=F;p[G+(I+1<<3)>>3]=F;p[G+(I+2<<3)>>3]=F;p[G+(I+3<<3)>>3]=F;K=I+4|0;if((K|0)>(D|0)){L=K;break b}else I=K}}while(1){I=n?y:x+(M<<3)|0;K=i+(M<<1)|0;N=0.0;O=0.0;P=0.0;Q=0.0;t=0;while(1){R=+p[v+(t<<3)>>3];Q=Q+R*(+(d[K>>1]|0)-+p[I>>3]);P=P+R*(+(d[K+2>>1]|0)-+p[I+8>>3]);O=O+R*(+(d[K+4>>1]|0)-+p[I+16>>3]);N=N+R*(+(d[K+6>>1]|0)-+p[I+24>>3]);t=t+1|0;if((t|0)==(o|0))break;else{I=I+(z<<3)|0;K=K+(l<<1)|0}}p[G+(M<<3)>>3]=Q*e;p[G+(M+1<<3)>>3]=P*e;p[G+(M+2<<3)>>3]=O*e;p[G+(M+3<<3)>>3]=N*e;K=M+4|0;if((K|0)>(D|0)){L=K;break}else M=K}}while(0);c:do if((L|0)<(a|0)){if(!C)if(n){K=L;while(1){p[G+(K<<3)>>3]=B;K=K+1|0;if((K|0)==(a|0))break c}}else{K=L;while(1){p[G+(K<<3)>>3]=E;K=K+1|0;if((K|0)==(a|0))break c}}if(n){K=L;do{I=i+(K<<1)|0;R=0.0;t=y;J=0;while(1){R=R+ +p[v+(J<<3)>>3]*(+(d[I>>1]|0)-+p[t>>3]);J=J+1|0;if((J|0)==(o|0))break;else{I=I+(l<<1)|0;t=t+(z<<3)|0}}p[G+(K<<3)>>3]=R*e;K=K+1|0}while((K|0)!=(a|0))}else{K=L;do{t=i+(K<<1)|0;N=0.0;I=x+(K<<3)|0;J=0;while(1){N=N+ +p[v+(J<<3)>>3]*(+(d[t>>1]|0)-+p[I>>3]);J=J+1|0;if((J|0)==(o|0))break;else{t=t+(l<<1)|0;I=I+(z<<3)|0}}p[G+(K<<3)>>3]=N*e;K=K+1|0}while((K|0)!=(a|0))}}while(0);H=H+1|0;if((H|0)==(a|0))break;else G=G+(m<<3)|0}}}else w=11;while(0);if((w|0)==11?(a|0)>0:0){w=(o|0)>0;z=a+-4|0;E=e*0.0;B=e*0.0;x=j;j=0;while(1){if(w){L=0;do{y=i+((Y(L,l)|0)+j<<1)|0;p[v+(L<<3)>>3]=+(d[y>>1]|0);L=L+1|0}while((L|0)!=(o|0))}d:do if((j|0)>(z|0))S=j;else{if(w)T=j;else{L=j;while(1){p[x+(L<<3)>>3]=B;p[x+(L+1<<3)>>3]=B;p[x+(L+2<<3)>>3]=B;p[x+(L+3<<3)>>3]=B;y=L+4|0;if((y|0)>(z|0)){S=y;break d}else L=y}}while(1){L=i+(T<<1)|0;F=0.0;R=0.0;O=0.0;P=0.0;y=0;while(1){Q=+p[v+(y<<3)>>3];P=P+Q*+(d[L>>1]|0);O=O+Q*+(d[L+2>>1]|0);R=R+Q*+(d[L+4>>1]|0);F=F+Q*+(d[L+6>>1]|0);y=y+1|0;if((y|0)==(o|0))break;else L=L+(l<<1)|0}p[x+(T<<3)>>3]=P*e;p[x+(T+1<<3)>>3]=O*e;p[x+(T+2<<3)>>3]=R*e;p[x+(T+3<<3)>>3]=F*e;L=T+4|0;if((L|0)>(z|0)){S=L;break}else T=L}}while(0);e:do if((S|0)<(a|0)){if(w)U=S;else{L=S;while(1){p[x+(L<<3)>>3]=E;L=L+1|0;if((L|0)==(a|0))break e}}do{L=i+(U<<1)|0;Q=0.0;y=0;while(1){Q=Q+ +p[v+(y<<3)>>3]*+(d[L>>1]|0);y=y+1|0;if((y|0)==(o|0))break;else L=L+(l<<1)|0}p[x+(U<<3)>>3]=Q*e;U=U+1|0}while((U|0)!=(a|0))}while(0);j=j+1|0;if((j|0)==(a|0))break;else x=x+(m<<3)|0}}if((v|0)==(c|0)){u=g;return}Fmc(v);f[h>>2]=c;f[q>>2]=1032;u=g;return}function AX(a,b,c,e){a=a|0;b=b|0;c=c|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0,G=0,H=0,I=0.0,J=0.0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0,W=0,X=0.0,Z=0.0,_=0,$=0,aa=0.0;g=u;u=u+1072|0;h=g;i=g+32|0;j=f[a+16>>2]|0;k=f[b+16>>2]|0;l=f[c+16>>2]|0;m=(f[a+48>>2]|0)>>>1;n=(f[b+48>>2]|0)>>>3;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>3:0;o=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;q=f[c>>2]|0;if(!l){if((q|0)<=0){u=g;return}c=a+-4|0;r=(a|0)<4;s=a&-4;t=(a|0)>0;v=(s|0)<(a|0);w=0;x=k;while(1){y=j+((Y(w,m)|0)<<1)|0;if(r){z=w;do{A=j+((Y(z,m)|0)<<1)|0;if(t){B=0;C=0.0;while(1){D=C+ +(d[y+(B<<1)>>1]|0)*+(d[A+(B<<1)>>1]|0);B=B+1|0;if((B|0)==(a|0)){E=D;break}else C=D}}else E=0.0;p[x+(z<<3)>>3]=E*e;z=z+1|0}while((z|0)!=(q|0))}else{z=w;do{B=j+((Y(z,m)|0)<<1)|0;A=0;C=0.0;do{F=A|1;G=A|2;H=A|3;C=C+(+(d[y+(A<<1)>>1]|0)*+(d[B+(A<<1)>>1]|0)+ +(d[y+(F<<1)>>1]|0)*+(d[B+(F<<1)>>1]|0)+ +(d[y+(G<<1)>>1]|0)*+(d[B+(G<<1)>>1]|0)+ +(d[y+(H<<1)>>1]|0)*+(d[B+(H<<1)>>1]|0));A=A+4|0}while((A|0)<=(c|0));if(v){A=s;D=C;while(1){I=D+ +(d[y+(A<<1)>>1]|0)*+(d[B+(A<<1)>>1]|0);A=A+1|0;if((A|0)==(a|0)){J=I;break}else D=I}}else J=C;p[x+(z<<3)>>3]=J*e;z=z+1|0}while((z|0)!=(q|0))}w=w+1|0;if((w|0)==(q|0))break;else x=x+(n<<3)|0}u=g;return}x=(o|0)==(a|0)?4:0;w=a<<3;s=i+8|0;f[i>>2]=s;v=i+4|0;f[v>>2]=w;if(w>>>0>1032){c=Dmc(w)|0;f[i>>2]=c;K=c}else K=s;if((q|0)>0){c=(o|0)<(a|0);o=(a|0)>0;w=h+24|0;t=h+16|0;r=h+8|0;z=a+-4|0;y=(a|0)<4;A=z>>>2;B=(A<<2)+4|0;H=Y(x,(A<<3)+8|0)|0;A=h+H|0;G=0;F=k;k=l+H|0;while(1){H=j+((Y(G,m)|0)<<1)|0;L=l+((Y(G,b)|0)<<3)|0;if(c)if(o){M=0;do{p[K+(M<<3)>>3]=+(d[H+(M<<1)>>1]|0)-+p[L>>3];M=M+1|0}while((M|0)!=(a|0));N=21}else{O=G;N=22}else if(o){M=0;do{p[K+(M<<3)>>3]=+(d[H+(M<<1)>>1]|0)-+p[L+(M<<3)>>3];M=M+1|0}while((M|0)!=(a|0));N=21}else{P=G;Q=k;N=30}if((N|0)==21){N=0;if(c){O=G;N=22}else{P=G;Q=k;N=30}}if((N|0)==22)while(1){N=0;M=j+((Y(O,m)|0)<<1)|0;L=l+((Y(O,b)|0)<<3)|0;J=+p[L>>3];p[w>>3]=J;p[t>>3]=J;p[r>>3]=J;p[h>>3]=J;a:do if(y){R=0.0;S=h;T=0}else{E=0.0;L=h;H=0;D=J;while(1){U=H|1;V=H|2;W=H|3;I=E+(+p[K+(H<<3)>>3]*(+(d[M+(H<<1)>>1]|0)-D)+ +p[K+(U<<3)>>3]*(+(d[M+(U<<1)>>1]|0)-+p[L+8>>3])+ +p[K+(V<<3)>>3]*(+(d[M+(V<<1)>>1]|0)-+p[L+16>>3])+ +p[K+(W<<3)>>3]*(+(d[M+(W<<1)>>1]|0)-+p[L+24>>3]));W=H+4|0;V=L+(x<<3)|0;if((W|0)>(z|0)){R=I;S=A;T=B;break a}E=I;L=V;H=W;D=+p[V>>3]}}while(0);if((T|0)<(a|0)){J=R;H=S;L=T;while(1){C=J+ +p[K+(L<<3)>>3]*(+(d[M+(L<<1)>>1]|0)-+p[H>>3]);L=L+1|0;if((L|0)==(a|0)){X=C;break}else{J=C;H=H+8|0}}}else X=R;p[F+(O<<3)>>3]=X*e;O=O+1|0;if((O|0)==(q|0))break;else N=22}else if((N|0)==30)while(1){N=0;H=j+((Y(P,m)|0)<<1)|0;L=l+((Y(P,b)|0)<<3)|0;if(y){Z=0.0;_=L;$=0}else{J=0.0;M=L;L=0;while(1){V=L|1;W=L|2;U=L|3;C=J+(+p[K+(L<<3)>>3]*(+(d[H+(L<<1)>>1]|0)-+p[M>>3])+ +p[K+(V<<3)>>3]*(+(d[H+(V<<1)>>1]|0)-+p[M+8>>3])+ +p[K+(W<<3)>>3]*(+(d[H+(W<<1)>>1]|0)-+p[M+16>>3])+ +p[K+(U<<3)>>3]*(+(d[H+(U<<1)>>1]|0)-+p[M+24>>3]));L=L+4|0;if((L|0)>(z|0)){Z=C;_=Q;$=B;break}else{J=C;M=M+(x<<3)|0}}}if(($|0)<(a|0)){J=Z;M=_;L=$;while(1){C=J+ +p[K+(L<<3)>>3]*(+(d[H+(L<<1)>>1]|0)-+p[M>>3]);L=L+1|0;if((L|0)==(a|0)){aa=C;break}else{J=C;M=M+8|0}}}else aa=Z;p[F+(P<<3)>>3]=aa*e;P=P+1|0;if((P|0)==(q|0))break;else{Q=Q+(b<<3)|0;N=30}}G=G+1|0;if((G|0)==(q|0))break;else{F=F+(n<<3)|0;k=k+(b<<3)|0}}}if((K|0)!=(s|0)){Fmc(K);f[i>>2]=s;f[v>>2]=1032}u=g;return}function BX(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0,S=0,T=0;e=u;u=u+1040|0;g=e;h=f[a+16>>2]|0;i=f[b+16>>2]|0;j=f[c+16>>2]|0;k=(f[a+48>>2]|0)>>>2;l=(f[b+48>>2]|0)>>>2;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>2:0;m=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;o=f[c>>2]|0;c=g+8|0;f[g>>2]=c;p=g+4|0;f[p>>2]=1032;q=(j|0)!=0;r=(m|0)<(a|0);m=q&r?o*20|0:o<<2;f[p>>2]=m;if(m>>>0>1032){s=Dmc(m)|0;f[g>>2]=s;t=s}else t=c;a:do if(q){do if(r){s=t+(o<<2)|0;if((o|0)<=0)if(!s){v=11;break a}else{w=s;x=s;y=b|0?4:0;break}else z=0;do{m=j+((Y(z,b)|0)<<2)|0;A=f[m>>2]|0;m=z<<2;f[s+((m|3)<<2)>>2]=A;f[s+((m|2)<<2)>>2]=A;f[s+((m|1)<<2)>>2]=A;f[s+(m<<2)>>2]=A;z=z+1|0}while((z|0)!=(o|0));w=s;x=s;y=b|0?4:0}else{w=j;x=0;y=b}while(0);if((a|0)>0){A=(x|0)!=0;m=(o|0)>0;B=a+-4|0;C=d*0.0;D=d*0.0;E=d*0.0;F=i;G=0;while(1){if(A){if(m){H=0;do{I=h+((Y(H,k)|0)+G<<2)|0;J=x+((Y(H,y)|0)<<2)|0;n[t+(H<<2)>>2]=+n[I>>2]-+n[J>>2];H=H+1|0}while((H|0)!=(o|0))}}else if(m){H=0;do{s=h+((Y(H,k)|0)+G<<2)|0;J=w+((Y(H,y)|0)+G<<2)|0;n[t+(H<<2)>>2]=+n[s>>2]-+n[J>>2];H=H+1|0}while((H|0)!=(o|0))}b:do if((G|0)>(B|0))K=G;else{if(m)L=G;else{H=G;while(1){n[F+(H<<2)>>2]=E;n[F+(H+1<<2)>>2]=E;n[F+(H+2<<2)>>2]=E;n[F+(H+3<<2)>>2]=E;J=H+4|0;if((J|0)>(B|0)){K=J;break b}else H=J}}while(1){H=A?x:w+(L<<2)|0;J=h+(L<<2)|0;M=0.0;N=0.0;O=0.0;P=0.0;s=0;while(1){Q=+n[t+(s<<2)>>2];P=P+Q*(+n[J>>2]-+n[H>>2]);O=O+Q*(+n[J+4>>2]-+n[H+4>>2]);N=N+Q*(+n[J+8>>2]-+n[H+8>>2]);M=M+Q*(+n[J+12>>2]-+n[H+12>>2]);s=s+1|0;if((s|0)==(o|0))break;else{H=H+(y<<2)|0;J=J+(k<<2)|0}}n[F+(L<<2)>>2]=P*d;n[F+(L+1<<2)>>2]=O*d;n[F+(L+2<<2)>>2]=N*d;n[F+(L+3<<2)>>2]=M*d;J=L+4|0;if((J|0)>(B|0)){K=J;break}else L=J}}while(0);c:do if((K|0)<(a|0)){if(!m)if(A){J=K;while(1){n[F+(J<<2)>>2]=C;J=J+1|0;if((J|0)==(a|0))break c}}else{J=K;while(1){n[F+(J<<2)>>2]=D;J=J+1|0;if((J|0)==(a|0))break c}}if(A){J=K;do{H=h+(J<<2)|0;Q=0.0;s=x;I=0;while(1){Q=Q+ +n[t+(I<<2)>>2]*(+n[H>>2]-+n[s>>2]);I=I+1|0;if((I|0)==(o|0))break;else{H=H+(k<<2)|0;s=s+(y<<2)|0}}n[F+(J<<2)>>2]=Q*d;J=J+1|0}while((J|0)!=(a|0))}else{J=K;do{s=h+(J<<2)|0;M=0.0;H=w+(J<<2)|0;I=0;while(1){M=M+ +n[t+(I<<2)>>2]*(+n[s>>2]-+n[H>>2]);I=I+1|0;if((I|0)==(o|0))break;else{s=s+(k<<2)|0;H=H+(y<<2)|0}}n[F+(J<<2)>>2]=M*d;J=J+1|0}while((J|0)!=(a|0))}}while(0);G=G+1|0;if((G|0)==(a|0))break;else F=F+(l<<2)|0}}}else v=11;while(0);if((v|0)==11?(a|0)>0:0){v=(o|0)>0;y=a+-4|0;D=d*0.0;C=d*0.0;w=i;i=0;while(1){if(v){K=0;do{x=h+((Y(K,k)|0)+i<<2)|0;f[t+(K<<2)>>2]=f[x>>2];K=K+1|0}while((K|0)!=(o|0))}d:do if((i|0)>(y|0))R=i;else{if(v)S=i;else{K=i;while(1){n[w+(K<<2)>>2]=C;n[w+(K+1<<2)>>2]=C;n[w+(K+2<<2)>>2]=C;n[w+(K+3<<2)>>2]=C;x=K+4|0;if((x|0)>(y|0)){R=x;break d}else K=x}}while(1){K=h+(S<<2)|0;E=0.0;Q=0.0;N=0.0;O=0.0;x=0;while(1){P=+n[t+(x<<2)>>2];O=O+P*+n[K>>2];N=N+P*+n[K+4>>2];Q=Q+P*+n[K+8>>2];E=E+P*+n[K+12>>2];x=x+1|0;if((x|0)==(o|0))break;else K=K+(k<<2)|0}n[w+(S<<2)>>2]=O*d;n[w+(S+1<<2)>>2]=N*d;n[w+(S+2<<2)>>2]=Q*d;n[w+(S+3<<2)>>2]=E*d;K=S+4|0;if((K|0)>(y|0)){R=K;break}else S=K}}while(0);e:do if((R|0)<(a|0)){if(v)T=R;else{K=R;while(1){n[w+(K<<2)>>2]=D;K=K+1|0;if((K|0)==(a|0))break e}}do{K=h+(T<<2)|0;P=0.0;x=0;while(1){P=P+ +n[t+(x<<2)>>2]*+n[K>>2];x=x+1|0;if((x|0)==(o|0))break;else K=K+(k<<2)|0}n[w+(T<<2)>>2]=P*d;T=T+1|0}while((T|0)!=(a|0))}while(0);i=i+1|0;if((i|0)==(a|0))break;else w=w+(l<<2)|0}}if((t|0)==(c|0)){u=e;return}Fmc(t);f[g>>2]=c;f[p>>2]=1032;u=e;return}function CX(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0,G=0,H=0,I=0.0,J=0.0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0.0,_=0.0,$=0,aa=0,ba=0.0;e=u;u=u+1056|0;g=e+1040|0;h=e;i=f[a+16>>2]|0;j=f[b+16>>2]|0;k=f[c+16>>2]|0;l=(f[a+48>>2]|0)>>>2;m=(f[b+48>>2]|0)>>>2;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>2:0;o=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;p=f[c>>2]|0;if(!k){if((p|0)<=0){u=e;return}c=a+-4|0;q=(a|0)<4;r=a&-4;t=(a|0)>0;v=(r|0)<(a|0);w=0;x=j;while(1){y=i+((Y(w,l)|0)<<2)|0;if(q){z=w;do{A=i+((Y(z,l)|0)<<2)|0;if(t){B=0;C=0.0;while(1){D=C+ +n[y+(B<<2)>>2]*+n[A+(B<<2)>>2];B=B+1|0;if((B|0)==(a|0)){E=D;break}else C=D}}else E=0.0;n[x+(z<<2)>>2]=E*d;z=z+1|0}while((z|0)!=(p|0))}else{z=w;do{B=i+((Y(z,l)|0)<<2)|0;A=0;C=0.0;do{F=A|1;G=A|2;H=A|3;C=C+(+n[y+(A<<2)>>2]*+n[B+(A<<2)>>2]+ +n[y+(F<<2)>>2]*+n[B+(F<<2)>>2]+ +n[y+(G<<2)>>2]*+n[B+(G<<2)>>2]+ +n[y+(H<<2)>>2]*+n[B+(H<<2)>>2]);A=A+4|0}while((A|0)<=(c|0));if(v){A=r;D=C;while(1){I=D+ +n[y+(A<<2)>>2]*+n[B+(A<<2)>>2];A=A+1|0;if((A|0)==(a|0)){J=I;break}else D=I}}else J=C;n[x+(z<<2)>>2]=J*d;z=z+1|0}while((z|0)!=(p|0))}w=w+1|0;if((w|0)==(p|0))break;else x=x+(m<<2)|0}u=e;return}x=(o|0)==(a|0)?4:0;w=a<<2;r=h+8|0;f[h>>2]=r;v=h+4|0;f[v>>2]=w;if(w>>>0>1032){c=Dmc(w)|0;f[h>>2]=c;K=c}else K=r;if((p|0)>0){c=(o|0)<(a|0);o=(a|0)>0;w=g+12|0;t=g+8|0;q=g+4|0;z=a+-4|0;y=(a|0)<4;A=a&-4;B=Y(x,A)|0;H=g+B|0;G=0;F=j;j=k+B|0;while(1){B=i+((Y(G,l)|0)<<2)|0;L=k+((Y(G,b)|0)<<2)|0;if(c)if(o){M=0;do{n[K+(M<<2)>>2]=+n[B+(M<<2)>>2]-+n[L>>2];M=M+1|0}while((M|0)!=(a|0));N=21}else{O=G;N=22}else if(o){M=0;do{n[K+(M<<2)>>2]=+n[B+(M<<2)>>2]-+n[L+(M<<2)>>2];M=M+1|0}while((M|0)!=(a|0));N=21}else{P=G;Q=j;N=31}if((N|0)==21){N=0;if(c){O=G;N=22}else{P=G;Q=j;N=31}}if((N|0)==22)while(1){N=0;M=i+((Y(O,l)|0)<<2)|0;L=k+((Y(O,b)|0)<<2)|0;B=f[L>>2]|0;f[w>>2]=B;f[t>>2]=B;f[q>>2]=B;f[g>>2]=B;a:do if(y){R=0.0;S=g;T=0}else{J=0.0;L=g;U=0;E=(f[s>>2]=B,+n[s>>2]);while(1){V=U|1;W=U|2;X=U|3;D=J+(+n[K+(U<<2)>>2]*(+n[M+(U<<2)>>2]-E)+ +n[K+(V<<2)>>2]*(+n[M+(V<<2)>>2]-+n[L+4>>2])+ +n[K+(W<<2)>>2]*(+n[M+(W<<2)>>2]-+n[L+8>>2])+ +n[K+(X<<2)>>2]*(+n[M+(X<<2)>>2]-+n[L+12>>2]));X=U+4|0;W=L+(x<<2)|0;if((X|0)>(z|0)){R=D;S=H;T=A;break a}J=D;L=W;U=X;E=+n[W>>2]}}while(0);if((T|0)<(a|0)){C=R;B=S;U=T;while(1){E=C+ +n[K+(U<<2)>>2]*(+n[M+(U<<2)>>2]-+n[B>>2]);U=U+1|0;if((U|0)==(a|0)){Z=E;break}else{C=E;B=B+4|0}}}else Z=R;n[F+(O<<2)>>2]=Z*d;O=O+1|0;if((O|0)==(p|0))break;else N=22}else if((N|0)==31)while(1){N=0;B=i+((Y(P,l)|0)<<2)|0;U=k+((Y(P,b)|0)<<2)|0;if(y){_=0.0;$=U;aa=0}else{C=0.0;M=U;U=0;while(1){L=U|1;W=U|2;X=U|3;E=C+(+n[K+(U<<2)>>2]*(+n[B+(U<<2)>>2]-+n[M>>2])+ +n[K+(L<<2)>>2]*(+n[B+(L<<2)>>2]-+n[M+4>>2])+ +n[K+(W<<2)>>2]*(+n[B+(W<<2)>>2]-+n[M+8>>2])+ +n[K+(X<<2)>>2]*(+n[B+(X<<2)>>2]-+n[M+12>>2]));U=U+4|0;if((U|0)>(z|0)){_=E;$=Q;aa=A;break}else{C=E;M=M+(x<<2)|0}}}if((aa|0)<(a|0)){C=_;M=$;U=aa;while(1){E=C+ +n[K+(U<<2)>>2]*(+n[B+(U<<2)>>2]-+n[M>>2]);U=U+1|0;if((U|0)==(a|0)){ba=E;break}else{C=E;M=M+4|0}}}else ba=_;n[F+(P<<2)>>2]=ba*d;P=P+1|0;if((P|0)==(p|0))break;else{Q=Q+(b<<2)|0;N=31}}G=G+1|0;if((G|0)==(p|0))break;else{F=F+(m<<2)|0;j=j+(b<<2)|0}}}if((K|0)!=(r|0)){Fmc(K);f[h>>2]=r;f[v>>2]=1032}u=e;return}function DX(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0,T=0,U=0;e=u;u=u+1040|0;g=e;h=f[a+16>>2]|0;i=f[b+16>>2]|0;j=f[c+16>>2]|0;k=(f[a+48>>2]|0)>>>2;l=(f[b+48>>2]|0)>>>3;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>3:0;m=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;o=f[c>>2]|0;c=g+8|0;f[g>>2]=c;q=g+4|0;f[q>>2]=1032;r=(j|0)!=0;s=(m|0)<(a|0);m=r&s?o*40|0:o<<3;f[q>>2]=m;if(m>>>0>1032){t=Dmc(m)|0;f[g>>2]=t;v=t}else v=c;a:do if(r){do if(s){t=v+(o<<3)|0;if((o|0)<=0)if(!t){w=11;break a}else{x=t;y=t;z=b|0?4:0;break}else A=0;do{m=j+((Y(A,b)|0)<<3)|0;B=+p[m>>3];m=A<<2;p[t+((m|3)<<3)>>3]=B;p[t+((m|2)<<3)>>3]=B;p[t+((m|1)<<3)>>3]=B;p[t+(m<<3)>>3]=B;A=A+1|0}while((A|0)!=(o|0));x=t;y=t;z=b|0?4:0}else{x=j;y=0;z=b}while(0);if((a|0)>0){m=(y|0)!=0;C=(o|0)>0;D=a+-4|0;B=d*0.0;E=d*0.0;F=d*0.0;G=i;H=0;while(1){if(m){if(C){I=0;do{J=h+((Y(I,k)|0)+H<<2)|0;K=y+((Y(I,z)|0)<<3)|0;p[v+(I<<3)>>3]=+n[J>>2]-+p[K>>3];I=I+1|0}while((I|0)!=(o|0))}}else if(C){I=0;do{t=h+((Y(I,k)|0)+H<<2)|0;K=x+((Y(I,z)|0)+H<<3)|0;p[v+(I<<3)>>3]=+n[t>>2]-+p[K>>3];I=I+1|0}while((I|0)!=(o|0))}b:do if((H|0)>(D|0))L=H;else{if(C)M=H;else{I=H;while(1){p[G+(I<<3)>>3]=F;p[G+(I+1<<3)>>3]=F;p[G+(I+2<<3)>>3]=F;p[G+(I+3<<3)>>3]=F;K=I+4|0;if((K|0)>(D|0)){L=K;break b}else I=K}}while(1){I=m?y:x+(M<<3)|0;K=h+(M<<2)|0;N=0.0;O=0.0;P=0.0;Q=0.0;t=0;while(1){R=+p[v+(t<<3)>>3];Q=Q+R*(+n[K>>2]-+p[I>>3]);P=P+R*(+n[K+4>>2]-+p[I+8>>3]);O=O+R*(+n[K+8>>2]-+p[I+16>>3]);N=N+R*(+n[K+12>>2]-+p[I+24>>3]);t=t+1|0;if((t|0)==(o|0))break;else{I=I+(z<<3)|0;K=K+(k<<2)|0}}p[G+(M<<3)>>3]=Q*d;p[G+(M+1<<3)>>3]=P*d;p[G+(M+2<<3)>>3]=O*d;p[G+(M+3<<3)>>3]=N*d;K=M+4|0;if((K|0)>(D|0)){L=K;break}else M=K}}while(0);c:do if((L|0)<(a|0)){if(!C)if(m){K=L;while(1){p[G+(K<<3)>>3]=B;K=K+1|0;if((K|0)==(a|0))break c}}else{K=L;while(1){p[G+(K<<3)>>3]=E;K=K+1|0;if((K|0)==(a|0))break c}}if(m){K=L;do{I=h+(K<<2)|0;R=0.0;t=y;J=0;while(1){R=R+ +p[v+(J<<3)>>3]*(+n[I>>2]-+p[t>>3]);J=J+1|0;if((J|0)==(o|0))break;else{I=I+(k<<2)|0;t=t+(z<<3)|0}}p[G+(K<<3)>>3]=R*d;K=K+1|0}while((K|0)!=(a|0))}else{K=L;do{t=h+(K<<2)|0;N=0.0;I=x+(K<<3)|0;J=0;while(1){N=N+ +p[v+(J<<3)>>3]*(+n[t>>2]-+p[I>>3]);J=J+1|0;if((J|0)==(o|0))break;else{t=t+(k<<2)|0;I=I+(z<<3)|0}}p[G+(K<<3)>>3]=N*d;K=K+1|0}while((K|0)!=(a|0))}}while(0);H=H+1|0;if((H|0)==(a|0))break;else G=G+(l<<3)|0}}}else w=11;while(0);if((w|0)==11?(a|0)>0:0){w=(o|0)>0;z=a+-4|0;E=d*0.0;B=d*0.0;x=i;i=0;while(1){if(w){L=0;do{y=h+((Y(L,k)|0)+i<<2)|0;p[v+(L<<3)>>3]=+n[y>>2];L=L+1|0}while((L|0)!=(o|0))}d:do if((i|0)>(z|0))S=i;else{if(w)T=i;else{L=i;while(1){p[x+(L<<3)>>3]=B;p[x+(L+1<<3)>>3]=B;p[x+(L+2<<3)>>3]=B;p[x+(L+3<<3)>>3]=B;y=L+4|0;if((y|0)>(z|0)){S=y;break d}else L=y}}while(1){L=h+(T<<2)|0;F=0.0;R=0.0;O=0.0;P=0.0;y=0;while(1){Q=+p[v+(y<<3)>>3];P=P+Q*+n[L>>2];O=O+Q*+n[L+4>>2];R=R+Q*+n[L+8>>2];F=F+Q*+n[L+12>>2];y=y+1|0;if((y|0)==(o|0))break;else L=L+(k<<2)|0}p[x+(T<<3)>>3]=P*d;p[x+(T+1<<3)>>3]=O*d;p[x+(T+2<<3)>>3]=R*d;p[x+(T+3<<3)>>3]=F*d;L=T+4|0;if((L|0)>(z|0)){S=L;break}else T=L}}while(0);e:do if((S|0)<(a|0)){if(w)U=S;else{L=S;while(1){p[x+(L<<3)>>3]=E;L=L+1|0;if((L|0)==(a|0))break e}}do{L=h+(U<<2)|0;Q=0.0;y=0;while(1){Q=Q+ +p[v+(y<<3)>>3]*+n[L>>2];y=y+1|0;if((y|0)==(o|0))break;else L=L+(k<<2)|0}p[x+(U<<3)>>3]=Q*d;U=U+1|0}while((U|0)!=(a|0))}while(0);i=i+1|0;if((i|0)==(a|0))break;else x=x+(l<<3)|0}}if((v|0)==(c|0)){u=e;return}Fmc(v);f[g>>2]=c;f[q>>2]=1032;u=e;return}function EX(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0,G=0,H=0,I=0.0,J=0.0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0,W=0,X=0.0,Z=0.0,_=0,$=0,aa=0.0;e=u;u=u+1072|0;g=e;h=e+32|0;i=f[a+16>>2]|0;j=f[b+16>>2]|0;k=f[c+16>>2]|0;l=(f[a+48>>2]|0)>>>2;m=(f[b+48>>2]|0)>>>3;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>3:0;o=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;q=f[c>>2]|0;if(!k){if((q|0)<=0){u=e;return}c=a+-4|0;r=(a|0)<4;s=a&-4;t=(a|0)>0;v=(s|0)<(a|0);w=0;x=j;while(1){y=i+((Y(w,l)|0)<<2)|0;if(r){z=w;do{A=i+((Y(z,l)|0)<<2)|0;if(t){B=0;C=0.0;while(1){D=C+ +n[y+(B<<2)>>2]*+n[A+(B<<2)>>2];B=B+1|0;if((B|0)==(a|0)){E=D;break}else C=D}}else E=0.0;p[x+(z<<3)>>3]=E*d;z=z+1|0}while((z|0)!=(q|0))}else{z=w;do{B=i+((Y(z,l)|0)<<2)|0;A=0;C=0.0;do{F=A|1;G=A|2;H=A|3;C=C+(+n[y+(A<<2)>>2]*+n[B+(A<<2)>>2]+ +n[y+(F<<2)>>2]*+n[B+(F<<2)>>2]+ +n[y+(G<<2)>>2]*+n[B+(G<<2)>>2]+ +n[y+(H<<2)>>2]*+n[B+(H<<2)>>2]);A=A+4|0}while((A|0)<=(c|0));if(v){A=s;D=C;while(1){I=D+ +n[y+(A<<2)>>2]*+n[B+(A<<2)>>2];A=A+1|0;if((A|0)==(a|0)){J=I;break}else D=I}}else J=C;p[x+(z<<3)>>3]=J*d;z=z+1|0}while((z|0)!=(q|0))}w=w+1|0;if((w|0)==(q|0))break;else x=x+(m<<3)|0}u=e;return}x=(o|0)==(a|0)?4:0;w=a<<3;s=h+8|0;f[h>>2]=s;v=h+4|0;f[v>>2]=w;if(w>>>0>1032){c=Dmc(w)|0;f[h>>2]=c;K=c}else K=s;if((q|0)>0){c=(o|0)<(a|0);o=(a|0)>0;w=g+24|0;t=g+16|0;r=g+8|0;z=a+-4|0;y=(a|0)<4;A=z>>>2;B=(A<<2)+4|0;H=Y(x,(A<<3)+8|0)|0;A=g+H|0;G=0;F=j;j=k+H|0;while(1){H=i+((Y(G,l)|0)<<2)|0;L=k+((Y(G,b)|0)<<3)|0;if(c)if(o){M=0;do{p[K+(M<<3)>>3]=+n[H+(M<<2)>>2]-+p[L>>3];M=M+1|0}while((M|0)!=(a|0));N=21}else{O=G;N=22}else if(o){M=0;do{p[K+(M<<3)>>3]=+n[H+(M<<2)>>2]-+p[L+(M<<3)>>3];M=M+1|0}while((M|0)!=(a|0));N=21}else{P=G;Q=j;N=30}if((N|0)==21){N=0;if(c){O=G;N=22}else{P=G;Q=j;N=30}}if((N|0)==22)while(1){N=0;M=i+((Y(O,l)|0)<<2)|0;L=k+((Y(O,b)|0)<<3)|0;J=+p[L>>3];p[w>>3]=J;p[t>>3]=J;p[r>>3]=J;p[g>>3]=J;a:do if(y){R=0.0;S=g;T=0}else{E=0.0;L=g;H=0;D=J;while(1){U=H|1;V=H|2;W=H|3;I=E+(+p[K+(H<<3)>>3]*(+n[M+(H<<2)>>2]-D)+ +p[K+(U<<3)>>3]*(+n[M+(U<<2)>>2]-+p[L+8>>3])+ +p[K+(V<<3)>>3]*(+n[M+(V<<2)>>2]-+p[L+16>>3])+ +p[K+(W<<3)>>3]*(+n[M+(W<<2)>>2]-+p[L+24>>3]));W=H+4|0;V=L+(x<<3)|0;if((W|0)>(z|0)){R=I;S=A;T=B;break a}E=I;L=V;H=W;D=+p[V>>3]}}while(0);if((T|0)<(a|0)){J=R;H=S;L=T;while(1){C=J+ +p[K+(L<<3)>>3]*(+n[M+(L<<2)>>2]-+p[H>>3]);L=L+1|0;if((L|0)==(a|0)){X=C;break}else{J=C;H=H+8|0}}}else X=R;p[F+(O<<3)>>3]=X*d;O=O+1|0;if((O|0)==(q|0))break;else N=22}else if((N|0)==30)while(1){N=0;H=i+((Y(P,l)|0)<<2)|0;L=k+((Y(P,b)|0)<<3)|0;if(y){Z=0.0;_=L;$=0}else{J=0.0;M=L;L=0;while(1){V=L|1;W=L|2;U=L|3;C=J+(+p[K+(L<<3)>>3]*(+n[H+(L<<2)>>2]-+p[M>>3])+ +p[K+(V<<3)>>3]*(+n[H+(V<<2)>>2]-+p[M+8>>3])+ +p[K+(W<<3)>>3]*(+n[H+(W<<2)>>2]-+p[M+16>>3])+ +p[K+(U<<3)>>3]*(+n[H+(U<<2)>>2]-+p[M+24>>3]));L=L+4|0;if((L|0)>(z|0)){Z=C;_=Q;$=B;break}else{J=C;M=M+(x<<3)|0}}}if(($|0)<(a|0)){J=Z;M=_;L=$;while(1){C=J+ +p[K+(L<<3)>>3]*(+n[H+(L<<2)>>2]-+p[M>>3]);L=L+1|0;if((L|0)==(a|0)){aa=C;break}else{J=C;M=M+8|0}}}else aa=Z;p[F+(P<<3)>>3]=aa*d;P=P+1|0;if((P|0)==(q|0))break;else{Q=Q+(b<<3)|0;N=30}}G=G+1|0;if((G|0)==(q|0))break;else{F=F+(m<<3)|0;j=j+(b<<3)|0}}}if((K|0)!=(s|0)){Fmc(K);f[h>>2]=s;f[v>>2]=1032}u=e;return}function FX(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0,C=0,D=0.0,E=0.0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0,S=0,T=0;e=u;u=u+1040|0;g=e;h=f[a+16>>2]|0;i=f[b+16>>2]|0;j=f[c+16>>2]|0;k=(f[a+48>>2]|0)>>>3;l=(f[b+48>>2]|0)>>>3;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>3:0;m=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;n=f[c>>2]|0;c=g+8|0;f[g>>2]=c;o=g+4|0;f[o>>2]=1032;q=(j|0)!=0;r=(m|0)<(a|0);m=q&r?n*40|0:n<<3;f[o>>2]=m;if(m>>>0>1032){s=Dmc(m)|0;f[g>>2]=s;t=s}else t=c;a:do if(q){do if(r){s=t+(n<<3)|0;if((n|0)<=0)if(!s){v=11;break a}else{w=s;x=s;y=b|0?4:0;break}else z=0;do{m=j+((Y(z,b)|0)<<3)|0;A=+p[m>>3];m=z<<2;p[s+((m|3)<<3)>>3]=A;p[s+((m|2)<<3)>>3]=A;p[s+((m|1)<<3)>>3]=A;p[s+(m<<3)>>3]=A;z=z+1|0}while((z|0)!=(n|0));w=s;x=s;y=b|0?4:0}else{w=j;x=0;y=b}while(0);if((a|0)>0){m=(x|0)!=0;B=(n|0)>0;C=a+-4|0;A=d*0.0;D=d*0.0;E=d*0.0;F=i;G=0;while(1){if(m){if(B){H=0;do{I=h+((Y(H,k)|0)+G<<3)|0;J=x+((Y(H,y)|0)<<3)|0;p[t+(H<<3)>>3]=+p[I>>3]-+p[J>>3];H=H+1|0}while((H|0)!=(n|0))}}else if(B){H=0;do{s=h+((Y(H,k)|0)+G<<3)|0;J=w+((Y(H,y)|0)+G<<3)|0;p[t+(H<<3)>>3]=+p[s>>3]-+p[J>>3];H=H+1|0}while((H|0)!=(n|0))}b:do if((G|0)>(C|0))K=G;else{if(B)L=G;else{H=G;while(1){p[F+(H<<3)>>3]=E;p[F+(H+1<<3)>>3]=E;p[F+(H+2<<3)>>3]=E;p[F+(H+3<<3)>>3]=E;J=H+4|0;if((J|0)>(C|0)){K=J;break b}else H=J}}while(1){H=m?x:w+(L<<3)|0;J=h+(L<<3)|0;M=0.0;N=0.0;O=0.0;P=0.0;s=0;while(1){Q=+p[t+(s<<3)>>3];P=P+Q*(+p[J>>3]-+p[H>>3]);O=O+Q*(+p[J+8>>3]-+p[H+8>>3]);N=N+Q*(+p[J+16>>3]-+p[H+16>>3]);M=M+Q*(+p[J+24>>3]-+p[H+24>>3]);s=s+1|0;if((s|0)==(n|0))break;else{H=H+(y<<3)|0;J=J+(k<<3)|0}}p[F+(L<<3)>>3]=P*d;p[F+(L+1<<3)>>3]=O*d;p[F+(L+2<<3)>>3]=N*d;p[F+(L+3<<3)>>3]=M*d;J=L+4|0;if((J|0)>(C|0)){K=J;break}else L=J}}while(0);c:do if((K|0)<(a|0)){if(!B)if(m){J=K;while(1){p[F+(J<<3)>>3]=A;J=J+1|0;if((J|0)==(a|0))break c}}else{J=K;while(1){p[F+(J<<3)>>3]=D;J=J+1|0;if((J|0)==(a|0))break c}}if(m){J=K;do{H=h+(J<<3)|0;Q=0.0;s=x;I=0;while(1){Q=Q+ +p[t+(I<<3)>>3]*(+p[H>>3]-+p[s>>3]);I=I+1|0;if((I|0)==(n|0))break;else{H=H+(k<<3)|0;s=s+(y<<3)|0}}p[F+(J<<3)>>3]=Q*d;J=J+1|0}while((J|0)!=(a|0))}else{J=K;do{s=h+(J<<3)|0;M=0.0;H=w+(J<<3)|0;I=0;while(1){M=M+ +p[t+(I<<3)>>3]*(+p[s>>3]-+p[H>>3]);I=I+1|0;if((I|0)==(n|0))break;else{s=s+(k<<3)|0;H=H+(y<<3)|0}}p[F+(J<<3)>>3]=M*d;J=J+1|0}while((J|0)!=(a|0))}}while(0);G=G+1|0;if((G|0)==(a|0))break;else F=F+(l<<3)|0}}}else v=11;while(0);if((v|0)==11?(a|0)>0:0){v=(n|0)>0;y=a+-4|0;D=d*0.0;A=d*0.0;w=i;i=0;while(1){if(v){K=0;do{x=h+((Y(K,k)|0)+i<<3)|0;p[t+(K<<3)>>3]=+p[x>>3];K=K+1|0}while((K|0)!=(n|0))}d:do if((i|0)>(y|0))R=i;else{if(v)S=i;else{K=i;while(1){p[w+(K<<3)>>3]=A;p[w+(K+1<<3)>>3]=A;p[w+(K+2<<3)>>3]=A;p[w+(K+3<<3)>>3]=A;x=K+4|0;if((x|0)>(y|0)){R=x;break d}else K=x}}while(1){K=h+(S<<3)|0;E=0.0;Q=0.0;N=0.0;O=0.0;x=0;while(1){P=+p[t+(x<<3)>>3];O=O+P*+p[K>>3];N=N+P*+p[K+8>>3];Q=Q+P*+p[K+16>>3];E=E+P*+p[K+24>>3];x=x+1|0;if((x|0)==(n|0))break;else K=K+(k<<3)|0}p[w+(S<<3)>>3]=O*d;p[w+(S+1<<3)>>3]=N*d;p[w+(S+2<<3)>>3]=Q*d;p[w+(S+3<<3)>>3]=E*d;K=S+4|0;if((K|0)>(y|0)){R=K;break}else S=K}}while(0);e:do if((R|0)<(a|0)){if(v)T=R;else{K=R;while(1){p[w+(K<<3)>>3]=D;K=K+1|0;if((K|0)==(a|0))break e}}do{K=h+(T<<3)|0;P=0.0;x=0;while(1){P=P+ +p[t+(x<<3)>>3]*+p[K>>3];x=x+1|0;if((x|0)==(n|0))break;else K=K+(k<<3)|0}p[w+(T<<3)>>3]=P*d;T=T+1|0}while((T|0)!=(a|0))}while(0);i=i+1|0;if((i|0)==(a|0))break;else w=w+(l<<3)|0}}if((t|0)==(c|0)){u=e;return}Fmc(t);f[g>>2]=c;f[o>>2]=1032;u=e;return}function GX(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0,D=0.0,E=0,F=0,G=0,H=0.0,I=0.0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0.0,R=0,S=0,T=0,U=0,V=0,W=0.0,X=0.0,Z=0,_=0,$=0.0;e=u;u=u+1072|0;g=e;h=e+32|0;i=f[a+16>>2]|0;j=f[b+16>>2]|0;k=f[c+16>>2]|0;l=(f[a+48>>2]|0)>>>3;m=(f[b+48>>2]|0)>>>3;b=(f[c+8>>2]|0)>1?(f[c+48>>2]|0)>>>3:0;n=f[c+12>>2]|0;c=f[a+40>>2]|0;a=f[c+4>>2]|0;o=f[c>>2]|0;if(!k){if((o|0)<=0){u=e;return}c=a+-4|0;q=(a|0)<4;r=a&-4;s=(a|0)>0;t=(r|0)<(a|0);v=0;w=j;while(1){x=i+((Y(v,l)|0)<<3)|0;if(q){y=v;do{z=i+((Y(y,l)|0)<<3)|0;if(s){A=0;B=0.0;while(1){C=B+ +p[x+(A<<3)>>3]*+p[z+(A<<3)>>3];A=A+1|0;if((A|0)==(a|0)){D=C;break}else B=C}}else D=0.0;p[w+(y<<3)>>3]=D*d;y=y+1|0}while((y|0)!=(o|0))}else{y=v;do{A=i+((Y(y,l)|0)<<3)|0;z=0;B=0.0;do{E=z|1;F=z|2;G=z|3;B=B+(+p[x+(z<<3)>>3]*+p[A+(z<<3)>>3]+ +p[x+(E<<3)>>3]*+p[A+(E<<3)>>3]+ +p[x+(F<<3)>>3]*+p[A+(F<<3)>>3]+ +p[x+(G<<3)>>3]*+p[A+(G<<3)>>3]);z=z+4|0}while((z|0)<=(c|0));if(t){z=r;C=B;while(1){H=C+ +p[x+(z<<3)>>3]*+p[A+(z<<3)>>3];z=z+1|0;if((z|0)==(a|0)){I=H;break}else C=H}}else I=B;p[w+(y<<3)>>3]=I*d;y=y+1|0}while((y|0)!=(o|0))}v=v+1|0;if((v|0)==(o|0))break;else w=w+(m<<3)|0}u=e;return}w=(n|0)==(a|0)?4:0;v=a<<3;r=h+8|0;f[h>>2]=r;t=h+4|0;f[t>>2]=v;if(v>>>0>1032){c=Dmc(v)|0;f[h>>2]=c;J=c}else J=r;if((o|0)>0){c=(n|0)<(a|0);n=(a|0)>0;v=g+24|0;s=g+16|0;q=g+8|0;y=a+-4|0;x=(a|0)<4;z=y>>>2;A=(z<<2)+4|0;G=Y(w,(z<<3)+8|0)|0;z=g+G|0;F=0;E=j;j=k+G|0;while(1){G=i+((Y(F,l)|0)<<3)|0;K=k+((Y(F,b)|0)<<3)|0;if(c)if(n){L=0;do{p[J+(L<<3)>>3]=+p[G+(L<<3)>>3]-+p[K>>3];L=L+1|0}while((L|0)!=(a|0));M=21}else{N=F;M=22}else if(n){L=0;do{p[J+(L<<3)>>3]=+p[G+(L<<3)>>3]-+p[K+(L<<3)>>3];L=L+1|0}while((L|0)!=(a|0));M=21}else{O=F;P=j;M=30}if((M|0)==21){M=0;if(c){N=F;M=22}else{O=F;P=j;M=30}}if((M|0)==22)while(1){M=0;L=i+((Y(N,l)|0)<<3)|0;K=k+((Y(N,b)|0)<<3)|0;I=+p[K>>3];p[v>>3]=I;p[s>>3]=I;p[q>>3]=I;p[g>>3]=I;a:do if(x){Q=0.0;R=g;S=0}else{D=0.0;K=g;G=0;C=I;while(1){T=G|1;U=G|2;V=G|3;H=D+(+p[J+(G<<3)>>3]*(+p[L+(G<<3)>>3]-C)+ +p[J+(T<<3)>>3]*(+p[L+(T<<3)>>3]-+p[K+8>>3])+ +p[J+(U<<3)>>3]*(+p[L+(U<<3)>>3]-+p[K+16>>3])+ +p[J+(V<<3)>>3]*(+p[L+(V<<3)>>3]-+p[K+24>>3]));V=G+4|0;U=K+(w<<3)|0;if((V|0)>(y|0)){Q=H;R=z;S=A;break a}D=H;K=U;G=V;C=+p[U>>3]}}while(0);if((S|0)<(a|0)){I=Q;G=R;K=S;while(1){B=I+ +p[J+(K<<3)>>3]*(+p[L+(K<<3)>>3]-+p[G>>3]);K=K+1|0;if((K|0)==(a|0)){W=B;break}else{I=B;G=G+8|0}}}else W=Q;p[E+(N<<3)>>3]=W*d;N=N+1|0;if((N|0)==(o|0))break;else M=22}else if((M|0)==30)while(1){M=0;G=i+((Y(O,l)|0)<<3)|0;K=k+((Y(O,b)|0)<<3)|0;if(x){X=0.0;Z=K;_=0}else{I=0.0;L=K;K=0;while(1){U=K|1;V=K|2;T=K|3;B=I+(+p[J+(K<<3)>>3]*(+p[G+(K<<3)>>3]-+p[L>>3])+ +p[J+(U<<3)>>3]*(+p[G+(U<<3)>>3]-+p[L+8>>3])+ +p[J+(V<<3)>>3]*(+p[G+(V<<3)>>3]-+p[L+16>>3])+ +p[J+(T<<3)>>3]*(+p[G+(T<<3)>>3]-+p[L+24>>3]));K=K+4|0;if((K|0)>(y|0)){X=B;Z=P;_=A;break}else{I=B;L=L+(w<<3)|0}}}if((_|0)<(a|0)){I=X;L=Z;K=_;while(1){B=I+ +p[J+(K<<3)>>3]*(+p[G+(K<<3)>>3]-+p[L>>3]);K=K+1|0;if((K|0)==(a|0)){$=B;break}else{I=B;L=L+8|0}}}else $=X;p[E+(O<<3)>>3]=$*d;O=O+1|0;if((O|0)==(o|0))break;else{P=P+(b<<3)|0;M=30}}F=F+1|0;if((F|0)==(o|0))break;else{E=E+(m<<3)|0;j=j+(b<<3)|0}}}if((J|0)!=(r|0)){Fmc(J);f[h>>2]=r;f[t>>2]=1032}u=e;return}function HX(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0.0,A=0.0,B=0.0,C=0;d=u;u=u+128|0;e=d+112|0;g=d+56|0;h=d+40|0;i=d;j=d+8|0;zT(e,49400);do if((pD(c)|0)==65536){k=f[c+4>>2]|0;f[g>>2]=f[k>>2];l=g+4|0;m=k+4|0;f[l>>2]=f[m>>2];n=g+8|0;f[n>>2]=f[k+8>>2];f[g+12>>2]=f[k+12>>2];f[g+16>>2]=f[k+16>>2];f[g+20>>2]=f[k+20>>2];f[g+24>>2]=f[k+24>>2];f[g+28>>2]=f[k+28>>2];f[g+32>>2]=f[k+32>>2];o=f[k+36>>2]|0;f[g+36>>2]=o;f[g+40>>2]=n;n=g+48|0;p=g+44|0;f[p>>2]=n;f[n>>2]=0;f[g+52>>2]=0;if(o|0){n=o+12|0;f[n>>2]=(f[n>>2]|0)+1}if((f[m>>2]|0)<3){m=f[k+44>>2]|0;n=f[p>>2]|0;f[n>>2]=f[m>>2];f[n+4>>2]=f[m+4>>2];q=g;break}else{f[l>>2]=0;kP(g,k);q=g;break}}else{lD(g,c,-1);q=g}while(0);c=f[a>>2]|0;k=(c>>>3&511)+1|0;l=c&7;m=f[49420+(l<<2)>>2]|0;n=f[q>>2]|0;if((n^c)&4095|0){f[h>>2]=0;f[h+4>>2]=0;r=YG(h,20)|0;s=222121;t=r+20|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,h,222142,220950,3294)}q=g+40|0;p=f[q>>2]|0;o=f[p+-4>>2]|0;v=f[a+40>>2]|0;if((o|0)!=(f[v+-4>>2]|0)){f[h>>2]=0;w=h+4|0;f[w>>2]=0;x=YG(h,16)|0;r=x;s=222146;t=r+16|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,h,222142,220950,3294)}a:do if((o|0)==2){if((f[p>>2]|0)!=(f[v>>2]|0)){f[h>>2]=0;w=h+4|0;f[w>>2]=0;x=YG(h,16)|0;r=x;s=222146;t=r+16|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,h,222142,220950,3294)}if((f[p+4>>2]|0)!=(f[v+4>>2]|0)){f[h>>2]=0;w=h+4|0;f[w>>2]=0;x=YG(h,16)|0;r=x;s=222146;t=r+16|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,h,222142,220950,3294)}}else if((o|0)>0){y=0;while(1){if((f[p+(y<<2)>>2]|0)!=(f[v+(y<<2)>>2]|0))break;y=y+1|0;if((y|0)>=(o|0))break a}f[h>>2]=0;w=h+4|0;f[w>>2]=0;x=YG(h,16)|0;r=x;s=222146;t=r+16|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,h,222142,220950,3294)}while(0);if((l|0)==7){f[h>>2]=0;f[h+4>>2]=0;r=YG(h,9)|0;s=274048;t=r+9|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,h,222142,220950,3294)}if(!(c&n&16384)){f[h>>2]=a;f[h+4>>2]=g;f[h+8>>2]=0;n=i;f[n>>2]=0;f[n+4>>2]=0;IN(j,h,i,-1);h=Y(f[j+20>>2]|0,k)|0;n=j+16|0;c=i+4|0;s=0;z=0.0;while(1){if(s>>>0>=(f[n>>2]|0)>>>0)break;A=z+ +dh[m&31](f[i>>2]|0,f[c>>2]|0,h);JN(j)|0;s=s+1|0;z=A}B=z}else{s=f[a+4>>2]|0;if((s|0)<3)C=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{j=0;h=1;while(1){c=Y(f[v+(j<<2)>>2]|0,h)|0;j=j+1|0;if((j|0)==(s|0)){C=c;break}else h=c}}h=Y(C,k)|0;B=+dh[m&31](f[a+16>>2]|0,f[g+16>>2]|0,h)}h=g+36|0;a=f[h>>2]|0;if(a|0?(m=a+12|0,a=f[m>>2]|0,f[m>>2]=a+-1,(a|0)==1):0)lP(g);f[h>>2]=0;h=g+16|0;a=g+4|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[a>>2]|0)>0){h=f[q>>2]|0;q=0;do{f[h+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[a>>2]|0))}a=f[g+44>>2]|0;if((a|0)!=(g+48|0))tE(a);if(!(f[e+4>>2]|0)){u=d;return +B}u=d;return +B}function IX(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0.0,f=0,g=0,i=0.0,j=0,k=0,l=0,m=0,n=0.0,o=0.0,p=0.0;d=c+-4|0;if((c|0)<4){e=0.0;f=0}else{g=0;i=0.0;do{j=g|1;k=g|2;l=g|3;i=i+(+(h[a+g>>0]|0)*+(h[b+g>>0]|0)+ +(h[a+j>>0]|0)*+(h[b+j>>0]|0)+ +(h[a+k>>0]|0)*+(h[b+k>>0]|0)+ +(h[a+l>>0]|0)*+(h[b+l>>0]|0));g=g+4|0}while((g|0)<=(d|0));e=i;f=c&-4}if((f|0)<(c|0)){m=f;n=e}else{o=e;p=o+0.0;return +p}while(1){e=n+ +(h[a+m>>0]|0)*+(h[b+m>>0]|0);m=m+1|0;if((m|0)==(c|0)){o=e;break}else n=e}p=o+0.0;return +p}function JX(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0.0,g=0,h=0,i=0.0,j=0,k=0,l=0,m=0,n=0.0,o=0.0,p=0.0;e=d+-4|0;if((d|0)<4){f=0.0;g=0}else{h=0;i=0.0;do{j=h|1;k=h|2;l=h|3;i=i+(+(b[a+h>>0]|0)*+(b[c+h>>0]|0)+ +(b[a+j>>0]|0)*+(b[c+j>>0]|0)+ +(b[a+k>>0]|0)*+(b[c+k>>0]|0)+ +(b[a+l>>0]|0)*+(b[c+l>>0]|0));h=h+4|0}while((h|0)<=(e|0));f=i;g=d&-4}if((g|0)<(d|0)){m=g;n=f}else{o=f;p=o+0.0;return +p}while(1){f=n+ +(b[a+m>>0]|0)*+(b[c+m>>0]|0);m=m+1|0;if((m|0)==(d|0)){o=f;break}else n=f}p=o+0.0;return +p}function KX(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0.0,f=0,g=0,h=0.0,i=0,k=0,l=0,m=0,n=0.0,o=0.0;d=c+-4|0;if((c|0)<4){e=0.0;f=0}else{g=0;h=0.0;do{i=g|1;k=g|2;l=g|3;h=h+(+(j[a+(g<<1)>>1]|0)*+(j[b+(g<<1)>>1]|0)+ +(j[a+(i<<1)>>1]|0)*+(j[b+(i<<1)>>1]|0)+ +(j[a+(k<<1)>>1]|0)*+(j[b+(k<<1)>>1]|0)+ +(j[a+(l<<1)>>1]|0)*+(j[b+(l<<1)>>1]|0));g=g+4|0}while((g|0)<=(d|0));e=h;f=c&-4}if((f|0)<(c|0)){m=f;n=e}else{o=e;return +o}while(1){e=n+ +(j[a+(m<<1)>>1]|0)*+(j[b+(m<<1)>>1]|0);m=m+1|0;if((m|0)==(c|0)){o=e;break}else n=e}return +o}function LX(a,b,c){a=a|0;b=b|0;c=c|0;var e=0,f=0.0,g=0,h=0,i=0.0,j=0,k=0,l=0,m=0,n=0.0,o=0.0;e=c+-4|0;if((c|0)<4){f=0.0;g=0}else{h=0;i=0.0;do{j=h|1;k=h|2;l=h|3;i=i+(+(d[a+(h<<1)>>1]|0)*+(d[b+(h<<1)>>1]|0)+ +(d[a+(j<<1)>>1]|0)*+(d[b+(j<<1)>>1]|0)+ +(d[a+(k<<1)>>1]|0)*+(d[b+(k<<1)>>1]|0)+ +(d[a+(l<<1)>>1]|0)*+(d[b+(l<<1)>>1]|0));h=h+4|0}while((h|0)<=(e|0));f=i;g=c&-4}if((g|0)<(c|0)){m=g;n=f}else{o=f;return +o}while(1){f=n+ +(d[a+(m<<1)>>1]|0)*+(d[b+(m<<1)>>1]|0);m=m+1|0;if((m|0)==(c|0)){o=f;break}else n=f}return +o}function MX(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0.0,g=0,h=0,i=0.0,j=0,k=0,l=0,m=0,n=0.0,o=0.0;d=c+-4|0;if((c|0)<4){e=0.0;g=0}else{h=0;i=0.0;do{j=h|1;k=h|2;l=h|3;i=i+(+(f[a+(h<<2)>>2]|0)*+(f[b+(h<<2)>>2]|0)+ +(f[a+(j<<2)>>2]|0)*+(f[b+(j<<2)>>2]|0)+ +(f[a+(k<<2)>>2]|0)*+(f[b+(k<<2)>>2]|0)+ +(f[a+(l<<2)>>2]|0)*+(f[b+(l<<2)>>2]|0));h=h+4|0}while((h|0)<=(d|0));e=i;g=c&-4}if((g|0)<(c|0)){m=g;n=e}else{o=e;return +o}while(1){e=n+ +(f[a+(m<<2)>>2]|0)*+(f[b+(m<<2)>>2]|0);m=m+1|0;if((m|0)==(c|0)){o=e;break}else n=e}return +o}function NX(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0.0,f=0,g=0,h=0.0,i=0,j=0,k=0,l=0,m=0.0,o=0.0,p=0.0;d=c+-4|0;if((c|0)<4){e=0.0;f=0}else{g=0;h=0.0;do{i=g|1;j=g|2;k=g|3;h=h+(+n[a+(g<<2)>>2]*+n[b+(g<<2)>>2]+ +n[a+(i<<2)>>2]*+n[b+(i<<2)>>2]+ +n[a+(j<<2)>>2]*+n[b+(j<<2)>>2]+ +n[a+(k<<2)>>2]*+n[b+(k<<2)>>2]);g=g+4|0}while((g|0)<=(d|0));e=h;f=c&-4}if((f|0)<(c|0)){l=f;m=e}else{o=e;p=o+0.0;return +p}while(1){e=m+ +n[a+(l<<2)>>2]*+n[b+(l<<2)>>2];l=l+1|0;if((l|0)==(c|0)){o=e;break}else m=e}p=o+0.0;return +p}function OX(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0.0,f=0,g=0,h=0.0,i=0,j=0,k=0,l=0,m=0.0,n=0.0;d=c+-4|0;if((c|0)<4){e=0.0;f=0}else{g=0;h=0.0;do{i=g|1;j=g|2;k=g|3;h=h+(+p[a+(g<<3)>>3]*+p[b+(g<<3)>>3]+ +p[a+(i<<3)>>3]*+p[b+(i<<3)>>3]+ +p[a+(j<<3)>>3]*+p[b+(j<<3)>>3]+ +p[a+(k<<3)>>3]*+p[b+(k<<3)>>3]);g=g+4|0}while((g|0)<=(d|0));e=h;f=c&-4}if((f|0)<(c|0)){l=f;m=e}else{n=e;return +n}while(1){e=m+ +p[a+(l<<3)>>3]*+p[b+(l<<3)>>3];l=l+1|0;if((l|0)==(c|0)){n=e;break}else m=e}return +n}function PX(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=u;u=u+112|0;d=c+104|0;e=c+48|0;g=c+40|0;h=c+32|0;i=c;zT(d,49452);if((oD(a,-1)|0)&4088|0){f[e>>2]=0;f[e+4>>2]=0;j=YG(e,7)|0;b[j>>0]=b[382350]|0;b[j+1>>0]=b[382351]|0;b[j+2>>0]=b[382352]|0;b[j+3>>0]=b[382353]|0;b[j+4>>0]=b[382354]|0;b[j+5>>0]=b[382355]|0;b[j+6>>0]=b[382356]|0;QX(e,222201,298)}do if((pD(a)|0)==65536){j=f[a+4>>2]|0;f[e>>2]=f[j>>2];k=e+4|0;l=j+4|0;f[k>>2]=f[l>>2];m=e+8|0;f[m>>2]=f[j+8>>2];f[e+12>>2]=f[j+12>>2];f[e+16>>2]=f[j+16>>2];f[e+20>>2]=f[j+20>>2];f[e+24>>2]=f[j+24>>2];f[e+28>>2]=f[j+28>>2];f[e+32>>2]=f[j+32>>2];n=f[j+36>>2]|0;f[e+36>>2]=n;f[e+40>>2]=m;m=e+48|0;o=e+44|0;f[o>>2]=m;f[m>>2]=0;f[e+52>>2]=0;if(n|0){m=n+12|0;f[m>>2]=(f[m>>2]|0)+1}if((f[l>>2]|0)<3){l=f[j+44>>2]|0;m=f[o>>2]|0;f[m>>2]=f[l>>2];f[m+4>>2]=f[l+4>>2];p=e;break}else{f[k>>2]=0;kP(e,j);p=e;break}}else{lD(e,a,-1);p=e}while(0);a=f[p>>2]&7;p=f[49472+(a<<2)>>2]|0;if((a|0)==7){f[g>>2]=0;f[g+4>>2]=0;a=YG(g,9)|0;j=274048;k=a+9|0;do{b[a>>0]=b[j>>0]|0;a=a+1|0;j=j+1|0}while((a|0)<(k|0));QX(g,222201,314)}f[g>>2]=e;f[g+4>>2]=0;f[h>>2]=0;IN(i,g,h,-1);g=f[i+20>>2]|0;j=i+16|0;a=0;k=0;while(1){if(a>>>0>=(f[j>>2]|0)>>>0)break;l=(Sh[p&511](f[h>>2]|0,g)|0)+k|0;JN(i)|0;a=a+1|0;k=l}a=e+36|0;i=f[a>>2]|0;if(i|0?(g=i+12|0,i=f[g>>2]|0,f[g>>2]=i+-1,(i|0)==1):0)lP(e);f[a>>2]=0;a=e+16|0;i=e+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[i>>2]|0)>0){a=f[e+40>>2]|0;g=0;do{f[a+(g<<2)>>2]=0;g=g+1|0}while((g|0)<(f[i>>2]|0))}i=f[e+44>>2]|0;if((i|0)!=(e+48|0))tE(i);if(!(f[d+4>>2]|0)){u=c;return k|0}u=c;return k|0}function QX(a,b,c){a=a|0;b=b|0;c=c|0;SQ(-215,a,b,222214,c);return}function RX(a,c){a=a|0;c=c|0;var d=0,e=0,f=0,g=0;if((c|0)>0){d=0;e=0}else{f=0;return f|0}while(1){g=((b[a+e>>0]|0)!=0&1)+d|0;e=e+1|0;if((e|0)==(c|0)){f=g;break}else d=g}return f|0}function SX(a,b){a=a|0;b=b|0;var c=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;c=b+-4|0;if((b|0)<4){e=0;f=0}else{g=0;h=0;do{h=((d[a+(g<<1)>>1]|0)!=0&1)+h+((d[a+((g|1)<<1)>>1]|0)!=0&1)+((d[a+((g|2)<<1)>>1]|0)!=0&1)+((d[a+((g|3)<<1)>>1]|0)!=0&1)|0;g=g+4|0}while((g|0)<=(c|0));e=h;f=b&-4}if((f|0)<(b|0)){i=f;j=e}else{k=e;return k|0}while(1){e=((d[a+(i<<1)>>1]|0)!=0&1)+j|0;i=i+1|0;if((i|0)==(b|0)){k=e;break}else j=e}return k|0}function TX(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=b+-4|0;if((b|0)<4){d=0;e=0}else{g=0;h=0;do{h=((f[a+(g<<2)>>2]|0)!=0&1)+h+((f[a+((g|1)<<2)>>2]|0)!=0&1)+((f[a+((g|2)<<2)>>2]|0)!=0&1)+((f[a+((g|3)<<2)>>2]|0)!=0&1)|0;g=g+4|0}while((g|0)<=(c|0));d=h;e=b&-4}if((e|0)<(b|0)){i=e;j=d}else{k=d;return k|0}while(1){d=((f[a+(i<<2)>>2]|0)!=0&1)+j|0;i=i+1|0;if((i|0)==(b|0)){k=d;break}else j=d}return k|0}function UX(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;c=b+-4|0;if((b|0)<4){d=0;e=0}else{f=0;g=0;do{g=(+n[a+(f<<2)>>2]!=0.0&1)+g+(+n[a+((f|1)<<2)>>2]!=0.0&1)+(+n[a+((f|2)<<2)>>2]!=0.0&1)+(+n[a+((f|3)<<2)>>2]!=0.0&1)|0;f=f+4|0}while((f|0)<=(c|0));d=g;e=b&-4}if((e|0)<(b|0)){h=e;i=d}else{j=d;return j|0}while(1){d=(+n[a+(h<<2)>>2]!=0.0&1)+i|0;h=h+1|0;if((h|0)==(b|0)){j=d;break}else i=d}return j|0}
function Atb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;e=u;u=u+288|0;g=e+272|0;h=e+256|0;i=e+244|0;j=e+232|0;k=e+176|0;l=e+120|0;m=e+64|0;n=e+48|0;o=e+32|0;p=e+16|0;q=e;zT(g,137324);if((BD(b,-1)|0)==3)gAa(a,b,c,d);else{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;rD(b,h);rD(c,i);rD(d,j);d=f[h>>2]|0;f[k>>2]=f[d>>2];c=k+4|0;b=d+4|0;f[c>>2]=f[b>>2];r=k+8|0;f[r>>2]=f[d+8>>2];s=k+12|0;f[s>>2]=f[d+12>>2];t=k+16|0;f[t>>2]=f[d+16>>2];v=k+20|0;f[v>>2]=f[d+20>>2];w=k+24|0;f[w>>2]=f[d+24>>2];x=k+28|0;f[x>>2]=f[d+28>>2];y=k+32|0;f[y>>2]=f[d+32>>2];z=k+36|0;A=f[d+36>>2]|0;f[z>>2]=A;B=k+40|0;f[B>>2]=r;C=k+48|0;D=k+44|0;f[D>>2]=C;f[C>>2]=0;f[k+52>>2]=0;if(A|0){E=A+12|0;f[E>>2]=(f[E>>2]|0)+1}if((f[b>>2]|0)<3){b=f[d+44>>2]|0;E=f[D>>2]|0;f[E>>2]=f[b>>2];f[E+4>>2]=f[b+4>>2]}else{f[c>>2]=0;kP(k,d)}d=f[i>>2]|0;f[l>>2]=f[d>>2];b=l+4|0;E=d+4|0;f[b>>2]=f[E>>2];A=l+8|0;f[A>>2]=f[d+8>>2];F=l+12|0;f[F>>2]=f[d+12>>2];G=l+16|0;f[G>>2]=f[d+16>>2];H=l+20|0;f[H>>2]=f[d+20>>2];I=l+24|0;f[I>>2]=f[d+24>>2];J=l+28|0;f[J>>2]=f[d+28>>2];K=l+32|0;f[K>>2]=f[d+32>>2];L=l+36|0;M=f[d+36>>2]|0;f[L>>2]=M;N=l+40|0;f[N>>2]=A;O=l+48|0;P=l+44|0;f[P>>2]=O;f[O>>2]=0;f[l+52>>2]=0;if(M|0){Q=M+12|0;f[Q>>2]=(f[Q>>2]|0)+1}if((f[E>>2]|0)<3){E=f[d+44>>2]|0;Q=f[P>>2]|0;f[Q>>2]=f[E>>2];f[Q+4>>2]=f[E+4>>2]}else{f[b>>2]=0;kP(l,d)}do if((f[t>>2]|0)!=(f[G>>2]|0)){d=a+44|0;if(!(f[d>>2]|0)){E=m+8|0;f[E>>2]=0;f[E+4>>2]=0;f[m>>2]=33619968;f[m+4>>2]=l;kT(k,m);break}zP(m,k,1,a+48|0);E=m+36|0;Q=f[E>>2]|0;if(Q|0){M=Q+12|0;f[M>>2]=(f[M>>2]|0)+1}M=f[z>>2]|0;if(M|0?(Q=M+12|0,M=f[Q>>2]|0,f[Q>>2]=M+-1,(M|0)==1):0)lP(k);f[z>>2]=0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[c>>2]|0)>0){M=f[B>>2]|0;Q=0;do{f[M+(Q<<2)>>2]=0;Q=Q+1|0;R=f[c>>2]|0}while((Q|0)<(R|0));f[k>>2]=f[m>>2];if((R|0)<3)S=27;else S=29}else{f[k>>2]=f[m>>2];S=27}if((S|0)==27){Q=f[m+4>>2]|0;if((Q|0)<3){f[c>>2]=Q;f[r>>2]=f[m+8>>2];f[s>>2]=f[m+12>>2];Q=f[m+44>>2]|0;M=f[D>>2]|0;f[M>>2]=f[Q>>2];f[M+4>>2]=f[Q+4>>2]}else S=29}if((S|0)==29)kP(k,m);Q=m+16|0;f[t>>2]=f[Q>>2];f[v>>2]=f[m+20>>2];f[w>>2]=f[m+24>>2];f[x>>2]=f[m+28>>2];f[y>>2]=f[m+32>>2];M=f[E>>2]|0;f[z>>2]=M;if(M|0?(T=M+12|0,M=f[T>>2]|0,f[T>>2]=M+-1,(M|0)==1):0)lP(m);f[E>>2]=0;M=m+4|0;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q+12>>2]=0;if((f[M>>2]|0)>0){Q=f[m+40>>2]|0;T=0;do{f[Q+(T<<2)>>2]=0;T=T+1|0}while((T|0)<(f[M>>2]|0))}M=f[m+44>>2]|0;if((M|0)!=(m+48|0))tE(M);zP(m,l,1,a+60|0);M=m+36|0;T=f[M>>2]|0;if(T|0){Q=T+12|0;f[Q>>2]=(f[Q>>2]|0)+1}Q=f[L>>2]|0;if(Q|0?(T=Q+12|0,Q=f[T>>2]|0,f[T>>2]=Q+-1,(Q|0)==1):0)lP(l);f[L>>2]=0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[b>>2]|0)>0){Q=f[N>>2]|0;T=0;do{f[Q+(T<<2)>>2]=0;T=T+1|0;U=f[b>>2]|0}while((T|0)<(U|0));f[l>>2]=f[m>>2];if((U|0)<3)S=48;else S=50}else{f[l>>2]=f[m>>2];S=48}do if((S|0)==48){T=f[m+4>>2]|0;if((T|0)>=3){S=50;break}f[b>>2]=T;f[A>>2]=f[m+8>>2];f[F>>2]=f[m+12>>2];T=f[m+44>>2]|0;Q=f[P>>2]|0;f[Q>>2]=f[T>>2];f[Q+4>>2]=f[T+4>>2]}while(0);if((S|0)==50)kP(l,m);T=m+16|0;f[G>>2]=f[T>>2];f[H>>2]=f[m+20>>2];f[I>>2]=f[m+24>>2];f[J>>2]=f[m+28>>2];f[K>>2]=f[m+32>>2];Q=f[M>>2]|0;f[L>>2]=Q;do if(Q|0){E=Q+12|0;V=f[E>>2]|0;f[E>>2]=V+-1;if((V|0)!=1)break;lP(m)}while(0);f[M>>2]=0;Q=m+4|0;f[T>>2]=0;f[T+4>>2]=0;f[T+8>>2]=0;f[T+12>>2]=0;if((f[Q>>2]|0)>0){V=f[m+40>>2]|0;E=0;do{f[V+(E<<2)>>2]=0;E=E+1|0}while((E|0)<(f[Q>>2]|0))}Q=f[m+44>>2]|0;if((Q|0)!=(m+48|0))tE(Q);mAa(m,1,k);mAa(n,1,l);Q=f[d>>2]|0;E=f[(f[Q>>2]|0)+44>>2]|0;f[o+8>>2]=0;f[o+12>>2]=0;f[o>>2]=17104896;f[o+4>>2]=m;V=p+8|0;f[V>>2]=0;f[V+4>>2]=0;f[p>>2]=33882112;f[p+4>>2]=n;V=q+8|0;f[V>>2]=0;f[V+4>>2]=0;f[q>>2]=33882112;f[q+4>>2]=j;rh[E&255](Q,o,p,q);rt(n);rt(m)}while(0);m=f[L>>2]|0;if(m|0?(n=m+12|0,m=f[n>>2]|0,f[n>>2]=m+-1,(m|0)==1):0)lP(l);f[L>>2]=0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[b>>2]|0)>0){G=f[N>>2]|0;N=0;do{f[G+(N<<2)>>2]=0;N=N+1|0}while((N|0)<(f[b>>2]|0))}b=f[P>>2]|0;if((b|0)!=(O|0))tE(b);b=f[z>>2]|0;if(b|0?(O=b+12|0,b=f[O>>2]|0,f[O>>2]=b+-1,(b|0)==1):0)lP(k);f[z>>2]=0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[c>>2]|0)>0){t=f[B>>2]|0;B=0;do{f[t+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[c>>2]|0))}c=f[D>>2]|0;if((c|0)!=(C|0))tE(c);rt(j);rt(i);rt(h)}if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function Btb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;h=u;u=u+16|0;i=h;j=f[c>>2]|0;if(((f[c+4>>2]|0)-j|0)==12?(k=f[j>>2]|0,((f[j+4>>2]|0)-k|0)==16):0){j=a+36|0;if(!((f[k+4>>2]|0)%(f[j>>2]|0)|0)){cAa(a,c,d,e,g)|0;u=h;return (f[j>>2]|0)==1|0}else{f[i>>2]=0;f[i+4>>2]=0;l=YG(i,25)|0;m=467321;n=l+25|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,i,475265,467235,26)}}f[i>>2]=0;f[i+4>>2]=0;l=YG(i,43)|0;m=467191;n=l+43|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,i,475265,467235,25);return 0}function Ctb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0.0,C=0,D=0,E=0;d=u;u=u+64|0;e=d+48|0;g=d+8|0;h=d;f[e>>2]=0;f[e+4>>2]=0;i=YG(e,11)|0;j=467560;k=i+11|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));l=c+4|0;m=f[l>>2]|0;do if(m){o=f[e>>2]|0;p=(o|0)==0?1163146:o;q=l;r=m;a:while(1){s=r;while(1){t=f[s+16>>2]|0;if((t|0)==(o|0))break;if((o7b((t|0)==0?1163146:t,p)|0)>=0)break;t=f[s+4>>2]|0;if(!t){v=q;break a}else s=t}r=f[s>>2]|0;if(!r){v=s;break}else q=s}if((v|0)!=(l|0)){q=f[v+16>>2]|0;if((o|0)!=(q|0)?(o7b(p,(q|0)==0?1163146:q)|0)<=-1:0){w=12;break}q=rCa(v+24|0,-1)|0;r=(q|0)==0&(J|0)==0;ZG(e);if(r){f[g>>2]=0;f[g+4>>2]=0;i=YG(g,13)|0;j=467572;k=i+13|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));p=f[l>>2]|0;do if(p){o=f[g>>2]|0;r=(o|0)==0?1163146:o;q=l;t=p;b:while(1){x=t;while(1){y=f[x+16>>2]|0;if((y|0)==(o|0))break;if((o7b((y|0)==0?1163146:y,r)|0)>=0)break;y=f[x+4>>2]|0;if(!y){z=q;break b}else x=y}t=f[x>>2]|0;if(!t){z=x;break}else q=x}if((z|0)!=(l|0)){q=f[z+16>>2]|0;if((o|0)!=(q|0)?(o7b(r,(q|0)==0?1163146:q)|0)<=-1:0){A=.5;break}A=+eEa(z+24|0,-1)}else A=.5}else A=.5;while(0);B=1.0-A;ZG(g);n[e>>2]=B;if(!(B>0.0)){f[g>>2]=0;f[g+4>>2]=0;i=YG(g,9)|0;j=467586;k=i+9|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-215,g,472539,467596,139)}f[g+4>>2]=0;f[g+8>>2]=0;f[g>>2]=g+4;p=g+12|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;f[p+16>>2]=0;f[p+20>>2]=0;f[p+24>>2]=0;p=c+24|0;q=g+24|0;if((g|0)!=(c|0)){ZG(q);t=f[p>>2]|0;if(!t)C=0;else{s=t+-4|0;f[s>>2]=(f[s>>2]|0)+1;C=f[p>>2]|0}f[q>>2]=C;f[g+28>>2]=f[c+28>>2]}q=g+32|0;ZG(q);p=YG(q,5)|0;b[p>>0]=b[467672]|0;b[p+1>>0]=b[467673]|0;b[p+2>>0]=b[467674]|0;b[p+3>>0]=b[467675]|0;b[p+4>>0]=b[467676]|0;f[h>>2]=0;f[h+4>>2]=0;p=YG(h,5)|0;b[p>>0]=b[472087]|0;b[p+1>>0]=b[472088]|0;b[p+2>>0]=b[472089]|0;b[p+3>>0]=b[472090]|0;b[p+4>>0]=b[472091]|0;LCa(g,h,e)|0;ZG(h);nwb(h,g);p=f[h>>2]|0;f[a>>2]=p;f[a+4>>2]=f[h+4>>2];q=p;if(!p){D=h;E=q}else{p=q+4|0;f[p>>2]=(f[p>>2]|0)+1;D=h;E=f[h>>2]|0}if(E|0?(p=E+4|0,q=f[p>>2]|0,f[p>>2]=q+-1,(q|0)==1):0)ai[f[(f[E>>2]|0)+8>>2]&2047](E);f[D>>2]=0;qza(g);u=d;return}}else w=12}else w=12;while(0);if((w|0)==12)ZG(e);e=Bmc(36)|0;uCa(e);f[e>>2]=137364;vCa(e,c);c=Bmc(16)|0;w=c+4|0;f[w>>2]=1;f[c>>2]=137472;f[c+8>>2]=e;f[a>>2]=c;f[a+4>>2]=e;f[w>>2]=(f[w>>2]|0)+1;e=f[w>>2]|0;f[w>>2]=e+-1;if((e|0)!=1){u=d;return}ai[f[(f[c>>2]|0)+8>>2]&2047](c);u=d;return}function Dtb(a){a=a|0;Emc(a);return}function Etb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Ftb(a){a=a|0;Nza(a);Emc(a);return}function Gtb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+48|0;g=e+40|0;h=e+28|0;i=e+16|0;j=e;zT(g,137484);if((BD(b,-1)|0)==3)gAa(a,b,c,d);else{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[i>>2]=0;d=i+4|0;f[d>>2]=0;f[i+8>>2]=0;rD(b,h);rD(c,i);c=f[i>>2]|0;b=(f[d>>2]|0)-c|0;d=(b|0)/56|0;a:do if((b|0)>0){a=j+8|0;k=j+4|0;l=0;m=c;while(1){n=f[h>>2]|0;if((f[m+(l*56|0)+16>>2]|0)!=(f[n+(l*56|0)+16>>2]|0)){o=a;f[o>>2]=0;f[o+4>>2]=0;f[j>>2]=33619968;f[k>>2]=m+(l*56|0);kT(n+(l*56|0)|0,j)}n=l+1|0;if((n|0)>=(d|0))break a;l=n;m=f[i>>2]|0}}while(0);rt(i);rt(h)}if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function Htb(a,b){a=a|0;b=b|0;var c=0;switch(b|0){case 3:{c=1;break}case 2:{c=_Da()|0;break}default:c=0}return c|0}function Itb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Jtb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;cAa(a,b,c,d,e)|0;return 1}function Ktb(a,b){a=a|0;b=b|0;var c=0;c=Bmc(176)|0;Ltb(c,b);b=Bmc(16)|0;f[b+4>>2]=1;f[b>>2]=137524;f[b+8>>2]=c;f[a>>2]=b;f[a+4>>2]=c;return}function Ltb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0.0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0;d=u;u=u+16|0;e=d;uCa(a);f[a>>2]=137544;f[a+44>>2]=1124007936;g=a+52|0;h=a+84|0;i=a+48|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+92|0;f[a+88>>2]=g;f[g>>2]=0;f[a+96>>2]=0;f[a+100>>2]=1124007936;g=a+108|0;h=a+140|0;i=a+104|0;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;g=a+148|0;f[a+144>>2]=g;f[g>>2]=0;f[a+152>>2]=0;f[a+160>>2]=0;f[a+164>>2]=0;vCa(a,c);f[e>>2]=0;f[e+4>>2]=0;i=YG(e,18)|0;g=468012;j=i+18|0;do{b[i>>0]=b[g>>0]|0;i=i+1|0;g=g+1|0}while((i|0)<(j|0));h=c+4|0;c=f[h>>2]|0;do if(c){k=f[e>>2]|0;l=(k|0)==0?1163146:k;m=h;o=c;a:while(1){p=o;while(1){q=f[p+16>>2]|0;if((q|0)==(k|0))break;if((o7b((q|0)==0?1163146:q,l)|0)>=0)break;q=f[p+4>>2]|0;if(!q){r=m;break a}else p=q}o=f[p>>2]|0;if(!o){r=p;break}else m=p}if((r|0)!=(h|0)){m=f[r+16>>2]|0;if((k|0)!=(m|0)?(o7b(l,(m|0)==0?1163146:m)|0)<=-1:0){s=1;break}m=rCa(r+24|0,-1)|0;s=(m|0)!=0|(J|0)!=0}else s=1}else s=1;while(0);b[a+40>>0]=s&1;ZG(e);f[e>>2]=0;f[e+4>>2]=0;i=YG(e,15)|0;g=468031;j=i+15|0;do{b[i>>0]=b[g>>0]|0;i=i+1|0;g=g+1|0}while((i|0)<(j|0));g=f[h>>2]|0;do if(g){i=f[e>>2]|0;j=(i|0)==0?1163146:i;s=h;r=g;b:while(1){c=r;while(1){m=f[c+16>>2]|0;if((m|0)==(i|0))break;if((o7b((m|0)==0?1163146:m,j)|0)>=0)break;m=f[c+4>>2]|0;if(!m){t=s;break b}else c=m}r=f[c>>2]|0;if(!r){t=c;break}else s=c}if((t|0)!=(h|0)){s=f[t+16>>2]|0;if((i|0)!=(s|0)?(o7b(j,(s|0)==0?1163146:s)|0)<=-1:0){v=0;break}s=rCa(t+24|0,-1)|0;v=(s|0)!=0|(J|0)!=0}else v=0}else v=0;while(0);b[a+41>>0]=v&1;ZG(e);f[e>>2]=0;f[e+4>>2]=0;v=YG(e,3)|0;b[v>>0]=b[468047]|0;b[v+1>>0]=b[468048]|0;b[v+2>>0]=b[468049]|0;v=f[h>>2]|0;if(!v){w=1.0e-09;x=w;y=a+36|0;n[y>>2]=x;ZG(e);z=a+156|0;b[z>>0]=0;A=a+172|0;b[A>>0]=0;B=a+168|0;n[B>>2]=0.0;C=a+173|0;b[C>>0]=0;u=d;return}t=f[e>>2]|0;g=(t|0)==0?1163146:t;s=h;r=v;c:while(1){v=r;while(1){l=f[v+16>>2]|0;if((l|0)==(t|0))break;if((o7b((l|0)==0?1163146:l,g)|0)>=0)break;l=f[v+4>>2]|0;if(!l){D=s;break c}else v=l}r=f[v>>2]|0;if(!r){D=v;break}else s=v}if((D|0)==(h|0)){w=1.0e-09;x=w;y=a+36|0;n[y>>2]=x;ZG(e);z=a+156|0;b[z>>0]=0;A=a+172|0;b[A>>0]=0;B=a+168|0;n[B>>2]=0.0;C=a+173|0;b[C>>0]=0;u=d;return}h=f[D+16>>2]|0;if((t|0)!=(h|0)?(o7b(g,(h|0)==0?1163146:h)|0)<=-1:0){w=1.0e-09;x=w;y=a+36|0;n[y>>2]=x;ZG(e);z=a+156|0;b[z>>0]=0;A=a+172|0;b[A>>0]=0;B=a+168|0;n[B>>2]=0.0;C=a+173|0;b[C>>0]=0;u=d;return}w=+eEa(D+24|0,-1);x=w;y=a+36|0;n[y>>2]=x;ZG(e);z=a+156|0;b[z>>0]=0;A=a+172|0;b[A>>0]=0;B=a+168|0;n[B>>2]=0.0;C=a+173|0;b[C>>0]=0;u=d;return}function Mtb(a){a=a|0;Emc(a);return}function Ntb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Otb(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=137544;b=a+160|0;c=f[b>>2]|0;if(c|0?(d=c+4|0,e=f[d>>2]|0,f[d>>2]=e+-1,(e|0)==1):0)ai[f[(f[c>>2]|0)+8>>2]&2047](c);f[b>>2]=0;f[a+164>>2]=0;b=a+100|0;c=a+136|0;e=f[c>>2]|0;if(e|0?(d=e+12|0,e=f[d>>2]|0,f[d>>2]=e+-1,(e|0)==1):0)lP(b);f[c>>2]=0;c=a+116|0;b=a+104|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+140>>2]|0;e=0;do{f[c+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[b>>2]|0))}b=f[a+144>>2]|0;if((b|0)!=(a+148|0))tE(b);b=a+44|0;e=a+80|0;c=f[e>>2]|0;if(c|0?(d=c+12|0,c=f[d>>2]|0,f[d>>2]=c+-1,(c|0)==1):0)lP(b);f[e>>2]=0;e=a+60|0;b=a+48|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[b>>2]|0)>0){e=f[a+84>>2]|0;c=0;do{f[e+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+88>>2]|0;if((b|0)==(a+92|0)){Nza(a);return}tE(b);Nza(a);return}function Ptb(a){a=a|0;Otb(a);Emc(a);return}function Qtb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+16|0;e=d;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;rD(c,e);c=b[a+41>>0]|0?1:2;g=f[e>>2]|0;h=f[g+40>>2]|0;i=0;j=1;do{j=Y(f[h+(i<<2)>>2]|0,j)|0;i=i+1|0}while((i|0)<(c|0));c=f[g+4>>2]|0;if((c|0)<3){k=Y(f[g+12>>2]|0,f[g+8>>2]|0)|0;l=(k|0)==(j|0);m=a+173|0;n=l&1;b[m>>0]=n;rt(e);u=d;return}else{g=0;i=1;while(1){o=Y(f[h+(g<<2)>>2]|0,i)|0;g=g+1|0;if((g|0)==(c|0)){k=o;break}else i=o}l=(k|0)==(j|0);m=a+173|0;n=l&1;b[m>>0]=n;rt(e);u=d;return}}function Rtb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0.0,Xa=0.0,Ya=0.0,Za=0,_a=0.0,$a=0.0,ab=0.0,bb=0.0;g=u;u=u+448|0;h=g+424|0;i=g+80|0;j=g+416|0;k=g+400|0;l=g+332|0;m=g+320|0;o=g+264|0;q=g+208|0;r=g+344|0;s=g+48|0;t=g+16|0;v=g+152|0;w=g+96|0;x=g;zT(j,137644);if((BD(c,-1)|0)==3)gAa(a,c,d,e);else{f[k>>2]=0;y=k+4|0;f[y>>2]=0;f[k+8>>2]=0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;rD(c,k);rD(d,l);rD(e,m);a:do if((f[y>>2]|0)!=(f[k>>2]|0)){e=a+41|0;d=a+116|0;c=h+8|0;z=h+12|0;A=h+4|0;B=a+104|0;C=a+108|0;D=a+112|0;E=h+4|0;F=i+4|0;G=h+8|0;H=h+12|0;I=h+4|0;J=r+36|0;K=r+16|0;L=r+4|0;M=r+40|0;N=r+44|0;O=r+48|0;P=a+140|0;Q=q+36|0;R=q+16|0;S=q+4|0;T=q+40|0;U=q+44|0;V=q+48|0;W=o+36|0;X=o+16|0;Z=o+4|0;_=o+40|0;$=o+44|0;aa=o+48|0;ba=h+4|0;ca=i+4|0;da=h+4|0;ea=i+4|0;fa=a+156|0;ga=h+8|0;ha=h+12|0;ia=h+4|0;ja=i+4|0;ka=i+8|0;la=i+12|0;ma=a+40|0;na=x+8|0;oa=x+12|0;pa=h+8|0;qa=h+4|0;ra=w+36|0;sa=w+16|0;ta=w+4|0;ua=w+40|0;va=w+44|0;wa=w+48|0;xa=v+36|0;ya=v+16|0;za=v+4|0;Aa=v+40|0;Ba=v+44|0;Ca=v+48|0;Da=a+36|0;Ea=x+4|0;Fa=a+56|0;Ga=a+60|0;Ha=0;Ia=f[k>>2]|0;do{Ja=f[l>>2]|0;Ka=b[e>>0]|0?1:2;La=Ia+(Ha*56|0)+40|0;Ma=f[La>>2]|0;Na=1;Oa=0;do{Na=Y(f[Ma+(Oa<<2)>>2]|0,Na)|0;Oa=Oa+1|0}while((Oa|0)<(Ka|0));Ka=Ja+(Ha*56|0)|0;xP(o,Ia+(Ha*56|0)|0,1,Na);xP(q,Ka,1,Na);Oa=f[Ia+(Ha*56|0)+4>>2]|0;if((Oa|0)<3)Pa=Y(f[Ia+(Ha*56|0)+12>>2]|0,f[Ia+(Ha*56|0)+8>>2]|0)|0;else{Ma=f[La>>2]|0;Qa=0;Ra=1;while(1){Sa=Y(f[Ma+(Qa<<2)>>2]|0,Ra)|0;Qa=Qa+1|0;if((Qa|0)==(Oa|0)){Pa=Sa;break}else Ra=Sa}}b:do if((Pa|0)==(Na|0)){if(f[d>>2]|0){Ra=f[B>>2]|0;if((Ra|0)<3)Ta=Y(f[D>>2]|0,f[C>>2]|0)|0;else{Oa=f[P>>2]|0;Qa=0;Ma=1;while(1){La=Y(f[Oa+(Qa<<2)>>2]|0,Ma)|0;Qa=Qa+1|0;if((Qa|0)==(Ra|0)){Ta=La;break}else Ma=La}}if(!((Ra|0)==0|(Ta|0)==0)){if((Na|0)>0)Ua=0;else{Va=1;break}while(1){Ma=Ua;Ua=Ua+1|0;f[h>>2]=Ma;f[E>>2]=Ua;f[i>>2]=-2147483648;f[F>>2]=2147483647;mP(r,q,h,i);p[i>>3]=+n[(f[d>>2]|0)+(Ma<<2)>>2];f[h>>2]=-1056833530;f[I>>2]=i;f[G>>2]=1;f[H>>2]=1;oT(r,h,rE()|0)|0;Ma=f[J>>2]|0;if(Ma|0?(Qa=Ma+12|0,Ma=f[Qa>>2]|0,f[Qa>>2]=Ma+-1,(Ma|0)==1):0)lP(r);f[J>>2]=0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[L>>2]|0)>0){Ma=f[M>>2]|0;Qa=0;do{f[Ma+(Qa<<2)>>2]=0;Qa=Qa+1|0}while((Qa|0)<(f[L>>2]|0))}Qa=f[N>>2]|0;if((Qa|0)!=(O|0))tE(Qa);if((Ua|0)>=(Na|0)){Va=1;break b}}}}p[i>>3]=0.0;f[h>>2]=-1056833530;f[A>>2]=i;f[c>>2]=1;f[z>>2]=1;oT(Ka,h,rE()|0)|0;Va=1}else{f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;f[s+16>>2]=0;f[s+20>>2]=0;f[s+24>>2]=0;f[s+28>>2]=0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;f[t+16>>2]=0;f[t+20>>2]=0;f[t+24>>2]=0;f[t+28>>2]=0;if((Na|0)>0){Ra=0;do{Qa=Ra;Ra=Ra+1|0;f[h>>2]=Qa;f[ba>>2]=Ra;f[i>>2]=-2147483648;f[ca>>2]=2147483647;mP(v,o,h,i);f[h>>2]=Qa;f[da>>2]=Ra;f[i>>2]=-2147483648;f[ea>>2]=2147483647;mP(w,q,h,i);if(b[fa>>0]|0){if((Qa|0)<(f[Fa>>2]|0))Wa=+n[(f[Ga>>2]|0)+(Qa<<2)>>2];else Wa=1.0;if((Qa|0)<(f[D>>2]|0)){Xa=+n[(f[d>>2]|0)+(Qa<<2)>>2];Ya=Wa}else{Xa=0.0;Ya=Wa}}else{Xa=0.0;Ya=1.0}f[ga>>2]=0;f[ha>>2]=0;f[h>>2]=16842752;f[ia>>2]=v;f[i>>2]=-1040056314;f[ja>>2]=s;f[ka>>2]=1;f[la>>2]=4;if(!(b[ma>>0]|0)){Qa=rE()|0;Ma=Qa;Oa=f[Ma+4>>2]|0;La=x;f[La>>2]=f[Ma>>2];f[La+4>>2]=Oa;f[na>>2]=f[Qa+8>>2];Za=f[Qa+12>>2]|0}else{f[x>>2]=-1023279098;f[Ea>>2]=t;f[na>>2]=1;Za=4}f[oa>>2]=Za;cS(h,i,x,rE()|0);if(!(b[ma>>0]|0))_a=1.0;else _a=1.0/(+n[Da>>2]+ +p[t>>3]);if(!(b[fa>>0]|0)){$a=-(_a*+p[s>>3]);ab=_a}else{bb=Ya*_a;$a=Xa-bb*+p[s>>3];ab=bb}Qa=pa;f[Qa>>2]=0;f[Qa+4>>2]=0;f[h>>2]=33619968;f[qa>>2]=w;IO(v,h,f[w>>2]&4095,ab,$a);Qa=f[ra>>2]|0;if(Qa|0?(Oa=Qa+12|0,Qa=f[Oa>>2]|0,f[Oa>>2]=Qa+-1,(Qa|0)==1):0)lP(w);f[ra>>2]=0;f[sa>>2]=0;f[sa+4>>2]=0;f[sa+8>>2]=0;f[sa+12>>2]=0;if((f[ta>>2]|0)>0){Qa=f[ua>>2]|0;Oa=0;do{f[Qa+(Oa<<2)>>2]=0;Oa=Oa+1|0}while((Oa|0)<(f[ta>>2]|0))}Oa=f[va>>2]|0;if((Oa|0)!=(wa|0))tE(Oa);Oa=f[xa>>2]|0;do if(Oa|0){Qa=Oa+12|0;La=f[Qa>>2]|0;f[Qa>>2]=La+-1;if((La|0)!=1)break;lP(v)}while(0);f[xa>>2]=0;f[ya>>2]=0;f[ya+4>>2]=0;f[ya+8>>2]=0;f[ya+12>>2]=0;if((f[za>>2]|0)>0){Oa=f[Aa>>2]|0;La=0;do{f[Oa+(La<<2)>>2]=0;La=La+1|0}while((La|0)<(f[za>>2]|0))}La=f[Ba>>2]|0;if((La|0)!=(Ca|0))tE(La)}while((Ra|0)<(Na|0))}Va=0}while(0);Na=f[Q>>2]|0;if(Na|0?(Ka=Na+12|0,Na=f[Ka>>2]|0,f[Ka>>2]=Na+-1,(Na|0)==1):0)lP(q);f[Q>>2]=0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((f[S>>2]|0)>0){Na=f[T>>2]|0;Ka=0;do{f[Na+(Ka<<2)>>2]=0;Ka=Ka+1|0}while((Ka|0)<(f[S>>2]|0))}Ka=f[U>>2]|0;if((Ka|0)!=(V|0))tE(Ka);Ka=f[W>>2]|0;if(Ka|0?(Na=Ka+12|0,Ka=f[Na>>2]|0,f[Na>>2]=Ka+-1,(Ka|0)==1):0)lP(o);f[W>>2]=0;f[X>>2]=0;f[X+4>>2]=0;f[X+8>>2]=0;f[X+12>>2]=0;if((f[Z>>2]|0)>0){Ka=f[_>>2]|0;Na=0;do{f[Ka+(Na<<2)>>2]=0;Na=Na+1|0}while((Na|0)<(f[Z>>2]|0))}Na=f[$>>2]|0;if((Na|0)!=(aa|0))tE(Na);Ha=Ha+1|0;if(Va|0)break a;Ia=f[k>>2]|0}while(Ha>>>0<(((f[y>>2]|0)-Ia|0)/56|0)>>>0)}while(0);rt(m);rt(l);rt(k)}if(!(f[j+4>>2]|0)){u=g;return}u=g;return}function Stb(a,c){a=a|0;c=c|0;var d=0;if((c|0)!=2){d=(c|0)==3;return d|0}if(b[a+173>>0]|0){d=0;return d|0}if(!(f[a+32>>2]|0)){d=1;return d|0}d=+n[a+36>>2]<=1.0000000116860974e-07;return d|0}function Ttb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Utb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=f[c+4>>2]|0;e=a+172|0;if(d|0){if((b[e>>0]|0)==0?(g=a+156|0,(b[g>>0]|0)==0):0){Yh[f[(f[d>>2]|0)+84>>2]&511](d,a+44|0,a+100|0);if(f[a+60>>2]|0){h=f[a+48>>2]|0;if((h|0)<3)i=Y(f[a+56>>2]|0,f[a+52>>2]|0)|0;else{j=f[a+84>>2]|0;k=0;l=1;while(1){m=Y(f[j+(k<<2)>>2]|0,l)|0;k=k+1|0;if((k|0)==(h|0)){i=m;break}else l=m}}if(!((h|0)==0|(i|0)==0)){n=g;o=1;p=o&1;b[n>>0]=p;return o|0}}if(!(f[a+116>>2]|0)){n=g;o=0;p=o&1;b[n>>0]=p;return o|0}i=f[a+104>>2]|0;if((i|0)<3)q=Y(f[a+112>>2]|0,f[a+108>>2]|0)|0;else{h=f[a+140>>2]|0;l=0;k=1;while(1){j=Y(f[h+(l<<2)>>2]|0,k)|0;l=l+1|0;if((l|0)==(i|0)){q=j;break}else k=j}}n=g;o=(i|0)!=0&(q|0)!=0;p=o&1;b[n>>0]=p;return o|0}if((f[a+32>>2]|0)==1){q=Jnc(d,18536,21232,0)|0;d=f[c>>2]|0;c=(d|0)==0;if(!c){i=d+4|0;f[i>>2]=(f[i>>2]|0)+1;f[i>>2]=(f[i>>2]|0)+1}i=a+160|0;g=f[i>>2]|0;f[i>>2]=d;i=a+164|0;f[i>>2]=q;if(g|0?(q=g+4|0,k=f[q>>2]|0,f[q>>2]=k+-1,(k|0)==1):0)ai[f[(f[g>>2]|0)+8>>2]&2047](g);g=d;if(!c?(c=g+4|0,k=f[c>>2]|0,f[c>>2]=k+-1,(k|0)==1):0)ai[f[(f[d>>2]|0)+8>>2]&2047](g);g=f[i>>2]|0;if(g|0)f[a+168>>2]=f[g+36>>2]}}n=e;o=(f[a+164>>2]|0)!=0;p=o&1;b[n>>0]=p;return o|0}function Vtb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=u;u=u+16|0;e=d;g=f[c+4>>2]|0;h=f[c>>2]|0;c=h;if((g|0)==(h|0)){i=0;j=0;J=i;u=d;return j|0}k=a+40|0;a=(g-h|0)/12|0;h=0;g=0;a:while(1){l=f[c+(g*12|0)+4>>2]|0;m=f[c+(g*12|0)>>2]|0;n=l-m|0;o=n>>2;p=m;m=(p|0)==(l|0);do if(m){q=0;r=0}else{if((n|0)<0){s=9;break a}if(n){l=1;t=0;do{l=Y(f[p+(t<<2)>>2]|0,l)|0;t=t+1|0}while((t|0)!=(o|0));t=l*6|0;if(m){q=0;r=t;break}else{v=b[k>>0]|0?2:1;w=t}}else{v=b[k>>0]|0?2:1;w=6}if((n|0)<0|(v|0)>(o|0)){s=13;break a}else{x=1;y=0}while(1){t=Y(f[p+(y<<2)>>2]|0,x)|0;y=y+1|0;if((y|0)==(v|0)){q=t;r=w;break}else x=t}}while(0);h=r+h+(q*3|0)|0;g=g+1|0;if(g>>>0>=a>>>0){s=3;break}}if((s|0)==3){i=((h|0)<0)<<31>>31;j=h;J=i;u=d;return j|0}else if((s|0)==9){f[e>>2]=0;f[e+4>>2]=0;z=YG(e,70)|0;A=475084;B=z+70|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));SQ(-215,e,475155,475161,161)}else if((s|0)==13){f[e>>2]=0;f[e+4>>2]=0;z=YG(e,70)|0;A=475084;B=z+70|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));SQ(-215,e,475155,475161,161)}return 0}function Wtb(a,b){a=a|0;b=b|0;var c=0;c=Bmc(48)|0;Xtb(c,b);b=Bmc(16)|0;f[b+4>>2]=1;f[b>>2]=137684;f[b+8>>2]=c;f[a>>2]=b;f[a+4>>2]=c;return}function Xtb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=u;u=u+16|0;e=d;uCa(a);f[a>>2]=137704;vCa(a,c);f[e>>2]=0;f[e+4>>2]=0;g=YG(e,9)|0;h=468376;i=g+9|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));h=c+4|0;c=f[h>>2]|0;do if(c){g=f[e>>2]|0;i=(g|0)==0?1163146:g;j=h;k=c;a:while(1){l=k;while(1){m=f[l+16>>2]|0;if((m|0)==(g|0))break;if((o7b((m|0)==0?1163146:m,i)|0)>=0)break;m=f[l+4>>2]|0;if(!m){n=j;break a}else l=m}k=f[l>>2]|0;if(!k){n=l;break}else j=l}if((n|0)!=(h|0)){j=f[n+16>>2]|0;if((g|0)!=(j|0)?(o7b(i,(j|0)==0?1163146:j)|0)<=-1:0){o=0;break}j=rCa(n+24|0,-1)|0;o=((j|0)!=0|(J|0)!=0)&1}else o=0}else o=0;while(0);b[a+36>>0]=o;ZG(e);f[e>>2]=0;f[e+4>>2]=0;o=YG(e,4)|0;b[o>>0]=97;b[o+1>>0]=120;b[o+2>>0]=105;b[o+3>>0]=115;o=f[h>>2]|0;if(!o){p=1;q=a+40|0;f[q>>2]=p;ZG(e);r=a+44|0;b[r>>0]=0;u=d;return}n=f[e>>2]|0;c=(n|0)==0?1163146:n;j=h;k=o;b:while(1){o=k;while(1){m=f[o+16>>2]|0;if((m|0)==(n|0))break;if((o7b((m|0)==0?1163146:m,c)|0)>=0)break;m=f[o+4>>2]|0;if(!m){s=j;break b}else o=m}k=f[o>>2]|0;if(!k){s=o;break}else j=o}if((s|0)==(h|0)){p=1;q=a+40|0;f[q>>2]=p;ZG(e);r=a+44|0;b[r>>0]=0;u=d;return}h=f[s+16>>2]|0;if((n|0)!=(h|0)?(o7b(c,(h|0)==0?1163146:h)|0)<=-1:0){p=1;q=a+40|0;f[q>>2]=p;ZG(e);r=a+44|0;b[r>>0]=0;u=d;return}h=rCa(s+24|0,-1)|0;p=h;q=a+40|0;f[q>>2]=p;ZG(e);r=a+44|0;b[r>>0]=0;u=d;return}function Ytb(a){a=a|0;Emc(a);return}function Ztb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function _tb(a){a=a|0;Nza(a);Emc(a);return}function $tb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+32|0;e=d+8|0;g=d;f[e>>2]=0;h=e+4|0;f[h>>2]=0;f[e+8>>2]=0;rD(c,e);c=f[a+8>>2]|0;i=f[a+4>>2]|0;j=(c-i|0)/56|0;k=i;i=c;switch(j|0){case 2:{l=1;break}case 1:{l=b[a+36>>0]^1;break}default:l=0}b[a+44>>0]=l;if((k|0)==(i|0)?((f[h>>2]|0)-(f[e>>2]|0)|0)==112:0){rt(e);u=d;return}if((j|0)==((b[a+36>>0]|0)+l&255|0)){rt(e);u=d;return}else{f[g>>2]=0;f[g+4>>2]=0;d=YG(g,85)|0;e=468807;l=d+85|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(l|0));SQ(-215,g,476100,468386,48)}}function aub(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0.0,ib=0,jb=0,kb=0.0,lb=0.0;g=u;u=u+320|0;h=g+264|0;i=g+256|0;j=g+244|0;k=g+232|0;l=g+176|0;m=g+120|0;o=g+104|0;p=g+48|0;q=g+32|0;r=g+16|0;s=g;zT(i,137804);do if((BD(c,-1)|0)!=3){f[j>>2]=0;t=j+4|0;f[t>>2]=0;f[j+8>>2]=0;f[k>>2]=0;v=k+4|0;f[v>>2]=0;f[k+8>>2]=0;rD(c,j);rD(d,k);w=f[k>>2]|0;x=w;if(((f[v>>2]|0)-w|0)!=56){f[h>>2]=0;f[h+4>>2]=0;y=YG(h,19)|0;z=475522;A=y+19|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,h,475494,468386,72)}w=f[a+4>>2]|0;v=a+8|0;do if((w|0)==(f[v>>2]|0)){B=f[j>>2]|0;C=B;if(((f[t>>2]|0)-B|0)!=112){f[h>>2]=0;f[h+4>>2]=0;y=YG(h,36)|0;z=468462;A=y+36|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,h,475494,468386,72)}B=C+56|0;f[l>>2]=f[B>>2];D=l+4|0;E=C+60|0;F=f[E>>2]|0;f[D>>2]=F;G=l+8|0;f[G>>2]=f[C+64>>2];f[l+12>>2]=f[C+68>>2];f[l+16>>2]=f[C+72>>2];f[l+20>>2]=f[C+76>>2];f[l+24>>2]=f[C+80>>2];f[l+28>>2]=f[C+84>>2];f[l+32>>2]=f[C+88>>2];H=f[C+92>>2]|0;f[l+36>>2]=H;f[l+40>>2]=G;G=l+48|0;I=l+44|0;f[I>>2]=G;f[G>>2]=0;f[l+52>>2]=0;if(!H)J=F;else{F=H+12|0;f[F>>2]=(f[F>>2]|0)+1;J=f[E>>2]|0}if((J|0)<3){E=f[C+100>>2]|0;F=f[I>>2]|0;f[F>>2]=f[E>>2];f[F+4>>2]=f[E+4>>2];K=C;L=l;break}else{f[D>>2]=0;kP(l,B);K=C;L=l;break}}else{B=f[j>>2]|0;if(!(b[a+44>>0]|0)){f[l>>2]=1124007936;D=l+8|0;E=l+40|0;y=l+4|0;A=y+36|0;do{f[y>>2]=0;y=y+4|0}while((y|0)<(A|0));f[E>>2]=D;C=l+48|0;f[l+44>>2]=C;f[C>>2]=0;f[l+52>>2]=0;K=B;L=l;break}f[l>>2]=f[w>>2];C=l+4|0;F=w+4|0;f[C>>2]=f[F>>2];I=l+8|0;f[I>>2]=f[w+8>>2];f[l+12>>2]=f[w+12>>2];f[l+16>>2]=f[w+16>>2];f[l+20>>2]=f[w+20>>2];f[l+24>>2]=f[w+24>>2];f[l+28>>2]=f[w+28>>2];f[l+32>>2]=f[w+32>>2];H=f[w+36>>2]|0;f[l+36>>2]=H;f[l+40>>2]=I;I=l+48|0;G=l+44|0;f[G>>2]=I;f[I>>2]=0;f[l+52>>2]=0;if(H|0){I=H+12|0;f[I>>2]=(f[I>>2]|0)+1}if((f[F>>2]|0)<3){F=f[w+44>>2]|0;I=f[G>>2]|0;f[I>>2]=f[F>>2];f[I+4>>2]=f[F+4>>2];K=B;L=l;break}else{f[C>>2]=0;kP(l,w);K=B;L=l;break}}while(0);w=a+36|0;if(!(b[w>>0]|0)){f[m>>2]=1124007936;t=m+8|0;C=m+40|0;y=m+4|0;A=y+36|0;do{f[y>>2]=0;y=y+4|0}while((y|0)<(A|0));f[C>>2]=t;F=m+48|0;f[m+44>>2]=F;f[F>>2]=0;f[m+52>>2]=0}else xP(m,(f[v>>2]|0)+-56|0,1,1);F=l+16|0;if(f[F>>2]|0){I=l+4|0;G=f[I>>2]|0;if((G|0)<3)M=Y(f[l+12>>2]|0,f[l+8>>2]|0)|0;else{H=f[l+40>>2]|0;N=0;O=1;while(1){P=Y(f[H+(N<<2)>>2]|0,O)|0;N=N+1|0;if((N|0)==(G|0)){M=P;break}else O=P}}if(!((G|0)==0|(M|0)==0)){xP(h,l,1,1);O=h+36|0;N=f[O>>2]|0;if(N|0){H=N+12|0;f[H>>2]=(f[H>>2]|0)+1}H=l+36|0;N=f[H>>2]|0;if(N|0?(v=N+12|0,N=f[v>>2]|0,f[v>>2]=N+-1,(N|0)==1):0)lP(l);f[H>>2]=0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[I>>2]|0)>0){N=f[l+40>>2]|0;v=0;do{f[N+(v<<2)>>2]=0;v=v+1|0;Q=f[I>>2]|0}while((v|0)<(Q|0));f[l>>2]=f[h>>2];if((Q|0)<3)R=41;else R=43}else{f[l>>2]=f[h>>2];R=41}if((R|0)==41){v=f[h+4>>2]|0;if((v|0)<3){f[I>>2]=v;f[l+8>>2]=f[h+8>>2];f[l+12>>2]=f[h+12>>2];v=f[h+44>>2]|0;N=f[l+44>>2]|0;f[N>>2]=f[v>>2];f[N+4>>2]=f[v+4>>2]}else R=43}if((R|0)==43)kP(l,h);v=h+16|0;f[F>>2]=f[v>>2];f[l+20>>2]=f[h+20>>2];f[l+24>>2]=f[h+24>>2];f[l+28>>2]=f[h+28>>2];f[l+32>>2]=f[h+32>>2];N=f[O>>2]|0;f[H>>2]=N;if(N|0?(G=N+12|0,N=f[G>>2]|0,f[G>>2]=N+-1,(N|0)==1):0)lP(h);f[O>>2]=0;N=h+4|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[N>>2]|0)>0){v=f[h+40>>2]|0;G=0;do{f[v+(G<<2)>>2]=0;G=G+1|0}while((G|0)<(f[N>>2]|0))}N=f[h+44>>2]|0;if((N|0)!=(h+48|0))tE(N)}}N=K+4|0;G=f[N>>2]|0;v=f[K+40>>2]|0;f[o>>2]=0;O=o+4|0;f[O>>2]=0;f[o+8>>2]=0;hAa(o,v,v+(G<<2)|0);G=f[F>>2]|0;v=(G|0)==0;do if(!v){H=f[l+4>>2]|0;I=(H|0)<3;if(I)S=Y(f[l+12>>2]|0,f[l+8>>2]|0)|0;else{t=f[l+40>>2]|0;C=0;P=1;while(1){T=Y(f[t+(C<<2)>>2]|0,P)|0;C=C+1|0;if((C|0)==(H|0)){S=T;break}else P=T}}if(!((H|0)==0|(S|0)==0)){if(I){U=Y(f[l+12>>2]|0,f[l+8>>2]|0)|0;break}P=f[l+40>>2]|0;C=0;t=1;while(1){B=Y(f[P+(C<<2)>>2]|0,t)|0;C=C+1|0;if((C|0)==(H|0)){U=B;break}else t=B}}else R=63}else R=63;while(0);do if((R|0)==63){t=f[m+4>>2]|0;if((t|0)<3){U=Y(f[m+12>>2]|0,f[m+8>>2]|0)|0;break}H=f[m+40>>2]|0;C=0;P=1;while(1){I=Y(f[H+(C<<2)>>2]|0,P)|0;C=C+1|0;if((C|0)==(t|0)){U=I;break}else P=I}}while(0);if(!U){f[h>>2]=0;f[h+4>>2]=0;y=YG(h,15)|0;z=468499;A=y+15|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,h,475494,468386,84)}if(b[a+44>>0]|0?b[w>>0]|0:0){P=f[l+4>>2]|0;t=(P|0)<3;if(t)V=Y(f[l+12>>2]|0,f[l+8>>2]|0)|0;else{C=f[l+40>>2]|0;H=0;I=1;while(1){B=Y(f[C+(H<<2)>>2]|0,I)|0;H=H+1|0;if((H|0)==(P|0)){V=B;break}else I=B}}I=f[m+4>>2]|0;H=(I|0)<3;if(H)W=Y(f[m+12>>2]|0,f[m+8>>2]|0)|0;else{C=f[m+40>>2]|0;B=0;D=1;while(1){E=Y(f[C+(B<<2)>>2]|0,D)|0;B=B+1|0;if((B|0)==(I|0)){W=E;break}else D=E}}if((V|0)!=(W|0)){if(t)X=Y(f[l+12>>2]|0,f[l+8>>2]|0)|0;else{D=f[l+40>>2]|0;B=0;C=1;while(1){E=Y(f[D+(B<<2)>>2]|0,C)|0;B=B+1|0;if((B|0)==(P|0)){X=E;break}else C=E}}if(H){Z=Y(f[m+12>>2]|0,f[m+8>>2]|0)|0;EY(X,Z,137836)}C=f[m+40>>2]|0;P=0;B=1;while(1){D=Y(f[C+(P<<2)>>2]|0,B)|0;P=P+1|0;if((P|0)==(I|0)){Z=D;break}else B=D}EY(X,Z,137836)}}B=f[a+40>>2]|0;I=f[N>>2]|0;P=f[O>>2]|0;C=f[o>>2]|0;H=P-C|0;D=H>>2;t=C;C=P;P=(B|0)==-1?0:B;E=(t|0)==(C|0);T=(P|0)>(D|0);_=B;while(1){$=_;_=_+1|0;if(($|0)>=(I|0)){R=98;break}$=(_|0)==-1?D:_;if(!E){if(T){R=95;break}if((P|0)>($|0)|($|0)>(D|0)){R=95;break}if((P|0)<($|0)){aa=1;ba=P;while(1){ca=Y(f[t+(ba<<2)>>2]|0,aa)|0;ba=ba+1|0;if((ba|0)==($|0)){da=ca;break}else aa=ca}}else da=1}else da=0;if((da|0)==(U|0)){R=98;break}}if((R|0)==95){f[h>>2]=0;f[h+4>>2]=0;y=YG(h,70)|0;z=475084;A=y+70|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,h,475155,475161,161)}else if((R|0)==98){P=(B|0)==-1;T=P?0:B;E=(_|0)==-1;N=E?D:_;aa=(t|0)==(C|0);if(!aa){if((T|0)>(D|0)){f[h>>2]=0;ea=h+4|0;f[ea>>2]=0;fa=YG(h,70)|0;y=fa;z=475084;A=y+70|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,h,475155,475161,161)}if((T|0)>(N|0)|(N|0)>(D|0)){f[h>>2]=0;ea=h+4|0;f[ea>>2]=0;fa=YG(h,70)|0;y=fa;z=475084;A=y+70|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,h,475155,475161,161)}if((T|0)<(N|0)){C=1;$=T;while(1){ba=Y(f[t+($<<2)>>2]|0,C)|0;$=$+1|0;if(($|0)==(N|0)){ga=ba;break}else C=ba}}else ga=1}else ga=0;if((ga|0)!=(U|0)){f[h>>2]=0;f[h+4>>2]=0;y=YG(h,44)|0;z=468515;A=y+44|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,h,475494,468386,94)}C=b[w>>0]|0;if(C<<24>>24){N=f[m+4>>2]|0;if((N|0)<3)ha=Y(f[m+12>>2]|0,f[m+8>>2]|0)|0;else{$=f[m+40>>2]|0;T=0;ba=1;while(1){ca=Y(f[$+(T<<2)>>2]|0,ba)|0;T=T+1|0;if((T|0)==(N|0)){ha=ca;break}else ba=ca}}if((U|0)!=(ha|0)){f[h>>2]=0;f[h+4>>2]=0;y=YG(h,38)|0;z=468560;A=y+38|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,h,475494,468386,95)}}ba=f[K>>2]&4095;if((ba|0)!=5)BY(ba,5,137864);ba=f[x>>2]&4095;if((ba|0)!=5)BY(ba,5,137892);ba=P?D:B;do if(aa)ia=0;else{if((H|0)<0){f[h>>2]=0;ja=h+4|0;f[ja>>2]=0;ka=YG(h,70)|0;y=ka;z=475084;A=y+70|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,h,475155,475161,161)}if((ba|0)<0|(ba|0)>(D|0)){f[h>>2]=0;ja=h+4|0;f[ja>>2]=0;ka=YG(h,70)|0;y=ka;z=475084;A=y+70|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,h,475155,475161,161)}if((ba|0)>0){la=1;ma=0}else{ia=1;break}while(1){N=Y(f[t+(ma<<2)>>2]|0,la)|0;ma=ma+1|0;if((ma|0)==(ba|0)){ia=N;break}else la=N}}while(0);ba=f[K+16>>2]|0;H=f[x+16>>2]|0;do if((_|0)==(I|0)){if((ia|0)>0){B=q+8|0;P=q+12|0;N=q+4|0;T=r+8|0;$=r+12|0;ca=r+4|0;na=s+8|0;oa=s+4|0;pa=p+36|0;qa=p+16|0;ra=p+4|0;sa=p+40|0;ta=p+44|0;ua=p+48|0;va=h+36|0;wa=h+16|0;xa=h+4|0;ya=h+40|0;za=h+44|0;Aa=h+48|0;Ba=l+4|0;Ca=l+8|0;Da=l+12|0;Ea=q+8|0;Fa=q+12|0;Ga=q+4|0;Ha=r+8|0;Ia=r+12|0;Ja=r+4|0;Ka=s+8|0;La=s+4|0;Ma=q+8|0;Na=q+12|0;Oa=q+4|0;Pa=r+8|0;Qa=r+12|0;Ra=r+4|0;Sa=s+8|0;Ta=s+4|0;Ua=l+40|0;Va=0;Wa=ba;Xa=H;do{Ri(h,1,U,5,Wa,0);Ri(p,1,U,5,Xa,0);do if(!(f[F>>2]|0))R=189;else{Ya=f[Ba>>2]|0;if((Ya|0)<3)Za=Y(f[Da>>2]|0,f[Ca>>2]|0)|0;else{_a=f[Ua>>2]|0;$a=0;ab=1;while(1){bb=Y(f[_a+($a<<2)>>2]|0,ab)|0;$a=$a+1|0;if(($a|0)==(Ya|0)){Za=bb;break}else ab=bb}}if((Ya|0)==0|(Za|0)==0){R=189;break}f[Ea>>2]=0;f[Fa>>2]=0;f[q>>2]=16842752;f[Ga>>2]=h;f[Ha>>2]=0;f[Ia>>2]=0;f[r>>2]=16842752;f[Ja>>2]=l;ab=Ka;f[ab>>2]=0;f[ab+4>>2]=0;f[s>>2]=33619968;f[La>>2]=p;JI(q,r,s,1.0,-1);if(!(b[w>>0]|0))break;f[Ma>>2]=0;f[Na>>2]=0;f[q>>2]=16842752;f[Oa>>2]=p;f[Pa>>2]=0;f[Qa>>2]=0;f[r>>2]=16842752;f[Ra>>2]=m;ab=Sa;f[ab>>2]=0;f[ab+4>>2]=0;f[s>>2]=33619968;f[Ta>>2]=p;RH(q,r,s,rE()|0,-1)}while(0);do if((R|0)==189){R=0;if(!(b[w>>0]|0))break;f[B>>2]=0;f[P>>2]=0;f[q>>2]=16842752;f[N>>2]=h;f[T>>2]=0;f[$>>2]=0;f[r>>2]=16842752;f[ca>>2]=m;ab=na;f[ab>>2]=0;f[ab+4>>2]=0;f[s>>2]=33619968;f[oa>>2]=p;RH(q,r,s,rE()|0,-1)}while(0);Wa=Wa+(U<<2)|0;Xa=Xa+(U<<2)|0;ab=f[pa>>2]|0;do if(ab|0){$a=ab+12|0;_a=f[$a>>2]|0;f[$a>>2]=_a+-1;if((_a|0)!=1)break;lP(p)}while(0);f[pa>>2]=0;f[qa>>2]=0;f[qa+4>>2]=0;f[qa+8>>2]=0;f[qa+12>>2]=0;if((f[ra>>2]|0)>0){ab=f[sa>>2]|0;_a=0;do{f[ab+(_a<<2)>>2]=0;_a=_a+1|0}while((_a|0)<(f[ra>>2]|0))}_a=f[ta>>2]|0;if((_a|0)!=(ua|0))tE(_a);_a=f[va>>2]|0;do if(_a|0){ab=_a+12|0;$a=f[ab>>2]|0;f[ab>>2]=$a+-1;if(($a|0)!=1)break;lP(h)}while(0);f[va>>2]=0;f[wa>>2]=0;f[wa+4>>2]=0;f[wa+8>>2]=0;f[wa+12>>2]=0;if((f[xa>>2]|0)>0){_a=f[ya>>2]|0;$a=0;do{f[_a+($a<<2)>>2]=0;$a=$a+1|0}while(($a|0)<(f[xa>>2]|0))}$a=f[za>>2]|0;if(($a|0)!=(Aa|0))tE($a);Va=Va+1|0}while((Va|0)<(ia|0))}}else{if(!v){Va=f[l+4>>2]|0;if((Va|0)<3)cb=Y(f[l+12>>2]|0,f[l+8>>2]|0)|0;else{Aa=f[l+40>>2]|0;za=0;xa=1;while(1){ya=Y(f[Aa+(za<<2)>>2]|0,xa)|0;za=za+1|0;if((za|0)==(Va|0)){cb=ya;break}else xa=ya}}if(!((Va|0)==0|(cb|0)==0))db=G;else R=132}else R=132;if((R|0)==132)db=0;xa=C<<24>>24?f[m+16>>2]|0:0;za=E?0:_;do if(aa)eb=0;else{if((za|0)>(D|0)){f[h>>2]=0;f[h+4>>2]=0;y=YG(h,70)|0;z=475084;A=y+70|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,h,475155,475161,161)}if((za|0)<(D|0)){fb=1;gb=za}else{eb=1;break}while(1){Aa=Y(f[t+(gb<<2)>>2]|0,fb)|0;gb=gb+1|0;if((gb|0)==(D|0)){eb=Aa;break}else fb=Aa}}while(0);if((ia|0)<=0)break;za=(U|0)>0;Va=(db|0)==0;Aa=(xa|0)==0;ya=q+8|0;wa=q+4|0;va=p+36|0;ua=p+16|0;ta=p+4|0;ra=p+40|0;sa=p+44|0;qa=p+48|0;pa=h+36|0;Xa=h+16|0;Wa=h+4|0;oa=h+40|0;na=h+44|0;ca=h+48|0;$=0;T=ba;N=H;while(1){if(za)if(Va){P=0;B=T;Ta=N;while(1){if(Aa)hb=0.0;else hb=+n[xa+(P<<2)>>2];Ri(h,1,eb,5,B,0);Ri(p,1,eb,5,Ta,0);Sa=ya;f[Sa>>2]=0;f[Sa+4>>2]=0;f[q>>2]=33619968;f[wa>>2]=p;IO(h,q,5,1.0,hb);Sa=B+(eb<<2)|0;Ra=Ta+(eb<<2)|0;Qa=f[va>>2]|0;do if(Qa|0){Pa=Qa+12|0;Oa=f[Pa>>2]|0;f[Pa>>2]=Oa+-1;if((Oa|0)!=1)break;lP(p)}while(0);f[va>>2]=0;f[ua>>2]=0;f[ua+4>>2]=0;f[ua+8>>2]=0;f[ua+12>>2]=0;if((f[ta>>2]|0)>0){Qa=f[ra>>2]|0;Ya=0;do{f[Qa+(Ya<<2)>>2]=0;Ya=Ya+1|0}while((Ya|0)<(f[ta>>2]|0))}Ya=f[sa>>2]|0;if((Ya|0)!=(qa|0))tE(Ya);Ya=f[pa>>2]|0;do if(Ya|0){Qa=Ya+12|0;Oa=f[Qa>>2]|0;f[Qa>>2]=Oa+-1;if((Oa|0)!=1)break;lP(h)}while(0);f[pa>>2]=0;f[Xa>>2]=0;f[Xa+4>>2]=0;f[Xa+8>>2]=0;f[Xa+12>>2]=0;if((f[Wa>>2]|0)>0){Ya=f[oa>>2]|0;Oa=0;do{f[Ya+(Oa<<2)>>2]=0;Oa=Oa+1|0}while((Oa|0)<(f[Wa>>2]|0))}Oa=f[na>>2]|0;if((Oa|0)!=(ca|0))tE(Oa);P=P+1|0;if((P|0)>=(U|0)){ib=Sa;jb=Ra;break}else{B=Sa;Ta=Ra}}}else{Ta=0;B=T;P=N;while(1){kb=+n[db+(Ta<<2)>>2];if(Aa)lb=0.0;else lb=+n[xa+(Ta<<2)>>2];Ri(h,1,eb,5,B,0);Ri(p,1,eb,5,P,0);Oa=ya;f[Oa>>2]=0;f[Oa+4>>2]=0;f[q>>2]=33619968;f[wa>>2]=p;IO(h,q,5,kb,lb);Oa=B+(eb<<2)|0;Ya=P+(eb<<2)|0;Qa=f[va>>2]|0;do if(Qa|0){Pa=Qa+12|0;Na=f[Pa>>2]|0;f[Pa>>2]=Na+-1;if((Na|0)!=1)break;lP(p)}while(0);f[va>>2]=0;f[ua>>2]=0;f[ua+4>>2]=0;f[ua+8>>2]=0;f[ua+12>>2]=0;if((f[ta>>2]|0)>0){Qa=f[ra>>2]|0;Ra=0;do{f[Qa+(Ra<<2)>>2]=0;Ra=Ra+1|0}while((Ra|0)<(f[ta>>2]|0))}Ra=f[sa>>2]|0;if((Ra|0)!=(qa|0))tE(Ra);Ra=f[pa>>2]|0;do if(Ra|0){Qa=Ra+12|0;Sa=f[Qa>>2]|0;f[Qa>>2]=Sa+-1;if((Sa|0)!=1)break;lP(h)}while(0);f[pa>>2]=0;f[Xa>>2]=0;f[Xa+4>>2]=0;f[Xa+8>>2]=0;f[Xa+12>>2]=0;if((f[Wa>>2]|0)>0){Ra=f[oa>>2]|0;Sa=0;do{f[Ra+(Sa<<2)>>2]=0;Sa=Sa+1|0}while((Sa|0)<(f[Wa>>2]|0))}Sa=f[na>>2]|0;if((Sa|0)!=(ca|0))tE(Sa);Ta=Ta+1|0;if((Ta|0)>=(U|0)){ib=Oa;jb=Ya;break}else{B=Oa;P=Ya}}}else{ib=T;jb=N}$=$+1|0;if(($|0)>=(ia|0))break;else{T=ib;N=jb}}}while(0);H=f[o>>2]|0;if(H|0){ba=f[O>>2]|0;if((ba|0)!=(H|0))f[O>>2]=ba+(~((ba+-4-H|0)>>>2)<<2);Emc(H)}H=m+36|0;ba=f[H>>2]|0;do if(ba|0){D=ba+12|0;t=f[D>>2]|0;f[D>>2]=t+-1;if((t|0)!=1)break;lP(m)}while(0);f[H>>2]=0;ba=m+16|0;O=m+4|0;f[ba>>2]=0;f[ba+4>>2]=0;f[ba+8>>2]=0;f[ba+12>>2]=0;if((f[O>>2]|0)>0){ba=f[m+40>>2]|0;t=0;do{f[ba+(t<<2)>>2]=0;t=t+1|0}while((t|0)<(f[O>>2]|0))}O=f[m+44>>2]|0;if((O|0)!=(m+48|0))tE(O);O=l+36|0;t=f[O>>2]|0;do if(t|0){ba=t+12|0;H=f[ba>>2]|0;f[ba>>2]=H+-1;if((H|0)!=1)break;lP(l)}while(0);f[O>>2]=0;t=l+4|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;if((f[t>>2]|0)>0){H=f[l+40>>2]|0;ba=0;do{f[H+(ba<<2)>>2]=0;ba=ba+1|0}while((ba|0)<(f[t>>2]|0))}t=f[l+44>>2]|0;if((t|0)!=(l+48|0))tE(t);rt(k);rt(j);break}}else gAa(a,c,d,e);while(0);if(!(f[i+4>>2]|0)){u=g;return}u=g;return}function bub(a,b){a=a|0;b=b|0;var c=0;if((b|2|0)!=3)if((b|0)==2)c=(f[a+40>>2]|0)==1;else c=0;else c=1;return c|0}function cub(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function dub(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function eub(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function fub(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;e=u;u=u+64|0;g=e;do if(b[a+44>>0]|0){h=f[a+4>>2]|0;f[g>>2]=f[h>>2];i=g+4|0;j=h+4|0;f[i>>2]=f[j>>2];k=g+8|0;f[k>>2]=f[h+8>>2];f[g+12>>2]=f[h+12>>2];f[g+16>>2]=f[h+16>>2];f[g+20>>2]=f[h+20>>2];f[g+24>>2]=f[h+24>>2];f[g+28>>2]=f[h+28>>2];f[g+32>>2]=f[h+32>>2];l=f[h+36>>2]|0;f[g+36>>2]=l;f[g+40>>2]=k;k=g+48|0;m=g+44|0;f[m>>2]=k;f[k>>2]=0;f[g+52>>2]=0;if(l|0){k=l+12|0;f[k>>2]=(f[k>>2]|0)+1}if((f[j>>2]|0)<3){j=f[h+44>>2]|0;k=f[m>>2]|0;f[k>>2]=f[j>>2];f[k+4>>2]=f[j+4>>2];break}else{f[i>>2]=0;kP(g,h);break}}else{f[g>>2]=1124007936;h=g+8|0;i=g+40|0;n=g+4|0;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[i>>2]=h;j=g+48|0;f[g+44>>2]=j;f[j>>2]=0;f[g+52>>2]=0}while(0);if((g|0)==(c|0)){p=g+36|0;q=f[c+36>>2]|0}else{j=g+36|0;k=f[j>>2]|0;if(k|0){m=k+12|0;f[m>>2]=(f[m>>2]|0)+1}m=c+36|0;k=f[m>>2]|0;if(k|0?(l=k+12|0,k=f[l>>2]|0,f[l>>2]=k+-1,(k|0)==1):0)lP(c);f[m>>2]=0;k=c+16|0;l=c+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[l>>2]|0)>0){r=f[c+40>>2]|0;s=0;do{f[r+(s<<2)>>2]=0;s=s+1|0;t=f[l>>2]|0}while((s|0)<(t|0));f[c>>2]=f[g>>2];if((t|0)<3)v=20;else v=22}else{f[c>>2]=f[g>>2];v=20}if((v|0)==20){t=f[g+4>>2]|0;if((t|0)<3){f[l>>2]=t;f[c+8>>2]=f[g+8>>2];f[c+12>>2]=f[g+12>>2];t=f[g+44>>2]|0;l=f[c+44>>2]|0;f[l>>2]=f[t>>2];f[l+4>>2]=f[t+4>>2]}else v=22}if((v|0)==22)kP(c,g);f[k>>2]=f[g+16>>2];f[c+20>>2]=f[g+20>>2];f[c+24>>2]=f[g+24>>2];f[c+28>>2]=f[g+28>>2];f[c+32>>2]=f[g+32>>2];c=f[j>>2]|0;f[m>>2]=c;p=j;q=c}if(q|0?(c=q+12|0,q=f[c>>2]|0,f[c>>2]=q+-1,(q|0)==1):0)lP(g);f[p>>2]=0;p=g+16|0;q=g+4|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[q>>2]|0)>0){p=f[g+40>>2]|0;c=0;do{f[p+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[q>>2]|0))}q=f[g+44>>2]|0;if((q|0)!=(g+48|0))tE(q);do if(b[a+36>>0]|0){q=f[a+8>>2]|0;c=q+-56|0;f[g>>2]=f[c>>2];p=g+4|0;j=q+-52|0;f[p>>2]=f[j>>2];m=g+8|0;f[m>>2]=f[q+-48>>2];f[g+12>>2]=f[q+-44>>2];f[g+16>>2]=f[q+-40>>2];f[g+20>>2]=f[q+-36>>2];f[g+24>>2]=f[q+-32>>2];f[g+28>>2]=f[q+-28>>2];f[g+32>>2]=f[q+-24>>2];k=f[q+-20>>2]|0;f[g+36>>2]=k;f[g+40>>2]=m;m=g+48|0;t=g+44|0;f[t>>2]=m;f[m>>2]=0;f[g+52>>2]=0;if(k|0){m=k+12|0;f[m>>2]=(f[m>>2]|0)+1}if((f[j>>2]|0)<3){j=f[q+-12>>2]|0;q=f[t>>2]|0;f[q>>2]=f[j>>2];f[q+4>>2]=f[j+4>>2];break}else{f[p>>2]=0;kP(g,c);break}}else{f[g>>2]=1124007936;c=g+8|0;p=g+40|0;n=g+4|0;o=n+36|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[p>>2]=c;h=g+48|0;f[g+44>>2]=h;f[h>>2]=0;f[g+52>>2]=0}while(0);if((g|0)==(d|0)){w=g+36|0;x=f[d+36>>2]|0}else{n=g+36|0;o=f[n>>2]|0;if(o|0){a=o+12|0;f[a>>2]=(f[a>>2]|0)+1}a=d+36|0;o=f[a>>2]|0;if(o|0?(h=o+12|0,o=f[h>>2]|0,f[h>>2]=o+-1,(o|0)==1):0)lP(d);f[a>>2]=0;o=d+16|0;h=d+4|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[h>>2]|0)>0){i=f[d+40>>2]|0;j=0;do{f[i+(j<<2)>>2]=0;j=j+1|0;y=f[h>>2]|0}while((j|0)<(y|0));f[d>>2]=f[g>>2];if((y|0)<3)v=51;else v=53}else{f[d>>2]=f[g>>2];v=51}if((v|0)==51){y=f[g+4>>2]|0;if((y|0)<3){f[h>>2]=y;f[d+8>>2]=f[g+8>>2];f[d+12>>2]=f[g+12>>2];y=f[g+44>>2]|0;h=f[d+44>>2]|0;f[h>>2]=f[y>>2];f[h+4>>2]=f[y+4>>2]}else v=53}if((v|0)==53)kP(d,g);f[o>>2]=f[g+16>>2];f[d+20>>2]=f[g+20>>2];f[d+24>>2]=f[g+24>>2];f[d+28>>2]=f[g+28>>2];f[d+32>>2]=f[g+32>>2];d=f[n>>2]|0;f[a>>2]=d;w=n;x=d}if(x|0?(d=x+12|0,x=f[d>>2]|0,f[d>>2]=x+-1,(x|0)==1):0)lP(g);f[w>>2]=0;w=g+16|0;x=g+4|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[x>>2]|0)>0){w=f[g+40>>2]|0;d=0;do{f[w+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[x>>2]|0))}x=f[g+44>>2]|0;if((x|0)==(g+48|0)){u=e;return}tE(x);u=e;return}function gub(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;eAa(d,1,f[b>>2]|0);return 1}function hub(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+16|0;a=d;e=f[c+4>>2]|0;g=f[c>>2]|0;c=g;if((e|0)==(g|0)){h=0;i=0;J=h;u=d;return i|0}j=(e-g|0)/12|0;g=0;e=0;do{k=f[c+(e*12|0)+4>>2]|0;l=f[c+(e*12|0)>>2]|0;m=k-l|0;n=m>>2;o=l;if((o|0)!=(k|0)){if((m|0)<0){p=8;break}if(!m)q=1;else{m=1;k=0;while(1){l=Y(f[o+(k<<2)>>2]|0,m)|0;k=k+1|0;if((k|0)==(n|0)){q=l;break}else m=l}}}else q=0;g=(q<<1)+g|0;e=e+1|0}while(e>>>0<j>>>0);if((p|0)==8){f[a>>2]=0;f[a+4>>2]=0;p=YG(a,70)|0;j=475084;e=p+70|0;do{b[p>>0]=b[j>>0]|0;p=p+1|0;j=j+1|0}while((p|0)<(e|0));SQ(-215,a,475155,475161,161)}h=((g|0)<0)<<31>>31;i=g;J=h;u=d;return i|0}function iub(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+64|0;e=d+16|0;g=d+8|0;h=d;f[e+4>>2]=0;f[e+8>>2]=0;f[e>>2]=e+4;i=e+12|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;f[i+24>>2]=0;i=c+24|0;j=e+24|0;k=(e|0)==(c|0);if(!k){ZG(j);l=f[i>>2]|0;if(!l)m=0;else{n=l+-4|0;f[n>>2]=(f[n>>2]|0)+1;m=f[i>>2]|0}f[j>>2]=m;f[e+28>>2]=f[c+28>>2];m=e+32|0;ZG(m);j=YG(m,5)|0;b[j>>0]=b[468965]|0;b[j+1>>0]=b[468966]|0;b[j+2>>0]=b[468967]|0;b[j+3>>0]=b[468968]|0;b[j+4>>0]=b[468969]|0;if(!k)JBa(e+12|0,f[c+12>>2]|0,f[c+16>>2]|0)}else{c=e+32|0;ZG(c);k=YG(c,5)|0;b[k>>0]=b[468965]|0;b[k+1>>0]=b[468966]|0;b[k+2>>0]=b[468967]|0;b[k+3>>0]=b[468968]|0;b[k+4>>0]=b[468969]|0}f[g>>2]=0;f[g+4>>2]=0;k=YG(g,9)|0;c=468376;j=k+9|0;do{b[k>>0]=b[c>>0]|0;k=k+1|0;c=c+1|0}while((k|0)<(j|0));b[h>>0]=1;TCa(e,g,h)|0;ZG(g);f[g>>2]=0;f[g+4>>2]=0;c=YG(g,4)|0;b[c>>0]=97;b[c+1>>0]=120;b[c+2>>0]=105;b[c+3>>0]=115;f[h>>2]=0;KCa(e,g,h)|0;ZG(g);g=Bmc(48)|0;Xtb(g,e);h=Bmc(16)|0;c=h+4|0;f[c>>2]=1;f[h>>2]=137684;f[h+8>>2]=g;f[a>>2]=h;f[a+4>>2]=g;f[c>>2]=(f[c>>2]|0)+1;g=f[c>>2]|0;f[c>>2]=g+-1;if((g|0)!=1){qza(e);u=d;return}ai[f[(f[h>>2]|0)+8>>2]&2047](h);qza(e);u=d;return}function jub(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0.0;d=u;u=u+16|0;e=d;f[e>>2]=0;f[e+4>>2]=0;g=YG(e,14)|0;h=468971;i=g+14|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));h=c+4|0;g=f[h>>2]|0;do if(g){i=f[e>>2]|0;j=(i|0)==0?1163146:i;k=h;l=g;a:while(1){m=l;while(1){o=f[m+16>>2]|0;if((o|0)==(i|0))break;if((o7b((o|0)==0?1163146:o,j)|0)>=0)break;o=f[m+4>>2]|0;if(!o){p=k;break a}else m=o}l=f[m>>2]|0;if(!l){p=m;break}else k=m}if((p|0)!=(h|0)){k=f[p+16>>2]|0;if((i|0)!=(k|0)?(o7b(j,(k|0)==0?1163146:k)|0)<=-1:0){q=0.0;break}q=+eEa(p+24|0,-1)}else q=0.0}else q=0.0;while(0);ZG(e);e=Bmc(48)|0;uCa(e);f[e>>2]=137928;b[e+44>>0]=0;n[e+40>>2]=q;p=Bmc(16)|0;f[p+4>>2]=1;f[p>>2]=138040;f[p+8>>2]=e;f[a>>2]=p;f[a+4>>2]=e;vCa(e,c);n[e+36>>2]=q;u=d;return}function kub(a){a=a|0;Emc(a);return}function lub(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function mub(a){a=a|0;Nza(a);Emc(a);return}function nub(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;g=u;u=u+64|0;h=g+56|0;i=g+40|0;j=g+28|0;k=g+8|0;l=g;zT(h,138052);if((BD(c,-1)|0)==3)gAa(a,c,d,e);else{f[i>>2]=0;e=i+4|0;f[e>>2]=0;f[i+8>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;rD(c,i);rD(d,j);d=f[i>>2]|0;a:do if((f[e>>2]|0)!=(d|0)){c=a+40|0;m=k+4|0;n=k+8|0;o=k+12|0;p=k+16|0;q=l+4|0;r=0;s=d;b:while(1){t=s;v=t+(r*56|0)|0;w=f[j>>2]|0;x=w+(r*56|0)|0;y=f[t+(r*56|0)+40>>2]|0;t=f[y+-4>>2]|0;z=f[w+(r*56|0)+40>>2]|0;if((t|0)!=(f[z+-4>>2]|0))break;if((t|0)==2){if((f[y>>2]|0)!=(f[z>>2]|0))break;if((f[y+4>>2]|0)!=(f[z+4>>2]|0))break}else if((t|0)>0){w=0;do{if((f[y+(w<<2)>>2]|0)!=(f[z+(w<<2)>>2]|0))break b;w=w+1|0}while((w|0)<(t|0))}t=f[v>>2]|0;w=t&4095;z=f[x>>2]|0;if(!((w|0)==5&((w|0)==(z&4095|0)&(t&16384&z|0)!=0)))break;z=pU()|0;f[k>>2]=138080;f[m>>2]=c;f[n>>2]=v;f[o>>2]=x;f[p>>2]=z;f[l>>2]=0;f[q>>2]=z;oU(l,k,+(z|0));r=r+1|0;s=f[i>>2]|0;if(r>>>0>=(((f[e>>2]|0)-s|0)/56|0)>>>0)break a}f[k>>2]=0;f[k+4>>2]=0;s=YG(k,116)|0;r=469086;q=s+116|0;do{b[s>>0]=b[r>>0]|0;s=s+1|0;r=r+1|0}while((s|0)<(q|0));SQ(-215,k,475494,469203,205)}while(0);rt(j);rt(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function oub(a,b){a=a|0;b=b|0;return (b|0)==2|(b|2|0)==3|0}function pub(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function qub(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function rub(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function sub(a,b){a=a|0;b=b|0;return 0}function tub(a,b,c){a=a|0;b=b|0;c=c|0;return}function uub(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;cAa(a,b,c,d,e)|0;return 1}function vub(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+16|0;a=c;e=f[d+4>>2]|0;g=f[d>>2]|0;d=g;if((e|0)==(g|0)){h=0;i=0;J=h;u=c;return i|0}j=(e-g|0)/12|0;g=0;e=0;k=0;while(1){l=f[d+(g*12|0)+4>>2]|0;m=f[d+(g*12|0)>>2]|0;n=l-m|0;o=n>>2;p=m;if((p|0)!=(l|0)){if((n|0)<=-4){q=7;break}if((n|0)>0){n=0;l=1;while(1){m=Y(f[p+(n<<2)>>2]|0,l)|0;n=n+1|0;if((n|0)>=(o|0)){r=m;break}else l=m}}else r=1}else r=0;l=Arc(r|0,0,e|0,k|0)|0;g=g+1|0;o=Hrc(0,l|0,32)|0;l=J;if(g>>>0>=j>>>0){h=l;i=o;q=3;break}else{e=o;k=l}}if((q|0)==3){J=h;u=c;return i|0}else if((q|0)==7){f[a>>2]=0;f[a+4>>2]=0;q=YG(a,70)|0;i=475084;c=q+70|0;do{b[q>>0]=b[i>>0]|0;q=q+1|0;i=i+1|0}while((q|0)<(c|0));SQ(-215,a,475155,475161,161)}return 0}function wub(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0,j=0,k=0,l=0.0;h=+n[a+40>>2];if((d|0)>0&(f|0)<(g|0)){i=f;j=c;k=b}else return;while(1){b=0;do{l=+n[k+(b<<2)>>2];n[j+(b<<2)>>2]=!(l>=0.0)?h*l:l;b=b+1|0}while((b|0)!=(d|0));i=i+1|0;if((i|0)==(g|0))break;else{j=j+(e<<2)|0;k=k+(e<<2)|0}}return}function xub(a){a=a|0;Emc(a);return}function yub(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0.0,s=0.0;c=f[a+16>>2]|0;d=f[a+8>>2]|0;e=f[d+4>>2]|0;g=f[d+40>>2]|0;h=f[g>>2]|0;if((e|0)>1){i=f[g+4>>2]|0;if((e|0)==2){j=i;k=1;l=h}else{m=2;o=1;while(1){p=Y(f[g+(m<<2)>>2]|0,o)|0;m=m+1|0;if((m|0)>=(e|0)){j=i;k=p;l=h;break}else o=p}}}else{j=h;k=1;l=1}h=((c+-1+k|0)>>>0)/(c>>>0)|0;c=Y(f[b>>2]|0,h)|0;o=Y(f[b+4>>2]|0,h)|0;if((l|0)<=0)return;h=f[d+16>>2]|0;b=f[f[d+44>>2]>>2]|0;d=f[a+12>>2]|0;i=f[d+16>>2]|0;e=f[f[d+44>>2]>>2]|0;d=f[a+4>>2]|0;a=(k>>>0<o>>>0?k:o)-c|0;if((j|0)>0&(a|0)>0)q=0;else return;do{o=h+(Y(b,q)|0)+(c<<2)|0;m=i+(Y(e,q)|0)+(c<<2)|0;r=+n[d>>2];g=0;p=m;m=o;while(1){o=0;do{s=+n[m+(o<<2)>>2];n[p+(o<<2)>>2]=!(s>=0.0)?r*s:s;o=o+1|0}while((o|0)!=(a|0));g=g+1|0;if((g|0)==(j|0))break;else{p=p+(k<<2)|0;m=m+(k<<2)|0}}q=q+1|0}while((q|0)!=(l|0));return}function zub(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0.0,v=0,w=0,x=0,y=0.0;d=u;u=u+16|0;e=d;f[e>>2]=0;f[e+4>>2]=0;g=YG(e,9)|0;h=469550;i=g+9|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));j=c+4|0;k=f[j>>2]|0;do if(k){l=f[e>>2]|0;m=(l|0)==0?1163146:l;o=j;p=k;a:while(1){q=p;while(1){r=f[q+16>>2]|0;if((r|0)==(l|0))break;if((o7b((r|0)==0?1163146:r,m)|0)>=0)break;r=f[q+4>>2]|0;if(!r){s=o;break a}else q=r}p=f[q>>2]|0;if(!p){s=q;break}else o=q}if((s|0)!=(j|0)){o=f[s+16>>2]|0;if((l|0)!=(o|0)?(o7b(m,(o|0)==0?1163146:o)|0)<=-1:0){t=0.0;break}t=+eEa(s+24|0,-1)}else t=0.0}else t=0.0;while(0);ZG(e);f[e>>2]=0;f[e+4>>2]=0;g=YG(e,9)|0;h=469560;i=g+9|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));s=f[j>>2]|0;do if(s){k=f[e>>2]|0;o=(k|0)==0?1163146:k;p=j;r=s;b:while(1){v=r;while(1){w=f[v+16>>2]|0;if((w|0)==(k|0))break;if((o7b((w|0)==0?1163146:w,o)|0)>=0)break;w=f[v+4>>2]|0;if(!w){x=p;break b}else v=w}r=f[v>>2]|0;if(!r){x=v;break}else p=v}if((x|0)!=(j|0)){p=f[x+16>>2]|0;if((k|0)!=(p|0)?(o7b(o,(p|0)==0?1163146:p)|0)<=-1:0){y=6.0;break}y=+eEa(x+24|0,-1)}else y=6.0}else y=6.0;while(0);ZG(e);x=Bmc(56)|0;if(!(t<=y)){f[e>>2]=0;f[e+4>>2]=0;g=YG(e,20)|0;h=469570;i=g+20|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));SQ(-215,e,469591,469203,374)}else{uCa(x);f[x>>2]=138100;b[x+52>>0]=0;n[x+44>>2]=t;n[x+48>>2]=y;e=Bmc(16)|0;f[e+4>>2]=1;f[e>>2]=138212;f[e+8>>2]=x;f[a>>2]=e;f[a+4>>2]=x;vCa(x,c);n[x+36>>2]=t;n[x+40>>2]=y;u=d;return}}function Aub(a){a=a|0;Emc(a);return}function Bub(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Cub(a){a=a|0;Nza(a);Emc(a);return}function Dub(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;g=u;u=u+64|0;h=g+56|0;i=g+40|0;j=g+28|0;k=g+8|0;l=g;zT(h,138224);if((BD(c,-1)|0)==3)gAa(a,c,d,e);else{f[i>>2]=0;e=i+4|0;f[e>>2]=0;f[i+8>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;rD(c,i);rD(d,j);d=f[i>>2]|0;a:do if((f[e>>2]|0)!=(d|0)){c=a+44|0;m=k+4|0;n=k+8|0;o=k+12|0;p=k+16|0;q=l+4|0;r=0;s=d;b:while(1){t=s;v=t+(r*56|0)|0;w=f[j>>2]|0;x=w+(r*56|0)|0;y=f[t+(r*56|0)+40>>2]|0;t=f[y+-4>>2]|0;z=f[w+(r*56|0)+40>>2]|0;if((t|0)!=(f[z+-4>>2]|0))break;if((t|0)==2){if((f[y>>2]|0)!=(f[z>>2]|0))break;if((f[y+4>>2]|0)!=(f[z+4>>2]|0))break}else if((t|0)>0){w=0;do{if((f[y+(w<<2)>>2]|0)!=(f[z+(w<<2)>>2]|0))break b;w=w+1|0}while((w|0)<(t|0))}t=f[v>>2]|0;w=t&4095;z=f[x>>2]|0;if(!((w|0)==5&((w|0)==(z&4095|0)&(t&16384&z|0)!=0)))break;z=pU()|0;f[k>>2]=138252;f[m>>2]=c;f[n>>2]=v;f[o>>2]=x;f[p>>2]=z;f[l>>2]=0;f[q>>2]=z;oU(l,k,+(z|0));r=r+1|0;s=f[i>>2]|0;if(r>>>0>=(((f[e>>2]|0)-s|0)/56|0)>>>0)break a}f[k>>2]=0;f[k+4>>2]=0;s=YG(k,116)|0;r=469086;q=s+116|0;do{b[s>>0]=b[r>>0]|0;s=s+1|0;r=r+1|0}while((s|0)<(q|0));SQ(-215,k,475494,469203,205)}while(0);rt(j);rt(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function Eub(a,b){a=a|0;b=b|0;return (b|0)==2|(b|2|0)==3|0}function Fub(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Gub(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Hub(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Iub(a,b){a=a|0;b=b|0;return 0}function Jub(a,b,c){a=a|0;b=b|0;c=c|0;return}function Kub(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;cAa(a,b,c,d,e)|0;return 1}function Lub(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+16|0;a=c;e=f[d+4>>2]|0;g=f[d>>2]|0;d=g;if((e|0)==(g|0)){h=0;i=0;J=h;u=c;return i|0}j=(e-g|0)/12|0;g=0;e=0;k=0;while(1){l=f[d+(g*12|0)+4>>2]|0;m=f[d+(g*12|0)>>2]|0;n=l-m|0;o=n>>2;p=m;if((p|0)!=(l|0)){if((n|0)<=-4){q=7;break}if((n|0)>0){n=0;l=1;while(1){m=Y(f[p+(n<<2)>>2]|0,l)|0;n=n+1|0;if((n|0)>=(o|0)){r=m;break}else l=m}}else r=1}else r=0;l=Qrc(r|0,((r|0)<0)<<31>>31|0,1)|0;o=Arc(l|0,J|0,e|0,k|0)|0;g=g+1|0;l=Hrc(0,o|0,32)|0;o=J;if(g>>>0>=j>>>0){h=o;i=l;q=3;break}else{e=l;k=o}}if((q|0)==3){J=h;u=c;return i|0}else if((q|0)==7){f[a>>2]=0;f[a+4>>2]=0;q=YG(a,70)|0;i=475084;c=q+70|0;do{b[q>>0]=b[i>>0]|0;q=q+1|0;i=i+1|0}while((q|0)<(c|0));SQ(-215,a,475155,475161,161)}return 0}function Mub(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0.0,o=0.0,p=0.0;if((f|0)>=(g|0))return;h=a+44|0;i=a+48|0;if((d|0)>0){j=f;k=c;l=b}else return;while(1){b=0;do{m=+n[l+(b<<2)>>2];o=+n[h>>2];if(!(m>=o))p=o;else{o=+n[i>>2];p=m<=o?m:o}n[k+(b<<2)>>2]=p;b=b+1|0}while((b|0)!=(d|0));j=j+1|0;if((j|0)==(g|0))break;else{k=k+(e<<2)|0;l=l+(e<<2)|0}}return}function Nub(a){a=a|0;Emc(a);return}function Oub(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0.0,v=0.0;c=f[a+16>>2]|0;d=f[a+8>>2]|0;e=f[d+4>>2]|0;g=f[d+40>>2]|0;h=f[g>>2]|0;if((e|0)>1){i=f[g+4>>2]|0;if((e|0)==2){j=i;k=1;l=h}else{m=2;o=1;while(1){p=Y(f[g+(m<<2)>>2]|0,o)|0;m=m+1|0;if((m|0)>=(e|0)){j=i;k=p;l=h;break}else o=p}}}else{j=h;k=1;l=1}h=((c+-1+k|0)>>>0)/(c>>>0)|0;c=Y(f[b>>2]|0,h)|0;o=Y(f[b+4>>2]|0,h)|0;if((l|0)<=0)return;h=f[a+12>>2]|0;b=f[a+4>>2]|0;a=(k>>>0<o>>>0?k:o)-c|0;o=(a|0)>0;i=b+4|0;if((j|0)<=0)return;e=f[h+16>>2]|0;m=f[f[h+44>>2]>>2]|0;h=f[d+16>>2]|0;g=f[f[d+44>>2]>>2]|0;d=0;do{if(o){p=0;q=e+(Y(m,d)|0)+(c<<2)|0;r=h+(Y(g,d)|0)+(c<<2)|0;while(1){s=0;do{t=+n[r+(s<<2)>>2];u=+n[b>>2];if(!(t>=u))v=u;else{u=+n[i>>2];v=t<=u?t:u}n[q+(s<<2)>>2]=v;s=s+1|0}while((s|0)!=(a|0));p=p+1|0;if((p|0)==(j|0))break;else{q=q+(k<<2)|0;r=r+(k<<2)|0}}}d=d+1|0}while((d|0)!=(l|0));return}function Pub(a,c){a=a|0;c=c|0;var d=0,e=0;d=Bmc(40)|0;uCa(d);f[d>>2]=138272;b[d+37>>0]=0;e=Bmc(16)|0;f[e+4>>2]=1;f[e>>2]=138384;f[e+8>>2]=d;f[a>>2]=e;f[a+4>>2]=d;vCa(d,c);return}function Qub(a){a=a|0;Emc(a);return}function Rub(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Sub(a){a=a|0;Nza(a);Emc(a);return}function Tub(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;g=u;u=u+64|0;h=g+56|0;i=g+40|0;j=g+28|0;k=g+8|0;l=g;zT(h,138396);if((BD(c,-1)|0)==3)gAa(a,c,d,e);else{f[i>>2]=0;e=i+4|0;f[e>>2]=0;f[i+8>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;rD(c,i);rD(d,j);d=f[i>>2]|0;a:do if((f[e>>2]|0)!=(d|0)){c=a+36|0;m=k+4|0;n=k+8|0;o=k+12|0;p=k+16|0;q=l+4|0;r=0;s=d;b:while(1){t=s;v=t+(r*56|0)|0;w=f[j>>2]|0;x=w+(r*56|0)|0;y=f[t+(r*56|0)+40>>2]|0;t=f[y+-4>>2]|0;z=f[w+(r*56|0)+40>>2]|0;if((t|0)!=(f[z+-4>>2]|0))break;if((t|0)==2){if((f[y>>2]|0)!=(f[z>>2]|0))break;if((f[y+4>>2]|0)!=(f[z+4>>2]|0))break}else if((t|0)>0){w=0;do{if((f[y+(w<<2)>>2]|0)!=(f[z+(w<<2)>>2]|0))break b;w=w+1|0}while((w|0)<(t|0))}t=f[v>>2]|0;w=t&4095;z=f[x>>2]|0;if(!((w|0)==5&((w|0)==(z&4095|0)&(t&16384&z|0)!=0)))break;z=pU()|0;f[k>>2]=138424;f[m>>2]=c;f[n>>2]=v;f[o>>2]=x;f[p>>2]=z;f[l>>2]=0;f[q>>2]=z;oU(l,k,+(z|0));r=r+1|0;s=f[i>>2]|0;if(r>>>0>=(((f[e>>2]|0)-s|0)/56|0)>>>0)break a}f[k>>2]=0;f[k+4>>2]=0;s=YG(k,116)|0;r=469086;q=s+116|0;do{b[s>>0]=b[r>>0]|0;s=s+1|0;r=r+1|0}while((s|0)<(q|0));SQ(-215,k,475494,469203,205)}while(0);rt(j);rt(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function Uub(a,b){a=a|0;b=b|0;return (b|0)==2|(b|2|0)==3|0}function Vub(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Wub(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Xub(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Yub(a,b){a=a|0;b=b|0;return 0}function Zub(a,b,c){a=a|0;b=b|0;c=c|0;return}function _ub(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;cAa(a,b,c,d,e)|0;return 1}function $ub(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+16|0;a=c;e=f[d+4>>2]|0;g=f[d>>2]|0;d=g;if((e|0)==(g|0)){h=0;i=0;J=h;u=c;return i|0}j=(e-g|0)/12|0;g=0;e=0;k=0;while(1){l=f[d+(g*12|0)+4>>2]|0;m=f[d+(g*12|0)>>2]|0;n=l-m|0;o=n>>2;p=m;if((p|0)!=(l|0)){if((n|0)<=-4){q=7;break}if((n|0)>0){n=0;l=1;while(1){m=Y(f[p+(n<<2)>>2]|0,l)|0;n=n+1|0;if((n|0)>=(o|0)){r=m;break}else l=m}}else r=1}else r=0;l=Arc(r|0,0,e|0,k|0)|0;g=g+1|0;o=Hrc(0,l|0,32)|0;l=J;if(g>>>0>=j>>>0){h=l;i=o;q=3;break}else{e=o;k=l}}if((q|0)==3){J=h;u=c;return i|0}else if((q|0)==7){f[a>>2]=0;f[a+4>>2]=0;q=YG(a,70)|0;i=475084;c=q+70|0;do{b[q>>0]=b[i>>0]|0;q=q+1|0;i=i+1|0}while((q|0)<(c|0));SQ(-215,a,475155,475161,161)}return 0}function avb(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0.0;if((d|0)>0&(f|0)<(g|0)){h=f;i=c;j=b}else return;while(1){b=0;do{k=+P9b(+n[j+(b<<2)>>2]);n[i+(b<<2)>>2]=k;b=b+1|0}while((b|0)!=(d|0));h=h+1|0;if((h|0)==(g|0))break;else{i=i+(e<<2)|0;j=j+(e<<2)|0}}return}function bvb(a){a=a|0;Emc(a);return}function cvb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0.0;c=f[a+16>>2]|0;d=f[a+8>>2]|0;e=f[d+4>>2]|0;g=f[d+40>>2]|0;h=f[g>>2]|0;if((e|0)>1){i=f[g+4>>2]|0;if((e|0)==2){j=i;k=1;l=h}else{m=2;o=1;while(1){p=Y(f[g+(m<<2)>>2]|0,o)|0;m=m+1|0;if((m|0)>=(e|0)){j=i;k=p;l=h;break}else o=p}}}else{j=h;k=1;l=1}h=((c+-1+k|0)>>>0)/(c>>>0)|0;c=Y(f[b>>2]|0,h)|0;o=Y(f[b+4>>2]|0,h)|0;if((l|0)<=0)return;h=f[d+16>>2]|0;b=f[f[d+44>>2]>>2]|0;d=f[a+12>>2]|0;a=f[d+16>>2]|0;i=f[f[d+44>>2]>>2]|0;d=(k>>>0<o>>>0?k:o)-c|0;if((j|0)>0&(d|0)>0)q=0;else return;do{o=0;e=a+(Y(i,q)|0)+(c<<2)|0;m=h+(Y(b,q)|0)+(c<<2)|0;while(1){g=0;do{r=+P9b(+n[m+(g<<2)>>2]);n[e+(g<<2)>>2]=r;g=g+1|0}while((g|0)!=(d|0));o=o+1|0;if((o|0)==(j|0))break;else{e=e+(k<<2)|0;m=m+(k<<2)|0}}q=q+1|0}while((q|0)!=(l|0));return}function dvb(a,c){a=a|0;c=c|0;var d=0,e=0;d=Bmc(40)|0;uCa(d);f[d>>2]=138444;b[d+37>>0]=0;e=Bmc(16)|0;f[e+4>>2]=1;f[e>>2]=138556;f[e+8>>2]=d;f[a>>2]=e;f[a+4>>2]=d;vCa(d,c);return}function evb(a){a=a|0;Emc(a);return}function fvb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function gvb(a){a=a|0;Nza(a);Emc(a);return}function hvb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;g=u;u=u+64|0;h=g+56|0;i=g+40|0;j=g+28|0;k=g+8|0;l=g;zT(h,138568);if((BD(c,-1)|0)==3)gAa(a,c,d,e);else{f[i>>2]=0;e=i+4|0;f[e>>2]=0;f[i+8>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;rD(c,i);rD(d,j);d=f[i>>2]|0;a:do if((f[e>>2]|0)!=(d|0)){c=a+36|0;m=k+4|0;n=k+8|0;o=k+12|0;p=k+16|0;q=l+4|0;r=0;s=d;b:while(1){t=s;v=t+(r*56|0)|0;w=f[j>>2]|0;x=w+(r*56|0)|0;y=f[t+(r*56|0)+40>>2]|0;t=f[y+-4>>2]|0;z=f[w+(r*56|0)+40>>2]|0;if((t|0)!=(f[z+-4>>2]|0))break;if((t|0)==2){if((f[y>>2]|0)!=(f[z>>2]|0))break;if((f[y+4>>2]|0)!=(f[z+4>>2]|0))break}else if((t|0)>0){w=0;do{if((f[y+(w<<2)>>2]|0)!=(f[z+(w<<2)>>2]|0))break b;w=w+1|0}while((w|0)<(t|0))}t=f[v>>2]|0;w=t&4095;z=f[x>>2]|0;if(!((w|0)==5&((w|0)==(z&4095|0)&(t&16384&z|0)!=0)))break;z=pU()|0;f[k>>2]=138596;f[m>>2]=c;f[n>>2]=v;f[o>>2]=x;f[p>>2]=z;f[l>>2]=0;f[q>>2]=z;oU(l,k,+(z|0));r=r+1|0;s=f[i>>2]|0;if(r>>>0>=(((f[e>>2]|0)-s|0)/56|0)>>>0)break a}f[k>>2]=0;f[k+4>>2]=0;s=YG(k,116)|0;r=469086;q=s+116|0;do{b[s>>0]=b[r>>0]|0;s=s+1|0;r=r+1|0}while((s|0)<(q|0));SQ(-215,k,475494,469203,205)}while(0);rt(j);rt(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function ivb(a,b){a=a|0;b=b|0;return (b|0)==2|(b|2|0)==3|0}function jvb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function kvb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function lvb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function mvb(a,b){a=a|0;b=b|0;return 0}function nvb(a,b,c){a=a|0;b=b|0;c=c|0;return}function ovb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;cAa(a,b,c,d,e)|0;return 1}function pvb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+16|0;a=c;e=f[d+4>>2]|0;g=f[d>>2]|0;d=g;if((e|0)==(g|0)){h=0;i=0;J=h;u=c;return i|0}j=(e-g|0)/12|0;g=0;e=0;k=0;while(1){l=f[d+(g*12|0)+4>>2]|0;m=f[d+(g*12|0)>>2]|0;n=l-m|0;o=n>>2;p=m;if((p|0)!=(l|0)){if((n|0)<=-4){q=7;break}if((n|0)>0){n=0;l=1;while(1){m=Y(f[p+(n<<2)>>2]|0,l)|0;n=n+1|0;if((n|0)>=(o|0)){r=m;break}else l=m}}else r=1}else r=0;l=Urc(r|0,((r|0)<0)<<31>>31|0,3,0)|0;o=Arc(l|0,J|0,e|0,k|0)|0;g=g+1|0;l=Hrc(0,o|0,32)|0;o=J;if(g>>>0>=j>>>0){h=o;i=l;q=3;break}else{e=l;k=o}}if((q|0)==3){J=h;u=c;return i|0}else if((q|0)==7){f[a>>2]=0;f[a+4>>2]=0;q=YG(a,70)|0;i=475084;c=q+70|0;do{b[q>>0]=b[i>>0]|0;q=q+1|0;i=i+1|0}while((q|0)<(c|0));SQ(-215,a,475155,475161,161)}return 0}function qvb(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0.0;if((d|0)>0&(f|0)<(g|0)){h=f;i=c;j=b}else return;while(1){b=0;do{k=1.0/(+V(+-+n[j+(b<<2)>>2])+1.0);n[i+(b<<2)>>2]=k;b=b+1|0}while((b|0)!=(d|0));h=h+1|0;if((h|0)==(g|0))break;else{i=i+(e<<2)|0;j=j+(e<<2)|0}}return}function rvb(a){a=a|0;Emc(a);return}function svb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0.0;c=f[a+16>>2]|0;d=f[a+8>>2]|0;e=f[d+4>>2]|0;g=f[d+40>>2]|0;h=f[g>>2]|0;if((e|0)>1){i=f[g+4>>2]|0;if((e|0)==2){j=i;k=1;l=h}else{m=2;o=1;while(1){p=Y(f[g+(m<<2)>>2]|0,o)|0;m=m+1|0;if((m|0)>=(e|0)){j=i;k=p;l=h;break}else o=p}}}else{j=h;k=1;l=1}h=((c+-1+k|0)>>>0)/(c>>>0)|0;c=Y(f[b>>2]|0,h)|0;o=Y(f[b+4>>2]|0,h)|0;if((l|0)<=0)return;h=f[d+16>>2]|0;b=f[f[d+44>>2]>>2]|0;d=f[a+12>>2]|0;a=f[d+16>>2]|0;i=f[f[d+44>>2]>>2]|0;d=(k>>>0<o>>>0?k:o)-c|0;if((j|0)>0&(d|0)>0)q=0;else return;do{o=0;e=a+(Y(i,q)|0)+(c<<2)|0;m=h+(Y(b,q)|0)+(c<<2)|0;while(1){g=0;do{r=1.0/(+V(+-+n[m+(g<<2)>>2])+1.0);n[e+(g<<2)>>2]=r;g=g+1|0}while((g|0)!=(d|0));o=o+1|0;if((o|0)==(j|0))break;else{e=e+(k<<2)|0;m=m+(k<<2)|0}}q=q+1|0}while((q|0)!=(l|0));return}function tvb(a,c){a=a|0;c=c|0;var d=0,e=0;d=Bmc(40)|0;uCa(d);f[d>>2]=138616;b[d+37>>0]=0;e=Bmc(16)|0;f[e+4>>2]=1;f[e>>2]=138728;f[e+8>>2]=d;f[a>>2]=e;f[a+4>>2]=d;vCa(d,c);return}function uvb(a){a=a|0;Emc(a);return}function vvb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function wvb(a){a=a|0;Nza(a);Emc(a);return}function xvb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;g=u;u=u+64|0;h=g+56|0;i=g+40|0;j=g+28|0;k=g+8|0;l=g;zT(h,138740);if((BD(c,-1)|0)==3)gAa(a,c,d,e);else{f[i>>2]=0;e=i+4|0;f[e>>2]=0;f[i+8>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;rD(c,i);rD(d,j);d=f[i>>2]|0;a:do if((f[e>>2]|0)!=(d|0)){c=a+36|0;m=k+4|0;n=k+8|0;o=k+12|0;p=k+16|0;q=l+4|0;r=0;s=d;b:while(1){t=s;v=t+(r*56|0)|0;w=f[j>>2]|0;x=w+(r*56|0)|0;y=f[t+(r*56|0)+40>>2]|0;t=f[y+-4>>2]|0;z=f[w+(r*56|0)+40>>2]|0;if((t|0)!=(f[z+-4>>2]|0))break;if((t|0)==2){if((f[y>>2]|0)!=(f[z>>2]|0))break;if((f[y+4>>2]|0)!=(f[z+4>>2]|0))break}else if((t|0)>0){w=0;do{if((f[y+(w<<2)>>2]|0)!=(f[z+(w<<2)>>2]|0))break b;w=w+1|0}while((w|0)<(t|0))}t=f[v>>2]|0;w=t&4095;z=f[x>>2]|0;if(!((w|0)==5&((w|0)==(z&4095|0)&(t&16384&z|0)!=0)))break;z=pU()|0;f[k>>2]=138768;f[m>>2]=c;f[n>>2]=v;f[o>>2]=x;f[p>>2]=z;f[l>>2]=0;f[q>>2]=z;oU(l,k,+(z|0));r=r+1|0;s=f[i>>2]|0;if(r>>>0>=(((f[e>>2]|0)-s|0)/56|0)>>>0)break a}f[k>>2]=0;f[k+4>>2]=0;s=YG(k,116)|0;r=469086;q=s+116|0;do{b[s>>0]=b[r>>0]|0;s=s+1|0;r=r+1|0}while((s|0)<(q|0));SQ(-215,k,475494,469203,205)}while(0);rt(j);rt(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function yvb(a,b){a=a|0;b=b|0;return (b|0)==2|(b|2|0)==3|0}function zvb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Avb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Bvb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Cvb(a,b){a=a|0;b=b|0;return 0}function Dvb(a,b,c){a=a|0;b=b|0;c=c|0;return}function Evb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;cAa(a,b,c,d,e)|0;return 1}function Fvb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+16|0;a=c;e=f[d+4>>2]|0;g=f[d>>2]|0;d=g;if((e|0)==(g|0)){h=0;i=0;J=h;u=c;return i|0}j=(e-g|0)/12|0;g=0;e=0;k=0;while(1){l=f[d+(g*12|0)+4>>2]|0;m=f[d+(g*12|0)>>2]|0;n=l-m|0;o=n>>2;p=m;if((p|0)!=(l|0)){if((n|0)<=-4){q=7;break}if((n|0)>0){n=0;l=1;while(1){m=Y(f[p+(n<<2)>>2]|0,l)|0;n=n+1|0;if((n|0)>=(o|0)){r=m;break}else l=m}}else r=1}else r=0;l=Qrc(r|0,((r|0)<0)<<31>>31|0,1)|0;o=Arc(l|0,J|0,e|0,k|0)|0;g=g+1|0;l=Hrc(0,o|0,32)|0;o=J;if(g>>>0>=j>>>0){h=o;i=l;q=3;break}else{e=l;k=o}}if((q|0)==3){J=h;u=c;return i|0}else if((q|0)==7){f[a>>2]=0;f[a+4>>2]=0;q=YG(a,70)|0;i=475084;c=q+70|0;do{b[q>>0]=b[i>>0]|0;q=q+1|0;i=i+1|0}while((q|0)<(c|0));SQ(-215,a,475155,475161,161)}return 0}function Gvb(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0.0,l=0.0;if((d|0)>0&(f|0)<(g|0)){h=f;i=c;j=b}else return;while(1){b=0;do{k=+n[j+(b<<2)>>2];if(!(k>=0.0))l=+V(+k)+-1.0;else l=k;n[i+(b<<2)>>2]=l;b=b+1|0}while((b|0)!=(d|0));h=h+1|0;if((h|0)==(g|0))break;else{i=i+(e<<2)|0;j=j+(e<<2)|0}}return}function Hvb(a){a=a|0;Emc(a);return}function Ivb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0.0,s=0.0;c=f[a+16>>2]|0;d=f[a+8>>2]|0;e=f[d+4>>2]|0;g=f[d+40>>2]|0;h=f[g>>2]|0;if((e|0)>1){i=f[g+4>>2]|0;if((e|0)==2){j=i;k=1;l=h}else{m=2;o=1;while(1){p=Y(f[g+(m<<2)>>2]|0,o)|0;m=m+1|0;if((m|0)>=(e|0)){j=i;k=p;l=h;break}else o=p}}}else{j=h;k=1;l=1}h=((c+-1+k|0)>>>0)/(c>>>0)|0;c=Y(f[b>>2]|0,h)|0;o=Y(f[b+4>>2]|0,h)|0;if((l|0)<=0)return;h=f[d+16>>2]|0;b=f[f[d+44>>2]>>2]|0;d=f[a+12>>2]|0;a=f[d+16>>2]|0;i=f[f[d+44>>2]>>2]|0;d=(k>>>0<o>>>0?k:o)-c|0;if((j|0)>0&(d|0)>0)q=0;else return;do{o=0;e=a+(Y(i,q)|0)+(c<<2)|0;m=h+(Y(b,q)|0)+(c<<2)|0;while(1){g=0;do{r=+n[m+(g<<2)>>2];if(!(r>=0.0))s=+V(+r)+-1.0;else s=r;n[e+(g<<2)>>2]=s;g=g+1|0}while((g|0)!=(d|0));o=o+1|0;if((o|0)==(j|0))break;else{e=e+(k<<2)|0;m=m+(k<<2)|0}}q=q+1|0}while((q|0)!=(l|0));return}function Jvb(a,c){a=a|0;c=c|0;var d=0,e=0;d=Bmc(40)|0;uCa(d);f[d>>2]=138788;b[d+37>>0]=0;e=Bmc(16)|0;f[e+4>>2]=1;f[e>>2]=138900;f[e+8>>2]=d;f[a>>2]=e;f[a+4>>2]=d;vCa(d,c);return}function Kvb(a){a=a|0;Emc(a);return}function Lvb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Mvb(a){a=a|0;Nza(a);Emc(a);return}function Nvb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;g=u;u=u+64|0;h=g+56|0;i=g+40|0;j=g+28|0;k=g+8|0;l=g;zT(h,138912);if((BD(c,-1)|0)==3)gAa(a,c,d,e);else{f[i>>2]=0;e=i+4|0;f[e>>2]=0;f[i+8>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;rD(c,i);rD(d,j);d=f[i>>2]|0;a:do if((f[e>>2]|0)!=(d|0)){c=a+36|0;m=k+4|0;n=k+8|0;o=k+12|0;p=k+16|0;q=l+4|0;r=0;s=d;b:while(1){t=s;v=t+(r*56|0)|0;w=f[j>>2]|0;x=w+(r*56|0)|0;y=f[t+(r*56|0)+40>>2]|0;t=f[y+-4>>2]|0;z=f[w+(r*56|0)+40>>2]|0;if((t|0)!=(f[z+-4>>2]|0))break;if((t|0)==2){if((f[y>>2]|0)!=(f[z>>2]|0))break;if((f[y+4>>2]|0)!=(f[z+4>>2]|0))break}else if((t|0)>0){w=0;do{if((f[y+(w<<2)>>2]|0)!=(f[z+(w<<2)>>2]|0))break b;w=w+1|0}while((w|0)<(t|0))}t=f[v>>2]|0;w=t&4095;z=f[x>>2]|0;if(!((w|0)==5&((w|0)==(z&4095|0)&(t&16384&z|0)!=0)))break;z=pU()|0;f[k>>2]=138940;f[m>>2]=c;f[n>>2]=v;f[o>>2]=x;f[p>>2]=z;f[l>>2]=0;f[q>>2]=z;oU(l,k,+(z|0));r=r+1|0;s=f[i>>2]|0;if(r>>>0>=(((f[e>>2]|0)-s|0)/56|0)>>>0)break a}f[k>>2]=0;f[k+4>>2]=0;s=YG(k,116)|0;r=469086;q=s+116|0;do{b[s>>0]=b[r>>0]|0;s=s+1|0;r=r+1|0}while((s|0)<(q|0));SQ(-215,k,475494,469203,205)}while(0);rt(j);rt(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function Ovb(a,b){a=a|0;b=b|0;return (b|2|0)==3|0}function Pvb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Qvb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Rvb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Svb(a,b){a=a|0;b=b|0;return 0}function Tvb(a,b,c){a=a|0;b=b|0;c=c|0;return}function Uvb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;cAa(a,b,c,d,e)|0;return 1}function Vvb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+16|0;a=c;e=f[d+4>>2]|0;g=f[d>>2]|0;d=g;if((e|0)==(g|0)){h=0;i=0;J=h;u=c;return i|0}j=(e-g|0)/12|0;g=0;e=0;k=0;while(1){l=f[d+(g*12|0)+4>>2]|0;m=f[d+(g*12|0)>>2]|0;n=l-m|0;o=n>>2;p=m;if((p|0)!=(l|0)){if((n|0)<=-4){q=7;break}if((n|0)>0){n=0;l=1;while(1){m=Y(f[p+(n<<2)>>2]|0,l)|0;n=n+1|0;if((n|0)>=(o|0)){r=m;break}else l=m}}else r=1}else r=0;l=Arc(r|0,0,e|0,k|0)|0;g=g+1|0;o=Hrc(0,l|0,32)|0;l=J;if(g>>>0>=j>>>0){h=l;i=o;q=3;break}else{e=o;k=l}}if((q|0)==3){J=h;u=c;return i|0}else if((q|0)==7){f[a>>2]=0;f[a+4>>2]=0;q=YG(a,70)|0;i=475084;c=q+70|0;do{b[q>>0]=b[i>>0]|0;q=q+1|0;i=i+1|0}while((q|0)<(c|0));SQ(-215,a,475155,475161,161)}return 0}function Wvb(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0.0;if((d|0)>0&(f|0)<(g|0)){h=f;i=c;j=b}else return;while(1){b=0;do{k=+L(+(+n[j+(b<<2)>>2]));n[i+(b<<2)>>2]=k;b=b+1|0}while((b|0)!=(d|0));h=h+1|0;if((h|0)==(g|0))break;else{i=i+(e<<2)|0;j=j+(e<<2)|0}}return}function Xvb(a){a=a|0;Emc(a);return}function Yvb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0.0;c=f[a+16>>2]|0;d=f[a+8>>2]|0;e=f[d+4>>2]|0;g=f[d+40>>2]|0;h=f[g>>2]|0;if((e|0)>1){i=f[g+4>>2]|0;if((e|0)==2){j=i;k=1;l=h}else{m=2;o=1;while(1){p=Y(f[g+(m<<2)>>2]|0,o)|0;m=m+1|0;if((m|0)>=(e|0)){j=i;k=p;l=h;break}else o=p}}}else{j=h;k=1;l=1}h=((c+-1+k|0)>>>0)/(c>>>0)|0;c=Y(f[b>>2]|0,h)|0;o=Y(f[b+4>>2]|0,h)|0;if((l|0)<=0)return;h=f[d+16>>2]|0;b=f[f[d+44>>2]>>2]|0;d=f[a+12>>2]|0;a=f[d+16>>2]|0;i=f[f[d+44>>2]>>2]|0;d=(k>>>0<o>>>0?k:o)-c|0;if((j|0)>0&(d|0)>0)q=0;else return;do{o=0;e=a+(Y(i,q)|0)+(c<<2)|0;m=h+(Y(b,q)|0)+(c<<2)|0;while(1){g=0;do{r=+L(+(+n[m+(g<<2)>>2]));n[e+(g<<2)>>2]=r;g=g+1|0}while((g|0)!=(d|0));o=o+1|0;if((o|0)==(j|0))break;else{e=e+(k<<2)|0;m=m+(k<<2)|0}}q=q+1|0}while((q|0)!=(l|0));return}function Zvb(a,c){a=a|0;c=c|0;var d=0,e=0;d=Bmc(40)|0;uCa(d);f[d>>2]=138960;b[d+37>>0]=0;e=Bmc(16)|0;f[e+4>>2]=1;f[e>>2]=139072;f[e+8>>2]=d;f[a>>2]=e;f[a+4>>2]=d;vCa(d,c);return}function _vb(a){a=a|0;Emc(a);return}function $vb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function awb(a){a=a|0;Nza(a);Emc(a);return}function bwb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;g=u;u=u+64|0;h=g+56|0;i=g+40|0;j=g+28|0;k=g+8|0;l=g;zT(h,139084);if((BD(c,-1)|0)==3)gAa(a,c,d,e);else{f[i>>2]=0;e=i+4|0;f[e>>2]=0;f[i+8>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;rD(c,i);rD(d,j);d=f[i>>2]|0;a:do if((f[e>>2]|0)!=(d|0)){c=a+36|0;m=k+4|0;n=k+8|0;o=k+12|0;p=k+16|0;q=l+4|0;r=0;s=d;b:while(1){t=s;v=t+(r*56|0)|0;w=f[j>>2]|0;x=w+(r*56|0)|0;y=f[t+(r*56|0)+40>>2]|0;t=f[y+-4>>2]|0;z=f[w+(r*56|0)+40>>2]|0;if((t|0)!=(f[z+-4>>2]|0))break;if((t|0)==2){if((f[y>>2]|0)!=(f[z>>2]|0))break;if((f[y+4>>2]|0)!=(f[z+4>>2]|0))break}else if((t|0)>0){w=0;do{if((f[y+(w<<2)>>2]|0)!=(f[z+(w<<2)>>2]|0))break b;w=w+1|0}while((w|0)<(t|0))}t=f[v>>2]|0;w=t&4095;z=f[x>>2]|0;if(!((w|0)==5&((w|0)==(z&4095|0)&(t&16384&z|0)!=0)))break;z=pU()|0;f[k>>2]=139112;f[m>>2]=c;f[n>>2]=v;f[o>>2]=x;f[p>>2]=z;f[l>>2]=0;f[q>>2]=z;oU(l,k,+(z|0));r=r+1|0;s=f[i>>2]|0;if(r>>>0>=(((f[e>>2]|0)-s|0)/56|0)>>>0)break a}f[k>>2]=0;f[k+4>>2]=0;s=YG(k,116)|0;r=469086;q=s+116|0;do{b[s>>0]=b[r>>0]|0;s=s+1|0;r=r+1|0}while((s|0)<(q|0));SQ(-215,k,475494,469203,205)}while(0);rt(j);rt(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function cwb(a,b){a=a|0;b=b|0;return (b|2|0)==3|0}function dwb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function ewb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function fwb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function gwb(a,b){a=a|0;b=b|0;return 0}function hwb(a,b,c){a=a|0;b=b|0;c=c|0;return}function iwb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;cAa(a,b,c,d,e)|0;return 1}function jwb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+16|0;a=c;e=f[d+4>>2]|0;g=f[d>>2]|0;d=g;if((e|0)==(g|0)){h=0;i=0;J=h;u=c;return i|0}j=(e-g|0)/12|0;g=0;e=0;k=0;while(1){l=f[d+(g*12|0)+4>>2]|0;m=f[d+(g*12|0)>>2]|0;n=l-m|0;o=n>>2;p=m;if((p|0)!=(l|0)){if((n|0)<=-4){q=7;break}if((n|0)>0){n=0;l=1;while(1){m=Y(f[p+(n<<2)>>2]|0,l)|0;n=n+1|0;if((n|0)>=(o|0)){r=m;break}else l=m}}else r=1}else r=0;l=Urc(r|0,((r|0)<0)<<31>>31|0,5,0)|0;o=Arc(l|0,J|0,e|0,k|0)|0;g=g+1|0;l=Hrc(0,o|0,32)|0;o=J;if(g>>>0>=j>>>0){h=o;i=l;q=3;break}else{e=l;k=o}}if((q|0)==3){J=h;u=c;return i|0}else if((q|0)==7){f[a>>2]=0;f[a+4>>2]=0;q=YG(a,70)|0;i=475084;c=q+70|0;do{b[q>>0]=b[i>>0]|0;q=q+1|0;i=i+1|0}while((q|0)<(c|0));SQ(-215,a,475155,475161,161)}return 0}function kwb(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0.0;if((d|0)>0&(f|0)<(g|0)){h=f;i=c;j=b}else return;while(1){b=0;do{k=+W(+(+V(+-+L(+(+n[j+(b<<2)>>2])))+1.0));n[i+(b<<2)>>2]=k;b=b+1|0}while((b|0)!=(d|0));h=h+1|0;if((h|0)==(g|0))break;else{i=i+(e<<2)|0;j=j+(e<<2)|0}}return}function lwb(a){a=a|0;Emc(a);return}function mwb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0.0;c=f[a+16>>2]|0;d=f[a+8>>2]|0;e=f[d+4>>2]|0;g=f[d+40>>2]|0;h=f[g>>2]|0;if((e|0)>1){i=f[g+4>>2]|0;if((e|0)==2){j=i;k=1;l=h}else{m=2;o=1;while(1){p=Y(f[g+(m<<2)>>2]|0,o)|0;m=m+1|0;if((m|0)>=(e|0)){j=i;k=p;l=h;break}else o=p}}}else{j=h;k=1;l=1}h=((c+-1+k|0)>>>0)/(c>>>0)|0;c=Y(f[b>>2]|0,h)|0;o=Y(f[b+4>>2]|0,h)|0;if((l|0)<=0)return;h=f[d+16>>2]|0;b=f[f[d+44>>2]>>2]|0;d=f[a+12>>2]|0;a=f[d+16>>2]|0;i=f[f[d+44>>2]>>2]|0;d=(k>>>0<o>>>0?k:o)-c|0;if((j|0)>0&(d|0)>0)q=0;else return;do{o=0;e=a+(Y(i,q)|0)+(c<<2)|0;m=h+(Y(b,q)|0)+(c<<2)|0;while(1){g=0;do{r=+W(+(+V(+-+L(+(+n[m+(g<<2)>>2])))+1.0));n[e+(g<<2)>>2]=r;g=g+1|0}while((g|0)!=(d|0));o=o+1|0;if((o|0)==(j|0))break;else{e=e+(k<<2)|0;m=m+(k<<2)|0}}q=q+1|0}while((q|0)!=(l|0));return}function nwb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0.0,r=0,s=0,t=0,v=0.0,w=0,x=0.0;d=u;u=u+16|0;e=d;f[e>>2]=0;f[e+4>>2]=0;g=YG(e,5)|0;b[g>>0]=b[472081]|0;b[g+1>>0]=b[472082]|0;b[g+2>>0]=b[472083]|0;b[g+3>>0]=b[472084]|0;b[g+4>>0]=b[472085]|0;g=c+4|0;h=f[g>>2]|0;do if(h){i=f[e>>2]|0;j=(i|0)==0?1163146:i;k=g;l=h;a:while(1){m=l;while(1){o=f[m+16>>2]|0;if((o|0)==(i|0))break;if((o7b((o|0)==0?1163146:o,j)|0)>=0)break;o=f[m+4>>2]|0;if(!o){p=k;break a}else m=o}l=f[m>>2]|0;if(!l){p=m;break}else k=m}if((p|0)!=(g|0)){k=f[p+16>>2]|0;if((i|0)!=(k|0)?(o7b(j,(k|0)==0?1163146:k)|0)<=-1:0){q=1.0;break}q=+eEa(p+24|0,-1)}else q=1.0}else q=1.0;while(0);ZG(e);f[e>>2]=0;f[e+4>>2]=0;p=YG(e,5)|0;b[p>>0]=b[472087]|0;b[p+1>>0]=b[472088]|0;b[p+2>>0]=b[472089]|0;b[p+3>>0]=b[472090]|0;b[p+4>>0]=b[472091]|0;p=f[g>>2]|0;do if(p){h=f[e>>2]|0;k=(h|0)==0?1163146:h;l=g;o=p;b:while(1){r=o;while(1){s=f[r+16>>2]|0;if((s|0)==(h|0))break;if((o7b((s|0)==0?1163146:s,k)|0)>=0)break;s=f[r+4>>2]|0;if(!s){t=l;break b}else r=s}o=f[r>>2]|0;if(!o){t=r;break}else l=r}if((t|0)!=(g|0)){l=f[t+16>>2]|0;if((h|0)!=(l|0)?(o7b(k,(l|0)==0?1163146:l)|0)<=-1:0){v=1.0;break}v=+eEa(t+24|0,-1)}else v=1.0}else v=1.0;while(0);ZG(e);f[e>>2]=0;f[e+4>>2]=0;t=YG(e,5)|0;b[t>>0]=b[472093]|0;b[t+1>>0]=b[472094]|0;b[t+2>>0]=b[472095]|0;b[t+3>>0]=b[472096]|0;b[t+4>>0]=b[472097]|0;t=f[g>>2]|0;do if(t){p=f[e>>2]|0;l=(p|0)==0?1163146:p;o=g;j=t;c:while(1){i=j;while(1){m=f[i+16>>2]|0;if((m|0)==(p|0))break;if((o7b((m|0)==0?1163146:m,l)|0)>=0)break;m=f[i+4>>2]|0;if(!m){w=o;break c}else i=m}j=f[i>>2]|0;if(!j){w=i;break}else o=i}if((w|0)!=(g|0)){o=f[w+16>>2]|0;if((p|0)!=(o|0)?(o7b(l,(o|0)==0?1163146:o)|0)<=-1:0){x=0.0;break}x=+eEa(w+24|0,-1)}else x=0.0}else x=0.0;while(0);ZG(e);e=Bmc(64)|0;uCa(e);f[e>>2]=139132;b[e+60>>0]=0;n[e+48>>2]=q;n[e+52>>2]=v;n[e+56>>2]=x;w=Bmc(16)|0;f[w+4>>2]=1;f[w>>2]=139244;f[w+8>>2]=e;f[a>>2]=w;f[a+4>>2]=e;vCa(e,c);n[e+36>>2]=q;n[e+40>>2]=v;n[e+44>>2]=x;u=d;return}function owb(a){a=a|0;Emc(a);return}function pwb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function qwb(a){a=a|0;Nza(a);Emc(a);return}function rwb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;g=u;u=u+64|0;h=g+56|0;i=g+40|0;j=g+28|0;k=g+8|0;l=g;zT(h,139256);if((BD(c,-1)|0)==3)gAa(a,c,d,e);else{f[i>>2]=0;e=i+4|0;f[e>>2]=0;f[i+8>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;rD(c,i);rD(d,j);d=f[i>>2]|0;a:do if((f[e>>2]|0)!=(d|0)){c=a+48|0;m=k+4|0;n=k+8|0;o=k+12|0;p=k+16|0;q=l+4|0;r=0;s=d;b:while(1){t=s;v=t+(r*56|0)|0;w=f[j>>2]|0;x=w+(r*56|0)|0;y=f[t+(r*56|0)+40>>2]|0;t=f[y+-4>>2]|0;z=f[w+(r*56|0)+40>>2]|0;if((t|0)!=(f[z+-4>>2]|0))break;if((t|0)==2){if((f[y>>2]|0)!=(f[z>>2]|0))break;if((f[y+4>>2]|0)!=(f[z+4>>2]|0))break}else if((t|0)>0){w=0;do{if((f[y+(w<<2)>>2]|0)!=(f[z+(w<<2)>>2]|0))break b;w=w+1|0}while((w|0)<(t|0))}t=f[v>>2]|0;w=t&4095;z=f[x>>2]|0;if(!((w|0)==5&((w|0)==(z&4095|0)&(t&16384&z|0)!=0)))break;z=pU()|0;f[k>>2]=139284;f[m>>2]=c;f[n>>2]=v;f[o>>2]=x;f[p>>2]=z;f[l>>2]=0;f[q>>2]=z;oU(l,k,+(z|0));r=r+1|0;s=f[i>>2]|0;if(r>>>0>=(((f[e>>2]|0)-s|0)/56|0)>>>0)break a}f[k>>2]=0;f[k+4>>2]=0;s=YG(k,116)|0;r=469086;q=s+116|0;do{b[s>>0]=b[r>>0]|0;s=s+1|0;r=r+1|0}while((s|0)<(q|0));SQ(-215,k,475494,469203,205)}while(0);rt(j);rt(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function swb(a,b){a=a|0;b=b|0;var c=0;if((b|0)!=2){c=(b|2|0)==3;return c|0}if(((f[a+32>>2]|0)+-1|0)>>>0>1){c=1;return c|0}c=+n[a+48>>2]==1.0;return c|0}function twb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function uwb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function vwb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function wwb(a,b){a=a|0;b=b|0;return Cwb(a+48|0,b)|0}function xwb(a,b,c){a=a|0;b=b|0;c=c|0;Bwb(a+48|0,b,c);return}function ywb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;cAa(a,b,c,d,e)|0;return 1}function zwb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0;c=u;u=u+16|0;e=c;g=f[d+4>>2]|0;h=f[d>>2]|0;d=h;if((g|0)==(h|0)){i=0;j=0;J=i;u=c;return j|0}k=a+48|0;a=(g-h|0)/12|0;h=0;g=0;l=0;while(1){m=f[d+(h*12|0)+4>>2]|0;o=f[d+(h*12|0)>>2]|0;p=m-o|0;q=p>>2;r=o;if((r|0)!=(m|0)){if((p|0)<=-4){s=7;break}if((p|0)>0){p=0;m=1;while(1){o=Y(f[r+(p<<2)>>2]|0,m)|0;p=p+1|0;if((p|0)>=(q|0)){t=o;break}else m=o}}else t=1}else t=0;m=+n[k>>2]==1.0;q=Urc((m?2:10)|0,(m?0:0)|0,t|0,((t|0)<0)<<31>>31|0)|0;m=Arc(q|0,J|0,g|0,l|0)|0;h=h+1|0;q=Hrc(0,m|0,32)|0;m=J;if(h>>>0>=a>>>0){i=m;j=q;s=3;break}else{g=q;l=m}}if((s|0)==3){J=i;u=c;return j|0}else if((s|0)==7){f[e>>2]=0;f[e+4>>2]=0;s=YG(e,70)|0;j=475084;c=s+70|0;do{b[s>>0]=b[j>>0]|0;s=s+1|0;j=j+1|0}while((s|0)<(c|0));SQ(-215,e,475155,475161,161)}return 0}function Awb(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0.0,j=0.0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0.0;h=+n[a+52>>2];i=+n[a+56>>2];j=+n[a+48>>2];a=(d|0)>0&(f|0)<(g|0);if(j==1.0){if(a){k=c;l=f;m=b}else return;while(1){o=0;do{n[k+(o<<2)>>2]=i+h*+n[m+(o<<2)>>2];o=o+1|0}while((o|0)!=(d|0));l=l+1|0;if((l|0)==(g|0))break;else{k=k+(e<<2)|0;m=m+(e<<2)|0}}return}else{if(a){p=f;q=c;r=b}else return;while(1){b=0;do{s=+N(+(i+h*+n[r+(b<<2)>>2]),+j);n[q+(b<<2)>>2]=s;b=b+1|0}while((b|0)!=(d|0));p=p+1|0;if((p|0)==(g|0))break;else{q=q+(e<<2)|0;r=r+(e<<2)|0}}return}}function Bwb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;d=u;u=u+96|0;e=d+88|0;g=d+32|0;h=d;if(!(+n[a>>2]==1.0)){u=d;return}p[h>>3]=+n[a+4>>2];i=h+8|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;f[g>>2]=1124007936;i=g+4|0;j=g+8|0;k=g+40|0;l=i;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=j;o=g+48|0;q=g+44|0;f[q>>2]=o;f[o>>2]=0;f[g+52>>2]=0;f[e>>2]=1;r=e+4|0;f[r>>2]=1;iP(g,2,e,5);nT(g,h)|0;if((g|0)==(b|0)){s=g+36|0;t=f[b+36>>2]|0}else{v=g+36|0;w=f[v>>2]|0;if(w|0){x=w+12|0;f[x>>2]=(f[x>>2]|0)+1}x=b+36|0;w=f[x>>2]|0;if(w|0?(y=w+12|0,w=f[y>>2]|0,f[y>>2]=w+-1,(w|0)==1):0)lP(b);f[x>>2]=0;w=b+16|0;y=b+4|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[y>>2]|0)>0){z=f[b+40>>2]|0;A=0;do{f[z+(A<<2)>>2]=0;A=A+1|0;B=f[y>>2]|0}while((A|0)<(B|0));f[b>>2]=f[g>>2];if((B|0)<3)C=14;else C=16}else{f[b>>2]=f[g>>2];C=14}if((C|0)==14){B=f[i>>2]|0;if((B|0)<3){f[y>>2]=B;f[b+8>>2]=f[j>>2];f[b+12>>2]=f[g+12>>2];j=f[q>>2]|0;B=f[b+44>>2]|0;f[B>>2]=f[j>>2];f[B+4>>2]=f[j+4>>2]}else C=16}if((C|0)==16)kP(b,g);f[w>>2]=f[g+16>>2];f[b+20>>2]=f[g+20>>2];f[b+24>>2]=f[g+24>>2];f[b+28>>2]=f[g+28>>2];f[b+32>>2]=f[g+32>>2];b=f[v>>2]|0;f[x>>2]=b;s=v;t=b}if(t|0?(b=t+12|0,t=f[b>>2]|0,f[b>>2]=t+-1,(t|0)==1):0)lP(g);f[s>>2]=0;s=g+16|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[i>>2]|0)>0){s=f[k>>2]|0;k=0;do{f[s+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[i>>2]|0))}i=f[q>>2]|0;if((i|0)!=(o|0))tE(i);p[h>>3]=+n[a+8>>2];a=h+8|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[g>>2]=1124007936;a=g+4|0;i=g+8|0;o=g+40|0;l=a;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[o>>2]=i;l=g+48|0;m=g+44|0;f[m>>2]=l;f[l>>2]=0;f[g+52>>2]=0;f[e>>2]=1;f[r>>2]=1;iP(g,2,e,5);nT(g,h)|0;if((g|0)==(c|0)){D=g+36|0;E=f[c+36>>2]|0}else{h=g+36|0;e=f[h>>2]|0;if(e|0){r=e+12|0;f[r>>2]=(f[r>>2]|0)+1}r=c+36|0;e=f[r>>2]|0;if(e|0?(q=e+12|0,e=f[q>>2]|0,f[q>>2]=e+-1,(e|0)==1):0)lP(c);f[r>>2]=0;e=c+16|0;q=c+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[q>>2]|0)>0){k=f[c+40>>2]|0;s=0;do{f[k+(s<<2)>>2]=0;s=s+1|0;F=f[q>>2]|0}while((s|0)<(F|0));f[c>>2]=f[g>>2];if((F|0)<3)C=38;else C=40}else{f[c>>2]=f[g>>2];C=38}if((C|0)==38){F=f[a>>2]|0;if((F|0)<3){f[q>>2]=F;f[c+8>>2]=f[i>>2];f[c+12>>2]=f[g+12>>2];i=f[m>>2]|0;F=f[c+44>>2]|0;f[F>>2]=f[i>>2];f[F+4>>2]=f[i+4>>2]}else C=40}if((C|0)==40)kP(c,g);f[e>>2]=f[g+16>>2];f[c+20>>2]=f[g+20>>2];f[c+24>>2]=f[g+24>>2];f[c+28>>2]=f[g+28>>2];f[c+32>>2]=f[g+32>>2];c=f[h>>2]|0;f[r>>2]=c;D=h;E=c}if(E|0?(c=E+12|0,E=f[c>>2]|0,f[c>>2]=E+-1,(E|0)==1):0)lP(g);f[D>>2]=0;D=g+16|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[a>>2]|0)>0){D=f[o>>2]|0;o=0;do{f[D+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[a>>2]|0))}a=f[m>>2]|0;if((a|0)!=(l|0))tE(a);u=d;return}function Cwb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0,K=0.0,L=0.0;c=u;u=u+112|0;d=c+56|0;e=c;if(+n[a>>2]!=1.0?+n[a+8>>2]!=0.0:0){g=0;u=c;return g|0}f[d>>2]=1124007936;h=d+4|0;i=d+8|0;j=d+40|0;k=h;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;m=d+48|0;o=d+44|0;f[o>>2]=m;f[m>>2]=0;f[d+52>>2]=0;f[e>>2]=1124007936;p=e+4|0;q=e+8|0;r=e+40|0;k=p;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[r>>2]=q;k=e+48|0;l=e+44|0;f[l>>2]=k;f[k>>2]=0;f[e+52>>2]=0;s=f[b+4>>2]|0;Yh[f[(f[s>>2]|0)+84>>2]&511](s,d,e);s=d+16|0;b=f[s>>2]|0;t=(b|0)==0;if(!t){v=f[h>>2]|0;if((v|0)<3)w=Y(f[d+12>>2]|0,f[i>>2]|0)|0;else{x=f[j>>2]|0;y=0;z=1;while(1){A=Y(f[x+(y<<2)>>2]|0,z)|0;y=y+1|0;if((y|0)==(v|0)){w=A;break}else z=A}}if(!((v|0)==0|(w|0)==0)){B=v;C=16}else C=9}else C=9;if((C|0)==9)if(f[e+16>>2]|0){v=f[p>>2]|0;if((v|0)<3)D=Y(f[e+12>>2]|0,f[q>>2]|0)|0;else{w=f[r>>2]|0;z=0;y=1;while(1){x=Y(f[w+(z<<2)>>2]|0,y)|0;z=z+1|0;if((z|0)==(v|0)){D=x;break}else y=x}}if(!((v|0)==0|(D|0)==0)){B=f[h>>2]|0;C=16}else E=0}else E=0;if((C|0)==16){C=(B|0)<3;if(C)F=Y(f[d+12>>2]|0,f[i>>2]|0)|0;else{D=f[j>>2]|0;v=0;y=1;while(1){z=Y(f[D+(v<<2)>>2]|0,y)|0;v=v+1|0;if((v|0)==(B|0)){F=z;break}else y=z}}if(F>>>0<=1){F=f[p>>2]|0;y=(F|0)<3;if(y)G=Y(f[e+12>>2]|0,f[q>>2]|0)|0;else{v=f[r>>2]|0;D=0;z=1;while(1){w=Y(f[v+(D<<2)>>2]|0,z)|0;D=D+1|0;if((D|0)==(F|0)){G=w;break}else z=w}}if(G>>>0<=1){if(!t){if(C)H=Y(f[d+12>>2]|0,f[i>>2]|0)|0;else{i=f[j>>2]|0;C=0;t=1;while(1){G=Y(f[i+(C<<2)>>2]|0,t)|0;C=C+1|0;if((C|0)==(B|0)){H=G;break}else t=G}}if(!((B|0)==0|(H|0)==0))I=+n[b>>2];else I=1.0}else I=1.0;b=f[e+16>>2]|0;if(b){if(y)J=Y(f[e+12>>2]|0,f[q>>2]|0)|0;else{q=f[r>>2]|0;y=0;H=1;while(1){B=Y(f[q+(y<<2)>>2]|0,H)|0;y=y+1|0;if((y|0)==(F|0)){J=B;break}else H=B}}if(!((F|0)==0|(J|0)==0))K=+n[b>>2];else K=0.0}else K=0.0;b=a+4|0;L=I*+N(+(+n[b>>2]),+(+n[a>>2]));n[b>>2]=L;b=a+8|0;n[b>>2]=K+I*+n[b>>2];E=1}else E=0}else E=0}b=e+36|0;a=f[b>>2]|0;if(a|0?(J=a+12|0,a=f[J>>2]|0,f[J>>2]=a+-1,(a|0)==1):0)lP(e);f[b>>2]=0;b=e+16|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[p>>2]|0)>0){b=f[r>>2]|0;r=0;do{f[b+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[p>>2]|0))}p=f[l>>2]|0;if((p|0)!=(k|0))tE(p);p=d+36|0;k=f[p>>2]|0;if(k|0?(l=k+12|0,k=f[l>>2]|0,f[l>>2]=k+-1,(k|0)==1):0)lP(d);f[p>>2]=0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[h>>2]|0)>0){s=f[j>>2]|0;j=0;do{f[s+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[h>>2]|0))}h=f[o>>2]|0;if((h|0)!=(m|0))tE(h);g=E;u=c;return g|0}function Dwb(a){a=a|0;Emc(a);return}function Ewb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0,u=0,v=0,w=0,x=0,y=0.0;c=f[a+16>>2]|0;d=f[a+8>>2]|0;e=f[d+4>>2]|0;g=f[d+40>>2]|0;h=f[g>>2]|0;if((e|0)>1){i=f[g+4>>2]|0;if((e|0)==2){j=i;k=1;l=h}else{m=2;o=1;while(1){p=Y(f[g+(m<<2)>>2]|0,o)|0;m=m+1|0;if((m|0)>=(e|0)){j=i;k=p;l=h;break}else o=p}}}else{j=h;k=1;l=1}h=((c+-1+k|0)>>>0)/(c>>>0)|0;c=Y(f[b>>2]|0,h)|0;o=Y(f[b+4>>2]|0,h)|0;if((l|0)<=0)return;h=f[d+16>>2]|0;b=f[f[d+44>>2]>>2]|0;d=f[a+12>>2]|0;i=f[d+16>>2]|0;e=f[f[d+44>>2]>>2]|0;d=f[a+4>>2]|0;a=(k>>>0<o>>>0?k:o)-c|0;o=d+4|0;m=d+8|0;if((j|0)>0&(a|0)>0)q=0;else return;do{g=h+(Y(b,q)|0)+(c<<2)|0;p=i+(Y(e,q)|0)+(c<<2)|0;r=+n[o>>2];s=+n[m>>2];t=+n[d>>2];if(t==1.0){u=p;v=0;w=g;while(1){x=0;do{n[u+(x<<2)>>2]=s+r*+n[w+(x<<2)>>2];x=x+1|0}while((x|0)!=(a|0));v=v+1|0;if((v|0)==(j|0))break;else{u=u+(k<<2)|0;w=w+(k<<2)|0}}}else{w=0;u=p;v=g;while(1){x=0;do{y=+N(+(s+r*+n[v+(x<<2)>>2]),+t);n[u+(x<<2)>>2]=y;x=x+1|0}while((x|0)!=(a|0));w=w+1|0;if((w|0)==(j|0))break;else{u=u+(k<<2)|0;v=v+(k<<2)|0}}}q=q+1|0}while((q|0)!=(l|0));return}function Fwb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=u;u=u+112|0;e=d+8|0;g=d;h=c+12|0;i=f[h>>2]|0;j=i;if(((f[c+16>>2]|0)-i|0)!=56){f[e>>2]=0;f[e+4>>2]=0;k=YG(e,24)|0;l=472514;m=k+24|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-215,e,472539,469203,1159)}i=f[j+4>>2]|0;if((i|0)<3)n=Y(f[j+12>>2]|0,f[j+8>>2]|0)|0;else{o=f[j+40>>2]|0;p=0;q=1;while(1){r=Y(f[o+(p<<2)>>2]|0,q)|0;p=p+1|0;if((p|0)==(i|0)){n=r;break}else q=r}}if((n|0)!=1){n=Bmc(144)|0;Gwb(e,j);Hwb(n,e);j=Bmc(16)|0;q=j+4|0;f[q>>2]=1;f[j>>2]=139304;f[j+8>>2]=n;Iwb(e);vCa(n,c);f[a>>2]=j;f[a+4>>2]=n;f[q>>2]=(f[q>>2]|0)+1;n=f[q>>2]|0;f[q>>2]=n+-1;if((n|0)!=1){u=d;return}ai[f[(f[j>>2]|0)+8>>2]&2047](j);u=d;return}lza(e,c);mza(e+12|0,h);j=f[c+24>>2]|0;f[e+24>>2]=j;f[e+28>>2]=f[c+28>>2];if(j|0){n=j+-4|0;f[n>>2]=(f[n>>2]|0)+1}n=f[c+32>>2]|0;f[e+32>>2]=n;f[e+36>>2]=f[c+36>>2];if(n|0){c=n+-4|0;f[c>>2]=(f[c>>2]|0)+1}f[g>>2]=0;f[g+4>>2]=0;k=YG(g,14)|0;l=468971;m=k+14|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));LCa(e,g,f[(f[h>>2]|0)+16>>2]|0)|0;ZG(g);jub(g,e);h=f[g>>2]|0;f[a>>2]=h;f[a+4>>2]=f[g+4>>2];a=h;if(!h){s=g;t=a}else{h=a+4|0;f[h>>2]=(f[h>>2]|0)+1;s=g;t=f[g>>2]|0}if(t|0?(g=t+4|0,h=f[g>>2]|0,f[g>>2]=h+-1,(h|0)==1):0)ai[f[(f[t>>2]|0)+8>>2]&2047](t);f[s>>2]=0;qza(e);u=d;return}function Gwb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=u;u=u+48|0;d=c;f[a>>2]=f[b>>2];e=a+4|0;g=b+4|0;f[e>>2]=f[g>>2];h=a+8|0;f[h>>2]=f[b+8>>2];f[a+12>>2]=f[b+12>>2];f[a+16>>2]=f[b+16>>2];f[a+20>>2]=f[b+20>>2];f[a+24>>2]=f[b+24>>2];f[a+28>>2]=f[b+28>>2];f[a+32>>2]=f[b+32>>2];i=f[b+36>>2]|0;f[a+36>>2]=i;f[a+40>>2]=h;h=a+48|0;j=a+44|0;f[j>>2]=h;f[h>>2]=0;f[a+52>>2]=0;if(i|0){h=i+12|0;f[h>>2]=(f[h>>2]|0)+1}if((f[g>>2]|0)<3){g=f[b+44>>2]|0;h=f[j>>2]|0;f[h>>2]=f[g>>2];f[h+4>>2]=f[g+4>>2]}else{f[e>>2]=0;kP(a,b)}b=a+56|0;f[b>>2]=1124007936;e=a+60|0;g=a+64|0;h=a+76|0;j=a+80|0;i=a+84|0;k=a+88|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[k>>2]=g;l=a+96|0;m=a+92|0;f[m>>2]=l;f[a+100>>2]=0;f[l>>2]=0;pN(d,a,16777216,0);if((b|0)==(d|0)){uN(d);u=c;return}l=d+24|0;n=f[l>>2]|0;if(n|0){o=n+8|0;f[o>>2]=(f[o>>2]|0)+1}o=f[j>>2]|0;if(o|0?(n=o+8|0,o=f[n>>2]|0,f[n>>2]=o+-1,(o|0)==1):0)vN(b);if((f[e>>2]|0)>0){o=f[k>>2]|0;k=0;do{f[o+(k<<2)>>2]=0;k=k+1|0;p=f[e>>2]|0}while((k|0)<(p|0));f[j>>2]=0;f[b>>2]=f[d>>2];if((p|0)<3)q=17;else q=19}else{f[j>>2]=0;f[b>>2]=f[d>>2];q=17}if((q|0)==17){p=f[d+4>>2]|0;if((p|0)<3){f[e>>2]=p;f[g>>2]=f[d+8>>2];f[a+68>>2]=f[d+12>>2];g=f[d+36>>2]|0;p=f[m>>2]|0;f[p>>2]=f[g>>2];f[p+4>>2]=f[g+4>>2]}else q=19}if((q|0)==19)tN(b,d);f[a+72>>2]=f[d+16>>2];if(!(f[h>>2]|0))f[h>>2]=f[d+20>>2];f[j>>2]=f[l>>2];f[i>>2]=f[d+28>>2];uN(d);u=c;return}function Hwb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+64|0;e=d;uCa(a);f[a>>2]=139324;g=a+36|0;f[e>>2]=1124007936;h=e+4|0;i=e+8|0;j=e+40|0;k=h;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=e+48|0;k=e+44|0;f[k>>2]=i;f[i>>2]=0;f[e+52>>2]=0;Gwb(g,e);l=e+36|0;m=f[l>>2]|0;if(m|0?(n=m+12|0,m=f[n>>2]|0,f[n>>2]=m+-1,(m|0)==1):0)lP(e);f[l>>2]=0;l=e+16|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[h>>2]|0)>0){l=f[j>>2]|0;j=0;do{f[l+(j<<2)>>2]=0;j=j+1|0}while((j|0)<(f[h>>2]|0))}h=f[k>>2]|0;if((h|0)==(i|0)){o=a+140|0;b[o>>0]=0;Lwb(g,c)|0;u=d;return}tE(h);o=a+140|0;b[o>>0]=0;Lwb(g,c)|0;u=d;return}function Iwb(a){a=a|0;var b=0,c=0,d=0;uN(a+56|0);b=a+36|0;c=f[b>>2]|0;if(c|0?(d=c+12|0,c=f[d>>2]|0,f[d>>2]=c+-1,(c|0)==1):0)lP(a);f[b>>2]=0;b=a+16|0;c=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[c>>2]|0)>0){b=f[a+40>>2]|0;d=0;do{f[b+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[c>>2]|0))}c=f[a+44>>2]|0;if((c|0)==(a+48|0))return;tE(c);return}function Jwb(a){a=a|0;Emc(a);return}function Kwb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Lwb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=(a|0)==(b|0);if(c)return a|0;d=b+36|0;e=f[d>>2]|0;if(e|0){g=e+12|0;f[g>>2]=(f[g>>2]|0)+1}g=a+36|0;e=f[g>>2]|0;if(e|0?(h=e+12|0,e=f[h>>2]|0,f[h>>2]=e+-1,(e|0)==1):0)lP(a);f[g>>2]=0;e=a+16|0;h=a+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((f[h>>2]|0)>0){i=f[a+40>>2]|0;j=0;do{f[i+(j<<2)>>2]=0;j=j+1|0;k=f[h>>2]|0}while((j|0)<(k|0));f[a>>2]=f[b>>2];if((k|0)<3)l=12;else l=14}else{f[a>>2]=f[b>>2];l=12}if((l|0)==12){k=f[b+4>>2]|0;if((k|0)<3){f[h>>2]=k;f[a+8>>2]=f[b+8>>2];f[a+12>>2]=f[b+12>>2];k=f[b+44>>2]|0;h=f[a+44>>2]|0;f[h>>2]=f[k>>2];f[h+4>>2]=f[k+4>>2]}else l=14}if((l|0)==14)kP(a,b);f[e>>2]=f[b+16>>2];f[a+20>>2]=f[b+20>>2];f[a+24>>2]=f[b+24>>2];f[a+28>>2]=f[b+28>>2];f[a+32>>2]=f[b+32>>2];f[g>>2]=f[d>>2];d=a+56|0;g=b+56|0;if(c)return a|0;c=b+80|0;e=f[c>>2]|0;if(e|0){k=e+8|0;f[k>>2]=(f[k>>2]|0)+1}k=a+80|0;e=f[k>>2]|0;if(e|0?(h=e+8|0,e=f[h>>2]|0,f[h>>2]=e+-1,(e|0)==1):0)vN(d);e=a+60|0;if((f[e>>2]|0)>0){h=f[a+88>>2]|0;j=0;do{f[h+(j<<2)>>2]=0;j=j+1|0;m=f[e>>2]|0}while((j|0)<(m|0));f[k>>2]=0;f[d>>2]=f[g>>2];if((m|0)<3)l=26;else l=28}else{f[k>>2]=0;f[d>>2]=f[g>>2];l=26}if((l|0)==26){m=f[b+60>>2]|0;if((m|0)<3){f[e>>2]=m;f[a+64>>2]=f[b+64>>2];f[a+68>>2]=f[b+68>>2];m=f[b+92>>2]|0;e=f[a+92>>2]|0;f[e>>2]=f[m>>2];f[e+4>>2]=f[m+4>>2]}else l=28}if((l|0)==28)tN(d,g);f[a+72>>2]=f[b+72>>2];g=a+76|0;if(!(f[g>>2]|0))f[g>>2]=f[b+76>>2];f[k>>2]=f[c>>2];f[a+84>>2]=f[b+84>>2];return a|0}function Mwb(a){a=a|0;f[a>>2]=139324;Iwb(a+36|0);Nza(a);return}function Nwb(a){a=a|0;f[a>>2]=139324;Iwb(a+36|0);Nza(a);Emc(a);return}function Owb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;g=u;u=u+64|0;h=g+56|0;i=g+40|0;j=g+28|0;k=g+8|0;l=g;zT(h,139428);if((BD(c,-1)|0)==3)gAa(a,c,d,e);else{f[i>>2]=0;e=i+4|0;f[e>>2]=0;f[i+8>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;rD(c,i);rD(d,j);d=f[i>>2]|0;a:do if((f[e>>2]|0)!=(d|0)){c=a+36|0;m=k+4|0;n=k+8|0;o=k+12|0;p=k+16|0;q=l+4|0;r=0;s=d;b:while(1){t=s;v=t+(r*56|0)|0;w=f[j>>2]|0;x=w+(r*56|0)|0;y=f[t+(r*56|0)+40>>2]|0;t=f[y+-4>>2]|0;z=f[w+(r*56|0)+40>>2]|0;if((t|0)!=(f[z+-4>>2]|0))break;if((t|0)==2){if((f[y>>2]|0)!=(f[z>>2]|0))break;if((f[y+4>>2]|0)!=(f[z+4>>2]|0))break}else if((t|0)>0){w=0;do{if((f[y+(w<<2)>>2]|0)!=(f[z+(w<<2)>>2]|0))break b;w=w+1|0}while((w|0)<(t|0))}t=f[v>>2]|0;w=t&4095;z=f[x>>2]|0;if(!((w|0)==5&((w|0)==(z&4095|0)&(t&16384&z|0)!=0)))break;z=pU()|0;f[k>>2]=139456;f[m>>2]=c;f[n>>2]=v;f[o>>2]=x;f[p>>2]=z;f[l>>2]=0;f[q>>2]=z;oU(l,k,+(z|0));r=r+1|0;s=f[i>>2]|0;if(r>>>0>=(((f[e>>2]|0)-s|0)/56|0)>>>0)break a}f[k>>2]=0;f[k+4>>2]=0;s=YG(k,116)|0;r=469086;q=s+116|0;do{b[s>>0]=b[r>>0]|0;s=s+1|0;r=r+1|0}while((s|0)<(q|0));SQ(-215,k,475494,469203,205)}while(0);rt(j);rt(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function Pwb(a,b){a=a|0;b=b|0;return (b|2|0)==3|0}function Qwb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Rwb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Swb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Twb(a,b){a=a|0;b=b|0;return 0}function Uwb(a,b,c){a=a|0;b=b|0;c=c|0;return}function Vwb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;cAa(a,b,c,d,e)|0;return 1}function Wwb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+16|0;a=c;e=f[d+4>>2]|0;g=f[d>>2]|0;d=g;if((e|0)==(g|0)){h=0;i=0;J=h;u=c;return i|0}j=(e-g|0)/12|0;g=0;e=0;k=0;while(1){l=f[d+(g*12|0)+4>>2]|0;m=f[d+(g*12|0)>>2]|0;n=l-m|0;o=n>>2;p=m;if((p|0)!=(l|0)){if((n|0)<=-4){q=7;break}if((n|0)>0){n=0;l=1;while(1){m=Y(f[p+(n<<2)>>2]|0,l)|0;n=n+1|0;if((n|0)>=(o|0)){r=m;break}else l=m}}else r=1}else r=0;l=Arc(r|0,0,e|0,k|0)|0;g=g+1|0;o=Hrc(0,l|0,32)|0;l=J;if(g>>>0>=j>>>0){h=l;i=o;q=3;break}else{e=o;k=l}}if((q|0)==3){J=h;u=c;return i|0}else if((q|0)==7){f[a>>2]=0;f[a+4>>2]=0;q=YG(a,70)|0;i=475084;c=q+70|0;do{b[q>>0]=b[i>>0]|0;q=q+1|0;i=i+1|0}while((q|0)<(c|0));SQ(-215,a,475155,475161,161)}return 0}function Xwb(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;Ywb(a+36|0,b,c,d,e,f,g);return}function Ywb(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0;j=u;u=u+16|0;k=j;if((f[a>>2]&20479|0)!=16389){f[k>>2]=0;f[k+4>>2]=0;l=YG(k,46)|0;m=472655;o=l+46|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));SQ(-215,k,472702,469203,986)}p=f[a+16>>2]|0;if(!((h|0)>-1&(h|0)<(i|0))){f[k>>2]=0;q=k+4|0;f[q>>2]=0;r=YG(k,50)|0;l=r;m=472708;o=l+50|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));SQ(-215,k,472702,469203,989)}s=f[a+4>>2]|0;if((s|0)<3)t=Y(f[a+12>>2]|0,f[a+8>>2]|0)|0;else{v=f[a+40>>2]|0;a=0;w=1;while(1){x=Y(f[v+(a<<2)>>2]|0,w)|0;a=a+1|0;if((a|0)==(s|0)){t=x;break}else w=x}}if((t|0)<(i|0)){f[k>>2]=0;q=k+4|0;f[q>>2]=0;r=YG(k,50)|0;l=r;m=472708;o=l+50|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));SQ(-215,k,472702,469203,989)}if((e|0)>0){y=d;z=h;A=c}else{u=j;return}while(1){B=+n[p+(z<<2)>>2];c=0;do{C=+n[A+(c<<2)>>2];n[y+(c<<2)>>2]=!(C>=0.0)?B*C:C;c=c+1|0}while((c|0)!=(e|0));z=z+1|0;if((z|0)==(i|0))break;else{y=y+(g<<2)|0;A=A+(g<<2)|0}}u=j;return}function Zwb(a){a=a|0;Emc(a);return}function _wb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=f[a+16>>2]|0;d=a+8|0;e=f[d>>2]|0;g=f[e+4>>2]|0;h=f[e+40>>2]|0;i=f[h>>2]|0;if((g|0)>1){j=f[h+4>>2]|0;if((g|0)==2){k=j;l=1;m=i}else{n=2;o=1;while(1){p=Y(f[h+(n<<2)>>2]|0,o)|0;n=n+1|0;if((n|0)>=(g|0)){k=j;l=p;m=i;break}else o=p}}}else{k=i;l=1;m=1}i=((c+-1+l|0)>>>0)/(c>>>0)|0;c=Y(f[b>>2]|0,i)|0;o=Y(f[b+4>>2]|0,i)|0;if((m|0)<=0)return;i=a+12|0;b=a+4|0;a=(l>>>0<o>>>0?l:o)-c|0;o=0;j=e;while(1){e=(f[j+16>>2]|0)+(Y(f[f[j+44>>2]>>2]|0,o)|0)+(c<<2)|0;g=f[i>>2]|0;n=(f[g+16>>2]|0)+(Y(f[f[g+44>>2]>>2]|0,o)|0)+(c<<2)|0;Ywb(f[b>>2]|0,e,n,a,l,0,k);n=o+1|0;if((n|0)==(m|0))break;o=n;j=f[d>>2]|0}return}function $wb(a,b){a=a|0;b=b|0;var c=0,d=0;c=Bmc(44)|0;axb(c,b);b=Bmc(16)|0;d=b+4|0;f[d>>2]=1;f[b>>2]=139476;f[b+8>>2]=c;f[a>>2]=b;f[a+4>>2]=c;f[d>>2]=(f[d>>2]|0)+1;c=f[d>>2]|0;f[d>>2]=c+-1;if((c|0)!=1)return;ai[f[(f[b>>2]|0)+8>>2]&2047](b);return}function axb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;d=u;u=u+16|0;e=d;uCa(a);f[a>>2]=139496;f[e>>2]=0;f[e+4>>2]=0;g=YG(e,5)|0;b[g>>0]=b[473145]|0;b[g+1>>0]=b[473146]|0;b[g+2>>0]=b[473147]|0;b[g+3>>0]=b[473148]|0;b[g+4>>0]=b[473149]|0;g=c+4|0;h=f[g>>2]|0;if(!h){ZG(e);f[e>>2]=0;i=e+4|0;f[i>>2]=0;j=YG(e,19)|0;k=j;l=473151;m=k+19|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-215,e,473171,473194,17)}n=f[e>>2]|0;o=(n|0)==0?1163146:n;p=h;while(1){h=f[p+16>>2]|0;if((n|0)==(h|0)){q=9;break}r=(h|0)==0?1163146:h;if((o7b(o,r)|0)<0)s=p;else{if((o7b(r,o)|0)>=0){q=13;break}s=p+4|0}p=f[s>>2]|0;if(!p){q=11;break}}if((q|0)==9)ZG(e);else if((q|0)==11){ZG(e);f[e>>2]=0;i=e+4|0;f[i>>2]=0;j=YG(e,19)|0;k=j;l=473151;m=k+19|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-215,e,473171,473194,17)}else if((q|0)==13)ZG(e);f[e>>2]=0;f[e+4>>2]=0;j=YG(e,6)|0;b[j>>0]=b[473280]|0;b[j+1>>0]=b[473281]|0;b[j+2>>0]=b[473282]|0;b[j+3>>0]=b[473283]|0;b[j+4>>0]=b[473284]|0;b[j+5>>0]=b[473285]|0;j=f[g>>2]|0;if(!j){ZG(e);f[e>>2]=0;t=e+4|0;f[t>>2]=0;v=YG(e,20)|0;k=v;l=473287;m=k+20|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-215,e,473171,473194,17)}g=f[e>>2]|0;i=(g|0)==0?1163146:g;p=j;while(1){j=f[p+16>>2]|0;if((g|0)==(j|0)){q=22;break}s=(j|0)==0?1163146:j;if((o7b(i,s)|0)<0)w=p;else{if((o7b(s,i)|0)>=0){q=26;break}w=p+4|0}p=f[w>>2]|0;if(!p){q=24;break}}if((q|0)==22)ZG(e);else if((q|0)==24){ZG(e);f[e>>2]=0;t=e+4|0;f[t>>2]=0;v=YG(e,20)|0;k=v;l=473287;m=k+20|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-215,e,473171,473194,17)}else if((q|0)==26)ZG(e);f[e>>2]=0;f[e+4>>2]=0;q=YG(e,5)|0;b[q>>0]=b[473145]|0;b[q+1>>0]=b[473146]|0;b[q+2>>0]=b[473147]|0;b[q+3>>0]=b[473148]|0;b[q+4>>0]=b[473149]|0;q=~~+eEa(dDa(c,e)|0,-1);f[a+36>>2]=q;ZG(e);f[e>>2]=0;f[e+4>>2]=0;q=YG(e,6)|0;b[q>>0]=b[473280]|0;b[q+1>>0]=b[473281]|0;b[q+2>>0]=b[473282]|0;b[q+3>>0]=b[473283]|0;b[q+4>>0]=b[473284]|0;b[q+5>>0]=b[473285]|0;q=~~+eEa(dDa(c,e)|0,-1);f[a+40>>2]=q;ZG(e);u=d;return}function bxb(a){a=a|0;Emc(a);return}function cxb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function dxb(a){a=a|0;Nza(a);Emc(a);return}function exb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0,G=0.0,H=0.0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0,W=0,X=0,Z=0,_=0,$=0.0,aa=0,ba=0,ca=0,da=0,ea=0.0,fa=0,ga=0,ha=0,ia=0.0,ja=0.0;g=u;u=u+192|0;h=g+176|0;i=g+164|0;j=g+152|0;k=g+96|0;l=g+80|0;m=g+24|0;o=g+8|0;q=g;zT(h,139596);if((BD(c,-1)|0)==3)gAa(a,c,d,e);else{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;rD(c,i);rD(d,j);d=f[i>>2]|0;c=f[j>>2]|0;e=d+56|0;r=f[d+60>>2]|0;if((r|0)<3)s=Y(f[d+68>>2]|0,f[d+64>>2]|0)|0;else{t=f[d+96>>2]|0;v=0;w=1;while(1){x=Y(f[t+(v<<2)>>2]|0,w)|0;v=v+1|0;if((v|0)==(r|0)){s=x;break}else w=x}}xP(k,e,1,(s>>>0)/7|0);s=f[d+40>>2]|0;e=f[s+4>>2]|0;w=f[s+8>>2]|0;r=f[s+12>>2]|0;s=Y(r,w)|0;v=f[a+40>>2]|0;t=f[a+36>>2]|0;a=Y(t,v)|0;if(!(f[d>>2]&16384)){f[l>>2]=0;f[l+4>>2]=0;y=YG(l,18)|0;z=473330;A=y+18|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,l,475494,473194,61)}if(!(f[c>>2]&16384)){f[l>>2]=0;f[l+4>>2]=0;y=YG(l,18)|0;z=473349;A=y+18|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,l,475494,473194,61)}z=k+8|0;y=f[z>>2]|0;if((y|0)>0){A=f[c+16>>2]|0;x=f[f[c+44>>2]>>2]|0;B=f[k+16>>2]|0;C=f[f[k+44>>2]>>2]|0;D=+(w+-1|0);E=+(v+-1|0);F=r+-1|0;G=+(F|0);H=+(t+-1|0);I=(v|0)>0;J=d+16|0;K=d+44|0;L=(e|0)>0;M=(t|0)>0;N=0;do{O=A+(Y(x,N)|0)|0;P=B+(Y(C,N)|0)|0;Q=+n[P+12>>2];R=+n[P+16>>2];S=D*(+n[P+24>>2]-R)/E;T=G*(+n[P+20>>2]-Q)/H;if(I){U=D*R;P=f[J>>2]|0;V=f[(f[K>>2]|0)+8>>2]|0;R=G*Q;W=0;do{Q=U+S*+(W|0);X=~~Q;Z=P+(Y(V,X)|0)|0;_=(X+1|0)<(w|0)?Z+(r<<2)|0:Z;if(M?($=Q-+(X|0),L):0){X=O+((Y(t,W)|0)<<2)|0;aa=0;do{Q=R+T*+(aa|0);ba=~~Q;ca=ba+1|0;da=(F|0)<(ca|0)?F:ca;ea=Q-+(ba|0);ca=_;fa=Z;ga=X+(aa<<2)|0;ha=0;while(1){Q=+n[fa+(ba<<2)>>2];ia=+n[ca+(ba<<2)>>2];ja=+n[fa+(da<<2)>>2];n[ga>>2]=Q+$*(ia-Q)+ea*(ja-Q+$*(Q+(+n[ca+(da<<2)>>2]-ja-ia)));ha=ha+1|0;if((ha|0)==(e|0))break;else{ca=ca+(s<<2)|0;fa=fa+(s<<2)|0;ga=ga+(a<<2)|0}}aa=aa+1|0}while((aa|0)<(t|0))}W=W+1|0}while((W|0)<(v|0))}N=N+1|0}while((N|0)<(y|0))}N=c+40|0;if((y|0)<(f[f[N>>2]>>2]|0)){f[l>>2]=0;y=l+4|0;f[y>>2]=0;f[l+8>>2]=0;v=Bmc(32)|0;f[l>>2]=v;f[l+8>>2]=v+32;t=v;f[t>>2]=-2147483648;f[t+4>>2]=2147483647;t=v+8|0;f[t>>2]=-2147483648;f[t+4>>2]=2147483647;t=v+16|0;f[t>>2]=-2147483648;f[t+4>>2]=2147483647;t=v+24|0;f[t>>2]=-2147483648;f[t+4>>2]=2147483647;f[y>>2]=v+32;t=f[f[N>>2]>>2]|0;N=v;f[N>>2]=f[z>>2];f[N+4>>2]=t;rP(m,c,l);p[q>>3]=+n[f[d+16>>2]>>2];f[o>>2]=-1056833530;f[o+4>>2]=q;f[o+8>>2]=1;f[o+12>>2]=1;oT(m,o,rE()|0)|0;o=m+36|0;q=f[o>>2]|0;if(q|0?(d=q+12|0,q=f[d>>2]|0,f[d>>2]=q+-1,(q|0)==1):0)lP(m);f[o>>2]=0;o=m+16|0;q=m+4|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[q>>2]|0)>0){o=f[m+40>>2]|0;d=0;do{f[o+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[q>>2]|0))}q=f[m+44>>2]|0;if((q|0)!=(m+48|0))tE(q);q=f[l>>2]|0;if(q|0){l=f[y>>2]|0;if((l|0)!=(q|0))f[y>>2]=l+(~((l+-8-q|0)>>>3)<<3);Emc(q)}}q=k+36|0;l=f[q>>2]|0;if(l|0?(y=l+12|0,l=f[y>>2]|0,f[y>>2]=l+-1,(l|0)==1):0)lP(k);f[q>>2]=0;q=k+16|0;l=k+4|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[l>>2]|0)>0){q=f[k+40>>2]|0;y=0;do{f[q+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[l>>2]|0))}l=f[k+44>>2]|0;if((l|0)!=(k+48|0))tE(l);rt(j);rt(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function fxb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;g=u;u=u+16|0;d=g;h=f[c>>2]|0;if(((f[c+4>>2]|0)-h|0)!=24){f[d>>2]=0;f[d+4>>2]=0;i=YG(d,18)|0;j=475384;k=i+18|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-215,d,475265,473194,27)}l=f[h>>2]|0;if(((f[h+4>>2]|0)-l|0)!=16){f[d>>2]=0;f[d+4>>2]=0;i=YG(d,21)|0;j=473308;k=i+21|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-215,d,475265,473194,27)}if((f[l>>2]|0)!=1){f[d>>2]=0;f[d+4>>2]=0;SQ(-213,d,475265,473194,29)}f[d>>2]=0;l=d+4|0;f[l>>2]=0;f[d+8>>2]=0;j=Bmc(16)|0;f[d>>2]=j;i=j+16|0;f[d+8>>2]=i;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[l>>2]=i;i=e+4|0;k=f[i>>2]|0;h=f[e>>2]|0;m=k-h|0;n=(m|0)/12|0;o=h;h=k;if(!m){Wmb(e,1-n|0,d);m=f[d>>2]|0;if(!m){p=f[c>>2]|0;q=p+12|0;r=f[q>>2]|0;s=r+8|0;t=f[s>>2]|0;v=f[e>>2]|0;w=f[v>>2]|0;f[w>>2]=t;x=f[p>>2]|0;y=x+4|0;z=f[y>>2]|0;A=w+4|0;f[A>>2]=z;B=a+40|0;C=f[B>>2]|0;D=w+8|0;f[D>>2]=C;E=a+36|0;F=f[E>>2]|0;G=w+12|0;f[G>>2]=F;u=g;return 0}else{H=m;I=m}}else if(n>>>0>1?(n=o+12|0,(h|0)!=(n|0)):0){o=h;while(1){h=o+-12|0;f[i>>2]=h;m=f[h>>2]|0;if(!m)J=h;else{h=o+-8|0;d=f[h>>2]|0;if((d|0)!=(m|0))f[h>>2]=d+(~((d+-4-m|0)>>>2)<<2);Emc(m);J=f[i>>2]|0}if((J|0)==(n|0)){H=j;I=j;break}else o=J}}else{H=j;I=j}j=f[l>>2]|0;if((j|0)!=(H|0))f[l>>2]=j+(~((j+-4-H|0)>>>2)<<2);Emc(I);p=f[c>>2]|0;q=p+12|0;r=f[q>>2]|0;s=r+8|0;t=f[s>>2]|0;v=f[e>>2]|0;w=f[v>>2]|0;f[w>>2]=t;x=f[p>>2]|0;y=x+4|0;z=f[y>>2]|0;A=w+4|0;f[A>>2]=z;B=a+40|0;C=f[B>>2]|0;D=w+8|0;f[D>>2]=C;E=a+36|0;F=f[E>>2]|0;G=w+12|0;f[G>>2]=F;u=g;return 0}function gxb(a,b){a=a|0;b=b|0;var c=0;c=Bmc(44)|0;hxb(c,b);b=Bmc(16)|0;f[b+4>>2]=1;f[b>>2]=139636;f[b+8>>2]=c;f[a>>2]=b;f[a+4>>2]=c;return}function hxb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=u;u=u+16|0;e=d;uCa(a);f[a>>2]=139656;vCa(a,c);f[e>>2]=0;f[e+4>>2]=0;g=YG(e,4)|0;b[g>>0]=97;b[g+1>>0]=120;b[g+2>>0]=105;b[g+3>>0]=115;g=c+4|0;c=f[g>>2]|0;do if(c){h=f[e>>2]|0;i=(h|0)==0?1163146:h;j=g;k=c;a:while(1){l=k;while(1){m=f[l+16>>2]|0;if((m|0)==(h|0))break;if((o7b((m|0)==0?1163146:m,i)|0)>=0)break;m=f[l+4>>2]|0;if(!m){n=j;break a}else l=m}k=f[l>>2]|0;if(!k){n=l;break}else j=l}if((n|0)!=(g|0)){j=f[n+16>>2]|0;if((h|0)!=(j|0)?(o7b(i,(j|0)==0?1163146:j)|0)<=-1:0){o=1;break}j=rCa(n+24|0,-1)|0;o=j}else o=1}else o=1;while(0);f[a+36>>2]=o;ZG(e);f[e>>2]=0;f[e+4>>2]=0;o=YG(e,7)|0;b[o>>0]=b[473651]|0;b[o+1>>0]=b[473652]|0;b[o+2>>0]=b[473653]|0;b[o+3>>0]=b[473654]|0;b[o+4>>0]=b[473655]|0;b[o+5>>0]=b[473656]|0;b[o+6>>0]=b[473657]|0;o=f[g>>2]|0;if(!o){p=0;q=a+40|0;b[q>>0]=p;ZG(e);u=d;return}n=f[e>>2]|0;c=(n|0)==0?1163146:n;j=g;k=o;b:while(1){o=k;while(1){m=f[o+16>>2]|0;if((m|0)==(n|0))break;if((o7b((m|0)==0?1163146:m,c)|0)>=0)break;m=f[o+4>>2]|0;if(!m){r=j;break b}else o=m}k=f[o>>2]|0;if(!k){r=o;break}else j=o}if((r|0)==(g|0)){p=0;q=a+40|0;b[q>>0]=p;ZG(e);u=d;return}g=f[r+16>>2]|0;if((n|0)!=(g|0)?(o7b(c,(g|0)==0?1163146:g)|0)<=-1:0){p=0;q=a+40|0;b[q>>0]=p;ZG(e);u=d;return}g=rCa(r+24|0,-1)|0;p=((g|0)!=0|(J|0)!=0)&1;q=a+40|0;b[q>>0]=p;ZG(e);u=d;return}function ixb(a){a=a|0;Emc(a);return}function jxb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function kxb(a){a=a|0;Nza(a);Emc(a);return}function lxb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;g=u;u=u+128|0;h=g+112|0;i=g+100|0;j=g+88|0;k=g+72|0;l=g;m=g+16|0;zT(h,139756);if((BD(c,-1)|0)==3)gAa(a,c,d,e);else{f[i>>2]=0;e=i+4|0;f[e>>2]=0;f[i+8>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;rD(c,i);rD(d,j);d=f[a+36>>2]|0;c=((d|0)<0?f[(f[i>>2]|0)+4>>2]|0:0)+d|0;d=f[j>>2]|0;n=a+40|0;if(b[n>>0]|0){p[l>>3]=0.0;f[k>>2]=-1056833530;f[k+4>>2]=l;f[k+8>>2]=1;f[k+12>>2]=1;oT(d,k,rE()|0)|0}if(((c|0)==1?(f[d+4>>2]|0)==4:0)?(b[n>>0]|0)==0:0)qxb(i,d,pU()|0);else{n=f[(f[j>>2]|0)+4>>2]|0;f[k>>2]=0;a=k+4|0;f[a>>2]=0;f[k+8>>2]=0;if(n>>>0>536870911)Ukc(k);o=Bmc(n<<3)|0;f[a>>2]=o;f[k>>2]=o;f[k+8>>2]=o+(n<<3);q=n;r=o;s=o;while(1){t=r;f[t>>2]=-2147483648;f[t+4>>2]=2147483647;t=s+8|0;v=q+-1|0;if(!v)break;else{q=v;r=t;s=t}}f[a>>2]=o+(n<<3);f[o+(c<<3)>>2]=0;n=f[i>>2]|0;if((f[e>>2]|0)==(n|0))w=o;else{s=d+4|0;r=l+8|0;q=l+4|0;t=m+36|0;v=m+16|0;x=m+4|0;y=m+40|0;z=m+44|0;A=m+48|0;B=d+40|0;C=0;D=n;n=f[o+(c<<3)>>2]|0;E=o;while(1){o=D;f[E+(c<<3)+4>>2]=(f[(f[o+(C*56|0)+40>>2]|0)+(c<<2)>>2]|0)+n;F=f[s>>2]|0;if((F|0)>0){G=o+(C*56|0)+40|0;H=f[k>>2]|0;I=0;do{if((I|0)!=(c|0)){J=(f[G>>2]|0)+(I<<2)|0;K=((f[(f[B>>2]|0)+(I<<2)>>2]|0)-(f[J>>2]|0)|0)/2|0;f[H+(I<<3)>>2]=K;f[H+(I<<3)+4>>2]=(f[J>>2]|0)+K}I=I+1|0}while((I|0)<(F|0))}nP(m,d,f[k>>2]|0);F=r;f[F>>2]=0;f[F+4>>2]=0;f[l>>2]=-1040121856;f[q>>2]=m;kT(o+(C*56|0)|0,l);F=f[t>>2]|0;if(F|0?(I=F+12|0,F=f[I>>2]|0,f[I>>2]=F+-1,(F|0)==1):0)lP(m);f[t>>2]=0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[x>>2]|0)>0){F=f[y>>2]|0;I=0;do{f[F+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[x>>2]|0))}I=f[z>>2]|0;if((I|0)!=(A|0))tE(I);I=f[k>>2]|0;n=f[I+(c<<3)+4>>2]|0;f[I+(c<<3)>>2]=n;C=C+1|0;D=f[i>>2]|0;if(C>>>0>=(((f[e>>2]|0)-D|0)/56|0)>>>0){w=I;break}else E=I}}if(w|0){E=f[a>>2]|0;if((E|0)!=(w|0))f[a>>2]=E+(~((E+-8-w|0)>>>3)<<3);Emc(w)}}rt(j);rt(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function mxb(a,c){a=a|0;c=c|0;var d=0,e=0;switch(c|0){case 3:{d=1;break}case 1:{if((ACa()|0?(f[a+36>>2]|0)==1:0)?(b[a+40>>0]|0)==0:0)d=1;else e=7;break}case 2:{if(_Da()|0)d=(b[a+40>>0]|0)==0;else d=0;break}default:e=7}if((e|0)==7)d=0;return d|0}function nxb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function oxb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function pxb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;g=u;u=u+32|0;d=g+8|0;h=g;i=c+4|0;j=f[c>>2]|0;k=j;if((f[i>>2]|0)==(j|0)){f[d>>2]=0;f[d+4>>2]=0;l=YG(d,17)|0;m=474364;n=l+17|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,d,475265,473659,72)}j=e+4|0;o=f[j>>2]|0;p=f[e>>2]|0;q=o-p|0;r=(q|0)/12|0;s=p;p=o;if(q){if(r>>>0>1?(q=s+12|0,(p|0)!=(q|0)):0){s=p;while(1){p=s+-12|0;f[j>>2]=p;o=f[p>>2]|0;if(!o)t=p;else{p=s+-8|0;v=f[p>>2]|0;if((v|0)!=(o|0))f[p>>2]=v+(~((v+-4-o|0)>>>2)<<2);Emc(o);t=f[j>>2]|0}if((t|0)==(q|0))break;else s=t}}}else Wmb(e,1-r|0,k);k=f[a+36>>2]|0;r=f[c>>2]|0;t=((k|0)<0?(f[r+4>>2]|0)-(f[r>>2]|0)>>2:0)+k|0;if((f[i>>2]|0)==(r|0)){w=0;x=e;y=f[x>>2]|0;z=f[y>>2]|0;A=z+(t<<2)|0;f[A>>2]=w;u=g;return 0}k=a+40|0;a=d+4|0;s=0;q=0;j=r;a:while(1){fAa(d,j+(s*12|0)|0);if(!(b[k>>0]|0)){r=f[d>>2]|0;o=(f[a>>2]|0)-r|0;v=f[e>>2]|0;p=f[v+4>>2]|0;B=f[v>>2]|0;v=r;r=B;if((o|0)!=(p-B|0)){C=24;break}if((p|0)==(B|0)){D=v;C=29}else{B=o>>2;o=0;while(1){if((o|0)!=(t|0)?(f[r+(o<<2)>>2]|0)!=(f[v+(o<<2)>>2]|0):0){C=27;break a}o=o+1|0;if(o>>>0>=B>>>0){D=v;C=29;break}}}}else{v=f[e>>2]|0;B=f[v+4>>2]|0;o=f[v>>2]|0;v=o;r=f[d>>2]|0;if((B|0)==(o|0)){D=r;C=29}else{p=B-o>>2;o=0;do{B=v+(o<<2)|0;E=f[B>>2]|0;F=f[r+(o<<2)>>2]|0;f[B>>2]=(E|0)<(F|0)?F:E;o=o+1|0}while(o>>>0<p>>>0);G=r;H=(f[r+(t<<2)>>2]|0)+q|0;C=30}}if((C|0)==29){C=0;p=(f[D+(t<<2)>>2]|0)+q|0;if(!D)I=p;else{G=D;H=p;C=30}}if((C|0)==30){C=0;p=f[a>>2]|0;if((p|0)!=(G|0))f[a>>2]=p+(~((p+-4-G|0)>>>2)<<2);Emc(G);I=H}s=s+1|0;j=f[c>>2]|0;if(s>>>0>=(((f[i>>2]|0)-j|0)/12|0)>>>0){w=I;x=e;C=15;break}else q=I}if((C|0)==15){y=f[x>>2]|0;z=f[y>>2]|0;A=z+(t<<2)|0;f[A>>2]=w;u=g;return 0}else if((C|0)==24){f[h>>2]=0;f[h+4>>2]=0;l=YG(h,36)|0;m=473736;n=l+36|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,h,475265,473659,90)}else if((C|0)==27){f[h>>2]=0;f[h+4>>2]=0;l=YG(h,34)|0;m=473773;n=l+34|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-201,h,475265,473659,94)}return 0}function qxb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;e=u;u=u+48|0;g=e+8|0;h=e;f[g>>2]=139796;i=g+4|0;j=i+12|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[i>>2]=a;f[g+8>>2]=c;f[g+12>>2]=d;i=f[a>>2]|0;j=(f[a+4>>2]|0)-i|0;k=(j|0)/56|0;l=f[c+40>>2]|0;m=f[l>>2]|0;n=(j|0)==0;j=i;a:do if(n)o=0;else{i=l+8|0;p=l+12|0;q=0;r=0;b:while(1){s=f[j+(q*56|0)>>2]|0;if(!(s&16384))break;switch(s&4095){case 3:case 5:break;default:break b}if((f[j+(q*56|0)+4>>2]|0)!=4)break;s=f[j+(q*56|0)+40>>2]|0;if((f[s>>2]|0)!=(m|0))break;if((f[s+8>>2]|0)!=(f[i>>2]|0))break;if((f[s+12>>2]|0)!=(f[p>>2]|0))break;t=(f[s+4>>2]|0)+r|0;q=q+1|0;if(q>>>0>=k>>>0){o=t;break a}else r=t}f[h>>2]=0;f[h+4>>2]=0;Krc(YG(h,184)|0,473808,184)|0;SQ(-215,h,475577,473659,134)}while(0);if((o|0)!=(f[l+4>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;v=YG(h,27)|0;w=473993;x=v+27|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-215,h,475577,473659,137)}l=f[c>>2]|0;if(!(l&16384)){f[h>>2]=0;y=h+4|0;f[y>>2]=0;z=YG(h,77)|0;v=z;w=474021;x=v+77|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-215,h,475577,473659,138)}switch(l&4095){case 3:case 5:break;default:{f[h>>2]=0;y=h+4|0;f[y>>2]=0;z=YG(h,77)|0;v=z;w=474021;x=v+77|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-215,h,475577,473659,138)}}w=g+16|0;v=Y(o,m)|0;x=g+20|0;if(v|0)rxb(w,v);if(!n?(m|0)>0:0){n=0;v=0;while(1){z=f[a>>2]|0;y=z+(v*56|0)+40|0;l=z+(v*56|0)+16|0;c=z+(v*56|0)+44|0;z=0;j=f[(f[y>>2]|0)+4>>2]|0;while(1){if((j|0)>0){r=(Y(z,o)|0)+n|0;q=0;do{p=f[c>>2]|0;i=(f[l>>2]|0)+(Y(f[p>>2]|0,z)|0)|0;t=i+(Y(f[p+4>>2]|0,q)|0)|0;f[(f[w>>2]|0)+(r+q<<2)>>2]=t;q=q+1|0;t=f[(f[y>>2]|0)+4>>2]|0}while((q|0)<(t|0));A=t}else A=j;z=z+1|0;if((z|0)==(m|0))break;else j=A}v=v+1|0;if(v>>>0>=k>>>0)break;else n=A+n|0}}f[h>>2]=0;f[h+4>>2]=d;oU(h,g,+(d|0));f[g>>2]=139796;d=f[g+16>>2]|0;if(!d){u=e;return}g=f[x>>2]|0;if((g|0)!=(d|0))f[x>>2]=g+(~((g+-4-d|0)>>>2)<<2);Emc(d);u=e;return}function rxb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>2>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;i=(f[e>>2]|0)+4|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>2;g=i+b|0;if(g>>>0>1073741823)Ukc(a);j=d-h|0;h=j>>1;d=j>>2>>>0<536870911?(h>>>0<g>>>0?g:h):1073741823;do if(d)if(d>>>0>1073741823){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{k=Bmc(d<<2)|0;break}else k=0;while(0);h=k+(i<<2)|0;i=k+(d<<2)|0;d=b;b=h;k=h;do{f[k>>2]=0;k=b+4|0;b=k;d=d+-1|0}while((d|0)!=0);d=f[a>>2]|0;k=(f[e>>2]|0)-d|0;g=h+(0-(k>>2)<<2)|0;if((k|0)>0)Krc(g|0,d|0,k|0)|0;f[a>>2]=g;f[e>>2]=b;f[c>>2]=i;if(!d)return;Emc(d);return}function sxb(a){a=a|0;var b=0,c=0;f[a>>2]=139796;b=f[a+16>>2]|0;if(!b)return;c=a+20|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-4-b|0)>>>2)<<2);Emc(b);return}function txb(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=139796;b=f[a+16>>2]|0;if(!b){Emc(a);return}c=a+20|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b);Emc(a);return}function uxb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=f[a+8>>2]|0;d=f[c+40>>2]|0;e=Y(f[d+12>>2]|0,f[d+8>>2]|0)|0;d=f[a+16>>2]|0;g=Y((f[a+20>>2]|0)-d>>2,e)|0;h=f[a+12>>2]|0;a=((h+-1+g|0)>>>0)/(h>>>0)|0;h=Y(f[b>>2]|0,a)|0;i=Y(f[b+4>>2]|0,a)|0;a=i>>>0<g>>>0?i:g;g=d;d=f[c+16>>2]|0;if(h>>>0<a>>>0)j=h;else return;do{h=(j>>>0)/(e>>>0)|0;c=j-(Y(h,e)|0)|0;i=e-c|0;b=i>>>0<65536?i:65536;Krc(d+(j<<2)|0,(f[g+(h<<2)>>2]|0)+(c<<2)|0,b<<2|0)|0;j=b+j|0}while(j>>>0<a>>>0);return}function vxb(a,b){a=a|0;b=b|0;var c=0;c=Bmc(44)|0;wxb(c,b);b=Bmc(16)|0;f[b+4>>2]=1;f[b>>2]=139816;f[b+8>>2]=c;f[a>>2]=b;f[a+4>>2]=c;return}function wxb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=u;u=u+16|0;e=d;uCa(a);f[a>>2]=139836;f[e>>2]=0;f[e+4>>2]=0;g=YG(e,4)|0;b[g>>0]=97;b[g+1>>0]=120;b[g+2>>0]=105;b[g+3>>0]=115;g=c+4|0;h=f[g>>2]|0;do if(h){i=f[e>>2]|0;j=(i|0)==0?1163146:i;k=g;l=h;a:while(1){m=l;while(1){n=f[m+16>>2]|0;if((n|0)==(i|0))break;if((o7b((n|0)==0?1163146:n,j)|0)>=0)break;n=f[m+4>>2]|0;if(!n){o=k;break a}else m=n}l=f[m>>2]|0;if(!l){o=m;break}else k=m}if((o|0)!=(g|0)){k=f[o+16>>2]|0;if((i|0)!=(k|0)?(o7b(j,(k|0)==0?1163146:k)|0)<=-1:0){p=1;break}k=rCa(o+24|0,-1)|0;p=k}else p=1}else p=1;while(0);f[a+36>>2]=p;ZG(e);f[e>>2]=0;f[e+4>>2]=0;p=YG(e,8)|0;o=p;b[o>>0]=101;b[o+1>>0]=110;b[o+2>>0]=100;b[o+3>>0]=95;o=p+4|0;b[o>>0]=97;b[o+1>>0]=120;b[o+2>>0]=105;b[o+3>>0]=115;o=f[g>>2]|0;if(!o){q=-1;r=a+40|0;f[r>>2]=q;ZG(e);vCa(a,c);u=d;return}p=f[e>>2]|0;h=(p|0)==0?1163146:p;k=g;l=o;b:while(1){o=l;while(1){n=f[o+16>>2]|0;if((n|0)==(p|0))break;if((o7b((n|0)==0?1163146:n,h)|0)>=0)break;n=f[o+4>>2]|0;if(!n){s=k;break b}else o=n}l=f[o>>2]|0;if(!l){s=o;break}else k=o}if((s|0)==(g|0)){q=-1;r=a+40|0;f[r>>2]=q;ZG(e);vCa(a,c);u=d;return}g=f[s+16>>2]|0;if((p|0)!=(g|0)?(o7b(h,(g|0)==0?1163146:g)|0)<=-1:0){q=-1;r=a+40|0;f[r>>2]=q;ZG(e);vCa(a,c);u=d;return}g=rCa(s+24|0,-1)|0;q=g;r=a+40|0;f[r>>2]=q;ZG(e);vCa(a,c);u=d;return}function xxb(a){a=a|0;Emc(a);return}function yxb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function zxb(a){a=a|0;Nza(a);Emc(a);return}function Axb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;e=u;u=u+128|0;g=e+112|0;h=e+96|0;i=e+84|0;j=e+72|0;k=e;l=e+56|0;zT(g,139936);if((BD(b,-1)|0)==3)gAa(a,b,c,d);else{f[h>>2]=0;d=h+4|0;f[d>>2]=0;f[h+8>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;rD(b,h);rD(c,i);if((f[d>>2]|0)!=(f[h>>2]|0)){c=j+4|0;b=j+8|0;a=l+8|0;m=l+4|0;n=k+36|0;o=k+16|0;p=k+4|0;q=k+40|0;r=k+44|0;s=k+48|0;t=0;do{v=f[i>>2]|0;w=f[v+(t*56|0)+4>>2]|0;x=f[v+(t*56|0)+40>>2]|0;f[j>>2]=0;f[c>>2]=0;f[b>>2]=0;hAa(j,x,x+(w<<2)|0);w=f[h>>2]|0;if((f[w+(t*56|0)+16>>2]|0)!=(f[(f[i>>2]|0)+(t*56|0)+16>>2]|0)){x=f[j>>2]|0;yP(k,w+(t*56|0)|0,1,(f[c>>2]|0)-x>>2,x);x=(f[i>>2]|0)+(t*56|0)|0;w=a;f[w>>2]=0;f[w+4>>2]=0;f[l>>2]=33619968;f[m>>2]=x;kT(k,l);x=f[n>>2]|0;if(x|0?(w=x+12|0,x=f[w>>2]|0,f[w>>2]=x+-1,(x|0)==1):0)lP(k);f[n>>2]=0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[p>>2]|0)>0){x=f[q>>2]|0;w=0;do{f[x+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[p>>2]|0))}w=f[r>>2]|0;if((w|0)!=(s|0))tE(w)}w=f[j>>2]|0;if(w|0){x=f[c>>2]|0;if((x|0)!=(w|0))f[c>>2]=x+(~((x+-4-w|0)>>>2)<<2);Emc(w)}t=t+1|0}while(t>>>0<(((f[d>>2]|0)-(f[h>>2]|0)|0)/56|0)>>>0)}rt(i);rt(h)}if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function Bxb(a,b){a=a|0;b=b|0;var c=0;switch(b|0){case 3:{c=1;break}case 2:{c=_Da()|0;break}default:c=0}return c|0}function Cxb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Dxb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;g=u;u=u+32|0;d=g+8|0;h=g;i=c+4|0;j=f[i>>2]|0;k=f[c>>2]|0;l=k;if((j|0)==(k|0)){f[d>>2]=0;f[d+4>>2]=0;m=YG(d,17)|0;n=474364;o=m+17|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,d,475265,474382,76)}p=(j-k|0)/12|0;j=f[l+4>>2]|0;q=k;a:do if(p>>>0>1){k=f[q>>2]|0;r=j-k|0;s=k;k=1;b:while(1){t=f[l+(k*12|0)+4>>2]|0;v=f[l+(k*12|0)>>2]|0;w=v;x=t;if((t-v|0)!=(r|0)){y=10;break}if((w|0)!=(x|0)){v=w;w=s;while(1){if((f[v>>2]|0)!=(f[w>>2]|0)){y=10;break b}v=v+4|0;if((v|0)==(x|0))break;else w=w+4|0}}k=k+1|0;if(k>>>0>=p>>>0)break a}if((y|0)==10){f[d>>2]=0;f[d+4>>2]=0;m=YG(d,22)|0;n=474460;o=m+22|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,d,475265,474382,79)}}while(0);p=f[q>>2]|0;q=j-p>>2;k=f[a+36>>2]|0;s=((k|0)<0?q:0)+k|0;k=f[a+40>>2]|0;a=((k|0)<0?q:0)+k|0;if((s|0)<=-1){f[d>>2]=0;f[d+4>>2]=0;m=YG(d,14)|0;n=474483;o=m+14|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,d,475265,474382,86)}if(!((a|0)>=(s|0)&(a|0)<(q|0))){f[d>>2]=0;f[d+4>>2]=0;m=YG(d,46)|0;n=474498;o=m+46|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,d,475265,474382,87)}k=a+1|0;if((k|0)==-1){z=q;A=p;B=p}else{p=f[l>>2]|0;z=k;A=p;B=p}if((A|0)!=(j|0)){p=j-B>>2;if((s|0)>(p|0)){f[d>>2]=0;C=d+4|0;f[C>>2]=0;D=YG(d,70)|0;m=D;n=475084;o=m+70|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,d,475155,475161,161)}if((s|0)>(z|0)|(z|0)>(p|0)){f[d>>2]=0;C=d+4|0;f[C>>2]=0;D=YG(d,70)|0;m=D;n=475084;o=m+70|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,d,475155,475161,161)}if((s|0)<(z|0)){D=1;C=s;while(1){p=Y(f[A+(C<<2)>>2]|0,D)|0;C=C+1|0;if((C|0)==(z|0)){E=p;break}else D=p}}else E=1}else E=0;f[d>>2]=0;D=d+4|0;f[D>>2]=0;f[d+8>>2]=0;z=d+8|0;if((s|0)>0){C=0;A=l;l=0;p=0;while(1){B=(f[A>>2]|0)+(C<<2)|0;if((l|0)==(p|0))MR(d,B);else{f[l>>2]=f[B>>2];f[D>>2]=l+4}B=C+1|0;if((B|0)>=(s|0))break;C=B;A=f[c>>2]|0;l=f[D>>2]|0;p=f[z>>2]|0}p=f[D>>2]|0;l=f[z>>2]|0;f[h>>2]=E;if((p|0)==(l|0)){F=h;y=28}else{f[p>>2]=E;f[D>>2]=p+4;G=h}}else{f[h>>2]=E;F=h;y=28}if((y|0)==28){MR(d,h);G=F}if(k>>>0<q>>>0){F=k;do{k=(f[f[c>>2]>>2]|0)+(F<<2)|0;G=f[D>>2]|0;if((G|0)==(f[z>>2]|0))MR(d,k);else{f[G>>2]=f[k>>2];f[D>>2]=G+4}F=F+1|0}while(F>>>0<q>>>0)}if((f[D>>2]|0)-(f[d>>2]|0)>>2>>>0>=5){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,26)|0;n=474545;o=m+26|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,h,475265,474382,101)}h=((f[i>>2]|0)-(f[c>>2]|0)|0)/12|0;c=e+4|0;i=f[c>>2]|0;n=f[e>>2]|0;m=(i-n|0)/12|0;o=n;n=i;if(h>>>0<=m>>>0){if(h>>>0<m>>>0?(i=o+(h*12|0)|0,(n|0)!=(i|0)):0){o=n;while(1){n=o+-12|0;f[c>>2]=n;q=f[n>>2]|0;if(!q)H=n;else{n=o+-8|0;F=f[n>>2]|0;if((F|0)!=(q|0))f[n>>2]=F+(~((F+-4-q|0)>>>2)<<2);Emc(q);H=f[c>>2]|0}if((H|0)==(i|0))break;else o=H}}}else Wmb(e,h-m|0,d);m=f[d>>2]|0;if(!m){u=g;return 1}d=f[D>>2]|0;if((d|0)!=(m|0))f[D>>2]=d+(~((d+-4-m|0)>>>2)<<2);Emc(m);u=g;return 1}function Exb(a,b){a=a|0;b=b|0;var c=0;c=Bmc(112)|0;Fxb(c,b);b=Bmc(16)|0;f[b+4>>2]=1;f[b>>2]=139976;f[b+8>>2]=c;f[a>>2]=b;f[a+4>>2]=c;return}function Fxb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0.0,fa=0,ga=0,ha=0;d=u;u=u+48|0;e=d+32|0;g=d+24|0;h=d+16|0;i=d;j=d+8|0;uCa(a);k=a+40|0;l=a+72|0;f[l>>2]=0;m=a+76|0;f[m>>2]=0;f[a+84>>2]=0;f[a+88>>2]=0;o=a+96|0;f[o>>2]=0;p=a+100|0;f[p>>2]=0;q=k;f[q>>2]=0;f[q+4>>2]=0;f[a>>2]=139996;q=a+81|0;b[q>>0]=1;r=a+80|0;b[r>>0]=0;s=a+48|0;f[s>>2]=1;t=a+52|0;f[t>>2]=1;f[e>>2]=0;f[e+4>>2]=0;v=YG(e,4)|0;b[v>>0]=112;b[v+1>>0]=111;b[v+2>>0]=111;b[v+3>>0]=108;v=c+4|0;w=f[v>>2]|0;a:do if(w){x=f[e>>2]|0;y=(x|0)==0?1163146:x;z=w;while(1){A=f[z+16>>2]|0;if((x|0)==(A|0)){B=34;break}C=(A|0)==0?1163146:A;if((o7b(y,C)|0)<0)D=z;else{if((o7b(C,y)|0)>=0){B=35;break}D=z+4|0}z=f[D>>2]|0;if(!z){B=9;break a}}if((B|0)==34){ZG(e);B=41;break}else if((B|0)==35){ZG(e);B=41;break}}else B=9;while(0);b:do if((B|0)==9){f[g>>2]=0;f[g+4>>2]=0;E=YG(g,11)|0;F=474838;G=E+11|0;do{b[E>>0]=b[F>>0]|0;E=E+1|0;F=F+1|0}while((E|0)<(G|0));D=f[v>>2]|0;c:do if(D|0){w=f[g>>2]|0;z=(w|0)==0?1163146:w;y=D;while(1){x=f[y+16>>2]|0;if((w|0)==(x|0)){B=36;break}C=(x|0)==0?1163146:x;if((o7b(z,C)|0)<0)H=y;else{if((o7b(C,z)|0)>=0){B=37;break}H=y+4|0}y=f[H>>2]|0;if(!y)break c}if((B|0)==36){ZG(g);ZG(e);B=41;break b}else if((B|0)==37){ZG(g);ZG(e);B=41;break b}}while(0);f[h>>2]=0;f[h+4>>2]=0;D=YG(h,8)|0;y=D;b[y>>0]=107;b[y+1>>0]=101;b[y+2>>0]=114;b[y+3>>0]=110;y=D+4|0;b[y>>0]=101;b[y+1>>0]=108;b[y+2>>0]=95;b[y+3>>0]=119;y=f[v>>2]|0;d:do if(y|0){D=f[h>>2]|0;z=(D|0)==0?1163146:D;w=y;while(1){C=f[w+16>>2]|0;if((D|0)==(C|0)){B=38;break}x=(C|0)==0?1163146:C;if((o7b(z,x)|0)<0)I=w;else{if((o7b(x,z)|0)>=0){B=39;break}I=w+4|0}w=f[I>>2]|0;if(!w)break d}if((B|0)==38){ZG(h);ZG(g);ZG(e);B=41;break b}else if((B|0)==39){ZG(h);ZG(g);ZG(e);B=41;break b}}while(0);f[i>>2]=0;f[i+4>>2]=0;y=YG(i,8)|0;w=y;b[w>>0]=107;b[w+1>>0]=101;b[w+2>>0]=114;b[w+3>>0]=110;w=y+4|0;b[w>>0]=101;b[w+1>>0]=108;b[w+2>>0]=95;b[w+3>>0]=104;w=f[v>>2]|0;do if(w){y=f[i>>2]|0;z=(y|0)==0?1163146:y;D=w;while(1){x=f[D+16>>2]|0;if((y|0)==(x|0)){B=40;break}C=(x|0)==0?1163146:x;if((o7b(z,C)|0)<0)K=D;else{if((o7b(C,z)|0)>=0){B=33;break}K=D+4|0}D=f[K>>2]|0;if(!D){B=75;break}}if((B|0)==33){ZG(i);ZG(h);ZG(g);ZG(e);B=41;break b}else if((B|0)==40){ZG(i);ZG(h);ZG(g);ZG(e);B=41;break b}else if((B|0)==75){ZG(i);ZG(h);ZG(g);ZG(e);break}}else{ZG(i);ZG(h);ZG(g);ZG(e)}while(0);f[e>>2]=0;f[e+4>>2]=0;w=YG(e,8)|0;D=w;b[D>>0]=112;b[D+1>>0]=111;b[D+2>>0]=111;b[D+3>>0]=108;D=w+4|0;b[D>>0]=101;b[D+1>>0]=100;b[D+2>>0]=95;b[D+3>>0]=119;D=f[v>>2]|0;e:do if(D){w=f[e>>2]|0;z=(w|0)==0?1163146:w;y=D;while(1){C=f[y+16>>2]|0;if((w|0)==(C|0)){B=93;break}x=(C|0)==0?1163146:C;if((o7b(z,x)|0)<0)L=y;else{if((o7b(x,z)|0)>=0){B=94;break}L=y+4|0}y=f[L>>2]|0;if(!y){B=84;break e}}if((B|0)==93){ZG(e);break}else if((B|0)==94){ZG(e);break}}else B=84;while(0);f:do if((B|0)==84){f[g>>2]=0;f[g+4>>2]=0;D=YG(g,8)|0;y=D;b[y>>0]=112;b[y+1>>0]=111;b[y+2>>0]=111;b[y+3>>0]=108;y=D+4|0;b[y>>0]=101;b[y+1>>0]=100;b[y+2>>0]=95;b[y+3>>0]=104;y=f[v>>2]|0;do if(y){D=f[g>>2]|0;z=(D|0)==0?1163146:D;w=y;while(1){x=f[w+16>>2]|0;if((D|0)==(x|0)){B=95;break}C=(x|0)==0?1163146:x;if((o7b(z,C)|0)<0)M=w;else{if((o7b(C,z)|0)>=0){B=92;break}M=w+4|0}w=f[M>>2]|0;if(!w){B=120;break}}if((B|0)==92){ZG(g);ZG(e);break f}else if((B|0)==95){ZG(g);ZG(e);break f}else if((B|0)==120){ZG(g);ZG(e);break}}else{ZG(g);ZG(e)}while(0);f[e>>2]=0;f[e+4>>2]=0;E=YG(e,10)|0;F=474987;G=E+10|0;do{b[E>>0]=b[F>>0]|0;E=E+1|0;F=F+1|0}while((E|0)<(G|0));y=f[v>>2]|0;if(!y){ZG(e);f[e>>2]=0;N=e+4|0;f[N>>2]=0;O=YG(e,29)|0;E=O;F=475009;G=E+29|0;do{b[E>>0]=b[F>>0]|0;E=E+1|0;F=F+1|0}while((E|0)<(G|0));SQ(-5,e,474892,474909,110)}w=f[e>>2]|0;z=(w|0)==0?1163146:w;D=y;while(1){C=f[D+16>>2]|0;if((w|0)==(C|0))break;x=(C|0)==0?1163146:C;if((o7b(z,x)|0)<0)P=D;else{if((o7b(x,z)|0)>=0)break;P=D+4|0}D=f[P>>2]|0;if(!D){B=141;break}}if((B|0)==141){ZG(e);f[e>>2]=0;N=e+4|0;f[N>>2]=0;O=YG(e,29)|0;E=O;F=475009;G=E+29|0;do{b[E>>0]=b[F>>0]|0;E=E+1|0;F=F+1|0}while((E|0)<(G|0));SQ(-5,e,474892,474909,110)}f[g>>2]=0;f[g+4>>2]=0;E=YG(g,10)|0;F=474998;G=E+10|0;do{b[E>>0]=b[F>>0]|0;E=E+1|0;F=F+1|0}while((E|0)<(G|0));D=f[v>>2]|0;if(!D){ZG(g);ZG(e);f[e>>2]=0;N=e+4|0;f[N>>2]=0;O=YG(e,29)|0;E=O;F=475009;G=E+29|0;do{b[E>>0]=b[F>>0]|0;E=E+1|0;F=F+1|0}while((E|0)<(G|0));SQ(-5,e,474892,474909,110)}z=f[g>>2]|0;w=(z|0)==0?1163146:z;y=D;while(1){x=f[y+16>>2]|0;if((z|0)==(x|0)){B=138;break}C=(x|0)==0?1163146:x;if((o7b(w,C)|0)<0)Q=y;else{if((o7b(C,w)|0)>=0){B=137;break}Q=y+4|0}y=f[Q>>2]|0;if(!y){B=143;break}}if((B|0)==137){ZG(g);ZG(e)}else if((B|0)==138){ZG(g);ZG(e)}else if((B|0)==143){ZG(g);ZG(e);f[e>>2]=0;N=e+4|0;f[N>>2]=0;O=YG(e,29)|0;E=O;F=475009;G=E+29|0;do{b[E>>0]=b[F>>0]|0;E=E+1|0;F=F+1|0}while((E|0)<(G|0));SQ(-5,e,474892,474909,110)}f[a+36>>2]=4;f[e>>2]=0;f[e+4>>2]=0;E=YG(e,10)|0;F=474998;G=E+10|0;do{b[E>>0]=b[F>>0]|0;E=E+1|0;F=F+1|0}while((E|0)<(G|0));y=rCa(dDa(c,e)|0,-1)|0;f[o>>2]=y;ZG(e);f[p>>2]=f[o>>2];f[e>>2]=0;f[e+4>>2]=0;E=YG(e,10)|0;F=474987;G=E+10|0;do{b[E>>0]=b[F>>0]|0;E=E+1|0;F=F+1|0}while((E|0)<(G|0));y=rCa(dDa(c,e)|0,-1)|0;f[a+108>>2]=y;ZG(e);break b}while(0);f[a+36>>2]=3;b[q>>0]=0;f[e>>2]=0;f[e+4>>2]=0;y=YG(e,8)|0;w=y;b[w>>0]=112;b[w+1>>0]=111;b[w+2>>0]=111;b[w+3>>0]=108;w=y+4|0;b[w>>0]=101;b[w+1>>0]=100;b[w+2>>0]=95;b[w+3>>0]=119;w=f[v>>2]|0;do if(w){y=f[e>>2]|0;z=(y|0)==0?1163146:y;D=v;C=w;g:while(1){x=C;while(1){A=f[x+16>>2]|0;if((A|0)==(y|0))break;if((o7b((A|0)==0?1163146:A,z)|0)>=0)break;A=f[x+4>>2]|0;if(!A){R=D;break g}else x=A}C=f[x>>2]|0;if(!C){R=x;break}else D=x}if((R|0)!=(v|0)){D=f[R+16>>2]|0;if((y|0)!=(D|0)?(o7b(z,(D|0)==0?1163146:D)|0)<=-1:0){S=1;break}D=rCa(R+24|0,-1)|0;S=D}else S=1}else S=1;while(0);f[o>>2]=S;ZG(e);f[e>>2]=0;f[e+4>>2]=0;w=YG(e,8)|0;D=w;b[D>>0]=112;b[D+1>>0]=111;b[D+2>>0]=111;b[D+3>>0]=108;D=w+4|0;b[D>>0]=101;b[D+1>>0]=100;b[D+2>>0]=95;b[D+3>>0]=104;D=f[v>>2]|0;do if(D){w=f[e>>2]|0;C=(w|0)==0?1163146:w;A=v;T=D;h:while(1){U=T;while(1){V=f[U+16>>2]|0;if((V|0)==(w|0))break;if((o7b((V|0)==0?1163146:V,C)|0)>=0)break;V=f[U+4>>2]|0;if(!V){W=A;break h}else U=V}T=f[U>>2]|0;if(!T){W=U;break}else A=U}if((W|0)!=(v|0)){A=f[W+16>>2]|0;if((w|0)!=(A|0)?(o7b(C,(A|0)==0?1163146:A)|0)<=-1:0){X=1;break}A=rCa(W+24|0,-1)|0;X=A}else X=1}else X=1;while(0);f[p>>2]=X;ZG(e)}while(0);if((B|0)==41){f[h>>2]=0;f[h+4>>2]=0;X=YG(h,4)|0;b[X>>0]=112;b[X+1>>0]=111;b[X+2>>0]=111;b[X+3>>0]=108;f[i>>2]=0;X=i+4|0;f[X>>2]=0;p=YG(i,3)|0;b[p>>0]=b[474850]|0;b[p+1>>0]=b[474851]|0;b[p+2>>0]=b[474852]|0;p=f[v>>2]|0;do if(p){W=f[h>>2]|0;S=(W|0)==0?1163146:W;o=v;R=p;i:while(1){q=R;while(1){O=f[q+16>>2]|0;if((O|0)==(W|0))break;if((o7b((O|0)==0?1163146:O,S)|0)>=0)break;O=f[q+4>>2]|0;if(!O){Y=o;break i}else q=O}R=f[q>>2]|0;if(!R){Y=q;break}else o=q}if((Y|0)!=(v|0)){o=f[Y+16>>2]|0;if((W|0)!=(o|0)?(o7b(S,(o|0)==0?1163146:o)|0)<=-1:0){B=52;break}sCa(j,Y+24|0,-1)}else B=52}else B=52;while(0);if((B|0)==52?(B=f[i>>2]|0,f[j>>2]=B,f[j+4>>2]=f[X>>2],B|0):0){X=B+-4|0;f[X>>2]=(f[X>>2]|0)+1}X=f[j>>2]|0;if(!X){f[g>>2]=0;f[g+4>>2]=0}else{B=j+4|0;Y=f[B>>2]|0;f[e>>2]=0;p=e+4|0;f[p>>2]=0;if(Y|0?(Krc(YG(e,Y)|0,X|0,Y|0)|0,f[B>>2]|0):0){Y=0;do{X=(p9b(b[(f[j>>2]|0)+Y>>0]|0)|0)&255;b[(f[e>>2]|0)+Y>>0]=X;Y=Y+1|0}while(Y>>>0<(f[B>>2]|0)>>>0)}B=f[e>>2]|0;f[g>>2]=B;f[g+4>>2]=f[p>>2];if(B|0){p=B+-4|0;f[p>>2]=(f[p>>2]|0)+1}ZG(e)}ZG(j);ZG(i);ZG(h);i=f[g>>2]|0;if((i|0)!=474850?(j=(i|0)==0?1163146:i,(o7b(j,474850)|0)!=0):0)if((i|0)!=474854?(o7b(j,474854)|0)!=0:0)if((i|0)!=474858?(o7b(j,474858)|0)!=0:0){f[h>>2]=0;j=h+4|0;f[j>>2]=0;i=g+4|0;YG(h,(f[i>>2]|0)+22|0)|0;p=f[h>>2]|0;E=p;F=474869;G=E+22|0;do{b[E>>0]=b[F>>0]|0;E=E+1|0;F=F+1|0}while((E|0)<(G|0));B=f[i>>2]|0;if(B|0)Krc(p+22|0,f[g>>2]|0,B|0)|0;f[e>>2]=0;f[e+4>>2]=0;YG(e,(f[j>>2]|0)+1|0)|0;B=f[j>>2]|0;if(!B){Z=0;_=f[e>>2]|0;$=_+Z|0;b[$>>0]=34;SQ(-5,e,474892,474909,87)}Krc(f[e>>2]|0,f[h>>2]|0,B|0)|0;Z=f[j>>2]|0;_=f[e>>2]|0;$=_+Z|0;b[$>>0]=34;SQ(-5,e,474892,474909,87)}else aa=2;else aa=1;else aa=0;f[a+36>>2]=aa;aa=a+60|0;$=a+56|0;dob(c,a+44|0,k,r,aa,$,a+68|0,a+64|0,t,s,a+84|0);f[l>>2]=f[$>>2];f[m>>2]=f[aa>>2];ZG(g)}vCa(a,c);f[e>>2]=0;f[e+4>>2]=0;E=YG(e,9)|0;F=475039;G=E+9|0;do{b[E>>0]=b[F>>0]|0;E=E+1|0;F=F+1|0}while((E|0)<(G|0));c=f[v>>2]|0;do if(c){g=f[e>>2]|0;aa=(g|0)==0?1163146:g;m=v;$=c;j:while(1){l=$;while(1){s=f[l+16>>2]|0;if((s|0)==(g|0))break;if((o7b((s|0)==0?1163146:s,aa)|0)>=0)break;s=f[l+4>>2]|0;if(!s){ba=m;break j}else l=s}$=f[l>>2]|0;if(!$){ba=l;break}else m=l}if((ba|0)!=(v|0)){m=f[ba+16>>2]|0;if((g|0)!=(m|0)?(o7b(aa,(m|0)==0?1163146:m)|0)<=-1:0){ca=1;break}m=rCa(ba+24|0,-1)|0;ca=(m|0)!=0|(J|0)!=0}else ca=1}else ca=1;while(0);b[a+92>>0]=ca&1;ZG(e);f[e>>2]=0;f[e+4>>2]=0;E=YG(e,13)|0;F=475049;G=E+13|0;do{b[E>>0]=b[F>>0]|0;E=E+1|0;F=F+1|0}while((E|0)<(G|0));ca=f[v>>2]|0;do if(ca){ba=f[e>>2]|0;c=(ba|0)==0?1163146:ba;m=v;$=ca;k:while(1){S=$;while(1){W=f[S+16>>2]|0;if((W|0)==(ba|0))break;if((o7b((W|0)==0?1163146:W,c)|0)>=0)break;W=f[S+4>>2]|0;if(!W){da=m;break k}else S=W}$=f[S>>2]|0;if(!$){da=S;break}else m=S}if((da|0)!=(v|0)){m=f[da+16>>2]|0;if((ba|0)!=(m|0)?(o7b(c,(m|0)==0?1163146:m)|0)<=-1:0){ea=1.0;break}ea=+eEa(da+24|0,-1)}else ea=1.0}else ea=1.0;while(0);n[a+104>>2]=ea;ZG(e);f[e>>2]=0;f[e+4>>2]=0;E=YG(e,20)|0;F=475063;G=E+20|0;do{b[E>>0]=b[F>>0]|0;E=E+1|0;F=F+1|0}while((E|0)<(G|0));F=f[v>>2]|0;if(!F){fa=1;ga=a+93|0;b[ga>>0]=fa;ZG(e);u=d;return}E=f[e>>2]|0;G=(E|0)==0?1163146:E;da=v;ca=F;l:while(1){F=ca;while(1){m=f[F+16>>2]|0;if((m|0)==(E|0))break;if((o7b((m|0)==0?1163146:m,G)|0)>=0)break;m=f[F+4>>2]|0;if(!m){ha=da;break l}else F=m}ca=f[F>>2]|0;if(!ca){ha=F;break}else da=F}if((ha|0)==(v|0)){fa=1;ga=a+93|0;b[ga>>0]=fa;ZG(e);u=d;return}v=f[ha+16>>2]|0;if((E|0)!=(v|0)?(o7b(G,(v|0)==0?1163146:v)|0)<=-1:0){fa=1;ga=a+93|0;b[ga>>0]=fa;ZG(e);u=d;return}v=rCa(ha+24|0,-1)|0;fa=((v|0)!=0|(J|0)!=0)&1;ga=a+93|0;b[ga>>0]=fa;ZG(e);u=d;return}function Gxb(a){a=a|0;Emc(a);return}function Hxb(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Ixb(a){a=a|0;f[a>>2]=140112;ZG(a+84|0);Nza(a);return}function Jxb(a){a=a|0;f[a>>2]=140112;ZG(a+84|0);Nza(a);Emc(a);return}function Kxb(a){a=a|0;f[a>>2]=140112;ZG(a+84|0);Nza(a);Emc(a);return}function Lxb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+48|0;g=e+36|0;h=e+24|0;i=e+16|0;j=e+8|0;k=e;f[g>>2]=0;l=g+4|0;f[l>>2]=0;f[g+8>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;rD(c,g);rD(d,h);d=f[g>>2]|0;if((d|0)==(f[l>>2]|0)){f[i>>2]=0;f[i+4>>2]=0;l=YG(i,15)|0;c=476084;m=l+15|0;do{b[l>>0]=b[c>>0]|0;l=l+1|0;c=c+1|0}while((l|0)<(m|0));SQ(-215,i,476100,474909,127)}c=f[d+40>>2]|0;d=f[c+12>>2]|0;l=f[c+8>>2]|0;f[i>>2]=d;f[i+4>>2]=l;c=f[(f[h>>2]|0)+40>>2]|0;m=f[c+8>>2]|0;f[j>>2]=f[c+12>>2];f[j+4>>2]=m;if(b[a+80>>0]|0){f[a+40>>2]=d;f[a+44>>2]=l}f[k>>2]=1;f[k+4>>2]=1;l=a+60|0;d=a+56|0;gob(i,j,a+40|0,a+48|0,a+84|0,k,l,d,a+68|0,a+64|0);f[a+72>>2]=f[d>>2];f[a+76>>2]=f[l>>2];rt(h);rt(g);u=e;return}function Mxb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=u;u=u+48|0;h=g+32|0;i=g+20|0;j=g+8|0;k=g;zT(h,140212);if((BD(c,-1)|0)==3)gAa(a,c,d,e);else{f[i>>2]=0;e=i+4|0;f[e>>2]=0;f[i+8>>2]=0;f[j>>2]=0;l=j+4|0;f[l>>2]=0;f[j+8>>2]=0;rD(c,i);rD(d,j);a:do switch(f[a+36>>2]|0){case 0:{d=f[i>>2]|0;c=d;if(((f[e>>2]|0)-d|0)!=56){f[k>>2]=0;f[k+4>>2]=0;m=YG(k,18)|0;n=475475;o=m+18|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,k,475494,474909,232)}d=f[j>>2]|0;p=d;if(((f[l>>2]|0)-d|0)==112){Vxb(a,c,p,p+56|0);break a}else{f[k>>2]=0;f[k+4>>2]=0;m=YG(k,19)|0;n=475502;o=m+19|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,k,475494,474909,232)}break}case 1:{c=f[i>>2]|0;p=c;if(((f[e>>2]|0)-c|0)!=56){f[k>>2]=0;f[k+4>>2]=0;m=YG(k,18)|0;n=475475;o=m+18|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,k,475494,474909,236)}c=f[j>>2]|0;if(((f[l>>2]|0)-c|0)==56){Wxb(a,p,c);break a}else{f[k>>2]=0;f[k+4>>2]=0;m=YG(k,19)|0;n=475522;o=m+19|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,k,475494,474909,236)}break}case 4:case 3:{p=f[i>>2]|0;c=p;if(((f[e>>2]|0)-p|0)!=112){f[k>>2]=0;f[k+4>>2]=0;m=YG(k,18)|0;n=475384;o=m+18|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,k,475494,474909,240)}p=f[j>>2]|0;if(((f[l>>2]|0)-p|0)==56){Xxb(a,c,c+56|0,p);break a}else{f[k>>2]=0;f[k+4>>2]=0;m=YG(k,19)|0;n=475522;o=m+19|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,k,475494,474909,240)}break}default:{f[k>>2]=0;f[k+4>>2]=0;m=YG(k,15)|0;n=475542;o=m+15|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-213,k,475494,474909,244)}}while(0);rt(j);rt(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function Nxb(a,b){a=a|0;b=b|0;var c=0,d=0;a:do switch(b|0){case 2:{c=f[a+36>>2]|0;if((f[a+32>>2]|0)==3){d=(c|1|0)==1;break a}else{d=(c|0)!=2;break a}break}case 3:{d=1;break}case 1:{if(ACa()|0){switch(f[a+36>>2]|0){case 0:{d=1;break a;break}case 1:break;default:{d=0;break a}}if(((f[a+60>>2]|0)==0?(f[a+56>>2]|0)==0:0)?(f[a+68>>2]|0)==0:0)d=(f[a+64>>2]|0)==0;else d=0}else d=0;break}default:d=0}while(0);return d|0}function Oxb(a,b,c){a=a|0;b=b|0;c=c|0;switch(f[b+36>>2]|0){case 0:{Yh[f[(f[b>>2]|0)+100>>2]&511](a,b,c);return}case 1:{Yh[f[(f[b>>2]|0)+104>>2]&511](a,b,c);return}default:{f[a>>2]=0;f[a+4>>2]=0;return}}}function Pxb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Qxb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return}function Rxb(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0,F=0,G=0,H=0.0,I=0,J=0.0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;g=u;u=u+48|0;d=g+40|0;h=g+32|0;i=g+16|0;j=g;k=c+4|0;l=f[c>>2]|0;m=l;if((f[k>>2]|0)==(l|0)){f[d>>2]=0;f[d+4>>2]=0;n=YG(d,18)|0;o=475246;p=n+18|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));SQ(-215,d,475265,474909,854)}q=f[m>>2]|0;r=f[q+12>>2]|0;s=f[q+8>>2]|0;f[d>>2]=r;f[d+4>>2]=s;f[h>>2]=0;t=h+4|0;f[t>>2]=0;do if(!(b[a+80>>0]|0)){v=a+36|0;if(((f[v>>2]|0)+-3|0)>>>0<2){w=f[a+100>>2]|0;f[t>>2]=w;x=f[a+96>>2]|0;f[h>>2]=x;y=v;z=q;A=w;B=x;C=l;D=m;break}if(f[a+88>>2]|0){f[i>>2]=1;f[i+4>>2]=1;fob(d,a+40|0,a+48|0,a+84|0,i,h);x=f[c>>2]|0;y=v;z=f[x>>2]|0;A=f[t>>2]|0;B=f[h>>2]|0;C=x;D=x;break}x=f[a+68>>2]|0;w=f[a+52>>2]|0;E=+((f[a+60>>2]|0)+s+x-(f[a+44>>2]|0)|0)/+(w|0);F=f[a+64>>2]|0;G=f[a+48>>2]|0;H=+((f[a+56>>2]|0)+r+F-(f[a+40>>2]|0)|0)/+(G|0);if(!(b[a+92>>0]|0)){I=~~(+K(+E)+1.0);f[t>>2]=I;J=+K(+H);L=I}else{I=~~(+X(+E)+1.0);f[t>>2]=I;J=+X(+H);L=I}I=~~(J+1.0);f[h>>2]=I;if(x|F){M=L+-1|0;N=s+x|0;if((Y(M,w)|0)<(N|0))O=L;else{f[t>>2]=M;O=M}M=I+-1|0;x=r+F|0;if((Y(M,G)|0)<(x|0))P=I;else{f[h>>2]=M;P=M}if((Y(O+-1|0,w)|0)>=(N|0)){f[i>>2]=0;f[i+4>>2]=0;n=YG(i,52)|0;o=475281;p=n+52|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));SQ(-215,i,475265,474909,882)}if((Y(P+-1|0,G)|0)<(x|0)){y=v;z=q;A=O;B=P;C=l;D=m}else{f[i>>2]=0;f[i+4>>2]=0;n=YG(i,49)|0;o=475334;p=n+49|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));SQ(-215,i,475265,474909,883)}}else{y=v;z=q;A=L;B=I;C=l;D=m}}else{f[t>>2]=1;f[h>>2]=1;y=a+36|0;z=q;A=1;B=1;C=l;D=m}while(0);f[i>>2]=f[z>>2];m=z+4|0;f[i+4>>2]=f[m>>2];f[i+8>>2]=A;f[i+12>>2]=B;B=f[y>>2]|0;a:do switch(B|0){case 3:{if(((f[k>>2]|0)-C|0)==24){Q=0;R=f[f[D+12>>2]>>2]|0;S=30;break a}else{f[j>>2]=0;f[j+4>>2]=0;n=YG(j,18)|0;o=475384;p=n+18|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));SQ(-215,j,475265,474909,894)}break}case 4:{if(((f[k>>2]|0)-C|0)!=24){f[j>>2]=0;f[j+4>>2]=0;n=YG(j,18)|0;o=475384;p=n+18|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));SQ(-215,j,475265,474909,899)}I=f[a+108>>2]|0;if((Y(Y(f[a+96>>2]|0,I)|0,f[a+100>>2]|0)|0)==(f[m>>2]|0)){f[i>>2]=f[f[D+12>>2]>>2];Q=1;R=I;S=30;break a}else{f[j>>2]=0;f[j+4>>2]=0;n=YG(j,71)|0;o=475403;p=n+71|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));SQ(-215,j,475265,474909,900)}break}default:{}}while(0);if((S|0)==30)f[i+(Q<<2)>>2]=R;f[j>>2]=0;R=j+4|0;f[R>>2]=0;f[j+8>>2]=0;hAa(j,i,i+16|0);eAa(e,(B|0)==0?2:1,j);B=f[j>>2]|0;if(!B){u=g;return 0}j=f[R>>2]|0;if((j|0)!=(B|0))f[R>>2]=j+(~((j+-4-B|0)>>>2)<<2);Emc(B);u=g;return 0}function Sxb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;c=u;u=u+16|0;e=c;g=f[d+4>>2]|0;h=f[d>>2]|0;d=h;if((g|0)==(h|0)){i=0;j=(i|0)<0;k=j<<31>>31;J=k;u=c;return i|0}l=a+40|0;m=a+44|0;n=(g-h|0)/12|0;if(f[a+36>>2]|0){a=0;h=0;while(1){g=f[d+(h*12|0)+4>>2]|0;o=f[d+(h*12|0)>>2]|0;p=g-o|0;q=p>>2;r=o;if((r|0)!=(g|0)){if((p|0)<=-4){s=15;break}if((p|0)>0){p=0;g=1;while(1){o=Y(f[r+(p<<2)>>2]|0,g)|0;p=p+1|0;if((p|0)>=(q|0)){t=o;break}else g=o}}else t=1}else t=0;g=(Y((Y(f[m>>2]|0,f[l>>2]|0)|0)+1|0,t)|0)+a|0;h=h+1|0;if(h>>>0>=n>>>0){i=g;s=10;break}else a=g}if((s|0)==10){j=(i|0)<0;k=j<<31>>31;J=k;u=c;return i|0}else if((s|0)==15){f[e>>2]=0;f[e+4>>2]=0;v=YG(e,70)|0;w=475084;x=v+70|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-215,e,475155,475161,161)}}else{y=0;z=0}while(1){if(!(z&1)){a=f[d+(z*12|0)+4>>2]|0;h=f[d+(z*12|0)>>2]|0;t=a-h|0;g=t>>2;q=h;if((q|0)!=(a|0)){if((t|0)<=-4){s=12;break}if((t|0)>0){t=0;a=1;while(1){h=Y(f[q+(t<<2)>>2]|0,a)|0;t=t+1|0;if((t|0)>=(g|0)){A=h;break}else a=h}}else A=1}else A=0;B=(Y(Y(f[l>>2]|0,A)|0,f[m>>2]|0)|0)+y|0}else B=y;z=z+1|0;if(z>>>0>=n>>>0){i=B;s=10;break}else y=B}if((s|0)==10){j=(i|0)<0;k=j<<31>>31;J=k;u=c;return i|0}else if((s|0)==12){f[e>>2]=0;f[e+4>>2]=0;v=YG(e,70)|0;w=475084;x=v+70|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-215,e,475155,475161,161)}return 0}function Txb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Uxb(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function Vxb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0;g=u;u=u+80|0;h=g+16|0;i=g+8|0;j=g;k=pU()|0;f[h>>2]=1124007936;l=h+4|0;m=h+8|0;o=h+40|0;p=l;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[o>>2]=m;m=h+48|0;p=h+44|0;f[p>>2]=m;f[m>>2]=0;f[h+52>>2]=0;f[i>>2]=f[a+40>>2];f[i+4>>2]=f[a+44>>2];f[j>>2]=f[a+48>>2];f[j+4>>2]=f[a+52>>2];Yxb(c,h,d,e,i,j,f[a+56>>2]|0,f[a+60>>2]|0,f[a+64>>2]|0,f[a+68>>2]|0,(b[a+93>>0]|0)!=0,f[a+36>>2]|0,+n[a+104>>2],(b[a+81>>0]|0)!=0,k);k=h+36|0;a=f[k>>2]|0;if(a|0?(j=a+12|0,a=f[j>>2]|0,f[j>>2]=a+-1,(a|0)==1):0)lP(h);f[k>>2]=0;k=h+16|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[l>>2]|0)>0){k=f[o>>2]|0;o=0;do{f[k+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[l>>2]|0))}l=f[p>>2]|0;if((l|0)==(m|0)){u=g;return}tE(l);u=g;return}function Wxb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;e=u;u=u+128|0;g=e+72|0;h=e+16|0;i=e+8|0;j=e;k=pU()|0;f[g>>2]=1124007936;l=g+4|0;m=g+8|0;o=g+40|0;p=l;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[o>>2]=m;m=g+48|0;r=g+44|0;f[r>>2]=m;f[m>>2]=0;f[g+52>>2]=0;f[h>>2]=1124007936;s=h+4|0;t=h+8|0;v=h+40|0;p=s;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[v>>2]=t;t=h+48|0;p=h+44|0;f[p>>2]=t;f[t>>2]=0;f[h+52>>2]=0;f[i>>2]=f[a+40>>2];f[i+4>>2]=f[a+44>>2];f[j>>2]=f[a+48>>2];f[j+4>>2]=f[a+52>>2];Yxb(c,g,d,h,i,j,f[a+56>>2]|0,f[a+60>>2]|0,f[a+64>>2]|0,f[a+68>>2]|0,(b[a+93>>0]|0)!=0,f[a+36>>2]|0,+n[a+104>>2],(b[a+81>>0]|0)!=0,k);k=h+36|0;a=f[k>>2]|0;if(a|0?(j=a+12|0,a=f[j>>2]|0,f[j>>2]=a+-1,(a|0)==1):0)lP(h);f[k>>2]=0;k=h+16|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[s>>2]|0)>0){k=f[v>>2]|0;v=0;do{f[k+(v<<2)>>2]=0;v=v+1|0}while((v|0)<(f[s>>2]|0))}s=f[p>>2]|0;if((s|0)!=(t|0))tE(s);s=g+36|0;t=f[s>>2]|0;if(t|0?(p=t+12|0,t=f[p>>2]|0,f[p>>2]=t+-1,(t|0)==1):0)lP(g);f[s>>2]=0;s=g+16|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[l>>2]|0)>0){s=f[o>>2]|0;o=0;do{f[s+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[l>>2]|0))}l=f[r>>2]|0;if((l|0)==(m|0)){u=e;return}tE(l);u=e;return}function Xxb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0;g=u;u=u+80|0;h=g+16|0;i=g+8|0;j=g;k=pU()|0;f[h>>2]=1124007936;l=h+4|0;m=h+8|0;o=h+40|0;p=l;q=p+36|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[o>>2]=m;m=h+48|0;p=h+44|0;f[p>>2]=m;f[m>>2]=0;f[h+52>>2]=0;f[i>>2]=f[a+40>>2];f[i+4>>2]=f[a+44>>2];f[j>>2]=f[a+48>>2];f[j+4>>2]=f[a+52>>2];Yxb(c,d,e,h,i,j,f[a+56>>2]|0,f[a+60>>2]|0,f[a+64>>2]|0,f[a+68>>2]|0,(b[a+93>>0]|0)!=0,f[a+36>>2]|0,+n[a+104>>2],(b[a+81>>0]|0)!=0,k);k=h+36|0;a=f[k>>2]|0;if(a|0?(j=a+12|0,a=f[j>>2]|0,f[j>>2]=a+-1,(a|0)==1):0)lP(h);f[k>>2]=0;k=h+16|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[l>>2]|0)>0){k=f[o>>2]|0;o=0;do{f[k+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[l>>2]|0))}l=f[p>>2]|0;if((l|0)==(m|0)){u=g;return}tE(l);u=g;return}function Yxb(a,c,d,e,g,h,i,j,k,l,m,o,p,q,r){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;o=o|0;p=+p;q=q|0;r=r|0;var s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;s=u;u=u+96|0;t=s+8|0;v=s;w=m&1;m=q&1;x=f[a>>2]|0;if(!(x&16384)){f[t>>2]=0;f[t+4>>2]=0;y=YG(t,18)|0;z=475558;A=y+18|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,t,475577,474909,337)}B=f[d>>2]|0;if(!(B&16384)){f[t>>2]=0;f[t+4>>2]=0;y=YG(t,18)|0;z=475581;A=y+18|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,t,475577,474909,337)}if((x&4095|0)!=5){f[t>>2]=0;f[t+4>>2]=0;y=YG(t,15)|0;z=475600;A=y+15|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,t,475577,474909,337)}if((B&4095|0)!=5){f[t>>2]=0;f[t+4>>2]=0;y=YG(t,24)|0;z=475616;A=y+24|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,t,475577,474909,337)}if((f[a+4>>2]|0)!=4){f[t>>2]=0;f[t+4>>2]=0;y=YG(t,13)|0;z=475641;A=y+13|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,t,475577,474909,337)}if((f[d+4>>2]|0)!=4){f[t>>2]=0;f[t+4>>2]=0;y=YG(t,13)|0;z=475655;A=y+13|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,t,475577,474909,337)}B=(o|0)==4;C=f[d+40>>2]|0;D=f[C>>2]|0;if(!((o+-3|0)>>>0<2?(D|0)==(f[f[c+40>>2]>>2]|0):0))E=15;if((E|0)==15?(f[f[a+40>>2]>>2]|0)!=(D|0):0){f[t>>2]=0;f[t+4>>2]=0;y=YG(t,106)|0;z=475669;A=y+106|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,t,475577,474909,337)}if(!B?(f[(f[a+40>>2]|0)+4>>2]|0)!=(f[C+4>>2]|0):0){f[t>>2]=0;f[t+4>>2]=0;y=YG(t,50)|0;z=475776;A=y+50|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,t,475577,474909,337)}a:do if(f[e+16>>2]|0){B=f[e+4>>2]|0;if((B|0)<3)F=Y(f[e+12>>2]|0,f[e+8>>2]|0)|0;else{E=f[e+40>>2]|0;G=0;H=1;while(1){I=Y(f[E+(G<<2)>>2]|0,H)|0;G=G+1|0;if((G|0)==(B|0)){F=I;break}else H=I}}if(!((B|0)==0|(F|0)==0)){do if(((x^f[e>>2])&4095|0)==0?(H=f[e+40>>2]|0,G=f[H+-4>>2]|0,(G|0)==(f[C+-4>>2]|0)):0){if((G|0)==2){if((f[H>>2]|0)!=(D|0))break;if((f[H+4>>2]|0)==(f[C+4>>2]|0))break a;else break}if((G|0)<=0)break a;if((f[H>>2]|0)==(D|0)){E=1;while(1){if((E|0)>=(G|0))break a;if((f[H+(E<<2)>>2]|0)==(f[C+(E<<2)>>2]|0))E=E+1|0;else break}}}while(0);f[t>>2]=0;f[t+4>>2]=0;y=YG(t,70)|0;z=475827;A=y+70|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,t,475577,474909,337)}}while(0);f[t>>2]=140252;z=t+64|0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[t+4>>2]=a;f[t+8>>2]=c;f[t+12>>2]=d;f[t+16>>2]=e;e=f[g>>2]|0;f[t+20>>2]=e;d=g+4|0;c=f[d>>2]|0;f[t+24>>2]=c;f[t+28>>2]=f[h>>2];f[t+32>>2]=f[h+4>>2];f[t+36>>2]=i;f[t+40>>2]=j;f[t+44>>2]=k;f[t+48>>2]=l;b[t+52>>0]=w;f[t+56>>2]=r;b[t+60>>0]=m;f[t+76>>2]=o;n[t+80>>2]=p;if(!q){q=t+64|0;o=Y(c,e)|0;if(!o)J=c;else{$C(q,o);J=f[d>>2]|0}if((J|0)>0){o=(f[a+40>>2]|0)+12|0;a=f[q>>2]|0;q=0;c=f[g>>2]|0;e=J;while(1){if((c|0)>0){J=0;m=c;do{w=(Y(f[o>>2]|0,q)|0)+J|0;l=a+((Y(m,q)|0)+J<<2)|0;f[l>>2]=w;J=J+1|0;m=f[g>>2]|0}while((J|0)<(m|0));K=f[d>>2]|0;L=m}else{K=e;L=c}q=q+1|0;if((q|0)>=(K|0))break;else{c=L;e=K}}}}f[v>>2]=0;f[v+4>>2]=r;oU(v,t,+(r|0));f[t>>2]=140252;r=f[z>>2]|0;if(!r){u=s;return}z=t+68|0;t=f[z>>2]|0;if((t|0)!=(r|0))f[z>>2]=t+(~((t+-4-r|0)>>>2)<<2);Emc(r);u=s;return}function Zxb(a){a=a|0;var b=0,c=0;f[a>>2]=140252;b=f[a+64>>2]|0;if(!b)return;c=a+68|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-4-b|0)>>>2)<<2);Emc(b);return}function _xb(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=140252;b=f[a+64>>2]|0;if(!b){Emc(a);return}c=a+68|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b);Emc(a);return}function $xb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0,F=0,G=0,H=0.0,I=0,J=0,L=0,M=0,N=0,O=0.0,P=0.0,Q=0,R=0.0,S=0,T=0,U=0,V=0,W=0.0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0.0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0.0,ya=0,za=0.0,Aa=0.0,Ba=0.0,Ca=0,Da=0.0,Ea=0.0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0;d=u;u=u+16|0;e=d;g=a+12|0;h=f[g>>2]|0;i=f[h+40>>2]|0;j=f[i+4>>2]|0;k=f[i+12>>2]|0;l=f[i+8>>2]|0;m=a+4|0;o=f[(f[m>>2]|0)+40>>2]|0;p=f[o+12>>2]|0;q=f[o+8>>2]|0;o=f[h+4>>2]|0;if((o|0)<3)r=Y(f[h+12>>2]|0,f[h+8>>2]|0)|0;else{h=0;t=1;while(1){v=Y(f[i+(h<<2)>>2]|0,t)|0;h=h+1|0;if((h|0)==(o|0)){r=v;break}else t=v}}t=f[a+56>>2]|0;o=((r+-1+t|0)>>>0)/(t>>>0)|0;t=Y(f[c>>2]|0,o)|0;h=Y(f[c+4>>2]|0,o)|0;o=r>>>0<h>>>0?r:h;h=f[a+20>>2]|0;r=f[a+24>>2]|0;c=f[a+28>>2]|0;i=f[a+32>>2]|0;v=(b[a+60>>0]|0)!=0;if(o>>>0<=t>>>0){u=d;return}w=a+76|0;x=f[w>>2]|0;y=a+40|0;z=a+48|0;A=a+16|0;B=a+8|0;C=a+80|0;D=+(k|0);E=a+36|0;F=a+44|0;G=a+52|0;H=+(l|0);a=t;a:while(1){t=(a>>>0)%(k>>>0)|0;I=(a>>>0)/(k>>>0)|0;J=(I>>>0)%(l>>>0)|0;L=(I>>>0)/(l>>>0)|0;I=(L>>>0)%(j>>>0)|0;M=(L>>>0)/(j>>>0)|0;switch(x|0){case 3:{L=f[B>>2]|0;N=(f[L+16>>2]|0)+(Y(f[f[L+44>>2]>>2]|0,M)|0)|0;O=+n[C>>2];P=+n[N+8>>2]*O;L=~~(P+(P>=0.0?.5:-.5));P=O*+n[N+16>>2];Q=~~(P+(P>=0.0?.5:-.5))-L+1|0;P=+(((Q|0)>1?Q:1)|0)/H;O=+(L|0);R=+n[N>>2];N=f[m>>2]|0;if(!(R<+(f[f[N+40>>2]>>2]|0))){S=10;break a}L=~~(O+ +X(+(+(J+1|0)*P)));Q=f[N+44>>2]|0;T=(f[N+16>>2]|0)+(Y(f[Q>>2]|0,~~R)|0)+(Y(f[Q+4>>2]|0,I)|0)|0;U=~~(O+ +(J|0)*P);V=L;break}case 4:{L=f[B>>2]|0;Q=(f[L+16>>2]|0)+(Y(f[f[L+44>>2]>>2]|0,M)|0)|0;P=+n[Q+8>>2];O=+n[C>>2];R=O*+(~~(P+(P>=0.0?.5:-.5))|0);P=+n[Q+16>>2]+1.0;W=O*+(~~(P+(P>=0.0?.5:-.5))|0)-R;P=(W<.10000000149011612?.10000000149011612:W)/H;T=0;U=~~+K(+(R+ +(J|0)*P));V=~~+X(+(R+ +(J+1|0)*P));break}default:{Q=(Y(J,i)|0)-(f[y>>2]|0)|0;L=Q+r|0;N=(f[z>>2]|0)+q|0;Z=f[m>>2]|0;_=f[Z+44>>2]|0;T=(f[Z+16>>2]|0)+(Y(f[_>>2]|0,M)|0)+(Y(f[_+4>>2]|0,I)|0)|0;U=Q;V=(N|0)<(L|0)?N:L}}L=V-U|0;N=(U|0)>0?U:0;Q=(q|0)<(V|0)?q:V;_=f[g>>2]|0;Z=f[_+16>>2]|0;$=f[_+44>>2]|0;_=Y(f[$>>2]|0,M)|0;aa=Y(f[$+4>>2]|0,I)|0;ba=Y(f[$+8>>2]|0,J)|0;$=Z+_+aa+ba|0;ca=f[A>>2]|0;da=f[ca+16>>2]|0;if(!da)ea=0;else{fa=f[ca+44>>2]|0;ca=da+(Y(f[fa>>2]|0,M)|0)|0;da=ca+(Y(f[fa+4>>2]|0,I)|0)|0;ea=da+(Y(f[fa+8>>2]|0,J)|0)|0}fa=o-a|0;da=k-t|0;ca=(da|0)<(fa|0)?da:fa;a=ca+a|0;fa=ca+t|0;da=f[w>>2]|0;b:do switch(da|0){case 0:{if((ca|0)>0){ga=f[E>>2]|0;ha=(Q|0)>(N|0);ia=(ea|0)==0;ja=v&(ea|0)!=0;ka=t;do{la=(Y(ka,c)|0)-ga|0;ma=la+h|0;na=(p|0)<(ma|0)?p:ma;ma=(la|0)>0?la:0;do if(ha&(ma|0)<(na|0)){if(v){oa=-1;pa=N;qa=-3402823466385288598117041.0e14}else{la=N;P=-3402823466385288598117041.0e14;ra=-8388609;while(1){sa=Y(la,p)|0;ta=ma;R=P;ua=ra;do{va=f[T+(ta+sa<<2)>>2]|0;ua=R<(f[s>>2]=va,+n[s>>2])?va:ua;ta=ta+1|0;R=(f[s>>2]=ua,+n[s>>2])}while((ta|0)<(na|0));la=la+1|0;if((la|0)>=(Q|0))break;else{P=R;ra=ua}}f[$+(ka<<2)>>2]=ua;break}while(1){ra=Y(pa,p)|0;la=ma;wa=oa;xa=qa;do{ta=la+ra|0;P=+n[T+(ta<<2)>>2];sa=P>xa;xa=sa?P:xa;wa=sa?ta:wa;la=la+1|0}while((la|0)<(na|0));pa=pa+1|0;if((pa|0)>=(Q|0))break;else{oa=wa;qa=xa}}n[$+(ka<<2)>>2]=xa;if(!ia)n[ea+(ka<<2)>>2]=+(wa|0)}else{n[$+(ka<<2)>>2]=0.0;if(ja)n[ea+(ka<<2)>>2]=-1.0}while(0);ka=ka+1|0}while((ka|0)<(fa|0))}break}case 1:{if((ca|0)>0){ka=f[E>>2]|0;ja=(f[F>>2]|0)+p|0;ia=(b[G>>0]|0)==0;ha=Q-N|0;if((Q|0)>(N|0))ya=t;else{ga=t;while(1){na=(Y(ga,c)|0)-ka|0;ma=na+h|0;la=(ja|0)<(ma|0)?ja:ma;R=1.0/+(Y(ia?((p|0)<(la|0)?p:la)-((na|0)>0?na:0)|0:L,ia?ha:la-na|0)|0)*0.0;n[$+(ga<<2)>>2]=R;ga=ga+1|0;if((ga|0)>=(fa|0))break b}}do{ga=(Y(ya,c)|0)-ka|0;na=ga+h|0;la=(ja|0)<(na|0)?ja:na;na=(ga|0)>0?ga:0;ma=(p|0)<(la|0)?p:la;R=1.0/+(Y(ia?ma-na|0:L,ia?ha:la-ga|0)|0);if((ma|0)>(na|0)){P=0.0;ga=N;while(1){la=Y(ga,p)|0;ra=na;W=P;do{W=W+ +n[T+(ra+la<<2)>>2];ra=ra+1|0}while((ra|0)<(ma|0));ga=ga+1|0;if((ga|0)>=(Q|0)){za=W;break}else P=W}}else za=0.0;n[$+(ya<<2)>>2]=R*za;ya=ya+1|0}while((ya|0)<(fa|0))}break}default:{ha=f[B>>2]|0;ia=(f[ha+16>>2]|0)+(Y(f[f[ha+44>>2]>>2]|0,M)|0)|0;if((da|0)!=3){ha=f[m>>2]|0;if(!(+n[ia>>2]<+(f[f[ha+40>>2]>>2]|0))){S=56;break a}P=+n[ia+4>>2];O=+n[C>>2];Aa=O*+(~~(P+(P>=0.0?.5:-.5))|0);P=+n[ia+12>>2]+1.0;Ba=O*+(~~(P+(P>=0.0?.5:-.5))|0)-Aa;P=(Ba<.10000000149011612?.10000000149011612:Ba)/D;if((ca|0)<=0)break b;ja=Y((Y(I,l)|0)+J|0,k)|0;ka=Q-N|0;if((Q|0)<=(N|0)){ga=t<<2;ma=t+1|0;Drc(Z+(ba+aa+_+ga)|0,0,(((fa|0)>(ma|0)?fa:ma)<<2)-ga|0)|0;break b}ga=ha+16|0;ma=ha+44|0;ha=t;while(1){na=~~+K(+(Aa+P*+(ha|0)));ra=ha;ha=ha+1|0;la=~~+X(+(Aa+P*+(ha|0)));ta=(na|0)>0?na:0;na=(p|0)<(la|0)?p:la;if((na|0)>(ta|0)){la=f[ma>>2]|0;sa=(f[ga>>2]|0)+(Y(f[la>>2]|0,~~+n[ia>>2])|0)|0;va=sa+(Y(f[la+4>>2]|0,ra+ja|0)|0)|0;la=N;Ba=0.0;while(1){sa=Y(la,p)|0;Ca=ta;Da=Ba;do{Da=Da+ +n[va+(Ca+sa<<2)>>2];Ca=Ca+1|0}while((Ca|0)<(na|0));la=la+1|0;if((la|0)>=(Q|0))break;else Ba=Da}Ea=Da/+(Y(na-ta|0,ka)|0)}else Ea=0.0;n[$+(ra<<2)>>2]=Ea;if((ha|0)>=(fa|0))break b}}P=+n[C>>2];Aa=+n[ia+4>>2]*P;ha=~~(Aa+(Aa>=0.0?.5:-.5));Aa=P*+n[ia+12>>2];ka=~~(Aa+(Aa>=0.0?.5:-.5))-ha+1|0;Aa=+(((ka|0)>1?ka:1)|0)/D;if((ca|0)>0){P=+(ha|0);ha=v&(ea|0)!=0;if((Q|0)>(N|0))Fa=t;else{ka=t;while(1){n[$+(ka<<2)>>2]=0.0;if(ha)n[ea+(ka<<2)>>2]=-1.0;ka=ka+1|0;if((ka|0)>=(fa|0))break b}}do{ka=~~(P+Aa*+(Fa|0));ia=Fa;Fa=Fa+1|0;ja=~~(P+ +X(+(Aa*+(Fa|0))));ga=(ka|0)>0?ka:0;ka=(p|0)<(ja|0)?p:ja;if((ga|0)>=(ka|0)){n[$+(ia<<2)>>2]=0.0;if(ha)n[ea+(ia<<2)>>2]=-1.0}else{ja=N;Ba=-3402823466385288598117041.0e14;ma=-8388609;while(1){la=Y(ja,p)|0;va=ga;R=Ba;Ga=ma;do{Ca=f[T+(va+la<<2)>>2]|0;Ga=R<(f[s>>2]=Ca,+n[s>>2])?Ca:Ga;va=va+1|0;R=(f[s>>2]=Ga,+n[s>>2])}while((va|0)<(ka|0));ja=ja+1|0;if((ja|0)>=(Q|0))break;else{Ba=R;ma=Ga}}f[$+(ia<<2)>>2]=Ga}}while((Fa|0)<(fa|0))}}}while(0);if(o>>>0<=a>>>0){S=7;break}}if((S|0)==7){u=d;return}else if((S|0)==10){f[e>>2]=0;f[e+4>>2]=0;Ha=YG(e,26)|0;Ia=475898;Ja=Ha+26|0;do{b[Ha>>0]=b[Ia>>0]|0;Ha=Ha+1|0;Ia=Ia+1|0}while((Ha|0)<(Ja|0));SQ(-215,e,523657,474909,412)}else if((S|0)==56){f[e>>2]=0;f[e+4>>2]=0;Ha=YG(e,26)|0;Ia=475898;Ja=Ha+26|0;do{b[Ha>>0]=b[Ia>>0]|0;Ha=Ha+1|0;Ia=Ia+1|0}while((Ha|0)<(Ja|0));SQ(-215,e,523657,474909,675)}}function ayb(a,b,c){a=a|0;b=b|0;c=c|0;return ki[f[(f[a>>2]|0)+4>>2]&511](a,b,c)|0}function byb(a,b,c){a=a|0;b=b|0;c=c|0;return ki[f[(f[a>>2]|0)+8>>2]&511](a,b,c)|0}function cyb(a,b,c){a=a|0;b=b|0;c=c|0;return ki[f[(f[a>>2]|0)+12>>2]&511](a,b,c)|0}function dyb(a,b,c){a=a|0;b=b|0;c=c|0;return ki[f[(f[a>>2]|0)+16>>2]&511](a,b,c)|0}function eyb(a,b,c){a=a|0;b=b|0;c=c|0;return ki[f[(f[a>>2]|0)+20>>2]&511](a,b,c)|0}function fyb(a,b,c){a=a|0;b=b|0;c=c|0;return ki[f[(f[a>>2]|0)+24>>2]&511](a,b,c)|0}function gyb(a,b,c){a=a|0;b=b|0;c=c|0;return ki[f[(f[a>>2]|0)+28>>2]&511](a,b,c)|0}function hyb(a,b){a=a|0;b=b|0;xh[f[(f[a>>2]|0)+36>>2]&2047](a,b);return}function iyb(a){a=a|0;return ci[f[(f[a>>2]|0)+44>>2]&1023](a)|0}function jyb(a){a=a|0;ai[f[(f[a>>2]|0)+52>>2]&2047](a);return}function kyb(a){a=a|0;return ci[f[f[a>>2]>>2]&1023](a)|0}function lyb(a){a=a|0;f[a+16>>2]=1;return}function myb(a){a=a|0;f[a+16>>2]=0;return}function nyb(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=b;ki[f[(f[a>>2]|0)+16>>2]&511](a,c,1)|0;u=b;return f[c>>2]|0}function oyb(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=b;ki[f[(f[a>>2]|0)+20>>2]&511](a,c,1)|0;a=c;J=f[a+4>>2]|0;u=b;return f[a>>2]|0}function pyb(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=b;ki[f[(f[a>>2]|0)+28>>2]&511](a,c,1)|0;u=b;return +(+p[c>>3])}function qyb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;SQ(a,b,c,476158,d);return}function ryb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=u;u=u+32|0;g=e+16|0;h=e;i=e+24|0;a:do switch(s8b(c)|0){case 1:{switch(b[c>>0]|0){case 114:break;case 119:{f[i>>2]=0;j=i+4|0;f[j>>2]=0;k=YG(i,25)|0;l=k;m=476295;n=l+25|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));qyb(-215,i,476280,482);break}default:break a}o=a+11|0;p=e9b((b[o>>0]|0)<0?f[a>>2]|0:a,476321)|0;if(!p)if(!d){f[h>>2]=(b[o>>0]|0)<0?f[a>>2]|0:a;f[h+4>>2]=114;f[h+8>>2]=32;aR(i,476324,h);qyb(-2,i,476280,496)}else{q=0;u=e;return q|0}o=W6b(40)|0;if(!o){aR(i,476354,g);qyb(-2,i,476280,501)}f[o+28>>2]=p;f[o+32>>2]=1;f[o+36>>2]=0;f[o>>2]=140264;f[o+4>>2]=d;f[o+8>>2]=1;f[o+12>>2]=0;f[o+16>>2]=0;f[o+20>>2]=1;f[o+24>>2]=0;q=o;u=e;return q|0}case 2:{if((b[c>>0]|0)==114?(b[c+1>>0]|0)==119:0){f[i>>2]=0;j=i+4|0;f[j>>2]=0;k=YG(i,25)|0;l=k;m=476295;n=l+25|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));qyb(-215,i,476280,482)}break}default:{}}while(0);f[i>>2]=0;f[i+4>>2]=0;l=YG(i,47)|0;m=476232;n=l+47|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));qyb(-215,i,476280,480);return 0}function syb(a){a=a|0;return (f[a+28>>2]|0)!=0|0}function tyb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+16|0;g=e;h=e+8|0;i=a+28|0;j=f[i>>2]|0;if(!j){f[h>>2]=0;f[h+4>>2]=0;k=YG(h,20)|0;l=476137;m=k+20|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));qyb(-215,h,477005,266)}if(!(f[a+8>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;k=YG(h,23)|0;l=476607;m=k+23|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));qyb(-215,h,477005,266)}a:do if(!(f[a+16>>2]|0))if((d|0)>0){l=w8b(c,1,d,j)|0;if(!(f[a+20>>2]|0))n=l;else{k=t7b(f[i>>2]|0)|0;switch(k|0){case 10:case -1:{n=l;break a;break}default:{}}V8b(k,f[i>>2]|0)|0;n=l}}else n=0;else n=w8b(c,1,d,j)|0;while(0);if((n|0)==(d|0)){u=e;return n|0}f[a+24>>2]=1;if(!(f[a+4>>2]|0)){f[g>>2]=n;f[g+4>>2]=d;aR(h,476823,g);qyb(-2,h,477005,266)}else{u=e;return n|0}return 0}function uyb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+16|0;g=e;h=e+8|0;i=a+28|0;j=f[i>>2]|0;if(!j){f[h>>2]=0;f[h+4>>2]=0;k=YG(h,20)|0;l=476137;m=k+20|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));qyb(-215,h,476985,270)}if(!(f[a+8>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;k=YG(h,23)|0;l=476607;m=k+23|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));qyb(-215,h,476985,270)}a:do if(!(f[a+16>>2]|0))if((d|0)>0){l=w8b(c,1,d,j)|0;if(!(f[a+20>>2]|0))n=l;else{k=t7b(f[i>>2]|0)|0;switch(k|0){case 10:case -1:{n=l;break a;break}default:{}}V8b(k,f[i>>2]|0)|0;n=l}}else n=0;else n=w8b(c,1,d,j)|0;while(0);if((n|0)==(d|0)){u=e;return n|0}f[a+24>>2]=1;if(!(f[a+4>>2]|0)){f[g>>2]=n;f[g+4>>2]=d;aR(h,476823,g);qyb(-2,h,476985,270)}else{u=e;return n|0}return 0}function vyb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;e=u;u=u+32|0;g=e+16|0;h=e+8|0;i=e;j=e+24|0;k=a+28|0;l=f[k>>2]|0;if(!l){f[j>>2]=0;f[j+4>>2]=0;m=YG(j,20)|0;n=476137;o=m+20|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));qyb(-215,j,476960,274)}if(!(f[a+8>>2]|0)){f[j>>2]=0;f[j+4>>2]=0;m=YG(j,23)|0;n=476607;o=m+23|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));qyb(-215,j,476960,274)}a:do if(!(f[a+16>>2]|0)){n=(d|0)>0;if(n){f[i>>2]=c;m=(W7b(l,476981,i)|0)>0;o=m&1;if(m&(d|0)!=1){m=o;p=1;while(1){q=f[k>>2]|0;f[h>>2]=c+(p<<1);r=(W7b(q,476981,h)|0)>0;q=(r&1)+m|0;p=p+1|0;if(!(r&(p|0)<(d|0))){s=q;break}else m=q}}else s=o;if(n&(f[a+20>>2]|0)!=0){m=t7b(f[k>>2]|0)|0;switch(m|0){case 10:case -1:{t=s;break a;break}default:{}}V8b(m,f[k>>2]|0)|0;t=s}else t=s}else t=0}else{m=w8b(c,2,d,l)|0;if((m|0)>0&(f[a+32>>2]|0)==0){p=0;q=c;while(1){r=b[q>>0]|0;v=q+1|0;b[q>>0]=b[v>>0]|0;b[v>>0]=r;p=p+1|0;if((p|0)==(m|0)){t=m;break}else q=q+2|0}}else t=m}while(0);if((t|0)==(d|0)){u=e;return t|0}f[a+24>>2]=1;if(!(f[a+4>>2]|0)){f[g>>2]=t;f[g+4>>2]=d;aR(j,476823,g);qyb(-2,j,476960,274)}else{u=e;return t|0}return 0}function wyb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;e=u;u=u+32|0;g=e+16|0;h=e+8|0;i=e;j=e+24|0;k=a+28|0;l=f[k>>2]|0;if(!l){f[j>>2]=0;f[j+4>>2]=0;m=YG(j,20)|0;n=476137;o=m+20|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));qyb(-215,j,476936,278)}if(!(f[a+8>>2]|0)){f[j>>2]=0;f[j+4>>2]=0;m=YG(j,23)|0;n=476607;o=m+23|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));qyb(-215,j,476936,278)}a:do if(!(f[a+16>>2]|0)){n=(d|0)>0;if(n){f[i>>2]=c;m=(W7b(l,476955,i)|0)>0;o=m&1;if(m&(d|0)!=1){m=o;p=1;while(1){q=f[k>>2]|0;f[h>>2]=c+(p<<2);r=(W7b(q,476955,h)|0)>0;q=(r&1)+m|0;p=p+1|0;if(!(r&(p|0)<(d|0))){s=q;break}else m=q}}else s=o;if(n&(f[a+20>>2]|0)!=0){m=t7b(f[k>>2]|0)|0;switch(m|0){case 10:case -1:{t=s;break a;break}default:{}}V8b(m,f[k>>2]|0)|0;t=s}else t=s}else t=0}else{m=w8b(c,4,d,l)|0;if((m|0)>0&(f[a+32>>2]|0)==0){p=0;q=c;while(1){r=b[q>>0]|0;v=q+3|0;b[q>>0]=b[v>>0]|0;b[v>>0]=r;r=q+1|0;v=b[r>>0]|0;w=q+2|0;b[r>>0]=b[w>>0]|0;b[w>>0]=v;p=p+1|0;if((p|0)==(m|0)){t=m;break}else q=q+4|0}}else t=m}while(0);if((t|0)==(d|0)){u=e;return t|0}f[a+24>>2]=1;if(!(f[a+4>>2]|0)){f[g>>2]=t;f[g+4>>2]=d;aR(j,476823,g);qyb(-2,j,476936,278)}else{u=e;return t|0}return 0}function xyb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=u;u=u+48|0;g=e+24|0;h=e+16|0;i=e+8|0;j=e;k=e+32|0;l=a+28|0;m=f[l>>2]|0;if(!m){f[k>>2]=0;f[k+4>>2]=0;n=YG(k,20)|0;o=476137;p=n+20|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));qyb(-215,k,476888,299)}if(!(f[a+8>>2]|0)){f[k>>2]=0;f[k+4>>2]=0;n=YG(k,23)|0;o=476607;p=n+23|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));qyb(-215,k,476888,300)}a:do if(!(f[a+16>>2]|0)){o=(d|0)>0;if(o){f[j>>2]=k;b:do if((W7b(m,476908,j)|0)<1){q=0;r=23}else{n=0;while(1){p=n+1|0;s=f[k>>2]|0;t=c+(n<<3)|0;f[t>>2]=s;f[t+4>>2]=((s|0)<0)<<31>>31;if((p|0)>=(d|0)){v=p;break b}s=f[l>>2]|0;f[h>>2]=k;if((W7b(s,476908,h)|0)<1){q=p;r=23;break}else n=p}}while(0);if((r|0)==23)v=q;if(o&(f[a+20>>2]|0)!=0){n=t7b(f[l>>2]|0)|0;switch(n|0){case 10:case -1:{w=v;break a;break}default:{}}V8b(n,f[l>>2]|0)|0;w=v}else w=v}else w=0}else switch(f[a+36>>2]|0){case 8:case 0:{n=w8b(c,8,d,m)|0;if((n|0)>0&(f[a+32>>2]|0)==0){x=0;y=c}else{w=n;break a}while(1){p=b[y>>0]|0;s=y+7|0;b[y>>0]=b[s>>0]|0;b[s>>0]=p;p=y+1|0;s=b[p>>0]|0;t=y+6|0;b[p>>0]=b[t>>0]|0;b[t>>0]=s;s=y+2|0;t=b[s>>0]|0;p=y+5|0;b[s>>0]=b[p>>0]|0;b[p>>0]=t;t=y+3|0;p=b[t>>0]|0;s=y+4|0;b[t>>0]=b[s>>0]|0;b[s>>0]=p;x=x+1|0;if((x|0)==(n|0)){w=n;break}else y=y+8|0}break}case 4:{n=w8b(c,4,d,m)|0;o=(n|0)>0;if(o&(f[a+32>>2]|0)==0){p=0;s=c;while(1){t=b[s>>0]|0;z=s+3|0;b[s>>0]=b[z>>0]|0;b[z>>0]=t;t=s+1|0;z=b[t>>0]|0;A=s+2|0;b[t>>0]=b[A>>0]|0;b[A>>0]=z;p=p+1|0;if((p|0)==(n|0))break;else s=s+4|0}}if(!o){w=n;break a}s=n;do{p=s;s=s+-1|0;z=f[c+(s<<2)>>2]|0;A=c+(s<<3)|0;f[A>>2]=z;f[A+4>>2]=((z|0)<0)<<31>>31}while((p|0)>1);w=n;break}default:{n=W6b(d<<3)|0;if(!n){aR(k,476912,i);qyb(-2,k,476888,323)}s=w8b(n,8,d,m)|0;o=(s|0)>0;if(o){p=s;do{z=p;p=p+-1|0;A=f[n+(p<<1<<2)>>2]|0;t=c+(p<<3)|0;f[t>>2]=A;f[t+4>>2]=((A|0)<0)<<31>>31}while((z|0)>1)}X6b(n);if(!(o&(f[a+32>>2]|0)==0)){w=s;break a}p=0;z=c;while(1){A=b[z>>0]|0;t=z+3|0;b[z>>0]=b[t>>0]|0;b[t>>0]=A;A=z+1|0;t=b[A>>0]|0;B=z+2|0;b[A>>0]=b[B>>0]|0;b[B>>0]=t;p=p+1|0;if((p|0)==(s|0)){w=s;break}else z=z+4|0}}}while(0);if((w|0)==(d|0)){u=e;return w|0}f[a+24>>2]=1;if(!(f[a+4>>2]|0)){f[g>>2]=w;f[g+4>>2]=d;aR(k,476823,g);qyb(-2,k,476888,354)}else{u=e;return w|0}return 0}function yyb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;e=u;u=u+32|0;g=e+16|0;h=e+8|0;i=e;j=e+24|0;k=a+28|0;l=f[k>>2]|0;if(!l){f[j>>2]=0;f[j+4>>2]=0;m=YG(j,20)|0;n=476137;o=m+20|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));qyb(-215,j,476864,286)}if(!(f[a+8>>2]|0)){f[j>>2]=0;f[j+4>>2]=0;m=YG(j,23)|0;n=476607;o=m+23|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));qyb(-215,j,476864,286)}a:do if(!(f[a+16>>2]|0)){n=(d|0)>0;if(n){f[i>>2]=c;m=(W7b(l,476885,i)|0)>0;o=m&1;if(m&(d|0)!=1){m=o;p=1;while(1){q=f[k>>2]|0;f[h>>2]=c+(p<<2);r=(W7b(q,476885,h)|0)>0;q=(r&1)+m|0;p=p+1|0;if(!(r&(p|0)<(d|0))){s=q;break}else m=q}}else s=o;if(n&(f[a+20>>2]|0)!=0){m=t7b(f[k>>2]|0)|0;switch(m|0){case 10:case -1:{t=s;break a;break}default:{}}V8b(m,f[k>>2]|0)|0;t=s}else t=s}else t=0}else{m=w8b(c,4,d,l)|0;if((m|0)>0&(f[a+32>>2]|0)==0){p=0;q=c;while(1){r=b[q>>0]|0;v=q+3|0;b[q>>0]=b[v>>0]|0;b[v>>0]=r;r=q+1|0;v=b[r>>0]|0;w=q+2|0;b[r>>0]=b[w>>0]|0;b[w>>0]=v;p=p+1|0;if((p|0)==(m|0)){t=m;break}else q=q+4|0}}else t=m}while(0);if((t|0)==(d|0)){u=e;return t|0}f[a+24>>2]=1;if(!(f[a+4>>2]|0)){f[g>>2]=t;f[g+4>>2]=d;aR(j,476823,g);qyb(-2,j,476864,286)}else{u=e;return t|0}return 0}function zyb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;e=u;u=u+32|0;g=e+16|0;h=e+8|0;i=e;j=e+24|0;k=a+28|0;l=f[k>>2]|0;if(!l){f[j>>2]=0;f[j+4>>2]=0;m=YG(j,20)|0;n=476137;o=m+20|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));qyb(-215,j,476797,290)}if(!(f[a+8>>2]|0)){f[j>>2]=0;f[j+4>>2]=0;m=YG(j,23)|0;n=476607;o=m+23|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));qyb(-215,j,476797,290)}a:do if(!(f[a+16>>2]|0)){n=(d|0)>0;if(n){f[i>>2]=c;m=(W7b(l,476819,i)|0)>0;o=m&1;if(m&(d|0)!=1){m=o;p=1;while(1){q=f[k>>2]|0;f[h>>2]=c+(p<<3);r=(W7b(q,476819,h)|0)>0;q=(r&1)+m|0;p=p+1|0;if(!(r&(p|0)<(d|0))){s=q;break}else m=q}}else s=o;if(n&(f[a+20>>2]|0)!=0){m=t7b(f[k>>2]|0)|0;switch(m|0){case 10:case -1:{t=s;break a;break}default:{}}V8b(m,f[k>>2]|0)|0;t=s}else t=s}else t=0}else{m=w8b(c,8,d,l)|0;if((m|0)>0&(f[a+32>>2]|0)==0){p=0;q=c;while(1){r=b[q>>0]|0;v=q+7|0;b[q>>0]=b[v>>0]|0;b[v>>0]=r;r=q+1|0;v=b[r>>0]|0;w=q+6|0;b[r>>0]=b[w>>0]|0;b[w>>0]=v;v=q+2|0;w=b[v>>0]|0;r=q+5|0;b[v>>0]=b[r>>0]|0;b[r>>0]=w;w=q+3|0;r=b[w>>0]|0;v=q+4|0;b[w>>0]=b[v>>0]|0;b[v>>0]=r;p=p+1|0;if((p|0)==(m|0)){t=m;break}else q=q+8|0}}else t=m}while(0);if((t|0)==(d|0)){u=e;return t|0}f[a+24>>2]=1;if(!(f[a+4>>2]|0)){f[g>>2]=t;f[g+4>>2]=d;aR(j,476823,g);qyb(-2,j,476797,290)}else{u=e;return t|0}return 0}function Ayb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;e=u;u=u+48|0;g=e+24|0;h=e+16|0;i=e+8|0;j=e;k=e+32|0;l=a+28|0;if(!(f[l>>2]|0)){f[k>>2]=0;f[k+4>>2]=0;m=YG(k,20)|0;n=476137;o=m+20|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));qyb(-215,k,476585,364)}if(!(f[a+8>>2]|0)){f[k>>2]=0;f[k+4>>2]=0;m=YG(k,23)|0;n=476607;o=m+23|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));qyb(-215,k,476585,365)}if(((s8b(c)|0)>>>0>1?(b[c>>0]|0)==42:0)?(p=b[c+1>>0]|0,c=p<<24>>24==97,!(c^p<<24>>24!=108)):0){p=W6b(1024)|0;if(c){c=0;q=1024;r=p;while(1){s=q+1024|0;if((q|0)==(c|0)){t=s;v=Y6b(r,s)|0}else{t=q;v=r}if(!v){w=13;break}c=(w8b(v+c|0,1,t-c|0,f[l>>2]|0)|0)+c|0;if((c|0)<(t|0))break;else{q=t;r=v}}if((w|0)==13){aR(k,476720,j);qyb(-2,k,476585,386)}if(c|0){x=v;y=c;f[d>>2]=x;u=e;return y|0}X6b(v);f[a+24>>2]=1;if(!(f[a+4>>2]|0)){aR(k,476758,i);qyb(-2,k,476585,395)}else{x=0;y=0;f[d>>2]=x;u=e;return y|0}}else{z=0;A=1024;B=p}while(1){p=A+1024|0;if((A-z|0)<2){C=p;D=Y6b(B,p)|0}else{C=A;D=B}if(!D){w=21;break}p=D+z|0;if(!(U8b(p,C-z|0,f[l>>2]|0)|0)){w=23;break}i=s8b(p)|0;if(i|0?(E=i+-1|0,(b[p+E>>0]|0)==10):0){w=29;break}z=i+z|0;A=C;B=D}if((w|0)==21){aR(k,476720,h);qyb(-2,k,476585,420)}else if((w|0)==23){if(z|0){x=D;y=z;f[d>>2]=x;u=e;return y|0}X6b(D);f[a+24>>2]=1;if(!(f[a+4>>2]|0)){aR(k,476758,g);qyb(-2,k,476585,428)}else{x=0;y=0;f[d>>2]=x;u=e;return y|0}}else if((w|0)==29){x=D;y=E+z|0;f[d>>2]=x;u=e;return y|0}}f[k>>2]=0;f[k+4>>2]=0;m=YG(k,88)|0;n=476631;o=m+88|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));qyb(-215,k,476585,366);return 0}function Byb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d;g=d+8|0;h=f[a+28>>2]|0;if(!h){f[g>>2]=0;f[g+4>>2]=0;i=YG(g,20)|0;j=476137;k=i+20|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));qyb(-215,g,476539,111)}if((a9b(h,c,0)|0)>=0){u=d;return}f[a+24>>2]=1;if(!(f[a+4>>2]|0)){f[e>>2]=c;aR(g,476555,e);qyb(-2,g,476539,123)}else{u=d;return}}function Cyb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=u;u=u+16|0;d=c;e=c+8|0;g=f[a+28>>2]|0;if(!g){f[e>>2]=0;f[e+4>>2]=0;h=YG(e,20)|0;i=476137;j=h+20|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));qyb(-215,e,476490,131)}if((a9b(g,0,2)|0)>=0){u=c;return}f[a+24>>2]=1;if(!(f[a+4>>2]|0)){aR(e,476509,d);qyb(-2,e,476490,143)}else{u=c;return}}function Dyb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=u;u=u+16|0;d=c;e=c+8|0;g=f[a+28>>2]|0;if(!g){f[e>>2]=0;f[e+4>>2]=0;h=YG(e,20)|0;i=476137;j=h+20|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));qyb(-215,e,476403,150)}i=y8b(g)|0;if((i|0)>-1){k=i;u=c;return k|0}if(!(f[a+4>>2]|0)){aR(e,476423,d);qyb(-2,e,476403,162)}else{k=0;u=c;return k|0}return 0}function Eyb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+16|0;d=c;e=a+28|0;a=f[e>>2]|0;if(!a){f[d>>2]=0;f[d+4>>2]=0;g=YG(d,20)|0;h=476137;i=g+20|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));qyb(-215,d,476386,170)}else{G8b(a)|0;f[e>>2]=0;u=c;return}}function Fyb(a){a=a|0;var b=0;b=f[a+28>>2]|0;if(!b){X6b(a);return}G8b(b)|0;X6b(a);return}function Gyb(a){a=a|0;var c=0,d=0;f[a>>2]=140384;c=f[a+8>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}d=a&-2;a=d;if((d|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(d);f[c>>2]=0;return}function Hyb(a){a=a|0;Gyb(a);Emc(a);return}function Iyb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function Jyb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(32)|0;tzb(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,23168,32);a=nBb(b,32)|0;vzb(a,b);c=a;return c|0}function Kyb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function Lyb(a){a=a|0;return f[a+4>>2]|0}function Myb(a){a=a|0;var c=0,d=0,e=0;c=a+4|0;d=f[a+8>>2]|0;do if((d|0)!=535416){e=d+11|0;if((b[e>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[e>>0]=0;break}}while(0);d=a+16|0;f[d>>2]=0;f[d+4>>2]=0;d=f[c>>2]|0;if(!(d&1))return;c=d&-2;if(!(f[c>>2]|0))return;L3b(c);return}function Nyb(a){a=a|0;return 1}function Oyb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+16|0;i=e+8|0;j=a+8|0;k=a+4|0;l=a+8|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){m=b[a>>0]|0;n=m&255;if(m<<24>>24>0){f[c>>2]=a+1;o=n;p=6}else{q=n;p=5}}else{q=0;p=5}if((p|0)==5){p=0;n=xCb(c,q)|0;if((n+-1|0)>>>0<127){o=n;p=6}else r=n}b:do if((p|0)==6){p=0;switch(o>>>3&536870911|0){case 1:{if((o&255|0)!=8){r=o;break b}n=f[c>>2]|0;if(n>>>0<(f[g>>2]|0)>>>0?(a=b[n>>0]|0,a<<24>>24>-1):0){f[c>>2]=n+1;s=a&255;t=0}else{jCb(e,c);a=e;if(!(b[i>>0]|0)){v=0;p=29;break a}else{s=f[a>>2]|0;t=f[a+4>>2]|0}}a=h;f[a>>2]=s;f[a+4>>2]=t;continue a;break}case 2:break;default:{r=o;break b}}if((o&255|0)==18){a=f[k>>2]|0;n=a&-2;if(!(a&1))w=n;else w=f[n+4>>2]|0;n=f[j>>2]|0;if((n|0)==535416){PDa(j,w,535416);x=f[j>>2]|0}else x=n;if(!(HEb(c,x)|0)){v=0;p=29;break a}n=f[l>>2]|0;a=b[n+11>>0]|0;if(a<<24>>24<0){y=f[n>>2]|0;z=f[n+4>>2]|0}else{y=n;z=a&255}if(IEb(y,z,0,477400)|0)continue a;else{v=0;p=29;break a}}else r=o}while(0);if(!r){v=1;p=29;break}a=f[k>>2]|0;if(!(a&1))A=AHa(k)|0;else A=a&-2;if(!(b4b(c,r,A)|0)){v=0;p=29;break}}if((p|0)==29){u=d;return v|0}return 0}function Pyb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=f[a+4>>2]|0;if((c&1|0)!=0&(b[481264]|0)!=0)d=h4b(c&-2)|0;else d=0;c=f[a+8>>2]|0;e=b[c+11>>0]|0;g=e<<24>>24<0;if(g)h=f[c+4>>2]|0;else h=e&255;if(!h)i=d;else{h=g?f[c+4>>2]|0:e&255;i=d+1+h+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}h=a+16|0;d=f[h>>2]|0;e=f[h+4>>2]|0;if((d|0)==0&(e|0)==0){j=i;k=a+24|0;f[k>>2]=j;return j|0}h=Prc(d|1|0,e|0,1)|0;j=i+1+((((h^63)*9|0)+73|0)>>>6)|0;k=a+24|0;f[k>>2]=j;return j|0}function Qyb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=a+16|0;e=f[d>>2]|0;g=f[d+4>>2]|0;if(!((e|0)==0&(g|0)==0))nEb(1,e,g,c);g=a+8|0;e=f[g>>2]|0;d=b[e+11>>0]|0;h=d<<24>>24<0;if(h)i=f[e+4>>2]|0;else i=d&255;if(i|0){if(h){j=f[e>>2]|0;k=f[e+4>>2]|0}else{j=e;k=d&255}IEb(j,k,1,477400)|0;BEb(2,f[g>>2]|0,c)}g=f[a+4>>2]|0;if(!((g&1|0)!=0&(b[481264]|0)!=0))return;e4b(g&-2,c);return}function Ryb(a){a=a|0;return f[a+24>>2]|0}function Syb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=a+16|0;e=f[c>>2]|0;g=f[c+4>>2]|0;if((e|0)==0&(g|0)==0)h=d;else{b[d>>0]=8;c=d+1|0;d=e&255;if(g>>>0>0|(g|0)==0&e>>>0>127){i=c;j=d;k=e;e=g;while(1){b[i>>0]=j|-128;g=k;k=Irc(k|0,e|0,7)|0;l=i+1|0;m=k&255;if(!(e>>>0>0|(e|0)==0&g>>>0>16383)){n=l;o=m;break}else{i=l;j=m;e=J}}}else{n=c;o=d}b[n>>0]=o;h=n+1|0}n=a+8|0;o=f[n>>2]|0;d=b[o+11>>0]|0;c=d<<24>>24<0;if(c)p=f[o+4>>2]|0;else p=d&255;if(!p)q=h;else{if(c){r=f[o>>2]|0;s=f[o+4>>2]|0}else{r=o;s=d&255}IEb(r,s,1,477400)|0;s=f[n>>2]|0;b[h>>0]=18;q=GCb(s,h+1|0)|0}h=f[a+4>>2]|0;if(!((h&1|0)!=0&(b[481264]|0)!=0)){t=q;return t|0}t=f4b(h&-2,q)|0;return t|0}function Tyb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function Uyb(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,23168,0)|0;if(!c){c2b(b,a);return}else{wzb(a,c);return}}function Vyb(a,b){a=a|0;b=b|0;f[a+24>>2]=b;return}function Wyb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222901]|0)!=2){f[d>>2]=149752;f[d+4>>2]=120;b[d+8>>0]=0;dEb(891604,d);zDb(d)}d=535096;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function Xyb(){var a=0,c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((f[222902]|0)!=2){f[c>>2]=149752;f[c+4>>2]=121;b[c+8>>0]=0;dEb(891608,c);zDb(c)}d=Bmc(32)|0;f[c>>2]=d;f[c+8>>2]=-2147483616;f[c+4>>2]=18;e=d;g=477025;h=e+18|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));b[d+18>>0]=0;wYb(c,140484,140508,140320,0,535096,0,0);if((b[c+11>>0]|0)>=0){u=a;return}Emc(f[c>>2]|0);u=a;return}function Yyb(){Zyb();NIb(477044,231);R1b(477025,1667);return}function Zyb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222903]|0)!=2){f[c>>2]=149752;f[c+4>>2]=122;b[c+8>>0]=0;dEb(891612,c);zDb(c)}if((f[222904]|0)==2){u=a;return}f[c>>2]=149752;f[c+4>>2]=123;b[c+8>>0]=0;dEb(891616,c);zDb(c);u=a;return}function _yb(a){a=a|0;var c=0;a=u;u=u+16|0;c=a;if((f[222901]|0)!=2){f[c>>2]=149752;f[c+4>>2]=120;b[c+8>>0]=0;dEb(891604,c);zDb(c)}BYb(535096,2);u=a;return}function $yb(){var a=0;CDb(3005001,3005e3,477276);tBb();f[133758]=140384;f[133759]=0;f[133760]=535416;a=535048;f[a>>2]=0;f[a+4>>2]=0;f[133764]=0;$Db(535032);return}function azb(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,477276);tBb();if((f[222903]|0)!=2){f[c>>2]=149752;f[c+4>>2]=122;b[c+8>>0]=0;dEb(891612,c);zDb(c)}f[133766]=140524;f[133767]=0;f[133768]=0;f[133769]=0;f[133770]=0;f[133771]=0;b[535088]=0;f[133773]=0;$Db(535064);u=a;return}function bzb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=140524;b=a+20|0;c=f[b>>2]|0;if(c|0?(f[a+8>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)ai[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;Emc(h)}f[b>>2]=0;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}h=a&-2;a=h;if((h|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(h);f[b>>2]=0;return}function czb(a){a=a|0;bzb(a);Emc(a);return}function dzb(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function ezb(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(32)|0;xzb(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,23184,32);a=nBb(b,32)|0;yzb(a,b);c=a;return c|0}function fzb(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function gzb(a){a=a|0;return f[a+4>>2]|0}function hzb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=a+12|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+20>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;ai[f[(f[h>>2]|0)+28>>2]&2047](h)}while((g|0)!=(d|0));f[c>>2]=0}b[a+24>>0]=0;c=f[a+4>>2]|0;if(!(c&1))return;a=c&-2;if(!(f[a>>2]|0))return;L3b(a);return}function izb(a){a=a|0;return 1}function jzb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+20|0;j=a+16|0;k=a+12|0;l=e+4|0;m=a+24|0;n=e+8|0;o=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0){p=b[a>>0]|0;q=p&255;if(p<<24>>24>0){f[c>>2]=a+1;r=q;s=6}else{t=q;s=5}}else{t=0;s=5}if((s|0)==5){s=0;q=xCb(c,t)|0;if((q+-1|0)>>>0<127){r=q;s=6}else v=q}b:do if((s|0)==6){s=0;switch(r>>>3&536870911|0){case 2:break;case 3:{if((r&255|0)!=24){v=r;break b}q=f[c>>2]|0;if(q>>>0<(f[g>>2]|0)>>>0?(a=b[q>>0]|0,a<<24>>24>-1):0){f[c>>2]=q+1;w=a<<24>>24!=0}else{jCb(e,c);a=e;if(!(b[n>>0]|0)){x=0;s=39;break a}else w=(f[a>>2]|0)!=0|(f[a+4>>2]|0)!=0}b[m>>0]=w&1;continue a;break}default:{v=r;break b}}if((r&255|0)==18){a=f[i>>2]|0;do if(a){q=f[k>>2]|0;p=f[a>>2]|0;if((q|0)>=(p|0))if((p|0)==(f[j>>2]|0)){y=p;s=13;break}else{z=p;A=a;s=14;break}else{f[k>>2]=q+1;B=f[a+4+(q<<2)>>2]|0;break}}else{y=f[j>>2]|0;s=13}while(0);if((s|0)==13){s=0;uDb(h,y+1|0);a=f[i>>2]|0;z=f[a>>2]|0;A=a;s=14}if((s|0)==14){s=0;f[A>>2]=z+1;a=f[h>>2]|0;if(!a){q=Bmc(32)|0;tzb(q);C=q}else{if(f[a+64>>2]|0)pBb(a,23168,32);q=nBb(a,32)|0;vzb(q,a);C=q}q=f[i>>2]|0;a=f[k>>2]|0;f[k>>2]=a+1;f[q+4+(a<<2)>>2]=C;B=C}a=f[c>>2]|0;if(a>>>0<(f[g>>2]|0)>>>0?(q=b[a>>0]|0,q<<24>>24>-1):0){f[c>>2]=a+1;D=q&255}else{q=wCb(c)|0;if((q|0)>-1)D=q;else{x=0;s=39;break a}}hCb(e,c,D);if((f[l>>2]|0)<0){s=26;break a}if(!(Sh[f[(f[B>>2]|0)+44>>2]&511](B,c)|0)){s=26;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{x=0;s=39;break a}}else v=r}while(0);if(!v){x=1;s=39;break}q=f[o>>2]|0;if(!(q&1))E=AHa(o)|0;else E=q&-2;if(!(b4b(c,v,E)|0)){x=0;s=39;break}}if((s|0)==26){x=0;u=d;return x|0}else if((s|0)==39){u=d;return x|0}return 0}function kzb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=f[a+4>>2]|0;if((c&1|0)!=0&(b[481264]|0)!=0)d=h4b(c&-2)|0;else d=0;c=f[a+12>>2]|0;e=c+d|0;if(!c){g=e;h=a+24|0;i=b[h>>0]|0;j=i<<24>>24!=0;k=g+2|0;l=j?k:g;m=a+28|0;f[m>>2]=l;return l|0}d=a+20|0;n=0;o=e;while(1){e=f[(f[d>>2]|0)+4+(n<<2)>>2]|0;p=ci[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=p+o+((((($(p|1|0)|0)^31)*9|0)+73|0)>>>6)|0;n=n+1|0;if((n|0)==(c|0)){g=e;break}else o=e}h=a+24|0;i=b[h>>0]|0;j=i<<24>>24!=0;k=g+2|0;l=j?k:g;m=a+28|0;f[m>>2]=l;return l|0}function lzb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=f[a+12>>2]|0;if(d|0){e=a+20|0;g=0;do{GEb(2,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(d|0))}if(b[a+24>>0]|0)yEb(3,1,c);d=f[a+4>>2]|0;if(!((d&1|0)!=0&(b[481264]|0)!=0))return;e4b(d&-2,c);return}function mzb(a){a=a|0;return f[a+28>>2]|0}function nzb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=f[a+12>>2]|0;if(!e)g=d;else{h=a+20|0;i=0;j=d;while(1){d=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;b[j>>0]=18;k=j+1|0;l=ci[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=k;r=l}b[q>>0]=r;n=ki[f[(f[d>>2]|0)+64>>2]&511](d,c,q+1|0)|0;i=i+1|0;if((i|0)==(e|0)){g=n;break}else j=n}}if(!(b[a+24>>0]|0))s=g;else{b[g>>0]=24;b[g+1>>0]=1;s=g+2|0}g=f[a+4>>2]|0;if(!((g&1|0)!=0&(b[481264]|0)!=0)){t=s;return t|0}t=f4b(g&-2,s)|0;return t|0}function ozb(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function pzb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=Jnc(c,24640,23184,0)|0;if(!d){c2b(c,a);return}c=a+4|0;e=f[d+4>>2]|0;if(e&1|0){g=f[c>>2]|0;if(!(g&1))h=AHa(c)|0;else h=g&-2;O3b(h,e&-2)}szb(a+8|0,d+8|0);if(!(b[d+24>>0]|0))return;b[a+24>>0]=1;return}function qzb(a,b){a=a|0;b=b|0;f[a+28>>2]=b;return}function rzb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222901]|0)!=2){f[d>>2]=149752;f[d+4>>2]=120;b[d+8>>0]=0;dEb(891604,d);zDb(d)}d=535104;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function szb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{uzb(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(32)|0;tzb(l);uzb(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,23168,32);l=nBb(i,32)|0;vzb(l,i);uzb(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function tzb(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=140384;f[a+4>>2]=0;if((a|0)!=535032?(f[222903]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=122;b[d+8>>0]=0;dEb(891612,d);zDb(d)}f[a+8>>2]=535416;d=a+16|0;f[d>>2]=0;f[d+4>>2]=0;f[a+24>>2]=0;u=c;return}function uzb(a,b){a=a|0;b=b|0;wzb(b,a);return}function vzb(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=140384;f[a+4>>2]=c;if((f[222903]|0)!=2){f[e>>2]=149752;f[e+4>>2]=122;b[e+8>>0]=0;dEb(891612,e);zDb(e)}f[a+8>>2]=535416;e=a+16|0;f[e>>2]=0;f[e+4>>2]=0;f[a+24>>2]=0;u=d;return}function wzb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}e=f[c+8>>2]|0;h=b[e+11>>0]|0;if(h<<24>>24<0)i=f[e+4>>2]|0;else i=h&255;do if(i|0){h=a+8|0;g=f[d>>2]|0;j=g&-2;if(!(g&1))k=j;else k=f[j+4>>2]|0;j=f[h>>2]|0;if((j|0)==535416){PDa(h,k,e);break}else{Qmc(j,e)|0;break}}while(0);e=c+16|0;c=f[e>>2]|0;k=f[e+4>>2]|0;if((c|0)==0&(k|0)==0)return;e=a+16|0;f[e>>2]=c;f[e+4>>2]=k;return}function xzb(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=140524;e=a+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;if((a|0)!=535064?(f[222904]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=123;b[d+8>>0]=0;dEb(891616,d);zDb(d)}b[a+24>>0]=0;f[a+28>>2]=0;u=c;return}function yzb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;f[a>>2]=140524;f[a+4>>2]=c;f[a+8>>2]=c;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;if((f[222904]|0)==2){g=a+24|0;b[g>>0]=0;h=a+28|0;f[h>>2]=0;u=d;return}f[e>>2]=149752;f[e+4>>2]=123;b[e+8>>0]=0;dEb(891616,e);zDb(e);g=a+24|0;b[g>>0]=0;h=a+28|0;f[h>>2]=0;u=d;return}function zzb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222902]|0)==2){u=a;return}f[c>>2]=149752;f[c+4>>2]=121;b[c+8>>0]=0;dEb(891608,c);zDb(c);u=a;return}function Azb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222904]|0)==2){u=a;return}f[c>>2]=149752;f[c+4>>2]=123;b[c+8>>0]=0;dEb(891616,c);zDb(c);u=a;return}function Bzb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222902]|0)==2){u=a;return}f[c>>2]=149752;f[c+4>>2]=121;b[c+8>>0]=0;dEb(891608,c);zDb(c);u=a;return}function Czb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}szb(a+8|0,c+8|0);if(!(b[c+24>>0]|0))return;b[a+24>>0]=1;return}function Dzb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;SQ(-215,a,b,c,d);return}function Ezb(a,c,d,e,g,h,i){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=+h;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0.0,aa=0,ba=0,ca=0,da=0;j=u;u=u+48|0;k=j;l=j+36|0;m=j+32|0;if(((f[a+4>>2]|0)-(f[a>>2]|0)>>5|0)!=((f[c+4>>2]|0)-(f[c>>2]|0)>>2|0)){f[k>>2]=0;f[k+4>>2]=0;n=YG(k,30)|0;o=477488;q=n+30|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(q|0));Dzb(k,477519,477528,39)}if(!(d>=0.0)){f[k>>2]=0;f[k+4>>2]=0;n=YG(k,20)|0;o=477589;q=n+20|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(q|0));Dzb(k,477519,477528,39)}if(!(e>=0.0)){f[k>>2]=0;f[k+4>>2]=0;n=YG(k,18)|0;o=477610;q=n+18|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(q|0));Dzb(k,477519,477528,39)}if(!(h>0.0)){f[k>>2]=0;f[k+4>>2]=0;o=YG(k,7)|0;b[o>>0]=b[477629]|0;b[o+1>>0]=b[477630]|0;b[o+2>>0]=b[477631]|0;b[o+3>>0]=b[477632]|0;b[o+4>>0]=b[477633]|0;b[o+5>>0]=b[477634]|0;b[o+6>>0]=b[477635]|0;Dzb(k,477519,477528,39)}f[l>>2]=0;o=l+4|0;f[o>>2]=0;f[l+8>>2]=0;Ssb(c,d,i,l);i=f[g>>2]|0;c=g+4|0;n=f[c>>2]|0;q=i;r=n+(~((n+-4-q|0)>>>2)<<2)|0;if((n|0)==(i|0)){s=n;t=i}else{f[c>>2]=r;s=r;t=r}r=s;s=t;n=f[o>>2]|0;v=f[l>>2]|0;w=v;a:do if((n|0)!=(v|0)){x=g+8|0;if(h<1.0){y=k+8|0;z=k+16|0;A=k+24|0;B=0;d=e;C=r;D=t;E=i;F=w;G=q;H=s;while(1){I=f[F+(B<<3)+4>>2]|0;f[m>>2]=I;if((H-G|0)>0){J=0;K=G;L=C;M=E;N=I;while(1){I=f[M+(J<<2)>>2]|0;O=f[a>>2]|0;P=+p[O+(N<<5)+16>>3];Q=+p[O+(N<<5)+24>>3];R=P*Q+ +p[O+(I<<5)+16>>3]*+p[O+(I<<5)+24>>3];if(!(R<=2.220446049250313e-16)){p[k>>3]=+p[O+(N<<5)>>3];p[y>>3]=+p[O+(N<<5)+8>>3];p[z>>3]=P;p[A>>3]=Q;Fzb(k,O+(I<<5)|0)|0;Q=+p[k+16>>3]*+p[k+24>>3];S=1.0-Q/(R-Q);T=f[g>>2]|0;U=f[c>>2]|0}else{S=0.0;T=K;U=L}V=1.0-S<=d;I=J+1|0;if(!(V&(I|0)<(U-T>>2|0)))break;J=I;K=T;L=U;M=T;N=f[m>>2]|0}if(V){W=U;X=17}else Y=0}else{W=D;X=17}do if((X|0)==17){X=0;if((W|0)==(f[x>>2]|0)){MR(g,m);Y=1;break}else{f[W>>2]=f[m>>2];f[c>>2]=W+4;Y=1;break}}while(0);N=B+1|0;M=f[o>>2]|0;L=f[l>>2]|0;K=L;if(N>>>0>=M-L>>3>>>0){Z=M;_=K;break a}M=f[c>>2]|0;L=f[g>>2]|0;B=N;d=d>.5&Y?d*h:d;C=M;D=M;E=L;F=K;G=L;H=M}}else{H=k+8|0;G=k+16|0;F=k+24|0;E=0;D=w;C=q;B=s;A=r;z=t;y=i;while(1){M=f[D+(E<<3)+4>>2]|0;f[m>>2]=M;if((B-C|0)>0){L=0;K=y;N=M;M=C;J=A;while(1){I=f[K+(L<<2)>>2]|0;O=f[a>>2]|0;d=+p[O+(N<<5)+16>>3];Q=+p[O+(N<<5)+24>>3];R=d*Q+ +p[O+(I<<5)+16>>3]*+p[O+(I<<5)+24>>3];if(!(R<=2.220446049250313e-16)){p[k>>3]=+p[O+(N<<5)>>3];p[H>>3]=+p[O+(N<<5)+8>>3];p[G>>3]=d;p[F>>3]=Q;Fzb(k,O+(I<<5)|0)|0;Q=+p[k+16>>3]*+p[k+24>>3];$=1.0-Q/(R-Q);aa=f[c>>2]|0;ba=f[g>>2]|0}else{$=0.0;aa=J;ba=M}ca=1.0-$<=e;I=L+1|0;if(!(ca&(I|0)<(aa-ba>>2|0)))break;L=I;K=ba;N=f[m>>2]|0;M=ba;J=aa}if(ca){da=aa;X=36}}else{da=z;X=36}do if((X|0)==36){X=0;if((da|0)==(f[x>>2]|0)){MR(g,m);break}else{f[da>>2]=f[m>>2];f[c>>2]=da+4;break}}while(0);J=E+1|0;M=f[o>>2]|0;N=f[l>>2]|0;K=N;if(J>>>0>=M-N>>3>>>0){Z=M;_=K;break a}M=f[c>>2]|0;N=f[g>>2]|0;E=J;D=K;C=N;B=M;A=M;z=M;y=N}}}else{Z=n;_=w}while(0);w=Z;if(!_){u=j;return}if((w|0)!=(_|0))f[o>>2]=w+(~((w+-8-_|0)>>>3)<<3);Emc(_);u=j;return}function Fzb(a,b){a=a|0;b=b|0;var c=0.0,d=0.0,e=0.0,g=0,h=0.0,i=0.0,j=0.0,k=0,l=0.0;c=+p[a>>3];d=+p[b>>3];e=c<d?d:c;g=a+8|0;h=+p[g>>3];i=+p[b+8>>3];j=h<i?i:h;k=a+16|0;l=c+ +p[k>>3];c=d+ +p[b+16>>3];d=(c<l?c:l)-e;p[k>>3]=d;k=a+24|0;l=h+ +p[k>>3];h=i+ +p[b+24>>3];i=(h<l?h:l)-j;p[k>>3]=i;p[a>>3]=e;p[g>>3]=j;if(!(d<=0.0)&!(i<=0.0))return a|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;return a|0}function Gzb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0;if(!(b&2147483647)){c=b>>31&-822083584;f[a>>2]=c;return}d=(b|0)<0?0-b|0:b;e=d>>>0<65536;g=e?d<<16:d;i=e?16:0;e=g>>>0<16777216;j=((h[477637+((e?g<<8:g)>>>24)>>0]|0)+((e?i|8:i)&255)<<24)+-16777216|0;i=j>>24;e=156-i|0;if((j|0)>100663296&e>>>0<253){c=(d<<i+-7)+(b&-2147483648)+(b|0?e<<23:0)|0;f[a>>2]=c;return}j=d<<i;i=j&127;do if(e>>>0>252){if((e|0)>=0){if(!((e|0)>253|(j+64|0)<0)){k=e;l=i;m=j;break}c=b&-2147483648|2139095040;f[a>>2]=c;return}d=0-e|0;if(d>>>0<31)n=(j<<(e&31)|0)!=0|j>>>d;else n=(j|0)!=0&1;k=0;l=n&127;m=n}else{k=e;l=i;m=j}while(0);j=(m+64|0)>>>7&~(l<<24>>24==64);c=((j|0)==0?0:k<<23)+(j|b&-2147483648)|0;f[a>>2]=c;return}function Hzb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=f[b>>2]|0;b=c>>>23;d=c&8388607;a:do switch((b&255)<<24>>24){case -1:{e=c>>>31;if(!d){g=Qrc(e|0,0,63)|0;i=g;j=J|2146435072;break a}else{g=Qrc(e|0,0,63)|0;e=J;k=Qrc(c|0,0,29)|0;i=k|g;j=J|e|2146959360;break a}break}case 0:{if(!d){e=Qrc(c>>>31|0,0,63)|0;i=e;j=J;break a}else{e=d>>>0<65536;g=e?c<<16:d;k=e?16:0;e=g>>>0<16777216;l=((h[477637+((e?g<<8:g)>>>24)>>0]|0)+((e?k|8:k)&255)<<24)+-134217728>>24;m=0-l|0;n=d<<l;o=8;break a}break}default:{m=b&255;n=d;o=8}}while(0);if((o|0)==8){o=Qrc(c>>>31|0,0,63)|0;c=J;d=Qrc(m+896|0,0,52)|0;m=J;b=Qrc(n|0,0,29)|0;n=Arc(d|0,m|0,b|o|0,J|c|0)|0;i=n;j=J}n=a;f[n>>2]=i;f[n+4>>2]=j;return}function Izb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=f[b>>2]|0;b=f[c>>2]|0;if((b^d|0)<0){Jzb(a,d,b);return}else{Kzb(a,d,b);return}}function Jzb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=b>>>23&255;e=b&8388607;g=c>>>23&255;i=c&8388607;j=d-g|0;a:do if(!j){if((d|0)==255){if(!(i|e))k=-4194304;else break;f[a>>2]=k;return}l=e-i|0;if(!l){k=0;f[a>>2]=k;return}m=(d|0)==0?0:d+-1|0;n=(l|0)<0;o=n?0-l|0:l;l=o>>>0<65536;p=l?o<<16:o;q=l?16:0;l=p>>>0<16777216;r=((h[477637+((l?p<<8:p)>>>24)>>0]|0)+((l?q|8:q)&255)&255)+248|0;q=m-(r<<24>>24)|0;l=(q|0)<0;k=(l?0:q<<23)+(((n?(b|0)>-1:(b|0)<0)&1)<<31)+(o<<((l?m:r)<<24>>24))|0;f[a>>2]=k;return}else{r=e<<7;m=i<<7;do if((j|0)<0){if((g|0)!=255){s=(d|0?1073741824:r)+r|0;t=m;u=0-j|0;v=g;w=(b|0)>-1;break}if(i|0)break a;k=(b&-2147483648)+-8388608|0;f[a>>2]=k;return}else{if((d|0)!=255){s=(g|0?1073741824:m)+m|0;t=r;u=j;v=d;w=(b|0)<0;break}if(!e)k=b;else break a;f[a>>2]=k;return}while(0);if(u>>>0<31)x=(s<<(0-u&31)|0)!=0|s>>>u;else x=(s|0)!=0&1;r=(t|1073741824)-x|0;m=r>>>0<65536;l=m?r<<16:r;o=m?16:0;m=l>>>0<16777216;n=(((m?o|8:o)&255)+(h[477637+((m?l<<8:l)>>>24)>>0]|0)<<24)+-16777216|0;l=n>>24;m=v+-1-l|0;if((n|0)>100663296&m>>>0<253){k=(r<<l+-7)+((w&1)<<31)+(r|0?m<<23:0)|0;f[a>>2]=k;return}n=r<<l;l=n&127;do if(m>>>0>252){if((m|0)>=0){if(!((m|0)>253|(n+64|0)<0)){y=m;z=l;A=n;break}k=(w&1)<<31|2139095040;f[a>>2]=k;return}r=0-m|0;if(r>>>0<31)B=(n<<(m&31)|0)!=0|n>>>r;else B=(n|0)!=0&1;y=0;z=B&127;A=B}else{y=m;z=l;A=n}while(0);n=(A+64|0)>>>7&~(z<<24>>24==64);k=((n|0)==0?0:y<<23)+(n|(w&1)<<31)|0;f[a>>2]=k;return}while(0);k=((b&2143289344|0)==2139095040&(b&4194303|0)!=0?b:(b&2139095040|0)!=2139095040|(e|0)==0?c:b)|4194304;f[a>>2]=k;return}function Kzb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=b>>>23;e=d&255;g=b&8388607;h=c>>>23;i=h&255;j=c&8388607;k=e-i|0;a:do if(!k)switch((d&255)<<24>>24){case 0:{l=j+b|0;f[a>>2]=l;return}case -1:{if(!(j|g))l=b;else{m=30;break a}f[a>>2]=l;return}default:{n=(g|16777216)+j|0;if(!(e>>>0<254&(c+b&1|0)==0)){o=n<<6;p=e;break a}l=(e<<23|b&-2147483648)+(n>>>1)|0;f[a>>2]=l;return}}else{n=g<<6;q=j<<6;do if((k|0)<0)if((i|0)!=255){r=(e|0?536870912:n)+n|0;s=0-k|0;if(s>>>0<31){t=i;u=(r<<(d-h&31)|0)!=0|r>>>s;v=q;break}else{t=i;u=(r|0)!=0&1;v=q;break}}else{if(j|0){m=30;break a}l=b&-2147483648|2139095040;f[a>>2]=l;return}else{if((e|0)==255){if(!g)l=b;else{m=30;break a}f[a>>2]=l;return}r=(i|0?536870912:q)+q|0;if(k>>>0<31){t=e;u=n;v=(r<<(0-k&31)|0)!=0|r>>>k;break}else{t=e;u=n;v=(r|0)!=0&1;break}}while(0);n=v+536870912+u|0;q=n>>>0<1073741824;o=n<<(q&1);p=(q<<31>>31)+t|0}while(0);if((m|0)==30){l=((b&2143289344|0)==2139095040&(b&4194303|0)!=0?b:(b&2139095040|0)!=2139095040|(g|0)==0?c:b)|4194304;f[a>>2]=l;return}c=o&127;do if(p>>>0>252){if((p|0)>=0){if(!((p|0)>253|(o+64|0)<0)){w=p;x=c;y=o;break}l=b&-2147483648|2139095040;f[a>>2]=l;return}g=0-p|0;if(g>>>0<31)z=(o<<(p&31)|0)!=0|o>>>g;else z=(o|0)!=0&1;w=0;x=z&127;y=z}else{w=p;x=c;y=o}while(0);o=(y+64|0)>>>7&~(x<<24>>24==64);l=((o|0)==0?0:w<<23)+(o|b&-2147483648)|0;f[a>>2]=l;return}function Lzb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=f[b>>2]|0;b=f[c>>2]|0;if((b^d|0)<0){Kzb(a,d,b);return}else{Jzb(a,d,b);return}}function Mzb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;d=f[b>>2]|0;b=f[c>>2]|0;c=d>>>23&255;e=d&8388607;g=b>>>23&255;i=b&8388607;j=b^d;do if((c|0)==255)if((e|0)==0?!((i|0)!=0&(g|0)==255):0){k=g|i;l=24}else l=23;else{if((g|0)==255){if(i|0){l=23;break}k=c|e;l=24;break}if(!c){if(e|0){m=e>>>0<65536;n=m?d<<16:e;o=m?16:0;m=n>>>0<16777216;p=((h[477637+((m?n<<8:n)>>>24)>>0]|0)+((m?o|8:o)&255)<<24)+-134217728>>24;q=1-p|0;r=e<<p;l=11}}else{q=c;r=e;l=11}do if((l|0)==11){if(!g){if(!i)break;p=i>>>0<65536;o=p?b<<16:i;m=p?16:0;p=o>>>0<16777216;n=((h[477637+((p?o<<8:o)>>>24)>>0]|0)+((p?m|8:m)&255)<<24)+-134217728>>24;s=i<<n;t=1-n|0}else{s=i;t=g}n=Urc(s<<8|-2147483648|0,0,r<<7|1073741824|0,0)|0;m=((n&-32768|0)!=0|0!=0)&1|J;n=m>>>0<1073741824;p=t+q+(n?-128:-127)|0;o=m<<(n&1);n=o&127;do if(p>>>0>252){if((p|0)>=0){if(!((p|0)>253|(o+64|0)<0)){u=p;v=n;w=o;break}x=j&-2147483648|2139095040;f[a>>2]=x;return}m=0-p|0;if(m>>>0<31)y=(o<<(p&31)|0)!=0|o>>>m;else y=(o|0)!=0&1;u=0;v=y&127;w=y}else{u=p;v=n;w=o}while(0);o=(w+64|0)>>>7&~(v<<24>>24==64);x=((o|0)==0?0:u<<23)+(o|j&-2147483648)|0;f[a>>2]=x;return}while(0);x=j&-2147483648;f[a>>2]=x;return}while(0);if((l|0)==23){x=((d&2143289344|0)==2139095040&(d&4194303|0)!=0?d:(d&2139095040|0)!=2139095040|(e|0)==0?b:d)|4194304;f[a>>2]=x;return}else if((l|0)==24){x=(k|0)==0?-4194304:j&-2147483648|2139095040;f[a>>2]=x;return}}function Nzb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;d=f[b>>2]|0;b=f[c>>2]|0;c=d>>>23&255;e=d&8388607;g=b>>>23;i=g&255;j=b&8388607;k=b^d;a:do if((c|0)==255)if(!e)if((i|0)==255)if(!j){l=-4194304;f[a>>2]=l;return}else m=22;else m=23;else m=22;else{b:do switch((g&255)<<24>>24){case -1:{if(j|0){m=22;break a}break}case 0:{if(j|0){n=j>>>0<65536;o=n?b<<16:j;p=n?16:0;n=o>>>0<16777216;q=((h[477637+((n?o<<8:o)>>>24)>>0]|0)+((n?p|8:p)&255)<<24)+-134217728>>24;r=j<<q;s=1-q|0;m=10;break b}if(!(c|e))l=-4194304;else{m=23;break a}f[a>>2]=l;return}default:{r=j;s=i;m=10}}while(0);do if((m|0)==10){if(!c){if(!e)break;q=e>>>0<65536;p=q?d<<16:e;n=q?16:0;q=p>>>0<16777216;o=((h[477637+((q?p<<8:p)>>>24)>>0]|0)+((q?n|8:n)&255)<<24)+-134217728>>24;t=1-o|0;u=e<<o}else{t=c;u=e}o=u|8388608;n=r|8388608;q=o>>>0<n>>>0;p=(q?125:126)+(t-s)|0;v=Qrc(o|0,0,(q?31:30)|0)|0;q=J;o=Src(v|0,q|0,n|0,0)|0;w=Urc(o|0,0,n|0,0)|0;n=(o&63|0)==0&((w|0)!=(v|0)|(J|0)!=(q|0))&1|o;o=n&127;do if(p>>>0>252){if((p|0)>=0){if(!((p|0)>253|(n+64|0)<0)){x=p;y=o;z=n;break}l=k&-2147483648|2139095040;f[a>>2]=l;return}q=0-p|0;if(q>>>0<31)A=(n<<(p&31)|0)!=0|n>>>q;else A=(n|0)!=0&1;x=0;y=A&127;z=A}else{x=p;y=o;z=n}while(0);n=(z+64|0)>>>7&~(y<<24>>24==64);l=((n|0)==0?0:x<<23)+(n|k&-2147483648)|0;f[a>>2]=l;return}while(0);l=k&-2147483648;f[a>>2]=l;return}while(0);if((m|0)==22){l=((d&2143289344|0)==2139095040&(d&4194303|0)!=0?d:(d&2139095040|0)!=2139095040|(e|0)==0?b:d)|4194304;f[a>>2]=l;return}else if((m|0)==23){l=k&-2147483648|2139095040;f[a>>2]=l;return}}function Ozb(a,b){a=a|0;b=b|0;var c=0,d=0;c=f[b>>2]|0;b=f[a>>2]|0;if(!((c&2139095040|0)!=2139095040|(c&8388607|0)==0)){d=0;return d|0}if(!((b&2139095040|0)!=2139095040|(b&8388607|0)==0)){d=0;return d|0}a=c>>>31;if((a|0)==(b>>>31|0)){d=(c|0)!=(b|0)&(a|0)!=(c>>>0<b>>>0|0);return d|0}else{d=(c|0)<0&((b|c)&2147483647|0)!=0;return d|0}return 0}function Pzb(a,b){a=a|0;b=b|0;var c=0,d=0;c=f[a>>2]|0;a=f[b>>2]|0;if(!((c&2139095040|0)!=2139095040|(c&8388607|0)==0)){d=0;return d|0}if(!((a&2139095040|0)!=2139095040|(a&8388607|0)==0)){d=0;return d|0}b=c>>>31;if((b|0)==(a>>>31|0)){d=(c|0)!=(a|0)&(b|0)!=(c>>>0<a>>>0|0);return d|0}else{d=(c|0)<0&((a|c)&2147483647|0)!=0;return d|0}return 0}function Qzb(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;g=(e|0)==0;i=g?32:0;j=g?d:e;g=j>>>0<65536;k=g?i|16:i;i=g?j<<16:j;j=i>>>0<16777216;g=((h[477637+((j?i<<8:i)>>>24)>>0]|0)+((j?k|8:k)&255)<<24)+-16777216|0;k=g>>24;j=c-k|0;if((g|0)>150994944&j>>>0<2045){g=Qrc(b&1|0,0,63)|0;c=J;i=(d|0)!=0|(e|0)!=0;l=Qrc(j|0,0,52)|0;m=i?J:0;n=Qrc(d|0,e|0,k+-10|0)|0;o=Arc(n|0,J|0,g|0,c|0)|0;c=Arc(o|0,J|0,(i?l:0)|0,m|0)|0;p=J;q=c;r=a;s=r;f[s>>2]=q;t=r+4|0;u=t;f[u>>2]=p;return}c=Qrc(d|0,e|0,k|0)|0;k=J;e=c&1023;do if((j&65535)>>>0>2044){if((j|0)>=0){Arc(c|0,k|0,512,0)|0;if(!((j|0)>2045|(J|0)<0)){v=j;w=e;x=c;y=k;break}d=Qrc(b&1|0,0,63)|0;p=J|2146435072;q=d;r=a;s=r;f[s>>2]=q;t=r+4|0;u=t;f[u>>2]=p;return}d=0-j|0;if(d>>>0<63){m=Irc(c|0,k|0,d|0)|0;d=J;l=Qrc(c|0,k|0,j&63|0)|0;z=d;A=((l|0)!=0|(J|0)!=0)&1|m}else{z=0;A=((c|0)!=0|(k|0)!=0)&1}v=0;w=A&1023;x=A;y=z}else{v=j;w=e;x=c;y=k}while(0);k=Arc(x|0,y|0,512,0)|0;y=Irc(k|0,J|0,10)|0;k=J;x=y&~((w|0)==512);w=(x|0)==0&(k|0)==0;y=Qrc(b&1|0,0,63)|0;b=J;c=Qrc(v|0,0,52)|0;v=Arc((w?0:c)|0,(w?0:J)|0,x|y|0,k|b|0)|0;p=J;q=v;r=a;s=r;f[s>>2]=q;t=r+4|0;u=t;f[u>>2]=p;return}function Rzb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(!b){c=0;d=0;e=a;g=e;f[g>>2]=c;i=e+4|0;j=i;f[j>>2]=d;return}k=(b|0)<0?0-b|0:b;l=k>>>0<65536;m=l?k<<16:k;n=l?16:0;l=m>>>0<16777216;o=(h[477637+((l?m<<8:m)>>>24)>>0]|0)+((l?n|8:n)&255)|0;n=Qrc(b>>>31|0,0,63)|0;b=J;l=(o<<24)+352321536>>24;o=Qrc(1074-l|0,0,52)|0;m=J;p=Qrc(k|0,0,l|0)|0;l=Arc(p|0,J|0,n|0,b|0)|0;b=Arc(l|0,J|0,o|0,m|0)|0;c=b;d=J;e=a;g=e;f[g>>2]=c;i=e+4|0;j=i;f[j>>2]=d;return}function Szb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=u;u=u+16|0;e=d;g=(c|0)<0;if((b|0)==0&(c&2147483647|0)==0){Hrc(b|0,c|0,63)|0;h=e;f[h>>2]=0;f[h+4>>2]=J&-1008730112}else{h=zrc(0,0,b|0,c|0)|0;Qzb(e,g,1084,g?h:b,g?J:c)}if((e|0)==(a|0)){u=d;return}c=e;e=f[c+4>>2]|0;g=a;f[g>>2]=f[c>>2];f[g+4>>2]=e;u=d;return}function Tzb(a){a=a|0;var b=0,c=0,d=0;b=f[a>>2]|0;a=b>>>23&255;c=158-a|0;if((c|0)>31){d=0;return d|0}if((c|0)<1){d=(b|0)==-822083584?-2147483648:(b&8388607|0)!=0&(a|0)==255?2147483647:(b>>>31)+2147483647|0;return d|0}else{a=(b<<8|-2147483648)>>>c;d=(b|0)<0?0-a|0:a;return d|0}return 0}function Uzb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a>>2]|0;a=b>>>23&255;c=b&8388607;d=(b|0)<0&((c|0)==0|(a|0)!=255);b=(a|0)==0?c:c|8388608;c=170-a|0;do if((c|0)>0)if(c>>>0<63){a=Irc(0,b|0,c|0)|0;e=J;g=Qrc(0,b|0,0-c&63|0)|0;h=((g|0)!=0|(J|0)!=0)&1|a;i=e;break}else{h=(b|0)!=0&1;i=0;break}else{h=0;i=b}while(0);b=Arc(h|0,i|0,2048,0)|0;i=J;if(!(i>>>0>4095|(i|0)==4095&b>>>0>4294967295)){c=Irc(b|0,i|0,12)|0;i=(h&4095|0)==2048&0==0&1;h=d?(i|~c)+1|0:c&~i;if(!h){j=0;return j|0}if((h>>>31|0)==(d&1|0)){j=h;return j|0}}j=d?-2147483648:2147483647;return j|0}function Vzb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;b=a;a=f[b>>2]|0;c=f[b+4>>2]|0;b=Irc(a|0,c|0,52)|0;d=b&2047;b=c&1048575;e=(c|0)<0&((a|0)==0&(b|0)==0|(d|0)!=2047);c=(d|0)==0;g=c?a:a;a=c?b:b|1048576;b=1063-d|0;do if((b|0)>0)if(b>>>0<63){d=Irc(g|0,a|0,b|0)|0;c=J;h=Qrc(g|0,a|0,0-b&63|0)|0;i=((h|0)!=0|(J|0)!=0)&1|d;j=c;break}else{i=((g|0)!=0|(a|0)!=0)&1;j=0;break}else{i=g;j=a}while(0);a=Arc(i|0,j|0,2048,0)|0;j=J;if(!(j>>>0>4095|(j|0)==4095&a>>>0>4294967295)){g=Irc(a|0,j|0,12)|0;j=(i&4095|0)==2048&0==0&1;i=e?(j|~g)+1|0:g&~j;if(!i){k=0;return k|0}if((i>>>31|0)==(e&1|0)){k=i;return k|0}}k=e?-2147483648:2147483647;return k|0}function Wzb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;b=a;a=f[b>>2]|0;c=f[b+4>>2]|0;b=Irc(a|0,c|0,52)|0;d=b&2047;b=c&1048575;e=(c|0)<0&((a|0)==0&(b|0)==0|(d|0)!=2047);c=(d|0)==0;g=c?a:a;a=c?b:b|1048576;b=1063-d|0;do if((b|0)>0)if(b>>>0<63){d=Irc(g|0,a|0,b|0)|0;c=J;h=Qrc(g|0,a|0,0-b&63|0)|0;i=((h|0)!=0|(J|0)!=0)&1|d;j=c;break}else{i=((g|0)!=0|(a|0)!=0)&1;j=0;break}else{i=g;j=a}while(0);a=Arc(i|0,j|0,(e?4095:0)|0,(e?0:0)|0)|0;j=J;if(!(j>>>0>4095|(j|0)==4095&a>>>0>4294967295)){i=Irc(a|0,j|0,12)|0;j=e?0-i|0:i;if(!j){k=0;return k|0}if((j>>>31|0)==(e&1|0)){k=j;return k|0}}k=e?-2147483648:2147483647;return k|0}function Xzb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;b=a;a=f[b>>2]|0;c=f[b+4>>2]|0;b=Irc(a|0,c|0,52)|0;d=b&2047;b=c&1048575;e=(c|0)<0&((a|0)==0&(b|0)==0|(d|0)!=2047);c=(d|0)==0;g=c?a:a;a=c?b:b|1048576;b=1075-d|0;if((b|0)<1){d=Qrc(g|0,a|0,0-b|0)|0;c=J;if((b|0)<-11|(c|0)<0){h=e?-2147483648:2147483647;i=e?0:-1;J=h;return i|0}else{j=zrc(0,0,d|0,c|0)|0;h=e?J:c;i=e?j:d;J=h;return i|0}}if((b|0)>=64){h=0;i=0;J=h;return i|0}d=Irc(g|0,a|0,b|0)|0;j=J;c=Qrc(g|0,a|0,0-b&63|0)|0;b=J;if((b|0)<0){a=Arc(d|0,j|0,1,0)|0;g=J;if(!((a|0)==0&(g|0)==0)){k=a&~((c|0)==0&(b&2147483647|0)==0&1);l=g;m=9}}else{k=d;l=j;m=9}if((m|0)==9){m=zrc(0,0,k|0,l|0)|0;j=e?m:k;m=e?J:l;if((k|0)==0&(l|0)==0){h=m;i=j;J=h;return i|0}l=Irc(j|0,m|0,63)|0;if((l|0)==(e&1|0)){h=m;i=j;J=h;return i|0}}h=e?-2147483648:2147483647;i=e?0:-1;J=h;return i|0}function Yzb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=b;b=f[c>>2]|0;d=f[c+4>>2]|0;c=Irc(b|0,d|0,52)|0;e=c&2047;g=d&1048575;if((e|0)==2047){h=d&-2147483648;if((b|0)==0&(g|0)==0){i=h|2139095040;f[a>>2]=i;return}else{j=Irc(b|0,d|0,29)|0;i=h|2143289344|j&8388607;f[a>>2]=i;return}}j=Irc(b|0,g|0,22)|0;g=((b&4194303|0)!=0|0!=0)&1|j;if(!(g|e)){i=d&-2147483648;f[a>>2]=i;return}j=e+-897|0;b=g|1073741824;h=g&127;do if(j>>>0>252){if(e>>>0<897){g=897-e|0;k=g>>>0<31?(b<<(c+31&31)|0)!=0|b>>>g:1;l=0;m=k&127;n=k;break}if((j|0)>253|(b+64|0)<0){i=d&-2147483648|2139095040;f[a>>2]=i;return}else{l=j;m=h;n=b}}else{l=j;m=h;n=b}while(0);b=(n+64|0)>>>7&~(m<<24>>24==64);i=((b|0)==0?0:l<<23)+(b|d&-2147483648)|0;f[a>>2]=i;return}function Zzb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=b;b=f[d>>2]|0;e=f[d+4>>2]|0;d=c;c=f[d>>2]|0;g=f[d+4>>2]|0;d=(e|0)<0;h=Irc(b|0,e|0,63)|0;i=Irc(c|0,g|0,63)|0;if((h|0)==(i|0)){_zb(a,b,e,c,g,d);return}else{$zb(a,b,e,c,g,d);return}}function _zb(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;h=Irc(b|0,c|0,52)|0;i=h&2047;j=c&1048575;k=Irc(d|0,e|0,52)|0;l=k&2047;m=e&1048575;n=i-l|0;a:do if(!n)switch(h&2047){case 0:{o=Arc(d|0,m|0,b|0,c|0)|0;p=J;q=a;r=q;f[r>>2]=o;s=q+4|0;t=s;f[t>>2]=p;return}case 2047:{if((d|b|0)==0&(m|j|0)==0){o=b;p=c}else{u=28;break a}q=a;r=q;f[r>>2]=o;s=q+4|0;t=s;f[t>>2]=p;return}default:{v=i;w=Qrc(Arc(b|0,j|2097152|0,d|0,m|0)|0,J|0,9)|0;x=J;break a}}else{y=Qrc(b|0,j|0,9)|0;z=J;A=Qrc(d|0,m|0,9)|0;B=J;do if((n|0)<0)if((l|0)!=2047){C=(i|0)==0;D=Qrc(b|0,j|0,10)|0;E=C?D:y;D=C?J:z|536870912;C=0-n|0;if(C>>>0<63){F=Irc(E|0,D|0,C|0)|0;C=J;G=Qrc(E|0,D|0,h-k&63|0)|0;H=l;I=A;K=B;L=((G|0)!=0|(J|0)!=0)&1|F;M=C;break}else{H=l;I=A;K=B;L=((E|0)!=0|(D|0)!=0)&1;M=0;break}}else{if(!((d|0)==0&(m|0)==0)){u=28;break a}D=Qrc(g&1|0,0,63)|0;o=D;p=J|2146435072;q=a;r=q;f[r>>2]=o;s=q+4|0;t=s;f[t>>2]=p;return}else{if((i|0)==2047){if((b|0)==0&(j|0)==0){o=b;p=c}else{u=28;break a}q=a;r=q;f[r>>2]=o;s=q+4|0;t=s;f[t>>2]=p;return}D=(l|0)==0;E=Qrc(d|0,m|0,10)|0;C=D?E:A;E=D?J:B|536870912;if(n>>>0<63){D=Irc(C|0,E|0,n|0)|0;F=J;G=Qrc(C|0,E|0,0-n&63|0)|0;H=i;I=((G|0)!=0|(J|0)!=0)&1|D;K=F;L=y;M=z;break}else{H=i;I=((C|0)!=0|(E|0)!=0)&1;K=0;L=y;M=z;break}}while(0);z=Arc(I|0,K|0,0,536870912)|0;y=Arc(z|0,J|0,L|0,M|0)|0;z=J;B=z>>>0<1073741824|(z|0)==1073741824&y>>>0<0;A=Qrc(y|0,z|0,B&1|0)|0;v=(B<<31>>31)+H|0;w=A;x=J}while(0);if((u|0)==28){u=0==0&(c&2146959360|0)==2146435072&((b|0)!=0|(c&524287|0)!=0);H=0!=0|(c&2146435072|0)!=2146435072|(b|0)==0&(j|0)==0;o=u?b:H?d:b;p=(u?c:H?e:c)|524288;q=a;r=q;f[r>>2]=o;s=q+4|0;t=s;f[t>>2]=p;return}c=w&1023;do if((v&65535)>>>0>2044){if((v|0)>=0){Arc(w|0,x|0,512,0)|0;if(!((v|0)>2045|(J|0)<0)){N=v;O=c;P=w;Q=x;break}e=Qrc(g&1|0,0,63)|0;o=e;p=J|2146435072;q=a;r=q;f[r>>2]=o;s=q+4|0;t=s;f[t>>2]=p;return}e=0-v|0;if(e>>>0<63){H=Irc(w|0,x|0,e|0)|0;e=J;u=Qrc(w|0,x|0,v&63|0)|0;R=((u|0)!=0|(J|0)!=0)&1|H;S=e}else{R=((w|0)!=0|(x|0)!=0)&1;S=0}N=0;O=R&1023;P=R;Q=S}else{N=v;O=c;P=w;Q=x}while(0);x=Arc(P|0,Q|0,512,0)|0;Q=Irc(x|0,J|0,10)|0;x=J;P=Q&~((O|0)==512);O=(P|0)==0&(x|0)==0;Q=Qrc(g&1|0,0,63)|0;g=J;w=Qrc(N|0,0,52)|0;N=Arc((O?0:w)|0,(O?0:J)|0,P|Q|0,x|g|0)|0;o=N;p=J;q=a;r=q;f[r>>2]=o;s=q+4|0;t=s;f[t>>2]=p;return}function $zb(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;i=Irc(b|0,c|0,52)|0;j=i&2047;k=c&1048575;l=Irc(d|0,e|0,52)|0;m=l&2047;n=e&1048575;o=j-m|0;a:do if(!o){if((j|0)==2047)if((d|b|0)==0&(n|k|0)==0){p=0;q=-524288;break}else{r=19;break}s=zrc(b|0,k|0,d|0,n|0)|0;t=J;if((s|0)==0&(t|0)==0){p=0;q=0}else{u=(j|0)==0?0:j+-1|0;v=(t|0)<0;w=zrc(0,0,s|0,t|0)|0;x=v?w:s;s=v?J:t;t=(s|0)==0;w=t?32:0;y=t?x:s;t=y>>>0<65536;z=t?w|16:w;w=t?y<<16:y;y=w>>>0<16777216;t=((h[477637+((y?w<<8:w)>>>24)>>0]|0)+((y?z|8:z)&255)&255)+245|0;z=u-(t<<24>>24)|0;y=(z|0)<0;w=Qrc((v^g)&1|0,0,63)|0;v=J;A=Qrc(z|0,0,52)|0;z=Arc((y?0:A)|0,(y?0:J)|0,w|0,v|0)|0;v=J;w=Qrc(x|0,s|0,(y?u:t)<<24>>24|0)|0;t=Arc(z|0,v|0,w|0,J|0)|0;p=t;q=J}}else{t=Qrc(b|0,k|0,10)|0;w=J;v=Qrc(d|0,n|0,10)|0;z=J;do if((o|0)<0){u=g^1;if((m|0)==2047){if(!((d|0)==0&(n|0)==0)){r=19;break a}y=Qrc(u&1|0,0,63)|0;p=y;q=J|2146435072;break a}y=(j|0)!=0;s=Arc((y?0:t)|0,(y?1073741824:w)|0,t|0,w|0)|0;y=J;x=0-o|0;if(x>>>0<63){A=Irc(s|0,y|0,x|0)|0;x=J;B=Qrc(s|0,y|0,i-l&63|0)|0;C=m;D=u;E=z;F=v;G=((B|0)!=0|(J|0)!=0)&1|A;H=x;break}else{C=m;D=u;E=z;F=v;G=((s|0)!=0|(y|0)!=0)&1;H=0;break}}else{if((j|0)==2047)if((b|0)==0&(k|0)==0){p=b;q=c;break a}else{r=19;break a}y=(m|0)!=0;s=Arc((y?0:v)|0,(y?1073741824:z)|0,v|0,z|0)|0;y=J;if(o>>>0<63){u=Irc(s|0,y|0,o|0)|0;x=J;A=Qrc(s|0,y|0,0-o&63|0)|0;C=j;D=g;E=w;F=t;G=((A|0)!=0|(J|0)!=0)&1|u;H=x;break}else{C=j;D=g;E=w;F=t;G=((s|0)!=0|(y|0)!=0)&1;H=0;break}}while(0);t=zrc(F|0,E|1073741824|0,G|0,H|0)|0;Qzb(a,D,C+-1|0,t,J);return}while(0);if((r|0)==19){r=0==0&(c&2146959360|0)==2146435072&((b|0)!=0|(c&524287|0)!=0);C=0!=0|(c&2146435072|0)!=2146435072|(b|0)==0&(k|0)==0;p=r?b:C?d:b;q=(r?c:C?e:c)|524288}c=a;f[c>>2]=p;f[c+4>>2]=q;return}function aAb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=b;b=f[d>>2]|0;e=f[d+4>>2]|0;d=c;c=f[d>>2]|0;g=f[d+4>>2]|0;d=(e|0)<0;h=Irc(b|0,e|0,63)|0;i=Irc(c|0,g|0,63)|0;if((h|0)==(i|0)){$zb(a,b,e,c,g,d);return}else{_zb(a,b,e,c,g,d);return}}function bAb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;d=b;b=f[d>>2]|0;e=f[d+4>>2]|0;d=c;c=f[d>>2]|0;g=f[d+4>>2]|0;d=Irc(b|0,e|0,52)|0;i=d&2047;d=e&1048575;j=Irc(c|0,g|0,52)|0;k=j&2047;j=g&1048575;l=g^e;do if((i|0)==2047)if((b|0)==0&(d|0)==0?!(((c|0)!=0|(j|0)!=0)&(k|0)==2047):0){m=k;n=c;o=j;p=22}else p=21;else{if((k|0)==2047)if((c|0)==0&(j|0)==0){m=i;n=b;o=d;p=22;break}else{p=21;break}if(!i){if(!((b|0)==0&(d|0)==0)){q=(d|0)==0;r=q?32:0;s=q?b:d;q=s>>>0<65536;t=q?r|16:r;r=q?s<<16:s;s=r>>>0<16777216;q=((h[477637+((s?r<<8:r)>>>24)>>0]|0)+((s?t|8:t)&255)<<24)+-184549376>>24;t=Qrc(b|0,d|0,q|0)|0;u=1-q|0;v=t;w=J;p=9}}else{u=i;v=b;w=d;p=9}do if((p|0)==9){if(!k){if((c|0)==0&(j|0)==0)break;t=(j|0)==0;q=t?32:0;s=t?c:j;t=s>>>0<65536;r=t?q|16:q;q=t?s<<16:s;s=q>>>0<16777216;t=((h[477637+((s?q<<8:q)>>>24)>>0]|0)+((s?r|8:r)&255)<<24)+-184549376>>24;r=Qrc(c|0,j|0,t|0)|0;x=1-t|0;y=r;z=J}else{x=k;y=c;z=j}r=Qrc(v|0,w|0,10)|0;t=Qrc(y|0,z|0,11)|0;s=Irc(v|0,w|0,22)|0;q=s&-1073741825|1073741824;s=Irc(y|0,z|0,21)|0;A=s&2147483647|-2147483648;s=r&-1024;r=t&-2048;t=Urc(r|0,0,s|0,0)|0;B=J;C=Urc(r|0,0,q|0,0)|0;r=J;D=Urc(A|0,0,s|0,0)|0;s=Arc(D|0,J|0,C|0,r|0)|0;D=J;E=Urc(A|0,0,q|0,0)|0;q=Arc(D|0,(D>>>0<r>>>0|(D|0)==(r|0)&s>>>0<C>>>0)&1|0,E|0,J|0)|0;E=J;C=Arc(0,s|0,t|0,B|0)|0;B=J;t=Arc(q|0,E|0,(B>>>0<s>>>0|(B|0)==(s|0)&C>>>0<0)&1|0,0)|0;s=J;E=t|((C|0)!=0|(B|0)!=0)&1;B=s>>>0<1073741824|(s|0)==1073741824&E>>>0<0;C=x+u+(B?-1024:-1023)|0;t=Qrc(E|0,s|0,B&1|0)|0;B=J;s=t&1023;do if((C&65535)>>>0>2044){if((C|0)>=0){Arc(t|0,B|0,512,0)|0;if(!((C|0)>2045|(J|0)<0)){F=C;G=s;H=t;I=B;break}K=0;L=l&-2147483648|2146435072;M=a;N=M;f[N>>2]=K;O=M+4|0;P=O;f[P>>2]=L;return}E=0-C|0;if(E>>>0<63){q=Irc(t|0,B|0,E|0)|0;E=J;r=Qrc(t|0,B|0,C&63|0)|0;Q=((r|0)!=0|(J|0)!=0)&1|q;R=E}else{Q=((t|0)!=0|(B|0)!=0)&1;R=0}F=0;G=Q&1023;H=Q;I=R}else{F=C;G=s;H=t;I=B}while(0);B=Arc(H|0,I|0,512,0)|0;t=Irc(B|0,J|0,10)|0;B=J;s=t&~((G|0)==512);t=(s|0)==0&(B|0)==0;C=Qrc(F|0,0,52)|0;E=Arc((t?0:C)|0,(t?0:J)|0,s|0,B|l&-2147483648|0)|0;K=E;L=J;M=a;N=M;f[N>>2]=K;O=M+4|0;P=O;f[P>>2]=L;return}while(0);K=0;L=l&-2147483648;M=a;N=M;f[N>>2]=K;O=M+4|0;P=O;f[P>>2]=L;return}while(0);if((p|0)==21){F=0==0&(e&2146959360|0)==2146435072&((b|0)!=0|(e&524287|0)!=0);G=0!=0|(e&2146435072|0)!=2146435072|(b|0)==0&(d|0)==0;K=F?b:G?c:b;L=(F?e:G?g:e)|524288;M=a;N=M;f[N>>2]=K;O=M+4|0;P=O;f[P>>2]=L;return}else if((p|0)==22){p=(m|n|0)==0&(o|0)==0;K=p?0:0;L=p?-524288:l&-2147483648|2146435072;M=a;N=M;f[N>>2]=K;O=M+4|0;P=O;f[P>>2]=L;return}}function cAb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=b;b=f[d>>2]|0;e=f[d+4>>2]|0;d=c;c=f[d>>2]|0;g=f[d+4>>2]|0;d=Irc(b|0,e|0,52)|0;i=d&2047;d=e&1048575;j=Irc(c|0,g|0,52)|0;k=j&2047;l=g&1048575;m=g^e;a:do if((i|0)==2047)if((b|0)==0&(d|0)==0)if((k|0)==2047)if((c|0)==0&(l|0)==0){n=0;o=-524288;p=a;q=p;f[q>>2]=n;r=p+4|0;s=r;f[s>>2]=o;return}else t=26;else t=27;else t=26;else{b:do switch(j&2047){case 2047:{if(!((c|0)==0&(l|0)==0)){t=26;break a}break}case 0:{if(!((c|0)==0&(l|0)==0)){u=(l|0)==0;v=u?32:0;w=u?c:l;u=w>>>0<65536;x=u?v|16:v;v=u?w<<16:w;w=v>>>0<16777216;u=((h[477637+((w?v<<8:v)>>>24)>>0]|0)+((w?x|8:x)&255)<<24)+-184549376>>24;x=Qrc(c|0,l|0,u|0)|0;y=1-u|0;z=J;A=x;t=10;break b}if((i|b|0)==0&(d|0)==0){n=0;o=-524288}else{t=27;break a}p=a;q=p;f[q>>2]=n;r=p+4|0;s=r;f[s>>2]=o;return}default:{y=k;z=l;A=c;t=10}}while(0);do if((t|0)==10){if(!i){if((b|0)==0&(d|0)==0)break;x=(d|0)==0;u=x?32:0;w=x?b:d;x=w>>>0<65536;v=x?u|16:u;u=x?w<<16:w;w=u>>>0<16777216;x=((h[477637+((w?u<<8:u)>>>24)>>0]|0)+((w?v|8:v)&255)<<24)+-184549376>>24;v=Qrc(b|0,d|0,x|0)|0;B=1-x|0;C=J;D=v}else{B=i;C=d;D=b}v=C|1048576;x=z|1048576;w=v>>>0<x>>>0|(v|0)==(x|0)&D>>>0<A>>>0;u=(w?1021:1022)+(B-y)|0;E=Qrc(D|0,v|0,(w?11:10)|0)|0;w=J;v=Irc(A|0,x|0,21)|0;x=Src(-1,2147483647,v|0,0)|0;F=x+-2|0;Urc(w|0,0,F|0,0)|0;x=J;G=Qrc(x|0,0,1)|0;H=G&-2;G=Urc(H|0,0,v|0,0)|0;I=zrc(E|0,w|0,G|0,J|0)|0;G=Qrc(I|0,J|0,28)|0;I=J;w=A<<7&268435328;E=Urc(H|0,0,w|0,0)|0;H=zrc(G|0,I|0,E|0,J|0)|0;E=J;Urc(E|0,0,F|0,0)|0;F=Arc(J|0,0,4,0)|0;I=Qrc(F|0,J|0,4)|0;G=Arc(I&-16|0,J&15|0,0,x|0)|0;x=J;do if(0<0|0==0&(G&448)>>>0<64){I=G&-128;K=F<<1&-16;L=Urc(K|0,0,v|0,0)|0;M=zrc(H|0,E|0,L|0,J|0)|0;L=Qrc(M|0,J|0,28)|0;M=J;N=Urc(K|0,0,w|0,0)|0;K=zrc(L|0,M|0,N|0,J|0)|0;N=J;if((N|0)<0){M=Arc(I|0,x|0,-128,-1)|0;O=M;P=J;break}else{O=((K|0)!=0|(N|0)!=0)&1|I;P=x;break}}else{O=G;P=x}while(0);x=O&1023;do if((u&65535)>>>0>2044){if((u|0)>=0){Arc(O|0,P|0,512,0)|0;if(!((u|0)>2045|(J|0)<0)){Q=u;R=x;S=O;T=P;break}n=0;o=m&-2147483648|2146435072;p=a;q=p;f[q>>2]=n;r=p+4|0;s=r;f[s>>2]=o;return}G=0-u|0;if(G>>>0<63){w=Irc(O|0,P|0,G|0)|0;G=J;E=Qrc(O|0,P|0,u&63|0)|0;U=((E|0)!=0|(J|0)!=0)&1|w;V=G}else{U=((O|0)!=0|(P|0)!=0)&1;V=0}Q=0;R=U&1023;S=U;T=V}else{Q=u;R=x;S=O;T=P}while(0);x=Arc(S|0,T|0,512,0)|0;u=Irc(x|0,J|0,10)|0;x=J;G=u&~((R|0)==512);u=(G|0)==0&(x|0)==0;w=Qrc(Q|0,0,52)|0;E=Arc((u?0:w)|0,(u?0:J)|0,G|0,x|m&-2147483648|0)|0;n=E;o=J;p=a;q=p;f[q>>2]=n;r=p+4|0;s=r;f[s>>2]=o;return}while(0);n=0;o=m&-2147483648;p=a;q=p;f[q>>2]=n;r=p+4|0;s=r;f[s>>2]=o;return}while(0);if((t|0)==26){Q=0==0&(e&2146959360|0)==2146435072&((b|0)!=0|(e&524287|0)!=0);R=0!=0|(e&2146435072|0)!=2146435072|(b|0)==0&(d|0)==0;n=Q?b:R?c:b;o=(Q?e:R?g:e)|524288;p=a;q=p;f[q>>2]=n;r=p+4|0;s=r;f[s>>2]=o;return}else if((t|0)==27){n=0;o=m&-2147483648|2146435072;p=a;q=p;f[q>>2]=n;r=p+4|0;s=r;f[s>>2]=o;return}}function dAb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a;a=f[c>>2]|0;d=f[c+4>>2]|0;c=b;b=f[c>>2]|0;e=f[c+4>>2]|0;if(!(0!=0|(d&2146435072|0)!=2146435072|(a|0)==0&(d&1048575|0)==0)){g=0;return g|0}if(!(0!=0|(e&2146435072|0)!=2146435072|(b|0)==0&(e&1048575|0)==0)){g=0;return g|0}g=(a|0)==(b|0)&(d|0)==(e|0)|(b|a|0)==0&((e|d)&2147483647|0)==0;return g|0}function eAb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=a;a=f[c>>2]|0;d=f[c+4>>2]|0;c=b;b=f[c>>2]|0;e=f[c+4>>2]|0;if(!(0!=0|(d&2146435072|0)!=2146435072|(a|0)==0&(d&1048575|0)==0)){g=0;return g|0}if(!(0!=0|(e&2146435072|0)!=2146435072|(b|0)==0&(e&1048575|0)==0)){g=0;return g|0}c=Irc(a|0,d|0,63)|0;h=Irc(b|0,e|0,63)|0;if((c|0)==(h|0)){g=(a|0)==(b|0)&(d|0)==(e|0)|(c|0)!=((d>>>0<e>>>0|(d|0)==(e|0)&a>>>0<b>>>0)&1|0);return g|0}else{g=(d|0)<0|(b|a|0)==0&((e|d)&2147483647|0)==0;return g|0}return 0}function fAb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0;e=f[b>>2]|0;b=f[c>>2]|0;c=f[d>>2]|0;d=e>>>23&255;g=e&8388607;i=b>>>23&255;j=b&8388607;k=c>>>31;l=k&255;m=c>>>23&255;n=c&8388607;o=b^e;p=o>>>31;q=p&255;do if((d|0)==255)if((g|0)==0?!((j|0)!=0&(i|0)==255):0){r=i|j;s=54}else s=53;else{if((i|0)==255){if(j|0){s=53;break}r=d|g;s=54;break}if((m|0)==255){if(!n)t=c;else{u=0;break}f[a>>2]=t;return}if(!d)if(!g)s=59;else{v=g>>>0<65536;w=v?e<<16:g;x=v?16:0;v=w>>>0<16777216;y=((h[477637+((v?w<<8:w)>>>24)>>0]|0)+((v?x|8:x)&255)<<24)+-134217728>>24;z=1-y|0;A=g<<y;s=13}else{z=d;A=g;s=13}a:do if((s|0)==13){if(!i){if(!j){s=59;break}y=j>>>0<65536;x=y?b<<16:j;v=y?16:0;y=x>>>0<16777216;w=((h[477637+((y?x<<8:x)>>>24)>>0]|0)+((y?v|8:v)&255)<<24)+-134217728>>24;B=1-w|0;C=j<<w}else{B=i;C=j}w=Urc(C<<7|1073741824|0,0,A<<7|1073741824|0,0)|0;v=J;y=v>>>0<536870912|(v|0)==536870912&w>>>0<0;x=B+z+(y?-127:-126)|0;D=Qrc(w|0,v|0,y&1|0)|0;y=J;do if(!m)if(!n){v=Irc(D|0,y|0,31)|0;E=((D&2147467264|0)!=0|0!=0)&1|v;F=(p|0)!=0;G=x+-1|0;break}else{v=n>>>0<65536;w=v?c<<16:n;H=v?16:0;v=w>>>0<16777216;I=((h[477637+((v?w<<8:w)>>>24)>>0]|0)+((v?H|8:H)&255)<<24)+-134217728>>24;K=n<<I;L=1-I|0;s=20;break}else{K=n;L=m;s=20}while(0);do if((s|0)==20){I=K<<6|536870912;H=x-L|0;if((o^c|0)>-1){if((H|0)<1){v=32-H|0;if(v>>>0<63){w=Irc(D|0,y|0,v|0)|0;M=Qrc(D|0,y|0,0-v&63|0)|0;N=((M|0)!=0|(J|0)!=0)&1|w}else N=((D|0)!=0|(y|0)!=0)&1;O=N+I|0;P=L}else{if(H>>>0<63){w=Irc(0,I|0,H|0)|0;M=J;v=Qrc(0,I|0,0-H&63|0)|0;Q=((v|0)!=0|(J|0)!=0)&1|w;R=M}else{Q=1;R=0}M=Arc(Q|0,R|0,D|0,y|0)|0;O=((M|0)!=0|0!=0)&1|J;P=x}M=O>>>0<1073741824;E=O<<(M&1);F=(p|0)!=0;G=(M<<31>>31)+P|0;break}do if((H|0)<0){M=0-H|0;if(M>>>0<63){w=Irc(D|0,y|0,M|0)|0;M=J;v=Qrc(D|0,y|0,H&63|0)|0;S=((v|0)!=0|(J|0)!=0)&1|w;T=M}else{S=((D|0)!=0|(y|0)!=0)&1;T=0}M=zrc(0,I|0,S|0,T|0)|0;U=l;V=L;W=J;X=M}else{if(!H){M=zrc(D|0,y|0,0,I|0)|0;w=J;if((M|0)==0&(w|0)==0)break a;v=(w|0)<0;Y=zrc(0,0,M|0,w|0)|0;Z=J;_=Irc(M|0,w|0,63)|0;U=_&255^q;V=x;W=v?Z:w;X=v?Y:M;break}if(H>>>0<63){M=Irc(0,I|0,H|0)|0;Y=J;v=Qrc(0,I|0,0-H&63|0)|0;$=((v|0)!=0|(J|0)!=0)&1|M;aa=Y}else{$=1;aa=0}Y=zrc(D|0,y|0,$|0,aa|0)|0;U=q;V=x;W=J;X=Y}while(0);H=(W|0)==0;I=H?32:0;Y=H?X:W;H=Y>>>0<65536;M=H?I|16:I;I=H?Y<<16:Y;Y=I>>>0<16777216;H=((Y?M|8:M)&255)+(h[477637+((Y?I<<8:I)>>>24)>>0]|0)<<24;I=V-(H+-16777216>>24)|0;Y=H+-553648128|0;H=Y>>24;if((Y|0)<0){Y=0-H&255;M=Irc(X|0,W|0,Y|0)|0;v=Qrc(1,0,Y|0)|0;Y=Arc(v|0,J|0,-1,-1)|0;E=((Y&X|0)!=0|(J&W|0)!=0)&1|M;F=(U&1)!=0;G=I;break}else{E=X<<H;F=(U&1)!=0;G=I;break}}while(0);x=E&127;do if(G>>>0>252){if((G|0)>=0){if(!((G|0)>253|(E+64|0)<0)){ba=G;ca=x;da=E;break}t=(F&1)<<31|2139095040;f[a>>2]=t;return}y=0-G|0;if(y>>>0<31)ea=(E<<(G&31)|0)!=0|E>>>y;else ea=(E|0)!=0&1;ba=0;ca=ea&127;da=ea}else{ba=G;ca=x;da=E}while(0);x=(da+64|0)>>>7&~(ca<<24>>24==64);t=((x|0)==0?0:ba<<23)+(x|(F&1)<<31)|0;f[a>>2]=t;return}while(0);if((s|0)==59?!((o^c|0)<0&(m|n|0)==0):0){t=c;f[a>>2]=t;return}t=0;f[a>>2]=t;return}while(0);if((s|0)==53)u=((e&2143289344|0)==2139095040&(e&4194303|0)!=0?e:(e&2139095040|0)!=2139095040|(g|0)==0?b:e)|4194304;else if((s|0)==54)if(r){r=p<<31|2139095040;if((m|0)!=255){t=r;f[a>>2]=t;return}if(!n)if((p|0)==(k|0)){t=r;f[a>>2]=t;return}else u=-4194304;else u=r}else u=-4194304;t=((u&2143289344|0)==2139095040&(u&4194303|0)!=0?u:(u&2139095040|0)!=2139095040|(u&8388607|0)==0?c:u)|4194304;f[a>>2]=t;return}function gAb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0;e=b;b=f[e>>2]|0;g=f[e+4>>2]|0;e=c;c=f[e>>2]|0;i=f[e+4>>2]|0;e=d;d=f[e>>2]|0;j=f[e+4>>2]|0;e=Irc(b|0,g|0,52)|0;k=e&2047;e=g&1048575;l=Irc(c|0,i|0,52)|0;m=l&2047;l=i&1048575;n=Irc(d|0,j|0,63)|0;o=n&255;p=Irc(d|0,j|0,52)|0;q=p&2047;p=j&1048575;r=i^g;s=Irc(c^b|0,r|0,63)|0;t=J;u=s&255;do if((k|0)==2047)if((b|0)==0&(e|0)==0?!(((c|0)!=0|(l|0)!=0)&(m|0)==2047):0){v=m;w=c;x=l;y=54}else y=53;else{if((m|0)==2047)if((c|0)==0&(l|0)==0){v=k;w=b;x=e;y=54;break}else{y=53;break}if((q|0)==2047){if((d|0)==0&(p|0)==0){z=d;A=j}else{B=0;C=0;break}D=a;E=D;f[E>>2]=z;F=D+4|0;G=F;f[G>>2]=A;return}if(!k)if((b|0)==0&(e|0)==0)y=59;else{H=(e|0)==0;I=H?32:0;K=H?b:e;H=K>>>0<65536;L=H?I|16:I;I=H?K<<16:K;K=I>>>0<16777216;H=((h[477637+((K?I<<8:I)>>>24)>>0]|0)+((K?L|8:L)&255)<<24)+-184549376>>24;L=Qrc(b|0,e|0,H|0)|0;M=1-H|0;N=L;O=J;y=11}else{M=k;N=b;O=e;y=11}a:do if((y|0)==11){if(!m){if((c|0)==0&(l|0)==0){y=59;break}L=(l|0)==0;H=L?32:0;K=L?c:l;L=K>>>0<65536;I=L?H|16:H;H=L?K<<16:K;K=H>>>0<16777216;L=((h[477637+((K?H<<8:H)>>>24)>>0]|0)+((K?I|8:I)&255)<<24)+-184549376>>24;I=Qrc(c|0,l|0,L|0)|0;P=1-L|0;Q=I;R=J}else{P=m;Q=c;R=l}I=Qrc(N|0,O|0,10)|0;L=Qrc(Q|0,R|0,10)|0;K=Irc(N|0,O|0,22)|0;H=K&-1073741825|1073741824;K=Irc(Q|0,R|0,22)|0;S=K&-1073741825|1073741824;K=I&-1024;I=L&-1024;L=Urc(I|0,0,K|0,0)|0;T=J;U=Urc(I|0,0,H|0,0)|0;I=J;V=Urc(S|0,0,K|0,0)|0;K=Arc(V|0,J|0,U|0,I|0)|0;V=J;W=Urc(S|0,0,H|0,0)|0;H=Arc(V|0,(V>>>0<I>>>0|(V|0)==(I|0)&K>>>0<U>>>0)&1|0,W|0,J|0)|0;W=J;U=Arc(0,K|0,L|0,T|0)|0;T=J;L=Arc(H|0,W|0,(T>>>0<K>>>0|(T|0)==(K|0)&U>>>0<0)&1|0,0)|0;K=J;W=K>>>0<536870912|(K|0)==536870912&L>>>0<0;H=Qrc(U|0,T|0,1)|0;I=J;V=Qrc(L|0,K|0,1)|0;S=P+M+(W?-1023:-1022)|0;X=W?V|(I>>>0<T>>>0|(I|0)==(T|0)&H>>>0<U>>>0)&1:L;L=W?J:K;K=W?H:U;U=W?I:T;do if(!q)if((d|0)==0&(p|0)==0){T=Qrc(X|0,L|0,1)|0;Y=(s|0)!=0|(t|0)!=0;Z=S+-1|0;_=T|((K|0)!=0|(U|0)!=0)&1;$=J;break}else{T=(p|0)==0;I=T?32:0;W=T?d:p;T=W>>>0<65536;H=T?I|16:I;I=T?W<<16:W;W=I>>>0<16777216;T=((h[477637+((W?I<<8:I)>>>24)>>0]|0)+((W?H|8:H)&255)<<24)+-184549376>>24;H=Qrc(d|0,p|0,T|0)|0;aa=1-T|0;ba=H;ca=J;y=18;break}else{aa=q;ba=d;ca=p;y=18}while(0);do if((y|0)==18){H=Qrc(ba|0,ca|0,9)|0;T=J|536870912;W=S-aa|0;I=(W|0)<0;do if(I){if(!((s|0)==(n|0)|(W|0)!=-1)){V=Irc(X|0,L|0,1)|0;da=J;ea=Qrc(X|0,L|0,63)|0;fa=J;ga=Irc(K|0,U|0,1)|0;ha=aa;ia=V;ja=da;ka=0;la=0;ma=ea|ga;na=fa|J;oa=0;pa=0;break}fa=0-W|0;if(fa>>>0<63){ga=Irc(X|0,L|0,fa|0)|0;fa=J;ea=Qrc(X|0,L|0,W&63|0)|0;ha=aa;ia=((ea|0)!=0|(J|0)!=0)&1|ga;ja=fa;ka=0;la=0;ma=K;na=U;oa=0;pa=0;break}else{ha=aa;ia=((X|0)!=0|(L|0)!=0)&1;ja=0;ka=0;la=0;ma=K;na=U;oa=0;pa=0;break}}else if(W){if(W>>>0<64){fa=Irc(H|0,T|0,W|0)|0;ga=J;ea=Qrc(H|0,T|0,0-W&63|0)|0;ha=S;ia=X;ja=L;ka=ea;la=J;ma=K;na=U;oa=fa;pa=ga;break}if(W>>>0<127){ga=W&63;fa=Irc(H|0,T|0,ga|0)|0;ea=J;da=Qrc(1,0,ga|0)|0;ga=Arc(da|0,J|0,-1,-1)|0;ha=S;ia=X;ja=L;ka=((ga&H|0)!=0|(J&T|0)!=0)&1|fa;la=ea;ma=K;na=U;oa=0;pa=0}else{ha=S;ia=X;ja=L;ka=1;la=0;ma=K;na=U;oa=0;pa=0}}else{ha=S;ia=X;ja=L;ka=0;la=0;ma=K;na=U;oa=0;pa=0}while(0);if((s|0)==(n|0)){if((W|0)<1){ea=Arc(ia|0,ja|0,H|0,T|0)|0;qa=ma;ra=na;sa=ea;ta=J}else{ea=Arc(ka|0,la|0,ma|0,na|0)|0;fa=J;ga=Arc(oa|0,pa|0,ia|0,ja|0)|0;da=Arc(ga|0,J|0,(fa>>>0<na>>>0|(fa|0)==(na|0)&ea>>>0<ma>>>0)&1|0,0)|0;qa=ea;ra=fa;sa=da;ta=J}da=((qa|0)!=0|(ra|0)!=0)&1|sa;fa=ta>>>0<1073741824|(ta|0)==1073741824&da>>>0<0;ea=Qrc(da|0,ta|0,fa&1|0)|0;Y=(s|0)!=0|(t|0)!=0;Z=(fa<<31>>31)+ha|0;_=ea;$=J;break}do if(I){ea=zrc(0,0,ma|0,na|0)|0;fa=J;da=zrc(H|0,T|0,ia|0,ja|0)|0;ga=((ma|0)!=0|(na|0)!=0)<<31>>31;V=Arc(da|0,J|0,ga|0,((ga|0)<0)<<31>>31|0)|0;ua=o;va=V;wa=J;xa=ea;ya=fa}else{if(W|0){fa=zrc(ma|0,na|0,ka|0,la|0)|0;ea=J;V=zrc(ia|0,ja|0,oa|0,pa|0)|0;ga=(na>>>0<la>>>0|(na|0)==(la|0)&ma>>>0<ka>>>0)<<31>>31;da=Arc(V|0,J|0,ga|0,((ga|0)<0)<<31>>31|0)|0;ua=u;va=da;wa=J;xa=fa;ya=ea;break}ea=zrc(ia|0,ja|0,H|0,T|0)|0;fa=J;if((ea|ma|0)==0&(fa|na|0)==0)break a;da=(fa|0)<0;ga=zrc(0,0,ma|0,na|0)|0;V=J;za=((ma|0)!=0|(na|0)!=0)<<31>>31;Aa=zrc(za|0,((za|0)<0)<<31>>31|0,ea|0,fa|0)|0;za=J;Ba=Irc(ea|0,fa|0,63)|0;ua=(Ba^s)&255;va=da?Aa:ea;wa=da?za:fa;xa=da?ga:ma;ya=da?V:na}while(0);T=(va|0)==0&(wa|0)==0;H=T?xa:va;W=T?ya:wa;I=T?0:xa;V=T?0:ya;da=(W|0)==0;ga=da?32:0;fa=da?H:W;da=fa>>>0<65536;za=da?ga|16:ga;ga=da?fa<<16:fa;fa=ga>>>0<16777216;da=((fa?za|8:za)&255)+(h[477637+((fa?ga<<8:ga)>>>24)>>0]|0)|0;ga=(da<<24)+-16777216|0;fa=ga>>24;if((ga|0)<0){ga=0-fa&255;za=Irc(H|0,W|0,ga|0)|0;ea=J;Aa=Qrc(1,0,ga|0)|0;ga=Arc(Aa|0,J|0,-1,-1)|0;Ca=I;Da=V;Ea=((ga&H|0)!=0|(J&W|0)!=0)&1|za;Fa=ea}else{ea=da+255&255;za=Qrc(H|0,W|0,ea|0)|0;W=J;H=Irc(I|0,V|0,-63-da&63|0)|0;da=J|W;W=Qrc(I|0,V|0,ea|0)|0;Ca=W;Da=J;Ea=H|za;Fa=da}Y=(ua&1)!=0;Z=(T?ha+-64|0:ha)-fa|0;_=((Ca|0)!=0|(Da|0)!=0)&1|Ea;$=Fa}while(0);U=_&1023;do if((Z&65535)>>>0>2044){if((Z|0)>=0){Arc(_|0,$|0,512,0)|0;if(!((Z|0)>2045|(J|0)<0)){Ga=Z;Ha=U;Ia=_;Ja=$;break}K=Qrc(Y&1|0,0,63)|0;z=K;A=J|2146435072;D=a;E=D;f[E>>2]=z;F=D+4|0;G=F;f[G>>2]=A;return}K=0-Z|0;if(K>>>0<63){L=Irc(_|0,$|0,K|0)|0;K=J;X=Qrc(_|0,$|0,Z&63|0)|0;Ka=((X|0)!=0|(J|0)!=0)&1|L;La=K}else{Ka=((_|0)!=0|($|0)!=0)&1;La=0}Ga=0;Ha=Ka&1023;Ia=Ka;Ja=La}else{Ga=Z;Ha=U;Ia=_;Ja=$}while(0);U=Arc(Ia|0,Ja|0,512,0)|0;K=Irc(U|0,J|0,10)|0;U=J;L=K&~((Ha|0)==512);K=(L|0)==0&(U|0)==0;X=Qrc(Y&1|0,0,63)|0;S=J;fa=Qrc(Ga|0,0,52)|0;T=Arc((K?0:fa)|0,(K?0:J)|0,L|X|0,U|S|0)|0;z=T;A=J;D=a;E=D;f[E>>2]=z;F=D+4|0;G=F;f[G>>2]=A;return}while(0);if((y|0)==59){if(!((q|d|0)==0&(p|0)==0)){z=d;A=j;D=a;E=D;f[E>>2]=z;F=D+4|0;G=F;f[G>>2]=A;return}if((s|0)==(n|0)){z=d;A=j;D=a;E=D;f[E>>2]=z;F=D+4|0;G=F;f[G>>2]=A;return}}z=0;A=0;D=a;E=D;f[E>>2]=z;F=D+4|0;G=F;f[G>>2]=A;return}while(0);if((y|0)==53){Ga=0==0&(g&2146959360|0)==2146435072&((b|0)!=0|(g&524287|0)!=0);Y=0!=0|(g&2146435072|0)!=2146435072|(b|0)==0&(e|0)==0;B=(Ga?g:Y?i:g)|524288;C=Ga?b:Y?c:b}else if((y|0)==54)if(!((v|w|0)==0&(x|0)==0)){x=r&-2147483648|2146435072;if((q|0)!=2047){z=0;A=x;D=a;E=D;f[E>>2]=z;F=D+4|0;G=F;f[G>>2]=A;return}if((d|0)==0&(p|0)==0)if((s|0)==(n|0)){z=0;A=x;D=a;E=D;f[E>>2]=z;F=D+4|0;G=F;f[G>>2]=A;return}else{B=-524288;C=0}else{B=x;C=0}}else{B=-524288;C=0}x=0==0&(B&2146959360|0)==2146435072&((C|0)!=0|(B&524287|0)!=0);n=0!=0|(B&2146435072|0)!=2146435072|(C|0)==0&(B&1048575|0)==0;z=x?C:n?d:C;A=(x?B:n?j:B)|524288;D=a;E=D;f[E>>2]=z;F=D+4|0;G=F;f[G>>2]=A;return}function hAb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;e=b;b=f[e+4>>2]|0;g=d;f[g>>2]=f[e>>2];f[g+4>>2]=b;iAb(a,d);u=c;return}function iAb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0;d=u;u=u+176|0;e=d+160|0;g=d+144|0;h=d+136|0;i=d+120|0;j=d+104|0;k=d+96|0;l=d+168|0;m=d+152|0;n=d+88|0;o=d+80|0;p=d+128|0;q=d+72|0;r=d+112|0;s=d+64|0;t=d+56|0;v=d+48|0;w=d+40|0;x=d+32|0;y=d+24|0;z=d+16|0;A=d+8|0;B=d;C=c;D=f[C>>2]|0;E=f[C+4>>2]|0;C=E&2147483647;if(C>>>0>2146435072|(C|0)==2146435072&D>>>0>0){F=a;f[F>>2]=-1;f[F+4>>2]=2147483647;u=d;return}if((D|0)==0&(C|0)==2146435072)if((D|0)==0&(E|0)==2146435072&(0!=0|(E&2146435072|0)!=2146435072|(D|0)==0&(E&1048575|0)==0)){E=a;f[E>>2]=0;f[E+4>>2]=2146435072;u=d;return}else{E=a;f[E>>2]=0;f[E+4>>2]=0;u=d;return}if((b[535112]|0)==0?src(535112)|0:0){E=e;f[E>>2]=0;f[E+4>>2]=1072693248;cAb(535120,e,23200)}if((b[535128]|0)==0?src(535128)|0:0){e=g;f[e>>2]=-17155599;f[e+4>>2]=1072049730;cAb(535136,g,23200)}if((b[535144]|0)==0?src(535144)|0:0){g=h;f[g>>2]=-8215462;f[g+4>>2]=1070514109;cAb(535152,h,23200)}if((b[535160]|0)==0?src(535160)|0:0){h=i;f[h>>2]=-668996491;f[h+4>>2]=1068264200;cAb(535168,i,23200)}if((b[535176]|0)==0?src(535176)|0:0){i=j;f[i>>2]=726613203;f[i+4>>2]=1065595559;cAb(535184,j,23200)}if((b[535192]|0)==0?src(535192)|0:0){j=k;f[j>>2]=359056036;f[j+4>>2]=1062594474;cAb(535200,k,23200)}k=l;f[k>>2]=0;f[k+4>>2]=0;k=f[c+4>>2]|0;j=k&2145386496;if(j>>>0>1083179008|(j|0)==1083179008&0>0){j=k&-2147483648|1091006464;k=l;f[k>>2]=0;f[k+4>>2]=j;G=0;H=j}else{bAb(m,c,23208);c=m;j=f[c>>2]|0;k=f[c+4>>2]|0;c=l;f[c>>2]=j;f[c+4>>2]=k;G=j;H=k}k=Irc(G|0,H|0,52)|0;j=k&2047;k=H&1048575;c=(H|0)<0;i=(G|0)==0&(k|0)==0|(j|0)!=2047;h=c&i;g=(j|0)==0;e=g?G:G;E=g?k:k|1048576;g=1063-j|0;do if((g|0)>0)if(g>>>0<63){D=Irc(e|0,E|0,g|0)|0;C=J;F=Qrc(e|0,E|0,0-g&63|0)|0;I=((F|0)!=0|(J|0)!=0)&1|D;K=C;break}else{I=((e|0)!=0|(E|0)!=0)&1;K=0;break}else{I=e;K=E}while(0);E=Arc(I|0,K|0,2048,0)|0;K=J;if(!(K>>>0>4095|(K|0)==4095&E>>>0>4294967295)){e=Irc(E|0,K|0,12)|0;K=(I&4095|0)==2048&0==0&1;I=h?(K|~e)+1|0:e&~K;if(I)if((I>>>31|0)==(h&1|0))L=I;else M=35;else L=0}else M=35;if((M|0)==35)L=h?-2147483648:2147483647;h=L>>6;M=h+1023|0;I=(h|0)<-1023;h=Qrc(((M|0)<2047?M:2047)|0,0,52)|0;M=m;f[M>>2]=I?0:h;f[M+4>>2]=I?0:J;do if(j>>>0>=1023){if(j>>>0<=1074){I=Qrc(1,0,1075-j|0)|0;M=J;h=Arc(I|0,M|0,-1,-1)|0;K=J;e=Irc(I|0,M|0,1)|0;E=Arc(e|0,J|0,G|0,H|0)|0;e=J;g=(E&h|0)==0&(e&K|0)==0;K=zrc(0,0,I|0,M|0)|0;N=E&K&(g?~I:-1);O=e&J&(g?~M:-1);break}if(i){N=G;O=H}else{M=0==0&(H&2146959360|0)==2146435072&((G|0)!=0|(H&524287|0)!=0);g=0!=0|(H&2146435072|0)!=2146435072;N=M?G:g?0:G;O=(M?H:g?0:H)|524288}}else{g=(G|0)==0&(H&2147483647|0)==0;M=H&-2147483648;e=((G|0)!=0|(k|0)!=0)&(j|0)==1022;N=g?G:e?0:0;O=g?H:e?M|1072693248:M}while(0);j=Irc(G|0,H|0,63)|0;k=Irc(N|0,O|0,63)|0;if((j|0)==(k|0))$zb(n,G,H,N,O,c);else _zb(n,G,H,N,O,c);bAb(l,n,23216);bAb(o,m,23200);m=23224+((L&63)<<3)|0;L=f[m+4>>2]|0;n=p;f[n>>2]=f[m>>2];f[n+4>>2]=L;bAb(q,o,p);bAb(s,535200,l);p=s;s=f[p>>2]|0;o=f[p+4>>2]|0;p=535184;L=f[p>>2]|0;n=f[p+4>>2]|0;p=(o|0)<0;m=Irc(s|0,o|0,63)|0;c=Irc(L|0,n|0,63)|0;if((m|0)==(c|0))_zb(t,s,o,L,n,p);else $zb(t,s,o,L,n,p);bAb(v,t,l);t=v;v=f[t>>2]|0;p=f[t+4>>2]|0;t=535168;n=f[t>>2]|0;L=f[t+4>>2]|0;t=(p|0)<0;o=Irc(v|0,p|0,63)|0;s=Irc(n|0,L|0,63)|0;if((o|0)==(s|0))_zb(w,v,p,n,L,t);else $zb(w,v,p,n,L,t);bAb(x,w,l);w=x;x=f[w>>2]|0;t=f[w+4>>2]|0;w=535152;L=f[w>>2]|0;n=f[w+4>>2]|0;w=(t|0)<0;p=Irc(x|0,t|0,63)|0;v=Irc(L|0,n|0,63)|0;if((p|0)==(v|0))_zb(y,x,t,L,n,w);else $zb(y,x,t,L,n,w);bAb(z,y,l);y=z;z=f[y>>2]|0;w=f[y+4>>2]|0;y=535136;n=f[y>>2]|0;L=f[y+4>>2]|0;y=(w|0)<0;t=Irc(z|0,w|0,63)|0;x=Irc(n|0,L|0,63)|0;if((t|0)==(x|0))_zb(A,z,w,n,L,y);else $zb(A,z,w,n,L,y);bAb(B,A,l);l=B;B=f[l>>2]|0;A=f[l+4>>2]|0;l=535120;y=f[l>>2]|0;L=f[l+4>>2]|0;l=(A|0)<0;n=Irc(B|0,A|0,63)|0;w=Irc(y|0,L|0,63)|0;if((n|0)==(w|0))_zb(r,B,A,y,L,l);else $zb(r,B,A,y,L,l);bAb(a,q,r);u=d;return}function jAb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=u;u=u+240|0;e=d+232|0;g=d+224|0;i=d+216|0;j=d+208|0;k=d+200|0;l=d+192|0;m=d+184|0;n=d+176|0;o=d+168|0;p=d+160|0;q=d+152|0;r=d+144|0;s=d+128|0;t=d+136|0;v=d+120|0;w=d+112|0;x=d+96|0;y=d+88|0;z=d+80|0;A=d+72|0;B=d+64|0;C=d+56|0;D=d+48|0;E=d+104|0;F=d+40|0;G=d+32|0;H=d+24|0;I=d+16|0;K=d+8|0;L=d;M=c;N=f[M>>2]|0;O=f[M+4>>2]|0;M=O&2147483647;if(!(M>>>0>2146435072|(M|0)==2146435072&N>>>0>0)?(P=O&2146435072,Q=O&1048575,(N|0)==0&(M|0)==0|((O|0)>-1|(O|0)==-1&N>>>0>4294967295|((N|0)!=0|(Q|0)!=0)&(0==0&(P|0)==2146435072))):0){a:do if(0!=0|(P|0)!=2146435072|(N|0)==0&(Q|0)==0?(N|0)==0:0){if((O|0)<0)switch(O|0){case -2147483648:break;default:break a}else switch(O|0){case 0:break;default:break a}M=a;f[M>>2]=0;f[M+4>>2]=-1048576;u=d;return}while(0);if((b[535208]|0)==0?src(535208)|0:0){O=535216;f[O>>2]=0;f[O+4>>2]=1072693248}if((b[535224]|0)==0?src(535224)|0:0){O=g;f[O>>2]=0;f[O+4>>2]=-1074790400;O=e;f[O>>2]=0;f[O+4>>2]=1073741824;cAb(535232,g,e)}if((b[535240]|0)==0?src(535240)|0:0){g=i;f[g>>2]=0;f[g+4>>2]=1072693248;g=e;f[g>>2]=0;f[g+4>>2]=1074266112;cAb(535248,i,e)}if((b[535256]|0)==0?src(535256)|0:0){i=j;f[i>>2]=0;f[i+4>>2]=-1074790400;i=e;f[i>>2]=0;f[i+4>>2]=1074790400;cAb(535264,j,e)}if((b[535272]|0)==0?src(535272)|0:0){j=k;f[j>>2]=0;f[j+4>>2]=1072693248;j=e;f[j>>2]=0;f[j+4>>2]=1075052544;cAb(535280,k,e)}if((b[535288]|0)==0?src(535288)|0:0){k=l;f[k>>2]=0;f[k+4>>2]=-1074790400;k=e;f[k>>2]=0;f[k+4>>2]=1075314688;cAb(535296,l,e)}if((b[535304]|0)==0?src(535304)|0:0){l=m;f[l>>2]=0;f[l+4>>2]=1072693248;l=e;f[l>>2]=0;f[l+4>>2]=1075576832;cAb(535312,m,e)}if((b[535320]|0)==0?src(535320)|0:0){m=n;f[m>>2]=0;f[m+4>>2]=-1074790400;m=e;f[m>>2]=0;f[m+4>>2]=1075838976;cAb(535328,n,e)}n=c;m=f[n>>2]|0;l=f[n+4>>2]|0;n=Irc(m|0,l|0,44)|0;k=n&255;n=l&4095|1072693248;l=o;f[l>>2]=m;f[l+4>>2]=n;$zb(o,m,n,0,1072693248,0);n=k<<1;m=4672+(n<<3)|0;l=f[m>>2]|0;j=f[m+4>>2]|0;m=4672+((n|1)<<3)|0;n=f[m+4>>2]|0;i=p;f[i>>2]=f[m>>2];f[i+4>>2]=n;bAb(q,o,p);if((k|0)==255){k=s;f[k>>2]=0;f[k+4>>2]=-1074790400;k=t;f[k>>2]=0;f[k+4>>2]=1082130432;cAb(r,s,t);s=q;k=f[s>>2]|0;p=f[s+4>>2]|0;s=r;o=f[s>>2]|0;n=f[s+4>>2]|0;s=(p|0)<0;i=Irc(k|0,p|0,63)|0;m=Irc(o|0,n|0,63)|0;if((i|0)==(m|0))_zb(e,k,p,o,n,s);else $zb(e,k,p,o,n,s);s=e;n=f[s+4>>2]|0;o=q;f[o>>2]=f[s>>2];f[o+4>>2]=n}bAb(e,q,q);n=c;c=Irc(f[n>>2]|0,f[n+4>>2]|0,52)|0;n=c&2047;c=n+-1023|0;if(!c){R=0;S=0}else{o=n>>>0<1023?1023-n|0:c;n=o>>>0<65536;s=n?o<<16:o;p=n?16:0;n=s>>>0<16777216;k=(h[477637+((n?s<<8:s)>>>24)>>0]|0)+((n?p|8:p)&255)|0;p=Qrc(c>>>31|0,0,63)|0;c=J;n=(k<<24)+352321536>>24;k=Qrc(1074-n|0,0,52)|0;s=J;m=Qrc(o|0,0,n|0)|0;n=Arc(m|0,J|0,p|0,c|0)|0;c=Arc(n|0,J|0,k|0,s|0)|0;R=c;S=J}c=r;f[c>>2]=R;f[c+4>>2]=S;bAb(v,23736,r);r=v;v=f[r>>2]|0;S=f[r+4>>2]|0;r=(S|0)<0;c=Irc(v|0,S|0,63)|0;R=Irc(l|0,j|0,63)|0;if((c|0)==(R|0))_zb(w,v,S,l,j,r);else $zb(w,v,S,l,j,r);bAb(x,535328,e);r=x;x=f[r>>2]|0;j=f[r+4>>2]|0;r=535296;l=f[r>>2]|0;S=f[r+4>>2]|0;r=(j|0)<0;v=Irc(x|0,j|0,63)|0;R=Irc(l|0,S|0,63)|0;if((v|0)==(R|0))_zb(y,x,j,l,S,r);else $zb(y,x,j,l,S,r);bAb(z,y,e);y=z;z=f[y>>2]|0;r=f[y+4>>2]|0;y=535264;S=f[y>>2]|0;l=f[y+4>>2]|0;y=(r|0)<0;j=Irc(z|0,r|0,63)|0;x=Irc(S|0,l|0,63)|0;if((j|0)==(x|0))_zb(A,z,r,S,l,y);else $zb(A,z,r,S,l,y);bAb(B,A,e);A=B;B=f[A>>2]|0;y=f[A+4>>2]|0;A=535232;l=f[A>>2]|0;S=f[A+4>>2]|0;A=(y|0)<0;r=Irc(B|0,y|0,63)|0;z=Irc(l|0,S|0,63)|0;if((r|0)==(z|0))_zb(C,B,y,l,S,A);else $zb(C,B,y,l,S,A);bAb(t,C,e);C=w;w=f[C>>2]|0;A=f[C+4>>2]|0;C=t;t=f[C>>2]|0;S=f[C+4>>2]|0;C=(A|0)<0;l=Irc(w|0,A|0,63)|0;y=Irc(t|0,S|0,63)|0;if((l|0)==(y|0))_zb(D,w,A,t,S,C);else $zb(D,w,A,t,S,C);bAb(F,535312,e);C=F;F=f[C>>2]|0;S=f[C+4>>2]|0;C=535280;t=f[C>>2]|0;A=f[C+4>>2]|0;C=(S|0)<0;w=Irc(F|0,S|0,63)|0;y=Irc(t|0,A|0,63)|0;if((w|0)==(y|0))_zb(G,F,S,t,A,C);else $zb(G,F,S,t,A,C);bAb(H,G,e);G=H;H=f[G>>2]|0;C=f[G+4>>2]|0;G=535248;A=f[G>>2]|0;t=f[G+4>>2]|0;G=(C|0)<0;S=Irc(H|0,C|0,63)|0;F=Irc(A|0,t|0,63)|0;if((S|0)==(F|0))_zb(I,H,C,A,t,G);else $zb(I,H,C,A,t,G);bAb(K,I,e);e=K;K=f[e>>2]|0;I=f[e+4>>2]|0;e=535216;G=f[e>>2]|0;t=f[e+4>>2]|0;e=(I|0)<0;A=Irc(K|0,I|0,63)|0;C=Irc(G|0,t|0,63)|0;if((A|0)==(C|0))_zb(L,K,I,G,t,e);else $zb(L,K,I,G,t,e);bAb(E,L,q);q=D;D=f[q>>2]|0;L=f[q+4>>2]|0;q=E;E=f[q>>2]|0;e=f[q+4>>2]|0;q=(L|0)<0;t=Irc(D|0,L|0,63)|0;G=Irc(E|0,e|0,63)|0;if((t|0)==(G|0))_zb(a,D,L,E,e,q);else $zb(a,D,L,E,e,q);u=d;return}q=a;f[q>>2]=-1;f[q+4>>2]=2147483647;u=d;return}function kAb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;e=u;u=u+64|0;g=e+56|0;h=e+48|0;i=e+40|0;j=e+32|0;k=e+8|0;l=e;m=e+24|0;n=e+16|0;o=c;c=f[o+4>>2]|0;p=m;f[p>>2]=f[o>>2];f[p+4>>2]=c;c=d;d=f[c+4>>2]|0;p=n;f[p>>2]=f[c>>2];f[p+4>>2]=d;if((b[535336]|0)==0?src(535336)|0:0){d=535344;f[d>>2]=0;f[d+4>>2]=0}if((b[535352]|0)==0?src(535352)|0:0){d=535360;f[d>>2]=0;f[d+4>>2]=1072693248}if((b[535368]|0)==0?src(535368)|0:0){d=535376;f[d>>2]=0;f[d+4>>2]=2146435072}if((b[535384]|0)==0?src(535384)|0:0){d=535392;f[d>>2]=-1;f[d+4>>2]=2147483647}d=m;m=f[d>>2]|0;p=f[d+4>>2]|0;d=p&2147483647;c=(m|0)==0&(d|0)==2146435072;o=n;q=f[o>>2]|0;r=f[o+4>>2]|0;o=r&2147483647;s=(q|0)==0&(o|0)==2146435072;t=d>>>0>2146435072|(d|0)==2146435072&m>>>0>0;v=o>>>0>2146435072|(o|0)==2146435072&q>>>0>0;w=535344;x=f[w>>2]|0;y=f[w+4>>2]|0;w=y&2146435072;z=y&1048575;A=0!=0|(w|0)!=2146435072|(x|0)==0&(z|0)==0;do if(A?0!=0|(r&2146435072|0)!=2146435072|(q|0)==0&(r&1048575|0)==0:0){B=Irc(x|0,y|0,63)|0;C=Irc(q|0,r|0,63)|0;if((B|0)==(C|0)){D=((x|0)!=(q|0)|(y|0)!=(r|0))&(B|0)!=((y>>>0<r>>>0|(y|0)==(r|0)&x>>>0<q>>>0)&1|0);break}else{D=(y|0)<0&((x|q|0)!=0|((y|r)&2147483647|0)!=0);break}}else D=0;while(0);B=535360;C=f[B>>2]|0;E=f[B+4>>2]|0;B=E&2146435072;F=0!=0|(B|0)!=2146435072;G=E&1048575;H=(C|0)==0&(G|0)==0;do if(F|H?0!=0|(p&2146435072|0)!=2146435072|(m|0)==0&(p&1048575|0)==0:0)if((E|0)>-1|(E|0)==-1&C>>>0>4294967295){I=E>>>0<d>>>0|(E|0)==(d|0)&C>>>0<m>>>0;break}else{I=(C|m|0)!=0|((E|p)&2147483647|0)!=0;break}else I=0;while(0);K=D^I;I=a;f[I>>2]=0;f[I+4>>2]=0;if(v){if((a|0)==535392){u=e;return}v=535392;I=f[v+4>>2]|0;D=a;f[D>>2]=f[v>>2];f[D+4>>2]=I;u=e;return}if(s){if(((m|0)!=0|(p&1048575|0)!=0)&(0==0&(p&2146435072|0)==2146435072)|(F|H)^1){L=t;M=K?535344:535376}else{L=(m|0)==(C|0)&(d|0)==(E|0)|(C|m|0)==0&((E|p)&2147483647|0)==0;M=t?535392:K?535344:535376}K=L?535392:M;if((K|0)==(a|0)){u=e;return}M=K;K=f[M+4>>2]|0;L=a;f[L>>2]=f[M>>2];f[L+4>>2]=K;u=e;return}K=0!=0|(r&2146435072|0)!=2146435072;L=r&1048575;M=(q|0)==0&(L|0)==0;d=K|M;do if(d){if(((x|0)!=0|(z|0)!=0)&(0==0&(w|0)==2146435072)|((q|0)!=(x|0)|(r|0)!=(y|0))&((x|q|0)!=0|((y|r)&2147483647|0)!=0)){if(((C|0)!=0|(G|0)!=0)&(0==0&(B|0)==2146435072)|((q|0)!=(C|0)|(r|0)!=(E|0))&((C|q|0)!=0|((E|r)&2147483647|0)!=0))break;H=a;f[H>>2]=m;f[H+4>>2]=p;u=e;return}if((a|0)==535360){u=e;return}H=a;f[H>>2]=C;f[H+4>>2]=E;u=e;return}while(0);if(t){if((a|0)==535392){u=e;return}t=535392;E=f[t+4>>2]|0;C=a;f[C>>2]=f[t>>2];f[C+4>>2]=E;u=e;return}if(c){do if(d&A){c=Irc(q|0,r|0,63)|0;E=Irc(x|0,y|0,63)|0;if((c|0)==(E|0)){if(!(((q|0)!=(x|0)|(r|0)!=(y|0))&(E|0)!=((r>>>0<y>>>0|(r|0)==(y|0)&q>>>0<x>>>0)&1|0))){N=535376;break}}else if(!((r|0)<0&((x|q|0)!=0|((y|r)&2147483647|0)!=0))){N=535376;break}N=535344}else N=535376;while(0);if((N|0)==(a|0)){u=e;return}E=N;N=f[E+4>>2]|0;c=a;f[c>>2]=f[E>>2];f[c+4>>2]=N;u=e;return}N=Irc(q|0,r|0,52)|0;c=N&2047;do if(c>>>0>=1023){if(c>>>0<=1074){N=Qrc(1,0,1075-c|0)|0;E=J;C=Arc(N|0,E|0,-1,-1)|0;t=J;B=Irc(N|0,E|0,1)|0;G=Arc(B|0,J|0,q|0,r|0)|0;B=J;H=(G&C|0)==0&(B&t|0)==0;t=zrc(0,0,N|0,E|0)|0;O=B&J&(H?~E:-1);P=G&t&(H?~N:-1);break}if(M|(c|0)!=2047){O=r;P=q}else{N=0==0&(r&2146959360|0)==2146435072&((q|0)!=0|(r&524287|0)!=0);O=(N?r:K?0:r)|524288;P=N?q:K?0:q}}else{N=(q|0)==0&(o|0)==0;H=r&-2147483648;t=((q|0)!=0|(L|0)!=0)&(c|0)==1022;O=N?r:t?H|1072693248:H;P=N?q:t?0:0}while(0);if(d?!(((P|0)!=0|(O&1048575|0)!=0)&(0==0&(O&2146435072|0)==2146435072)|((q|0)!=(P|0)|(r|0)!=(O|0))&((P|q|0)!=0|((O|r)&2147483647|0)!=0)):0){O=(r|0)<0&(M|(c|0)!=2047);M=(c|0)==0;P=M?q:q;o=M?L:L|1048576;L=1063-c|0;do if((L|0)>0)if(L>>>0<63){c=Irc(P|0,o|0,L|0)|0;M=J;K=Qrc(P|0,o|0,0-L&63|0)|0;Q=((K|0)!=0|(J|0)!=0)&1|c;R=M;break}else{Q=((P|0)!=0|(o|0)!=0)&1;R=0;break}else{Q=P;R=o}while(0);o=Arc(Q|0,R|0,2048,0)|0;R=J;if(!(R>>>0>4095|(R|0)==4095&o>>>0>4294967295)){P=Irc(o|0,R|0,12)|0;R=(Q&4095|0)==2048&0==0&1;Q=O?(R|~P)+1|0:P&~R;if(Q)if((Q>>>31|0)==(O&1|0))S=Q;else T=64;else S=0}else T=64;if((T|0)==64)S=O?-2147483648:2147483647;a:do if(0!=0|(p&2146435072|0)!=2146435072|(m|0)==0&(p&1048575|0)==0?(m|0)==0:0){if((p|0)<0)switch(p|0){case -2147483648:break;default:{T=69;break a}}else switch(p|0){case 0:break;default:{T=69;break a}}O=(S|0)<0;Q=(S|0)==0;U=O?0:Q?0:0;V=O?2146435072:Q?1072693248:0}else T=69;while(0);if((T|0)==69){T=h;f[T>>2]=0;f[T+4>>2]=1072693248;T=i;f[T>>2]=m;f[T+4>>2]=p;T=(S|0)>-1?S:0-S|0;if((S|0)<0){S=j;f[S>>2]=0;f[S+4>>2]=1072693248;cAb(g,j,i);j=g;S=f[j+4>>2]|0;Q=i;f[Q>>2]=f[j>>2];f[Q+4>>2]=S}if((T|0)>1){S=T;while(1){if(S&1|0){bAb(g,h,i);T=g;Q=f[T+4>>2]|0;j=h;f[j>>2]=f[T>>2];f[j+4>>2]=Q}bAb(g,i,i);Q=g;j=f[Q+4>>2]|0;T=i;f[T>>2]=f[Q>>2];f[T+4>>2]=j;if(S>>>0>3)S=S>>>1;else break}}bAb(g,h,i);i=g;U=f[i>>2]|0;V=f[i+4>>2]|0}i=a;f[i>>2]=U;f[i+4>>2]=V;u=e;return}if(0!=0|(p&2146435072|0)!=2146435072|(m|0)==0&(p&1048575|0)==0){do if(A){V=Irc(m|0,p|0,63)|0;i=Irc(x|0,y|0,63)|0;if((V|0)==(i|0)){if(!(((m|0)!=(x|0)|(p|0)!=(y|0))&(i|0)!=((p>>>0<y>>>0|(p|0)==(y|0)&m>>>0<x>>>0)&1|0)))break}else if(!((p|0)<0&((x|m|0)!=0|((y|p)&2147483647|0)!=0)))break;if((a|0)==535392){u=e;return}i=535392;V=f[i+4>>2]|0;U=a;f[U>>2]=f[i>>2];f[U+4>>2]=V;u=e;return}while(0);if(!(((x|0)!=0|(z|0)!=0)&(0==0&(w|0)==2146435072)|((m|0)!=(x|0)|(p|0)!=(y|0))&((x|m|0)!=0|((y|p)&2147483647|0)!=0))){do if(d&A){w=Irc(q|0,r|0,63)|0;z=Irc(x|0,y|0,63)|0;if((w|0)!=(z|0)){w=x|q;V=(y|r)&2147483647;if((r|0)<0&((w|0)!=0|(V|0)!=0)){W=535376;break}else{X=w;Y=V}}else{if(((q|0)!=(x|0)|(r|0)!=(y|0))&(z|0)!=((r>>>0<y>>>0|(r|0)==(y|0)&q>>>0<x>>>0)&1|0)){W=535376;break}X=x|q;Y=(y|r)&2147483647}W=(q|0)==(x|0)&(r|0)==(y|0)|(X|0)==0&(Y|0)==0?535360:535344}else W=535344;while(0);if((W|0)==(a|0)){u=e;return}Y=W;W=f[Y+4>>2]|0;X=a;f[X>>2]=f[Y>>2];f[X+4>>2]=W;u=e;return}}W=l;f[W>>2]=m;f[W+4>>2]=p;jAb(h,l);bAb(k,n,h);iAb(g,k);if((g|0)!=(a|0)){k=g;g=f[k+4>>2]|0;h=a;f[h>>2]=f[k>>2];f[h+4>>2]=g}u=e;return}function lAb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;c=u;u=u+160|0;d=c+152|0;e=c+144|0;g=c+136|0;h=c+128|0;i=c+120|0;j=c+112|0;k=c+104|0;l=c+96|0;m=c+88|0;n=c+80|0;o=c+72|0;p=c+64|0;q=c+56|0;r=c+48|0;s=c+40|0;t=c+32|0;v=c+24|0;w=c+16|0;x=c+8|0;y=c;z=f[b>>2]|0;b=z&2147483647;if(b>>>0>2139095040){f[a>>2]=2147483647;u=c;return}if((b|0)==2139095040){f[a>>2]=z;u=c;return}A=(z>>>23&255)+-127|0;B=(A|0)%3|0;C=B+-3-(B>>31&-3)|0;B=Qrc(C+1023|0,0,52)|0;D=J;E=Qrc(z&8388607|0,0,29)|0;F=d;f[F>>2]=B|E;f[F+4>>2]=D|J;D=e;f[D>>2]=1716763248;f[D+4>>2]=1078370462;D=g;f[D>>2]=1712249633;f[D+4>>2]=1076731424;bAb(i,e,d);e=i;i=f[e>>2]|0;D=f[e+4>>2]|0;e=(D|0)<0;if((D|0)>-1|(D|0)==-1&i>>>0>4294967295)_zb(j,i,D,1818302176,1080559860,e);else $zb(j,i,D,1818302176,1080559860,e);bAb(k,j,d);j=k;k=f[j>>2]|0;e=f[j+4>>2]|0;j=(e|0)<0;if((e|0)>-1|(e|0)==-1&k>>>0>4294967295)_zb(l,k,e,1134341652,1079888535,j);else $zb(l,k,e,1134341652,1079888535,j);bAb(m,l,d);l=m;m=f[l>>2]|0;j=f[l+4>>2]|0;l=(j|0)<0;if((j|0)>-1|(j|0)==-1&m>>>0>4294967295)_zb(n,m,j,-763202304,1076551024,l);else $zb(n,m,j,-763202304,1076551024,l);bAb(o,n,d);n=o;o=f[n>>2]|0;l=f[n+4>>2]|0;n=(l|0)<0;if((l|0)>-1|(l|0)==-1&o>>>0>4294967295)_zb(p,o,l,-2081071827,1069871455,n);else $zb(p,o,l,-2081071827,1069871455,n);bAb(r,g,d);g=r;r=f[g>>2]|0;n=f[g+4>>2]|0;g=(n|0)<0;if((n|0)>-1|(n|0)==-1&r>>>0>4294967295)_zb(s,r,n,-1071097835,1080229653,g);else $zb(s,r,n,-1071097835,1080229653,g);bAb(t,s,d);s=t;t=f[s>>2]|0;g=f[s+4>>2]|0;s=(g|0)<0;if((g|0)>-1|(g|0)==-1&t>>>0>4294967295)_zb(v,t,g,1786843854,1080365264,s);else $zb(v,t,g,1786843854,1080365264,s);bAb(w,v,d);v=w;w=f[v>>2]|0;s=f[v+4>>2]|0;v=(s|0)<0;if((s|0)>-1|(s|0)==-1&w>>>0>4294967295)_zb(x,w,s,-907885707,1078001355,v);else $zb(x,w,s,-907885707,1078001355,v);bAb(y,x,d);x=y;y=f[x>>2]|0;v=f[x+4>>2]|0;x=(v|0)<0;if((v|0)>-1|(v|0)==-1&y>>>0>4294967295)_zb(q,y,v,0,1072693248,x);else $zb(q,y,v,0,1072693248,x);cAb(h,p,q);q=h;h=f[q>>2]|0;p=f[q+4>>2]|0;q=d;f[q>>2]=h;f[q+4>>2]=p;if(!b)G=0;else{b=Irc(h|0,p|0,29)|0;G=b&8388607|(((A-C|0)/3|0)<<23)+(z&-2147483648|1056964608)}f[a>>2]=G;u=c;return}function mAb(){var a=0,c=0,d=0,e=0,g=0,h=0,i=0;a=u;u=u+16|0;c=a;if(b[535400]|0){u=a;return}if(!(src(535400)|0)){u=a;return}if((b[535408]|0)==0?src(535408)|0:0){$R(891624,477893,483135);Ad(1603,891624,x|0)|0}d=f[222906]|0;do if((((((d|0)!=477910?(e=(d|0)==0?1163146:d,!((d|0)==477919|(o7b(e,477910)|0)==0)):0)?!((d|0)==477928|(o7b(e,477919)|0)==0):0)?!((d|0)==477930|(o7b(e,477928)|0)==0):0)?!((d|0)==477934|(o7b(e,477930)|0)==0):0)?(o7b(e,477934)|0)!=0:0)if(((d|0)!=483143?!((d|0)==477938|(o7b(e,483143)|0)==0):0)?(o7b(e,477938)|0)!=0:0)if(((d|0)!=483531?!((d|0)==477944|(o7b(e,483531)|0)==0):0)?(o7b(e,477944)|0)!=0:0)if((((d|0)!=483135?!((d|0)==477950|(o7b(e,483135)|0)==0):0)?!((d|0)==477958|(o7b(e,477950)|0)==0):0)?!((d|0)==477967|(o7b(e,477958)|0)==0):0){if((d|0)==477976|(o7b(e,477967)|0)==0){g=3;break}if((d|0)==477981|(o7b(e,477976)|0)==0){g=3;break}if(!(o7b(e,477981)|0)){g=3;break}if((d|0)==483130){g=4;break}if((d|0)==477986|(o7b(e,483130)|0)==0){g=4;break}if(!(o7b(e,477986)|0)){g=4;break}if((d|0)==477991){g=5;break}if((d|0)==477997|(o7b(e,477991)|0)==0){g=5;break}if(!(o7b(e,477997)|0)){g=5;break}if((d|0)==478003){g=6;break}if((d|0)==478011|(o7b(e,478003)|0)==0){g=6;break}if(!(o7b(e,478011)|0)){g=6;break}e=ZQ(892940,478019,39)|0;h=f[222906]|0;i=(h|0)==0?1163146:h;h=ZQ(e,i,s8b(i)|0)|0;Kcc(c,h+(f[(f[h>>2]|0)+-12>>2]|0)|0);i=nec(c,893644)|0;e=Sh[f[(f[i>>2]|0)+28>>2]&511](i,10)|0;oec(c);cdc(h,e)|0;Qcc(h)|0;g=4}else g=3;else g=2;else g=1;else g=0;while(0);f[222905]=g;u=a;return}function nAb(){mAb();return f[222905]|0}function oAb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+160|0;e=d+136|0;g=d;h=VR()|0;i=g+56|0;j=g+4|0;f[g>>2]=11652;f[i>>2]=11672;Icc(g+56|0,j);f[g+128>>2]=0;f[g+132>>2]=-1;f[g>>2]=46744;f[i>>2]=46764;Ncc(j);f[j>>2]=46200;i=g+36|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[g+52>>2]=16;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;YQ(j,e);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);switch(a|0){case 1:{i=ZQ(ZQ(_cc(ZQ(g,478059,7)|0,h)|0,510137,2)|0,c,s8b(c)|0)|0;Kcc(e,i+(f[(f[i>>2]|0)+-12>>2]|0)|0);k=nec(e,893644)|0;l=Sh[f[(f[k>>2]|0)+28>>2]&511](k,10)|0;oec(e);cdc(i,l)|0;Qcc(i)|0;break}case 2:{i=ZQ(ZQ(_cc(ZQ(g,478067,7)|0,h)|0,510137,2)|0,c,s8b(c)|0)|0;Kcc(e,i+(f[(f[i>>2]|0)+-12>>2]|0)|0);l=nec(e,893644)|0;k=Sh[f[(f[l>>2]|0)+28>>2]&511](l,10)|0;oec(e);cdc(i,k)|0;Qcc(i)|0;break}case 3:{i=ZQ(ZQ(_cc(ZQ(g,478075,7)|0,h)|0,510137,2)|0,c,s8b(c)|0)|0;Kcc(e,i+(f[(f[i>>2]|0)+-12>>2]|0)|0);k=nec(e,893644)|0;l=Sh[f[(f[k>>2]|0)+28>>2]&511](k,10)|0;oec(e);cdc(i,l)|0;Qcc(i)|0;break}case 4:{i=ZQ(ZQ(_cc(ZQ(g,478083,7)|0,h)|0,510137,2)|0,c,s8b(c)|0)|0;Kcc(e,i+(f[(f[i>>2]|0)+-12>>2]|0)|0);l=nec(e,893644)|0;k=Sh[f[(f[l>>2]|0)+28>>2]&511](l,10)|0;oec(e);cdc(i,k)|0;Qcc(i)|0;break}case 5:{i=ZQ(ZQ(_cc(ZQ(g,478091,7)|0,h)|0,510137,2)|0,c,s8b(c)|0)|0;Kcc(e,i+(f[(f[i>>2]|0)+-12>>2]|0)|0);h=nec(e,893644)|0;k=Sh[f[(f[h>>2]|0)+28>>2]&511](h,10)|0;oec(e);cdc(i,k)|0;Qcc(i)|0;break}case 6:{i=ZQ(g,c,s8b(c)|0)|0;Kcc(e,i+(f[(f[i>>2]|0)+-12>>2]|0)|0);c=nec(e,893644)|0;k=Sh[f[(f[c>>2]|0)+28>>2]&511](c,10)|0;oec(e);cdc(i,k)|0;Qcc(i)|0;break}default:{VS(g);u=d;return}}i=(a|0)<4;a=i?892940:892772;_Q(e,j);j=e+11|0;k=b[j>>0]|0;c=k<<24>>24<0;ZQ(a,c?f[e>>2]|0:e,c?f[e+4>>2]|0:k&255)|0;if((b[j>>0]|0)<0)Emc(f[e>>2]|0);if(!i){VS(g);u=d;return}Qcc(a)|0;VS(g);u=d;return}function pAb(a){a=a|0;var b=0;do if(a)if((f[a+12>>2]|0)==7247){b=zAb(a)|0;break}else{b=EAb(a)|0;break}else b=-2;while(0);return b|0}function qAb(a,b){a=a|0;b=b|0;return rAb(a,-1,b)|0}function rAb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;e=u;u=u+16|0;g=e+8|0;h=e;if(!a){i=0;u=e;return i|0}j=W6b(140)|0;if(!j){i=0;u=e;return i|0}f[j+24>>2]=0;f[j+28>>2]=8192;k=j+80|0;f[k>>2]=0;l=j+12|0;f[l>>2]=0;m=j+60|0;f[m>>2]=-1;n=j+64|0;f[n>>2]=0;o=j+40|0;f[o>>2]=0;p=b[d>>0]|0;a:do if(p<<24>>24){q=0;r=d;s=0;t=p;v=0;w=0;b:while(1){x=t<<24>>24;c:do if((t+-48&255)<10){f[m>>2]=x+-48;y=s;z=q;A=w;B=v}else do switch(x|0){case 43:{C=10;break b;break}case 114:{f[l>>2]=7247;y=s;z=q;A=7247;B=v;break c;break}case 119:{f[l>>2]=31153;y=s;z=q;A=31153;B=v;break c;break}case 97:{f[l>>2]=1;y=s;z=q;A=1;B=v;break c;break}case 84:{f[o>>2]=1;y=s;z=q;A=w;B=1;break c;break}case 101:{y=s;z=1;A=w;B=v;break c;break}case 120:{y=1;z=q;A=w;B=v;break c;break}case 102:{f[n>>2]=1;y=s;z=q;A=w;B=v;break c;break}case 104:{f[n>>2]=2;y=s;z=q;A=w;B=v;break c;break}case 82:{f[n>>2]=3;y=s;z=q;A=w;B=v;break c;break}case 70:{f[n>>2]=4;y=s;z=q;A=w;B=v;break c;break}default:{y=s;z=q;A=w;B=v;break c}}while(0);while(0);r=r+1|0;t=b[r>>0]|0;if(!(t<<24>>24))break;else{q=z;s=y;v=B;w=A}}if((C|0)==10){X6b(j);i=0;u=e;return i|0}d:do if((A|0)<7247)switch(A|0){case 0:{break a;break}default:{}}else{switch(A|0){case 7247:break;default:break d}if(!B){f[o>>2]=1;break}X6b(j);i=0;u=e;return i|0}while(0);w=(s8b(a)|0)+1|0;v=W6b(w)|0;s=j+20|0;f[s>>2]=v;if(!v){X6b(j);i=0;u=e;return i|0}f[h>>2]=a;O8b(v,w,478099,h)|0;w=f[l>>2]|0;do if((c|0)>-1){f[j+16>>2]=c;D=w;E=c}else{f[g>>2]=438;v=n7b(a,((w|0)==7247?0:((w|0)==31153?512:1024)|(y|0?193:65))|(z|0?557056:32768),g)|0;f[j+16>>2]=v;if((v|0)!=-1){D=f[l>>2]|0;E=v;break}X6b(f[s>>2]|0);X6b(j);i=0;u=e;return i|0}while(0);e:do if((D|0)>=7247){switch(D|0){case 7247:break;default:{F=j;C=35;break e}}s=p7b(E,0,1)|0;f[j+48>>2]=(s|0)==-1?0:s;s=f[l>>2]|0;f[j>>2]=0;if((s|0)==7247){f[j+52>>2]=0;f[j+56>>2]=0;F=j+44|0;C=35}}else{switch(D|0){case 1:break;default:{F=j;C=35;break e}}p7b(E,0,2)|0;f[l>>2]=31153;F=j;C=35}while(0);if((C|0)==35)f[F>>2]=0;f[j+72>>2]=0;s=f[k>>2]|0;w=j+76|0;if(s|0){if((f[w>>2]|0)!=-4)X6b(s);f[k>>2]=0}f[w>>2]=0;f[j+8>>2]=0;f[j+88>>2]=0;i=j;u=e;return i|0}while(0);X6b(j);i=0;u=e;return i|0}function sAb(a){a=a|0;var b=0,c=0,d=0,e=0;if(!a){b=-1;return b|0}c=a+12|0;if((f[c>>2]|0)!=7247){b=-1;return b|0}d=a+76|0;switch(f[d>>2]|0){case -5:case 0:break;default:{b=-1;return b|0}}if((p7b(f[a+16>>2]|0,f[a+48>>2]|0,0)|0)==-1){b=-1;return b|0}f[a>>2]=0;if((f[c>>2]|0)==7247){f[a+52>>2]=0;f[a+56>>2]=0;f[a+44>>2]=0}f[a+72>>2]=0;c=a+80|0;e=f[c>>2]|0;if(e|0){if((f[d>>2]|0)!=-4)X6b(e);f[c>>2]=0}f[d>>2]=0;f[a+8>>2]=0;f[a+88>>2]=0;b=0;return b|0}function tAb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+16|0;e=d;g=a+80|0;h=f[g>>2]|0;if(h|0){if((f[a+76>>2]|0)!=-4)X6b(h);f[g>>2]=0}switch(b|0){case 0:case -5:break;default:f[a>>2]=0}h=a+76|0;f[h>>2]=b;if((b|0)==-4|(c|0)==0){u=d;return}b=f[a+20>>2]|0;a=s8b(b)|0;i=W6b(a+3+(s8b(c)|0)|0)|0;f[g>>2]=i;if(!i){f[h>>2]=-4;u=d;return}else{h=s8b(b)|0;g=h+3+(s8b(c)|0)|0;f[e>>2]=b;f[e+4>>2]=509871;f[e+8>>2]=c;O8b(i,g,478102,e)|0;u=d;return}}function uAb(a){a=a|0;var b=0;if((a|0)!=0?(f[a+12>>2]|0)==7247:0)b=f[a+56>>2]|0;else b=0;return b|0}function vAb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;b=a+44|0;c=a+52|0;d=a+88|0;e=a+24|0;g=a+100|0;h=a+36|0;i=a+96|0;a:while(1){switch(f[b>>2]|0){case 1:{j=5;break a;break}case 0:{if((xAb(a)|0)==-1){k=-1;j=16;break a}if(!(f[b>>2]|0)){k=0;j=16;break a}break}case 2:{f[g>>2]=f[e>>2]<<1;f[i>>2]=f[h>>2];if((wAb(a)|0)==-1){k=-1;j=16;break a}break}default:{}}if(f[a>>2]|0){k=0;j=16;break}if(!(f[c>>2]|0))continue;if(!(f[d>>2]|0)){k=0;j=16;break}}if((j|0)==5){d=f[h>>2]|0;i=f[e>>2]<<1;f[a>>2]=0;e=a+16|0;g=0;do{b=i-g|0;l=tac(f[e>>2]|0,d+g|0,b>>>0<1073741824?b:1073741824)|0;if((l|0)<1){j=8;break}g=(f[a>>2]|0)+l|0;f[a>>2]=g}while(g>>>0<i>>>0);do if((j|0)==8){if((l|0)>=0){f[c>>2]=1;break}i=f7b()|0;tAb(a,-1,E7b(f[i>>2]|0)|0);k=-1;return k|0}while(0);f[a+4>>2]=f[h>>2];k=0;return k|0}else if((j|0)==16)return k|0;return 0}function wAb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;b=a+84|0;c=a+100|0;d=f[c>>2]|0;e=a+88|0;g=a+76|0;h=a+52|0;i=a+32|0;j=a+24|0;k=a+16|0;l=0;a:while(1){if(!(f[e>>2]|0)){switch(f[g>>2]|0){case -5:case 0:break;default:{m=-1;n=20;break a}}if(f[h>>2]|0){n=12;break}o=f[i>>2]|0;p=f[j>>2]|0;q=0;while(1){r=p-q|0;s=tac(f[k>>2]|0,o+q|0,r>>>0<1073741824?r:1073741824)|0;if((s|0)<1){n=8;break}r=s+q|0;if(r>>>0<p>>>0)q=r;else{t=r;break}}if((n|0)==8){n=0;if((s|0)<0){n=10;break}f[h>>2]=1;t=q}p=(f[e>>2]|0)+t|0;f[e>>2]=p;f[b>>2]=f[i>>2];if(!p){n=12;break}}p=IAb(b,0)|0;switch(p|0){case 2:case -2:{n=14;break a;break}case -4:{n=15;break a;break}case -3:{n=16;break a;break}default:{}}o=f[c>>2]|0;if((p|0)!=1&(o|0)!=0)l=p;else{u=p;v=o;break}}if((n|0)==10){b=f7b()|0;tAb(a,-1,E7b(f[b>>2]|0)|0);m=-1;return m|0}else if((n|0)==12){tAb(a,-5,478109);u=l;v=f[c>>2]|0}else if((n|0)==14){tAb(a,-2,478132);m=-1;return m|0}else if((n|0)==15){tAb(a,-4,478232);m=-1;return m|0}else if((n|0)==16){c=f[a+108>>2]|0;tAb(a,-3,(c|0)==0?478171:c);m=-1;return m|0}else if((n|0)==20)return m|0;n=d-v|0;f[a>>2]=n;f[a+4>>2]=(f[a+96>>2]|0)+(0-n);if((u|0)!=1){m=0;return m|0}f[a+44>>2]=0;m=0;return m|0}function xAb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;c=a+84|0;d=a+24|0;if(!(f[d>>2]|0)){e=f[a+28>>2]|0;g=W6b(e)|0;h=a+32|0;f[h>>2]=g;i=W6b(e<<1)|0;j=a+36|0;f[j>>2]=i;if((g|0)==0|(i|0)==0){X6b(i);X6b(f[h>>2]|0);tAb(a,-4,478232);k=-1;return k|0}f[d>>2]=e;f[a+116>>2]=0;f[a+120>>2]=0;f[a+124>>2]=0;e=a+88|0;f[e>>2]=0;f[c>>2]=0;if(!(HAb(c,31,478246,56)|0))l=e;else{X6b(f[j>>2]|0);X6b(f[h>>2]|0);f[d>>2]=0;tAb(a,-4,478232);k=-1;return k|0}}else l=a+88|0;h=f[l>>2]|0;a:do if(h>>>0<2){switch(f[a+76>>2]|0){case -5:case 0:break;default:{k=-1;return k|0}}j=a+52|0;if(!(f[j>>2]|0)){e=a+32|0;if(!h)m=0;else{b[f[e>>2]>>0]=b[f[c>>2]>>0]|0;m=f[l>>2]|0}i=(f[e>>2]|0)+m|0;g=(f[d>>2]|0)-m|0;n=a+16|0;o=0;while(1){p=g-o|0;q=tac(f[n>>2]|0,i+o|0,p>>>0<1073741824?p:1073741824)|0;if((q|0)<1){r=15;break}p=q+o|0;if(p>>>0<g>>>0)o=p;else{s=p;break}}do if((r|0)==15){if((q|0)>=0){f[j>>2]=1;s=o;break}g=f7b()|0;tAb(a,-1,E7b(f[g>>2]|0)|0);k=-1;return k|0}while(0);o=(f[l>>2]|0)+s|0;f[l>>2]=o;f[c>>2]=f[e>>2];t=o}else t=h;switch(t|0){case 1:{u=1;break a;break}case 0:{k=0;break}default:{v=t;r=20;break a}}return k|0}else{v=h;r=20}while(0);if((r|0)==20){r=f[c>>2]|0;if((b[r>>0]|0)==31?(b[r+1>>0]|0)==-117:0){FAb(c)|0;f[a+44>>2]=2;f[a+40>>2]=0;k=0;return k|0}else u=v}v=a+40|0;if(!(f[v>>2]|0)){f[l>>2]=0;f[a+52>>2]=1;f[a>>2]=0;k=0;return k|0}else{r=f[a+36>>2]|0;f[a+4>>2]=r;Krc(r|0,f[c>>2]|0,u|0)|0;f[a>>2]=f[l>>2];f[l>>2]=0;f[a+44>>2]=1;f[v>>2]=1;k=0;return k|0}return 0}function yAb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;if((a|0)==0|(c|0)==0|(d|0)<1){e=0;return e|0}if((f[a+12>>2]|0)!=7247){e=0;return e|0}switch(f[a+76>>2]|0){case -5:case 0:break;default:{e=0;return e|0}}g=a+72|0;a:do if(f[g>>2]|0?(f[g>>2]=0,h=f[a+68>>2]|0,i=a+88|0,j=a+52|0,k=a+4|0,l=a+8|0,h|0):0){m=h;b:while(1){while(1){n=f[a>>2]|0;if(n|0)break;if(f[j>>2]|0?(f[i>>2]|0)==0:0)break a;if((vAb(a)|0)==-1){e=0;break b}}h=(n|0)<0|(n|0)>(m|0)?m:n;f[a>>2]=n-h;f[k>>2]=(f[k>>2]|0)+h;f[l>>2]=(f[l>>2]|0)+h;m=m-h|0;if(!m)break a}return e|0}while(0);n=d+-1|0;if(!n){e=0;return e|0}d=a+4|0;g=a+8|0;m=c;l=n;n=f[a>>2]|0;while(1){if(!n){if((vAb(a)|0)==-1){e=0;o=21;break}k=f[a>>2]|0;if(!k){o=17;break}else p=k}else p=n;k=p>>>0>l>>>0?l:p;i=f[d>>2]|0;j=F7b(i,10,k)|0;h=(j|0)==0;q=h?k:1-i+j|0;Krc(m|0,i|0,q|0)|0;n=(f[a>>2]|0)-q|0;f[a>>2]=n;f[d>>2]=(f[d>>2]|0)+q;f[g>>2]=(f[g>>2]|0)+q;l=l-q|0;i=m+q|0;if(!(h&(l|0)!=0)){r=i;break}else m=i}if((o|0)==17){f[a+56>>2]=1;r=m}else if((o|0)==21)return e|0;if((r|0)==(c|0)){e=0;return e|0}b[r>>0]=0;e=c;return e|0}function zAb(a){a=a|0;var b=0,c=0,d=0;if(!a){b=-2;return b|0}if((f[a+12>>2]|0)!=7247){b=-2;return b|0}if(f[a+24>>2]|0){KAb(a+84|0)|0;X6b(f[a+36>>2]|0);X6b(f[a+32>>2]|0)}c=(f[a+76>>2]|0)==-5?-5:0;tAb(a,0,0);X6b(f[a+20>>2]|0);d=m7b(f[a+16>>2]|0)|0;X6b(a);b=d|0?-1:c;return b|0}function AAb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;if(!c){d=0;return d|0}e=a+24|0;if((f[e>>2]|0)==0?(BAb(a)|0)==-1:0){d=0;return d|0}g=a+72|0;a:do if(f[g>>2]|0){f[g>>2]=0;h=f[a+68>>2]|0;i=a+84|0;j=a+88|0;if(f[j>>2]|0?(CAb(a,0)|0)==-1:0){d=0;return d|0}if(h|0){k=a+32|0;l=a+8|0;m=h;h=0;while(1){n=f[e>>2]|0;o=(n|0)<0|(n|0)>(m|0)?m:n;if(!h)Drc(f[k>>2]|0,0,o|0)|0;f[j>>2]=o;f[i>>2]=f[k>>2];f[l>>2]=(f[l>>2]|0)+o;m=m-o|0;if((CAb(a,0)|0)==-1){d=0;break}if(!m)break a;else h=1}return d|0}}while(0);g=a+88|0;if((f[e>>2]|0)>>>0<=c>>>0){if(!(f[g>>2]|0)){p=a+84|0;f[p>>2]=b;q=a+8|0;f[g>>2]=c;r=f[q>>2]|0;s=r+c|0;f[q>>2]=s;t=CAb(a,0)|0;u=(t|0)==-1;v=u?0:c;return v|0}if((CAb(a,0)|0)==-1){d=0;return d|0}else{p=a+84|0;f[p>>2]=b;q=a+8|0;f[g>>2]=c;r=f[q>>2]|0;s=r+c|0;f[q>>2]=s;t=CAb(a,0)|0;u=(t|0)==-1;v=u?0:c;return v|0}}v=a+32|0;u=a+84|0;t=a+8|0;s=b;b=c;while(1){q=f[g>>2]|0;r=f[v>>2]|0;if(!q){f[u>>2]=r;w=r}else w=f[u>>2]|0;p=w+q|0;q=r-p+(f[e>>2]|0)|0;r=q>>>0>b>>>0?b:q;Krc(p|0,s|0,r|0)|0;f[g>>2]=r+(f[g>>2]|0);f[t>>2]=r+(f[t>>2]|0);b=b-r|0;if(!b){d=c;x=23;break}if((CAb(a,0)|0)==-1){d=0;x=23;break}else s=s+r|0}if((x|0)==23)return d|0;return 0}function BAb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=a+84|0;c=a+28|0;d=f[c>>2]|0;e=W6b(d<<1)|0;g=a+32|0;f[g>>2]=e;if(!e){tAb(a,-4,478232);h=-1;return h|0}i=a+40|0;if(f[i>>2]|0){f[a+24>>2]=d;h=0;return h|0}j=W6b(d)|0;d=a+36|0;f[d>>2]=j;if(!j){X6b(e);tAb(a,-4,478232);h=-1;return h|0}f[a+116>>2]=0;f[a+120>>2]=0;f[a+124>>2]=0;if(TAb(b,f[a+60>>2]|0,8,31,8,f[a+64>>2]|0,478246,56)|0){X6b(f[d>>2]|0);X6b(f[g>>2]|0);tAb(a,-4,478232);h=-1;return h|0}f[b>>2]=0;b=f[c>>2]|0;c=f[i>>2]|0;f[a+24>>2]=b;if(c|0){h=0;return h|0}f[a+100>>2]=b;b=f[a+36>>2]|0;f[a+96>>2]=b;f[a+4>>2]=b;h=0;return h|0}function CAb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;c=a+84|0;d=a+24|0;if((f[d>>2]|0)==0?(BAb(a)|0)==-1:0){e=-1;return e|0}if(f[a+40>>2]|0){g=a+88|0;h=f[g>>2]|0;if(!h){e=0;return e|0}i=a+16|0;j=h;h=f[c>>2]|0;while(1){k=sac(f[i>>2]|0,h,j>>>0<1073741824?j:1073741824)|0;if((k|0)<0)break;j=(f[g>>2]|0)-k|0;f[g>>2]=j;h=(f[c>>2]|0)+k|0;f[c>>2]=h;if(!j){e=0;l=41;break}}if((l|0)==41)return e|0;j=f7b()|0;tAb(a,-1,E7b(f[j>>2]|0)|0);e=-1;return e|0}j=a+100|0;h=a+96|0;g=a+4|0;i=a+36|0;k=a+16|0;a:do switch(b|0){case 0:{m=f[j>>2]|0;while(1){do if(!m){n=f[h>>2]|0;o=f[g>>2]|0;if(n>>>0>o>>>0){p=n;n=o;do{o=p-n|0;q=sac(f[k>>2]|0,n,(o|0)<1073741824?o:1073741824)|0;if((q|0)<0){l=31;break a}n=(f[g>>2]|0)+q|0;f[g>>2]=n;p=f[h>>2]|0}while(p>>>0>n>>>0);n=f[j>>2]|0;if(n|0){r=n;break}}n=f[d>>2]|0;f[j>>2]=n;p=f[i>>2]|0;f[h>>2]=p;f[g>>2]=p;r=n}else r=m;while(0);if((aBb(c,0)|0)==-2){l=37;break a}m=f[j>>2]|0;if((r|0)==(m|0)){l=39;break}}break}case 4:{m=0;n=f[j>>2]|0;while(1){if((n|0)==0|(m|0)==1){p=f[h>>2]|0;q=f[g>>2]|0;if(p>>>0>q>>>0){o=p;p=q;do{q=o-p|0;s=sac(f[k>>2]|0,p,(q|0)<1073741824?q:1073741824)|0;if((s|0)<0){l=31;break a}p=(f[g>>2]|0)+s|0;f[g>>2]=p;o=f[h>>2]|0}while(o>>>0>p>>>0);t=f[j>>2]|0}else t=n;if(!t){p=f[d>>2]|0;f[j>>2]=p;o=f[i>>2]|0;f[h>>2]=o;f[g>>2]=o;u=p}else u=t}else u=n;m=aBb(c,4)|0;if((m|0)==-2){l=37;break a}n=f[j>>2]|0;if((u|0)==(n|0)){l=39;break}}break}default:while(1){n=f[h>>2]|0;m=f[g>>2]|0;if(n>>>0>m>>>0){p=n;n=m;do{m=p-n|0;o=sac(f[k>>2]|0,n,(m|0)<1073741824?m:1073741824)|0;if((o|0)<0){l=31;break a}n=(f[g>>2]|0)+o|0;f[g>>2]=n;p=f[h>>2]|0}while(p>>>0>n>>>0)}n=f[j>>2]|0;if(!n){p=f[d>>2]|0;f[j>>2]=p;o=f[i>>2]|0;f[h>>2]=o;f[g>>2]=o;v=p}else v=n;if((aBb(c,b)|0)==-2){l=37;break a}if((v|0)==(f[j>>2]|0)){l=39;break}}}while(0);if((l|0)==31){j=f7b()|0;tAb(a,-1,E7b(f[j>>2]|0)|0);e=-1;return e|0}else if((l|0)==37){tAb(a,-2,478193);e=-1;return e|0}else if((l|0)==39){if((b|0)!=4){e=0;return e|0}$Ab(c)|0;e=0;return e|0}return 0}function DAb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if(!a){c=-1;return c|0}if((f[a+12>>2]|0)!=31153){c=-1;return c|0}if(f[a+76>>2]|0){c=-1;return c|0}d=s8b(b)|0;e=AAb(a,b,d)|0;c=(d|0)!=0&(e|0)==0?-1:e;return c|0}function EAb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if(!a){b=-2;return b|0}if((f[a+12>>2]|0)!=31153){b=-2;return b|0}c=a+72|0;a:do if(!(f[c>>2]|0))d=0;else{f[c>>2]=0;e=f[a+68>>2]|0;g=a+88|0;if(!((f[g>>2]|0)!=0?(CAb(a,0)|0)==-1:0))h=6;b:do if((h|0)==6){if(!e){d=0;break a}i=a+24|0;j=a+32|0;k=a+84|0;l=a+8|0;m=e;n=0;while(1){o=f[i>>2]|0;p=(o|0)<0|(o|0)>(m|0)?m:o;if(!n)Drc(f[j>>2]|0,0,p|0)|0;f[g>>2]=p;f[k>>2]=f[j>>2];f[l>>2]=(f[l>>2]|0)+p;m=m-p|0;if((CAb(a,0)|0)==-1)break b;if(!m){d=0;break a}else n=1}}while(0);d=f[a+76>>2]|0}while(0);if((CAb(a,4)|0)==-1)q=f[a+76>>2]|0;else q=d;if(f[a+24>>2]|0){if(!(f[a+40>>2]|0)){UAb(a+84|0)|0;X6b(f[a+36>>2]|0)}X6b(f[a+32>>2]|0)}tAb(a,0,0);X6b(f[a+20>>2]|0);d=(m7b(f[a+16>>2]|0)|0)==-1;X6b(a);b=d?-1:q;return b|0}function FAb(a){a=a|0;var b=0,c=0,d=0,e=0;if(!a){b=-2;return b|0}if(!(f[a+32>>2]|0)){b=-2;return b|0}if(!(f[a+36>>2]|0)){b=-2;return b|0}c=f[a+28>>2]|0;if(!c){b=-2;return b|0}if((f[c>>2]|0)!=(a|0)){b=-2;return b|0}d=c+4|0;if(((f[d>>2]|0)+-16180|0)>>>0>31){b=-2;return b|0}f[c+44>>2]=0;f[c+48>>2]=0;f[c+52>>2]=0;f[c+32>>2]=0;f[a+20>>2]=0;f[a+8>>2]=0;f[a+24>>2]=0;e=f[c+12>>2]|0;if(e|0)f[a+48>>2]=e&1;f[d>>2]=16180;f[c+8>>2]=0;f[c+16>>2]=0;f[c+24>>2]=32768;f[c+36>>2]=0;f[c+60>>2]=0;f[c+64>>2]=0;d=c+1332|0;f[c+112>>2]=d;f[c+84>>2]=d;f[c+80>>2]=d;f[c+7108>>2]=1;f[c+7112>>2]=-1;b=0;return b|0}function GAb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;if(!a){c=-2;return c|0}d=a+32|0;if(!(f[d>>2]|0)){c=-2;return c|0}e=a+36|0;g=f[e>>2]|0;if(!g){c=-2;return c|0}h=a+28|0;i=f[h>>2]|0;if(!i){c=-2;return c|0}if((f[i>>2]|0)!=(a|0)){c=-2;return c|0}if(((f[i+4>>2]|0)+-16180|0)>>>0>31){c=-2;return c|0}if((b|0)<0){j=0;k=0-b|0}else{j=(b>>>4)+5|0;k=(b|0)<48?b&15:b}if(!((k|0)==0|(k&-8|0)==8)){c=-2;return c|0}b=i+56|0;l=f[b>>2]|0;m=i+40|0;if((l|0)!=0?(f[m>>2]|0)!=(k|0):0){xh[g&2047](f[a+40>>2]|0,l);f[b>>2]=0;b=f[d>>2]|0;f[i+12>>2]=j;f[m>>2]=k;if(!b){c=-2;return c|0}}else{f[i+12>>2]=j;f[m>>2]=k}if(!(f[e>>2]|0)){c=-2;return c|0}e=f[h>>2]|0;if(!e){c=-2;return c|0}if((f[e>>2]|0)!=(a|0)){c=-2;return c|0}h=e+4|0;if(((f[h>>2]|0)+-16180|0)>>>0>31){c=-2;return c|0}f[e+44>>2]=0;f[e+48>>2]=0;f[e+52>>2]=0;f[e+32>>2]=0;f[a+20>>2]=0;f[a+8>>2]=0;f[a+24>>2]=0;k=f[e+12>>2]|0;if(k|0)f[a+48>>2]=k&1;f[h>>2]=16180;f[e+8>>2]=0;f[e+16>>2]=0;f[e+24>>2]=32768;f[e+36>>2]=0;f[e+60>>2]=0;f[e+64>>2]=0;h=e+1332|0;f[e+112>>2]=h;f[e+84>>2]=h;f[e+80>>2]=h;f[e+7108>>2]=1;f[e+7112>>2]=-1;c=0;return c|0}function HAb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;if(!d){g=-6;return g|0}if((e|0)!=56|(b[d>>0]|0)!=49){g=-6;return g|0}if(!a){g=-2;return g|0}f[a+24>>2]=0;d=a+32|0;e=f[d>>2]|0;if(!e){f[d>>2]=298;f[a+40>>2]=0;h=298}else h=e;e=a+36|0;if(!(f[e>>2]|0))f[e>>2]=1121;d=a+40|0;i=ki[h&511](f[d>>2]|0,1,7120)|0;if(!i){g=-4;return g|0}h=a+28|0;f[h>>2]=i;f[i>>2]=a;f[i+56>>2]=0;f[i+4>>2]=16180;j=GAb(a,c)|0;if(!j){g=0;return g|0}xh[f[e>>2]&2047](f[d>>2]|0,i);f[h>>2]=0;g=j;return g|0}function IAb(a,c){a=a|0;c=c|0;var e=0,g=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0,Zd=0,_d=0,$d=0,ae=0,be=0,ce=0,de=0,ee=0,fe=0,ge=0,he=0,ie=0,je=0,ke=0,le=0,me=0,ne=0,oe=0,pe=0,qe=0,re=0,se=0,te=0,ue=0,ve=0,we=0,xe=0,ye=0,ze=0,Ae=0,Be=0,Ce=0,De=0,Ee=0,Fe=0,Ge=0,He=0,Ie=0,Je=0,Ke=0,Le=0,Me=0,Ne=0,Oe=0,Pe=0,Qe=0,Re=0,Se=0,Te=0,Ue=0,Ve=0,We=0,Xe=0,Ye=0,Ze=0,_e=0,$e=0,af=0,bf=0,cf=0,df=0,ef=0,ff=0,gf=0,hf=0,jf=0,kf=0,lf=0,mf=0,nf=0,of=0,pf=0,qf=0,rf=0,sf=0,tf=0,uf=0,vf=0,wf=0,xf=0,yf=0,zf=0,Af=0,Bf=0,Cf=0,Df=0,Ef=0,Ff=0,Gf=0,Hf=0,If=0,Jf=0,Kf=0,Lf=0,Mf=0,Nf=0,Of=0,Pf=0,Qf=0,Rf=0,Sf=0,Tf=0,Uf=0,Vf=0,Wf=0,Xf=0,Yf=0,Zf=0,_f=0,$f=0,ag=0,bg=0,cg=0,dg=0,eg=0,fg=0,gg=0,hg=0,ig=0,jg=0,kg=0,lg=0,mg=0,ng=0,og=0,pg=0,qg=0,rg=0,sg=0,tg=0,ug=0,vg=0,wg=0,xg=0,yg=0,zg=0,Ag=0;e=u;u=u+16|0;g=e;if(!a){i=-2;u=e;return i|0}if(!(f[a+32>>2]|0)){i=-2;u=e;return i|0}if(!(f[a+36>>2]|0)){i=-2;u=e;return i|0}k=f[a+28>>2]|0;if(!k){i=-2;u=e;return i|0}if((f[k>>2]|0)!=(a|0)){i=-2;u=e;return i|0}l=k+4|0;m=f[l>>2]|0;if((m+-16180|0)>>>0>31){i=-2;u=e;return i|0}n=a+12|0;o=f[n>>2]|0;if(!o){i=-2;u=e;return i|0}p=f[a>>2]|0;if((p|0)==0?f[a+4>>2]|0:0){i=-2;u=e;return i|0}if((m|0)==16191){f[l>>2]=16192;q=16192}else q=m;m=a+16|0;r=f[m>>2]|0;s=a+4|0;t=f[s>>2]|0;v=k+60|0;w=k+64|0;x=k+12|0;y=k+40|0;z=k+28|0;A=g+1|0;B=k+20|0;C=k+36|0;D=a+24|0;E=k+24|0;F=a+48|0;G=k+68|0;H=k+16|0;I=(c+-5|0)>>>0<2;J=k+8|0;K=k+80|0;L=k+88|0;M=k+84|0;N=k+92|0;O=(c|0)==6;P=k+7112|0;Q=k+76|0;R=k+7116|0;S=k+72|0;T=k+48|0;U=k+7108|0;V=k+52|0;W=k+56|0;X=k+44|0;Y=a+20|0;Z=k+32|0;_=g+2|0;$=g+3|0;aa=k+108|0;ba=k+100|0;ca=k+104|0;da=k+628|0;ea=k+1332|0;fa=k+112|0;ga=k+116|0;ha=k+756|0;ia=k+96|0;ja=0;ka=r;la=t;ma=p;p=r;r=f[w>>2]|0;na=f[v>>2]|0;oa=o;o=q;a:while(1){b:do switch(o|0){case 16208:{pa=r;qa=na;ra=la;sa=ma;ta=1;ua=ka;va=296;break a;break}case 16209:{wa=p;xa=r;ya=na;za=la;Aa=ma;Ba=-3;Ca=ka;break a;break}case 16210:{va=310;break a;break}case 16180:{q=f[x>>2]|0;if(!q){f[l>>2]=16192;Da=ja;Ea=ka;Fa=la;Ga=oa;Ha=ma;Ia=p;Ja=r;Ka=na;break b}if(r>>>0<16){La=la;Ma=ma;Na=r;Oa=na;while(1){if(!La){wa=p;xa=Na;ya=Oa;za=0;Aa=Ma;Ba=ja;Ca=ka;break a}Pa=La+-1|0;Qa=Ma+1|0;Ra=(h[Ma>>0]<<Na)+Oa|0;Sa=Na+8|0;if(Sa>>>0<16){La=Pa;Ma=Qa;Na=Sa;Oa=Ra}else{Ta=Pa;Ua=Qa;Va=Sa;Wa=Ra;break}}}else{Ta=la;Ua=ma;Va=r;Wa=na}if((Wa|0)==35615&(q&2|0)!=0){if(!(f[y>>2]|0))f[y>>2]=15;Oa=SAb(0,0,0)|0;f[z>>2]=Oa;b[g>>0]=31;b[A>>0]=-117;Na=SAb(Oa,g,2)|0;f[z>>2]=Na;f[l>>2]=16181;Da=ja;Ea=ka;Fa=Ta;Ga=oa;Ha=Ua;Ia=p;Ja=0;Ka=0;break b}f[B>>2]=0;Na=f[C>>2]|0;if(Na|0)f[Na+48>>2]=-1;if(q&1|0?((((Wa<<8&65280)+(Wa>>>8)|0)>>>0)%31|0|0)==0:0){if((Wa&15|0)!=8){f[D>>2]=478276;f[l>>2]=16209;Da=ja;Ea=ka;Fa=Ta;Ga=oa;Ha=Ua;Ia=p;Ja=Va;Ka=Wa;break b}Na=Wa>>>4;Oa=Na&15;Ma=Oa+8|0;La=f[y>>2]|0;if(!La){f[y>>2]=Ma;Xa=Ma}else Xa=La;if(Ma>>>0>15|Ma>>>0>Xa>>>0){f[D>>2]=478303;f[l>>2]=16209;Da=ja;Ea=ka;Fa=Ta;Ga=oa;Ha=Ua;Ia=p;Ja=Va+-4|0;Ka=Na;break b}else{f[E>>2]=256<<Oa;Oa=QAb(0,0,0)|0;f[z>>2]=Oa;f[F>>2]=Oa;f[l>>2]=Wa>>>12&2^16191;Da=ja;Ea=ka;Fa=Ta;Ga=oa;Ha=Ua;Ia=p;Ja=0;Ka=0;break b}}f[D>>2]=478253;f[l>>2]=16209;Da=ja;Ea=ka;Fa=Ta;Ga=oa;Ha=Ua;Ia=p;Ja=Va;Ka=Wa;break}case 16181:{if(r>>>0<16){Oa=la;Na=ma;Ma=r;La=na;while(1){if(!Oa){wa=p;xa=Ma;ya=La;za=0;Aa=Na;Ba=ja;Ca=ka;break a}Ra=Oa+-1|0;Sa=Na+1|0;Qa=(h[Na>>0]<<Ma)+La|0;Pa=Ma+8|0;if(Pa>>>0<16){Oa=Ra;Na=Sa;Ma=Pa;La=Qa}else{Ya=Ra;Za=Sa;_a=Pa;$a=Qa;break}}}else{Ya=la;Za=ma;_a=r;$a=na}f[B>>2]=$a;if(($a&255|0)!=8){f[D>>2]=478276;f[l>>2]=16209;Da=ja;Ea=ka;Fa=Ya;Ga=oa;Ha=Za;Ia=p;Ja=_a;Ka=$a;break b}if($a&57344|0){f[D>>2]=478323;f[l>>2]=16209;Da=ja;Ea=ka;Fa=Ya;Ga=oa;Ha=Za;Ia=p;Ja=_a;Ka=$a;break b}La=f[C>>2]|0;if(La|0)f[La>>2]=$a>>>8&1;if($a&512|0?f[x>>2]&4|0:0){b[g>>0]=$a;b[A>>0]=$a>>>8;La=SAb(f[z>>2]|0,g,2)|0;f[z>>2]=La}f[l>>2]=16182;ab=Ya;bb=Za;cb=0;db=0;va=55;break}case 16182:{if(r>>>0<32){ab=la;bb=ma;cb=r;db=na;va=55}else{eb=la;fb=ma;gb=na;va=57}break}case 16183:{if(r>>>0<16){hb=la;ib=ma;jb=r;kb=na;va=64}else{lb=la;mb=ma;nb=na;va=66}break}case 16184:{ob=la;pb=ma;qb=r;rb=na;va=72;break}case 16185:{sb=la;tb=ma;ub=r;vb=na;va=84;break}case 16186:{wb=la;xb=ma;yb=r;zb=na;va=95;break}case 16187:{Ab=r;Bb=na;Cb=la;Db=ma;va=109;break}case 16188:{Eb=r;Fb=na;Gb=la;Hb=ma;va=123;break}case 16189:{if(r>>>0<32){La=r;Ma=na;Na=la;Oa=ma;while(1){if(!Na){wa=p;xa=La;ya=Ma;za=0;Aa=Oa;Ba=ja;Ca=ka;break a}q=Na+-1|0;Qa=Oa+1|0;Pa=(h[Oa>>0]<<La)+Ma|0;La=La+8|0;if(La>>>0>=32){Ib=Pa;Jb=q;Kb=Qa;break}else{Ma=Pa;Na=q;Oa=Qa}}}else{Ib=na;Jb=la;Kb=ma}Oa=Orc(Ib|0)|0;f[z>>2]=Oa;f[F>>2]=Oa;f[l>>2]=16190;Lb=0;Mb=0;Nb=Jb;Ob=Kb;va=136;break}case 16190:{Lb=r;Mb=na;Nb=la;Ob=ma;va=136;break}case 16191:{Pb=r;Qb=na;Rb=la;Sb=ma;va=139;break}case 16192:{Tb=r;Ub=na;Vb=la;Wb=ma;va=140;break}case 16193:{Oa=r&7;Na=na>>>Oa;Ma=r-Oa|0;if(Ma>>>0<32){Oa=Ma;La=Na;Qa=la;q=ma;while(1){if(!Qa){wa=p;xa=Oa;ya=La;za=0;Aa=q;Ba=ja;Ca=ka;break a}Pa=Qa+-1|0;Sa=q+1|0;Ra=(h[q>>0]<<Oa)+La|0;Xb=Oa+8|0;if(Xb>>>0<32){Oa=Xb;La=Ra;Qa=Pa;q=Sa}else{Yb=Xb;Zb=Ra;_b=Pa;$b=Sa;break}}}else{Yb=Ma;Zb=Na;_b=la;$b=ma}q=Zb&65535;if((q|0)==(Zb>>>16^65535|0)){f[G>>2]=q;f[l>>2]=16194;if(O){pa=0;qa=0;ra=_b;sa=$b;ta=ja;ua=ka;va=296;break a}else{ac=0;bc=0;cc=_b;dc=$b;va=159;break b}}else{f[D>>2]=478387;f[l>>2]=16209;Da=ja;Ea=ka;Fa=_b;Ga=oa;Ha=$b;Ia=p;Ja=Yb;Ka=Zb;break b}break}case 16194:{ac=r;bc=na;cc=la;dc=ma;va=159;break}case 16195:{ec=r;fc=na;gc=la;hc=ma;va=160;break}case 16196:{if(r>>>0<14){q=r;Qa=na;La=la;Oa=ma;while(1){if(!La){wa=p;xa=q;ya=Qa;za=0;Aa=Oa;Ba=ja;Ca=ka;break a}Sa=La+-1|0;Pa=Oa+1|0;Ra=(h[Oa>>0]<<q)+Qa|0;Xb=q+8|0;if(Xb>>>0<14){q=Xb;Qa=Ra;La=Sa;Oa=Pa}else{ic=Xb;jc=Ra;kc=Sa;lc=Pa;break}}}else{ic=r;jc=na;kc=la;lc=ma}Oa=(jc&31)+257|0;f[ba>>2]=Oa;La=(jc>>>5&31)+1|0;f[ca>>2]=La;Qa=(jc>>>10&15)+4|0;f[ia>>2]=Qa;q=jc>>>14;Na=ic+-14|0;if(Oa>>>0>286|La>>>0>30){f[D>>2]=478416;f[l>>2]=16209;Da=ja;Ea=ka;Fa=kc;Ga=oa;Ha=lc;Ia=p;Ja=Na;Ka=q;break b}else{f[aa>>2]=0;f[l>>2]=16197;mc=Na;nc=q;oc=kc;pc=lc;qc=Qa;rc=0;va=170;break b}break}case 16197:{Qa=f[aa>>2]|0;q=f[ia>>2]|0;if(Qa>>>0<q>>>0){mc=r;nc=na;oc=la;pc=ma;qc=q;rc=Qa;va=170}else{sc=r;tc=na;uc=la;vc=ma;wc=Qa;va=171}break}case 16198:{xc=ja;yc=r;zc=na;Ac=la;Bc=ma;Cc=f[aa>>2]|0;va=181;break}case 16199:{Dc=ja;Ec=r;Fc=na;Gc=la;Hc=ma;va=214;break}case 16200:{Ic=ja;Jc=r;Kc=na;Lc=la;Mc=ma;va=215;break}case 16201:{Nc=r;Oc=na;Pc=ja;Qc=la;Rc=ma;Sc=f[Q>>2]|0;va=233;break}case 16202:{Tc=r;Uc=na;Vc=la;Wc=ma;Xc=ja;va=240;break}case 16203:{Yc=r;Zc=na;_c=la;$c=ma;ad=ja;bd=f[Q>>2]|0;va=252;break}case 16204:{cd=r;dd=na;ed=la;fd=ma;gd=ja;va=258;break}case 16205:{if(!ka){pa=r;qa=na;ra=la;sa=ma;ta=ja;ua=0;va=296;break a}b[oa>>0]=f[G>>2];f[l>>2]=16200;Da=ja;Ea=ka+-1|0;Fa=la;Ga=oa+1|0;Ha=ma;Ia=p;Ja=r;Ka=na;break}case 16206:{Qa=f[x>>2]|0;if(Qa){if(r>>>0<32){q=na;Na=r;La=la;Oa=ma;while(1){if(!La){wa=p;xa=Na;ya=q;za=0;Aa=Oa;Ba=ja;Ca=ka;break a}Ma=La+-1|0;Pa=Oa+1|0;Sa=(h[Oa>>0]<<Na)+q|0;Ra=Na+8|0;if(Ra>>>0<32){q=Sa;Na=Ra;La=Ma;Oa=Pa}else{hd=Ra;id=Sa;jd=Ma;kd=Pa;break}}}else{hd=r;id=na;jd=la;kd=ma}Oa=p-ka|0;f[Y>>2]=(f[Y>>2]|0)+Oa;f[Z>>2]=(f[Z>>2]|0)+Oa;if((Oa|0)!=0&(Qa&4|0)!=0){La=f[z>>2]|0;Na=oa+(0-Oa)|0;if(!(f[B>>2]|0))ld=QAb(La,Na,Oa)|0;else ld=SAb(La,Na,Oa)|0;f[z>>2]=ld;f[F>>2]=ld;md=f[x>>2]|0}else md=Qa;if((md&4|0)!=0?(Oa=(f[B>>2]|0)==0,Na=Orc(id|0)|0,((Oa?Na:id)|0)!=(f[z>>2]|0)):0){f[D>>2]=478590;f[l>>2]=16209;Da=ja;Ea=ka;Fa=jd;Ga=oa;Ha=kd;Ia=ka;Ja=hd;Ka=id;break b}else{nd=ka;od=0;pd=0;qd=jd;rd=kd;sd=md}}else{nd=p;od=r;pd=na;qd=la;rd=ma;sd=0}f[l>>2]=16207;td=nd;ud=od;vd=pd;wd=qd;xd=rd;yd=sd;va=288;break}case 16207:{td=p;ud=r;vd=na;wd=la;xd=ma;yd=f[x>>2]|0;va=288;break}default:{i=-2;va=311;break a}}while(0);if((va|0)==55)while(1){va=0;if(!ab){wa=p;xa=cb;ya=db;za=0;Aa=bb;Ba=ja;Ca=ka;break a}Na=ab+-1|0;Oa=bb+1|0;La=(h[bb>>0]<<cb)+db|0;cb=cb+8|0;if(cb>>>0>=32){eb=Na;fb=Oa;gb=La;va=57;break}else{ab=Na;bb=Oa;db=La;va=55}}else if((va|0)==136){va=0;if(!(f[H>>2]|0)){va=137;break}La=QAb(0,0,0)|0;f[z>>2]=La;f[F>>2]=La;f[l>>2]=16191;Pb=Lb;Qb=Mb;Rb=Nb;Sb=Ob;va=139}else if((va|0)==159){va=0;f[l>>2]=16195;ec=ac;fc=bc;gc=cc;hc=dc;va=160}else if((va|0)==170){va=0;La=mc;Oa=nc;Na=oc;q=pc;Pa=rc;while(1){if(La>>>0<3){if(!Na){wa=p;xa=La;ya=Oa;za=0;Aa=q;Ba=ja;Ca=ka;break a}zd=La+8|0;Ad=(h[q>>0]<<La)+Oa|0;Bd=Na+-1|0;Cd=q+1|0}else{zd=La;Ad=Oa;Bd=Na;Cd=q}Ma=Pa+1|0;f[aa>>2]=Ma;d[k+116+(j[167600+(Pa<<1)>>1]<<1)>>1]=Ad&7;Sa=Ad>>>3;Ra=zd+-3|0;if(Ma>>>0<qc>>>0){La=Ra;Oa=Sa;Na=Bd;q=Cd;Pa=Ma}else{sc=Ra;tc=Sa;uc=Bd;vc=Cd;wc=Ma;va=171;break}}}else if((va|0)==288){va=0;if(!yd){Dd=ud;Ed=vd;Fd=wd;Gd=xd;va=295;break}if(!(f[B>>2]|0)){Dd=ud;Ed=vd;Fd=wd;Gd=xd;va=295;break}if(ud>>>0<32){Pa=vd;q=ud;Na=xd;Oa=wd;while(1){if(!Oa){wa=td;xa=q;ya=Pa;za=0;Aa=Na;Ba=ja;Ca=ka;break a}La=Oa+-1|0;Ma=Na+1|0;Sa=(h[Na>>0]<<q)+Pa|0;Ra=q+8|0;if(Ra>>>0<32){Pa=Sa;q=Ra;Na=Ma;Oa=La}else{Hd=Ra;Id=Sa;Jd=La;Kd=Ma;break}}}else{Hd=ud;Id=vd;Jd=wd;Kd=xd}if((Id|0)==(f[Z>>2]|0)){Dd=0;Ed=0;Fd=Jd;Gd=Kd;va=295;break}f[D>>2]=478611;f[l>>2]=16209;Da=ja;Ea=ka;Fa=Jd;Ga=oa;Ha=Kd;Ia=td;Ja=Hd;Ka=Id}do if((va|0)==57){va=0;Oa=f[C>>2]|0;if(Oa|0)f[Oa+4>>2]=gb;if(f[B>>2]&512|0?f[x>>2]&4|0:0){b[g>>0]=gb;b[A>>0]=gb>>>8;b[_>>0]=gb>>>16;b[$>>0]=gb>>>24;Oa=SAb(f[z>>2]|0,g,4)|0;f[z>>2]=Oa}f[l>>2]=16183;hb=eb;ib=fb;jb=0;kb=0;va=64}else if((va|0)==139){va=0;if(I){pa=Pb;qa=Qb;ra=Rb;sa=Sb;ta=ja;ua=ka;va=296;break a}else{Tb=Pb;Ub=Qb;Vb=Rb;Wb=Sb;va=140}}else if((va|0)==160){va=0;Oa=f[G>>2]|0;if(!Oa){f[l>>2]=16191;Da=ja;Ea=ka;Fa=gc;Ga=oa;Ha=hc;Ia=p;Ja=ec;Ka=fc;break}Na=Oa>>>0>gc>>>0?gc:Oa;Oa=Na>>>0>ka>>>0?ka:Na;if(!Oa){pa=ec;qa=fc;ra=gc;sa=hc;ta=ja;ua=ka;va=296;break a}Krc(oa|0,hc|0,Oa|0)|0;f[G>>2]=(f[G>>2]|0)-Oa;Da=ja;Ea=ka-Oa|0;Fa=gc-Oa|0;Ga=oa+Oa|0;Ha=hc+Oa|0;Ia=p;Ja=ec;Ka=fc}else if((va|0)==171){va=0;if(wc>>>0<19){Oa=wc;do{d[k+116+(j[167600+(Oa<<1)>>1]<<1)>>1]=0;Oa=Oa+1|0}while((Oa|0)!=19);f[aa>>2]=19}f[fa>>2]=ea;f[K>>2]=ea;f[L>>2]=7;Oa=LAb(0,ga,19,fa,L,ha)|0;if(!Oa){f[aa>>2]=0;f[l>>2]=16198;xc=0;yc=sc;zc=tc;Ac=uc;Bc=vc;Cc=0;va=181;break}else{f[D>>2]=478452;f[l>>2]=16209;Da=Oa;Ea=ka;Fa=uc;Ga=oa;Ha=vc;Ia=p;Ja=sc;Ka=tc;break}}while(0);c:do if((va|0)==64)while(1){va=0;if(!hb){wa=p;xa=jb;ya=kb;za=0;Aa=ib;Ba=ja;Ca=ka;break a}Oa=hb+-1|0;Qa=ib+1|0;Na=(h[ib>>0]<<jb)+kb|0;jb=jb+8|0;if(jb>>>0>=16){lb=Oa;mb=Qa;nb=Na;va=66;break}else{hb=Oa;ib=Qa;kb=Na;va=64}}else if((va|0)==140){va=0;if(f[J>>2]|0){Na=Tb&7;f[l>>2]=16206;Da=ja;Ea=ka;Fa=Vb;Ga=oa;Ha=Wb;Ia=p;Ja=Tb-Na|0;Ka=Ub>>>Na;break}if(Tb>>>0<3){if(!Vb){pa=Tb;qa=Ub;ra=0;sa=Wb;ta=ja;ua=ka;va=296;break a}Ld=Tb+8|0;Md=(h[Wb>>0]<<Tb)+Ub|0;Nd=Vb+-1|0;Od=Wb+1|0}else{Ld=Tb;Md=Ub;Nd=Vb;Od=Wb}f[J>>2]=Md&1;switch(Md>>>1&3){case 0:{Pd=16193;va=151;break}case 1:{f[K>>2]=165424;f[L>>2]=9;f[M>>2]=167472;f[N>>2]=5;f[l>>2]=16199;if(O){va=147;break a}break}case 2:{Pd=16196;va=151;break}case 3:{f[D>>2]=478368;Pd=16209;va=151;break}default:{va=150;break a}}if((va|0)==151){va=0;f[l>>2]=Pd}Da=ja;Ea=ka;Fa=Nd;Ga=oa;Ha=Od;Ia=p;Ja=Ld+-3|0;Ka=Md>>>3}else if((va|0)==181){va=0;Na=f[ba>>2]|0;Qa=f[ca>>2]|0;do if(Cc>>>0<(Qa+Na|0)>>>0){Oa=yc;q=zc;Pa=Ac;Ma=Bc;La=Cc;Sa=Na;Ra=Qa;d:while(1){Xb=f[K>>2]|0;Qd=(1<<f[L>>2])+-1|0;Rd=Qd&q;Sd=h[Xb+(Rd<<2)+1>>0]|0;if(Oa>>>0<Sd>>>0){Td=Oa;Ud=q;Vd=Pa;Wd=Ma;while(1){if(!Vd){wa=p;xa=Td;ya=Ud;za=0;Aa=Wd;Ba=xc;Ca=ka;break a}Xd=Vd+-1|0;Yd=Wd+1|0;Zd=(h[Wd>>0]<<Td)+Ud|0;_d=Td+8|0;$d=Qd&Zd;ae=h[Xb+($d<<2)+1>>0]|0;if(_d>>>0<ae>>>0){Td=_d;Ud=Zd;Vd=Xd;Wd=Yd}else{be=_d;ce=Zd;de=Xd;ee=Yd;fe=ae;ge=$d;break}}}else{be=Oa;ce=q;de=Pa;ee=Ma;fe=Sd;ge=Rd}Wd=d[Xb+(ge<<2)+2>>1]|0;if((Wd&65535)>=16){switch(Wd<<16>>16){case 16:{Vd=fe+2|0;if(be>>>0<Vd>>>0){Ud=be;Td=ce;Qd=de;$d=ee;while(1){if(!Qd){wa=p;xa=Ud;ya=Td;za=0;Aa=$d;Ba=xc;Ca=ka;break a}ae=Qd+-1|0;Yd=$d+1|0;Xd=(h[$d>>0]<<Ud)+Td|0;Zd=Ud+8|0;if(Zd>>>0<Vd>>>0){Ud=Zd;Td=Xd;Qd=ae;$d=Yd}else{he=Zd;ie=Xd;je=ae;ke=Yd;break}}}else{he=be;ie=ce;je=de;ke=ee}$d=ie>>>fe;Qd=he-fe|0;if(!La){le=Qd;me=$d;ne=je;oe=ke;va=205;break d}pe=j[k+116+(La+-1<<1)>>1]|0;qe=Qd+-2|0;re=$d>>>2;se=je;te=ke;ue=($d&3)+3|0;break}case 17:{$d=fe+3|0;if(be>>>0<$d>>>0){Qd=be;Td=ce;Ud=de;Vd=ee;while(1){if(!Ud){wa=p;xa=Qd;ya=Td;za=0;Aa=Vd;Ba=xc;Ca=ka;break a}Xb=Ud+-1|0;Rd=Vd+1|0;Sd=(h[Vd>>0]<<Qd)+Td|0;Yd=Qd+8|0;if(Yd>>>0<$d>>>0){Qd=Yd;Td=Sd;Ud=Xb;Vd=Rd}else{ve=Yd;we=Sd;xe=Xb;ye=Rd;break}}}else{ve=be;we=ce;xe=de;ye=ee}Vd=we>>>fe;pe=0;qe=-3-fe+ve|0;re=Vd>>>3;se=xe;te=ye;ue=(Vd&7)+3|0;break}default:{Vd=fe+7|0;if(be>>>0<Vd>>>0){Ud=be;Td=ce;Qd=de;$d=ee;while(1){if(!Qd){wa=p;xa=Ud;ya=Td;za=0;Aa=$d;Ba=xc;Ca=ka;break a}Rd=Qd+-1|0;Xb=$d+1|0;Sd=(h[$d>>0]<<Ud)+Td|0;Yd=Ud+8|0;if(Yd>>>0<Vd>>>0){Ud=Yd;Td=Sd;Qd=Rd;$d=Xb}else{ze=Yd;Ae=Sd;Be=Rd;Ce=Xb;break}}}else{ze=be;Ae=ce;Be=de;Ce=ee}$d=Ae>>>fe;pe=0;qe=-7-fe+ze|0;re=$d>>>7;se=Be;te=Ce;ue=($d&127)+11|0}}if((La+ue|0)>>>0>(Ra+Sa|0)>>>0){le=qe;me=re;ne=se;oe=te;va=205;break}$d=pe&65535;Qd=ue+-1|0;f[aa>>2]=La+1;d[k+116+(La<<1)>>1]=$d;if(!Qd){De=qe;Ee=re;Fe=se;Ge=te}else{Td=Qd;do{Qd=f[aa>>2]|0;Td=Td+-1|0;f[aa>>2]=Qd+1;d[k+116+(Qd<<1)>>1]=$d}while((Td|0)!=0);De=qe;Ee=re;Fe=se;Ge=te}}else{f[aa>>2]=La+1;d[k+116+(La<<1)>>1]=Wd;De=be-fe|0;Ee=ce>>>fe;Fe=de;Ge=ee}La=f[aa>>2]|0;Sa=f[ba>>2]|0;Ra=f[ca>>2]|0;if(La>>>0>=(Ra+Sa|0)>>>0){va=206;break}else{Oa=De;q=Ee;Pa=Fe;Ma=Ge}}if((va|0)==205){va=0;f[D>>2]=478477;f[l>>2]=16209;Da=xc;Ea=ka;Fa=ne;Ga=oa;Ha=oe;Ia=p;Ja=le;Ka=me;break c}else if((va|0)==206){va=0;if((f[l>>2]|0)==16209){Da=xc;Ea=ka;Fa=Fe;Ga=oa;Ha=Ge;Ia=p;Ja=De;Ka=Ee;break c}else{He=De;Ie=Ee;Je=Fe;Ke=Ge;Le=Sa;break}}}else{He=yc;Ie=zc;Je=Ac;Ke=Bc;Le=Na}while(0);if(!(d[da>>1]|0)){f[D>>2]=478503;f[l>>2]=16209;Da=xc;Ea=ka;Fa=Je;Ga=oa;Ha=Ke;Ia=p;Ja=He;Ka=Ie;break}f[fa>>2]=ea;f[K>>2]=ea;f[L>>2]=9;Na=LAb(1,ga,Le,fa,L,ha)|0;if(Na|0){f[D>>2]=478540;f[l>>2]=16209;Da=Na;Ea=ka;Fa=Je;Ga=oa;Ha=Ke;Ia=p;Ja=He;Ka=Ie;break}f[M>>2]=f[fa>>2];f[N>>2]=6;Na=LAb(2,k+116+(f[ba>>2]<<1)|0,f[ca>>2]|0,fa,N,ha)|0;if(!Na){f[l>>2]=16199;if(O){pa=He;qa=Ie;ra=Je;sa=Ke;ta=0;ua=ka;va=296;break a}else{Dc=0;Ec=He;Fc=Ie;Gc=Je;Hc=Ke;va=214;break}}else{f[D>>2]=478568;f[l>>2]=16209;Da=Na;Ea=ka;Fa=Je;Ga=oa;Ha=Ke;Ia=p;Ja=He;Ka=Ie;break}}while(0);if((va|0)==66){va=0;Na=f[C>>2]|0;if(Na|0){f[Na+8>>2]=nb&255;f[Na+12>>2]=nb>>>8}if(f[B>>2]&512|0?f[x>>2]&4|0:0){b[g>>0]=nb;b[A>>0]=nb>>>8;Na=SAb(f[z>>2]|0,g,2)|0;f[z>>2]=Na}f[l>>2]=16184;ob=lb;pb=mb;qb=0;rb=0;va=72}else if((va|0)==214){va=0;f[l>>2]=16200;Ic=Dc;Jc=Ec;Kc=Fc;Lc=Gc;Mc=Hc;va=215}do if((va|0)==72){va=0;Na=f[B>>2]|0;if(!(Na&1024)){Qa=f[C>>2]|0;if(!Qa){Me=ob;Ne=pb;Oe=qb;Pe=rb}else{f[Qa+16>>2]=0;Me=ob;Ne=pb;Oe=qb;Pe=rb}}else{if(qb>>>0<16){Qa=ob;Ma=pb;Pa=qb;q=rb;while(1){if(!Qa){wa=p;xa=Pa;ya=q;za=0;Aa=Ma;Ba=ja;Ca=ka;break a}Oa=Qa+-1|0;Ra=Ma+1|0;La=(h[Ma>>0]<<Pa)+q|0;Pa=Pa+8|0;if(Pa>>>0>=16){Qe=Oa;Re=Ra;Se=La;break}else{Qa=Oa;Ma=Ra;q=La}}}else{Qe=ob;Re=pb;Se=rb}f[G>>2]=Se;q=f[C>>2]|0;if(q|0)f[q+20>>2]=Se;if((Na&512|0)!=0?(f[x>>2]&4|0)!=0:0){b[g>>0]=Se;b[A>>0]=Se>>>8;q=SAb(f[z>>2]|0,g,2)|0;f[z>>2]=q;Me=Qe;Ne=Re;Oe=0;Pe=0}else{Me=Qe;Ne=Re;Oe=0;Pe=0}}f[l>>2]=16185;sb=Me;tb=Ne;ub=Oe;vb=Pe;va=84}else if((va|0)==215){va=0;if(ka>>>0>257&Lc>>>0>5){f[n>>2]=oa;f[m>>2]=ka;f[a>>2]=Mc;f[s>>2]=Lc;f[v>>2]=Kc;f[w>>2]=Jc;MAb(a,p);q=f[n>>2]|0;Ma=f[m>>2]|0;Qa=f[a>>2]|0;Pa=f[s>>2]|0;La=f[v>>2]|0;Ra=f[w>>2]|0;if((f[l>>2]|0)!=16191){Da=Ic;Ea=Ma;Fa=Pa;Ga=q;Ha=Qa;Ia=p;Ja=Ra;Ka=La;break}f[P>>2]=-1;Da=Ic;Ea=Ma;Fa=Pa;Ga=q;Ha=Qa;Ia=p;Ja=Ra;Ka=La;break}f[P>>2]=0;La=f[K>>2]|0;Ra=(1<<f[L>>2])+-1|0;Qa=Ra&Kc;q=b[La+(Qa<<2)+1>>0]|0;Pa=q&255;if(Pa>>>0>Jc>>>0){Ma=Jc;Oa=Kc;Td=Lc;$d=Mc;while(1){if(!Td){wa=p;xa=Ma;ya=Oa;za=0;Aa=$d;Ba=Ic;Ca=ka;break a}Qd=Td+-1|0;Ud=$d+1|0;Vd=(h[$d>>0]<<Ma)+Oa|0;Xb=Ma+8|0;Rd=Ra&Vd;Sd=b[La+(Rd<<2)+1>>0]|0;Yd=Sd&255;if(Yd>>>0>Xb>>>0){Ma=Xb;Oa=Vd;Td=Qd;$d=Ud}else{Te=Xb;Ue=Vd;Ve=Qd;We=Ud;Xe=Yd;Ye=Rd;Ze=Sd;break}}}else{Te=Jc;Ue=Kc;Ve=Lc;We=Mc;Xe=Pa;Ye=Qa;Ze=q}$d=d[La+(Ye<<2)+2>>1]|0;Td=b[La+(Ye<<2)>>0]|0;Oa=Td&255;if(Td<<24>>24!=0&(Oa&240|0)==0){Ma=$d&65535;Ra=(1<<Xe+Oa)+-1|0;Oa=((Ue&Ra)>>>Xe)+Ma|0;Na=b[La+(Oa<<2)+1>>0]|0;if(((Na&255)+Xe|0)>>>0>Te>>>0){Sd=Te;Rd=Ue;Yd=Ve;Ud=We;while(1){if(!Yd){wa=p;xa=Sd;ya=Rd;za=0;Aa=Ud;Ba=Ic;Ca=ka;break a}Qd=Yd+-1|0;Vd=Ud+1|0;Xb=(h[Ud>>0]<<Sd)+Rd|0;ae=Sd+8|0;Xd=((Xb&Ra)>>>Xe)+Ma|0;Zd=b[La+(Xd<<2)+1>>0]|0;if(((Zd&255)+Xe|0)>>>0>ae>>>0){Sd=ae;Rd=Xb;Yd=Qd;Ud=Vd}else{_e=ae;$e=Xb;af=Qd;bf=Vd;cf=Xd;df=Zd;break}}}else{_e=Te;$e=Ue;af=Ve;bf=We;cf=Oa;df=Na}Ud=d[La+(cf<<2)+2>>1]|0;Yd=b[La+(cf<<2)>>0]|0;f[P>>2]=Xe;ef=_e-Xe|0;ff=$e>>>Xe;gf=af;hf=bf;jf=Yd;kf=df;lf=Ud;mf=Xe}else{ef=Te;ff=Ue;gf=Ve;hf=We;jf=Td;kf=Ze;lf=$d;mf=0}Ud=kf&255;Yd=ff>>>Ud;Rd=ef-Ud|0;f[P>>2]=mf+Ud;f[G>>2]=lf&65535;Ud=jf&255;if(!(jf<<24>>24)){f[l>>2]=16205;Da=Ic;Ea=ka;Fa=gf;Ga=oa;Ha=hf;Ia=p;Ja=Rd;Ka=Yd;break}if(Ud&32|0){f[P>>2]=-1;f[l>>2]=16191;Da=Ic;Ea=ka;Fa=gf;Ga=oa;Ha=hf;Ia=p;Ja=Rd;Ka=Yd;break}if(!(Ud&64)){Sd=Ud&15;f[Q>>2]=Sd;f[l>>2]=16201;Nc=Rd;Oc=Yd;Pc=Ic;Qc=gf;Rc=hf;Sc=Sd;va=233;break}else{f[D>>2]=478634;f[l>>2]=16209;Da=Ic;Ea=ka;Fa=gf;Ga=oa;Ha=hf;Ia=p;Ja=Rd;Ka=Yd;break}}while(0);if((va|0)==84){va=0;Yd=f[B>>2]|0;if(Yd&1024){Rd=f[G>>2]|0;Sd=Rd>>>0>sb>>>0?sb:Rd;if(!Sd){nf=sb;of=tb;pf=Rd}else{Ud=f[C>>2]|0;if((Ud|0)!=0?(Ma=f[Ud+16>>2]|0,(Ma|0)!=0):0){Ra=(f[Ud+20>>2]|0)-Rd|0;Rd=f[Ud+24>>2]|0;Krc(Ma+Ra|0,tb|0,((Ra+Sd|0)>>>0>Rd>>>0?Rd-Ra|0:Sd)|0)|0;qf=f[B>>2]|0}else qf=Yd;if(qf&512|0?f[x>>2]&4|0:0){Yd=SAb(f[z>>2]|0,tb,Sd)|0;f[z>>2]=Yd}Yd=(f[G>>2]|0)-Sd|0;f[G>>2]=Yd;nf=sb-Sd|0;of=tb+Sd|0;pf=Yd}if(!pf){rf=nf;sf=of}else{pa=ub;qa=vb;ra=nf;sa=of;ta=ja;ua=ka;va=296;break}}else{rf=sb;sf=tb}f[G>>2]=0;f[l>>2]=16186;wb=rf;xb=sf;yb=ub;zb=vb;va=95}else if((va|0)==233){va=0;if(!Sc){tf=Nc;uf=Oc;vf=Qc;wf=Rc;xf=f[G>>2]|0}else{if(Nc>>>0<Sc>>>0){Yd=Nc;Sd=Oc;Ra=Qc;Rd=Rc;while(1){if(!Ra){wa=p;xa=Yd;ya=Sd;za=0;Aa=Rd;Ba=Pc;Ca=ka;break a}Ma=Ra+-1|0;Ud=Rd+1|0;q=(h[Rd>>0]<<Yd)+Sd|0;Qa=Yd+8|0;if(Qa>>>0<Sc>>>0){Yd=Qa;Sd=q;Ra=Ma;Rd=Ud}else{yf=Qa;zf=q;Af=Ma;Bf=Ud;break}}}else{yf=Nc;zf=Oc;Af=Qc;Bf=Rc}Rd=(f[G>>2]|0)+(zf&(1<<Sc)+-1)|0;f[G>>2]=Rd;f[P>>2]=(f[P>>2]|0)+Sc;tf=yf-Sc|0;uf=zf>>>Sc;vf=Af;wf=Bf;xf=Rd}f[R>>2]=xf;f[l>>2]=16202;Tc=tf;Uc=uf;Vc=vf;Wc=wf;Xc=Pc;va=240}do if((va|0)==95){va=0;if(!(f[B>>2]&2048)){Rd=f[C>>2]|0;if(!Rd){Cf=wb;Df=xb}else{f[Rd+28>>2]=0;Cf=wb;Df=xb}}else{if(!wb){pa=yb;qa=zb;ra=0;sa=xb;ta=ja;ua=ka;va=296;break a}else Ef=0;do{Rd=Ef;Ef=Ef+1|0;Ra=b[xb+Rd>>0]|0;Rd=f[C>>2]|0;if((Rd|0?(Sd=f[Rd+28>>2]|0,Sd|0):0)?(Yd=f[G>>2]|0,Yd>>>0<(f[Rd+32>>2]|0)>>>0):0){f[G>>2]=Yd+1;b[Sd+Yd>>0]=Ra}Ff=Ra<<24>>24!=0}while(Ff&wb>>>0>Ef>>>0);if(f[B>>2]&512|0?f[x>>2]&4|0:0){$d=SAb(f[z>>2]|0,xb,Ef)|0;f[z>>2]=$d}$d=wb-Ef|0;Td=xb+Ef|0;if(Ff){pa=yb;qa=zb;ra=$d;sa=Td;ta=ja;ua=ka;va=296;break a}else{Cf=$d;Df=Td}}f[G>>2]=0;f[l>>2]=16187;Ab=yb;Bb=zb;Cb=Cf;Db=Df;va=109}else if((va|0)==240){va=0;Td=f[M>>2]|0;$d=(1<<f[N>>2])+-1|0;La=$d&Uc;Na=b[Td+(La<<2)+1>>0]|0;Oa=Na&255;if(Oa>>>0>Tc>>>0){Ra=Tc;Yd=Uc;Sd=Vc;Rd=Wc;while(1){if(!Sd){wa=p;xa=Ra;ya=Yd;za=0;Aa=Rd;Ba=Xc;Ca=ka;break a}Ud=Sd+-1|0;Ma=Rd+1|0;q=(h[Rd>>0]<<Ra)+Yd|0;Qa=Ra+8|0;Pa=$d&q;Zd=b[Td+(Pa<<2)+1>>0]|0;Xd=Zd&255;if(Xd>>>0>Qa>>>0){Ra=Qa;Yd=q;Sd=Ud;Rd=Ma}else{Gf=Qa;Hf=q;If=Ud;Jf=Ma;Kf=Xd;Lf=Pa;Mf=Zd;break}}}else{Gf=Tc;Hf=Uc;If=Vc;Jf=Wc;Kf=Oa;Lf=La;Mf=Na}Rd=d[Td+(Lf<<2)+2>>1]|0;Sd=b[Td+(Lf<<2)>>0]|0;Yd=Sd&255;if(!(Yd&240)){Ra=Rd&65535;$d=(1<<Kf+Yd)+-1|0;Yd=((Hf&$d)>>>Kf)+Ra|0;Zd=b[Td+(Yd<<2)+1>>0]|0;if(((Zd&255)+Kf|0)>>>0>Gf>>>0){Pa=Gf;Xd=Hf;Ma=If;Ud=Jf;while(1){if(!Ma){wa=p;xa=Pa;ya=Xd;za=0;Aa=Ud;Ba=Xc;Ca=ka;break a}q=Ma+-1|0;Qa=Ud+1|0;Vd=(h[Ud>>0]<<Pa)+Xd|0;Qd=Pa+8|0;Xb=((Vd&$d)>>>Kf)+Ra|0;ae=b[Td+(Xb<<2)+1>>0]|0;if(((ae&255)+Kf|0)>>>0>Qd>>>0){Pa=Qd;Xd=Vd;Ma=q;Ud=Qa}else{Nf=Qd;Of=Vd;Pf=q;Qf=Qa;Rf=Xb;Sf=ae;break}}}else{Nf=Gf;Of=Hf;Pf=If;Qf=Jf;Rf=Yd;Sf=Zd}Ud=d[Td+(Rf<<2)+2>>1]|0;Ma=b[Td+(Rf<<2)>>0]|0;Xd=(f[P>>2]|0)+Kf|0;f[P>>2]=Xd;Tf=Nf-Kf|0;Uf=Of>>>Kf;Vf=Pf;Wf=Qf;Xf=Ma;Yf=Sf;Zf=Ud;_f=Xd}else{Tf=Gf;Uf=Hf;Vf=If;Wf=Jf;Xf=Sd;Yf=Mf;Zf=Rd;_f=f[P>>2]|0}Xd=Yf&255;Ud=Uf>>>Xd;Ma=Tf-Xd|0;f[P>>2]=_f+Xd;Xd=Xf&255;if(!(Xd&64)){f[S>>2]=Zf&65535;Pa=Xd&15;f[Q>>2]=Pa;f[l>>2]=16203;Yc=Ma;Zc=Ud;_c=Vf;$c=Wf;ad=Xc;bd=Pa;va=252;break}else{f[D>>2]=478662;f[l>>2]=16209;Da=Xc;Ea=ka;Fa=Vf;Ga=oa;Ha=Wf;Ia=p;Ja=Ma;Ka=Ud;break}}while(0);if((va|0)==109){va=0;if(!(f[B>>2]&4096)){Ud=f[C>>2]|0;if(!Ud){$f=Cb;ag=Db}else{f[Ud+36>>2]=0;$f=Cb;ag=Db}}else{if(!Cb){pa=Ab;qa=Bb;ra=0;sa=Db;ta=ja;ua=ka;va=296;break}else bg=0;do{Ud=bg;bg=bg+1|0;Ma=b[Db+Ud>>0]|0;Ud=f[C>>2]|0;if((Ud|0?(Pa=f[Ud+36>>2]|0,Pa|0):0)?(Xd=f[G>>2]|0,Xd>>>0<(f[Ud+40>>2]|0)>>>0):0){f[G>>2]=Xd+1;b[Pa+Xd>>0]=Ma}cg=Ma<<24>>24!=0}while(cg&Cb>>>0>bg>>>0);if(f[B>>2]&512|0?f[x>>2]&4|0:0){Ma=SAb(f[z>>2]|0,Db,bg)|0;f[z>>2]=Ma}Ma=Cb-bg|0;Xd=Db+bg|0;if(cg){pa=Ab;qa=Bb;ra=Ma;sa=Xd;ta=ja;ua=ka;va=296;break}else{$f=Ma;ag=Xd}}f[l>>2]=16188;Eb=Ab;Fb=Bb;Gb=$f;Hb=ag;va=123}else if((va|0)==252){va=0;if(!bd){dg=Yc;eg=Zc;fg=_c;gg=$c}else{if(Yc>>>0<bd>>>0){Xd=Yc;Ma=Zc;Pa=_c;Ud=$c;while(1){if(!Pa){wa=p;xa=Xd;ya=Ma;za=0;Aa=Ud;Ba=ad;Ca=ka;break a}Ra=Pa+-1|0;$d=Ud+1|0;Na=(h[Ud>>0]<<Xd)+Ma|0;La=Xd+8|0;if(La>>>0<bd>>>0){Xd=La;Ma=Na;Pa=Ra;Ud=$d}else{hg=La;ig=Na;jg=Ra;kg=$d;break}}}else{hg=Yc;ig=Zc;jg=_c;kg=$c}f[S>>2]=(f[S>>2]|0)+(ig&(1<<bd)+-1);f[P>>2]=(f[P>>2]|0)+bd;dg=hg-bd|0;eg=ig>>>bd;fg=jg;gg=kg}f[l>>2]=16204;cd=dg;dd=eg;ed=fg;fd=gg;gd=ad;va=258}do if((va|0)==123){va=0;Ud=f[B>>2]|0;if(Ud&512){if(Eb>>>0<16){Pa=Eb;Ma=Fb;Xd=Gb;$d=Hb;while(1){if(!Xd){wa=p;xa=Pa;ya=Ma;za=0;Aa=$d;Ba=ja;Ca=ka;break a}Ra=Xd+-1|0;Na=$d+1|0;La=(h[$d>>0]<<Pa)+Ma|0;Oa=Pa+8|0;if(Oa>>>0<16){Pa=Oa;Ma=La;Xd=Ra;$d=Na}else{lg=Oa;mg=La;ng=Ra;og=Na;break}}}else{lg=Eb;mg=Fb;ng=Gb;og=Hb}if((f[x>>2]&4|0)!=0?(mg|0)!=(f[z>>2]&65535|0):0){f[D>>2]=478348;f[l>>2]=16209;Da=ja;Ea=ka;Fa=ng;Ga=oa;Ha=og;Ia=p;Ja=lg;Ka=mg;break}else{pg=0;qg=0;rg=ng;sg=og}}else{pg=Eb;qg=Fb;rg=Gb;sg=Hb}$d=f[C>>2]|0;if($d|0){f[$d+44>>2]=Ud>>>9&1;f[$d+48>>2]=1}$d=SAb(0,0,0)|0;f[z>>2]=$d;f[F>>2]=$d;f[l>>2]=16191;Da=ja;Ea=ka;Fa=rg;Ga=oa;Ha=sg;Ia=p;Ja=pg;Ka=qg}else if((va|0)==258){va=0;if(!ka){pa=cd;qa=dd;ra=ed;sa=fd;ta=gd;ua=0;va=296;break a}$d=p-ka|0;Xd=f[S>>2]|0;if(Xd>>>0>$d>>>0){Ma=Xd-$d|0;if(Ma>>>0>(f[T>>2]|0)>>>0?f[U>>2]|0:0){f[D>>2]=478684;f[l>>2]=16209;Da=gd;Ea=ka;Fa=ed;Ga=oa;Ha=fd;Ia=p;Ja=cd;Ka=dd;break}$d=f[V>>2]|0;if(Ma>>>0>$d>>>0){Pa=Ma-$d|0;tg=Pa;ug=(f[X>>2]|0)-Pa|0}else{tg=Ma;ug=$d-Ma|0}Ma=f[G>>2]|0;vg=(f[W>>2]|0)+ug|0;wg=tg>>>0>Ma>>>0?Ma:tg;xg=Ma}else{Ma=f[G>>2]|0;vg=oa+(0-Xd)|0;wg=Ma;xg=Ma}Ma=wg>>>0>ka>>>0?ka:wg;f[G>>2]=xg-Ma;Xd=Ma+1|0;$d=Ma;Pa=oa;Rd=vg;while(1){b[Pa>>0]=b[Rd>>0]|0;$d=$d+-1|0;if(!$d)break;else{Pa=Pa+1|0;Rd=Rd+1|0}}Rd=ka-Ma|0;Pa=oa+-1+Xd|0;if(!(f[G>>2]|0)){f[l>>2]=16200;Da=gd;Ea=Rd;Fa=ed;Ga=Pa;Ha=fd;Ia=p;Ja=cd;Ka=dd}else{Da=gd;Ea=Rd;Fa=ed;Ga=Pa;Ha=fd;Ia=p;Ja=cd;Ka=dd}}while(0);ja=Da;ka=Ea;la=Fa;ma=Ha;p=Ia;r=Ja;na=Ka;oa=Ga;o=f[l>>2]|0}if((va|0)==137){f[n>>2]=oa;f[m>>2]=ka;f[a>>2]=Ob;f[s>>2]=Nb;f[v>>2]=Mb;f[w>>2]=Lb;i=2;u=e;return i|0}else if((va|0)==147){wa=p;xa=Ld+-3|0;ya=Md>>>3;za=Nd;Aa=Od;Ba=ja;Ca=ka}else if((va|0)!=150)if((va|0)==295){f[l>>2]=16208;wa=td;xa=Dd;ya=Ed;za=Fd;Aa=Gd;Ba=1;Ca=ka}else if((va|0)==296){wa=p;xa=pa;ya=qa;za=ra;Aa=sa;Ba=ta;Ca=ua}else if((va|0)==310){i=-4;u=e;return i|0}else if((va|0)==311){u=e;return i|0}f[n>>2]=oa;f[m>>2]=Ca;f[a>>2]=Aa;f[s>>2]=za;f[v>>2]=ya;f[w>>2]=xa;if(!(f[X>>2]|0))if(((wa|0)!=(Ca|0)?(X=f[l>>2]|0,X>>>0<16209):0)?(c|0)!=4|X>>>0<16206:0)va=301;else{yg=za;zg=Ca}else va=301;do if((va|0)==301){if(!(JAb(a,oa,wa-Ca|0)|0)){yg=f[s>>2]|0;zg=f[m>>2]|0;break}f[l>>2]=16210;i=-4;u=e;return i|0}while(0);m=t-yg|0;yg=wa-zg|0;zg=a+8|0;f[zg>>2]=(f[zg>>2]|0)+m;f[Y>>2]=(f[Y>>2]|0)+yg;f[Z>>2]=(f[Z>>2]|0)+yg;if((yg|0)!=0&(f[x>>2]&4|0)!=0){x=f[z>>2]|0;Z=(f[n>>2]|0)+(0-yg)|0;if(!(f[B>>2]|0))Ag=QAb(x,Z,yg)|0;else Ag=SAb(x,Z,yg)|0;f[z>>2]=Ag;f[F>>2]=Ag}Ag=f[l>>2]|0;f[a+44>>2]=(f[J>>2]|0?64:0)+(f[w>>2]|0)+((Ag|0)==16191?128:0)+((Ag|0)==16199|(Ag|0)==16194?256:0);i=(Ba|0)==0&((c|0)==4|(yg|m|0)==0)?-5:Ba;u=e;return i|0}function JAb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=f[a+28>>2]|0;e=d+56|0;g=f[e>>2]|0;if(!g){h=ki[f[a+32>>2]&511](f[a+40>>2]|0,1<<f[d+40>>2],1)|0;f[e>>2]=h;if(!h){i=1;return i|0}else j=h}else j=g;g=d+44|0;h=f[g>>2]|0;if(!h){a=1<<f[d+40>>2];f[g>>2]=a;f[d+52>>2]=0;f[d+48>>2]=0;k=a}else k=h;if(k>>>0<=c>>>0){Krc(j|0,b+(0-k)|0,k|0)|0;f[d+52>>2]=0;f[d+48>>2]=f[g>>2];i=0;return i|0}h=d+52|0;a=f[h>>2]|0;l=k-a|0;k=l>>>0>c>>>0?c:l;Krc(j+a|0,b+(0-c)|0,k|0)|0;a=c-k|0;if(a|0){Krc(f[e>>2]|0,b+(0-a)|0,a|0)|0;f[h>>2]=a;f[d+48>>2]=f[g>>2];i=0;return i|0}a=(f[h>>2]|0)+k|0;b=f[g>>2]|0;f[h>>2]=(a|0)==(b|0)?0:a;a=d+48|0;d=f[a>>2]|0;if(d>>>0>=b>>>0){i=0;return i|0}f[a>>2]=d+k;i=0;return i|0}function KAb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;if(!a){b=-2;return b|0}if(!(f[a+32>>2]|0)){b=-2;return b|0}c=a+36|0;d=f[c>>2]|0;if(!d){b=-2;return b|0}e=a+28|0;g=f[e>>2]|0;if(!g){b=-2;return b|0}if((f[g>>2]|0)!=(a|0)){b=-2;return b|0}if(((f[g+4>>2]|0)+-16180|0)>>>0>31){b=-2;return b|0}h=f[g+56>>2]|0;i=a+40|0;if(!h){j=d;k=g}else{xh[d&2047](f[i>>2]|0,h);j=f[c>>2]|0;k=f[e>>2]|0}xh[j&2047](f[i>>2]|0,k);f[e>>2]=0;b=0;return b|0}function LAb(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;k=u;u=u+64|0;l=k+32|0;m=k;n=l;o=n+32|0;do{d[n>>1]=0;n=n+2|0}while((n|0)<(o|0));n=(e|0)==0;if(!n){o=0;do{p=l+(j[c+(o<<1)>>1]<<1)|0;d[p>>1]=(d[p>>1]|0)+1<<16>>16;o=o+1|0}while((o|0)!=(e|0));o=d[l+30>>1]|0;p=f[h>>2]|0;if(!(o<<16>>16)){q=p;r=5}else{s=15;t=p;v=o;r=7}}else{q=f[h>>2]|0;r=5}do if((r|0)==5)if(!(d[l+28>>1]|0))if(!(d[l+26>>1]|0))if(!(d[l+24>>1]|0))if(!(d[l+22>>1]|0))if(!(d[l+20>>1]|0))if(!(d[l+18>>1]|0))if(!(d[l+16>>1]|0))if(!(d[l+14>>1]|0))if(!(d[l+12>>1]|0))if(!(d[l+10>>1]|0))if(!(d[l+8>>1]|0))if(!(d[l+6>>1]|0))if(!(d[l+4>>1]|0)){if(d[l+2>>1]|0){w=(q|0)!=0&1;x=1;y=1;z=0;break}o=f[g>>2]|0;f[g>>2]=o+4;b[o>>0]=64;b[o+1>>0]=1;d[o+2>>1]=0;o=f[g>>2]|0;f[g>>2]=o+4;b[o>>0]=64;b[o+1>>0]=1;d[o+2>>1]=0;f[h>>2]=1;A=0;u=k;return A|0}else{s=2;t=q;v=0;r=7}else{s=3;t=q;v=0;r=7}else{s=4;t=q;v=0;r=7}else{s=5;t=q;v=0;r=7}else{s=6;t=q;v=0;r=7}else{s=7;t=q;v=0;r=7}else{s=8;t=q;v=0;r=7}else{s=9;t=q;v=0;r=7}else{s=10;t=q;v=0;r=7}else{s=11;t=q;v=0;r=7}else{s=12;t=q;v=0;r=7}else{s=13;t=q;v=0;r=7}else{s=14;t=q;v=0;r=7}while(0);a:do if((r|0)==7){q=t>>>0>s>>>0?s:t;o=1;while(1){if(d[l+(o<<1)>>1]|0){w=q;x=s;y=o;z=v;break a}p=o+1|0;if(p>>>0<s>>>0)o=p;else{w=q;x=s;y=p;z=v;break}}}while(0);v=w>>>0<y>>>0?y:w;w=d[l+2>>1]|0;s=w&65535;t=2-s|0;if((t|0)<0){A=-1;u=k;return A|0}q=j[l+4>>1]|0;o=(t<<1)-q|0;if((o|0)<0){A=-1;u=k;return A|0}t=j[l+6>>1]|0;p=(o<<1)-t|0;if((p|0)<0){A=-1;u=k;return A|0}o=j[l+8>>1]|0;B=(p<<1)-o|0;if((B|0)<0){A=-1;u=k;return A|0}p=j[l+10>>1]|0;C=(B<<1)-p|0;if((C|0)<0){A=-1;u=k;return A|0}B=j[l+12>>1]|0;D=(C<<1)-B|0;if((D|0)<0){A=-1;u=k;return A|0}C=j[l+14>>1]|0;E=(D<<1)-C|0;if((E|0)<0){A=-1;u=k;return A|0}D=j[l+16>>1]|0;F=(E<<1)-D|0;if((F|0)<0){A=-1;u=k;return A|0}E=j[l+18>>1]|0;G=(F<<1)-E|0;if((G|0)<0){A=-1;u=k;return A|0}F=j[l+20>>1]|0;H=(G<<1)-F|0;if((H|0)<0){A=-1;u=k;return A|0}G=j[l+22>>1]|0;I=(H<<1)-G|0;if((I|0)<0){A=-1;u=k;return A|0}H=j[l+24>>1]|0;J=(I<<1)-H|0;if((J|0)<0){A=-1;u=k;return A|0}I=j[l+26>>1]|0;K=(J<<1)-I|0;if((K|0)<0){A=-1;u=k;return A|0}J=j[l+28>>1]|0;L=(K<<1)-J|0;if((L|0)<0){A=-1;u=k;return A|0}K=(L<<1)-(z&65535)|0;if((K|0)<0){A=-1;u=k;return A|0}if(K|0?(a|0)==0|(x|0)!=1:0){A=-1;u=k;return A|0}d[m+2>>1]=0;d[m+4>>1]=w;w=q+s|0;d[m+6>>1]=w;d[m+8>>1]=t+w;s=w+t|0;d[m+10>>1]=o+s;t=s+o|0;d[m+12>>1]=p+t;o=t+p|0;d[m+14>>1]=B+o;p=o+B|0;d[m+16>>1]=C+p;B=p+C|0;d[m+18>>1]=D+B;C=B+D|0;d[m+20>>1]=E+C;D=C+E|0;d[m+22>>1]=F+D;E=D+F|0;d[m+24>>1]=G+E;F=E+G|0;d[m+26>>1]=H+F;G=F+H|0;d[m+28>>1]=I+G;d[m+30>>1]=J+(G+I);if(!n){n=0;do{I=d[c+(n<<1)>>1]|0;if(I<<16>>16){G=m+((I&65535)<<1)|0;I=d[G>>1]|0;d[G>>1]=I+1<<16>>16;d[i+((I&65535)<<1)>>1]=n}n=n+1|0}while((n|0)!=(e|0))}switch(a|0){case 0:{M=i;N=i;O=20;P=0;Q=0;break}case 1:{if(v>>>0>9){A=1;u=k;return A|0}else{M=167828;N=167702;O=257;P=0;Q=1}break}default:{e=(a|0)==2;if(e&v>>>0>9){A=1;u=k;return A|0}else{M=167764;N=167638;O=0;P=e;Q=0}}}e=1<<v;a=e+-1|0;n=v&255;m=f[g>>2]|0;I=-1;G=0;J=e;e=0;H=v;F=0;E=y;b:while(1){y=1<<H;R=G;D=F;C=E;while(1){B=C-e|0;S=B&255;p=d[i+(D<<1)>>1]|0;o=p&65535;do if((o+1|0)>>>0<O>>>0){T=p;U=0}else{t=o-O|0;if(o>>>0<O>>>0){T=0;U=96;break}T=d[N+(t<<1)>>1]|0;U=d[M+(t<<1)>>1]&255}while(0);o=1<<B;p=R>>>e;t=y;do{t=t-o|0;s=t+p|0;b[m+(s<<2)>>0]=U;b[m+(s<<2)+1>>0]=S;d[m+(s<<2)+2>>1]=T}while((t|0)!=0);t=1<<C+-1;while(1)if(!(t&R))break;else t=t>>>1;p=R;R=(t|0)==0?0:(t+-1&R)+t|0;p=D;D=D+1|0;p=l+(C<<1)|0;o=(d[p>>1]|0)+-1<<16>>16;d[p>>1]=o;if(!(o<<16>>16)){if((C|0)==(x|0))break b;V=j[c+(j[i+(D<<1)>>1]<<1)>>1]|0}else V=C;if(V>>>0<=v>>>0){R=R;D=D;C=V;continue}W=R&a;if((W|0)!=(I|0))break;else C=V}C=(e|0)==0?v:e;o=m+(y<<2)|0;p=V-C|0;c:do if(V>>>0<x>>>0){B=1<<p;s=p;w=V;while(1){q=B-(j[l+(w<<1)>>1]|0)|0;if((q|0)<1){X=s;break c}K=s+1|0;w=K+C|0;if(w>>>0>=x>>>0){X=K;break}else{B=q<<1;s=K}}}else X=p;while(0);p=(1<<X)+J|0;if(Q&p>>>0>852|P&p>>>0>592){A=1;r=43;break}y=f[g>>2]|0;b[y+(W<<2)>>0]=X;b[y+(W<<2)+1>>0]=n;d[y+(W<<2)+2>>1]=(o-y|0)>>>2;m=o;I=W;G=R;J=p;e=C;H=X;F=D;E=V}if((r|0)==43){u=k;return A|0}if(R|0){b[m+(R<<2)>>0]=64;b[m+(R<<2)+1>>0]=S;d[m+(R<<2)+2>>1]=0}f[g>>2]=(f[g>>2]|0)+(J<<2);f[h>>2]=v;A=0;u=k;return A|0}function MAb(a,c){a=a|0;c=c|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0;e=f[a+28>>2]|0;g=f[a>>2]|0;i=a+4|0;j=g+((f[i>>2]|0)+-5)|0;k=a+12|0;l=f[k>>2]|0;m=a+16|0;n=f[m>>2]|0;o=l+(n+-257)|0;p=f[e+44>>2]|0;q=f[e+48>>2]|0;r=f[e+52>>2]|0;s=f[e+56>>2]|0;t=e+60|0;u=e+64|0;v=f[e+80>>2]|0;w=f[e+84>>2]|0;x=(1<<f[e+88>>2])+-1|0;y=(1<<f[e+92>>2])+-1|0;z=l+(n-c)|0;c=e+7108|0;n=(r|0)==0;A=r+p|0;B=z-r|0;C=g;g=l;l=f[t>>2]|0;D=f[u>>2]|0;a:while(1){if(D>>>0<15){E=C+2|0;F=((h[C>>0]|0)<<D)+l+((h[C+1>>0]|0)<<D+8)|0;G=D+16|0}else{E=C;F=l;G=D}H=F&x;I=b[v+(H<<2)>>0]|0;J=d[v+(H<<2)+2>>1]|0;K=h[v+(H<<2)+1>>0]|0;H=F>>>K;L=G-K|0;do if(I<<24>>24){K=J;M=I&255;N=L;O=H;while(1){if(M&16|0)break;if(M&64|0){P=53;break a}Q=(O&(1<<M)+-1)+(K&65535)|0;R=b[v+(Q<<2)>>0]|0;S=d[v+(Q<<2)+2>>1]|0;T=h[v+(Q<<2)+1>>0]|0;U=O>>>T;V=N-T|0;if(!(R<<24>>24)){P=6;break}else{K=S;M=R&255;N=V;O=U}}if((P|0)==6){P=0;W=V;X=U;Y=S&255;P=7;break}R=K&65535;T=M&15;if(!T){Z=R;_=E;$=O;aa=N}else{if(N>>>0<T>>>0){ba=E+1|0;ca=((h[E>>0]|0)<<N)+O|0;da=N+8|0}else{ba=E;ca=O;da=N}Z=(ca&(1<<T)+-1)+R|0;_=ba;$=ca>>>T;aa=da-T|0}if(aa>>>0<15){ea=_+2|0;fa=((h[_>>0]|0)<<aa)+$+((h[_+1>>0]|0)<<aa+8)|0;ga=aa+16|0}else{ea=_;fa=$;ga=aa}T=fa&y;R=d[w+(T<<2)+2>>1]|0;Q=h[w+(T<<2)+1>>0]|0;ha=fa>>>Q;ia=ga-Q|0;Q=h[w+(T<<2)>>0]|0;if(!(Q&16)){T=R;ja=Q;ka=ha;la=ia;while(1){if(ja&64|0){ma=ea;na=ka;oa=la;pa=478662;P=55;break a}qa=(ka&(1<<ja)+-1)+(T&65535)|0;ra=d[w+(qa<<2)+2>>1]|0;sa=h[w+(qa<<2)+1>>0]|0;ta=ka>>>sa;ua=la-sa|0;sa=h[w+(qa<<2)>>0]|0;if(!(sa&16)){T=ra;ja=sa;ka=ta;la=ua}else{va=sa;wa=ua;xa=ta;ya=ra;break}}}else{va=Q;wa=ia;xa=ha;ya=R}la=ya&65535;ka=va&15;if(wa>>>0<ka>>>0){ja=ea+1|0;T=((h[ea>>0]|0)<<wa)+xa|0;K=wa+8|0;if(K>>>0<ka>>>0){za=ea+2|0;Aa=((h[ja>>0]|0)<<K)+T|0;Ba=wa+16|0}else{za=ja;Aa=T;Ba=K}}else{za=ea;Aa=xa;Ba=wa}K=(Aa&(1<<ka)+-1)+la|0;la=Aa>>>ka;T=Ba-ka|0;ka=g;ja=ka-z|0;if(K>>>0<=ja>>>0){ra=Z;ta=g+(0-K)|0;ua=g;while(1){b[ua>>0]=b[ta>>0]|0;b[ua+1>>0]=b[ta+1>>0]|0;Ca=ta+3|0;Da=ua+3|0;b[ua+2>>0]=b[ta+2>>0]|0;ra=ra+-3|0;if(ra>>>0<=2)break;else{ta=Ca;ua=Da}}if(!ra){Ea=za;Fa=Da;Ga=la;Ha=T;break}R=ua+4|0;b[Da>>0]=b[Ca>>0]|0;if((ra|0)==1){Ea=za;Fa=R;Ga=la;Ha=T;break}b[R>>0]=b[ta+4>>0]|0;Ea=za;Fa=ua+5|0;Ga=la;Ha=T;break}R=K-ja|0;if(R>>>0>q>>>0?f[c>>2]|0:0){ma=za;na=la;oa=T;pa=478684;P=55;break a}do if(n){ha=s+(p-R)|0;if(Z>>>0>R>>>0){ia=Z-R|0;Q=K-ka|0;sa=ha;qa=R;Ia=g;while(1){b[Ia>>0]=b[sa>>0]|0;qa=qa+-1|0;if(!qa)break;else{sa=sa+1|0;Ia=Ia+1|0}}Ia=g+z+Q|0;Ja=ia;Ka=Ia+(0-K)|0;La=Ia}else{Ja=Z;Ka=ha;La=g}}else{if(r>>>0>=R>>>0){Ia=s+(r-R)|0;if(Z>>>0<=R>>>0){Ja=Z;Ka=Ia;La=g;break}sa=Z-R|0;qa=K-ka|0;Ma=Ia;Ia=R;Na=g;while(1){b[Na>>0]=b[Ma>>0]|0;Ia=Ia+-1|0;if(!Ia)break;else{Ma=Ma+1|0;Na=Na+1|0}}Na=g+z+qa|0;Ja=sa;Ka=Na+(0-K)|0;La=Na;break}Na=s+(A-R)|0;Ma=R-r|0;if(Z>>>0>Ma>>>0){Ia=Z-Ma|0;ha=K-ka|0;ia=Na;Q=Ma;Ma=g;while(1){b[Ma>>0]=b[ia>>0]|0;Q=Q+-1|0;if(!Q)break;else{ia=ia+1|0;Ma=Ma+1|0}}Ma=g+B+ha|0;if(Ia>>>0>r>>>0){ia=g+z|0;Q=s;sa=r;qa=Ma;while(1){b[qa>>0]=b[Q>>0]|0;sa=sa+-1|0;if(!sa)break;else{Q=Q+1|0;qa=qa+1|0}}qa=ia+ha|0;Ja=Ia-r|0;Ka=qa+(0-K)|0;La=qa}else{Ja=Ia;Ka=s;La=Ma}}else{Ja=Z;Ka=Na;La=g}}while(0);if(Ja>>>0>2){K=Ja;ka=Ka;R=La;while(1){b[R>>0]=b[ka>>0]|0;b[R+1>>0]=b[ka+1>>0]|0;ja=ka+3|0;ua=R+3|0;b[R+2>>0]=b[ka+2>>0]|0;ta=K+-3|0;if(ta>>>0>2){K=ta;ka=ja;R=ua}else{Oa=ta;Pa=ja;Qa=ua;break}}}else{Oa=Ja;Pa=Ka;Qa=La}if(Oa){R=Qa+1|0;b[Qa>>0]=b[Pa>>0]|0;if((Oa|0)==1){Ea=za;Fa=R;Ga=la;Ha=T}else{b[R>>0]=b[Pa+1>>0]|0;Ea=za;Fa=Qa+2|0;Ga=la;Ha=T}}else{Ea=za;Fa=Qa;Ga=la;Ha=T}}else{W=L;X=H;Y=J&255;P=7}while(0);if((P|0)==7){P=0;b[g>>0]=Y;Ea=E;Fa=g+1|0;Ga=X;Ha=W}if(Fa>>>0<o>>>0&Ea>>>0<j>>>0){C=Ea;g=Fa;l=Ga;D=Ha}else{Ra=Ga;Sa=Ha;Ta=Ea;Ua=Fa;P=57;break}}if((P|0)==53)if(!(M&32)){ma=E;na=O;oa=N;pa=478634;P=55}else{Va=E;Wa=O;Xa=N;Ya=16191}else if((P|0)==57){Za=Sa>>>3;_a=0-Za|0;$a=Ta+_a|0;ab=Za<<3;bb=Sa-ab|0;cb=1<<bb;db=cb+-1|0;eb=db&Ra;f[a>>2]=$a;f[k>>2]=Ua;fb=j;gb=$a;hb=fb+5|0;ib=hb-gb|0;f[i>>2]=ib;jb=o;kb=Ua;lb=jb+257|0;mb=lb-kb|0;f[m>>2]=mb;f[t>>2]=eb;f[u>>2]=bb;return}if((P|0)==55){f[a+24>>2]=pa;Va=ma;Wa=na;Xa=oa;Ya=16209}f[e+4>>2]=Ya;Ra=Wa;Sa=Xa;Ta=Va;Ua=g;Za=Sa>>>3;_a=0-Za|0;$a=Ta+_a|0;ab=Za<<3;bb=Sa-ab|0;cb=1<<bb;db=cb+-1|0;eb=db&Ra;f[a>>2]=$a;f[k>>2]=Ua;fb=j;gb=$a;hb=fb+5|0;ib=hb-gb|0;f[i>>2]=ib;jb=o;kb=Ua;lb=jb+257|0;mb=lb-kb|0;f[m>>2]=mb;f[t>>2]=eb;f[u>>2]=bb;return}function NAb(a,b,c){a=a|0;b=b|0;c=c|0;return W6b(Y(c,b)|0)|0}function OAb(a,b){a=a|0;b=b|0;X6b(b);return}function PAb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;d=a>>>16;e=a&65535;if((c|0)==1){a=(h[b>>0]|0)+e|0;f=a>>>0>65520?a+-65521|0:a;a=f+d|0;g=(a>>>0>65520?a+15|0:a)<<16|f;return g|0}if(!b){g=1;return g|0}if(c>>>0<16){if(!c){i=d;j=e}else{f=c;a=b;k=e;l=d;while(1){f=f+-1|0;m=(h[a>>0]|0)+k|0;n=m+l|0;if(!f){i=n;j=m;break}else{a=a+1|0;k=m;l=n}}}g=((i>>>0)%65521|0)<<16|(j>>>0>65520?j+-65521|0:j);return g|0}if(c>>>0>5551){j=c;i=b;l=d;k=e;do{j=j+-5552|0;a=347;f=i;n=l;m=k;while(1){o=(h[f>>0]|0)+m|0;p=o+(h[f+1>>0]|0)|0;q=p+(h[f+2>>0]|0)|0;r=q+(h[f+3>>0]|0)|0;s=r+(h[f+4>>0]|0)|0;t=s+(h[f+5>>0]|0)|0;u=t+(h[f+6>>0]|0)|0;v=u+(h[f+7>>0]|0)|0;w=v+(h[f+8>>0]|0)|0;x=w+(h[f+9>>0]|0)|0;y=x+(h[f+10>>0]|0)|0;z=y+(h[f+11>>0]|0)|0;A=z+(h[f+12>>0]|0)|0;B=A+(h[f+13>>0]|0)|0;C=B+(h[f+14>>0]|0)|0;m=C+(h[f+15>>0]|0)|0;n=o+n+p+q+r+s+t+u+v+w+x+y+z+A+B+C+m|0;a=a+-1|0;if(!a)break;else f=f+16|0}i=i+5552|0;k=(m>>>0)%65521|0;l=(n>>>0)%65521|0}while(j>>>0>5551);if(j)if(j>>>0>15){D=j;E=i;F=l;G=k;H=14}else{I=j;J=i;K=l;L=k;H=17}else{M=l;N=k}}else{D=c;E=b;F=d;G=e;H=14}if((H|0)==14){e=D+-16|0;d=e&-16;b=d+16|0;c=D;D=E;k=F;F=G;while(1){c=c+-16|0;G=(h[D>>0]|0)+F|0;l=G+(h[D+1>>0]|0)|0;i=l+(h[D+2>>0]|0)|0;j=i+(h[D+3>>0]|0)|0;f=j+(h[D+4>>0]|0)|0;a=f+(h[D+5>>0]|0)|0;C=a+(h[D+6>>0]|0)|0;B=C+(h[D+7>>0]|0)|0;A=B+(h[D+8>>0]|0)|0;z=A+(h[D+9>>0]|0)|0;y=z+(h[D+10>>0]|0)|0;x=y+(h[D+11>>0]|0)|0;w=x+(h[D+12>>0]|0)|0;v=w+(h[D+13>>0]|0)|0;u=v+(h[D+14>>0]|0)|0;F=u+(h[D+15>>0]|0)|0;k=G+k+l+i+j+f+a+C+B+A+z+y+x+w+v+u+F|0;if(c>>>0<=15)break;else D=D+16|0}D=e-d|0;if(!D){O=k;P=F;H=18}else{I=D;J=E+b|0;K=k;L=F;H=17}}if((H|0)==17)while(1){H=0;I=I+-1|0;F=(h[J>>0]|0)+L|0;k=F+K|0;if(!I){O=k;P=F;H=18;break}else{J=J+1|0;K=k;L=F;H=17}}if((H|0)==18){M=(O>>>0)%65521|0;N=(P>>>0)%65521|0}g=M<<16|N;return g|0}function QAb(a,b,c){a=a|0;b=b|0;c=c|0;return PAb(a,b,c)|0}function RAb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;if(!b){d=0;return d|0}e=~a;a:do if(c){a=e;g=c;i=b;while(1){if(!(i&3))break;j=f[140664+(((h[i>>0]|0)^a&255)<<2)>>2]^a>>>8;k=g+-1|0;if(!k){l=j;break a}else{a=j;g=k;i=i+1|0}}if(g>>>0>31){k=g+-32|0;j=k&-32;m=i+(j+32)|0;n=i;o=a;p=g;while(1){q=f[n>>2]^o;r=f[142712+((q>>>8&255)<<2)>>2]^f[143736+((q&255)<<2)>>2]^f[141688+((q>>>16&255)<<2)>>2]^f[140664+(q>>>24<<2)>>2]^f[n+4>>2];q=f[142712+((r>>>8&255)<<2)>>2]^f[143736+((r&255)<<2)>>2]^f[141688+((r>>>16&255)<<2)>>2]^f[140664+(r>>>24<<2)>>2]^f[n+8>>2];r=f[142712+((q>>>8&255)<<2)>>2]^f[143736+((q&255)<<2)>>2]^f[141688+((q>>>16&255)<<2)>>2]^f[140664+(q>>>24<<2)>>2]^f[n+12>>2];q=f[142712+((r>>>8&255)<<2)>>2]^f[143736+((r&255)<<2)>>2]^f[141688+((r>>>16&255)<<2)>>2]^f[140664+(r>>>24<<2)>>2]^f[n+16>>2];r=f[142712+((q>>>8&255)<<2)>>2]^f[143736+((q&255)<<2)>>2]^f[141688+((q>>>16&255)<<2)>>2]^f[140664+(q>>>24<<2)>>2]^f[n+20>>2];q=f[142712+((r>>>8&255)<<2)>>2]^f[143736+((r&255)<<2)>>2]^f[141688+((r>>>16&255)<<2)>>2]^f[140664+(r>>>24<<2)>>2]^f[n+24>>2];r=f[142712+((q>>>8&255)<<2)>>2]^f[143736+((q&255)<<2)>>2]^f[141688+((q>>>16&255)<<2)>>2]^f[140664+(q>>>24<<2)>>2]^f[n+28>>2];o=f[142712+((r>>>8&255)<<2)>>2]^f[143736+((r&255)<<2)>>2]^f[141688+((r>>>16&255)<<2)>>2]^f[140664+(r>>>24<<2)>>2];p=p+-32|0;if(p>>>0<=31)break;else n=n+32|0}s=m;t=o;u=k-j|0}else{s=i;t=a;u=g}if(u>>>0>3){n=u+-4|0;p=n>>>2;r=p+1|0;q=s;v=u;w=t;while(1){x=f[q>>2]^w;w=f[142712+((x>>>8&255)<<2)>>2]^f[143736+((x&255)<<2)>>2]^f[141688+((x>>>16&255)<<2)>>2]^f[140664+(x>>>24<<2)>>2];v=v+-4|0;if(v>>>0<=3)break;else q=q+4|0}y=s+(r<<2)|0;z=w;A=n-(p<<2)|0}else{y=s;z=t;A=u}if(!A)l=z;else{q=y;v=z;g=A;while(1){a=f[140664+(((h[q>>0]|0)^v&255)<<2)>>2]^v>>>8;g=g+-1|0;if(!g){l=a;break}else{q=q+1|0;v=a}}}}else l=e;while(0);d=~l;return d|0}function SAb(a,b,c){a=a|0;b=b|0;c=c|0;return RAb(a,b,c)|0}function TAb(a,c,e,g,h,i,k,l){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;if(!k){m=-6;return m|0}if((l|0)!=56|(b[k>>0]|0)!=49){m=-6;return m|0}if(!a){m=-2;return m|0}k=a+24|0;f[k>>2]=0;l=a+32|0;n=f[l>>2]|0;if(!n){f[l>>2]=298;f[a+40>>2]=0;o=298}else o=n;n=a+36|0;if(!(f[n>>2]|0))f[n>>2]=1121;n=(c|0)==-1?6:c;if((g|0)<0){p=0;q=0-g|0}else{c=(g|0)>15;p=c?2:1;q=c?g+-16|0:g}if(i>>>0>4|(n>>>0>9|((e|0)!=8|(h+-1|0)>>>0>8|(q&-8|0)!=8))){m=-2;return m|0}e=(q|0)==8;if(e&(p|0)!=1){m=-2;return m|0}g=e?9:q;q=a+40|0;e=ki[o&511](f[q>>2]|0,1,5828)|0;if(!e){m=-4;return m|0}o=a+28|0;f[o>>2]=e;f[e>>2]=a;c=e+4|0;f[c>>2]=42;f[e+24>>2]=p;f[e+28>>2]=0;f[e+48>>2]=g;p=1<<g;g=e+44|0;f[g>>2]=p;f[e+52>>2]=p+-1;r=h+7|0;f[e+80>>2]=r;s=1<<r;r=e+76|0;f[r>>2]=s;f[e+84>>2]=s+-1;f[e+88>>2]=((h+9|0)>>>0)/3|0;s=ki[f[l>>2]&511](f[q>>2]|0,p,2)|0;p=e+56|0;f[p>>2]=s;s=ki[f[l>>2]&511](f[q>>2]|0,f[g>>2]|0,2)|0;g=e+64|0;f[g>>2]=s;s=ki[f[l>>2]&511](f[q>>2]|0,f[r>>2]|0,2)|0;r=e+68|0;f[r>>2]=s;f[e+5824>>2]=0;s=1<<h+6;h=e+5788|0;f[h>>2]=s;t=ki[f[l>>2]&511](f[q>>2]|0,s,4)|0;f[e+8>>2]=t;s=f[h>>2]|0;f[e+12>>2]=s<<2;if((f[p>>2]|0?f[g>>2]|0:0)?!((f[r>>2]|0)==0|(t|0)==0):0){f[e+5796>>2]=t+(s>>>1<<1);f[e+5784>>2]=t+(s*3|0);f[e+132>>2]=n;f[e+136>>2]=i;b[e+36>>0]=8;e=VAb(a)|0;if(e|0){m=e;return m|0}e=f[o>>2]|0;f[e+60>>2]=f[e+44>>2]<<1;o=f[e+68>>2]|0;i=(f[e+76>>2]|0)+-1|0;d[o+(i<<1)>>1]=0;Drc(o|0,0,i<<1|0)|0;i=f[e+132>>2]|0;f[e+128>>2]=j[148856+(i*12|0)+2>>1];f[e+140>>2]=j[148856+(i*12|0)>>1];f[e+144>>2]=j[148856+(i*12|0)+4>>1];f[e+124>>2]=j[148856+(i*12|0)+6>>1];f[e+108>>2]=0;f[e+92>>2]=0;f[e+116>>2]=0;f[e+5812>>2]=0;f[e+120>>2]=2;f[e+96>>2]=2;f[e+104>>2]=0;f[e+72>>2]=0;m=0;return m|0}f[c>>2]=666;f[k>>2]=f[35162];UAb(a)|0;m=-4;return m|0}function UAb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;if(!a){b=-2;return b|0}if(!(f[a+32>>2]|0)){b=-2;return b|0}c=a+36|0;d=f[c>>2]|0;if(!d){b=-2;return b|0}e=a+28|0;g=f[e>>2]|0;if(!g){b=-2;return b|0}if((f[g>>2]|0)!=(a|0)){b=-2;return b|0}h=f[g+4>>2]|0;switch(h|0){case 666:case 113:case 103:case 91:case 73:case 69:case 57:case 42:break;default:{b=-2;return b|0}}i=f[g+8>>2]|0;if(!i)j=g;else{xh[d&2047](f[a+40>>2]|0,i);j=f[e>>2]|0}i=f[j+68>>2]|0;if(!i)k=j;else{xh[f[c>>2]&2047](f[a+40>>2]|0,i);k=f[e>>2]|0}i=f[k+64>>2]|0;if(!i)l=k;else{xh[f[c>>2]&2047](f[a+40>>2]|0,i);l=f[e>>2]|0}i=f[l+56>>2]|0;if(!i){m=a+40|0;n=l}else{l=a+40|0;xh[f[c>>2]&2047](f[l>>2]|0,i);m=l;n=f[e>>2]|0}xh[f[c>>2]&2047](f[m>>2]|0,n);f[e>>2]=0;b=(h|0)==113?-3:0;return b|0}function VAb(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;if(!a){b=-2;return b|0}if(!(f[a+32>>2]|0)){b=-2;return b|0}if(!(f[a+36>>2]|0)){b=-2;return b|0}c=f[a+28>>2]|0;if(!c){b=-2;return b|0}if((f[c>>2]|0)!=(a|0)){b=-2;return b|0}d=c+4|0;switch(f[d>>2]|0){case 666:case 113:case 103:case 91:case 73:case 69:case 57:case 42:break;default:{b=-2;return b|0}}f[a+20>>2]=0;f[a+8>>2]=0;f[a+24>>2]=0;f[a+44>>2]=2;f[c+20>>2]=0;f[c+16>>2]=f[c+8>>2];e=c+24|0;g=f[e>>2]|0;h=0-g|0;if((g|0)<0){f[e>>2]=h;i=h}else i=g;g=(i|0)==2;f[d>>2]=g?57:i|0?42:113;if(g)j=SAb(0,0,0)|0;else j=QAb(0,0,0)|0;f[a+48>>2]=j;f[c+40>>2]=0;bBb(c);b=0;return b|0}function WAb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0;d=a+12|0;e=(f[d>>2]|0)+-5|0;g=a+44|0;h=f[g>>2]|0;i=e>>>0>h>>>0?h:e;e=f[a>>2]|0;h=f[e+4>>2]|0;j=a+5820|0;k=a+108|0;l=a+92|0;m=(c|0)!=4;n=(c|0)==0;o=(c|0)==4;p=a+8|0;q=a+20|0;r=a+56|0;s=(f[j>>2]|0)+42>>3;t=f[e+16>>2]|0;a:do if(t>>>0<s>>>0){u=0;v=e}else{w=0;x=s;y=t;z=e;while(1){A=y-x|0;B=(f[k>>2]|0)-(f[l>>2]|0)|0;C=B+(f[z+4>>2]|0)|0;D=C>>>0<65535?C:65535;E=D>>>0>A>>>0?A:D;if(E>>>0<i>>>0?!((E|0)==(C|0)&((n|m&(E|0)==0)^1)):0){u=w;v=z;break a}D=o&(E|0)==(C|0);C=D&1;dBb(a,0,0,C);b[(f[p>>2]|0)+((f[q>>2]|0)+-4)>>0]=E;b[(f[p>>2]|0)+((f[q>>2]|0)+-3)>>0]=E>>>8;A=~E;b[(f[p>>2]|0)+((f[q>>2]|0)+-2)>>0]=A;b[(f[p>>2]|0)+((f[q>>2]|0)+-1)>>0]=A>>>8;A=f[a>>2]|0;F=f[A+28>>2]|0;eBb(F);G=F+20|0;H=f[G>>2]|0;I=A+16|0;J=f[I>>2]|0;K=H>>>0>J>>>0?J:H;if(K|0?(H=A+12|0,J=F+16|0,Krc(f[H>>2]|0,f[J>>2]|0,K|0)|0,f[H>>2]=(f[H>>2]|0)+K,f[J>>2]=(f[J>>2]|0)+K,H=A+20|0,f[H>>2]=(f[H>>2]|0)+K,f[I>>2]=(f[I>>2]|0)-K,I=(f[G>>2]|0)-K|0,f[G>>2]=I,(I|0)==0):0)f[J>>2]=f[F+8>>2];if(!B)L=E;else{F=B>>>0>E>>>0?E:B;Krc(f[(f[a>>2]|0)+12>>2]|0,(f[r>>2]|0)+(f[l>>2]|0)|0,F|0)|0;B=f[a>>2]|0;J=B+12|0;f[J>>2]=(f[J>>2]|0)+F;J=B+16|0;f[J>>2]=(f[J>>2]|0)-F;J=B+20|0;f[J>>2]=(f[J>>2]|0)+F;f[l>>2]=(f[l>>2]|0)+F;L=E-F|0}if(L|0){F=f[a>>2]|0;E=f[F+12>>2]|0;J=F+4|0;B=f[J>>2]|0;I=B>>>0>L>>>0?L:B;if(!I){M=F;N=E}else{f[J>>2]=B-I;Krc(E|0,f[F>>2]|0,I|0)|0;switch(f[(f[F+28>>2]|0)+24>>2]|0){case 1:{B=F+48|0;O=B;P=QAb(f[B>>2]|0,E,I)|0;Q=14;break}case 2:{B=F+48|0;O=B;P=SAb(f[B>>2]|0,E,I)|0;Q=14;break}default:{}}if((Q|0)==14){Q=0;f[O>>2]=P}f[F>>2]=(f[F>>2]|0)+I;E=F+8|0;f[E>>2]=(f[E>>2]|0)+I;I=f[a>>2]|0;M=I;N=f[I+12>>2]|0}f[M+12>>2]=N+L;I=M+16|0;f[I>>2]=(f[I>>2]|0)-L;I=M+20|0;f[I>>2]=(f[I>>2]|0)+L}I=f[a>>2]|0;if(D){u=C;v=I;break a}x=(f[j>>2]|0)+42>>3;y=f[I+16>>2]|0;if(y>>>0<x>>>0){u=C;v=I;break}else{w=C;z=I}}}while(0);L=h-(f[v+4>>2]|0)|0;if(!L)R=f[k>>2]|0;else{h=f[g>>2]|0;if(L>>>0<h>>>0){M=f[k>>2]|0;if(((f[a+60>>2]|0)-M|0)>>>0<=L>>>0?(N=M-h|0,f[k>>2]=N,M=f[r>>2]|0,Krc(M|0,M+h|0,N|0)|0,N=a+5808|0,M=f[N>>2]|0,M>>>0<2):0)f[N>>2]=M+1;Krc((f[r>>2]|0)+(f[k>>2]|0)|0,(f[f[a>>2]>>2]|0)+(0-L)|0,L|0)|0;M=(f[k>>2]|0)+L|0;f[k>>2]=M;S=M;T=f[g>>2]|0}else{f[a+5808>>2]=2;Krc(f[r>>2]|0,(f[v>>2]|0)+(0-h)|0,h|0)|0;h=f[g>>2]|0;f[k>>2]=h;S=h;T=h}f[l>>2]=S;h=a+5812|0;v=f[h>>2]|0;M=T-v|0;f[h>>2]=(L>>>0>M>>>0?M:L)+v;R=S}S=a+5824|0;if((f[S>>2]|0)>>>0<R>>>0)f[S>>2]=R;if(u|0){U=3;return U|0}u=(c|0)!=0;v=f[a>>2]|0;L=f[v+4>>2]|0;switch(c|0){case 0:case 4:break;default:if((L|0)==0?(R|0)==(f[l>>2]|0):0){U=1;return U|0}}c=(f[a+60>>2]|0)-R+-1|0;if(L>>>0>c>>>0?(M=f[l>>2]|0,h=f[g>>2]|0,(M|0)>=(h|0)):0){f[l>>2]=M-h;M=R-h|0;f[k>>2]=M;R=f[r>>2]|0;Krc(R|0,R+h|0,M|0)|0;M=a+5808|0;h=f[M>>2]|0;if(h>>>0<2)f[M>>2]=h+1;h=f[a>>2]|0;V=(f[g>>2]|0)+c|0;W=f[h+4>>2]|0;X=h}else{V=c;W=L;X=v}v=V>>>0>W>>>0?W:V;if(!v)Y=f[k>>2]|0;else{V=(f[r>>2]|0)+(f[k>>2]|0)|0;f[X+4>>2]=W-v;Krc(V|0,f[X>>2]|0,v|0)|0;switch(f[(f[X+28>>2]|0)+24>>2]|0){case 1:{W=X+48|0;Z=W;_=QAb(f[W>>2]|0,V,v)|0;Q=44;break}case 2:{W=X+48|0;Z=W;_=SAb(f[W>>2]|0,V,v)|0;Q=44;break}default:{}}if((Q|0)==44)f[Z>>2]=_;f[X>>2]=(f[X>>2]|0)+v;_=X+8|0;f[_>>2]=(f[_>>2]|0)+v;_=(f[k>>2]|0)+v|0;f[k>>2]=_;Y=_}if((f[S>>2]|0)>>>0<Y>>>0)f[S>>2]=Y;S=(f[d>>2]|0)-((f[j>>2]|0)+42>>3)|0;j=S>>>0<65535?S:65535;S=f[g>>2]|0;g=f[l>>2]|0;d=Y-g|0;if(d>>>0<(j>>>0>S>>>0?S:j)>>>0)if(u&(o|(d|0)!=0)?!(d>>>0>j>>>0?1:(f[(f[a>>2]|0)+4>>2]|0)!=0):0)Q=51;else $=0;else Q=51;if((Q|0)==51){Q=d>>>0>j>>>0?j:d;if(o)aa=d>>>0<=j>>>0?(f[(f[a>>2]|0)+4>>2]|0)==0:0;else aa=0;j=aa&1;dBb(a,(f[r>>2]|0)+g|0,Q,j);f[l>>2]=(f[l>>2]|0)+Q;Q=f[a>>2]|0;a=f[Q+28>>2]|0;eBb(a);l=a+20|0;g=f[l>>2]|0;r=Q+16|0;aa=f[r>>2]|0;d=g>>>0>aa>>>0?aa:g;if((d|0)!=0?(g=Q+12|0,aa=a+16|0,Krc(f[g>>2]|0,f[aa>>2]|0,d|0)|0,f[g>>2]=(f[g>>2]|0)+d,f[aa>>2]=(f[aa>>2]|0)+d,g=Q+20|0,f[g>>2]=(f[g>>2]|0)+d,f[r>>2]=(f[r>>2]|0)-d,r=(f[l>>2]|0)-d|0,f[l>>2]=r,(r|0)==0):0){f[aa>>2]=f[a+8>>2];$=j}else $=j}U=$|0?2:0;return U|0}function XAb(a,c){a=a|0;c=c|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;e=a+116|0;g=(c|0)==0;i=a+72|0;j=a+88|0;k=a+56|0;l=a+108|0;m=a+84|0;n=a+68|0;o=a+64|0;p=a+52|0;q=a+44|0;r=a+96|0;s=a+5784|0;t=a+5796|0;u=a+112|0;v=a+5792|0;w=a+5788|0;x=a+128|0;y=a+92|0;while(1){if((f[e>>2]|0)>>>0<262){ZAb(a);z=f[e>>2]|0;if(g&z>>>0<262){A=0;B=39;break}if(!z){B=24;break}if(z>>>0<=2)B=9;else B=6}else B=6;if((B|0)==6){B=0;z=f[l>>2]|0;C=((h[(f[k>>2]|0)+(z+2)>>0]|0)^f[i>>2]<<f[j>>2])&f[m>>2];f[i>>2]=C;D=(f[n>>2]|0)+(C<<1)|0;C=d[D>>1]|0;d[(f[o>>2]|0)+((f[p>>2]&z)<<1)>>1]=C;E=C&65535;d[D>>1]=z;if(C<<16>>16!=0?(z-E|0)>>>0<=((f[q>>2]|0)+-262|0)>>>0:0){z=_Ab(a,E)|0;f[r>>2]=z;F=z}else B=9}if((B|0)==9){B=0;F=f[r>>2]|0}z=f[s>>2]|0;E=f[t>>2]|0;do if(F>>>0>2){C=F+253|0;D=(f[l>>2]|0)-(f[u>>2]|0)|0;G=f[v>>2]|0;d[E+(G<<1)>>1]=D;f[v>>2]=G+1;b[z+G>>0]=C;G=a+148+((h[479342+(C&255)>>0]|0|256)+1<<2)|0;d[G>>1]=(d[G>>1]|0)+1<<16>>16;G=D+65535&65535;D=a+2440+((h[478830+(G>>>0<256?G:(G>>>7)+256|0)>>0]|0)<<2)|0;d[D>>1]=(d[D>>1]|0)+1<<16>>16;D=(f[v>>2]|0)==((f[w>>2]|0)+-1|0)&1;G=f[r>>2]|0;C=(f[e>>2]|0)-G|0;f[e>>2]=C;if(!(C>>>0>2?G>>>0<=(f[x>>2]|0)>>>0:0)){C=(f[l>>2]|0)+G|0;f[l>>2]=C;f[r>>2]=0;H=f[k>>2]|0;I=h[H+C>>0]|0;f[i>>2]=I;f[i>>2]=((h[H+(C+1)>>0]|0)^I<<f[j>>2])&f[m>>2];J=D;K=C;break}C=G+-1|0;f[r>>2]=C;G=f[j>>2]|0;I=f[k>>2]|0;H=f[m>>2]|0;L=f[n>>2]|0;M=f[o>>2]|0;N=f[p>>2]|0;O=f[l>>2]|0;P=f[i>>2]|0;Q=C;while(1){C=O+1|0;f[l>>2]=C;P=((h[I+(O+3)>>0]|0)^P<<G)&H;f[i>>2]=P;R=L+(P<<1)|0;d[M+((N&C)<<1)>>1]=d[R>>1]|0;d[R>>1]=C;Q=Q+-1|0;f[r>>2]=Q;if(!Q)break;else O=C}Q=O+2|0;f[l>>2]=Q;J=D;K=Q}else{Q=b[(f[k>>2]|0)+(f[l>>2]|0)>>0]|0;N=f[v>>2]|0;d[E+(N<<1)>>1]=0;f[v>>2]=N+1;b[z+N>>0]=Q;N=a+148+((Q&255)<<2)|0;d[N>>1]=(d[N>>1]|0)+1<<16>>16;N=(f[v>>2]|0)==((f[w>>2]|0)+-1|0)&1;f[e>>2]=(f[e>>2]|0)+-1;Q=(f[l>>2]|0)+1|0;f[l>>2]=Q;J=N;K=Q}while(0);if(!J)continue;z=f[y>>2]|0;if((z|0)>-1)S=(f[k>>2]|0)+z|0;else S=0;gBb(a,S,K-z|0,0);f[y>>2]=f[l>>2];z=f[a>>2]|0;E=f[z+28>>2]|0;eBb(E);Q=E+20|0;N=f[Q>>2]|0;M=z+16|0;P=f[M>>2]|0;L=N>>>0>P>>>0?P:N;if(L|0?(N=z+12|0,P=E+16|0,Krc(f[N>>2]|0,f[P>>2]|0,L|0)|0,f[N>>2]=(f[N>>2]|0)+L,f[P>>2]=(f[P>>2]|0)+L,N=z+20|0,f[N>>2]=(f[N>>2]|0)+L,f[M>>2]=(f[M>>2]|0)-L,M=(f[Q>>2]|0)-L|0,f[Q>>2]=M,(M|0)==0):0)f[P>>2]=f[E+8>>2];if(!(f[(f[a>>2]|0)+16>>2]|0)){A=0;B=39;break}}if((B|0)==24){K=f[l>>2]|0;f[a+5812>>2]=K>>>0<2?K:2;if((c|0)==4){c=f[y>>2]|0;if((c|0)>-1)T=(f[k>>2]|0)+c|0;else T=0;gBb(a,T,K-c|0,1);f[y>>2]=f[l>>2];c=f[a>>2]|0;T=f[c+28>>2]|0;eBb(T);S=T+20|0;J=f[S>>2]|0;e=c+16|0;w=f[e>>2]|0;r=J>>>0>w>>>0?w:J;if(r|0?(J=c+12|0,w=T+16|0,Krc(f[J>>2]|0,f[w>>2]|0,r|0)|0,f[J>>2]=(f[J>>2]|0)+r,f[w>>2]=(f[w>>2]|0)+r,J=c+20|0,f[J>>2]=(f[J>>2]|0)+r,f[e>>2]=(f[e>>2]|0)-r,e=(f[S>>2]|0)-r|0,f[S>>2]=e,(e|0)==0):0)f[w>>2]=f[T+8>>2];A=(f[(f[a>>2]|0)+16>>2]|0)==0?2:3;return A|0}if(f[v>>2]|0){v=f[y>>2]|0;if((v|0)>-1)U=(f[k>>2]|0)+v|0;else U=0;gBb(a,U,K-v|0,0);f[y>>2]=f[l>>2];l=f[a>>2]|0;y=f[l+28>>2]|0;eBb(y);v=y+20|0;K=f[v>>2]|0;U=l+16|0;k=f[U>>2]|0;T=K>>>0>k>>>0?k:K;if(T|0?(K=l+12|0,k=y+16|0,Krc(f[K>>2]|0,f[k>>2]|0,T|0)|0,f[K>>2]=(f[K>>2]|0)+T,f[k>>2]=(f[k>>2]|0)+T,K=l+20|0,f[K>>2]=(f[K>>2]|0)+T,f[U>>2]=(f[U>>2]|0)-T,U=(f[v>>2]|0)-T|0,f[v>>2]=U,(U|0)==0):0)f[k>>2]=f[y+8>>2];if(!(f[(f[a>>2]|0)+16>>2]|0)){A=0;return A|0}}A=1;return A|0}else if((B|0)==39)return A|0;return 0}function YAb(a,c){a=a|0;c=c|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;e=a+116|0;g=(c|0)==0;i=a+72|0;j=a+88|0;k=a+56|0;l=a+108|0;m=a+84|0;n=a+68|0;o=a+64|0;p=a+52|0;q=a+96|0;r=a+120|0;s=a+112|0;t=a+100|0;u=a+5796|0;v=a+5792|0;w=a+5784|0;x=a+5788|0;y=a+104|0;z=a+92|0;A=a+128|0;B=a+44|0;C=a+136|0;a:while(1){D=f[e>>2]|0;while(1){if(D>>>0<262){ZAb(a);E=f[e>>2]|0;if(g&E>>>0<262){F=0;G=55;break a}if(!E){G=38;break a}if(E>>>0<=2){f[r>>2]=f[q>>2];f[t>>2]=f[s>>2];f[q>>2]=2;H=2;G=16}else G=8}else G=8;do if((G|0)==8){G=0;E=f[l>>2]|0;I=((h[(f[k>>2]|0)+(E+2)>>0]|0)^f[i>>2]<<f[j>>2])&f[m>>2];f[i>>2]=I;J=(f[n>>2]|0)+(I<<1)|0;I=d[J>>1]|0;d[(f[o>>2]|0)+((f[p>>2]&E)<<1)>>1]=I;K=I&65535;d[J>>1]=E;E=f[q>>2]|0;f[r>>2]=E;f[t>>2]=f[s>>2];f[q>>2]=2;if(I<<16>>16)if(E>>>0<(f[A>>2]|0)>>>0)if(((f[l>>2]|0)-K|0)>>>0<=((f[B>>2]|0)+-262|0)>>>0){I=_Ab(a,K)|0;f[q>>2]=I;if(I>>>0<6){if((f[C>>2]|0)!=1){if((I|0)!=3){H=I;G=16;break}if(((f[l>>2]|0)-(f[s>>2]|0)|0)>>>0<=4096){H=3;G=16;break}}f[q>>2]=2;H=2;G=16}else{H=I;G=16}}else{H=2;G=16}else{L=E;M=2}else{H=2;G=16}}while(0);if((G|0)==16){G=0;L=f[r>>2]|0;M=H}if(!(L>>>0<3|M>>>0>L>>>0))break;if(!(f[y>>2]|0)){f[y>>2]=1;f[l>>2]=(f[l>>2]|0)+1;E=(f[e>>2]|0)+-1|0;f[e>>2]=E;D=E;continue}E=b[(f[k>>2]|0)+((f[l>>2]|0)+-1)>>0]|0;I=f[v>>2]|0;d[(f[u>>2]|0)+(I<<1)>>1]=0;K=f[w>>2]|0;f[v>>2]=I+1;b[K+I>>0]=E;I=a+148+((E&255)<<2)|0;d[I>>1]=(d[I>>1]|0)+1<<16>>16;if((f[v>>2]|0)==((f[x>>2]|0)+-1|0)){I=f[z>>2]|0;if((I|0)>-1)N=(f[k>>2]|0)+I|0;else N=0;gBb(a,N,(f[l>>2]|0)-I|0,0);f[z>>2]=f[l>>2];I=f[a>>2]|0;E=f[I+28>>2]|0;eBb(E);K=E+20|0;J=f[K>>2]|0;O=I+16|0;P=f[O>>2]|0;Q=J>>>0>P>>>0?P:J;if(Q|0?(J=I+12|0,P=E+16|0,Krc(f[J>>2]|0,f[P>>2]|0,Q|0)|0,f[J>>2]=(f[J>>2]|0)+Q,f[P>>2]=(f[P>>2]|0)+Q,J=I+20|0,f[J>>2]=(f[J>>2]|0)+Q,f[O>>2]=(f[O>>2]|0)-Q,O=(f[K>>2]|0)-Q|0,f[K>>2]=O,(O|0)==0):0)f[P>>2]=f[E+8>>2]}f[l>>2]=(f[l>>2]|0)+1;D=(f[e>>2]|0)+-1|0;f[e>>2]=D;if(!(f[(f[a>>2]|0)+16>>2]|0)){F=0;G=55;break a}}D=f[l>>2]|0;E=D+-3+(f[e>>2]|0)|0;P=L+253|0;O=D+65535-(f[t>>2]|0)|0;D=f[v>>2]|0;d[(f[u>>2]|0)+(D<<1)>>1]=O;K=f[w>>2]|0;f[v>>2]=D+1;b[K+D>>0]=P;D=a+148+((h[479342+(P&255)>>0]|0|256)+1<<2)|0;d[D>>1]=(d[D>>1]|0)+1<<16>>16;D=O+65535&65535;O=a+2440+((h[478830+(D>>>0<256?D:(D>>>7)+256|0)>>0]|0)<<2)|0;d[O>>1]=(d[O>>1]|0)+1<<16>>16;O=f[v>>2]|0;D=(f[x>>2]|0)+-1|0;P=f[r>>2]|0;f[e>>2]=1-P+(f[e>>2]|0);K=P+-2|0;f[r>>2]=K;P=f[l>>2]|0;Q=K;while(1){K=P+1|0;f[l>>2]=K;if(K>>>0<=E>>>0){J=((h[(f[k>>2]|0)+(P+3)>>0]|0)^f[i>>2]<<f[j>>2])&f[m>>2];f[i>>2]=J;I=(f[n>>2]|0)+(J<<1)|0;d[(f[o>>2]|0)+((f[p>>2]&K)<<1)>>1]=d[I>>1]|0;d[I>>1]=K}Q=Q+-1|0;f[r>>2]=Q;if(!Q)break;else P=K}f[y>>2]=0;f[q>>2]=2;Q=P+2|0;f[l>>2]=Q;if((O|0)!=(D|0))continue;E=f[z>>2]|0;if((E|0)>-1)R=(f[k>>2]|0)+E|0;else R=0;gBb(a,R,Q-E|0,0);f[z>>2]=f[l>>2];E=f[a>>2]|0;Q=f[E+28>>2]|0;eBb(Q);K=Q+20|0;I=f[K>>2]|0;J=E+16|0;S=f[J>>2]|0;T=I>>>0>S>>>0?S:I;if(T|0?(I=E+12|0,S=Q+16|0,Krc(f[I>>2]|0,f[S>>2]|0,T|0)|0,f[I>>2]=(f[I>>2]|0)+T,f[S>>2]=(f[S>>2]|0)+T,I=E+20|0,f[I>>2]=(f[I>>2]|0)+T,f[J>>2]=(f[J>>2]|0)-T,J=(f[K>>2]|0)-T|0,f[K>>2]=J,(J|0)==0):0)f[S>>2]=f[Q+8>>2];if(!(f[(f[a>>2]|0)+16>>2]|0)){F=0;G=55;break}}if((G|0)==38){if(f[y>>2]|0){R=b[(f[k>>2]|0)+((f[l>>2]|0)+-1)>>0]|0;q=f[v>>2]|0;d[(f[u>>2]|0)+(q<<1)>>1]=0;u=f[w>>2]|0;f[v>>2]=q+1;b[u+q>>0]=R;q=a+148+((R&255)<<2)|0;d[q>>1]=(d[q>>1]|0)+1<<16>>16;f[y>>2]=0}y=f[l>>2]|0;f[a+5812>>2]=y>>>0<2?y:2;if((c|0)==4){c=f[z>>2]|0;if((c|0)>-1)U=(f[k>>2]|0)+c|0;else U=0;gBb(a,U,y-c|0,1);f[z>>2]=f[l>>2];c=f[a>>2]|0;U=f[c+28>>2]|0;eBb(U);q=U+20|0;R=f[q>>2]|0;u=c+16|0;w=f[u>>2]|0;r=R>>>0>w>>>0?w:R;if(r|0?(R=c+12|0,w=U+16|0,Krc(f[R>>2]|0,f[w>>2]|0,r|0)|0,f[R>>2]=(f[R>>2]|0)+r,f[w>>2]=(f[w>>2]|0)+r,R=c+20|0,f[R>>2]=(f[R>>2]|0)+r,f[u>>2]=(f[u>>2]|0)-r,u=(f[q>>2]|0)-r|0,f[q>>2]=u,(u|0)==0):0)f[w>>2]=f[U+8>>2];F=(f[(f[a>>2]|0)+16>>2]|0)==0?2:3;return F|0}if(f[v>>2]|0){v=f[z>>2]|0;if((v|0)>-1)V=(f[k>>2]|0)+v|0;else V=0;gBb(a,V,y-v|0,0);f[z>>2]=f[l>>2];l=f[a>>2]|0;z=f[l+28>>2]|0;eBb(z);v=z+20|0;y=f[v>>2]|0;V=l+16|0;k=f[V>>2]|0;U=y>>>0>k>>>0?k:y;if(U|0?(y=l+12|0,k=z+16|0,Krc(f[y>>2]|0,f[k>>2]|0,U|0)|0,f[y>>2]=(f[y>>2]|0)+U,f[k>>2]=(f[k>>2]|0)+U,y=l+20|0,f[y>>2]=(f[y>>2]|0)+U,f[V>>2]=(f[V>>2]|0)-U,V=(f[v>>2]|0)-U|0,f[v>>2]=V,(V|0)==0):0)f[k>>2]=f[z+8>>2];if(!(f[(f[a>>2]|0)+16>>2]|0)){F=0;return F|0}}F=1;return F|0}else if((G|0)==55)return F|0;return 0}function ZAb(a){a=a|0;var b=0,c=0,e=0,g=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;b=a+44|0;c=f[b>>2]|0;e=a+60|0;g=a+116|0;i=a+108|0;k=c+-262|0;l=a+56|0;m=a+5812|0;n=a+72|0;o=a+88|0;p=a+84|0;q=a+68|0;r=a+64|0;s=a+52|0;t=a+112|0;u=a+92|0;v=a+76|0;w=f[g>>2]|0;x=c;while(1){y=f[i>>2]|0;z=(f[e>>2]|0)-w-y|0;if(y>>>0<(k+x|0)>>>0){A=z;B=y}else{y=f[l>>2]|0;Krc(y|0,y+c|0,c-z|0)|0;f[t>>2]=(f[t>>2]|0)-c;y=(f[i>>2]|0)-c|0;f[i>>2]=y;f[u>>2]=(f[u>>2]|0)-c;C=f[b>>2]|0;D=f[v>>2]|0;E=D;F=(f[q>>2]|0)+(D<<1)|0;do{F=F+-2|0;D=j[F>>1]|0;d[F>>1]=D>>>0<C>>>0?0:D-C&65535;E=E+-1|0}while((E|0)!=0);E=C;F=(f[r>>2]|0)+(C<<1)|0;do{F=F+-2|0;D=j[F>>1]|0;d[F>>1]=D>>>0<C>>>0?0:D-C&65535;E=E+-1|0}while((E|0)!=0);A=z+c|0;B=y}E=f[a>>2]|0;C=E+4|0;F=f[C>>2]|0;if(!F)break;D=f[g>>2]|0;G=(f[l>>2]|0)+B+D|0;H=F>>>0>A>>>0?A:F;if(!H){I=0;J=D}else{f[C>>2]=F-H;Krc(G|0,f[E>>2]|0,H|0)|0;switch(f[(f[E+28>>2]|0)+24>>2]|0){case 1:{F=E+48|0;K=F;L=QAb(f[F>>2]|0,G,H)|0;M=13;break}case 2:{F=E+48|0;K=F;L=SAb(f[F>>2]|0,G,H)|0;M=13;break}default:{}}if((M|0)==13){M=0;f[K>>2]=L}f[E>>2]=(f[E>>2]|0)+H;G=E+8|0;f[G>>2]=(f[G>>2]|0)+H;I=H;J=f[g>>2]|0}H=J+I|0;f[g>>2]=H;G=f[m>>2]|0;a:do if((G+H|0)>>>0>2){E=(f[i>>2]|0)-G|0;F=f[l>>2]|0;C=h[F+E>>0]|0;f[n>>2]=C;D=f[o>>2]|0;N=f[p>>2]|0;O=((h[F+(E+1)>>0]|0)^C<<D)&N;f[n>>2]=O;C=E;E=G;P=O;while(1){if(!E)break a;P=((h[F+(C+2)>>0]|0)^P<<D)&N;f[n>>2]=P;O=(f[q>>2]|0)+(P<<1)|0;d[(f[r>>2]|0)+((f[s>>2]&C)<<1)>>1]=d[O>>1]|0;d[O>>1]=C;E=E+-1|0;f[m>>2]=E;if((H+E|0)>>>0<3)break;else C=C+1|0}}while(0);if(H>>>0>=262)break;if(!(f[(f[a>>2]|0)+4>>2]|0))break;w=H;x=f[b>>2]|0}b=a+5824|0;a=f[b>>2]|0;x=f[e>>2]|0;if(x>>>0<=a>>>0)return;e=(f[g>>2]|0)+(f[i>>2]|0)|0;do if(a>>>0>=e>>>0){i=e+258|0;if(i>>>0>a>>>0){g=i-a|0;i=x-a|0;w=g>>>0>i>>>0?i:g;Drc((f[l>>2]|0)+a|0,0,w|0)|0;Q=(f[b>>2]|0)+w|0;break}else return}else{w=x-e|0;g=w>>>0<258?w:258;Drc((f[l>>2]|0)+e|0,0,g|0)|0;Q=g+e|0}while(0);f[b>>2]=Q;return}function _Ab(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=f[a+124>>2]|0;e=f[a+56>>2]|0;g=f[a+108>>2]|0;h=e+g|0;i=f[a+120>>2]|0;k=f[a+144>>2]|0;l=(f[a+44>>2]|0)+-262|0;m=g>>>0>l>>>0?g-l|0:0;l=f[a+64>>2]|0;g=f[a+52>>2]|0;n=f[a+116>>2]|0;o=k>>>0>n>>>0?n:k;k=a+112|0;p=h+1|0;q=h+258|0;r=b[h+i>>0]|0;s=b[h+(i+-1)>>0]|0;t=c;c=i;u=i>>>0<(f[a+140>>2]|0)>>>0?d:d>>>2;while(1){d=e+t|0;if((((b[d+c>>0]|0)==r<<24>>24?(b[d+(c+-1)>>0]|0)==s<<24>>24:0)?(b[d>>0]|0)==(b[h>>0]|0):0)?(a=d+1|0,(b[a>>0]|0)==(b[p>>0]|0)):0){d=2;i=a;while(1){a=h+d|0;v=a+1|0;if((b[v>>0]|0)!=(b[i+2>>0]|0)){w=v;break}v=a+2|0;if((b[v>>0]|0)!=(b[i+3>>0]|0)){w=v;break}v=a+3|0;if((b[v>>0]|0)!=(b[i+4>>0]|0)){w=v;break}v=a+4|0;if((b[v>>0]|0)!=(b[i+5>>0]|0)){w=v;break}v=a+5|0;if((b[v>>0]|0)!=(b[i+6>>0]|0)){w=v;break}v=a+6|0;if((b[v>>0]|0)!=(b[i+7>>0]|0)){w=v;break}v=a+7|0;a=i;i=i+8|0;if((b[v>>0]|0)!=(b[i>>0]|0)){w=v;break}d=d+8|0;v=h+d|0;if(!((d|0)<258?(b[v>>0]|0)==(b[a+9>>0]|0):0)){w=v;break}}d=w-q|0;i=d+258|0;if((i|0)>(c|0)){f[k>>2]=t;if((i|0)>=(o|0)){x=i;y=19;break}z=b[h+i>>0]|0;A=b[h+(d+257)>>0]|0;B=i}else{z=r;A=s;B=c}}else{z=r;A=s;B=c}t=j[l+((t&g)<<1)>>1]|0;if(t>>>0<=m>>>0){x=B;y=19;break}u=u+-1|0;if(!u){x=B;y=19;break}else{r=z;s=A;c=B}}if((y|0)==19)return (x>>>0>n>>>0?n:x)|0;return 0}function $Ab(a){a=a|0;var b=0,c=0,e=0;b=VAb(a)|0;if(b|0)return b|0;c=f[a+28>>2]|0;f[c+60>>2]=f[c+44>>2]<<1;a=f[c+68>>2]|0;e=(f[c+76>>2]|0)+-1|0;d[a+(e<<1)>>1]=0;Drc(a|0,0,e<<1|0)|0;e=f[c+132>>2]|0;f[c+128>>2]=j[148856+(e*12|0)+2>>1];f[c+140>>2]=j[148856+(e*12|0)>>1];f[c+144>>2]=j[148856+(e*12|0)+4>>1];f[c+124>>2]=j[148856+(e*12|0)+6>>1];f[c+108>>2]=0;f[c+92>>2]=0;f[c+116>>2]=0;f[c+5812>>2]=0;f[c+120>>2]=2;f[c+96>>2]=2;f[c+104>>2]=0;f[c+72>>2]=0;return b|0}function aBb(a,c){a=a|0;c=c|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0;if(!a){e=-2;return e|0}if(!(f[a+32>>2]|0)){e=-2;return e|0}if(!(f[a+36>>2]|0)){e=-2;return e|0}g=a+28|0;i=f[g>>2]|0;if(!i){e=-2;return e|0}if((f[i>>2]|0)!=(a|0)){e=-2;return e|0}j=i+4|0;k=f[j>>2]|0;switch(k|0){case 666:case 113:case 103:case 91:case 73:case 69:case 57:case 42:break;default:{e=-2;return e|0}}if(c>>>0>5){e=-2;return e|0}l=a+12|0;do if(f[l>>2]|0){m=a+4|0;n=(f[m>>2]|0)==0;if(!n?(f[a>>2]|0)==0:0)break;o=(c|0)!=4;if(!(o&(k|0)==666)){p=a+16|0;if(!(f[p>>2]|0)){f[a+24>>2]=f[35163];e=-5;return e|0}q=i+40|0;r=f[q>>2]|0;f[q>>2]=c;s=i+20|0;do if(!(f[s>>2]|0))if(n?o&((c<<1)-((c|0)>4?9:0)|0)<=((r<<1)-((r|0)>4?9:0)|0):0){f[a+24>>2]=f[35163];e=-5;return e|0}else{t=0;u=k}else{eBb(i);v=f[s>>2]|0;w=f[p>>2]|0;x=v>>>0>w>>>0?w:v;if(x){y=i+16|0;Krc(f[l>>2]|0,f[y>>2]|0,x|0)|0;f[l>>2]=(f[l>>2]|0)+x;f[y>>2]=(f[y>>2]|0)+x;z=a+20|0;f[z>>2]=(f[z>>2]|0)+x;z=(f[p>>2]|0)-x|0;f[p>>2]=z;A=(f[s>>2]|0)-x|0;f[s>>2]=A;if(!A){f[y>>2]=f[i+8>>2];B=0;C=z}else{B=A;C=z}}else{B=v;C=w}if(C|0){t=B;u=f[j>>2]|0;break}f[q>>2]=-1;e=0;return e|0}while(0);a:do switch(u|0){case 666:{if(!(f[m>>2]|0))D=123;else{f[a+24>>2]=f[35163];e=-5;return e|0}break}case 42:{r=(f[i+48>>2]<<12)+-30720|0;if((f[i+136>>2]|0)<=1?(n=f[i+132>>2]|0,(n|0)>=2):0)E=(n|0)<6?64:(n|0)==6?128:192;else E=0;n=E|r;r=i+108|0;w=(f[r>>2]|0)==0?n:n|32;n=(((w>>>0)%31|0)^31)+w|0;w=i+8|0;v=f[w>>2]|0;f[s>>2]=t+1;b[v+t>>0]=n>>>8;v=f[w>>2]|0;z=f[s>>2]|0;f[s>>2]=z+1;b[v+z>>0]=n;n=a+48|0;if(f[r>>2]|0){r=f[n>>2]|0;z=f[w>>2]|0;v=f[s>>2]|0;f[s>>2]=v+1;b[z+v>>0]=r>>>24;v=f[w>>2]|0;z=f[s>>2]|0;f[s>>2]=z+1;b[v+z>>0]=r>>>16;r=f[n>>2]|0;z=f[w>>2]|0;v=f[s>>2]|0;f[s>>2]=v+1;b[z+v>>0]=r>>>8;v=f[w>>2]|0;w=f[s>>2]|0;f[s>>2]=w+1;b[v+w>>0]=r}r=QAb(0,0,0)|0;f[n>>2]=r;f[j>>2]=113;r=f[g>>2]|0;eBb(r);n=r+20|0;w=f[n>>2]|0;v=f[p>>2]|0;z=w>>>0>v>>>0?v:w;if(z|0?(w=r+16|0,Krc(f[l>>2]|0,f[w>>2]|0,z|0)|0,f[l>>2]=(f[l>>2]|0)+z,f[w>>2]=(f[w>>2]|0)+z,v=a+20|0,f[v>>2]=(f[v>>2]|0)+z,f[p>>2]=(f[p>>2]|0)-z,v=(f[n>>2]|0)-z|0,f[n>>2]=v,(v|0)==0):0)f[w>>2]=f[r+8>>2];if(!(f[s>>2]|0)){F=f[j>>2]|0;D=39;break a}f[q>>2]=-1;e=0;return e|0}default:{F=u;D=39}}while(0);if((D|0)==39){do if((F|0)==57){r=SAb(0,0,0)|0;w=a+48|0;f[w>>2]=r;r=i+8|0;v=f[r>>2]|0;n=f[s>>2]|0;f[s>>2]=n+1;b[v+n>>0]=31;n=f[r>>2]|0;v=f[s>>2]|0;f[s>>2]=v+1;b[n+v>>0]=-117;v=f[r>>2]|0;n=f[s>>2]|0;f[s>>2]=n+1;b[v+n>>0]=8;n=i+28|0;v=f[n>>2]|0;if(v|0){z=((f[v+44>>2]|0?2:0)|(f[v>>2]|0)!=0|((f[v+16>>2]|0)==0?0:4)|((f[v+28>>2]|0)==0?0:8)|((f[v+36>>2]|0)==0?0:16))&255;v=f[r>>2]|0;A=f[s>>2]|0;f[s>>2]=A+1;b[v+A>>0]=z;z=f[(f[n>>2]|0)+4>>2]&255;A=f[r>>2]|0;v=f[s>>2]|0;f[s>>2]=v+1;b[A+v>>0]=z;z=(f[(f[n>>2]|0)+4>>2]|0)>>>8&255;v=f[r>>2]|0;A=f[s>>2]|0;f[s>>2]=A+1;b[v+A>>0]=z;z=(f[(f[n>>2]|0)+4>>2]|0)>>>16&255;A=f[r>>2]|0;v=f[s>>2]|0;f[s>>2]=v+1;b[A+v>>0]=z;z=(f[(f[n>>2]|0)+4>>2]|0)>>>24&255;v=f[r>>2]|0;A=f[s>>2]|0;f[s>>2]=A+1;b[v+A>>0]=z;z=f[i+132>>2]|0;if((z|0)==9)G=2;else G=((z|0)<2?1:(f[i+136>>2]|0)>1)?4:0;z=f[r>>2]|0;A=f[s>>2]|0;f[s>>2]=A+1;b[z+A>>0]=G;A=f[(f[n>>2]|0)+12>>2]&255;z=f[r>>2]|0;v=f[s>>2]|0;f[s>>2]=v+1;b[z+v>>0]=A;A=f[n>>2]|0;if(!(f[A+16>>2]|0))H=A;else{v=f[A+20>>2]&255;A=f[r>>2]|0;z=f[s>>2]|0;f[s>>2]=z+1;b[A+z>>0]=v;v=(f[(f[n>>2]|0)+20>>2]|0)>>>8&255;z=f[r>>2]|0;A=f[s>>2]|0;f[s>>2]=A+1;b[z+A>>0]=v;H=f[n>>2]|0}if(f[H+44>>2]|0){v=SAb(f[w>>2]|0,f[r>>2]|0,f[s>>2]|0)|0;f[w>>2]=v}f[i+32>>2]=0;f[j>>2]=69;I=n;D=59;break}n=f[r>>2]|0;v=f[s>>2]|0;f[s>>2]=v+1;b[n+v>>0]=0;v=f[r>>2]|0;n=f[s>>2]|0;f[s>>2]=n+1;b[v+n>>0]=0;n=f[r>>2]|0;v=f[s>>2]|0;f[s>>2]=v+1;b[n+v>>0]=0;v=f[r>>2]|0;n=f[s>>2]|0;f[s>>2]=n+1;b[v+n>>0]=0;n=f[r>>2]|0;v=f[s>>2]|0;f[s>>2]=v+1;b[n+v>>0]=0;v=f[i+132>>2]|0;if((v|0)==9)J=2;else J=((v|0)<2?1:(f[i+136>>2]|0)>1)?4:0;v=f[r>>2]|0;n=f[s>>2]|0;f[s>>2]=n+1;b[v+n>>0]=J;n=f[r>>2]|0;r=f[s>>2]|0;f[s>>2]=r+1;b[n+r>>0]=3;f[j>>2]=113;r=f[g>>2]|0;eBb(r);n=r+20|0;v=f[n>>2]|0;w=f[p>>2]|0;A=v>>>0>w>>>0?w:v;if(A|0?(v=r+16|0,Krc(f[l>>2]|0,f[v>>2]|0,A|0)|0,f[l>>2]=(f[l>>2]|0)+A,f[v>>2]=(f[v>>2]|0)+A,w=a+20|0,f[w>>2]=(f[w>>2]|0)+A,f[p>>2]=(f[p>>2]|0)-A,w=(f[n>>2]|0)-A|0,f[n>>2]=w,(w|0)==0):0)f[v>>2]=f[r+8>>2];if(!(f[s>>2]|0)){K=f[j>>2]|0;D=56;break}f[q>>2]=-1;e=0;return e|0}else{K=F;D=56}while(0);b:do if((D|0)==56)switch(K|0){case 69:{I=i+28|0;D=59;break b;break}case 73:{L=i+28|0;D=74;break b;break}case 91:{M=i+28|0;D=93;break b;break}case 103:{N=i+28|0;D=109;break b;break}default:break b}while(0);if((D|0)==59){r=f[I>>2]|0;v=f[r+16>>2]|0;if(v|0){w=f[s>>2]|0;n=i+32|0;A=f[n>>2]|0;z=(f[r+20>>2]&65535)-A|0;r=i+12|0;y=f[r>>2]|0;x=i+8|0;c:do if((w+z|0)>>>0>y>>>0){O=a+48|0;P=a+20|0;Q=z;R=w;S=y;T=v;U=A;while(1){V=S-R|0;Krc((f[x>>2]|0)+R|0,T+U|0,V|0)|0;W=f[r>>2]|0;f[s>>2]=W;if(W>>>0>R>>>0?(f[(f[I>>2]|0)+44>>2]|0)!=0:0){X=SAb(f[O>>2]|0,(f[x>>2]|0)+R|0,W-R|0)|0;f[O>>2]=X}f[n>>2]=(f[n>>2]|0)+V;X=f[g>>2]|0;eBb(X);W=X+20|0;Y=f[W>>2]|0;Z=f[p>>2]|0;_=Y>>>0>Z>>>0?Z:Y;do if(_|0){Y=X+16|0;Krc(f[l>>2]|0,f[Y>>2]|0,_|0)|0;f[l>>2]=(f[l>>2]|0)+_;f[Y>>2]=(f[Y>>2]|0)+_;f[P>>2]=(f[P>>2]|0)+_;f[p>>2]=(f[p>>2]|0)-_;Z=(f[W>>2]|0)-_|0;f[W>>2]=Z;if(Z|0)break;f[Y>>2]=f[X+8>>2]}while(0);if(f[s>>2]|0)break;X=Q-V|0;S=f[r>>2]|0;W=f[(f[I>>2]|0)+16>>2]|0;_=f[n>>2]|0;if(X>>>0<=S>>>0){$=X;aa=0;ba=W;ca=_;break c}else{Q=X;R=0;T=W;U=_}}f[q>>2]=-1;e=0;return e|0}else{$=z;aa=w;ba=v;ca=A}while(0);Krc((f[x>>2]|0)+aa|0,ba+ca|0,$|0)|0;A=(f[s>>2]|0)+$|0;f[s>>2]=A;if(A>>>0>aa>>>0?(f[(f[I>>2]|0)+44>>2]|0)!=0:0){v=a+48|0;w=SAb(f[v>>2]|0,(f[x>>2]|0)+aa|0,A-aa|0)|0;f[v>>2]=w}f[n>>2]=0}f[j>>2]=73;L=I;D=74}if((D|0)==74){if(f[(f[L>>2]|0)+28>>2]|0){w=f[s>>2]|0;v=i+12|0;A=a+48|0;z=i+8|0;r=a+20|0;y=i+32|0;U=w;T=w;while(1){if((T|0)==(f[v>>2]|0)){if(T>>>0>U>>>0?(f[(f[L>>2]|0)+44>>2]|0)!=0:0){w=SAb(f[A>>2]|0,(f[z>>2]|0)+U|0,T-U|0)|0;f[A>>2]=w}w=f[g>>2]|0;eBb(w);R=w+20|0;Q=f[R>>2]|0;S=f[p>>2]|0;P=Q>>>0>S>>>0?S:Q;do if(P|0){Q=w+16|0;Krc(f[l>>2]|0,f[Q>>2]|0,P|0)|0;f[l>>2]=(f[l>>2]|0)+P;f[Q>>2]=(f[Q>>2]|0)+P;f[r>>2]=(f[r>>2]|0)+P;f[p>>2]=(f[p>>2]|0)-P;S=(f[R>>2]|0)-P|0;f[R>>2]=S;if(S|0)break;f[Q>>2]=f[w+8>>2]}while(0);if(!(f[s>>2]|0)){da=0;ea=0}else{D=83;break}}else{da=U;ea=T}w=f[(f[L>>2]|0)+28>>2]|0;R=f[y>>2]|0;f[y>>2]=R+1;P=b[w+R>>0]|0;R=f[z>>2]|0;f[s>>2]=ea+1;b[R+ea>>0]=P;if(!(P<<24>>24))break;U=da;T=f[s>>2]|0}if((D|0)==83){f[q>>2]=-1;e=0;return e|0}if(f[(f[L>>2]|0)+44>>2]|0?(T=f[s>>2]|0,T>>>0>da>>>0):0){U=SAb(f[A>>2]|0,(f[z>>2]|0)+da|0,T-da|0)|0;f[A>>2]=U}f[y>>2]=0}f[j>>2]=91;M=L;D=93}if((D|0)==93){if(f[(f[M>>2]|0)+36>>2]|0){U=f[s>>2]|0;T=i+12|0;r=a+48|0;v=i+8|0;n=a+20|0;x=i+32|0;P=U;R=U;while(1){if((R|0)==(f[T>>2]|0)){if(R>>>0>P>>>0?(f[(f[M>>2]|0)+44>>2]|0)!=0:0){U=SAb(f[r>>2]|0,(f[v>>2]|0)+P|0,R-P|0)|0;f[r>>2]=U}U=f[g>>2]|0;eBb(U);w=U+20|0;Q=f[w>>2]|0;S=f[p>>2]|0;O=Q>>>0>S>>>0?S:Q;do if(O|0){Q=U+16|0;Krc(f[l>>2]|0,f[Q>>2]|0,O|0)|0;f[l>>2]=(f[l>>2]|0)+O;f[Q>>2]=(f[Q>>2]|0)+O;f[n>>2]=(f[n>>2]|0)+O;f[p>>2]=(f[p>>2]|0)-O;S=(f[w>>2]|0)-O|0;f[w>>2]=S;if(S|0)break;f[Q>>2]=f[U+8>>2]}while(0);if(!(f[s>>2]|0)){fa=0;ga=0}else{D=102;break}}else{fa=P;ga=R}U=f[(f[M>>2]|0)+36>>2]|0;w=f[x>>2]|0;f[x>>2]=w+1;O=b[U+w>>0]|0;w=f[v>>2]|0;f[s>>2]=ga+1;b[w+ga>>0]=O;if(!(O<<24>>24))break;P=fa;R=f[s>>2]|0}if((D|0)==102){f[q>>2]=-1;e=0;return e|0}if(f[(f[M>>2]|0)+44>>2]|0?(R=f[s>>2]|0,R>>>0>fa>>>0):0){P=SAb(f[r>>2]|0,(f[v>>2]|0)+fa|0,R-fa|0)|0;f[r>>2]=P}}f[j>>2]=103;N=M;D=109}if((D|0)==109){if(f[(f[N>>2]|0)+44>>2]|0){P=f[s>>2]|0;do if((P+2|0)>>>0>(f[i+12>>2]|0)>>>0){R=f[g>>2]|0;eBb(R);x=R+20|0;n=f[x>>2]|0;T=f[p>>2]|0;y=n>>>0>T>>>0?T:n;do if(y|0){n=R+16|0;Krc(f[l>>2]|0,f[n>>2]|0,y|0)|0;f[l>>2]=(f[l>>2]|0)+y;f[n>>2]=(f[n>>2]|0)+y;T=a+20|0;f[T>>2]=(f[T>>2]|0)+y;f[p>>2]=(f[p>>2]|0)-y;T=(f[x>>2]|0)-y|0;f[x>>2]=T;if(T|0)break;f[n>>2]=f[R+8>>2]}while(0);if(!(f[s>>2]|0)){ha=0;break}f[q>>2]=-1;e=0;return e|0}else ha=P;while(0);P=a+48|0;r=f[P>>2]&255;v=i+8|0;R=f[v>>2]|0;f[s>>2]=ha+1;b[R+ha>>0]=r;r=(f[P>>2]|0)>>>8&255;R=f[v>>2]|0;v=f[s>>2]|0;f[s>>2]=v+1;b[R+v>>0]=r;r=SAb(0,0,0)|0;f[P>>2]=r}f[j>>2]=113;r=f[g>>2]|0;eBb(r);P=r+20|0;v=f[P>>2]|0;R=f[p>>2]|0;x=v>>>0>R>>>0?R:v;if(x|0?(v=r+16|0,Krc(f[l>>2]|0,f[v>>2]|0,x|0)|0,f[l>>2]=(f[l>>2]|0)+x,f[v>>2]=(f[v>>2]|0)+x,R=a+20|0,f[R>>2]=(f[R>>2]|0)+x,f[p>>2]=(f[p>>2]|0)-x,R=(f[P>>2]|0)-x|0,f[P>>2]=R,(R|0)==0):0)f[v>>2]=f[r+8>>2];if(f[s>>2]|0){f[q>>2]=-1;e=0;return e|0}}if(!(f[m>>2]|0))D=123;else D=126}if((D|0)==123)if(!(f[i+116>>2]|0)){if(c|0?(f[j>>2]|0)!=666:0)D=126}else D=126;do if((D|0)==126){r=f[i+132>>2]|0;d:do if(!r){ia=WAb(i,c)|0;D=200}else switch(f[i+136>>2]|0){case 2:{v=i+116|0;R=i+96|0;P=i+56|0;x=i+108|0;y=i+5796|0;n=i+5792|0;T=i+5784|0;A=i+5788|0;z=i+92|0;while(1){if((f[v>>2]|0)==0?(ZAb(i),(f[v>>2]|0)==0):0)break;f[R>>2]=0;O=b[(f[P>>2]|0)+(f[x>>2]|0)>>0]|0;w=f[n>>2]|0;d[(f[y>>2]|0)+(w<<1)>>1]=0;U=f[T>>2]|0;f[n>>2]=w+1;b[U+w>>0]=O;w=i+148+((O&255)<<2)|0;d[w>>1]=(d[w>>1]|0)+1<<16>>16;w=(f[n>>2]|0)==((f[A>>2]|0)+-1|0);f[v>>2]=(f[v>>2]|0)+-1;O=(f[x>>2]|0)+1|0;f[x>>2]=O;if(!w)continue;w=f[z>>2]|0;if((w|0)>-1)ja=(f[P>>2]|0)+w|0;else ja=0;gBb(i,ja,O-w|0,0);f[z>>2]=f[x>>2];w=f[i>>2]|0;O=f[w+28>>2]|0;eBb(O);U=O+20|0;Q=f[U>>2]|0;S=w+16|0;_=f[S>>2]|0;W=Q>>>0>_>>>0?_:Q;do if(W|0){Q=w+12|0;_=O+16|0;Krc(f[Q>>2]|0,f[_>>2]|0,W|0)|0;f[Q>>2]=(f[Q>>2]|0)+W;f[_>>2]=(f[_>>2]|0)+W;Q=w+20|0;f[Q>>2]=(f[Q>>2]|0)+W;f[S>>2]=(f[S>>2]|0)-W;Q=(f[U>>2]|0)-W|0;f[U>>2]=Q;if(Q|0)break;f[_>>2]=f[O+8>>2]}while(0);if(!(f[(f[i>>2]|0)+16>>2]|0)){D=203;break d}}if(!c){D=203;break d}f[i+5812>>2]=0;if((c|0)==4){v=f[z>>2]|0;if((v|0)>-1)ka=(f[P>>2]|0)+v|0;else ka=0;gBb(i,ka,(f[x>>2]|0)-v|0,1);f[z>>2]=f[x>>2];v=f[i>>2]|0;A=f[v+28>>2]|0;eBb(A);T=A+20|0;y=f[T>>2]|0;R=v+16|0;V=f[R>>2]|0;O=y>>>0>V>>>0?V:y;do if(O|0){y=v+12|0;V=A+16|0;Krc(f[y>>2]|0,f[V>>2]|0,O|0)|0;f[y>>2]=(f[y>>2]|0)+O;f[V>>2]=(f[V>>2]|0)+O;y=v+20|0;f[y>>2]=(f[y>>2]|0)+O;f[R>>2]=(f[R>>2]|0)-O;y=(f[T>>2]|0)-O|0;f[T>>2]=y;if(y|0)break;f[V>>2]=f[A+8>>2]}while(0);ia=(f[(f[i>>2]|0)+16>>2]|0)==0?2:3;D=200;break d}if(!(f[n>>2]|0))break d;A=f[z>>2]|0;if((A|0)>-1)la=(f[P>>2]|0)+A|0;else la=0;gBb(i,la,(f[x>>2]|0)-A|0,0);f[z>>2]=f[x>>2];A=f[i>>2]|0;T=f[A+28>>2]|0;eBb(T);O=T+20|0;R=f[O>>2]|0;v=A+16|0;V=f[v>>2]|0;y=R>>>0>V>>>0?V:R;do if(y|0){R=A+12|0;V=T+16|0;Krc(f[R>>2]|0,f[V>>2]|0,y|0)|0;f[R>>2]=(f[R>>2]|0)+y;f[V>>2]=(f[V>>2]|0)+y;R=A+20|0;f[R>>2]=(f[R>>2]|0)+y;f[v>>2]=(f[v>>2]|0)-y;R=(f[O>>2]|0)-y|0;f[O>>2]=R;if(R|0)break;f[V>>2]=f[T+8>>2]}while(0);if(!(f[(f[i>>2]|0)+16>>2]|0)){D=203;break d}else break d;break}case 3:{T=i+116|0;O=(c|0)==0;y=i+96|0;v=i+108|0;A=i+5784|0;x=i+5796|0;z=i+5792|0;P=i+5788|0;n=i+56|0;V=i+92|0;e:while(1){R=f[T>>2]|0;do if(R>>>0<259){ZAb(i);U=f[T>>2]|0;if(O&U>>>0<259){D=203;break d}if(!U)break e;f[y>>2]=0;if(U>>>0>2){ma=U;D=161;break}na=f[v>>2]|0;oa=f[x>>2]|0;pa=f[A>>2]|0;D=177}else{f[y>>2]=0;ma=R;D=161}while(0);f:do if((D|0)==161){D=0;R=f[v>>2]|0;do if(R|0){U=(f[n>>2]|0)+R|0;W=b[U+-1>>0]|0;if(W<<24>>24!=(b[U>>0]|0))break;S=U+1|0;if(W<<24>>24!=(b[S>>0]|0))break;if(W<<24>>24!=(b[S+1>>0]|0))break;S=U+258|0;w=1;while(1){_=U+w|0;Q=_+2|0;if(W<<24>>24!=(b[Q>>0]|0)){qa=Q;break}Q=_+3|0;if(W<<24>>24!=(b[Q>>0]|0)){qa=Q;break}Q=_+4|0;if(W<<24>>24!=(b[Q>>0]|0)){qa=Q;break}Q=_+5|0;if(W<<24>>24!=(b[Q>>0]|0)){qa=Q;break}Q=_+6|0;if(W<<24>>24!=(b[Q>>0]|0)){qa=Q;break}Q=_+7|0;if(W<<24>>24!=(b[Q>>0]|0)){qa=Q;break}Q=w;w=w+8|0;_=U+w|0;if(W<<24>>24!=(b[_>>0]|0)){qa=_;break}_=Q+9|0;Q=U+_|0;if(!((_|0)<258?W<<24>>24==(b[Q>>0]|0):0)){qa=Q;break}}W=qa-S+258|0;U=W>>>0>ma>>>0?ma:W;f[y>>2]=U;W=f[A>>2]|0;w=f[x>>2]|0;if(U>>>0<=2){na=R;oa=w;pa=W;D=177;break f}Q=U+253|0;U=f[z>>2]|0;d[w+(U<<1)>>1]=1;f[z>>2]=U+1;b[W+U>>0]=Q;U=i+148+((h[479342+(Q&255)>>0]|256)+1<<2)|0;d[U>>1]=(d[U>>1]|0)+1<<16>>16;U=i+2440+(h[478830]<<2)|0;d[U>>1]=(d[U>>1]|0)+1<<16>>16;U=(f[z>>2]|0)==((f[P>>2]|0)+-1|0)&1;Q=f[y>>2]|0;f[T>>2]=(f[T>>2]|0)-Q;W=(f[v>>2]|0)+Q|0;f[v>>2]=W;f[y>>2]=0;ra=U;sa=W;break f}while(0);na=R;oa=f[x>>2]|0;pa=f[A>>2]|0;D=177}while(0);if((D|0)==177){D=0;W=b[(f[n>>2]|0)+na>>0]|0;U=f[z>>2]|0;d[oa+(U<<1)>>1]=0;f[z>>2]=U+1;b[pa+U>>0]=W;U=i+148+((W&255)<<2)|0;d[U>>1]=(d[U>>1]|0)+1<<16>>16;U=(f[z>>2]|0)==((f[P>>2]|0)+-1|0)&1;f[T>>2]=(f[T>>2]|0)+-1;W=(f[v>>2]|0)+1|0;f[v>>2]=W;ra=U;sa=W}if(!ra)continue;W=f[V>>2]|0;if((W|0)>-1)ta=(f[n>>2]|0)+W|0;else ta=0;gBb(i,ta,sa-W|0,0);f[V>>2]=f[v>>2];W=f[i>>2]|0;U=f[W+28>>2]|0;eBb(U);Q=U+20|0;w=f[Q>>2]|0;_=W+16|0;X=f[_>>2]|0;Y=w>>>0>X>>>0?X:w;do if(Y|0){w=W+12|0;X=U+16|0;Krc(f[w>>2]|0,f[X>>2]|0,Y|0)|0;f[w>>2]=(f[w>>2]|0)+Y;f[X>>2]=(f[X>>2]|0)+Y;w=W+20|0;f[w>>2]=(f[w>>2]|0)+Y;f[_>>2]=(f[_>>2]|0)-Y;w=(f[Q>>2]|0)-Y|0;f[Q>>2]=w;if(w|0)break;f[X>>2]=f[U+8>>2]}while(0);if(!(f[(f[i>>2]|0)+16>>2]|0)){D=203;break d}}f[i+5812>>2]=0;if((c|0)==4){T=f[V>>2]|0;if((T|0)>-1)ua=(f[n>>2]|0)+T|0;else ua=0;gBb(i,ua,(f[v>>2]|0)-T|0,1);f[V>>2]=f[v>>2];T=f[i>>2]|0;P=f[T+28>>2]|0;eBb(P);A=P+20|0;x=f[A>>2]|0;y=T+16|0;O=f[y>>2]|0;U=x>>>0>O>>>0?O:x;do if(U|0){x=T+12|0;O=P+16|0;Krc(f[x>>2]|0,f[O>>2]|0,U|0)|0;f[x>>2]=(f[x>>2]|0)+U;f[O>>2]=(f[O>>2]|0)+U;x=T+20|0;f[x>>2]=(f[x>>2]|0)+U;f[y>>2]=(f[y>>2]|0)-U;x=(f[A>>2]|0)-U|0;f[A>>2]=x;if(x|0)break;f[O>>2]=f[P+8>>2]}while(0);ia=(f[(f[i>>2]|0)+16>>2]|0)==0?2:3;D=200;break d}if(!(f[z>>2]|0))break d;P=f[V>>2]|0;if((P|0)>-1)va=(f[n>>2]|0)+P|0;else va=0;gBb(i,va,(f[v>>2]|0)-P|0,0);f[V>>2]=f[v>>2];P=f[i>>2]|0;A=f[P+28>>2]|0;eBb(A);U=A+20|0;y=f[U>>2]|0;T=P+16|0;O=f[T>>2]|0;x=y>>>0>O>>>0?O:y;do if(x|0){y=P+12|0;O=A+16|0;Krc(f[y>>2]|0,f[O>>2]|0,x|0)|0;f[y>>2]=(f[y>>2]|0)+x;f[O>>2]=(f[O>>2]|0)+x;y=P+20|0;f[y>>2]=(f[y>>2]|0)+x;f[T>>2]=(f[T>>2]|0)-x;y=(f[U>>2]|0)-x|0;f[U>>2]=y;if(y|0)break;f[O>>2]=f[A+8>>2]}while(0);if(!(f[(f[i>>2]|0)+16>>2]|0)){D=203;break d}else break d;break}default:{ia=Sh[f[148856+(r*12|0)+8>>2]&511](i,c)|0;D=200;break d}}while(0);if((D|0)==200){if((ia|1|0)==3)f[j>>2]=666;if((ia|2|0)!=2){if((ia|0)!=1)break}else D=203}if((D|0)==203){if(f[p>>2]|0){e=0;return e|0}f[q>>2]=-1;e=0;return e|0}switch(c|0){case 1:{fBb(i);break}case 5:break;default:{dBb(i,0,0,0);if((c|0)==3?(r=f[i+68>>2]|0,A=(f[i+76>>2]|0)+-1|0,d[r+(A<<1)>>1]=0,Drc(r|0,0,A<<1|0)|0,(f[i+116>>2]|0)==0):0){f[i+108>>2]=0;f[i+92>>2]=0;f[i+5812>>2]=0}}}A=f[g>>2]|0;eBb(A);r=A+20|0;U=f[r>>2]|0;x=f[p>>2]|0;T=U>>>0>x>>>0?x:U;if(T){U=A+16|0;Krc(f[l>>2]|0,f[U>>2]|0,T|0)|0;f[l>>2]=(f[l>>2]|0)+T;f[U>>2]=(f[U>>2]|0)+T;P=a+20|0;f[P>>2]=(f[P>>2]|0)+T;P=(f[p>>2]|0)-T|0;f[p>>2]=P;v=(f[r>>2]|0)-T|0;f[r>>2]=v;if(!v){f[U>>2]=f[A+8>>2];wa=P}else wa=P}else wa=x;if(!wa){f[q>>2]=-1;e=0;return e|0}}while(0);if(o){e=0;return e|0}q=i+24|0;m=f[q>>2]|0;if((m|0)<1){e=1;return e|0}x=a+48|0;P=f[x>>2]|0;if((m|0)==2){m=i+8|0;A=f[m>>2]|0;U=f[s>>2]|0;f[s>>2]=U+1;b[A+U>>0]=P;U=(f[x>>2]|0)>>>8&255;A=f[m>>2]|0;v=f[s>>2]|0;f[s>>2]=v+1;b[A+v>>0]=U;U=(f[x>>2]|0)>>>16&255;v=f[m>>2]|0;A=f[s>>2]|0;f[s>>2]=A+1;b[v+A>>0]=U;U=(f[x>>2]|0)>>>24&255;A=f[m>>2]|0;v=f[s>>2]|0;f[s>>2]=v+1;b[A+v>>0]=U;U=a+8|0;v=f[U>>2]&255;A=f[m>>2]|0;r=f[s>>2]|0;f[s>>2]=r+1;b[A+r>>0]=v;v=(f[U>>2]|0)>>>8&255;r=f[m>>2]|0;A=f[s>>2]|0;f[s>>2]=A+1;b[r+A>>0]=v;v=(f[U>>2]|0)>>>16&255;A=f[m>>2]|0;r=f[s>>2]|0;f[s>>2]=r+1;b[A+r>>0]=v;v=(f[U>>2]|0)>>>24;U=f[m>>2]|0;m=f[s>>2]|0;f[s>>2]=m+1;xa=v;ya=U+m|0}else{m=i+8|0;U=f[m>>2]|0;v=f[s>>2]|0;f[s>>2]=v+1;b[U+v>>0]=P>>>24;v=f[m>>2]|0;U=f[s>>2]|0;f[s>>2]=U+1;b[v+U>>0]=P>>>16;P=f[x>>2]|0;x=f[m>>2]|0;U=f[s>>2]|0;f[s>>2]=U+1;b[x+U>>0]=P>>>8;U=f[m>>2]|0;m=f[s>>2]|0;f[s>>2]=m+1;xa=P;ya=U+m|0}b[ya>>0]=xa;m=f[g>>2]|0;eBb(m);U=m+20|0;P=f[U>>2]|0;x=f[p>>2]|0;v=P>>>0>x>>>0?x:P;if(v|0?(P=m+16|0,Krc(f[l>>2]|0,f[P>>2]|0,v|0)|0,f[l>>2]=(f[l>>2]|0)+v,f[P>>2]=(f[P>>2]|0)+v,x=a+20|0,f[x>>2]=(f[x>>2]|0)+v,f[p>>2]=(f[p>>2]|0)-v,x=(f[U>>2]|0)-v|0,f[U>>2]=x,(x|0)==0):0)f[P>>2]=f[m+8>>2];m=f[q>>2]|0;if((m|0)>0)f[q>>2]=0-m;e=(f[s>>2]|0)==0&1;return e|0}}while(0);f[a+24>>2]=f[35160];e=-2;return e|0}function bBb(a){a=a|0;f[a+2840>>2]=a+148;f[a+2848>>2]=148976;f[a+2852>>2]=a+2440;f[a+2860>>2]=148996;f[a+2864>>2]=a+2684;f[a+2872>>2]=149016;d[a+5816>>1]=0;f[a+5820>>2]=0;cBb(a);return}function cBb(a){a=a|0;var b=0;b=0;do{d[a+148+(b<<2)>>1]=0;b=b+1|0}while((b|0)!=286);d[a+2440>>1]=0;d[a+2444>>1]=0;d[a+2448>>1]=0;d[a+2452>>1]=0;d[a+2456>>1]=0;d[a+2460>>1]=0;d[a+2464>>1]=0;d[a+2468>>1]=0;d[a+2472>>1]=0;d[a+2476>>1]=0;d[a+2480>>1]=0;d[a+2484>>1]=0;d[a+2488>>1]=0;d[a+2492>>1]=0;d[a+2496>>1]=0;d[a+2500>>1]=0;d[a+2504>>1]=0;d[a+2508>>1]=0;d[a+2512>>1]=0;d[a+2516>>1]=0;d[a+2520>>1]=0;d[a+2524>>1]=0;d[a+2528>>1]=0;d[a+2532>>1]=0;d[a+2536>>1]=0;d[a+2540>>1]=0;d[a+2544>>1]=0;d[a+2548>>1]=0;d[a+2552>>1]=0;d[a+2556>>1]=0;d[a+2684>>1]=0;d[a+2688>>1]=0;d[a+2692>>1]=0;d[a+2696>>1]=0;d[a+2700>>1]=0;d[a+2704>>1]=0;d[a+2708>>1]=0;d[a+2712>>1]=0;d[a+2716>>1]=0;d[a+2720>>1]=0;d[a+2724>>1]=0;d[a+2728>>1]=0;d[a+2732>>1]=0;d[a+2736>>1]=0;d[a+2740>>1]=0;d[a+2744>>1]=0;d[a+2748>>1]=0;d[a+2752>>1]=0;d[a+2756>>1]=0;d[a+1172>>1]=1;f[a+5804>>2]=0;f[a+5800>>2]=0;f[a+5808>>2]=0;f[a+5792>>2]=0;return}function dBb(a,c,e,g){a=a|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;h=a+5820|0;i=f[h>>2]|0;k=g&65535;g=a+5816|0;l=j[g>>1]|0|k<<i;d[g>>1]=l;if((i|0)>13){m=a+8|0;n=f[m>>2]|0;o=a+20|0;p=f[o>>2]|0;f[o>>2]=p+1;b[n+p>>0]=l;p=(j[g>>1]|0)>>>8&255;n=f[m>>2]|0;m=f[o>>2]|0;f[o>>2]=m+1;b[n+m>>0]=p;p=f[h>>2]|0;m=k>>>(16-p|0);d[g>>1]=m;q=m;r=p+-13|0}else{q=l;r=i+3|0}i=q&255;f[h>>2]=r;if((r|0)<=8){if((r|0)>0){r=f[a+8>>2]|0;q=a+20|0;l=f[q>>2]|0;f[q>>2]=l+1;s=i;t=r+l|0;u=8}}else{l=a+8|0;r=f[l>>2]|0;q=a+20|0;p=f[q>>2]|0;f[q>>2]=p+1;b[r+p>>0]=i;i=(j[g>>1]|0)>>>8&255;p=f[l>>2]|0;l=f[q>>2]|0;f[q>>2]=l+1;s=i;t=p+l|0;u=8}if((u|0)==8)b[t>>0]=s;d[g>>1]=0;f[h>>2]=0;h=a+8|0;g=f[h>>2]|0;s=a+20|0;a=f[s>>2]|0;f[s>>2]=a+1;b[g+a>>0]=e;a=f[h>>2]|0;g=f[s>>2]|0;f[s>>2]=g+1;b[a+g>>0]=e>>>8;g=e&65535^65535;a=f[h>>2]|0;t=f[s>>2]|0;f[s>>2]=t+1;b[a+t>>0]=g;t=f[h>>2]|0;a=f[s>>2]|0;f[s>>2]=a+1;b[t+a>>0]=g>>>8;Krc((f[h>>2]|0)+(f[s>>2]|0)|0,c|0,e|0)|0;f[s>>2]=(f[s>>2]|0)+e;return}function eBb(a){a=a|0;var c=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,n=0;c=a+5820|0;e=f[c>>2]|0;do if((e|0)!=16)if((e|0)>7){g=a+5816|0;h=d[g>>1]&255;i=f[a+8>>2]|0;k=a+20|0;l=f[k>>2]|0;f[k>>2]=l+1;b[i+l>>0]=h;d[g>>1]=(j[g>>1]|0)>>>8;m=(f[c>>2]|0)+-8|0;break}else return;else{g=a+5816|0;h=d[g>>1]&255;l=a+8|0;i=f[l>>2]|0;k=a+20|0;n=f[k>>2]|0;f[k>>2]=n+1;b[i+n>>0]=h;h=(j[g>>1]|0)>>>8&255;n=f[l>>2]|0;l=f[k>>2]|0;f[k>>2]=l+1;b[n+l>>0]=h;d[g>>1]=0;m=0}while(0);f[c>>2]=m;return}function fBb(a){a=a|0;var c=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=a+5820|0;e=f[c>>2]|0;g=a+5816|0;h=j[g>>1]|0|2<<e;d[g>>1]=h;if((e|0)>13){i=a+8|0;k=f[i>>2]|0;l=a+20|0;m=f[l>>2]|0;f[l>>2]=m+1;b[k+m>>0]=h;m=(j[g>>1]|0)>>>8&255;k=f[i>>2]|0;i=f[l>>2]|0;f[l>>2]=i+1;b[k+i>>0]=m;m=f[c>>2]|0;i=2>>>(16-m|0);d[g>>1]=i;n=i;o=m+-13|0}else{n=h;o=e+3|0}e=n&255;f[c>>2]=o;if((o|0)>9){n=a+8|0;h=f[n>>2]|0;m=a+20|0;i=f[m>>2]|0;f[m>>2]=i+1;b[h+i>>0]=e;i=(j[g>>1]|0)>>>8&255;h=f[n>>2]|0;n=f[m>>2]|0;f[m>>2]=n+1;b[h+n>>0]=i;i=f[c>>2]|0;d[g>>1]=0;p=0;q=i+-9|0}else{p=e;q=o+7|0}f[c>>2]=q;do if((q|0)!=16)if((q|0)>7){o=f[a+8>>2]|0;e=a+20|0;i=f[e>>2]|0;f[e>>2]=i+1;b[o+i>>0]=p;d[g>>1]=(j[g>>1]|0)>>>8;r=(f[c>>2]|0)+-8|0;break}else return;else{i=a+8|0;o=f[i>>2]|0;e=a+20|0;n=f[e>>2]|0;f[e>>2]=n+1;b[o+n>>0]=p;n=(j[g>>1]|0)>>>8&255;o=f[i>>2]|0;i=f[e>>2]|0;f[e>>2]=i+1;b[o+i>>0]=n;d[g>>1]=0;r=0}while(0);f[c>>2]=r;return}function gBb(a,c,e,g){a=a|0;c=c|0;e=e|0;g=g|0;var i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;if((f[a+132>>2]|0)>0){i=(f[a>>2]|0)+44|0;if((f[i>>2]|0)==2){k=-201342849;l=0;while(1){if(k&1|0?d[a+148+(l<<2)>>1]|0:0){m=0;break}l=l+1|0;if((l|0)>=32){n=6;break}else k=k>>>1}a:do if((n|0)==6)if(((d[a+184>>1]|0)==0?(d[a+188>>1]|0)==0:0)?(d[a+200>>1]|0)==0:0){k=32;while(1){if(d[a+148+(k<<2)>>1]|0){m=1;break a}k=k+1|0;if((k|0)>=256){m=0;break}}}else m=1;while(0);f[i>>2]=m}hBb(a,a+2840|0);hBb(a,a+2852|0);m=f[a+2844>>2]|0;i=d[a+150>>1]|0;k=i<<16>>16==0;d[a+148+(m+1<<2)+2>>1]=-1;l=a+2756|0;o=a+2752|0;p=a+2748|0;q=i&65535;i=0;r=-1;s=k?3:4;t=k?138:7;b:while(1){k=0;u=i;do{if((u|0)>(m|0))break b;u=u+1|0;v=d[a+148+(u<<2)+2>>1]|0;w=v&65535;k=k+1|0;x=(q|0)==(w|0)}while((k|0)<(t|0)&x);if((k|0)<(s|0)){y=a+2684+(q<<2)|0;d[y>>1]=(j[y>>1]|0)+k}else{if(q){y=a+2684+(q<<2)|0;if((q|0)==(r|0))z=p;else{d[y>>1]=(d[y>>1]|0)+1<<16>>16;z=p}}else z=(k|0)<11?o:l;d[z>>1]=(d[z>>1]|0)+1<<16>>16}y=v<<16>>16==0;A=q;q=w;i=u;s=y|x?3:4;t=y?138:x?6:7;r=A}r=f[a+2856>>2]|0;x=d[a+2442>>1]|0;t=x<<16>>16==0;d[a+2440+(r+1<<2)+2>>1]=-1;s=x&65535;x=0;i=-1;w=t?3:4;q=t?138:7;c:while(1){t=0;v=x;do{if((v|0)>(r|0))break c;v=v+1|0;B=d[a+2440+(v<<2)+2>>1]|0;C=B&65535;t=t+1|0;D=(s|0)==(C|0)}while((t|0)<(q|0)&D);if((t|0)<(w|0)){u=a+2684+(s<<2)|0;d[u>>1]=(j[u>>1]|0)+t}else{if(s){u=a+2684+(s<<2)|0;if((s|0)==(i|0))E=p;else{d[u>>1]=(d[u>>1]|0)+1<<16>>16;E=p}}else E=(t|0)<11?o:l;d[E>>1]=(d[E>>1]|0)+1<<16>>16}u=B<<16>>16==0;k=s;s=C;x=v;w=u|D?3:4;q=u?138:D?6:7;i=k}hBb(a,a+2864|0);if(!(d[a+2746>>1]|0))if(!(d[a+2690>>1]|0))if(!(d[a+2742>>1]|0))if(!(d[a+2694>>1]|0))if(!(d[a+2738>>1]|0))if(!(d[a+2698>>1]|0))if(!(d[a+2734>>1]|0))if(!(d[a+2702>>1]|0))if(!(d[a+2730>>1]|0))if(!(d[a+2706>>1]|0))if(!(d[a+2726>>1]|0))if(!(d[a+2710>>1]|0))if(!(d[a+2722>>1]|0))if(!(d[a+2714>>1]|0))if(!(d[a+2718>>1]|0))F=(d[a+2686>>1]|0)==0?2:3;else F=4;else F=5;else F=6;else F=7;else F=8;else F=9;else F=10;else F=11;else F=12;else F=13;else F=14;else F=15;else F=16;else F=17;else F=18;i=a+5800|0;D=(F*3|0)+17+(f[i>>2]|0)|0;f[i>>2]=D;i=(D+10|0)>>>3;D=((f[a+5804>>2]|0)+10|0)>>>3;G=D>>>0>i>>>0?i:D;H=D;I=F}else{F=e+5|0;G=F;H=F;I=0}do if((c|0)!=0&(e+4|0)>>>0<=G>>>0)dBb(a,c,e,g);else{F=a+5820|0;D=f[F>>2]|0;i=(D|0)>13;if((H|0)==(G|0)?1:(f[a+136>>2]|0)==4){q=g+2&65535;w=a+5816|0;x=j[w>>1]|q<<D;d[w>>1]=x;if(i){C=a+8|0;s=f[C>>2]|0;B=a+20|0;E=f[B>>2]|0;f[B>>2]=E+1;b[s+E>>0]=x;x=(j[w>>1]|0)>>>8&255;E=f[C>>2]|0;C=f[B>>2]|0;f[B>>2]=C+1;b[E+C>>0]=x;x=f[F>>2]|0;d[w>>1]=q>>>(16-x|0);J=x+-13|0}else J=D+3|0;f[F>>2]=J;iBb(a,168010,167890);break}x=g+4&65535;q=a+5816|0;w=j[q>>1]|x<<D;d[q>>1]=w;if(i){i=a+8|0;C=f[i>>2]|0;E=a+20|0;B=f[E>>2]|0;f[E>>2]=B+1;b[C+B>>0]=w;B=(j[q>>1]|0)>>>8&255;C=f[i>>2]|0;i=f[E>>2]|0;f[E>>2]=i+1;b[C+i>>0]=B;B=f[F>>2]|0;i=x>>>(16-B|0);d[q>>1]=i;K=i;L=B+-13|0}else{K=w;L=D+3|0}f[F>>2]=L;D=f[a+2844>>2]|0;w=f[a+2856>>2]|0;B=D+65280&65535;i=K&65535|B<<L;d[q>>1]=i;if((L|0)>11){x=a+8|0;C=f[x>>2]|0;E=a+20|0;s=f[E>>2]|0;f[E>>2]=s+1;b[C+s>>0]=i;s=(j[q>>1]|0)>>>8&255;C=f[x>>2]|0;x=f[E>>2]|0;f[E>>2]=x+1;b[C+x>>0]=s;s=f[F>>2]|0;x=B>>>(16-s|0);d[q>>1]=x;M=s+-11|0;N=x}else{M=L+5|0;N=i}f[F>>2]=M;i=w&65535;x=i<<M|N&65535;d[q>>1]=x;if((M|0)>11){s=a+8|0;B=f[s>>2]|0;C=a+20|0;E=f[C>>2]|0;f[C>>2]=E+1;b[B+E>>0]=x;E=(j[q>>1]|0)>>>8&255;B=f[s>>2]|0;s=f[C>>2]|0;f[C>>2]=s+1;b[B+s>>0]=E;E=f[F>>2]|0;s=i>>>(16-E|0);d[q>>1]=s;O=E+-11|0;P=s}else{O=M+5|0;P=x}f[F>>2]=O;x=I+65533&65535;s=x<<O|P&65535;d[q>>1]=s;if((O|0)>12){E=a+8|0;i=f[E>>2]|0;B=a+20|0;C=f[B>>2]|0;f[B>>2]=C+1;b[i+C>>0]=s;C=(j[q>>1]|0)>>>8&255;i=f[E>>2]|0;l=f[B>>2]|0;f[B>>2]=l+1;b[i+l>>0]=C;C=f[F>>2]|0;l=x>>>(16-C|0);d[q>>1]=l;Q=B;R=E;S=l;T=C+-12|0}else{Q=a+20|0;R=a+8|0;S=s;T=O+4|0}f[F>>2]=T;s=0;C=T;l=S;while(1){E=j[a+2684+(h[479598+s>>0]<<2)+2>>1]|0;B=E<<C|l&65535;d[q>>1]=B;if((C|0)>13){x=f[R>>2]|0;i=f[Q>>2]|0;f[Q>>2]=i+1;b[x+i>>0]=B;i=(j[q>>1]|0)>>>8&255;x=f[R>>2]|0;o=f[Q>>2]|0;f[Q>>2]=o+1;b[x+o>>0]=i;i=f[F>>2]|0;o=E>>>(16-i|0);d[q>>1]=o;U=o;V=i+-13|0}else{U=B;V=C+3|0}f[F>>2]=V;if((s|0)==(I|0))break;else{s=s+1|0;C=V;l=U}}l=a+148|0;jBb(a,l,D);C=a+2440|0;jBb(a,C,w);iBb(a,l,C)}while(0);cBb(a);if(!g)return;g=a+5820|0;U=f[g>>2]|0;if((U|0)<=8){if((U|0)>0){U=d[a+5816>>1]&255;V=f[a+8>>2]|0;I=a+20|0;Q=f[I>>2]|0;f[I>>2]=Q+1;W=U;X=V+Q|0;n=84}}else{Q=a+5816|0;V=d[Q>>1]&255;U=a+8|0;I=f[U>>2]|0;R=a+20|0;S=f[R>>2]|0;f[R>>2]=S+1;b[I+S>>0]=V;V=(j[Q>>1]|0)>>>8&255;Q=f[U>>2]|0;U=f[R>>2]|0;f[R>>2]=U+1;W=V;X=Q+U|0;n=84}if((n|0)==84)b[X>>0]=W;d[a+5816>>1]=0;f[g>>2]=0;return}function hBb(a,c){a=a|0;c=c|0;var e=0,g=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;e=u;u=u+32|0;g=e;i=f[c>>2]|0;k=c+8|0;l=f[k>>2]|0;m=f[l>>2]|0;n=f[l+12>>2]|0;l=a+5200|0;f[l>>2]=0;o=a+5204|0;f[o>>2]=573;if((n|0)>0){p=-1;q=0;while(1){if(!(d[i+(q<<2)>>1]|0)){d[i+(q<<2)+2>>1]=0;r=p}else{s=(f[l>>2]|0)+1|0;f[l>>2]=s;f[a+2908+(s<<2)>>2]=q;b[a+5208+q>>0]=0;r=q}q=q+1|0;if((q|0)==(n|0))break;else p=r}p=f[l>>2]|0;if((p|0)<2){t=r;v=p;w=3}else{x=r;y=p}}else{t=-1;v=0;w=3}if((w|0)==3){w=a+5800|0;p=a+5804|0;if(!m){r=t;q=v;while(1){s=(r|0)<2;z=r+1|0;A=s?z:r;B=s?z:0;z=q+1|0;f[l>>2]=z;f[a+2908+(z<<2)>>2]=B;d[i+(B<<2)>>1]=1;b[a+5208+B>>0]=0;f[w>>2]=(f[w>>2]|0)+-1;B=f[l>>2]|0;if((B|0)<2){r=A;q=B}else{x=A;y=B;break}}}else{q=t;t=v;while(1){v=(q|0)<2;r=q+1|0;B=v?r:q;A=v?r:0;r=t+1|0;f[l>>2]=r;f[a+2908+(r<<2)>>2]=A;d[i+(A<<2)>>1]=1;b[a+5208+A>>0]=0;f[w>>2]=(f[w>>2]|0)+-1;f[p>>2]=(f[p>>2]|0)-(j[m+(A<<2)+2>>1]|0);A=f[l>>2]|0;if((A|0)<2){q=B;t=A}else{x=B;y=A;break}}}}t=c+4|0;f[t>>2]=x;q=y>>>1;if(!q)C=y;else{m=q;q=y;while(1){y=f[a+2908+(m<<2)>>2]|0;p=a+5208+y|0;w=m<<1;a:do if((w|0)>(q|0))D=m;else{A=i+(y<<2)|0;B=m;r=w;v=q;while(1){do if((r|0)<(v|0)){z=r|1;s=f[a+2908+(z<<2)>>2]|0;E=d[i+(s<<2)>>1]|0;F=f[a+2908+(r<<2)>>2]|0;G=d[i+(F<<2)>>1]|0;if((E&65535)>=(G&65535)){if(E<<16>>16!=G<<16>>16){H=r;break}if((h[a+5208+s>>0]|0)>(h[a+5208+F>>0]|0)){H=r;break}}H=z}else H=r;while(0);z=d[A>>1]|0;F=f[a+2908+(H<<2)>>2]|0;s=d[i+(F<<2)>>1]|0;if((z&65535)<(s&65535)){D=B;break a}if(z<<16>>16==s<<16>>16?(h[p>>0]|0)<=(h[a+5208+F>>0]|0):0){D=B;break a}f[a+2908+(B<<2)>>2]=F;r=H<<1;v=f[l>>2]|0;if((r|0)>(v|0)){D=H;break}else B=H}}while(0);f[a+2908+(D<<2)>>2]=y;if((m|0)<=1)break;m=m+-1|0;q=f[l>>2]|0}C=f[l>>2]|0}q=a+2912|0;m=n;n=C;do{C=f[q>>2]|0;D=n+-1|0;f[l>>2]=D;H=f[a+2908+(n<<2)>>2]|0;f[q>>2]=H;p=a+5208+H|0;b:do if((n|0)<3)I=1;else{w=i+(H<<2)|0;B=1;v=2;r=D;while(1){do if((v|0)<(r|0)){A=v|1;F=f[a+2908+(A<<2)>>2]|0;s=d[i+(F<<2)>>1]|0;z=f[a+2908+(v<<2)>>2]|0;G=d[i+(z<<2)>>1]|0;if((s&65535)>=(G&65535)){if(s<<16>>16!=G<<16>>16){J=v;break}if((h[a+5208+F>>0]|0)>(h[a+5208+z>>0]|0)){J=v;break}}J=A}else J=v;while(0);A=d[w>>1]|0;z=f[a+2908+(J<<2)>>2]|0;F=d[i+(z<<2)>>1]|0;if((A&65535)<(F&65535)){I=B;break b}if(A<<16>>16==F<<16>>16?(h[p>>0]|0)<=(h[a+5208+z>>0]|0):0){I=B;break b}f[a+2908+(B<<2)>>2]=z;v=J<<1;r=f[l>>2]|0;if((v|0)>(r|0)){I=J;break}else B=J}}while(0);f[a+2908+(I<<2)>>2]=H;p=f[q>>2]|0;D=(f[o>>2]|0)+-1|0;f[o>>2]=D;f[a+2908+(D<<2)>>2]=C;D=(f[o>>2]|0)+-1|0;f[o>>2]=D;f[a+2908+(D<<2)>>2]=p;D=i+(m<<2)|0;d[D>>1]=(j[i+(p<<2)>>1]|0)+(j[i+(C<<2)>>1]|0);y=a+5208+m|0;b[y>>0]=(h[((h[a+5208+C>>0]|0)>=(h[a+5208+p>>0]|0)?C:p)+(a+5208)>>0]|0)+1;B=m&65535;d[i+(p<<2)+2>>1]=B;d[i+(C<<2)+2>>1]=B;f[q>>2]=m;B=f[l>>2]|0;c:do if((B|0)<2)K=1;else{p=1;r=2;v=B;while(1){do if((r|0)<(v|0)){w=r|1;z=f[a+2908+(w<<2)>>2]|0;F=d[i+(z<<2)>>1]|0;A=f[a+2908+(r<<2)>>2]|0;G=d[i+(A<<2)>>1]|0;if((F&65535)>=(G&65535)){if(F<<16>>16!=G<<16>>16){L=r;break}if((h[a+5208+z>>0]|0)>(h[a+5208+A>>0]|0)){L=r;break}}L=w}else L=r;while(0);w=d[D>>1]|0;A=f[a+2908+(L<<2)>>2]|0;z=d[i+(A<<2)>>1]|0;if((w&65535)<(z&65535)){K=p;break c}if(w<<16>>16==z<<16>>16?(h[y>>0]|0)<=(h[a+5208+A>>0]|0):0){K=p;break c}f[a+2908+(p<<2)>>2]=A;r=L<<1;v=f[l>>2]|0;if((r|0)>(v|0)){K=L;break}else p=L}}while(0);f[a+2908+(K<<2)>>2]=m;m=m+1|0;n=f[l>>2]|0}while((n|0)>1);n=f[q>>2]|0;q=(f[o>>2]|0)+-1|0;f[o>>2]=q;f[a+2908+(q<<2)>>2]=n;n=f[c>>2]|0;c=f[t>>2]|0;t=f[k>>2]|0;k=f[t>>2]|0;q=f[t+4>>2]|0;l=f[t+8>>2]|0;m=f[t+16>>2]|0;t=a+2876|0;K=t+32|0;do{d[t>>1]=0;t=t+2|0}while((t|0)<(K|0));t=f[o>>2]|0;d[n+(f[a+2908+(t<<2)>>2]<<2)+2>>1]=0;o=t+1|0;d:do if((o|0)<573){t=a+5800|0;K=a+5804|0;if(!k){L=o;I=0;while(1){J=f[a+2908+(L<<2)>>2]|0;y=n+(J<<2)+2|0;D=j[n+(j[y>>1]<<2)+2>>1]|0;B=(D|0)<(m|0);C=B?D+1|0:m;D=((B^1)&1)+I|0;d[y>>1]=C;if((J|0)<=(c|0)){y=a+2876+(C<<1)|0;d[y>>1]=(d[y>>1]|0)+1<<16>>16;if((J|0)<(l|0))M=0;else M=f[q+(J-l<<2)>>2]|0;y=Y(j[n+(J<<2)>>1]|0,M+C|0)|0;f[t>>2]=y+(f[t>>2]|0)}L=L+1|0;if((L|0)==573){N=D;break}else I=D}}else{I=o;L=0;while(1){D=f[a+2908+(I<<2)>>2]|0;y=n+(D<<2)+2|0;C=j[n+(j[y>>1]<<2)+2>>1]|0;J=(C|0)<(m|0);B=J?C+1|0:m;C=((J^1)&1)+L|0;d[y>>1]=B;if((D|0)<=(c|0)){y=a+2876+(B<<1)|0;d[y>>1]=(d[y>>1]|0)+1<<16>>16;if((D|0)<(l|0))O=0;else O=f[q+(D-l<<2)>>2]|0;y=j[n+(D<<2)>>1]|0;J=Y(y,O+B|0)|0;f[t>>2]=J+(f[t>>2]|0);J=Y((j[k+(D<<2)+2>>1]|0)+O|0,y)|0;f[K>>2]=J+(f[K>>2]|0)}I=I+1|0;if((I|0)==573){N=C;break}else L=C}}if(N|0){L=a+2876+(m<<1)|0;I=N;while(1){K=m;while(1){C=K+-1|0;P=a+2876+(C<<1)|0;Q=d[P>>1]|0;if(!(Q<<16>>16))K=C;else break}d[P>>1]=Q+-1<<16>>16;C=a+2876+(K<<1)|0;d[C>>1]=(j[C>>1]|0)+2;R=(d[L>>1]|0)+-1<<16>>16;d[L>>1]=R;if((I|0)>2)I=I+-2|0;else break}if(m|0){I=573;L=m;C=R;while(1){J=L&65535;if(!(C<<16>>16))S=I;else{y=C&65535;D=I;while(1){B=D;do{B=B+-1|0;T=f[a+2908+(B<<2)>>2]|0}while((T|0)>(c|0));H=n+(T<<2)+2|0;p=j[H>>1]|0;if((L|0)!=(p|0)){v=Y(j[n+(T<<2)>>1]|0,L-p|0)|0;f[t>>2]=v+(f[t>>2]|0);d[H>>1]=J}y=y+-1|0;if(!y){S=B;break}else D=B}}D=L+-1|0;if(!D)break d;I=S;L=D;C=d[a+2876+(D<<1)>>1]|0}}}}while(0);S=0;T=1;do{S=(j[a+2876+(T+-1<<1)>>1]|0)+S<<1;d[g+(T<<1)>>1]=S;T=T+1|0}while((T|0)!=16);if((x|0)<0){u=e;return}else U=0;while(1){T=d[i+(U<<2)+2>>1]|0;S=T&65535;if(T<<16>>16){T=g+(S<<1)|0;a=d[T>>1]|0;d[T>>1]=a+1<<16>>16;T=0;n=S;S=a&65535;while(1){V=T|S&1;if((n|0)>1){T=V<<1;n=n+-1|0;S=S>>>1}else break}d[i+(U<<2)>>1]=V}if((U|0)==(x|0))break;else U=U+1|0}u=e;return}function iBb(a,c,e){a=a|0;c=c|0;e=e|0;var g=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;g=a+5792|0;if(!(f[g>>2]|0)){i=a+5820|0;k=a+5816|0;l=k;m=i;n=f[i>>2]|0;o=d[k>>1]|0}else{k=a+5796|0;i=a+5784|0;p=a+5820|0;q=a+5816|0;r=a+8|0;s=a+20|0;t=0;do{u=d[(f[k>>2]|0)+(t<<1)>>1]|0;v=u&65535;w=h[(f[i>>2]|0)+t>>0]|0;t=t+1|0;do if(!(u<<16>>16)){x=j[c+(w<<2)+2>>1]|0;y=f[p>>2]|0;z=j[c+(w<<2)>>1]|0;A=j[q>>1]|0|z<<y;B=A&65535;d[q>>1]=B;if((y|0)>(16-x|0)){C=f[r>>2]|0;D=f[s>>2]|0;f[s>>2]=D+1;b[C+D>>0]=A;A=(j[q>>1]|0)>>>8&255;D=f[r>>2]|0;C=f[s>>2]|0;f[s>>2]=C+1;b[D+C>>0]=A;A=f[p>>2]|0;C=z>>>(16-A|0)&65535;d[q>>1]=C;E=C;F=x+-16+A|0;G=23;break}else{E=B;F=y+x|0;G=23;break}}else{x=h[479342+w>>0]|0;y=(x|256)+1|0;B=j[c+(y<<2)+2>>1]|0;A=f[p>>2]|0;C=j[c+(y<<2)>>1]|0;y=j[q>>1]|0|C<<A;z=y&65535;d[q>>1]=z;if((A|0)>(16-B|0)){D=f[r>>2]|0;H=f[s>>2]|0;f[s>>2]=H+1;b[D+H>>0]=y;y=(j[q>>1]|0)>>>8&255;H=f[r>>2]|0;D=f[s>>2]|0;f[s>>2]=D+1;b[H+D>>0]=y;y=f[p>>2]|0;D=C>>>(16-y|0)&65535;d[q>>1]=D;I=D;J=B+-16+y|0}else{I=z;J=A+B|0}f[p>>2]=J;B=f[149232+(x<<2)>>2]|0;if((x+-8|0)>>>0<20){A=w-(f[149348+(x<<2)>>2]|0)&65535;x=A<<J|I&65535;z=x&65535;d[q>>1]=z;if((J|0)>(16-B|0)){y=f[r>>2]|0;D=f[s>>2]|0;f[s>>2]=D+1;b[y+D>>0]=x;x=(j[q>>1]|0)>>>8&255;D=f[r>>2]|0;y=f[s>>2]|0;f[s>>2]=y+1;b[D+y>>0]=x;x=f[p>>2]|0;y=A>>>(16-x|0)&65535;d[q>>1]=y;K=y;L=B+-16+x|0}else{K=z;L=J+B|0}f[p>>2]=L;M=L;N=K}else{M=J;N=I}B=v+-1|0;z=h[478830+(B>>>0<256?B:(B>>>7)+256|0)>>0]|0;x=j[e+(z<<2)+2>>1]|0;y=j[e+(z<<2)>>1]|0;A=N&65535|y<<M;D=A&65535;d[q>>1]=D;if((M|0)>(16-x|0)){C=f[r>>2]|0;H=f[s>>2]|0;f[s>>2]=H+1;b[C+H>>0]=A;A=(j[q>>1]|0)>>>8&255;H=f[r>>2]|0;C=f[s>>2]|0;f[s>>2]=C+1;b[H+C>>0]=A;A=f[p>>2]|0;C=y>>>(16-A|0)&65535;d[q>>1]=C;O=x+-16+A|0;P=C}else{O=M+x|0;P=D}f[p>>2]=O;D=f[149112+(z<<2)>>2]|0;if((z+-4|0)>>>0<26){x=B-(f[149464+(z<<2)>>2]|0)&65535;z=x<<O|P&65535;B=z&65535;d[q>>1]=B;if((O|0)>(16-D|0)){C=f[r>>2]|0;A=f[s>>2]|0;f[s>>2]=A+1;b[C+A>>0]=z;z=(j[q>>1]|0)>>>8&255;A=f[r>>2]|0;C=f[s>>2]|0;f[s>>2]=C+1;b[A+C>>0]=z;z=f[p>>2]|0;C=x>>>(16-z|0)&65535;d[q>>1]=C;E=C;F=D+-16+z|0;G=23;break}else{E=B;F=O+D|0;G=23;break}}else{Q=P;R=O}}while(0);if((G|0)==23){G=0;f[p>>2]=F;Q=E;R=F}}while(t>>>0<(f[g>>2]|0)>>>0);l=q;m=p;n=R;o=Q}Q=j[c+1026>>1]|0;R=j[c+1024>>1]|0;c=o&65535|R<<n;d[l>>1]=c;if((n|0)>(16-Q|0)){o=a+8|0;p=f[o>>2]|0;q=a+20|0;a=f[q>>2]|0;f[q>>2]=a+1;b[p+a>>0]=c;c=(j[l>>1]|0)>>>8&255;a=f[o>>2]|0;o=f[q>>2]|0;f[q>>2]=o+1;b[a+o>>0]=c;c=f[m>>2]|0;d[l>>1]=R>>>(16-c|0);S=Q+-16+c|0;f[m>>2]=S;return}else{S=n+Q|0;f[m>>2]=S;return}}function jBb(a,c,e){a=a|0;c=c|0;e=e|0;var g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;g=d[c+2>>1]|0;h=g<<16>>16==0;i=a+2754|0;k=a+5820|0;l=a+2752|0;m=a+5816|0;n=a+8|0;o=a+20|0;p=a+2758|0;q=a+2756|0;r=a+2750|0;s=a+2748|0;t=0;u=-1;v=g&65535;g=h?138:7;w=h?3:4;a:while(1){h=t;x=0;while(1){if((h|0)>(e|0))break a;h=h+1|0;y=d[c+(h<<2)+2>>1]|0;z=y&65535;A=x+1|0;B=(v|0)==(z|0);if(!((A|0)<(g|0)&B))break;else x=A}if((A|0)<(w|0)){C=a+2684+(v<<2)+2|0;D=a+2684+(v<<2)|0;E=A;F=f[k>>2]|0;G=d[m>>1]|0;while(1){H=j[C>>1]|0;I=j[D>>1]|0;J=G&65535|I<<F;K=J&65535;d[m>>1]=K;if((F|0)>(16-H|0)){L=f[n>>2]|0;M=f[o>>2]|0;f[o>>2]=M+1;b[L+M>>0]=J;J=(j[m>>1]|0)>>>8&255;M=f[n>>2]|0;L=f[o>>2]|0;f[o>>2]=L+1;b[M+L>>0]=J;J=f[k>>2]|0;L=I>>>(16-J|0)&65535;d[m>>1]=L;N=L;O=H+-16+J|0}else{N=K;O=F+H|0}f[k>>2]=O;E=E+-1|0;if(!E)break;else{F=O;G=N}}}else{do if(!v)if((A|0)<11){G=j[i>>1]|0;F=f[k>>2]|0;E=j[l>>1]|0;D=j[m>>1]|0|E<<F;d[m>>1]=D;if((F|0)>(16-G|0)){C=f[n>>2]|0;H=f[o>>2]|0;f[o>>2]=H+1;b[C+H>>0]=D;H=(j[m>>1]|0)>>>8&255;C=f[n>>2]|0;K=f[o>>2]|0;f[o>>2]=K+1;b[C+K>>0]=H;H=f[k>>2]|0;K=E>>>(16-H|0);d[m>>1]=K;P=G+-16+H|0;Q=K}else{P=F+G|0;Q=D}f[k>>2]=P;D=x+65534&65535;G=Q&65535|D<<P;d[m>>1]=G;if((P|0)>13){F=f[n>>2]|0;K=f[o>>2]|0;f[o>>2]=K+1;b[F+K>>0]=G;G=(j[m>>1]|0)>>>8&255;K=f[n>>2]|0;F=f[o>>2]|0;f[o>>2]=F+1;b[K+F>>0]=G;G=f[k>>2]|0;d[m>>1]=D>>>(16-G|0);R=G+-13|0;break}else{R=P+3|0;break}}else{G=j[p>>1]|0;D=f[k>>2]|0;F=j[q>>1]|0;K=j[m>>1]|0|F<<D;d[m>>1]=K;if((D|0)>(16-G|0)){H=f[n>>2]|0;E=f[o>>2]|0;f[o>>2]=E+1;b[H+E>>0]=K;E=(j[m>>1]|0)>>>8&255;H=f[n>>2]|0;C=f[o>>2]|0;f[o>>2]=C+1;b[H+C>>0]=E;E=f[k>>2]|0;C=F>>>(16-E|0);d[m>>1]=C;S=G+-16+E|0;T=C}else{S=D+G|0;T=K}f[k>>2]=S;K=x+65526&65535;G=T&65535|K<<S;d[m>>1]=G;if((S|0)>9){D=f[n>>2]|0;C=f[o>>2]|0;f[o>>2]=C+1;b[D+C>>0]=G;G=(j[m>>1]|0)>>>8&255;C=f[n>>2]|0;D=f[o>>2]|0;f[o>>2]=D+1;b[C+D>>0]=G;G=f[k>>2]|0;d[m>>1]=K>>>(16-G|0);R=G+-9|0;break}else{R=S+7|0;break}}else{if((v|0)==(u|0)){U=A;V=d[m>>1]|0;W=f[k>>2]|0}else{G=j[a+2684+(v<<2)+2>>1]|0;K=f[k>>2]|0;D=j[a+2684+(v<<2)>>1]|0;C=j[m>>1]|0|D<<K;E=C&65535;d[m>>1]=E;if((K|0)>(16-G|0)){F=f[n>>2]|0;H=f[o>>2]|0;f[o>>2]=H+1;b[F+H>>0]=C;C=(j[m>>1]|0)>>>8&255;H=f[n>>2]|0;F=f[o>>2]|0;f[o>>2]=F+1;b[H+F>>0]=C;C=f[k>>2]|0;F=D>>>(16-C|0)&65535;d[m>>1]=F;X=F;Y=G+-16+C|0}else{X=E;Y=K+G|0}f[k>>2]=Y;U=x;V=X;W=Y}G=j[r>>1]|0;K=j[s>>1]|0;E=V&65535|K<<W;d[m>>1]=E;if((W|0)>(16-G|0)){C=f[n>>2]|0;F=f[o>>2]|0;f[o>>2]=F+1;b[C+F>>0]=E;F=(j[m>>1]|0)>>>8&255;C=f[n>>2]|0;D=f[o>>2]|0;f[o>>2]=D+1;b[C+D>>0]=F;F=f[k>>2]|0;D=K>>>(16-F|0);d[m>>1]=D;Z=G+-16+F|0;_=D}else{Z=W+G|0;_=E}f[k>>2]=Z;E=U+65533&65535;G=_&65535|E<<Z;d[m>>1]=G;if((Z|0)>14){D=f[n>>2]|0;F=f[o>>2]|0;f[o>>2]=F+1;b[D+F>>0]=G;G=(j[m>>1]|0)>>>8&255;F=f[n>>2]|0;D=f[o>>2]|0;f[o>>2]=D+1;b[F+D>>0]=G;G=f[k>>2]|0;d[m>>1]=E>>>(16-G|0);R=G+-14|0;break}else{R=Z+2|0;break}}while(0);f[k>>2]=R}x=y<<16>>16==0;G=v;t=h;v=z;g=x?138:B?6:7;w=x|B?3:4;u=G}return}function kBb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+32|0;g=e;if(!c)h=f[a+24>>2]|0;else{i=f[c+16>>2]<<1;c=f[a+28>>2]|0;h=c>>>0<i>>>0?c:i}if(d>>>0>4294967271){TDb(g,3,479617,116);QDb(e+24|0,ODb(g,479701)|0);UDb(g)}g=d+24|0;d=h>>>0<g>>>0?g:h;h=ci[f[a+40>>2]&1023](d)|0;f[h+12>>2]=24;f[h+16>>2]=d;f[h>>2]=b;f[h+8>>2]=0;b=a+8|0;f[b>>2]=(f[b>>2]|0)+d;u=e;return h|0}function lBb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;a:do if(!c){e=f[a>>2]|0;b:do if(e|0){g=e;while(1){if((f[g>>2]|0)==(b|0))break;h=f[g+12>>2]|0;if(!h)break b;else g=h}if(g|0){i=g;break a}}while(0);e=kBb(a,b,0,d+16|0)|0;h=e+12|0;j=f[h>>2]|0;f[h>>2]=j+16;h=e+j|0;f[e+4>>2]=h;f[h>>2]=f[e>>2];f[h+4>>2]=e;f[h+8>>2]=0;e=h+12|0;j=h;do{k=f[a>>2]|0;f[e>>2]=k;l=f[a>>2]|0;if((l|0)==(k|0))f[a>>2]=j}while((((l|0)==(k|0)?k:l)|0)!=(k|0));i=h}else i=f[c+4>>2]|0;while(0);c=i+4|0;j=f[c>>2]|0;if(((f[j+16>>2]|0)-(f[j+12>>2]|0)|0)>>>0>=d>>>0){m=j;f[5938]=m;n=a+16|0;o=n;p=o;q=f[p>>2]|0;r=o+4|0;s=r;t=f[s>>2]|0;u=23744;v=u;f[v>>2]=q;w=u+4|0;x=w;f[x>>2]=t;y=a+4|0;z=m;f[y>>2]=z;return m|0}e=kBb(a,b,j,d)|0;f[e+4>>2]=i;f[e+8>>2]=j;f[c>>2]=e;m=e;f[5938]=m;n=a+16|0;o=n;p=o;q=f[p>>2]|0;r=o+4|0;s=r;t=f[s>>2]|0;u=23744;v=u;f[v>>2]=q;w=u+4|0;x=w;f[x>>2]=t;y=a+4|0;z=m;f[y>>2]=z;return m|0}function mBb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=23744;e=a+16|0;g=e;do if((f[d>>2]|0)==(f[g>>2]|0)?(f[d+4>>2]|0)==(f[g+4>>2]|0):0)h=f[5938]|0;else{i=f[a+4>>2]|0;j=i;if(i|0?(f[j>>2]|0)==23744:0){h=j;break}h=lBb(a,23744,0,0)|0}while(0);g=f[(f[h+4>>2]|0)+8>>2]|0;do if(g){d=f[g>>2]|0;if((d|0)==(f[g+4>>2]|0)){k=d<<1;break}else{l=g;m=d;n=m+1|0;f[l>>2]=n;o=l+12+(m<<3)|0;f[o>>2]=b;p=l+12+(m<<3)+4|0;f[p>>2]=c;return}}else k=8;while(0);g=k>>>0<64?k:64;k=(g<<3|12)+7&2032;d=f[h+12>>2]|0;do if(((f[h+16>>2]|0)-d|0)>>>0<k>>>0){j=23744;i=e;if((f[j>>2]|0)==(f[i>>2]|0)?(f[j+4>>2]|0)==(f[i+4>>2]|0):0){i=f[5938]|0;j=f[i+12>>2]|0;if(((f[i+16>>2]|0)-j|0)>>>0<k>>>0)q=i;else{r=i;s=j;break}}else q=0;j=f[a+4>>2]|0;i=j;if((j|0)!=0?(f[i>>2]|0)==23744:0){j=f[i+12>>2]|0;if(((f[i+16>>2]|0)-j|0)>>>0<k>>>0)t=i;else{r=i;s=j;break}}else t=q;j=lBb(a,23744,t,k)|0;r=j;s=f[j+12>>2]|0}else{r=h;s=d}while(0);f[r+12>>2]=s+k;k=r+s|0;s=r+4|0;f[k+8>>2]=f[(f[s>>2]|0)+8>>2];f[k+4>>2]=g;f[k>>2]=0;f[(f[s>>2]|0)+8>>2]=k;l=k;m=0;n=m+1|0;f[l>>2]=n;o=l+12+(m<<3)|0;f[o>>2]=b;p=l+12+(m<<3)+4|0;f[p>>2]=c;return}function nBb(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=23744;d=a+16|0;if((f[c>>2]|0)==(f[d>>2]|0)?(f[c+4>>2]|0)==(f[d+4>>2]|0):0){d=f[5938]|0;c=f[d+12>>2]|0;if(((f[d+16>>2]|0)-c|0)>>>0<b>>>0){e=d;g=3}else{h=d;i=c}}else{e=0;g=3}do if((g|0)==3){c=f[a+4>>2]|0;d=c;if((c|0)!=0?(f[d>>2]|0)==23744:0){c=f[d+12>>2]|0;if(((f[d+16>>2]|0)-c|0)>>>0<b>>>0)j=d;else{h=d;i=c;break}}else j=e;c=lBb(a,23744,j,b)|0;h=c;i=f[c+12>>2]|0}while(0);f[h+12>>2]=i+b;return h+i|0}function oBb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=23744;e=a+16|0;g=e;if((f[d>>2]|0)==(f[g>>2]|0)?(f[d+4>>2]|0)==(f[g+4>>2]|0):0){g=f[5938]|0;d=f[g+12>>2]|0;if(((f[g+16>>2]|0)-d|0)>>>0<b>>>0){h=g;i=3}else{j=g;k=d}}else{h=0;i=3}do if((i|0)==3){d=f[a+4>>2]|0;g=d;if((d|0)!=0?(f[g>>2]|0)==23744:0){d=f[g+12>>2]|0;if(((f[g+16>>2]|0)-d|0)>>>0<b>>>0)l=g;else{j=g;k=d;break}}else l=h;d=lBb(a,23744,l,b)|0;j=d;k=f[d+12>>2]|0}while(0);l=k+b|0;f[j+12>>2]=l;b=j+k|0;k=f[(f[j+4>>2]|0)+8>>2]|0;do if(k){h=f[k>>2]|0;if((h|0)==(f[k+4>>2]|0)){m=h<<1;break}else{n=k;o=h;p=o+1|0;f[n>>2]=p;q=n+12+(o<<3)|0;f[q>>2]=b;r=n+12+(o<<3)+4|0;f[r>>2]=c;return b|0}}else m=8;while(0);k=m>>>0<64?m:64;m=(k<<3|12)+7&2032;do if(((f[j+16>>2]|0)-l|0)>>>0<m>>>0){h=23744;i=e;if((f[h>>2]|0)==(f[i>>2]|0)?(f[h+4>>2]|0)==(f[i+4>>2]|0):0){i=f[5938]|0;h=f[i+12>>2]|0;if(((f[i+16>>2]|0)-h|0)>>>0<m>>>0)s=i;else{t=i;u=h;break}}else s=0;h=f[a+4>>2]|0;i=h;if((h|0)!=0?(f[i>>2]|0)==23744:0){h=f[i+12>>2]|0;if(((f[i+16>>2]|0)-h|0)>>>0<m>>>0)v=i;else{t=i;u=h;break}}else v=s;h=lBb(a,23744,v,m)|0;t=h;u=f[h+12>>2]|0}else{t=j;u=l}while(0);f[t+12>>2]=u+m;m=t+u|0;u=t+4|0;f[m+8>>2]=f[(f[u>>2]|0)+8>>2];f[m+4>>2]=k;f[m>>2]=0;f[(f[u>>2]|0)+8>>2]=m;n=m;o=0;p=o+1|0;f[n>>2]=p;q=n+12+(o<<3)|0;f[q>>2]=b;r=n+12+(o<<3)+4|0;f[r>>2]=c;return b|0}function pBb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=f[a+52>>2]|0;if(!d)return;rh[d&255](b,c,0,f[a+64>>2]|0);return}function qBb(){if((b[535427]|0)>=0)return;Emc(f[133854]|0);return}function rBb(){f[133854]=0;f[133855]=0;f[133856]=0;KDb(124);return}function sBb(a){a=a|0;var c=0,d=0,e=0;c=(b[a+11>>0]|0)<0;d=f[a>>2]|0;if(a>>>0>(c?d:a)>>>0){if(!c){e=10;return e|0}}else{if(!c){e=0;return e|0}if(d>>>0<(a+12|0)>>>0){e=0;return e|0}}e=(f[a+8>>2]&2147483647)+-1|0;return e|0}function tBb(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222908]|0)==2){u=a;return}f[c>>2]=149752;f[c+4>>2]=125;b[c+8>>0]=0;dEb(891632,c);zDb(c);u=a;return}function uBb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0;if((d|0)<=0)return;g=e+8|0;h=e+4|0;i=0;do{j=c+(i*20|0)|0;k=f[j>>2]|0;l=a+k|0;m=f[c+(i*20|0)+12>>2]|0;a:do switch(m|0){case 0:{o=f[c+(i*20|0)+8>>2]|0;if(1<<(o&31)&f[a+(o>>>5<<2)>>2]|0){o=f[c+(i*20|0)+4>>2]|0;if((f[g>>2]|0)>4){q=f[h>>2]|0;if(o>>>0>127){r=o;s=q;while(1){b[s>>0]=r|128;t=r>>>7;u=s+1|0;if(r>>>0>16383){r=t;s=u}else{v=u;w=t;break}}}else{v=q;w=o}b[v>>0]=w;s=v+1-q|0;f[h>>2]=(f[h>>2]|0)+s;f[g>>2]=(f[g>>2]|0)-s}else ECb(e,o);s=l;DCb(e,f[s>>2]|0,f[s+4>>2]|0)}break}case 20:{if(!(+p[l>>3]==0.0)){s=f[c+(i*20|0)+4>>2]|0;if((f[g>>2]|0)>4){r=f[h>>2]|0;if(s>>>0>127){t=s;u=r;while(1){b[u>>0]=t|128;x=t>>>7;y=u+1|0;if(t>>>0>16383){t=x;u=y}else{z=y;A=x;break}}}else{z=r;A=s}b[z>>0]=A;u=z+1-r|0;f[h>>2]=(f[h>>2]|0)+u;f[g>>2]=(f[g>>2]|0)-u}else ECb(e,s);u=l;DCb(e,f[u>>2]|0,f[u+4>>2]|0)}break}case 40:{if((f[l>>2]|0)>0){u=c+(i*20|0)+4|0;t=l+8|0;o=0;do{q=f[u>>2]|0;if((f[g>>2]|0)>4){x=f[h>>2]|0;if(q>>>0>127){y=q;B=x;while(1){b[B>>0]=y|128;C=y>>>7;D=B+1|0;if(y>>>0>16383){y=C;B=D}else{E=D;F=C;break}}}else{E=x;F=q}b[E>>0]=F;B=E+1-x|0;f[h>>2]=(f[h>>2]|0)+B;f[g>>2]=(f[g>>2]|0)-B}else ECb(e,q);B=(f[t>>2]|0)+8+(o<<3)|0;DCb(e,f[B>>2]|0,f[B+4>>2]|0);o=o+1|0}while((o|0)<(f[l>>2]|0))}break}case 60:{vBb(l,j,e);break}case 80:{o=f[c+(i*20|0)+4>>2]|0;if((f[a+(f[c+(i*20|0)+8>>2]|0)>>2]|0)==(o>>>3|0)){if((f[g>>2]|0)>4){t=f[h>>2]|0;if(o>>>0>127){u=o;s=t;while(1){b[s>>0]=u|128;r=u>>>7;B=s+1|0;if(u>>>0>16383){u=r;s=B}else{G=B;H=r;break}}}else{G=t;H=o}b[G>>0]=H;s=G+1-t|0;f[h>>2]=(f[h>>2]|0)+s;f[g>>2]=(f[g>>2]|0)-s}else ECb(e,o);s=l;DCb(e,f[s>>2]|0,f[s+4>>2]|0)}break}case 1:{s=f[c+(i*20|0)+8>>2]|0;if(1<<(s&31)&f[a+(s>>>5<<2)>>2]|0){s=f[c+(i*20|0)+4>>2]|0;if((f[g>>2]|0)>4){u=f[h>>2]|0;if(s>>>0>127){r=s;B=u;while(1){b[B>>0]=r|128;y=r>>>7;C=B+1|0;if(r>>>0>16383){r=y;B=C}else{I=C;J=y;break}}}else{I=u;J=s}b[I>>0]=J;B=I+1-u|0;f[h>>2]=(f[h>>2]|0)+B;f[g>>2]=(f[g>>2]|0)-B}else ECb(e,s);CCb(e,f[l>>2]|0)}break}case 21:{if(!(+n[l>>2]==0.0)){B=f[c+(i*20|0)+4>>2]|0;if((f[g>>2]|0)>4){r=f[h>>2]|0;if(B>>>0>127){o=B;t=r;while(1){b[t>>0]=o|128;y=o>>>7;C=t+1|0;if(o>>>0>16383){o=y;t=C}else{K=C;L=y;break}}}else{K=r;L=B}b[K>>0]=L;t=K+1-r|0;f[h>>2]=(f[h>>2]|0)+t;f[g>>2]=(f[g>>2]|0)-t}else ECb(e,B);CCb(e,f[l>>2]|0)}break}case 41:{if((f[l>>2]|0)>0){t=c+(i*20|0)+4|0;o=l+8|0;s=0;do{u=f[t>>2]|0;if((f[g>>2]|0)>4){y=f[h>>2]|0;if(u>>>0>127){C=u;D=y;while(1){b[D>>0]=C|128;M=C>>>7;N=D+1|0;if(C>>>0>16383){C=M;D=N}else{O=N;P=M;break}}}else{O=y;P=u}b[O>>0]=P;D=O+1-y|0;f[h>>2]=(f[h>>2]|0)+D;f[g>>2]=(f[g>>2]|0)-D}else ECb(e,u);CCb(e,f[(f[o>>2]|0)+4+(s<<2)>>2]|0);s=s+1|0}while((s|0)<(f[l>>2]|0))}break}case 61:{wBb(l,j,e);break}case 81:{s=f[c+(i*20|0)+4>>2]|0;if((f[a+(f[c+(i*20|0)+8>>2]|0)>>2]|0)==(s>>>3|0)){if((f[g>>2]|0)>4){o=f[h>>2]|0;if(s>>>0>127){t=s;B=o;while(1){b[B>>0]=t|128;r=t>>>7;D=B+1|0;if(t>>>0>16383){t=r;B=D}else{Q=D;R=r;break}}}else{Q=o;R=s}b[Q>>0]=R;B=Q+1-o|0;f[h>>2]=(f[h>>2]|0)+B;f[g>>2]=(f[g>>2]|0)-B}else ECb(e,s);CCb(e,f[l>>2]|0)}break}case 2:{B=f[c+(i*20|0)+8>>2]|0;if(1<<(B&31)&f[a+(B>>>5<<2)>>2]|0)xBb(l,j,e);break}case 22:{B=l;if(!((f[B>>2]|0)==0&(f[B+4>>2]|0)==0))xBb(l,j,e);break}case 42:{yBb(l,j,e);break}case 62:{zBb(l,j,e);break}case 82:{if((f[a+(f[c+(i*20|0)+8>>2]|0)>>2]|0)==((f[c+(i*20|0)+4>>2]|0)>>>3|0))xBb(l,j,e);break}case 3:{B=f[c+(i*20|0)+8>>2]|0;if(1<<(B&31)&f[a+(B>>>5<<2)>>2]|0)ABb(l,j,e);break}case 23:{B=l;if(!((f[B>>2]|0)==0&(f[B+4>>2]|0)==0))ABb(l,j,e);break}case 43:{BBb(l,j,e);break}case 63:{CBb(l,j,e);break}case 83:{if((f[a+(f[c+(i*20|0)+8>>2]|0)>>2]|0)==((f[c+(i*20|0)+4>>2]|0)>>>3|0))ABb(l,j,e);break}case 4:{B=f[c+(i*20|0)+8>>2]|0;if(1<<(B&31)&f[a+(B>>>5<<2)>>2]|0)DBb(l,j,e);break}case 24:{if(f[l>>2]|0)DBb(l,j,e);break}case 44:{EBb(l,j,e);break}case 64:{FBb(l,j,e);break}case 84:{if((f[a+(f[c+(i*20|0)+8>>2]|0)>>2]|0)==((f[c+(i*20|0)+4>>2]|0)>>>3|0))DBb(l,j,e);break}case 5:{B=f[c+(i*20|0)+8>>2]|0;if(1<<(B&31)&f[a+(B>>>5<<2)>>2]|0){B=f[c+(i*20|0)+4>>2]|0;if((f[g>>2]|0)>4){t=f[h>>2]|0;if(B>>>0>127){r=B;D=t;while(1){b[D>>0]=r|128;C=r>>>7;q=D+1|0;if(r>>>0>16383){r=C;D=q}else{S=q;T=C;break}}}else{S=t;T=B}b[S>>0]=T;D=S+1-t|0;f[h>>2]=(f[h>>2]|0)+D;f[g>>2]=(f[g>>2]|0)-D}else ECb(e,B);D=l;DCb(e,f[D>>2]|0,f[D+4>>2]|0)}break}case 25:{D=l;if(!((f[D>>2]|0)==0&(f[D+4>>2]|0)==0)){D=f[c+(i*20|0)+4>>2]|0;if((f[g>>2]|0)>4){r=f[h>>2]|0;if(D>>>0>127){s=D;o=r;while(1){b[o>>0]=s|128;C=s>>>7;q=o+1|0;if(s>>>0>16383){s=C;o=q}else{U=q;V=C;break}}}else{U=r;V=D}b[U>>0]=V;o=U+1-r|0;f[h>>2]=(f[h>>2]|0)+o;f[g>>2]=(f[g>>2]|0)-o}else ECb(e,D);o=l;DCb(e,f[o>>2]|0,f[o+4>>2]|0)}break}case 45:{if((f[l>>2]|0)>0){o=c+(i*20|0)+4|0;s=l+8|0;B=0;do{t=f[o>>2]|0;if((f[g>>2]|0)>4){C=f[h>>2]|0;if(t>>>0>127){q=t;x=C;while(1){b[x>>0]=q|128;M=q>>>7;N=x+1|0;if(q>>>0>16383){q=M;x=N}else{W=N;X=M;break}}}else{W=C;X=t}b[W>>0]=X;x=W+1-C|0;f[h>>2]=(f[h>>2]|0)+x;f[g>>2]=(f[g>>2]|0)-x}else ECb(e,t);x=(f[s>>2]|0)+8+(B<<3)|0;DCb(e,f[x>>2]|0,f[x+4>>2]|0);B=B+1|0}while((B|0)<(f[l>>2]|0))}break}case 65:{GBb(l,j,e);break}case 85:{B=f[c+(i*20|0)+4>>2]|0;if((f[a+(f[c+(i*20|0)+8>>2]|0)>>2]|0)==(B>>>3|0)){if((f[g>>2]|0)>4){s=f[h>>2]|0;if(B>>>0>127){o=B;D=s;while(1){b[D>>0]=o|128;r=o>>>7;x=D+1|0;if(o>>>0>16383){o=r;D=x}else{Y=x;Z=r;break}}}else{Y=s;Z=B}b[Y>>0]=Z;D=Y+1-s|0;f[h>>2]=(f[h>>2]|0)+D;f[g>>2]=(f[g>>2]|0)-D}else ECb(e,B);D=l;DCb(e,f[D>>2]|0,f[D+4>>2]|0)}break}case 6:{D=f[c+(i*20|0)+8>>2]|0;if(1<<(D&31)&f[a+(D>>>5<<2)>>2]|0){D=f[c+(i*20|0)+4>>2]|0;if((f[g>>2]|0)>4){o=f[h>>2]|0;if(D>>>0>127){r=D;x=o;while(1){b[x>>0]=r|128;q=r>>>7;u=x+1|0;if(r>>>0>16383){r=q;x=u}else{_=u;$=q;break}}}else{_=o;$=D}b[_>>0]=$;x=_+1-o|0;f[h>>2]=(f[h>>2]|0)+x;f[g>>2]=(f[g>>2]|0)-x}else ECb(e,D);CCb(e,f[l>>2]|0)}break}case 26:{if(f[l>>2]|0){x=f[c+(i*20|0)+4>>2]|0;if((f[g>>2]|0)>4){r=f[h>>2]|0;if(x>>>0>127){B=x;s=r;while(1){b[s>>0]=B|128;q=B>>>7;u=s+1|0;if(B>>>0>16383){B=q;s=u}else{aa=u;ba=q;break}}}else{aa=r;ba=x}b[aa>>0]=ba;s=aa+1-r|0;f[h>>2]=(f[h>>2]|0)+s;f[g>>2]=(f[g>>2]|0)-s}else ECb(e,x);CCb(e,f[l>>2]|0)}break}case 46:{if((f[l>>2]|0)>0){s=c+(i*20|0)+4|0;B=l+8|0;D=0;do{o=f[s>>2]|0;if((f[g>>2]|0)>4){q=f[h>>2]|0;if(o>>>0>127){u=o;y=q;while(1){b[y>>0]=u|128;M=u>>>7;N=y+1|0;if(u>>>0>16383){u=M;y=N}else{ca=N;da=M;break}}}else{ca=q;da=o}b[ca>>0]=da;y=ca+1-q|0;f[h>>2]=(f[h>>2]|0)+y;f[g>>2]=(f[g>>2]|0)-y}else ECb(e,o);CCb(e,f[(f[B>>2]|0)+4+(D<<2)>>2]|0);D=D+1|0}while((D|0)<(f[l>>2]|0))}break}case 66:{HBb(l,j,e);break}case 86:{D=f[c+(i*20|0)+4>>2]|0;if((f[a+(f[c+(i*20|0)+8>>2]|0)>>2]|0)==(D>>>3|0)){if((f[g>>2]|0)>4){B=f[h>>2]|0;if(D>>>0>127){s=D;x=B;while(1){b[x>>0]=s|128;r=s>>>7;y=x+1|0;if(s>>>0>16383){s=r;x=y}else{ea=y;fa=r;break}}}else{ea=B;fa=D}b[ea>>0]=fa;x=ea+1-B|0;f[h>>2]=(f[h>>2]|0)+x;f[g>>2]=(f[g>>2]|0)-x}else ECb(e,D);CCb(e,f[l>>2]|0)}break}case 7:{x=f[c+(i*20|0)+8>>2]|0;if(1<<(x&31)&f[a+(x>>>5<<2)>>2]|0){x=f[c+(i*20|0)+4>>2]|0;if((f[g>>2]|0)>4){s=f[h>>2]|0;if(x>>>0>127){r=x;y=s;while(1){b[y>>0]=r|128;u=r>>>7;t=y+1|0;if(r>>>0>16383){r=u;y=t}else{ga=t;ha=u;break}}}else{ga=s;ha=x}b[ga>>0]=ha;y=ga+1-s|0;f[h>>2]=(f[h>>2]|0)+y;r=(f[g>>2]|0)-y|0;f[g>>2]=r;ia=r}else{ECb(e,x);ia=f[g>>2]|0}r=b[l>>0]|0;if((ia|0)>4){b[f[h>>2]>>0]=r;f[h>>2]=(f[h>>2]|0)+1;f[g>>2]=(f[g>>2]|0)+-1;break a}else{ECb(e,r&255);break a}}break}case 27:{if(b[l>>0]|0){r=f[c+(i*20|0)+4>>2]|0;if((f[g>>2]|0)>4){y=f[h>>2]|0;if(r>>>0>127){D=r;B=y;while(1){b[B>>0]=D|128;u=D>>>7;t=B+1|0;if(D>>>0>16383){D=u;B=t}else{ja=t;ka=u;break}}}else{ja=y;ka=r}b[ja>>0]=ka;B=ja+1-y|0;f[h>>2]=(f[h>>2]|0)+B;D=(f[g>>2]|0)-B|0;f[g>>2]=D;la=D}else{ECb(e,r);la=f[g>>2]|0}D=b[l>>0]|0;if((la|0)>4){b[f[h>>2]>>0]=D;f[h>>2]=(f[h>>2]|0)+1;f[g>>2]=(f[g>>2]|0)+-1;break a}else{ECb(e,D&255);break a}}break}case 47:{IBb(l,j,e);break}case 67:{JBb(l,j,e);break}case 87:{D=f[c+(i*20|0)+4>>2]|0;if((f[a+(f[c+(i*20|0)+8>>2]|0)>>2]|0)==(D>>>3|0)){if((f[g>>2]|0)>4){B=f[h>>2]|0;if(D>>>0>127){x=D;s=B;while(1){b[s>>0]=x|128;u=x>>>7;t=s+1|0;if(x>>>0>16383){x=u;s=t}else{ma=t;na=u;break}}}else{ma=B;na=D}b[ma>>0]=na;s=ma+1-B|0;f[h>>2]=(f[h>>2]|0)+s;x=(f[g>>2]|0)-s|0;f[g>>2]=x;oa=x}else{ECb(e,D);oa=f[g>>2]|0}x=b[l>>0]|0;if((oa|0)>4){b[f[h>>2]>>0]=x;f[h>>2]=(f[h>>2]|0)+1;f[g>>2]=(f[g>>2]|0)+-1;break a}else{ECb(e,x&255);break a}}break}case 8:{x=f[c+(i*20|0)+8>>2]|0;if(1<<(x&31)&f[a+(x>>>5<<2)>>2]|0){x=f[c+(i*20|0)+4>>2]|0;if((f[g>>2]|0)>4){s=f[h>>2]|0;if(x>>>0>127){r=x;y=s;while(1){b[y>>0]=r|128;u=r>>>7;t=y+1|0;if(r>>>0>16383){r=u;y=t}else{pa=t;qa=u;break}}}else{pa=s;qa=x}b[pa>>0]=qa;y=pa+1-s|0;f[h>>2]=(f[h>>2]|0)+y;f[g>>2]=(f[g>>2]|0)-y}else ECb(e,x);KBb(f[l>>2]|0,e)}break}case 28:{y=f[l>>2]|0;r=b[y+11>>0]|0;if(r<<24>>24<0)ra=f[y+4>>2]|0;else ra=r&255;if(ra|0){r=f[c+(i*20|0)+4>>2]|0;if((f[g>>2]|0)>4){y=f[h>>2]|0;if(r>>>0>127){D=r;B=y;while(1){b[B>>0]=D|128;u=D>>>7;t=B+1|0;if(D>>>0>16383){D=u;B=t}else{sa=t;ta=u;break}}}else{sa=y;ta=r}b[sa>>0]=ta;B=sa+1-y|0;f[h>>2]=(f[h>>2]|0)+B;f[g>>2]=(f[g>>2]|0)-B}else ECb(e,r);KBb(f[l>>2]|0,e)}break}case 48:{B=l+4|0;if((f[B>>2]|0)>0){D=c+(i*20|0)+4|0;x=l+12|0;s=0;do{u=f[D>>2]|0;if((f[g>>2]|0)>4){t=f[h>>2]|0;if(u>>>0>127){C=u;M=t;while(1){b[M>>0]=C|128;N=C>>>7;ua=M+1|0;if(C>>>0>16383){C=N;M=ua}else{va=ua;wa=N;break}}}else{va=t;wa=u}b[va>>0]=wa;M=va+1-t|0;f[h>>2]=(f[h>>2]|0)+M;f[g>>2]=(f[g>>2]|0)-M}else ECb(e,u);M=f[x>>2]|0;KBb(f[((M|0)==0?0:M+4|0)+(s<<2)>>2]|0,e);s=s+1|0}while((s|0)<(f[B>>2]|0))}break}case 68:{LBb(l,j,e);break}case 88:{B=f[c+(i*20|0)+4>>2]|0;if((f[a+(f[c+(i*20|0)+8>>2]|0)>>2]|0)==(B>>>3|0)){if((f[g>>2]|0)>4){s=f[h>>2]|0;if(B>>>0>127){x=B;D=s;while(1){b[D>>0]=x|128;r=x>>>7;y=D+1|0;if(x>>>0>16383){x=r;D=y}else{xa=y;ya=r;break}}}else{xa=s;ya=B}b[xa>>0]=ya;D=xa+1-s|0;f[h>>2]=(f[h>>2]|0)+D;f[g>>2]=(f[g>>2]|0)-D}else ECb(e,B);KBb(f[l>>2]|0,e)}break}case 9:{D=f[c+(i*20|0)+8>>2]|0;if(1<<(D&31)&f[a+(D>>>5<<2)>>2]|0)MBb(l,j,e);break}case 29:{if(f[l>>2]|0)MBb(l,j,e);break}case 49:{NBb(l,j,e);break}case 69:{LBb(l,j,e);break}case 89:{if((f[a+(f[c+(i*20|0)+8>>2]|0)>>2]|0)==((f[c+(i*20|0)+4>>2]|0)>>>3|0))MBb(l,j,e);break}case 10:{D=f[c+(i*20|0)+8>>2]|0;if(1<<(D&31)&f[a+(D>>>5<<2)>>2]|0){D=f[c+(i*20|0)+4>>2]|0;if((f[g>>2]|0)>4){x=f[h>>2]|0;if(D>>>0>127){r=D;y=x;while(1){b[y>>0]=r|128;M=r>>>7;C=y+1|0;if(r>>>0>16383){r=M;y=C}else{za=C;Aa=M;break}}}else{za=x;Aa=D}b[za>>0]=Aa;y=za+1-x|0;f[h>>2]=(f[h>>2]|0)+y;f[g>>2]=(f[g>>2]|0)-y}else ECb(e,D);OBb(f[l>>2]|0,f[c+(i*20|0)+16>>2]|0,e)}break}case 30:{if(f[l>>2]|0){y=f[c+(i*20|0)+4>>2]|0;if((f[g>>2]|0)>4){r=f[h>>2]|0;if(y>>>0>127){B=y;s=r;while(1){b[s>>0]=B|128;M=B>>>7;C=s+1|0;if(B>>>0>16383){B=M;s=C}else{Ba=C;Ca=M;break}}}else{Ba=r;Ca=y}b[Ba>>0]=Ca;s=Ba+1-r|0;f[h>>2]=(f[h>>2]|0)+s;f[g>>2]=(f[g>>2]|0)-s}else ECb(e,y);OBb(f[l>>2]|0,f[c+(i*20|0)+16>>2]|0,e)}break}case 50:{s=l+4|0;if((f[s>>2]|0)>0){B=c+(i*20|0)+4|0;D=l+12|0;x=c+(i*20|0)+16|0;M=0;do{C=f[B>>2]|0;if((f[g>>2]|0)>4){o=f[h>>2]|0;if(C>>>0>127){q=C;N=o;while(1){b[N>>0]=q|128;ua=q>>>7;Da=N+1|0;if(q>>>0>16383){q=ua;N=Da}else{Ea=Da;Fa=ua;break}}}else{Ea=o;Fa=C}b[Ea>>0]=Fa;N=Ea+1-o|0;f[h>>2]=(f[h>>2]|0)+N;f[g>>2]=(f[g>>2]|0)-N}else ECb(e,C);N=f[D>>2]|0;OBb(f[((N|0)==0?0:N+4|0)+(M<<2)>>2]|0,f[x>>2]|0,e);M=M+1|0}while((M|0)<(f[s>>2]|0))}break}case 70:{LBb(l,j,e);break}case 90:{s=f[c+(i*20|0)+4>>2]|0;if((f[a+(f[c+(i*20|0)+8>>2]|0)>>2]|0)==(s>>>3|0)){if((f[g>>2]|0)>4){M=f[h>>2]|0;if(s>>>0>127){x=s;D=M;while(1){b[D>>0]=x|128;B=x>>>7;y=D+1|0;if(x>>>0>16383){x=B;D=y}else{Ga=y;Ha=B;break}}}else{Ga=M;Ha=s}b[Ga>>0]=Ha;D=Ga+1-M|0;f[h>>2]=(f[h>>2]|0)+D;f[g>>2]=(f[g>>2]|0)-D}else ECb(e,s);OBb(f[l>>2]|0,f[c+(i*20|0)+16>>2]|0,e)}break}case 11:{D=f[c+(i*20|0)+8>>2]|0;if(1<<(D&31)&f[a+(D>>>5<<2)>>2]|0){D=f[c+(i*20|0)+4>>2]|0;if((f[g>>2]|0)>4){x=f[h>>2]|0;if(D>>>0>127){B=D;y=x;while(1){b[y>>0]=B|128;r=B>>>7;N=y+1|0;if(B>>>0>16383){B=r;y=N}else{Ia=N;Ja=r;break}}}else{Ia=x;Ja=D}b[Ia>>0]=Ja;y=Ia+1-x|0;f[h>>2]=(f[h>>2]|0)+y;f[g>>2]=(f[g>>2]|0)-y}else ECb(e,D);KBb(f[l>>2]|0,e)}break}case 31:{y=f[l>>2]|0;B=b[y+11>>0]|0;if(B<<24>>24<0)Ka=f[y+4>>2]|0;else Ka=B&255;if(Ka|0){B=f[c+(i*20|0)+4>>2]|0;if((f[g>>2]|0)>4){y=f[h>>2]|0;if(B>>>0>127){s=B;M=y;while(1){b[M>>0]=s|128;r=s>>>7;N=M+1|0;if(s>>>0>16383){s=r;M=N}else{La=N;Ma=r;break}}}else{La=y;Ma=B}b[La>>0]=Ma;M=La+1-y|0;f[h>>2]=(f[h>>2]|0)+M;f[g>>2]=(f[g>>2]|0)-M}else ECb(e,B);KBb(f[l>>2]|0,e)}break}case 51:{M=l+4|0;if((f[M>>2]|0)>0){s=c+(i*20|0)+4|0;D=l+12|0;x=0;do{r=f[s>>2]|0;if((f[g>>2]|0)>4){N=f[h>>2]|0;if(r>>>0>127){q=r;u=N;while(1){b[u>>0]=q|128;t=q>>>7;ua=u+1|0;if(q>>>0>16383){q=t;u=ua}else{Na=ua;Oa=t;break}}}else{Na=N;Oa=r}b[Na>>0]=Oa;u=Na+1-N|0;f[h>>2]=(f[h>>2]|0)+u;f[g>>2]=(f[g>>2]|0)-u}else ECb(e,r);u=f[D>>2]|0;KBb(f[((u|0)==0?0:u+4|0)+(x<<2)>>2]|0,e);x=x+1|0}while((x|0)<(f[M>>2]|0))}break}case 71:{LBb(l,j,e);break}case 91:{M=f[c+(i*20|0)+4>>2]|0;if((f[a+(f[c+(i*20|0)+8>>2]|0)>>2]|0)==(M>>>3|0)){if((f[g>>2]|0)>4){x=f[h>>2]|0;if(M>>>0>127){D=M;s=x;while(1){b[s>>0]=D|128;B=D>>>7;y=s+1|0;if(D>>>0>16383){D=B;s=y}else{Pa=y;Qa=B;break}}}else{Pa=x;Qa=M}b[Pa>>0]=Qa;s=Pa+1-x|0;f[h>>2]=(f[h>>2]|0)+s;f[g>>2]=(f[g>>2]|0)-s}else ECb(e,M);KBb(f[l>>2]|0,e)}break}case 12:{s=f[c+(i*20|0)+8>>2]|0;if(1<<(s&31)&f[a+(s>>>5<<2)>>2]|0)PBb(l,j,e);break}case 32:{if(f[l>>2]|0)PBb(l,j,e);break}case 52:{QBb(l,j,e);break}case 72:{RBb(l,j,e);break}case 92:{if((f[a+(f[c+(i*20|0)+8>>2]|0)>>2]|0)==((f[c+(i*20|0)+4>>2]|0)>>>3|0))PBb(l,j,e);break}case 13:{s=f[c+(i*20|0)+8>>2]|0;if(1<<(s&31)&f[a+(s>>>5<<2)>>2]|0)SBb(l,j,e);break}case 33:{if(f[l>>2]|0)SBb(l,j,e);break}case 53:{TBb(l,j,e);break}case 73:{UBb(l,j,e);break}case 93:{if((f[a+(f[c+(i*20|0)+8>>2]|0)>>2]|0)==((f[c+(i*20|0)+4>>2]|0)>>>3|0))SBb(l,j,e);break}case 14:{s=f[c+(i*20|0)+8>>2]|0;if(1<<(s&31)&f[a+(s>>>5<<2)>>2]|0){s=f[c+(i*20|0)+4>>2]|0;if((f[g>>2]|0)>4){D=f[h>>2]|0;if(s>>>0>127){B=s;y=D;while(1){b[y>>0]=B|128;u=B>>>7;q=y+1|0;if(B>>>0>16383){B=u;y=q}else{Ra=q;Sa=u;break}}}else{Ra=D;Sa=s}b[Ra>>0]=Sa;y=Ra+1-D|0;f[h>>2]=(f[h>>2]|0)+y;f[g>>2]=(f[g>>2]|0)-y}else ECb(e,s);CCb(e,f[l>>2]|0)}break}case 34:{if(f[l>>2]|0){y=f[c+(i*20|0)+4>>2]|0;if((f[g>>2]|0)>4){B=f[h>>2]|0;if(y>>>0>127){M=y;x=B;while(1){b[x>>0]=M|128;u=M>>>7;q=x+1|0;if(M>>>0>16383){M=u;x=q}else{Ta=q;Ua=u;break}}}else{Ta=B;Ua=y}b[Ta>>0]=Ua;x=Ta+1-B|0;f[h>>2]=(f[h>>2]|0)+x;f[g>>2]=(f[g>>2]|0)-x}else ECb(e,y);CCb(e,f[l>>2]|0)}break}case 54:{if((f[l>>2]|0)>0){x=c+(i*20|0)+4|0;M=l+8|0;s=0;do{D=f[x>>2]|0;if((f[g>>2]|0)>4){u=f[h>>2]|0;if(D>>>0>127){q=D;C=u;while(1){b[C>>0]=q|128;o=q>>>7;t=C+1|0;if(q>>>0>16383){q=o;C=t}else{Va=t;Wa=o;break}}}else{Va=u;Wa=D}b[Va>>0]=Wa;C=Va+1-u|0;f[h>>2]=(f[h>>2]|0)+C;f[g>>2]=(f[g>>2]|0)-C}else ECb(e,D);CCb(e,f[(f[M>>2]|0)+4+(s<<2)>>2]|0);s=s+1|0}while((s|0)<(f[l>>2]|0))}break}case 74:{VBb(l,j,e);break}case 94:{s=f[c+(i*20|0)+4>>2]|0;if((f[a+(f[c+(i*20|0)+8>>2]|0)>>2]|0)==(s>>>3|0)){if((f[g>>2]|0)>4){M=f[h>>2]|0;if(s>>>0>127){x=s;y=M;while(1){b[y>>0]=x|128;B=x>>>7;C=y+1|0;if(x>>>0>16383){x=B;y=C}else{Xa=C;Ya=B;break}}}else{Xa=M;Ya=s}b[Xa>>0]=Ya;y=Xa+1-M|0;f[h>>2]=(f[h>>2]|0)+y;f[g>>2]=(f[g>>2]|0)-y}else ECb(e,s);CCb(e,f[l>>2]|0)}break}case 15:{y=f[c+(i*20|0)+8>>2]|0;if(1<<(y&31)&f[a+(y>>>5<<2)>>2]|0){y=f[c+(i*20|0)+4>>2]|0;if((f[g>>2]|0)>4){x=f[h>>2]|0;if(y>>>0>127){B=y;C=x;while(1){b[C>>0]=B|128;q=B>>>7;r=C+1|0;if(B>>>0>16383){B=q;C=r}else{Za=r;_a=q;break}}}else{Za=x;_a=y}b[Za>>0]=_a;C=Za+1-x|0;f[h>>2]=(f[h>>2]|0)+C;f[g>>2]=(f[g>>2]|0)-C}else ECb(e,y);C=l;DCb(e,f[C>>2]|0,f[C+4>>2]|0)}break}case 35:{C=l;if(!((f[C>>2]|0)==0&(f[C+4>>2]|0)==0)){C=f[c+(i*20|0)+4>>2]|0;if((f[g>>2]|0)>4){B=f[h>>2]|0;if(C>>>0>127){s=C;M=B;while(1){b[M>>0]=s|128;q=s>>>7;r=M+1|0;if(s>>>0>16383){s=q;M=r}else{$a=r;ab=q;break}}}else{$a=B;ab=C}b[$a>>0]=ab;M=$a+1-B|0;f[h>>2]=(f[h>>2]|0)+M;f[g>>2]=(f[g>>2]|0)-M}else ECb(e,C);M=l;DCb(e,f[M>>2]|0,f[M+4>>2]|0)}break}case 55:{if((f[l>>2]|0)>0){M=c+(i*20|0)+4|0;s=l+8|0;y=0;do{x=f[M>>2]|0;if((f[g>>2]|0)>4){q=f[h>>2]|0;if(x>>>0>127){r=x;N=q;while(1){b[N>>0]=r|128;o=r>>>7;t=N+1|0;if(r>>>0>16383){r=o;N=t}else{bb=t;cb=o;break}}}else{bb=q;cb=x}b[bb>>0]=cb;N=bb+1-q|0;f[h>>2]=(f[h>>2]|0)+N;f[g>>2]=(f[g>>2]|0)-N}else ECb(e,x);N=(f[s>>2]|0)+8+(y<<3)|0;DCb(e,f[N>>2]|0,f[N+4>>2]|0);y=y+1|0}while((y|0)<(f[l>>2]|0))}break}case 75:{WBb(l,j,e);break}case 95:{y=f[c+(i*20|0)+4>>2]|0;if((f[a+(f[c+(i*20|0)+8>>2]|0)>>2]|0)==(y>>>3|0)){if((f[g>>2]|0)>4){s=f[h>>2]|0;if(y>>>0>127){M=y;C=s;while(1){b[C>>0]=M|128;B=M>>>7;N=C+1|0;if(M>>>0>16383){M=B;C=N}else{db=N;eb=B;break}}}else{db=s;eb=y}b[db>>0]=eb;C=db+1-s|0;f[h>>2]=(f[h>>2]|0)+C;f[g>>2]=(f[g>>2]|0)-C}else ECb(e,y);C=l;DCb(e,f[C>>2]|0,f[C+4>>2]|0)}break}case 16:{C=f[c+(i*20|0)+8>>2]|0;if(1<<(C&31)&f[a+(C>>>5<<2)>>2]|0)XBb(l,j,e);break}case 36:{if(f[l>>2]|0)XBb(l,j,e);break}case 56:{YBb(l,j,e);break}case 76:{ZBb(l,j,e);break}case 96:{if((f[a+(f[c+(i*20|0)+8>>2]|0)>>2]|0)==((f[c+(i*20|0)+4>>2]|0)>>>3|0))XBb(l,j,e);break}case 17:{C=f[c+(i*20|0)+8>>2]|0;if(1<<(C&31)&f[a+(C>>>5<<2)>>2]|0)_Bb(l,j,e);break}case 37:{C=l;if(!((f[C>>2]|0)==0&(f[C+4>>2]|0)==0))_Bb(l,j,e);break}case 57:{$Bb(l,j,e);break}case 77:{aCb(l,j,e);break}case 97:{if((f[a+(f[c+(i*20|0)+8>>2]|0)>>2]|0)==((f[c+(i*20|0)+4>>2]|0)>>>3|0))_Bb(l,j,e);break}case 100:{sh[f[c+(i*20|0)+16>>2]&255](a,k,f[c+(i*20|0)+4>>2]|0,f[c+(i*20|0)+8>>2]|0,e);break}default:bCb(m)}while(0);i=i+1|0}while((i|0)!=(d|0));return}function vBb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if(!(f[a>>2]|0))return;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{ECb(d,e);o=f[c>>2]|0}e=f[a+12>>2]|0;if((o|0)>4){o=d+4|0;g=f[o>>2]|0;if(e>>>0>127){n=e;h=g;while(1){b[h>>0]=n|128;m=n>>>7;j=h+1|0;if(n>>>0>16383){n=m;h=j}else{p=j;q=m;break}}}else{p=g;q=e}b[p>>0]=q;q=p+1-g|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q}else ECb(d,e);if((f[a>>2]|0)<=0)return;e=a+8|0;q=0;do{c=(f[e>>2]|0)+8+(q<<3)|0;DCb(d,f[c>>2]|0,f[c+4>>2]|0);q=q+1|0}while((q|0)<(f[a>>2]|0));return}function wBb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if(!(f[a>>2]|0))return;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{ECb(d,e);o=f[c>>2]|0}e=f[a+12>>2]|0;if((o|0)>4){o=d+4|0;g=f[o>>2]|0;if(e>>>0>127){n=e;h=g;while(1){b[h>>0]=n|128;m=n>>>7;j=h+1|0;if(n>>>0>16383){n=m;h=j}else{p=j;q=m;break}}}else{p=g;q=e}b[p>>0]=q;q=p+1-g|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q}else ECb(d,e);if((f[a>>2]|0)<=0)return;e=a+8|0;q=0;do{CCb(d,f[(f[e>>2]|0)+4+(q<<2)>>2]|0);q=q+1|0}while((q|0)<(f[a>>2]|0));return}function xBb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{ECb(d,e);o=f[c>>2]|0}e=a;a=f[e>>2]|0;g=f[e+4>>2]|0;if((o|0)<=9){FCb(d,a,g);return}o=d+4|0;d=f[o>>2]|0;e=a&255;if(g>>>0>0|(g|0)==0&a>>>0>127){n=d;h=e;m=a;a=g;while(1){b[n>>0]=h|-128;g=m;m=Irc(m|0,a|0,7)|0;j=n+1|0;i=m&255;if(!(a>>>0>0|(a|0)==0&g>>>0>16383)){p=j;q=i;break}else{n=j;h=i;a=J}}}else{p=d;q=e}b[p>>0]=q;q=p+1-d|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q;return}function yBb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;if((f[a>>2]|0)<=0)return;e=c+4|0;c=d+8|0;g=d+4|0;h=a+8|0;i=0;do{j=f[e>>2]|0;if((f[c>>2]|0)>4){k=f[g>>2]|0;if(j>>>0>127){l=j;m=k;while(1){b[m>>0]=l|128;n=l>>>7;o=m+1|0;if(l>>>0>16383){l=n;m=o}else{p=o;q=n;break}}}else{p=k;q=j}b[p>>0]=q;m=p+1-k|0;f[g>>2]=(f[g>>2]|0)+m;l=(f[c>>2]|0)-m|0;f[c>>2]=l;r=l}else{ECb(d,j);r=f[c>>2]|0}l=(f[h>>2]|0)+8+(i<<3)|0;m=f[l>>2]|0;n=f[l+4>>2]|0;if((r|0)>9){l=f[g>>2]|0;o=m&255;if(n>>>0>0|(n|0)==0&m>>>0>127){s=l;t=o;u=m;v=n;while(1){b[s>>0]=t|-128;w=u;u=Irc(u|0,v|0,7)|0;x=s+1|0;y=u&255;if(!(v>>>0>0|(v|0)==0&w>>>0>16383)){z=x;A=y;break}else{s=x;t=y;v=J}}}else{z=l;A=o}b[z>>0]=A;v=z+1-l|0;f[g>>2]=(f[g>>2]|0)+v;f[c>>2]=(f[c>>2]|0)-v}else FCb(d,m,n);i=i+1|0}while((i|0)<(f[a>>2]|0));return}function zBb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if(!(f[a>>2]|0))return;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{ECb(d,e);o=f[c>>2]|0}e=f[a+12>>2]|0;if((o|0)>4){o=d+4|0;g=f[o>>2]|0;if(e>>>0>127){n=e;h=g;while(1){b[h>>0]=n|128;m=n>>>7;j=h+1|0;if(n>>>0>16383){n=m;h=j}else{p=j;q=m;break}}}else{p=g;q=e}b[p>>0]=q;q=p+1-g|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q}else ECb(d,e);if((f[a>>2]|0)<=0)return;e=a+8|0;q=d+4|0;o=0;do{g=(f[e>>2]|0)+8+(o<<3)|0;p=f[g>>2]|0;h=f[g+4>>2]|0;if((f[c>>2]|0)>9){g=f[q>>2]|0;n=p&255;if(h>>>0>0|(h|0)==0&p>>>0>127){m=g;j=n;i=p;k=h;while(1){b[m>>0]=j|-128;l=i;i=Irc(i|0,k|0,7)|0;r=m+1|0;s=i&255;if(!(k>>>0>0|(k|0)==0&l>>>0>16383)){t=r;u=s;break}else{m=r;j=s;k=J}}}else{t=g;u=n}b[t>>0]=u;k=t+1-g|0;f[q>>2]=(f[q>>2]|0)+k;f[c>>2]=(f[c>>2]|0)-k}else FCb(d,p,h);o=o+1|0}while((o|0)<(f[a>>2]|0));return}function ABb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{ECb(d,e);o=f[c>>2]|0}e=a;a=f[e>>2]|0;g=f[e+4>>2]|0;if((o|0)<=9){FCb(d,a,g);return}o=d+4|0;d=f[o>>2]|0;e=a&255;if(g>>>0>0|(g|0)==0&a>>>0>127){n=d;h=e;m=a;a=g;while(1){b[n>>0]=h|-128;g=m;m=Irc(m|0,a|0,7)|0;j=n+1|0;i=m&255;if(!(a>>>0>0|(a|0)==0&g>>>0>16383)){p=j;q=i;break}else{n=j;h=i;a=J}}}else{p=d;q=e}b[p>>0]=q;q=p+1-d|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q;return}function BBb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;if((f[a>>2]|0)<=0)return;e=c+4|0;c=d+8|0;g=d+4|0;h=a+8|0;i=0;do{j=f[e>>2]|0;if((f[c>>2]|0)>4){k=f[g>>2]|0;if(j>>>0>127){l=j;m=k;while(1){b[m>>0]=l|128;n=l>>>7;o=m+1|0;if(l>>>0>16383){l=n;m=o}else{p=o;q=n;break}}}else{p=k;q=j}b[p>>0]=q;m=p+1-k|0;f[g>>2]=(f[g>>2]|0)+m;l=(f[c>>2]|0)-m|0;f[c>>2]=l;r=l}else{ECb(d,j);r=f[c>>2]|0}l=(f[h>>2]|0)+8+(i<<3)|0;m=f[l>>2]|0;n=f[l+4>>2]|0;if((r|0)>9){l=f[g>>2]|0;o=m&255;if(n>>>0>0|(n|0)==0&m>>>0>127){s=l;t=o;u=m;v=n;while(1){b[s>>0]=t|-128;w=u;u=Irc(u|0,v|0,7)|0;x=s+1|0;y=u&255;if(!(v>>>0>0|(v|0)==0&w>>>0>16383)){z=x;A=y;break}else{s=x;t=y;v=J}}}else{z=l;A=o}b[z>>0]=A;v=z+1-l|0;f[g>>2]=(f[g>>2]|0)+v;f[c>>2]=(f[c>>2]|0)-v}else FCb(d,m,n);i=i+1|0}while((i|0)<(f[a>>2]|0));return}function CBb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if(!(f[a>>2]|0))return;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{ECb(d,e);o=f[c>>2]|0}e=f[a+12>>2]|0;if((o|0)>4){o=d+4|0;g=f[o>>2]|0;if(e>>>0>127){n=e;h=g;while(1){b[h>>0]=n|128;m=n>>>7;j=h+1|0;if(n>>>0>16383){n=m;h=j}else{p=j;q=m;break}}}else{p=g;q=e}b[p>>0]=q;q=p+1-g|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q}else ECb(d,e);if((f[a>>2]|0)<=0)return;e=a+8|0;q=d+4|0;o=0;do{g=(f[e>>2]|0)+8+(o<<3)|0;p=f[g>>2]|0;h=f[g+4>>2]|0;if((f[c>>2]|0)>9){g=f[q>>2]|0;n=p&255;if(h>>>0>0|(h|0)==0&p>>>0>127){m=g;j=n;i=p;k=h;while(1){b[m>>0]=j|-128;l=i;i=Irc(i|0,k|0,7)|0;r=m+1|0;s=i&255;if(!(k>>>0>0|(k|0)==0&l>>>0>16383)){t=r;u=s;break}else{m=r;j=s;k=J}}}else{t=g;u=n}b[t>>0]=u;k=t+1-g|0;f[q>>2]=(f[q>>2]|0)+k;f[c>>2]=(f[c>>2]|0)-k}else FCb(d,p,h);o=o+1|0}while((o|0)<(f[a>>2]|0));return}function DBb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{ECb(d,e);o=f[c>>2]|0}e=f[a>>2]|0;a=((e|0)<0)<<31>>31;if((o|0)<=9){FCb(d,e,a);return}o=d+4|0;d=f[o>>2]|0;g=e&255;if(e>>>0>127){n=d;h=g;m=e;e=a;while(1){b[n>>0]=h|-128;a=m;m=Irc(m|0,e|0,7)|0;j=n+1|0;i=m&255;if(!(e>>>0>0|(e|0)==0&a>>>0>16383)){p=j;q=i;break}else{n=j;h=i;e=J}}}else{p=d;q=g}b[p>>0]=q;q=p+1-d|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q;return}function EBb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;if((f[a>>2]|0)<=0)return;e=c+4|0;c=d+8|0;g=d+4|0;h=a+8|0;i=0;do{j=f[e>>2]|0;if((f[c>>2]|0)>4){k=f[g>>2]|0;if(j>>>0>127){l=j;m=k;while(1){b[m>>0]=l|128;n=l>>>7;o=m+1|0;if(l>>>0>16383){l=n;m=o}else{p=o;q=n;break}}}else{p=k;q=j}b[p>>0]=q;m=p+1-k|0;f[g>>2]=(f[g>>2]|0)+m;l=(f[c>>2]|0)-m|0;f[c>>2]=l;r=l}else{ECb(d,j);r=f[c>>2]|0}l=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;m=((l|0)<0)<<31>>31;if((r|0)>9){n=f[g>>2]|0;o=l&255;if(l>>>0>127){s=n;t=o;u=l;v=m;while(1){b[s>>0]=t|-128;w=u;u=Irc(u|0,v|0,7)|0;x=s+1|0;y=u&255;if(!(v>>>0>0|(v|0)==0&w>>>0>16383)){z=x;A=y;break}else{s=x;t=y;v=J}}}else{z=n;A=o}b[z>>0]=A;v=z+1-n|0;f[g>>2]=(f[g>>2]|0)+v;f[c>>2]=(f[c>>2]|0)-v}else FCb(d,l,m);i=i+1|0}while((i|0)<(f[a>>2]|0));return}function FBb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if(!(f[a>>2]|0))return;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{ECb(d,e);o=f[c>>2]|0}e=f[a+12>>2]|0;if((o|0)>4){o=d+4|0;g=f[o>>2]|0;if(e>>>0>127){n=e;h=g;while(1){b[h>>0]=n|128;m=n>>>7;j=h+1|0;if(n>>>0>16383){n=m;h=j}else{p=j;q=m;break}}}else{p=g;q=e}b[p>>0]=q;q=p+1-g|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q}else ECb(d,e);if((f[a>>2]|0)<=0)return;e=a+8|0;q=d+4|0;o=0;do{g=f[(f[e>>2]|0)+4+(o<<2)>>2]|0;p=((g|0)<0)<<31>>31;if((f[c>>2]|0)>9){h=f[q>>2]|0;n=g&255;if(g>>>0>127){m=h;j=n;i=g;k=p;while(1){b[m>>0]=j|-128;l=i;i=Irc(i|0,k|0,7)|0;r=m+1|0;s=i&255;if(!(k>>>0>0|(k|0)==0&l>>>0>16383)){t=r;u=s;break}else{m=r;j=s;k=J}}}else{t=h;u=n}b[t>>0]=u;k=t+1-h|0;f[q>>2]=(f[q>>2]|0)+k;f[c>>2]=(f[c>>2]|0)-k}else FCb(d,g,p);o=o+1|0}while((o|0)<(f[a>>2]|0));return}function GBb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if(!(f[a>>2]|0))return;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{ECb(d,e);o=f[c>>2]|0}e=f[a+12>>2]|0;if((o|0)>4){o=d+4|0;g=f[o>>2]|0;if(e>>>0>127){n=e;h=g;while(1){b[h>>0]=n|128;m=n>>>7;j=h+1|0;if(n>>>0>16383){n=m;h=j}else{p=j;q=m;break}}}else{p=g;q=e}b[p>>0]=q;q=p+1-g|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q}else ECb(d,e);if((f[a>>2]|0)<=0)return;e=a+8|0;q=0;do{c=(f[e>>2]|0)+8+(q<<3)|0;DCb(d,f[c>>2]|0,f[c+4>>2]|0);q=q+1|0}while((q|0)<(f[a>>2]|0));return}function HBb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if(!(f[a>>2]|0))return;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{ECb(d,e);o=f[c>>2]|0}e=f[a+12>>2]|0;if((o|0)>4){o=d+4|0;g=f[o>>2]|0;if(e>>>0>127){n=e;h=g;while(1){b[h>>0]=n|128;m=n>>>7;j=h+1|0;if(n>>>0>16383){n=m;h=j}else{p=j;q=m;break}}}else{p=g;q=e}b[p>>0]=q;q=p+1-g|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q}else ECb(d,e);if((f[a>>2]|0)<=0)return;e=a+8|0;q=0;do{CCb(d,f[(f[e>>2]|0)+4+(q<<2)>>2]|0);q=q+1|0}while((q|0)<(f[a>>2]|0));return}function IBb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;if((f[a>>2]|0)<=0)return;e=c+4|0;c=d+8|0;g=d+4|0;h=a+8|0;i=0;do{j=f[e>>2]|0;if((f[c>>2]|0)>4){k=f[g>>2]|0;if(j>>>0>127){l=j;m=k;while(1){b[m>>0]=l|128;n=l>>>7;o=m+1|0;if(l>>>0>16383){l=n;m=o}else{p=o;q=n;break}}}else{p=k;q=j}b[p>>0]=q;m=p+1-k|0;f[g>>2]=(f[g>>2]|0)+m;l=(f[c>>2]|0)-m|0;f[c>>2]=l;r=l}else{ECb(d,j);r=f[c>>2]|0}l=b[(f[h>>2]|0)+4+i>>0]|0;if((r|0)>4){b[f[g>>2]>>0]=l;f[g>>2]=(f[g>>2]|0)+1;f[c>>2]=(f[c>>2]|0)+-1}else ECb(d,l&255);i=i+1|0}while((i|0)<(f[a>>2]|0));return}function JBb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if(!(f[a>>2]|0))return;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{ECb(d,e);o=f[c>>2]|0}e=f[a+12>>2]|0;if((o|0)>4){o=d+4|0;g=f[o>>2]|0;if(e>>>0>127){n=e;h=g;while(1){b[h>>0]=n|128;m=n>>>7;j=h+1|0;if(n>>>0>16383){n=m;h=j}else{p=j;q=m;break}}}else{p=g;q=e}b[p>>0]=q;q=p+1-g|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q}else ECb(d,e);if((f[a>>2]|0)<=0)return;e=a+8|0;q=d+4|0;o=0;do{g=b[(f[e>>2]|0)+4+o>>0]|0;if((f[c>>2]|0)>4){b[f[q>>2]>>0]=g;f[q>>2]=(f[q>>2]|0)+1;f[c>>2]=(f[c>>2]|0)+-1}else ECb(d,g&255);o=o+1|0}while((o|0)<(f[a>>2]|0));return}function KBb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=a+11|0;e=b[d>>0]|0;if(e<<24>>24<0)g=f[a+4>>2]|0;else g=e&255;e=c+8|0;if((f[e>>2]|0)>4){h=c+4|0;i=f[h>>2]|0;if(g>>>0>127){j=g;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=i;o=g}b[n>>0]=o;o=n+1-i|0;f[h>>2]=(f[h>>2]|0)+o;f[e>>2]=(f[e>>2]|0)-o}else ECb(c,g);g=b[d>>0]|0;if(g<<24>>24<0){p=f[a>>2]|0;q=f[a+4>>2]|0}else{p=a;q=g&255}if(!(b[c+17>>0]|0)){ACb(c,p,q);return}else{BCb(c,p,q);return}}function LBb(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;c=u;u=u+32|0;a=c;TDb(a,3,479783,512);d=ODb(a,479884)|0;e=ODb(SDb(d,f[b+4>>2]|0)|0,479914)|0;QDb(c+24|0,SDb(e,f[b+12>>2]|0)|0);UDb(a);u=c;return}function MBb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=c+4|0;g=f[e>>2]|0;h=d+8|0;if((f[h>>2]|0)>4){i=d+4|0;j=f[i>>2]|0;if(g>>>0>127){k=g;l=j;while(1){b[l>>0]=k|128;m=k>>>7;n=l+1|0;if(k>>>0>16383){k=m;l=n}else{o=n;p=m;break}}}else{o=j;p=g}b[o>>0]=p;p=o+1-j|0;f[i>>2]=(f[i>>2]|0)+p;f[h>>2]=(f[h>>2]|0)-p}else ECb(d,g);g=f[a>>2]|0;a=f[c+16>>2]|0;do if(!a)xh[f[(f[g>>2]|0)+52>>2]&2047](g,d);else{c=f[a+4>>2]|0;p=f[g+(f[c>>2]|0)>>2]|0;i=(f[a>>2]|0)+-1|0;j=c+20|0;c=f[h>>2]|0;o=d+4|0;if((c|0)>=(p|0)?(l=f[o>>2]|0,f[o>>2]=l+p,f[h>>2]=c-p,l|0):0){if(!(b[d+18>>0]|0))q=(f[222909]|0)!=0;else q=(b[d+19>>0]|0)!=0;ki[f[(f[g>>2]|0)+64>>2]&511](g,q,l)|0;break}uBb(g,j,i,d)}while(0);g=(f[e>>2]|0)+1|0;if((f[h>>2]|0)<=4){ECb(d,g);return}e=d+4|0;d=f[e>>2]|0;if(g>>>0>127){q=g;a=d;while(1){b[a>>0]=q|128;i=q>>>7;j=a+1|0;if(q>>>0>16383){q=i;a=j}else{r=j;s=i;break}}}else{r=d;s=g}b[r>>0]=s;s=r+1-d|0;f[e>>2]=(f[e>>2]|0)+s;f[h>>2]=(f[h>>2]|0)-s;return}function NBb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;e=a+4|0;if((f[e>>2]|0)<=0)return;g=c+4|0;h=d+8|0;i=d+4|0;j=a+12|0;a=c+16|0;c=d+18|0;k=d+19|0;l=0;do{m=f[g>>2]|0;if((f[h>>2]|0)>4){n=f[i>>2]|0;if(m>>>0>127){o=m;p=n;while(1){b[p>>0]=o|128;q=o>>>7;r=p+1|0;if(o>>>0>16383){o=q;p=r}else{s=r;t=q;break}}}else{s=n;t=m}b[s>>0]=t;p=s+1-n|0;f[i>>2]=(f[i>>2]|0)+p;f[h>>2]=(f[h>>2]|0)-p}else ECb(d,m);p=f[j>>2]|0;o=f[((p|0)==0?0:p+4|0)+(l<<2)>>2]|0;p=f[a>>2]|0;do if(!p)xh[f[(f[o>>2]|0)+52>>2]&2047](o,d);else{q=f[p+4>>2]|0;r=f[o+(f[q>>2]|0)>>2]|0;u=(f[p>>2]|0)+-1|0;v=q+20|0;q=f[h>>2]|0;if((q|0)>=(r|0)?(w=f[i>>2]|0,f[i>>2]=w+r,f[h>>2]=q-r,w|0):0){if(!(b[c>>0]|0))x=(f[222909]|0)!=0;else x=(b[k>>0]|0)!=0;ki[f[(f[o>>2]|0)+64>>2]&511](o,x,w)|0;break}uBb(o,v,u,d)}while(0);o=(f[g>>2]|0)+1|0;if((f[h>>2]|0)>4){p=f[i>>2]|0;if(o>>>0>127){m=o;n=p;while(1){b[n>>0]=m|128;u=m>>>7;v=n+1|0;if(m>>>0>16383){m=u;n=v}else{y=v;z=u;break}}}else{y=p;z=o}b[y>>0]=z;n=y+1-p|0;f[i>>2]=(f[i>>2]|0)+n;f[h>>2]=(f[h>>2]|0)-n}else ECb(d,o);l=l+1|0}while((l|0)<(f[e>>2]|0));return}function OBb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;if(!c){e=ci[f[(f[a>>2]|0)+60>>2]&1023](a)|0;g=d+8|0;if((f[g>>2]|0)>4){h=d+4|0;i=f[h>>2]|0;if(e>>>0>127){j=e;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=i;o=e}b[n>>0]=o;o=n+1-i|0;f[h>>2]=(f[h>>2]|0)+o;f[g>>2]=(f[g>>2]|0)-o}else ECb(d,e);xh[f[(f[a>>2]|0)+52>>2]&2047](a,d);return}e=f[c+4>>2]|0;o=f[a+(f[e>>2]|0)>>2]|0;g=d+8|0;if((f[g>>2]|0)>4){h=d+4|0;i=f[h>>2]|0;if(o>>>0>127){n=o;k=i;while(1){b[k>>0]=n|128;j=n>>>7;l=k+1|0;if(n>>>0>16383){n=j;k=l}else{p=l;q=j;break}}}else{p=i;q=o}b[p>>0]=q;q=p+1-i|0;f[h>>2]=(f[h>>2]|0)+q;i=(f[g>>2]|0)-q|0;f[g>>2]=i;r=h;s=i}else{ECb(d,o);r=d+4|0;s=f[g>>2]|0}i=(f[c>>2]|0)+-1|0;c=e+20|0;if((s|0)>=(o|0)?(e=f[r>>2]|0,f[r>>2]=e+o,f[g>>2]=s-o,e|0):0){if(!(b[d+18>>0]|0))t=(f[222909]|0)!=0;else t=(b[d+19>>0]|0)!=0;ki[f[(f[a>>2]|0)+64>>2]&511](a,t,e)|0;return}uBb(a,c,i,d);return}function PBb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{ECb(d,e);o=f[c>>2]|0}e=f[a>>2]|0;if((o|0)<=4){ECb(d,e);return}o=d+4|0;d=f[o>>2]|0;if(e>>>0>127){a=e;g=d;while(1){b[g>>0]=a|128;n=a>>>7;h=g+1|0;if(a>>>0>16383){a=n;g=h}else{p=h;q=n;break}}}else{p=d;q=e}b[p>>0]=q;q=p+1-d|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q;return}function QBb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;if((f[a>>2]|0)<=0)return;e=c+4|0;c=d+8|0;g=d+4|0;h=a+8|0;i=0;do{j=f[e>>2]|0;if((f[c>>2]|0)>4){k=f[g>>2]|0;if(j>>>0>127){l=j;m=k;while(1){b[m>>0]=l|128;n=l>>>7;o=m+1|0;if(l>>>0>16383){l=n;m=o}else{p=o;q=n;break}}}else{p=k;q=j}b[p>>0]=q;m=p+1-k|0;f[g>>2]=(f[g>>2]|0)+m;l=(f[c>>2]|0)-m|0;f[c>>2]=l;r=l}else{ECb(d,j);r=f[c>>2]|0}l=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;if((r|0)>4){m=f[g>>2]|0;if(l>>>0>127){n=l;o=m;while(1){b[o>>0]=n|128;s=n>>>7;t=o+1|0;if(n>>>0>16383){n=s;o=t}else{u=t;v=s;break}}}else{u=m;v=l}b[u>>0]=v;o=u+1-m|0;f[g>>2]=(f[g>>2]|0)+o;f[c>>2]=(f[c>>2]|0)-o}else ECb(d,l);i=i+1|0}while((i|0)<(f[a>>2]|0));return}function RBb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;if(!(f[a>>2]|0))return;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{ECb(d,e);o=f[c>>2]|0}e=f[a+12>>2]|0;if((o|0)>4){o=d+4|0;g=f[o>>2]|0;if(e>>>0>127){n=e;h=g;while(1){b[h>>0]=n|128;m=n>>>7;j=h+1|0;if(n>>>0>16383){n=m;h=j}else{p=j;q=m;break}}}else{p=g;q=e}b[p>>0]=q;q=p+1-g|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q}else ECb(d,e);if((f[a>>2]|0)<=0)return;e=a+8|0;q=d+4|0;o=0;do{g=f[(f[e>>2]|0)+4+(o<<2)>>2]|0;if((f[c>>2]|0)>4){p=f[q>>2]|0;if(g>>>0>127){h=g;n=p;while(1){b[n>>0]=h|128;m=h>>>7;j=n+1|0;if(h>>>0>16383){h=m;n=j}else{r=j;s=m;break}}}else{r=p;s=g}b[r>>0]=s;n=r+1-p|0;f[q>>2]=(f[q>>2]|0)+n;f[c>>2]=(f[c>>2]|0)-n}else ECb(d,g);o=o+1|0}while((o|0)<(f[a>>2]|0));return}function SBb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{ECb(d,e);o=f[c>>2]|0}e=f[a>>2]|0;a=((e|0)<0)<<31>>31;if((o|0)<=9){FCb(d,e,a);return}o=d+4|0;d=f[o>>2]|0;g=e&255;if(e>>>0>127){n=d;h=g;m=e;e=a;while(1){b[n>>0]=h|-128;a=m;m=Irc(m|0,e|0,7)|0;j=n+1|0;i=m&255;if(!(e>>>0>0|(e|0)==0&a>>>0>16383)){p=j;q=i;break}else{n=j;h=i;e=J}}}else{p=d;q=g}b[p>>0]=q;q=p+1-d|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q;return}function TBb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;if((f[a>>2]|0)<=0)return;e=c+4|0;c=d+8|0;g=d+4|0;h=a+8|0;i=0;do{j=f[e>>2]|0;if((f[c>>2]|0)>4){k=f[g>>2]|0;if(j>>>0>127){l=j;m=k;while(1){b[m>>0]=l|128;n=l>>>7;o=m+1|0;if(l>>>0>16383){l=n;m=o}else{p=o;q=n;break}}}else{p=k;q=j}b[p>>0]=q;m=p+1-k|0;f[g>>2]=(f[g>>2]|0)+m;l=(f[c>>2]|0)-m|0;f[c>>2]=l;r=l}else{ECb(d,j);r=f[c>>2]|0}l=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;m=((l|0)<0)<<31>>31;if((r|0)>9){n=f[g>>2]|0;o=l&255;if(l>>>0>127){s=n;t=o;u=l;v=m;while(1){b[s>>0]=t|-128;w=u;u=Irc(u|0,v|0,7)|0;x=s+1|0;y=u&255;if(!(v>>>0>0|(v|0)==0&w>>>0>16383)){z=x;A=y;break}else{s=x;t=y;v=J}}}else{z=n;A=o}b[z>>0]=A;v=z+1-n|0;f[g>>2]=(f[g>>2]|0)+v;f[c>>2]=(f[c>>2]|0)-v}else FCb(d,l,m);i=i+1|0}while((i|0)<(f[a>>2]|0));return}function UBb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if(!(f[a>>2]|0))return;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{ECb(d,e);o=f[c>>2]|0}e=f[a+12>>2]|0;if((o|0)>4){o=d+4|0;g=f[o>>2]|0;if(e>>>0>127){n=e;h=g;while(1){b[h>>0]=n|128;m=n>>>7;j=h+1|0;if(n>>>0>16383){n=m;h=j}else{p=j;q=m;break}}}else{p=g;q=e}b[p>>0]=q;q=p+1-g|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q}else ECb(d,e);if((f[a>>2]|0)<=0)return;e=a+8|0;q=d+4|0;o=0;do{g=f[(f[e>>2]|0)+4+(o<<2)>>2]|0;p=((g|0)<0)<<31>>31;if((f[c>>2]|0)>9){h=f[q>>2]|0;n=g&255;if(g>>>0>127){m=h;j=n;i=g;k=p;while(1){b[m>>0]=j|-128;l=i;i=Irc(i|0,k|0,7)|0;r=m+1|0;s=i&255;if(!(k>>>0>0|(k|0)==0&l>>>0>16383)){t=r;u=s;break}else{m=r;j=s;k=J}}}else{t=h;u=n}b[t>>0]=u;k=t+1-h|0;f[q>>2]=(f[q>>2]|0)+k;f[c>>2]=(f[c>>2]|0)-k}else FCb(d,g,p);o=o+1|0}while((o|0)<(f[a>>2]|0));return}function VBb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if(!(f[a>>2]|0))return;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{ECb(d,e);o=f[c>>2]|0}e=f[a+12>>2]|0;if((o|0)>4){o=d+4|0;g=f[o>>2]|0;if(e>>>0>127){n=e;h=g;while(1){b[h>>0]=n|128;m=n>>>7;j=h+1|0;if(n>>>0>16383){n=m;h=j}else{p=j;q=m;break}}}else{p=g;q=e}b[p>>0]=q;q=p+1-g|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q}else ECb(d,e);if((f[a>>2]|0)<=0)return;e=a+8|0;q=0;do{CCb(d,f[(f[e>>2]|0)+4+(q<<2)>>2]|0);q=q+1|0}while((q|0)<(f[a>>2]|0));return}function WBb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if(!(f[a>>2]|0))return;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{ECb(d,e);o=f[c>>2]|0}e=f[a+12>>2]|0;if((o|0)>4){o=d+4|0;g=f[o>>2]|0;if(e>>>0>127){n=e;h=g;while(1){b[h>>0]=n|128;m=n>>>7;j=h+1|0;if(n>>>0>16383){n=m;h=j}else{p=j;q=m;break}}}else{p=g;q=e}b[p>>0]=q;q=p+1-g|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q}else ECb(d,e);if((f[a>>2]|0)<=0)return;e=a+8|0;q=0;do{c=(f[e>>2]|0)+8+(q<<3)|0;DCb(d,f[c>>2]|0,f[c+4>>2]|0);q=q+1|0}while((q|0)<(f[a>>2]|0));return}function XBb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{ECb(d,e);o=f[c>>2]|0}e=f[a>>2]|0;a=e<<1^e>>31;if((o|0)<=4){ECb(d,a);return}o=d+4|0;d=f[o>>2]|0;if(a>>>0>127){e=a;g=d;while(1){b[g>>0]=e|128;n=e>>>7;h=g+1|0;if(e>>>0>16383){e=n;g=h}else{p=h;q=n;break}}}else{p=d;q=a}b[p>>0]=q;q=p+1-d|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q;return}function YBb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;if((f[a>>2]|0)<=0)return;e=c+4|0;c=d+8|0;g=d+4|0;h=a+8|0;i=0;do{j=f[e>>2]|0;if((f[c>>2]|0)>4){k=f[g>>2]|0;if(j>>>0>127){l=j;m=k;while(1){b[m>>0]=l|128;n=l>>>7;o=m+1|0;if(l>>>0>16383){l=n;m=o}else{p=o;q=n;break}}}else{p=k;q=j}b[p>>0]=q;m=p+1-k|0;f[g>>2]=(f[g>>2]|0)+m;l=(f[c>>2]|0)-m|0;f[c>>2]=l;r=l}else{ECb(d,j);r=f[c>>2]|0}l=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;m=l<<1^l>>31;if((r|0)>4){l=f[g>>2]|0;if(m>>>0>127){n=m;o=l;while(1){b[o>>0]=n|128;s=n>>>7;t=o+1|0;if(n>>>0>16383){n=s;o=t}else{u=t;v=s;break}}}else{u=l;v=m}b[u>>0]=v;o=u+1-l|0;f[g>>2]=(f[g>>2]|0)+o;f[c>>2]=(f[c>>2]|0)-o}else ECb(d,m);i=i+1|0}while((i|0)<(f[a>>2]|0));return}function ZBb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;if(!(f[a>>2]|0))return;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{ECb(d,e);o=f[c>>2]|0}e=f[a+12>>2]|0;if((o|0)>4){o=d+4|0;g=f[o>>2]|0;if(e>>>0>127){n=e;h=g;while(1){b[h>>0]=n|128;m=n>>>7;j=h+1|0;if(n>>>0>16383){n=m;h=j}else{p=j;q=m;break}}}else{p=g;q=e}b[p>>0]=q;q=p+1-g|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q}else ECb(d,e);if((f[a>>2]|0)<=0)return;e=a+8|0;q=d+4|0;o=0;do{g=f[(f[e>>2]|0)+4+(o<<2)>>2]|0;p=g<<1^g>>31;if((f[c>>2]|0)>4){g=f[q>>2]|0;if(p>>>0>127){h=p;n=g;while(1){b[n>>0]=h|128;m=h>>>7;j=n+1|0;if(h>>>0>16383){h=m;n=j}else{r=j;s=m;break}}}else{r=g;s=p}b[r>>0]=s;n=r+1-g|0;f[q>>2]=(f[q>>2]|0)+n;f[c>>2]=(f[c>>2]|0)-n}else ECb(d,p);o=o+1|0}while((o|0)<(f[a>>2]|0));return}function _Bb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{ECb(d,e);o=f[c>>2]|0}e=a;a=f[e>>2]|0;g=f[e+4>>2]|0;e=Qrc(a|0,g|0,1)|0;n=J;h=Hrc(a|0,g|0,63)|0;g=e^h;h=n^J;if((o|0)<=9){FCb(d,g,h);return}o=d+4|0;d=f[o>>2]|0;n=g&255;if(h>>>0>0|(h|0)==0&g>>>0>127){e=d;a=n;m=g;g=h;while(1){b[e>>0]=a|-128;h=m;m=Irc(m|0,g|0,7)|0;j=e+1|0;i=m&255;if(!(g>>>0>0|(g|0)==0&h>>>0>16383)){p=j;q=i;break}else{e=j;a=i;g=J}}}else{p=d;q=n}b[p>>0]=q;q=p+1-d|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q;return}function $Bb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;if((f[a>>2]|0)<=0)return;e=c+4|0;c=d+8|0;g=d+4|0;h=a+8|0;i=0;do{j=f[e>>2]|0;if((f[c>>2]|0)>4){k=f[g>>2]|0;if(j>>>0>127){l=j;m=k;while(1){b[m>>0]=l|128;n=l>>>7;o=m+1|0;if(l>>>0>16383){l=n;m=o}else{p=o;q=n;break}}}else{p=k;q=j}b[p>>0]=q;m=p+1-k|0;f[g>>2]=(f[g>>2]|0)+m;l=(f[c>>2]|0)-m|0;f[c>>2]=l;r=l}else{ECb(d,j);r=f[c>>2]|0}l=(f[h>>2]|0)+8+(i<<3)|0;m=f[l>>2]|0;n=f[l+4>>2]|0;l=Qrc(m|0,n|0,1)|0;o=J;s=Hrc(m|0,n|0,63)|0;n=l^s;s=o^J;if((r|0)>9){o=f[g>>2]|0;l=n&255;if(s>>>0>0|(s|0)==0&n>>>0>127){m=o;t=l;u=n;v=s;while(1){b[m>>0]=t|-128;w=u;u=Irc(u|0,v|0,7)|0;x=m+1|0;y=u&255;if(!(v>>>0>0|(v|0)==0&w>>>0>16383)){z=x;A=y;break}else{m=x;t=y;v=J}}}else{z=o;A=l}b[z>>0]=A;v=z+1-o|0;f[g>>2]=(f[g>>2]|0)+v;f[c>>2]=(f[c>>2]|0)-v}else FCb(d,n,s);i=i+1|0}while((i|0)<(f[a>>2]|0));return}function aCb(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if(!(f[a>>2]|0))return;e=f[c+4>>2]|0;c=d+8|0;if((f[c>>2]|0)>4){g=d+4|0;h=f[g>>2]|0;if(e>>>0>127){i=e;j=h;while(1){b[j>>0]=i|128;k=i>>>7;l=j+1|0;if(i>>>0>16383){i=k;j=l}else{m=l;n=k;break}}}else{m=h;n=e}b[m>>0]=n;n=m+1-h|0;f[g>>2]=(f[g>>2]|0)+n;g=(f[c>>2]|0)-n|0;f[c>>2]=g;o=g}else{ECb(d,e);o=f[c>>2]|0}e=f[a+12>>2]|0;if((o|0)>4){o=d+4|0;g=f[o>>2]|0;if(e>>>0>127){n=e;h=g;while(1){b[h>>0]=n|128;m=n>>>7;j=h+1|0;if(n>>>0>16383){n=m;h=j}else{p=j;q=m;break}}}else{p=g;q=e}b[p>>0]=q;q=p+1-g|0;f[o>>2]=(f[o>>2]|0)+q;f[c>>2]=(f[c>>2]|0)-q}else ECb(d,e);if((f[a>>2]|0)<=0)return;e=a+8|0;q=d+4|0;o=0;do{g=(f[e>>2]|0)+8+(o<<3)|0;p=f[g>>2]|0;h=f[g+4>>2]|0;g=Qrc(p|0,h|0,1)|0;n=J;m=Hrc(p|0,h|0,63)|0;h=g^m;m=n^J;if((f[c>>2]|0)>9){n=f[q>>2]|0;g=h&255;if(m>>>0>0|(m|0)==0&h>>>0>127){p=n;j=g;i=h;k=m;while(1){b[p>>0]=j|-128;l=i;i=Irc(i|0,k|0,7)|0;r=p+1|0;s=i&255;if(!(k>>>0>0|(k|0)==0&l>>>0>16383)){t=r;u=s;break}else{p=r;j=s;k=J}}}else{t=n;u=g}b[t>>0]=u;k=t+1-n|0;f[q>>2]=(f[q>>2]|0)+k;f[c>>2]=(f[c>>2]|0)-k}else FCb(d,h,m);o=o+1|0}while((o|0)<(f[a>>2]|0));return}function bCb(a){a=a|0;var b=0,c=0;b=u;u=u+32|0;c=b;TDb(c,3,479783,537);QDb(b+24|0,RDb(ODb(c,479884)|0,a)|0);UDb(c);u=b;return}
function iya(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,N=0,Q=0,R=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0.0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0.0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0,Zd=0,_d=0,$d=0,ae=0,be=0,ce=0,de=0,ee=0,fe=0,ge=0,he=0,ie=0,je=0,ke=0,le=0,me=0,ne=0,oe=0,pe=0,qe=0,re=0,se=0,te=0,ue=0,ve=0,we=0,xe=0,ye=0,ze=0,Ae=0,Be=0,Ce=0,De=0,Ee=0,Fe=0,Ge=0,He=0,Ie=0,Je=0,Ke=0,Le=0,Me=0,Ne=0,Oe=0,Pe=0,Qe=0,Re=0,Se=0,Te=0,Ue=0,Ve=0,We=0,Xe=0,Ye=0,Ze=0,_e=0,$e=0,af=0,bf=0,cf=0,df=0,ef=0,ff=0,gf=0,hf=0,jf=0,kf=0,lf=0,mf=0,nf=0,of=0,pf=0,qf=0,rf=0,sf=0,tf=0,uf=0,vf=0,wf=0,xf=0,yf=0,zf=0,Af=0,Bf=0,Cf=0,Df=0,Ef=0,Ff=0,Gf=0,Hf=0,If=0,Jf=0,Kf=0,Lf=0,Mf=0,Nf=0,Of=0,Pf=0,Qf=0,Rf=0,Sf=0,Tf=0,Uf=0,Vf=0,Wf=0,Xf=0,Yf=0,Zf=0,_f=0,$f=0,ag=0,bg=0,cg=0,dg=0,eg=0,fg=0,gg=0,hg=0,ig=0,jg=0,kg=0,lg=0,mg=0,ng=0,og=0,pg=0,qg=0,rg=0,sg=0,tg=0,ug=0,vg=0,wg=0,xg=0,yg=0,zg=0,Ag=0,Bg=0,Cg=0,Dg=0,Eg=0,Fg=0,Gg=0,Hg=0,Ig=0,Jg=0,Kg=0,Lg=0,Mg=0,Ng=0,Og=0,Pg=0,Qg=0,Rg=0,Sg=0,Tg=0,Ug=0,Vg=0,Wg=0,Xg=0,Yg=0,Zg=0,_g=0,$g=0,ah=0,bh=0,ch=0,dh=0,eh=0,fh=0,gh=0,hh=0,ih=0,jh=0,kh=0,lh=0,mh=0,nh=0,oh=0,ph=0,qh=0,sh=0,th=0,uh=0,vh=0,wh=0,xh=0,yh=0,zh=0,Ah=0,Bh=0,Ch=0,Dh=0,Eh=0,Fh=0,Gh=0,Hh=0,Ih=0,Jh=0,Kh=0,Lh=0,Mh=0,Nh=0,Oh=0,Ph=0,Qh=0,Rh=0,Sh=0,Th=0,Uh=0,Vh=0,Wh=0,Xh=0,Yh=0,Zh=0,_h=0,$h=0,ai=0,bi=0,ci=0,di=0,ei=0,fi=0,gi=0,hi=0,ii=0,ji=0,ki=0,li=0,mi=0,ni=0,oi=0,pi=0,qi=0,ri=0,si=0,ti=0,ui=0,vi=0,wi=0,xi=0,yi=0,zi=0,Ai=0,Bi=0,Ci=0,Di=0,Ei=0,Fi=0,Gi=0,Hi=0,Ii=0,Ji=0,Ki=0,Li=0,Mi=0,Ni=0,Oi=0,Pi=0,Qi=0,Ri=0,Si=0,Ti=0,Ui=0,Vi=0,Wi=0,Yi=0,Zi=0,_i=0,$i=0,aj=0,bj=0,cj=0,dj=0,ej=0,fj=0,gj=0,hj=0,ij=0,jj=0,kj=0,lj=0,mj=0,nj=0,oj=0,pj=0,qj=0,rj=0,sj=0,tj=0,uj=0,vj=0,wj=0,xj=0,yj=0,zj=0,Aj=0,Bj=0,Cj=0,Dj=0,Ej=0,Fj=0,Gj=0,Hj=0,Ij=0,Jj=0,Kj=0,Lj=0,Mj=0,Nj=0,Oj=0,Pj=0,Qj=0,Rj=0,Sj=0,Tj=0,Uj=0,Vj=0,Wj=0,Xj=0,Yj=0,Zj=0,_j=0,$j=0,ak=0,bk=0,ck=0,dk=0,ek=0,fk=0,gk=0,hk=0,ik=0,jk=0,kk=0,lk=0,mk=0,nk=0,ok=0,pk=0,qk=0,rk=0,sk=0,tk=0,uk=0,vk=0,wk=0,xk=0,yk=0,zk=0,Ak=0,Bk=0,Ck=0,Dk=0,Ek=0,Fk=0,Gk=0,Hk=0,Ik=0,Jk=0,Kk=0,Lk=0,Mk=0,Nk=0,Ok=0,Pk=0,Qk=0,Rk=0,Sk=0,Tk=0,Uk=0,Vk=0,Wk=0,Xk=0,Yk=0,Zk=0,_k=0.0,$k=0,al=0.0,bl=0,cl=0,dl=0.0,el=0.0,fl=0.0,gl=0.0,hl=0,il=0,jl=0,kl=0,ll=0,ml=0.0,nl=0.0,ol=0.0,pl=0.0,ql=0.0;i=u;u=u+5568|0;j=i+3264|0;k=i+3040|0;l=i+2816|0;m=i+2592|0;o=i+2144|0;q=i+1920|0;r=i+1472|0;t=i+1248|0;v=i+1024|0;w=i+800|0;x=i+576|0;y=i+352|0;z=i+5408|0;A=i+5352|0;B=i+128|0;C=i+5296|0;D=i+5240|0;E=i+5184|0;F=i+5128|0;G=i+5072|0;H=i+5016|0;I=i+4960|0;J=i+4904|0;K=i+4848|0;N=i+4792|0;Q=i+4736|0;R=i+4680|0;T=i+4624|0;U=i+4568|0;V=i+4512|0;W=i+4456|0;X=i+4400|0;Z=i+4344|0;_=i+4288|0;$=i+5560|0;aa=i+4232|0;ba=i+5552|0;ca=i+5544|0;da=i+4176|0;ea=i+2368|0;fa=i+4120|0;ga=i+1696|0;ha=i+4064|0;ia=i+4008|0;ja=i+3992|0;ka=i+5536|0;la=i+5528|0;ma=i+3936|0;na=i+3880|0;oa=i+3824|0;pa=i+3768|0;qa=i+3712|0;ra=i+3656|0;sa=i+3600|0;ta=i+3544|0;ua=i+3488|0;va=i+5520|0;wa=i+5512|0;xa=i+5504|0;ya=i+5496|0;za=i+5488|0;Aa=i+5480|0;Ba=i+5472|0;Ca=i+5464|0;Da=i+96|0;Ea=i+64|0;Fa=i+32|0;Ga=i;do if((pD(a)|0)==65536){Ha=f[a+4>>2]|0;f[H>>2]=f[Ha>>2];Ia=H+4|0;Ja=Ha+4|0;f[Ia>>2]=f[Ja>>2];Ka=H+8|0;f[Ka>>2]=f[Ha+8>>2];f[H+12>>2]=f[Ha+12>>2];f[H+16>>2]=f[Ha+16>>2];f[H+20>>2]=f[Ha+20>>2];f[H+24>>2]=f[Ha+24>>2];f[H+28>>2]=f[Ha+28>>2];f[H+32>>2]=f[Ha+32>>2];La=f[Ha+36>>2]|0;f[H+36>>2]=La;f[H+40>>2]=Ka;Ka=H+48|0;Ma=H+44|0;f[Ma>>2]=Ka;f[Ka>>2]=0;f[H+52>>2]=0;if(La|0){Ka=La+12|0;f[Ka>>2]=(f[Ka>>2]|0)+1}if((f[Ja>>2]|0)<3){Ja=f[Ha+44>>2]|0;Ka=f[Ma>>2]|0;f[Ka>>2]=f[Ja>>2];f[Ka+4>>2]=f[Ja+4>>2];break}else{f[Ia>>2]=0;kP(H,Ha);break}}else lD(H,a,-1);while(0);do if((pD(c)|0)==65536){a=f[c+4>>2]|0;f[I>>2]=f[a>>2];Ha=I+4|0;Ia=a+4|0;f[Ha>>2]=f[Ia>>2];Ja=I+8|0;f[Ja>>2]=f[a+8>>2];f[I+12>>2]=f[a+12>>2];f[I+16>>2]=f[a+16>>2];f[I+20>>2]=f[a+20>>2];f[I+24>>2]=f[a+24>>2];f[I+28>>2]=f[a+28>>2];f[I+32>>2]=f[a+32>>2];Ka=f[a+36>>2]|0;f[I+36>>2]=Ka;f[I+40>>2]=Ja;Ja=I+48|0;Ma=I+44|0;f[Ma>>2]=Ja;f[Ja>>2]=0;f[I+52>>2]=0;if(Ka|0){Ja=Ka+12|0;f[Ja>>2]=(f[Ja>>2]|0)+1}if((f[Ia>>2]|0)<3){Ia=f[a+44>>2]|0;Ja=f[Ma>>2]|0;f[Ja>>2]=f[Ia>>2];f[Ja+4>>2]=f[Ia+4>>2];break}else{f[Ha>>2]=0;kP(I,a);break}}else lD(I,c,-1);while(0);do if((pD(d)|0)==65536){c=f[d+4>>2]|0;f[J>>2]=f[c>>2];a=J+4|0;Ha=c+4|0;f[a>>2]=f[Ha>>2];Ia=J+8|0;f[Ia>>2]=f[c+8>>2];f[J+12>>2]=f[c+12>>2];f[J+16>>2]=f[c+16>>2];f[J+20>>2]=f[c+20>>2];f[J+24>>2]=f[c+24>>2];f[J+28>>2]=f[c+28>>2];f[J+32>>2]=f[c+32>>2];Ja=f[c+36>>2]|0;f[J+36>>2]=Ja;f[J+40>>2]=Ia;Ia=J+48|0;Ma=J+44|0;f[Ma>>2]=Ia;f[Ia>>2]=0;f[J+52>>2]=0;if(Ja|0){Ia=Ja+12|0;f[Ia>>2]=(f[Ia>>2]|0)+1}if((f[Ha>>2]|0)<3){Ha=f[c+44>>2]|0;Ia=f[Ma>>2]|0;f[Ia>>2]=f[Ha>>2];f[Ia+4>>2]=f[Ha+4>>2];break}else{f[a>>2]=0;kP(J,c);break}}else lD(J,d,-1);while(0);c=H+16|0;if(!(f[c>>2]|0)){f[j>>2]=0;Na=j+4|0;f[Na>>2]=0;Oa=YG(j,12)|0;Pa=Oa;Qa=384479;Ra=Pa+12|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,384492,325)}a=H+4|0;Ha=f[a>>2]|0;if((Ha|0)<3)Sa=Y(f[H+12>>2]|0,f[H+8>>2]|0)|0;else{Ia=f[H+40>>2]|0;Ma=0;Ja=1;while(1){Ka=Y(f[Ia+(Ma<<2)>>2]|0,Ja)|0;Ma=Ma+1|0;if((Ma|0)==(Ha|0)){Sa=Ka;break}else Ja=Ka}}if((Ha|0)==0|(Sa|0)==0){f[j>>2]=0;Na=j+4|0;f[Na>>2]=0;Oa=YG(j,12)|0;Pa=Oa;Qa=384479;Ra=Pa+12|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,384492,325)}Oa=I+16|0;if(!(f[Oa>>2]|0)){f[j>>2]=0;Ta=j+4|0;f[Ta>>2]=0;Ua=YG(j,12)|0;Pa=Ua;Qa=384509;Ra=Pa+12|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,384492,326)}Na=I+4|0;Sa=f[Na>>2]|0;if((Sa|0)<3)Va=Y(f[I+12>>2]|0,f[I+8>>2]|0)|0;else{Ha=f[I+40>>2]|0;Ja=0;Ma=1;while(1){Ia=Y(f[Ha+(Ja<<2)>>2]|0,Ma)|0;Ja=Ja+1|0;if((Ja|0)==(Sa|0)){Va=Ia;break}else Ma=Ia}}if((Sa|0)==0|(Va|0)==0){f[j>>2]=0;Ta=j+4|0;f[Ta>>2]=0;Ua=YG(j,12)|0;Pa=Ua;Qa=384509;Ra=Pa+12|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,384492,326)}Ua=J+16|0;if(f[Ua>>2]|0){Ta=f[J+4>>2]|0;if((Ta|0)<3)Wa=Y(f[J+12>>2]|0,f[J+8>>2]|0)|0;else{Va=f[J+40>>2]|0;Sa=0;Ma=1;while(1){Ja=Y(f[Va+(Sa<<2)>>2]|0,Ma)|0;Sa=Sa+1|0;if((Sa|0)==(Ta|0)){Wa=Ja;break}else Ma=Ja}}if((Ta|0)==0|(Wa|0)==0)Xa=42}else Xa=42;if((Xa|0)==42){Wa=(e|0)==3?3:2;iE(d,Wa,3,5,-1,0,0);do if((pD(d)|0)==65536){Ta=f[d+4>>2]|0;f[j>>2]=f[Ta>>2];Ma=j+4|0;Sa=Ta+4|0;f[Ma>>2]=f[Sa>>2];Va=j+8|0;f[Va>>2]=f[Ta+8>>2];f[j+12>>2]=f[Ta+12>>2];f[j+16>>2]=f[Ta+16>>2];f[j+20>>2]=f[Ta+20>>2];f[j+24>>2]=f[Ta+24>>2];f[j+28>>2]=f[Ta+28>>2];f[j+32>>2]=f[Ta+32>>2];Ja=j+36|0;Ha=f[Ta+36>>2]|0;f[Ja>>2]=Ha;f[j+40>>2]=Va;Va=j+48|0;Ia=j+44|0;f[Ia>>2]=Va;f[Va>>2]=0;f[j+52>>2]=0;if(Ha|0){Va=Ha+12|0;f[Va>>2]=(f[Va>>2]|0)+1}if((f[Sa>>2]|0)<3){Sa=f[Ta+44>>2]|0;Va=f[Ia>>2]|0;f[Va>>2]=f[Sa>>2];f[Va+4>>2]=f[Sa+4>>2];Ya=Ja;break}else{f[Ma>>2]=0;kP(j,Ta);Ya=Ja;break}}else{lD(j,d,-1);Ya=j+36|0}while(0);d=f[Ya>>2]|0;if(d|0){Ja=d+12|0;f[Ja>>2]=(f[Ja>>2]|0)+1}Ja=J+36|0;d=f[Ja>>2]|0;if(d|0?(Ta=d+12|0,d=f[Ta>>2]|0,f[Ta>>2]=d+-1,(d|0)==1):0)lP(J);f[Ja>>2]=0;d=J+4|0;f[Ua>>2]=0;f[Ua+4>>2]=0;f[Ua+8>>2]=0;f[Ua+12>>2]=0;if((f[d>>2]|0)>0){Ta=f[J+40>>2]|0;Ma=0;do{f[Ta+(Ma<<2)>>2]=0;Ma=Ma+1|0;Za=f[d>>2]|0}while((Ma|0)<(Za|0));f[J>>2]=f[j>>2];if((Za|0)<3)Xa=59;else Xa=61}else{f[J>>2]=f[j>>2];Xa=59}if((Xa|0)==59){Za=f[j+4>>2]|0;if((Za|0)<3){f[d>>2]=Za;f[J+8>>2]=f[j+8>>2];f[J+12>>2]=f[j+12>>2];Za=f[j+44>>2]|0;d=f[J+44>>2]|0;f[d>>2]=f[Za>>2];f[d+4>>2]=f[Za+4>>2]}else Xa=61}if((Xa|0)==61)kP(J,j);Za=j+16|0;f[Ua>>2]=f[Za>>2];f[J+20>>2]=f[j+20>>2];f[J+24>>2]=f[j+24>>2];f[J+28>>2]=f[j+28>>2];f[J+32>>2]=f[j+32>>2];d=f[Ya>>2]|0;f[Ja>>2]=d;if(d|0?(Ja=d+12|0,d=f[Ja>>2]|0,f[Ja>>2]=d+-1,(d|0)==1):0)lP(j);f[Ya>>2]=0;Ya=j+4|0;f[Za>>2]=0;f[Za+4>>2]=0;f[Za+8>>2]=0;f[Za+12>>2]=0;if((f[Ya>>2]|0)>0){Za=f[j+40>>2]|0;d=0;do{f[Za+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[Ya>>2]|0))}Ya=f[j+44>>2]|0;if((Ya|0)!=(j+48|0))tE(Ya);uG(j,Wa,3,5);Wa=f[j>>2]|0;rh[f[(f[Wa>>2]|0)+12>>2]&255](Wa,j,J,-1);Xi(j)}Wa=f[H>>2]|0;if((f[I>>2]^Wa)&4095|0){f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,46)|0;Qa=384522;Ra=Pa+46|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-205,j,384492,340)}switch(Wa&4095){case 5:case 0:break;default:{f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,35)|0;Qa=384569;Ra=Pa+35|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-210,j,384492,344)}}if((f[J>>2]&4095|0)!=5){f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,55)|0;Qa=384605;Ra=Pa+55|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-210,j,384492,347)}if((f[J+12>>2]|0)!=3){f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,13)|0;Qa=384661;Ra=Pa+13|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,384492,349)}Wa=J+8|0;Ya=f[Wa>>2]|0;if((Ya&-2|0)!=2){f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,29)|0;Qa=384675;Ra=Pa+29|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,384492,350)}switch(e|0){case 3:{Xa=83;break}case 2:case 1:case 0:break;default:{f[j>>2]=0;f[j+4>>2]=0;Krc(YG(j,132)|0,384705,132)|0;jya(-215,j,384492,353)}}if((Xa|0)==83?(Ya|0)!=3:0){f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,12)|0;Qa=384838;Ra=Pa+12|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,384492,356)}Ya=f[g>>2]|0;d=(Ya&1|0)!=0;Za=(Ya&2|0)==0;if(Za&(d^1)){f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,72)|0;Qa=384851;Ra=Pa+72|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,384492,359)}if(d)_a=f[g+4>>2]|0;else _a=200;if(Za)$a=-1.0;else $a=+p[g+8>>3];switch(e|0){case 0:{ab=2;break}case 1:{ab=3;break}case 3:{ab=8;break}default:ab=6}g=f[H+12>>2]|0;Za=f[H+8>>2]|0;d=f[I+12>>2]|0;Ya=f[I+8>>2]|0;f[K>>2]=1124007936;Ja=K+4|0;Ma=K+8|0;Ta=K+40|0;Pa=Ja;Ra=Pa+36|0;do{f[Pa>>2]=0;Pa=Pa+4|0}while((Pa|0)<(Ra|0));f[Ta>>2]=Ma;Ma=K+48|0;Sa=K+44|0;f[Sa>>2]=Ma;f[Ma>>2]=0;f[K+52>>2]=0;f[j>>2]=1;Va=j+4|0;f[Va>>2]=g;iP(K,2,j,5);f[N>>2]=1124007936;Ia=N+4|0;Ha=N+8|0;Ka=N+40|0;Pa=Ia;Ra=Pa+36|0;do{f[Pa>>2]=0;Pa=Pa+4|0}while((Pa|0)<(Ra|0));f[Ka>>2]=Ha;Ha=N+48|0;La=N+44|0;f[La>>2]=Ha;f[Ha>>2]=0;f[N+52>>2]=0;f[j>>2]=Za;f[Va>>2]=1;iP(N,2,j,5);f[Q>>2]=1124007936;bb=Q+4|0;cb=Q+8|0;db=Q+40|0;Pa=bb;Ra=Pa+36|0;do{f[Pa>>2]=0;Pa=Pa+4|0}while((Pa|0)<(Ra|0));f[db>>2]=cb;cb=Q+48|0;eb=Q+44|0;f[eb>>2]=cb;f[cb>>2]=0;f[Q+52>>2]=0;f[j>>2]=Za;f[Va>>2]=g;iP(Q,2,j,5);f[R>>2]=1124007936;fb=R+4|0;gb=R+8|0;hb=R+40|0;Pa=fb;Ra=Pa+36|0;do{f[Pa>>2]=0;Pa=Pa+4|0}while((Pa|0)<(Ra|0));f[hb>>2]=gb;gb=R+48|0;ib=R+44|0;f[ib>>2]=gb;f[gb>>2]=0;f[R+52>>2]=0;f[j>>2]=Za;f[Va>>2]=g;iP(R,2,j,5);jb=K+16|0;kb=f[jb>>2]|0;lb=N+16|0;mb=f[lb>>2]|0;if((g|0)>0){nb=0;do{n[kb+(nb<<2)>>2]=+(nb|0);nb=nb+1|0}while((nb|0)!=(g|0))}if((Za|0)>0){nb=0;do{n[mb+(nb<<2)>>2]=+(nb|0);nb=nb+1|0}while((nb|0)!=(Za|0))}f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=K;nb=k+8|0;f[nb>>2]=0;f[nb+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=Q;rT(j,Za,1,k);f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=N;nb=k+8|0;f[nb>>2]=0;f[nb+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=R;rT(j,1,g,k);nb=K+36|0;mb=f[nb>>2]|0;do if(mb|0){kb=mb+12|0;ob=f[kb>>2]|0;f[kb>>2]=ob+-1;if((ob|0)!=1)break;lP(K)}while(0);f[nb>>2]=0;f[jb>>2]=0;f[jb+4>>2]=0;f[jb+8>>2]=0;f[jb+12>>2]=0;if((f[Ja>>2]|0)>0){mb=f[Ta>>2]|0;ob=0;do{f[mb+(ob<<2)>>2]=0;ob=ob+1|0}while((ob|0)<(f[Ja>>2]|0))}ob=N+36|0;mb=f[ob>>2]|0;do if(mb|0){kb=mb+12|0;pb=f[kb>>2]|0;f[kb>>2]=pb+-1;if((pb|0)!=1)break;lP(N)}while(0);f[ob>>2]=0;f[lb>>2]=0;f[lb+4>>2]=0;f[lb+8>>2]=0;f[lb+12>>2]=0;if((f[Ia>>2]|0)>0){mb=f[Ka>>2]|0;pb=0;do{f[mb+(pb<<2)>>2]=0;pb=pb+1|0}while((pb|0)<(f[Ia>>2]|0))}f[T>>2]=1124007936;pb=T+4|0;mb=T+8|0;kb=T+40|0;Pa=pb;Ra=Pa+36|0;do{f[Pa>>2]=0;Pa=Pa+4|0}while((Pa|0)<(Ra|0));f[kb>>2]=mb;qb=T+48|0;rb=T+44|0;f[rb>>2]=qb;f[qb>>2]=0;f[T+52>>2]=0;f[j>>2]=Za;f[Va>>2]=g;iP(T,2,j,5);f[U>>2]=1124007936;sb=U+4|0;tb=U+8|0;ub=U+40|0;Pa=sb;Ra=Pa+36|0;do{f[Pa>>2]=0;Pa=Pa+4|0}while((Pa|0)<(Ra|0));f[ub>>2]=tb;tb=U+48|0;vb=U+44|0;f[vb>>2]=tb;f[tb>>2]=0;f[U+52>>2]=0;f[j>>2]=Za;f[Va>>2]=g;iP(U,2,j,5);f[V>>2]=1124007936;wb=V+4|0;xb=V+8|0;yb=V+40|0;Pa=wb;Ra=Pa+36|0;do{f[Pa>>2]=0;Pa=Pa+4|0}while((Pa|0)<(Ra|0));f[yb>>2]=xb;xb=V+48|0;zb=V+44|0;f[zb>>2]=xb;f[xb>>2]=0;f[V+52>>2]=0;f[j>>2]=Ya;f[Va>>2]=d;iP(V,2,j,5);f[W>>2]=1124007936;Ab=W+4|0;Bb=W+8|0;Cb=W+40|0;Pa=Ab;Ra=Pa+36|0;do{f[Pa>>2]=0;Pa=Pa+4|0}while((Pa|0)<(Ra|0));f[Cb>>2]=Bb;Bb=W+48|0;Db=W+44|0;f[Db>>2]=Bb;f[Bb>>2]=0;f[W+52>>2]=0;f[j>>2]=Za;f[Va>>2]=g;iP(W,2,j,5);f[X>>2]=1124007936;Eb=X+4|0;Fb=X+8|0;Gb=X+40|0;Pa=Eb;Ra=Pa+36|0;do{f[Pa>>2]=0;Pa=Pa+4|0}while((Pa|0)<(Ra|0));f[Gb>>2]=Fb;Fb=X+48|0;Hb=X+44|0;f[Hb>>2]=Fb;f[Fb>>2]=0;f[X+52>>2]=0;f[j>>2]=Za;f[Va>>2]=g;iP(X,2,j,0);do if((pD(h)|0)==65536){Ib=f[h+4>>2]|0;f[Z>>2]=f[Ib>>2];Jb=Z+4|0;Kb=Ib+4|0;f[Jb>>2]=f[Kb>>2];Lb=Z+8|0;f[Lb>>2]=f[Ib+8>>2];f[Z+12>>2]=f[Ib+12>>2];f[Z+16>>2]=f[Ib+16>>2];f[Z+20>>2]=f[Ib+20>>2];f[Z+24>>2]=f[Ib+24>>2];f[Z+28>>2]=f[Ib+28>>2];f[Z+32>>2]=f[Ib+32>>2];Mb=f[Ib+36>>2]|0;f[Z+36>>2]=Mb;f[Z+40>>2]=Lb;Lb=Z+48|0;Nb=Z+44|0;f[Nb>>2]=Lb;f[Lb>>2]=0;f[Z+52>>2]=0;if(Mb|0){Lb=Mb+12|0;f[Lb>>2]=(f[Lb>>2]|0)+1}if((f[Kb>>2]|0)<3){Kb=f[Ib+44>>2]|0;Lb=f[Nb>>2]|0;f[Lb>>2]=f[Kb>>2];f[Lb+4>>2]=f[Kb+4>>2];break}else{f[Jb>>2]=0;kP(Z,Ib);break}}else lD(Z,h,-1);while(0);f[_>>2]=1124007936;Ib=_+4|0;Jb=_+8|0;Kb=_+40|0;Pa=Ib;Ra=Pa+36|0;do{f[Pa>>2]=0;Pa=Pa+4|0}while((Pa|0)<(Ra|0));f[Kb>>2]=Jb;Jb=_+48|0;Lb=_+44|0;f[Lb>>2]=Jb;f[Jb>>2]=0;f[_+52>>2]=0;if(DD(h)|0){sG(j,Ya,d,0);Nb=f[j>>2]|0;rh[f[(f[Nb>>2]|0)+12>>2]&255](Nb,j,_,-1);Xi(j)}else{Nb=j+8|0;f[Nb>>2]=0;f[Nb+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=_;+_ha(h,j,0.0,1.0,0)}h=j+8|0;f[h>>2]=0;f[h+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=U;IO(H,j,f[U>>2]&4095,1.0,0.0);f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=U;h=k+8|0;f[h>>2]=0;f[h+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=U;f[$>>2]=5;f[$+4>>2]=5;Yaa(j,k,$,0.0,0.0,4);f[aa>>2]=1124007936;$=aa+4|0;h=aa+8|0;Nb=aa+40|0;Pa=$;Ra=Pa+36|0;do{f[Pa>>2]=0;Pa=Pa+4|0}while((Pa|0)<(Ra|0));f[Nb>>2]=h;h=aa+48|0;Mb=aa+44|0;f[Mb>>2]=h;f[h>>2]=0;f[aa+52>>2]=0;Ob=j+8|0;f[Ob>>2]=0;f[Ob+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=aa;IO(_,j,5,1.0,0.0);f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=aa;Ob=k+8|0;f[Ob>>2]=0;f[Ob+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=aa;f[ba>>2]=5;f[ba+4>>2]=5;Yaa(j,k,ba,0.0,0.0,4);ba=j+8|0;f[ba>>2]=0;f[ba+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=aa;IO(aa,j,-1,.5263157894736842,0.0);ba=j+8|0;f[ba>>2]=0;f[ba+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=_;IO(aa,j,f[_>>2]&4095,1.0,0.0);ba=j+8|0;f[ba>>2]=0;f[ba+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=aa;IO(_,j,f[aa>>2]&4095,1.0,0.0);ba=j+8|0;f[ba>>2]=0;f[ba+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=V;IO(I,j,f[V>>2]&4095,1.0,0.0);f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=V;ba=k+8|0;f[ba>>2]=0;f[ba+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=V;f[ca>>2]=5;f[ca+4>>2]=5;Yaa(j,k,ca,0.0,0.0,4);pG(ea,Ya,d,5);f[da>>2]=1124007936;ca=da+4|0;ba=da+8|0;Ob=da+40|0;Pa=ca;Ra=Pa+36|0;do{f[Pa>>2]=0;Pa=Pa+4|0}while((Pa|0)<(Ra|0));f[Ob>>2]=ba;ba=da+48|0;Pb=da+44|0;f[Pb>>2]=ba;f[ba>>2]=0;f[da+52>>2]=0;Qb=f[ea>>2]|0;rh[f[(f[Qb>>2]|0)+12>>2]&255](Qb,ea,da,-1);Xi(ea);pG(ga,Ya,d,5);f[fa>>2]=1124007936;d=fa+4|0;Ya=fa+8|0;ea=fa+40|0;Pa=d;Ra=Pa+36|0;do{f[Pa>>2]=0;Pa=Pa+4|0}while((Pa|0)<(Ra|0));f[ea>>2]=Ya;Ya=fa+48|0;Qb=fa+44|0;f[Qb>>2]=Ya;f[Ya>>2]=0;f[fa+52>>2]=0;Rb=f[ga>>2]|0;rh[f[(f[Rb>>2]|0)+12>>2]&255](Rb,ga,fa,-1);Xi(ga);f[ha>>2]=1124007936;ga=ha+4|0;Rb=ha+8|0;Sb=ha+40|0;Pa=ga;Ra=Pa+36|0;do{f[Pa>>2]=0;Pa=Pa+4|0}while((Pa|0)<(Ra|0));f[Sb>>2]=Rb;Tb=ha+48|0;Ub=ha+44|0;f[Ub>>2]=Tb;f[Tb>>2]=0;f[ha+52>>2]=0;f[j>>2]=Za;f[Va>>2]=g;iP(ha,2,j,5);f[ia>>2]=1124007936;Vb=ia+4|0;Wb=ia+8|0;Xb=ia+40|0;Pa=Vb;Ra=Pa+36|0;do{f[Pa>>2]=0;Pa=Pa+4|0}while((Pa|0)<(Ra|0));f[Xb>>2]=Wb;Wb=ia+48|0;Yb=ia+44|0;f[Yb>>2]=Wb;f[Wb>>2]=0;f[ia+52>>2]=0;f[j>>2]=Za;f[Va>>2]=g;iP(ia,2,j,5);n[ja>>2]=-.5;Zb=ja+4|0;n[Zb>>2]=0.0;_b=ja+8|0;n[_b>>2]=.5;f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=V;$b=k+8|0;f[$b>>2]=0;f[$b+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=da;f[l>>2]=-1056833531;f[l+4>>2]=ja;f[l+8>>2]=3;f[l+12>>2]=1;f[ka>>2]=-1;f[ka+4>>2]=-1;yha(j,k,-1,l,ka,0.0,4);f[j+8>>2]=0;f[j+12>>2]=0;f[j>>2]=16842752;f[j+4>>2]=V;ka=k+8|0;f[ka>>2]=0;f[ka+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=fa;f[m>>2]=f[ja>>2];f[m+4>>2]=f[Zb>>2];f[m+8>>2]=f[_b>>2];f[l>>2]=-1056833531;f[l+4>>2]=m;f[l+8>>2]=1;f[l+12>>2]=3;f[la>>2]=-1;f[la+4>>2]=-1;yha(j,k,-1,l,la,0.0,4);f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=aa;oG(j,da,k,1.0);la=f[j>>2]|0;rh[f[(f[la>>2]|0)+12>>2]&255](la,j,da,-1);Xi(j);f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=aa;oG(j,fa,k,1.0);la=f[j>>2]|0;rh[f[(f[la>>2]|0)+12>>2]&255](la,j,fa,-1);Xi(j);la=Y(g,ab)|0;f[ma>>2]=1124007936;_b=ma+4|0;Zb=ma+8|0;ja=ma+40|0;Pa=_b;Ra=Pa+36|0;do{f[Pa>>2]=0;Pa=Pa+4|0}while((Pa|0)<(Ra|0));f[ja>>2]=Zb;ka=ma+48|0;$b=ma+44|0;f[$b>>2]=ka;f[ka>>2]=0;f[ma+52>>2]=0;f[j>>2]=Za;f[Va>>2]=la;iP(ma,2,j,5);f[na>>2]=1124007936;la=na+4|0;ac=na+8|0;bc=na+40|0;Pa=la;Ra=Pa+36|0;do{f[Pa>>2]=0;Pa=Pa+4|0}while((Pa|0)<(Ra|0));f[bc>>2]=ac;ac=na+48|0;cc=na+44|0;f[cc>>2]=ac;f[ac>>2]=0;f[na+52>>2]=0;f[j>>2]=ab;f[Va>>2]=ab;iP(na,2,j,5);f[oa>>2]=1124007936;dc=oa+4|0;ec=oa+8|0;fc=oa+40|0;Pa=dc;Ra=Pa+36|0;do{f[Pa>>2]=0;Pa=Pa+4|0}while((Pa|0)<(Ra|0));f[fc>>2]=ec;ec=oa+48|0;gc=oa+44|0;f[gc>>2]=ec;f[ec>>2]=0;f[oa+52>>2]=0;f[j>>2]=ab;f[Va>>2]=ab;iP(oa,2,j,5);f[pa>>2]=1124007936;hc=pa+4|0;ic=pa+8|0;jc=pa+40|0;Pa=hc;Ra=Pa+36|0;do{f[Pa>>2]=0;Pa=Pa+4|0}while((Pa|0)<(Ra|0));f[jc>>2]=ic;ic=pa+48|0;kc=pa+44|0;f[kc>>2]=ic;f[ic>>2]=0;f[pa+52>>2]=0;f[j>>2]=ab;f[Va>>2]=1;iP(pa,2,j,5);f[qa>>2]=1124007936;lc=qa+4|0;mc=qa+8|0;nc=qa+40|0;Pa=lc;Ra=Pa+36|0;do{f[Pa>>2]=0;Pa=Pa+4|0}while((Pa|0)<(Ra|0));f[nc>>2]=mc;mc=qa+48|0;oc=qa+44|0;f[oc>>2]=mc;f[mc>>2]=0;f[qa+52>>2]=0;f[j>>2]=ab;f[Va>>2]=1;iP(qa,2,j,5);f[ra>>2]=1124007936;pc=ra+4|0;qc=ra+8|0;rc=ra+40|0;Pa=pc;Ra=Pa+36|0;do{f[Pa>>2]=0;Pa=Pa+4|0}while((Pa|0)<(Ra|0));f[rc>>2]=qc;qc=ra+48|0;sc=ra+44|0;f[sc>>2]=qc;f[qc>>2]=0;f[ra+52>>2]=0;f[j>>2]=ab;f[Va>>2]=1;iP(ra,2,j,5);f[sa>>2]=1124007936;tc=sa+4|0;uc=sa+8|0;vc=sa+40|0;Pa=tc;Ra=Pa+36|0;do{f[Pa>>2]=0;Pa=Pa+4|0}while((Pa|0)<(Ra|0));f[vc>>2]=uc;uc=sa+48|0;wc=sa+44|0;f[wc>>2]=uc;f[uc>>2]=0;f[sa+52>>2]=0;f[j>>2]=ab;f[Va>>2]=1;iP(sa,2,j,5);f[ta>>2]=1124007936;xc=ta+4|0;yc=ta+8|0;zc=ta+40|0;Pa=xc;Ra=Pa+36|0;do{f[Pa>>2]=0;Pa=Pa+4|0}while((Pa|0)<(Ra|0));f[zc>>2]=yc;Ac=ta+48|0;Bc=ta+44|0;f[Bc>>2]=Ac;f[Ac>>2]=0;f[ta+52>>2]=0;f[j>>2]=ab;f[Va>>2]=1;iP(ta,2,j,5);f[ua>>2]=1124007936;ab=ua+4|0;Cc=ua+8|0;Dc=ua+40|0;Pa=ab;Ra=Pa+36|0;do{f[Pa>>2]=0;Pa=Pa+4|0}while((Pa|0)<(Ra|0));f[Dc>>2]=Cc;Cc=ua+48|0;Ec=ua+44|0;f[Ec>>2]=Cc;f[Cc>>2]=0;f[ua+52>>2]=0;f[j>>2]=Za;f[Va>>2]=g;iP(ua,2,j,5);a:do if((_a|0)<1)Fc=-1.0;else{g=(e|0)==3;Va=j+8|0;Za=j+12|0;Gc=j+4|0;Hc=k+8|0;Ic=k+4|0;Jc=l+8|0;Kc=l+12|0;Lc=l+4|0;Mc=za+4|0;Nc=j+8|0;Oc=j+12|0;Pc=j+4|0;Qc=k+8|0;Rc=k+4|0;Sc=l+8|0;Tc=l+12|0;Uc=l+4|0;Vc=Aa+4|0;Wc=j+8|0;Xc=j+12|0;Yc=j+4|0;Zc=k+8|0;_c=k+4|0;$c=l+8|0;ad=l+12|0;bd=l+4|0;cd=Ba+4|0;dd=j+8|0;ed=j+12|0;fd=j+4|0;gd=k+8|0;hd=k+4|0;id=l+8|0;jd=l+12|0;kd=l+4|0;ld=Ca+4|0;md=j+8|0;nd=j+12|0;od=j+4|0;pd=k+4|0;qd=k+8|0;rd=k+12|0;sd=l+4|0;td=l+8|0;ud=l+12|0;vd=m+8|0;wd=m+12|0;xd=m+4|0;yd=j+8|0;zd=j+12|0;Ad=j+4|0;Bd=k+4|0;Cd=k+8|0;Dd=k+12|0;Ed=l+4|0;Fd=l+8|0;Gd=l+12|0;Hd=m+8|0;Id=m+12|0;Jd=m+4|0;Kd=j+8|0;Ld=j+12|0;Md=j+4|0;Nd=k+8|0;Od=k+12|0;Pd=k+4|0;Qd=l+8|0;Rd=l+4|0;Sd=m+8|0;Td=m+12|0;Ud=m+4|0;Vd=T+12|0;Wd=j+8|0;Xd=j+12|0;Yd=j+4|0;Zd=k+8|0;_d=k+12|0;$d=k+4|0;ae=l+8|0;be=l+4|0;ce=m+8|0;de=m+12|0;ee=m+4|0;fe=j+8|0;ge=j+12|0;he=j+4|0;ie=j+8|0;je=j+12|0;ke=j+4|0;le=j+8|0;me=j+12|0;ne=j+4|0;oe=j+8|0;pe=j+12|0;qe=j+4|0;re=j+8|0;se=j+12|0;te=j+4|0;ue=(e|0)==0;ve=(e|0)==1;we=(e|0)==2;xe=e>>>0<4;ye=ta+12|0;ze=ta+16|0;Ae=ma+12|0;Be=ha+12|0;Ce=m+8|0;De=m+12|0;Ee=m+4|0;Fe=j+4|0;Ge=k+4|0;He=o+36|0;Ie=o+16|0;Je=o+4|0;Ke=o+40|0;Le=o+44|0;Me=o+48|0;Ne=m+8|0;Oe=m+12|0;Pe=m+4|0;Qe=j+4|0;Re=k+4|0;Se=q+36|0;Te=q+16|0;Ue=q+4|0;Ve=q+40|0;We=q+44|0;Xe=q+48|0;Ye=m+8|0;Ze=m+12|0;_e=m+4|0;$e=j+4|0;af=k+4|0;bf=r+36|0;cf=r+16|0;df=r+4|0;ef=r+40|0;ff=r+44|0;gf=r+48|0;hf=m+8|0;jf=m+12|0;kf=m+4|0;lf=j+4|0;mf=k+4|0;nf=t+36|0;of=t+16|0;pf=t+4|0;qf=t+40|0;rf=t+44|0;sf=t+48|0;tf=j+4|0;uf=k+4|0;vf=l+8|0;wf=l+4|0;xf=m+36|0;yf=m+16|0;zf=m+4|0;Af=m+40|0;Bf=m+44|0;Cf=m+48|0;Df=j+4|0;Ef=k+4|0;Ff=l+8|0;Gf=l+4|0;Hf=m+36|0;If=m+16|0;Jf=m+4|0;Kf=m+40|0;Lf=m+44|0;Mf=m+48|0;Nf=q+8|0;Of=l+4|0;Pf=l+8|0;Qf=l+40|0;Rf=l+48|0;Sf=l+44|0;Tf=l+52|0;Uf=v+8|0;Vf=o+4|0;Wf=o+8|0;Xf=o+40|0;Yf=o+48|0;Zf=o+44|0;_f=o+52|0;$f=j+8|0;ag=j+12|0;bg=j+4|0;cg=k+8|0;dg=k+12|0;eg=k+4|0;fg=q+8|0;gg=q+4|0;hg=x+8|0;ig=q+4|0;jg=q+8|0;kg=q+40|0;lg=q+48|0;mg=q+44|0;ng=q+52|0;og=j+8|0;pg=j+12|0;qg=j+4|0;rg=k+8|0;sg=k+12|0;tg=k+4|0;ug=t+8|0;vg=t+4|0;wg=t+4|0;xg=t+8|0;yg=t+40|0;zg=t+48|0;Ag=t+44|0;Bg=t+52|0;Cg=v+4|0;Dg=v+8|0;Eg=v+40|0;Fg=v+48|0;Gg=v+44|0;Hg=v+52|0;Ig=j+8|0;Jg=j+12|0;Kg=j+4|0;Lg=k+8|0;Mg=k+12|0;Ng=k+4|0;Og=x+8|0;Pg=x+4|0;Qg=j+8|0;Rg=j+12|0;Sg=j+4|0;Tg=k+8|0;Ug=k+12|0;Vg=k+4|0;Wg=x+8|0;Xg=x+4|0;Yg=y+8|0;Zg=y+12|0;_g=y+4|0;$g=j+4|0;ah=k+4|0;bh=z+36|0;ch=z+16|0;dh=z+4|0;eh=z+40|0;fh=z+44|0;gh=z+48|0;hh=y+8|0;ih=y+12|0;jh=y+4|0;kh=j+4|0;lh=k+4|0;mh=A+36|0;nh=A+16|0;oh=A+4|0;ph=A+40|0;qh=A+44|0;sh=A+48|0;th=k+8|0;uh=k+12|0;vh=k+4|0;wh=C+8|0;xh=C+12|0;yh=C+4|0;zh=x+4|0;Ah=x+8|0;Bh=x+40|0;Ch=x+48|0;Dh=x+44|0;Eh=x+52|0;Fh=C+8|0;Gh=C+12|0;Hh=C+4|0;Ih=j+4|0;Jh=k+4|0;Kh=D+36|0;Lh=D+16|0;Mh=D+4|0;Nh=D+40|0;Oh=D+44|0;Ph=D+48|0;Qh=o+36|0;Rh=o+16|0;Sh=q+36|0;Th=q+16|0;Uh=C+8|0;Vh=C+12|0;Wh=C+4|0;Xh=j+4|0;Yh=k+4|0;Zh=E+36|0;_h=E+16|0;$h=E+4|0;ai=E+40|0;bi=E+44|0;ci=E+48|0;di=C+8|0;ei=C+12|0;fi=C+4|0;gi=j+4|0;hi=k+4|0;ii=F+36|0;ji=F+16|0;ki=F+4|0;li=F+40|0;mi=F+44|0;ni=F+48|0;oi=C+8|0;pi=C+12|0;qi=C+4|0;ri=j+4|0;si=k+4|0;ti=G+36|0;ui=G+16|0;vi=G+4|0;wi=G+40|0;xi=G+44|0;yi=G+48|0;zi=j+4|0;Ai=k+4|0;Bi=y+8|0;Ci=y+4|0;Di=C+36|0;Ei=C+16|0;Fi=C+4|0;Gi=C+40|0;Hi=C+44|0;Ii=C+48|0;Ji=j+4|0;Ki=k+4|0;Li=y+8|0;Mi=y+4|0;Ni=C+36|0;Oi=C+16|0;Pi=C+4|0;Qi=C+40|0;Ri=C+44|0;Si=C+48|0;Ti=x+36|0;Ui=x+16|0;Vi=v+36|0;Wi=v+16|0;Yi=t+36|0;Zi=t+16|0;_i=l+36|0;$i=l+16|0;aj=j+4|0;bj=k+4|0;cj=l+8|0;dj=l+4|0;ej=m+36|0;fj=m+16|0;gj=m+4|0;hj=m+40|0;ij=m+44|0;jj=m+48|0;kj=j+4|0;lj=k+4|0;mj=l+8|0;nj=l+4|0;oj=m+36|0;pj=m+16|0;qj=m+4|0;rj=m+40|0;sj=m+44|0;tj=m+48|0;uj=l+4|0;vj=l+8|0;wj=l+40|0;xj=l+48|0;yj=l+44|0;zj=l+52|0;Aj=o+4|0;Bj=o+8|0;Cj=o+40|0;Dj=o+48|0;Ej=o+44|0;Fj=o+52|0;Gj=v+8|0;Hj=v+12|0;Ij=v+4|0;Jj=x+8|0;Kj=x+12|0;Lj=x+4|0;Mj=j+4|0;Nj=k+4|0;Oj=y+36|0;Pj=y+16|0;Qj=y+4|0;Rj=y+40|0;Sj=y+44|0;Tj=y+48|0;Uj=j+4|0;Vj=k+4|0;Wj=r+8|0;Xj=r+4|0;Yj=t+36|0;Zj=t+16|0;_j=t+4|0;$j=t+40|0;ak=t+44|0;bk=t+48|0;ck=j+4|0;dk=k+4|0;ek=r+8|0;fk=r+4|0;gk=t+36|0;hk=t+16|0;ik=t+4|0;jk=t+40|0;kk=t+44|0;lk=t+48|0;mk=o+36|0;nk=o+16|0;ok=l+36|0;pk=l+16|0;qk=j+8|0;rk=j+12|0;sk=j+4|0;tk=k+8|0;uk=k+4|0;vk=l+8|0;wk=l+12|0;xk=l+4|0;yk=va+4|0;zk=j+8|0;Ak=j+12|0;Bk=j+4|0;Ck=k+8|0;Dk=k+4|0;Ek=l+8|0;Fk=l+12|0;Gk=l+4|0;Hk=wa+4|0;Ik=j+8|0;Jk=j+12|0;Kk=j+4|0;Lk=k+8|0;Mk=k+4|0;Nk=l+8|0;Ok=l+12|0;Pk=l+4|0;Qk=xa+4|0;Rk=j+8|0;Sk=j+12|0;Tk=j+4|0;Uk=k+8|0;Vk=k+4|0;Wk=l+8|0;Xk=l+12|0;Yk=l+4|0;Zk=ya+4|0;_k=-1.0;$k=1;al=-$a;b:while(1){if(!(+L(+(_k-al))>=$a)){Fc=_k;break a}if(g){f[Va>>2]=0;f[Za>>2]=0;f[j>>2]=16842752;f[Gc>>2]=V;bl=Hc;f[bl>>2]=0;f[bl+4>>2]=0;f[k>>2]=33619968;f[Ic>>2]=W;f[Jc>>2]=0;f[Kc>>2]=0;f[l>>2]=16842752;f[Lc>>2]=J;bl=f[Cb>>2]|0;cl=f[bl>>2]|0;f[za>>2]=f[bl+4>>2];f[Mc>>2]=cl;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;f[m+24>>2]=0;f[m+28>>2]=0;cta(j,k,l,za,17,0,m);f[Nc>>2]=0;f[Oc>>2]=0;f[j>>2]=16842752;f[Pc>>2]=da;cl=Qc;f[cl>>2]=0;f[cl+4>>2]=0;f[k>>2]=33619968;f[Rc>>2]=ha;f[Sc>>2]=0;f[Tc>>2]=0;f[l>>2]=16842752;f[Uc>>2]=J;cl=f[Sb>>2]|0;bl=f[cl>>2]|0;f[Aa>>2]=f[cl+4>>2];f[Vc>>2]=bl;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;f[m+24>>2]=0;f[m+28>>2]=0;cta(j,k,l,Aa,17,0,m);f[Wc>>2]=0;f[Xc>>2]=0;f[j>>2]=16842752;f[Yc>>2]=fa;bl=Zc;f[bl>>2]=0;f[bl+4>>2]=0;f[k>>2]=33619968;f[_c>>2]=ia;f[$c>>2]=0;f[ad>>2]=0;f[l>>2]=16842752;f[bd>>2]=J;bl=f[Xb>>2]|0;cl=f[bl>>2]|0;f[Ba>>2]=f[bl+4>>2];f[cd>>2]=cl;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;f[m+24>>2]=0;f[m+28>>2]=0;cta(j,k,l,Ba,17,0,m);f[dd>>2]=0;f[ed>>2]=0;f[j>>2]=16842752;f[fd>>2]=_;cl=gd;f[cl>>2]=0;f[cl+4>>2]=0;f[k>>2]=33619968;f[hd>>2]=X;f[id>>2]=0;f[jd>>2]=0;f[l>>2]=16842752;f[kd>>2]=J;cl=f[Gb>>2]|0;bl=f[cl>>2]|0;f[Ca>>2]=f[cl+4>>2];f[ld>>2]=bl;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;f[m+24>>2]=0;f[m+28>>2]=0;cta(j,k,l,Ca,16,0,m)}else{f[qk>>2]=0;f[rk>>2]=0;f[j>>2]=16842752;f[sk>>2]=V;bl=tk;f[bl>>2]=0;f[bl+4>>2]=0;f[k>>2]=33619968;f[uk>>2]=W;f[vk>>2]=0;f[wk>>2]=0;f[l>>2]=16842752;f[xk>>2]=J;bl=f[Cb>>2]|0;cl=f[bl>>2]|0;f[va>>2]=f[bl+4>>2];f[yk>>2]=cl;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;f[m+24>>2]=0;f[m+28>>2]=0;Ysa(j,k,l,va,17,0,m);f[zk>>2]=0;f[Ak>>2]=0;f[j>>2]=16842752;f[Bk>>2]=da;cl=Ck;f[cl>>2]=0;f[cl+4>>2]=0;f[k>>2]=33619968;f[Dk>>2]=ha;f[Ek>>2]=0;f[Fk>>2]=0;f[l>>2]=16842752;f[Gk>>2]=J;cl=f[Sb>>2]|0;bl=f[cl>>2]|0;f[wa>>2]=f[cl+4>>2];f[Hk>>2]=bl;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;f[m+24>>2]=0;f[m+28>>2]=0;Ysa(j,k,l,wa,17,0,m);f[Ik>>2]=0;f[Jk>>2]=0;f[j>>2]=16842752;f[Kk>>2]=fa;bl=Lk;f[bl>>2]=0;f[bl+4>>2]=0;f[k>>2]=33619968;f[Mk>>2]=ia;f[Nk>>2]=0;f[Ok>>2]=0;f[l>>2]=16842752;f[Pk>>2]=J;bl=f[Xb>>2]|0;cl=f[bl>>2]|0;f[xa>>2]=f[bl+4>>2];f[Qk>>2]=cl;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;f[m+24>>2]=0;f[m+28>>2]=0;Ysa(j,k,l,xa,17,0,m);f[Rk>>2]=0;f[Sk>>2]=0;f[j>>2]=16842752;f[Tk>>2]=_;cl=Uk;f[cl>>2]=0;f[cl+4>>2]=0;f[k>>2]=33619968;f[Vk>>2]=X;f[Wk>>2]=0;f[Xk>>2]=0;f[l>>2]=16842752;f[Yk>>2]=J;cl=f[Gb>>2]|0;bl=f[cl>>2]|0;f[ya>>2]=f[cl+4>>2];f[Zk>>2]=bl;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;f[m+24>>2]=0;f[m+28>>2]=0;Ysa(j,k,l,ya,16,0,m)};f[Da>>2]=0;f[Da+4>>2]=0;f[Da+8>>2]=0;f[Da+12>>2]=0;f[Da+16>>2]=0;f[Da+20>>2]=0;f[Da+24>>2]=0;f[Da+28>>2]=0;f[Ea>>2]=0;f[Ea+4>>2]=0;f[Ea+8>>2]=0;f[Ea+12>>2]=0;f[Ea+16>>2]=0;f[Ea+20>>2]=0;f[Ea+24>>2]=0;f[Ea+28>>2]=0;f[Fa>>2]=0;f[Fa+4>>2]=0;f[Fa+8>>2]=0;f[Fa+12>>2]=0;f[Fa+16>>2]=0;f[Fa+20>>2]=0;f[Fa+24>>2]=0;f[Fa+28>>2]=0;f[Ga>>2]=0;f[Ga+4>>2]=0;f[Ga+8>>2]=0;f[Ga+12>>2]=0;f[Ga+16>>2]=0;f[Ga+20>>2]=0;f[Ga+24>>2]=0;f[Ga+28>>2]=0;f[md>>2]=0;f[nd>>2]=0;f[j>>2]=16842752;f[od>>2]=W;f[k>>2]=-1040056314;f[pd>>2]=Da;f[qd>>2]=1;f[rd>>2]=4;f[l>>2]=-1040056314;f[sd>>2]=Ea;f[td>>2]=1;f[ud>>2]=4;f[vd>>2]=0;f[wd>>2]=0;f[m>>2]=16842752;f[xd>>2]=X;cS(j,k,l,m);f[yd>>2]=0;f[zd>>2]=0;f[j>>2]=16842752;f[Ad>>2]=U;f[k>>2]=-1040056314;f[Bd>>2]=Fa;f[Cd>>2]=1;f[Dd>>2]=4;f[l>>2]=-1040056314;f[Ed>>2]=Ga;f[Fd>>2]=1;f[Gd>>2]=4;f[Hd>>2]=0;f[Id>>2]=0;f[m>>2]=16842752;f[Jd>>2]=X;cS(j,k,l,m);f[Kd>>2]=0;f[Ld>>2]=0;f[j>>2]=16842752;f[Md>>2]=W;f[k>>2]=-1056833530;f[Pd>>2]=Da;f[Nd>>2]=1;f[Od>>2]=4;bl=Qd;f[bl>>2]=0;f[bl+4>>2]=0;f[l>>2]=33619968;f[Rd>>2]=W;f[Sd>>2]=0;f[Td>>2]=0;f[m>>2]=16842752;f[Ud>>2]=X;fI(j,k,l,m,-1);pG(j,f[mb>>2]|0,f[Vd>>2]|0,f[T>>2]&4095);bl=f[j>>2]|0;rh[f[(f[bl>>2]|0)+12>>2]&255](bl,j,T,-1);Xi(j);f[Wd>>2]=0;f[Xd>>2]=0;f[j>>2]=16842752;f[Yd>>2]=U;f[k>>2]=-1056833530;f[$d>>2]=Fa;f[Zd>>2]=1;f[_d>>2]=4;bl=ae;f[bl>>2]=0;f[bl+4>>2]=0;f[l>>2]=33619968;f[be>>2]=T;f[ce>>2]=0;f[de>>2]=0;f[m>>2]=16842752;f[ee>>2]=X;fI(j,k,l,m,-1);f[fe>>2]=0;f[ge>>2]=0;f[j>>2]=16842752;f[he>>2]=X;dl=+(PX(j)|0);el=+p[Ga>>3];fl=+M(+(el*(dl*el)));f[ie>>2]=0;f[je>>2]=0;f[j>>2]=16842752;f[ke>>2]=X;el=+(PX(j)|0);dl=+p[Ea>>3];gl=+M(+(dl*(el*dl)));switch(e|0){case 2:{bl=f[Sb>>2]|0;cl=f[bl+4>>2]|0;hl=f[bl>>2]|0;bl=f[Xb>>2]|0;if(!((hl|0)==(f[bl>>2]|0)?(cl|0)==(f[bl+4>>2]|0):0)){Xa=137;break b}bl=f[db>>2]|0;if(!((hl|0)==(f[bl>>2]|0)?(cl|0)==(f[bl+4>>2]|0):0)){Xa=139;break b}bl=f[hb>>2]|0;if(!((hl|0)==(f[bl>>2]|0)?(cl|0)==(f[bl+4>>2]|0):0)){Xa=141;break b}if((f[Rb>>2]|0)!=(f[Zb>>2]|0)){Xa=143;break b}bl=f[Ae>>2]|0;cl=f[Be>>2]|0;if((bl|0)!=(cl*6|0)){Xa=145;break b}if((f[ma>>2]&4095|0)!=5){Xa=147;break b}f[Ce>>2]=0;f[De>>2]=0;f[m>>2]=16842752;f[Ee>>2]=Q;oG(l,ha,m,1.0);f[j>>2]=-2147483648;f[Fe>>2]=2147483647;f[k>>2]=0;f[Ge>>2]=cl;mP(o,ma,j,k);hl=f[l>>2]|0;rh[f[(f[hl>>2]|0)+12>>2]&255](hl,l,o,-1);hl=f[He>>2]|0;do if(hl|0){il=hl+12|0;jl=f[il>>2]|0;f[il>>2]=jl+-1;if((jl|0)!=1)break;lP(o)}while(0);f[He>>2]=0;f[Ie>>2]=0;f[Ie+4>>2]=0;f[Ie+8>>2]=0;f[Ie+12>>2]=0;if((f[Je>>2]|0)>0){hl=f[Ke>>2]|0;jl=0;do{f[hl+(jl<<2)>>2]=0;jl=jl+1|0}while((jl|0)<(f[Je>>2]|0))}jl=f[Le>>2]|0;if((jl|0)!=(Me|0))tE(jl);Xi(l);f[Ne>>2]=0;f[Oe>>2]=0;f[m>>2]=16842752;f[Pe>>2]=Q;oG(l,ia,m,1.0);jl=cl<<1;f[j>>2]=-2147483648;f[Qe>>2]=2147483647;f[k>>2]=cl;f[Re>>2]=jl;mP(q,ma,j,k);hl=f[l>>2]|0;rh[f[(f[hl>>2]|0)+12>>2]&255](hl,l,q,-1);hl=f[Se>>2]|0;do if(hl|0){il=hl+12|0;kl=f[il>>2]|0;f[il>>2]=kl+-1;if((kl|0)!=1)break;lP(q)}while(0);f[Se>>2]=0;f[Te>>2]=0;f[Te+4>>2]=0;f[Te+8>>2]=0;f[Te+12>>2]=0;if((f[Ue>>2]|0)>0){hl=f[Ve>>2]|0;kl=0;do{f[hl+(kl<<2)>>2]=0;kl=kl+1|0}while((kl|0)<(f[Ue>>2]|0))}kl=f[We>>2]|0;if((kl|0)!=(Xe|0))tE(kl);Xi(l);f[Ye>>2]=0;f[Ze>>2]=0;f[m>>2]=16842752;f[_e>>2]=R;oG(l,ha,m,1.0);kl=cl*3|0;f[j>>2]=-2147483648;f[$e>>2]=2147483647;f[k>>2]=jl;f[af>>2]=kl;mP(r,ma,j,k);hl=f[l>>2]|0;rh[f[(f[hl>>2]|0)+12>>2]&255](hl,l,r,-1);hl=f[bf>>2]|0;do if(hl|0){il=hl+12|0;ll=f[il>>2]|0;f[il>>2]=ll+-1;if((ll|0)!=1)break;lP(r)}while(0);f[bf>>2]=0;f[cf>>2]=0;f[cf+4>>2]=0;f[cf+8>>2]=0;f[cf+12>>2]=0;if((f[df>>2]|0)>0){hl=f[ef>>2]|0;jl=0;do{f[hl+(jl<<2)>>2]=0;jl=jl+1|0}while((jl|0)<(f[df>>2]|0))}jl=f[ff>>2]|0;if((jl|0)!=(gf|0))tE(jl);Xi(l);f[hf>>2]=0;f[jf>>2]=0;f[m>>2]=16842752;f[kf>>2]=R;oG(l,ia,m,1.0);jl=cl<<2;f[j>>2]=-2147483648;f[lf>>2]=2147483647;f[k>>2]=kl;f[mf>>2]=jl;mP(t,ma,j,k);hl=f[l>>2]|0;rh[f[(f[hl>>2]|0)+12>>2]&255](hl,l,t,-1);hl=f[nf>>2]|0;do if(hl|0){ll=hl+12|0;il=f[ll>>2]|0;f[ll>>2]=il+-1;if((il|0)!=1)break;lP(t)}while(0);f[nf>>2]=0;f[of>>2]=0;f[of+4>>2]=0;f[of+8>>2]=0;f[of+12>>2]=0;if((f[pf>>2]|0)>0){hl=f[qf>>2]|0;kl=0;do{f[hl+(kl<<2)>>2]=0;kl=kl+1|0}while((kl|0)<(f[pf>>2]|0))}kl=f[rf>>2]|0;if((kl|0)!=(sf|0))tE(kl);Xi(l);kl=cl*5|0;f[j>>2]=-2147483648;f[tf>>2]=2147483647;f[k>>2]=jl;f[uf>>2]=kl;mP(m,ma,j,k);hl=vf;f[hl>>2]=0;f[hl+4>>2]=0;f[l>>2]=-1040121856;f[wf>>2]=m;kT(ha,l);hl=f[xf>>2]|0;do if(hl|0){il=hl+12|0;ll=f[il>>2]|0;f[il>>2]=ll+-1;if((ll|0)!=1)break;lP(m)}while(0);f[xf>>2]=0;f[yf>>2]=0;f[yf+4>>2]=0;f[yf+8>>2]=0;f[yf+12>>2]=0;if((f[zf>>2]|0)>0){hl=f[Af>>2]|0;jl=0;do{f[hl+(jl<<2)>>2]=0;jl=jl+1|0}while((jl|0)<(f[zf>>2]|0))}jl=f[Bf>>2]|0;if((jl|0)!=(Cf|0))tE(jl);f[j>>2]=-2147483648;f[Df>>2]=2147483647;f[k>>2]=kl;f[Ef>>2]=bl;mP(m,ma,j,k);jl=Ff;f[jl>>2]=0;f[jl+4>>2]=0;f[l>>2]=-1040121856;f[Gf>>2]=m;kT(ia,l);jl=f[Hf>>2]|0;do if(jl|0){hl=jl+12|0;cl=f[hl>>2]|0;f[hl>>2]=cl+-1;if((cl|0)!=1)break;lP(m)}while(0);f[Hf>>2]=0;f[If>>2]=0;f[If+4>>2]=0;f[If+8>>2]=0;f[If+12>>2]=0;if((f[Jf>>2]|0)>0){jl=f[Kf>>2]|0;bl=0;do{f[jl+(bl<<2)>>2]=0;bl=bl+1|0}while((bl|0)<(f[Jf>>2]|0))}bl=f[Lf>>2]|0;if((bl|0)!=(Mf|0))tE(bl);break}case 3:{bl=f[Ua>>2]|0;jl=f[Sb>>2]|0;kl=f[jl+4>>2]|0;cl=f[jl>>2]|0;jl=f[Xb>>2]|0;if(!((cl|0)==(f[jl>>2]|0)?(kl|0)==(f[jl+4>>2]|0):0)){Xa=198;break b}jl=f[db>>2]|0;if(!((cl|0)==(f[jl>>2]|0)?(kl|0)==(f[jl+4>>2]|0):0)){Xa=200;break b}jl=f[hb>>2]|0;if(!((cl|0)==(f[jl>>2]|0)?(kl|0)==(f[jl+4>>2]|0):0)){Xa=202;break b}if((f[Rb>>2]|0)!=(f[Zb>>2]|0)){Xa=204;break b}jl=f[Ae>>2]|0;kl=f[Be>>2]|0;if((jl|0)!=(kl<<3|0)){Xa=206;break b}if((f[ma>>2]&4095|0)!=5){Xa=208;break b}if(!(f[J>>2]&16384)){Xa=210;break b}dl=+n[bl>>2];el=+n[bl+12>>2];ml=+n[bl+4>>2];nl=+n[bl+16>>2];ol=+n[bl+28>>2];pl=+n[bl+8>>2];ql=+n[bl+20>>2];cG(k,Q,+n[bl+24>>2]);cG(o,R,ol);WF(j,k,o);p[q>>3]=1.0;f[Nf>>2]=0;f[Nf+4>>2]=0;f[Nf+8>>2]=0;f[Nf+12>>2]=0;f[Nf+16>>2]=0;f[Nf+20>>2]=0;VF(m,j,q);f[l>>2]=1124007936;Pa=Of;Ra=Pa+36|0;do{f[Pa>>2]=0;Pa=Pa+4|0}while((Pa|0)<(Ra|0));f[Qf>>2]=Pf;f[Sf>>2]=Rf;f[Rf>>2]=0;f[Tf>>2]=0;bl=f[m>>2]|0;rh[f[(f[bl>>2]|0)+12>>2]&255](bl,m,l,-1);Xi(m);Xi(j);Xi(o);Xi(k);$F(q,Q);eG(k,q,dl);cG(t,R,ml);_F(j,k,t);p[v>>3]=pl;f[Uf>>2]=0;f[Uf+4>>2]=0;f[Uf+8>>2]=0;f[Uf+12>>2]=0;f[Uf+16>>2]=0;f[Uf+20>>2]=0;ZF(r,j,v);f[o>>2]=1124007936;Pa=Vf;Ra=Pa+36|0;do{f[Pa>>2]=0;Pa=Pa+4|0}while((Pa|0)<(Ra|0));f[Xf>>2]=Wf;f[Zf>>2]=Yf;f[Yf>>2]=0;f[_f>>2]=0;bl=f[r>>2]|0;rh[f[(f[bl>>2]|0)+12>>2]&255](bl,r,o,-1);Xi(r);Xi(j);Xi(t);Xi(k);Xi(q);f[$f>>2]=0;f[ag>>2]=0;f[j>>2]=16842752;f[bg>>2]=o;f[cg>>2]=0;f[dg>>2]=0;f[k>>2]=16842752;f[eg>>2]=l;bl=fg;f[bl>>2]=0;f[bl+4>>2]=0;f[q>>2]=33619968;f[gg>>2]=o;RI(j,k,q,1.0,-1);$F(t,Q);eG(k,t,el);cG(v,R,nl);_F(j,k,v);p[x>>3]=ql;f[hg>>2]=0;f[hg+4>>2]=0;f[hg+8>>2]=0;f[hg+12>>2]=0;f[hg+16>>2]=0;f[hg+20>>2]=0;ZF(w,j,x);f[q>>2]=1124007936;Pa=ig;Ra=Pa+36|0;do{f[Pa>>2]=0;Pa=Pa+4|0}while((Pa|0)<(Ra|0));f[kg>>2]=jg;f[mg>>2]=lg;f[lg>>2]=0;f[ng>>2]=0;bl=f[w>>2]|0;rh[f[(f[bl>>2]|0)+12>>2]&255](bl,w,q,-1);Xi(w);Xi(j);Xi(v);Xi(k);Xi(t);f[og>>2]=0;f[pg>>2]=0;f[j>>2]=16842752;f[qg>>2]=q;f[rg>>2]=0;f[sg>>2]=0;f[k>>2]=16842752;f[tg>>2]=l;bl=ug;f[bl>>2]=0;f[bl+4>>2]=0;f[t>>2]=33619968;f[vg>>2]=q;RI(j,k,t,1.0,-1);f[t>>2]=1124007936;Pa=wg;Ra=Pa+36|0;do{f[Pa>>2]=0;Pa=Pa+4|0}while((Pa|0)<(Ra|0));f[yg>>2]=xg;f[Ag>>2]=zg;f[zg>>2]=0;f[Bg>>2]=0;f[v>>2]=1124007936;Pa=Cg;Ra=Pa+36|0;do{f[Pa>>2]=0;Pa=Pa+4|0}while((Pa|0)<(Ra|0));f[Eg>>2]=Dg;f[Gg>>2]=Fg;f[Fg>>2]=0;f[Hg>>2]=0;f[Ig>>2]=0;f[Jg>>2]=0;f[j>>2]=16842752;f[Kg>>2]=ha;f[Lg>>2]=0;f[Mg>>2]=0;f[k>>2]=16842752;f[Ng>>2]=l;bl=Og;f[bl>>2]=0;f[bl+4>>2]=0;f[x>>2]=33619968;f[Pg>>2]=t;RI(j,k,x,1.0,-1);f[Qg>>2]=0;f[Rg>>2]=0;f[j>>2]=16842752;f[Sg>>2]=ia;f[Tg>>2]=0;f[Ug>>2]=0;f[k>>2]=16842752;f[Vg>>2]=l;bl=Wg;f[bl>>2]=0;f[bl+4>>2]=0;f[x>>2]=33619968;f[Xg>>2]=v;RI(j,k,x,1.0,-1);f[Yg>>2]=0;f[Zg>>2]=0;f[y>>2]=16842752;f[_g>>2]=Q;oG(x,t,y,1.0);f[j>>2]=-2147483648;f[$g>>2]=2147483647;f[k>>2]=0;f[ah>>2]=kl;mP(z,ma,j,k);bl=f[x>>2]|0;rh[f[(f[bl>>2]|0)+12>>2]&255](bl,x,z,-1);bl=f[bh>>2]|0;do if(bl|0){cl=bl+12|0;hl=f[cl>>2]|0;f[cl>>2]=hl+-1;if((hl|0)!=1)break;lP(z)}while(0);f[bh>>2]=0;f[ch>>2]=0;f[ch+4>>2]=0;f[ch+8>>2]=0;f[ch+12>>2]=0;if((f[dh>>2]|0)>0){bl=f[eh>>2]|0;hl=0;do{f[bl+(hl<<2)>>2]=0;hl=hl+1|0}while((hl|0)<(f[dh>>2]|0))}hl=f[fh>>2]|0;if((hl|0)!=(gh|0))tE(hl);Xi(x);f[hh>>2]=0;f[ih>>2]=0;f[y>>2]=16842752;f[jh>>2]=Q;oG(x,v,y,1.0);hl=kl<<1;f[j>>2]=-2147483648;f[kh>>2]=2147483647;f[k>>2]=kl;f[lh>>2]=hl;mP(A,ma,j,k);bl=f[x>>2]|0;rh[f[(f[bl>>2]|0)+12>>2]&255](bl,x,A,-1);bl=f[mh>>2]|0;do if(bl|0){cl=bl+12|0;ll=f[cl>>2]|0;f[cl>>2]=ll+-1;if((ll|0)!=1)break;lP(A)}while(0);f[mh>>2]=0;f[nh>>2]=0;f[nh+4>>2]=0;f[nh+8>>2]=0;f[nh+12>>2]=0;if((f[oh>>2]|0)>0){bl=f[ph>>2]|0;ll=0;do{f[bl+(ll<<2)>>2]=0;ll=ll+1|0}while((ll|0)<(f[oh>>2]|0))}ll=f[qh>>2]|0;if((ll|0)!=(sh|0))tE(ll);Xi(x);f[th>>2]=0;f[uh>>2]=0;f[k>>2]=16842752;f[vh>>2]=t;oG(j,o,k,1.0);f[wh>>2]=0;f[xh>>2]=0;f[C>>2]=16842752;f[yh>>2]=v;oG(y,q,C,1.0);WF(B,j,y);f[x>>2]=1124007936;Pa=zh;Ra=Pa+36|0;do{f[Pa>>2]=0;Pa=Pa+4|0}while((Pa|0)<(Ra|0));f[Bh>>2]=Ah;f[Dh>>2]=Ch;f[Ch>>2]=0;f[Eh>>2]=0;ll=f[B>>2]|0;rh[f[(f[ll>>2]|0)+12>>2]&255](ll,B,x,-1);Xi(B);Xi(y);Xi(j);f[Fh>>2]=0;f[Gh>>2]=0;f[C>>2]=16842752;f[Hh>>2]=Q;oG(y,x,C,1.0);ll=kl*3|0;f[j>>2]=-2147483648;f[Ih>>2]=2147483647;f[k>>2]=hl;f[Jh>>2]=ll;mP(D,ma,j,k);bl=f[y>>2]|0;rh[f[(f[bl>>2]|0)+12>>2]&255](bl,y,D,-1);bl=f[Kh>>2]|0;do if(bl|0){cl=bl+12|0;il=f[cl>>2]|0;f[cl>>2]=il+-1;if((il|0)!=1)break;lP(D)}while(0);f[Kh>>2]=0;f[Lh>>2]=0;f[Lh+4>>2]=0;f[Lh+8>>2]=0;f[Lh+12>>2]=0;if((f[Mh>>2]|0)>0){bl=f[Nh>>2]|0;hl=0;do{f[bl+(hl<<2)>>2]=0;hl=hl+1|0}while((hl|0)<(f[Mh>>2]|0))}hl=f[Oh>>2]|0;if((hl|0)!=(Ph|0))tE(hl);Xi(y);hl=f[Qh>>2]|0;do if(hl|0){bl=hl+12|0;il=f[bl>>2]|0;f[bl>>2]=il+-1;if((il|0)!=1)break;lP(o)}while(0);f[Qh>>2]=0;f[Rh>>2]=0;f[Rh+4>>2]=0;f[Rh+8>>2]=0;f[Rh+12>>2]=0;if((f[Vf>>2]|0)>0){hl=f[Xf>>2]|0;il=0;do{f[hl+(il<<2)>>2]=0;il=il+1|0}while((il|0)<(f[Vf>>2]|0))}il=f[Sh>>2]|0;do if(il|0){hl=il+12|0;bl=f[hl>>2]|0;f[hl>>2]=bl+-1;if((bl|0)!=1)break;lP(q)}while(0);f[Sh>>2]=0;f[Th>>2]=0;f[Th+4>>2]=0;f[Th+8>>2]=0;f[Th+12>>2]=0;if((f[ig>>2]|0)>0){il=f[kg>>2]|0;bl=0;do{f[il+(bl<<2)>>2]=0;bl=bl+1|0}while((bl|0)<(f[ig>>2]|0))}f[Uh>>2]=0;f[Vh>>2]=0;f[C>>2]=16842752;f[Wh>>2]=R;oG(y,t,C,1.0);bl=kl<<2;f[j>>2]=-2147483648;f[Xh>>2]=2147483647;f[k>>2]=ll;f[Yh>>2]=bl;mP(E,ma,j,k);il=f[y>>2]|0;rh[f[(f[il>>2]|0)+12>>2]&255](il,y,E,-1);il=f[Zh>>2]|0;do if(il|0){hl=il+12|0;cl=f[hl>>2]|0;f[hl>>2]=cl+-1;if((cl|0)!=1)break;lP(E)}while(0);f[Zh>>2]=0;f[_h>>2]=0;f[_h+4>>2]=0;f[_h+8>>2]=0;f[_h+12>>2]=0;if((f[$h>>2]|0)>0){il=f[ai>>2]|0;ll=0;do{f[il+(ll<<2)>>2]=0;ll=ll+1|0}while((ll|0)<(f[$h>>2]|0))}ll=f[bi>>2]|0;if((ll|0)!=(ci|0))tE(ll);Xi(y);f[di>>2]=0;f[ei>>2]=0;f[C>>2]=16842752;f[fi>>2]=R;oG(y,v,C,1.0);ll=kl*5|0;f[j>>2]=-2147483648;f[gi>>2]=2147483647;f[k>>2]=bl;f[hi>>2]=ll;mP(F,ma,j,k);il=f[y>>2]|0;rh[f[(f[il>>2]|0)+12>>2]&255](il,y,F,-1);il=f[ii>>2]|0;do if(il|0){cl=il+12|0;hl=f[cl>>2]|0;f[cl>>2]=hl+-1;if((hl|0)!=1)break;lP(F)}while(0);f[ii>>2]=0;f[ji>>2]=0;f[ji+4>>2]=0;f[ji+8>>2]=0;f[ji+12>>2]=0;if((f[ki>>2]|0)>0){il=f[li>>2]|0;bl=0;do{f[il+(bl<<2)>>2]=0;bl=bl+1|0}while((bl|0)<(f[ki>>2]|0))}bl=f[mi>>2]|0;if((bl|0)!=(ni|0))tE(bl);Xi(y);f[oi>>2]=0;f[pi>>2]=0;f[C>>2]=16842752;f[qi>>2]=R;oG(y,x,C,1.0);bl=kl*6|0;f[j>>2]=-2147483648;f[ri>>2]=2147483647;f[k>>2]=ll;f[si>>2]=bl;mP(G,ma,j,k);il=f[y>>2]|0;rh[f[(f[il>>2]|0)+12>>2]&255](il,y,G,-1);il=f[ti>>2]|0;do if(il|0){hl=il+12|0;cl=f[hl>>2]|0;f[hl>>2]=cl+-1;if((cl|0)!=1)break;lP(G)}while(0);f[ti>>2]=0;f[ui>>2]=0;f[ui+4>>2]=0;f[ui+8>>2]=0;f[ui+12>>2]=0;if((f[vi>>2]|0)>0){il=f[wi>>2]|0;ll=0;do{f[il+(ll<<2)>>2]=0;ll=ll+1|0}while((ll|0)<(f[vi>>2]|0))}ll=f[xi>>2]|0;if((ll|0)!=(yi|0))tE(ll);Xi(y);ll=kl*7|0;f[j>>2]=-2147483648;f[zi>>2]=2147483647;f[k>>2]=bl;f[Ai>>2]=ll;mP(C,ma,j,k);il=Bi;f[il>>2]=0;f[il+4>>2]=0;f[y>>2]=-1040121856;f[Ci>>2]=C;kT(t,y);il=f[Di>>2]|0;do if(il|0){cl=il+12|0;hl=f[cl>>2]|0;f[cl>>2]=hl+-1;if((hl|0)!=1)break;lP(C)}while(0);f[Di>>2]=0;f[Ei>>2]=0;f[Ei+4>>2]=0;f[Ei+8>>2]=0;f[Ei+12>>2]=0;if((f[Fi>>2]|0)>0){il=f[Gi>>2]|0;bl=0;do{f[il+(bl<<2)>>2]=0;bl=bl+1|0}while((bl|0)<(f[Fi>>2]|0))}bl=f[Hi>>2]|0;if((bl|0)!=(Ii|0))tE(bl);f[j>>2]=-2147483648;f[Ji>>2]=2147483647;f[k>>2]=ll;f[Ki>>2]=jl;mP(C,ma,j,k);bl=Li;f[bl>>2]=0;f[bl+4>>2]=0;f[y>>2]=-1040121856;f[Mi>>2]=C;kT(v,y);bl=f[Ni>>2]|0;do if(bl|0){il=bl+12|0;kl=f[il>>2]|0;f[il>>2]=kl+-1;if((kl|0)!=1)break;lP(C)}while(0);f[Ni>>2]=0;f[Oi>>2]=0;f[Oi+4>>2]=0;f[Oi+8>>2]=0;f[Oi+12>>2]=0;if((f[Pi>>2]|0)>0){bl=f[Qi>>2]|0;jl=0;do{f[bl+(jl<<2)>>2]=0;jl=jl+1|0}while((jl|0)<(f[Pi>>2]|0))}jl=f[Ri>>2]|0;if((jl|0)!=(Si|0))tE(jl);jl=f[Ti>>2]|0;do if(jl|0){bl=jl+12|0;ll=f[bl>>2]|0;f[bl>>2]=ll+-1;if((ll|0)!=1)break;lP(x)}while(0);f[Ti>>2]=0;f[Ui>>2]=0;f[Ui+4>>2]=0;f[Ui+8>>2]=0;f[Ui+12>>2]=0;if((f[zh>>2]|0)>0){jl=f[Bh>>2]|0;ll=0;do{f[jl+(ll<<2)>>2]=0;ll=ll+1|0}while((ll|0)<(f[zh>>2]|0))}ll=f[Dh>>2]|0;if((ll|0)!=(Ch|0))tE(ll);ll=f[Vi>>2]|0;do if(ll|0){jl=ll+12|0;bl=f[jl>>2]|0;f[jl>>2]=bl+-1;if((bl|0)!=1)break;lP(v)}while(0);f[Vi>>2]=0;f[Wi>>2]=0;f[Wi+4>>2]=0;f[Wi+8>>2]=0;f[Wi+12>>2]=0;if((f[Cg>>2]|0)>0){ll=f[Eg>>2]|0;bl=0;do{f[ll+(bl<<2)>>2]=0;bl=bl+1|0}while((bl|0)<(f[Cg>>2]|0))}bl=f[Gg>>2]|0;if((bl|0)!=(Fg|0))tE(bl);bl=f[Yi>>2]|0;do if(bl|0){ll=bl+12|0;jl=f[ll>>2]|0;f[ll>>2]=jl+-1;if((jl|0)!=1)break;lP(t)}while(0);f[Yi>>2]=0;f[Zi>>2]=0;f[Zi+4>>2]=0;f[Zi+8>>2]=0;f[Zi+12>>2]=0;if((f[wg>>2]|0)>0){bl=f[yg>>2]|0;jl=0;do{f[bl+(jl<<2)>>2]=0;jl=jl+1|0}while((jl|0)<(f[wg>>2]|0))}jl=f[Ag>>2]|0;if((jl|0)!=(zg|0))tE(jl);jl=f[Sh>>2]|0;do if(jl|0){bl=jl+12|0;ll=f[bl>>2]|0;f[bl>>2]=ll+-1;if((ll|0)!=1)break;lP(q)}while(0);f[Sh>>2]=0;f[Th>>2]=0;f[Th+4>>2]=0;f[Th+8>>2]=0;f[Th+12>>2]=0;if((f[ig>>2]|0)>0){jl=f[kg>>2]|0;ll=0;do{f[jl+(ll<<2)>>2]=0;ll=ll+1|0}while((ll|0)<(f[ig>>2]|0))}ll=f[mg>>2]|0;if((ll|0)!=(lg|0))tE(ll);ll=f[Qh>>2]|0;do if(ll|0){jl=ll+12|0;bl=f[jl>>2]|0;f[jl>>2]=bl+-1;if((bl|0)!=1)break;lP(o)}while(0);f[Qh>>2]=0;f[Rh>>2]=0;f[Rh+4>>2]=0;f[Rh+8>>2]=0;f[Rh+12>>2]=0;if((f[Vf>>2]|0)>0){ll=f[Xf>>2]|0;bl=0;do{f[ll+(bl<<2)>>2]=0;bl=bl+1|0}while((bl|0)<(f[Vf>>2]|0))}bl=f[Zf>>2]|0;if((bl|0)!=(Yf|0))tE(bl);bl=f[_i>>2]|0;do if(bl|0){ll=bl+12|0;jl=f[ll>>2]|0;f[ll>>2]=jl+-1;if((jl|0)!=1)break;lP(l)}while(0);f[_i>>2]=0;f[$i>>2]=0;f[$i+4>>2]=0;f[$i+8>>2]=0;f[$i+12>>2]=0;if((f[Of>>2]|0)>0){bl=f[Qf>>2]|0;jl=0;do{f[bl+(jl<<2)>>2]=0;jl=jl+1|0}while((jl|0)<(f[Of>>2]|0))}jl=f[Sf>>2]|0;if((jl|0)!=(Rf|0))tE(jl);break}case 0:{jl=f[Sb>>2]|0;bl=f[Xb>>2]|0;if(!((f[jl>>2]|0)==(f[bl>>2]|0)?(f[jl+4>>2]|0)==(f[bl+4>>2]|0):0)){Xa=337;break b}if((f[Rb>>2]|0)!=(f[Zb>>2]|0)){Xa=339;break b}bl=f[Ae>>2]|0;jl=f[Be>>2]|0;if((bl|0)!=(jl<<1|0)){Xa=341;break b}if((f[ma>>2]&4095|0)!=5){Xa=343;break b}f[j>>2]=-2147483648;f[aj>>2]=2147483647;f[k>>2]=0;f[bj>>2]=jl;mP(m,ma,j,k);ll=cj;f[ll>>2]=0;f[ll+4>>2]=0;f[l>>2]=-1040121856;f[dj>>2]=m;kT(ha,l);ll=f[ej>>2]|0;do if(ll|0){kl=ll+12|0;il=f[kl>>2]|0;f[kl>>2]=il+-1;if((il|0)!=1)break;lP(m)}while(0);f[ej>>2]=0;f[fj>>2]=0;f[fj+4>>2]=0;f[fj+8>>2]=0;f[fj+12>>2]=0;if((f[gj>>2]|0)>0){ll=f[hj>>2]|0;il=0;do{f[ll+(il<<2)>>2]=0;il=il+1|0}while((il|0)<(f[gj>>2]|0))}il=f[ij>>2]|0;if((il|0)!=(jj|0))tE(il);f[j>>2]=-2147483648;f[kj>>2]=2147483647;f[k>>2]=jl;f[lj>>2]=bl;mP(m,ma,j,k);il=mj;f[il>>2]=0;f[il+4>>2]=0;f[l>>2]=-1040121856;f[nj>>2]=m;kT(ia,l);il=f[oj>>2]|0;do if(il|0){ll=il+12|0;kl=f[ll>>2]|0;f[ll>>2]=kl+-1;if((kl|0)!=1)break;lP(m)}while(0);f[oj>>2]=0;f[pj>>2]=0;f[pj+4>>2]=0;f[pj+8>>2]=0;f[pj+12>>2]=0;if((f[qj>>2]|0)>0){il=f[rj>>2]|0;bl=0;do{f[il+(bl<<2)>>2]=0;bl=bl+1|0}while((bl|0)<(f[qj>>2]|0))}bl=f[sj>>2]|0;if((bl|0)!=(tj|0))tE(bl);break}case 1:{bl=f[Ua>>2]|0;il=f[Sb>>2]|0;jl=f[il+4>>2]|0;kl=f[il>>2]|0;il=f[Xb>>2]|0;if(!((kl|0)==(f[il>>2]|0)?(jl|0)==(f[il+4>>2]|0):0)){Xa=362;break b}il=f[db>>2]|0;if(!((kl|0)==(f[il>>2]|0)?(jl|0)==(f[il+4>>2]|0):0)){Xa=364;break b}il=f[hb>>2]|0;if(!((kl|0)==(f[il>>2]|0)?(jl|0)==(f[il+4>>2]|0):0)){Xa=366;break b}if((f[Rb>>2]|0)!=(f[Zb>>2]|0)){Xa=368;break b}il=f[Ae>>2]|0;jl=f[Be>>2]|0;if((il|0)!=(jl*3|0)){Xa=370;break b}if((f[ma>>2]&4095|0)!=5){Xa=372;break b}if(!(f[J>>2]&16384)){Xa=374;break b}ql=+n[bl>>2];nl=+n[bl+12>>2];cG(k,Q,nl);aG(j,k);el=ql;cG(o,R,el);_F(m,j,o);f[l>>2]=1124007936;Pa=uj;Ra=Pa+36|0;do{f[Pa>>2]=0;Pa=Pa+4|0}while((Pa|0)<(Ra|0));f[wj>>2]=vj;f[yj>>2]=xj;f[xj>>2]=0;f[zj>>2]=0;bl=f[m>>2]|0;rh[f[(f[bl>>2]|0)+12>>2]&255](bl,m,l,-1);Xi(m);Xi(o);Xi(j);Xi(k);cG(j,Q,el);cG(k,R,nl);_F(q,j,k);f[o>>2]=1124007936;Pa=Aj;Ra=Pa+36|0;do{f[Pa>>2]=0;Pa=Pa+4|0}while((Pa|0)<(Ra|0));f[Cj>>2]=Bj;f[Ej>>2]=Dj;f[Dj>>2]=0;f[Fj>>2]=0;bl=f[q>>2]|0;rh[f[(f[bl>>2]|0)+12>>2]&255](bl,q,o,-1);Xi(q);Xi(k);Xi(j);f[Gj>>2]=0;f[Hj>>2]=0;f[v>>2]=16842752;f[Ij>>2]=l;oG(t,ha,v,1.0);f[Jj>>2]=0;f[Kj>>2]=0;f[x>>2]=16842752;f[Lj>>2]=o;oG(w,ia,x,1.0);WF(r,t,w);f[j>>2]=-2147483648;f[Mj>>2]=2147483647;f[k>>2]=0;f[Nj>>2]=jl;mP(y,ma,j,k);bl=f[r>>2]|0;rh[f[(f[bl>>2]|0)+12>>2]&255](bl,r,y,-1);bl=f[Oj>>2]|0;do if(bl|0){kl=bl+12|0;ll=f[kl>>2]|0;f[kl>>2]=ll+-1;if((ll|0)!=1)break;lP(y)}while(0);f[Oj>>2]=0;f[Pj>>2]=0;f[Pj+4>>2]=0;f[Pj+8>>2]=0;f[Pj+12>>2]=0;if((f[Qj>>2]|0)>0){bl=f[Rj>>2]|0;ll=0;do{f[bl+(ll<<2)>>2]=0;ll=ll+1|0}while((ll|0)<(f[Qj>>2]|0))}ll=f[Sj>>2]|0;if((ll|0)!=(Tj|0))tE(ll);Xi(r);Xi(w);Xi(t);ll=jl<<1;f[j>>2]=-2147483648;f[Uj>>2]=2147483647;f[k>>2]=jl;f[Vj>>2]=ll;mP(t,ma,j,k);bl=Wj;f[bl>>2]=0;f[bl+4>>2]=0;f[r>>2]=-1040121856;f[Xj>>2]=t;kT(ha,r);bl=f[Yj>>2]|0;do if(bl|0){kl=bl+12|0;hl=f[kl>>2]|0;f[kl>>2]=hl+-1;if((hl|0)!=1)break;lP(t)}while(0);f[Yj>>2]=0;f[Zj>>2]=0;f[Zj+4>>2]=0;f[Zj+8>>2]=0;f[Zj+12>>2]=0;if((f[_j>>2]|0)>0){bl=f[$j>>2]|0;jl=0;do{f[bl+(jl<<2)>>2]=0;jl=jl+1|0}while((jl|0)<(f[_j>>2]|0))}jl=f[ak>>2]|0;if((jl|0)!=(bk|0))tE(jl);f[j>>2]=-2147483648;f[ck>>2]=2147483647;f[k>>2]=ll;f[dk>>2]=il;mP(t,ma,j,k);jl=ek;f[jl>>2]=0;f[jl+4>>2]=0;f[r>>2]=-1040121856;f[fk>>2]=t;kT(ia,r);jl=f[gk>>2]|0;do if(jl|0){bl=jl+12|0;hl=f[bl>>2]|0;f[bl>>2]=hl+-1;if((hl|0)!=1)break;lP(t)}while(0);f[gk>>2]=0;f[hk>>2]=0;f[hk+4>>2]=0;f[hk+8>>2]=0;f[hk+12>>2]=0;if((f[ik>>2]|0)>0){jl=f[jk>>2]|0;il=0;do{f[jl+(il<<2)>>2]=0;il=il+1|0}while((il|0)<(f[ik>>2]|0))}il=f[kk>>2]|0;if((il|0)!=(lk|0))tE(il);il=f[mk>>2]|0;do if(il|0){jl=il+12|0;ll=f[jl>>2]|0;f[jl>>2]=ll+-1;if((ll|0)!=1)break;lP(o)}while(0);f[mk>>2]=0;f[nk>>2]=0;f[nk+4>>2]=0;f[nk+8>>2]=0;f[nk+12>>2]=0;if((f[Aj>>2]|0)>0){il=f[Cj>>2]|0;ll=0;do{f[il+(ll<<2)>>2]=0;ll=ll+1|0}while((ll|0)<(f[Aj>>2]|0))}ll=f[Ej>>2]|0;if((ll|0)!=(Dj|0))tE(ll);ll=f[ok>>2]|0;do if(ll|0){il=ll+12|0;jl=f[il>>2]|0;f[il>>2]=jl+-1;if((jl|0)!=1)break;lP(l)}while(0);f[ok>>2]=0;f[pk>>2]=0;f[pk+4>>2]=0;f[pk+8>>2]=0;f[pk+12>>2]=0;if((f[uj>>2]|0)>0){ll=f[wj>>2]|0;jl=0;do{f[ll+(jl<<2)>>2]=0;jl=jl+1|0}while((jl|0)<(f[uj>>2]|0))}jl=f[yj>>2]|0;if((jl|0)!=(xj|0))tE(jl);break}default:{}}kya(ma,ma,na);nG(j,na,0);jl=f[j>>2]|0;rh[f[(f[jl>>2]|0)+12>>2]&255](jl,j,oa,-1);Xi(j);f[le>>2]=0;f[me>>2]=0;f[j>>2]=16842752;f[ne>>2]=W;nl=+HX(T,j);el=nl/(fl*gl);p[s>>3]=el;if(((f[s+4>>2]&2147483647)+((f[s>>2]|0)!=0&1)|0)>>>0>2146435072){Xa=417;break}kya(ma,W,pa);kya(ma,T,qa);bG(j,oa,pa);jl=f[j>>2]|0;rh[f[(f[jl>>2]|0)+12>>2]&255](jl,j,ra,-1);Xi(j);f[oe>>2]=0;f[pe>>2]=0;f[j>>2]=16842752;f[qe>>2]=ra;ql=gl*gl-+HX(pa,j);f[re>>2]=0;f[se>>2]=0;f[j>>2]=16842752;f[te>>2]=ra;pl=nl-+HX(qa,j);if(pl<=0.0){Xa=419;break}dG(k,ql/pl,T);YF(j,k,W);jl=f[j>>2]|0;rh[f[(f[jl>>2]|0)+12>>2]&255](jl,j,ua,-1);Xi(j);Xi(k);kya(ma,ua,sa);bG(j,oa,sa);jl=f[j>>2]|0;rh[f[(f[jl>>2]|0)+12>>2]&255](jl,j,ta,-1);Xi(j);jl=f[J>>2]|0;if((jl&4095|0)!=5){Xa=421;break}ll=f[ta>>2]|0;if((ll&4095|0)!=5){Xa=423;break}if(!xe){Xa=425;break}il=f[Wa>>2]|0;do if(g){if(!((il|0)==3&(f[yc>>2]|0)==8)){Xa=428;break b}}else{hl=(il|0)==2;bl=f[yc>>2]|0;if(we)if(hl&(bl|0)==6)break;else{Xa=431;break b}if(ve)if(hl&(bl|0)==3)break;else{Xa=434;break b}else if(hl&(bl|0)==2)break;else{Xa=436;break b}}while(0);if((f[ye>>2]|0)!=1){Xa=438;break}if(!(jl&16384)){Xa=440;break}if(!(ll&16384)){Xa=442;break}il=f[Ua>>2]|0;bl=f[ze>>2]|0;if(ue){hl=il+8|0;n[hl>>2]=+n[bl>>2]+ +n[hl>>2];hl=il+20|0;n[hl>>2]=+n[bl+4>>2]+ +n[hl>>2]}if(we){n[il>>2]=+n[bl>>2]+ +n[il>>2];hl=il+12|0;n[hl>>2]=+n[bl+4>>2]+ +n[hl>>2];hl=il+4|0;n[hl>>2]=+n[bl+8>>2]+ +n[hl>>2];hl=il+16|0;n[hl>>2]=+n[bl+12>>2]+ +n[hl>>2];hl=il+8|0;n[hl>>2]=+n[bl+16>>2]+ +n[hl>>2];hl=il+20|0;n[hl>>2]=+n[bl+20>>2]+ +n[hl>>2]}if(g){n[il>>2]=+n[bl>>2]+ +n[il>>2];hl=il+12|0;n[hl>>2]=+n[bl+4>>2]+ +n[hl>>2];hl=il+24|0;n[hl>>2]=+n[bl+8>>2]+ +n[hl>>2];hl=il+4|0;n[hl>>2]=+n[bl+12>>2]+ +n[hl>>2];hl=il+16|0;n[hl>>2]=+n[bl+16>>2]+ +n[hl>>2];hl=il+28|0;n[hl>>2]=+n[bl+20>>2]+ +n[hl>>2];hl=il+8|0;n[hl>>2]=+n[bl+24>>2]+ +n[hl>>2];hl=il+20|0;n[hl>>2]=+n[bl+28>>2]+ +n[hl>>2]}if(ve){hl=il+12|0;gl=+n[bl>>2]+ +S(+(+n[hl>>2]));kl=il+8|0;n[kl>>2]=+n[bl+4>>2]+ +n[kl>>2];kl=il+20|0;n[kl>>2]=+n[bl+8>>2]+ +n[kl>>2];fl=+O(+gl);n[il+16>>2]=fl;n[il>>2]=fl;fl=+P(+gl);n[hl>>2]=fl;n[il+4>>2]=-fl}if(($k|0)<(_a|0)){fl=_k;_k=el;$k=$k+1|0;al=fl}else{Fc=el;break a}}switch(Xa|0){case 137:{f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,26)|0;Qa=384924;Ra=Pa+26|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,384951,167);break}case 139:{f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,26)|0;Qa=384977;Ra=Pa+26|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,384951,168);break}case 141:{f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,26)|0;Qa=385004;Ra=Pa+26|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,384951,169);break}case 143:{f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,21)|0;Qa=385031;Ra=Pa+21|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,384951,171);break}case 145:{f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,25)|0;Qa=385053;Ra=Pa+25|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,384951,172);break}case 147:{f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,22)|0;Qa=385079;Ra=Pa+22|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,384951,174);break}case 198:{f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,26)|0;Qa=384924;Ra=Pa+26|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,385102,57);break}case 200:{f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,26)|0;Qa=384977;Ra=Pa+26|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,385102,58);break}case 202:{f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,26)|0;Qa=385004;Ra=Pa+26|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,385102,59);break}case 204:{f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,21)|0;Qa=385031;Ra=Pa+21|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,385102,61);break}case 206:{f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,25)|0;Qa=385126;Ra=Pa+25|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,385102,62);break}case 208:{f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,22)|0;Qa=385079;Ra=Pa+22|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,385102,63);break}case 210:{f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,19)|0;Qa=385152;Ra=Pa+19|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,385102,65);break}case 337:{f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,24)|0;Qa=385172;Ra=Pa+24|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,385197,193);break}case 339:{f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,21)|0;Qa=385031;Ra=Pa+21|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,385197,195);break}case 341:{f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,25)|0;Qa=385228;Ra=Pa+25|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,385197,196);break}case 343:{f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,22)|0;Qa=385079;Ra=Pa+22|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,385197,197);break}case 362:{f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,24)|0;Qa=385172;Ra=Pa+24|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,385254,130);break}case 364:{f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,24)|0;Qa=385283;Ra=Pa+24|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,385254,131);break}case 366:{f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,24)|0;Qa=385308;Ra=Pa+24|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,385254,132);break}case 368:{f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,21)|0;Qa=385031;Ra=Pa+21|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,385254,134);break}case 370:{f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,25)|0;Qa=385333;Ra=Pa+25|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,385254,135);break}case 372:{f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,22)|0;Qa=385079;Ra=Pa+22|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,385254,136);break}case 374:{f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,19)|0;Qa=385152;Ra=Pa+19|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,385254,138);break}case 417:{f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,16)|0;Qa=385359;Ra=Pa+16|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-7,j,384492,525);break}case 419:{f[j>>2]=0;f[j+4>>2]=0;Krc(YG(j,132)|0,385376,132)|0;jya(-7,j,384492,540);break}case 421:{f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,29)|0;Qa=385509;Ra=Pa+29|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,385539,252);break}case 423:{f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,25)|0;Qa=385565;Ra=Pa+25|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,385539,253);break}case 425:{f[j>>2]=0;f[j+4>>2]=0;Krc(YG(j,132)|0,385591,132)|0;jya(-215,j,385539,256);break}case 428:{f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,40)|0;Qa=385724;Ra=Pa+40|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,385539,259);break}case 431:{f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,40)|0;Qa=385765;Ra=Pa+40|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,385539,261);break}case 434:{f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,40)|0;Qa=385806;Ra=Pa+40|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,385539,263);break}case 436:{f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,40)|0;Qa=385847;Ra=Pa+40|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,385539,265);break}case 438:{f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,16)|0;Qa=385888;Ra=Pa+16|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,385539,267);break}case 440:{f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,25)|0;Qa=385905;Ra=Pa+25|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,385539,269);break}case 442:{f[j>>2]=0;f[j+4>>2]=0;Pa=YG(j,21)|0;Qa=385931;Ra=Pa+21|0;do{b[Pa>>0]=b[Qa>>0]|0;Pa=Pa+1|0;Qa=Qa+1|0}while((Pa|0)<(Ra|0));jya(-215,j,385539,270);break}}}while(0);j=ua+36|0;Qa=f[j>>2]|0;do if(Qa|0){Pa=Qa+12|0;Ra=f[Pa>>2]|0;f[Pa>>2]=Ra+-1;if((Ra|0)!=1)break;lP(ua)}while(0);f[j>>2]=0;j=ua+16|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;if((f[ab>>2]|0)>0){j=f[Dc>>2]|0;Dc=0;do{f[j+(Dc<<2)>>2]=0;Dc=Dc+1|0}while((Dc|0)<(f[ab>>2]|0))}ab=f[Ec>>2]|0;if((ab|0)!=(Cc|0))tE(ab);ab=ta+36|0;Cc=f[ab>>2]|0;do if(Cc|0){Ec=Cc+12|0;Dc=f[Ec>>2]|0;f[Ec>>2]=Dc+-1;if((Dc|0)!=1)break;lP(ta)}while(0);f[ab>>2]=0;ab=ta+16|0;f[ab>>2]=0;f[ab+4>>2]=0;f[ab+8>>2]=0;f[ab+12>>2]=0;if((f[xc>>2]|0)>0){ab=f[zc>>2]|0;zc=0;do{f[ab+(zc<<2)>>2]=0;zc=zc+1|0}while((zc|0)<(f[xc>>2]|0))}xc=f[Bc>>2]|0;if((xc|0)!=(Ac|0))tE(xc);xc=sa+36|0;Ac=f[xc>>2]|0;do if(Ac|0){Bc=Ac+12|0;zc=f[Bc>>2]|0;f[Bc>>2]=zc+-1;if((zc|0)!=1)break;lP(sa)}while(0);f[xc>>2]=0;xc=sa+16|0;f[xc>>2]=0;f[xc+4>>2]=0;f[xc+8>>2]=0;f[xc+12>>2]=0;if((f[tc>>2]|0)>0){xc=f[vc>>2]|0;vc=0;do{f[xc+(vc<<2)>>2]=0;vc=vc+1|0}while((vc|0)<(f[tc>>2]|0))}tc=f[wc>>2]|0;if((tc|0)!=(uc|0))tE(tc);tc=ra+36|0;uc=f[tc>>2]|0;do if(uc|0){wc=uc+12|0;vc=f[wc>>2]|0;f[wc>>2]=vc+-1;if((vc|0)!=1)break;lP(ra)}while(0);f[tc>>2]=0;tc=ra+16|0;f[tc>>2]=0;f[tc+4>>2]=0;f[tc+8>>2]=0;f[tc+12>>2]=0;if((f[pc>>2]|0)>0){tc=f[rc>>2]|0;rc=0;do{f[tc+(rc<<2)>>2]=0;rc=rc+1|0}while((rc|0)<(f[pc>>2]|0))}pc=f[sc>>2]|0;if((pc|0)!=(qc|0))tE(pc);pc=qa+36|0;qc=f[pc>>2]|0;do if(qc|0){sc=qc+12|0;rc=f[sc>>2]|0;f[sc>>2]=rc+-1;if((rc|0)!=1)break;lP(qa)}while(0);f[pc>>2]=0;pc=qa+16|0;f[pc>>2]=0;f[pc+4>>2]=0;f[pc+8>>2]=0;f[pc+12>>2]=0;if((f[lc>>2]|0)>0){pc=f[nc>>2]|0;nc=0;do{f[pc+(nc<<2)>>2]=0;nc=nc+1|0}while((nc|0)<(f[lc>>2]|0))}lc=f[oc>>2]|0;if((lc|0)!=(mc|0))tE(lc);lc=pa+36|0;mc=f[lc>>2]|0;do if(mc|0){oc=mc+12|0;nc=f[oc>>2]|0;f[oc>>2]=nc+-1;if((nc|0)!=1)break;lP(pa)}while(0);f[lc>>2]=0;lc=pa+16|0;f[lc>>2]=0;f[lc+4>>2]=0;f[lc+8>>2]=0;f[lc+12>>2]=0;if((f[hc>>2]|0)>0){lc=f[jc>>2]|0;jc=0;do{f[lc+(jc<<2)>>2]=0;jc=jc+1|0}while((jc|0)<(f[hc>>2]|0))}hc=f[kc>>2]|0;if((hc|0)!=(ic|0))tE(hc);hc=oa+36|0;ic=f[hc>>2]|0;do if(ic|0){kc=ic+12|0;jc=f[kc>>2]|0;f[kc>>2]=jc+-1;if((jc|0)!=1)break;lP(oa)}while(0);f[hc>>2]=0;hc=oa+16|0;f[hc>>2]=0;f[hc+4>>2]=0;f[hc+8>>2]=0;f[hc+12>>2]=0;if((f[dc>>2]|0)>0){hc=f[fc>>2]|0;fc=0;do{f[hc+(fc<<2)>>2]=0;fc=fc+1|0}while((fc|0)<(f[dc>>2]|0))}dc=f[gc>>2]|0;if((dc|0)!=(ec|0))tE(dc);dc=na+36|0;ec=f[dc>>2]|0;do if(ec|0){gc=ec+12|0;fc=f[gc>>2]|0;f[gc>>2]=fc+-1;if((fc|0)!=1)break;lP(na)}while(0);f[dc>>2]=0;dc=na+16|0;f[dc>>2]=0;f[dc+4>>2]=0;f[dc+8>>2]=0;f[dc+12>>2]=0;if((f[la>>2]|0)>0){dc=f[bc>>2]|0;bc=0;do{f[dc+(bc<<2)>>2]=0;bc=bc+1|0}while((bc|0)<(f[la>>2]|0))}la=f[cc>>2]|0;if((la|0)!=(ac|0))tE(la);la=ma+36|0;ac=f[la>>2]|0;do if(ac|0){cc=ac+12|0;bc=f[cc>>2]|0;f[cc>>2]=bc+-1;if((bc|0)!=1)break;lP(ma)}while(0);f[la>>2]=0;la=ma+16|0;f[la>>2]=0;f[la+4>>2]=0;f[la+8>>2]=0;f[la+12>>2]=0;if((f[_b>>2]|0)>0){la=f[ja>>2]|0;ja=0;do{f[la+(ja<<2)>>2]=0;ja=ja+1|0}while((ja|0)<(f[_b>>2]|0))}_b=f[$b>>2]|0;if((_b|0)!=(ka|0))tE(_b);_b=ia+36|0;ka=f[_b>>2]|0;do if(ka|0){$b=ka+12|0;ja=f[$b>>2]|0;f[$b>>2]=ja+-1;if((ja|0)!=1)break;lP(ia)}while(0);f[_b>>2]=0;_b=ia+16|0;f[_b>>2]=0;f[_b+4>>2]=0;f[_b+8>>2]=0;f[_b+12>>2]=0;if((f[Vb>>2]|0)>0){_b=f[Xb>>2]|0;Xb=0;do{f[_b+(Xb<<2)>>2]=0;Xb=Xb+1|0}while((Xb|0)<(f[Vb>>2]|0))}Vb=f[Yb>>2]|0;if((Vb|0)!=(Wb|0))tE(Vb);Vb=ha+36|0;Wb=f[Vb>>2]|0;do if(Wb|0){Yb=Wb+12|0;Xb=f[Yb>>2]|0;f[Yb>>2]=Xb+-1;if((Xb|0)!=1)break;lP(ha)}while(0);f[Vb>>2]=0;Vb=ha+16|0;f[Vb>>2]=0;f[Vb+4>>2]=0;f[Vb+8>>2]=0;f[Vb+12>>2]=0;if((f[ga>>2]|0)>0){Vb=f[Sb>>2]|0;Sb=0;do{f[Vb+(Sb<<2)>>2]=0;Sb=Sb+1|0}while((Sb|0)<(f[ga>>2]|0))}ga=f[Ub>>2]|0;if((ga|0)!=(Tb|0))tE(ga);ga=fa+36|0;Tb=f[ga>>2]|0;do if(Tb|0){Ub=Tb+12|0;Sb=f[Ub>>2]|0;f[Ub>>2]=Sb+-1;if((Sb|0)!=1)break;lP(fa)}while(0);f[ga>>2]=0;ga=fa+16|0;f[ga>>2]=0;f[ga+4>>2]=0;f[ga+8>>2]=0;f[ga+12>>2]=0;if((f[d>>2]|0)>0){ga=f[ea>>2]|0;ea=0;do{f[ga+(ea<<2)>>2]=0;ea=ea+1|0}while((ea|0)<(f[d>>2]|0))}d=f[Qb>>2]|0;if((d|0)!=(Ya|0))tE(d);d=da+36|0;Ya=f[d>>2]|0;do if(Ya|0){Qb=Ya+12|0;ea=f[Qb>>2]|0;f[Qb>>2]=ea+-1;if((ea|0)!=1)break;lP(da)}while(0);f[d>>2]=0;d=da+16|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[ca>>2]|0)>0){d=f[Ob>>2]|0;Ob=0;do{f[d+(Ob<<2)>>2]=0;Ob=Ob+1|0}while((Ob|0)<(f[ca>>2]|0))}ca=f[Pb>>2]|0;if((ca|0)!=(ba|0))tE(ca);ca=aa+36|0;ba=f[ca>>2]|0;do if(ba|0){Pb=ba+12|0;Ob=f[Pb>>2]|0;f[Pb>>2]=Ob+-1;if((Ob|0)!=1)break;lP(aa)}while(0);f[ca>>2]=0;ca=aa+16|0;f[ca>>2]=0;f[ca+4>>2]=0;f[ca+8>>2]=0;f[ca+12>>2]=0;if((f[$>>2]|0)>0){ca=f[Nb>>2]|0;Nb=0;do{f[ca+(Nb<<2)>>2]=0;Nb=Nb+1|0}while((Nb|0)<(f[$>>2]|0))}$=f[Mb>>2]|0;if(($|0)!=(h|0))tE($);$=_+36|0;h=f[$>>2]|0;do if(h|0){Mb=h+12|0;Nb=f[Mb>>2]|0;f[Mb>>2]=Nb+-1;if((Nb|0)!=1)break;lP(_)}while(0);f[$>>2]=0;$=_+16|0;f[$>>2]=0;f[$+4>>2]=0;f[$+8>>2]=0;f[$+12>>2]=0;if((f[Ib>>2]|0)>0){$=f[Kb>>2]|0;Kb=0;do{f[$+(Kb<<2)>>2]=0;Kb=Kb+1|0}while((Kb|0)<(f[Ib>>2]|0))}Ib=f[Lb>>2]|0;if((Ib|0)!=(Jb|0))tE(Ib);Ib=Z+36|0;Jb=f[Ib>>2]|0;do if(Jb|0){Lb=Jb+12|0;Kb=f[Lb>>2]|0;f[Lb>>2]=Kb+-1;if((Kb|0)!=1)break;lP(Z)}while(0);f[Ib>>2]=0;Ib=Z+16|0;Jb=Z+4|0;f[Ib>>2]=0;f[Ib+4>>2]=0;f[Ib+8>>2]=0;f[Ib+12>>2]=0;if((f[Jb>>2]|0)>0){Ib=f[Z+40>>2]|0;Kb=0;do{f[Ib+(Kb<<2)>>2]=0;Kb=Kb+1|0}while((Kb|0)<(f[Jb>>2]|0))}Jb=f[Z+44>>2]|0;if((Jb|0)!=(Z+48|0))tE(Jb);Jb=X+36|0;Z=f[Jb>>2]|0;do if(Z|0){Kb=Z+12|0;Ib=f[Kb>>2]|0;f[Kb>>2]=Ib+-1;if((Ib|0)!=1)break;lP(X)}while(0);f[Jb>>2]=0;Jb=X+16|0;f[Jb>>2]=0;f[Jb+4>>2]=0;f[Jb+8>>2]=0;f[Jb+12>>2]=0;if((f[Eb>>2]|0)>0){Jb=f[Gb>>2]|0;Gb=0;do{f[Jb+(Gb<<2)>>2]=0;Gb=Gb+1|0}while((Gb|0)<(f[Eb>>2]|0))}Eb=f[Hb>>2]|0;if((Eb|0)!=(Fb|0))tE(Eb);Eb=W+36|0;Fb=f[Eb>>2]|0;do if(Fb|0){Hb=Fb+12|0;Gb=f[Hb>>2]|0;f[Hb>>2]=Gb+-1;if((Gb|0)!=1)break;lP(W)}while(0);f[Eb>>2]=0;Eb=W+16|0;f[Eb>>2]=0;f[Eb+4>>2]=0;f[Eb+8>>2]=0;f[Eb+12>>2]=0;if((f[Ab>>2]|0)>0){Eb=f[Cb>>2]|0;Cb=0;do{f[Eb+(Cb<<2)>>2]=0;Cb=Cb+1|0}while((Cb|0)<(f[Ab>>2]|0))}Ab=f[Db>>2]|0;if((Ab|0)!=(Bb|0))tE(Ab);Ab=V+36|0;Bb=f[Ab>>2]|0;do if(Bb|0){Db=Bb+12|0;Cb=f[Db>>2]|0;f[Db>>2]=Cb+-1;if((Cb|0)!=1)break;lP(V)}while(0);f[Ab>>2]=0;Ab=V+16|0;f[Ab>>2]=0;f[Ab+4>>2]=0;f[Ab+8>>2]=0;f[Ab+12>>2]=0;if((f[wb>>2]|0)>0){Ab=f[yb>>2]|0;yb=0;do{f[Ab+(yb<<2)>>2]=0;yb=yb+1|0}while((yb|0)<(f[wb>>2]|0))}wb=f[zb>>2]|0;if((wb|0)!=(xb|0))tE(wb);wb=U+36|0;xb=f[wb>>2]|0;do if(xb|0){zb=xb+12|0;yb=f[zb>>2]|0;f[zb>>2]=yb+-1;if((yb|0)!=1)break;lP(U)}while(0);f[wb>>2]=0;wb=U+16|0;f[wb>>2]=0;f[wb+4>>2]=0;f[wb+8>>2]=0;f[wb+12>>2]=0;if((f[sb>>2]|0)>0){wb=f[ub>>2]|0;ub=0;do{f[wb+(ub<<2)>>2]=0;ub=ub+1|0}while((ub|0)<(f[sb>>2]|0))}sb=f[vb>>2]|0;if((sb|0)!=(tb|0))tE(sb);sb=T+36|0;tb=f[sb>>2]|0;do if(tb|0){vb=tb+12|0;ub=f[vb>>2]|0;f[vb>>2]=ub+-1;if((ub|0)!=1)break;lP(T)}while(0);f[sb>>2]=0;sb=T+16|0;f[sb>>2]=0;f[sb+4>>2]=0;f[sb+8>>2]=0;f[sb+12>>2]=0;if((f[pb>>2]|0)>0){sb=f[kb>>2]|0;kb=0;do{f[sb+(kb<<2)>>2]=0;kb=kb+1|0}while((kb|0)<(f[pb>>2]|0))}pb=f[rb>>2]|0;if((pb|0)!=(qb|0))tE(pb);pb=R+36|0;qb=f[pb>>2]|0;do if(qb|0){rb=qb+12|0;kb=f[rb>>2]|0;f[rb>>2]=kb+-1;if((kb|0)!=1)break;lP(R)}while(0);f[pb>>2]=0;pb=R+16|0;f[pb>>2]=0;f[pb+4>>2]=0;f[pb+8>>2]=0;f[pb+12>>2]=0;if((f[fb>>2]|0)>0){pb=f[hb>>2]|0;hb=0;do{f[pb+(hb<<2)>>2]=0;hb=hb+1|0}while((hb|0)<(f[fb>>2]|0))}fb=f[ib>>2]|0;if((fb|0)!=(gb|0))tE(fb);fb=Q+36|0;gb=f[fb>>2]|0;do if(gb|0){ib=gb+12|0;hb=f[ib>>2]|0;f[ib>>2]=hb+-1;if((hb|0)!=1)break;lP(Q)}while(0);f[fb>>2]=0;fb=Q+16|0;f[fb>>2]=0;f[fb+4>>2]=0;f[fb+8>>2]=0;f[fb+12>>2]=0;if((f[bb>>2]|0)>0){fb=f[db>>2]|0;db=0;do{f[fb+(db<<2)>>2]=0;db=db+1|0}while((db|0)<(f[bb>>2]|0))}bb=f[eb>>2]|0;if((bb|0)!=(cb|0))tE(bb);bb=f[ob>>2]|0;do if(bb|0){cb=bb+12|0;eb=f[cb>>2]|0;f[cb>>2]=eb+-1;if((eb|0)!=1)break;lP(N)}while(0);f[ob>>2]=0;f[lb>>2]=0;f[lb+4>>2]=0;f[lb+8>>2]=0;f[lb+12>>2]=0;if((f[Ia>>2]|0)>0){lb=f[Ka>>2]|0;Ka=0;do{f[lb+(Ka<<2)>>2]=0;Ka=Ka+1|0}while((Ka|0)<(f[Ia>>2]|0))}Ia=f[La>>2]|0;if((Ia|0)!=(Ha|0))tE(Ia);Ia=f[nb>>2]|0;do if(Ia|0){Ha=Ia+12|0;La=f[Ha>>2]|0;f[Ha>>2]=La+-1;if((La|0)!=1)break;lP(K)}while(0);f[nb>>2]=0;f[jb>>2]=0;f[jb+4>>2]=0;f[jb+8>>2]=0;f[jb+12>>2]=0;if((f[Ja>>2]|0)>0){jb=f[Ta>>2]|0;Ta=0;do{f[jb+(Ta<<2)>>2]=0;Ta=Ta+1|0}while((Ta|0)<(f[Ja>>2]|0))}Ja=f[Sa>>2]|0;if((Ja|0)!=(Ma|0))tE(Ja);Ja=J+36|0;Ma=f[Ja>>2]|0;do if(Ma|0){Sa=Ma+12|0;Ta=f[Sa>>2]|0;f[Sa>>2]=Ta+-1;if((Ta|0)!=1)break;lP(J)}while(0);f[Ja>>2]=0;Ja=J+4|0;f[Ua>>2]=0;f[Ua+4>>2]=0;f[Ua+8>>2]=0;f[Ua+12>>2]=0;if((f[Ja>>2]|0)>0){Ua=f[J+40>>2]|0;Ma=0;do{f[Ua+(Ma<<2)>>2]=0;Ma=Ma+1|0}while((Ma|0)<(f[Ja>>2]|0))}Ja=f[J+44>>2]|0;if((Ja|0)!=(J+48|0))tE(Ja);Ja=I+36|0;J=f[Ja>>2]|0;do if(J|0){Ma=J+12|0;Ua=f[Ma>>2]|0;f[Ma>>2]=Ua+-1;if((Ua|0)!=1)break;lP(I)}while(0);f[Ja>>2]=0;f[Oa>>2]=0;f[Oa+4>>2]=0;f[Oa+8>>2]=0;f[Oa+12>>2]=0;if((f[Na>>2]|0)>0){Oa=f[I+40>>2]|0;Ja=0;do{f[Oa+(Ja<<2)>>2]=0;Ja=Ja+1|0}while((Ja|0)<(f[Na>>2]|0))}Na=f[I+44>>2]|0;if((Na|0)!=(I+48|0))tE(Na);Na=H+36|0;I=f[Na>>2]|0;do if(I|0){Ja=I+12|0;Oa=f[Ja>>2]|0;f[Ja>>2]=Oa+-1;if((Oa|0)!=1)break;lP(H)}while(0);f[Na>>2]=0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[a>>2]|0)>0){c=f[H+40>>2]|0;Na=0;do{f[c+(Na<<2)>>2]=0;Na=Na+1|0}while((Na|0)<(f[a>>2]|0))}a=f[H+44>>2]|0;if((a|0)==(H+48|0)){u=i;return +Fc}tE(a);u=i;return +Fc}function jya(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;SQ(a,b,c,386052,d);return}function kya(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0;e=u;u=u+192|0;g=e+176|0;h=e+168|0;i=e+112|0;j=e+56|0;k=e;if((f[a+8>>2]|0)!=(f[c+8>>2]|0)){f[g>>2]=0;f[g+4>>2]=0;l=YG(g,22)|0;m=385953;o=l+22|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));jya(-215,g,385976,219)}p=f[a+12>>2]|0;q=f[c+12>>2]|0;if((p|0)%(q|0)|0|0){f[g>>2]=0;f[g+4>>2]=0;l=YG(g,28)|0;m=386002;o=l+28|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));jya(-215,g,385976,220)}r=f[d+16>>2]|0;if((p|0)!=(q|0)){s=d+8|0;if((f[s>>2]|0)<=0){u=e;return}t=g+4|0;v=h+4|0;w=i+8|0;x=i+12|0;y=i+4|0;z=j+36|0;A=j+16|0;B=j+4|0;C=j+40|0;D=j+44|0;E=j+48|0;F=0;do{G=Y(F,q)|0;H=F;F=F+1|0;I=Y(F,q)|0;f[g>>2]=-2147483648;f[t>>2]=2147483647;f[h>>2]=G;f[v>>2]=I;mP(j,a,g,h);f[w>>2]=0;f[x>>2]=0;f[i>>2]=16842752;f[y>>2]=j;J=+HX(c,i);n[r+(H<<2)>>2]=J;H=f[z>>2]|0;if(H|0?(I=H+12|0,H=f[I>>2]|0,f[I>>2]=H+-1,(H|0)==1):0)lP(j);f[z>>2]=0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[B>>2]|0)>0){H=f[C>>2]|0;I=0;do{f[H+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[B>>2]|0))}I=f[D>>2]|0;if((I|0)!=(E|0))tE(I)}while((F|0)<(f[s>>2]|0));u=e;return}s=d+12|0;F=f[s>>2]|0;E=d+8|0;if((F|0)!=(f[E>>2]|0)){f[g>>2]=0;f[g+4>>2]=0;l=YG(g,20)|0;m=386031;o=l+20|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(o|0));jya(-215,g,385976,233)}m=(p|0)/(F|0)|0;f[i>>2]=1124007936;p=i+4|0;d=i+8|0;D=i+40|0;l=p;o=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(o|0));f[D>>2]=d;l=i+48|0;o=i+44|0;f[o>>2]=l;f[l>>2]=0;f[i+52>>2]=0;if((F|0)>0){F=g+4|0;B=h+4|0;C=j+36|0;A=i+36|0;z=i+16|0;y=j+4|0;x=j+8|0;w=j+12|0;v=i+12|0;t=j+44|0;q=j+16|0;I=j+20|0;H=i+20|0;G=j+24|0;K=i+24|0;L=j+28|0;M=i+28|0;N=j+32|0;O=i+32|0;P=j+40|0;Q=j+48|0;R=g+8|0;S=g+12|0;T=g+4|0;U=g+4|0;V=h+4|0;W=j+8|0;X=j+12|0;Z=j+4|0;_=k+36|0;$=k+16|0;aa=k+4|0;ba=k+40|0;ca=k+44|0;da=k+48|0;ea=0;do{fa=Y(ea,m)|0;ga=ea;ea=ea+1|0;ha=Y(ea,m)|0;f[g>>2]=-2147483648;f[F>>2]=2147483647;f[h>>2]=fa;f[B>>2]=ha;mP(j,a,g,h);ha=f[C>>2]|0;if(ha|0){fa=ha+12|0;f[fa>>2]=(f[fa>>2]|0)+1}fa=f[A>>2]|0;if(fa|0?(ha=fa+12|0,fa=f[ha>>2]|0,f[ha>>2]=fa+-1,(fa|0)==1):0)lP(i);f[A>>2]=0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;f[z+12>>2]=0;if((f[p>>2]|0)>0){fa=f[D>>2]|0;ha=0;do{f[fa+(ha<<2)>>2]=0;ha=ha+1|0;ia=f[p>>2]|0}while((ha|0)<(ia|0));f[i>>2]=f[j>>2];if((ia|0)<3)ja=43;else ja=45}else{f[i>>2]=f[j>>2];ja=43}if((ja|0)==43){ja=0;ha=f[y>>2]|0;if((ha|0)<3){f[p>>2]=ha;f[d>>2]=f[x>>2];f[v>>2]=f[w>>2];ha=f[t>>2]|0;fa=f[o>>2]|0;f[fa>>2]=f[ha>>2];f[fa+4>>2]=f[ha+4>>2]}else ja=45}if((ja|0)==45){ja=0;kP(i,j)}f[z>>2]=f[q>>2];f[H>>2]=f[I>>2];f[K>>2]=f[G>>2];f[M>>2]=f[L>>2];f[O>>2]=f[N>>2];ha=f[C>>2]|0;f[A>>2]=ha;if(ha|0?(fa=ha+12|0,ha=f[fa>>2]|0,f[fa>>2]=ha+-1,(ha|0)==1):0)lP(j);f[C>>2]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[y>>2]|0)>0){ha=f[P>>2]|0;fa=0;do{f[ha+(fa<<2)>>2]=0;fa=fa+1|0}while((fa|0)<(f[y>>2]|0))}fa=f[t>>2]|0;if((fa|0)!=(Q|0))tE(fa);f[R>>2]=0;f[S>>2]=0;f[g>>2]=16842752;f[T>>2]=i;J=+QL(g,4,rE()|0);fa=f[E>>2]|0;ha=r+((Y(fa+1|0,ga)|0)<<2)|0;n[ha>>2]=J*J;if((ea|0)<(f[s>>2]|0)){ha=ea;do{ka=Y(ha,m)|0;la=ha;ha=ha+1|0;ma=Y(ha,m)|0;f[g>>2]=-2147483648;f[U>>2]=2147483647;f[h>>2]=ka;f[V>>2]=ma;mP(k,c,g,h);f[W>>2]=0;f[X>>2]=0;f[j>>2]=16842752;f[Z>>2]=k;J=+HX(i,j);ma=r+((Y(f[s>>2]|0,ga)|0)+la<<2)|0;n[ma>>2]=J;ma=f[_>>2]|0;if(ma|0?(ka=ma+12|0,ma=f[ka>>2]|0,f[ka>>2]=ma+-1,(ma|0)==1):0)lP(k);f[_>>2]=0;f[$>>2]=0;f[$+4>>2]=0;f[$+8>>2]=0;f[$+12>>2]=0;if((f[aa>>2]|0)>0){ma=f[ba>>2]|0;ka=0;do{f[ma+(ka<<2)>>2]=0;ka=ka+1|0}while((ka|0)<(f[aa>>2]|0))}ka=f[ca>>2]|0;if((ka|0)!=(da|0))tE(ka);ka=f[s>>2]|0;ma=r+((Y(ka,ga)|0)+la<<2)|0;na=r+((Y(ka,la)|0)+ga<<2)|0;f[na>>2]=f[ma>>2]}while((ha|0)<(ka|0));oa=f[E>>2]|0}else oa=fa}while((ea|0)<(oa|0));oa=f[A>>2]|0;if((oa|0)!=0?(ea=oa+12|0,oa=f[ea>>2]|0,f[ea>>2]=oa+-1,(oa|0)==1):0){lP(i);pa=A}else pa=A}else pa=i+36|0;f[pa>>2]=0;pa=i+16|0;f[pa>>2]=0;f[pa+4>>2]=0;f[pa+8>>2]=0;f[pa+12>>2]=0;if((f[p>>2]|0)>0){pa=f[D>>2]|0;D=0;do{f[pa+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[p>>2]|0))}p=f[o>>2]|0;if((p|0)!=(l|0))tE(p);u=e;return}function lya(a){a=a|0;var b=0,c=0,d=0,e=0;f[a>>2]=108680;ZG(a+184|0);b=a+72|0;c=a+108|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+88|0;b=a+76|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+112>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+116>>2]|0;if((b|0)!=(a+120|0))tE(b);b=a+16|0;d=a+52|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+32|0;b=a+20|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+56>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+60>>2]|0;if((b|0)==(a+64|0)){WX(a);return}tE(b);WX(a);return}function mya(a){a=a|0;lya(a);Emc(a);return}function nya(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+16|0;e=d;dY(a,c);f[e>>2]=0;f[e+4>>2]=0;g=YG(e,4)|0;b[g>>0]=110;b[g+1>>0]=97;b[g+2>>0]=109;b[g+3>>0]=101;g=N_(c,e)|0;ZG(e);i=N_(g,a+184|0)|0;f[e>>2]=0;f[e+4>>2]=0;g=YG(e,7)|0;b[g>>0]=b[386942]|0;b[g+1>>0]=b[386943]|0;b[g+2>>0]=b[386944]|0;b[g+3>>0]=b[386945]|0;b[g+4>>0]=b[386946]|0;b[g+5>>0]=b[386947]|0;b[g+6>>0]=b[386948]|0;g=N_(i,e)|0;ZG(e);i=a+132|0;if(ci[f[(f[c>>2]|0)+12>>2]&1023](g)|0){j=c+32|0;if((f[j>>2]|0)==6){f[e>>2]=0;f[e+4>>2]=0;k=YG(e,30)|0;l=387098;m=k+30|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-2,e,523834,387129,1183)}W_(g,c+12|0,f[i>>2]|0);if(f[j>>2]&4|0)f[j>>2]=6}f[e>>2]=0;f[e+4>>2]=0;k=YG(e,9)|0;l=386950;m=k+9|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));j=N_(g,e)|0;ZG(e);g=a+136|0;if(ci[f[(f[c>>2]|0)+12>>2]&1023](j)|0){i=c+32|0;if((f[i>>2]|0)==6){f[e>>2]=0;f[e+4>>2]=0;k=YG(e,30)|0;l=387098;m=k+30|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-2,e,523834,387129,1183)}W_(j,c+12|0,f[g>>2]|0);if(f[i>>2]&4|0)f[i>>2]=6}f[e>>2]=0;f[e+4>>2]=0;k=YG(e,15)|0;l=386960;m=k+15|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));i=N_(j,e)|0;ZG(e);j=a+152|0;if(ci[f[(f[c>>2]|0)+12>>2]&1023](i)|0){g=c+32|0;if((f[g>>2]|0)==6){f[e>>2]=0;f[e+4>>2]=0;k=YG(e,30)|0;l=387098;m=k+30|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-2,e,523834,387129,1183)}X_(i,c+12|0,+n[j>>2]);if(f[g>>2]&4|0)f[g>>2]=6}f[e>>2]=0;f[e+4>>2]=0;k=YG(e,12)|0;l=386976;m=k+12|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));g=N_(i,e)|0;ZG(e);i=a+144|0;if(ci[f[(f[c>>2]|0)+12>>2]&1023](g)|0){j=c+32|0;if((f[j>>2]|0)==6){f[e>>2]=0;f[e+4>>2]=0;k=YG(e,30)|0;l=387098;m=k+30|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-2,e,523834,387129,1183)}Y_(g,c+12|0,+p[i>>3]);if(f[j>>2]&4|0)f[j>>2]=6}f[e>>2]=0;f[e+4>>2]=0;k=YG(e,15)|0;l=386989;m=k+15|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));j=N_(g,e)|0;ZG(e);g=a+156|0;if(ci[f[(f[c>>2]|0)+12>>2]&1023](j)|0){i=c+32|0;if((f[i>>2]|0)==6){f[e>>2]=0;f[e+4>>2]=0;k=YG(e,30)|0;l=387098;m=k+30|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-2,e,523834,387129,1183)}X_(j,c+12|0,+n[g>>2]);if(f[i>>2]&4|0)f[i>>2]=6}f[e>>2]=0;f[e+4>>2]=0;i=YG(e,7)|0;b[i>>0]=b[387005]|0;b[i+1>>0]=b[387006]|0;b[i+2>>0]=b[387007]|0;b[i+3>>0]=b[387008]|0;b[i+4>>0]=b[387009]|0;b[i+5>>0]=b[387010]|0;b[i+6>>0]=b[387011]|0;i=N_(j,e)|0;ZG(e);j=a+160|0;if(ci[f[(f[c>>2]|0)+12>>2]&1023](i)|0){g=c+32|0;if((f[g>>2]|0)==6){f[e>>2]=0;f[e+4>>2]=0;k=YG(e,30)|0;l=387098;m=k+30|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-2,e,523834,387129,1183)}X_(i,c+12|0,+n[j>>2]);if(f[g>>2]&4|0)f[g>>2]=6}f[e>>2]=0;f[e+4>>2]=0;g=YG(e,6)|0;b[g>>0]=b[387013]|0;b[g+1>>0]=b[387014]|0;b[g+2>>0]=b[387015]|0;b[g+3>>0]=b[387016]|0;b[g+4>>0]=b[387017]|0;b[g+5>>0]=b[387018]|0;g=N_(i,e)|0;ZG(e);i=a+164|0;if(ci[f[(f[c>>2]|0)+12>>2]&1023](g)|0){j=c+32|0;if((f[j>>2]|0)==6){f[e>>2]=0;f[e+4>>2]=0;k=YG(e,30)|0;l=387098;m=k+30|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-2,e,523834,387129,1183)}X_(g,c+12|0,+n[i>>2]);if(f[j>>2]&4|0)f[j>>2]=6}f[e>>2]=0;f[e+4>>2]=0;j=YG(e,6)|0;b[j>>0]=b[387020]|0;b[j+1>>0]=b[387021]|0;b[j+2>>0]=b[387022]|0;b[j+3>>0]=b[387023]|0;b[j+4>>0]=b[387024]|0;b[j+5>>0]=b[387025]|0;j=N_(g,e)|0;ZG(e);g=a+168|0;if(ci[f[(f[c>>2]|0)+12>>2]&1023](j)|0){i=c+32|0;if((f[i>>2]|0)==6){f[e>>2]=0;f[e+4>>2]=0;k=YG(e,30)|0;l=387098;m=k+30|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-2,e,523834,387129,1183)}X_(j,c+12|0,+n[g>>2]);if(f[i>>2]&4|0)f[i>>2]=6}f[e>>2]=0;f[e+4>>2]=0;k=YG(e,28)|0;l=387027;m=k+28|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));i=N_(j,e)|0;ZG(e);j=a+172|0;if(ci[f[(f[c>>2]|0)+12>>2]&1023](i)|0){g=c+32|0;if((f[g>>2]|0)==6){f[e>>2]=0;f[e+4>>2]=0;k=YG(e,30)|0;l=387098;m=k+30|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-2,e,523834,387129,1183)}X_(i,c+12|0,+n[j>>2]);if(f[g>>2]&4|0)f[g>>2]=6}f[e>>2]=0;f[e+4>>2]=0;k=YG(e,13)|0;l=387056;m=k+13|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));g=N_(i,e)|0;ZG(e);i=h[a+176>>0]|0;if(ci[f[(f[c>>2]|0)+12>>2]&1023](g)|0){j=c+32|0;if((f[j>>2]|0)==6){f[e>>2]=0;f[e+4>>2]=0;k=YG(e,30)|0;l=387098;m=k+30|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-2,e,523834,387129,1183)}W_(g,c+12|0,i);if(f[j>>2]&4|0)f[j>>2]=6}f[e>>2]=0;f[e+4>>2]=0;k=YG(e,11)|0;l=387070;m=k+11|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));j=N_(g,e)|0;ZG(e);g=h[a+177>>0]|0;if(ci[f[(f[c>>2]|0)+12>>2]&1023](j)|0){i=c+32|0;if((f[i>>2]|0)==6){f[e>>2]=0;f[e+4>>2]=0;k=YG(e,30)|0;l=387098;m=k+30|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-2,e,523834,387129,1183)}W_(j,c+12|0,g);if(f[i>>2]&4|0)f[i>>2]=6}f[e>>2]=0;f[e+4>>2]=0;k=YG(e,15)|0;l=387082;m=k+15|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));i=N_(j,e)|0;ZG(e);j=a+180|0;if(!(ci[f[(f[c>>2]|0)+12>>2]&1023](i)|0)){u=d;return}a=c+32|0;if((f[a>>2]|0)==6){f[e>>2]=0;f[e+4>>2]=0;k=YG(e,30)|0;l=387098;m=k+30|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-2,e,523834,387129,1183)}X_(i,c+12|0,+n[j>>2]);if(!(f[a>>2]&4)){u=d;return}f[a>>2]=6;u=d;return}function oya(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0;d=u;u=u+112|0;e=d;g=d+8|0;h=d+104|0;i=d+96|0;j=d+88|0;k=d+80|0;l=d+72|0;m=d+64|0;n=d+56|0;o=d+48|0;q=d+40|0;r=d+32|0;s=d+24|0;t=d+16|0;R_(g,c,475969);f[e>>2]=0;f[e+4>>2]=0;e$(g,e,e);g=f[e>>2]|0;v=f[a+184>>2]|0;if((g|0)!=(v|0)){w=(o7b((g|0)==0?1163146:g,(v|0)==0?1163146:v)|0)==0;ZG(e);if(!w){f[e>>2]=0;f[e+4>>2]=0;w=YG(e,27)|0;v=386909;g=w+27|0;do{b[w>>0]=b[v>>0]|0;w=w+1|0;v=v+1|0}while((w|0)<(g|0));SQ(-215,e,386937,386229,307)}}else ZG(e);R_(h,c,386942);b$(h,e,0);f[a+132>>2]=f[e>>2];R_(i,c,386950);b$(i,e,0);f[a+136>>2]=f[e>>2];R_(j,c,386960);c$(j,e,0.0);f[a+152>>2]=f[e>>2];R_(k,c,386976);d$(k,e,0.0);p[a+144>>3]=+p[e>>3];R_(l,c,386989);c$(l,e,0.0);f[a+156>>2]=f[e>>2];R_(m,c,387005);c$(m,e,0.0);f[a+160>>2]=f[e>>2];R_(n,c,387013);c$(n,e,0.0);f[a+164>>2]=f[e>>2];R_(o,c,387020);c$(o,e,0.0);f[a+168>>2]=f[e>>2];R_(q,c,387027);c$(q,e,0.0);f[a+172>>2]=f[e>>2];R_(r,c,387056);b$(r,e,0);b[a+176>>0]=(f[e>>2]|0)!=0&1;R_(s,c,387070);b$(s,e,0);s=f[e>>2]|0;b[a+177>>0]=s>>>0<256?s:(s|0)>0?255:0;R_(t,c,387082);c$(t,e,0.0);f[a+180>>2]=f[e>>2];u=d;return}function pya(a,c,d,e){a=a|0;c=c|0;d=d|0;e=+e;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0.0,A=0.0,B=0.0,C=0.0,D=0,E=0;g=u;u=u+224|0;h=g+208|0;i=g+152|0;j=g+144|0;k=g+80|0;l=g+88|0;m=g+72|0;o=g;zT(h,108896);q=a+128|0;do if(!(e>=1.0|(f[q>>2]|0)==0)){nD(i,c,-1);if(!((f[i>>2]|0)!=(f[a+4>>2]|0)?1:(f[i+4>>2]|0)!=(f[a+8>>2]|0))?(r=oD(c,-1)|0,(r|0)==(f[a+12>>2]|0)):0)break;else{s=5;break}}else s=5;while(0);if((s|0)==5){nD(j,c,-1);Tya(a,j,oD(c,-1)|0)}do if((pD(c)|0)==65536){j=f[c+4>>2]|0;f[i>>2]=f[j>>2];s=i+4|0;r=j+4|0;f[s>>2]=f[r>>2];t=i+8|0;f[t>>2]=f[j+8>>2];f[i+12>>2]=f[j+12>>2];f[i+16>>2]=f[j+16>>2];f[i+20>>2]=f[j+20>>2];f[i+24>>2]=f[j+24>>2];f[i+28>>2]=f[j+28>>2];f[i+32>>2]=f[j+32>>2];v=f[j+36>>2]|0;f[i+36>>2]=v;w=i+40|0;f[w>>2]=t;t=i+48|0;x=i+44|0;f[x>>2]=t;f[t>>2]=0;f[i+52>>2]=0;if(v|0){t=v+12|0;f[t>>2]=(f[t>>2]|0)+1}if((f[r>>2]|0)<3){r=f[j+44>>2]|0;t=f[x>>2]|0;f[t>>2]=f[r>>2];f[t+4>>2]=f[r+4>>2];y=w;break}else{f[s>>2]=0;kP(i,j);y=w;break}}else{lD(i,c,-1);y=i+40|0}while(0);c=f[y>>2]|0;w=f[c>>2]|0;f[k>>2]=f[c+4>>2];f[k+4>>2]=w;HD(d,k,0,-1,0,0);do if((pD(d)|0)==65536){k=f[d+4>>2]|0;f[l>>2]=f[k>>2];w=l+4|0;c=k+4|0;f[w>>2]=f[c>>2];j=l+8|0;f[j>>2]=f[k+8>>2];f[l+12>>2]=f[k+12>>2];f[l+16>>2]=f[k+16>>2];f[l+20>>2]=f[k+20>>2];f[l+24>>2]=f[k+24>>2];f[l+28>>2]=f[k+28>>2];f[l+32>>2]=f[k+32>>2];s=f[k+36>>2]|0;f[l+36>>2]=s;f[l+40>>2]=j;j=l+48|0;r=l+44|0;f[r>>2]=j;f[j>>2]=0;f[l+52>>2]=0;if(s|0){j=s+12|0;f[j>>2]=(f[j>>2]|0)+1}if((f[c>>2]|0)<3){c=f[k+44>>2]|0;j=f[r>>2]|0;f[j>>2]=f[c>>2];f[j+4>>2]=f[c+4>>2];break}else{f[w>>2]=0;kP(l,k);break}}else lD(l,d,-1);while(0);d=f[q>>2]|0;k=d+1|0;f[q>>2]=k;if(e>=0.0&(d|0)>0)z=e;else{d=k<<1;k=f[a+132>>2]|0;z=1.0/+(((k|0)<(d|0)?k:d)|0)}if(!(z>=0.0)){f[m>>2]=0;f[m+4>>2]=0;d=YG(m,17)|0;k=386735;q=d+17|0;do{b[d>>0]=b[k>>0]|0;d=d+1|0;k=k+1|0}while((d|0)<(q|0));SQ(-215,m,472702,386229,870)}k=i+8|0;d=f[k>>2]|0;f[m>>2]=0;f[m+4>>2]=d;q=f[a+32>>2]|0;w=f[a+136>>2]|0;c=Y(w<<3,d)|0;d=f[i+12>>2]|0;j=q+(Y(c,d)|0)|0;c=f[a+88>>2]|0;e=+p[a+144>>3];r=f[a+152>>2]|0;s=f[a+156>>2]|0;t=f[a+160>>2]|0;A=+n[a+164>>2];B=+n[a+168>>2];C=-(z*+n[a+172>>2]);x=f[a+180>>2]|0;v=b[a+176>>0]|0;D=b[a+177>>0]|0;f[o>>2]=108924;f[o+4>>2]=i;f[o+8>>2]=l;f[o+12>>2]=q;f[o+16>>2]=j;f[o+20>>2]=c;f[o+24>>2]=w;n[o+28>>2]=z;n[o+32>>2]=e;f[o+36>>2]=r;f[o+40>>2]=s;f[o+44>>2]=t;n[o+48>>2]=A>B?B:A;n[o+52>>2]=A<B?B:A;n[o+56>>2]=C;f[o+60>>2]=x;b[o+64>>0]=v;b[o+65>>0]=D;D=i+4|0;v=f[D>>2]|0;if((v|0)<3)E=Y(d,f[k>>2]|0)|0;else{k=f[y>>2]|0;d=0;x=1;while(1){t=Y(f[k+(d<<2)>>2]|0,x)|0;d=d+1|0;if((d|0)==(v|0)){E=t;break}else x=t}}oU(m,o,+(E>>>0)*.0000152587890625);E=l+36|0;o=f[E>>2]|0;if(o|0?(m=o+12|0,o=f[m>>2]|0,f[m>>2]=o+-1,(o|0)==1):0)lP(l);f[E>>2]=0;E=l+16|0;o=l+4|0;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;if((f[o>>2]|0)>0){E=f[l+40>>2]|0;m=0;do{f[E+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[o>>2]|0))}o=f[l+44>>2]|0;if((o|0)!=(l+48|0))tE(o);o=i+36|0;l=f[o>>2]|0;if(l|0?(m=l+12|0,l=f[m>>2]|0,f[m>>2]=l+-1,(l|0)==1):0)lP(i);f[o>>2]=0;o=i+16|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[D>>2]|0)>0){o=f[y>>2]|0;y=0;do{f[o+(y<<2)>>2]=0;y=y+1|0}while((y|0)<(f[D>>2]|0))}D=f[i+44>>2]|0;if((D|0)!=(i+48|0))tE(D);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function qya(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;switch(f[a+12>>2]|0){case 0:{Pya(a,c);u=d;return}case 16:{Qya(a,c);u=d;return}case 5:{Rya(a,c);u=d;return}case 21:{Sya(a,c);u=d;return}default:{f[e>>2]=0;f[e+4>>2]=0;d=YG(e,94)|0;c=386115;a=d+94|0;do{b[d>>0]=b[c>>0]|0;d=d+1|0;c=c+1|0}while((d|0)<(a|0));SQ(-215,e,386210,386229,929)}}}function rya(a){a=a|0;return f[a+132>>2]|0}function sya(a,b){a=a|0;b=b|0;f[a+132>>2]=b;return}function tya(a){a=a|0;return f[a+136>>2]|0}function uya(a,b){a=a|0;b=b|0;f[a+136>>2]=b;return}function vya(a){a=a|0;return +(+n[a+152>>2])}function wya(a,b){a=a|0;b=+b;n[a+152>>2]=b;return}function xya(a){a=a|0;return +(+p[a+144>>3])}function yya(a,b){a=a|0;b=+b;p[a+144>>3]=b;return}function zya(a){a=a|0;return +(+n[a+156>>2])}function Aya(a,b){a=a|0;b=+b;n[a+156>>2]=b;return}function Bya(a){a=a|0;return +(+n[a+160>>2])}function Cya(a,b){a=a|0;b=+b;n[a+160>>2]=b;return}function Dya(a){a=a|0;return +(+n[a+164>>2])}function Eya(a,b){a=a|0;b=+b;n[a+164>>2]=b;return}function Fya(a){a=a|0;return +(+n[a+168>>2])}function Gya(a,b){a=a|0;b=+b;n[a+168>>2]=b;return}function Hya(a){a=a|0;return +(+n[a+172>>2])}function Iya(a,b){a=a|0;b=+b;n[a+172>>2]=b;return}function Jya(a){a=a|0;return (b[a+176>>0]|0)!=0|0}function Kya(a,c){a=a|0;c=c|0;var d=0;d=a+176|0;if((h[d>>0]|0|0)==(c&1|0))return;b[d>>0]=c&1;return}function Lya(a){a=a|0;return h[a+177>>0]|0|0}function Mya(a,c){a=a|0;c=c|0;b[a+177>>0]=c;return}function Nya(a){a=a|0;return +(+n[a+180>>2])}function Oya(a,b){a=a|0;b=+b;n[a+180>>2]=b;return}function Pya(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,M=0,N=0,O=0,P=0;d=u;u=u+112|0;e=d+96|0;g=d+88|0;h=d+32|0;i=d;zT(g,108876);j=a+4|0;k=f[j>>2]|0;l=a+8|0;m=f[l>>2]|0;o=f[a+12>>2]|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;f[i+24>>2]=0;f[i+28>>2]=0;f[h>>2]=1124007936;p=h+4|0;q=h+8|0;r=h+40|0;s=p;t=s+36|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(t|0));f[r>>2]=q;s=h+48|0;t=h+44|0;f[t>>2]=s;f[s>>2]=0;f[h+52>>2]=0;f[e>>2]=m;f[e+4>>2]=k;iP(h,2,e,o&4095);nT(h,i)|0;i=f[a+32>>2]|0;o=Y(f[l>>2]|0,f[j>>2]|0)|0;j=a+136|0;l=i+((Y(o,f[j>>2]|0)|0)<<3)|0;o=f[q>>2]|0;if((o|0)>0){e=h+12|0;k=a+88|0;m=a+116|0;v=h+16|0;w=a+152|0;a=0;x=0;y=o;o=f[e>>2]|0;while(1){if((o|0)>0){z=0;A=a;do{B=(f[k>>2]|0)+(Y(f[f[m>>2]>>2]|0,x)|0)+z|0;C=b[B>>0]|0;B=(C&255)+A|0;if(!(C<<24>>24)){D=0.0;E=0.0}else{F=+n[w>>2];C=A;G=0.0;H=0.0;while(1){I=+n[i+(C<<3)>>2];J=H+I*+n[l+(C<<2)>>2];K=G+I;C=C+1|0;if(!(!(K>F)&(C|0)<(B|0))){D=K;E=J;break}else{G=K;H=J}}}B=+L(+D)>1.1920928955078125e-07;C=U9b(E*(B?1.0/D:0.0))|0;B=(f[v>>2]|0)+(Y(f[f[t>>2]>>2]|0,x)|0)+z|0;b[B>>0]=C>>>0<256?C:(C|0)>0?255:0;A=(f[j>>2]|0)+A|0;z=z+1|0;M=f[e>>2]|0}while((z|0)<(M|0));N=A;O=M;P=f[q>>2]|0}else{N=a;O=o;P=y}x=x+1|0;if((x|0)>=(P|0))break;else{a=N;y=P;o=O}}}kT(h,c);c=h+36|0;O=f[c>>2]|0;if(O|0?(o=O+12|0,O=f[o>>2]|0,f[o>>2]=O+-1,(O|0)==1):0)lP(h);f[c>>2]=0;c=h+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[p>>2]|0)>0){c=f[r>>2]|0;r=0;do{f[c+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[p>>2]|0))}p=f[t>>2]|0;if((p|0)!=(s|0))tE(p);if(!(f[g+4>>2]|0)){u=d;return}u=d;return}function Qya(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,M=0.0,N=0.0,O=0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0,U=0,V=0,W=0,X=0;d=u;u=u+112|0;e=d+96|0;g=d+88|0;h=d+32|0;i=d;zT(g,108856);j=a+4|0;k=f[j>>2]|0;l=a+8|0;m=f[l>>2]|0;o=f[a+12>>2]|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;f[i+24>>2]=0;f[i+28>>2]=0;f[h>>2]=1124007936;p=h+4|0;q=h+8|0;r=h+40|0;s=p;t=s+36|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(t|0));f[r>>2]=q;s=h+48|0;t=h+44|0;f[t>>2]=s;f[s>>2]=0;f[h+52>>2]=0;f[e>>2]=m;f[e+4>>2]=k;iP(h,2,e,o&4095);nT(h,i)|0;i=f[a+32>>2]|0;o=Y(f[l>>2]|0,f[j>>2]|0)|0;j=a+136|0;l=i+((Y(o,f[j>>2]|0)|0)<<3)|0;o=f[q>>2]|0;if((o|0)>0){e=h+12|0;k=a+88|0;m=a+116|0;v=h+16|0;w=a+152|0;a=0;x=0;y=o;o=f[e>>2]|0;while(1){if((o|0)>0){z=0;A=a;do{B=(f[k>>2]|0)+(Y(f[f[m>>2]>>2]|0,x)|0)+z|0;C=b[B>>0]|0;B=(C&255)+A|0;if(!(C<<24>>24)){D=0.0;E=0.0;F=0.0;G=0.0}else{H=+n[w>>2];C=A;I=0.0;J=0.0;K=0.0;M=0.0;while(1){N=+n[i+(C<<3)>>2];O=C*3|0;P=J+N*+n[l+(O<<2)>>2];Q=K+N*+n[l+(O+1<<2)>>2];R=M+N*+n[l+(O+2<<2)>>2];S=I+N;C=C+1|0;if(!(!(S>H)&(C|0)<(B|0))){D=S;E=P;F=Q;G=R;break}else{I=S;J=P;K=Q;M=R}}}B=+L(+D)>1.1920928955078125e-07;M=B?1.0/D:0.0;B=U9b(E*M)|0;C=U9b(F*M)|0;O=U9b(M*G)|0;T=(f[v>>2]|0)+(Y(f[f[t>>2]>>2]|0,x)|0)|0;b[T+(z*3|0)>>0]=B>>>0<256?B:(B|0)>0?255:0;b[T+(z*3|0)+1>>0]=C>>>0<256?C:(C|0)>0?255:0;b[T+(z*3|0)+2>>0]=O>>>0<256?O:(O|0)>0?255:0;A=(f[j>>2]|0)+A|0;z=z+1|0;U=f[e>>2]|0}while((z|0)<(U|0));V=A;W=U;X=f[q>>2]|0}else{V=a;W=o;X=y}x=x+1|0;if((x|0)>=(X|0))break;else{a=V;y=X;o=W}}}kT(h,c);c=h+36|0;W=f[c>>2]|0;if(W|0?(o=W+12|0,W=f[o>>2]|0,f[o>>2]=W+-1,(W|0)==1):0)lP(h);f[c>>2]=0;c=h+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[p>>2]|0)>0){c=f[r>>2]|0;r=0;do{f[c+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[p>>2]|0))}p=f[t>>2]|0;if((p|0)!=(s|0))tE(p);if(!(f[g+4>>2]|0)){u=d;return}u=d;return}function Rya(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,M=0,N=0,O=0,P=0;d=u;u=u+112|0;e=d+96|0;g=d+88|0;h=d+32|0;i=d;zT(g,108836);j=a+4|0;k=f[j>>2]|0;l=a+8|0;m=f[l>>2]|0;o=f[a+12>>2]|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;f[i+24>>2]=0;f[i+28>>2]=0;f[h>>2]=1124007936;p=h+4|0;q=h+8|0;r=h+40|0;s=p;t=s+36|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(t|0));f[r>>2]=q;s=h+48|0;t=h+44|0;f[t>>2]=s;f[s>>2]=0;f[h+52>>2]=0;f[e>>2]=m;f[e+4>>2]=k;iP(h,2,e,o&4095);nT(h,i)|0;i=f[a+32>>2]|0;o=Y(f[l>>2]|0,f[j>>2]|0)|0;j=a+136|0;l=i+((Y(o,f[j>>2]|0)|0)<<3)|0;o=f[q>>2]|0;if((o|0)>0){e=h+12|0;k=a+88|0;m=a+116|0;v=h+16|0;w=a+152|0;a=0;x=0;y=f[e>>2]|0;z=o;while(1){if((y|0)>0){o=0;A=a;do{B=(f[k>>2]|0)+(Y(f[f[m>>2]>>2]|0,x)|0)+o|0;C=b[B>>0]|0;B=(C&255)+A|0;if(!(C<<24>>24)){D=0.0;E=0.0}else{F=+n[w>>2];C=A;G=0.0;H=0.0;while(1){I=+n[i+(C<<3)>>2];J=H+I*+n[l+(C<<2)>>2];K=G+I;C=C+1|0;if(!(!(K>F)&(C|0)<(B|0))){D=K;E=J;break}else{G=K;H=J}}}B=+L(+D)>1.1920928955078125e-07;C=(f[v>>2]|0)+(Y(f[f[t>>2]>>2]|0,x)|0)+(o<<2)|0;n[C>>2]=E*(B?1.0/D:0.0);A=(f[j>>2]|0)+A|0;o=o+1|0;M=f[e>>2]|0}while((o|0)<(M|0));N=A;O=f[q>>2]|0;P=M}else{N=a;O=z;P=y}x=x+1|0;if((x|0)>=(O|0))break;else{a=N;y=P;z=O}}}kT(h,c);c=h+36|0;O=f[c>>2]|0;if(O|0?(z=O+12|0,O=f[z>>2]|0,f[z>>2]=O+-1,(O|0)==1):0)lP(h);f[c>>2]=0;c=h+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[p>>2]|0)>0){c=f[r>>2]|0;r=0;do{f[c+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[p>>2]|0))}p=f[t>>2]|0;if((p|0)!=(s|0))tE(p);if(!(f[g+4>>2]|0)){u=d;return}u=d;return}function Sya(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,M=0.0,N=0.0,O=0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0,U=0,V=0,W=0;d=u;u=u+112|0;e=d+96|0;g=d+88|0;h=d+32|0;i=d;zT(g,108816);j=a+4|0;k=f[j>>2]|0;l=a+8|0;m=f[l>>2]|0;o=f[a+12>>2]|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;f[i+24>>2]=0;f[i+28>>2]=0;f[h>>2]=1124007936;p=h+4|0;q=h+8|0;r=h+40|0;s=p;t=s+36|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(t|0));f[r>>2]=q;s=h+48|0;t=h+44|0;f[t>>2]=s;f[s>>2]=0;f[h+52>>2]=0;f[e>>2]=m;f[e+4>>2]=k;iP(h,2,e,o&4095);nT(h,i)|0;i=f[a+32>>2]|0;o=Y(f[l>>2]|0,f[j>>2]|0)|0;j=a+136|0;l=i+((Y(o,f[j>>2]|0)|0)<<3)|0;o=f[q>>2]|0;if((o|0)>0){e=h+12|0;k=a+88|0;m=a+116|0;v=h+16|0;w=a+152|0;a=0;x=0;y=o;o=f[e>>2]|0;while(1){if((o|0)>0){z=0;A=a;do{B=(f[k>>2]|0)+(Y(f[f[m>>2]>>2]|0,x)|0)+z|0;C=b[B>>0]|0;B=(C&255)+A|0;if(!(C<<24>>24)){D=0.0;E=0.0;F=0.0;G=0.0}else{H=+n[w>>2];C=A;I=0.0;J=0.0;K=0.0;M=0.0;while(1){N=+n[i+(C<<3)>>2];O=C*3|0;P=J+N*+n[l+(O<<2)>>2];Q=K+N*+n[l+(O+1<<2)>>2];R=M+N*+n[l+(O+2<<2)>>2];S=I+N;C=C+1|0;if(!(!(S>H)&(C|0)<(B|0))){D=S;E=P;F=Q;G=R;break}else{I=S;J=P;K=Q;M=R}}}B=+L(+D)>1.1920928955078125e-07;M=B?1.0/D:0.0;B=(f[v>>2]|0)+(Y(f[f[t>>2]>>2]|0,x)|0)|0;n[B+(z*12|0)>>2]=E*M;n[B+(z*12|0)+4>>2]=F*M;n[B+(z*12|0)+8>>2]=M*G;A=(f[j>>2]|0)+A|0;z=z+1|0;T=f[e>>2]|0}while((z|0)<(T|0));U=A;V=T;W=f[q>>2]|0}else{U=a;V=o;W=y}x=x+1|0;if((x|0)>=(W|0))break;else{a=U;y=W;o=V}}}kT(h,c);c=h+36|0;V=f[c>>2]|0;if(V|0?(o=V+12|0,V=f[o>>2]|0,f[o>>2]=V+-1,(V|0)==1):0)lP(h);f[c>>2]=0;c=h+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[p>>2]|0)>0){c=f[r>>2]|0;r=0;do{f[c+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[p>>2]|0))}p=f[t>>2]|0;if((p|0)!=(s|0))tE(p);if(!(f[g+4>>2]|0)){u=d;return}u=d;return}function Tya(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=u;u=u+32|0;g=e;h=f[c>>2]|0;i=a+4|0;f[i>>2]=h;j=f[c+4>>2]|0;c=a+8|0;f[c>>2]=j;f[a+12>>2]=d;f[a+128>>2]=0;k=d>>>3&511;if((k+1|0)>>>0>=513){f[g>>2]=0;f[g+4>>2]=0;l=YG(g,22)|0;m=386772;n=l+22|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,g,386795,386229,192)}d=f[a+136>>2]|0;if((d|0)>=256){f[g>>2]=0;f[g+4>>2]=0;l=YG(g,16)|0;m=386806;n=l+16|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,g,386795,386229,193)}m=a+16|0;l=Y(Y(Y(d,k+3|0)|0,j)|0,h)|0;if(((((f[a+20>>2]|0)<3?(f[a+24>>2]|0)==1:0)?(f[a+28>>2]|0)==(l|0):0)?(f[m>>2]&4095|0)==5:0)?(f[a+32>>2]|0)!=0:0){o=j;p=h}else{f[g>>2]=1;f[g+4>>2]=l;iP(m,2,g,5);o=f[c>>2]|0;p=f[i>>2]|0}i=a+72|0;if(((((f[a+76>>2]|0)<3?(f[a+80>>2]|0)==(o|0):0)?(f[a+84>>2]|0)==(p|0):0)?(f[i>>2]&4095|0)==0:0)?f[a+88>>2]|0:0){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;nT(i,g)|0;u=e;return}f[g>>2]=o;f[g+4>>2]=p;iP(i,2,g,0);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;nT(i,g)|0;u=e;return}function Uya(a){a=a|0;Emc(a);return}function Vya(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0.0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0.0,Ca=0,Da=0,Ea=0.0,Fa=0.0,Ga=0,Ha=0.0,Ia=0.0,Ja=0.0,Ka=0.0,La=0.0,Ma=0,Na=0,Oa=0,Pa=0.0,Qa=0.0,Ra=0,Sa=0,Ta=0.0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0.0,eb=0.0,fb=0,gb=0,hb=0;d=u;u=u+3248|0;e=d+3224|0;g=d+3168|0;i=d+2104|0;j=d+56|0;k=d;l=f[c>>2]|0;m=f[c+4>>2]|0;c=a+4|0;o=f[c>>2]|0;p=f[o+12>>2]|0;q=((f[o>>2]|0)>>>3&511)+1|0;r=Y(p,q)|0;s=i+8|0;f[i>>2]=s;t=i+4|0;f[t>>2]=r;if(r>>>0>264){v=Dmc(r>>>0>1073741823?-1:r<<2)|0;f[i>>2]=v;w=v}else w=s;v=a+28|0;x=1.0-+n[v>>2];a:do if((l|0)<(m|0)){r=a+16|0;y=a+24|0;z=a+12|0;A=a+20|0;B=a+8|0;C=(p|0)>0;D=a+64|0;E=a+32|0;F=a+36|0;G=a+60|0;H=a+65|0;I=a+44|0;J=a+56|0;K=(q|0)==3;M=j+4|0;N=j+8|0;O=a+40|0;P=a+48|0;Q=a+52|0;R=e+4|0;S=g+4|0;T=(q<<3)+-3|0;U=e+8|0;V=e+4|0;W=g+36|0;X=g+16|0;Z=g+4|0;_=g+40|0;$=g+44|0;aa=g+48|0;ba=k+36|0;ca=k+16|0;da=k+4|0;ea=k+40|0;fa=k+44|0;ga=k+48|0;ha=l;ia=o;ja=w;while(1){if((f[ia>>2]&7|0)!=5){f[e>>2]=ha;f[R>>2]=ha+1;f[g>>2]=-2147483648;f[S>>2]=2147483647;mP(k,ia,e,g);Ri(g,1,p,T,ja,0);ka=U;f[ka>>2]=0;f[ka+4>>2]=0;f[e>>2]=-1040121856;f[V>>2]=g;IO(k,e,5,1.0,0.0);ka=f[W>>2]|0;if(ka|0?(la=ka+12|0,ka=f[la>>2]|0,f[la>>2]=ka+-1,(ka|0)==1):0)lP(g);f[W>>2]=0;f[X>>2]=0;f[X+4>>2]=0;f[X+8>>2]=0;f[X+12>>2]=0;if((f[Z>>2]|0)>0){ka=f[_>>2]|0;la=0;do{f[ka+(la<<2)>>2]=0;la=la+1|0}while((la|0)<(f[Z>>2]|0))}la=f[$>>2]|0;if((la|0)!=(aa|0))tE(la);la=f[ba>>2]|0;if(la|0?(ka=la+12|0,la=f[ka>>2]|0,f[ka>>2]=la+-1,(la|0)==1):0)lP(k);f[ba>>2]=0;f[ca>>2]=0;f[ca+4>>2]=0;f[ca+8>>2]=0;f[ca+12>>2]=0;if((f[da>>2]|0)>0){la=f[ea>>2]|0;ka=0;do{f[la+(ka<<2)>>2]=0;ka=ka+1|0}while((ka|0)<(f[da>>2]|0))}ka=f[fa>>2]|0;if((ka|0)==(ga|0))ma=ja;else{tE(ka);ma=ja}}else ma=(f[ia+16>>2]|0)+(Y(f[f[ia+44>>2]>>2]|0,ha)|0)|0;ka=Y(f[y>>2]|0,p)|0;la=(f[A>>2]|0)+(Y(ha,p)|0)|0;na=f[B>>2]|0;oa=(f[na+16>>2]|0)+(Y(f[f[na+44>>2]>>2]|0,ha)|0)|0;if(C){na=(f[z>>2]|0)+((Y(ka,ha)|0)<<3)|0;pa=0;qa=na;na=(f[r>>2]|0)+((Y(Y(ha,q)|0,ka)|0)<<2)|0;ka=ma;while(1){ra=la+pa|0;sa=b[ra>>0]|0;ta=sa&255;if(!(sa<<24>>24)){ua=0.0;va=ta;wa=0;xa=0}else{sa=ka+4|0;ya=ka+8|0;za=0;Aa=na;Ba=0.0;Ca=ta;ta=0;Da=0;Ea=+n[J>>2];while(1){Fa=x*+n[qa+(za<<3)>>2]+Ea;b:do if(!ta){Ga=qa+(za<<3)+4|0;Ha=+n[Ga>>2];if(K){Ia=+n[Aa>>2]-+n[ka>>2];n[j>>2]=Ia;Ja=+n[Aa+4>>2]-+n[sa>>2];n[M>>2]=Ja;Ka=+n[Aa+8>>2]-+n[ya>>2];n[N>>2]=Ka;La=Ka*Ka+(Ia*Ia+Ja*Ja)}else{Ma=0;Ja=0.0;while(1){Ia=+n[Aa+(Ma<<2)>>2]-+n[ka+(Ma<<2)>>2];n[j+(Ma<<2)>>2]=Ia;Ka=Ja+Ia*Ia;Ma=Ma+1|0;if((Ma|0)==(q|0)){La=Ka;break}else Ja=Ka}}if(Ba<+n[F>>2]?La<Ha*+n[E>>2]:0)Na=1;else Na=Da;if(La<Ha*+n[O>>2]){Ja=+n[v>>2];Ka=Fa+Ja;Ia=Ja/Ka;Ma=0;do{Oa=Aa+(Ma<<2)|0;n[Oa>>2]=+n[Oa>>2]-Ia*+n[j+(Ma<<2)>>2];Ma=Ma+1|0}while((Ma|0)!=(q|0));Ja=Ha+(La-Ha)*Ia;Pa=+n[P>>2];Qa=Ja<Pa?Pa:Ja;Ja=+n[Q>>2];n[Ga>>2]=Qa>Ja?Ja:Qa;if((za|0)>0){Ma=za;Oa=0;while(1){Ra=Ma;Ma=Ma+-1|0;Sa=qa+(Ma<<3)|0;if(Ka<+n[Sa>>2]){Ta=Ka;Ua=Oa;Va=1;Wa=Na;break b}Xa=qa+(Ra<<3)|0;Ya=Xa;Za=f[Ya>>2]|0;_a=f[Ya+4>>2]|0;Ya=Sa;$a=f[Ya+4>>2]|0;ab=Xa;f[ab>>2]=f[Ya>>2];f[ab+4>>2]=$a;$a=Sa;f[$a>>2]=Za;f[$a+4>>2]=_a;_a=Y(Ra,q)|0;$a=Y(Ma,q)|0;Za=0;do{Sa=na+(Za+_a<<2)|0;ab=na+(Za+$a<<2)|0;Ya=f[Sa>>2]|0;f[Sa>>2]=f[ab>>2];f[ab>>2]=Ya;Za=Za+1|0}while((Za|0)!=(q|0));Za=Oa+1|0;if((Ra|0)<=1){Ta=Ka;Ua=Za;Va=1;Wa=Na;break}else Oa=Za}}else{Ta=Ka;Ua=0;Va=1;Wa=Na}}else{Ta=Fa;Ua=0;Va=0;Wa=Na}}else{Ta=Fa;Ua=0;Va=1;Wa=Da}while(0);Ea=+n[J>>2];Oa=Ta<-Ea;Ma=(Oa<<31>>31)+Ca|0;Fa=Oa?0.0:Ta;n[qa+(za-Ua<<3)>>2]=Fa;Ia=Ba+Fa;za=za+1|0;if((za|0)>=(Ma|0)){ua=Ia;va=Ma;wa=Va;xa=Wa;break}else{Aa=Aa+(q<<2)|0;Ba=Ia;Ca=Ma;ta=Va;Da=Wa}}}Da=+L(+ua)>1.1920928955078125e-07;Ba=Da?1.0/ua:0.0;if((va|0)>0){Da=0;do{ta=qa+(Da<<3)|0;n[ta>>2]=Ba*+n[ta>>2];Da=Da+1|0}while((Da|0)!=(va|0))}c:do if(!wa?(Ba=+n[v>>2],Ba>0.0):0){Da=f[y>>2]|0;ta=(va|0)==(Da|0);Ca=((ta^1)&1)+va|0;Aa=ta?Da+-1|0:va;Da=qa+(Aa<<3)|0;if((Ca|0)!=1){n[Da>>2]=Ba;ta=Ca+-1|0;if((Ca|0)>1){za=0;do{ya=qa+(za<<3)|0;n[ya>>2]=x*+n[ya>>2];za=za+1|0}while((za|0)<(ta|0))}}else n[Da>>2]=1.0;ta=Y(Aa,q)|0;za=0;do{f[na+(za+ta<<2)>>2]=f[ka+(za<<2)>>2];za=za+1|0}while((za|0)!=(q|0));f[qa+(Aa<<3)+4>>2]=f[I>>2];if((Ca|0)>1){za=Ca;while(1){ta=za+-2|0;za=za+-1|0;Da=qa+(ta<<3)|0;if(+n[v>>2]<+n[Da>>2]){bb=Ca;break c}ya=qa+(za<<3)|0;sa=ya;Ma=f[sa>>2]|0;Oa=f[sa+4>>2]|0;sa=Da;Ga=f[sa+4>>2]|0;Za=ya;f[Za>>2]=f[sa>>2];f[Za+4>>2]=Ga;Ga=Da;f[Ga>>2]=Ma;f[Ga+4>>2]=Oa;Oa=Y(za,q)|0;Ga=Y(ta,q)|0;ta=0;do{Ma=na+(ta+Oa<<2)|0;Da=na+(ta+Ga<<2)|0;Za=f[Ma>>2]|0;f[Ma>>2]=f[Da>>2];f[Da>>2]=Za;ta=ta+1|0}while((ta|0)!=(q|0));if((za|0)<=1){bb=Ca;break}}}else bb=Ca}else bb=va;while(0);b[ra>>0]=bb;d:do if(!xa)if((b[D>>0]|0)!=0?(Ka=+n[E>>2],Ba=+n[F>>2],Ea=+n[G>>2],(bb|0)>0):0){za=0;Aa=na;Ia=0.0;ta=0;while(1){Fa=+n[qa+(ta<<3)>>2];Ha=+n[qa+(ta<<3)+4>>2];Ga=0;Qa=0.0;Ja=0.0;do{Pa=+n[Aa+(Ga<<2)>>2];Ja=Ja+ +n[ka+(Ga<<2)>>2]*Pa;Qa=Qa+Pa*Pa;Ga=Ga+1|0}while((Ga|0)!=(q|0));if(Qa==0.0){cb=255;break d}if(!(!(Ja<=Qa)|!(Ja>=Ea*Qa))){Pa=Ja/Qa;Ga=0;db=0.0;do{eb=Pa*+n[Aa+(Ga<<2)>>2]-+n[ka+(Ga<<2)>>2];db=db+eb*eb;Ga=Ga+1|0}while((Ga|0)!=(q|0));Ga=db<Pa*(Ka*Ha*Pa);fb=za|Ga;if(Ga)break;else gb=fb}else gb=za;Ia=Ia+Fa;if(Ia>Ba){cb=255;break d}ta=ta+1|0;if((ta|0)>=(bb|0)){cb=255;break d}else{za=gb;Aa=Aa+(q<<2)|0}}if(fb)cb=h[H>>0]|0;else cb=255}else cb=255;else cb=0;while(0);b[oa+pa>>0]=cb;pa=pa+1|0;ra=f[y>>2]|0;na=na+((Y(ra,q)|0)<<2)|0;if((pa|0)==(p|0))break;else{qa=qa+(ra<<3)|0;ka=ka+(q<<2)|0}}}ka=ha+1|0;qa=f[i>>2]|0;if((ka|0)>=(m|0)){hb=qa;break a}ha=ka;ia=f[c>>2]|0;ja=qa}}else hb=w;while(0);if((hb|0)==(s|0)){u=d;return}if(hb|0)Fmc(hb);f[i>>2]=s;f[t>>2]=264;u=d;return}function Wya(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;var e=0;e=Bmc(192)|0;Xya(e,b,c,d);d=Bmc(16)|0;b=d+4|0;f[b>>2]=1;f[d>>2]=108944;f[d+8>>2]=e;f[a>>2]=d;f[a+4>>2]=e;f[b>>2]=(f[b>>2]|0)+1;e=f[b>>2]|0;f[b>>2]=e+-1;if((e|0)!=1)return;ai[f[(f[d>>2]|0)+8>>2]&2047](d);return}function Xya(a,c,d,e){a=a|0;c=c|0;d=+d;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=e&1;cY(a);f[a>>2]=108680;e=a+4|0;h=a+8|0;f[a+16>>2]=1124007936;i=a+24|0;j=a+56|0;k=a+20|0;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=a+64|0;f[a+60>>2]=i;f[i>>2]=0;f[a+68>>2]=0;f[a+72>>2]=1124007936;i=a+80|0;j=a+112|0;k=a+76|0;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;i=a+120|0;f[a+116>>2]=i;f[i>>2]=0;f[a+124>>2]=0;i=a+184|0;f[i>>2]=0;f[a+188>>2]=0;f[e>>2]=0;f[h>>2]=0;f[a+12>>2]=0;f[a+128>>2]=0;f[a+132>>2]=(c|0)>0?c:500;p[a+144>>3]=d>0.0?d:16.0;b[a+176>>0]=g;f[a+136>>2]=5;n[a+152>>2]=.8999999761581421;n[a+160>>2]=15.0;n[a+168>>2]=75.0;n[a+164>>2]=4.0;n[a+156>>2]=9.0;n[a+172>>2]=.05000000074505806;b[a+177>>0]=127;n[a+180>>2]=.5;ZG(i);k=YG(i,25)|0;i=387340;l=k+25|0;do{b[k>>0]=b[i>>0]|0;k=k+1|0;i=i+1|0}while((k|0)<(l|0));return}function Yya(a){a=a|0;Emc(a);return}function Zya(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function _ya(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;e=u;u=u+416|0;g=e+224|0;h=e+36|0;i=e+24|0;j=e+12|0;k=e;l=f[c>>2]|0;m=g+108|0;n=g+8|0;f[g>>2]=18372;f[m>>2]=18392;f[g+4>>2]=0;Icc(g+108|0,n);f[g+180>>2]=0;f[g+184>>2]=-1;f[g>>2]=108968;f[m>>2]=108988;$ya(n);o=g+72|0;if((f[o>>2]|0)==0?(p=e9b((l|0)==0?1163146:l,407602)|0,f[o>>2]=p,(p|0)!=0):0)f[g+96>>2]=8;else q=4;if((q|0)==4?(p=g+(f[(f[g>>2]|0)+-12>>2]|0)|0,Hcc(p,f[p+16>>2]|4),(f[o>>2]|0)==0):0){o=f[c>>2]|0;p=f[c+4>>2]|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;if(p>>>0>4294967279)Lmc(j);if(p>>>0<11){b[j+11>>0]=p;if(!p)r=j;else{s=j;q=10}}else{c=p+16&-16;l=Bmc(c)|0;f[j>>2]=l;f[j+8>>2]=c|-2147483648;f[j+4>>2]=p;s=l;q=10}if((q|0)==10){Krc(s|0,o|0,p|0)|0;r=s}b[r+p>>0]=0;bza(i,407748,j);f[h>>2]=0;f[h+4>>2]=0;p=i+11|0;r=b[p>>0]|0;s=r<<24>>24<0?f[i+4>>2]|0:r&255;if(!s)cza(-212,h,387366,207);r=YG(h,s)|0;Krc(r|0,((b[p>>0]|0)<0?f[i>>2]|0:i)|0,s|0)|0;cza(-212,h,387366,207)}f[h>>2]=0;f[h+4>>2]=0;s=f[d>>2]|0;if(s){p=(b[s>>0]|0)!=0;ZG(h);if(p){p=f[d>>2]|0;s=h+108|0;r=h+8|0;f[h>>2]=18372;f[s>>2]=18392;f[h+4>>2]=0;Icc(h+108|0,r);f[h+180>>2]=0;f[h+184>>2]=-1;f[h>>2]=108968;f[s>>2]=108988;$ya(r);o=h+72|0;if((f[o>>2]|0)==0?(l=e9b((p|0)==0?1163146:p,476321)|0,f[o>>2]=l,(l|0)!=0):0)f[h+96>>2]=12;else q=19;if((q|0)==19?(l=h+(f[(f[h>>2]|0)+-12>>2]|0)|0,Hcc(l,f[l+16>>2]|4),(f[o>>2]|0)==0):0){o=f[d>>2]|0;l=f[d+4>>2]|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;if(l>>>0>4294967279)Lmc(k);if(l>>>0<11){b[k+11>>0]=l;if(!l)t=k;else{v=k;q=25}}else{d=l+16&-16;p=Bmc(d)|0;f[k>>2]=p;f[k+8>>2]=d|-2147483648;f[k+4>>2]=l;v=p;q=25}if((q|0)==25){Krc(v|0,o|0,l|0)|0;t=v}b[t+l>>0]=0;bza(j,407748,k);f[i>>2]=0;f[i+4>>2]=0;k=j+11|0;l=b[k>>0]|0;t=l<<24>>24<0?f[j+4>>2]|0:l&255;if(!t)cza(-212,i,387366,214);l=YG(i,t)|0;Krc(l|0,((b[k>>0]|0)<0?f[j>>2]|0:j)|0,t|0)|0;cza(-212,i,387366,214)}dza(a,g,h);f[h>>2]=108968;f[s>>2]=108988;aza(r);icc(h,109e3);rbc(s);f[g>>2]=108968;f[m>>2]=108988;aza(n);icc(g,109e3);rbc(m);u=e;return}}else ZG(h);eza(a,g);f[g>>2]=108968;f[m>>2]=108988;aza(n);icc(g,109e3);rbc(m);u=e;return}function $ya(a){a=a|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+16|0;e=c;Ncc(a);f[a>>2]=109080;f[a+32>>2]=0;f[a+36>>2]=0;f[a+40>>2]=0;g=a+52|0;h=a+68|0;i=a+98|0;j=g;k=j+44|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));d[g+44>>1]=0;b[g+46>>0]=0;g=a+4|0;pmc(e,g);j=smc(e,895436)|0;oec(e);if(!j){l=f[a>>2]|0;m=l+12|0;n=f[m>>2]|0;ki[n&511](a,0,4096)|0;u=c;return}pmc(e,g);g=nec(e,895436)|0;f[h>>2]=g;oec(e);e=f[h>>2]|0;h=(ci[f[(f[e>>2]|0)+28>>2]&1023](e)|0)&1;b[i>>0]=h;l=f[a>>2]|0;m=l+12|0;n=f[m>>2]|0;ki[n&511](a,0,4096)|0;u=c;return}function aza(a){a=a|0;var c=0,d=0;f[a>>2]=109080;c=a+64|0;d=f[c>>2]|0;if(d|0?(wza(a)|0,(G8b(d)|0)==0):0)f[c>>2]=0;if(b[a+96>>0]|0?(c=f[a+32>>2]|0,c|0):0)Fmc(c);if(b[a+97>>0]|0?(c=f[a+56>>2]|0,c|0):0)Fmc(c);wbc(a);return}function bza(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;e=s8b(c)|0;g=b[d+11>>0]|0;h=g<<24>>24<0;i=h?f[d+4>>2]|0:g&255;g=i+e|0;if(g>>>0>4294967279)Lmc(a);if(g>>>0<11){b[a+11>>0]=e;j=a}else{k=g+16&-16;g=Bmc(k)|0;f[a>>2]=g;f[a+8>>2]=k|-2147483648;f[a+4>>2]=e;j=g}if(e|0)Krc(j|0,c|0,e|0)|0;b[j+e>>0]=0;$mc(a,h?f[d>>2]|0:d,i)|0;return}function cza(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;SQ(a,b,c,387517,d);return}function dza(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+112|0;g=e+96|0;h=e+8|0;i=e;pAa(a);f[h+40>>2]=0;f[h+44>>2]=0;j=h+40|0;k=h+36|0;l=h;m=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));f[k>>2]=j;f[h+52>>2]=0;f[h+56>>2]=0;k=h+52|0;f[h+48>>2]=k;f[h+60>>2]=0;l=h+64|0;f[l>>2]=0;f[h+68>>2]=0;f[h+76>>2]=0;f[h+80>>2]=0;m=h+76|0;f[h+72>>2]=m;zT(g,109052);alb(c,h);blb(d,h);d=f[a>>2]|0;f[i>>2]=d;f[i+4>>2]=f[a+4>>2];if(d|0){a=d+4|0;f[a>>2]=(f[a>>2]|0)+1}jza(h,i);TAa(i);fza(h+72|0,f[m>>2]|0);m=h+60|0;i=f[m>>2]|0;if(i|0){a=f[l>>2]|0;if((a|0)==(i|0))n=i;else{d=a;while(1){a=d+-20|0;f[l>>2]=a;if((b[a+11>>0]|0)<0){Emc(f[a>>2]|0);o=f[l>>2]|0}else o=a;if((o|0)==(i|0))break;else d=o}n=f[m>>2]|0}Emc(n)}gza(h+48|0,f[k>>2]|0);hza(h+36|0,f[j>>2]|0);j=f[h+24>>2]|0;if(j|0){k=h+28|0;n=f[k>>2]|0;if((n|0)!=(j|0))f[k>>2]=n+(~((n+-4-j|0)>>>2)<<2);Emc(j)}j=h+12|0;n=f[j>>2]|0;if(!n){u=e;return}k=h+16|0;while(1){h=f[k>>2]|0;if((h|0)==(n|0))break;m=h+-76|0;f[k>>2]=m;iza(m)}Emc(f[j>>2]|0);u=e;return}function eza(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+112|0;e=d+96|0;g=d+8|0;h=d;pAa(a);f[g+40>>2]=0;f[g+44>>2]=0;i=g+40|0;j=g+36|0;k=g;l=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(l|0));f[j>>2]=i;f[g+52>>2]=0;f[g+56>>2]=0;j=g+52|0;f[g+48>>2]=j;f[g+60>>2]=0;k=g+64|0;f[k>>2]=0;f[g+68>>2]=0;f[g+76>>2]=0;f[g+80>>2]=0;l=g+76|0;f[g+72>>2]=l;zT(e,109012);alb(c,g);c=f[a>>2]|0;f[h>>2]=c;f[h+4>>2]=f[a+4>>2];if(c|0){a=c+4|0;f[a>>2]=(f[a>>2]|0)+1}jza(g,h);TAa(h);fza(g+72|0,f[l>>2]|0);l=g+60|0;h=f[l>>2]|0;if(h|0){a=f[k>>2]|0;if((a|0)==(h|0))m=h;else{c=a;while(1){a=c+-20|0;f[k>>2]=a;if((b[a+11>>0]|0)<0){Emc(f[a>>2]|0);n=f[k>>2]|0}else n=a;if((n|0)==(h|0))break;else c=n}m=f[l>>2]|0}Emc(m)}gza(g+48|0,f[j>>2]|0);hza(g+36|0,f[i>>2]|0);i=f[g+24>>2]|0;if(i|0){j=g+28|0;m=f[j>>2]|0;if((m|0)!=(i|0))f[j>>2]=m+(~((m+-4-i|0)>>>2)<<2);Emc(i)}i=g+12|0;m=f[i>>2]|0;if(!m){u=d;return}j=g+16|0;while(1){g=f[j>>2]|0;if((g|0)==(m|0))break;l=g+-76|0;f[j>>2]=l;iza(l)}Emc(f[i>>2]|0);u=d;return}function fza(a,b){a=a|0;b=b|0;if(!b)return;fza(a,f[b>>2]|0);fza(a,f[b+4>>2]|0);ZG(b+16|0);Emc(b);return}function gza(a,c){a=a|0;c=c|0;var d=0;if(!c)return;gza(a,f[c>>2]|0);gza(a,f[c+4>>2]|0);a=c+16|0;d=c+28|0;if((b[d+11>>0]|0)<0)Emc(f[d>>2]|0);if((b[a+11>>0]|0)<0)Emc(f[a>>2]|0);Emc(c);return}function hza(a,b){a=a|0;b=b|0;if(!b)return;else{hza(a,f[b>>2]|0);hza(a,f[b+4>>2]|0);gza(b+20|0,f[b+24>>2]|0);Emc(b);return}}function iza(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;qza(a+36|0);c=a+24|0;d=f[c>>2]|0;if(d|0){e=a+28|0;g=f[e>>2]|0;if((g|0)==(d|0))h=d;else{i=g;while(1){g=i+-12|0;f[e>>2]=g;if((b[g+11>>0]|0)<0){Emc(f[g>>2]|0);j=f[e>>2]|0}else j=g;if((j|0)==(d|0))break;else i=j}h=f[c>>2]|0}Emc(h)}h=a+12|0;if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);if((b[a+11>>0]|0)>=0)return;Emc(f[a>>2]|0);return}function jza(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0;d=u;u=u+224|0;e=d;g=d+200|0;h=d+180|0;i=d+168|0;j=d+160|0;k=d+72|0;l=d+64|0;m=d+56|0;n=d+16|0;o=d+4|0;p=d+148|0;zT(j,109032);q=a+12|0;r=a+16|0;s=(f[r>>2]|0)-(f[q>>2]|0)|0;t=(s|0)/76|0;v=a+72|0;w=a+76|0;fza(v,f[w>>2]|0);f[a+80>>2]=0;f[v>>2]=w;f[w>>2]=0;w=a+60|0;x=f[w>>2]|0;y=a+64|0;z=f[y>>2]|0;if((z|0)==(x|0)){A=z;B=w;C=x}else{D=z;while(1){z=D+-20|0;f[y>>2]=z;if((b[z+11>>0]|0)<0){Emc(f[z>>2]|0);E=f[y>>2]|0}else E=z;if((E|0)==(x|0))break;else D=E}A=E;B=w;C=f[w>>2]|0}E=A;D=t+1|0;x=a+68|0;a=C;if((((f[x>>2]|0)-C|0)/20|0)>>>0<D>>>0){if(D>>>0>214748364){z=ye(8)|0;Jmc(z,511852);f[z>>2]=165276;Gf(z|0,26776,1555)}z=Bmc(D*20|0)|0;F=z+(((E-C|0)/20|0)*20|0)|0;C=F;G=z+(D*20|0)|0;if((A|0)==(a|0)){H=C;I=E;J=a}else{E=A;A=C;D=F;do{F=E;E=E+-20|0;Nmc(D+-20|0,E);z=F+-8|0;F=f[z+4>>2]|0;K=D+-8|0;f[K>>2]=f[z>>2];f[K+4>>2]=F;D=A+-20|0;A=D}while((E|0)!=(a|0));H=A;I=f[B>>2]|0;J=f[y>>2]|0}f[B>>2]=H;f[y>>2]=C;f[x>>2]=G;G=I;if((J|0)!=(G|0)){C=J;do{C=C+-20|0;if((b[C+11>>0]|0)<0)Emc(f[C>>2]|0)}while((C|0)!=(G|0))}if(I|0)Emc(I)}f[g>>2]=0;I=g+4|0;f[I>>2]=0;f[g+8>>2]=0;G=Bmc(8)|0;f[g>>2]=G;C=G+8|0;f[g+8>>2]=C;J=G;f[J>>2]=0;f[J+4>>2]=0;f[I>>2]=C;C=i+11|0;J=h+12|0;G=h+11|0;H=h+11|0;A=h+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;b[C>>0]=4;f[i>>2]=1635017060;b[i+4>>0]=0;Nmc(h,i);f[J>>2]=0;f[h+16>>2]=0;a=f[y>>2]|0;E=f[x>>2]|0;D=E;if((a|0)==(E|0)){E=f[B>>2]|0;F=(a-E|0)/20|0;K=F+1|0;if(K>>>0>214748364)Ukc(w);z=(D-E|0)/20|0;E=z<<1;D=z>>>0<107374182?(E>>>0<K>>>0?K:E):214748364;do if(D)if(D>>>0>214748364){E=ye(8)|0;Jmc(E,511852);f[E>>2]=165276;Gf(E|0,26776,1555)}else{L=Bmc(D*20|0)|0;break}else L=0;while(0);E=L+(F*20|0)|0;K=E;z=L+(D*20|0)|0;Nmc(E,h);D=J;M=f[D+4>>2]|0;N=L+(F*20|0)+12|0;f[N>>2]=f[D>>2];f[N+4>>2]=M;M=E+20|0;N=f[w>>2]|0;D=f[y>>2]|0;if((D|0)==(N|0)){O=K;P=N;Q=N}else{F=D;D=K;K=E;do{E=F;F=F+-20|0;Nmc(K+-20|0,F);L=E+-8|0;E=f[L+4>>2]|0;R=K+-8|0;f[R>>2]=f[L>>2];f[R+4>>2]=E;K=D+-20|0;D=K}while((F|0)!=(N|0));O=D;P=f[B>>2]|0;Q=f[y>>2]|0}f[B>>2]=O;f[y>>2]=M;f[x>>2]=z;z=P;if((Q|0)!=(z|0)){M=Q;do{M=M+-20|0;if((b[M+11>>0]|0)<0)Emc(f[M>>2]|0)}while((M|0)!=(z|0))}if(P|0)Emc(P)}else{Nmc(a,h);P=J;J=f[P+4>>2]|0;z=a+12|0;f[z>>2]=f[P>>2];f[z+4>>2]=J;f[y>>2]=(f[y>>2]|0)+20}if((b[G>>0]|0)<0)Emc(f[h>>2]|0);if((b[C>>0]|0)<0)Emc(f[i>>2]|0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[H>>0]=4;f[h>>2]=1635017060;b[A>>0]=0;A=f[g>>2]|0;ZG(A);H=YG(A,4)|0;A=f[h>>2]|0;b[H>>0]=A;b[H+1>>0]=A>>8;b[H+2>>0]=A>>16;b[H+3>>0]=A>>24;nCa(c,g);A=f[g>>2]|0;if(A|0){while(1){H=f[I>>2]|0;if((H|0)==(A|0))break;C=H+-8|0;f[I>>2]=C;ZG(C)}Emc(f[g>>2]|0)}a:do if((s|0)>0){I=l+4|0;A=g+11|0;C=g+4|0;H=k+12|0;G=m+4|0;J=g+11|0;z=g+4|0;P=k+36|0;a=n+12|0;M=k+48|0;Q=n+24|0;O=k+60|0;D=n+28|0;N=k+64|0;F=n+32|0;K=k+68|0;E=n+36|0;R=k+72|0;L=k+24|0;S=k+28|0;T=o+11|0;U=o+4|0;V=p+11|0;W=g+11|0;X=g+4|0;Y=h+11|0;Z=h+4|0;_=h+12|0;$=h+16|0;aa=h+11|0;ba=0;b:while(1){ca=f[q>>2]|0;if((((f[r>>2]|0)-ca|0)/76|0)>>>0<=ba>>>0){da=55;break}kza(k,ca+(ba*76|0)|0);Nmc(g,k);f[l>>2]=0;f[I>>2]=0;ca=b[A>>0]|0;ea=ca<<24>>24<0?f[C>>2]|0:ca&255;if(!ea)fa=ca;else{ca=YG(l,ea)|0;Krc(ca|0,((b[A>>0]|0)<0?f[g>>2]|0:g)|0,ea|0)|0;fa=b[A>>0]|0}if(fa<<24>>24<0)Emc(f[g>>2]|0);Nmc(g,H);f[m>>2]=0;f[G>>2]=0;ea=b[J>>0]|0;ca=ea<<24>>24<0?f[z>>2]|0:ea&255;if(!ca)ga=ea;else{ea=YG(m,ca)|0;Krc(ea|0,((b[J>>0]|0)<0?f[g>>2]|0:g)|0,ca|0)|0;ga=b[J>>0]|0}if(ga<<24>>24<0)Emc(f[g>>2]|0);lza(n,P);mza(a,M);ca=f[O>>2]|0;f[Q>>2]=ca;f[D>>2]=f[N>>2];if(ca|0){ea=ca+-4|0;f[ea>>2]=(f[ea>>2]|0)+1}ea=f[K>>2]|0;f[F>>2]=ea;f[E>>2]=f[R>>2];if(ea|0){ca=ea+-4|0;f[ca>>2]=(f[ca>>2]|0)+1}ca=oza(v,l)|0;ea=f[ca>>2]|0;f[ca>>2]=ea+1;if(ea|0){f[e>>2]=ea;aR(g,387385,e);FS(l,g)|0;ZG(g)}ea=UAa(c,l,m,n)|0;ca=f[S>>2]|0;ha=f[L>>2]|0;if((ca-ha|0)>0){ia=0;ja=ha;ha=ca;do{if(((ha-ja|0)/12|0)>>>0<=ia>>>0){da=72;break b}Nmc(o,ja+(ia*12|0)|0);Nmc(p,k);ca=f[B>>2]|0;ka=(f[y>>2]|0)-ca|0;la=ca;if((ka|0)<=0){da=86;break b}ca=(ka>>>0)/20|0;ka=b[T>>0]|0;ma=ka<<24>>24<0;na=ma?f[U>>2]|0:ka&255;ka=ma?f[o>>2]|0:o;c:do if(na){ma=ca;d:while(1){oa=ma+-1|0;pa=la+(oa*20|0)|0;qa=b[pa+11>>0]|0;ra=qa<<24>>24<0;sa=qa&255;do if(((ra?f[la+(oa*20|0)+4>>2]|0:sa)|0)==(na|0)){qa=f[pa>>2]|0;if(ra)if(!(gac(qa,ka,na)|0)){ta=oa;break c}else break;if((qa&255)<<24>>24!=(b[ka>>0]|0))break;qa=pa;ua=sa;va=ka;do{ua=ua+-1|0;qa=qa+1|0;if(!ua)break d;va=va+1|0}while((b[qa>>0]|0)==(b[va>>0]|0))}while(0);if((ma|0)>1)ma=oa;else{da=86;break b}}if((ma|0)<1){da=86;break b}else ta=oa}else{sa=ca;while(1){pa=sa;sa=sa+-1|0;ra=b[la+(sa*20|0)+11>>0]|0;if(!((ra<<24>>24<0?f[la+(sa*20|0)+4>>2]|0:ra&255)|0)){ta=sa;break c}if((pa|0)<=1){da=86;break b}}}while(0);_Aa(c,f[la+(ta*20|0)+12>>2]|0,f[la+(ta*20|0)+16>>2]|0,ea,ia);if((b[V>>0]|0)<0)Emc(f[p>>2]|0);if((b[T>>0]|0)<0)Emc(f[o>>2]|0);ia=ia+1|0;ha=f[S>>2]|0;ja=f[L>>2]|0}while((ia|0)<((ha-ja|0)/12|0|0))}Nmc(g,k);ja=f[B>>2]|0;ha=(f[y>>2]|0)-ja|0;ia=ja;e:do if((ha|0)>0){ja=(ha>>>0)/20|0;ca=b[W>>0]|0;ka=ca<<24>>24<0;na=ka?f[X>>2]|0:ca&255;ca=ka?f[g>>2]|0:g;f:do if(!na){ka=ja;while(1){sa=ka;ka=ka+-1|0;ma=b[ia+(ka*20|0)+11>>0]|0;if(!((ma<<24>>24<0?f[ia+(ka*20|0)+4>>2]|0:ma&255)|0))break f;if((sa|0)<=1)break e}}else{ka=ja;while(1){sa=ka;ka=ka+-1|0;ma=ia+(ka*20|0)|0;pa=b[ma+11>>0]|0;ra=pa<<24>>24<0;va=pa&255;do if(((ra?f[ia+(ka*20|0)+4>>2]|0:va)|0)==(na|0)){pa=f[ma>>2]|0;if(ra)if(!(gac(pa,ca,na)|0))break f;else break;if((pa&255)<<24>>24!=(b[ca>>0]|0))break;pa=ma;qa=va;ua=ca;do{qa=qa+-1|0;pa=pa+1|0;if(!qa)break f;ua=ua+1|0}while((b[pa>>0]|0)==(b[ua>>0]|0))}while(0);if((sa|0)<=1)break e}}while(0);ca=f[L>>2]|0;if(((f[S>>2]|0)-ca|0)<=0){da=121;break b}Nmc(h,ca);ca=b[Y>>0]|0;na=ca<<24>>24<0;ja=ca&255;ca=na?f[Z>>2]|0:ja;la=b[W>>0]|0;ka=la<<24>>24<0;g:do if((ca|0)==((ka?f[X>>2]|0:la&255)|0)){va=f[h>>2]|0;ma=na?va:h;ra=ka?f[g>>2]|0:g;ua=(ca|0)==0;if(na)if(!ua){pa=(gac(ma,ra,ca)|0)==0;Emc(va);if(pa)break e;else{da=121;break b}}else{Emc(va);break e}if(ua)break e;if((va&255)<<24>>24==(b[ra>>0]|0)){wa=h;xa=ja;ya=ra}else{da=112;break b}while(1){xa=xa+-1|0;wa=wa+1|0;if(!xa){za=1;break g}ya=ya+1|0;if((b[wa>>0]|0)!=(b[ya>>0]|0)){za=0;break}}}else za=0;while(0);if(na){Emc(f[h>>2]|0);if(za)break;else{da=121;break b}}else if(za)break;else{da=121;break b}}while(0);Nmc(h,g);f[_>>2]=ea;f[$>>2]=0;ia=f[y>>2]|0;ha=f[x>>2]|0;ja=ha;do if((ia|0)==(ha|0)){ca=f[B>>2]|0;ka=(ia-ca|0)/20|0;la=ka+1|0;if(la>>>0>214748364){da=126;break b}ra=(ja-ca|0)/20|0;ca=ra<<1;va=ra>>>0<107374182?(ca>>>0<la>>>0?la:ca):214748364;if(!va)Aa=0;else{if(va>>>0>214748364){da=129;break b}Aa=Bmc(va*20|0)|0}ca=Aa+(ka*20|0)|0;la=ca;ra=Aa+(va*20|0)|0;Nmc(ca,h);va=_;ua=f[va+4>>2]|0;pa=Aa+(ka*20|0)+12|0;f[pa>>2]=f[va>>2];f[pa+4>>2]=ua;ua=ca+20|0;pa=f[w>>2]|0;va=f[y>>2]|0;if((va|0)==(pa|0)){Ba=la;Ca=pa;Da=pa}else{ka=va;va=la;la=ca;do{ca=ka;ka=ka+-20|0;Nmc(la+-20|0,ka);ma=ca+-8|0;ca=f[ma+4>>2]|0;qa=la+-8|0;f[qa>>2]=f[ma>>2];f[qa+4>>2]=ca;la=va+-20|0;va=la}while((ka|0)!=(pa|0));Ba=va;Ca=f[B>>2]|0;Da=f[y>>2]|0}f[B>>2]=Ba;f[y>>2]=ua;f[x>>2]=ra;pa=Ca;if((Da|0)!=(pa|0)){ka=Da;do{ka=ka+-20|0;if((b[ka+11>>0]|0)<0)Emc(f[ka>>2]|0)}while((ka|0)!=(pa|0))}if(!Ca)break;Emc(Ca)}else{Nmc(ia,h);pa=_;ka=f[pa+4>>2]|0;ra=ia+12|0;f[ra>>2]=f[pa>>2];f[ra+4>>2]=ka;f[y>>2]=(f[y>>2]|0)+20}while(0);if((b[aa>>0]|0)<0)Emc(f[h>>2]|0);if((b[W>>0]|0)<0)Emc(f[g>>2]|0);qza(n);ZG(m);ZG(l);iza(k);ba=ba+1|0;if((ba|0)>=(t|0))break a}if((da|0)==55)Vkc(q);else if((da|0)==72)Vkc(L);else if((da|0)==86){bza(i,403466,o);pza(h,i,509777);f[g>>2]=0;f[g+4>>2]=0;ba=h+11|0;W=b[ba>>0]|0;aa=W<<24>>24<0?f[h+4>>2]|0:W&255;if(!aa)cza(-204,g,403491,176);W=YG(g,aa)|0;Krc(W|0,((b[ba>>0]|0)<0?f[h>>2]|0:h)|0,aa|0)|0;cza(-204,g,403491,176)}else if((da|0)==112){f[h>>2]=0;Ea=h+4|0;f[Ea>>2]=0;Fa=YG(h,44)|0;Ga=Fa;Ha=403500;Ia=Ga+44|0;do{b[Ga>>0]=b[Ha>>0]|0;Ga=Ga+1|0;Ha=Ha+1|0}while((Ga|0)<(Ia|0));cza(-5,h,403545,159)}else if((da|0)==121){f[h>>2]=0;Ea=h+4|0;f[Ea>>2]=0;Fa=YG(h,44)|0;Ga=Fa;Ha=403500;Ia=Ga+44|0;do{b[Ga>>0]=b[Ha>>0]|0;Ga=Ga+1|0;Ha=Ha+1|0}while((Ga|0)<(Ia|0));cza(-5,h,403545,159)}else if((da|0)==126)Ukc(w);else if((da|0)==129){L=ye(8)|0;Jmc(L,511852);f[L>>2]=165276;Gf(L|0,26776,1555)}}while(0);da=f[w>>2]|0;w=f[y>>2]|0;if((w|0)!=(da|0)){h=w;while(1){w=h+-20|0;f[y>>2]=w;if((b[w+11>>0]|0)<0){Emc(f[w>>2]|0);Ja=f[y>>2]|0}else Ja=w;if((Ja|0)==(da|0))break;else h=Ja}}if(!(f[j+4>>2]|0)){u=d;return}u=d;return}function kza(a,b){a=a|0;b=b|0;var c=0,d=0;Nmc(a,b);Nmc(a+12|0,b+12|0);vza(a+24|0,b+24|0);lza(a+36|0,b+36|0);mza(a+48|0,b+48|0);c=f[b+60>>2]|0;f[a+60>>2]=c;f[a+64>>2]=f[b+64>>2];if(c|0){d=c+-4|0;f[d>>2]=(f[d>>2]|0)+1}d=f[b+68>>2]|0;f[a+68>>2]=d;f[a+72>>2]=f[b+72>>2];if(!d)return;b=d+-4|0;f[b>>2]=(f[b>>2]|0)+1;return}function lza(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+16|0;d=c+12|0;e=c+8|0;g=c+4|0;h=c;i=a+4|0;f[i>>2]=0;j=a+8|0;f[j>>2]=0;k=a+4|0;f[a>>2]=k;l=f[b>>2]|0;m=b+4|0;if((l|0)==(m|0)){u=c;return}b=k;k=l;while(1){l=k+16|0;f[h>>2]=b;f[d>>2]=f[h>>2];n=sza(a,d,e,g,l)|0;if(!(f[n>>2]|0)){o=Bmc(32)|0;p=f[l>>2]|0;f[o+16>>2]=p;f[o+20>>2]=f[k+20>>2];if(p|0){l=p+-4|0;f[l>>2]=(f[l>>2]|0)+1}tza(o+24|0,k+24|0);l=f[e>>2]|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=l;f[n>>2]=o;l=f[f[a>>2]>>2]|0;if(!l)q=o;else{f[a>>2]=l;q=f[n>>2]|0}RS(f[i>>2]|0,q);f[j>>2]=(f[j>>2]|0)+1}n=f[k+4>>2]|0;if(!n){l=k+8|0;o=f[l>>2]|0;if((f[o>>2]|0)==(k|0))r=o;else{o=l;do{l=f[o>>2]|0;o=l+8|0;p=f[o>>2]|0}while((f[p>>2]|0)!=(l|0));r=p}}else{o=n;while(1){p=f[o>>2]|0;if(!p)break;else o=p}r=o}if((r|0)==(m|0))break;else k=r}u=c;return}function mza(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;f[a>>2]=0;c=a+4|0;f[c>>2]=0;f[a+8>>2]=0;d=b+4|0;e=(f[d>>2]|0)-(f[b>>2]|0)|0;g=(e|0)/56|0;if(!e)return;if(g>>>0>76695844)Ukc(a);h=Bmc(e)|0;f[c>>2]=h;f[a>>2]=h;f[a+8>>2]=h+(g*56|0);g=f[b>>2]|0;b=f[d>>2]|0;if((g|0)==(b|0))return;d=g;g=h;do{f[g>>2]=f[d>>2];h=g+4|0;a=d+4|0;f[h>>2]=f[a>>2];e=g+8|0;f[e>>2]=f[d+8>>2];f[g+12>>2]=f[d+12>>2];f[g+16>>2]=f[d+16>>2];f[g+20>>2]=f[d+20>>2];f[g+24>>2]=f[d+24>>2];f[g+28>>2]=f[d+28>>2];f[g+32>>2]=f[d+32>>2];i=f[d+36>>2]|0;f[g+36>>2]=i;f[g+40>>2]=e;e=g+48|0;j=g+44|0;f[j>>2]=e;f[e>>2]=0;f[g+52>>2]=0;if(i|0){e=i+12|0;f[e>>2]=(f[e>>2]|0)+1}if((f[a>>2]|0)<3){a=f[d+44>>2]|0;e=f[j>>2]|0;f[e>>2]=f[a>>2];f[e+4>>2]=f[a+4>>2]}else{f[h>>2]=0;kP(g,d)}d=d+56|0;g=(f[c>>2]|0)+56|0;f[c>>2]=g}while((d|0)!=(b|0));return}function nza(a,b){a=a|0;b=b|0;if(!b)return;nza(a,f[b>>2]|0);nza(a,f[b+4>>2]|0);rza(b+24|0);ZG(b+16|0);Emc(b);return}function oza(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;c=a+4|0;d=f[c>>2]|0;a:do if(!d){e=c;g=c;h=d;i=12}else{j=a+4|0;k=f[b>>2]|0;l=(k|0)==0?1163146:k;m=f[d+16>>2]|0;b:do if((k|0)!=(m|0)){n=j;o=d;p=m;q=d;while(1){r=(p|0)==0?1163146:p;if((o7b(l,r)|0)<0){s=f[o>>2]|0;if(!s){i=6;break}else{t=o;u=s}}else{if((o7b(r,l)|0)>=0){v=n;w=o;x=q;break b}y=o+4|0;r=f[y>>2]|0;if(!r){i=9;break}else{t=y;u=r}}p=f[u+16>>2]|0;if((k|0)==(p|0)){v=t;w=u;x=u;break b}else{n=t;o=u;q=u}}if((i|0)==6){z=o;A=o;break a}else if((i|0)==9){z=y;A=o;break a}}else{v=j;w=d;x=d}while(0);e=v;g=w;h=x;i=12}while(0);if((i|0)==12)if(!h){z=e;A=g}else{B=h;C=B+24|0;return C|0}h=Bmc(28)|0;g=f[b>>2]|0;f[h+16>>2]=g;f[h+20>>2]=f[b+4>>2];if(g|0){b=g+-4|0;f[b>>2]=(f[b>>2]|0)+1}f[h+24>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=A;f[z>>2]=h;A=f[f[a>>2]>>2]|0;if(!A)D=h;else{f[a>>2]=A;D=f[z>>2]|0}RS(f[a+4>>2]|0,D);D=a+8|0;f[D>>2]=(f[D>>2]|0)+1;B=h;C=B+24|0;return C|0}function pza(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;e=b[c+11>>0]|0;g=e<<24>>24<0;h=g?f[c+4>>2]|0:e&255;e=s8b(d)|0;i=g?f[c>>2]|0:c;c=h+e|0;if(c>>>0>4294967279)Lmc(a);if(c>>>0<11){b[a+11>>0]=h;j=a}else{g=c+16&-16;c=Bmc(g)|0;f[a>>2]=c;f[a+8>>2]=g|-2147483648;f[a+4>>2]=h;j=c}if(!h){k=j+h|0;b[k>>0]=0;$mc(a,d,e)|0;return}Krc(j|0,i|0,h|0)|0;k=j+h|0;b[k>>0]=0;$mc(a,d,e)|0;return}function qza(a){a=a|0;ZG(a+32|0);ZG(a+24|0);rt(a+12|0);nza(a,f[a+4>>2]|0);return}function rza(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;switch(f[a>>2]|0){case 0:{b=f[a+4>>2]|0;if(!b)return;c=f[b>>2]|0;if(!((c|0)==(b+8|0)|(c|0)==0))Fmc(c);Emc(b);return}case 3:{b=f[a+4>>2]|0;if(!b)return;c=f[b>>2]|0;d=b+8|0;if((c|0)!=(d|0)){if(c|0){e=c+-4|0;g=f[e>>2]|0;if(g|0){h=c+(g<<3)|0;do{h=h+-8|0;ZG(h)}while((h|0)!=(c|0))}Fmc(e)}f[b>>2]=d;f[b+4>>2]=1}ZG(d);Emc(b);return}case 2:{b=f[a+4>>2]|0;if(!b)return;a=f[b>>2]|0;if(!((a|0)==(b+8|0)|(a|0)==0))Fmc(a);Emc(b);return}default:return}}function sza(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;g=a+4|0;h=f[b>>2]|0;b=h;do if((h|0)!=(g|0)){i=f[e>>2]|0;j=f[h+16>>2]|0;if((i|0)!=(j|0)){if((o7b((i|0)==0?1163146:i,(j|0)==0?1163146:j)|0)<0)break;k=(i|0)==0?1163146:i;if((o7b((j|0)==0?1163146:j,k)|0)<0){j=h+4|0;l=f[j>>2]|0;if(!l){m=h+8|0;n=f[m>>2]|0;if((f[n>>2]|0)==(h|0))o=n;else{n=m;do{m=f[n>>2]|0;n=m+8|0;p=f[n>>2]|0}while((f[p>>2]|0)!=(m|0));o=p}}else{n=l;while(1){p=f[n>>2]|0;if(!p)break;else n=p}o=n}do if((o|0)!=(g|0)){l=f[o+16>>2]|0;if((i|0)!=(l|0)?(o7b(k,(l|0)==0?1163146:l)|0)<0:0)break;l=f[g>>2]|0;if(!l){f[c>>2]=g;q=g;return q|0}p=a+4|0;m=f[l+16>>2]|0;a:do if((i|0)!=(m|0)){r=p;s=l;t=m;while(1){u=(t|0)==0?1163146:t;if((o7b(k,u)|0)<0){v=f[s>>2]|0;if(!v){w=41;break}else{x=s;y=v}}else{if((o7b(u,k)|0)>=0){z=r;A=s;break a}B=s+4|0;u=f[B>>2]|0;if(!u){w=44;break}else{x=B;y=u}}t=f[y+16>>2]|0;if((i|0)==(t|0)){z=x;A=y;break a}else{r=x;s=y}}if((w|0)==41){f[c>>2]=s;q=s;return q|0}else if((w|0)==44){f[c>>2]=s;q=B;return q|0}}else{z=p;A=l}while(0);f[c>>2]=A;q=z;return q|0}while(0);if(!(f[h+4>>2]|0)){f[c>>2]=b;q=j;return q|0}else{f[c>>2]=o;q=o;return q|0}}}f[c>>2]=b;f[d>>2]=b;q=d;return q|0}while(0);d=f[h>>2]|0;do if((h|0)==(f[a>>2]|0))C=b;else{if(!d){o=h;while(1){z=f[o+8>>2]|0;if((f[z>>2]|0)==(o|0))o=z;else{D=z;break}}}else{o=d;while(1){j=f[o+4>>2]|0;if(!j){D=o;break}else o=j}}o=f[D+16>>2]|0;j=f[e>>2]|0;if((o|0)!=(j|0)?(o7b((o|0)==0?1163146:o,(j|0)==0?1163146:j)|0)<0:0){C=D;break}o=f[g>>2]|0;if(!o){f[c>>2]=g;q=g;return q|0}z=a+4|0;A=(j|0)==0?1163146:j;B=f[o+16>>2]|0;b:do if((j|0)!=(B|0)){y=z;x=o;i=B;while(1){k=(i|0)==0?1163146:i;if((o7b(A,k)|0)<0){n=f[x>>2]|0;if(!n){w=18;break}else{E=x;F=n}}else{if((o7b(k,A)|0)>=0){G=y;H=x;break b}I=x+4|0;k=f[I>>2]|0;if(!k){w=21;break}else{E=I;F=k}}i=f[F+16>>2]|0;if((j|0)==(i|0)){G=E;H=F;break b}else{y=E;x=F}}if((w|0)==18){f[c>>2]=x;q=x;return q|0}else if((w|0)==21){f[c>>2]=x;q=I;return q|0}}else{G=z;H=o}while(0);f[c>>2]=H;q=G;return q|0}while(0);if(!d){f[c>>2]=h;q=h;return q|0}else{h=C;f[c>>2]=h;q=h+4|0;return q|0}return 0}function tza(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f[a>>2]=f[b>>2];switch(f[b>>2]|0){case 0:{c=Bmc(16)|0;d=f[b+4>>2]|0;e=c+8|0;f[c>>2]=e;g=c+4|0;f[g>>2]=1;h=f[d+4>>2]|0;f[g>>2]=h;if(h>>>0<=1){if(h|0){i=e;j=5}}else{e=Dmc(h>>>0>536870911?-1:h<<3)|0;f[c>>2]=e;i=e;j=5}if((j|0)==5){e=f[d>>2]|0;d=0;do{g=e+(d<<3)|0;k=f[g+4>>2]|0;l=i+(d<<3)|0;f[l>>2]=f[g>>2];f[l+4>>2]=k;d=d+1|0}while(d>>>0<h>>>0)}f[a+4>>2]=c;return}case 3:{c=Bmc(16)|0;uza(c,f[b+4>>2]|0);f[a+4>>2]=c;return}case 2:{c=Bmc(16)|0;h=f[b+4>>2]|0;b=c+8|0;f[c>>2]=b;d=c+4|0;f[d>>2]=1;i=f[h+4>>2]|0;f[d>>2]=i;if(i>>>0<=1){if(i|0){m=b;j=12}}else{b=Dmc(i>>>0>536870911?-1:i<<3)|0;f[c>>2]=b;m=b;j=12}if((j|0)==12){j=f[h>>2]|0;h=0;do{p[m+(h<<3)>>3]=+p[j+(h<<3)>>3];h=h+1|0}while(h>>>0<i>>>0)}f[a+4>>2]=c;return}default:return}}function uza(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=a+8|0;f[c>>2]=0;f[a+12>>2]=0;f[a>>2]=c;d=a+4|0;f[d>>2]=1;e=f[b+4>>2]|0;f[d>>2]=e;if(e>>>0<=1)if(!e)return;else g=c;else{c=e<<3;h=Dmc(e>>>0>536870911|c>>>0>4294967291?-1:c+4|0)|0;f[h>>2]=e;c=h+4|0;Drc(c|0,0,e<<3|0)|0;f[a>>2]=c;g=c}c=0;h=g;g=e;while(1){e=f[b>>2]|0;i=e+(c<<3)|0;j=h+(c<<3)|0;if((e|0)==(h|0))k=g;else{ZG(j);l=f[i>>2]|0;if(!l)m=0;else{n=l+-4|0;f[n>>2]=(f[n>>2]|0)+1;m=f[i>>2]|0}f[j>>2]=m;f[h+(c<<3)+4>>2]=f[e+(c<<3)+4>>2];k=f[d>>2]|0}e=c+1|0;if(e>>>0>=k>>>0)break;c=e;h=f[a>>2]|0;g=k}return}function vza(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;f[a>>2]=0;c=a+4|0;f[c>>2]=0;f[a+8>>2]=0;d=b+4|0;e=(f[d>>2]|0)-(f[b>>2]|0)|0;g=(e|0)/12|0;if(!e)return;if(g>>>0>357913941)Ukc(a);h=Bmc(e)|0;f[c>>2]=h;f[a>>2]=h;f[a+8>>2]=h+(g*12|0);g=f[b>>2]|0;b=f[d>>2]|0;if((g|0)==(b|0))return;d=g;g=h;do{Nmc(g,d);d=d+12|0;g=(f[c>>2]|0)+12|0;f[c>>2]=g}while((d|0)!=(b|0));return}function wza(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;c=u;u=u+16|0;d=c;e=a+64|0;if(!(f[e>>2]|0)){g=0;u=c;return g|0}h=a+68|0;i=f[h>>2]|0;if(!i){j=ye(4)|0;qoc(j);Gf(j|0,26808,1559)}j=a+92|0;k=f[j>>2]|0;do if(!(k&16)){if(k&8|0){l=a+80|0;m=f[l+4>>2]|0;n=d;f[n>>2]=f[l>>2];f[n+4>>2]=m;do if(!(b[a+98>>0]|0)){m=ci[f[(f[i>>2]|0)+24>>2]&1023](i)|0;n=a+36|0;l=f[n>>2]|0;o=(f[a+40>>2]|0)-l|0;if((m|0)>0){p=0;q=(Y((f[a+16>>2]|0)-(f[a+12>>2]|0)|0,m)|0)+o|0;break}m=f[a+12>>2]|0;if((m|0)==(f[a+16>>2]|0)){p=0;q=o}else{r=f[h>>2]|0;s=a+32|0;t=lh[f[(f[r>>2]|0)+32>>2]&127](r,d,f[s>>2]|0,l,m-(f[a+8>>2]|0)|0)|0;p=1;q=o-t+(f[n>>2]|0)-(f[s>>2]|0)|0}}else{p=0;q=(f[a+16>>2]|0)-(f[a+12>>2]|0)|0}while(0);if(a9b(f[e>>2]|0,0-q|0,1)|0){g=-1;u=c;return g|0}if(p){s=d;n=f[s+4>>2]|0;t=a+72|0;f[t>>2]=f[s>>2];f[t+4>>2]=n}n=f[a+32>>2]|0;f[a+40>>2]=n;f[a+36>>2]=n;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[j>>2]=0}}else{if((f[a+24>>2]|0)!=(f[a+20>>2]|0)?(Sh[f[(f[a>>2]|0)+52>>2]&511](a,-1)|0)==-1:0){g=-1;u=c;return g|0}n=a+72|0;t=a+32|0;s=a+52|0;a:while(1){o=f[h>>2]|0;m=f[t>>2]|0;l=lh[f[(f[o>>2]|0)+20>>2]&127](o,n,m,m+(f[s>>2]|0)|0,d)|0;m=f[t>>2]|0;o=(f[d>>2]|0)-m|0;if((t8b(m,1,o,f[e>>2]|0)|0)!=(o|0)){g=-1;v=24;break}switch(l|0){case 1:break;case 2:{g=-1;v=24;break a;break}default:{v=10;break a}}}if((v|0)==10){if(!(I8b(f[e>>2]|0)|0))break;else g=-1;u=c;return g|0}else if((v|0)==24){u=c;return g|0}}while(0);g=0;u=c;return g|0}function xza(a){a=a|0;aza(a);Emc(a);return}function yza(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;ci[f[(f[a>>2]|0)+24>>2]&1023](a)|0;d=nec(c,895436)|0;f[a+68>>2]=d;c=a+98|0;e=b[c>>0]|0;g=ci[f[(f[d>>2]|0)+28>>2]&1023](d)|0;b[c>>0]=g&1;if((e&255|0)==(g&1|0))return;e=a+8|0;c=a+96|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;e=(b[c>>0]|0)!=0;if(g){g=a+32|0;if(e?(d=f[g>>2]|0,d|0):0)Fmc(d);d=a+97|0;b[c>>0]=b[d>>0]|0;h=a+60|0;f[a+52>>2]=f[h>>2];i=a+56|0;f[g>>2]=f[i>>2];f[h>>2]=0;f[i>>2]=0;b[d>>0]=0;return}d=f[a+52>>2]|0;f[a+60>>2]=d;if(!e?(e=a+32|0,i=f[e>>2]|0,(i|0)!=(a+44|0)):0){f[a+56>>2]=i;b[a+97>>0]=0;i=Dmc(d)|0;f[e>>2]=i;b[c>>0]=1;return}c=Dmc(d)|0;f[a+56>>2]=c;b[a+97>>0]=1;return}function zza(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=a+8|0;g=a+96|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;if(b[g>>0]|0?(e=f[a+32>>2]|0,e|0):0)Fmc(e);e=a+97|0;if(b[e>>0]|0?(h=f[a+56>>2]|0,h|0):0)Fmc(h);h=a+52|0;f[h>>2]=d;if(d>>>0>8){i=b[a+98>>0]|0;if((c|0)!=0&i<<24>>24!=0){j=0;k=c}else{j=1;k=Dmc(d)|0}f[a+32>>2]=k;l=j;m=i}else{f[a+32>>2]=a+44;f[h>>2]=8;l=0;m=b[a+98>>0]|0}b[g>>0]=l;if(m<<24>>24){f[a+60>>2]=0;n=0;o=0;p=a+56|0;f[p>>2]=o;b[e>>0]=n;return a|0}m=(d|0)>8?d:8;f[a+60>>2]=m;if((c|0)!=0&m>>>0>7){n=0;o=c;p=a+56|0;f[p>>2]=o;b[e>>0]=n;return a|0}n=1;o=Dmc(m)|0;p=a+56|0;f[p>>2]=o;b[e>>0]=n;return a|0}function Aza(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=f[b+68>>2]|0;if(!g){h=ye(4)|0;qoc(h);Gf(h|0,26808,1559)}h=ci[f[(f[g>>2]|0)+24>>2]&1023](g)|0;g=b+64|0;if((((f[g>>2]|0)!=0?!(((c|0)!=0|(d|0)!=0)&(h|0)<1):0)?e>>>0<3&(ci[f[(f[b>>2]|0)+24>>2]&1023](b)|0)==0:0)?(i=f[g>>2]|0,j=Urc(h|0,((h|0)<0)<<31>>31|0,c|0,d|0)|0,(a9b(i,(h|0)>0?j:0,e)|0)==0):0){e=y8b(f[g>>2]|0)|0;g=b+72|0;k=f[g>>2]|0;l=f[g+4>>2]|0;m=e;n=((e|0)<0)<<31>>31}else{k=0;l=0;m=-1;n=-1}e=a;f[e>>2]=k;f[e+4>>2]=l;l=a+8|0;f[l>>2]=m;f[l+4>>2]=n;return}function Bza(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;d=b+64|0;if(f[d>>2]|0?(ci[f[(f[b>>2]|0)+24>>2]&1023](b)|0)==0:0)if(!(a9b(f[d>>2]|0,f[c+8>>2]|0,0)|0)){d=c;e=f[d+4>>2]|0;g=b+72|0;f[g>>2]=f[d>>2];f[g+4>>2]=e;f[a>>2]=f[c>>2];f[a+4>>2]=f[c+4>>2];f[a+8>>2]=f[c+8>>2];f[a+12>>2]=f[c+12>>2];return}else{c=a;f[c>>2]=0;f[c+4>>2]=0;c=a+8|0;f[c>>2]=-1;f[c+4>>2]=-1;return}c=a;f[c>>2]=0;f[c+4>>2]=0;c=a+8|0;f[c>>2]=-1;f[c+4>>2]=-1;return}function Cza(a){a=a|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;c=u;u=u+16|0;d=c+4|0;e=c;g=a+64|0;if(!(f[g>>2]|0)){i=-1;u=c;return i|0}j=a+92|0;if(!(f[j>>2]&8)){f[a+24>>2]=0;f[a+20>>2]=0;f[a+28>>2]=0;k=(b[a+98>>0]|0)==0;l=f[(k?a+56|0:a+32|0)>>2]|0;m=l+(f[(k?a+60|0:a+52|0)>>2]|0)|0;f[a+8>>2]=l;l=a+12|0;f[l>>2]=m;f[a+16>>2]=m;f[j>>2]=8;n=1;o=l;p=m}else{m=a+12|0;n=0;o=m;p=f[m>>2]|0}if(!p){m=d+1|0;f[a+8>>2]=d;f[o>>2]=m;f[a+16>>2]=m;q=m}else q=p;p=a+16|0;if(n){r=f[p>>2]|0;s=0}else{n=f[p>>2]|0;m=(n-(f[a+8>>2]|0)|0)/2|0;r=n;s=m>>>0<4?m:4}do if((q|0)==(r|0)){m=a+8|0;Mrc(f[m>>2]|0,q+(0-s)|0,s|0)|0;if(b[a+98>>0]|0){n=f[m>>2]|0;l=w8b(n+s|0,1,(f[p>>2]|0)-s-n|0,f[g>>2]|0)|0;if(!l){t=-1;v=m;break}n=(f[m>>2]|0)+s|0;f[o>>2]=n;f[p>>2]=n+l;t=h[n>>0]|0;v=m;break}n=a+40|0;l=f[n>>2]|0;j=a+36|0;k=f[j>>2]|0;w=l;x=k;if((l|0)==(k|0)){y=a+32|0;z=x;A=w}else{l=a+32|0;Mrc(f[l>>2]|0,k|0,w-x|0)|0;y=l;z=f[j>>2]|0;A=f[n>>2]|0}l=f[y>>2]|0;x=l+(A-z)|0;f[j>>2]=x;if((l|0)==(a+44|0))B=8;else B=f[a+52>>2]|0;w=l+B|0;f[n>>2]=w;l=a+60|0;k=(f[l>>2]|0)-s|0;C=w-x|0;w=a+72|0;D=w;E=f[D+4>>2]|0;F=a+80|0;f[F>>2]=f[D>>2];f[F+4>>2]=E;E=w8b(x,1,C>>>0<k>>>0?C:k,f[g>>2]|0)|0;if(!E){t=-1;v=m}else{k=f[a+68>>2]|0;if(!k){C=ye(4)|0;qoc(C);Gf(C|0,26808,1559)}C=(f[j>>2]|0)+E|0;f[n>>2]=C;E=f[m>>2]|0;if((Ei[f[(f[k>>2]|0)+16>>2]&15](k,w,f[y>>2]|0,C,j,E+s|0,E+(f[l>>2]|0)|0,e)|0)!=3){l=f[e>>2]|0;E=(f[m>>2]|0)+s|0;if((l|0)==(E|0))G=-1;else{H=l;I=E;J=25}}else{E=f[y>>2]|0;l=f[n>>2]|0;f[m>>2]=E;H=l;I=E;J=25}if((J|0)==25){f[o>>2]=I;f[p>>2]=H;G=h[I>>0]|0}t=G;v=m}}else{t=h[q>>0]|0;v=a+8|0}while(0);if((f[v>>2]|0)==(d|0)){f[v>>2]=0;f[o>>2]=0;f[p>>2]=0}i=t;u=c;return i|0}function Dza(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;if(!(f[a+64>>2]|0)){d=-1;return d|0}e=a+12|0;g=f[e>>2]|0;if((f[a+8>>2]|0)>>>0>=g>>>0){d=-1;return d|0}if((c|0)==-1){f[e>>2]=g+-1;d=0;return d|0}if(!(f[a+88>>2]&16)){a=c&255;h=g+-1|0;if(a<<24>>24==(b[h>>0]|0)){i=a;j=h}else{d=-1;return d|0}}else{i=c&255;j=g+-1|0}f[e>>2]=j;b[j>>0]=i;d=c;return d|0}function Eza(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=u;u=u+16|0;e=d+8|0;g=d+4|0;h=d;i=a+64|0;if(!(f[i>>2]|0)){j=-1;u=d;return j|0}k=a+92|0;if(!(f[k>>2]&16)){f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;l=f[a+52>>2]|0;do if(l>>>0>8)if(!(b[a+98>>0]|0)){m=f[a+56>>2]|0;n=m+((f[a+60>>2]|0)+-1)|0;o=m;break}else{m=f[a+32>>2]|0;n=m+(l+-1)|0;o=m;break}else{n=0;o=0}while(0);f[a+24>>2]=o;l=a+20|0;f[l>>2]=o;m=a+28|0;f[m>>2]=n;f[k>>2]=16;p=l;q=m;r=m;s=l;t=o;v=n;w=o}else{o=a+20|0;n=f[o>>2]|0;l=a+28|0;p=o;q=l;r=l;s=o;t=n;v=f[l>>2]|0;w=n}n=(c|0)==-1;l=a+24|0;o=f[l>>2]|0;if(n){x=o;y=w}else{if(!o){f[l>>2]=e;f[s>>2]=e;f[q>>2]=e+1;z=e}else z=o;b[z>>0]=c;z=(f[l>>2]|0)+1|0;f[l>>2]=z;x=z;y=f[s>>2]|0}a:do if((x|0)==(y|0))A=32;else{b:do if(!(b[a+98>>0]|0)){z=a+32|0;o=f[z>>2]|0;f[g>>2]=o;e=a+68|0;w=f[e>>2]|0;if(!w){B=ye(4)|0;qoc(B);Gf(B|0,26808,1559)}m=o;o=a+72|0;k=a+52|0;C=Ei[f[(f[w>>2]|0)+12>>2]&15](w,o,y,x,h,m,m+(f[k>>2]|0)|0,g)|0;m=f[s>>2]|0;c:do if((f[h>>2]|0)!=(m|0)){w=C;D=m;while(1){if((w|0)==3){A=21;break}if((w|1|0)!=1)break c;E=f[z>>2]|0;F=(f[g>>2]|0)-E|0;if((t8b(E,1,F,f[i>>2]|0)|0)!=(F|0))break c;if((w|0)!=1){A=28;break}F=f[h>>2]|0;E=f[l>>2]|0;f[p>>2]=F;f[q>>2]=E;G=F;H=G+(E-F)|0;f[l>>2]=H;F=f[e>>2]|0;if(!F){A=19;break}E=f[z>>2]|0;w=Ei[f[(f[F>>2]|0)+12>>2]&15](F,o,G,H,h,E,E+(f[k>>2]|0)|0,g)|0;E=f[s>>2]|0;if((f[h>>2]|0)==(E|0))break c;else D=E}if((A|0)==19){B=ye(4)|0;qoc(B);Gf(B|0,26808,1559)}else if((A|0)==21){w=(f[l>>2]|0)-D|0;if((t8b(D,1,w,f[i>>2]|0)|0)!=(w|0))break}I=l;break b}while(0);J=-1;break a}else{k=x-y|0;if((t8b(y,1,k,f[i>>2]|0)|0)!=(k|0)){J=-1;break a}I=l}while(0);f[I>>2]=t;f[p>>2]=t;f[r>>2]=v;A=32}while(0);if((A|0)==32)J=n?0:c;j=J;u=d;return j|0}function Fza(a){a=a|0;var b=0;f[a>>2]=108968;b=a+108|0;f[b>>2]=108988;aza(a+8|0);icc(a,109e3);rbc(b);return}function Gza(a){a=a|0;var b=0;f[a>>2]=108968;b=a+108|0;f[b>>2]=108988;aza(a+8|0);icc(a,109e3);rbc(b);Emc(a);return}function Hza(a){a=a|0;var b=0;b=a+(f[(f[a>>2]|0)+-12>>2]|0)|0;f[b>>2]=108968;a=b+108|0;f[a>>2]=108988;aza(b+8|0);icc(b,109e3);rbc(a);return}function Iza(a){a=a|0;Gza(a+(f[(f[a>>2]|0)+-12>>2]|0)|0);return}function Jza(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+240|0;h=g+208|0;i=g+120|0;j=g+88|0;k=g;Ncc(h);f[h>>2]=109144;f[h+8>>2]=b;f[h+12>>2]=b;f[h+16>>2]=b+c;f[i>>2]=161840;f[i+8>>2]=161860;f[i+4>>2]=0;c=f[40457]|0;b=i+c|0;Icc(b,h);f[b+72>>2]=0;f[b+76>>2]=-1;if(!e){eza(a,i);ecc(i);wbc(h);u=g;return}else{Ncc(j);f[j>>2]=109144;f[j+8>>2]=d;f[j+12>>2]=d;f[j+16>>2]=d+e;f[k>>2]=161840;f[k+8>>2]=161860;f[k+4>>2]=0;e=k+c|0;Icc(e,j);f[e+72>>2]=0;f[e+76>>2]=-1;dza(a,i,k);ecc(k);wbc(j);ecc(i);wbc(h);u=g;return}}function Kza(a){a=a|0;wbc(a);return}function Lza(a){a=a|0;wbc(a);Emc(a);return}function Mza(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=f[b>>2]|0;e=f[c>>2]|0;g=f[c+4>>2]|0;Jza(a,d,(f[b+4>>2]|0)-d|0,(e|0)==(g|0)?0:e,g-e|0);return}function Nza(a){a=a|0;f[a>>2]=109208;ZG(a+24|0);ZG(a+16|0);rt(a+4|0);WX(a);return}function Oza(a){a=a|0;Nza(a);Emc(a);return}function Pza(a,b,c){a=a|0;b=b|0;c=c|0;return}function Qza(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+48|0;e=d+40|0;g=d+24|0;h=d+12|0;i=d;zT(e,109372);f[g>>2]=0;j=g+4|0;f[j>>2]=0;f[g+8>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;rD(b,g);rD(c,h);f[i>>2]=0;c=i+4|0;f[c>>2]=0;f[i+8>>2]=0;b=f[j>>2]|0;k=f[g>>2]|0;l=b-k|0;if(!l){m=k;n=b}else{iAa(i,(l|0)/56|0);m=f[g>>2]|0;n=f[j>>2]|0}if((n|0)!=(m|0)){n=0;l=m;do{f[(f[i>>2]|0)+(n<<2)>>2]=l+(n*56|0);n=n+1|0;l=f[g>>2]|0}while(n>>>0<(((f[j>>2]|0)-l|0)/56|0)>>>0)}Yh[f[(f[a>>2]|0)+32>>2]&511](a,i,h);a=f[i>>2]|0;if(a|0){i=f[c>>2]|0;if((i|0)!=(a|0))f[c>>2]=i+(~((i+-4-a|0)>>>2)<<2);Emc(a)}rt(h);rt(g);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function Rza(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return}function Sza(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+16|0;g=e;zT(g,109308);gAa(a,b,c,d);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function Tza(a,b){a=a|0;b=b|0;return -1}function Uza(a,b){a=a|0;b=b|0;return 0}function Vza(a,b){a=a|0;b=b|0;return (b|0)==3|0}function Wza(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+16|0;a=d+8|0;e=d;f[e>>2]=0;d=e+4|0;f[d>>2]=0;g=c+28|0;YG(e,(f[g>>2]|0)+19|0)|0;h=f[e>>2]|0;i=h;j=388097;k=i+19|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));l=f[g>>2]|0;if(l|0)Krc(h+19|0,f[c+24>>2]|0,l|0)|0;f[a>>2]=0;f[a+4>>2]=0;YG(a,(f[d>>2]|0)+23|0)|0;l=f[d>>2]|0;if(!l)m=0;else{Krc(f[a>>2]|0,f[e>>2]|0,l|0)|0;m=f[d>>2]|0}i=(f[a>>2]|0)+m|0;j=388059;k=i+23|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-213,a,388117,387968,3078)}function Xza(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+16|0;a=d+8|0;e=d;f[e>>2]=0;d=e+4|0;f[d>>2]=0;g=c+28|0;YG(e,(f[g>>2]|0)+29|0)|0;h=f[e>>2]|0;i=h;j=388029;k=i+29|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));l=f[g>>2]|0;if(l|0)Krc(h+29|0,f[c+24>>2]|0,l|0)|0;f[a>>2]=0;f[a+4>>2]=0;YG(a,(f[d>>2]|0)+23|0)|0;l=f[d>>2]|0;if(!l)m=0;else{Krc(f[a>>2]|0,f[e>>2]|0,l|0)|0;m=f[d>>2]|0}i=(f[a>>2]|0)+m|0;j=388059;k=i+23|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-213,a,388083,387968,3085)}function Yza(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return}function Zza(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function _za(a,b){a=a|0;b=b|0;return 0}function $za(a,b){a=a|0;b=b|0;return 0}function aAa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;a=u;u=u+64|0;d=a;f[d>>2]=1124007936;e=d+4|0;g=d+8|0;h=d+40|0;i=e;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[h>>2]=g;k=d+48|0;l=d+44|0;f[l>>2]=k;f[k>>2]=0;f[d+52>>2]=0;m=d+36|0;if((d|0)!=(b|0)){n=b+36|0;o=f[n>>2]|0;if(o|0?(p=o+12|0,o=f[p>>2]|0,f[p>>2]=o+-1,(o|0)==1):0)lP(b);f[n>>2]=0;o=b+16|0;p=b+4|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[p>>2]|0)>0){q=f[b+40>>2]|0;r=0;do{f[q+(r<<2)>>2]=0;r=r+1|0;s=f[p>>2]|0}while((r|0)<(s|0));f[b>>2]=f[d>>2];if((s|0)<3)t=10;else t=12}else{f[b>>2]=f[d>>2];t=10}if((t|0)==10){s=f[e>>2]|0;if((s|0)<3){f[p>>2]=s;f[b+8>>2]=f[g>>2];f[b+12>>2]=f[d+12>>2];g=f[l>>2]|0;s=f[b+44>>2]|0;f[s>>2]=f[g>>2];f[s+4>>2]=f[g+4>>2]}else t=12}if((t|0)==12)kP(b,d);f[o>>2]=f[d+16>>2];f[b+20>>2]=f[d+20>>2];f[b+24>>2]=f[d+24>>2];f[b+28>>2]=f[d+28>>2];f[b+32>>2]=f[d+32>>2];b=f[m>>2]|0;f[n>>2]=b;if(b|0?(n=b+12|0,b=f[n>>2]|0,f[n>>2]=b+-1,(b|0)==1):0)lP(d)}f[m>>2]=0;m=d+16|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[e>>2]|0)>0){m=f[h>>2]|0;h=0;do{f[m+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[e>>2]|0))}e=f[l>>2]|0;if((e|0)!=(k|0))tE(e);f[d>>2]=1124007936;e=d+4|0;k=d+8|0;l=d+40|0;i=e;j=i+36|0;do{f[i>>2]=0;i=i+4|0}while((i|0)<(j|0));f[l>>2]=k;i=d+48|0;j=d+44|0;f[j>>2]=i;f[i>>2]=0;f[d+52>>2]=0;h=d+36|0;if((d|0)!=(c|0)){m=c+36|0;b=f[m>>2]|0;if(b|0?(n=b+12|0,b=f[n>>2]|0,f[n>>2]=b+-1,(b|0)==1):0)lP(c);f[m>>2]=0;b=c+16|0;n=c+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[n>>2]|0)>0){o=f[c+40>>2]|0;g=0;do{f[o+(g<<2)>>2]=0;g=g+1|0;v=f[n>>2]|0}while((g|0)<(v|0));f[c>>2]=f[d>>2];if((v|0)<3)t=30;else t=32}else{f[c>>2]=f[d>>2];t=30}if((t|0)==30){v=f[e>>2]|0;if((v|0)<3){f[n>>2]=v;f[c+8>>2]=f[k>>2];f[c+12>>2]=f[d+12>>2];k=f[j>>2]|0;v=f[c+44>>2]|0;f[v>>2]=f[k>>2];f[v+4>>2]=f[k+4>>2]}else t=32}if((t|0)==32)kP(c,d);f[b>>2]=f[d+16>>2];f[c+20>>2]=f[d+20>>2];f[c+24>>2]=f[d+24>>2];f[c+28>>2]=f[d+28>>2];f[c+32>>2]=f[d+32>>2];c=f[h>>2]|0;f[m>>2]=c;if(c|0?(m=c+12|0,c=f[m>>2]|0,f[m>>2]=c+-1,(c|0)==1):0)lP(d)}f[h>>2]=0;h=d+16|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[e>>2]|0)>0){h=f[l>>2]|0;l=0;do{f[h+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[e>>2]|0))}e=f[j>>2]|0;if((e|0)==(i|0)){u=a;return}tE(e);u=a;return}function bAa(a){a=a|0;var b=0,c=0,d=0;b=u;u=u+16|0;c=b;d=f[(f[a>>2]|0)+76>>2]|0;f[c>>2]=0;f[c+4>>2]=0;Sh[d&511](a,c)|0;a=f[c>>2]|0;if(!a){u=b;return}c=a+4|0;d=f[c>>2]|0;f[c>>2]=d+-1;if((d|0)!=1){u=b;return}ai[f[(f[a>>2]|0)+8>>2]&2047](a);u=b;return}function cAa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;g=u;u=u+16|0;a=g;h=f[c>>2]|0;i=(f[c+4>>2]|0)-h|0;c=(i|0)/12|0;if(!i){f[a>>2]=0;f[a+4>>2]=0;i=YG(a,13)|0;j=461937;k=i+13|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-215,a,475265,387968,3306)}else{eAa(e,(c|0)>(d|0)?c:d,h);u=g;return 0}return 0}function dAa(a,b,c){a=a|0;b=b|0;c=c|0;J=0;return 0}function eAa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=a+8|0;e=f[d>>2]|0;g=f[a>>2]|0;h=g;if(((e-g|0)/12|0)>>>0<b>>>0){if(!g)i=e;else{e=a+4|0;j=f[e>>2]|0;if((j|0)==(h|0))k=g;else{l=j;while(1){j=l+-12|0;f[e>>2]=j;m=f[j>>2]|0;if(!m)n=j;else{j=l+-8|0;o=f[j>>2]|0;if((o|0)!=(m|0))f[j>>2]=o+(~((o+-4-m|0)>>>2)<<2);Emc(m);n=f[e>>2]|0}if((n|0)==(h|0))break;else l=n}k=f[a>>2]|0}Emc(k);f[d>>2]=0;f[e>>2]=0;f[a>>2]=0;i=0}if(b>>>0>357913941)Ukc(a);e=(i|0)/12|0;i=e<<1;k=e>>>0<178956970?(i>>>0<b>>>0?b:i):357913941;if(k>>>0>357913941)Ukc(a);i=Bmc(k*12|0)|0;e=a+4|0;f[e>>2]=i;f[a>>2]=i;f[d>>2]=i+(k*12|0);k=b;d=i;do{fAa(d,c);d=(f[e>>2]|0)+12|0;f[e>>2]=d;k=k+-1|0}while((k|0)!=0);return}k=a+4|0;d=((f[k>>2]|0)-g|0)/12|0;g=d>>>0<b>>>0;e=g?d:b;if(e|0){i=c+4|0;n=e;e=h;while(1){if((e|0)!=(c|0))c2(e,f[c>>2]|0,f[i>>2]|0);n=n+-1|0;if(!n)break;else e=e+12|0}}if(g){g=b-d|0;d=f[k>>2]|0;do{fAa(d,c);d=(f[k>>2]|0)+12|0;f[k>>2]=d;g=g+-1|0}while((g|0)!=0);return}g=(f[a>>2]|0)+(b*12|0)|0;b=f[k>>2]|0;if((b|0)==(g|0))return;else p=b;while(1){b=p+-12|0;f[k>>2]=b;a=f[b>>2]|0;if(!a)q=b;else{b=p+-8|0;d=f[b>>2]|0;if((d|0)!=(a|0))f[b>>2]=d+(~((d+-4-a|0)>>>2)<<2);Emc(a);q=f[k>>2]|0}if((q|0)==(g|0))break;else p=q}return}function fAa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;f[a>>2]=0;c=a+4|0;f[c>>2]=0;f[a+8>>2]=0;d=b+4|0;e=(f[d>>2]|0)-(f[b>>2]|0)|0;g=e>>2;if(!g)return;if(g>>>0>1073741823)Ukc(a);h=Bmc(e)|0;f[c>>2]=h;f[a>>2]=h;f[a+8>>2]=h+(g<<2);g=f[b>>2]|0;b=(f[d>>2]|0)-g|0;if((b|0)<=0)return;Krc(h|0,g|0,b|0)|0;f[c>>2]=h+(b>>>2<<2);return}function gAa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;e=u;u=u+128|0;g=e+120|0;h=e+108|0;i=e+96|0;j=e+84|0;k=e+72|0;l=e+60|0;m=e+48|0;n=e+32|0;o=e+16|0;p=e;zT(g,109340);if((f[a+32>>2]|0)==2?(BD(b,-1)|0)==3:0){f[h>>2]=0;q=h+4|0;f[q>>2]=0;f[h+8>>2]=0;f[i>>2]=0;r=i+4|0;f[r>>2]=0;f[i+8>>2]=0;f[j>>2]=0;s=j+4|0;f[s>>2]=0;f[j+8>>2]=0;f[k>>2]=0;t=k+4|0;f[t>>2]=0;f[k+8>>2]=0;f[l>>2]=0;v=l+4|0;f[v>>2]=0;f[l+8>>2]=0;f[m>>2]=0;w=m+4|0;f[w>>2]=0;f[m+8>>2]=0;uD(b,k);uD(c,l);uD(d,m);x=((f[t>>2]|0)-(f[k>>2]|0)|0)/48|0;y=f[q>>2]|0;z=f[h>>2]|0;A=(y-z|0)/48|0;B=z;z=y;if(x>>>0<=A>>>0){if(x>>>0<A>>>0?(y=B+(x*48|0)|0,(z|0)!=(y|0)):0){B=z;do{z=B+-48|0;f[q>>2]=z;uN(z);B=f[q>>2]|0}while((B|0)!=(y|0))}}else vD(h,x-A|0);A=f[k>>2]|0;if((f[t>>2]|0)!=(A|0)){x=n+8|0;y=n+12|0;B=n+4|0;z=o+8|0;C=o+4|0;D=0;E=A;do{f[x>>2]=0;f[y>>2]=0;f[n>>2]=17432576;f[B>>2]=E+(D*48|0);A=(f[h>>2]|0)+(D*48|0)|0;F=z;f[F>>2]=0;f[F+4>>2]=0;f[o>>2]=34209792;f[C>>2]=A;KO(n,o);D=D+1|0;E=f[k>>2]|0}while(D>>>0<(((f[t>>2]|0)-E|0)/48|0)>>>0)}E=((f[v>>2]|0)-(f[l>>2]|0)|0)/48|0;D=f[r>>2]|0;C=f[i>>2]|0;z=(D-C|0)/48|0;B=C;C=D;if(E>>>0<=z>>>0){if(E>>>0<z>>>0?(D=B+(E*48|0)|0,(C|0)!=(D|0)):0){B=C;do{C=B+-48|0;f[r>>2]=C;uN(C);B=f[r>>2]|0}while((B|0)!=(D|0))}}else vD(i,E-z|0);z=f[l>>2]|0;if((f[v>>2]|0)!=(z|0)){E=n+4|0;D=n+8|0;B=0;C=z;do{z=C;y=f[i>>2]|0;x=f[z+(B*48|0)+4>>2]|0;A=f[z+(B*48|0)+32>>2]|0;f[n>>2]=0;f[E>>2]=0;f[D>>2]=0;hAa(n,A,A+(x<<2)|0);sN(y+(B*48|0)|0,n,5,0);y=f[n>>2]|0;if(y|0){x=f[E>>2]|0;if((x|0)!=(y|0))f[E>>2]=x+(~((x+-4-y|0)>>>2)<<2);Emc(y)}B=B+1|0;C=f[l>>2]|0}while(B>>>0<(((f[v>>2]|0)-C|0)/48|0)>>>0)}C=((f[w>>2]|0)-(f[m>>2]|0)|0)/48|0;B=f[s>>2]|0;E=f[j>>2]|0;D=(B-E|0)/48|0;y=E;E=B;if(C>>>0<=D>>>0){if(C>>>0<D>>>0?(B=y+(C*48|0)|0,(E|0)!=(B|0)):0){y=E;do{E=y+-48|0;f[s>>2]=E;uN(E);y=f[s>>2]|0}while((y|0)!=(B|0))}}else vD(j,C-D|0);D=f[m>>2]|0;if((f[w>>2]|0)!=(D|0)){C=n+4|0;B=n+8|0;y=0;E=D;do{D=E;x=f[j>>2]|0;A=f[D+(y*48|0)+4>>2]|0;z=f[D+(y*48|0)+32>>2]|0;f[n>>2]=0;f[C>>2]=0;f[B>>2]=0;hAa(n,z,z+(A<<2)|0);sN(x+(y*48|0)|0,n,5,0);x=f[n>>2]|0;if(x|0){A=f[C>>2]|0;if((A|0)!=(x|0))f[C>>2]=A+(~((A+-4-x|0)>>>2)<<2);Emc(x)}y=y+1|0;E=f[m>>2]|0}while(y>>>0<(((f[w>>2]|0)-E|0)/48|0)>>>0)}E=f[(f[a>>2]|0)+44>>2]|0;f[n+8>>2]=0;f[n+12>>2]=0;f[n>>2]=17498112;f[n+4>>2]=h;y=o+8|0;f[y>>2]=0;f[y+4>>2]=0;f[o>>2]=34275328;f[o+4>>2]=i;y=p+8|0;f[y>>2]=0;f[y+4>>2]=0;f[p>>2]=34275328;f[p+4>>2]=j;rh[E&255](a,n,o,p);p=f[i>>2]|0;if((f[r>>2]|0)!=(p|0)){E=n+8|0;y=n+12|0;C=n+4|0;B=o+8|0;x=o+4|0;A=0;z=p;do{f[E>>2]=0;f[y>>2]=0;f[n>>2]=17432576;f[C>>2]=z+(A*48|0);p=(f[l>>2]|0)+(A*48|0)|0;D=B;f[D>>2]=0;f[D+4>>2]=0;f[o>>2]=34209792;f[x>>2]=p;KO(n,o);A=A+1|0;z=f[i>>2]|0}while(A>>>0<(((f[r>>2]|0)-z|0)/48|0)>>>0)}pE(c,l);pE(d,m);z=f[m>>2]|0;if(z|0){while(1){A=f[w>>2]|0;if((A|0)==(z|0))break;o=A+-48|0;f[w>>2]=o;uN(o)}Emc(f[m>>2]|0)}m=f[l>>2]|0;if(m|0){while(1){w=f[v>>2]|0;if((w|0)==(m|0))break;z=w+-48|0;f[v>>2]=z;uN(z)}Emc(f[l>>2]|0)}l=f[k>>2]|0;if(l|0){while(1){v=f[t>>2]|0;if((v|0)==(l|0))break;m=v+-48|0;f[t>>2]=m;uN(m)}Emc(f[k>>2]|0)}t=f[j>>2]|0;if(t|0){while(1){l=f[s>>2]|0;if((l|0)==(t|0))break;m=l+-48|0;f[s>>2]=m;uN(m)}Emc(f[j>>2]|0)}s=f[i>>2]|0;if(s|0){while(1){t=f[r>>2]|0;if((t|0)==(s|0))break;m=t+-48|0;f[r>>2]=m;uN(m)}Emc(f[i>>2]|0)}r=f[h>>2]|0;if(r|0){while(1){s=f[q>>2]|0;if((s|0)==(r|0))break;m=s+-48|0;f[q>>2]=m;uN(m)}Emc(f[h>>2]|0)}}else{f[h>>2]=0;q=h+4|0;f[q>>2]=0;f[h+8>>2]=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;rD(b,h);rD(c,i);rD(d,j);b=f[q>>2]|0;r=f[h>>2]|0;m=b-r|0;s=(m|0)/56|0;f[k>>2]=0;t=k+4|0;f[t>>2]=0;f[k+8>>2]=0;if(!m){G=b;H=0}else{if(s>>>0>1073741823)Ukc(k);b=Bmc(s<<2)|0;f[t>>2]=b;f[k>>2]=b;f[k+8>>2]=b+(s<<2);m=s;s=b;do{f[s>>2]=0;s=(f[t>>2]|0)+4|0;f[t>>2]=s;m=m+-1|0}while((m|0)!=0);G=f[q>>2]|0;H=b}if((G|0)!=(r|0)?(f[H>>2]=r,r=f[h>>2]|0,(((f[q>>2]|0)-r|0)/56|0)>>>0>1):0){H=r;r=1;do{f[(f[k>>2]|0)+(r<<2)>>2]=H+(r*56|0);r=r+1|0;H=f[h>>2]|0}while(r>>>0<(((f[q>>2]|0)-H|0)/56|0)>>>0)}rh[f[(f[a>>2]|0)+40>>2]&255](a,k,i,j);qE(c,i);qE(d,j);d=f[k>>2]|0;if(d|0){k=f[t>>2]|0;if((k|0)!=(d|0))f[t>>2]=k+(~((k+-4-d|0)>>>2)<<2);Emc(d)}rt(j);rt(i);rt(h)}if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function hAa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=b;e=c-d>>2;g=a+8|0;h=f[g>>2]|0;i=f[a>>2]|0;j=i;if(e>>>0<=h-i>>2>>>0){k=a+4|0;l=(f[k>>2]|0)-i>>2;m=e>>>0>l>>>0;n=b+(l<<2)|0;l=m?n:c;o=l;p=o-d|0;q=p>>2;if(q|0)Mrc(i|0,b|0,p|0)|0;p=j+(q<<2)|0;if(!m){m=f[k>>2]|0;if((m|0)==(p|0))return;f[k>>2]=m+(~((m+-4-p|0)>>>2)<<2);return}if((l|0)==(c|0))return;l=f[k>>2]|0;p=c+-4-o|0;o=n;n=l;while(1){f[n>>2]=f[o>>2];o=o+4|0;if((o|0)==(c|0))break;else n=n+4|0}f[k>>2]=l+((p>>>2)+1<<2);return}p=i;if(!i)r=h;else{h=a+4|0;l=f[h>>2]|0;if((l|0)!=(j|0))f[h>>2]=l+(~((l+-4-i|0)>>>2)<<2);Emc(p);f[g>>2]=0;f[h>>2]=0;f[a>>2]=0;r=0}if(e>>>0>1073741823)Ukc(a);h=r>>1;p=r>>2>>>0<536870911?(h>>>0<e>>>0?e:h):1073741823;if(p>>>0>1073741823)Ukc(a);h=Bmc(p<<2)|0;e=a+4|0;f[e>>2]=h;f[a>>2]=h;f[g>>2]=h+(p<<2);if((b|0)==(c|0))return;p=c+-4-d|0;d=b;b=h;while(1){f[b>>2]=f[d>>2];d=d+4|0;if((d|0)==(c|0))break;else b=b+4|0}f[e>>2]=h+((p>>>2)+1<<2);return}function iAa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>2>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;i=(f[e>>2]|0)+4|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>2;g=i+b|0;if(g>>>0>1073741823)Ukc(a);j=d-h|0;h=j>>1;d=j>>2>>>0<536870911?(h>>>0<g>>>0?g:h):1073741823;do if(d)if(d>>>0>1073741823){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{k=Bmc(d<<2)|0;break}else k=0;while(0);h=k+(i<<2)|0;i=k+(d<<2)|0;d=b;b=h;k=h;do{f[k>>2]=0;k=b+4|0;b=k;d=d+-1|0}while((d|0)!=0);d=f[a>>2]|0;k=(f[e>>2]|0)-d|0;g=h+(0-(k>>2)<<2)|0;if((k|0)>0)Krc(g|0,d|0,k|0)|0;f[a>>2]=g;f[e>>2]=b;f[c>>2]=i;if(!d)return;Emc(d);return}function jAa(){var a=0;a=(qR(388568,0)|0)&1;b[1161067]=a;a=_R(388608,3)|0;f[222625]=a;a=(qR(388635,0)|0)&1;b[1161068]=a;a=(qR(388660,0)|0)&1;b[1161069]=a;a=(qR(388690,0)|0)&1;b[1161070]=a;return}function kAa(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=u;u=u+32|0;k=j+16|0;l=j;zT(k,109392);f[a>>2]=1124007936;m=a+8|0;n=a+40|0;o=a+4|0;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));f[n>>2]=m;m=a+48|0;f[a+44>>2]=m;f[m>>2]=0;f[a+52>>2]=0;m=l+8|0;f[m>>2]=0;f[m+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=a;lAa(b,l,c,d,e,g,h,i);if(!(f[k+4>>2]|0)){u=j;return}u=j;return}function lAa(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;j=u;u=u+96|0;k=j+80|0;l=j+64|0;m=j+8|0;n=j;zT(k,109412);do if((pD(a)|0)==65536){o=f[a+4>>2]|0;f[m>>2]=f[o>>2];p=m+4|0;q=o+4|0;f[p>>2]=f[q>>2];r=m+8|0;f[r>>2]=f[o+8>>2];f[m+12>>2]=f[o+12>>2];f[m+16>>2]=f[o+16>>2];f[m+20>>2]=f[o+20>>2];f[m+24>>2]=f[o+24>>2];f[m+28>>2]=f[o+28>>2];f[m+32>>2]=f[o+32>>2];s=f[o+36>>2]|0;f[m+36>>2]=s;f[m+40>>2]=r;r=m+48|0;t=m+44|0;f[t>>2]=r;f[r>>2]=0;f[m+52>>2]=0;if(s|0){r=s+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[q>>2]|0)<3){q=f[o+44>>2]|0;r=f[t>>2]|0;f[r>>2]=f[q>>2];f[r+4>>2]=f[q+4>>2];break}else{f[p>>2]=0;kP(m,o);break}}else lD(m,a,-1);while(0);mAa(l,1,m);a=m+36|0;o=f[a>>2]|0;if(o|0?(p=o+12|0,o=f[p>>2]|0,f[p>>2]=o+-1,(o|0)==1):0)lP(m);f[a>>2]=0;a=m+16|0;o=m+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[o>>2]|0)>0){a=f[m+40>>2]|0;p=0;do{f[a+(p<<2)>>2]=0;p=p+1|0}while((p|0)<(f[o>>2]|0))}o=f[m+44>>2]|0;if((o|0)!=(m+48|0))tE(o);f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=17104896;f[m+4>>2]=l;f[n>>2]=f[d>>2];f[n+4>>2]=f[d+4>>2];nAa(m,b,c,n,e,g,h,i);rt(l);if(!(f[k+4>>2]|0)){u=j;return}u=j;return}function mAa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;f[a>>2]=0;d=a+4|0;f[d>>2]=0;f[a+8>>2]=0;if(!b)return;if(b>>>0>76695844)Ukc(a);e=Bmc(b*56|0)|0;f[d>>2]=e;f[a>>2]=e;f[a+8>>2]=e+(b*56|0);a=c+4|0;g=c+8|0;h=c+12|0;i=c+16|0;j=c+20|0;k=c+24|0;l=c+28|0;m=c+32|0;n=c+36|0;o=c+44|0;p=b;b=e;do{f[b>>2]=f[c>>2];e=b+4|0;f[e>>2]=f[a>>2];q=b+8|0;f[q>>2]=f[g>>2];f[b+12>>2]=f[h>>2];f[b+16>>2]=f[i>>2];f[b+20>>2]=f[j>>2];f[b+24>>2]=f[k>>2];f[b+28>>2]=f[l>>2];f[b+32>>2]=f[m>>2];r=f[n>>2]|0;f[b+36>>2]=r;f[b+40>>2]=q;q=b+48|0;s=b+44|0;f[s>>2]=q;f[q>>2]=0;f[b+52>>2]=0;if(r|0){q=r+12|0;f[q>>2]=(f[q>>2]|0)+1}if((f[a>>2]|0)<3){q=f[o>>2]|0;r=f[s>>2]|0;f[r>>2]=f[q>>2];f[r+4>>2]=f[q+4>>2]}else{f[e>>2]=0;kP(b,c)}b=(f[d>>2]|0)+56|0;f[d>>2]=b;p=p+-1|0}while((p|0)!=0);return}function nAa(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=+d;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0.0,Ha=0.0,Ia=0.0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0;k=u;u=u+608|0;l=k+544|0;m=k+488|0;n=k+432|0;o=k+416|0;q=k+392|0;r=k+424|0;s=k+408|0;t=k;v=k+336|0;w=k+112|0;x=k+56|0;zT(o,109432);y=(j|0)==5;switch(j|0){case 0:{z=3;break}case 5:break;default:HY(j,109452)}if((z|0)==3){if(!(d==1.0))FY(d,1.0,109480);if(!(+p[g>>3]==0.0)){f[l>>2]=0;A=l+4|0;f[A>>2]=0;B=YG(l,77)|0;C=B;D=388727;E=C+77|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,l,388805,387968,137)}if(!(+p[g+8>>3]==0.0)){f[l>>2]=0;A=l+4|0;f[A>>2]=0;B=YG(l,77)|0;C=B;D=388727;E=C+77|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,l,388805,387968,137)}if(!(+p[g+16>>3]==0.0)){f[l>>2]=0;A=l+4|0;f[A>>2]=0;B=YG(l,77)|0;C=B;D=388727;E=C+77|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,l,388805,387968,137)}if(!(+p[g+24>>3]==0.0)){f[l>>2]=0;A=l+4|0;f[A>>2]=0;B=YG(l,77)|0;C=B;D=388727;E=C+77|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,l,388805,387968,137)}}f[q>>2]=0;B=q+4|0;f[B>>2]=0;f[q+8>>2]=0;rD(a,q);a=f[q>>2]|0;A=f[B>>2]|0;if((a|0)==(A|0)){f[l>>2]=0;f[l+4>>2]=0;C=YG(l,15)|0;D=388820;E=C+15|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,l,388805,387968,142)}F=A-a|0;if(!F){G=(F|0)/56|0;H=a}else{F=e+4|0;A=l+8|0;I=l+12|0;J=l+4|0;K=m+8|0;L=m+4|0;M=r+4|0;N=l+4|0;O=l+8|0;P=l+12|0;Q=m+36|0;R=m+16|0;S=m+4|0;T=m+40|0;U=m+44|0;V=m+48|0;W=m+8|0;X=m+12|0;Z=m+20|0;_=m+24|0;$=m+28|0;aa=m+32|0;ba=l+8|0;ca=l+12|0;da=l+4|0;ea=m+8|0;fa=m+4|0;ga=s+4|0;ha=l+8|0;ia=l+4|0;ja=g+8|0;ka=t+8|0;la=g+16|0;ma=t+16|0;na=g+24|0;oa=t+24|0;pa=l+8|0;qa=l+12|0;ra=l+4|0;sa=m+8|0;ta=m+12|0;ua=m+4|0;va=n+8|0;wa=n+4|0;xa=l+8|0;ya=l+4|0;za=0;Aa=a;while(1){a=f[Aa+(za*56|0)+40>>2]|0;Ba=f[a+4>>2]|0;Ca=f[a>>2]|0;a=f[e>>2]|0;Da=f[F>>2]|0;if(!(Da|a)){f[e>>2]=Ba;f[F>>2]=Ca;Ea=Ba;Fa=Ca}else{Ea=a;Fa=Da}do if((Ea|0)!=(Ba|0)|(Fa|0)!=(Ca|0)){if(!i){f[ba>>2]=0;f[ca>>2]=0;f[l>>2]=16842752;f[da>>2]=Aa+(za*56|0);Da=ea;f[Da>>2]=0;f[Da+4>>2]=0;f[m>>2]=33619968;f[fa>>2]=Aa+(za*56|0);f[s>>2]=Ea;f[ga>>2]=Fa;wma(l,m,s,0.0,0.0,1);break}Ga=+(Ea|0)/+(Ba|0);Ha=+(Fa|0)/+(Ca|0);f[A>>2]=0;f[I>>2]=0;f[l>>2]=16842752;f[J>>2]=Aa+(za*56|0);Da=K;f[Da>>2]=0;f[Da+4>>2]=0;f[m>>2]=33619968;f[L>>2]=Aa+(za*56|0);f[r>>2]=0;f[M>>2]=0;Ia=Ga<Ha?Ha:Ga;wma(l,m,r,Ia,Ia,1);Da=f[q>>2]|0;a=f[e>>2]|0;Ja=f[F>>2]|0;Ka=~~(+((f[Da+(za*56|0)+8>>2]|0)-Ja|0)*.5);f[l>>2]=~~(+((f[Da+(za*56|0)+12>>2]|0)-a|0)*.5);f[N>>2]=Ka;f[O>>2]=a;f[P>>2]=Ja;pP(m,Da+(za*56|0)|0,l);Da=f[q>>2]|0;Ja=Da+(za*56|0)|0;if((Ja|0)!=(m|0)){a=f[Q>>2]|0;if(a|0){Ka=a+12|0;f[Ka>>2]=(f[Ka>>2]|0)+1}Ka=Da+(za*56|0)+36|0;a=f[Ka>>2]|0;if(a|0?(La=a+12|0,a=f[La>>2]|0,f[La>>2]=a+-1,(a|0)==1):0)lP(Ja);f[Ka>>2]=0;a=Da+(za*56|0)+16|0;La=Da+(za*56|0)+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[La>>2]|0)>0){Ma=f[Da+(za*56|0)+40>>2]|0;Na=0;do{f[Ma+(Na<<2)>>2]=0;Na=Na+1|0;Oa=f[La>>2]|0}while((Na|0)<(Oa|0));f[Ja>>2]=f[m>>2];if((Oa|0)<3)z=34;else z=36}else{f[Ja>>2]=f[m>>2];z=34}if((z|0)==34){z=0;Na=f[S>>2]|0;if((Na|0)<3){f[La>>2]=Na;f[Da+(za*56|0)+8>>2]=f[W>>2];f[Da+(za*56|0)+12>>2]=f[X>>2];Na=f[U>>2]|0;Ma=f[Da+(za*56|0)+44>>2]|0;f[Ma>>2]=f[Na>>2];f[Ma+4>>2]=f[Na+4>>2]}else z=36}if((z|0)==36){z=0;kP(Ja,m)}f[a>>2]=f[R>>2];f[Da+(za*56|0)+20>>2]=f[Z>>2];f[Da+(za*56|0)+24>>2]=f[_>>2];f[Da+(za*56|0)+28>>2]=f[$>>2];f[Da+(za*56|0)+32>>2]=f[aa>>2];f[Ka>>2]=f[Q>>2]}Na=f[Q>>2]|0;if(Na|0?(Ma=Na+12|0,Na=f[Ma>>2]|0,f[Ma>>2]=Na+-1,(Na|0)==1):0)lP(m);f[Q>>2]=0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((f[S>>2]|0)>0){Na=f[T>>2]|0;Ma=0;do{f[Na+(Ma<<2)>>2]=0;Ma=Ma+1|0}while((Ma|0)<(f[S>>2]|0))}Ma=f[U>>2]|0;if((Ma|0)!=(V|0))tE(Ma)}while(0);Ca=(f[q>>2]|0)+(za*56|0)|0;if(y&(f[Ca>>2]&7|0)==0){Ba=ha;f[Ba>>2]=0;f[Ba+4>>2]=0;f[l>>2]=33619968;f[ia>>2]=Ca;IO(Ca,l,5,1.0,0.0)}Ia=+p[g>>3];p[t>>3]=Ia;p[ka>>3]=+p[ja>>3];Ga=+p[la>>3];p[ma>>3]=Ga;p[oa>>3]=+p[na>>3];if(h){p[t>>3]=Ga;p[ma>>3]=Ia}Ca=(f[q>>2]|0)+(za*56|0)|0;f[pa>>2]=0;f[qa>>2]=0;f[l>>2]=16842752;f[ra>>2]=Ca;f[m>>2]=-1056833530;f[ua>>2]=t;f[sa>>2]=1;f[ta>>2]=4;Ba=va;f[Ba>>2]=0;f[Ba+4>>2]=0;f[n>>2]=33619968;f[wa>>2]=Ca;fI(l,m,n,rE()|0,-1);Ca=(f[q>>2]|0)+(za*56|0)|0;Ba=xa;f[Ba>>2]=0;f[Ba+4>>2]=0;f[l>>2]=33619968;f[ya>>2]=Ca;IO(Ca,l,-1,d,0.0);za=za+1|0;Ca=f[q>>2]|0;Ba=((f[B>>2]|0)-Ca|0)/56|0;Ma=Ca;if(za>>>0>=Ba>>>0){G=Ba;H=Ma;break}else Aa=Ma}}f[m>>2]=f[H>>2];Aa=m+4|0;za=H+4|0;f[Aa>>2]=f[za>>2];B=m+8|0;f[B>>2]=f[H+8>>2];ya=m+12|0;f[ya>>2]=f[H+12>>2];xa=m+16|0;f[xa>>2]=f[H+16>>2];f[m+20>>2]=f[H+20>>2];f[m+24>>2]=f[H+24>>2];f[m+28>>2]=f[H+28>>2];f[m+32>>2]=f[H+32>>2];wa=m+36|0;va=f[H+36>>2]|0;f[wa>>2]=va;ta=m+40|0;f[ta>>2]=B;sa=m+48|0;ua=m+44|0;f[ua>>2]=sa;f[sa>>2]=0;f[m+52>>2]=0;if(va|0){ra=va+12|0;f[ra>>2]=(f[ra>>2]|0)+1}if((f[za>>2]|0)<3){za=f[H+44>>2]|0;ra=f[ua>>2]|0;f[ra>>2]=f[za>>2];f[ra+4>>2]=f[za+4>>2]}else{f[Aa>>2]=0;kP(m,H)}H=(f[m>>2]|0)>>>3;za=H&511;ra=za+1|0;if((f[Aa>>2]|0)!=2){f[l>>2]=0;f[l+4>>2]=0;C=YG(l,16)|0;D=388836;E=C+16|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,l,388805,387968,176)}f[n>>2]=1124007936;va=n+4|0;qa=n+8|0;pa=n+40|0;C=va;E=C+36|0;do{f[C>>2]=0;C=C+4|0}while((C|0)<(E|0));f[pa>>2]=qa;ma=n+48|0;na=n+44|0;f[na>>2]=ma;f[ma>>2]=0;f[n+52>>2]=0;if((H&510|0)==2){f[t>>2]=G;f[t+4>>2]=ra;f[t+8>>2]=f[B>>2];f[t+12>>2]=f[ya>>2];ID(c,4,t,j,-1,0,0);do if((pD(c)|0)==65536){ra=f[c+4>>2]|0;f[v>>2]=f[ra>>2];H=v+4|0;oa=ra+4|0;f[H>>2]=f[oa>>2];la=v+8|0;f[la>>2]=f[ra+8>>2];f[v+12>>2]=f[ra+12>>2];f[v+16>>2]=f[ra+16>>2];f[v+20>>2]=f[ra+20>>2];f[v+24>>2]=f[ra+24>>2];f[v+28>>2]=f[ra+28>>2];f[v+32>>2]=f[ra+32>>2];ja=f[ra+36>>2]|0;f[v+36>>2]=ja;f[v+40>>2]=la;la=v+48|0;ka=v+44|0;f[ka>>2]=la;f[la>>2]=0;f[v+52>>2]=0;if(ja|0){la=ja+12|0;f[la>>2]=(f[la>>2]|0)+1}if((f[oa>>2]|0)<3){oa=f[ra+44>>2]|0;la=f[ka>>2]|0;f[la>>2]=f[oa>>2];f[la+4>>2]=f[oa+4>>2];break}else{f[H>>2]=0;kP(v,ra);break}}else lD(v,c,-1);while(0);f[w>>2]=1124007936;ra=w+4|0;H=w+8|0;oa=w+40|0;C=ra;E=C+36|0;do{f[C>>2]=0;C=C+4|0}while((C|0)<(E|0));f[oa>>2]=H;la=w+48|0;ka=w+44|0;f[ka>>2]=la;f[la>>2]=0;f[w+52>>2]=0;f[w+56>>2]=1124007936;la=w+64|0;ja=w+96|0;C=w+60|0;E=C+36|0;do{f[C>>2]=0;C=C+4|0}while((C|0)<(E|0));f[ja>>2]=la;la=w+104|0;f[w+100>>2]=la;f[la>>2]=0;f[w+108>>2]=0;f[w+112>>2]=1124007936;la=w+116|0;ja=w+120|0;g=w+152|0;C=la;E=C+36|0;do{f[C>>2]=0;C=C+4|0}while((C|0)<(E|0));f[g>>2]=ja;ia=w+160|0;ha=w+156|0;f[ha>>2]=ia;f[ia>>2]=0;f[w+164>>2]=0;f[w+168>>2]=1124007936;ia=w+176|0;y=w+208|0;C=w+172|0;E=C+36|0;do{f[C>>2]=0;C=C+4|0}while((C|0)<(E|0));f[y>>2]=ia;ia=w+216|0;f[w+212>>2]=ia;f[ia>>2]=0;f[w+220>>2]=0;do if(G){ia=n+12|0;y=v+16|0;V=v+44|0;U=l+36|0;S=l+16|0;T=l+4|0;R=l+40|0;Q=l+44|0;aa=l+48|0;$=l+8|0;_=l+12|0;Z=l+20|0;X=l+24|0;W=l+28|0;Oa=l+32|0;P=w+112|0;O=l+4|0;N=l+8|0;F=l+12|0;e=w+12|0;r=l+16|0;M=w+16|0;L=l+20|0;K=w+20|0;J=l+24|0;I=w+24|0;A=l+28|0;Fa=w+28|0;Ea=l+32|0;s=w+32|0;ga=l+36|0;fa=w+36|0;ea=l+40|0;da=l+48|0;ca=l+44|0;ba=l+52|0;i=w+148|0;Ma=w+124|0;Ba=w+128|0;Ca=w+132|0;Na=w+136|0;Ka=w+140|0;Da=w+144|0;a=n+36|0;Ja=n+16|0;La=n+20|0;Pa=n+24|0;Qa=n+28|0;Ra=n+32|0;Sa=0;while(1){Ta=f[q>>2]|0;Ua=Ta+(Sa*56|0)|0;if((n|0)!=(Ua|0)){Va=Ta+(Sa*56|0)+36|0;Wa=f[Va>>2]|0;if(Wa|0){Xa=Wa+12|0;f[Xa>>2]=(f[Xa>>2]|0)+1}Xa=f[a>>2]|0;if(Xa|0?(Wa=Xa+12|0,Xa=f[Wa>>2]|0,f[Wa>>2]=Xa+-1,(Xa|0)==1):0)lP(n);f[a>>2]=0;f[Ja>>2]=0;f[Ja+4>>2]=0;f[Ja+8>>2]=0;f[Ja+12>>2]=0;if((f[va>>2]|0)>0){Xa=f[pa>>2]|0;Wa=0;do{f[Xa+(Wa<<2)>>2]=0;Wa=Wa+1|0;Ya=f[va>>2]|0}while((Wa|0)<(Ya|0));f[n>>2]=f[Ua>>2];if((Ya|0)<3)z=77;else z=79}else{f[n>>2]=f[Ua>>2];z=77}if((z|0)==77){z=0;Wa=f[Ta+(Sa*56|0)+4>>2]|0;if((Wa|0)<3){f[va>>2]=Wa;f[qa>>2]=f[Ta+(Sa*56|0)+8>>2];f[ia>>2]=f[Ta+(Sa*56|0)+12>>2];Wa=f[Ta+(Sa*56|0)+44>>2]|0;Xa=f[na>>2]|0;f[Xa>>2]=f[Wa>>2];f[Xa+4>>2]=f[Wa+4>>2]}else z=79}if((z|0)==79){z=0;kP(n,Ua)}f[Ja>>2]=f[Ta+(Sa*56|0)+16>>2];f[La>>2]=f[Ta+(Sa*56|0)+20>>2];f[Pa>>2]=f[Ta+(Sa*56|0)+24>>2];f[Qa>>2]=f[Ta+(Sa*56|0)+28>>2];f[Ra>>2]=f[Ta+(Sa*56|0)+32>>2];f[a>>2]=f[Va>>2]}Wa=f[n>>2]|0;if((Wa&7|0)!=(BD(c,-1)|0)){z=82;break}Wa=(f[n>>2]|0)>>>3;Xa=Wa&511;if(!((f[va>>2]|0)==2&(Wa&510|0)==2)){z=84;break}Wa=f[pa>>2]|0;Za=f[ta>>2]|0;if((f[Wa>>2]|0)==(f[Za>>2]|0)?(f[Wa+4>>2]|0)==(f[Za+4>>2]|0):0)_a=0;else{z=86;break}while(1){Za=f[V>>2]|0;Wa=(f[y>>2]|0)+(Y(f[Za>>2]|0,Sa)|0)|0;Ri(l,f[qa>>2]|0,f[ia>>2]|0,j,Wa+(Y(f[Za+4>>2]|0,_a)|0)|0,0);Za=w+(_a*56|0)|0;Wa=f[U>>2]|0;if((Za|0)==(l|0))$a=Wa;else{if(Wa|0){ab=Wa+12|0;f[ab>>2]=(f[ab>>2]|0)+1}ab=w+(_a*56|0)+36|0;Wa=f[ab>>2]|0;do if(Wa|0){bb=Wa+12|0;cb=f[bb>>2]|0;f[bb>>2]=cb+-1;if((cb|0)!=1)break;lP(Za)}while(0);f[ab>>2]=0;Wa=w+(_a*56|0)+16|0;cb=w+(_a*56|0)+4|0;f[Wa>>2]=0;f[Wa+4>>2]=0;f[Wa+8>>2]=0;f[Wa+12>>2]=0;if((f[cb>>2]|0)>0){bb=f[w+(_a*56|0)+40>>2]|0;db=0;do{f[bb+(db<<2)>>2]=0;db=db+1|0;eb=f[cb>>2]|0}while((db|0)<(eb|0));f[Za>>2]=f[l>>2];if((eb|0)<3)z=99;else z=101}else{f[Za>>2]=f[l>>2];z=99}do if((z|0)==99){z=0;db=f[T>>2]|0;if((db|0)>=3){z=101;break}f[cb>>2]=db;f[w+(_a*56|0)+8>>2]=f[$>>2];f[w+(_a*56|0)+12>>2]=f[_>>2];db=f[Q>>2]|0;bb=f[w+(_a*56|0)+44>>2]|0;f[bb>>2]=f[db>>2];f[bb+4>>2]=f[db+4>>2]}while(0);if((z|0)==101){z=0;kP(Za,l)}f[Wa>>2]=f[S>>2];f[w+(_a*56|0)+20>>2]=f[Z>>2];f[w+(_a*56|0)+24>>2]=f[X>>2];f[w+(_a*56|0)+28>>2]=f[W>>2];f[w+(_a*56|0)+32>>2]=f[Oa>>2];cb=f[U>>2]|0;f[ab>>2]=cb;$a=cb}if($a|0?(cb=$a+12|0,db=f[cb>>2]|0,f[cb>>2]=db+-1,(db|0)==1):0)lP(l);f[U>>2]=0;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;if((f[T>>2]|0)>0){db=f[R>>2]|0;cb=0;do{f[db+(cb<<2)>>2]=0;cb=cb+1|0}while((cb|0)<(f[T>>2]|0))}cb=f[Q>>2]|0;if((cb|0)!=(aa|0))tE(cb);if((_a|0)<(Xa|0))_a=_a+1|0;else break}if(h){f[l>>2]=f[w>>2];Xa=f[ra>>2]|0;f[O>>2]=Xa;f[N>>2]=f[H>>2];f[F>>2]=f[e>>2];f[r>>2]=f[M>>2];f[L>>2]=f[K>>2];f[J>>2]=f[I>>2];f[A>>2]=f[Fa>>2];f[Ea>>2]=f[s>>2];Va=f[fa>>2]|0;f[ga>>2]=Va;f[ea>>2]=N;f[ca>>2]=da;f[da>>2]=0;f[ba>>2]=0;if(!Va)fb=Xa;else{Xa=Va+12|0;f[Xa>>2]=(f[Xa>>2]|0)+1;fb=f[ra>>2]|0}if((fb|0)<3){Xa=f[ka>>2]|0;Va=f[ca>>2]|0;f[Va>>2]=f[Xa>>2];f[Va+4>>2]=f[Xa+4>>2]}else{f[O>>2]=0;kP(l,w)}Xa=f[i>>2]|0;if(Xa|0){Va=Xa+12|0;f[Va>>2]=(f[Va>>2]|0)+1}Va=f[fa>>2]|0;do if(Va|0){Xa=Va+12|0;Ta=f[Xa>>2]|0;f[Xa>>2]=Ta+-1;if((Ta|0)!=1)break;lP(w)}while(0);f[fa>>2]=0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[ra>>2]|0)>0){Va=f[oa>>2]|0;Ta=0;do{f[Va+(Ta<<2)>>2]=0;Ta=Ta+1|0;gb=f[ra>>2]|0}while((Ta|0)<(gb|0));f[w>>2]=f[P>>2];if((gb|0)<3)z=127;else z=129}else{f[w>>2]=f[P>>2];z=127}do if((z|0)==127){z=0;Ta=f[la>>2]|0;if((Ta|0)>=3){z=129;break}f[ra>>2]=Ta;f[H>>2]=f[ja>>2];f[e>>2]=f[Ma>>2];Ta=f[ha>>2]|0;Va=f[ka>>2]|0;f[Va>>2]=f[Ta>>2];f[Va+4>>2]=f[Ta+4>>2]}while(0);if((z|0)==129){z=0;kP(w,P)}f[M>>2]=f[Ba>>2];f[K>>2]=f[Ca>>2];f[I>>2]=f[Na>>2];f[Fa>>2]=f[Ka>>2];f[s>>2]=f[Da>>2];Ta=f[i>>2]|0;f[fa>>2]=Ta;Va=f[ga>>2]|0;if(!Va)hb=Ta;else{Ta=Va+12|0;f[Ta>>2]=(f[Ta>>2]|0)+1;hb=f[i>>2]|0}do if(hb|0){Ta=hb+12|0;Va=f[Ta>>2]|0;f[Ta>>2]=Va+-1;if((Va|0)!=1)break;lP(P)}while(0);f[i>>2]=0;f[Ba>>2]=0;f[Ba+4>>2]=0;f[Ba+8>>2]=0;f[Ba+12>>2]=0;if((f[la>>2]|0)>0){Va=f[g>>2]|0;Ta=0;do{f[Va+(Ta<<2)>>2]=0;Ta=Ta+1|0;ib=f[la>>2]|0}while((Ta|0)<(ib|0));f[P>>2]=f[l>>2];if((ib|0)<3)z=140;else z=142}else{f[P>>2]=f[l>>2];z=140}do if((z|0)==140){z=0;Ta=f[O>>2]|0;if((Ta|0)>=3){z=142;break}f[la>>2]=Ta;f[ja>>2]=f[N>>2];f[Ma>>2]=f[F>>2];Ta=f[ca>>2]|0;Va=f[ha>>2]|0;f[Va>>2]=f[Ta>>2];f[Va+4>>2]=f[Ta+4>>2]}while(0);if((z|0)==142){z=0;kP(P,l)}f[Ba>>2]=f[r>>2];f[Ca>>2]=f[L>>2];f[Na>>2]=f[J>>2];f[Ka>>2]=f[A>>2];f[Da>>2]=f[Ea>>2];Ta=f[ga>>2]|0;f[i>>2]=Ta;do if(Ta|0){Va=Ta+12|0;Xa=f[Va>>2]|0;f[Va>>2]=Xa+-1;if((Xa|0)!=1)break;lP(l)}while(0);f[ga>>2]=0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[O>>2]|0)>0){Ta=f[ea>>2]|0;Xa=0;do{f[Ta+(Xa<<2)>>2]=0;Xa=Xa+1|0}while((Xa|0)<(f[O>>2]|0))}Xa=f[ca>>2]|0;if((Xa|0)!=(da|0))tE(Xa)}HJ(n,w);Sa=Sa+1|0;if(Sa>>>0>=G>>>0){z=153;break}}if((z|0)==82){f[l>>2]=0;f[l+4>>2]=0;C=YG(l,30)|0;D=388853;E=C+30|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,l,388805,387968,188)}else if((z|0)==84){f[l>>2]=0;f[l+4>>2]=0;C=YG(l,41)|0;D=388884;E=C+41|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,l,388805,387968,190)}else if((z|0)==86){f[l>>2]=0;f[l+4>>2]=0;C=YG(l,29)|0;D=388926;E=C+29|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,l,388805,387968,191)}else if((z|0)==153){Sa=w+204|0;da=f[Sa>>2]|0;if(!da){jb=Sa;break}ca=da+12|0;da=f[ca>>2]|0;f[ca>>2]=da+-1;if((da|0)!=1){jb=Sa;break}lP(w+168|0);jb=Sa;break}}else jb=w+204|0;while(0);f[jb>>2]=0;jb=w+184|0;ha=w+172|0;f[jb>>2]=0;f[jb+4>>2]=0;f[jb+8>>2]=0;f[jb+12>>2]=0;if((f[ha>>2]|0)>0){jb=f[w+208>>2]|0;ja=0;do{f[jb+(ja<<2)>>2]=0;ja=ja+1|0}while((ja|0)<(f[ha>>2]|0))}ha=f[w+212>>2]|0;if((ha|0)!=(w+216|0))tE(ha);ha=w+112|0;ja=w+148|0;jb=f[ja>>2]|0;if(jb|0?(la=jb+12|0,jb=f[la>>2]|0,f[la>>2]=jb+-1,(jb|0)==1):0)lP(ha);f[ja>>2]=0;ja=w+128|0;ha=w+116|0;f[ja>>2]=0;f[ja+4>>2]=0;f[ja+8>>2]=0;f[ja+12>>2]=0;if((f[ha>>2]|0)>0){ja=f[w+152>>2]|0;jb=0;do{f[ja+(jb<<2)>>2]=0;jb=jb+1|0}while((jb|0)<(f[ha>>2]|0))}ha=f[w+156>>2]|0;if((ha|0)!=(w+160|0))tE(ha);ha=w+56|0;jb=w+92|0;ja=f[jb>>2]|0;if(ja|0?(la=ja+12|0,ja=f[la>>2]|0,f[la>>2]=ja+-1,(ja|0)==1):0)lP(ha);f[jb>>2]=0;jb=w+72|0;ha=w+60|0;f[jb>>2]=0;f[jb+4>>2]=0;f[jb+8>>2]=0;f[jb+12>>2]=0;if((f[ha>>2]|0)>0){jb=f[w+96>>2]|0;ja=0;do{f[jb+(ja<<2)>>2]=0;ja=ja+1|0}while((ja|0)<(f[ha>>2]|0))}ha=f[w+100>>2]|0;if((ha|0)!=(w+104|0))tE(ha);ha=w+36|0;ja=f[ha>>2]|0;if(ja|0?(jb=ja+12|0,ja=f[jb>>2]|0,f[jb>>2]=ja+-1,(ja|0)==1):0)lP(w);f[ha>>2]=0;ha=w+16|0;ja=w+4|0;f[ha>>2]=0;f[ha+4>>2]=0;f[ha+8>>2]=0;f[ha+12>>2]=0;if((f[ja>>2]|0)>0){ha=f[w+40>>2]|0;jb=0;do{f[ha+(jb<<2)>>2]=0;jb=jb+1|0}while((jb|0)<(f[ja>>2]|0))}ja=f[w+44>>2]|0;if((ja|0)!=(w+48|0))tE(ja);ja=v+36|0;jb=f[ja>>2]|0;do if(jb|0){ha=jb+12|0;la=f[ha>>2]|0;f[ha>>2]=la+-1;if((la|0)!=1)break;lP(v)}while(0);f[ja>>2]=0;ja=v+16|0;jb=v+4|0;f[ja>>2]=0;f[ja+4>>2]=0;f[ja+8>>2]=0;f[ja+12>>2]=0;if((f[jb>>2]|0)>0){ja=f[v+40>>2]|0;la=0;do{f[ja+(la<<2)>>2]=0;la=la+1|0}while((la|0)<(f[jb>>2]|0))}jb=f[v+44>>2]|0;if((jb|0)!=(v+48|0))tE(jb)}else{if(za|0){f[l>>2]=0;f[l+4>>2]=0;za=YG(l,8)|0;jb=za;b[jb>>0]=110;b[jb+1>>0]=99;b[jb+2>>0]=104;b[jb+3>>0]=32;jb=za+4|0;b[jb>>0]=61;b[jb+1>>0]=61;b[jb+2>>0]=32;b[jb+3>>0]=49;SQ(-215,l,388805,387968,202)}f[l>>2]=G;f[l+4>>2]=1;f[l+8>>2]=f[B>>2];f[l+12>>2]=f[ya>>2];ID(c,4,l,j,-1,0,0);do if((pD(c)|0)==65536){l=f[c+4>>2]|0;f[t>>2]=f[l>>2];ya=t+4|0;B=l+4|0;f[ya>>2]=f[B>>2];jb=t+8|0;f[jb>>2]=f[l+8>>2];f[t+12>>2]=f[l+12>>2];f[t+16>>2]=f[l+16>>2];f[t+20>>2]=f[l+20>>2];f[t+24>>2]=f[l+24>>2];f[t+28>>2]=f[l+28>>2];f[t+32>>2]=f[l+32>>2];za=f[l+36>>2]|0;f[t+36>>2]=za;f[t+40>>2]=jb;jb=t+48|0;la=t+44|0;f[la>>2]=jb;f[jb>>2]=0;f[t+52>>2]=0;if(za|0){jb=za+12|0;f[jb>>2]=(f[jb>>2]|0)+1}if((f[B>>2]|0)<3){B=f[l+44>>2]|0;jb=f[la>>2]|0;f[jb>>2]=f[B>>2];f[jb+4>>2]=f[B+4>>2];break}else{f[ya>>2]=0;kP(t,l);break}}else lD(t,c,-1);while(0);a:do if(G|0){l=v+4|0;ya=v+8|0;B=v+12|0;jb=v+16|0;la=v+20|0;za=v+24|0;ja=v+28|0;ha=v+32|0;ib=v+36|0;g=v+40|0;hb=v+48|0;ka=v+44|0;H=v+52|0;ra=t+16|0;gb=t+44|0;oa=w+8|0;fb=w+4|0;h=x+36|0;_a=x+16|0;$a=x+4|0;eb=x+40|0;qa=x+44|0;Ya=x+48|0;Sa=0;while(1){da=f[q>>2]|0;ca=da+(Sa*56|0)|0;f[v>>2]=f[ca>>2];O=da+(Sa*56|0)+4|0;f[l>>2]=f[O>>2];f[ya>>2]=f[da+(Sa*56|0)+8>>2];f[B>>2]=f[da+(Sa*56|0)+12>>2];f[jb>>2]=f[da+(Sa*56|0)+16>>2];f[la>>2]=f[da+(Sa*56|0)+20>>2];f[za>>2]=f[da+(Sa*56|0)+24>>2];f[ja>>2]=f[da+(Sa*56|0)+28>>2];f[ha>>2]=f[da+(Sa*56|0)+32>>2];ea=f[da+(Sa*56|0)+36>>2]|0;f[ib>>2]=ea;f[g>>2]=ya;f[ka>>2]=hb;f[hb>>2]=0;f[H>>2]=0;if(ea|0){r=ea+12|0;f[r>>2]=(f[r>>2]|0)+1}if((f[O>>2]|0)<3){O=f[da+(Sa*56|0)+44>>2]|0;da=f[ka>>2]|0;f[da>>2]=f[O>>2];f[da+4>>2]=f[O+4>>2]}else{f[l>>2]=0;kP(v,ca)}ca=f[v>>2]|0;if((ca&7|0)!=(BD(c,-1)|0)){z=187;break}if(!((f[l>>2]|0)==2&(f[v>>2]&4088|0)==0)){z=189;break}ca=f[g>>2]|0;O=f[ta>>2]|0;if(!((f[ca>>2]|0)==(f[O>>2]|0)?(f[ca+4>>2]|0)==(f[O+4>>2]|0):0)){z=191;break}Ri(x,f[ya>>2]|0,f[B>>2]|0,j,(f[ra>>2]|0)+(Y(f[f[gb>>2]>>2]|0,Sa)|0)|0,0);O=oa;f[O>>2]=0;f[O+4>>2]=0;f[w>>2]=-1040121856;f[fb>>2]=x;kT(v,w);O=f[h>>2]|0;if(O|0?(ca=O+12|0,O=f[ca>>2]|0,f[ca>>2]=O+-1,(O|0)==1):0)lP(x);f[h>>2]=0;f[_a>>2]=0;f[_a+4>>2]=0;f[_a+8>>2]=0;f[_a+12>>2]=0;if((f[$a>>2]|0)>0){O=f[eb>>2]|0;ca=0;do{f[O+(ca<<2)>>2]=0;ca=ca+1|0}while((ca|0)<(f[$a>>2]|0))}ca=f[qa>>2]|0;if((ca|0)!=(Ya|0))tE(ca);ca=f[ib>>2]|0;do if(ca|0){O=ca+12|0;da=f[O>>2]|0;f[O>>2]=da+-1;if((da|0)!=1)break;lP(v)}while(0);f[ib>>2]=0;f[jb>>2]=0;f[jb+4>>2]=0;f[jb+8>>2]=0;f[jb+12>>2]=0;if((f[l>>2]|0)>0){ca=f[g>>2]|0;da=0;do{f[ca+(da<<2)>>2]=0;da=da+1|0}while((da|0)<(f[l>>2]|0))}da=f[ka>>2]|0;if((da|0)!=(hb|0))tE(da);Sa=Sa+1|0;if(Sa>>>0>=G>>>0)break a}if((z|0)==187){f[w>>2]=0;f[w+4>>2]=0;C=YG(w,30)|0;D=388853;E=C+30|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,w,388805,387968,210)}else if((z|0)==189){f[w>>2]=0;f[w+4>>2]=0;C=YG(w,29)|0;D=388956;E=C+29|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,w,388805,387968,212)}else if((z|0)==191){f[w>>2]=0;f[w+4>>2]=0;C=YG(w,29)|0;D=388926;E=C+29|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-215,w,388805,387968,213)}}while(0);w=t+36|0;D=f[w>>2]|0;if(D|0?(C=D+12|0,D=f[C>>2]|0,f[C>>2]=D+-1,(D|0)==1):0)lP(t);f[w>>2]=0;w=t+16|0;D=t+4|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[D>>2]|0)>0){w=f[t+40>>2]|0;C=0;do{f[w+(C<<2)>>2]=0;C=C+1|0}while((C|0)<(f[D>>2]|0))}D=f[t+44>>2]|0;if((D|0)!=(t+48|0))tE(D)}D=n+36|0;t=f[D>>2]|0;if(t|0?(C=t+12|0,t=f[C>>2]|0,f[C>>2]=t+-1,(t|0)==1):0)lP(n);f[D>>2]=0;D=n+16|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[va>>2]|0)>0){D=f[pa>>2]|0;pa=0;do{f[D+(pa<<2)>>2]=0;pa=pa+1|0}while((pa|0)<(f[va>>2]|0))}va=f[na>>2]|0;if((va|0)!=(ma|0))tE(va);va=f[wa>>2]|0;if(va|0?(ma=va+12|0,va=f[ma>>2]|0,f[ma>>2]=va+-1,(va|0)==1):0)lP(m);f[wa>>2]=0;f[xa>>2]=0;f[xa+4>>2]=0;f[xa+8>>2]=0;f[xa+12>>2]=0;if((f[Aa>>2]|0)>0){xa=f[ta>>2]|0;ta=0;do{f[xa+(ta<<2)>>2]=0;ta=ta+1|0}while((ta|0)<(f[Aa>>2]|0))}Aa=f[ua>>2]|0;if((Aa|0)!=(sa|0))tE(Aa);rt(q);if(!(f[o+4>>2]|0)){u=k;return}u=k;return}function oAa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+128|0;h=g;i=f[c+4>>2]|0;if((i|0)<=2){f[h>>2]=0;f[h+4>>2]=0;j=YG(h,10)|0;k=456353;l=j+10|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,h,456364,475161,110)}k=f[c+40>>2]|0;j=2;do{f[h+(j+-2<<2)>>2]=f[k+(j<<2)>>2];j=j+1|0}while((j|0)!=(i|0));j=f[c+44>>2]|0;k=(f[c+16>>2]|0)+(Y(f[j>>2]|0,d)|0)|0;qP(a,i+-2|0,h,f[c>>2]&4095,k+(Y(f[j+4>>2]|0,e)|0)|0,0);u=g;return}function pAa(a){a=a|0;var b=0,c=0;b=Bmc(188)|0;qAa(b);c=Bmc(16)|0;f[c+4>>2]=1;f[c>>2]=109516;f[c+8>>2]=b;f[a>>2]=c;f[a+4>>2]=b;return}function qAa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;c=u;u=u+640|0;d=c+428|0;e=c+216|0;g=c+8|0;h=c;i=a+4|0;j=a+20|0;k=a+24|0;f[k>>2]=0;l=a+28|0;f[l>>2]=0;m=a+24|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[j>>2]=m;n=a+32|0;o=a+36|0;f[o>>2]=0;p=a+40|0;f[p>>2]=0;q=a+36|0;f[n>>2]=q;f[a+48>>2]=0;f[a+52>>2]=0;f[a+44>>2]=a+48;f[a+60>>2]=0;f[a+64>>2]=0;f[a+56>>2]=a+60;f[a+72>>2]=0;f[a+76>>2]=0;f[a+68>>2]=a+72;f[a+88>>2]=0;f[a+92>>2]=0;f[a+104>>2]=0;f[a+108>>2]=0;f[a+100>>2]=a+104;f[a+120>>2]=0;f[a+124>>2]=0;f[a+128>>2]=0;f[a+132>>2]=1124007936;r=a+140|0;s=a+172|0;t=a+136|0;v=t+36|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(v|0));f[s>>2]=r;r=a+180|0;f[a+176>>2]=r;f[r>>2]=0;f[a+184>>2]=0;r=Bmc(88)|0;cY(r);s=r+4|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;f[s+16>>2]=0;f[s+20>>2]=0;f[s+24>>2]=0;f[s+28>>2]=0;f[r>>2]=109536;s=r+36|0;t=s;v=t+48|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(v|0));b[s+48>>0]=0;s=Bmc(16)|0;w=s+4|0;f[w>>2]=1;f[s>>2]=109644;f[s+8>>2]=r;f[w>>2]=(f[w>>2]|0)+1;x=f[a>>2]|0;f[a>>2]=s;f[i>>2]=r;if(x|0?(r=x+4|0,y=f[r>>2]|0,f[r>>2]=y+-1,(y|0)==1):0)ai[f[(f[x>>2]|0)+8>>2]&2047](x);x=f[w>>2]|0;f[w>>2]=x+-1;if((x|0)==1)ai[f[(f[s>>2]|0)+8>>2]&2047](s);f[g>>2]=-1;s=g+4|0;f[g+24>>2]=0;f[g+28>>2]=0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;f[g+20>>2]=g+24;f[g+76>>2]=0;f[g+80>>2]=0;s=g+76|0;x=g+72|0;t=g+32|0;v=t+40|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(v|0));f[x>>2]=s;f[g+88>>2]=0;f[g+92>>2]=0;f[g+84>>2]=g+88;f[g+192>>2]=0;f[g+196>>2]=0;s=g+192|0;x=g+188|0;t=g+96|0;v=t+92|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(v|0));f[x>>2]=s;b[g+200>>0]=0;f[g+204>>2]=0;f[e>>2]=0;s=e+4|0;CAa(s,g);f[d>>2]=f[e>>2];x=d+4|0;CAa(x,s);w=f[m>>2]|0;do if(w){y=f[d>>2]|0;r=k;z=w;while(1){A=f[z+16>>2]|0;if((y|0)<(A|0)){B=f[z>>2]|0;if(!B){C=11;break}else{D=z;E=B}}else{if((A|0)>=(y|0)){C=15;break}F=z+4|0;A=f[F>>2]|0;if(!A){C=14;break}else{D=F;E=A}}r=D;z=E}if((C|0)==11){G=z;H=z;break}else if((C|0)==14){G=F;H=z;break}else if((C|0)==15){G=r;H=z;break}}else{G=m;H=m}while(0);m=f[G>>2]|0;if(!m){F=Bmc(228)|0;f[F+16>>2]=f[d>>2];CAa(F+20|0,x);f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=H;f[G>>2]=F;H=f[f[j>>2]>>2]|0;if(!H)I=F;else{f[j>>2]=H;I=f[G>>2]|0}RS(f[k>>2]|0,I);f[l>>2]=(f[l>>2]|0)+1;J=F}else J=m;zAa(x);zAa(s);zAa(g);g=J+20|0;f[g>>2]=0;s=J+24|0;ZG(s);x=YG(s,6)|0;b[x>>0]=b[389610]|0;b[x+1>>0]=b[389611]|0;b[x+2>>0]=b[389612]|0;b[x+3>>0]=b[389613]|0;b[x+4>>0]=b[389614]|0;b[x+5>>0]=b[389615]|0;x=f[i>>2]|0;m=x+16|0;if((s|0)!=(m|0)){ZG(m);F=f[s>>2]|0;if(!F)K=0;else{l=F+-4|0;f[l>>2]=(f[l>>2]|0)+1;K=f[s>>2]|0}f[m>>2]=K;f[x+20>>2]=f[J+28>>2]}x=J+32|0;ZG(x);t=YG(x,17)|0;x=389617;v=t+17|0;do{b[t>>0]=b[x>>0]|0;t=t+1|0;x=x+1|0}while((t|0)<(v|0));x=J+164|0;t=f[a>>2]|0;v=f[i>>2]|0;if(t|0){i=t+4|0;f[i>>2]=(f[i>>2]|0)+1}i=f[x>>2]|0;f[x>>2]=t;f[J+168>>2]=v;if(i|0?(v=i+4|0,t=f[v>>2]|0,f[v>>2]=t+-1,(t|0)==1):0)ai[f[(f[i>>2]|0)+8>>2]&2047](i);i=f[s>>2]|0;f[h>>2]=i;s=h+4|0;t=f[J+28>>2]|0;f[s>>2]=t;if(i){J=i+-4|0;f[J>>2]=(f[J>>2]|0)+1;J=f[h>>2]|0;i=f[s>>2]|0;s=f[g>>2]|0;f[e>>2]=J;v=e+4|0;f[v>>2]=i;if(J){x=J+-4|0;f[x>>2]=(f[x>>2]|0)+1;x=f[e>>2]|0;J=f[v>>2]|0;v=e+8|0;f[v>>2]=s;f[d>>2]=x;K=d+4|0;f[K>>2]=J;if(!x){L=s;M=d;N=K}else{J=x+-4|0;f[J>>2]=(f[J>>2]|0)+1;L=f[v>>2]|0;M=d;N=K}}else{O=s;P=i;C=33}}else{i=f[g>>2]|0;f[e>>2]=0;f[e+4>>2]=t;O=i;P=t;C=33}if((C|0)==33){f[e+8>>2]=O;f[d>>2]=0;t=d+4|0;f[t>>2]=P;L=O;M=d;N=t}t=d+8|0;f[t>>2]=L;O=f[q>>2]|0;a:do if(!O){Q=q;R=q}else{P=f[d>>2]|0;i=(P|0)==0?1163146:P;g=f[O+16>>2]|0;b:do if((P|0)!=(g|0)){s=o;K=O;v=g;while(1){J=(v|0)==0?1163146:v;if((o7b(i,J)|0)<0){x=f[K>>2]|0;if(!x){C=41;break}else{S=K;T=x}}else{if((o7b(J,i)|0)>=0){U=s;V=K;break b}W=K+4|0;J=f[W>>2]|0;if(!J){C=44;break}else{S=W;T=J}}v=f[T+16>>2]|0;if((P|0)==(v|0)){U=S;V=T;break b}else{s=S;K=T}}if((C|0)==41){Q=K;R=K;break a}else if((C|0)==44){Q=W;R=K;break a}}else{U=o;V=O}while(0);Q=U;R=V}while(0);if(f[Q>>2]|0){ZG(d);ZG(e);ZG(h);X=a+112|0;f[X>>2]=0;Y=a+116|0;b[Y>>0]=0;Z=a+117|0;b[Z>>0]=1;_=a+80|0;f[_>>2]=0;$=a+84|0;f[$>>2]=0;aa=a+96|0;b[aa>>0]=0;u=c;return}V=Bmc(28)|0;U=f[M>>2]|0;f[V+16>>2]=U;f[V+20>>2]=f[N>>2];if(!U)ba=L;else{L=U+-4|0;f[L>>2]=(f[L>>2]|0)+1;ba=f[t>>2]|0}f[V+24>>2]=ba;f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=R;f[Q>>2]=V;R=f[f[n>>2]>>2]|0;if(!R)ca=V;else{f[n>>2]=R;ca=f[Q>>2]|0}RS(f[o>>2]|0,ca);f[p>>2]=(f[p>>2]|0)+1;ZG(d);ZG(e);ZG(h);X=a+112|0;f[X>>2]=0;Y=a+116|0;b[Y>>0]=0;Z=a+117|0;b[Z>>0]=1;_=a+80|0;f[_>>2]=0;$=a+84|0;f[$>>2]=0;aa=a+96|0;b[aa>>0]=0;u=c;return}function rAa(a){a=a|0;Emc(a);return}function sAa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0){tAa(b);Emc(b)}ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function tAa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+132|0;c=a+168|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+148|0;b=a+136|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+172>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+176>>2]|0;if((b|0)!=(a+180|0))tE(b);b=f[a+120>>2]|0;if(b|0){d=a+124|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);Emc(b)}uAa(a+100|0,f[a+104>>2]|0);ZG(a+88|0);vAa(a+68|0,f[a+72>>2]|0);wAa(a+56|0,f[a+60>>2]|0);xAa(a+44|0,f[a+48>>2]|0);fza(a+32|0,f[a+36>>2]|0);yAa(a+20|0,f[a+24>>2]|0);b=f[a+8>>2]|0;if(b|0){c=a+12|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-8-b|0)>>>3)<<3);Emc(b)}b=f[a>>2]|0;if(!b){f[a>>2]=0;g=a+4|0;f[g>>2]=0;return}d=b+4|0;c=f[d>>2]|0;f[d>>2]=c+-1;if((c|0)!=1){f[a>>2]=0;g=a+4|0;f[g>>2]=0;return}ai[f[(f[b>>2]|0)+8>>2]&2047](b);f[a>>2]=0;g=a+4|0;f[g>>2]=0;return}function uAa(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b)return;uAa(a,f[b>>2]|0);uAa(a,f[b+4>>2]|0);a=f[b+20>>2]|0;if(a|0?(c=a+4|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)ai[f[(f[a>>2]|0)+8>>2]&2047](a);Emc(b);return}function vAa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if(!b)return;vAa(a,f[b>>2]|0);vAa(a,f[b+4>>2]|0);a=b+24|0;c=b+60|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(a);f[c>>2]=0;c=b+40|0;a=b+28|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[a>>2]|0)>0){c=f[b+64>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[a>>2]|0))}a=f[b+68>>2]|0;if((a|0)!=(b+72|0))tE(a);Emc(b);return}function wAa(a,b){a=a|0;b=b|0;if(!b)return;else{wAa(a,f[b>>2]|0);wAa(a,f[b+4>>2]|0);Emc(b);return}}function xAa(a,b){a=a|0;b=b|0;if(!b)return;else{xAa(a,f[b>>2]|0);xAa(a,f[b+4>>2]|0);Emc(b);return}}function yAa(a,b){a=a|0;b=b|0;if(!b)return;yAa(a,f[b>>2]|0);yAa(a,f[b+4>>2]|0);zAa(b+20|0);Emc(b);return}function zAa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;AAa(a+188|0,f[a+192>>2]|0);rt(a+176|0);b=f[a+164>>2]|0;if(b|0){c=a+168|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}rt(a+152|0);b=a+144|0;d=f[b>>2]|0;if(d|0?(c=d+4|0,e=f[c>>2]|0,f[c>>2]=e+-1,(e|0)==1):0)ai[f[(f[d>>2]|0)+8>>2]&2047](d);f[b>>2]=0;f[a+148>>2]=0;b=a+132|0;d=f[b>>2]|0;if(d|0){e=a+136|0;c=f[e>>2]|0;if((c|0)==(d|0))g=d;else{h=c;do{c=h+-8|0;f[e>>2]=c;i=f[c>>2]|0;if(i|0?(j=i+4|0,k=f[j>>2]|0,f[j>>2]=k+-1,(k|0)==1):0)ai[f[(f[i>>2]|0)+8>>2]&2047](i);f[c>>2]=0;f[h+-4>>2]=0;h=f[e>>2]|0}while((h|0)!=(d|0));g=f[b>>2]|0}Emc(g)}g=a+120|0;b=f[g>>2]|0;if(b|0){d=a+124|0;h=f[d>>2]|0;if((h|0)==(b|0))l=b;else{e=h;do{h=e+-8|0;f[d>>2]=h;c=f[h>>2]|0;if(c|0?(i=c+4|0,k=f[i>>2]|0,f[i>>2]=k+-1,(k|0)==1):0)ai[f[(f[c>>2]|0)+8>>2]&2047](c);f[h>>2]=0;f[e+-4>>2]=0;e=f[d>>2]|0}while((e|0)!=(b|0));l=f[g>>2]|0}Emc(l)}l=a+108|0;g=f[l>>2]|0;if(g|0){b=a+112|0;e=f[b>>2]|0;if((e|0)==(g|0))m=g;else{d=e;do{e=d+-8|0;f[b>>2]=e;h=f[e>>2]|0;if(h|0?(c=h+4|0,k=f[c>>2]|0,f[c>>2]=k+-1,(k|0)==1):0)ai[f[(f[h>>2]|0)+8>>2]&2047](h);f[e>>2]=0;f[d+-4>>2]=0;d=f[b>>2]|0}while((d|0)!=(g|0));m=f[l>>2]|0}Emc(m)}m=f[a+96>>2]|0;if(m|0){l=a+100|0;g=f[l>>2]|0;if((g|0)!=(m|0))f[l>>2]=g+(~((g+-8-m|0)>>>3)<<3);Emc(m)}BAa(a+84|0,f[a+88>>2]|0);BAa(a+72|0,f[a+76>>2]|0);m=f[a+60>>2]|0;if(!m){n=a+20|0;qza(n);o=a+12|0;ZG(o);p=a+4|0;ZG(p);return}g=a+64|0;l=f[g>>2]|0;if((l|0)!=(m|0))f[g>>2]=l+(~((l+-8-m|0)>>>3)<<3);Emc(m);n=a+20|0;qza(n);o=a+12|0;ZG(o);p=a+4|0;ZG(p);return}function AAa(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b)return;AAa(a,f[b>>2]|0);AAa(a,f[b+4>>2]|0);a=f[b+20>>2]|0;if(a|0?(c=a+4|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)ai[f[(f[a>>2]|0)+8>>2]&2047](a);Emc(b);return}function BAa(a,b){a=a|0;b=b|0;if(!b)return;else{BAa(a,f[b>>2]|0);BAa(a,f[b+4>>2]|0);Emc(b);return}}function CAa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;c=u;u=u+16|0;d=c+12|0;e=c+8|0;g=c+4|0;h=c;f[a>>2]=f[b>>2];i=f[b+4>>2]|0;f[a+4>>2]=i;f[a+8>>2]=f[b+8>>2];if(i|0){j=i+-4|0;f[j>>2]=(f[j>>2]|0)+1}j=f[b+12>>2]|0;f[a+12>>2]=j;f[a+16>>2]=f[b+16>>2];if(j|0){i=j+-4|0;f[i>>2]=(f[i>>2]|0)+1}lza(a+20|0,b+20|0);mza(a+32|0,b+32|0);i=f[b+44>>2]|0;f[a+44>>2]=i;f[a+48>>2]=f[b+48>>2];if(i|0){j=i+-4|0;f[j>>2]=(f[j>>2]|0)+1}j=f[b+52>>2]|0;f[a+52>>2]=j;f[a+56>>2]=f[b+56>>2];if(j|0){i=j+-4|0;f[i>>2]=(f[i>>2]|0)+1}DAa(a+60|0,b+60|0);i=a+72|0;j=a+76|0;f[j>>2]=0;k=a+80|0;f[k>>2]=0;l=a+76|0;f[i>>2]=l;m=f[b+72>>2]|0;n=b+76|0;if((m|0)!=(n|0)){o=l;l=m;while(1){m=l+16|0;f[h>>2]=o;f[d>>2]=f[h>>2];p=EAa(i,d,e,g,m)|0;if(!(f[p>>2]|0)){q=Bmc(20)|0;f[q+16>>2]=f[m>>2];m=f[e>>2]|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=m;f[p>>2]=q;m=f[f[i>>2]>>2]|0;if(!m)r=q;else{f[i>>2]=m;r=f[p>>2]|0}RS(f[j>>2]|0,r);f[k>>2]=(f[k>>2]|0)+1}p=f[l+4>>2]|0;if(!p){m=l+8|0;q=f[m>>2]|0;if((f[q>>2]|0)==(l|0))s=q;else{q=m;do{m=f[q>>2]|0;q=m+8|0;t=f[q>>2]|0}while((f[t>>2]|0)!=(m|0));s=t}}else{q=p;while(1){t=f[q>>2]|0;if(!t)break;else q=t}s=q}if((s|0)==(n|0))break;else l=s}}s=a+84|0;l=a+88|0;f[l>>2]=0;n=a+92|0;f[n>>2]=0;k=a+88|0;f[s>>2]=k;r=f[b+84>>2]|0;j=b+88|0;if((r|0)!=(j|0)){i=k;k=r;while(1){r=k+16|0;f[h>>2]=i;f[d>>2]=f[h>>2];o=EAa(s,d,e,g,r)|0;if(!(f[o>>2]|0)){p=Bmc(20)|0;f[p+16>>2]=f[r>>2];r=f[e>>2]|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=r;f[o>>2]=p;r=f[f[s>>2]>>2]|0;if(!r)v=p;else{f[s>>2]=r;v=f[o>>2]|0}RS(f[l>>2]|0,v);f[n>>2]=(f[n>>2]|0)+1}o=f[k+4>>2]|0;if(!o){r=k+8|0;p=f[r>>2]|0;if((f[p>>2]|0)==(k|0))w=p;else{p=r;do{r=f[p>>2]|0;p=r+8|0;t=f[p>>2]|0}while((f[t>>2]|0)!=(r|0));w=t}}else{p=o;while(1){q=f[p>>2]|0;if(!q)break;else p=q}w=p}if((w|0)==(j|0))break;else k=w}}DAa(a+96|0,b+96|0);FAa(a+108|0,b+108|0);FAa(a+120|0,b+120|0);FAa(a+132|0,b+132|0);w=f[b+144>>2]|0;f[a+144>>2]=w;f[a+148>>2]=f[b+148>>2];if(w|0){k=w+4|0;f[k>>2]=(f[k>>2]|0)+1}mza(a+152|0,b+152|0);GAa(a+164|0,b+164|0);mza(a+176|0,b+176|0);k=a+188|0;w=a+192|0;f[w>>2]=0;j=a+196|0;f[j>>2]=0;n=a+192|0;f[k>>2]=n;v=f[b+188>>2]|0;l=b+192|0;if((v|0)==(l|0)){x=a+200|0;y=b+200|0;z=y;A=z;B=f[A>>2]|0;C=z+4|0;D=C;E=f[D>>2]|0;F=x;G=F;f[G>>2]=B;H=F+4|0;I=H;f[I>>2]=E;u=c;return}s=n;n=v;while(1){v=n+16|0;f[h>>2]=s;f[d>>2]=f[h>>2];i=HAa(k,d,e,g,v)|0;if(!(f[i>>2]|0)){o=Bmc(28)|0;f[o+16>>2]=f[v>>2];v=f[n+20>>2]|0;f[o+20>>2]=v;f[o+24>>2]=f[n+24>>2];if(v|0){q=v+4|0;f[q>>2]=(f[q>>2]|0)+1}q=f[e>>2]|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=q;f[i>>2]=o;q=f[f[k>>2]>>2]|0;if(!q)J=o;else{f[k>>2]=q;J=f[i>>2]|0}RS(f[w>>2]|0,J);f[j>>2]=(f[j>>2]|0)+1}i=f[n+4>>2]|0;if(!i){q=n+8|0;o=f[q>>2]|0;if((f[o>>2]|0)==(n|0))K=o;else{o=q;do{q=f[o>>2]|0;o=q+8|0;v=f[o>>2]|0}while((f[v>>2]|0)!=(q|0));K=v}}else{o=i;while(1){p=f[o>>2]|0;if(!p)break;else o=p}K=o}if((K|0)==(l|0))break;else n=K}x=a+200|0;y=b+200|0;z=y;A=z;B=f[A>>2]|0;C=z+4|0;D=C;E=f[D>>2]|0;F=x;G=F;f[G>>2]=B;H=F+4|0;I=H;f[I>>2]=E;u=c;return}function DAa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;f[a>>2]=0;c=a+4|0;f[c>>2]=0;f[a+8>>2]=0;d=b+4|0;e=(f[d>>2]|0)-(f[b>>2]|0)|0;g=e>>3;if(!g)return;if(g>>>0>536870911)Ukc(a);h=Bmc(e)|0;f[c>>2]=h;f[a>>2]=h;f[a+8>>2]=h+(g<<3);g=f[b>>2]|0;b=(f[d>>2]|0)-g|0;if((b|0)<=0)return;Krc(h|0,g|0,b|0)|0;f[c>>2]=h+(b>>>3<<3);return}function EAa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;g=a+4|0;h=f[b>>2]|0;b=h;if((h|0)!=(g|0)?(i=f[e>>2]|0,j=f[h+16>>2]|0,(i|0)>=(j|0)):0){if((j|0)>=(i|0)){f[c>>2]=b;f[d>>2]=b;k=d;return k|0}d=h+4|0;j=f[d>>2]|0;if(!j){l=h+8|0;m=f[l>>2]|0;if((f[m>>2]|0)==(h|0))n=m;else{m=l;do{l=f[m>>2]|0;m=l+8|0;o=f[m>>2]|0}while((f[o>>2]|0)!=(l|0));n=o}}else{m=j;while(1){j=f[m>>2]|0;if(!j)break;else m=j}n=m}if((n|0)!=(g|0)?(i|0)>=(f[n+16>>2]|0):0){m=f[g>>2]|0;if(!m){f[c>>2]=g;k=g;return k|0}j=a+4|0;o=m;while(1){m=f[o+16>>2]|0;if((i|0)<(m|0)){l=f[o>>2]|0;if(!l){p=39;break}else{q=o;r=l}}else{if((m|0)>=(i|0)){p=43;break}s=o+4|0;m=f[s>>2]|0;if(!m){p=42;break}else{q=s;r=m}}j=q;o=r}if((p|0)==39){f[c>>2]=o;k=o;return k|0}else if((p|0)==42){f[c>>2]=o;k=s;return k|0}else if((p|0)==43){f[c>>2]=o;k=j;return k|0}}if(!(f[h+4>>2]|0)){f[c>>2]=b;k=d;return k|0}else{f[c>>2]=n;k=n;return k|0}}n=f[h>>2]|0;if((h|0)!=(f[a>>2]|0)){if(!n){d=h;while(1){j=f[d+8>>2]|0;if((f[j>>2]|0)==(d|0))d=j;else{t=j;break}}}else{d=n;while(1){j=f[d+4>>2]|0;if(!j){t=d;break}else d=j}}d=f[e>>2]|0;if((f[t+16>>2]|0)>=(d|0)){e=f[g>>2]|0;if(!e){f[c>>2]=g;k=g;return k|0}g=a+4|0;a=e;while(1){e=f[a+16>>2]|0;if((d|0)<(e|0)){j=f[a>>2]|0;if(!j){p=17;break}else{u=a;v=j}}else{if((e|0)>=(d|0)){p=21;break}w=a+4|0;e=f[w>>2]|0;if(!e){p=20;break}else{u=w;v=e}}g=u;a=v}if((p|0)==17){f[c>>2]=a;k=a;return k|0}else if((p|0)==20){f[c>>2]=a;k=w;return k|0}else if((p|0)==21){f[c>>2]=a;k=g;return k|0}}else x=t}else x=b;if(!n){f[c>>2]=h;k=h;return k|0}else{h=x;f[c>>2]=h;k=h+4|0;return k|0}return 0}function FAa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;f[a>>2]=0;c=a+4|0;f[c>>2]=0;f[a+8>>2]=0;d=b+4|0;e=(f[d>>2]|0)-(f[b>>2]|0)|0;g=e>>3;if(!g)return;if(g>>>0>536870911)Ukc(a);h=Bmc(e)|0;f[c>>2]=h;f[a>>2]=h;f[a+8>>2]=h+(g<<3);g=f[b>>2]|0;b=f[d>>2]|0;if((g|0)==(b|0))return;d=g;g=h;do{h=f[d>>2]|0;f[g>>2]=h;f[g+4>>2]=f[d+4>>2];if(h|0){a=h+4|0;f[a>>2]=(f[a>>2]|0)+1}d=d+8|0;g=(f[c>>2]|0)+8|0;f[c>>2]=g}while((d|0)!=(b|0));return}function GAa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;f[a>>2]=0;c=a+4|0;f[c>>2]=0;f[a+8>>2]=0;d=b+4|0;e=(f[d>>2]|0)-(f[b>>2]|0)|0;g=e>>2;if(!g)return;if(g>>>0>1073741823)Ukc(a);h=Bmc(e)|0;f[c>>2]=h;f[a>>2]=h;f[a+8>>2]=h+(g<<2);g=f[b>>2]|0;b=(f[d>>2]|0)-g|0;if((b|0)<=0)return;Krc(h|0,g|0,b|0)|0;f[c>>2]=h+(b>>>2<<2);return}function HAa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;g=a+4|0;h=f[b>>2]|0;b=h;if((h|0)!=(g|0)?(i=f[e>>2]|0,j=f[h+16>>2]|0,(i|0)>=(j|0)):0){if((j|0)>=(i|0)){f[c>>2]=b;f[d>>2]=b;k=d;return k|0}d=h+4|0;j=f[d>>2]|0;if(!j){l=h+8|0;m=f[l>>2]|0;if((f[m>>2]|0)==(h|0))n=m;else{m=l;do{l=f[m>>2]|0;m=l+8|0;o=f[m>>2]|0}while((f[o>>2]|0)!=(l|0));n=o}}else{m=j;while(1){j=f[m>>2]|0;if(!j)break;else m=j}n=m}if((n|0)!=(g|0)?(i|0)>=(f[n+16>>2]|0):0){m=f[g>>2]|0;if(!m){f[c>>2]=g;k=g;return k|0}j=a+4|0;o=m;while(1){m=f[o+16>>2]|0;if((i|0)<(m|0)){l=f[o>>2]|0;if(!l){p=39;break}else{q=o;r=l}}else{if((m|0)>=(i|0)){p=43;break}s=o+4|0;m=f[s>>2]|0;if(!m){p=42;break}else{q=s;r=m}}j=q;o=r}if((p|0)==39){f[c>>2]=o;k=o;return k|0}else if((p|0)==42){f[c>>2]=o;k=s;return k|0}else if((p|0)==43){f[c>>2]=o;k=j;return k|0}}if(!(f[h+4>>2]|0)){f[c>>2]=b;k=d;return k|0}else{f[c>>2]=n;k=n;return k|0}}n=f[h>>2]|0;if((h|0)!=(f[a>>2]|0)){if(!n){d=h;while(1){j=f[d+8>>2]|0;if((f[j>>2]|0)==(d|0))d=j;else{t=j;break}}}else{d=n;while(1){j=f[d+4>>2]|0;if(!j){t=d;break}else d=j}}d=f[e>>2]|0;if((f[t+16>>2]|0)>=(d|0)){e=f[g>>2]|0;if(!e){f[c>>2]=g;k=g;return k|0}g=a+4|0;a=e;while(1){e=f[a+16>>2]|0;if((d|0)<(e|0)){j=f[a>>2]|0;if(!j){p=17;break}else{u=a;v=j}}else{if((e|0)>=(d|0)){p=21;break}w=a+4|0;e=f[w>>2]|0;if(!e){p=20;break}else{u=w;v=e}}g=u;a=v}if((p|0)==17){f[c>>2]=a;k=a;return k|0}else if((p|0)==20){f[c>>2]=a;k=w;return k|0}else if((p|0)==21){f[c>>2]=a;k=g;return k|0}}else x=t}else x=b;if(!n){f[c>>2]=h;k=h;return k|0}else{h=x;f[c>>2]=h;k=h+4|0;return k|0}return 0}function IAa(a){a=a|0;Emc(a);return}function JAa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function KAa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;f[a>>2]=109536;rt(a+72|0);b=f[a+60>>2]|0;if(b|0){c=a+64|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-32-b|0)>>>5)<<5);Emc(b)}b=f[a+48>>2]|0;if(b|0){d=a+52|0;c=f[d>>2]|0;if((c|0)!=(b|0))f[d>>2]=c+(~((c+-8-b|0)>>>3)<<3);Emc(b)}b=a+36|0;c=f[b>>2]|0;if(!c){Nza(a);return}d=a+40|0;while(1){e=f[d>>2]|0;if((e|0)==(c|0))break;g=e+-8|0;f[d>>2]=g;ZG(g)}Emc(f[b>>2]|0);Nza(a);return}function LAa(a){a=a|0;KAa(a);Emc(a);return}function MAa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0;c=u;u=u+32|0;e=c+8|0;g=c;f[e>>2]=0;h=e+4|0;f[h>>2]=0;f[e+8>>2]=0;rD(d,e);d=f[e>>2]|0;i=(f[h>>2]|0)-d|0;h=(i|0)/56|0;j=f[a+48>>2]|0;k=d;d=j;if((h|0)!=((f[a+52>>2]|0)-j>>3|0)){f[g>>2]=0;f[g+4>>2]=0;l=YG(g,37)|0;m=389956;n=l+37|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,g,476100,387968,581)}j=f[a+60>>2]|0;o=j;if((h|0)!=((f[a+64>>2]|0)-j>>5|0)){f[g>>2]=0;f[g+4>>2]=0;l=YG(g,30)|0;m=389994;n=l+30|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,g,476100,387968,581)}j=f[a+72>>2]|0;q=j;if((((f[a+76>>2]|0)-j|0)/56|0|0)!=(h|0)){f[g>>2]=0;f[g+4>>2]=0;l=YG(g,35)|0;m=390025;n=l+35|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));SQ(-215,g,476100,387968,581)}g=a+84|0;b[g>>0]=1;if(!i){rt(e);u=c;return}else r=0;while(1){if((f[q+(r*56|0)+16>>2]|0)!=(f[k+(r*56|0)+16>>2]|0))break;if(+p[d+(r<<3)>>3]!=1.0)break;if(+p[o+(r<<5)>>3]!=0.0)break;if(+p[o+(r<<5)+8>>3]!=0.0)break;if(+p[o+(r<<5)+16>>3]!=0.0)break;if(+p[o+(r<<5)+24>>3]!=0.0)break;r=r+1|0;if(r>>>0>=h>>>0){s=9;break}}if((s|0)==9){rt(e);u=c;return}b[g>>0]=0;rt(e);u=c;return}function NAa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0,M=0,N=0.0,O=0,P=0,Q=0,R=0,S=0,T=0.0,U=0.0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0;g=u;u=u+160|0;h=g+152|0;i=g+140|0;j=g+128|0;k=g+72|0;l=g+16|0;m=g;zT(h,109656);if((BD(d,-1)|0)==3)gAa(a,c,d,e);else{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;rD(d,i);rD(e,j);e=a+72|0;d=a+76|0;c=f[e>>2]|0;a:do if((f[d>>2]|0)!=(c|0)){n=a+48|0;o=a+60|0;q=k+8|0;r=k+4|0;s=m+8|0;t=m+4|0;v=l+36|0;w=l+16|0;x=l+4|0;y=l+40|0;z=l+44|0;A=l+48|0;B=k+36|0;C=k+16|0;D=k+4|0;E=k+40|0;F=k+44|0;G=k+48|0;H=0;I=c;while(1){J=I;K=+p[(f[n>>2]|0)+(H<<3)>>3];L=f[o>>2]|0;M=L+(H<<5)|0;N=+p[M>>3];if(!(((N==0.0?+p[L+(H<<5)+8>>3]==0.0:0)?+p[L+(H<<5)+16>>3]==0.0:0)?+p[L+(H<<5)+24>>3]==0.0:0))O=12;if((O|0)==12?(O=0,(f[(f[J+(H*56|0)+40>>2]|0)+4>>2]|0)>=5):0){O=13;break}P=f[i>>2]|0;Q=f[P+(H*56|0)>>2]&4095;if((Q|0)!=5){O=18;break}if((f[(f[J+(H*56|0)+40>>2]|0)+4>>2]|0)>1){R=f[(f[J+(H*56|0)+40>>2]|0)+4>>2]|0;if((R|0)<4){S=1;T=N;do{U=T;T=+p[L+(H<<5)+(S<<3)>>3];V=T==U;S=S+1|0}while(V&(S|0)<(R|0));W=V}else{R=1;T=N;do{U=T;T=+p[L+(H<<5)+(R<<3)>>3];S=T==U;R=R+1|0}while(S&(R|0)<4);W=S}if(!W)if((f[f[J+(H*56|0)+40>>2]>>2]|0)>0){R=0;S=f[J+(H*56|0)+40>>2]|0;V=J;X=I;while(1){if((f[S+4>>2]|0)>0){Y=0;Z=V;do{oAa(k,Z+(H*56|0)|0,R,Y);oAa(l,(f[i>>2]|0)+(H*56|0)|0,R,Y);_=s;f[_>>2]=0;f[_+4>>2]=0;f[m>>2]=33619968;f[t>>2]=l;IO(k,m,5,K,-(K*+p[L+(H<<5)+(Y<<3)>>3]));_=f[v>>2]|0;if(_|0?($=_+12|0,_=f[$>>2]|0,f[$>>2]=_+-1,(_|0)==1):0)lP(l);f[v>>2]=0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[x>>2]|0)>0){_=f[y>>2]|0;$=0;do{f[_+($<<2)>>2]=0;$=$+1|0}while(($|0)<(f[x>>2]|0))}$=f[z>>2]|0;if(($|0)!=(A|0))tE($);$=f[B>>2]|0;do if($|0){_=$+12|0;aa=f[_>>2]|0;f[_>>2]=aa+-1;if((aa|0)!=1)break;lP(k)}while(0);f[B>>2]=0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[D>>2]|0)>0){$=f[E>>2]|0;aa=0;do{f[$+(aa<<2)>>2]=0;aa=aa+1|0}while((aa|0)<(f[D>>2]|0))}aa=f[F>>2]|0;if((aa|0)!=(G|0))tE(aa);Y=Y+1|0;Z=f[e>>2]|0;ba=f[Z+(H*56|0)+40>>2]|0}while((Y|0)<(f[ba+4>>2]|0));ca=ba;da=Z;ea=Z}else{ca=f[V+(H*56|0)+40>>2]|0;da=X;ea=V}R=R+1|0;if((R|0)>=(f[ca>>2]|0)){fa=da;break}else{S=ca;V=ea;X=da}}}else fa=I;else O=23}else O=23;if((O|0)==23){O=0;X=q;f[X>>2]=0;f[X+4>>2]=0;f[k>>2]=33619968;f[r>>2]=P+(H*56|0);IO(J+(H*56|0)|0,k,5,K,-(K*+p[M>>3]));fa=f[e>>2]|0}H=H+1|0;if(H>>>0>=(((f[d>>2]|0)-fa|0)/56|0)>>>0)break a;else I=fa}if((O|0)==13){f[k>>2]=0;f[k+4>>2]=0;I=YG(k,46)|0;H=389764;r=I+46|0;do{b[I>>0]=b[H>>0]|0;I=I+1|0;H=H+1|0}while((I|0)<(r|0));SQ(-215,k,475494,387968,459)}else if((O|0)==18)BY(Q,5,109688)}while(0);rt(j);rt(i)}if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function OAa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=f[a+36>>2]|0;d=f[a+40>>2]|0;a=c;e=d;a:do if((c|0)==(d|0))g=c;else{h=f[b>>2]|0;i=(h|0)==0?1163146:h;j=c;while(1){k=f[j>>2]|0;if((k|0)==(h|0)){g=j;break a}if(!(o7b((k|0)==0?1163146:k,i)|0)){g=j;break a}j=j+8|0;if((j|0)==(d|0)){g=d;break}}}while(0);d=g-a>>3;return ((d|0)<(e-a>>3|0)?d:-1)|0}function PAa(a,b){a=a|0;b=b|0;var c=0;switch(b|0){case 3:{c=1;break}case 2:{c=((f[a+76>>2]|0)-(f[a+72>>2]|0)|0)==56;break}default:c=0}return c|0}function QAa(a,b,c){a=a|0;b=b|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;return}function RAa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;g=u;u=u+32|0;a=g+16|0;h=g+8|0;i=g+4|0;j=g;k=f[c+4>>2]|0;l=f[c>>2]|0;if(((k-l|0)/12|0|0)==(d|0)){f[i>>2]=l;f[j>>2]=k;f[h>>2]=f[i>>2];f[a>>2]=f[j>>2];SAa(e,h,a);u=g;return 0}else{f[a>>2]=0;f[a+4>>2]=0;g=YG(a,32)|0;h=389731;e=g+32|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(e|0));SQ(-215,a,475265,387968,570)}return 0}function SAa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=f[b>>2]|0;e=f[c>>2]|0;g=(e-d|0)/12|0;h=a+8|0;i=f[h>>2]|0;j=f[a>>2]|0;k=d;d=j;l=e;if(g>>>0>((i-j|0)/12|0)>>>0){if(!j)m=i;else{i=a+4|0;n=f[i>>2]|0;if((n|0)==(d|0))o=j;else{p=n;while(1){n=p+-12|0;f[i>>2]=n;q=f[n>>2]|0;if(!q)r=n;else{n=p+-8|0;s=f[n>>2]|0;if((s|0)!=(q|0))f[n>>2]=s+(~((s+-4-q|0)>>>2)<<2);Emc(q);r=f[i>>2]|0}if((r|0)==(d|0))break;else p=r}o=f[a>>2]|0}Emc(o);f[h>>2]=0;f[i>>2]=0;f[a>>2]=0;m=0}if(g>>>0>357913941)Ukc(a);i=(m|0)/12|0;m=i<<1;o=i>>>0<178956970?(m>>>0<g>>>0?g:m):357913941;if(o>>>0>357913941)Ukc(a);m=Bmc(o*12|0)|0;i=a+4|0;f[i>>2]=m;f[a>>2]=m;f[h>>2]=m+(o*12|0);o=f[b>>2]|0;b=f[c>>2]|0;if((o|0)==(b|0))return;c=m;m=o;do{fAa(c,m);m=m+12|0;c=(f[i>>2]|0)+12|0;f[i>>2]=c}while((m|0)!=(b|0));return}else{b=a+4|0;a=((f[b>>2]|0)-j|0)/12|0;j=g>>>0>a>>>0;g=j?k+(a*12|0)|0:e;if((k|0)==(g|0))t=d;else{e=d;d=k;while(1){if((e|0)!=(d|0))c2(e,f[d>>2]|0,f[d+4>>2]|0);d=d+12|0;k=e+12|0;if((d|0)==(g|0)){t=k;break}else e=k}}if(j){if((g|0)==(l|0))return;j=f[b>>2]|0;e=g;do{fAa(j,e);e=e+12|0;j=(f[b>>2]|0)+12|0;f[b>>2]=j}while((e|0)!=(l|0));return}l=f[b>>2]|0;if((l|0)==(t|0))return;else u=l;while(1){l=u+-12|0;f[b>>2]=l;e=f[l>>2]|0;if(!e)v=l;else{l=u+-8|0;j=f[l>>2]|0;if((j|0)!=(e|0))f[l>>2]=j+(~((j+-4-e|0)>>>2)<<2);Emc(e);v=f[b>>2]|0}if((v|0)==(t|0))break;else u=v}return}}function TAa(a){a=a|0;var b=0,c=0,d=0;b=f[a>>2]|0;if(b|0?(c=b+4|0,d=f[c>>2]|0,f[c>>2]=d+-1,(d|0)==1):0)ai[f[(f[b>>2]|0)+8>>2]&2047](b);f[a>>2]=0;f[a+4>>2]=0;return}function UAa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;g=u;u=u+656|0;h=g+640|0;i=g+428|0;j=g+216|0;k=g+208|0;l=g;zT(h,109716);m=a+4|0;a=f[m>>2]|0;n=a+36|0;o=f[n>>2]|0;do if(o){p=f[c>>2]|0;q=(p|0)==0?1163146:p;r=p;s=n;t=o;a:while(1){v=t;while(1){w=f[v+16>>2]|0;if((w|0)==(p|0))break;if((o7b((w|0)==0?1163146:w,q)|0)>=0)break;w=f[v+4>>2]|0;if(!w){x=s;break a}else v=w}t=f[v>>2]|0;if(!t){x=v;break}else s=v}if((x|0)!=(n|0)){s=f[x+16>>2]|0;if((p|0)!=(s|0)?(o7b(q,(s|0)==0?1163146:s)|0)<=-1:0){y=r;break}if((f[x+24>>2]|0)>-1){f[j>>2]=0;s=j+4|0;f[s>>2]=0;t=c+4|0;YG(j,(f[t>>2]|0)+7|0)|0;w=f[j>>2]|0;b[w>>0]=b[390105]|0;b[w+1>>0]=b[390106]|0;b[w+2>>0]=b[390107]|0;b[w+3>>0]=b[390108]|0;b[w+4>>0]=b[390109]|0;b[w+5>>0]=b[390110]|0;b[w+6>>0]=b[390111]|0;w=f[t>>2]|0;if(w|0)Krc((f[j>>2]|0)+7|0,f[c>>2]|0,w|0)|0;f[i>>2]=0;f[i+4>>2]=0;YG(i,(f[s>>2]|0)+18|0)|0;w=f[s>>2]|0;if(!w){z=0;A=f[i>>2]|0;B=A+z|0;C=B;D=390113;E=C+18|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-5,i,390132,387968,2437)}Krc(f[i>>2]|0,f[j>>2]|0,w|0)|0;z=f[s>>2]|0;A=f[i>>2]|0;B=A+z|0;C=B;D=390113;E=C+18|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(E|0));SQ(-5,i,390132,387968,2437)}else y=r}else y=r}else y=f[c>>2]|0;while(0);D=a+112|0;C=(f[D>>2]|0)+1|0;f[D>>2]=C;D=a+32|0;f[k>>2]=y;E=k+4|0;B=f[c+4>>2]|0;f[E>>2]=B;if(y){z=y+-4|0;f[z>>2]=(f[z>>2]|0)+1;z=f[k>>2]|0;y=f[E>>2]|0;f[j>>2]=z;E=j+4|0;f[E>>2]=y;if(z){A=z+-4|0;f[A>>2]=(f[A>>2]|0)+1;A=f[j>>2]|0;z=f[E>>2]|0;E=j+8|0;f[E>>2]=C;f[i>>2]=A;x=i+4|0;f[x>>2]=z;if(!A){F=x;G=C;H=i}else{z=A+-4|0;f[z>>2]=(f[z>>2]|0)+1;F=x;G=f[E>>2]|0;H=i}}else{I=y;J=21}}else{f[j>>2]=0;f[j+4>>2]=B;I=B;J=21}if((J|0)==21){f[j+8>>2]=C;f[i>>2]=0;B=i+4|0;f[B>>2]=I;F=B;G=C;H=i}B=i+8|0;f[B>>2]=G;I=f[n>>2]|0;b:do if(!I){K=n;L=n}else{y=a+36|0;E=f[i>>2]|0;x=(E|0)==0?1163146:E;z=f[I+16>>2]|0;c:do if((E|0)!=(z|0)){A=y;o=I;s=z;while(1){w=(s|0)==0?1163146:s;if((o7b(x,w)|0)<0){q=f[o>>2]|0;if(!q){J=29;break}else{M=o;N=q}}else{if((o7b(w,x)|0)>=0){O=A;P=o;break c}Q=o+4|0;w=f[Q>>2]|0;if(!w){J=32;break}else{M=Q;N=w}}s=f[N+16>>2]|0;if((E|0)==(s|0)){O=M;P=N;break c}else{A=M;o=N}}if((J|0)==29){K=o;L=o;break b}else if((J|0)==32){K=Q;L=o;break b}}else{O=y;P=I}while(0);K=O;L=P}while(0);if(!(f[K>>2]|0)){P=Bmc(28)|0;O=f[H>>2]|0;f[P+16>>2]=O;f[P+20>>2]=f[F>>2];if(!O)R=G;else{G=O+-4|0;f[G>>2]=(f[G>>2]|0)+1;R=f[B>>2]|0}f[P+24>>2]=R;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=L;f[K>>2]=P;L=f[f[D>>2]>>2]|0;if(!L)S=P;else{f[D>>2]=L;S=f[K>>2]|0}RS(f[a+36>>2]|0,S);S=a+40|0;f[S>>2]=(f[S>>2]|0)+1}ZG(i);ZG(j);ZG(k);k=f[m>>2]|0;m=k+20|0;VAa(l,C,c,d,e);f[j>>2]=C;e=j+4|0;CAa(e,l);f[i>>2]=f[j>>2];j=i+4|0;CAa(j,e);d=k+24|0;c=f[d>>2]|0;do if(c){S=f[i>>2]|0;a=k+24|0;K=c;while(1){L=f[K+16>>2]|0;if((S|0)<(L|0)){D=f[K>>2]|0;if(!D){J=46;break}else{T=K;U=D}}else{if((L|0)>=(S|0)){J=50;break}V=K+4|0;L=f[V>>2]|0;if(!L){J=49;break}else{T=V;U=L}}a=T;K=U}if((J|0)==46){W=K;X=K;break}else if((J|0)==49){W=V;X=K;break}else if((J|0)==50){W=a;X=K;break}}else{W=d;X=d}while(0);if(!(f[W>>2]|0)){d=Bmc(228)|0;f[d+16>>2]=f[i>>2];CAa(d+20|0,j);f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=X;f[W>>2]=d;X=f[f[m>>2]>>2]|0;if(!X)Y=d;else{f[m>>2]=X;Y=f[W>>2]|0}RS(f[k+24>>2]|0,Y);Y=k+28|0;f[Y>>2]=(f[Y>>2]|0)+1}zAa(j);zAa(e);zAa(l);if(!(f[h+4>>2]|0)){u=g;return C|0}u=g;return C|0}function VAa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=u;u=u+16|0;i=h;f[a>>2]=c;c=a+4|0;j=f[d>>2]|0;f[c>>2]=j;k=a+8|0;f[k>>2]=f[d+4>>2];if(j|0){d=j+-4|0;f[d>>2]=(f[d>>2]|0)+1}d=a+12|0;j=f[e>>2]|0;f[d>>2]=j;l=a+16|0;f[l>>2]=f[e+4>>2];if(j|0){e=j+-4|0;f[e>>2]=(f[e>>2]|0)+1}lza(a+20|0,g);mza(a+32|0,g+12|0);e=a+44|0;j=f[g+24>>2]|0;f[e>>2]=j;m=a+48|0;f[m>>2]=f[g+28>>2];if(j|0){n=j+-4|0;f[n>>2]=(f[n>>2]|0)+1}n=a+52|0;j=f[g+32>>2]|0;f[n>>2]=j;o=a+56|0;f[o>>2]=f[g+36>>2];if(j|0){g=j+-4|0;f[g>>2]=(f[g>>2]|0)+1}f[a+60>>2]=0;f[a+64>>2]=0;f[a+68>>2]=0;f[a+76>>2]=0;f[a+80>>2]=0;f[a+72>>2]=a+76;f[a+88>>2]=0;f[a+92>>2]=0;f[a+84>>2]=a+88;g=a+188|0;f[a+192>>2]=0;f[a+196>>2]=0;j=a+192|0;p=a+96|0;q=p+92|0;do{f[p>>2]=0;p=p+4|0}while((p|0)<(q|0));f[g>>2]=j;b[a+200>>0]=0;f[a+204>>2]=0;zT(i,109736);ZG(e);a=f[c>>2]|0;if(!a)r=0;else{j=a+-4|0;f[j>>2]=(f[j>>2]|0)+1;r=f[c>>2]|0}f[e>>2]=r;f[m>>2]=f[k>>2];ZG(n);k=f[d>>2]|0;if(!k)s=0;else{m=k+-4|0;f[m>>2]=(f[m>>2]|0)+1;s=f[d>>2]|0}f[n>>2]=s;f[o>>2]=f[l>>2];if(!(f[i+4>>2]|0)){u=h;return}u=h;return}function WAa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;h=u;u=u+32|0;i=h+16|0;j=h+8|0;k=h;l=h+24|0;if((c|0)>=(e|0)){f[i>>2]=0;f[i+4>>2]=0;m=YG(i,22)|0;n=390427;o=m+22|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,i,398490,387968,1224)}n=a+24|0;a=f[n>>2]|0;if(!a){f[k>>2]=c;aR(i,390450,k);SQ(-204,i,390487,387968,1149)}else{p=n;q=a}a:while(1){m=q;while(1){if((f[m+16>>2]|0)>=(c|0))break;o=f[m+4>>2]|0;if(!o){r=p;break a}else m=o}q=f[m>>2]|0;if(!q){r=m;break}else p=m}if((r|0)==(n|0)){f[k>>2]=c;aR(i,390450,k);SQ(-204,i,390487,387968,1149)}if((f[r+16>>2]|0)>(c|0)){f[k>>2]=c;aR(i,390450,k);SQ(-204,i,390487,387968,1149)}else{s=n;t=a}b:while(1){a=t;while(1){if((f[a+16>>2]|0)>=(e|0))break;k=f[a+4>>2]|0;if(!k){v=s;break b}else a=k}t=f[a>>2]|0;if(!t){v=a;break}else s=a}if((v|0)==(n|0)){f[j>>2]=e;aR(i,390450,j);SQ(-204,i,390487,387968,1149)}if((f[v+16>>2]|0)>(e|0)){f[j>>2]=e;aR(i,390450,j);SQ(-204,i,390487,387968,1149)}f[l>>2]=c;f[l+4>>2]=d;f[i>>2]=f[l>>2];f[i+4>>2]=f[l+4>>2];XAa(v+20|0,g,i);g=r+104|0;v=r+108|0;l=f[v>>2]|0;do if(l){c=r+108|0;j=l;while(1){n=f[j+16>>2]|0;if((n|0)>(d|0)){s=f[j>>2]|0;if(!s){w=23;break}else{x=j;y=s}}else{if((n|0)>=(d|0)){w=27;break}z=j+4|0;n=f[z>>2]|0;if(!n){w=26;break}else{x=z;y=n}}c=x;j=y}if((w|0)==23){A=j;B=j;break}else if((w|0)==26){A=z;B=j;break}else if((w|0)==27){A=c;B=j;break}}else{A=v;B=v}while(0);if(!(f[A>>2]|0)){v=Bmc(20)|0;f[v+16>>2]=d;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=B;f[A>>2]=v;B=f[f[g>>2]>>2]|0;if(!B)C=v;else{f[g>>2]=B;C=f[A>>2]|0}RS(f[r+108>>2]|0,C);C=r+112|0;f[C>>2]=(f[C>>2]|0)+1}f[i>>2]=e;f[i+4>>2]=d;d=r+120|0;e=f[d>>2]|0;if((e|0)==(f[r+124>>2]|0)){YAa(r+116|0,i);u=h;return}else{r=i;i=f[r+4>>2]|0;C=e;f[C>>2]=f[r>>2];f[C+4>>2]=i;f[d>>2]=(f[d>>2]|0)+8;u=h;return}}function XAa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=u;u=u+16|0;e=d;g=d+8|0;h=a+60|0;i=a+64|0;j=f[i>>2]|0;k=f[h>>2]|0;l=j-k>>3;m=k;do if((l|0)>(b|0)){k=m+(b<<3)|0;n=f[k>>2]|0;o=f[k+4>>2]|0;if((o|n|0)<0)p=m;else{if((n|0)==(f[c>>2]|0)?(o|0)==(f[c+4>>2]|0):0){p=m;break}o=f[a+4>>2]|0;f[e>>2]=b;f[e+4>>2]=(o|0)==0?1163146:o;aR(g,390500,e);SQ(-2,g,390546,387968,1184)}}else{o=b+1|0;n=j;if(o>>>0>l>>>0){ZAa(h,o-l|0);p=f[h>>2]|0;break}if(o>>>0<l>>>0?(k=m+(o<<3)|0,(n|0)!=(k|0)):0){f[i>>2]=n+(~((n+-8-k|0)>>>3)<<3);p=m}else p=m}while(0);m=c;c=f[m+4>>2]|0;i=p+(b<<3)|0;f[i>>2]=f[m>>2];f[i+4>>2]=c;u=d;return}function YAa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>3;h=g+1|0;if(h>>>0>536870911)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>2;l=j>>3>>>0<268435455?(k>>>0<h>>>0?h:k):536870911;do if(l)if(l>>>0>536870911){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<3)|0;break}else m=0;while(0);k=m+(g<<3)|0;h=b;b=f[h+4>>2]|0;j=k;f[j>>2]=f[h>>2];f[j+4>>2]=b;b=k+(0-g<<3)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+8;f[i>>2]=m+(l<<3);if(!d)return;Emc(d);return}function ZAa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>3>>>0>=b>>>0){Drc(g|0,-1,b<<3|0)|0;f[e>>2]=g+(b<<3);return}h=f[a>>2]|0;i=g-h|0;g=i>>3;j=g+b|0;if(j>>>0>536870911)Ukc(a);k=d-h|0;d=k>>2;l=k>>3>>>0<268435455?(d>>>0<j>>>0?j:d):536870911;do if(l)if(l>>>0>536870911){d=ye(8)|0;Jmc(d,511852);f[d>>2]=165276;Gf(d|0,26776,1555)}else{m=Bmc(l<<3)|0;break}else m=0;while(0);d=m+(g<<3)|0;Drc(d|0,-1,b<<3|0)|0;j=d+(0-g<<3)|0;if((i|0)>0)Krc(j|0,h|0,i|0)|0;f[a>>2]=j;f[e>>2]=d+(b<<3);f[c>>2]=m+(l<<3);if(!h)return;Emc(h);return}function _Aa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;g=u;u=u+16|0;h=g;zT(h,109756);WAa(f[a+4>>2]|0,b,c,d,e);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function $Aa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;d=u;u=u+16|0;e=d;g=d+8|0;f[a>>2]=-1;h=a+4|0;f[h>>2]=-1;i=(f[c+4>>2]|0)==0;a:do if(i){f[a>>2]=0;j=0}else{k=b+36|0;l=f[k>>2]|0;do if(l|0){m=f[c>>2]|0;n=(m|0)==0?1163146:m;o=k;p=l;b:while(1){q=p;while(1){r=f[q+16>>2]|0;if((r|0)==(m|0))break;if((o7b((r|0)==0?1163146:r,n)|0)>=0)break;r=f[q+4>>2]|0;if(!r){s=o;break b}else q=r}p=f[q>>2]|0;if(!p){s=q;break}else o=q}if((s|0)!=(k|0)){o=f[s+16>>2]|0;if((m|0)!=(o|0)?(o7b(n,(o|0)==0?1163146:o)|0)<=-1:0)break;o=f[s+24>>2]|0;f[a>>2]=o;if((o|0)>-1){j=o;break a}u=d;return}}while(0);f[a>>2]=-1;u=d;return}while(0);a=b+24|0;b=f[a>>2]|0;if(!b){f[e>>2]=j;aR(g,390450,e);SQ(-204,g,390487,387968,1149)}else{t=a;v=b}c:while(1){b=v;while(1){if((f[b+16>>2]|0)>=(j|0))break;s=f[b+4>>2]|0;if(!s){w=t;break c}else b=s}v=f[b>>2]|0;if(!v){w=b;break}else t=b}if((w|0)==(a|0)){f[e>>2]=j;aR(g,390450,e);SQ(-204,g,390487,387968,1149)}if((f[w+16>>2]|0)>(j|0)){f[e>>2]=j;aR(g,390450,e);SQ(-204,g,390487,387968,1149)}if(i)x=0;else{aBa(g,w+20|0);w=g+4|0;i=f[w>>2]|0;e=Sh[f[(f[i>>2]|0)+52>>2]&511](i,c)|0;c=f[g>>2]|0;if(c|0?(i=c+4|0,j=f[i>>2]|0,f[i>>2]=j+-1,(j|0)==1):0)ai[f[(f[c>>2]|0)+8>>2]&2047](c);f[g>>2]=0;f[w>>2]=0;x=e}f[h>>2]=x;u=d;return}function aBa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+48|0;e=d+32|0;g=d+24|0;h=d+16|0;i=d+8|0;j=d;zT(e,109776);k=c+144|0;l=c+148|0;m=f[l>>2]|0;do if(m){n=f[k>>2]|0;f[a>>2]=n;f[a+4>>2]=m;if(n|0){o=n+4|0;f[o>>2]=(f[o>>2]|0)+1}}else{o=c+12|0;bBa(g,o,c+20|0);n=f[g>>2]|0;p=f[g+4>>2]|0;if(n|0){q=n+4|0;f[q>>2]=(f[q>>2]|0)+1}q=f[k>>2]|0;f[k>>2]=n;f[l>>2]=p;if(q|0?(p=q+4|0,n=f[p>>2]|0,f[p>>2]=n+-1,(n|0)==1):0)ai[f[(f[q>>2]|0)+8>>2]&2047](q);q=f[g>>2]|0;if(q|0?(n=q+4|0,p=f[n>>2]|0,f[n>>2]=p+-1,(p|0)==1):0)ai[f[(f[q>>2]|0)+8>>2]&2047](q);q=f[l>>2]|0;if(q|0){p=f[k>>2]|0;f[a>>2]=p;f[a+4>>2]=q;if(!p)break;q=p+4|0;f[q>>2]=(f[q>>2]|0)+1;break}f[j>>2]=0;q=j+4|0;f[q>>2]=0;p=c+8|0;YG(j,(f[p>>2]|0)+20|0)|0;n=f[j>>2]|0;r=n;s=390631;t=r+20|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));v=f[p>>2]|0;if(v|0)Krc(n+20|0,f[c+4>>2]|0,v|0)|0;f[i>>2]=0;v=i+4|0;f[v>>2]=0;YG(i,(f[q>>2]|0)+11|0)|0;w=f[q>>2]|0;if(!w)x=0;else{Krc(f[i>>2]|0,f[j>>2]|0,w|0)|0;x=f[q>>2]|0}r=(f[i>>2]|0)+x|0;s=390652;t=r+11|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));f[h>>2]=0;s=h+4|0;f[s>>2]=0;r=c+16|0;YG(h,(f[r>>2]|0)+(f[v>>2]|0)|0)|0;t=f[v>>2]|0;if(t|0)Krc(f[h>>2]|0,f[i>>2]|0,t|0)|0;t=f[r>>2]|0;if(t|0)Krc((f[h>>2]|0)+(f[v>>2]|0)|0,f[o>>2]|0,t|0)|0;f[g>>2]=0;f[g+4>>2]=0;YG(g,(f[s>>2]|0)+1|0)|0;t=f[s>>2]|0;if(!t){y=0;z=f[g>>2]|0;A=z+y|0;b[A>>0]=34;SQ(-2,g,390664,387968,412)}Krc(f[g>>2]|0,f[h>>2]|0,t|0)|0;y=f[s>>2]|0;z=f[g>>2]|0;A=z+y|0;b[A>>0]=34;SQ(-2,g,390664,387968,412)}while(0);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function bBa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=u;u=u+32|0;g=e+16|0;h=e+8|0;i=e;zT(h,109808);j=cBa()|0;SR(j);k=f[c>>2]|0;if(!k){f[i>>2]=0;f[i+4>>2]=0}else{l=c+4|0;m=f[l>>2]|0;f[g>>2]=0;n=g+4|0;f[n>>2]=0;if(m|0?(Krc(YG(g,m)|0,k|0,m|0)|0,f[l>>2]|0):0){m=0;do{k=(p9b(b[(f[c>>2]|0)+m>>0]|0)|0)&255;b[(f[g>>2]|0)+m>>0]=k;m=m+1|0}while(m>>>0<(f[l>>2]|0)>>>0)}l=f[g>>2]|0;f[i>>2]=l;f[i+4>>2]=f[n>>2];if(l|0){n=l+-4|0;f[n>>2]=(f[n>>2]|0)+1}ZG(g)}n=(dBa()|0)+4|0;l=f[n>>2]|0;if(l){m=f[i>>2]|0;c=(m|0)==0?1163146:m;k=n;o=l;a:while(1){l=o;while(1){p=f[l+16>>2]|0;if((p|0)==(m|0))break;if((o7b((p|0)==0?1163146:p,c)|0)>=0)break;p=f[l+4>>2]|0;if(!p){q=k;break a}else l=p}o=f[l>>2]|0;if(!o){q=l;break}else k=l}if((q|0)!=(n|0)){k=f[q+16>>2]|0;if((m|0)!=(k|0)?(o7b(c,(k|0)==0?1163146:k)|0)<0:0)r=21;else s=q}else r=21}else r=21;if((r|0)==21)s=n;do if((s|0)!=((dBa()|0)+4|0)){n=f[s+28>>2]|0;if((f[s+24>>2]|0)==(n|0)){f[g>>2]=0;f[g+4>>2]=0;r=YG(g,19)|0;q=390681;k=r+19|0;do{b[r>>0]=b[q>>0]|0;r=r+1|0;q=q+1|0}while((r|0)<(k|0));SQ(-215,g,390701,387968,3395)}else{xh[f[n+-4>>2]&2047](a,d);break}}else{f[a>>2]=0;f[a+4>>2]=0}while(0);ZG(i);TR(j);if(!(f[h+4>>2]|0)){u=e;return}u=e;return}function cBa(){var a=0,b=0,c=0;if(f[222638]|0){a=f[222638]|0;return a|0}b=Ljb()|0;SR(b);if(!(f[222638]|0)){c=Bmc(4)|0;QR(c);f[222638]=c}TR(b);a=f[222638]|0;return a|0}function dBa(){var a=0,c=0;if(f[222634]|0){a=f[222634]|0;return a|0}c=cBa()|0;SR(c);if(!(f[222634]|0)){if((b[528304]|0)==0?src(528304)|0:0){f[222636]=0;f[222637]=0;f[222635]=890544;Ad(1628,890540,x|0)|0}f[222634]=890540;Mjb()}TR(c);a=f[222634]|0;return a|0}function eBa(a){a=a|0;fBa(a,f[a+4>>2]|0);return}function fBa(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b)return;fBa(a,f[b>>2]|0);fBa(a,f[b+4>>2]|0);a=f[b+24>>2]|0;if(a|0){c=b+28|0;d=f[c>>2]|0;if((d|0)!=(a|0))f[c>>2]=d+(~((d+-4-a|0)>>>2)<<2);Emc(a)}ZG(b+16|0);Emc(b);return}function gBa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+64|0;e=d;g=d+48|0;h=d+40|0;i=d+16|0;j=d+28|0;k=d+8|0;zT(g,109840);l=f[c>>2]|0;f[h>>2]=l;m=h+4|0;n=f[c+4>>2]|0;f[m>>2]=n;if(!l)o=n;else{n=l+-4|0;f[n>>2]=(f[n>>2]|0)+1;o=f[m>>2]|0}if(!o){hBa(i,b);o=i+4|0;n=f[o>>2]|0;l=n+-8|0;if((l|0)!=(h|0)){ZG(h);c=f[l>>2]|0;if(!c)p=0;else{q=c+-4|0;f[q>>2]=(f[q>>2]|0)+1;p=f[l>>2]|0}f[h>>2]=p;f[m>>2]=f[n+-4>>2]}n=f[i>>2]|0;if(n|0){while(1){p=f[o>>2]|0;if((p|0)==(n|0))break;l=p+-8|0;f[o>>2]=l;ZG(l)}Emc(f[i>>2]|0)}}i=b+4|0;$Aa(e,f[i>>2]|0,h);f[j>>2]=0;b=j+4|0;f[b>>2]=0;f[j+8>>2]=0;o=Bmc(8)|0;f[j>>2]=o;f[j+8>>2]=o+8;n=e;l=f[n+4>>2]|0;p=o;f[p>>2]=f[n>>2];f[p+4>>2]=l;f[b>>2]=o+8;iBa(f[i>>2]|0,j);o=f[i>>2]|0;kBa(o,jBa(o,h)|0,1);o=f[i>>2]|0;i=f[h>>2]|0;f[k>>2]=i;f[k+4>>2]=f[m>>2];if(i|0){m=i+-4|0;f[m>>2]=(f[m>>2]|0)+1}$Aa(e,o,k);lBa(a,o,e);ZG(k);k=f[j>>2]|0;if(k|0){j=f[b>>2]|0;if((j|0)!=(k|0))f[b>>2]=j+(~((j+-8-k|0)>>>3)<<3);Emc(k)}ZG(h);if(!(f[g+4>>2]|0)){u=d;return}u=d;return}function hBa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;f[a>>2]=0;c=a+4|0;f[c>>2]=0;f[a+8>>2]=0;d=b+4|0;jCa(a,f[(f[d>>2]|0)+28>>2]|0);b=f[d>>2]|0;e=f[b+20>>2]|0;if((e|0)==(b+24|0))return;b=a+8|0;g=e;while(1){do if(f[g+20>>2]|0){e=g+24|0;h=f[c>>2]|0;if((h|0)==(f[b>>2]|0)){kCa(a,e);break}i=f[e>>2]|0;f[h>>2]=i;f[h+4>>2]=f[g+28>>2];if(!i)j=h;else{h=i+-4|0;f[h>>2]=(f[h>>2]|0)+1;j=f[c>>2]|0}f[c>>2]=j+8}while(0);h=f[g+4>>2]|0;if(!h){i=g+8|0;e=f[i>>2]|0;if((f[e>>2]|0)==(g|0))k=e;else{e=i;do{i=f[e>>2]|0;e=i+8|0;l=f[e>>2]|0}while((f[l>>2]|0)!=(i|0));k=l}}else{e=h;while(1){l=f[e>>2]|0;if(!l)break;else e=l}k=e}if((k|0)==((f[d>>2]|0)+24|0))break;else g=k}return}function iBa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+192|0;e=d+168|0;g=d+160|0;h=d;i=d+144|0;zT(g,109920);j=a+80|0;k=f[j>>2]|0;if(!k){l=f[222625]|0;f[j>>2]=l;m=l}else m=k;switch(m|0){case 3:{if((f[a+84>>2]|0)>>>0>=3){f[e>>2]=0;f[e+4>>2]=0;Krc(YG(e,164)|0,391897,164)|0;SQ(-215,e,392062,387968,1062)}break}case 1:{if((f[a+84>>2]|0)>>>0>=2){f[e>>2]=0;f[e+4>>2]=0;n=YG(e,118)|0;o=392071;p=n+118|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));SQ(-215,e,392062,387968,1065)}break}case 2:{if((f[a+84>>2]|0)>>>0>=4){f[e>>2]=0;f[e+4>>2]=0;Krc(YG(e,215)|0,392190,215)|0;SQ(-215,e,392062,387968,1070)}break}default:{}}k=a+116|0;a:do if((b[k>>0]|0)!=0?(l=f[a+12>>2]|0,q=f[a+8>>2]|0,r=f[c>>2]|0,s=q,t=l,(l-q|0)==((f[c+4>>2]|0)-r|0)):0){if((s|0)!=(t|0)){q=s;s=r;while(1){if((f[q>>2]|0)!=(f[s>>2]|0)){v=17;break a}if((f[q+4>>2]|0)!=(f[s+4>>2]|0)){v=17;break a}q=q+8|0;if((q|0)==(t|0))break;else s=s+8|0}}}else v=17;while(0);if((v|0)==17){if((m|0)==3?(m=a+84|0,((f[m>>2]|0)+-1|0)>>>0<2):0){if((nAb()|0)>=3){v=h+64|0;s=h+8|0;f[s>>2]=46164;t=h+12|0;f[h>>2]=10956;f[v>>2]=10976;f[h+4>>2]=0;Icc(h+64|0,t);f[h+136>>2]=0;f[h+140>>2]=-1;f[h>>2]=46144;f[v>>2]=46184;f[s>>2]=46164;Ncc(t);f[t>>2]=46200;s=h+44|0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;f[h+60>>2]=24;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;YQ(t,e);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);ZQ(h+8|0,392406,75)|0;_Q(i,t);t=i+11|0;oAb(3,(b[t>>0]|0)<0?f[i>>2]|0:i);if((b[t>>0]|0)<0)Emc(f[i>>2]|0);$Q(h)}f[m>>2]=0}tBa(a);uBa(a,c);m=a+24|0;h=f[m>>2]|0;if(!h){f[e>>2]=0;w=e+4|0;f[w>>2]=0;x=YG(e,18)|0;n=x;o=392482;p=n+18|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));SQ(-215,e,392062,387968,1095)}else{y=m;z=h}b:while(1){h=z;while(1){if((f[h+16>>2]|0)>=0)break;i=f[h+4>>2]|0;if(!i){A=y;break b}else h=i}z=f[h>>2]|0;if(!z){A=h;break}else y=h}if((A|0)==(m|0)){f[e>>2]=0;w=e+4|0;f[w>>2]=0;x=YG(e,18)|0;n=x;o=392482;p=n+18|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));SQ(-215,e,392062,387968,1095)}if((f[A+16>>2]|0)>=1){f[e>>2]=0;w=e+4|0;f[w>>2]=0;x=YG(e,18)|0;n=x;o=392482;p=n+18|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));SQ(-215,e,392062,387968,1095)}b[A+220>>0]=b[(f[a+4>>2]|0)+84>>0]|0;vBa(a);if((b[k>>0]|0)==0?(f[j>>2]|0)==1:0){f[e>>2]=0;f[e+4>>2]=0;n=YG(e,39)|0;o=392501;p=n+39|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));SQ(-215,e,392062,387968,1106)}b[k>>0]=1;k=a+8|0;if((k|0)!=(c|0))wBa(k,f[c>>2]|0,f[c+4>>2]|0)}if(!(f[g+4>>2]|0)){u=d;return}u=d;return}function jBa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+32|0;e=d;g=d+16|0;h=d+8|0;i=a+36|0;j=f[i>>2]|0;do if(j|0){k=f[c>>2]|0;l=(k|0)==0?1163146:k;m=i;n=j;a:while(1){o=n;while(1){p=f[o+16>>2]|0;if((p|0)==(k|0))break;if((o7b((p|0)==0?1163146:p,l)|0)>=0)break;p=f[o+4>>2]|0;if(!p){q=m;break a}else o=p}n=f[o>>2]|0;if(!n){q=o;break}else m=o}if((q|0)!=(i|0)){m=f[q+16>>2]|0;if((k|0)!=(m|0)?(o7b(l,(m|0)==0?1163146:m)|0)<=-1:0)break;m=f[q+24>>2]|0;if((m|0)>=0){n=a+24|0;p=f[n>>2]|0;if(!p){f[e>>2]=m;aR(g,390450,e);SQ(-204,g,390487,387968,1149)}else{r=n;s=p}b:while(1){p=s;while(1){if((f[p+16>>2]|0)>=(m|0))break;t=f[p+4>>2]|0;if(!t){v=r;break b}else p=t}s=f[p>>2]|0;if(!s){v=p;break}else r=p}if((v|0)==(n|0)){f[e>>2]=m;aR(g,390450,e);SQ(-204,g,390487,387968,1149)}if((f[v+16>>2]|0)>(m|0)){f[e>>2]=m;aR(g,390450,e);SQ(-204,g,390487,387968,1149)}else{u=d;return v+20|0}}}}while(0);f[h>>2]=0;v=h+4|0;f[v>>2]=0;d=c+4|0;YG(h,(f[d>>2]|0)+17|0)|0;e=f[h>>2]|0;r=e;s=391867;a=r+17|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(a|0));q=f[d>>2]|0;if(q|0)Krc(e+17|0,f[c>>2]|0,q|0)|0;f[g>>2]=0;f[g+4>>2]=0;YG(g,(f[v>>2]|0)+11|0)|0;q=f[v>>2]|0;if(!q){w=0;x=f[g>>2]|0;y=x+w|0;r=y;s=391885;a=r+11|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(a|0));SQ(-2,g,390487,387968,1159)}Krc(f[g>>2]|0,f[h>>2]|0,q|0)|0;w=f[v>>2]|0;x=f[g>>2]|0;y=x+w|0;r=y;s=391885;a=r+11|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(a|0));SQ(-2,g,390487,387968,1159);return 0}function kBa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+16|0;e=d;zT(e,109880);if(c?(c=f[a+20>>2]|0,g=a+24|0,(c|0)!=(g|0)):0){h=c;while(1){f[h+224>>2]=0;c=f[h+4>>2]|0;if(!c){i=h+8|0;j=f[i>>2]|0;if((f[j>>2]|0)==(h|0))k=j;else{j=i;do{i=f[j>>2]|0;j=i+8|0;l=f[j>>2]|0}while((f[l>>2]|0)!=(i|0));k=l}}else{j=c;while(1){l=f[j>>2]|0;if(!l)break;else j=l}k=j}if((k|0)==(g|0))break;else h=k}}if(!(f[b+204>>2]|0)){k=f[a+20>>2]|0;h=a+24|0;a:do if((k|0)!=(h|0)){g=k;while(1){c=g+20|0;if((f[c>>2]|0)>=(f[b>>2]|0))break a;if(!(f[g+224>>2]|0))nBa(a,c);c=f[g+4>>2]|0;if(!c){l=g+8|0;i=f[l>>2]|0;if((f[i>>2]|0)==(g|0))m=i;else{i=l;do{l=f[i>>2]|0;i=l+8|0;n=f[i>>2]|0}while((f[n>>2]|0)!=(l|0));m=n}}else{i=c;while(1){n=f[i>>2]|0;if(!n)break;else i=n}m=i}if((m|0)==(h|0))break;else g=m}}while(0);nBa(a,b)}if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function lBa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;e=u;u=u+64|0;g=e;h=e+48|0;i=e+32|0;j=e+16|0;zT(h,109860);if((f[d>>2]|0)<=-1){f[i>>2]=0;k=i+4|0;f[k>>2]=0;l=YG(i,24)|0;m=l;n=391019;o=m+24|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-204,i,391044,387968,2345)}p=d+4|0;if((f[p>>2]|0)<=-1){f[i>>2]=0;k=i+4|0;f[k>>2]=0;l=YG(i,24)|0;m=l;n=391019;o=m+24|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-204,i,391044,387968,2345)}l=mBa(c+20|0,d)|0;d=f[p>>2]|0;k=l+152|0;q=f[k>>2]|0;r=((f[l+156>>2]|0)-q|0)/56|0;if(d>>>0>=r>>>0){s=f[l+4>>2]|0;f[g>>2]=(s|0)==0?1163146:s;f[g+4>>2]=r;f[g+8>>2]=d;aR(i,391052,g);SQ(-211,i,391044,387968,2352)}do if(f[c+84>>2]|0){g=f[l+108>>2]|0;if((g|0)==(f[l+112>>2]|0)){f[i>>2]=0;t=i+4|0;f[t>>2]=0;v=YG(i,75)|0;m=v;n=391110;o=m+75|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,i,391044,387968,2356)}r=f[g+(d<<3)+4>>2]|0;if(!r){f[i>>2]=0;t=i+4|0;f[t>>2]=0;v=YG(i,75)|0;m=v;n=391110;o=m+75|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,i,391044,387968,2356)}else{ai[f[(f[r>>2]|0)+8>>2]&2047](r);w=k;x=f[k>>2]|0;y=f[p>>2]|0;break}}else{w=k;x=q;y=d}while(0);d=x+(y*56|0)|0;q=f[d>>2]|0;do if((q&7|0)==3){k=(f[w>>2]|0)+(y*56|0)|0;f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=k;k=c+132|0;p=j+8|0;f[p>>2]=0;f[p+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=k;KO(i,j);f[a>>2]=f[k>>2];p=a+4|0;n=c+136|0;m=f[n>>2]|0;f[p>>2]=m;o=a+8|0;f[o>>2]=f[c+140>>2];f[a+12>>2]=f[c+144>>2];f[a+16>>2]=f[c+148>>2];f[a+20>>2]=f[c+152>>2];f[a+24>>2]=f[c+156>>2];f[a+28>>2]=f[c+160>>2];f[a+32>>2]=f[c+164>>2];v=f[c+168>>2]|0;f[a+36>>2]=v;f[a+40>>2]=o;o=a+48|0;t=a+44|0;f[t>>2]=o;f[o>>2]=0;f[a+52>>2]=0;if(!v)z=m;else{m=v+12|0;f[m>>2]=(f[m>>2]|0)+1;z=f[n>>2]|0}if((z|0)<3){n=f[c+176>>2]|0;m=f[t>>2]|0;f[m>>2]=f[n>>2];f[m+4>>2]=f[n+4>>2];break}else{f[p>>2]=0;kP(a,k);break}}else{f[a>>2]=q;k=a+4|0;p=x+(y*56|0)+4|0;f[k>>2]=f[p>>2];n=a+8|0;f[n>>2]=f[x+(y*56|0)+8>>2];f[a+12>>2]=f[x+(y*56|0)+12>>2];f[a+16>>2]=f[x+(y*56|0)+16>>2];f[a+20>>2]=f[x+(y*56|0)+20>>2];f[a+24>>2]=f[x+(y*56|0)+24>>2];f[a+28>>2]=f[x+(y*56|0)+28>>2];f[a+32>>2]=f[x+(y*56|0)+32>>2];m=f[x+(y*56|0)+36>>2]|0;f[a+36>>2]=m;f[a+40>>2]=n;n=a+48|0;t=a+44|0;f[t>>2]=n;f[n>>2]=0;f[a+52>>2]=0;if(m|0){n=m+12|0;f[n>>2]=(f[n>>2]|0)+1}if((f[p>>2]|0)<3){p=f[x+(y*56|0)+44>>2]|0;n=f[t>>2]|0;f[n>>2]=f[p>>2];f[n+4>>2]=f[p+4>>2];break}else{f[k>>2]=0;kP(a,d);break}}while(0);if(!(f[h+4>>2]|0)){u=e;return}u=e;return}function mBa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=a+4|0;e=f[d>>2]|0;do if(e){g=f[c>>2]|0;h=a+4|0;i=e;j=e;while(1){k=f[i+16>>2]|0;if((g|0)<(k|0)){l=f[i>>2]|0;if(!l){m=6;break}else{n=i;o=l}}else{if((k|0)>=(g|0)){m=10;break}p=i+4|0;k=f[p>>2]|0;if(!k){m=9;break}else{n=p;o=k}}h=n;i=o;j=o}if((m|0)==6){q=i;r=i;break}else if((m|0)==9){q=p;r=i;break}else if((m|0)==10){s=h;t=i;u=j;m=12;break}}else{s=d;t=d;u=e;m=12}while(0);if((m|0)==12)if(!u){q=s;r=t}else{v=u;w=v+20|0;return w|0}u=Bmc(228)|0;f[u+16>>2]=f[c>>2];f[u+20>>2]=-1;c=u+24|0;t=u+44|0;f[t>>2]=0;f[u+48>>2]=0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;f[u+40>>2]=t;t=u+96|0;f[t>>2]=0;f[u+100>>2]=0;c=u+92|0;s=u+52|0;m=s+40|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(m|0));f[c>>2]=t;t=u+108|0;f[t>>2]=0;f[u+112>>2]=0;f[u+104>>2]=t;t=u+212|0;f[t>>2]=0;f[u+216>>2]=0;c=u+208|0;s=u+116|0;m=s+92|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(m|0));f[c>>2]=t;b[u+220>>0]=0;f[u+224>>2]=0;f[u>>2]=0;f[u+4>>2]=0;f[u+8>>2]=r;f[q>>2]=u;r=f[f[a>>2]>>2]|0;if(!r)x=u;else{f[a>>2]=r;x=f[q>>2]|0}RS(f[a+4>>2]|0,x);x=a+8|0;f[x>>2]=(f[x>>2]|0)+1;v=u;w=v+20|0;return w|0}function nBa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0;d=u;u=u+320|0;e=d+264|0;g=d+256|0;h=d+240|0;i=d+184|0;j=d+168|0;k=d+112|0;l=d+56|0;m=d;zT(g,109900);n=f[c+144>>2]|0;o=f[c+148>>2]|0;p=(n|0)==0;if(!p){q=n+4|0;f[q>>2]=(f[q>>2]|0)+1}q=NR()|0;r=J;a:do if(!(b[c+200>>0]|0)){s=a+80|0;t=c+192|0;v=f[t>>2]|0;w=f[s>>2]|0;if(v){x=t;y=v;b:while(1){v=y;while(1){if((f[v+16>>2]|0)>=(w|0))break;z=f[v+4>>2]|0;if(!z){A=x;break b}else v=z}y=f[v>>2]|0;if(!y){A=v;break}else x=v}if((A|0)!=(t|0)?(w|0)>=(f[A+16>>2]|0):0)B=A;else C=11}else C=11;if((C|0)==11)B=t;if((w|0)==3){if(((f[a+84>>2]|0)+-1|0)>>>0<2){oBa(h,c+120|0);x=c+108|0;oBa(i,x);oBa(j,c+132|0);y=o;z=f[(f[o>>2]|0)+44>>2]|0;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=17498112;f[e+4>>2]=h;D=k+8|0;f[D>>2]=0;f[D+4>>2]=0;f[k>>2]=34275328;f[k+4>>2]=i;D=l+8|0;f[D>>2]=0;f[D+4>>2]=0;f[l>>2]=34275328;f[l+4>>2]=j;rh[z&255](y,e,k,l);if(b[1161068]|0?(z=i+4|0,D=f[i>>2]|0,(f[z>>2]|0)!=(D|0)):0){E=k+4|0;F=k+8|0;G=k+40|0;H=k+48|0;I=k+44|0;K=k+52|0;L=e+8|0;M=e+12|0;N=e+4|0;O=l+8|0;P=l+4|0;Q=e+8|0;R=e+12|0;S=e+4|0;T=e+8|0;U=e+12|0;V=e+4|0;W=y+16|0;y=l+4|0;X=l+8|0;Y=k+36|0;Z=k+16|0;_=l+4|0;$=l+8|0;aa=e+36|0;ba=e+4|0;ca=e+8|0;da=e+12|0;ea=k+12|0;fa=e+44|0;ga=e+16|0;ha=e+20|0;ia=k+20|0;ja=e+24|0;ka=k+24|0;la=e+28|0;ma=k+28|0;na=e+32|0;oa=k+32|0;pa=e+40|0;qa=e+48|0;ra=0;sa=0;ta=D;while(1){D=ta+(sa*48|0)|0;f[k>>2]=1124007936;ua=E;va=ua+36|0;do{f[ua>>2]=0;ua=ua+4|0}while((ua|0)<(va|0));f[G>>2]=F;f[I>>2]=H;f[H>>2]=0;f[K>>2]=0;if((f[D>>2]&7|0)!=3){DN(e,D,16777216);v=f[aa>>2]|0;if(v|0){wa=v+12|0;f[wa>>2]=(f[wa>>2]|0)+1}wa=f[Y>>2]|0;if(wa|0?(v=wa+12|0,wa=f[v>>2]|0,f[v>>2]=wa+-1,(wa|0)==1):0)lP(k);f[Y>>2]=0;f[Z>>2]=0;f[Z+4>>2]=0;f[Z+8>>2]=0;f[Z+12>>2]=0;if((f[E>>2]|0)>0){wa=f[G>>2]|0;v=0;do{f[wa+(v<<2)>>2]=0;v=v+1|0;xa=f[E>>2]|0}while((v|0)<(xa|0));f[k>>2]=f[e>>2];if((xa|0)<3)C=34;else C=36}else{f[k>>2]=f[e>>2];C=34}if((C|0)==34){C=0;v=f[ba>>2]|0;if((v|0)<3){f[E>>2]=v;f[F>>2]=f[ca>>2];f[ea>>2]=f[da>>2];v=f[fa>>2]|0;wa=f[I>>2]|0;f[wa>>2]=f[v>>2];f[wa+4>>2]=f[v+4>>2]}else C=36}if((C|0)==36){C=0;kP(k,e)}f[Z>>2]=f[ga>>2];f[ia>>2]=f[ha>>2];f[ka>>2]=f[ja>>2];f[ma>>2]=f[la>>2];f[oa>>2]=f[na>>2];v=f[aa>>2]|0;f[Y>>2]=v;if(v|0?(wa=v+12|0,v=f[wa>>2]|0,f[wa>>2]=v+-1,(v|0)==1):0)lP(e);f[aa>>2]=0;f[ga>>2]=0;f[ga+4>>2]=0;f[ga+8>>2]=0;f[ga+12>>2]=0;if((f[ba>>2]|0)>0){v=f[pa>>2]|0;wa=0;do{f[v+(wa<<2)>>2]=0;wa=wa+1|0}while((wa|0)<(f[ba>>2]|0))}wa=f[fa>>2]|0;if((wa|0)!=(qa|0))tE(wa)}else{f[L>>2]=0;f[M>>2]=0;f[e>>2]=17432576;f[N>>2]=D;wa=O;f[wa>>2]=0;f[wa+4>>2]=0;f[l>>2]=33619968;f[P>>2]=k;KO(e,l)}f[Q>>2]=0;f[R>>2]=0;f[e>>2]=16842752;f[S>>2]=k;if(ES(e,1,0,-1797693134862315708145274.0e284,1797693134862315708145274.0e284)|0){f[T>>2]=0;f[U>>2]=0;f[e>>2]=16842752;f[V>>2]=k;if(ES(e,1,0,-1.0e6,1.0e6)|0)ya=ra;else{wa=ZQ(892940,391373,42)|0;v=ZQ(_cc(wa,f[c>>2]|0)|0,391340,6)|0;wa=f[W>>2]|0;za=(wa|0)==0?1163146:wa;wa=ZQ(v,za,s8b(za)|0)|0;Kcc(e,wa+(f[(f[wa>>2]|0)+-12>>2]|0)|0);za=nec(e,893644)|0;v=Sh[f[(f[za>>2]|0)+28>>2]&511](za,10)|0;oec(e);cdc(wa,v)|0;Qcc(wa)|0;wa=ZQ($cc(ZQ(892940,391347,10)|0,sa)|0,391358,14)|0;v=f[E>>2]|0;za=f[G>>2]|0;f[l>>2]=0;f[y>>2]=0;f[X>>2]=0;hAa(l,za,za+(v<<2)|0);v=pBa(wa,l)|0;Kcc(e,wa+(f[(f[wa>>2]|0)+-12>>2]|0)|0);wa=nec(e,893644)|0;za=Sh[f[(f[wa>>2]|0)+28>>2]&511](wa,10)|0;oec(e);cdc(v,za)|0;Qcc(v)|0;v=f[l>>2]|0;if(v|0){za=f[y>>2]|0;if((za|0)!=(v|0))f[y>>2]=za+(~((za+-4-v|0)>>>2)<<2);Emc(v)}ya=1}}else{v=ZQ(892940,391297,42)|0;za=ZQ(_cc(v,f[c>>2]|0)|0,391340,6)|0;v=f[W>>2]|0;wa=(v|0)==0?1163146:v;v=ZQ(za,wa,s8b(wa)|0)|0;Kcc(e,v+(f[(f[v>>2]|0)+-12>>2]|0)|0);wa=nec(e,893644)|0;za=Sh[f[(f[wa>>2]|0)+28>>2]&511](wa,10)|0;oec(e);cdc(v,za)|0;Qcc(v)|0;v=ZQ($cc(ZQ(892940,391347,10)|0,sa)|0,391358,14)|0;za=f[E>>2]|0;wa=f[G>>2]|0;f[l>>2]=0;f[_>>2]=0;f[$>>2]=0;hAa(l,wa,wa+(za<<2)|0);za=pBa(v,l)|0;Kcc(e,v+(f[(f[v>>2]|0)+-12>>2]|0)|0);v=nec(e,893644)|0;wa=Sh[f[(f[v>>2]|0)+28>>2]&511](v,10)|0;oec(e);cdc(za,wa)|0;Qcc(za)|0;za=f[l>>2]|0;if(za|0){wa=f[_>>2]|0;if((wa|0)!=(za|0))f[_>>2]=wa+(~((wa+-4-za|0)>>>2)<<2);Emc(za)}ya=1}za=f[Y>>2]|0;if(za|0?(wa=za+12|0,za=f[wa>>2]|0,f[wa>>2]=za+-1,(za|0)==1):0)lP(k);f[Y>>2]=0;f[Z>>2]=0;f[Z+4>>2]=0;f[Z+8>>2]=0;f[Z+12>>2]=0;if((f[E>>2]|0)>0){za=f[G>>2]|0;wa=0;do{f[za+(wa<<2)>>2]=0;wa=wa+1|0}while((wa|0)<(f[E>>2]|0))}wa=f[I>>2]|0;if((wa|0)!=(H|0))tE(wa);sa=sa+1|0;Aa=f[z>>2]|0;Ba=f[i>>2]|0;ta=Ba;if(sa>>>0>=((Aa-Ba|0)/48|0)>>>0)break;else ra=ya}if(ya){ra=h+4|0;sa=f[h>>2]|0;if((f[ra>>2]|0)==(sa|0)){Ca=ta;Da=Aa;Ea=Ba}else{H=k+4|0;I=k+8|0;E=k+40|0;G=k+48|0;Z=k+44|0;Y=k+52|0;_=e+8|0;$=e+12|0;W=e+4|0;y=l+8|0;X=l+4|0;V=m+4|0;U=m+8|0;T=k+36|0;S=k+16|0;R=l+36|0;Q=l+16|0;P=l+4|0;O=l+40|0;N=l+44|0;M=l+48|0;L=e+36|0;qa=e+4|0;fa=e+8|0;ba=e+12|0;pa=k+12|0;ga=e+44|0;aa=e+16|0;na=e+20|0;oa=k+20|0;la=e+24|0;ma=k+24|0;ja=e+28|0;ka=k+28|0;ha=e+32|0;ia=k+32|0;da=e+40|0;ea=e+48|0;ca=0;F=sa;do{sa=F+(ca*48|0)|0;f[k>>2]=1124007936;ua=H;va=ua+36|0;do{f[ua>>2]=0;ua=ua+4|0}while((ua|0)<(va|0));f[E>>2]=I;f[Z>>2]=G;f[G>>2]=0;f[Y>>2]=0;if((f[sa>>2]&7|0)!=3){DN(e,sa,16777216);K=f[L>>2]|0;if(K|0){w=K+12|0;f[w>>2]=(f[w>>2]|0)+1}w=f[T>>2]|0;if(w|0?(K=w+12|0,w=f[K>>2]|0,f[K>>2]=w+-1,(w|0)==1):0)lP(k);f[T>>2]=0;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;if((f[H>>2]|0)>0){w=f[E>>2]|0;K=0;do{f[w+(K<<2)>>2]=0;K=K+1|0;Fa=f[H>>2]|0}while((K|0)<(Fa|0));f[k>>2]=f[e>>2];if((Fa|0)<3)C=82;else C=84}else{f[k>>2]=f[e>>2];C=82}do if((C|0)==82){C=0;K=f[qa>>2]|0;if((K|0)>=3){C=84;break}f[H>>2]=K;f[I>>2]=f[fa>>2];f[pa>>2]=f[ba>>2];K=f[ga>>2]|0;w=f[Z>>2]|0;f[w>>2]=f[K>>2];f[w+4>>2]=f[K+4>>2]}while(0);if((C|0)==84){C=0;kP(k,e)}f[S>>2]=f[aa>>2];f[oa>>2]=f[na>>2];f[ma>>2]=f[la>>2];f[ka>>2]=f[ja>>2];f[ia>>2]=f[ha>>2];K=f[L>>2]|0;f[T>>2]=K;do if(K|0){w=K+12|0;wa=f[w>>2]|0;f[w>>2]=wa+-1;if((wa|0)!=1)break;lP(e)}while(0);f[L>>2]=0;f[aa>>2]=0;f[aa+4>>2]=0;f[aa+8>>2]=0;f[aa+12>>2]=0;if((f[qa>>2]|0)>0){K=f[da>>2]|0;wa=0;do{f[K+(wa<<2)>>2]=0;wa=wa+1|0}while((wa|0)<(f[qa>>2]|0))}wa=f[ga>>2]|0;if((wa|0)!=(ea|0))tE(wa)}else{f[_>>2]=0;f[$>>2]=0;f[e>>2]=17432576;f[W>>2]=sa;wa=y;f[wa>>2]=0;f[wa+4>>2]=0;f[l>>2]=33619968;f[X>>2]=k;KO(e,l)}wa=ZQ($cc(ZQ(892772,391416,6)|0,ca)|0,523347,1)|0;zY(l,f[sa>>2]&4095);K=f[l>>2]|0;w=(K|0)==0?1163146:K;K=ZQ(ZQ(wa,w,s8b(w)|0)|0,523347,1)|0;w=f[H>>2]|0;wa=f[E>>2]|0;f[m>>2]=0;f[V>>2]=0;f[U>>2]=0;hAa(m,wa,wa+(w<<2)|0);w=pBa(K,m)|0;Kcc(e,K+(f[(f[K>>2]|0)+-12>>2]|0)|0);K=nec(e,893644)|0;wa=Sh[f[(f[K>>2]|0)+28>>2]&511](K,10)|0;oec(e);cdc(w,wa)|0;Qcc(w)|0;w=f[m>>2]|0;if(w|0){wa=f[V>>2]|0;if((wa|0)!=(w|0))f[V>>2]=wa+(~((wa+-4-w|0)>>>2)<<2);Emc(w)}ZG(l);if(b[1161069]|0){xP(l,k,1,1);w=qBa(892772,l)|0;Kcc(e,892772+(f[(f[223193]|0)+-12>>2]|0)|0);wa=nec(e,893644)|0;K=Sh[f[(f[wa>>2]|0)+28>>2]&511](wa,10)|0;oec(e);cdc(w,K)|0;Qcc(w)|0;w=f[R>>2]|0;do if(w|0){K=w+12|0;wa=f[K>>2]|0;f[K>>2]=wa+-1;if((wa|0)!=1)break;lP(l)}while(0);f[R>>2]=0;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q+12>>2]=0;if((f[P>>2]|0)>0){w=f[O>>2]|0;sa=0;do{f[w+(sa<<2)>>2]=0;sa=sa+1|0}while((sa|0)<(f[P>>2]|0))}sa=f[N>>2]|0;if((sa|0)!=(M|0))tE(sa)}sa=f[T>>2]|0;if(sa|0?(w=sa+12|0,sa=f[w>>2]|0,f[w>>2]=sa+-1,(sa|0)==1):0)lP(k);f[T>>2]=0;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;if((f[H>>2]|0)>0){sa=f[E>>2]|0;w=0;do{f[sa+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[H>>2]|0))}w=f[Z>>2]|0;if((w|0)!=(G|0))tE(w);ca=ca+1|0;F=f[h>>2]|0}while(ca>>>0<(((f[ra>>2]|0)-F|0)/48|0)>>>0);F=f[i>>2]|0;Ca=F;Da=f[z>>2]|0;Ea=F}if((Da|0)!=(Ea|0)){F=k+4|0;ra=k+8|0;ca=k+40|0;G=k+48|0;Z=k+44|0;H=k+52|0;E=e+8|0;S=e+12|0;T=e+4|0;M=l+8|0;N=l+4|0;P=m+4|0;O=m+8|0;Q=k+36|0;R=k+16|0;V=l+36|0;U=l+16|0;X=l+4|0;y=l+40|0;W=l+44|0;$=l+48|0;_=e+36|0;ea=e+4|0;ga=e+8|0;qa=e+12|0;da=k+12|0;aa=e+44|0;L=e+16|0;ha=e+20|0;ia=k+20|0;ja=e+24|0;ka=k+24|0;la=e+28|0;ma=k+28|0;na=e+32|0;oa=k+32|0;ba=e+40|0;pa=e+48|0;fa=0;I=Ca;do{Y=I+(fa*48|0)|0;f[k>>2]=1124007936;ua=F;va=ua+36|0;do{f[ua>>2]=0;ua=ua+4|0}while((ua|0)<(va|0));f[ca>>2]=ra;f[Z>>2]=G;f[G>>2]=0;f[H>>2]=0;if((f[Y>>2]&7|0)!=3){DN(e,Y,16777216);ta=f[_>>2]|0;if(ta|0){w=ta+12|0;f[w>>2]=(f[w>>2]|0)+1}w=f[Q>>2]|0;do if(w|0){ta=w+12|0;sa=f[ta>>2]|0;f[ta>>2]=sa+-1;if((sa|0)!=1)break;lP(k)}while(0);f[Q>>2]=0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((f[F>>2]|0)>0){w=f[ca>>2]|0;sa=0;do{f[w+(sa<<2)>>2]=0;sa=sa+1|0;Ga=f[F>>2]|0}while((sa|0)<(Ga|0));f[k>>2]=f[e>>2];if((Ga|0)<3)C=131;else C=133}else{f[k>>2]=f[e>>2];C=131}do if((C|0)==131){C=0;sa=f[ea>>2]|0;if((sa|0)>=3){C=133;break}f[F>>2]=sa;f[ra>>2]=f[ga>>2];f[da>>2]=f[qa>>2];sa=f[aa>>2]|0;w=f[Z>>2]|0;f[w>>2]=f[sa>>2];f[w+4>>2]=f[sa+4>>2]}while(0);if((C|0)==133){C=0;kP(k,e)}f[R>>2]=f[L>>2];f[ia>>2]=f[ha>>2];f[ka>>2]=f[ja>>2];f[ma>>2]=f[la>>2];f[oa>>2]=f[na>>2];sa=f[_>>2]|0;f[Q>>2]=sa;do if(sa|0){w=sa+12|0;ta=f[w>>2]|0;f[w>>2]=ta+-1;if((ta|0)!=1)break;lP(e)}while(0);f[_>>2]=0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;if((f[ea>>2]|0)>0){sa=f[ba>>2]|0;ta=0;do{f[sa+(ta<<2)>>2]=0;ta=ta+1|0}while((ta|0)<(f[ea>>2]|0))}ta=f[aa>>2]|0;if((ta|0)!=(pa|0))tE(ta)}else{f[E>>2]=0;f[S>>2]=0;f[e>>2]=17432576;f[T>>2]=Y;ta=M;f[ta>>2]=0;f[ta+4>>2]=0;f[l>>2]=33619968;f[N>>2]=k;KO(e,l)}ta=ZQ($cc(ZQ(892772,391423,7)|0,fa)|0,523347,1)|0;zY(l,f[Y>>2]&4095);sa=f[l>>2]|0;w=(sa|0)==0?1163146:sa;sa=ZQ(ZQ(ta,w,s8b(w)|0)|0,523347,1)|0;w=f[F>>2]|0;ta=f[ca>>2]|0;f[m>>2]=0;f[P>>2]=0;f[O>>2]=0;hAa(m,ta,ta+(w<<2)|0);w=pBa(sa,m)|0;Kcc(e,sa+(f[(f[sa>>2]|0)+-12>>2]|0)|0);sa=nec(e,893644)|0;ta=Sh[f[(f[sa>>2]|0)+28>>2]&511](sa,10)|0;oec(e);cdc(w,ta)|0;Qcc(w)|0;w=f[m>>2]|0;if(w|0){ta=f[P>>2]|0;if((ta|0)!=(w|0))f[P>>2]=ta+(~((ta+-4-w|0)>>>2)<<2);Emc(w)}ZG(l);if(b[1161069]|0){xP(l,k,1,1);w=qBa(892772,l)|0;Kcc(e,892772+(f[(f[223193]|0)+-12>>2]|0)|0);ta=nec(e,893644)|0;sa=Sh[f[(f[ta>>2]|0)+28>>2]&511](ta,10)|0;oec(e);cdc(w,sa)|0;Qcc(w)|0;w=f[V>>2]|0;do if(w|0){sa=w+12|0;ta=f[sa>>2]|0;f[sa>>2]=ta+-1;if((ta|0)!=1)break;lP(l)}while(0);f[V>>2]=0;f[U>>2]=0;f[U+4>>2]=0;f[U+8>>2]=0;f[U+12>>2]=0;if((f[X>>2]|0)>0){w=f[y>>2]|0;Y=0;do{f[w+(Y<<2)>>2]=0;Y=Y+1|0}while((Y|0)<(f[X>>2]|0))}Y=f[W>>2]|0;if((Y|0)!=($|0))tE(Y)}Y=f[Q>>2]|0;do if(Y|0){w=Y+12|0;ta=f[w>>2]|0;f[w>>2]=ta+-1;if((ta|0)!=1)break;lP(k)}while(0);f[Q>>2]=0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;if((f[F>>2]|0)>0){Y=f[ca>>2]|0;ta=0;do{f[Y+(ta<<2)>>2]=0;ta=ta+1|0}while((ta|0)<(f[F>>2]|0))}ta=f[Z>>2]|0;if((ta|0)!=(G|0))tE(ta);fa=fa+1|0;I=f[i>>2]|0}while(fa>>>0<(((f[z>>2]|0)-I|0)/48|0)>>>0)}I=j+4|0;z=f[j>>2]|0;if((f[I>>2]|0)!=(z|0)){fa=k+4|0;G=k+8|0;Z=k+40|0;F=k+48|0;ca=k+44|0;R=k+52|0;Q=e+8|0;$=e+12|0;W=e+4|0;X=l+8|0;y=l+4|0;U=l+4|0;V=l+8|0;P=k+36|0;O=k+16|0;N=m+36|0;M=m+16|0;T=m+4|0;S=m+40|0;E=m+44|0;pa=m+48|0;aa=e+36|0;ea=e+4|0;ba=e+8|0;L=e+12|0;_=k+12|0;na=e+44|0;oa=e+16|0;la=e+20|0;ma=k+20|0;ja=e+24|0;ka=k+24|0;ha=e+28|0;ia=k+28|0;qa=e+32|0;da=k+32|0;ga=e+40|0;ra=e+48|0;H=0;ta=z;do{z=ta+(H*48|0)|0;f[k>>2]=1124007936;ua=fa;va=ua+36|0;do{f[ua>>2]=0;ua=ua+4|0}while((ua|0)<(va|0));f[Z>>2]=G;f[ca>>2]=F;f[F>>2]=0;f[R>>2]=0;if((f[z>>2]&7|0)!=3){DN(e,z,16777216);Y=f[aa>>2]|0;if(Y|0){w=Y+12|0;f[w>>2]=(f[w>>2]|0)+1}w=f[P>>2]|0;do if(w|0){Y=w+12|0;sa=f[Y>>2]|0;f[Y>>2]=sa+-1;if((sa|0)!=1)break;lP(k)}while(0);f[P>>2]=0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;if((f[fa>>2]|0)>0){w=f[Z>>2]|0;sa=0;do{f[w+(sa<<2)>>2]=0;sa=sa+1|0;Ha=f[fa>>2]|0}while((sa|0)<(Ha|0));f[k>>2]=f[e>>2];if((Ha|0)<3)C=179;else C=181}else{f[k>>2]=f[e>>2];C=179}do if((C|0)==179){C=0;sa=f[ea>>2]|0;if((sa|0)>=3){C=181;break}f[fa>>2]=sa;f[G>>2]=f[ba>>2];f[_>>2]=f[L>>2];sa=f[na>>2]|0;w=f[ca>>2]|0;f[w>>2]=f[sa>>2];f[w+4>>2]=f[sa+4>>2]}while(0);if((C|0)==181){C=0;kP(k,e)}f[O>>2]=f[oa>>2];f[ma>>2]=f[la>>2];f[ka>>2]=f[ja>>2];f[ia>>2]=f[ha>>2];f[da>>2]=f[qa>>2];sa=f[aa>>2]|0;f[P>>2]=sa;do if(sa|0){w=sa+12|0;Y=f[w>>2]|0;f[w>>2]=Y+-1;if((Y|0)!=1)break;lP(e)}while(0);f[aa>>2]=0;f[oa>>2]=0;f[oa+4>>2]=0;f[oa+8>>2]=0;f[oa+12>>2]=0;if((f[ea>>2]|0)>0){sa=f[ga>>2]|0;Y=0;do{f[sa+(Y<<2)>>2]=0;Y=Y+1|0}while((Y|0)<(f[ea>>2]|0))}Y=f[na>>2]|0;if((Y|0)!=(ra|0))tE(Y)}else{f[Q>>2]=0;f[$>>2]=0;f[e>>2]=17432576;f[W>>2]=z;Y=X;f[Y>>2]=0;f[Y+4>>2]=0;f[l>>2]=33619968;f[y>>2]=k;KO(e,l)}Y=ZQ($cc(ZQ(892772,391431,9)|0,H)|0,523347,1)|0;sa=f[fa>>2]|0;w=f[Z>>2]|0;f[l>>2]=0;f[U>>2]=0;f[V>>2]=0;hAa(l,w,w+(sa<<2)|0);sa=pBa(Y,l)|0;Kcc(e,Y+(f[(f[Y>>2]|0)+-12>>2]|0)|0);Y=nec(e,893644)|0;w=Sh[f[(f[Y>>2]|0)+28>>2]&511](Y,10)|0;oec(e);cdc(sa,w)|0;Qcc(sa)|0;sa=f[l>>2]|0;if(sa|0){w=f[U>>2]|0;if((w|0)!=(sa|0))f[U>>2]=w+(~((w+-4-sa|0)>>>2)<<2);Emc(sa)}if(b[1161069]|0){zY(l,f[z>>2]&4095);sa=f[l>>2]|0;w=(sa|0)==0?1163146:sa;sa=ZQ(ZQ(892772,w,s8b(w)|0)|0,523347,1)|0;xP(m,k,1,1);w=qBa(sa,m)|0;Kcc(e,sa+(f[(f[sa>>2]|0)+-12>>2]|0)|0);sa=nec(e,893644)|0;Y=Sh[f[(f[sa>>2]|0)+28>>2]&511](sa,10)|0;oec(e);cdc(w,Y)|0;Qcc(w)|0;w=f[N>>2]|0;do if(w|0){Y=w+12|0;sa=f[Y>>2]|0;f[Y>>2]=sa+-1;if((sa|0)!=1)break;lP(m)}while(0);f[N>>2]=0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[T>>2]|0)>0){w=f[S>>2]|0;z=0;do{f[w+(z<<2)>>2]=0;z=z+1|0}while((z|0)<(f[T>>2]|0))}z=f[E>>2]|0;if((z|0)!=(pa|0))tE(z);ZG(l)}z=f[P>>2]|0;do if(z|0){w=z+12|0;sa=f[w>>2]|0;f[w>>2]=sa+-1;if((sa|0)!=1)break;lP(k)}while(0);f[P>>2]=0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;if((f[fa>>2]|0)>0){z=f[Z>>2]|0;sa=0;do{f[z+(sa<<2)>>2]=0;sa=sa+1|0}while((sa|0)<(f[fa>>2]|0))}sa=f[ca>>2]|0;if((sa|0)!=(F|0))tE(sa);H=H+1|0;ta=f[j>>2]|0}while(H>>>0<(((f[I>>2]|0)-ta|0)/48|0)>>>0)}if(b[1161070]|0){f[e>>2]=0;f[e+4>>2]=0;ta=YG(e,5)|0;b[ta>>0]=b[391441]|0;b[ta+1>>0]=b[391442]|0;b[ta+2>>0]=b[391443]|0;b[ta+3>>0]=b[391444]|0;b[ta+4>>0]=b[391445]|0;SQ(-215,e,391447,387968,2142)}}}rBa(x,i);ta=f[j>>2]|0;if(ta|0){I=j+4|0;while(1){H=f[I>>2]|0;if((H|0)==(ta|0))break;F=H+-48|0;f[I>>2]=F;uN(F)}Emc(f[j>>2]|0)}I=f[i>>2]|0;if(I|0){ta=i+4|0;while(1){x=f[ta>>2]|0;if((x|0)==(I|0))break;F=x+-48|0;f[ta>>2]=F;uN(F)}Emc(f[i>>2]|0)}ta=f[h>>2]|0;if(ta|0){I=h+4|0;while(1){F=f[I>>2]|0;if((F|0)==(ta|0))break;x=F+-48|0;f[I>>2]=x;uN(x)}Emc(f[h>>2]|0)}Ia=q;Ja=r;break}}else if((B|0)!=(t|0)?(I=f[B+24>>2]|0,I|0):0){ta=f[B+20>>2]|0;f[e>>2]=ta;x=e+4|0;f[x>>2]=I;if(ta|0?(I=ta+4|0,f[I>>2]=(f[I>>2]|0)+1,(f[x>>2]|0)==0):0){f[h>>2]=0;f[h+4>>2]=0;ua=YG(h,13)|0;Ka=391469;va=ua+13|0;do{b[ua>>0]=b[Ka>>0]|0;ua=ua+1|0;Ka=Ka+1|0}while((ua|0)<(va|0));SQ(-215,h,391447,387968,2222)}switch(f[s>>2]|0){case 1:{t=f[e>>2]|0;if(t|0?(x=t+4|0,I=f[x>>2]|0,f[x>>2]=I+-1,(I|0)==1):0)ai[f[(f[t>>2]|0)+8>>2]&2047](t);Ia=q;Ja=r;break a;break}case 2:{$Da(e);break}default:{f[h>>2]=0;f[h+4>>2]=0;ua=YG(h,26)|0;Ka=391483;va=ua+26|0;do{b[ua>>0]=b[Ka>>0]|0;ua=ua+1|0;Ka=Ka+1|0}while((ua|0)<(va|0));SQ(-213,h,391447,387968,2233)}}}s=c+120|0;t=f[s>>2]|0;I=(f[c+124>>2]|0)-t|0;x=I>>3;c:do if((I|0)>0){ta=0;F=t;while(1){H=f[F+(ta<<3)+4>>2]|0;if(H|0)ai[f[(f[H>>2]|0)+8>>2]&2047](H);H=ta+1|0;if((H|0)>=(x|0))break c;ta=H;F=f[s>>2]|0}}while(0);s=c+164|0;x=c+168|0;t=f[x>>2]|0;I=f[s>>2]|0;F=t-I>>2;f[h>>2]=0;ta=h+4|0;f[ta>>2]=0;f[h+8>>2]=0;if(!F){La=I;Ma=0;Na=t}else{if(F>>>0>76695844)Ukc(h);t=F*56|0;I=Bmc(t)|0;f[ta>>2]=I;f[h>>2]=I;f[h+8>>2]=I+(F*56|0);H=I+t|0;t=F;F=I;while(1){f[F>>2]=1124007936;ca=F+8|0;fa=F+40|0;ua=F+4|0;va=ua+36|0;do{f[ua>>2]=0;ua=ua+4|0}while((ua|0)<(va|0));f[fa>>2]=ca;Z=F+48|0;f[F+44>>2]=Z;f[Z>>2]=0;f[F+52>>2]=0;t=t+-1|0;if(!t)break;else F=F+56|0}f[ta>>2]=H;La=f[s>>2]|0;Ma=I;Na=f[x>>2]|0}d:do if((Na|0)!=(La|0)){F=0;t=Na;Z=La;O=Ma;while(1){P=f[Z+(F<<2)>>2]|0;pa=O+(F*56|0)|0;if((pa|0)==(P|0)){Oa=Z;Pa=t}else{E=P+36|0;T=f[E>>2]|0;if(T|0){S=T+12|0;f[S>>2]=(f[S>>2]|0)+1}S=O+(F*56|0)+36|0;T=f[S>>2]|0;if(T|0?(M=T+12|0,T=f[M>>2]|0,f[M>>2]=T+-1,(T|0)==1):0)lP(pa);f[S>>2]=0;T=O+(F*56|0)+16|0;M=O+(F*56|0)+4|0;f[T>>2]=0;f[T+4>>2]=0;f[T+8>>2]=0;f[T+12>>2]=0;if((f[M>>2]|0)>0){N=f[O+(F*56|0)+40>>2]|0;U=0;do{f[N+(U<<2)>>2]=0;U=U+1|0;Qa=f[M>>2]|0}while((U|0)<(Qa|0));f[pa>>2]=f[P>>2];if((Qa|0)<3)C=255;else C=257}else{f[pa>>2]=f[P>>2];C=255}if((C|0)==255){C=0;U=f[P+4>>2]|0;if((U|0)<3){f[M>>2]=U;f[O+(F*56|0)+8>>2]=f[P+8>>2];f[O+(F*56|0)+12>>2]=f[P+12>>2];U=f[P+44>>2]|0;N=f[O+(F*56|0)+44>>2]|0;f[N>>2]=f[U>>2];f[N+4>>2]=f[U+4>>2]}else C=257}if((C|0)==257){C=0;kP(pa,P)}f[T>>2]=f[P+16>>2];f[O+(F*56|0)+20>>2]=f[P+20>>2];f[O+(F*56|0)+24>>2]=f[P+24>>2];f[O+(F*56|0)+28>>2]=f[P+28>>2];f[O+(F*56|0)+32>>2]=f[P+32>>2];f[S>>2]=f[E>>2];Oa=f[s>>2]|0;Pa=f[x>>2]|0}U=F+1|0;if(U>>>0>=Pa-Oa>>2>>>0)break d;F=U;t=Pa;Z=Oa;O=f[h>>2]|0}}while(0);I=o;H=f[(f[o>>2]|0)+44>>2]|0;f[e+8>>2]=0;f[e+12>>2]=0;f[e>>2]=17104896;f[e+4>>2]=h;ta=c+152|0;O=i+8|0;f[O>>2]=0;f[O+4>>2]=0;f[i>>2]=33882112;f[i+4>>2]=ta;O=c+176|0;Z=j+8|0;f[Z>>2]=0;f[Z+4>>2]=0;f[j>>2]=33882112;f[j+4>>2]=O;rh[H&255](I,e,i,j);if(b[1161068]|0?(H=c+156|0,Z=f[ta>>2]|0,(f[H>>2]|0)!=(Z|0)):0){t=e+8|0;F=e+12|0;ca=e+4|0;fa=e+8|0;U=e+12|0;N=e+4|0;V=I+16|0;I=i+4|0;y=i+8|0;X=i+4|0;W=i+8|0;$=0;Q=0;ra=Z;while(1){Z=ra+($*56|0)|0;f[t>>2]=0;f[F>>2]=0;f[e>>2]=16842752;f[ca>>2]=Z;if(ES(e,1,0,-1797693134862315708145274.0e284,1797693134862315708145274.0e284)|0){f[fa>>2]=0;f[U>>2]=0;f[e>>2]=16842752;f[N>>2]=Z;if(ES(e,1,0,-1.0e6,1.0e6)|0)Ra=Q;else{Z=ZQ(892940,391373,42)|0;na=ZQ(_cc(Z,f[c>>2]|0)|0,391340,6)|0;Z=f[V>>2]|0;ea=(Z|0)==0?1163146:Z;Z=ZQ(na,ea,s8b(ea)|0)|0;Kcc(e,Z+(f[(f[Z>>2]|0)+-12>>2]|0)|0);ea=nec(e,893644)|0;na=Sh[f[(f[ea>>2]|0)+28>>2]&511](ea,10)|0;oec(e);cdc(Z,na)|0;Qcc(Z)|0;Z=ZQ($cc(ZQ(892940,391347,10)|0,$)|0,391358,14)|0;na=f[ra+($*56|0)+4>>2]|0;ea=f[ra+($*56|0)+40>>2]|0;f[i>>2]=0;f[I>>2]=0;f[y>>2]=0;hAa(i,ea,ea+(na<<2)|0);na=pBa(Z,i)|0;Kcc(e,Z+(f[(f[Z>>2]|0)+-12>>2]|0)|0);Z=nec(e,893644)|0;ea=Sh[f[(f[Z>>2]|0)+28>>2]&511](Z,10)|0;oec(e);cdc(na,ea)|0;Qcc(na)|0;na=f[i>>2]|0;if(na|0){ea=f[I>>2]|0;if((ea|0)!=(na|0))f[I>>2]=ea+(~((ea+-4-na|0)>>>2)<<2);Emc(na)}Ra=1}}else{na=ZQ(892940,391297,42)|0;ea=ZQ(_cc(na,f[c>>2]|0)|0,391340,6)|0;na=f[V>>2]|0;Z=(na|0)==0?1163146:na;na=ZQ(ea,Z,s8b(Z)|0)|0;Kcc(e,na+(f[(f[na>>2]|0)+-12>>2]|0)|0);Z=nec(e,893644)|0;ea=Sh[f[(f[Z>>2]|0)+28>>2]&511](Z,10)|0;oec(e);cdc(na,ea)|0;Qcc(na)|0;na=ZQ($cc(ZQ(892940,391347,10)|0,$)|0,391358,14)|0;ea=f[ra+($*56|0)+4>>2]|0;Z=f[ra+($*56|0)+40>>2]|0;f[i>>2]=0;f[X>>2]=0;f[W>>2]=0;hAa(i,Z,Z+(ea<<2)|0);ea=pBa(na,i)|0;Kcc(e,na+(f[(f[na>>2]|0)+-12>>2]|0)|0);na=nec(e,893644)|0;Z=Sh[f[(f[na>>2]|0)+28>>2]&511](na,10)|0;oec(e);cdc(ea,Z)|0;Qcc(ea)|0;ea=f[i>>2]|0;if(ea|0){Z=f[X>>2]|0;if((Z|0)!=(ea|0))f[X>>2]=Z+(~((Z+-4-ea|0)>>>2)<<2);Emc(ea)}Ra=1}$=$+1|0;Sa=f[H>>2]|0;Ta=f[ta>>2]|0;ra=Ta;if($>>>0>=((Sa-Ta|0)/56|0)>>>0)break;else Q=Ra}if(Ra){Q=f[s>>2]|0;if((f[x>>2]|0)==(Q|0)){Ua=Sa;Va=Ta;Wa=ra}else{$=j+4|0;X=j+8|0;W=i+36|0;V=i+16|0;I=i+4|0;y=i+40|0;N=i+44|0;U=i+48|0;fa=0;ca=Q;do{Q=f[ca+(fa<<2)>>2]|0;F=$cc(ZQ(892772,391416,6)|0,fa)|0;if(Q){t=ZQ(F,523347,1)|0;zY(i,f[Q>>2]&4095);ea=f[i>>2]|0;Z=(ea|0)==0?1163146:ea;ea=ZQ(ZQ(t,Z,s8b(Z)|0)|0,523347,1)|0;Z=f[Q+4>>2]|0;t=f[Q+40>>2]|0;f[j>>2]=0;f[$>>2]=0;f[X>>2]=0;hAa(j,t,t+(Z<<2)|0);Z=pBa(ea,j)|0;Kcc(e,ea+(f[(f[ea>>2]|0)+-12>>2]|0)|0);ea=nec(e,893644)|0;t=Sh[f[(f[ea>>2]|0)+28>>2]&511](ea,10)|0;oec(e);cdc(Z,t)|0;Qcc(Z)|0;Z=f[j>>2]|0;if(Z|0){t=f[$>>2]|0;if((t|0)!=(Z|0))f[$>>2]=t+(~((t+-4-Z|0)>>>2)<<2);Emc(Z)}ZG(i);if(b[1161069]|0){xP(i,Q,1,1);Q=qBa(892772,i)|0;Kcc(e,892772+(f[(f[223193]|0)+-12>>2]|0)|0);Z=nec(e,893644)|0;t=Sh[f[(f[Z>>2]|0)+28>>2]&511](Z,10)|0;oec(e);cdc(Q,t)|0;Qcc(Q)|0;Q=f[W>>2]|0;do if(Q|0){t=Q+12|0;Z=f[t>>2]|0;f[t>>2]=Z+-1;if((Z|0)!=1)break;lP(i)}while(0);f[W>>2]=0;f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;f[V+12>>2]=0;if((f[I>>2]|0)>0){Q=f[y>>2]|0;Z=0;do{f[Q+(Z<<2)>>2]=0;Z=Z+1|0}while((Z|0)<(f[I>>2]|0))}Z=f[N>>2]|0;if((Z|0)!=(U|0))tE(Z)}}else{Z=ZQ(F,391460,8)|0;Kcc(e,Z+(f[(f[Z>>2]|0)+-12>>2]|0)|0);Q=nec(e,893644)|0;t=Sh[f[(f[Q>>2]|0)+28>>2]&511](Q,10)|0;oec(e);cdc(Z,t)|0;Qcc(Z)|0}fa=fa+1|0;ca=f[s>>2]|0}while(fa>>>0<(f[x>>2]|0)-ca>>2>>>0);ca=f[ta>>2]|0;Ua=f[H>>2]|0;Va=ca;Wa=ca}if((Ua|0)!=(Va|0)){ca=j+4|0;x=j+8|0;fa=i+36|0;s=i+16|0;U=i+4|0;N=i+40|0;I=i+44|0;y=i+48|0;V=0;W=Wa;do{$=W+(V*56|0)|0;X=ZQ($cc(ZQ(892772,391423,7)|0,V)|0,523347,1)|0;zY(i,f[$>>2]&4095);ra=f[i>>2]|0;Z=(ra|0)==0?1163146:ra;ra=ZQ(ZQ(X,Z,s8b(Z)|0)|0,523347,1)|0;Z=f[W+(V*56|0)+4>>2]|0;X=f[W+(V*56|0)+40>>2]|0;f[j>>2]=0;f[ca>>2]=0;f[x>>2]=0;hAa(j,X,X+(Z<<2)|0);Z=pBa(ra,j)|0;Kcc(e,ra+(f[(f[ra>>2]|0)+-12>>2]|0)|0);ra=nec(e,893644)|0;X=Sh[f[(f[ra>>2]|0)+28>>2]&511](ra,10)|0;oec(e);cdc(Z,X)|0;Qcc(Z)|0;Z=f[j>>2]|0;if(Z|0){X=f[ca>>2]|0;if((X|0)!=(Z|0))f[ca>>2]=X+(~((X+-4-Z|0)>>>2)<<2);Emc(Z)}ZG(i);if(b[1161069]|0){xP(i,$,1,1);$=qBa(892772,i)|0;Kcc(e,892772+(f[(f[223193]|0)+-12>>2]|0)|0);Z=nec(e,893644)|0;X=Sh[f[(f[Z>>2]|0)+28>>2]&511](Z,10)|0;oec(e);cdc($,X)|0;Qcc($)|0;$=f[fa>>2]|0;do if($|0){X=$+12|0;Z=f[X>>2]|0;f[X>>2]=Z+-1;if((Z|0)!=1)break;lP(i)}while(0);f[fa>>2]=0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[U>>2]|0)>0){$=f[N>>2]|0;F=0;do{f[$+(F<<2)>>2]=0;F=F+1|0}while((F|0)<(f[U>>2]|0))}F=f[I>>2]|0;if((F|0)!=(y|0))tE(F)}V=V+1|0;W=f[ta>>2]|0}while(V>>>0<(((f[H>>2]|0)-W|0)/56|0)>>>0)}W=c+180|0;H=f[O>>2]|0;if((f[W>>2]|0)!=(H|0)){V=j+4|0;ta=j+8|0;y=i+36|0;I=i+16|0;U=i+4|0;N=i+40|0;s=i+44|0;fa=i+48|0;ca=0;x=H;do{H=x;F=H+(ca*56|0)|0;$=ZQ($cc(ZQ(892772,391431,9)|0,ca)|0,523347,1)|0;zY(i,f[F>>2]&4095);Z=f[i>>2]|0;X=(Z|0)==0?1163146:Z;Z=ZQ(ZQ($,X,s8b(X)|0)|0,523347,1)|0;X=f[H+(ca*56|0)+4>>2]|0;$=f[H+(ca*56|0)+40>>2]|0;f[j>>2]=0;f[V>>2]=0;f[ta>>2]=0;hAa(j,$,$+(X<<2)|0);X=pBa(Z,j)|0;Kcc(e,Z+(f[(f[Z>>2]|0)+-12>>2]|0)|0);Z=nec(e,893644)|0;$=Sh[f[(f[Z>>2]|0)+28>>2]&511](Z,10)|0;oec(e);cdc(X,$)|0;Qcc(X)|0;X=f[j>>2]|0;if(X|0){$=f[V>>2]|0;if(($|0)!=(X|0))f[V>>2]=$+(~(($+-4-X|0)>>>2)<<2);Emc(X)}ZG(i);if(b[1161069]|0){xP(i,F,1,1);F=qBa(892772,i)|0;Kcc(e,892772+(f[(f[223193]|0)+-12>>2]|0)|0);X=nec(e,893644)|0;$=Sh[f[(f[X>>2]|0)+28>>2]&511](X,10)|0;oec(e);cdc(F,$)|0;Qcc(F)|0;F=f[y>>2]|0;do if(F|0){$=F+12|0;X=f[$>>2]|0;f[$>>2]=X+-1;if((X|0)!=1)break;lP(i)}while(0);f[y>>2]=0;f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=0;f[I+12>>2]=0;if((f[U>>2]|0)>0){F=f[N>>2]|0;X=0;do{f[F+(X<<2)>>2]=0;X=X+1|0}while((X|0)<(f[U>>2]|0))}X=f[s>>2]|0;if((X|0)!=(fa|0))tE(X)}ca=ca+1|0;x=f[O>>2]|0}while(ca>>>0<(((f[W>>2]|0)-x|0)/56|0)>>>0)}if(b[1161070]|0){f[e>>2]=0;f[e+4>>2]=0;x=YG(e,5)|0;b[x>>0]=b[391441]|0;b[x+1>>0]=b[391442]|0;b[x+2>>0]=b[391443]|0;b[x+3>>0]=b[391444]|0;b[x+4>>0]=b[391445]|0;SQ(-215,e,391447,387968,2208)}}}x=c+108|0;W=f[x>>2]|0;ca=(f[c+112>>2]|0)-W|0;O=ca>>3;e:do if((ca|0)>0){fa=0;s=W;while(1){U=f[s+(fa<<3)+4>>2]|0;if(U|0)ai[f[(f[U>>2]|0)+12>>2]&2047](U);U=fa+1|0;if((U|0)>=(O|0))break e;fa=U;s=f[x>>2]|0}}while(0);rt(h);Ia=q;Ja=r}else{Ia=0;Ja=0}while(0);r=NR()|0;q=(Ia|0)==0&(Ja|0)==0;h=zrc(r|0,J|0,Ia|0,Ja|0)|0;Ja=(f[a+120>>2]|0)+(f[c>>2]<<3)|0;f[Ja>>2]=q?0:h;f[Ja+4>>2]=q?0:J;f[c+204>>2]=1;c=n;if(!p?(p=c+4|0,q=f[p>>2]|0,f[p>>2]=q+-1,(q|0)==1):0)ai[f[(f[n>>2]|0)+8>>2]&2047](c);if(!(f[g+4>>2]|0)){u=d;return}u=d;return}function oBa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+16|0;e=d;g=(f[c+4>>2]|0)-(f[c>>2]|0)|0;h=g>>3;sBa(a,h);if((g|0)<=0){u=d;return}g=e+8|0;i=e+4|0;j=0;while(1){k=f[c>>2]|0;l=f[k+(j<<3)+4>>2]|0;if(!l)m=0;else m=Jnc(l,18464,18520,0)|0;l=f[k+(j<<3)>>2]|0;k=(l|0)==0;if(!k){n=l+4|0;f[n>>2]=(f[n>>2]|0)+1}if(!m){o=8;break}n=m+64|0;if(!(b[n>>0]|0))p=m+12|0;else{q=f[m+60>>2]|0;r=m+12|0;s=g;f[s>>2]=0;f[s+4>>2]=0;f[e>>2]=34209792;f[i>>2]=r;kT(q,e);b[n>>0]=0;p=r}r=f[a>>2]|0;n=r+(j*48|0)|0;if((n|0)!=(p|0)){q=m+36|0;s=f[q>>2]|0;if(s|0){t=s+8|0;f[t>>2]=(f[t>>2]|0)+1}t=r+(j*48|0)+24|0;s=f[t>>2]|0;if(s|0?(v=s+8|0,s=f[v>>2]|0,f[v>>2]=s+-1,(s|0)==1):0)vN(n);s=r+(j*48|0)+4|0;if((f[s>>2]|0)>0){v=f[r+(j*48|0)+32>>2]|0;w=0;do{f[v+(w<<2)>>2]=0;w=w+1|0;x=f[s>>2]|0}while((w|0)<(x|0));f[t>>2]=0;f[n>>2]=f[m+12>>2];if((x|0)<3)o=23;else o=25}else{f[t>>2]=0;f[n>>2]=f[m+12>>2];o=23}if((o|0)==23){o=0;w=f[m+16>>2]|0;if((w|0)<3){f[s>>2]=w;f[r+(j*48|0)+8>>2]=f[m+20>>2];f[r+(j*48|0)+12>>2]=f[m+24>>2];w=f[m+48>>2]|0;v=f[r+(j*48|0)+36>>2]|0;f[v>>2]=f[w>>2];f[v+4>>2]=f[w+4>>2]}else o=25}if((o|0)==25){o=0;tN(n,p)}f[r+(j*48|0)+16>>2]=f[m+28>>2];w=r+(j*48|0)+20|0;if(!(f[w>>2]|0))f[w>>2]=f[m+32>>2];f[t>>2]=f[q>>2];f[r+(j*48|0)+28>>2]=f[m+40>>2]}w=l;if(!k?(v=w+4|0,y=f[v>>2]|0,f[v>>2]=y+-1,(y|0)==1):0)ai[f[(f[l>>2]|0)+8>>2]&2047](w);j=j+1|0;if((j|0)>=(h|0)){o=33;break}}if((o|0)==8){f[e>>2]=0;f[e+4>>2]=0;h=YG(e,20)|0;j=391549;m=h+20|0;do{b[h>>0]=b[j>>0]|0;h=h+1|0;j=j+1|0}while((h|0)<(m|0));SQ(-215,e,391629,387968,287)}else if((o|0)==33){u=d;return}}function pBa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+176|0;e=d+160|0;g=d+24|0;h=d+8|0;i=d;f[i>>2]=0;j=i+4|0;f[j>>2]=0;k=g+56|0;l=g+4|0;f[g>>2]=11652;f[k>>2]=11672;Icc(g+56|0,l);f[g+128>>2]=0;f[g+132>>2]=-1;f[g>>2]=46744;f[k>>2]=46764;Ncc(l);f[l>>2]=46200;k=g+36|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[g+52>>2]=16;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;YQ(l,e);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);if(f[j>>2]|0){j=f[i>>2]|0;k=(j|0)==0?1163146:j;j=ZQ(g,k,s8b(k)|0)|0;b[e>>0]=32;ZQ(j,e,1)|0}b[e>>0]=91;ZQ(g,e,1)|0;j=(f[c+4>>2]|0)-(f[c>>2]|0)>>2;if(j|0){k=0;do{b[e>>0]=32;m=ZQ(g,e,1)|0;_cc(m,f[(f[c>>2]|0)+(k<<2)>>2]|0)|0;k=k+1|0}while(k>>>0<j>>>0)}ZQ(g,391626,2)|0;_Q(h,l);VS(g);g=h+11|0;l=b[g>>0]|0;j=l<<24>>24<0;ZQ(a,j?f[h>>2]|0:h,j?f[h+4>>2]|0:l&255)|0;if((b[g>>0]|0)>=0){ZG(i);u=d;return a|0}Emc(f[h>>2]|0);ZG(i);u=d;return a|0}function qBa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+16|0;d=c+8|0;e=c;KU(e,0);g=f[e+4>>2]|0;Yh[f[(f[g>>2]|0)+8>>2]&511](d,g,b);b=d+4|0;g=f[b>>2]|0;ai[f[(f[g>>2]|0)+4>>2]&2047](g);g=f[b>>2]|0;h=ci[f[f[g>>2]>>2]&1023](g)|0;if(h|0){g=h;do{ZQ(a,g,s8b(g)|0)|0;h=f[b>>2]|0;g=ci[f[f[h>>2]>>2]&1023](h)|0}while((g|0)!=0)}g=f[d>>2]|0;if(g|0?(h=g+4|0,i=f[h>>2]|0,f[h>>2]=i+-1,(i|0)==1):0)ai[f[(f[g>>2]|0)+8>>2]&2047](g);f[d>>2]=0;f[b>>2]=0;b=f[e>>2]|0;if(!b){u=c;return a|0}e=b+4|0;d=f[e>>2]|0;f[e>>2]=d+-1;if((d|0)!=1){u=c;return a|0}ai[f[(f[b>>2]|0)+8>>2]&2047](b);u=c;return a|0}function rBa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+16|0;e=d;g=f[a>>2]|0;h=(f[a+4>>2]|0)-g>>3;i=(f[c+4>>2]|0)-(f[c>>2]|0)|0;j=g;if((h|0)!=((i|0)/48|0|0)){f[e>>2]=0;f[e+4>>2]=0;k=YG(e,31)|0;l=391510;m=k+31|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-215,e,391542,387968,298)}if((i|0)<=0){u=d;return}i=0;g=j;while(1){j=f[g+(i<<3)+4>>2]|0;if(!j)n=0;else n=Jnc(j,18464,18520,0)|0;j=f[g+(i<<3)>>2]|0;o=(j|0)==0;if(!o){p=j+4|0;f[p>>2]=(f[p>>2]|0)+1}if(!n){q=11;break}p=f[c>>2]|0;r=p+(i*48|0)|0;s=n+12|0;if((s|0)!=(r|0)){t=p+(i*48|0)+24|0;v=f[t>>2]|0;if(v|0){w=v+8|0;f[w>>2]=(f[w>>2]|0)+1}w=n+36|0;v=f[w>>2]|0;if(v|0?(x=v+8|0,v=f[x>>2]|0,f[x>>2]=v+-1,(v|0)==1):0)vN(s);v=n+16|0;if((f[v>>2]|0)>0){x=f[n+44>>2]|0;y=0;do{f[x+(y<<2)>>2]=0;y=y+1|0;z=f[v>>2]|0}while((y|0)<(z|0));f[w>>2]=0;f[s>>2]=f[r>>2];if((z|0)<3)q=23;else q=25}else{f[w>>2]=0;f[s>>2]=f[r>>2];q=23}if((q|0)==23){q=0;y=f[p+(i*48|0)+4>>2]|0;if((y|0)<3){f[v>>2]=y;f[n+20>>2]=f[p+(i*48|0)+8>>2];f[n+24>>2]=f[p+(i*48|0)+12>>2];y=f[p+(i*48|0)+36>>2]|0;x=f[n+48>>2]|0;f[x>>2]=f[y>>2];f[x+4>>2]=f[y+4>>2]}else q=25}if((q|0)==25){q=0;tN(s,r)}f[n+28>>2]=f[p+(i*48|0)+16>>2];y=n+32|0;if(!(f[y>>2]|0))f[y>>2]=f[p+(i*48|0)+20>>2];f[w>>2]=f[t>>2];f[n+40>>2]=f[p+(i*48|0)+28>>2]}y=j;if(!o?(x=y+4|0,A=f[x>>2]|0,f[x>>2]=A+-1,(A|0)==1):0)ai[f[(f[j>>2]|0)+8>>2]&2047](y);y=i+1|0;if((y|0)>=(h|0)){q=5;break}i=y;g=f[a>>2]|0}if((q|0)==5){u=d;return}else if((q|0)==11){f[e>>2]=0;f[e+4>>2]=0;k=YG(e,20)|0;l=391549;m=k+20|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));SQ(-215,e,391542,387968,302)}}function sBa(a,b){a=a|0;b=b|0;var c=0,d=0;f[a>>2]=0;c=a+4|0;f[c>>2]=0;f[a+8>>2]=0;if(!b)return;if(b>>>0>89478485)Ukc(a);d=Bmc(b*48|0)|0;f[c>>2]=d;f[a>>2]=d;f[a+8>>2]=d+(b*48|0);a=b;b=d;do{f[b>>2]=1124007936;d=b+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;f[d+24>>2]=0;f[b+32>>2]=b+8;d=b+40|0;f[b+36>>2]=d;f[b+44>>2]=0;f[d>>2]=0;b=(f[c>>2]|0)+48|0;f[c>>2]=b;a=a+-1|0}while((a|0)!=0);return}function tBa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=u;u=u+16|0;d=c;zT(d,110164);e=f[a+20>>2]|0;g=a+24|0;if((e|0)!=(g|0)){h=e;while(1){if(f[h+20>>2]|0){e=f[h+184>>2]|0;i=h+188|0;j=f[i>>2]|0;if((j|0)!=(e|0))f[i>>2]=j+(~((j+-4-e|0)>>>2)<<2);e=f[h+172>>2]|0;j=h+176|0;i=f[j>>2]|0;if((i|0)!=(e|0)){k=i;do{i=k+-56|0;f[j>>2]=i;l=k+-20|0;m=f[l>>2]|0;if(m|0?(n=m+12|0,m=f[n>>2]|0,f[n>>2]=m+-1,(m|0)==1):0)lP(i);f[l>>2]=0;l=k+-40|0;i=k+-52|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[i>>2]|0)>0){l=f[k+-16>>2]|0;m=0;do{f[l+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[i>>2]|0))}i=f[k+-12>>2]|0;if((i|0)!=(k+-8|0))tE(i);k=f[j>>2]|0}while((k|0)!=(e|0))}e=f[h+196>>2]|0;k=h+200|0;j=f[k>>2]|0;if((j|0)!=(e|0)){i=j;do{j=i+-56|0;f[k>>2]=j;m=i+-20|0;l=f[m>>2]|0;if(l|0?(n=l+12|0,l=f[n>>2]|0,f[n>>2]=l+-1,(l|0)==1):0)lP(j);f[m>>2]=0;m=i+-40|0;j=i+-52|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[j>>2]|0)>0){m=f[i+-16>>2]|0;l=0;do{f[m+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[j>>2]|0))}j=f[i+-12>>2]|0;if((j|0)!=(i+-8|0))tE(j);i=f[k>>2]|0}while((i|0)!=(e|0))}}b[h+220>>0]=0;e=f[h+164>>2]|0;i=f[h+168>>2]|0;k=(e|0)==0;if(!k){j=e+4|0;f[j>>2]=(f[j>>2]|0)+1}if(!i){if(!k){o=e;p=36}}else{ai[f[(f[i>>2]|0)+88>>2]&2047](i);j=Jnc(i,18448,18584,0)|0;if(!k){i=e+4|0;f[i>>2]=(f[i>>2]|0)+1}if(j|0)b[j+81>>0]=1;j=e;if(!k){k=j+4|0;i=f[k>>2]|0;f[k>>2]=i+-1;if((i|0)==1){ai[f[(f[e>>2]|0)+8>>2]&2047](j);o=j;p=36}else{o=j;p=36}}}if((p|0)==36?(p=0,j=o+4|0,i=f[j>>2]|0,f[j>>2]=i+-1,(i|0)==1):0)ai[f[(f[e>>2]|0)+8>>2]&2047](o);e=f[h+4>>2]|0;if(!e){i=h+8|0;j=f[i>>2]|0;if((f[j>>2]|0)==(h|0))q=j;else{j=i;do{i=f[j>>2]|0;j=i+8|0;k=f[j>>2]|0}while((f[k>>2]|0)!=(i|0));q=k}}else{j=e;while(1){k=f[j>>2]|0;if(!k)break;else j=k}q=j}if((q|0)==(g|0))break;else h=q}}q=f[a+120>>2]|0;h=a+124|0;a=f[h>>2]|0;if((a|0)!=(q|0))f[h>>2]=a+(~((a+-8-q|0)>>>3)<<3);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function uBa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0;d=u;u=u+48|0;e=d;g=d+40|0;h=d+24|0;i=d+12|0;zT(g,11e4);j=a+20|0;k=f[j>>2]|0;l=a+24|0;if((k|0)!=(l|0)){m=k;while(1){f[m+224>>2]=0;k=f[m+4>>2]|0;if(!k){n=m+8|0;o=f[n>>2]|0;if((f[o>>2]|0)==(m|0))p=o;else{o=n;do{n=f[o>>2]|0;o=n+8|0;q=f[o>>2]|0}while((f[q>>2]|0)!=(n|0));p=q}}else{o=k;while(1){q=f[o>>2]|0;if(!q)break;else o=q}p=o}if((p|0)==(l|0))break;else m=p}}f[e>>2]=0;p=mBa(j,e)|0;if((f[p+152>>2]|0)==(f[p+156>>2]|0)){f[e>>2]=0;f[e+4>>2]=0;r=YG(e,30)|0;s=393023;t=r+30|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,e,393054,387968,2018)}f[h>>2]=0;p=h+4|0;f[p>>2]=0;f[h+8>>2]=0;m=a+80|0;k=a+84|0;q=e+4|0;n=e+8|0;v=h+8|0;w=0;while(1){f[e>>2]=0;x=mBa(j,e)|0;if(w>>>0>=(((f[x+156>>2]|0)-(f[x+152>>2]|0)|0)/56|0)>>>0){y=34;break}f[e>>2]=0;x=(mBa(j,e)|0)+152|0;z=f[x>>2]|0;x=z+(w*56|0)+4|0;A=f[x>>2]|0;if((A|0)<3)B=Y(f[z+(w*56|0)+12>>2]|0,f[z+(w*56|0)+8>>2]|0)|0;else{C=f[z+(w*56|0)+40>>2]|0;D=0;E=1;while(1){F=Y(f[C+(D<<2)>>2]|0,E)|0;D=D+1|0;if((D|0)==(A|0)){B=F;break}else E=F}}if(!B){y=17;break}if((f[m>>2]|0)==3?(f[k>>2]|0)==2:0){f[e>>2]=0;E=(mBa(j,e)|0)+152|0;iP((f[E>>2]|0)+(w*56|0)|0,f[x>>2]|0,f[z+(w*56|0)+40>>2]|0,3);G=f[x>>2]|0}else G=A;E=f[z+(w*56|0)+40>>2]|0;f[e>>2]=0;f[q>>2]=0;f[n>>2]=0;hAa(e,E,E+(G<<2)|0);H=f[p>>2]|0;if((H|0)==(f[v>>2]|0)){ABa(h,e);I=f[e>>2]|0}else{f[H>>2]=0;E=H+4|0;f[E>>2]=0;f[H+8>>2]=0;D=f[e>>2]|0;C=(f[q>>2]|0)-D|0;o=C>>2;if(o){if(o>>>0>1073741823){y=24;break}F=Bmc(C)|0;f[E>>2]=F;f[H>>2]=F;f[H+8>>2]=F+(o<<2);o=f[e>>2]|0;C=(f[q>>2]|0)-o|0;if((C|0)>0){Krc(F|0,o|0,C|0)|0;f[E>>2]=F+(C>>>2<<2);J=f[p>>2]|0;K=o}else{J=H;K=o}}else{J=H;K=D}f[p>>2]=J+12;I=K}if(I|0){D=f[q>>2]|0;if((D|0)!=(I|0))f[q>>2]=D+(~((D+-4-I|0)>>>2)<<2);Emc(I)}w=w+1|0}if((y|0)==17){f[e>>2]=0;f[e+4>>2]=0;r=YG(e,11)|0;s=393069;t=r+11|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,e,393054,387968,2023)}else if((y|0)==24)Ukc(H);else if((y|0)==34){f[i+4>>2]=0;f[i+8>>2]=0;H=i+4|0;f[i>>2]=H;BBa(a,h,i);s=a+44|0;zT(e,110020);r=a+48|0;xAa(s,f[r>>2]|0);t=a+52|0;f[t>>2]=0;f[s>>2]=r;f[r>>2]=0;w=a+56|0;I=a+60|0;wAa(w,f[I>>2]|0);f[a+64>>2]=0;f[w>>2]=I;f[I>>2]=0;I=a+68|0;w=a+72|0;vAa(I,f[w>>2]|0);f[a+76>>2]=0;f[I>>2]=w;f[w>>2]=0;w=a+100|0;I=a+104|0;uAa(w,f[I>>2]|0);f[a+108>>2]=0;f[w>>2]=I;f[I>>2]=0;I=a+48|0;w=0;while(1){f[e>>2]=0;q=mBa(j,e)|0;if(w>>>0>=(((f[q+156>>2]|0)-(f[q+152>>2]|0)|0)/56|0)>>>0)break;q=f[r>>2]|0;K=(q|0)==0;a:do if(!K){J=r;v=q;b:while(1){G=v;while(1){n=f[G+16>>2]|0;if((n|0)>=0){if(n|0)break;if((f[G+20>>2]|0)>=(w|0))break}n=f[G+4>>2]|0;if(!n){L=J;break b}else G=n}v=f[G>>2]|0;if(!v){L=G;break}else J=G}do if((L|0)!=(r|0)?(J=f[L+16>>2]|0,(J|0)<=0):0){if((J|0)==0?(w|0)<(f[L+20>>2]|0):0)break;J=L+24|0;f[J>>2]=(f[J>>2]|0)+1;break a}while(0);if(!K){J=I;v=q;n=q;c:while(1){k=f[v+16>>2]|0;do if((k|0)<=0){if(!k){m=f[v+20>>2]|0;if((w|0)<(m|0)){y=57;break}if((m|0)>=(w|0)){y=62;break c}}M=v+4|0;m=f[M>>2]|0;if(!m){y=61;break c}else{N=M;O=m}}else y=57;while(0);if((y|0)==57){y=0;k=f[v>>2]|0;if(!k){y=58;break}else{N=v;O=k}}J=N;v=O;n=O}if((y|0)==58){y=0;P=v;Q=v;y=64;break}else if((y|0)==61){y=0;P=M;Q=v;y=64;break}else if((y|0)==62){y=0;R=J;S=v;T=n;y=63;break}}else{R=r;S=r;T=q;y=63}}else{R=r;S=r;T=q;y=63}while(0);if((y|0)==63){y=0;if(!T){P=R;Q=S;y=64}else{U=T;y=67}}if((y|0)==64){y=0;q=Bmc(28)|0;K=q+16|0;f[K>>2]=0;f[K+4>>2]=w;f[q+24>>2]=0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=Q;f[P>>2]=q;K=f[f[s>>2]>>2]|0;if(!K)V=q;else{f[s>>2]=K;V=f[P>>2]|0}RS(f[I>>2]|0,V);f[t>>2]=(f[t>>2]|0)+1;U=q;y=67}if((y|0)==67){y=0;f[U+24>>2]=1}w=w+1|0}w=f[j>>2]|0;if((w|0)!=(l|0)){U=w;while(1){w=U+80|0;t=U+84|0;V=f[t>>2]|0;I=f[w>>2]|0;if((V|0)!=(I|0)){P=0;Q=I;I=V;while(1){V=Q;T=V+(P<<3)|0;S=f[r>>2]|0;do if(S){R=f[T>>2]|0;M=f[V+(P<<3)+4>>2]|0;O=r;N=S;d:while(1){L=N;while(1){q=f[L+16>>2]|0;if((q|0)>=(R|0)){if((q|0)!=(R|0))break;if((f[L+20>>2]|0)>=(M|0))break}q=f[L+4>>2]|0;if(!q){W=O;break d}else L=q}N=f[L>>2]|0;if(!N){W=L;break}else O=L}if((W|0)!=(r|0)?(O=f[W+16>>2]|0,(R|0)>=(O|0)):0){if((R|0)==(O|0)?(M|0)<(f[W+20>>2]|0):0){y=85;break}O=W+24|0;f[O>>2]=(f[O>>2]|0)+1;X=Q;Z=I}else y=85}else y=85;while(0);if((y|0)==85){y=0;S=CBa(s,T)|0;f[S>>2]=1;X=f[w>>2]|0;Z=f[t>>2]|0}P=P+1|0;if(P>>>0>=Z-X>>3>>>0)break;else{Q=X;I=Z}}}I=f[U+4>>2]|0;if(!I){Q=U+8|0;P=f[Q>>2]|0;if((f[P>>2]|0)==(U|0))_=P;else{P=Q;do{Q=f[P>>2]|0;P=Q+8|0;t=f[P>>2]|0}while((f[t>>2]|0)!=(Q|0));_=t}}else{P=I;while(1){t=f[P>>2]|0;if(!t)break;else P=t}_=P}if((_|0)==(l|0))break;else U=_}}_=c+4|0;U=f[_>>2]|0;Z=f[c>>2]|0;if((U|0)!=(Z|0)){X=0;W=Z;Z=U;while(1){U=W;I=U+(X<<3)|0;t=f[r>>2]|0;do if(t){Q=f[I>>2]|0;w=f[U+(X<<3)+4>>2]|0;S=r;V=t;e:while(1){n=V;while(1){v=f[n+16>>2]|0;if((v|0)>=(Q|0)){if((v|0)!=(Q|0))break;if((f[n+20>>2]|0)>=(w|0))break}v=f[n+4>>2]|0;if(!v){$=S;break e}else n=v}V=f[n>>2]|0;if(!V){$=n;break}else S=n}if(($|0)!=(r|0)?(S=f[$+16>>2]|0,(Q|0)>=(S|0)):0){if((Q|0)==(S|0)?(w|0)<(f[$+20>>2]|0):0){y=107;break}S=$+24|0;f[S>>2]=(f[S>>2]|0)+1;aa=W;ba=Z}else y=107}else y=107;while(0);if((y|0)==107){y=0;t=CBa(s,I)|0;f[t>>2]=1;aa=f[c>>2]|0;ba=f[_>>2]|0}X=X+1|0;if(X>>>0>=ba-aa>>3>>>0)break;else{W=aa;Z=ba}}}ba=f[j>>2]|0;if((ba|0)!=(l|0)){j=ba;while(1){DBa(a,f[j+16>>2]|0,i);ba=f[j+4>>2]|0;if(!ba){Z=j+8|0;aa=f[Z>>2]|0;if((f[aa>>2]|0)==(j|0))ca=aa;else{aa=Z;do{Z=f[aa>>2]|0;aa=Z+8|0;W=f[aa>>2]|0}while((f[W>>2]|0)!=(Z|0));ca=W}}else{aa=ba;while(1){I=f[aa>>2]|0;if(!I)break;else aa=I}ca=aa}if((ca|0)==(l|0))break;else j=ca}}ca=a+120|0;j=(f[a+112>>2]|0)+1|0;l=e;f[l>>2]=0;f[l+4>>2]=0;l=a+124|0;ba=f[l>>2]|0;I=f[ca>>2]|0;W=ba-I>>3;Z=I;I=ba;if(j>>>0<=W>>>0){if(j>>>0<W>>>0?(ba=Z+(j<<3)|0,(I|0)!=(ba|0)):0)f[l>>2]=I+(~((I+-8-ba|0)>>>3)<<3)}else EBa(ca,j-W|0,e);FBa(a,c);GBa(i,f[H>>2]|0);H=f[h>>2]|0;if(H|0){i=f[p>>2]|0;if((i|0)==(H|0))da=H;else{c=i;while(1){i=c+-12|0;f[p>>2]=i;a=f[i>>2]|0;if(!a)ea=i;else{i=c+-8|0;e=f[i>>2]|0;if((e|0)!=(a|0))f[i>>2]=e+(~((e+-4-a|0)>>>2)<<2);Emc(a);ea=f[p>>2]|0}if((ea|0)==(H|0))break;else c=ea}da=f[h>>2]|0}Emc(da)}if(!(f[g+4>>2]|0)){u=d;return}u=d;return}}function vBa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+16|0;d=c+8|0;e=c;zT(d,109940);switch(f[a+80>>2]|0){case 3:{if((f[a+84>>2]|0)>>>0>=3){f[e>>2]=0;f[e+4>>2]=0;g=YG(e,76)|0;h=392541;i=g+76|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));SQ(-215,e,392618,387968,1237)}break}case 1:{xBa(a);break}case 2:{yBa(a);break}default:{f[e>>2]=0;f[e+4>>2]=0;g=YG(e,26)|0;h=391483;i=g+26|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));SQ(-213,e,392618,387968,1243)}}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function wBa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=c;e=b;g=d-e|0;h=g>>3;i=a+8|0;j=f[i>>2]|0;k=f[a>>2]|0;l=k;if(h>>>0<=j-k>>3>>>0){m=a+4|0;n=(f[m>>2]|0)-k>>3;o=h>>>0>n>>>0;p=o?b+(n<<3)|0:c;c=p;n=c-e|0;e=n>>3;if(e|0)Mrc(k|0,b|0,n|0)|0;n=l+(e<<3)|0;if(o){o=d-c|0;if((o|0)<=0)return;Krc(f[m>>2]|0,p|0,o|0)|0;f[m>>2]=(f[m>>2]|0)+(o>>>3<<3);return}else{o=f[m>>2]|0;if((o|0)==(n|0))return;f[m>>2]=o+(~((o+-8-n|0)>>>3)<<3);return}}n=k;if(!k)q=j;else{j=a+4|0;o=f[j>>2]|0;if((o|0)!=(l|0))f[j>>2]=o+(~((o+-8-k|0)>>>3)<<3);Emc(n);f[i>>2]=0;f[j>>2]=0;f[a>>2]=0;q=0}if(h>>>0>536870911)Ukc(a);j=q>>2;n=q>>3>>>0<268435455?(j>>>0<h>>>0?h:j):536870911;if(n>>>0>536870911)Ukc(a);j=Bmc(n<<3)|0;h=a+4|0;f[h>>2]=j;f[a>>2]=j;f[i>>2]=j+(n<<3);if((g|0)<=0)return;Krc(j|0,b|0,g|0)|0;f[h>>2]=j+(g>>>3<<3);return}function xBa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0;c=u;u=u+32|0;d=c+16|0;e=c+8|0;g=c;zT(d,109980);h=a+80|0;if((f[h>>2]|0)!=1){f[e>>2]=0;f[e+4>>2]=0;i=YG(e,39)|0;j=392773;k=i+39|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-215,e,392813,387968,1249)}if(!(ACa()|0)){f[e>>2]=0;f[e+4>>2]=0;i=YG(e,12)|0;j=392831;k=i+12|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-215,e,392813,387968,1249)}l=a+20|0;m=f[l>>2]|0;n=m;f[e>>2]=n;o=a+24|0;a:do if((n|0)!=(o|0)){a=g+4|0;p=g+4|0;q=m;r=n;while(1){s=q;t=f[s+164>>2]|0;v=f[s+168>>2]|0;w=(t|0)==0;if(!w){x=t+4|0;f[x>>2]=(f[x>>2]|0)+1}if(Sh[f[(f[v>>2]|0)+56>>2]&511](v,f[h>>2]|0)|0){x=f[e>>2]|0;y=f[x+164>>2]|0;z=f[x+168>>2]|0;A=(y|0)==0;if(!A){B=y+4|0;f[B>>2]=(f[B>>2]|0)+1}if(((((r|0)!=(f[l>>2]|0)?Sh[f[(f[z>>2]|0)+56>>2]&511](z,f[h>>2]|0)|0:0)?(z=f[s+184>>2]|0,B=z,((f[s+188>>2]|0)-z|0)==4):0)?(z=f[x+172>>2]|0,((f[x+176>>2]|0)-z|0)==56):0)?(f[(f[B>>2]|0)+16>>2]|0)==(f[z+16>>2]|0):0){z=x+208|0;B=x+212|0;C=f[B>>2]|0;do if(C){D=f[h>>2]|0;E=x+212|0;F=C;G=C;while(1){H=f[F+16>>2]|0;if((D|0)<(H|0)){I=f[F>>2]|0;if(!I){J=23;break}else{K=F;L=I}}else{if((H|0)>=(D|0)){J=27;break}M=F+4|0;H=f[M>>2]|0;if(!H){J=26;break}else{K=M;L=H}}E=K;F=L;G=L}if((J|0)==23){J=0;N=F;O=F;J=30;break}else if((J|0)==26){J=0;N=M;O=F;J=30;break}else if((J|0)==27){J=0;P=E;Q=F;R=G;J=29;break}}else{P=B;Q=B;R=C;J=29}while(0);if((J|0)==29){J=0;if(!R){N=P;O=Q;J=30}else S=R}if((J|0)==30){J=0;C=Bmc(28)|0;f[C+16>>2]=f[h>>2];f[C+20>>2]=0;f[C+24>>2]=0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=O;f[N>>2]=C;D=f[f[z>>2]>>2]|0;if(!D)T=C;else{f[z>>2]=D;T=f[N>>2]|0}RS(f[x+212>>2]|0,T);D=x+216|0;f[D>>2]=(f[D>>2]|0)+1;S=C}if(!(f[S+24>>2]|0))break;C=f[(f[v>>2]|0)+72>>2]|0;D=f[B>>2]|0;do if(D){H=f[h>>2]|0;I=x+212|0;U=D;V=D;while(1){W=f[U+16>>2]|0;if((H|0)<(W|0)){X=f[U>>2]|0;if(!X){J=40;break}else{Y=U;Z=X}}else{if((W|0)>=(H|0)){J=44;break}_=U+4|0;W=f[_>>2]|0;if(!W){J=43;break}else{Y=_;Z=W}}I=Y;U=Z;V=Z}if((J|0)==40){J=0;$=U;aa=U;J=47;break}else if((J|0)==43){J=0;$=_;aa=U;J=47;break}else if((J|0)==44){J=0;ba=I;ca=U;da=V;J=46;break}}else{ba=B;ca=B;da=D;J=46}while(0);if((J|0)==46){J=0;if(!da){$=ba;aa=ca;J=47}else ea=da}if((J|0)==47){J=0;D=Bmc(28)|0;f[D+16>>2]=f[h>>2];f[D+20>>2]=0;f[D+24>>2]=0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=aa;f[$>>2]=D;H=f[f[z>>2]>>2]|0;if(!H)fa=D;else{f[z>>2]=H;fa=f[$>>2]|0}RS(f[x+212>>2]|0,fa);H=x+216|0;f[H>>2]=(f[H>>2]|0)+1;ea=D}Yh[C&511](g,v,ea+20|0);D=f[p>>2]|0;H=D;do if(!D)ga=0;else{b[s+220>>0]=1;G=f[B>>2]|0;do if(G){F=f[h>>2]|0;E=x+212|0;W=G;X=G;while(1){ha=f[W+16>>2]|0;if((F|0)<(ha|0)){ia=f[W>>2]|0;if(!ia){J=56;break}else{ja=W;ka=ia}}else{if((ha|0)>=(F|0)){J=60;break}la=W+4|0;ha=f[la>>2]|0;if(!ha){J=59;break}else{ja=la;ka=ha}}E=ja;W=ka;X=ka}if((J|0)==56){J=0;ma=W;na=W;J=63;break}else if((J|0)==59){J=0;ma=la;na=W;J=63;break}else if((J|0)==60){J=0;oa=E;pa=W;qa=X;J=62;break}}else{oa=B;pa=B;qa=G;J=62}while(0);if((J|0)==62){J=0;if(!qa){ma=oa;na=pa;J=63}else{ra=qa;sa=H}}if((J|0)==63){J=0;G=Bmc(28)|0;f[G+16>>2]=f[h>>2];f[G+20>>2]=0;f[G+24>>2]=0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=na;f[ma>>2]=G;V=f[f[z>>2]>>2]|0;if(!V)ta=G;else{f[z>>2]=V;ta=f[ma>>2]|0}RS(f[x+212>>2]|0,ta);V=x+216|0;f[V>>2]=(f[V>>2]|0)+1;ra=G;sa=f[p>>2]|0}G=ra+20|0;V=f[g>>2]|0;if(V|0){U=V+4|0;f[U>>2]=(f[U>>2]|0)+1}U=f[G>>2]|0;f[G>>2]=V;f[ra+24>>2]=sa;do if(U|0){V=U+4|0;G=f[V>>2]|0;f[V>>2]=G+-1;if((G|0)!=1)break;ai[f[(f[U>>2]|0)+8>>2]&2047](U)}while(0);if((x|0)==(s|0)){ga=10;break}zBa(x+128|0,f[s+128>>2]|0,f[s+132>>2]|0);ga=10}while(0);x=f[g>>2]|0;do if(x|0){z=x+4|0;H=f[z>>2]|0;f[z>>2]=H+-1;if((H|0)!=1)break;ai[f[(f[x>>2]|0)+8>>2]&2047](x)}while(0);if(!ga)J=77}else J=77;if((J|0)==77){J=0;b[s+220>>0]=0;Yh[f[(f[v>>2]|0)+60>>2]&511](g,v,s+140|0);x=s+208|0;H=s+212|0;z=f[H>>2]|0;do if(z){B=s+212|0;D=z;C=z;while(1){U=f[D+16>>2]|0;if((U|0)>1){G=f[D>>2]|0;if(!G){J=82;break}else{ua=D;va=G}}else{if((U|0)==1){J=86;break}wa=D+4|0;U=f[wa>>2]|0;if(!U){J=85;break}else{ua=wa;va=U}}B=ua;D=va;C=va}if((J|0)==82){J=0;xa=D;ya=D;J=89;break}else if((J|0)==85){J=0;xa=wa;ya=D;J=89;break}else if((J|0)==86){J=0;za=B;Aa=D;Ba=C;J=88;break}}else{za=H;Aa=H;Ba=z;J=88}while(0);if((J|0)==88){J=0;if(!Ba){xa=za;ya=Aa;J=89}else Ca=Ba}if((J|0)==89){J=0;z=Bmc(28)|0;f[z+16>>2]=1;f[z+20>>2]=0;f[z+24>>2]=0;f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=ya;f[xa>>2]=z;H=f[f[x>>2]>>2]|0;if(!H)Da=z;else{f[x>>2]=H;Da=f[xa>>2]|0}RS(f[s+212>>2]|0,Da);H=s+216|0;f[H>>2]=(f[H>>2]|0)+1;Ca=z}z=Ca+20|0;H=f[g>>2]|0;v=f[a>>2]|0;if(H|0){U=H+4|0;f[U>>2]=(f[U>>2]|0)+1}U=f[z>>2]|0;f[z>>2]=H;f[Ca+24>>2]=v;if(U|0?(v=U+4|0,H=f[v>>2]|0,f[v>>2]=H+-1,(H|0)==1):0)ai[f[(f[U>>2]|0)+8>>2]&2047](U);U=f[g>>2]|0;if(U|0?(H=U+4|0,v=f[H>>2]|0,f[H>>2]=v+-1,(v|0)==1):0)ai[f[(f[U>>2]|0)+8>>2]&2047](U);f[e>>2]=q}U=y;if(!A?(v=U+4|0,H=f[v>>2]|0,f[v>>2]=H+-1,(H|0)==1):0)ai[f[(f[y>>2]|0)+8>>2]&2047](U)}else f[e>>2]=q;U=t;if(!w?(H=U+4|0,v=f[H>>2]|0,f[H>>2]=v+-1,(v|0)==1):0)ai[f[(f[t>>2]|0)+8>>2]&2047](U);U=f[r+4>>2]|0;if(!U){v=r+8|0;H=f[v>>2]|0;if((f[H>>2]|0)==(q|0))Ea=H;else{H=v;do{v=f[H>>2]|0;H=v+8|0;z=f[H>>2]|0}while((f[z>>2]|0)!=(v|0));Ea=z}}else{H=U;while(1){t=f[H>>2]|0;if(!t)break;else H=t}Ea=H}if((Ea|0)==(o|0))break a;else{q=Ea;r=Ea}}f[g>>2]=0;f[g+4>>2]=0;i=YG(g,46)|0;j=392844;k=i+46|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-215,g,392813,387968,1281)}while(0);if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function yBa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+16|0;d=c+8|0;e=c;zT(d,109960);if((f[a+80>>2]|0)!=2){f[e>>2]=0;f[e+4>>2]=0;g=YG(e,49)|0;h=392630;i=g+49|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));SQ(-215,e,392680,387968,1342)}if(!(_Da()|0)){f[e>>2]=0;f[e+4>>2]=0;g=YG(e,15)|0;h=399649;i=g+15|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));SQ(-215,e,392680,387968,1342)}if(!(f[d+4>>2]|0)){u=c;return}u=c;return}function zBa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=c-b>>3;e=a+8|0;g=f[e>>2]|0;h=f[a>>2]|0;i=h;if(d>>>0>g-h>>3>>>0){if(!h)j=g;else{g=a+4|0;k=f[g>>2]|0;if((k|0)==(i|0))l=h;else{m=k;do{k=m+-8|0;f[g>>2]=k;n=f[k>>2]|0;if(n|0?(o=n+4|0,p=f[o>>2]|0,f[o>>2]=p+-1,(p|0)==1):0)ai[f[(f[n>>2]|0)+8>>2]&2047](n);f[k>>2]=0;f[m+-4>>2]=0;m=f[g>>2]|0}while((m|0)!=(i|0));l=f[a>>2]|0}Emc(l);f[e>>2]=0;f[g>>2]=0;f[a>>2]=0;j=0}if(d>>>0>536870911)Ukc(a);g=j>>2;l=j>>3>>>0<268435455?(g>>>0<d>>>0?d:g):536870911;if(l>>>0>536870911)Ukc(a);g=Bmc(l<<3)|0;j=a+4|0;f[j>>2]=g;f[a>>2]=g;f[e>>2]=g+(l<<3);if((b|0)==(c|0))return;l=b;e=g;do{g=f[l>>2]|0;f[e>>2]=g;f[e+4>>2]=f[l+4>>2];if(g|0){m=g+4|0;f[m>>2]=(f[m>>2]|0)+1}l=l+8|0;e=(f[j>>2]|0)+8|0;f[j>>2]=e}while((l|0)!=(c|0));return}l=a+4|0;a=(f[l>>2]|0)-h>>3;h=d>>>0>a>>>0;d=b+(a<<3)|0;a=h?d:c;if((a|0)==(b|0))q=i;else{e=b;b=i;while(1){i=f[e>>2]|0;j=f[e+4>>2]|0;if(i|0){m=i+4|0;f[m>>2]=(f[m>>2]|0)+1}m=f[b>>2]|0;f[b>>2]=i;f[b+4>>2]=j;if(m|0?(j=m+4|0,i=f[j>>2]|0,f[j>>2]=i+-1,(i|0)==1):0)ai[f[(f[m>>2]|0)+8>>2]&2047](m);e=e+8|0;m=b+8|0;if((e|0)==(a|0)){q=m;break}else b=m}}if(h){if((a|0)==(c|0))return;a=d;d=f[l>>2]|0;do{h=f[a>>2]|0;f[d>>2]=h;f[d+4>>2]=f[a+4>>2];if(h|0){b=h+4|0;f[b>>2]=(f[b>>2]|0)+1}a=a+8|0;d=(f[l>>2]|0)+8|0;f[l>>2]=d}while((a|0)!=(c|0));return}else{c=f[l>>2]|0;if((c|0)==(q|0))return;else r=c;do{c=r+-8|0;f[l>>2]=c;a=f[c>>2]|0;if(a|0?(d=a+4|0,b=f[d>>2]|0,f[d>>2]=b+-1,(b|0)==1):0)ai[f[(f[a>>2]|0)+8>>2]&2047](a);f[c>>2]=0;f[r+-4>>2]=0;r=f[l>>2]|0}while((r|0)!=(q|0));return}}function ABa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=a+4|0;d=f[a>>2]|0;e=((f[c>>2]|0)-d|0)/12|0;g=e+1|0;if(g>>>0>357913941)Ukc(a);h=a+8|0;i=((f[h>>2]|0)-d|0)/12|0;d=i<<1;j=i>>>0<178956970?(d>>>0<g>>>0?g:d):357913941;do if(j)if(j>>>0>357913941){d=ye(8)|0;Jmc(d,511852);f[d>>2]=165276;Gf(d|0,26776,1555)}else{k=Bmc(j*12|0)|0;break}else k=0;while(0);d=k+(e*12|0)|0;e=d;g=k+(j*12|0)|0;fAa(d,b);b=d+12|0;j=f[a>>2]|0;k=f[c>>2]|0;if((k|0)==(j|0)){l=e;m=j;n=j}else{i=k;k=e;e=d;do{i=i+-12|0;fAa(e+-12|0,i);e=k+-12|0;k=e}while((i|0)!=(j|0));l=k;m=f[a>>2]|0;n=f[c>>2]|0}f[a>>2]=l;f[c>>2]=b;f[h>>2]=g;g=m;if((n|0)!=(g|0)){h=n;do{n=h;h=h+-12|0;b=f[h>>2]|0;if(b|0){c=n+-8|0;n=f[c>>2]|0;if((n|0)!=(b|0))f[c>>2]=n+(~((n+-4-b|0)>>>2)<<2);Emc(b)}}while((h|0)!=(g|0))}if(!m)return;Emc(m);return}function BBa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=d+4|0;GBa(d,f[e>>2]|0);g=d+8|0;f[g>>2]=0;f[d>>2]=e;f[e>>2]=0;h=Bmc(60)|0;i=h+16|0;j=h+20|0;f[h>>2]=0;f[h+4>>2]=0;k=h+8|0;l=i;m=l+40|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(m|0));b[i+40>>0]=0;f[k>>2]=e;f[e>>2]=h;f[d>>2]=h;RS(h,h);f[g>>2]=(f[g>>2]|0)+1;if((j|0)!=(c|0))hCa(j,f[c>>2]|0,f[c+4>>2]|0);c=f[a+20>>2]|0;j=a+24|0;if((c|0)==(j|0))return;else n=c;while(1){iCa(a,f[n+16>>2]|0,d);c=f[n+4>>2]|0;if(!c){g=n+8|0;h=f[g>>2]|0;if((f[h>>2]|0)==(n|0))o=h;else{h=g;do{g=f[h>>2]|0;h=g+8|0;e=f[h>>2]|0}while((f[e>>2]|0)!=(g|0));o=e}}else{h=c;while(1){e=f[h>>2]|0;if(!e)break;else h=e}o=h}if((o|0)==(j|0))break;else n=o}return}function CBa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;c=a+4|0;d=f[c>>2]|0;do if(d){e=f[b>>2]|0;g=f[b+4>>2]|0;h=a+4|0;i=d;j=d;a:while(1){k=f[i+16>>2]|0;do if((e|0)>=(k|0)){l=(e|0)==(k|0);if(l?(g|0)<(f[i+20>>2]|0):0){m=7;break}if((k|0)>=(e|0)){if(!l){m=14;break a}if((f[i+20>>2]|0)>=(g|0)){m=14;break a}}n=i+4|0;l=f[n>>2]|0;if(!l){m=13;break a}else{o=n;p=l}}else m=7;while(0);if((m|0)==7){m=0;k=f[i>>2]|0;if(!k){m=8;break}else{o=i;p=k}}h=o;i=p;j=p}if((m|0)==8){q=i;r=i;break}else if((m|0)==13){q=n;r=i;break}else if((m|0)==14){s=h;t=i;u=j;m=16;break}}else{s=c;t=c;u=d;m=16}while(0);if((m|0)==16)if(!u){q=s;r=t}else{v=u;w=v+24|0;return w|0}u=Bmc(28)|0;t=b;b=f[t+4>>2]|0;s=u+16|0;f[s>>2]=f[t>>2];f[s+4>>2]=b;f[u+24>>2]=0;f[u>>2]=0;f[u+4>>2]=0;f[u+8>>2]=r;f[q>>2]=u;r=f[f[a>>2]>>2]|0;if(!r)x=u;else{f[a>>2]=r;x=f[q>>2]|0}RS(f[a+4>>2]|0,x);x=a+8|0;f[x>>2]=(f[x>>2]|0)+1;v=u;w=v+24|0;return w|0}function DBa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0;e=u;u=u+176|0;g=e;h=e+160|0;i=e+144|0;j=e+136|0;k=e+120|0;l=e+108|0;m=e+100|0;n=e+96|0;o=e+88|0;p=e+32|0;q=e+104|0;r=e+24|0;s=e+92|0;t=e+8|0;f[q>>2]=c;zT(r,110104);c=a+20|0;v=mBa(c,q)|0;w=v+204|0;if(!(f[w>>2]|0)){x=v+60|0;y=v+64|0;z=f[x>>2]|0;A=(f[y>>2]|0)-z>>3;B=(A|0)==0;a:do if(B)C=v+76|0;else{D=v+72|0;E=v+76|0;F=v+76|0;G=v+80|0;H=0;I=z;while(1){J=I+(H<<3)|0;K=f[E>>2]|0;do if(K){L=f[J>>2]|0;M=F;N=K;while(1){O=f[N+16>>2]|0;if((L|0)<(O|0)){P=f[N>>2]|0;if(!P){Q=12;break}else{R=N;S=P}}else{if((O|0)>=(L|0)){Q=16;break}T=N+4|0;O=f[T>>2]|0;if(!O){Q=15;break}else{R=T;S=O}}M=R;N=S}if((Q|0)==12){Q=0;U=N;V=N;break}else if((Q|0)==15){Q=0;U=T;V=N;break}else if((Q|0)==16){Q=0;U=M;V=N;break}}else{U=E;V=E}while(0);if(!(f[U>>2]|0)){K=Bmc(20)|0;f[K+16>>2]=f[J>>2];f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=V;f[U>>2]=K;L=f[f[D>>2]>>2]|0;if(!L)W=K;else{f[D>>2]=L;W=f[U>>2]|0}RS(f[F>>2]|0,W);f[G>>2]=(f[G>>2]|0)+1}L=H+1|0;if(L>>>0>=A>>>0){C=E;break a}H=L;I=f[x>>2]|0}}while(0);W=f[v+72>>2]|0;if((W|0)!=(C|0)){U=W;while(1){DBa(a,f[U+16>>2]|0,d);W=f[U+4>>2]|0;if(!W){V=U+8|0;T=f[V>>2]|0;if((f[T>>2]|0)==(U|0))X=T;else{T=V;do{V=f[T>>2]|0;T=V+8|0;S=f[T>>2]|0}while((f[S>>2]|0)!=(V|0));X=S}}else{T=W;while(1){S=f[T>>2]|0;if(!S)break;else T=S}X=T}if((X|0)==(C|0))break;else U=X}f[s>>2]=U}b:do if(!(f[v>>2]|0)){U=a+4|0;s=f[U>>2]|0;X=(f[s+76>>2]|0)-(f[s+72>>2]|0)|0;s=(X|0)/56|0;C=v+120|0;W=v+124|0;S=f[W>>2]|0;V=f[C>>2]|0;R=S-V>>3;z=V;V=S;if(s>>>0<=R>>>0){if(s>>>0<R>>>0?(S=z+(s<<3)|0,(V|0)!=(S|0)):0){z=V;do{V=z+-8|0;f[W>>2]=V;I=f[V>>2]|0;if(I|0?(H=I+4|0,E=f[H>>2]|0,f[H>>2]=E+-1,(E|0)==1):0)ai[f[(f[I>>2]|0)+8>>2]&2047](I);f[V>>2]=0;f[z+-4>>2]=0;z=f[W>>2]|0}while((z|0)!=(S|0))}}else WBa(C,s-R|0);if(X|0){S=g+4|0;z=0;do{LBa(g,a,(f[(f[U>>2]|0)+72>>2]|0)+(z*56|0)|0);W=f[C>>2]|0;T=W+(z<<3)|0;V=f[g>>2]|0;I=f[S>>2]|0;if(V|0){E=V+4|0;f[E>>2]=(f[E>>2]|0)+1}E=f[T>>2]|0;f[T>>2]=V;f[W+(z<<3)+4>>2]=I;if(E|0?(I=E+4|0,W=f[I>>2]|0,f[I>>2]=W+-1,(W|0)==1):0)ai[f[(f[E>>2]|0)+8>>2]&2047](E);E=f[g>>2]|0;if(E|0?(W=E+4|0,I=f[W>>2]|0,f[W>>2]=I+-1,(I|0)==1):0)ai[f[(f[E>>2]|0)+8>>2]&2047](E);z=z+1|0}while(z>>>0<s>>>0)}}else{s=v+164|0;z=v+168|0;S=f[z>>2]|0;C=f[s>>2]|0;U=S-C>>2;X=C;C=S;if(A>>>0<=U>>>0){if(A>>>0<U>>>0?(S=X+(A<<2)|0,(C|0)!=(S|0)):0)f[z>>2]=C+(~((C+-4-S|0)>>>2)<<2)}else iAa(s,A-U|0);U=v+120|0;S=v+124|0;C=f[S>>2]|0;z=f[U>>2]|0;X=C-z>>3;R=z;z=C;if(A>>>0<=X>>>0){if(A>>>0<X>>>0?(C=R+(A<<3)|0,(z|0)!=(C|0)):0){R=z;do{z=R+-8|0;f[S>>2]=z;E=f[z>>2]|0;if(E|0?(I=E+4|0,W=f[I>>2]|0,f[I>>2]=W+-1,(W|0)==1):0)ai[f[(f[E>>2]|0)+8>>2]&2047](E);f[z>>2]=0;f[R+-4>>2]=0;R=f[S>>2]|0}while((R|0)!=(C|0))}}else WBa(U,A-X|0);if(!B){C=g+4|0;R=0;while(1){S=(f[x>>2]|0)+(R<<3)|0;z=f[S>>2]|0;E=f[S+4>>2]|0;S=g;f[S>>2]=z;f[S+4>>2]=E;if((z|E|0)<=-1)break;E=mBa(c,g)|0;f[(f[s>>2]|0)+(R<<2)>>2]=(f[E+152>>2]|0)+((f[C>>2]|0)*56|0);E=mBa(c,g)|0;z=f[C>>2]|0;S=f[E+108>>2]|0;E=f[U>>2]|0;W=E+(R<<3)|0;I=f[S+(z<<3)>>2]|0;V=f[S+(z<<3)+4>>2]|0;if(I|0){z=I+4|0;f[z>>2]=(f[z>>2]|0)+1}z=f[W>>2]|0;f[W>>2]=I;f[E+(R<<3)+4>>2]=V;if(z|0?(V=z+4|0,E=f[V>>2]|0,f[V>>2]=E+-1,(E|0)==1):0)ai[f[(f[z>>2]|0)+8>>2]&2047](z);R=R+1|0;if(R>>>0>=A>>>0)break b}f[h>>2]=0;f[h+4>>2]=0;Z=YG(h,12)|0;_=393964;$=Z+12|0;do{b[Z>>0]=b[_>>0]|0;Z=Z+1|0;_=_+1|0}while((Z|0)<($|0));SQ(-215,h,393977,387968,1606)}}while(0);A=f[q>>2]|0;q=d+4|0;d=f[q>>2]|0;if(!d){f[g>>2]=0;aa=g+4|0;f[aa>>2]=0;ba=YG(g,35)|0;Z=ba;_=393991;$=Z+35|0;do{b[Z>>0]=b[_>>0]|0;Z=Z+1|0;_=_+1|0}while((Z|0)<($|0));SQ(-215,g,393977,387968,1615)}else{ca=q;da=d}c:while(1){d=da;while(1){if((f[d+16>>2]|0)>=(A|0))break;c=f[d+4>>2]|0;if(!c){ea=ca;break c}else d=c}da=f[d>>2]|0;if(!da){ea=d;break}else ca=d}if((ea|0)==(q|0)){f[g>>2]=0;aa=g+4|0;f[aa>>2]=0;ba=YG(g,35)|0;Z=ba;_=393991;$=Z+35|0;do{b[Z>>0]=b[_>>0]|0;Z=Z+1|0;_=_+1|0}while((Z|0)<($|0));SQ(-215,g,393977,387968,1615)}if((f[ea+16>>2]|0)>(A|0)){f[g>>2]=0;aa=g+4|0;f[aa>>2]=0;ba=YG(g,35)|0;Z=ba;_=393991;$=Z+35|0;do{b[Z>>0]=b[_>>0]|0;Z=Z+1|0;_=_+1|0}while((Z|0)<($|0));SQ(-215,g,393977,387968,1615)}f[t>>2]=0;ba=t+4|0;f[ba>>2]=0;f[t+8>>2]=0;aa=a+44|0;if((f[a+80>>2]|0)==3)fa=(f[a+84>>2]|0)==2;else fa=0;zT(j,110124);A=f[t>>2]|0;q=f[ba>>2]|0;if((q|0)!=(A|0))f[ba>>2]=q+(~((q+-8-A|0)>>>3)<<3);A=v+152|0;q=v+176|0;ca=ea+32|0;XBa(k,ea+44|0);da=ea+36|0;c=((f[da>>2]|0)-(f[ca>>2]|0)|0)/12|0;sD(A,c>>>0>1?c:1);c=k+4|0;sD(q,((f[c>>2]|0)-(f[k>>2]|0)|0)/12|0);if((f[v+92>>2]|0)>>>0>(((f[da>>2]|0)-(f[ca>>2]|0)|0)/12|0)>>>0){f[g>>2]=0;f[g+4>>2]=0;Z=YG(g,45)|0;_=394027;$=Z+45|0;do{b[Z>>0]=b[_>>0]|0;Z=Z+1|0;_=_+1|0}while((Z|0)<($|0));SQ(-215,g,394073,387968,773)}if((b[ea+56>>0]|0)!=0?((f[v+168>>2]|0)-(f[v+164>>2]|0)|0)==4:0)ga=(YBa(aa,f[v+60>>2]|0)|0)==1;else ga=0;XBa(l,ca);ea=l+4|0;f[m>>2]=f[ea>>2];f[n>>2]=f[k>>2];f[o>>2]=f[c>>2];f[i>>2]=f[m>>2];f[h>>2]=f[n>>2];f[g>>2]=f[o>>2];ZBa(l,i,h,g)|0;f[h>>2]=0;o=h+4|0;f[o>>2]=0;f[h+8>>2]=0;n=v+156|0;m=f[A>>2]|0;d:do if((f[n>>2]|0)!=(m|0)){B=h+8|0;R=0;U=m;C=0;s=0;while(1){X=U+(R*56|0)|0;f[g>>2]=X;if((C|0)==(s|0))_Ba(h,g);else{f[C>>2]=X;f[o>>2]=(f[o>>2]|0)+4}X=R+1|0;z=f[A>>2]|0;if(X>>>0>=(((f[n>>2]|0)-z|0)/56|0)>>>0)break d;R=X;U=z;C=f[o>>2]|0;s=f[B>>2]|0}}while(0);m=v+180|0;B=f[q>>2]|0;e:do if((f[m>>2]|0)!=(B|0)){s=h+8|0;C=g+4|0;U=t+8|0;R=0;d=B;f:while(1){z=d+(R*56|0)|0;f[g>>2]=z;X=f[o>>2]|0;if((X|0)==(f[s>>2]|0))_Ba(h,g);else{f[X>>2]=z;f[o>>2]=(f[o>>2]|0)+4}z=f[k>>2]|0;X=f[z+(R*12|0)+4>>2]|0;E=f[z+(R*12|0)>>2]|0;z=X-E|0;V=z>>2;I=E;do if((I|0)!=(X|0)){if((z|0)<=-4)break f;if((z|0)>0){E=0;W=1;do{W=Y(f[I+(E<<2)>>2]|0,W)|0;E=E+1|0}while((E|0)<(V|0));if(!W)break}E=(((f[n>>2]|0)-(f[A>>2]|0)|0)/56|0)+R|0;f[g>>2]=f[v>>2];f[C>>2]=E;E=f[ba>>2]|0;if((E|0)==(f[U>>2]|0))YAa(t,g);else{N=g;M=f[N+4>>2]|0;S=E;f[S>>2]=f[N>>2];f[S+4>>2]=M;f[ba>>2]=(f[ba>>2]|0)+8}}while(0);R=R+1|0;d=f[q>>2]|0;if(R>>>0>=(((f[m>>2]|0)-d|0)/56|0)>>>0)break e}f[g>>2]=0;f[g+4>>2]=0;Z=YG(g,70)|0;_=475084;$=Z+70|0;do{b[Z>>0]=b[_>>0]|0;Z=Z+1|0;_=_+1|0}while((Z|0)<($|0));SQ(-215,g,475155,475161,161)}while(0);B=f[ba>>2]|0;d=f[t>>2]|0;if((B|0)!=(d|0)){R=a+48|0;U=0;C=B;B=d;while(1){d=B;s=d+(U<<3)|0;V=f[R>>2]|0;do if(V){I=f[s>>2]|0;z=f[d+(U<<3)+4>>2]|0;X=R;J=V;g:while(1){M=J;while(1){S=f[M+16>>2]|0;if((S|0)>=(I|0)){if((S|0)!=(I|0))break;if((f[M+20>>2]|0)>=(z|0))break}S=f[M+4>>2]|0;if(!S){ha=X;break g}else M=S}J=f[M>>2]|0;if(!J){ha=M;break}else X=M}if((ha|0)!=(R|0)){X=f[ha+16>>2]|0;if((I|0)<(X|0)){Q=113;break}if((I|0)==(X|0)?(z|0)<(f[ha+20>>2]|0):0){Q=113;break}X=ha+24|0;f[X>>2]=(f[X>>2]|0)+1;ia=B;ja=C}else Q=113}else Q=113;while(0);if((Q|0)==113){Q=0;V=CBa(aa,s)|0;f[V>>2]=1;ia=f[t>>2]|0;ja=f[ba>>2]|0}U=U+1|0;if(U>>>0>=ja-ia>>3>>>0)break;else{C=ja;B=ia}}}ia=i+4|0;f[ia>>2]=0;B=i+8|0;f[B>>2]=0;ja=i+4|0;f[i>>2]=ja;f[p>>2]=0;C=f[l>>2]|0;do if((f[ea>>2]|0)!=(C|0)){U=C;ha=0;h:while(1){R=U;V=f[R+(ha*12|0)+4>>2]|0;d=f[R+(ha*12|0)>>2]|0;R=V-d|0;X=R>>2;J=d;do if((J|0)==(V|0))ka=0;else{if((R|0)<=-4){Q=138;break h}if((R|0)>0){la=0;ma=1}else{ka=1;break}while(1){d=Y(f[J+(la<<2)>>2]|0,ma)|0;la=la+1|0;if((la|0)>=(X|0)){ka=d;break}else ma=d}}while(0);X=f[ja>>2]|0;do if(X){J=ia;R=X;V=X;while(1){z=f[R+16>>2]|0;if((ka|0)<(z|0)){I=f[R>>2]|0;if(!I){Q=144;break}else{na=R;oa=I}}else{if((z|0)>=(ka|0)){Q=148;break}pa=R+4|0;z=f[pa>>2]|0;if(!z){Q=147;break}else{na=pa;oa=z}}J=na;R=oa;V=oa}if((Q|0)==144){Q=0;qa=R;ra=R;Q=150;break}else if((Q|0)==147){Q=0;qa=pa;ra=R;Q=150;break}else if((Q|0)==148){Q=0;sa=J;ta=R;ua=V;Q=149;break}}else{sa=ja;ta=ja;ua=X;Q=149}while(0);if((Q|0)==149){Q=0;if(!ua){qa=sa;ra=ta;Q=150}else va=ua}if((Q|0)==150){Q=0;X=Bmc(32)|0;f[X+16>>2]=ka;f[X+20>>2]=0;f[X+24>>2]=0;f[X+28>>2]=0;f[X>>2]=0;f[X+4>>2]=0;f[X+8>>2]=ra;f[qa>>2]=X;z=f[f[i>>2]>>2]|0;if(!z)wa=X;else{f[i>>2]=z;wa=f[qa>>2]|0}RS(f[ia>>2]|0,wa);f[B>>2]=(f[B>>2]|0)+1;va=X}X=va+24|0;z=f[X>>2]|0;if((z|0)==(f[va+28>>2]|0))MR(va+20|0,p);else{f[z>>2]=f[p>>2];f[X>>2]=z+4}ha=(f[p>>2]|0)+1|0;f[p>>2]=ha;U=f[l>>2]|0;if(ha>>>0>=(((f[ea>>2]|0)-U|0)/12|0)>>>0){Q=132;break}}if((Q|0)==132){xa=f[i>>2]|0;break}else if((Q|0)==138){f[g>>2]=0;f[g+4>>2]=0;Z=YG(g,70)|0;_=475084;$=Z+70|0;do{b[Z>>0]=b[_>>0]|0;Z=Z+1|0;_=_+1|0}while((Z|0)<($|0));SQ(-215,g,475155,475161,161)}}else xa=ja;while(0);i:do if((ja|0)!=(xa|0)){va=g+4|0;B=ga^1;wa=v+164|0;ia=p+36|0;qa=p+16|0;ra=p+4|0;ka=p+40|0;ua=p+44|0;ta=p+48|0;sa=v+60|0;pa=p+8|0;oa=p+12|0;na=p+20|0;ma=p+24|0;la=p+28|0;C=p+32|0;U=ja;ha=ja;j:while(1){s=U;z=0;while(1){ya=f[ha>>2]|0;za=(ya|0)==0;if(za){X=s;while(1){I=f[X+8>>2]|0;if((f[I>>2]|0)==(X|0))X=I;else{Aa=I;break}}}else{X=ya;while(1){V=f[X+4>>2]|0;if(!V){Aa=X;break}else X=V}}X=Aa+20|0;if(z>>>0>=(f[X+4>>2]|0)-(f[X>>2]|0)>>2>>>0)break;if(za){X=s;while(1){V=f[X+8>>2]|0;if((f[V>>2]|0)==(X|0))X=V;else{Ba=V;break}}}else{X=ya;while(1){V=f[X+4>>2]|0;if(!V){Ba=X;break}else X=V}}X=f[(f[Ba+20>>2]|0)+(z<<2)>>2]|0;V=f[l>>2]|0;R=V+(X*12|0)|0;J=f[V+(X*12|0)+4>>2]|0;V=f[R>>2]|0;I=J-V|0;M=I>>2;d=V;do if((d|0)!=(J|0)){if((I|0)<=-4){Q=171;break j}V=(I|0)>0;if(V){W=0;S=1;do{S=Y(f[d+(W<<2)>>2]|0,S)|0;W=W+1|0}while((W|0)<(M|0));if(!S)break}f[g>>2]=f[v>>2];f[va>>2]=X;if(X>>>0>=(((f[da>>2]|0)-(f[ca>>2]|0)|0)/12|0)>>>0|B)aCa(aa,R,g,f[(f[h>>2]|0)+(X<<2)>>2]|0,fa);else{W=f[f[wa>>2]>>2]|0;N=f[W+4>>2]|0;if((N|0)<3)Ca=Y(f[W+12>>2]|0,f[W+8>>2]|0)|0;else{E=f[W+40>>2]|0;T=0;H=1;while(1){G=Y(f[E+(T<<2)>>2]|0,H)|0;T=T+1|0;if((T|0)==(N|0)){Ca=G;break}else H=G}}if(V){H=0;N=1;while(1){T=Y(f[d+(H<<2)>>2]|0,N)|0;H=H+1|0;if((H|0)>=(M|0)){Da=T;break}else N=T}}else Da=1;if((Ca|0)!=(Da|0)){Q=182;break j}zP(p,W,1,R);N=f[A>>2]|0;H=N+(X*56|0)|0;if((H|0)!=(p|0)){V=f[ia>>2]|0;if(V|0){T=V+12|0;f[T>>2]=(f[T>>2]|0)+1}T=N+(X*56|0)+36|0;V=f[T>>2]|0;do if(V|0){E=V+12|0;S=f[E>>2]|0;f[E>>2]=S+-1;if((S|0)!=1)break;lP(H)}while(0);f[T>>2]=0;V=N+(X*56|0)+16|0;W=N+(X*56|0)+4|0;f[V>>2]=0;f[V+4>>2]=0;f[V+8>>2]=0;f[V+12>>2]=0;if((f[W>>2]|0)>0){S=f[N+(X*56|0)+40>>2]|0;E=0;do{f[S+(E<<2)>>2]=0;E=E+1|0;Ea=f[W>>2]|0}while((E|0)<(Ea|0));f[H>>2]=f[p>>2];if((Ea|0)<3)Q=194;else Q=196}else{f[H>>2]=f[p>>2];Q=194}do if((Q|0)==194){Q=0;E=f[ra>>2]|0;if((E|0)>=3){Q=196;break}f[W>>2]=E;f[N+(X*56|0)+8>>2]=f[pa>>2];f[N+(X*56|0)+12>>2]=f[oa>>2];E=f[ua>>2]|0;S=f[N+(X*56|0)+44>>2]|0;f[S>>2]=f[E>>2];f[S+4>>2]=f[E+4>>2]}while(0);if((Q|0)==196){Q=0;kP(H,p)}f[V>>2]=f[qa>>2];f[N+(X*56|0)+20>>2]=f[na>>2];f[N+(X*56|0)+24>>2]=f[ma>>2];f[N+(X*56|0)+28>>2]=f[la>>2];f[N+(X*56|0)+32>>2]=f[C>>2];f[T>>2]=f[ia>>2]}W=f[ia>>2]|0;do if(W|0){E=W+12|0;S=f[E>>2]|0;f[E>>2]=S+-1;if((S|0)!=1)break;lP(p)}while(0);f[ia>>2]=0;f[qa>>2]=0;f[qa+4>>2]=0;f[qa+8>>2]=0;f[qa+12>>2]=0;if((f[ra>>2]|0)>0){W=f[ka>>2]|0;T=0;do{f[W+(T<<2)>>2]=0;T=T+1|0}while((T|0)<(f[ra>>2]|0))}T=f[ua>>2]|0;if((T|0)!=(ta|0))tE(T);$Ba(aa,f[sa>>2]|0,g)}}while(0);z=z+1|0}if(za){z=s;while(1){X=f[z+8>>2]|0;if((f[X>>2]|0)==(z|0))z=X;else{Fa=X;break}}}else{z=ya;while(1){s=f[z+4>>2]|0;if(!s){Fa=z;break}else z=s}}if((Fa|0)==(f[i>>2]|0))break i;else{U=Fa;ha=Fa}}if((Q|0)==171){f[g>>2]=0;f[g+4>>2]=0;Z=YG(g,70)|0;_=475084;$=Z+70|0;do{b[Z>>0]=b[_>>0]|0;Z=Z+1|0;_=_+1|0}while((Z|0)<($|0));SQ(-215,g,475155,475161,161)}else if((Q|0)==182){f[p>>2]=0;f[p+4>>2]=0;Z=YG(p,49)|0;_=394095;$=Z+49|0;do{b[Z>>0]=b[_>>0]|0;Z=Z+1|0;_=_+1|0}while((Z|0)<($|0));SQ(-215,p,394073,387968,824)}}while(0);bCa(i,f[ja>>2]|0);ja=f[h>>2]|0;if(ja|0){p=f[o>>2]|0;if((p|0)!=(ja|0))f[o>>2]=p+(~((p+-4-ja|0)>>>2)<<2);Emc(ja)}ja=f[l>>2]|0;if(ja|0){p=f[ea>>2]|0;if((p|0)==(ja|0))Ga=ja;else{o=p;while(1){p=o+-12|0;f[ea>>2]=p;_=f[p>>2]|0;if(!_)Ha=p;else{p=o+-8|0;Fa=f[p>>2]|0;if((Fa|0)!=(_|0))f[p>>2]=Fa+(~((Fa+-4-_|0)>>>2)<<2);Emc(_);Ha=f[ea>>2]|0}if((Ha|0)==(ja|0))break;else o=Ha}Ga=f[l>>2]|0}Emc(Ga)}Ga=f[k>>2]|0;if(Ga|0){l=f[c>>2]|0;if((l|0)==(Ga|0))Ia=Ga;else{Ha=l;while(1){l=Ha+-12|0;f[c>>2]=l;o=f[l>>2]|0;if(!o)Ja=l;else{l=Ha+-8|0;ja=f[l>>2]|0;if((ja|0)!=(o|0))f[l>>2]=ja+(~((ja+-4-o|0)>>>2)<<2);Emc(o);Ja=f[c>>2]|0}if((Ja|0)==(Ga|0))break;else Ha=Ja}Ia=f[k>>2]|0}Emc(Ia)}Ia=v+108|0;Ja=((f[n>>2]|0)-(f[A>>2]|0)|0)/56|0;Ha=v+112|0;Ga=f[Ha>>2]|0;c=f[Ia>>2]|0;o=Ga-c>>3;ja=c;c=Ga;do if(Ja>>>0>o>>>0)WBa(Ia,Ja-o|0);else{if(Ja>>>0>=o>>>0)break;Ga=ja+(Ja<<3)|0;if((c|0)==(Ga|0))break;else Ka=c;do{l=Ka+-8|0;f[Ha>>2]=l;ea=f[l>>2]|0;do if(ea|0){_=ea+4|0;Fa=f[_>>2]|0;f[_>>2]=Fa+-1;if((Fa|0)!=1)break;ai[f[(f[ea>>2]|0)+8>>2]&2047](ea)}while(0);f[l>>2]=0;f[Ka+-4>>2]=0;Ka=f[Ha>>2]|0}while((Ka|0)!=(Ga|0))}while(0);Ka=f[A>>2]|0;if((f[n>>2]|0)!=(Ka|0)){Ha=g+4|0;c=0;Ja=Ka;do{LBa(g,a,Ja+(c*56|0)|0);Ka=f[Ia>>2]|0;ja=Ka+(c<<3)|0;o=f[g>>2]|0;Ga=f[Ha>>2]|0;if(o|0){ea=o+4|0;f[ea>>2]=(f[ea>>2]|0)+1}ea=f[ja>>2]|0;f[ja>>2]=o;f[Ka+(c<<3)+4>>2]=Ga;do if(ea|0){Ga=ea+4|0;Ka=f[Ga>>2]|0;f[Ga>>2]=Ka+-1;if((Ka|0)!=1)break;ai[f[(f[ea>>2]|0)+8>>2]&2047](ea)}while(0);ea=f[g>>2]|0;do if(ea|0){Ka=ea+4|0;Ga=f[Ka>>2]|0;f[Ka>>2]=Ga+-1;if((Ga|0)!=1)break;ai[f[(f[ea>>2]|0)+8>>2]&2047](ea)}while(0);c=c+1|0;Ja=f[A>>2]|0}while(c>>>0<(((f[n>>2]|0)-Ja|0)/56|0)>>>0)}Ja=v+132|0;n=((f[m>>2]|0)-(f[q>>2]|0)|0)/56|0;c=v+136|0;Ha=f[c>>2]|0;Ia=f[Ja>>2]|0;ea=Ha-Ia>>3;Ga=Ia;Ia=Ha;do if(n>>>0>ea>>>0)WBa(Ja,n-ea|0);else{if(n>>>0>=ea>>>0)break;Ha=Ga+(n<<3)|0;if((Ia|0)==(Ha|0))break;else La=Ia;do{Ka=La+-8|0;f[c>>2]=Ka;o=f[Ka>>2]|0;do if(o|0){ja=o+4|0;Fa=f[ja>>2]|0;f[ja>>2]=Fa+-1;if((Fa|0)!=1)break;ai[f[(f[o>>2]|0)+8>>2]&2047](o)}while(0);f[Ka>>2]=0;f[La+-4>>2]=0;La=f[c>>2]|0}while((La|0)!=(Ha|0))}while(0);La=f[q>>2]|0;if((f[m>>2]|0)!=(La|0)){c=g+4|0;Ia=0;n=La;do{LBa(g,a,n+(Ia*56|0)|0);La=f[Ja>>2]|0;Ga=La+(Ia<<3)|0;ea=f[g>>2]|0;Ha=f[c>>2]|0;if(ea|0){o=ea+4|0;f[o>>2]=(f[o>>2]|0)+1}o=f[Ga>>2]|0;f[Ga>>2]=ea;f[La+(Ia<<3)+4>>2]=Ha;do if(o|0){Ha=o+4|0;La=f[Ha>>2]|0;f[Ha>>2]=La+-1;if((La|0)!=1)break;ai[f[(f[o>>2]|0)+8>>2]&2047](o)}while(0);o=f[g>>2]|0;do if(o|0){La=o+4|0;Ha=f[La>>2]|0;f[La>>2]=Ha+-1;if((Ha|0)!=1)break;ai[f[(f[o>>2]|0)+8>>2]&2047](o)}while(0);Ia=Ia+1|0;n=f[q>>2]|0}while(Ia>>>0<(((f[m>>2]|0)-n|0)/56|0)>>>0)}aBa(j,v);n=v+164|0;m=v+168|0;v=f[m>>2]|0;Ia=f[n>>2]|0;q=v-Ia>>2;f[k>>2]=0;c=k+4|0;f[c>>2]=0;f[k+8>>2]=0;if(!q){Ma=Ia;Na=0;Oa=v}else{if(q>>>0>76695844)Ukc(k);v=q*56|0;Ia=Bmc(v)|0;f[c>>2]=Ia;f[k>>2]=Ia;f[k+8>>2]=Ia+(q*56|0);Ja=Ia+v|0;v=q;q=Ia;while(1){f[q>>2]=1124007936;o=q+8|0;Ha=q+40|0;Z=q+4|0;$=Z+36|0;do{f[Z>>2]=0;Z=Z+4|0}while((Z|0)<($|0));f[Ha>>2]=o;La=q+48|0;f[q+44>>2]=La;f[La>>2]=0;f[q+52>>2]=0;v=v+-1|0;if(!v)break;else q=q+56|0}f[c>>2]=Ja;Ma=f[n>>2]|0;Na=Ia;Oa=f[m>>2]|0}k:do if((Oa|0)!=(Ma|0)){Ia=0;Ja=Oa;c=Ma;q=Na;while(1){v=f[c+(Ia<<2)>>2]|0;Z=q+(Ia*56|0)|0;if((Z|0)==(v|0)){Pa=c;Qa=Ja}else{$=v+36|0;La=f[$>>2]|0;if(La|0){ea=La+12|0;f[ea>>2]=(f[ea>>2]|0)+1}ea=q+(Ia*56|0)+36|0;La=f[ea>>2]|0;do if(La|0){Ga=La+12|0;l=f[Ga>>2]|0;f[Ga>>2]=l+-1;if((l|0)!=1)break;lP(Z)}while(0);f[ea>>2]=0;La=q+(Ia*56|0)+16|0;Ka=q+(Ia*56|0)+4|0;f[La>>2]=0;f[La+4>>2]=0;f[La+8>>2]=0;f[La+12>>2]=0;if((f[Ka>>2]|0)>0){l=f[q+(Ia*56|0)+40>>2]|0;Ga=0;do{f[l+(Ga<<2)>>2]=0;Ga=Ga+1|0;Ra=f[Ka>>2]|0}while((Ga|0)<(Ra|0));f[Z>>2]=f[v>>2];if((Ra|0)<3)Q=293;else Q=295}else{f[Z>>2]=f[v>>2];Q=293}do if((Q|0)==293){Q=0;Ga=f[v+4>>2]|0;if((Ga|0)>=3){Q=295;break}f[Ka>>2]=Ga;f[q+(Ia*56|0)+8>>2]=f[v+8>>2];f[q+(Ia*56|0)+12>>2]=f[v+12>>2];Ga=f[v+44>>2]|0;l=f[q+(Ia*56|0)+44>>2]|0;f[l>>2]=f[Ga>>2];f[l+4>>2]=f[Ga+4>>2]}while(0);if((Q|0)==295){Q=0;kP(Z,v)}f[La>>2]=f[v+16>>2];f[q+(Ia*56|0)+20>>2]=f[v+20>>2];f[q+(Ia*56|0)+24>>2]=f[v+24>>2];f[q+(Ia*56|0)+28>>2]=f[v+28>>2];f[q+(Ia*56|0)+32>>2]=f[v+32>>2];f[ea>>2]=f[$>>2];Pa=f[n>>2]|0;Qa=f[m>>2]|0}Ka=Ia+1|0;if(Ka>>>0>=Qa-Pa>>2>>>0)break k;Ia=Ka;Ja=Qa;c=Pa;q=f[k>>2]|0}}while(0);Pa=j+4|0;Qa=f[Pa>>2]|0;zT(g,110144);g=f[(f[Qa>>2]|0)+36>>2]|0;f[h+8>>2]=0;f[h+12>>2]=0;f[h>>2]=17104896;f[h+4>>2]=k;m=i+8|0;f[m>>2]=0;f[m+4>>2]=0;f[i>>2]=33882112;f[i+4>>2]=A;Yh[g&511](Qa,h,i);f[(f[Pa>>2]|0)+32>>2]=f[a+84>>2];rt(k);k=f[x>>2]|0;if((f[y>>2]|0)!=(k|0)){a=0;Pa=k;do{cCa(aa,Pa+(a<<3)|0);a=a+1|0;Pa=f[x>>2]|0}while(a>>>0<(f[y>>2]|0)-Pa>>3>>>0)}Pa=f[t>>2]|0;if((f[ba>>2]|0)!=(Pa|0)){y=0;a=Pa;do{cCa(aa,a+(y<<3)|0);y=y+1|0;a=f[t>>2]|0}while(y>>>0<(f[ba>>2]|0)-a>>3>>>0)}f[w>>2]=1;w=f[j>>2]|0;do if(w|0){j=w+4|0;a=f[j>>2]|0;f[j>>2]=a+-1;if((a|0)!=1)break;ai[f[(f[w>>2]|0)+8>>2]&2047](w)}while(0);w=f[t>>2]|0;if(w|0){t=f[ba>>2]|0;if((t|0)!=(w|0))f[ba>>2]=t+(~((t+-8-w|0)>>>3)<<3);Emc(w)}}if(!(f[r+4>>2]|0)){u=e;return}u=e;return}function EBa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=a+8|0;e=f[d>>2]|0;g=a+4|0;h=f[g>>2]|0;i=h;if(e-h>>3>>>0>=b>>>0){j=b;k=i;while(1){l=c;m=f[l+4>>2]|0;n=k;f[n>>2]=f[l>>2];f[n+4>>2]=m;j=j+-1|0;if(!j)break;else k=k+8|0}f[g>>2]=i+(b<<3);return}i=f[a>>2]|0;k=h-i|0;h=k>>3;j=h+b|0;if(j>>>0>536870911)Ukc(a);m=e-i|0;e=m>>2;n=m>>3>>>0<268435455?(e>>>0<j>>>0?j:e):536870911;do if(n)if(n>>>0>536870911){e=ye(8)|0;Jmc(e,511852);f[e>>2]=165276;Gf(e|0,26776,1555)}else{o=Bmc(n<<3)|0;break}else o=0;while(0);e=o+(h<<3)|0;j=o+(n<<3)|0;n=b;o=e;while(1){m=c;l=f[m+4>>2]|0;p=o;f[p>>2]=f[m>>2];f[p+4>>2]=l;n=n+-1|0;if(!n)break;else o=o+8|0}o=e+(0-h<<3)|0;if((k|0)>0)Krc(o|0,i|0,k|0)|0;f[a>>2]=o;f[g>>2]=e+(b<<3);f[d>>2]=j;if(!i)return;Emc(i);return}function FBa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0;d=u;u=u+304|0;e=d+104|0;g=d+300|0;h=d+56|0;i=d+288|0;j=d+272|0;k=d+256|0;l=d;m=d+280|0;n=d+200|0;o=d+184|0;p=d+136|0;if(!(b[a+117>>0]|0)){u=d;return}q=a+80|0;if((f[q>>2]&-2|0)!=2){u=d;return}zT(j,110040);j=f[c>>2]|0;r=f[c+4>>2]|0;c=k+4|0;f[c>>2]=0;s=k+8|0;f[s>>2]=0;t=k+4|0;f[k>>2]=t;if((j|0)!=(r|0)){v=t;w=j;do{f[i>>2]=v;f[e>>2]=f[i>>2];j=HBa(k,e,g,h,w)|0;if(!(f[j>>2]|0)){x=Bmc(24)|0;y=w;z=f[y+4>>2]|0;A=x+16|0;f[A>>2]=f[y>>2];f[A+4>>2]=z;z=f[g>>2]|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=z;f[j>>2]=x;z=f[f[k>>2]>>2]|0;if(!z)B=x;else{f[k>>2]=z;B=f[j>>2]|0}RS(f[c>>2]|0,B);f[s>>2]=(f[s>>2]|0)+1}w=w+8|0}while((w|0)!=(r|0))}r=a+20|0;w=f[r>>2]|0;s=a+24|0;a:do if((w|0)!=(s|0)){B=h+4|0;c=e+4|0;v=a+84|0;j=i+4|0;z=l+4|0;x=l+8|0;A=l+40|0;y=l+48|0;C=l+44|0;D=l+52|0;E=e+8|0;F=e+4|0;G=l+36|0;H=l+16|0;I=e+4|0;J=l+12|0;K=l+20|0;L=l+24|0;M=l+28|0;N=l+32|0;O=e+4|0;P=h+4|0;Q=h+8|0;R=h+20|0;S=h+24|0;T=h+28|0;U=h+32|0;V=h+40|0;W=h+36|0;X=h+44|0;Y=i+4|0;Z=i+8|0;_=i+8|0;$=l+4|0;aa=l+8|0;ba=l+40|0;ca=l+48|0;da=l+44|0;ea=l+52|0;fa=e+8|0;ga=e+4|0;ha=l+36|0;ia=l+16|0;ja=l+4|0;ka=l+8|0;la=l+8|0;ma=n+4|0;na=n+8|0;oa=n+32|0;pa=n+40|0;qa=n+36|0;ra=n+44|0;sa=e+8|0;ta=e+4|0;ua=n+24|0;va=n+12|0;wa=h+12|0;xa=n+16|0;ya=h+16|0;za=n+20|0;Aa=n+28|0;Ba=e+4|0;Ca=e+8|0;Da=e+12|0;Ea=e+16|0;Fa=e+20|0;Ga=e+24|0;Ha=e+28|0;Ia=l+4|0;Ja=n+40|0;Ka=o+4|0;La=p+24|0;Ma=p+4|0;Na=p+8|0;Oa=p+12|0;Pa=p+36|0;Qa=p+16|0;Ra=p+20|0;Sa=p+28|0;Ta=n+16|0;Ua=n+36|0;Va=n+4|0;Wa=n+44|0;Xa=n+48|0;Ya=n+8|0;Za=n+12|0;_a=n+20|0;$a=n+24|0;ab=n+28|0;bb=n+32|0;cb=l+12|0;db=l+20|0;eb=l+24|0;fb=l+28|0;gb=l+32|0;hb=e+4|0;ib=e+8|0;jb=i+4|0;kb=m+4|0;lb=w;b:while(1){f[g>>2]=f[lb+16>>2];mb=mBa(r,g)|0;nb=mb+200|0;c:do if(!(b[nb>>0]|0)){ob=mb+144|0;pb=mb+96|0;qb=mb+100|0;rb=f[pb>>2]|0;sb=rb;d:do if(((f[qb>>2]|0)-rb|0)==8){tb=f[g>>2]|0;ub=f[t>>2]|0;if(ub|0){vb=ub;do{ub=f[vb+16>>2]|0;do if((tb|0)<(ub|0))wb=19;else{xb=(tb|0)==(ub|0);if(xb?(f[vb+20>>2]|0)>0:0){wb=19;break}if((ub|0)>=(tb|0)){if(!xb)break d;if((f[vb+20>>2]|0)>=0)break d}yb=vb+4|0}while(0);if((wb|0)==19){wb=0;yb=vb}vb=f[yb>>2]|0}while((vb|0)!=0)}vb=mBa(r,sb)|0;f[h>>2]=f[f[pb>>2]>>2];f[B>>2]=0;tb=mb+148|0;ub=mb+108|0;xb=mb+152|0;zb=vb;while(1){vb=f[zb+144>>2]|0;f[e>>2]=vb;f[c>>2]=f[zb+148>>2];if(vb|0){Ab=vb+4|0;f[Ab>>2]=(f[Ab>>2]|0)+1}Ab=f[tb>>2]|0;if(Sh[f[(f[Ab>>2]|0)+80>>2]&511](Ab,e)|0){b[zb+200>>0]=1;Ab=mBa(r,h)|0;if((mb|0)!=(Ab|0))JBa(xb,f[Ab+152>>2]|0,f[Ab+156>>2]|0);Ab=mBa(r,h)|0;if((mb|0)!=(Ab|0))zBa(ub,f[Ab+108>>2]|0,f[Ab+112>>2]|0);Ab=f[zb+96>>2]|0;if(((f[zb+100>>2]|0)-Ab|0)==8){f[i>>2]=f[Ab>>2];Ab=mBa(r,i)|0;vb=h;f[vb>>2]=f[i>>2];f[vb+4>>2]=0;Bb=0;Cb=Ab}else{Bb=6;Cb=0}}else{Bb=6;Cb=zb}Ab=f[e>>2]|0;if(Ab|0?(vb=Ab+4|0,Db=f[vb>>2]|0,f[vb>>2]=Db+-1,(Db|0)==1):0)ai[f[(f[Ab>>2]|0)+8>>2]&2047](Ab);if((Cb|0)!=0&(Bb|0)==0)zb=Cb;else break}if((f[q>>2]|0)!=3)break c;if(((f[v>>2]|0)+-1|0)>>>0<2){if(!(OS()|0))break c;zb=f[(f[tb>>2]|0)+24>>2]|0;if(((((zb|0)!=444072?(Ab=(zb|0)==0?1163146:zb,!((o7b(Ab,444072)|0)==0|(zb|0)==442721)):0)?!((o7b(Ab,442721)|0)==0|(zb|0)==443971):0)?!((o7b(Ab,443971)|0)==0|(zb|0)==443891):0)?o7b(Ab,443891)|0:0)break c}e:do if(!Cb)Eb=0;else{Ab=Cb;while(1){do if((((f[v>>2]|0)+-1|0)>>>0<2?(zb=f[Ab+12>>2]|0,(zb|0)!=407436):0)?(Db=(zb|0)==0?1163146:zb,!((o7b(Db,407436)|0)==0|(zb|0)==442731)):0){if((o7b(Db,442731)|0)==0|(zb|0)==442725)break;if((o7b(Db,442725)|0)==0|(zb|0)==407391)break;if((o7b(Db,407391)|0)==0|(zb|0)==467672)break;if(o7b(Db,467672)|0){Eb=Ab;break e}}while(0);Db=f[Ab+148>>2]|0;if(!Db)Fb=0;else Fb=Jnc(Db,18448,18536,0)|0;Db=f[Ab+144>>2]|0;f[e>>2]=Db;f[O>>2]=Fb;if(!Db)Gb=Fb;else{zb=Db+4|0;f[zb>>2]=(f[zb>>2]|0)+1;Gb=f[O>>2]|0}do if(!Gb){Hb=8;Ib=Ab}else{zb=f[tb>>2]|0;if(!(Sh[f[(f[zb>>2]|0)+76>>2]&511](zb,e)|0)){Hb=8;Ib=Ab;break}b[Ab+200>>0]=1;zb=mBa(r,h)|0;if((mb|0)!=(zb|0))JBa(xb,f[zb+152>>2]|0,f[zb+156>>2]|0);zb=mBa(r,h)|0;if((mb|0)!=(zb|0))zBa(ub,f[zb+108>>2]|0,f[zb+112>>2]|0);zb=f[Ab+96>>2]|0;if(((f[Ab+100>>2]|0)-zb|0)!=8){Hb=8;Ib=0;break}f[i>>2]=f[zb>>2];zb=mBa(r,i)|0;Db=h;f[Db>>2]=f[i>>2];f[Db+4>>2]=0;Hb=0;Ib=zb}while(0);zb=f[e>>2]|0;do if(zb|0){Db=zb+4|0;vb=f[Db>>2]|0;f[Db>>2]=vb+-1;if((vb|0)!=1)break;ai[f[(f[zb>>2]|0)+8>>2]&2047](zb)}while(0);if((Ib|0)!=0&(Hb|0)==0)Ab=Ib;else{Eb=Ib;break}}}while(0);do if(!((Eb|0)==0?1:((f[v>>2]|0)+-1|0)>>>0>1)){Ab=f[Eb+148>>2]|0;if(!Ab)Jb=0;else Jb=Jnc(Ab,18448,18552,0)|0;Ab=f[Eb+144>>2]|0;if(Ab){zb=Ab;vb=zb+4|0;f[vb>>2]=(f[vb>>2]|0)+1;f[vb>>2]=(f[vb>>2]|0)+1;vb=zb+4|0;Db=f[vb>>2]|0;f[vb>>2]=Db+-1;if((Db|0)==1){ai[f[(f[Ab>>2]|0)+8>>2]&2047](zb);Kb=Ab}else Kb=Ab}else Kb=0;f:do if(Jb|0){Ab=f[t>>2]|0;if(Ab|0){zb=f[h>>2]|0;Db=f[B>>2]|0;vb=Ab;do{Ab=f[vb+16>>2]|0;do if((zb|0)<(Ab|0))wb=83;else{Lb=(zb|0)==(Ab|0);if(Lb?(Db|0)<(f[vb+20>>2]|0):0){wb=83;break}if((Ab|0)>=(zb|0)){if(!Lb)break f;if((f[vb+20>>2]|0)>=(Db|0))break f}Mb=vb+4|0}while(0);if((wb|0)==83){wb=0;Mb=vb}vb=f[Mb>>2]|0}while((vb|0)!=0)}vb=Eb+60|0;Db=vb;zb=1;while(1){Nb=mBa(r,(f[Db>>2]|0)+(zb<<3)|0)|0;if(!(b[Nb+200>>0]|0))break;Db=Nb+60|0;zb=0}if((f[mb>>2]|0)!=(f[Nb>>2]|0))break;zb=mBa(r,f[vb>>2]|0)|0;if(!(b[zb+200>>0]|0))Ob=zb;else{Db=zb;while(1){zb=f[Db+12>>2]|0;if((zb|0)!=443787?(o7b((zb|0)==0?1163146:zb,443787)|0)!=0:0)Pb=0;else Pb=1;zb=mBa(r,(f[Db+60>>2]|0)+(Pb<<3)|0)|0;if(!(b[zb+200>>0]|0)){Ob=zb;break}else Db=zb}}Db=f[Ob+148>>2]|0;if(!Db)Qb=0;else Qb=Jnc(Db,18448,18568,0)|0;Db=f[Ob+144>>2]|0;vb=(Db|0)==0;if(!vb){zb=Db+4|0;f[zb>>2]=(f[zb>>2]|0)+1}do if(Qb|0){zb=Eb+96|0;Ab=f[zb>>2]|0;if(((f[Eb+100>>2]|0)-Ab|0)!=8)break;Lb=mBa(r,Ab)|0;Ab=h;f[Ab>>2]=f[f[zb>>2]>>2];f[Ab+4>>2]=0;f[i>>2]=0;f[j>>2]=0;Ab=f[Lb+148>>2]|0;if(!Ab)Rb=0;else Rb=Jnc(Ab,18448,18536,0)|0;Ab=f[Lb+144>>2]|0;zb=Rb;if(!Ab){f[i>>2]=Ab;f[j>>2]=zb;Sb=Rb}else{Tb=Ab+4|0;f[Tb>>2]=(f[Tb>>2]|0)+1;f[Tb>>2]=(f[Tb>>2]|0)+1;Tb=f[i>>2]|0;f[i>>2]=Ab;f[j>>2]=zb;do if(Tb|0){zb=Tb+4|0;Ub=f[zb>>2]|0;f[zb>>2]=Ub+-1;if((Ub|0)!=1)break;ai[f[(f[Tb>>2]|0)+8>>2]&2047](Tb)}while(0);Tb=Ab;Ub=Tb+4|0;zb=f[Ub>>2]|0;f[Ub>>2]=zb+-1;if((zb|0)==1)ai[f[(f[Ab>>2]|0)+8>>2]&2047](Tb);Sb=f[j>>2]|0}g:do if(Sb|0){Tb=f[t>>2]|0;if(Tb|0){zb=f[h>>2]|0;Ub=f[B>>2]|0;Vb=Tb;do{Tb=f[Vb+16>>2]|0;do if((zb|0)<(Tb|0))wb=120;else{Wb=(zb|0)==(Tb|0);if(Wb?(Ub|0)<(f[Vb+20>>2]|0):0){wb=120;break}if((Tb|0)>=(zb|0)){if(!Wb)break g;if((f[Vb+20>>2]|0)>=(Ub|0))break g}Xb=Vb+4|0}while(0);if((wb|0)==120){wb=0;Xb=Vb}Vb=f[Xb>>2]|0}while((Vb|0)!=0)}Vb=f[Lb+12>>2]|0;do if((Vb|0)!=407436){Ub=(Vb|0)==0?1163146:Vb;if((o7b(Ub,407436)|0)==0|(Vb|0)==442731)break;if((o7b(Ub,442731)|0)==0|(Vb|0)==467672)break;if(o7b(Ub,467672)|0)break g}while(0);Vb=f[tb>>2]|0;if(!(Sh[f[(f[Vb>>2]|0)+76>>2]&511](Vb,i)|0))break;Vb=f[Ob+108>>2]|0;Ub=Vb;if(((f[Ob+112>>2]|0)-Vb|0)!=8){wb=133;break b}zb=mb+120|0;Tb=mb+124|0;Wb=f[Tb>>2]|0;Yb=Wb;if((Wb-(f[zb>>2]|0)|0)!=8){wb=133;break b}if((Yb|0)==(f[mb+128>>2]|0))KBa(zb,Ub);else{zb=f[Vb>>2]|0;f[Wb>>2]=zb;f[Yb+4>>2]=f[Ub+4>>2];if(!zb)Zb=Yb;else{Yb=zb+4|0;f[Yb>>2]=(f[Yb>>2]|0)+1;Zb=f[Tb>>2]|0}f[Tb>>2]=Zb+8}b[Eb+200>>0]=1;b[Lb+200>>0]=1;Tb=mb+156|0;Yb=f[xb>>2]|0;zb=Yb;if(((f[Tb>>2]|0)-Yb|0)!=56){wb=140;break b}Yb=mb+112|0;if(((f[Yb>>2]|0)-(f[ub>>2]|0)|0)!=8){wb=142;break b}f[l>>2]=1124007936;_b=z;$b=_b+36|0;do{f[_b>>2]=0;_b=_b+4|0}while((_b|0)<($b|0));f[A>>2]=x;f[C>>2]=y;f[y>>2]=0;f[D>>2]=0;Ub=E;f[Ub>>2]=0;f[Ub+4>>2]=0;f[e>>2]=33619968;f[F>>2]=l;kT(zb,e);Ub=f[xb>>2]|0;if((Ub|0)!=(l|0)){Wb=f[G>>2]|0;if(Wb|0){Vb=Wb+12|0;f[Vb>>2]=(f[Vb>>2]|0)+1}Vb=Ub+36|0;Wb=f[Vb>>2]|0;do if(Wb|0){ac=Wb+12|0;bc=f[ac>>2]|0;f[ac>>2]=bc+-1;if((bc|0)!=1)break;lP(Ub)}while(0);f[Vb>>2]=0;Wb=Ub+16|0;zb=Ub+4|0;f[Wb>>2]=0;f[Wb+4>>2]=0;f[Wb+8>>2]=0;f[Wb+12>>2]=0;if((f[zb>>2]|0)>0){bc=f[Ub+40>>2]|0;ac=0;do{f[bc+(ac<<2)>>2]=0;ac=ac+1|0;cc=f[zb>>2]|0}while((ac|0)<(cc|0));f[Ub>>2]=f[l>>2];if((cc|0)<3)wb=154;else wb=156}else{f[Ub>>2]=f[l>>2];wb=154}do if((wb|0)==154){wb=0;ac=f[z>>2]|0;if((ac|0)>=3){wb=156;break}f[zb>>2]=ac;f[Ub+8>>2]=f[x>>2];f[Ub+12>>2]=f[J>>2];ac=f[C>>2]|0;bc=f[Ub+44>>2]|0;f[bc>>2]=f[ac>>2];f[bc+4>>2]=f[ac+4>>2]}while(0);if((wb|0)==156){wb=0;kP(Ub,l)}f[Wb>>2]=f[H>>2];f[Ub+20>>2]=f[K>>2];f[Ub+24>>2]=f[L>>2];f[Ub+28>>2]=f[M>>2];f[Ub+32>>2]=f[N>>2];f[Vb>>2]=f[G>>2]}zb=f[G>>2]|0;do if(zb|0){ac=zb+12|0;bc=f[ac>>2]|0;f[ac>>2]=bc+-1;if((bc|0)!=1)break;lP(l)}while(0);f[G>>2]=0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[z>>2]|0)>0){zb=f[A>>2]|0;Vb=0;do{f[zb+(Vb<<2)>>2]=0;Vb=Vb+1|0}while((Vb|0)<(f[z>>2]|0))}Vb=f[C>>2]|0;if((Vb|0)!=(y|0))tE(Vb);LBa(e,a,f[xb>>2]|0);Vb=f[ub>>2]|0;zb=f[e>>2]|0;Ub=f[I>>2]|0;if(zb|0){Wb=zb+4|0;f[Wb>>2]=(f[Wb>>2]|0)+1}Wb=f[Vb>>2]|0;f[Vb>>2]=zb;f[Vb+4>>2]=Ub;do if(Wb|0){Ub=Wb+4|0;Vb=f[Ub>>2]|0;f[Ub>>2]=Vb+-1;if((Vb|0)!=1)break;ai[f[(f[Wb>>2]|0)+8>>2]&2047](Wb)}while(0);Wb=f[e>>2]|0;do if(Wb|0){Vb=Wb+4|0;Ub=f[Vb>>2]|0;f[Vb>>2]=Ub+-1;if((Ub|0)!=1)break;ai[f[(f[Wb>>2]|0)+8>>2]&2047](Wb)}while(0);Wb=(Eb|0)==(mb|0);if(!Wb)JBa(Eb+152|0,f[xb>>2]|0,f[Tb>>2]|0);Ub=(Lb|0)==(mb|0);if(!Ub)JBa(Lb+152|0,f[xb>>2]|0,f[Tb>>2]|0);if(!Wb)zBa(Eb+108|0,f[ub>>2]|0,f[Yb>>2]|0);if(!Ub)zBa(Lb+108|0,f[ub>>2]|0,f[Yb>>2]|0);Ub=Lb+96|0;Wb=Lb+100|0;Vb=f[Ub>>2]|0;if((f[Wb>>2]|0)==(Vb|0))break;else{dc=0;ec=Vb}do{Vb=mBa(r,ec+(dc<<3)|0)|0;zb=f[Vb+64>>2]|0;bc=f[Vb+60>>2]|0;ac=bc;h:do if((zb|0)!=(bc|0)){fc=f[h>>2]|0;gc=zb-bc>>3;hc=0;while(1){if((f[ac+(hc<<3)>>2]|0)==(fc|0))break;ic=hc+1|0;if(ic>>>0<gc>>>0)hc=ic;else break h}f[(f[Vb+164>>2]|0)+(hc<<2)>>2]=f[xb>>2];gc=f[ub>>2]|0;fc=f[Vb+120>>2]|0;ic=fc+(hc<<3)|0;jc=f[gc>>2]|0;kc=f[gc+4>>2]|0;if(jc|0){gc=jc+4|0;f[gc>>2]=(f[gc>>2]|0)+1}gc=f[ic>>2]|0;f[ic>>2]=jc;f[fc+(hc<<3)+4>>2]=kc;if(!gc)break;kc=gc+4|0;fc=f[kc>>2]|0;f[kc>>2]=fc+-1;if((fc|0)!=1)break;ai[f[(f[gc>>2]|0)+8>>2]&2047](gc)}while(0);dc=dc+1|0;ec=f[Ub>>2]|0}while(dc>>>0<(f[Wb>>2]|0)-ec>>3>>>0)}while(0);Lb=f[i>>2]|0;do if(Lb|0){Ab=Lb+4|0;Wb=f[Ab>>2]|0;f[Ab>>2]=Wb+-1;if((Wb|0)!=1)break;ai[f[(f[Lb>>2]|0)+8>>2]&2047](Lb)}while(0)}while(0);Lb=Db;if(vb)break;Wb=Lb+4|0;Ab=f[Wb>>2]|0;f[Wb>>2]=Ab+-1;if((Ab|0)!=1)break;ai[f[(f[Db>>2]|0)+8>>2]&2047](Lb)}while(0);Lb=Kb;if(Kb|0){Ab=Lb+4|0;Wb=f[Ab>>2]|0;f[Ab>>2]=Wb+-1;if((Wb|0)!=1)break;ai[f[(f[Kb>>2]|0)+8>>2]&2047](Lb)}}while(0)}while(0);if((f[q>>2]|0)==3){sb=mb+148|0;rb=f[sb>>2]|0;if(!rb)lc=0;else lc=Jnc(rb,18448,18584,0)|0;rb=f[ob>>2]|0;ub=(rb|0)==0;if(!ub){xb=rb+4|0;f[xb>>2]=(f[xb>>2]|0)+1}i:do if(lc|0?(xb=f[pb>>2]|0,tb=f[qb>>2]|0,(xb|0)!=(tb|0)):0){Lb=tb-xb>>3;if(Lb|0){tb=0;do{if((f[xb+(tb<<3)+4>>2]|0)>0)break i;tb=tb+1|0}while(tb>>>0<Lb>>>0)}b[lc+81>>0]=0}while(0);qb=f[sb>>2]|0;if(!qb)mc=0;else mc=Jnc(qb,18448,18600,0)|0;qb=f[ob>>2]|0;pb=(qb|0)==0;if(!pb){Lb=qb+4|0;f[Lb>>2]=(f[Lb>>2]|0)+1}if(((mc|0?(f[mc+36>>2]|0)==1:0)?(b[mc+40>>0]|0)==0:0)?(Lb=f[mb+152>>2]|0,tb=Lb,((f[mb+156>>2]|0)-Lb|0)==56):0){f[h>>2]=1124007936;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;f[P+16>>2]=0;f[P+20>>2]=0;f[P+24>>2]=0;f[U>>2]=Q;f[W>>2]=V;f[X>>2]=0;f[V>>2]=0;Lb=mb+108|0;do if((f[Lb>>2]|0)==(f[mb+112>>2]|0))wb=269;else{if((f[q>>2]|0)!=3){wb=269;break}if(((f[v>>2]|0)+-1|0)>>>0>=2){wb=269;break}xb=mb+60|0;Wb=f[xb>>2]|0;Ab=(f[mb+64>>2]|0)-Wb>>3;if(Ab|0){Ub=1;Yb=0;Tb=Wb;while(1){Wb=Tb+(Yb<<3)|0;Vb=f[Wb+4>>2]|0;ac=e;f[ac>>2]=f[Wb>>2];f[ac+4>>2]=Vb;while(1){nc=mBa(r,e)|0;if(!(b[nc+200>>0]|0))break;Vb=f[nc+60>>2]|0;if(((f[nc+64>>2]|0)-Vb|0)!=8)break;if(((f[nc+100>>2]|0)-(f[nc+96>>2]|0)|0)!=8)break;ac=Vb;Vb=f[ac+4>>2]|0;Wb=e;f[Wb>>2]=f[ac>>2];f[Wb+4>>2]=Vb}if(Ub){aBa(m,nc);Vb=f[(f[kb>>2]|0)+24>>2]|0;if((Vb|0)==444072)oc=1;else oc=(o7b((Vb|0)==0?1163146:Vb,444072)|0)==0;Vb=f[m>>2]|0;do if(Vb|0){Wb=Vb+4|0;ac=f[Wb>>2]|0;f[Wb>>2]=ac+-1;if((ac|0)!=1)break;ai[f[(f[Vb>>2]|0)+8>>2]&2047](Vb)}while(0);f[m>>2]=0;f[kb>>2]=0;pc=oc}else pc=0;Vb=Yb+1|0;if(Vb>>>0>=Ab>>>0)break;Ub=pc;Yb=Vb;Tb=f[xb>>2]|0}if(!pc)break}f[e>>2]=0;f[hb>>2]=0;f[ib>>2]=0;oBa(i,Lb);MBa(e,f[i>>2]|0,f[jb>>2]|0);xb=f[i>>2]|0;if(xb|0){while(1){Tb=f[jb>>2]|0;if((Tb|0)==(xb|0))break;Yb=Tb+-48|0;f[jb>>2]=Yb;uN(Yb)}Emc(f[i>>2]|0)}xb=f[e>>2]|0;if((h|0)!=(xb|0)){Yb=xb+24|0;Tb=f[Yb>>2]|0;if(Tb|0){Ub=Tb+8|0;f[Ub>>2]=(f[Ub>>2]|0)+1}Ub=f[S>>2]|0;do if(Ub|0){Tb=Ub+8|0;Ab=f[Tb>>2]|0;f[Tb>>2]=Ab+-1;if((Ab|0)!=1)break;vN(h)}while(0);if((f[P>>2]|0)>0){Ub=f[U>>2]|0;Ab=0;do{f[Ub+(Ab<<2)>>2]=0;Ab=Ab+1|0;qc=f[P>>2]|0}while((Ab|0)<(qc|0));f[S>>2]=0;f[h>>2]=f[xb>>2];if((qc|0)<3)wb=258;else wb=260}else{f[S>>2]=0;f[h>>2]=f[xb>>2];wb=258}do if((wb|0)==258){wb=0;Ab=f[xb+4>>2]|0;if((Ab|0)>=3){wb=260;break}f[P>>2]=Ab;f[Q>>2]=f[xb+8>>2];f[wa>>2]=f[xb+12>>2];Ab=f[xb+36>>2]|0;Ub=f[W>>2]|0;f[Ub>>2]=f[Ab>>2];f[Ub+4>>2]=f[Ab+4>>2]}while(0);if((wb|0)==260){wb=0;tN(h,xb)}f[ya>>2]=f[xb+16>>2];if(!(f[R>>2]|0))f[R>>2]=f[xb+20>>2];f[S>>2]=f[Yb>>2];f[T>>2]=f[xb+28>>2];Ab=f[e>>2]|0;if(Ab|0){rc=Ab;wb=264}}else{rc=h;wb=264}if((wb|0)==264){wb=0;while(1){Ab=f[hb>>2]|0;if((Ab|0)==(rc|0))break;Ub=Ab+-48|0;f[hb>>2]=Ub;uN(Ub)}Emc(f[e>>2]|0)}wb=269}while(0);do if((wb|0)==269){wb=0;ob=tb+4|0;if((f[ob>>2]|0)!=4)break;sb=tb+40|0;if((f[f[sb>>2]>>2]|0)!=1)break;xb=mb+60|0;Yb=(f[mb+64>>2]|0)-(f[xb>>2]|0)|0;Ub=Yb>>3;f[i>>2]=0;f[Y>>2]=0;f[Z>>2]=0;Ab=(Ub|0)==0;j:do if(Ab)wb=283;else{if(Ub>>>0>536870911){wb=273;break b}Tb=Bmc(Yb)|0;f[i>>2]=Tb;Vb=Tb+(Ub<<3)|0;f[_>>2]=Vb;Drc(Tb|0,-1,Yb|0)|0;f[Y>>2]=Vb;Vb=0;k:while(1){Tb=(f[xb>>2]|0)+(Vb<<3)|0;ac=f[Tb+4>>2]|0;Wb=e;f[Wb>>2]=f[Tb>>2];f[Wb+4>>2]=ac;while(1){sc=mBa(r,e)|0;if(!(b[sc+200>>0]|0))break;ac=f[sc+60>>2]|0;if(((f[sc+64>>2]|0)-ac|0)!=8)break k;if(((f[sc+100>>2]|0)-(f[sc+96>>2]|0)|0)!=8)break k;Wb=ac;ac=f[Wb+4>>2]|0;Tb=e;f[Tb>>2]=f[Wb>>2];f[Tb+4>>2]=ac}if(((f[sc+100>>2]|0)-(f[sc+96>>2]|0)|0)!=8)break;Db=e;vb=f[Db+4>>2]|0;ac=(f[i>>2]|0)+(Vb<<3)|0;f[ac>>2]=f[Db>>2];f[ac+4>>2]=vb;Vb=Vb+1|0;if(Vb>>>0>=Ub>>>0){wb=283;break j}}}while(0);if((wb|0)==283){wb=0;f[l>>2]=1124007936;_b=$;$b=_b+36|0;do{f[_b>>2]=0;_b=_b+4|0}while((_b|0)<($b|0));f[ba>>2]=aa;f[da>>2]=ca;f[ca>>2]=0;f[ea>>2]=0;xb=fa;f[xb>>2]=0;f[xb+4>>2]=0;f[e>>2]=33619968;f[ga>>2]=l;kT(tb,e);if((tb|0)!=(l|0)){xb=f[ha>>2]|0;if(xb|0){Yb=xb+12|0;f[Yb>>2]=(f[Yb>>2]|0)+1}Yb=tb+36|0;xb=f[Yb>>2]|0;do if(xb|0){Vb=xb+12|0;vb=f[Vb>>2]|0;f[Vb>>2]=vb+-1;if((vb|0)!=1)break;lP(tb)}while(0);f[Yb>>2]=0;xb=tb+16|0;f[xb>>2]=0;f[xb+4>>2]=0;f[xb+8>>2]=0;f[xb+12>>2]=0;if((f[ob>>2]|0)>0){vb=f[sb>>2]|0;Vb=0;do{f[vb+(Vb<<2)>>2]=0;Vb=Vb+1|0;tc=f[ob>>2]|0}while((Vb|0)<(tc|0));f[tb>>2]=f[l>>2];if((tc|0)<3)wb=294;else wb=296}else{f[tb>>2]=f[l>>2];wb=294}do if((wb|0)==294){wb=0;Vb=f[$>>2]|0;if((Vb|0)>=3){wb=296;break}f[ob>>2]=Vb;f[tb+8>>2]=f[aa>>2];f[tb+12>>2]=f[cb>>2];Vb=f[da>>2]|0;vb=f[tb+44>>2]|0;f[vb>>2]=f[Vb>>2];f[vb+4>>2]=f[Vb+4>>2]}while(0);if((wb|0)==296){wb=0;kP(tb,l)}f[xb>>2]=f[ia>>2];f[tb+20>>2]=f[db>>2];f[tb+24>>2]=f[eb>>2];f[tb+28>>2]=f[fb>>2];f[tb+32>>2]=f[gb>>2];f[Yb>>2]=f[ha>>2]}ob=f[ha>>2]|0;do if(ob|0){Vb=ob+12|0;vb=f[Vb>>2]|0;f[Vb>>2]=vb+-1;if((vb|0)!=1)break;lP(l)}while(0);f[ha>>2]=0;f[ia>>2]=0;f[ia+4>>2]=0;f[ia+8>>2]=0;f[ia+12>>2]=0;if((f[$>>2]|0)>0){ob=f[ba>>2]|0;Yb=0;do{f[ob+(Yb<<2)>>2]=0;Yb=Yb+1|0}while((Yb|0)<(f[$>>2]|0))}Yb=f[da>>2]|0;if((Yb|0)!=(ca|0))tE(Yb);do if((f[q>>2]|0)==3){if(((f[v>>2]|0)+-1|0)>>>0>=2)break;f[l>>2]=0;f[ja>>2]=0;f[ka>>2]=0;Yb=Bmc(48)|0;f[l>>2]=Yb;ob=Yb+48|0;f[la>>2]=ob;f[Yb>>2]=1124007936;xb=Yb+4|0;f[xb>>2]=0;f[xb+4>>2]=0;f[xb+8>>2]=0;f[xb+12>>2]=0;f[xb+16>>2]=0;f[xb+20>>2]=0;f[xb+24>>2]=0;f[Yb+32>>2]=Yb+8;xb=Yb+40|0;f[Yb+36>>2]=xb;f[Yb+44>>2]=0;f[xb>>2]=0;f[ja>>2]=ob;f[n>>2]=1124007936;f[ma>>2]=0;f[ma+4>>2]=0;f[ma+8>>2]=0;f[ma+12>>2]=0;f[ma+16>>2]=0;f[ma+20>>2]=0;f[ma+24>>2]=0;f[oa>>2]=na;f[qa>>2]=pa;f[ra>>2]=0;f[pa>>2]=0;ob=sa;f[ob>>2]=0;f[ob+4>>2]=0;f[e>>2]=34209792;f[ta>>2]=n;BN(h,e);ob=f[ua>>2]|0;if(ob|0){xb=ob+8|0;f[xb>>2]=(f[xb>>2]|0)+1}xb=f[S>>2]|0;do if(xb|0){ob=xb+8|0;Yb=f[ob>>2]|0;f[ob>>2]=Yb+-1;if((Yb|0)!=1)break;vN(h)}while(0);if((f[P>>2]|0)>0){xb=f[U>>2]|0;Yb=0;do{f[xb+(Yb<<2)>>2]=0;Yb=Yb+1|0;uc=f[P>>2]|0}while((Yb|0)<(uc|0));f[S>>2]=0;f[h>>2]=f[n>>2];if((uc|0)<3)wb=318;else wb=320}else{f[S>>2]=0;f[h>>2]=f[n>>2];wb=318}do if((wb|0)==318){wb=0;Yb=f[ma>>2]|0;if((Yb|0)>=3){wb=320;break}f[P>>2]=Yb;f[Q>>2]=f[na>>2];f[wa>>2]=f[va>>2];Yb=f[qa>>2]|0;xb=f[W>>2]|0;f[xb>>2]=f[Yb>>2];f[xb+4>>2]=f[Yb+4>>2]}while(0);if((wb|0)==320){wb=0;tN(h,n)}f[ya>>2]=f[xa>>2];if(!(f[R>>2]|0))f[R>>2]=f[za>>2];f[S>>2]=f[ua>>2];f[T>>2]=f[Aa>>2];uN(n);Yb=f[l>>2]|0;if((Yb|0)!=(h|0)){xb=f[S>>2]|0;if(xb|0){ob=xb+8|0;f[ob>>2]=(f[ob>>2]|0)+1}ob=Yb+24|0;xb=f[ob>>2]|0;do if(xb|0){vb=xb+8|0;Vb=f[vb>>2]|0;f[vb>>2]=Vb+-1;if((Vb|0)!=1)break;vN(Yb)}while(0);xb=Yb+4|0;if((f[xb>>2]|0)>0){Vb=f[Yb+32>>2]|0;vb=0;do{f[Vb+(vb<<2)>>2]=0;vb=vb+1|0;vc=f[xb>>2]|0}while((vb|0)<(vc|0));f[ob>>2]=0;f[Yb>>2]=f[h>>2];if((vc|0)<3)wb=334;else wb=336}else{f[ob>>2]=0;f[Yb>>2]=f[h>>2];wb=334}do if((wb|0)==334){wb=0;vb=f[P>>2]|0;if((vb|0)>=3){wb=336;break}f[xb>>2]=vb;f[Yb+8>>2]=f[Q>>2];f[Yb+12>>2]=f[wa>>2];vb=f[W>>2]|0;Vb=f[Yb+36>>2]|0;f[Vb>>2]=f[vb>>2];f[Vb+4>>2]=f[vb+4>>2]}while(0);if((wb|0)==336){wb=0;tN(Yb,h)}f[Yb+16>>2]=f[ya>>2];xb=Yb+20|0;if(!(f[xb>>2]|0))f[xb>>2]=f[R>>2];f[ob>>2]=f[S>>2];f[Yb+28>>2]=f[T>>2]}rBa(Lb,l);xb=f[l>>2]|0;if(xb|0){while(1){vb=f[ja>>2]|0;if((vb|0)==(xb|0))break;Vb=vb+-48|0;f[ja>>2]=Vb;uN(Vb)}Emc(f[l>>2]|0)}}while(0);f[e>>2]=-2147483648;f[Ba>>2]=2147483647;f[Ca>>2]=-2147483648;f[Da>>2]=2147483647;f[Ea>>2]=-2147483648;f[Fa>>2]=2147483647;f[Ga>>2]=-2147483648;f[Ha>>2]=2147483647;if(!Ab){xb=mb+164|0;Yb=0;ob=0;do{Vb=(f[i>>2]|0)+(ob<<3)|0;vb=f[Vb+4>>2]|0;sb=l;f[sb>>2]=f[Vb>>2];f[sb+4>>2]=vb;vb=mBa(r,l)|0;sb=Yb;Yb=(f[(f[(f[(f[xb>>2]|0)+(ob<<2)>>2]|0)+40>>2]|0)+4>>2]|0)+Yb|0;Vb=Ca;f[Vb>>2]=sb;f[Vb+4>>2]=Yb;nP(n,tb,e);Vb=f[Ia>>2]|0;sb=f[vb+152>>2]|0;ac=sb+(Vb*56|0)|0;if(!(f[n>>2]&16384)){wb=355;break b}Db=f[Ja>>2]|0;Tb=f[Db+-4>>2]|0;Wb=sb+(Vb*56|0)+40|0;bc=f[Wb>>2]|0;if((Tb|0)!=(f[bc+-4>>2]|0)){wb=355;break b}do if((Tb|0)==2){if((f[Db>>2]|0)!=(f[bc>>2]|0)){wb=355;break b}if((f[Db+4>>2]|0)!=(f[bc+4>>2]|0)){wb=355;break b}}else{if((Tb|0)>0)wc=0;else break;do{if((f[Db+(wc<<2)>>2]|0)!=(f[bc+(wc<<2)>>2]|0)){wb=355;break b}wc=wc+1|0}while((wc|0)<(Tb|0))}while(0);if((ac|0)!=(n|0)){Tb=f[Ua>>2]|0;if(Tb|0){bc=Tb+12|0;f[bc>>2]=(f[bc>>2]|0)+1}bc=sb+(Vb*56|0)+36|0;Tb=f[bc>>2]|0;do if(Tb|0){Db=Tb+12|0;zb=f[Db>>2]|0;f[Db>>2]=zb+-1;if((zb|0)!=1)break;lP(ac)}while(0);f[bc>>2]=0;Tb=sb+(Vb*56|0)+16|0;zb=sb+(Vb*56|0)+4|0;f[Tb>>2]=0;f[Tb+4>>2]=0;f[Tb+8>>2]=0;f[Tb+12>>2]=0;if((f[zb>>2]|0)>0){Db=f[Wb>>2]|0;gc=0;do{f[Db+(gc<<2)>>2]=0;gc=gc+1|0;xc=f[zb>>2]|0}while((gc|0)<(xc|0));f[ac>>2]=f[n>>2];if((xc|0)<3)wb=367;else wb=369}else{f[ac>>2]=f[n>>2];wb=367}do if((wb|0)==367){wb=0;gc=f[Va>>2]|0;if((gc|0)>=3){wb=369;break}f[zb>>2]=gc;f[sb+(Vb*56|0)+8>>2]=f[Ya>>2];f[sb+(Vb*56|0)+12>>2]=f[Za>>2];gc=f[Wa>>2]|0;Db=f[sb+(Vb*56|0)+44>>2]|0;f[Db>>2]=f[gc>>2];f[Db+4>>2]=f[gc+4>>2]}while(0);if((wb|0)==369){wb=0;kP(ac,n)}f[Tb>>2]=f[Ta>>2];f[sb+(Vb*56|0)+20>>2]=f[_a>>2];f[sb+(Vb*56|0)+24>>2]=f[$a>>2];f[sb+(Vb*56|0)+28>>2]=f[ab>>2];f[sb+(Vb*56|0)+32>>2]=f[bb>>2];f[bc>>2]=f[Ua>>2]}do if((f[q>>2]|0)==3){if(((f[v>>2]|0)+-1|0)>>>0>=2)break;zb=vb+108|0;sBa(o,(f[vb+112>>2]|0)-(f[zb>>2]|0)>>3);xN(p,h,e);gc=f[Ia>>2]|0;Db=f[o>>2]|0;Wb=Db+(gc*48|0)|0;if((Wb|0)!=(p|0)){fc=f[La>>2]|0;if(fc|0){kc=fc+8|0;f[kc>>2]=(f[kc>>2]|0)+1}kc=Db+(gc*48|0)+24|0;fc=f[kc>>2]|0;do if(fc|0){jc=fc+8|0;ic=f[jc>>2]|0;f[jc>>2]=ic+-1;if((ic|0)!=1)break;vN(Wb)}while(0);fc=Db+(gc*48|0)+4|0;if((f[fc>>2]|0)>0){ic=f[Db+(gc*48|0)+32>>2]|0;jc=0;do{f[ic+(jc<<2)>>2]=0;jc=jc+1|0;yc=f[fc>>2]|0}while((jc|0)<(yc|0));f[kc>>2]=0;f[Wb>>2]=f[p>>2];if((yc|0)<3)wb=384;else wb=386}else{f[kc>>2]=0;f[Wb>>2]=f[p>>2];wb=384}do if((wb|0)==384){wb=0;jc=f[Ma>>2]|0;if((jc|0)>=3){wb=386;break}f[fc>>2]=jc;f[Db+(gc*48|0)+8>>2]=f[Na>>2];f[Db+(gc*48|0)+12>>2]=f[Oa>>2];jc=f[Pa>>2]|0;ic=f[Db+(gc*48|0)+36>>2]|0;f[ic>>2]=f[jc>>2];f[ic+4>>2]=f[jc+4>>2]}while(0);if((wb|0)==386){wb=0;tN(Wb,p)}f[Db+(gc*48|0)+16>>2]=f[Qa>>2];fc=Db+(gc*48|0)+20|0;if(!(f[fc>>2]|0))f[fc>>2]=f[Ra>>2];f[kc>>2]=f[La>>2];f[Db+(gc*48|0)+28>>2]=f[Sa>>2]}uN(p);rBa(zb,o);fc=f[o>>2]|0;if(fc|0){while(1){jc=f[Ka>>2]|0;if((jc|0)==(fc|0))break;ic=jc+-48|0;f[Ka>>2]=ic;uN(ic)}Emc(f[o>>2]|0)}}while(0);if((f[sb+(Vb*56|0)+16>>2]|0)!=(f[Ta>>2]|0)){wb=396;break b}vb=f[Ua>>2]|0;do if(vb|0){bc=vb+12|0;Tb=f[bc>>2]|0;f[bc>>2]=Tb+-1;if((Tb|0)!=1)break;lP(n)}while(0);f[Ua>>2]=0;f[Ta>>2]=0;f[Ta+4>>2]=0;f[Ta+8>>2]=0;f[Ta+12>>2]=0;if((f[Va>>2]|0)>0){vb=f[Ja>>2]|0;Vb=0;do{f[vb+(Vb<<2)>>2]=0;Vb=Vb+1|0}while((Vb|0)<(f[Va>>2]|0))}Vb=f[Wa>>2]|0;if((Vb|0)!=(Xa|0))tE(Vb);ob=ob+1|0}while(ob>>>0<Ub>>>0)}b[nb>>0]=1}Ub=f[i>>2]|0;if(Ub|0){ob=f[Y>>2]|0;if((ob|0)!=(Ub|0))f[Y>>2]=ob+(~((ob+-8-Ub|0)>>>3)<<3);Emc(Ub)}}while(0);uN(h)}tb=qb;if(!pb?(Lb=tb+4|0,Ub=f[Lb>>2]|0,f[Lb>>2]=Ub+-1,(Ub|0)==1):0)ai[f[(f[qb>>2]|0)+8>>2]&2047](tb);tb=rb;if(!ub?(Ub=tb+4|0,Lb=f[Ub>>2]|0,f[Ub>>2]=Lb+-1,(Lb|0)==1):0)ai[f[(f[rb>>2]|0)+8>>2]&2047](tb)}}while(0);nb=f[lb+4>>2]|0;if(!nb){mb=lb+8|0;tb=f[mb>>2]|0;if((f[tb>>2]|0)==(lb|0))zc=tb;else{tb=mb;do{mb=f[tb>>2]|0;tb=mb+8|0;Lb=f[tb>>2]|0}while((f[Lb>>2]|0)!=(mb|0));zc=Lb}}else{tb=nb;while(1){Lb=f[tb>>2]|0;if(!Lb)break;else tb=Lb}zc=tb}if((zc|0)==(s|0)){Ac=t;break a}else lb=zc}if((wb|0)==133){f[e>>2]=0;f[e+4>>2]=0;_b=YG(e,88)|0;Bc=393081;$b=_b+88|0;do{b[_b>>0]=b[Bc>>0]|0;_b=_b+1|0;Bc=Bc+1|0}while((_b|0)<($b|0));SQ(-215,e,393170,387968,1822)}else if((wb|0)==140){f[e>>2]=0;f[e+4>>2]=0;_b=YG(e,26)|0;Bc=393181;$b=_b+26|0;do{b[_b>>0]=b[Bc>>0]|0;_b=_b+1|0;Bc=Bc+1|0}while((_b|0)<($b|0));SQ(-215,e,393170,387968,1843)}else if((wb|0)==142){f[e>>2]=0;f[e+4>>2]=0;_b=YG(e,34)|0;Bc=393208;$b=_b+34|0;do{b[_b>>0]=b[Bc>>0]|0;_b=_b+1|0;Bc=Bc+1|0}while((_b|0)<($b|0));SQ(-215,e,393170,387968,1843)}else if((wb|0)==273)Ukc(i);else if((wb|0)==355){f[o>>2]=0;f[o+4>>2]=0;_b=YG(o,68)|0;Bc=393243;$b=_b+68|0;do{b[_b>>0]=b[Bc>>0]|0;_b=_b+1|0;Bc=Bc+1|0}while((_b|0)<($b|0));SQ(-215,o,393170,387968,1989)}else if((wb|0)==396){f[o>>2]=0;f[o+4>>2]=0;_b=YG(o,37)|0;Bc=393312;$b=_b+37|0;do{b[_b>>0]=b[Bc>>0]|0;_b=_b+1|0;Bc=Bc+1|0}while((_b|0)<($b|0));SQ(-215,o,393170,387968,2e3)}}else Ac=t;while(0);IBa(k,f[Ac>>2]|0);u=d;return}function GBa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;if(!b)return;GBa(a,f[b>>2]|0);GBa(a,f[b+4>>2]|0);a=b+44|0;c=f[a>>2]|0;if(c|0){d=b+48|0;e=f[d>>2]|0;if((e|0)==(c|0))g=c;else{h=e;while(1){e=h+-12|0;f[d>>2]=e;i=f[e>>2]|0;if(!i)j=e;else{e=h+-8|0;k=f[e>>2]|0;if((k|0)!=(i|0))f[e>>2]=k+(~((k+-4-i|0)>>>2)<<2);Emc(i);j=f[d>>2]|0}if((j|0)==(c|0))break;else h=j}g=f[a>>2]|0}Emc(g)}g=b+32|0;a=f[g>>2]|0;if(a|0){j=b+36|0;h=f[j>>2]|0;if((h|0)==(a|0))l=a;else{c=h;while(1){h=c+-12|0;f[j>>2]=h;d=f[h>>2]|0;if(!d)m=h;else{h=c+-8|0;i=f[h>>2]|0;if((i|0)!=(d|0))f[h>>2]=i+(~((i+-4-d|0)>>>2)<<2);Emc(d);m=f[j>>2]|0}if((m|0)==(a|0))break;else c=m}l=f[g>>2]|0}Emc(l)}l=b+20|0;g=f[l>>2]|0;if(g|0){m=b+24|0;c=f[m>>2]|0;if((c|0)==(g|0))n=g;else{a=c;while(1){c=a+-12|0;f[m>>2]=c;j=f[c>>2]|0;if(!j)o=c;else{c=a+-8|0;d=f[c>>2]|0;if((d|0)!=(j|0))f[c>>2]=d+(~((d+-4-j|0)>>>2)<<2);Emc(j);o=f[m>>2]|0}if((o|0)==(g|0))break;else a=o}n=f[l>>2]|0}Emc(n)}Emc(b);return}function HBa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;g=a+4|0;h=f[b>>2]|0;b=h;do if((h|0)!=(g|0)?(i=f[e>>2]|0,j=f[h+16>>2]|0,(i|0)>=(j|0)):0){k=(i|0)==(j|0);if(k?(f[e+4>>2]|0)<(f[h+20>>2]|0):0)break;do if((j|0)>=(i|0)){if(k?(f[h+20>>2]|0)<(f[e+4>>2]|0):0)break;f[c>>2]=b;f[d>>2]=b;l=d;return l|0}while(0);k=h+4|0;j=f[k>>2]|0;if(!j){m=h+8|0;n=f[m>>2]|0;if((f[n>>2]|0)==(h|0))o=n;else{n=m;do{m=f[n>>2]|0;n=m+8|0;p=f[n>>2]|0}while((f[p>>2]|0)!=(m|0));o=p}}else{n=j;while(1){p=f[n>>2]|0;if(!p)break;else n=p}o=n}do if((o|0)!=(g|0)?(j=f[o+16>>2]|0,(i|0)>=(j|0)):0){if((i|0)==(j|0)?(f[e+4>>2]|0)<(f[o+20>>2]|0):0)break;j=f[g>>2]|0;if(!j){f[c>>2]=g;l=g;return l|0}p=f[e+4>>2]|0;m=a+4|0;q=j;a:while(1){j=f[q+16>>2]|0;do if((i|0)>=(j|0)){r=(i|0)==(j|0);if(r?(p|0)<(f[q+20>>2]|0):0){s=51;break}if((j|0)>=(i|0)){if(!r){s=58;break a}if((f[q+20>>2]|0)>=(p|0)){s=58;break a}}t=q+4|0;r=f[t>>2]|0;if(!r){s=57;break a}else{u=t;v=r}}else s=51;while(0);if((s|0)==51){s=0;j=f[q>>2]|0;if(!j){s=52;break}else{u=q;v=j}}m=u;q=v}if((s|0)==52){f[c>>2]=q;l=q;return l|0}else if((s|0)==57){f[c>>2]=q;l=t;return l|0}else if((s|0)==58){f[c>>2]=q;l=m;return l|0}}while(0);if(!(f[h+4>>2]|0)){f[c>>2]=b;l=k;return l|0}else{f[c>>2]=o;l=o;return l|0}}while(0);o=f[h>>2]|0;do if((h|0)!=(f[a>>2]|0)){if(!o){t=h;while(1){v=f[t+8>>2]|0;if((f[v>>2]|0)==(t|0))t=v;else{w=v;break}}}else{t=o;while(1){k=f[t+4>>2]|0;if(!k){w=t;break}else t=k}}t=w;k=f[w+16>>2]|0;v=f[e>>2]|0;if((k|0)>=(v|0)){if((k|0)==(v|0)?(f[w+20>>2]|0)<(f[e+4>>2]|0):0){x=t;break}k=f[g>>2]|0;if(!k){f[c>>2]=g;l=g;return l|0}u=f[e+4>>2]|0;d=a+4|0;i=k;b:while(1){k=f[i+16>>2]|0;do if((v|0)>=(k|0)){n=(v|0)==(k|0);if(n?(u|0)<(f[i+20>>2]|0):0){s=21;break}if((k|0)>=(v|0)){if(!n){s=28;break b}if((f[i+20>>2]|0)>=(u|0)){s=28;break b}}y=i+4|0;n=f[y>>2]|0;if(!n){s=27;break b}else{z=y;A=n}}else s=21;while(0);if((s|0)==21){s=0;k=f[i>>2]|0;if(!k){s=22;break}else{z=i;A=k}}d=z;i=A}if((s|0)==22){f[c>>2]=i;l=i;return l|0}else if((s|0)==27){f[c>>2]=i;l=y;return l|0}else if((s|0)==28){f[c>>2]=i;l=d;return l|0}}else x=t}else x=b;while(0);if(!o){f[c>>2]=h;l=h;return l|0}else{h=x;f[c>>2]=h;l=h+4|0;return l|0}return 0}function IBa(a,b){a=a|0;b=b|0;if(!b)return;else{IBa(a,f[b>>2]|0);IBa(a,f[b+4>>2]|0);Emc(b);return}}function JBa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=(c-b|0)/56|0;e=a+8|0;g=f[a>>2]|0;h=g;if(d>>>0>(((f[e>>2]|0)-g|0)/56|0)>>>0){VBa(a);if(d>>>0>76695844)Ukc(a);i=((f[e>>2]|0)-(f[a>>2]|0)|0)/56|0;j=i<<1;k=i>>>0<38347922?(j>>>0<d>>>0?d:j):76695844;if(k>>>0>76695844)Ukc(a);j=Bmc(k*56|0)|0;i=a+4|0;f[i>>2]=j;f[a>>2]=j;f[e>>2]=j+(k*56|0);if((b|0)==(c|0))return;k=b;e=j;do{f[e>>2]=f[k>>2];j=e+4|0;l=k+4|0;f[j>>2]=f[l>>2];m=e+8|0;f[m>>2]=f[k+8>>2];f[e+12>>2]=f[k+12>>2];f[e+16>>2]=f[k+16>>2];f[e+20>>2]=f[k+20>>2];f[e+24>>2]=f[k+24>>2];f[e+28>>2]=f[k+28>>2];f[e+32>>2]=f[k+32>>2];n=f[k+36>>2]|0;f[e+36>>2]=n;f[e+40>>2]=m;m=e+48|0;o=e+44|0;f[o>>2]=m;f[m>>2]=0;f[e+52>>2]=0;if(n|0){m=n+12|0;f[m>>2]=(f[m>>2]|0)+1}if((f[l>>2]|0)<3){l=f[k+44>>2]|0;m=f[o>>2]|0;f[m>>2]=f[l>>2];f[m+4>>2]=f[l+4>>2]}else{f[j>>2]=0;kP(e,k)}k=k+56|0;e=(f[i>>2]|0)+56|0;f[i>>2]=e}while((k|0)!=(c|0));return}k=a+4|0;a=((f[k>>2]|0)-g|0)/56|0;g=d>>>0>a>>>0;d=b+(a*56|0)|0;a=g?d:c;if((a|0)==(b|0))p=h;else{e=h;h=b;while(1){if((e|0)!=(h|0)){b=h+36|0;i=f[b>>2]|0;if(i|0){j=i+12|0;f[j>>2]=(f[j>>2]|0)+1}j=e+36|0;i=f[j>>2]|0;if(i|0?(l=i+12|0,i=f[l>>2]|0,f[l>>2]=i+-1,(i|0)==1):0)lP(e);f[j>>2]=0;i=e+16|0;l=e+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[l>>2]|0)>0){m=f[e+40>>2]|0;o=0;do{f[m+(o<<2)>>2]=0;o=o+1|0;q=f[l>>2]|0}while((o|0)<(q|0));f[e>>2]=f[h>>2];if((q|0)<3)r=14;else r=16}else{f[e>>2]=f[h>>2];r=14}if((r|0)==14){r=0;o=f[h+4>>2]|0;if((o|0)<3){f[l>>2]=o;f[e+8>>2]=f[h+8>>2];f[e+12>>2]=f[h+12>>2];o=f[h+44>>2]|0;m=f[e+44>>2]|0;f[m>>2]=f[o>>2];f[m+4>>2]=f[o+4>>2]}else r=16}if((r|0)==16){r=0;kP(e,h)}f[i>>2]=f[h+16>>2];f[e+20>>2]=f[h+20>>2];f[e+24>>2]=f[h+24>>2];f[e+28>>2]=f[h+28>>2];f[e+32>>2]=f[h+32>>2];f[j>>2]=f[b>>2]}h=h+56|0;o=e+56|0;if((h|0)==(a|0)){p=o;break}else e=o}}if(g){if((a|0)==(c|0))return;a=d;d=f[k>>2]|0;do{f[d>>2]=f[a>>2];g=d+4|0;e=a+4|0;f[g>>2]=f[e>>2];h=d+8|0;f[h>>2]=f[a+8>>2];f[d+12>>2]=f[a+12>>2];f[d+16>>2]=f[a+16>>2];f[d+20>>2]=f[a+20>>2];f[d+24>>2]=f[a+24>>2];f[d+28>>2]=f[a+28>>2];f[d+32>>2]=f[a+32>>2];r=f[a+36>>2]|0;f[d+36>>2]=r;f[d+40>>2]=h;h=d+48|0;q=d+44|0;f[q>>2]=h;f[h>>2]=0;f[d+52>>2]=0;if(r|0){h=r+12|0;f[h>>2]=(f[h>>2]|0)+1}if((f[e>>2]|0)<3){e=f[a+44>>2]|0;h=f[q>>2]|0;f[h>>2]=f[e>>2];f[h+4>>2]=f[e+4>>2]}else{f[g>>2]=0;kP(d,a)}a=a+56|0;d=(f[k>>2]|0)+56|0;f[k>>2]=d}while((a|0)!=(c|0));return}c=f[k>>2]|0;if((c|0)==(p|0))return;else s=c;do{c=s+-56|0;f[k>>2]=c;a=s+-20|0;d=f[a>>2]|0;if(d|0?(g=d+12|0,d=f[g>>2]|0,f[g>>2]=d+-1,(d|0)==1):0)lP(c);f[a>>2]=0;a=s+-40|0;c=s+-52|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[c>>2]|0)>0){a=f[s+-16>>2]|0;d=0;do{f[a+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[c>>2]|0))}c=f[s+-12>>2]|0;if((c|0)!=(s+-8|0))tE(c);s=f[k>>2]|0}while((s|0)!=(p|0));return}function KBa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=d-e>>3;h=g+1|0;i=e;j=d;if(h>>>0>536870911)Ukc(a);d=a+8|0;k=(f[d>>2]|0)-e|0;e=k>>2;l=k>>3>>>0<268435455?(e>>>0<h>>>0?h:e):536870911;do if(l)if(l>>>0>536870911){e=ye(8)|0;Jmc(e,511852);f[e>>2]=165276;Gf(e|0,26776,1555)}else{m=Bmc(l<<3)|0;break}else m=0;while(0);e=m+(g<<3)|0;h=e;k=m+(l<<3)|0;l=f[b>>2]|0;f[e>>2]=l;f[m+(g<<3)+4>>2]=f[b+4>>2];if(!l){n=j;o=i}else{i=l+4|0;f[i>>2]=(f[i>>2]|0)+1;n=f[c>>2]|0;o=f[a>>2]|0}i=e+8|0;if((n|0)==(o|0)){p=h;q=n;r=n}else{l=n;n=h;h=e;do{e=l;l=l+-8|0;j=f[l>>2]|0;f[h+-8>>2]=j;f[h+-4>>2]=f[e+-4>>2];if(j|0){e=j+4|0;f[e>>2]=(f[e>>2]|0)+1}h=n+-8|0;n=h}while((l|0)!=(o|0));p=n;q=f[a>>2]|0;r=f[c>>2]|0}f[a>>2]=p;f[c>>2]=i;f[d>>2]=k;k=q;if((r|0)!=(k|0)){d=r;do{r=d;d=d+-8|0;i=f[d>>2]|0;if(i|0?(c=i+4|0,p=f[c>>2]|0,f[c>>2]=p+-1,(p|0)==1):0)ai[f[(f[i>>2]|0)+8>>2]&2047](i);f[d>>2]=0;f[r+-4>>2]=0}while((d|0)!=(k|0))}if(!q)return;Emc(q);return}function LBa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;e=u;u=u+32|0;g=e+16|0;h=e+8|0;i=e;j=c+80|0;if((f[j>>2]|0)==3?(f[c+84>>2]|0)==0:0){f[a>>2]=0;f[a+4>>2]=0;u=e;return}k=d+4|0;l=f[k>>2]|0;f[g>>2]=0;m=g+4|0;f[m>>2]=0;f[g+8>>2]=0;if(l|0){if(l>>>0>1073741823)Ukc(g);n=l<<2;o=Bmc(n)|0;f[g>>2]=o;p=o+(l<<2)|0;f[g+8>>2]=p;Drc(o|0,0,n|0)|0;f[m>>2]=p;p=f[d+40>>2]|0;n=0;do{f[o+(n<<2)>>2]=f[p+(n<<2)>>2];n=n+1|0}while((n|0)<(f[k>>2]|0))}k=f[d+16>>2]|0;n=c+100|0;p=c+104|0;o=f[p>>2]|0;if(o){l=k;q=p;r=o;a:while(1){s=r;while(1){if((f[s+16>>2]|0)>>>0>=l>>>0)break;t=f[s+4>>2]|0;if(!t){v=q;break a}else s=t}r=f[s>>2]|0;if(!r){v=s;break}else q=s}if((v|0)!=(p|0)?l>>>0>=(f[v+16>>2]|0)>>>0:0){v=c+104|0;q=o;r=o;while(1){o=f[q+16>>2]|0;if(l>>>0<o>>>0){t=f[q>>2]|0;if(!t){w=q;x=24;break}else{y=q;z=t}}else{if(o>>>0>=l>>>0){x=23;break}o=q+4|0;t=f[o>>2]|0;if(!t){w=o;x=24;break}else{y=o;z=t}}v=y;q=z;r=z}if((x|0)==23)if(!r){w=v;x=24}else A=r;if((x|0)==24){r=Bmc(28)|0;f[r+16>>2]=k;f[r+20>>2]=0;f[r+24>>2]=0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=q;f[w>>2]=r;q=f[f[n>>2]>>2]|0;if(!q)B=r;else{f[n>>2]=q;B=f[w>>2]|0}RS(f[c+104>>2]|0,B);B=c+108|0;f[B>>2]=(f[B>>2]|0)+1;A=r}r=f[A+20>>2]|0;f[h>>2]=r;f[h+4>>2]=f[A+24>>2];if(r|0){A=r+4|0;f[A>>2]=(f[A>>2]|0)+1}b:do switch(f[j>>2]|0){case 3:{if(((f[c+84>>2]|0)+-1|0)>>>0<2){A=Bmc(68)|0;NBa(A,h,d);r=Bmc(16)|0;f[r+4>>2]=1;f[r>>2]=110068;f[r+8>>2]=A;f[a>>2]=r;f[a+4>>2]=A;C=1;break b}else{f[i>>2]=0;f[i+4>>2]=0;D=YG(i,38)|0;E=393445;F=D+38|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));SQ(-215,i,393484,387968,949)}break}case 1:{if(ACa()|0)C=0;else{f[i>>2]=0;f[i+4>>2]=0;D=YG(i,12)|0;E=392831;F=D+12|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));SQ(-215,i,393484,387968,954)}break}case 2:{OBa(a,2,f[c+84>>2]|0,d);C=1;break}default:{f[i>>2]=0;f[i+4>>2]=0;D=YG(i,26)|0;E=391483;F=D+26|0;do{b[D>>0]=b[E>>0]|0;D=D+1|0;E=E+1|0}while((D|0)<(F|0));SQ(-213,i,393484,387968,964)}}while(0);i=f[h>>2]|0;if(i|0?(E=i+4|0,D=f[E>>2]|0,f[E>>2]=D+-1,(D|0)==1):0)ai[f[(f[i>>2]|0)+8>>2]&2047](i);if(!C)x=41}else x=41}else x=41;if((x|0)==41){OBa(h,f[j>>2]|0,f[c+84>>2]|0,d);d=f[p>>2]|0;do if(d){j=k;C=c+104|0;i=d;D=d;while(1){E=f[i+16>>2]|0;if(j>>>0<E>>>0){F=f[i>>2]|0;if(!F){x=46;break}else{G=i;H=F}}else{if(E>>>0>=j>>>0){x=50;break}I=i+4|0;E=f[I>>2]|0;if(!E){x=49;break}else{G=I;H=E}}C=G;i=H;D=H}if((x|0)==46){J=i;K=i;x=53;break}else if((x|0)==49){J=I;K=i;x=53;break}else if((x|0)==50){L=C;M=i;N=D;x=52;break}}else{L=p;M=p;N=d;x=52}while(0);if((x|0)==52)if(!N){J=L;K=M;x=53}else O=N;if((x|0)==53){x=Bmc(28)|0;f[x+16>>2]=k;f[x+20>>2]=0;f[x+24>>2]=0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=K;f[J>>2]=x;K=f[f[n>>2]>>2]|0;if(!K)P=x;else{f[n>>2]=K;P=f[J>>2]|0}RS(f[c+104>>2]|0,P);P=c+108|0;f[P>>2]=(f[P>>2]|0)+1;O=x}x=O+20|0;P=f[h>>2]|0;c=h+4|0;J=f[c>>2]|0;if(P|0){K=P+4|0;f[K>>2]=(f[K>>2]|0)+1}K=f[x>>2]|0;f[x>>2]=P;f[O+24>>2]=J;if(K|0?(J=K+4|0,O=f[J>>2]|0,f[J>>2]=O+-1,(O|0)==1):0)ai[f[(f[K>>2]|0)+8>>2]&2047](K);K=f[h>>2]|0;f[a>>2]=K;f[a+4>>2]=f[c>>2];c=K;if(!K){Q=h;R=c}else{K=c+4|0;f[K>>2]=(f[K>>2]|0)+1;Q=h;R=f[h>>2]|0}if(R|0?(h=R+4|0,K=f[h>>2]|0,f[h>>2]=K+-1,(K|0)==1):0)ai[f[(f[R>>2]|0)+8>>2]&2047](R);f[Q>>2]=0}Q=f[g>>2]|0;if(Q|0){g=f[m>>2]|0;if((g|0)!=(Q|0))f[m>>2]=g+(~((g+-4-Q|0)>>>2)<<2);Emc(Q)}u=e;return}function MBa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=(c-b|0)/48|0;e=a+8|0;g=f[e>>2]|0;h=f[a>>2]|0;i=h;if(d>>>0>((g-h|0)/48|0)>>>0){if(!h)j=g;else{g=a+4|0;while(1){k=f[g>>2]|0;if((k|0)==(i|0))break;l=k+-48|0;f[g>>2]=l;uN(l)}Emc(f[a>>2]|0);f[e>>2]=0;f[g>>2]=0;f[a>>2]=0;j=0}if(d>>>0>89478485)Ukc(a);g=(j|0)/48|0;j=g<<1;l=g>>>0<44739242?(j>>>0<d>>>0?d:j):89478485;if(l>>>0>89478485)Ukc(a);j=Bmc(l*48|0)|0;g=a+4|0;f[g>>2]=j;f[a>>2]=j;f[e>>2]=j+(l*48|0);if((b|0)==(c|0))return;l=b;e=j;do{f[e>>2]=f[l>>2];j=e+4|0;k=l+4|0;f[j>>2]=f[k>>2];m=e+8|0;f[m>>2]=f[l+8>>2];f[e+12>>2]=f[l+12>>2];f[e+16>>2]=f[l+16>>2];f[e+20>>2]=f[l+20>>2];n=f[l+24>>2]|0;f[e+24>>2]=n;f[e+28>>2]=f[l+28>>2];f[e+32>>2]=m;m=e+40|0;o=e+36|0;f[o>>2]=m;f[e+44>>2]=0;f[m>>2]=0;if(n|0){m=n+8|0;f[m>>2]=(f[m>>2]|0)+1}if((f[k>>2]|0)<3){k=f[l+36>>2]|0;m=f[o>>2]|0;f[m>>2]=f[k>>2];f[m+4>>2]=f[k+4>>2]}else{f[j>>2]=0;tN(e,l)}l=l+48|0;e=(f[g>>2]|0)+48|0;f[g>>2]=e}while((l|0)!=(c|0));return}l=a+4|0;a=((f[l>>2]|0)-h|0)/48|0;h=d>>>0>a>>>0;d=b+(a*48|0)|0;a=h?d:c;if((a|0)==(b|0))p=i;else{e=i;i=b;while(1){if((e|0)!=(i|0)){b=i+24|0;g=f[b>>2]|0;if(g|0){j=g+8|0;f[j>>2]=(f[j>>2]|0)+1}j=e+24|0;g=f[j>>2]|0;if(g|0?(k=g+8|0,g=f[k>>2]|0,f[k>>2]=g+-1,(g|0)==1):0)vN(e);g=e+4|0;if((f[g>>2]|0)>0){k=f[e+32>>2]|0;m=0;do{f[k+(m<<2)>>2]=0;m=m+1|0;q=f[g>>2]|0}while((m|0)<(q|0));f[j>>2]=0;f[e>>2]=f[i>>2];if((q|0)<3)r=14;else r=16}else{f[j>>2]=0;f[e>>2]=f[i>>2];r=14}if((r|0)==14){r=0;m=f[i+4>>2]|0;if((m|0)<3){f[g>>2]=m;f[e+8>>2]=f[i+8>>2];f[e+12>>2]=f[i+12>>2];m=f[i+36>>2]|0;k=f[e+36>>2]|0;f[k>>2]=f[m>>2];f[k+4>>2]=f[m+4>>2]}else r=16}if((r|0)==16){r=0;tN(e,i)}f[e+16>>2]=f[i+16>>2];m=e+20|0;if(!(f[m>>2]|0))f[m>>2]=f[i+20>>2];f[j>>2]=f[b>>2];f[e+28>>2]=f[i+28>>2]}i=i+48|0;m=e+48|0;if((i|0)==(a|0)){p=m;break}else e=m}}if(!h){while(1){h=f[l>>2]|0;if((h|0)==(p|0))break;e=h+-48|0;f[l>>2]=e;uN(e)}return}if((a|0)==(c|0))return;a=d;d=f[l>>2]|0;do{f[d>>2]=f[a>>2];p=d+4|0;e=a+4|0;f[p>>2]=f[e>>2];h=d+8|0;f[h>>2]=f[a+8>>2];f[d+12>>2]=f[a+12>>2];f[d+16>>2]=f[a+16>>2];f[d+20>>2]=f[a+20>>2];i=f[a+24>>2]|0;f[d+24>>2]=i;f[d+28>>2]=f[a+28>>2];f[d+32>>2]=h;h=d+40|0;r=d+36|0;f[r>>2]=h;f[d+44>>2]=0;f[h>>2]=0;if(i|0){h=i+8|0;f[h>>2]=(f[h>>2]|0)+1}if((f[e>>2]|0)<3){e=f[a+36>>2]|0;h=f[r>>2]|0;f[h>>2]=f[e>>2];f[h+4>>2]=f[e+4>>2]}else{f[p>>2]=0;tN(d,a)}a=a+48|0;d=(f[l>>2]|0)+48|0;f[l>>2]=d}while((a|0)!=(c|0));return}function NBa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;e=u;u=u+176|0;g=e+160|0;h=e+152|0;i=e+144|0;j=e+48|0;k=e+96|0;l=e;f[a+4>>2]=3;f[a+8>>2]=1;f[a>>2]=110088;m=a+12|0;f[m>>2]=1124007936;n=a+16|0;o=a+20|0;p=a+32|0;q=a+36|0;r=a+40|0;s=a+44|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;f[n+16>>2]=0;f[n+20>>2]=0;f[n+24>>2]=0;f[s>>2]=o;t=a+52|0;v=a+48|0;f[v>>2]=t;f[a+56>>2]=0;f[t>>2]=0;t=f[c+4>>2]|0;if(!t)w=0;else w=Jnc(t,18464,18520,0)|0;t=f[c>>2]|0;c=(t|0)==0;if(!c){x=t+4|0;f[x>>2]=(f[x>>2]|0)+1}if(!w){f[g>>2]=0;f[g+4>>2]=0;x=YG(g,13)|0;y=393631;z=x+13|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));SQ(-215,g,393645,387968,259)}y=a+60|0;f[y>>2]=d;f[i>>2]=1;d=i+4|0;x=w+12|0;z=f[w+16>>2]|0;if((z|0)<3)A=Y(f[w+24>>2]|0,f[w+20>>2]|0)|0;else{B=f[w+44>>2]|0;w=0;C=1;while(1){D=Y(f[B+(w<<2)>>2]|0,C)|0;w=w+1|0;if((w|0)==(z|0)){A=D;break}else C=D}}f[d>>2]=A;EN(l,x,1,2,i);i=f[y>>2]|0;x=f[i+4>>2]|0;if((x|0)<3)E=Y(f[i+12>>2]|0,f[i+8>>2]|0)|0;else{A=f[i+40>>2]|0;i=0;d=1;while(1){C=Y(f[A+(i<<2)>>2]|0,d)|0;i=i+1|0;if((i|0)==(x|0)){E=C;break}else d=C}}f[g>>2]=-2147483648;f[g+4>>2]=2147483647;f[h>>2]=0;f[h+4>>2]=E;wN(k,l,g,h);h=f[y>>2]|0;EN(j,k,1,f[h+4>>2]|0,f[h+40>>2]|0);if((m|0)!=(j|0)){h=j+24|0;y=f[h>>2]|0;if(y|0){g=y+8|0;f[g>>2]=(f[g>>2]|0)+1}g=f[q>>2]|0;if(g|0?(y=g+8|0,g=f[y>>2]|0,f[y>>2]=g+-1,(g|0)==1):0)vN(m);if((f[n>>2]|0)>0){g=f[s>>2]|0;s=0;do{f[g+(s<<2)>>2]=0;s=s+1|0;F=f[n>>2]|0}while((s|0)<(F|0));f[q>>2]=0;f[m>>2]=f[j>>2];if((F|0)<3)G=26;else G=28}else{f[q>>2]=0;f[m>>2]=f[j>>2];G=26}if((G|0)==26){F=f[j+4>>2]|0;if((F|0)<3){f[n>>2]=F;f[o>>2]=f[j+8>>2];f[a+24>>2]=f[j+12>>2];o=f[j+36>>2]|0;F=f[v>>2]|0;f[F>>2]=f[o>>2];f[F+4>>2]=f[o+4>>2]}else G=28}if((G|0)==28)tN(m,j);f[a+28>>2]=f[j+16>>2];if(!(f[p>>2]|0))f[p>>2]=f[j+20>>2];f[q>>2]=f[h>>2];f[r>>2]=f[j+28>>2]}uN(j);uN(k);uN(l);b[a+64>>0]=0;a=t;if(c){u=e;return}c=a+4|0;l=f[c>>2]|0;f[c>>2]=l+-1;if((l|0)!=1){u=e;return}ai[f[(f[t>>2]|0)+8>>2]&2047](a);u=e;return}function OBa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=u;u=u+16|0;h=g;switch(c|0){case 3:{if(!d){f[a>>2]=0;f[a+4>>2]=0;u=g;return}if((d+-1|0)>>>0>=2){f[h>>2]=0;f[h+4>>2]=0;i=YG(h,25)|0;j=393489;k=i+25|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-213,h,393515,387968,870)}d=Bmc(68)|0;f[d+4>>2]=3;f[d+8>>2]=1;f[d>>2]=110088;c=d+12|0;f[c>>2]=1124007936;l=d+16|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;f[d+44>>2]=d+20;l=d+52|0;f[d+48>>2]=l;f[d+56>>2]=0;f[l>>2]=0;l=h+8|0;f[l>>2]=0;f[l+4>>2]=0;f[h>>2]=34209792;f[h+4>>2]=c;kT(e,h);f[d+60>>2]=e;b[d+64>>0]=0;e=Bmc(16)|0;f[e+4>>2]=1;f[e>>2]=110068;f[e+8>>2]=d;f[a>>2]=e;f[a+4>>2]=d;u=g;return}case 1:{if(!(ACa()|0)){f[h>>2]=0;f[h+4>>2]=0;i=YG(h,12)|0;j=392831;k=i+12|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-215,h,393515,387968,874)}break}case 2:{if(!(_Da()|0)){f[h>>2]=0;f[h+4>>2]=0;i=YG(h,15)|0;j=399649;k=i+15|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-215,h,393515,387968,881)}break}default:{f[h>>2]=0;f[h+4>>2]=0;i=YG(h,26)|0;j=391483;k=i+26|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));SQ(-213,h,393515,387968,887)}}f[a>>2]=0;f[a+4>>2]=0;u=g;return}function PBa(a){a=a|0;f[a>>2]=110088;uN(a+12|0);return}function QBa(a){a=a|0;f[a>>2]=110088;uN(a+12|0);Emc(a);return}function RBa(a){a=a|0;var b=0,c=0,d=0,e=0;b=u;u=u+16|0;c=b;d=f[a+60>>2]|0;e=c+8|0;f[e>>2]=0;f[e+4>>2]=0;f[c>>2]=33619968;f[c+4>>2]=d;BN(a+12|0,c);u=b;return}function SBa(a){a=a|0;b[a+64>>0]=1;return}function TBa(a){a=a|0;Emc(a);return}function UBa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function VBa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=f[a>>2]|0;if(!b)return;c=a+4|0;d=f[c>>2]|0;if((d|0)==(b|0))e=b;else{g=d;do{d=g+-56|0;f[c>>2]=d;h=g+-20|0;i=f[h>>2]|0;if(i|0?(j=i+12|0,i=f[j>>2]|0,f[j>>2]=i+-1,(i|0)==1):0)lP(d);f[h>>2]=0;h=g+-40|0;d=g+-52|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[d>>2]|0)>0){h=f[g+-16>>2]|0;i=0;do{f[h+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[d>>2]|0))}d=f[g+-12>>2]|0;if((d|0)!=(g+-8|0))tE(d);g=f[c>>2]|0}while((g|0)!=(b|0));e=f[a>>2]|0}Emc(e);f[a+8>>2]=0;f[c>>2]=0;f[a>>2]=0;return}function WBa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;h=g;if(d-g>>3>>>0>=b>>>0){Drc(g|0,0,b<<3|0)|0;f[e>>2]=h+(b<<3);return}i=f[a>>2]|0;j=g-i>>3;k=j+b|0;l=i;if(k>>>0>536870911)Ukc(a);m=d-i|0;i=m>>2;d=m>>3>>>0<268435455?(i>>>0<k>>>0?k:i):536870911;do if(d)if(d>>>0>536870911){i=ye(8)|0;Jmc(i,511852);f[i>>2]=165276;Gf(i|0,26776,1555)}else{n=Bmc(d<<3)|0;break}else n=0;while(0);i=n+(j<<3)|0;j=i;k=n+(d<<3)|0;Drc(i|0,0,b<<3|0)|0;d=i+(b<<3)|0;if((h|0)==(l|0)){o=j;p=g;q=h}else{g=h;h=j;j=i;do{i=g;g=g+-8|0;b=f[g>>2]|0;f[j+-8>>2]=b;f[j+-4>>2]=f[i+-4>>2];if(b|0){i=b+4|0;f[i>>2]=(f[i>>2]|0)+1}j=h+-8|0;h=j}while((g|0)!=(l|0));o=h;p=f[a>>2]|0;q=f[e>>2]|0}f[a>>2]=o;f[e>>2]=d;f[c>>2]=k;k=p;if((q|0)!=(k|0)){c=q;do{q=c;c=c+-8|0;d=f[c>>2]|0;if(d|0?(e=d+4|0,o=f[e>>2]|0,f[e>>2]=o+-1,(o|0)==1):0)ai[f[(f[d>>2]|0)+8>>2]&2047](d);f[c>>2]=0;f[q+-4>>2]=0}while((c|0)!=(k|0))}if(!p)return;Emc(p);return}function XBa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;f[a>>2]=0;c=a+4|0;f[c>>2]=0;f[a+8>>2]=0;d=b+4|0;e=(f[d>>2]|0)-(f[b>>2]|0)|0;g=(e|0)/12|0;if(!e)return;if(g>>>0>357913941)Ukc(a);h=Bmc(e)|0;f[c>>2]=h;f[a>>2]=h;f[a+8>>2]=h+(g*12|0);g=f[b>>2]|0;b=f[d>>2]|0;if((g|0)==(b|0))return;d=g;g=h;do{fAa(g,d);d=d+12|0;g=(f[c>>2]|0)+12|0;f[c>>2]=g}while((d|0)!=(b|0));return}function YBa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;d=u;u=u+16|0;e=d;g=a+16|0;h=f[g>>2]|0;do if(h|0){i=f[c>>2]|0;j=f[c+4>>2]|0;k=g;l=h;a:while(1){m=l;while(1){n=f[m+16>>2]|0;if((n|0)>=(i|0)){if((n|0)!=(i|0))break;if((f[m+20>>2]|0)>=(j|0))break}n=f[m+4>>2]|0;if(!n){o=k;break a}else m=n}l=f[m>>2]|0;if(!l){o=m;break}else k=m}if((o|0)!=(g|0)?(k=f[o+16>>2]|0,(i|0)>=(k|0)):0){if((i|0)==(k|0)?(j|0)<(f[o+20>>2]|0):0)break;k=o+24|0;l=f[k>>2]|0;n=f[k+4>>2]|0;k=a+4|0;p=f[k>>2]|0;if(p|0){q=k;r=p;b:while(1){p=r;while(1){s=f[p+16>>2]|0;if((s|0)>=(l|0)){if((s|0)!=(l|0))break;if((f[p+20>>2]|0)>=(n|0))break}s=f[p+4>>2]|0;if(!s){t=q;break b}else p=s}r=f[p>>2]|0;if(!r){t=p;break}else q=p}if((t|0)!=(k|0)?(q=f[t+16>>2]|0,(l|0)>=(q|0)):0){if((l|0)!=(q|0)){v=t+24|0;w=f[v>>2]|0;u=d;return w|0}if((n|0)>=(f[t+20>>2]|0)){v=t+24|0;w=f[v>>2]|0;u=d;return w|0}}}f[e>>2]=0;f[e+4>>2]=0;x=YG(e,25)|0;y=394186;z=x+25|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));SQ(-215,e,394456,387968,666)}}while(0);f[e>>2]=0;f[e+4>>2]=0;x=YG(e,23)|0;y=394145;z=x+23|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));SQ(-215,e,394456,387968,662);return 0}function ZBa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;e=f[a>>2]|0;g=e;h=(f[b>>2]|0)-g|0;b=e+(((h|0)/12|0)*12|0)|0;i=f[c>>2]|0;c=f[d>>2]|0;d=c-i|0;j=(d|0)/12|0;k=i;i=c;if((d|0)<=0){l=b;return l|0}d=a+8|0;m=f[d>>2]|0;n=a+4|0;o=f[n>>2]|0;p=o;if((j|0)<=((m-p|0)/12|0|0)){q=p-b|0;r=(q|0)/12|0;if((j|0)>(r|0)){s=k+(r*12|0)|0;r=s;if((s|0)==(i|0))t=o;else{u=o;v=s;while(1){fAa(u,v);v=v+12|0;s=(f[n>>2]|0)+12|0;f[n>>2]=s;if((v|0)==(i|0)){t=s;break}else u=s}}if((q|0)>0){w=r;x=t}else{l=b;return l|0}}else{w=c;x=o}c=x-(b+(j*12|0))|0;t=b+(((c|0)/12|0)*12|0)|0;if(t>>>0<o>>>0){r=t;q=x;do{fAa(q,r);r=r+12|0;q=(f[n>>2]|0)+12|0;f[n>>2]=q}while(r>>>0<o>>>0)}if(c|0){c=t;t=x;do{x=c;c=c+-12|0;o=t;t=t+-12|0;if((o|0)!=(x|0))c2(t,f[c>>2]|0,f[x+-8>>2]|0)}while((c|0)!=(b|0))}c=w;if((k|0)==(c|0)){l=b;return l|0}else{y=b;z=k}while(1){if((y|0)!=(z|0))c2(y,f[z>>2]|0,f[z+4>>2]|0);z=z+12|0;if((z|0)==(c|0)){l=b;break}else y=y+12|0}return l|0}y=((p-g|0)/12|0)+j|0;if(y>>>0>357913941)Ukc(a);j=(m-g|0)/12|0;g=j<<1;m=j>>>0<178956970?(g>>>0<y>>>0?y:g):357913941;g=(h|0)/12|0;do if(m)if(m>>>0>357913941){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{A=Bmc(m*12|0)|0;break}else A=0;while(0);h=A+(g*12|0)|0;g=h;y=A+(m*12|0)|0;if((k|0)==(i|0)){B=g;C=e}else{e=g;m=h;A=k;do{fAa(m,A);m=e+12|0;e=m;A=A+12|0}while((A|0)!=(i|0));B=e;C=f[a>>2]|0}if((C|0)==(b|0)){D=h;E=g}else{e=b;i=g;g=h;while(1){e=e+-12|0;fAa(g+-12|0,e);A=i+-12|0;m=A;if((e|0)==(C|0)){D=A;E=m;break}else{i=m;g=A}}}g=f[n>>2]|0;if((g|0)==(b|0)){F=B;G=D;H=b}else{D=b;b=B;i=B;do{fAa(i,D);D=D+12|0;i=b+12|0;b=i}while((D|0)!=(g|0));F=b;G=E;H=f[n>>2]|0}E=f[a>>2]|0;f[a>>2]=G;f[n>>2]=F;f[d>>2]=y;if((H|0)!=(E|0)){y=H;do{H=y;y=y+-12|0;d=f[y>>2]|0;if(d|0){F=H+-8|0;H=f[F>>2]|0;if((H|0)!=(d|0))f[F>>2]=H+(~((H+-4-d|0)>>>2)<<2);Emc(d)}}while((y|0)!=(E|0))}if(!E){l=h;return l|0}Emc(E);l=h;return l|0}function _Ba(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;Emc(d);return}function $Ba(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;e=u;u=u+16|0;g=e;h=a+12|0;i=a+16|0;j=f[i>>2]|0;if(!j){f[g>>2]=0;k=g+4|0;f[k>>2]=0;l=YG(g,37)|0;m=l;n=394418;o=m+37|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,g,394412,387968,674)}p=f[d>>2]|0;q=d+4|0;r=f[q>>2]|0;s=i;t=j;a:while(1){v=t;while(1){w=f[v+16>>2]|0;if((w|0)>=(p|0)){if((w|0)!=(p|0))break;if((f[v+20>>2]|0)>=(r|0))break}w=f[v+4>>2]|0;if(!w){x=s;break a}else v=w}t=f[v>>2]|0;if(!t){x=v;break}else s=v}if((x|0)!=(i|0)?(s=f[x+16>>2]|0,(p|0)>=(s|0)):0){if((p|0)!=(s|0)){f[g>>2]=0;y=g+4|0;f[y>>2]=0;z=YG(g,37)|0;m=z;n=394374;o=m+37|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,g,394412,387968,673)}if((r|0)>=(f[x+20>>2]|0)){f[g>>2]=0;y=g+4|0;f[y>>2]=0;z=YG(g,37)|0;m=z;n=394374;o=m+37|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,g,394412,387968,673)}}z=f[c>>2]|0;y=f[c+4>>2]|0;x=i;r=j;b:while(1){j=r;while(1){s=f[j+16>>2]|0;if((s|0)>=(z|0)){if((s|0)!=(z|0))break;if((f[j+20>>2]|0)>=(y|0))break}s=f[j+4>>2]|0;if(!s){A=x;break b}else j=s}r=f[j>>2]|0;if(!r){A=j;break}else x=j}if((A|0)==(i|0)){f[g>>2]=0;k=g+4|0;f[k>>2]=0;l=YG(g,37)|0;m=l;n=394418;o=m+37|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,g,394412,387968,674)}i=f[A+16>>2]|0;if((z|0)<(i|0)){f[g>>2]=0;k=g+4|0;f[k>>2]=0;l=YG(g,37)|0;m=l;n=394418;o=m+37|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,g,394412,387968,674)}if((z|0)==(i|0)?(y|0)<(f[A+20>>2]|0):0){f[g>>2]=0;k=g+4|0;f[k>>2]=0;l=YG(g,37)|0;m=l;n=394418;o=m+37|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));SQ(-215,g,394412,387968,674)}g=eCa(h,c)|0;c=f[g>>2]|0;n=f[g+4>>2]|0;g=eCa(h,d)|0;f[g>>2]=c;f[g+4>>2]=n;g=a+4|0;h=f[g>>2]|0;if(!h){u=e;return}else{B=g;C=h}c:while(1){m=C;while(1){o=f[m+16>>2]|0;if((o|0)>=(c|0)){if((o|0)!=(c|0))break;if((f[m+20>>2]|0)>=(n|0))break}o=f[m+4>>2]|0;if(!o){D=B;break c}else m=o}C=f[m>>2]|0;if(!C){D=m;break}else B=m}if((D|0)==(g|0)){u=e;return}B=f[D+16>>2]|0;if((c|0)<(B|0)){u=e;return}if((c|0)==(B|0)?(n|0)<(f[D+20>>2]|0):0){u=e;return}D=f[d>>2]|0;d=f[q>>2]|0;q=g;B=h;d:while(1){C=B;while(1){j=f[C+16>>2]|0;if((j|0)>=(D|0)){if((j|0)!=(D|0))break;if((f[C+20>>2]|0)>=(d|0))break}j=f[C+4>>2]|0;if(!j){E=q;break d}else C=j}B=f[C>>2]|0;if(!B){E=C;break}else q=C}do if((E|0)!=(g|0)?(q=f[E+16>>2]|0,(D|0)>=(q|0)):0){if((D|0)==(q|0)?(d|0)<(f[E+20>>2]|0):0)break;q=f[E+24>>2]|0;B=a+4|0;m=h;j=h;e:while(1){o=f[m+16>>2]|0;do if((c|0)>=(o|0)){l=(c|0)==(o|0);if(l?(n|0)<(f[m+20>>2]|0):0){F=53;break}if((o|0)>=(c|0)){if(!l){F=58;break e}if((f[m+20>>2]|0)>=(n|0)){F=58;break e}}l=m+4|0;k=f[l>>2]|0;if(!k){G=l;F=59;break e}else{H=l;I=k}}else F=53;while(0);if((F|0)==53){F=0;o=f[m>>2]|0;if(!o){G=m;F=59;break}else{H=m;I=o}}B=H;m=I;j=I}if((F|0)==58)if(!j){G=B;F=59}else J=j;if((F|0)==59){C=Bmc(28)|0;o=C+16|0;f[o>>2]=c;f[o+4>>2]=n;f[C+24>>2]=0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=m;f[G>>2]=C;o=f[f[a>>2]>>2]|0;if(!o)K=C;else{f[a>>2]=o;K=f[G>>2]|0}RS(f[a+4>>2]|0,K);o=a+8|0;f[o>>2]=(f[o>>2]|0)+1;J=C}C=J+24|0;f[C>>2]=(f[C>>2]|0)+q;C=f[E+4>>2]|0;if(!C){o=E+8|0;k=f[o>>2]|0;if((f[k>>2]|0)==(E|0))L=k;else{k=o;do{o=f[k>>2]|0;k=o+8|0;l=f[k>>2]|0}while((f[l>>2]|0)!=(o|0));L=l}}else{k=C;while(1){q=f[k>>2]|0;if(!q)break;else k=q}L=k}if((f[a>>2]|0)==(E|0))f[a>>2]=L;C=a+8|0;f[C>>2]=(f[C>>2]|0)+-1;gCa(f[a+4>>2]|0,E);Emc(E);u=e;return}while(0);E=a+4|0;L=h;J=h;f:while(1){h=f[L+16>>2]|0;do if((c|0)>=(h|0)){K=(c|0)==(h|0);if(K?(n|0)<(f[L+20>>2]|0):0){F=75;break}if((h|0)>=(c|0)){if(!K){F=80;break f}if((f[L+20>>2]|0)>=(n|0)){F=80;break f}}K=L+4|0;G=f[K>>2]|0;if(!G){M=K;F=81;break f}else{N=K;O=G}}else F=75;while(0);if((F|0)==75){F=0;h=f[L>>2]|0;if(!h){M=L;F=81;break}else{N=L;O=h}}E=N;L=O;J=O}if((F|0)==80)if(!J){M=E;F=81}else P=J;if((F|0)==81){F=Bmc(28)|0;J=F+16|0;f[J>>2]=c;f[J+4>>2]=n;f[F+24>>2]=0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=L;f[M>>2]=F;L=f[f[a>>2]>>2]|0;if(!L)Q=F;else{f[a>>2]=L;Q=f[M>>2]|0}RS(f[a+4>>2]|0,Q);Q=a+8|0;f[Q>>2]=(f[Q>>2]|0)+1;P=F}F=P+24|0;f[F>>2]=(f[F>>2]|0)+1;u=e;return}function aCa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0;h=u;u=u+256|0;i=h+240|0;j=h+232|0;k=h+176|0;l=h;m=h+64|0;n=h+120|0;o=h+8|0;if(!(b[1161067]|0)){f[k>>2]=1124007936;p=k+4|0;q=k+8|0;r=k+40|0;s=p;t=s+36|0;do{f[s>>2]=0;s=s+4|0}while((s|0)<(t|0));f[r>>2]=q;v=k+48|0;w=k+44|0;f[w>>2]=v;f[v>>2]=0;f[k+52>>2]=0;f[l>>2]=-1;f[l+4>>2]=-1;x=f[c+4>>2]|0;y=f[c>>2]|0;z=x-y|0;A=z>>2;B=y;if((B|0)!=(x|0)){if((z|0)<=-4){f[i>>2]=0;f[i+4>>2]=0;s=YG(i,70)|0;x=475084;t=s+70|0;do{b[s>>0]=b[x>>0]|0;s=s+1|0;x=x+1|0}while((s|0)<(t|0));SQ(-215,i,475155,475161,161)}if((z|0)>0){z=0;x=1;while(1){s=Y(f[B+(z<<2)>>2]|0,x)|0;z=z+1|0;if((z|0)>=(A|0)){C=s;break}else x=s}}else C=1}else C=0;x=f[a+24>>2]|0;A=a+28|0;if((x|0)!=(A|0)){z=a+4|0;B=k+36|0;s=k+16|0;t=k+12|0;y=k+20|0;D=k+24|0;E=k+28|0;F=k+32|0;G=2147483647;H=x;x=0;I=0;J=0;while(1){K=H+16|0;L=f[z>>2]|0;do if(L){M=f[K>>2]|0;N=f[H+20>>2]|0;O=z;P=L;a:while(1){Q=P;while(1){R=f[Q+16>>2]|0;if((R|0)>=(M|0)){if((R|0)!=(M|0))break;if((f[Q+20>>2]|0)>=(N|0))break}R=f[Q+4>>2]|0;if(!R){S=O;break a}else Q=R}P=f[Q>>2]|0;if(!P){S=Q;break}else O=Q}if((S|0)!=(z|0)?(O=f[S+16>>2]|0,(M|0)>=(O|0)):0){if((M|0)==(O|0)?(N|0)<(f[S+20>>2]|0):0){T=G;U=I;V=x;W=J;break}if(!(f[S+24>>2]|0)){O=H+24|0;P=H+28|0;R=f[P>>2]|0;X=(R|0)<3;if(X)Z=Y(f[H+36>>2]|0,f[H+32>>2]|0)|0;else{_=f[H+64>>2]|0;$=0;aa=1;while(1){ba=Y(f[_+($<<2)>>2]|0,aa)|0;$=$+1|0;if(($|0)==(R|0)){Z=ba;break}else aa=ba}}if(Z>>>0>=C>>>0){if(X)ca=Y(f[H+36>>2]|0,f[H+32>>2]|0)|0;else{aa=f[H+64>>2]|0;$=0;_=1;while(1){N=Y(f[aa+($<<2)>>2]|0,_)|0;$=$+1|0;if(($|0)==(R|0)){ca=N;break}else _=N}}if(ca>>>0<G>>>0){_=K;$=f[_+4>>2]|0;aa=l;f[aa>>2]=f[_>>2];f[aa+4>>2]=$;if((k|0)==(O|0)){da=R;ea=x;fa=I;ga=J}else{$=H+60|0;aa=f[$>>2]|0;if(!aa)ha=J;else{_=aa+12|0;f[_>>2]=(f[_>>2]|0)+1;ha=f[B>>2]|0}do if(ha|0){_=ha+12|0;aa=f[_>>2]|0;f[_>>2]=aa+-1;if((aa|0)!=1)break;lP(k)}while(0);f[B>>2]=0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[p>>2]|0)>0){R=f[r>>2]|0;aa=0;do{f[R+(aa<<2)>>2]=0;aa=aa+1|0;ia=f[p>>2]|0}while((aa|0)<(ia|0));f[k>>2]=f[O>>2];if((ia|0)<3)ja=44;else ja=46}else{f[k>>2]=f[O>>2];ja=44}do if((ja|0)==44){ja=0;aa=f[P>>2]|0;if((aa|0)>=3){ja=46;break}f[p>>2]=aa;f[q>>2]=f[H+32>>2];f[t>>2]=f[H+36>>2];aa=f[H+68>>2]|0;R=f[w>>2]|0;f[R>>2]=f[aa>>2];f[R+4>>2]=f[aa+4>>2]}while(0);if((ja|0)==46){ja=0;kP(k,O)}aa=f[H+40>>2]|0;f[s>>2]=aa;f[y>>2]=f[H+44>>2];f[D>>2]=f[H+48>>2];f[E>>2]=f[H+52>>2];f[F>>2]=f[H+56>>2];R=f[$>>2]|0;f[B>>2]=R;_=R;da=f[P>>2]|0;ea=_;fa=aa;ga=_}if((da|0)<3){T=Y(f[H+36>>2]|0,f[H+32>>2]|0)|0;U=fa;V=ea;W=ga;break}_=f[H+64>>2]|0;aa=0;R=1;while(1){X=Y(f[_+(aa<<2)>>2]|0,R)|0;aa=aa+1|0;if((aa|0)==(da|0)){T=X;U=fa;V=ea;W=ga;break}else R=X}}else{T=G;U=I;V=x;W=J}}else{T=G;U=I;V=x;W=J}}else{T=G;U=I;V=x;W=J}}else{T=G;U=I;V=x;W=J}}else{T=G;U=I;V=x;W=J}while(0);K=f[H+4>>2]|0;if(!K){L=H+8|0;R=f[L>>2]|0;if((f[R>>2]|0)==(H|0))ka=R;else{R=L;do{L=f[R>>2]|0;R=L+8|0;aa=f[R>>2]|0}while((f[aa>>2]|0)!=(L|0));ka=aa}}else{R=K;while(1){aa=f[R>>2]|0;if(!aa)break;else R=aa}ka=R}if((ka|0)==(A|0))break;else{G=T;H=ka;x=V;I=U;J=W}}if(U|0){U=f[p>>2]|0;if((U|0)<3)la=Y(f[k+12>>2]|0,f[q>>2]|0)|0;else{q=f[r>>2]|0;W=0;J=1;while(1){I=Y(f[q+(W<<2)>>2]|0,J)|0;W=W+1|0;if((W|0)==(U|0)){la=I;break}else J=I}}if(!((U|0)==0|(la|0)==0)){$Ba(a,l,d);xP(o,k,1,1);f[i>>2]=-2147483648;f[i+4>>2]=2147483647;f[j>>2]=0;f[j+4>>2]=C;mP(n,o,i,j);zP(m,n,1,c);if((m|0)==(e|0)){ma=m+36|0;na=f[e+36>>2]|0}else{j=m+36|0;i=f[j>>2]|0;if(i|0){C=i+12|0;f[C>>2]=(f[C>>2]|0)+1}C=e+36|0;i=f[C>>2]|0;if(i|0?(l=i+12|0,i=f[l>>2]|0,f[l>>2]=i+-1,(i|0)==1):0)lP(e);f[C>>2]=0;i=e+16|0;l=e+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[l>>2]|0)>0){la=f[e+40>>2]|0;U=0;do{f[la+(U<<2)>>2]=0;U=U+1|0;oa=f[l>>2]|0}while((U|0)<(oa|0));f[e>>2]=f[m>>2];if((oa|0)<3)ja=76;else ja=78}else{f[e>>2]=f[m>>2];ja=76}if((ja|0)==76){oa=f[m+4>>2]|0;if((oa|0)<3){f[l>>2]=oa;f[e+8>>2]=f[m+8>>2];f[e+12>>2]=f[m+12>>2];oa=f[m+44>>2]|0;l=f[e+44>>2]|0;f[l>>2]=f[oa>>2];f[l+4>>2]=f[oa+4>>2]}else ja=78}if((ja|0)==78)kP(e,m);f[i>>2]=f[m+16>>2];f[e+20>>2]=f[m+20>>2];f[e+24>>2]=f[m+24>>2];f[e+28>>2]=f[m+28>>2];f[e+32>>2]=f[m+32>>2];i=f[j>>2]|0;f[C>>2]=i;ma=j;na=i}if(na|0?(i=na+12|0,na=f[i>>2]|0,f[i>>2]=na+-1,(na|0)==1):0)lP(m);f[ma>>2]=0;ma=m+16|0;na=m+4|0;f[ma>>2]=0;f[ma+4>>2]=0;f[ma+8>>2]=0;f[ma+12>>2]=0;if((f[na>>2]|0)>0){ma=f[m+40>>2]|0;i=0;do{f[ma+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[na>>2]|0))}na=f[m+44>>2]|0;if((na|0)!=(m+48|0))tE(na);na=n+36|0;m=f[na>>2]|0;if(m|0?(i=m+12|0,m=f[i>>2]|0,f[i>>2]=m+-1,(m|0)==1):0)lP(n);f[na>>2]=0;na=n+16|0;m=n+4|0;f[na>>2]=0;f[na+4>>2]=0;f[na+8>>2]=0;f[na+12>>2]=0;if((f[m>>2]|0)>0){na=f[n+40>>2]|0;i=0;do{f[na+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[m>>2]|0))}m=f[n+44>>2]|0;if((m|0)!=(n+48|0))tE(m);m=o+36|0;n=f[m>>2]|0;if(n|0?(i=n+12|0,n=f[i>>2]|0,f[i>>2]=n+-1,(n|0)==1):0)lP(o);f[m>>2]=0;m=o+16|0;n=o+4|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[n>>2]|0)>0){m=f[o+40>>2]|0;i=0;do{f[m+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[n>>2]|0))}n=f[o+44>>2]|0;if((n|0)!=(o+48|0))tE(n);n=k+36|0;o=f[n>>2]|0;do if(o|0){i=o+12|0;m=f[i>>2]|0;f[i>>2]=m+-1;if((m|0)!=1)break;lP(k)}while(0);f[n>>2]=0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[p>>2]|0)>0){n=f[r>>2]|0;o=0;do{f[n+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[p>>2]|0))}o=f[w>>2]|0;if((o|0)!=(v|0))tE(o);u=h;return}}o=k+36|0;if((V|0)!=0?(n=V+12|0,V=f[n>>2]|0,f[n>>2]=V+-1,(V|0)==1):0){lP(k);pa=s;qa=o}else{pa=s;qa=o}}else{pa=k+16|0;qa=k+36|0}f[qa>>2]=0;f[pa>>2]=0;f[pa+4>>2]=0;f[pa+8>>2]=0;f[pa+12>>2]=0;if((f[p>>2]|0)>0){pa=f[r>>2]|0;r=0;do{f[pa+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[p>>2]|0))}p=f[w>>2]|0;if((p|0)!=(v|0))tE(p)}jP(e,c,g?3:5);dCa(a,d,e);u=h;return}function bCa(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b)return;bCa(a,f[b>>2]|0);bCa(a,f[b+4>>2]|0);a=f[b+20>>2]|0;if(a|0){c=b+24|0;d=f[c>>2]|0;if((d|0)!=(a|0))f[c>>2]=d+(~((d+-4-a|0)>>>2)<<2);Emc(a)}Emc(b);return}function cCa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;d=u;u=u+16|0;e=d;g=a+16|0;h=f[g>>2]|0;do if(h|0){i=f[c>>2]|0;j=f[c+4>>2]|0;k=g;l=h;a:while(1){m=l;while(1){n=f[m+16>>2]|0;if((n|0)>=(i|0)){if((n|0)!=(i|0))break;if((f[m+20>>2]|0)>=(j|0))break}n=f[m+4>>2]|0;if(!n){o=k;break a}else m=n}l=f[m>>2]|0;if(!l){o=m;break}else k=m}if((o|0)!=(g|0)?(k=f[o+16>>2]|0,(i|0)>=(k|0)):0){if((i|0)==(k|0)?(j|0)<(f[o+20>>2]|0):0)break;k=a+4|0;l=f[k>>2]|0;do if(l|0){n=f[o+24>>2]|0;p=f[o+28>>2]|0;q=k;r=l;b:while(1){s=r;while(1){t=f[s+16>>2]|0;if((t|0)>=(n|0)){if((t|0)!=(n|0))break;if((f[s+20>>2]|0)>=(p|0))break}t=f[s+4>>2]|0;if(!t){v=q;break b}else s=t}r=f[s>>2]|0;if(!r){v=s;break}else q=s}if((v|0)!=(k|0)?(q=f[v+16>>2]|0,(n|0)>=(q|0)):0){if((n|0)==(q|0)?(p|0)<(f[v+20>>2]|0):0)break;q=v+24|0;r=f[q>>2]|0;if((r|0)>0){f[q>>2]=r+-1;u=d;return}else{f[e>>2]=0;f[e+4>>2]=0;w=YG(e,17)|0;x=394212;y=w+17|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,e,394169,387968,698)}}}while(0);f[e>>2]=0;f[e+4>>2]=0;w=YG(e,25)|0;x=394186;y=w+25|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,e,394169,387968,697)}}while(0);f[e>>2]=0;f[e+4>>2]=0;w=YG(e,23)|0;x=394145;y=w+23|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,e,394169,387968,694)}function dCa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;e=u;u=u+16|0;g=e;h=a+24|0;i=a+28|0;j=f[i>>2]|0;if(j|0){k=f[c>>2]|0;l=f[c+4>>2]|0;m=i;n=j;a:while(1){j=n;while(1){o=f[j+16>>2]|0;if((o|0)>=(k|0)){if((o|0)!=(k|0))break;if((f[j+20>>2]|0)>=(l|0))break}o=f[j+4>>2]|0;if(!o){p=m;break a}else j=o}n=f[j>>2]|0;if(!n){p=j;break}else m=j}if((p|0)!=(i|0)?(i=f[p+16>>2]|0,(k|0)>=(i|0)):0){if((k|0)!=(i|0)){f[g>>2]=0;q=g+4|0;f[q>>2]=0;r=YG(g,35)|0;s=r;t=394330;v=s+35|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));SQ(-215,g,394366,387968,849)}if((l|0)>=(f[p+20>>2]|0)){f[g>>2]=0;q=g+4|0;f[q>>2]=0;r=YG(g,35)|0;s=r;t=394330;v=s+35|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));SQ(-215,g,394366,387968,849)}}}g=eCa(a+12|0,c)|0;a=c;t=f[a+4>>2]|0;s=g;f[s>>2]=f[a>>2];f[s+4>>2]=t;t=fCa(h,c)|0;if((t|0)==(d|0)){u=e;return}c=d+36|0;h=f[c>>2]|0;if(h|0){s=h+12|0;f[s>>2]=(f[s>>2]|0)+1}s=t+36|0;h=f[s>>2]|0;if(h|0?(a=h+12|0,h=f[a>>2]|0,f[a>>2]=h+-1,(h|0)==1):0)lP(t);f[s>>2]=0;h=t+16|0;a=t+4|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[a>>2]|0)>0){g=f[t+40>>2]|0;v=0;do{f[g+(v<<2)>>2]=0;v=v+1|0;w=f[a>>2]|0}while((v|0)<(w|0));f[t>>2]=f[d>>2];if((w|0)<3)x=25;else x=27}else{f[t>>2]=f[d>>2];x=25}if((x|0)==25){w=f[d+4>>2]|0;if((w|0)<3){f[a>>2]=w;f[t+8>>2]=f[d+8>>2];f[t+12>>2]=f[d+12>>2];w=f[d+44>>2]|0;a=f[t+44>>2]|0;f[a>>2]=f[w>>2];f[a+4>>2]=f[w+4>>2]}else x=27}if((x|0)==27)kP(t,d);f[h>>2]=f[d+16>>2];f[t+20>>2]=f[d+20>>2];f[t+24>>2]=f[d+24>>2];f[t+28>>2]=f[d+28>>2];f[t+32>>2]=f[d+32>>2];f[s>>2]=f[c>>2];u=e;return}function eCa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;c=a+4|0;d=f[c>>2]|0;do if(d){e=f[b>>2]|0;g=f[b+4>>2]|0;h=a+4|0;i=d;j=d;a:while(1){k=f[i+16>>2]|0;do if((e|0)>=(k|0)){l=(e|0)==(k|0);if(l?(g|0)<(f[i+20>>2]|0):0){m=7;break}if((k|0)>=(e|0)){if(!l){m=14;break a}if((f[i+20>>2]|0)>=(g|0)){m=14;break a}}n=i+4|0;l=f[n>>2]|0;if(!l){m=13;break a}else{o=n;p=l}}else m=7;while(0);if((m|0)==7){m=0;k=f[i>>2]|0;if(!k){m=8;break}else{o=i;p=k}}h=o;i=p;j=p}if((m|0)==8){q=i;r=i;break}else if((m|0)==13){q=n;r=i;break}else if((m|0)==14){s=h;t=i;u=j;m=16;break}}else{s=c;t=c;u=d;m=16}while(0);if((m|0)==16)if(!u){q=s;r=t}else{v=u;w=v+24|0;return w|0}u=Bmc(32)|0;t=b;b=f[t+4>>2]|0;s=u+16|0;f[s>>2]=f[t>>2];f[s+4>>2]=b;f[u+24>>2]=-1;f[u+28>>2]=-1;f[u>>2]=0;f[u+4>>2]=0;f[u+8>>2]=r;f[q>>2]=u;r=f[f[a>>2]>>2]|0;if(!r)x=u;else{f[a>>2]=r;x=f[q>>2]|0}RS(f[a+4>>2]|0,x);x=a+8|0;f[x>>2]=(f[x>>2]|0)+1;v=u;w=v+24|0;return w|0}function fCa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;c=a+4|0;d=f[c>>2]|0;do if(d){e=f[b>>2]|0;g=f[b+4>>2]|0;h=a+4|0;i=d;j=d;a:while(1){k=f[i+16>>2]|0;do if((e|0)>=(k|0)){l=(e|0)==(k|0);if(l?(g|0)<(f[i+20>>2]|0):0){m=7;break}if((k|0)>=(e|0)){if(!l){m=14;break a}if((f[i+20>>2]|0)>=(g|0)){m=14;break a}}n=i+4|0;l=f[n>>2]|0;if(!l){m=13;break a}else{o=n;p=l}}else m=7;while(0);if((m|0)==7){m=0;k=f[i>>2]|0;if(!k){m=8;break}else{o=i;p=k}}h=o;i=p;j=p}if((m|0)==8){q=i;r=i;break}else if((m|0)==13){q=n;r=i;break}else if((m|0)==14){s=h;t=i;u=j;m=16;break}}else{s=c;t=c;u=d;m=16}while(0);if((m|0)==16)if(!u){q=s;r=t}else{v=u;w=v+24|0;return w|0}u=Bmc(80)|0;t=b;b=f[t+4>>2]|0;s=u+16|0;f[s>>2]=f[t>>2];f[s+4>>2]=b;f[u+24>>2]=1124007936;b=u+32|0;s=u+64|0;t=u+28|0;m=t+36|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(m|0));f[s>>2]=b;b=u+72|0;f[u+68>>2]=b;f[b>>2]=0;f[u+76>>2]=0;f[u>>2]=0;f[u+4>>2]=0;f[u+8>>2]=r;f[q>>2]=u;r=f[f[a>>2]>>2]|0;if(!r)x=u;else{f[a>>2]=r;x=f[q>>2]|0}RS(f[a+4>>2]|0,x);x=a+8|0;f[x>>2]=(f[x>>2]|0)+1;v=u;w=v+24|0;return w|0}function gCa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;d=f[c>>2]|0;if(d){e=f[c+4>>2]|0;if(!e){g=c;h=d}else{d=e;while(1){e=f[d>>2]|0;if(!e){g=d;h=0;break}else d=e}}}else{g=c;h=0}d=g+4|0;e=f[(h|0?g:d)>>2]|0;h=(e|0)==0;i=g+8|0;if(!h)f[e+8>>2]=f[i>>2];j=f[i>>2]|0;if((f[j>>2]|0)==(g|0)){f[j>>2]=e;if((g|0)==(a|0)){k=e;l=0}else{m=j+4|0;n=10}}else{f[j+4>>2]=e;m=j;n=10}if((n|0)==10){k=a;l=f[m>>2]|0}m=g+12|0;a=(b[m>>0]|0)==0;if((g|0)==(c|0))o=k;else{j=c+8|0;p=f[j>>2]|0;f[i>>2]=p;f[((f[f[j>>2]>>2]|0)==(c|0)?p:p+4|0)>>2]=g;p=f[c>>2]|0;f[g>>2]=p;f[p+8>>2]=g;p=f[c+4>>2]|0;f[d>>2]=p;if(p|0)f[p+8>>2]=g;b[m>>0]=b[c+12>>0]|0;o=(k|0)==(c|0)?g:k}if(a|(o|0)==0)return;if(h){q=l;r=o}else{b[e+12>>0]=1;return}while(1){e=f[q+8>>2]|0;o=q+12|0;l=(b[o>>0]|0)!=0;if((f[e>>2]|0)==(q|0)){if(l){s=q;t=r}else{b[o>>0]=1;b[e+12>>0]=0;h=f[e>>2]|0;a=h+4|0;k=f[a>>2]|0;f[e>>2]=k;if(k|0)f[k+8>>2]=e;k=e+8|0;f[h+8>>2]=f[k>>2];g=f[k>>2]|0;f[((f[g>>2]|0)==(e|0)?g:g+4|0)>>2]=h;f[a>>2]=e;f[k>>2]=h;h=f[q+4>>2]|0;s=f[h>>2]|0;t=(r|0)==(h|0)?q:r}u=f[s>>2]|0;v=(u|0)==0;if(!v?(b[u+12>>0]|0)==0:0){n=50;break}h=f[s+4>>2]|0;if(h|0?(b[h+12>>0]|0)==0:0){n=49;break}b[s+12>>0]=0;h=f[s+8>>2]|0;w=h+12|0;if((h|0)==(t|0)|(b[w>>0]|0)==0){n=48;break}else{x=t;y=h}}else{if(l){z=q;A=r}else{b[o>>0]=1;b[e+12>>0]=0;o=e+4|0;l=f[o>>2]|0;h=f[l>>2]|0;f[o>>2]=h;if(h|0)f[h+8>>2]=e;h=e+8|0;f[l+8>>2]=f[h>>2];o=f[h>>2]|0;f[((f[o>>2]|0)==(e|0)?o:o+4|0)>>2]=l;f[l>>2]=e;f[h>>2]=l;l=f[q>>2]|0;z=f[l+4>>2]|0;A=(r|0)==(l|0)?q:r}B=f[z>>2]|0;if(B|0?(b[B+12>>0]|0)==0:0){n=31;break}l=f[z+4>>2]|0;if(l|0?(b[l+12>>0]|0)==0:0){C=l;n=32;break}b[z+12>>0]=0;l=f[z+8>>2]|0;if((l|0)==(A|0)){D=A;n=30;break}if(!(b[l+12>>0]|0)){D=l;n=30;break}else{x=A;y=l}}l=f[y+8>>2]|0;q=f[((f[l>>2]|0)==(y|0)?l+4|0:l)>>2]|0;r=x}if((n|0)==30){b[D+12>>0]=1;return}else if((n|0)==31){D=f[z+4>>2]|0;if(!D)n=33;else{C=D;n=32}}else if((n|0)==48){b[w>>0]=1;return}else if((n|0)==49)if(v)n=51;else n=50;if((n|0)==32)if(!(b[C+12>>0]|0)){E=z;F=C;n=36}else n=33;else if((n|0)==50)if(!(b[u+12>>0]|0)){G=s;H=u;n=54}else n=51;if((n|0)==33){b[B+12>>0]=1;b[z+12>>0]=0;u=B+4|0;C=f[u>>2]|0;f[z>>2]=C;if(C|0)f[C+8>>2]=z;C=z+8|0;f[B+8>>2]=f[C>>2];v=f[C>>2]|0;f[((f[v>>2]|0)==(z|0)?v:v+4|0)>>2]=B;f[u>>2]=z;f[C>>2]=B;E=B;F=z;n=36}else if((n|0)==51){z=s+4|0;B=f[z>>2]|0;b[B+12>>0]=1;b[s+12>>0]=0;C=f[B>>2]|0;f[z>>2]=C;if(C|0)f[C+8>>2]=s;C=s+8|0;f[B+8>>2]=f[C>>2];z=f[C>>2]|0;f[((f[z>>2]|0)==(s|0)?z:z+4|0)>>2]=B;f[B>>2]=s;f[C>>2]=B;G=B;H=s;n=54}if((n|0)==36){s=f[E+8>>2]|0;B=s+12|0;b[E+12>>0]=b[B>>0]|0;b[B>>0]=1;b[F+12>>0]=1;F=s+4|0;B=f[F>>2]|0;E=f[B>>2]|0;f[F>>2]=E;if(E|0)f[E+8>>2]=s;E=s+8|0;f[B+8>>2]=f[E>>2];F=f[E>>2]|0;f[((f[F>>2]|0)==(s|0)?F:F+4|0)>>2]=B;f[B>>2]=s;f[E>>2]=B;return}else if((n|0)==54){n=f[G+8>>2]|0;B=n+12|0;b[G+12>>0]=b[B>>0]|0;b[B>>0]=1;b[H+12>>0]=1;H=f[n>>2]|0;B=H+4|0;G=f[B>>2]|0;f[n>>2]=G;if(G|0)f[G+8>>2]=n;G=n+8|0;f[H+8>>2]=f[G>>2];E=f[G>>2]|0;f[((f[E>>2]|0)==(n|0)?E:E+4|0)>>2]=H;f[B>>2]=n;f[G>>2]=H;return}}function hCa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=(c-b|0)/12|0;e=a+8|0;g=f[e>>2]|0;h=f[a>>2]|0;i=h;if(d>>>0>((g-h|0)/12|0)>>>0){if(!h)j=g;else{g=a+4|0;k=f[g>>2]|0;if((k|0)==(i|0))l=h;else{m=k;while(1){k=m+-12|0;f[g>>2]=k;n=f[k>>2]|0;if(!n)o=k;else{k=m+-8|0;p=f[k>>2]|0;if((p|0)!=(n|0))f[k>>2]=p+(~((p+-4-n|0)>>>2)<<2);Emc(n);o=f[g>>2]|0}if((o|0)==(i|0))break;else m=o}l=f[a>>2]|0}Emc(l);f[e>>2]=0;f[g>>2]=0;f[a>>2]=0;j=0}if(d>>>0>357913941)Ukc(a);g=(j|0)/12|0;j=g<<1;l=g>>>0<178956970?(j>>>0<d>>>0?d:j):357913941;if(l>>>0>357913941)Ukc(a);j=Bmc(l*12|0)|0;g=a+4|0;f[g>>2]=j;f[a>>2]=j;f[e>>2]=j+(l*12|0);if((b|0)==(c|0))return;l=b;e=j;do{fAa(e,l);l=l+12|0;e=(f[g>>2]|0)+12|0;f[g>>2]=e}while((l|0)!=(c|0));return}else{l=a+4|0;a=((f[l>>2]|0)-h|0)/12|0;h=d>>>0>a>>>0;d=b+(a*12|0)|0;a=h?d:c;if((a|0)==(b|0))q=i;else{e=b;b=i;while(1){if((b|0)!=(e|0))c2(b,f[e>>2]|0,f[e+4>>2]|0);e=e+12|0;i=b+12|0;if((e|0)==(a|0)){q=i;break}else b=i}}if(h){if((a|0)==(c|0))return;a=d;d=f[l>>2]|0;do{fAa(d,a);a=a+12|0;d=(f[l>>2]|0)+12|0;f[l>>2]=d}while((a|0)!=(c|0));return}c=f[l>>2]|0;if((c|0)==(q|0))return;else r=c;while(1){c=r+-12|0;f[l>>2]=c;a=f[c>>2]|0;if(!a)s=c;else{c=r+-8|0;d=f[c>>2]|0;if((d|0)!=(a|0))f[c>>2]=d+(~((d+-4-a|0)>>>2)<<2);Emc(a);s=f[l>>2]|0}if((s|0)==(q|0))break;else r=s}return}}function iCa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0;e=u;u=u+16|0;g=e+8|0;h=e;f[g>>2]=c;c=a+20|0;i=mBa(c,g)|0;j=i+60|0;k=f[g>>2]|0;l=d+4|0;m=f[l>>2]|0;do if(m){n=d+4|0;o=m;p=m;while(1){q=f[o+16>>2]|0;if((q|0)>(k|0)){r=f[o>>2]|0;if(!r){s=6;break}else{t=o;v=r}}else{if((q|0)>=(k|0)){s=10;break}w=o+4|0;q=f[w>>2]|0;if(!q){s=9;break}else{t=w;v=q}}n=t;o=v;p=v}if((s|0)==6){x=o;y=o;s=13;break}else if((s|0)==9){x=w;y=o;s=13;break}else if((s|0)==10){z=o;A=n;B=p;s=12;break}}else{z=l;A=l;B=m;s=12}while(0);if((s|0)==12)if(!B){x=A;y=z;s=13}else C=B;if((s|0)==13){B=Bmc(60)|0;f[B+16>>2]=k;k=B+20|0;D=k;E=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(E|0));b[k+36>>0]=0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=y;f[x>>2]=B;y=f[f[d>>2]>>2]|0;if(!y)F=B;else{f[d>>2]=y;F=f[x>>2]|0}RS(f[d+4>>2]|0,F);F=d+8|0;f[F>>2]=(f[F>>2]|0)+1;C=B}if((f[C+20>>2]|0)==(f[C+24>>2]|0)?(C=i+64|0,i=f[j>>2]|0,(f[C>>2]|0)!=(i|0)):0){B=d+4|0;F=d+8|0;x=0;y=i;do{i=f[y+(x<<3)>>2]|0;k=f[l>>2]|0;if(k){z=l;A=k;a:while(1){m=A;while(1){if((f[m+16>>2]|0)>=(i|0))break;w=f[m+4>>2]|0;if(!w){G=z;break a}else m=w}A=f[m>>2]|0;if(!A){G=m;break}else z=m}if(((G|0)!=(l|0)?(f[G+16>>2]|0)<=(i|0):0)?(f[G+32>>2]|0)!=(f[G+36>>2]|0):0)H=k;else s=27}else s=27;if((s|0)==27){s=0;iCa(a,i,d);H=f[l>>2]|0}do if(H){z=B;A=H;p=H;while(1){n=f[A+16>>2]|0;if((n|0)>(i|0)){o=f[A>>2]|0;if(!o){s=32;break}else{I=A;J=o}}else{if((n|0)>=(i|0)){s=36;break}K=A+4|0;n=f[K>>2]|0;if(!n){s=35;break}else{I=K;J=n}}z=I;A=J;p=J}if((s|0)==32){s=0;L=A;M=A;s=38;break}else if((s|0)==35){s=0;L=K;M=A;s=38;break}else if((s|0)==36){s=0;N=A;O=z;P=p;s=37;break}}else{N=l;O=l;P=H;s=37}while(0);if((s|0)==37){s=0;if(!P){L=O;M=N;s=38}else{Q=P;R=H}}if((s|0)==38){s=0;k=Bmc(60)|0;f[k+16>>2]=i;m=k+20|0;D=m;E=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(E|0));b[m+36>>0]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=M;f[L>>2]=k;i=f[f[d>>2]>>2]|0;if(!i)S=k;else{f[d>>2]=i;S=f[L>>2]|0}RS(f[B>>2]|0,S);f[F>>2]=(f[F>>2]|0)+1;Q=k;R=f[l>>2]|0}i=(f[Q+32>>2]|0)+((f[(f[j>>2]|0)+(x<<3)+4>>2]|0)*12|0)|0;n=f[g>>2]|0;do if(R){o=B;w=R;v=R;while(1){t=f[w+16>>2]|0;if((t|0)>(n|0)){q=f[w>>2]|0;if(!q){s=45;break}else{T=w;U=q}}else{if((t|0)>=(n|0)){s=49;break}V=w+4|0;t=f[V>>2]|0;if(!t){s=48;break}else{T=V;U=t}}o=T;w=U;v=U}if((s|0)==45){s=0;W=w;X=w;s=51;break}else if((s|0)==48){s=0;W=V;X=w;s=51;break}else if((s|0)==49){s=0;Y=w;Z=o;_=v;s=50;break}}else{Y=l;Z=l;_=R;s=50}while(0);if((s|0)==50){s=0;if(!_){W=Z;X=Y;s=51}else $=_}if((s|0)==51){s=0;k=Bmc(60)|0;f[k+16>>2]=n;m=k+20|0;D=m;E=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(E|0));b[m+36>>0]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=X;f[W>>2]=k;n=f[f[d>>2]>>2]|0;if(!n)aa=k;else{f[d>>2]=n;aa=f[W>>2]|0}RS(f[B>>2]|0,aa);f[F>>2]=(f[F>>2]|0)+1;$=k}n=$+24|0;p=f[n>>2]|0;if((p|0)==(f[$+28>>2]|0))ABa($+20|0,i);else{fAa(p,i);f[n>>2]=(f[n>>2]|0)+12}x=x+1|0;y=f[j>>2]|0}while(x>>>0<(f[C>>2]|0)-y>>3>>>0)}y=f[g>>2]|0;C=f[l>>2]|0;do if(C){x=d+4|0;j=C;$=C;while(1){F=f[j+16>>2]|0;if((F|0)>(y|0)){aa=f[j>>2]|0;if(!aa){s=63;break}else{ba=j;ca=aa}}else{if((F|0)>=(y|0)){s=67;break}da=j+4|0;F=f[da>>2]|0;if(!F){s=66;break}else{ba=da;ca=F}}x=ba;j=ca;$=ca}if((s|0)==63){ea=j;fa=j;s=70;break}else if((s|0)==66){ea=da;fa=j;s=70;break}else if((s|0)==67){ga=j;ha=x;ia=$;s=69;break}}else{ga=l;ha=l;ia=C;s=69}while(0);if((s|0)==69)if(!ia){ea=ha;fa=ga;s=70}else{ja=ia;ka=y;la=C}if((s|0)==70){C=Bmc(60)|0;f[C+16>>2]=y;y=C+20|0;D=y;E=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(E|0));b[y+36>>0]=0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=fa;f[ea>>2]=C;fa=f[f[d>>2]>>2]|0;if(!fa)ma=C;else{f[d>>2]=fa;ma=f[ea>>2]|0}RS(f[d+4>>2]|0,ma);ma=d+8|0;f[ma>>2]=(f[ma>>2]|0)+1;ja=C;ka=f[g>>2]|0;la=f[l>>2]|0}C=ja+20|0;do if(la){ja=d+4|0;ma=la;ea=la;while(1){fa=f[ma+16>>2]|0;if((fa|0)>(ka|0)){y=f[ma>>2]|0;if(!y){s=78;break}else{na=ma;oa=y}}else{if((fa|0)>=(ka|0)){s=82;break}pa=ma+4|0;fa=f[pa>>2]|0;if(!fa){s=81;break}else{na=pa;oa=fa}}ja=na;ma=oa;ea=oa}if((s|0)==78){qa=ma;ra=ma;s=85;break}else if((s|0)==81){qa=pa;ra=ma;s=85;break}else if((s|0)==82){sa=ma;ta=ja;ua=ea;s=84;break}}else{sa=l;ta=l;ua=la;s=84}while(0);if((s|0)==84)if(!ua){qa=ta;ra=sa;s=85}else{va=ua;wa=ka;xa=la}if((s|0)==85){la=Bmc(60)|0;f[la+16>>2]=ka;ka=la+20|0;D=ka;E=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(E|0));b[ka+36>>0]=0;f[la>>2]=0;f[la+4>>2]=0;f[la+8>>2]=ra;f[qa>>2]=la;ra=f[f[d>>2]>>2]|0;if(!ra)ya=la;else{f[d>>2]=ra;ya=f[qa>>2]|0}RS(f[d+4>>2]|0,ya);ya=d+8|0;f[ya>>2]=(f[ya>>2]|0)+1;va=la;wa=f[g>>2]|0;xa=f[l>>2]|0}la=va+32|0;do if(xa){va=d+4|0;ya=xa;qa=xa;while(1){ra=f[ya+16>>2]|0;if((ra|0)>(wa|0)){ka=f[ya>>2]|0;if(!ka){s=93;break}else{za=ya;Aa=ka}}else{if((ra|0)>=(wa|0)){s=97;break}Ba=ya+4|0;ra=f[Ba>>2]|0;if(!ra){s=96;break}else{za=Ba;Aa=ra}}va=za;ya=Aa;qa=Aa}if((s|0)==93){Ca=ya;Da=ya;s=100;break}else if((s|0)==96){Ca=Ba;Da=ya;s=100;break}else if((s|0)==97){Ea=ya;Fa=va;Ga=qa;s=99;break}}else{Ea=l;Fa=l;Ga=xa;s=99}while(0);if((s|0)==99)if(!Ga){Ca=Fa;Da=Ea;s=100}else Ha=Ga;if((s|0)==100){Ga=Bmc(60)|0;f[Ga+16>>2]=wa;wa=Ga+20|0;D=wa;E=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(E|0));b[wa+36>>0]=0;f[Ga>>2]=0;f[Ga+4>>2]=0;f[Ga+8>>2]=Da;f[Ca>>2]=Ga;Da=f[f[d>>2]>>2]|0;if(!Da)Ia=Ga;else{f[d>>2]=Da;Ia=f[Ca>>2]|0}RS(f[d+4>>2]|0,Ia);Ia=d+8|0;f[Ia>>2]=(f[Ia>>2]|0)+1;Ha=Ga}Ga=(mBa(c,g)|0)+92|0;Ia=f[Ga>>2]|0;aBa(h,mBa(c,g)|0);c=f[h+4>>2]|0;Ga=lh[f[(f[c>>2]|0)+92>>2]&127](c,C,Ia,la,Ha+44|0)|0;Ha=f[g>>2]|0;g=f[l>>2]|0;do if(g){la=d+4|0;Ia=g;C=g;while(1){c=f[Ia+16>>2]|0;if((c|0)>(Ha|0)){Ca=f[Ia>>2]|0;if(!Ca){s=108;break}else{Ja=Ia;Ka=Ca}}else{if((c|0)>=(Ha|0)){s=112;break}La=Ia+4|0;c=f[La>>2]|0;if(!c){s=111;break}else{Ja=La;Ka=c}}la=Ja;Ia=Ka;C=Ka}if((s|0)==108){Ma=Ia;Na=Ia;s=115;break}else if((s|0)==111){Ma=La;Na=Ia;s=115;break}else if((s|0)==112){Oa=Ia;Pa=la;Qa=C;s=114;break}}else{Oa=l;Pa=l;Qa=g;s=114}while(0);if((s|0)==114)if(!Qa){Ma=Pa;Na=Oa;s=115}else Ra=Qa;if((s|0)==115){s=Bmc(60)|0;f[s+16>>2]=Ha;Ha=s+20|0;D=Ha;E=D+36|0;do{f[D>>2]=0;D=D+4|0}while((D|0)<(E|0));b[Ha+36>>0]=0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=Na;f[Ma>>2]=s;Na=f[f[d>>2]>>2]|0;if(!Na)Sa=s;else{f[d>>2]=Na;Sa=f[Ma>>2]|0}RS(f[d+4>>2]|0,Sa);Sa=d+8|0;f[Sa>>2]=(f[Sa>>2]|0)+1;Ra=s}b[Ra+56>>0]=Ga&1;Ga=f[h>>2]|0;if(!Ga){u=e;return}h=Ga+4|0;Ra=f[h>>2]|0;f[h>>2]=Ra+-1;if((Ra|0)!=1){u=e;return}ai[f[(f[Ga>>2]|0)+8>>2]&2047](Ga);u=e;return}function jCa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=a+8|0;d=f[a>>2]|0;e=d;if((f[c>>2]|0)-d>>3>>>0>=b>>>0)return;g=a+4|0;if(b>>>0>536870911){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}h=f[g>>2]|0;i=Bmc(b<<3)|0;j=i+(h-d>>3<<3)|0;d=j;k=i+(b<<3)|0;b=h;if((b|0)==(e|0)){l=d;m=h;n=h}else{h=b;b=d;i=j;do{j=h;h=h+-8|0;o=f[h>>2]|0;f[i+-8>>2]=o;f[i+-4>>2]=f[j+-4>>2];if(o|0){j=o+-4|0;f[j>>2]=(f[j>>2]|0)+1}i=b+-8|0;b=i}while((h|0)!=(e|0));l=b;m=f[a>>2]|0;n=f[g>>2]|0}f[a>>2]=l;f[g>>2]=d;f[c>>2]=k;k=m;c=n;while(1){n=c;if((n|0)==(k|0))break;d=n+-8|0;ZG(d);c=d}if(!m)return;Emc(m);return}function kCa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=d-e>>3;h=g+1|0;i=e;j=d;if(h>>>0>536870911)Ukc(a);k=a+8|0;l=(f[k>>2]|0)-e|0;e=l>>2;m=l>>3>>>0<268435455?(e>>>0<h>>>0?h:e):536870911;do if(m)if(m>>>0>536870911){e=ye(8)|0;Jmc(e,511852);f[e>>2]=165276;Gf(e|0,26776,1555)}else{n=Bmc(m<<3)|0;break}else n=0;while(0);e=n+(g<<3)|0;h=e;l=n+(m<<3)|0;m=f[b>>2]|0;f[e>>2]=m;f[n+(g<<3)+4>>2]=f[b+4>>2];if(!m){o=j;p=i;q=d}else{d=m+-4|0;f[d>>2]=(f[d>>2]|0)+1;d=f[c>>2]|0;o=d;p=f[a>>2]|0;q=d}d=e+8|0;if((o|0)==(p|0)){r=h;s=o;t=q}else{q=o;o=h;h=e;do{e=q;q=q+-8|0;m=f[q>>2]|0;f[h+-8>>2]=m;f[h+-4>>2]=f[e+-4>>2];if(m|0){e=m+-4|0;f[e>>2]=(f[e>>2]|0)+1}h=o+-8|0;o=h}while((q|0)!=(p|0));r=o;s=f[a>>2]|0;t=f[c>>2]|0}f[a>>2]=r;f[c>>2]=d;f[k>>2]=l;l=s;k=t;while(1){t=k;if((t|0)==(l|0))break;d=t+-8|0;ZG(d);k=d}if(!s)return;Emc(s);return}function lCa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;e=u;u=u+256|0;g=e;h=e+240|0;i=e+216|0;j=e+224|0;k=e+200|0;l=e+192|0;m=e+80|0;n=e+136|0;o=e+72|0;p=e+64|0;q=e+48|0;zT(h,110184);r=f[d>>2]|0;f[i>>2]=r;s=i+4|0;t=f[d+4>>2]|0;f[s>>2]=t;if(!r)v=t;else{t=r+-4|0;f[t>>2]=(f[t>>2]|0)+1;v=f[s>>2]|0}if(!v){hBa(j,a);v=j+4|0;t=f[v>>2]|0;r=t+-8|0;if((r|0)!=(i|0)){ZG(i);d=f[r>>2]|0;if(!d)w=0;else{x=d+-4|0;f[x>>2]=(f[x>>2]|0)+1;w=f[r>>2]|0}f[i>>2]=w;f[s>>2]=f[t+-4>>2]}t=f[j>>2]|0;if(t|0){while(1){w=f[v>>2]|0;if((w|0)==(t|0))break;r=w+-8|0;f[v>>2]=r;ZG(r)}Emc(f[j>>2]|0)}}j=a+4|0;$Aa(g,f[j>>2]|0,i);f[k>>2]=0;a=k+4|0;f[a>>2]=0;f[k+8>>2]=0;v=Bmc(8)|0;f[k>>2]=v;f[k+8>>2]=v+8;t=g;r=f[t+4>>2]|0;w=v;f[w>>2]=f[t>>2];f[w+4>>2]=r;f[a>>2]=v+8;iBa(f[j>>2]|0,k);v=f[j>>2]|0;kBa(v,jBa(v,i)|0,1);$Aa(l,f[j>>2]|0,i);v=mBa((f[j>>2]|0)+20|0,l)|0;a:do if((pD(c)|0)!=655360){if((pD(c)|0)==65536){l=f[j>>2]|0;r=f[i>>2]|0;f[p>>2]=r;f[p+4>>2]=f[s>>2];if(r|0){w=r+-4|0;f[w>>2]=(f[w>>2]|0)+1}$Aa(g,l,p);lBa(m,l,g);oE(c,m);l=m+36|0;w=f[l>>2]|0;if(w|0?(r=w+12|0,w=f[r>>2]|0,f[r>>2]=w+-1,(w|0)==1):0)lP(m);f[l>>2]=0;l=m+16|0;w=m+4|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[w>>2]|0)>0){l=f[m+40>>2]|0;r=0;do{f[l+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[w>>2]|0))}w=f[m+44>>2]|0;if((w|0)!=(m+48|0))tE(w);ZG(p);break}if((pD(c)|0)==327680){b:do if(f[(f[j>>2]|0)+84>>2]|0?(w=v+108|0,r=v+112|0,l=f[w>>2]|0,(f[r>>2]|0)!=(l|0)):0){t=0;x=l;while(1){l=f[x+(t<<3)+4>>2]|0;if(!l)break;ai[f[(f[l>>2]|0)+8>>2]&2047](l);t=t+1|0;x=f[w>>2]|0;if(t>>>0>=(f[r>>2]|0)-x>>3>>>0)break b}f[g>>2]=0;f[g+4>>2]=0;x=YG(g,34)|0;r=395164;t=x+34|0;do{b[x>>0]=b[r>>0]|0;x=x+1|0;r=r+1|0}while((x|0)<(t|0));SQ(-215,g,475494,387968,2523)}while(0);r=v+152|0;x=f[r>>2]|0;t=f[c+4>>2]|0;if((f[x>>2]&7|0)==5){if((t|0)==(r|0))break;JBa(t,x,f[v+156>>2]|0);break}sD(t,((f[v+156>>2]|0)-x|0)/56|0);x=t+4|0;w=f[t>>2]|0;if((f[x>>2]|0)==(w|0))break;l=g+8|0;d=g+12|0;y=g+4|0;z=m+8|0;A=m+4|0;B=0;C=w;while(1){w=(f[r>>2]|0)+(B*56|0)|0;f[l>>2]=0;f[d>>2]=0;f[g>>2]=16842752;f[y>>2]=w;w=z;f[w>>2]=0;f[w+4>>2]=0;f[m>>2]=33619968;f[A>>2]=C+(B*56|0);KO(g,m);B=B+1|0;C=f[t>>2]|0;if(B>>>0>=(((f[x>>2]|0)-C|0)/56|0)>>>0)break a}}if((pD(c)|0)==720896){C=f[c+4>>2]|0;x=f[j>>2]|0;if((f[x+80>>2]|0)==3?(B=f[x+84>>2]|0,(B+-1|0)>>>0<2):0){switch(B|0){case 1:{oBa(g,v+108|0);if((C|0)!=(g|0))MBa(C,f[g>>2]|0,f[g+4>>2]|0);B=f[g>>2]|0;if(B|0){x=g+4|0;while(1){t=f[x>>2]|0;if((t|0)==(B|0))break;A=t+-48|0;f[x>>2]=A;uN(A)}Emc(f[g>>2]|0)}break a;break}case 2:break;default:break a}oBa(g,v+108|0);x=g+4|0;B=((f[x>>2]|0)-(f[g>>2]|0)|0)/48|0;A=C+4|0;t=f[A>>2]|0;z=f[C>>2]|0;y=(t-z|0)/48|0;d=z;z=t;if(B>>>0<=y>>>0){if(B>>>0<y>>>0?(t=d+(B*48|0)|0,(z|0)!=(t|0)):0){d=z;do{z=d+-48|0;f[A>>2]=z;uN(z);d=f[A>>2]|0}while((d|0)!=(t|0))}}else vD(C,B-y|0);t=f[x>>2]|0;d=f[g>>2]|0;A=d;if((t|0)==(d|0)){D=t;E=A}else{t=m+8|0;d=m+12|0;z=m+4|0;l=q+8|0;r=q+4|0;w=0;F=A;while(1){f[t>>2]=0;f[d>>2]=0;f[m>>2]=17432576;f[z>>2]=F+(w*48|0);A=(f[C>>2]|0)+(w*48|0)|0;G=l;f[G>>2]=0;f[G+4>>2]=0;f[q>>2]=34209792;f[r>>2]=A;KO(m,q);w=w+1|0;A=f[x>>2]|0;G=f[g>>2]|0;H=G;if(w>>>0>=((A-G|0)/48|0)>>>0){D=A;E=H;break}else F=H}}if(E|0){F=D;if((F|0)!=(E|0)){w=F;do{F=w+-48|0;f[x>>2]=F;uN(F);w=f[x>>2]|0}while((w|0)!=(E|0))}Emc(f[g>>2]|0)}break}w=v+152|0;x=((f[v+156>>2]|0)-(f[w>>2]|0)|0)/56|0;F=C+4|0;r=f[F>>2]|0;l=f[C>>2]|0;z=(r-l|0)/48|0;d=l;l=r;if(x>>>0<=z>>>0)if(x>>>0<z>>>0?(t=d+(x*48|0)|0,(l|0)!=(t|0)):0){d=l;do{l=d+-48|0;f[F>>2]=l;uN(l);d=f[F>>2]|0}while((d|0)!=(t|0));I=d}else I=r;else{vD(C,x-z|0);I=f[F>>2]|0}if((I|0)!=(f[C>>2]|0)){t=g+24|0;l=g+4|0;y=g+8|0;B=g+12|0;H=g+36|0;A=g+16|0;G=g+20|0;J=g+28|0;K=0;do{pN(g,(f[w>>2]|0)+(K*56|0)|0,50331648,0);L=f[C>>2]|0;M=L+(K*48|0)|0;if((M|0)!=(g|0)){N=f[t>>2]|0;if(N|0){O=N+8|0;f[O>>2]=(f[O>>2]|0)+1}O=L+(K*48|0)+24|0;N=f[O>>2]|0;if(N|0?(P=N+8|0,N=f[P>>2]|0,f[P>>2]=N+-1,(N|0)==1):0)vN(M);N=L+(K*48|0)+4|0;if((f[N>>2]|0)>0){P=f[L+(K*48|0)+32>>2]|0;Q=0;do{f[P+(Q<<2)>>2]=0;Q=Q+1|0;R=f[N>>2]|0}while((Q|0)<(R|0));f[O>>2]=0;f[M>>2]=f[g>>2];if((R|0)<3)S=92;else S=94}else{f[O>>2]=0;f[M>>2]=f[g>>2];S=92}if((S|0)==92){S=0;Q=f[l>>2]|0;if((Q|0)<3){f[N>>2]=Q;f[L+(K*48|0)+8>>2]=f[y>>2];f[L+(K*48|0)+12>>2]=f[B>>2];Q=f[H>>2]|0;P=f[L+(K*48|0)+36>>2]|0;f[P>>2]=f[Q>>2];f[P+4>>2]=f[Q+4>>2]}else S=94}if((S|0)==94){S=0;tN(M,g)}f[L+(K*48|0)+16>>2]=f[A>>2];Q=L+(K*48|0)+20|0;if(!(f[Q>>2]|0))f[Q>>2]=f[G>>2];f[O>>2]=f[t>>2];f[L+(K*48|0)+28>>2]=f[J>>2]}uN(g);K=K+1|0}while(K>>>0<(((f[F>>2]|0)-(f[C>>2]|0)|0)/48|0)>>>0)}}}else{C=f[j>>2]|0;F=f[i>>2]|0;f[o>>2]=F;f[o+4>>2]=f[s>>2];if(F|0){K=F+-4|0;f[K>>2]=(f[K>>2]|0)+1}$Aa(g,C,o);lBa(n,C,g);pN(m,n,50331648,0);nE(c,m);uN(m);C=n+36|0;K=f[C>>2]|0;if(K|0?(F=K+12|0,K=f[F>>2]|0,f[F>>2]=K+-1,(K|0)==1):0)lP(n);f[C>>2]=0;C=n+16|0;K=n+4|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[K>>2]|0)>0){C=f[n+40>>2]|0;F=0;do{f[C+(F<<2)>>2]=0;F=F+1|0}while((F|0)<(f[K>>2]|0))}K=f[n+44>>2]|0;if((K|0)!=(n+48|0))tE(K);ZG(o)}while(0);o=f[k>>2]|0;if(o|0){k=f[a>>2]|0;if((k|0)!=(o|0))f[a>>2]=k+(~((k+-8-o|0)>>>3)<<3);Emc(o)}ZG(i);if(!(f[h+4>>2]|0)){u=e;return}u=e;return}function mCa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;d=u;u=u+112|0;e=d+16|0;g=d;h=d+96|0;i=d+80|0;j=d+24|0;zT(h,110204);f[i>>2]=0;k=i+4|0;f[k>>2]=0;f[i+8>>2]=0;l=c+4|0;m=f[c>>2]|0;if((f[l>>2]|0)==(m|0))n=a+4|0;else{o=a+4|0;a=i+8|0;p=0;q=m;do{$Aa(g,f[o>>2]|0,q+(p<<3)|0);m=f[k>>2]|0;if((m|0)==(f[a>>2]|0))YAa(i,g);else{r=g;s=f[r+4>>2]|0;t=m;f[t>>2]=f[r>>2];f[t+4>>2]=s;f[k>>2]=(f[k>>2]|0)+8}p=p+1|0;q=f[c>>2]|0}while(p>>>0<(f[l>>2]|0)-q>>3>>>0);n=o}iBa(f[n>>2]|0,i);o=f[i>>2]|0;q=f[k>>2]|0;a:do if((o|0)!=(q|0)?(l=o+8|0,(l|0)!=(q|0)):0){p=o;c=l;l=f[o>>2]|0;while(1){a=p+4|0;s=p;t=c;while(1){r=f[t>>2]|0;if((l|0)<(r|0)){v=r;break}if((l|0)==(r|0)?(f[a>>2]|0)<(f[s+12>>2]|0):0){v=l;break}r=t+8|0;if((r|0)==(q|0)){w=p;break a}else{m=t;t=r;s=m}}c=t+8|0;if((c|0)==(q|0)){w=t;break}else{p=t;l=v}}}else w=o;while(0);o=f[w>>2]|0;w=f[n>>2]|0;v=w+24|0;q=f[v>>2]|0;if(!q){f[e>>2]=o;aR(g,390450,e);SQ(-204,g,390487,387968,1149)}else{x=v;y=q}b:while(1){q=y;while(1){if((f[q+16>>2]|0)>=(o|0))break;l=f[q+4>>2]|0;if(!l){z=x;break b}else q=l}y=f[q>>2]|0;if(!y){z=q;break}else x=q}if((z|0)==(v|0)){f[e>>2]=o;aR(g,390450,e);SQ(-204,g,390487,387968,1149)}if((f[z+16>>2]|0)>(o|0)){f[e>>2]=o;aR(g,390450,e);SQ(-204,g,390487,387968,1149)}kBa(w,z+20|0,1);f[g>>2]=0;z=g+4|0;f[z>>2]=0;f[g+8>>2]=0;w=f[i>>2]|0;if((f[k>>2]|0)!=(w|0)){e=g+8|0;o=j+36|0;v=j+16|0;x=j+4|0;y=j+40|0;l=j+44|0;p=j+48|0;c=j+8|0;s=j+12|0;a=j+20|0;m=j+24|0;r=j+28|0;A=j+32|0;B=0;C=w;do{lBa(j,f[n>>2]|0,C+(B<<3)|0);w=f[z>>2]|0;if((w|0)==(f[e>>2]|0))g2(g,j);else{f[w>>2]=f[j>>2];D=w+4|0;f[D>>2]=f[x>>2];E=w+8|0;f[E>>2]=f[c>>2];f[w+12>>2]=f[s>>2];f[w+16>>2]=f[v>>2];f[w+20>>2]=f[a>>2];f[w+24>>2]=f[m>>2];f[w+28>>2]=f[r>>2];f[w+32>>2]=f[A>>2];F=f[o>>2]|0;f[w+36>>2]=F;f[w+40>>2]=E;E=w+48|0;G=w+44|0;f[G>>2]=E;f[E>>2]=0;f[w+52>>2]=0;if(F|0){E=F+12|0;f[E>>2]=(f[E>>2]|0)+1}if((f[x>>2]|0)<3){E=f[l>>2]|0;F=f[G>>2]|0;f[F>>2]=f[E>>2];f[F+4>>2]=f[E+4>>2]}else{f[D>>2]=0;kP(w,j)}f[z>>2]=(f[z>>2]|0)+56}w=f[o>>2]|0;if(w|0?(D=w+12|0,w=f[D>>2]|0,f[D>>2]=w+-1,(w|0)==1):0)lP(j);f[o>>2]=0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[x>>2]|0)>0){w=f[y>>2]|0;D=0;do{f[w+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[x>>2]|0))}D=f[l>>2]|0;if((D|0)!=(p|0))tE(D);B=B+1|0;C=f[i>>2]|0}while(B>>>0<(f[k>>2]|0)-C>>3>>>0)}C=f[b+4>>2]|0;if((C|0)!=(g|0))JBa(C,f[g>>2]|0,f[z>>2]|0);rt(g);g=f[i>>2]|0;if(g|0){i=f[k>>2]|0;if((i|0)!=(g|0))f[k>>2]=i+(~((i+-8-g|0)>>>3)<<3);Emc(g)}if(!(f[h+4>>2]|0)){u=d;return}u=d;return}function nCa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=u;u=u+32|0;d=c+20|0;e=c+16|0;g=c+12|0;h=c+8|0;i=c;zT(i,110224);j=(f[(f[a+4>>2]|0)+4>>2]|0)+36|0;f[g>>2]=f[b>>2];f[h>>2]=f[b+4>>2];f[e>>2]=f[g>>2];f[d>>2]=f[h>>2];oCa(j,e,d);if(!(f[i+4>>2]|0)){u=c;return}u=c;return}function oCa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=f[b>>2]|0;b=f[c>>2]|0;e=b-d>>3;g=a+8|0;h=f[g>>2]|0;i=f[a>>2]|0;j=d;k=i;l=b;if(e>>>0>h-i>>3>>>0){if(!i)m=h;else{h=a+4|0;while(1){n=f[h>>2]|0;if((n|0)==(k|0))break;o=n+-8|0;f[h>>2]=o;ZG(o)}Emc(f[a>>2]|0);f[g>>2]=0;f[h>>2]=0;f[a>>2]=0;m=0}if(e>>>0>536870911)Ukc(a);h=m>>2;o=m>>3>>>0<268435455?(h>>>0<e>>>0?e:h):536870911;if(o>>>0>536870911)Ukc(a);h=Bmc(o<<3)|0;m=a+4|0;f[m>>2]=h;f[a>>2]=h;f[g>>2]=h+(o<<3);if((j|0)==(l|0))return;o=d;d=j;g=h;while(1){h=f[d>>2]|0;f[g>>2]=h;f[g+4>>2]=f[d+4>>2];if(!h)p=d;else{n=h+-4|0;f[n>>2]=(f[n>>2]|0)+1;p=o}n=p+8|0;h=(f[m>>2]|0)+8|0;f[m>>2]=h;if((n|0)==(l|0))break;else{o=n;d=n;g=h}}return}g=a+4|0;a=(f[g>>2]|0)-i>>3;i=e>>>0>a>>>0;e=j+(a<<3)|0;a=i?e:b;if((j|0)==(a|0))q=k;else{b=k;k=j;while(1){if((k|0)!=(b|0)){ZG(b);j=f[k>>2]|0;if(!j)r=0;else{d=j+-4|0;f[d>>2]=(f[d>>2]|0)+1;r=f[k>>2]|0}f[b>>2]=r;f[b+4>>2]=f[k+4>>2]}k=k+8|0;d=b+8|0;if((k|0)==(a|0)){q=d;break}else b=d}}if(!i){while(1){i=f[g>>2]|0;if((i|0)==(q|0))break;b=i+-8|0;f[g>>2]=b;ZG(b)}return}q=f[c>>2]|0;if((a|0)==(q|0))return;c=e;e=a;a=f[g>>2]|0;while(1){b=f[e>>2]|0;f[a>>2]=b;f[a+4>>2]=f[e+4>>2];if(!b)s=e;else{i=b+-4|0;f[i>>2]=(f[i>>2]|0)+1;s=c}i=s+8|0;b=(f[g>>2]|0)+8|0;f[g>>2]=b;if((i|0)==(q|0))break;else{c=i;e=i;a=b}}return}function pCa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=+e;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;h=u;u=u+176|0;i=h;j=h+152|0;k=h+144|0;l=h+136|0;m=h+120|0;n=h+64|0;o=h+8|0;zT(k,110244);q=l+4|0;f[q>>2]=-1;f[l>>2]=0;r=a+4|0;a=(f[r>>2]|0)+24|0;s=f[a>>2]|0;if(!s){f[i>>2]=0;aR(j,390450,i);SQ(-204,j,390487,387968,1149)}else{t=a;v=s}a:while(1){s=v;while(1){if((f[s+16>>2]|0)>=0)break;w=f[s+4>>2]|0;if(!w){x=t;break a}else s=w}v=f[s>>2]|0;if(!v){x=s;break}else t=s}if((x|0)==(a|0)){f[i>>2]=0;aR(j,390450,i);SQ(-204,j,390487,387968,1149)}if((f[x+16>>2]|0)>0){f[i>>2]=0;aR(j,390450,i);SQ(-204,j,390487,387968,1149)}i=d+4|0;if(!(f[i>>2]|0)){y=0;z=0}else{aBa(j,x+20|0);x=j+4|0;a=f[x>>2]|0;t=Sh[f[(f[a>>2]|0)+52>>2]&511](a,d)|0;a=f[j>>2]|0;if(a|0?(v=a+4|0,w=f[v>>2]|0,f[v>>2]=w+-1,(w|0)==1):0)ai[f[(f[a>>2]|0)+8>>2]&2047](a);f[j>>2]=0;f[x>>2]=0;y=t;z=f[l>>2]|0}f[q>>2]=y;if((z|y|0)<0){f[m>>2]=0;y=m+4|0;f[y>>2]=0;YG(m,(f[i>>2]|0)+16|0)|0;z=f[m>>2]|0;A=z;t=395479;B=A+16|0;do{b[A>>0]=b[t>>0]|0;A=A+1|0;t=t+1|0}while((A|0)<(B|0));x=f[i>>2]|0;if(x|0)Krc(z+16|0,f[d>>2]|0,x|0)|0;f[j>>2]=0;f[j+4>>2]=0;YG(j,(f[y>>2]|0)+11|0)|0;x=f[y>>2]|0;if(!x){C=0;D=f[j>>2]|0;E=D+C|0;A=E;t=391885;B=A+11|0;do{b[A>>0]=b[t>>0]|0;A=A+1|0;t=t+1|0}while((A|0)<(B|0));SQ(-204,j,395496,387968,2679)}Krc(f[j>>2]|0,f[m>>2]|0,x|0)|0;C=f[y>>2]|0;D=f[j>>2]|0;E=D+C|0;A=E;t=391885;B=A+11|0;do{b[A>>0]=b[t>>0]|0;A=A+1|0;t=t+1|0}while((A|0)<(B|0));SQ(-204,j,395496,387968,2679)}t=mBa((f[r>>2]|0)+20|0,l)|0;l=(f[q>>2]|0)+1|0;E=f[t+92>>2]|0;C=(l|0)<(E|0)?E:l;l=t+152|0;sD(l,C);E=t+108|0;D=t+112|0;t=f[D>>2]|0;y=f[E>>2]|0;x=t-y>>3;d=y;y=t;if(C>>>0<=x>>>0){if(C>>>0<x>>>0?(t=d+(C<<3)|0,(y|0)!=(t|0)):0){d=y;do{y=d+-8|0;f[D>>2]=y;z=f[y>>2]|0;if(z|0?(i=z+4|0,a=f[i>>2]|0,f[i>>2]=a+-1,(a|0)==1):0)ai[f[(f[z>>2]|0)+8>>2]&2047](z);f[y>>2]=0;f[d+-4>>2]=0;d=f[D>>2]|0}while((d|0)!=(t|0))}}else WBa(E,C-x|0);sD((f[(f[r>>2]|0)+4>>2]|0)+72|0,C);x=f[(f[r>>2]|0)+4>>2]|0;t=x+48|0;d=x+52|0;D=f[d>>2]|0;y=f[t>>2]|0;z=D-y>>3;a=y;y=D;if(C>>>0<=z>>>0)if(C>>>0<z>>>0?(D=a+(C<<3)|0,(y|0)!=(D|0)):0){f[d>>2]=y+(~((y+-8-D|0)>>>3)<<3);F=x}else F=x;else{m6(t,C-z|0);F=f[(f[r>>2]|0)+4>>2]|0}z=F+60|0;t=F+64|0;x=f[t>>2]|0;D=f[z>>2]|0;y=x-D>>5;d=D;D=x;if(C>>>0<=y>>>0)if(C>>>0<y>>>0?(x=d+(C<<5)|0,(D|0)!=(x|0)):0){f[t>>2]=D+(~((D+-32-x|0)>>>5)<<5);G=F}else G=F;else{qCa(z,C-y|0);G=f[(f[r>>2]|0)+4>>2]|0}y=f[q>>2]|0;C=f[G+72>>2]|0;G=f[C+(y*56|0)+4>>2]|0;z=f[C+(y*56|0)+40>>2]|0;f[m>>2]=0;y=m+4|0;f[y>>2]=0;f[m+8>>2]=0;hAa(m,z,z+(G<<2)|0);do if((pD(c)|0)==65536){G=f[c+4>>2]|0;f[n>>2]=f[G>>2];z=n+4|0;C=G+4|0;f[z>>2]=f[C>>2];F=n+8|0;f[F>>2]=f[G+8>>2];f[n+12>>2]=f[G+12>>2];f[n+16>>2]=f[G+16>>2];f[n+20>>2]=f[G+20>>2];f[n+24>>2]=f[G+24>>2];f[n+28>>2]=f[G+28>>2];f[n+32>>2]=f[G+32>>2];x=f[G+36>>2]|0;f[n+36>>2]=x;D=n+40|0;f[D>>2]=F;F=n+48|0;t=n+44|0;f[t>>2]=F;f[F>>2]=0;f[n+52>>2]=0;if(x|0){F=x+12|0;f[F>>2]=(f[F>>2]|0)+1}if((f[C>>2]|0)<3){C=f[G+44>>2]|0;F=f[t>>2]|0;f[F>>2]=f[C>>2];f[F+4>>2]=f[C+4>>2];H=z;I=D;break}else{f[z>>2]=0;kP(n,G);H=z;I=D;break}}else{lD(n,c,-1);H=n+4|0;I=n+40|0}while(0);c=f[H>>2]|0;D=f[I>>2]|0;f[j>>2]=0;z=j+4|0;f[z>>2]=0;f[j+8>>2]=0;hAa(j,D,D+(c<<2)|0);c=f[y>>2]|0;D=f[m>>2]|0;G=f[z>>2]|0;C=f[j>>2]|0;F=D;t=c;x=C;d=G;b:do if((c-D|0)==(G-C|0))if((F|0)==(t|0))J=1;else{a=F;i=x;while(1){if((f[a>>2]|0)!=(f[i>>2]|0)){J=0;break b}a=a+4|0;if((a|0)==(t|0)){J=1;break}else i=i+4|0}}else J=0;while(0);t=C;if(C|0){if((d|0)!=(x|0))f[z>>2]=d+(~((d+-4-C|0)>>>2)<<2);Emc(t)}if(!J){f[o>>2]=1124007936;t=o+4|0;C=o+8|0;d=o+40|0;A=t;B=A+36|0;do{f[A>>2]=0;A=A+4|0}while((A|0)<(B|0));f[d>>2]=C;A=o+48|0;B=o+44|0;f[B>>2]=A;f[A>>2]=0;f[o+52>>2]=0;z=j+8|0;f[z>>2]=0;f[z+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=o;kT(n,j);z=f[q>>2]|0;x=f[l>>2]|0;F=x+(z*56|0)|0;G=o+36|0;if((F|0)!=(o|0)){D=f[G>>2]|0;if(D|0){c=D+12|0;f[c>>2]=(f[c>>2]|0)+1}c=x+(z*56|0)+36|0;D=f[c>>2]|0;if(D|0?(i=D+12|0,D=f[i>>2]|0,f[i>>2]=D+-1,(D|0)==1):0)lP(F);f[c>>2]=0;D=x+(z*56|0)+16|0;i=x+(z*56|0)+4|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[i>>2]|0)>0){a=f[x+(z*56|0)+40>>2]|0;s=0;do{f[a+(s<<2)>>2]=0;s=s+1|0;K=f[i>>2]|0}while((s|0)<(K|0));f[F>>2]=f[o>>2];if((K|0)<3)L=68;else L=70}else{f[F>>2]=f[o>>2];L=68}do if((L|0)==68){K=f[t>>2]|0;if((K|0)>=3){L=70;break}f[i>>2]=K;f[x+(z*56|0)+8>>2]=f[C>>2];f[x+(z*56|0)+12>>2]=f[o+12>>2];K=f[B>>2]|0;s=f[x+(z*56|0)+44>>2]|0;f[s>>2]=f[K>>2];f[s+4>>2]=f[K+4>>2]}while(0);if((L|0)==70)kP(F,o);f[D>>2]=f[o+16>>2];f[x+(z*56|0)+20>>2]=f[o+20>>2];f[x+(z*56|0)+24>>2]=f[o+24>>2];f[x+(z*56|0)+28>>2]=f[o+28>>2];f[x+(z*56|0)+32>>2]=f[o+32>>2];f[c>>2]=f[G>>2]}c=f[G>>2]|0;if(c|0?(z=c+12|0,c=f[z>>2]|0,f[z>>2]=c+-1,(c|0)==1):0)lP(o);f[G>>2]=0;G=o+16|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[t>>2]|0)>0){G=f[d>>2]|0;d=0;do{f[G+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[t>>2]|0))}t=f[B>>2]|0;if((t|0)!=(A|0))tE(t);t=f[q>>2]|0;A=f[l>>2]|0;l=A+(t*56|0)|0;B=f[(f[(f[r>>2]|0)+4>>2]|0)+72>>2]|0;d=B+(t*56|0)|0;if((B|0)!=(A|0)){G=A+(t*56|0)+36|0;o=f[G>>2]|0;if(o|0){c=o+12|0;f[c>>2]=(f[c>>2]|0)+1}c=B+(t*56|0)+36|0;o=f[c>>2]|0;do if(o|0){z=o+12|0;x=f[z>>2]|0;f[z>>2]=x+-1;if((x|0)!=1)break;lP(d)}while(0);f[c>>2]=0;o=B+(t*56|0)+16|0;x=B+(t*56|0)+4|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[x>>2]|0)>0){z=f[B+(t*56|0)+40>>2]|0;D=0;do{f[z+(D<<2)>>2]=0;D=D+1|0;M=f[x>>2]|0}while((D|0)<(M|0));f[d>>2]=f[l>>2];if((M|0)<3)L=91;else L=93}else{f[d>>2]=f[l>>2];L=91}do if((L|0)==91){M=f[A+(t*56|0)+4>>2]|0;if((M|0)>=3){L=93;break}f[x>>2]=M;f[B+(t*56|0)+8>>2]=f[A+(t*56|0)+8>>2];f[B+(t*56|0)+12>>2]=f[A+(t*56|0)+12>>2];M=f[A+(t*56|0)+44>>2]|0;D=f[B+(t*56|0)+44>>2]|0;f[D>>2]=f[M>>2];f[D+4>>2]=f[M+4>>2]}while(0);if((L|0)==93)kP(d,l);f[o>>2]=f[A+(t*56|0)+16>>2];f[B+(t*56|0)+20>>2]=f[A+(t*56|0)+20>>2];f[B+(t*56|0)+24>>2]=f[A+(t*56|0)+24>>2];f[B+(t*56|0)+28>>2]=f[A+(t*56|0)+28>>2];f[B+(t*56|0)+32>>2]=f[A+(t*56|0)+32>>2];f[c>>2]=f[G>>2]}}else{G=(f[(f[(f[r>>2]|0)+4>>2]|0)+72>>2]|0)+((f[q>>2]|0)*56|0)|0;c=j+8|0;f[c>>2]=0;f[c+4>>2]=0;f[j>>2]=33619968;f[j+4>>2]=G;kT(n,j)}j=f[q>>2]|0;G=f[(f[E>>2]|0)+(j<<3)+4>>2]|0;if(!G)N=j;else{ai[f[(f[G>>2]|0)+12>>2]&2047](G);N=f[q>>2]|0}q=f[(f[r>>2]|0)+4>>2]|0;p[(f[q+48>>2]|0)+(N<<3)>>3]=e;G=(f[q+60>>2]|0)+(N<<5)|0;f[G>>2]=f[g>>2];f[G+4>>2]=f[g+4>>2];f[G+8>>2]=f[g+8>>2];f[G+12>>2]=f[g+12>>2];f[G+16>>2]=f[g+16>>2];f[G+20>>2]=f[g+20>>2];f[G+24>>2]=f[g+24>>2];f[G+28>>2]=f[g+28>>2];g=(f[r>>2]|0)+116|0;b[g>>0]=J&(b[g>>0]|0)!=0&1;g=n+36|0;J=f[g>>2]|0;if(J|0?(r=J+12|0,J=f[r>>2]|0,f[r>>2]=J+-1,(J|0)==1):0)lP(n);f[g>>2]=0;g=n+16|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[H>>2]|0)>0){g=f[I>>2]|0;I=0;do{f[g+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[H>>2]|0))}H=f[n+44>>2]|0;if((H|0)!=(n+48|0))tE(H);H=f[m>>2]|0;if(H|0){m=f[y>>2]|0;if((m|0)!=(H|0))f[y>>2]=m+(~((m+-4-H|0)>>>2)<<2);Emc(H)}if(!(f[k+4>>2]|0)){u=h;return}u=h;return}function qCa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>5>>>0>=b>>>0){h=b;i=g;do{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;f[i+24>>2]=0;f[i+28>>2]=0;i=(f[e>>2]|0)+32|0;f[e>>2]=i;h=h+-1|0}while((h|0)!=0);return}h=f[a>>2]|0;i=g-h>>5;g=i+b|0;if(g>>>0>134217727)Ukc(a);j=d-h|0;h=j>>4;d=j>>5>>>0<67108863?(h>>>0<g>>>0?g:h):134217727;do if(d)if(d>>>0>134217727){h=ye(8)|0;Jmc(h,511852);f[h>>2]=165276;Gf(h|0,26776,1555)}else{k=Bmc(d<<5)|0;break}else k=0;while(0);h=k+(i<<5)|0;i=h;g=k+(d<<5)|0;d=b;b=h;k=i;do{f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[b+28>>2]=0;b=k+32|0;k=b;d=d+-1|0}while((d|0)!=0);d=g;g=f[a>>2]|0;b=f[e>>2]|0;j=g;if((b|0)==(g|0)){l=i;m=j}else{i=b+-32-j|0;j=b;b=h;while(1){n=j;j=j+-32|0;p[b+-32>>3]=+p[j>>3];p[b+-24>>3]=+p[n+-24>>3];p[b+-16>>3]=+p[n+-16>>3];p[b+-8>>3]=+p[n+-8>>3];if((j|0)==(g|0))break;else b=b+-32|0}l=h+(~(i>>>5)<<5)|0;m=f[a>>2]|0}f[a>>2]=l;f[e>>2]=k;f[c>>2]=d;if(!m)return;Emc(m);return}function rCa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0;d=u;u=u+16|0;e=d;g=d+8|0;h=(c|0)==-1;if(h){i=f[a>>2]|0;switch(i|0){case 0:{j=f[a+4>>2]|0;k=j+4|0;l=j;m=j;n=j;break}case 3:{j=f[a+4>>2]|0;k=j+4|0;l=j;m=j;n=j;break}case 2:{j=f[a+4>>2]|0;k=j+4|0;l=j;m=j;n=j;break}default:{f[e>>2]=0;f[e+4>>2]=0;SQ(-3,e,463632,463637,278)}}if((f[k>>2]|0)==1){o=i;q=l;r=m;s=n}else t=15}else if((c|0)>-1){n=f[a>>2]|0;switch(n|0){case 0:{m=f[a+4>>2]|0;v=m+4|0;w=m;x=m;y=m;break}case 3:{m=f[a+4>>2]|0;v=m+4|0;w=m;x=m;y=m;break}case 2:{m=f[a+4>>2]|0;v=m+4|0;w=m;x=m;y=m;break}default:{f[e>>2]=0;f[e+4>>2]=0;SQ(-3,e,463632,463637,278)}}if((f[v>>2]|0)>(c|0)){o=n;q=w;r=x;s=y}else t=15}else t=15;if((t|0)==15){f[e>>2]=0;f[e+4>>2]=0;z=YG(e,56)|0;A=399753;B=z+56|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));SQ(-215,e,399810,463637,88)}t=h?0:c;switch(o|0){case 0:{c=(f[q>>2]|0)+(t<<3)|0;C=f[c+4>>2]|0;D=f[c>>2]|0;J=C;u=d;return D|0}case 2:{E=+p[(f[r>>2]|0)+(t<<3)>>3];if(!(+R9b(E,e)==0.0)){f[g>>2]=0;f[g+4>>2]=0;z=YG(g,15)|0;A=395694;B=z+15|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));SQ(-215,g,399810,463637,101)}C=+L(E)>=1.0?(E>0.0?~~+Z(+K(E/4294967296.0),4294967295.0)>>>0:~~+X((E-+(~~E>>>0))/4294967296.0)>>>0):0;D=~~E>>>0;J=C;u=d;return D|0}case 3:{g=f[(f[s>>2]|0)+(t<<3)>>2]|0;t=bac((g|0)==0?1163146:g)|0;C=((t|0)<0)<<31>>31;D=t;J=C;u=d;return D|0}default:if((o|2|0)==2){C=0;D=0;J=C;u=d;return D|0}else{f[e>>2]=0;f[e+4>>2]=0;z=YG(e,33)|0;A=395710;B=z+33|0;do{b[z>>0]=b[A>>0]|0;z=z+1|0;A=A+1|0}while((z|0)<(B|0));SQ(-215,e,399810,463637,111)}}return 0}function sCa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+16|0;g=e;if((f[c>>2]|0)!=3){f[g>>2]=0;f[g+4>>2]=0;h=YG(g,10)|0;i=395613;j=h+10|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));SQ(-215,g,399810,463637,178)}k=(d|0)==-1;if(k){l=f[c+4>>2]|0;if((f[l+4>>2]|0)==1)m=l;else n=7}else if((d|0)>-1?(l=f[c+4>>2]|0,(f[l+4>>2]|0)>(d|0)):0)m=l;else n=7;if((n|0)==7){f[g>>2]=0;f[g+4>>2]=0;h=YG(g,69)|0;i=395624;j=h+69|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));SQ(-215,g,399810,463637,179)}g=k?0:d;d=f[m>>2]|0;m=f[d+(g<<3)>>2]|0;f[a>>2]=m;f[a+4>>2]=f[d+(g<<3)+4>>2];if(!m){u=e;return}g=m+-4|0;f[g>>2]=(f[g>>2]|0)+1;u=e;return}function tCa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;f[a>>2]=0;e=a+4|0;f[e>>2]=0;f[a+8>>2]=0;g=b+4|0;b=f[g>>2]|0;h=f[b+20>>2]|0;if((h|0)==(b+24|0)){u=c;return}b=a+8|0;i=h;while(1){h=f[i+16>>2]|0;f[d>>2]=h;do if(!(f[i+112>>2]|0)){j=f[e>>2]|0;if((j|0)==(f[b>>2]|0)){MR(a,d);break}else{f[j>>2]=h;f[e>>2]=j+4;break}}while(0);h=f[i+4>>2]|0;if(!h){j=i+8|0;k=f[j>>2]|0;if((f[k>>2]|0)==(i|0))l=k;else{k=j;do{j=f[k>>2]|0;k=j+8|0;m=f[k>>2]|0}while((f[m>>2]|0)!=(j|0));l=m}}else{k=h;while(1){m=f[k>>2]|0;if(!m)break;else k=m}l=k}if((l|0)==((f[g>>2]|0)+24|0))break;else i=l}u=c;return}function uCa(a){a=a|0;var b=0;cY(a);f[a>>2]=109208;b=a+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;f[b+16>>2]=0;f[b+20>>2]=0;f[b+24>>2]=0;f[b+28>>2]=0;return}function vCa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=b+12|0;d=a+4|0;if((d|0)!=(c|0))JBa(d,f[c>>2]|0,f[b+16>>2]|0);c=b+24|0;d=a+16|0;if((c|0)!=(d|0)){ZG(d);e=f[c>>2]|0;if(!e)g=0;else{h=e+-4|0;f[h>>2]=(f[h>>2]|0)+1;g=f[c>>2]|0}f[d>>2]=g;f[a+20>>2]=f[b+28>>2]}g=b+32|0;d=a+24|0;if((g|0)==(d|0))return;ZG(d);c=f[g>>2]|0;if(!c)i=0;else{h=c+-4|0;f[h>>2]=(f[h>>2]|0)+1;i=f[g>>2]|0}f[d>>2]=i;f[a+28>>2]=f[b+36>>2];return}function wCa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+48|0;e=d+32|0;g=d+16|0;h=d;zT(e,110144);i=f[(f[a>>2]|0)+36>>2]|0;f[g+8>>2]=0;f[g+12>>2]=0;f[g>>2]=17104896;f[g+4>>2]=b;b=h+8|0;f[b>>2]=0;f[b+4>>2]=0;f[h>>2]=33882112;f[h+4>>2]=c;Yh[i&511](a,g,h);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function xCa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;d=u;u=u+80|0;e=d+56|0;g=d+40|0;h=d+48|0;i=d+32|0;j=d+8|0;k=d;f[g>>2]=c;zT(h,110276);c=cBa()|0;SR(c);l=f[a>>2]|0;if(!l){f[i>>2]=0;f[i+4>>2]=0}else{m=a+4|0;n=f[m>>2]|0;f[e>>2]=0;o=e+4|0;f[o>>2]=0;if(n|0?(Krc(YG(e,n)|0,l|0,n|0)|0,f[m>>2]|0):0){n=0;do{l=(p9b(b[(f[a>>2]|0)+n>>0]|0)|0)&255;b[(f[e>>2]|0)+n>>0]=l;n=n+1|0}while(n>>>0<(f[m>>2]|0)>>>0)}m=f[e>>2]|0;f[i>>2]=m;f[i+4>>2]=f[o>>2];if(m|0){o=m+-4|0;f[o>>2]=(f[o>>2]|0)+1}ZG(e)}o=(dBa()|0)+4|0;m=f[o>>2]|0;if(m){n=f[i>>2]|0;a=(n|0)==0?1163146:n;l=o;p=m;a:while(1){m=p;while(1){q=f[m+16>>2]|0;if((q|0)==(n|0))break;if((o7b((q|0)==0?1163146:q,a)|0)>=0)break;q=f[m+4>>2]|0;if(!q){r=l;break a}else m=q}p=f[m>>2]|0;if(!p){r=m;break}else l=m}if((r|0)!=(o|0)){l=f[r+16>>2]|0;if((n|0)!=(l|0)?(o7b(a,(l|0)==0?1163146:l)|0)<0:0)s=21;else t=r}else s=21}else s=21;if((s|0)==21)t=o;do if((t|0)!=((dBa()|0)+4|0)){o=t+24|0;r=t+28|0;l=f[r>>2]|0;a=f[g>>2]|0;n=a;if((f[l+-4>>2]|0)!=(a|0))if((l|0)==(f[t+32>>2]|0)){yCa(o,g);break}else{f[l>>2]=n;f[r>>2]=(f[r>>2]|0)+4;break}f[j>>2]=0;r=j+4|0;f[r>>2]=0;n=i+4|0;YG(j,(f[n>>2]|0)+7|0)|0;l=f[j>>2]|0;b[l>>0]=b[390105]|0;b[l+1>>0]=b[390106]|0;b[l+2>>0]=b[390107]|0;b[l+3>>0]=b[390108]|0;b[l+4>>0]=b[390109]|0;b[l+5>>0]=b[390110]|0;b[l+6>>0]=b[390111]|0;l=f[n>>2]|0;if(l|0)Krc((f[j>>2]|0)+7|0,f[i>>2]|0,l|0)|0;f[e>>2]=0;f[e+4>>2]=0;YG(e,(f[r>>2]|0)+24|0)|0;l=f[r>>2]|0;if(!l){v=0;w=f[e>>2]|0;x=w+v|0;y=x;z=395744;A=y+24|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-5,e,395769,387968,3360)}Krc(f[e>>2]|0,f[j>>2]|0,l|0)|0;v=f[r>>2]|0;w=f[e>>2]|0;x=w+v|0;y=x;z=395744;A=y+24|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-5,e,395769,387968,3360)}while(0);z=dBa()|0;y=f[i>>2]|0;f[k>>2]=y;A=k+4|0;f[A>>2]=f[i+4>>2];if(y|0){x=y+-4|0;f[x>>2]=(f[x>>2]|0)+1}x=Bmc(4)|0;f[x>>2]=f[g>>2];g=f[k>>2]|0;f[j>>2]=g;y=j+4|0;f[y>>2]=f[A>>2];if(g|0){A=g+-4|0;f[A>>2]=(f[A>>2]|0)+1}A=j+8|0;f[A>>2]=0;g=j+12|0;f[g>>2]=0;f[j+16>>2]=0;v=Bmc(4)|0;f[A>>2]=v;f[j+16>>2]=v+4;w=v+4|0;f[v>>2]=f[x>>2];f[g>>2]=w;t=f[j>>2]|0;f[e>>2]=t;r=e+4|0;f[r>>2]=f[y>>2];if(!t){B=g;C=v;D=w;E=v}else{v=t+-4|0;f[v>>2]=(f[v>>2]|0)+1;v=f[A>>2]|0;B=g;C=v;D=f[g>>2]|0;E=v}v=e+8|0;f[v>>2]=0;A=e+12|0;f[A>>2]=0;f[e+16>>2]=0;t=D-C|0;C=t>>2;if(C){if(C>>>0>1073741823)Ukc(v);D=Bmc(t)|0;f[A>>2]=D;f[v>>2]=D;f[e+16>>2]=D+(C<<2);C=(f[B>>2]|0)-E|0;B=D;if((C|0)>0){t=D+(C>>>2<<2)|0;Krc(D|0,E|0,C|0)|0;f[A>>2]=t;F=D;G=D;H=B;I=t}else{F=D;G=D;H=B;I=B}}else{F=0;G=0;H=0;I=0}B=z+4|0;D=f[B>>2]|0;b:do if(!D){J=B;K=B}else{t=z+4|0;C=f[e>>2]|0;E=(C|0)==0?1163146:C;w=f[D+16>>2]|0;c:do if((C|0)!=(w|0)){y=t;l=D;m=w;while(1){n=(m|0)==0?1163146:m;if((o7b(E,n)|0)<0){o=f[l>>2]|0;if(!o){s=49;break}else{L=l;M=o}}else{if((o7b(n,E)|0)>=0){N=y;O=l;break c}P=l+4|0;n=f[P>>2]|0;if(!n){s=52;break}else{L=P;M=n}}m=f[M+16>>2]|0;if((C|0)==(m|0)){N=L;O=M;break c}else{y=L;l=M}}if((s|0)==49){J=l;K=l;break b}else if((s|0)==52){J=P;K=l;break b}}else{N=t;O=D}while(0);J=N;K=O}while(0);if(!(f[J>>2]|0)){O=Bmc(36)|0;N=f[e>>2]|0;f[O+16>>2]=N;f[O+20>>2]=f[r>>2];if(!N){Q=A;R=H;S=I;T=G}else{I=N+-4|0;f[I>>2]=(f[I>>2]|0)+1;I=f[v>>2]|0;Q=A;R=I;S=f[A>>2]|0;T=I}I=O+24|0;f[I>>2]=0;v=O+28|0;f[v>>2]=0;N=O+32|0;f[N>>2]=0;H=S-R|0;R=H>>2;if(R|0){if(R>>>0>1073741823)Ukc(I);S=Bmc(H)|0;f[v>>2]=S;f[I>>2]=S;f[N>>2]=S+(R<<2);R=(f[Q>>2]|0)-T|0;if((R|0)>0){Krc(S|0,T|0,R|0)|0;f[v>>2]=S+(R>>>2<<2)}}f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=K;f[J>>2]=O;K=f[f[z>>2]>>2]|0;if(!K)U=O;else{f[z>>2]=K;U=f[J>>2]|0}RS(f[z+4>>2]|0,U);U=z+8|0;f[U>>2]=(f[U>>2]|0)+1;U=f[e+8>>2]|0;V=U;W=U}else{V=G;W=F}if(V|0){F=f[A>>2]|0;if((F|0)!=(V|0))f[A>>2]=F+(~((F+-4-V|0)>>>2)<<2);Emc(W)}ZG(e);e=f[j+8>>2]|0;if(e|0){W=f[g>>2]|0;if((W|0)!=(e|0))f[g>>2]=W+(~((W+-4-e|0)>>>2)<<2);Emc(e)}ZG(j);Emc(x);ZG(k);ZG(i);TR(c);if(!(f[h+4>>2]|0)){u=d;return}u=d;return}function yCa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>2;h=g+1|0;if(h>>>0>1073741823)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>1;l=j>>2>>>0<536870911?(k>>>0<h>>>0?h:k):1073741823;do if(l)if(l>>>0>1073741823){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<2)|0;break}else m=0;while(0);k=m+(g<<2)|0;f[k>>2]=f[b>>2];b=k+(0-g<<2)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+4;f[i>>2]=m+(l<<2);if(!d)return;Emc(d);return}function zCa(a,b){a=a|0;b=b|0;return}function ACa(){return 0}function BCa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=u;u=u+112|0;g=e+8|0;h=e;i=f[c>>2]|0;c=(i|0)==0?1163146:i;i=f[d>>2]|0;d=(i|0)==0?1163146:i;_Ha(g);i=g+40|0;_Ha(i);f[g+80>>2]=0;j=g+84|0;f[j>>2]=0;f[g+88>>2]=0;if(b[c>>0]|0)UDa(c,g);if(b[d>>0]|0)YDa(d,i);pAa(a);d=f[a>>2]|0;f[h>>2]=d;f[h+4>>2]=f[a+4>>2];if(d|0){a=d+4|0;f[a>>2]=(f[a>>2]|0)+1}CCa(g,h);TAa(h);h=g+80|0;a=f[h>>2]|0;if(!a){NFa(i);NFa(g);u=e;return}while(1){d=f[j>>2]|0;if((d|0)==(a|0))break;c=d+-8|0;f[j>>2]=c;ZG(c)}Emc(f[h>>2]|0);NFa(i);NFa(g);u=e;return}
function jEa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0.0,Ha=0,Ia=0.0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0;d=u;u=u+736|0;e=d+712|0;g=d+720|0;h=d+704|0;i=d+692|0;j=d+680|0;k=d+672|0;l=d+616|0;m=d+560|0;o=d+504|0;q=d;r=d+232|0;s=d+488|0;t=d+8|0;v=d+480|0;w=d+472|0;x=d+464|0;y=d+456|0;f[e>>2]=c;z=a+16|0;A=a+20|0;B=f[A>>2]|0;a:do if(B|0){C=B;while(1){D=f[C+16>>2]|0;if((D|0)>(c|0))E=C;else{if((D|0)>=(c|0))break;E=C+4|0}C=f[E>>2]|0;if(!C)break a}u=d;return}while(0);lEa(g,a);f[h>>2]=0;E=h+4|0;f[E>>2]=0;c=mEa(g,399958,399965)|0;do if((c|0)>-1)nEa(a,f[e>>2]|0,c);else{B=mEa(g,399972,399965)|0;if((B|0)>-1){oEa(a,f[e>>2]|0,B);break}if(!(pEa(g,h)|0)){f[j>>2]=0;B=j+4|0;f[B>>2]=0;C=g+4|0;YG(j,(f[C>>2]|0)+25|0)|0;D=f[j>>2]|0;F=D;G=401969;H=F+25|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));I=f[C>>2]|0;if(I|0)Krc(D+25|0,f[g>>2]|0,I|0)|0;f[i>>2]=0;f[i+4>>2]=0;YG(i,(f[B>>2]|0)+1|0)|0;I=f[B>>2]|0;if(!I){K=0;L=f[i>>2]|0;M=L+K|0;b[M>>0]=34;SQ(-213,i,400173,399848,992)}Krc(f[i>>2]|0,f[j>>2]|0,I|0)|0;K=f[B>>2]|0;L=f[i>>2]|0;M=L+K|0;b[M>>0]=34;SQ(-213,i,400173,399848,992)}f[i+4>>2]=0;f[i+8>>2]=0;I=i+4|0;f[i>>2]=I;f[j+4>>2]=0;f[j+8>>2]=0;N=j+4|0;f[j>>2]=N;O=Bmc(68)|0;f[l>>2]=0;P=l+4|0;f[P>>2]=0;Q=f[h>>2]|0;f[O>>2]=Q;f[O+4>>2]=f[E>>2];if(Q){R=Q+-4|0;f[R>>2]=(f[R>>2]|0)+1;R=f[l>>2]|0;Q=f[P>>2]|0;f[O+8>>2]=R;f[O+12>>2]=Q;if(R|0){Q=R+-4|0;f[Q>>2]=(f[Q>>2]|0)+1}}else{f[O+8>>2]=0;f[O+12>>2]=0}Q=O+20|0;f[Q>>2]=0;f[O+24>>2]=0;f[O+16>>2]=Q;F=O+28|0;H=F+40|0;do{f[F>>2]=0;F=F+4|0}while((F|0)<(H|0));B=Bmc(16)|0;f[B+4>>2]=1;f[B>>2]=110708;f[B+8>>2]=O;f[k>>2]=B;B=k+4|0;f[B>>2]=O;ZG(l);D=f[B>>2]|0;C=D+16|0;f[l>>2]=0;f[l+4>>2]=0;F=YG(l,11)|0;G=399980;H=F+11|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));KCa(C,l,e)|0;ZG(l);O=f[h>>2]|0;b:do if((((((((O|0)!=399992?(Q=(O|0)==0?1163146:O,!((o7b(Q,399992)|0)==0|(O|0)==400003)):0)?!((o7b(Q,400003)|0)==0|(O|0)==443891):0)?!((o7b(Q,443891)|0)==0|(O|0)==400012):0)?!((o7b(Q,400012)|0)==0|(O|0)==400024):0)?!((o7b(Q,400024)|0)==0|(O|0)==400034):0)?!((o7b(Q,400034)|0)==0|(O|0)==400046):0)?(o7b(Q,400046)|0)!=0:0){if(((O|0)!=400097?!((o7b(Q,400097)|0)==0|(O|0)==400116):0)?o7b(Q,400116)|0:0){do if((O|0)!=400233){if(!(o7b(Q,400233)|0))break;do if((O|0)!=400250){if((o7b(Q,400250)|0)==0|(O|0)==400268)break;if(!(o7b(Q,400268)|0))break;do if((O|0)!=400370){if(!(o7b(Q,400370)|0))break;do if((O|0)!=444586){if((o7b(Q,444586)|0)==0|(O|0)==400377)break;if(!(o7b(Q,400377)|0))break;do if((O|0)!=407436){if(!(o7b(Q,407436)|0))break;do if((O|0)!=400417){if(!(o7b(Q,400417)|0))break;do if((O|0)!=442751){if(!(o7b(Q,442751)|0))break;do if((O|0)!=400422){if((o7b(Q,400422)|0)==0|(O|0)==400448)break;if((o7b(Q,400448)|0)==0|(O|0)==400470)break;if(!(o7b(Q,400470)|0))break;do if((O|0)!=442745){if(!(o7b(Q,442745)|0))break;do if((O|0)!=400685){if((o7b(Q,400685)|0)==0|(O|0)==447720)break;if(!(o7b(Q,447720)|0))break;do if((O|0)!=447711){if((o7b(Q,447711)|0)==0|(O|0)==400722)break;if(!(o7b(Q,400722)|0))break;do if((O|0)!=442835){if(!(o7b(Q,442835)|0))break;do if((O|0)!=442851){if(!(o7b(Q,442851)|0))break;do if((O|0)!=400843){if(!(o7b(Q,400843)|0))break;do if((O|0)!=400853){if(!(o7b(Q,400853)|0))break;do if((O|0)!=401185){if(!(o7b(Q,401185)|0))break;do if((O|0)!=401450){if(!(o7b(Q,401450)|0))break;do if((O|0)!=401500){if(!(o7b(Q,401500)|0))break;do if((O|0)!=401508){if(!(o7b(Q,401508)|0))break;do if((O|0)!=401519){if(!(o7b(Q,401519)|0))break;do if((O|0)!=446049){if((o7b(Q,446049)|0)==0|(O|0)==401611)break;if((o7b(Q,401611)|0)==0|(O|0)==467672)break;if(!(o7b(Q,467672)|0))break;do if((O|0)!=401620){if(!(o7b(Q,401620)|0))break;do if((O|0)!=401684){if((o7b(Q,401684)|0)==0|(O|0)==401703)break;if(!(o7b(Q,401703)|0))break;do if((O|0)!=401887){if(!(o7b(Q,401887)|0))break;do if((O|0)!=401898){if(!(o7b(Q,401898)|0))break;rEa(a,i,j);R=f[i>>2]|0;if((R|0)!=(I|0)){P=R;while(1){MCa(C,P+16|0,P+24|0)|0;R=f[P+4>>2]|0;do if(!R){S=P+8|0;T=f[S>>2]|0;if((f[T>>2]|0)==(P|0)){U=T;break}else V=S;do{S=f[V>>2]|0;V=S+8|0;T=f[V>>2]|0}while((f[T>>2]|0)!=(S|0));U=T}else{T=R;while(1){S=f[T>>2]|0;if(!S)break;else T=S}U=T}while(0);if((U|0)==(I|0))break;else P=U}}P=f[j>>2]|0;if((P|0)!=(N|0)){R=D+32|0;S=D+36|0;W=D+28|0;X=P;while(1){P=X+28|0;Z=f[R>>2]|0;if((Z|0)==(f[S>>2]|0))g2(W,P);else{f[Z>>2]=f[P>>2];_=Z+4|0;$=X+32|0;f[_>>2]=f[$>>2];aa=Z+8|0;f[aa>>2]=f[X+36>>2];f[Z+12>>2]=f[X+40>>2];f[Z+16>>2]=f[X+44>>2];f[Z+20>>2]=f[X+48>>2];f[Z+24>>2]=f[X+52>>2];f[Z+28>>2]=f[X+56>>2];f[Z+32>>2]=f[X+60>>2];ba=f[X+64>>2]|0;f[Z+36>>2]=ba;f[Z+40>>2]=aa;aa=Z+48|0;ca=Z+44|0;f[ca>>2]=aa;f[aa>>2]=0;f[Z+52>>2]=0;if(ba|0){aa=ba+12|0;f[aa>>2]=(f[aa>>2]|0)+1}if((f[$>>2]|0)<3){$=f[X+72>>2]|0;aa=f[ca>>2]|0;f[aa>>2]=f[$>>2];f[aa+4>>2]=f[$+4>>2]}else{f[_>>2]=0;kP(Z,P)}f[R>>2]=(f[R>>2]|0)+56}P=f[X+4>>2]|0;do if(!P){Z=X+8|0;_=f[Z>>2]|0;if((f[_>>2]|0)==(X|0)){da=_;break}else ea=Z;do{Z=f[ea>>2]|0;ea=Z+8|0;_=f[ea>>2]|0}while((f[_>>2]|0)!=(Z|0));da=_}else{T=P;while(1){_=f[T>>2]|0;if(!_)break;else T=_}da=T}while(0);if((da|0)==(N|0))break;else X=da}}X=f[B>>2]|0;R=X+8|0;if((h|0)!=(R|0)){ZG(R);W=f[h>>2]|0;if(!W)fa=0;else{S=W+-4|0;f[S>>2]=(f[S>>2]|0)+1;fa=f[h>>2]|0}f[R>>2]=fa;f[X+12>>2]=f[E>>2]}X=f[a+68>>2]|0;R=X+60|0;S=f[R>>2]|0;if((S|0)==(f[X+64>>2]|0)){qEa(X+56|0,k);break b}X=f[k>>2]|0;f[S>>2]=X;f[S+4>>2]=f[B>>2];if(!X)ga=S;else{S=X+4|0;f[S>>2]=(f[S>>2]|0)+1;ga=f[R>>2]|0}f[R>>2]=ga+8;break b}while(0);rEa(a,i,j);f[l>>2]=0;f[l+4>>2]=0;F=YG(l,12)|0;G=401923;H=F+12|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));R=f[I>>2]|0;if(!R){ZG(l);f[l>>2]=0;ha=l+4|0;f[ha>>2]=0;ia=YG(l,32)|0;F=ia;G=401936;H=F+32|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,964)}S=f[l>>2]|0;X=(S|0)==0?1163146:S;W=R;while(1){P=f[W+16>>2]|0;if((S|0)==(P|0)){ja=1154;break}_=(P|0)==0?1163146:P;if((o7b(X,_)|0)<0)ka=W;else{if((o7b(_,X)|0)>=0){ja=1158;break}ka=W+4|0}W=f[ka>>2]|0;if(!W){ja=1156;break}}if((ja|0)==1154)ZG(l);else if((ja|0)==1156){ZG(l);f[l>>2]=0;ha=l+4|0;f[ha>>2]=0;ia=YG(l,32)|0;F=ia;G=401936;H=F+32|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,964)}else if((ja|0)==1158)ZG(l);f[m>>2]=0;f[m+4>>2]=0;F=YG(m,12)|0;G=401923;H=F+12|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));W=rCa(dDa(i,m)|0,-1)|0;ZG(m);f[l>>2]=W;W=(f[B>>2]|0)+8|0;ZG(W);X=YG(W,6)|0;b[X>>0]=b[443754]|0;b[X+1>>0]=b[443755]|0;b[X+2>>0]=b[443756]|0;b[X+3>>0]=b[443757]|0;b[X+4>>0]=b[443758]|0;b[X+5>>0]=b[443759]|0;f[m>>2]=0;f[m+4>>2]=0;F=YG(m,13)|0;G=454533;H=F+13|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));eDa(C,m,454547)|0;ZG(m);f[m>>2]=0;f[m+4>>2]=0;F=YG(m,11)|0;G=454280;H=F+11|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));KCa(C,m,l)|0;ZG(m);X=f[a+68>>2]|0;W=X+60|0;S=f[W>>2]|0;if((S|0)==(f[X+64>>2]|0))qEa(X+56|0,k);else{X=f[k>>2]|0;f[S>>2]=X;f[S+4>>2]=f[B>>2];if(!X)la=S;else{S=X+4|0;f[S>>2]=(f[S>>2]|0)+1;la=f[W>>2]|0}f[W>>2]=la+8}break b}while(0);rEa(a,i,j);f[l>>2]=0;f[l+4>>2]=0;W=YG(l,4)|0;b[W>>0]=115;b[W+1>>0]=105;b[W+2>>0]=122;b[W+3>>0]=101;W=f[I>>2]|0;if(!W){ZG(l);f[l>>2]=0;ma=l+4|0;f[ma>>2]=0;na=YG(l,24)|0;F=na;G=400382;H=F+24|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,950)}S=f[l>>2]|0;X=(S|0)==0?1163146:S;R=W;while(1){_=f[R+16>>2]|0;if((S|0)==(_|0)){ja=1134;break}P=(_|0)==0?1163146:_;if((o7b(X,P)|0)<0)oa=R;else{if((o7b(P,X)|0)>=0){ja=1138;break}oa=R+4|0}R=f[oa>>2]|0;if(!R){ja=1136;break}}if((ja|0)==1134)ZG(l);else if((ja|0)==1136){ZG(l);f[l>>2]=0;ma=l+4|0;f[ma>>2]=0;na=YG(l,24)|0;F=na;G=400382;H=F+24|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,950)}else if((ja|0)==1138)ZG(l);f[l>>2]=0;f[l+4>>2]=0;R=YG(l,4)|0;b[R>>0]=115;b[R+1>>0]=105;b[R+2>>0]=122;b[R+3>>0]=101;R=rCa(dDa(i,l)|0,-1)|0;ZG(l);X=~R;S=(f[B>>2]|0)+8|0;ZG(S);W=YG(S,5)|0;b[W>>0]=b[442633]|0;b[W+1>>0]=b[442634]|0;b[W+2>>0]=b[442635]|0;b[W+3>>0]=b[442636]|0;b[W+4>>0]=b[442637]|0;f[l>>2]=0;f[l+4>>2]=0;W=YG(l,5)|0;b[W>>0]=b[460959]|0;b[W+1>>0]=b[460960]|0;b[W+2>>0]=b[460961]|0;b[W+3>>0]=b[460962]|0;b[W+4>>0]=b[460963]|0;W=Bmc(16)|0;f[W>>2]=W+8;f[W+4>>2]=4;S=Dmc(32)|0;f[W>>2]=S;f[m>>2]=0;f[m+4>>2]=W;W=((R|0)<0)<<31>>31;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;P=S+16|0;f[P>>2]=R;f[P+4>>2]=W;P=S+24|0;f[P>>2]=R;f[P+4>>2]=W;MCa(C,l,m)|0;rza(m);ZG(l);f[l>>2]=0;f[l+4>>2]=0;W=YG(l,3)|0;b[W>>0]=b[460965]|0;b[W+1>>0]=b[460966]|0;b[W+2>>0]=b[460967]|0;W=Bmc(16)|0;f[W>>2]=W+8;f[W+4>>2]=4;P=Dmc(32)|0;f[W>>2]=P;f[m>>2]=0;f[m+4>>2]=W;W=((X|0)<0)<<31>>31;f[P>>2]=-1;f[P+4>>2]=-1;f[P+8>>2]=-1;f[P+12>>2]=-1;R=P+16|0;f[R>>2]=X;f[R+4>>2]=W;R=P+24|0;f[R>>2]=X;f[R+4>>2]=W;MCa(C,l,m)|0;rza(m);ZG(l);W=f[a+68>>2]|0;R=W+60|0;X=f[R>>2]|0;if((X|0)==(f[W+64>>2]|0)){qEa(W+56|0,k);break b}W=f[k>>2]|0;f[X>>2]=W;f[X+4>>2]=f[B>>2];if(!W)pa=X;else{X=W+4|0;f[X>>2]=(f[X>>2]|0)+1;pa=f[R>>2]|0}f[R>>2]=pa+8;break b}while(0);rEa(a,i,j);f[l>>2]=0;f[l+4>>2]=0;R=YG(l,5)|0;b[R>>0]=b[452480]|0;b[R+1>>0]=b[452481]|0;b[R+2>>0]=b[452482]|0;b[R+3>>0]=b[452483]|0;b[R+4>>0]=b[452484]|0;R=f[I>>2]|0;if(!R){ZG(l);f[l>>2]=0;qa=l+4|0;f[qa>>2]=0;ra=YG(l,25)|0;F=ra;G=401728;H=F+25|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,920)}X=f[l>>2]|0;W=(X|0)==0?1163146:X;P=R;while(1){S=f[P+16>>2]|0;if((X|0)==(S|0)){ja=1069;break}_=(S|0)==0?1163146:S;if((o7b(W,_)|0)<0)sa=P;else{if((o7b(_,W)|0)>=0){ja=1073;break}sa=P+4|0}P=f[sa>>2]|0;if(!P){ja=1071;break}}if((ja|0)==1069)ZG(l);else if((ja|0)==1071){ZG(l);f[l>>2]=0;qa=l+4|0;f[qa>>2]=0;ra=YG(l,25)|0;F=ra;G=401728;H=F+25|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,920)}else if((ja|0)==1073)ZG(l);f[l>>2]=0;f[l+4>>2]=0;P=YG(l,5)|0;b[P>>0]=b[452492]|0;b[P+1>>0]=b[452493]|0;b[P+2>>0]=b[452494]|0;b[P+3>>0]=b[452495]|0;b[P+4>>0]=b[452496]|0;P=f[I>>2]|0;if(!P){ZG(l);f[l>>2]=0;ta=l+4|0;f[ta>>2]=0;ua=YG(l,25)|0;F=ua;G=401754;H=F+25|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,920)}W=f[l>>2]|0;X=(W|0)==0?1163146:W;R=P;while(1){_=f[R+16>>2]|0;if((W|0)==(_|0)){ja=1082;break}S=(_|0)==0?1163146:_;if((o7b(X,S)|0)<0)va=R;else{if((o7b(S,X)|0)>=0){ja=1086;break}va=R+4|0}R=f[va>>2]|0;if(!R){ja=1084;break}}if((ja|0)==1082)ZG(l);else if((ja|0)==1084){ZG(l);f[l>>2]=0;ta=l+4|0;f[ta>>2]=0;ua=YG(l,25)|0;F=ua;G=401754;H=F+25|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,920)}else if((ja|0)==1086)ZG(l);f[l>>2]=0;f[l+4>>2]=0;R=YG(l,5)|0;b[R>>0]=b[452486]|0;b[R+1>>0]=b[452487]|0;b[R+2>>0]=b[452488]|0;b[R+3>>0]=b[452489]|0;b[R+4>>0]=b[452490]|0;R=f[I>>2]|0;if(!R){ZG(l);f[l>>2]=0;wa=l+4|0;f[wa>>2]=0;xa=YG(l,25)|0;F=xa;G=401780;H=F+25|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,920)}X=f[l>>2]|0;W=(X|0)==0?1163146:X;P=R;while(1){S=f[P+16>>2]|0;if((X|0)==(S|0)){ja=1095;break}_=(S|0)==0?1163146:S;if((o7b(W,_)|0)<0)ya=P;else{if((o7b(_,W)|0)>=0){ja=1099;break}ya=P+4|0}P=f[ya>>2]|0;if(!P){ja=1097;break}}if((ja|0)==1095)ZG(l);else if((ja|0)==1097){ZG(l);f[l>>2]=0;wa=l+4|0;f[wa>>2]=0;xa=YG(l,25)|0;F=xa;G=401780;H=F+25|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,920)}else if((ja|0)==1099)ZG(l);f[l>>2]=0;f[l+4>>2]=0;P=YG(l,5)|0;b[P>>0]=b[452498]|0;b[P+1>>0]=b[452499]|0;b[P+2>>0]=b[452500]|0;b[P+3>>0]=b[452501]|0;b[P+4>>0]=b[452502]|0;P=f[I>>2]|0;if(!P){ZG(l);f[l>>2]=0;za=l+4|0;f[za>>2]=0;Aa=YG(l,25)|0;F=Aa;G=401806;H=F+25|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,920)}W=f[l>>2]|0;X=(W|0)==0?1163146:W;R=P;while(1){_=f[R+16>>2]|0;if((W|0)==(_|0)){ja=1108;break}S=(_|0)==0?1163146:_;if((o7b(X,S)|0)<0)Ba=R;else{if((o7b(S,X)|0)>=0){ja=1112;break}Ba=R+4|0}R=f[Ba>>2]|0;if(!R){ja=1110;break}}if((ja|0)==1108)ZG(l);else if((ja|0)==1110){ZG(l);f[l>>2]=0;za=l+4|0;f[za>>2]=0;Aa=YG(l,25)|0;F=Aa;G=401806;H=F+25|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,920)}else if((ja|0)==1112)ZG(l);f[l>>2]=0;f[l+4>>2]=0;R=YG(l,5)|0;b[R>>0]=b[452486]|0;b[R+1>>0]=b[452487]|0;b[R+2>>0]=b[452488]|0;b[R+3>>0]=b[452489]|0;b[R+4>>0]=b[452490]|0;R=rCa(dDa(i,l)|0,-1)|0;X=J;ZG(l);f[l>>2]=0;f[l+4>>2]=0;X=YG(l,5)|0;b[X>>0]=b[452480]|0;b[X+1>>0]=b[452481]|0;b[X+2>>0]=b[452482]|0;b[X+3>>0]=b[452483]|0;b[X+4>>0]=b[452484]|0;X=rCa(dDa(i,l)|0,-1)|0;W=J;ZG(l);f[l>>2]=0;f[l+4>>2]=0;W=YG(l,5)|0;b[W>>0]=b[452492]|0;b[W+1>>0]=b[452493]|0;b[W+2>>0]=b[452494]|0;b[W+3>>0]=b[452495]|0;b[W+4>>0]=b[452496]|0;W=rCa(dDa(i,l)|0,-1)|0;P=J;ZG(l);f[l>>2]=0;f[l+4>>2]=0;P=YG(l,5)|0;b[P>>0]=b[452498]|0;b[P+1>>0]=b[452499]|0;b[P+2>>0]=b[452500]|0;b[P+3>>0]=b[452501]|0;b[P+4>>0]=b[452502]|0;P=rCa(dDa(i,l)|0,-1)|0;S=J;ZG(l);if((X|R|W|P|0)<0){f[l>>2]=0;f[l+4>>2]=0;F=YG(l,54)|0;G=401832;H=F+54|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-213,l,400173,399848,926)}S=(f[B>>2]|0)+8|0;ZG(S);_=YG(S,7)|0;b[_>>0]=b[442851]|0;b[_+1>>0]=b[442852]|0;b[_+2>>0]=b[442853]|0;b[_+3>>0]=b[442854]|0;b[_+4>>0]=b[442855]|0;b[_+5>>0]=b[442856]|0;b[_+6>>0]=b[442857]|0;_=Bmc(24)|0;S=_;f[S>>2]=0;f[S+4>>2]=0;f[_+8>>2]=R;f[_+12>>2]=P;f[_+16>>2]=X;f[_+20>>2]=W;f[l>>2]=0;f[l+4>>2]=0;S=YG(l,8)|0;Z=S;b[Z>>0]=112;b[Z+1>>0]=97;b[Z+2>>0]=100;b[Z+3>>0]=100;Z=S+4|0;b[Z>>0]=105;b[Z+1>>0]=110;b[Z+2>>0]=103;b[Z+3>>0]=115;Z=Bmc(16)|0;f[Z>>2]=Z+8;f[Z+4>>2]=6;S=Dmc(48)|0;f[Z>>2]=S;f[m>>2]=0;f[m+4>>2]=Z;Z=f[_>>2]|0;$=S;f[$>>2]=Z;f[$+4>>2]=((Z|0)<0)<<31>>31;Z=f[_+4>>2]|0;$=S+8|0;f[$>>2]=Z;f[$+4>>2]=((Z|0)<0)<<31>>31;Z=f[_+8>>2]|0;$=S+16|0;f[$>>2]=Z;f[$+4>>2]=((Z|0)<0)<<31>>31;Z=f[_+12>>2]|0;$=S+24|0;f[$>>2]=Z;f[$+4>>2]=((Z|0)<0)<<31>>31;Z=f[_+16>>2]|0;$=S+32|0;f[$>>2]=Z;f[$+4>>2]=((Z|0)<0)<<31>>31;Z=f[_+20>>2]|0;$=S+40|0;f[$>>2]=Z;f[$+4>>2]=((Z|0)<0)<<31>>31;MCa(C,l,m)|0;rza(m);ZG(l);f[l>>2]=0;f[l+4>>2]=0;F=YG(l,10)|0;G=453010;H=F+10|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));f[m>>2]=3;KCa(C,l,m)|0;ZG(l);W=f[h>>2]|0;if(!((W|0)!=401703?(o7b((W|0)==0?1163146:W,401703)|0)!=0:0)){f[l>>2]=0;f[l+4>>2]=0;W=YG(l,4)|0;b[W>>0]=116;b[W+1>>0]=121;b[W+2>>0]=112;b[W+3>>0]=101;eDa(C,l,453347)|0;ZG(l)}W=f[a+68>>2]|0;X=W+60|0;P=f[X>>2]|0;if((P|0)==(f[W+64>>2]|0))qEa(W+56|0,k);else{W=f[k>>2]|0;f[P>>2]=W;f[P+4>>2]=f[B>>2];if(!W)Ca=P;else{P=W+4|0;f[P>>2]=(f[P>>2]|0)+1;Ca=f[X>>2]|0}f[X>>2]=Ca+8}Emc(_);break b}while(0);rEa(a,i,j);f[l>>2]=0;f[l+4>>2]=0;F=YG(l,15)|0;G=401632;H=F+15|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));X=f[I>>2]|0;if(!X){ZG(l);f[l>>2]=0;Da=l+4|0;f[Da>>2]=0;Ea=YG(l,35)|0;F=Ea;G=401648;H=F+35|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,911)}P=f[l>>2]|0;W=(P|0)==0?1163146:P;R=X;while(1){Z=f[R+16>>2]|0;if((P|0)==(Z|0)){ja=1048;break}$=(Z|0)==0?1163146:Z;if((o7b(W,$)|0)<0)Fa=R;else{if((o7b($,W)|0)>=0){ja=1052;break}Fa=R+4|0}R=f[Fa>>2]|0;if(!R){ja=1050;break}}if((ja|0)==1048)ZG(l);else if((ja|0)==1050){ZG(l);f[l>>2]=0;Da=l+4|0;f[Da>>2]=0;Ea=YG(l,35)|0;F=Ea;G=401648;H=F+35|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,911)}else if((ja|0)==1052)ZG(l);R=(f[B>>2]|0)+8|0;ZG(R);W=YG(R,5)|0;b[W>>0]=b[467672]|0;b[W+1>>0]=b[467673]|0;b[W+2>>0]=b[467674]|0;b[W+3>>0]=b[467675]|0;b[W+4>>0]=b[467676]|0;f[l>>2]=0;f[l+4>>2]=0;W=YG(l,5)|0;b[W>>0]=b[472087]|0;b[W+1>>0]=b[472088]|0;b[W+2>>0]=b[472089]|0;b[W+3>>0]=b[472090]|0;b[W+4>>0]=b[472091]|0;f[o>>2]=0;f[o+4>>2]=0;F=YG(o,15)|0;G=401632;H=F+15|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));Ga=+eEa(dDa(i,o)|0,-1);n[m>>2]=Ga;LCa(C,l,m)|0;ZG(o);ZG(l);W=f[a+68>>2]|0;R=W+60|0;P=f[R>>2]|0;if((P|0)==(f[W+64>>2]|0)){qEa(W+56|0,k);break b}W=f[k>>2]|0;f[P>>2]=W;f[P+4>>2]=f[B>>2];if(!W)Ha=P;else{P=W+4|0;f[P>>2]=(f[P>>2]|0)+1;Ha=f[R>>2]|0}f[R>>2]=Ha+8;break b}while(0);rEa(a,i,j);R=f[h>>2]|0;c:do if((R|0)==446049)ja=1014;else{P=(R|0)==0?1163146:R;if(!(o7b(P,446049)|0)){ja=1014;break}do if((R|0)!=401611){if(!(o7b(P,401611)|0))break;if((R|0)!=467672?o7b(P,467672)|0:0)break c;f[m>>2]=0;f[m+4>>2]=0;W=YG(m,3)|0;b[W>>0]=b[401616]|0;b[W+1>>0]=b[401617]|0;b[W+2>>0]=b[401618]|0;W=f[I>>2]|0;do if(!W)Ia=1.0;else{X=f[m>>2]|0;$=(X|0)==0?1163146:X;Z=I;S=W;d:while(1){aa=S;while(1){ca=f[aa+16>>2]|0;if((ca|0)==(X|0))break;if((o7b((ca|0)==0?1163146:ca,$)|0)>=0)break;ca=f[aa+4>>2]|0;if(!ca){Ja=Z;break d}else aa=ca}S=f[aa>>2]|0;if(!S){Ja=aa;break}else Z=aa}if((Ja|0)==(I|0)){Ia=1.0;break}Z=f[Ja+16>>2]|0;if((X|0)!=(Z|0)?(o7b($,(Z|0)==0?1163146:Z)|0)<=-1:0){Ia=1.0;break}Ia=+eEa(Ja+24|0,-1)}while(0);n[l>>2]=Ia;ZG(m);break c}while(0);n[l>>2]=.5}while(0);if((ja|0)==1014)n[l>>2]=2.0;R=(f[B>>2]|0)+8|0;ZG(R);P=YG(R,5)|0;b[P>>0]=b[467672]|0;b[P+1>>0]=b[467673]|0;b[P+2>>0]=b[467674]|0;b[P+3>>0]=b[467675]|0;b[P+4>>0]=b[467676]|0;f[m>>2]=0;f[m+4>>2]=0;P=YG(m,5)|0;b[P>>0]=b[472081]|0;b[P+1>>0]=b[472082]|0;b[P+2>>0]=b[472083]|0;b[P+3>>0]=b[472084]|0;b[P+4>>0]=b[472085]|0;LCa(C,m,l)|0;ZG(m);P=f[a+68>>2]|0;R=P+60|0;W=f[R>>2]|0;if((W|0)==(f[P+64>>2]|0))qEa(P+56|0,k);else{P=f[k>>2]|0;f[W>>2]=P;f[W+4>>2]=f[B>>2];if(!P)Ka=W;else{W=P+4|0;f[W>>2]=(f[W>>2]|0)+1;Ka=f[R>>2]|0}f[R>>2]=Ka+8}break b}while(0);R=(f[B>>2]|0)+8|0;ZG(R);W=YG(R,3)|0;b[W>>0]=b[442704]|0;b[W+1>>0]=b[442705]|0;b[W+2>>0]=b[442706]|0;rEa(a,i,j);f[l>>2]=0;f[l+4>>2]=0;W=YG(l,5)|0;b[W>>0]=b[448026]|0;b[W+1>>0]=b[448027]|0;b[W+2>>0]=b[448028]|0;b[W+3>>0]=b[448029]|0;b[W+4>>0]=b[448030]|0;W=f[I>>2]|0;if(!W){ZG(l);f[l>>2]=0;La=l+4|0;f[La>>2]=0;Ma=YG(l,25)|0;F=Ma;G=401538;H=F+25|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,881)}R=f[l>>2]|0;P=(R|0)==0?1163146:R;_=W;while(1){Z=f[_+16>>2]|0;if((R|0)==(Z|0)){ja=959;break}S=(Z|0)==0?1163146:Z;if((o7b(P,S)|0)<0)Na=_;else{if((o7b(S,P)|0)>=0){ja=963;break}Na=_+4|0}_=f[Na>>2]|0;if(!_){ja=961;break}}if((ja|0)==959)ZG(l);else if((ja|0)==961){ZG(l);f[l>>2]=0;La=l+4|0;f[La>>2]=0;Ma=YG(l,25)|0;F=Ma;G=401538;H=F+25|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,881)}else if((ja|0)==963)ZG(l);f[l>>2]=0;f[l+4>>2]=0;_=YG(l,4)|0;b[_>>0]=98;b[_+1>>0]=101;b[_+2>>0]=116;b[_+3>>0]=97;_=f[I>>2]|0;if(!_){ZG(l);f[l>>2]=0;Oa=l+4|0;f[Oa>>2]=0;Pa=YG(l,24)|0;F=Pa;G=401564;H=F+24|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,882)}P=f[l>>2]|0;R=(P|0)==0?1163146:P;W=_;while(1){S=f[W+16>>2]|0;if((P|0)==(S|0)){ja=972;break}Z=(S|0)==0?1163146:S;if((o7b(R,Z)|0)<0)Qa=W;else{if((o7b(Z,R)|0)>=0){ja=976;break}Qa=W+4|0}W=f[Qa>>2]|0;if(!W){ja=974;break}}if((ja|0)==972)ZG(l);else if((ja|0)==974){ZG(l);f[l>>2]=0;Oa=l+4|0;f[Oa>>2]=0;Pa=YG(l,24)|0;F=Pa;G=401564;H=F+24|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,882)}else if((ja|0)==976)ZG(l);f[l>>2]=0;f[l+4>>2]=0;W=YG(l,1)|0;b[W>>0]=107;W=f[I>>2]|0;if(!W){ZG(l);f[l>>2]=0;Ra=l+4|0;f[Ra>>2]=0;Sa=YG(l,21)|0;F=Sa;G=401589;H=F+21|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,883)}R=f[l>>2]|0;P=(R|0)==0?1163146:R;_=W;while(1){Z=f[_+16>>2]|0;if((R|0)==(Z|0)){ja=985;break}S=(Z|0)==0?1163146:Z;if((o7b(P,S)|0)<0)Ta=_;else{if((o7b(S,P)|0)>=0){ja=989;break}Ta=_+4|0}_=f[Ta>>2]|0;if(!_){ja=987;break}}if((ja|0)==985)ZG(l);else if((ja|0)==987){ZG(l);f[l>>2]=0;Ra=l+4|0;f[Ra>>2]=0;Sa=YG(l,21)|0;F=Sa;G=401589;H=F+21|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,883)}else if((ja|0)==989)ZG(l);f[l>>2]=0;f[l+4>>2]=0;_=YG(l,4)|0;b[_>>0]=115;b[_+1>>0]=105;b[_+2>>0]=122;b[_+3>>0]=101;_=f[I>>2]|0;if(!_){ZG(l);f[l>>2]=0;Ua=l+4|0;f[Ua>>2]=0;Va=YG(l,24)|0;F=Va;G=400382;H=F+24|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,884)}P=f[l>>2]|0;R=(P|0)==0?1163146:P;W=_;while(1){S=f[W+16>>2]|0;if((P|0)==(S|0)){ja=998;break}Z=(S|0)==0?1163146:S;if((o7b(R,Z)|0)<0)Wa=W;else{if((o7b(Z,R)|0)>=0){ja=1002;break}Wa=W+4|0}W=f[Wa>>2]|0;if(!W){ja=1e3;break}}if((ja|0)==998)ZG(l);else if((ja|0)==1e3){ZG(l);f[l>>2]=0;Ua=l+4|0;f[Ua>>2]=0;Va=YG(l,24)|0;F=Va;G=400382;H=F+24|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,884)}else if((ja|0)==1002)ZG(l);f[l>>2]=0;f[l+4>>2]=0;F=YG(l,11)|0;G=447804;H=F+11|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));uEa(C,l,447816)|0;ZG(l);f[l>>2]=0;f[l+4>>2]=0;W=YG(l,5)|0;b[W>>0]=b[448026]|0;b[W+1>>0]=b[448027]|0;b[W+2>>0]=b[448028]|0;b[W+3>>0]=b[448029]|0;b[W+4>>0]=b[448030]|0;f[o>>2]=0;f[o+4>>2]=0;W=YG(o,5)|0;b[W>>0]=b[448026]|0;b[W+1>>0]=b[448027]|0;b[W+2>>0]=b[448028]|0;b[W+3>>0]=b[448029]|0;b[W+4>>0]=b[448030]|0;Ga=+eEa(dDa(i,o)|0,-1);n[m>>2]=Ga;LCa(C,l,m)|0;ZG(o);ZG(l);f[l>>2]=0;f[l+4>>2]=0;W=YG(l,4)|0;b[W>>0]=98;b[W+1>>0]=101;b[W+2>>0]=116;b[W+3>>0]=97;f[o>>2]=0;f[o+4>>2]=0;W=YG(o,4)|0;b[W>>0]=98;b[W+1>>0]=101;b[W+2>>0]=116;b[W+3>>0]=97;Ga=+eEa(dDa(i,o)|0,-1);n[m>>2]=Ga;LCa(C,l,m)|0;ZG(o);ZG(l);f[l>>2]=0;f[l+4>>2]=0;W=YG(l,4)|0;b[W>>0]=98;b[W+1>>0]=105;b[W+2>>0]=97;b[W+3>>0]=115;f[o>>2]=0;f[o+4>>2]=0;W=YG(o,1)|0;b[W>>0]=107;Ga=+eEa(dDa(i,o)|0,-1);n[m>>2]=Ga;LCa(C,l,m)|0;ZG(o);ZG(l);f[l>>2]=0;f[l+4>>2]=0;F=YG(l,10)|0;G=447956;H=F+10|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));f[o>>2]=0;f[o+4>>2]=0;W=YG(o,4)|0;b[W>>0]=115;b[W+1>>0]=105;b[W+2>>0]=122;b[W+3>>0]=101;W=rCa(dDa(i,o)|0,-1)|0;f[m>>2]=W;KCa(C,l,m)|0;ZG(o);ZG(l);f[l>>2]=0;f[l+4>>2]=0;F=YG(l,12)|0;G=448032;H=F+12|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));b[m>>0]=1;TCa(C,l,m)|0;ZG(l);W=f[a+68>>2]|0;R=W+60|0;P=f[R>>2]|0;if((P|0)==(f[W+64>>2]|0)){qEa(W+56|0,k);break b}W=f[k>>2]|0;f[P>>2]=W;f[P+4>>2]=f[B>>2];if(!W)Xa=P;else{P=W+4|0;f[P>>2]=(f[P>>2]|0)+1;Xa=f[R>>2]|0}f[R>>2]=Xa+8;break b}while(0);R=(f[B>>2]|0)+8|0;ZG(R);P=YG(R,7)|0;b[P>>0]=b[401500]|0;b[P+1>>0]=b[401501]|0;b[P+2>>0]=b[401502]|0;b[P+3>>0]=b[401503]|0;b[P+4>>0]=b[401504]|0;b[P+5>>0]=b[401505]|0;b[P+6>>0]=b[401506]|0;f[l>>2]=0;f[l+4>>2]=0;F=YG(l,11)|0;G=465110;H=F+11|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));b[m>>0]=1;TCa(C,l,m)|0;ZG(l);P=f[a+68>>2]|0;R=P+60|0;W=f[R>>2]|0;if((W|0)==(f[P+64>>2]|0)){qEa(P+56|0,k);break b}P=f[k>>2]|0;f[W>>2]=P;f[W+4>>2]=f[B>>2];if(!P)Ya=W;else{W=P+4|0;f[W>>2]=(f[W>>2]|0)+1;Ya=f[R>>2]|0}f[R>>2]=Ya+8;break b}while(0);R=(f[B>>2]|0)+8|0;ZG(R);W=YG(R,7)|0;b[W>>0]=b[401500]|0;b[W+1>>0]=b[401501]|0;b[W+2>>0]=b[401502]|0;b[W+3>>0]=b[401503]|0;b[W+4>>0]=b[401504]|0;b[W+5>>0]=b[401505]|0;b[W+6>>0]=b[401506]|0;W=f[a+68>>2]|0;R=W+60|0;P=f[R>>2]|0;if((P|0)==(f[W+64>>2]|0)){qEa(W+56|0,k);break b}W=f[k>>2]|0;f[P>>2]=W;f[P+4>>2]=f[B>>2];if(!W)Za=P;else{P=W+4|0;f[P>>2]=(f[P>>2]|0)+1;Za=f[R>>2]|0}f[R>>2]=Za+8;break b}while(0);rEa(a,i,j);f[l>>2]=0;f[l+4>>2]=0;R=YG(l,7)|0;b[R>>0]=b[400310]|0;b[R+1>>0]=b[400311]|0;b[R+2>>0]=b[400312]|0;b[R+3>>0]=b[400313]|0;b[R+4>>0]=b[400314]|0;b[R+5>>0]=b[400315]|0;b[R+6>>0]=b[400316]|0;R=f[N>>2]|0;e:do if(!R)_a=0;else{P=f[l>>2]|0;W=(P|0)==0?1163146:P;_=R;while(1){Z=f[_+16>>2]|0;if((P|0)==(Z|0)){_a=1;break e}S=(Z|0)==0?1163146:Z;if((o7b(W,S)|0)<0)$a=_;else{if((o7b(S,W)|0)>=0){_a=1;break e}$a=_+4|0}_=f[$a>>2]|0;if(!_){_a=0;break}}}while(0);ZG(l);if(!_a){f[l>>2]=0;f[l+4>>2]=0;F=YG(l,29)|0;G=401470;H=F+29|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,860)}f[l>>2]=0;f[l+4>>2]=0;F=YG(l,15)|0;G=400294;H=F+15|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));f[m>>2]=0;f[m+4>>2]=0;R=YG(m,7)|0;b[R>>0]=b[400310]|0;b[R+1>>0]=b[400311]|0;b[R+2>>0]=b[400312]|0;b[R+3>>0]=b[400313]|0;b[R+4>>0]=b[400314]|0;b[R+5>>0]=b[400315]|0;b[R+6>>0]=b[400316]|0;KCa(C,l,sEa(j,m)|0)|0;ZG(m);ZG(l);R=f[a+68>>2]|0;_=R+60|0;W=f[_>>2]|0;if((W|0)==(f[R+64>>2]|0)){qEa(R+56|0,k);break b}R=f[k>>2]|0;f[W>>2]=R;f[W+4>>2]=f[B>>2];if(!R)ab=W;else{W=R+4|0;f[W>>2]=(f[W>>2]|0)+1;ab=f[_>>2]|0}f[_>>2]=ab+8;break b}while(0);rEa(a,i,j);_=(f[B>>2]|0)+8|0;ZG(_);F=YG(_,13)|0;G=442666;H=F+13|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));f[l>>2]=0;f[l+4>>2]=0;_=YG(l,4)|0;b[_>>0]=112;b[_+1>>0]=97;b[_+2>>0]=100;b[_+3>>0]=87;_=f[I>>2]|0;if(!_){ZG(l);f[l>>2]=0;bb=l+4|0;f[bb>>2]=0;cb=YG(l,241)|0;Krc(cb|0,401208,241)|0;SQ(-215,l,400173,399848,836)}W=f[l>>2]|0;R=(W|0)==0?1163146:W;P=_;while(1){_=f[P+16>>2]|0;if((W|0)==(_|0))break;S=(_|0)==0?1163146:_;if((o7b(R,S)|0)<0)db=P;else{if((o7b(S,R)|0)>=0)break;db=P+4|0}P=f[db>>2]|0;if(!P){ja=876;break}}if((ja|0)==876){ZG(l);f[l>>2]=0;bb=l+4|0;f[bb>>2]=0;cb=YG(l,241)|0;Krc(cb|0,401208,241)|0;SQ(-215,l,400173,399848,836)}f[m>>2]=0;f[m+4>>2]=0;P=YG(m,4)|0;b[P>>0]=112;b[P+1>>0]=97;b[P+2>>0]=100;b[P+3>>0]=72;P=f[I>>2]|0;if(!P){ZG(m);ZG(l);f[l>>2]=0;bb=l+4|0;f[bb>>2]=0;cb=YG(l,241)|0;Krc(cb|0,401208,241)|0;SQ(-215,l,400173,399848,836)}R=f[m>>2]|0;W=(R|0)==0?1163146:R;S=P;while(1){P=f[S+16>>2]|0;if((R|0)==(P|0))break;_=(P|0)==0?1163146:P;if((o7b(W,_)|0)<0)eb=S;else{if((o7b(_,W)|0)>=0)break;eb=S+4|0}S=f[eb>>2]|0;if(!S){ja=878;break}}if((ja|0)==878){ZG(m);ZG(l);f[l>>2]=0;bb=l+4|0;f[bb>>2]=0;cb=YG(l,241)|0;Krc(cb|0,401208,241)|0;SQ(-215,l,400173,399848,836)}f[o>>2]=0;f[o+4>>2]=0;S=YG(o,2)|0;b[S>>0]=100;b[S+1>>0]=87;S=f[I>>2]|0;if(!S){ZG(o);ZG(m);ZG(l);f[l>>2]=0;bb=l+4|0;f[bb>>2]=0;cb=YG(l,241)|0;Krc(cb|0,401208,241)|0;SQ(-215,l,400173,399848,836)}W=f[o>>2]|0;R=(W|0)==0?1163146:W;_=S;while(1){S=f[_+16>>2]|0;if((W|0)==(S|0))break;P=(S|0)==0?1163146:S;if((o7b(R,P)|0)<0)fb=_;else{if((o7b(P,R)|0)>=0)break;fb=_+4|0}_=f[fb>>2]|0;if(!_){ja=880;break}}if((ja|0)==880){ZG(o);ZG(m);ZG(l);f[l>>2]=0;bb=l+4|0;f[bb>>2]=0;cb=YG(l,241)|0;Krc(cb|0,401208,241)|0;SQ(-215,l,400173,399848,836)}f[q>>2]=0;f[q+4>>2]=0;_=YG(q,2)|0;b[_>>0]=100;b[_+1>>0]=72;_=f[I>>2]|0;if(!_){ZG(q);ZG(o);ZG(m);ZG(l);f[l>>2]=0;bb=l+4|0;f[bb>>2]=0;cb=YG(l,241)|0;Krc(cb|0,401208,241)|0;SQ(-215,l,400173,399848,836)}R=f[q>>2]|0;W=(R|0)==0?1163146:R;P=_;while(1){_=f[P+16>>2]|0;if((R|0)==(_|0))break;S=(_|0)==0?1163146:_;if((o7b(W,S)|0)<0)gb=P;else{if((o7b(S,W)|0)>=0)break;gb=P+4|0}P=f[gb>>2]|0;if(!P){ja=882;break}}if((ja|0)==882){ZG(q);ZG(o);ZG(m);ZG(l);f[l>>2]=0;bb=l+4|0;f[bb>>2]=0;cb=YG(l,241)|0;Krc(cb|0,401208,241)|0;SQ(-215,l,400173,399848,836)}f[s>>2]=0;f[s+4>>2]=0;P=YG(s,4)|0;b[P>>0]=97;b[P+1>>0]=100;b[P+2>>0]=106;b[P+3>>0]=87;P=f[I>>2]|0;if(!P){ZG(s);ZG(q);ZG(o);ZG(m);ZG(l);f[l>>2]=0;bb=l+4|0;f[bb>>2]=0;cb=YG(l,241)|0;Krc(cb|0,401208,241)|0;SQ(-215,l,400173,399848,836)}W=f[s>>2]|0;R=(W|0)==0?1163146:W;S=P;while(1){P=f[S+16>>2]|0;if((W|0)==(P|0))break;_=(P|0)==0?1163146:P;if((o7b(R,_)|0)<0)hb=S;else{if((o7b(_,R)|0)>=0)break;hb=S+4|0}S=f[hb>>2]|0;if(!S){ja=884;break}}if((ja|0)==884){ZG(s);ZG(q);ZG(o);ZG(m);ZG(l);f[l>>2]=0;bb=l+4|0;f[bb>>2]=0;cb=YG(l,241)|0;Krc(cb|0,401208,241)|0;SQ(-215,l,400173,399848,836)}f[v>>2]=0;f[v+4>>2]=0;S=YG(v,4)|0;b[S>>0]=97;b[S+1>>0]=100;b[S+2>>0]=106;b[S+3>>0]=72;S=f[I>>2]|0;f:do if(!S)ib=0;else{R=f[v>>2]|0;W=(R|0)==0?1163146:R;_=S;while(1){P=f[_+16>>2]|0;if((R|0)==(P|0))break;Z=(P|0)==0?1163146:P;if((o7b(W,Z)|0)<0)jb=_;else{if((o7b(Z,W)|0)>=0)break;jb=_+4|0}_=f[jb>>2]|0;if(!_){ib=0;break f}}f[w>>2]=0;f[w+4>>2]=0;_=YG(w,2)|0;b[_>>0]=107;b[_+1>>0]=87;_=f[I>>2]|0;g:do if(!_)kb=0;else{W=f[w>>2]|0;R=(W|0)==0?1163146:W;Z=_;while(1){P=f[Z+16>>2]|0;if((W|0)==(P|0))break;ca=(P|0)==0?1163146:P;if((o7b(R,ca)|0)<0)lb=Z;else{if((o7b(ca,R)|0)>=0)break;lb=Z+4|0}Z=f[lb>>2]|0;if(!Z){kb=0;break g}}f[x>>2]=0;f[x+4>>2]=0;Z=YG(x,2)|0;b[Z>>0]=107;b[Z+1>>0]=72;Z=f[I>>2]|0;h:do if(!Z)mb=0;else{R=f[x>>2]|0;W=(R|0)==0?1163146:R;ca=Z;while(1){P=f[ca+16>>2]|0;if((R|0)==(P|0))break;ba=(P|0)==0?1163146:P;if((o7b(W,ba)|0)<0)nb=ca;else{if((o7b(ba,W)|0)>=0)break;nb=ca+4|0}ca=f[nb>>2]|0;if(!ca){mb=0;break h}}f[y>>2]=0;f[y+4>>2]=0;F=YG(y,12)|0;G=400189;H=F+12|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));ca=f[I>>2]|0;i:do if(!ca)ob=0;else{W=f[y>>2]|0;R=(W|0)==0?1163146:W;ba=ca;while(1){P=f[ba+16>>2]|0;if((W|0)==(P|0)){ob=1;break i}pb=(P|0)==0?1163146:P;if((o7b(R,pb)|0)<0)qb=ba;else{if((o7b(pb,R)|0)>=0){ob=1;break i}qb=ba+4|0}ba=f[qb>>2]|0;if(!ba){ob=0;break}}}while(0);ZG(y);mb=ob}while(0);ZG(x);kb=mb}while(0);ZG(w);ib=kb}while(0);ZG(v);ZG(s);ZG(q);ZG(o);ZG(m);ZG(l);if(!ib){f[l>>2]=0;bb=l+4|0;f[bb>>2]=0;cb=YG(l,241)|0;Krc(cb|0,401208,241)|0;SQ(-215,l,400173,399848,836)}f[l>>2]=0;f[l+4>>2]=0;S=YG(l,8)|0;_=S;b[_>>0]=107;b[_+1>>0]=101;b[_+2>>0]=114;b[_+3>>0]=110;_=S+4|0;b[_>>0]=101;b[_+1>>0]=108;b[_+2>>0]=95;b[_+3>>0]=119;f[o>>2]=0;f[o+4>>2]=0;_=YG(o,2)|0;b[_>>0]=107;b[_+1>>0]=87;_=~~+eEa(dDa(i,o)|0,-1);f[m>>2]=_;KCa(C,l,m)|0;ZG(o);ZG(l);f[l>>2]=0;f[l+4>>2]=0;_=YG(l,8)|0;S=_;b[S>>0]=107;b[S+1>>0]=101;b[S+2>>0]=114;b[S+3>>0]=110;S=_+4|0;b[S>>0]=101;b[S+1>>0]=108;b[S+2>>0]=95;b[S+3>>0]=104;f[o>>2]=0;f[o+4>>2]=0;S=YG(o,2)|0;b[S>>0]=107;b[S+1>>0]=72;S=~~+eEa(dDa(i,o)|0,-1);f[m>>2]=S;KCa(C,l,m)|0;ZG(o);ZG(l);f[l>>2]=0;f[l+4>>2]=0;S=YG(l,5)|0;b[S>>0]=b[401151]|0;b[S+1>>0]=b[401152]|0;b[S+2>>0]=b[401153]|0;b[S+3>>0]=b[401154]|0;b[S+4>>0]=b[401155]|0;f[o>>2]=0;f[o+4>>2]=0;S=YG(o,4)|0;b[S>>0]=112;b[S+1>>0]=97;b[S+2>>0]=100;b[S+3>>0]=87;S=~~+eEa(dDa(i,o)|0,-1);f[m>>2]=S;KCa(C,l,m)|0;ZG(o);ZG(l);f[l>>2]=0;f[l+4>>2]=0;S=YG(l,5)|0;b[S>>0]=b[401157]|0;b[S+1>>0]=b[401158]|0;b[S+2>>0]=b[401159]|0;b[S+3>>0]=b[401160]|0;b[S+4>>0]=b[401161]|0;f[o>>2]=0;f[o+4>>2]=0;S=YG(o,4)|0;b[S>>0]=112;b[S+1>>0]=97;b[S+2>>0]=100;b[S+3>>0]=72;S=~~+eEa(dDa(i,o)|0,-1);f[m>>2]=S;KCa(C,l,m)|0;ZG(o);ZG(l);f[l>>2]=0;f[l+4>>2]=0;S=YG(l,8)|0;_=S;b[_>>0]=115;b[_+1>>0]=116;b[_+2>>0]=114;b[_+3>>0]=105;_=S+4|0;b[_>>0]=100;b[_+1>>0]=101;b[_+2>>0]=95;b[_+3>>0]=119;f[o>>2]=0;f[o+4>>2]=0;_=YG(o,2)|0;b[_>>0]=100;b[_+1>>0]=87;_=~~+eEa(dDa(i,o)|0,-1);f[m>>2]=_;KCa(C,l,m)|0;ZG(o);ZG(l);f[l>>2]=0;f[l+4>>2]=0;_=YG(l,8)|0;S=_;b[S>>0]=115;b[S+1>>0]=116;b[S+2>>0]=114;b[S+3>>0]=105;S=_+4|0;b[S>>0]=100;b[S+1>>0]=101;b[S+2>>0]=95;b[S+3>>0]=104;f[o>>2]=0;f[o+4>>2]=0;S=YG(o,2)|0;b[S>>0]=100;b[S+1>>0]=72;S=~~+eEa(dDa(i,o)|0,-1);f[m>>2]=S;KCa(C,l,m)|0;ZG(o);ZG(l);f[l>>2]=0;f[l+4>>2]=0;S=YG(l,5)|0;b[S>>0]=b[451213]|0;b[S+1>>0]=b[451214]|0;b[S+2>>0]=b[451215]|0;b[S+3>>0]=b[451216]|0;b[S+4>>0]=b[451217]|0;f[o>>2]=0;f[o+4>>2]=0;S=YG(o,4)|0;b[S>>0]=97;b[S+1>>0]=100;b[S+2>>0]=106;b[S+3>>0]=87;S=~~+eEa(dDa(i,o)|0,-1);f[m>>2]=S;KCa(C,l,m)|0;ZG(o);ZG(l);f[l>>2]=0;f[l+4>>2]=0;S=YG(l,5)|0;b[S>>0]=b[451207]|0;b[S+1>>0]=b[451208]|0;b[S+2>>0]=b[451209]|0;b[S+3>>0]=b[451210]|0;b[S+4>>0]=b[451211]|0;f[o>>2]=0;f[o+4>>2]=0;S=YG(o,4)|0;b[S>>0]=97;b[S+1>>0]=100;b[S+2>>0]=106;b[S+3>>0]=72;S=~~+eEa(dDa(i,o)|0,-1);f[m>>2]=S;KCa(C,l,m)|0;ZG(o);ZG(l);f[l>>2]=0;f[l+4>>2]=0;F=YG(l,10)|0;G=459141;H=F+10|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));f[o>>2]=0;f[o+4>>2]=0;F=YG(o,12)|0;G=400189;H=F+12|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));S=~~+eEa(dDa(i,o)|0,-1);f[m>>2]=S;KCa(C,l,m)|0;ZG(o);ZG(l);S=D+28|0;f[l>>2]=0;f[l+4>>2]=0;_=YG(l,6)|0;b[_>>0]=b[400137]|0;b[_+1>>0]=b[400138]|0;b[_+2>>0]=b[400139]|0;b[_+3>>0]=b[400140]|0;b[_+4>>0]=b[400141]|0;b[_+5>>0]=b[400142]|0;_=sEa(j,l)|0;Z=_+4|0;ca=D+32|0;ba=f[ca>>2]|0;R=D+36|0;if((ba|0)==(f[R>>2]|0))g2(S,Z);else{f[ba>>2]=f[Z>>2];W=ba+4|0;pb=_+8|0;f[W>>2]=f[pb>>2];P=ba+8|0;f[P>>2]=f[_+12>>2];f[ba+12>>2]=f[_+16>>2];f[ba+16>>2]=f[_+20>>2];f[ba+20>>2]=f[_+24>>2];f[ba+24>>2]=f[_+28>>2];f[ba+28>>2]=f[_+32>>2];f[ba+32>>2]=f[_+36>>2];rb=f[_+40>>2]|0;f[ba+36>>2]=rb;f[ba+40>>2]=P;P=ba+48|0;sb=ba+44|0;f[sb>>2]=P;f[P>>2]=0;f[ba+52>>2]=0;if(rb|0){P=rb+12|0;f[P>>2]=(f[P>>2]|0)+1}if((f[pb>>2]|0)<3){pb=f[_+48>>2]|0;_=f[sb>>2]|0;f[_>>2]=f[pb>>2];f[_+4>>2]=f[pb+4>>2]}else{f[W>>2]=0;kP(ba,Z)}f[ca>>2]=(f[ca>>2]|0)+56}ZG(l);f[m>>2]=0;f[m+4>>2]=0;Z=YG(m,4)|0;b[Z>>0]=98;b[Z+1>>0]=105;b[Z+2>>0]=97;b[Z+3>>0]=115;Z=f[N>>2]|0;j:do if(!Z)tb=0;else{ba=f[m>>2]|0;W=(ba|0)==0?1163146:ba;pb=Z;while(1){_=f[pb+16>>2]|0;if((ba|0)==(_|0)){tb=1;break j}sb=(_|0)==0?1163146:_;if((o7b(W,sb)|0)<0)ub=pb;else{if((o7b(sb,W)|0)>=0){tb=1;break j}ub=pb+4|0}pb=f[ub>>2]|0;if(!pb){tb=0;break}}}while(0);ZG(m);b[l>>0]=tb;f[m>>2]=0;f[m+4>>2]=0;F=YG(m,9)|0;G=468376;H=F+9|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));TCa(C,m,l)|0;ZG(m);if(b[l>>0]|0){f[m>>2]=0;f[m+4>>2]=0;Z=YG(m,4)|0;b[Z>>0]=98;b[Z+1>>0]=105;b[Z+2>>0]=97;b[Z+3>>0]=115;Z=sEa(j,m)|0;pb=Z+4|0;W=f[ca>>2]|0;if((W|0)==(f[R>>2]|0))g2(S,pb);else{f[W>>2]=f[pb>>2];ba=W+4|0;sb=Z+8|0;f[ba>>2]=f[sb>>2];_=W+8|0;f[_>>2]=f[Z+12>>2];f[W+12>>2]=f[Z+16>>2];f[W+16>>2]=f[Z+20>>2];f[W+20>>2]=f[Z+24>>2];f[W+24>>2]=f[Z+28>>2];f[W+28>>2]=f[Z+32>>2];f[W+32>>2]=f[Z+36>>2];P=f[Z+40>>2]|0;f[W+36>>2]=P;f[W+40>>2]=_;_=W+48|0;rb=W+44|0;f[rb>>2]=_;f[_>>2]=0;f[W+52>>2]=0;if(P|0){_=P+12|0;f[_>>2]=(f[_>>2]|0)+1}if((f[sb>>2]|0)<3){sb=f[Z+48>>2]|0;Z=f[rb>>2]|0;f[Z>>2]=f[sb>>2];f[Z+4>>2]=f[sb+4>>2]}else{f[ba>>2]=0;kP(W,pb)}f[ca>>2]=(f[ca>>2]|0)+56}ZG(m)}pb=f[a+68>>2]|0;W=pb+60|0;ba=f[W>>2]|0;if((ba|0)==(f[pb+64>>2]|0))qEa(pb+56|0,k);else{pb=f[k>>2]|0;f[ba>>2]=pb;f[ba+4>>2]=f[B>>2];if(!pb)vb=ba;else{ba=pb+4|0;f[ba>>2]=(f[ba>>2]|0)+1;vb=f[W>>2]|0}f[W>>2]=vb+8}break b}while(0);rEa(a,i,j);W=(f[B>>2]|0)+8|0;ZG(W);F=YG(W,11)|0;G=444072;H=F+11|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));f[l>>2]=0;f[l+4>>2]=0;W=YG(l,4)|0;b[W>>0]=112;b[W+1>>0]=97;b[W+2>>0]=100;b[W+3>>0]=87;W=f[I>>2]|0;if(!W){ZG(l);f[l>>2]=0;wb=l+4|0;f[wb>>2]=0;xb=YG(l,251)|0;Krc(xb|0,400899,251)|0;SQ(-215,l,400173,399848,803)}ba=f[l>>2]|0;pb=(ba|0)==0?1163146:ba;sb=W;while(1){W=f[sb+16>>2]|0;if((ba|0)==(W|0))break;Z=(W|0)==0?1163146:W;if((o7b(pb,Z)|0)<0)yb=sb;else{if((o7b(Z,pb)|0)>=0)break;yb=sb+4|0}sb=f[yb>>2]|0;if(!sb){ja=755;break}}if((ja|0)==755){ZG(l);f[l>>2]=0;wb=l+4|0;f[wb>>2]=0;xb=YG(l,251)|0;Krc(xb|0,400899,251)|0;SQ(-215,l,400173,399848,803)}f[m>>2]=0;f[m+4>>2]=0;sb=YG(m,4)|0;b[sb>>0]=112;b[sb+1>>0]=97;b[sb+2>>0]=100;b[sb+3>>0]=72;sb=f[I>>2]|0;if(!sb){ZG(m);ZG(l);f[l>>2]=0;wb=l+4|0;f[wb>>2]=0;xb=YG(l,251)|0;Krc(xb|0,400899,251)|0;SQ(-215,l,400173,399848,803)}pb=f[m>>2]|0;ba=(pb|0)==0?1163146:pb;Z=sb;while(1){sb=f[Z+16>>2]|0;if((pb|0)==(sb|0))break;W=(sb|0)==0?1163146:sb;if((o7b(ba,W)|0)<0)zb=Z;else{if((o7b(W,ba)|0)>=0)break;zb=Z+4|0}Z=f[zb>>2]|0;if(!Z){ja=757;break}}if((ja|0)==757){ZG(m);ZG(l);f[l>>2]=0;wb=l+4|0;f[wb>>2]=0;xb=YG(l,251)|0;Krc(xb|0,400899,251)|0;SQ(-215,l,400173,399848,803)}f[o>>2]=0;f[o+4>>2]=0;Z=YG(o,2)|0;b[Z>>0]=100;b[Z+1>>0]=87;Z=f[I>>2]|0;if(!Z){ZG(o);ZG(m);ZG(l);f[l>>2]=0;wb=l+4|0;f[wb>>2]=0;xb=YG(l,251)|0;Krc(xb|0,400899,251)|0;SQ(-215,l,400173,399848,803)}ba=f[o>>2]|0;pb=(ba|0)==0?1163146:ba;W=Z;while(1){Z=f[W+16>>2]|0;if((ba|0)==(Z|0))break;sb=(Z|0)==0?1163146:Z;if((o7b(pb,sb)|0)<0)Ab=W;else{if((o7b(sb,pb)|0)>=0)break;Ab=W+4|0}W=f[Ab>>2]|0;if(!W){ja=759;break}}if((ja|0)==759){ZG(o);ZG(m);ZG(l);f[l>>2]=0;wb=l+4|0;f[wb>>2]=0;xb=YG(l,251)|0;Krc(xb|0,400899,251)|0;SQ(-215,l,400173,399848,803)}f[q>>2]=0;f[q+4>>2]=0;W=YG(q,2)|0;b[W>>0]=100;b[W+1>>0]=72;W=f[I>>2]|0;if(!W){ZG(q);ZG(o);ZG(m);ZG(l);f[l>>2]=0;wb=l+4|0;f[wb>>2]=0;xb=YG(l,251)|0;Krc(xb|0,400899,251)|0;SQ(-215,l,400173,399848,803)}pb=f[q>>2]|0;ba=(pb|0)==0?1163146:pb;sb=W;while(1){W=f[sb+16>>2]|0;if((pb|0)==(W|0))break;Z=(W|0)==0?1163146:W;if((o7b(ba,Z)|0)<0)Bb=sb;else{if((o7b(Z,ba)|0)>=0)break;Bb=sb+4|0}sb=f[Bb>>2]|0;if(!sb){ja=761;break}}if((ja|0)==761){ZG(q);ZG(o);ZG(m);ZG(l);f[l>>2]=0;wb=l+4|0;f[wb>>2]=0;xb=YG(l,251)|0;Krc(xb|0,400899,251)|0;SQ(-215,l,400173,399848,803)}f[s>>2]=0;f[s+4>>2]=0;F=YG(s,9)|0;G=400879;H=F+9|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));sb=f[I>>2]|0;if(!sb){ZG(s);ZG(q);ZG(o);ZG(m);ZG(l);f[l>>2]=0;wb=l+4|0;f[wb>>2]=0;xb=YG(l,251)|0;Krc(xb|0,400899,251)|0;SQ(-215,l,400173,399848,803)}ba=f[s>>2]|0;pb=(ba|0)==0?1163146:ba;Z=sb;while(1){sb=f[Z+16>>2]|0;if((ba|0)==(sb|0))break;W=(sb|0)==0?1163146:sb;if((o7b(pb,W)|0)<0)Cb=Z;else{if((o7b(W,pb)|0)>=0)break;Cb=Z+4|0}Z=f[Cb>>2]|0;if(!Z){ja=763;break}}if((ja|0)==763){ZG(s);ZG(q);ZG(o);ZG(m);ZG(l);f[l>>2]=0;wb=l+4|0;f[wb>>2]=0;xb=YG(l,251)|0;Krc(xb|0,400899,251)|0;SQ(-215,l,400173,399848,803)}f[v>>2]=0;f[v+4>>2]=0;F=YG(v,9)|0;G=400889;H=F+9|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));Z=f[I>>2]|0;k:do if(!Z)Db=0;else{pb=f[v>>2]|0;ba=(pb|0)==0?1163146:pb;W=Z;while(1){sb=f[W+16>>2]|0;if((pb|0)==(sb|0))break;rb=(sb|0)==0?1163146:sb;if((o7b(ba,rb)|0)<0)Eb=W;else{if((o7b(rb,ba)|0)>=0)break;Eb=W+4|0}W=f[Eb>>2]|0;if(!W){Db=0;break k}}f[w>>2]=0;f[w+4>>2]=0;W=YG(w,2)|0;b[W>>0]=107;b[W+1>>0]=87;W=f[I>>2]|0;l:do if(!W)Fb=0;else{ba=f[w>>2]|0;pb=(ba|0)==0?1163146:ba;ca=W;while(1){S=f[ca+16>>2]|0;if((ba|0)==(S|0))break;R=(S|0)==0?1163146:S;if((o7b(pb,R)|0)<0)Gb=ca;else{if((o7b(R,pb)|0)>=0)break;Gb=ca+4|0}ca=f[Gb>>2]|0;if(!ca){Fb=0;break l}}f[x>>2]=0;f[x+4>>2]=0;ca=YG(x,2)|0;b[ca>>0]=107;b[ca+1>>0]=72;ca=f[I>>2]|0;m:do if(!ca)Hb=0;else{pb=f[x>>2]|0;ba=(pb|0)==0?1163146:pb;R=ca;while(1){S=f[R+16>>2]|0;if((pb|0)==(S|0))break;rb=(S|0)==0?1163146:S;if((o7b(ba,rb)|0)<0)Ib=R;else{if((o7b(rb,ba)|0)>=0)break;Ib=R+4|0}R=f[Ib>>2]|0;if(!R){Hb=0;break m}}f[y>>2]=0;f[y+4>>2]=0;F=YG(y,12)|0;G=400189;H=F+12|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));R=f[I>>2]|0;n:do if(!R)Jb=0;else{ba=f[y>>2]|0;pb=(ba|0)==0?1163146:ba;rb=R;while(1){S=f[rb+16>>2]|0;if((ba|0)==(S|0)){Jb=1;break n}sb=(S|0)==0?1163146:S;if((o7b(pb,sb)|0)<0)Kb=rb;else{if((o7b(sb,pb)|0)>=0){Jb=1;break n}Kb=rb+4|0}rb=f[Kb>>2]|0;if(!rb){Jb=0;break}}}while(0);ZG(y);Hb=Jb}while(0);ZG(x);Fb=Hb}while(0);ZG(w);Db=Fb}while(0);ZG(v);ZG(s);ZG(q);ZG(o);ZG(m);ZG(l);if(!Db){f[l>>2]=0;wb=l+4|0;f[wb>>2]=0;xb=YG(l,251)|0;Krc(xb|0,400899,251)|0;SQ(-215,l,400173,399848,803)}f[l>>2]=0;f[l+4>>2]=0;Z=YG(l,8)|0;W=Z;b[W>>0]=107;b[W+1>>0]=101;b[W+2>>0]=114;b[W+3>>0]=110;W=Z+4|0;b[W>>0]=101;b[W+1>>0]=108;b[W+2>>0]=95;b[W+3>>0]=119;f[o>>2]=0;f[o+4>>2]=0;W=YG(o,2)|0;b[W>>0]=107;b[W+1>>0]=87;W=~~+eEa(dDa(i,o)|0,-1);f[m>>2]=W;KCa(C,l,m)|0;ZG(o);ZG(l);f[l>>2]=0;f[l+4>>2]=0;W=YG(l,8)|0;Z=W;b[Z>>0]=107;b[Z+1>>0]=101;b[Z+2>>0]=114;b[Z+3>>0]=110;Z=W+4|0;b[Z>>0]=101;b[Z+1>>0]=108;b[Z+2>>0]=95;b[Z+3>>0]=104;f[o>>2]=0;f[o+4>>2]=0;Z=YG(o,2)|0;b[Z>>0]=107;b[Z+1>>0]=72;Z=~~+eEa(dDa(i,o)|0,-1);f[m>>2]=Z;KCa(C,l,m)|0;ZG(o);ZG(l);f[l>>2]=0;f[l+4>>2]=0;Z=YG(l,5)|0;b[Z>>0]=b[401151]|0;b[Z+1>>0]=b[401152]|0;b[Z+2>>0]=b[401153]|0;b[Z+3>>0]=b[401154]|0;b[Z+4>>0]=b[401155]|0;f[o>>2]=0;f[o+4>>2]=0;Z=YG(o,4)|0;b[Z>>0]=112;b[Z+1>>0]=97;b[Z+2>>0]=100;b[Z+3>>0]=87;Z=~~+eEa(dDa(i,o)|0,-1);f[m>>2]=Z;KCa(C,l,m)|0;ZG(o);ZG(l);f[l>>2]=0;f[l+4>>2]=0;Z=YG(l,5)|0;b[Z>>0]=b[401157]|0;b[Z+1>>0]=b[401158]|0;b[Z+2>>0]=b[401159]|0;b[Z+3>>0]=b[401160]|0;b[Z+4>>0]=b[401161]|0;f[o>>2]=0;f[o+4>>2]=0;Z=YG(o,4)|0;b[Z>>0]=112;b[Z+1>>0]=97;b[Z+2>>0]=100;b[Z+3>>0]=72;Z=~~+eEa(dDa(i,o)|0,-1);f[m>>2]=Z;KCa(C,l,m)|0;ZG(o);ZG(l);f[l>>2]=0;f[l+4>>2]=0;Z=YG(l,8)|0;W=Z;b[W>>0]=115;b[W+1>>0]=116;b[W+2>>0]=114;b[W+3>>0]=105;W=Z+4|0;b[W>>0]=100;b[W+1>>0]=101;b[W+2>>0]=95;b[W+3>>0]=119;f[o>>2]=0;f[o+4>>2]=0;W=YG(o,2)|0;b[W>>0]=100;b[W+1>>0]=87;W=~~+eEa(dDa(i,o)|0,-1);f[m>>2]=W;KCa(C,l,m)|0;ZG(o);ZG(l);f[l>>2]=0;f[l+4>>2]=0;W=YG(l,8)|0;Z=W;b[Z>>0]=115;b[Z+1>>0]=116;b[Z+2>>0]=114;b[Z+3>>0]=105;Z=W+4|0;b[Z>>0]=100;b[Z+1>>0]=101;b[Z+2>>0]=95;b[Z+3>>0]=104;f[o>>2]=0;f[o+4>>2]=0;Z=YG(o,2)|0;b[Z>>0]=100;b[Z+1>>0]=72;Z=~~+eEa(dDa(i,o)|0,-1);f[m>>2]=Z;KCa(C,l,m)|0;ZG(o);ZG(l);f[l>>2]=0;f[l+4>>2]=0;F=YG(l,10)|0;G=401163;H=F+10|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));f[o>>2]=0;f[o+4>>2]=0;F=YG(o,9)|0;G=400879;H=F+9|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));Z=~~+eEa(dDa(i,o)|0,-1);f[m>>2]=Z;KCa(C,l,m)|0;ZG(o);ZG(l);f[l>>2]=0;f[l+4>>2]=0;F=YG(l,10)|0;G=401174;H=F+10|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));f[o>>2]=0;f[o+4>>2]=0;F=YG(o,9)|0;G=400889;H=F+9|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));Z=~~+eEa(dDa(i,o)|0,-1);f[m>>2]=Z;KCa(C,l,m)|0;ZG(o);ZG(l);f[l>>2]=0;f[l+4>>2]=0;F=YG(l,10)|0;G=459141;H=F+10|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));f[o>>2]=0;f[o+4>>2]=0;F=YG(o,12)|0;G=400189;H=F+12|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));Z=~~+eEa(dDa(i,o)|0,-1);f[m>>2]=Z;KCa(C,l,m)|0;ZG(o);ZG(l);Z=D+28|0;f[l>>2]=0;f[l+4>>2]=0;W=YG(l,6)|0;b[W>>0]=b[400137]|0;b[W+1>>0]=b[400138]|0;b[W+2>>0]=b[400139]|0;b[W+3>>0]=b[400140]|0;b[W+4>>0]=b[400141]|0;b[W+5>>0]=b[400142]|0;W=sEa(j,l)|0;ca=W+4|0;R=D+32|0;rb=f[R>>2]|0;pb=D+36|0;if((rb|0)==(f[pb>>2]|0))g2(Z,ca);else{f[rb>>2]=f[ca>>2];ba=rb+4|0;sb=W+8|0;f[ba>>2]=f[sb>>2];S=rb+8|0;f[S>>2]=f[W+12>>2];f[rb+12>>2]=f[W+16>>2];f[rb+16>>2]=f[W+20>>2];f[rb+20>>2]=f[W+24>>2];f[rb+24>>2]=f[W+28>>2];f[rb+28>>2]=f[W+32>>2];f[rb+32>>2]=f[W+36>>2];_=f[W+40>>2]|0;f[rb+36>>2]=_;f[rb+40>>2]=S;S=rb+48|0;P=rb+44|0;f[P>>2]=S;f[S>>2]=0;f[rb+52>>2]=0;if(_|0){S=_+12|0;f[S>>2]=(f[S>>2]|0)+1}if((f[sb>>2]|0)<3){sb=f[W+48>>2]|0;W=f[P>>2]|0;f[W>>2]=f[sb>>2];f[W+4>>2]=f[sb+4>>2]}else{f[ba>>2]=0;kP(rb,ca)}f[R>>2]=(f[R>>2]|0)+56}ZG(l);f[m>>2]=0;f[m+4>>2]=0;ca=YG(m,4)|0;b[ca>>0]=98;b[ca+1>>0]=105;b[ca+2>>0]=97;b[ca+3>>0]=115;ca=f[N>>2]|0;o:do if(!ca)Lb=0;else{rb=f[m>>2]|0;ba=(rb|0)==0?1163146:rb;sb=ca;while(1){W=f[sb+16>>2]|0;if((rb|0)==(W|0)){Lb=1;break o}P=(W|0)==0?1163146:W;if((o7b(ba,P)|0)<0)Mb=sb;else{if((o7b(P,ba)|0)>=0){Lb=1;break o}Mb=sb+4|0}sb=f[Mb>>2]|0;if(!sb){Lb=0;break}}}while(0);ZG(m);b[l>>0]=Lb;f[m>>2]=0;f[m+4>>2]=0;F=YG(m,9)|0;G=468376;H=F+9|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));TCa(C,m,l)|0;ZG(m);if(b[l>>0]|0){f[m>>2]=0;f[m+4>>2]=0;ca=YG(m,4)|0;b[ca>>0]=98;b[ca+1>>0]=105;b[ca+2>>0]=97;b[ca+3>>0]=115;ca=sEa(j,m)|0;sb=ca+4|0;ba=f[R>>2]|0;if((ba|0)==(f[pb>>2]|0))g2(Z,sb);else{f[ba>>2]=f[sb>>2];rb=ba+4|0;P=ca+8|0;f[rb>>2]=f[P>>2];W=ba+8|0;f[W>>2]=f[ca+12>>2];f[ba+12>>2]=f[ca+16>>2];f[ba+16>>2]=f[ca+20>>2];f[ba+20>>2]=f[ca+24>>2];f[ba+24>>2]=f[ca+28>>2];f[ba+28>>2]=f[ca+32>>2];f[ba+32>>2]=f[ca+36>>2];S=f[ca+40>>2]|0;f[ba+36>>2]=S;f[ba+40>>2]=W;W=ba+48|0;_=ba+44|0;f[_>>2]=W;f[W>>2]=0;f[ba+52>>2]=0;if(S|0){W=S+12|0;f[W>>2]=(f[W>>2]|0)+1}if((f[P>>2]|0)<3){P=f[ca+48>>2]|0;ca=f[_>>2]|0;f[ca>>2]=f[P>>2];f[ca+4>>2]=f[P+4>>2]}else{f[rb>>2]=0;kP(ba,sb)}f[R>>2]=(f[R>>2]|0)+56}ZG(m)}sb=f[a+68>>2]|0;ba=sb+60|0;rb=f[ba>>2]|0;if((rb|0)==(f[sb+64>>2]|0))qEa(sb+56|0,k);else{sb=f[k>>2]|0;f[rb>>2]=sb;f[rb+4>>2]=f[B>>2];if(!sb)Nb=rb;else{rb=sb+4|0;f[rb>>2]=(f[rb>>2]|0)+1;Nb=f[ba>>2]|0}f[ba>>2]=Nb+8}break b}while(0);ba=f[a+68>>2]|0;rb=ba+60|0;sb=f[rb>>2]|0;if((sb|0)==(f[ba+64>>2]|0))qEa(ba+56|0,k);else{ba=f[k>>2]|0;f[sb>>2]=ba;f[sb+4>>2]=f[B>>2];if(!ba)Ob=sb;else{sb=ba+4|0;f[sb>>2]=(f[sb>>2]|0)+1;Ob=f[rb>>2]|0}f[rb>>2]=Ob+8}gEa(a);break b}while(0);rEa(a,i,j);rb=(f[B>>2]|0)+8|0;ZG(rb);sb=YG(rb,7)|0;b[sb>>0]=b[442851]|0;b[sb+1>>0]=b[442852]|0;b[sb+2>>0]=b[442853]|0;b[sb+3>>0]=b[442854]|0;b[sb+4>>0]=b[442855]|0;b[sb+5>>0]=b[442856]|0;b[sb+6>>0]=b[442857]|0;f[l>>2]=0;f[l+4>>2]=0;sb=YG(l,3)|0;b[sb>>0]=b[452504]|0;b[sb+1>>0]=b[452505]|0;b[sb+2>>0]=b[452506]|0;sb=f[I>>2]|0;if(!sb){ZG(l);f[l>>2]=0;Pb=l+4|0;f[Pb>>2]=0;Qb=YG(l,50)|0;F=Qb;G=400737;H=F+50|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,764)}rb=f[l>>2]|0;ba=(rb|0)==0?1163146:rb;P=sb;while(1){ca=f[P+16>>2]|0;if((rb|0)==(ca|0))break;_=(ca|0)==0?1163146:ca;if((o7b(ba,_)|0)<0)Rb=P;else{if((o7b(_,ba)|0)>=0)break;Rb=P+4|0}P=f[Rb>>2]|0;if(!P){ja=609;break}}if((ja|0)==609){ZG(l);f[l>>2]=0;Pb=l+4|0;f[Pb>>2]=0;Qb=YG(l,50)|0;F=Qb;G=400737;H=F+50|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,764)}f[m>>2]=0;f[m+4>>2]=0;P=YG(m,3)|0;b[P>>0]=b[463628]|0;b[P+1>>0]=b[463629]|0;b[P+2>>0]=b[463630]|0;P=f[I>>2]|0;if(!P){ZG(m);ZG(l);f[l>>2]=0;Pb=l+4|0;f[Pb>>2]=0;Qb=YG(l,50)|0;F=Qb;G=400737;H=F+50|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,764)}ba=f[m>>2]|0;rb=(ba|0)==0?1163146:ba;sb=P;while(1){_=f[sb+16>>2]|0;if((ba|0)==(_|0)){ja=613;break}ca=(_|0)==0?1163146:_;if((o7b(rb,ca)|0)<0)Sb=sb;else{if((o7b(ca,rb)|0)>=0){ja=607;break}Sb=sb+4|0}sb=f[Sb>>2]|0;if(!sb){ja=611;break}}if((ja|0)==607){ZG(m);ZG(l)}else if((ja|0)==611){ZG(m);ZG(l);f[l>>2]=0;Pb=l+4|0;f[Pb>>2]=0;Qb=YG(l,50)|0;F=Qb;G=400737;H=F+50|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,764)}else if((ja|0)==613){ZG(m);ZG(l)}f[l>>2]=0;f[l+4>>2]=0;sb=YG(l,5)|0;b[sb>>0]=b[400788]|0;b[sb+1>>0]=b[400789]|0;b[sb+2>>0]=b[400790]|0;b[sb+3>>0]=b[400791]|0;b[sb+4>>0]=b[400792]|0;sb=f[I>>2]|0;do if(!sb)ZG(l);else{rb=f[l>>2]|0;ba=(rb|0)==0?1163146:rb;P=sb;while(1){ca=f[P+16>>2]|0;if((rb|0)==(ca|0))break;_=(ca|0)==0?1163146:ca;if((o7b(ba,_)|0)<0)Tb=P;else{if((o7b(_,ba)|0)>=0)break;Tb=P+4|0}P=f[Tb>>2]|0;if(!P){ja=625;break}}if((ja|0)==625){ZG(l);break}f[m>>2]=0;f[m+4>>2]=0;P=YG(m,5)|0;b[P>>0]=b[400788]|0;b[P+1>>0]=b[400789]|0;b[P+2>>0]=b[400790]|0;b[P+3>>0]=b[400791]|0;b[P+4>>0]=b[400792]|0;P=rCa(dDa(i,m)|0,-1)|0;ZG(m);ZG(l);if((P|0)==1)break;f[l>>2]=0;f[l+4>>2]=0;F=YG(l,38)|0;G=400794;H=F+38|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-213,l,400173,399848,766)}while(0);f[l>>2]=0;f[l+4>>2]=0;sb=YG(l,5)|0;b[sb>>0]=b[506389]|0;b[sb+1>>0]=b[506390]|0;b[sb+2>>0]=b[506391]|0;b[sb+3>>0]=b[506392]|0;b[sb+4>>0]=b[506393]|0;sb=f[I>>2]|0;do if(!sb)ZG(l);else{P=f[l>>2]|0;ba=(P|0)==0?1163146:P;rb=sb;while(1){_=f[rb+16>>2]|0;if((P|0)==(_|0)){ja=634;break}ca=(_|0)==0?1163146:_;if((o7b(ba,ca)|0)<0)Ub=rb;else{if((o7b(ca,ba)|0)>=0){ja=635;break}Ub=rb+4|0}rb=f[Ub>>2]|0;if(!rb){ja=638;break}}if((ja|0)==634)ZG(l);else if((ja|0)==635)ZG(l);else if((ja|0)==638){ZG(l);break}f[l>>2]=0;f[l+4>>2]=0;rb=YG(l,5)|0;b[rb>>0]=b[506389]|0;b[rb+1>>0]=b[506390]|0;b[rb+2>>0]=b[506391]|0;b[rb+3>>0]=b[506392]|0;b[rb+4>>0]=b[506393]|0;f[o>>2]=0;f[o+4>>2]=0;rb=YG(o,5)|0;b[rb>>0]=b[506389]|0;b[rb+1>>0]=b[506390]|0;b[rb+2>>0]=b[506391]|0;b[rb+3>>0]=b[506392]|0;b[rb+4>>0]=b[506393]|0;Ga=+eEa(dDa(i,o)|0,-1);n[m>>2]=Ga;LCa(C,l,m)|0;ZG(o);ZG(l)}while(0);f[l>>2]=0;f[l+4>>2]=0;F=YG(l,9)|0;G=400833;H=F+9|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));sb=f[I>>2]|0;do if(!sb)ZG(l);else{rb=f[l>>2]|0;ba=(rb|0)==0?1163146:rb;P=sb;while(1){ca=f[P+16>>2]|0;if((rb|0)==(ca|0)){ja=647;break}_=(ca|0)==0?1163146:ca;if((o7b(ba,_)|0)<0)Vb=P;else{if((o7b(_,ba)|0)>=0){ja=648;break}Vb=P+4|0}P=f[Vb>>2]|0;if(!P){ja=651;break}}if((ja|0)==647)ZG(l);else if((ja|0)==648)ZG(l);else if((ja|0)==651){ZG(l);break}f[l>>2]=0;f[l+4>>2]=0;F=YG(l,10)|0;G=453010;H=F+10|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));f[o>>2]=0;f[o+4>>2]=0;F=YG(o,9)|0;G=400833;H=F+9|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));P=rCa(dDa(i,o)|0,-1)|0;f[m>>2]=P;KCa(C,l,m)|0;ZG(o);ZG(l)}while(0);f[l>>2]=0;f[l+4>>2]=0;sb=YG(l,3)|0;b[sb>>0]=b[463628]|0;b[sb+1>>0]=b[463629]|0;b[sb+2>>0]=b[463630]|0;sb=rCa(dDa(i,l)|0,-1)|0;ZG(l);f[l>>2]=0;f[l+4>>2]=0;P=YG(l,3)|0;b[P>>0]=b[452504]|0;b[P+1>>0]=b[452505]|0;b[P+2>>0]=b[452506]|0;P=rCa(dDa(i,l)|0,-1)|0;ZG(l);ba=sb<<1;f[l>>2]=0;rb=l+4|0;f[rb>>2]=0;f[l+8>>2]=0;if(ba>>>0>1073741823)Ukc(l);_=sb<<3;sb=Bmc(_)|0;f[l>>2]=sb;ca=sb+(ba<<2)|0;f[l+8>>2]=ca;Drc(sb|0,0,_|0)|0;f[rb>>2]=ca;ca=(P|0)>0;f[sb+((ca?-1:-2)+ba<<2)>>2]=ca?P:0-P|0;f[m>>2]=0;f[m+4>>2]=0;P=YG(m,8)|0;ca=P;b[ca>>0]=112;b[ca+1>>0]=97;b[ca+2>>0]=100;b[ca+3>>0]=100;ca=P+4|0;b[ca>>0]=105;b[ca+1>>0]=110;b[ca+2>>0]=103;b[ca+3>>0]=115;ca=f[l>>2]|0;P=(f[rb>>2]|0)-ca|0;ba=P>>2;sb=Bmc(16)|0;_=sb+8|0;f[sb>>2]=_;f[sb+4>>2]=ba;if(ba>>>0>1){W=Dmc(ba>>>0>536870911?-1:ba<<3)|0;f[sb>>2]=W;Wb=W}else Wb=_;f[o>>2]=0;f[o+4>>2]=sb;if((P|0)>0){P=ca;ca=0;while(1){sb=f[P>>2]|0;_=Wb+(ca<<3)|0;f[_>>2]=sb;f[_+4>>2]=((sb|0)<0)<<31>>31;ca=ca+1|0;if((ca|0)==(ba|0))break;else P=P+4|0}}MCa(C,m,o)|0;rza(o);ZG(m);P=f[a+68>>2]|0;ba=P+60|0;ca=f[ba>>2]|0;if((ca|0)==(f[P+64>>2]|0))qEa(P+56|0,k);else{P=f[k>>2]|0;f[ca>>2]=P;f[ca+4>>2]=f[B>>2];if(!P)Xb=ca;else{ca=P+4|0;f[ca>>2]=(f[ca>>2]|0)+1;Xb=f[ba>>2]|0}f[ba>>2]=Xb+8}ba=f[l>>2]|0;if(ba|0){ca=f[rb>>2]|0;if((ca|0)!=(ba|0))f[rb>>2]=ca+(~((ca+-4-ba|0)>>>2)<<2);Emc(ba)}break b}while(0);rEa(a,i,j);f[l>>2]=0;f[l+4>>2]=0;ba=YG(l,1)|0;b[ba>>0]=112;ba=f[I>>2]|0;if(!ba){ZG(l);f[l>>2]=0;Yb=l+4|0;f[Yb>>2]=0;Zb=YG(l,21)|0;F=Zb;G=400700;H=F+21|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,750)}ca=f[l>>2]|0;P=(ca|0)==0?1163146:ca;sb=ba;while(1){_=f[sb+16>>2]|0;if((ca|0)==(_|0)){ja=566;break}W=(_|0)==0?1163146:_;if((o7b(P,W)|0)<0)_b=sb;else{if((o7b(W,P)|0)>=0){ja=570;break}_b=sb+4|0}sb=f[_b>>2]|0;if(!sb){ja=568;break}}if((ja|0)==566)ZG(l);else if((ja|0)==568){ZG(l);f[l>>2]=0;Yb=l+4|0;f[Yb>>2]=0;Zb=YG(l,21)|0;F=Zb;G=400700;H=F+21|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,750)}else if((ja|0)==570)ZG(l);f[l>>2]=0;f[l+4>>2]=0;sb=YG(l,1)|0;b[sb>>0]=112;f[o>>2]=0;f[o+4>>2]=0;sb=YG(o,1)|0;b[sb>>0]=112;Ga=+eEa(dDa(i,o)|0,-1);n[m>>2]=Ga;LCa(C,l,m)|0;ZG(o);ZG(l);f[l>>2]=0;f[l+4>>2]=0;sb=YG(l,3)|0;b[sb>>0]=b[468047]|0;b[sb+1>>0]=b[468048]|0;b[sb+2>>0]=b[468049]|0;sb=f[I>>2]|0;do if(!sb)ZG(l);else{P=f[l>>2]|0;ca=(P|0)==0?1163146:P;ba=sb;while(1){W=f[ba+16>>2]|0;if((P|0)==(W|0)){ja=579;break}_=(W|0)==0?1163146:W;if((o7b(ca,_)|0)<0)$b=ba;else{if((o7b(_,ca)|0)>=0){ja=580;break}$b=ba+4|0}ba=f[$b>>2]|0;if(!ba){ja=583;break}}if((ja|0)==579)ZG(l);else if((ja|0)==580)ZG(l);else if((ja|0)==583){ZG(l);break}f[l>>2]=0;f[l+4>>2]=0;ba=YG(l,3)|0;b[ba>>0]=b[468047]|0;b[ba+1>>0]=b[468048]|0;b[ba+2>>0]=b[468049]|0;f[o>>2]=0;f[o+4>>2]=0;ba=YG(o,3)|0;b[ba>>0]=b[468047]|0;b[ba+1>>0]=b[468048]|0;b[ba+2>>0]=b[468049]|0;Ga=+eEa(dDa(i,o)|0,-1);n[m>>2]=Ga;LCa(C,l,m)|0;ZG(o);ZG(l)}while(0);sb=(f[B>>2]|0)+8|0;ZG(sb);F=YG(sb,9)|0;G=442835;H=F+9|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));sb=f[a+68>>2]|0;ba=sb+60|0;ca=f[ba>>2]|0;if((ca|0)==(f[sb+64>>2]|0)){qEa(sb+56|0,k);break b}sb=f[k>>2]|0;f[ca>>2]=sb;f[ca+4>>2]=f[B>>2];if(!sb)ac=ca;else{ca=sb+4|0;f[ca>>2]=(f[ca>>2]|0)+1;ac=f[ba>>2]|0}f[ba>>2]=ac+8;break b}while(0);rEa(a,i,j);ba=(f[B>>2]|0)+8|0;ZG(ba);ca=YG(ba,8)|0;ba=ca;b[ba>>0]=73;b[ba+1>>0]=100;b[ba+2>>0]=101;b[ba+3>>0]=110;ba=ca+4|0;b[ba>>0]=116;b[ba+1>>0]=105;b[ba+2>>0]=116;b[ba+3>>0]=121;ba=f[a+68>>2]|0;ca=ba+60|0;sb=f[ca>>2]|0;if((sb|0)==(f[ba+64>>2]|0)){qEa(ba+56|0,k);break b}ba=f[k>>2]|0;f[sb>>2]=ba;f[sb+4>>2]=f[B>>2];if(!ba)bc=sb;else{sb=ba+4|0;f[sb>>2]=(f[sb>>2]|0)+1;bc=f[ca>>2]|0}f[ca>>2]=bc+8;break b}while(0);rEa(a,i,j);f[l>>2]=0;f[l+4>>2]=0;ca=YG(l,1)|0;b[ca>>0]=112;ca=f[I>>2]|0;if(!ca){ZG(l);f[l>>2]=0;cc=l+4|0;f[cc>>2]=0;dc=YG(l,21)|0;F=dc;G=400700;H=F+21|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,722)}sb=f[l>>2]|0;ba=(sb|0)==0?1163146:sb;P=ca;while(1){rb=f[P+16>>2]|0;if((sb|0)==(rb|0)){ja=523;break}_=(rb|0)==0?1163146:rb;if((o7b(ba,_)|0)<0)ec=P;else{if((o7b(_,ba)|0)>=0){ja=527;break}ec=P+4|0}P=f[ec>>2]|0;if(!P){ja=525;break}}if((ja|0)==523)ZG(l);else if((ja|0)==525){ZG(l);f[l>>2]=0;cc=l+4|0;f[cc>>2]=0;dc=YG(l,21)|0;F=dc;G=400700;H=F+21|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,722)}else if((ja|0)==527)ZG(l);f[l>>2]=0;f[l+4>>2]=0;P=YG(l,2)|0;b[P>>0]=118;b[P+1>>0]=50;P=f[I>>2]|0;do if(!P){ZG(l);ja=540}else{ba=f[l>>2]|0;sb=(ba|0)==0?1163146:ba;ca=P;while(1){_=f[ca+16>>2]|0;if((ba|0)==(_|0))break;rb=(_|0)==0?1163146:_;if((o7b(sb,rb)|0)<0)fc=ca;else{if((o7b(rb,sb)|0)>=0)break;fc=ca+4|0}ca=f[fc>>2]|0;if(!ca){ja=539;break}}if((ja|0)==539){ZG(l);ja=540;break}f[m>>2]=0;f[m+4>>2]=0;ca=YG(m,2)|0;b[ca>>0]=118;b[ca+1>>0]=50;ca=rCa(dDa(i,m)|0,-1)|0;sb=J;ZG(m);ZG(l);if(!((ca|0)!=0|(sb|0)!=0)){ja=540;break}sb=(f[B>>2]|0)+8|0;ZG(sb);ca=YG(sb,8)|0;sb=ca;b[sb>>0]=73;b[sb+1>>0]=100;b[sb+2>>0]=101;b[sb+3>>0]=110;sb=ca+4|0;b[sb>>0]=116;b[sb+1>>0]=105;b[sb+2>>0]=116;b[sb+3>>0]=121}while(0);do if((ja|0)==540){f[m>>2]=0;f[m+4>>2]=0;P=YG(m,1)|0;b[P>>0]=112;Ga=1.0-+eEa(dDa(i,m)|0,-1);ZG(m);n[l>>2]=Ga;if(Ga>0.0){P=(f[B>>2]|0)+8|0;ZG(P);sb=YG(P,5)|0;b[sb>>0]=b[467672]|0;b[sb+1>>0]=b[467673]|0;b[sb+2>>0]=b[467674]|0;b[sb+3>>0]=b[467675]|0;b[sb+4>>0]=b[467676]|0;f[m>>2]=0;f[m+4>>2]=0;sb=YG(m,5)|0;b[sb>>0]=b[472087]|0;b[sb+1>>0]=b[472088]|0;b[sb+2>>0]=b[472089]|0;b[sb+3>>0]=b[472090]|0;b[sb+4>>0]=b[472091]|0;LCa(C,m,l)|0;ZG(m);break}else{f[m>>2]=0;f[m+4>>2]=0;F=YG(m,9)|0;G=467586;H=F+9|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,m,400173,399848,732)}}while(0);sb=f[a+68>>2]|0;P=sb+60|0;ca=f[P>>2]|0;if((ca|0)==(f[sb+64>>2]|0)){qEa(sb+56|0,k);break b}sb=f[k>>2]|0;f[ca>>2]=sb;f[ca+4>>2]=f[B>>2];if(!sb)gc=ca;else{ca=sb+4|0;f[ca>>2]=(f[ca>>2]|0)+1;gc=f[P>>2]|0}f[P>>2]=gc+8;break b}while(0);rEa(a,i,j);f[l>>2]=0;f[l+4>>2]=0;P=YG(l,6)|0;b[P>>0]=b[400137]|0;b[P+1>>0]=b[400138]|0;b[P+2>>0]=b[400139]|0;b[P+3>>0]=b[400140]|0;b[P+4>>0]=b[400141]|0;b[P+5>>0]=b[400142]|0;P=f[N>>2]|0;p:do if(!P)hc=0;else{ca=f[l>>2]|0;sb=(ca|0)==0?1163146:ca;ba=P;while(1){rb=f[ba+16>>2]|0;if((ca|0)==(rb|0)){hc=1;break p}_=(rb|0)==0?1163146:rb;if((o7b(sb,_)|0)<0)ic=ba;else{if((o7b(_,sb)|0)>=0){hc=1;break p}ic=ba+4|0}ba=f[ic>>2]|0;if(!ba){hc=0;break}}}while(0);ZG(l);if(!hc){f[l>>2]=0;f[l+4>>2]=0;F=YG(l,28)|0;G=400144;H=F+28|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,699)}f[l>>2]=0;f[l+4>>2]=0;F=YG(l,12)|0;G=400189;H=F+12|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));P=~~+eEa(dDa(i,l)|0,-1);ZG(l);do if(!P){f[l>>2]=0;f[l+4>>2]=0;ba=YG(l,6)|0;b[ba>>0]=b[400137]|0;b[ba+1>>0]=b[400138]|0;b[ba+2>>0]=b[400139]|0;b[ba+3>>0]=b[400140]|0;b[ba+4>>0]=b[400141]|0;b[ba+5>>0]=b[400142]|0;ba=sEa(j,l)|0;sb=f[ba+8>>2]|0;if((sb|0)<3)jc=Y(f[ba+16>>2]|0,f[ba+12>>2]|0)|0;else{ca=f[ba+44>>2]|0;ba=0;_=1;while(1){rb=Y(f[ca+(ba<<2)>>2]|0,_)|0;ba=ba+1|0;if((ba|0)==(sb|0)){jc=rb;break}else _=rb}}ZG(l);if((jc|0)==1){f[m>>2]=0;f[m+4>>2]=0;_=YG(m,6)|0;b[_>>0]=b[400137]|0;b[_+1>>0]=b[400138]|0;b[_+2>>0]=b[400139]|0;b[_+3>>0]=b[400140]|0;b[_+4>>0]=b[400141]|0;b[_+5>>0]=b[400142]|0;_=(sEa(j,m)|0)+20|0;sb=f[f[_>>2]>>2]|0;ZG(m);f[l>>2]=sb;f[m>>2]=0;f[m+4>>2]=0;F=YG(m,14)|0;G=468971;H=F+14|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));LCa(C,m,l)|0;ZG(m);sb=(f[B>>2]|0)+8|0;ZG(sb);_=YG(sb,4)|0;b[_>>0]=82;b[_+1>>0]=101;b[_+2>>0]=76;b[_+3>>0]=85;break}else{f[l>>2]=0;f[l+4>>2]=0;F=YG(l,42)|0;G=400642;H=F+42|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,710)}}else{f[l>>2]=0;f[l+4>>2]=0;_=YG(l,6)|0;b[_>>0]=b[400137]|0;b[_+1>>0]=b[400138]|0;b[_+2>>0]=b[400139]|0;b[_+3>>0]=b[400140]|0;b[_+4>>0]=b[400141]|0;b[_+5>>0]=b[400142]|0;_=sEa(j,l)|0;sb=f[_+8>>2]|0;if((sb|0)<3)kc=Y(f[_+16>>2]|0,f[_+12>>2]|0)|0;else{ba=f[_+44>>2]|0;_=0;ca=1;while(1){rb=Y(f[ba+(_<<2)>>2]|0,ca)|0;_=_+1|0;if((_|0)==(sb|0)){kc=rb;break}else ca=rb}}ZG(l);if((kc|0)!=(P|0)){f[l>>2]=0;f[l+4>>2]=0;F=YG(l,55)|0;G=400586;H=F+55|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,704)}f[l>>2]=0;f[l+4>>2]=0;ca=YG(l,6)|0;b[ca>>0]=b[400137]|0;b[ca+1>>0]=b[400138]|0;b[ca+2>>0]=b[400139]|0;b[ca+3>>0]=b[400140]|0;b[ca+4>>0]=b[400141]|0;b[ca+5>>0]=b[400142]|0;ca=sEa(j,l)|0;sb=ca+4|0;_=D+32|0;ba=f[_>>2]|0;if((ba|0)==(f[D+36>>2]|0))g2(D+28|0,sb);else{f[ba>>2]=f[sb>>2];rb=ba+4|0;W=ca+8|0;f[rb>>2]=f[W>>2];S=ba+8|0;f[S>>2]=f[ca+12>>2];f[ba+12>>2]=f[ca+16>>2];f[ba+16>>2]=f[ca+20>>2];f[ba+20>>2]=f[ca+24>>2];f[ba+24>>2]=f[ca+28>>2];f[ba+28>>2]=f[ca+32>>2];f[ba+32>>2]=f[ca+36>>2];lc=f[ca+40>>2]|0;f[ba+36>>2]=lc;f[ba+40>>2]=S;S=ba+48|0;mc=ba+44|0;f[mc>>2]=S;f[S>>2]=0;f[ba+52>>2]=0;if(lc|0){S=lc+12|0;f[S>>2]=(f[S>>2]|0)+1}if((f[W>>2]|0)<3){W=f[ca+48>>2]|0;ca=f[mc>>2]|0;f[ca>>2]=f[W>>2];f[ca+4>>2]=f[W+4>>2]}else{f[rb>>2]=0;kP(ba,sb)}f[_>>2]=(f[_>>2]|0)+56}ZG(l);_=(f[B>>2]|0)+8|0;ZG(_);F=YG(_,13)|0;G=442731;H=F+13|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0))}while(0);P=f[a+68>>2]|0;_=P+60|0;sb=f[_>>2]|0;if((sb|0)==(f[P+64>>2]|0)){qEa(P+56|0,k);break b}P=f[k>>2]|0;f[sb>>2]=P;f[sb+4>>2]=f[B>>2];if(!P)nc=sb;else{sb=P+4|0;f[sb>>2]=(f[sb>>2]|0)+1;nc=f[_>>2]|0}f[_>>2]=nc+8;break b}while(0);_=(f[B>>2]|0)+8|0;ZG(_);F=YG(_,9)|0;G=444021;H=F+9|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));rEa(a,i,j);f[l>>2]=0;f[l+4>>2]=0;_=YG(l,3)|0;b[_>>0]=b[468047]|0;b[_+1>>0]=b[468048]|0;b[_+2>>0]=b[468049]|0;_=f[I>>2]|0;if(!_){ZG(l);f[l>>2]=0;oc=l+4|0;f[oc>>2]=0;pc=YG(l,23)|0;F=pc;G=400489;H=F+23|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,641)}sb=f[l>>2]|0;P=(sb|0)==0?1163146:sb;ba=_;while(1){rb=f[ba+16>>2]|0;if((sb|0)==(rb|0)){ja=295;break}W=(rb|0)==0?1163146:rb;if((o7b(P,W)|0)<0)qc=ba;else{if((o7b(W,P)|0)>=0){ja=299;break}qc=ba+4|0}ba=f[qc>>2]|0;if(!ba){ja=297;break}}if((ja|0)==295)ZG(l);else if((ja|0)==297){ZG(l);f[l>>2]=0;oc=l+4|0;f[oc>>2]=0;pc=YG(l,23)|0;F=pc;G=400489;H=F+23|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,641)}else if((ja|0)==299)ZG(l);f[m>>2]=0;f[m+4>>2]=0;ba=YG(m,3)|0;b[ba>>0]=b[468047]|0;b[ba+1>>0]=b[468048]|0;b[ba+2>>0]=b[468049]|0;Ga=+eEa(dDa(i,m)|0,-1);ZG(m);n[l>>2]=Ga;f[m>>2]=0;f[m+4>>2]=0;ba=YG(m,3)|0;b[ba>>0]=b[468047]|0;b[ba+1>>0]=b[468048]|0;b[ba+2>>0]=b[468049]|0;LCa(C,m,l)|0;ZG(m);f[m>>2]=0;f[m+4>>2]=0;F=YG(m,12)|0;G=400513;H=F+12|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));ba=f[N>>2]|0;q:do if(!ba)rc=0;else{P=f[m>>2]|0;sb=(P|0)==0?1163146:P;_=ba;while(1){W=f[_+16>>2]|0;if((P|0)==(W|0)){rc=1;break q}rb=(W|0)==0?1163146:W;if((o7b(sb,rb)|0)<0)sc=_;else{if((o7b(rb,sb)|0)>=0){rc=1;break q}sc=_+4|0}_=f[sc>>2]|0;if(!_){rc=0;break}}}while(0);ZG(m);if(!rc){f[m>>2]=0;f[m+4>>2]=0;ba=YG(m,7)|0;b[ba>>0]=b[400526]|0;b[ba+1>>0]=b[400527]|0;b[ba+2>>0]=b[400528]|0;b[ba+3>>0]=b[400529]|0;b[ba+4>>0]=b[400530]|0;b[ba+5>>0]=b[400531]|0;b[ba+6>>0]=b[400532]|0;ba=f[I>>2]|0;if(!ba){ZG(m);f[m>>2]=0;tc=m+4|0;f[tc>>2]=0;uc=YG(m,27)|0;F=uc;G=400534;H=F+27|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,m,400173,399848,651)}_=f[m>>2]|0;sb=(_|0)==0?1163146:_;P=ba;while(1){rb=f[P+16>>2]|0;if((_|0)==(rb|0)){ja=326;break}W=(rb|0)==0?1163146:rb;if((o7b(sb,W)|0)<0)vc=P;else{if((o7b(W,sb)|0)>=0){ja=330;break}vc=P+4|0}P=f[vc>>2]|0;if(!P){ja=328;break}}if((ja|0)==326)ZG(m);else if((ja|0)==328){ZG(m);f[m>>2]=0;tc=m+4|0;f[tc>>2]=0;uc=YG(m,27)|0;F=uc;G=400534;H=F+27|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,m,400173,399848,651)}else if((ja|0)==330)ZG(m);P=D+28|0;f[o>>2]=0;f[o+4>>2]=0;sb=YG(o,7)|0;b[sb>>0]=b[400526]|0;b[sb+1>>0]=b[400527]|0;b[sb+2>>0]=b[400528]|0;b[sb+3>>0]=b[400529]|0;b[sb+4>>0]=b[400530]|0;b[sb+5>>0]=b[400531]|0;b[sb+6>>0]=b[400532]|0;sb=rCa(dDa(i,o)|0,-1)|0;pG(r,1,sb,5);f[m>>2]=1124007936;sb=m+4|0;_=m+8|0;ba=m+40|0;F=sb;H=F+36|0;do{f[F>>2]=0;F=F+4|0}while((F|0)<(H|0));f[ba>>2]=_;W=m+48|0;rb=m+44|0;f[rb>>2]=W;f[W>>2]=0;f[m+52>>2]=0;ca=f[r>>2]|0;rh[f[(f[ca>>2]|0)+12>>2]&255](ca,r,m,-1);ca=D+32|0;mc=f[ca>>2]|0;if((mc|0)==(f[D+36>>2]|0)){g2(P,m);wc=m+36|0}else{f[mc>>2]=f[m>>2];S=mc+4|0;f[S>>2]=f[sb>>2];lc=mc+8|0;f[lc>>2]=f[_>>2];f[mc+12>>2]=f[m+12>>2];f[mc+16>>2]=f[m+16>>2];f[mc+20>>2]=f[m+20>>2];f[mc+24>>2]=f[m+24>>2];f[mc+28>>2]=f[m+28>>2];f[mc+32>>2]=f[m+32>>2];xc=m+36|0;yc=f[xc>>2]|0;f[mc+36>>2]=yc;f[mc+40>>2]=lc;lc=mc+48|0;zc=mc+44|0;f[zc>>2]=lc;f[lc>>2]=0;f[mc+52>>2]=0;if(yc|0){lc=yc+12|0;f[lc>>2]=(f[lc>>2]|0)+1}if((f[sb>>2]|0)<3){lc=f[rb>>2]|0;yc=f[zc>>2]|0;f[yc>>2]=f[lc>>2];f[yc+4>>2]=f[lc+4>>2]}else{f[S>>2]=0;kP(mc,m)}f[ca>>2]=(f[ca>>2]|0)+56;wc=xc}xc=f[wc>>2]|0;do if(xc|0){ca=xc+12|0;mc=f[ca>>2]|0;f[ca>>2]=mc+-1;if((mc|0)!=1)break;lP(m)}while(0);f[wc>>2]=0;xc=m+16|0;f[xc>>2]=0;f[xc+4>>2]=0;f[xc+8>>2]=0;f[xc+12>>2]=0;if((f[sb>>2]|0)>0){xc=f[ba>>2]|0;_=0;do{f[xc+(_<<2)>>2]=0;_=_+1|0}while((_|0)<(f[sb>>2]|0))}sb=f[rb>>2]|0;if((sb|0)!=(W|0))tE(sb);Xi(r);ZG(o)}else{sb=D+28|0;f[m>>2]=0;f[m+4>>2]=0;F=YG(m,12)|0;G=400513;H=F+12|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));W=sEa(j,m)|0;rb=W+4|0;_=D+32|0;xc=f[_>>2]|0;if((xc|0)==(f[D+36>>2]|0))g2(sb,rb);else{f[xc>>2]=f[rb>>2];ba=xc+4|0;P=W+8|0;f[ba>>2]=f[P>>2];mc=xc+8|0;f[mc>>2]=f[W+12>>2];f[xc+12>>2]=f[W+16>>2];f[xc+16>>2]=f[W+20>>2];f[xc+20>>2]=f[W+24>>2];f[xc+24>>2]=f[W+28>>2];f[xc+28>>2]=f[W+32>>2];f[xc+32>>2]=f[W+36>>2];ca=f[W+40>>2]|0;f[xc+36>>2]=ca;f[xc+40>>2]=mc;mc=xc+48|0;S=xc+44|0;f[S>>2]=mc;f[mc>>2]=0;f[xc+52>>2]=0;if(ca|0){mc=ca+12|0;f[mc>>2]=(f[mc>>2]|0)+1}if((f[P>>2]|0)<3){P=f[W+48>>2]|0;W=f[S>>2]|0;f[W>>2]=f[P>>2];f[W+4>>2]=f[P+4>>2]}else{f[ba>>2]=0;kP(xc,rb)}f[_>>2]=(f[_>>2]|0)+56}ZG(m)}f[m>>2]=0;f[m+4>>2]=0;F=YG(m,11)|0;G=400562;H=F+11|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));sb=f[N>>2]|0;r:do if(!sb)Ac=0;else{_=f[m>>2]|0;rb=(_|0)==0?1163146:_;xc=sb;while(1){ba=f[xc+16>>2]|0;if((_|0)==(ba|0)){Ac=1;break r}P=(ba|0)==0?1163146:ba;if((o7b(rb,P)|0)<0)Bc=xc;else{if((o7b(P,rb)|0)>=0){Ac=1;break r}Bc=xc+4|0}xc=f[Bc>>2]|0;if(!xc){Ac=0;break}}}while(0);ZG(m);do if(!Ac){f[m>>2]=0;f[m+4>>2]=0;F=YG(m,11)|0;G=400574;H=F+11|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));sb=f[N>>2]|0;s:do if(!sb)Cc=0;else{xc=f[m>>2]|0;rb=(xc|0)==0?1163146:xc;_=sb;while(1){P=f[_+16>>2]|0;if((xc|0)==(P|0)){Cc=1;break s}ba=(P|0)==0?1163146:P;if((o7b(rb,ba)|0)<0)Dc=_;else{if((o7b(ba,rb)|0)>=0){Cc=1;break s}Dc=_+4|0}_=f[Dc>>2]|0;if(!_){Cc=0;break}}}while(0);ZG(m);if(Cc|0){sb=D+28|0;f[m>>2]=0;f[m+4>>2]=0;F=YG(m,11)|0;G=400574;H=F+11|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));_=sEa(j,m)|0;rb=_+4|0;xc=D+32|0;ba=f[xc>>2]|0;if((ba|0)==(f[D+36>>2]|0))g2(sb,rb);else{f[ba>>2]=f[rb>>2];P=ba+4|0;W=_+8|0;f[P>>2]=f[W>>2];S=ba+8|0;f[S>>2]=f[_+12>>2];f[ba+12>>2]=f[_+16>>2];f[ba+16>>2]=f[_+20>>2];f[ba+20>>2]=f[_+24>>2];f[ba+24>>2]=f[_+28>>2];f[ba+28>>2]=f[_+32>>2];f[ba+32>>2]=f[_+36>>2];mc=f[_+40>>2]|0;f[ba+36>>2]=mc;f[ba+40>>2]=S;S=ba+48|0;ca=ba+44|0;f[ca>>2]=S;f[S>>2]=0;f[ba+52>>2]=0;if(mc|0){S=mc+12|0;f[S>>2]=(f[S>>2]|0)+1}if((f[W>>2]|0)<3){W=f[_+48>>2]|0;_=f[ca>>2]|0;f[_>>2]=f[W>>2];f[_+4>>2]=f[W+4>>2]}else{f[P>>2]=0;kP(ba,rb)}f[xc>>2]=(f[xc>>2]|0)+56}ZG(m);rb=(f[xc>>2]|0)+-56|0;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=rb;ba=o+8|0;f[ba>>2]=0;f[ba+4>>2]=0;f[o>>2]=33619968;f[o+4>>2]=rb;vS(m,-2.0,o);rb=(f[xc>>2]|0)+-56|0;f[m+8>>2]=0;f[m+12>>2]=0;f[m>>2]=16842752;f[m+4>>2]=rb;p[q>>3]=+n[l>>2];f[o>>2]=-1056833530;f[o+4>>2]=q;f[o+8>>2]=1;f[o+12>>2]=1;xc=s+8|0;f[xc>>2]=0;f[xc+4>>2]=0;f[s>>2]=33619968;f[s+4>>2]=rb;fI(m,o,s,rE()|0,-1);break}f[m>>2]=0;f[m+4>>2]=0;rb=YG(m,7)|0;b[rb>>0]=b[400526]|0;b[rb+1>>0]=b[400527]|0;b[rb+2>>0]=b[400528]|0;b[rb+3>>0]=b[400529]|0;b[rb+4>>0]=b[400530]|0;b[rb+5>>0]=b[400531]|0;b[rb+6>>0]=b[400532]|0;rb=f[I>>2]|0;if(!rb){ZG(m);f[m>>2]=0;Ec=m+4|0;f[Ec>>2]=0;Fc=YG(m,27)|0;F=Fc;G=400534;H=F+27|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,m,400173,399848,667)}sb=f[m>>2]|0;xc=(sb|0)==0?1163146:sb;ba=rb;while(1){P=f[ba+16>>2]|0;if((sb|0)==(P|0)){ja=392;break}W=(P|0)==0?1163146:P;if((o7b(xc,W)|0)<0)Gc=ba;else{if((o7b(W,xc)|0)>=0){ja=396;break}Gc=ba+4|0}ba=f[Gc>>2]|0;if(!ba){ja=394;break}}if((ja|0)==392)ZG(m);else if((ja|0)==394){ZG(m);f[m>>2]=0;Ec=m+4|0;f[Ec>>2]=0;Fc=YG(m,27)|0;F=Fc;G=400534;H=F+27|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,m,400173,399848,667)}else if((ja|0)==396)ZG(m);ba=D+28|0;f[o>>2]=0;f[o+4>>2]=0;xc=YG(o,7)|0;b[xc>>0]=b[400526]|0;b[xc+1>>0]=b[400527]|0;b[xc+2>>0]=b[400528]|0;b[xc+3>>0]=b[400529]|0;b[xc+4>>0]=b[400530]|0;b[xc+5>>0]=b[400531]|0;b[xc+6>>0]=b[400532]|0;xc=rCa(dDa(i,o)|0,-1)|0;sG(t,1,xc,5);f[m>>2]=1124007936;xc=m+4|0;sb=m+8|0;rb=m+40|0;F=xc;H=F+36|0;do{f[F>>2]=0;F=F+4|0}while((F|0)<(H|0));f[rb>>2]=sb;W=m+48|0;P=m+44|0;f[P>>2]=W;f[W>>2]=0;f[m+52>>2]=0;_=f[t>>2]|0;rh[f[(f[_>>2]|0)+12>>2]&255](_,t,m,-1);_=D+32|0;ca=f[_>>2]|0;if((ca|0)==(f[D+36>>2]|0)){g2(ba,m);Hc=m+36|0}else{f[ca>>2]=f[m>>2];S=ca+4|0;f[S>>2]=f[xc>>2];mc=ca+8|0;f[mc>>2]=f[sb>>2];f[ca+12>>2]=f[m+12>>2];f[ca+16>>2]=f[m+16>>2];f[ca+20>>2]=f[m+20>>2];f[ca+24>>2]=f[m+24>>2];f[ca+28>>2]=f[m+28>>2];f[ca+32>>2]=f[m+32>>2];lc=m+36|0;yc=f[lc>>2]|0;f[ca+36>>2]=yc;f[ca+40>>2]=mc;mc=ca+48|0;zc=ca+44|0;f[zc>>2]=mc;f[mc>>2]=0;f[ca+52>>2]=0;if(yc|0){mc=yc+12|0;f[mc>>2]=(f[mc>>2]|0)+1}if((f[xc>>2]|0)<3){mc=f[P>>2]|0;yc=f[zc>>2]|0;f[yc>>2]=f[mc>>2];f[yc+4>>2]=f[mc+4>>2]}else{f[S>>2]=0;kP(ca,m)}f[_>>2]=(f[_>>2]|0)+56;Hc=lc}lc=f[Hc>>2]|0;do if(lc|0){_=lc+12|0;ca=f[_>>2]|0;f[_>>2]=ca+-1;if((ca|0)!=1)break;lP(m)}while(0);f[Hc>>2]=0;lc=m+16|0;f[lc>>2]=0;f[lc+4>>2]=0;f[lc+8>>2]=0;f[lc+12>>2]=0;if((f[xc>>2]|0)>0){lc=f[rb>>2]|0;sb=0;do{f[lc+(sb<<2)>>2]=0;sb=sb+1|0}while((sb|0)<(f[xc>>2]|0))}xc=f[P>>2]|0;if((xc|0)!=(W|0))tE(xc);Xi(t);ZG(o)}else{xc=D+28|0;f[m>>2]=0;f[m+4>>2]=0;F=YG(m,11)|0;G=400562;H=F+11|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));W=sEa(j,m)|0;P=W+4|0;sb=D+32|0;lc=f[sb>>2]|0;if((lc|0)==(f[D+36>>2]|0))g2(xc,P);else{f[lc>>2]=f[P>>2];rb=lc+4|0;ba=W+8|0;f[rb>>2]=f[ba>>2];ca=lc+8|0;f[ca>>2]=f[W+12>>2];f[lc+12>>2]=f[W+16>>2];f[lc+16>>2]=f[W+20>>2];f[lc+20>>2]=f[W+24>>2];f[lc+24>>2]=f[W+28>>2];f[lc+28>>2]=f[W+32>>2];f[lc+32>>2]=f[W+36>>2];_=f[W+40>>2]|0;f[lc+36>>2]=_;f[lc+40>>2]=ca;ca=lc+48|0;S=lc+44|0;f[S>>2]=ca;f[ca>>2]=0;f[lc+52>>2]=0;if(_|0){ca=_+12|0;f[ca>>2]=(f[ca>>2]|0)+1}if((f[ba>>2]|0)<3){ba=f[W+48>>2]|0;W=f[S>>2]|0;f[W>>2]=f[ba>>2];f[W+4>>2]=f[ba+4>>2]}else{f[rb>>2]=0;kP(lc,P)}f[sb>>2]=(f[sb>>2]|0)+56}ZG(m)}while(0);f[m>>2]=0;f[m+4>>2]=0;sb=YG(m,6)|0;b[sb>>0]=b[400137]|0;b[sb+1>>0]=b[400138]|0;b[sb+2>>0]=b[400139]|0;b[sb+3>>0]=b[400140]|0;b[sb+4>>0]=b[400141]|0;b[sb+5>>0]=b[400142]|0;sb=f[N>>2]|0;t:do if(!sb)Ic=0;else{P=f[m>>2]|0;lc=(P|0)==0?1163146:P;rb=sb;while(1){ba=f[rb+16>>2]|0;if((P|0)==(ba|0)){Ic=1;break t}W=(ba|0)==0?1163146:ba;if((o7b(lc,W)|0)<0)Jc=rb;else{if((o7b(W,lc)|0)>=0){Ic=1;break t}Jc=rb+4|0}rb=f[Jc>>2]|0;if(!rb){Ic=0;break}}}while(0);ZG(m);if(Ic|0){f[m>>2]=0;f[m+4>>2]=0;F=YG(m,10)|0;G=456886;H=F+10|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));b[o>>0]=1;TCa(C,m,o)|0;ZG(m);f[m>>2]=0;f[m+4>>2]=0;sb=YG(m,6)|0;b[sb>>0]=b[400137]|0;b[sb+1>>0]=b[400138]|0;b[sb+2>>0]=b[400139]|0;b[sb+3>>0]=b[400140]|0;b[sb+4>>0]=b[400141]|0;b[sb+5>>0]=b[400142]|0;sb=sEa(j,m)|0;rb=sb+4|0;lc=D+32|0;P=f[lc>>2]|0;if((P|0)==(f[D+36>>2]|0))g2(D+28|0,rb);else{f[P>>2]=f[rb>>2];xc=P+4|0;W=sb+8|0;f[xc>>2]=f[W>>2];ba=P+8|0;f[ba>>2]=f[sb+12>>2];f[P+12>>2]=f[sb+16>>2];f[P+16>>2]=f[sb+20>>2];f[P+20>>2]=f[sb+24>>2];f[P+24>>2]=f[sb+28>>2];f[P+28>>2]=f[sb+32>>2];f[P+32>>2]=f[sb+36>>2];S=f[sb+40>>2]|0;f[P+36>>2]=S;f[P+40>>2]=ba;ba=P+48|0;ca=P+44|0;f[ca>>2]=ba;f[ba>>2]=0;f[P+52>>2]=0;if(S|0){ba=S+12|0;f[ba>>2]=(f[ba>>2]|0)+1}if((f[W>>2]|0)<3){W=f[sb+48>>2]|0;sb=f[ca>>2]|0;f[sb>>2]=f[W>>2];f[sb+4>>2]=f[W+4>>2]}else{f[xc>>2]=0;kP(P,rb)}f[lc>>2]=(f[lc>>2]|0)+56}ZG(m)}f[m>>2]=0;f[m+4>>2]=0;lc=YG(m,4)|0;b[lc>>0]=98;b[lc+1>>0]=105;b[lc+2>>0]=97;b[lc+3>>0]=115;lc=f[N>>2]|0;u:do if(!lc)Kc=0;else{rb=f[m>>2]|0;P=(rb|0)==0?1163146:rb;xc=lc;while(1){W=f[xc+16>>2]|0;if((rb|0)==(W|0)){Kc=1;break u}sb=(W|0)==0?1163146:W;if((o7b(P,sb)|0)<0)Lc=xc;else{if((o7b(sb,P)|0)>=0){Kc=1;break u}Lc=xc+4|0}xc=f[Lc>>2]|0;if(!xc){Kc=0;break}}}while(0);ZG(m);if(Kc|0){f[m>>2]=0;f[m+4>>2]=0;lc=YG(m,8)|0;xc=lc;b[xc>>0]=104;b[xc+1>>0]=97;b[xc+2>>0]=115;b[xc+3>>0]=95;xc=lc+4|0;b[xc>>0]=98;b[xc+1>>0]=105;b[xc+2>>0]=97;b[xc+3>>0]=115;b[o>>0]=1;TCa(C,m,o)|0;ZG(m);f[m>>2]=0;f[m+4>>2]=0;xc=YG(m,4)|0;b[xc>>0]=98;b[xc+1>>0]=105;b[xc+2>>0]=97;b[xc+3>>0]=115;xc=sEa(j,m)|0;lc=xc+4|0;P=D+32|0;rb=f[P>>2]|0;if((rb|0)==(f[D+36>>2]|0))g2(D+28|0,lc);else{f[rb>>2]=f[lc>>2];sb=rb+4|0;W=xc+8|0;f[sb>>2]=f[W>>2];ca=rb+8|0;f[ca>>2]=f[xc+12>>2];f[rb+12>>2]=f[xc+16>>2];f[rb+16>>2]=f[xc+20>>2];f[rb+20>>2]=f[xc+24>>2];f[rb+24>>2]=f[xc+28>>2];f[rb+28>>2]=f[xc+32>>2];f[rb+32>>2]=f[xc+36>>2];ba=f[xc+40>>2]|0;f[rb+36>>2]=ba;f[rb+40>>2]=ca;ca=rb+48|0;S=rb+44|0;f[S>>2]=ca;f[ca>>2]=0;f[rb+52>>2]=0;if(ba|0){ca=ba+12|0;f[ca>>2]=(f[ca>>2]|0)+1}if((f[W>>2]|0)<3){W=f[xc+48>>2]|0;xc=f[S>>2]|0;f[xc>>2]=f[W>>2];f[xc+4>>2]=f[W+4>>2]}else{f[sb>>2]=0;kP(rb,lc)}f[P>>2]=(f[P>>2]|0)+56}ZG(m)}P=f[h>>2]|0;lc=P;do if((P|0)==400448)ja=453;else{if(!(o7b((P|0)==0?1163146:P,400448)|0)){ja=453;break}Mc=a+68|0}while(0);if((ja|0)==453){rb=Bmc(68)|0;f[o>>2]=0;sb=o+4|0;f[sb>>2]=0;f[rb>>2]=lc;f[rb+4>>2]=f[E>>2];do if(!P){f[rb+8>>2]=0;f[rb+12>>2]=0}else{W=P+-4|0;f[W>>2]=(f[W>>2]|0)+1;W=f[o>>2]|0;xc=f[sb>>2]|0;f[rb+8>>2]=W;f[rb+12>>2]=xc;if(!W)break;xc=W+-4|0;f[xc>>2]=(f[xc>>2]|0)+1}while(0);sb=rb+20|0;f[sb>>2]=0;f[rb+24>>2]=0;f[rb+16>>2]=sb;F=rb+28|0;H=F+40|0;do{f[F>>2]=0;F=F+4|0}while((F|0)<(H|0));sb=Bmc(16)|0;f[sb+4>>2]=1;f[sb>>2]=110708;f[sb+8>>2]=rb;f[m>>2]=sb;sb=m+4|0;f[sb>>2]=rb;ZG(o);P=(f[sb>>2]|0)+8|0;ZG(P);lc=YG(P,3)|0;b[lc>>0]=b[442721]|0;b[lc+1>>0]=b[442722]|0;b[lc+2>>0]=b[442723]|0;lc=a+68|0;P=f[lc>>2]|0;xc=P+60|0;W=f[xc>>2]|0;if((W|0)==(f[P+64>>2]|0))qEa(P+56|0,m);else{P=f[m>>2]|0;f[W>>2]=P;f[W+4>>2]=f[sb>>2];if(!P)Nc=W;else{W=P+4|0;f[W>>2]=(f[W>>2]|0)+1;Nc=f[xc>>2]|0}f[xc>>2]=Nc+8}xc=D+28|0;W=f[xc>>2]|0;p[q>>3]=0.0;f[o>>2]=-1056833530;f[o+4>>2]=q;f[o+8>>2]=1;f[o+12>>2]=1;oT(W,o,rE()|0)|0;W=f[xc>>2]|0;p[q>>3]=1.0;f[o>>2]=-1056833530;f[o+4>>2]=q;f[o+8>>2]=1;f[o+12>>2]=1;oT(W+56|0,o,rE()|0)|0;W=f[m>>2]|0;do if(W|0){xc=W+4|0;P=f[xc>>2]|0;f[xc>>2]=P+-1;if((P|0)!=1)break;ai[f[(f[W>>2]|0)+8>>2]&2047](W)}while(0);Mc=lc}W=f[Mc>>2]|0;rb=W+60|0;P=f[rb>>2]|0;if((P|0)==(f[W+64>>2]|0))qEa(W+56|0,k);else{W=f[k>>2]|0;f[P>>2]=W;f[P+4>>2]=f[B>>2];if(!W)Oc=P;else{P=W+4|0;f[P>>2]=(f[P>>2]|0)+1;Oc=f[rb>>2]|0}f[rb>>2]=Oc+8}break b}while(0);rb=f[a+68>>2]|0;P=rb+56|0;W=Bmc(68)|0;f[m>>2]=0;xc=m+4|0;f[xc>>2]=0;sb=YG(m,7)|0;b[sb>>0]=b[442751]|0;b[sb+1>>0]=b[442752]|0;b[sb+2>>0]=b[442753]|0;b[sb+3>>0]=b[442754]|0;b[sb+4>>0]=b[442755]|0;b[sb+5>>0]=b[442756]|0;b[sb+6>>0]=b[442757]|0;sb=f[h>>2]|0;f[W>>2]=sb;f[W+4>>2]=f[E>>2];if(sb|0){S=sb+-4|0;f[S>>2]=(f[S>>2]|0)+1}S=f[m>>2]|0;f[W+8>>2]=S;f[W+12>>2]=f[xc>>2];if(S|0){xc=S+-4|0;f[xc>>2]=(f[xc>>2]|0)+1}xc=W+20|0;f[xc>>2]=0;f[W+24>>2]=0;f[W+16>>2]=xc;F=W+28|0;H=F+40|0;do{f[F>>2]=0;F=F+4|0}while((F|0)<(H|0));xc=Bmc(16)|0;f[xc+4>>2]=1;f[xc>>2]=110708;f[xc+8>>2]=W;f[l>>2]=xc;S=l+4|0;f[S>>2]=W;sb=rb+60|0;ca=f[sb>>2]|0;if((ca|0)==(f[rb+64>>2]|0))qEa(P,l);else{f[ca>>2]=xc;f[ca+4>>2]=W;ca=xc+4|0;f[ca>>2]=(f[ca>>2]|0)+1;f[sb>>2]=(f[sb>>2]|0)+8}sb=f[l>>2]|0;do if(sb|0){ca=sb+4|0;xc=f[ca>>2]|0;f[ca>>2]=xc+-1;if((xc|0)!=1)break;ai[f[(f[sb>>2]|0)+8>>2]&2047](sb)}while(0);f[l>>2]=0;f[S>>2]=0;ZG(m);gEa(a);break b}while(0);sb=f[a+68>>2]|0;W=sb+56|0;P=Bmc(68)|0;f[m>>2]=0;rb=m+4|0;f[rb>>2]=0;xc=YG(m,4)|0;b[xc>>0]=84;b[xc+1>>0]=97;b[xc+2>>0]=110;b[xc+3>>0]=72;xc=f[h>>2]|0;f[P>>2]=xc;f[P+4>>2]=f[E>>2];if(xc|0){ca=xc+-4|0;f[ca>>2]=(f[ca>>2]|0)+1}ca=f[m>>2]|0;f[P+8>>2]=ca;f[P+12>>2]=f[rb>>2];if(ca|0){rb=ca+-4|0;f[rb>>2]=(f[rb>>2]|0)+1}rb=P+20|0;f[rb>>2]=0;f[P+24>>2]=0;f[P+16>>2]=rb;F=P+28|0;H=F+40|0;do{f[F>>2]=0;F=F+4|0}while((F|0)<(H|0));rb=Bmc(16)|0;f[rb+4>>2]=1;f[rb>>2]=110708;f[rb+8>>2]=P;f[l>>2]=rb;ca=l+4|0;f[ca>>2]=P;xc=sb+60|0;ba=f[xc>>2]|0;if((ba|0)==(f[sb+64>>2]|0))qEa(W,l);else{f[ba>>2]=rb;f[ba+4>>2]=P;ba=rb+4|0;f[ba>>2]=(f[ba>>2]|0)+1;f[xc>>2]=(f[xc>>2]|0)+8}xc=f[l>>2]|0;do if(xc|0){ba=xc+4|0;rb=f[ba>>2]|0;f[ba>>2]=rb+-1;if((rb|0)!=1)break;ai[f[(f[xc>>2]|0)+8>>2]&2047](xc)}while(0);f[l>>2]=0;f[ca>>2]=0;ZG(m);gEa(a);break b}while(0);xc=f[a+68>>2]|0;P=xc+56|0;W=Bmc(68)|0;f[m>>2]=0;sb=m+4|0;f[sb>>2]=0;rb=YG(m,4)|0;b[rb>>0]=82;b[rb+1>>0]=101;b[rb+2>>0]=76;b[rb+3>>0]=85;rb=f[h>>2]|0;f[W>>2]=rb;f[W+4>>2]=f[E>>2];if(rb|0){ba=rb+-4|0;f[ba>>2]=(f[ba>>2]|0)+1}ba=f[m>>2]|0;f[W+8>>2]=ba;f[W+12>>2]=f[sb>>2];if(ba|0){sb=ba+-4|0;f[sb>>2]=(f[sb>>2]|0)+1}sb=W+20|0;f[sb>>2]=0;f[W+24>>2]=0;f[W+16>>2]=sb;F=W+28|0;H=F+40|0;do{f[F>>2]=0;F=F+4|0}while((F|0)<(H|0));sb=Bmc(16)|0;f[sb+4>>2]=1;f[sb>>2]=110708;f[sb+8>>2]=W;f[l>>2]=sb;ba=l+4|0;f[ba>>2]=W;rb=xc+60|0;_=f[rb>>2]|0;if((_|0)==(f[xc+64>>2]|0))qEa(P,l);else{f[_>>2]=sb;f[_+4>>2]=W;_=sb+4|0;f[_>>2]=(f[_>>2]|0)+1;f[rb>>2]=(f[rb>>2]|0)+8}rb=f[l>>2]|0;do if(rb|0){_=rb+4|0;sb=f[_>>2]|0;f[_>>2]=sb+-1;if((sb|0)!=1)break;ai[f[(f[rb>>2]|0)+8>>2]&2047](rb)}while(0);f[l>>2]=0;f[ba>>2]=0;ZG(m);gEa(a);break b}while(0);rb=(f[B>>2]|0)+8|0;ZG(rb);W=YG(rb,7)|0;b[W>>0]=b[444586]|0;b[W+1>>0]=b[444587]|0;b[W+2>>0]=b[444588]|0;b[W+3>>0]=b[444589]|0;b[W+4>>0]=b[444590]|0;b[W+5>>0]=b[444591]|0;b[W+6>>0]=b[444592]|0;rEa(a,i,j);f[l>>2]=0;f[l+4>>2]=0;W=YG(l,4)|0;b[W>>0]=115;b[W+1>>0]=105;b[W+2>>0]=122;b[W+3>>0]=101;W=f[I>>2]|0;if(!W){ZG(l);f[l>>2]=0;Pc=l+4|0;f[Pc>>2]=0;Qc=YG(l,24)|0;F=Qc;G=400382;H=F+24|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,610)}rb=f[l>>2]|0;P=(rb|0)==0?1163146:rb;xc=W;while(1){sb=f[xc+16>>2]|0;if((rb|0)==(sb|0)){ja=222;break}_=(sb|0)==0?1163146:sb;if((o7b(P,_)|0)<0)Rc=xc;else{if((o7b(_,P)|0)>=0){ja=226;break}Rc=xc+4|0}xc=f[Rc>>2]|0;if(!xc){ja=224;break}}if((ja|0)==222)ZG(l);else if((ja|0)==224){ZG(l);f[l>>2]=0;Pc=l+4|0;f[Pc>>2]=0;Qc=YG(l,24)|0;F=Qc;G=400382;H=F+24|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,610)}else if((ja|0)==226)ZG(l);f[m>>2]=0;f[m+4>>2]=0;xc=YG(m,4)|0;b[xc>>0]=115;b[xc+1>>0]=105;b[xc+2>>0]=122;b[xc+3>>0]=101;tza(l,dDa(i,m)|0);ZG(m);f[m>>2]=0;f[m+4>>2]=0;xc=YG(m,3)|0;b[xc>>0]=b[463628]|0;b[xc+1>>0]=b[463629]|0;b[xc+2>>0]=b[463630]|0;MCa(C,m,l)|0;ZG(m);f[o>>2]=0;f[o+4>>2]=0;F=YG(o,9)|0;G=400407;H=F+9|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));xc=f[I>>2]|0;do if(!xc)Sc=1;else{P=f[o>>2]|0;rb=(P|0)==0?1163146:P;W=I;_=xc;v:while(1){sb=_;while(1){mc=f[sb+16>>2]|0;if((mc|0)==(P|0))break;if((o7b((mc|0)==0?1163146:mc,rb)|0)>=0)break;mc=f[sb+4>>2]|0;if(!mc){Tc=W;break v}else sb=mc}_=f[sb>>2]|0;if(!_){Tc=sb;break}else W=sb}if((Tc|0)==(I|0)){Sc=1;break}W=f[Tc+16>>2]|0;if((P|0)!=(W|0)?(o7b(rb,(W|0)==0?1163146:W)|0)<=-1:0){Sc=1;break}W=rCa(Tc+24|0,-1)|0;Sc=(W|0)!=0|(J|0)!=0}while(0);ZG(o);f[m>>2]=Sc&1;f[o>>2]=0;f[o+4>>2]=0;xc=YG(o,4)|0;b[xc>>0]=97;b[xc+1>>0]=120;b[xc+2>>0]=105;b[xc+3>>0]=115;KCa(C,o,m)|0;ZG(o);xc=f[a+68>>2]|0;W=xc+60|0;_=f[W>>2]|0;if((_|0)==(f[xc+64>>2]|0))qEa(xc+56|0,k);else{xc=f[k>>2]|0;f[_>>2]=xc;f[_+4>>2]=f[B>>2];if(!xc)Uc=_;else{_=xc+4|0;f[_>>2]=(f[_>>2]|0)+1;Uc=f[W>>2]|0}f[W>>2]=Uc+8}rza(l);break b}while(0);W=(f[B>>2]|0)+8|0;ZG(W);F=YG(W,12)|0;G=442708;H=F+12|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));rEa(a,i,j);f[l>>2]=0;f[l+4>>2]=0;W=YG(l,6)|0;b[W>>0]=b[400137]|0;b[W+1>>0]=b[400138]|0;b[W+2>>0]=b[400139]|0;b[W+3>>0]=b[400140]|0;b[W+4>>0]=b[400141]|0;b[W+5>>0]=b[400142]|0;W=f[N>>2]|0;w:do if(!W)Vc=0;else{_=f[l>>2]|0;xc=(_|0)==0?1163146:_;ba=W;while(1){ca=f[ba+16>>2]|0;if((_|0)==(ca|0)){Vc=1;break w}mc=(ca|0)==0?1163146:ca;if((o7b(xc,mc)|0)<0)Wc=ba;else{if((o7b(mc,xc)|0)>=0){Vc=1;break w}Wc=ba+4|0}ba=f[Wc>>2]|0;if(!ba){Vc=0;break}}}while(0);ZG(l);if(!Vc){f[l>>2]=0;f[l+4>>2]=0;F=YG(l,28)|0;G=400144;H=F+28|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,593)}f[m>>2]=0;f[m+4>>2]=0;W=YG(m,6)|0;b[W>>0]=b[400137]|0;b[W+1>>0]=b[400138]|0;b[W+2>>0]=b[400139]|0;b[W+3>>0]=b[400140]|0;b[W+4>>0]=b[400141]|0;b[W+5>>0]=b[400142]|0;W=sEa(j,m)|0;ba=W+4|0;f[l>>2]=f[ba>>2];xc=l+4|0;_=W+8|0;f[xc>>2]=f[_>>2];mc=l+8|0;f[mc>>2]=f[W+12>>2];ca=l+12|0;f[ca>>2]=f[W+16>>2];yc=l+16|0;f[yc>>2]=f[W+20>>2];zc=l+20|0;f[zc>>2]=f[W+24>>2];Xc=l+24|0;f[Xc>>2]=f[W+28>>2];Yc=l+28|0;f[Yc>>2]=f[W+32>>2];Zc=l+32|0;f[Zc>>2]=f[W+36>>2];_c=l+36|0;$c=f[W+40>>2]|0;f[_c>>2]=$c;ad=l+40|0;f[ad>>2]=mc;bd=l+48|0;cd=l+44|0;f[cd>>2]=bd;f[bd>>2]=0;f[l+52>>2]=0;if($c|0){dd=$c+12|0;f[dd>>2]=(f[dd>>2]|0)+1}if((f[_>>2]|0)<3){_=f[W+48>>2]|0;W=f[cd>>2]|0;f[W>>2]=f[_>>2];f[W+4>>2]=f[_+4>>2]}else{f[xc>>2]=0;kP(l,ba)}ZG(m);ba=D+28|0;_=D+32|0;W=f[_>>2]|0;dd=D+36|0;if((W|0)==(f[dd>>2]|0))g2(ba,l);else{f[W>>2]=f[l>>2];$c=W+4|0;f[$c>>2]=f[xc>>2];ed=W+8|0;f[ed>>2]=f[mc>>2];f[W+12>>2]=f[ca>>2];f[W+16>>2]=f[yc>>2];f[W+20>>2]=f[zc>>2];f[W+24>>2]=f[Xc>>2];f[W+28>>2]=f[Yc>>2];f[W+32>>2]=f[Zc>>2];Zc=f[_c>>2]|0;f[W+36>>2]=Zc;f[W+40>>2]=ed;ed=W+48|0;Yc=W+44|0;f[Yc>>2]=ed;f[ed>>2]=0;f[W+52>>2]=0;if(Zc|0){ed=Zc+12|0;f[ed>>2]=(f[ed>>2]|0)+1}if((f[xc>>2]|0)<3){ed=f[cd>>2]|0;Zc=f[Yc>>2]|0;f[Zc>>2]=f[ed>>2];f[Zc+4>>2]=f[ed+4>>2]}else{f[$c>>2]=0;kP(W,l)}f[_>>2]=(f[_>>2]|0)+56}f[o>>2]=0;f[o+4>>2]=0;W=YG(o,4)|0;b[W>>0]=98;b[W+1>>0]=105;b[W+2>>0]=97;b[W+3>>0]=115;W=f[N>>2]|0;x:do if(!W)fd=0;else{$c=f[o>>2]|0;ed=($c|0)==0?1163146:$c;Zc=W;while(1){Yc=f[Zc+16>>2]|0;if(($c|0)==(Yc|0)){fd=1;break x}Xc=(Yc|0)==0?1163146:Yc;if((o7b(ed,Xc)|0)<0)gd=Zc;else{if((o7b(Xc,ed)|0)>=0){fd=1;break x}gd=Zc+4|0}Zc=f[gd>>2]|0;if(!Zc){fd=0;break}}}while(0);ZG(o);b[m>>0]=fd&1;if(fd){f[o>>2]=0;f[o+4>>2]=0;W=YG(o,4)|0;b[W>>0]=98;b[W+1>>0]=105;b[W+2>>0]=97;b[W+3>>0]=115;W=sEa(j,o)|0;Zc=W+4|0;ed=f[_>>2]|0;if((ed|0)==(f[dd>>2]|0))g2(ba,Zc);else{f[ed>>2]=f[Zc>>2];$c=ed+4|0;Xc=W+8|0;f[$c>>2]=f[Xc>>2];Yc=ed+8|0;f[Yc>>2]=f[W+12>>2];f[ed+12>>2]=f[W+16>>2];f[ed+16>>2]=f[W+20>>2];f[ed+20>>2]=f[W+24>>2];f[ed+24>>2]=f[W+28>>2];f[ed+28>>2]=f[W+32>>2];f[ed+32>>2]=f[W+36>>2];zc=f[W+40>>2]|0;f[ed+36>>2]=zc;f[ed+40>>2]=Yc;Yc=ed+48|0;ca=ed+44|0;f[ca>>2]=Yc;f[Yc>>2]=0;f[ed+52>>2]=0;if(zc|0){Yc=zc+12|0;f[Yc>>2]=(f[Yc>>2]|0)+1}if((f[Xc>>2]|0)<3){Xc=f[W+48>>2]|0;W=f[ca>>2]|0;f[W>>2]=f[Xc>>2];f[W+4>>2]=f[Xc+4>>2]}else{f[$c>>2]=0;kP(ed,Zc)}f[_>>2]=(f[_>>2]|0)+56}ZG(o)}f[o>>2]=0;f[o+4>>2]=0;F=YG(o,9)|0;G=468376;H=F+9|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));TCa(C,o,m)|0;ZG(o);f[o>>2]=0;f[o+4>>2]=0;F=YG(o,10)|0;G=459141;H=F+10|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));KCa(C,o,f[ad>>2]|0)|0;ZG(o);_=f[a+68>>2]|0;ba=_+60|0;dd=f[ba>>2]|0;if((dd|0)==(f[_+64>>2]|0))qEa(_+56|0,k);else{_=f[k>>2]|0;f[dd>>2]=_;f[dd+4>>2]=f[B>>2];if(!_)hd=dd;else{dd=_+4|0;f[dd>>2]=(f[dd>>2]|0)+1;hd=f[ba>>2]|0}f[ba>>2]=hd+8}ba=f[_c>>2]|0;do if(ba|0){dd=ba+12|0;_=f[dd>>2]|0;f[dd>>2]=_+-1;if((_|0)!=1)break;lP(l)}while(0);f[_c>>2]=0;f[yc>>2]=0;f[yc+4>>2]=0;f[yc+8>>2]=0;f[yc+12>>2]=0;if((f[xc>>2]|0)>0){ba=f[ad>>2]|0;_=0;do{f[ba+(_<<2)>>2]=0;_=_+1|0}while((_|0)<(f[xc>>2]|0))}xc=f[cd>>2]|0;if((xc|0)!=(bd|0))tE(xc);break b}while(0);xc=(f[B>>2]|0)+8|0;ZG(xc);_=YG(xc,7)|0;b[_>>0]=b[443971]|0;b[_+1>>0]=b[443972]|0;b[_+2>>0]=b[443973]|0;b[_+3>>0]=b[443974]|0;b[_+4>>0]=b[443975]|0;b[_+5>>0]=b[443976]|0;b[_+6>>0]=b[443977]|0;rEa(a,i,j);_=f[h>>2]|0;if((_|0)!=400250?(o7b((_|0)==0?1163146:_,400250)|0)!=0:0)id=_;else{f[l>>2]=0;f[l+4>>2]=0;_=YG(l,4)|0;b[_>>0]=112;b[_+1>>0]=111;b[_+2>>0]=111;b[_+3>>0]=108;$Ca(C,l,400290)|0;ZG(l);f[l>>2]=0;f[l+4>>2]=0;F=YG(l,15)|0;G=400294;H=F+15|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));f[m>>2]=0;f[m+4>>2]=0;_=YG(m,7)|0;b[_>>0]=b[400310]|0;b[_+1>>0]=b[400311]|0;b[_+2>>0]=b[400312]|0;b[_+3>>0]=b[400313]|0;b[_+4>>0]=b[400314]|0;b[_+5>>0]=b[400315]|0;b[_+6>>0]=b[400316]|0;KCa(C,l,sEa(j,m)|0)|0;ZG(m);ZG(l);id=f[h>>2]|0}if(!((id|0)!=400268?(o7b((id|0)==0?1163146:id,400268)|0)!=0:0)){f[l>>2]=0;f[l+4>>2]=0;_=YG(l,4)|0;b[_>>0]=112;b[_+1>>0]=111;b[_+2>>0]=111;b[_+3>>0]=108;$Ca(C,l,400318)|0;ZG(l);f[l>>2]=0;f[l+4>>2]=0;F=YG(l,20)|0;G=475063;H=F+20|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));f[o>>2]=0;f[o+4>>2]=0;F=YG(o,17)|0;G=400322;H=F+17|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));_=f[I>>2]|0;y:do if(!_)ja=134;else{xc=f[o>>2]|0;ba=(xc|0)==0?1163146:xc;ad=_;while(1){yc=f[ad+16>>2]|0;if((xc|0)==(yc|0))break;_c=(yc|0)==0?1163146:yc;if((o7b(ba,_c)|0)<0)jd=ad;else{if((o7b(_c,ba)|0)>=0)break;jd=ad+4|0}ad=f[jd>>2]|0;if(!ad){ja=134;break y}}f[q>>2]=0;f[q+4>>2]=0;F=YG(q,17)|0;G=400322;H=F+17|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));ad=rCa(dDa(i,q)|0,-1)|0;b[m>>0]=((ad|0)!=0|(J|0)!=0)&1;TCa(C,l,m)|0;ZG(q)}while(0);if((ja|0)==134){b[m>>0]=0;TCa(C,l,m)|0}ZG(o);ZG(l)}tEa(i,C);f[l>>2]=0;f[l+4>>2]=0;F=YG(l,9)|0;G=475039;H=F+9|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));_=f[I>>2]|0;if(!_){ZG(l);f[l>>2]=0;kd=l+4|0;f[kd>>2]=0;ld=YG(l,29)|0;F=ld;G=400340;H=F+29|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,583)}ad=f[l>>2]|0;ba=(ad|0)==0?1163146:ad;xc=_;while(1){bd=f[xc+16>>2]|0;if((ad|0)==(bd|0)){ja=144;break}cd=(bd|0)==0?1163146:bd;if((o7b(ba,cd)|0)<0)md=xc;else{if((o7b(cd,ba)|0)>=0){ja=148;break}md=xc+4|0}xc=f[md>>2]|0;if(!xc){ja=146;break}}if((ja|0)==144)ZG(l);else if((ja|0)==146){ZG(l);f[l>>2]=0;kd=l+4|0;f[kd>>2]=0;ld=YG(l,29)|0;F=ld;G=400340;H=F+29|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,583)}else if((ja|0)==148)ZG(l);f[l>>2]=0;f[l+4>>2]=0;F=YG(l,9)|0;G=475039;H=F+9|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));f[o>>2]=0;f[o+4>>2]=0;F=YG(o,9)|0;G=475039;H=F+9|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));xc=rCa(dDa(i,o)|0,-1)|0;b[m>>0]=((xc|0)!=0|(J|0)!=0)&1;TCa(C,l,m)|0;ZG(o);ZG(l);xc=f[a+68>>2]|0;ba=xc+60|0;ad=f[ba>>2]|0;if((ad|0)==(f[xc+64>>2]|0)){qEa(xc+56|0,k);break b}xc=f[k>>2]|0;f[ad>>2]=xc;f[ad+4>>2]=f[B>>2];if(!xc)nd=ad;else{ad=xc+4|0;f[ad>>2]=(f[ad>>2]|0)+1;nd=f[ba>>2]|0}f[ba>>2]=nd+8;break b}while(0);rEa(a,i,j);break}Q=(f[B>>2]|0)+8|0;ZG(Q);F=YG(Q,11)|0;G=444072;H=F+11|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));rEa(a,i,j);f[l>>2]=0;f[l+4>>2]=0;Q=YG(l,6)|0;b[Q>>0]=b[400137]|0;b[Q+1>>0]=b[400138]|0;b[Q+2>>0]=b[400139]|0;b[Q+3>>0]=b[400140]|0;b[Q+4>>0]=b[400141]|0;b[Q+5>>0]=b[400142]|0;Q=f[N>>2]|0;z:do if(!Q)od=0;else{ba=f[l>>2]|0;ad=(ba|0)==0?1163146:ba;xc=Q;while(1){_=f[xc+16>>2]|0;if((ba|0)==(_|0)){od=1;break z}cd=(_|0)==0?1163146:_;if((o7b(ad,cd)|0)<0)pd=xc;else{if((o7b(cd,ad)|0)>=0){od=1;break z}pd=xc+4|0}xc=f[pd>>2]|0;if(!xc){od=0;break}}}while(0);ZG(l);if(!od){f[l>>2]=0;f[l+4>>2]=0;F=YG(l,28)|0;G=400144;H=F+28|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,l,400173,399848,524)}Q=D+28|0;f[l>>2]=0;f[l+4>>2]=0;xc=YG(l,6)|0;b[xc>>0]=b[400137]|0;b[xc+1>>0]=b[400138]|0;b[xc+2>>0]=b[400139]|0;b[xc+3>>0]=b[400140]|0;b[xc+4>>0]=b[400141]|0;b[xc+5>>0]=b[400142]|0;xc=sEa(j,l)|0;ad=xc+4|0;ba=D+32|0;cd=f[ba>>2]|0;_=D+36|0;if((cd|0)==(f[_>>2]|0))g2(Q,ad);else{f[cd>>2]=f[ad>>2];bd=cd+4|0;_c=xc+8|0;f[bd>>2]=f[_c>>2];yc=cd+8|0;f[yc>>2]=f[xc+12>>2];f[cd+12>>2]=f[xc+16>>2];f[cd+16>>2]=f[xc+20>>2];f[cd+20>>2]=f[xc+24>>2];f[cd+24>>2]=f[xc+28>>2];f[cd+28>>2]=f[xc+32>>2];f[cd+32>>2]=f[xc+36>>2];dd=f[xc+40>>2]|0;f[cd+36>>2]=dd;f[cd+40>>2]=yc;yc=cd+48|0;Zc=cd+44|0;f[Zc>>2]=yc;f[yc>>2]=0;f[cd+52>>2]=0;if(dd|0){yc=dd+12|0;f[yc>>2]=(f[yc>>2]|0)+1}if((f[_c>>2]|0)<3){_c=f[xc+48>>2]|0;xc=f[Zc>>2]|0;f[xc>>2]=f[_c>>2];f[xc+4>>2]=f[_c+4>>2]}else{f[bd>>2]=0;kP(cd,ad)}f[ba>>2]=(f[ba>>2]|0)+56}ZG(l);f[m>>2]=0;f[m+4>>2]=0;ad=YG(m,4)|0;b[ad>>0]=98;b[ad+1>>0]=105;b[ad+2>>0]=97;b[ad+3>>0]=115;ad=f[N>>2]|0;A:do if(!ad)qd=0;else{cd=f[m>>2]|0;bd=(cd|0)==0?1163146:cd;_c=ad;while(1){xc=f[_c+16>>2]|0;if((cd|0)==(xc|0)){qd=1;break A}Zc=(xc|0)==0?1163146:xc;if((o7b(bd,Zc)|0)<0)rd=_c;else{if((o7b(Zc,bd)|0)>=0){qd=1;break A}rd=_c+4|0}_c=f[rd>>2]|0;if(!_c){qd=0;break}}}while(0);ZG(m);b[l>>0]=qd;f[m>>2]=0;f[m+4>>2]=0;F=YG(m,9)|0;G=468376;H=F+9|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));TCa(C,m,l)|0;ZG(m);if(b[l>>0]|0){f[m>>2]=0;f[m+4>>2]=0;ad=YG(m,4)|0;b[ad>>0]=98;b[ad+1>>0]=105;b[ad+2>>0]=97;b[ad+3>>0]=115;ad=sEa(j,m)|0;_c=ad+4|0;bd=f[ba>>2]|0;if((bd|0)==(f[_>>2]|0))g2(Q,_c);else{f[bd>>2]=f[_c>>2];cd=bd+4|0;Zc=ad+8|0;f[cd>>2]=f[Zc>>2];xc=bd+8|0;f[xc>>2]=f[ad+12>>2];f[bd+12>>2]=f[ad+16>>2];f[bd+16>>2]=f[ad+20>>2];f[bd+20>>2]=f[ad+24>>2];f[bd+24>>2]=f[ad+28>>2];f[bd+28>>2]=f[ad+32>>2];f[bd+32>>2]=f[ad+36>>2];yc=f[ad+40>>2]|0;f[bd+36>>2]=yc;f[bd+40>>2]=xc;xc=bd+48|0;dd=bd+44|0;f[dd>>2]=xc;f[xc>>2]=0;f[bd+52>>2]=0;if(yc|0){xc=yc+12|0;f[xc>>2]=(f[xc>>2]|0)+1}if((f[Zc>>2]|0)<3){Zc=f[ad+48>>2]|0;ad=f[dd>>2]|0;f[ad>>2]=f[Zc>>2];f[ad+4>>2]=f[Zc+4>>2]}else{f[cd>>2]=0;kP(bd,_c)}f[ba>>2]=(f[ba>>2]|0)+56}ZG(m)}f[m>>2]=0;f[m+4>>2]=0;F=YG(m,10)|0;G=459141;H=F+10|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));f[q>>2]=0;f[q+4>>2]=0;F=YG(q,12)|0;G=400189;H=F+12|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));ba=rCa(dDa(i,q)|0,-1)|0;f[o>>2]=ba;KCa(C,m,o)|0;ZG(q);ZG(m);tEa(i,C);ba=f[h>>2]|0;if(!((ba|0)!=400116?(o7b((ba|0)==0?1163146:ba,400116)|0)!=0:0)){ba=f[Q>>2]|0;if((f[ba+4>>2]|0)!=2){f[m>>2]=0;f[m+4>>2]=0;F=YG(m,30)|0;G=400202;H=F+30|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));SQ(-215,m,400173,399848,539)}_=f[(f[ba+40>>2]|0)+4>>2]|0;f[m>>2]=0;_c=m+4|0;f[_c>>2]=0;f[m+8>>2]=0;bd=Bmc(16)|0;f[m>>2]=bd;cd=bd+16|0;f[m+8>>2]=cd;f[bd>>2]=0;f[bd+4>>2]=0;f[bd+8>>2]=0;f[bd+12>>2]=0;f[_c>>2]=cd;f[bd>>2]=f[f[(f[Q>>2]|0)+40>>2]>>2];f[o>>2]=0;f[o+4>>2]=0;bd=YG(o,8)|0;cd=bd;b[cd>>0]=107;b[cd+1>>0]=101;b[cd+2>>0]=114;b[cd+3>>0]=110;cd=bd+4|0;b[cd>>0]=101;b[cd+1>>0]=108;b[cd+2>>0]=95;b[cd+3>>0]=104;cd=rCa(dDa(C,o)|0,-1)|0;f[(f[m>>2]|0)+8>>2]=cd;ZG(o);f[o>>2]=0;f[o+4>>2]=0;cd=YG(o,8)|0;bd=cd;b[bd>>0]=107;b[bd+1>>0]=101;b[bd+2>>0]=114;b[bd+3>>0]=110;bd=cd+4|0;b[bd>>0]=101;b[bd+1>>0]=108;b[bd+2>>0]=95;b[bd+3>>0]=119;bd=rCa(dDa(C,o)|0,-1)|0;f[(f[m>>2]|0)+12>>2]=bd;ZG(o);bd=f[m>>2]|0;cd=(_|0)/(Y(f[bd+12>>2]|0,f[bd+8>>2]|0)|0)|0;f[bd+4>>2]=cd;zP(o,f[Q>>2]|0,1,m);cd=f[Q>>2]|0;bd=o+36|0;if((cd|0)!=(o|0)){_=f[bd>>2]|0;if(_|0){Zc=_+12|0;f[Zc>>2]=(f[Zc>>2]|0)+1}Zc=cd+36|0;_=f[Zc>>2]|0;do if(_|0){ad=_+12|0;dd=f[ad>>2]|0;f[ad>>2]=dd+-1;if((dd|0)!=1)break;lP(cd)}while(0);f[Zc>>2]=0;_=cd+16|0;Q=cd+4|0;f[_>>2]=0;f[_+4>>2]=0;f[_+8>>2]=0;f[_+12>>2]=0;if((f[Q>>2]|0)>0){ba=f[cd+40>>2]|0;dd=0;do{f[ba+(dd<<2)>>2]=0;dd=dd+1|0;sd=f[Q>>2]|0}while((dd|0)<(sd|0));f[cd>>2]=f[o>>2];if((sd|0)<3)ja=91;else ja=93}else{f[cd>>2]=f[o>>2];ja=91}do if((ja|0)==91){dd=f[o+4>>2]|0;if((dd|0)>=3){ja=93;break}f[Q>>2]=dd;f[cd+8>>2]=f[o+8>>2];f[cd+12>>2]=f[o+12>>2];dd=f[o+44>>2]|0;ba=f[cd+44>>2]|0;f[ba>>2]=f[dd>>2];f[ba+4>>2]=f[dd+4>>2]}while(0);if((ja|0)==93)kP(cd,o);f[_>>2]=f[o+16>>2];f[cd+20>>2]=f[o+20>>2];f[cd+24>>2]=f[o+24>>2];f[cd+28>>2]=f[o+28>>2];f[cd+32>>2]=f[o+32>>2];f[Zc>>2]=f[bd>>2]}Q=f[bd>>2]|0;do if(Q|0){dd=Q+12|0;ba=f[dd>>2]|0;f[dd>>2]=ba+-1;if((ba|0)!=1)break;lP(o)}while(0);f[bd>>2]=0;Q=o+16|0;Zc=o+4|0;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q+12>>2]=0;if((f[Zc>>2]|0)>0){Q=f[o+40>>2]|0;cd=0;do{f[Q+(cd<<2)>>2]=0;cd=cd+1|0}while((cd|0)<(f[Zc>>2]|0))}Zc=f[o+44>>2]|0;if((Zc|0)!=(o+48|0))tE(Zc);Zc=f[m>>2]|0;if(Zc|0){cd=f[_c>>2]|0;if((cd|0)!=(Zc|0))f[_c>>2]=cd+(~((cd+-4-Zc|0)>>>2)<<2);Emc(Zc)}}Zc=f[a+68>>2]|0;cd=Zc+60|0;Q=f[cd>>2]|0;if((Q|0)==(f[Zc+64>>2]|0))qEa(Zc+56|0,k);else{Zc=f[k>>2]|0;f[Q>>2]=Zc;f[Q+4>>2]=f[B>>2];if(!Zc)td=Q;else{Q=Zc+4|0;f[Q>>2]=(f[Q>>2]|0)+1;td=f[cd>>2]|0}f[cd>>2]=td+8}}else ja=24;while(0);do if((ja|0)==24){D=a+68|0;O=f[D>>2]|0;cd=O+60|0;Q=f[cd>>2]|0;if((Q|0)==(f[O+64>>2]|0)){qEa(O+56|0,k);ud=B}else{Zc=f[k>>2]|0;f[Q>>2]=Zc;f[Q+4>>2]=f[B>>2];if(!Zc)vd=Q;else{Q=Zc+4|0;f[Q>>2]=(f[Q>>2]|0)+1;vd=f[cd>>2]|0}f[cd>>2]=vd+8;ud=B}f[D>>2]=f[ud>>2];rEa(a,i,j);f[D>>2]=O;O=f[h>>2]|0;if((O|0)!=400003?(D=(O|0)==0?1163146:O,o7b(D,400003)|0):0){if((((O|0)!=443891?!((o7b(D,443891)|0)==0|(O|0)==400024):0)?!((o7b(D,400024)|0)==0|(O|0)==400034):0)?o7b(D,400034)|0:0)break;f[l>>2]=0;f[l+4>>2]=0;F=YG(l,9)|0;G=400087;H=F+9|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));f[o>>2]=0;f[o+4>>2]=0;F=YG(o,9)|0;G=400087;H=F+9|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));_c=rCa(dDa(i,o)|0,-1)|0;f[m>>2]=_c;KCa(C,l,m)|0;ZG(o);ZG(l);break}f[l>>2]=0;f[l+4>>2]=0;F=YG(l,14)|0;G=400056;H=F+14|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));f[o>>2]=0;f[o+4>>2]=0;F=YG(o,14)|0;G=400056;H=F+14|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));_c=rCa(dDa(i,o)|0,-1)|0;f[m>>2]=_c;KCa(C,l,m)|0;ZG(o);ZG(l);f[l>>2]=0;f[l+4>>2]=0;F=YG(l,15)|0;G=400071;H=F+15|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));f[o>>2]=0;f[o+4>>2]=0;F=YG(o,15)|0;G=400071;H=F+15|0;do{b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}while((F|0)<(H|0));_c=rCa(dDa(i,o)|0,-1)|0;f[m>>2]=_c;KCa(C,l,m)|0;ZG(o);ZG(l)}while(0);C=f[k>>2]|0;if(C|0?(B=C+4|0,_c=f[B>>2]|0,f[B>>2]=_c+-1,(_c|0)==1):0)ai[f[(f[C>>2]|0)+8>>2]&2047](C);vEa(j,f[N>>2]|0);nza(i,f[I>>2]|0)}while(0);i=f[A>>2]|0;do if(i){j=f[e>>2]|0;k=a+20|0;l=i;while(1){o=f[l+16>>2]|0;if((j|0)<(o|0)){m=f[l>>2]|0;if(!m){ja=1211;break}else{wd=l;xd=m}}else{if((o|0)>=(j|0)){ja=1215;break}yd=l+4|0;o=f[yd>>2]|0;if(!o){ja=1214;break}else{wd=yd;xd=o}}k=wd;l=xd}if((ja|0)==1211){zd=l;Ad=l;break}else if((ja|0)==1214){zd=yd;Ad=l;break}else if((ja|0)==1215){zd=k;Ad=l;break}}else{zd=A;Ad=A}while(0);if(!(f[zd>>2]|0)){A=Bmc(20)|0;f[A+16>>2]=f[e>>2];f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=Ad;f[zd>>2]=A;Ad=f[f[z>>2]>>2]|0;if(!Ad)Bd=A;else{f[z>>2]=Ad;Bd=f[zd>>2]|0}RS(f[a+20>>2]|0,Bd);Bd=a+24|0;f[Bd>>2]=(f[Bd>>2]|0)+1}ZG(h);ZG(g);u=d;return}function kEa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;if((b|0)<0)c=nyb(f[a+12>>2]|0)|0;else c=b;b=a+16|0;d=a+20|0;e=f[d>>2]|0;do if(e){g=e;do{h=f[g+16>>2]|0;if((c|0)<(h|0))i=g;else{if((h|0)>=(c|0)){j=25;break}i=g+4|0}g=f[i>>2]|0}while((g|0)!=0);if((j|0)==25)return;g=a+20|0;h=e;while(1){k=f[h+16>>2]|0;if((c|0)<(k|0)){l=f[h>>2]|0;if(!l){j=13;break}else{m=h;n=l}}else{if((k|0)>=(c|0)){j=17;break}o=h+4|0;k=f[o>>2]|0;if(!k){j=16;break}else{m=o;n=k}}g=m;h=n}if((j|0)==13){p=h;q=h;break}else if((j|0)==16){p=o;q=h;break}else if((j|0)==17){p=g;q=h;break}}else{p=d;q=d}while(0);if(!(f[p>>2]|0)){d=Bmc(20)|0;f[d+16>>2]=c;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=q;f[p>>2]=d;q=f[f[b>>2]>>2]|0;if(!q)r=d;else{f[b>>2]=q;r=f[p>>2]|0}RS(f[a+20>>2]|0,r);r=a+24|0;f[r>>2]=(f[r>>2]|0)+1}r=nyb(f[a+12>>2]|0)|0;if((r|0)>0)s=0;else return;do{gEa(a);gEa(a);s=s+1|0}while((s|0)!=(r|0));return}function lEa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+16|0;e=d;g=c+12|0;c=nyb(f[g>>2]|0)|0;f[e>>2]=0;h=e+4|0;f[h>>2]=0;if(!c)i=0;else{Drc(YG(e,c)|0,0,c|0)|0;i=f[e>>2]|0}byb(f[g>>2]|0,(i|0)==0?1163146:i,c)|0;c=f[e>>2]|0;i=f[h>>2]|0;h=c;a:do if(i|0?(j=c+i|0,(i|0)>0):0){k=c;while(1){if((b[k>>0]|0)==86){if(k>>>0>=j>>>0)break a;l=k+1|0;if((b[l>>0]|0)==32)break;else m=l}else m=k+1|0;if(m>>>0<j>>>0)k=m;else break a}if(l>>>0<j>>>0&(k|0)==(c|0)){n=nyb(f[g>>2]|0)|0;f[a>>2]=0;f[a+4>>2]=0;if(!n)o=0;else{Drc(YG(a,n)|0,0,n|0)|0;o=f[a>>2]|0}byb(f[g>>2]|0,(o|0)==0?1163146:o,n)|0;ZG(e);u=d;return}}while(0);f[a>>2]=h;f[a+4>>2]=i;if(!c){ZG(e);u=d;return}i=c+-4|0;f[i>>2]=(f[i>>2]|0)+1;ZG(e);u=d;return}function mEa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;e=u;u=u+48|0;g=e+32|0;h=e+24|0;i=e+16|0;j=e+8|0;k=e;l=f[a>>2]|0;m=a+4|0;n=f[m>>2]|0;o=l;if(!n){p=-1;u=e;return p|0}q=b[d>>0]|0;if(!(q<<24>>24)){p=-1;u=e;return p|0}r=l+n|0;if((n|0)>0)s=l;else{p=-1;u=e;return p|0}a:while(1){t=0;v=q;while(1){w=s+t|0;if(v<<24>>24!=(b[w>>0]|0))break;t=t+1|0;if(w>>>0>=r>>>0){p=-1;x=51;break a}v=b[d+t>>0]|0;if(!(v<<24>>24)){x=9;break a}}v=s+1|0;if(v>>>0<r>>>0)s=v;else{p=-1;x=51;break}}if((x|0)==9){if((s|0)!=(l|0)){p=-1;u=e;return p|0}s=s8b(c)|0;b:do if(n>>>0>=s>>>0?(r=n-s|0,q=l+r|0,(r|0)>=0):0){c:do if(!s)y=q;else{r=q;while(1){v=0;while(1){if((b[c+v>>0]|0)!=(b[r+v>>0]|0)){z=v;break}t=v+1|0;if(t>>>0<s>>>0)v=t;else{z=t;break}}if((z|0)==(s|0)){y=r;break c}r=r+-1|0;if(r>>>0<l>>>0){A=-1;break b}}}while(0);A=y-o|0}else A=-1;while(0);o=s8b(c)|0;if((A|0)!=(n-o|0)){p=-1;u=e;return p|0}A=s8b(d)|0;d=n-A-o|0;f[g>>2]=0;o=g+4|0;f[o>>2]=0;c=n>>>0<A>>>0?n:A;A=n-c|0;y=A>>>0>d>>>0?d:A;if(y){if((y|0)==(n|0)){n=l+-4|0;f[n>>2]=(f[n>>2]|0)+1;n=f[a>>2]|0;f[g>>2]=n;f[o>>2]=f[m>>2];B=n}else{n=YG(g,y)|0;Krc(n|0,(f[a>>2]|0)+c|0,y|0)|0;B=f[g>>2]|0}if((B|0)==402405)C=6;else{D=B;x=25}}else{D=0;x=25}do if((x|0)==25)if(o7b((D|0)==0?1163146:D,402405)|0)if(((D|0)!=402412?!((o7b((D|0)==0?1163146:D,402412)|0)==0|(D|0)==402418):0)?(o7b((D|0)==0?1163146:D,402418)|0)!=0:0)if((D|0)!=402423?(o7b((D|0)==0?1163146:D,402423)|0)!=0:0)if((D|0)!=402428?(o7b((D|0)==0?1163146:D,402428)|0)!=0:0)if((D|0)!=402433?(o7b((D|0)==0?1163146:D,402433)|0)!=0:0)if((D|0)==402439)C=4;else{if(!(o7b((D|0)==0?1163146:D,402439)|0)){C=4;break}if((D|0)==402443){C=12;break}if(!(o7b((D|0)==0?1163146:D,402443)|0)){C=12;break}f[k>>2]=0;B=k+4|0;f[B>>2]=0;YG(k,(f[o>>2]|0)+14|0)|0;y=f[k>>2]|0;c=y;n=403641;l=c+14|0;do{b[c>>0]=b[n>>0]|0;c=c+1|0;n=n+1|0}while((c|0)<(l|0));A=f[o>>2]|0;if(A|0)Krc(y+14|0,f[g>>2]|0,A|0)|0;f[j>>2]=0;A=j+4|0;f[A>>2]=0;YG(j,(f[B>>2]|0)+18|0)|0;d=f[B>>2]|0;if(!d)E=0;else{Krc(f[j>>2]|0,f[k>>2]|0,d|0)|0;E=f[B>>2]|0}c=(f[j>>2]|0)+E|0;n=402448;l=c+18|0;do{b[c>>0]=b[n>>0]|0;c=c+1|0;n=n+1|0}while((c|0)<(l|0));f[i>>2]=0;n=i+4|0;f[n>>2]=0;YG(i,(f[m>>2]|0)+(f[A>>2]|0)|0)|0;c=f[A>>2]|0;if(c|0)Krc(f[i>>2]|0,f[j>>2]|0,c|0)|0;c=f[m>>2]|0;if(c|0)Krc((f[i>>2]|0)+(f[A>>2]|0)|0,f[a>>2]|0,c|0)|0;f[h>>2]=0;f[h+4>>2]=0;YG(h,(f[n>>2]|0)+1|0)|0;c=f[n>>2]|0;if(!c){F=0;G=f[h>>2]|0;H=G+F|0;b[H>>0]=34;SQ(-213,h,402467,399848,232)}Krc(f[h>>2]|0,f[i>>2]|0,c|0)|0;F=f[n>>2]|0;G=f[h>>2]|0;H=G+F|0;b[H>>0]=34;SQ(-213,h,402467,399848,232)}else C=3;else C=1;else C=0;else C=5;else C=6;while(0);ZG(g);p=C;u=e;return p|0}else if((x|0)==51){u=e;return p|0}return 0}function nEa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0;e=u;u=u+560|0;g=e+544|0;h=e+40|0;i=e;j=e+428|0;k=e+368|0;l=e+488|0;m=e+256|0;n=e+200|0;o=e+140|0;p=e+80|0;q=e+312|0;r=a+12|0;s=nyb(f[r>>2]|0)|0;t=h+8|0;f[h>>2]=t;v=h+4|0;w=s>>>0>4;f[v>>2]=s;if(w){x=Dmc(s>>>0>536870911?-1:s<<3)|0;f[h>>2]=x;y=x}else y=t;x=i+8|0;f[i>>2]=x;z=i+4|0;f[z>>2]=s;if(w){A=Dmc(s>>>0>536870911?-1:s<<3)|0;f[i>>2]=A}eyb(f[r>>2]|0,y,s)|0;eyb(f[r>>2]|0,f[i>>2]|0,s)|0;y=oyb(f[r>>2]|0)|0;A=y+-1|0;y=nyb(f[r>>2]|0)|0;if(!((y|0)==4|(y|s|0)==0)){f[g>>2]=0;f[g+4>>2]=0;B=YG(g,60)|0;C=402217;D=B+60|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));SQ(-215,g,402278,399848,399)}if(!y){y=a+40|0;f[l>>2]=1124007936;E=l+4|0;F=l+8|0;G=l+40|0;B=E;D=B+36|0;do{f[B>>2]=0;B=B+4|0}while((B|0)<(D|0));f[G>>2]=F;F=l+48|0;H=l+44|0;f[H>>2]=F;f[F>>2]=0;f[l+52>>2]=0;f[k>>2]=c;I=k+4|0;f[I>>2]=1124007936;J=k+8|0;K=k+12|0;L=k+20|0;M=l+16|0;N=k+40|0;O=l+36|0;P=k+44|0;B=J;D=B+36|0;do{f[B>>2]=0;B=B+4|0}while((B|0)<(D|0));f[P>>2]=K;K=k+52|0;Q=k+48|0;f[Q>>2]=K;f[K>>2]=0;f[k+56>>2]=0;f[j>>2]=c;R=j+4|0;f[R>>2]=1124007936;S=j+8|0;T=j+12|0;U=j+20|0;V=j+40|0;W=j+44|0;B=S;D=B+36|0;do{f[B>>2]=0;B=B+4|0}while((B|0)<(D|0));f[W>>2]=T;T=j+52|0;X=j+48|0;f[X>>2]=T;f[T>>2]=0;f[j+56>>2]=0;Z=f[Q>>2]|0;f[T>>2]=f[Z>>2];f[j+56>>2]=f[Z+4>>2];Z=a+44|0;_=f[Z>>2]|0;do if(_){$=f[j>>2]|0;aa=a+44|0;ba=_;while(1){ca=f[ba+16>>2]|0;if(($|0)<(ca|0)){da=f[ba>>2]|0;if(!da){ea=13;break}else{fa=ba;ga=da}}else{if((ca|0)>=($|0)){ea=17;break}ha=ba+4|0;ca=f[ha>>2]|0;if(!ca){ea=16;break}else{fa=ha;ga=ca}}aa=fa;ba=ga}if((ea|0)==13){ia=ba;ja=ba;break}else if((ea|0)==16){ia=ha;ja=ba;break}else if((ea|0)==17){ia=aa;ja=ba;break}}else{ia=Z;ja=Z}while(0);if(!(f[ia>>2]|0)){CEa(g,y,j);Z=f[g>>2]|0;f[g>>2]=0;f[Z>>2]=0;f[Z+4>>2]=0;f[Z+8>>2]=ja;f[ia>>2]=Z;ja=f[f[y>>2]>>2]|0;if(!ja)ka=Z;else{f[y>>2]=ja;ka=f[ia>>2]|0}RS(f[a+44>>2]|0,ka);ka=a+48|0;f[ka>>2]=(f[ka>>2]|0)+1;ka=f[V>>2]|0;if(ka|0?(ia=ka+12|0,ka=f[ia>>2]|0,f[ia>>2]=ka+-1,(ka|0)==1):0)lP(R)}f[V>>2]=0;f[U>>2]=0;f[U+4>>2]=0;f[U+8>>2]=0;f[U+12>>2]=0;if((f[S>>2]|0)>0){U=f[W>>2]|0;W=0;do{f[U+(W<<2)>>2]=0;W=W+1|0}while((W|0)<(f[S>>2]|0))}S=f[X>>2]|0;if((S|0)!=(T|0))tE(S);S=f[N>>2]|0;if(S|0?(T=S+12|0,S=f[T>>2]|0,f[T>>2]=S+-1,(S|0)==1):0)lP(I);f[N>>2]=0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;if((f[J>>2]|0)>0){L=f[P>>2]|0;P=0;do{f[L+(P<<2)>>2]=0;P=P+1|0}while((P|0)<(f[J>>2]|0))}J=f[Q>>2]|0;if((J|0)!=(K|0))tE(J);J=f[O>>2]|0;if(J|0?(K=J+12|0,J=f[K>>2]|0,f[K>>2]=J+-1,(J|0)==1):0)lP(l);f[O>>2]=0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[E>>2]|0)>0){M=f[G>>2]|0;G=0;do{f[M+(G<<2)>>2]=0;G=G+1|0}while((G|0)<(f[E>>2]|0))}E=f[H>>2]|0;if((E|0)!=(F|0))tE(E)}else{E=nyb(f[r>>2]|0)|0;r=a+16|0;F=a+20|0;H=f[F>>2]|0;a:do if(!H)ea=54;else{G=H;while(1){M=f[G+16>>2]|0;if((E|0)<(M|0))la=G;else{if((M|0)>=(E|0))break;la=G+4|0}G=f[la>>2]|0;if(!G){ea=54;break a}}G=a+32|0;ma=d;na=a+28|0;oa=G;pa=G}while(0);if((ea|0)==54){lEa(g,a);la=mEa(g,399972,399965)|0;if(!((la|0)>-1&(la|0)==(d|0))){f[j>>2]=0;f[j+4>>2]=0;B=YG(j,45)|0;C=402294;D=B+45|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));SQ(-215,j,402278,399848,412)}oEa(a,E,d);d=a+28|0;la=a+32|0;H=f[la>>2]|0;do if(H){G=a+32|0;ba=H;aa=H;while(1){M=f[ba+16>>2]|0;if((E|0)<(M|0)){O=f[ba>>2]|0;if(!O){ea=61;break}else{qa=ba;ra=O}}else{if((M|0)>=(E|0)){ea=65;break}sa=ba+4|0;M=f[sa>>2]|0;if(!M){ea=64;break}else{qa=sa;ra=M}}G=qa;ba=ra;aa=ra}if((ea|0)==61){ta=ba;ua=ba;ea=68;break}else if((ea|0)==64){ta=sa;ua=ba;ea=68;break}else if((ea|0)==65){va=G;wa=ba;xa=aa;ea=67;break}}else{va=la;wa=la;xa=H;ea=67}while(0);if((ea|0)==67)if(!xa){ta=va;ua=wa;ea=68}else ya=xa;if((ea|0)==68){xa=Bmc(76)|0;f[xa+16>>2]=E;f[xa+20>>2]=1124007936;wa=xa+28|0;va=xa+60|0;B=xa+24|0;D=B+36|0;do{f[B>>2]=0;B=B+4|0}while((B|0)<(D|0));f[va>>2]=wa;wa=xa+68|0;f[xa+64>>2]=wa;f[wa>>2]=0;f[xa+72>>2]=0;f[xa>>2]=0;f[xa+4>>2]=0;f[xa+8>>2]=ua;f[ta>>2]=xa;ua=f[f[d>>2]>>2]|0;if(!ua)za=xa;else{f[d>>2]=ua;za=f[ta>>2]|0}RS(f[a+32>>2]|0,za);za=a+36|0;f[za>>2]=(f[za>>2]|0)+1;ya=xa}xa=f[ya+20>>2]&4095;ya=f[F>>2]|0;do if(ya){za=a+20|0;ta=ya;while(1){ua=f[ta+16>>2]|0;if((E|0)<(ua|0)){wa=f[ta>>2]|0;if(!wa){ea=76;break}else{Aa=ta;Ba=wa}}else{if((ua|0)>=(E|0)){ea=80;break}Ca=ta+4|0;ua=f[Ca>>2]|0;if(!ua){ea=79;break}else{Aa=Ca;Ba=ua}}za=Aa;ta=Ba}if((ea|0)==76){Da=ta;Ea=ta;break}else if((ea|0)==79){Da=Ca;Ea=ta;break}else if((ea|0)==80){Da=za;Ea=ta;break}}else{Da=F;Ea=F}while(0);if(!(f[Da>>2]|0)){F=Bmc(20)|0;f[F+16>>2]=E;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=Ea;f[Da>>2]=F;Ea=f[f[r>>2]>>2]|0;if(!Ea)Fa=F;else{f[r>>2]=Ea;Fa=f[Da>>2]|0}RS(f[a+20>>2]|0,Fa);Fa=a+24|0;f[Fa>>2]=(f[Fa>>2]|0)+1}ZG(g);ma=xa;na=d;oa=la;pa=la}la=f[f[i>>2]>>2]|0;d=f[f[h>>2]>>2]|0;xa=f[pa>>2]|0;Fa=a+32|0;do if(xa){Da=Fa;Ea=xa;r=xa;while(1){F=f[Ea+16>>2]|0;if((E|0)<(F|0)){Ca=f[Ea>>2]|0;if(!Ca){ea=92;break}else{Ga=Ea;Ha=Ca}}else{if((F|0)>=(E|0)){ea=96;break}Ia=Ea+4|0;F=f[Ia>>2]|0;if(!F){ea=95;break}else{Ga=Ia;Ha=F}}Da=Ga;Ea=Ha;r=Ha}if((ea|0)==92){Ja=Ea;Ka=Ea;ea=98;break}else if((ea|0)==95){Ja=Ia;Ka=Ea;ea=98;break}else if((ea|0)==96){La=Da;Ma=Ea;Na=r;ea=97;break}}else{La=Fa;Ma=oa;Na=xa;ea=97}while(0);if((ea|0)==97)if(!Na){Ja=La;Ka=Ma;ea=98}else Oa=Na;if((ea|0)==98){Na=Bmc(76)|0;f[Na+16>>2]=E;f[Na+20>>2]=1124007936;Ma=Na+28|0;La=Na+60|0;B=Na+24|0;D=B+36|0;do{f[B>>2]=0;B=B+4|0}while((B|0)<(D|0));f[La>>2]=Ma;Ma=Na+68|0;f[Na+64>>2]=Ma;f[Ma>>2]=0;f[Na+72>>2]=0;f[Na>>2]=0;f[Na+4>>2]=0;f[Na+8>>2]=Ka;f[Ja>>2]=Na;Ka=f[f[a+28>>2]>>2]|0;if(!Ka)Pa=Na;else{f[na>>2]=Ka;Pa=f[Ja>>2]|0}RS(f[a+32>>2]|0,Pa);Pa=a+36|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Oa=Na}Na=(Y(d,la)|0)+A|0;la=f[Oa+24>>2]|0;if((la|0)<3)Qa=Y(f[Oa+32>>2]|0,f[Oa+28>>2]|0)|0;else{d=f[Oa+60>>2]|0;Oa=0;Pa=1;while(1){Ja=Y(f[d+(Oa<<2)>>2]|0,Pa)|0;Oa=Oa+1|0;if((Oa|0)==(la|0)){Qa=Ja;break}else Pa=Ja}}if(Na>>>0>Qa>>>0){f[g>>2]=0;f[g+4>>2]=0;B=YG(g,64)|0;C=402340;D=B+64|0;do{b[B>>0]=b[C>>0]|0;B=B+1|0;C=C+1|0}while((B|0)<(D|0));SQ(-201,g,402278,399848,422)}C=j+8|0;f[j>>2]=C;Qa=j+4|0;f[Qa>>2]=s;if(w){Na=Dmc(s>>>0>1073741823?-1:s<<2)|0;f[j>>2]=Na;Ra=Na}else Ra=C;Na=k+8|0;f[k>>2]=Na;Pa=k+4|0;f[Pa>>2]=s;if(w){w=Dmc(s>>>0>1073741823?-1:s<<2)|0;f[k>>2]=w;Sa=w}else Sa=Na;if((s|0)>0){w=f[h>>2]|0;la=f[i>>2]|0;Oa=(ma>>>3&511)+1<<(47696>>>(ma<<1&14)&3);d=s;do{Ja=d;d=d+-1|0;f[Ra+(d<<2)>>2]=f[w+(d<<3)>>2];Ka=Y(f[la+(d<<3)>>2]|0,Oa)|0;f[Sa+(d<<2)>>2]=Ka}while((Ja|0)>1)}d=f[pa>>2]|0;pa=a+32|0;do if(d){Oa=pa;la=d;w=d;while(1){Ja=f[la+16>>2]|0;if((E|0)<(Ja|0)){Ka=f[la>>2]|0;if(!Ka){ea=117;break}else{Ta=la;Ua=Ka}}else{if((Ja|0)>=(E|0)){ea=121;break}Va=la+4|0;Ja=f[Va>>2]|0;if(!Ja){ea=120;break}else{Ta=Va;Ua=Ja}}Oa=Ta;la=Ua;w=Ua}if((ea|0)==117){Wa=la;Xa=la;ea=123;break}else if((ea|0)==120){Wa=Va;Xa=la;ea=123;break}else if((ea|0)==121){Ya=Oa;Za=la;_a=w;ea=122;break}}else{Ya=pa;Za=oa;_a=d;ea=122}while(0);if((ea|0)==122)if(!_a){Wa=Ya;Xa=Za;ea=123}else{$a=_a;ab=Sa}if((ea|0)==123){Sa=Bmc(76)|0;f[Sa+16>>2]=E;f[Sa+20>>2]=1124007936;E=Sa+28|0;_a=Sa+60|0;B=Sa+24|0;D=B+36|0;do{f[B>>2]=0;B=B+4|0}while((B|0)<(D|0));f[_a>>2]=E;E=Sa+68|0;f[Sa+64>>2]=E;f[E>>2]=0;f[Sa+72>>2]=0;f[Sa>>2]=0;f[Sa+4>>2]=0;f[Sa+8>>2]=Xa;f[Wa>>2]=Sa;Xa=f[f[a+28>>2]>>2]|0;if(!Xa)bb=Sa;else{f[na>>2]=Xa;bb=f[Wa>>2]|0}RS(f[a+32>>2]|0,bb);bb=a+36|0;f[bb>>2]=(f[bb>>2]|0)+1;$a=Sa;ab=f[k>>2]|0}qP(m,s,Ra,ma,(f[$a+36>>2]|0)+(Y((ma>>>3&511)+1<<(47696>>>(ma<<1&14)&3),A)|0)|0,ab);f[n>>2]=1124007936;ab=n+4|0;A=n+8|0;ma=n+40|0;B=ab;D=B+36|0;do{f[B>>2]=0;B=B+4|0}while((B|0)<(D|0));f[ma>>2]=A;B=n+48|0;D=n+44|0;f[D>>2]=B;f[B>>2]=0;f[n+52>>2]=0;$a=g+8|0;f[$a>>2]=0;f[$a+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=n;IO(m,g,5,1.0,0.0);$a=a+40|0;f[q>>2]=f[n>>2];Ra=q+4|0;s=f[ab>>2]|0;f[Ra>>2]=s;Sa=q+8|0;f[Sa>>2]=f[A>>2];A=q+12|0;f[A>>2]=f[n+12>>2];bb=q+16|0;Wa=n+16|0;f[bb>>2]=f[Wa>>2];Xa=q+20|0;f[Xa>>2]=f[n+20>>2];na=q+24|0;f[na>>2]=f[n+24>>2];E=q+28|0;f[E>>2]=f[n+28>>2];_a=q+32|0;f[_a>>2]=f[n+32>>2];Za=q+36|0;Ya=n+36|0;d=f[Ya>>2]|0;f[Za>>2]=d;oa=q+40|0;f[oa>>2]=Sa;pa=q+48|0;Va=q+44|0;f[Va>>2]=pa;f[pa>>2]=0;f[q+52>>2]=0;if(!d)cb=s;else{s=d+12|0;f[s>>2]=(f[s>>2]|0)+1;cb=f[ab>>2]|0}if((cb|0)<3){cb=f[D>>2]|0;s=f[Va>>2]|0;f[s>>2]=f[cb>>2];f[s+4>>2]=f[cb+4>>2]}else{f[Ra>>2]=0;kP(q,n)}f[p>>2]=c;c=p+4|0;f[c>>2]=f[q>>2];cb=p+8|0;s=f[Ra>>2]|0;f[cb>>2]=s;d=p+12|0;f[d>>2]=f[Sa>>2];Sa=p+16|0;f[Sa>>2]=f[A>>2];A=p+20|0;f[A>>2]=f[bb>>2];Ua=p+24|0;f[Ua>>2]=f[Xa>>2];Xa=p+28|0;f[Xa>>2]=f[na>>2];na=p+32|0;f[na>>2]=f[E>>2];E=p+36|0;f[E>>2]=f[_a>>2];_a=p+40|0;Ta=f[Za>>2]|0;f[_a>>2]=Ta;r=p+44|0;f[r>>2]=d;Ea=p+52|0;Da=p+48|0;f[Da>>2]=Ea;f[Ea>>2]=0;f[p+56>>2]=0;if(!Ta)db=s;else{s=Ta+12|0;f[s>>2]=(f[s>>2]|0)+1;db=f[Ra>>2]|0}if((db|0)<3){db=f[Va>>2]|0;s=f[Da>>2]|0;f[s>>2]=f[db>>2];f[s+4>>2]=f[db+4>>2]}else{f[cb>>2]=0;kP(c,q)}f[o>>2]=f[p>>2];p=o+4|0;f[p>>2]=f[c>>2];db=o+8|0;s=f[cb>>2]|0;f[db>>2]=s;Ta=o+12|0;f[Ta>>2]=f[d>>2];f[o+16>>2]=f[Sa>>2];Sa=o+20|0;f[Sa>>2]=f[A>>2];f[o+24>>2]=f[Ua>>2];f[o+28>>2]=f[Xa>>2];f[o+32>>2]=f[na>>2];f[o+36>>2]=f[E>>2];E=o+40|0;na=f[_a>>2]|0;f[E>>2]=na;Xa=o+44|0;f[Xa>>2]=Ta;Ta=o+52|0;Ua=o+48|0;f[Ua>>2]=Ta;f[Ta>>2]=0;f[o+56>>2]=0;if(!na)eb=s;else{s=na+12|0;f[s>>2]=(f[s>>2]|0)+1;eb=f[cb>>2]|0}if((eb|0)<3){eb=f[Da>>2]|0;s=f[Ua>>2]|0;f[s>>2]=f[eb>>2];f[s+4>>2]=f[eb+4>>2]}else{f[db>>2]=0;kP(p,c)}eb=a+44|0;s=f[eb>>2]|0;do if(s){na=f[o>>2]|0;d=a+44|0;Ja=s;while(1){Ka=f[Ja+16>>2]|0;if((na|0)<(Ka|0)){Ma=f[Ja>>2]|0;if(!Ma){ea=147;break}else{fb=Ja;gb=Ma}}else{if((Ka|0)>=(na|0)){ea=151;break}hb=Ja+4|0;Ka=f[hb>>2]|0;if(!Ka){ea=150;break}else{fb=hb;gb=Ka}}d=fb;Ja=gb}if((ea|0)==147){ib=Ja;jb=Ja;break}else if((ea|0)==150){ib=hb;jb=Ja;break}else if((ea|0)==151){ib=d;jb=Ja;break}}else{ib=eb;jb=eb}while(0);if(!(f[ib>>2]|0)){CEa(g,$a,o);o=f[g>>2]|0;f[g>>2]=0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=jb;f[ib>>2]=o;jb=f[f[$a>>2]>>2]|0;if(!jb)kb=o;else{f[$a>>2]=jb;kb=f[ib>>2]|0}RS(f[a+44>>2]|0,kb);kb=a+48|0;f[kb>>2]=(f[kb>>2]|0)+1}kb=f[E>>2]|0;do if(kb|0){a=kb+12|0;ib=f[a>>2]|0;f[a>>2]=ib+-1;if((ib|0)!=1)break;lP(p)}while(0);f[E>>2]=0;f[Sa>>2]=0;f[Sa+4>>2]=0;f[Sa+8>>2]=0;f[Sa+12>>2]=0;if((f[db>>2]|0)>0){Sa=f[Xa>>2]|0;Xa=0;do{f[Sa+(Xa<<2)>>2]=0;Xa=Xa+1|0}while((Xa|0)<(f[db>>2]|0))}db=f[Ua>>2]|0;if((db|0)!=(Ta|0))tE(db);db=f[_a>>2]|0;do if(db|0){Ta=db+12|0;Ua=f[Ta>>2]|0;f[Ta>>2]=Ua+-1;if((Ua|0)!=1)break;lP(c)}while(0);f[_a>>2]=0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[cb>>2]|0)>0){A=f[r>>2]|0;r=0;do{f[A+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[cb>>2]|0))}cb=f[Da>>2]|0;if((cb|0)!=(Ea|0))tE(cb);cb=f[Za>>2]|0;do if(cb|0){Ea=cb+12|0;Da=f[Ea>>2]|0;f[Ea>>2]=Da+-1;if((Da|0)!=1)break;lP(q)}while(0);f[Za>>2]=0;f[bb>>2]=0;f[bb+4>>2]=0;f[bb+8>>2]=0;f[bb+12>>2]=0;if((f[Ra>>2]|0)>0){bb=f[oa>>2]|0;oa=0;do{f[bb+(oa<<2)>>2]=0;oa=oa+1|0}while((oa|0)<(f[Ra>>2]|0))}Ra=f[Va>>2]|0;if((Ra|0)!=(pa|0))tE(Ra);Ra=f[Ya>>2]|0;do if(Ra|0){pa=Ra+12|0;Va=f[pa>>2]|0;f[pa>>2]=Va+-1;if((Va|0)!=1)break;lP(n)}while(0);f[Ya>>2]=0;f[Wa>>2]=0;f[Wa+4>>2]=0;f[Wa+8>>2]=0;f[Wa+12>>2]=0;if((f[ab>>2]|0)>0){Wa=f[ma>>2]|0;ma=0;do{f[Wa+(ma<<2)>>2]=0;ma=ma+1|0}while((ma|0)<(f[ab>>2]|0))}ab=f[D>>2]|0;if((ab|0)!=(B|0))tE(ab);ab=m+36|0;B=f[ab>>2]|0;do if(B|0){D=B+12|0;ma=f[D>>2]|0;f[D>>2]=ma+-1;if((ma|0)!=1)break;lP(m)}while(0);f[ab>>2]=0;ab=m+16|0;B=m+4|0;f[ab>>2]=0;f[ab+4>>2]=0;f[ab+8>>2]=0;f[ab+12>>2]=0;if((f[B>>2]|0)>0){ab=f[m+40>>2]|0;ma=0;do{f[ab+(ma<<2)>>2]=0;ma=ma+1|0}while((ma|0)<(f[B>>2]|0))}B=f[m+44>>2]|0;if((B|0)!=(m+48|0))tE(B);B=f[k>>2]|0;if((B|0)!=(Na|0)){if(B|0)Fmc(B);f[k>>2]=Na;f[Pa>>2]=4}Pa=f[j>>2]|0;if((Pa|0)!=(C|0)){if(Pa|0)Fmc(Pa);f[j>>2]=C;f[Qa>>2]=4}}Qa=f[i>>2]|0;if((Qa|0)!=(x|0)){if(Qa|0)Fmc(Qa);f[i>>2]=x;f[z>>2]=4}z=f[h>>2]|0;if((z|0)==(t|0)){u=e;return}if(z|0)Fmc(z);f[h>>2]=t;f[v>>2]=4;u=e;return}function oEa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;d=u;u=u+256|0;e=d+232|0;g=d+176|0;h=d+60|0;i=d;j=d+120|0;k=a+12|0;l=oyb(f[k>>2]|0)|0;f[g>>2]=1124007936;m=g+4|0;n=g+8|0;o=g+40|0;q=m;r=q+36|0;do{f[q>>2]=0;q=q+4|0}while((q|0)<(r|0));f[o>>2]=n;q=g+48|0;r=g+44|0;f[r>>2]=q;f[q>>2]=0;f[g+52>>2]=0;switch(c|0){case 5:{f[e>>2]=1;f[e+4>>2]=l;iP(g,2,e,5);c=g+16|0;fyb(f[k>>2]|0,f[c>>2]|0,l)|0;s=c;break}case 6:{f[e>>2]=1;f[e+4>>2]=l;iP(g,2,e,6);c=g+16|0;gyb(f[k>>2]|0,f[c>>2]|0,l)|0;s=c;break}case 1:{f[e>>2]=1;f[e+4>>2]=l;iP(g,2,e,1);c=g+16|0;ayb(f[k>>2]|0,f[c>>2]|0,l)|0;s=c;break}case 0:{f[e>>2]=1;f[e+4>>2]=l;iP(g,2,e,0);c=g+16|0;ayb(f[k>>2]|0,f[c>>2]|0,l)|0;s=c;break}case 3:{f[e>>2]=1;f[e+4>>2]=l;iP(g,2,e,3);c=g+16|0;cyb(f[k>>2]|0,f[c>>2]|0,l)|0;s=c;break}case 4:{f[e>>2]=1;f[e+4>>2]=l;iP(g,2,e,4);c=g+16|0;dyb(f[k>>2]|0,f[c>>2]|0,l)|0;s=c;break}case 12:{f[e>>2]=1;f[e+4>>2]=l;iP(g,2,e,6);c=g+16|0;t=f[c>>2]|0;eyb(f[k>>2]|0,t,l)|0;if(!l)s=c;else{k=l;do{k=k+-1|0;l=t+(k<<3)|0;v=l;p[l>>3]=+((f[v>>2]|0)>>>0)+4294967296.0*+(f[v+4>>2]|0)}while((k|0)!=0);s=c}break}default:{f[e>>2]=0;f[e+4>>2]=0;SQ(-3,e,402200,399848,290)}}c=a+28|0;f[j>>2]=f[g>>2];k=j+4|0;t=f[m>>2]|0;f[k>>2]=t;v=j+8|0;f[v>>2]=f[n>>2];n=j+12|0;f[n>>2]=f[g+12>>2];l=j+16|0;f[l>>2]=f[s>>2];w=j+20|0;f[w>>2]=f[g+20>>2];x=j+24|0;f[x>>2]=f[g+24>>2];y=j+28|0;f[y>>2]=f[g+28>>2];z=j+32|0;f[z>>2]=f[g+32>>2];A=j+36|0;B=g+36|0;C=f[B>>2]|0;f[A>>2]=C;D=j+40|0;f[D>>2]=v;E=j+48|0;F=j+44|0;f[F>>2]=E;f[E>>2]=0;f[j+52>>2]=0;if(!C)G=t;else{t=C+12|0;f[t>>2]=(f[t>>2]|0)+1;G=f[m>>2]|0}if((G|0)<3){G=f[r>>2]|0;t=f[F>>2]|0;f[t>>2]=f[G>>2];f[t+4>>2]=f[G+4>>2]}else{f[k>>2]=0;kP(j,g)}f[i>>2]=b;b=i+4|0;f[b>>2]=f[j>>2];G=i+8|0;t=f[k>>2]|0;f[G>>2]=t;C=i+12|0;f[C>>2]=f[v>>2];v=i+16|0;f[v>>2]=f[n>>2];n=i+20|0;f[n>>2]=f[l>>2];H=i+24|0;f[H>>2]=f[w>>2];w=i+28|0;f[w>>2]=f[x>>2];x=i+32|0;f[x>>2]=f[y>>2];y=i+36|0;f[y>>2]=f[z>>2];z=i+40|0;I=f[A>>2]|0;f[z>>2]=I;J=i+44|0;f[J>>2]=C;K=i+52|0;L=i+48|0;f[L>>2]=K;f[K>>2]=0;f[i+56>>2]=0;if(!I)M=t;else{t=I+12|0;f[t>>2]=(f[t>>2]|0)+1;M=f[k>>2]|0}if((M|0)<3){M=f[F>>2]|0;t=f[L>>2]|0;f[t>>2]=f[M>>2];f[t+4>>2]=f[M+4>>2]}else{f[G>>2]=0;kP(b,j)}f[h>>2]=f[i>>2];i=h+4|0;f[i>>2]=f[b>>2];M=h+8|0;t=f[G>>2]|0;f[M>>2]=t;I=h+12|0;f[I>>2]=f[C>>2];f[h+16>>2]=f[v>>2];v=h+20|0;f[v>>2]=f[n>>2];f[h+24>>2]=f[H>>2];f[h+28>>2]=f[w>>2];f[h+32>>2]=f[x>>2];f[h+36>>2]=f[y>>2];y=h+40|0;x=f[z>>2]|0;f[y>>2]=x;w=h+44|0;f[w>>2]=I;I=h+52|0;H=h+48|0;f[H>>2]=I;f[I>>2]=0;f[h+56>>2]=0;if(!x)N=t;else{t=x+12|0;f[t>>2]=(f[t>>2]|0)+1;N=f[G>>2]|0}if((N|0)<3){N=f[L>>2]|0;t=f[H>>2]|0;f[t>>2]=f[N>>2];f[t+4>>2]=f[N+4>>2]}else{f[M>>2]=0;kP(i,b)}N=a+32|0;t=f[N>>2]|0;do if(t){x=f[h>>2]|0;C=a+32|0;O=t;while(1){P=f[O+16>>2]|0;if((x|0)<(P|0)){Q=f[O>>2]|0;if(!Q){R=31;break}else{S=O;T=Q}}else{if((P|0)>=(x|0)){R=35;break}U=O+4|0;P=f[U>>2]|0;if(!P){R=34;break}else{S=U;T=P}}C=S;O=T}if((R|0)==31){V=O;W=O;break}else if((R|0)==34){V=U;W=O;break}else if((R|0)==35){V=C;W=O;break}}else{V=N;W=N}while(0);if(!(f[V>>2]|0)){CEa(e,c,h);h=f[e>>2]|0;f[e>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=W;f[V>>2]=h;W=f[f[c>>2]>>2]|0;if(!W)X=h;else{f[c>>2]=W;X=f[V>>2]|0}RS(f[a+32>>2]|0,X);X=a+36|0;f[X>>2]=(f[X>>2]|0)+1}X=f[y>>2]|0;if(X|0?(a=X+12|0,X=f[a>>2]|0,f[a>>2]=X+-1,(X|0)==1):0)lP(i);f[y>>2]=0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;if((f[M>>2]|0)>0){v=f[w>>2]|0;w=0;do{f[v+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[M>>2]|0))}M=f[H>>2]|0;if((M|0)!=(I|0))tE(M);M=f[z>>2]|0;if(M|0?(I=M+12|0,M=f[I>>2]|0,f[I>>2]=M+-1,(M|0)==1):0)lP(b);f[z>>2]=0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[G>>2]|0)>0){n=f[J>>2]|0;J=0;do{f[n+(J<<2)>>2]=0;J=J+1|0}while((J|0)<(f[G>>2]|0))}G=f[L>>2]|0;if((G|0)!=(K|0))tE(G);G=f[A>>2]|0;if(G|0?(K=G+12|0,G=f[K>>2]|0,f[K>>2]=G+-1,(G|0)==1):0)lP(j);f[A>>2]=0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[k>>2]|0)>0){l=f[D>>2]|0;D=0;do{f[l+(D<<2)>>2]=0;D=D+1|0}while((D|0)<(f[k>>2]|0))}k=f[F>>2]|0;if((k|0)!=(E|0))tE(k);k=f[B>>2]|0;if(k|0?(E=k+12|0,k=f[E>>2]|0,f[E>>2]=k+-1,(k|0)==1):0)lP(g);f[B>>2]=0;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;if((f[m>>2]|0)>0){s=f[o>>2]|0;o=0;do{f[s+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[m>>2]|0))}m=f[r>>2]|0;if((m|0)==(q|0)){u=d;return}tE(m);u=d;return}function pEa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;d=u;u=u+16|0;e=d;g=f[a>>2]|0;h=a+4|0;i=f[h>>2]|0;j=g+i|0;if((i|0)>0)k=g;else{l=0;u=d;return l|0}while(1){if((b[k>>0]|0)==110){if(k>>>0>=j>>>0){m=g;n=16;break}o=k+1|0;if((b[o>>0]|0)==110){if(o>>>0>=j>>>0){m=g;n=16;break}p=k+2|0;if((b[p>>0]|0)==46){n=57;break}}}o=k+1|0;if(o>>>0<j>>>0)k=o;else{m=g;n=16;break}}if((n|0)==57)if(p>>>0<j>>>0&(k|0)==(g|0))q=110720;else{m=g;n=16}do if((n|0)==16){while(1){n=0;if((b[m>>0]|0)==99){if(m>>>0>=j>>>0){r=g;break}k=m+1|0;if((b[k>>0]|0)==117){if(k>>>0>=j>>>0){r=g;break}k=m+2|0;if((b[k>>0]|0)==110){if(k>>>0>=j>>>0){r=g;break}k=m+3|0;if((b[k>>0]|0)==110){if(k>>>0>=j>>>0){r=g;break}s=m+4|0;if((b[s>>0]|0)==46){n=54;break}}}}}k=m+1|0;if(k>>>0<j>>>0){m=k;n=16}else{r=g;break}}if((n|0)==54)if(s>>>0<j>>>0&(m|0)==(g|0)){q=110724;break}else r=g;while(1){if((b[r>>0]|0)==99){if(r>>>0>=j>>>0){t=g;break}k=r+1|0;if((b[k>>0]|0)==117){if(k>>>0>=j>>>0){t=g;break}k=r+2|0;if((b[k>>0]|0)==100){if(k>>>0>=j>>>0){t=g;break}k=r+3|0;if((b[k>>0]|0)==110){if(k>>>0>=j>>>0){t=g;break}k=r+4|0;if((b[k>>0]|0)==110){if(k>>>0>=j>>>0){t=g;break}v=r+5|0;if((b[v>>0]|0)==46){n=47;break}}}}}}k=r+1|0;if(k>>>0<j>>>0)r=k;else{t=g;break}}if((n|0)==47)if(v>>>0<j>>>0&(r|0)==(g|0)){q=110728;break}else t=g;while(1){if((b[t>>0]|0)==102){if(t>>>0>=j>>>0){l=0;n=15;break}k=t+1|0;if((b[k>>0]|0)==98){if(k>>>0>=j>>>0){l=0;n=15;break}k=t+2|0;if((b[k>>0]|0)==99){if(k>>>0>=j>>>0){l=0;n=15;break}k=t+3|0;if((b[k>>0]|0)==117){if(k>>>0>=j>>>0){l=0;n=15;break}k=t+4|0;if((b[k>>0]|0)==110){if(k>>>0>=j>>>0){l=0;n=15;break}k=t+5|0;if((b[k>>0]|0)==110){if(k>>>0>=j>>>0){l=0;n=15;break}w=t+6|0;if((b[w>>0]|0)==46){n=38;break}}}}}}}k=t+1|0;if(k>>>0<j>>>0)t=k;else{l=0;n=15;break}}if((n|0)==15){u=d;return l|0}else if((n|0)==38){if(w>>>0<j>>>0&(t|0)==(g|0)){q=110732;break}else l=0;u=d;return l|0}}while(0);t=s8b(f[q>>2]|0)|0;f[e>>2]=0;q=e+4|0;f[q>>2]=0;j=i>>>0<t>>>0?i:t;t=i-j|0;do if(t|0)if(!j){i=g+-4|0;f[i>>2]=(f[i>>2]|0)+1;f[e>>2]=f[a>>2];f[q>>2]=f[h>>2];break}else{i=YG(e,t)|0;Krc(i|0,(f[a>>2]|0)+j|0,t|0)|0;break}while(0);if((e|0)!=(c|0)){ZG(c);t=f[e>>2]|0;if(!t)x=0;else{j=t+-4|0;f[j>>2]=(f[j>>2]|0)+1;x=f[e>>2]|0}f[c>>2]=x;f[c+4>>2]=f[q>>2]}ZG(e);l=1;u=d;return l|0}function qEa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=d-e>>3;h=g+1|0;i=e;j=d;if(h>>>0>536870911)Ukc(a);d=a+8|0;k=(f[d>>2]|0)-e|0;e=k>>2;l=k>>3>>>0<268435455?(e>>>0<h>>>0?h:e):536870911;do if(l)if(l>>>0>536870911){e=ye(8)|0;Jmc(e,511852);f[e>>2]=165276;Gf(e|0,26776,1555)}else{m=Bmc(l<<3)|0;break}else m=0;while(0);e=m+(g<<3)|0;h=e;k=m+(l<<3)|0;l=f[b>>2]|0;f[e>>2]=l;f[m+(g<<3)+4>>2]=f[b+4>>2];if(!l){n=j;o=i}else{i=l+4|0;f[i>>2]=(f[i>>2]|0)+1;n=f[c>>2]|0;o=f[a>>2]|0}i=e+8|0;if((n|0)==(o|0)){p=h;q=n;r=n}else{l=n;n=h;h=e;do{e=l;l=l+-8|0;j=f[l>>2]|0;f[h+-8>>2]=j;f[h+-4>>2]=f[e+-4>>2];if(j|0){e=j+4|0;f[e>>2]=(f[e>>2]|0)+1}h=n+-8|0;n=h}while((l|0)!=(o|0));p=n;q=f[a>>2]|0;r=f[c>>2]|0}f[a>>2]=p;f[c>>2]=i;f[d>>2]=k;k=q;if((r|0)!=(k|0)){d=r;do{r=d;d=d+-8|0;i=f[d>>2]|0;if(i|0?(c=i+4|0,p=f[c>>2]|0,f[c>>2]=p+-1,(p|0)==1):0)ai[f[(f[i>>2]|0)+8>>2]&2047](i);f[d>>2]=0;f[r+-4>>2]=0}while((d|0)!=(k|0))}if(!q)return;Emc(q);return}function rEa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0.0,bc=0;e=u;u=u+336|0;g=e;h=e+320|0;i=e+248|0;j=e+172|0;k=e+240|0;l=e+112|0;m=e+56|0;n=a+12|0;o=nyb(f[n>>2]|0)|0;q=nyb(f[n>>2]|0)|0;if((o|0)!=3){f[g>>2]=0;r=g+4|0;f[r>>2]=0;s=YG(g,56)|0;t=s;v=401995;w=t+56|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,g,402052,399848,302)}o=a+16|0;x=a+20|0;y=f[x>>2]|0;do if(y){z=y;do{A=f[z+16>>2]|0;if((q|0)<(A|0))B=z;else{if((A|0)>=(q|0)){C=8;break}B=z+4|0}z=f[B>>2]|0}while((z|0)!=0);if((C|0)==8){f[g>>2]=0;r=g+4|0;f[r>>2]=0;s=YG(g,56)|0;t=s;v=401995;w=t+56|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));SQ(-215,g,402052,399848,302)}z=a+20|0;A=y;while(1){D=f[A+16>>2]|0;if((q|0)<(D|0)){E=f[A>>2]|0;if(!E){C=13;break}else{F=A;G=E}}else{if((D|0)>=(q|0)){C=17;break}H=A+4|0;D=f[H>>2]|0;if(!D){C=16;break}else{F=H;G=D}}z=F;A=G}if((C|0)==13){I=A;J=A;break}else if((C|0)==16){I=H;J=A;break}else if((C|0)==17){I=z;J=A;break}}else{I=x;J=x}while(0);if(!(f[I>>2]|0)){x=Bmc(20)|0;f[x+16>>2]=q;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=J;f[I>>2]=x;J=f[f[o>>2]>>2]|0;if(!J)K=x;else{f[o>>2]=J;K=f[I>>2]|0}RS(f[a+20>>2]|0,K);K=a+24|0;f[K>>2]=(f[K>>2]|0)+1}K=nyb(f[n>>2]|0)|0;if((K|0)<=0){u=e;return}I=h+4|0;J=a+68|0;o=a+40|0;x=a+44|0;q=a+28|0;H=a+32|0;G=a+32|0;F=a+36|0;y=g+4|0;v=g+8|0;s=g+40|0;r=g+48|0;B=g+44|0;D=g+52|0;E=i+8|0;L=i+4|0;M=g+16|0;N=g+12|0;O=i+4|0;P=g+36|0;Q=k+4|0;R=a+44|0;S=a+48|0;T=m+4|0;U=m+8|0;V=m+12|0;W=m+16|0;X=m+20|0;Z=m+24|0;_=m+28|0;$=m+32|0;aa=m+36|0;ba=m+40|0;ca=m+48|0;da=m+44|0;ea=m+52|0;fa=l+4|0;ga=l+8|0;ha=l+12|0;ia=l+16|0;ja=l+20|0;ka=l+24|0;la=l+28|0;ma=l+32|0;na=l+36|0;oa=l+40|0;pa=l+44|0;qa=l+52|0;ra=l+48|0;sa=l+56|0;ta=j+4|0;ua=j+8|0;va=j+12|0;wa=j+16|0;xa=j+20|0;ya=j+24|0;za=j+28|0;Aa=j+32|0;Ba=j+36|0;Ca=j+40|0;Da=j+44|0;Ea=j+48|0;Fa=j+52|0;Ga=j+60|0;Ha=j+56|0;Ia=j+64|0;Ja=i+4|0;Ka=i+8|0;La=i+12|0;Ma=i+16|0;Na=i+20|0;Oa=i+24|0;Pa=i+28|0;Qa=i+32|0;Ra=i+36|0;Sa=i+40|0;Ta=i+44|0;Ua=i+48|0;Va=i+52|0;Wa=i+60|0;Xa=i+56|0;Ya=i+64|0;Za=d+4|0;_a=d+4|0;$a=d+8|0;ab=g+4|0;bb=0;do{cb=iyb(f[n>>2]|0)|0;if((nyb(f[n>>2]|0)|0)==2){db=nyb(f[n>>2]|0)|0;f[h>>2]=0;f[I>>2]=0;if(!db)eb=0;else{Drc(YG(h,db)|0,0,db|0)|0;eb=f[h>>2]|0}byb(f[n>>2]|0,(eb|0)==0?1163146:eb,db)|0;db=iyb(f[n>>2]|0)|0;a:do switch(nyb(f[n>>2]|0)|0){case 4:{fb=nyb(f[n>>2]|0)|0;gb=f[J>>2]|0;hb=(f[gb+60>>2]|0)-(f[gb+56>>2]|0)|0;jEa(a,fb);gb=f[x>>2]|0;b:do if(gb|0){ib=gb;while(1){jb=f[ib+16>>2]|0;if((fb|0)<(jb|0))kb=ib;else{if((jb|0)>=(fb|0))break;kb=ib+4|0}ib=f[kb>>2]|0;if(!ib)break b}ib=f[h>>2]|0;f[k>>2]=ib;f[Q>>2]=f[I>>2];if(!ib)lb=gb;else{jb=ib+-4|0;f[jb>>2]=(f[jb>>2]|0)+1;lb=f[x>>2]|0}do if(lb){jb=R;ib=lb;mb=lb;while(1){nb=f[ib+16>>2]|0;if((fb|0)<(nb|0)){ob=f[ib>>2]|0;if(!ob){C=42;break}else{pb=ib;qb=ob}}else{if((nb|0)>=(fb|0)){C=46;break}rb=ib+4|0;nb=f[rb>>2]|0;if(!nb){C=45;break}else{pb=rb;qb=nb}}jb=pb;ib=qb;mb=qb}if((C|0)==42){C=0;sb=ib;tb=ib;C=48;break}else if((C|0)==45){C=0;sb=rb;tb=ib;C=48;break}else if((C|0)==46){C=0;ub=jb;vb=ib;wb=mb;C=47;break}}else{ub=x;vb=x;wb=lb;C=47}while(0);if((C|0)==47){C=0;if(!wb){sb=ub;tb=vb;C=48}else xb=wb}if((C|0)==48){C=0;nb=Bmc(76)|0;f[nb+16>>2]=fb;f[nb+20>>2]=1124007936;ob=nb+28|0;yb=nb+60|0;t=nb+24|0;w=t+36|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(w|0));f[yb>>2]=ob;zb=nb+68|0;f[nb+64>>2]=zb;f[zb>>2]=0;f[nb+72>>2]=0;f[nb>>2]=0;f[nb+4>>2]=0;f[nb+8>>2]=tb;f[sb>>2]=nb;zb=f[f[o>>2]>>2]|0;if(!zb)Ab=nb;else{f[o>>2]=zb;Ab=f[sb>>2]|0}RS(f[R>>2]|0,Ab);f[S>>2]=(f[S>>2]|0)+1;xb=nb}zb=xb+20|0;f[m>>2]=f[zb>>2];Bb=xb+24|0;f[T>>2]=f[Bb>>2];f[U>>2]=f[xb+28>>2];f[V>>2]=f[xb+32>>2];f[W>>2]=f[xb+36>>2];f[X>>2]=f[xb+40>>2];f[Z>>2]=f[xb+44>>2];f[_>>2]=f[xb+48>>2];f[$>>2]=f[xb+52>>2];Cb=f[xb+56>>2]|0;f[aa>>2]=Cb;f[ba>>2]=U;f[da>>2]=ca;f[ca>>2]=0;f[ea>>2]=0;if(Cb|0){Db=Cb+12|0;f[Db>>2]=(f[Db>>2]|0)+1}if((f[Bb>>2]|0)<3){Bb=f[xb+64>>2]|0;Db=f[da>>2]|0;f[Db>>2]=f[Bb>>2];f[Db+4>>2]=f[Bb+4>>2]}else{f[T>>2]=0;kP(m,zb)}f[l>>2]=fb;f[fa>>2]=f[m>>2];zb=f[T>>2]|0;f[ga>>2]=zb;f[ha>>2]=f[U>>2];f[ia>>2]=f[V>>2];f[ja>>2]=f[W>>2];f[ka>>2]=f[X>>2];f[la>>2]=f[Z>>2];f[ma>>2]=f[_>>2];f[na>>2]=f[$>>2];Bb=f[aa>>2]|0;f[oa>>2]=Bb;f[pa>>2]=ha;f[ra>>2]=qa;f[qa>>2]=0;f[sa>>2]=0;if(!Bb)Eb=zb;else{zb=Bb+12|0;f[zb>>2]=(f[zb>>2]|0)+1;Eb=f[T>>2]|0}if((Eb|0)<3){zb=f[da>>2]|0;Bb=f[ra>>2]|0;f[Bb>>2]=f[zb>>2];f[Bb+4>>2]=f[zb+4>>2]}else{f[ga>>2]=0;kP(fa,m)}zb=f[k>>2]|0;f[j>>2]=zb;f[ta>>2]=f[Q>>2];if(zb|0){Bb=zb+-4|0;f[Bb>>2]=(f[Bb>>2]|0)+1}f[ua>>2]=f[l>>2];f[va>>2]=f[fa>>2];Bb=f[ga>>2]|0;f[wa>>2]=Bb;f[xa>>2]=f[ha>>2];f[ya>>2]=f[ia>>2];f[za>>2]=f[ja>>2];f[Aa>>2]=f[ka>>2];f[Ba>>2]=f[la>>2];f[Ca>>2]=f[ma>>2];f[Da>>2]=f[na>>2];zb=f[oa>>2]|0;f[Ea>>2]=zb;f[Fa>>2]=xa;f[Ha>>2]=Ga;f[Ga>>2]=0;f[Ia>>2]=0;if(!zb)Fb=Bb;else{Bb=zb+12|0;f[Bb>>2]=(f[Bb>>2]|0)+1;Fb=f[ga>>2]|0}if((Fb|0)<3){Bb=f[ra>>2]|0;zb=f[Ha>>2]|0;f[zb>>2]=f[Bb>>2];f[zb+4>>2]=f[Bb+4>>2]}else{f[wa>>2]=0;kP(va,fa)}Bb=f[j>>2]|0;f[i>>2]=Bb;f[Ja>>2]=f[ta>>2];if(Bb|0){zb=Bb+-4|0;f[zb>>2]=(f[zb>>2]|0)+1}f[Ka>>2]=f[ua>>2];f[La>>2]=f[va>>2];zb=f[wa>>2]|0;f[Ma>>2]=zb;f[Na>>2]=f[xa>>2];f[Oa>>2]=f[ya>>2];f[Pa>>2]=f[za>>2];f[Qa>>2]=f[Aa>>2];f[Ra>>2]=f[Ba>>2];f[Sa>>2]=f[Ca>>2];f[Ta>>2]=f[Da>>2];Bb=f[Ea>>2]|0;f[Ua>>2]=Bb;f[Va>>2]=Na;f[Xa>>2]=Wa;f[Wa>>2]=0;f[Ya>>2]=0;if(!Bb)Gb=zb;else{zb=Bb+12|0;f[zb>>2]=(f[zb>>2]|0)+1;Gb=f[wa>>2]|0}if((Gb|0)<3){zb=f[Ha>>2]|0;Bb=f[Xa>>2]|0;f[Bb>>2]=f[zb>>2];f[Bb+4>>2]=f[zb+4>>2]}else{f[Ma>>2]=0;kP(La,va)}zb=f[Za>>2]|0;c:do if(!zb){Hb=Za;Ib=Za}else{Bb=f[i>>2]|0;Db=(Bb|0)==0?1163146:Bb;Cb=f[zb+16>>2]|0;d:do if((Bb|0)!=(Cb|0)){Jb=_a;Kb=zb;Lb=Cb;while(1){Mb=(Lb|0)==0?1163146:Lb;if((o7b(Db,Mb)|0)<0){Nb=f[Kb>>2]|0;if(!Nb){C=80;break}else{Ob=Kb;Pb=Nb}}else{if((o7b(Mb,Db)|0)>=0){Qb=Jb;Rb=Kb;break d}Sb=Kb+4|0;Mb=f[Sb>>2]|0;if(!Mb){C=83;break}else{Ob=Sb;Pb=Mb}}Lb=f[Pb+16>>2]|0;if((Bb|0)==(Lb|0)){Qb=Ob;Rb=Pb;break d}else{Jb=Ob;Kb=Pb}}if((C|0)==80){C=0;Hb=Kb;Ib=Kb;break c}else if((C|0)==83){C=0;Hb=Sb;Ib=Kb;break c}}else{Qb=_a;Rb=zb}while(0);Hb=Qb;Ib=Rb}while(0);if(!(f[Hb>>2]|0)){wEa(g,d,i);zb=f[g>>2]|0;f[g>>2]=0;f[zb>>2]=0;f[zb+4>>2]=0;f[zb+8>>2]=Ib;f[Hb>>2]=zb;nb=f[f[d>>2]>>2]|0;if(!nb)Tb=zb;else{f[d>>2]=nb;Tb=f[Hb>>2]|0}RS(f[_a>>2]|0,Tb);f[$a>>2]=(f[$a>>2]|0)+1}nb=f[Ua>>2]|0;do if(nb|0){zb=nb+12|0;ob=f[zb>>2]|0;f[zb>>2]=ob+-1;if((ob|0)!=1)break;lP(La)}while(0);f[Ua>>2]=0;f[Pa>>2]=0;f[Pa+4>>2]=0;f[Pa+8>>2]=0;f[Pa+12>>2]=0;if((f[Ma>>2]|0)>0){nb=f[Va>>2]|0;ob=0;do{f[nb+(ob<<2)>>2]=0;ob=ob+1|0}while((ob|0)<(f[Ma>>2]|0))}ob=f[Xa>>2]|0;if((ob|0)!=(Wa|0))tE(ob);ZG(i);ob=f[Ea>>2]|0;do if(ob|0){nb=ob+12|0;zb=f[nb>>2]|0;f[nb>>2]=zb+-1;if((zb|0)!=1)break;lP(va)}while(0);f[Ea>>2]=0;f[za>>2]=0;f[za+4>>2]=0;f[za+8>>2]=0;f[za+12>>2]=0;if((f[wa>>2]|0)>0){ob=f[Fa>>2]|0;zb=0;do{f[ob+(zb<<2)>>2]=0;zb=zb+1|0}while((zb|0)<(f[wa>>2]|0))}zb=f[Ha>>2]|0;if((zb|0)!=(Ga|0))tE(zb);ZG(j);zb=f[oa>>2]|0;do if(zb|0){ob=zb+12|0;nb=f[ob>>2]|0;f[ob>>2]=nb+-1;if((nb|0)!=1)break;lP(fa)}while(0);f[oa>>2]=0;f[ja>>2]=0;f[ja+4>>2]=0;f[ja+8>>2]=0;f[ja+12>>2]=0;if((f[ga>>2]|0)>0){zb=f[pa>>2]|0;nb=0;do{f[zb+(nb<<2)>>2]=0;nb=nb+1|0}while((nb|0)<(f[ga>>2]|0))}nb=f[ra>>2]|0;if((nb|0)!=(qa|0))tE(nb);nb=f[aa>>2]|0;do if(nb|0){zb=nb+12|0;ob=f[zb>>2]|0;f[zb>>2]=ob+-1;if((ob|0)!=1)break;lP(m)}while(0);f[aa>>2]=0;f[W>>2]=0;f[W+4>>2]=0;f[W+8>>2]=0;f[W+12>>2]=0;if((f[T>>2]|0)>0){nb=f[ba>>2]|0;ob=0;do{f[nb+(ob<<2)>>2]=0;ob=ob+1|0}while((ob|0)<(f[T>>2]|0))}ob=f[da>>2]|0;if((ob|0)!=(ca|0))tE(ob);ZG(k);break a}while(0);gb=f[H>>2]|0;e:do if(gb|0){ob=gb;while(1){nb=f[ob+16>>2]|0;if((fb|0)<(nb|0))Ub=ob;else{if((nb|0)>=(fb|0))break;Ub=ob+4|0}ob=f[Ub>>2]|0;if(!ob)break e}ob=G;nb=gb;zb=gb;while(1){yb=f[nb+16>>2]|0;if((fb|0)<(yb|0)){Bb=f[nb>>2]|0;if(!Bb){Vb=nb;C=136;break}else{Wb=nb;Xb=Bb}}else{if((yb|0)>=(fb|0)){C=135;break}yb=nb+4|0;Bb=f[yb>>2]|0;if(!Bb){Vb=yb;C=136;break}else{Wb=yb;Xb=Bb}}ob=Wb;nb=Xb;zb=Xb}if((C|0)==135){C=0;if(!zb){Vb=ob;C=136}else Yb=zb}if((C|0)==136){C=0;Bb=Bmc(76)|0;f[Bb+16>>2]=fb;f[Bb+20>>2]=1124007936;yb=Bb+28|0;Db=Bb+60|0;t=Bb+24|0;w=t+36|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(w|0));f[Db>>2]=yb;zb=Bb+68|0;f[Bb+64>>2]=zb;f[zb>>2]=0;f[Bb+72>>2]=0;f[Bb>>2]=0;f[Bb+4>>2]=0;f[Bb+8>>2]=nb;f[Vb>>2]=Bb;zb=f[f[q>>2]>>2]|0;if(!zb)Zb=Bb;else{f[q>>2]=zb;Zb=f[Vb>>2]|0}RS(f[G>>2]|0,Zb);f[F>>2]=(f[F>>2]|0)+1;Yb=Bb}zb=Yb+20|0;f[g>>2]=1124007936;t=y;w=t+36|0;do{f[t>>2]=0;t=t+4|0}while((t|0)<(w|0));f[s>>2]=v;f[B>>2]=r;f[r>>2]=0;f[D>>2]=0;Bb=E;f[Bb>>2]=0;f[Bb+4>>2]=0;f[i>>2]=33619968;f[L>>2]=g;IO(zb,i,6,1.0,0.0);Bb=f[M>>2]|0;nb=f[y>>2]|0;if((nb|0)<3)_b=Y(f[N>>2]|0,f[v>>2]|0)|0;else{yb=f[s>>2]|0;Db=0;ob=1;while(1){Cb=Y(f[yb+(Db<<2)>>2]|0,ob)|0;Db=Db+1|0;if((Db|0)==(nb|0)){_b=Cb;break}else ob=Cb}}ob=Bmc(16)|0;nb=ob+8|0;f[ob>>2]=nb;f[ob+4>>2]=_b;if(_b>>>0>1){Db=Dmc(_b>>>0>536870911?-1:_b<<3)|0;f[ob>>2]=Db;$b=Db}else $b=nb;f[i>>2]=2;f[O>>2]=ob;if((_b|0)>0){ob=Bb;nb=0;while(1){p[$b+(nb<<3)>>3]=+p[ob>>3];nb=nb+1|0;if((nb|0)==(_b|0))break;else ob=ob+8|0}}MCa(c,h,i)|0;rza(i);ob=f[P>>2]|0;if(ob|0?(nb=ob+12|0,ob=f[nb>>2]|0,f[nb>>2]=ob+-1,(ob|0)==1):0)lP(g);f[P>>2]=0;f[M>>2]=0;f[M+4>>2]=0;f[M+8>>2]=0;f[M+12>>2]=0;if((f[y>>2]|0)>0){ob=f[s>>2]|0;nb=0;do{f[ob+(nb<<2)>>2]=0;nb=nb+1|0}while((nb|0)<(f[y>>2]|0))}nb=f[B>>2]|0;if((nb|0)!=(r|0))tE(nb);break a}while(0);fb=f[J>>2]|0;gb=fb+60|0;nb=f[gb>>2]|0;if((nb-(f[fb+56>>2]|0)|0)>>>0>hb>>>0){fb=nb;nb=gb;do{gb=fb;ob=gb+-8|0;Bb=gb;do{gb=Bb+-8|0;f[nb>>2]=gb;Db=f[gb>>2]|0;if(Db|0?(yb=Db+4|0,zb=f[yb>>2]|0,f[yb>>2]=zb+-1,(zb|0)==1):0)ai[f[(f[Db>>2]|0)+8>>2]&2047](Db);f[gb>>2]=0;f[Bb+-4>>2]=0;Bb=f[nb>>2]|0}while((Bb|0)!=(ob|0));ob=f[J>>2]|0;nb=ob+60|0;fb=f[nb>>2]|0}while((fb-(f[ob+56>>2]|0)|0)>>>0>hb>>>0)}break}case 1:{ac=+pyb(f[n>>2]|0);p[g>>3]=ac;xEa(c,h,g)|0;break}case 2:{hb=nyb(f[n>>2]|0)|0;f[g>>2]=0;f[ab>>2]=0;if(!hb)bc=0;else{Drc(YG(g,hb)|0,0,hb|0)|0;bc=f[g>>2]|0}byb(f[n>>2]|0,(bc|0)==0?1163146:bc,hb)|0;yEa(c,h,g)|0;ZG(g);break}case 5:{hb=(nyb(f[n>>2]|0)|0)!=0&1;b[g>>0]=hb;TCa(c,h,g)|0;break}default:{hyb(f[n>>2]|0,db);gEa(a)}}while(0);ZG(h)}else{hyb(f[n>>2]|0,cb);gEa(a);gEa(a)}bb=bb+1|0}while((bb|0)<(K|0));u=e;return}function sEa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;c=a+4|0;d=f[c>>2]|0;a:do if(!d){e=c;g=c;h=d;i=12}else{j=a+4|0;k=f[b>>2]|0;l=(k|0)==0?1163146:k;m=f[d+16>>2]|0;b:do if((k|0)!=(m|0)){n=j;o=d;p=m;q=d;while(1){r=(p|0)==0?1163146:p;if((o7b(l,r)|0)<0){s=f[o>>2]|0;if(!s){i=6;break}else{t=o;u=s}}else{if((o7b(r,l)|0)>=0){v=n;w=o;x=q;break b}y=o+4|0;r=f[y>>2]|0;if(!r){i=9;break}else{t=y;u=r}}p=f[u+16>>2]|0;if((k|0)==(p|0)){v=t;w=u;x=u;break b}else{n=t;o=u;q=u}}if((i|0)==6){z=o;A=o;break a}else if((i|0)==9){z=y;A=o;break a}}else{v=j;w=d;x=d}while(0);e=v;g=w;h=x;i=12}while(0);if((i|0)==12)if(!h){z=e;A=g}else{B=h;C=B+24|0;return C|0}h=Bmc(84)|0;g=f[b>>2]|0;f[h+16>>2]=g;f[h+20>>2]=f[b+4>>2];if(g|0){b=g+-4|0;f[b>>2]=(f[b>>2]|0)+1}f[h+24>>2]=0;f[h+28>>2]=1124007936;b=h+36|0;g=h+68|0;e=h+32|0;i=e+36|0;do{f[e>>2]=0;e=e+4|0}while((e|0)<(i|0));f[g>>2]=b;b=h+76|0;f[h+72>>2]=b;f[b>>2]=0;f[h+80>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=A;f[z>>2]=h;A=f[f[a>>2]>>2]|0;if(!A)D=h;else{f[a>>2]=A;D=f[z>>2]|0}RS(f[a+4>>2]|0,D);D=a+8|0;f[D>>2]=(f[D>>2]|0)+1;B=h;C=B+24|0;return C|0}function tEa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=u;u=u+32|0;e=d+16|0;g=d+8|0;h=d;f[e>>2]=0;f[e+4>>2]=0;i=YG(e,8)|0;j=i;b[j>>0]=107;b[j+1>>0]=101;b[j+2>>0]=114;b[j+3>>0]=110;j=i+4|0;b[j>>0]=101;b[j+1>>0]=108;b[j+2>>0]=95;b[j+3>>0]=104;f[h>>2]=0;f[h+4>>2]=0;j=YG(h,2)|0;b[j>>0]=107;b[j+1>>0]=72;j=rCa(dDa(a,h)|0,-1)|0;f[g>>2]=j;KCa(c,e,g)|0;ZG(h);ZG(e);f[e>>2]=0;f[e+4>>2]=0;j=YG(e,8)|0;i=j;b[i>>0]=107;b[i+1>>0]=101;b[i+2>>0]=114;b[i+3>>0]=110;i=j+4|0;b[i>>0]=101;b[i+1>>0]=108;b[i+2>>0]=95;b[i+3>>0]=119;f[h>>2]=0;f[h+4>>2]=0;i=YG(h,2)|0;b[i>>0]=107;b[i+1>>0]=87;i=rCa(dDa(a,h)|0,-1)|0;f[g>>2]=i;KCa(c,e,g)|0;ZG(h);ZG(e);f[e>>2]=0;f[e+4>>2]=0;i=YG(e,8)|0;j=i;b[j>>0]=115;b[j+1>>0]=116;b[j+2>>0]=114;b[j+3>>0]=105;j=i+4|0;b[j>>0]=100;b[j+1>>0]=101;b[j+2>>0]=95;b[j+3>>0]=104;f[h>>2]=0;f[h+4>>2]=0;j=YG(h,2)|0;b[j>>0]=100;b[j+1>>0]=72;j=rCa(dDa(a,h)|0,-1)|0;f[g>>2]=j;KCa(c,e,g)|0;ZG(h);ZG(e);f[e>>2]=0;f[e+4>>2]=0;j=YG(e,8)|0;i=j;b[i>>0]=115;b[i+1>>0]=116;b[i+2>>0]=114;b[i+3>>0]=105;i=j+4|0;b[i>>0]=100;b[i+1>>0]=101;b[i+2>>0]=95;b[i+3>>0]=119;f[h>>2]=0;f[h+4>>2]=0;i=YG(h,2)|0;b[i>>0]=100;b[i+1>>0]=87;i=rCa(dDa(a,h)|0,-1)|0;f[g>>2]=i;KCa(c,e,g)|0;ZG(h);ZG(e);f[e>>2]=0;f[e+4>>2]=0;i=YG(e,5)|0;b[i>>0]=b[401157]|0;b[i+1>>0]=b[401158]|0;b[i+2>>0]=b[401159]|0;b[i+3>>0]=b[401160]|0;b[i+4>>0]=b[401161]|0;f[h>>2]=0;f[h+4>>2]=0;i=YG(h,4)|0;b[i>>0]=112;b[i+1>>0]=97;b[i+2>>0]=100;b[i+3>>0]=72;i=a+4|0;a=f[i>>2]|0;do if(a){j=f[h>>2]|0;k=(j|0)==0?1163146:j;l=i;m=a;a:while(1){n=m;while(1){o=f[n+16>>2]|0;if((o|0)==(j|0))break;if((o7b((o|0)==0?1163146:o,k)|0)>=0)break;o=f[n+4>>2]|0;if(!o){p=l;break a}else n=o}m=f[n>>2]|0;if(!m){p=n;break}else l=n}if((p|0)!=(i|0)){l=f[p+16>>2]|0;if((j|0)!=(l|0)?(o7b(k,(l|0)==0?1163146:l)|0)<=-1:0){q=0;break}l=rCa(p+24|0,-1)|0;q=l}else q=0}else q=0;while(0);f[g>>2]=q;KCa(c,e,g)|0;ZG(h);ZG(e);f[e>>2]=0;f[e+4>>2]=0;q=YG(e,5)|0;b[q>>0]=b[401151]|0;b[q+1>>0]=b[401152]|0;b[q+2>>0]=b[401153]|0;b[q+3>>0]=b[401154]|0;b[q+4>>0]=b[401155]|0;f[h>>2]=0;f[h+4>>2]=0;q=YG(h,4)|0;b[q>>0]=112;b[q+1>>0]=97;b[q+2>>0]=100;b[q+3>>0]=87;q=f[i>>2]|0;if(!q){r=0;f[g>>2]=r;KCa(c,e,g)|0;ZG(h);ZG(e);u=d;return}p=f[h>>2]|0;a=(p|0)==0?1163146:p;l=i;m=q;b:while(1){q=m;while(1){o=f[q+16>>2]|0;if((o|0)==(p|0))break;if((o7b((o|0)==0?1163146:o,a)|0)>=0)break;o=f[q+4>>2]|0;if(!o){s=l;break b}else q=o}m=f[q>>2]|0;if(!m){s=q;break}else l=q}if((s|0)==(i|0)){r=0;f[g>>2]=r;KCa(c,e,g)|0;ZG(h);ZG(e);u=d;return}i=f[s+16>>2]|0;if((p|0)!=(i|0)?(o7b(a,(i|0)==0?1163146:i)|0)<=-1:0){r=0;f[g>>2]=r;KCa(c,e,g)|0;ZG(h);ZG(e);u=d;return}i=rCa(s+24|0,-1)|0;r=i;f[g>>2]=r;KCa(c,e,g)|0;ZG(h);ZG(e);u=d;return}function uEa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=u;u=u+48|0;e=d+32|0;g=d+8|0;h=d+24|0;i=d;j=a+4|0;k=f[j>>2]|0;do if(k){l=f[b>>2]|0;m=(l|0)==0?1163146:l;n=l;o=j;p=k;a:while(1){q=p;while(1){r=f[q+16>>2]|0;if((r|0)==(l|0))break;if((o7b((r|0)==0?1163146:r,m)|0)>=0)break;r=f[q+4>>2]|0;if(!r){s=o;break a}else q=r}p=f[q>>2]|0;if(!p){s=q;break}else o=q}if((s|0)==(j|0))t=n;else{o=f[s+16>>2]|0;if((l|0)!=(o|0)?(o7b(m,(o|0)==0?1163146:o)|0)<=-1:0){t=n;break}f[e>>2]=3;o=Bmc(16)|0;p=o+8|0;f[p>>2]=0;f[o+12>>2]=0;f[o>>2]=p;f[o+4>>2]=1;f[e+4>>2]=o;ZG(p);o=s8b(c)|0;if(o|0)Krc(YG(p,o)|0,c|0,o|0)|0;kDa(s+24|0,e)|0;rza(e);u=d;return c|0}}else t=f[b>>2]|0;while(0);f[h>>2]=t;s=h+4|0;f[s>>2]=f[b+4>>2];if(t|0){b=t+-4|0;f[b>>2]=(f[b>>2]|0)+1}f[i>>2]=3;b=Bmc(16)|0;t=b+8|0;f[t>>2]=0;f[b+12>>2]=0;f[b>>2]=t;f[b+4>>2]=1;f[i+4>>2]=b;ZG(t);b=s8b(c)|0;if(b|0)Krc(YG(t,b)|0,c|0,b|0)|0;b=f[h>>2]|0;f[g>>2]=b;t=g+4|0;f[t>>2]=f[s>>2];if(b|0){s=b+-4|0;f[s>>2]=(f[s>>2]|0)+1}s=g+8|0;tza(s,i);b=f[g>>2]|0;f[e>>2]=b;k=e+4|0;f[k>>2]=f[t>>2];if(b|0){t=b+-4|0;f[t>>2]=(f[t>>2]|0)+1}t=e+8|0;tza(t,s);b=f[j>>2]|0;b:do if(!b){v=j;w=j}else{o=a+4|0;p=f[e>>2]|0;r=(p|0)==0?1163146:p;x=f[b+16>>2]|0;c:do if((p|0)!=(x|0)){y=o;z=b;A=x;while(1){B=(A|0)==0?1163146:A;if((o7b(r,B)|0)<0){C=f[z>>2]|0;if(!C){D=28;break}else{E=z;F=C}}else{if((o7b(B,r)|0)>=0){G=y;H=z;break c}I=z+4|0;B=f[I>>2]|0;if(!B){D=31;break}else{E=I;F=B}}A=f[F+16>>2]|0;if((p|0)==(A|0)){G=E;H=F;break c}else{y=E;z=F}}if((D|0)==28){v=z;w=z;break b}else if((D|0)==31){v=I;w=z;break b}}else{G=o;H=b}while(0);v=G;w=H}while(0);if(!(f[v>>2]|0)){H=Bmc(32)|0;G=f[e>>2]|0;f[H+16>>2]=G;f[H+20>>2]=f[k>>2];if(G|0){k=G+-4|0;f[k>>2]=(f[k>>2]|0)+1}tza(H+24|0,t);f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=w;f[v>>2]=H;w=f[f[a>>2]>>2]|0;if(!w)J=H;else{f[a>>2]=w;J=f[v>>2]|0}RS(f[a+4>>2]|0,J);J=a+8|0;f[J>>2]=(f[J>>2]|0)+1}rza(t);ZG(e);rza(s);ZG(g);rza(i);ZG(h);u=d;return c|0}function vEa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;if(!b)return;vEa(a,f[b>>2]|0);vEa(a,f[b+4>>2]|0);a=b+16|0;c=b+28|0;d=b+64|0;e=f[d>>2]|0;if(e|0?(g=e+12|0,e=f[g>>2]|0,f[g>>2]=e+-1,(e|0)==1):0)lP(c);f[d>>2]=0;d=b+44|0;c=b+32|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[c>>2]|0)>0){d=f[b+68>>2]|0;e=0;do{f[d+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[c>>2]|0))}c=f[b+72>>2]|0;if((c|0)!=(b+76|0))tE(c);ZG(a);Emc(b);return}function wEa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=Bmc(84)|0;e=b+4|0;b=d;g=f[c>>2]|0;f[d+16>>2]=g;f[d+20>>2]=f[c+4>>2];if(g|0){h=g+-4|0;f[h>>2]=(f[h>>2]|0)+1}f[d+24>>2]=f[c+8>>2];h=d+28|0;g=c+12|0;f[h>>2]=f[g>>2];i=d+32|0;j=c+16|0;k=f[j>>2]|0;f[i>>2]=k;l=d+36|0;f[l>>2]=f[c+20>>2];f[d+40>>2]=f[c+24>>2];f[d+44>>2]=f[c+28>>2];f[d+48>>2]=f[c+32>>2];f[d+52>>2]=f[c+36>>2];f[d+56>>2]=f[c+40>>2];f[d+60>>2]=f[c+44>>2];m=f[c+48>>2]|0;f[d+64>>2]=m;f[d+68>>2]=l;l=d+76|0;n=d+72|0;f[n>>2]=l;f[l>>2]=0;f[d+80>>2]=0;if(!m)o=k;else{k=m+12|0;f[k>>2]=(f[k>>2]|0)+1;o=f[j>>2]|0}if((o|0)<3){o=f[c+56>>2]|0;c=f[n>>2]|0;f[c>>2]=f[o>>2];f[c+4>>2]=f[o+4>>2];f[a>>2]=b;p=a+4|0;q=p;r=q;f[r>>2]=e;s=q+4|0;t=s;f[t>>2]=1;return}else{f[i>>2]=0;kP(h,g);f[a>>2]=b;p=a+4|0;q=p;r=q;f[r>>2]=e;s=q+4|0;t=s;f[t>>2]=1;return}}function xEa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;d=u;u=u+48|0;e=d+32|0;g=d+8|0;h=d+24|0;i=d;j=a+4|0;k=f[j>>2]|0;do if(k){l=f[b>>2]|0;m=(l|0)==0?1163146:l;n=l;o=j;q=k;a:while(1){r=q;while(1){s=f[r+16>>2]|0;if((s|0)==(l|0))break;if((o7b((s|0)==0?1163146:s,m)|0)>=0)break;s=f[r+4>>2]|0;if(!s){t=o;break a}else r=s}q=f[r>>2]|0;if(!q){t=r;break}else o=r}if((t|0)==(j|0))v=n;else{o=f[t+16>>2]|0;if((l|0)!=(o|0)?(o7b(m,(o|0)==0?1163146:o)|0)<=-1:0){v=n;break}w=+p[c>>3];f[e>>2]=2;o=Bmc(16)|0;q=o+8|0;f[o>>2]=q;f[o+4>>2]=1;f[e+4>>2]=o;p[q>>3]=w;kDa(t+24|0,e)|0;rza(e);u=d;return c|0}}else v=f[b>>2]|0;while(0);f[h>>2]=v;t=h+4|0;f[t>>2]=f[b+4>>2];if(v|0){b=v+-4|0;f[b>>2]=(f[b>>2]|0)+1}w=+p[c>>3];f[i>>2]=2;b=Bmc(16)|0;v=b+8|0;f[b>>2]=v;f[b+4>>2]=1;f[i+4>>2]=b;p[v>>3]=w;v=f[h>>2]|0;f[g>>2]=v;b=g+4|0;f[b>>2]=f[t>>2];if(v|0){t=v+-4|0;f[t>>2]=(f[t>>2]|0)+1}t=g+8|0;tza(t,i);v=f[g>>2]|0;f[e>>2]=v;k=e+4|0;f[k>>2]=f[b>>2];if(v|0){b=v+-4|0;f[b>>2]=(f[b>>2]|0)+1}b=e+8|0;tza(b,t);v=f[j>>2]|0;b:do if(!v){x=j;y=j}else{q=a+4|0;o=f[e>>2]|0;s=(o|0)==0?1163146:o;z=f[v+16>>2]|0;c:do if((o|0)!=(z|0)){A=q;B=v;C=z;while(1){D=(C|0)==0?1163146:C;if((o7b(s,D)|0)<0){E=f[B>>2]|0;if(!E){F=24;break}else{G=B;H=E}}else{if((o7b(D,s)|0)>=0){I=A;J=B;break c}K=B+4|0;D=f[K>>2]|0;if(!D){F=27;break}else{G=K;H=D}}C=f[H+16>>2]|0;if((o|0)==(C|0)){I=G;J=H;break c}else{A=G;B=H}}if((F|0)==24){x=B;y=B;break b}else if((F|0)==27){x=K;y=B;break b}}else{I=q;J=v}while(0);x=I;y=J}while(0);if(!(f[x>>2]|0)){J=Bmc(32)|0;I=f[e>>2]|0;f[J+16>>2]=I;f[J+20>>2]=f[k>>2];if(I|0){k=I+-4|0;f[k>>2]=(f[k>>2]|0)+1}tza(J+24|0,b);f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=y;f[x>>2]=J;y=f[f[a>>2]>>2]|0;if(!y)L=J;else{f[a>>2]=y;L=f[x>>2]|0}RS(f[a+4>>2]|0,L);L=a+8|0;f[L>>2]=(f[L>>2]|0)+1}rza(b);ZG(e);rza(t);ZG(g);rza(i);ZG(h);u=d;return c|0}function yEa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=u;u=u+48|0;e=d+32|0;g=d+8|0;h=d+24|0;i=d;j=a+4|0;k=f[j>>2]|0;do if(k){l=f[b>>2]|0;m=(l|0)==0?1163146:l;n=l;o=j;p=k;a:while(1){q=p;while(1){r=f[q+16>>2]|0;if((r|0)==(l|0))break;if((o7b((r|0)==0?1163146:r,m)|0)>=0)break;r=f[q+4>>2]|0;if(!r){s=o;break a}else q=r}p=f[q>>2]|0;if(!p){s=q;break}else o=q}if((s|0)==(j|0))t=n;else{o=f[s+16>>2]|0;if((l|0)!=(o|0)?(o7b(m,(o|0)==0?1163146:o)|0)<=-1:0){t=n;break}f[e>>2]=3;o=Bmc(16)|0;p=o+8|0;f[p>>2]=0;r=o+12|0;f[r>>2]=0;f[o>>2]=p;f[o+4>>2]=1;f[e+4>>2]=o;if((p|0)!=(c|0)){ZG(p);o=f[c>>2]|0;if(!o)v=0;else{w=o+-4|0;f[w>>2]=(f[w>>2]|0)+1;v=f[c>>2]|0}f[p>>2]=v;f[r>>2]=f[c+4>>2]}kDa(s+24|0,e)|0;rza(e);u=d;return c|0}}else t=f[b>>2]|0;while(0);f[h>>2]=t;s=h+4|0;f[s>>2]=f[b+4>>2];if(t|0){b=t+-4|0;f[b>>2]=(f[b>>2]|0)+1}f[i>>2]=3;b=Bmc(16)|0;t=b+8|0;f[t>>2]=0;v=b+12|0;f[v>>2]=0;f[b>>2]=t;f[b+4>>2]=1;f[i+4>>2]=b;if((t|0)!=(c|0)){ZG(t);b=f[c>>2]|0;if(!b)x=0;else{k=b+-4|0;f[k>>2]=(f[k>>2]|0)+1;x=f[c>>2]|0}f[t>>2]=x;f[v>>2]=f[c+4>>2]}v=f[h>>2]|0;f[g>>2]=v;x=g+4|0;f[x>>2]=f[s>>2];if(v|0){s=v+-4|0;f[s>>2]=(f[s>>2]|0)+1}s=g+8|0;tza(s,i);v=f[g>>2]|0;f[e>>2]=v;t=e+4|0;f[t>>2]=f[x>>2];if(v|0){x=v+-4|0;f[x>>2]=(f[x>>2]|0)+1}x=e+8|0;tza(x,s);v=f[j>>2]|0;b:do if(!v){y=j;z=j}else{k=a+4|0;b=f[e>>2]|0;r=(b|0)==0?1163146:b;p=f[v+16>>2]|0;c:do if((b|0)!=(p|0)){w=k;o=v;A=p;while(1){B=(A|0)==0?1163146:A;if((o7b(r,B)|0)<0){C=f[o>>2]|0;if(!C){D=32;break}else{E=o;F=C}}else{if((o7b(B,r)|0)>=0){G=w;H=o;break c}I=o+4|0;B=f[I>>2]|0;if(!B){D=35;break}else{E=I;F=B}}A=f[F+16>>2]|0;if((b|0)==(A|0)){G=E;H=F;break c}else{w=E;o=F}}if((D|0)==32){y=o;z=o;break b}else if((D|0)==35){y=I;z=o;break b}}else{G=k;H=v}while(0);y=G;z=H}while(0);if(!(f[y>>2]|0)){H=Bmc(32)|0;G=f[e>>2]|0;f[H+16>>2]=G;f[H+20>>2]=f[t>>2];if(G|0){t=G+-4|0;f[t>>2]=(f[t>>2]|0)+1}tza(H+24|0,x);f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=z;f[y>>2]=H;z=f[f[a>>2]>>2]|0;if(!z)J=H;else{f[a>>2]=z;J=f[y>>2]|0}RS(f[a+4>>2]|0,J);J=a+8|0;f[J>>2]=(f[J>>2]|0)+1}rza(x);ZG(e);rza(s);ZG(g);rza(i);ZG(h);u=d;return c|0}function zEa(a){a=a|0;Emc(a);return}function AEa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0){BEa(b);Emc(b)}ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function BEa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;b=a+56|0;c=f[b>>2]|0;if(c|0){d=a+60|0;e=f[d>>2]|0;if((e|0)==(c|0))g=c;else{h=e;do{e=h+-8|0;f[d>>2]=e;i=f[e>>2]|0;if(i|0?(j=i+4|0,k=f[j>>2]|0,f[j>>2]=k+-1,(k|0)==1):0)ai[f[(f[i>>2]|0)+8>>2]&2047](i);f[e>>2]=0;f[h+-4>>2]=0;h=f[d>>2]|0}while((h|0)!=(c|0));g=f[b>>2]|0}Emc(g)}qza(a+16|0);ZG(a+8|0);ZG(a);return}function CEa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=Bmc(76)|0;e=b+4|0;b=d;f[d+16>>2]=f[c>>2];g=d+20|0;h=c+4|0;f[g>>2]=f[h>>2];i=d+24|0;j=c+8|0;k=f[j>>2]|0;f[i>>2]=k;l=d+28|0;f[l>>2]=f[c+12>>2];f[d+32>>2]=f[c+16>>2];f[d+36>>2]=f[c+20>>2];f[d+40>>2]=f[c+24>>2];f[d+44>>2]=f[c+28>>2];f[d+48>>2]=f[c+32>>2];f[d+52>>2]=f[c+36>>2];m=f[c+40>>2]|0;f[d+56>>2]=m;f[d+60>>2]=l;l=d+68|0;n=d+64|0;f[n>>2]=l;f[l>>2]=0;f[d+72>>2]=0;if(!m)o=k;else{k=m+12|0;f[k>>2]=(f[k>>2]|0)+1;o=f[j>>2]|0}if((o|0)<3){o=f[c+48>>2]|0;c=f[n>>2]|0;f[c>>2]=f[o>>2];f[c+4>>2]=f[o+4>>2];f[a>>2]=b;p=a+4|0;q=p;r=q;f[r>>2]=e;s=q+4|0;t=s;f[t>>2]=1;return}else{f[i>>2]=0;kP(g,h);f[a>>2]=b;p=a+4|0;q=p;r=q;f[r>>2]=e;s=q+4|0;t=s;f[t>>2]=1;return}}function DEa(a){a=a|0;Emc(a);return}function EEa(a){a=a|0;ai[f[a+12>>2]&2047](f[a+8>>2]|0);if(!a)return;ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function FEa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+112|0;e=d+96|0;g=d+16|0;h=d+8|0;i=d;zT(e,110780);j=f[b>>2]|0;f[h>>2]=j;f[h+4>>2]=f[b+4>>2];if(j|0){b=j+-4|0;f[b>>2]=(f[b>>2]|0)+1}fEa(g,h,c);ZG(h);pAa(a);h=f[a>>2]|0;f[i>>2]=h;f[i+4>>2]=f[a+4>>2];if(h|0){a=h+4|0;f[a>>2]=(f[a>>2]|0)+1}GEa(g,i);TAa(i);hEa(g);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function GEa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+32|0;e=d+24|0;g=d+16|0;h=d;zT(e,110800);i=a+64|0;if(f[i>>2]|0){f[g>>2]=0;f[g+4>>2]=0;j=YG(g,18)|0;k=402657;l=j+18|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,g,403432,399848,1227)}HEa(g,399992);k=f[g+4>>2]|0;f[i>>2]=k;j=a+68|0;f[j>>2]=k;hyb(f[a+12>>2]|0,0);gEa(a);k=f[c>>2]|0;l=f[c+4>>2]|0;if(k|0){c=k+4|0;f[c>>2]=(f[c>>2]|0)+1}c=f[a>>2]|0;f[a>>2]=k;f[a+4>>2]=l;if(c|0?(l=c+4|0,k=f[l>>2]|0,f[l>>2]=k+-1,(k|0)==1):0)ai[f[(f[c>>2]|0)+8>>2]&2047](c);f[h>>2]=0;c=h+4|0;f[c>>2]=0;f[h+8>>2]=0;IEa(a,f[i>>2]|0,h,0,0)|0;f[i>>2]=0;f[j>>2]=0;j=f[h>>2]|0;if(j|0){h=f[c>>2]|0;if((h|0)!=(j|0))f[c>>2]=h+(~((h+-8-j|0)>>>3)<<3);Emc(j)}j=f[g>>2]|0;if(j|0?(g=j+4|0,h=f[g>>2]|0,f[g>>2]=h+-1,(h|0)==1):0)ai[f[(f[j>>2]|0)+8>>2]&2047](j);if(!(f[e+4>>2]|0)){u=d;return}u=d;return}function HEa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=u;u=u+16|0;d=c+8|0;e=c;g=Bmc(68)|0;f[d>>2]=0;h=d+4|0;f[h>>2]=0;i=s8b(b)|0;if(!i){j=0;k=0}else{Krc(YG(d,i)|0,b|0,i|0)|0;j=f[d>>2]|0;k=f[h>>2]|0}f[e>>2]=0;h=e+4|0;f[h>>2]=0;f[g>>2]=j;f[g+4>>2]=k;if(j){k=j+-4|0;f[k>>2]=(f[k>>2]|0)+1;k=f[e>>2]|0;j=f[h>>2]|0;f[g+8>>2]=k;f[g+12>>2]=j;if(k|0){j=k+-4|0;f[j>>2]=(f[j>>2]|0)+1}}else{f[g+8>>2]=0;f[g+12>>2]=0}j=g+20|0;f[j>>2]=0;f[g+24>>2]=0;f[g+16>>2]=j;j=g+28|0;k=j+40|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));j=Bmc(16)|0;f[j+4>>2]=1;f[j>>2]=110708;f[j+8>>2]=g;f[a>>2]=j;f[a+4>>2]=g;ZG(e);ZG(d);u=c;return}function IEa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0;h=u;u=u+176|0;i=h+88|0;j=h+136|0;k=h+48|0;l=h+8|0;m=h+120|0;n=h;o=h+112|0;p=h+104|0;if(!c){q=e;u=h;return q|0}r=c+8|0;if(f[c+12>>2]|0){JEa(i,a,r);s=UAa(a,i,r,c+16|0)|0;ZG(i);_Aa(a,e,g,s,0);f[i>>2]=s;f[i+4>>2]=c;r=d+4|0;t=f[r>>2]|0;if((t|0)==(f[d+8>>2]|0))KEa(d,i);else{v=i;w=f[v+4>>2]|0;x=t;f[x>>2]=f[v>>2];f[x+4>>2]=w;f[r>>2]=(f[r>>2]|0)+8}q=s;u=h;return q|0}s=f[c>>2]|0;if(((s|0)!=399992?(r=(s|0)==0?1163146:s,!((o7b(r,399992)|0)==0|(s|0)==400046)):0)?o7b(r,400046)|0:0){if((s|0)!=443891?o7b(r,443891)|0:0){if((s|0)!=400034?o7b(r,400034)|0:0){if((s|0)!=400003?o7b(r,400003)|0:0){if((s|0)!=400012?o7b(r,400012)|0:0){do if((s|0)!=400024){if(!(o7b(r,400024)|0))break;do if((s|0)!=400843){if(!(o7b(r,400843)|0))break;do if((s|0)!=401450){if(!(o7b(r,401450)|0))break;f[i>>2]=0;f[i+4>>2]=0;w=c+4|0;YG(i,(f[w>>2]|0)+28|0)|0;x=f[i>>2]|0;y=x;z=402866;A=y+28|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));v=f[w>>2]|0;if(!v)SQ(-3,i,402741,399848,1219);Krc(x+28|0,f[c>>2]|0,v|0)|0;SQ(-3,i,402741,399848,1219)}while(0);v=c+16|0;f[i>>2]=0;f[i+4>>2]=0;y=YG(i,15)|0;z=400294;A=y+15|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));t=f[c+20>>2]|0;if(!t){ZG(i);f[i>>2]=0;B=i+4|0;f[B>>2]=0;C=YG(i,37)|0;y=C;z=402785;A=y+37|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,i,402741,399848,1185)}D=f[i>>2]|0;E=(D|0)==0?1163146:D;F=t;while(1){G=f[F+16>>2]|0;if((D|0)==(G|0))break;H=(G|0)==0?1163146:G;if((o7b(E,H)|0)<0)I=F;else{if((o7b(H,E)|0)>=0)break;I=F+4|0}F=f[I>>2]|0;if(!F){J=118;break}}if((J|0)==118){ZG(i);f[i>>2]=0;B=i+4|0;f[B>>2]=0;C=YG(i,37)|0;y=C;z=402785;A=y+37|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,i,402741,399848,1185)}ZG(i);f[i>>2]=0;f[i+4>>2]=0;y=YG(i,15)|0;z=400294;A=y+15|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));F=rCa(dDa(v,i)|0,-1)|0;ZG(i);E=d+4|0;D=f[d>>2]|0;a:do if((f[E>>2]|0)==(D|0)){K=-1;L=0}else{t=i+4|0;H=j+4|0;G=0;M=D;b:while(1){N=M;O=f[(f[N+(G<<3)+4>>2]|0)+8>>2]|0;if(!((O|0)!=443971?(o7b((O|0)==0?1163146:O,443971)|0)!=0:0))J=123;c:do if((J|0)==123){J=0;O=f[N+(G<<3)+4>>2]|0;f[i>>2]=0;f[t>>2]=0;y=YG(i,15)|0;z=400294;A=y+15|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));P=f[O+20>>2]|0;d:do if(P|0){Q=f[i>>2]|0;R=(Q|0)==0?1163146:Q;S=P;while(1){T=f[S+16>>2]|0;if((Q|0)==(T|0))break;U=(T|0)==0?1163146:T;if((o7b(R,U)|0)<0)V=S;else{if((o7b(U,R)|0)>=0)break;V=S+4|0}S=f[V>>2]|0;if(!S)break d}S=f[(f[d>>2]|0)+(G<<3)+4>>2]|0;f[j>>2]=0;f[H>>2]=0;y=YG(j,15)|0;z=400294;A=y+15|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));R=rCa(dDa(S+16|0,j)|0,-1)|0;ZG(j);ZG(i);if((R|0)==(F|0))break b;else break c}while(0);ZG(i)}while(0);N=G+1|0;M=f[d>>2]|0;if(N>>>0>=(f[E>>2]|0)-M>>3>>>0){K=-1;L=0;break a}else G=N}M=f[d>>2]|0;K=f[M+(G<<3)>>2]|0;L=f[M+(G<<3)+4>>2]|0}while(0);f[i>>2]=0;f[i+4>>2]=0;E=YG(i,8)|0;F=E;b[F>>0]=112;b[F+1>>0]=111;b[F+2>>0]=111;b[F+3>>0]=108;F=E+4|0;b[F>>0]=95;b[F+1>>0]=107;b[F+2>>0]=95;b[F+3>>0]=104;f[k>>2]=0;f[k+4>>2]=0;F=YG(k,8)|0;E=F;b[E>>0]=107;b[E+1>>0]=101;b[E+2>>0]=114;b[E+3>>0]=110;E=F+4|0;b[E>>0]=101;b[E+1>>0]=108;b[E+2>>0]=95;b[E+3>>0]=104;E=L+16|0;F=rCa(dDa(E,k)|0,-1)|0;f[j>>2]=F;KCa(v,i,j)|0;ZG(k);ZG(i);f[i>>2]=0;f[i+4>>2]=0;F=YG(i,8)|0;D=F;b[D>>0]=112;b[D+1>>0]=111;b[D+2>>0]=111;b[D+3>>0]=108;D=F+4|0;b[D>>0]=95;b[D+1>>0]=107;b[D+2>>0]=95;b[D+3>>0]=119;f[k>>2]=0;f[k+4>>2]=0;D=YG(k,8)|0;F=D;b[F>>0]=107;b[F+1>>0]=101;b[F+2>>0]=114;b[F+3>>0]=110;F=D+4|0;b[F>>0]=101;b[F+1>>0]=108;b[F+2>>0]=95;b[F+3>>0]=119;F=rCa(dDa(E,k)|0,-1)|0;f[j>>2]=F;KCa(v,i,j)|0;ZG(k);ZG(i);f[i>>2]=0;f[i+4>>2]=0;y=YG(i,13)|0;z=456149;A=y+13|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));f[k>>2]=0;f[k+4>>2]=0;F=YG(k,8)|0;D=F;b[D>>0]=115;b[D+1>>0]=116;b[D+2>>0]=114;b[D+3>>0]=105;D=F+4|0;b[D>>0]=100;b[D+1>>0]=101;b[D+2>>0]=95;b[D+3>>0]=104;D=rCa(dDa(E,k)|0,-1)|0;f[j>>2]=D;KCa(v,i,j)|0;ZG(k);ZG(i);f[i>>2]=0;f[i+4>>2]=0;y=YG(i,13)|0;z=456135;A=y+13|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));f[k>>2]=0;f[k+4>>2]=0;D=YG(k,8)|0;F=D;b[F>>0]=115;b[F+1>>0]=116;b[F+2>>0]=114;b[F+3>>0]=105;F=D+4|0;b[F>>0]=100;b[F+1>>0]=101;b[F+2>>0]=95;b[F+3>>0]=119;F=rCa(dDa(E,k)|0,-1)|0;f[j>>2]=F;KCa(v,i,j)|0;ZG(k);ZG(i);f[i>>2]=0;f[i+4>>2]=0;y=YG(i,10)|0;z=456124;A=y+10|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));f[k>>2]=0;f[k+4>>2]=0;F=YG(k,5)|0;b[F>>0]=b[401157]|0;b[F+1>>0]=b[401158]|0;b[F+2>>0]=b[401159]|0;b[F+3>>0]=b[401160]|0;b[F+4>>0]=b[401161]|0;F=rCa(dDa(E,k)|0,-1)|0;f[j>>2]=F;KCa(v,i,j)|0;ZG(k);ZG(i);f[i>>2]=0;f[i+4>>2]=0;y=YG(i,10)|0;z=456113;A=y+10|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));f[k>>2]=0;f[k+4>>2]=0;F=YG(k,5)|0;b[F>>0]=b[401151]|0;b[F+1>>0]=b[401152]|0;b[F+2>>0]=b[401153]|0;b[F+3>>0]=b[401154]|0;b[F+4>>0]=b[401155]|0;F=rCa(dDa(E,k)|0,-1)|0;f[j>>2]=F;KCa(v,i,j)|0;ZG(k);ZG(i);f[j>>2]=0;f[j+4>>2]=0;y=YG(j,17)|0;z=402823;A=y+17|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));JEa(i,a,j);ZG(j);f[j>>2]=0;f[j+4>>2]=0;y=YG(j,9)|0;z=442770;A=y+9|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));E=UAa(a,i,j,v)|0;ZG(j);_Aa(a,e,0,E,0);if((K|0)==-1){f[j>>2]=0;f[j+4>>2]=0;y=YG(j,24)|0;z=402841;A=y+24|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,j,402741,399848,1212)}_Aa(a,K,1,E,1);ZG(i);q=E;u=h;return q|0}while(0);f[j>>2]=0;f[j+4>>2]=0;y=YG(j,14)|0;z=402770;A=y+14|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));JEa(i,a,j);ZG(j);tCa(j,a);f[k+4>>2]=0;f[k+8>>2]=0;f[k>>2]=k+4;v=k+12|0;f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;f[v+12>>2]=0;f[v+16>>2]=0;f[v+20>>2]=0;f[v+24>>2]=0;f[l>>2]=0;f[l+4>>2]=0;y=YG(l,9)|0;z=461792;A=y+9|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));$Ca(k,l,461807)|0;ZG(l);f[l>>2]=0;f[l+4>>2]=0;v=YG(l,7)|0;b[v>>0]=b[443787]|0;b[v+1>>0]=b[443788]|0;b[v+2>>0]=b[443789]|0;b[v+3>>0]=b[443790]|0;b[v+4>>0]=b[443791]|0;b[v+5>>0]=b[443792]|0;b[v+6>>0]=b[443793]|0;v=UAa(a,i,l,k)|0;ZG(l);F=a+56|0;D=f[F>>2]|0;if((f[a+52>>2]|0)==(D|0)){f[l>>2]=0;f[l+4>>2]=0;y=YG(l,29)|0;z=402711;A=y+29|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,l,402741,399848,1172)}M=D+-4|0;H=f[M>>2]|0;f[F>>2]=M;M=j+4|0;t=f[M>>2]|0;x=f[j>>2]|0;if(H>>>0>t-x>>2>>>0){f[l>>2]=0;f[l+4>>2]=0;y=YG(l,23)|0;z=402746;A=y+23|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,l,402741,399848,1175)}e:do if((H|0)>0){F=0;D=x;w=t;while(1){_Aa(a,f[D+(F-H+(w-D>>2)<<2)>>2]|0,0,v,F);N=F+1|0;if((N|0)>=(H|0))break e;F=N;D=f[j>>2]|0;w=f[M>>2]|0}}while(0);f[l>>2]=v;f[l+4>>2]=c;H=d+4|0;t=f[H>>2]|0;if((t|0)==(f[d+8>>2]|0))KEa(d,l);else{x=l;w=f[x+4>>2]|0;D=t;f[D>>2]=f[x>>2];f[D+4>>2]=w;f[H>>2]=(f[H>>2]|0)+8}qza(k);H=f[j>>2]|0;if(H|0){w=f[M>>2]|0;if((w|0)!=(H|0))f[M>>2]=w+(~((w+-4-H|0)>>>2)<<2);Emc(H)}ZG(i);q=v;u=h;return q|0}while(0);tCa(i,a);f[j+4>>2]=0;f[j+8>>2]=0;f[j>>2]=j+4;K=j+12|0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;f[K+16>>2]=0;f[K+20>>2]=0;f[K+24>>2]=0;f[k>>2]=0;f[k+4>>2]=0;K=YG(k,4)|0;b[K>>0]=97;b[K+1>>0]=120;b[K+2>>0]=105;b[K+3>>0]=115;f[m>>2]=0;f[m+4>>2]=0;y=YG(m,9)|0;z=400087;A=y+9|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));K=rCa(dDa(c+16|0,m)|0,-1)|0;f[l>>2]=K+-1;KCa(j,k,l)|0;ZG(m);ZG(k);f[l>>2]=0;f[l+4>>2]=0;y=YG(l,10)|0;z=402676;A=y+10|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));JEa(k,a,l);f[m>>2]=0;f[m+4>>2]=0;K=YG(m,6)|0;b[K>>0]=b[443891]|0;b[K+1>>0]=b[443892]|0;b[K+2>>0]=b[443893]|0;b[K+3>>0]=b[443894]|0;b[K+4>>0]=b[443895]|0;b[K+5>>0]=b[443896]|0;K=UAa(a,k,m,j)|0;ZG(m);ZG(k);ZG(l);f[k>>2]=K;f[k+4>>2]=c;L=d+4|0;V=f[L>>2]|0;if((V|0)==(f[d+8>>2]|0))KEa(d,k);else{J=k;C=f[J+4>>2]|0;B=V;f[B>>2]=f[J>>2];f[B+4>>2]=C;f[L>>2]=(f[L>>2]|0)+8}L=a+56|0;C=f[L>>2]|0;if((f[a+52>>2]|0)==(C|0)){f[k>>2]=0;f[k+4>>2]=0;y=YG(k,29)|0;z=402711;A=y+29|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,k,402741,399848,1151)}B=C+-4|0;C=f[B>>2]|0;f[L>>2]=B;B=i+4|0;L=f[B>>2]|0;J=f[i>>2]|0;if(C>>>0>L-J>>2>>>0){f[k>>2]=0;f[k+4>>2]=0;y=YG(k,23)|0;z=402746;A=y+23|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,k,402741,399848,1154)}f:do if((C|0)>0){V=0;I=J;r=L;while(1){_Aa(a,f[I+(V-C+(r-I>>2)<<2)>>2]|0,0,K,V);s=V+1|0;if((s|0)>=(C|0))break f;V=s;I=f[i>>2]|0;r=f[B>>2]|0}}while(0);qza(j);C=f[i>>2]|0;if(C|0){L=f[B>>2]|0;if((L|0)!=(C|0))f[B>>2]=L+(~((L+-4-C|0)>>>2)<<2);Emc(C)}q=K;u=h;return q|0}K=a+72|0;f[K>>2]=(f[K>>2]|0)+1;K=c+56|0;C=c+60|0;L=f[C>>2]|0;B=f[K>>2]|0;if((L-B|0)>0){J=0;r=B;while(1){I=IEa(a,f[r+(J<<3)+4>>2]|0,d,e,g)|0;J=J+1|0;V=f[C>>2]|0;v=f[K>>2]|0;if((J|0)>=(V-v>>3|0)){W=I;X=v;Y=V;break}else r=v}}else{W=-1;X=B;Y=L}L=Y-X>>3;f[i>>2]=L;X=a+56|0;Y=f[X>>2]|0;if((Y|0)==(f[a+60>>2]|0))MR(a+52|0,i);else{f[Y>>2]=L;f[X>>2]=Y+4}q=W;u=h;return q|0}f[j+4>>2]=0;f[j+8>>2]=0;f[j>>2]=j+4;W=j+12|0;f[W>>2]=0;f[W+4>>2]=0;f[W+8>>2]=0;f[W+12>>2]=0;f[W+16>>2]=0;f[W+20>>2]=0;f[W+24>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k>>2]=k+4;W=k+12|0;f[W>>2]=0;f[W+4>>2]=0;f[W+8>>2]=0;f[W+12>>2]=0;f[W+16>>2]=0;f[W+20>>2]=0;f[W+24>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l>>2]=l+4;W=l+12|0;f[W>>2]=0;f[W+4>>2]=0;f[W+8>>2]=0;f[W+12>>2]=0;f[W+16>>2]=0;f[W+20>>2]=0;f[W+24>>2]=0;f[m>>2]=0;f[m+4>>2]=0;W=YG(m,4)|0;b[W>>0]=97;b[W+1>>0]=120;b[W+2>>0]=105;b[W+3>>0]=115;W=c+16|0;f[o>>2]=0;f[o+4>>2]=0;y=YG(o,14)|0;z=400056;A=y+14|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));Y=rCa(dDa(W,o)|0,-1)|0;f[n>>2]=Y+-1;KCa(j,m,n)|0;ZG(o);ZG(m);f[m>>2]=0;f[m+4>>2]=0;Y=YG(m,4)|0;b[Y>>0]=97;b[Y+1>>0]=120;b[Y+2>>0]=105;b[Y+3>>0]=115;f[o>>2]=0;f[o+4>>2]=0;y=YG(o,15)|0;z=400071;A=y+15|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));Y=rCa(dDa(W,o)|0,-1)|0;f[n>>2]=Y+-1;KCa(k,m,n)|0;ZG(o);ZG(m);f[m>>2]=0;f[m+4>>2]=0;Y=YG(m,4)|0;b[Y>>0]=97;b[Y+1>>0]=120;b[Y+2>>0]=105;b[Y+3>>0]=115;f[o>>2]=0;f[o+4>>2]=0;Y=YG(o,4)|0;b[Y>>0]=97;b[Y+1>>0]=120;b[Y+2>>0]=105;b[Y+3>>0]=115;Y=rCa(dDa(j,o)|0,-1)|0;f[n>>2]=Y;KCa(l,m,n)|0;ZG(o);ZG(m);f[m>>2]=0;f[m+4>>2]=0;Y=YG(m,8)|0;W=Y;b[W>>0]=110;b[W+1>>0]=117;b[W+2>>0]=109;b[W+3>>0]=95;W=Y+4|0;b[W>>0]=97;b[W+1>>0]=120;b[W+2>>0]=101;b[W+3>>0]=115;f[n>>2]=1;KCa(l,m,n)|0;ZG(m);f[n>>2]=0;f[n+4>>2]=0;y=YG(n,10)|0;z=402687;A=y+10|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));JEa(m,a,n);f[o>>2]=0;f[o+4>>2]=0;W=YG(o,5)|0;b[W>>0]=b[442633]|0;b[W+1>>0]=b[442634]|0;b[W+2>>0]=b[442635]|0;b[W+3>>0]=b[442636]|0;b[W+4>>0]=b[442637]|0;W=UAa(a,m,o,j)|0;ZG(o);ZG(m);ZG(n);f[n>>2]=0;f[n+4>>2]=0;y=YG(n,12)|0;z=402698;A=y+12|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));JEa(m,a,n);f[o>>2]=0;f[o+4>>2]=0;Y=YG(o,7)|0;b[Y>>0]=b[444586]|0;b[Y+1>>0]=b[444587]|0;b[Y+2>>0]=b[444588]|0;b[Y+3>>0]=b[444589]|0;b[Y+4>>0]=b[444590]|0;b[Y+5>>0]=b[444591]|0;b[Y+6>>0]=b[444592]|0;Y=UAa(a,m,o,l)|0;ZG(o);ZG(m);ZG(n);_Aa(a,e,g,W,0);f[m>>2]=0;X=m+4|0;f[X>>2]=0;f[m+8>>2]=0;L=c+56|0;B=c+60|0;if(((f[B>>2]|0)-(f[L>>2]|0)|0)>0){r=m+8|0;J=0;do{_Aa(a,W,J,Y,J);K=IEa(a,f[(f[L>>2]|0)+(J<<3)+4>>2]|0,d,Y,J)|0;f[i>>2]=K;C=f[X>>2]|0;if((C|0)==(f[r>>2]|0))MR(m,i);else{f[C>>2]=K;f[X>>2]=C+4}J=J+1|0}while((J|0)<((f[B>>2]|0)-(f[L>>2]|0)>>3|0))}f[o>>2]=0;f[o+4>>2]=0;y=YG(o,10)|0;z=402676;A=y+10|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));JEa(n,a,o);f[p>>2]=0;f[p+4>>2]=0;L=YG(p,6)|0;b[L>>0]=b[443891]|0;b[L+1>>0]=b[443892]|0;b[L+2>>0]=b[443893]|0;b[L+3>>0]=b[443894]|0;b[L+4>>0]=b[443895]|0;b[L+5>>0]=b[443896]|0;L=UAa(a,n,p,k)|0;ZG(p);ZG(n);ZG(o);o=f[m>>2]|0;if((f[X>>2]|0)!=(o|0)){p=0;B=o;do{_Aa(a,f[B+(p<<2)>>2]|0,0,L,p);p=p+1|0;B=f[m>>2]|0}while(p>>>0<(f[X>>2]|0)-B>>2>>>0)}f[n>>2]=L;f[n+4>>2]=c;B=d+4|0;p=f[B>>2]|0;if((p|0)==(f[d+8>>2]|0))KEa(d,n);else{o=n;J=f[o+4>>2]|0;r=p;f[r>>2]=f[o>>2];f[r+4>>2]=J;f[B>>2]=(f[B>>2]|0)+8}B=f[m>>2]|0;if(B|0){J=f[X>>2]|0;if((J|0)!=(B|0))f[X>>2]=J+(~((J+-4-B|0)>>>2)<<2);Emc(B)}qza(l);qza(k);qza(j);q=L;u=h;return q|0}f[j+4>>2]=0;f[j+8>>2]=0;f[j>>2]=j+4;L=j+12|0;f[L>>2]=0;f[L+4>>2]=0;f[L+8>>2]=0;f[L+12>>2]=0;f[L+16>>2]=0;f[L+20>>2]=0;f[L+24>>2]=0;f[k>>2]=0;f[k+4>>2]=0;L=YG(k,4)|0;b[L>>0]=97;b[L+1>>0]=120;b[L+2>>0]=105;b[L+3>>0]=115;f[m>>2]=0;f[m+4>>2]=0;y=YG(m,9)|0;z=400087;A=y+9|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));L=rCa(dDa(c+16|0,m)|0,-1)|0;f[l>>2]=L+-1;KCa(j,k,l)|0;ZG(m);ZG(k);f[k>>2]=0;f[k+4>>2]=0;L=YG(k,7)|0;b[L>>0]=b[473651]|0;b[L+1>>0]=b[473652]|0;b[L+2>>0]=b[473653]|0;b[L+3>>0]=b[473654]|0;b[L+4>>0]=b[473655]|0;b[L+5>>0]=b[473656]|0;b[L+6>>0]=b[473657]|0;b[l>>0]=1;TCa(j,k,l)|0;ZG(k);f[k>>2]=0;L=k+4|0;f[L>>2]=0;f[k+8>>2]=0;B=c+56|0;J=c+60|0;X=f[B>>2]|0;if(((f[J>>2]|0)-X|0)>0){r=k+8|0;o=0;p=X;do{X=IEa(a,f[p+(o<<3)+4>>2]|0,d,e,g)|0;f[i>>2]=X;Y=f[L>>2]|0;if((Y|0)==(f[r>>2]|0))MR(k,i);else{f[Y>>2]=X;f[L>>2]=Y+4}o=o+1|0;p=f[B>>2]|0}while((o|0)<((f[J>>2]|0)-p>>3|0))}f[m>>2]=0;f[m+4>>2]=0;y=YG(m,10)|0;z=402676;A=y+10|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));JEa(l,a,m);f[n>>2]=0;f[n+4>>2]=0;p=YG(n,6)|0;b[p>>0]=b[443891]|0;b[p+1>>0]=b[443892]|0;b[p+2>>0]=b[443893]|0;b[p+3>>0]=b[443894]|0;b[p+4>>0]=b[443895]|0;b[p+5>>0]=b[443896]|0;p=UAa(a,l,n,j)|0;ZG(n);ZG(l);ZG(m);J=f[k>>2]|0;if((f[L>>2]|0)!=(J|0)){o=0;B=J;do{_Aa(a,f[B+(o<<2)>>2]|0,0,p,o);o=o+1|0;B=f[k>>2]|0}while(o>>>0<(f[L>>2]|0)-B>>2>>>0)}f[l>>2]=p;f[l+4>>2]=c;B=d+4|0;o=f[B>>2]|0;if((o|0)==(f[d+8>>2]|0))KEa(d,l);else{J=l;r=f[J+4>>2]|0;Y=o;f[Y>>2]=f[J>>2];f[Y+4>>2]=r;f[B>>2]=(f[B>>2]|0)+8}B=f[k>>2]|0;if(B|0){r=f[L>>2]|0;if((r|0)!=(B|0))f[L>>2]=r+(~((r+-4-B|0)>>>2)<<2);Emc(B)}qza(j);q=p;u=h;return q|0}f[j+4>>2]=0;f[j+8>>2]=0;f[j>>2]=j+4;p=j+12|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;f[p+16>>2]=0;f[p+20>>2]=0;f[p+24>>2]=0;f[k>>2]=0;f[k+4>>2]=0;p=YG(k,4)|0;b[p>>0]=97;b[p+1>>0]=120;b[p+2>>0]=105;b[p+3>>0]=115;f[m>>2]=0;f[m+4>>2]=0;y=YG(m,9)|0;z=400087;A=y+9|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));p=rCa(dDa(c+16|0,m)|0,-1)|0;f[l>>2]=p+-1;KCa(j,k,l)|0;ZG(m);ZG(k);f[k>>2]=0;p=k+4|0;f[p>>2]=0;f[k+8>>2]=0;B=c+56|0;r=c+60|0;L=f[B>>2]|0;if(((f[r>>2]|0)-L|0)>0){Y=k+8|0;J=0;o=L;do{L=IEa(a,f[o+(J<<3)+4>>2]|0,d,e,g)|0;f[i>>2]=L;X=f[p>>2]|0;if((X|0)==(f[Y>>2]|0))MR(k,i);else{f[X>>2]=L;f[p>>2]=X+4}J=J+1|0;o=f[B>>2]|0}while((J|0)<((f[r>>2]|0)-o>>3|0))}o=a+72|0;f[o>>2]=(f[o>>2]|0)+1;f[m>>2]=0;f[m+4>>2]=0;y=YG(m,10)|0;z=402676;A=y+10|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));JEa(l,a,m);f[n>>2]=0;f[n+4>>2]=0;z=YG(n,6)|0;b[z>>0]=b[443891]|0;b[z+1>>0]=b[443892]|0;b[z+2>>0]=b[443893]|0;b[z+3>>0]=b[443894]|0;b[z+4>>0]=b[443895]|0;b[z+5>>0]=b[443896]|0;z=UAa(a,l,n,j)|0;ZG(n);ZG(l);ZG(m);m=f[k>>2]|0;if((f[p>>2]|0)!=(m|0)){n=0;y=m;do{_Aa(a,f[y+(n<<2)>>2]|0,0,z,n);n=n+1|0;y=f[k>>2]|0}while(n>>>0<(f[p>>2]|0)-y>>2>>>0)}f[l>>2]=z;f[l+4>>2]=c;y=d+4|0;n=f[y>>2]|0;if((n|0)==(f[d+8>>2]|0))KEa(d,l);else{m=l;l=f[m+4>>2]|0;A=n;f[A>>2]=f[m>>2];f[A+4>>2]=l;f[y>>2]=(f[y>>2]|0)+8}y=f[k>>2]|0;if(y|0){k=f[p>>2]|0;if((k|0)!=(y|0))f[p>>2]=k+(~((k+-4-y|0)>>>2)<<2);Emc(y)}qza(j);q=z;u=h;return q|0}z=c+56|0;j=c+60|0;c=f[z>>2]|0;if((f[j>>2]|0)==(c|0)){q=e;u=h;return q|0}else{Z=e;_=g;$=0;aa=c}while(1){c=IEa(a,f[aa+($<<3)+4>>2]|0,d,Z,_)|0;$=$+1|0;aa=f[z>>2]|0;if($>>>0>=(f[j>>2]|0)-aa>>3>>>0){q=c;break}else{Z=c;_=0}}u=h;return q|0}function JEa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=u;u=u+176|0;g=e+160|0;h=e+24|0;i=e+16|0;j=e+8|0;k=e;l=c+72|0;f[l>>2]=(f[l>>2]|0)+1;c=h+56|0;m=h+4|0;f[h>>2]=11652;f[c>>2]=11672;Icc(h+56|0,m);f[h+128>>2]=0;f[h+132>>2]=-1;f[h>>2]=46744;f[c>>2]=46764;Ncc(m);f[m>>2]=46200;c=h+36|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;f[h+52>>2]=16;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;YQ(m,g);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);_cc(h,f[l>>2]|0)|0;_Q(g,m);f[k>>2]=0;m=k+4|0;f[m>>2]=0;l=g+11|0;c=b[l>>0]|0;n=c<<24>>24<0?f[g+4>>2]|0:c&255;if(!n)o=c;else{c=YG(k,n)|0;Krc(c|0,((b[l>>0]|0)<0?f[g>>2]|0:g)|0,n|0)|0;o=b[l>>0]|0}if(o<<24>>24<0)Emc(f[g>>2]|0);VS(h);f[j>>2]=0;h=j+4|0;f[h>>2]=0;YG(j,(f[m>>2]|0)+1|0)|0;b[f[j>>2]>>0]=108;g=f[m>>2]|0;if(g|0)Krc((f[j>>2]|0)+1|0,f[k>>2]|0,g|0)|0;f[i>>2]=0;g=i+4|0;f[g>>2]=0;YG(i,(f[h>>2]|0)+1|0)|0;m=f[h>>2]|0;if(!m)p=0;else{Krc(f[i>>2]|0,f[j>>2]|0,m|0)|0;p=f[h>>2]|0}b[(f[i>>2]|0)+p>>0]=95;f[a>>2]=0;f[a+4>>2]=0;p=d+4|0;YG(a,(f[p>>2]|0)+(f[g>>2]|0)|0)|0;h=f[g>>2]|0;if(h|0)Krc(f[a>>2]|0,f[i>>2]|0,h|0)|0;h=f[p>>2]|0;if(!h){ZG(i);ZG(j);ZG(k);u=e;return}Krc((f[a>>2]|0)+(f[g>>2]|0)|0,f[d>>2]|0,h|0)|0;ZG(i);ZG(j);ZG(k);u=e;return}function KEa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=a+4|0;d=f[a>>2]|0;e=(f[c>>2]|0)-d|0;g=e>>3;h=g+1|0;if(h>>>0>536870911)Ukc(a);i=a+8|0;j=(f[i>>2]|0)-d|0;k=j>>2;l=j>>3>>>0<268435455?(k>>>0<h>>>0?h:k):536870911;do if(l)if(l>>>0>536870911){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{m=Bmc(l<<3)|0;break}else m=0;while(0);k=m+(g<<3)|0;h=b;b=f[h+4>>2]|0;j=k;f[j>>2]=f[h>>2];f[j+4>>2]=b;b=k+(0-g<<3)|0;if((e|0)>0)Krc(b|0,d|0,e|0)|0;f[a>>2]=b;f[c>>2]=k+8;f[i>>2]=m+(l<<3);if(!d)return;Emc(d);return}function LEa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+256|0;g=e+240|0;h=e+8|0;i=e;j=f[c>>2]|0;c=f[d>>2]|0;d=(c|0)==0?1163146:c;Bcb(h);c=h+104|0;Bcb(c);f[h+208>>2]=0;k=h+212|0;f[k>>2]=0;f[h+216>>2]=0;f[h+224>>2]=0;f[h+228>>2]=0;l=h+224|0;f[h+220>>2]=l;zT(g,110820);JFa((j|0)==0?1163146:j,h);if(b[d>>0]|0)LFa(d,c);pAa(a);d=f[a>>2]|0;f[i>>2]=d;f[i+4>>2]=f[a+4>>2];if(d|0){a=d+4|0;f[a>>2]=(f[a>>2]|0)+1}MEa(h,i);TAa(i);fza(h+220|0,f[l>>2]|0);l=h+208|0;i=f[l>>2]|0;if(!i){Hcb(c);Hcb(h);u=e;return}a=f[k>>2]|0;if((a|0)==(i|0))m=i;else{d=a;while(1){a=d+-20|0;f[k>>2]=a;if((b[a+11>>0]|0)<0){Emc(f[a>>2]|0);n=f[k>>2]|0}else n=a;if((n|0)==(i|0))break;else d=n}m=f[l>>2]|0}Emc(m);Hcb(c);Hcb(h);u=e;return}function MEa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0.0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0;d=u;u=u+320|0;e=d+288|0;g=d+248|0;h=d+192|0;i=d+120|0;j=d+104|0;k=d;l=d+96|0;m=d+80|0;o=d+72|0;q=d+64|0;r=d+24|0;s=d+184|0;t=d+176|0;v=d+16|0;zT(l,110840);w=f[a+80>>2]|0;x=a+220|0;y=a+224|0;fza(x,f[y>>2]|0);f[a+228>>2]=0;f[x>>2]=y;f[y>>2]=0;y=a+208|0;z=f[y>>2]|0;A=a+212|0;B=f[A>>2]|0;if((B|0)==(z|0)){C=B;D=y;E=z}else{F=B;while(1){B=F+-20|0;f[A>>2]=B;if((b[B+11>>0]|0)<0){Emc(f[B>>2]|0);G=f[A>>2]|0}else G=B;if((G|0)==(z|0))break;else F=G}C=G;D=y;E=f[y>>2]|0}G=C;F=w+1|0;z=a+216|0;B=E;if((((f[z>>2]|0)-E|0)/20|0)>>>0<F>>>0){if(F>>>0>214748364){H=ye(8)|0;Jmc(H,511852);f[H>>2]=165276;Gf(H|0,26776,1555)}H=Bmc(F*20|0)|0;I=H+(((G-E|0)/20|0)*20|0)|0;E=I;K=H+(F*20|0)|0;if((C|0)==(B|0)){L=E;M=G;N=B}else{G=C;C=E;F=I;do{I=G;G=G+-20|0;Nmc(F+-20|0,G);H=I+-8|0;I=f[H+4>>2]|0;O=F+-8|0;f[O>>2]=f[H>>2];f[O+4>>2]=I;F=C+-20|0;C=F}while((G|0)!=(B|0));L=C;M=f[D>>2]|0;N=f[A>>2]|0}f[D>>2]=L;f[A>>2]=E;f[z>>2]=K;K=M;if((N|0)!=(K|0)){E=N;do{E=E+-20|0;if((b[E+11>>0]|0)<0)Emc(f[E>>2]|0)}while((E|0)!=(K|0))}if(M|0)Emc(M)}M=a+36|0;NEa(m,f[M>>2]|0);a:do if((f[M>>2]|0)>0){K=a+44|0;E=e+12|0;N=e+16|0;L=e+11|0;C=0;while(1){Nmc(e,f[(f[K>>2]|0)+4+(C<<2)>>2]|0);f[E>>2]=0;f[N>>2]=C;B=f[A>>2]|0;G=f[z>>2]|0;F=G;if((B|0)==(G|0)){G=f[D>>2]|0;I=(B-G|0)/20|0;O=I+1|0;if(O>>>0>214748364){P=26;break}H=(F-G|0)/20|0;G=H<<1;F=H>>>0<107374182?(G>>>0<O>>>0?O:G):214748364;if(!F)Q=0;else{if(F>>>0>214748364){P=29;break}Q=Bmc(F*20|0)|0}G=Q+(I*20|0)|0;O=G;H=Q+(F*20|0)|0;Nmc(G,e);F=E;R=f[F+4>>2]|0;S=Q+(I*20|0)+12|0;f[S>>2]=f[F>>2];f[S+4>>2]=R;R=G+20|0;S=f[y>>2]|0;F=f[A>>2]|0;if((F|0)==(S|0)){T=O;U=S;V=S}else{I=F;F=O;O=G;do{G=I;I=I+-20|0;Nmc(O+-20|0,I);W=G+-8|0;G=f[W+4>>2]|0;X=O+-8|0;f[X>>2]=f[W>>2];f[X+4>>2]=G;O=F+-20|0;F=O}while((I|0)!=(S|0));T=F;U=f[D>>2]|0;V=f[A>>2]|0}f[D>>2]=T;f[A>>2]=R;f[z>>2]=H;S=U;if((V|0)!=(S|0)){I=V;do{I=I+-20|0;if((b[I+11>>0]|0)<0)Emc(f[I>>2]|0)}while((I|0)!=(S|0))}if(U|0)Emc(U)}else{Nmc(B,e);S=E;I=f[S+4>>2]|0;H=B+12|0;f[H>>2]=f[S>>2];f[H+4>>2]=I;f[A>>2]=(f[A>>2]|0)+20}if((b[L>>0]|0)<0)Emc(f[e>>2]|0);I=f[(f[K>>2]|0)+4+(C<<2)>>2]|0;H=(f[m>>2]|0)+(C<<3)|0;ZG(H);S=I+11|0;R=b[S>>0]|0;F=R<<24>>24<0?f[I+4>>2]|0:R&255;if(F|0){R=YG(H,F)|0;Krc(R|0,((b[S>>0]|0)<0?f[I>>2]|0:I)|0,F|0)|0}C=C+1|0;if((C|0)>=(f[M>>2]|0))break a}if((P|0)==26)Ukc(y);else if((P|0)==29){C=ye(8)|0;Jmc(C,511852);f[C>>2]=165276;Gf(C|0,26776,1555)}}while(0);b:do if((w|0)>0){M=a+88|0;U=o+4|0;V=q+4|0;z=r+4|0;T=r+8|0;D=r+4|0;Q=r+12|0;C=a+184|0;K=a+192|0;L=r+12|0;E=g+4|0;N=g+8|0;F=g+8|0;I=e+11|0;S=e+4|0;R=j+8|0;H=j+12|0;O=j+4|0;G=k+8|0;X=k+4|0;W=i+36|0;Z=i+16|0;_=i+4|0;$=i+40|0;aa=i+44|0;ba=i+48|0;ca=e+8|0;da=e+4|0;ea=h+36|0;fa=h+16|0;ga=h+4|0;ha=h+40|0;ia=h+44|0;ja=h+48|0;ka=m+4|0;la=g+4|0;ma=m+8|0;na=g+4|0;oa=g+4|0;pa=g+8|0;qa=g+4|0;ra=g+12|0;sa=h+4|0;ta=j+4|0;ua=s+4|0;va=h+11|0;wa=j+4|0;xa=h+4|0;ya=j+4|0;za=k+4|0;Aa=j+8|0;Ba=j+12|0;Ca=j+4|0;Da=j+8|0;Ea=j+12|0;Fa=j+4|0;Ga=k+4|0;Ha=t+4|0;Ia=v+4|0;Ja=j+11|0;Ka=j+4|0;La=j+8|0;Ma=h+8|0;Na=h+4|0;Oa=g+4|0;Pa=i+4|0;Qa=0;c:while(1){Ra=f[(f[M>>2]|0)+4+(Qa<<2)>>2]|0;Sa=Ra+136|0;Ta=f[Sa>>2]|0;f[o>>2]=0;f[U>>2]=0;Ua=Ta+11|0;Va=b[Ua>>0]|0;Wa=Va<<24>>24<0?f[Ta+4>>2]|0:Va&255;if(Wa|0){Va=YG(o,Wa)|0;Krc(Va|0,((b[Ua>>0]|0)<0?f[Ta>>2]|0:Ta)|0,Wa|0)|0}Wa=f[Ra+140>>2]|0;f[q>>2]=0;f[V>>2]=0;Ta=Wa+11|0;Ua=b[Ta>>0]|0;Va=Ua<<24>>24<0?f[Wa+4>>2]|0:Ua&255;if(Va|0){Ua=YG(q,Va)|0;Krc(Ua|0,((b[Ta>>0]|0)<0?f[Wa>>2]|0:Wa)|0,Va|0)|0}f[z>>2]=0;f[T>>2]=0;f[r>>2]=D;f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q+12>>2]=0;f[Q+16>>2]=0;f[Q+20>>2]=0;f[Q+24>>2]=0;OEa(Ra,r,0);Va=f[Sa>>2]|0;Sa=f[C>>2]|0;d:do if(Sa){Wa=f[K>>2]|0;Ta=b[Va+11>>0]|0;Ua=Ta<<24>>24<0;Xa=Ua?f[Va+4>>2]|0:Ta&255;Ta=(Xa|0)==0;if(Ua){if(Ta){Ua=0;while(1){Ya=f[(f[Wa+4+(Ua<<2)>>2]|0)+136>>2]|0;Za=b[Ya+11>>0]|0;if(!((Za<<24>>24<0?f[Ya+4>>2]|0:Za&255)|0)){_a=Ua;P=75;break d}Ua=Ua+1|0;if((Ua|0)==(Sa|0))break d}}else $a=0;do{Ua=f[(f[Wa+4+($a<<2)>>2]|0)+136>>2]|0;Za=b[Ua+11>>0]|0;Ya=Za<<24>>24<0;ab=Za&255;do if(((Ya?f[Ua+4>>2]|0:ab)|0)==(Xa|0)){Za=f[Ua>>2]|0;bb=f[Va>>2]|0;if(Ya)if(!(gac(Za,bb,Xa)|0)){_a=$a;P=75;break d}else break;if((Za&255)<<24>>24==(b[bb>>0]|0)){Za=Ua;cb=ab;db=bb;do{cb=cb+-1|0;Za=Za+1|0;if(!cb){_a=$a;P=75;break d}db=db+1|0}while((b[Za>>0]|0)==(b[db>>0]|0))}}while(0);$a=$a+1|0}while(($a|0)!=(Sa|0))}else{if(Ta){ab=0;while(1){Ua=f[(f[Wa+4+(ab<<2)>>2]|0)+136>>2]|0;Ya=b[Ua+11>>0]|0;if(!((Ya<<24>>24<0?f[Ua+4>>2]|0:Ya&255)|0)){_a=ab;P=75;break d}ab=ab+1|0;if((ab|0)==(Sa|0))break d}}else eb=0;do{ab=f[(f[Wa+4+(eb<<2)>>2]|0)+136>>2]|0;Ta=b[ab+11>>0]|0;Ya=Ta<<24>>24<0;Ua=Ta&255;do if(((Ya?f[ab+4>>2]|0:Ua)|0)==(Xa|0)){Ta=f[ab>>2]|0;if(Ya)if(!(gac(Ta,Va,Xa)|0)){_a=eb;P=75;break d}else break;if((Ta&255)<<24>>24==(b[Va>>0]|0)){Ta=ab;db=Ua;Za=Va;do{db=db+-1|0;Ta=Ta+1|0;if(!db){_a=eb;P=75;break d}Za=Za+1|0}while((b[Ta>>0]|0)==(b[Za>>0]|0))}}while(0);eb=eb+1|0}while((eb|0)!=(Sa|0))}}else{_a=0;P=75}while(0);e:do if(((P|0)==75?(P=0,(_a|0)!=(Sa|0)):0)?(Va=f[(f[K>>2]|0)+4+(_a<<2)>>2]|0,B=Va+80|0,Xa=f[B>>2]|0,Xa|0):0){sD(L,Xa);Wa=(Xa|0)>0;Ua=Va+88|0;if(Wa){Va=0;do{ab=f[(f[Ua>>2]|0)+4+(Va<<2)>>2]|0;Ya=f[L>>2]|0;Za=Ya+(Va*56|0)|0;f[g>>2]=0;f[E>>2]=0;f[N>>2]=0;Ta=f[ab+8>>2]|0;f:do if(!(Ta&60)){if(!(Ta&2)){f[e>>2]=1;cs(g,1,e);break}db=f[ab+84>>2]|0;cb=db|0?db:529568;db=cb+16|0;if((f[db>>2]|0)>0){bb=cb+24|0;cb=0;fb=0;gb=0;while(1){hb=f[(f[bb>>2]|0)+8+(cb<<3)>>2]|0;f[e>>2]=hb;if((fb|0)==(gb|0))MR(g,e);else{f[fb>>2]=hb;f[E>>2]=fb+4}hb=cb+1|0;if((hb|0)>=(f[db>>2]|0))break f;cb=hb;fb=f[E>>2]|0;gb=f[F>>2]|0}}}else{f[e>>2]=f[ab+88>>2];MR(g,e);gb=f[E>>2]|0;fb=f[F>>2]|0;cb=f[ab+92>>2]|0;f[e>>2]=cb;if((gb|0)==(fb|0)){MR(g,e);ib=f[E>>2]|0;jb=f[F>>2]|0}else{f[gb>>2]=cb;cb=gb+4|0;f[E>>2]=cb;ib=cb;jb=fb}fb=f[ab+96>>2]|0;f[e>>2]=fb;if((ib|0)==(jb|0)){MR(g,e);kb=f[E>>2]|0;lb=f[F>>2]|0}else{f[ib>>2]=fb;fb=ib+4|0;f[E>>2]=fb;kb=fb;lb=jb}fb=f[ab+100>>2]|0;f[e>>2]=fb;if((kb|0)==(lb|0))MR(g,e);else{f[kb>>2]=fb;f[E>>2]=kb+4}}while(0);Ta=f[g>>2]|0;iP(Za,(f[E>>2]|0)-Ta>>2,Ta,5);Ta=f[ab+16>>2]|0;do if(!Ta){if((f[ab+104>>2]|0)!=2){P=122;break c}Nmc(e,f[ab+80>>2]|0);fb=b[I>>0]|0;cb=fb<<24>>24<0;gb=cb?f[S>>2]|0:fb&255;fb=f[Ya+(Va*56|0)+4>>2]|0;if((fb|0)<3)mb=Y(f[Ya+(Va*56|0)+12>>2]|0,f[Ya+(Va*56|0)+8>>2]|0)|0;else{db=f[Ya+(Va*56|0)+40>>2]|0;bb=0;hb=1;while(1){nb=Y(f[db+(bb<<2)>>2]|0,hb)|0;bb=bb+1|0;if((bb|0)==(fb|0)){mb=nb;break}else hb=nb}}if((gb>>>1|0)!=(mb|0)){P=128;break c}hb=f[g>>2]|0;qP(i,(f[E>>2]|0)-hb>>2,hb,3,cb?f[e>>2]|0:e,0);f[R>>2]=0;f[H>>2]=0;f[j>>2]=16842752;f[O>>2]=i;hb=G;f[hb>>2]=0;f[hb+4>>2]=0;f[k>>2]=33619968;f[X>>2]=Za;KO(j,k);hb=f[W>>2]|0;do if(hb|0){fb=hb+12|0;bb=f[fb>>2]|0;f[fb>>2]=bb+-1;if((bb|0)!=1)break;lP(i)}while(0);f[W>>2]=0;f[Z>>2]=0;f[Z+4>>2]=0;f[Z+8>>2]=0;f[Z+12>>2]=0;if((f[_>>2]|0)>0){hb=f[$>>2]|0;cb=0;do{f[hb+(cb<<2)>>2]=0;cb=cb+1|0}while((cb|0)<(f[_>>2]|0))}cb=f[aa>>2]|0;if((cb|0)!=(ba|0))tE(cb);if((b[I>>0]|0)<0)Emc(f[e>>2]|0)}else{cb=f[Ya+(Va*56|0)+4>>2]|0;if((cb|0)<3)ob=Y(f[Ya+(Va*56|0)+12>>2]|0,f[Ya+(Va*56|0)+8>>2]|0)|0;else{hb=f[Ya+(Va*56|0)+40>>2]|0;gb=0;bb=1;while(1){fb=Y(f[hb+(gb<<2)>>2]|0,bb)|0;gb=gb+1|0;if((gb|0)==(cb|0)){ob=fb;break}else bb=fb}}if((Ta|0)!=(ob|0)){P=112;break c}bb=f[ab+24>>2]|0;qP(h,cb,f[Ya+(Va*56|0)+40>>2]|0,5,(bb|0)==0?0:bb+4|0,0);bb=ca;f[bb>>2]=0;f[bb+4>>2]=0;f[e>>2]=33619968;f[da>>2]=Za;kT(h,e);bb=f[ea>>2]|0;do if(bb|0){gb=bb+12|0;hb=f[gb>>2]|0;f[gb>>2]=hb+-1;if((hb|0)!=1)break;lP(h)}while(0);f[ea>>2]=0;f[fa>>2]=0;f[fa+4>>2]=0;f[fa+8>>2]=0;f[fa+12>>2]=0;if((f[ga>>2]|0)>0){bb=f[ha>>2]|0;cb=0;do{f[bb+(cb<<2)>>2]=0;cb=cb+1|0}while((cb|0)<(f[ga>>2]|0))}cb=f[ia>>2]|0;if((cb|0)==(ja|0))break;tE(cb)}while(0);Za=f[g>>2]|0;if(Za|0){Ya=f[E>>2]|0;if((Ya|0)!=(Za|0))f[E>>2]=Ya+(~((Ya+-4-Za|0)>>>2)<<2);Emc(Za)}Va=Va+1|0}while((Va|0)<(Xa|0))}Va=f[B>>2]|0;if((Va|0)>0){Za=f[Ua>>2]|0;Ya=0;do{ab=f[Za+4+(Ya<<2)>>2]|0;Ya=Ya+1|0;ai[f[(f[ab>>2]|0)+28>>2]&2047](ab)}while((Ya|0)!=(Va|0));f[B>>2]=0;pb=0}else pb=Va;Ya=f[Ua>>2]|0;if(!Ya)qb=0;else qb=(f[Ya>>2]|0)-pb|0;if((Xa|0)!=(qb|0)){P=145;break c}if(Wa){Za=0;ab=Ya;while(1){Ya=(f[ab>>2]|0)+-1|0;f[ab>>2]=Ya;Ta=f[ab+4+(Ya<<2)>>2]|0;if(Ta|0)ai[f[(f[Ta>>2]|0)+4>>2]&2047](Ta);Ta=Za+1|0;if((Ta|0)==(Xa|0))break e;Za=Ta;ab=f[Ua>>2]|0}}}while(0);Sa=oza(x,o)|0;Ua=f[Sa>>2]|0;f[Sa>>2]=Ua+1;f[e>>2]=Ua;if(Ua|0){f[h>>2]=0;f[Na>>2]=0;Ua=YG(h,1)|0;b[Ua>>0]=95;PEa(i,e);f[g>>2]=0;f[Oa>>2]=0;YG(g,(f[Pa>>2]|0)+(f[Na>>2]|0)|0)|0;Ua=f[Na>>2]|0;if(Ua|0)Krc(f[g>>2]|0,f[h>>2]|0,Ua|0)|0;Ua=f[Pa>>2]|0;if(Ua|0)Krc((f[g>>2]|0)+(f[Na>>2]|0)|0,f[i>>2]|0,Ua|0)|0;FS(o,g)|0;ZG(g);ZG(i);ZG(h)}Ua=f[q>>2]|0;g:do if((Ua|0)!=403401?(Sa=(Ua|0)==0?1163146:Ua,(o7b(Sa,403401)|0)!=0):0){if(!((Ua|0)!=444021?(o7b(Sa,444021)|0)!=0:0))P=170;do if((P|0)==170){P=0;f[g>>2]=0;f[na>>2]=0;rb=YG(g,16)|0;sb=456897;tb=rb+16|0;do{b[rb>>0]=b[sb>>0]|0;rb=rb+1|0;sb=sb+1|0}while((rb|0)<(tb|0));Sa=f[D>>2]|0;if(!Sa){ZG(g);break}ab=f[g>>2]|0;Za=(ab|0)==0?1163146:ab;Xa=D;Wa=Sa;h:while(1){Sa=Wa;while(1){Va=f[Sa+16>>2]|0;if((Va|0)==(ab|0))break;if((o7b((Va|0)==0?1163146:Va,Za)|0)>=0)break;Va=f[Sa+4>>2]|0;if(!Va){ub=Xa;break h}else Sa=Va}Wa=f[Sa>>2]|0;if(!Wa){ub=Sa;break}else Xa=Sa}if((ub|0)==(D|0)){ZG(g);break}Xa=f[ub+16>>2]|0;if((ab|0)!=(Xa|0)?(o7b(Za,(Xa|0)==0?1163146:Xa)|0)<=-1:0){ZG(g);break}Xa=rCa(ub+24|0,-1)|0;Wa=(Xa|0)!=0|(J|0)!=0;ZG(g);if(!Wa){Wa=Ra+20|0;if((f[Wa>>2]|0)!=1){P=182;break c}if((f[Ra+36>>2]|0)!=1){P=184;break c}f[oa>>2]=0;f[pa>>2]=0;f[g>>2]=qa;f[ra>>2]=0;f[ra+4>>2]=0;f[ra+8>>2]=0;f[ra+12>>2]=0;f[ra+16>>2]=0;f[ra+20>>2]=0;f[ra+24>>2]=0;f[h>>2]=0;f[sa>>2]=0;Xa=YG(h,3)|0;b[Xa>>0]=b[468047]|0;b[Xa+1>>0]=b[468048]|0;b[Xa+2>>0]=b[468049]|0;f[j>>2]=0;f[ta>>2]=0;Xa=YG(j,3)|0;b[Xa>>0]=b[468047]|0;b[Xa+1>>0]=b[468048]|0;b[Xa+2>>0]=b[468049]|0;Xa=f[D>>2]|0;do if(!Xa)vb=9.999999747378752e-06;else{Va=f[j>>2]|0;B=(Va|0)==0?1163146:Va;Ta=D;Ya=Xa;i:while(1){cb=Ya;while(1){bb=f[cb+16>>2]|0;if((bb|0)==(Va|0))break;if((o7b((bb|0)==0?1163146:bb,B)|0)>=0)break;bb=f[cb+4>>2]|0;if(!bb){wb=Ta;break i}else cb=bb}Ya=f[cb>>2]|0;if(!Ya){wb=cb;break}else Ta=cb}if((wb|0)==(D|0)){vb=9.999999747378752e-06;break}Ta=f[wb+16>>2]|0;if((Va|0)!=(Ta|0)?(o7b(B,(Ta|0)==0?1163146:Ta)|0)<=-1:0){vb=9.999999747378752e-06;break}vb=+eEa(wb+24|0,-1)}while(0);n[i>>2]=vb;LCa(g,h,i)|0;ZG(j);ZG(h);f[s>>2]=0;f[ua>>2]=0;YG(s,(f[U>>2]|0)+4|0)|0;Xa=f[U>>2]|0;if(!Xa)xb=0;else{Krc(f[s>>2]|0,f[o>>2]|0,Xa|0)|0;xb=f[U>>2]|0}Xa=(f[s>>2]|0)+xb|0;b[Xa>>0]=47;b[Xa+1>>0]=109;b[Xa+2>>0]=118;b[Xa+3>>0]=110;Xa=f[s>>2]|0;Za=f[ua>>2]|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(Za>>>0>4294967279){P=199;break c}if(Za>>>0<11){b[va>>0]=Za;if(!Za)yb=h;else{zb=h;P=203}}else{ab=Za+16&-16;Ta=Bmc(ab)|0;f[h>>2]=Ta;f[Ma>>2]=ab|-2147483648;f[xa>>2]=Za;zb=Ta;P=203}if((P|0)==203){P=0;Krc(zb|0,Xa|0,Za|0)|0;yb=zb}b[yb+Za>>0]=0;ZG(s);f[j>>2]=0;f[wa>>2]=0;Za=b[va>>0]|0;Xa=Za<<24>>24<0?f[xa>>2]|0:Za&255;if(Xa|0){Za=YG(j,Xa)|0;Krc(Za|0,((b[va>>0]|0)<0?f[h>>2]|0:h)|0,Xa|0)|0}Xa=oza(x,j)|0;Za=f[Xa>>2]|0;f[Xa>>2]=Za+1;ZG(j);f[i>>2]=Za;if(Za|0){f[k>>2]=0;f[Ga>>2]=0;Za=YG(k,1)|0;b[Za>>0]=95;PEa(v,i);f[t>>2]=0;f[Ha>>2]=0;YG(t,(f[Ia>>2]|0)+(f[Ga>>2]|0)|0)|0;Za=f[Ga>>2]|0;if(Za|0)Krc(f[t>>2]|0,f[k>>2]|0,Za|0)|0;Za=f[Ia>>2]|0;if(Za|0)Krc((f[t>>2]|0)+(f[Ga>>2]|0)|0,f[v>>2]|0,Za|0)|0;Za=f[t>>2]|0;Xa=f[Ha>>2]|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;if(Xa>>>0>4294967279){P=212;break c}if(Xa>>>0<11){b[Ja>>0]=Xa;if(!Xa)Ab=j;else{Bb=j;P=216}}else{Ta=Xa+16&-16;ab=Bmc(Ta)|0;f[j>>2]=ab;f[La>>2]=Ta|-2147483648;f[Ka>>2]=Xa;Bb=ab;P=216}if((P|0)==216){P=0;Krc(Bb|0,Za|0,Xa|0)|0;Ab=Bb}b[Ab+Xa>>0]=0;Xa=b[Ja>>0]|0;Za=Xa<<24>>24<0;$mc(h,Za?f[j>>2]|0:j,Za?f[Ka>>2]|0:Xa&255)|0;if((b[Ja>>0]|0)<0)Emc(f[j>>2]|0);ZG(t);ZG(v);ZG(k)}f[j>>2]=0;f[ya>>2]=0;Xa=b[va>>0]|0;Za=Xa<<24>>24<0?f[xa>>2]|0:Xa&255;if(Za|0){Xa=YG(j,Za)|0;Krc(Xa|0,((b[va>>0]|0)<0?f[h>>2]|0:h)|0,Za|0)|0}f[k>>2]=0;f[za>>2]=0;Za=YG(k,3)|0;b[Za>>0]=b[442721]|0;b[Za+1>>0]=b[442722]|0;b[Za+2>>0]=b[442723]|0;Za=UAa(c,j,k,g)|0;ZG(k);ZG(j);Xa=Ra+28|0;REa(a,f[(f[Xa>>2]|0)+4>>2]|0,Za,0,c);ab=Ra+44|0;QEa(a,f[Wa>>2]|0,f[Xa>>2]|0,f[ab>>2]|0,Za,0);Qmc(f[(f[(f[(f[M>>2]|0)+4+(Qa<<2)>>2]|0)+28>>2]|0)+4>>2]|0,f[(f[ab>>2]|0)+4>>2]|0)|0;ab=f[Q>>2]|0;p[k>>3]=0.0;f[j>>2]=-1056833530;f[Ca>>2]=k;f[Aa>>2]=1;f[Ba>>2]=1;oT(ab,j,rE()|0)|0;ab=f[Q>>2]|0;p[k>>3]=1.0;f[j>>2]=-1056833530;f[Fa>>2]=k;f[Da>>2]=1;f[Ea>>2]=1;oT(ab+56|0,j,rE()|0)|0;if((b[va>>0]|0)<0)Emc(f[h>>2]|0);qza(g)}}while(0);ab=UAa(c,o,q,r)|0;Za=Ra+20|0;Xa=f[Za>>2]|0;if((Xa|0)>0){Ta=Ra+28|0;Ya=0;do{REa(a,f[(f[Ta>>2]|0)+4+(Ya<<2)>>2]|0,ab,Ya,c);Ya=Ya+1|0;Sa=f[Za>>2]|0}while((Ya|0)<(Sa|0));Cb=Sa}else Cb=Xa;Ya=Ra+36|0;if((f[Ya>>2]|0)>0){Ta=Ra+28|0;Sa=Ra+44|0;bb=0;hb=Cb;while(1){QEa(a,hb,f[Ta>>2]|0,f[Sa>>2]|0,ab,bb);gb=bb+1|0;if((gb|0)>=(f[Ya>>2]|0))break g;bb=gb;hb=f[Za>>2]|0}}}else P=158;while(0);if((P|0)==158?(P=0,Ua=Ra+36|0,(f[Ua>>2]|0)>0):0){Za=Ra+20|0;hb=Ra+28|0;bb=Ra+44|0;Ya=0;do{QEa(a,f[Za>>2]|0,f[hb>>2]|0,f[bb>>2]|0,0,Ya);ab=f[ka>>2]|0;Sa=f[A>>2]|0;f[Sa+-4>>2]=ab-(f[m>>2]|0)>>3;Ta=Sa+-20|0;f[g>>2]=0;f[la>>2]=0;Xa=Ta+11|0;gb=b[Xa>>0]|0;fb=gb<<24>>24<0?f[Sa+-16>>2]|0:gb&255;if(!fb)Db=ab;else{ab=YG(g,fb)|0;Krc(ab|0,((b[Xa>>0]|0)<0?f[Ta>>2]|0:Ta)|0,fb|0)|0;Db=f[ka>>2]|0}if((Db|0)==(f[ma>>2]|0))kCa(m,g);else{fb=f[g>>2]|0;f[Db>>2]=fb;f[Db+4>>2]=f[la>>2];if(!fb)Eb=Db;else{Ta=fb+-4|0;f[Ta>>2]=(f[Ta>>2]|0)+1;Eb=f[ka>>2]|0}f[ka>>2]=Eb+8}ZG(g);Ya=Ya+1|0}while((Ya|0)<(f[Ua>>2]|0))}qza(r);ZG(q);ZG(o);Qa=Qa+1|0;if((Qa|0)>=(w|0))break b}if((P|0)==112){f[e>>2]=0;f[e+4>>2]=0;rb=YG(e,42)|0;sb=403111;tb=rb+42|0;do{b[rb>>0]=b[sb>>0]|0;rb=rb+1|0;sb=sb+1|0}while((rb|0)<(tb|0));SQ(-215,e,403154,403168,256)}else if((P|0)==122){f[e>>2]=0;f[e+4>>2]=0;rb=YG(e,40)|0;sb=403246;tb=rb+40|0;do{b[rb>>0]=b[sb>>0]|0;rb=rb+1|0;sb=sb+1|0}while((rb|0)<(tb|0));SQ(-215,e,403154,403168,264)}else if((P|0)==128){f[i>>2]=0;f[i+4>>2]=0;rb=YG(i,43)|0;sb=403287;tb=rb+43|0;do{b[rb>>0]=b[sb>>0]|0;rb=rb+1|0;sb=sb+1|0}while((rb|0)<(tb|0));SQ(-215,i,403154,403168,267)}else if((P|0)==145){f[e>>2]=0;f[e+4>>2]=0;rb=YG(e,44)|0;sb=403331;tb=rb+44|0;do{b[rb>>0]=b[sb>>0]|0;rb=rb+1|0;sb=sb+1|0}while((rb|0)<(tb|0));SQ(-215,e,403376,403168,296)}else if((P|0)==182){f[g>>2]=0;f[g+4>>2]=0;rb=YG(g,24)|0;sb=403407;tb=rb+24|0;do{b[rb>>0]=b[sb>>0]|0;rb=rb+1|0;sb=sb+1|0}while((rb|0)<(tb|0));SQ(-215,g,403432,403168,362)}else if((P|0)==184){f[g>>2]=0;f[g+4>>2]=0;rb=YG(g,21)|0;sb=403444;tb=rb+21|0;do{b[rb>>0]=b[sb>>0]|0;rb=rb+1|0;sb=sb+1|0}while((rb|0)<(tb|0));SQ(-215,g,403432,403168,362)}else if((P|0)==199)Lmc(h);else if((P|0)==212)Lmc(j)}while(0);nCa(c,m);c=f[y>>2]|0;y=f[A>>2]|0;if((y|0)!=(c|0)){j=y;while(1){y=j+-20|0;f[A>>2]=y;if((b[y+11>>0]|0)<0){Emc(f[y>>2]|0);Fb=f[A>>2]|0}else Fb=y;if((Fb|0)==(c|0))break;else j=Fb}}Fb=f[m>>2]|0;if(Fb|0){j=m+4|0;while(1){c=f[j>>2]|0;if((c|0)==(Fb|0))break;A=c+-8|0;f[j>>2]=A;ZG(A)}Emc(f[m>>2]|0)}if(!(f[l+4>>2]|0)){u=d;return}u=d;return}function NEa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;f[a>>2]=0;c=a+4|0;f[c>>2]=0;f[a+8>>2]=0;if(!b)return;if(b>>>0>536870911)Ukc(a);d=b<<3;e=Bmc(d)|0;f[a>>2]=e;g=e+(b<<3)|0;f[a+8>>2]=g;Drc(e|0,0,d|0)|0;f[c>>2]=g;return}function OEa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0.0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0;e=u;u=u+64|0;g=e+40|0;i=e;j=e+32|0;k=e+24|0;l=e+16|0;m=e+12|0;xh[f[(f[a>>2]|0)+96>>2]&2047](g,a);o=f[g>>2]|0;q=ci[f[(f[a>>2]|0)+92>>2]&1023](a)|0;r=o+52|0;if((f[r>>2]|0)<=0){u=e;return}s=o+20|0;o=g+4|0;t=i+4|0;v=g+4|0;w=g+4|0;y=i+4|0;z=g+4|0;A=g+4|0;B=i+4|0;C=g+4|0;D=g+4|0;E=i+4|0;F=g+4|0;G=g+4|0;H=i+4|0;I=g+4|0;J=g+4|0;K=i+4|0;L=g+4|0;M=g+4|0;N=i+4|0;O=g+4|0;P=i+4|0;Q=g+4|0;R=i+11|0;S=j+4|0;T=i+4|0;U=g+4|0;V=g+4|0;W=g+8|0;X=g+12|0;Y=g+4|0;Z=g+8|0;_=g+12|0;$=j+4|0;aa=g+11|0;ba=g+4|0;ca=i+11|0;da=0;a:while(1){ea=f[s>>2]|0;fa=ea+(da*88|0)|0;if(!d){ga=f[fa>>2]|0;if((b[528312]|0)==0?src(528312)|0:0){f[222668]=0;f[222669]=0;f[222670]=0;b[890683]=6;b[890672]=b[403555]|0;b[890673]=b[403556]|0;b[890674]=b[403557]|0;b[890675]=b[403558]|0;b[890676]=b[403559]|0;b[890677]=b[403560]|0;b[890678]=0;Ad(1633,890672,x|0)|0}ha=b[ga+11>>0]|0;ia=ha<<24>>24<0?f[ga+4>>2]|0:ha&255;ha=b[890683]|0;ja=ha<<24>>24<0;ka=ja?f[222669]|0:ha&255;if(ia>>>0>=ka>>>0?(knc(ga,ia-ka|0,ka,ja?f[222668]|0:890672,ka)|0)==0:0)la=10}else la=10;b:do if((la|0)==10){la=0;ka=Sh[f[(f[q>>2]|0)+8>>2]&511](q,a)|0;ja=ea+(da*88|0)+32|0;ia=f[ja>>2]|0;switch(ia|0){case 2:break;case 1:{if(!(ki[f[(f[q>>2]|0)+20>>2]&511](q,a,fa)|0)){ma=f[ja>>2]|0;la=13}break}default:{ma=ia;la=13}}do if((la|0)==13){la=0;if((ma|0)==3?(ki[f[(f[q>>2]|0)+24>>2]&511](q,a,fa)|0)>0:0)break;if(!(f[ka>>2]|0))break b}while(0);ia=f[ka>>2]|0;c:do if(ia|0?(ga=f[ia>>2]|0,ha=(f[ia+4>>2]|0)-ga|0,na=ha>>4,oa=ga,(ha|0)>0):0){if((f[oa+4>>2]|0)==4){pa=0;qa=oa}else{la=19;break a}while(1){oa=qa+(pa<<4)+8|0;Nmc(g,f[(f[f[f[oa>>2]>>2]>>2]|0)+8>>2]|0);Nmc(i,f[(f[f[f[oa>>2]>>2]>>2]|0)+24>>2]|0);f[j>>2]=0;f[$>>2]=0;oa=b[aa>>0]|0;ha=oa<<24>>24<0?f[ba>>2]|0:oa&255;if(ha|0){oa=YG(j,ha)|0;Krc(oa|0,((b[aa>>0]|0)<0?f[g>>2]|0:g)|0,ha|0)|0}gDa(c,j,i)|0;ZG(j);if((b[ca>>0]|0)<0)Emc(f[i>>2]|0);if((b[aa>>0]|0)<0)Emc(f[g>>2]|0);pa=pa+1|0;if((pa|0)>=(na|0))break c;qa=f[f[ka>>2]>>2]|0;if((f[qa+(pa<<4)+4>>2]|0)!=4){la=19;break a}}}while(0);ra=ea+(da*88|0)+24|0;ka=f[ra>>2]|0;if(ka|0?(f[ka>>2]|0)!=2:0){f[g>>2]=110868;f[Y>>2]=1634;b[Z>>0]=0;f[_>>2]=fa;dEb(ka,g)}sa=ea+(da*88|0)+28|0;if((f[149940+(f[sa>>2]<<2)>>2]|0)==10)if((f[ja>>2]|0)==3){OEa(Bg[f[(f[q>>2]|0)+208>>2]&127](q,a,fa,0)|0,c,1);break}else{OEa(Bg[f[(f[q>>2]|0)+108>>2]&127](q,a,fa,0)|0,c,1);break}ka=ci[f[(f[a>>2]|0)+92>>2]&1023](a)|0;ia=f[ra>>2]|0;if(ia|0?(f[ia>>2]|0)!=2:0){f[g>>2]=110868;f[V>>2]=1634;b[W>>0]=0;f[X>>2]=fa;dEb(ia,g)}ia=(f[ja>>2]|0)==3;na=f[fa>>2]|0;d:do switch(f[149940+(f[sa>>2]<<2)>>2]|0){case 1:{if(!ia){f[g>>2]=0;f[v>>2]=0;ha=na+11|0;oa=b[ha>>0]|0;ga=oa<<24>>24<0?f[na+4>>2]|0:oa&255;if(ga|0){oa=YG(g,ga)|0;Krc(oa|0,((b[ha>>0]|0)<0?f[na>>2]|0:na)|0,ga|0)|0}ga=ki[f[(f[ka>>2]|0)+68>>2]&511](ka,a,fa)|0;f[i>>2]=ga;KCa(c,g,i)|0;ZG(g);break d}ga=C1b(ka,a,fa)|0;f[g>>2]=0;f[o>>2]=0;ha=na+11|0;oa=b[ha>>0]|0;ta=oa<<24>>24<0?f[na+4>>2]|0:oa&255;if(ta|0){oa=YG(g,ta)|0;Krc(oa|0,((b[ha>>0]|0)<0?f[na>>2]|0:na)|0,ta|0)|0}ta=f[ga+8>>2]|0;ha=f[ga>>2]|0;ga=Bmc(16)|0;oa=ga+8|0;f[ga>>2]=oa;f[ga+4>>2]=ha;if(ha>>>0>1){ua=Dmc(ha>>>0>536870911?-1:ha<<3)|0;f[ga>>2]=ua;va=ua}else va=oa;f[i>>2]=0;f[t>>2]=ga;if((ha|0)>0){ga=(ta|0)==0?0:ta+4|0;ta=0;while(1){oa=f[ga>>2]|0;ua=va+(ta<<3)|0;f[ua>>2]=oa;f[ua+4>>2]=((oa|0)<0)<<31>>31;ta=ta+1|0;if((ta|0)==(ha|0))break;else ga=ga+4|0}}MCa(c,g,i)|0;rza(i);ZG(g);break}case 3:{if(!ia){f[g>>2]=0;f[z>>2]=0;ga=na+11|0;ha=b[ga>>0]|0;ta=ha<<24>>24<0?f[na+4>>2]|0:ha&255;if(ta|0){ha=YG(g,ta)|0;Krc(ha|0,((b[ga>>0]|0)<0?f[na>>2]|0:na)|0,ta|0)|0}ta=ki[f[(f[ka>>2]|0)+76>>2]&511](ka,a,fa)|0;f[i>>2]=ta;SEa(c,g,i)|0;ZG(g);break d}ta=E1b(ka,a,fa)|0;f[g>>2]=0;f[w>>2]=0;ga=na+11|0;ha=b[ga>>0]|0;oa=ha<<24>>24<0?f[na+4>>2]|0:ha&255;if(oa|0){ha=YG(g,oa)|0;Krc(ha|0,((b[ga>>0]|0)<0?f[na>>2]|0:na)|0,oa|0)|0}oa=f[ta+8>>2]|0;ga=f[ta>>2]|0;ta=Bmc(16)|0;ha=ta+8|0;f[ta>>2]=ha;f[ta+4>>2]=ga;if(ga>>>0>1){ua=Dmc(ga>>>0>536870911?-1:ga<<3)|0;f[ta>>2]=ua;wa=ua}else wa=ha;f[i>>2]=0;f[y>>2]=ta;if((ga|0)>0){ta=(oa|0)==0?0:oa+4|0;oa=0;while(1){ha=wa+(oa<<3)|0;f[ha>>2]=f[ta>>2];f[ha+4>>2]=0;oa=oa+1|0;if((oa|0)==(ga|0))break;else ta=ta+4|0}}MCa(c,g,i)|0;rza(i);ZG(g);break}case 2:{if(!ia){f[g>>2]=0;f[C>>2]=0;ta=na+11|0;ga=b[ta>>0]|0;oa=ga<<24>>24<0?f[na+4>>2]|0:ga&255;if(oa|0){ga=YG(g,oa)|0;Krc(ga|0,((b[ta>>0]|0)<0?f[na>>2]|0:na)|0,oa|0)|0}oa=ki[f[(f[ka>>2]|0)+68>>2]&511](ka,a,fa)|0;f[i>>2]=oa;KCa(c,g,i)|0;ZG(g);break d}oa=D1b(ka,a,fa)|0;f[g>>2]=0;f[A>>2]=0;ta=na+11|0;ga=b[ta>>0]|0;ha=ga<<24>>24<0?f[na+4>>2]|0:ga&255;if(ha|0){ga=YG(g,ha)|0;Krc(ga|0,((b[ta>>0]|0)<0?f[na>>2]|0:na)|0,ha|0)|0}ha=f[oa+8>>2]|0;ta=f[oa>>2]|0;oa=Bmc(16)|0;ga=oa+8|0;f[oa>>2]=ga;f[oa+4>>2]=ta;if(ta>>>0>1){ua=Dmc(ta>>>0>536870911?-1:ta<<3)|0;f[oa>>2]=ua;xa=ua}else xa=ga;f[i>>2]=0;f[B>>2]=oa;if((ta|0)>0){oa=(ha|0)==0?0:ha+8|0;ha=0;while(1){ga=oa;ua=f[ga+4>>2]|0;ya=xa+(ha<<3)|0;f[ya>>2]=f[ga>>2];f[ya+4>>2]=ua;ha=ha+1|0;if((ha|0)==(ta|0))break;else oa=oa+8|0}}MCa(c,g,i)|0;rza(i);ZG(g);break}case 4:{if(!ia){f[g>>2]=0;f[F>>2]=0;oa=na+11|0;ta=b[oa>>0]|0;ha=ta<<24>>24<0?f[na+4>>2]|0:ta&255;if(ha|0){ta=YG(g,ha)|0;Krc(ta|0,((b[oa>>0]|0)<0?f[na>>2]|0:na)|0,ha|0)|0}ha=ki[f[(f[ka>>2]|0)+76>>2]&511](ka,a,fa)|0;f[i>>2]=ha;SEa(c,g,i)|0;ZG(g);break d}ha=F1b(ka,a,fa)|0;f[g>>2]=0;f[D>>2]=0;oa=na+11|0;ta=b[oa>>0]|0;ua=ta<<24>>24<0?f[na+4>>2]|0:ta&255;if(ua|0){ta=YG(g,ua)|0;Krc(ta|0,((b[oa>>0]|0)<0?f[na>>2]|0:na)|0,ua|0)|0}ua=f[ha+8>>2]|0;oa=f[ha>>2]|0;ha=Bmc(16)|0;ta=ha+8|0;f[ha>>2]=ta;f[ha+4>>2]=oa;if(oa>>>0>1){ya=Dmc(oa>>>0>536870911?-1:oa<<3)|0;f[ha>>2]=ya;za=ya}else za=ta;f[i>>2]=0;f[E>>2]=ha;if((oa|0)>0){ha=(ua|0)==0?0:ua+8|0;ua=0;while(1){ta=ha;ya=f[ta+4>>2]|0;ga=za+(ua<<3)|0;f[ga>>2]=f[ta>>2];f[ga+4>>2]=ya;ua=ua+1|0;if((ua|0)==(oa|0))break;else ha=ha+8|0}}MCa(c,g,i)|0;rza(i);ZG(g);break}case 7:{if(!ia){f[g>>2]=0;f[I>>2]=0;ha=na+11|0;oa=b[ha>>0]|0;ua=oa<<24>>24<0?f[na+4>>2]|0:oa&255;if(ua|0){oa=YG(g,ua)|0;Krc(oa|0,((b[ha>>0]|0)<0?f[na>>2]|0:na)|0,ua|0)|0}ua=(ki[f[(f[ka>>2]|0)+92>>2]&511](ka,a,fa)|0)&1;b[i>>0]=ua;TCa(c,g,i)|0;ZG(g);break d}ua=I1b(ka,a,fa)|0;f[g>>2]=0;f[G>>2]=0;ha=na+11|0;oa=b[ha>>0]|0;ya=oa<<24>>24<0?f[na+4>>2]|0:oa&255;if(ya|0){oa=YG(g,ya)|0;Krc(oa|0,((b[ha>>0]|0)<0?f[na>>2]|0:na)|0,ya|0)|0}ya=f[ua+8>>2]|0;ha=f[ua>>2]|0;ua=Bmc(16)|0;oa=ua+8|0;f[ua>>2]=oa;f[ua+4>>2]=ha;if(ha>>>0>1){ga=Dmc(ha>>>0>536870911?-1:ha<<3)|0;f[ua>>2]=ga;Aa=ga}else Aa=oa;f[i>>2]=0;f[H>>2]=ua;if((ha|0)>0){ua=(ya|0)==0?0:ya+4|0;ya=0;while(1){oa=Aa+(ya<<3)|0;f[oa>>2]=h[ua>>0];f[oa+4>>2]=0;ya=ya+1|0;if((ya|0)==(ha|0))break;else ua=ua+1|0}}MCa(c,g,i)|0;rza(i);ZG(g);break}case 5:{if(!ia){f[g>>2]=0;f[L>>2]=0;ua=na+11|0;ha=b[ua>>0]|0;ya=ha<<24>>24<0?f[na+4>>2]|0:ha&255;if(ya|0){ha=YG(g,ya)|0;Krc(ha|0,((b[ua>>0]|0)<0?f[na>>2]|0:na)|0,ya|0)|0}Ba=+dh[f[(f[ka>>2]|0)+88>>2]&31](ka,a,fa);p[i>>3]=Ba;xEa(c,g,i)|0;ZG(g);break d}ya=H1b(ka,a,fa)|0;f[g>>2]=0;f[J>>2]=0;ua=na+11|0;ha=b[ua>>0]|0;oa=ha<<24>>24<0?f[na+4>>2]|0:ha&255;if(oa|0){ha=YG(g,oa)|0;Krc(ha|0,((b[ua>>0]|0)<0?f[na>>2]|0:na)|0,oa|0)|0}oa=f[ya+8>>2]|0;ua=f[ya>>2]|0;ya=Bmc(16)|0;ha=ya+8|0;f[ya>>2]=ha;f[ya+4>>2]=ua;if(ua>>>0>1){ga=Dmc(ua>>>0>536870911?-1:ua<<3)|0;f[ya>>2]=ga;Ca=ga}else Ca=ha;f[i>>2]=2;f[K>>2]=ya;if((ua|0)>0){ya=(oa|0)==0?0:oa+8|0;oa=0;while(1){p[Ca+(oa<<3)>>3]=+p[ya>>3];oa=oa+1|0;if((oa|0)==(ua|0))break;else ya=ya+8|0}}MCa(c,g,i)|0;rza(i);ZG(g);break}case 6:{if(!ia){f[g>>2]=0;f[O>>2]=0;ya=na+11|0;ua=b[ya>>0]|0;oa=ua<<24>>24<0?f[na+4>>2]|0:ua&255;if(oa|0){ua=YG(g,oa)|0;Krc(ua|0,((b[ya>>0]|0)<0?f[na>>2]|0:na)|0,oa|0)|0}Ba=+dh[f[(f[ka>>2]|0)+84>>2]&31](ka,a,fa);n[i>>2]=Ba;LCa(c,g,i)|0;ZG(g);break d}oa=G1b(ka,a,fa)|0;f[g>>2]=0;f[M>>2]=0;ya=na+11|0;ua=b[ya>>0]|0;ha=ua<<24>>24<0?f[na+4>>2]|0:ua&255;if(ha|0){ua=YG(g,ha)|0;Krc(ua|0,((b[ya>>0]|0)<0?f[na>>2]|0:na)|0,ha|0)|0}ha=f[oa+8>>2]|0;ya=f[oa>>2]|0;oa=Bmc(16)|0;ua=oa+8|0;f[oa>>2]=ua;f[oa+4>>2]=ya;if(ya>>>0>1){ga=Dmc(ya>>>0>536870911?-1:ya<<3)|0;f[oa>>2]=ga;Da=ga}else Da=ua;f[i>>2]=2;f[N>>2]=oa;if((ya|0)>0){oa=(ha|0)==0?0:ha+4|0;ha=0;while(1){p[Da+(ha<<3)>>3]=+n[oa>>2];ha=ha+1|0;if((ha|0)==(ya|0))break;else oa=oa+4|0}}MCa(c,g,i)|0;rza(i);ZG(g);break}case 9:{if(ia){oa=J1b(ka,a,fa,1)|0;f[i>>2]=0;f[P>>2]=0;ya=na+11|0;ha=b[ya>>0]|0;ua=ha<<24>>24<0?f[na+4>>2]|0:ha&255;if(ua|0){ha=YG(i,ua)|0;Krc(ha|0,((b[ya>>0]|0)<0?f[na>>2]|0:na)|0,ua|0)|0}ua=f[oa+12>>2]|0;f[k>>2]=(ua|0)==0?0:ua+4|0;ua=f[oa+4>>2]|0;f[g>>2]=f[k>>2];TEa(j,g,ua);MCa(c,i,j)|0;rza(j);ZG(i);break d}f[g>>2]=0;f[Q>>2]=0;ua=na+11|0;oa=b[ua>>0]|0;ya=oa<<24>>24<0?f[na+4>>2]|0:oa&255;if(ya|0){oa=YG(g,ya)|0;Krc(oa|0,((b[ua>>0]|0)<0?f[na>>2]|0:na)|0,ya|0)|0}rh[f[(f[ka>>2]|0)+96>>2]&255](i,ka,a,fa);gDa(c,g,i)|0;if((b[R>>0]|0)<0)Emc(f[i>>2]|0);ZG(g);break}case 8:{if(!ia){f[g>>2]=0;f[U>>2]=0;ya=na+11|0;ua=b[ya>>0]|0;oa=ua<<24>>24<0?f[na+4>>2]|0:ua&255;if(oa|0){ua=YG(g,oa)|0;Krc(ua|0,((b[ya>>0]|0)<0?f[na>>2]|0:na)|0,oa|0)|0}oa=ki[f[(f[ka>>2]|0)+100>>2]&511](ka,a,fa)|0;gDa(c,g,f[oa>>2]|0)|0;ZG(g);break d}oa=ki[f[(f[ka>>2]|0)+24>>2]&511](ka,a,fa)|0;NEa(i,oa);if((oa|0)>0){ya=0;do{ua=Bg[f[(f[ka>>2]|0)+200>>2]&127](ka,a,fa,ya)|0;ha=f[ua>>2]|0;ua=(f[i>>2]|0)+(ya<<3)|0;ZG(ua);ga=ha+11|0;ta=b[ga>>0]|0;Ea=ta<<24>>24<0?f[ha+4>>2]|0:ta&255;if(Ea|0){ta=YG(ua,Ea)|0;Krc(ta|0,((b[ga>>0]|0)<0?f[ha>>2]|0:ha)|0,Ea|0)|0}ya=ya+1|0}while((ya|0)<(oa|0))}f[j>>2]=0;f[S>>2]=0;ya=na+11|0;Ea=b[ya>>0]|0;ha=Ea<<24>>24<0?f[na+4>>2]|0:Ea&255;if(ha|0){Ea=YG(j,ha)|0;Krc(Ea|0,((b[ya>>0]|0)<0?f[na>>2]|0:na)|0,ha|0)|0}f[m>>2]=f[i>>2];f[g>>2]=f[m>>2];UEa(l,g,oa);MCa(c,j,l)|0;rza(l);ZG(j);ha=f[i>>2]|0;if(ha|0){while(1){ya=f[T>>2]|0;if((ya|0)==(ha|0))break;Ea=ya+-8|0;f[T>>2]=Ea;ZG(Ea)}Emc(f[i>>2]|0)}break}default:{la=141;break a}}while(0)}while(0);da=da+1|0;if((da|0)>=(f[r>>2]|0)){la=3;break}}if((la|0)==3){u=e;return}else if((la|0)==19){f[g>>2]=0;f[g+4>>2]=0;Fa=YG(g,58)|0;Ga=403562;Ha=Fa+58|0;do{b[Fa>>0]=b[Ga>>0]|0;Fa=Fa+1|0;Ga=Ga+1|0}while((Fa|0)<(Ha|0));SQ(-215,g,403621,403168,112)}else if((la|0)==141){la=f[ra>>2]|0;if(la|0?(f[la>>2]|0)!=2:0){f[g>>2]=110868;f[g+4>>2]=1634;b[g+8>>0]=0;f[g+12>>2]=fa;dEb(la,g)}g=f[150016+(f[sa>>2]<<2)>>2]|0;f[l>>2]=0;sa=l+4|0;f[sa>>2]=0;if((g|0)!=0?(la=s8b(g)|0,(la|0)!=0):0){Krc(YG(l,la)|0,g|0,la|0)|0;Ia=(f[sa>>2]|0)+14|0}else Ia=14;f[j>>2]=0;la=j+4|0;f[la>>2]=0;YG(j,Ia)|0;Ia=f[j>>2]|0;Fa=Ia;Ga=403641;Ha=Fa+14|0;do{b[Fa>>0]=b[Ga>>0]|0;Fa=Fa+1|0;Ga=Ga+1|0}while((Fa|0)<(Ha|0));g=f[sa>>2]|0;if(g|0)Krc(Ia+14|0,f[l>>2]|0,g|0)|0;f[i>>2]=0;f[i+4>>2]=0;YG(i,(f[la>>2]|0)+13|0)|0;g=f[la>>2]|0;if(!g){Ja=0;Ka=f[i>>2]|0;La=Ka+Ja|0;Fa=La;Ga=403656;Ha=Fa+13|0;do{b[Fa>>0]=b[Ga>>0]|0;Fa=Fa+1|0;Ga=Ga+1|0}while((Fa|0)<(Ha|0));SQ(-2,i,403670,403168,180)}Krc(f[i>>2]|0,f[j>>2]|0,g|0)|0;Ja=f[la>>2]|0;Ka=f[i>>2]|0;La=Ka+Ja|0;Fa=La;Ga=403656;Ha=Fa+13|0;do{b[Fa>>0]=b[Ga>>0]|0;Fa=Fa+1|0;Ga=Ga+1|0}while((Fa|0)<(Ha|0));SQ(-2,i,403670,403168,180)}}function PEa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+160|0;e=d+136|0;g=d;h=g+56|0;i=g+4|0;f[g>>2]=11652;f[h>>2]=11672;Icc(g+56|0,i);f[g+128>>2]=0;f[g+132>>2]=-1;f[g>>2]=46744;f[h>>2]=46764;Ncc(i);f[i>>2]=46200;h=g+36|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[g+52>>2]=16;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;YQ(i,e);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);_cc(g,f[c>>2]|0)|0;_Q(e,i);f[a>>2]=0;f[a+4>>2]=0;i=e+11|0;c=b[i>>0]|0;h=c<<24>>24<0?f[e+4>>2]|0:c&255;if(!h)j=c;else{c=YG(a,h)|0;Krc(c|0,((b[i>>0]|0)<0?f[e>>2]|0:e)|0,h|0)|0;j=b[i>>0]|0}if(j<<24>>24>=0){VS(g);u=d;return}Emc(f[e>>2]|0);VS(g);u=d;return}function QEa(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;i=u;u=u+32|0;j=i;k=f[e+4+(h<<2)>>2]|0;e=a+208|0;l=a+212|0;m=f[e>>2]|0;n=(f[l>>2]|0)-m|0;o=((n|0)/20|0)+-1|0;p=m;a:do if((n|0)>0){m=b[k+11>>0]|0;q=m<<24>>24<0;r=q?f[k+4>>2]|0:m&255;m=(r|0)==0;b:do if(q){s=o;while(1){t=p+(s*20|0)|0;v=b[t+11>>0]|0;w=v<<24>>24<0;x=v&255;do if(((w?f[p+(s*20|0)+4>>2]|0:x)|0)==(r|0)){v=f[t>>2]|0;y=w?v:t;z=f[k>>2]|0;if(w){if(m)break b;if(!(gac(y,z,r)|0))break b;else break}if(m)break b;if((v&255)<<24>>24==(b[z>>0]|0)){v=t;y=x;A=z;do{y=y+-1|0;v=v+1|0;if(!y)break b;A=A+1|0}while((b[v>>0]|0)==(b[A>>0]|0))}}while(0);if((s|0)>0)s=s+-1|0;else break a}}else{s=o;while(1){x=p+(s*20|0)|0;t=b[x+11>>0]|0;w=t<<24>>24<0;A=t&255;do if(((w?f[p+(s*20|0)+4>>2]|0:A)|0)==(r|0)){t=f[x>>2]|0;v=w?t:x;if(w){if(m)break b;if(!(gac(v,k,r)|0))break b;else break}if(m)break b;if((t&255)<<24>>24==(b[k>>0]|0)){t=x;v=A;y=k;do{v=v+-1|0;t=t+1|0;if(!v)break b;y=y+1|0}while((b[t>>0]|0)==(b[y>>0]|0))}}while(0);if((s|0)>0)s=s+-1|0;else break a}}while(0);do if((c|0)>(h|0)?(m=f[d+4+(h<<2)>>2]|0,s=b[m+11>>0]|0,A=s<<24>>24<0,x=s&255,((A?f[m+4>>2]|0:x)|0)==(r|0)):0){s=f[m>>2]|0;w=A?s:m;y=q?f[k>>2]|0:k;t=(r|0)==0;if(A){if(t)break a;if(!(gac(w,y,r)|0))break a;else break}if(t)break a;if((s&255)<<24>>24==(b[y>>0]|0)){s=m;m=x;x=y;do{m=m+-1|0;s=s+1|0;if(!m)break a;x=x+1|0}while((b[s>>0]|0)==(b[x>>0]|0))}}while(0);f[j>>2]=0;f[j+4>>2]=0;r=YG(j,44)|0;q=403500;x=r+44|0;do{b[r>>0]=b[q>>0]|0;r=r+1|0;q=q+1|0}while((r|0)<(x|0));SQ(-5,j,403545,403168,412)}while(0);Nmc(j,k);k=j+12|0;f[k>>2]=g;f[j+16>>2]=h;h=f[l>>2]|0;g=a+216|0;a=f[g>>2]|0;d=a;if((h|0)==(a|0)){a=f[e>>2]|0;c=(h-a|0)/20|0;p=c+1|0;if(p>>>0>214748364)Ukc(e);o=(d-a|0)/20|0;a=o<<1;d=o>>>0<107374182?(a>>>0<p>>>0?p:a):214748364;do if(d)if(d>>>0>214748364){a=ye(8)|0;Jmc(a,511852);f[a>>2]=165276;Gf(a|0,26776,1555)}else{B=Bmc(d*20|0)|0;break}else B=0;while(0);a=B+(c*20|0)|0;p=a;o=B+(d*20|0)|0;Nmc(a,j);d=k;n=f[d+4>>2]|0;q=B+(c*20|0)+12|0;f[q>>2]=f[d>>2];f[q+4>>2]=n;n=a+20|0;q=f[e>>2]|0;d=f[l>>2]|0;if((d|0)==(q|0)){C=p;D=q;E=q}else{c=d;d=p;p=a;do{a=c;c=c+-20|0;Nmc(p+-20|0,c);B=a+-8|0;a=f[B+4>>2]|0;r=p+-8|0;f[r>>2]=f[B>>2];f[r+4>>2]=a;p=d+-20|0;d=p}while((c|0)!=(q|0));C=d;D=f[e>>2]|0;E=f[l>>2]|0}f[e>>2]=C;f[l>>2]=n;f[g>>2]=o;o=D;if((E|0)!=(o|0)){g=E;do{g=g+-20|0;if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0)}while((g|0)!=(o|0))}if(D|0)Emc(D)}else{Nmc(h,j);D=k;k=f[D+4>>2]|0;o=h+12|0;f[o>>2]=f[D>>2];f[o+4>>2]=k;f[l>>2]=(f[l>>2]|0)+20}if((b[j+11>>0]|0)>=0){u=i;return}Emc(f[j>>2]|0);u=i;return}function REa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;h=u;u=u+32|0;i=h+24|0;j=h+12|0;k=h;l=f[a+208>>2]|0;m=(f[a+212>>2]|0)-l|0;a=l;a:do if((m|0)>0){l=b[c+11>>0]|0;n=l<<24>>24<0;o=n?f[c+4>>2]|0:l&255;l=n?f[c>>2]|0:c;n=(o|0)==0;p=(m>>>0)/20|0;b:while(1){q=p+-1|0;r=a+(q*20|0)|0;s=b[r+11>>0]|0;t=s<<24>>24<0;v=s&255;do if(((t?f[a+(q*20|0)+4>>2]|0:v)|0)==(o|0)){s=f[r>>2]|0;w=t?s:r;if(t){if(n)break b;if(!(gac(w,l,o)|0))break b;else break}if(n)break b;if((s&255)<<24>>24==(b[l>>0]|0)){s=r;w=v;x=l;do{w=w+-1|0;s=s+1|0;if(!w){y=12;break b}x=x+1|0}while((b[s>>0]|0)==(b[x>>0]|0))}}while(0);if((p|0)>1)p=q;else break a}if((y|0)==12?(p|0)<1:0)break;_Aa(g,f[a+(q*20|0)+12>>2]|0,f[a+(q*20|0)+16>>2]|0,d,e);u=h;return}while(0);bza(k,403466,c);pza(j,k,509777);f[i>>2]=0;f[i+4>>2]=0;k=j+11|0;c=b[k>>0]|0;h=c<<24>>24<0?f[j+4>>2]|0:c&255;if(!h)SQ(-204,i,403491,403168,429);c=YG(i,h)|0;Krc(c|0,((b[k>>0]|0)<0?f[j>>2]|0:j)|0,h|0)|0;SQ(-204,i,403491,403168,429)}function SEa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=u;u=u+48|0;e=d+32|0;g=d+8|0;h=d+24|0;i=d;j=a+4|0;k=f[j>>2]|0;do if(k){l=f[b>>2]|0;m=(l|0)==0?1163146:l;n=l;o=j;p=k;a:while(1){q=p;while(1){r=f[q+16>>2]|0;if((r|0)==(l|0))break;if((o7b((r|0)==0?1163146:r,m)|0)>=0)break;r=f[q+4>>2]|0;if(!r){s=o;break a}else q=r}p=f[q>>2]|0;if(!p){s=q;break}else o=q}if((s|0)==(j|0))t=n;else{o=f[s+16>>2]|0;if((l|0)!=(o|0)?(o7b(m,(o|0)==0?1163146:o)|0)<=-1:0){t=n;break}o=f[c>>2]|0;f[e>>2]=0;p=Bmc(16)|0;r=p+8|0;f[p>>2]=r;f[p+4>>2]=1;f[e+4>>2]=p;p=r;f[p>>2]=o;f[p+4>>2]=0;kDa(s+24|0,e)|0;rza(e);u=d;return c|0}}else t=f[b>>2]|0;while(0);f[h>>2]=t;s=h+4|0;f[s>>2]=f[b+4>>2];if(t|0){b=t+-4|0;f[b>>2]=(f[b>>2]|0)+1}b=f[c>>2]|0;f[i>>2]=0;t=Bmc(16)|0;k=t+8|0;f[t>>2]=k;f[t+4>>2]=1;f[i+4>>2]=t;t=k;f[t>>2]=b;f[t+4>>2]=0;t=f[h>>2]|0;f[g>>2]=t;b=g+4|0;f[b>>2]=f[s>>2];if(t|0){s=t+-4|0;f[s>>2]=(f[s>>2]|0)+1}s=g+8|0;tza(s,i);t=f[g>>2]|0;f[e>>2]=t;k=e+4|0;f[k>>2]=f[b>>2];if(t|0){b=t+-4|0;f[b>>2]=(f[b>>2]|0)+1}b=e+8|0;tza(b,s);t=f[j>>2]|0;b:do if(!t){v=j;w=j}else{p=a+4|0;o=f[e>>2]|0;r=(o|0)==0?1163146:o;x=f[t+16>>2]|0;c:do if((o|0)!=(x|0)){y=p;z=t;A=x;while(1){B=(A|0)==0?1163146:A;if((o7b(r,B)|0)<0){C=f[z>>2]|0;if(!C){D=24;break}else{E=z;F=C}}else{if((o7b(B,r)|0)>=0){G=y;H=z;break c}I=z+4|0;B=f[I>>2]|0;if(!B){D=27;break}else{E=I;F=B}}A=f[F+16>>2]|0;if((o|0)==(A|0)){G=E;H=F;break c}else{y=E;z=F}}if((D|0)==24){v=z;w=z;break b}else if((D|0)==27){v=I;w=z;break b}}else{G=p;H=t}while(0);v=G;w=H}while(0);if(!(f[v>>2]|0)){H=Bmc(32)|0;G=f[e>>2]|0;f[H+16>>2]=G;f[H+20>>2]=f[k>>2];if(G|0){k=G+-4|0;f[k>>2]=(f[k>>2]|0)+1}tza(H+24|0,b);f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=w;f[v>>2]=H;w=f[f[a>>2]>>2]|0;if(!w)J=H;else{f[a>>2]=w;J=f[v>>2]|0}RS(f[a+4>>2]|0,J);J=a+8|0;f[J>>2]=(f[J>>2]|0)+1}rza(b);ZG(e);rza(s);ZG(g);rza(i);ZG(h);u=d;return c|0}function TEa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=Bmc(16)|0;g=e+8|0;f[g>>2]=0;f[e+12>>2]=0;f[e>>2]=g;f[e+4>>2]=1;VEa(e,d);f[a>>2]=3;g=a+4|0;f[g>>2]=e;if((d|0)<=0)return;a=f[c>>2]|0;h=0;i=a;j=e;e=a;while(1){a=f[i>>2]|0;k=(f[j>>2]|0)+(h<<3)|0;ZG(k);l=a+11|0;m=b[l>>0]|0;n=m<<24>>24<0?f[a+4>>2]|0:m&255;if(n|0){m=YG(k,n)|0;Krc(m|0,((b[l>>0]|0)<0?f[a>>2]|0:a)|0,n|0)|0}n=e+4|0;f[c>>2]=n;a=h+1|0;if((a|0)>=(d|0))break;h=a;i=n;j=f[g>>2]|0;e=n}return}function UEa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=Bmc(16)|0;e=d+8|0;f[e>>2]=0;f[d+12>>2]=0;f[d>>2]=e;f[d+4>>2]=1;VEa(d,c);f[a>>2]=3;e=a+4|0;f[e>>2]=d;if((c|0)<=0)return;a=0;g=d;d=f[b>>2]|0;while(1){h=f[g>>2]|0;i=h+(a<<3)|0;if((d|0)==(i|0))j=d;else{ZG(i);k=f[d>>2]|0;if(!k){l=d;m=0}else{n=k+-4|0;f[n>>2]=(f[n>>2]|0)+1;l=f[b>>2]|0;m=f[d>>2]|0}f[i>>2]=m;f[h+(a<<3)+4>>2]=f[d+4>>2];j=l}h=j+8|0;f[b>>2]=h;i=a+1|0;if((i|0)>=(c|0))break;a=i;g=f[e>>2]|0;d=h}return}function VEa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=a+4|0;if((f[c>>2]|0)>>>0>=b>>>0){f[c>>2]=b;return}d=f[a>>2]|0;e=a+8|0;if((d|0)!=(e|0)){if(d|0){g=d+-4|0;h=f[g>>2]|0;if(h|0){i=d+(h<<3)|0;do{i=i+-8|0;ZG(i)}while((i|0)!=(d|0))}Fmc(g)}f[a>>2]=e;f[c>>2]=1}f[c>>2]=b;if(b>>>0<=1)return;c=b<<3;e=Dmc(b>>>0>536870911|c>>>0>4294967291?-1:c+4|0)|0;f[e>>2]=b;c=e+4|0;Drc(c|0,0,b<<3|0)|0;f[a>>2]=c;return}function WEa(a){a=a|0;Emc(a);return}function XEa(a){a=a|0;var c=0;c=b[a+8>>0]|0;ai[f[a+4>>2]&2047](f[a+12>>2]|0);if((a|0)==0|c<<24>>24==0)return;ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function YEa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=u;u=u+256|0;i=h+240|0;j=h+8|0;k=h;Bcb(j);l=j+104|0;Bcb(l);f[j+208>>2]=0;m=j+212|0;f[m>>2]=0;f[j+216>>2]=0;f[j+224>>2]=0;f[j+228>>2]=0;n=j+224|0;f[j+220>>2]=n;zT(i,110880);KFa(c,d,j);if((e|0)!=0&(g|0)!=0)MFa(e,g,l);pAa(a);g=f[a>>2]|0;f[k>>2]=g;f[k+4>>2]=f[a+4>>2];if(g|0){a=g+4|0;f[a>>2]=(f[a>>2]|0)+1}MEa(j,k);TAa(k);fza(j+220|0,f[n>>2]|0);n=j+208|0;k=f[n>>2]|0;if(!k){Hcb(l);Hcb(j);u=h;return}a=f[m>>2]|0;if((a|0)==(k|0))o=k;else{g=a;while(1){a=g+-20|0;f[m>>2]=a;if((b[a+11>>0]|0)<0){Emc(f[a>>2]|0);p=f[m>>2]|0}else p=a;if((p|0)==(k|0))break;else g=p}o=f[n>>2]|0}Emc(o);Hcb(l);Hcb(j);u=h;return}function ZEa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=f[b>>2]|0;e=f[c>>2]|0;g=f[c+4>>2]|0;YEa(a,d,(f[b+4>>2]|0)-d|0,(e|0)==(g|0)?0:e,g-e|0);return}function _Ea(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=u;u=u+112|0;e=d;Bcb(e);$Ea(a,e);ai[f[(f[c>>2]|0)+28>>2]&2047](c);a=e+8|0;do if(f[a>>2]&1|0){g=f[e+92>>2]|0;h=c+8|0;f[h>>2]=f[h>>2]|1;h=c+92|0;i=f[h>>2]|0;if((i|0)==535416){aFa(h,g);break}else{Qmc(i,g)|0;break}}while(0);g=e+20|0;if((f[g>>2]|0)>0){i=e+28|0;h=0;j=1;while(1){k=f[(f[i>>2]|0)+4+(h<<2)>>2]|0;l=j&(cFa(k,bFa(c)|0)|0);h=h+1|0;if((h|0)>=(f[g>>2]|0)){m=l;break}else j=l}}else m=1;j=e+36|0;if((f[j>>2]|0)>0){g=e+44|0;h=c+32|0;i=0;do{l=f[(f[g>>2]|0)+4+(i<<2)>>2]|0;Qmc(dFa(h)|0,l)|0;i=i+1|0}while((i|0)<(f[j>>2]|0))}j=e+48|0;if((f[j>>2]|0)>0){i=e+56|0;h=c+48|0;g=c+52|0;l=c+56|0;k=0;do{n=f[(f[i>>2]|0)+4+(k<<2)>>2]|0;o=f[h>>2]|0;if((o|0)==(f[g>>2]|0)){eFa(h,o+1|0);p=f[h>>2]|0}else p=o;o=f[l>>2]|0;f[h>>2]=p+1;f[o+4+(p<<2)>>2]=n;k=k+1|0}while((k|0)<(f[j>>2]|0))}if(!(f[a>>2]&4)){Hcb(e);u=d;return m|0}a=b[e+100>>0]|0;j=c+8|0;f[j>>2]=f[j>>2]|4;b[c+100>>0]=a;Hcb(e);u=d;return m|0}function $Ea(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;d=u;u=u+192|0;e=d+168|0;g=d;ai[f[(f[c>>2]|0)+28>>2]&2047](c);Rdb(c,a);h=c+20|0;i=f[h>>2]|0;if((i|0)>0){j=f[c+28>>2]|0;k=0;do{l=f[j+4+(k<<2)>>2]|0;k=k+1|0;ai[f[(f[l>>2]|0)+28>>2]&2047](l)}while((k|0)!=(i|0));f[h>>2]=0}f[e+4>>2]=0;f[e+8>>2]=0;i=e+4|0;f[e>>2]=i;k=a+36|0;if((f[k>>2]|0)>0){j=a+44|0;l=0;do{m=nFa(e,f[(f[j>>2]|0)+4+(l<<2)>>2]|0)|0;f[m>>2]=-1;l=l+1|0}while((l|0)<(f[k>>2]|0))}k=a+20|0;if((f[k>>2]|0)<=0){n=e;o=f[i>>2]|0;oFa(n,o);u=d;return}l=a+28|0;a=g+21|0;j=g+32|0;m=g+24|0;p=g+21|0;q=g+32|0;r=g+24|0;s=g+21|0;t=g+32|0;v=g+24|0;w=g+21|0;x=g+32|0;y=g+24|0;z=g+21|0;A=g+32|0;B=g+24|0;C=c+28|0;D=0;do{E=f[(f[l>>2]|0)+4+(D<<2)>>2]|0;F=f[E+164>>2]|0;G=(F|0?F:533040)+60|0;F=f[G>>2]|0;H=b[F+11>>0]|0;if(!(((H<<24>>24<0?f[F+4>>2]|0:H&255)|0)==7?!(knc(F,0,-1,473651,7)|0):0))yeb(bFa(c)|0,E);F=E+20|0;if((f[F>>2]|0)>0){H=E+28|0;I=0;do{J=f[(f[H>>2]|0)+4+(I<<2)>>2]|0;if((pFa(e,J)|0)==(i|0)){VDa(g,404190,405709,235,483143,0,1);K=J+11|0;L=J+4|0;while(1){if(!(b[a>>0]|0))break;M=ZQ(j,405732,19)|0;N=b[K>>0]|0;O=N<<24>>24<0;_cc(ZQ(ZQ(M,O?f[J>>2]|0:J,O?f[L>>2]|0:N&255)|0,405752,10)|0,I)|0;WDa(g)}$Q(m)}L=nFa(e,J)|0;K=f[L>>2]|0;if(((K|0)!=-1?(L=f[(f[l>>2]|0)+4+(K<<2)>>2]|0,K=L+164|0,N=f[K>>2]|0,O=f[(N|0?N:533040)+60>>2]|0,N=b[O+11>>0]|0,((N<<24>>24<0?f[O+4>>2]|0:N&255)|0)==7):0)?(knc(O,0,-1,473651,7)|0)==0:0){O=f[G>>2]|0;N=b[O+11>>0]|0;M=f[O+4>>2]|0;if(((N<<24>>24<0?M:N&255)|0)==4)if(!(knc(O,0,-1,404172,4)|0))P=1;else{Q=f[G>>2]|0;R=b[Q+11>>0]|0;S=f[Q+4>>2]|0;T=Q;U=30}else{R=N;S=M;T=O;U=30}if((U|0)==30){U=0;if(((R<<24>>24<0?S:R&255)|0)==4)P=(knc(T,0,-1,404444,4)|0)==0;else P=0}VDa(g,404190,405709,247,405763,405769,P);while(1){if(!(b[p>>0]|0))break;O=ZQ(q,405834,66)|0;M=f[G>>2]|0;N=b[M+11>>0]|0;Q=N<<24>>24<0;ZQ(O,Q?f[M>>2]|0:M,Q?f[M+4>>2]|0:N&255)|0;WDa(g)}$Q(r);VDa(g,404190,405709,251,405763,405901,(f[F>>2]|0)==1);while(1){if(!(b[s>>0]|0))break;ZQ(t,405934,40)|0;WDa(g)}$Q(v);VDa(g,404190,405709,253,405763,405975,(f[L+20>>2]|0)==1);while(1){if(!(b[w>>0]|0))break;ZQ(x,406004,43)|0;WDa(g)}$Q(y);VDa(g,404190,405709,255,405763,406048,(f[L+36>>2]|0)==1);while(1){if(!(b[z>>0]|0))break;ZQ(A,406074,47)|0;WDa(g)}$Q(B);J=(f[h>>2]|0)+-1|0;N=f[(f[C>>2]|0)+4+(J<<2)>>2]|0;M=N+8|0;f[M>>2]=f[M>>2]|2;M=N+164|0;Q=f[M>>2]|0;if(!Q){O=Bmc(196)|0;oVa(O);f[M>>2]=O;V=O;W=f[(f[C>>2]|0)+4+(J<<2)>>2]|0}else{V=Q;W=N}N=f[K>>2]|0;Q=f[(N|0?N:533040)+92>>2]|0;N=V+8|0;f[N>>2]=f[N>>2]|512;f[V+92>>2]=Q;Qmc(f[(f[W+28>>2]|0)+4+(I<<2)>>2]|0,f[(f[L+28>>2]|0)+4>>2]|0)|0}I=I+1|0}while((I|0)<(f[F>>2]|0))}F=E+36|0;if((f[F>>2]|0)>0){I=E+44|0;G=0;do{H=nFa(e,f[(f[I>>2]|0)+4+(G<<2)>>2]|0)|0;f[H>>2]=D;G=G+1|0}while((G|0)<(f[F>>2]|0))}D=D+1|0}while((D|0)<(f[k>>2]|0));n=e;o=f[i>>2]|0;oFa(n,o);u=d;return}function aFa(a,b){a=a|0;b=b|0;var c=0;c=Bmc(12)|0;Nmc(c,b);f[a>>2]=c;return}function bFa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=a+16|0;c=a+28|0;d=f[c>>2]|0;do if(!d){e=a+20|0;g=f[a+24>>2]|0;h=6}else{i=a+20|0;j=f[i>>2]|0;k=f[d>>2]|0;if((j|0)>=(k|0))if((k|0)==(f[a+24>>2]|0)){e=i;g=k;h=6;break}else{l=i;m=k;n=d;break}f[i>>2]=j+1;o=f[d+4+(j<<2)>>2]|0;return o|0}while(0);if((h|0)==6){uDb(b,g+1|0);g=f[c>>2]|0;l=e;m=f[g>>2]|0;n=g}f[n>>2]=m+1;m=f[b>>2]|0;if(!m){b=Bmc(296)|0;D3a(b);p=b}else{if(f[m+64>>2]|0)pBb(m,19432,296);b=oBb(m,296,1635)|0;D3a(b);p=b}b=f[c>>2]|0;c=f[l>>2]|0;f[l>>2]=c+1;f[b+4+(c<<2)>>2]=p;o=p;return o|0}function cFa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0;d=u;u=u+176|0;e=d;if(!a){f[e>>2]=0;f[e+4>>2]=0;g=YG(e,28)|0;h=404119;i=g+28|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));fFa(e,404148,273)}ai[f[(f[c>>2]|0)+28>>2]&2047](c);h=a+20|0;if((f[h>>2]|0)>0){g=a+28|0;i=c+16|0;j=0;do{k=f[(f[g>>2]|0)+4+(j<<2)>>2]|0;Qmc(dFa(i)|0,k)|0;j=j+1|0}while((j|0)<(f[h>>2]|0))}h=a+36|0;if((f[h>>2]|0)>0){j=a+44|0;i=c+32|0;g=0;do{k=f[(f[j>>2]|0)+4+(g<<2)>>2]|0;Qmc(dFa(i)|0,k)|0;g=g+1|0}while((g|0)<(f[h>>2]|0))}if(!(f[a+8>>2]&2)){l=1;u=d;return l|0}h=f[a+164>>2]|0;g=h|0?h:533040;h=g+8|0;do if(f[h>>2]&1|0){i=f[g+56>>2]|0;j=c+8|0;f[j>>2]=f[j>>2]|1;j=c+160|0;k=f[j>>2]|0;if((k|0)==535416){aFa(j,i);break}else{Qmc(k,i)|0;break}}while(0);i=f[g+60>>2]|0;if(f[h>>2]&2|0){k=gFa(i)|0;j=c+12|0;f[j>>2]=f[j>>2]|1;f[c+288>>2]=k}k=c+48|0;j=a+48|0;do if((c|0)!=(a|0))if((f[j>>2]|0)==(f[k>>2]|0)){m=c+60|0;n=a+60|0;o=f[m>>2]|0;f[m>>2]=f[n>>2];f[n>>2]=o;o=c+52|0;n=a+52|0;m=f[o>>2]|0;f[o>>2]=f[n>>2];f[n>>2]=m;m=c+56|0;n=a+56|0;o=f[m>>2]|0;f[m>>2]=f[n>>2];f[n>>2]=o;break}else{hFa(k,j);break}while(0);j=g+32|0;if((f[j>>2]|0)>0){k=g+40|0;a=c+64|0;o=c+68|0;n=c+72|0;m=0;p=f[a>>2]|0;do{q=f[(f[k>>2]|0)+4+(m<<2)>>2]|0;if((p|0)==(f[o>>2]|0)){aEa(a,p+1|0);r=f[a>>2]|0}else r=p;s=f[n>>2]|0;p=r+1|0;f[a>>2]=p;f[s+4+(r<<2)>>2]=q;m=m+1|0}while((m|0)<(f[j>>2]|0))}j=g+44|0;if((f[j>>2]|0)>0){m=g+52|0;r=c+76|0;p=c+80|0;a=c+84|0;n=0;o=f[r>>2]|0;do{k=f[(f[m>>2]|0)+4+(n<<2)>>2]|0;if((o|0)==(f[p>>2]|0)){aEa(r,o+1|0);t=f[r>>2]|0}else t=o;q=f[a>>2]|0;o=t+1|0;f[r>>2]=o;f[q+4+(t<<2)>>2]=k;n=n+1|0}while((n|0)<(f[j>>2]|0))}a:do if(!(f[h>>2]&256))v=1;else{j=i+11|0;n=b[j>>0]|0;t=i+4|0;o=f[t>>2]|0;do if(((n<<24>>24<0?o:n&255)|0)==4){if(knc(i,0,-1,404172,4)|0){w=b[j>>0]|0;x=f[t>>2]|0;break}r=c+8|0;f[r>>2]=f[r>>2]|8;r=c+172|0;a=f[r>>2]|0;if(!a){p=Bmc(120)|0;JVa(p);f[r>>2]=p;y=p}else y=a;a=f[g+88>>2]|0;p=y+8|0;f[p>>2]=f[p>>2]|4;f[y+72>>2]=a;v=1;break a}else{w=n;x=o}while(0);if(((w<<24>>24<0?x:w&255)|0)==12?(knc(i,0,-1,404177,12)|0)==0:0){o=c+8|0;f[o>>2]=f[o>>2]|1024;o=c+200|0;n=f[o>>2]|0;if(!n){a=Bmc(36)|0;TVa(a);f[o>>2]=a;z=a}else z=n;n=f[g+88>>2]|0;a=z+8|0;f[a>>2]=f[a>>2]|4;f[z+24>>2]=n;v=1;break}VDa(e,404190,404148,307,483531,0,1);n=e+21|0;a=e+32|0;while(1){if(!(b[n>>0]|0))break;o=ZQ(a,404262,44)|0;p=b[j>>0]|0;r=p<<24>>24<0;ZQ(o,r?f[i>>2]|0:i,r?f[t>>2]|0:p&255)|0;WDa(e)}$Q(e+24|0);v=0}while(0);b:do if(!(f[h>>2]&8388608))A=v;else{z=i+11|0;w=b[z>>0]|0;x=i+4|0;y=f[x>>2]|0;do if(((w<<24>>24<0?y:w&255)|0)==4){if(knc(i,0,-1,404172,4)|0){B=b[z>>0]|0;C=f[x>>2]|0;break}t=c+8|0;f[t>>2]=f[t>>2]|8;t=c+172|0;j=f[t>>2]|0;if(!j){a=Bmc(120)|0;JVa(a);f[t>>2]=a;D=a}else D=j;j=b[g+144>>0]|0;a=D+8|0;f[a>>2]=f[a>>2]|4096;b[D+112>>0]=j;A=v;break b}else{B=w;C=y}while(0);if(((B<<24>>24<0?C:B&255)|0)==12?(knc(i,0,-1,404177,12)|0)==0:0){y=c+8|0;f[y>>2]=f[y>>2]|1024;y=c+200|0;w=f[y>>2]|0;if(!w){j=Bmc(36)|0;TVa(j);f[y>>2]=j;E=j}else E=w;w=b[g+144>>0]|0;j=E+8|0;f[j>>2]=f[j>>2]|16;b[E+29>>0]=w;A=v;break}VDa(e,404190,404148,319,483531,0,1);w=e+21|0;j=e+32|0;while(1){if(!(b[w>>0]|0))break;y=ZQ(j,404307,42)|0;a=b[z>>0]|0;t=a<<24>>24<0;ZQ(y,t?f[i>>2]|0:i,t?f[x>>2]|0:a&255)|0;WDa(e)}$Q(e+24|0);A=0}while(0);c:do if(!(f[h>>2]&32))F=A;else{v=i+11|0;E=b[v>>0]|0;B=i+4|0;C=f[B>>2]|0;do if(((E<<24>>24<0?C:E&255)|0)==4){if(knc(i,0,-1,404172,4)|0){G=b[v>>0]|0;H=f[B>>2]|0;break}D=c+8|0;f[D>>2]=f[D>>2]|8;D=c+172|0;x=f[D>>2]|0;if(!x){z=Bmc(120)|0;JVa(z);f[D>>2]=z;I=z}else I=x;x=I+8|0;f[x>>2]=f[x>>2]|1;x=I+64|0;z=f[x>>2]|0;if(!z){D=Bmc(48)|0;XTa(D);f[x>>2]=D;J=D}else J=z;z=f[g+76>>2]|0;Odb(J,z|0?z:530048);F=A;break c}else{G=E;H=C}while(0);if(((G<<24>>24<0?H:G&255)|0)==12?(knc(i,0,-1,404177,12)|0)==0:0){C=c+8|0;f[C>>2]=f[C>>2]|1024;C=c+200|0;E=f[C>>2]|0;if(!E){z=Bmc(36)|0;TVa(z);f[C>>2]=z;K=z}else K=E;E=K+8|0;f[E>>2]=f[E>>2]|1;E=K+16|0;z=f[E>>2]|0;if(!z){C=Bmc(48)|0;XTa(C);f[E>>2]=C;L=C}else L=z;z=f[g+76>>2]|0;Odb(L,z|0?z:530048);F=A;break}VDa(e,404190,404148,331,483531,0,1);z=e+21|0;C=e+32|0;while(1){if(!(b[z>>0]|0))break;E=ZQ(C,404350,47)|0;D=b[v>>0]|0;x=D<<24>>24<0;ZQ(E,x?f[i>>2]|0:i,x?f[B>>2]|0:D&255)|0;WDa(e)}$Q(e+24|0);F=0}while(0);d:do if(!(f[h>>2]&64))M=F;else{A=i+11|0;L=b[A>>0]|0;K=i+4|0;G=f[K>>2]|0;do if(((L<<24>>24<0?G:L&255)|0)==4){if(knc(i,0,-1,404172,4)|0){N=b[A>>0]|0;O=f[K>>2]|0;break}H=c+8|0;f[H>>2]=f[H>>2]|8;H=c+172|0;J=f[H>>2]|0;if(!J){I=Bmc(120)|0;JVa(I);f[H>>2]=I;P=I}else P=J;J=P+8|0;f[J>>2]=f[J>>2]|2;J=P+68|0;I=f[J>>2]|0;if(!I){H=Bmc(48)|0;XTa(H);f[J>>2]=H;Q=H}else Q=I;I=f[g+80>>2]|0;Odb(Q,I|0?I:530048);M=F;break d}else{N=L;O=G}while(0);if(((N<<24>>24<0?O:N&255)|0)==12?(knc(i,0,-1,404177,12)|0)==0:0){G=c+8|0;f[G>>2]=f[G>>2]|1024;G=c+200|0;L=f[G>>2]|0;if(!L){I=Bmc(36)|0;TVa(I);f[G>>2]=I;R=I}else R=L;L=R+8|0;f[L>>2]=f[L>>2]|2;L=R+20|0;I=f[L>>2]|0;if(!I){G=Bmc(48)|0;XTa(G);f[L>>2]=G;S=G}else S=I;I=f[g+80>>2]|0;Odb(S,I|0?I:530048);M=F;break}VDa(e,404190,404148,343,483531,0,1);I=e+21|0;G=e+32|0;while(1){if(!(b[I>>0]|0))break;L=ZQ(G,404398,45)|0;H=b[A>>0]|0;J=H<<24>>24<0;ZQ(L,J?f[i>>2]|0:i,J?f[K>>2]|0:H&255)|0;WDa(e)}$Q(e+24|0);M=0}while(0);e:do if(!(f[h>>2]&512))T=M;else{F=i+11|0;S=b[F>>0]|0;R=i+4|0;N=f[R>>2]|0;do if(((S<<24>>24<0?N:S&255)|0)==4){if(knc(i,0,-1,404172,4)|0){U=b[F>>0]|0;V=f[R>>2]|0;break}O=c+8|0;f[O>>2]=f[O>>2]|8;O=c+172|0;Q=f[O>>2]|0;if(!Q){P=Bmc(120)|0;JVa(P);f[O>>2]=P;W=P}else W=Q;Q=f[g+92>>2]|0;P=W+16|0;O=f[P>>2]|0;if((O|0)==(f[W+20>>2]|0)){iFa(P,O+1|0);X=f[P>>2]|0}else X=O;O=f[W+24>>2]|0;f[P>>2]=X+1;f[O+4+(X<<2)>>2]=Q;T=M;break e}else{U=S;V=N}while(0);if(((U<<24>>24<0?V:U&255)|0)==4?(knc(i,0,-1,404444,4)|0)==0:0){N=c+8|0;f[N>>2]=f[N>>2]|4096;N=c+208|0;S=f[N>>2]|0;if(!S){Q=Bmc(68)|0;XVa(Q);f[N>>2]=Q;Y=Q}else Y=S;S=f[g+92>>2]|0;Q=Y+8|0;f[Q>>2]=f[Q>>2]|4;f[Y+24>>2]=S;T=M;break}VDa(e,404190,404148,353,483531,0,1);S=e+21|0;Q=e+32|0;while(1){if(!(b[S>>0]|0))break;N=ZQ(Q,404449,37)|0;O=b[F>>0]|0;P=O<<24>>24<0;ZQ(N,P?f[i>>2]|0:i,P?f[R>>2]|0:O&255)|0;WDa(e)}$Q(e+24|0);T=0}while(0);f:do if(!(f[h>>2]&1024))Z=T;else{M=i+11|0;Y=b[M>>0]|0;U=i+4|0;V=f[U>>2]|0;do if(((Y<<24>>24<0?V:Y&255)|0)==4){if(knc(i,0,-1,404172,4)|0){_=b[M>>0]|0;$=f[U>>2]|0;break}X=c+8|0;f[X>>2]=f[X>>2]|8;X=c+172|0;W=f[X>>2]|0;if(!W){R=Bmc(120)|0;JVa(R);f[X>>2]=R;aa=R}else aa=W;W=f[g+96>>2]|0;R=aa+28|0;X=f[R>>2]|0;if((X|0)==(f[aa+32>>2]|0)){iFa(R,X+1|0);ba=f[R>>2]|0}else ba=X;X=f[aa+36>>2]|0;f[R>>2]=ba+1;f[X+4+(ba<<2)>>2]=W;Z=T;break f}else{_=Y;$=V}while(0);if(((_<<24>>24<0?$:_&255)|0)==4?(knc(i,0,-1,404444,4)|0)==0:0){V=c+8|0;f[V>>2]=f[V>>2]|4096;V=c+208|0;Y=f[V>>2]|0;if(!Y){W=Bmc(68)|0;XVa(W);f[V>>2]=W;ca=W}else ca=Y;Y=f[g+96>>2]|0;W=ca+8|0;f[W>>2]=f[W>>2]|2;f[ca+20>>2]=Y;Z=T;break}VDa(e,404190,404148,365,483531,0,1);Y=e+21|0;W=e+32|0;while(1){if(!(b[Y>>0]|0))break;V=ZQ(W,404487,44)|0;X=b[M>>0]|0;R=X<<24>>24<0;ZQ(V,R?f[i>>2]|0:i,R?f[U>>2]|0:X&255)|0;WDa(e)}$Q(e+24|0);Z=0}while(0);do if(!(f[h>>2]&16777216))da=Z;else{T=i+11|0;ca=b[T>>0]|0;_=i+4|0;if(((ca<<24>>24<0?f[_>>2]|0:ca&255)|0)==4?(knc(i,0,-1,404172,4)|0)==0:0){ca=c+8|0;f[ca>>2]=f[ca>>2]|8;ca=c+172|0;$=f[ca>>2]|0;if(!$){ba=Bmc(120)|0;JVa(ba);f[ca>>2]=ba;ea=ba}else ea=$;$=f[g+148>>2]|0;ba=ea+8|0;f[ba>>2]=f[ba>>2]|8192;f[ea+116>>2]=$;da=Z;break}VDa(e,404190,404148,374,483531,0,1);$=e+21|0;ba=e+32|0;while(1){if(!(b[$>>0]|0))break;ca=ZQ(ba,404532,39)|0;aa=b[T>>0]|0;U=aa<<24>>24<0;ZQ(ca,U?f[i>>2]|0:i,U?f[_>>2]|0:aa&255)|0;WDa(e)}$Q(e+24|0);da=0}while(0);g:do if(!(f[h>>2]&33554432))fa=da;else{Z=i+11|0;ea=b[Z>>0]|0;_=i+4|0;T=f[_>>2]|0;do if(((ea<<24>>24<0?T:ea&255)|0)==4){if(knc(i,0,-1,404172,4)|0){ga=b[Z>>0]|0;ha=f[_>>2]|0;break}ba=c+8|0;f[ba>>2]=f[ba>>2]|8;ba=c+172|0;$=f[ba>>2]|0;if(!$){aa=Bmc(120)|0;JVa(aa);f[ba>>2]=aa;ia=aa}else ia=$;$=f[g+152>>2]|0;aa=ia+40|0;ba=f[aa>>2]|0;if((ba|0)==(f[ia+44>>2]|0)){iFa(aa,ba+1|0);ja=f[aa>>2]|0}else ja=ba;ba=f[ia+48>>2]|0;f[aa>>2]=ja+1;f[ba+4+(ja<<2)>>2]=$;fa=da;break g}else{ga=ea;ha=T}while(0);do if(((ga<<24>>24<0?ha:ga&255)|0)==4){if(knc(i,0,-1,404444,4)|0)break;T=c+8|0;f[T>>2]=f[T>>2]|4096;T=c+208|0;ea=f[T>>2]|0;if(!ea){$=Bmc(68)|0;XVa($);f[T>>2]=$;ka=$}else ka=ea;ea=f[g+152>>2]|0;$=ka+8|0;f[$>>2]=f[$>>2]|2048;f[ka+60>>2]=ea;fa=da;break g}while(0);VDa(e,404190,404148,386,483531,0,1);ea=e+21|0;$=e+32|0;while(1){if(!(b[ea>>0]|0))break;T=ZQ($,404572,40)|0;ba=b[Z>>0]|0;aa=ba<<24>>24<0;ZQ(T,aa?f[i>>2]|0:i,aa?f[_>>2]|0:ba&255)|0;WDa(e)}$Q(e+24|0);fa=0}while(0);h:do if(!(f[h>>2]&2048))la=fa;else{da=i+11|0;ka=b[da>>0]|0;ga=i+4|0;do if(((ka<<24>>24<0?f[ga>>2]|0:ka&255)|0)==4){if(knc(i,0,-1,404444,4)|0)break;ha=f[g+100>>2]|0;switch(ha|0){case 0:{ja=c+8|0;f[ja>>2]=f[ja>>2]|4096;ja=c+208|0;ia=f[ja>>2]|0;if(!ia){_=Bmc(68)|0;XVa(_);f[ja>>2]=_;ma=_}else ma=ia;ia=ma+8|0;f[ia>>2]=f[ia>>2]|1;f[ma+16>>2]=0;la=fa;break h;break}case 1:{ia=c+8|0;f[ia>>2]=f[ia>>2]|4096;ia=c+208|0;_=f[ia>>2]|0;if(!_){ja=Bmc(68)|0;XVa(ja);f[ia>>2]=ja;na=ja}else na=_;_=na+8|0;f[_>>2]=f[_>>2]|1;f[na+16>>2]=1;la=fa;break h;break}case 2:{_=c+8|0;f[_>>2]=f[_>>2]|4096;_=c+208|0;ja=f[_>>2]|0;if(!ja){ia=Bmc(68)|0;XVa(ia);f[_>>2]=ia;oa=ia}else oa=ja;ja=oa+8|0;f[ja>>2]=f[ja>>2]|1;f[oa+16>>2]=2;la=fa;break h;break}default:{VDa(e,404190,404148,407,483531,0,1);ja=e+21|0;ia=e+32|0;while(1){if(!(b[ja>>0]|0))break;_cc(ZQ(ia,404613,20)|0,ha)|0;WDa(e)}$Q(e+24|0);la=0;break h}}}while(0);VDa(e,404190,404148,411,483531,0,1);ka=e+21|0;ha=e+32|0;while(1){if(!(b[ka>>0]|0))break;ia=ZQ(ha,404634,38)|0;ja=b[da>>0]|0;_=ja<<24>>24<0;ZQ(ia,_?f[i>>2]|0:i,_?f[ga>>2]|0:ja&255)|0;WDa(e)}$Q(e+24|0);la=0}while(0);i:do if(!(f[h>>2]&67108864))pa=la;else{fa=i+11|0;oa=b[fa>>0]|0;na=i+4|0;do if(((oa<<24>>24<0?f[na>>2]|0:oa&255)|0)==7){if(knc(i,0,-1,404673,7)|0)break;ma=c+8|0;f[ma>>2]=f[ma>>2]|32;ma=c+180|0;ga=f[ma>>2]|0;if(!ga){da=Bmc(24)|0;NVa(da);f[ma>>2]=da;qa=da}else qa=ga;ga=f[g+156>>2]|0;da=qa+8|0;f[da>>2]=f[da>>2]|1;f[qa+16>>2]=ga;pa=la;break i}while(0);VDa(e,404190,404148,420,483531,0,1);oa=e+21|0;ga=e+32|0;while(1){if(!(b[oa>>0]|0))break;da=ZQ(ga,404681,47)|0;ma=b[fa>>0]|0;ha=ma<<24>>24<0;ZQ(da,ha?f[i>>2]|0:i,ha?f[na>>2]|0:ma&255)|0;WDa(e)}$Q(e+24|0);pa=0}while(0);j:do if(!(f[h>>2]&134217728))ra=pa;else{la=i+11|0;qa=b[la>>0]|0;na=i+4|0;do if(((qa<<24>>24<0?f[na>>2]|0:qa&255)|0)==3){if(knc(i,0,-1,404729,3)|0)break;fa=c+8|0;f[fa>>2]=f[fa>>2]|2048;fa=c+204|0;ga=f[fa>>2]|0;if(!ga){oa=Bmc(40)|0;VVa(oa);f[fa>>2]=oa;sa=oa}else sa=ga;ga=f[g+160>>2]|0;oa=sa+8|0;f[oa>>2]=f[oa>>2]|4;f[sa+24>>2]=ga;ra=pa;break j}while(0);VDa(e,404190,404148,429,483531,0,1);qa=e+21|0;ga=e+32|0;while(1){if(!(b[qa>>0]|0))break;oa=ZQ(ga,404733,44)|0;fa=b[la>>0]|0;ma=fa<<24>>24<0;ZQ(oa,ma?f[i>>2]|0:i,ma?f[na>>2]|0:fa&255)|0;WDa(e)}$Q(e+24|0);ra=0}while(0);k:do if(!(f[h>>2]&268435456))ta=ra;else{pa=i+11|0;sa=b[pa>>0]|0;na=i+4|0;do if(((sa<<24>>24<0?f[na>>2]|0:sa&255)|0)==3){if(knc(i,0,-1,404729,3)|0)break;la=c+8|0;f[la>>2]=f[la>>2]|2048;la=c+204|0;ga=f[la>>2]|0;if(!ga){qa=Bmc(40)|0;VVa(qa);f[la>>2]=qa;ua=qa}else ua=ga;ga=f[g+164>>2]|0;qa=ua+8|0;f[qa>>2]=f[qa>>2]|8;f[ua+28>>2]=ga;ta=ra;break k}while(0);VDa(e,404190,404148,437,483531,0,1);sa=e+21|0;ga=e+32|0;while(1){if(!(b[sa>>0]|0))break;qa=ZQ(ga,404778,39)|0;la=b[pa>>0]|0;fa=la<<24>>24<0;ZQ(qa,fa?f[i>>2]|0:i,fa?f[na>>2]|0:la&255)|0;WDa(e)}$Q(e+24|0);ta=0}while(0);ra=f[h>>2]|0;if(!(ra&536870912)){va=ta;wa=ra}else{ra=i+11|0;ua=b[ra>>0]|0;na=i+4|0;do if(((ua<<24>>24<0?f[na>>2]|0:ua&255)|0)==3){if(knc(i,0,-1,404729,3)|0){xa=223;break}pa=c+8|0;f[pa>>2]=f[pa>>2]|2048;pa=c+204|0;ga=f[pa>>2]|0;if(!ga){sa=Bmc(40)|0;VVa(sa);f[pa>>2]=sa;ya=sa}else ya=ga;ga=f[g+168>>2]|0;sa=ya+8|0;f[sa>>2]=f[sa>>2]|16;f[ya+32>>2]=ga;za=ta}else xa=223;while(0);if((xa|0)==223){VDa(e,404190,404148,445,483531,0,1);xa=e+21|0;ta=e+32|0;while(1){if(!(b[xa>>0]|0))break;ya=ZQ(ta,404818,38)|0;ua=b[ra>>0]|0;ga=ua<<24>>24<0;ZQ(ya,ga?f[i>>2]|0:i,ga?f[na>>2]|0:ua&255)|0;WDa(e)}$Q(e+24|0);za=0}va=za;wa=f[h>>2]|0}l:do if((wa|0)<0){za=i+11|0;na=b[za>>0]|0;ra=i+4|0;do if(((na<<24>>24<0?f[ra>>2]|0:na&255)|0)==3){if(knc(i,0,-1,404729,3)|0)break;ta=c+8|0;f[ta>>2]=f[ta>>2]|2048;ta=c+204|0;xa=f[ta>>2]|0;if(!xa){ua=Bmc(40)|0;VVa(ua);f[ta>>2]=ua;Aa=ua}else Aa=xa;xa=f[g+176>>2]|0;ua=Aa+8|0;f[ua>>2]=f[ua>>2]|32;f[Aa+36>>2]=xa;Ba=va;break l}while(0);VDa(e,404190,404148,453,483531,0,1);na=e+21|0;xa=e+32|0;while(1){if(!(b[na>>0]|0))break;ua=ZQ(xa,404857,35)|0;ta=b[za>>0]|0;ga=ta<<24>>24<0;ZQ(ua,ga?f[i>>2]|0:i,ga?f[ra>>2]|0:ta&255)|0;WDa(e)}$Q(e+24|0);Ba=0}else Ba=va;while(0);m:do if(!(f[h>>2]&4))Ca=Ba;else{va=i+11|0;Aa=b[va>>0]|0;wa=i+4|0;ra=f[wa>>2]|0;do if(((Aa<<24>>24<0?ra:Aa&255)|0)==4){if(knc(i,0,-1,404893,4)|0){Da=b[va>>0]|0;Ea=f[wa>>2]|0;break}za=c+8|0;f[za>>2]=f[za>>2]|16;za=c+176|0;xa=f[za>>2]|0;if(!xa){na=Bmc(52)|0;LVa(na);f[za>>2]=na;Fa=na}else Fa=xa;xa=f[g+64>>2]|0;na=Fa+8|0;f[na>>2]=f[na>>2]|1;na=Fa+16|0;za=f[na>>2]|0;if((za|0)==535416){aFa(na,xa);Ca=Ba;break m}else{Qmc(za,xa)|0;Ca=Ba;break m}}else{Da=Aa;Ea=ra}while(0);do if(((Da<<24>>24<0?Ea:Da&255)|0)==9){if(knc(i,0,-1,404898,9)|0){Ga=b[va>>0]|0;Ha=f[wa>>2]|0;break}ra=c+8|0;f[ra>>2]=f[ra>>2]|64;ra=c+184|0;Aa=f[ra>>2]|0;if(!Aa){xa=Bmc(28)|0;OVa(xa);f[ra>>2]=xa;Ia=xa}else Ia=Aa;Aa=f[g+64>>2]|0;xa=Ia+8|0;f[xa>>2]=f[xa>>2]|1;xa=Ia+16|0;ra=f[xa>>2]|0;if((ra|0)==535416){aFa(xa,Aa);Ca=Ba;break m}else{Qmc(ra,Aa)|0;Ca=Ba;break m}}else{Ga=Da;Ha=Ea}while(0);do if(((Ga<<24>>24<0?Ha:Ga&255)|0)==6){if(knc(i,0,-1,404908,6)|0){Ja=b[va>>0]|0;Ka=f[wa>>2]|0;break}Aa=c+8|0;f[Aa>>2]=f[Aa>>2]|256;Aa=c+192|0;ra=f[Aa>>2]|0;if(!ra){xa=Bmc(60)|0;QVa(xa);f[Aa>>2]=xa;La=xa}else La=ra;ra=f[g+64>>2]|0;xa=La+8|0;f[xa>>2]=f[xa>>2]|1;xa=La+16|0;Aa=f[xa>>2]|0;if((Aa|0)==535416){aFa(xa,ra);Ca=Ba;break m}else{Qmc(Aa,ra)|0;Ca=Ba;break m}}else{Ja=Ga;Ka=Ha}while(0);do if(((Ja<<24>>24<0?Ka:Ja&255)|0)==11){if(knc(i,0,-1,404915,11)|0){Ma=b[va>>0]|0;Na=f[wa>>2]|0;break}ra=c+8|0;f[ra>>2]=f[ra>>2]|8192;ra=c+212|0;Aa=f[ra>>2]|0;if(!Aa){xa=Bmc(64)|0;ZVa(xa);f[ra>>2]=xa;Oa=xa}else Oa=Aa;Aa=f[g+64>>2]|0;xa=Oa+8|0;f[xa>>2]=f[xa>>2]|1;xa=Oa+16|0;ra=f[xa>>2]|0;if((ra|0)==535416){aFa(xa,Aa);Ca=Ba;break m}else{Qmc(ra,Aa)|0;Ca=Ba;break m}}else{Ma=Ja;Na=Ka}while(0);do if(((Ma<<24>>24<0?Na:Ma&255)|0)==13){if(knc(i,0,-1,404927,13)|0)break;Aa=c+8|0;f[Aa>>2]=f[Aa>>2]|512;Aa=c+196|0;ra=f[Aa>>2]|0;if(!ra){xa=Bmc(20)|0;SVa(xa);f[Aa>>2]=xa;Pa=xa}else Pa=ra;ra=f[g+64>>2]|0;xa=Pa+8|0;f[xa>>2]=f[xa>>2]|1;xa=Pa+16|0;Aa=f[xa>>2]|0;if((Aa|0)==535416){aFa(xa,ra);Ca=Ba;break m}else{Qmc(Aa,ra)|0;Ca=Ba;break m}}while(0);VDa(e,404190,404148,473,483531,0,1);ra=e+21|0;Aa=e+32|0;while(1){if(!(b[ra>>0]|0))break;xa=ZQ(Aa,404941,40)|0;za=b[va>>0]|0;na=za<<24>>24<0;ZQ(xa,na?f[i>>2]|0:i,na?f[wa>>2]|0:za&255)|0;WDa(e)}$Q(e+24|0);Ca=0}while(0);Ba=f[h>>2]|0;if(!(Ba&1073741824))Qa=Ba;else{Ba=c+8|0;f[Ba>>2]=f[Ba>>2]|33554432;Ba=c+260|0;Pa=f[Ba>>2]|0;if(!Pa){Ma=Bmc(44)|0;nWa(Ma);f[Ba>>2]=Ma;Ra=Ma}else Ra=Pa;Pa=f[g+172>>2]|0;Ma=Ra+8|0;f[Ma>>2]=f[Ma>>2]|32;f[Ra+40>>2]=Pa;Qa=f[h>>2]|0}do if(Qa&8|0){Pa=c+8|0;f[Pa>>2]=f[Pa>>2]|33554432;Pa=c+260|0;Ra=f[Pa>>2]|0;if(!Ra){Ma=Bmc(44)|0;nWa(Ma);f[Pa>>2]=Ma;Sa=Ma}else Sa=Ra;Ra=f[g+68>>2]|0;Ma=Sa+8|0;f[Ma>>2]=f[Ma>>2]|1;Ma=Sa+28|0;Pa=f[Ma>>2]|0;if((Pa|0)==535416){aFa(Ma,Ra);break}else{Qmc(Pa,Ra)|0;break}}while(0);n:do if(!(f[h>>2]&4096))Ta=Ca;else{Sa=i+11|0;Qa=b[Sa>>0]|0;Ra=i+4|0;Pa=f[Ra>>2]|0;do if(((Qa<<24>>24<0?Pa:Qa&255)|0)==4){if(knc(i,0,-1,404893,4)|0){Ua=b[Sa>>0]|0;Va=f[Ra>>2]|0;break}Ma=c+8|0;f[Ma>>2]=f[Ma>>2]|16;Ma=c+176|0;Ba=f[Ma>>2]|0;if(!Ba){Na=Bmc(52)|0;LVa(Na);f[Ma>>2]=Na;Wa=Na}else Wa=Ba;Ba=f[g+104>>2]|0;Na=Wa+8|0;f[Na>>2]=f[Na>>2]|4;f[Wa+24>>2]=Ba;Ta=Ca;break n}else{Ua=Qa;Va=Pa}while(0);do if(((Ua<<24>>24<0?Va:Ua&255)|0)==9){if(knc(i,0,-1,404898,9)|0){Xa=b[Sa>>0]|0;Ya=f[Ra>>2]|0;break}Pa=c+8|0;f[Pa>>2]=f[Pa>>2]|64;Pa=c+184|0;Qa=f[Pa>>2]|0;if(!Qa){Ba=Bmc(28)|0;OVa(Ba);f[Pa>>2]=Ba;Za=Ba}else Za=Qa;Qa=f[g+104>>2]|0;Ba=Za+8|0;f[Ba>>2]=f[Ba>>2]|2;f[Za+20>>2]=Qa;Ta=Ca;break n}else{Xa=Ua;Ya=Va}while(0);do if(((Xa<<24>>24<0?Ya:Xa&255)|0)==6){if(knc(i,0,-1,404908,6)|0){_a=b[Sa>>0]|0;$a=f[Ra>>2]|0;break}Qa=c+8|0;f[Qa>>2]=f[Qa>>2]|256;Qa=c+192|0;Ba=f[Qa>>2]|0;if(!Ba){Pa=Bmc(60)|0;QVa(Pa);f[Qa>>2]=Pa;ab=Pa}else ab=Ba;Ba=f[g+104>>2]|0;Pa=ab+8|0;f[Pa>>2]=f[Pa>>2]|2048;f[ab+56>>2]=Ba;Ta=Ca;break n}else{_a=Xa;$a=Ya}while(0);do if(((_a<<24>>24<0?$a:_a&255)|0)==11){if(knc(i,0,-1,404915,11)|0)break;Ba=c+8|0;f[Ba>>2]=f[Ba>>2]|8192;Ba=c+212|0;Pa=f[Ba>>2]|0;if(!Pa){Qa=Bmc(64)|0;ZVa(Qa);f[Ba>>2]=Qa;bb=Qa}else bb=Pa;Pa=f[g+104>>2]|0;Qa=bb+8|0;f[Qa>>2]=f[Qa>>2]|16;f[bb+32>>2]=Pa;Ta=Ca;break n}while(0);VDa(e,404190,404148,499,483531,0,1);Pa=e+21|0;Qa=e+32|0;while(1){if(!(b[Pa>>0]|0))break;Ba=ZQ(Qa,404982,43)|0;Na=b[Sa>>0]|0;Ma=Na<<24>>24<0;ZQ(Ba,Ma?f[i>>2]|0:i,Ma?f[Ra>>2]|0:Na&255)|0;WDa(e)}$Q(e+24|0);Ta=0}while(0);Ca=f[h>>2]|0;if(!(Ca&8192))cb=Ca;else{Ca=c+8|0;f[Ca>>2]=f[Ca>>2]|33554432;Ca=c+260|0;bb=f[Ca>>2]|0;if(!bb){_a=Bmc(44)|0;nWa(_a);f[Ca>>2]=_a;db=_a}else db=bb;bb=f[g+108>>2]|0;_a=db+8|0;f[_a>>2]=f[_a>>2]|2;f[db+32>>2]=bb;cb=f[h>>2]|0}if(!(cb&32768))eb=cb;else{cb=c+8|0;f[cb>>2]=f[cb>>2]|33554432;cb=c+260|0;bb=f[cb>>2]|0;if(!bb){db=Bmc(44)|0;nWa(db);f[cb>>2]=db;fb=db}else fb=bb;bb=b[g+116>>0]|0;db=fb+8|0;f[db>>2]=f[db>>2]|4;b[fb+36>>0]=bb;eb=f[h>>2]|0}o:do if(!(eb&131072))gb=Ta;else{bb=i+11|0;fb=b[bb>>0]|0;db=i+4|0;cb=f[db>>2]|0;do if(((fb<<24>>24<0?cb:fb&255)|0)==4){if(knc(i,0,-1,404893,4)|0){hb=b[bb>>0]|0;ib=f[db>>2]|0;break}_a=c+8|0;f[_a>>2]=f[_a>>2]|16;_a=c+176|0;Ca=f[_a>>2]|0;if(!Ca){$a=Bmc(52)|0;LVa($a);f[_a>>2]=$a;jb=$a}else jb=Ca;Ca=f[g+120>>2]|0;$a=jb+8|0;f[$a>>2]=f[$a>>2]|16;f[jb+32>>2]=Ca;gb=Ta;break o}else{hb=fb;ib=cb}while(0);do if(((hb<<24>>24<0?ib:hb&255)|0)==6){if(knc(i,0,-1,404908,6)|0)break;cb=c+8|0;f[cb>>2]=f[cb>>2]|256;cb=c+192|0;fb=f[cb>>2]|0;if(!fb){Ca=Bmc(60)|0;QVa(Ca);f[cb>>2]=Ca;kb=Ca}else kb=fb;fb=f[g+120>>2]|0;Ca=kb+8|0;f[Ca>>2]=f[Ca>>2]|16;f[kb+32>>2]=fb;gb=Ta;break o}while(0);VDa(e,404190,404148,519,483531,0,1);fb=e+21|0;Ca=e+32|0;while(1){if(!(b[fb>>0]|0))break;cb=ZQ(Ca,405026,43)|0;$a=b[bb>>0]|0;_a=$a<<24>>24<0;ZQ(cb,_a?f[i>>2]|0:i,_a?f[db>>2]|0:$a&255)|0;WDa(e)}$Q(e+24|0);gb=0}while(0);p:do if(!(f[h>>2]&65536))lb=gb;else{Ta=i+11|0;kb=b[Ta>>0]|0;hb=i+4|0;do if(((kb<<24>>24<0?f[hb>>2]|0:kb&255)|0)==6){if(knc(i,0,-1,404908,6)|0)break;ib=c+8|0;f[ib>>2]=f[ib>>2]|256;ib=c+192|0;jb=f[ib>>2]|0;if(!jb){eb=Bmc(60)|0;QVa(eb);f[ib>>2]=eb;mb=eb}else mb=jb;jb=b[g+117>>0]|0;eb=mb+8|0;f[eb>>2]=f[eb>>2]|32;b[mb+36>>0]=jb;lb=gb;break p}while(0);VDa(e,404190,404148,528,483531,0,1);kb=e+21|0;jb=e+32|0;while(1){if(!(b[kb>>0]|0))break;eb=ZQ(jb,405070,41)|0;ib=b[Ta>>0]|0;db=ib<<24>>24<0;ZQ(eb,db?f[i>>2]|0:i,db?f[hb>>2]|0:ib&255)|0;WDa(e)}$Q(e+24|0);lb=0}while(0);q:do if(!(f[h>>2]&2097152))nb=lb;else{gb=i+11|0;mb=b[gb>>0]|0;hb=i+4|0;do if(((mb<<24>>24<0?f[hb>>2]|0:mb&255)|0)==6){if(knc(i,0,-1,404908,6)|0)break;Ta=c+8|0;f[Ta>>2]=f[Ta>>2]|256;Ta=c+192|0;jb=f[Ta>>2]|0;if(!jb){kb=Bmc(60)|0;QVa(kb);f[Ta>>2]=kb;ob=kb}else ob=jb;jb=f[g+136>>2]|0;kb=ob+8|0;f[kb>>2]=f[kb>>2]|128;f[ob+40>>2]=jb;nb=lb;break q}while(0);VDa(e,404190,404148,537,483531,0,1);mb=e+21|0;jb=e+32|0;while(1){if(!(b[mb>>0]|0))break;kb=ZQ(jb,405112,44)|0;Ta=b[gb>>0]|0;ib=Ta<<24>>24<0;ZQ(kb,ib?f[i>>2]|0:i,ib?f[hb>>2]|0:Ta&255)|0;WDa(e)}$Q(e+24|0);nb=0}while(0);r:do if(!(f[h>>2]&16384))pb=nb;else{lb=i+11|0;ob=b[lb>>0]|0;hb=i+4|0;do if(((ob<<24>>24<0?f[hb>>2]|0:ob&255)|0)==6){if(knc(i,0,-1,404908,6)|0)break;gb=c+8|0;f[gb>>2]=f[gb>>2]|256;gb=c+192|0;jb=f[gb>>2]|0;if(!jb){mb=Bmc(60)|0;QVa(mb);f[gb>>2]=mb;qb=mb}else qb=jb;jb=f[g+112>>2]|0;mb=qb+8|0;f[mb>>2]=f[mb>>2]|256;f[qb+44>>2]=jb;pb=nb;break r}while(0);VDa(e,404190,404148,546,483531,0,1);ob=e+21|0;jb=e+32|0;while(1){if(!(b[ob>>0]|0))break;mb=ZQ(jb,405157,43)|0;gb=b[lb>>0]|0;Ta=gb<<24>>24<0;ZQ(mb,Ta?f[i>>2]|0:i,Ta?f[hb>>2]|0:gb&255)|0;WDa(e)}$Q(e+24|0);pb=0}while(0);s:do if(!(f[h>>2]&4194304))rb=pb;else{nb=i+11|0;qb=b[nb>>0]|0;hb=i+4|0;do if(((qb<<24>>24<0?f[hb>>2]|0:qb&255)|0)==6){if(knc(i,0,-1,405201,6)|0)break;lb=c+8|0;f[lb>>2]=f[lb>>2]|4;lb=c+168|0;jb=f[lb>>2]|0;if(!jb){ob=Bmc(24)|0;IVa(ob);f[lb>>2]=ob;sb=ob}else sb=jb;jb=f[g+140>>2]|0;ob=sb+8|0;f[ob>>2]=f[ob>>2]|1;f[sb+16>>2]=jb;rb=pb;break s}while(0);VDa(e,404190,404148,555,483531,0,1);qb=e+21|0;jb=e+32|0;while(1){if(!(b[qb>>0]|0))break;ob=ZQ(jb,405208,44)|0;lb=b[nb>>0]|0;gb=lb<<24>>24<0;ZQ(ob,gb?f[i>>2]|0:i,gb?f[hb>>2]|0:lb&255)|0;WDa(e)}$Q(e+24|0);rb=0}while(0);pb=g+12|0;t:do if(!(f[pb>>2]&1))tb=rb;else{sb=i+11|0;hb=b[sb>>0]|0;nb=i+4|0;do if(((hb<<24>>24<0?f[nb>>2]|0:hb&255)|0)==11){if(knc(i,0,-1,404915,11)|0)break;jb=c+8|0;f[jb>>2]=f[jb>>2]|8192;jb=c+212|0;qb=f[jb>>2]|0;if(!qb){lb=Bmc(64)|0;ZVa(lb);f[jb>>2]=lb;ub=lb}else ub=qb;qb=f[g+180>>2]|0;lb=ub+8|0;f[lb>>2]=f[lb>>2]|1024;f[ub+52>>2]=qb;tb=rb;break t}while(0);VDa(e,404190,404148,564,483531,0,1);hb=e+21|0;qb=e+32|0;while(1){if(!(b[hb>>0]|0))break;lb=ZQ(qb,405253,50)|0;jb=b[sb>>0]|0;gb=jb<<24>>24<0;ZQ(lb,gb?f[i>>2]|0:i,gb?f[nb>>2]|0:jb&255)|0;WDa(e)}$Q(e+24|0);tb=0}while(0);u:do if(!(f[pb>>2]&2))vb=tb;else{rb=i+11|0;ub=b[rb>>0]|0;nb=i+4|0;do if(((ub<<24>>24<0?f[nb>>2]|0:ub&255)|0)==11){if(knc(i,0,-1,404915,11)|0)break;sb=c+8|0;f[sb>>2]=f[sb>>2]|8192;sb=c+212|0;qb=f[sb>>2]|0;if(!qb){hb=Bmc(64)|0;ZVa(hb);f[sb>>2]=hb;wb=hb}else wb=qb;qb=f[g+184>>2]|0;hb=wb+8|0;f[hb>>2]=f[hb>>2]|2048;f[wb+56>>2]=qb;vb=tb;break u}while(0);VDa(e,404190,404148,574,483531,0,1);ub=e+21|0;qb=e+32|0;while(1){if(!(b[ub>>0]|0))break;hb=ZQ(qb,405304,50)|0;sb=b[rb>>0]|0;jb=sb<<24>>24<0;ZQ(hb,jb?f[i>>2]|0:i,jb?f[nb>>2]|0:sb&255)|0;WDa(e)}$Q(e+24|0);vb=0}while(0);v:do if(!(f[pb>>2]&4))xb=vb;else{tb=i+11|0;wb=b[tb>>0]|0;nb=i+4|0;do if(((wb<<24>>24<0?f[nb>>2]|0:wb&255)|0)==11){if(knc(i,0,-1,404915,11)|0)break;rb=c+8|0;f[rb>>2]=f[rb>>2]|8192;rb=c+212|0;qb=f[rb>>2]|0;if(!qb){ub=Bmc(64)|0;ZVa(ub);f[rb>>2]=ub;yb=ub}else yb=qb;qb=f[g+188>>2]|0;ub=yb+8|0;f[ub>>2]=f[ub>>2]|4096;f[yb+60>>2]=qb;xb=vb;break v}while(0);VDa(e,404190,404148,584,483531,0,1);wb=e+21|0;qb=e+32|0;while(1){if(!(b[wb>>0]|0))break;ub=ZQ(qb,405355,49)|0;rb=b[tb>>0]|0;sb=rb<<24>>24<0;ZQ(ub,sb?f[i>>2]|0:i,sb?f[nb>>2]|0:rb&255)|0;WDa(e)}$Q(e+24|0);xb=0}while(0);w:do if(!(f[h>>2]&262144))zb=xb;else{vb=i+11|0;yb=b[vb>>0]|0;pb=i+4|0;do if(((yb<<24>>24<0?f[pb>>2]|0:yb&255)|0)==11){if(knc(i,0,-1,404915,11)|0)break;nb=c+8|0;f[nb>>2]=f[nb>>2]|8192;nb=c+212|0;tb=f[nb>>2]|0;if(!tb){qb=Bmc(64)|0;ZVa(qb);f[nb>>2]=qb;Ab=qb}else Ab=tb;tb=f[g+124>>2]|0;qb=Ab+8|0;f[qb>>2]=f[qb>>2]|256;f[Ab+44>>2]=tb;zb=xb;break w}while(0);VDa(e,404190,404148,594,483531,0,1);yb=e+21|0;tb=e+32|0;while(1){if(!(b[yb>>0]|0))break;qb=ZQ(tb,405405,49)|0;nb=b[vb>>0]|0;wb=nb<<24>>24<0;ZQ(qb,wb?f[i>>2]|0:i,wb?f[pb>>2]|0:nb&255)|0;WDa(e)}$Q(e+24|0);zb=0}while(0);x:do if(!(f[h>>2]&16))Bb=zb;else{xb=i+11|0;Ab=b[xb>>0]|0;pb=i+4|0;do if(((Ab<<24>>24<0?f[pb>>2]|0:Ab&255)|0)==11){if(knc(i,0,-1,404915,11)|0)break;vb=c+8|0;f[vb>>2]=f[vb>>2]|8192;vb=c+212|0;tb=f[vb>>2]|0;if(!tb){yb=Bmc(64)|0;ZVa(yb);f[vb>>2]=yb;Cb=yb}else Cb=tb;tb=f[g+72>>2]|0;yb=Cb+8|0;f[yb>>2]=f[yb>>2]|4;yb=Cb+24|0;vb=f[yb>>2]|0;if((vb|0)==533488){aFa(yb,tb);Bb=zb;break x}else{Qmc(vb,tb)|0;Bb=zb;break x}}while(0);VDa(e,404190,404148,604,483531,0,1);Ab=e+21|0;tb=e+32|0;while(1){if(!(b[Ab>>0]|0))break;vb=ZQ(tb,405455,47)|0;yb=b[xb>>0]|0;nb=yb<<24>>24<0;ZQ(vb,nb?f[i>>2]|0:i,nb?f[pb>>2]|0:yb&255)|0;WDa(e)}$Q(e+24|0);Bb=0}while(0);y:do if(!(f[h>>2]&128))Db=Bb;else{zb=i+11|0;Cb=b[zb>>0]|0;pb=i+4|0;do if(((Cb<<24>>24<0?f[pb>>2]|0:Cb&255)|0)==11){if(knc(i,0,-1,405503,11)|0)break;xb=c+8|0;f[xb>>2]=f[xb>>2]|128;xb=c+188|0;tb=f[xb>>2]|0;if(!tb){Ab=Bmc(20)|0;FUa(Ab);f[xb>>2]=Ab;Eb=Ab}else Eb=tb;tb=f[g+84>>2]|0;heb(Eb,tb|0?tb:531832);Db=Bb;break y}while(0);VDa(e,404190,404148,614,483531,0,1);Cb=e+21|0;tb=e+32|0;while(1){if(!(b[Cb>>0]|0))break;Ab=ZQ(tb,405515,51)|0;xb=b[zb>>0]|0;yb=xb<<24>>24<0;ZQ(Ab,yb?f[i>>2]|0:i,yb?f[pb>>2]|0:xb&255)|0;WDa(e)}$Q(e+24|0);Db=0}while(0);l=(Db&1)!=0;u=d;return l|0}function dFa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;b=a+12|0;c=f[b>>2]|0;do if(!c){d=f[a+8>>2]|0;e=6}else{g=a+4|0;h=f[g>>2]|0;i=f[c>>2]|0;if((h|0)>=(i|0))if((i|0)==(f[a+8>>2]|0)){d=i;e=6;break}else{j=i;k=c;break}f[g>>2]=h+1;l=f[c+4+(h<<2)>>2]|0;return l|0}while(0);if((e|0)==6){uDb(a,d+1|0);d=f[b>>2]|0;j=f[d>>2]|0;k=d}f[k>>2]=j+1;j=f[a>>2]|0;if(!j){d=Bmc(12)|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;m=d;n=k}else{if(f[j+64>>2]|0)pBb(j,9552,16);k=oBb(j,16,1630)|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;m=k;n=f[b>>2]|0}b=a+4|0;a=f[b>>2]|0;f[b>>2]=a+1;f[n+4+(a<<2)>>2]=m;l=m;return l|0}function eFa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+4|0;d=f[c>>2]|0;if((d|0)>=(b|0))return;e=a+8|0;g=f[e>>2]|0;h=(g|0)==0;if(h)i=0;else i=f[g>>2]|0;j=d<<1;d=(j|0)<(b|0)?b:j;j=(d|0)>4?d:4;d=j<<2;if(!i)k=Bmc(d+4|0)|0;else{b=d+11&-8;if(f[i+64>>2]|0)pBb(i,26896,b);k=nBb(i,b)|0}f[e>>2]=k;f[k>>2]=i;f[c>>2]=j;j=f[a>>2]|0;if((j|0)>0)Krc(k+4|0,g+4|0,j<<2|0)|0;if(h)return;if(f[g>>2]|0)return;Emc(g);return}function fFa(a,b,c){a=a|0;b=b|0;c=c|0;SQ(-215,a,b,404190,c);return}function gFa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;c=u;u=u+176|0;d=c;e=a+11|0;g=b[e>>0]|0;h=a+4|0;i=f[h>>2]|0;do if(((g<<24>>24<0?i:g&255)|0)==8)if(!(knc(a,0,-1,405567,8)|0)){j=1;u=c;return j|0}else{k=b[e>>0]|0;l=f[h>>2]|0;break}else{k=g;l=i}while(0);do if(((k<<24>>24<0?l:k&255)|0)==4)if(!(knc(a,0,-1,405576,4)|0)){j=2;u=c;return j|0}else{m=b[e>>0]|0;n=f[h>>2]|0;break}else{m=k;n=l}while(0);do if(((m<<24>>24<0?n:m&255)|0)==6)if(!(knc(a,0,-1,405201,6)|0)){j=3;u=c;return j|0}else{o=b[e>>0]|0;p=f[h>>2]|0;break}else{o=m;p=n}while(0);do if(((o<<24>>24<0?p:o&255)|0)==4)if(!(knc(a,0,-1,404172,4)|0)){j=4;u=c;return j|0}else{q=b[e>>0]|0;r=f[h>>2]|0;break}else{q=o;r=p}while(0);do if(((q<<24>>24<0?r:q&255)|0)==4)if(!(knc(a,0,-1,404893,4)|0)){j=5;u=c;return j|0}else{s=b[e>>0]|0;t=f[h>>2]|0;break}else{s=q;t=r}while(0);do if(((s<<24>>24<0?t:s&255)|0)==7)if(!(knc(a,0,-1,404673,7)|0)){j=6;u=c;return j|0}else{v=b[e>>0]|0;w=f[h>>2]|0;break}else{v=s;w=t}while(0);do if(((v<<24>>24<0?w:v&255)|0)==14)if(!(knc(a,0,-1,405581,14)|0)){j=7;u=c;return j|0}else{x=b[e>>0]|0;y=f[h>>2]|0;break}else{x=v;y=w}while(0);do if(((x<<24>>24<0?y:x&255)|0)==7)if(!(knc(a,0,-1,405596,7)|0)){j=8;u=c;return j|0}else{z=b[e>>0]|0;A=f[h>>2]|0;break}else{z=x;A=y}while(0);do if(((z<<24>>24<0?A:z&255)|0)==9)if(!(knc(a,0,-1,404898,9)|0)){j=9;u=c;return j|0}else{B=b[e>>0]|0;C=f[h>>2]|0;break}else{B=z;C=A}while(0);do if(((B<<24>>24<0?C:B&255)|0)==11)if(!(knc(a,0,-1,405503,11)|0)){j=10;u=c;return j|0}else{D=b[e>>0]|0;E=f[h>>2]|0;break}else{D=B;E=C}while(0);do if(((D<<24>>24<0?E:D&255)|0)==6)if(!(knc(a,0,-1,405604,6)|0)){j=11;u=c;return j|0}else{F=b[e>>0]|0;G=f[h>>2]|0;break}else{F=D;G=E}while(0);do if(((F<<24>>24<0?G:F&255)|0)==6)if(!(knc(a,0,-1,404908,6)|0)){j=12;u=c;return j|0}else{H=b[e>>0]|0;I=f[h>>2]|0;break}else{H=F;I=G}while(0);do if(((H<<24>>24<0?I:H&255)|0)==13)if(!(knc(a,0,-1,404927,13)|0)){j=13;u=c;return j|0}else{J=b[e>>0]|0;K=f[h>>2]|0;break}else{J=H;K=I}while(0);do if(((J<<24>>24<0?K:J&255)|0)==12)if(!(knc(a,0,-1,404177,12)|0)){j=14;u=c;return j|0}else{L=b[e>>0]|0;M=f[h>>2]|0;break}else{L=J;M=K}while(0);do if(((L<<24>>24<0?M:L&255)|0)==3)if(!(knc(a,0,-1,404729,3)|0)){j=15;u=c;return j|0}else{N=b[e>>0]|0;O=f[h>>2]|0;break}else{N=L;O=M}while(0);do if(((N<<24>>24<0?O:N&255)|0)==25)if(!(knc(a,0,-1,405611,25)|0)){j=16;u=c;return j|0}else{P=b[e>>0]|0;Q=f[h>>2]|0;break}else{P=N;Q=O}while(0);do if(((P<<24>>24<0?Q:P&255)|0)==4)if(!(knc(a,0,-1,404444,4)|0)){j=17;u=c;return j|0}else{R=b[e>>0]|0;S=f[h>>2]|0;break}else{R=P;S=Q}while(0);do if(((R<<24>>24<0?S:R&255)|0)==4)if(!(knc(a,0,-1,405637,4)|0)){j=18;u=c;return j|0}else{T=b[e>>0]|0;U=f[h>>2]|0;break}else{T=R;U=S}while(0);do if(((T<<24>>24<0?U:T&255)|0)==7)if(!(knc(a,0,-1,405642,7)|0)){j=19;u=c;return j|0}else{V=b[e>>0]|0;W=f[h>>2]|0;break}else{V=T;W=U}while(0);do if(((V<<24>>24<0?W:V&255)|0)==7)if(!(knc(a,0,-1,464524,7)|0)){j=20;u=c;return j|0}else{X=b[e>>0]|0;Y=f[h>>2]|0;break}else{X=V;Y=W}while(0);do if(((X<<24>>24<0?Y:X&255)|0)==12)if(!(knc(a,0,-1,405650,12)|0)){j=21;u=c;return j|0}else{Z=b[e>>0]|0;_=f[h>>2]|0;break}else{Z=X;_=Y}while(0);do if(((Z<<24>>24<0?_:Z&255)|0)==5)if(!(knc(a,0,-1,405663,5)|0)){j=22;u=c;return j|0}else{$=b[e>>0]|0;aa=f[h>>2]|0;break}else{$=Z;aa=_}while(0);do if((($<<24>>24<0?aa:$&255)|0)==4)if(!(knc(a,0,-1,458626,4)|0)){j=23;u=c;return j|0}else{ba=b[e>>0]|0;ca=f[h>>2]|0;break}else{ba=$;ca=aa}while(0);do if(((ba<<24>>24<0?ca:ba&255)|0)==11){if(!(knc(a,0,-1,404915,11)|0))j=24;else break;u=c;return j|0}while(0);VDa(d,404190,405669,673,483143,0,1);ba=d+21|0;ca=d+32|0;while(1){if(!(b[ba>>0]|0))break;aa=ZQ(ca,405688,20)|0;$=b[e>>0]|0;_=$<<24>>24<0;ZQ(aa,_?f[a>>2]|0:a,_?f[h>>2]|0:$&255)|0;WDa(d)}$Q(d+24|0);j=0;u=c;return j|0}function hFa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=u;u=u+16|0;d=c;f[d>>2]=f[b>>2];e=d+4|0;f[e>>2]=0;g=d+8|0;f[g>>2]=0;h=d+12|0;f[h>>2]=0;jFa(d,a);i=a+4|0;j=f[i>>2]|0;if((j|0)>0){k=f[a+12>>2]|0;l=0;do{m=f[k+4+(l<<2)>>2]|0;l=l+1|0;ai[f[(f[m>>2]|0)+28>>2]&2047](m)}while((l|0)!=(j|0));f[i>>2]=0}jFa(a,b);a=b+4|0;i=f[a>>2]|0;j=b+12|0;if((i|0)>0){l=f[j>>2]|0;k=0;do{m=f[l+4+(k<<2)>>2]|0;k=k+1|0;ai[f[(f[m>>2]|0)+28>>2]&2047](m)}while((k|0)!=(i|0));f[a>>2]=0;n=0}else n=i;i=f[j>>2]|0;f[j>>2]=f[h>>2];f[h>>2]=i;f[a>>2]=f[e>>2];f[e>>2]=n;n=b+8|0;b=f[n>>2]|0;f[n>>2]=f[g>>2];f[g>>2]=b;b=i;if(!((i|0)!=0&(f[d>>2]|0)==0)){u=c;return}d=i;i=f[b>>2]|0;if((i|0)>0){g=0;do{n=f[b+4+(g<<2)>>2]|0;if(n|0)ai[f[(f[n>>2]|0)+4>>2]&2047](n);g=g+1|0}while((g|0)!=(i|0));o=f[h>>2]|0}else o=d;Emc(o);u=c;return}function iFa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+4|0;d=f[c>>2]|0;if((d|0)>=(b|0))return;e=a+8|0;g=f[e>>2]|0;h=(g|0)==0;if(h)i=0;else i=f[g>>2]|0;j=d<<1;d=(j|0)<(b|0)?b:j;j=(d|0)>4?d:4;d=j<<2;if(!i)k=Bmc(d+4|0)|0;else{b=d+11&-8;if(f[i+64>>2]|0)pBb(i,26896,b);k=nBb(i,b)|0}f[e>>2]=k;f[k>>2]=i;f[c>>2]=j;j=f[a>>2]|0;if((j|0)>0)Krc(k+4|0,g+4|0,j<<2|0)|0;if(h)return;if(f[g>>2]|0)return;Emc(g);return}function jFa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{kFa(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(108)|0;XUa(l);kFa(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,19416,112);l=oBb(i,112,1636)|0;XUa(l);kFa(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function kFa(a,b){a=a|0;b=b|0;lVa(b,a);return}function lFa(a){a=a|0;ai[f[f[a>>2]>>2]&2047](a);return}function mFa(a){a=a|0;ai[f[f[a>>2]>>2]&2047](a);return}function nFa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=u;u=u+16|0;d=c;e=qFa(a,d,b)|0;g=f[e>>2]|0;if(g|0){h=g;i=h+28|0;u=c;return i|0}g=Bmc(32)|0;Nmc(g+16|0,b);f[g+28>>2]=0;b=f[d>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=b;f[e>>2]=g;b=f[f[a>>2]>>2]|0;if(!b)j=g;else{f[a>>2]=b;j=f[e>>2]|0}RS(f[a+4>>2]|0,j);j=a+8|0;f[j>>2]=(f[j>>2]|0)+1;h=g;i=h+28|0;u=c;return i|0}function oFa(a,c){a=a|0;c=c|0;if(!c)return;oFa(a,f[c>>2]|0);oFa(a,f[c+4>>2]|0);a=c+16|0;if((b[a+11>>0]|0)<0)Emc(f[a>>2]|0);Emc(c);return}function pFa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=a+4|0;a=f[d>>2]|0;do if(a|0){e=b[c+11>>0]|0;g=e<<24>>24<0;h=g?f[c+4>>2]|0:e&255;e=g?f[c>>2]|0:c;g=d;i=a;a:while(1){j=i;while(1){k=j+16|0;l=b[k+11>>0]|0;m=l<<24>>24<0;n=m?f[j+20>>2]|0:l&255;l=h>>>0<n>>>0?h:n;if((l|0)!=0?(o=gac(m?f[k>>2]|0:k,e,l)|0,(o|0)!=0):0){if((o|0)>=0)break}else p=6;if((p|0)==6?(p=0,n>>>0>=h>>>0):0)break;n=f[j+4>>2]|0;if(!n){q=g;break a}else j=n}i=f[j>>2]|0;if(!i){q=j;break}else g=j}if((q|0)!=(d|0)){g=q+16|0;i=b[g+11>>0]|0;n=i<<24>>24<0;o=n?f[q+20>>2]|0:i&255;i=o>>>0<h>>>0?o:h;if(i|0?(l=gac(e,n?f[g>>2]|0:g,i)|0,l|0):0){if((l|0)<0)break;else r=q;return r|0}if(h>>>0>=o>>>0){r=q;return r|0}}}while(0);r=d;return r|0}function qFa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=a+4|0;g=f[e>>2]|0;if(!g){f[c>>2]=e;h=e;return h|0}e=b[d+11>>0]|0;i=e<<24>>24<0;j=i?f[d+4>>2]|0:e&255;e=i?f[d>>2]|0:d;d=a+4|0;a=g;while(1){g=a+16|0;i=b[g+11>>0]|0;k=i<<24>>24<0;l=k?f[a+20>>2]|0:i&255;i=l>>>0<j>>>0;m=i?l:j;if((m|0)!=0?(n=gac(e,k?f[g>>2]|0:g,m)|0,(n|0)!=0):0)if((n|0)<0)o=8;else o=10;else if(j>>>0<l>>>0)o=8;else o=10;if((o|0)==8){o=0;n=f[a>>2]|0;if(!n){o=9;break}else{p=a;q=n}}else if((o|0)==10){o=0;n=j>>>0<l>>>0?j:l;if((n|0)!=0?(l=gac(k?f[g>>2]|0:g,e,n)|0,(l|0)!=0):0){if((l|0)>=0){o=16;break}}else o=12;if((o|0)==12?(o=0,!i):0){o=16;break}r=a+4|0;i=f[r>>2]|0;if(!i){o=15;break}else{p=r;q=i}}d=p;a=q}if((o|0)==9){f[c>>2]=a;h=a;return h|0}else if((o|0)==15){f[c>>2]=a;h=r;return h|0}else if((o|0)==16){f[c>>2]=a;h=d;return h|0}return 0}function rFa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;b=u;u=u+64|0;c=b;d=a+20|0;if((f[d>>2]|0)<=0){e=0;u=b;return e|0}g=a+28|0;a=c+8|0;h=c+8|0;i=c+8|0;j=0;while(1){k=f[(f[g>>2]|0)+4+(j<<2)>>2]|0;l=f[k+288>>2]|0;if((l|0)==5){m=f[k+176>>2]|0;Tdb(c,m|0?m:531392);m=f[a>>2]|0;if(!(m&258))n=m&8|0?1:m>>>5&1;else n=1;p2a(c);if(n|0){e=1;o=18;break}m=f[(f[g>>2]|0)+4+(j<<2)>>2]|0;p=f[m+288>>2]|0;q=m}else{p=l;q=k}if((p|0)==12){k=f[q+192>>2]|0;Udb(c,k|0?k:531880);k=f[h>>2]|0;if(!(k&1026))r=k&8|0?1:k>>>6&1;else r=1;u1a(c);if(r|0){e=1;o=18;break}k=f[(f[g>>2]|0)+4+(j<<2)>>2]|0;s=f[k+288>>2]|0;t=k}else{s=p;t=q}if((s|0)==24){k=f[t+212>>2]|0;Vdb(c,k|0?k:532648);k=f[i>>2]|0;if(!(k&514))v=k&32|0?1:k>>>6&1;else v=1;V$a(c);if(v|0){e=1;o=18;break}}j=j+1|0;if((j|0)>=(f[d>>2]|0)){e=0;o=18;break}}if((o|0)==18){u=b;return e|0}return 0}function sFa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;c=a+20|0;if((f[c>>2]|0)<=0)return;d=a+28|0;a=0;do{e=f[(f[d>>2]|0)+4+(a<<2)>>2]|0;if((f[e+288>>2]|0)==5){g=e+8|0;h=f[g>>2]|16;f[g>>2]=h;g=e+176|0;i=f[g>>2]|0;if(!i){j=Bmc(52)|0;LVa(j);f[g>>2]=j;g=f[(f[d>>2]|0)+4+(a<<2)>>2]|0;k=g;l=f[g+8>>2]|0;m=j}else{k=e;l=h;m=i}f[k+8>>2]=l|33554432;i=k+260|0;h=f[i>>2]|0;if(!h){e=Bmc(44)|0;nWa(e);f[i>>2]=e;o=e}else o=h;h=m+8|0;e=f[h>>2]|0;if(!(e&256))p=e;else{e=m+44|0;i=f[e>>2]|0;j=o+8|0;f[j>>2]=f[j>>2]|32;f[o+40>>2]=i;n[e>>2]=1.0;e=f[h>>2]&-257;f[h>>2]=e;p=e}if(!(p&2))q=p;else{e=m+20|0;i=f[e>>2]|0;j=o+8|0;f[j>>2]=f[j>>2]|1;j=o+28|0;g=f[j>>2]|0;if((g|0)==535416)aFa(j,i);else Qmc(g,i)|0;i=f[e>>2]|0;do if((i|0)!=535416){e=i+11|0;if((b[e>>0]|0)<0){b[f[i>>2]>>0]=0;f[i+4>>2]=0;break}else{b[i>>0]=0;b[e>>0]=0;break}}while(0);i=f[h>>2]&-3;f[h>>2]=i;q=i}if(!(q&8))r=q;else{i=m+28|0;e=f[i>>2]|0;g=o+8|0;f[g>>2]=f[g>>2]|2;f[o+32>>2]=e;f[i>>2]=0;i=f[h>>2]&-9;f[h>>2]=i;r=i}if(r&32|0){i=m+36|0;e=b[i>>0]|0;g=o+8|0;f[g>>2]=f[g>>2]|4;b[o+36>>0]=e;b[i>>0]=0;f[h>>2]=f[h>>2]&-33}}i=f[(f[d>>2]|0)+4+(a<<2)>>2]|0;if((f[i+288>>2]|0)==12){e=i+8|0;g=f[e>>2]|256;f[e>>2]=g;e=i+192|0;j=f[e>>2]|0;if(!j){s=Bmc(60)|0;QVa(s);f[e>>2]=s;e=f[(f[d>>2]|0)+4+(a<<2)>>2]|0;t=s;u=e;v=f[e+8>>2]|0}else{t=j;u=i;v=g}f[u+8>>2]=v|33554432;g=u+260|0;i=f[g>>2]|0;if(!i){j=Bmc(44)|0;nWa(j);f[g>>2]=j;w=j}else w=i;i=t+8|0;j=f[i>>2]|0;if(!(j&1024))x=j;else{j=t+52|0;g=f[j>>2]|0;e=w+8|0;f[e>>2]=f[e>>2]|32;f[w+40>>2]=g;n[j>>2]=1.0;j=f[i>>2]&-1025;f[i>>2]=j;x=j}if(!(x&2))y=x;else{j=t+20|0;g=f[j>>2]|0;e=w+8|0;f[e>>2]=f[e>>2]|1;e=w+28|0;s=f[e>>2]|0;if((s|0)==535416)aFa(e,g);else Qmc(s,g)|0;g=f[j>>2]|0;do if((g|0)!=535416){j=g+11|0;if((b[j>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[j>>0]=0;break}}while(0);g=f[i>>2]&-3;f[i>>2]=g;y=g}if(!(y&8))z=y;else{g=t+28|0;h=f[g>>2]|0;j=w+8|0;f[j>>2]=f[j>>2]|2;f[w+32>>2]=h;f[g>>2]=0;g=f[i>>2]&-9;f[i>>2]=g;z=g}if(z&64|0){g=t+37|0;h=b[g>>0]|0;j=w+8|0;f[j>>2]=f[j>>2]|4;b[w+36>>0]=h;b[g>>0]=0;f[i>>2]=f[i>>2]&-65}}g=f[(f[d>>2]|0)+4+(a<<2)>>2]|0;if((f[g+288>>2]|0)==24){h=g+8|0;j=f[h>>2]|8192;f[h>>2]=j;h=g+212|0;s=f[h>>2]|0;if(!s){e=Bmc(64)|0;ZVa(e);f[h>>2]=e;h=f[(f[d>>2]|0)+4+(a<<2)>>2]|0;A=h;B=f[h+8>>2]|0;C=e}else{A=g;B=j;C=s}f[A+8>>2]=B|33554432;s=A+260|0;j=f[s>>2]|0;if(!j){g=Bmc(44)|0;nWa(g);f[s>>2]=g;D=g}else D=j;j=C+8|0;g=f[j>>2]|0;if(!(g&512))E=g;else{g=C+48|0;s=f[g>>2]|0;e=D+8|0;f[e>>2]=f[e>>2]|32;f[D+40>>2]=s;n[g>>2]=1.0;g=f[j>>2]&-513;f[j>>2]=g;E=g}if(!(E&2))F=E;else{g=C+20|0;s=f[g>>2]|0;e=D+8|0;f[e>>2]=f[e>>2]|1;e=D+28|0;h=f[e>>2]|0;if((h|0)==535416)aFa(e,s);else Qmc(h,s)|0;s=f[g>>2]|0;do if((s|0)!=535416){g=s+11|0;if((b[g>>0]|0)<0){b[f[s>>2]>>0]=0;f[s+4>>2]=0;break}else{b[s>>0]=0;b[g>>0]=0;break}}while(0);s=f[j>>2]&-3;f[j>>2]=s;F=s}if(!(F&32))G=F;else{s=C+36|0;i=f[s>>2]|0;g=D+8|0;f[g>>2]=f[g>>2]|2;f[D+32>>2]=i;f[s>>2]=0;s=f[j>>2]&-33;f[j>>2]=s;G=s}if(G&64|0){s=C+40|0;i=b[s>>0]|0;g=D+8|0;f[g>>2]=f[g>>2]|4;b[D+36>>0]=i;b[s>>0]=0;f[j>>2]=f[j>>2]&-65}}a=a+1|0}while((a|0)<(f[c>>2]|0));return}function tFa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=u;u=u+336|0;e=d+168|0;g=d;h=c+20|0;i=f[h>>2]|0;a:do if((i|0)>0){j=f[c+28>>2]|0;k=0;while(1){if(f[(f[j+4+(k<<2)>>2]|0)+8>>2]&2|0)break;k=k+1|0;if((k|0)>=(i|0)){l=1;break a}}VDa(e,404190,406122,744,483531,0,1);k=e+21|0;j=e+32|0;m=a+11|0;n=a+4|0;while(1){if(!(b[k>>0]|0))break;o=ZQ(ZQ(j,406141,60)|0,406202,18)|0;p=b[m>>0]|0;q=p<<24>>24<0;ZQ(o,q?f[a>>2]|0:a,q?f[n>>2]|0:p&255)|0;WDa(e)}$Q(e+24|0);Pdb(e,c);if(_Ea(e,c)|0){VDa(g,404190,406122,752,483130,0,1);n=g+21|0;m=g+32|0;while(1){if(!(b[n>>0]|0))break;ZQ(ZQ(m,406329,54)|0,406384,16)|0;WDa(g)}$Q(g+24|0);r=1}else{VDa(g,404190,406122,749,483531,0,1);m=g+21|0;n=g+32|0;while(1){if(!(b[m>>0]|0))break;ZQ(ZQ(n,406221,44)|0,406266,62)|0;WDa(g)}$Q(g+24|0);r=0}VDa(g,404190,406122,755,483531,0,1);n=g+21|0;m=g+32|0;while(1){if(!(b[n>>0]|0))break;ZQ(ZQ(ZQ(ZQ(m,406401,49)|0,406451,61)|0,406513,62)|0,406576,64)|0;WDa(g)}$Q(g+24|0);Hcb(e);l=r}else l=1;while(0);if(rFa(c)|0){VDa(e,404190,406122,762,483531,0,1);r=e+21|0;g=e+32|0;i=a+11|0;m=a+4|0;while(1){if(!(b[r>>0]|0))break;n=ZQ(ZQ(g,406141,60)|0,406641,27)|0;j=b[i>>0]|0;k=j<<24>>24<0;ZQ(n,k?f[a>>2]|0:a,k?f[m>>2]|0:j&255)|0;WDa(e)}$Q(e+24|0);sFa(c);VDa(e,404190,406122,765,483130,0,1);m=e+21|0;i=e+32|0;while(1){if(!(b[m>>0]|0))break;ZQ(ZQ(i,406329,54)|0,406669,31)|0;WDa(e)}$Q(e+24|0);VDa(e,404190,406122,767,483531,0,1);i=e+21|0;m=e+32|0;while(1){if(!(b[i>>0]|0))break;ZQ(ZQ(m,406701,50)|0,406752,51)|0;WDa(e)}$Q(e+24|0)}do if((f[h>>2]|0)>0){VDa(e,404190,406122,771,483531,0,1);m=e+21|0;i=e+32|0;g=a+11|0;r=a+4|0;while(1){if(!(b[m>>0]|0))break;j=ZQ(ZQ(i,406141,60)|0,406804,18)|0;k=b[g>>0]|0;n=k<<24>>24<0;ZQ(j,n?f[a>>2]|0:a,n?f[r>>2]|0:k&255)|0;WDa(e)}$Q(e+24|0);if(uFa(c)|0){VDa(e,404190,406122,778,483130,0,1);r=e+21|0;g=e+32|0;while(1){if(!(b[r>>0]|0))break;ZQ(ZQ(g,406329,54)|0,406872,16)|0;WDa(e)}$Q(e+24|0);s=l;break}else{VDa(e,404190,406122,775,483531,0,1);g=e+21|0;r=e+32|0;while(1){if(!(b[g>>0]|0))break;ZQ(ZQ(r,406221,44)|0,406823,48)|0;WDa(e)}$Q(e+24|0);s=0;break}}else s=l;while(0);l=c+80|0;if((f[l>>2]|0)<=0){u=d;return s|0}h=c+88|0;r=0;while(1){g=f[(f[(f[h>>2]|0)+4+(r<<2)>>2]|0)+140>>2]|0;i=b[g+11>>0]|0;if((((i<<24>>24<0?f[g+4>>2]|0:i&255)|0)==9?(knc(g,0,-1,444021,9)|0)==0:0)?(f[(f[(f[h>>2]|0)+4+(r<<2)>>2]|0)+64>>2]|0)==3:0)break;r=r+1|0;if((r|0)>=(f[l>>2]|0)){t=58;break}}if((t|0)==58){u=d;return s|0}VDa(e,404190,406122,784,483130,0,1);t=e+21|0;l=e+32|0;r=a+11|0;h=a+4|0;while(1){if(!(b[t>>0]|0))break;g=ZQ(ZQ(l,406889,57)|0,406947,8)|0;i=b[r>>0]|0;m=i<<24>>24<0;ZQ(g,m?f[a>>2]|0:a,m?f[h>>2]|0:i&255)|0;WDa(e)}$Q(e+24|0);vFa(c);VDa(e,404190,406122,787,483130,0,1);c=e+21|0;h=e+32|0;while(1){if(!(b[c>>0]|0))break;ZQ(ZQ(h,406956,57)|0,407014,7)|0;WDa(e)}$Q(e+24|0);u=d;return s|0}function uFa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;c=u;u=u+176|0;d=c;if(!a){f[d>>2]=0;f[d+4>>2]=0;e=YG(d,17)|0;g=407022;h=e+17|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));fFa(d,407040,795)}g=a+80|0;if((f[g>>2]|0)>0){VDa(d,404190,407040,798,483531,0,1);e=d+21|0;h=d+32|0;while(1){if(!(b[e>>0]|0))break;ZQ(ZQ(h,407053,60)|0,407114,46)|0;WDa(d)}$Q(d+24|0);h=f[g>>2]|0;if((h|0)>0){e=f[a+88>>2]|0;i=0;do{j=f[e+4+(i<<2)>>2]|0;i=i+1|0;ai[f[(f[j>>2]|0)+28>>2]&2047](j)}while((i|0)!=(h|0));f[g>>2]=0;k=0}else k=0}else k=1;h=a+20|0;if((f[h>>2]|0)<=0){l=k;u=c;return l|0}i=a+28|0;e=a+76|0;j=a+88|0;m=a+84|0;n=d+21|0;o=d+32|0;p=d+24|0;q=0;r=k;while(1){k=f[(f[i>>2]|0)+4+(q<<2)>>2]|0;s=f[j>>2]|0;do if(s){t=f[g>>2]|0;v=f[s>>2]|0;if((t|0)>=(v|0))if((v|0)==(f[m>>2]|0)){w=v;x=23;break}else{y=v;z=s;x=24;break}else{f[g>>2]=t+1;A=f[s+4+(t<<2)>>2]|0;break}}else{w=f[m>>2]|0;x=23}while(0);if((x|0)==23){x=0;uDb(e,w+1|0);s=f[j>>2]|0;y=f[s>>2]|0;z=s;x=24}if((x|0)==24){x=0;f[z>>2]=y+1;s=f[e>>2]|0;if(!s){t=Bmc(368)|0;zbb(t);B=t}else{if(f[s+64>>2]|0)pBb(s,20216,368);t=oBb(s,368,1637)|0;zbb(t);B=t}t=f[j>>2]|0;s=f[g>>2]|0;f[g>>2]=s+1;f[t+4+(s<<2)>>2]=B;A=B}if(xFa(k,A)|0)C=r;else{VDa(d,404190,407040,806,483531,0,1);while(1){if(!(b[n>>0]|0))break;ZQ(_cc(ZQ(o,407161,23)|0,q)|0,407185,8)|0;WDa(d)}$Q(p);C=0}q=q+1|0;D=f[h>>2]|0;if((q|0)>=(D|0))break;else r=C}if((D|0)<=0){l=C;u=c;return l|0}r=f[a+28>>2]|0;a=0;do{q=f[r+4+(a<<2)>>2]|0;a=a+1|0;ai[f[(f[q>>2]|0)+28>>2]&2047](q)}while((a|0)!=(D|0));f[h>>2]=0;l=C;u=c;return l|0}function vFa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=a+80|0;if((f[c>>2]|0)<=0)return;d=a+88|0;a=0;do{e=f[(f[(f[d>>2]|0)+4+(a<<2)>>2]|0)+140>>2]|0;g=b[e+11>>0]|0;if((((g<<24>>24<0?f[e+4>>2]|0:g&255)|0)==9?(knc(e,0,-1,444021,9)|0)==0:0)?(e=f[(f[d>>2]|0)+4+(a<<2)>>2]|0,g=e+64|0,(f[g>>2]|0)==3):0){h=f[e+72>>2]|0;e=f[h+4>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e);e=f[h+8>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e);e=f[h+12>>2]|0;ai[f[(f[e>>2]|0)+28>>2]&2047](e);f[g>>2]=0}a=a+1|0}while((a|0)<(f[c>>2]|0));return}function wFa(a){a=a|0;ai[f[f[a>>2]>>2]&2047](a);return}function xFa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0;d=u;u=u+176|0;e=d;if(!a){f[e>>2]=0;f[e+4>>2]=0;g=YG(e,23)|0;h=407194;i=g+23|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));fFa(e,407218,839)}ai[f[(f[c>>2]|0)+28>>2]&2047](c);h=a+20|0;if((f[h>>2]|0)>0){g=a+28|0;i=c+16|0;j=0;do{k=f[(f[g>>2]|0)+4+(j<<2)>>2]|0;Qmc(dFa(i)|0,k)|0;j=j+1|0}while((j|0)<(f[h>>2]|0))}h=a+36|0;if((f[h>>2]|0)>0){j=a+44|0;i=c+32|0;g=0;do{k=f[(f[j>>2]|0)+4+(g<<2)>>2]|0;Qmc(dFa(i)|0,k)|0;g=g+1|0}while((g|0)<(f[h>>2]|0))}h=a+8|0;do if(f[h>>2]&1|0){g=f[a+160>>2]|0;i=c+8|0;f[i>>2]=f[i>>2]|1;i=c+136|0;j=f[i>>2]|0;if((j|0)==535416){aFa(i,g);break}else{Qmc(j,g)|0;break}}while(0);g=a+92|0;if((f[g>>2]|0)>0){j=c+92|0;i=a+100|0;k=0;do{l=yFa(j)|0;Sdb(l,f[(f[i>>2]|0)+4+(k<<2)>>2]|0);k=k+1|0}while((k|0)<(f[g>>2]|0))}g=a+108|0;if((f[g>>2]|0)>0){k=c+108|0;i=a+116|0;j=0;do{l=yFa(k)|0;Sdb(l,f[(f[i>>2]|0)+4+(j<<2)>>2]|0);j=j+1|0}while((j|0)<(f[g>>2]|0))}if(f[a+12>>2]&1|0)AFa(c,zFa(f[a+288>>2]|0)|0);g=c+76|0;j=a+48|0;do if((g|0)!=(j|0))if((f[j>>2]|0)==(f[g>>2]|0)){i=c+88|0;k=a+60|0;l=f[i>>2]|0;f[i>>2]=f[k>>2];f[k>>2]=l;l=c+80|0;k=a+52|0;i=f[l>>2]|0;f[l>>2]=f[k>>2];f[k>>2]=i;i=c+84|0;k=a+56|0;l=f[i>>2]|0;f[i>>2]=f[k>>2];f[k>>2]=l;break}else{hFa(g,j);break}while(0);j=a+136|0;if((f[j>>2]|0)>0){g=c+64|0;l=c+72|0;k=a+144|0;i=0;do{if((f[g>>2]|0)<=(i|0))do BFa(c)|0;while((f[g>>2]|0)<=(i|0));m=f[(f[l>>2]|0)+4+(i<<2)>>2]|0;n=f[(f[k>>2]|0)+4+(i<<2)>>2]|0;o=m+8|0;f[o>>2]=f[o>>2]|1;o=m+16|0;m=f[o>>2]|0;if((m|0)==535416)aFa(o,n);else Qmc(m,n)|0;i=i+1|0}while((i|0)<(f[j>>2]|0))}j=a+148|0;if((f[j>>2]|0)>0){i=c+64|0;k=a+156|0;l=c+72|0;g=e+21|0;n=e+32|0;m=e+24|0;o=0;p=0;while(1){if((f[i>>2]|0)<=(o|0))do BFa(c)|0;while((f[i>>2]|0)<=(o|0));q=f[(f[k>>2]|0)+4+(o<<2)>>2]|0;if(q>>>0<2)r=q;else{VDa(e,404190,407218,877,483143,0,1);while(1){if(!(b[g>>0]|0))break;q=ZQ(n,407242,25)|0;_cc(q,f[(f[k>>2]|0)+4+(o<<2)>>2]|0)|0;WDa(e)}$Q(m);r=p}q=f[(f[l>>2]|0)+4+(o<<2)>>2]|0;s=q+8|0;f[s>>2]=f[s>>2]|2;f[q+20>>2]=r;o=o+1|0;if((o|0)>=(f[j>>2]|0))break;else p=r}}r=a+64|0;if((f[r>>2]|0)>0){p=c+64|0;j=c+72|0;o=a+72|0;l=0;do{if((f[p>>2]|0)<=(l|0))do BFa(c)|0;while((f[p>>2]|0)<=(l|0));m=f[(f[j>>2]|0)+4+(l<<2)>>2]|0;k=f[(f[o>>2]|0)+4+(l<<2)>>2]|0;n=m+8|0;f[n>>2]=f[n>>2]|4;f[m+24>>2]=k;l=l+1|0}while((l|0)<(f[r>>2]|0))}r=a+76|0;if((f[r>>2]|0)>0){l=c+64|0;o=c+72|0;j=a+84|0;p=0;do{if((f[l>>2]|0)<=(p|0))do BFa(c)|0;while((f[l>>2]|0)<=(p|0));k=f[(f[o>>2]|0)+4+(p<<2)>>2]|0;m=f[(f[j>>2]|0)+4+(p<<2)>>2]|0;n=k+8|0;f[n>>2]=f[n>>2]|8;f[k+28>>2]=m;p=p+1|0}while((p|0)<(f[r>>2]|0))}r=a+120|0;if((f[r>>2]|0)>0){p=a+128|0;j=c+48|0;o=c+52|0;l=c+56|0;m=0;k=f[j>>2]|0;do{n=f[(f[p>>2]|0)+4+(m<<2)>>2]|0;if((k|0)==(f[o>>2]|0)){aEa(j,k+1|0);t=f[j>>2]|0}else t=k;g=f[l>>2]|0;k=t+1|0;f[j>>2]=k;f[g+4+(t<<2)>>2]=n;m=m+1|0}while((m|0)<(f[r>>2]|0))}r=f[h>>2]|0;if(!(r&1048576))v=r;else{r=c+8|0;f[r>>2]=f[r>>2]|16;r=c+152|0;m=f[r>>2]|0;if(!m){t=Bmc(28)|0;hWa(t);f[r>>2]=t;w=t}else w=m;m=f[a+240>>2]|0;Ydb(w,m|0?m:531064);v=f[h>>2]|0}if(!(v&65536))x=v;else{v=c+8|0;f[v>>2]=f[v>>2]|32;v=c+156|0;m=f[v>>2]|0;if(!m){w=Bmc(28)|0;bWa(w);f[v>>2]=w;y=w}else y=m;m=f[a+224>>2]|0;Zdb(y,m|0?m:531096);x=f[h>>2]|0}if(!(x&4))z=x;else{x=c+8|0;f[x>>2]=f[x>>2]|64;x=c+160|0;m=f[x>>2]|0;if(!m){y=Bmc(24)|0;IVa(y);f[x>>2]=y;A=y}else A=m;m=f[a+168>>2]|0;_db(A,m|0?m:531128);z=f[h>>2]|0}if(!(z&536870912))B=z;else{z=c+8|0;f[z>>2]=f[z>>2]|128;z=c+164|0;m=f[z>>2]|0;if(!m){A=Bmc(24)|0;sWa(A);f[z>>2]=A;C=A}else C=m;m=f[a+276>>2]|0;$db(C,m|0?m:531216);B=f[h>>2]|0}if(!(B&8))D=B;else{B=c+8|0;f[B>>2]=f[B>>2]|256;B=c+168|0;m=f[B>>2]|0;if(!m){C=Bmc(120)|0;JVa(C);f[B>>2]=C;E=C}else E=m;m=f[a+172>>2]|0;aeb(E,m|0?m:531240);D=f[h>>2]|0}if(!(D&16))F=D;else{D=c+8|0;f[D>>2]=f[D>>2]|512;D=c+172|0;m=f[D>>2]|0;if(!m){E=Bmc(52)|0;LVa(E);f[D>>2]=E;G=E}else G=m;m=f[a+176>>2]|0;beb(G,m|0?m:531392);F=f[h>>2]|0}if(!(F&32))H=F;else{F=c+8|0;f[F>>2]=f[F>>2]|1024;F=c+176|0;m=f[F>>2]|0;if(!m){G=Bmc(24)|0;NVa(G);f[F>>2]=G;I=G}else I=m;m=f[a+180>>2]|0;ceb(I,m|0?m:531520);H=f[h>>2]|0}if(!(H&524288))J=H;else{H=c+8|0;f[H>>2]=f[H>>2]|2048;H=c+180|0;m=f[H>>2]|0;if(!m){I=Bmc(96)|0;fWa(I);f[H>>2]=I;K=I}else K=m;m=f[a+236>>2]|0;deb(K,m|0?m:531544);J=f[h>>2]|0}if(!(J&131072))L=J;else{J=c+8|0;f[J>>2]=f[J>>2]|4096;J=c+184|0;m=f[J>>2]|0;if(!m){K=Bmc(36)|0;cWa(K);f[J>>2]=K;M=K}else M=m;m=f[a+228>>2]|0;eeb(M,m|0?m:531640);L=f[h>>2]|0}if(!(L&1073741824))N=L;else{L=c+8|0;f[L>>2]=f[L>>2]|8192;L=c+188|0;m=f[L>>2]|0;if(!m){M=Bmc(28)|0;tWa(M);f[L>>2]=M;O=M}else O=m;m=f[a+280>>2]|0;feb(O,m|0?m:531744);N=f[h>>2]|0}if(!(N&64))P=N;else{N=c+8|0;f[N>>2]=f[N>>2]|16384;N=c+192|0;m=f[N>>2]|0;if(!m){O=Bmc(28)|0;OVa(O);f[N>>2]=O;Q=O}else Q=m;m=f[a+184>>2]|0;geb(Q,m|0?m:531800);P=f[h>>2]|0}if(!(P&128))R=P;else{P=c+8|0;f[P>>2]=f[P>>2]|32768;P=c+196|0;m=f[P>>2]|0;if(!m){Q=Bmc(20)|0;FUa(Q);f[P>>2]=Q;S=Q}else S=m;m=f[a+188>>2]|0;heb(S,m|0?m:531832);R=f[h>>2]|0}if(!(R&2097152))T=R;else{R=c+8|0;f[R>>2]=f[R>>2]|65536;R=c+200|0;m=f[R>>2]|0;if(!m){S=Bmc(20)|0;iWa(S);f[R>>2]=S;U=S}else U=m;m=f[a+244>>2]|0;ieb(U,m|0?m:531856);T=f[h>>2]|0}if(!(T&256))V=T;else{T=c+8|0;f[T>>2]=f[T>>2]|131072;T=c+204|0;m=f[T>>2]|0;if(!m){U=Bmc(60)|0;QVa(U);f[T>>2]=U;W=U}else W=m;m=f[a+192>>2]|0;jeb(W,m|0?m:531880);V=f[h>>2]|0}if(!(V&512))X=V;else{V=c+8|0;f[V>>2]=f[V>>2]|262144;V=c+208|0;m=f[V>>2]|0;if(!m){W=Bmc(20)|0;SVa(W);f[V>>2]=W;Y=W}else Y=m;m=f[a+196>>2]|0;keb(Y,m|0?m:531944);X=f[h>>2]|0}if(!(X&1024))Z=X;else{X=c+8|0;f[X>>2]=f[X>>2]|524288;X=c+212|0;m=f[X>>2]|0;if(!m){Y=Bmc(36)|0;TVa(Y);f[X>>2]=Y;_=Y}else _=m;m=f[a+200>>2]|0;leb(_,m|0?m:531968);Z=f[h>>2]|0}if(!(Z&2048))$=Z;else{Z=c+8|0;f[Z>>2]=f[Z>>2]|1048576;Z=c+216|0;m=f[Z>>2]|0;if(!m){_=Bmc(40)|0;VVa(_);f[Z>>2]=_;aa=_}else aa=m;m=f[a+204>>2]|0;meb(aa,m|0?m:532072);$=f[h>>2]|0}if(!($&32768))ba=$;else{$=c+8|0;f[$>>2]=f[$>>2]|2097152;$=c+220|0;m=f[$>>2]|0;if(!m){aa=Bmc(32)|0;aWa(aa);f[$>>2]=aa;ca=aa}else ca=m;m=f[a+220>>2]|0;neb(ca,m|0?m:532112);ba=f[h>>2]|0}if(!(ba&16777216))da=ba;else{ba=c+8|0;f[ba>>2]=f[ba>>2]|4194304;ba=c+224|0;m=f[ba>>2]|0;if(!m){ca=Bmc(24)|0;mWa(ca);f[ba>>2]=ca;ea=ca}else ea=m;m=f[a+256>>2]|0;oeb(ea,m|0?m:532144);da=f[h>>2]|0}if(!(da&4096))fa=da;else{da=c+8|0;f[da>>2]=f[da>>2]|8388608;da=c+228|0;m=f[da>>2]|0;if(!m){ea=Bmc(68)|0;XVa(ea);f[da>>2]=ea;ga=ea}else ga=m;m=f[a+208>>2]|0;peb(ga,m|0?m:532192);fa=f[h>>2]|0}if(!(fa&16384))ha=fa;else{fa=c+8|0;f[fa>>2]=f[fa>>2]|16777216;fa=c+232|0;m=f[fa>>2]|0;if(!m){ga=Bmc(28)|0;$Va(ga);f[fa>>2]=ga;ia=ga}else ia=m;m=f[a+216>>2]|0;qeb(ia,m|0?m:532264);ha=f[h>>2]|0}if(!(ha&4194304))ja=ha;else{ha=c+8|0;f[ha>>2]=f[ha>>2]|33554432;ha=c+236|0;m=f[ha>>2]|0;if(!m){ia=Bmc(24)|0;jWa(ia);f[ha>>2]=ia;ka=ia}else ka=m;m=f[a+248>>2]|0;reb(ka,m|0?m:532392);ja=f[h>>2]|0}if(!(ja&134217728))la=ja;else{ja=c+8|0;f[ja>>2]=f[ja>>2]|67108864;ja=c+240|0;m=f[ja>>2]|0;if(!m){ka=Bmc(20)|0;qWa(ka);f[ja>>2]=ka;ma=ka}else ma=m;m=f[a+268>>2]|0;seb(ma,m|0?m:532488);la=f[h>>2]|0}if(!(la&268435456))na=la;else{la=c+8|0;f[la>>2]=f[la>>2]|134217728;la=c+244|0;m=f[la>>2]|0;if(!m){ma=Bmc(24)|0;rWa(ma);f[la>>2]=ma;oa=ma}else oa=m;m=f[a+272>>2]|0;ueb(oa,m|0?m:532552);na=f[h>>2]|0}if(!(na&8388608))pa=na;else{na=c+8|0;f[na>>2]=f[na>>2]|268435456;na=c+248|0;m=f[na>>2]|0;if(!m){oa=Bmc(36)|0;kWa(oa);f[na>>2]=oa;qa=oa}else qa=m;m=f[a+252>>2]|0;teb(qa,m|0?m:532512);pa=f[h>>2]|0}if(!(pa&67108864))ra=pa;else{pa=c+8|0;f[pa>>2]=f[pa>>2]|536870912;pa=c+252|0;m=f[pa>>2]|0;if(!m){qa=Bmc(20)|0;pWa(qa);f[pa>>2]=qa;sa=qa}else sa=m;m=f[a+264>>2]|0;veb(sa,m|0?m:532576);ra=f[h>>2]|0}if(!(ra&262144))ta=ra;else{ra=c+8|0;f[ra>>2]=f[ra>>2]|1073741824;ra=c+256|0;m=f[ra>>2]|0;if(!m){sa=Bmc(20)|0;eWa(sa);f[ra>>2]=sa;ua=sa}else ua=m;m=f[a+232>>2]|0;web(ua,m|0?m:532624);ta=f[h>>2]|0}if(!(ta&8192))va=ta;else{ta=c+8|0;f[ta>>2]=f[ta>>2]|-2147483648;ta=c+260|0;m=f[ta>>2]|0;if(!m){ua=Bmc(64)|0;ZVa(ua);f[ta>>2]=ua;wa=ua}else wa=m;m=f[a+212>>2]|0;xeb(wa,m|0?m:532648);va=f[h>>2]|0}if(!(va&33554432))xa=va;else{va=c+8|0;f[va>>2]=f[va>>2]|4;va=c+144|0;m=f[va>>2]|0;if(!m){wa=Bmc(44)|0;nWa(wa);f[va>>2]=wa;ya=wa}else ya=m;m=f[a+260>>2]|0;Wdb(ya,m|0?m:530984);xa=f[h>>2]|0}if((xa|0)<0){m=c+8|0;f[m>>2]=f[m>>2]|8;m=c+148|0;c=f[m>>2]|0;if(!c){ya=Bmc(28)|0;uWa(ya);f[m>>2]=ya;za=ya}else za=c;c=f[a+284>>2]|0;Xdb(za,c|0?c:531032);Aa=f[h>>2]|0}else Aa=xa;if(!(Aa&2)){Ba=1;u=d;return Ba|0}VDa(e,404190,407218,1016,483531,0,1);Aa=e+21|0;xa=e+32|0;while(1){if(!(b[Aa>>0]|0))break;ZQ(xa,407268,44)|0;WDa(e)}$Q(e+24|0);Ba=0;u=d;return Ba|0}function yFa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=a+12|0;c=f[b>>2]|0;do if(!c){d=a+4|0;e=f[a+8>>2]|0;g=6}else{h=a+4|0;i=f[h>>2]|0;j=f[c>>2]|0;if((i|0)>=(j|0))if((j|0)==(f[a+8>>2]|0)){d=h;e=j;g=6;break}else{k=h;l=j;m=c;break}f[h>>2]=i+1;n=f[c+4+(i<<2)>>2]|0;return n|0}while(0);if((g|0)==6){uDb(a,e+1|0);e=f[b>>2]|0;k=d;l=f[e>>2]|0;m=e}f[m>>2]=l+1;l=f[a>>2]|0;if(!l){a=Bmc(60)|0;j3a(a);o=a}else{if(f[l+64>>2]|0)pBb(l,19912,64);a=oBb(l,64,1638)|0;j3a(a);o=a}a=f[b>>2]|0;b=f[k>>2]|0;f[k>>2]=b+1;f[a+4+(b<<2)>>2]=o;n=o;return n|0}function zFa(a){a=a|0;var c=0,d=0,e=0,f=0,g=0;c=u;u=u+176|0;d=c;do switch(a|0){case 0:{e=1163146;break}case 35:{e=442763;break}case 1:{e=407593;break}case 30:{e=407586;break}case 2:{e=407581;break}case 3:{e=443891;break}case 37:{e=407565;break}case 4:{e=444072;break}case 39:{e=442666;break}case 5:{e=407560;break}case 6:{e=447720;break}case 32:{e=407550;break}case 7:{e=407536;break}case 25:{e=443787;break}case 38:{e=446595;break}case 8:{e=446779;break}case 9:{e=407527;break}case 10:{e=407516;break}case 28:{e=407506;break}case 11:{e=407499;break}case 12:{e=407489;break}case 13:{e=407476;break}case 14:{e=442708;break}case 15:{e=442704;break}case 29:{e=407465;break}case 16:{e=407441;break}case 34:{e=442721;break}case 17:{e=443971;break}case 26:{e=467672;break}case 18:{e=407436;break}case 19:{e=442751;break}case 27:{e=407412;break}case 36:{e=442780;break}case 20:{e=446607;break}case 21:{e=407396;break}case 22:{e=442639;break}case 33:{e=442633;break}case 23:{e=407391;break}case 24:{e=407380;break}case 31:{e=407370;break}default:{VDa(d,404190,407313,1105,483143,0,1);f=d+21|0;g=d+32|0;while(1){if(!(b[f>>0]|0))break;_cc(ZQ(g,407332,37)|0,a)|0;WDa(d)}$Q(d+24|0);e=1163146}}while(0);u=c;return e|0}function AFa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+16|0;e=d;g=a+8|0;f[g>>2]=f[g>>2]|2;g=a+140|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;a=s8b(c)|0;if(a>>>0>4294967279)Lmc(e);if(a>>>0<11){b[e+11>>0]=a;if(!a)h=e;else{i=e;j=6}}else{k=a+16&-16;l=Bmc(k)|0;f[e>>2]=l;f[e+8>>2]=k|-2147483648;f[e+4>>2]=a;i=l;j=6}if((j|0)==6){Krc(i|0,c|0,a|0)|0;h=i}b[h+a>>0]=0;a=f[g>>2]|0;if((a|0)==535416)aFa(g,e);else Qmc(a,e)|0;if((b[e+11>>0]|0)>=0){u=d;return}Emc(f[e>>2]|0);u=d;return}function BFa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=a+60|0;c=a+72|0;d=f[c>>2]|0;do if(!d){e=a+64|0;g=f[a+68>>2]|0;h=6}else{i=a+64|0;j=f[i>>2]|0;k=f[d>>2]|0;if((j|0)>=(k|0))if((k|0)==(f[a+68>>2]|0)){e=i;g=k;h=6;break}else{l=i;m=k;n=d;break}f[i>>2]=j+1;o=f[d+4+(j<<2)>>2]|0;return o|0}while(0);if((h|0)==6){uDb(b,g+1|0);g=f[c>>2]|0;l=e;m=f[g>>2]|0;n=g}f[n>>2]=m+1;m=f[b>>2]|0;if(!m){b=Bmc(32)|0;fbb(b);p=b}else{if(f[m+64>>2]|0)pBb(m,20296,32);b=oBb(m,32,1639)|0;fbb(b);p=b}b=f[c>>2]|0;c=f[l>>2]|0;f[l>>2]=c+1;f[b+4+(c<<2)>>2]=p;o=p;return o|0}function CFa(a){a=a|0;ai[f[f[a>>2]>>2]&2047](a);return}function DFa(a){a=a|0;ai[f[f[a>>2]>>2]&2047](a);return}function EFa(a,c){a=a|0;c=c|0;var e=0,g=0;e=u;u=u+64|0;g=e;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=a;a=g+12|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;d[a+12>>1]=0;f[g+28>>2]=2147483647;f[g+32>>2]=0;f[g+36>>2]=2147483647;a=f[37396]|0;f[g+40>>2]=a;f[g+44>>2]=a;b[g+48>>0]=1;f[g+52>>2]=0;f[g+56>>2]=0;kCb(g)|0;oCb(g,2147483647,536870912);a=jDb(c,g)|0;eCb(g);u=e;return a|0}function FFa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+384|0;e=d+188|0;g=d;h=d+168|0;i=e+108|0;j=e+8|0;f[e>>2]=18372;f[i>>2]=18392;f[e+4>>2]=0;Icc(e+108|0,j);f[e+180>>2]=0;f[e+184>>2]=-1;f[e>>2]=108968;f[i>>2]=108988;$ya(j);k=e+72|0;if((f[k>>2]|0)==0?(l=e9b(a,407602)|0,f[k>>2]=l,(l|0)!=0):0){f[e+96>>2]=8;m=l}else{l=e+(f[(f[e>>2]|0)+-12>>2]|0)|0;Hcc(l,f[l+16>>2]|4);m=f[k>>2]|0}VDa(g,404190,407604,1121,405763,407626,(m|0)!=0);m=g+21|0;k=g+32|0;while(1){if(!(b[m>>0]|0))break;l=ZQ(k,407639,12)|0;ZQ(ZQ(l,a,s8b(a)|0)|0,509777,1)|0;WDa(g)}$Q(g+24|0);$Yb(g,e,-1);b3b(h,1);a=d3b(h,g,c)|0;c3b(h);f[g>>2]=155820;XCb(g+16|0);YYb(g+4|0);f[e>>2]=108968;f[i>>2]=108988;aza(j);icc(e,109e3);rbc(i);u=d;return a|0}function GFa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+368|0;e=d+168|0;g=d;h=e+108|0;i=e+8|0;f[e>>2]=18372;f[h>>2]=18392;f[e+4>>2]=0;Icc(e+108|0,i);f[e+180>>2]=0;f[e+184>>2]=-1;f[e>>2]=108968;f[h>>2]=108988;$ya(i);j=e+72|0;if((f[j>>2]|0)==0?(k=e9b(a,476321)|0,f[j>>2]=k,(k|0)!=0):0){f[e+96>>2]=12;l=k}else{k=e+(f[(f[e>>2]|0)+-12>>2]|0)|0;Hcc(k,f[k+16>>2]|4);l=f[j>>2]|0}VDa(g,404190,407652,1132,405763,407626,(l|0)!=0);l=g+21|0;j=g+32|0;while(1){if(!(b[l>>0]|0))break;k=ZQ(j,407639,12)|0;ZQ(ZQ(k,a,s8b(a)|0)|0,509777,1)|0;WDa(g)}$Q(g+24|0);$Yb(g,e,-1);a=EFa(g,c)|0;f[g>>2]=155820;XCb(g+16|0);YYb(g+4|0);f[e>>2]=108968;f[h>>2]=108988;aza(i);icc(e,109e3);rbc(h);u=d;return a|0}function HFa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+32|0;e=d;dDb(e,a,b,-1);b=E3b(e,c)|0;u=d;return b|0}function IFa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+32|0;e=d;dDb(e,a,b,-1);b=EFa(e,c)|0;u=d;return b|0}function JFa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+176|0;e=d;VDa(e,404190,407676,1151,405763,407707,FFa(a,c)|0);g=e+21|0;h=e+32|0;while(1){if(!(b[g>>0]|0))break;i=ZQ(h,407748,35)|0;ZQ(i,a,s8b(a)|0)|0;WDa(e)}$Q(e+24|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;h=s8b(a)|0;if(h>>>0>4294967279)Lmc(e);if(h>>>0<11){b[e+11>>0]=h;if(!h)j=e;else{k=e;l=8}}else{g=h+16&-16;i=Bmc(g)|0;f[e>>2]=i;f[e+8>>2]=g|-2147483648;f[e+4>>2]=h;k=i;l=8}if((l|0)==8){Krc(k|0,a|0,h|0)|0;j=k}b[j+h>>0]=0;tFa(e,c)|0;if((b[e+11>>0]|0)>=0){u=d;return}Emc(f[e>>2]|0);u=d;return}function KFa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+192|0;g=e+168|0;h=e;dDb(g,a,c,-1);VDa(h,404190,407784,1158,405763,407817,E3b(g,d)|0);c=h+21|0;a=h+32|0;while(1){if(!(b[c>>0]|0))break;ZQ(a,407873,35)|0;WDa(h)}$Q(h+24|0);h=Bmc(16)|0;f[g>>2]=h;f[g+8>>2]=-2147483632;f[g+4>>2]=13;a=h;c=407859;i=a+13|0;do{b[a>>0]=b[c>>0]|0;a=a+1|0;c=c+1|0}while((a|0)<(i|0));b[h+13>>0]=0;tFa(g,d)|0;if((b[g+11>>0]|0)>=0){u=e;return}Emc(f[g>>2]|0);u=e;return}function LFa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=u;u=u+176|0;e=d;VDa(e,404190,407909,1165,405763,407942,GFa(a,c)|0);g=e+21|0;h=e+32|0;while(1){if(!(b[g>>0]|0))break;i=ZQ(h,407748,35)|0;ZQ(i,a,s8b(a)|0)|0;WDa(e)}$Q(e+24|0);f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;h=s8b(a)|0;if(h>>>0>4294967279)Lmc(e);if(h>>>0<11){b[e+11>>0]=h;if(!h)j=e;else{k=e;l=8}}else{g=h+16&-16;i=Bmc(g)|0;f[e>>2]=i;f[e+8>>2]=g|-2147483648;f[e+4>>2]=h;k=i;l=8}if((l|0)==8){Krc(k|0,a|0,h|0)|0;j=k}b[j+h>>0]=0;tFa(e,c)|0;if((b[e+11>>0]|0)>=0){u=d;return}Emc(f[e>>2]|0);u=d;return}function MFa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+192|0;g=e+168|0;h=e;dDb(g,a,c,-1);VDa(h,404190,407985,1172,405763,408020,EFa(g,d)|0);c=h+21|0;a=h+32|0;while(1){if(!(b[c>>0]|0))break;ZQ(a,407873,35)|0;WDa(h)}$Q(h+24|0);h=Bmc(16)|0;f[g>>2]=h;f[g+8>>2]=-2147483632;f[g+4>>2]=13;a=h;c=407859;i=a+13|0;do{b[a>>0]=b[c>>0]|0;a=a+1|0;c=c+1|0}while((a|0)<(i|0));b[h+13>>0]=0;tFa(g,d)|0;if((b[g+11>>0]|0)>=0){u=e;return}Emc(f[g>>2]|0);u=e;return}function NFa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;f[a>>2]=111020;if((a|0)!=528320){b=f[a+24>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);b=f[a+28>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b)}b=a+20|0;c=f[b>>2]|0;if(c|0?(f[a+8>>2]|0)==0:0){d=f[c>>2]|0;if((d|0)>0){e=0;do{g=f[c+4+(e<<2)>>2]|0;if(g|0)ai[f[(f[g>>2]|0)+4>>2]&2047](g);e=e+1|0}while((e|0)!=(d|0));h=f[b>>2]|0}else h=c;Emc(h)}f[b>>2]=0;b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}h=a&-2;a=h;if((h|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(h);f[b>>2]=0;return}function OFa(a){a=a|0;NFa(a);Emc(a);return}function PFa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function QFa(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(40)|0;_Ha(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,18728,40);a=nBb(b,40)|0;$Ha(a,b);c=a;return c|0}function RFa(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function SFa(a){a=a|0;return f[a+4>>2]|0}function TFa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;b=a+12|0;c=f[b>>2]|0;if((c|0)>0){d=f[a+20>>2]|0;e=0;do{g=f[d+4+(e<<2)>>2]|0;e=e+1|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}while((e|0)!=(c|0));f[b>>2]=0}b=a+4|0;c=f[b>>2]|0;e=c&-2;if(!(c&1))h=e;else h=f[e+4>>2]|0;e=a+24|0;if((h|0)==0?(h=f[e>>2]|0,(h|0)!=0):0){ai[f[(f[h>>2]|0)+4>>2]&2047](h);i=f[b>>2]|0}else i=c;f[e>>2]=0;e=i&-2;if(!(i&1))j=e;else j=f[e+4>>2]|0;e=a+28|0;if((j|0)==0?(j=f[e>>2]|0,(j|0)!=0):0){ai[f[(f[j>>2]|0)+4>>2]&2047](j);k=f[b>>2]|0}else k=i;f[e>>2]=0;f[a+32>>2]=0;if(!(k&1))return;a=k&-2;if(!(f[a>>2]|0))return;L3b(a);return}function UFa(a){a=a|0;return 1}function VFa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+8|0;i=a+20|0;j=a+16|0;k=a+12|0;l=e+4|0;m=a+24|0;n=e+4|0;o=a+32|0;p=a+28|0;q=e+4|0;r=a+4|0;a:while(1){s=f[c>>2]|0;if(s>>>0<(f[g>>2]|0)>>>0){t=b[s>>0]|0;v=t&255;if(t<<24>>24>0){f[c>>2]=s+1;w=v;x=6}else{y=v;x=5}}else{y=0;x=5}if((x|0)==5){x=0;v=xCb(c,y)|0;if((v+-1|0)>>>0<127){w=v;x=6}else z=v}b:do if((x|0)==6){x=0;switch(w>>>3&536870911|0){case 1:{if((w&255|0)!=10){z=w;break b}v=f[i>>2]|0;do if(v){s=f[k>>2]|0;t=f[v>>2]|0;if((s|0)>=(t|0))if((t|0)==(f[j>>2]|0)){A=t;x=13;break}else{B=t;C=v;x=14;break}else{f[k>>2]=s+1;D=f[v+4+(s<<2)>>2]|0;break}}else{A=f[j>>2]|0;x=13}while(0);if((x|0)==13){x=0;uDb(h,A+1|0);v=f[i>>2]|0;B=f[v>>2]|0;C=v;x=14}if((x|0)==14){x=0;f[C>>2]=B+1;v=f[h>>2]|0;if(!v){s=Bmc(76)|0;lGa(s);E=s}else{if(f[v+64>>2]|0)pBb(v,18848,80);s=nBb(v,80)|0;QHa(s,v);E=s}s=f[i>>2]|0;v=f[k>>2]|0;f[k>>2]=v+1;f[s+4+(v<<2)>>2]=E;D=E}v=f[c>>2]|0;if(v>>>0<(f[g>>2]|0)>>>0?(s=b[v>>0]|0,s<<24>>24>-1):0){f[c>>2]=v+1;F=s&255}else{s=wCb(c)|0;if((s|0)>-1)F=s;else{G=0;x=61;break a}}hCb(e,c,F);if((f[l>>2]|0)<0){x=26;break a}if(!(Sh[f[(f[D>>2]|0)+44>>2]&511](D,c)|0)){x=26;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{G=0;x=61;break a}break}case 2:{if((w&255|0)!=18){z=w;break b}s=f[m>>2]|0;if(!s){XHa(a);H=f[m>>2]|0}else H=s;s=f[c>>2]|0;if(s>>>0<(f[g>>2]|0)>>>0?(v=b[s>>0]|0,v<<24>>24>-1):0){f[c>>2]=s+1;I=v&255}else{v=wCb(c)|0;if((v|0)>-1)I=v;else{G=0;x=61;break a}}hCb(e,c,I);if((f[n>>2]|0)<0){x=37;break a}if(!(Sh[f[(f[H>>2]|0)+44>>2]&511](H,c)|0)){x=37;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{G=0;x=61;break a}break}case 3:{if((w&255|0)!=24){z=w;break b}v=f[c>>2]|0;if(v>>>0<(f[g>>2]|0)>>>0){s=b[v>>0]|0;t=s&255;if(s<<24>>24>-1){f[c>>2]=v+1;K=t}else{L=t;x=43}}else{L=0;x=43}if((x|0)==43){x=0;t=iCb(c,L)|0;v=J;if((v|0)>-1|(v|0)==-1&t>>>0>4294967295)K=t;else{G=0;x=61;break a}}f[o>>2]=K;continue a;break}case 4:{if((w&255|0)!=34){z=w;break b}t=f[p>>2]|0;if(!t){YHa(a);M=f[p>>2]|0}else M=t;t=f[c>>2]|0;if(t>>>0<(f[g>>2]|0)>>>0?(v=b[t>>0]|0,v<<24>>24>-1):0){f[c>>2]=t+1;N=v&255}else{v=wCb(c)|0;if((v|0)>-1)N=v;else{G=0;x=61;break a}}hCb(e,c,N);if((f[q>>2]|0)<0){x=54;break a}if(!(Sh[f[(f[M>>2]|0)+44>>2]&511](M,c)|0)){x=54;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{G=0;x=61;break a}break}default:{z=w;break b}}}while(0);if(!z){G=1;x=61;break}v=f[r>>2]|0;if(!(v&1))O=AHa(r)|0;else O=v&-2;if(!(b4b(c,z,O)|0)){G=0;x=61;break}}if((x|0)==26){G=0;u=d;return G|0}else if((x|0)==37){G=0;u=d;return G|0}else if((x|0)==54){G=0;u=d;return G|0}else if((x|0)==61){u=d;return G|0}return 0}function WFa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=f[a+4>>2]|0;if((c&1|0)!=0&(b[481264]|0)!=0)d=h4b(c&-2)|0;else d=0;c=f[a+12>>2]|0;e=c+d|0;if(!c)g=e;else{d=a+20|0;h=0;i=e;while(1){e=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;j=ci[f[(f[e>>2]|0)+48>>2]&1023](e)|0;e=j+i+((((($(j|1|0)|0)^31)*9|0)+73|0)>>>6)|0;h=h+1|0;if((h|0)==(c|0)){g=e;break}else i=e}}if((a|0)!=528320){i=f[a+24>>2]|0;if(!i)k=g;else{c=ci[f[(f[i>>2]|0)+48>>2]&1023](i)|0;k=g+1+c+((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)|0}c=f[a+28>>2]|0;if(!c)l=k;else{i=ci[f[(f[c>>2]|0)+48>>2]&1023](c)|0;l=k+1+i+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0}}else l=g;g=f[a+32>>2]|0;if(!g){m=l;n=a+36|0;f[n>>2]=m;return m|0}if((g|0)<0)o=11;else o=((((($(g|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;m=o+l|0;n=a+36|0;f[n>>2]=m;return m|0}function XFa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=f[a+12>>2]|0;if(d|0){e=a+20|0;g=0;do{GEb(1,f[(f[e>>2]|0)+4+(g<<2)>>2]|0,c);g=g+1|0}while((g|0)!=(d|0))}d=(a|0)==528320;if(!d?(g=f[a+24>>2]|0,g|0):0)GEb(2,g,c);g=f[a+32>>2]|0;if(g|0)mEb(3,g,c);if(!d?(d=f[a+28>>2]|0,d|0):0)GEb(4,d,c);d=f[a+4>>2]|0;if(!((d&1|0)!=0&(b[481264]|0)!=0))return;e4b(d&-2,c);return}function YFa(a){a=a|0;return f[a+36>>2]|0}function ZFa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=f[a+12>>2]|0;if(!e)g=d;else{h=a+20|0;i=0;j=d;while(1){d=f[(f[h>>2]|0)+4+(i<<2)>>2]|0;b[j>>0]=10;k=j+1|0;l=ci[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(l>>>0>127){m=l;n=k;while(1){b[n>>0]=m|128;o=m>>>7;p=n+1|0;if(m>>>0>16383){m=o;n=p}else{q=p;r=o;break}}}else{q=k;r=l}b[q>>0]=r;n=ki[f[(f[d>>2]|0)+64>>2]&511](d,c,q+1|0)|0;i=i+1|0;if((i|0)==(e|0)){g=n;break}else j=n}}j=(a|0)==528320;if(!j?(e=f[a+24>>2]|0,(e|0)!=0):0){b[g>>0]=18;i=g+1|0;q=ci[f[(f[e>>2]|0)+60>>2]&1023](e)|0;if(q>>>0>127){r=q;h=i;while(1){b[h>>0]=r|128;n=r>>>7;m=h+1|0;if(r>>>0>16383){r=n;h=m}else{s=m;t=n;break}}}else{s=i;t=q}b[s>>0]=t;u=ki[f[(f[e>>2]|0)+64>>2]&511](e,c,s+1|0)|0}else u=g;g=f[a+32>>2]|0;if(!g)v=u;else{b[u>>0]=24;s=u+1|0;u=g&255;if(g>>>0>127){e=s;t=u;q=g;i=((g|0)<0)<<31>>31;while(1){b[e>>0]=t|-128;g=q;q=Irc(q|0,i|0,7)|0;h=e+1|0;r=q&255;if(!(i>>>0>0|(i|0)==0&g>>>0>16383)){w=h;x=r;break}else{e=h;t=r;i=J}}}else{w=s;x=u}b[w>>0]=x;v=w+1|0}if(!j?(j=f[a+28>>2]|0,(j|0)!=0):0){b[v>>0]=34;w=v+1|0;x=ci[f[(f[j>>2]|0)+60>>2]&1023](j)|0;if(x>>>0>127){u=x;s=w;while(1){b[s>>0]=u|128;i=u>>>7;t=s+1|0;if(u>>>0>16383){u=i;s=t}else{y=t;z=i;break}}}else{y=w;z=x}b[y>>0]=z;A=ki[f[(f[j>>2]|0)+64>>2]&511](j,c,y+1|0)|0}else A=v;v=f[a+4>>2]|0;if(!((v&1|0)!=0&(b[481264]|0)!=0)){B=A;return B|0}B=f4b(v&-2,A)|0;return B|0}function _Fa(a){a=a|0;return 0}function $Fa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function aGa(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,18728,0)|0;if(!c){c2b(b,a);return}else{VHa(a,c);return}}function bGa(a,b){a=a|0;b=b|0;f[a+36>>2]=b;return}function cGa(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=b;xh[f[(f[a>>2]|0)+96>>2]&2047](c,a);u=b;return f[c+4>>2]|0}function dGa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222674]|0)!=2){f[d>>2]=149752;f[d+4>>2]=3;b[d+8>>0]=0;dEb(890696,d);zDb(d)}d=528464;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function eGa(){var a=0,c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((f[222675]|0)!=2){f[c>>2]=149752;f[c+4>>2]=4;b[c+8>>0]=0;dEb(890700,c);zDb(c)}d=Bmc(16)|0;f[c>>2]=d;f[c+8>>2]=-2147483632;f[c+4>>2]=11;e=d;g=408064;h=e+11|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));b[d+11>>0]=0;wYb(c,111120,111156,110900,0,528464,0,0);if((b[c+11>>0]|0)>=0){u=a;return}Emc(f[c>>2]|0);u=a;return}function fGa(){gGa();NIb(408076,513);R1b(408064,1640);ALa();kOa();EIa();return}function gGa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222676]|0)!=2){f[c>>2]=149752;f[c+4>>2]=5;b[c+8>>0]=0;dEb(890704,c);zDb(c)}if((f[222677]|0)!=2){f[c>>2]=149752;f[c+4>>2]=6;b[c+8>>0]=0;dEb(890708,c);zDb(c)}if((f[222678]|0)==2){u=a;return}f[c>>2]=149752;f[c+4>>2]=7;b[c+8>>0]=0;dEb(890712,c);zDb(c);u=a;return}function hGa(a){a=a|0;var c=0;a=u;u=u+16|0;c=a;if((f[222674]|0)!=2){f[c>>2]=149752;f[c+4>>2]=3;b[c+8>>0]=0;dEb(890696,c);zDb(c)}BYb(528464,3);u=a;return}function iGa(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,408590);tBb();if((f[222678]|0)!=2){f[c>>2]=149752;f[c+4>>2]=7;b[c+8>>0]=0;dEb(890712,c);zDb(c)}DIa();jOa();f[132080]=111020;f[132081]=0;f[132082]=0;f[132083]=0;f[132084]=0;f[132085]=0;f[132086]=0;f[132087]=0;f[132088]=0;f[132089]=0;$Db(528320);f[132087]=528488;f[132086]=529032;u=a;return}function jGa(){CDb(3005001,3005e3,408590);tBb();zLa();f[132093]=0;f[132091]=535416;f[132094]=0;f[132095]=0;f[132090]=111368;f[132092]=528848;return}function kGa(){var a=0,c=0;a=u;u=u+16|0;c=a;CDb(3005001,3005e3,408590);tBb();if((f[222677]|0)!=2){f[c>>2]=149752;f[c+4>>2]=6;b[c+8>>0]=0;dEb(890708,c);zDb(c)}lGa(528384);$Db(528384);u=a;return}function lGa(a){a=a|0;var c=0,d=0,e=0,g=0;c=u;u=u+16|0;d=c;f[a>>2]=111176;e=a+4|0;g=a+24|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[g>>2]=155876;f[a+28>>2]=0;f[a+32>>2]=0;VDb(a+36|0);f[a+40>>2]=0;f[g>>2]=111284;f[a+44>>2]=0;g=a+48|0;f[g>>2]=0;e=a+52|0;f[e>>2]=0;tDa(g);f[e>>2]=0;if((a|0)!=528384?(f[222678]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=7;b[d+8>>0]=0;dEb(890712,d);zDb(d)}f[a+60>>2]=535416;f[a+64>>2]=535416;f[a+68>>2]=535416;f[a+72>>2]=0;u=c;return}function mGa(a){a=a|0;f[a>>2]=111284;RCa(a+24|0);aZb(a);return}function nGa(a){a=a|0;f[a>>2]=111284;RCa(a+24|0);aZb(a);Emc(a);return}function oGa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d+16|0;g=d;Nmc(g,hHa(c)|0);QCa(e,f[a+32>>2]|0,g,0);a=(f[e>>2]|0)!=0;if((b[g+11>>0]|0)>=0){u=d;return a|0}Emc(f[g>>2]|0);u=d;return a|0}function pGa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+32|0;g=e+16|0;h=e;i=ci[f[(f[a>>2]|0)+68>>2]&1023](a)|0;Nmc(h,hHa(c)|0);QCa(g,f[i+8>>2]|0,h,0);c=f[g>>2]|0;if(!c){j=1;k=uDa(i,h)|0}else{j=0;k=(f[c+12>>2]|0)+16|0}f[d>>2]=k;if((b[h+11>>0]|0)>=0){u=e;return j|0}Emc(f[h>>2]|0);u=e;return j|0}function qGa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+64|0;e=d+40|0;g=d+24|0;h=d;Nmc(h,hHa(c)|0);c=ci[f[(f[a>>2]|0)+68>>2]&1023](a)|0;QCa(e,f[c+8>>2]|0,h,0);a=f[e>>2]|0;i=f[e+4>>2]|0;j=f[e+8>>2]|0;if(!a)k=0;else{f[g>>2]=a;f[g+4>>2]=i;f[g+8>>2]=j;f[e>>2]=f[g>>2];f[e+4>>2]=f[g+4>>2];f[e+8>>2]=f[g+8>>2];lDa(d+12|0,c,e);k=1}if((b[h+11>>0]|0)>=0){u=d;return k|0}Emc(f[h>>2]|0);u=d;return k|0}function rGa(a,b,c){a=a|0;b=b|0;c=c|0;return (f[f[b>>2]>>2]|0)==(f[f[c>>2]>>2]|0)|0}function sGa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=(ci[f[(f[a>>2]|0)+64>>2]&1023](a)|0)+8|0;d=f[c>>2]|0;c=f[d+12>>2]|0;e=f[d+4>>2]|0;a:do if(e>>>0>c>>>0){g=f[d+16>>2]|0;h=c;while(1){i=f[g+(h<<2)>>2]|0;if(i|0)break;j=h+1|0;if(j>>>0<e>>>0)h=j;else{k=0;l=j;break a}}if((i|0)==(f[g+((h^1)<<2)>>2]|0)){k=f[(f[i>>2]|0)+16>>2]|0;l=h;break}else{k=i;l=h;break}}else{k=0;l=c}while(0);c=f[b>>2]|0;f[c>>2]=k;f[c+4>>2]=d;f[c+8>>2]=l;xh[f[(f[a>>2]|0)+72>>2]&2047](a,b);return}function tGa(a,b){a=a|0;b=b|0;ci[f[(f[a>>2]|0)+64>>2]&1023](a)|0;a=f[b>>2]|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;return}function uGa(a){a=a|0;v_b(a);return f[f[a+32>>2]>>2]|0}function vGa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;b=u;u=u+16|0;c=b;d=f[a+8>>2]|0;if(!d)e=12;else{g=f[d+8>>2]<<2;h=d+12|0;d=f[h>>2]|0;if(!d)i=g;else{if((f[d>>2]|0)>0){j=0;k=g;l=d;while(1){d=f[l+4+(j<<2)>>2]|0;m=(ci[f[(f[d>>2]|0)+84>>2]&1023](d)|0)+k|0;j=j+1|0;l=f[h>>2]|0;if((j|0)>=(f[l>>2]|0)){n=m;break}else k=m}}else n=g;i=n+4|0}e=i+12|0}i=f[a+32>>2]|0;a=f[i+12>>2]|0;n=f[i+4>>2]|0;a:do if(n>>>0>a>>>0){g=f[i+16>>2]|0;k=a;while(1){o=f[g+(k<<2)>>2]|0;if(o|0)break;l=k+1|0;if(l>>>0<n>>>0)k=l;else{p=0;q=l;break a}}if((o|0)==(f[g+((k^1)<<2)>>2]|0)){p=f[(f[o>>2]|0)+16>>2]|0;q=k;break}else{p=o;q=k;break}}else{p=0;q=a}while(0);f[c>>2]=p;f[c+4>>2]=i;f[c+8>>2]=q;if(!p){r=e;u=b;return r|0}q=e;e=p;while(1){p=(f[e+12>>2]|0)+16|0;i=q+12+(ci[f[(f[p>>2]|0)+84>>2]&1023](p)|0)|0;oDa(c)|0;e=f[c>>2]|0;if(!e){r=i;break}else q=i}u=b;return r|0}function wGa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;b=u;u=u+16|0;c=b;d=a+8|0;e=f[d>>2]|0;if(!e){g=f[a+4>>2]|0;if(!g){h=Bmc(16)|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;i=h}else{if(f[g+64>>2]|0)pBb(g,18760,16);h=oBb(g,16,1641)|0;f[h>>2]=g;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;i=h}f[d>>2]=i;j=i}else j=e;e=j+4|0;i=f[e>>2]|0;if((i|0)>0){d=f[j+12>>2]|0;h=0;do{g=f[d+4+(h<<2)>>2]|0;h=h+1|0;ai[f[(f[g>>2]|0)+28>>2]&2047](g)}while((h|0)!=(i|0));f[e>>2]=0}i=f[a+32>>2]|0;h=f[i+12>>2]|0;d=f[i+4>>2]|0;a:do if(d>>>0>h>>>0){g=f[i+16>>2]|0;k=h;while(1){l=f[g+(k<<2)>>2]|0;if(l|0)break;m=k+1|0;if(m>>>0<d>>>0)k=m;else{n=0;o=m;break a}}if((l|0)==(f[g+((k^1)<<2)>>2]|0)){n=f[(f[l>>2]|0)+16>>2]|0;o=k;break}else{n=l;o=k;break}}else{n=0;o=h}while(0);f[c>>2]=n;f[c+4>>2]=i;f[c+8>>2]=o;if(!n){u=b;return}n=a+4|0;a=j+12|0;o=j+8|0;do{i=Sh[f[(f[132090]|0)+16>>2]&511](528360,f[n>>2]|0)|0;h=i+12|0;l=f[h>>2]|0;d=f[j>>2]|0;if(((d|0)==(l|0)?(m=f[a>>2]|0,(m|0)!=0):0)?(p=f[m>>2]|0,(p|0)<(f[o>>2]|0)):0){q=f[e>>2]|0;if((q|0)<(p|0)){r=m+4+(q<<2)|0;f[m+4+(p<<2)>>2]=f[r>>2];s=r}else s=m+4+(q<<2)|0;f[s>>2]=i;f[e>>2]=q+1;q=f[a>>2]|0;f[q>>2]=(f[q>>2]|0)+1}else HGa(j,i,l,d);d=f[(f[c>>2]|0)+12>>2]|0;l=i+16|0;f[l>>2]=f[l>>2]|1;q=i+4|0;m=f[q>>2]|0;if((m|0)==535416){PDa(q,f[h>>2]|0,535416);t=f[q>>2]|0}else t=m;Qmc(t,d)|0;d=(f[(f[c>>2]|0)+12>>2]|0)+16|0;f[l>>2]=f[l>>2]|2;l=i+8|0;i=f[h>>2]|0;h=f[l>>2]|0;if(!h){if(!i){m=Bmc(24)|0;kKa(m);v=m}else{if(f[i+64>>2]|0)pBb(i,18968,24);m=nBb(i,24)|0;lKa(m,i);v=m}f[l>>2]=v;w=v}else w=h;CLa(w,d);hDa(c)|0}while((f[c>>2]|0)!=0);u=b;return}function xGa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=u;u=u+80|0;c=b+52|0;d=b+40|0;e=b;g=b+16|0;h=a+24|0;i=f[a+8>>2]|0;if(!i){TDb(g,3,414261,306);QDb(b+64|0,ODb(g,414352)|0);UDb(g)}g=f[a+32>>2]|0;a=f[g+12>>2]|0;j=f[g+4>>2]|0;a:do if(j>>>0>a>>>0){k=f[g+16>>2]|0;l=a;while(1){m=f[k+(l<<2)>>2]|0;if(m|0)break;n=l+1|0;if(n>>>0<j>>>0)l=n;else{o=0;p=n;break a}}if((m|0)==(f[k+((l^1)<<2)>>2]|0)){o=f[(f[m>>2]|0)+16>>2]|0;p=l;break}else{o=m;p=l;break}}else{o=0;p=a}while(0);f[e>>2]=o;f[e+4>>2]=g;f[e+8>>2]=p;if(o|0)do{f[c>>2]=f[e>>2];f[c+4>>2]=f[e+4>>2];f[c+8>>2]=f[e+8>>2];lDa(d,h,c);f[e>>2]=f[d>>2];f[e+4>>2]=f[d+4>>2];f[e+8>>2]=f[d+8>>2]}while((f[e>>2]|0)!=0);e=i+12|0;d=f[e>>2]|0;c=i+4|0;if(!(f[c>>2]|0)){u=b;return}i=(d|0)==0?0:d+4|0;do{d=f[i>>2]|0;o=ci[f[(f[d>>2]|0)+104>>2]&1023](d)|0;d=f[i>>2]|0;CLa(uDa(h,ci[f[(f[d>>2]|0)+100>>2]&1023](d)|0)|0,o);i=i+4|0;o=f[e>>2]|0}while((i|0)!=(((o|0)==0?0:o+4|0)+(f[c>>2]<<2)|0));u=b;return}function yGa(a,b){a=a|0;b=b|0;a=Bmc(12)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[b>>2]=a;return}function zGa(a,b){a=a|0;b=b|0;a=f[b>>2]|0;if(!a)return;Emc(a);return}function AGa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=f[d>>2]|0;g=f[c>>2]|0;f[g>>2]=f[e>>2];f[g+4>>2]=f[e+4>>2];f[g+8>>2]=f[e+8>>2];e=c+8|0;g=FGa(d+8|0)|0;h=c+16|0;i=f[h>>2]|0;if((i|0)!=(g|0)){if((i|0)==9?(i=f[e>>2]|0,i|0):0){if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);Emc(i)}f[h>>2]=g;if((g|0)==9){g=Bmc(12)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[e>>2]=g}}f[c+28>>2]=f[d+28>>2];xh[f[(f[a>>2]|0)+72>>2]&2047](a,c);return}function BGa(a,b){a=a|0;b=b|0;hDa(f[b>>2]|0)|0;xh[f[(f[a>>2]|0)+72>>2]&2047](a,b);return}function CGa(a){a=a|0;v_b(a);return a+24|0}function DGa(a){a=a|0;v_b(a);u_b(a);return a+24|0}function EGa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;a=f[f[b>>2]>>2]|0;if(!a)return;c=b+8|0;d=a+12|0;a=f[d>>2]|0;e=b+16|0;if((f[e>>2]|0)==9)g=f[c>>2]|0;else{f[e>>2]=9;e=Bmc(12)|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[c>>2]=e;g=e}Qmc(g,a)|0;f[b+24>>2]=(f[d>>2]|0)+16;return}function FGa(a){a=a|0;var b=0,c=0,d=0,e=0;b=u;u=u+32|0;c=b;d=a+8|0;a=f[d>>2]|0;if(a|0){e=a;u=b;return e|0}TDb(c,3,506076,372);QDb(b+24|0,ODb(ODb(ODb(c,506190)|0,408667)|0,408708)|0);UDb(c);e=f[d>>2]|0;u=b;return e|0}function GGa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+12|0;c=f[b>>2]|0;if(!c){f[b>>2]=0;return}if(f[a>>2]|0){f[b>>2]=0;return}a=f[c>>2]|0;if((a|0)>0){d=0;do{e=f[c+4+(d<<2)>>2]|0;if(e|0)ai[f[(f[e>>2]|0)+4>>2]&2047](e);d=d+1|0}while((d|0)!=(a|0));g=f[b>>2]|0}else g=c;Emc(g);f[b>>2]=0;return}function HGa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(!((c|0)==0&(d|0)!=0))if((d|0)!=(c|0)){if(!d){e=Bmc(24)|0;f[e+12>>2]=0;f[e+4>>2]=535416;f[e+8>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;g=e}else{if(f[d+64>>2]|0)pBb(d,18776,24);e=nBb(d,24)|0;h=d;f[e+12>>2]=h;f[e+4>>2]=535416;f[e+8>>2]=0;f[e+16>>2]=0;f[e+20>>2]=h;g=e}f[g>>2]=111368;JGa(b,g);if((b|0)==0|(c|0)!=0)i=g;else{ai[f[(f[b>>2]|0)+4>>2]&2047](b);i=g}}else i=b;else{IGa(d,b);i=b}b=a+12|0;d=f[b>>2]|0;g=f[a+8>>2]|0;c=a+4|0;if(d|0?(e=f[c>>2]|0,(e|0)!=(g|0)):0){h=f[d>>2]|0;if((h|0)==(g|0)){j=f[d+4+(e<<2)>>2]|0;if((j|0)==0|(f[a>>2]|0)!=0){k=d;l=f[c>>2]|0;m=l+1|0;f[c>>2]=m;n=k+4+(l<<2)|0;f[n>>2]=i;return}ai[f[(f[j>>2]|0)+4>>2]&2047](j);k=f[b>>2]|0;l=f[c>>2]|0;m=l+1|0;f[c>>2]=m;n=k+4+(l<<2)|0;f[n>>2]=i;return}else{if((e|0)<(h|0)){f[d+4+(h<<2)>>2]=f[d+4+(e<<2)>>2];e=f[b>>2]|0;o=e;p=f[e>>2]|0}else{o=d;p=h}f[o>>2]=p+1;k=o;l=f[c>>2]|0;m=l+1|0;f[c>>2]=m;n=k+4+(l<<2)|0;f[n>>2]=i;return}}uDb(a,g+1|0);g=f[b>>2]|0;f[g>>2]=(f[g>>2]|0)+1;k=g;l=f[c>>2]|0;m=l+1|0;f[c>>2]=m;n=k+4+(l<<2)|0;f[n>>2]=i;return}function IGa(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1642);return}function JGa(a,b){a=a|0;b=b|0;KGa(b,a);return}function KGa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=b+16|0;d=f[c>>2]|0;if(!d)return;if(!(d&1))e=d;else{d=a+4|0;g=a+12|0;if((f[d>>2]|0)==535416)PDa(d,f[g>>2]|0,535416);h=ci[f[(f[b>>2]|0)+100>>2]&1023](b)|0;i=f[d>>2]|0;if((i|0)==535416)PDa(d,f[g>>2]|0,h);else Qmc(i,h)|0;h=a+16|0;f[h>>2]=f[h>>2]|1;e=f[c>>2]|0}if(!(e&2))return;e=a+8|0;c=f[a+12>>2]|0;if(!(f[e>>2]|0)){if(!c){h=Bmc(24)|0;kKa(h);j=h}else{if(f[c+64>>2]|0)pBb(c,18968,24);h=nBb(c,24)|0;lKa(h,c);j=h}f[e>>2]=j}j=ci[f[(f[b>>2]|0)+104>>2]&1023](b)|0;VJa(f[e>>2]|0,j);j=a+16|0;f[j>>2]=f[j>>2]|2;return}function LGa(a){a=a|0;var c=0,d=0,e=0;f[a>>2]=111484;c=a+20|0;d=f[c>>2]|0;if(d&1|0?(e=d&-2,d=e,!((e|0)==0|(f[d+4>>2]|0)!=0)):0){if(f[d>>2]|0)L3b(d);Emc(e)}f[c>>2]=0;f[a>>2]=111600;if(f[a+12>>2]|0)return;c=f[a+4>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+8>>2]|0;if(!c)return;ai[f[(f[c>>2]|0)+4>>2]&2047](c);return}function MGa(a){a=a|0;LGa(a);Emc(a);return}function NGa(a,b){a=a|0;b=b|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;return}function OGa(a){a=a|0;a=Bmc(24)|0;f[a+12>>2]=0;f[a+4>>2]=535416;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a>>2]=111368;return a|0}function PGa(a,b){a=a|0;b=b|0;var c=0,d=0;if(!b){a=Bmc(24)|0;f[a+12>>2]=0;f[a+4>>2]=535416;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;c=a;f[c>>2]=111368;return c|0}if(f[b+64>>2]|0)pBb(b,18776,24);a=nBb(b,24)|0;d=b;f[a+12>>2]=d;f[a+4>>2]=535416;f[a+8>>2]=0;f[a+16>>2]=0;f[a+20>>2]=d;c=a;f[c>>2]=111368;return c|0}function QGa(a){a=a|0;return f[a+12>>2]|0}function RGa(a){a=a|0;return ci[f[(f[a>>2]|0)+20>>2]&1023](a)|0}function SGa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;c=f[a+4>>2]|0;do if((c|0)!=535416){d=c+11|0;if((b[d>>0]|0)<0){b[f[c>>2]>>0]=0;f[c+4>>2]=0;break}else{b[c>>0]=0;b[d>>0]=0;break}}while(0);c=f[a+8>>2]|0;if(!c){e=a+16|0;g=f[e>>2]|0;h=g&-4;f[e>>2]=h;return}ai[f[(f[c>>2]|0)+28>>2]&2047](c);e=a+16|0;g=f[e>>2]|0;h=g&-4;f[e>>2]=h;return}function TGa(a){a=a|0;var b=0;b=f[a+8>>2]|0;return ci[f[(f[b>>2]|0)+32>>2]&1023](b)|0}function UGa(a,b){a=a|0;b=b|0;KGa(a,b);return}function VGa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+16|0;e=d;g=c+4|0;h=a+16|0;i=a+4|0;j=a+12|0;k=a+8|0;a=e+4|0;l=c+32|0;m=c+12|0;n=c+28|0;a:while(1){o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0){p=b[o>>0]|0;q=p&255;if(p<<24>>24>-1){f[c>>2]=o+1;r=q}else{s=q;t=5}}else{s=0;t=5}if((t|0)==5){t=0;r=xCb(c,s)|0}switch(r|0){case 0:{v=1;t=35;break a;break}case 10:{f[h>>2]=f[h>>2]|1;q=f[i>>2]|0;if((q|0)==535416){PDa(i,f[j>>2]|0,535416);w=f[i>>2]|0}else w=q;if(!(HEb(c,w)|0)){v=0;t=35;break a}q=f[h>>2]|1;f[h>>2]=q;o=f[c>>2]|0;if(o>>>0>=(f[g>>2]|0)>>>0)continue a;if((b[o>>0]|0)!=18)continue a;f[c>>2]=o+1;x=q;break}case 18:{x=f[h>>2]|0;break}default:{if((r&7|0)==4){v=1;t=35;break a}if(iEb(c,r)|0)continue a;else{v=0;t=35;break a}}}f[h>>2]=x|2;q=f[j>>2]|0;o=f[k>>2]|0;if(!o){if(!q){p=Bmc(24)|0;kKa(p);y=p}else{if(f[q+64>>2]|0)pBb(q,18968,24);p=nBb(q,24)|0;lKa(p,q);y=p}f[k>>2]=y;z=y}else z=o;o=f[c>>2]|0;if(o>>>0<(f[g>>2]|0)>>>0?(p=b[o>>0]|0,p<<24>>24>-1):0){f[c>>2]=o+1;A=p&255}else{p=wCb(c)|0;if((p|0)>-1)A=p;else{v=0;t=35;break}}hCb(e,c,A);if((f[a>>2]|0)<0){t=27;break}if(!(_Ka(z,c)|0)){t=27;break}if(!(mCb(c,f[e>>2]|0)|0)){v=0;t=35;break}f[h>>2]=f[h>>2]|2;if((f[c>>2]|0)!=(f[g>>2]|0))continue;if(f[l>>2]|0){t=32;break}if((f[m>>2]|0)==(f[n>>2]|0)){t=32;break}}if((t|0)==27){v=0;u=d;return v|0}else if((t|0)==32){f[c+20>>2]=0;b[c+24>>0]=1;v=1;u=d;return v|0}else if((t|0)==35){u=d;return v|0}return 0}function WGa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+16|0;d=f[c>>2]|0;if(!(d&1)){e=d;g=0}else{d=ci[f[(f[a>>2]|0)+100>>2]&1023](a)|0;h=b[d+11>>0]|0;i=h<<24>>24<0?f[d+4>>2]|0:h&255;h=i+1+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=f[c>>2]|0;g=h}if(!(e&2)){j=0;k=j+g|0;return k|0}e=ZKa(ci[f[(f[a>>2]|0)+104>>2]&1023](a)|0)|0;j=e+1+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0;k=j+g|0;return k|0}function XGa(a,b){a=a|0;b=b|0;AEb(1,ci[f[(f[a>>2]|0)+100>>2]&1023](a)|0,b);GEb(2,ci[f[(f[a>>2]|0)+104>>2]&1023](a)|0,b);return}function YGa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+16|0;d=f[c>>2]|0;if(!(d&1)){e=d;g=0}else{d=ci[f[(f[a>>2]|0)+100>>2]&1023](a)|0;h=b[d+11>>0]|0;i=h<<24>>24<0?f[d+4>>2]|0:h&255;h=i+1+((((($(i|1|0)|0)^31)*9|0)+73|0)>>>6)|0;e=f[c>>2]|0;g=h}if(!(e&2)){j=0;k=j+g|0;return k|0}e=ci[f[(f[a>>2]|0)+104>>2]&1023](a)|0;a=ci[f[(f[e>>2]|0)+60>>2]&1023](e)|0;j=a+1+((((($(a|1|0)|0)^31)*9|0)+73|0)>>>6)|0;k=j+g|0;return k|0}function ZGa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=ci[f[(f[a>>2]|0)+100>>2]&1023](a)|0;b[d>>0]=10;g=GCb(e,d+1|0)|0;d=ci[f[(f[a>>2]|0)+104>>2]&1023](a)|0;b[g>>0]=18;a=g+1|0;g=ci[f[(f[d>>2]|0)+60>>2]&1023](d)|0;if(g>>>0>127){e=g;h=a;while(1){b[h>>0]=e|128;i=e>>>7;j=h+1|0;if(e>>>0>16383){e=i;h=j}else{k=j;l=i;break}}}else{k=a;l=g}b[k>>0]=l;return ki[f[(f[d>>2]|0)+64>>2]&511](d,c,k+1|0)|0}function _Ga(a,b){a=a|0;b=b|0;I_b(a,b);return}function $Ga(a){a=a|0;var b=0;b=f[a+8>>2]|0;return (ci[f[(f[b>>2]|0)+84>>2]&1023](b)|0)+28|0}function aHa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222674]|0)!=2){f[d>>2]=149752;f[d+4>>2]=3;b[d+8>>0]=0;dEb(890696,d);zDb(d)}d=528472;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function bHa(a){a=a|0;return f[a+4>>2]|0}function cHa(a){a=a|0;var b=0;b=f[a+8>>2]|0;return (b|0?b:f[132092]|0)|0}function dHa(a){a=a|0;var c=0;f[a>>2]=111600;if(f[a+12>>2]|0)return;c=f[a+4>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+8>>2]|0;if(!c)return;ai[f[(f[c>>2]|0)+4>>2]&2047](c);return}function eHa(a){a=a|0;var c=0;f[a>>2]=111600;if(f[a+12>>2]|0){Emc(a);return}c=f[a+4>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+8>>2]|0;if(!c){Emc(a);return}ai[f[(f[c>>2]|0)+4>>2]&2047](c);Emc(a);return}function fHa(a){a=a|0;LGa(a);Emc(a);return}function gHa(a){a=a|0;if(!a)return;ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function hHa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=u;u=u+32|0;c=b;if((FGa(a)|0)==9){d=f[a>>2]|0;u=b;return d|0}TDb(c,3,506076,432);e=ODb(ODb(ODb(ODb(c,506190)|0,409341)|0,506245)|0,506267)|0;g=ODb(ODb(ODb(e,f[37532]|0)|0,509874)|0,506281)|0;e=150092+((FGa(a)|0)<<2)|0;QDb(b+24|0,ODb(g,f[e>>2]|0)|0);UDb(c);d=f[a>>2]|0;u=b;return d|0}function iHa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;f[a>>2]=111176;UHa(a);c=a+24|0;f[c>>2]=111284;RCa(a+48|0);aZb(c);c=a+20|0;d=f[c>>2]|0;if(d|0?(f[a+8>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0){if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);Emc(h)}g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;Emc(i)}f[c>>2]=0;c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}i=a&-2;a=i;if((i|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(i);f[c>>2]=0;return}function jHa(a){a=a|0;iHa(a);Emc(a);return}function kHa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function lHa(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(76)|0;lGa(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,18848,80);a=nBb(b,80)|0;QHa(a,b);c=a;return c|0}function mHa(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function nHa(a){a=a|0;return f[a+4>>2]|0}function oHa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+48|0;d=c+24|0;e=c+12|0;g=c;h=a+12|0;i=f[h>>2]|0;if((i|0)>0){j=f[a+20>>2]|0;k=0;do{l=f[j+4+(k<<2)>>2]|0;k=k+1|0;m=l+11|0;if((b[m>>0]|0)<0){b[f[l>>2]>>0]=0;f[l+4>>2]=0}else{b[l>>0]=0;b[m>>0]=0}}while((k|0)!=(i|0));f[h>>2]=0}h=a+24|0;v_b(h);i=a+48|0;k=f[a+56>>2]|0;j=f[k+12>>2]|0;m=f[k+4>>2]|0;a:do if(m>>>0>j>>>0){l=f[k+16>>2]|0;n=j;while(1){o=f[l+(n<<2)>>2]|0;if(o|0)break;p=n+1|0;if(p>>>0<m>>>0)n=p;else{q=0;r=p;break a}}if((o|0)==(f[l+((n^1)<<2)>>2]|0)){q=f[(f[o>>2]|0)+16>>2]|0;r=n;break}else{q=o;r=n;break}}else{q=0;r=j}while(0);f[g>>2]=q;f[g+4>>2]=k;f[g+8>>2]=r;if(q|0)do{f[d>>2]=f[g>>2];f[d+4>>2]=f[g+4>>2];f[d+8>>2]=f[g+8>>2];lDa(e,i,d);f[g>>2]=f[e>>2];f[g+4>>2]=f[e+4>>2];f[g+8>>2]=f[e+8>>2]}while((f[g>>2]|0)!=0);u_b(h);h=a+4|0;g=f[a+60>>2]|0;do if((g|0)!=535416){e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);g=f[a+64>>2]|0;do if((g|0)!=535416){e=g+11|0;if((b[e>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[e>>0]=0;break}}while(0);g=f[a+68>>2]|0;do if((g|0)!=535416){a=g+11|0;if((b[a>>0]|0)<0){b[f[g>>2]>>0]=0;f[g+4>>2]=0;break}else{b[g>>0]=0;b[a>>0]=0;break}}while(0);g=f[h>>2]|0;if(!(g&1)){u=c;return}h=g&-2;if(!(f[h>>2]|0)){u=c;return}L3b(h);u=c;return}function pHa(a){a=a|0;return 1}function qHa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;d=u;u=u+48|0;e=d+32|0;g=d;h=c+4|0;i=a+60|0;j=a+4|0;k=a+60|0;l=a+64|0;m=a+64|0;n=a+8|0;o=a+12|0;p=a+20|0;q=a+68|0;r=a+68|0;s=a+24|0;a=g+4|0;t=g+8|0;v=g+24|0;w=e+4|0;x=t+11|0;y=g+12|0;a:while(1){z=f[c>>2]|0;if(z>>>0<(f[h>>2]|0)>>>0){A=b[z>>0]|0;B=A&255;if(A<<24>>24>0){f[c>>2]=z+1;C=B;D=6}else{E=B;D=5}}else{E=0;D=5}if((D|0)==5){D=0;B=xCb(c,E)|0;if((B+-1|0)>>>0<127){C=B;D=6}else F=B}b:do if((D|0)==6){D=0;switch(C>>>3&536870911|0){case 1:{if((C&255|0)!=10){F=C;break b}B=f[j>>2]|0;z=B&-2;if(!(B&1))G=z;else G=f[z+4>>2]|0;z=f[i>>2]|0;if((z|0)==535416){PDa(i,G,535416);H=f[i>>2]|0}else H=z;if(!(HEb(c,H)|0)){I=0;D=67;break a}z=f[k>>2]|0;B=b[z+11>>0]|0;if(B<<24>>24<0){J=f[z>>2]|0;K=f[z+4>>2]|0}else{J=z;K=B&255}if(IEb(J,K,0,409851)|0)continue a;else{I=0;D=67;break a}break}case 2:{if((C&255|0)!=18){F=C;break b}B=f[j>>2]|0;z=B&-2;if(!(B&1))L=z;else L=f[z+4>>2]|0;z=f[l>>2]|0;if((z|0)==535416){PDa(l,L,535416);M=f[l>>2]|0}else M=z;if(!(HEb(c,M)|0)){I=0;D=67;break a}z=f[m>>2]|0;B=b[z+11>>0]|0;if(B<<24>>24<0){N=f[z>>2]|0;O=f[z+4>>2]|0}else{N=z;O=B&255}if(IEb(N,O,0,409882)|0)continue a;else{I=0;D=67;break a}break}case 3:{if((C&255|0)!=26){F=C;break b}if(!(HEb(c,dFa(n)|0)|0)){I=0;D=67;break a}B=f[(f[p>>2]|0)+4+((f[o>>2]|0)+-1<<2)>>2]|0;z=b[B+11>>0]|0;if(z<<24>>24<0){P=f[B>>2]|0;Q=f[B+4>>2]|0}else{P=B;Q=z&255}if(IEb(P,Q,0,409911)|0)continue a;else{I=0;D=67;break a}break}case 4:{if((C&255|0)!=34){F=C;break b}z=f[j>>2]|0;B=z&-2;if(!(z&1))R=B;else R=f[B+4>>2]|0;B=f[q>>2]|0;if((B|0)==535416){PDa(q,R,535416);S=f[q>>2]|0}else S=B;if(!(HEb(c,S)|0)){I=0;D=67;break a}B=f[r>>2]|0;z=b[B+11>>0]|0;if(z<<24>>24<0){T=f[B>>2]|0;U=f[B+4>>2]|0}else{T=B;U=z&255}if(IEb(T,U,0,409943)|0)continue a;else{I=0;D=67;break a}break}case 5:{if((C&255|0)!=42){F=C;break b}f[g>>2]=s;z=ci[f[(f[s>>2]|0)+68>>2]&1023](s)|0;f[a>>2]=z;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[v>>2]=0;z=f[c>>2]|0;if(z>>>0<(f[h>>2]|0)>>>0?(B=b[z>>0]|0,B<<24>>24>-1):0){f[c>>2]=z+1;V=B&255;D=51}else{B=wCb(c)|0;if((B|0)>-1){V=B;D=51}else W=6}do if((D|0)==51){D=0;hCb(e,c,V);if((f[w>>2]|0)>=0?NHa(g,c)|0:0){if(!(mCb(c,f[e>>2]|0)|0)){W=6;break}B=b[x>>0]|0;z=B<<24>>24<0;A=IEb(z?f[t>>2]|0:t,z?f[y>>2]|0:B&255,0,409976)|0;W=A?0:6;break}W=6}while(0);A=f[v>>2]|0;if(A|0)ai[f[(f[A>>2]|0)+4>>2]&2047](A);if((b[x>>0]|0)<0)Emc(f[t>>2]|0);switch(W&7){case 0:{continue a;break}case 6:{I=0;D=67;break a;break}default:{D=66;break a}}break}default:{F=C;break b}}}while(0);if(!F){D=66;break}A=f[j>>2]|0;if(!(A&1))X=AHa(j)|0;else X=A&-2;if(!(b4b(c,F,X)|0)){I=0;D=67;break}}if((D|0)==66){I=1;u=d;return I|0}else if((D|0)==67){u=d;return I|0}return 0}function rHa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;c=u;u=u+16|0;d=c;e=f[a+4>>2]|0;if((e&1|0)!=0&(b[481264]|0)!=0)g=h4b(e&-2)|0;else g=0;e=f[a+12>>2]|0;h=e+g|0;if((e|0)>0){g=f[a+20>>2]|0;i=0;j=h;while(1){k=f[g+4+(i<<2)>>2]|0;l=b[k+11>>0]|0;m=l<<24>>24<0?f[k+4>>2]|0:l&255;l=m+j+((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)|0;i=i+1|0;if((i|0)==(e|0)){n=l;break}else j=l}}else n=h;h=a+24|0;v_b(h);j=a+56|0;e=f[f[j>>2]>>2]|0;v_b(h);i=e+n|0;n=f[j>>2]|0;j=f[n+12>>2]|0;e=f[n+4>>2]|0;a:do if(e>>>0>j>>>0){g=f[n+16>>2]|0;l=j;while(1){o=f[g+(l<<2)>>2]|0;if(o|0)break;m=l+1|0;if(m>>>0<e>>>0)l=m;else{p=0;q=m;break a}}if((o|0)==(f[g+((l^1)<<2)>>2]|0)){p=f[(f[o>>2]|0)+16>>2]|0;q=l;break}else{p=o;q=l;break}}else{p=0;q=j}while(0);f[d>>2]=p;f[d+4>>2]=n;f[d+8>>2]=q;q=a+44|0;n=i;i=0;while(1){v_b(h);p=f[d>>2]|0;if(!p)break;if(!i){r=0;s=p}else{p=(ci[f[(f[i>>2]|0)+20>>2]&1023](i)|0)==0;r=p?i:0;s=f[d>>2]|0}p=f[s+12>>2]|0;j=p+16|0;o=f[q>>2]|0;if(!o){e=Bmc(32)|0;f[e+12>>2]=0;f[e+4>>2]=535416;f[e+8>>2]=0;f[e+20>>2]=0;t=e}else{if(f[o+64>>2]|0)pBb(o,18872,32);e=nBb(o,32)|0;m=o;f[e+12>>2]=m;f[e+4>>2]=535416;f[e+8>>2]=0;f[e+20>>2]=m;t=e}f[t>>2]=111716;f[t+24>>2]=p;f[t+28>>2]=j;f[t+16>>2]=3;if((r|0)!=(t|0))if(!r)v=t;else{ai[f[(f[r>>2]|0)+4>>2]&2047](r);v=t}else v=r;j=v+16|0;p=f[j>>2]|0;if(!(p&1)){w=p;x=0}else{p=ci[f[(f[v>>2]|0)+100>>2]&1023](v)|0;e=b[p+11>>0]|0;m=e<<24>>24<0?f[p+4>>2]|0:e&255;e=m+1+((((($(m|1|0)|0)^31)*9|0)+73|0)>>>6)|0;w=f[j>>2]|0;x=e}if(!(w&2))y=0;else{e=ZKa(ci[f[(f[v>>2]|0)+104>>2]&1023](v)|0)|0;y=e+1+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0}e=y+x|0;j=e+n+((((($(e|1|0)|0)^31)*9|0)+73|0)>>>6)|0;hDa(d)|0;n=j;i=v}if(i|0?(ci[f[(f[i>>2]|0)+20>>2]&1023](i)|0)==0:0)ai[f[(f[i>>2]|0)+4>>2]&2047](i);i=f[a+60>>2]|0;v=b[i+11>>0]|0;d=v<<24>>24<0;if(d)z=f[i+4>>2]|0;else z=v&255;if(!z)A=n;else{z=d?f[i+4>>2]|0:v&255;A=n+1+z+((((($(z|1|0)|0)^31)*9|0)+73|0)>>>6)|0}z=f[a+64>>2]|0;n=b[z+11>>0]|0;v=n<<24>>24<0;if(v)B=f[z+4>>2]|0;else B=n&255;if(!B)C=A;else{B=v?f[z+4>>2]|0:n&255;C=A+1+B+((((($(B|1|0)|0)^31)*9|0)+73|0)>>>6)|0}B=f[a+68>>2]|0;A=b[B+11>>0]|0;n=A<<24>>24<0;if(n)D=f[B+4>>2]|0;else D=A&255;if(!D){E=C;F=a+72|0;f[F>>2]=E;u=c;return E|0}D=n?f[B+4>>2]|0:A&255;E=C+1+D+((((($(D|1|0)|0)^31)*9|0)+73|0)>>>6)|0;F=a+72|0;f[F>>2]=E;u=c;return E|0}function sHa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;d=u;u=u+16|0;e=d;g=a+60|0;h=f[g>>2]|0;i=b[h+11>>0]|0;j=i<<24>>24<0;if(j)k=f[h+4>>2]|0;else k=i&255;if(k|0){if(j){l=f[h>>2]|0;m=f[h+4>>2]|0}else{l=h;m=i&255}IEb(l,m,1,409851)|0;BEb(1,f[g>>2]|0,c)}g=a+64|0;m=f[g>>2]|0;l=b[m+11>>0]|0;i=l<<24>>24<0;if(i)n=f[m+4>>2]|0;else n=l&255;if(n|0){if(i){o=f[m>>2]|0;p=f[m+4>>2]|0}else{o=m;p=l&255}IEb(o,p,1,409882)|0;BEb(2,f[g>>2]|0,c)}g=f[a+12>>2]|0;if((g|0)>0){p=a+20|0;o=0;do{l=f[(f[p>>2]|0)+4+(o<<2)>>2]|0;m=b[l+11>>0]|0;if(m<<24>>24<0){q=f[l>>2]|0;r=f[l+4>>2]|0}else{q=l;r=m&255}IEb(q,r,1,409911)|0;AEb(3,f[(f[p>>2]|0)+4+(o<<2)>>2]|0,c);o=o+1|0}while((o|0)!=(g|0))}g=a+68|0;o=f[g>>2]|0;p=b[o+11>>0]|0;r=p<<24>>24<0;if(r)s=f[o+4>>2]|0;else s=p&255;if(s|0){if(r){t=f[o>>2]|0;v=f[o+4>>2]|0}else{t=o;v=p&255}IEb(t,v,1,409943)|0;BEb(4,f[g>>2]|0,c)}g=a+24|0;v_b(g);v=a+56|0;do if(f[f[v>>2]>>2]|0){if(!(b[c+18>>0]|0)){if(f[222909]|0)w=35}else if(b[c+19>>0]|0)w=35;if((w|0)==35?(v_b(g),(f[f[v>>2]>>2]|0)>>>0>1):0){v_b(g);t=f[f[v>>2]>>2]|0;p=Dmc(t>>>0>1073741823?-1:t<<2)|0;v_b(g);t=f[v>>2]|0;o=f[t+12>>2]|0;r=f[t+4>>2]|0;a:do if(r>>>0>o>>>0){s=f[t+16>>2]|0;q=o;while(1){x=f[s+(q<<2)>>2]|0;if(x|0)break;m=q+1|0;if(m>>>0<r>>>0)q=m;else{y=0;z=m;break a}}if((x|0)==(f[s+((q^1)<<2)>>2]|0)){y=f[(f[x>>2]|0)+16>>2]|0;z=q;break}else{y=x;z=q;break}}else{y=0;z=o}while(0);f[e>>2]=y;f[e+4>>2]=t;f[e+8>>2]=z;o=0;while(1){v_b(g);r=f[e>>2]|0;if(!r)break;f[p+(o<<2)>>2]=f[r+12>>2];hDa(e)|0;o=o+1|0}EHa(p,p+(o<<2)|0,e);if(o|0){t=a+44|0;r=0;m=0;do{l=p+(r<<2)|0;i=f[l>>2]|0;n=i+16|0;h=f[t>>2]|0;if(!h){j=Bmc(32)|0;f[j+12>>2]=0;f[j+4>>2]=535416;f[j+8>>2]=0;f[j+20>>2]=0;A=j}else{if(f[h+64>>2]|0)pBb(h,18872,32);j=nBb(h,32)|0;k=h;f[j+12>>2]=k;f[j+4>>2]=535416;f[j+8>>2]=0;f[j+20>>2]=k;A=j}f[A>>2]=111716;f[A+24>>2]=i;f[A+28>>2]=n;f[A+16>>2]=3;if((m|0)!=(A|0))if(!m)B=A;else{ai[f[(f[m>>2]|0)+4>>2]&2047](m);B=A}else B=m;GEb(5,B,c);n=(ci[f[(f[B>>2]|0)+20>>2]&1023](B)|0)==0;m=n?B:0;n=f[l>>2]|0;l=b[n+11>>0]|0;if(l<<24>>24<0){C=f[n>>2]|0;D=f[n+4>>2]|0}else{C=n;D=l&255}IEb(C,D,1,409976)|0;r=r+1|0}while(r>>>0<o>>>0);if(m|0)ai[f[(f[m>>2]|0)+4>>2]&2047](m)}Fmc(p);break}v_b(g);o=f[v>>2]|0;r=f[o+12>>2]|0;t=f[o+4>>2]|0;b:do if(t>>>0>r>>>0){l=f[o+16>>2]|0;n=r;while(1){E=f[l+(n<<2)>>2]|0;if(E|0)break;i=n+1|0;if(i>>>0<t>>>0)n=i;else{F=0;G=i;break b}}if((E|0)==(f[l+((n^1)<<2)>>2]|0)){F=f[(f[E>>2]|0)+16>>2]|0;G=n;break}else{F=E;G=n;break}}else{F=0;G=r}while(0);f[e>>2]=F;f[e+4>>2]=o;f[e+8>>2]=G;r=a+44|0;t=0;while(1){v_b(g);p=f[e>>2]|0;if(!p)break;m=f[p+12>>2]|0;p=m+16|0;q=f[r>>2]|0;if(!q){s=Bmc(32)|0;f[s+12>>2]=0;f[s+4>>2]=535416;f[s+8>>2]=0;f[s+20>>2]=0;H=s}else{if(f[q+64>>2]|0)pBb(q,18872,32);s=nBb(q,32)|0;i=q;f[s+12>>2]=i;f[s+4>>2]=535416;f[s+8>>2]=0;f[s+20>>2]=i;H=s}f[H>>2]=111716;f[H+24>>2]=m;f[H+28>>2]=p;f[H+16>>2]=3;if((t|0)!=(H|0))if(!t)I=H;else{ai[f[(f[t>>2]|0)+4>>2]&2047](t);I=H}else I=t;GEb(5,I,c);p=(ci[f[(f[I>>2]|0)+20>>2]&1023](I)|0)==0;m=f[(f[e>>2]|0)+12>>2]|0;s=b[m+11>>0]|0;if(s<<24>>24<0){J=f[m>>2]|0;K=f[m+4>>2]|0}else{J=m;K=s&255}IEb(J,K,1,409976)|0;hDa(e)|0;t=p?I:0}if(t|0)ai[f[(f[t>>2]|0)+4>>2]&2047](t)}while(0);I=f[a+4>>2]|0;if(!((I&1|0)!=0&(b[481264]|0)!=0)){u=d;return}e4b(I&-2,c);u=d;return}function tHa(a){a=a|0;return f[a+72>>2]|0}function uHa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0;e=u;u=u+16|0;g=e;h=a+60|0;i=f[h>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0;if(k)l=f[i+4>>2]|0;else l=j&255;if(!l)m=d;else{if(k){n=f[i>>2]|0;o=f[i+4>>2]|0}else{n=i;o=j&255}IEb(n,o,1,409851)|0;o=f[h>>2]|0;b[d>>0]=10;m=GCb(o,d+1|0)|0}d=a+64|0;o=f[d>>2]|0;h=b[o+11>>0]|0;n=h<<24>>24<0;if(n)p=f[o+4>>2]|0;else p=h&255;if(!p)q=m;else{if(n){r=f[o>>2]|0;s=f[o+4>>2]|0}else{r=o;s=h&255}IEb(r,s,1,409882)|0;s=f[d>>2]|0;b[m>>0]=18;q=GCb(s,m+1|0)|0}m=f[a+12>>2]|0;if((m|0)>0){s=a+20|0;d=0;r=q;while(1){h=f[(f[s>>2]|0)+4+(d<<2)>>2]|0;o=b[h+11>>0]|0;if(o<<24>>24<0){t=f[h>>2]|0;v=f[h+4>>2]|0}else{t=h;v=o&255}IEb(t,v,1,409911)|0;o=f[(f[s>>2]|0)+4+(d<<2)>>2]|0;b[r>>0]=26;h=GCb(o,r+1|0)|0;d=d+1|0;if((d|0)==(m|0)){w=h;break}else r=h}}else w=q;q=a+68|0;r=f[q>>2]|0;m=b[r+11>>0]|0;d=m<<24>>24<0;if(d)x=f[r+4>>2]|0;else x=m&255;if(!x)y=w;else{if(d){z=f[r>>2]|0;A=f[r+4>>2]|0}else{z=r;A=m&255}IEb(z,A,1,409943)|0;A=f[q>>2]|0;b[w>>0]=34;y=GCb(A,w+1|0)|0}w=a+24|0;v_b(w);A=a+56|0;do if(f[f[A>>2]>>2]|0){if(c?(v_b(w),(f[f[A>>2]>>2]|0)>>>0>1):0){v_b(w);q=f[f[A>>2]>>2]|0;z=Dmc(q>>>0>1073741823?-1:q<<2)|0;v_b(w);q=f[A>>2]|0;m=f[q+12>>2]|0;r=f[q+4>>2]|0;a:do if(r>>>0>m>>>0){d=f[q+16>>2]|0;x=m;while(1){B=f[d+(x<<2)>>2]|0;if(B|0)break;s=x+1|0;if(s>>>0<r>>>0)x=s;else{C=0;D=s;break a}}if((B|0)==(f[d+((x^1)<<2)>>2]|0)){C=f[(f[B>>2]|0)+16>>2]|0;D=x;break}else{C=B;D=x;break}}else{C=0;D=m}while(0);f[g>>2]=C;f[g+4>>2]=q;f[g+8>>2]=D;m=0;while(1){v_b(w);r=f[g>>2]|0;if(!r)break;f[z+(m<<2)>>2]=f[r+12>>2];hDa(g)|0;m=m+1|0}EHa(z,z+(m<<2)|0,g);if(m){q=a+44|0;r=0;s=y;v=0;do{t=z+(r<<2)|0;h=f[t>>2]|0;o=h+16|0;n=f[q>>2]|0;if(!n){p=Bmc(32)|0;f[p+12>>2]=0;f[p+4>>2]=535416;f[p+8>>2]=0;f[p+20>>2]=0;E=p}else{if(f[n+64>>2]|0)pBb(n,18872,32);p=nBb(n,32)|0;j=n;f[p+12>>2]=j;f[p+4>>2]=535416;f[p+8>>2]=0;f[p+20>>2]=j;E=p}f[E>>2]=111716;f[E+24>>2]=h;f[E+28>>2]=o;f[E+16>>2]=3;if((v|0)!=(E|0))if(!v)F=E;else{ai[f[(f[v>>2]|0)+4>>2]&2047](v);F=E}else F=v;b[s>>0]=42;o=s+1|0;h=F+16|0;p=f[h>>2]|0;if(!(p&1)){G=p;H=0}else{p=ci[f[(f[F>>2]|0)+100>>2]&1023](F)|0;j=b[p+11>>0]|0;n=j<<24>>24<0?f[p+4>>2]|0:j&255;j=n+1+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0;G=f[h>>2]|0;H=j}if(!(G&2))I=0;else{j=ci[f[(f[F>>2]|0)+104>>2]&1023](F)|0;h=ci[f[(f[j>>2]|0)+60>>2]&1023](j)|0;I=h+1+((((($(h|1|0)|0)^31)*9|0)+73|0)>>>6)|0}h=I+H|0;if(h>>>0>127){j=h;n=o;while(1){b[n>>0]=j|128;p=j>>>7;i=n+1|0;if(j>>>0>16383){j=p;n=i}else{J=i;K=p;break}}}else{J=o;K=h}b[J>>0]=K;n=ci[f[(f[F>>2]|0)+100>>2]&1023](F)|0;b[J+1>>0]=10;j=GCb(n,J+2|0)|0;n=ci[f[(f[F>>2]|0)+104>>2]&1023](F)|0;b[j>>0]=18;x=j+1|0;j=ci[f[(f[n>>2]|0)+60>>2]&1023](n)|0;if(j>>>0>127){d=j;p=x;while(1){b[p>>0]=d|128;i=d>>>7;k=p+1|0;if(d>>>0>16383){d=i;p=k}else{L=k;M=i;break}}}else{L=x;M=j}b[L>>0]=M;s=ki[f[(f[n>>2]|0)+64>>2]&511](n,1,L+1|0)|0;p=(ci[f[(f[F>>2]|0)+20>>2]&1023](F)|0)==0;v=p?F:0;p=f[t>>2]|0;d=b[p+11>>0]|0;if(d<<24>>24<0){N=f[p>>2]|0;O=f[p+4>>2]|0}else{N=p;O=d&255}IEb(N,O,1,409976)|0;r=r+1|0}while(r>>>0<m>>>0);if(!v)P=s;else{ai[f[(f[v>>2]|0)+4>>2]&2047](v);P=s}}else P=y;Fmc(z);Q=P;break}v_b(w);m=f[A>>2]|0;r=f[m+12>>2]|0;q=f[m+4>>2]|0;b:do if(q>>>0>r>>>0){d=f[m+16>>2]|0;p=r;while(1){R=f[d+(p<<2)>>2]|0;if(R|0)break;h=p+1|0;if(h>>>0<q>>>0)p=h;else{S=0;T=h;break b}}if((R|0)==(f[d+((p^1)<<2)>>2]|0)){S=f[(f[R>>2]|0)+16>>2]|0;T=p;break}else{S=R;T=p;break}}else{S=0;T=r}while(0);f[g>>2]=S;f[g+4>>2]=m;f[g+8>>2]=T;r=a+44|0;q=y;z=0;while(1){v_b(w);s=f[g>>2]|0;if(!s)break;v=f[s+12>>2]|0;s=v+16|0;t=f[r>>2]|0;if(!t){n=Bmc(32)|0;f[n+12>>2]=0;f[n+4>>2]=535416;f[n+8>>2]=0;f[n+20>>2]=0;U=n}else{if(f[t+64>>2]|0)pBb(t,18872,32);n=nBb(t,32)|0;j=t;f[n+12>>2]=j;f[n+4>>2]=535416;f[n+8>>2]=0;f[n+20>>2]=j;U=n}f[U>>2]=111716;f[U+24>>2]=v;f[U+28>>2]=s;f[U+16>>2]=3;if((z|0)!=(U|0))if(!z)V=U;else{ai[f[(f[z>>2]|0)+4>>2]&2047](z);V=U}else V=z;b[q>>0]=42;s=q+1|0;v=V+16|0;n=f[v>>2]|0;if(!(n&1)){W=n;X=0}else{n=ci[f[(f[V>>2]|0)+100>>2]&1023](V)|0;j=b[n+11>>0]|0;t=j<<24>>24<0?f[n+4>>2]|0:j&255;j=t+1+((((($(t|1|0)|0)^31)*9|0)+73|0)>>>6)|0;W=f[v>>2]|0;X=j}if(!(W&2))Y=0;else{j=ci[f[(f[V>>2]|0)+104>>2]&1023](V)|0;v=ci[f[(f[j>>2]|0)+60>>2]&1023](j)|0;Y=v+1+((((($(v|1|0)|0)^31)*9|0)+73|0)>>>6)|0}v=Y+X|0;if(v>>>0>127){j=v;t=s;while(1){b[t>>0]=j|128;n=j>>>7;x=t+1|0;if(j>>>0>16383){j=n;t=x}else{Z=x;_=n;break}}}else{Z=s;_=v}b[Z>>0]=_;t=ci[f[(f[V>>2]|0)+100>>2]&1023](V)|0;b[Z+1>>0]=10;j=GCb(t,Z+2|0)|0;t=ci[f[(f[V>>2]|0)+104>>2]&1023](V)|0;b[j>>0]=18;p=j+1|0;j=ci[f[(f[t>>2]|0)+60>>2]&1023](t)|0;if(j>>>0>127){d=j;n=p;while(1){b[n>>0]=d|128;x=d>>>7;h=n+1|0;if(d>>>0>16383){d=x;n=h}else{aa=h;ba=x;break}}}else{aa=p;ba=j}b[aa>>0]=ba;n=ki[f[(f[t>>2]|0)+64>>2]&511](t,c,aa+1|0)|0;d=(ci[f[(f[V>>2]|0)+20>>2]&1023](V)|0)==0;v=f[(f[g>>2]|0)+12>>2]|0;s=b[v+11>>0]|0;if(s<<24>>24<0){ca=f[v>>2]|0;da=f[v+4>>2]|0}else{ca=v;da=s&255}IEb(ca,da,1,409976)|0;hDa(g)|0;q=n;z=d?V:0}if(!z)Q=q;else{ai[f[(f[z>>2]|0)+4>>2]&2047](z);Q=q}}else Q=y;while(0);y=f[a+4>>2]|0;if(!((y&1|0)!=0&(b[481264]|0)!=0)){ea=Q;u=e;return ea|0}ea=f4b(y&-2,Q)|0;u=e;return ea|0}function vHa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function wHa(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,18848,0)|0;if(!c){c2b(b,a);return}else{zHa(a,c);return}}function xHa(a,b){a=a|0;b=b|0;f[a+72>>2]=b;return}function yHa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222674]|0)!=2){f[d>>2]=149752;f[d+4>>2]=3;b[d+8>>0]=0;dEb(890696,d);zDb(d)}d=528480;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function zHa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}BHa(a+8|0,c+8|0);CHa(a+24|0,c+24|0);e=f[c+60>>2]|0;h=b[e+11>>0]|0;if(h<<24>>24<0)i=f[e+4>>2]|0;else i=h&255;do if(i|0){h=a+60|0;g=f[d>>2]|0;j=g&-2;if(!(g&1))k=j;else k=f[j+4>>2]|0;j=f[h>>2]|0;if((j|0)==535416){PDa(h,k,e);break}else{Qmc(j,e)|0;break}}while(0);e=f[c+64>>2]|0;k=b[e+11>>0]|0;if(k<<24>>24<0)l=f[e+4>>2]|0;else l=k&255;do if(l|0){k=a+64|0;i=f[d>>2]|0;j=i&-2;if(!(i&1))m=j;else m=f[j+4>>2]|0;j=f[k>>2]|0;if((j|0)==535416){PDa(k,m,e);break}else{Qmc(j,e)|0;break}}while(0);e=f[c+68>>2]|0;c=b[e+11>>0]|0;if(c<<24>>24<0)n=f[e+4>>2]|0;else n=c&255;if(!n)return;n=a+68|0;a=f[d>>2]|0;d=a&-2;if(!(a&1))o=d;else o=f[d+4>>2]|0;d=f[n>>2]|0;if((d|0)==535416){PDa(n,o,e);return}else{Qmc(d,e)|0;return}}function AHa(a){a=a|0;var b=0,c=0,d=0,e=0;b=f[a>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=Bmc(8)|0;b=c;f[b>>2]=0;f[b+4>>2]=0;e=c}else{if(f[d+64>>2]|0)pBb(d,18864,8);c=oBb(d,8,1643)|0;b=c;f[b>>2]=0;f[b+4>>2]=0;e=c}f[e>>2]=0;f[a>>2]=e|1;f[e+4>>2]=d;return e|0}function BHa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{Qmc(f[b+(i<<2)>>2]|0,f[d+4+(i<<2)>>2]|0)|0;i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(12)|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;Qmc(l,k)|0;f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)==(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,9552,16);l=oBb(i,16,1630)|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;Qmc(l,j)|0;f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function CHa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;d=c;v_b(a);v_b(b);e=f[b+32>>2]|0;b=f[e+12>>2]|0;g=f[e+4>>2]|0;a:do if(g>>>0>b>>>0){h=f[e+16>>2]|0;i=b;while(1){j=f[h+(i<<2)>>2]|0;if(j|0)break;k=i+1|0;if(k>>>0<g>>>0)i=k;else{l=0;m=k;break a}}if((j|0)==(f[h+((i^1)<<2)>>2]|0)){l=f[(f[j>>2]|0)+16>>2]|0;m=i;break}else{l=j;m=i;break}}else{l=0;m=b}while(0);f[d>>2]=l;f[d+4>>2]=e;f[d+8>>2]=m;if(!l){u_b(a);u=c;return}m=a+24|0;e=l;do{l=f[e+12>>2]|0;CLa(uDa(m,l)|0,l+16|0);hDa(d)|0;e=f[d>>2]|0}while((e|0)!=0);u_b(a);u=c;return}function DHa(a){a=a|0;if(!(f[a>>2]|0))return;L3b(a);return}function EHa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;e=a;a=c;a:while(1){c=a;g=a+-4|0;h=a+-8|0;i=e;while(1){j=i;b:while(1){k=j;l=c-k|0;m=l>>2;switch(m|0){case 2:{n=5;break a;break}case 3:{n=10;break a;break}case 4:{n=11;break a;break}case 5:{n=12;break a;break}case 1:case 0:{n=111;break a;break}default:{}}if((l|0)<124){n=14;break a}o=j+(((m|0)/2|0)<<2)|0;if((l|0)>3996){l=(m|0)/4|0;p=KHa(j,j+(l<<2)|0,o,o+(l<<2)|0,g,d)|0}else p=IHa(j,o,g,d)|0;q=f[j>>2]|0;l=f[o>>2]|0;m=b[l+11>>0]|0;r=m<<24>>24<0;s=r?f[l+4>>2]|0:m&255;m=b[q+11>>0]|0;t=m<<24>>24<0;u=t?f[q+4>>2]|0:m&255;m=s>>>0<u>>>0?s:u;if((m|0)!=0?(v=gac(t?f[q>>2]|0:q,r?f[l>>2]|0:l,m)|0,(v|0)!=0):0){if((v|0)<0){w=g;x=p;break}}else n=20;if((n|0)==20?(n=0,u>>>0<s>>>0):0){w=g;x=p;break}if((j|0)!=(h|0))if(r){r=h;do{v=f[r>>2]|0;m=b[v+11>>0]|0;y=m<<24>>24<0;z=y?f[v+4>>2]|0:m&255;m=s>>>0<z>>>0?s:z;if((m|0)!=0?(A=gac(y?f[v>>2]|0:v,f[l>>2]|0,m)|0,(A|0)!=0):0){if((A|0)<0){B=r;n=74;break b}}else n=27;if((n|0)==27?(n=0,z>>>0<s>>>0):0){B=r;n=74;break b}r=r+-4|0}while((j|0)!=(r|0))}else{r=h;do{z=f[r>>2]|0;A=b[z+11>>0]|0;m=A<<24>>24<0;v=m?f[z+4>>2]|0:A&255;A=s>>>0<v>>>0?s:v;if((A|0)!=0?(y=gac(m?f[z>>2]|0:z,l,A)|0,(y|0)!=0):0){if((y|0)<0){B=r;n=74;break b}}else n=71;if((n|0)==71?(n=0,v>>>0<s>>>0):0){B=r;n=74;break b}r=r+-4|0}while((j|0)!=(r|0))}r=j+4|0;s=f[g>>2]|0;l=b[s+11>>0]|0;v=l<<24>>24<0;y=v?f[s+4>>2]|0:l&255;l=y>>>0<u>>>0?y:u;A=s;if((l|0)!=0?(z=gac(t?f[q>>2]|0:q,v?f[s>>2]|0:s,l)|0,(z|0)!=0):0)if((z|0)<0)C=r;else n=33;else if(u>>>0<y>>>0)C=r;else n=33;if((n|0)==33){n=0;if((r|0)==(g|0)){n=111;break a}c:do if(t){y=r;while(1){z=f[y>>2]|0;l=b[z+11>>0]|0;s=l<<24>>24<0;v=s?f[z+4>>2]|0:l&255;l=v>>>0<u>>>0?v:u;if((l|0)!=0?(m=gac(f[q>>2]|0,s?f[z>>2]|0:z,l)|0,(m|0)!=0):0){if((m|0)<0){D=y;break c}}else n=38;if((n|0)==38?(n=0,u>>>0<v>>>0):0){D=y;break c}y=y+4|0;if((y|0)==(g|0)){n=111;break a}}}else{y=r;while(1){v=f[y>>2]|0;m=b[v+11>>0]|0;l=m<<24>>24<0;z=l?f[v+4>>2]|0:m&255;m=z>>>0<u>>>0?z:u;if((m|0)!=0?(s=gac(q,l?f[v>>2]|0:v,m)|0,(s|0)!=0):0){if((s|0)<0){D=y;break c}}else n=42;if((n|0)==42?(n=0,u>>>0<z>>>0):0){D=y;break c}y=y+4|0;if((y|0)==(g|0)){n=111;break a}}}while(0);u=f[D>>2]|0;f[D>>2]=A;f[g>>2]=u;C=D+4|0}if((C|0)==(g|0)){n=111;break a}else{E=g;F=C}while(1){u=f[j>>2]|0;r=b[u+11>>0]|0;t=r<<24>>24<0;y=t?f[u+4>>2]|0:r&255;d:do if(t){r=F;while(1){z=f[r>>2]|0;s=b[z+11>>0]|0;m=s<<24>>24<0;v=m?f[z+4>>2]|0:s&255;s=v>>>0<y>>>0?v:y;if((s|0)!=0?(l=gac(f[u>>2]|0,m?f[z>>2]|0:z,s)|0,(l|0)!=0):0){if((l|0)<0){G=r;break d}}else n=51;if((n|0)==51?(n=0,y>>>0<v>>>0):0){G=r;break d}r=r+4|0}}else{r=F;while(1){v=f[r>>2]|0;l=b[v+11>>0]|0;s=l<<24>>24<0;z=s?f[v+4>>2]|0:l&255;l=z>>>0<y>>>0?z:y;if((l|0)!=0?(m=gac(u,s?f[v>>2]|0:v,l)|0,(m|0)!=0):0){if((m|0)<0){G=r;break d}}else n=55;if((n|0)==55?(n=0,y>>>0<z>>>0):0){G=r;break d}r=r+4|0}}while(0);e:do if(t){r=E;while(1){z=r+-4|0;m=f[z>>2]|0;l=b[m+11>>0]|0;v=l<<24>>24<0;s=v?f[m+4>>2]|0:l&255;l=s>>>0<y>>>0?s:y;if(l|0?(H=gac(f[u>>2]|0,v?f[m>>2]|0:m,l)|0,H|0):0)if((H|0)<0){r=z;continue}else{I=z;break e}if(y>>>0<s>>>0)r=z;else{I=z;break}}}else{r=E;while(1){z=r+-4|0;s=f[z>>2]|0;H=b[s+11>>0]|0;l=H<<24>>24<0;m=l?f[s+4>>2]|0:H&255;H=m>>>0<y>>>0?m:y;if(H|0?(v=gac(u,l?f[s>>2]|0:s,H)|0,v|0):0)if((v|0)<0){r=z;continue}else{I=z;break e}if(y>>>0<m>>>0)r=z;else{I=z;break}}}while(0);if(G>>>0>=I>>>0){j=G;continue b}y=f[G>>2]|0;f[G>>2]=f[I>>2];f[I>>2]=y;E=I;F=G+4|0}}if((n|0)==74){n=0;f[j>>2]=f[B>>2];f[B>>2]=q;w=B;x=p+1|0}A=j+4|0;f:do if(A>>>0<w>>>0){y=o;u=w;t=A;r=x;while(1){z=f[y>>2]|0;m=b[z+11>>0]|0;v=m<<24>>24<0;H=v?f[z+4>>2]|0:m&255;g:do if(v){m=t;while(1){s=f[m>>2]|0;l=b[s+11>>0]|0;J=l<<24>>24<0;K=J?f[s+4>>2]|0:l&255;l=H>>>0<K>>>0?H:K;if((l|0)!=0?(L=gac(J?f[s>>2]|0:s,f[z>>2]|0,l)|0,(L|0)!=0):0){if((L|0)>=0){M=m;break g}}else n=80;if((n|0)==80?(n=0,K>>>0>=H>>>0):0){M=m;break g}m=m+4|0}}else{m=t;while(1){K=f[m>>2]|0;L=b[K+11>>0]|0;l=L<<24>>24<0;s=l?f[K+4>>2]|0:L&255;L=H>>>0<s>>>0?H:s;if((L|0)!=0?(J=gac(l?f[K>>2]|0:K,z,L)|0,(J|0)!=0):0){if((J|0)>=0){M=m;break g}}else n=84;if((n|0)==84?(n=0,s>>>0>=H>>>0):0){M=m;break g}m=m+4|0}}while(0);h:do if(v){m=u;while(1){s=m+-4|0;J=f[s>>2]|0;L=b[J+11>>0]|0;K=L<<24>>24<0;l=K?f[J+4>>2]|0:L&255;L=H>>>0<l>>>0?H:l;if(L|0?(N=gac(K?f[J>>2]|0:J,f[z>>2]|0,L)|0,N|0):0)if((N|0)<0){O=s;break h}else{m=s;continue}if(l>>>0<H>>>0){O=s;break}else m=s}}else{m=u;while(1){s=m+-4|0;l=f[s>>2]|0;N=b[l+11>>0]|0;L=N<<24>>24<0;J=L?f[l+4>>2]|0:N&255;N=H>>>0<J>>>0?H:J;if(N|0?(K=gac(L?f[l>>2]|0:l,z,N)|0,K|0):0)if((K|0)<0){O=s;break h}else{m=s;continue}if(J>>>0<H>>>0){O=s;break}else m=s}}while(0);if(M>>>0>O>>>0){P=y;Q=r;R=M;break f}H=f[M>>2]|0;f[M>>2]=f[O>>2];f[O>>2]=H;y=(y|0)==(M|0)?O:y;u=O;t=M+4|0;r=r+1|0}}else{P=o;Q=x;R=A}while(0);do if((R|0)==(P|0))S=Q;else{A=f[P>>2]|0;r=f[R>>2]|0;t=b[r+11>>0]|0;u=t<<24>>24<0;y=u?f[r+4>>2]|0:t&255;t=b[A+11>>0]|0;H=t<<24>>24<0;z=H?f[A+4>>2]|0:t&255;t=y>>>0<z>>>0?y:z;v=r;m=A;if((t|0)!=0?(s=gac(H?f[A>>2]|0:A,u?f[r>>2]|0:r,t)|0,(s|0)!=0):0){if((s|0)>=0){S=Q;break}}else n=101;if((n|0)==101?(n=0,z>>>0>=y>>>0):0){S=Q;break}f[R>>2]=m;f[P>>2]=v;S=Q+1|0}while(0);if(!S){T=MHa(j,R,d)|0;v=R+4|0;if(MHa(v,a,d)|0){n=110;break}if(T){i=v;continue}}v=R;if((v-k|0)>=(c-v|0)){n=109;break}EHa(j,R,d);i=R+4|0}if((n|0)==109){n=0;EHa(R+4|0,a,d);e=j;a=R;continue}else if((n|0)==110){n=0;if(T){n=111;break}else{e=j;a=R;continue}}}if((n|0)==5){R=f[g>>2]|0;e=f[j>>2]|0;T=b[e+11>>0]|0;k=T<<24>>24<0;S=k?f[e+4>>2]|0:T&255;T=b[R+11>>0]|0;Q=T<<24>>24<0;P=Q?f[R+4>>2]|0:T&255;T=S>>>0<P>>>0?S:P;x=e;o=R;if((T|0)!=0?(M=gac(Q?f[R>>2]|0:R,k?f[e>>2]|0:e,T)|0,(M|0)!=0):0){if((M|0)>=0)return}else n=7;if((n|0)==7?P>>>0>=S>>>0:0)return;f[j>>2]=o;f[g>>2]=x;return}else if((n|0)==10){IHa(j,j+4|0,g,d)|0;return}else if((n|0)==11){JHa(j,j+4|0,j+8|0,g,d)|0;return}else if((n|0)==12){KHa(j,j+4|0,j+8|0,j+12|0,g,d)|0;return}else if((n|0)==14){LHa(j,a,d);return}else if((n|0)==111)return}function FHa(a){a=a|0;LGa(a);Emc(a);return}function GHa(a){a=a|0;return f[a+24>>2]|0}function HHa(a){a=a|0;return f[a+28>>2]|0}function IHa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=f[c>>2]|0;g=f[a>>2]|0;h=b[g+11>>0]|0;i=h<<24>>24<0;j=g+4|0;k=i?f[j>>2]|0:h&255;h=b[e+11>>0]|0;l=h<<24>>24<0;m=l?f[e+4>>2]|0:h&255;h=k>>>0<m>>>0;n=h?k:m;o=e;p=g;if((n|0)!=0?(q=gac(l?f[e>>2]|0:e,i?f[g>>2]|0:g,n)|0,(q|0)!=0):0)r=q;else r=m>>>0<k>>>0?-1:h&1;h=(r|0)<0;r=f[d>>2]|0;k=b[r+11>>0]|0;q=k<<24>>24<0;n=q?f[r+4>>2]|0:k&255;k=m>>>0<n>>>0;i=k?m:n;s=r;if((i|0)!=0?(t=gac(q?f[r>>2]|0:r,l?f[e>>2]|0:e,i)|0,(t|0)!=0):0)u=t;else u=n>>>0<m>>>0?-1:k&1;k=(u|0)<0;if(!h){if(!k){v=0;return v|0}f[c>>2]=s;f[d>>2]=o;h=f[c>>2]|0;u=f[a>>2]|0;m=b[u+11>>0]|0;n=m<<24>>24<0;t=n?f[u+4>>2]|0:m&255;m=b[h+11>>0]|0;i=m<<24>>24<0;e=i?f[h+4>>2]|0:m&255;m=t>>>0<e>>>0?t:e;l=u;r=h;if((m|0)!=0?(q=gac(i?f[h>>2]|0:h,n?f[u>>2]|0:u,m)|0,(q|0)!=0):0){if((q|0)>=0){v=1;return v|0}}else w=11;if((w|0)==11?e>>>0>=t>>>0:0){v=1;return v|0}f[a>>2]=r;f[c>>2]=l;v=2;return v|0}if(k){f[a>>2]=s;f[d>>2]=p;v=1;return v|0}f[a>>2]=o;f[c>>2]=p;o=f[d>>2]|0;a=b[g+11>>0]|0;s=a<<24>>24<0;k=s?f[j>>2]|0:a&255;a=b[o+11>>0]|0;j=a<<24>>24<0;l=j?f[o+4>>2]|0:a&255;a=k>>>0<l>>>0?k:l;r=o;if((a|0)!=0?(t=gac(j?f[o>>2]|0:o,s?f[g>>2]|0:g,a)|0,(t|0)!=0):0){if((t|0)>=0){v=1;return v|0}}else w=18;if((w|0)==18?l>>>0>=k>>>0:0){v=1;return v|0}f[c>>2]=r;f[d>>2]=p;v=2;return v|0}function JHa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=IHa(a,c,d,g)|0;g=f[e>>2]|0;i=f[d>>2]|0;j=b[i+11>>0]|0;k=j<<24>>24<0;l=k?f[i+4>>2]|0:j&255;j=b[g+11>>0]|0;m=j<<24>>24<0;n=m?f[g+4>>2]|0:j&255;j=l>>>0<n>>>0?l:n;o=i;p=g;if((j|0)!=0?(q=gac(m?f[g>>2]|0:g,k?f[i>>2]|0:i,j)|0,(q|0)!=0):0){if((q|0)>=0){r=h;return r|0}}else s=3;if((s|0)==3?n>>>0>=l>>>0:0){r=h;return r|0}f[d>>2]=p;f[e>>2]=o;o=h+1|0;e=f[d>>2]|0;p=f[c>>2]|0;l=b[p+11>>0]|0;n=l<<24>>24<0;q=n?f[p+4>>2]|0:l&255;l=b[e+11>>0]|0;j=l<<24>>24<0;i=j?f[e+4>>2]|0:l&255;l=q>>>0<i>>>0?q:i;k=p;g=e;if((l|0)!=0?(m=gac(j?f[e>>2]|0:e,n?f[p>>2]|0:p,l)|0,(m|0)!=0):0){if((m|0)>=0){r=o;return r|0}}else s=7;if((s|0)==7?i>>>0>=q>>>0:0){r=o;return r|0}f[c>>2]=g;f[d>>2]=k;k=h+2|0;d=f[c>>2]|0;g=f[a>>2]|0;o=b[g+11>>0]|0;q=o<<24>>24<0;i=q?f[g+4>>2]|0:o&255;o=b[d+11>>0]|0;m=o<<24>>24<0;l=m?f[d+4>>2]|0:o&255;o=i>>>0<l>>>0?i:l;p=g;n=d;if((o|0)!=0?(e=gac(m?f[d>>2]|0:d,q?f[g>>2]|0:g,o)|0,(e|0)!=0):0){if((e|0)>=0){r=k;return r|0}}else s=11;if((s|0)==11?l>>>0>=i>>>0:0){r=k;return r|0}f[a>>2]=n;f[c>>2]=p;r=h+3|0;return r|0}function KHa(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;i=JHa(a,c,d,e,h)|0;h=f[g>>2]|0;j=f[e>>2]|0;k=b[j+11>>0]|0;l=k<<24>>24<0;m=l?f[j+4>>2]|0:k&255;k=b[h+11>>0]|0;n=k<<24>>24<0;o=n?f[h+4>>2]|0:k&255;k=m>>>0<o>>>0?m:o;p=j;q=h;if((k|0)!=0?(r=gac(n?f[h>>2]|0:h,l?f[j>>2]|0:j,k)|0,(r|0)!=0):0){if((r|0)>=0){s=i;return s|0}}else t=3;if((t|0)==3?o>>>0>=m>>>0:0){s=i;return s|0}f[e>>2]=q;f[g>>2]=p;p=i+1|0;g=f[e>>2]|0;q=f[d>>2]|0;m=b[q+11>>0]|0;o=m<<24>>24<0;r=o?f[q+4>>2]|0:m&255;m=b[g+11>>0]|0;k=m<<24>>24<0;j=k?f[g+4>>2]|0:m&255;m=r>>>0<j>>>0?r:j;l=q;h=g;if((m|0)!=0?(n=gac(k?f[g>>2]|0:g,o?f[q>>2]|0:q,m)|0,(n|0)!=0):0){if((n|0)>=0){s=p;return s|0}}else t=7;if((t|0)==7?j>>>0>=r>>>0:0){s=p;return s|0}f[d>>2]=h;f[e>>2]=l;l=i+2|0;e=f[d>>2]|0;h=f[c>>2]|0;p=b[h+11>>0]|0;r=p<<24>>24<0;j=r?f[h+4>>2]|0:p&255;p=b[e+11>>0]|0;n=p<<24>>24<0;m=n?f[e+4>>2]|0:p&255;p=j>>>0<m>>>0?j:m;q=h;o=e;if((p|0)!=0?(g=gac(n?f[e>>2]|0:e,r?f[h>>2]|0:h,p)|0,(g|0)!=0):0){if((g|0)>=0){s=l;return s|0}}else t=11;if((t|0)==11?m>>>0>=j>>>0:0){s=l;return s|0}f[c>>2]=o;f[d>>2]=q;q=i+3|0;d=f[c>>2]|0;o=f[a>>2]|0;l=b[o+11>>0]|0;j=l<<24>>24<0;m=j?f[o+4>>2]|0:l&255;l=b[d+11>>0]|0;g=l<<24>>24<0;p=g?f[d+4>>2]|0:l&255;l=m>>>0<p>>>0?m:p;h=o;r=d;if((l|0)!=0?(e=gac(g?f[d>>2]|0:d,j?f[o>>2]|0:o,l)|0,(e|0)!=0):0){if((e|0)>=0){s=q;return s|0}}else t=15;if((t|0)==15?p>>>0>=m>>>0:0){s=q;return s|0}f[a>>2]=r;f[c>>2]=h;s=i+4|0;return s|0}function LHa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=a+8|0;IHa(a,a+4|0,e,d)|0;d=a+12|0;if((d|0)==(c|0))return;else{g=d;h=e}while(1){e=f[g>>2]|0;d=f[h>>2]|0;i=b[d+11>>0]|0;j=i<<24>>24<0;k=j?f[d+4>>2]|0:i&255;i=b[e+11>>0]|0;l=i<<24>>24<0;m=e+4|0;n=l?f[m>>2]|0:i&255;i=k>>>0<n>>>0?k:n;o=e;p=d;if((i|0)!=0?(q=gac(l?f[e>>2]|0:e,j?f[d>>2]|0:d,i)|0,(q|0)!=0):0){if((q|0)<0)r=7}else r=5;if((r|0)==5?(r=0,n>>>0<k>>>0):0)r=7;if((r|0)==7){r=0;f[g>>2]=p;a:do if((h|0)==(a|0))s=h;else{p=b[e+11>>0]|0;k=p<<24>>24<0;n=p&255;p=h;q=h;while(1){i=q;q=p+-4|0;d=f[q>>2]|0;j=b[d+11>>0]|0;l=j<<24>>24<0;t=l?f[d+4>>2]|0:j&255;j=k?f[m>>2]|0:n;u=t>>>0<j>>>0?t:j;v=d;if((u|0)!=0?(w=gac(k?f[e>>2]|0:e,l?f[d>>2]|0:d,u)|0,(w|0)!=0):0){if((w|0)>=0){s=i;break a}}else r=11;if((r|0)==11?(r=0,j>>>0>=t>>>0):0){s=i;break a}f[i>>2]=v;if((q|0)==(a|0)){s=q;break}else p=q}}while(0);f[s>>2]=o}e=g+4|0;if((e|0)==(c|0))break;else{m=g;g=e;h=m}}return}function MHa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;switch(c-a>>2|0){case 2:{e=c+-4|0;g=f[e>>2]|0;h=f[a>>2]|0;i=b[h+11>>0]|0;j=i<<24>>24<0;k=j?f[h+4>>2]|0:i&255;i=b[g+11>>0]|0;l=i<<24>>24<0;m=l?f[g+4>>2]|0:i&255;i=k>>>0<m>>>0?k:m;n=h;o=g;if((i|0)!=0?(p=gac(l?f[g>>2]|0:g,j?f[h>>2]|0:h,i)|0,(p|0)!=0):0){if((p|0)>=0){q=1;return q|0}}else r=4;if((r|0)==4?m>>>0>=k>>>0:0){q=1;return q|0}f[a>>2]=o;f[e>>2]=n;q=1;return q|0}case 3:{IHa(a,a+4|0,c+-4|0,d)|0;q=1;return q|0}case 4:{JHa(a,a+4|0,a+8|0,c+-4|0,d)|0;q=1;return q|0}case 5:{KHa(a,a+4|0,a+8|0,a+12|0,c+-4|0,d)|0;q=1;return q|0}case 1:case 0:{q=1;return q|0}default:{n=a+8|0;IHa(a,a+4|0,n,d)|0;d=a+12|0;a:do if((d|0)==(c|0)){s=1;t=0}else{e=d;o=0;k=n;while(1){m=f[e>>2]|0;p=f[k>>2]|0;i=b[p+11>>0]|0;h=i<<24>>24<0;j=h?f[p+4>>2]|0:i&255;i=b[m+11>>0]|0;g=i<<24>>24<0;l=m+4|0;u=g?f[l>>2]|0:i&255;i=j>>>0<u>>>0?j:u;v=m;w=p;if((i|0)!=0?(x=gac(g?f[m>>2]|0:m,h?f[p>>2]|0:p,i)|0,(x|0)!=0):0)if((x|0)<0)r=15;else y=o;else if(u>>>0<j>>>0)r=15;else y=o;if((r|0)==15){r=0;f[e>>2]=w;b:do if((k|0)==(a|0))z=k;else{w=b[m+11>>0]|0;j=w<<24>>24<0;u=w&255;w=k;x=k;while(1){x=x+-4|0;i=f[x>>2]|0;p=b[i+11>>0]|0;h=p<<24>>24<0;g=h?f[i+4>>2]|0:p&255;p=j?f[l>>2]|0:u;A=g>>>0<p>>>0?g:p;B=i;if((A|0)!=0?(C=gac(j?f[m>>2]|0:m,h?f[i>>2]|0:i,A)|0,(C|0)!=0):0){if((C|0)>=0){z=w;break b}}else r=19;if((r|0)==19?(r=0,p>>>0>=g>>>0):0){z=w;break b}f[w>>2]=B;if((x|0)==(a|0)){z=x;break}else w=x}}while(0);f[z>>2]=v;m=o+1|0;if((m|0)==8){s=0;t=(e+4|0)==(c|0);break a}else y=m}m=e+4|0;if((m|0)==(c|0)){s=1;t=0;break}else{l=e;e=m;o=y;k=l}}}while(0);q=t|s;return q|0}}return 0}function NHa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;d=u;u=u+48|0;e=d+24|0;g=d+12|0;h=d;i=f[c>>2]|0;j=c+4|0;if(i>>>0<(f[j>>2]|0)>>>0?(b[i>>0]|0)==10:0){f[c>>2]=i+1;i=a+8|0;if(!(HEb(c,i)|0)){k=0;u=d;return k|0}l=f[c>>2]|0;if((((f[j>>2]|0)-l|0)>0?(b[l>>0]|0)==18:0)?(l=a+4|0,m=f[l>>2]|0,n=f[f[m+8>>2]>>2]|0,o=uDa(m,i)|0,m=a+20|0,f[m>>2]=o,(n|0)!=(f[f[(f[l>>2]|0)+8>>2]>>2]|0)):0){n=f[j>>2]|0;p=f[c>>2]|0;q=n-p|0;if((q|0)<1){qCb(c,1,q)|0;r=f[c>>2]|0;s=f[j>>2]|0;t=f[m>>2]|0}else{m=p+1|0;f[c>>2]=m;r=m;s=n;t=o}if(r>>>0<s>>>0?(s=b[r>>0]|0,s<<24>>24>-1):0){f[c>>2]=r+1;v=s&255;w=14}else w=13;if((w|0)==13?(s=wCb(c)|0,(s|0)>-1):0){v=s;w=14}do if(((w|0)==14?(hCb(e,c,v),(f[e+4>>2]|0)>=0):0)?_Ka(t,c)|0:0){if(!(mCb(c,f[e>>2]|0)|0))break;do if((f[c>>2]|0)==(f[j>>2]|0)){if((f[c+32>>2]|0)==0?(f[c+12>>2]|0)!=(f[c+28>>2]|0):0)break;f[c+20>>2]=0;b[c+24>>0]=1;k=1;u=d;return k|0}while(0);k=OHa(a,c)|0;u=d;return k|0}while(0);j=f[l>>2]|0;QCa(e,f[j+8>>2]|0,i,0);i=f[e>>2]|0;l=f[e+4>>2]|0;t=f[e+8>>2]|0;if(i|0){f[g>>2]=i;f[g+4>>2]=l;f[g+8>>2]=t;f[e>>2]=f[g>>2];f[e+4>>2]=f[g+4>>2];f[e+8>>2]=f[g+8>>2];lDa(h,j,e)}k=0;u=d;return k|0}}else w=26;if((w|0)==26?(f[e>>2]=0,f[e+4>>2]=0,f[e+8>>2]=0,Qmc(a+8|0,e)|0,(b[e+11>>0]|0)<0):0)Emc(f[e>>2]|0);e=f[(f[a>>2]|0)+20>>2]|0;if(!e){w=Bmc(24)|0;f[w+12>>2]=0;f[w+4>>2]=535416;f[w+8>>2]=0;f[w+16>>2]=0;f[w+20>>2]=0;x=w}else{if(f[e+64>>2]|0)pBb(e,18776,24);w=nBb(e,24)|0;j=e;f[w+12>>2]=j;f[w+4>>2]=535416;f[w+8>>2]=0;f[w+16>>2]=0;f[w+20>>2]=j;x=w}f[x>>2]=111368;w=a+24|0;j=f[w>>2]|0;if((j|0)==(x|0))y=x;else{if(j|0)ai[f[(f[j>>2]|0)+4>>2]&2047](j);f[w>>2]=x;y=x}x=y+16|0;f[x>>2]=f[x>>2]|1;x=y+4|0;j=f[x>>2]|0;if((j|0)==535416){PDa(x,f[y+12>>2]|0,535416);z=f[x>>2]|0}else z=j;Qmc(z,a+8|0)|0;z=f[w>>2]|0;j=Sh[f[(f[z>>2]|0)+44>>2]&511](z,c)|0;if(j)PHa(a);a=f[w>>2]|0;if(!(ci[f[(f[a>>2]|0)+20>>2]&1023](a)|0)){k=j;u=d;return k|0}f[w>>2]=0;k=j;u=d;return k|0}function OHa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=u;u=u+48|0;d=c;e=c+28|0;g=c+16|0;h=f[(f[a>>2]|0)+20>>2]|0;if(!h){i=Bmc(24)|0;f[i+12>>2]=0;f[i+4>>2]=535416;f[i+8>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;j=i}else{if(f[h+64>>2]|0)pBb(h,18776,24);i=nBb(h,24)|0;k=h;f[i+12>>2]=k;f[i+4>>2]=535416;f[i+8>>2]=0;f[i+16>>2]=0;f[i+20>>2]=k;j=i}f[j>>2]=111368;i=a+24|0;k=f[i>>2]|0;if((k|0)==(j|0))l=j;else{if(k|0)ai[f[(f[k>>2]|0)+4>>2]&2047](k);f[i>>2]=j;l=j}j=f[a+20>>2]|0;k=l+16|0;f[k>>2]=f[k>>2]|2;k=l+8|0;h=f[l+12>>2]|0;l=f[k>>2]|0;if(!l){if(!h){m=Bmc(24)|0;kKa(m);n=m}else{if(f[h+64>>2]|0)pBb(h,18968,24);m=nBb(h,24)|0;lKa(m,h);n=m}f[k>>2]=n;o=n}else o=l;hLa(o,j);j=f[a+4>>2]|0;o=a+8|0;QCa(d,f[j+8>>2]|0,o,0);l=f[d>>2]|0;n=f[d+4>>2]|0;k=f[d+8>>2]|0;if(l|0){f[e>>2]=l;f[e+4>>2]=n;f[e+8>>2]=k;f[d>>2]=f[e>>2];f[d+4>>2]=f[e+4>>2];f[d+8>>2]=f[e+8>>2];lDa(g,j,d)}j=f[i>>2]|0;g=j+16|0;f[g>>2]=f[g>>2]|1;g=j+4|0;e=f[g>>2]|0;if((e|0)==535416){PDa(g,f[j+12>>2]|0,535416);p=f[g>>2]|0}else p=e;f[d>>2]=f[p>>2];f[d+4>>2]=f[p+4>>2];f[d+8>>2]=f[p+8>>2];f[p>>2]=f[o>>2];f[p+4>>2]=f[o+4>>2];f[p+8>>2]=f[o+8>>2];f[o>>2]=f[d>>2];f[o+4>>2]=f[d+4>>2];f[o+8>>2]=f[d+8>>2];d=f[i>>2]|0;o=Sh[f[(f[d>>2]|0)+44>>2]&511](d,b)|0;if(o)PHa(a);a=f[i>>2]|0;if(!(ci[f[(f[a>>2]|0)+20>>2]&1023](a)|0)){u=c;return o|0}f[i>>2]=0;u=c;return o|0}function PHa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;b=a+24|0;c=f[b>>2]|0;d=a+8|0;Qmc(d,ci[f[(f[c>>2]|0)+100>>2]&1023](c)|0)|0;c=uDa(f[a+4>>2]|0,d)|0;d=a+20|0;f[d>>2]=c;a=f[b>>2]|0;b=a+16|0;f[b>>2]=f[b>>2]|2;b=a+8|0;e=f[a+12>>2]|0;a=f[b>>2]|0;if(a|0){g=c;h=a;hLa(g,h);return}if(!e){a=Bmc(24)|0;kKa(a);i=a}else{if(f[e+64>>2]|0)pBb(e,18968,24);a=nBb(e,24)|0;lKa(a,e);i=a}f[b>>2]=i;g=f[d>>2]|0;h=i;hLa(g,h);return}function QHa(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=111176;f[a+4>>2]=c;f[a+8>>2]=c;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;RHa(a+24|0,c);if((f[222678]|0)!=2){f[e>>2]=149752;f[e+4>>2]=7;b[e+8>>0]=0;dEb(890712,e);zDb(e)}f[a+60>>2]=535416;f[a+64>>2]=535416;f[a+68>>2]=535416;f[a+72>>2]=0;u=d;return}function RHa(a,b){a=a|0;b=b|0;var c=0;f[a>>2]=155876;f[a+4>>2]=b;f[a+8>>2]=0;c=a+12|0;VDb(c);f[a+16>>2]=0;SHa(b,c);f[a>>2]=111284;f[a+20>>2]=b;c=a+24|0;f[c>>2]=b;b=a+28|0;f[b>>2]=0;tDa(c);f[b>>2]=0;return}function SHa(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1644);return}function THa(a){a=a|0;WDb(a);return}function UHa(a){a=a|0;var c=0;c=f[a+60>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+64>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}c=f[a+68>>2]|0;if((c|0)==535416|(c|0)==0)return;if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c);return}function VHa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}WHa(a+8|0,b+8|0);if((b|0)!=528320){d=b+24|0;g=f[d>>2]|0;if(g|0){e=a+24|0;c=f[e>>2]|0;if(!c){XHa(a);h=f[d>>2]|0;i=f[e>>2]|0}else{h=g;i=c}lOa(i,h|0?h:529032)}h=b+28|0;i=f[h>>2]|0;if(i|0){c=a+28|0;g=f[c>>2]|0;if(!g){YHa(a);j=f[h>>2]|0;k=f[c>>2]|0}else{j=i;k=g}FIa(k,j|0?j:528488)}}j=f[b+32>>2]|0;if(!j)return;f[a+32>>2]=j;return}function WHa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=f[b+4>>2]|0;if(!c)return;d=f[b+12>>2]|0;b=tDb(a,c)|0;e=a+12|0;g=a+4|0;h=(f[f[e>>2]>>2]|0)-(f[g>>2]|0)|0;if((h|0)>0&(c|0)>0){i=0;do{ZHa(f[d+4+(i<<2)>>2]|0,f[b+(i<<2)>>2]|0);i=i+1|0}while((i|0)<(h|0)&(i|0)<(c|0))}i=f[a>>2]|0;a:do if((h|0)<(c|0)){a=i+64|0;if(!i){j=h;while(1){k=f[d+4+(j<<2)>>2]|0;l=Bmc(76)|0;lGa(l);ZHa(k,l);f[b+(j<<2)>>2]=l;j=j+1|0;if((j|0)>=(c|0))break a}}else m=h;do{j=f[d+4+(m<<2)>>2]|0;if(f[a>>2]|0)pBb(i,18848,80);l=nBb(i,80)|0;QHa(l,i);ZHa(j,l);f[b+(m<<2)>>2]=l;m=m+1|0}while((m|0)!=(c|0))}while(0);m=(f[g>>2]|0)+c|0;f[g>>2]=m;g=f[e>>2]|0;if((f[g>>2]|0)>=(m|0))return;f[g>>2]=m;return}function XHa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=Bmc(44)|0;gOa(c);e=c;g=a+24|0;f[g>>2]=e;return}if(f[d+64>>2]|0)pBb(d,19048,48);c=nBb(d,48)|0;hOa(c,d);e=c;g=a+24|0;f[g>>2]=e;return}function YHa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=Bmc(36)|0;AIa(c);e=c;g=a+28|0;f[g>>2]=e;return}if(f[d+64>>2]|0)pBb(d,18888,40);c=nBb(d,40)|0;BIa(c,d);e=c;g=a+28|0;f[g>>2]=e;return}function ZHa(a,b){a=a|0;b=b|0;zHa(b,a);return}function _Ha(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=111020;e=a+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;if((a|0)!=528320?(f[222676]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=5;b[d+8>>0]=0;dEb(890704,d);zDb(d)}d=a+24|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;u=c;return}function $Ha(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=111020;f[a+4>>2]=c;f[a+8>>2]=c;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;if((f[222676]|0)!=2){f[e>>2]=149752;f[e+4>>2]=5;b[e+8>>0]=0;dEb(890704,e);zDb(e)}e=a+24|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;u=d;return}function aIa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222675]|0)==2){u=a;return}f[c>>2]=149752;f[c+4>>2]=4;b[c+8>>0]=0;dEb(890700,c);zDb(c);u=a;return}function bIa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=u;u=u+48|0;c=b+24|0;d=b+12|0;e=b;g=a+24|0;v_b(g);h=a+48|0;i=f[a+56>>2]|0;a=f[i+12>>2]|0;j=f[i+4>>2]|0;a:do if(j>>>0>a>>>0){k=f[i+16>>2]|0;l=a;while(1){m=f[k+(l<<2)>>2]|0;if(m|0)break;n=l+1|0;if(n>>>0<j>>>0)l=n;else{o=0;p=n;break a}}if((m|0)==(f[k+((l^1)<<2)>>2]|0)){o=f[(f[m>>2]|0)+16>>2]|0;p=l;break}else{o=m;p=l;break}}else{o=0;p=a}while(0);f[e>>2]=o;f[e+4>>2]=i;f[e+8>>2]=p;if(!o){u_b(g);u=b;return}do{f[c>>2]=f[e>>2];f[c+4>>2]=f[e+4>>2];f[c+8>>2]=f[e+8>>2];lDa(d,h,c);f[e>>2]=f[d>>2];f[e+4>>2]=f[d+4>>2];f[e+8>>2]=f[d+8>>2]}while((f[e>>2]|0)!=0);u_b(g);u=b;return}function cIa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;f[a>>2]=111176;d=a+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;BHa(a+8|0,c+8|0);e=a+24|0;f[e>>2]=155876;f[a+28>>2]=0;f[a+32>>2]=0;VDb(a+36|0);f[a+40>>2]=0;f[e>>2]=111284;f[a+44>>2]=0;g=a+48|0;f[g>>2]=0;h=a+52|0;f[h>>2]=0;tDa(g);f[h>>2]=0;f[a+72>>2]=0;h=f[c+4>>2]|0;if(h&1|0){g=f[d>>2]|0;if(!(g&1))i=AHa(d)|0;else i=g&-2;O3b(i,h&-2)}CHa(e,c+24|0);e=a+60|0;f[e>>2]=535416;h=f[c+60>>2]|0;i=b[h+11>>0]|0;if(i<<24>>24<0)j=f[h+4>>2]|0;else j=i&255;if(j|0){j=f[a+4>>2]|0;i=j&-2;if(!(j&1))k=i;else k=f[i+4>>2]|0;PDa(e,k,h)}h=a+64|0;f[h>>2]=535416;k=f[c+64>>2]|0;e=b[k+11>>0]|0;if(e<<24>>24<0)l=f[k+4>>2]|0;else l=e&255;if(l|0){l=f[a+4>>2]|0;e=l&-2;if(!(l&1))m=e;else m=f[e+4>>2]|0;PDa(h,m,k)}k=a+68|0;f[k>>2]=535416;m=f[c+68>>2]|0;c=b[m+11>>0]|0;if(c<<24>>24<0)n=f[m+4>>2]|0;else n=c&255;if(!n)return;n=f[a+4>>2]|0;a=n&-2;if(!(n&1))o=a;else o=f[a+4>>2]|0;PDa(k,o,m);return}function dIa(a,b){a=a|0;b=b|0;if((b|0)==(a|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);zHa(a,b);return}function eIa(a){a=a|0;var b=0,c=0;f[a>>2]=111864;b=f[a+16>>2]|0;if(b|0?(f[b>>2]|0)==0:0)Emc(b);b=a+4|0;a=f[b>>2]|0;if(!(a&1)){f[b>>2]=0;return}c=a&-2;a=c;if((c|0)==0|(f[a+4>>2]|0)!=0){f[b>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(c);f[b>>2]=0;return}function fIa(a){a=a|0;var b=0,c=0;f[a>>2]=111864;b=f[a+16>>2]|0;if(b|0?(f[b>>2]|0)==0:0)Emc(b);b=f[a+4>>2]|0;if(!(b&1)){Emc(a);return}c=b&-2;b=c;if((c|0)==0|(f[b+4>>2]|0)!=0){Emc(a);return}if(f[b>>2]|0)L3b(b);Emc(c);Emc(a);return}function gIa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function hIa(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(36)|0;AIa(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,18888,40);a=nBb(b,40)|0;BIa(a,b);c=a;return c|0}function iIa(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function jIa(a){a=a|0;return f[a+4>>2]|0}function kIa(a){a=a|0;var b=0;f[a+8>>2]=0;b=a+24|0;f[b>>2]=0;f[b+4>>2]=0;b=f[a+4>>2]|0;if(!(b&1))return;a=b&-2;if(!(f[a>>2]|0))return;L3b(a);return}function lIa(a){a=a|0;return 1}function mIa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=c+4|0;e=a+24|0;g=a+28|0;h=a+8|0;i=a+12|0;j=a+16|0;k=a+4|0;a:while(1){a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){l=b[a>>0]|0;m=l&255;if(l<<24>>24>0){f[c>>2]=a+1;n=m;o=6}else{p=m;o=5}}else{p=0;o=5}if((o|0)==5){o=0;m=xCb(c,p)|0;if((m+-1|0)>>>0<127){n=m;o=6}else q=m}b:do if((o|0)==6){o=0;switch(n>>>3&536870911|0){case 1:{if((n&255|0)!=8){q=n;break b}m=f[c>>2]|0;if(m>>>0<(f[d>>2]|0)>>>0){a=b[m>>0]|0;l=a&255;if(a<<24>>24>-1){f[c>>2]=m+1;r=l}else{s=l;o=11}}else{s=0;o=11}if((o|0)==11){o=0;l=iCb(c,s)|0;m=J;if((m|0)>-1|(m|0)==-1&l>>>0>4294967295)r=l;else{t=0;o=39;break a}}f[e>>2]=r;continue a;break}case 2:{if((n&255|0)!=16){q=n;break b}l=f[c>>2]|0;if(l>>>0<(f[d>>2]|0)>>>0){m=b[l>>0]|0;a=m&255;if(m<<24>>24>-1){f[c>>2]=l+1;u=a}else{v=a;o=17}}else{v=0;o=17}if((o|0)==17){o=0;a=iCb(c,v)|0;l=J;if((l|0)>-1|(l|0)==-1&a>>>0>4294967295)u=a;else{t=0;o=39;break a}}f[g>>2]=u;continue a;break}case 3:{switch((n&255)<<24>>24){case 26:break;case 24:{if(zIa(1,26,c,h)|0)continue a;else{t=0;o=39;break a}break}default:{q=n;break b}}a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0?(l=b[a>>0]|0,l<<24>>24>-1):0){f[c>>2]=a+1;w=l&255}else{l=wCb(c)|0;if((l|0)>-1)w=l;else{t=0;o=39;break a}}l=fCb(c,w)|0;if((nCb(c)|0)>0)do{a=f[c>>2]|0;if(a>>>0<(f[d>>2]|0)>>>0){m=b[a>>0]|0;x=m&255;if(m<<24>>24>-1){f[c>>2]=a+1;y=x}else{z=x;o=28}}else{z=0;o=28}if((o|0)==28){o=0;x=iCb(c,z)|0;a=J;if((a|0)>-1|(a|0)==-1&x>>>0>4294967295)y=x;else{t=0;o=39;break a}}x=f[h>>2]|0;if((x|0)==(f[i>>2]|0)){eFa(h,x+1|0);A=f[h>>2]|0}else A=x;x=f[j>>2]|0;f[h>>2]=A+1;f[x+4+(A<<2)>>2]=y}while((nCb(c)|0)>0);gCb(c,l);continue a;break}default:{q=n;break b}}}while(0);if(!q){t=1;o=39;break}x=f[k>>2]|0;if(!(x&1))B=AHa(k)|0;else B=x&-2;if(!(b4b(c,q,B)|0)){t=0;o=39;break}}if((o|0)==39)return t|0;return 0}function nIa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=f[a+4>>2]|0;if((c&1|0)!=0&(b[481264]|0)!=0)d=h4b(c&-2)|0;else d=0;c=JEb(a+8|0)|0;if(!c)e=d;else{if((c|0)<0)g=11;else g=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;e=g+d|0}f[a+20>>2]=c;d=e+c|0;c=f[a+24>>2]|0;if(!c)h=d;else{if((c|0)<0)i=11;else i=((((($(c|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;h=i+d|0}d=f[a+28>>2]|0;if(!d){j=h;k=a+32|0;f[k>>2]=j;return j|0}if((d|0)<0)l=11;else l=((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;j=l+h|0;k=a+32|0;f[k>>2]=j;return j|0}function oIa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=f[a+24>>2]|0;if(d|0)mEb(1,d,c);d=f[a+28>>2]|0;if(d|0)mEb(2,d,c);d=a+8|0;if((f[d>>2]|0)>0){e=c+8|0;if((f[e>>2]|0)>4){g=c+4|0;b[f[g>>2]>>0]=26;f[g>>2]=(f[g>>2]|0)+1;g=(f[e>>2]|0)+-1|0;f[e>>2]=g;h=g}else{ECb(c,26);h=f[e>>2]|0}g=f[a+20>>2]|0;if((h|0)>4){h=c+4|0;i=f[h>>2]|0;if(g>>>0>127){j=g;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=i;o=g}b[n>>0]=o;o=n+1-i|0;f[h>>2]=(f[h>>2]|0)+o;f[e>>2]=(f[e>>2]|0)-o}else ECb(c,g);g=f[d>>2]|0;if((g|0)>0){d=a+16|0;o=c+8|0;e=c+4|0;h=0;do{i=f[(f[d>>2]|0)+4+(h<<2)>>2]|0;n=((i|0)<0)<<31>>31;if((f[o>>2]|0)>9){k=f[e>>2]|0;j=i&255;if(i>>>0>127){l=k;m=j;p=i;q=n;while(1){b[l>>0]=m|-128;r=p;p=Irc(p|0,q|0,7)|0;s=l+1|0;t=p&255;if(!(q>>>0>0|(q|0)==0&r>>>0>16383)){u=s;v=t;break}else{l=s;m=t;q=J}}}else{u=k;v=j}b[u>>0]=v;q=u+1-k|0;f[e>>2]=(f[e>>2]|0)+q;f[o>>2]=(f[o>>2]|0)-q}else FCb(c,i,n);h=h+1|0}while((h|0)!=(g|0))}}g=f[a+4>>2]|0;if(!((g&1|0)!=0&(b[481264]|0)!=0))return;e4b(g&-2,c);return}function pIa(a){a=a|0;return f[a+32>>2]|0}function qIa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;c=f[a+24>>2]|0;if(!c)e=d;else{b[d>>0]=8;g=d+1|0;d=c&255;if(c>>>0>127){h=g;i=d;j=c;k=((c|0)<0)<<31>>31;while(1){b[h>>0]=i|-128;c=j;j=Irc(j|0,k|0,7)|0;l=h+1|0;m=j&255;if(!(k>>>0>0|(k|0)==0&c>>>0>16383)){n=l;o=m;break}else{h=l;i=m;k=J}}}else{n=g;o=d}b[n>>0]=o;e=n+1|0}n=f[a+28>>2]|0;if(!n)p=e;else{b[e>>0]=16;o=e+1|0;e=n&255;if(n>>>0>127){d=o;g=e;k=n;i=((n|0)<0)<<31>>31;while(1){b[d>>0]=g|-128;n=k;k=Irc(k|0,i|0,7)|0;h=d+1|0;j=k&255;if(!(i>>>0>0|(i|0)==0&n>>>0>16383)){q=h;r=j;break}else{d=h;g=j;i=J}}}else{q=o;r=e}b[q>>0]=r;p=q+1|0}q=a+8|0;if((f[q>>2]|0)>0){b[p>>0]=26;r=p+1|0;e=f[a+20>>2]|0;if(e>>>0>127){o=e;i=r;while(1){b[i>>0]=o|128;g=o>>>7;d=i+1|0;if(o>>>0>16383){o=g;i=d}else{s=d;t=g;break}}}else{s=r;t=e}b[s>>0]=t;t=f[q>>2]|0;q=f[a+16>>2]|0;e=0;r=s+1|0;while(1){s=f[q+4+(e<<2)>>2]|0;i=s&255;if(s>>>0>127){o=r;g=i;d=s;k=((s|0)<0)<<31>>31;while(1){b[o>>0]=g|-128;s=d;d=Irc(d|0,k|0,7)|0;j=o+1|0;h=d&255;if(!(k>>>0>0|(k|0)==0&s>>>0>16383)){u=j;v=h;break}else{o=j;g=h;k=J}}}else{u=r;v=i}b[u>>0]=v;k=u+1|0;e=e+1|0;if((e|0)>=(t|0)){w=k;break}else r=k}}else w=p;p=f[a+4>>2]|0;if(!((p&1|0)!=0&(b[481264]|0)!=0)){x=w;return x|0}x=f4b(p&-2,w)|0;return x|0}function rIa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function sIa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=Jnc(b,24640,18888,0)|0;if(!c){c2b(b,a);return}b=a+4|0;d=f[c+4>>2]|0;if(d&1|0){e=f[b>>2]|0;if(!(e&1))g=AHa(b)|0;else g=e&-2;O3b(g,d&-2)}d=a+8|0;g=c+8|0;e=f[g>>2]|0;if(e|0){eFa(d,(f[d>>2]|0)+e|0);Krc((f[a+16>>2]|0)+4+(f[d>>2]<<2)|0,(f[c+16>>2]|0)+4|0,f[g>>2]<<2|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}g=f[c+24>>2]|0;if(g|0)f[a+24>>2]=g;g=f[c+28>>2]|0;if(!g)return;f[a+28>>2]=g;return}function tIa(a,b){a=a|0;b=b|0;f[a+32>>2]=b;return}function uIa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222679]|0)!=2){f[d>>2]=149752;f[d+4>>2]=8;b[d+8>>0]=0;dEb(890716,d);zDb(d)}d=528528;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function vIa(){var a=0,c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((f[222680]|0)!=2){f[c>>2]=149752;f[c+4>>2]=9;b[c+8>>0]=0;dEb(890720,c);zDb(c)}d=Bmc(16)|0;f[c>>2]=d;f[c+8>>2]=-2147483632;f[c+4>>2]=14;e=d;g=410324;h=e+14|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));b[d+14>>0]=0;wYb(c,111964,111976,111824,0,528528,0,0);if((b[c+11>>0]|0)>=0){u=a;return}Emc(f[c>>2]|0);u=a;return}function wIa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222681]|0)!=2){f[c>>2]=149752;f[c+4>>2]=10;b[c+8>>0]=0;dEb(890724,c);zDb(c)}NIb(410339,169);R1b(410324,1645);u=a;return}function xIa(){var a=0;CDb(3005001,3005e3,410509);tBb();f[132122]=111864;f[132123]=0;f[132124]=0;f[132125]=0;f[132126]=0;a=528512;f[a>>2]=0;f[a+4>>2]=0;f[132130]=0;$Db(528488);return}function yIa(a){a=a|0;var c=0;a=u;u=u+16|0;c=a;if((f[222679]|0)!=2){f[c>>2]=149752;f[c+4>>2]=8;b[c+8>>0]=0;dEb(890716,c);zDb(c)}BYb(528528,1);u=a;return}function zIa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;a=f[d>>2]|0;g=d+4|0;if(a>>>0<(f[g>>2]|0)>>>0){i=b[a>>0]|0;j=i&255;if(i<<24>>24>-1){f[d>>2]=a+1;k=j}else{l=j;m=4}}else{l=0;m=4}if((m|0)==4){j=iCb(d,l)|0;l=J;if((l|0)>-1|(l|0)==-1&j>>>0>4294967295)k=j;else{n=0;return n|0}}j=f[e>>2]|0;l=e+4|0;if((j|0)==(f[l>>2]|0)){eFa(e,j+1|0);o=f[e>>2]|0}else o=j;j=e+8|0;a=f[j>>2]|0;f[e>>2]=o+1;f[a+4+(o<<2)>>2]=k;k=(f[l>>2]|0)-(f[e>>2]|0)|0;if((k|0)<=0){n=1;return n|0}l=c&127|128;o=c>>>7&255;if(c>>>0<128){i=k;p=a;while(1){q=f[d>>2]|0;r=f[g>>2]|0;if(q>>>0>=r>>>0){n=1;m=27;break}if((h[q>>0]|0)!=(c|0)){n=1;m=27;break}s=q+1|0;f[d>>2]=s;if(s>>>0<r>>>0){r=b[s>>0]|0;s=r&255;if(r<<24>>24>-1){f[d>>2]=q+2;t=s;u=p}else{v=s;m=13}}else{v=0;m=13}if((m|0)==13){m=0;s=iCb(d,v)|0;q=J;if(!((q|0)>-1|(q|0)==-1&s>>>0>4294967295)){n=0;m=27;break}t=s;u=f[j>>2]|0}s=f[e>>2]|0;f[e>>2]=s+1;f[u+4+(s<<2)>>2]=t;if((i|0)>1){i=i+-1|0;p=u}else{n=1;m=27;break}}if((m|0)==27)return n|0}if(c>>>0<16384){w=k;x=a}else{n=1;return n|0}while(1){a=f[g>>2]|0;k=f[d>>2]|0;c=k;if((a-k|0)<=1){n=1;m=27;break}if((h[c>>0]|0)!=(l|0)){n=1;m=27;break}if((b[c+1>>0]|0)!=o<<24>>24){n=1;m=27;break}k=c+2|0;f[d>>2]=k;if(k>>>0<a>>>0){a=b[k>>0]|0;k=a&255;if(a<<24>>24>-1){f[d>>2]=c+3;y=k;z=x}else{A=k;m=23}}else{A=0;m=23}if((m|0)==23){m=0;k=iCb(d,A)|0;c=J;if(!((c|0)>-1|(c|0)==-1&k>>>0>4294967295)){n=0;m=27;break}y=k;z=f[j>>2]|0}k=f[e>>2]|0;f[e>>2]=k+1;f[z+4+(k<<2)>>2]=y;if((w|0)>1){w=w+-1|0;x=z}else{n=1;m=27;break}}if((m|0)==27)return n|0;return 0}function AIa(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=111864;e=a+4|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;if((a|0)!=528488?(f[222681]|0)!=2:0){f[d>>2]=149752;f[d+4>>2]=10;b[d+8>>0]=0;dEb(890724,d);zDb(d)}d=a+24|0;f[d>>2]=0;f[d+4>>2]=0;f[a+32>>2]=0;u=c;return}function BIa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=u;u=u+16|0;e=d;f[a>>2]=111864;f[a+4>>2]=c;f[a+8>>2]=0;f[a+12>>2]=0;g=a+16|0;f[g>>2]=0;if(c|0){if(f[c+64>>2]|0)pBb(c,26896,8);h=nBb(c,8)|0;f[g>>2]=h;f[h>>2]=c}if((f[222681]|0)==2){i=a+24|0;j=i;k=j;f[k>>2]=0;l=j+4|0;m=l;f[m>>2]=0;n=a+32|0;f[n>>2]=0;u=d;return}f[e>>2]=149752;f[e+4>>2]=10;b[e+8>>0]=0;dEb(890724,e);zDb(e);i=a+24|0;j=i;k=j;f[k>>2]=0;l=j+4|0;m=l;f[m>>2]=0;n=a+32|0;f[n>>2]=0;u=d;return}function CIa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222680]|0)==2){u=a;return}f[c>>2]=149752;f[c+4>>2]=9;b[c+8>>0]=0;dEb(890720,c);zDb(c);u=a;return}function DIa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222681]|0)==2){u=a;return}f[c>>2]=149752;f[c+4>>2]=10;b[c+8>>0]=0;dEb(890724,c);zDb(c);u=a;return}function EIa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222680]|0)==2){u=a;return}f[c>>2]=149752;f[c+4>>2]=9;b[c+8>>0]=0;dEb(890720,c);zDb(c);u=a;return}function FIa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=a+4|0;d=f[b+4>>2]|0;if(d&1|0){e=f[c>>2]|0;if(!(e&1))g=AHa(c)|0;else g=e&-2;O3b(g,d&-2)}d=a+8|0;g=b+8|0;e=f[g>>2]|0;if(e|0){eFa(d,(f[d>>2]|0)+e|0);Krc((f[a+16>>2]|0)+4+(f[d>>2]<<2)|0,(f[b+16>>2]|0)+4|0,f[g>>2]<<2|0)|0;f[d>>2]=(f[d>>2]|0)+(f[g>>2]|0)}g=f[b+24>>2]|0;if(g|0)f[a+24>>2]=g;g=f[b+28>>2]|0;if(!g)return;f[a+28>>2]=g;return}function GIa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;f[a>>2]=112060;c=f[a+152>>2]|0;if(!((c|0)==535416|(c|0)==0)){if((b[c+11>>0]|0)<0)Emc(f[c>>2]|0);Emc(c)}if((a|0)!=528536?(c=f[a+156>>2]|0,c|0):0)ai[f[(f[c>>2]|0)+4>>2]&2047](c);c=f[a+144>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=f[a+128>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=f[a+112>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=f[a+96>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=f[a+80>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=a+68|0;d=f[c>>2]|0;if(d|0?(f[a+56>>2]|0)==0:0){e=f[d>>2]|0;if((e|0)>0){g=0;do{h=f[d+4+(g<<2)>>2]|0;if(h|0){if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);Emc(h)}g=g+1|0}while((g|0)!=(e|0));i=f[c>>2]|0}else i=d;Emc(i)}f[c>>2]=0;c=f[a+48>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=f[a+32>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=f[a+16>>2]|0;if(c|0?(f[c>>2]|0)==0:0)Emc(c);c=a+4|0;a=f[c>>2]|0;if(!(a&1)){f[c>>2]=0;return}i=a&-2;a=i;if((i|0)==0|(f[a+4>>2]|0)!=0){f[c>>2]=0;return}if(f[a>>2]|0)L3b(a);Emc(i);f[c>>2]=0;return}function HIa(a){a=a|0;GIa(a);Emc(a);return}function IIa(a){a=a|0;return Sh[f[(f[a>>2]|0)+16>>2]&511](a,0)|0}function JIa(a,b){a=a|0;b=b|0;var c=0;if(!b){a=Bmc(172)|0;gJa(a);c=a;return c|0}if(f[b+64>>2]|0)pBb(b,18904,176);a=nBb(b,176)|0;hJa(a,b);c=a;return c|0}function KIa(a){a=a|0;var b=0,c=0;b=f[a+4>>2]|0;a=b&-2;if(!(b&1)){c=a;return c|0}else{c=f[a+4>>2]|0;return c|0}return 0}function LIa(a){a=a|0;return f[a+4>>2]|0}function MIa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;f[a+8>>2]=0;f[a+24>>2]=0;f[a+40>>2]=0;c=a+60|0;d=f[c>>2]|0;if((d|0)>0){e=f[a+68>>2]|0;g=0;do{h=f[e+4+(g<<2)>>2]|0;g=g+1|0;i=h+11|0;if((b[i>>0]|0)<0){b[f[h>>2]>>0]=0;f[h+4>>2]=0}else{b[h>>0]=0;b[i>>0]=0}}while((g|0)!=(d|0));f[c>>2]=0}f[a+72>>2]=0;f[a+88>>2]=0;f[a+104>>2]=0;f[a+120>>2]=0;f[a+136>>2]=0;c=a+4|0;d=f[a+152>>2]|0;do if((d|0)!=535416){g=d+11|0;if((b[g>>0]|0)<0){b[f[d>>2]>>0]=0;f[d+4>>2]=0;break}else{b[d>>0]=0;b[g>>0]=0;break}}while(0);d=f[c>>2]|0;g=d&-2;if(!(d&1))j=g;else j=f[g+4>>2]|0;g=a+156|0;if((j|0)==0?(j=f[g>>2]|0,(j|0)!=0):0){ai[f[(f[j>>2]|0)+4>>2]&2047](j);k=f[c>>2]|0}else k=d;f[g>>2]=0;g=a+160|0;f[g>>2]=0;f[g+4>>2]=0;if(!(k&1))return;g=k&-2;if(!(f[g>>2]|0))return;L3b(g);return}function NIa(a){a=a|0;return 1}function OIa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0.0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0.0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0;d=u;u=u+16|0;e=d;g=c+4|0;i=a+160|0;j=a+156|0;k=e+4|0;l=a+164|0;m=a+152|0;n=a+4|0;o=a+8|0;q=a+12|0;r=a+16|0;t=a+24|0;v=a+28|0;w=a+32|0;x=a+40|0;y=a+44|0;z=a+48|0;A=a+56|0;B=a+72|0;C=a+76|0;D=a+80|0;E=a+88|0;F=a+92|0;G=a+96|0;H=e+8|0;I=a+104|0;K=a+108|0;L=a+112|0;M=e+8|0;N=a+120|0;O=a+124|0;P=a+128|0;Q=a+136|0;R=a+140|0;S=a+144|0;a:while(1){T=f[c>>2]|0;if(T>>>0<(f[g>>2]|0)>>>0){U=b[T>>0]|0;V=U&255;if(U<<24>>24>0){f[c>>2]=T+1;W=V;X=6}else{Y=V;X=5}}else{Y=0;X=5}if((X|0)==5){X=0;V=xCb(c,Y)|0;if((V+-1|0)>>>0<127){W=V;X=6}else Z=V}b:do if((X|0)==6){X=0;do switch(W>>>3&536870911|0){case 1:{if((W&255|0)!=8){Z=W;break b}V=f[c>>2]|0;if(V>>>0<(f[g>>2]|0)>>>0){T=b[V>>0]|0;U=T&255;if(T<<24>>24>-1){f[c>>2]=V+1;_=U}else{$=U;X=11}}else{$=0;X=11}if((X|0)==11){X=0;U=iCb(c,$)|0;V=J;if((V|0)>-1|(V|0)==-1&U>>>0>4294967295)_=U;else{aa=0;X=196;break a}}f[i>>2]=_;continue a;break}case 2:{if((W&255|0)!=18){Z=W;break b}U=f[j>>2]|0;if(!U){bJa(a);ba=f[j>>2]|0}else ba=U;U=f[c>>2]|0;if(U>>>0<(f[g>>2]|0)>>>0?(V=b[U>>0]|0,V<<24>>24>-1):0){f[c>>2]=U+1;ca=V&255}else{V=wCb(c)|0;if((V|0)>-1)ca=V;else{aa=0;X=196;break a}}hCb(e,c,ca);if((f[k>>2]|0)<0){X=22;break a}if(!(Sh[f[(f[ba>>2]|0)+44>>2]&511](ba,c)|0)){X=22;break a}if(mCb(c,f[e>>2]|0)|0)continue a;else{aa=0;X=196;break a}break}case 3:{if((W&255|0)!=24){Z=W;break b}V=f[c>>2]|0;if(V>>>0<(f[g>>2]|0)>>>0){U=b[V>>0]|0;T=U&255;if(U<<24>>24>-1){f[c>>2]=V+1;da=T}else{ea=T;X=28}}else{ea=0;X=28}if((X|0)==28){X=0;T=iCb(c,ea)|0;V=J;if((V|0)>-1|(V|0)==-1&T>>>0>4294967295)da=T;else{aa=0;X=196;break a}}f[l>>2]=da;continue a;break}case 4:{if((W&255|0)!=34){Z=W;break b}T=f[n>>2]|0;V=T&-2;if(!(T&1))fa=V;else fa=f[V+4>>2]|0;V=f[m>>2]|0;if((V|0)==535416){PDa(m,fa,535416);ga=f[m>>2]|0}else ga=V;if(HEb(c,ga)|0)continue a;else{aa=0;X=196;break a}break}case 5:{switch((W&255)<<24>>24){case 42:break;case 45:{if(cJa(1,42,c,o)|0)continue a;else{aa=0;X=196;break a}break}default:{Z=W;break b}}V=f[c>>2]|0;if(V>>>0<(f[g>>2]|0)>>>0?(T=b[V>>0]|0,T<<24>>24>-1):0){f[c>>2]=V+1;ha=T&255}else{T=wCb(c)|0;if((T|0)>-1)ha=T;else{aa=0;X=196;break a}}ia=f[o>>2]|0;T=(ha|0)/4|0;if((T<<2|0)!=(ha|0)){aa=0;X=196;break a}V=pCb(c)|0;U=nCb(c)|0;if((((V|0)==-1|(U|0)<(V|0)?U:V)|0)>=(ha|0)){V=ia+T|0;if((f[o>>2]|0)<(V|0)?(aEa(o,V),U=f[o>>2]|0,ja=V-U|0,(ja<<2|0)>0):0)Drc((f[r>>2]|0)+((U<<2)+4)|0,0,(((ja|-1073741824|0)==-1073741824?1073741823:1073741822)+ja<<2)+8|0)|0;f[o>>2]=V;V=f[r>>2]|0;if(rCb(c,((V|0)==0?0:V+4|0)+(ia<<2)|0,ha)|0)continue a;else{X=49;break a}}if((ha|0)>3)ka=0;else continue a;while(1){V=f[c>>2]|0;if(((f[g>>2]|0)-V|0)>3){ja=V;U=h[ja>>0]|h[ja+1>>0]<<8|h[ja+2>>0]<<16|h[ja+3>>0]<<24;f[e>>2]=U;f[c>>2]=V+4;la=U}else{if(!(uCb(c,e)|0)){X=58;break a}la=f[e>>2]|0}U=f[o>>2]|0;if((U|0)==(f[q>>2]|0)){aEa(o,U+1|0);ma=f[o>>2]|0}else ma=U;U=f[r>>2]|0;f[o>>2]=ma+1;f[U+4+(ma<<2)>>2]=la;U=ka+1|0;if((U|0)<(T|0))ka=U;else continue a}break}case 6:{switch((W&255)<<24>>24){case 50:break;case 49:{if(dJa(1,50,c,t)|0)continue a;else{aa=0;X=196;break a}break}default:{Z=W;break b}}T=f[c>>2]|0;if(T>>>0<(f[g>>2]|0)>>>0?(U=b[T>>0]|0,U<<24>>24>-1):0){f[c>>2]=T+1;na=U&255}else{U=wCb(c)|0;if((U|0)>-1)na=U;else{aa=0;X=196;break a}}oa=f[t>>2]|0;U=(na|0)/8|0;if((U<<3|0)!=(na|0)){aa=0;X=196;break a}T=pCb(c)|0;V=nCb(c)|0;if((((T|0)==-1|(V|0)<(T|0)?V:T)|0)>=(na|0)){T=oa+U|0;if((f[t>>2]|0)<(T|0)?(bEa(t,T),V=f[t>>2]|0,ja=T-V|0,(ja<<3|0)>0):0)Drc((f[w>>2]|0)+((V<<3)+8)|0,0,(((ja|-536870912|0)==-536870912?536870911:536870910)+ja<<3)+16|0)|0;f[t>>2]=T;T=f[w>>2]|0;if(rCb(c,((T|0)==0?0:T+8|0)+(oa<<3)|0,na)|0)continue a;else{X=72;break a}}if((na|0)>7)pa=0;else continue a;while(1){T=f[c>>2]|0;if(((f[g>>2]|0)-T|0)>7){ja=T;V=ja;qa=h[V>>0]|h[V+1>>0]<<8|h[V+2>>0]<<16|h[V+3>>0]<<24;V=ja+4|0;ja=h[V>>0]|h[V+1>>0]<<8|h[V+2>>0]<<16|h[V+3>>0]<<24;V=e;f[V>>2]=qa;f[V+4>>2]=ja;f[c>>2]=T+8;f[s>>2]=qa;f[s+4>>2]=ja;ra=+p[s>>3]}else{if(!(vCb(c,e)|0)){X=81;break a}ra=+p[e>>3]}ja=f[t>>2]|0;if((ja|0)==(f[v>>2]|0)){bEa(t,ja+1|0);sa=f[t>>2]|0}else sa=ja;ja=f[w>>2]|0;f[t>>2]=sa+1;p[ja+8+(sa<<3)>>3]=ra;ja=pa+1|0;if((ja|0)<(U|0))pa=ja;else continue a}break}case 7:{switch((W&255)<<24>>24){case 58:break;case 56:{if(zIa(1,58,c,x)|0)continue a;else{aa=0;X=196;break a}break}default:{Z=W;break b}}U=f[c>>2]|0;if(U>>>0<(f[g>>2]|0)>>>0?(ja=b[U>>0]|0,ja<<24>>24>-1):0){f[c>>2]=U+1;ta=ja&255}else{ja=wCb(c)|0;if((ja|0)>-1)ta=ja;else{aa=0;X=196;break a}}ja=fCb(c,ta)|0;if((nCb(c)|0)>0)do{U=f[c>>2]|0;if(U>>>0<(f[g>>2]|0)>>>0){qa=b[U>>0]|0;T=qa&255;if(qa<<24>>24>-1){f[c>>2]=U+1;ua=T}else{va=T;X=92}}else{va=0;X=92}if((X|0)==92){X=0;T=iCb(c,va)|0;U=J;if((U|0)>-1|(U|0)==-1&T>>>0>4294967295)ua=T;else{aa=0;X=196;break a}}T=f[x>>2]|0;if((T|0)==(f[y>>2]|0)){eFa(x,T+1|0);wa=f[x>>2]|0}else wa=T;T=f[z>>2]|0;f[x>>2]=wa+1;f[T+4+(wa<<2)>>2]=ua}while((nCb(c)|0)>0);gCb(c,ja);continue a;break}case 8:{if((W&255|0)!=66){Z=W;break b}if(HEb(c,dFa(A)|0)|0)continue a;else{aa=0;X=196;break a}break}case 9:{switch((W&255)<<24>>24){case 74:break;case 77:{if(cJa(1,74,c,B)|0)continue a;else{aa=0;X=196;break a}break}default:{Z=W;break b}}T=f[c>>2]|0;if(T>>>0<(f[g>>2]|0)>>>0?(U=b[T>>0]|0,U<<24>>24>-1):0){f[c>>2]=T+1;xa=U&255}else{U=wCb(c)|0;if((U|0)>-1)xa=U;else{aa=0;X=196;break a}}ya=f[B>>2]|0;U=(xa|0)/4|0;if((U<<2|0)!=(xa|0)){aa=0;X=196;break a}T=pCb(c)|0;qa=nCb(c)|0;if((((T|0)==-1|(qa|0)<(T|0)?qa:T)|0)>=(xa|0)){T=ya+U|0;if((f[B>>2]|0)<(T|0)?(aEa(B,T),qa=f[B>>2]|0,V=T-qa|0,(V<<2|0)>0):0)Drc((f[D>>2]|0)+((qa<<2)+4)|0,0,(((V|-1073741824|0)==-1073741824?1073741823:1073741822)+V<<2)+8|0)|0;f[B>>2]=T;T=f[D>>2]|0;if(rCb(c,((T|0)==0?0:T+4|0)+(ya<<2)|0,xa)|0)continue a;else{X=112;break a}}if((xa|0)>3)za=0;else continue a;while(1){T=f[c>>2]|0;if(((f[g>>2]|0)-T|0)>3){V=T;qa=h[V>>0]|h[V+1>>0]<<8|h[V+2>>0]<<16|h[V+3>>0]<<24;f[e>>2]=qa;f[c>>2]=T+4;Aa=qa}else{if(!(uCb(c,e)|0)){X=121;break a}Aa=f[e>>2]|0}qa=f[B>>2]|0;if((qa|0)==(f[C>>2]|0)){aEa(B,qa+1|0);Ba=f[B>>2]|0}else Ba=qa;qa=f[D>>2]|0;f[B>>2]=Ba+1;f[qa+4+(Ba<<2)>>2]=Aa;qa=za+1|0;if((qa|0)<(U|0))za=qa;else continue a}break}case 10:{switch((W&255)<<24>>24){case 82:break;case 80:{if(eJa(1,82,c,E)|0)continue a;else{aa=0;X=196;break a}break}default:{Z=W;break b}}U=f[c>>2]|0;if(U>>>0<(f[g>>2]|0)>>>0?(ja=b[U>>0]|0,ja<<24>>24>-1):0){f[c>>2]=U+1;Ca=ja&255}else{ja=wCb(c)|0;if((ja|0)>-1)Ca=ja;else{aa=0;X=196;break a}}ja=fCb(c,Ca)|0;if((nCb(c)|0)>0)do{U=f[c>>2]|0;if(U>>>0<(f[g>>2]|0)>>>0?(qa=b[U>>0]|0,qa<<24>>24>-1):0){f[c>>2]=U+1;Da=qa&255;Ea=0}else{jCb(e,c);qa=e;if(!(b[H>>0]|0)){aa=0;X=196;break a}else{Da=f[qa>>2]|0;Ea=f[qa+4>>2]|0}}qa=f[E>>2]|0;if((qa|0)==(f[F>>2]|0)){cEa(E,qa+1|0);Fa=f[E>>2]|0}else Fa=qa;qa=f[G>>2]|0;f[E>>2]=Fa+1;U=qa+8+(Fa<<3)|0;f[U>>2]=Da;f[U+4>>2]=Ea}while((nCb(c)|0)>0);gCb(c,ja);continue a;break}case 11:{switch((W&255)<<24>>24){case 90:break;case 88:{if(fJa(1,90,c,I)|0)continue a;else{aa=0;X=196;break a}break}default:{Z=W;break b}}U=f[c>>2]|0;if(U>>>0<(f[g>>2]|0)>>>0?(qa=b[U>>0]|0,qa<<24>>24>-1):0){f[c>>2]=U+1;Ga=qa&255}else{qa=wCb(c)|0;if((qa|0)>-1)Ga=qa;else{aa=0;X=196;break a}}qa=fCb(c,Ga)|0;if((nCb(c)|0)>0)do{U=f[c>>2]|0;if(U>>>0<(f[g>>2]|0)>>>0?(T=b[U>>0]|0,T<<24>>24>-1):0){f[c>>2]=U+1;Ha=T<<24>>24!=0}else{jCb(e,c);T=e;if(!(b[M>>0]|0)){aa=0;X=196;break a}else Ha=(f[T>>2]|0)!=0|(f[T+4>>2]|0)!=0}T=f[I>>2]|0;if((T|0)==(f[K>>2]|0)){aJa(I,T+1|0);Ia=f[I>>2]|0}else Ia=T;T=f[L>>2]|0;f[I>>2]=Ia+1;b[T+4+Ia>>0]=Ha&1}while((nCb(c)|0)>0);gCb(c,qa);continue a;break}case 12:{switch((W&255)<<24>>24){case 98:break;case 97:{if(dJa(1,98,c,N)|0)continue a;else{aa=0;X=196;break a}break}default:{Z=W;break b}}ja=f[c>>2]|0;if(ja>>>0<(f[g>>2]|0)>>>0?(T=b[ja>>0]|0,T<<24>>24>-1):0){f[c>>2]=ja+1;Ja=T&255}else{T=wCb(c)|0;if((T|0)>-1)Ja=T;else{aa=0;X=196;break a}}Ka=f[N>>2]|0;T=(Ja|0)/8|0;if((T<<3|0)!=(Ja|0)){aa=0;X=196;break a}ja=pCb(c)|0;U=nCb(c)|0;if((((ja|0)==-1|(U|0)<(ja|0)?U:ja)|0)>=(Ja|0)){ja=Ka+T|0;if((f[N>>2]|0)<(ja|0)?(bEa(N,ja),U=f[N>>2]|0,V=ja-U|0,(V<<3|0)>0):0)Drc((f[P>>2]|0)+((U<<3)+8)|0,0,(((V|-536870912|0)==-536870912?536870911:536870910)+V<<3)+16|0)|0;f[N>>2]=ja;ja=f[P>>2]|0;if(rCb(c,((ja|0)==0?0:ja+8|0)+(Ka<<3)|0,Ja)|0)continue a;else{X=165;break a}}if((Ja|0)>7)La=0;else continue a;while(1){ja=f[c>>2]|0;if(((f[g>>2]|0)-ja|0)>7){V=ja;U=V;Ma=h[U>>0]|h[U+1>>0]<<8|h[U+2>>0]<<16|h[U+3>>0]<<24;U=V+4|0;V=h[U>>0]|h[U+1>>0]<<8|h[U+2>>0]<<16|h[U+3>>0]<<24;U=e;f[U>>2]=Ma;f[U+4>>2]=V;f[c>>2]=ja+8;f[s>>2]=Ma;f[s+4>>2]=V;Na=+p[s>>3]}else{if(!(vCb(c,e)|0)){X=174;break a}Na=+p[e>>3]}V=f[N>>2]|0;if((V|0)==(f[O>>2]|0)){bEa(N,V+1|0);Oa=f[N>>2]|0}else Oa=V;V=f[P>>2]|0;f[N>>2]=Oa+1;p[V+8+(Oa<<3)>>3]=Na;V=La+1|0;if((V|0)<(T|0))La=V;else continue a}break}case 13:{switch((W&255)<<24>>24){case 106:break;case 104:{if(zIa(1,106,c,Q)|0)continue a;else{aa=0;X=196;break a}break}default:{Z=W;break b}}T=f[c>>2]|0;if(T>>>0<(f[g>>2]|0)>>>0?(qa=b[T>>0]|0,qa<<24>>24>-1):0){f[c>>2]=T+1;Pa=qa&255}else{qa=wCb(c)|0;if((qa|0)>-1)Pa=qa;else{aa=0;X=196;break a}}qa=fCb(c,Pa)|0;if((nCb(c)|0)>0)do{T=f[c>>2]|0;if(T>>>0<(f[g>>2]|0)>>>0){V=b[T>>0]|0;Ma=V&255;if(V<<24>>24>-1){f[c>>2]=T+1;Qa=Ma}else{Ra=Ma;X=185}}else{Ra=0;X=185}if((X|0)==185){X=0;Ma=iCb(c,Ra)|0;T=J;if((T|0)>-1|(T|0)==-1&Ma>>>0>4294967295)Qa=Ma;else{aa=0;X=196;break a}}Ma=f[Q>>2]|0;if((Ma|0)==(f[R>>2]|0)){eFa(Q,Ma+1|0);Sa=f[Q>>2]|0}else Sa=Ma;Ma=f[S>>2]|0;f[Q>>2]=Sa+1;f[Ma+4+(Sa<<2)>>2]=Qa}while((nCb(c)|0)>0);gCb(c,qa);continue a;break}default:{Z=W;break b}}while(0)}while(0);if(!Z){aa=1;X=196;break}Ma=f[n>>2]|0;if(!(Ma&1))Ta=AHa(n)|0;else Ta=Ma&-2;if(!(b4b(c,Z,Ta)|0)){aa=0;X=196;break}}switch(X|0){case 22:{aa=0;u=d;return aa|0}case 49:{if((f[o>>2]|0)<=0){aa=0;u=d;return aa|0}f[o>>2]=ia;aa=0;u=d;return aa|0}case 58:{aa=0;u=d;return aa|0}case 72:{if((f[t>>2]|0)<=0){aa=0;u=d;return aa|0}f[t>>2]=oa;aa=0;u=d;return aa|0}case 81:{aa=0;u=d;return aa|0}case 112:{if((f[B>>2]|0)<=0){aa=0;u=d;return aa|0}f[B>>2]=ya;aa=0;u=d;return aa|0}case 121:{aa=0;u=d;return aa|0}case 165:{if((f[N>>2]|0)<=0){aa=0;u=d;return aa|0}f[N>>2]=Ka;aa=0;u=d;return aa|0}case 174:{aa=0;u=d;return aa|0}case 196:{u=d;return aa|0}}return 0}function PIa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;c=f[a+4>>2]|0;if((c&1|0)!=0&(b[481264]|0)!=0)d=h4b(c&-2)|0;else d=0;c=f[a+8>>2]<<2;if(!c)e=d;else{if((c|0)<0)g=10;else g=(((($(c|1|0)|0)^31)*9|0)+73|0)>>>6;e=d+1+g|0}f[a+20>>2]=c;g=e+c|0;c=f[a+24>>2]<<3;if(!c)h=g;else{if((c|0)<0)i=10;else i=(((($(c|1|0)|0)^31)*9|0)+73|0)>>>6;h=g+1+i|0}f[a+36>>2]=c;i=h+c|0;c=JEb(a+40|0)|0;if(!c)j=i;else{if((c|0)<0)k=10;else k=(((($(c|1|0)|0)^31)*9|0)+73|0)>>>6;j=i+1+k|0}f[a+52>>2]=c;k=f[a+60>>2]|0;i=j+c+k|0;if((k|0)>0){c=f[a+68>>2]|0;j=0;h=i;while(1){g=f[c+4+(j<<2)>>2]|0;e=b[g+11>>0]|0;d=e<<24>>24<0?f[g+4>>2]|0:e&255;e=d+h+((((($(d|1|0)|0)^31)*9|0)+73|0)>>>6)|0;j=j+1|0;if((j|0)==(k|0)){l=e;break}else h=e}}else l=i;i=f[a+72>>2]<<2;if(!i)m=l;else{if((i|0)<0)n=10;else n=(((($(i|1|0)|0)^31)*9|0)+73|0)>>>6;m=l+1+n|0}f[a+84>>2]=i;n=m+i|0;i=f[a+88>>2]|0;if((i|0)>0){m=f[a+96>>2]|0;l=0;h=0;do{k=m+8+(h<<3)|0;j=Prc(f[k>>2]|1|0,f[k+4>>2]|0,1)|0;l=((((j^63)*9|0)+73|0)>>>6)+l|0;h=h+1|0}while((h|0)!=(i|0));if(l){if((l|0)<0)o=11;else o=((((($(l|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;p=l;q=o+n|0}else{p=0;q=n}}else{p=0;q=n}f[a+100>>2]=p;n=q+p|0;p=f[a+104>>2]|0;if(!p)r=n;else{if((p|0)<0)s=11;else s=((((($(p|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;r=s+n|0}f[a+116>>2]=p;n=r+p|0;p=f[a+120>>2]<<3;if(!p)t=n;else{if((p|0)<0)u=11;else u=((((($(p|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;t=u+n|0}f[a+132>>2]=p;n=t+p|0;p=JEb(a+136|0)|0;if(!p)v=n;else{if((p|0)<0)w=11;else w=((((($(p|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;v=w+n|0}f[a+148>>2]=p;n=v+p|0;p=f[a+152>>2]|0;v=b[p+11>>0]|0;w=v<<24>>24<0;if(w)x=f[p+4>>2]|0;else x=v&255;if(!x)y=n;else{x=w?f[p+4>>2]|0:v&255;y=n+1+x+((((($(x|1|0)|0)^31)*9|0)+73|0)>>>6)|0}if((a|0)!=528536?(x=f[a+156>>2]|0,(x|0)!=0):0){n=ci[f[(f[x>>2]|0)+48>>2]&1023](x)|0;z=y+1+n+((((($(n|1|0)|0)^31)*9|0)+73|0)>>>6)|0}else z=y;y=f[a+160>>2]|0;if(!y)A=z;else{if((y|0)<0)B=11;else B=((((($(y|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;A=B+z|0}z=f[a+164>>2]|0;if(!z){C=A;D=a+168|0;f[D>>2]=C;return C|0}if((z|0)<0)E=11;else E=((((($(z|1|0)|0)^31)*9|0)+73|0)>>>6)+1|0;C=E+A|0;D=a+168|0;f[D>>2]=C;return C|0}function QIa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;d=f[a+160>>2]|0;if(d|0)zEb(1,d,c);if((a|0)!=528536?(d=f[a+156>>2]|0,d|0):0)GEb(2,d,c);d=f[a+164>>2]|0;if(d|0)mEb(3,d,c);d=f[a+152>>2]|0;e=b[d+11>>0]|0;if(e<<24>>24<0)g=f[d+4>>2]|0;else g=e&255;if(g|0)DEb(4,d,c);d=a+8|0;if((f[d>>2]|0)>0){g=c+8|0;if((f[g>>2]|0)>4){e=c+4|0;b[f[e>>2]>>0]=42;f[e>>2]=(f[e>>2]|0)+1;e=(f[g>>2]|0)+-1|0;f[g>>2]=e;h=e}else{ECb(c,42);h=f[g>>2]|0}e=f[a+20>>2]|0;if((h|0)>4){h=c+4|0;i=f[h>>2]|0;if(e>>>0>127){j=e;k=i;while(1){b[k>>0]=j|128;l=j>>>7;m=k+1|0;if(j>>>0>16383){j=l;k=m}else{n=m;o=l;break}}}else{n=i;o=e}b[n>>0]=o;o=n+1-i|0;f[h>>2]=(f[h>>2]|0)+o;f[g>>2]=(f[g>>2]|0)-o}else ECb(c,e);e=f[a+16>>2]|0;jEb((e|0)==0?0:e+4|0,f[d>>2]|0,c)}d=a+24|0;if((f[d>>2]|0)>0){e=c+8|0;if((f[e>>2]|0)>4){o=c+4|0;b[f[o>>2]>>0]=50;f[o>>2]=(f[o>>2]|0)+1;o=(f[e>>2]|0)+-1|0;f[e>>2]=o;p=o}else{ECb(c,50);p=f[e>>2]|0}o=f[a+36>>2]|0;if((p|0)>4){p=c+4|0;g=f[p>>2]|0;if(o>>>0>127){h=o;i=g;while(1){b[i>>0]=h|128;n=h>>>7;k=i+1|0;if(h>>>0>16383){h=n;i=k}else{q=k;r=n;break}}}else{q=g;r=o}b[q>>0]=r;r=q+1-g|0;f[p>>2]=(f[p>>2]|0)+r;f[e>>2]=(f[e>>2]|0)-r}else ECb(c,o);o=f[a+32>>2]|0;kEb((o|0)==0?0:o+8|0,f[d>>2]|0,c)}d=a+40|0;if((f[d>>2]|0)>0){o=c+8|0;if((f[o>>2]|0)>4){r=c+4|0;b[f[r>>2]>>0]=58;f[r>>2]=(f[r>>2]|0)+1;r=(f[o>>2]|0)+-1|0;f[o>>2]=r;s=r}else{ECb(c,58);s=f[o>>2]|0}r=f[a+52>>2]|0;if((s|0)>4){s=c+4|0;e=f[s>>2]|0;if(r>>>0>127){p=r;g=e;while(1){b[g>>0]=p|128;q=p>>>7;i=g+1|0;if(p>>>0>16383){p=q;g=i}else{t=i;u=q;break}}}else{t=e;u=r}b[t>>0]=u;u=t+1-e|0;f[s>>2]=(f[s>>2]|0)+u;f[o>>2]=(f[o>>2]|0)-u}else ECb(c,r);r=f[d>>2]|0;if((r|0)>0){d=a+48|0;u=c+8|0;o=c+4|0;s=0;do{e=f[(f[d>>2]|0)+4+(s<<2)>>2]|0;t=((e|0)<0)<<31>>31;if((f[u>>2]|0)>9){g=f[o>>2]|0;p=e&255;if(e>>>0>127){q=g;i=p;h=e;n=t;while(1){b[q>>0]=i|-128;k=h;h=Irc(h|0,n|0,7)|0;j=q+1|0;l=h&255;if(!(n>>>0>0|(n|0)==0&k>>>0>16383)){v=j;w=l;break}else{q=j;i=l;n=J}}}else{v=g;w=p}b[v>>0]=w;n=v+1-g|0;f[o>>2]=(f[o>>2]|0)+n;f[u>>2]=(f[u>>2]|0)-n}else FCb(c,e,t);s=s+1|0}while((s|0)!=(r|0))}}r=f[a+60>>2]|0;if((r|0)>0){s=a+68|0;u=0;do{CEb(8,f[(f[s>>2]|0)+4+(u<<2)>>2]|0,c);u=u+1|0}while((u|0)!=(r|0))}r=a+72|0;if((f[r>>2]|0)>0){u=c+8|0;if((f[u>>2]|0)>4){s=c+4|0;b[f[s>>2]>>0]=74;f[s>>2]=(f[s>>2]|0)+1;s=(f[u>>2]|0)+-1|0;f[u>>2]=s;x=s}else{ECb(c,74);x=f[u>>2]|0}s=f[a+84>>2]|0;if((x|0)>4){x=c+4|0;o=f[x>>2]|0;if(s>>>0>127){v=s;w=o;while(1){b[w>>0]=v|128;d=v>>>7;n=w+1|0;if(v>>>0>16383){v=d;w=n}else{y=n;z=d;break}}}else{y=o;z=s}b[y>>0]=z;z=y+1-o|0;f[x>>2]=(f[x>>2]|0)+z;f[u>>2]=(f[u>>2]|0)-z}else ECb(c,s);s=f[a+80>>2]|0;jEb((s|0)==0?0:s+4|0,f[r>>2]|0,c)}r=a+88|0;if((f[r>>2]|0)>0){s=c+8|0;if((f[s>>2]|0)>4){z=c+4|0;b[f[z>>2]>>0]=82;f[z>>2]=(f[z>>2]|0)+1;z=(f[s>>2]|0)+-1|0;f[s>>2]=z;A=z}else{ECb(c,82);A=f[s>>2]|0}z=f[a+100>>2]|0;if((A|0)>4){A=c+4|0;u=f[A>>2]|0;if(z>>>0>127){x=z;o=u;while(1){b[o>>0]=x|128;y=x>>>7;w=o+1|0;if(x>>>0>16383){x=y;o=w}else{B=w;C=y;break}}}else{B=u;C=z}b[B>>0]=C;C=B+1-u|0;f[A>>2]=(f[A>>2]|0)+C;f[s>>2]=(f[s>>2]|0)-C}else ECb(c,z);z=f[r>>2]|0;if((z|0)>0){r=a+96|0;C=c+8|0;s=c+4|0;A=0;do{u=(f[r>>2]|0)+8+(A<<3)|0;B=f[u>>2]|0;o=f[u+4>>2]|0;if((f[C>>2]|0)>9){u=f[s>>2]|0;x=B&255;if(o>>>0>0|(o|0)==0&B>>>0>127){y=u;w=x;v=B;d=o;while(1){b[y>>0]=w|-128;n=v;v=Irc(v|0,d|0,7)|0;i=y+1|0;q=v&255;if(!(d>>>0>0|(d|0)==0&n>>>0>16383)){D=i;E=q;break}else{y=i;w=q;d=J}}}else{D=u;E=x}b[D>>0]=E;d=D+1-u|0;f[s>>2]=(f[s>>2]|0)+d;f[C>>2]=(f[C>>2]|0)-d}else FCb(c,B,o);A=A+1|0}while((A|0)!=(z|0))}}z=a+104|0;if((f[z>>2]|0)>0){A=c+8|0;if((f[A>>2]|0)>4){C=c+4|0;b[f[C>>2]>>0]=90;f[C>>2]=(f[C>>2]|0)+1;C=(f[A>>2]|0)+-1|0;f[A>>2]=C;F=C}else{ECb(c,90);F=f[A>>2]|0}C=f[a+116>>2]|0;if((F|0)>4){F=c+4|0;s=f[F>>2]|0;if(C>>>0>127){D=C;E=s;while(1){b[E>>0]=D|128;r=D>>>7;d=E+1|0;if(D>>>0>16383){D=r;E=d}else{G=d;H=r;break}}}else{G=s;H=C}b[G>>0]=H;H=G+1-s|0;f[F>>2]=(f[F>>2]|0)+H;f[A>>2]=(f[A>>2]|0)-H}else ECb(c,C);C=f[a+112>>2]|0;lEb((C|0)==0?0:C+4|0,f[z>>2]|0,c)}z=a+120|0;if((f[z>>2]|0)>0){C=c+8|0;if((f[C>>2]|0)>4){H=c+4|0;b[f[H>>2]>>0]=98;f[H>>2]=(f[H>>2]|0)+1;H=(f[C>>2]|0)+-1|0;f[C>>2]=H;I=H}else{ECb(c,98);I=f[C>>2]|0}H=f[a+132>>2]|0;if((I|0)>4){I=c+4|0;A=f[I>>2]|0;if(H>>>0>127){F=H;s=A;while(1){b[s>>0]=F|128;G=F>>>7;E=s+1|0;if(F>>>0>16383){F=G;s=E}else{K=E;L=G;break}}}else{K=A;L=H}b[K>>0]=L;L=K+1-A|0;f[I>>2]=(f[I>>2]|0)+L;f[C>>2]=(f[C>>2]|0)-L}else ECb(c,H);H=f[a+128>>2]|0;kEb((H|0)==0?0:H+8|0,f[z>>2]|0,c)}z=a+136|0;if((f[z>>2]|0)>0){H=c+8|0;if((f[H>>2]|0)>4){L=c+4|0;b[f[L>>2]>>0]=106;f[L>>2]=(f[L>>2]|0)+1;L=(f[H>>2]|0)+-1|0;f[H>>2]=L;M=L}else{ECb(c,106);M=f[H>>2]|0}L=f[a+148>>2]|0;if((M|0)>4){M=c+4|0;C=f[M>>2]|0;if(L>>>0>127){I=L;A=C;while(1){b[A>>0]=I|128;K=I>>>7;s=A+1|0;if(I>>>0>16383){I=K;A=s}else{N=s;O=K;break}}}else{N=C;O=L}b[N>>0]=O;O=N+1-C|0;f[M>>2]=(f[M>>2]|0)+O;f[H>>2]=(f[H>>2]|0)-O}else ECb(c,L);L=f[z>>2]|0;if((L|0)>0){z=a+144|0;O=c+8|0;H=c+4|0;M=0;do{C=f[(f[z>>2]|0)+4+(M<<2)>>2]|0;N=((C|0)<0)<<31>>31;if((f[O>>2]|0)>9){A=f[H>>2]|0;I=C&255;if(C>>>0>127){K=A;s=I;F=C;G=N;while(1){b[K>>0]=s|-128;E=F;F=Irc(F|0,G|0,7)|0;D=K+1|0;r=F&255;if(!(G>>>0>0|(G|0)==0&E>>>0>16383)){P=D;Q=r;break}else{K=D;s=r;G=J}}}else{P=A;Q=I}b[P>>0]=Q;G=P+1-A|0;f[H>>2]=(f[H>>2]|0)+G;f[O>>2]=(f[O>>2]|0)-G}else FCb(c,C,N);M=M+1|0}while((M|0)!=(L|0))}}L=f[a+4>>2]|0;if(!((L&1|0)!=0&(b[481264]|0)!=0))return;e4b(L&-2,c);return}function RIa(a){a=a|0;return f[a+168>>2]|0}function SIa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;e=f[a+160>>2]|0;if(!e)g=d;else{b[d>>0]=8;h=d+1|0;d=e&255;if(e>>>0>127){i=h;j=d;k=e;l=((e|0)<0)<<31>>31;while(1){b[i>>0]=j|-128;e=k;k=Irc(k|0,l|0,7)|0;m=i+1|0;n=k&255;if(!(l>>>0>0|(l|0)==0&e>>>0>16383)){o=m;p=n;break}else{i=m;j=n;l=J}}}else{o=h;p=d}b[o>>0]=p;g=o+1|0}if((a|0)!=528536?(o=f[a+156>>2]|0,(o|0)!=0):0){b[g>>0]=18;p=g+1|0;d=ci[f[(f[o>>2]|0)+60>>2]&1023](o)|0;if(d>>>0>127){h=d;l=p;while(1){b[l>>0]=h|128;j=h>>>7;i=l+1|0;if(h>>>0>16383){h=j;l=i}else{q=i;r=j;break}}}else{q=p;r=d}b[q>>0]=r;s=ki[f[(f[o>>2]|0)+64>>2]&511](o,c,q+1|0)|0}else s=g;g=f[a+164>>2]|0;if(!g)t=s;else{b[s>>0]=24;q=s+1|0;s=g&255;if(g>>>0>127){c=q;o=s;r=g;d=((g|0)<0)<<31>>31;while(1){b[c>>0]=o|-128;g=r;r=Irc(r|0,d|0,7)|0;p=c+1|0;l=r&255;if(!(d>>>0>0|(d|0)==0&g>>>0>16383)){u=p;v=l;break}else{c=p;o=l;d=J}}}else{u=q;v=s}b[u>>0]=v;t=u+1|0}u=f[a+152>>2]|0;v=b[u+11>>0]|0;if(v<<24>>24<0)w=f[u+4>>2]|0;else w=v&255;if(!w)x=t;else{b[t>>0]=34;x=GCb(u,t+1|0)|0}t=a+8|0;if((f[t>>2]|0)>0){b[x>>0]=42;u=x+1|0;w=f[a+20>>2]|0;if(w>>>0>127){v=w;s=u;while(1){b[s>>0]=v|128;q=v>>>7;d=s+1|0;if(v>>>0>16383){v=q;s=d}else{y=d;z=q;break}}}else{y=u;z=w}b[y>>0]=z;z=y+1|0;y=f[t>>2]<<2;Krc(z|0,(f[a+16>>2]|0)+4|0,y|0)|0;A=z+y|0}else A=x;x=a+24|0;if((f[x>>2]|0)>0){b[A>>0]=50;y=A+1|0;z=f[a+36>>2]|0;if(z>>>0>127){t=z;w=y;while(1){b[w>>0]=t|128;u=t>>>7;s=w+1|0;if(t>>>0>16383){t=u;w=s}else{B=s;C=u;break}}}else{B=y;C=z}b[B>>0]=C;C=B+1|0;B=f[x>>2]<<3;Krc(C|0,(f[a+32>>2]|0)+8|0,B|0)|0;D=C+B|0}else D=A;A=a+40|0;if((f[A>>2]|0)>0){b[D>>0]=58;B=D+1|0;C=f[a+52>>2]|0;if(C>>>0>127){x=C;z=B;while(1){b[z>>0]=x|128;y=x>>>7;w=z+1|0;if(x>>>0>16383){x=y;z=w}else{E=w;F=y;break}}}else{E=B;F=C}b[E>>0]=F;F=f[A>>2]|0;A=f[a+48>>2]|0;C=0;B=E+1|0;while(1){E=f[A+4+(C<<2)>>2]|0;z=E&255;if(E>>>0>127){x=B;y=z;w=E;t=((E|0)<0)<<31>>31;while(1){b[x>>0]=y|-128;E=w;w=Irc(w|0,t|0,7)|0;u=x+1|0;s=w&255;if(!(t>>>0>0|(t|0)==0&E>>>0>16383)){G=u;H=s;break}else{x=u;y=s;t=J}}}else{G=B;H=z}b[G>>0]=H;t=G+1|0;C=C+1|0;if((C|0)>=(F|0)){I=t;break}else B=t}}else I=D;D=f[a+60>>2]|0;if((D|0)>0){B=a+68|0;F=0;C=I;while(1){G=f[(f[B>>2]|0)+4+(F<<2)>>2]|0;b[C>>0]=66;H=GCb(G,C+1|0)|0;F=F+1|0;if((F|0)==(D|0)){K=H;break}else C=H}}else K=I;I=a+72|0;if((f[I>>2]|0)>0){b[K>>0]=74;C=K+1|0;D=f[a+84>>2]|0;if(D>>>0>127){F=D;B=C;while(1){b[B>>0]=F|128;H=F>>>7;G=B+1|0;if(F>>>0>16383){F=H;B=G}else{L=G;M=H;break}}}else{L=C;M=D}b[L>>0]=M;M=L+1|0;L=f[I>>2]<<2;Krc(M|0,(f[a+80>>2]|0)+4|0,L|0)|0;N=M+L|0}else N=K;K=a+88|0;if((f[K>>2]|0)>0){b[N>>0]=82;L=N+1|0;M=f[a+100>>2]|0;if(M>>>0>127){I=M;D=L;while(1){b[D>>0]=I|128;C=I>>>7;B=D+1|0;if(I>>>0>16383){I=C;D=B}else{O=B;P=C;break}}}else{O=L;P=M}b[O>>0]=P;P=f[K>>2]|0;K=f[a+96>>2]|0;M=0;L=O+1|0;while(1){O=K+8+(M<<3)|0;D=f[O>>2]|0;I=f[O+4>>2]|0;O=D&255;if(I>>>0>0|(I|0)==0&D>>>0>127){C=L;B=O;F=D;D=I;while(1){b[C>>0]=B|-128;I=F;F=Irc(F|0,D|0,7)|0;H=C+1|0;G=F&255;if(!(D>>>0>0|(D|0)==0&I>>>0>16383)){Q=H;R=G;break}else{C=H;B=G;D=J}}}else{Q=L;R=O}b[Q>>0]=R;D=Q+1|0;M=M+1|0;if((M|0)>=(P|0)){S=D;break}else L=D}}else S=N;N=a+104|0;if((f[N>>2]|0)>0){b[S>>0]=90;L=S+1|0;P=f[a+116>>2]|0;if(P>>>0>127){M=P;Q=L;while(1){b[Q>>0]=M|128;R=M>>>7;K=Q+1|0;if(M>>>0>16383){M=R;Q=K}else{T=K;U=R;break}}}else{T=L;U=P}b[T>>0]=U;U=f[N>>2]|0;N=f[a+112>>2]|0;P=0;L=T+1|0;while(1){b[L>>0]=b[N+4+P>>0]|0;T=L+1|0;P=P+1|0;if((P|0)>=(U|0)){V=T;break}else L=T}}else V=S;S=a+120|0;if((f[S>>2]|0)>0){b[V>>0]=98;L=V+1|0;U=f[a+132>>2]|0;if(U>>>0>127){P=U;N=L;while(1){b[N>>0]=P|128;T=P>>>7;Q=N+1|0;if(P>>>0>16383){P=T;N=Q}else{W=Q;X=T;break}}}else{W=L;X=U}b[W>>0]=X;X=W+1|0;W=f[S>>2]<<3;Krc(X|0,(f[a+128>>2]|0)+8|0,W|0)|0;Y=X+W|0}else Y=V;V=a+136|0;if((f[V>>2]|0)>0){b[Y>>0]=106;W=Y+1|0;X=f[a+148>>2]|0;if(X>>>0>127){S=X;U=W;while(1){b[U>>0]=S|128;L=S>>>7;N=U+1|0;if(S>>>0>16383){S=L;U=N}else{Z=N;_=L;break}}}else{Z=W;_=X}b[Z>>0]=_;_=f[V>>2]|0;V=f[a+144>>2]|0;X=0;W=Z+1|0;while(1){Z=f[V+4+(X<<2)>>2]|0;U=Z&255;if(Z>>>0>127){S=W;L=U;N=Z;P=((Z|0)<0)<<31>>31;while(1){b[S>>0]=L|-128;Z=N;N=Irc(N|0,P|0,7)|0;T=S+1|0;Q=N&255;if(!(P>>>0>0|(P|0)==0&Z>>>0>16383)){$=T;aa=Q;break}else{S=T;L=Q;P=J}}}else{$=W;aa=U}b[$>>0]=aa;P=$+1|0;X=X+1|0;if((X|0)>=(_|0)){ba=P;break}else W=P}}else ba=Y;Y=f[a+4>>2]|0;if(!((Y&1|0)!=0&(b[481264]|0)!=0)){ca=ba;return ca|0}ca=f4b(Y&-2,ba)|0;return ca|0}function TIa(a,b){a=a|0;b=b|0;if((a|0)==(b|0))return;ai[f[(f[a>>2]|0)+28>>2]&2047](a);xh[f[(f[a>>2]|0)+76>>2]&2047](a,b);return}function UIa(a,b){a=a|0;b=b|0;var c=0;c=Jnc(b,24640,18904,0)|0;if(!c){c2b(b,a);return}else{$Ia(a,c);return}}function VIa(a,b){a=a|0;b=b|0;f[a+168>>2]=b;return}function WIa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;c=u;u=u+16|0;d=c;if((f[222682]|0)!=2){f[d>>2]=149752;f[d+4>>2]=11;b[d+8>>0]=0;dEb(890728,d);zDb(d)}d=528712;e=f[d+4>>2]|0;g=a;f[g>>2]=f[d>>2];f[g+4>>2]=e;u=c;return}function XIa(){var a=0,c=0,d=0,e=0,g=0,h=0;a=u;u=u+16|0;c=a;if((f[222683]|0)!=2){f[c>>2]=149752;f[c+4>>2]=12;b[c+8>>0]=0;dEb(890732,c);zDb(c)}d=Bmc(16)|0;f[c>>2]=d;f[c+8>>2]=-2147483632;f[c+4>>2]=12;e=d;g=410623;h=e+12|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));b[d+12>>0]=0;wYb(c,112160,112172,111980,0,528712,0,0);if((b[c+11>>0]|0)>=0){u=a;return}Emc(f[c>>2]|0);u=a;return}function YIa(){var a=0,c=0;a=u;u=u+16|0;c=a;if((f[222684]|0)!=2){f[c>>2]=149752;f[c+4>>2]=13;b[c+8>>0]=0;dEb(890736,c);zDb(c)}NIb(410636,495);R1b(410623,1646);Bzb();qOa();u=a;return}function ZIa(){CDb(3005001,3005e3,411132);tBb();Azb();f[132134]=112060;f[132140]=0;f[132141]=0;f[132142]=0;f[132144]=0;f[132145]=0;f[132146]=0;f[132156]=0;f[132157]=0;f[132158]=0;f[132160]=0;f[132161]=0;f[132162]=0;f[132164]=0;f[132165]=0;f[132166]=0;f[132168]=0;f[132169]=0;f[132170]=0;f[132135]=0;f[132136]=0;f[132137]=0;f[132138]=0;f[132148]=0;f[132149]=0;f[132150]=0;f[132151]=0;f[132152]=0;f[132153]=0;f[132154]=0;f[132172]=535416;f[132173]=0;f[132174]=0;f[132175]=0;f[132176]=0;$Db(528536);f[132173]=535064;return}function _Ia(a){a=a|0;var c=0;a=u;u=u+16|0;c=a;if((f[222682]|0)!=2){f[c>>2]=149752;f[c+4>>2]=11;b[c+8>>0]=0;dEb(890728,c);zDb(c)}BYb(528712,1);u=a;return}function $Ia(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=a+4|0;e=f[c+4>>2]|0;if(e&1|0){g=f[d>>2]|0;if(!(g&1))h=AHa(d)|0;else h=g&-2;O3b(h,e&-2)}e=a+8|0;h=c+8|0;g=f[h>>2]|0;if(g|0){aEa(e,(f[e>>2]|0)+g|0);Krc((f[a+16>>2]|0)+4+(f[e>>2]<<2)|0,(f[c+16>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}h=a+24|0;e=c+24|0;g=f[e>>2]|0;if(g|0){bEa(h,(f[h>>2]|0)+g|0);Krc((f[a+32>>2]|0)+8+(f[h>>2]<<3)|0,(f[c+32>>2]|0)+8|0,f[e>>2]<<3|0)|0;f[h>>2]=(f[h>>2]|0)+(f[e>>2]|0)}e=a+40|0;h=c+40|0;g=f[h>>2]|0;if(g|0){eFa(e,(f[e>>2]|0)+g|0);Krc((f[a+48>>2]|0)+4+(f[e>>2]<<2)|0,(f[c+48>>2]|0)+4|0,f[h>>2]<<2|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}BHa(a+56|0,c+56|0);h=a+72|0;e=c+72|0;g=f[e>>2]|0;if(g|0){aEa(h,(f[h>>2]|0)+g|0);Krc((f[a+80>>2]|0)+4+(f[h>>2]<<2)|0,(f[c+80>>2]|0)+4|0,f[e>>2]<<2|0)|0;f[h>>2]=(f[h>>2]|0)+(f[e>>2]|0)}e=a+88|0;h=c+88|0;g=f[h>>2]|0;if(g|0){cEa(e,(f[e>>2]|0)+g|0);Krc((f[a+96>>2]|0)+8+(f[e>>2]<<3)|0,(f[c+96>>2]|0)+8|0,f[h>>2]<<3|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}h=a+104|0;e=c+104|0;g=f[e>>2]|0;if(g|0){aJa(h,(f[h>>2]|0)+g|0);Krc((f[h>>2]|0)+((f[a+112>>2]|0)+4)|0,(f[c+112>>2]|0)+4|0,f[e>>2]|0)|0;f[h>>2]=(f[h>>2]|0)+(f[e>>2]|0)}e=a+120|0;h=c+120|0;g=f[h>>2]|0;if(g|0){bEa(e,(f[e>>2]|0)+g|0);Krc((f[a+128>>2]|0)+8+(f[e>>2]<<3)|0,(f[c+128>>2]|0)+8|0,f[h>>2]<<3|0)|0;f[e>>2]=(f[e>>2]|0)+(f[h>>2]|0)}h=a+136|0;e=c+136|0;g=f[e>>2]|0;if(g|0){eFa(h,(f[h>>2]|0)+g|0);Krc((f[a+144>>2]|0)+4+(f[h>>2]<<2)|0,(f[c+144>>2]|0)+4|0,f[e>>2]<<2|0)|0;f[h>>2]=(f[h>>2]|0)+(f[e>>2]|0)}e=f[c+152>>2]|0;h=b[e+11>>0]|0;if(h<<24>>24<0)i=f[e+4>>2]|0;else i=h&255;do if(i|0){h=a+152|0;g=f[d>>2]|0;j=g&-2;if(!(g&1))k=j;else k=f[j+4>>2]|0;j=f[h>>2]|0;if((j|0)==535416){PDa(h,k,e);break}else{Qmc(j,e)|0;break}}while(0);if((c|0)!=528536?(e=c+156|0,k=f[e>>2]|0,k|0):0){d=a+156|0;i=f[d>>2]|0;if(!i){bJa(a);l=f[e>>2]|0;m=f[d>>2]|0}else{l=k;m=i}Czb(m,l|0?l:535064)}l=f[c+160>>2]|0;if(l|0)f[a+160>>2]=l;l=f[c+164>>2]|0;if(!l)return;f[a+164>>2]=l;return}function aJa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=a+4|0;d=f[c>>2]|0;if((d|0)>=(b|0))return;e=a+8|0;g=f[e>>2]|0;h=(g|0)==0;if(!h){i=f[g>>2]|0;j=d<<1;k=(j|0)<(b|0)?b:j;j=(k|0)>4?k:4;if(!i){l=j;m=5}else{k=j+11&-8;if(f[i+64>>2]|0)pBb(i,26896,k);n=nBb(i,k)|0;o=i;p=j}}else{j=d<<1;d=(j|0)<(b|0)?b:j;l=(d|0)>4?d:4;m=5}if((m|0)==5){n=Bmc(l+4|0)|0;o=0;p=l}f[e>>2]=n;f[n>>2]=o;f[c>>2]=p;p=f[a>>2]|0;if((p|0)>0)Krc(n+4|0,g+4|0,p|0)|0;if(h)return;if(f[g>>2]|0)return;Emc(g);return}function bJa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+4>>2]|0;c=b&-2;if(!(b&1))d=c;else d=f[c+4>>2]|0;if(!d){c=Bmc(32)|0;xzb(c);e=c;g=a+156|0;f[g>>2]=e;return}if(f[d+64>>2]|0)pBb(d,23184,32);c=nBb(d,32)|0;yzb(c,d);e=c;g=a+156|0;f[g>>2]=e;return}function cJa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;g=u;u=u+16|0;i=g;j=d+4|0;k=f[d>>2]|0;do if(((f[j>>2]|0)-k|0)>3){l=k;m=h[l>>0]|h[l+1>>0]<<8|h[l+2>>0]<<16|h[l+3>>0]<<24;f[i>>2]=m;f[d>>2]=k+4;n=m}else{if(uCb(d,i)|0){n=f[i>>2]|0;break}o=0;u=g;return o|0}while(0);i=f[e>>2]|0;k=e+4|0;if((i|0)==(f[k>>2]|0)){aEa(e,i+1|0);p=f[e>>2]|0}else p=i;i=f[e+8>>2]|0;m=p+1|0;f[e>>2]=m;f[i+4+(p<<2)>>2]=n;n=f[d>>2]|0;p=(f[j>>2]|0)-n|0;if((p|0)<=0){o=1;u=g;return o|0}j=n;n=a+4|0;a=(f[k>>2]|0)-m|0;k=(p|0)/(n|0)|0;l=(k|0)<(a|0)?k:a;a:do if((l|0)>0){a=c&127|128;k=c>>>7&255;if(c>>>0<128){q=0;r=j;s=m;while(1){if((h[r>>0]|0)!=(c|0)){t=q;break a}v=r+1|0;w=h[v>>0]|h[v+1>>0]<<8|h[v+2>>0]<<16|h[v+3>>0]<<24;v=s;s=s+1|0;f[e>>2]=s;f[i+4+(v<<2)>>2]=w;w=q+1|0;if((w|0)>=(l|0)){t=w;break a}else{q=w;r=r+5|0}}}if(c>>>0<16384){r=0;q=j;s=m;while(1){if((h[q>>0]|0)!=(a|0)){t=r;break a}if((b[q+1>>0]|0)!=k<<24>>24){t=r;break a}w=q+2|0;v=h[w>>0]|h[w+1>>0]<<8|h[w+2>>0]<<16|h[w+3>>0]<<24;w=s;s=s+1|0;f[e>>2]=s;f[i+4+(w<<2)>>2]=v;v=r+1|0;if((v|0)>=(l|0)){t=v;break}else{r=v;q=q+6|0}}}else t=0}else t=0;while(0);l=Y(t,n)|0;if((l|0)<=0){o=1;u=g;return o|0}if((p|0)<(l|0)){qCb(d,l,p)|0;o=1;u=g;return o|0}else{f[d>>2]=j+l;o=1;u=g;return o|0}return 0}function dJa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0.0,q=0,r=0,t=0,v=0,w=0,x=0,y=0;g=u;u=u+16|0;i=g;j=d+4|0;k=f[d>>2]|0;do if(((f[j>>2]|0)-k|0)>7){l=k;m=l;n=h[m>>0]|h[m+1>>0]<<8|h[m+2>>0]<<16|h[m+3>>0]<<24;m=l+4|0;l=h[m>>0]|h[m+1>>0]<<8|h[m+2>>0]<<16|h[m+3>>0]<<24;m=i;f[m>>2]=n;f[m+4>>2]=l;f[d>>2]=k+8;f[s>>2]=n;f[s+4>>2]=l;o=+p[s>>3]}else{if(vCb(d,i)|0){o=+p[i>>3];break}q=0;u=g;return q|0}while(0);i=f[e>>2]|0;k=e+4|0;if((i|0)==(f[k>>2]|0)){bEa(e,i+1|0);r=f[e>>2]|0}else r=i;i=f[e+8>>2]|0;l=r+1|0;f[e>>2]=l;p[i+8+(r<<3)>>3]=o;r=f[d>>2]|0;n=(f[j>>2]|0)-r|0;if((n|0)<=0){q=1;u=g;return q|0}j=r;r=a+8|0;a=(f[k>>2]|0)-l|0;k=(n|0)/(r|0)|0;m=(k|0)<(a|0)?k:a;a:do if((m|0)>0){a=c&127|128;k=c>>>7&255;if(c>>>0<128){t=0;v=j;w=l;while(1){if((h[v>>0]|0)!=(c|0)){x=t;break a}y=v+1|0;b[s>>0]=b[y>>0];b[s+1>>0]=b[y+1>>0];b[s+2>>0]=b[y+2>>0];b[s+3>>0]=b[y+3>>0];b[s+4>>0]=b[y+4>>0];b[s+5>>0]=b[y+5>>0];b[s+6>>0]=b[y+6>>0];b[s+7>>0]=b[y+7>>0];o=+p[s>>3];y=w;w=w+1|0;f[e>>2]=w;p[i+8+(y<<3)>>3]=o;y=t+1|0;if((y|0)>=(m|0)){x=y;break a}else{t=y;v=v+9|0}}}if(c>>>0<16384){v=0;t=j;w=l;while(1){if((h[t>>0]|0)!=(a|0)){x=v;break a}if((b[t+1>>0]|0)!=k<<24>>24){x=v;break a}y=t+2|0;b[s>>0]=b[y>>0];b[s+1>>0]=b[y+1>>0];b[s+2>>0]=b[y+2>>0];b[s+3>>0]=b[y+3>>0];b[s+4>>0]=b[y+4>>0];b[s+5>>0]=b[y+5>>0];b[s+6>>0]=b[y+6>>0];b[s+7>>0]=b[y+7>>0];o=+p[s>>3];y=w;w=w+1|0;f[e>>2]=w;p[i+8+(y<<3)>>3]=o;y=v+1|0;if((y|0)>=(m|0)){x=y;break}else{v=y;t=t+10|0}}}else x=0}else x=0;while(0);m=Y(x,r)|0;if((m|0)<=0){q=1;u=g;return q|0}if((n|0)<(m|0)){qCb(d,m,n)|0;q=1;u=g;return q|0}else{f[d>>2]=j+m;q=1;u=g;return q|0}return 0}function eJa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;a=u;u=u+16|0;g=a;i=f[d>>2]|0;j=d+4|0;if(i>>>0<(f[j>>2]|0)>>>0?(k=b[i>>0]|0,k<<24>>24>-1):0){f[d>>2]=i+1;l=k&255;m=0}else{jCb(g,d);k=g;if(!(b[g+8>>0]|0)){n=0;u=a;return n|0}else{l=f[k>>2]|0;m=f[k+4>>2]|0}}k=f[e>>2]|0;i=e+4|0;o=f[i>>2]|0;if((k|0)==(o|0)){cEa(e,k+1|0);p=f[e>>2]|0;q=f[i>>2]|0}else{p=k;q=o}o=e+8|0;k=f[o>>2]|0;i=p+1|0;f[e>>2]=i;r=k+8+(p<<3)|0;f[r>>2]=l;f[r+4>>2]=m;m=q-i|0;if((m|0)<=0){n=1;u=a;return n|0}q=g+8|0;r=c&127|128;l=c>>>7&255;if(c>>>0<128){p=m;s=i;t=k;while(1){v=f[d>>2]|0;w=f[j>>2]|0;if(v>>>0>=w>>>0){n=1;x=27;break}if((h[v>>0]|0)!=(c|0)){n=1;x=27;break}y=v+1|0;f[d>>2]=y;if(y>>>0<w>>>0?(w=b[y>>0]|0,w<<24>>24>-1):0){f[d>>2]=v+2;z=s;A=t;B=w&255;C=0}else{jCb(g,d);w=g;if(!(b[q>>0]|0)){n=0;x=27;break}z=f[e>>2]|0;A=f[o>>2]|0;B=f[w>>2]|0;C=f[w+4>>2]|0}s=z+1|0;f[e>>2]=s;w=A+8+(z<<3)|0;f[w>>2]=B;f[w+4>>2]=C;if((p|0)<=1){n=1;x=27;break}else{p=p+-1|0;t=A}}if((x|0)==27){u=a;return n|0}}if(c>>>0<16384){D=m;E=i;F=k}else{n=1;u=a;return n|0}while(1){k=f[j>>2]|0;i=f[d>>2]|0;m=i;if((k-i|0)<=1){n=1;x=27;break}if((h[m>>0]|0)!=(r|0)){n=1;x=27;break}if((b[m+1>>0]|0)!=l<<24>>24){n=1;x=27;break}i=m+2|0;f[d>>2]=i;if(i>>>0<k>>>0?(k=b[i>>0]|0,k<<24>>24>-1):0){f[d>>2]=m+3;G=E;H=F;I=k&255;J=0}else{jCb(g,d);k=g;if(!(b[q>>0]|0)){n=0;x=27;break}G=f[e>>2]|0;H=f[o>>2]|0;I=f[k>>2]|0;J=f[k+4>>2]|0}E=G+1|0;f[e>>2]=E;k=H+8+(G<<3)|0;f[k>>2]=I;f[k+4>>2]=J;if((D|0)<=1){n=1;x=27;break}else{D=D+-1|0;F=H}}if((x|0)==27){u=a;return n|0}return 0}
function J7(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0;d=f[c>>2]|0;e=((d|0)%2|0)+d|0;d=c+4|0;c=f[d>>2]|0;g=a+16|0;h=f[g>>2]|0;f[h+(e<<2)>>2]=((c|0)%2|0)+c;c=e+1|0;i=a+8|0;j=(Y(((f[(f[i>>2]|0)+12>>2]|0)+1|0)/2|0,(c|0)/2|0)|0)+1|0;k=a+4|0;l=f[k>>2]|0;m=f[l+8>>2]|0;n=f[l+12>>2]|0;if((e|0)>=(f[d>>2]|0)){o=j;p=h;q=o-j|0;r=p+(c<<2)|0;f[r>>2]=q;return}h=(n|0)>0;l=a+12|0;a=e;s=j;while(1){t=f[k>>2]|0;u=f[f[t+44>>2]>>2]|0;v=(f[t+16>>2]|0)+(Y(u,a)|0)|0;t=0-u|0;w=v+t|0;x=w+t|0;t=v+u|0;u=f[i>>2]|0;y=f[f[u+44>>2]>>2]|0;z=(f[u+16>>2]|0)+(Y(y,a)|0)|0;u=0-y|0;y=z+u+u|0;if(h){u=(a+1|0)<(m|0);A=(a|0)>(e|0);B=A^1;C=(a|0)>(c|0);D=0;E=s;while(1){a:do if(!(b[v+D>>0]|0)){F=D|1;G=(F|0)<(n|0);if(u?b[t+D>>0]|0:0){H=D+-1|0;I=(D|0)>0;if(G?b[v+F>>0]|0:0){if(I){if(b[v+H>>0]|0){do if(A){if(b[w+F>>0]|0){if(b[w+D>>0]|0){f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break a}do if(C){if(!(b[x+D>>0]|0))break;K=D+-2|0;if(b[w+H>>0]|0){f[z+(D<<2)>>2]=f[z+(K<<2)>>2];J=E;break a}do if((K|0)>-1){if(!(b[w+K>>0]|0))break;if(b[x+H>>0]|0){f[z+(D<<2)>>2]=f[z+(K<<2)>>2];J=E;break a}L=f[l>>2]|0;M=f[y+(D<<2)>>2]|0;N=f[z+(K<<2)>>2]|0;O=M;while(1){P=f[L+(O<<2)>>2]|0;if((P|0)<(O|0))O=P;else break}if((M|0)==(N|0))Q=O;else{P=N;while(1){R=f[L+(P<<2)>>2]|0;if((R|0)<(P|0))P=R;else break}R=(O|0)>(P|0)?P:O;S=N;do{T=L+(S<<2)|0;U=S;S=f[T>>2]|0;f[T>>2]=R}while((S|0)<(U|0));Q=R}R=M;do{S=L+(R<<2)|0;N=R;R=f[S>>2]|0;f[S>>2]=Q}while((R|0)<(N|0));f[z+(D<<2)>>2]=Q;J=E;break a}while(0);R=f[l>>2]|0;L=f[y+(D<<2)>>2]|0;M=f[z+(K<<2)>>2]|0;N=L;while(1){S=f[R+(N<<2)>>2]|0;if((S|0)<(N|0))N=S;else break}if((L|0)==(M|0))V=N;else{K=M;while(1){S=f[R+(K<<2)>>2]|0;if((S|0)<(K|0))K=S;else break}S=(N|0)>(K|0)?K:N;O=M;do{P=R+(O<<2)|0;U=O;O=f[P>>2]|0;f[P>>2]=S}while((O|0)<(U|0));V=S}S=L;do{O=R+(S<<2)|0;M=S;S=f[O>>2]|0;f[O>>2]=V}while((S|0)<(M|0));f[z+(D<<2)>>2]=V;J=E;break a}while(0);S=f[l>>2]|0;R=f[y+(D<<2)>>2]|0;L=f[z+(D+-2<<2)>>2]|0;M=R;while(1){O=f[S+(M<<2)>>2]|0;if((O|0)<(M|0))M=O;else break}if((R|0)==(L|0))W=M;else{O=L;while(1){N=f[S+(O<<2)>>2]|0;if((N|0)<(O|0))O=N;else break}N=(M|0)>(O|0)?O:M;K=L;do{U=S+(K<<2)|0;P=K;K=f[U>>2]|0;f[U>>2]=N}while((K|0)<(P|0));W=N}N=R;do{K=S+(N<<2)|0;L=N;N=f[K>>2]|0;f[K>>2]=W}while((N|0)<(L|0));f[z+(D<<2)>>2]=W;J=E;break a}N=D+2|0;if((N|0)>=(n|0))break;if(!(b[w+N>>0]|0))break;do if(C){if(!(b[x+F>>0]|0))break;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break a}if(!(b[x+D>>0]|0)){S=f[l>>2]|0;R=f[y+(N<<2)>>2]|0;L=f[z+(D+-2<<2)>>2]|0;K=R;while(1){M=f[S+(K<<2)>>2]|0;if((M|0)<(K|0))K=M;else break}if((R|0)==(L|0))X=K;else{M=L;while(1){O=f[S+(M<<2)>>2]|0;if((O|0)<(M|0))M=O;else break}O=(K|0)>(M|0)?M:K;P=L;do{U=S+(P<<2)|0;T=P;P=f[U>>2]|0;f[U>>2]=O}while((P|0)<(T|0));X=O}O=R;do{P=S+(O<<2)|0;L=O;O=f[P>>2]|0;f[P>>2]=X}while((O|0)<(L|0));f[z+(D<<2)>>2]=X;J=E;break a}O=D+-2|0;if(b[w+H>>0]|0){f[z+(D<<2)>>2]=f[z+(O<<2)>>2];J=E;break a}do if((O|0)>-1){if(!(b[w+O>>0]|0))break;if(b[x+H>>0]|0){f[z+(D<<2)>>2]=f[z+(O<<2)>>2];J=E;break a}S=f[l>>2]|0;R=f[y+(N<<2)>>2]|0;L=f[z+(O<<2)>>2]|0;P=R;while(1){K=f[S+(P<<2)>>2]|0;if((K|0)<(P|0))P=K;else break}if((R|0)==(L|0))Z=P;else{K=L;while(1){M=f[S+(K<<2)>>2]|0;if((M|0)<(K|0))K=M;else break}M=(P|0)>(K|0)?K:P;T=L;do{U=S+(T<<2)|0;_=T;T=f[U>>2]|0;f[U>>2]=M}while((T|0)<(_|0));Z=M}M=R;do{T=S+(M<<2)|0;L=M;M=f[T>>2]|0;f[T>>2]=Z}while((M|0)<(L|0));f[z+(D<<2)>>2]=Z;J=E;break a}while(0);M=f[l>>2]|0;S=f[y+(N<<2)>>2]|0;R=f[z+(O<<2)>>2]|0;L=S;while(1){T=f[M+(L<<2)>>2]|0;if((T|0)<(L|0))L=T;else break}if((S|0)==(R|0))$=L;else{O=R;while(1){T=f[M+(O<<2)>>2]|0;if((T|0)<(O|0))O=T;else break}T=(L|0)>(O|0)?O:L;P=R;do{K=M+(P<<2)|0;_=P;P=f[K>>2]|0;f[K>>2]=T}while((P|0)<(_|0));$=T}T=S;do{P=M+(T<<2)|0;R=T;T=f[P>>2]|0;f[P>>2]=$}while((T|0)<(R|0));f[z+(D<<2)>>2]=$;J=E;break a}while(0);T=f[l>>2]|0;M=f[y+(N<<2)>>2]|0;S=f[z+(D+-2<<2)>>2]|0;R=M;while(1){P=f[T+(R<<2)>>2]|0;if((P|0)<(R|0))R=P;else break}if((M|0)==(S|0))aa=R;else{N=S;while(1){P=f[T+(N<<2)>>2]|0;if((P|0)<(N|0))N=P;else break}P=(R|0)>(N|0)?N:R;L=S;do{O=T+(L<<2)|0;_=L;L=f[O>>2]|0;f[O>>2]=P}while((L|0)<(_|0));aa=P}P=M;do{L=T+(P<<2)|0;S=P;P=f[L>>2]|0;f[L>>2]=aa}while((P|0)<(S|0));f[z+(D<<2)>>2]=aa;J=E;break a}while(0);f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break}if(b[t+H>>0]|0){do if(A){if(b[w+F>>0]|0){P=D+-2|0;do if((P|0)>-1){if(!(b[v+P>>0]|0))break;if(b[w+H>>0]|0){T=f[z+(P<<2)>>2]|0;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=T;J=E;break a}do if(C){if(!(b[x+D>>0]|0))break;f[z+(D<<2)>>2]=T;J=E;break a}while(0);M=f[l>>2]|0;S=f[y+(D<<2)>>2]|0;L=S;while(1){R=f[M+(L<<2)>>2]|0;if((R|0)<(L|0))L=R;else break}if((S|0)==(T|0))ba=L;else{R=T;while(1){N=f[M+(R<<2)>>2]|0;if((N|0)<(R|0))R=N;else break}N=(L|0)>(R|0)?R:L;_=T;do{O=M+(_<<2)|0;K=_;_=f[O>>2]|0;f[O>>2]=N}while((_|0)<(K|0));ba=N}N=S;do{_=M+(N<<2)|0;T=N;N=f[_>>2]|0;f[_>>2]=ba}while((N|0)<(T|0));f[z+(D<<2)>>2]=ba;J=E;break a}if(!(b[w+P>>0]|0)){N=f[l>>2]|0;M=f[y+(D<<2)>>2]|0;S=f[z+(P<<2)>>2]|0;T=M;while(1){_=f[N+(T<<2)>>2]|0;if((_|0)<(T|0))T=_;else break}if((M|0)==(S|0))ca=T;else{_=S;while(1){L=f[N+(_<<2)>>2]|0;if((L|0)<(_|0))_=L;else break}L=(T|0)>(_|0)?_:T;R=S;do{K=N+(R<<2)|0;O=R;R=f[K>>2]|0;f[K>>2]=L}while((R|0)<(O|0));ca=L}L=M;do{R=N+(L<<2)|0;S=L;L=f[R>>2]|0;f[R>>2]=ca}while((L|0)<(S|0));f[z+(D<<2)>>2]=ca;J=E;break a}do if(C){if(!(b[x+H>>0]|0))break;L=f[z+(P<<2)>>2]|0;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=L;J=E;break a}if(b[x+D>>0]|0){f[z+(D<<2)>>2]=L;J=E;break a}N=f[l>>2]|0;M=f[y+(D<<2)>>2]|0;S=M;while(1){R=f[N+(S<<2)>>2]|0;if((R|0)<(S|0))S=R;else break}if((M|0)==(L|0))da=S;else{R=L;while(1){T=f[N+(R<<2)>>2]|0;if((T|0)<(R|0))R=T;else break}T=(S|0)>(R|0)?R:S;_=L;do{O=N+(_<<2)|0;K=_;_=f[O>>2]|0;f[O>>2]=T}while((_|0)<(K|0));da=T}T=M;do{_=N+(T<<2)|0;L=T;T=f[_>>2]|0;f[_>>2]=da}while((T|0)<(L|0));f[z+(D<<2)>>2]=da;J=E;break a}while(0);T=f[l>>2]|0;N=f[y+(D<<2)>>2]|0;M=f[z+(P<<2)>>2]|0;L=N;while(1){_=f[T+(L<<2)>>2]|0;if((_|0)<(L|0))L=_;else break}if((N|0)==(M|0))ea=L;else{_=M;while(1){S=f[T+(_<<2)>>2]|0;if((S|0)<(_|0))_=S;else break}S=(L|0)>(_|0)?_:L;R=M;do{K=T+(R<<2)|0;O=R;R=f[K>>2]|0;f[K>>2]=S}while((R|0)<(O|0));ea=S}S=N;do{R=T+(S<<2)|0;M=S;S=f[R>>2]|0;f[R>>2]=ea}while((S|0)<(M|0));f[z+(D<<2)>>2]=ea;J=E;break a}while(0);S=f[l>>2]|0;T=f[y+(D<<2)>>2]|0;N=f[z+(P<<2)>>2]|0;M=T;while(1){R=f[S+(M<<2)>>2]|0;if((R|0)<(M|0))M=R;else break}if((T|0)==(N|0))fa=M;else{P=N;while(1){R=f[S+(P<<2)>>2]|0;if((R|0)<(P|0))P=R;else break}R=(M|0)>(P|0)?P:M;L=N;do{_=S+(L<<2)|0;O=L;L=f[_>>2]|0;f[_>>2]=R}while((L|0)<(O|0));fa=R}R=T;do{L=S+(R<<2)|0;N=R;R=f[L>>2]|0;f[L>>2]=fa}while((R|0)<(N|0));f[z+(D<<2)>>2]=fa;J=E;break a}R=D+2|0;do if(!((R|0)>=(n|0)|B)){if(!(b[w+R>>0]|0))break;do if(C){if(!(b[x+F>>0]|0))break;S=D+-2|0;do if((S|0)>-1){if(!(b[v+S>>0]|0))break;if(b[w+H>>0]|0){T=f[z+(S<<2)>>2]|0;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=T;J=E;break a}if(b[x+D>>0]|0){f[z+(D<<2)>>2]=T;J=E;break a}N=f[l>>2]|0;L=f[y+(R<<2)>>2]|0;M=L;while(1){P=f[N+(M<<2)>>2]|0;if((P|0)<(M|0))M=P;else break}if((L|0)==(T|0))ga=M;else{P=T;while(1){O=f[N+(P<<2)>>2]|0;if((O|0)<(P|0))P=O;else break}O=(M|0)>(P|0)?P:M;_=T;do{K=N+(_<<2)|0;U=_;_=f[K>>2]|0;f[K>>2]=O}while((_|0)<(U|0));ga=O}O=L;do{_=N+(O<<2)|0;T=O;O=f[_>>2]|0;f[_>>2]=ga}while((O|0)<(T|0));f[z+(D<<2)>>2]=ga;J=E;break a}if(!(b[w+S>>0]|0)){O=f[l>>2]|0;N=f[y+(R<<2)>>2]|0;L=f[z+(S<<2)>>2]|0;T=N;while(1){_=f[O+(T<<2)>>2]|0;if((_|0)<(T|0))T=_;else break}if((N|0)==(L|0))ha=T;else{_=L;while(1){M=f[O+(_<<2)>>2]|0;if((M|0)<(_|0))_=M;else break}M=(T|0)>(_|0)?_:T;P=L;do{U=O+(P<<2)|0;K=P;P=f[U>>2]|0;f[U>>2]=M}while((P|0)<(K|0));ha=M}M=N;do{P=O+(M<<2)|0;L=M;M=f[P>>2]|0;f[P>>2]=ha}while((M|0)<(L|0));f[z+(D<<2)>>2]=ha;J=E;break a}if(!(b[x+H>>0]|0)){M=f[l>>2]|0;O=f[y+(R<<2)>>2]|0;N=f[z+(S<<2)>>2]|0;L=O;while(1){P=f[M+(L<<2)>>2]|0;if((P|0)<(L|0))L=P;else break}if((O|0)==(N|0))ia=L;else{P=N;while(1){T=f[M+(P<<2)>>2]|0;if((T|0)<(P|0))P=T;else break}T=(L|0)>(P|0)?P:L;_=N;do{K=M+(_<<2)|0;U=_;_=f[K>>2]|0;f[K>>2]=T}while((_|0)<(U|0));ia=T}T=O;do{_=M+(T<<2)|0;N=T;T=f[_>>2]|0;f[_>>2]=ia}while((T|0)<(N|0));f[z+(D<<2)>>2]=ia;J=E;break a}T=f[z+(S<<2)>>2]|0;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=T;J=E;break a}if(b[x+D>>0]|0){f[z+(D<<2)>>2]=T;J=E;break a}M=f[l>>2]|0;O=f[y+(R<<2)>>2]|0;N=O;while(1){_=f[M+(N<<2)>>2]|0;if((_|0)<(N|0))N=_;else break}if((O|0)==(T|0))ja=N;else{_=T;while(1){L=f[M+(_<<2)>>2]|0;if((L|0)<(_|0))_=L;else break}L=(N|0)>(_|0)?_:N;P=T;do{U=M+(P<<2)|0;K=P;P=f[U>>2]|0;f[U>>2]=L}while((P|0)<(K|0));ja=L}L=O;do{P=M+(L<<2)|0;T=L;L=f[P>>2]|0;f[P>>2]=ja}while((L|0)<(T|0));f[z+(D<<2)>>2]=ja;J=E;break a}while(0);L=f[l>>2]|0;M=f[y+(R<<2)>>2]|0;O=f[z+(S<<2)>>2]|0;T=M;while(1){P=f[L+(T<<2)>>2]|0;if((P|0)<(T|0))T=P;else break}if((M|0)==(O|0))ka=T;else{S=O;while(1){P=f[L+(S<<2)>>2]|0;if((P|0)<(S|0))S=P;else break}P=(T|0)>(S|0)?S:T;N=O;do{_=L+(N<<2)|0;K=N;N=f[_>>2]|0;f[_>>2]=P}while((N|0)<(K|0));ka=P}P=M;do{N=L+(P<<2)|0;O=P;P=f[N>>2]|0;f[N>>2]=ka}while((P|0)<(O|0));f[z+(D<<2)>>2]=ka;J=E;break a}while(0);P=D+-2|0;if(!(b[w+D>>0]|0)){L=f[l>>2]|0;M=f[y+(R<<2)>>2]|0;O=f[z+(P<<2)>>2]|0;N=M;while(1){T=f[L+(N<<2)>>2]|0;if((T|0)<(N|0))N=T;else break}if((M|0)==(O|0))la=N;else{T=O;while(1){S=f[L+(T<<2)>>2]|0;if((S|0)<(T|0))T=S;else break}S=(N|0)>(T|0)?T:N;K=O;do{_=L+(K<<2)|0;U=K;K=f[_>>2]|0;f[_>>2]=S}while((K|0)<(U|0));la=S}S=M;do{K=L+(S<<2)|0;O=S;S=f[K>>2]|0;f[K>>2]=la}while((S|0)<(O|0));f[z+(D<<2)>>2]=la;J=E;break a}do if((P|0)>-1){if(!(b[v+P>>0]|0))break;if(b[w+H>>0]|0){S=f[l>>2]|0;L=f[y+(R<<2)>>2]|0;M=f[z+(P<<2)>>2]|0;O=L;while(1){K=f[S+(O<<2)>>2]|0;if((K|0)<(O|0))O=K;else break}if((L|0)==(M|0))ma=O;else{K=M;while(1){N=f[S+(K<<2)>>2]|0;if((N|0)<(K|0))K=N;else break}N=(O|0)>(K|0)?K:O;T=M;do{U=S+(T<<2)|0;_=T;T=f[U>>2]|0;f[U>>2]=N}while((T|0)<(_|0));ma=N}N=L;do{T=S+(N<<2)|0;M=N;N=f[T>>2]|0;f[T>>2]=ma}while((N|0)<(M|0));f[z+(D<<2)>>2]=ma;J=E;break a}if(!(b[w+P>>0]|0)){N=f[l>>2]|0;S=f[y+(D<<2)>>2]|0;L=f[y+(R<<2)>>2]|0;M=S;while(1){T=f[N+(M<<2)>>2]|0;if((T|0)<(M|0))M=T;else break}if((S|0)==(L|0))na=M;else{T=L;while(1){O=f[N+(T<<2)>>2]|0;if((O|0)<(T|0))T=O;else break}O=(M|0)>(T|0)?T:M;K=L;do{_=N+(K<<2)|0;U=K;K=f[_>>2]|0;f[_>>2]=O}while((K|0)<(U|0));na=O}O=S;do{K=N+(O<<2)|0;L=O;O=f[K>>2]|0;f[K>>2]=na}while((O|0)<(L|0));O=f[z+(P<<2)>>2]|0;S=na;while(1){L=f[N+(S<<2)>>2]|0;if((L|0)<(S|0))S=L;else break}if((na|0)==(O|0))oa=S;else{L=O;while(1){K=f[N+(L<<2)>>2]|0;if((K|0)<(L|0))L=K;else break}K=(S|0)>(L|0)?L:S;M=O;do{T=N+(M<<2)|0;U=M;M=f[T>>2]|0;f[T>>2]=K}while((M|0)<(U|0));oa=K}K=na;do{M=N+(K<<2)|0;O=K;K=f[M>>2]|0;f[M>>2]=oa}while((K|0)<(O|0));f[z+(D<<2)>>2]=oa;J=E;break a}do if(C){if(!(b[x+H>>0]|0))break;K=f[l>>2]|0;N=f[y+(R<<2)>>2]|0;O=f[z+(P<<2)>>2]|0;M=N;while(1){S=f[K+(M<<2)>>2]|0;if((S|0)<(M|0))M=S;else break}if((N|0)==(O|0))pa=M;else{S=O;while(1){L=f[K+(S<<2)>>2]|0;if((L|0)<(S|0))S=L;else break}L=(M|0)>(S|0)?S:M;U=O;do{T=K+(U<<2)|0;_=U;U=f[T>>2]|0;f[T>>2]=L}while((U|0)<(_|0));pa=L}L=N;do{U=K+(L<<2)|0;O=L;L=f[U>>2]|0;f[U>>2]=pa}while((L|0)<(O|0));f[z+(D<<2)>>2]=pa;J=E;break a}while(0);L=f[l>>2]|0;K=f[y+(D<<2)>>2]|0;N=f[y+(R<<2)>>2]|0;O=K;while(1){U=f[L+(O<<2)>>2]|0;if((U|0)<(O|0))O=U;else break}if((K|0)==(N|0))qa=O;else{U=N;while(1){M=f[L+(U<<2)>>2]|0;if((M|0)<(U|0))U=M;else break}M=(O|0)>(U|0)?U:O;S=N;do{_=L+(S<<2)|0;T=S;S=f[_>>2]|0;f[_>>2]=M}while((S|0)<(T|0));qa=M}M=K;do{S=L+(M<<2)|0;N=M;M=f[S>>2]|0;f[S>>2]=qa}while((M|0)<(N|0));M=f[z+(P<<2)>>2]|0;K=qa;while(1){N=f[L+(K<<2)>>2]|0;if((N|0)<(K|0))K=N;else break}if((qa|0)==(M|0))ra=K;else{N=M;while(1){S=f[L+(N<<2)>>2]|0;if((S|0)<(N|0))N=S;else break}S=(K|0)>(N|0)?N:K;O=M;do{U=L+(O<<2)|0;T=O;O=f[U>>2]|0;f[U>>2]=S}while((O|0)<(T|0));ra=S}S=qa;do{O=L+(S<<2)|0;M=S;S=f[O>>2]|0;f[O>>2]=ra}while((S|0)<(M|0));f[z+(D<<2)>>2]=ra;J=E;break a}while(0);S=f[l>>2]|0;L=f[y+(D<<2)>>2]|0;M=f[y+(R<<2)>>2]|0;O=L;while(1){K=f[S+(O<<2)>>2]|0;if((K|0)<(O|0))O=K;else break}if((L|0)==(M|0))sa=O;else{K=M;while(1){N=f[S+(K<<2)>>2]|0;if((N|0)<(K|0))K=N;else break}N=(O|0)>(K|0)?K:O;T=M;do{U=S+(T<<2)|0;_=T;T=f[U>>2]|0;f[U>>2]=N}while((T|0)<(_|0));sa=N}N=L;do{T=S+(N<<2)|0;M=N;N=f[T>>2]|0;f[T>>2]=sa}while((N|0)<(M|0));N=f[z+(P<<2)>>2]|0;L=sa;while(1){M=f[S+(L<<2)>>2]|0;if((M|0)<(L|0))L=M;else break}if((sa|0)==(N|0))ta=L;else{P=N;while(1){M=f[S+(P<<2)>>2]|0;if((M|0)<(P|0))P=M;else break}M=(L|0)>(P|0)?P:L;T=N;do{O=S+(T<<2)|0;K=T;T=f[O>>2]|0;f[O>>2]=M}while((T|0)<(K|0));ta=M}M=sa;do{T=S+(M<<2)|0;N=M;M=f[T>>2]|0;f[T>>2]=ta}while((M|0)<(N|0));f[z+(D<<2)>>2]=ta;J=E;break a}while(0);R=D+-2|0;if(!(b[w+D>>0]|0)){ua=R;break}do if((R|0)>-1){if(!(b[v+R>>0]|0))break;if(b[w+H>>0]|0){f[z+(D<<2)>>2]=f[z+(R<<2)>>2];J=E;break a}if(!(b[w+R>>0]|0)){M=f[l>>2]|0;S=f[y+(D<<2)>>2]|0;N=f[z+(R<<2)>>2]|0;T=S;while(1){L=f[M+(T<<2)>>2]|0;if((L|0)<(T|0))T=L;else break}if((S|0)==(N|0))va=T;else{L=N;while(1){P=f[M+(L<<2)>>2]|0;if((P|0)<(L|0))L=P;else break}P=(T|0)>(L|0)?L:T;K=N;do{O=M+(K<<2)|0;_=K;K=f[O>>2]|0;f[O>>2]=P}while((K|0)<(_|0));va=P}P=S;do{K=M+(P<<2)|0;N=P;P=f[K>>2]|0;f[K>>2]=va}while((P|0)<(N|0));f[z+(D<<2)>>2]=va;J=E;break a}do if(C){if(!(b[x+H>>0]|0))break;f[z+(D<<2)>>2]=f[z+(R<<2)>>2];J=E;break a}while(0);P=f[l>>2]|0;M=f[y+(D<<2)>>2]|0;S=f[z+(R<<2)>>2]|0;N=M;while(1){K=f[P+(N<<2)>>2]|0;if((K|0)<(N|0))N=K;else break}if((M|0)==(S|0))wa=N;else{K=S;while(1){T=f[P+(K<<2)>>2]|0;if((T|0)<(K|0))K=T;else break}T=(N|0)>(K|0)?K:N;L=S;do{_=P+(L<<2)|0;O=L;L=f[_>>2]|0;f[_>>2]=T}while((L|0)<(O|0));wa=T}T=M;do{L=P+(T<<2)|0;S=T;T=f[L>>2]|0;f[L>>2]=wa}while((T|0)<(S|0));f[z+(D<<2)>>2]=wa;J=E;break a}while(0);T=f[l>>2]|0;P=f[y+(D<<2)>>2]|0;M=f[z+(R<<2)>>2]|0;S=P;while(1){L=f[T+(S<<2)>>2]|0;if((L|0)<(S|0))S=L;else break}if((P|0)==(M|0))xa=S;else{R=M;while(1){L=f[T+(R<<2)>>2]|0;if((L|0)<(R|0))R=L;else break}L=(S|0)>(R|0)?R:S;N=M;do{K=T+(N<<2)|0;O=N;N=f[K>>2]|0;f[K>>2]=L}while((N|0)<(O|0));xa=L}L=P;do{N=T+(L<<2)|0;M=L;L=f[N>>2]|0;f[N>>2]=xa}while((L|0)<(M|0));f[z+(D<<2)>>2]=xa;J=E;break a}else ua=D+-2|0;while(0);f[z+(D<<2)>>2]=f[z+(ua<<2)>>2];J=E;break}}if(A){if(b[w+F>>0]|0){f[z+(D<<2)>>2]=f[y+(D<<2)>>2];J=E;break}L=D+2|0;if(!((L|0)>=(n|0)|B)?b[w+L>>0]|0:0){if(!(b[w+D>>0]|0)){f[z+(D<<2)>>2]=f[y+(L<<2)>>2];J=E;break}do if(C){if(!(b[x+F>>0]|0))break;f[z+(D<<2)>>2]=f[y+(L<<2)>>2];J=E;break a}while(0);T=f[l>>2]|0;P=f[y+(D<<2)>>2]|0;M=f[y+(L<<2)>>2]|0;N=P;while(1){S=f[T+(N<<2)>>2]|0;if((S|0)<(N|0))N=S;else break}if((P|0)==(M|0))ya=N;else{L=M;while(1){S=f[T+(L<<2)>>2]|0;if((S|0)<(L|0))L=S;else break}S=(N|0)>(L|0)?L:N;R=M;do{O=T+(R<<2)|0;K=R;R=f[O>>2]|0;f[O>>2]=S}while((R|0)<(K|0));ya=S}S=P;do{R=T+(S<<2)|0;M=S;S=f[R>>2]|0;f[R>>2]=ya}while((S|0)<(M|0));f[z+(D<<2)>>2]=ya;J=E;break}if(b[w+D>>0]|0){f[z+(D<<2)>>2]=f[y+(D<<2)>>2];J=E;break}}f[z+(D<<2)>>2]=E;f[(f[l>>2]|0)+(E<<2)>>2]=E;J=E+1|0;break}if(I){if(b[t+H>>0]|0){f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break}if(b[v+H>>0]|0){f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break}}f[z+(D<<2)>>2]=E;f[(f[l>>2]|0)+(E<<2)>>2]=E;J=E+1|0;break}do if(G){if(!(b[v+F>>0]|0)){if(!u)break;if(!(b[t+F>>0]|0))break;f[z+(D<<2)>>2]=E;f[(f[l>>2]|0)+(E<<2)>>2]=E;J=E+1|0;break a}if(A){if(b[w+F>>0]|0){f[z+(D<<2)>>2]=f[y+(D<<2)>>2];J=E;break a}S=D+2|0;if(!((S|0)>=(n|0)|B)?b[w+S>>0]|0:0){if(!(b[w+D>>0]|0)){f[z+(D<<2)>>2]=f[y+(S<<2)>>2];J=E;break a}do if(C){if(!(b[x+F>>0]|0))break;f[z+(D<<2)>>2]=f[y+(S<<2)>>2];J=E;break a}while(0);T=f[l>>2]|0;P=f[y+(D<<2)>>2]|0;M=f[y+(S<<2)>>2]|0;R=P;while(1){N=f[T+(R<<2)>>2]|0;if((N|0)<(R|0))R=N;else break}if((P|0)==(M|0))za=R;else{S=M;while(1){N=f[T+(S<<2)>>2]|0;if((N|0)<(S|0))S=N;else break}N=(R|0)>(S|0)?S:R;L=M;do{K=T+(L<<2)|0;O=L;L=f[K>>2]|0;f[K>>2]=N}while((L|0)<(O|0));za=N}N=P;do{L=T+(N<<2)|0;M=N;N=f[L>>2]|0;f[L>>2]=za}while((N|0)<(M|0));f[z+(D<<2)>>2]=za;J=E;break a}if(b[w+D>>0]|0){f[z+(D<<2)>>2]=f[y+(D<<2)>>2];J=E;break a}}f[z+(D<<2)>>2]=E;f[(f[l>>2]|0)+(E<<2)>>2]=E;J=E+1|0;break a}while(0);f[z+(D<<2)>>2]=0;J=E}else{F=D+-1|0;G=(D|0)>0;if(G){if(b[v+F>>0]|0){H=D|1;I=(H|0)<(n|0);if(A&I?b[w+H>>0]|0:0){if(b[w+D>>0]|0){f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break}if(C?b[x+D>>0]|0:0){N=D+-2|0;if(b[w+F>>0]|0){f[z+(D<<2)>>2]=f[z+(N<<2)>>2];J=E;break}do if((N|0)>-1){if(!(b[w+N>>0]|0))break;if(b[x+F>>0]|0){f[z+(D<<2)>>2]=f[z+(N<<2)>>2];J=E;break a}T=f[l>>2]|0;P=f[y+(D<<2)>>2]|0;M=f[z+(N<<2)>>2]|0;L=P;while(1){R=f[T+(L<<2)>>2]|0;if((R|0)<(L|0))L=R;else break}if((P|0)==(M|0))Aa=L;else{R=M;while(1){S=f[T+(R<<2)>>2]|0;if((S|0)<(R|0))R=S;else break}S=(L|0)>(R|0)?R:L;O=M;do{K=T+(O<<2)|0;_=O;O=f[K>>2]|0;f[K>>2]=S}while((O|0)<(_|0));Aa=S}S=P;do{O=T+(S<<2)|0;M=S;S=f[O>>2]|0;f[O>>2]=Aa}while((S|0)<(M|0));f[z+(D<<2)>>2]=Aa;J=E;break a}while(0);S=f[l>>2]|0;T=f[y+(D<<2)>>2]|0;P=f[z+(N<<2)>>2]|0;M=T;while(1){O=f[S+(M<<2)>>2]|0;if((O|0)<(M|0))M=O;else break}if((T|0)==(P|0))Ba=M;else{N=P;while(1){O=f[S+(N<<2)>>2]|0;if((O|0)<(N|0))N=O;else break}O=(M|0)>(N|0)?N:M;L=P;do{R=S+(L<<2)|0;_=L;L=f[R>>2]|0;f[R>>2]=O}while((L|0)<(_|0));Ba=O}O=T;do{L=S+(O<<2)|0;P=O;O=f[L>>2]|0;f[L>>2]=Ba}while((O|0)<(P|0));f[z+(D<<2)>>2]=Ba;J=E;break}O=f[l>>2]|0;S=f[y+(D<<2)>>2]|0;T=f[z+(D+-2<<2)>>2]|0;P=S;while(1){L=f[O+(P<<2)>>2]|0;if((L|0)<(P|0))P=L;else break}if((S|0)==(T|0))Ca=P;else{L=T;while(1){M=f[O+(L<<2)>>2]|0;if((M|0)<(L|0))L=M;else break}M=(P|0)>(L|0)?L:P;N=T;do{_=O+(N<<2)|0;R=N;N=f[_>>2]|0;f[_>>2]=M}while((N|0)<(R|0));Ca=M}M=S;do{N=O+(M<<2)|0;T=M;M=f[N>>2]|0;f[N>>2]=Ca}while((M|0)<(T|0));f[z+(D<<2)>>2]=Ca;J=E;break}if(I?b[v+H>>0]|0:0){M=D+2|0;if(A&(M|0)<(n|0)?b[w+M>>0]|0:0){do if(C){if(!(b[x+H>>0]|0))break;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break a}if(!(b[x+D>>0]|0)){O=f[l>>2]|0;S=f[y+(M<<2)>>2]|0;T=f[z+(D+-2<<2)>>2]|0;N=S;while(1){P=f[O+(N<<2)>>2]|0;if((P|0)<(N|0))N=P;else break}if((S|0)==(T|0))Da=N;else{P=T;while(1){L=f[O+(P<<2)>>2]|0;if((L|0)<(P|0))P=L;else break}L=(N|0)>(P|0)?P:N;R=T;do{_=O+(R<<2)|0;K=R;R=f[_>>2]|0;f[_>>2]=L}while((R|0)<(K|0));Da=L}L=S;do{R=O+(L<<2)|0;T=L;L=f[R>>2]|0;f[R>>2]=Da}while((L|0)<(T|0));f[z+(D<<2)>>2]=Da;J=E;break a}L=D+-2|0;if(b[w+F>>0]|0){f[z+(D<<2)>>2]=f[z+(L<<2)>>2];J=E;break a}do if((L|0)>-1){if(!(b[w+L>>0]|0))break;if(b[x+F>>0]|0){f[z+(D<<2)>>2]=f[z+(L<<2)>>2];J=E;break a}O=f[l>>2]|0;S=f[y+(M<<2)>>2]|0;T=f[z+(L<<2)>>2]|0;R=S;while(1){N=f[O+(R<<2)>>2]|0;if((N|0)<(R|0))R=N;else break}if((S|0)==(T|0))Ea=R;else{N=T;while(1){P=f[O+(N<<2)>>2]|0;if((P|0)<(N|0))N=P;else break}P=(R|0)>(N|0)?N:R;K=T;do{_=O+(K<<2)|0;U=K;K=f[_>>2]|0;f[_>>2]=P}while((K|0)<(U|0));Ea=P}P=S;do{K=O+(P<<2)|0;T=P;P=f[K>>2]|0;f[K>>2]=Ea}while((P|0)<(T|0));f[z+(D<<2)>>2]=Ea;J=E;break a}while(0);P=f[l>>2]|0;O=f[y+(M<<2)>>2]|0;S=f[z+(L<<2)>>2]|0;T=O;while(1){K=f[P+(T<<2)>>2]|0;if((K|0)<(T|0))T=K;else break}if((O|0)==(S|0))Fa=T;else{L=S;while(1){K=f[P+(L<<2)>>2]|0;if((K|0)<(L|0))L=K;else break}K=(T|0)>(L|0)?L:T;R=S;do{N=P+(R<<2)|0;U=R;R=f[N>>2]|0;f[N>>2]=K}while((R|0)<(U|0));Fa=K}K=O;do{R=P+(K<<2)|0;S=K;K=f[R>>2]|0;f[R>>2]=Fa}while((K|0)<(S|0));f[z+(D<<2)>>2]=Fa;J=E;break a}while(0);H=f[l>>2]|0;I=f[y+(M<<2)>>2]|0;K=f[z+(D+-2<<2)>>2]|0;P=I;while(1){O=f[H+(P<<2)>>2]|0;if((O|0)<(P|0))P=O;else break}if((I|0)==(K|0))Ga=P;else{M=K;while(1){O=f[H+(M<<2)>>2]|0;if((O|0)<(M|0))M=O;else break}O=(P|0)>(M|0)?M:P;S=K;do{R=H+(S<<2)|0;T=S;S=f[R>>2]|0;f[R>>2]=O}while((S|0)<(T|0));Ga=O}O=I;do{S=H+(O<<2)|0;K=O;O=f[S>>2]|0;f[S>>2]=Ga}while((O|0)<(K|0));f[z+(D<<2)>>2]=Ga;J=E;break}f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break}f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break}if(u?b[t+F>>0]|0:0){O=D|1;H=(O|0)<(n|0);if(!(B|H^1)?b[w+O>>0]|0:0){I=D+-2|0;if((I|0)>-1?b[v+I>>0]|0:0){if(b[w+F>>0]|0){K=f[z+(I<<2)>>2]|0;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=K;J=E;break}do if(C){if(!(b[x+D>>0]|0))break;f[z+(D<<2)>>2]=K;J=E;break a}while(0);S=f[l>>2]|0;P=f[y+(D<<2)>>2]|0;M=P;while(1){T=f[S+(M<<2)>>2]|0;if((T|0)<(M|0))M=T;else break}if((P|0)==(K|0))Ha=M;else{T=K;while(1){R=f[S+(T<<2)>>2]|0;if((R|0)<(T|0))T=R;else break}R=(M|0)>(T|0)?T:M;L=K;do{U=S+(L<<2)|0;N=L;L=f[U>>2]|0;f[U>>2]=R}while((L|0)<(N|0));Ha=R}R=P;do{L=S+(R<<2)|0;K=R;R=f[L>>2]|0;f[L>>2]=Ha}while((R|0)<(K|0));f[z+(D<<2)>>2]=Ha;J=E;break}if(!(b[w+I>>0]|0)){R=f[l>>2]|0;S=f[y+(D<<2)>>2]|0;P=f[z+(I<<2)>>2]|0;K=S;while(1){L=f[R+(K<<2)>>2]|0;if((L|0)<(K|0))K=L;else break}if((S|0)==(P|0))Ia=K;else{L=P;while(1){M=f[R+(L<<2)>>2]|0;if((M|0)<(L|0))L=M;else break}M=(K|0)>(L|0)?L:K;T=P;do{N=R+(T<<2)|0;U=T;T=f[N>>2]|0;f[N>>2]=M}while((T|0)<(U|0));Ia=M}M=S;do{T=R+(M<<2)|0;P=M;M=f[T>>2]|0;f[T>>2]=Ia}while((M|0)<(P|0));f[z+(D<<2)>>2]=Ia;J=E;break}do if(C){if(!(b[x+F>>0]|0))break;M=f[z+(I<<2)>>2]|0;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=M;J=E;break a}if(b[x+D>>0]|0){f[z+(D<<2)>>2]=M;J=E;break a}R=f[l>>2]|0;S=f[y+(D<<2)>>2]|0;P=S;while(1){T=f[R+(P<<2)>>2]|0;if((T|0)<(P|0))P=T;else break}if((S|0)==(M|0))Ja=P;else{T=M;while(1){K=f[R+(T<<2)>>2]|0;if((K|0)<(T|0))T=K;else break}K=(P|0)>(T|0)?T:P;L=M;do{U=R+(L<<2)|0;N=L;L=f[U>>2]|0;f[U>>2]=K}while((L|0)<(N|0));Ja=K}K=S;do{L=R+(K<<2)|0;M=K;K=f[L>>2]|0;f[L>>2]=Ja}while((K|0)<(M|0));f[z+(D<<2)>>2]=Ja;J=E;break a}while(0);K=f[l>>2]|0;R=f[y+(D<<2)>>2]|0;S=f[z+(I<<2)>>2]|0;M=R;while(1){L=f[K+(M<<2)>>2]|0;if((L|0)<(M|0))M=L;else break}if((R|0)==(S|0))Ka=M;else{L=S;while(1){P=f[K+(L<<2)>>2]|0;if((P|0)<(L|0))L=P;else break}P=(M|0)>(L|0)?L:M;T=S;do{N=K+(T<<2)|0;U=T;T=f[N>>2]|0;f[N>>2]=P}while((T|0)<(U|0));Ka=P}P=R;do{T=K+(P<<2)|0;S=P;P=f[T>>2]|0;f[T>>2]=Ka}while((P|0)<(S|0));f[z+(D<<2)>>2]=Ka;J=E;break}if(b[w+D>>0]|0){P=f[l>>2]|0;K=f[y+(D<<2)>>2]|0;R=f[z+(I<<2)>>2]|0;S=K;while(1){T=f[P+(S<<2)>>2]|0;if((T|0)<(S|0))S=T;else break}if((K|0)==(R|0))La=S;else{T=R;while(1){M=f[P+(T<<2)>>2]|0;if((M|0)<(T|0))T=M;else break}M=(S|0)>(T|0)?T:S;L=R;do{U=P+(L<<2)|0;N=L;L=f[U>>2]|0;f[U>>2]=M}while((L|0)<(N|0));La=M}M=K;do{L=P+(M<<2)|0;R=M;M=f[L>>2]|0;f[L>>2]=La}while((M|0)<(R|0));f[z+(D<<2)>>2]=La;J=E;break}if(!(b[w+F>>0]|0)){M=f[l>>2]|0;P=f[y+(D<<2)>>2]|0;K=f[z+(I<<2)>>2]|0;R=P;while(1){L=f[M+(R<<2)>>2]|0;if((L|0)<(R|0))R=L;else break}if((P|0)==(K|0))Ma=R;else{L=K;while(1){S=f[M+(L<<2)>>2]|0;if((S|0)<(L|0))L=S;else break}S=(R|0)>(L|0)?L:R;T=K;do{N=M+(T<<2)|0;U=T;T=f[N>>2]|0;f[N>>2]=S}while((T|0)<(U|0));Ma=S}S=P;do{T=M+(S<<2)|0;K=S;S=f[T>>2]|0;f[T>>2]=Ma}while((S|0)<(K|0));f[z+(D<<2)>>2]=Ma;J=E;break}S=f[y+(D<<2)>>2]|0;M=f[l>>2]|0;do if(C){if(!(b[x+D>>0]|0))break;P=f[z+(I<<2)>>2]|0;K=S;while(1){T=f[M+(K<<2)>>2]|0;if((T|0)<(K|0))K=T;else break}if((S|0)==(P|0))Na=K;else{T=P;while(1){R=f[M+(T<<2)>>2]|0;if((R|0)<(T|0))T=R;else break}R=(K|0)>(T|0)?T:K;L=P;do{U=M+(L<<2)|0;N=L;L=f[U>>2]|0;f[U>>2]=R}while((L|0)<(N|0));Na=R}R=S;do{L=M+(R<<2)|0;P=R;R=f[L>>2]|0;f[L>>2]=Na}while((R|0)<(P|0));f[z+(D<<2)>>2]=Na;J=E;break a}while(0);R=f[y+(I<<2)>>2]|0;P=R;while(1){L=f[M+(P<<2)>>2]|0;if((L|0)<(P|0))P=L;else break}if((R|0)==(S|0))Oa=P;else{L=S;while(1){K=f[M+(L<<2)>>2]|0;if((K|0)<(L|0))L=K;else break}K=(P|0)>(L|0)?L:P;T=S;do{N=M+(T<<2)|0;U=T;T=f[N>>2]|0;f[N>>2]=K}while((T|0)<(U|0));Oa=K}K=R;do{T=M+(K<<2)|0;S=K;K=f[T>>2]|0;f[T>>2]=Oa}while((K|0)<(S|0));K=f[z+(I<<2)>>2]|0;R=Oa;while(1){S=f[M+(R<<2)>>2]|0;if((S|0)<(R|0))R=S;else break}if((Oa|0)==(K|0))Pa=R;else{I=K;while(1){S=f[M+(I<<2)>>2]|0;if((S|0)<(I|0))I=S;else break}S=(R|0)>(I|0)?I:R;T=K;do{P=M+(T<<2)|0;L=T;T=f[P>>2]|0;f[P>>2]=S}while((T|0)<(L|0));Pa=S}S=Oa;do{T=M+(S<<2)|0;K=S;S=f[T>>2]|0;f[T>>2]=Pa}while((S|0)<(K|0));f[z+(D<<2)>>2]=Pa;J=E;break}if(H?b[v+O>>0]|0:0){S=D+2|0;if(!((S|0)>=(n|0)|B)?b[w+S>>0]|0:0){M=D+-2|0;do if((M|0)>-1){if(!(b[v+M>>0]|0))break;if(b[w+F>>0]|0){do if(C){if(!(b[x+O>>0]|0))break;K=f[z+(M<<2)>>2]|0;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=K;J=E;break a}if(b[x+D>>0]|0){f[z+(D<<2)>>2]=K;J=E;break a}T=f[l>>2]|0;R=f[y+(S<<2)>>2]|0;I=R;while(1){L=f[T+(I<<2)>>2]|0;if((L|0)<(I|0))I=L;else break}if((R|0)==(K|0))Qa=I;else{L=K;while(1){P=f[T+(L<<2)>>2]|0;if((P|0)<(L|0))L=P;else break}P=(I|0)>(L|0)?L:I;U=K;do{N=T+(U<<2)|0;_=U;U=f[N>>2]|0;f[N>>2]=P}while((U|0)<(_|0));Qa=P}P=R;do{U=T+(P<<2)|0;K=P;P=f[U>>2]|0;f[U>>2]=Qa}while((P|0)<(K|0));f[z+(D<<2)>>2]=Qa;J=E;break a}while(0);P=f[l>>2]|0;T=f[y+(S<<2)>>2]|0;R=f[z+(M<<2)>>2]|0;K=T;while(1){U=f[P+(K<<2)>>2]|0;if((U|0)<(K|0))K=U;else break}if((T|0)==(R|0))Ra=K;else{U=R;while(1){I=f[P+(U<<2)>>2]|0;if((I|0)<(U|0))U=I;else break}I=(K|0)>(U|0)?U:K;L=R;do{_=P+(L<<2)|0;N=L;L=f[_>>2]|0;f[_>>2]=I}while((L|0)<(N|0));Ra=I}I=T;do{L=P+(I<<2)|0;R=I;I=f[L>>2]|0;f[L>>2]=Ra}while((I|0)<(R|0));f[z+(D<<2)>>2]=Ra;J=E;break a}do if(C){if(!(b[x+O>>0]|0))break;if(!(b[w+M>>0]|0)){I=f[l>>2]|0;P=f[y+(S<<2)>>2]|0;T=f[z+(M<<2)>>2]|0;R=P;while(1){L=f[I+(R<<2)>>2]|0;if((L|0)<(R|0))R=L;else break}if((P|0)==(T|0))Sa=R;else{L=T;while(1){K=f[I+(L<<2)>>2]|0;if((K|0)<(L|0))L=K;else break}K=(R|0)>(L|0)?L:R;U=T;do{N=I+(U<<2)|0;_=U;U=f[N>>2]|0;f[N>>2]=K}while((U|0)<(_|0));Sa=K}K=P;do{U=I+(K<<2)|0;T=K;K=f[U>>2]|0;f[U>>2]=Sa}while((K|0)<(T|0));f[z+(D<<2)>>2]=Sa;J=E;break a}if(!(b[x+F>>0]|0)){K=f[l>>2]|0;I=f[y+(S<<2)>>2]|0;P=f[z+(M<<2)>>2]|0;T=I;while(1){U=f[K+(T<<2)>>2]|0;if((U|0)<(T|0))T=U;else break}if((I|0)==(P|0))Ta=T;else{U=P;while(1){R=f[K+(U<<2)>>2]|0;if((R|0)<(U|0))U=R;else break}R=(T|0)>(U|0)?U:T;L=P;do{_=K+(L<<2)|0;N=L;L=f[_>>2]|0;f[_>>2]=R}while((L|0)<(N|0));Ta=R}R=I;do{L=K+(R<<2)|0;P=R;R=f[L>>2]|0;f[L>>2]=Ta}while((R|0)<(P|0));f[z+(D<<2)>>2]=Ta;J=E;break a}R=f[z+(M<<2)>>2]|0;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=R;J=E;break a}if(b[x+D>>0]|0){f[z+(D<<2)>>2]=R;J=E;break a}K=f[l>>2]|0;I=f[y+(S<<2)>>2]|0;P=I;while(1){L=f[K+(P<<2)>>2]|0;if((L|0)<(P|0))P=L;else break}if((I|0)==(R|0))Ua=P;else{L=R;while(1){T=f[K+(L<<2)>>2]|0;if((T|0)<(L|0))L=T;else break}T=(P|0)>(L|0)?L:P;U=R;do{N=K+(U<<2)|0;_=U;U=f[N>>2]|0;f[N>>2]=T}while((U|0)<(_|0));Ua=T}T=I;do{U=K+(T<<2)|0;R=T;T=f[U>>2]|0;f[U>>2]=Ua}while((T|0)<(R|0));f[z+(D<<2)>>2]=Ua;J=E;break a}while(0);if(!(b[w+D>>0]|0)){T=f[l>>2]|0;K=f[y+(S<<2)>>2]|0;I=f[z+(M<<2)>>2]|0;R=K;while(1){U=f[T+(R<<2)>>2]|0;if((U|0)<(R|0))R=U;else break}if((K|0)==(I|0))Va=R;else{U=I;while(1){P=f[T+(U<<2)>>2]|0;if((P|0)<(U|0))U=P;else break}P=(R|0)>(U|0)?U:R;L=I;do{_=T+(L<<2)|0;N=L;L=f[_>>2]|0;f[_>>2]=P}while((L|0)<(N|0));Va=P}P=K;do{L=T+(P<<2)|0;I=P;P=f[L>>2]|0;f[L>>2]=Va}while((P|0)<(I|0));f[z+(D<<2)>>2]=Va;J=E;break a}if(!(b[w+M>>0]|0)){P=f[l>>2]|0;T=f[y+(D<<2)>>2]|0;K=f[y+(S<<2)>>2]|0;I=T;while(1){L=f[P+(I<<2)>>2]|0;if((L|0)<(I|0))I=L;else break}if((T|0)==(K|0))Wa=I;else{L=K;while(1){R=f[P+(L<<2)>>2]|0;if((R|0)<(L|0))L=R;else break}R=(I|0)>(L|0)?L:I;U=K;do{N=P+(U<<2)|0;_=U;U=f[N>>2]|0;f[N>>2]=R}while((U|0)<(_|0));Wa=R}R=T;do{U=P+(R<<2)|0;K=R;R=f[U>>2]|0;f[U>>2]=Wa}while((R|0)<(K|0));R=f[z+(M<<2)>>2]|0;T=Wa;while(1){K=f[P+(T<<2)>>2]|0;if((K|0)<(T|0))T=K;else break}if((Wa|0)==(R|0))Xa=T;else{K=R;while(1){U=f[P+(K<<2)>>2]|0;if((U|0)<(K|0))K=U;else break}U=(T|0)>(K|0)?K:T;I=R;do{L=P+(I<<2)|0;_=I;I=f[L>>2]|0;f[L>>2]=U}while((I|0)<(_|0));Xa=U}U=Wa;do{I=P+(U<<2)|0;R=U;U=f[I>>2]|0;f[I>>2]=Xa}while((U|0)<(R|0));f[z+(D<<2)>>2]=Xa;J=E;break a}do if(C){if(!(b[x+F>>0]|0))break;U=f[l>>2]|0;P=f[y+(S<<2)>>2]|0;R=f[z+(M<<2)>>2]|0;I=P;while(1){T=f[U+(I<<2)>>2]|0;if((T|0)<(I|0))I=T;else break}if((P|0)==(R|0))Ya=I;else{T=R;while(1){K=f[U+(T<<2)>>2]|0;if((K|0)<(T|0))T=K;else break}K=(I|0)>(T|0)?T:I;_=R;do{L=U+(_<<2)|0;N=_;_=f[L>>2]|0;f[L>>2]=K}while((_|0)<(N|0));Ya=K}K=P;do{_=U+(K<<2)|0;R=K;K=f[_>>2]|0;f[_>>2]=Ya}while((K|0)<(R|0));f[z+(D<<2)>>2]=Ya;J=E;break a}while(0);K=f[l>>2]|0;U=f[y+(D<<2)>>2]|0;P=f[y+(S<<2)>>2]|0;R=U;while(1){_=f[K+(R<<2)>>2]|0;if((_|0)<(R|0))R=_;else break}if((U|0)==(P|0))Za=R;else{_=P;while(1){I=f[K+(_<<2)>>2]|0;if((I|0)<(_|0))_=I;else break}I=(R|0)>(_|0)?_:R;T=P;do{N=K+(T<<2)|0;L=T;T=f[N>>2]|0;f[N>>2]=I}while((T|0)<(L|0));Za=I}I=U;do{T=K+(I<<2)|0;P=I;I=f[T>>2]|0;f[T>>2]=Za}while((I|0)<(P|0));I=f[z+(M<<2)>>2]|0;U=Za;while(1){P=f[K+(U<<2)>>2]|0;if((P|0)<(U|0))U=P;else break}if((Za|0)==(I|0))_a=U;else{P=I;while(1){T=f[K+(P<<2)>>2]|0;if((T|0)<(P|0))P=T;else break}T=(U|0)>(P|0)?P:U;R=I;do{_=K+(R<<2)|0;L=R;R=f[_>>2]|0;f[_>>2]=T}while((R|0)<(L|0));_a=T}T=Za;do{R=K+(T<<2)|0;I=T;T=f[R>>2]|0;f[R>>2]=_a}while((T|0)<(I|0));f[z+(D<<2)>>2]=_a;J=E;break a}while(0);if(b[w+D>>0]|0){do if(C){if(!(b[x+O>>0]|0))break;H=f[l>>2]|0;T=f[y+(S<<2)>>2]|0;K=f[z+(M<<2)>>2]|0;I=T;while(1){R=f[H+(I<<2)>>2]|0;if((R|0)<(I|0))I=R;else break}if((T|0)==(K|0))$a=I;else{R=K;while(1){U=f[H+(R<<2)>>2]|0;if((U|0)<(R|0))R=U;else break}U=(I|0)>(R|0)?R:I;P=K;do{L=H+(P<<2)|0;_=P;P=f[L>>2]|0;f[L>>2]=U}while((P|0)<(_|0));$a=U}U=T;do{P=H+(U<<2)|0;K=U;U=f[P>>2]|0;f[P>>2]=$a}while((U|0)<(K|0));f[z+(D<<2)>>2]=$a;J=E;break a}while(0);U=f[l>>2]|0;H=f[y+(D<<2)>>2]|0;T=f[y+(S<<2)>>2]|0;K=H;while(1){P=f[U+(K<<2)>>2]|0;if((P|0)<(K|0))K=P;else break}if((H|0)==(T|0))ab=K;else{P=T;while(1){I=f[U+(P<<2)>>2]|0;if((I|0)<(P|0))P=I;else break}I=(K|0)>(P|0)?P:K;R=T;do{_=U+(R<<2)|0;L=R;R=f[_>>2]|0;f[_>>2]=I}while((R|0)<(L|0));ab=I}I=H;do{R=U+(I<<2)|0;T=I;I=f[R>>2]|0;f[R>>2]=ab}while((I|0)<(T|0));I=f[z+(M<<2)>>2]|0;H=ab;while(1){T=f[U+(H<<2)>>2]|0;if((T|0)<(H|0))H=T;else break}if((ab|0)==(I|0))bb=H;else{T=I;while(1){R=f[U+(T<<2)>>2]|0;if((R|0)<(T|0))T=R;else break}R=(H|0)>(T|0)?T:H;K=I;do{P=U+(K<<2)|0;L=K;K=f[P>>2]|0;f[P>>2]=R}while((K|0)<(L|0));bb=R}R=ab;do{K=U+(R<<2)|0;I=R;R=f[K>>2]|0;f[K>>2]=bb}while((R|0)<(I|0));f[z+(D<<2)>>2]=bb;J=E;break}if(!(b[w+F>>0]|0)){R=f[l>>2]|0;U=f[y+(S<<2)>>2]|0;I=f[z+(M<<2)>>2]|0;K=U;while(1){H=f[R+(K<<2)>>2]|0;if((H|0)<(K|0))K=H;else break}if((U|0)==(I|0))cb=K;else{H=I;while(1){T=f[R+(H<<2)>>2]|0;if((T|0)<(H|0))H=T;else break}T=(K|0)>(H|0)?H:K;L=I;do{P=R+(L<<2)|0;_=L;L=f[P>>2]|0;f[P>>2]=T}while((L|0)<(_|0));cb=T}T=U;do{L=R+(T<<2)|0;I=T;T=f[L>>2]|0;f[L>>2]=cb}while((T|0)<(I|0));f[z+(D<<2)>>2]=cb;J=E;break}do if(C){if(!(b[x+O>>0]|0))break;T=f[y+(S<<2)>>2]|0;R=f[l>>2]|0;if(b[x+D>>0]|0){U=f[z+(M<<2)>>2]|0;I=T;while(1){L=f[R+(I<<2)>>2]|0;if((L|0)<(I|0))I=L;else break}if((T|0)==(U|0))db=I;else{L=U;while(1){K=f[R+(L<<2)>>2]|0;if((K|0)<(L|0))L=K;else break}K=(I|0)>(L|0)?L:I;H=U;do{_=R+(H<<2)|0;P=H;H=f[_>>2]|0;f[_>>2]=K}while((H|0)<(P|0));db=K}K=T;do{H=R+(K<<2)|0;U=K;K=f[H>>2]|0;f[H>>2]=db}while((K|0)<(U|0));f[z+(D<<2)>>2]=db;J=E;break a}K=f[y+(M<<2)>>2]|0;U=K;while(1){H=f[R+(U<<2)>>2]|0;if((H|0)<(U|0))U=H;else break}if((K|0)==(T|0))eb=U;else{H=T;while(1){I=f[R+(H<<2)>>2]|0;if((I|0)<(H|0))H=I;else break}I=(U|0)>(H|0)?H:U;L=T;do{P=R+(L<<2)|0;_=L;L=f[P>>2]|0;f[P>>2]=I}while((L|0)<(_|0));eb=I}I=K;do{L=R+(I<<2)|0;T=I;I=f[L>>2]|0;f[L>>2]=eb}while((I|0)<(T|0));I=f[z+(M<<2)>>2]|0;K=eb;while(1){T=f[R+(K<<2)>>2]|0;if((T|0)<(K|0))K=T;else break}if((eb|0)==(I|0))fb=K;else{T=I;while(1){L=f[R+(T<<2)>>2]|0;if((L|0)<(T|0))T=L;else break}L=(K|0)>(T|0)?T:K;U=I;do{H=R+(U<<2)|0;_=U;U=f[H>>2]|0;f[H>>2]=L}while((U|0)<(_|0));fb=L}L=eb;do{U=R+(L<<2)|0;I=L;L=f[U>>2]|0;f[U>>2]=fb}while((L|0)<(I|0));f[z+(D<<2)>>2]=fb;J=E;break a}while(0);O=f[l>>2]|0;L=f[y+(M<<2)>>2]|0;R=f[y+(S<<2)>>2]|0;I=L;while(1){U=f[O+(I<<2)>>2]|0;if((U|0)<(I|0))I=U;else break}if((L|0)==(R|0))gb=I;else{S=R;while(1){U=f[O+(S<<2)>>2]|0;if((U|0)<(S|0))S=U;else break}U=(I|0)>(S|0)?S:I;K=R;do{T=O+(K<<2)|0;_=K;K=f[T>>2]|0;f[T>>2]=U}while((K|0)<(_|0));gb=U}U=L;do{K=O+(U<<2)|0;R=U;U=f[K>>2]|0;f[K>>2]=gb}while((U|0)<(R|0));U=f[z+(M<<2)>>2]|0;L=gb;while(1){R=f[O+(L<<2)>>2]|0;if((R|0)<(L|0))L=R;else break}if((gb|0)==(U|0))hb=L;else{M=U;while(1){R=f[O+(M<<2)>>2]|0;if((R|0)<(M|0))M=R;else break}R=(L|0)>(M|0)?M:L;K=U;do{I=O+(K<<2)|0;S=K;K=f[I>>2]|0;f[I>>2]=R}while((K|0)<(S|0));hb=R}R=gb;do{K=O+(R<<2)|0;U=R;R=f[K>>2]|0;f[K>>2]=hb}while((R|0)<(U|0));f[z+(D<<2)>>2]=hb;J=E;break}do if(A){R=D+-2|0;if(b[w+F>>0]|0){O=f[z+(R<<2)>>2]|0;do if((R|0)>-1){if(!(b[v+R>>0]|0))break;f[z+(D<<2)>>2]=O;J=E;break a}while(0);U=f[l>>2]|0;K=f[y+(R<<2)>>2]|0;L=K;while(1){M=f[U+(L<<2)>>2]|0;if((M|0)<(L|0))L=M;else break}if((K|0)==(O|0))ib=L;else{M=O;while(1){S=f[U+(M<<2)>>2]|0;if((S|0)<(M|0))M=S;else break}S=(L|0)>(M|0)?M:L;I=O;do{_=U+(I<<2)|0;T=I;I=f[_>>2]|0;f[_>>2]=S}while((I|0)<(T|0));ib=S}S=K;do{I=U+(S<<2)|0;O=S;S=f[I>>2]|0;f[I>>2]=ib}while((S|0)<(O|0));f[z+(D<<2)>>2]=ib;J=E;break a}if(!(b[w+D>>0]|0)){jb=R;break}do if((R|0)>-1){if(!(b[v+R>>0]|0))break;if(!(b[w+R>>0]|0)){S=f[l>>2]|0;U=f[y+(D<<2)>>2]|0;K=f[z+(R<<2)>>2]|0;O=U;while(1){I=f[S+(O<<2)>>2]|0;if((I|0)<(O|0))O=I;else break}if((U|0)==(K|0))kb=O;else{I=K;while(1){L=f[S+(I<<2)>>2]|0;if((L|0)<(I|0))I=L;else break}L=(O|0)>(I|0)?I:O;M=K;do{T=S+(M<<2)|0;_=M;M=f[T>>2]|0;f[T>>2]=L}while((M|0)<(_|0));kb=L}L=U;do{M=S+(L<<2)|0;K=L;L=f[M>>2]|0;f[M>>2]=kb}while((L|0)<(K|0));f[z+(D<<2)>>2]=kb;J=E;break a}do if(C){if(!(b[x+F>>0]|0))break;f[z+(D<<2)>>2]=f[z+(R<<2)>>2];J=E;break a}while(0);L=f[l>>2]|0;S=f[y+(D<<2)>>2]|0;U=f[z+(R<<2)>>2]|0;K=S;while(1){M=f[L+(K<<2)>>2]|0;if((M|0)<(K|0))K=M;else break}if((S|0)==(U|0))lb=K;else{M=U;while(1){O=f[L+(M<<2)>>2]|0;if((O|0)<(M|0))M=O;else break}O=(K|0)>(M|0)?M:K;I=U;do{_=L+(I<<2)|0;T=I;I=f[_>>2]|0;f[_>>2]=O}while((I|0)<(T|0));lb=O}O=S;do{I=L+(O<<2)|0;U=O;O=f[I>>2]|0;f[I>>2]=lb}while((O|0)<(U|0));f[z+(D<<2)>>2]=lb;J=E;break a}while(0);O=f[l>>2]|0;L=f[y+(D<<2)>>2]|0;S=f[z+(R<<2)>>2]|0;U=L;while(1){I=f[O+(U<<2)>>2]|0;if((I|0)<(U|0))U=I;else break}if((L|0)==(S|0))mb=U;else{R=S;while(1){I=f[O+(R<<2)>>2]|0;if((I|0)<(R|0))R=I;else break}I=(U|0)>(R|0)?R:U;K=S;do{M=O+(K<<2)|0;T=K;K=f[M>>2]|0;f[M>>2]=I}while((K|0)<(T|0));mb=I}I=L;do{K=O+(I<<2)|0;S=I;I=f[K>>2]|0;f[K>>2]=mb}while((I|0)<(S|0));f[z+(D<<2)>>2]=mb;J=E;break a}else jb=D+-2|0;while(0);f[z+(D<<2)>>2]=f[z+(jb<<2)>>2];J=E;break}if(A){I=D+-2|0;if(b[w+F>>0]|0){O=f[z+(I<<2)>>2]|0;do if((I|0)>-1){if(!(b[v+I>>0]|0))break;f[z+(D<<2)>>2]=O;J=E;break a}while(0);L=f[l>>2]|0;S=f[y+(I<<2)>>2]|0;K=S;while(1){U=f[L+(K<<2)>>2]|0;if((U|0)<(K|0))K=U;else break}if((S|0)==(O|0))nb=K;else{U=O;while(1){R=f[L+(U<<2)>>2]|0;if((R|0)<(U|0))U=R;else break}R=(K|0)>(U|0)?U:K;T=O;do{M=L+(T<<2)|0;_=T;T=f[M>>2]|0;f[M>>2]=R}while((T|0)<(_|0));nb=R}R=S;do{T=L+(R<<2)|0;O=R;R=f[T>>2]|0;f[T>>2]=nb}while((R|0)<(O|0));f[z+(D<<2)>>2]=nb;J=E;break}if(!(b[w+D>>0]|0))ob=I;else{do if((I|0)>-1){if(!(b[v+I>>0]|0))break;if(!(b[w+I>>0]|0)){R=f[l>>2]|0;L=f[y+(D<<2)>>2]|0;S=f[z+(I<<2)>>2]|0;O=L;while(1){T=f[R+(O<<2)>>2]|0;if((T|0)<(O|0))O=T;else break}if((L|0)==(S|0))pb=O;else{T=S;while(1){K=f[R+(T<<2)>>2]|0;if((K|0)<(T|0))T=K;else break}K=(O|0)>(T|0)?T:O;U=S;do{_=R+(U<<2)|0;M=U;U=f[_>>2]|0;f[_>>2]=K}while((U|0)<(M|0));pb=K}K=L;do{U=R+(K<<2)|0;S=K;K=f[U>>2]|0;f[U>>2]=pb}while((K|0)<(S|0));f[z+(D<<2)>>2]=pb;J=E;break a}do if(C){if(!(b[x+F>>0]|0))break;f[z+(D<<2)>>2]=f[z+(I<<2)>>2];J=E;break a}while(0);K=f[l>>2]|0;R=f[y+(D<<2)>>2]|0;L=f[z+(I<<2)>>2]|0;S=R;while(1){U=f[K+(S<<2)>>2]|0;if((U|0)<(S|0))S=U;else break}if((R|0)==(L|0))qb=S;else{U=L;while(1){O=f[K+(U<<2)>>2]|0;if((O|0)<(U|0))U=O;else break}O=(S|0)>(U|0)?U:S;T=L;do{M=K+(T<<2)|0;_=T;T=f[M>>2]|0;f[M>>2]=O}while((T|0)<(_|0));qb=O}O=R;do{T=K+(O<<2)|0;L=O;O=f[T>>2]|0;f[T>>2]=qb}while((O|0)<(L|0));f[z+(D<<2)>>2]=qb;J=E;break a}while(0);O=f[l>>2]|0;K=f[y+(D<<2)>>2]|0;R=f[z+(I<<2)>>2]|0;L=K;while(1){T=f[O+(L<<2)>>2]|0;if((T|0)<(L|0))L=T;else break}if((K|0)==(R|0))rb=L;else{I=R;while(1){T=f[O+(I<<2)>>2]|0;if((T|0)<(I|0))I=T;else break}T=(L|0)>(I|0)?I:L;S=R;do{U=O+(S<<2)|0;_=S;S=f[U>>2]|0;f[U>>2]=T}while((S|0)<(_|0));rb=T}T=K;do{S=O+(T<<2)|0;R=T;T=f[S>>2]|0;f[S>>2]=rb}while((T|0)<(R|0));f[z+(D<<2)>>2]=rb;J=E;break}}else ob=D+-2|0;f[z+(D<<2)>>2]=f[z+(ob<<2)>>2];J=E;break}}T=D|1;O=(T|0)<(n|0);if(!(B|O^1)?b[w+T>>0]|0:0){if(b[w+D>>0]|0){f[z+(D<<2)>>2]=f[y+(D<<2)>>2];J=E;break}if(G?b[w+F>>0]|0:0){K=f[y+(D<<2)>>2]|0;if(C?b[x+D>>0]|0:0){f[z+(D<<2)>>2]=K;J=E;break}R=f[l>>2]|0;S=f[y+(D+-2<<2)>>2]|0;L=S;while(1){I=f[R+(L<<2)>>2]|0;if((I|0)<(L|0))L=I;else break}if((S|0)==(K|0))sb=L;else{I=K;while(1){_=f[R+(I<<2)>>2]|0;if((_|0)<(I|0))I=_;else break}_=(L|0)>(I|0)?I:L;U=K;do{M=R+(U<<2)|0;H=U;U=f[M>>2]|0;f[M>>2]=_}while((U|0)<(H|0));sb=_}_=S;do{U=R+(_<<2)|0;K=_;_=f[U>>2]|0;f[U>>2]=sb}while((_|0)<(K|0));f[z+(D<<2)>>2]=sb;J=E;break}f[z+(D<<2)>>2]=f[y+(D<<2)>>2];J=E;break}if(O?b[v+T>>0]|0:0){_=D+2|0;if(!((_|0)>=(n|0)|B)?b[w+_>>0]|0:0){if(b[w+D>>0]|0){if(C?b[x+T>>0]|0:0){f[z+(D<<2)>>2]=f[y+(_<<2)>>2];J=E;break}R=f[l>>2]|0;S=f[y+(D<<2)>>2]|0;K=f[y+(_<<2)>>2]|0;U=S;while(1){L=f[R+(U<<2)>>2]|0;if((L|0)<(U|0))U=L;else break}if((S|0)==(K|0))tb=U;else{O=K;while(1){L=f[R+(O<<2)>>2]|0;if((L|0)<(O|0))O=L;else break}L=(U|0)>(O|0)?O:U;I=K;do{H=R+(I<<2)|0;M=I;I=f[H>>2]|0;f[H>>2]=L}while((I|0)<(M|0));tb=L}L=S;do{I=R+(L<<2)|0;K=L;L=f[I>>2]|0;f[I>>2]=tb}while((L|0)<(K|0));f[z+(D<<2)>>2]=tb;J=E;break}if(G?b[w+F>>0]|0:0){do if(C){if(!(b[x+T>>0]|0))break;L=f[y+(_<<2)>>2]|0;if(b[x+D>>0]|0){f[z+(D<<2)>>2]=L;J=E;break a}R=f[l>>2]|0;S=f[y+(D+-2<<2)>>2]|0;K=S;while(1){I=f[R+(K<<2)>>2]|0;if((I|0)<(K|0))K=I;else break}if((S|0)==(L|0))ub=K;else{I=L;while(1){U=f[R+(I<<2)>>2]|0;if((U|0)<(I|0))I=U;else break}U=(K|0)>(I|0)?I:K;O=L;do{M=R+(O<<2)|0;H=O;O=f[M>>2]|0;f[M>>2]=U}while((O|0)<(H|0));ub=U}U=S;do{O=R+(U<<2)|0;L=U;U=f[O>>2]|0;f[O>>2]=ub}while((U|0)<(L|0));f[z+(D<<2)>>2]=ub;J=E;break a}while(0);T=f[l>>2]|0;U=f[y+(D+-2<<2)>>2]|0;R=f[y+(_<<2)>>2]|0;S=U;while(1){L=f[T+(S<<2)>>2]|0;if((L|0)<(S|0))S=L;else break}if((U|0)==(R|0))vb=S;else{L=R;while(1){O=f[T+(L<<2)>>2]|0;if((O|0)<(L|0))L=O;else break}O=(S|0)>(L|0)?L:S;K=R;do{I=T+(K<<2)|0;H=K;K=f[I>>2]|0;f[I>>2]=O}while((K|0)<(H|0));vb=O}O=U;do{K=T+(O<<2)|0;R=O;O=f[K>>2]|0;f[K>>2]=vb}while((O|0)<(R|0));f[z+(D<<2)>>2]=vb;J=E;break}f[z+(D<<2)>>2]=f[y+(_<<2)>>2];J=E;break}if(A?b[w+D>>0]|0:0){f[z+(D<<2)>>2]=f[y+(D<<2)>>2];J=E;break}if(!(B|G^1)?b[w+F>>0]|0:0){f[z+(D<<2)>>2]=f[y+(D+-2<<2)>>2];J=E;break}f[z+(D<<2)>>2]=E;f[(f[l>>2]|0)+(E<<2)>>2]=E;J=E+1|0;break}if(A?b[w+D>>0]|0:0){f[z+(D<<2)>>2]=f[y+(D<<2)>>2];J=E;break}if(!(B|G^1)?b[w+F>>0]|0:0){f[z+(D<<2)>>2]=f[y+(D+-2<<2)>>2];J=E;break}f[z+(D<<2)>>2]=E;f[(f[l>>2]|0)+(E<<2)>>2]=E;J=E+1|0}while(0);D=D+2|0;if((D|0)>=(n|0)){wb=J;break}else E=J}}else wb=s;a=a+2|0;if((a|0)>=(f[d>>2]|0))break;else s=wb}o=wb;p=f[g>>2]|0;q=o-j|0;r=p+(c<<2)|0;f[r>>2]=q;return}function K7(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;d=f[a+12>>2]|0;e=f[a+8>>2]|0;g=f[c>>2]|0;if((g|0)>=(e|0))return;h=f[a+16>>2]|0;i=f[a+44>>2]|0;a=(d|0)>0;j=d+-1|0;k=g;do{g=f[i>>2]|0;l=h+(Y(g,k)|0)|0;m=l+(0-g)|0;if(a){g=0;do{n=l+(g<<2)|0;o=f[n>>2]|0;if((o|0)>0){if((g|0)>0?(p=f[m+(g+-1<<2)>>2]|0,(p|0)>0):0){q=p;while(1){r=f[b+(q<<2)>>2]|0;if((r|0)<(q|0))q=r;else break}if((p|0)==(o|0))s=q;else{r=o;while(1){t=f[b+(r<<2)>>2]|0;if((t|0)<(r|0))r=t;else break}t=(q|0)>(r|0)?r:q;u=o;do{v=b+(u<<2)|0;w=u;u=f[v>>2]|0;f[v>>2]=t}while((u|0)<(w|0));s=t}t=p;do{u=b+(t<<2)|0;q=t;t=f[u>>2]|0;f[u>>2]=s}while((t|0)<(q|0));f[n>>2]=s;x=s}else x=o;if((g|0)<(j|0)?(t=f[m+(g+1<<2)>>2]|0,(t|0)>0):0){p=t;while(1){q=f[b+(p<<2)>>2]|0;if((q|0)<(p|0))p=q;else break}if((t|0)==(x|0))y=p;else{o=x;while(1){q=f[b+(o<<2)>>2]|0;if((q|0)<(o|0))o=q;else break}q=(p|0)>(o|0)?o:p;u=x;do{r=b+(u<<2)|0;w=u;u=f[r>>2]|0;f[r>>2]=q}while((u|0)<(w|0));y=q}q=t;do{u=b+(q<<2)|0;p=q;q=f[u>>2]|0;f[u>>2]=y}while((q|0)<(p|0));f[n>>2]=y;z=y}else z=x;q=f[m+(g<<2)>>2]|0;if((q|0)>0){t=q;while(1){p=f[b+(t<<2)>>2]|0;if((p|0)<(t|0))t=p;else break}if((q|0)==(z|0))A=t;else{p=z;while(1){u=f[b+(p<<2)>>2]|0;if((u|0)<(p|0))p=u;else break}u=(t|0)>(p|0)?p:t;o=z;do{w=b+(o<<2)|0;r=o;o=f[w>>2]|0;f[w>>2]=u}while((o|0)<(r|0));A=u}u=q;do{o=b+(u<<2)|0;t=u;u=f[o>>2]|0;f[o>>2]=A}while((u|0)<(t|0));f[n>>2]=A}}g=g+1|0}while((g|0)!=(d|0))}k=f[c+(k<<2)>>2]|0}while((k|0)<(e|0));return}function L7(a){a=a|0;Emc(a);return}function M7(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;c=f[b>>2]|0;d=f[b+4>>2]|0;if((c|0)>0){b=a+16|0;G7((f[b>>2]|0)+(c*136|0)|0,f[f[a+20>>2]>>2]|0);e=f[b>>2]|0;f[e+(c*136|0)+132>>2]=d;if((c|0)>=(d|0))return;b=a+4|0;g=a+8|0;h=e+(c*136|0)+20|0;i=e+(c*136|0)+48|0;j=e+(c*136|0)+120|0;e=c;do{k=f[b>>2]|0;l=(f[k+16>>2]|0)+(Y(f[f[k+44>>2]>>2]|0,e)|0)|0;m=l+(f[k+12>>2]<<2)|0;if((l|0)!=(m|0)){k=f[g>>2]|0;n=f[h>>2]|0;o=f[i>>2]|0;p=f[j>>2]|0;q=((e|0)<0)<<31>>31;r=0;s=l;while(1){l=f[k+(f[s>>2]<<2)>>2]|0;f[s>>2]=l;t=n+(Y(f[o>>2]|0,l)|0)|0;u=f[t>>2]|0;f[t>>2]=(u|0)>(r|0)?r:u;u=t+8|0;v=f[u>>2]|0;f[u>>2]=(v|0)<(r|0)?r:v;v=t+4|0;u=f[v>>2]|0;f[v>>2]=(u|0)>(e|0)?e:u;u=t+12|0;v=f[u>>2]|0;f[u>>2]=(v|0)<(e|0)?e:v;v=t+16|0;f[v>>2]=(f[v>>2]|0)+1;v=p+(l<<4)|0;t=v;u=Arc(f[t>>2]|0,f[t+4>>2]|0,r|0,((r|0)<0)<<31>>31|0)|0;t=v;f[t>>2]=u;f[t+4>>2]=J;t=p+(l<<4)+8|0;l=t;u=Arc(f[l>>2]|0,f[l+4>>2]|0,e|0,q|0)|0;l=t;f[l>>2]=u;f[l+4>>2]=J;s=s+4|0;if((s|0)==(m|0))break;else r=r+1|0}}e=e+1|0}while((e|0)!=(d|0));return}else{e=a+12|0;f[(f[e>>2]|0)+132>>2]=d;if((c|0)>=(d|0))return;j=a+4|0;i=a+8|0;a=c;do{c=f[j>>2]|0;h=(f[c+16>>2]|0)+(Y(f[f[c+44>>2]>>2]|0,a)|0)|0;g=h+(f[c+12>>2]<<2)|0;if((h|0)!=(g|0)){c=f[i>>2]|0;b=((a|0)<0)<<31>>31;r=h;h=0;while(1){m=f[c+(f[r>>2]<<2)>>2]|0;f[r>>2]=m;s=f[e>>2]|0;q=(f[s+20>>2]|0)+(Y(f[f[s+48>>2]>>2]|0,m)|0)|0;p=f[q>>2]|0;f[q>>2]=(p|0)>(h|0)?h:p;p=q+8|0;o=f[p>>2]|0;f[p>>2]=(o|0)<(h|0)?h:o;o=q+4|0;p=f[o>>2]|0;f[o>>2]=(p|0)>(a|0)?a:p;p=q+12|0;o=f[p>>2]|0;f[p>>2]=(o|0)<(a|0)?a:o;o=q+16|0;f[o>>2]=(f[o>>2]|0)+1;o=f[s+120>>2]|0;s=o+(m<<4)|0;q=s;p=Arc(f[q>>2]|0,f[q+4>>2]|0,h|0,((h|0)<0)<<31>>31|0)|0;q=s;f[q>>2]=p;f[q+4>>2]=J;q=o+(m<<4)+8|0;m=q;o=Arc(f[m>>2]|0,f[m+4>>2]|0,a|0,b|0)|0;m=q;f[m>>2]=o;f[m+4>>2]=J;r=r+4|0;if((r|0)==(g|0))break;else h=h+1|0}}a=a+1|0}while((a|0)!=(d|0));return}}function N7(a){a=a|0;Emc(a);return}function O7(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;d=f[c>>2]|0;e=c+4|0;c=f[a+16>>2]|0;f[c+(d<<2)>>2]=f[e>>2];g=a+8|0;h=f[g>>2]|0;i=(((Y(f[h+12>>2]|0,d)|0)+1|0)/2|0)+1|0;j=a+4|0;k=f[j>>2]|0;l=f[k+12>>2]|0;if((d|0)==(f[e>>2]|0)){m=i;n=m-i|0;o=d+1|0;p=c+(o<<2)|0;f[p>>2]=n;return}q=(l|0)>0;r=a+12|0;a=d;s=i;t=k;k=h;while(1){h=f[f[t+44>>2]>>2]|0;u=(f[t+16>>2]|0)+(Y(h,a)|0)|0;v=u+(0-h)|0;h=f[f[k+44>>2]>>2]|0;w=(f[k+16>>2]|0)+(Y(h,a)|0)|0;x=w+(0-h)|0;a:do if(q){if((a|0)>(d|0)){y=0;z=s}else{h=0;A=s;while(1){do if(!(b[u+h>>0]|0)){f[w+(h<<2)>>2]=0;B=A}else{if((h|0)>0?(C=h+-1|0,b[u+C>>0]|0):0){f[w+(h<<2)>>2]=f[w+(C<<2)>>2];B=A;break}f[w+(h<<2)>>2]=A;f[(f[r>>2]|0)+(A<<2)>>2]=A;B=A+1|0}while(0);h=h+1|0;if((h|0)==(l|0)){D=B;break a}else A=B}}while(1){do if(!(b[u+y>>0]|0)){f[w+(y<<2)>>2]=0;E=z}else{A=(y|0)>0;if(!(b[v+y>>0]|0)){if(A?(h=y+-1|0,b[u+h>>0]|0):0){f[w+(y<<2)>>2]=f[w+(h<<2)>>2];E=z;break}f[w+(y<<2)>>2]=z;f[(f[r>>2]|0)+(z<<2)>>2]=z;E=z+1|0;break}h=f[x+(y<<2)>>2]|0;if(A?(A=y+-1|0,(b[u+A>>0]|0)!=0):0){C=f[r>>2]|0;F=f[w+(A<<2)>>2]|0;A=F;while(1){G=f[C+(A<<2)>>2]|0;if((G|0)<(A|0))A=G;else break}if((F|0)==(h|0))H=A;else{G=h;while(1){I=f[C+(G<<2)>>2]|0;if((I|0)<(G|0))G=I;else break}I=(A|0)>(G|0)?G:A;J=h;do{K=C+(J<<2)|0;L=J;J=f[K>>2]|0;f[K>>2]=I}while((J|0)<(L|0));H=I}I=F;do{J=C+(I<<2)|0;A=I;I=f[J>>2]|0;f[J>>2]=H}while((I|0)<(A|0));M=H}else M=h;f[w+(y<<2)>>2]=M;E=z}while(0);y=y+1|0;if((y|0)==(l|0)){D=E;break}else z=E}}else D=s;while(0);w=a+1|0;if((w|0)==(f[e>>2]|0)){m=D;break}a=w;s=D;t=f[j>>2]|0;k=f[g>>2]|0}n=m-i|0;o=d+1|0;p=c+(o<<2)|0;f[p>>2]=n;return}function P7(a){a=a|0;Emc(a);return}function Q7(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;d=f[c>>2]|0;e=c+4|0;c=f[a+16>>2]|0;f[c+(d<<2)>>2]=f[e>>2];g=d+1|0;h=a+8|0;i=f[h>>2]|0;j=(Y(((f[i+12>>2]|0)+1|0)/2|0,(g|0)/2|0)|0)+1|0;k=a+4|0;l=f[k>>2]|0;m=f[l+12>>2]|0;n=f[e>>2]|0;if((d|0)==(n|0)){o=j;p=o-j|0;q=c+(g<<2)|0;f[q>>2]=p;return}r=(m|0)>0;s=m+-1|0;t=a+12|0;a=d;u=j;v=n;n=l;l=i;while(1){i=f[f[n+44>>2]>>2]|0;w=(f[n+16>>2]|0)+(Y(i,a)|0)|0;x=w+(0-i)|0;i=f[f[l+44>>2]>>2]|0;y=(f[l+16>>2]|0)+(Y(i,a)|0)|0;z=y+(0-i)|0;if(r){i=(a|0)>(d|0);A=i^1;B=0;C=u;while(1){a:do if(!(b[w+B>>0]|0)){f[y+(B<<2)>>2]=0;D=C}else{if(i){if(b[x+B>>0]|0){f[y+(B<<2)>>2]=f[z+(B<<2)>>2];D=C;break}if(!((B|0)>=(s|0)|A)){E=B+1|0;if(!(b[x+E>>0]|0))F=0;else{do if((B|0)>0){G=B+-1|0;if(!(b[x+G>>0]|0)){H=f[z+(E<<2)>>2]|0;if(!(b[w+G>>0]|0)){I=H;break}J=f[t>>2]|0;K=f[y+(G<<2)>>2]|0;L=K;while(1){M=f[J+(L<<2)>>2]|0;if((M|0)<(L|0))L=M;else break}if((K|0)==(H|0))N=L;else{M=H;while(1){O=f[J+(M<<2)>>2]|0;if((O|0)<(M|0))M=O;else break}O=(L|0)>(M|0)?M:L;P=H;do{Q=J+(P<<2)|0;R=P;P=f[Q>>2]|0;f[Q>>2]=O}while((P|0)<(R|0));N=O}O=K;do{P=J+(O<<2)|0;H=O;O=f[P>>2]|0;f[P>>2]=N}while((O|0)<(H|0));I=N}else{O=f[t>>2]|0;J=f[z+(G<<2)>>2]|0;K=f[z+(E<<2)>>2]|0;H=J;while(1){P=f[O+(H<<2)>>2]|0;if((P|0)<(H|0))H=P;else break}if((J|0)==(K|0))S=H;else{G=K;while(1){P=f[O+(G<<2)>>2]|0;if((P|0)<(G|0))G=P;else break}P=(H|0)>(G|0)?G:H;L=K;do{M=O+(L<<2)|0;R=L;L=f[M>>2]|0;f[M>>2]=P}while((L|0)<(R|0));S=P}P=J;do{L=O+(P<<2)|0;K=P;P=f[L>>2]|0;f[L>>2]=S}while((P|0)<(K|0));f[y+(B<<2)>>2]=S;D=C;break a}}else I=f[z+(E<<2)>>2]|0;while(0);f[y+(B<<2)>>2]=I;D=C;break}}else F=A}else F=A;E=(B|0)>0;if(!(F|E^1)?(P=B+-1|0,b[x+P>>0]|0):0){f[y+(B<<2)>>2]=f[z+(P<<2)>>2];D=C;break}if(E?(E=B+-1|0,b[w+E>>0]|0):0){f[y+(B<<2)>>2]=f[y+(E<<2)>>2];D=C;break}f[y+(B<<2)>>2]=C;f[(f[t>>2]|0)+(C<<2)>>2]=C;D=C+1|0}while(0);B=B+1|0;if((B|0)==(m|0))break;else C=D}T=D;U=f[e>>2]|0}else{T=u;U=v}C=a+1|0;if((C|0)==(U|0)){o=T;break}a=C;u=T;v=U;n=f[k>>2]|0;l=f[h>>2]|0}p=o-j|0;q=c+(g<<2)|0;f[q>>2]=p;return}function R7(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0;g=u;u=u+1312|0;i=g+112|0;j=g+92|0;k=g+32|0;l=g+8|0;m=g;o=a+24|0;p=f[o>>2]|0;q=p+8|0;r=i+8|0;f[i>>2]=r;t=i+4|0;f[t>>2]=q;if(q>>>0>59){v=Dmc(q>>>0>214748364?-1:q*20|0)|0;f[i>>2]=v;w=v}else w=r;v=a+56|0;q=f[v>>2]|0;x=f[v+4>>2]|0;v=f[a>>2]|0;if((v&12288|0)!=4096){f[m>>2]=0;y=m+4|0;f[y>>2]=0;z=YG(m,32)|0;A=z;B=254802;C=A+32|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));SQ(-215,m,254835,254859,74)}if((v&16384|0)==0?1:(f[a+28>>2]|0)!=1){f[m>>2]=0;y=m+4|0;f[y>>2]=0;z=YG(m,32)|0;A=z;B=254802;C=A+32|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));SQ(-215,m,254835,254859,74)}if((c|0)<=87){f[m>>2]=0;f[m+4>>2]=0;A=YG(m,37)|0;B=254927;C=A+37|0;do{b[A>>0]=b[B>>0]|0;A=A+1|0;B=B+1|0}while((A|0)<(C|0));SQ(-215,m,254835,254859,75)}hW(v&-4096|12,c,8,d,l);if(f[o>>2]|0){o=k+32|0;b[o>>0]=0;kia(a,k);a=j+16|0;f[a>>2]=0;a:do if((p|0)>0){d=k+28|0;c=k+12|0;v=k+36|0;m=(e|0)==1;B=l+12|0;A=l+20|0;C=k+20|0;z=k+40|0;if((e|0)<3)D=0;else{y=j;E=0;while(1){F=b[f[d>>2]>>0]|0;G=f[c>>2]|0;f[d>>2]=G;H=v;I=f[H>>2]|0;J=f[H+4>>2]|0;H=G;if(!G)K=b[o>>0]|0;else{G=b[H>>0]|0;b[o>>0]=G;L=H+1|0;f[c>>2]=L;if(L>>>0<(f[C>>2]|0)>>>0){N=G;O=I}else{mW(k,1);N=b[o>>0]|0;O=f[v>>2]|0}G=N<<24>>24;f[v>>2]=O+(b[k+44+(G<<1)>>0]|0);f[z>>2]=(f[z>>2]|0)+(b[k+44+(G<<1)+1>>0]|0);K=N}G=(K<<24>>24)-F|0;F=f[54460+(G+7<<2)>>2]|0;L=w+(E*20|0)|0;if(!G)P=y;else{f[y+16>>2]=L;P=L}f[w+(E*20|0)+12>>2]=F;F=w+(E*20|0)|0;f[F>>2]=I;f[F+4>>2]=J;J=E+1|0;if((J|0)<(p|0)){y=P;E=J}else{Q=P;R=J;break a}}}while(1){E=b[f[d>>2]>>0]|0;y=f[c>>2]|0;f[d>>2]=y;J=v;F=f[J>>2]|0;I=f[J+4>>2]|0;J=y;if(!y)S=b[o>>0]|0;else{y=b[J>>0]|0;b[o>>0]=y;L=J+1|0;f[c>>2]=L;if(L>>>0<(f[C>>2]|0)>>>0){T=y;U=F}else{mW(k,1);T=b[o>>0]|0;U=f[v>>2]|0}y=T<<24>>24;f[v>>2]=U+(b[k+44+(y<<1)>>0]|0);f[z>>2]=(f[z>>2]|0)+(b[k+44+(y<<1)+1>>0]|0);S=T}if(m|S<<24>>24!=E<<24>>24){E=f[B>>2]|0;if(E>>>0<(f[A>>2]|0)>>>0)V=E;else{kW(l);V=f[B>>2]|0}E=V;y=E;b[y>>0]=F;b[y+1>>0]=F>>8;b[y+2>>0]=F>>16;b[y+3>>0]=F>>24;F=E+4|0;b[F>>0]=I;b[F+1>>0]=I>>8;b[F+2>>0]=I>>16;b[F+3>>0]=I>>24;f[B>>2]=(f[B>>2]|0)+8}I=D+1|0;if((I|0)<(p|0))D=I;else{Q=j;R=I;break}}}else{Q=j;R=0}while(0);if((e|0)>=3){f[Q+16>>2]=0;Q=f[a>>2]|0;D=w;p=(e|0)==4;e=Q;do{V=(e-D|0)/20|0;S=f[e>>2]|0;T=f[e+4>>2]|0;k=1;U=0;o=0;while(1){P=V-k|0;K=((P|0)<0?R:0)+P|0;P=k+V|0;N=P-((P|0)>=(R|0)?R:0)|0;P=f[w+(K*20|0)>>2]|0;O=(f[w+(N*20|0)>>2]|0)-P|0;B=f[w+(K*20|0)+4>>2]|0;K=(f[w+(N*20|0)+4>>2]|0)-B|0;N=(Y(K,K)|0)+(Y(O,O)|0)|0;A=(Y(K,S-P|0)|0)-(Y(T-B|0,O)|0)|0;O=(n[s>>2]=+(U|0)*+(N|0)-+(o|0)*+(A|0),f[s>>2]|0);if((k|0)>1){if((o|0)>=(N|0))break;if((U|0)>0&(O|0)<1)break;if((U|0)<0&(O|0)>-1)break}k=k+1|0;U=A;o=N}o=k+-1|0;f[e+8>>2]=o;if(p){U=o;N=0;while(1){A=V-U|0;O=((A|0)<0?R:0)+A|0;A=U+V|0;B=A-((A|0)>=(R|0)?R:0)|0;A=(f[w+(O*20|0)>>2]|0)-S|0;P=(f[w+(O*20|0)+4>>2]|0)-T|0;O=(f[w+(B*20|0)>>2]|0)-S|0;K=(f[w+(B*20|0)+4>>2]|0)-T|0;if((P|A|0)==0|(K|O|0)==0){W=N;break}X=+(A|0);Z=+(P|0);_=+(O|0);$=+(K|0);aa=+((Y(K,P)|0)+(Y(O,A)|0)|0)/+M(+((X*X+Z*Z)*(_*_+$*$)))+1.1;A=(n[s>>2]=aa,f[s>>2]|0);if(!((U|0)>=(o|0)|(A|0)>(N|0))){W=N;break}if((U|0)>1){U=U+-1|0;N=A}else{W=A;break}}f[e+12>>2]=W}e=f[e+16>>2]|0}while((e|0)!=0);ba=j;ca=Q;while(1){Q=f[ca+8>>2]>>1;e=ca+12|0;W=f[e>>2]|0;N=(ca-D|0)/20|0;b:do if((Q|0)<1)da=ca;else{U=1;while(1){o=N-U|0;if((f[w+((((o|0)<0?R:0)+o|0)*20|0)+12>>2]|0)>(W|0))break;o=U+N|0;if((f[w+((o-((o|0)>=(R|0)?R:0)|0)*20|0)+12>>2]|0)>(W|0))break;if((U|0)<(Q|0))U=U+1|0;else{da=ca;break b}}f[ba+16>>2]=f[ca+16>>2];f[e>>2]=0;da=ba}while(0);ca=f[ca+16>>2]|0;if(!ca)break;else ba=da}da=j;ba=f[a>>2]|0;while(1){do if((f[ba+8>>2]|0)==1){ca=ba+12|0;e=f[ca>>2]|0;Q=ba-D|0;W=(Q|0)/20|0;N=W+1|0;if((e|0)>(f[w+((W+-1+((Q|0)<20?R:0)|0)*20|0)+12>>2]|0)?(e|0)>(f[w+((N-((N|0)>=(R|0)?R:0)|0)*20|0)+12>>2]|0):0){ea=ba;break}f[da+16>>2]=f[ba+16>>2];f[ca>>2]=0;ea=da}else ea=ba;while(0);ba=f[ba+16>>2]|0;if(!ba)break;else da=ea}do if(!p){if(f[w+12>>2]|0?(ea=R+-1|0,f[w+(ea*20|0)+12>>2]|0):0){c:do if((R|0)>1){da=1;while(1){if(!(f[w+(da*20|0)+12>>2]|0)){fa=da;break c}f[w+((da+-1|0)*20|0)+12>>2]=0;ba=da+1|0;if((ba|0)<(R|0))da=ba;else{fa=ba;break}}}else fa=1;while(0);if((fa|0)==(R|0))break;da=fa+-1|0;d:do if((R|0)>2){ba=R+-2|0;ca=ea;while(1){if(!(f[w+(ba*20|0)+12>>2]|0)){ga=ca;break d}f[w+(ba*20|0)+16>>2]=0;f[w+(ca*20|0)+12>>2]=0;if((ba|0)>1){N=ba;ba=ba+-1|0;ca=N}else{ga=ba;break}}}else ga=ea;while(0);if((da|0)==0&(ga|0)==(ea|0)){ba=((f[w+16>>2]|0)-D|0)/20|0;ca=w+(R*20|0)|0;f[ca>>2]=f[w>>2];f[ca+4>>2]=f[w+4>>2];f[ca+8>>2]=f[w+8>>2];f[ca+12>>2]=f[w+12>>2];f[ca+16>>2]=f[w+16>>2];f[w+(R*20|0)+16>>2]=0;f[w+(ea*20|0)+16>>2]=ca;ha=ba}else ha=da;f[a>>2]=w+(ha*20|0)}ba=j;ca=f[a>>2]|0;while(1){N=ca+16|0;e=f[N>>2]|0;e:do if(!e){ia=1;ja=ba;ka=ca;la=e;ma=N}else{Q=1;W=ba;U=ca;o=e;T=N;while(1){if((o-U|0)!=20){ia=Q;ja=W;ka=U;la=o;ma=T;break e}S=Q+1|0;V=o+16|0;k=f[V>>2]|0;if(!k){ia=S;ja=U;ka=o;la=k;ma=V;break}else{A=o;O=U;Q=S;o=k;T=V;U=A;W=O}}}while(0);if((ia|0)>1){do if((ia|0)==2){N=f[ja+12>>2]|0;e=f[ka+12>>2]|0;if((N|0)<=(e|0)){if((N|0)!=(e|0)){na=ka;oa=ba;break}if((f[ja+8>>2]|0)>(f[ka+8>>2]|0)){na=ka;oa=ba;break}}na=la;oa=ja}else{na=ka;oa=f[ba+16>>2]|0}while(0);f[oa+16>>2]=na;pa=f[ma>>2]|0}else pa=la;if(!pa)break;else{ba=ka;ca=pa}}}while(0);pa=l+12|0;ka=l+20|0;la=f[a>>2]|0;a=f[pa>>2]|0;do{if(a>>>0<(f[ka>>2]|0)>>>0)qa=a;else{kW(l);qa=f[pa>>2]|0}ma=la;na=ma;oa=h[na>>0]|h[na+1>>0]<<8|h[na+2>>0]<<16|h[na+3>>0]<<24;na=ma+4|0;ma=h[na>>0]|h[na+1>>0]<<8|h[na+2>>0]<<16|h[na+3>>0]<<24;na=qa;ja=na;b[ja>>0]=oa;b[ja+1>>0]=oa>>8;b[ja+2>>0]=oa>>16;b[ja+3>>0]=oa>>24;oa=na+4|0;b[oa>>0]=ma;b[oa+1>>0]=ma>>8;b[oa+2>>0]=ma>>16;b[oa+3>>0]=ma>>24;a=(f[pa>>2]|0)+8|0;f[pa>>2]=a;la=f[la+16>>2]|0}while((la|0)!=0)}}else{la=l+12|0;a=f[la>>2]|0;if(a>>>0<(f[l+20>>2]|0)>>>0)ra=a;else{kW(l);ra=f[la>>2]|0}a=ra;ra=a;b[ra>>0]=q;b[ra+1>>0]=q>>8;b[ra+2>>0]=q>>16;b[ra+3>>0]=q>>24;q=a+4|0;b[q>>0]=x;b[q+1>>0]=x>>8;b[q+2>>0]=x>>16;b[q+3>>0]=x>>24;f[la>>2]=(f[la>>2]|0)+8}la=jW(l)|0;l=f[i>>2]|0;if((l|0)==(r|0)){u=g;return la|0}if(l|0)Fmc(l);f[i>>2]=r;f[t>>2]=59;u=g;return la|0}function S7(a,c,d,e){a=a|0;c=c|0;d=+d;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;g=u;u=u+2320|0;h=g+2312|0;i=g+2256|0;j=g+1160|0;k=g+64|0;l=g;m=g+8|0;zT(h,54520);do if((pD(a)|0)==65536){n=f[a+4>>2]|0;f[i>>2]=f[n>>2];o=i+4|0;p=n+4|0;f[o>>2]=f[p>>2];q=i+8|0;f[q>>2]=f[n+8>>2];f[i+12>>2]=f[n+12>>2];f[i+16>>2]=f[n+16>>2];f[i+20>>2]=f[n+20>>2];f[i+24>>2]=f[n+24>>2];f[i+28>>2]=f[n+28>>2];f[i+32>>2]=f[n+32>>2];r=f[n+36>>2]|0;f[i+36>>2]=r;f[i+40>>2]=q;q=i+48|0;s=i+44|0;f[s>>2]=q;f[q>>2]=0;f[i+52>>2]=0;if(r|0){q=r+12|0;f[q>>2]=(f[q>>2]|0)+1}if((f[p>>2]|0)<3){p=f[n+44>>2]|0;q=f[s>>2]|0;f[q>>2]=f[p>>2];f[q+4>>2]=f[p+4>>2];break}else{f[o>>2]=0;kP(i,n);break}}else lD(i,a,-1);while(0);a=BP(i,2,-1,1)|0;n=f[i>>2]|0;o=n&7;if(!((a|0)>-1&(o|1|0)==5)){f[j>>2]=0;f[j+4>>2]=0;p=YG(j,52)|0;q=254965;s=p+52|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(s|0));SQ(-215,j,255018,254859,682)}if(a){q=j+8|0;Drc(q|0,0,1088)|0;f[j>>2]=q;p=j+4|0;s=a>>>0>136;f[p>>2]=a;if(s){r=Dmc(a>>>0>536870911?-1:a<<3)|0;Drc(r|0,0,a<<3|0)|0;f[j>>2]=r;t=r}else t=q;r=k+8|0;Drc(r|0,0,1088)|0;f[k>>2]=r;v=k+4|0;f[v>>2]=a;if(s){s=Dmc(a>>>0>536870911?-1:a<<3)|0;Drc(s|0,0,a<<3|0)|0;f[k>>2]=s}switch(n&7){case 4:{w=T7(f[i+16>>2]|0,a,t,e,d,k)|0;break}case 5:{w=U7(f[i+16>>2]|0,a,t,e,d,k)|0;break}default:{f[l>>2]=0;f[l+4>>2]=0;SQ(-210,l,255018,254859,700)}}Ri(m,w,1,o|8,t,0);kT(m,c);t=m+36|0;o=f[t>>2]|0;if(o|0?(w=o+12|0,o=f[w>>2]|0,f[w>>2]=o+-1,(o|0)==1):0)lP(m);f[t>>2]=0;t=m+16|0;o=m+4|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[o>>2]|0)>0){t=f[m+40>>2]|0;w=0;do{f[t+(w<<2)>>2]=0;w=w+1|0}while((w|0)<(f[o>>2]|0))}o=f[m+44>>2]|0;if((o|0)!=(m+48|0))tE(o);o=f[k>>2]|0;if((o|0)!=(r|0)){if(o|0)Fmc(o);f[k>>2]=r;f[v>>2]=136}v=f[j>>2]|0;if((v|0)!=(q|0)){if(v|0)Fmc(v);f[j>>2]=q;f[p>>2]=136}}else GD(c);c=i+36|0;p=f[c>>2]|0;if(p|0?(q=p+12|0,p=f[q>>2]|0,f[q>>2]=p+-1,(p|0)==1):0)lP(i);f[c>>2]=0;c=i+16|0;p=i+4|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[p>>2]|0)>0){c=f[i+40>>2]|0;q=0;do{f[c+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[p>>2]|0))}p=f[i+44>>2]|0;if((p|0)!=(i+48|0))tE(p);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function T7(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;var h=0,i=0,j=0,k=0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0,H=0.0,I=0,J=0,K=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0.0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0;h=g+4|0;i=f[h>>2]|0;j=f[g>>2]|0;if(!b){k=0;return k|0}l=e*e;if(!d){m=b+-1|0;if((f[a+(m<<3)>>2]|0)==(f[a>>2]|0)?(f[a+(m<<3)+4>>2]|0)==(f[a+4>>2]|0):0){n=1;o=7}else{if(!i){f[h>>2]=0;p=0}else p=i;q=j;f[q>>2]=0;f[q+4>>2]=m;r=1;s=j;t=p;u=0;v=b;o=41}}else{n=3;o=7}do if((o|0)==7){if((b|0)>1){p=0;m=0;q=0;while(1){w=(m+q|0)%(b|0)|0;x=f[a+(w<<3)>>2]|0;y=f[a+(w<<3)+4>>2]|0;z=w+1|0;w=1;e=0.0;A=(z|0)>=(b|0)?0:z;z=q;do{B=A+1|0;C=A;A=(B|0)>=(b|0)?0:B;D=+((f[a+(C<<3)>>2]|0)-x|0);E=+((f[a+(C<<3)+4>>2]|0)-y|0);F=D*D+E*E;C=F>e;z=C?w:z;e=C?F:e;w=w+1|0}while((w|0)!=(b|0));p=p+1|0;if((p|0)>=(n|0)){G=A;H=e;I=x;J=z;K=y;break}else{m=A;q=z}}}else{q=0;m=0;do{M=(m|0)%(b|0)|0;p=M+1|0;m=(p|0)>=(b|0)?0:p;q=q+1|0}while((q|0)<(n|0));G=m;H=0.0;I=f[a+(M<<3)>>2]|0;J=0;K=f[a+(M<<3)+4>>2]|0}if(H<=l){f[c>>2]=I;f[c+4>>2]=K;N=1;break}q=(G|0)%(b|0)|0;p=(q+J|0)%(b|0)|0;if(!i){w=(i*3|0)>>>1;C=f[h>>2]|0;if(C>>>0<w>>>0){B=f[g>>2]|0;O=g+8|0;f[g>>2]=O;f[h>>2]=w;if((C|0)!=0&(O|0)!=(B|0)){P=B;Q=f[P+4>>2]|0;R=O;f[R>>2]=f[P>>2];f[R+4>>2]=Q;if((C|0)!=1){Q=B+8|0;R=f[Q+4>>2]|0;P=g+16|0;f[P>>2]=f[Q>>2];f[P+4>>2]=R;if((C|0)==2)S=C;else{R=2;do{P=B+(R<<3)|0;Q=f[P+4>>2]|0;O=(f[g>>2]|0)+(R<<3)|0;f[O>>2]=f[P>>2];f[O+4>>2]=Q;R=R+1|0}while((R|0)!=(C|0));S=C}}else S=1}else S=C;do{R=(f[g>>2]|0)+(S<<3)|0;f[R>>2]=0;f[R+4>>2]=0;S=S+1|0}while((S|0)!=(w|0));if(!((B|0)==(g+8|0)|(B|0)==0))Fmc(B)}else f[h>>2]=w;T=f[g>>2]|0;U=f[h>>2]|0}else{T=j;U=i}C=T;f[C>>2]=p;f[C+4>>2]=q;if(U>>>0>1){V=T;W=U}else{C=U*3|0;R=C>>>1;m=f[h>>2]|0;if(m>>>0<R>>>0){Q=f[g>>2]|0;if(C>>>0>273){C=Dmc(R>>>0>536870911?-1:R<<3)|0;Drc(C|0,0,R<<3|0)|0;X=C}else X=g+8|0;f[g>>2]=X;f[h>>2]=R;if((m|0)!=0&(X|0)!=(Q|0)){C=Q;O=f[C+4>>2]|0;P=X;f[P>>2]=f[C>>2];f[P+4>>2]=O;if((m|0)!=1){O=Q+8|0;P=f[O+4>>2]|0;C=X+8|0;f[C>>2]=f[O>>2];f[C+4>>2]=P;if((m|0)==2)Z=m;else{P=2;do{C=Q+(P<<3)|0;O=f[C+4>>2]|0;_=(f[g>>2]|0)+(P<<3)|0;f[_>>2]=f[C>>2];f[_+4>>2]=O;P=P+1|0}while((P|0)!=(m|0));Z=m}}else Z=1}else Z=m;do{P=(f[g>>2]|0)+(Z<<3)|0;f[P>>2]=0;f[P+4>>2]=0;Z=Z+1|0}while((Z|0)!=(R|0));if(!((Q|0)==(g+8|0)|(Q|0)==0))Fmc(Q)}else f[h>>2]=R;V=f[g>>2]|0;W=f[h>>2]|0}m=V+8|0;f[m>>2]=q;f[m+4>>2]=p;r=2;s=V;t=W;u=1;v=p;o=41}while(0);if((o|0)==41){o=b+-1|0;W=g+8|0;V=0;Z=r;r=s;s=t;t=v;a:while(1){v=V;X=Z;U=t;while(1){$=X+-1|0;T=r+($<<3)|0;aa=f[T>>2]|0;ba=f[T+4>>2]|0;T=f[a+(aa<<3)>>2]|0;i=f[a+(aa<<3)+4>>2]|0;j=aa+1|0;S=(j|0)>=(b|0)?0:j;if((S|0)!=(ba|0)){H=+((f[a+(ba<<3)>>2]|0)-T|0);F=+((f[a+(ba<<3)+4>>2]|0)-i|0);E=0.0;j=S;ca=U;b:while(1){S=j;do{if((S|0)==(ba|0))break b;J=S+1|0;G=S;S=(J|0)>=(b|0)?0:J;da=+L(+(H*+((f[a+(G<<3)+4>>2]|0)-i|0)-F*+((f[a+(G<<3)>>2]|0)-T|0)))}while(!(da>E));E=da;j=S;ca=(o+S|0)%(b|0)|0}if(!(E*E<=l*(F*F+H*H)))break;else ea=ca}else ea=U;j=v+1|0;f[c+(v<<3)>>2]=T;f[c+(v<<3)+4>>2]=i;if(!$){fa=j;break a}else{v=j;X=$;U=ea}}if($>>>0<s>>>0){ga=r;ha=s}else{U=s*3|0;p=U>>>1;q=f[h>>2]|0;if(q>>>0<p>>>0){R=f[g>>2]|0;if(U>>>0>273){U=Dmc(p>>>0>536870911?-1:p<<3)|0;Drc(U|0,0,p<<3|0)|0;ia=U}else ia=W;f[g>>2]=ia;f[h>>2]=p;if((q|0)!=0&(ia|0)!=(R|0)){U=R;Q=f[U+4>>2]|0;j=ia;f[j>>2]=f[U>>2];f[j+4>>2]=Q;if((q|0)!=1){Q=R+8|0;j=f[Q+4>>2]|0;U=ia+8|0;f[U>>2]=f[Q>>2];f[U+4>>2]=j;if((q|0)==2)ja=q;else{j=2;do{U=R+(j<<3)|0;Q=f[U+4>>2]|0;z=(f[g>>2]|0)+(j<<3)|0;f[z>>2]=f[U>>2];f[z+4>>2]=Q;j=j+1|0}while((j|0)!=(q|0));ja=q}}else ja=1}else ja=q;do{j=(f[g>>2]|0)+(ja<<3)|0;f[j>>2]=0;f[j+4>>2]=0;ja=ja+1|0}while((ja|0)!=(p|0));if(!((R|0)==(W|0)|(R|0)==0))Fmc(R)}else f[h>>2]=p;ga=f[g>>2]|0;ha=f[h>>2]|0}q=ga+($<<3)|0;f[q>>2]=ca;f[q+4>>2]=ba;if(X>>>0<ha>>>0){ka=ga;la=ha}else{q=ha*3|0;j=q>>>1;Q=f[h>>2]|0;if(Q>>>0<j>>>0){z=f[g>>2]|0;if(q>>>0>273){q=Dmc(j>>>0>536870911?-1:j<<3)|0;Drc(q|0,0,j<<3|0)|0;ma=q}else ma=W;f[g>>2]=ma;f[h>>2]=j;if((Q|0)!=0&(ma|0)!=(z|0)){q=z;U=f[q+4>>2]|0;A=ma;f[A>>2]=f[q>>2];f[A+4>>2]=U;if((Q|0)!=1){U=z+8|0;A=f[U+4>>2]|0;q=ma+8|0;f[q>>2]=f[U>>2];f[q+4>>2]=A;if((Q|0)==2)na=Q;else{A=2;do{q=z+(A<<3)|0;U=f[q+4>>2]|0;y=(f[g>>2]|0)+(A<<3)|0;f[y>>2]=f[q>>2];f[y+4>>2]=U;A=A+1|0}while((A|0)!=(Q|0));na=Q}}else na=1}else na=Q;do{A=(f[g>>2]|0)+(na<<3)|0;f[A>>2]=0;f[A+4>>2]=0;na=na+1|0}while((na|0)!=(j|0));if(!((z|0)==(W|0)|(z|0)==0))Fmc(z)}else f[h>>2]=j;ka=f[g>>2]|0;la=f[h>>2]|0}Z=X+1|0;Q=ka+(X<<3)|0;f[Q>>2]=aa;f[Q+4>>2]=ca;if(!Z){fa=v;break}else{V=v;r=ka;s=la;t=ca}}if(u)N=fa;else{f[c+(fa<<3)>>2]=f[a+(o<<3)>>2];f[c+(fa<<3)+4>>2]=f[a+(o<<3)+4>>2];N=fa+1|0}}fa=d?N+-1|0:0;o=fa+1|0;a=(o|0)>=(N|0)?0:o;o=f[c+(a<<3)>>2]|0;u=f[c+(a<<3)+4>>2]|0;ca=a+1|0;t=(d^1)&1;la=N-t|0;if((N|0)>2&(t|0)<(la|0)){da=l*.5;s=a;ka=t;t=N;r=(ca|0)>=(N|0)?0:ca;ca=o;V=f[c+(fa<<3)>>2]|0;Z=u;aa=f[c+(fa<<3)+4>>2]|0;while(1){fa=f[c+(r<<3)>>2]|0;h=f[c+(r<<3)+4>>2]|0;g=r+1|0;W=(g|0)>=(N|0)?0:g;g=fa-V|0;l=+(g|0);na=h-aa|0;e=+(na|0);ma=ca-V|0;ha=Z-aa|0;D=+L(+(+(ma|0)*e-+(ha|0)*l));if(((Y(h-Z|0,ha)|0)+(Y(fa-ca|0,ma)|0)|0)>-1&((na|0)!=0&(g|0?D*D<=da*(l*l+e*e):0))){f[c+(s<<3)>>2]=fa;f[c+(s<<3)+4>>2]=h;g=s+1|0;na=W+1|0;oa=(g|0)>=(N|0)?0:g;pa=ka+1|0;qa=t+-1|0;ra=(na|0)>=(N|0)?0:na;sa=f[c+(W<<3)>>2]|0;ta=fa;ua=f[c+(W<<3)+4>>2]|0;va=h}else{f[c+(s<<3)>>2]=ca;f[c+(s<<3)+4>>2]=Z;na=s+1|0;oa=(na|0)>=(N|0)?0:na;pa=ka;qa=t;ra=W;sa=fa;ta=ca;ua=h;va=Z}ka=pa+1|0;if(!((qa|0)>2&(ka|0)<(la|0))){wa=oa;xa=qa;ya=sa;za=ua;break}else{s=oa;t=qa;r=ra;ca=sa;V=ta;Z=ua;aa=va}}}else{wa=a;xa=N;ya=o;za=u}if(d){k=xa;return k|0}f[c+(wa<<3)>>2]=ya;f[c+(wa<<3)+4>>2]=za;k=xa;return k|0}function U7(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;var h=0,i=0,j=0,k=0,l=0.0,m=0,o=0,p=0,q=0,r=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0,F=0,G=0,H=0.0,I=0.0,J=0.0,K=0,M=0.0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0.0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0;h=g+4|0;i=f[h>>2]|0;j=f[g>>2]|0;if(!b){k=0;return k|0}l=e*e;do if(d){m=3;o=8}else{p=b+-1|0;if(!(+n[a+(p<<3)>>2]!=+n[a>>2])?!(+n[a+(p<<3)+4>>2]!=+n[a+4>>2]):0){m=1;o=8;break}if(!i){f[h>>2]=0;q=0}else q=i;r=j;f[r>>2]=0;f[r+4>>2]=p;t=1;u=j;v=q;w=0;x=b;o=42}while(0);do if((o|0)==8){if((b|0)>1){q=0;p=0;r=0;while(1){y=(p+r|0)%(b|0)|0;z=f[a+(y<<3)>>2]|0;A=f[a+(y<<3)+4>>2]|0;B=y+1|0;e=(f[s>>2]=z,+n[s>>2]);C=(f[s>>2]=A,+n[s>>2]);y=1;D=0.0;E=(B|0)>=(b|0)?0:B;B=r;do{F=E+1|0;G=E;E=(F|0)>=(b|0)?0:F;H=+n[a+(G<<3)>>2]-e;I=+n[a+(G<<3)+4>>2]-C;J=H*H+I*I;G=J>D;B=G?y:B;D=G?J:D;y=y+1|0}while((y|0)!=(b|0));q=q+1|0;if((q|0)>=(m|0)){K=E;M=D;N=z;O=B;P=A;break}else{p=E;r=B}}}else{r=0;p=0;do{Q=(p|0)%(b|0)|0;q=Q+1|0;p=(q|0)>=(b|0)?0:q;r=r+1|0}while((r|0)<(m|0));K=p;M=0.0;N=f[a+(Q<<3)>>2]|0;O=0;P=f[a+(Q<<3)+4>>2]|0}if(M<=l){f[c>>2]=N;f[c+4>>2]=P;R=1;break}r=(K|0)%(b|0)|0;q=(r+O|0)%(b|0)|0;if(!i){y=(i*3|0)>>>1;G=f[h>>2]|0;if(G>>>0<y>>>0){F=f[g>>2]|0;S=g+8|0;f[g>>2]=S;f[h>>2]=y;if((G|0)!=0&(S|0)!=(F|0)){T=F;U=f[T+4>>2]|0;V=S;f[V>>2]=f[T>>2];f[V+4>>2]=U;if((G|0)!=1){U=F+8|0;V=f[U+4>>2]|0;T=g+16|0;f[T>>2]=f[U>>2];f[T+4>>2]=V;if((G|0)==2)W=G;else{V=2;do{T=F+(V<<3)|0;U=f[T+4>>2]|0;S=(f[g>>2]|0)+(V<<3)|0;f[S>>2]=f[T>>2];f[S+4>>2]=U;V=V+1|0}while((V|0)!=(G|0));W=G}}else W=1}else W=G;do{V=(f[g>>2]|0)+(W<<3)|0;f[V>>2]=0;f[V+4>>2]=0;W=W+1|0}while((W|0)!=(y|0));if(!((F|0)==(g+8|0)|(F|0)==0))Fmc(F)}else f[h>>2]=y;X=f[g>>2]|0;Y=f[h>>2]|0}else{X=j;Y=i}G=X;f[G>>2]=q;f[G+4>>2]=r;if(Y>>>0>1){Z=X;_=Y}else{G=Y*3|0;V=G>>>1;p=f[h>>2]|0;if(p>>>0<V>>>0){U=f[g>>2]|0;if(G>>>0>273){G=Dmc(V>>>0>536870911?-1:V<<3)|0;Drc(G|0,0,V<<3|0)|0;$=G}else $=g+8|0;f[g>>2]=$;f[h>>2]=V;if((p|0)!=0&($|0)!=(U|0)){G=U;S=f[G+4>>2]|0;T=$;f[T>>2]=f[G>>2];f[T+4>>2]=S;if((p|0)!=1){S=U+8|0;T=f[S+4>>2]|0;G=$+8|0;f[G>>2]=f[S>>2];f[G+4>>2]=T;if((p|0)==2)aa=p;else{T=2;do{G=U+(T<<3)|0;S=f[G+4>>2]|0;ba=(f[g>>2]|0)+(T<<3)|0;f[ba>>2]=f[G>>2];f[ba+4>>2]=S;T=T+1|0}while((T|0)!=(p|0));aa=p}}else aa=1}else aa=p;do{T=(f[g>>2]|0)+(aa<<3)|0;f[T>>2]=0;f[T+4>>2]=0;aa=aa+1|0}while((aa|0)!=(V|0));if(!((U|0)==(g+8|0)|(U|0)==0))Fmc(U)}else f[h>>2]=V;Z=f[g>>2]|0;_=f[h>>2]|0}p=Z+8|0;f[p>>2]=r;f[p+4>>2]=q;t=2;u=Z;v=_;w=1;x=q;o=42}while(0);if((o|0)==42){o=b+-1|0;_=g+8|0;Z=0;aa=t;t=u;u=v;v=x;a:while(1){x=Z;$=aa;Y=v;while(1){ca=$+-1|0;X=t+(ca<<3)|0;da=f[X>>2]|0;ea=f[X+4>>2]|0;X=f[a+(da<<3)>>2]|0;i=f[a+(da<<3)+4>>2]|0;j=da+1|0;W=(j|0)>=(b|0)?0:j;if((W|0)!=(ea|0)){M=(f[s>>2]=X,+n[s>>2]);C=+n[a+(ea<<3)>>2]-M;e=(f[s>>2]=i,+n[s>>2]);J=+n[a+(ea<<3)+4>>2]-e;I=0.0;j=W;fa=Y;b:while(1){W=j;do{if((W|0)==(ea|0))break b;O=W+1|0;K=W;W=(O|0)>=(b|0)?0:O;ga=+L(+(C*(+n[a+(K<<3)+4>>2]-e)-J*(+n[a+(K<<3)>>2]-M)))}while(!(ga>I));I=ga;j=W;fa=(o+W|0)%(b|0)|0}if(!(I*I<=l*(J*J+C*C)))break;else ha=fa}else ha=Y;j=x+1|0;f[c+(x<<3)>>2]=X;f[c+(x<<3)+4>>2]=i;if(!ca){ia=j;break a}else{x=j;$=ca;Y=ha}}if(ca>>>0<u>>>0){ja=t;ka=u}else{Y=u*3|0;q=Y>>>1;r=f[h>>2]|0;if(r>>>0<q>>>0){V=f[g>>2]|0;if(Y>>>0>273){Y=Dmc(q>>>0>536870911?-1:q<<3)|0;Drc(Y|0,0,q<<3|0)|0;la=Y}else la=_;f[g>>2]=la;f[h>>2]=q;if((r|0)!=0&(la|0)!=(V|0)){Y=V;U=f[Y+4>>2]|0;j=la;f[j>>2]=f[Y>>2];f[j+4>>2]=U;if((r|0)!=1){U=V+8|0;j=f[U+4>>2]|0;Y=la+8|0;f[Y>>2]=f[U>>2];f[Y+4>>2]=j;if((r|0)==2)ma=r;else{j=2;do{Y=V+(j<<3)|0;U=f[Y+4>>2]|0;B=(f[g>>2]|0)+(j<<3)|0;f[B>>2]=f[Y>>2];f[B+4>>2]=U;j=j+1|0}while((j|0)!=(r|0));ma=r}}else ma=1}else ma=r;do{j=(f[g>>2]|0)+(ma<<3)|0;f[j>>2]=0;f[j+4>>2]=0;ma=ma+1|0}while((ma|0)!=(q|0));if(!((V|0)==(_|0)|(V|0)==0))Fmc(V)}else f[h>>2]=q;ja=f[g>>2]|0;ka=f[h>>2]|0}r=ja+(ca<<3)|0;f[r>>2]=fa;f[r+4>>2]=ea;if($>>>0<ka>>>0){na=ja;oa=ka}else{r=ka*3|0;j=r>>>1;U=f[h>>2]|0;if(U>>>0<j>>>0){B=f[g>>2]|0;if(r>>>0>273){r=Dmc(j>>>0>536870911?-1:j<<3)|0;Drc(r|0,0,j<<3|0)|0;pa=r}else pa=_;f[g>>2]=pa;f[h>>2]=j;if((U|0)!=0&(pa|0)!=(B|0)){r=B;Y=f[r+4>>2]|0;E=pa;f[E>>2]=f[r>>2];f[E+4>>2]=Y;if((U|0)!=1){Y=B+8|0;E=f[Y+4>>2]|0;r=pa+8|0;f[r>>2]=f[Y>>2];f[r+4>>2]=E;if((U|0)==2)qa=U;else{E=2;do{r=B+(E<<3)|0;Y=f[r+4>>2]|0;A=(f[g>>2]|0)+(E<<3)|0;f[A>>2]=f[r>>2];f[A+4>>2]=Y;E=E+1|0}while((E|0)!=(U|0));qa=U}}else qa=1}else qa=U;do{E=(f[g>>2]|0)+(qa<<3)|0;f[E>>2]=0;f[E+4>>2]=0;qa=qa+1|0}while((qa|0)!=(j|0));if(!((B|0)==(_|0)|(B|0)==0))Fmc(B)}else f[h>>2]=j;na=f[g>>2]|0;oa=f[h>>2]|0}aa=$+1|0;U=na+($<<3)|0;f[U>>2]=da;f[U+4>>2]=fa;if(!aa){ia=x;break}else{Z=x;t=na;u=oa;v=fa}}if(w)R=ia;else{f[c+(ia<<3)>>2]=f[a+(o<<3)>>2];f[c+(ia<<3)+4>>2]=f[a+(o<<3)+4>>2];R=ia+1|0}}ia=d?R+-1|0:0;o=ia+1|0;a=(o|0)>=(R|0)?0:o;o=f[c+(a<<3)>>2]|0;w=f[c+(a<<3)+4>>2]|0;fa=a+1|0;v=(d^1)&1;oa=R-v|0;if((R|0)>2&(v|0)<(oa|0)){ga=l*.5;u=a;na=v;v=R;t=(fa|0)>=(R|0)?0:fa;fa=o;Z=f[c+(ia<<3)>>2]|0;aa=w;da=f[c+(ia<<3)+4>>2]|0;while(1){ia=f[c+(t<<3)>>2]|0;h=f[c+(t<<3)+4>>2]|0;g=t+1|0;_=(g|0)>=(R|0)?0:g;l=(f[s>>2]=ia,+n[s>>2]);M=(f[s>>2]=Z,+n[s>>2]);e=l-M;D=e;H=(f[s>>2]=h,+n[s>>2]);ra=(f[s>>2]=da,+n[s>>2]);sa=H-ra;ta=sa;ua=(f[s>>2]=fa,+n[s>>2]);va=ua-M;M=(f[s>>2]=aa,+n[s>>2]);wa=M-ra;ra=+L(+(va*ta-wa*D));if(va*(l-ua)+wa*(H-M)>=0.0&(sa!=0.0&(e!=0.0?ra*ra<=ga*(D*D+ta*ta):0))){f[c+(u<<3)>>2]=ia;f[c+(u<<3)+4>>2]=h;g=u+1|0;qa=_+1|0;xa=(g|0)>=(R|0)?0:g;ya=na+1|0;za=v+-1|0;Aa=(qa|0)>=(R|0)?0:qa;Ba=f[c+(_<<3)>>2]|0;Ca=ia;Da=f[c+(_<<3)+4>>2]|0;Ea=h}else{f[c+(u<<3)>>2]=fa;f[c+(u<<3)+4>>2]=aa;qa=u+1|0;xa=(qa|0)>=(R|0)?0:qa;ya=na;za=v;Aa=_;Ba=ia;Ca=fa;Da=h;Ea=aa}na=ya+1|0;if(!((za|0)>2&(na|0)<(oa|0))){Fa=xa;Ga=za;Ha=Ba;Ia=Da;break}else{u=xa;v=za;t=Aa;fa=Ba;Z=Ca;aa=Da;da=Ea}}}else{Fa=a;Ga=R;Ha=o;Ia=w}if(d){k=Ga;return k|0}f[c+(Fa<<3)>>2]=Ha;f[c+(Fa<<3)+4>>2]=Ia;k=Ga;return k|0}function V7(a,c,d,e,g,h){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0,F=0.0,G=0,H=0.0,I=0.0,J=0.0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0;i=u;u=u+368|0;j=i+352|0;k=i+344|0;l=i+280|0;m=i+336|0;n=i+216|0;o=i+160|0;p=i+272|0;q=i+104|0;r=i+80|0;s=i+72|0;t=i+24|0;v=i+16|0;w=i;zT(j,54540);if(BD(a,-1)|0){f[k>>2]=0;f[k+4>>2]=0;x=YG(k,21)|0;y=255092;z=x+21|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));SQ(-215,k,255114,255120,947)}nD(k,a,-1);A=c+4|0;B=a+4|0;if((f[A>>2]|0)==(f[B>>2]|0)?oD(a,-1)|0:0){f[l>>2]=0;f[l+4>>2]=0;x=YG(l,100)|0;y=255187;z=x+100|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));SQ(-215,l,255114,255120,952)}f[m>>2]=f[k>>2];f[m+4>>2]=f[k+4>>2];HD(c,m,0,-1,0,0);m=(g|0)<0&(h^1);k=m|h;h=m?g&2147483647:g;if(!(h&1)){f[l>>2]=0;C=l+4|0;f[C>>2]=0;D=YG(l,43)|0;x=D;y=255288;z=x+43|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));SQ(-206,l,255114,255120,964)}switch(h|0){case 7:{E=d*.0625;F=e*.0625;break}case -1:case 6:case 5:case 4:case 3:{E=d;F=e;break}default:{f[l>>2]=0;C=l+4|0;f[C>>2]=0;D=YG(l,43)|0;x=D;y=255288;z=x+43|0;do{b[x>>0]=b[y>>0]|0;x=x+1|0;y=y+1|0}while((x|0)<(z|0));SQ(-206,l,255114,255120,964)}}y=E>F;e=y?E:F;d=y?F:E;do if((pD(a)|0)==65536){y=f[B>>2]|0;f[l>>2]=f[y>>2];D=l+4|0;C=y+4|0;f[D>>2]=f[C>>2];g=l+8|0;f[g>>2]=f[y+8>>2];f[l+12>>2]=f[y+12>>2];f[l+16>>2]=f[y+16>>2];f[l+20>>2]=f[y+20>>2];f[l+24>>2]=f[y+24>>2];f[l+28>>2]=f[y+28>>2];f[l+32>>2]=f[y+32>>2];m=f[y+36>>2]|0;f[l+36>>2]=m;f[l+40>>2]=g;g=l+48|0;G=l+44|0;f[G>>2]=g;f[g>>2]=0;f[l+52>>2]=0;if(m|0){g=m+12|0;f[g>>2]=(f[g>>2]|0)+1}if((f[C>>2]|0)<3){C=f[y+44>>2]|0;g=f[G>>2]|0;f[g>>2]=f[C>>2];f[g+4>>2]=f[C+4>>2];break}else{f[D>>2]=0;kP(l,y);break}}else lD(l,a,-1);while(0);do if((pD(c)|0)==65536){a=f[A>>2]|0;f[n>>2]=f[a>>2];B=n+4|0;y=a+4|0;f[B>>2]=f[y>>2];D=n+8|0;f[D>>2]=f[a+8>>2];f[n+12>>2]=f[a+12>>2];f[n+16>>2]=f[a+16>>2];f[n+20>>2]=f[a+20>>2];f[n+24>>2]=f[a+24>>2];f[n+28>>2]=f[a+28>>2];f[n+32>>2]=f[a+32>>2];C=f[a+36>>2]|0;f[n+36>>2]=C;f[n+40>>2]=D;D=n+48|0;g=n+44|0;f[g>>2]=D;f[D>>2]=0;f[n+52>>2]=0;if(C|0){D=C+12|0;f[D>>2]=(f[D>>2]|0)+1}if((f[y>>2]|0)<3){y=f[a+44>>2]|0;D=f[g>>2]|0;f[D>>2]=f[y>>2];f[D+4>>2]=f[y+4>>2];break}else{f[B>>2]=0;kP(n,a);break}}else lD(n,c,-1);while(0);c=l+40|0;A=f[c>>2]|0;a=f[A>>2]|0;f[p>>2]=f[A+4>>2];f[p+4>>2]=a;a=l+16|0;A=l+48|0;mD(o,p,f[l>>2]&4095,f[a>>2]|0,f[A>>2]|0);p=o+16|0;B=n+16|0;y=o+12|0;D=o+8|0;if(k){E=d<32767.0?d:32767.0;F=e<32767.0?e:32767.0;H=E>0.0?E*E:E;if(F>0.0){I=F*F;J=H}else{I=F;J=H}}else{I=e;J=d}g=~~J;C=g-(+(g|0)>J&1)|0;g=~~I;G=g-(+(g|0)>I&1)|0;g=pU()|0;m=qU()|0;K=(m|0)<(g|0)?m:g;g=(K|0)>1?K:1;K=f[D>>2]|0;m=(h|0)<0?4:(((h|0)/2|0)<<1)+2|0;if(((K|0)/(g|0)|0|0)<(m|0)){L=(K|0)/(m|0)|0;M=(L|0)>1?L:1}else M=g;f[q>>2]=1124007936;g=q+4|0;L=q+8|0;m=q+40|0;x=g;z=x+36|0;do{f[x>>2]=0;x=x+4|0}while((x|0)<(z|0));f[m>>2]=L;L=q+48|0;x=q+44|0;f[x>>2]=L;f[L>>2]=0;f[q+52>>2]=0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;f[r+16>>2]=0;f[r+20>>2]=0;f[s>>2]=0;f[s+4>>2]=K;W7(t,o,q,r,C,G,h,k);oU(s,t,+(M|0));f[t>>2]=54568;RR(t+44|0);zT(s,54580);s=f[q+12>>2]|0;M=r+20|0;k=f[M>>2]|0;if(k|0){h=r+16|0;G=r+4|0;C=r+8|0;K=0-s|0;z=~s;N=1-s|0;O=s+-1|0;P=s+1|0;Q=k;while(1){k=f[h>>2]|0;R=Q+-1|0;S=k+R|0;T=f[G>>2]|0;U=f[(f[T+(S>>>10<<2)>>2]|0)+((S&1023)<<2)>>2]|0;f[M>>2]=R;R=f[C>>2]|0;S=R-T|0;if((1-Q-k+((S|0)==0?0:(S<<8)+-1|0)|0)>>>0>2047){Emc(f[R+-4>>2]|0);f[C>>2]=(f[C>>2]|0)+-4}R=U+K|0;if(!(b[U+z>>0]|0)){S=R+-1|0;b[S>>0]=2;k=f[G>>2]|0;T=(f[C>>2]|0)-k|0;V=f[h>>2]|0;W=f[M>>2]|0;if((((T|0)==0?0:(T<<8)+-1|0)|0)==(W+V|0)){X7(r);X=f[h>>2]|0;Z=f[M>>2]|0;_=f[G>>2]|0}else{X=V;Z=W;_=k}k=Z+X|0;f[(f[_+(k>>>10<<2)>>2]|0)+((k&1023)<<2)>>2]=S;f[M>>2]=Z+1}if(!(b[R>>0]|0)){b[R>>0]=2;S=f[G>>2]|0;k=(f[C>>2]|0)-S|0;W=f[h>>2]|0;V=f[M>>2]|0;if((((k|0)==0?0:(k<<8)+-1|0)|0)==(V+W|0)){X7(r);$=f[h>>2]|0;aa=f[M>>2]|0;ba=f[G>>2]|0}else{$=W;aa=V;ba=S}S=aa+$|0;f[(f[ba+(S>>>10<<2)>>2]|0)+((S&1023)<<2)>>2]=R;f[M>>2]=aa+1}if(!(b[U+N>>0]|0)){R=U+K+1|0;b[R>>0]=2;S=f[G>>2]|0;V=(f[C>>2]|0)-S|0;W=f[h>>2]|0;k=f[M>>2]|0;if((((V|0)==0?0:(V<<8)+-1|0)|0)==(k+W|0)){X7(r);ca=f[h>>2]|0;da=f[M>>2]|0;ea=f[G>>2]|0}else{ca=W;da=k;ea=S}S=da+ca|0;f[(f[ea+(S>>>10<<2)>>2]|0)+((S&1023)<<2)>>2]=R;f[M>>2]=da+1}R=U+-1|0;if(!(b[R>>0]|0)){b[R>>0]=2;S=f[G>>2]|0;k=(f[C>>2]|0)-S|0;W=f[h>>2]|0;V=f[M>>2]|0;if((((k|0)==0?0:(k<<8)+-1|0)|0)==(V+W|0)){X7(r);fa=f[h>>2]|0;ga=f[M>>2]|0;ha=f[G>>2]|0}else{fa=W;ga=V;ha=S}S=ga+fa|0;f[(f[ha+(S>>>10<<2)>>2]|0)+((S&1023)<<2)>>2]=R;f[M>>2]=ga+1}R=U+1|0;if(!(b[R>>0]|0)){b[R>>0]=2;S=f[G>>2]|0;V=(f[C>>2]|0)-S|0;W=f[h>>2]|0;k=f[M>>2]|0;if((((V|0)==0?0:(V<<8)+-1|0)|0)==(k+W|0)){X7(r);ia=f[h>>2]|0;ja=f[M>>2]|0;ka=f[G>>2]|0}else{ia=W;ja=k;ka=S}S=ja+ia|0;f[(f[ka+(S>>>10<<2)>>2]|0)+((S&1023)<<2)>>2]=R;f[M>>2]=ja+1}R=U+s|0;if(!(b[U+O>>0]|0)){S=R+-1|0;b[S>>0]=2;k=f[G>>2]|0;W=(f[C>>2]|0)-k|0;V=f[h>>2]|0;T=f[M>>2]|0;if((((W|0)==0?0:(W<<8)+-1|0)|0)==(T+V|0)){X7(r);la=f[h>>2]|0;ma=f[M>>2]|0;na=f[G>>2]|0}else{la=V;ma=T;na=k}k=ma+la|0;f[(f[na+(k>>>10<<2)>>2]|0)+((k&1023)<<2)>>2]=S;f[M>>2]=ma+1}if(!(b[R>>0]|0)){b[R>>0]=2;S=f[G>>2]|0;k=(f[C>>2]|0)-S|0;T=f[h>>2]|0;V=f[M>>2]|0;if((((k|0)==0?0:(k<<8)+-1|0)|0)==(V+T|0)){X7(r);oa=f[h>>2]|0;pa=f[M>>2]|0;qa=f[G>>2]|0}else{oa=T;pa=V;qa=S}S=pa+oa|0;f[(f[qa+(S>>>10<<2)>>2]|0)+((S&1023)<<2)>>2]=R;f[M>>2]=pa+1}if(!(b[U+P>>0]|0)){R=U+s+1|0;b[R>>0]=2;U=f[G>>2]|0;S=(f[C>>2]|0)-U|0;V=f[h>>2]|0;T=f[M>>2]|0;if((((S|0)==0?0:(S<<8)+-1|0)|0)==(T+V|0)){X7(r);ra=f[h>>2]|0;sa=f[M>>2]|0;ta=f[G>>2]|0}else{ra=V;sa=T;ta=U}U=sa+ra|0;f[(f[ta+(U>>>10<<2)>>2]|0)+((U&1023)<<2)>>2]=R;R=sa+1|0;f[M>>2]=R;ua=R}else ua=f[M>>2]|0;if(!ua)break;else Q=ua}}zT(t,54600);t=f[D>>2]|0;f[v>>2]=0;f[v+4>>2]=t;f[w>>2]=54628;f[w+4>>2]=q;f[w+8>>2]=n;D=o+4|0;ua=f[D>>2]|0;if((ua|0)<3)va=Y(f[y>>2]|0,t)|0;else{t=f[o+40>>2]|0;y=0;Q=1;while(1){M=Y(f[t+(y<<2)>>2]|0,Q)|0;y=y+1|0;if((y|0)==(ua|0)){va=M;break}else Q=M}}oU(v,w,+(va>>>0)*.0000152587890625);Y7(r);r=q+36|0;va=f[r>>2]|0;if(va|0?(w=va+12|0,va=f[w>>2]|0,f[w>>2]=va+-1,(va|0)==1):0)lP(q);f[r>>2]=0;r=q+16|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[g>>2]|0)>0){r=f[m>>2]|0;m=0;do{f[r+(m<<2)>>2]=0;m=m+1|0}while((m|0)<(f[g>>2]|0))}g=f[x>>2]|0;if((g|0)!=(L|0))tE(g);g=o+36|0;L=f[g>>2]|0;if(L|0?(x=L+12|0,L=f[x>>2]|0,f[x>>2]=L+-1,(L|0)==1):0)lP(o);f[g>>2]=0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[D>>2]|0)>0){p=f[o+40>>2]|0;g=0;do{f[p+(g<<2)>>2]=0;g=g+1|0}while((g|0)<(f[D>>2]|0))}D=f[o+44>>2]|0;if((D|0)!=(o+48|0))tE(D);D=n+36|0;o=f[D>>2]|0;if(o|0?(g=o+12|0,o=f[g>>2]|0,f[g>>2]=o+-1,(o|0)==1):0)lP(n);f[D>>2]=0;D=n+4|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[D>>2]|0)>0){B=f[n+40>>2]|0;o=0;do{f[B+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[D>>2]|0))}D=f[n+44>>2]|0;if((D|0)!=(n+48|0))tE(D);D=l+36|0;n=f[D>>2]|0;do if(n|0){o=n+12|0;B=f[o>>2]|0;f[o>>2]=B+-1;if((B|0)!=1)break;lP(l)}while(0);f[D>>2]=0;D=l+4|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;if((f[D>>2]|0)>0){a=f[c>>2]|0;c=0;do{f[a+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[D>>2]|0))}D=f[l+44>>2]|0;if((D|0)!=(A|0))tE(D);if(!(f[j+4>>2]|0)){u=i;return}u=i;return}function W7(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;k=u;u=u+144|0;l=k+120|0;m=k;n=k+64|0;o=k+8|0;f[a>>2]=54568;q=a+4|0;f[q>>2]=c;f[a+8>>2]=c;c=a+12|0;f[c>>2]=d;f[a+16>>2]=e;f[a+20>>2]=g;f[a+24>>2]=h;f[a+28>>2]=i;b[a+32>>0]=j&1;QR(a+44|0);j=f[q>>2]|0;i=(f[j+8>>2]|0)+2|0;h=(f[j+12>>2]|0)+2|0;j=d+4|0;if(!(((((f[j>>2]|0)<3?(f[d+8>>2]|0)==(i|0):0)?(f[d+12>>2]|0)==(h|0):0)?(f[d>>2]&4095|0)==0:0)?(f[d+16>>2]|0)!=0:0)){f[l>>2]=i;f[l+4>>2]=h;iP(d,2,l,0)}h=f[c>>2]|0;if((h|0)==(d|0))r=d;else{i=d+36|0;g=f[i>>2]|0;if(g|0){e=g+12|0;f[e>>2]=(f[e>>2]|0)+1}e=h+36|0;g=f[e>>2]|0;if(g|0?(s=g+12|0,g=f[s>>2]|0,f[s>>2]=g+-1,(g|0)==1):0)lP(h);f[e>>2]=0;g=h+16|0;s=h+4|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[s>>2]|0)>0){t=f[h+40>>2]|0;v=0;do{f[t+(v<<2)>>2]=0;v=v+1|0;w=f[s>>2]|0}while((v|0)<(w|0));f[h>>2]=f[d>>2];if((w|0)<3)x=18;else x=20}else{f[h>>2]=f[d>>2];x=18}if((x|0)==18){w=f[j>>2]|0;if((w|0)<3){f[s>>2]=w;f[h+8>>2]=f[d+8>>2];f[h+12>>2]=f[d+12>>2];w=f[d+44>>2]|0;s=f[h+44>>2]|0;f[s>>2]=f[w>>2];f[s+4>>2]=f[w+4>>2]}else x=20}if((x|0)==20)kP(h,d);f[g>>2]=f[d+16>>2];f[h+20>>2]=f[d+20>>2];f[h+24>>2]=f[d+24>>2];f[h+28>>2]=f[d+28>>2];f[h+32>>2]=f[d+32>>2];f[e>>2]=f[i>>2];r=f[c>>2]|0}f[l>>2]=0;f[l+4>>2]=1;f[m>>2]=-2147483648;f[m+4>>2]=2147483647;mP(n,r,l,m);p[m>>3]=1.0;f[l>>2]=-1056833530;f[l+4>>2]=m;f[l+8>>2]=1;f[l+12>>2]=1;oT(n,l,rE()|0)|0;r=n+36|0;i=f[r>>2]|0;if(i|0?(e=i+12|0,i=f[e>>2]|0,f[e>>2]=i+-1,(i|0)==1):0)lP(n);f[r>>2]=0;r=n+16|0;i=n+4|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[i>>2]|0)>0){r=f[n+40>>2]|0;e=0;do{f[r+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[i>>2]|0))}i=f[n+44>>2]|0;if((i|0)!=(n+48|0))tE(i);i=f[c>>2]|0;n=f[(f[q>>2]|0)+8>>2]|0;f[l>>2]=n+1;f[l+4>>2]=n+2;f[m>>2]=-2147483648;f[m+4>>2]=2147483647;mP(o,i,l,m);p[m>>3]=1.0;f[l>>2]=-1056833530;f[l+4>>2]=m;f[l+8>>2]=1;f[l+12>>2]=1;oT(o,l,rE()|0)|0;l=o+36|0;m=f[l>>2]|0;if(m|0?(i=m+12|0,m=f[i>>2]|0,f[i>>2]=m+-1,(m|0)==1):0)lP(o);f[l>>2]=0;l=o+16|0;m=o+4|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[m>>2]|0)>0){l=f[o+40>>2]|0;i=0;do{f[l+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[m>>2]|0))}m=f[o+44>>2]|0;if((m|0)==(o+48|0)){y=f[c>>2]|0;z=y+12|0;A=f[z>>2]|0;B=a+36|0;f[B>>2]=A;C=a+33|0;b[C>>0]=1;D=f[q>>2]|0;E=f[D>>2]|0;F=E>>>3;G=F&511;H=G+1|0;I=a+40|0;f[I>>2]=H;u=k;return}tE(m);y=f[c>>2]|0;z=y+12|0;A=f[z>>2]|0;B=a+36|0;f[B>>2]=A;C=a+33|0;b[C>>0]=1;D=f[q>>2]|0;E=f[D>>2]|0;F=E>>>3;G=F&511;H=G+1|0;I=a+40|0;f[I>>2]=H;u=k;return}function X7(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;b=u;u=u+32|0;c=b;d=a+16|0;e=f[d>>2]|0;if(e>>>0>1023){f[d>>2]=e+-1024;e=a+4|0;d=f[e>>2]|0;g=f[d>>2]|0;h=d+4|0;f[e>>2]=h;d=a+8|0;i=f[d>>2]|0;j=a+12|0;k=f[j>>2]|0;l=k;m=i;do if((i|0)==(k|0)){n=f[a>>2]|0;o=n;if(h>>>0>n>>>0){p=h;q=((p-o>>2)+1|0)/-2|0;r=h+(q<<2)|0;s=m-p|0;p=s>>2;if(!p)t=h;else{Mrc(r|0,h|0,s|0)|0;t=f[e>>2]|0}s=r+(p<<2)|0;f[d>>2]=s;f[e>>2]=t+(q<<2);v=s;break}s=l-o>>1;o=(s|0)==0?1:s;if(o>>>0>1073741823){s=ye(8)|0;Jmc(s,511852);f[s>>2]=165276;Gf(s|0,26776,1555)}s=Bmc(o<<2)|0;q=s;p=s+(o>>>2<<2)|0;r=p;w=s+(o<<2)|0;if((h|0)==(i|0)){x=r;y=n}else{n=p;p=r;o=h;do{f[n>>2]=f[o>>2];n=p+4|0;p=n;o=o+4|0}while((o|0)!=(i|0));x=p;y=f[a>>2]|0}f[a>>2]=q;f[e>>2]=r;f[d>>2]=x;f[j>>2]=w;if(!y)v=x;else{Emc(y);v=f[d>>2]|0}}else v=i;while(0);f[v>>2]=g;f[d>>2]=(f[d>>2]|0)+4;u=b;return}d=a+8|0;g=f[d>>2]|0;v=a+4|0;i=f[v>>2]|0;y=g-i|0;x=a+12|0;j=f[x>>2]|0;e=f[a>>2]|0;h=j-e|0;l=g;t=j;m=i;k=e;if(y>>>0>=h>>>0){o=h>>1;n=(o|0)==0?1:o;f[c+12>>2]=0;f[c+16>>2]=a+12;if(n>>>0>1073741823){o=ye(8)|0;Jmc(o,511852);f[o>>2]=165276;Gf(o|0,26776,1555)}o=y>>2;s=Bmc(n<<2)|0;f[c>>2]=s;z=s+(o<<2)|0;A=c+8|0;f[A>>2]=z;B=c+4|0;f[B>>2]=z;C=s+(n<<2)|0;D=c+12|0;f[D>>2]=C;E=s;F=Bmc(4096)|0;G=C;C=z;do if((o|0)==(n|0)){if(z>>>0>s>>>0){H=z+((((C-E>>2)+1|0)/-2|0)<<2)|0;f[A>>2]=H;f[B>>2]=H;I=H;break}H=G-E>>1;J=(H|0)==0?1:H;if(J>>>0>1073741823){H=ye(8)|0;Jmc(H,511852);f[H>>2]=165276;Gf(H|0,26776,1555)}else{H=Bmc(J<<2)|0;K=H+(J>>>2<<2)|0;L=K;f[c>>2]=H;f[B>>2]=L;f[A>>2]=L;f[D>>2]=H+(J<<2);Emc(s);I=K;break}}else I=z;while(0);f[I>>2]=F;f[A>>2]=(f[A>>2]|0)+4;F=f[d>>2]|0;while(1){M=f[v>>2]|0;if((F|0)==(M|0))break;I=F+-4|0;a8(c,I);F=I}I=M;M=f[a>>2]|0;f[a>>2]=f[c>>2];f[c>>2]=M;f[v>>2]=f[B>>2];f[B>>2]=I;B=f[d>>2]|0;f[d>>2]=f[A>>2];f[A>>2]=B;z=f[x>>2]|0;f[x>>2]=f[D>>2];f[D>>2]=z;z=B;if((z|0)!=(F|0))f[A>>2]=z+(~((z+-4-I|0)>>>2)<<2);if(M|0)Emc(M);u=b;return}if((j|0)==(g|0)){j=Bmc(4096)|0;f[c>>2]=j;$7(a,c);c=f[v>>2]|0;j=f[c>>2]|0;M=c+4|0;f[v>>2]=M;c=f[d>>2]|0;I=f[x>>2]|0;z=I;A=c;do if((c|0)==(I|0)){F=f[a>>2]|0;B=F;if(M>>>0>F>>>0){D=M;s=((D-B>>2)+1|0)/-2|0;E=M+(s<<2)|0;G=A-D|0;D=G>>2;if(!D)N=M;else{Mrc(E|0,M|0,G|0)|0;N=f[v>>2]|0}G=E+(D<<2)|0;f[d>>2]=G;f[v>>2]=N+(s<<2);O=G;break}G=z-B>>1;B=(G|0)==0?1:G;if(B>>>0>1073741823){G=ye(8)|0;Jmc(G,511852);f[G>>2]=165276;Gf(G|0,26776,1555)}G=Bmc(B<<2)|0;s=G;D=G+(B>>>2<<2)|0;E=D;C=G+(B<<2)|0;if((M|0)==(c|0)){P=E;Q=F}else{F=D;D=E;B=M;do{f[F>>2]=f[B>>2];F=D+4|0;D=F;B=B+4|0}while((B|0)!=(c|0));P=D;Q=f[a>>2]|0}f[a>>2]=s;f[v>>2]=E;f[d>>2]=P;f[x>>2]=C;if(!Q)O=P;else{Emc(Q);O=f[d>>2]|0}}else O=c;while(0);f[O>>2]=j;f[d>>2]=(f[d>>2]|0)+4;u=b;return}else{j=Bmc(4096)|0;O=g;do if((l|0)==(t|0)){if(m>>>0>k>>>0){g=((i-e>>2)+1|0)/-2|0;c=m+(g<<2)|0;Q=y>>2;if(!Q)R=m;else{Mrc(c|0,i|0,y|0)|0;R=f[v>>2]|0}P=c+(Q<<2)|0;f[d>>2]=P;f[v>>2]=R+(g<<2);S=P;break}P=h>>1;g=(P|0)==0?1:P;if(g>>>0>1073741823){P=ye(8)|0;Jmc(P,511852);f[P>>2]=165276;Gf(P|0,26776,1555)}P=Bmc(g<<2)|0;Q=P;c=P+(g>>>2<<2)|0;M=c;z=P+(g<<2)|0;if((m|0)==(l|0)){T=M;U=k}else{g=c;c=M;P=m;do{f[g>>2]=f[P>>2];g=c+4|0;c=g;P=P+4|0}while((P|0)!=(l|0));T=c;U=f[a>>2]|0}f[a>>2]=Q;f[v>>2]=M;f[d>>2]=T;f[x>>2]=z;if(!U)S=T;else{Emc(U);S=f[d>>2]|0}}else S=O;while(0);f[S>>2]=j;f[d>>2]=(f[d>>2]|0)+4;u=b;return}}function Y7(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;b=a+4|0;c=f[b>>2]|0;d=a+16|0;e=f[d>>2]|0;g=c+(e>>>10<<2)|0;h=a+8|0;i=f[h>>2]|0;j=i;k=c;if((i|0)==(c|0)){l=0;m=a+20|0;n=0}else{i=a+20|0;o=(f[i>>2]|0)+e|0;l=(f[c+(o>>>10<<2)>>2]|0)+((o&1023)<<2)|0;m=i;n=(f[g>>2]|0)+((e&1023)<<2)|0}e=g;g=n;a:while(1){n=g;do{i=n;if((i|0)==(l|0))break a;n=i+4|0}while((n-(f[e>>2]|0)|0)!=4096);n=e+4|0;e=n;g=f[n>>2]|0}f[m>>2]=0;m=j-k>>2;if(m>>>0>2){k=c;do{Emc(f[k>>2]|0);k=(f[b>>2]|0)+4|0;f[b>>2]=k;c=(f[h>>2]|0)-k>>2}while(c>>>0>2);p=c}else p=m;switch(p|0){case 1:{q=512;r=13;break}case 2:{q=1024;r=13;break}default:{}}if((r|0)==13)f[d>>2]=q;q=f[b>>2]|0;d=f[h>>2]|0;if((q|0)!=(d|0)){r=q;do{Emc(f[r>>2]|0);r=r+4|0}while((r|0)!=(d|0));d=f[b>>2]|0;b=f[h>>2]|0;if((b|0)!=(d|0))f[h>>2]=b+(~((b+-4-d|0)>>>2)<<2)}d=f[a>>2]|0;if(!d)return;Emc(d);return}function Z7(a){a=a|0;Emc(a);return}function _7(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=f[c>>2]|0;e=c+4|0;c=f[e>>2]|0;if((d|0)>=(c|0))return;g=a+8|0;i=a+4|0;a=d;d=f[g>>2]|0;j=c;while(1){c=(f[d+16>>2]|0)+(Y(f[f[d+44>>2]>>2]|0,a)|0)|0;k=f[i>>2]|0;a=a+1|0;l=(f[k+16>>2]|0)+(Y(f[f[k+44>>2]>>2]|0,a)|0)+1|0;if((f[d+12>>2]|0)>0){k=0;do{b[c+k>>0]=0-((h[l+k>>0]|0)>>>1);k=k+1|0;m=f[g>>2]|0}while((k|0)<(f[m+12>>2]|0));n=f[e>>2]|0;o=m}else{n=j;o=d}if((a|0)>=(n|0))break;else{d=o;j=n}}return}function $7(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=e;do if((d|0)==(e|0)){h=a+8|0;i=f[h>>2]|0;j=a+12|0;k=f[j>>2]|0;l=k;if(i>>>0<k>>>0){k=i;m=((l-k>>2)+1|0)/2|0;n=i+(m<<2)|0;o=k-d|0;k=o>>2;p=n+(0-k<<2)|0;if(!k){q=n;r=i}else{Mrc(p|0,d|0,o|0)|0;q=p;r=f[h>>2]|0}f[c>>2]=q;f[h>>2]=r+(m<<2);s=q;break}m=l-g>>1;l=(m|0)==0?1:m;if(l>>>0>1073741823){m=ye(8)|0;Jmc(m,511852);f[m>>2]=165276;Gf(m|0,26776,1555)}m=Bmc(l<<2)|0;p=m;o=m+((l+3|0)>>>2<<2)|0;n=o;k=m+(l<<2)|0;if((d|0)==(i|0)){t=n;u=d}else{l=o;m=n;v=d;do{f[l>>2]=f[v>>2];l=m+4|0;m=l;v=v+4|0}while((v|0)!=(i|0));t=m;u=f[a>>2]|0}f[a>>2]=p;f[c>>2]=n;f[h>>2]=t;f[j>>2]=k;if(!u)s=o;else{Emc(u);s=f[c>>2]|0}}else s=d;while(0);f[s+-4>>2]=f[b>>2];f[c>>2]=(f[c>>2]|0)+-4;return}function a8(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=e;do if((d|0)==(e|0)){h=a+8|0;i=f[h>>2]|0;j=a+12|0;k=f[j>>2]|0;l=k;if(i>>>0<k>>>0){k=i;m=((l-k>>2)+1|0)/2|0;n=i+(m<<2)|0;o=k-d|0;k=o>>2;p=n+(0-k<<2)|0;if(!k){q=n;r=i}else{Mrc(p|0,d|0,o|0)|0;q=p;r=f[h>>2]|0}f[c>>2]=q;f[h>>2]=r+(m<<2);s=q;break}m=l-g>>1;l=(m|0)==0?1:m;if(l>>>0>1073741823){m=ye(8)|0;Jmc(m,511852);f[m>>2]=165276;Gf(m|0,26776,1555)}m=Bmc(l<<2)|0;p=m;o=m+((l+3|0)>>>2<<2)|0;n=o;k=m+(l<<2)|0;if((d|0)==(i|0)){t=n;u=d}else{l=o;m=n;v=d;do{f[l>>2]=f[v>>2];l=m+4|0;m=l;v=v+4|0}while((v|0)!=(i|0));t=m;u=f[a>>2]|0}f[a>>2]=p;f[c>>2]=n;f[h>>2]=t;f[j>>2]=k;if(!u)s=o;else{Emc(u);s=f[c>>2]|0}}else s=d;while(0);f[s+-4>>2]=f[b>>2];f[c>>2]=(f[c>>2]|0)+-4;return}function b8(a){a=a|0;f[a>>2]=54568;RR(a+44|0);return}function c8(a){a=a|0;f[a>>2]=54568;RR(a+44|0);Emc(a);return}function d8(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0;e=u;u=u+3520|0;g=e+3496|0;h=e+3488|0;i=e+3432|0;j=e+3424|0;k=e+3368|0;l=e+3312|0;m=e+2256|0;n=e+1200|0;o=e+1168|0;p=e+1144|0;q=e+1136|0;r=e+1080|0;s=e+16|0;t=e+8|0;v=e+3304|0;w=e+2248|0;x=e+1192|0;y=e;zT(j,54640);f[k>>2]=1124007936;z=k+4|0;A=k+8|0;B=k+40|0;C=z;D=C+36|0;do{f[C>>2]=0;C=C+4|0}while((C|0)<(D|0));f[B>>2]=A;E=k+48|0;F=k+44|0;f[F>>2]=E;f[E>>2]=0;f[k+52>>2]=0;f[l>>2]=1124007936;G=l+4|0;H=l+8|0;I=l+40|0;C=G;D=C+36|0;do{f[C>>2]=0;C=C+4|0}while((C|0)<(D|0));f[I>>2]=H;C=l+48|0;D=l+44|0;f[D>>2]=C;f[C>>2]=0;f[l+52>>2]=0;J=m+8|0;f[m>>2]=J;K=m+4|0;f[K>>2]=0;L=n+8|0;f[n>>2]=L;M=n+4|0;f[M>>2]=0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;f[o+16>>2]=0;f[o+20>>2]=0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;f[p+16>>2]=0;f[p+20>>2]=0;N=f[c>>2]|0;O=N+-1|0;P=(O|0)>0?O:0;O=a+4|0;Q=c+4|0;R=(f[Q>>2]|0)+1|0;S=f[(f[O>>2]|0)+8>>2]|0;T=(R|0)<(S|0)?R:S;zT(q,54660);if(!(b[a+33>>0]|0)){q=f[O>>2]|0;f[g>>2]=P;f[g+4>>2]=T;f[h>>2]=-2147483648;f[h+4>>2]=2147483647;mP(i,q,g,h);q=i+36|0;S=f[q>>2]|0;if(S|0){R=S+12|0;f[R>>2]=(f[R>>2]|0)+1}R=k+36|0;S=f[R>>2]|0;if(S|0?(U=S+12|0,S=f[U>>2]|0,f[U>>2]=S+-1,(S|0)==1):0)lP(k);f[R>>2]=0;S=k+16|0;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;if((f[z>>2]|0)>0){U=f[B>>2]|0;V=0;do{f[U+(V<<2)>>2]=0;V=V+1|0;W=f[z>>2]|0}while((V|0)<(W|0));f[k>>2]=f[i>>2];if((W|0)<3)X=29;else X=31}else{f[k>>2]=f[i>>2];X=29}if((X|0)==29){W=f[i+4>>2]|0;if((W|0)<3){f[z>>2]=W;f[A>>2]=f[i+8>>2];f[k+12>>2]=f[i+12>>2];A=f[i+44>>2]|0;W=f[F>>2]|0;f[W>>2]=f[A>>2];f[W+4>>2]=f[A+4>>2]}else X=31}if((X|0)==31)kP(k,i);A=i+16|0;f[S>>2]=f[A>>2];f[k+20>>2]=f[i+20>>2];f[k+24>>2]=f[i+24>>2];f[k+28>>2]=f[i+28>>2];f[k+32>>2]=f[i+32>>2];S=f[q>>2]|0;f[R>>2]=S;if(S|0?(R=S+12|0,S=f[R>>2]|0,f[R>>2]=S+-1,(S|0)==1):0)lP(i);f[q>>2]=0;q=i+4|0;f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;f[A+12>>2]=0;if((f[q>>2]|0)>0){A=f[i+40>>2]|0;S=0;do{f[A+(S<<2)>>2]=0;S=S+1|0}while((S|0)<(f[q>>2]|0))}q=f[i+44>>2]|0;if((q|0)!=(i+48|0))tE(q);q=f[a+8>>2]|0;f[g>>2]=P;f[g+4>>2]=T;f[h>>2]=-2147483648;f[h+4>>2]=2147483647;mP(i,q,g,h);q=i+36|0;S=f[q>>2]|0;if(S|0){A=S+12|0;f[A>>2]=(f[A>>2]|0)+1}A=l+36|0;S=f[A>>2]|0;if(S|0?(R=S+12|0,S=f[R>>2]|0,f[R>>2]=S+-1,(S|0)==1):0)lP(l);f[A>>2]=0;S=l+16|0;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;if((f[G>>2]|0)>0){R=f[I>>2]|0;W=0;do{f[R+(W<<2)>>2]=0;W=W+1|0;Z=f[G>>2]|0}while((W|0)<(Z|0));f[l>>2]=f[i>>2];if((Z|0)<3)X=50;else X=52}else{f[l>>2]=f[i>>2];X=50}if((X|0)==50){Z=f[i+4>>2]|0;if((Z|0)<3){f[G>>2]=Z;f[H>>2]=f[i+8>>2];f[l+12>>2]=f[i+12>>2];H=f[i+44>>2]|0;Z=f[D>>2]|0;f[Z>>2]=f[H>>2];f[Z+4>>2]=f[H+4>>2]}else X=52}if((X|0)==52)kP(l,i);H=i+16|0;f[S>>2]=f[H>>2];f[l+20>>2]=f[i+20>>2];f[l+24>>2]=f[i+24>>2];f[l+28>>2]=f[i+28>>2];f[l+32>>2]=f[i+32>>2];S=f[q>>2]|0;f[A>>2]=S;if(S|0?(A=S+12|0,S=f[A>>2]|0,f[A>>2]=S+-1,(S|0)==1):0)lP(i);f[q>>2]=0;q=i+4|0;f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=0;f[H+12>>2]=0;if((f[q>>2]|0)>0){H=f[i+40>>2]|0;S=0;do{f[H+(S<<2)>>2]=0;S=S+1|0}while((S|0)<(f[q>>2]|0))}q=f[i+44>>2]|0;if((q|0)!=(i+48|0))tE(q)}else{q=a+28|0;_=(f[q>>2]|0)==7?.0625:1.0;S=f[O>>2]|0;f[g>>2]=P;f[g+4>>2]=T;f[h>>2]=-2147483648;f[h+4>>2]=2147483647;mP(r,S,g,h);f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=r;S=g+8|0;f[S>>2]=0;f[S+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=k;j2(i,g,3,1,0,f[q>>2]|0,_,0.0,1);S=r+36|0;H=f[S>>2]|0;if(H|0?(A=H+12|0,H=f[A>>2]|0,f[A>>2]=H+-1,(H|0)==1):0)lP(r);f[S>>2]=0;S=r+16|0;H=r+4|0;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;if((f[H>>2]|0)>0){S=f[r+40>>2]|0;A=0;do{f[S+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[H>>2]|0))}H=f[r+44>>2]|0;if((H|0)!=(r+48|0))tE(H);H=f[O>>2]|0;f[g>>2]=P;f[g+4>>2]=T;f[h>>2]=-2147483648;f[h+4>>2]=2147483647;mP(r,H,g,h);f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=r;H=g+8|0;f[H>>2]=0;f[H+4>>2]=0;f[g>>2]=33619968;f[g+4>>2]=l;j2(i,g,3,0,1,f[q>>2]|0,_,0.0,1);q=r+36|0;H=f[q>>2]|0;if(H|0?(A=H+12|0,H=f[A>>2]|0,f[A>>2]=H+-1,(H|0)==1):0)lP(r);f[q>>2]=0;q=r+16|0;H=r+4|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[H>>2]|0)>0){q=f[r+40>>2]|0;A=0;do{f[q+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[H>>2]|0))}H=f[r+44>>2]|0;if((H|0)!=(r+48|0))tE(H)}zT(r,54680);r=a+40|0;H=f[r>>2]|0;if((H|0)>1){A=k+12|0;q=f[A>>2]<<1;if((f[K>>2]|0)>>>0<q>>>0){S=f[m>>2]|0;if((S|0)!=(J|0)){if(S|0)Fmc(S);f[m>>2]=J;f[K>>2]=520}f[K>>2]=q;if(q>>>0>520){S=Dmc(q>>>0>2147483647?-1:q<<1)|0;f[m>>2]=S}}else f[K>>2]=q;q=l+12|0;S=f[q>>2]<<1;if((f[M>>2]|0)>>>0<S>>>0){Z=f[n>>2]|0;if((Z|0)!=(L|0)){if(Z|0)Fmc(Z);f[n>>2]=L;f[M>>2]=520}f[M>>2]=S;if(S>>>0>520){Z=Dmc(S>>>0>2147483647?-1:S<<1)|0;f[n>>2]=Z;$=Z}else $=L}else{f[M>>2]=S;$=f[n>>2]|0}S=f[m>>2]|0;aa=$+(f[q>>2]<<1)|0;ba=S+(f[A>>2]<<1)|0;ca=$;da=S;ea=f[r>>2]|0}else{aa=0;ba=0;ca=0;da=0;ea=H}H=a+36|0;S=f[H>>2]|0;$=Y(S*3|0,ea)|0;A=s+8|0;f[s>>2]=A;q=s+4|0;f[q>>2]=$;if($>>>0>264){Z=Dmc($>>>0>1073741823?-1:$<<2)|0;f[s>>2]=Z;fa=Z}else fa=A;Z=fa+4|0;$=Y(ea,S)|0;ea=Z+($<<2)|0;W=ea+($<<2)|0;$=W+-4|0;if((P|0)==(f[c>>2]|0))Drc($|0,0,S<<2|0)|0;else{f[$>>2]=0;f[W+(f[(f[O>>2]|0)+12>>2]<<2)>>2]=0}f[fa>>2]=0;f[Z+(f[(f[O>>2]|0)+12>>2]<<2)>>2]=0;f[ea+-4>>2]=0;f[ea+(f[(f[O>>2]|0)+12>>2]<<2)>>2]=0;fa=f[Q>>2]|0;if((P|0)>(fa|0)){ga=fa;ha=a+12|0}else{fa=k+16|0;$=l+16|0;S=a+32|0;R=a+12|0;V=a+20|0;U=a+24|0;ia=o+8|0;ja=o+4|0;ka=o+16|0;la=o+20|0;ma=P;na=aa;aa=ba;ba=ca;ca=da;da=W;W=ea;ea=Z;while(1){if((ma|0)<(T|0)){Z=ma-P|0;oa=(f[fa>>2]|0)+(Y(f[f[F>>2]>>2]|0,Z)|0)|0;pa=(f[$>>2]|0)+(Y(f[f[D>>2]>>2]|0,Z)|0)|0;Z=Y(f[r>>2]|0,f[(f[O>>2]|0)+12>>2]|0)|0;qa=(Z|0)>0;if(!(b[S>>0]|0)){if(qa){ra=ea;sa=0;do{ta=d[oa+(sa<<1)>>1]|0;ua=ta<<16>>16;va=d[pa+(sa<<1)>>1]|0;wa=va<<16>>16;f[ra+(sa<<2)>>2]=(va<<16>>16>-1?wa:0-wa|0)+(ta<<16>>16>-1?ua:0-ua|0);sa=sa+1|0}while((sa|0)!=(Z|0))}}else if(qa){sa=ea;ra=0;do{ua=d[oa+(ra<<1)>>1]|0;ta=Y(ua,ua)|0;ua=d[pa+(ra<<1)>>1]|0;wa=(Y(ua,ua)|0)+ta|0;f[sa+(ra<<2)>>2]=wa;ra=ra+1|0}while((ra|0)!=(Z|0))}Z=f[r>>2]|0;if((Z|0)>1){ra=f[(f[O>>2]|0)+12>>2]|0;sa=ea;if((ra|0)>0){qa=ca;wa=ba;ta=0;ua=0;va=Z;while(1){Z=f[sa+(ua<<2)>>2]|0;if((va|0)>1){xa=ua;ya=1;za=Z;while(1){Aa=ya+ua|0;Ba=(f[sa+(Aa<<2)>>2]|0)>(za|0)?Aa:xa;ya=ya+1|0;Aa=f[sa+(Ba<<2)>>2]|0;if((ya|0)>=(va|0)){Ca=Ba;Da=Aa;break}else{xa=Ba;za=Aa}}}else{Ca=ua;Da=Z}f[sa+(ta<<2)>>2]=Da;d[qa+(ta<<1)>>1]=d[oa+(Ca<<1)>>1]|0;d[wa+(ta<<1)>>1]=d[pa+(Ca<<1)>>1]|0;ta=ta+1|0;za=f[r>>2]|0;xa=f[(f[O>>2]|0)+12>>2]|0;if((ta|0)>=(xa|0)){Ea=xa;break}else{ua=za+ua|0;va=za}}}else Ea=ra;f[sa+(Ea<<2)>>2]=0;Fa=ba;Ga=ca;Ha=na;Ia=aa}else{Fa=na;Ga=aa;Ha=ba;Ia=ca}if((ma|0)>(f[c>>2]|0)){Ja=Fa;Ka=Ga;La=Ha;Ma=Ia;X=106}else{Na=Fa;Oa=Ga;Pa=Ha;Qa=Ia}}else{Drc(ea+-4|0,0,f[H>>2]<<2|0)|0;va=(f[r>>2]|0)>1;Ja=va?ba:na;Ka=va?ca:aa;La=va?na:ba;Ma=va?aa:ca;X=106}if((X|0)==106){X=0;va=f[R>>2]|0;ua=(f[va+16>>2]|0)+(Y(f[f[va+44>>2]>>2]|0,ma)|0)|0;va=ua+1|0;b[ua>>0]=1;b[va+(f[(f[O>>2]|0)+12>>2]|0)>>0]=1;if((f[r>>2]|0)==1){ua=ma-P+-1|0;ta=(f[fa>>2]|0)+(Y(f[f[F>>2]>>2]|0,ua)|0)|0;Ra=ta;Sa=(f[$>>2]|0)+(Y(f[f[D>>2]>>2]|0,ua)|0)|0}else{Ra=Ma;Sa=La}if((f[(f[O>>2]|0)+12>>2]|0)>0){ua=da;ta=W;pa=ea;wa=0;do{oa=f[ua+(wa<<2)>>2]|0;do if((oa|0)>(f[V>>2]|0)){qa=d[Ra+(wa<<1)>>1]|0;za=d[Sa+(wa<<1)>>1]|0;xa=qa<<16>>16;ya=qa<<16>>16>-1?xa:0-xa|0;xa=za<<16>>16;Aa=(za<<16>>16>-1?xa:0-xa|0)<<15;if((Aa|0)<(ya*13573|0)){if((oa|0)<=(f[ua+(wa+-1<<2)>>2]|0)){X=135;break}if((oa|0)<(f[ua+(wa+1<<2)>>2]|0)){X=135;break}xa=va+wa|0;if((oa|0)<=(f[U>>2]|0)){b[xa>>0]=0;break}b[xa>>0]=2;Ba=f[ja>>2]|0;Ta=(f[ia>>2]|0)-Ba|0;Ua=f[ka>>2]|0;Va=f[la>>2]|0;if((((Ta|0)==0?0:(Ta<<8)+-1|0)|0)==(Va+Ua|0)){X7(o);Wa=f[ka>>2]|0;Xa=f[la>>2]|0;Ya=f[ja>>2]|0}else{Wa=Ua;Xa=Va;Ya=Ba}Ba=Xa+Wa|0;f[(f[Ya+(Ba>>>10<<2)>>2]|0)+((Ba&1023)<<2)>>2]=xa;f[la>>2]=Xa+1;break}if((Aa|0)>(ya*79109|0)){if((oa|0)<=(f[ta+(wa<<2)>>2]|0)){X=135;break}if((oa|0)<(f[pa+(wa<<2)>>2]|0)){X=135;break}ya=va+wa|0;if((oa|0)<=(f[U>>2]|0)){b[ya>>0]=0;break}b[ya>>0]=2;Aa=f[ja>>2]|0;xa=(f[ia>>2]|0)-Aa|0;Ba=f[ka>>2]|0;Va=f[la>>2]|0;if((((xa|0)==0?0:(xa<<8)+-1|0)|0)==(Va+Ba|0)){X7(o);Za=f[ka>>2]|0;_a=f[la>>2]|0;$a=f[ja>>2]|0}else{Za=Ba;_a=Va;$a=Aa}Aa=_a+Za|0;f[(f[$a+(Aa>>>10<<2)>>2]|0)+((Aa&1023)<<2)>>2]=ya;f[la>>2]=_a+1;break}else{ya=(za^qa)<<16>>16<0?-1:1;if((oa|0)<=(f[ta+(wa-ya<<2)>>2]|0)){X=135;break}if((oa|0)<=(f[pa+(ya+wa<<2)>>2]|0)){X=135;break}ya=va+wa|0;if((oa|0)<=(f[U>>2]|0)){b[ya>>0]=0;break}b[ya>>0]=2;qa=f[ja>>2]|0;za=(f[ia>>2]|0)-qa|0;Aa=f[ka>>2]|0;Va=f[la>>2]|0;if((((za|0)==0?0:(za<<8)+-1|0)|0)==(Va+Aa|0)){X7(o);ab=f[ka>>2]|0;bb=f[la>>2]|0;cb=f[ja>>2]|0}else{ab=Aa;bb=Va;cb=qa}qa=bb+ab|0;f[(f[cb+(qa>>>10<<2)>>2]|0)+((qa&1023)<<2)>>2]=ya;f[la>>2]=bb+1;break}}else X=135;while(0);if((X|0)==135){X=0;b[va+wa>>0]=1}wa=wa+1|0}while((wa|0)<(f[(f[O>>2]|0)+12>>2]|0));Na=Ja;Oa=Ka;Pa=La;Qa=Ma}else{Na=Ja;Oa=Ka;Pa=La;Qa=Ma}}wa=f[Q>>2]|0;if((ma|0)<(wa|0)){va=ea;ma=ma+1|0;na=Na;aa=Oa;ba=Pa;ca=Qa;ea=W;W=da;da=va}else{ga=wa;ha=R;break}}}R=f[ha>>2]|0;ha=f[R+16>>2]|0;if((N|0)<2)db=ha;else db=ha+(Y((f[c>>2]|0)+2|0,f[H>>2]|0)|0)|0;if((T|0)==(f[(f[O>>2]|0)+8>>2]|0))eb=f[R+28>>2]|0;else eb=ha+(Y(f[H>>2]|0,ga)|0)|0;ga=db;ha=eb-ga|0;zT(t,54700);t=o+20|0;eb=f[t>>2]|0;if(!eb)fb=p+20|0;else{R=o+16|0;O=o+4|0;T=o+8|0;c=p+8|0;N=p+4|0;da=p+16|0;W=p+20|0;ea=eb;while(1){eb=f[R>>2]|0;Qa=ea+-1|0;ca=eb+Qa|0;Pa=f[O>>2]|0;ba=f[(f[Pa+(ca>>>10<<2)>>2]|0)+((ca&1023)<<2)>>2]|0;f[t>>2]=Qa;Qa=f[T>>2]|0;ca=Qa-Pa|0;if((1-ea-eb+((ca|0)==0?0:(ca<<8)+-1|0)|0)>>>0>2047){Emc(f[Qa+-4>>2]|0);f[T>>2]=(f[T>>2]|0)+-4}Qa=ba;do if((ba-ga|0)>>>0>=ha>>>0){ca=f[N>>2]|0;eb=(f[c>>2]|0)-ca|0;Pa=f[da>>2]|0;Oa=f[W>>2]|0;if((((eb|0)==0?0:(eb<<8)+-1|0)|0)==(Oa+Pa|0)){X7(p);gb=f[da>>2]|0;hb=f[W>>2]|0;ib=f[N>>2]|0}else{gb=Pa;hb=Oa;ib=ca}ca=hb+gb|0;f[(f[ib+(ca>>>10<<2)>>2]|0)+((ca&1023)<<2)>>2]=ba;f[W>>2]=hb+1;ca=f[H>>2]|0;Oa=Qa>>>0<db>>>0?ca:0-ca|0;ca=Qa+-1|0;if(!(b[ca>>0]|0)){b[ca>>0]=2;Pa=f[O>>2]|0;eb=(f[T>>2]|0)-Pa|0;aa=f[R>>2]|0;Na=f[t>>2]|0;if((((eb|0)==0?0:(eb<<8)+-1|0)|0)==(Na+aa|0)){X7(o);jb=f[R>>2]|0;kb=f[t>>2]|0;lb=f[O>>2]|0}else{jb=aa;kb=Na;lb=Pa}Pa=kb+jb|0;f[(f[lb+(Pa>>>10<<2)>>2]|0)+((Pa&1023)<<2)>>2]=ca;f[t>>2]=kb+1}ca=Qa+1|0;if(!(b[ca>>0]|0)){b[ca>>0]=2;Pa=f[O>>2]|0;Na=(f[T>>2]|0)-Pa|0;aa=f[R>>2]|0;eb=f[t>>2]|0;if((((Na|0)==0?0:(Na<<8)+-1|0)|0)==(eb+aa|0)){X7(o);mb=f[R>>2]|0;nb=f[t>>2]|0;ob=f[O>>2]|0}else{mb=aa;nb=eb;ob=Pa}Pa=nb+mb|0;f[(f[ob+(Pa>>>10<<2)>>2]|0)+((Pa&1023)<<2)>>2]=ca;f[t>>2]=nb+1}ca=Qa+Oa|0;if(!(b[Qa+(Oa+-1)>>0]|0)){Pa=ca+-1|0;b[Pa>>0]=2;eb=f[O>>2]|0;aa=(f[T>>2]|0)-eb|0;Na=f[R>>2]|0;na=f[t>>2]|0;if((((aa|0)==0?0:(aa<<8)+-1|0)|0)==(na+Na|0)){X7(o);pb=f[R>>2]|0;qb=f[t>>2]|0;rb=f[O>>2]|0}else{pb=Na;qb=na;rb=eb}eb=qb+pb|0;f[(f[rb+(eb>>>10<<2)>>2]|0)+((eb&1023)<<2)>>2]=Pa;f[t>>2]=qb+1}if(!(b[ca>>0]|0)){b[ca>>0]=2;Pa=f[O>>2]|0;eb=(f[T>>2]|0)-Pa|0;na=f[R>>2]|0;Na=f[t>>2]|0;if((((eb|0)==0?0:(eb<<8)+-1|0)|0)==(Na+na|0)){X7(o);sb=f[O>>2]|0;tb=f[R>>2]|0;ub=f[t>>2]|0}else{sb=Pa;tb=na;ub=Na}Na=ub+tb|0;f[(f[sb+(Na>>>10<<2)>>2]|0)+((Na&1023)<<2)>>2]=ca;f[t>>2]=ub+1}if(!(b[Qa+(Oa+1)>>0]|0)){ca=Qa+Oa+1|0;b[ca>>0]=2;Oa=f[O>>2]|0;Na=(f[T>>2]|0)-Oa|0;na=f[R>>2]|0;Pa=f[t>>2]|0;if((((Na|0)==0?0:(Na<<8)+-1|0)|0)==(Pa+na|0)){X7(o);vb=f[R>>2]|0;wb=f[t>>2]|0;xb=f[O>>2]|0}else{vb=na;wb=Pa;xb=Oa}Oa=wb+vb|0;f[(f[xb+(Oa>>>10<<2)>>2]|0)+((Oa&1023)<<2)>>2]=ca;ca=wb+1|0;f[t>>2]=ca;yb=ca}else X=202}else{ca=f[H>>2]|0;if(!(b[Qa+~ca>>0]|0)){b[Qa+(0-ca)+-1>>0]=2;Oa=f[H>>2]|0;Pa=f[O>>2]|0;na=(f[T>>2]|0)-Pa|0;Na=f[R>>2]|0;eb=f[t>>2]|0;if((((na|0)==0?0:(na<<8)+-1|0)|0)==(eb+Na|0)){X7(o);zb=f[H>>2]|0;Ab=f[R>>2]|0;Bb=f[t>>2]|0;Cb=f[O>>2]|0}else{zb=Oa;Ab=Na;Bb=eb;Cb=Pa}Pa=Bb+Ab|0;f[(f[Cb+(Pa>>>10<<2)>>2]|0)+((Pa&1023)<<2)>>2]=Qa+(0-Oa)+-1;f[t>>2]=Bb+1;Db=zb}else Db=ca;ca=Qa+(0-Db)|0;if(!(b[ca>>0]|0)){b[ca>>0]=2;ca=f[H>>2]|0;Oa=f[O>>2]|0;Pa=(f[T>>2]|0)-Oa|0;eb=f[R>>2]|0;Na=f[t>>2]|0;if((((Pa|0)==0?0:(Pa<<8)+-1|0)|0)==(Na+eb|0)){X7(o);Eb=f[H>>2]|0;Fb=f[R>>2]|0;Gb=f[t>>2]|0;Hb=f[O>>2]|0}else{Eb=ca;Fb=eb;Gb=Na;Hb=Oa}Oa=Gb+Fb|0;f[(f[Hb+(Oa>>>10<<2)>>2]|0)+((Oa&1023)<<2)>>2]=Qa+(0-ca);f[t>>2]=Gb+1;Ib=Eb}else Ib=Db;if(!(b[Qa+(1-Ib)>>0]|0)){b[Qa+(0-Ib)+1>>0]=2;ca=Qa+(0-(f[H>>2]|0))+1|0;Oa=f[O>>2]|0;Na=(f[T>>2]|0)-Oa|0;eb=f[R>>2]|0;Pa=f[t>>2]|0;if((((Na|0)==0?0:(Na<<8)+-1|0)|0)==(Pa+eb|0)){X7(o);Jb=f[R>>2]|0;Kb=f[t>>2]|0;Lb=f[O>>2]|0}else{Jb=eb;Kb=Pa;Lb=Oa}Oa=Kb+Jb|0;f[(f[Lb+(Oa>>>10<<2)>>2]|0)+((Oa&1023)<<2)>>2]=ca;f[t>>2]=Kb+1}ca=Qa+-1|0;if(!(b[ca>>0]|0)){b[ca>>0]=2;Oa=f[O>>2]|0;Pa=(f[T>>2]|0)-Oa|0;eb=f[R>>2]|0;Na=f[t>>2]|0;if((((Pa|0)==0?0:(Pa<<8)+-1|0)|0)==(Na+eb|0)){X7(o);Mb=f[R>>2]|0;Nb=f[t>>2]|0;Ob=f[O>>2]|0}else{Mb=eb;Nb=Na;Ob=Oa}Oa=Nb+Mb|0;f[(f[Ob+(Oa>>>10<<2)>>2]|0)+((Oa&1023)<<2)>>2]=ca;f[t>>2]=Nb+1}ca=Qa+1|0;if(!(b[ca>>0]|0)){b[ca>>0]=2;Oa=f[O>>2]|0;Na=(f[T>>2]|0)-Oa|0;eb=f[R>>2]|0;Pa=f[t>>2]|0;if((((Na|0)==0?0:(Na<<8)+-1|0)|0)==(Pa+eb|0)){X7(o);Pb=f[R>>2]|0;Qb=f[t>>2]|0;Rb=f[O>>2]|0}else{Pb=eb;Qb=Pa;Rb=Oa}Oa=Qb+Pb|0;f[(f[Rb+(Oa>>>10<<2)>>2]|0)+((Oa&1023)<<2)>>2]=ca;f[t>>2]=Qb+1}ca=f[H>>2]|0;if(!(b[Qa+(ca+-1)>>0]|0)){b[Qa+ca+-1>>0]=2;Oa=f[H>>2]|0;Pa=f[O>>2]|0;eb=(f[T>>2]|0)-Pa|0;Na=f[R>>2]|0;na=f[t>>2]|0;if((((eb|0)==0?0:(eb<<8)+-1|0)|0)==(na+Na|0)){X7(o);Sb=f[H>>2]|0;Tb=f[R>>2]|0;Ub=f[t>>2]|0;Vb=f[O>>2]|0}else{Sb=Oa;Tb=Na;Ub=na;Vb=Pa}Pa=Ub+Tb|0;f[(f[Vb+(Pa>>>10<<2)>>2]|0)+((Pa&1023)<<2)>>2]=Qa+Oa+-1;f[t>>2]=Ub+1;Wb=Sb}else Wb=ca;ca=Qa+Wb|0;if(!(b[ca>>0]|0)){b[ca>>0]=2;ca=f[H>>2]|0;Oa=f[O>>2]|0;Pa=(f[T>>2]|0)-Oa|0;na=f[R>>2]|0;Na=f[t>>2]|0;if((((Pa|0)==0?0:(Pa<<8)+-1|0)|0)==(Na+na|0)){X7(o);Xb=f[H>>2]|0;Yb=f[R>>2]|0;Zb=f[t>>2]|0;_b=f[O>>2]|0}else{Xb=ca;Yb=na;Zb=Na;_b=Oa}Oa=Zb+Yb|0;f[(f[_b+(Oa>>>10<<2)>>2]|0)+((Oa&1023)<<2)>>2]=Qa+ca;f[t>>2]=Zb+1;$b=Xb}else $b=Wb;if(b[Qa+($b+1)>>0]|0){X=202;break}b[Qa+$b+1>>0]=2;ca=Qa+(f[H>>2]|0)+1|0;Oa=f[O>>2]|0;Na=(f[T>>2]|0)-Oa|0;na=f[R>>2]|0;Pa=f[t>>2]|0;if((((Na|0)==0?0:(Na<<8)+-1|0)|0)==(Pa+na|0)){X7(o);ac=f[R>>2]|0;bc=f[t>>2]|0;cc=f[O>>2]|0}else{ac=na;bc=Pa;cc=Oa}Oa=bc+ac|0;f[(f[cc+(Oa>>>10<<2)>>2]|0)+((Oa&1023)<<2)>>2]=ca;ca=bc+1|0;f[t>>2]=ca;yb=ca}while(0);if((X|0)==202){X=0;yb=f[t>>2]|0}if(!yb){fb=W;break}else ea=yb}}if(f[fb>>2]|0){yb=a+44|0;SR(yb);ea=f[a+16>>2]|0;a=(f[ea+16>>2]|0)+(f[ea+20>>2]|0)|0;W=f[ea+4>>2]|0;t=W+(a>>>10<<2)|0;if((f[ea+8>>2]|0)==(W|0))dc=0;else dc=(f[t>>2]|0)+((a&1023)<<2)|0;f[v>>2]=t;f[v+4>>2]=dc;dc=f[p+4>>2]|0;t=f[p+16>>2]|0;a=dc+(t>>>10<<2)|0;W=(f[p+8>>2]|0)==(dc|0);if(W)ec=0;else ec=(f[a>>2]|0)+((t&1023)<<2)|0;f[w>>2]=a;f[w+4>>2]=ec;ec=t+(f[fb>>2]|0)|0;fb=dc+(ec>>>10<<2)|0;if(W)fc=0;else fc=(f[fb>>2]|0)+((ec&1023)<<2)|0;f[x>>2]=fb;f[x+4>>2]=fc;f[i>>2]=f[v>>2];f[i+4>>2]=f[v+4>>2];f[h>>2]=f[w>>2];f[h+4>>2]=f[w+4>>2];f[g>>2]=f[x>>2];f[g+4>>2]=f[x+4>>2];e8(y,ea,i,h,g,0);TR(yb)}yb=f[s>>2]|0;if((yb|0)!=(A|0)){if(yb|0)Fmc(yb);f[s>>2]=A;f[q>>2]=264}Y7(p);Y7(o);o=f[n>>2]|0;if((o|0)!=(L|0)){if(o|0)Fmc(o);f[n>>2]=L;f[M>>2]=520}M=f[m>>2]|0;if((M|0)!=(J|0)){if(M|0)Fmc(M);f[m>>2]=J;f[K>>2]=520}K=l+36|0;J=f[K>>2]|0;if(J|0?(m=J+12|0,J=f[m>>2]|0,f[m>>2]=J+-1,(J|0)==1):0)lP(l);f[K>>2]=0;K=l+16|0;f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=0;f[K+12>>2]=0;if((f[G>>2]|0)>0){K=f[I>>2]|0;I=0;do{f[K+(I<<2)>>2]=0;I=I+1|0}while((I|0)<(f[G>>2]|0))}G=f[D>>2]|0;if((G|0)!=(C|0))tE(G);G=k+36|0;C=f[G>>2]|0;do if(C|0){D=C+12|0;I=f[D>>2]|0;f[D>>2]=I+-1;if((I|0)!=1)break;lP(k)}while(0);f[G>>2]=0;G=k+16|0;f[G>>2]=0;f[G+4>>2]=0;f[G+8>>2]=0;f[G+12>>2]=0;if((f[z>>2]|0)>0){G=f[B>>2]|0;B=0;do{f[G+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[z>>2]|0))}z=f[F>>2]|0;if((z|0)!=(E|0))tE(z);if(!(f[j+4>>2]|0)){u=e;return}u=e;return}function e8(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0;g=u;u=u+128|0;h=g+120|0;i=g+112|0;j=g+104|0;k=g+24|0;l=g+96|0;m=g+88|0;n=g+80|0;o=g+72|0;p=g+64|0;q=g+56|0;r=g+48|0;s=g+40|0;t=g+32|0;v=g+16|0;w=g+8|0;x=g;y=d;z=f[y>>2]|0;A=f[y+4>>2]|0;y=e;B=f[y>>2]|0;C=f[y+4>>2]|0;if((C|0)==(A|0))D=0;else D=(C-(f[B>>2]|0)>>2)+(B-z<<8)-(A-(f[z>>2]|0)>>2)|0;y=b+4|0;E=f[y>>2]|0;F=b+16|0;G=f[F>>2]|0;H=E+(G>>>10<<2)|0;I=b+8|0;J=f[I>>2]|0;K=J;L=E;if((J|0)==(E|0))M=0;else M=(f[H>>2]|0)+((G&1023)<<2)|0;N=f[c+4>>2]|0;if((N|0)==(M|0))O=0;else{P=f[c>>2]|0;O=(N-(f[P>>2]|0)>>2)+(P-H<<8)-(M-(f[H>>2]|0)>>2)|0}H=b+20|0;M=f[H>>2]|0;if(O>>>0<(M-O|0)>>>0){if(D>>>0>G>>>0){f8(b,D-G|0);Q=f[F>>2]|0;R=f[y>>2]|0;S=f[I>>2]|0}else{Q=G;R=E;S=J}P=R+(Q>>>10<<2)|0;if((S|0)==(R|0))T=0;else T=(f[P>>2]|0)+((Q&1023)<<2)|0;R=P;S=T;if(D>>>0>O>>>0){if(O>>>0<D>>>1>>>0)if(!O){U=B;V=C}else{N=B;c=(C-(f[B>>2]|0)>>2)-O|0;if((c|0)>0){W=N+(c>>>10<<2)|0;X=(f[W>>2]|0)+((c&1023)<<2)|0;Y=W}else{W=1023-c|0;c=N+(((W|0)/-1024|0)<<2)|0;X=(f[c>>2]|0)+(1023-((W|0)%1024|0)<<2)|0;Y=c}U=Y;V=X}else{X=D-O|0;if(!X){U=z;V=A}else{Y=z;c=(A-(f[z>>2]|0)>>2)+X|0;if((c|0)>0){X=Y+(c>>>10<<2)|0;Z=(f[X>>2]|0)+((c&1023)<<2)|0;_=X}else{X=1023-c|0;c=Y+(((X|0)/-1024|0)<<2)|0;Z=(f[c>>2]|0)+(1023-((X|0)%1024|0)<<2)|0;_=c}U=_;V=Z}}Z=V;_=d+4|0;if((Z|0)==(f[_>>2]|0)){$=O;aa=Q;ba=R;ca=S;da=U;ea=V}else{c=U;X=R;Y=S;W=Z;Z=Q;N=f[H>>2]|0;while(1){fa=Y;ga=X;if((fa|0)==(f[ga>>2]|0)){ha=ga+-4|0;ia=ha;ja=(f[ha>>2]|0)+4096|0}else{ia=X;ja=fa}fa=ja+-4|0;Y=fa;ha=c;if((W|0)==(f[ha>>2]|0)){ga=ha+-4|0;ka=ga;la=(f[ga>>2]|0)+4096|0}else{ka=c;la=W}W=la+-4|0;f[fa>>2]=f[W>>2];Z=Z+-1|0;N=N+1|0;if((W|0)==(f[_>>2]|0))break;else{c=ka;X=ia}}f[F>>2]=Z;f[H>>2]=N;$=O;aa=Z;ba=ia;ca=Y;da=U;ea=V}}else{$=D;aa=Q;ba=R;ca=S;da=z;ea=A}if($|0){Q=(S-(f[P>>2]|0)>>2)+$|0;if((Q|0)>0){V=P+(Q>>>10<<2)|0;ma=(f[V>>2]|0)+((Q&1023)<<2)|0;na=V}else{V=1023-Q|0;Q=P+(((V|0)/-1024|0)<<2)|0;ma=(f[Q>>2]|0)+(1023-((V|0)%1024|0)<<2)|0;na=Q}Q=na;na=ma;if((ma|0)!=(T|0)){V=Q;U=ba;ba=ca;ca=ma;ma=aa;aa=f[H>>2]|0;while(1){Y=ba;ia=U;if((Y|0)==(f[ia>>2]|0)){Z=ia+-4|0;oa=Z;pa=(f[Z>>2]|0)+4096|0}else{oa=U;pa=Y}ba=pa+-4|0;Y=V;if((ca|0)==(f[Y>>2]|0)){Z=Y+-4|0;qa=Z;ra=(f[Z>>2]|0)+4096|0}else{qa=V;ra=ca}ca=ra+-4|0;f[ba>>2]=f[ca>>2];ma=ma+-1|0;aa=aa+1|0;if((ca|0)==(T|0))break;else{V=qa;U=oa}}f[F>>2]=ma;f[H>>2]=aa}if($>>>0<O>>>0){f[l>>2]=Q;f[l+4>>2]=na;na=m;f[na>>2]=R;f[na+4>>2]=S;na=(S-(f[P>>2]|0)>>2)+O|0;if((na|0)>0){Q=P+(na>>>10<<2)|0;f[m>>2]=Q;sa=(f[Q>>2]|0)+((na&1023)<<2)|0}else{Q=1023-na|0;na=P+(((Q|0)/-1024|0)<<2)|0;f[m>>2]=na;sa=(f[na>>2]|0)+(1023-((Q|0)%1024|0)<<2)|0}f[m+4>>2]=sa;f[n>>2]=R;f[n+4>>2]=S;f[j>>2]=f[l>>2];f[j+4>>2]=f[l+4>>2];f[i>>2]=f[m>>2];f[i+4>>2]=f[m+4>>2];f[h>>2]=f[n>>2];f[h+4>>2]=f[n+4>>2];g8(k,j,i,h);ta=f[k>>2]|0;ua=f[k+4>>2]|0}else{ta=R;ua=S}S=o;f[S>>2]=da;f[S+4>>2]=ea;ea=e;S=f[ea+4>>2]|0;da=p;f[da>>2]=f[ea>>2];f[da+4>>2]=S;f[q>>2]=ta;f[q+4>>2]=ua;f[j>>2]=f[o>>2];f[j+4>>2]=f[o+4>>2];f[i>>2]=f[p>>2];f[i+4>>2]=f[p+4>>2];f[h>>2]=f[q>>2];f[h+4>>2]=f[q+4>>2];h8(k,j,i,h)}}else{q=K-L|0;L=((q|0)==0?0:(q<<8)+-1|0)-(M+G)|0;if(D>>>0>L>>>0){i8(b,D-L|0);va=f[H>>2]|0;wa=f[F>>2]|0;xa=f[y>>2]|0;ya=f[I>>2]|0}else{va=M;wa=G;xa=E;ya=J}J=wa+va|0;wa=xa+(J>>>10<<2)|0;if((ya|0)==(xa|0))za=0;else za=(f[wa>>2]|0)+((J&1023)<<2)|0;J=wa;xa=za;ya=va-O|0;if(D>>>0>ya>>>0){if(ya>>>0<D>>>1>>>0)if(!ya){Aa=z;Ba=A}else{E=z;G=(A-(f[z>>2]|0)>>2)+ya|0;if((G|0)>0){z=E+(G>>>10<<2)|0;Ca=(f[z>>2]|0)+((G&1023)<<2)|0;Da=z}else{z=1023-G|0;G=E+(((z|0)/-1024|0)<<2)|0;Ca=(f[G>>2]|0)+(1023-((z|0)%1024|0)<<2)|0;Da=G}Aa=Da;Ba=Ca}else{Ca=D-ya|0;if(!Ca){Aa=B;Ba=C}else{Da=B;G=(C-(f[B>>2]|0)>>2)-Ca|0;if((G|0)>0){Ca=Da+(G>>>10<<2)|0;Ea=(f[Ca>>2]|0)+((G&1023)<<2)|0;Fa=Ca}else{Ca=1023-G|0;G=Da+(((Ca|0)/-1024|0)<<2)|0;Ea=(f[G>>2]|0)+(1023-((Ca|0)%1024|0)<<2)|0;Fa=G}Aa=Fa;Ba=Ea}}Ea=Ba;Fa=e+4|0;if((Ea|0)==(f[Fa>>2]|0)){Ga=ya;Ha=va;Ia=J;Ja=xa;Ka=Aa;La=Ba}else{e=Aa;G=J;Ca=Ba;Da=xa;z=Ea;Ea=va;while(1){f[Da>>2]=f[Ca>>2];E=Da+4|0;if((E-(f[G>>2]|0)|0)==4096){A=G+4|0;Ma=A;Na=f[A>>2]|0}else{Ma=G;Na=E}E=z+4|0;if((E-(f[e>>2]|0)|0)==4096){A=e+4|0;Oa=A;Pa=f[A>>2]|0}else{Oa=e;Pa=E}Ea=Ea+1|0;z=Pa;if((z|0)==(f[Fa>>2]|0))break;else{e=Oa;G=Ma;Ca=Pa;Da=Na}}f[H>>2]=Ea;Ga=ya;Ha=Ea;Ia=Ma;Ja=Na;Ka=Aa;La=Ba}}else{Ga=D;Ha=va;Ia=J;Ja=xa;Ka=B;La=C}if(Ga|0){C=(xa-(f[wa>>2]|0)>>2)-Ga|0;if((C|0)>0){B=wa+(C>>>10<<2)|0;Qa=(f[B>>2]|0)+((C&1023)<<2)|0;Ra=B}else{B=1023-C|0;C=wa+(((B|0)/-1024|0)<<2)|0;Qa=(f[C>>2]|0)+(1023-((B|0)%1024|0)<<2)|0;Ra=C}C=Ra;Ra=Qa;if((Qa|0)!=(za|0)){B=C;va=Ia;Ia=Ra;D=Ja;Ja=Qa;Qa=Ha;while(1){f[D>>2]=f[Ia>>2];Ha=D+4|0;if((Ha-(f[va>>2]|0)|0)==4096){Ba=va+4|0;Sa=Ba;Ta=f[Ba>>2]|0}else{Sa=va;Ta=Ha}Ha=Ja+4|0;if((Ha-(f[B>>2]|0)|0)==4096){Ba=B+4|0;Ua=Ba;Va=f[Ba>>2]|0}else{Ua=B;Va=Ha}Qa=Qa+1|0;Ja=Va;if((Ja|0)==(za|0))break;else{B=Ua;va=Sa;Ia=Va;D=Ta}}f[H>>2]=Qa}if(Ga>>>0<ya>>>0){Ga=r;f[Ga>>2]=J;f[Ga+4>>2]=xa;Ga=(xa-(f[wa>>2]|0)>>2)-ya|0;if((Ga|0)>0){ya=wa+(Ga>>>10<<2)|0;f[r>>2]=ya;Wa=(f[ya>>2]|0)+((Ga&1023)<<2)|0}else{ya=1023-Ga|0;Ga=wa+(((ya|0)/-1024|0)<<2)|0;f[r>>2]=Ga;Wa=(f[Ga>>2]|0)+(1023-((ya|0)%1024|0)<<2)|0}f[r+4>>2]=Wa;f[s>>2]=C;f[s+4>>2]=Ra;f[t>>2]=J;f[t+4>>2]=xa;f[j>>2]=f[r>>2];f[j+4>>2]=f[r+4>>2];f[i>>2]=f[s>>2];f[i+4>>2]=f[s+4>>2];f[h>>2]=f[t>>2];f[h+4>>2]=f[t+4>>2];j8(k,j,i,h);Xa=f[k>>2]|0;Ya=f[k+4>>2]|0}else{Xa=J;Ya=xa}xa=d;d=f[xa+4>>2]|0;J=v;f[J>>2]=f[xa>>2];f[J+4>>2]=d;d=w;f[d>>2]=Ka;f[d+4>>2]=La;f[x>>2]=Xa;f[x+4>>2]=Ya;f[j>>2]=f[v>>2];f[j+4>>2]=f[v+4>>2];f[i>>2]=f[w>>2];f[i+4>>2]=f[w+4>>2];f[h>>2]=f[x>>2];f[h+4>>2]=f[x+4>>2];k8(k,j,i,h)}}h=f[y>>2]|0;y=f[F>>2]|0;F=h+(y>>>10<<2)|0;if((f[I>>2]|0)==(h|0)){Za=0;_a=0}else{Za=0;_a=(f[F>>2]|0)+((y&1023)<<2)|0}y=a;f[y>>2]=Za|F;f[y+4>>2]=_a;if(!O){u=g;return}y=(_a-(f[F>>2]|0)>>2)+O|0;if((y|0)>0){O=F+(y>>>10<<2)|0;f[a>>2]=O;$a=(f[O>>2]|0)+((y&1023)<<2)|0}else{O=1023-y|0;y=F+(((O|0)/-1024|0)<<2)|0;f[a>>2]=y;$a=(f[y>>2]|0)+(1023-((O|0)%1024|0)<<2)|0}f[a+4>>2]=$a;u=g;return}function f8(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0;c=u;u=u+16|0;d=c;e=a+8|0;g=f[e>>2]|0;h=a+4|0;i=f[h>>2]|0;j=(g|0)==(i|0);k=(j&1)+b|0;b=((k&1023|0)!=0&1)+(k>>>10)|0;k=i;i=g-k|0;l=a+16|0;m=f[l>>2]|0;n=(((i|0)==0?0:(i<<8)+-1|0)-((f[a+20>>2]|0)+m)|0)>>>10;o=b>>>0<n>>>0?b:n;n=b-o|0;if(!n){f[l>>2]=(o<<10)+m;if(!o){u=c;return}m=g+-4|0;f[d>>2]=f[m>>2];f[e>>2]=m;$7(a,d);m=o+-1|0;if(!m){u=c;return}else p=m;do{m=(f[e>>2]|0)+-4|0;f[d>>2]=f[m>>2];f[e>>2]=m;$7(a,d);p=p+-1|0}while((p|0)!=0);u=c;return}p=a+12|0;m=f[a>>2]|0;q=(f[p>>2]|0)-m|0;r=i>>2;if(n>>>0<=((q>>2)-r|0)>>>0){do if((k|0)!=(m|0)){i=n;while(1){s=Bmc(4096)|0;f[d>>2]=s;$7(a,d);i=i+-1|0;t=f[e>>2]|0;s=f[h>>2]|0;v=(f[l>>2]|0)+1024+(((t-s|0)==4)<<31>>31)|0;f[l>>2]=v;if(!i){w=25;break}if((s|0)==(f[a>>2]|0)){w=7;break}}if((w|0)==7){x=i;y=t;w=8;break}else if((w|0)==25){z=o;A=v;B=t;break}}else{x=n;y=g;w=8}while(0);do if((w|0)==8){g=o;t=x;v=y;a:while(1){m=Bmc(4096)|0;k=f[p>>2]|0;s=k;C=v;do if((v|0)==(k|0)){D=f[h>>2]|0;E=f[a>>2]|0;F=E;if(D>>>0>E>>>0){G=D;H=((G-F>>2)+1|0)/-2|0;I=D+(H<<2)|0;J=C-G|0;G=J>>2;if(!G)K=D;else{Mrc(I|0,D|0,J|0)|0;K=f[h>>2]|0}J=I+(G<<2)|0;f[e>>2]=J;f[h>>2]=K+(H<<2);L=J;break}J=s-F>>1;F=(J|0)==0?1:J;if(F>>>0>1073741823){w=17;break a}J=Bmc(F<<2)|0;H=J;G=J+(F>>>2<<2)|0;I=G;M=J+(F<<2)|0;if((D|0)==(v|0)){N=I;O=E}else{E=G;G=I;F=D;do{f[E>>2]=f[F>>2];E=G+4|0;G=E;F=F+4|0}while((F|0)!=(v|0));N=G;O=f[a>>2]|0}f[a>>2]=H;f[h>>2]=I;f[e>>2]=N;f[p>>2]=M;if(!O)L=N;else{Emc(O);L=f[e>>2]|0}}else L=v;while(0);f[L>>2]=m;v=(f[e>>2]|0)+4|0;f[e>>2]=v;t=t+-1|0;g=g+1|0;if(!t){w=24;break}}if((w|0)==17){t=ye(8)|0;Jmc(t,511852);f[t>>2]=165276;Gf(t|0,26776,1555)}else if((w|0)==24){z=g;A=f[l>>2]|0;B=v;break}}while(0);f[l>>2]=A+(z<<10);if(!z){u=c;return}A=B+-4|0;f[d>>2]=f[A>>2];f[e>>2]=A;$7(a,d);A=z+-1|0;if(!A){u=c;return}else P=A;do{A=(f[e>>2]|0)+-4|0;f[d>>2]=f[A>>2];f[e>>2]=A;$7(a,d);P=P+-1|0}while((P|0)!=0);u=c;return}P=(b<<10)+(j<<31>>31)|0;j=q>>1;q=r+n|0;r=j>>>0<q>>>0?q:j;do if(r)if(r>>>0>1073741823){j=ye(8)|0;Jmc(j,511852);f[j>>2]=165276;Gf(j|0,26776,1555)}else{Q=Bmc(r<<2)|0;break}else Q=0;while(0);j=Q;q=n;n=j;b=j;d=j;j=Q+(r<<2)|0;b:while(1){r=Bmc(4096)|0;Q=d;A=d;do if((Q|0)==(j|0)){z=b;if(z>>>0>n>>>0){B=z+((((b-n>>2)+1|0)/-2|0)<<2)|0;L=d-b|0;O=L>>2;if(O|0)Mrc(B|0,b|0,L|0)|0;L=B+(O<<2)|0;R=n;S=B;T=L;U=j;V=L;break}L=j-n>>1;B=(L|0)==0?1:L;if(B>>>0>1073741823){w=41;break b}L=Bmc(B<<2)|0;O=L;N=L+(B>>>2<<2)|0;K=N;y=L+(B<<2)|0;if((z|0)==(Q|0))W=K;else{B=N;N=K;L=z;while(1){f[B>>2]=f[L>>2];B=N+4|0;z=B;L=L+4|0;if((L|0)==(Q|0)){W=z;break}else N=z}}N=W;if(!n){R=O;S=K;T=W;U=y;V=N}else{Emc(n);R=O;S=K;T=W;U=y;V=N}}else{R=n;S=b;T=d;U=j;V=A}while(0);f[V>>2]=r;d=T+4|0;q=q+-1|0;if(!q)break;else{n=R;b=S;j=U}}if((w|0)==41){w=ye(8)|0;Jmc(w,511852);f[w>>2]=165276;Gf(w|0,26776,1555)}w=f[e>>2]|0;c:do if(!o){X=R;Y=S;Z=d;_=U;$=w}else{j=o;b=R;n=S;q=d;T=U;V=w;d:while(1){W=V+-4|0;A=q;Q=q;do if((A|0)==(T|0)){v=n;if(v>>>0>b>>>0){g=v+((((n-b>>2)+1|0)/-2|0)<<2)|0;N=q-n|0;L=N>>2;if(L|0)Mrc(g|0,n|0,N|0)|0;N=g+(L<<2)|0;aa=b;ba=g;ca=N;da=T;ea=N;break}N=T-b>>1;g=(N|0)==0?1:N;if(g>>>0>1073741823)break d;N=Bmc(g<<2)|0;L=N;B=N+(g>>>2<<2)|0;m=B;z=N+(g<<2)|0;if((v|0)==(A|0))fa=m;else{g=B;B=m;N=v;while(1){f[g>>2]=f[N>>2];g=B+4|0;v=g;N=N+4|0;if((N|0)==(A|0)){fa=v;break}else B=v}}B=fa;if(!b){aa=L;ba=m;ca=fa;da=z;ea=B}else{Emc(b);aa=L;ba=m;ca=fa;da=z;ea=B}}else{aa=b;ba=n;ca=q;da=T;ea=Q}while(0);f[ea>>2]=f[W>>2];Q=ca+4|0;A=(f[e>>2]|0)+-4|0;f[e>>2]=A;j=j+-1|0;if(!j){X=aa;Y=ba;Z=Q;_=da;$=A;break c}else{b=aa;n=ba;q=Q;T=da;V=A}}V=ye(8)|0;Jmc(V,511852);f[V>>2]=165276;Gf(V|0,26776,1555)}while(0);da=f[h>>2]|0;e:do if((da|0)==($|0)){ga=X;ha=Y;ia=Z;ja=_}else{ba=da;aa=X;ca=Y;ea=Z;fa=_;f:while(1){w=ea;U=ea;do if((w|0)==(fa|0)){d=ca;if(d>>>0>aa>>>0){S=d+((((ca-aa>>2)+1|0)/-2|0)<<2)|0;R=ea-ca|0;o=R>>2;if(o|0)Mrc(S|0,ca|0,R|0)|0;R=S+(o<<2)|0;ka=aa;la=S;ma=R;na=fa;oa=R;break}R=fa-aa>>1;S=(R|0)==0?1:R;if(S>>>0>1073741823)break f;R=Bmc(S<<2)|0;o=R;V=R+(S>>>2<<2)|0;T=V;q=R+(S<<2)|0;if((d|0)==(w|0))pa=T;else{S=V;V=T;R=d;while(1){f[S>>2]=f[R>>2];S=V+4|0;d=S;R=R+4|0;if((R|0)==(w|0)){pa=d;break}else V=d}}V=pa;if(!aa){ka=o;la=T;ma=pa;na=q;oa=V}else{Emc(aa);ka=o;la=T;ma=pa;na=q;oa=V}}else{ka=aa;la=ca;ma=ea;na=fa;oa=U}while(0);f[oa>>2]=f[ba>>2];U=ma+4|0;ba=ba+4|0;if((ba|0)==(f[e>>2]|0)){ga=ka;ha=la;ia=U;ja=na;break e}else{aa=ka;ca=la;ea=U;fa=na}}fa=ye(8)|0;Jmc(fa,511852);f[fa>>2]=165276;Gf(fa|0,26776,1555)}while(0);na=f[a>>2]|0;f[a>>2]=ga;f[h>>2]=ha;f[e>>2]=ia;f[p>>2]=ja;f[l>>2]=P+(f[l>>2]|0);if(!na){u=c;return}Emc(na);u=c;return}function g8(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;e=f[c+4>>2]|0;g=b+4|0;h=f[g>>2]|0;if((e|0)!=(h|0)?(i=f[c>>2]|0,c=f[b>>2]|0,j=(e-(f[i>>2]|0)>>2)+(i-c<<8)-(h-(f[c>>2]|0)>>2)|0,(j|0)>0):0){c=d;i=j;j=f[c>>2]|0;e=f[c+4>>2]|0;c=h;while(1){h=(f[f[b>>2]>>2]|0)+4096|0;k=h-c>>2;l=(k|0)>(i|0);m=l?c+(i<<2)|0:h;h=l?i:k;if((c|0)==(m|0)){n=j;o=e}else{k=m;l=c;p=e;q=j;r=e;while(1){s=q;t=(f[s>>2]|0)+4096-p>>2;u=l;v=k-u>>2;w=(v|0)>(t|0);x=w?t:v;v=l;l=w?l+(t<<2)|0:m;t=l-u|0;if(t|0)Mrc(p|0,v|0,t|0)|0;if(!x){y=p;z=q;A=r}else{t=(r-(f[q>>2]|0)>>2)+x|0;if((t|0)>0){x=s+(t>>>10<<2)|0;B=(f[x>>2]|0)+((t&1023)<<2)|0;C=x}else{x=1023-t|0;t=s+(((x|0)/-1024|0)<<2)|0;B=(f[t>>2]|0)+(1023-((x|0)%1024|0)<<2)|0;C=t}y=B;z=C;A=B}if((l|0)==(m|0)){n=z;o=A;break}else{p=y;q=z;r=A}}}r=d;f[r>>2]=n;f[r+4>>2]=o;r=i-h|0;if(h|0){q=f[b>>2]|0;p=((f[g>>2]|0)-(f[q>>2]|0)>>2)+h|0;if((p|0)>0){m=q+(p>>>10<<2)|0;f[b>>2]=m;D=(f[m>>2]|0)+((p&1023)<<2)|0}else{m=1023-p|0;p=q+(((m|0)/-1024|0)<<2)|0;f[b>>2]=p;D=(f[p>>2]|0)+(1023-((m|0)%1024|0)<<2)|0}f[g>>2]=D}if((r|0)<=0){E=n;F=o;break}i=r;j=n;e=o;c=f[g>>2]|0}G=a;H=G;f[H>>2]=E;I=G+4|0;J=I;f[J>>2]=F;return}g=d;E=f[g>>2]|0;F=f[g+4>>2]|0;G=a;H=G;f[H>>2]=E;I=G+4|0;J=I;f[J>>2]=F;return}function h8(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;e=f[c+4>>2]|0;g=b+4|0;h=f[g>>2]|0;if((e|0)!=(h|0)?(i=f[c>>2]|0,c=f[b>>2]|0,j=(e-(f[i>>2]|0)>>2)+(i-c<<8)-(h-(f[c>>2]|0)>>2)|0,(j|0)>0):0){c=d;i=j;j=f[c>>2]|0;e=f[c+4>>2]|0;c=h;while(1){h=(f[f[b>>2]>>2]|0)+4096|0;k=h-c>>2;l=(k|0)>(i|0);m=l?c+(i<<2)|0:h;h=l?i:k;if((c|0)==(m|0)){n=j;o=e}else{k=m;l=c;p=e;q=j;r=e;while(1){s=q;t=(f[s>>2]|0)+4096-p>>2;u=l;v=k-u>>2;w=(v|0)>(t|0);x=w?t:v;v=l;l=w?l+(t<<2)|0:m;t=l-u|0;if(t|0)Mrc(p|0,v|0,t|0)|0;if(!x){y=p;z=q;A=r}else{t=(r-(f[q>>2]|0)>>2)+x|0;if((t|0)>0){x=s+(t>>>10<<2)|0;B=(f[x>>2]|0)+((t&1023)<<2)|0;C=x}else{x=1023-t|0;t=s+(((x|0)/-1024|0)<<2)|0;B=(f[t>>2]|0)+(1023-((x|0)%1024|0)<<2)|0;C=t}y=B;z=C;A=B}if((l|0)==(m|0)){n=z;o=A;break}else{p=y;q=z;r=A}}}r=d;f[r>>2]=n;f[r+4>>2]=o;r=i-h|0;if(h|0){q=f[b>>2]|0;p=((f[g>>2]|0)-(f[q>>2]|0)>>2)+h|0;if((p|0)>0){m=q+(p>>>10<<2)|0;f[b>>2]=m;D=(f[m>>2]|0)+((p&1023)<<2)|0}else{m=1023-p|0;p=q+(((m|0)/-1024|0)<<2)|0;f[b>>2]=p;D=(f[p>>2]|0)+(1023-((m|0)%1024|0)<<2)|0}f[g>>2]=D}if((r|0)<=0){E=n;F=o;break}i=r;j=n;e=o;c=f[g>>2]|0}G=a;H=G;f[H>>2]=E;I=G+4|0;J=I;f[J>>2]=F;return}g=d;E=f[g>>2]|0;F=f[g+4>>2]|0;G=a;H=G;f[H>>2]=E;I=G+4|0;J=I;f[J>>2]=F;return}function i8(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0;c=u;u=u+32|0;d=c;e=a+8|0;g=f[e>>2]|0;h=a+4|0;i=f[h>>2]|0;j=((g|0)==(i|0)&1)+b|0;b=((j&1023|0)!=0&1)+(j>>>10)|0;j=a+16|0;k=f[j>>2]|0;l=k>>>10;m=b>>>0<l>>>0?b:l;n=b-m|0;o=g;if(!n){f[j>>2]=k-(m<<10);if(!m){u=c;return}k=a+12|0;p=m;q=i;r=g;a:while(1){s=f[q>>2]|0;t=q+4|0;f[h>>2]=t;v=f[k>>2]|0;w=v;x=r;do if((r|0)==(v|0)){y=f[a>>2]|0;z=y;if(t>>>0>y>>>0){A=t;B=((A-z>>2)+1|0)/-2|0;C=t+(B<<2)|0;D=x-A|0;A=D>>2;if(!A)E=t;else{Mrc(C|0,t|0,D|0)|0;E=f[h>>2]|0}D=C+(A<<2)|0;f[e>>2]=D;f[h>>2]=E+(B<<2);F=D;break}D=w-z>>1;z=(D|0)==0?1:D;if(z>>>0>1073741823){G=10;break a}D=Bmc(z<<2)|0;B=D;A=D+(z>>>2<<2)|0;C=A;H=D+(z<<2)|0;if((t|0)==(r|0)){I=C;J=y}else{y=A;A=C;z=t;do{f[y>>2]=f[z>>2];y=A+4|0;A=y;z=z+4|0}while((z|0)!=(r|0));I=A;J=f[a>>2]|0}f[a>>2]=B;f[h>>2]=C;f[e>>2]=I;f[k>>2]=H;if(!J)F=I;else{Emc(J);F=f[e>>2]|0}}else F=r;while(0);f[F>>2]=s;t=(f[e>>2]|0)+4|0;f[e>>2]=t;w=p+-1|0;if(!w){G=92;break}p=w;q=f[h>>2]|0;r=t}if((G|0)==10){r=ye(8)|0;Jmc(r,511852);f[r>>2]=165276;Gf(r|0,26776,1555)}else if((G|0)==92){u=c;return}}r=a+12|0;q=f[r>>2]|0;p=q-(f[a>>2]|0)|0;F=o-i>>2;if(n>>>0<=((p>>2)-F|0)>>>0){b:do if((q|0)!=(o|0)){i=n;J=q;I=g;c:while(1){k=J;E=Bmc(4096)|0;t=I;do if((I|0)==(k|0)){w=f[h>>2]|0;x=f[a>>2]|0;v=x;if(w>>>0>x>>>0){z=w;y=((z-v>>2)+1|0)/-2|0;D=w+(y<<2)|0;K=t-z|0;z=K>>2;if(!z)L=w;else{Mrc(D|0,w|0,K|0)|0;L=f[h>>2]|0}K=D+(z<<2)|0;f[e>>2]=K;f[h>>2]=L+(y<<2);M=K;break}K=J-v>>1;v=(K|0)==0?1:K;if(v>>>0>1073741823){G=28;break c}K=Bmc(v<<2)|0;y=K;z=K+(v>>>2<<2)|0;D=z;N=K+(v<<2)|0;if((w|0)==(k|0)){O=D;P=x}else{x=z;z=D;v=w;do{f[x>>2]=f[v>>2];x=z+4|0;z=x;v=v+4|0}while((v|0)!=(k|0));O=z;P=f[a>>2]|0}f[a>>2]=y;f[h>>2]=D;f[e>>2]=O;f[r>>2]=N;if(!P)M=O;else{Emc(P);M=f[e>>2]|0}}else M=I;while(0);f[M>>2]=E;I=(f[e>>2]|0)+4|0;f[e>>2]=I;k=i+-1|0;if(!k){G=20;break}J=f[r>>2]|0;if((J|0)==(I|0)){Q=k;G=21;break b}else i=k}if((G|0)==20){R=m;S=f[j>>2]|0;T=I;break}else if((G|0)==28){i=ye(8)|0;Jmc(i,511852);f[i>>2]=165276;Gf(i|0,26776,1555)}}else{Q=n;G=21}while(0);if((G|0)==21){M=~(b>>>0>l>>>0?l:b);b=Q;do{l=Bmc(4096)|0;f[d>>2]=l;$7(a,d);b=b+-1|0;U=f[e>>2]|0;V=(f[j>>2]|0)+1024+(((U-(f[h>>2]|0)|0)==4)<<31>>31)|0;f[j>>2]=V}while((b|0)!=0);R=Q+-1-M|0;S=V;T=U}f[j>>2]=S-(R<<10);if(!R){u=c;return}S=R;R=T;d:while(1){T=f[h>>2]|0;U=f[T>>2]|0;V=T+4|0;f[h>>2]=V;T=f[r>>2]|0;M=T;Q=R;do if((R|0)==(T|0)){b=f[a>>2]|0;l=b;if(V>>>0>b>>>0){P=V;O=((P-l>>2)+1|0)/-2|0;L=V+(O<<2)|0;g=Q-P|0;P=g>>2;if(!P)W=V;else{Mrc(L|0,V|0,g|0)|0;W=f[h>>2]|0}g=L+(P<<2)|0;f[e>>2]=g;f[h>>2]=W+(O<<2);X=g;break}g=M-l>>1;l=(g|0)==0?1:g;if(l>>>0>1073741823){G=46;break d}g=Bmc(l<<2)|0;O=g;P=g+(l>>>2<<2)|0;L=P;q=g+(l<<2)|0;if((V|0)==(R|0)){Y=L;Z=b}else{b=P;P=L;l=V;do{f[b>>2]=f[l>>2];b=P+4|0;P=b;l=l+4|0}while((l|0)!=(R|0));Y=P;Z=f[a>>2]|0}f[a>>2]=O;f[h>>2]=L;f[e>>2]=Y;f[r>>2]=q;if(!Z)X=Y;else{Emc(Z);X=f[e>>2]|0}}else X=R;while(0);f[X>>2]=U;R=(f[e>>2]|0)+4|0;f[e>>2]=R;S=S+-1|0;if(!S){G=92;break}}if((G|0)==46){S=ye(8)|0;Jmc(S,511852);f[S>>2]=165276;Gf(S|0,26776,1555)}else if((G|0)==92){u=c;return}}S=m<<10;R=p>>1;p=F+n|0;X=R>>>0<p>>>0?p:R;R=F-m|0;f[d+12>>2]=0;f[d+16>>2]=a+12;do if(X)if(X>>>0>1073741823){F=ye(8)|0;Jmc(F,511852);f[F>>2]=165276;Gf(F|0,26776,1555)}else{_=Bmc(X<<2)|0;break}else _=0;while(0);f[d>>2]=_;F=_+(R<<2)|0;R=d+8|0;f[R>>2]=F;p=d+4|0;f[p>>2]=F;Z=d+12|0;f[Z>>2]=_+(X<<2);X=n;n=F;e:do{F=Bmc(4096)|0;_=f[Z>>2]|0;Y=_;W=n;do if((n|0)==(_|0)){V=f[p>>2]|0;M=f[d>>2]|0;Q=M;if(V>>>0>M>>>0){T=V;I=V+((((T-Q>>2)+1|0)/-2|0)<<2)|0;l=W-T|0;T=l>>2;if(T|0)Mrc(I|0,V|0,l|0)|0;l=I+(T<<2)|0;f[R>>2]=l;f[p>>2]=I;$=l;break}l=Y-Q>>1;Q=(l|0)==0?1:l;if(Q>>>0>1073741823){G=66;break e}l=Bmc(Q<<2)|0;I=l;T=l+(Q>>>2<<2)|0;b=T;E=l+(Q<<2)|0;if((V|0)==(n|0))aa=b;else{Q=T;T=b;l=V;while(1){f[Q>>2]=f[l>>2];Q=T+4|0;V=Q;l=l+4|0;if((l|0)==(n|0)){aa=V;break}else T=V}}f[d>>2]=I;f[p>>2]=b;f[R>>2]=aa;f[Z>>2]=E;T=aa;if(!M)$=T;else{Emc(M);$=T}}else $=n;while(0);f[$>>2]=F;n=(f[R>>2]|0)+4|0;f[R>>2]=n;X=X+-1|0}while((X|0)!=0);if((G|0)==66){G=ye(8)|0;Jmc(G,511852);f[G>>2]=165276;Gf(G|0,26776,1555)}f:do if(m|0){G=m;X=n;$=f[h>>2]|0;g:while(1){aa=f[Z>>2]|0;Y=aa;W=X;do if((X|0)==(aa|0)){_=f[p>>2]|0;U=f[d>>2]|0;T=U;if(_>>>0>U>>>0){l=_;Q=_+((((l-T>>2)+1|0)/-2|0)<<2)|0;q=W-l|0;l=q>>2;if(l|0)Mrc(Q|0,_|0,q|0)|0;q=Q+(l<<2)|0;f[R>>2]=q;f[p>>2]=Q;ba=q;break}q=Y-T>>1;T=(q|0)==0?1:q;if(T>>>0>1073741823)break g;q=Bmc(T<<2)|0;Q=q;l=q+(T>>>2<<2)|0;L=l;O=q+(T<<2)|0;if((_|0)==(X|0))ca=L;else{T=l;l=L;q=_;while(1){f[T>>2]=f[q>>2];T=l+4|0;_=T;q=q+4|0;if((q|0)==(X|0)){ca=_;break}else l=_}}f[d>>2]=Q;f[p>>2]=L;f[R>>2]=ca;f[Z>>2]=O;l=ca;if(!U)ba=l;else{Emc(U);ba=l}}else ba=X;while(0);f[ba>>2]=f[$>>2];X=(f[R>>2]|0)+4|0;f[R>>2]=X;$=(f[h>>2]|0)+4|0;f[h>>2]=$;G=G+-1|0;if(!G)break f}G=ye(8)|0;Jmc(G,511852);f[G>>2]=165276;Gf(G|0,26776,1555)}while(0);ba=f[e>>2]|0;while(1){da=f[h>>2]|0;if((ba|0)==(da|0))break;ca=ba+-4|0;a8(d,ca);ba=ca}ca=da;da=f[a>>2]|0;f[a>>2]=f[d>>2];f[d>>2]=da;f[h>>2]=f[p>>2];f[p>>2]=ca;p=f[e>>2]|0;f[e>>2]=f[R>>2];f[R>>2]=p;e=f[r>>2]|0;f[r>>2]=f[Z>>2];f[Z>>2]=e;f[j>>2]=(f[j>>2]|0)-S;S=p;if((S|0)!=(ba|0))f[R>>2]=S+(~((S+-4-ca|0)>>>2)<<2);if(da|0)Emc(da);u=c;return}function j8(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;e=c+4|0;g=f[e>>2]|0;h=f[b+4>>2]|0;if((g|0)!=(h|0)?(i=f[c>>2]|0,j=f[b>>2]|0,b=(g-(f[i>>2]|0)>>2)+(i-j<<8)-(h-(f[j>>2]|0)>>2)|0,(b|0)>0):0){j=b;b=f[c>>2]|0;h=g;while(1){if((h|0)==(f[b>>2]|0)){g=b+-4|0;f[c>>2]=g;i=(f[g>>2]|0)+4096|0;f[e>>2]=i;k=i;l=g}else{k=h;l=b}g=k+-4|0;f[e>>2]=g;i=f[l>>2]|0;m=k-i>>2;n=(m|0)>(j|0);o=n?k+(0-j<<2)|0:i;i=n?j:m;m=d;n=f[m>>2]|0;p=f[m+4>>2]|0;m=g;if((k|0)==(o|0)){q=n;r=p}else{s=o;t=k;u=n;n=p;while(1){p=u;v=u;w=n-(f[v>>2]|0)|0;x=w>>2;y=x+-1|0;if((w|0)>4){w=p+(y>>>10<<2)|0;z=(f[w>>2]|0)+((y&1023)<<2)|0;A=w}else{w=1024-x|0;x=p+(((w|0)/-1024|0)<<2)|0;z=(f[x>>2]|0)+(1023-((w|0)%1024|0)<<2)|0;A=x}x=z+4|0;w=x-(f[A>>2]|0)>>2;y=t;B=y-s>>2;C=(B|0)>(w|0);D=C?w:B;t=C?t+(0-w<<2)|0:o;w=y-t|0;y=w>>2;if(y|0)Mrc(x+(0-y<<2)|0,t|0,w|0)|0;if(!D){E=u;F=n}else{w=(n-(f[v>>2]|0)>>2)-D|0;if((w|0)>0){D=p+(w>>>10<<2)|0;G=(f[D>>2]|0)+((w&1023)<<2)|0;H=D}else{D=1023-w|0;w=p+(((D|0)/-1024|0)<<2)|0;G=(f[w>>2]|0)+(1023-((D|0)%1024|0)<<2)|0;H=w}E=H;F=G}if((t|0)==(o|0)){q=E;r=F;break}else{u=E;n=F}}}n=d;f[n>>2]=q;f[n+4>>2]=r;j=j-i|0;n=i+-1|0;if(!n){I=l;J=g}else{u=(m-(f[l>>2]|0)>>2)-n|0;if((u|0)>0){n=l+(u>>>10<<2)|0;f[c>>2]=n;K=(f[n>>2]|0)+((u&1023)<<2)|0;L=n}else{n=1023-u|0;u=l+(((n|0)/-1024|0)<<2)|0;f[c>>2]=u;K=(f[u>>2]|0)+(1023-((n|0)%1024|0)<<2)|0;L=u}f[e>>2]=K;I=L;J=K}if((j|0)<=0){M=q;N=r;break}else{b=I;h=J}}O=a;P=O;f[P>>2]=M;Q=O+4|0;R=Q;f[R>>2]=N;return}J=d;M=f[J>>2]|0;N=f[J+4>>2]|0;O=a;P=O;f[P>>2]=M;Q=O+4|0;R=Q;f[R>>2]=N;return}function k8(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;e=c+4|0;g=f[e>>2]|0;h=f[b+4>>2]|0;if((g|0)!=(h|0)?(i=f[c>>2]|0,j=f[b>>2]|0,b=(g-(f[i>>2]|0)>>2)+(i-j<<8)-(h-(f[j>>2]|0)>>2)|0,(b|0)>0):0){j=b;b=f[c>>2]|0;h=g;while(1){if((h|0)==(f[b>>2]|0)){g=b+-4|0;f[c>>2]=g;i=(f[g>>2]|0)+4096|0;f[e>>2]=i;k=i;l=g}else{k=h;l=b}g=k+-4|0;f[e>>2]=g;i=f[l>>2]|0;m=k-i>>2;n=(m|0)>(j|0);o=n?k+(0-j<<2)|0:i;i=n?j:m;m=d;n=f[m>>2]|0;p=f[m+4>>2]|0;m=g;if((k|0)==(o|0)){q=n;r=p}else{s=o;t=k;u=n;n=p;while(1){p=u;v=u;w=n-(f[v>>2]|0)|0;x=w>>2;y=x+-1|0;if((w|0)>4){w=p+(y>>>10<<2)|0;z=(f[w>>2]|0)+((y&1023)<<2)|0;A=w}else{w=1024-x|0;x=p+(((w|0)/-1024|0)<<2)|0;z=(f[x>>2]|0)+(1023-((w|0)%1024|0)<<2)|0;A=x}x=z+4|0;w=x-(f[A>>2]|0)>>2;y=t;B=y-s>>2;C=(B|0)>(w|0);D=C?w:B;t=C?t+(0-w<<2)|0:o;w=y-t|0;y=w>>2;if(y|0)Mrc(x+(0-y<<2)|0,t|0,w|0)|0;if(!D){E=u;F=n}else{w=(n-(f[v>>2]|0)>>2)-D|0;if((w|0)>0){D=p+(w>>>10<<2)|0;G=(f[D>>2]|0)+((w&1023)<<2)|0;H=D}else{D=1023-w|0;w=p+(((D|0)/-1024|0)<<2)|0;G=(f[w>>2]|0)+(1023-((D|0)%1024|0)<<2)|0;H=w}E=H;F=G}if((t|0)==(o|0)){q=E;r=F;break}else{u=E;n=F}}}n=d;f[n>>2]=q;f[n+4>>2]=r;j=j-i|0;n=i+-1|0;if(!n){I=l;J=g}else{u=(m-(f[l>>2]|0)>>2)-n|0;if((u|0)>0){n=l+(u>>>10<<2)|0;f[c>>2]=n;K=(f[n>>2]|0)+((u&1023)<<2)|0;L=n}else{n=1023-u|0;u=l+(((n|0)/-1024|0)<<2)|0;f[c>>2]=u;K=(f[u>>2]|0)+(1023-((n|0)%1024|0)<<2)|0;L=u}f[e>>2]=K;I=L;J=K}if((j|0)<=0){M=q;N=r;break}else{b=I;h=J}}O=a;P=O;f[P>>2]=M;Q=O+4|0;R=Q;f[R>>2]=N;return}J=d;M=f[J>>2]|0;N=f[J+4>>2]|0;O=a;P=O;f[P>>2]=M;Q=O+4|0;R=Q;f[R>>2]=N;return}function l8(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=+e;g=+g;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0.0,B=0.0,C=0,D=0,E=0.0,F=0.0,G=0.0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0;i=u;u=u+352|0;j=i+344|0;k=i+336|0;l=i+328|0;m=i+272|0;n=i+216|0;o=i+160|0;p=i+136|0;q=i+80|0;r=i+72|0;s=i+24|0;t=i+16|0;v=i;zT(j,54720);if((zD(a,-1)|0)!=2){f[k>>2]=0;f[k+4>>2]=0;w=YG(k,15)|0;x=255562;y=w+15|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,k,255114,255120,1061)}if((oD(a,-1)|0)!=3?(oD(a,-1)|0)!=19:0){f[k>>2]=0;f[k+4>>2]=0;w=YG(k,48)|0;x=255578;y=w+48|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,k,255114,255120,1062)}z=oD(c,-1)|0;if((z|0)!=(oD(a,-1)|0)){f[k>>2]=0;f[k+4>>2]=0;w=YG(k,24)|0;x=255627;y=w+24|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,k,255114,255120,1063)}if(!(yD(a,c)|0)){f[k>>2]=0;f[k+4>>2]=0;w=YG(k,17)|0;x=255652;y=w+17|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,k,255114,255120,1064)}x=e>g;A=x?e:g;B=x?g:e;nD(k,a,-1);f[l>>2]=f[k>>2];f[l+4>>2]=f[k+4>>2];HD(d,l,0,-1,0,0);do if((pD(d)|0)==65536){l=f[d+4>>2]|0;f[m>>2]=f[l>>2];k=m+4|0;x=l+4|0;f[k>>2]=f[x>>2];z=m+8|0;f[z>>2]=f[l+8>>2];f[m+12>>2]=f[l+12>>2];f[m+16>>2]=f[l+16>>2];f[m+20>>2]=f[l+20>>2];f[m+24>>2]=f[l+24>>2];f[m+28>>2]=f[l+28>>2];f[m+32>>2]=f[l+32>>2];C=f[l+36>>2]|0;f[m+36>>2]=C;f[m+40>>2]=z;z=m+48|0;D=m+44|0;f[D>>2]=z;f[z>>2]=0;f[m+52>>2]=0;if(C|0){z=C+12|0;f[z>>2]=(f[z>>2]|0)+1}if((f[x>>2]|0)<3){x=f[l+44>>2]|0;z=f[D>>2]|0;f[z>>2]=f[x>>2];f[z+4>>2]=f[x+4>>2];break}else{f[k>>2]=0;kP(m,l);break}}else lD(m,d,-1);while(0);do if((pD(a)|0)==65536){d=f[a+4>>2]|0;f[n>>2]=f[d>>2];l=n+4|0;k=d+4|0;f[l>>2]=f[k>>2];x=n+8|0;f[x>>2]=f[d+8>>2];f[n+12>>2]=f[d+12>>2];f[n+16>>2]=f[d+16>>2];f[n+20>>2]=f[d+20>>2];f[n+24>>2]=f[d+24>>2];f[n+28>>2]=f[d+28>>2];f[n+32>>2]=f[d+32>>2];z=f[d+36>>2]|0;f[n+36>>2]=z;f[n+40>>2]=x;x=n+48|0;D=n+44|0;f[D>>2]=x;f[x>>2]=0;f[n+52>>2]=0;if(z|0){x=z+12|0;f[x>>2]=(f[x>>2]|0)+1}if((f[k>>2]|0)<3){k=f[d+44>>2]|0;x=f[D>>2]|0;f[x>>2]=f[k>>2];f[x+4>>2]=f[k+4>>2];break}else{f[l>>2]=0;kP(n,d);break}}else lD(n,a,-1);while(0);do if((pD(c)|0)==65536){a=f[c+4>>2]|0;f[o>>2]=f[a>>2];d=o+4|0;l=a+4|0;f[d>>2]=f[l>>2];k=o+8|0;f[k>>2]=f[a+8>>2];f[o+12>>2]=f[a+12>>2];f[o+16>>2]=f[a+16>>2];f[o+20>>2]=f[a+20>>2];f[o+24>>2]=f[a+24>>2];f[o+28>>2]=f[a+28>>2];f[o+32>>2]=f[a+32>>2];x=f[a+36>>2]|0;f[o+36>>2]=x;f[o+40>>2]=k;k=o+48|0;D=o+44|0;f[D>>2]=k;f[k>>2]=0;f[o+52>>2]=0;if(x|0){k=x+12|0;f[k>>2]=(f[k>>2]|0)+1}if((f[l>>2]|0)<3){l=f[a+44>>2]|0;k=f[D>>2]|0;f[k>>2]=f[l>>2];f[k+4>>2]=f[l+4>>2];break}else{f[d>>2]=0;kP(o,a);break}}else lD(o,c,-1);while(0);if(h){e=B<32767.0?B:32767.0;g=A<32767.0?A:32767.0;E=e>0.0?e*e:e;if(g>0.0){F=g*g;G=E}else{F=g;G=E}}else{F=A;G=B}c=~~G;a=c-(+(c|0)>G&1)|0;c=~~F;d=c-(+(c|0)>F&1)|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;f[p+16>>2]=0;f[p+20>>2]=0;f[q>>2]=1124007936;c=q+4|0;l=q+8|0;k=q+40|0;w=c;y=w+36|0;do{f[w>>2]=0;w=w+4|0}while((w|0)<(y|0));f[k>>2]=l;l=q+48|0;w=q+44|0;f[w>>2]=l;f[l>>2]=0;f[q+52>>2]=0;y=pU()|0;D=qU()|0;x=(D|0)<(y|0)?D:y;y=(x|0)>1?x:1;x=n+8|0;D=f[x>>2]|0;if(((D|0)/(y|0)|0|0)<3){z=(D|0)/3|0;H=(z|0)>1?z:1}else H=y;f[r>>2]=0;f[r+4>>2]=D;m8(s,n,o,q,p,a,d,h);oU(r,s,+(H|0));f[s>>2]=54568;RR(s+44|0);zT(r,54740);r=f[q+12>>2]|0;H=p+20|0;h=f[H>>2]|0;if(h|0){d=p+16|0;a=p+4|0;D=p+8|0;y=0-r|0;z=~r;C=1-r|0;I=r+-1|0;J=r+1|0;K=h;while(1){h=f[d>>2]|0;L=K+-1|0;M=h+L|0;N=f[a>>2]|0;O=f[(f[N+(M>>>10<<2)>>2]|0)+((M&1023)<<2)>>2]|0;f[H>>2]=L;L=f[D>>2]|0;M=L-N|0;if((1-K-h+((M|0)==0?0:(M<<8)+-1|0)|0)>>>0>2047){Emc(f[L+-4>>2]|0);f[D>>2]=(f[D>>2]|0)+-4}L=O+y|0;if(!(b[O+z>>0]|0)){M=L+-1|0;b[M>>0]=2;h=f[a>>2]|0;N=(f[D>>2]|0)-h|0;P=f[d>>2]|0;Q=f[H>>2]|0;if((((N|0)==0?0:(N<<8)+-1|0)|0)==(Q+P|0)){X7(p);R=f[d>>2]|0;S=f[H>>2]|0;T=f[a>>2]|0}else{R=P;S=Q;T=h}h=S+R|0;f[(f[T+(h>>>10<<2)>>2]|0)+((h&1023)<<2)>>2]=M;f[H>>2]=S+1}if(!(b[L>>0]|0)){b[L>>0]=2;M=f[a>>2]|0;h=(f[D>>2]|0)-M|0;Q=f[d>>2]|0;P=f[H>>2]|0;if((((h|0)==0?0:(h<<8)+-1|0)|0)==(P+Q|0)){X7(p);U=f[d>>2]|0;V=f[H>>2]|0;W=f[a>>2]|0}else{U=Q;V=P;W=M}M=V+U|0;f[(f[W+(M>>>10<<2)>>2]|0)+((M&1023)<<2)>>2]=L;f[H>>2]=V+1}if(!(b[O+C>>0]|0)){L=O+y+1|0;b[L>>0]=2;M=f[a>>2]|0;P=(f[D>>2]|0)-M|0;Q=f[d>>2]|0;h=f[H>>2]|0;if((((P|0)==0?0:(P<<8)+-1|0)|0)==(h+Q|0)){X7(p);X=f[d>>2]|0;Z=f[H>>2]|0;_=f[a>>2]|0}else{X=Q;Z=h;_=M}M=Z+X|0;f[(f[_+(M>>>10<<2)>>2]|0)+((M&1023)<<2)>>2]=L;f[H>>2]=Z+1}L=O+-1|0;if(!(b[L>>0]|0)){b[L>>0]=2;M=f[a>>2]|0;h=(f[D>>2]|0)-M|0;Q=f[d>>2]|0;P=f[H>>2]|0;if((((h|0)==0?0:(h<<8)+-1|0)|0)==(P+Q|0)){X7(p);$=f[d>>2]|0;aa=f[H>>2]|0;ba=f[a>>2]|0}else{$=Q;aa=P;ba=M}M=aa+$|0;f[(f[ba+(M>>>10<<2)>>2]|0)+((M&1023)<<2)>>2]=L;f[H>>2]=aa+1}L=O+1|0;if(!(b[L>>0]|0)){b[L>>0]=2;M=f[a>>2]|0;P=(f[D>>2]|0)-M|0;Q=f[d>>2]|0;h=f[H>>2]|0;if((((P|0)==0?0:(P<<8)+-1|0)|0)==(h+Q|0)){X7(p);ca=f[d>>2]|0;da=f[H>>2]|0;ea=f[a>>2]|0}else{ca=Q;da=h;ea=M}M=da+ca|0;f[(f[ea+(M>>>10<<2)>>2]|0)+((M&1023)<<2)>>2]=L;f[H>>2]=da+1}L=O+r|0;if(!(b[O+I>>0]|0)){M=L+-1|0;b[M>>0]=2;h=f[a>>2]|0;Q=(f[D>>2]|0)-h|0;P=f[d>>2]|0;N=f[H>>2]|0;if((((Q|0)==0?0:(Q<<8)+-1|0)|0)==(N+P|0)){X7(p);fa=f[d>>2]|0;ga=f[H>>2]|0;ha=f[a>>2]|0}else{fa=P;ga=N;ha=h}h=ga+fa|0;f[(f[ha+(h>>>10<<2)>>2]|0)+((h&1023)<<2)>>2]=M;f[H>>2]=ga+1}if(!(b[L>>0]|0)){b[L>>0]=2;M=f[a>>2]|0;h=(f[D>>2]|0)-M|0;N=f[d>>2]|0;P=f[H>>2]|0;if((((h|0)==0?0:(h<<8)+-1|0)|0)==(P+N|0)){X7(p);ia=f[d>>2]|0;ja=f[H>>2]|0;ka=f[a>>2]|0}else{ia=N;ja=P;ka=M}M=ja+ia|0;f[(f[ka+(M>>>10<<2)>>2]|0)+((M&1023)<<2)>>2]=L;f[H>>2]=ja+1}if(!(b[O+J>>0]|0)){L=O+r+1|0;b[L>>0]=2;O=f[a>>2]|0;M=(f[D>>2]|0)-O|0;P=f[d>>2]|0;N=f[H>>2]|0;if((((M|0)==0?0:(M<<8)+-1|0)|0)==(N+P|0)){X7(p);la=f[d>>2]|0;ma=f[H>>2]|0;na=f[a>>2]|0}else{la=P;ma=N;na=O}O=ma+la|0;f[(f[na+(O>>>10<<2)>>2]|0)+((O&1023)<<2)>>2]=L;L=ma+1|0;f[H>>2]=L;oa=L}else oa=f[H>>2]|0;if(!oa)break;else K=oa}}zT(s,54760);s=f[x>>2]|0;f[t>>2]=0;f[t+4>>2]=s;f[v>>2]=54628;f[v+4>>2]=q;f[v+8>>2]=m;x=n+4|0;oa=f[x>>2]|0;if((oa|0)<3)pa=Y(f[n+12>>2]|0,s)|0;else{s=f[n+40>>2]|0;K=0;H=1;while(1){ma=Y(f[s+(K<<2)>>2]|0,H)|0;K=K+1|0;if((K|0)==(oa|0)){pa=ma;break}else H=ma}}oU(t,v,+(pa>>>0)*.0000152587890625);pa=q+36|0;v=f[pa>>2]|0;if(v|0?(t=v+12|0,v=f[t>>2]|0,f[t>>2]=v+-1,(v|0)==1):0)lP(q);f[pa>>2]=0;pa=q+16|0;f[pa>>2]=0;f[pa+4>>2]=0;f[pa+8>>2]=0;f[pa+12>>2]=0;if((f[c>>2]|0)>0){pa=f[k>>2]|0;k=0;do{f[pa+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[c>>2]|0))}c=f[w>>2]|0;if((c|0)!=(l|0))tE(c);Y7(p);p=o+36|0;c=f[p>>2]|0;if(c|0?(l=c+12|0,c=f[l>>2]|0,f[l>>2]=c+-1,(c|0)==1):0)lP(o);f[p>>2]=0;p=o+16|0;c=o+4|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[c>>2]|0)>0){p=f[o+40>>2]|0;l=0;do{f[p+(l<<2)>>2]=0;l=l+1|0}while((l|0)<(f[c>>2]|0))}c=f[o+44>>2]|0;if((c|0)!=(o+48|0))tE(c);c=n+36|0;o=f[c>>2]|0;do if(o|0){l=o+12|0;p=f[l>>2]|0;f[l>>2]=p+-1;if((p|0)!=1)break;lP(n)}while(0);f[c>>2]=0;c=n+16|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[x>>2]|0)>0){c=f[n+40>>2]|0;o=0;do{f[c+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[x>>2]|0))}x=f[n+44>>2]|0;if((x|0)!=(n+48|0))tE(x);x=m+36|0;n=f[x>>2]|0;do if(n|0){o=n+12|0;c=f[o>>2]|0;f[o>>2]=c+-1;if((c|0)!=1)break;lP(m)}while(0);f[x>>2]=0;x=m+16|0;n=m+4|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[n>>2]|0)>0){x=f[m+40>>2]|0;c=0;do{f[x+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[n>>2]|0))}n=f[m+44>>2]|0;if((n|0)!=(m+48|0))tE(n);if(!(f[j+4>>2]|0)){u=i;return}u=i;return}function m8(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;k=u;u=u+144|0;l=k+120|0;m=k;n=k+64|0;o=k+8|0;f[a>>2]=54568;q=a+4|0;f[q>>2]=c;f[a+8>>2]=d;d=a+12|0;f[d>>2]=e;f[a+16>>2]=g;f[a+20>>2]=h;f[a+24>>2]=i;f[a+28>>2]=0;b[a+32>>0]=j&1;QR(a+44|0);j=f[q>>2]|0;i=(f[j+8>>2]|0)+2|0;h=(f[j+12>>2]|0)+2|0;j=e+4|0;if(!(((((f[j>>2]|0)<3?(f[e+8>>2]|0)==(i|0):0)?(f[e+12>>2]|0)==(h|0):0)?(f[e>>2]&4095|0)==0:0)?(f[e+16>>2]|0)!=0:0)){f[l>>2]=i;f[l+4>>2]=h;iP(e,2,l,0)}h=f[d>>2]|0;if((h|0)==(e|0))r=e;else{i=e+36|0;g=f[i>>2]|0;if(g|0){c=g+12|0;f[c>>2]=(f[c>>2]|0)+1}c=h+36|0;g=f[c>>2]|0;if(g|0?(s=g+12|0,g=f[s>>2]|0,f[s>>2]=g+-1,(g|0)==1):0)lP(h);f[c>>2]=0;g=h+16|0;s=h+4|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((f[s>>2]|0)>0){t=f[h+40>>2]|0;v=0;do{f[t+(v<<2)>>2]=0;v=v+1|0;w=f[s>>2]|0}while((v|0)<(w|0));f[h>>2]=f[e>>2];if((w|0)<3)x=18;else x=20}else{f[h>>2]=f[e>>2];x=18}if((x|0)==18){w=f[j>>2]|0;if((w|0)<3){f[s>>2]=w;f[h+8>>2]=f[e+8>>2];f[h+12>>2]=f[e+12>>2];w=f[e+44>>2]|0;s=f[h+44>>2]|0;f[s>>2]=f[w>>2];f[s+4>>2]=f[w+4>>2]}else x=20}if((x|0)==20)kP(h,e);f[g>>2]=f[e+16>>2];f[h+20>>2]=f[e+20>>2];f[h+24>>2]=f[e+24>>2];f[h+28>>2]=f[e+28>>2];f[h+32>>2]=f[e+32>>2];f[c>>2]=f[i>>2];r=f[d>>2]|0}f[l>>2]=0;f[l+4>>2]=1;f[m>>2]=-2147483648;f[m+4>>2]=2147483647;mP(n,r,l,m);p[m>>3]=1.0;f[l>>2]=-1056833530;f[l+4>>2]=m;f[l+8>>2]=1;f[l+12>>2]=1;oT(n,l,rE()|0)|0;r=n+36|0;i=f[r>>2]|0;if(i|0?(c=i+12|0,i=f[c>>2]|0,f[c>>2]=i+-1,(i|0)==1):0)lP(n);f[r>>2]=0;r=n+16|0;i=n+4|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;if((f[i>>2]|0)>0){r=f[n+40>>2]|0;c=0;do{f[r+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[i>>2]|0))}i=f[n+44>>2]|0;if((i|0)!=(n+48|0))tE(i);i=f[d>>2]|0;n=f[(f[q>>2]|0)+8>>2]|0;f[l>>2]=n+1;f[l+4>>2]=n+2;f[m>>2]=-2147483648;f[m+4>>2]=2147483647;mP(o,i,l,m);p[m>>3]=1.0;f[l>>2]=-1056833530;f[l+4>>2]=m;f[l+8>>2]=1;f[l+12>>2]=1;oT(o,l,rE()|0)|0;l=o+36|0;m=f[l>>2]|0;if(m|0?(i=m+12|0,m=f[i>>2]|0,f[i>>2]=m+-1,(m|0)==1):0)lP(o);f[l>>2]=0;l=o+16|0;m=o+4|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;if((f[m>>2]|0)>0){l=f[o+40>>2]|0;i=0;do{f[l+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[m>>2]|0))}m=f[o+44>>2]|0;if((m|0)==(o+48|0)){y=f[d>>2]|0;z=y+12|0;A=f[z>>2]|0;B=a+36|0;f[B>>2]=A;C=a+33|0;b[C>>0]=0;D=f[q>>2]|0;E=f[D>>2]|0;F=E>>>3;G=F&511;H=G+1|0;I=a+40|0;f[I>>2]=H;u=k;return}tE(m);y=f[d>>2]|0;z=y+12|0;A=f[z>>2]|0;B=a+36|0;f[B>>2]=A;C=a+33|0;b[C>>0]=0;D=f[q>>2]|0;E=f[D>>2]|0;F=E>>>3;G=F&511;H=G+1|0;I=a+40|0;f[I>>2]=H;u=k;return}function n8(a,c,d,e,g){a=a|0;c=c|0;d=+d;e=+e;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;h=u;u=u+144|0;i=h+88|0;j=h+32|0;k=h+16|0;l=h;mU(i,a,0,1,0,0);mU(j,c,0,1,0,0);c=i+40|0;a=f[c>>2]|0;m=f[a+-4>>2]|0;n=j+40|0;o=f[n>>2]|0;a:do if((m|0)==(f[o+-4>>2]|0)){if((m|0)==2){if((f[a>>2]|0)!=(f[o>>2]|0))break;if((f[a+4>>2]|0)!=(f[o+4>>2]|0))break}else if((m|0)>0){p=0;do{if((f[a+(p<<2)>>2]|0)!=(f[o+(p<<2)>>2]|0))break a;p=p+1|0}while((p|0)<(m|0))}if((f[i>>2]&7|0)==0?(f[j>>2]&4095|0)==0:0){f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=i;p=l+8|0;f[p>>2]=0;f[p+4>>2]=0;f[l>>2]=33619968;f[l+4>>2]=j;V7(k,l,d,e,g&255,(g|0)<0);p=j+36|0;q=f[p>>2]|0;if(q|0?(r=q+12|0,q=f[r>>2]|0,f[r>>2]=q+-1,(q|0)==1):0)lP(j);f[p>>2]=0;p=j+16|0;q=j+4|0;f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;f[p+12>>2]=0;if((f[q>>2]|0)>0){p=f[n>>2]|0;r=0;do{f[p+(r<<2)>>2]=0;r=r+1|0}while((r|0)<(f[q>>2]|0))}q=f[j+44>>2]|0;if((q|0)!=(j+48|0))tE(q);q=i+36|0;r=f[q>>2]|0;if(r|0?(p=r+12|0,r=f[p>>2]|0,f[p>>2]=r+-1,(r|0)==1):0)lP(i);f[q>>2]=0;q=i+16|0;r=i+4|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;if((f[r>>2]|0)>0){q=f[c>>2]|0;p=0;do{f[q+(p<<2)>>2]=0;p=p+1|0}while((p|0)<(f[r>>2]|0))}r=f[i+44>>2]|0;if((r|0)==(i+48|0)){u=h;return}tE(r);u=h;return}}while(0);f[k>>2]=0;f[k+4>>2]=0;h=YG(k,67)|0;i=255744;c=h+67|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(c|0));SQ(-215,k,255812,255120,1133)}function o8(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=u;u=u+16|0;i=h;j=h+8|0;k=c&7;l=d&7;if((d^c)&4088|0){f[j>>2]=0;f[j+4>>2]=0;m=YG(j,40)|0;n=255820;o=m+40|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));p8(-215,j,255861,1306)}n=(g|0)<0?(e|0)/2|0:g;g=(k|0)==0;m=(l|0)==4;if(g&m){o=Bmc(12)|0;Oba(o);f[o>>2]=54788;f[o+4>>2]=e;f[o+8>>2]=n;p=Bmc(16)|0;q=p+4|0;f[q>>2]=1;f[p>>2]=54808;f[p+8>>2]=o;f[a>>2]=p;f[a+4>>2]=o;f[q>>2]=(f[q>>2]|0)+1;o=f[q>>2]|0;f[q>>2]=o+-1;if((o|0)!=1){u=h;return}ai[f[(f[p>>2]|0)+8>>2]&2047](p);u=h;return}if(g&(l|0)==2){p=Bmc(12)|0;Oba(p);f[p>>2]=54828;f[p+4>>2]=e;f[p+8>>2]=n;o=Bmc(16)|0;q=o+4|0;f[q>>2]=1;f[o>>2]=54848;f[o+8>>2]=p;f[a>>2]=o;f[a+4>>2]=p;f[q>>2]=(f[q>>2]|0)+1;p=f[q>>2]|0;f[q>>2]=p+-1;if((p|0)!=1){u=h;return}ai[f[(f[o>>2]|0)+8>>2]&2047](o);u=h;return}o=(l|0)==6;if(g&o){g=Bmc(12)|0;Oba(g);f[g>>2]=54868;f[g+4>>2]=e;f[g+8>>2]=n;l=Bmc(16)|0;p=l+4|0;f[p>>2]=1;f[l>>2]=54888;f[l+8>>2]=g;f[a>>2]=l;f[a+4>>2]=g;f[p>>2]=(f[p>>2]|0)+1;g=f[p>>2]|0;f[p>>2]=g+-1;if((g|0)!=1){u=h;return}ai[f[(f[l>>2]|0)+8>>2]&2047](l);u=h;return}l=(k|0)==2;if(l&m){g=Bmc(12)|0;Oba(g);f[g>>2]=54908;f[g+4>>2]=e;f[g+8>>2]=n;p=Bmc(16)|0;q=p+4|0;f[q>>2]=1;f[p>>2]=54928;f[p+8>>2]=g;f[a>>2]=p;f[a+4>>2]=g;f[q>>2]=(f[q>>2]|0)+1;g=f[q>>2]|0;f[q>>2]=g+-1;if((g|0)!=1){u=h;return}ai[f[(f[p>>2]|0)+8>>2]&2047](p);u=h;return}if(l&o){l=Bmc(12)|0;Oba(l);f[l>>2]=54948;f[l+4>>2]=e;f[l+8>>2]=n;p=Bmc(16)|0;g=p+4|0;f[g>>2]=1;f[p>>2]=54968;f[p+8>>2]=l;f[a>>2]=p;f[a+4>>2]=l;f[g>>2]=(f[g>>2]|0)+1;l=f[g>>2]|0;f[g>>2]=l+-1;if((l|0)!=1){u=h;return}ai[f[(f[p>>2]|0)+8>>2]&2047](p);u=h;return}p=(k|0)==3;if(p&m){l=Bmc(12)|0;Oba(l);f[l>>2]=54988;f[l+4>>2]=e;f[l+8>>2]=n;g=Bmc(16)|0;q=g+4|0;f[q>>2]=1;f[g>>2]=55008;f[g+8>>2]=l;f[a>>2]=g;f[a+4>>2]=l;f[q>>2]=(f[q>>2]|0)+1;l=f[q>>2]|0;f[q>>2]=l+-1;if((l|0)!=1){u=h;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);u=h;return}if((k|0)==4&m){m=Bmc(12)|0;Oba(m);f[m>>2]=55028;f[m+4>>2]=e;f[m+8>>2]=n;g=Bmc(16)|0;l=g+4|0;f[l>>2]=1;f[g>>2]=55048;f[g+8>>2]=m;f[a>>2]=g;f[a+4>>2]=m;f[l>>2]=(f[l>>2]|0)+1;m=f[l>>2]|0;f[l>>2]=m+-1;if((m|0)!=1){u=h;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);u=h;return}if(p&o){p=Bmc(12)|0;Oba(p);f[p>>2]=55068;f[p+4>>2]=e;f[p+8>>2]=n;g=Bmc(16)|0;m=g+4|0;f[m>>2]=1;f[g>>2]=55088;f[g+8>>2]=p;f[a>>2]=g;f[a+4>>2]=p;f[m>>2]=(f[m>>2]|0)+1;p=f[m>>2]|0;f[m>>2]=p+-1;if((p|0)!=1){u=h;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);u=h;return}if((k|0)==5&o){g=Bmc(12)|0;Oba(g);f[g>>2]=55108;f[g+4>>2]=e;f[g+8>>2]=n;p=Bmc(16)|0;m=p+4|0;f[m>>2]=1;f[p>>2]=55128;f[p+8>>2]=g;f[a>>2]=p;f[a+4>>2]=g;f[m>>2]=(f[m>>2]|0)+1;g=f[m>>2]|0;f[m>>2]=g+-1;if((g|0)!=1){u=h;return}ai[f[(f[p>>2]|0)+8>>2]&2047](p);u=h;return}if(!((k|0)==6&o)){f[i>>2]=c;f[i+4>>2]=d;aR(j,260811,i);p8(-213,j,255861,1334)}j=Bmc(12)|0;Oba(j);f[j>>2]=55148;f[j+4>>2]=e;f[j+8>>2]=n;n=Bmc(16)|0;e=n+4|0;f[e>>2]=1;f[n>>2]=55168;f[n+8>>2]=j;f[a>>2]=n;f[a+4>>2]=j;f[e>>2]=(f[e>>2]|0)+1;j=f[e>>2]|0;f[e>>2]=j+-1;if((j|0)!=1){u=h;return}ai[f[(f[n>>2]|0)+8>>2]&2047](n);u=h;return}function p8(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;SQ(a,b,c,256737,d);return}function q8(a){a=a|0;Emc(a);return}function r8(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function s8(a){a=a|0;Emc(a);return}function t8(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0,J=0,K=0,L=0;g=f[a+4>>2]|0;a=Y(g,e)|0;h=Y(d+-1|0,e)|0;switch(g|0){case 3:{g=Y(e,d)|0;if((g|0)<=0)return;i=e<<1;j=0;do{p[c+(j<<3)>>3]=+p[b+(j<<3)>>3]+ +p[b+(j+e<<3)>>3]+ +p[b+(j+i<<3)>>3];j=j+1|0}while((j|0)!=(g|0));return}case 5:{g=Y(e,d)|0;if((g|0)<=0)return;d=e<<1;j=e*3|0;i=e<<2;k=0;do{p[c+(k<<3)>>3]=+p[b+(k<<3)>>3]+ +p[b+(k+e<<3)>>3]+ +p[b+(k+d<<3)>>3]+ +p[b+(k+j<<3)>>3]+ +p[b+(k+i<<3)>>3];k=k+1|0}while((k|0)!=(g|0));return}default:switch(e|0){case 1:{if((a|0)>0){l=0.0;g=0;while(1){m=l+ +p[b+(g<<3)>>3];g=g+1|0;if((g|0)==(a|0)){n=m;break}else l=m}}else n=0.0;p[c>>3]=n;if((h|0)>0){o=n;q=0}else return;do{o=o+(+p[b+(q+a<<3)>>3]-+p[b+(q<<3)>>3]);q=q+1|0;p[c+(q<<3)>>3]=o}while((q|0)!=(h|0));return}case 3:{if((a|0)>0){o=0.0;n=0.0;l=0.0;q=0;while(1){m=l+ +p[b+(q<<3)>>3];r=n+ +p[b+(q+1<<3)>>3];s=o+ +p[b+(q+2<<3)>>3];q=q+3|0;if((q|0)>=(a|0)){t=s;u=r;v=m;break}else{o=s;n=r;l=m}}}else{t=0.0;u=0.0;v=0.0}p[c>>3]=v;p[c+8>>3]=u;p[c+16>>3]=t;if((h|0)>0){w=t;x=u;y=v;z=0}else return;do{q=z+a|0;y=y+(+p[b+(q<<3)>>3]-+p[b+(z<<3)>>3]);x=x+(+p[b+(q+1<<3)>>3]-+p[b+(z+1<<3)>>3]);w=w+(+p[b+(q+2<<3)>>3]-+p[b+(z+2<<3)>>3]);q=z;z=z+3|0;p[c+(z<<3)>>3]=y;p[c+(q+4<<3)>>3]=x;p[c+(q+5<<3)>>3]=w}while((z|0)<(h|0));return}case 4:{if((a|0)>0){w=0.0;x=0.0;y=0.0;v=0.0;z=0;while(1){u=v+ +p[b+(z<<3)>>3];t=y+ +p[b+((z|1)<<3)>>3];l=x+ +p[b+((z|2)<<3)>>3];n=w+ +p[b+((z|3)<<3)>>3];z=z+4|0;if((z|0)>=(a|0)){A=n;B=l;C=t;D=u;break}else{w=n;x=l;y=t;v=u}}}else{A=0.0;B=0.0;C=0.0;D=0.0}p[c>>3]=D;p[c+8>>3]=C;p[c+16>>3]=B;p[c+24>>3]=A;if((h|0)>0){E=A;F=B;G=C;H=D;I=0}else return;do{z=I+a|0;H=H+(+p[b+(z<<3)>>3]-+p[b+(I<<3)>>3]);G=G+(+p[b+(z+1<<3)>>3]-+p[b+((I|1)<<3)>>3]);F=F+(+p[b+(z+2<<3)>>3]-+p[b+((I|2)<<3)>>3]);E=E+(+p[b+(z+3<<3)>>3]-+p[b+((I|3)<<3)>>3]);z=I;I=I+4|0;p[c+(I<<3)>>3]=H;p[c+(z+5<<3)>>3]=G;p[c+(z+6<<3)>>3]=F;p[c+(z+7<<3)>>3]=E}while((I|0)<(h|0));return}default:{if((e|0)<=0)return;I=(h|0)>0;if((a|0)>0){z=0;q=c;g=b;while(1){E=0.0;k=0;do{E=E+ +p[g+(k<<3)>>3];k=k+e|0}while((k|0)<(a|0));p[q>>3]=E;if(I){F=E;k=0;do{F=F+(+p[g+(k+a<<3)>>3]-+p[g+(k<<3)>>3]);k=k+e|0;p[q+(k<<3)>>3]=F}while((k|0)<(h|0))}z=z+1|0;if((z|0)==(e|0))break;else{q=q+8|0;g=g+8|0}}return}if(I){J=0;K=c;L=b}else{Drc(c|0,0,e<<3|0)|0;return}while(1){p[K>>3]=0.0;F=0.0;c=0;do{F=F+(+p[L+(c+a<<3)>>3]-+p[L+(c<<3)>>3]);c=c+e|0;p[K+(c<<3)>>3]=F}while((c|0)<(h|0));J=J+1|0;if((J|0)==(e|0))break;else{K=K+8|0;L=L+8|0}}return}}}}function u8(a){a=a|0;Emc(a);return}function v8(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function w8(a){a=a|0;Emc(a);return}function x8(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0.0,m=0.0,o=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0,K=0,L=0,M=0;g=f[a+4>>2]|0;a=Y(g,e)|0;h=Y(d+-1|0,e)|0;switch(g|0){case 3:{g=Y(e,d)|0;if((g|0)<=0)return;i=e<<1;j=0;do{p[c+(j<<3)>>3]=+n[b+(j<<2)>>2]+ +n[b+(j+e<<2)>>2]+ +n[b+(j+i<<2)>>2];j=j+1|0}while((j|0)!=(g|0));return}case 5:{g=Y(e,d)|0;if((g|0)<=0)return;d=e<<1;j=e*3|0;i=e<<2;k=0;do{p[c+(k<<3)>>3]=+n[b+(k<<2)>>2]+ +n[b+(k+e<<2)>>2]+ +n[b+(k+d<<2)>>2]+ +n[b+(k+j<<2)>>2]+ +n[b+(k+i<<2)>>2];k=k+1|0}while((k|0)!=(g|0));return}default:switch(e|0){case 1:{if((a|0)>0){l=0.0;g=0;while(1){m=l+ +n[b+(g<<2)>>2];g=g+1|0;if((g|0)==(a|0)){o=m;break}else l=m}}else o=0.0;p[c>>3]=o;if((h|0)>0){q=o;r=0}else return;do{q=q+(+n[b+(r+a<<2)>>2]-+n[b+(r<<2)>>2]);r=r+1|0;p[c+(r<<3)>>3]=q}while((r|0)!=(h|0));return}case 3:{if((a|0)>0){q=0.0;o=0.0;l=0.0;r=0;while(1){m=l+ +n[b+(r<<2)>>2];s=o+ +n[b+(r+1<<2)>>2];t=q+ +n[b+(r+2<<2)>>2];r=r+3|0;if((r|0)>=(a|0)){u=t;v=s;w=m;break}else{q=t;o=s;l=m}}}else{u=0.0;v=0.0;w=0.0}p[c>>3]=w;p[c+8>>3]=v;p[c+16>>3]=u;if((h|0)>0){x=u;y=v;z=w;A=0}else return;do{r=A+a|0;z=z+(+n[b+(r<<2)>>2]-+n[b+(A<<2)>>2]);y=y+(+n[b+(r+1<<2)>>2]-+n[b+(A+1<<2)>>2]);x=x+(+n[b+(r+2<<2)>>2]-+n[b+(A+2<<2)>>2]);r=A;A=A+3|0;p[c+(A<<3)>>3]=z;p[c+(r+4<<3)>>3]=y;p[c+(r+5<<3)>>3]=x}while((A|0)<(h|0));return}case 4:{if((a|0)>0){x=0.0;y=0.0;z=0.0;w=0.0;A=0;while(1){v=w+ +n[b+(A<<2)>>2];u=z+ +n[b+((A|1)<<2)>>2];l=y+ +n[b+((A|2)<<2)>>2];o=x+ +n[b+((A|3)<<2)>>2];A=A+4|0;if((A|0)>=(a|0)){B=o;C=l;D=u;E=v;break}else{x=o;y=l;z=u;w=v}}}else{B=0.0;C=0.0;D=0.0;E=0.0}p[c>>3]=E;p[c+8>>3]=D;p[c+16>>3]=C;p[c+24>>3]=B;if((h|0)>0){F=B;G=C;H=D;I=E;J=0}else return;do{A=J+a|0;I=I+(+n[b+(A<<2)>>2]-+n[b+(J<<2)>>2]);H=H+(+n[b+(A+1<<2)>>2]-+n[b+((J|1)<<2)>>2]);G=G+(+n[b+(A+2<<2)>>2]-+n[b+((J|2)<<2)>>2]);F=F+(+n[b+(A+3<<2)>>2]-+n[b+((J|3)<<2)>>2]);A=J;J=J+4|0;p[c+(J<<3)>>3]=I;p[c+(A+5<<3)>>3]=H;p[c+(A+6<<3)>>3]=G;p[c+(A+7<<3)>>3]=F}while((J|0)<(h|0));return}default:{if((e|0)<=0)return;J=(h|0)>0;if((a|0)>0){A=0;r=c;g=b;while(1){F=0.0;k=0;do{F=F+ +n[g+(k<<2)>>2];k=k+e|0}while((k|0)<(a|0));p[r>>3]=F;if(J){G=F;k=0;do{G=G+(+n[g+(k+a<<2)>>2]-+n[g+(k<<2)>>2]);k=k+e|0;p[r+(k<<3)>>3]=G}while((k|0)<(h|0))}A=A+1|0;if((A|0)==(e|0))break;else{r=r+8|0;g=g+4|0}}return}if(J){K=0;L=c;M=b}else{Drc(c|0,0,e<<3|0)|0;return}while(1){p[L>>3]=0.0;G=0.0;c=0;do{G=G+(+n[M+(c+a<<2)>>2]-+n[M+(c<<2)>>2]);c=c+e|0;p[L+(c<<3)>>3]=G}while((c|0)<(h|0));K=K+1|0;if((K|0)==(e|0))break;else{L=L+8|0;M=M+4|0}}return}}}}function y8(a){a=a|0;Emc(a);return}function z8(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function A8(a){a=a|0;Emc(a);return}function B8(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0,K=0,L=0,M=0;h=f[a+4>>2]|0;a=Y(h,g)|0;i=Y(e+-1|0,g)|0;switch(h|0){case 3:{h=Y(g,e)|0;if((h|0)<=0)return;j=g<<1;k=0;do{p[c+(k<<3)>>3]=+(d[b+(k<<1)>>1]|0)+ +(d[b+(k+g<<1)>>1]|0)+ +(d[b+(k+j<<1)>>1]|0);k=k+1|0}while((k|0)!=(h|0));return}case 5:{h=Y(g,e)|0;if((h|0)<=0)return;e=g<<1;k=g*3|0;j=g<<2;l=0;do{p[c+(l<<3)>>3]=+(d[b+(l<<1)>>1]|0)+ +(d[b+(l+g<<1)>>1]|0)+ +(d[b+(l+e<<1)>>1]|0)+ +(d[b+(l+k<<1)>>1]|0)+ +(d[b+(l+j<<1)>>1]|0);l=l+1|0}while((l|0)!=(h|0));return}default:switch(g|0){case 1:{if((a|0)>0){m=0.0;h=0;while(1){n=m+ +(d[b+(h<<1)>>1]|0);h=h+1|0;if((h|0)==(a|0)){o=n;break}else m=n}}else o=0.0;p[c>>3]=o;if((i|0)>0){q=o;r=0}else return;do{q=q+(+(d[b+(r+a<<1)>>1]|0)-+(d[b+(r<<1)>>1]|0));r=r+1|0;p[c+(r<<3)>>3]=q}while((r|0)!=(i|0));return}case 3:{if((a|0)>0){q=0.0;o=0.0;m=0.0;r=0;while(1){n=m+ +(d[b+(r<<1)>>1]|0);s=o+ +(d[b+(r+1<<1)>>1]|0);t=q+ +(d[b+(r+2<<1)>>1]|0);r=r+3|0;if((r|0)>=(a|0)){u=t;v=s;w=n;break}else{q=t;o=s;m=n}}}else{u=0.0;v=0.0;w=0.0}p[c>>3]=w;p[c+8>>3]=v;p[c+16>>3]=u;if((i|0)>0){x=u;y=v;z=w;A=0}else return;do{r=A+a|0;z=z+(+(d[b+(r<<1)>>1]|0)-+(d[b+(A<<1)>>1]|0));y=y+(+(d[b+(r+1<<1)>>1]|0)-+(d[b+(A+1<<1)>>1]|0));x=x+(+(d[b+(r+2<<1)>>1]|0)-+(d[b+(A+2<<1)>>1]|0));r=A;A=A+3|0;p[c+(A<<3)>>3]=z;p[c+(r+4<<3)>>3]=y;p[c+(r+5<<3)>>3]=x}while((A|0)<(i|0));return}case 4:{if((a|0)>0){x=0.0;y=0.0;z=0.0;w=0.0;A=0;while(1){v=w+ +(d[b+(A<<1)>>1]|0);u=z+ +(d[b+((A|1)<<1)>>1]|0);m=y+ +(d[b+((A|2)<<1)>>1]|0);o=x+ +(d[b+((A|3)<<1)>>1]|0);A=A+4|0;if((A|0)>=(a|0)){B=o;C=m;D=u;E=v;break}else{x=o;y=m;z=u;w=v}}}else{B=0.0;C=0.0;D=0.0;E=0.0}p[c>>3]=E;p[c+8>>3]=D;p[c+16>>3]=C;p[c+24>>3]=B;if((i|0)>0){F=B;G=C;H=D;I=E;J=0}else return;do{A=J+a|0;I=I+(+(d[b+(A<<1)>>1]|0)-+(d[b+(J<<1)>>1]|0));H=H+(+(d[b+(A+1<<1)>>1]|0)-+(d[b+((J|1)<<1)>>1]|0));G=G+(+(d[b+(A+2<<1)>>1]|0)-+(d[b+((J|2)<<1)>>1]|0));F=F+(+(d[b+(A+3<<1)>>1]|0)-+(d[b+((J|3)<<1)>>1]|0));A=J;J=J+4|0;p[c+(J<<3)>>3]=I;p[c+(A+5<<3)>>3]=H;p[c+(A+6<<3)>>3]=G;p[c+(A+7<<3)>>3]=F}while((J|0)<(i|0));return}default:{if((g|0)<=0)return;J=(i|0)>0;if((a|0)>0){A=0;r=c;h=b;while(1){F=0.0;l=0;do{F=F+ +(d[h+(l<<1)>>1]|0);l=l+g|0}while((l|0)<(a|0));p[r>>3]=F;if(J){G=F;l=0;do{G=G+(+(d[h+(l+a<<1)>>1]|0)-+(d[h+(l<<1)>>1]|0));l=l+g|0;p[r+(l<<3)>>3]=G}while((l|0)<(i|0))}A=A+1|0;if((A|0)==(g|0))break;else{r=r+8|0;h=h+2|0}}return}if(J){K=0;L=c;M=b}else{Drc(c|0,0,g<<3|0)|0;return}while(1){p[L>>3]=0.0;G=0.0;c=0;do{G=G+(+(d[M+(c+a<<1)>>1]|0)-+(d[M+(c<<1)>>1]|0));c=c+g|0;p[L+(c<<3)>>3]=G}while((c|0)<(i|0));K=K+1|0;if((K|0)==(g|0))break;else{L=L+8|0;M=M+2|0}}return}}}}function C8(a){a=a|0;Emc(a);return}function D8(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function E8(a){a=a|0;Emc(a);return}function F8(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;g=f[a+4>>2]|0;a=Y(g,e)|0;h=Y(d+-1|0,e)|0;switch(g|0){case 3:{g=Y(e,d)|0;if((g|0)<=0)return;i=e<<1;j=0;do{f[c+(j<<2)>>2]=(f[b+(j+e<<2)>>2]|0)+(f[b+(j<<2)>>2]|0)+(f[b+(j+i<<2)>>2]|0);j=j+1|0}while((j|0)!=(g|0));return}case 5:{g=Y(e,d)|0;if((g|0)<=0)return;d=e<<1;j=e*3|0;i=e<<2;k=0;do{f[c+(k<<2)>>2]=(f[b+(k+e<<2)>>2]|0)+(f[b+(k<<2)>>2]|0)+(f[b+(k+d<<2)>>2]|0)+(f[b+(k+j<<2)>>2]|0)+(f[b+(k+i<<2)>>2]|0);k=k+1|0}while((k|0)!=(g|0));return}default:switch(e|0){case 1:{if((a|0)>0){g=0;k=0;while(1){i=(f[b+(k<<2)>>2]|0)+g|0;k=k+1|0;if((k|0)==(a|0)){l=i;break}else g=i}}else l=0;f[c>>2]=l;if((h|0)>0){m=l;n=0}else return;do{m=(f[b+(n+a<<2)>>2]|0)-(f[b+(n<<2)>>2]|0)+m|0;n=n+1|0;f[c+(n<<2)>>2]=m}while((n|0)!=(h|0));return}case 3:{if((a|0)>0){n=0;m=0;l=0;g=0;while(1){k=(f[b+(g<<2)>>2]|0)+l|0;i=(f[b+(g+1<<2)>>2]|0)+m|0;j=(f[b+(g+2<<2)>>2]|0)+n|0;g=g+3|0;if((g|0)>=(a|0)){o=j;p=i;q=k;break}else{n=j;m=i;l=k}}}else{o=0;p=0;q=0}f[c>>2]=q;f[c+4>>2]=p;f[c+8>>2]=o;if((h|0)>0){r=o;s=p;t=q;u=0}else return;do{q=u+a|0;t=(f[b+(q<<2)>>2]|0)-(f[b+(u<<2)>>2]|0)+t|0;s=(f[b+(q+1<<2)>>2]|0)-(f[b+(u+1<<2)>>2]|0)+s|0;r=(f[b+(q+2<<2)>>2]|0)-(f[b+(u+2<<2)>>2]|0)+r|0;q=u;u=u+3|0;f[c+(u<<2)>>2]=t;f[c+(q+4<<2)>>2]=s;f[c+(q+5<<2)>>2]=r}while((u|0)<(h|0));return}case 4:{if((a|0)>0){u=0;r=0;s=0;t=0;q=0;while(1){p=(f[b+(q<<2)>>2]|0)+t|0;o=(f[b+((q|1)<<2)>>2]|0)+s|0;l=(f[b+((q|2)<<2)>>2]|0)+r|0;m=(f[b+((q|3)<<2)>>2]|0)+u|0;q=q+4|0;if((q|0)>=(a|0)){v=m;w=l;x=o;y=p;break}else{u=m;r=l;s=o;t=p}}}else{v=0;w=0;x=0;y=0}f[c>>2]=y;f[c+4>>2]=x;f[c+8>>2]=w;f[c+12>>2]=v;if((h|0)>0){z=v;A=w;B=x;C=y;D=0}else return;do{y=D+a|0;C=(f[b+(y<<2)>>2]|0)-(f[b+(D<<2)>>2]|0)+C|0;B=(f[b+(y+1<<2)>>2]|0)-(f[b+((D|1)<<2)>>2]|0)+B|0;A=(f[b+(y+2<<2)>>2]|0)-(f[b+((D|2)<<2)>>2]|0)+A|0;z=(f[b+(y+3<<2)>>2]|0)-(f[b+((D|3)<<2)>>2]|0)+z|0;y=D;D=D+4|0;f[c+(D<<2)>>2]=C;f[c+(y+5<<2)>>2]=B;f[c+(y+6<<2)>>2]=A;f[c+(y+7<<2)>>2]=z}while((D|0)<(h|0));return}default:{if((e|0)<=0)return;D=(h|0)>0;if((a|0)>0){z=0;A=c;B=b;while(1){C=0;y=0;do{C=(f[B+(y<<2)>>2]|0)+C|0;y=y+e|0}while((y|0)<(a|0));f[A>>2]=C;if(D){y=C;x=0;do{y=(f[B+(x+a<<2)>>2]|0)-(f[B+(x<<2)>>2]|0)+y|0;x=x+e|0;f[A+(x<<2)>>2]=y}while((x|0)<(h|0))}z=z+1|0;if((z|0)==(e|0))break;else{A=A+4|0;B=B+4|0}}return}if(D){E=0;F=c;G=b}else{Drc(c|0,0,e<<2|0)|0;return}while(1){f[F>>2]=0;c=0;b=0;do{c=(f[G+(b+a<<2)>>2]|0)-(f[G+(b<<2)>>2]|0)+c|0;b=b+e|0;f[F+(b<<2)>>2]=c}while((b|0)<(h|0));E=E+1|0;if((E|0)==(e|0))break;else{F=F+4|0;G=G+4|0}}return}}}}function G8(a){a=a|0;Emc(a);return}function H8(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function I8(a){a=a|0;Emc(a);return}function J8(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;h=f[a+4>>2]|0;a=Y(h,g)|0;i=Y(e+-1|0,g)|0;switch(h|0){case 3:{h=Y(g,e)|0;if((h|0)<=0)return;j=g<<1;k=0;do{f[c+(k<<2)>>2]=(d[b+(k+g<<1)>>1]|0)+(d[b+(k<<1)>>1]|0)+(d[b+(k+j<<1)>>1]|0);k=k+1|0}while((k|0)!=(h|0));return}case 5:{h=Y(g,e)|0;if((h|0)<=0)return;e=g<<1;k=g*3|0;j=g<<2;l=0;do{f[c+(l<<2)>>2]=(d[b+(l+g<<1)>>1]|0)+(d[b+(l<<1)>>1]|0)+(d[b+(l+e<<1)>>1]|0)+(d[b+(l+k<<1)>>1]|0)+(d[b+(l+j<<1)>>1]|0);l=l+1|0}while((l|0)!=(h|0));return}default:switch(g|0){case 1:{if((a|0)>0){h=0;l=0;while(1){j=(d[b+(l<<1)>>1]|0)+h|0;l=l+1|0;if((l|0)==(a|0)){m=j;break}else h=j}}else m=0;f[c>>2]=m;if((i|0)>0){n=m;o=0}else return;do{n=(d[b+(o+a<<1)>>1]|0)-(d[b+(o<<1)>>1]|0)+n|0;o=o+1|0;f[c+(o<<2)>>2]=n}while((o|0)!=(i|0));return}case 3:{if((a|0)>0){o=0;n=0;m=0;h=0;while(1){l=(d[b+(h<<1)>>1]|0)+m|0;j=(d[b+(h+1<<1)>>1]|0)+n|0;k=(d[b+(h+2<<1)>>1]|0)+o|0;h=h+3|0;if((h|0)>=(a|0)){p=k;q=j;r=l;break}else{o=k;n=j;m=l}}}else{p=0;q=0;r=0}f[c>>2]=r;f[c+4>>2]=q;f[c+8>>2]=p;if((i|0)>0){s=p;t=q;u=r;v=0}else return;do{r=v+a|0;u=(d[b+(r<<1)>>1]|0)-(d[b+(v<<1)>>1]|0)+u|0;t=(d[b+(r+1<<1)>>1]|0)-(d[b+(v+1<<1)>>1]|0)+t|0;s=(d[b+(r+2<<1)>>1]|0)-(d[b+(v+2<<1)>>1]|0)+s|0;r=v;v=v+3|0;f[c+(v<<2)>>2]=u;f[c+(r+4<<2)>>2]=t;f[c+(r+5<<2)>>2]=s}while((v|0)<(i|0));return}case 4:{if((a|0)>0){v=0;s=0;t=0;u=0;r=0;while(1){q=(d[b+(r<<1)>>1]|0)+u|0;p=(d[b+((r|1)<<1)>>1]|0)+t|0;m=(d[b+((r|2)<<1)>>1]|0)+s|0;n=(d[b+((r|3)<<1)>>1]|0)+v|0;r=r+4|0;if((r|0)>=(a|0)){w=n;x=m;y=p;z=q;break}else{v=n;s=m;t=p;u=q}}}else{w=0;x=0;y=0;z=0}f[c>>2]=z;f[c+4>>2]=y;f[c+8>>2]=x;f[c+12>>2]=w;if((i|0)>0){A=w;B=x;C=y;D=z;E=0}else return;do{z=E+a|0;D=(d[b+(z<<1)>>1]|0)-(d[b+(E<<1)>>1]|0)+D|0;C=(d[b+(z+1<<1)>>1]|0)-(d[b+((E|1)<<1)>>1]|0)+C|0;B=(d[b+(z+2<<1)>>1]|0)-(d[b+((E|2)<<1)>>1]|0)+B|0;A=(d[b+(z+3<<1)>>1]|0)-(d[b+((E|3)<<1)>>1]|0)+A|0;z=E;E=E+4|0;f[c+(E<<2)>>2]=D;f[c+(z+5<<2)>>2]=C;f[c+(z+6<<2)>>2]=B;f[c+(z+7<<2)>>2]=A}while((E|0)<(i|0));return}default:{if((g|0)<=0)return;E=(i|0)>0;if((a|0)>0){A=0;B=c;C=b;while(1){D=0;z=0;do{D=(d[C+(z<<1)>>1]|0)+D|0;z=z+g|0}while((z|0)<(a|0));f[B>>2]=D;if(E){z=D;y=0;do{z=(d[C+(y+a<<1)>>1]|0)-(d[C+(y<<1)>>1]|0)+z|0;y=y+g|0;f[B+(y<<2)>>2]=z}while((y|0)<(i|0))}A=A+1|0;if((A|0)==(g|0))break;else{B=B+4|0;C=C+2|0}}return}if(E){F=0;G=c;H=b}else{Drc(c|0,0,g<<2|0)|0;return}while(1){f[G>>2]=0;c=0;b=0;do{c=(d[H+(b+a<<1)>>1]|0)-(d[H+(b<<1)>>1]|0)+c|0;b=b+g|0;f[G+(b<<2)>>2]=c}while((b|0)<(i|0));F=F+1|0;if((F|0)==(g|0))break;else{G=G+4|0;H=H+2|0}}return}}}}function K8(a){a=a|0;Emc(a);return}function L8(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function M8(a){a=a|0;Emc(a);return}function N8(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,k=0,l=0,m=0.0,n=0.0,o=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0,K=0,L=0,M=0;g=f[a+4>>2]|0;a=Y(g,e)|0;h=Y(d+-1|0,e)|0;switch(g|0){case 3:{g=Y(e,d)|0;if((g|0)<=0)return;i=e<<1;k=0;do{p[c+(k<<3)>>3]=+(j[b+(k<<1)>>1]|0)+ +(j[b+(k+e<<1)>>1]|0)+ +(j[b+(k+i<<1)>>1]|0);k=k+1|0}while((k|0)!=(g|0));return}case 5:{g=Y(e,d)|0;if((g|0)<=0)return;d=e<<1;k=e*3|0;i=e<<2;l=0;do{p[c+(l<<3)>>3]=+(j[b+(l<<1)>>1]|0)+ +(j[b+(l+e<<1)>>1]|0)+ +(j[b+(l+d<<1)>>1]|0)+ +(j[b+(l+k<<1)>>1]|0)+ +(j[b+(l+i<<1)>>1]|0);l=l+1|0}while((l|0)!=(g|0));return}default:switch(e|0){case 1:{if((a|0)>0){m=0.0;g=0;while(1){n=m+ +(j[b+(g<<1)>>1]|0);g=g+1|0;if((g|0)==(a|0)){o=n;break}else m=n}}else o=0.0;p[c>>3]=o;if((h|0)>0){q=o;r=0}else return;do{q=q+(+(j[b+(r+a<<1)>>1]|0)-+(j[b+(r<<1)>>1]|0));r=r+1|0;p[c+(r<<3)>>3]=q}while((r|0)!=(h|0));return}case 3:{if((a|0)>0){q=0.0;o=0.0;m=0.0;r=0;while(1){n=m+ +(j[b+(r<<1)>>1]|0);s=o+ +(j[b+(r+1<<1)>>1]|0);t=q+ +(j[b+(r+2<<1)>>1]|0);r=r+3|0;if((r|0)>=(a|0)){u=t;v=s;w=n;break}else{q=t;o=s;m=n}}}else{u=0.0;v=0.0;w=0.0}p[c>>3]=w;p[c+8>>3]=v;p[c+16>>3]=u;if((h|0)>0){x=u;y=v;z=w;A=0}else return;do{r=A+a|0;z=z+(+(j[b+(r<<1)>>1]|0)-+(j[b+(A<<1)>>1]|0));y=y+(+(j[b+(r+1<<1)>>1]|0)-+(j[b+(A+1<<1)>>1]|0));x=x+(+(j[b+(r+2<<1)>>1]|0)-+(j[b+(A+2<<1)>>1]|0));r=A;A=A+3|0;p[c+(A<<3)>>3]=z;p[c+(r+4<<3)>>3]=y;p[c+(r+5<<3)>>3]=x}while((A|0)<(h|0));return}case 4:{if((a|0)>0){x=0.0;y=0.0;z=0.0;w=0.0;A=0;while(1){v=w+ +(j[b+(A<<1)>>1]|0);u=z+ +(j[b+((A|1)<<1)>>1]|0);m=y+ +(j[b+((A|2)<<1)>>1]|0);o=x+ +(j[b+((A|3)<<1)>>1]|0);A=A+4|0;if((A|0)>=(a|0)){B=o;C=m;D=u;E=v;break}else{x=o;y=m;z=u;w=v}}}else{B=0.0;C=0.0;D=0.0;E=0.0}p[c>>3]=E;p[c+8>>3]=D;p[c+16>>3]=C;p[c+24>>3]=B;if((h|0)>0){F=B;G=C;H=D;I=E;J=0}else return;do{A=J+a|0;I=I+(+(j[b+(A<<1)>>1]|0)-+(j[b+(J<<1)>>1]|0));H=H+(+(j[b+(A+1<<1)>>1]|0)-+(j[b+((J|1)<<1)>>1]|0));G=G+(+(j[b+(A+2<<1)>>1]|0)-+(j[b+((J|2)<<1)>>1]|0));F=F+(+(j[b+(A+3<<1)>>1]|0)-+(j[b+((J|3)<<1)>>1]|0));A=J;J=J+4|0;p[c+(J<<3)>>3]=I;p[c+(A+5<<3)>>3]=H;p[c+(A+6<<3)>>3]=G;p[c+(A+7<<3)>>3]=F}while((J|0)<(h|0));return}default:{if((e|0)<=0)return;J=(h|0)>0;if((a|0)>0){A=0;r=c;g=b;while(1){F=0.0;l=0;do{F=F+ +(j[g+(l<<1)>>1]|0);l=l+e|0}while((l|0)<(a|0));p[r>>3]=F;if(J){G=F;l=0;do{G=G+(+(j[g+(l+a<<1)>>1]|0)-+(j[g+(l<<1)>>1]|0));l=l+e|0;p[r+(l<<3)>>3]=G}while((l|0)<(h|0))}A=A+1|0;if((A|0)==(e|0))break;else{r=r+8|0;g=g+2|0}}return}if(J){K=0;L=c;M=b}else{Drc(c|0,0,e<<3|0)|0;return}while(1){p[L>>3]=0.0;G=0.0;c=0;do{G=G+(+(j[M+(c+a<<1)>>1]|0)-+(j[M+(c<<1)>>1]|0));c=c+e|0;p[L+(c<<3)>>3]=G}while((c|0)<(h|0));K=K+1|0;if((K|0)==(e|0))break;else{L=L+8|0;M=M+2|0}}return}}}}function O8(a){a=a|0;Emc(a);return}function P8(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Q8(a){a=a|0;Emc(a);return}function R8(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;g=f[a+4>>2]|0;a=Y(g,e)|0;h=Y(d+-1|0,e)|0;switch(g|0){case 3:{g=Y(e,d)|0;if((g|0)<=0)return;i=e<<1;k=0;do{f[c+(k<<2)>>2]=(j[b+(k+e<<1)>>1]|0)+(j[b+(k<<1)>>1]|0)+(j[b+(k+i<<1)>>1]|0);k=k+1|0}while((k|0)!=(g|0));return}case 5:{g=Y(e,d)|0;if((g|0)<=0)return;d=e<<1;k=e*3|0;i=e<<2;l=0;do{f[c+(l<<2)>>2]=(j[b+(l+e<<1)>>1]|0)+(j[b+(l<<1)>>1]|0)+(j[b+(l+d<<1)>>1]|0)+(j[b+(l+k<<1)>>1]|0)+(j[b+(l+i<<1)>>1]|0);l=l+1|0}while((l|0)!=(g|0));return}default:switch(e|0){case 1:{if((a|0)>0){g=0;l=0;while(1){i=(j[b+(l<<1)>>1]|0)+g|0;l=l+1|0;if((l|0)==(a|0)){m=i;break}else g=i}}else m=0;f[c>>2]=m;if((h|0)>0){n=m;o=0}else return;do{n=(j[b+(o+a<<1)>>1]|0)-(j[b+(o<<1)>>1]|0)+n|0;o=o+1|0;f[c+(o<<2)>>2]=n}while((o|0)!=(h|0));return}case 3:{if((a|0)>0){o=0;n=0;m=0;g=0;while(1){l=(j[b+(g<<1)>>1]|0)+m|0;i=(j[b+(g+1<<1)>>1]|0)+n|0;k=(j[b+(g+2<<1)>>1]|0)+o|0;g=g+3|0;if((g|0)>=(a|0)){p=k;q=i;r=l;break}else{o=k;n=i;m=l}}}else{p=0;q=0;r=0}f[c>>2]=r;f[c+4>>2]=q;f[c+8>>2]=p;if((h|0)>0){s=p;t=q;u=r;v=0}else return;do{r=v+a|0;u=(j[b+(r<<1)>>1]|0)-(j[b+(v<<1)>>1]|0)+u|0;t=(j[b+(r+1<<1)>>1]|0)-(j[b+(v+1<<1)>>1]|0)+t|0;s=(j[b+(r+2<<1)>>1]|0)-(j[b+(v+2<<1)>>1]|0)+s|0;r=v;v=v+3|0;f[c+(v<<2)>>2]=u;f[c+(r+4<<2)>>2]=t;f[c+(r+5<<2)>>2]=s}while((v|0)<(h|0));return}case 4:{if((a|0)>0){v=0;s=0;t=0;u=0;r=0;while(1){q=(j[b+(r<<1)>>1]|0)+u|0;p=(j[b+((r|1)<<1)>>1]|0)+t|0;m=(j[b+((r|2)<<1)>>1]|0)+s|0;n=(j[b+((r|3)<<1)>>1]|0)+v|0;r=r+4|0;if((r|0)>=(a|0)){w=n;x=m;y=p;z=q;break}else{v=n;s=m;t=p;u=q}}}else{w=0;x=0;y=0;z=0}f[c>>2]=z;f[c+4>>2]=y;f[c+8>>2]=x;f[c+12>>2]=w;if((h|0)>0){A=w;B=x;C=y;D=z;E=0}else return;do{z=E+a|0;D=(j[b+(z<<1)>>1]|0)-(j[b+(E<<1)>>1]|0)+D|0;C=(j[b+(z+1<<1)>>1]|0)-(j[b+((E|1)<<1)>>1]|0)+C|0;B=(j[b+(z+2<<1)>>1]|0)-(j[b+((E|2)<<1)>>1]|0)+B|0;A=(j[b+(z+3<<1)>>1]|0)-(j[b+((E|3)<<1)>>1]|0)+A|0;z=E;E=E+4|0;f[c+(E<<2)>>2]=D;f[c+(z+5<<2)>>2]=C;f[c+(z+6<<2)>>2]=B;f[c+(z+7<<2)>>2]=A}while((E|0)<(h|0));return}default:{if((e|0)<=0)return;E=(h|0)>0;if((a|0)>0){A=0;B=c;C=b;while(1){D=0;z=0;do{D=(j[C+(z<<1)>>1]|0)+D|0;z=z+e|0}while((z|0)<(a|0));f[B>>2]=D;if(E){z=D;y=0;do{z=(j[C+(y+a<<1)>>1]|0)-(j[C+(y<<1)>>1]|0)+z|0;y=y+e|0;f[B+(y<<2)>>2]=z}while((y|0)<(h|0))}A=A+1|0;if((A|0)==(e|0))break;else{B=B+4|0;C=C+2|0}}return}if(E){F=0;G=c;H=b}else{Drc(c|0,0,e<<2|0)|0;return}while(1){f[G>>2]=0;c=0;b=0;do{c=(j[H+(b+a<<1)>>1]|0)-(j[H+(b<<1)>>1]|0)+c|0;b=b+e|0;f[G+(b<<2)>>2]=c}while((b|0)<(h|0));F=F+1|0;if((F|0)==(e|0))break;else{G=G+4|0;H=H+2|0}}return}}}}function S8(a){a=a|0;Emc(a);return}function T8(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function U8(a){a=a|0;Emc(a);return}function V8(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0,K=0,L=0,M=0;g=f[a+4>>2]|0;a=Y(g,e)|0;i=Y(d+-1|0,e)|0;switch(g|0){case 3:{g=Y(e,d)|0;if((g|0)<=0)return;j=e<<1;k=0;do{p[c+(k<<3)>>3]=+(h[b+k>>0]|0)+ +(h[b+(k+e)>>0]|0)+ +(h[b+(k+j)>>0]|0);k=k+1|0}while((k|0)!=(g|0));return}case 5:{g=Y(e,d)|0;if((g|0)<=0)return;d=e<<1;k=e*3|0;j=e<<2;l=0;do{p[c+(l<<3)>>3]=+(h[b+l>>0]|0)+ +(h[b+(l+e)>>0]|0)+ +(h[b+(l+d)>>0]|0)+ +(h[b+(l+k)>>0]|0)+ +(h[b+(l+j)>>0]|0);l=l+1|0}while((l|0)!=(g|0));return}default:switch(e|0){case 1:{if((a|0)>0){m=0.0;g=0;while(1){n=m+ +(h[b+g>>0]|0);g=g+1|0;if((g|0)==(a|0)){o=n;break}else m=n}}else o=0.0;p[c>>3]=o;if((i|0)>0){q=o;r=0}else return;do{q=q+(+(h[b+(r+a)>>0]|0)-+(h[b+r>>0]|0));r=r+1|0;p[c+(r<<3)>>3]=q}while((r|0)!=(i|0));return}case 3:{if((a|0)>0){q=0.0;o=0.0;m=0.0;r=0;while(1){n=m+ +(h[b+r>>0]|0);s=o+ +(h[b+(r+1)>>0]|0);t=q+ +(h[b+(r+2)>>0]|0);r=r+3|0;if((r|0)>=(a|0)){u=t;v=s;w=n;break}else{q=t;o=s;m=n}}}else{u=0.0;v=0.0;w=0.0}p[c>>3]=w;p[c+8>>3]=v;p[c+16>>3]=u;if((i|0)>0){x=u;y=v;z=w;A=0}else return;do{r=A+a|0;z=z+(+(h[b+r>>0]|0)-+(h[b+A>>0]|0));y=y+(+(h[b+(r+1)>>0]|0)-+(h[b+(A+1)>>0]|0));x=x+(+(h[b+(r+2)>>0]|0)-+(h[b+(A+2)>>0]|0));r=A;A=A+3|0;p[c+(A<<3)>>3]=z;p[c+(r+4<<3)>>3]=y;p[c+(r+5<<3)>>3]=x}while((A|0)<(i|0));return}case 4:{if((a|0)>0){x=0.0;y=0.0;z=0.0;w=0.0;A=0;while(1){v=w+ +(h[b+A>>0]|0);u=z+ +(h[b+(A|1)>>0]|0);m=y+ +(h[b+(A|2)>>0]|0);o=x+ +(h[b+(A|3)>>0]|0);A=A+4|0;if((A|0)>=(a|0)){B=o;C=m;D=u;E=v;break}else{x=o;y=m;z=u;w=v}}}else{B=0.0;C=0.0;D=0.0;E=0.0}p[c>>3]=E;p[c+8>>3]=D;p[c+16>>3]=C;p[c+24>>3]=B;if((i|0)>0){F=B;G=C;H=D;I=E;J=0}else return;do{A=J+a|0;I=I+(+(h[b+A>>0]|0)-+(h[b+J>>0]|0));H=H+(+(h[b+(A+1)>>0]|0)-+(h[b+(J|1)>>0]|0));G=G+(+(h[b+(A+2)>>0]|0)-+(h[b+(J|2)>>0]|0));F=F+(+(h[b+(A+3)>>0]|0)-+(h[b+(J|3)>>0]|0));A=J;J=J+4|0;p[c+(J<<3)>>3]=I;p[c+(A+5<<3)>>3]=H;p[c+(A+6<<3)>>3]=G;p[c+(A+7<<3)>>3]=F}while((J|0)<(i|0));return}default:{if((e|0)<=0)return;J=(i|0)>0;if((a|0)>0){A=0;r=c;g=b;while(1){F=0.0;l=0;do{F=F+ +(h[g+l>>0]|0);l=l+e|0}while((l|0)<(a|0));p[r>>3]=F;if(J){G=F;l=0;do{G=G+(+(h[g+(l+a)>>0]|0)-+(h[g+l>>0]|0));l=l+e|0;p[r+(l<<3)>>3]=G}while((l|0)<(i|0))}A=A+1|0;if((A|0)==(e|0))break;else{r=r+8|0;g=g+1|0}}return}if(J){K=0;L=c;M=b}else{Drc(c|0,0,e<<3|0)|0;return}while(1){p[L>>3]=0.0;G=0.0;c=0;do{G=G+(+(h[M+(c+a)>>0]|0)-+(h[M+c>>0]|0));c=c+e|0;p[L+(c<<3)>>3]=G}while((c|0)<(i|0));K=K+1|0;if((K|0)==(e|0))break;else{L=L+8|0;M=M+1|0}}return}}}}function W8(a){a=a|0;Emc(a);return}function X8(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Y8(a){a=a|0;Emc(a);return}function Z8(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;i=f[a+4>>2]|0;a=Y(i,g)|0;j=Y(e+-1|0,g)|0;switch(i|0){case 3:{i=Y(g,e)|0;if((i|0)<=0)return;k=g<<1;l=0;do{d[c+(l<<1)>>1]=(h[b+(l+g)>>0]|0)+(h[b+l>>0]|0)+(h[b+(l+k)>>0]|0);l=l+1|0}while((l|0)!=(i|0));return}case 5:{i=Y(g,e)|0;if((i|0)<=0)return;e=g<<1;l=g*3|0;k=g<<2;m=0;do{d[c+(m<<1)>>1]=(h[b+(m+g)>>0]|0)+(h[b+m>>0]|0)+(h[b+(m+e)>>0]|0)+(h[b+(m+l)>>0]|0)+(h[b+(m+k)>>0]|0);m=m+1|0}while((m|0)!=(i|0));return}default:switch(g|0){case 1:{if((a|0)>0){i=0;m=0;do{i=(h[b+m>>0]|0)+(i&65535)|0;m=m+1|0}while((m|0)!=(a|0));n=i&65535}else n=0;d[c>>1]=n;if((j|0)>0){o=n;p=0}else return;do{o=(h[b+(p+a)>>0]|0)+(o&65535)-(h[b+p>>0]|0)&65535;p=p+1|0;d[c+(p<<1)>>1]=o}while((p|0)!=(j|0));return}case 3:{if((a|0)>0){p=0;o=0;n=0;i=0;do{n=(h[b+i>>0]|0)+(n&65535)|0;o=(h[b+(i+1)>>0]|0)+(o&65535)|0;p=(h[b+(i+2)>>0]|0)+(p&65535)|0;i=i+3|0}while((i|0)<(a|0));q=p&65535;r=o&65535;s=n&65535}else{q=0;r=0;s=0}d[c>>1]=s;d[c+2>>1]=r;d[c+4>>1]=q;if((j|0)>0){t=q;u=r;v=s;w=0}else return;do{s=w+a|0;v=(h[b+s>>0]|0)+(v&65535)-(h[b+w>>0]|0)&65535;u=(h[b+(s+1)>>0]|0)+(u&65535)-(h[b+(w+1)>>0]|0)&65535;t=(h[b+(s+2)>>0]|0)+(t&65535)-(h[b+(w+2)>>0]|0)&65535;s=w;w=w+3|0;d[c+(w<<1)>>1]=v;d[c+(s+4<<1)>>1]=u;d[c+(s+5<<1)>>1]=t}while((w|0)<(j|0));return}case 4:{if((a|0)>0){w=0;t=0;u=0;v=0;s=0;do{v=(h[b+s>>0]|0)+(v&65535)|0;u=(h[b+(s|1)>>0]|0)+(u&65535)|0;t=(h[b+(s|2)>>0]|0)+(t&65535)|0;w=(h[b+(s|3)>>0]|0)+(w&65535)|0;s=s+4|0}while((s|0)<(a|0));x=w&65535;y=t&65535;z=u&65535;A=v&65535}else{x=0;y=0;z=0;A=0}d[c>>1]=A;d[c+2>>1]=z;d[c+4>>1]=y;d[c+6>>1]=x;if((j|0)>0){B=x;C=y;D=z;E=A;F=0}else return;do{A=F+a|0;E=(h[b+A>>0]|0)+(E&65535)-(h[b+F>>0]|0)&65535;D=(h[b+(A+1)>>0]|0)+(D&65535)-(h[b+(F|1)>>0]|0)&65535;C=(h[b+(A+2)>>0]|0)+(C&65535)-(h[b+(F|2)>>0]|0)&65535;B=(h[b+(A+3)>>0]|0)+(B&65535)-(h[b+(F|3)>>0]|0)&65535;A=F;F=F+4|0;d[c+(F<<1)>>1]=E;d[c+(A+5<<1)>>1]=D;d[c+(A+6<<1)>>1]=C;d[c+(A+7<<1)>>1]=B}while((F|0)<(j|0));return}default:{if((g|0)<=0)return;F=(j|0)>0;if((a|0)>0){B=0;C=c;D=b;while(1){E=0;A=0;do{E=(h[D+A>>0]|0)+(E&65535)|0;A=A+g|0}while((A|0)<(a|0));d[C>>1]=E;if(F){A=E;z=0;do{A=(h[D+(z+a)>>0]|0)+(A&65535)-(h[D+z>>0]|0)|0;z=z+g|0;d[C+(z<<1)>>1]=A}while((z|0)<(j|0))}B=B+1|0;if((B|0)==(g|0))break;else{C=C+2|0;D=D+1|0}}return}if(F){G=0;H=c;I=b}else{Drc(c|0,0,g<<1|0)|0;return}while(1){d[H>>1]=0;c=0;b=0;do{c=(h[I+(b+a)>>0]|0)+(c&65535)-(h[I+b>>0]|0)|0;b=b+g|0;d[H+(b<<1)>>1]=c}while((b|0)<(j|0));G=G+1|0;if((G|0)==(g|0))break;else{H=H+2|0;I=I+1|0}}return}}}}function _8(a){a=a|0;Emc(a);return}function $8(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function a9(a){a=a|0;Emc(a);return}function b9(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;g=f[a+4>>2]|0;a=Y(g,e)|0;i=Y(d+-1|0,e)|0;switch(g|0){case 3:{g=Y(e,d)|0;if((g|0)<=0)return;j=e<<1;k=0;do{f[c+(k<<2)>>2]=(h[b+(k+e)>>0]|0)+(h[b+k>>0]|0)+(h[b+(k+j)>>0]|0);k=k+1|0}while((k|0)!=(g|0));return}case 5:{g=Y(e,d)|0;if((g|0)<=0)return;d=e<<1;k=e*3|0;j=e<<2;l=0;do{f[c+(l<<2)>>2]=(h[b+(l+e)>>0]|0)+(h[b+l>>0]|0)+(h[b+(l+d)>>0]|0)+(h[b+(l+k)>>0]|0)+(h[b+(l+j)>>0]|0);l=l+1|0}while((l|0)!=(g|0));return}default:switch(e|0){case 1:{if((a|0)>0){g=0;l=0;while(1){j=(h[b+l>>0]|0)+g|0;l=l+1|0;if((l|0)==(a|0)){m=j;break}else g=j}}else m=0;f[c>>2]=m;if((i|0)>0){n=m;o=0}else return;do{n=(h[b+(o+a)>>0]|0)-(h[b+o>>0]|0)+n|0;o=o+1|0;f[c+(o<<2)>>2]=n}while((o|0)!=(i|0));return}case 3:{if((a|0)>0){o=0;n=0;m=0;g=0;while(1){l=(h[b+g>>0]|0)+m|0;j=(h[b+(g+1)>>0]|0)+n|0;k=(h[b+(g+2)>>0]|0)+o|0;g=g+3|0;if((g|0)>=(a|0)){p=k;q=j;r=l;break}else{o=k;n=j;m=l}}}else{p=0;q=0;r=0}f[c>>2]=r;f[c+4>>2]=q;f[c+8>>2]=p;if((i|0)>0){s=p;t=q;u=r;v=0}else return;do{r=v+a|0;u=(h[b+r>>0]|0)-(h[b+v>>0]|0)+u|0;t=(h[b+(r+1)>>0]|0)-(h[b+(v+1)>>0]|0)+t|0;s=(h[b+(r+2)>>0]|0)-(h[b+(v+2)>>0]|0)+s|0;r=v;v=v+3|0;f[c+(v<<2)>>2]=u;f[c+(r+4<<2)>>2]=t;f[c+(r+5<<2)>>2]=s}while((v|0)<(i|0));return}case 4:{if((a|0)>0){v=0;s=0;t=0;u=0;r=0;while(1){q=(h[b+r>>0]|0)+u|0;p=(h[b+(r|1)>>0]|0)+t|0;m=(h[b+(r|2)>>0]|0)+s|0;n=(h[b+(r|3)>>0]|0)+v|0;r=r+4|0;if((r|0)>=(a|0)){w=n;x=m;y=p;z=q;break}else{v=n;s=m;t=p;u=q}}}else{w=0;x=0;y=0;z=0}f[c>>2]=z;f[c+4>>2]=y;f[c+8>>2]=x;f[c+12>>2]=w;if((i|0)>0){A=w;B=x;C=y;D=z;E=0}else return;do{z=E+a|0;D=(h[b+z>>0]|0)-(h[b+E>>0]|0)+D|0;C=(h[b+(z+1)>>0]|0)-(h[b+(E|1)>>0]|0)+C|0;B=(h[b+(z+2)>>0]|0)-(h[b+(E|2)>>0]|0)+B|0;A=(h[b+(z+3)>>0]|0)-(h[b+(E|3)>>0]|0)+A|0;z=E;E=E+4|0;f[c+(E<<2)>>2]=D;f[c+(z+5<<2)>>2]=C;f[c+(z+6<<2)>>2]=B;f[c+(z+7<<2)>>2]=A}while((E|0)<(i|0));return}default:{if((e|0)<=0)return;E=(i|0)>0;if((a|0)>0){A=0;B=c;C=b;while(1){D=0;z=0;do{D=(h[C+z>>0]|0)+D|0;z=z+e|0}while((z|0)<(a|0));f[B>>2]=D;if(E){z=D;y=0;do{z=(h[C+(y+a)>>0]|0)-(h[C+y>>0]|0)+z|0;y=y+e|0;f[B+(y<<2)>>2]=z}while((y|0)<(i|0))}A=A+1|0;if((A|0)==(e|0))break;else{B=B+4|0;C=C+1|0}}return}if(E){F=0;G=c;H=b}else{Drc(c|0,0,e<<2|0)|0;return}while(1){f[G>>2]=0;c=0;b=0;do{c=(h[H+(b+a)>>0]|0)-(h[H+b>>0]|0)+c|0;b=b+e|0;f[G+(b<<2)>>2]=c}while((b|0)<(i|0));F=F+1|0;if((F|0)==(e|0))break;else{G=G+4|0;H=H+1|0}}return}}}}function c9(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0.0,w=0,x=0;i=u;u=u+16|0;j=i;k=i+8|0;l=c&7;m=d&7;if((d^c)&4088|0){f[k>>2]=0;f[k+4>>2]=0;n=YG(k,40)|0;o=256805;q=n+40|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(q|0));p8(-215,k,256846,1342)}o=(g|0)<0?(e|0)/2|0:g;g=(m|0)==0;n=(l|0)==4;if(n&g){q=Bmc(40)|0;Pba(q);f[q>>2]=55188;f[q+28>>2]=0;f[q+32>>2]=0;f[q+36>>2]=0;f[q+4>>2]=e;f[q+8>>2]=o;p[q+16>>3]=h;f[q+24>>2]=0;r=Bmc(16)|0;s=r+4|0;f[s>>2]=1;f[r>>2]=55212;f[r+8>>2]=q;f[a>>2]=r;f[a+4>>2]=q;f[s>>2]=(f[s>>2]|0)+1;q=f[s>>2]|0;f[s>>2]=q+-1;if((q|0)!=1){u=i;return}ai[f[(f[r>>2]|0)+8>>2]&2047](r);u=i;return}if((l|0)==2&g){r=Bmc(48)|0;Pba(r);f[r>>2]=55232;f[r+36>>2]=0;f[r+40>>2]=0;f[r+44>>2]=0;f[r+4>>2]=e;f[r+8>>2]=o;p[r+16>>3]=h;f[r+24>>2]=0;q=r+28|0;f[q>>2]=0;s=r+32|0;f[s>>2]=1;do if(h!=1.0){t=V9b(1.0/h)|0;v=8388608.0/+(t|0);w=~~v;x=w-(+(w|0)>v&1)|0;f[s>>2]=x;w=(t|0)/2|0;f[q>>2]=w;if(v-+(x|0)<.5){f[q>>2]=w+1;break}else{f[s>>2]=x+1;break}}while(0);s=Bmc(16)|0;q=s+4|0;f[q>>2]=1;f[s>>2]=55256;f[s+8>>2]=r;f[a>>2]=s;f[a+4>>2]=r;f[q>>2]=(f[q>>2]|0)+1;r=f[q>>2]|0;f[q>>2]=r+-1;if((r|0)!=1){u=i;return}ai[f[(f[s>>2]|0)+8>>2]&2047](s);u=i;return}s=(l|0)==6;if(s&g){g=Bmc(40)|0;Pba(g);f[g>>2]=55276;f[g+28>>2]=0;f[g+32>>2]=0;f[g+36>>2]=0;f[g+4>>2]=e;f[g+8>>2]=o;p[g+16>>3]=h;f[g+24>>2]=0;l=Bmc(16)|0;r=l+4|0;f[r>>2]=1;f[l>>2]=55300;f[l+8>>2]=g;f[a>>2]=l;f[a+4>>2]=g;f[r>>2]=(f[r>>2]|0)+1;g=f[r>>2]|0;f[r>>2]=g+-1;if((g|0)!=1){u=i;return}ai[f[(f[l>>2]|0)+8>>2]&2047](l);u=i;return}l=(m|0)==2;if(n&l){g=Bmc(40)|0;Pba(g);f[g>>2]=55320;f[g+28>>2]=0;f[g+32>>2]=0;f[g+36>>2]=0;f[g+4>>2]=e;f[g+8>>2]=o;p[g+16>>3]=h;f[g+24>>2]=0;r=Bmc(16)|0;q=r+4|0;f[q>>2]=1;f[r>>2]=55344;f[r+8>>2]=g;f[a>>2]=r;f[a+4>>2]=g;f[q>>2]=(f[q>>2]|0)+1;g=f[q>>2]|0;f[q>>2]=g+-1;if((g|0)!=1){u=i;return}ai[f[(f[r>>2]|0)+8>>2]&2047](r);u=i;return}if(s&l){l=Bmc(40)|0;Pba(l);f[l>>2]=55364;f[l+28>>2]=0;f[l+32>>2]=0;f[l+36>>2]=0;f[l+4>>2]=e;f[l+8>>2]=o;p[l+16>>3]=h;f[l+24>>2]=0;r=Bmc(16)|0;g=r+4|0;f[g>>2]=1;f[r>>2]=55388;f[r+8>>2]=l;f[a>>2]=r;f[a+4>>2]=l;f[g>>2]=(f[g>>2]|0)+1;l=f[g>>2]|0;f[g>>2]=l+-1;if((l|0)!=1){u=i;return}ai[f[(f[r>>2]|0)+8>>2]&2047](r);u=i;return}r=(m|0)==3;if(n&r){l=Bmc(40)|0;Pba(l);f[l>>2]=55408;f[l+28>>2]=0;f[l+32>>2]=0;f[l+36>>2]=0;f[l+4>>2]=e;f[l+8>>2]=o;p[l+16>>3]=h;f[l+24>>2]=0;g=Bmc(16)|0;q=g+4|0;f[q>>2]=1;f[g>>2]=55432;f[g+8>>2]=l;f[a>>2]=g;f[a+4>>2]=l;f[q>>2]=(f[q>>2]|0)+1;l=f[q>>2]|0;f[q>>2]=l+-1;if((l|0)!=1){u=i;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);u=i;return}if(s&r){r=Bmc(40)|0;Pba(r);f[r>>2]=55452;f[r+28>>2]=0;f[r+32>>2]=0;f[r+36>>2]=0;f[r+4>>2]=e;f[r+8>>2]=o;p[r+16>>3]=h;f[r+24>>2]=0;g=Bmc(16)|0;l=g+4|0;f[l>>2]=1;f[g>>2]=55476;f[g+8>>2]=r;f[a>>2]=g;f[a+4>>2]=r;f[l>>2]=(f[l>>2]|0)+1;r=f[l>>2]|0;f[l>>2]=r+-1;if((r|0)!=1){u=i;return}ai[f[(f[g>>2]|0)+8>>2]&2047](g);u=i;return}if(n&(m|0)==4){g=Bmc(40)|0;Pba(g);f[g>>2]=55496;f[g+28>>2]=0;f[g+32>>2]=0;f[g+36>>2]=0;f[g+4>>2]=e;f[g+8>>2]=o;p[g+16>>3]=h;f[g+24>>2]=0;r=Bmc(16)|0;l=r+4|0;f[l>>2]=1;f[r>>2]=55520;f[r+8>>2]=g;f[a>>2]=r;f[a+4>>2]=g;f[l>>2]=(f[l>>2]|0)+1;g=f[l>>2]|0;f[l>>2]=g+-1;if((g|0)!=1){u=i;return}ai[f[(f[r>>2]|0)+8>>2]&2047](r);u=i;return}r=(m|0)==5;if(n&r){g=Bmc(40)|0;Pba(g);f[g>>2]=55540;f[g+28>>2]=0;f[g+32>>2]=0;f[g+36>>2]=0;f[g+4>>2]=e;f[g+8>>2]=o;p[g+16>>3]=h;f[g+24>>2]=0;l=Bmc(16)|0;q=l+4|0;f[q>>2]=1;f[l>>2]=55564;f[l+8>>2]=g;f[a>>2]=l;f[a+4>>2]=g;f[q>>2]=(f[q>>2]|0)+1;g=f[q>>2]|0;f[q>>2]=g+-1;if((g|0)!=1){u=i;return}ai[f[(f[l>>2]|0)+8>>2]&2047](l);u=i;return}if(s&r){r=Bmc(40)|0;Pba(r);f[r>>2]=55584;f[r+28>>2]=0;f[r+32>>2]=0;f[r+36>>2]=0;f[r+4>>2]=e;f[r+8>>2]=o;p[r+16>>3]=h;f[r+24>>2]=0;l=Bmc(16)|0;g=l+4|0;f[g>>2]=1;f[l>>2]=55608;f[l+8>>2]=r;f[a>>2]=l;f[a+4>>2]=r;f[g>>2]=(f[g>>2]|0)+1;r=f[g>>2]|0;f[g>>2]=r+-1;if((r|0)!=1){u=i;return}ai[f[(f[l>>2]|0)+8>>2]&2047](l);u=i;return}l=(m|0)==6;if(n&l){n=Bmc(40)|0;Pba(n);f[n>>2]=55628;f[n+28>>2]=0;f[n+32>>2]=0;f[n+36>>2]=0;f[n+4>>2]=e;f[n+8>>2]=o;p[n+16>>3]=h;f[n+24>>2]=0;m=Bmc(16)|0;r=m+4|0;f[r>>2]=1;f[m>>2]=55652;f[m+8>>2]=n;f[a>>2]=m;f[a+4>>2]=n;f[r>>2]=(f[r>>2]|0)+1;n=f[r>>2]|0;f[r>>2]=n+-1;if((n|0)!=1){u=i;return}ai[f[(f[m>>2]|0)+8>>2]&2047](m);u=i;return}if(!(s&l)){f[j>>2]=c;f[j+4>>2]=d;aR(k,256865,j);p8(-213,k,256846,1374)}k=Bmc(40)|0;Pba(k);f[k>>2]=55672;f[k+28>>2]=0;f[k+32>>2]=0;f[k+36>>2]=0;f[k+4>>2]=e;f[k+8>>2]=o;p[k+16>>3]=h;f[k+24>>2]=0;o=Bmc(16)|0;e=o+4|0;f[e>>2]=1;f[o>>2]=55696;f[o+8>>2]=k;f[a>>2]=o;f[a+4>>2]=k;f[e>>2]=(f[e>>2]|0)+1;k=f[e>>2]|0;f[e>>2]=k+-1;if((k|0)!=1){u=i;return}ai[f[(f[o>>2]|0)+8>>2]&2047](o);u=i;return}function d9(a){a=a|0;Emc(a);return}function e9(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function f9(a){a=a|0;var b=0,c=0;f[a>>2]=55672;b=f[a+28>>2]|0;if(!b)return;c=a+32|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-8-b|0)>>>3)<<3);Emc(b);return}function g9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=55672;b=f[a+28>>2]|0;if(!b){Emc(a);return}c=a+32|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-8-b|0)>>>3)<<3);Emc(b);Emc(a);return}function h9(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0.0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0.0,J=0.0,K=0;i=u;u=u+16|0;j=i;k=+p[a+16>>3];l=k!=1.0;m=a+28|0;n=a+32|0;o=f[n>>2]|0;q=f[m>>2]|0;r=o-q>>3;s=q;do if((r|0)==(h|0)){q=a+24|0;t=f[q>>2]|0;if(t){v=f[a+4>>2]|0;if((t|0)==(v+-1|0)){w=c+(t<<2)|0;x=v;y=s;break}else{f[j>>2]=0;f[j+4>>2]=0;v=YG(j,19)|0;t=257011;z=v+19|0;do{b[v>>0]=b[t>>0]|0;v=v+1|0;t=t+1|0}while((v|0)<(z|0));p8(-215,j,523657,232)}}else{A=q;B=s;C=9}}else{t=o;if(r>>>0>=h>>>0)if(r>>>0>h>>>0?(v=s+(h<<3)|0,(t|0)!=(v|0)):0){f[n>>2]=t+(~((t+-8-v|0)>>>3)<<3);D=s}else D=s;else{m6(m,h-r|0);D=f[m>>2]|0}v=a+24|0;f[v>>2]=0;A=v;B=D;C=9}while(0);if((C|0)==9){Drc(B|0,0,h<<3|0)|0;C=f[A>>2]|0;D=f[a+4>>2]|0;a=D+-1|0;if((C|0)<(a|0)){if((h|0)>0){m=c;r=C;while(1){s=f[m>>2]|0;n=0;do{o=B+(n<<3)|0;p[o>>3]=+p[s+(n<<3)>>3]+ +p[o>>3];n=n+1|0}while((n|0)!=(h|0));n=r+1|0;s=m+4|0;if((n|0)<(a|0)){m=s;r=n}else{E=n;F=s;break}}}else{r=C+1|0;m=(a|0)>(r|0)?a:r;E=m;F=c+(m-C<<2)|0}f[A>>2]=E;w=F;x=D;y=B}else{w=c;x=D;y=B}}if(!g){u=i;return}B=1-x|0;x=h+-2|0;D=(h|0)<2;c=h&-2;F=d;d=w;w=g;while(1){w=w+-1|0;g=f[d>>2]|0;E=f[d+(B<<2)>>2]|0;if(l){if(D)G=0;else{A=0;do{C=y+(A<<3)|0;H=+p[C>>3]+ +p[g+(A<<3)>>3];m=A|1;r=y+(m<<3)|0;I=+p[r>>3]+ +p[g+(m<<3)>>3];p[F+(A<<3)>>3]=k*H;p[F+(m<<3)>>3]=k*I;J=I-+p[E+(m<<3)>>3];p[C>>3]=H-+p[E+(A<<3)>>3];p[r>>3]=J;A=A+2|0}while((A|0)<=(x|0));G=c}if((G|0)<(h|0)){A=G;do{r=y+(A<<3)|0;J=+p[r>>3]+ +p[g+(A<<3)>>3];p[F+(A<<3)>>3]=k*J;p[r>>3]=J-+p[E+(A<<3)>>3];A=A+1|0}while((A|0)!=(h|0))}}else{if(D)K=0;else{A=0;do{r=y+(A<<3)|0;J=+p[r>>3]+ +p[g+(A<<3)>>3];C=A|1;m=y+(C<<3)|0;H=+p[m>>3]+ +p[g+(C<<3)>>3];p[F+(A<<3)>>3]=J;p[F+(C<<3)>>3]=H;I=H-+p[E+(C<<3)>>3];p[r>>3]=J-+p[E+(A<<3)>>3];p[m>>3]=I;A=A+2|0}while((A|0)<=(x|0));K=c}if((K|0)<(h|0)){A=K;do{m=y+(A<<3)|0;I=+p[m>>3]+ +p[g+(A<<3)>>3];p[F+(A<<3)>>3]=I;p[m>>3]=I-+p[E+(A<<3)>>3];A=A+1|0}while((A|0)!=(h|0))}}if(!w)break;else{F=F+e|0;d=d+4|0}}u=i;return}function i9(a){a=a|0;f[a+24>>2]=0;return}function j9(a){a=a|0;Emc(a);return}function k9(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function l9(a){a=a|0;var b=0,c=0;f[a>>2]=55628;b=f[a+28>>2]|0;if(!b)return;c=a+32|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-4-b|0)>>>2)<<2);Emc(b);return}function m9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=55628;b=f[a+28>>2]|0;if(!b){Emc(a);return}c=a+32|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b);Emc(a);return}function n9(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0.0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;i=u;u=u+16|0;j=i;k=+p[a+16>>3];l=k!=1.0;m=a+28|0;n=a+32|0;o=f[n>>2]|0;q=f[m>>2]|0;r=o-q>>2;s=q;do if((r|0)==(h|0)){q=a+24|0;t=f[q>>2]|0;if(t){v=f[a+4>>2]|0;if((t|0)==(v+-1|0)){w=c+(t<<2)|0;x=v;y=s;break}else{f[j>>2]=0;f[j+4>>2]=0;v=YG(j,19)|0;t=257011;z=v+19|0;do{b[v>>0]=b[t>>0]|0;v=v+1|0;t=t+1|0}while((v|0)<(z|0));p8(-215,j,523657,232)}}else{A=q;B=s;C=9}}else{t=o;if(r>>>0>=h>>>0)if(r>>>0>h>>>0?(v=s+(h<<2)|0,(t|0)!=(v|0)):0){f[n>>2]=t+(~((t+-4-v|0)>>>2)<<2);D=s}else D=s;else{$C(m,h-r|0);D=f[m>>2]|0}v=a+24|0;f[v>>2]=0;A=v;B=D;C=9}while(0);do if((C|0)==9){Drc(B|0,0,h<<2|0)|0;D=f[A>>2]|0;m=a+4|0;r=f[m>>2]|0;s=r+-1|0;if((D|0)<(s|0)){if((h|0)>0)E=c;else{n=c;o=D;do{o=o+1|0;n=n+4|0}while((o|0)<(s|0));f[A>>2]=o;w=n;x=r;y=B;break}while(1){s=f[E>>2]|0;q=0;do{D=B+(q<<2)|0;f[D>>2]=(f[D>>2]|0)+(f[s+(q<<2)>>2]|0);q=q+1|0}while((q|0)!=(h|0));q=(f[A>>2]|0)+1|0;f[A>>2]=q;s=E+4|0;D=f[m>>2]|0;if((q|0)<(D+-1|0))E=s;else{w=s;x=D;y=B;break}}}else{w=c;x=r;y=B}}while(0);if(!g){u=i;return}B=a+4|0;a=h+-2|0;c=(h|0)<2;E=h&-2;A=d;d=w;w=g;g=x;while(1){x=w+-1|0;C=f[d>>2]|0;m=f[d+(1-g<<2)>>2]|0;if(l){if(c)F=0;else{n=0;do{o=y+(n<<2)|0;D=(f[C+(n<<2)>>2]|0)+(f[o>>2]|0)|0;s=n|1;q=y+(s<<2)|0;j=(f[C+(s<<2)>>2]|0)+(f[q>>2]|0)|0;p[A+(n<<3)>>3]=k*+(D|0);p[A+(s<<3)>>3]=k*+(j|0);v=j-(f[m+(s<<2)>>2]|0)|0;f[o>>2]=D-(f[m+(n<<2)>>2]|0);f[q>>2]=v;n=n+2|0}while((n|0)<=(a|0));F=E}if((F|0)<(h|0)){n=F;do{r=y+(n<<2)|0;v=(f[C+(n<<2)>>2]|0)+(f[r>>2]|0)|0;p[A+(n<<3)>>3]=k*+(v|0);f[r>>2]=v-(f[m+(n<<2)>>2]|0);n=n+1|0}while((n|0)!=(h|0))}}else{if(c)G=0;else{n=0;do{v=y+(n<<2)|0;r=(f[C+(n<<2)>>2]|0)+(f[v>>2]|0)|0;q=n|1;D=y+(q<<2)|0;o=(f[C+(q<<2)>>2]|0)+(f[D>>2]|0)|0;p[A+(n<<3)>>3]=+(r|0);p[A+(q<<3)>>3]=+(o|0);s=o-(f[m+(q<<2)>>2]|0)|0;f[v>>2]=r-(f[m+(n<<2)>>2]|0);f[D>>2]=s;n=n+2|0}while((n|0)<=(a|0));G=E}if((G|0)<(h|0)){n=G;do{s=y+(n<<2)|0;D=(f[C+(n<<2)>>2]|0)+(f[s>>2]|0)|0;p[A+(n<<3)>>3]=+(D|0);f[s>>2]=D-(f[m+(n<<2)>>2]|0);n=n+1|0}while((n|0)!=(h|0))}}if(!x)break;A=A+e|0;d=d+4|0;w=x;g=f[B>>2]|0}u=i;return}function o9(a){a=a|0;f[a+24>>2]=0;return}function p9(a){a=a|0;Emc(a);return}function q9(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function r9(a){a=a|0;var b=0,c=0;f[a>>2]=55584;b=f[a+28>>2]|0;if(!b)return;c=a+32|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-8-b|0)>>>3)<<3);Emc(b);return}function s9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=55584;b=f[a+28>>2]|0;if(!b){Emc(a);return}c=a+32|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-8-b|0)>>>3)<<3);Emc(b);Emc(a);return}function t9(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0.0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0;i=u;u=u+16|0;j=i;k=+p[a+16>>3];l=k!=1.0;m=a+28|0;o=a+32|0;q=f[o>>2]|0;r=f[m>>2]|0;s=q-r>>3;t=r;do if((s|0)==(h|0)){r=a+24|0;v=f[r>>2]|0;if(v){w=f[a+4>>2]|0;if((v|0)==(w+-1|0)){x=c+(v<<2)|0;y=w;z=t;break}else{f[j>>2]=0;f[j+4>>2]=0;w=YG(j,19)|0;v=257011;A=w+19|0;do{b[w>>0]=b[v>>0]|0;w=w+1|0;v=v+1|0}while((w|0)<(A|0));p8(-215,j,523657,232)}}else{B=r;C=t;D=9}}else{v=q;if(s>>>0>=h>>>0)if(s>>>0>h>>>0?(w=t+(h<<3)|0,(v|0)!=(w|0)):0){f[o>>2]=v+(~((v+-8-w|0)>>>3)<<3);E=t}else E=t;else{m6(m,h-s|0);E=f[m>>2]|0}w=a+24|0;f[w>>2]=0;B=w;C=E;D=9}while(0);if((D|0)==9){Drc(C|0,0,h<<3|0)|0;D=f[B>>2]|0;E=f[a+4>>2]|0;a=E+-1|0;if((D|0)<(a|0)){if((h|0)>0){m=c;s=D;while(1){t=f[m>>2]|0;o=0;do{q=C+(o<<3)|0;p[q>>3]=+p[t+(o<<3)>>3]+ +p[q>>3];o=o+1|0}while((o|0)!=(h|0));o=s+1|0;t=m+4|0;if((o|0)<(a|0)){m=t;s=o}else{F=o;G=t;break}}}else{s=D+1|0;m=(a|0)>(s|0)?a:s;F=m;G=c+(m-D<<2)|0}f[B>>2]=F;x=G;y=E;z=C}else{x=c;y=E;z=C}}if(!g){u=i;return}C=1-y|0;y=h+-2|0;E=(h|0)<2;c=h&-2;G=d;d=x;x=g;while(1){x=x+-1|0;g=f[d>>2]|0;F=f[d+(C<<2)>>2]|0;if(l){if(E)H=0;else{B=0;do{D=z+(B<<3)|0;I=+p[D>>3]+ +p[g+(B<<3)>>3];m=B|1;s=z+(m<<3)|0;J=+p[s>>3]+ +p[g+(m<<3)>>3];n[G+(B<<2)>>2]=k*I;n[G+(m<<2)>>2]=k*J;K=J-+p[F+(m<<3)>>3];p[D>>3]=I-+p[F+(B<<3)>>3];p[s>>3]=K;B=B+2|0}while((B|0)<=(y|0));H=c}if((H|0)<(h|0)){B=H;do{s=z+(B<<3)|0;K=+p[s>>3]+ +p[g+(B<<3)>>3];n[G+(B<<2)>>2]=k*K;p[s>>3]=K-+p[F+(B<<3)>>3];B=B+1|0}while((B|0)!=(h|0))}}else{if(E)L=0;else{B=0;do{s=z+(B<<3)|0;K=+p[s>>3]+ +p[g+(B<<3)>>3];D=B|1;m=z+(D<<3)|0;I=+p[m>>3]+ +p[g+(D<<3)>>3];n[G+(B<<2)>>2]=K;n[G+(D<<2)>>2]=I;J=I-+p[F+(D<<3)>>3];p[s>>3]=K-+p[F+(B<<3)>>3];p[m>>3]=J;B=B+2|0}while((B|0)<=(y|0));L=c}if((L|0)<(h|0)){B=L;do{m=z+(B<<3)|0;J=+p[m>>3]+ +p[g+(B<<3)>>3];n[G+(B<<2)>>2]=J;p[m>>3]=J-+p[F+(B<<3)>>3];B=B+1|0}while((B|0)!=(h|0))}}if(!x)break;else{G=G+e|0;d=d+4|0}}u=i;return}function u9(a){a=a|0;f[a+24>>2]=0;return}function v9(a){a=a|0;Emc(a);return}function w9(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function x9(a){a=a|0;var b=0,c=0;f[a>>2]=55540;b=f[a+28>>2]|0;if(!b)return;c=a+32|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-4-b|0)>>>2)<<2);Emc(b);return}function y9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=55540;b=f[a+28>>2]|0;if(!b){Emc(a);return}c=a+32|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b);Emc(a);return}function z9(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0.0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;i=u;u=u+16|0;j=i;k=+p[a+16>>3];l=k!=1.0;m=a+28|0;o=a+32|0;q=f[o>>2]|0;r=f[m>>2]|0;s=q-r>>2;t=r;do if((s|0)==(h|0)){r=a+24|0;v=f[r>>2]|0;if(v){w=f[a+4>>2]|0;if((v|0)==(w+-1|0)){x=c+(v<<2)|0;y=w;z=t;break}else{f[j>>2]=0;f[j+4>>2]=0;w=YG(j,19)|0;v=257011;A=w+19|0;do{b[w>>0]=b[v>>0]|0;w=w+1|0;v=v+1|0}while((w|0)<(A|0));p8(-215,j,523657,990)}}else{B=r;C=t;D=9}}else{v=q;if(s>>>0>=h>>>0)if(s>>>0>h>>>0?(w=t+(h<<2)|0,(v|0)!=(w|0)):0){f[o>>2]=v+(~((v+-4-w|0)>>>2)<<2);E=t}else E=t;else{$C(m,h-s|0);E=f[m>>2]|0}w=a+24|0;f[w>>2]=0;B=w;C=E;D=9}while(0);do if((D|0)==9){Drc(C|0,0,h<<2|0)|0;E=f[B>>2]|0;m=a+4|0;s=f[m>>2]|0;t=s+-1|0;if((E|0)<(t|0)){if((h|0)>0)F=c;else{o=c;q=E;do{q=q+1|0;o=o+4|0}while((q|0)<(t|0));f[B>>2]=q;x=o;y=s;z=C;break}while(1){t=f[F>>2]|0;r=0;do{E=C+(r<<2)|0;f[E>>2]=(f[E>>2]|0)+(f[t+(r<<2)>>2]|0);r=r+1|0}while((r|0)!=(h|0));r=(f[B>>2]|0)+1|0;f[B>>2]=r;t=F+4|0;E=f[m>>2]|0;if((r|0)<(E+-1|0))F=t;else{x=t;y=E;z=C;break}}}else{x=c;y=s;z=C}}while(0);C=g+-1|0;if(!g){u=i;return}g=a+4|0;a=(h|0)>0;if(l){l=d;c=x;F=y;B=C;while(1){D=f[c>>2]|0;m=f[c+(1-F<<2)>>2]|0;if(a){o=0;do{q=z+(o<<2)|0;E=(f[D+(o<<2)>>2]|0)+(f[q>>2]|0)|0;n[l+(o<<2)>>2]=k*+(E|0);f[q>>2]=E-(f[m+(o<<2)>>2]|0);o=o+1|0}while((o|0)!=(h|0))}if(!B)break;l=l+e|0;c=c+4|0;F=f[g>>2]|0;B=B+-1|0}u=i;return}if(a){G=d;H=x;I=C;J=y}else{u=i;return}while(1){y=f[H>>2]|0;C=f[H+(1-J<<2)>>2]|0;x=0;do{d=z+(x<<2)|0;a=(f[y+(x<<2)>>2]|0)+(f[d>>2]|0)|0;n[G+(x<<2)>>2]=+(a|0);f[d>>2]=a-(f[C+(x<<2)>>2]|0);x=x+1|0}while((x|0)!=(h|0));if(!I)break;G=G+e|0;H=H+4|0;I=I+-1|0;J=f[g>>2]|0}u=i;return}function A9(a){a=a|0;f[a+24>>2]=0;return}function B9(a){a=a|0;Emc(a);return}function C9(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function D9(a){a=a|0;var b=0,c=0;f[a>>2]=55496;b=f[a+28>>2]|0;if(!b)return;c=a+32|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-4-b|0)>>>2)<<2);Emc(b);return}function E9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=55496;b=f[a+28>>2]|0;if(!b){Emc(a);return}c=a+32|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b);Emc(a);return}function F9(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0.0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;i=u;u=u+16|0;j=i;k=+p[a+16>>3];l=k!=1.0;m=a+28|0;n=a+32|0;o=f[n>>2]|0;q=f[m>>2]|0;r=o-q>>2;s=q;do if((r|0)==(h|0)){q=a+24|0;t=f[q>>2]|0;if(t){v=f[a+4>>2]|0;if((t|0)==(v+-1|0)){w=c+(t<<2)|0;x=v;y=s;break}else{f[j>>2]=0;f[j+4>>2]=0;v=YG(j,19)|0;t=257011;z=v+19|0;do{b[v>>0]=b[t>>0]|0;v=v+1|0;t=t+1|0}while((v|0)<(z|0));p8(-215,j,523657,870)}}else{A=q;B=s;C=9}}else{t=o;if(r>>>0>=h>>>0)if(r>>>0>h>>>0?(v=s+(h<<2)|0,(t|0)!=(v|0)):0){f[n>>2]=t+(~((t+-4-v|0)>>>2)<<2);D=s}else D=s;else{$C(m,h-r|0);D=f[m>>2]|0}v=a+24|0;f[v>>2]=0;A=v;B=D;C=9}while(0);do if((C|0)==9){Drc(B|0,0,h<<2|0)|0;D=f[A>>2]|0;m=a+4|0;r=f[m>>2]|0;s=r+-1|0;if((D|0)<(s|0)){if((h|0)>0)E=c;else{n=c;o=D;do{o=o+1|0;n=n+4|0}while((o|0)<(s|0));f[A>>2]=o;w=n;x=r;y=B;break}while(1){s=f[E>>2]|0;q=0;do{D=B+(q<<2)|0;f[D>>2]=(f[D>>2]|0)+(f[s+(q<<2)>>2]|0);q=q+1|0}while((q|0)!=(h|0));q=(f[A>>2]|0)+1|0;f[A>>2]=q;s=E+4|0;D=f[m>>2]|0;if((q|0)<(D+-1|0))E=s;else{w=s;x=D;y=B;break}}}else{w=c;x=r;y=B}}while(0);B=g+-1|0;if(!g){u=i;return}g=a+4|0;a=(h|0)>0;if(l){l=d;c=w;E=x;A=B;while(1){C=f[c>>2]|0;m=f[c+(1-E<<2)>>2]|0;if(a){n=0;do{o=y+(n<<2)|0;D=(f[C+(n<<2)>>2]|0)+(f[o>>2]|0)|0;s=V9b(k*+(D|0))|0;f[l+(n<<2)>>2]=s;f[o>>2]=D-(f[m+(n<<2)>>2]|0);n=n+1|0}while((n|0)!=(h|0))}if(!A)break;l=l+e|0;c=c+4|0;E=f[g>>2]|0;A=A+-1|0}u=i;return}if(a){F=d;G=w;H=B;I=x}else{u=i;return}while(1){x=f[G>>2]|0;B=f[G+(1-I<<2)>>2]|0;w=0;do{d=y+(w<<2)|0;a=(f[x+(w<<2)>>2]|0)+(f[d>>2]|0)|0;f[F+(w<<2)>>2]=a;f[d>>2]=a-(f[B+(w<<2)>>2]|0);w=w+1|0}while((w|0)!=(h|0));if(!H)break;F=F+e|0;G=G+4|0;H=H+-1|0;I=f[g>>2]|0}u=i;return}function G9(a){a=a|0;f[a+24>>2]=0;return}function H9(a){a=a|0;Emc(a);return}function I9(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function J9(a){a=a|0;var b=0,c=0;f[a>>2]=55452;b=f[a+28>>2]|0;if(!b)return;c=a+32|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-8-b|0)>>>3)<<3);Emc(b);return}function K9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=55452;b=f[a+28>>2]|0;if(!b){Emc(a);return}c=a+32|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-8-b|0)>>>3)<<3);Emc(b);Emc(a);return}function L9(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0.0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0;j=u;u=u+16|0;k=j;l=+p[a+16>>3];m=l!=1.0;n=a+28|0;o=a+32|0;q=f[o>>2]|0;r=f[n>>2]|0;s=q-r>>3;t=r;do if((s|0)==(i|0)){r=a+24|0;v=f[r>>2]|0;if(v){w=f[a+4>>2]|0;if((v|0)==(w+-1|0)){x=c+(v<<2)|0;y=w;z=t;break}else{f[k>>2]=0;f[k+4>>2]=0;w=YG(k,19)|0;v=257011;A=w+19|0;do{b[w>>0]=b[v>>0]|0;w=w+1|0;v=v+1|0}while((w|0)<(A|0));p8(-215,k,523657,232)}}else{B=r;C=t;D=9}}else{v=q;if(s>>>0>=i>>>0)if(s>>>0>i>>>0?(w=t+(i<<3)|0,(v|0)!=(w|0)):0){f[o>>2]=v+(~((v+-8-w|0)>>>3)<<3);E=t}else E=t;else{m6(n,i-s|0);E=f[n>>2]|0}w=a+24|0;f[w>>2]=0;B=w;C=E;D=9}while(0);if((D|0)==9){Drc(C|0,0,i<<3|0)|0;D=f[B>>2]|0;E=f[a+4>>2]|0;a=E+-1|0;if((D|0)<(a|0)){if((i|0)>0){n=c;s=D;while(1){t=f[n>>2]|0;o=0;do{q=C+(o<<3)|0;p[q>>3]=+p[t+(o<<3)>>3]+ +p[q>>3];o=o+1|0}while((o|0)!=(i|0));o=s+1|0;t=n+4|0;if((o|0)<(a|0)){n=t;s=o}else{F=o;G=t;break}}}else{s=D+1|0;n=(a|0)>(s|0)?a:s;F=n;G=c+(n-D<<2)|0}f[B>>2]=F;x=G;y=E;z=C}else{x=c;y=E;z=C}}if(!h){u=j;return}C=1-y|0;y=i+-2|0;E=(i|0)<2;c=i&-2;G=e;e=x;x=h;while(1){x=x+-1|0;h=f[e>>2]|0;F=f[e+(C<<2)>>2]|0;if(m){if(E)H=0;else{B=0;do{D=z+(B<<3)|0;I=+p[D>>3]+ +p[h+(B<<3)>>3];n=B|1;s=z+(n<<3)|0;J=+p[s>>3]+ +p[h+(n<<3)>>3];a=V9b(l*I)|0;d[G+(B<<1)>>1]=(a+32768|0)>>>0<65536?a:(a|0)>0?32767:32768;a=V9b(l*J)|0;d[G+(n<<1)>>1]=(a+32768|0)>>>0<65536?a:(a|0)>0?32767:32768;K=J-+p[F+(n<<3)>>3];p[D>>3]=I-+p[F+(B<<3)>>3];p[s>>3]=K;B=B+2|0}while((B|0)<=(y|0));H=c}if((H|0)<(i|0)){B=H;do{s=z+(B<<3)|0;K=+p[s>>3]+ +p[h+(B<<3)>>3];D=V9b(l*K)|0;d[G+(B<<1)>>1]=(D+32768|0)>>>0<65536?D:(D|0)>0?32767:32768;p[s>>3]=K-+p[F+(B<<3)>>3];B=B+1|0}while((B|0)!=(i|0))}}else{if(E)L=0;else{B=0;do{s=z+(B<<3)|0;K=+p[s>>3]+ +p[h+(B<<3)>>3];D=B|1;n=z+(D<<3)|0;I=+p[n>>3]+ +p[h+(D<<3)>>3];a=V9b(K)|0;d[G+(B<<1)>>1]=(a+32768|0)>>>0<65536?a:(a|0)>0?32767:32768;a=V9b(I)|0;d[G+(D<<1)>>1]=(a+32768|0)>>>0<65536?a:(a|0)>0?32767:32768;J=I-+p[F+(D<<3)>>3];p[s>>3]=K-+p[F+(B<<3)>>3];p[n>>3]=J;B=B+2|0}while((B|0)<=(y|0));L=c}if((L|0)<(i|0)){B=L;do{n=z+(B<<3)|0;J=+p[n>>3]+ +p[h+(B<<3)>>3];s=V9b(J)|0;d[G+(B<<1)>>1]=(s+32768|0)>>>0<65536?s:(s|0)>0?32767:32768;p[n>>3]=J-+p[F+(B<<3)>>3];B=B+1|0}while((B|0)!=(i|0))}}if(!x)break;else{G=G+g|0;e=e+4|0}}u=j;return}function M9(a){a=a|0;f[a+24>>2]=0;return}function N9(a){a=a|0;Emc(a);return}function O9(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function P9(a){a=a|0;var b=0,c=0;f[a>>2]=55408;b=f[a+28>>2]|0;if(!b)return;c=a+32|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-4-b|0)>>>2)<<2);Emc(b);return}function Q9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=55408;b=f[a+28>>2]|0;if(!b){Emc(a);return}c=a+32|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b);Emc(a);return}function R9(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0.0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;j=u;u=u+16|0;k=j;l=+p[a+16>>3];m=l!=1.0;n=a+28|0;o=a+32|0;q=f[o>>2]|0;r=f[n>>2]|0;s=q-r>>2;t=r;do if((s|0)==(i|0)){r=a+24|0;v=f[r>>2]|0;if(v){w=f[a+4>>2]|0;if((v|0)==(w+-1|0)){x=c+(v<<2)|0;y=w;z=t;break}else{f[k>>2]=0;f[k+4>>2]=0;w=YG(k,19)|0;v=257011;A=w+19|0;do{b[w>>0]=b[v>>0]|0;w=w+1|0;v=v+1|0}while((w|0)<(A|0));p8(-215,k,523657,618)}}else{B=r;C=t;D=9}}else{v=q;if(s>>>0>=i>>>0)if(s>>>0>i>>>0?(w=t+(i<<2)|0,(v|0)!=(w|0)):0){f[o>>2]=v+(~((v+-4-w|0)>>>2)<<2);E=t}else E=t;else{$C(n,i-s|0);E=f[n>>2]|0}w=a+24|0;f[w>>2]=0;B=w;C=E;D=9}while(0);do if((D|0)==9){Drc(C|0,0,i<<2|0)|0;E=f[B>>2]|0;n=a+4|0;s=f[n>>2]|0;t=s+-1|0;if((E|0)<(t|0)){if((i|0)>0)F=c;else{o=c;q=E;do{q=q+1|0;o=o+4|0}while((q|0)<(t|0));f[B>>2]=q;x=o;y=s;z=C;break}while(1){t=f[F>>2]|0;r=0;do{E=C+(r<<2)|0;f[E>>2]=(f[E>>2]|0)+(f[t+(r<<2)>>2]|0);r=r+1|0}while((r|0)!=(i|0));r=(f[B>>2]|0)+1|0;f[B>>2]=r;t=F+4|0;E=f[n>>2]|0;if((r|0)<(E+-1|0))F=t;else{x=t;y=E;z=C;break}}}else{x=c;y=s;z=C}}while(0);C=h+-1|0;if(!h){u=j;return}h=a+4|0;a=(i|0)>0;if(m){m=e;c=x;F=y;B=C;while(1){D=f[c>>2]|0;n=f[c+(1-F<<2)>>2]|0;if(a){o=0;do{q=z+(o<<2)|0;E=(f[D+(o<<2)>>2]|0)+(f[q>>2]|0)|0;t=V9b(l*+(E|0))|0;d[m+(o<<1)>>1]=(t+32768|0)>>>0<65536?t:(t|0)>0?32767:32768;f[q>>2]=E-(f[n+(o<<2)>>2]|0);o=o+1|0}while((o|0)!=(i|0))}if(!B)break;m=m+g|0;c=c+4|0;F=f[h>>2]|0;B=B+-1|0}u=j;return}else{B=e;e=x;x=C;C=y;while(1){y=f[e>>2]|0;F=f[e+(1-C<<2)>>2]|0;if(a){c=0;do{m=z+(c<<2)|0;o=(f[y+(c<<2)>>2]|0)+(f[m>>2]|0)|0;d[B+(c<<1)>>1]=(o+32768|0)>>>0<65536?o:(o|0)>0?32767:32768;f[m>>2]=o-(f[F+(c<<2)>>2]|0);c=c+1|0}while((c|0)!=(i|0))}if(!x)break;B=B+g|0;e=e+4|0;x=x+-1|0;C=f[h>>2]|0}u=j;return}}function S9(a){a=a|0;f[a+24>>2]=0;return}function T9(a){a=a|0;Emc(a);return}function U9(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function V9(a){a=a|0;var b=0,c=0;f[a>>2]=55364;b=f[a+28>>2]|0;if(!b)return;c=a+32|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-8-b|0)>>>3)<<3);Emc(b);return}function W9(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=55364;b=f[a+28>>2]|0;if(!b){Emc(a);return}c=a+32|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-8-b|0)>>>3)<<3);Emc(b);Emc(a);return}function X9(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0.0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0;j=u;u=u+16|0;k=j;l=+p[a+16>>3];m=l!=1.0;n=a+28|0;o=a+32|0;q=f[o>>2]|0;r=f[n>>2]|0;s=q-r>>3;t=r;do if((s|0)==(i|0)){r=a+24|0;v=f[r>>2]|0;if(v){w=f[a+4>>2]|0;if((v|0)==(w+-1|0)){x=c+(v<<2)|0;y=w;z=t;break}else{f[k>>2]=0;f[k+4>>2]=0;w=YG(k,19)|0;v=257011;A=w+19|0;do{b[w>>0]=b[v>>0]|0;w=w+1|0;v=v+1|0}while((w|0)<(A|0));p8(-215,k,523657,232)}}else{B=r;C=t;D=9}}else{v=q;if(s>>>0>=i>>>0)if(s>>>0>i>>>0?(w=t+(i<<3)|0,(v|0)!=(w|0)):0){f[o>>2]=v+(~((v+-8-w|0)>>>3)<<3);E=t}else E=t;else{m6(n,i-s|0);E=f[n>>2]|0}w=a+24|0;f[w>>2]=0;B=w;C=E;D=9}while(0);if((D|0)==9){Drc(C|0,0,i<<3|0)|0;D=f[B>>2]|0;E=f[a+4>>2]|0;a=E+-1|0;if((D|0)<(a|0)){if((i|0)>0){n=c;s=D;while(1){t=f[n>>2]|0;o=0;do{q=C+(o<<3)|0;p[q>>3]=+p[t+(o<<3)>>3]+ +p[q>>3];o=o+1|0}while((o|0)!=(i|0));o=s+1|0;t=n+4|0;if((o|0)<(a|0)){n=t;s=o}else{F=o;G=t;break}}}else{s=D+1|0;n=(a|0)>(s|0)?a:s;F=n;G=c+(n-D<<2)|0}f[B>>2]=F;x=G;y=E;z=C}else{x=c;y=E;z=C}}if(!h){u=j;return}C=1-y|0;y=i+-2|0;E=(i|0)<2;c=i&-2;G=e;e=x;x=h;while(1){x=x+-1|0;h=f[e>>2]|0;F=f[e+(C<<2)>>2]|0;if(m){if(E)H=0;else{B=0;do{D=z+(B<<3)|0;I=+p[D>>3]+ +p[h+(B<<3)>>3];n=B|1;s=z+(n<<3)|0;J=+p[s>>3]+ +p[h+(n<<3)>>3];a=V9b(l*I)|0;d[G+(B<<1)>>1]=a>>>0<65536?a:(a|0)>0?65535:0;a=V9b(l*J)|0;d[G+(n<<1)>>1]=a>>>0<65536?a:(a|0)>0?65535:0;K=J-+p[F+(n<<3)>>3];p[D>>3]=I-+p[F+(B<<3)>>3];p[s>>3]=K;B=B+2|0}while((B|0)<=(y|0));H=c}if((H|0)<(i|0)){B=H;do{s=z+(B<<3)|0;K=+p[s>>3]+ +p[h+(B<<3)>>3];D=V9b(l*K)|0;d[G+(B<<1)>>1]=D>>>0<65536?D:(D|0)>0?65535:0;p[s>>3]=K-+p[F+(B<<3)>>3];B=B+1|0}while((B|0)!=(i|0))}}else{if(E)L=0;else{B=0;do{s=z+(B<<3)|0;K=+p[s>>3]+ +p[h+(B<<3)>>3];D=B|1;n=z+(D<<3)|0;I=+p[n>>3]+ +p[h+(D<<3)>>3];a=V9b(K)|0;d[G+(B<<1)>>1]=a>>>0<65536?a:(a|0)>0?65535:0;a=V9b(I)|0;d[G+(D<<1)>>1]=a>>>0<65536?a:(a|0)>0?65535:0;J=I-+p[F+(D<<3)>>3];p[s>>3]=K-+p[F+(B<<3)>>3];p[n>>3]=J;B=B+2|0}while((B|0)<=(y|0));L=c}if((L|0)<(i|0)){B=L;do{n=z+(B<<3)|0;J=+p[n>>3]+ +p[h+(B<<3)>>3];s=V9b(J)|0;d[G+(B<<1)>>1]=s>>>0<65536?s:(s|0)>0?65535:0;p[n>>3]=J-+p[F+(B<<3)>>3];B=B+1|0}while((B|0)!=(i|0))}}if(!x)break;else{G=G+g|0;e=e+4|0}}u=j;return}function Y9(a){a=a|0;f[a+24>>2]=0;return}function Z9(a){a=a|0;Emc(a);return}function _9(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function $9(a){a=a|0;var b=0,c=0;f[a>>2]=55320;b=f[a+28>>2]|0;if(!b)return;c=a+32|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-4-b|0)>>>2)<<2);Emc(b);return}function aaa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=55320;b=f[a+28>>2]|0;if(!b){Emc(a);return}c=a+32|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b);Emc(a);return}function baa(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0.0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;j=u;u=u+16|0;k=j;l=+p[a+16>>3];m=l!=1.0;n=a+28|0;o=a+32|0;q=f[o>>2]|0;r=f[n>>2]|0;s=q-r>>2;t=r;do if((s|0)==(i|0)){r=a+24|0;v=f[r>>2]|0;if(v){w=f[a+4>>2]|0;if((v|0)==(w+-1|0)){x=c+(v<<2)|0;y=w;z=t;break}else{f[k>>2]=0;f[k+4>>2]=0;w=YG(k,19)|0;v=257011;A=w+19|0;do{b[w>>0]=b[v>>0]|0;w=w+1|0;v=v+1|0}while((w|0)<(A|0));p8(-215,k,523657,745)}}else{B=r;C=t;D=9}}else{v=q;if(s>>>0>=i>>>0)if(s>>>0>i>>>0?(w=t+(i<<2)|0,(v|0)!=(w|0)):0){f[o>>2]=v+(~((v+-4-w|0)>>>2)<<2);E=t}else E=t;else{$C(n,i-s|0);E=f[n>>2]|0}w=a+24|0;f[w>>2]=0;B=w;C=E;D=9}while(0);do if((D|0)==9){Drc(C|0,0,i<<2|0)|0;E=f[B>>2]|0;n=a+4|0;s=f[n>>2]|0;t=s+-1|0;if((E|0)<(t|0)){if((i|0)>0)F=c;else{o=c;q=E;do{q=q+1|0;o=o+4|0}while((q|0)<(t|0));f[B>>2]=q;x=o;y=s;z=C;break}while(1){t=f[F>>2]|0;r=0;do{E=C+(r<<2)|0;f[E>>2]=(f[E>>2]|0)+(f[t+(r<<2)>>2]|0);r=r+1|0}while((r|0)!=(i|0));r=(f[B>>2]|0)+1|0;f[B>>2]=r;t=F+4|0;E=f[n>>2]|0;if((r|0)<(E+-1|0))F=t;else{x=t;y=E;z=C;break}}}else{x=c;y=s;z=C}}while(0);C=h+-1|0;if(!h){u=j;return}h=a+4|0;a=(i|0)>0;if(m){m=e;c=x;F=y;B=C;while(1){D=f[c>>2]|0;n=f[c+(1-F<<2)>>2]|0;if(a){o=0;do{q=z+(o<<2)|0;E=(f[D+(o<<2)>>2]|0)+(f[q>>2]|0)|0;t=V9b(l*+(E|0))|0;d[m+(o<<1)>>1]=t>>>0<65536?t:(t|0)>0?65535:0;f[q>>2]=E-(f[n+(o<<2)>>2]|0);o=o+1|0}while((o|0)!=(i|0))}if(!B)break;m=m+g|0;c=c+4|0;F=f[h>>2]|0;B=B+-1|0}u=j;return}else{B=e;e=x;x=C;C=y;while(1){y=f[e>>2]|0;F=f[e+(1-C<<2)>>2]|0;if(a){c=0;do{m=z+(c<<2)|0;o=(f[y+(c<<2)>>2]|0)+(f[m>>2]|0)|0;d[B+(c<<1)>>1]=o>>>0<65536?o:(o|0)>0?65535:0;f[m>>2]=o-(f[F+(c<<2)>>2]|0);c=c+1|0}while((c|0)!=(i|0))}if(!x)break;B=B+g|0;e=e+4|0;x=x+-1|0;C=f[h>>2]|0}u=j;return}}function caa(a){a=a|0;f[a+24>>2]=0;return}function daa(a){a=a|0;Emc(a);return}function eaa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function faa(a){a=a|0;var b=0,c=0;f[a>>2]=55276;b=f[a+28>>2]|0;if(!b)return;c=a+32|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-8-b|0)>>>3)<<3);Emc(b);return}function gaa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=55276;b=f[a+28>>2]|0;if(!b){Emc(a);return}c=a+32|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-8-b|0)>>>3)<<3);Emc(b);Emc(a);return}function haa(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0.0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0.0,J=0.0,K=0;i=u;u=u+16|0;j=i;k=+p[a+16>>3];l=k!=1.0;m=a+28|0;n=a+32|0;o=f[n>>2]|0;q=f[m>>2]|0;r=o-q>>3;s=q;do if((r|0)==(h|0)){q=a+24|0;t=f[q>>2]|0;if(t){v=f[a+4>>2]|0;if((t|0)==(v+-1|0)){w=c+(t<<2)|0;x=v;y=s;break}else{f[j>>2]=0;f[j+4>>2]=0;v=YG(j,19)|0;t=257011;z=v+19|0;do{b[v>>0]=b[t>>0]|0;v=v+1|0;t=t+1|0}while((v|0)<(z|0));p8(-215,j,523657,232)}}else{A=q;B=s;C=9}}else{t=o;if(r>>>0>=h>>>0)if(r>>>0>h>>>0?(v=s+(h<<3)|0,(t|0)!=(v|0)):0){f[n>>2]=t+(~((t+-8-v|0)>>>3)<<3);D=s}else D=s;else{m6(m,h-r|0);D=f[m>>2]|0}v=a+24|0;f[v>>2]=0;A=v;B=D;C=9}while(0);if((C|0)==9){Drc(B|0,0,h<<3|0)|0;C=f[A>>2]|0;D=f[a+4>>2]|0;m=D+-1|0;if((C|0)<(m|0)){if((h|0)>0){r=c;s=C;while(1){n=f[r>>2]|0;o=0;do{j=B+(o<<3)|0;p[j>>3]=+p[n+(o<<3)>>3]+ +p[j>>3];o=o+1|0}while((o|0)!=(h|0));o=s+1|0;n=r+4|0;if((o|0)<(m|0)){r=n;s=o}else{E=o;F=n;break}}}else{s=C+1|0;r=(m|0)>(s|0)?m:s;E=r;F=c+(r-C<<2)|0}f[A>>2]=E;w=F;x=D;y=B}else{w=c;x=D;y=B}}if(!g){u=i;return}B=a+4|0;a=h+-2|0;D=(h|0)<2;c=h&-2;F=d;d=w;w=g;g=x;while(1){x=w+-1|0;E=f[d>>2]|0;A=f[d+(1-g<<2)>>2]|0;if(l){if(D)G=0;else{C=0;do{r=y+(C<<3)|0;H=+p[r>>3]+ +p[E+(C<<3)>>3];s=C|1;m=y+(s<<3)|0;I=+p[m>>3]+ +p[E+(s<<3)>>3];n=V9b(k*H)|0;b[F+C>>0]=n>>>0<256?n:(n|0)>0?255:0;n=V9b(k*I)|0;b[F+s>>0]=n>>>0<256?n:(n|0)>0?255:0;J=I-+p[A+(s<<3)>>3];p[r>>3]=H-+p[A+(C<<3)>>3];p[m>>3]=J;C=C+2|0}while((C|0)<=(a|0));G=c}if((G|0)<(h|0)){C=G;do{m=y+(C<<3)|0;J=+p[m>>3]+ +p[E+(C<<3)>>3];r=V9b(k*J)|0;b[F+C>>0]=r>>>0<256?r:(r|0)>0?255:0;p[m>>3]=J-+p[A+(C<<3)>>3];C=C+1|0}while((C|0)!=(h|0))}}else{if(D)K=0;else{C=0;do{m=y+(C<<3)|0;J=+p[m>>3]+ +p[E+(C<<3)>>3];r=C|1;s=y+(r<<3)|0;H=+p[s>>3]+ +p[E+(r<<3)>>3];n=V9b(J)|0;b[F+C>>0]=n>>>0<256?n:(n|0)>0?255:0;n=V9b(H)|0;b[F+r>>0]=n>>>0<256?n:(n|0)>0?255:0;I=H-+p[A+(r<<3)>>3];p[m>>3]=J-+p[A+(C<<3)>>3];p[s>>3]=I;C=C+2|0}while((C|0)<=(a|0));K=c}if((K|0)<(h|0)){C=K;do{s=y+(C<<3)|0;I=+p[s>>3]+ +p[E+(C<<3)>>3];m=V9b(I)|0;b[F+C>>0]=m>>>0<256?m:(m|0)>0?255:0;p[s>>3]=I-+p[A+(C<<3)>>3];C=C+1|0}while((C|0)!=(h|0))}}if(!x)break;F=F+e|0;d=d+4|0;w=x;g=f[B>>2]|0}u=i;return}function iaa(a){a=a|0;f[a+24>>2]=0;return}function jaa(a){a=a|0;Emc(a);return}function kaa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function laa(a){a=a|0;var b=0,c=0;f[a>>2]=55232;b=f[a+36>>2]|0;if(!b)return;c=a+40|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-2-b|0)>>>1)<<1);Emc(b);return}function maa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=55232;b=f[a+36>>2]|0;if(!b){Emc(a);return}c=a+40|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-2-b|0)>>>1)<<1);Emc(b);Emc(a);return}function naa(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;k=u;u=u+16|0;l=k;m=f[a+32>>2]|0;n=f[a+28>>2]|0;o=+p[a+16>>3]!=1.0;q=a+36|0;r=a+40|0;s=f[r>>2]|0;t=f[q>>2]|0;v=s-t>>1;w=t;do if((v|0)==(i|0)){t=a+24|0;x=f[t>>2]|0;if(x){y=f[a+4>>2]|0;if((x|0)==(y+-1|0)){z=c+(x<<2)|0;A=y;B=w;break}else{f[l>>2]=0;f[l+4>>2]=0;y=YG(l,19)|0;x=257011;C=y+19|0;do{b[y>>0]=b[x>>0]|0;y=y+1|0;x=x+1|0}while((y|0)<(C|0));p8(-215,l,523657,489)}}else{D=t;E=w;F=9}}else{x=s;if(v>>>0>=i>>>0)if(v>>>0>i>>>0?(y=w+(i<<1)|0,(x|0)!=(y|0)):0){f[r>>2]=x+(~((x+-2-y|0)>>>1)<<1);G=w}else G=w;else{paa(q,i-v|0);G=f[q>>2]|0}y=a+24|0;f[y>>2]=0;D=y;E=G;F=9}while(0);if((F|0)==9){Drc(E|0,0,i<<1|0)|0;F=f[D>>2]|0;G=f[a+4>>2]|0;q=G+-1|0;if((F|0)<(q|0)){if((i|0)>0){v=c;w=F;while(1){r=f[v>>2]|0;s=0;do{l=E+(s<<1)|0;d[l>>1]=(j[l>>1]|0)+(j[r+(s<<1)>>1]|0);s=s+1|0}while((s|0)!=(i|0));s=w+1|0;r=v+4|0;if((s|0)<(q|0)){v=r;w=s}else{H=s;I=r;break}}}else{w=F+1|0;v=(q|0)>(w|0)?q:w;H=v;I=c+(v-F<<2)|0}f[D>>2]=H;z=I;A=G;B=E}else{z=c;A=G;B=E}}E=h+-1|0;if(!h){u=k;return}h=a+4|0;a=(i|0)>0;if(o){o=e;G=z;c=A;I=E;while(1){H=f[G>>2]|0;D=f[G+(1-c<<2)>>2]|0;if(a){F=0;do{v=B+(F<<1)|0;w=(j[H+(F<<1)>>1]|0)+(j[v>>1]|0)|0;q=(Y(w+n|0,m)|0)>>>23&255;b[o+F>>0]=q;d[v>>1]=w-(j[D+(F<<1)>>1]|0);F=F+1|0}while((F|0)!=(i|0))}if(!I)break;o=o+g|0;G=G+4|0;c=f[h>>2]|0;I=I+-1|0}u=k;return}else{I=e;e=z;z=A;A=E;while(1){E=f[e>>2]|0;c=f[e+(1-z<<2)>>2]|0;if(a){G=0;do{o=B+(G<<1)|0;m=(j[E+(G<<1)>>1]|0)+(j[o>>1]|0)|0;b[I+G>>0]=m>>>0<256?m:m|0?255:0;d[o>>1]=m-(j[c+(G<<1)>>1]|0);G=G+1|0}while((G|0)!=(i|0))}if(!A)break;I=I+g|0;e=e+4|0;z=f[h>>2]|0;A=A+-1|0}u=k;return}}function oaa(a){a=a|0;f[a+24>>2]=0;return}function paa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=a+8|0;d=f[c>>2]|0;e=a+4|0;g=f[e>>2]|0;if(d-g>>1>>>0>=b>>>0){Drc(g|0,0,b<<1|0)|0;f[e>>2]=g+(b<<1);return}h=f[a>>2]|0;i=g-h|0;g=i>>1;j=g+b|0;if((j|0)<0)Ukc(a);k=d-h|0;d=k>>1>>>0<1073741823?(k>>>0<j>>>0?j:k):2147483647;do if(d)if((d|0)<0){k=ye(8)|0;Jmc(k,511852);f[k>>2]=165276;Gf(k|0,26776,1555)}else{l=Bmc(d<<1)|0;break}else l=0;while(0);k=l+(g<<1)|0;Drc(k|0,0,b<<1|0)|0;j=k+(0-g<<1)|0;if((i|0)>0)Krc(j|0,h|0,i|0)|0;f[a>>2]=j;f[e>>2]=k+(b<<1);f[c>>2]=l+(d<<1);if(!h)return;Emc(h);return}function qaa(a){a=a|0;Emc(a);return}function raa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function saa(a){a=a|0;var b=0,c=0;f[a>>2]=55188;b=f[a+28>>2]|0;if(!b)return;c=a+32|0;a=f[c>>2]|0;if((a|0)!=(b|0))f[c>>2]=a+(~((a+-4-b|0)>>>2)<<2);Emc(b);return}function taa(a){a=a|0;var b=0,c=0,d=0;f[a>>2]=55188;b=f[a+28>>2]|0;if(!b){Emc(a);return}c=a+32|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b);Emc(a);return}function uaa(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0.0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;i=u;u=u+16|0;j=i;k=+p[a+16>>3];l=k!=1.0;m=a+28|0;n=a+32|0;o=f[n>>2]|0;q=f[m>>2]|0;r=o-q>>2;s=q;do if((r|0)==(h|0)){q=a+24|0;t=f[q>>2]|0;if(t){v=f[a+4>>2]|0;if((t|0)==(v+-1|0)){w=c+(t<<2)|0;x=v;y=s;break}else{f[j>>2]=0;f[j+4>>2]=0;v=YG(j,19)|0;t=257011;z=v+19|0;do{b[v>>0]=b[t>>0]|0;v=v+1|0;t=t+1|0}while((v|0)<(z|0));p8(-215,j,523657,341)}}else{A=q;B=s;C=9}}else{t=o;if(r>>>0>=h>>>0)if(r>>>0>h>>>0?(v=s+(h<<2)|0,(t|0)!=(v|0)):0){f[n>>2]=t+(~((t+-4-v|0)>>>2)<<2);D=s}else D=s;else{$C(m,h-r|0);D=f[m>>2]|0}v=a+24|0;f[v>>2]=0;A=v;B=D;C=9}while(0);do if((C|0)==9){Drc(B|0,0,h<<2|0)|0;D=f[A>>2]|0;m=a+4|0;r=f[m>>2]|0;s=r+-1|0;if((D|0)<(s|0)){if((h|0)>0)E=c;else{n=c;o=D;do{o=o+1|0;n=n+4|0}while((o|0)<(s|0));f[A>>2]=o;w=n;x=r;y=B;break}while(1){s=f[E>>2]|0;q=0;do{D=B+(q<<2)|0;f[D>>2]=(f[D>>2]|0)+(f[s+(q<<2)>>2]|0);q=q+1|0}while((q|0)!=(h|0));q=(f[A>>2]|0)+1|0;f[A>>2]=q;s=E+4|0;D=f[m>>2]|0;if((q|0)<(D+-1|0))E=s;else{w=s;x=D;y=B;break}}}else{w=c;x=r;y=B}}while(0);B=g+-1|0;if(!g){u=i;return}g=a+4|0;a=(h|0)>0;if(l){l=d;c=w;E=x;A=B;while(1){C=f[c>>2]|0;m=f[c+(1-E<<2)>>2]|0;if(a){n=0;do{o=y+(n<<2)|0;D=(f[C+(n<<2)>>2]|0)+(f[o>>2]|0)|0;s=V9b(k*+(D|0))|0;b[l+n>>0]=s>>>0<256?s:(s|0)>0?255:0;f[o>>2]=D-(f[m+(n<<2)>>2]|0);n=n+1|0}while((n|0)!=(h|0))}if(!A)break;l=l+e|0;c=c+4|0;E=f[g>>2]|0;A=A+-1|0}u=i;return}else{A=d;d=w;w=B;B=x;while(1){x=f[d>>2]|0;E=f[d+(1-B<<2)>>2]|0;if(a){c=0;do{l=y+(c<<2)|0;n=(f[x+(c<<2)>>2]|0)+(f[l>>2]|0)|0;b[A+c>>0]=n>>>0<256?n:(n|0)>0?255:0;f[l>>2]=n-(f[E+(c<<2)>>2]|0);c=c+1|0}while((c|0)!=(h|0))}if(!w)break;A=A+e|0;d=d+4|0;w=w+-1|0;B=f[g>>2]|0}u=i;return}}function vaa(a){a=a|0;f[a+24>>2]=0;return}function waa(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0;i=u;u=u+64|0;j=i;k=i+48|0;l=i+40|0;m=i+32|0;n=b&7;o=b&4088;p=(n|0)==0;if(p)if((c&7|0)==0?(Y(f[d+4>>2]|0,f[d>>2]|0)|0)<257:0)q=2;else r=5;else if(n>>>0<5)r=5;else q=6;do if((r|0)==5){if(g?(s=Y(f[d+4>>2]|0,f[d>>2]|0)|0,(s|0)>((p?8388608:(n|0)==2?32768:65536)|0)):0){q=6;break}q=4}while(0);n=q|o;o8(k,b,n,f[d>>2]|0,f[e>>2]|0);o=f[d+4>>2]|0;if(g)t=1.0/+(Y(f[d>>2]|0,o)|0);else t=1.0;c9(l,n,c,o,f[e+4>>2]|0,t);f[m>>2]=0;f[m+4>>2]=0;e=Bmc(200)|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;f[j+16>>2]=0;f[j+20>>2]=0;f[j+24>>2]=0;f[j+28>>2]=0;Rba(e,m,k,l,b,c,n,h,-1,j);j=Bmc(16)|0;f[j+4>>2]=1;f[j>>2]=55716;f[j+8>>2]=e;f[a>>2]=j;f[a+4>>2]=e;e=f[m>>2]|0;if(e|0?(m=e+4|0,a=f[m>>2]|0,f[m>>2]=a+-1,(a|0)==1):0)ai[f[(f[e>>2]|0)+8>>2]&2047](e);e=f[l>>2]|0;if(e|0?(l=e+4|0,a=f[l>>2]|0,f[l>>2]=a+-1,(a|0)==1):0)ai[f[(f[e>>2]|0)+8>>2]&2047](e);e=f[k>>2]|0;if(!e){u=i;return}k=e+4|0;a=f[k>>2]|0;f[k>>2]=a+-1;if((a|0)!=1){u=i;return}ai[f[(f[e>>2]|0)+8>>2]&2047](e);u=i;return}function xaa(a){a=a|0;Emc(a);return}function yaa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function zaa(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;i=u;u=u+176|0;j=i+160|0;k=i+104|0;l=i+40|0;m=i+48|0;n=i+32|0;o=i+24|0;p=i+16|0;q=i+8|0;r=i;zT(j,55728);do if((pD(a)|0)==65536){s=f[a+4>>2]|0;f[k>>2]=f[s>>2];t=k+4|0;v=s+4|0;f[t>>2]=f[v>>2];w=k+8|0;f[w>>2]=f[s+8>>2];f[k+12>>2]=f[s+12>>2];f[k+16>>2]=f[s+16>>2];f[k+20>>2]=f[s+20>>2];f[k+24>>2]=f[s+24>>2];f[k+28>>2]=f[s+28>>2];f[k+32>>2]=f[s+32>>2];x=f[s+36>>2]|0;f[k+36>>2]=x;y=k+40|0;f[y>>2]=w;w=k+48|0;z=k+44|0;f[z>>2]=w;f[w>>2]=0;f[k+52>>2]=0;if(x|0){w=x+12|0;f[w>>2]=(f[w>>2]|0)+1}if((f[v>>2]|0)<3){v=f[s+44>>2]|0;w=f[z>>2]|0;f[w>>2]=f[v>>2];f[w+4>>2]=f[v+4>>2];A=k;B=y;break}else{f[t>>2]=0;kP(k,s);A=k;B=y;break}}else{lD(k,a,-1);A=k;B=k+40|0}while(0);a=f[A>>2]|0;y=f[B>>2]|0;s=f[y>>2]|0;f[l>>2]=f[y+4>>2];f[l+4>>2]=s;HD(b,l,((c|0)<0?a:c)&7|a&4088,-1,0,0);do if((pD(b)|0)==65536){a=f[b+4>>2]|0;f[m>>2]=f[a>>2];c=m+4|0;l=a+4|0;f[c>>2]=f[l>>2];s=m+8|0;f[s>>2]=f[a+8>>2];f[m+12>>2]=f[a+12>>2];f[m+16>>2]=f[a+16>>2];f[m+20>>2]=f[a+20>>2];f[m+24>>2]=f[a+24>>2];f[m+28>>2]=f[a+28>>2];f[m+32>>2]=f[a+32>>2];y=f[a+36>>2]|0;f[m+36>>2]=y;f[m+40>>2]=s;s=m+48|0;t=m+44|0;f[t>>2]=s;f[s>>2]=0;f[m+52>>2]=0;if(y|0){s=y+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[l>>2]|0)<3){l=f[a+44>>2]|0;s=f[t>>2]|0;f[s>>2]=f[l>>2];f[s+4>>2]=f[l+4>>2];break}else{f[c>>2]=0;kP(m,a);break}}else lD(m,b,-1);while(0);b=(h&16|0)==0;if(!(b|g^1)){a=f[k+8>>2]|0;if((a|0)==1)f[d+4>>2]=1;c=f[k+12>>2]|0;if((c|0)==1){f[d>>2]=1;C=1;D=a}else{C=c;D=a}}else{C=f[k+12>>2]|0;D=f[k+8>>2]|0}f[n>>2]=0;f[n+4>>2]=0;f[o>>2]=C;f[o+4>>2]=D;if(b)vP(k,o,n);b=k+16|0;D=k+44|0;C=m+16|0;a=m+44|0;c=f[A>>2]&4095;A=f[m>>2]&4095;f[q>>2]=f[d>>2];f[q+4>>2]=f[d+4>>2];f[r>>2]=f[e>>2];f[r+4>>2]=f[e+4>>2];waa(p,c,A,q,r,g,h&-17);h=f[p+4>>2]|0;sh[f[(f[h>>2]|0)+20>>2]&255](h,k,m,o,n);n=f[p>>2]|0;if(n|0?(p=n+4|0,o=f[p>>2]|0,f[p>>2]=o+-1,(o|0)==1):0)ai[f[(f[n>>2]|0)+8>>2]&2047](n);n=m+36|0;o=f[n>>2]|0;if(o|0?(p=o+12|0,o=f[p>>2]|0,f[p>>2]=o+-1,(o|0)==1):0)lP(m);f[n>>2]=0;n=m+4|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;if((f[n>>2]|0)>0){C=f[m+40>>2]|0;o=0;do{f[C+(o<<2)>>2]=0;o=o+1|0}while((o|0)<(f[n>>2]|0))}n=f[a>>2]|0;if((n|0)!=(m+48|0))tE(n);n=k+36|0;m=f[n>>2]|0;if(m|0?(a=m+12|0,m=f[a>>2]|0,f[a>>2]=m+-1,(m|0)==1):0)lP(k);f[n>>2]=0;n=k+4|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;f[b+12>>2]=0;if((f[n>>2]|0)>0){b=f[B>>2]|0;B=0;do{f[b+(B<<2)>>2]=0;B=B+1|0}while((B|0)<(f[n>>2]|0))}n=f[D>>2]|0;if((n|0)!=(k+48|0))tE(n);if(!(f[j+4>>2]|0)){u=i;return}u=i;return}function Aaa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;g=u;u=u+32|0;h=g+16|0;i=g+8|0;j=g;zT(h,55748);f[i>>2]=f[c>>2];f[i+4>>2]=f[c+4>>2];f[j>>2]=f[d>>2];f[j+4>>2]=f[d+4>>2];zaa(a,b,-1,i,j,1,e);if(!(f[h+4>>2]|0)){u=g;return}u=g;return}function Baa(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0;i=u;u=u+208|0;j=i+32|0;k=i;l=i+192|0;m=i+184|0;n=i+120|0;o=i+176|0;p=i+64|0;q=i+56|0;r=i+48|0;s=i+40|0;zT(l,55768);t=oD(a,-1)|0;v=t&7;w=t&4088;nD(m,a,-1);x=(c|0)<0?(v>>>0<5?5:6):c;if(!((h|0)==0|g^1)){if((f[m+4>>2]|0)==1)f[d+4>>2]=1;if((f[m>>2]|0)==1)f[d>>2]=1}c=(v|0)==0;v=(c?4:6)|w;y=x&7|w;do if((pD(a)|0)==65536){w=f[a+4>>2]|0;f[n>>2]=f[w>>2];x=n+4|0;z=w+4|0;f[x>>2]=f[z>>2];A=n+8|0;f[A>>2]=f[w+8>>2];f[n+12>>2]=f[w+12>>2];f[n+16>>2]=f[w+16>>2];f[n+20>>2]=f[w+20>>2];f[n+24>>2]=f[w+24>>2];f[n+28>>2]=f[w+28>>2];f[n+32>>2]=f[w+32>>2];B=f[w+36>>2]|0;f[n+36>>2]=B;f[n+40>>2]=A;A=n+48|0;C=n+44|0;f[C>>2]=A;f[A>>2]=0;f[n+52>>2]=0;if(B|0){A=B+12|0;f[A>>2]=(f[A>>2]|0)+1}if((f[z>>2]|0)<3){z=f[w+44>>2]|0;A=f[C>>2]|0;f[A>>2]=f[z>>2];f[A+4>>2]=f[z+4>>2];break}else{f[x>>2]=0;kP(n,w);break}}else lD(n,a,-1);while(0);f[o>>2]=f[m>>2];f[o+4>>2]=f[m+4>>2];HD(b,o,y,-1,0,0);do if((pD(b)|0)==65536){o=f[b+4>>2]|0;f[p>>2]=f[o>>2];m=p+4|0;a=o+4|0;f[m>>2]=f[a>>2];w=p+8|0;f[w>>2]=f[o+8>>2];f[p+12>>2]=f[o+12>>2];f[p+16>>2]=f[o+16>>2];f[p+20>>2]=f[o+20>>2];f[p+24>>2]=f[o+24>>2];f[p+28>>2]=f[o+28>>2];f[p+32>>2]=f[o+32>>2];x=f[o+36>>2]|0;f[p+36>>2]=x;f[p+40>>2]=w;w=p+48|0;z=p+44|0;f[z>>2]=w;f[w>>2]=0;f[p+52>>2]=0;if(x|0){w=x+12|0;f[w>>2]=(f[w>>2]|0)+1}if((f[a>>2]|0)<3){a=f[o+44>>2]|0;w=f[z>>2]|0;f[w>>2]=f[a>>2];f[w+4>>2]=f[a+4>>2];break}else{f[m>>2]=0;kP(p,o);break}}else lD(p,b,-1);while(0);b=f[d>>2]|0;o=f[e>>2]|0;m=(o|0)<0?(b|0)/2|0:o;a:do if(c){o=Bmc(12)|0;Oba(o);f[o>>2]=55796;f[o+4>>2]=b;f[o+8>>2]=m;a=Bmc(16)|0;w=a+4|0;f[w>>2]=1;f[a>>2]=55816;f[a+8>>2]=o;f[q>>2]=a;f[q+4>>2]=o;f[w>>2]=(f[w>>2]|0)+1;o=f[w>>2]|0;f[w>>2]=o+-1;if((o|0)==1)ai[f[(f[a>>2]|0)+8>>2]&2047](a)}else switch(t&7){case 2:{a=Bmc(12)|0;Oba(a);f[a>>2]=55836;f[a+4>>2]=b;f[a+8>>2]=m;o=Bmc(16)|0;w=o+4|0;f[w>>2]=1;f[o>>2]=55856;f[o+8>>2]=a;f[q>>2]=o;f[q+4>>2]=a;f[w>>2]=(f[w>>2]|0)+1;a=f[w>>2]|0;f[w>>2]=a+-1;if((a|0)!=1)break a;ai[f[(f[o>>2]|0)+8>>2]&2047](o);break a;break}case 3:{o=Bmc(12)|0;Oba(o);f[o>>2]=55876;f[o+4>>2]=b;f[o+8>>2]=m;a=Bmc(16)|0;w=a+4|0;f[w>>2]=1;f[a>>2]=55896;f[a+8>>2]=o;f[q>>2]=a;f[q+4>>2]=o;f[w>>2]=(f[w>>2]|0)+1;o=f[w>>2]|0;f[w>>2]=o+-1;if((o|0)!=1)break a;ai[f[(f[a>>2]|0)+8>>2]&2047](a);break a;break}case 5:{a=Bmc(12)|0;Oba(a);f[a>>2]=55916;f[a+4>>2]=b;f[a+8>>2]=m;o=Bmc(16)|0;w=o+4|0;f[w>>2]=1;f[o>>2]=55936;f[o+8>>2]=a;f[q>>2]=o;f[q+4>>2]=a;f[w>>2]=(f[w>>2]|0)+1;a=f[w>>2]|0;f[w>>2]=a+-1;if((a|0)!=1)break a;ai[f[(f[o>>2]|0)+8>>2]&2047](o);break a;break}case 6:{o=Bmc(12)|0;Oba(o);f[o>>2]=55956;f[o+4>>2]=b;f[o+8>>2]=m;a=Bmc(16)|0;w=a+4|0;f[w>>2]=1;f[a>>2]=55976;f[a+8>>2]=o;f[q>>2]=a;f[q+4>>2]=o;f[w>>2]=(f[w>>2]|0)+1;o=f[w>>2]|0;f[w>>2]=o+-1;if((o|0)!=1)break a;ai[f[(f[a>>2]|0)+8>>2]&2047](a);break a;break}default:{f[j>>2]=t;f[j+4>>2]=v;aR(k,260811,j);p8(-213,k,258265,1654)}}while(0);j=f[d+4>>2]|0;if(g)D=1.0/+(Y(f[d>>2]|0,j)|0);else D=1.0;c9(r,v,y,j,f[e+4>>2]|0,D);f[s>>2]=0;f[s+4>>2]=0;e=Bmc(200)|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;f[k+24>>2]=0;f[k+28>>2]=0;Rba(e,s,q,r,t,y,v,h,-1,k);h=Bmc(16)|0;v=h+4|0;f[v>>2]=1;f[h>>2]=55716;f[h+8>>2]=e;y=f[s>>2]|0;if(y|0?(t=y+4|0,j=f[t>>2]|0,f[t>>2]=j+-1,(j|0)==1):0)ai[f[(f[y>>2]|0)+8>>2]&2047](y);f[k>>2]=0;f[k+4>>2]=0;y=f[n+8>>2]|0;f[s>>2]=f[n+12>>2];f[s+4>>2]=y;vP(n,s,k);sh[f[(f[e>>2]|0)+20>>2]&255](e,n,p,s,k);k=f[v>>2]|0;f[v>>2]=k+-1;if((k|0)==1)ai[f[(f[h>>2]|0)+8>>2]&2047](h);h=f[r>>2]|0;if(h|0?(r=h+4|0,k=f[r>>2]|0,f[r>>2]=k+-1,(k|0)==1):0)ai[f[(f[h>>2]|0)+8>>2]&2047](h);h=f[q>>2]|0;if(h|0?(q=h+4|0,k=f[q>>2]|0,f[q>>2]=k+-1,(k|0)==1):0)ai[f[(f[h>>2]|0)+8>>2]&2047](h);h=p+36|0;k=f[h>>2]|0;if(k|0?(q=k+12|0,k=f[q>>2]|0,f[q>>2]=k+-1,(k|0)==1):0)lP(p);f[h>>2]=0;h=p+16|0;k=p+4|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[k>>2]|0)>0){h=f[p+40>>2]|0;q=0;do{f[h+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[k>>2]|0))}k=f[p+44>>2]|0;if((k|0)!=(p+48|0))tE(k);k=n+36|0;p=f[k>>2]|0;if(p|0?(q=p+12|0,p=f[q>>2]|0,f[q>>2]=p+-1,(p|0)==1):0)lP(n);f[k>>2]=0;k=n+16|0;p=n+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[p>>2]|0)>0){k=f[n+40>>2]|0;q=0;do{f[k+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[p>>2]|0))}p=f[n+44>>2]|0;if((p|0)!=(n+48|0))tE(p);if(!(f[l+4>>2]|0)){u=i;return}u=i;return}function Caa(a){a=a|0;Emc(a);return}function Daa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Eaa(a){a=a|0;Emc(a);return}function Faa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0.0,l=0,m=0.0,n=0.0,o=0.0,q=0,r=0,s=0;g=Y(f[a+4>>2]|0,e)|0;a=Y(d+-1|0,e)|0;if((e|0)<=0)return;d=(a|0)>0;if((g|0)>0){h=c;i=0;j=b;while(1){k=0.0;l=0;do{m=+p[j+(l<<3)>>3];k=k+m*m;l=l+e|0}while((l|0)<(g|0));p[h>>3]=k;if(d){l=0;m=k;do{n=+p[j+(l<<3)>>3];o=+p[j+(l+g<<3)>>3];m=m+(o*o-n*n);l=l+e|0;p[h+(l<<3)>>3]=m}while((l|0)<(a|0))}i=i+1|0;if((i|0)==(e|0))break;else{h=h+8|0;j=j+8|0}}return}if(d){q=c;r=0;s=b}else{Drc(c|0,0,e<<3|0)|0;return}while(1){p[q>>3]=0.0;c=0;m=0.0;do{k=+p[s+(c<<3)>>3];n=+p[s+(c+g<<3)>>3];m=m+(n*n-k*k);c=c+e|0;p[q+(c<<3)>>3]=m}while((c|0)<(a|0));r=r+1|0;if((r|0)==(e|0))break;else{q=q+8|0;s=s+8|0}}return}function Gaa(a){a=a|0;Emc(a);return}function Haa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Iaa(a){a=a|0;Emc(a);return}function Jaa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0.0,l=0,m=0.0,o=0.0,q=0.0,r=0,s=0,t=0;g=Y(f[a+4>>2]|0,e)|0;a=Y(d+-1|0,e)|0;if((e|0)<=0)return;d=(a|0)>0;if((g|0)>0){h=c;i=0;j=b;while(1){k=0.0;l=0;do{m=+n[j+(l<<2)>>2];k=k+m*m;l=l+e|0}while((l|0)<(g|0));p[h>>3]=k;if(d){l=0;m=k;do{o=+n[j+(l<<2)>>2];q=+n[j+(l+g<<2)>>2];m=m+(q*q-o*o);l=l+e|0;p[h+(l<<3)>>3]=m}while((l|0)<(a|0))}i=i+1|0;if((i|0)==(e|0))break;else{h=h+8|0;j=j+4|0}}return}if(d){r=c;s=0;t=b}else{Drc(c|0,0,e<<3|0)|0;return}while(1){p[r>>3]=0.0;c=0;m=0.0;do{k=+n[t+(c<<2)>>2];o=+n[t+(c+g<<2)>>2];m=m+(o*o-k*k);c=c+e|0;p[r+(c<<3)>>3]=m}while((c|0)<(a|0));s=s+1|0;if((s|0)==(e|0))break;else{r=r+8|0;t=t+4|0}}return}function Kaa(a){a=a|0;Emc(a);return}function Laa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Maa(a){a=a|0;Emc(a);return}function Naa(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0.0,m=0,n=0.0,o=0.0,q=0.0,r=0,s=0,t=0;h=Y(f[a+4>>2]|0,g)|0;a=Y(e+-1|0,g)|0;if((g|0)<=0)return;e=(a|0)>0;if((h|0)>0){i=c;j=0;k=b;while(1){l=0.0;m=0;do{n=+(d[k+(m<<1)>>1]|0);l=l+n*n;m=m+g|0}while((m|0)<(h|0));p[i>>3]=l;if(e){m=0;n=l;do{o=+(d[k+(m<<1)>>1]|0);q=+(d[k+(m+h<<1)>>1]|0);n=n+(q*q-o*o);m=m+g|0;p[i+(m<<3)>>3]=n}while((m|0)<(a|0))}j=j+1|0;if((j|0)==(g|0))break;else{i=i+8|0;k=k+2|0}}return}if(e){r=c;s=0;t=b}else{Drc(c|0,0,g<<3|0)|0;return}while(1){p[r>>3]=0.0;c=0;n=0.0;do{l=+(d[t+(c<<1)>>1]|0);o=+(d[t+(c+h<<1)>>1]|0);n=n+(o*o-l*l);c=c+g|0;p[r+(c<<3)>>3]=n}while((c|0)<(a|0));s=s+1|0;if((s|0)==(g|0))break;else{r=r+8|0;t=t+2|0}}return}function Oaa(a){a=a|0;Emc(a);return}function Paa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Qaa(a){a=a|0;Emc(a);return}function Raa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,k=0,l=0.0,m=0,n=0.0,o=0.0,q=0.0,r=0,s=0,t=0;g=Y(f[a+4>>2]|0,e)|0;a=Y(d+-1|0,e)|0;if((e|0)<=0)return;d=(a|0)>0;if((g|0)>0){h=c;i=0;k=b;while(1){l=0.0;m=0;do{n=+(j[k+(m<<1)>>1]|0);l=l+n*n;m=m+e|0}while((m|0)<(g|0));p[h>>3]=l;if(d){m=0;n=l;do{o=+(j[k+(m<<1)>>1]|0);q=+(j[k+(m+g<<1)>>1]|0);n=n+(q*q-o*o);m=m+e|0;p[h+(m<<3)>>3]=n}while((m|0)<(a|0))}i=i+1|0;if((i|0)==(e|0))break;else{h=h+8|0;k=k+2|0}}return}if(d){r=c;s=0;t=b}else{Drc(c|0,0,e<<3|0)|0;return}while(1){p[r>>3]=0.0;c=0;n=0.0;do{l=+(j[t+(c<<1)>>1]|0);o=+(j[t+(c+g<<1)>>1]|0);n=n+(o*o-l*l);c=c+e|0;p[r+(c<<3)>>3]=n}while((c|0)<(a|0));s=s+1|0;if((s|0)==(e|0))break;else{r=r+8|0;t=t+2|0}}return}function Saa(a){a=a|0;Emc(a);return}function Taa(a){a=a|0;var b=0;b=f[a+8>>2]|0;if(b|0)ai[f[(f[b>>2]|0)+4>>2]&2047](b);ai[f[(f[a>>2]|0)+4>>2]&2047](a);return}function Uaa(a){a=a|0;Emc(a);return}function Vaa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;g=Y(f[a+4>>2]|0,e)|0;a=Y(d+-1|0,e)|0;if((e|0)<=0)return;d=(a|0)>0;if((g|0)>0){i=c;j=0;k=b;while(1){l=0;m=0;do{n=h[k+m>>0]|0;l=(Y(n,n)|0)+l|0;m=m+e|0}while((m|0)<(g|0));f[i>>2]=l;if(d){m=0;n=l;do{o=h[k+m>>0]|0;p=h[k+(m+g)>>0]|0;n=(Y(p,p)|0)-(Y(o,o)|0)+n|0;m=m+e|0;f[i+(m<<2)>>2]=n}while((m|0)<(a|0))}j=j+1|0;if((j|0)==(e|0))break;else{i=i+4|0;k=k+1|0}}return}if(d){q=c;r=0;s=b}else{Drc(c|0,0,e<<2|0)|0;return}while(1){f[q>>2]=0;c=0;b=0;do{d=h[s+c>>0]|0;k=h[s+(c+g)>>0]|0;b=(Y(k,k)|0)-(Y(d,d)|0)+b|0;c=c+e|0;f[q+(c<<2)>>2]=b}while((c|0)<(a|0));r=r+1|0;if((r|0)==(e|0))break;else{q=q+4|0;s=s+1|0}}return}function Waa(a,c,d,e){a=a|0;c=c|0;d=+d;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0.0,r=0.0,s=0.0,t=0.0,v=0.0,w=0.0;g=u;u=u+16|0;h=g;if((c|0)<=0){f[h>>2]=0;f[h+4>>2]=0;i=YG(h,5)|0;b[i>>0]=b[374631]|0;b[i+1>>0]=b[374632]|0;b[i+2>>0]=b[374633]|0;b[i+3>>0]=b[374634]|0;b[i+4>>0]=b[374635]|0;p8(-215,h,258820,1712)}i=d<=0.0&((c|0)<8&(c&1|0)!=0)?55988+((c>>>1)*28|0)|0:0;j=(e|0)==5;if((e+-5|0)>>>0>=2){f[h>>2]=0;f[h+4>>2]=0;k=YG(h,34)|0;l=258838;m=k+34|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));p8(-215,h,258820,1725)}f[a>>2]=1124007936;l=a+8|0;o=a+40|0;k=a+4|0;m=k+36|0;do{f[k>>2]=0;k=k+4|0}while((k|0)<(m|0));f[o>>2]=l;l=a+48|0;f[a+44>>2]=l;f[l>>2]=0;f[a+52>>2]=0;f[h>>2]=c;f[h+4>>2]=1;iP(a,2,h,e&4095);e=f[a+16>>2]|0;q=+(c+-1|0)*.5;r=d>0.0?d:(q+-1.0)*.3+.8;d=-.5/(r*r);if(i)if(j){a=0;r=0.0;while(1){s=+n[i+(a<<2)>>2];n[e+(a<<2)>>2]=s;t=r+s;a=a+1|0;if((a|0)==(c|0)){v=t;break}else r=t}}else{a=0;r=0.0;while(1){t=+n[i+(a<<2)>>2];p[e+(a<<3)>>3]=t;s=r+t;a=a+1|0;if((a|0)==(c|0)){v=s;break}else r=s}}else{a=0;r=0.0;while(1){s=+(a|0)-q;t=+V(+(s*(d*s)));if(j){s=t;n[e+(a<<2)>>2]=s;w=s}else{p[e+(a<<3)>>3]=t;w=t}t=r+w;a=a+1|0;if((a|0)==(c|0)){v=t;break}else r=t}}r=1.0/v;if(j){j=0;do{a=e+(j<<2)|0;n[a>>2]=r*+n[a>>2];j=j+1|0}while((j|0)!=(c|0));u=g;return}else{j=0;do{a=e+(j<<3)|0;p[a>>3]=r*+p[a>>3];j=j+1|0}while((j|0)!=(c|0));u=g;return}}function Xaa(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=+g;h=+h;var i=0,j=0,k=0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;i=u;u=u+64|0;j=i;k=d&7;l=!(h<=0.0)?h:g;d=f[e>>2]|0;if(g>0.0&(d|0)<1){m=V9b(((k|0)==0?3.0:4.0)*g*2.0+1.0)|0|1;f[e>>2]=m;n=m}else n=d;d=e+4|0;m=f[d>>2]|0;if(l>0.0&(m|0)<1){o=V9b(((k|0)==0?3.0:4.0)*l*2.0+1.0)|0|1;f[d>>2]=o;p=o}else p=m;if(!((n|0)>0&((n|0)%2|0|0)==1)){f[j>>2]=0;q=j+4|0;f[q>>2]=0;r=YG(j,84)|0;s=r;t=258873;v=s+84|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));p8(-215,j,258958,3780)}if(!((p|0)>0&((p|0)%2|0|0)==1)){f[j>>2]=0;q=j+4|0;f[q>>2]=0;r=YG(j,84)|0;s=r;t=258873;v=s+84|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));p8(-215,j,258958,3780)}h=g<0.0?0.0:g;g=l<0.0?0.0:l;t=k>>>0>5?k:5;Waa(j,n,h,t);if((j|0)==(a|0)){w=j+36|0;x=f[a+36>>2]|0}else{n=j+36|0;k=f[n>>2]|0;if(k|0){s=k+12|0;f[s>>2]=(f[s>>2]|0)+1}s=a+36|0;k=f[s>>2]|0;if(k|0?(v=k+12|0,k=f[v>>2]|0,f[v>>2]=k+-1,(k|0)==1):0)lP(a);f[s>>2]=0;k=a+16|0;v=a+4|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;if((f[v>>2]|0)>0){r=f[a+40>>2]|0;q=0;do{f[r+(q<<2)>>2]=0;q=q+1|0;y=f[v>>2]|0}while((q|0)<(y|0));f[a>>2]=f[j>>2];if((y|0)<3)z=20;else z=22}else{f[a>>2]=f[j>>2];z=20}if((z|0)==20){y=f[j+4>>2]|0;if((y|0)<3){f[v>>2]=y;f[a+8>>2]=f[j+8>>2];f[a+12>>2]=f[j+12>>2];y=f[j+44>>2]|0;v=f[a+44>>2]|0;f[v>>2]=f[y>>2];f[v+4>>2]=f[y+4>>2]}else z=22}if((z|0)==22)kP(a,j);f[k>>2]=f[j+16>>2];f[a+20>>2]=f[j+20>>2];f[a+24>>2]=f[j+24>>2];f[a+28>>2]=f[j+28>>2];f[a+32>>2]=f[j+32>>2];k=f[n>>2]|0;f[s>>2]=k;w=n;x=k}if(x|0?(k=x+12|0,x=f[k>>2]|0,f[k>>2]=x+-1,(x|0)==1):0)lP(j);f[w>>2]=0;w=j+16|0;x=j+4|0;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;if((f[x>>2]|0)>0){w=f[j+40>>2]|0;k=0;do{f[w+(k<<2)>>2]=0;k=k+1|0}while((k|0)<(f[x>>2]|0))}x=f[j+44>>2]|0;if((x|0)!=(j+48|0))tE(x);x=f[d>>2]|0;if((x|0)==(f[e>>2]|0)?+L(+(h-g))<2.220446049250313e-16:0){if((c|0)==(a|0)){u=i;return}e=a+36|0;d=f[e>>2]|0;if(d|0){k=d+12|0;f[k>>2]=(f[k>>2]|0)+1}k=c+36|0;d=f[k>>2]|0;if(d|0?(w=d+12|0,d=f[w>>2]|0,f[w>>2]=d+-1,(d|0)==1):0)lP(c);f[k>>2]=0;d=c+16|0;w=c+4|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[w>>2]|0)>0){n=f[c+40>>2]|0;s=0;do{f[n+(s<<2)>>2]=0;s=s+1|0;A=f[w>>2]|0}while((s|0)<(A|0));f[c>>2]=f[a>>2];if((A|0)<3)z=45;else z=47}else{f[c>>2]=f[a>>2];z=45}if((z|0)==45){A=f[a+4>>2]|0;if((A|0)<3){f[w>>2]=A;f[c+8>>2]=f[a+8>>2];f[c+12>>2]=f[a+12>>2];A=f[a+44>>2]|0;w=f[c+44>>2]|0;f[w>>2]=f[A>>2];f[w+4>>2]=f[A+4>>2]}else z=47}if((z|0)==47)kP(c,a);f[d>>2]=f[a+16>>2];f[c+20>>2]=f[a+20>>2];f[c+24>>2]=f[a+24>>2];f[c+28>>2]=f[a+28>>2];f[c+32>>2]=f[a+32>>2];f[k>>2]=f[e>>2];u=i;return}Waa(j,x,g,t);if((j|0)==(c|0)){B=j+36|0;C=f[c+36>>2]|0}else{t=j+36|0;x=f[t>>2]|0;if(x|0){e=x+12|0;f[e>>2]=(f[e>>2]|0)+1}e=c+36|0;x=f[e>>2]|0;if(x|0?(k=x+12|0,x=f[k>>2]|0,f[k>>2]=x+-1,(x|0)==1):0)lP(c);f[e>>2]=0;x=c+16|0;k=c+4|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;if((f[k>>2]|0)>0){a=f[c+40>>2]|0;d=0;do{f[a+(d<<2)>>2]=0;d=d+1|0;D=f[k>>2]|0}while((d|0)<(D|0));f[c>>2]=f[j>>2];if((D|0)<3)z=61;else z=63}else{f[c>>2]=f[j>>2];z=61}if((z|0)==61){D=f[j+4>>2]|0;if((D|0)<3){f[k>>2]=D;f[c+8>>2]=f[j+8>>2];f[c+12>>2]=f[j+12>>2];D=f[j+44>>2]|0;k=f[c+44>>2]|0;f[k>>2]=f[D>>2];f[k+4>>2]=f[D+4>>2]}else z=63}if((z|0)==63)kP(c,j);f[x>>2]=f[j+16>>2];f[c+20>>2]=f[j+20>>2];f[c+24>>2]=f[j+24>>2];f[c+28>>2]=f[j+28>>2];f[c+32>>2]=f[j+32>>2];c=f[t>>2]|0;f[e>>2]=c;B=t;C=c}if(C|0?(c=C+12|0,C=f[c>>2]|0,f[c>>2]=C+-1,(C|0)==1):0)lP(j);f[B>>2]=0;B=j+16|0;C=j+4|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;if((f[C>>2]|0)>0){B=f[j+40>>2]|0;c=0;do{f[B+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[C>>2]|0))}C=f[j+44>>2]|0;if((C|0)!=(j+48|0))tE(C);u=i;return}function Yaa(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=+g;h=+h;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0.0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0;j=u;u=u+544|0;k=j+472|0;l=j+464|0;m=j+448|0;n=j+456|0;o=j+336|0;p=j+392|0;q=j+280|0;r=j+224|0;s=j+168|0;t=j+160|0;v=j+152|0;w=j+64|0;x=j+136|0;y=j+120|0;z=j+8|0;A=j;zT(l,56100);B=oD(a,-1)|0;nD(m,a,-1);f[n>>2]=f[m>>2];C=m+4|0;f[n+4>>2]=f[C>>2];HD(c,n,B,-1,0,0);n=i&-17;do if(n|0){if(!(i&16)){do if((pD(a)|0)==65536){D=f[a+4>>2]|0;f[o>>2]=f[D>>2];E=o+4|0;F=D+4|0;f[E>>2]=f[F>>2];G=o+8|0;f[G>>2]=f[D+8>>2];f[o+12>>2]=f[D+12>>2];f[o+16>>2]=f[D+16>>2];f[o+20>>2]=f[D+20>>2];f[o+24>>2]=f[D+24>>2];f[o+28>>2]=f[D+28>>2];f[o+32>>2]=f[D+32>>2];H=o+36|0;I=f[D+36>>2]|0;f[H>>2]=I;f[o+40>>2]=G;G=o+48|0;J=o+44|0;f[J>>2]=G;f[G>>2]=0;f[o+52>>2]=0;if(I|0){G=I+12|0;f[G>>2]=(f[G>>2]|0)+1}if((f[F>>2]|0)<3){F=f[D+44>>2]|0;G=f[J>>2]|0;f[G>>2]=f[F>>2];f[G+4>>2]=f[F+4>>2];K=o;M=H;break}else{f[E>>2]=0;kP(o,D);K=o;M=H;break}}else{lD(o,a,-1);K=o;M=o+36|0}while(0);H=(f[K>>2]&32768|0)==0;D=f[M>>2]|0;if(D|0?(E=D+12|0,D=f[E>>2]|0,f[E>>2]=D+-1,(D|0)==1):0)lP(o);f[M>>2]=0;D=o+16|0;E=o+4|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[E>>2]|0)>0){D=f[o+40>>2]|0;F=0;do{f[D+(F<<2)>>2]=0;F=F+1|0}while((F|0)<(f[E>>2]|0))}E=f[o+44>>2]|0;if((E|0)!=(o+48|0))tE(E);if(!H)break}if((f[C>>2]|0)==1)f[e+4>>2]=1;if((f[m>>2]|0)==1)f[e>>2]=1}while(0);if((f[e>>2]|0)==1?(f[e+4>>2]|0)==1:0)FD(a,c);else{m=B&7;f[p>>2]=1124007936;C=p+4|0;o=p+8|0;M=p+40|0;K=C;E=K+36|0;do{f[K>>2]=0;K=K+4|0}while((K|0)<(E|0));f[M>>2]=o;o=p+48|0;F=p+44|0;f[F>>2]=o;f[o>>2]=0;f[p+52>>2]=0;f[q>>2]=1124007936;D=q+4|0;G=q+8|0;J=q+40|0;K=D;E=K+36|0;do{f[K>>2]=0;K=K+4|0}while((K|0)<(E|0));f[J>>2]=G;G=q+48|0;I=q+44|0;f[I>>2]=G;f[G>>2]=0;f[q+52>>2]=0;Xaa(p,q,B,e,g,h);do if((pD(a)|0)==65536){B=f[a+4>>2]|0;f[r>>2]=f[B>>2];N=r+4|0;O=B+4|0;f[N>>2]=f[O>>2];P=r+8|0;f[P>>2]=f[B+8>>2];f[r+12>>2]=f[B+12>>2];f[r+16>>2]=f[B+16>>2];f[r+20>>2]=f[B+20>>2];f[r+24>>2]=f[B+24>>2];f[r+28>>2]=f[B+28>>2];f[r+32>>2]=f[B+32>>2];Q=f[B+36>>2]|0;f[r+36>>2]=Q;f[r+40>>2]=P;P=r+48|0;R=r+44|0;f[R>>2]=P;f[P>>2]=0;f[r+52>>2]=0;if(Q|0){P=Q+12|0;f[P>>2]=(f[P>>2]|0)+1}if((f[O>>2]|0)<3){O=f[B+44>>2]|0;P=f[R>>2]|0;f[P>>2]=f[O>>2];f[P+4>>2]=f[O+4>>2];break}else{f[N>>2]=0;kP(r,B);break}}else lD(r,a,-1);while(0);do if((pD(c)|0)==65536){B=f[c+4>>2]|0;f[s>>2]=f[B>>2];N=s+4|0;O=B+4|0;f[N>>2]=f[O>>2];P=s+8|0;f[P>>2]=f[B+8>>2];f[s+12>>2]=f[B+12>>2];f[s+16>>2]=f[B+16>>2];f[s+20>>2]=f[B+20>>2];f[s+24>>2]=f[B+24>>2];f[s+28>>2]=f[B+28>>2];f[s+32>>2]=f[B+32>>2];R=f[B+36>>2]|0;f[s+36>>2]=R;f[s+40>>2]=P;P=s+48|0;Q=s+44|0;f[Q>>2]=P;f[P>>2]=0;f[s+52>>2]=0;if(R|0){P=R+12|0;f[P>>2]=(f[P>>2]|0)+1}if((f[O>>2]|0)<3){O=f[B+44>>2]|0;P=f[Q>>2]|0;f[P>>2]=f[O>>2];f[P+4>>2]=f[O+4>>2];break}else{f[N>>2]=0;kP(s,B);break}}else lD(s,c,-1);while(0);f[t>>2]=0;f[t+4>>2]=0;c=r+12|0;B=r+8|0;N=f[B>>2]|0;f[v>>2]=f[c>>2];f[v+4>>2]=N;N=(i&16|0)!=0;if(!N)vP(r,v,t);t=r+16|0;v=r+44|0;O=s+16|0;P=s+44|0;Q=e+4|0;R=(m|0)==0;if(!(N|R^1)){do if((pD(a)|0)==65536){N=f[a+4>>2]|0;f[w>>2]=f[N>>2];S=w+4|0;T=N+4|0;f[S>>2]=f[T>>2];U=w+8|0;f[U>>2]=f[N+8>>2];f[w+12>>2]=f[N+12>>2];f[w+16>>2]=f[N+16>>2];f[w+20>>2]=f[N+20>>2];f[w+24>>2]=f[N+24>>2];f[w+28>>2]=f[N+28>>2];f[w+32>>2]=f[N+32>>2];V=w+36|0;W=f[N+36>>2]|0;f[V>>2]=W;f[w+40>>2]=U;U=w+48|0;X=w+44|0;f[X>>2]=U;f[U>>2]=0;f[w+52>>2]=0;if(W|0){U=W+12|0;f[U>>2]=(f[U>>2]|0)+1}if((f[T>>2]|0)<3){T=f[N+44>>2]|0;U=f[X>>2]|0;f[U>>2]=f[T>>2];f[U+4>>2]=f[T+4>>2];Y=w;Z=V;break}else{f[S>>2]=0;kP(w,N);Y=w;Z=V;break}}else{lD(w,a,-1);Y=w;Z=w+36|0}while(0);a=(f[Y>>2]&32768|0)==0;Y=f[Z>>2]|0;if(Y|0?(V=Y+12|0,Y=f[V>>2]|0,f[V>>2]=Y+-1,(Y|0)==1):0)lP(w);f[Z>>2]=0;Z=w+16|0;Y=w+4|0;f[Z>>2]=0;f[Z+4>>2]=0;f[Z+8>>2]=0;f[Z+12>>2]=0;if((f[Y>>2]|0)>0){Z=f[w+40>>2]|0;V=0;do{f[Z+(V<<2)>>2]=0;V=V+1|0}while((V|0)<(f[Y>>2]|0))}Y=f[w+44>>2]|0;if((Y|0)==(w+48|0))_=a;else{tE(Y);_=a}}else _=R;if(_){f[x>>2]=0;_=x+4|0;f[_>>2]=0;f[x+8>>2]=0;f[y>>2]=0;a=y+4|0;f[a>>2]=0;f[y+8>>2]=0;$=!(h<=0.0)?h:g;Y=f[e>>2]|0;if(g>0.0&(Y|0)<1){w=V9b((R?3.0:4.0)*g*2.0+1.0)|0|1;f[e>>2]=w;aa=w}else aa=Y;Y=f[Q>>2]|0;if($>0.0&(Y|0)<1){w=V9b($*(R?3.0:4.0)*2.0+1.0)|0|1;f[Q>>2]=w;ba=w}else ba=Y;if(!((aa|0)>0&((aa|0)%2|0|0)==1)){f[k>>2]=0;ca=k+4|0;f[ca>>2]=0;da=YG(k,84)|0;K=da;ea=258873;E=K+84|0;do{b[K>>0]=b[ea>>0]|0;K=K+1|0;ea=ea+1|0}while((K|0)<(E|0));p8(-215,k,258958,3780)}if(!((ba|0)>0&((ba|0)%2|0|0)==1)){f[k>>2]=0;ca=k+4|0;f[ca>>2]=0;da=YG(k,84)|0;K=da;ea=258873;E=K+84|0;do{b[K>>0]=b[ea>>0]|0;K=K+1|0;ea=ea+1|0}while((K|0)<(E|0));p8(-215,k,258958,3780)}h=g<0.0?0.0:g;g=$<0.0?0.0:$;Zaa(aa,h,x);aa=f[Q>>2]|0;do if((aa|0)==(f[e>>2]|0)?+L(+(h-g))<2.220446049250313e-16:0){Q=f[x>>2]|0;ea=f[_>>2]|0;da=ea;ca=Q;ba=da-ca|0;Y=ba>>1;w=y+8|0;R=f[w>>2]|0;V=f[y>>2]|0;Z=V;if(Y>>>0<=R-V>>1>>>0){N=f[a>>2]|0;S=N-V>>1;T=Y>>>0>S>>>0;U=T?Q+(S<<1)|0:ea;ea=N;S=N;if((U|0)==(Q|0))fa=Z;else{N=Q;X=Z;while(1){d[X>>1]=d[N>>1]|0;N=N+2|0;if((N|0)==(U|0))break;else X=X+2|0}fa=Z+(((U+-2-ca|0)>>>1)+1<<1)|0}if(T){X=da-U|0;if((X|0)<=0)break;Krc(S|0,U|0,X|0)|0;f[a>>2]=(f[a>>2]|0)+(X>>>1<<1);break}else{if((ea|0)==(fa|0))break;f[a>>2]=ea+(~((ea+-2-fa|0)>>>1)<<1);break}}X=V;if(!V)ga=R;else{N=f[a>>2]|0;if((N|0)!=(Z|0))f[a>>2]=N+(~((N+-2-V|0)>>>1)<<1);Emc(X);f[w>>2]=0;f[a>>2]=0;f[y>>2]=0;ga=0}if((ba|0)<0)Ukc(y);X=ga>>1>>>0<1073741823?(ga>>>0<Y>>>0?Y:ga):2147483647;if((X|0)<0)Ukc(y);N=Bmc(X<<1)|0;f[a>>2]=N;f[y>>2]=N;f[w>>2]=N+(X<<1);if((ba|0)<=0)break;Krc(N|0,Q|0,ba|0)|0;f[a>>2]=N+(ba>>>1<<1)}else ha=87;while(0);if((ha|0)==87)Zaa(aa,g,y);aa=f[t>>2]|0;ga=f[O>>2]|0;if((aa|0)==(ga|0)){f[z>>2]=1124007936;fa=z+4|0;e=z+8|0;N=z+40|0;K=fa;E=K+36|0;do{f[K>>2]=0;K=K+4|0}while((K|0)<(E|0));f[N>>2]=e;K=z+48|0;E=z+44|0;f[E>>2]=K;f[K>>2]=0;f[z+52>>2]=0;X=k+8|0;f[X>>2]=0;f[X+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=z;kT(r,k);X=z+36|0;H=f[X>>2]|0;if(H|0){W=H+12|0;f[W>>2]=(f[W>>2]|0)+1}W=r+36|0;H=f[W>>2]|0;if(H|0?(ia=H+12|0,H=f[ia>>2]|0,f[ia>>2]=H+-1,(H|0)==1):0)lP(r);f[W>>2]=0;H=r+4|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[H>>2]|0)>0){ia=f[r+40>>2]|0;ja=0;do{f[ia+(ja<<2)>>2]=0;ja=ja+1|0;ka=f[H>>2]|0}while((ja|0)<(ka|0));f[r>>2]=f[z>>2];if((ka|0)<3)ha=100;else ha=102}else{f[r>>2]=f[z>>2];ha=100}do if((ha|0)==100){ka=f[fa>>2]|0;if((ka|0)>=3){ha=102;break}f[H>>2]=ka;f[B>>2]=f[e>>2];f[c>>2]=f[z+12>>2];ka=f[E>>2]|0;ja=f[v>>2]|0;f[ja>>2]=f[ka>>2];f[ja+4>>2]=f[ka+4>>2]}while(0);if((ha|0)==102)kP(r,z);c=z+16|0;f[t>>2]=f[c>>2];f[r+20>>2]=f[z+20>>2];f[r+24>>2]=f[z+24>>2];f[r+28>>2]=f[z+28>>2];f[r+32>>2]=f[z+32>>2];e=f[X>>2]|0;f[W>>2]=e;do if(e|0){W=e+12|0;B=f[W>>2]|0;f[W>>2]=B+-1;if((B|0)!=1)break;lP(z)}while(0);f[X>>2]=0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[fa>>2]|0)>0){c=f[N>>2]|0;N=0;do{f[c+(N<<2)>>2]=0;N=N+1|0}while((N|0)<(f[fa>>2]|0))}fa=f[E>>2]|0;if((fa|0)!=(K|0))tE(fa);la=f[t>>2]|0;ma=f[O>>2]|0}else{la=aa;ma=ga}ga=((f[f[v>>2]>>2]|0)>>>0)/((1212424721>>>(f[r>>2]<<2&28)&15)>>>0)|0;aa=f[s>>2]|0;fa=((f[f[P>>2]>>2]|0)>>>0)/((1212424721>>>(aa<<2&28)&15)>>>0)|0;K=f[s+12>>2]|0;E=f[s+8>>2]|0;N=f[x>>2]|0;c=(f[_>>2]|0)-N|0;X=c>>1;e=f[y>>2]|0;B=(f[a>>2]|0)-e|0;W=B>>1;f[k>>2]=56128;f[k+4>>2]=la;f[k+8>>2]=ma;f[k+12>>2]=ga;f[k+16>>2]=fa;f[k+20>>2]=K;f[k+24>>2]=E;f[k+28>>2]=(aa>>>3&511)+1;f[k+32>>2]=N;f[k+36>>2]=e;f[k+40>>2]=X;f[k+44>>2]=W;f[k+48>>2]=n;a:do switch(X|0){case 1:{f[k+52>>2]=(d[N>>1]|0)==256?95:94;break}case 3:{n=d[N>>1]|0;if((n<<16>>16==64?(d[N+2>>1]|0)==128:0)?(d[N+4>>1]|0)==64:0)na=102;else{aa=d[N+4>>1]|0;na=((n&65535)<=(aa&65535)?1:((n&65535)-(aa&65535)&65535)<<16>>16==0)?97:96}f[k+52>>2]=na;break}case 5:{do if(((d[N+4>>1]|0)==96?(d[N+2>>1]|0)==64:0)?(d[N+6>>1]|0)==64:0){if((d[N>>1]|0)!=16){ha=124;break}if((d[N+8>>1]|0)==16)oa=103;else ha=124}else ha=124;while(0);if((ha|0)==124)if((d[N>>1]|0)==(d[N+8>>1]|0))oa=(d[N+2>>1]|0)==(d[N+6>>1]|0)?99:98;else oa=98;f[k+52>>2]=oa;break}default:{ba=k+52|0;if(((X|0)%2|0|0)!=1){f[ba>>2]=101;break a}f[ba>>2]=100;if((c|0)>2){Q=X>>>1;w=0;while(1){if((d[N+(w<<1)>>1]|0)!=(d[N+(X+~w<<1)>>1]|0))break;w=w+1|0;if((w|0)>=(Q|0))break a}f[ba>>2]=101}}}while(0);b:do switch(W|0){case 1:{f[k+56>>2]=(d[e>>1]|0)==256?149:148;break}case 3:{if((d[e>>1]|0)==64?(d[e+2>>1]|0)==128:0)pa=(d[e+4>>1]|0)==64?151:150;else pa=150;f[k+56>>2]=pa;break}case 5:{do if(((d[e+4>>1]|0)==96?(d[e+2>>1]|0)==64:0)?(d[e+6>>1]|0)==64:0){if((d[e>>1]|0)!=16){qa=152;break}qa=(d[e+8>>1]|0)==16?153:152}else qa=152;while(0);f[k+56>>2]=qa;break}default:{ba=k+56|0;if(((W|0)%2|0|0)!=1){f[ba>>2]=155;break b}f[ba>>2]=154;if((B|0)>2){X=W>>>1;N=0;while(1){if((d[e+(N<<1)>>1]|0)!=(d[e+(W+~N<<1)>>1]|0))break;N=N+1|0;if((N|0)>=(X|0))break b}f[ba>>2]=155}}}while(0);f[z>>2]=0;f[z+4>>2]=E;E=pU()|0;W=qU()|0;e=(W|0)<(E|0)?W:E;oU(z,k,+(((e|0)>1?e:1)|0));e=f[y>>2]|0;if(e|0){E=f[a>>2]|0;if((E|0)!=(e|0))f[a>>2]=E+(~((E+-2-e|0)>>>1)<<1);Emc(e)}e=f[x>>2]|0;if(e|0){E=f[_>>2]|0;if((E|0)!=(e|0))f[_>>2]=E+(~((E+-2-e|0)>>>1)<<1);Emc(e)}}else{f[k+8>>2]=0;f[k+12>>2]=0;f[k>>2]=16842752;f[k+4>>2]=r;e=x+8|0;f[e>>2]=0;f[e+4>>2]=0;f[x>>2]=33619968;f[x+4>>2]=s;f[y+8>>2]=0;f[y+12>>2]=0;f[y>>2]=16842752;f[y+4>>2]=p;f[z+8>>2]=0;f[z+12>>2]=0;f[z>>2]=16842752;f[z+4>>2]=q;f[A>>2]=-1;f[A+4>>2]=-1;zha(k,x,m,y,z,A,0.0,i)}i=s+36|0;A=f[i>>2]|0;if(A|0?(z=A+12|0,A=f[z>>2]|0,f[z>>2]=A+-1,(A|0)==1):0)lP(s);f[i>>2]=0;i=s+4|0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;if((f[i>>2]|0)>0){O=f[s+40>>2]|0;A=0;do{f[O+(A<<2)>>2]=0;A=A+1|0}while((A|0)<(f[i>>2]|0))}i=f[P>>2]|0;if((i|0)!=(s+48|0))tE(i);i=r+36|0;s=f[i>>2]|0;if(s|0?(P=s+12|0,s=f[P>>2]|0,f[P>>2]=s+-1,(s|0)==1):0)lP(r);f[i>>2]=0;i=r+4|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;if((f[i>>2]|0)>0){t=f[r+40>>2]|0;s=0;do{f[t+(s<<2)>>2]=0;s=s+1|0}while((s|0)<(f[i>>2]|0))}i=f[v>>2]|0;if((i|0)!=(r+48|0))tE(i);i=q+36|0;r=f[i>>2]|0;if(r|0?(v=r+12|0,r=f[v>>2]|0,f[v>>2]=r+-1,(r|0)==1):0)lP(q);f[i>>2]=0;i=q+16|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[D>>2]|0)>0){i=f[J>>2]|0;J=0;do{f[i+(J<<2)>>2]=0;J=J+1|0}while((J|0)<(f[D>>2]|0))}D=f[I>>2]|0;if((D|0)!=(G|0))tE(D);D=p+36|0;G=f[D>>2]|0;if(G|0?(I=G+12|0,G=f[I>>2]|0,f[I>>2]=G+-1,(G|0)==1):0)lP(p);f[D>>2]=0;D=p+16|0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;if((f[C>>2]|0)>0){D=f[M>>2]|0;M=0;do{f[D+(M<<2)>>2]=0;M=M+1|0}while((M|0)<(f[C>>2]|0))}C=f[F>>2]|0;if((C|0)!=(o|0))tE(C)}if(!(f[l+4>>2]|0)){u=j;return}u=j;return}function Zaa(a,b,c){a=a|0;b=+b;c=c|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;e=u;u=u+128|0;g=e+104|0;h=e+96|0;i=e+88|0;j=e+80|0;k=e+64|0;l=e+56|0;m=e+40|0;n=e+32|0;o=e+24|0;q=e+16|0;r=e+8|0;s=e;t=e+112|0;a:do if(!(b<=0.0))v=7;else switch(a|0){case 1:{p[i>>3]=1.0;Rzb(h,256);bAb(g,i,h);w=(Vzb(g)|0)&65535;x=Bmc(2)|0;f[t>>2]=x;y=x+2|0;f[t+8>>2]=y;d[x>>1]=w;f[t+4>>2]=y;break a;break}case 3:{p[i>>3]=.25;Rzb(h,256);bAb(g,i,h);y=(Vzb(g)|0)&65535;p[j>>3]=.5;Rzb(h,256);bAb(g,j,h);w=(Vzb(g)|0)&65535;p[k>>3]=.25;Rzb(h,256);bAb(g,k,h);x=(Vzb(g)|0)&65535;z=Bmc(6)|0;f[t>>2]=z;A=z+6|0;f[t+8>>2]=A;d[z>>1]=y;d[z+2>>1]=w;d[z+4>>1]=x;f[t+4>>2]=A;break a;break}case 5:{p[i>>3]=.0625;Rzb(h,256);bAb(g,i,h);A=(Vzb(g)|0)&65535;p[j>>3]=.25;Rzb(h,256);bAb(g,j,h);x=(Vzb(g)|0)&65535;p[k>>3]=.375;Rzb(h,256);bAb(g,k,h);z=(Vzb(g)|0)&65535;p[l>>3]=.25;Rzb(h,256);bAb(g,l,h);w=(Vzb(g)|0)&65535;p[m>>3]=.0625;Rzb(h,256);bAb(g,m,h);y=(Vzb(g)|0)&65535;B=Bmc(10)|0;f[t>>2]=B;C=B+10|0;f[t+8>>2]=C;d[B>>1]=A;d[B+2>>1]=x;d[B+4>>1]=z;d[B+6>>1]=w;d[B+8>>1]=y;f[t+4>>2]=C;break a;break}case 7:{p[i>>3]=.03125;Rzb(h,256);bAb(g,i,h);C=(Vzb(g)|0)&65535;p[j>>3]=.109375;Rzb(h,256);bAb(g,j,h);y=(Vzb(g)|0)&65535;p[k>>3]=.21875;Rzb(h,256);bAb(g,k,h);B=(Vzb(g)|0)&65535;p[l>>3]=.28125;Rzb(h,256);bAb(g,l,h);w=(Vzb(g)|0)&65535;p[m>>3]=.21875;Rzb(h,256);bAb(g,m,h);z=(Vzb(g)|0)&65535;p[n>>3]=.109375;Rzb(h,256);bAb(g,n,h);x=(Vzb(g)|0)&65535;p[o>>3]=.03125;Rzb(h,256);bAb(g,o,h);A=(Vzb(g)|0)&65535;D=Bmc(14)|0;f[t>>2]=D;E=D+14|0;f[t+8>>2]=E;d[D>>1]=C;d[D+2>>1]=y;d[D+4>>1]=B;d[D+6>>1]=w;d[D+8>>1]=z;d[D+10>>1]=x;d[D+12>>1]=A;f[t+4>>2]=E;break a;break}default:{v=7;break a}}while(0);if((v|0)==7){if(b>0.0)p[i>>3]=b;else{Rzb(g,a);p[h>>3]=.15;p[j>>3]=.35;gAb(i,g,h,j)}p[q>>3]=-.125;bAb(g,i,i);cAb(j,q,g);f[k>>2]=0;q=k+4|0;f[q>>2]=0;f[k+8>>2]=0;i=(a|0)==0;if(i){p[l>>3]=0.0;F=0;G=l}else{if(a>>>0>536870911)Ukc(k);v=a<<3;o=Bmc(v)|0;f[k>>2]=o;E=o+(a<<3)|0;f[k+8>>2]=E;Drc(o|0,0,v|0)|0;f[q>>2]=E;p[l>>3]=0.0;E=1-a|0;v=0;while(1){Rzb(r,Y(E,E)|0);bAb(h,r,j);hAb(g,h);o=(f[k>>2]|0)+(v<<3)|0;if((g|0)!=(o|0)){A=g;D=f[A+4>>2]|0;x=o;f[x>>2]=f[A>>2];f[x+4>>2]=D}Zzb(g,l,o);o=g;D=f[o+4>>2]|0;x=l;f[x>>2]=f[o>>2];f[x+4>>2]=D;v=v+1|0;if((v|0)>=(a|0)){F=1;G=l;break}else E=E+2|0}}E=s;f[E>>2]=0;f[E+4>>2]=1072693248;cAb(g,s,l);s=g;E=f[s+4>>2]|0;G=l;f[G>>2]=f[s>>2];f[G+4>>2]=E;f[m>>2]=0;E=m+4|0;f[E>>2]=0;f[m+8>>2]=0;do if(!i)if((a|0)<0)Ukc(m);else{G=a<<1;s=Bmc(G)|0;f[m>>2]=s;v=s+(a<<1)|0;f[m+8>>2]=v;Drc(s|0,0,G|0)|0;f[E>>2]=v;H=v;I=v;J=s;K=s;break}else{H=0;I=0;J=0;K=0}while(0);if(F){F=0;do{bAb(n,(f[k>>2]|0)+(F<<3)|0,l);i=f[m>>2]|0;if((f[n+4>>2]|0)<0)L=0;else{Rzb(h,256);bAb(g,n,h);L=(Vzb(g)|0)&65535}d[i+(F<<1)>>1]=L;F=F+1|0}while((F|0)<(a|0));a=f[E>>2]|0;F=f[m>>2]|0;M=F;N=a;O=F;P=a}else{M=K;N=H;O=J;P=I}f[t>>2]=0;I=t+4|0;f[I>>2]=0;f[t+8>>2]=0;J=N-M|0;M=J>>1;if(M){if((J|0)<0)Ukc(t);H=Bmc(J)|0;f[I>>2]=H;f[t>>2]=H;f[t+8>>2]=H+(M<<1);M=N-O|0;J=N;if((M|0)>0){Krc(H|0,O|0,M|0)|0;f[I>>2]=H+(M>>>1<<1);Q=J}else Q=J}else Q=P;if(O|0){if((Q|0)!=(O|0))f[E>>2]=Q+(~((Q+-2-O|0)>>>1)<<1);Emc(O)}O=f[k>>2]|0;if(O|0){k=f[q>>2]|0;if((k|0)!=(O|0))f[q>>2]=k+(~((k+-8-O|0)>>>3)<<3);Emc(O)}}do if((t|0)!=(c|0)){O=f[t>>2]|0;k=f[t+4>>2]|0;q=k;Q=O;E=q-Q|0;P=E>>1;J=c+8|0;M=f[J>>2]|0;H=f[c>>2]|0;I=H;if(P>>>0<=M-H>>1>>>0){N=c+4|0;K=f[N>>2]|0;a=K-H>>1;F=P>>>0>a>>>0;m=F?O+(a<<1)|0:k;k=K;a=K;if((m|0)==(O|0))R=I;else{K=m+-2|0;L=O;g=I;while(1){d[g>>1]=d[L>>1]|0;L=L+2|0;if((L|0)==(m|0))break;else g=g+2|0}R=I+(((K-Q|0)>>>1)+1<<1)|0}if(F){g=q-m|0;if((g|0)<=0)break;Krc(a|0,m|0,g|0)|0;f[N>>2]=(f[N>>2]|0)+(g>>>1<<1);break}else{if((k|0)==(R|0))break;f[N>>2]=k+(~((k+-2-R|0)>>>1)<<1);break}}g=H;if(!H)S=M;else{L=c+4|0;h=f[L>>2]|0;if((h|0)!=(I|0))f[L>>2]=h+(~((h+-2-H|0)>>>1)<<1);Emc(g);f[J>>2]=0;f[L>>2]=0;f[c>>2]=0;S=0}if((E|0)<0)Ukc(c);L=S>>1>>>0<1073741823?(S>>>0<P>>>0?P:S):2147483647;if((L|0)<0)Ukc(c);g=Bmc(L<<1)|0;h=c+4|0;f[h>>2]=g;f[c>>2]=g;f[J>>2]=g+(L<<1);if((E|0)>0){Krc(g|0,O|0,E|0)|0;f[h>>2]=g+(E>>>1<<1)}}while(0);c=f[t>>2]|0;if(!c){u=e;return}S=t+4|0;t=f[S>>2]|0;if((t|0)!=(c|0))f[S>>2]=t+(~((t+-2-c|0)>>>1)<<1);Emc(c);u=e;return}function _aa(a,b,c,e,f,g,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0;i=Y(g,b)|0;if((i|0)>0)j=0;else return;do{d[f+(j<<1)>>1]=(h[a+j>>0]|0)<<8;j=j+1|0}while((j|0)!=(i|0));return}function $aa(a,b,c,e,f,g,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;i=i|0;i=Y(g,b)|0;if((i|0)<=0)return;b=0;do{g=Y(h[a+b>>0]|0,j[c>>1]|0)|0;d[f+(b<<1)>>1]=g>>>0<65535?g:65535;b=b+1|0}while((b|0)!=(i|0));return}function aba(a,b,c,e,f,g,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;if((g|0)==1){if(!i)k=d[c+2>>1]|0;else{e=(j[c>>1]|0)<<1&65534;l=e+(j[c+2>>1]|0)|0;k=e>>>0>(l&65535)>>>0?-1:l&65535}if((b|0)<=0)return;l=k&65535;k=0;do{e=Y(h[a+k>>0]|0,l)|0;d[f+(k<<1)>>1]=e>>>0<65535?e:65535;k=k+1|0}while((k|0)!=(b|0));return}k=(i|0)!=0;if(k){l=sT(-1,g,i)|0;if((b|0)>0){e=c+2|0;m=Y(l,b)|0;l=0;do{n=Y(h[a+l>>0]|0,j[e>>1]|0)|0;o=(Y((h[a+(l+m)>>0]|0)+(h[a+(l+b)>>0]|0)|0,j[c>>1]|0)|0)+n&65535;d[f+(l<<1)>>1]=o;l=l+1|0}while((l|0)!=(b|0))}}else if((b|0)>0){l=c+2|0;m=0;do{e=Y(h[a+m>>0]|0,j[l>>1]|0)|0;o=e>>>0<65535?e:65535;e=Y(h[a+(m+b)>>0]|0,j[c>>1]|0)|0;n=(e>>>0<65535?e:65535)+o|0;d[f+(m<<1)>>1]=o>>>0>(n&65535)>>>0?-1:n&65535;m=m+1|0}while((m|0)!=(b|0))}m=a+b|0;l=f+(b<<1)|0;n=g+-1|0;o=Y(n,b)|0;if((o|0)>(b|0)){e=c+2|0;p=0-b|0;q=f+(Y((g<<1)+-2|0,b)|0)|0;f=m;r=l;s=b;while(1){t=Y(h[f>>0]|0,j[e>>1]|0)|0;u=(Y((h[f+b>>0]|0)+(h[f+p>>0]|0)|0,j[c>>1]|0)|0)+t&65535;d[r>>1]=u;s=s+1|0;if((s|0)==(o|0))break;else{f=f+1|0;r=r+2|0}}v=a+o|0;w=q}else{v=m;w=l}if(k){k=Y((sT(g,g,i)|0)-n|0,b)|0;if((b|0)<=0)return;n=c+2|0;i=0;do{g=Y(h[v+i>>0]|0,j[n>>1]|0)|0;l=(Y((h[v+(i+k)>>0]|0)+(h[v+(i-b)>>0]|0)|0,j[c>>1]|0)|0)+g&65535;d[w+(i<<1)>>1]=l;i=i+1|0}while((i|0)!=(b|0));return}else{if((b|0)<=0)return;i=c+2|0;k=0;do{n=Y(h[v+(k-b)>>0]|0,j[c>>1]|0)|0;l=n>>>0<65535?n:65535;n=Y(h[v+k>>0]|0,j[i>>1]|0)|0;g=(n>>>0<65535?n:65535)+l|0;d[w+(k<<1)>>1]=l>>>0>(g&65535)>>>0?-1:g&65535;k=k+1|0}while((k|0)!=(b|0));return}}function bba(a,b,c,e,f,g,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;if((g|0)==1){if(!i)k=d[c+2>>1]|0;else{e=j[c>>1]|0;l=(j[c+2>>1]|0)+e&65535;m=e>>>0>l>>>0?65535:l;l=m+(j[c+4>>1]|0)|0;k=m>>>0>(l&65535)>>>0?-1:l&65535}if((b|0)<=0)return;l=k&65535;k=0;do{m=Y(h[a+k>>0]|0,l)|0;d[f+(k<<1)>>1]=m>>>0<65535?m:65535;k=k+1|0}while((k|0)!=(b|0));return}k=(b|0)>0;if(k){l=c+2|0;m=c+4|0;e=0;do{n=Y(h[a+e>>0]|0,j[l>>1]|0)|0;o=n>>>0<65535?n:65535;n=Y(h[a+(e+b)>>0]|0,j[m>>1]|0)|0;p=(n>>>0<65535?n:65535)+o|0;d[f+(e<<1)>>1]=o>>>0>(p&65535)>>>0?-1:p&65535;e=e+1|0}while((e|0)!=(b|0))}e=(i|0)!=0;if(e?(m=sT(-1,g,i)|0,k):0){l=Y(m,b)|0;m=0;do{p=Y(h[a+(m+l)>>0]|0,j[c>>1]|0)|0;o=f+(m<<1)|0;n=j[o>>1]|0;q=(p>>>0<65535?p:65535)+n|0;d[o>>1]=n>>>0>(q&65535)>>>0?-1:q&65535;m=m+1|0}while((m|0)!=(b|0))}m=a+b|0;l=f+(b<<1)|0;q=g+-1|0;n=Y(q,b)|0;if((n|0)>(b|0)){o=0-b|0;p=c+2|0;r=c+4|0;s=f+(Y((g<<1)+-2|0,b)|0)|0;f=m;t=l;u=b;while(1){v=Y(h[f+o>>0]|0,j[c>>1]|0)|0;w=v>>>0<65535?v:65535;v=Y(h[f>>0]|0,j[p>>1]|0)|0;x=(v>>>0<65535?v:65535)+w&65535;v=Y(h[f+b>>0]|0,j[r>>1]|0)|0;y=w>>>0>x>>>0?65535:x;x=y+(v>>>0<65535?v:65535)|0;d[t>>1]=y>>>0>(x&65535)>>>0?-1:x&65535;u=u+1|0;if((u|0)==(n|0))break;else{f=f+1|0;t=t+2|0}}z=a+n|0;A=s}else{z=m;A=l}if(k){l=c+2|0;m=0;do{s=Y(h[z+(m-b)>>0]|0,j[c>>1]|0)|0;n=s>>>0<65535?s:65535;s=Y(h[z+m>>0]|0,j[l>>1]|0)|0;a=(s>>>0<65535?s:65535)+n|0;d[A+(m<<1)>>1]=n>>>0>(a&65535)>>>0?-1:a&65535;m=m+1|0}while((m|0)!=(b|0))}if(!e)return;e=Y((sT(g,g,i)|0)-q|0,b)|0;if(!k)return;k=c+4|0;c=0;do{q=Y(h[z+(c+e)>>0]|0,j[k>>1]|0)|0;i=A+(c<<1)|0;g=j[i>>1]|0;m=(q>>>0<65535?q:65535)+g|0;d[i>>1]=g>>>0>(m&65535)>>>0?-1:m&65535;c=c+1|0}while((c|0)!=(b|0));return}function cba(a,b,c,e,f,g,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if((g|0)==1){e=(b|0)>0;if(!i){if(e)k=0;else return;do{d[f+(k<<1)>>1]=(h[a+k>>0]|0)<<7;k=k+1|0}while((k|0)!=(b|0));return}else{if(e)l=0;else return;do{d[f+(l<<1)>>1]=(h[a+l>>0]|0)<<8;l=l+1|0}while((l|0)!=(b|0));return}}l=(b|0)>0;if(l){e=0;do{d[f+(e<<1)>>1]=((h[a+(e+b)>>0]|0)<<6)+((h[a+e>>0]|0)<<7);e=e+1|0}while((e|0)!=(b|0))}e=(i|0)!=0;if(e?(k=sT(-1,g,i)|0,l):0){c=Y(k,b)|0;k=0;do{m=f+(k<<1)|0;n=j[m>>1]|0;o=((h[a+(k+c)>>0]|0)<<6)+n|0;d[m>>1]=n>>>0>(o&65535)>>>0?-1:o&65535;k=k+1|0}while((k|0)!=(b|0))}k=a+b|0;c=f+(b<<1)|0;o=g+-1|0;n=Y(o,b)|0;if((n|0)>(b|0)){m=0-b|0;p=f+(Y((g<<1)+-2|0,b)|0)|0;f=k;q=c;r=b;while(1){d[q>>1]=(h[f+b>>0]|0)+(h[f+m>>0]|0)+((h[f>>0]|0)<<1)<<6;r=r+1|0;if((r|0)==(n|0))break;else{f=f+1|0;q=q+2|0}}s=a+n|0;t=p}else{s=k;t=c}if(l){c=0;do{d[t+(c<<1)>>1]=((h[s+c>>0]|0)<<7)+((h[s+(c-b)>>0]|0)<<6);c=c+1|0}while((c|0)!=(b|0))}if(!e)return;e=Y((sT(g,g,i)|0)-o|0,b)|0;if(l)u=0;else return;do{l=t+(u<<1)|0;o=j[l>>1]|0;i=((h[s+(u+e)>>0]|0)<<6)+o|0;d[l>>1]=o>>>0>(i&65535)>>>0?-1:i&65535;u=u+1|0}while((u|0)!=(b|0));return}function dba(a,b,c,e,f,g,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;switch(g|0){case 1:{if(!i)k=d[c+4>>1]|0;else{e=j[c>>1]|0;l=(j[c+2>>1]|0)+e|0;m=e>>>0>(l&65535)>>>0?65534:l<<1&65534;l=m+(j[c+4>>1]|0)|0;k=m>>>0>(l&65535)>>>0?-1:l&65535}if((b|0)<=0)return;l=k&65535;k=0;do{m=Y(h[a+k>>0]|0,l)|0;d[f+(k<<1)>>1]=m>>>0<65535?m:65535;k=k+1|0}while((k|0)!=(b|0));return}case 2:{if(!i){if((b|0)<=0)return;k=c+4|0;l=c+2|0;m=0;do{e=a+m|0;n=Y(h[e>>0]|0,j[k>>1]|0)|0;o=n>>>0<65535?n:65535;n=m+b|0;p=a+n|0;q=Y(h[p>>0]|0,j[l>>1]|0)|0;r=(q>>>0<65535?q:65535)+o|0;d[f+(m<<1)>>1]=o>>>0>(r&65535)>>>0?-1:r&65535;r=Y(h[e>>0]|0,j[l>>1]|0)|0;e=r>>>0<65535?r:65535;r=Y(h[p>>0]|0,j[k>>1]|0)|0;p=(r>>>0<65535?r:65535)+e|0;d[f+(n<<1)>>1]=e>>>0>(p&65535)>>>0?-1:p&65535;m=m+1|0}while((m|0)!=(b|0));return}else{m=Y(sT(-2,2,i)|0,b)|0;k=Y(sT(-1,2,i)|0,b)|0;l=Y(sT(2,2,i)|0,b)|0;p=Y(sT(3,2,i)|0,b)|0;if((b|0)<=0)return;e=c+2|0;n=c+4|0;r=0;do{o=a+(r+k)|0;q=r+b|0;s=a+q|0;t=Y((h[s>>0]|0)+(h[o>>0]|0)|0,j[e>>1]|0)|0;u=a+r|0;v=(Y(h[u>>0]|0,j[n>>1]|0)|0)+t|0;t=a+(r+l)|0;w=v+(Y((h[a+(r+m)>>0]|0)+(h[t>>0]|0)|0,j[c>>1]|0)|0)&65535;d[f+(r<<1)>>1]=w;w=Y((h[a+(r+p)>>0]|0)+(h[o>>0]|0)|0,j[c>>1]|0)|0;o=(Y((h[t>>0]|0)+(h[u>>0]|0)|0,j[e>>1]|0)|0)+w|0;w=o+(Y(h[s>>0]|0,j[n>>1]|0)|0)&65535;d[f+(q<<1)>>1]=w;r=r+1|0}while((r|0)!=(b|0));return}break}case 3:{if(!i){if((b|0)<=0)return;r=c+4|0;n=c+2|0;e=b<<1;p=0;do{m=a+p|0;l=Y(h[m>>0]|0,j[r>>1]|0)|0;k=l>>>0<65535?l:65535;l=p+b|0;w=a+l|0;q=Y(h[w>>0]|0,j[n>>1]|0)|0;s=(q>>>0<65535?q:65535)+k&65535;q=p+e|0;o=a+q|0;u=Y(h[o>>0]|0,j[c>>1]|0)|0;t=k>>>0>s>>>0?65535:s;s=t+(u>>>0<65535?u:65535)|0;d[f+(p<<1)>>1]=t>>>0>(s&65535)>>>0?-1:s&65535;s=Y((h[o>>0]|0)+(h[m>>0]|0)|0,j[n>>1]|0)|0;t=(Y(h[w>>0]|0,j[r>>1]|0)|0)+s&65535;d[f+(l<<1)>>1]=t;t=Y(h[m>>0]|0,j[c>>1]|0)|0;m=t>>>0<65535?t:65535;t=Y(h[w>>0]|0,j[n>>1]|0)|0;w=(t>>>0<65535?t:65535)+m&65535;t=Y(h[o>>0]|0,j[r>>1]|0)|0;o=m>>>0>w>>>0?65535:w;w=o+(t>>>0<65535?t:65535)|0;d[f+(q<<1)>>1]=o>>>0>(w&65535)>>>0?-1:w&65535;p=p+1|0}while((p|0)!=(b|0));return}else{p=Y(sT(-2,3,i)|0,b)|0;r=Y(sT(-1,3,i)|0,b)|0;n=Y(sT(3,3,i)|0,b)|0;e=Y(sT(4,3,i)|0,b)|0;if((b|0)<=0)return;w=c+4|0;o=c+2|0;q=b<<1;t=0;do{m=a+t|0;l=Y(h[m>>0]|0,j[w>>1]|0)|0;s=t+b|0;u=a+s|0;k=a+(t+r)|0;v=(Y((h[k>>0]|0)+(h[u>>0]|0)|0,j[o>>1]|0)|0)+l|0;l=t+q|0;x=a+l|0;y=v+(Y((h[a+(t+p)>>0]|0)+(h[x>>0]|0)|0,j[c>>1]|0)|0)&65535;d[f+(t<<1)>>1]=y;y=Y(h[u>>0]|0,j[w>>1]|0)|0;v=(Y((h[x>>0]|0)+(h[m>>0]|0)|0,j[o>>1]|0)|0)+y|0;y=a+(t+n)|0;z=v+(Y((h[y>>0]|0)+(h[k>>0]|0)|0,j[c>>1]|0)|0)&65535;d[f+(s<<1)>>1]=z;z=Y((h[a+(t+e)>>0]|0)+(h[m>>0]|0)|0,j[c>>1]|0)|0;m=(Y((h[y>>0]|0)+(h[u>>0]|0)|0,j[o>>1]|0)|0)+z|0;z=m+(Y(h[x>>0]|0,j[w>>1]|0)|0)&65535;d[f+(l<<1)>>1]=z;t=t+1|0}while((t|0)!=(b|0));return}break}default:{t=(i|0)!=0;if(t){w=Y(sT(-2,g,i)|0,b)|0;o=Y(sT(-1,g,i)|0,b)|0;if((b|0)>0){e=c+4|0;n=c+2|0;p=b<<1;q=b*3|0;r=0;do{z=a+r|0;l=Y(h[z>>0]|0,j[e>>1]|0)|0;x=r+b|0;m=a+x|0;u=a+(r+o)|0;y=(Y((h[u>>0]|0)+(h[m>>0]|0)|0,j[n>>1]|0)|0)+l|0;l=a+(r+p)|0;s=y+(Y((h[a+(r+w)>>0]|0)+(h[l>>0]|0)|0,j[c>>1]|0)|0)&65535;d[f+(r<<1)>>1]=s;s=Y((h[l>>0]|0)+(h[z>>0]|0)|0,j[n>>1]|0)|0;z=(Y(h[m>>0]|0,j[e>>1]|0)|0)+s|0;s=z+(Y((h[u>>0]|0)+(h[a+(r+q)>>0]|0)|0,j[c>>1]|0)|0)&65535;d[f+(x<<1)>>1]=s;r=r+1|0}while((r|0)!=(b|0))}}else if((b|0)>0){r=c+4|0;q=c+2|0;e=b<<1;n=b*3|0;w=0;do{p=a+w|0;o=Y(h[p>>0]|0,j[r>>1]|0)|0;s=o>>>0<65535?o:65535;o=w+b|0;x=a+o|0;u=Y(h[x>>0]|0,j[q>>1]|0)|0;z=(u>>>0<65535?u:65535)+s&65535;u=a+(w+e)|0;m=Y(h[u>>0]|0,j[c>>1]|0)|0;l=s>>>0>z>>>0?65535:z;z=l+(m>>>0<65535?m:65535)|0;d[f+(w<<1)>>1]=l>>>0>(z&65535)>>>0?-1:z&65535;z=Y((h[u>>0]|0)+(h[p>>0]|0)|0,j[q>>1]|0)|0;p=(Y(h[x>>0]|0,j[r>>1]|0)|0)+z|0;z=p+(Y(h[a+(w+n)>>0]|0,j[c>>1]|0)|0)&65535;d[f+(o<<1)>>1]=z;w=w+1|0}while((w|0)!=(b|0))}w=b<<1;n=a+w|0;r=f+(w<<1)|0;q=g+-2|0;e=Y(q,b)|0;if((w|0)<(e|0)){z=Y(b,-2)|0;o=c+2|0;p=0-b|0;x=c+4|0;u=f+(Y((g<<1)+-4|0,b)|0)|0;f=n;l=r;m=w;while(1){s=Y((h[f+w>>0]|0)+(h[f+z>>0]|0)|0,j[c>>1]|0)|0;y=(Y((h[f+b>>0]|0)+(h[f+p>>0]|0)|0,j[o>>1]|0)|0)+s|0;s=y+(Y(h[f>>0]|0,j[x>>1]|0)|0)&65535;d[l>>1]=s;m=m+1|0;if((m|0)==(e|0))break;else{f=f+1|0;l=l+2|0}}A=a+e|0;B=u}else{A=n;B=r}if(t){t=Y((sT(g,g,i)|0)-q|0,b)|0;r=Y((sT(g+1|0,g,i)|0)-q|0,b)|0;if((b|0)<=0)return;q=c+2|0;i=c+4|0;g=0;do{n=A+(g+t)|0;u=Y((h[n>>0]|0)+(h[A+(g-w)>>0]|0)|0,j[c>>1]|0)|0;e=A+(g-b)|0;a=g+b|0;l=A+a|0;f=(Y((h[l>>0]|0)+(h[e>>0]|0)|0,j[q>>1]|0)|0)+u|0;u=A+g|0;m=f+(Y(h[u>>0]|0,j[i>>1]|0)|0)&65535;d[B+(g<<1)>>1]=m;m=Y((h[A+(g+r)>>0]|0)+(h[e>>0]|0)|0,j[c>>1]|0)|0;e=(Y((h[n>>0]|0)+(h[u>>0]|0)|0,j[q>>1]|0)|0)+m|0;m=e+(Y(h[l>>0]|0,j[i>>1]|0)|0)&65535;d[B+(a<<1)>>1]=m;g=g+1|0}while((g|0)!=(b|0));return}else{if((b|0)<=0)return;g=c+2|0;i=c+4|0;q=0;do{r=Y(h[A+(q-w)>>0]|0,j[c>>1]|0)|0;t=A+(q-b)|0;m=q+b|0;a=A+m|0;l=(Y((h[a>>0]|0)+(h[t>>0]|0)|0,j[g>>1]|0)|0)+r|0;r=A+q|0;e=l+(Y(h[r>>0]|0,j[i>>1]|0)|0)&65535;d[B+(q<<1)>>1]=e;e=Y(h[t>>0]|0,j[c>>1]|0)|0;t=e>>>0<65535?e:65535;e=Y(h[r>>0]|0,j[g>>1]|0)|0;r=(e>>>0<65535?e:65535)+t&65535;e=Y(h[a>>0]|0,j[i>>1]|0)|0;a=t>>>0>r>>>0?65535:r;r=a+(e>>>0<65535?e:65535)|0;d[B+(m<<1)>>1]=a>>>0>(r&65535)>>>0?-1:r&65535;q=q+1|0}while((q|0)!=(b|0));return}}}}function eba(a,b,c,e,f,g,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;switch(g|0){case 1:{if(!i)k=d[c+4>>1]|0;else{e=j[c>>1]|0;l=(j[c+2>>1]|0)+e&65535;m=e>>>0>l>>>0?65535:l;l=m+(j[c+4>>1]|0)&65535;e=m>>>0>l>>>0?65535:l;l=e+(j[c+6>>1]|0)&65535;m=e>>>0>l>>>0?65535:l;l=m+(j[c+8>>1]|0)|0;k=m>>>0>(l&65535)>>>0?-1:l&65535}if((b|0)<=0)return;l=k&65535;k=0;do{m=Y(h[a+k>>0]|0,l)|0;d[f+(k<<1)>>1]=m>>>0<65535?m:65535;k=k+1|0}while((k|0)!=(b|0));return}case 2:{if(!i){if((b|0)<=0)return;k=c+4|0;l=c+6|0;m=c+2|0;e=0;do{n=a+e|0;o=Y(h[n>>0]|0,j[k>>1]|0)|0;p=o>>>0<65535?o:65535;o=e+b|0;q=a+o|0;r=Y(h[q>>0]|0,j[l>>1]|0)|0;s=(r>>>0<65535?r:65535)+p|0;d[f+(e<<1)>>1]=p>>>0>(s&65535)>>>0?-1:s&65535;s=Y(h[n>>0]|0,j[m>>1]|0)|0;n=s>>>0<65535?s:65535;s=Y(h[q>>0]|0,j[k>>1]|0)|0;q=(s>>>0<65535?s:65535)+n|0;d[f+(o<<1)>>1]=n>>>0>(q&65535)>>>0?-1:q&65535;e=e+1|0}while((e|0)!=(b|0));return}else{e=Y(sT(-2,2,i)|0,b)|0;k=Y(sT(-1,2,i)|0,b)|0;m=Y(sT(2,2,i)|0,b)|0;l=Y(sT(3,2,i)|0,b)|0;if((b|0)<=0)return;q=c+2|0;n=c+4|0;o=c+6|0;s=c+8|0;p=0;do{r=a+(p+k)|0;t=Y(h[r>>0]|0,j[q>>1]|0)|0;u=t>>>0<65535?t:65535;t=a+p|0;v=Y(h[t>>0]|0,j[n>>1]|0)|0;w=(v>>>0<65535?v:65535)+u&65535;v=p+b|0;x=a+v|0;y=Y(h[x>>0]|0,j[o>>1]|0)|0;z=u>>>0>w>>>0?65535:w;w=z+(y>>>0<65535?y:65535)&65535;y=a+(p+m)|0;u=Y(h[y>>0]|0,j[s>>1]|0)|0;A=z>>>0>w>>>0?65535:w;w=A+(u>>>0<65535?u:65535)&65535;u=Y(h[a+(p+e)>>0]|0,j[c>>1]|0)|0;z=A>>>0>w>>>0?65535:w;w=z+(u>>>0<65535?u:65535)|0;d[f+(p<<1)>>1]=z>>>0>(w&65535)>>>0?-1:w&65535;w=Y(h[r>>0]|0,j[c>>1]|0)|0;r=w>>>0<65535?w:65535;w=Y(h[t>>0]|0,j[q>>1]|0)|0;t=(w>>>0<65535?w:65535)+r&65535;w=Y(h[x>>0]|0,j[n>>1]|0)|0;x=r>>>0>t>>>0?65535:t;t=x+(w>>>0<65535?w:65535)&65535;w=Y(h[y>>0]|0,j[o>>1]|0)|0;y=x>>>0>t>>>0?65535:t;t=y+(w>>>0<65535?w:65535)&65535;w=Y(h[a+(p+l)>>0]|0,j[s>>1]|0)|0;x=y>>>0>t>>>0?65535:t;t=x+(w>>>0<65535?w:65535)|0;d[f+(v<<1)>>1]=x>>>0>(t&65535)>>>0?-1:t&65535;p=p+1|0}while((p|0)!=(b|0));return}break}case 3:{if(!i){if((b|0)<=0)return;p=c+4|0;s=c+6|0;l=b<<1;o=c+8|0;n=c+2|0;q=0;do{e=a+q|0;m=Y(h[e>>0]|0,j[p>>1]|0)|0;k=m>>>0<65535?m:65535;m=q+b|0;t=a+m|0;x=Y(h[t>>0]|0,j[s>>1]|0)|0;v=(x>>>0<65535?x:65535)+k&65535;x=q+l|0;w=a+x|0;y=Y(h[w>>0]|0,j[o>>1]|0)|0;r=k>>>0>v>>>0?65535:v;v=r+(y>>>0<65535?y:65535)|0;d[f+(q<<1)>>1]=r>>>0>(v&65535)>>>0?-1:v&65535;v=Y(h[e>>0]|0,j[n>>1]|0)|0;r=v>>>0<65535?v:65535;v=Y(h[t>>0]|0,j[p>>1]|0)|0;y=(v>>>0<65535?v:65535)+r&65535;v=Y(h[w>>0]|0,j[s>>1]|0)|0;k=r>>>0>y>>>0?65535:y;y=k+(v>>>0<65535?v:65535)|0;d[f+(m<<1)>>1]=k>>>0>(y&65535)>>>0?-1:y&65535;y=Y(h[e>>0]|0,j[c>>1]|0)|0;e=y>>>0<65535?y:65535;y=Y(h[t>>0]|0,j[n>>1]|0)|0;t=(y>>>0<65535?y:65535)+e&65535;y=Y(h[w>>0]|0,j[p>>1]|0)|0;w=e>>>0>t>>>0?65535:t;t=w+(y>>>0<65535?y:65535)|0;d[f+(x<<1)>>1]=w>>>0>(t&65535)>>>0?-1:t&65535;q=q+1|0}while((q|0)!=(b|0));return}else{q=Y(sT(-2,3,i)|0,b)|0;p=Y(sT(-1,3,i)|0,b)|0;n=Y(sT(3,3,i)|0,b)|0;s=Y(sT(4,3,i)|0,b)|0;if((b|0)<=0)return;o=c+4|0;l=c+6|0;t=b<<1;w=c+8|0;x=c+2|0;y=0;do{e=a+y|0;k=Y(h[e>>0]|0,j[o>>1]|0)|0;m=k>>>0<65535?k:65535;k=y+b|0;v=a+k|0;r=Y(h[v>>0]|0,j[l>>1]|0)|0;z=(r>>>0<65535?r:65535)+m&65535;r=y+t|0;u=a+r|0;A=Y(h[u>>0]|0,j[w>>1]|0)|0;B=m>>>0>z>>>0?65535:z;z=B+(A>>>0<65535?A:65535)&65535;A=Y(h[a+(y+q)>>0]|0,j[c>>1]|0)|0;m=B>>>0>z>>>0?65535:z;z=m+(A>>>0<65535?A:65535)&65535;A=a+(y+p)|0;B=Y(h[A>>0]|0,j[x>>1]|0)|0;C=m>>>0>z>>>0?65535:z;z=C+(B>>>0<65535?B:65535)|0;d[f+(y<<1)>>1]=C>>>0>(z&65535)>>>0?-1:z&65535;z=Y(h[e>>0]|0,j[x>>1]|0)|0;C=z>>>0<65535?z:65535;z=Y(h[v>>0]|0,j[o>>1]|0)|0;B=(z>>>0<65535?z:65535)+C&65535;z=Y(h[u>>0]|0,j[l>>1]|0)|0;m=C>>>0>B>>>0?65535:B;B=m+(z>>>0<65535?z:65535)&65535;z=Y(h[A>>0]|0,j[c>>1]|0)|0;A=m>>>0>B>>>0?65535:B;B=A+(z>>>0<65535?z:65535)&65535;z=a+(y+n)|0;m=Y(h[z>>0]|0,j[w>>1]|0)|0;C=A>>>0>B>>>0?65535:B;B=C+(m>>>0<65535?m:65535)|0;d[f+(k<<1)>>1]=C>>>0>(B&65535)>>>0?-1:B&65535;B=Y(h[e>>0]|0,j[c>>1]|0)|0;e=B>>>0<65535?B:65535;B=Y(h[v>>0]|0,j[x>>1]|0)|0;v=(B>>>0<65535?B:65535)+e&65535;B=Y(h[u>>0]|0,j[o>>1]|0)|0;u=e>>>0>v>>>0?65535:v;v=u+(B>>>0<65535?B:65535)&65535;B=Y(h[z>>0]|0,j[l>>1]|0)|0;z=u>>>0>v>>>0?65535:v;v=z+(B>>>0<65535?B:65535)&65535;B=Y(h[a+(y+s)>>0]|0,j[w>>1]|0)|0;u=z>>>0>v>>>0?65535:v;v=u+(B>>>0<65535?B:65535)|0;d[f+(r<<1)>>1]=u>>>0>(v&65535)>>>0?-1:v&65535;y=y+1|0}while((y|0)!=(b|0));return}break}default:{y=(b|0)>0;if(y){w=c+4|0;s=c+6|0;l=b<<1;o=c+8|0;x=c+2|0;n=b*3|0;p=0;do{q=a+p|0;t=Y(h[q>>0]|0,j[w>>1]|0)|0;v=t>>>0<65535?t:65535;t=p+b|0;u=a+t|0;r=Y(h[u>>0]|0,j[s>>1]|0)|0;B=(r>>>0<65535?r:65535)+v&65535;r=a+(p+l)|0;z=Y(h[r>>0]|0,j[o>>1]|0)|0;e=v>>>0>B>>>0?65535:B;B=e+(z>>>0<65535?z:65535)|0;d[f+(p<<1)>>1]=e>>>0>(B&65535)>>>0?-1:B&65535;B=Y(h[q>>0]|0,j[x>>1]|0)|0;q=B>>>0<65535?B:65535;B=Y(h[u>>0]|0,j[w>>1]|0)|0;u=(B>>>0<65535?B:65535)+q&65535;B=Y(h[r>>0]|0,j[s>>1]|0)|0;r=q>>>0>u>>>0?65535:u;u=r+(B>>>0<65535?B:65535)&65535;B=Y(h[a+(p+n)>>0]|0,j[o>>1]|0)|0;q=r>>>0>u>>>0?65535:u;u=q+(B>>>0<65535?B:65535)|0;d[f+(t<<1)>>1]=q>>>0>(u&65535)>>>0?-1:u&65535;p=p+1|0}while((p|0)!=(b|0))}p=(i|0)!=0;if(p?(o=Y(sT(-2,g,i)|0,b)|0,n=Y(sT(-1,g,i)|0,b)|0,y):0){s=c+2|0;w=0;do{x=Y(h[a+(w+o)>>0]|0,j[c>>1]|0)|0;l=f+(w<<1)|0;u=j[l>>1]|0;q=(x>>>0<65535?x:65535)+u&65535;x=a+(w+n)|0;t=Y(h[x>>0]|0,j[s>>1]|0)|0;B=u>>>0>q>>>0?65535:q;q=B+(t>>>0<65535?t:65535)|0;d[l>>1]=B>>>0>(q&65535)>>>0?-1:q&65535;q=Y(h[x>>0]|0,j[c>>1]|0)|0;x=f+(w+b<<1)|0;B=j[x>>1]|0;l=(q>>>0<65535?q:65535)+B|0;d[x>>1]=B>>>0>(l&65535)>>>0?-1:l&65535;w=w+1|0}while((w|0)!=(b|0))}w=b<<1;s=a+w|0;n=f+(w<<1)|0;o=g+-2|0;l=Y(o,b)|0;if((w|0)<(l|0)){B=Y(b,-2)|0;x=0-b|0;q=c+2|0;t=c+4|0;u=c+6|0;r=c+8|0;e=f+(Y((g<<1)+-4|0,b)|0)|0;f=s;z=n;v=w;while(1){C=Y(h[f+B>>0]|0,j[c>>1]|0)|0;k=C>>>0<65535?C:65535;C=Y(h[f+x>>0]|0,j[q>>1]|0)|0;m=(C>>>0<65535?C:65535)+k&65535;C=Y(h[f>>0]|0,j[t>>1]|0)|0;A=k>>>0>m>>>0?65535:m;m=A+(C>>>0<65535?C:65535)&65535;C=Y(h[f+b>>0]|0,j[u>>1]|0)|0;k=A>>>0>m>>>0?65535:m;m=k+(C>>>0<65535?C:65535)&65535;C=Y(h[f+w>>0]|0,j[r>>1]|0)|0;A=k>>>0>m>>>0?65535:m;m=A+(C>>>0<65535?C:65535)|0;d[z>>1]=A>>>0>(m&65535)>>>0?-1:m&65535;v=v+1|0;if((v|0)==(l|0))break;else{f=f+1|0;z=z+2|0}}D=a+l|0;E=e}else{D=s;E=n}if(y){n=c+2|0;s=c+4|0;e=c+6|0;l=0;do{a=Y(h[D+(l-w)>>0]|0,j[c>>1]|0)|0;z=a>>>0<65535?a:65535;a=D+(l-b)|0;f=Y(h[a>>0]|0,j[n>>1]|0)|0;v=(f>>>0<65535?f:65535)+z&65535;f=D+l|0;r=Y(h[f>>0]|0,j[s>>1]|0)|0;u=z>>>0>v>>>0?65535:v;v=u+(r>>>0<65535?r:65535)&65535;r=l+b|0;z=D+r|0;t=Y(h[z>>0]|0,j[e>>1]|0)|0;q=u>>>0>v>>>0?65535:v;v=q+(t>>>0<65535?t:65535)|0;d[E+(l<<1)>>1]=q>>>0>(v&65535)>>>0?-1:v&65535;v=Y(h[a>>0]|0,j[c>>1]|0)|0;a=v>>>0<65535?v:65535;v=Y(h[f>>0]|0,j[n>>1]|0)|0;f=(v>>>0<65535?v:65535)+a&65535;v=Y(h[z>>0]|0,j[s>>1]|0)|0;z=a>>>0>f>>>0?65535:f;f=z+(v>>>0<65535?v:65535)|0;d[E+(r<<1)>>1]=z>>>0>(f&65535)>>>0?-1:f&65535;l=l+1|0}while((l|0)!=(b|0))}if(!p)return;p=Y((sT(g,g,i)|0)-o|0,b)|0;l=Y((sT(g+1|0,g,i)|0)-o|0,b)|0;if(!y)return;y=c+8|0;o=c+6|0;c=0;do{i=D+(c+p)|0;g=Y(h[i>>0]|0,j[y>>1]|0)|0;s=E+(c<<1)|0;n=j[s>>1]|0;e=(g>>>0<65535?g:65535)+n|0;d[s>>1]=n>>>0>(e&65535)>>>0?-1:e&65535;e=Y(h[i>>0]|0,j[o>>1]|0)|0;i=E+(c+b<<1)|0;n=j[i>>1]|0;s=(e>>>0<65535?e:65535)+n&65535;e=Y(h[D+(c+l)>>0]|0,j[y>>1]|0)|0;g=n>>>0>s>>>0?65535:s;s=g+(e>>>0<65535?e:65535)|0;d[i>>1]=g>>>0>(s&65535)>>>0?-1:s&65535;c=c+1|0}while((c|0)!=(b|0));return}}}function fba(a,b,c,e,f,g,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;switch(g|0){case 1:{e=(b|0)>0;if(!i){if(e)k=0;else return;do{d[f+(k<<1)>>1]=(h[a+k>>0]|0)*96;k=k+1|0}while((k|0)!=(b|0));return}else{if(e)l=0;else return;do{d[f+(l<<1)>>1]=(h[a+l>>0]|0)<<8;l=l+1|0}while((l|0)!=(b|0));return}break}case 2:{if(!i){if((b|0)>0)m=0;else return;do{l=a+m|0;e=m+b|0;k=a+e|0;d[f+(m<<1)>>1]=((h[k>>0]|0)<<6)+((h[l>>0]|0)*96|0);d[f+(e<<1)>>1]=((h[k>>0]|0)*96|0)+((h[l>>0]|0)<<6);m=m+1|0}while((m|0)!=(b|0));return}else{m=Y(sT(-2,2,i)|0,b)|0;l=Y(sT(-1,2,i)|0,b)|0;k=Y(sT(2,2,i)|0,b)|0;e=Y(sT(3,2,i)|0,b)|0;if((b|0)>0)n=0;else return;do{c=a+n|0;o=a+(n+l)|0;p=((h[o>>0]|0)<<6)+((h[c>>0]|0)*96|0)|0;q=n+b|0;r=a+q|0;s=((h[r>>0]|0)<<6)+p&65504;t=a+(n+k)|0;u=p>>>0>s>>>0?65535:s;s=u+((h[t>>0]|0)<<4)&65535;p=u>>>0>s>>>0?65535:s;s=p+((h[a+(n+m)>>0]|0)<<4)|0;d[f+(n<<1)>>1]=p>>>0>(s&65535)>>>0?-1:s&65535;s=((h[c>>0]|0)<<6)+((h[r>>0]|0)*96|0)|0;r=((h[t>>0]|0)<<6)+s&65504;t=s>>>0>r>>>0?65535:r;r=t+((h[o>>0]|0)<<4)&65535;o=t>>>0>r>>>0?65535:r;r=o+((h[a+(n+e)>>0]|0)<<4)|0;d[f+(q<<1)>>1]=o>>>0>(r&65535)>>>0?-1:r&65535;n=n+1|0}while((n|0)!=(b|0));return}break}case 3:{if(!i){if((b|0)<=0)return;n=b<<1;e=0;do{m=a+e|0;k=e+b|0;l=a+k|0;r=((h[l>>0]|0)<<6)+((h[m>>0]|0)*96|0)|0;o=e+n|0;q=a+o|0;t=((h[q>>0]|0)<<4)+r|0;d[f+(e<<1)>>1]=r>>>0>(t&65520)>>>0?-1:t&65535;t=((h[m>>0]|0)<<6)+((h[l>>0]|0)*96|0)|0;r=((h[q>>0]|0)<<6)+t|0;d[f+(k<<1)>>1]=t>>>0>(r&65504)>>>0?-1:r&65535;r=((h[l>>0]|0)<<6)+((h[q>>0]|0)*96|0)|0;q=((h[m>>0]|0)<<4)+r|0;d[f+(o<<1)>>1]=r>>>0>(q&65520)>>>0?-1:q&65535;e=e+1|0}while((e|0)!=(b|0));return}else{e=Y(sT(-2,3,i)|0,b)|0;n=Y(sT(-1,3,i)|0,b)|0;q=Y(sT(3,3,i)|0,b)|0;r=Y(sT(4,3,i)|0,b)|0;if((b|0)<=0)return;o=b<<1;m=0;do{l=a+m|0;t=m+b|0;k=a+t|0;s=((h[k>>0]|0)<<6)+((h[l>>0]|0)*96|0)|0;c=a+(m+n)|0;p=((h[c>>0]|0)<<6)+s&65504;u=m+o|0;v=a+u|0;w=s>>>0>p>>>0?65535:p;p=w+((h[v>>0]|0)<<4)&65535;s=w>>>0>p>>>0?65535:p;p=s+((h[a+(m+e)>>0]|0)<<4)|0;d[f+(m<<1)>>1]=s>>>0>(p&65535)>>>0?-1:p&65535;p=((h[l>>0]|0)<<6)+((h[k>>0]|0)*96|0)|0;s=((h[v>>0]|0)<<6)+p&65504;w=p>>>0>s>>>0?65535:s;s=w+((h[c>>0]|0)<<4)&65535;c=a+(m+q)|0;p=w>>>0>s>>>0?65535:s;s=p+((h[c>>0]|0)<<4)|0;d[f+(t<<1)>>1]=p>>>0>(s&65535)>>>0?-1:s&65535;s=((h[k>>0]|0)<<6)+((h[v>>0]|0)*96|0)|0;v=((h[c>>0]|0)<<6)+s&65504;c=s>>>0>v>>>0?65535:v;v=c+((h[l>>0]|0)<<4)&65535;l=c>>>0>v>>>0?65535:v;v=l+((h[a+(m+r)>>0]|0)<<4)|0;d[f+(u<<1)>>1]=l>>>0>(v&65535)>>>0?-1:v&65535;m=m+1|0}while((m|0)!=(b|0));return}break}default:{m=(b|0)>0;if(m){r=b<<1;q=b*3|0;e=0;do{o=a+e|0;n=e+b|0;v=a+n|0;l=((h[v>>0]|0)<<6)+((h[o>>0]|0)*96|0)|0;u=a+(e+r)|0;c=((h[u>>0]|0)<<4)+l|0;d[f+(e<<1)>>1]=l>>>0>(c&65520)>>>0?-1:c&65535;c=((h[o>>0]|0)<<6)+((h[v>>0]|0)*96|0)|0;v=((h[u>>0]|0)<<6)+c&65504;u=c>>>0>v>>>0?65535:v;v=u+((h[a+(e+q)>>0]|0)<<4)|0;d[f+(n<<1)>>1]=u>>>0>(v&65535)>>>0?-1:v&65535;e=e+1|0}while((e|0)!=(b|0))}e=(i|0)!=0;if(e?(q=Y(sT(-2,g,i)|0,b)|0,r=Y(sT(-1,g,i)|0,b)|0,m):0){v=0;do{u=f+(v<<1)|0;n=j[u>>1]|0;c=((h[a+(v+q)>>0]|0)<<4)+n&65535;o=a+(v+r)|0;l=n>>>0>c>>>0?65535:c;c=l+((h[o>>0]|0)<<6)|0;d[u>>1]=l>>>0>(c&65535)>>>0?-1:c&65535;c=f+(v+b<<1)|0;l=j[c>>1]|0;u=((h[o>>0]|0)<<4)+l|0;d[c>>1]=l>>>0>(u&65535)>>>0?-1:u&65535;v=v+1|0}while((v|0)!=(b|0))}v=b<<1;r=a+v|0;q=f+(v<<1)|0;u=g+-2|0;l=Y(u,b)|0;if((v|0)<(l|0)){c=0-b|0;o=Y(b,-2)|0;n=f+(Y((g<<1)+-4|0,b)|0)|0;f=r;s=q;k=v;while(1){d[s>>1]=(h[f+o>>0]|0)+((h[f>>0]|0)*6|0)+((h[f+b>>0]|0)+(h[f+c>>0]|0)<<2)+(h[f+v>>0]|0)<<4;k=k+1|0;if((k|0)==(l|0))break;else{f=f+1|0;s=s+2|0}}x=a+l|0;y=n}else{x=r;y=q}if(m){q=0;do{r=x+q|0;n=x+(q-b)|0;l=((h[n>>0]|0)<<6)+((h[r>>0]|0)*96|0)|0;a=q+b|0;s=x+a|0;f=((h[s>>0]|0)<<6)+l&65504;k=l>>>0>f>>>0?65535:f;f=k+((h[x+(q-v)>>0]|0)<<4)|0;d[y+(q<<1)>>1]=k>>>0>(f&65535)>>>0?-1:f&65535;f=((h[r>>0]|0)<<6)+((h[s>>0]|0)*96|0)|0;s=((h[n>>0]|0)<<4)+f|0;d[y+(a<<1)>>1]=f>>>0>(s&65520)>>>0?-1:s&65535;q=q+1|0}while((q|0)!=(b|0))}if(!e)return;e=Y((sT(g,g,i)|0)-u|0,b)|0;q=Y((sT(g+1|0,g,i)|0)-u|0,b)|0;if(m)z=0;else return;do{m=x+(z+e)|0;u=y+(z<<1)|0;i=j[u>>1]|0;g=((h[m>>0]|0)<<4)+i|0;d[u>>1]=i>>>0>(g&65535)>>>0?-1:g&65535;g=y+(z+b<<1)|0;i=j[g>>1]|0;u=((h[m>>0]|0)<<6)+i&65535;m=i>>>0>u>>>0?65535:u;u=m+((h[x+(z+q)>>0]|0)<<4)|0;d[g>>1]=m>>>0>(u&65535)>>>0?-1:u&65535;z=z+1|0}while((z|0)!=(b|0));return}}}function gba(a,b,c,e,f,g,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;k=(e|0)/2|0;l=e-k|0;m=(k|0)>(g|0)?g:k;if((m|0)>0){n=(b|0)>0;o=(i|0)!=0;p=k+-1|0;q=~g;r=n^1;s=f;t=0;u=p;v=p-e|0;p=l;while(1){w=u-((v|0)>(q|0)?v:q)|0;if(n){x=c+(k-t<<1)|0;y=0;do{z=Y(h[a+y>>0]|0,j[x>>1]|0)|0;d[s+(y<<1)>>1]=z>>>0<65535?z:65535;y=y+1|0}while((y|0)!=(b|0))}a:do if(o?(y=t-k|0,(y|0)<0):0){if(n){A=0;B=y}else{x=y;while(1){sT(x,g,i)|0;if((x|0)<-1)x=x+1|0;else break a}}while(1){x=Y(sT(B,g,i)|0,b)|0;y=c+(A<<1)|0;z=0;do{C=Y(h[a+(z+x)>>0]|0,j[y>>1]|0)|0;D=s+(z<<1)|0;E=j[D>>1]|0;F=(C>>>0<65535?C:65535)+E|0;d[D>>1]=E>>>0>(F&65535)>>>0?-1:F&65535;z=z+1|0}while((z|0)!=(b|0));if((B|0)<-1){A=A+1|0;B=B+1|0}else break}}while(0);z=k-t+1|0;y=t+l|0;x=(y|0)>(g|0)?g:y;F=(x|0)<2;if(F|r){G=F?z:w;H=F?1:x}else{F=z;z=1;while(1){E=Y(z,b)|0;D=c+(F<<1)|0;C=0;do{I=Y(h[a+(C+E)>>0]|0,j[D>>1]|0)|0;J=s+(C<<1)|0;K=j[J>>1]|0;L=(I>>>0<65535?I:65535)+K|0;d[J>>1]=K>>>0>(L&65535)>>>0?-1:L&65535;C=C+1|0}while((C|0)!=(b|0));z=z+1|0;C=F+1|0;if((z|0)>=(x|0)){G=C;H=x;break}else F=C}}b:do if(o&(H|0)<(y|0)){if(n){M=G;N=H}else{F=H;while(1){sT(F,g,i)|0;F=F+1|0;if((F|0)==(p|0))break b}}while(1){F=Y(sT(N,g,i)|0,b)|0;x=c+(M<<1)|0;z=0;do{w=Y(h[a+(z+F)>>0]|0,j[x>>1]|0)|0;C=s+(z<<1)|0;D=j[C>>1]|0;E=(w>>>0<65535?w:65535)+D|0;d[C>>1]=D>>>0>(E&65535)>>>0?-1:E&65535;z=z+1|0}while((z|0)!=(b|0));N=N+1|0;if((N|0)==(p|0))break;else M=M+1|0}}while(0);t=t+1|0;y=s+(b<<1)|0;if((t|0)>=(m|0)){O=y;P=m;break}else{s=y;u=u+-1|0;v=v+-1|0;p=p+1|0}}}else{O=f;P=0}f=Y(P,b)|0;p=Y(1-l+g|0,b)|0;do if((f|0)<(p|0)){l=Y(k,b)|0;v=c+(k<<1)|0;u=e+-1|0;s=Y(k+g+1-P-e|0,b)|0;m=a+s|0;if((e|0)>1){Q=a;R=O;S=f}else{t=a;M=O;N=f;while(1){H=Y(h[t+l>>0]|0,j[v>>1]|0)|0;d[M>>1]=H>>>0<65535?H:65535;N=N+1|0;if((N|0)==(p|0))break;else{t=t+1|0;M=M+2|0}}T=m;U=O+(s<<1)|0;V=p;break}while(1){M=Y(h[Q+l>>0]|0,j[v>>1]|0)|0;t=(M>>>0<65535?M:65535)&65535;d[R>>1]=t;M=0;N=t;do{t=Q+(Y(M,b)|0)|0;H=j[c+(M<<1)>>1]|0;G=Y(h[t>>0]|0,H)|0;t=N&65535;n=(G>>>0<65535?G:65535)+t&65535;G=Q+(Y(u-M|0,b)|0)|0;o=Y(h[G>>0]|0,H)|0;H=t>>>0>n>>>0?65535:n;n=H+(o>>>0<65535?o:65535)|0;N=H>>>0>(n&65535)>>>0?-1:n&65535;d[R>>1]=N;M=M+1|0}while((M|0)<(k|0));S=S+1|0;if((S|0)==(p|0))break;else{Q=Q+1|0;R=R+2|0}}T=m;U=O+(s<<1)|0;V=p}else{T=a;U=O;V=f}while(0);f=(V|0)/(b|0)|0;V=f-k|0;O=g-k|0;if((V|0)>=(O|0))return;a=(b|0)>0;p=(i|0)!=0;R=a^1;Q=T;T=V;V=U;U=k+g-f|0;while(1){if(a){f=0;do{k=Y(h[Q+f>>0]|0,j[c>>1]|0)|0;d[V+(f<<1)>>1]=k>>>0<65535?k:65535;f=f+1|0}while((f|0)!=(b|0))}f=g-T|0;s=(f|0)<2;if(s|R)W=s?1:f;else{s=1;do{m=Y(s,b)|0;k=c+(s<<1)|0;S=0;do{P=Y(h[Q+(S+m)>>0]|0,j[k>>1]|0)|0;u=V+(S<<1)|0;v=j[u>>1]|0;l=(P>>>0<65535?P:65535)+v|0;d[u>>1]=v>>>0>(l&65535)>>>0?-1:l&65535;S=S+1|0}while((S|0)!=(b|0));s=s+1|0}while((s|0)!=(U|0));W=f}c:do if(p&(W|0)<(e|0)){if(a)X=W;else{f=W;while(1){sT(f+T|0,g,i)|0;f=f+1|0;if((f|0)==(e|0))break c}}do{f=Y((sT(X+T|0,g,i)|0)-T|0,b)|0;s=c+(X<<1)|0;S=0;do{k=Y(h[Q+(S+f)>>0]|0,j[s>>1]|0)|0;m=V+(S<<1)|0;l=j[m>>1]|0;v=(k>>>0<65535?k:65535)+l|0;d[m>>1]=l>>>0>(v&65535)>>>0?-1:v&65535;S=S+1|0}while((S|0)!=(b|0));X=X+1|0}while((X|0)!=(e|0))}while(0);T=T+1|0;if((T|0)==(O|0))break;else{Q=Q+b|0;V=V+(b<<1)|0;U=U+-1|0}}return}function hba(a,b,c,e,f,g,i){a=a|0;b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;k=(e|0)/2|0;l=e-k|0;m=(k|0)>(g|0)?g:k;if((m|0)>0){n=(b|0)>0;o=(i|0)!=0;p=k+-1|0;q=~g;r=n^1;s=f;t=0;u=p;v=p-e|0;p=l;while(1){w=u-((v|0)>(q|0)?v:q)|0;if(n){x=c+(k-t<<1)|0;y=0;do{z=Y(h[a+y>>0]|0,j[x>>1]|0)|0;d[s+(y<<1)>>1]=z>>>0<65535?z:65535;y=y+1|0}while((y|0)!=(b|0))}a:do if(o?(y=t-k|0,(y|0)<0):0){if(n){A=0;B=y}else{x=y;while(1){sT(x,g,i)|0;if((x|0)<-1)x=x+1|0;else break a}}while(1){x=Y(sT(B,g,i)|0,b)|0;y=c+(A<<1)|0;z=0;do{C=Y(h[a+(z+x)>>0]|0,j[y>>1]|0)|0;D=s+(z<<1)|0;E=j[D>>1]|0;F=(C>>>0<65535?C:65535)+E|0;d[D>>1]=E>>>0>(F&65535)>>>0?-1:F&65535;z=z+1|0}while((z|0)!=(b|0));if((B|0)<-1){A=A+1|0;B=B+1|0}else break}}while(0);z=k-t+1|0;y=t+l|0;x=(y|0)>(g|0)?g:y;F=(x|0)<2;if(F|r){G=F?z:w;H=F?1:x}else{F=z;z=1;while(1){E=Y(z,b)|0;D=c+(F<<1)|0;C=0;do{I=Y(h[a+(C+E)>>0]|0,j[D>>1]|0)|0;J=s+(C<<1)|0;K=j[J>>1]|0;L=(I>>>0<65535?I:65535)+K|0;d[J>>1]=K>>>0>(L&65535)>>>0?-1:L&65535;C=C+1|0}while((C|0)!=(b|0));z=z+1|0;C=F+1|0;if((z|0)>=(x|0)){G=C;H=x;break}else F=C}}b:do if(o&(H|0)<(y|0)){if(n){M=G;N=H}else{F=H;while(1){sT(F,g,i)|0;F=F+1|0;if((F|0)==(p|0))break b}}while(1){F=Y(sT(N,g,i)|0,b)|0;x=c+(M<<1)|0;z=0;do{w=Y(h[a+(z+F)>>0]|0,j[x>>1]|0)|0;C=s+(z<<1)|0;D=j[C>>1]|0;E=(w>>>0<65535?w:65535)+D|0;d[C>>1]=D>>>0>(E&65535)>>>0?-1:E&65535;z=z+1|0}while((z|0)!=(b|0));N=N+1|0;if((N|0)==(p|0))break;else M=M+1|0}}while(0);t=t+1|0;y=s+(b<<1)|0;if((t|0)>=(m|0)){O=y;P=m;break}else{s=y;u=u+-1|0;v=v+-1|0;p=p+1|0}}}else{O=f;P=0}f=Y(P,b)|0;p=Y(1-l+g|0,b)|0;do if((f|0)<(p|0)){l=Y(k+g+1-P-e|0,b)|0;v=a+l|0;if((e|0)>1){Q=a;R=O;S=f}else{u=a;s=O;m=f;while(1){t=Y(h[u>>0]|0,j[c>>1]|0)|0;d[s>>1]=t>>>0<65535?t:65535;m=m+1|0;if((m|0)==(p|0))break;else{u=u+1|0;s=s+2|0}}T=v;U=O+(l<<1)|0;V=p;break}while(1){s=Y(h[Q>>0]|0,j[c>>1]|0)|0;u=(s>>>0<65535?s:65535)&65535;d[R>>1]=u;s=1;m=u;do{u=Q+(Y(s,b)|0)|0;t=Y(h[u>>0]|0,j[c+(s<<1)>>1]|0)|0;u=m&65535;M=(t>>>0<65535?t:65535)+u|0;m=u>>>0>(M&65535)>>>0?-1:M&65535;d[R>>1]=m;s=s+1|0}while((s|0)!=(e|0));S=S+1|0;if((S|0)==(p|0))break;else{Q=Q+1|0;R=R+2|0}}T=v;U=O+(l<<1)|0;V=p}else{T=a;U=O;V=f}while(0);f=(V|0)/(b|0)|0;V=f-k|0;O=g-k|0;if((V|0)>=(O|0))return;a=(b|0)>0;p=(i|0)!=0;R=a^1;Q=T;T=V;V=U;U=k+g-f|0;while(1){if(a){f=0;do{k=Y(h[Q+f>>0]|0,j[c>>1]|0)|0;d[V+(f<<1)>>1]=k>>>0<65535?k:65535;f=f+1|0}while((f|0)!=(b|0))}f=g-T|0;l=(f|0)<2;if(l|R)W=l?1:f;else{l=1;do{v=Y(l,b)|0;k=c+(l<<1)|0;S=0;do{P=Y(h[Q+(S+v)>>0]|0,j[k>>1]|0)|0;s=V+(S<<1)|0;m=j[s>>1]|0;M=(P>>>0<65535?P:65535)+m|0;d[s>>1]=m>>>0>(M&65535)>>>0?-1:M&65535;S=S+1|0}while((S|0)!=(b|0));l=l+1|0}while((l|0)!=(U|0));W=f}c:do if(p&(W|0)<(e|0)){if(a)X=W;else{f=W;while(1){sT(f+T|0,g,i)|0;f=f+1|0;if((f|0)==(e|0))break c}}do{f=Y((sT(X+T|0,g,i)|0)-T|0,b)|0;l=c+(X<<1)|0;S=0;do{k=Y(h[Q+(S+f)>>0]|0,j[l>>1]|0)|0;v=V+(S<<1)|0;M=j[v>>1]|0;m=(k>>>0<65535?k:65535)+M|0;d[v>>1]=M>>>0>(m&65535)>>>0?-1:m&65535;S=S+1|0}while((S|0)!=(b|0));X=X+1|0}while((X|0)!=(e|0))}while(0);T=T+1|0;if((T|0)==(O|0))break;else{Q=Q+b|0;V=V+(b<<1)|0;U=U+-1|0}}return}function iba(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0;d=f[a>>2]|0;if((g|0)>0)h=0;else return;do{b[e+h>>0]=((j[d+(h<<1)>>1]|0)+128|0)>>>8;h=h+1|0}while((h|0)!=(g|0));return}function jba(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0;d=f[a>>2]|0;if((g|0)<=0)return;a=0;do{h=((Y(j[d+(a<<1)>>1]|0,j[c>>1]|0)|0)+32768|0)>>>16;b[e+a>>0]=h>>>0<255?h:255;a=a+1|0}while((a|0)!=(g|0));return}function kba(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0;if((g|0)<=0)return;d=a+8|0;c=a+4|0;h=0;do{b[e+h>>0]=((j[(f[a>>2]|0)+(h<<1)>>1]|0)+512+(j[(f[d>>2]|0)+(h<<1)>>1]|0)+((j[(f[c>>2]|0)+(h<<1)>>1]|0)<<1)|0)>>>10;h=h+1|0}while((h|0)!=(g|0));return}function lba(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,k=0,l=0,m=0,n=0,o=0;if((g|0)<=0)return;d=a+4|0;h=c+2|0;i=a+8|0;k=c+4|0;l=0;do{m=Y(j[(f[a>>2]|0)+(l<<1)>>1]|0,j[c>>1]|0)|0;n=(Y(j[(f[d>>2]|0)+(l<<1)>>1]|0,j[h>>1]|0)|0)+m|0;o=n>>>0<m>>>0?-1:n;n=(Y(j[(f[i>>2]|0)+(l<<1)>>1]|0,j[k>>1]|0)|0)+o|0;m=n>>>0<o>>>0?0:(n+32768|0)>>>16;b[e+l>>0]=m>>>0<255?m:255;l=l+1|0}while((l|0)!=(g|0));return}function mba(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,k=0;if((g|0)<=0)return;d=a+8|0;c=a+4|0;h=a+12|0;i=a+16|0;k=0;do{b[e+k>>0]=(((j[(f[d>>2]|0)+(k<<1)>>1]|0)*6|0)+2048+((j[(f[h>>2]|0)+(k<<1)>>1]|0)+(j[(f[c>>2]|0)+(k<<1)>>1]|0)<<2)+(j[(f[a>>2]|0)+(k<<1)>>1]|0)+(j[(f[i>>2]|0)+(k<<1)>>1]|0)|0)>>>12;k=k+1|0}while((k|0)!=(g|0));return}function nba(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;if((g|0)<=0)return;d=a+4|0;h=c+2|0;i=a+8|0;k=c+4|0;l=a+12|0;m=c+6|0;n=a+16|0;o=c+8|0;p=0;do{q=Y(j[(f[a>>2]|0)+(p<<1)>>1]|0,j[c>>1]|0)|0;r=(Y(j[(f[d>>2]|0)+(p<<1)>>1]|0,j[h>>1]|0)|0)+q|0;s=r>>>0<q>>>0?-1:r;r=(Y(j[(f[i>>2]|0)+(p<<1)>>1]|0,j[k>>1]|0)|0)+s|0;q=r>>>0<s>>>0?-1:r;r=(Y(j[(f[l>>2]|0)+(p<<1)>>1]|0,j[m>>1]|0)|0)+q|0;s=r>>>0<q>>>0?-1:r;r=(Y(j[(f[n>>2]|0)+(p<<1)>>1]|0,j[o>>1]|0)|0)+s|0;q=r>>>0<s>>>0?0:(r+32768|0)>>>16;b[e+p>>0]=q>>>0<255?q:255;p=p+1|0}while((p|0)!=(g|0));return}function oba(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,k=0,l=0;if((g|0)<=0)return;if((d|0)>1)h=0;else{i=0;do{k=((Y(j[(f[a>>2]|0)+(i<<1)>>1]|0,j[c>>1]|0)|0)+32768|0)>>>16;b[e+i>>0]=k>>>0<255?k:255;i=i+1|0}while((i|0)!=(g|0));return}do{i=1;k=Y(j[(f[a>>2]|0)+(h<<1)>>1]|0,j[c>>1]|0)|0;do{l=(Y(j[(f[a+(i<<2)>>2]|0)+(h<<1)>>1]|0,j[c+(i<<1)>>1]|0)|0)+k|0;k=l>>>0<k>>>0?-1:l;i=i+1|0}while((i|0)!=(d|0));i=(k+32768|0)>>>16;b[e+h>>0]=i>>>0<255?i:255;h=h+1|0}while((h|0)!=(g|0));return}function pba(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,k=0,l=0;if((g|0)<=0)return;if((d|0)>1)h=0;else{i=0;do{k=((Y(j[(f[a>>2]|0)+(i<<1)>>1]|0,j[c>>1]|0)|0)+32768|0)>>>16;b[e+i>>0]=k>>>0<255?k:255;i=i+1|0}while((i|0)!=(g|0));return}do{i=1;k=Y(j[(f[a>>2]|0)+(h<<1)>>1]|0,j[c>>1]|0)|0;do{l=(Y(j[(f[a+(i<<2)>>2]|0)+(h<<1)>>1]|0,j[c+(i<<1)>>1]|0)|0)+k|0;k=l>>>0<k>>>0?-1:l;i=i+1|0}while((i|0)!=(d|0));i=(k+32768|0)>>>16;b[e+h>>0]=i>>>0<255?i:255;h=h+1|0}while((h|0)!=(g|0));return}function qba(a){a=a|0;Emc(a);return}function rba(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0;d=u;u=u+2128|0;e=d+1072|0;g=d+8|0;h=d;i=a+20|0;k=f[i>>2]|0;l=a+28|0;m=f[l>>2]|0;n=Y(m,k)|0;o=a+44|0;p=f[o>>2]|0;q=Y(n,p)|0;n=e+8|0;Drc(n|0,0,1040)|0;f[e>>2]=n;r=e+4|0;f[r>>2]=q;if(q>>>0>520){s=Dmc(q>>>0>2147483647?-1:q<<1)|0;Drc(s|0,0,q<<1|0)|0;f[e>>2]=s;t=s}else t=n;s=p<<1;q=g+8|0;f[g>>2]=q;v=g+4|0;f[v>>2]=s;if(s>>>0>264){w=Dmc(s>>>0>1073741823?-1:s<<2)|0;f[g>>2]=w;x=w}else x=q;w=f[c>>2]|0;a:do if((p|0)==1){f[x>>2]=t;s=c+4|0;if((w|0)<(f[s>>2]|0)){y=a+52|0;z=a+4|0;A=a+12|0;B=a+32|0;C=a+40|0;D=a+48|0;E=a+56|0;F=a+36|0;G=a+8|0;H=a+16|0;I=w;J=m;K=t;L=k;while(1){M=(f[z>>2]|0)+(Y(f[A>>2]|0,I)|0)|0;Oh[f[y>>2]&127](M,J,f[B>>2]|0,f[C>>2]|0,K,L,f[D>>2]|0);M=(f[G>>2]|0)+(Y(f[H>>2]|0,I)|0)|0;N=Y(f[l>>2]|0,f[i>>2]|0)|0;sh[f[E>>2]&255](x,f[F>>2]|0,f[o>>2]|0,M,N);N=I+1|0;if((N|0)>=(f[s>>2]|0))break a;I=N;J=f[l>>2]|0;K=f[x>>2]|0;L=f[i>>2]|0}}}else{L=a+48|0;K=f[L>>2]|0;J=(p|0)/2|0;I=p-J|0;s=I+-1|0;F=w-J|0;if(K|0){E=(F|0)>0?F:0;H=I+w|0;f[h>>2]=H;G=a+24|0;D=f[G>>2]|0;if((E|0)<(((D|0)<(H|0)?D:H)|0)){C=a+52|0;B=a+4|0;y=a+12|0;A=a+32|0;z=a+40|0;N=E;M=0;O=K;K=k;P=m;Q=p;while(1){R=t+((Y(Y(K,M)|0,P)|0)<<1)|0;S=x+(M<<2)|0;f[S>>2]=R;f[x+(Q+M<<2)>>2]=R;R=(f[B>>2]|0)+(Y(f[y>>2]|0,N)|0)|0;Oh[f[C>>2]&127](R,P,f[A>>2]|0,f[z>>2]|0,f[S>>2]|0,K,O);T=N+1|0;U=M+1|0;V=f[G>>2]|0;if((T|0)>=(((V|0)<(H|0)?V:H)|0))break;N=T;M=U;O=f[L>>2]|0;K=f[i>>2]|0;P=f[l>>2]|0;Q=f[o>>2]|0}W=f[h>>2]|0;X=T;Z=U;_=V}else{W=H;X=E;Z=0;_=D}b:do if((X|0)<(W|0)){Q=a+52|0;P=a+4|0;K=a+12|0;O=a+32|0;M=a+40|0;N=X;z=Z;A=_;while(1){C=sT(N,A,f[L>>2]|0)|0;y=(f[o>>2]|0)+z|0;if((C|0)<(E|0)){B=f[i>>2]|0;S=Y(B,z)|0;R=f[l>>2]|0;$=t+((Y(S,R)|0)<<1)|0;S=x+(z<<2)|0;f[S>>2]=$;f[x+(y<<2)>>2]=$;$=(f[P>>2]|0)+(Y(f[K>>2]|0,C)|0)|0;Oh[f[Q>>2]&127]($,R,f[O>>2]|0,f[M>>2]|0,f[S>>2]|0,B,f[L>>2]|0)}else{B=f[x+(C-E<<2)>>2]|0;f[x+(z<<2)>>2]=B;f[x+(y<<2)>>2]=B}B=N+1|0;y=z+1|0;if((B|0)>=(W|0)){aa=B;ba=y;break b}N=B;z=y;A=f[G>>2]|0}}else{aa=X;ba=Z}while(0);if((F|0)<0){E=f[h>>2]|0;D=a+52|0;H=a+4|0;A=a+12|0;z=a+32|0;N=a+40|0;M=F;while(1){O=sT(M,f[G>>2]|0,f[L>>2]|0)|0;Q=f[o>>2]|0;K=(Q<<1)+M|0;P=Q+M|0;if((O|0)<(E|0)){Q=f[x+(O<<2)>>2]|0;f[x+(P<<2)>>2]=Q;f[x+(K<<2)>>2]=Q}else{Q=f[i>>2]|0;y=Y(Q,P)|0;B=f[l>>2]|0;C=t+((Y(y,B)|0)<<1)|0;y=x+(P<<2)|0;f[y>>2]=C;f[x+(K<<2)>>2]=C;C=(f[H>>2]|0)+(Y(f[A>>2]|0,O)|0)|0;Oh[f[D>>2]&127](C,B,f[z>>2]|0,f[N>>2]|0,f[y>>2]|0,Q,f[L>>2]|0)}if((M|0)<-1)M=M+1|0;else break}}M=a+56|0;N=a+36|0;z=a+8|0;D=a+16|0;A=(f[z>>2]|0)+(Y(f[D>>2]|0,w)|0)|0;H=Y(f[l>>2]|0,f[i>>2]|0)|0;sh[f[M>>2]&255](x+(ba<<2)|0,f[N>>2]|0,f[o>>2]|0,A,H);H=f[o>>2]|0;A=c+4|0;E=(f[A>>2]|0)+s|0;Q=f[G>>2]|0;y=(ba|0)%(H|0)|0;B=(E|0)<(Q|0)?E:Q;f[h>>2]=B;Q=w+1|0;if((aa|0)<(((B|0)<(H|0)?B:H)|0)){E=a+52|0;C=a+4|0;O=a+12|0;K=a+32|0;P=a+40|0;S=Q;R=aa;$=y;ca=H;do{H=f[i>>2]|0;da=Y(H,$)|0;ea=f[l>>2]|0;fa=t+((Y(da,ea)|0)<<1)|0;da=x+($<<2)|0;f[da>>2]=fa;f[x+(ca+$<<2)>>2]=fa;fa=(f[C>>2]|0)+(Y(f[O>>2]|0,R)|0)|0;Oh[f[E>>2]&127](fa,ea,f[K>>2]|0,f[P>>2]|0,f[da>>2]|0,H,f[L>>2]|0);H=f[o>>2]|0;$=($+1|0)%(H|0)|0;da=(f[z>>2]|0)+(Y(f[D>>2]|0,S)|0)|0;ea=Y(f[l>>2]|0,f[i>>2]|0)|0;sh[f[M>>2]&255](x+($<<2)|0,f[N>>2]|0,H,da,ea);R=R+1|0;S=S+1|0;ca=f[o>>2]|0}while((R|0)<(((B|0)<(ca|0)?B:ca)|0));ga=f[h>>2]|0;ha=S;ia=R;ja=$}else{ga=B;ha=Q;ia=aa;ja=y}if((ia|0)<(ga|0)){ca=a+52|0;P=a+4|0;K=a+12|0;E=a+32|0;O=a+40|0;C=ha;ea=ia;da=ja;while(1){H=(f[P>>2]|0)+(Y(f[K>>2]|0,ea)|0)|0;Oh[f[ca>>2]&127](H,f[l>>2]|0,f[E>>2]|0,f[O>>2]|0,f[x+(da<<2)>>2]|0,f[i>>2]|0,f[L>>2]|0);H=f[o>>2]|0;fa=(da+1|0)%(H|0)|0;ka=(f[z>>2]|0)+(Y(f[D>>2]|0,C)|0)|0;la=Y(f[l>>2]|0,f[i>>2]|0)|0;sh[f[M>>2]&255](x+(fa<<2)|0,f[N>>2]|0,H,ka,la);la=ea+1|0;ka=C+1|0;if((la|0)<(ga|0)){C=ka;ea=la;da=fa}else{ma=ka;na=la;oa=fa;break}}}else{ma=ha;na=ia;oa=ja}if((na|0)<((f[A>>2]|0)+s|0)){da=a+52|0;ea=a+4|0;C=a+12|0;O=a+32|0;E=a+40|0;ca=ma;K=na;P=oa;while(1){y=sT(K,f[G>>2]|0,f[L>>2]|0)|0;Q=K-y|0;B=f[o>>2]|0;if((Q|0)>(B|0)){$=(f[ea>>2]|0)+(Y(f[C>>2]|0,y)|0)|0;Oh[f[da>>2]&127]($,f[l>>2]|0,f[O>>2]|0,f[E>>2]|0,f[x+(P<<2)>>2]|0,f[i>>2]|0,f[L>>2]|0)}else{$=f[x+(((P-Q+B|0)%(B|0)|0)<<2)>>2]|0;f[x+(P<<2)>>2]=$;f[x+(B+P<<2)>>2]=$}$=f[o>>2]|0;P=(P+1|0)%($|0)|0;B=(f[z>>2]|0)+(Y(f[D>>2]|0,ca)|0)|0;Q=Y(f[l>>2]|0,f[i>>2]|0)|0;sh[f[M>>2]&255](x+(P<<2)|0,f[N>>2]|0,$,B,Q);K=K+1|0;if((K|0)>=((f[A>>2]|0)+s|0))break;else ca=ca+1|0}}break}ca=I+w|0;A=a+24|0;K=f[A>>2]|0;N=(K|0)<(ca|0)?K:ca;f[h>>2]=N;ca=(F|0)>0;K=ca?F:0;c:do if((K|0)<(N|0)){P=a+52|0;M=a+4|0;D=a+12|0;z=a+32|0;E=a+40|0;O=K;da=0;C=k;ea=m;G=p;Q=0;while(1){B=t+((Y(Y(C,da)|0,ea)|0)<<1)|0;$=x+(da<<2)|0;f[$>>2]=B;f[x+(G+da<<2)>>2]=B;B=(f[M>>2]|0)+(Y(f[D>>2]|0,O)|0)|0;Oh[f[P>>2]&127](B,ea,f[z>>2]|0,f[E>>2]|0,f[$>>2]|0,C,Q);pa=O+1|0;qa=da+1|0;if((pa|0)>=(N|0))break;O=pa;da=qa;C=f[i>>2]|0;ea=f[l>>2]|0;G=f[o>>2]|0;Q=f[L>>2]|0}Q=a+36|0;G=f[Q>>2]|0;switch(da|0){case 0:{ea=(f[a+8>>2]|0)+(Y(f[a+16>>2]|0,w)|0)|0;C=Y(f[l>>2]|0,f[i>>2]|0)|0;O=f[x>>2]|0;if((C|0)<=0){ra=1;sa=pa;ta=Q;break c}E=G+((ca?0:0-F|0)<<1)|0;z=0;do{P=((Y(j[O+(z<<1)>>1]|0,j[E>>1]|0)|0)+32768|0)>>>16;b[ea+z>>0]=P>>>0<255?P:255;z=z+1|0}while((z|0)!=(C|0));ra=qa;sa=pa;ta=Q;break}case 2:{C=G+((ca?0:0-F|0)<<1)|0;z=(f[a+8>>2]|0)+(Y(f[a+16>>2]|0,w)|0)|0;ea=Y(f[l>>2]|0,f[i>>2]|0)|0;if((ea|0)<=0){ra=3;sa=pa;ta=Q;break c}E=x+4|0;O=C+2|0;da=x+8|0;P=C+4|0;D=0;do{M=Y(j[(f[x>>2]|0)+(D<<1)>>1]|0,j[C>>1]|0)|0;$=(Y(j[(f[E>>2]|0)+(D<<1)>>1]|0,j[O>>1]|0)|0)+M|0;B=$>>>0<M>>>0?-1:$;$=(Y(j[(f[da>>2]|0)+(D<<1)>>1]|0,j[P>>1]|0)|0)+B|0;M=$>>>0<B>>>0?0:($+32768|0)>>>16;b[z+D>>0]=M>>>0<255?M:255;D=D+1|0}while((D|0)!=(ea|0));ra=qa;sa=pa;ta=Q;break}case 4:{ea=G+((ca?0:0-F|0)<<1)|0;D=(f[a+8>>2]|0)+(Y(f[a+16>>2]|0,w)|0)|0;z=Y(f[l>>2]|0,f[i>>2]|0)|0;if((z|0)<=0){ra=5;sa=pa;ta=Q;break c}P=x+4|0;da=ea+2|0;O=x+8|0;E=ea+4|0;C=x+12|0;M=ea+6|0;$=x+16|0;B=ea+8|0;y=0;do{R=Y(j[(f[x>>2]|0)+(y<<1)>>1]|0,j[ea>>1]|0)|0;S=(Y(j[(f[P>>2]|0)+(y<<1)>>1]|0,j[da>>1]|0)|0)+R|0;fa=S>>>0<R>>>0?-1:S;S=(Y(j[(f[O>>2]|0)+(y<<1)>>1]|0,j[E>>1]|0)|0)+fa|0;R=S>>>0<fa>>>0?-1:S;S=(Y(j[(f[C>>2]|0)+(y<<1)>>1]|0,j[M>>1]|0)|0)+R|0;fa=S>>>0<R>>>0?-1:S;S=(Y(j[(f[$>>2]|0)+(y<<1)>>1]|0,j[B>>1]|0)|0)+fa|0;R=S>>>0<fa>>>0?0:(S+32768|0)>>>16;b[D+y>>0]=R>>>0<255?R:255;y=y+1|0}while((y|0)!=(z|0));ra=qa;sa=pa;ta=Q;break}default:{ua=qa;va=pa;wa=Q;xa=G;ya=58;break c}}}else{z=a+36|0;ua=0;va=K;wa=z;xa=f[z>>2]|0;ya=58}while(0);d:do if((ya|0)==58){N=xa+((ca?0:0-F|0)<<1)|0;I=(f[a+8>>2]|0)+(Y(f[a+16>>2]|0,w)|0)|0;z=Y(f[l>>2]|0,f[i>>2]|0)|0;if((z|0)>0){if((ua|0)>1)za=0;else{y=0;while(1){D=((Y(j[(f[x>>2]|0)+(y<<1)>>1]|0,j[N>>1]|0)|0)+32768|0)>>>16;b[I+y>>0]=D>>>0<255?D:255;y=y+1|0;if((y|0)==(z|0)){ra=ua;sa=va;ta=wa;break d}}}do{y=1;G=Y(j[(f[x>>2]|0)+(za<<1)>>1]|0,j[N>>1]|0)|0;do{Q=(Y(j[(f[x+(y<<2)>>2]|0)+(za<<1)>>1]|0,j[N+(y<<1)>>1]|0)|0)+G|0;G=Q>>>0<G>>>0?-1:Q;y=y+1|0}while((y|0)!=(ua|0));y=(G+32768|0)>>>16;b[I+za>>0]=y>>>0<255?y:255;za=za+1|0}while((za|0)!=(z|0));ra=ua;sa=va;ta=wa}else{ra=ua;sa=va;ta=wa}}while(0);F=f[o>>2]|0;ca=c+4|0;z=(f[ca>>2]|0)+s|0;I=f[A>>2]|0;N=(ra|0)%(F|0)|0;y=(z|0)<(I|0)?z:I;f[h>>2]=y;I=w+1|0;if((sa|0)<(((y|0)<(F|0)?y:F)|0)){z=a+52|0;Q=a+4|0;D=a+12|0;B=a+32|0;$=a+40|0;M=a+16|0;C=a+8|0;E=x+4|0;O=x+8|0;da=x+12|0;P=x+16|0;ea=I;R=sa;S=N;fa=F;while(1){la=f[i>>2]|0;ka=Y(la,S)|0;H=f[l>>2]|0;Aa=t+((Y(ka,H)|0)<<1)|0;ka=x+(S<<2)|0;f[ka>>2]=Aa;f[x+(fa+S<<2)>>2]=Aa;Aa=(f[Q>>2]|0)+(Y(f[D>>2]|0,R)|0)|0;Oh[f[z>>2]&127](Aa,H,f[B>>2]|0,f[$>>2]|0,f[ka>>2]|0,la,f[L>>2]|0);la=S+1|0;ka=~S;H=f[ta>>2]|0;Aa=f[C>>2]|0;Ba=Y(f[i>>2]|0,f[l>>2]|0)|0;Ca=Y(f[M>>2]|0,ea)|0;e:do if((la|0)==3){Da=H+(f[o>>2]<<1)+(ka<<1)|0;Ea=Aa+Ca|0;if((Ba|0)>0){Fa=Da+2|0;Ga=Da+4|0;Ha=0;do{Ia=Y(j[(f[x>>2]|0)+(Ha<<1)>>1]|0,j[Da>>1]|0)|0;Ja=(Y(j[(f[E>>2]|0)+(Ha<<1)>>1]|0,j[Fa>>1]|0)|0)+Ia|0;Ka=Ja>>>0<Ia>>>0?-1:Ja;Ja=(Y(j[(f[O>>2]|0)+(Ha<<1)>>1]|0,j[Ga>>1]|0)|0)+Ka|0;Ia=Ja>>>0<Ka>>>0?0:(Ja+32768|0)>>>16;b[Ea+Ha>>0]=Ia>>>0<255?Ia:255;Ha=Ha+1|0}while((Ha|0)!=(Ba|0))}}else{Ha=H+(f[o>>2]<<1)+(ka<<1)|0;Ea=Aa+Ca|0;Ga=(Ba|0)>0;if((la|0)==5){if(!Ga)break;Fa=Ha+2|0;Da=Ha+4|0;G=Ha+6|0;Ia=Ha+8|0;Ja=0;while(1){Ka=Y(j[(f[x>>2]|0)+(Ja<<1)>>1]|0,j[Ha>>1]|0)|0;La=(Y(j[(f[E>>2]|0)+(Ja<<1)>>1]|0,j[Fa>>1]|0)|0)+Ka|0;Ma=La>>>0<Ka>>>0?-1:La;La=(Y(j[(f[O>>2]|0)+(Ja<<1)>>1]|0,j[Da>>1]|0)|0)+Ma|0;Ka=La>>>0<Ma>>>0?-1:La;La=(Y(j[(f[da>>2]|0)+(Ja<<1)>>1]|0,j[G>>1]|0)|0)+Ka|0;Ma=La>>>0<Ka>>>0?-1:La;La=(Y(j[(f[P>>2]|0)+(Ja<<1)>>1]|0,j[Ia>>1]|0)|0)+Ma|0;Ka=La>>>0<Ma>>>0?0:(La+32768|0)>>>16;b[Ea+Ja>>0]=Ka>>>0<255?Ka:255;Ja=Ja+1|0;if((Ja|0)==(Ba|0))break e}}if(Ga){if((R|0)>0)Na=0;else{Ja=0;while(1){Ia=((Y(j[(f[x>>2]|0)+(Ja<<1)>>1]|0,j[Ha>>1]|0)|0)+32768|0)>>>16;b[Ea+Ja>>0]=Ia>>>0<255?Ia:255;Ja=Ja+1|0;if((Ja|0)==(Ba|0))break e}}do{Ja=1;Ga=Y(j[(f[x>>2]|0)+(Na<<1)>>1]|0,j[Ha>>1]|0)|0;while(1){Ia=(Y(j[(f[x+(Ja<<2)>>2]|0)+(Na<<1)>>1]|0,j[Ha+(Ja<<1)>>1]|0)|0)+Ga|0;Ga=Ia>>>0<Ga>>>0?-1:Ia;if((Ja|0)==(R|0))break;else Ja=Ja+1|0}Ja=(Ga+32768|0)>>>16;b[Ea+Na>>0]=Ja>>>0<255?Ja:255;Na=Na+1|0}while((Na|0)!=(Ba|0))}}while(0);Ba=f[o>>2]|0;Ca=(la|0)%(Ba|0)|0;Aa=R+1|0;ka=ea+1|0;if((Aa|0)<(((y|0)<(Ba|0)?y:Ba)|0)){ea=ka;R=Aa;S=Ca;fa=Ba}else{Oa=ka;Pa=Ca;Qa=Aa;Ra=Ba;break}}}else{Oa=I;Pa=N;Qa=sa;Ra=F}if((Qa-K|0)<(Ra|0)){fa=Oa-J|0;S=f[ca>>2]|0;R=S-J|0;if((fa|0)<(((R|0)<0?R:0)|0)){R=a+16|0;ea=a+8|0;y=x+4|0;P=x+8|0;da=x+12|0;O=x+16|0;E=Oa;M=fa;while(1){C=f[A>>2]|0;$=0-M|0;B=f[ta>>2]|0;z=f[ea>>2]|0;D=Y(f[R>>2]|0,E)|0;Q=Y(f[i>>2]|0,f[l>>2]|0)|0;f:do if((C|0)==3){s=B+($<<1)|0;Ba=z+D|0;if((Q|0)>0){Aa=s+2|0;Ca=s+4|0;ka=0;do{H=Y(j[(f[x>>2]|0)+(ka<<1)>>1]|0,j[s>>1]|0)|0;Ea=(Y(j[(f[y>>2]|0)+(ka<<1)>>1]|0,j[Aa>>1]|0)|0)+H|0;Ha=Ea>>>0<H>>>0?-1:Ea;Ea=(Y(j[(f[P>>2]|0)+(ka<<1)>>1]|0,j[Ca>>1]|0)|0)+Ha|0;H=Ea>>>0<Ha>>>0?0:(Ea+32768|0)>>>16;b[Ba+ka>>0]=H>>>0<255?H:255;ka=ka+1|0}while((ka|0)!=(Q|0))}}else{ka=B+($<<1)|0;Ba=z+D|0;Ca=(Q|0)>0;if((C|0)==5){if(!Ca)break;Aa=ka+2|0;s=ka+4|0;H=ka+6|0;Ea=ka+8|0;Ha=0;while(1){Ja=Y(j[(f[x>>2]|0)+(Ha<<1)>>1]|0,j[ka>>1]|0)|0;Ia=(Y(j[(f[y>>2]|0)+(Ha<<1)>>1]|0,j[Aa>>1]|0)|0)+Ja|0;G=Ia>>>0<Ja>>>0?-1:Ia;Ia=(Y(j[(f[P>>2]|0)+(Ha<<1)>>1]|0,j[s>>1]|0)|0)+G|0;Ja=Ia>>>0<G>>>0?-1:Ia;Ia=(Y(j[(f[da>>2]|0)+(Ha<<1)>>1]|0,j[H>>1]|0)|0)+Ja|0;G=Ia>>>0<Ja>>>0?-1:Ia;Ia=(Y(j[(f[O>>2]|0)+(Ha<<1)>>1]|0,j[Ea>>1]|0)|0)+G|0;Ja=Ia>>>0<G>>>0?0:(Ia+32768|0)>>>16;b[Ba+Ha>>0]=Ja>>>0<255?Ja:255;Ha=Ha+1|0;if((Ha|0)==(Q|0))break f}}if(Ca){if((C|0)>1)Sa=0;else{Ha=0;while(1){Ea=((Y(j[(f[x>>2]|0)+(Ha<<1)>>1]|0,j[ka>>1]|0)|0)+32768|0)>>>16;b[Ba+Ha>>0]=Ea>>>0<255?Ea:255;Ha=Ha+1|0;if((Ha|0)==(Q|0))break f}}do{Ha=1;Ca=Y(j[(f[x>>2]|0)+(Sa<<1)>>1]|0,j[ka>>1]|0)|0;do{Ea=(Y(j[(f[x+(Ha<<2)>>2]|0)+(Sa<<1)>>1]|0,j[ka+(Ha<<1)>>1]|0)|0)+Ca|0;Ca=Ea>>>0<Ca>>>0?-1:Ea;Ha=Ha+1|0}while((Ha|0)!=(C|0));Ha=(Ca+32768|0)>>>16;b[Ba+Sa>>0]=Ha>>>0<255?Ha:255;Sa=Sa+1|0}while((Sa|0)!=(Q|0))}}while(0);Q=M+1|0;C=E+1|0;D=f[ca>>2]|0;z=D-J|0;if((Q|0)<(((z|0)<0?z:0)|0)){E=C;M=Q}else{Ta=C;Ua=Q;Va=D;break}}}else{Ta=Oa;Ua=fa;Va=S}if((Ua|0)<(Va-J|0)){M=0-K|0;E=a+8|0;O=a+16|0;da=Ta;P=Ua;while(1){y=(f[A>>2]|0)-P|0;g:do if((y|0)==3){R=x+(P<<2)+(M<<2)|0;ea=f[ta>>2]|0;F=(f[E>>2]|0)+(Y(f[O>>2]|0,da)|0)|0;N=Y(f[l>>2]|0,f[i>>2]|0)|0;if((N|0)>0){I=R+4|0;D=ea+2|0;Q=R+8|0;C=ea+4|0;z=0;do{$=Y(j[(f[R>>2]|0)+(z<<1)>>1]|0,j[ea>>1]|0)|0;B=(Y(j[(f[I>>2]|0)+(z<<1)>>1]|0,j[D>>1]|0)|0)+$|0;la=B>>>0<$>>>0?-1:B;B=(Y(j[(f[Q>>2]|0)+(z<<1)>>1]|0,j[C>>1]|0)|0)+la|0;$=B>>>0<la>>>0?0:(B+32768|0)>>>16;b[F+z>>0]=$>>>0<255?$:255;z=z+1|0}while((z|0)!=(N|0))}}else{N=x+(P<<2)+(M<<2)|0;z=f[ta>>2]|0;F=(f[E>>2]|0)+(Y(f[O>>2]|0,da)|0)|0;C=Y(f[l>>2]|0,f[i>>2]|0)|0;Q=(C|0)>0;if((y|0)==5){if(!Q)break;D=N+4|0;I=z+2|0;ea=N+8|0;R=z+4|0;$=N+12|0;B=z+6|0;la=N+16|0;Ba=z+8|0;ka=0;while(1){Ha=Y(j[(f[N>>2]|0)+(ka<<1)>>1]|0,j[z>>1]|0)|0;Ga=(Y(j[(f[D>>2]|0)+(ka<<1)>>1]|0,j[I>>1]|0)|0)+Ha|0;Ea=Ga>>>0<Ha>>>0?-1:Ga;Ga=(Y(j[(f[ea>>2]|0)+(ka<<1)>>1]|0,j[R>>1]|0)|0)+Ea|0;Ha=Ga>>>0<Ea>>>0?-1:Ga;Ga=(Y(j[(f[$>>2]|0)+(ka<<1)>>1]|0,j[B>>1]|0)|0)+Ha|0;Ea=Ga>>>0<Ha>>>0?-1:Ga;Ga=(Y(j[(f[la>>2]|0)+(ka<<1)>>1]|0,j[Ba>>1]|0)|0)+Ea|0;Ha=Ga>>>0<Ea>>>0?0:(Ga+32768|0)>>>16;b[F+ka>>0]=Ha>>>0<255?Ha:255;ka=ka+1|0;if((ka|0)==(C|0))break g}}if(Q){if((y|0)>1)Wa=0;else{ka=0;while(1){Ba=((Y(j[(f[N>>2]|0)+(ka<<1)>>1]|0,j[z>>1]|0)|0)+32768|0)>>>16;b[F+ka>>0]=Ba>>>0<255?Ba:255;ka=ka+1|0;if((ka|0)==(C|0))break g}}do{ka=1;Q=Y(j[(f[N>>2]|0)+(Wa<<1)>>1]|0,j[z>>1]|0)|0;do{Ba=(Y(j[(f[N+(ka<<2)>>2]|0)+(Wa<<1)>>1]|0,j[z+(ka<<1)>>1]|0)|0)+Q|0;Q=Ba>>>0<Q>>>0?-1:Ba;ka=ka+1|0}while((ka|0)!=(y|0));ka=(Q+32768|0)>>>16;b[F+Wa>>0]=ka>>>0<255?ka:255;Wa=Wa+1|0}while((Wa|0)!=(C|0))}}while(0);P=P+1|0;if((P|0)>=((f[ca>>2]|0)-J|0))break;else da=da+1|0}}}else{da=f[h>>2]|0;if((Qa|0)<(da|0)){P=a+52|0;O=a+4|0;E=a+12|0;M=a+32|0;K=a+40|0;S=a+56|0;fa=a+8|0;y=a+16|0;C=Oa;F=Qa;z=Pa;while(1){N=(f[O>>2]|0)+(Y(f[E>>2]|0,F)|0)|0;Oh[f[P>>2]&127](N,f[l>>2]|0,f[M>>2]|0,f[K>>2]|0,f[x+(z<<2)>>2]|0,f[i>>2]|0,f[L>>2]|0);N=f[o>>2]|0;ka=(z+1|0)%(N|0)|0;Ca=(f[fa>>2]|0)+(Y(f[y>>2]|0,C)|0)|0;Ba=Y(f[l>>2]|0,f[i>>2]|0)|0;sh[f[S>>2]&255](x+(ka<<2)|0,f[ta>>2]|0,N,Ca,Ba);F=F+1|0;Ba=C+1|0;if((F|0)>=(da|0)){Xa=Ba;Ya=ka;break}else{C=Ba;z=ka}}}else{Xa=Oa;Ya=Pa}z=Xa-J|0;if((z|0)<((f[ca>>2]|0)-J|0)){C=a+16|0;da=a+8|0;F=Xa;S=z;z=(Ya+1|0)%(f[o>>2]|0)|0;while(1){y=(f[A>>2]|0)-S|0;fa=f[ta>>2]|0;L=f[da>>2]|0;K=Y(f[i>>2]|0,f[l>>2]|0)|0;M=Y(f[C>>2]|0,F)|0;h:do if((y|0)==3){P=x+(z<<2)|0;E=L+M|0;if((K|0)>0){O=P+4|0;ka=fa+2|0;Ba=P+8|0;Ca=fa+4|0;N=0;do{la=Y(j[(f[P>>2]|0)+(N<<1)>>1]|0,j[fa>>1]|0)|0;B=(Y(j[(f[O>>2]|0)+(N<<1)>>1]|0,j[ka>>1]|0)|0)+la|0;$=B>>>0<la>>>0?-1:B;B=(Y(j[(f[Ba>>2]|0)+(N<<1)>>1]|0,j[Ca>>1]|0)|0)+$|0;la=B>>>0<$>>>0?0:(B+32768|0)>>>16;b[E+N>>0]=la>>>0<255?la:255;N=N+1|0}while((N|0)!=(K|0))}}else{N=x+(z<<2)|0;E=L+M|0;Ca=(K|0)>0;if((y|0)==5){if(!Ca)break;Ba=N+4|0;ka=fa+2|0;O=N+8|0;P=fa+4|0;la=N+12|0;B=fa+6|0;$=N+16|0;R=fa+8|0;ea=0;while(1){I=Y(j[(f[N>>2]|0)+(ea<<1)>>1]|0,j[fa>>1]|0)|0;D=(Y(j[(f[Ba>>2]|0)+(ea<<1)>>1]|0,j[ka>>1]|0)|0)+I|0;Ha=D>>>0<I>>>0?-1:D;D=(Y(j[(f[O>>2]|0)+(ea<<1)>>1]|0,j[P>>1]|0)|0)+Ha|0;I=D>>>0<Ha>>>0?-1:D;D=(Y(j[(f[la>>2]|0)+(ea<<1)>>1]|0,j[B>>1]|0)|0)+I|0;Ha=D>>>0<I>>>0?-1:D;D=(Y(j[(f[$>>2]|0)+(ea<<1)>>1]|0,j[R>>1]|0)|0)+Ha|0;I=D>>>0<Ha>>>0?0:(D+32768|0)>>>16;b[E+ea>>0]=I>>>0<255?I:255;ea=ea+1|0;if((ea|0)==(K|0))break h}}if(Ca){if((y|0)>1)Za=0;else{ea=0;while(1){R=((Y(j[(f[N>>2]|0)+(ea<<1)>>1]|0,j[fa>>1]|0)|0)+32768|0)>>>16;b[E+ea>>0]=R>>>0<255?R:255;ea=ea+1|0;if((ea|0)==(K|0))break h}}do{ea=1;Ca=Y(j[(f[N>>2]|0)+(Za<<1)>>1]|0,j[fa>>1]|0)|0;do{R=(Y(j[(f[N+(ea<<2)>>2]|0)+(Za<<1)>>1]|0,j[fa+(ea<<1)>>1]|0)|0)+Ca|0;Ca=R>>>0<Ca>>>0?-1:R;ea=ea+1|0}while((ea|0)!=(y|0));ea=(Ca+32768|0)>>>16;b[E+Za>>0]=ea>>>0<255?ea:255;Za=Za+1|0}while((Za|0)!=(K|0))}}while(0);S=S+1|0;if((S|0)>=((f[ca>>2]|0)-J|0))break;else{F=F+1|0;z=z+1|0}}}}}while(0);Za=f[g>>2]|0;if((Za|0)!=(q|0)){if(Za|0)Fmc(Za);f[g>>2]=q;f[v>>2]=264}v=f[e>>2]|0;if((v|0)==(n|0)){u=d;return}if(v|0)Fmc(v);f[e>>2]=n;f[r>>2]=520;u=d;return}function sba(a,c,e){a=a|0;c=c|0;e=e|0;var g=0,i=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0.0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0.0,nc=0.0,oc=0.0,pc=0.0,qc=0.0,rc=0.0,sc=0.0,tc=0,uc=0,vc=0.0,wc=0,xc=0;g=u;u=u+6608|0;i=g+4096|0;k=g;l=g+6272|0;m=g+6584|0;o=g+6576|0;p=g+6572|0;q=g+6568|0;r=g+6552|0;t=g+6548|0;v=g+6544|0;w=g+6540|0;x=g+6536|0;y=g+6532|0;z=g+6528|0;A=g+6524|0;B=g+6520|0;C=g+6516|0;D=g+6512|0;E=g+6508|0;F=g+6504|0;G=g+6500|0;H=g+6496|0;I=g+6492|0;J=g+6488|0;K=g+6484|0;L=g+6480|0;M=g+6472|0;N=g+6416|0;O=g+6560|0;P=g+6360|0;Q=g+6304|0;zT(M,56140);if(((e|0)%2|0|0)!=1){f[i>>2]=0;R=i+4|0;f[R>>2]=0;S=YG(i,40)|0;T=S;U=259114;V=T+40|0;do{b[T>>0]=b[U>>0]|0;T=T+1|0;U=U+1|0}while((T|0)<(V|0));p8(-215,i,259155,5138)}if((zD(a,-1)|0)>=3){f[i>>2]=0;R=i+4|0;f[R>>2]=0;S=YG(i,40)|0;T=S;U=259114;V=T+40|0;do{b[T>>0]=b[U>>0]|0;T=T+1|0;U=U+1|0}while((T|0)<(V|0));p8(-215,i,259155,5138)}if((e|0)>=2?!(DD(a)|0):0){do if((pD(a)|0)==65536){S=f[a+4>>2]|0;f[N>>2]=f[S>>2];R=N+4|0;W=S+4|0;f[R>>2]=f[W>>2];X=N+8|0;f[X>>2]=f[S+8>>2];f[N+12>>2]=f[S+12>>2];f[N+16>>2]=f[S+16>>2];f[N+20>>2]=f[S+20>>2];f[N+24>>2]=f[S+24>>2];f[N+28>>2]=f[S+28>>2];f[N+32>>2]=f[S+32>>2];Z=f[S+36>>2]|0;f[N+36>>2]=Z;_=N+40|0;f[_>>2]=X;X=N+48|0;$=N+44|0;f[$>>2]=X;f[X>>2]=0;f[N+52>>2]=0;if(Z|0){X=Z+12|0;f[X>>2]=(f[X>>2]|0)+1}if((f[W>>2]|0)<3){W=f[S+44>>2]|0;X=f[$>>2]|0;f[X>>2]=f[W>>2];f[X+4>>2]=f[W+4>>2];aa=N;ba=_;break}else{f[R>>2]=0;kP(N,S);aa=N;ba=_;break}}else{lD(N,a,-1);aa=N;ba=N+40|0}while(0);_=f[ba>>2]|0;S=f[_>>2]|0;f[O>>2]=f[_+4>>2];f[O+4>>2]=S;HD(c,O,f[aa>>2]&4095,-1,0,0);do if((pD(c)|0)==65536){O=f[c+4>>2]|0;f[P>>2]=f[O>>2];S=P+4|0;_=O+4|0;f[S>>2]=f[_>>2];R=P+8|0;f[R>>2]=f[O+8>>2];f[P+12>>2]=f[O+12>>2];W=P+16|0;f[W>>2]=f[O+16>>2];f[P+20>>2]=f[O+20>>2];f[P+24>>2]=f[O+24>>2];f[P+28>>2]=f[O+28>>2];f[P+32>>2]=f[O+32>>2];X=f[O+36>>2]|0;f[P+36>>2]=X;f[P+40>>2]=R;R=P+48|0;$=P+44|0;f[$>>2]=R;f[R>>2]=0;f[P+52>>2]=0;if(X|0){R=X+12|0;f[R>>2]=(f[R>>2]|0)+1}if((f[_>>2]|0)<3){_=f[O+44>>2]|0;R=f[$>>2]|0;f[R>>2]=f[_>>2];f[R+4>>2]=f[_+4>>2];ca=W;break}else{f[S>>2]=0;kP(P,O);ca=W;break}}else{lD(P,c,-1);ca=P+16|0}while(0);W=N+16|0;O=N+12|0;S=N+8|0;_=f[aa>>2]|0;switch(e|0){case 3:{da=1;break}case 5:{if(!(_&7)){R=(_>>>3&511)+1|0;da=(R|0)==2|R>>>0>4}else da=1;break}default:da=0}f[Q>>2]=1124007936;R=Q+4|0;_=Q+8|0;$=Q+40|0;T=R;V=T+36|0;do{f[T>>2]=0;T=T+4|0}while((T|0)<(V|0));f[$>>2]=_;X=Q+48|0;Z=Q+44|0;f[Z>>2]=X;f[X>>2]=0;f[Q+52>>2]=0;a:do if(!da){f[i+8>>2]=0;f[i+12>>2]=0;f[i>>2]=16842752;f[i+4>>2]=N;ea=k+8|0;f[ea>>2]=0;f[ea+4>>2]=0;f[k>>2]=33619968;f[k+4>>2]=Q;ea=(e|0)/2|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;f[l+28>>2]=0;tT(i,k,0,0,ea,ea,17,l);fa=f[Q>>2]|0;if(fa&7|0){f[i>>2]=0;ga=i+4|0;f[ga>>2]=0;ha=YG(i,55)|0;T=ha;U=259166;V=T+55|0;do{b[T>>0]=b[U>>0]|0;T=T+1|0;U=U+1|0}while((T|0)<(V|0));p8(-215,i,259155,5198)}switch((f[aa>>2]|0)>>>3&511){case 0:case 2:case 3:break;default:{f[i>>2]=0;ga=i+4|0;f[ga>>2]=0;ha=YG(i,55)|0;T=ha;U=259166;V=T+55|0;do{b[T>>0]=b[U>>0]|0;T=T+1|0;U=U+1|0}while((T|0)<(V|0));p8(-215,i,259155,5198)}}ia=f[N+4>>2]|0;if((ia|0)<3)ja=Y(f[O>>2]|0,f[S>>2]|0)|0;else{ka=f[ba>>2]|0;la=0;ma=1;while(1){na=Y(f[ka+(la<<2)>>2]|0,ma)|0;la=la+1|0;if((la|0)==(ia|0)){ja=na;break}else ma=na}}oa=+(ja>>>0)*9.5367431640625e-07;if(((oa<1.0?39:oa<4.0?21:9)|0)>=(e|0)){ma=(Y(e,e)|0)>>>1;ia=f[P+40>>2]|0;la=f[ia+4>>2]|0;ka=f[ia>>2]|0;ia=f[Q+16>>2]|0;na=f[ca>>2]|0;pa=f[X>>2]|0;qa=f[P+48>>2]|0;ra=fa>>>3;sa=ra&511;ta=sa+1|0;ua=ia+(Y(pa,ka)|0)|0;if(sa>>>0>=4){f[l>>2]=0;f[l+4>>2]=0;T=YG(l,17)|0;U=259222;V=T+17|0;do{b[T>>0]=b[U>>0]|0;T=T+1|0;U=U+1|0}while((T|0)<(V|0));p8(-215,l,259240,4433)}if((la|0)>0){fa=ka+-1|0;sa=Y(pa,fa)|0;va=Y(qa,fa)|0;wa=0-pa|0;xa=0-qa|0;ya=ta<<6;za=ta<<10;Aa=(e|0)<-1;Ba=(ka|0)>0;Ca=ra&65535;Da=e<<2;Ea=(e|0)>0;Fa=e*3|0;Ga=Y(ta,e)|0;Ha=(Ga|0)>0;Ia=ea+1|0;Ja=(pa|0)!=0;Ka=ia;La=na;Ma=0;while(1){Na=(Ma&1|0)==0;Oa=Na?qa:xa;Pa=Na?pa:wa;Qa=Na?Ka:Ka+sa|0;Ra=Na?La:La+va|0;Drc(i|0,0,ya|0)|0;Drc(k|0,0,za|0)|0;b:do if(Aa)Sa=Qa;else{Na=(Pa|0)>0;if(Ha){Ta=0;Ua=Qa}else{Va=0;Wa=Qa;while(1){if(Na)if((Va|0)<(fa|0))Xa=172;else Ya=Wa;else if(Ja&(ka-Va|0)>1)Xa=172;else Ya=Wa;if((Xa|0)==172){Xa=0;Ya=Wa+Pa|0}if((Va|0)<(ea|0)){Va=Va+1|0;Wa=Ya}else{Sa=Ya;break b}}}while(1){if((Ta|0)>0){Wa=0;do{Va=0;do{Za=h[Ua+(Va+Wa)>>0]|0;_a=k+(Wa<<10)+(Za<<2)|0;f[_a>>2]=(f[_a>>2]|0)+1;_a=i+(Wa<<6)+(Za>>>4<<2)|0;f[_a>>2]=(f[_a>>2]|0)+1;Va=Va+ta|0}while((Va|0)<(Ga|0));Wa=Wa+1|0}while((Wa|0)!=(ta|0))}else{Wa=0;do{Va=0;do{_a=h[Ua+(Va+Wa)>>0]|0;Za=k+(Wa<<10)+(_a<<2)|0;f[Za>>2]=(f[Za>>2]|0)+Ia;Za=i+(Wa<<6)+(_a>>>4<<2)|0;f[Za>>2]=(f[Za>>2]|0)+Ia;Va=Va+ta|0}while((Va|0)<(Ga|0));Wa=Wa+1|0}while((Wa|0)!=(ta|0))}if(Na)if((Ta|0)<(fa|0))Xa=162;else $a=Ua;else if(Ja&(ka-Ta|0)>1)Xa=162;else $a=Ua;if((Xa|0)==162){Xa=0;$a=Ua+Pa|0}if((Ta|0)<(ea|0)){Ta=Ta+1|0;Ua=$a}else{Sa=$a;break}}}while(0);c:do if(Ba){Na=(Pa|0)>-1;Wa=(Pa|0)<1;Va=Ra;Za=Qa;_a=0;ab=Sa;while(1){bb=0;do{cb=0;db=0;while(1){eb=(f[i+(bb<<6)+(db<<2)>>2]|0)+cb|0;if((eb|0)>(ma|0))break;else{cb=eb;db=db+1|0}}eb=cb;fb=db<<4;while(1){eb=(f[k+(bb<<10)+(fb<<2)>>2]|0)+eb|0;if((eb|0)>(ma|0))break;else fb=fb+1|0}b[Va+bb>>0]=fb;bb=bb+1|0}while((bb|0)!=(ta|0));bb=_a+1|0;if((bb|0)==(ka|0))break c;d:do switch(Ca&511){case 0:{if(Ea)gb=0;else break d;do{eb=h[Za+gb>>0]|0;db=h[ab+gb>>0]|0;cb=k+(eb<<2)|0;f[cb>>2]=(f[cb>>2]|0)+-1;cb=i+(eb>>>4<<2)|0;f[cb>>2]=(f[cb>>2]|0)+-1;cb=k+(db<<2)|0;f[cb>>2]=(f[cb>>2]|0)+1;cb=i+(db>>>4<<2)|0;f[cb>>2]=(f[cb>>2]|0)+1;gb=gb+1|0}while((gb|0)!=(e|0));break}case 2:{if(Ea)hb=0;else break d;do{fb=h[Za+hb>>0]|0;cb=k+(fb<<2)|0;f[cb>>2]=(f[cb>>2]|0)+-1;cb=i+(fb>>>4<<2)|0;f[cb>>2]=(f[cb>>2]|0)+-1;cb=hb+1|0;fb=h[Za+cb>>0]|0;db=k+1024+(fb<<2)|0;f[db>>2]=(f[db>>2]|0)+-1;db=i+64+(fb>>>4<<2)|0;f[db>>2]=(f[db>>2]|0)+-1;db=hb+2|0;fb=h[Za+db>>0]|0;eb=k+2048+(fb<<2)|0;f[eb>>2]=(f[eb>>2]|0)+-1;eb=i+128+(fb>>>4<<2)|0;f[eb>>2]=(f[eb>>2]|0)+-1;eb=h[ab+hb>>0]|0;fb=k+(eb<<2)|0;f[fb>>2]=(f[fb>>2]|0)+1;fb=i+(eb>>>4<<2)|0;f[fb>>2]=(f[fb>>2]|0)+1;fb=h[ab+cb>>0]|0;cb=k+1024+(fb<<2)|0;f[cb>>2]=(f[cb>>2]|0)+1;cb=i+64+(fb>>>4<<2)|0;f[cb>>2]=(f[cb>>2]|0)+1;cb=h[ab+db>>0]|0;db=k+2048+(cb<<2)|0;f[db>>2]=(f[db>>2]|0)+1;db=i+128+(cb>>>4<<2)|0;f[db>>2]=(f[db>>2]|0)+1;hb=hb+3|0}while((hb|0)<(Fa|0));break}default:{if(Ea)ib=0;else break d;do{db=h[Za+ib>>0]|0;cb=k+(db<<2)|0;f[cb>>2]=(f[cb>>2]|0)+-1;cb=i+(db>>>4<<2)|0;f[cb>>2]=(f[cb>>2]|0)+-1;cb=ib|1;db=h[Za+cb>>0]|0;fb=k+1024+(db<<2)|0;f[fb>>2]=(f[fb>>2]|0)+-1;fb=i+64+(db>>>4<<2)|0;f[fb>>2]=(f[fb>>2]|0)+-1;fb=ib|2;db=h[Za+fb>>0]|0;eb=k+2048+(db<<2)|0;f[eb>>2]=(f[eb>>2]|0)+-1;eb=i+128+(db>>>4<<2)|0;f[eb>>2]=(f[eb>>2]|0)+-1;eb=ib|3;db=h[Za+eb>>0]|0;jb=k+3072+(db<<2)|0;f[jb>>2]=(f[jb>>2]|0)+-1;jb=i+192+(db>>>4<<2)|0;f[jb>>2]=(f[jb>>2]|0)+-1;jb=h[ab+ib>>0]|0;db=k+(jb<<2)|0;f[db>>2]=(f[db>>2]|0)+1;db=i+(jb>>>4<<2)|0;f[db>>2]=(f[db>>2]|0)+1;db=h[ab+cb>>0]|0;cb=k+1024+(db<<2)|0;f[cb>>2]=(f[cb>>2]|0)+1;cb=i+64+(db>>>4<<2)|0;f[cb>>2]=(f[cb>>2]|0)+1;cb=h[ab+fb>>0]|0;fb=k+2048+(cb<<2)|0;f[fb>>2]=(f[fb>>2]|0)+1;fb=i+128+(cb>>>4<<2)|0;f[fb>>2]=(f[fb>>2]|0)+1;fb=h[ab+eb>>0]|0;eb=k+3072+(fb<<2)|0;f[eb>>2]=(f[eb>>2]|0)+1;eb=i+192+(fb>>>4<<2)|0;f[eb>>2]=(f[eb>>2]|0)+1;ib=ib+4|0}while((ib|0)<(Da|0))}}while(0);eb=ab+Pa|0;if((bb|0)<(ka|0)){Va=Va+Oa|0;Za=(_a|0)<(ea|0)?Za:Za+Pa|0;_a=bb;ab=(Wa|eb>>>0>=ua>>>0)&(Na|eb>>>0<Ka>>>0)?ab:eb}else break c}}while(0);Ma=Ma+1|0;if((Ma|0)==(la|0))break;else{Ka=Ka+ta|0;La=La+ta|0}}}break}ta=(f[P>>2]|0)>>>3&511;La=ta+1|0;Ka=f[P+8>>2]|0;la=e+-1|0;Ma=(la|0)/2|0;if(ta>>>0>=4){f[i>>2]=0;f[i+4>>2]=0;T=YG(i,17)|0;U=259222;V=T+17|0;do{b[T>>0]=b[U>>0]|0;T=T+1|0;U=U+1|0}while((T|0)<(V|0));p8(-215,i,259257,4227)}ua=f[X>>2]|0;ea=f[P+48>>2]|0;ka=P+12|0;Da=512/(La>>>0)|0;Ea=f[ka>>2]|0;Fa=(Da|0)<(Ea|0)?Da:Ea;Da=Ma<<1;Ca=Fa+Da|0;ma=Y(Ca<<4,La)|0;Ba=ma+16|0;f[l>>2]=0;Ja=l+4|0;f[Ja>>2]=0;f[l+8>>2]=0;do if(Ba)if((ma|0)<-16)Ukc(l);else{fa=Ba<<1;Ga=Bmc(fa)|0;f[l>>2]=Ga;Ia=Ga+(Ba<<1)|0;f[l+8>>2]=Ia;Drc(Ga|0,0,fa|0)|0;f[Ja>>2]=Ia;kb=Ga;break}else kb=0;while(0);Ba=Y(La<<8,Ca)|0|16;f[m>>2]=0;ma=m+4|0;f[ma>>2]=0;f[m+8>>2]=0;if((Ba|0)<0)Ukc(m);Ga=Ba<<1;Ia=Bmc(Ga)|0;f[m>>2]=Ia;fa=Ia+(Ba<<1)|0;f[m+8>>2]=fa;Drc(Ia|0,0,Ga|0)|0;f[ma>>2]=fa;Ga=kb+15&-16;Ba=Ga;Ha=Ia+15&-16;Aa=Ha;do if((Ea|0)>0){za=Q+16|0;ya=Ga;va=La<<1;sa=Ha;wa=La<<9;pa=Ma+2|0;xa=(la|0)>3;qa=Ka+-1|0;na=(Ka|0)>0;ia=La*544|0;ra=La<<5;Pa=Da|1;Oa=(la|0)>1;Qa=(Y(Da,Ma)|0)+Da|0;Ra=0;ab=Ea;e:while(1){Na=ab-Ra|0;Wa=((Fa|0)<(Na|0)?Fa:Na)+Da|0;Na=(f[za>>2]|0)+(Y(Ra,La)|0)|0;_a=f[ca>>2]|0;Za=Y(Ra-Ma|0,La)|0;Va=Wa<<4;Drc(ya|0,0,Y(va,Va)|0)|0;Drc(sa|0,0,Y(wa,Wa)|0)|0;eb=(Wa|0)>0;if(eb){fb=0;do{cb=Y(fb,Wa)|0;db=fb<<4;jb=0;do{lb=Na+((Y(jb,La)|0)+fb)|0;mb=Ba+(((h[lb>>0]|0)>>>4|jb+cb<<4)<<1)|0;d[mb>>1]=(j[mb>>1]|0)+pa;mb=h[lb>>0]|0;lb=Aa+(((Y(mb>>>4|db,Wa)|0)+jb<<4|mb&15)<<1)|0;d[lb>>1]=(j[lb>>1]|0)+pa;jb=jb+1|0}while((jb|0)<(Wa|0));if(xa){jb=1;do{bb=Na+(Y((qa|0)<(jb|0)?qa:jb,ua)|0)|0;lb=0;do{mb=bb+((Y(lb,La)|0)+fb)|0;nb=Ba+(((h[mb>>0]|0)>>>4|lb+cb<<4)<<1)|0;d[nb>>1]=(d[nb>>1]|0)+1<<16>>16;nb=h[mb>>0]|0;mb=Aa+(((Y(nb>>>4|db,Wa)|0)+lb<<4|nb&15)<<1)|0;d[mb>>1]=(d[mb>>1]|0)+1<<16>>16;lb=lb+1|0}while((lb|0)<(Wa|0));jb=jb+1|0}while((jb|0)<(Ma|0))}fb=fb+1|0}while((fb|0)!=(La|0))}fb=_a+Za|0;if(na){jb=Wa-Ma|0;db=(Ma|0)<(jb|0);cb=Wa+-1|0;lb=0;do{bb=lb-Ma+-1|0;mb=Na+(Y((bb|0)>0?bb:0,ua)|0)|0;bb=lb+Ma|0;nb=Na+(Y((bb|0)<(qa|0)?bb:qa,ua)|0)|0;Drc(i|0,0,ia|0)|0;Drc(k|0,0,ra|0)|0;bb=Y(lb,ea)|0;ob=0;while(1){if(eb){pb=Y(ob,Wa)|0;qb=ob<<4;rb=0;do{sb=rb+pb<<4;tb=(Y(rb,La)|0)+ob|0;ub=mb+tb|0;vb=Ba+(((h[ub>>0]|0)>>>4|sb)<<1)|0;d[vb>>1]=(d[vb>>1]|0)+-1<<16>>16;vb=h[ub>>0]|0;ub=Aa+(((Y(vb>>>4|qb,Wa)|0)+rb<<4|vb&15)<<1)|0;d[ub>>1]=(d[ub>>1]|0)+-1<<16>>16;ub=nb+tb|0;tb=Ba+(((h[ub>>0]|0)>>>4|sb)<<1)|0;d[tb>>1]=(d[tb>>1]|0)+1<<16>>16;tb=h[ub>>0]|0;ub=Aa+(((Y(tb>>>4|qb,Wa)|0)+rb<<4|tb&15)<<1)|0;d[ub>>1]=(d[ub>>1]|0)+1<<16>>16;rb=rb+1|0}while((rb|0)<(Wa|0));wb=qb}else wb=ob<<4;qb=0;do{rb=Aa+((Y(qb+wb|0,Va)|0)<<1)|0;pb=0;do{ub=i+(ob*544|0)+32+(qb<<5)+(pb<<1)|0;tb=(Y(j[rb+(pb<<1)>>1]|0,Pa)|0)+(j[ub>>1]|0)&65535;d[ub>>1]=tb;pb=pb+1|0}while((pb|0)!=16);qb=qb+1|0}while((qb|0)!=16);if(Oa){qb=Y(ob,Wa)|0;pb=0;do{rb=Ba+(pb+qb<<4<<1)|0;tb=0;do{ub=i+(ob*544|0)+(tb<<1)|0;d[ub>>1]=(j[rb+(tb<<1)>>1]|0)+(j[ub>>1]|0);tb=tb+1|0}while((tb|0)!=16);pb=pb+1|0}while((pb|0)<(Da|0))}if(db){pb=Y(ob,Wa)|0;qb=ob+bb|0;tb=i+(ob*544|0)|0;rb=i+(ob*544|0)+2|0;ub=i+(ob*544|0)+4|0;sb=i+(ob*544|0)+6|0;vb=i+(ob*544|0)+8|0;xb=i+(ob*544|0)+10|0;yb=i+(ob*544|0)+12|0;zb=i+(ob*544|0)+14|0;Ab=i+(ob*544|0)+16|0;Bb=i+(ob*544|0)+18|0;Cb=i+(ob*544|0)+20|0;Db=i+(ob*544|0)+22|0;Eb=i+(ob*544|0)+24|0;Fb=i+(ob*544|0)+26|0;Gb=i+(ob*544|0)+28|0;Hb=i+(ob*544|0)+30|0;Ib=Ma;do{Jb=Ib+Ma|0;Kb=Ba+(((cb|0)<(Jb|0)?cb:Jb)+pb<<4<<1)|0;Lb=0;do{Mb=i+(ob*544|0)+(Lb<<1)|0;d[Mb>>1]=(j[Kb+(Lb<<1)>>1]|0)+(j[Mb>>1]|0);Lb=Lb+1|0}while((Lb|0)!=16);Lb=j[tb>>1]|0;do if((Lb|0)<=(Qa|0)){Kb=(j[rb>>1]|0)+Lb|0;if((Kb|0)>(Qa|0)){Nb=Lb;Ob=1;break}Mb=(j[ub>>1]|0)+Kb|0;if((Mb|0)>(Qa|0)){Nb=Kb;Ob=2;break}Kb=(j[sb>>1]|0)+Mb|0;if((Kb|0)>(Qa|0)){Nb=Mb;Ob=3;break}Mb=(j[vb>>1]|0)+Kb|0;if((Mb|0)>(Qa|0)){Nb=Kb;Ob=4;break}Kb=(j[xb>>1]|0)+Mb|0;if((Kb|0)>(Qa|0)){Nb=Mb;Ob=5;break}Mb=(j[yb>>1]|0)+Kb|0;if((Mb|0)>(Qa|0)){Nb=Kb;Ob=6;break}Kb=(j[zb>>1]|0)+Mb|0;if((Kb|0)>(Qa|0)){Nb=Mb;Ob=7;break}Mb=(j[Ab>>1]|0)+Kb|0;if((Mb|0)>(Qa|0)){Nb=Kb;Ob=8;break}Kb=(j[Bb>>1]|0)+Mb|0;if((Kb|0)>(Qa|0)){Nb=Mb;Ob=9;break}Mb=(j[Cb>>1]|0)+Kb|0;if((Mb|0)>(Qa|0)){Nb=Kb;Ob=10;break}Kb=(j[Db>>1]|0)+Mb|0;if((Kb|0)>(Qa|0)){Nb=Mb;Ob=11;break}Mb=(j[Eb>>1]|0)+Kb|0;if((Mb|0)>(Qa|0)){Nb=Kb;Ob=12;break}Kb=(j[Fb>>1]|0)+Mb|0;if((Kb|0)>(Qa|0)){Nb=Mb;Ob=13;break}Mb=(j[Gb>>1]|0)+Kb|0;if((Mb|0)>(Qa|0)){Nb=Kb;Ob=14;break}if(((j[Hb>>1]|0)+Mb|0)>(Qa|0)){Nb=Mb;Ob=15}else{Xa=279;break e}}else{Nb=0;Ob=0}while(0);Lb=k+(ob<<5)+(Ob<<1)|0;Mb=d[Lb>>1]|0;Kb=Mb&65535;Pb=Ib-Ma|0;do if((Kb|0)>(Pb|0)){if((Kb|0)>(Jb|0))break;Qb=Y(Ob|wb,Wa)|0;Rb=Kb;Sb=Mb;do{Tb=Rb-Da|0;Ub=Aa+(((Tb|0)<1?0:Tb+-1|0)+Qb<<4<<1)|0;Tb=0;do{Vb=i+(ob*544|0)+32+(Ob<<5)+(Tb<<1)|0;d[Vb>>1]=(j[Vb>>1]|0)-(j[Ub+(Tb<<1)>>1]|0);Tb=Tb+1|0}while((Tb|0)!=16);Tb=Sb&65535;Ub=Aa+(((Tb|0)<(Wa|0)?Tb:cb)+Qb<<4<<1)|0;Tb=0;do{Vb=i+(ob*544|0)+32+(Ob<<5)+(Tb<<1)|0;d[Vb>>1]=(j[Ub+(Tb<<1)>>1]|0)+(j[Vb>>1]|0);Tb=Tb+1|0}while((Tb|0)!=16);Sb=Sb+1<<16>>16;d[Lb>>1]=Sb;Rb=Sb&65535}while((Rb|0)<=(Jb|0))}else{Rb=i+(ob*544|0)+32+(Ob<<5)|0;f[Rb>>2]=0;f[Rb+4>>2]=0;f[Rb+8>>2]=0;f[Rb+12>>2]=0;f[Rb+16>>2]=0;f[Rb+20>>2]=0;f[Rb+24>>2]=0;f[Rb+28>>2]=0;Rb=Pb&65535;d[Lb>>1]=Rb;Sb=Pb&65535;Qb=Jb+1|0;Tb=(Jb|0)<(Wa|0)?Qb:Wa;if((Sb|0)<(Tb|0)){Ub=Y(Ob|wb,Wa)|0;Vb=Sb;Wb=Rb;while(1){Rb=Aa+(Vb+Ub<<4<<1)|0;Xb=0;do{Yb=i+(ob*544|0)+32+(Ob<<5)+(Xb<<1)|0;d[Yb>>1]=(j[Rb+(Xb<<1)>>1]|0)+(j[Yb>>1]|0);Xb=Xb+1|0}while((Xb|0)!=16);Wb=Wb+1<<16>>16;d[Lb>>1]=Wb;Xb=Wb&65535;if((Xb|0)>=(Tb|0)){Zb=Xb;break}else Vb=Xb}}else Zb=Sb;if((Zb|0)>(Jb|0))break;Vb=Qb-Wa|0;Tb=Aa+((Y(Ob|wb,Wa)|0)+cb<<4<<1)|0;Wb=0;do{Ub=i+(ob*544|0)+32+(Ob<<5)+(Wb<<1)|0;Xb=(Y(j[Tb+(Wb<<1)>>1]|0,Vb)|0)+(j[Ub>>1]|0)&65535;d[Ub>>1]=Xb;Wb=Wb+1|0}while((Wb|0)!=16);d[Lb>>1]=Qb}while(0);Lb=Ba+(((Pb|0)>0?Pb:0)+pb<<4<<1)|0;Jb=0;do{Mb=i+(ob*544|0)+(Jb<<1)|0;d[Mb>>1]=(j[Mb>>1]|0)-(j[Lb+(Jb<<1)>>1]|0);Jb=Jb+1|0}while((Jb|0)!=16);Jb=(j[i+(ob*544|0)+32+(Ob<<5)>>1]|0)+Nb|0;do if((Jb|0)<=(Qa|0)){Lb=(j[i+(ob*544|0)+32+(Ob<<5)+2>>1]|0)+Jb|0;if((Lb|0)>(Qa|0)){_b=1;break}Pb=(j[i+(ob*544|0)+32+(Ob<<5)+4>>1]|0)+Lb|0;if((Pb|0)>(Qa|0)){_b=2;break}Lb=(j[i+(ob*544|0)+32+(Ob<<5)+6>>1]|0)+Pb|0;if((Lb|0)>(Qa|0)){_b=3;break}Pb=(j[i+(ob*544|0)+32+(Ob<<5)+8>>1]|0)+Lb|0;if((Pb|0)>(Qa|0)){_b=4;break}Lb=(j[i+(ob*544|0)+32+(Ob<<5)+10>>1]|0)+Pb|0;if((Lb|0)>(Qa|0)){_b=5;break}Pb=(j[i+(ob*544|0)+32+(Ob<<5)+12>>1]|0)+Lb|0;if((Pb|0)>(Qa|0)){_b=6;break}Lb=(j[i+(ob*544|0)+32+(Ob<<5)+14>>1]|0)+Pb|0;if((Lb|0)>(Qa|0)){_b=7;break}Pb=(j[i+(ob*544|0)+32+(Ob<<5)+16>>1]|0)+Lb|0;if((Pb|0)>(Qa|0)){_b=8;break}Lb=(j[i+(ob*544|0)+32+(Ob<<5)+18>>1]|0)+Pb|0;if((Lb|0)>(Qa|0)){_b=9;break}Pb=(j[i+(ob*544|0)+32+(Ob<<5)+20>>1]|0)+Lb|0;if((Pb|0)>(Qa|0)){_b=10;break}Lb=(j[i+(ob*544|0)+32+(Ob<<5)+22>>1]|0)+Pb|0;if((Lb|0)>(Qa|0)){_b=11;break}Pb=(j[i+(ob*544|0)+32+(Ob<<5)+24>>1]|0)+Lb|0;if((Pb|0)>(Qa|0)){_b=12;break}Lb=(j[i+(ob*544|0)+32+(Ob<<5)+26>>1]|0)+Pb|0;if((Lb|0)>(Qa|0)){_b=13;break}Pb=(j[i+(ob*544|0)+32+(Ob<<5)+28>>1]|0)+Lb|0;if((Pb|0)>(Qa|0)){_b=14;break}if(((j[i+(ob*544|0)+32+(Ob<<5)+30>>1]|0)+Pb|0)>(Qa|0))_b=15;else{Xa=294;break e}}else _b=0;while(0);Jb=fb+(qb+(Y(Ib,La)|0))|0;b[Jb>>0]=_b|Ob<<4;Ib=Ib+1|0}while((Ib|0)<(jb|0))}if((ob|0)<(ta|0))ob=ob+1|0;else break}lb=lb+1|0}while((lb|0)<(Ka|0))}Ra=Ra+Fa|0;ab=f[ka>>2]|0;if((ab|0)<=(Ra|0)){Xa=201;break}}if((Xa|0)==201){Ra=f[m>>2]|0;if(!Ra)break;$b=f[ma>>2]|0;ac=Ra;bc=Ra;Xa=203;break}else if((Xa|0)==279){f[o>>2]=0;f[o+4>>2]=0;Ra=YG(o,6)|0;b[Ra>>0]=b[259274]|0;b[Ra+1>>0]=b[259275]|0;b[Ra+2>>0]=b[259276]|0;b[Ra+3>>0]=b[259277]|0;b[Ra+4>>0]=b[259278]|0;b[Ra+5>>0]=b[259279]|0;p8(-215,o,259257,4371)}else if((Xa|0)==294){f[o>>2]=0;f[o+4>>2]=0;Ra=YG(o,6)|0;b[Ra>>0]=b[259281]|0;b[Ra+1>>0]=b[259282]|0;b[Ra+2>>0]=b[259283]|0;b[Ra+3>>0]=b[259284]|0;b[Ra+4>>0]=b[259285]|0;b[Ra+5>>0]=b[259286]|0;p8(-215,o,259257,4408)}}else{$b=fa;ac=Ia;bc=Ia;Xa=203}while(0);if((Xa|0)==203){if(($b|0)!=(ac|0))f[ma>>2]=$b+(~(($b+-2-ac|0)>>>1)<<1);Emc(bc)}Ia=f[l>>2]|0;if(Ia|0){fa=f[Ja>>2]|0;if((fa|0)!=(Ia|0))f[Ja>>2]=fa+(~((fa+-2-Ia|0)>>>1)<<1);Emc(Ia)}}else{if((f[ca>>2]|0)==(f[W>>2]|0)){Ia=i+8|0;f[Ia>>2]=0;f[Ia+4>>2]=0;f[i>>2]=33619968;f[i+4>>2]=Q;kT(N,i)}else{Ia=N+36|0;fa=f[Ia>>2]|0;if(fa){ka=fa+12|0;f[ka>>2]=(f[ka>>2]|0)+1;ka=Q+36|0;fa=f[ka>>2]|0;if((fa|0)!=0?(Fa=fa+12|0,fa=f[Fa>>2]|0,f[Fa>>2]=fa+-1,(fa|0)==1):0){lP(Q);cc=ka}else cc=ka}else cc=Q+36|0;f[cc>>2]=0;ka=Q+16|0;f[ka>>2]=0;f[ka+4>>2]=0;f[ka+8>>2]=0;f[ka+12>>2]=0;if((f[R>>2]|0)>0){fa=f[$>>2]|0;Fa=0;do{f[fa+(Fa<<2)>>2]=0;Fa=Fa+1|0;dc=f[R>>2]|0}while((Fa|0)<(dc|0));f[Q>>2]=f[aa>>2];if((dc|0)<3)Xa=37;else Xa=39}else{f[Q>>2]=f[aa>>2];Xa=37}if((Xa|0)==37){Fa=f[N+4>>2]|0;if((Fa|0)<3){f[R>>2]=Fa;f[_>>2]=f[S>>2];f[Q+12>>2]=f[O>>2];Fa=f[N+44>>2]|0;fa=f[Z>>2]|0;f[fa>>2]=f[Fa>>2];f[fa+4>>2]=f[Fa+4>>2]}else Xa=39}if((Xa|0)==39)kP(Q,N);f[ka>>2]=f[W>>2];f[Q+20>>2]=f[N+20>>2];f[Q+24>>2]=f[N+24>>2];f[Q+28>>2]=f[N+28>>2];f[Q+32>>2]=f[N+32>>2];f[cc>>2]=f[Ia>>2]}Fa=f[Q>>2]|0;switch(Fa&7){case 0:{tba(Q,P,e);break a;break}case 2:{fa=f[Q+16>>2]|0;Ja=f[ca>>2]|0;ma=(f[X>>2]|0)>>>1;Ka=(f[P+48>>2]|0)>>>1;ta=f[P+40>>2]|0;La=f[ta+4>>2]|0;Ba=f[ta>>2]|0;ta=Fa>>>3;Aa=ta&511;Da=Aa+1|0;b[i>>0]=0;f:do switch(e|0){case 3:{Ma=(Ba|0)==1;if((La|0)==1|Ma){ea=Ba+La|0;ua=ea+-1|0;Ea=Ma?Da:ma;la=Ma?0:ma-Da|0;Ha=Ma?Da:Ka;if((ea|0)<=1)break f;Ma=0-Ea|0;Ga=ea+-2|0;ea=Ja;Ca=0;Ra=fa;while(1){ab=(Ca|0)>0?Ma:0;Qa=(Ca|0)<(Ga|0)?Ea:0;Oa=0;Pa=Ra;while(1){ra=d[Pa+(ab<<1)>>1]|0;ia=d[Pa>>1]|0;qa=j[Pa+(Qa<<1)>>1]|0;na=(ia&65535)<(ra&65535);xa=(na?ia:ra)&65535;pa=(na?ra:ia)&65535;ia=qa>>>0<pa>>>0?qa:pa;d[ea+(Oa<<1)>>1]=(ia|0)<(xa|0)?xa:ia;Oa=Oa+1|0;if((Oa|0)==(Da|0))break;else Pa=Pa+2|0}Ca=Ca+1|0;if((Ca|0)>=(ua|0))break f;else{ea=ea+(Ha<<1)|0;Ra=Ra+(Da<<1)+(la<<1)|0}}}la=Y(La,Da)|0;if((Ba|0)>0){Ra=Ba+-1|0;Ha=(ta|-512)^511;ea=Ha+-1+la|0;ua=la-Da|0;Ca=Ja;Ea=0;while(1){Ga=Ea+-1|0;Ma=fa+((Y((Ga|0)>0?Ga:0,ma)|0)<<1)|0;Ga=fa+((Y(Ea,ma)|0)<<1)|0;Ea=Ea+1|0;Pa=fa+((Y((Ra|0)<(Ea|0)?Ra:Ea,ma)|0)<<1)|0;Oa=b[i>>0]&1?Da:la;Qa=0;g:while(1){if((Qa|0)<(Oa|0)){ab=Qa;do{ia=ab-((ab|0)>(Aa|0)?Da:0)|0;xa=((ab|0)<(ua|0)?Da:0)+ab|0;pa=d[Ma+(ia<<1)>>1]|0;qa=d[Ma+(ab<<1)>>1]|0;ra=d[Ma+(xa<<1)>>1]|0;na=d[Ga+(ia<<1)>>1]|0;wa=d[Ga+(ab<<1)>>1]|0;sa=d[Ga+(xa<<1)>>1]|0;va=d[Pa+(ia<<1)>>1]|0;ia=d[Pa+(ab<<1)>>1]|0;ya=d[Pa+(xa<<1)>>1]|0;xa=(ra&65535)<(qa&65535);za=xa?ra:qa;lb=xa?qa:ra;ra=(sa&65535)<(wa&65535);qa=ra?sa:wa;xa=ra?wa:sa;sa=(ya&65535)<(ia&65535);wa=sa?ya:ia;ra=sa?ia:ya;ya=(za&65535)<(pa&65535);ia=(ya?za:pa)&65535;sa=ya?pa:za;za=(qa&65535)<(na&65535);pa=(za?qa:na)&65535;ya=za?na:qa;qa=(wa&65535)<(va&65535);na=(qa?wa:va)&65535;za=qa?va:wa;wa=(lb&65535)<(sa&65535);va=(wa?lb:sa)&65535;qa=(wa?sa:lb)&65535;lb=(xa&65535)<(ya&65535);sa=lb?xa:ya;wa=(lb?ya:xa)&65535;xa=(ra&65535)<(za&65535);ya=xa?ra:za;lb=(xa?za:ra)&65535;ra=pa>>>0<ia>>>0?ia:pa;pa=lb>>>0<wa>>>0?lb:wa;wa=(ya&65535)<(sa&65535);lb=(wa?ya:sa)&65535;ia=(wa?sa:ya)&65535;ya=(na|0)<(ra|0)?ra:na;na=lb>>>0<va>>>0?va:lb;lb=(pa|0)<(qa|0)?pa:qa;qa=(ia|0)<(na|0)?ia:na;na=(lb|0)<(qa|0);ia=na?lb:qa;pa=na?qa:lb;lb=(ia|0)<(ya|0)?ya:ia;d[Ca+(ab<<1)>>1]=(pa|0)<(lb|0)?pa:lb;ab=ab+1|0}while((ab|0)!=(Oa|0));ec=Oa}else ec=Qa;if((Oa|0)==(la|0))break;if((ec|0)>(ea|0)){Oa=la;Qa=ec;continue}else fc=ec;while(1){ab=Ma+(fc<<1)|0;lb=d[ab+(Ha<<1)>>1]|0;pa=d[ab>>1]|0;ia=d[ab+(Da<<1)>>1]|0;ab=Ga+(fc<<1)|0;ya=d[ab+(Ha<<1)>>1]|0;qa=d[ab>>1]|0;na=d[ab+(Da<<1)>>1]|0;ab=Pa+(fc<<1)|0;va=d[ab+(Ha<<1)>>1]|0;ra=d[ab>>1]|0;sa=d[ab+(Da<<1)>>1]|0;ab=(ia&65535)<(pa&65535);wa=ab?ia:pa;za=ab?pa:ia;ia=(na&65535)<(qa&65535);pa=ia?na:qa;ab=ia?qa:na;na=(sa&65535)<(ra&65535);qa=na?sa:ra;ia=na?ra:sa;sa=(wa&65535)<(lb&65535);ra=(sa?wa:lb)&65535;na=sa?lb:wa;wa=(pa&65535)<(ya&65535);lb=(wa?pa:ya)&65535;sa=wa?ya:pa;pa=(qa&65535)<(va&65535);ya=(pa?qa:va)&65535;wa=pa?va:qa;qa=(za&65535)<(na&65535);va=(qa?za:na)&65535;pa=(qa?na:za)&65535;za=(ab&65535)<(sa&65535);na=za?ab:sa;qa=(za?sa:ab)&65535;ab=(ia&65535)<(wa&65535);sa=ab?ia:wa;za=(ab?wa:ia)&65535;ia=lb>>>0<ra>>>0?ra:lb;lb=za>>>0<qa>>>0?za:qa;qa=(sa&65535)<(na&65535);za=(qa?sa:na)&65535;ra=(qa?na:sa)&65535;sa=(ya|0)<(ia|0)?ia:ya;ya=za>>>0<va>>>0?va:za;za=(lb|0)<(pa|0)?lb:pa;pa=(ra|0)<(ya|0)?ra:ya;ya=(za|0)<(pa|0);ra=ya?za:pa;lb=ya?pa:za;za=(ra|0)<(sa|0)?sa:ra;d[Ca+(fc<<1)>>1]=(lb|0)<(za|0)?lb:za;za=fc+1|0;if((fc|0)<(ea|0))fc=za;else{Oa=la;Qa=za;continue g}}}if((Ea|0)==(Ba|0))break;else Ca=Ca+(Ka<<1)|0}}break}case 5:{Ca=(Ba|0)==1;if((La|0)==1|Ca){Ea=Ba+La|0;la=Ea+-1|0;ea=Ca?Da:ma;Ha=Ca?0:ma-Da|0;ua=Ca?Da:Ka;if((Ea|0)<=1)break f;Ca=0-ea|0;Ra=Ca<<1;Qa=Ea+-2|0;Oa=Ea+-3|0;Ea=ea<<1;Pa=Ja;Ga=0;Ma=fa;while(1){za=(Ga|0)>0?Ca:0;lb=(Ga|0)>1?Ra:za;ra=(Ga|0)<(Qa|0)?ea:0;sa=(Ga|0)<(Oa|0)?Ea:ra;pa=Ma;ya=0;while(1){va=d[pa+(lb<<1)>>1]|0;ia=d[pa+(za<<1)>>1]|0;na=d[pa>>1]|0;qa=d[pa+(ra<<1)>>1]|0;wa=d[pa+(sa<<1)>>1]|0;ab=(ia&65535)<(va&65535);xa=(ab?ia:va)&65535;jb=(ab?va:ia)&65535;ia=(wa&65535)<(qa&65535);va=ia?wa:qa;ab=ia?qa:wa;wa=(va&65535)<(na&65535);qa=(wa?va:na)&65535;ia=wa?na:va;va=(ab&65535)<(ia&65535);na=(va?ab:ia)&65535;wa=(va?ia:ab)&65535;ab=qa>>>0<xa>>>0?xa:qa;qa=(wa|0)<(ab|0)?wa:ab;ab=na>>>0<jb>>>0?na:jb;d[Pa+(ya<<1)>>1]=(qa|0)<(ab|0)?ab:qa;ya=ya+1|0;if((ya|0)==(Da|0))break;else pa=pa+2|0}Ga=Ga+1|0;if((Ga|0)>=(la|0))break f;else{Pa=Pa+(ua<<1)|0;Ma=Ma+(Da<<1)+(Ha<<1)|0}}}Ha=Y(La,Da)|0;if((Ba|0)>0){Ma=Ba+-1|0;ua=Da<<1;Pa=0-ua|0;la=Ha+~ua|0;Ga=(ta|-512)^511;Ea=Ha-Da|0;Oa=Ha-ua|0;ea=Ja;Qa=0;while(1){Ra=Qa+-2|0;Ca=fa+((Y((Ra|0)>0?Ra:0,ma)|0)<<1)|0;Ra=Qa+-1|0;pa=fa+((Y((Ra|0)>0?Ra:0,ma)|0)<<1)|0;Ra=fa+((Y(Qa,ma)|0)<<1)|0;ya=Qa;Qa=Qa+1|0;sa=fa+((Y((Ma|0)<(Qa|0)?Ma:Qa,ma)|0)<<1)|0;ra=ya+2|0;ya=fa+((Y((Ma|0)<(ra|0)?Ma:ra,ma)|0)<<1)|0;ra=b[i>>0]&1?ua:Ha;za=0;h:while(1){if((za|0)<(ra|0)){lb=za;do{qa=lb-((lb|0)>(Aa|0)?Da:0)|0;ab=(lb|0)<(ua|0)?qa:lb-ua|0;jb=((lb|0)<(Ea|0)?Da:0)+lb|0;na=(lb|0)<(Oa|0)?lb+ua|0:jb;wa=d[Ca+(ab<<1)>>1]|0;xa=d[Ca+(qa<<1)>>1]|0;ia=d[Ca+(lb<<1)>>1]|0;va=d[Ca+(jb<<1)>>1]|0;fb=d[Ca+(na<<1)>>1]|0;cb=d[pa+(ab<<1)>>1]|0;Wa=d[pa+(qa<<1)>>1]|0;db=d[pa+(lb<<1)>>1]|0;Va=d[pa+(jb<<1)>>1]|0;eb=d[pa+(na<<1)>>1]|0;Na=d[Ra+(ab<<1)>>1]|0;Za=d[Ra+(qa<<1)>>1]|0;_a=d[Ra+(lb<<1)>>1]|0;ob=d[Ra+(jb<<1)>>1]|0;bb=d[Ra+(na<<1)>>1]|0;nb=d[sa+(ab<<1)>>1]|0;mb=d[sa+(qa<<1)>>1]|0;Ib=d[sa+(lb<<1)>>1]|0;qb=d[sa+(jb<<1)>>1]|0;pb=d[sa+(na<<1)>>1]|0;Hb=d[ya+(ab<<1)>>1]|0;ab=d[ya+(qa<<1)>>1]|0;qa=d[ya+(lb<<1)>>1]|0;Gb=d[ya+(jb<<1)>>1]|0;jb=d[ya+(na<<1)>>1]|0;na=(ia&65535)<(xa&65535)?ia:xa;Fb=(ia&65535)>(xa&65535)?ia:xa;xa=(na&65535)<(wa&65535);ia=xa?na:wa;Eb=xa?wa:na;na=(Fb&65535)<(Eb&65535);wa=na?Fb:Eb;xa=na?Eb:Fb;Fb=(cb&65535)<(fb&65535);Eb=Fb?cb:fb;na=Fb?fb:cb;cb=(Eb&65535)<(va&65535);fb=cb?Eb:va;Fb=cb?va:Eb;Eb=(na&65535)<(Fb&65535);va=Eb?na:Fb;cb=Eb?Fb:na;na=(fb&65535)<(ia&65535);Fb=na?fb:ia;Eb=na?ia:fb;fb=(cb&65535)<(xa&65535);ia=fb?cb:xa;na=fb?xa:cb;cb=(Eb&65535)<(ia&65535);xa=cb?Eb:ia;fb=cb?ia:Eb;Eb=(va&65535)<(wa&65535);ia=Eb?va:wa;cb=Eb?wa:va;va=(xa&65535)<(ia&65535);wa=va?xa:ia;Eb=va?ia:xa;xa=(cb&65535)<(fb&65535);ia=xa?cb:fb;va=xa?fb:cb;cb=(Va&65535)<(db&65535);fb=cb?Va:db;xa=cb?db:Va;Va=(fb&65535)<(Wa&65535);db=Va?fb:Wa;cb=Va?Wa:fb;fb=(xa&65535)<(cb&65535);Wa=fb?xa:cb;Va=fb?cb:xa;xa=(Za&65535)<(Na&65535);cb=xa?Za:Na;fb=xa?Na:Za;Za=(cb&65535)<(eb&65535);Na=Za?cb:eb;xa=Za?eb:cb;cb=(fb&65535)<(xa&65535);eb=cb?fb:xa;Za=cb?xa:fb;fb=(Na&65535)<(db&65535);xa=fb?Na:db;cb=fb?db:Na;Na=(Za&65535)<(Va&65535);db=Na?Za:Va;fb=Na?Va:Za;Za=(cb&65535)<(db&65535);Va=Za?cb:db;Na=Za?db:cb;cb=(eb&65535)<(Wa&65535);db=cb?eb:Wa;Za=cb?Wa:eb;eb=(Va&65535)<(db&65535);Wa=eb?Va:db;cb=eb?db:Va;Va=(Za&65535)<(Na&65535);db=Va?Za:Na;eb=Va?Na:Za;Za=(xa&65535)<(Fb&65535);Na=(Za?xa:Fb)&65535;Va=Za?Fb:xa;xa=(eb&65535)<(va&65535);Fb=xa?eb:va;Za=xa?va:eb;eb=(Va&65535)<(Fb&65535);va=eb?Va:Fb;xa=eb?Fb:Va;Va=(cb&65535)<(Eb&65535);Fb=Va?cb:Eb;eb=Va?Eb:cb;cb=(va&65535)<(Fb&65535);Eb=cb?va:Fb;Va=cb?Fb:va;va=(eb&65535)<(xa&65535);Fb=va?eb:xa;cb=va?xa:eb;eb=(Wa&65535)<(wa&65535);xa=eb?Wa:wa;va=eb?wa:Wa;Wa=(fb&65535)<(na&65535);wa=Wa?fb:na;eb=(Wa?na:fb)&65535;fb=(va&65535)<(wa&65535);na=fb?va:wa;Wa=fb?wa:va;va=(db&65535)<(ia&65535);wa=va?db:ia;fb=va?ia:db;db=(na&65535)<(wa&65535);ia=db?na:wa;va=db?wa:na;na=(fb&65535)<(Wa&65535);wa=na?fb:Wa;db=na?Wa:fb;fb=(Eb&65535)<(xa&65535);Wa=(fb?Eb:xa)&65535;na=(fb?xa:Eb)&65535;Eb=(Va&65535)<(ia&65535);xa=(Eb?Va:ia)&65535;fb=(Eb?ia:Va)&65535;Va=(Fb&65535)<(va&65535);ia=(Va?Fb:va)&65535;Eb=(Va?va:Fb)&65535;Fb=(cb&65535)<(wa&65535);va=(Fb?cb:wa)&65535;Va=(Fb?wa:cb)&65535;cb=(Za&65535)<(db&65535);wa=(cb?Za:db)&65535;Fb=(cb?db:Za)&65535;Za=(bb&65535)<(ob&65535);db=Za?bb:ob;cb=Za?ob:bb;bb=(db&65535)<(_a&65535);ob=bb?db:_a;Za=bb?_a:db;db=(cb&65535)<(Za&65535);_a=db?cb:Za;bb=db?Za:cb;cb=(Ib&65535)<(mb&65535);Za=cb?Ib:mb;db=cb?mb:Ib;Ib=(Za&65535)<(nb&65535);mb=Ib?Za:nb;cb=Ib?nb:Za;Za=(db&65535)<(cb&65535);nb=Za?db:cb;Ib=Za?cb:db;db=(mb&65535)<(ob&65535);cb=db?mb:ob;Za=db?ob:mb;mb=(Ib&65535)<(bb&65535);ob=mb?Ib:bb;db=mb?bb:Ib;Ib=(Za&65535)<(ob&65535);bb=Ib?Za:ob;mb=Ib?ob:Za;Za=(nb&65535)<(_a&65535);ob=Za?nb:_a;Ib=Za?_a:nb;nb=(bb&65535)<(ob&65535);_a=nb?bb:ob;Za=nb?ob:bb;bb=(Ib&65535)<(mb&65535);ob=bb?Ib:mb;nb=bb?mb:Ib;Ib=(Hb&65535)<(pb&65535);mb=Ib?Hb:pb;bb=Ib?pb:Hb;Hb=(mb&65535)<(qb&65535);pb=Hb?mb:qb;Ib=Hb?qb:mb;mb=(bb&65535)<(Ib&65535);qb=mb?bb:Ib;Hb=mb?Ib:bb;bb=(qa&65535)<(ab&65535);Ib=bb?qa:ab;mb=bb?ab:qa;qa=(jb&65535)<(Gb&65535);ab=qa?jb:Gb;bb=qa?Gb:jb;jb=(ab&65535)<(Ib&65535);Gb=jb?ab:Ib;qa=jb?Ib:ab;ab=(bb&65535)<(mb&65535);Ib=ab?bb:mb;jb=ab?mb:bb;bb=(qa&65535)<(Ib&65535);mb=bb?qa:Ib;ab=bb?Ib:qa;qa=(Gb&65535)<(pb&65535);Ib=qa?Gb:pb;bb=qa?pb:Gb;Gb=(ab&65535)<(Hb&65535);pb=Gb?ab:Hb;qa=Gb?Hb:ab;ab=(bb&65535)<(pb&65535);Hb=ab?bb:pb;Gb=ab?pb:bb;bb=(mb&65535)<(qb&65535);pb=bb?mb:qb;ab=bb?qb:mb;mb=(jb&65535)<(ab&65535);qb=mb?jb:ab;bb=mb?ab:jb;jb=(Hb&65535)<(pb&65535);ab=jb?Hb:pb;mb=jb?pb:Hb;Hb=(qb&65535)<(Gb&65535);pb=Hb?qb:Gb;jb=Hb?Gb:qb;qb=(bb&65535)<(qa&65535);Gb=qb?bb:qa;Hb=qb?qa:bb;bb=(Ib&65535)<(cb&65535);qa=(bb?Ib:cb)&65535;qb=bb?cb:Ib;Ib=(jb&65535)<(nb&65535);cb=Ib?jb:nb;bb=Ib?nb:jb;jb=(qb&65535)<(cb&65535);nb=jb?qb:cb;Ib=jb?cb:qb;qb=(mb&65535)<(Za&65535);cb=qb?mb:Za;jb=qb?Za:mb;mb=(Hb&65535)<(jb&65535);Za=mb?Hb:jb;qb=mb?jb:Hb;Hb=(nb&65535)<(cb&65535);jb=Hb?nb:cb;mb=Hb?cb:nb;nb=(Za&65535)<(Ib&65535);cb=nb?Za:Ib;Hb=nb?Ib:Za;Za=(qb&65535)<(bb&65535);Ib=Za?qb:bb;nb=Za?bb:qb;qb=(ab&65535)<(_a&65535);bb=qb?ab:_a;Za=qb?_a:ab;ab=(Gb&65535)<(db&65535);_a=ab?Gb:db;qb=ab?db:Gb;Gb=(Za&65535)<(_a&65535);db=Gb?Za:_a;ab=Gb?_a:Za;Za=(pb&65535)<(ob&65535);_a=Za?pb:ob;Gb=Za?ob:pb;pb=(db&65535)<(_a&65535);ob=pb?db:_a;Za=pb?_a:db;db=(Gb&65535)<(ab&65535);_a=db?Gb:ab;pb=db?ab:Gb;Gb=(jb&65535)<(bb&65535);ab=(Gb?jb:bb)&65535;db=(Gb?bb:jb)&65535;jb=(mb&65535)<(ob&65535);bb=(jb?mb:ob)&65535;Gb=(jb?ob:mb)&65535;mb=(cb&65535)<(Za&65535);ob=(mb?cb:Za)&65535;jb=(mb?Za:cb)&65535;cb=(Hb&65535)<(_a&65535);Za=(cb?Hb:_a)&65535;mb=(cb?_a:Hb)&65535;Hb=(Ib&65535)<(pb&65535);_a=(Hb?Ib:pb)&65535;cb=(Hb?pb:Ib)&65535;Ib=(nb&65535)<(qb&65535);pb=(Ib?nb:qb)&65535;Hb=(Ib?qb:nb)&65535;nb=qa>>>0<Na>>>0?Na:qa;qa=mb>>>0<Va>>>0?mb:Va;Va=(nb|0)<(qa|0)?qa:nb;nb=Gb>>>0<fb>>>0?fb:Gb;Gb=(Hb|0)<(nb|0)?Hb:nb;nb=(Gb|0)<(Va|0)?Gb:Va;Va=db>>>0<na>>>0?na:db;db=cb>>>0<Fb>>>0?cb:Fb;Fb=(Va|0)<(db|0)?Va:db;db=jb>>>0<Eb>>>0?jb:Eb;Eb=(Fb|0)<(db|0)?db:Fb;Fb=(nb|0)<(Eb|0)?Eb:nb;nb=ab>>>0<Wa>>>0?Wa:ab;ab=_a>>>0<wa>>>0?_a:wa;wa=(nb|0)<(ab|0)?ab:nb;nb=ob>>>0<ia>>>0?ia:ob;ob=(nb|0)<(wa|0)?nb:wa;wa=bb>>>0<xa>>>0?xa:bb;bb=pb>>>0<eb>>>0?pb:eb;eb=(wa|0)<(bb|0)?wa:bb;bb=Za>>>0<va>>>0?Za:va;va=(eb|0)<(bb|0)?bb:eb;eb=(ob|0)<(va|0)?ob:va;d[ea+(lb<<1)>>1]=(Fb|0)<(eb|0)?eb:Fb;lb=lb+1|0}while((lb|0)!=(ra|0));gc=ra}else gc=za;if((ra|0)==(Ha|0))break;if((gc|0)>(la|0)){ra=Ha;za=gc;continue}else hc=gc;while(1){lb=Ca+(hc<<1)|0;Fb=d[lb+(Pa<<1)>>1]|0;eb=d[lb+(Ga<<1)>>1]|0;va=d[lb>>1]|0;ob=d[lb+(Da<<1)>>1]|0;bb=d[lb+(ua<<1)>>1]|0;lb=pa+(hc<<1)|0;Za=d[lb+(Pa<<1)>>1]|0;wa=d[lb+(Ga<<1)>>1]|0;pb=d[lb>>1]|0;xa=d[lb+(Da<<1)>>1]|0;nb=d[lb+(ua<<1)>>1]|0;lb=Ra+(hc<<1)|0;ia=d[lb+(Pa<<1)>>1]|0;ab=d[lb+(Ga<<1)>>1]|0;_a=d[lb>>1]|0;Wa=d[lb+(Da<<1)>>1]|0;Eb=d[lb+(ua<<1)>>1]|0;lb=sa+(hc<<1)|0;db=d[lb+(Pa<<1)>>1]|0;jb=d[lb+(Ga<<1)>>1]|0;Va=d[lb>>1]|0;cb=d[lb+(Da<<1)>>1]|0;na=d[lb+(ua<<1)>>1]|0;lb=ya+(hc<<1)|0;Gb=d[lb+(Pa<<1)>>1]|0;Hb=d[lb+(Ga<<1)>>1]|0;fb=d[lb>>1]|0;qa=d[lb+(Da<<1)>>1]|0;mb=d[lb+(ua<<1)>>1]|0;lb=(va&65535)<(eb&65535)?va:eb;Na=(va&65535)>(eb&65535)?va:eb;eb=(lb&65535)<(Fb&65535);va=eb?lb:Fb;qb=eb?Fb:lb;lb=(Na&65535)<(qb&65535);Fb=lb?Na:qb;eb=lb?qb:Na;Na=(Za&65535)<(bb&65535);qb=Na?Za:bb;lb=Na?bb:Za;Za=(qb&65535)<(ob&65535);bb=Za?qb:ob;Na=Za?ob:qb;qb=(lb&65535)<(Na&65535);ob=qb?lb:Na;Za=qb?Na:lb;lb=(bb&65535)<(va&65535);Na=lb?bb:va;qb=lb?va:bb;bb=(Za&65535)<(eb&65535);va=bb?Za:eb;lb=bb?eb:Za;Za=(qb&65535)<(va&65535);eb=Za?qb:va;bb=Za?va:qb;qb=(ob&65535)<(Fb&65535);va=qb?ob:Fb;Za=qb?Fb:ob;ob=(eb&65535)<(va&65535);Fb=ob?eb:va;qb=ob?va:eb;eb=(Za&65535)<(bb&65535);va=eb?Za:bb;ob=eb?bb:Za;Za=(xa&65535)<(pb&65535);bb=Za?xa:pb;eb=Za?pb:xa;xa=(bb&65535)<(wa&65535);pb=xa?bb:wa;Za=xa?wa:bb;bb=(eb&65535)<(Za&65535);wa=bb?eb:Za;xa=bb?Za:eb;eb=(ab&65535)<(ia&65535);Za=eb?ab:ia;bb=eb?ia:ab;ab=(Za&65535)<(nb&65535);ia=ab?Za:nb;eb=ab?nb:Za;Za=(bb&65535)<(eb&65535);nb=Za?bb:eb;ab=Za?eb:bb;bb=(ia&65535)<(pb&65535);eb=bb?ia:pb;Za=bb?pb:ia;ia=(ab&65535)<(xa&65535);pb=ia?ab:xa;bb=ia?xa:ab;ab=(Za&65535)<(pb&65535);xa=ab?Za:pb;ia=ab?pb:Za;Za=(nb&65535)<(wa&65535);pb=Za?nb:wa;ab=Za?wa:nb;nb=(xa&65535)<(pb&65535);wa=nb?xa:pb;Za=nb?pb:xa;xa=(ab&65535)<(ia&65535);pb=xa?ab:ia;nb=xa?ia:ab;ab=(eb&65535)<(Na&65535);ia=(ab?eb:Na)&65535;xa=ab?Na:eb;eb=(nb&65535)<(ob&65535);Na=eb?nb:ob;ab=eb?ob:nb;nb=(xa&65535)<(Na&65535);ob=nb?xa:Na;eb=nb?Na:xa;xa=(Za&65535)<(qb&65535);Na=xa?Za:qb;nb=xa?qb:Za;Za=(ob&65535)<(Na&65535);qb=Za?ob:Na;xa=Za?Na:ob;ob=(nb&65535)<(eb&65535);Na=ob?nb:eb;Za=ob?eb:nb;nb=(wa&65535)<(Fb&65535);eb=nb?wa:Fb;ob=nb?Fb:wa;wa=(bb&65535)<(lb&65535);Fb=wa?bb:lb;nb=(wa?lb:bb)&65535;bb=(ob&65535)<(Fb&65535);lb=bb?ob:Fb;wa=bb?Fb:ob;ob=(pb&65535)<(va&65535);Fb=ob?pb:va;bb=ob?va:pb;pb=(lb&65535)<(Fb&65535);va=pb?lb:Fb;ob=pb?Fb:lb;lb=(bb&65535)<(wa&65535);Fb=lb?bb:wa;pb=lb?wa:bb;bb=(qb&65535)<(eb&65535);wa=(bb?qb:eb)&65535;lb=(bb?eb:qb)&65535;qb=(xa&65535)<(va&65535);eb=(qb?xa:va)&65535;bb=(qb?va:xa)&65535;xa=(Na&65535)<(ob&65535);va=(xa?Na:ob)&65535;qb=(xa?ob:Na)&65535;Na=(Za&65535)<(Fb&65535);ob=(Na?Za:Fb)&65535;xa=(Na?Fb:Za)&65535;Za=(ab&65535)<(pb&65535);Fb=(Za?ab:pb)&65535;Na=(Za?pb:ab)&65535;ab=(Eb&65535)<(Wa&65535);pb=ab?Eb:Wa;Za=ab?Wa:Eb;Eb=(pb&65535)<(_a&65535);Wa=Eb?pb:_a;ab=Eb?_a:pb;pb=(Za&65535)<(ab&65535);_a=pb?Za:ab;Eb=pb?ab:Za;Za=(Va&65535)<(jb&65535);ab=Za?Va:jb;pb=Za?jb:Va;Va=(ab&65535)<(db&65535);jb=Va?ab:db;Za=Va?db:ab;ab=(pb&65535)<(Za&65535);db=ab?pb:Za;Va=ab?Za:pb;pb=(jb&65535)<(Wa&65535);Za=pb?jb:Wa;ab=pb?Wa:jb;jb=(Va&65535)<(Eb&65535);Wa=jb?Va:Eb;pb=jb?Eb:Va;Va=(ab&65535)<(Wa&65535);Eb=Va?ab:Wa;jb=Va?Wa:ab;ab=(db&65535)<(_a&65535);Wa=ab?db:_a;Va=ab?_a:db;db=(Eb&65535)<(Wa&65535);_a=db?Eb:Wa;ab=db?Wa:Eb;Eb=(Va&65535)<(jb&65535);Wa=Eb?Va:jb;db=Eb?jb:Va;Va=(Gb&65535)<(na&65535);jb=Va?Gb:na;Eb=Va?na:Gb;Gb=(jb&65535)<(cb&65535);na=Gb?jb:cb;Va=Gb?cb:jb;jb=(Eb&65535)<(Va&65535);cb=jb?Eb:Va;Gb=jb?Va:Eb;Eb=(fb&65535)<(Hb&65535);Va=Eb?fb:Hb;jb=Eb?Hb:fb;fb=(mb&65535)<(qa&65535);Hb=fb?mb:qa;Eb=fb?qa:mb;mb=(Hb&65535)<(Va&65535);qa=mb?Hb:Va;fb=mb?Va:Hb;Hb=(Eb&65535)<(jb&65535);Va=Hb?Eb:jb;mb=Hb?jb:Eb;Eb=(fb&65535)<(Va&65535);jb=Eb?fb:Va;Hb=Eb?Va:fb;fb=(qa&65535)<(na&65535);Va=fb?qa:na;Eb=fb?na:qa;qa=(Hb&65535)<(Gb&65535);na=qa?Hb:Gb;fb=qa?Gb:Hb;Hb=(Eb&65535)<(na&65535);Gb=Hb?Eb:na;qa=Hb?na:Eb;Eb=(jb&65535)<(cb&65535);na=Eb?jb:cb;Hb=Eb?cb:jb;jb=(mb&65535)<(Hb&65535);cb=jb?mb:Hb;Eb=jb?Hb:mb;mb=(Gb&65535)<(na&65535);Hb=mb?Gb:na;jb=mb?na:Gb;Gb=(cb&65535)<(qa&65535);na=Gb?cb:qa;mb=Gb?qa:cb;cb=(Eb&65535)<(fb&65535);qa=cb?Eb:fb;Gb=cb?fb:Eb;Eb=(Va&65535)<(Za&65535);fb=(Eb?Va:Za)&65535;cb=Eb?Za:Va;Va=(mb&65535)<(db&65535);Za=Va?mb:db;Eb=Va?db:mb;mb=(cb&65535)<(Za&65535);db=mb?cb:Za;Va=mb?Za:cb;cb=(jb&65535)<(ab&65535);Za=cb?jb:ab;mb=cb?ab:jb;jb=(Gb&65535)<(mb&65535);ab=jb?Gb:mb;cb=jb?mb:Gb;Gb=(db&65535)<(Za&65535);mb=Gb?db:Za;jb=Gb?Za:db;db=(ab&65535)<(Va&65535);Za=db?ab:Va;Gb=db?Va:ab;ab=(cb&65535)<(Eb&65535);Va=ab?cb:Eb;db=ab?Eb:cb;cb=(Hb&65535)<(_a&65535);Eb=cb?Hb:_a;ab=cb?_a:Hb;Hb=(qa&65535)<(pb&65535);_a=Hb?qa:pb;cb=Hb?pb:qa;qa=(ab&65535)<(_a&65535);pb=qa?ab:_a;Hb=qa?_a:ab;ab=(na&65535)<(Wa&65535);_a=ab?na:Wa;qa=ab?Wa:na;na=(pb&65535)<(_a&65535);Wa=na?pb:_a;ab=na?_a:pb;pb=(qa&65535)<(Hb&65535);_a=pb?qa:Hb;na=pb?Hb:qa;qa=(mb&65535)<(Eb&65535);Hb=(qa?mb:Eb)&65535;pb=(qa?Eb:mb)&65535;mb=(jb&65535)<(Wa&65535);Eb=(mb?jb:Wa)&65535;qa=(mb?Wa:jb)&65535;jb=(Za&65535)<(ab&65535);Wa=(jb?Za:ab)&65535;mb=(jb?ab:Za)&65535;Za=(Gb&65535)<(_a&65535);ab=(Za?Gb:_a)&65535;jb=(Za?_a:Gb)&65535;Gb=(Va&65535)<(na&65535);_a=(Gb?Va:na)&65535;Za=(Gb?na:Va)&65535;Va=(db&65535)<(cb&65535);na=(Va?db:cb)&65535;Gb=(Va?cb:db)&65535;db=fb>>>0<ia>>>0?ia:fb;fb=jb>>>0<xa>>>0?jb:xa;xa=(db|0)<(fb|0)?fb:db;db=qa>>>0<bb>>>0?bb:qa;qa=(Gb|0)<(db|0)?Gb:db;db=(qa|0)<(xa|0)?qa:xa;xa=pb>>>0<lb>>>0?lb:pb;pb=Za>>>0<Na>>>0?Za:Na;Na=(xa|0)<(pb|0)?xa:pb;pb=mb>>>0<qb>>>0?mb:qb;qb=(Na|0)<(pb|0)?pb:Na;Na=(db|0)<(qb|0)?qb:db;db=Hb>>>0<wa>>>0?wa:Hb;Hb=_a>>>0<Fb>>>0?_a:Fb;Fb=(db|0)<(Hb|0)?Hb:db;db=Wa>>>0<va>>>0?va:Wa;Wa=(db|0)<(Fb|0)?db:Fb;Fb=Eb>>>0<eb>>>0?eb:Eb;Eb=na>>>0<nb>>>0?na:nb;nb=(Fb|0)<(Eb|0)?Fb:Eb;Eb=ab>>>0<ob>>>0?ab:ob;ob=(nb|0)<(Eb|0)?Eb:nb;nb=(Wa|0)<(ob|0)?Wa:ob;d[ea+(hc<<1)>>1]=(Na|0)<(nb|0)?nb:Na;Na=hc+1|0;if((hc|0)<(la|0))hc=Na;else{ra=Ha;za=Na;continue h}}}if((Qa|0)==(Ba|0))break;else ea=ea+(Ka<<1)|0}}break}default:{}}while(0);break a;break}case 3:{Ka=f[Q+16>>2]|0;Ba=f[ca>>2]|0;Da=(f[X>>2]|0)>>>1;Aa=(f[P+48>>2]|0)>>>1;ma=f[P+40>>2]|0;fa=f[ma+4>>2]|0;Ja=f[ma>>2]|0;ma=Fa>>>3;ta=ma&511;La=ta+1|0;b[i>>0]=0;i:do switch(e|0){case 3:{Ia=(Ja|0)==1;if((fa|0)==1|Ia){ka=Ja+fa|0;ea=ka+-1|0;Qa=Ia?La:Da;Ha=Ia?0:Da-La|0;la=Ia?La:Aa;if((ka|0)<=1)break i;Ia=0-Qa|0;ua=ka+-2|0;ka=Ba;Ga=0;Pa=Ka;while(1){Oa=(Ga|0)>0?Ia:0;Ea=(Ga|0)<(ua|0)?Qa:0;Ma=0;za=Pa;while(1){ra=d[za+(Oa<<1)>>1]|0;ya=d[za>>1]|0;sa=d[za+(Ea<<1)>>1]|0;Ra=ya<<16>>16<ra<<16>>16;pa=(Ra?ya:ra)<<16>>16;Ca=(Ra?ra:ya)<<16>>16;ya=(sa|0)<(Ca|0)?sa:Ca;d[ka+(Ma<<1)>>1]=(ya|0)<(pa|0)?pa:ya;Ma=Ma+1|0;if((Ma|0)==(La|0))break;else za=za+2|0}Ga=Ga+1|0;if((Ga|0)>=(ea|0))break i;else{ka=ka+(la<<1)|0;Pa=Pa+(La<<1)+(Ha<<1)|0}}}Ha=Y(fa,La)|0;if((Ja|0)>0){Pa=Ja+-1|0;la=(ma|-512)^511;ka=la+-1+Ha|0;ea=Ha-La|0;Ga=Ba;Qa=0;while(1){ua=Qa+-1|0;Ia=Ka+((Y((ua|0)>0?ua:0,Da)|0)<<1)|0;ua=Ka+((Y(Qa,Da)|0)<<1)|0;Qa=Qa+1|0;za=Ka+((Y((Pa|0)<(Qa|0)?Pa:Qa,Da)|0)<<1)|0;Ma=b[i>>0]&1?La:Ha;Ea=0;j:while(1){if((Ea|0)<(Ma|0)){Oa=Ea;do{ya=Oa-((Oa|0)>(ta|0)?La:0)|0;pa=((Oa|0)<(ea|0)?La:0)+Oa|0;Ca=d[Ia+(ya<<1)>>1]|0;sa=d[Ia+(Oa<<1)>>1]|0;ra=d[Ia+(pa<<1)>>1]|0;Ra=d[ua+(ya<<1)>>1]|0;Na=d[ua+(Oa<<1)>>1]|0;nb=d[ua+(pa<<1)>>1]|0;ob=d[za+(ya<<1)>>1]|0;ya=d[za+(Oa<<1)>>1]|0;Wa=d[za+(pa<<1)>>1]|0;pa=ra<<16>>16<sa<<16>>16;Eb=pa?ra:sa;ab=pa?sa:ra;ra=nb<<16>>16<Na<<16>>16;sa=ra?nb:Na;pa=ra?Na:nb;nb=Wa<<16>>16<ya<<16>>16;Na=nb?Wa:ya;ra=nb?ya:Wa;Wa=Eb<<16>>16<Ca<<16>>16;ya=(Wa?Eb:Ca)<<16>>16;nb=Wa?Ca:Eb;Eb=sa<<16>>16<Ra<<16>>16;Ca=(Eb?sa:Ra)<<16>>16;Wa=Eb?Ra:sa;sa=Na<<16>>16<ob<<16>>16;Ra=(sa?Na:ob)<<16>>16;Eb=sa?ob:Na;Na=ab<<16>>16<nb<<16>>16;ob=(Na?ab:nb)<<16>>16;sa=(Na?nb:ab)<<16>>16;ab=pa<<16>>16<Wa<<16>>16;nb=ab?pa:Wa;Na=(ab?Wa:pa)<<16>>16;pa=ra<<16>>16<Eb<<16>>16;Wa=pa?ra:Eb;ab=(pa?Eb:ra)<<16>>16;ra=(Ca|0)<(ya|0)?ya:Ca;Ca=(ab|0)<(Na|0)?ab:Na;Na=Wa<<16>>16<nb<<16>>16;ab=(Na?Wa:nb)<<16>>16;ya=(Na?nb:Wa)<<16>>16;Wa=(Ra|0)<(ra|0)?ra:Ra;Ra=(ab|0)<(ob|0)?ob:ab;ab=(Ca|0)<(sa|0)?Ca:sa;sa=(ya|0)<(Ra|0)?ya:Ra;Ra=(ab|0)<(sa|0);ya=Ra?ab:sa;Ca=Ra?sa:ab;ab=(ya|0)<(Wa|0)?Wa:ya;d[Ga+(Oa<<1)>>1]=(Ca|0)<(ab|0)?Ca:ab;Oa=Oa+1|0}while((Oa|0)!=(Ma|0));ic=Ma}else ic=Ea;if((Ma|0)==(Ha|0))break;if((ic|0)>(ka|0)){Ma=Ha;Ea=ic;continue}else jc=ic;while(1){Oa=Ia+(jc<<1)|0;ab=d[Oa+(la<<1)>>1]|0;Ca=d[Oa>>1]|0;ya=d[Oa+(La<<1)>>1]|0;Oa=ua+(jc<<1)|0;Wa=d[Oa+(la<<1)>>1]|0;sa=d[Oa>>1]|0;Ra=d[Oa+(La<<1)>>1]|0;Oa=za+(jc<<1)|0;ob=d[Oa+(la<<1)>>1]|0;ra=d[Oa>>1]|0;nb=d[Oa+(La<<1)>>1]|0;Oa=ya<<16>>16<Ca<<16>>16;Na=Oa?ya:Ca;Eb=Oa?Ca:ya;ya=Ra<<16>>16<sa<<16>>16;Ca=ya?Ra:sa;Oa=ya?sa:Ra;Ra=nb<<16>>16<ra<<16>>16;sa=Ra?nb:ra;ya=Ra?ra:nb;nb=Na<<16>>16<ab<<16>>16;ra=(nb?Na:ab)<<16>>16;Ra=nb?ab:Na;Na=Ca<<16>>16<Wa<<16>>16;ab=(Na?Ca:Wa)<<16>>16;nb=Na?Wa:Ca;Ca=sa<<16>>16<ob<<16>>16;Wa=(Ca?sa:ob)<<16>>16;Na=Ca?ob:sa;sa=Eb<<16>>16<Ra<<16>>16;ob=(sa?Eb:Ra)<<16>>16;Ca=(sa?Ra:Eb)<<16>>16;Eb=Oa<<16>>16<nb<<16>>16;Ra=Eb?Oa:nb;sa=(Eb?nb:Oa)<<16>>16;Oa=ya<<16>>16<Na<<16>>16;nb=Oa?ya:Na;Eb=(Oa?Na:ya)<<16>>16;ya=(ab|0)<(ra|0)?ra:ab;ab=(Eb|0)<(sa|0)?Eb:sa;sa=nb<<16>>16<Ra<<16>>16;Eb=(sa?nb:Ra)<<16>>16;ra=(sa?Ra:nb)<<16>>16;nb=(Wa|0)<(ya|0)?ya:Wa;Wa=(Eb|0)<(ob|0)?ob:Eb;Eb=(ab|0)<(Ca|0)?ab:Ca;Ca=(ra|0)<(Wa|0)?ra:Wa;Wa=(Eb|0)<(Ca|0);ra=Wa?Eb:Ca;ab=Wa?Ca:Eb;Eb=(ra|0)<(nb|0)?nb:ra;d[Ga+(jc<<1)>>1]=(ab|0)<(Eb|0)?ab:Eb;Eb=jc+1|0;if((jc|0)<(ka|0))jc=Eb;else{Ma=Ha;Ea=Eb;continue j}}}if((Qa|0)==(Ja|0))break;else Ga=Ga+(Aa<<1)|0}}break}case 5:{Ga=(Ja|0)==1;if((fa|0)==1|Ga){Qa=Ja+fa|0;Ha=Qa+-1|0;ka=Ga?La:Da;la=Ga?0:Da-La|0;ea=Ga?La:Aa;if((Qa|0)<=1)break i;Ga=0-ka|0;Pa=Ga<<1;Ea=Qa+-2|0;Ma=Qa+-3|0;Qa=ka<<1;za=Ba;ua=0;Ia=Ka;while(1){Eb=(ua|0)>0?Ga:0;ab=(ua|0)>1?Pa:Eb;ra=(ua|0)<(Ea|0)?ka:0;nb=(ua|0)<(Ma|0)?Qa:ra;Ca=Ia;Wa=0;while(1){ob=d[Ca+(ab<<1)>>1]|0;ya=d[Ca+(Eb<<1)>>1]|0;Ra=d[Ca>>1]|0;sa=d[Ca+(ra<<1)>>1]|0;Na=d[Ca+(nb<<1)>>1]|0;Oa=ya<<16>>16<ob<<16>>16;pa=(Oa?ya:ob)<<16>>16;Fb=(Oa?ob:ya)<<16>>16;ya=Na<<16>>16<sa<<16>>16;ob=ya?Na:sa;Oa=ya?sa:Na;Na=ob<<16>>16<Ra<<16>>16;sa=(Na?ob:Ra)<<16>>16;ya=Na?Ra:ob;ob=Oa<<16>>16<ya<<16>>16;Ra=(ob?Oa:ya)<<16>>16;Na=(ob?ya:Oa)<<16>>16;Oa=(sa|0)<(pa|0)?pa:sa;sa=(Na|0)<(Oa|0)?Na:Oa;Oa=(Ra|0)<(Fb|0)?Ra:Fb;d[za+(Wa<<1)>>1]=(sa|0)<(Oa|0)?Oa:sa;Wa=Wa+1|0;if((Wa|0)==(La|0))break;else Ca=Ca+2|0}ua=ua+1|0;if((ua|0)>=(Ha|0))break i;else{za=za+(ea<<1)|0;Ia=Ia+(La<<1)+(la<<1)|0}}}la=Y(fa,La)|0;if((Ja|0)>0){Ia=Ja+-1|0;ea=La<<1;za=0-ea|0;Ha=la+~ea|0;ua=(ma|-512)^511;Qa=la-La|0;Ma=la-ea|0;ka=Ba;Ea=0;while(1){Pa=Ea+-2|0;Ga=Ka+((Y((Pa|0)>0?Pa:0,Da)|0)<<1)|0;Pa=Ea+-1|0;Ca=Ka+((Y((Pa|0)>0?Pa:0,Da)|0)<<1)|0;Pa=Ka+((Y(Ea,Da)|0)<<1)|0;Wa=Ea;Ea=Ea+1|0;nb=Ka+((Y((Ia|0)<(Ea|0)?Ia:Ea,Da)|0)<<1)|0;ra=Wa+2|0;Wa=Ka+((Y((Ia|0)<(ra|0)?Ia:ra,Da)|0)<<1)|0;ra=b[i>>0]&1?ea:la;Eb=0;k:while(1){if((Eb|0)<(ra|0)){ab=Eb;do{sa=ab-((ab|0)>(ta|0)?La:0)|0;Oa=(ab|0)<(ea|0)?sa:ab-ea|0;Fb=((ab|0)<(Qa|0)?La:0)+ab|0;Ra=(ab|0)<(Ma|0)?ab+ea|0:Fb;Na=d[Ga+(Oa<<1)>>1]|0;pa=d[Ga+(sa<<1)>>1]|0;ya=d[Ga+(ab<<1)>>1]|0;ob=d[Ga+(Fb<<1)>>1]|0;na=d[Ga+(Ra<<1)>>1]|0;eb=d[Ca+(Oa<<1)>>1]|0;db=d[Ca+(sa<<1)>>1]|0;va=d[Ca+(ab<<1)>>1]|0;Hb=d[Ca+(Fb<<1)>>1]|0;_a=d[Ca+(Ra<<1)>>1]|0;wa=d[Pa+(Oa<<1)>>1]|0;qb=d[Pa+(sa<<1)>>1]|0;pb=d[Pa+(ab<<1)>>1]|0;mb=d[Pa+(Fb<<1)>>1]|0;xa=d[Pa+(Ra<<1)>>1]|0;Za=d[nb+(Oa<<1)>>1]|0;lb=d[nb+(sa<<1)>>1]|0;qa=d[nb+(ab<<1)>>1]|0;Gb=d[nb+(Fb<<1)>>1]|0;bb=d[nb+(Ra<<1)>>1]|0;fb=d[Wa+(Oa<<1)>>1]|0;Oa=d[Wa+(sa<<1)>>1]|0;sa=d[Wa+(ab<<1)>>1]|0;jb=d[Wa+(Fb<<1)>>1]|0;Fb=d[Wa+(Ra<<1)>>1]|0;Ra=ya<<16>>16<pa<<16>>16?ya:pa;ia=ya<<16>>16>pa<<16>>16?ya:pa;pa=Ra<<16>>16<Na<<16>>16;ya=pa?Ra:Na;cb=pa?Na:Ra;Ra=ia<<16>>16<cb<<16>>16;Na=Ra?ia:cb;pa=Ra?cb:ia;ia=eb<<16>>16<na<<16>>16;cb=ia?eb:na;Ra=ia?na:eb;eb=cb<<16>>16<ob<<16>>16;na=eb?cb:ob;ia=eb?ob:cb;cb=Ra<<16>>16<ia<<16>>16;ob=cb?Ra:ia;eb=cb?ia:Ra;Ra=na<<16>>16<ya<<16>>16;ia=Ra?na:ya;cb=Ra?ya:na;na=eb<<16>>16<pa<<16>>16;ya=na?eb:pa;Ra=na?pa:eb;eb=cb<<16>>16<ya<<16>>16;pa=eb?cb:ya;na=eb?ya:cb;cb=ob<<16>>16<Na<<16>>16;ya=cb?ob:Na;eb=cb?Na:ob;ob=pa<<16>>16<ya<<16>>16;Na=ob?pa:ya;cb=ob?ya:pa;pa=eb<<16>>16<na<<16>>16;ya=pa?eb:na;ob=pa?na:eb;eb=Hb<<16>>16<va<<16>>16;na=eb?Hb:va;pa=eb?va:Hb;Hb=na<<16>>16<db<<16>>16;va=Hb?na:db;eb=Hb?db:na;na=pa<<16>>16<eb<<16>>16;db=na?pa:eb;Hb=na?eb:pa;pa=qb<<16>>16<wa<<16>>16;eb=pa?qb:wa;na=pa?wa:qb;qb=eb<<16>>16<_a<<16>>16;wa=qb?eb:_a;pa=qb?_a:eb;eb=na<<16>>16<pa<<16>>16;_a=eb?na:pa;qb=eb?pa:na;na=wa<<16>>16<va<<16>>16;pa=na?wa:va;eb=na?va:wa;wa=qb<<16>>16<Hb<<16>>16;va=wa?qb:Hb;na=wa?Hb:qb;qb=eb<<16>>16<va<<16>>16;Hb=qb?eb:va;wa=qb?va:eb;eb=_a<<16>>16<db<<16>>16;va=eb?_a:db;qb=eb?db:_a;_a=Hb<<16>>16<va<<16>>16;db=_a?Hb:va;eb=_a?va:Hb;Hb=qb<<16>>16<wa<<16>>16;va=Hb?qb:wa;_a=Hb?wa:qb;qb=pa<<16>>16<ia<<16>>16;wa=(qb?pa:ia)<<16>>16;Hb=qb?ia:pa;pa=_a<<16>>16<ob<<16>>16;ia=pa?_a:ob;qb=pa?ob:_a;_a=Hb<<16>>16<ia<<16>>16;ob=_a?Hb:ia;pa=_a?ia:Hb;Hb=eb<<16>>16<cb<<16>>16;ia=Hb?eb:cb;_a=Hb?cb:eb;eb=ob<<16>>16<ia<<16>>16;cb=eb?ob:ia;Hb=eb?ia:ob;ob=_a<<16>>16<pa<<16>>16;ia=ob?_a:pa;eb=ob?pa:_a;_a=db<<16>>16<Na<<16>>16;pa=_a?db:Na;ob=_a?Na:db;db=na<<16>>16<Ra<<16>>16;Na=db?na:Ra;_a=(db?Ra:na)<<16>>16;na=ob<<16>>16<Na<<16>>16;Ra=na?ob:Na;db=na?Na:ob;ob=va<<16>>16<ya<<16>>16;Na=ob?va:ya;na=ob?ya:va;va=Ra<<16>>16<Na<<16>>16;ya=va?Ra:Na;ob=va?Na:Ra;Ra=na<<16>>16<db<<16>>16;Na=Ra?na:db;va=Ra?db:na;na=cb<<16>>16<pa<<16>>16;db=(na?cb:pa)<<16>>16;Ra=(na?pa:cb)<<16>>16;cb=Hb<<16>>16<ya<<16>>16;pa=(cb?Hb:ya)<<16>>16;na=(cb?ya:Hb)<<16>>16;Hb=ia<<16>>16<ob<<16>>16;ya=(Hb?ia:ob)<<16>>16;cb=(Hb?ob:ia)<<16>>16;ia=eb<<16>>16<Na<<16>>16;ob=(ia?eb:Na)<<16>>16;Hb=(ia?Na:eb)<<16>>16;eb=qb<<16>>16<va<<16>>16;Na=(eb?qb:va)<<16>>16;ia=(eb?va:qb)<<16>>16;qb=xa<<16>>16<mb<<16>>16;va=qb?xa:mb;eb=qb?mb:xa;xa=va<<16>>16<pb<<16>>16;mb=xa?va:pb;qb=xa?pb:va;va=eb<<16>>16<qb<<16>>16;pb=va?eb:qb;xa=va?qb:eb;eb=qa<<16>>16<lb<<16>>16;qb=eb?qa:lb;va=eb?lb:qa;qa=qb<<16>>16<Za<<16>>16;lb=qa?qb:Za;eb=qa?Za:qb;qb=va<<16>>16<eb<<16>>16;Za=qb?va:eb;qa=qb?eb:va;va=lb<<16>>16<mb<<16>>16;eb=va?lb:mb;qb=va?mb:lb;lb=qa<<16>>16<xa<<16>>16;mb=lb?qa:xa;va=lb?xa:qa;qa=qb<<16>>16<mb<<16>>16;xa=qa?qb:mb;lb=qa?mb:qb;qb=Za<<16>>16<pb<<16>>16;mb=qb?Za:pb;qa=qb?pb:Za;Za=xa<<16>>16<mb<<16>>16;pb=Za?xa:mb;qb=Za?mb:xa;xa=qa<<16>>16<lb<<16>>16;mb=xa?qa:lb;Za=xa?lb:qa;qa=fb<<16>>16<bb<<16>>16;lb=qa?fb:bb;xa=qa?bb:fb;fb=lb<<16>>16<Gb<<16>>16;bb=fb?lb:Gb;qa=fb?Gb:lb;lb=xa<<16>>16<qa<<16>>16;Gb=lb?xa:qa;fb=lb?qa:xa;xa=sa<<16>>16<Oa<<16>>16;qa=xa?sa:Oa;lb=xa?Oa:sa;sa=Fb<<16>>16<jb<<16>>16;Oa=sa?Fb:jb;xa=sa?jb:Fb;Fb=Oa<<16>>16<qa<<16>>16;jb=Fb?Oa:qa;sa=Fb?qa:Oa;Oa=xa<<16>>16<lb<<16>>16;qa=Oa?xa:lb;Fb=Oa?lb:xa;xa=sa<<16>>16<qa<<16>>16;lb=xa?sa:qa;Oa=xa?qa:sa;sa=jb<<16>>16<bb<<16>>16;qa=sa?jb:bb;xa=sa?bb:jb;jb=Oa<<16>>16<fb<<16>>16;bb=jb?Oa:fb;sa=jb?fb:Oa;Oa=xa<<16>>16<bb<<16>>16;fb=Oa?xa:bb;jb=Oa?bb:xa;xa=lb<<16>>16<Gb<<16>>16;bb=xa?lb:Gb;Oa=xa?Gb:lb;lb=Fb<<16>>16<Oa<<16>>16;Gb=lb?Fb:Oa;xa=lb?Oa:Fb;Fb=fb<<16>>16<bb<<16>>16;Oa=Fb?fb:bb;lb=Fb?bb:fb;fb=Gb<<16>>16<jb<<16>>16;bb=fb?Gb:jb;Fb=fb?jb:Gb;Gb=xa<<16>>16<sa<<16>>16;jb=Gb?xa:sa;fb=Gb?sa:xa;xa=qa<<16>>16<eb<<16>>16;sa=(xa?qa:eb)<<16>>16;Gb=xa?eb:qa;qa=Fb<<16>>16<Za<<16>>16;eb=qa?Fb:Za;xa=qa?Za:Fb;Fb=Gb<<16>>16<eb<<16>>16;Za=Fb?Gb:eb;qa=Fb?eb:Gb;Gb=lb<<16>>16<qb<<16>>16;eb=Gb?lb:qb;Fb=Gb?qb:lb;lb=fb<<16>>16<Fb<<16>>16;qb=lb?fb:Fb;Gb=lb?Fb:fb;fb=Za<<16>>16<eb<<16>>16;Fb=fb?Za:eb;lb=fb?eb:Za;Za=qb<<16>>16<qa<<16>>16;eb=Za?qb:qa;fb=Za?qa:qb;qb=Gb<<16>>16<xa<<16>>16;qa=qb?Gb:xa;Za=qb?xa:Gb;Gb=Oa<<16>>16<pb<<16>>16;xa=Gb?Oa:pb;qb=Gb?pb:Oa;Oa=jb<<16>>16<va<<16>>16;pb=Oa?jb:va;Gb=Oa?va:jb;jb=qb<<16>>16<pb<<16>>16;va=jb?qb:pb;Oa=jb?pb:qb;qb=bb<<16>>16<mb<<16>>16;pb=qb?bb:mb;jb=qb?mb:bb;bb=va<<16>>16<pb<<16>>16;mb=bb?va:pb;qb=bb?pb:va;va=jb<<16>>16<Oa<<16>>16;pb=va?jb:Oa;bb=va?Oa:jb;jb=Fb<<16>>16<xa<<16>>16;Oa=(jb?Fb:xa)<<16>>16;va=(jb?xa:Fb)<<16>>16;Fb=lb<<16>>16<mb<<16>>16;xa=(Fb?lb:mb)<<16>>16;jb=(Fb?mb:lb)<<16>>16;lb=eb<<16>>16<qb<<16>>16;mb=(lb?eb:qb)<<16>>16;Fb=(lb?qb:eb)<<16>>16;eb=fb<<16>>16<pb<<16>>16;qb=(eb?fb:pb)<<16>>16;lb=(eb?pb:fb)<<16>>16;fb=qa<<16>>16<bb<<16>>16;pb=(fb?qa:bb)<<16>>16;eb=(fb?bb:qa)<<16>>16;qa=Za<<16>>16<Gb<<16>>16;bb=(qa?Za:Gb)<<16>>16;fb=(qa?Gb:Za)<<16>>16;Za=(sa|0)<(wa|0)?wa:sa;sa=(lb|0)<(Hb|0)?lb:Hb;Hb=(Za|0)<(sa|0)?sa:Za;Za=(jb|0)<(na|0)?na:jb;jb=(fb|0)<(Za|0)?fb:Za;Za=(jb|0)<(Hb|0)?jb:Hb;Hb=(va|0)<(Ra|0)?Ra:va;va=(eb|0)<(ia|0)?eb:ia;ia=(Hb|0)<(va|0)?Hb:va;va=(Fb|0)<(cb|0)?Fb:cb;cb=(ia|0)<(va|0)?va:ia;ia=(Za|0)<(cb|0)?cb:Za;Za=(Oa|0)<(db|0)?db:Oa;Oa=(pb|0)<(Na|0)?pb:Na;Na=(Za|0)<(Oa|0)?Oa:Za;Za=(mb|0)<(ya|0)?ya:mb;mb=(Za|0)<(Na|0)?Za:Na;Na=(xa|0)<(pa|0)?pa:xa;xa=(bb|0)<(_a|0)?bb:_a;_a=(Na|0)<(xa|0)?Na:xa;xa=(qb|0)<(ob|0)?qb:ob;ob=(_a|0)<(xa|0)?xa:_a;_a=(mb|0)<(ob|0)?mb:ob;d[ka+(ab<<1)>>1]=(ia|0)<(_a|0)?_a:ia;ab=ab+1|0}while((ab|0)!=(ra|0));kc=ra}else kc=Eb;if((ra|0)==(la|0))break;if((kc|0)>(Ha|0)){ra=la;Eb=kc;continue}else lc=kc;while(1){ab=Ga+(lc<<1)|0;ia=d[ab+(za<<1)>>1]|0;_a=d[ab+(ua<<1)>>1]|0;ob=d[ab>>1]|0;mb=d[ab+(La<<1)>>1]|0;xa=d[ab+(ea<<1)>>1]|0;ab=Ca+(lc<<1)|0;qb=d[ab+(za<<1)>>1]|0;Na=d[ab+(ua<<1)>>1]|0;bb=d[ab>>1]|0;pa=d[ab+(La<<1)>>1]|0;Za=d[ab+(ea<<1)>>1]|0;ab=Pa+(lc<<1)|0;ya=d[ab+(za<<1)>>1]|0;Oa=d[ab+(ua<<1)>>1]|0;pb=d[ab>>1]|0;db=d[ab+(La<<1)>>1]|0;cb=d[ab+(ea<<1)>>1]|0;ab=nb+(lc<<1)|0;va=d[ab+(za<<1)>>1]|0;Fb=d[ab+(ua<<1)>>1]|0;Hb=d[ab>>1]|0;eb=d[ab+(La<<1)>>1]|0;Ra=d[ab+(ea<<1)>>1]|0;ab=Wa+(lc<<1)|0;jb=d[ab+(za<<1)>>1]|0;fb=d[ab+(ua<<1)>>1]|0;na=d[ab>>1]|0;sa=d[ab+(La<<1)>>1]|0;lb=d[ab+(ea<<1)>>1]|0;ab=ob<<16>>16<_a<<16>>16?ob:_a;wa=ob<<16>>16>_a<<16>>16?ob:_a;_a=ab<<16>>16<ia<<16>>16;ob=_a?ab:ia;Gb=_a?ia:ab;ab=wa<<16>>16<Gb<<16>>16;ia=ab?wa:Gb;_a=ab?Gb:wa;wa=qb<<16>>16<xa<<16>>16;Gb=wa?qb:xa;ab=wa?xa:qb;qb=Gb<<16>>16<mb<<16>>16;xa=qb?Gb:mb;wa=qb?mb:Gb;Gb=ab<<16>>16<wa<<16>>16;mb=Gb?ab:wa;qb=Gb?wa:ab;ab=xa<<16>>16<ob<<16>>16;wa=ab?xa:ob;Gb=ab?ob:xa;xa=qb<<16>>16<_a<<16>>16;ob=xa?qb:_a;ab=xa?_a:qb;qb=Gb<<16>>16<ob<<16>>16;_a=qb?Gb:ob;xa=qb?ob:Gb;Gb=mb<<16>>16<ia<<16>>16;ob=Gb?mb:ia;qb=Gb?ia:mb;mb=_a<<16>>16<ob<<16>>16;ia=mb?_a:ob;Gb=mb?ob:_a;_a=qb<<16>>16<xa<<16>>16;ob=_a?qb:xa;mb=_a?xa:qb;qb=pa<<16>>16<bb<<16>>16;xa=qb?pa:bb;_a=qb?bb:pa;pa=xa<<16>>16<Na<<16>>16;bb=pa?xa:Na;qb=pa?Na:xa;xa=_a<<16>>16<qb<<16>>16;Na=xa?_a:qb;pa=xa?qb:_a;_a=Oa<<16>>16<ya<<16>>16;qb=_a?Oa:ya;xa=_a?ya:Oa;Oa=qb<<16>>16<Za<<16>>16;ya=Oa?qb:Za;_a=Oa?Za:qb;qb=xa<<16>>16<_a<<16>>16;Za=qb?xa:_a;Oa=qb?_a:xa;xa=ya<<16>>16<bb<<16>>16;_a=xa?ya:bb;qb=xa?bb:ya;ya=Oa<<16>>16<pa<<16>>16;bb=ya?Oa:pa;xa=ya?pa:Oa;Oa=qb<<16>>16<bb<<16>>16;pa=Oa?qb:bb;ya=Oa?bb:qb;qb=Za<<16>>16<Na<<16>>16;bb=qb?Za:Na;Oa=qb?Na:Za;Za=pa<<16>>16<bb<<16>>16;Na=Za?pa:bb;qb=Za?bb:pa;pa=Oa<<16>>16<ya<<16>>16;bb=pa?Oa:ya;Za=pa?ya:Oa;Oa=_a<<16>>16<wa<<16>>16;ya=(Oa?_a:wa)<<16>>16;pa=Oa?wa:_a;_a=Za<<16>>16<mb<<16>>16;wa=_a?Za:mb;Oa=_a?mb:Za;Za=pa<<16>>16<wa<<16>>16;mb=Za?pa:wa;_a=Za?wa:pa;pa=qb<<16>>16<Gb<<16>>16;wa=pa?qb:Gb;Za=pa?Gb:qb;qb=mb<<16>>16<wa<<16>>16;Gb=qb?mb:wa;pa=qb?wa:mb;mb=Za<<16>>16<_a<<16>>16;wa=mb?Za:_a;qb=mb?_a:Za;Za=Na<<16>>16<ia<<16>>16;_a=Za?Na:ia;mb=Za?ia:Na;Na=xa<<16>>16<ab<<16>>16;ia=Na?xa:ab;Za=(Na?ab:xa)<<16>>16;xa=mb<<16>>16<ia<<16>>16;ab=xa?mb:ia;Na=xa?ia:mb;mb=bb<<16>>16<ob<<16>>16;ia=mb?bb:ob;xa=mb?ob:bb;bb=ab<<16>>16<ia<<16>>16;ob=bb?ab:ia;mb=bb?ia:ab;ab=xa<<16>>16<Na<<16>>16;ia=ab?xa:Na;bb=ab?Na:xa;xa=Gb<<16>>16<_a<<16>>16;Na=(xa?Gb:_a)<<16>>16;ab=(xa?_a:Gb)<<16>>16;Gb=pa<<16>>16<ob<<16>>16;_a=(Gb?pa:ob)<<16>>16;xa=(Gb?ob:pa)<<16>>16;pa=wa<<16>>16<mb<<16>>16;ob=(pa?wa:mb)<<16>>16;Gb=(pa?mb:wa)<<16>>16;wa=qb<<16>>16<ia<<16>>16;mb=(wa?qb:ia)<<16>>16;pa=(wa?ia:qb)<<16>>16;qb=Oa<<16>>16<bb<<16>>16;ia=(qb?Oa:bb)<<16>>16;wa=(qb?bb:Oa)<<16>>16;Oa=cb<<16>>16<db<<16>>16;bb=Oa?cb:db;qb=Oa?db:cb;cb=bb<<16>>16<pb<<16>>16;db=cb?bb:pb;Oa=cb?pb:bb;bb=qb<<16>>16<Oa<<16>>16;pb=bb?qb:Oa;cb=bb?Oa:qb;qb=Hb<<16>>16<Fb<<16>>16;Oa=qb?Hb:Fb;bb=qb?Fb:Hb;Hb=Oa<<16>>16<va<<16>>16;Fb=Hb?Oa:va;qb=Hb?va:Oa;Oa=bb<<16>>16<qb<<16>>16;va=Oa?bb:qb;Hb=Oa?qb:bb;bb=Fb<<16>>16<db<<16>>16;qb=bb?Fb:db;Oa=bb?db:Fb;Fb=Hb<<16>>16<cb<<16>>16;db=Fb?Hb:cb;bb=Fb?cb:Hb;Hb=Oa<<16>>16<db<<16>>16;cb=Hb?Oa:db;Fb=Hb?db:Oa;Oa=va<<16>>16<pb<<16>>16;db=Oa?va:pb;Hb=Oa?pb:va;va=cb<<16>>16<db<<16>>16;pb=va?cb:db;Oa=va?db:cb;cb=Hb<<16>>16<Fb<<16>>16;db=cb?Hb:Fb;va=cb?Fb:Hb;Hb=jb<<16>>16<Ra<<16>>16;Fb=Hb?jb:Ra;cb=Hb?Ra:jb;jb=Fb<<16>>16<eb<<16>>16;Ra=jb?Fb:eb;Hb=jb?eb:Fb;Fb=cb<<16>>16<Hb<<16>>16;eb=Fb?cb:Hb;jb=Fb?Hb:cb;cb=na<<16>>16<fb<<16>>16;Hb=cb?na:fb;Fb=cb?fb:na;na=lb<<16>>16<sa<<16>>16;fb=na?lb:sa;cb=na?sa:lb;lb=fb<<16>>16<Hb<<16>>16;sa=lb?fb:Hb;na=lb?Hb:fb;fb=cb<<16>>16<Fb<<16>>16;Hb=fb?cb:Fb;lb=fb?Fb:cb;cb=na<<16>>16<Hb<<16>>16;Fb=cb?na:Hb;fb=cb?Hb:na;na=sa<<16>>16<Ra<<16>>16;Hb=na?sa:Ra;cb=na?Ra:sa;sa=fb<<16>>16<jb<<16>>16;Ra=sa?fb:jb;na=sa?jb:fb;fb=cb<<16>>16<Ra<<16>>16;jb=fb?cb:Ra;sa=fb?Ra:cb;cb=Fb<<16>>16<eb<<16>>16;Ra=cb?Fb:eb;fb=cb?eb:Fb;Fb=lb<<16>>16<fb<<16>>16;eb=Fb?lb:fb;cb=Fb?fb:lb;lb=jb<<16>>16<Ra<<16>>16;fb=lb?jb:Ra;Fb=lb?Ra:jb;jb=eb<<16>>16<sa<<16>>16;Ra=jb?eb:sa;lb=jb?sa:eb;eb=cb<<16>>16<na<<16>>16;sa=eb?cb:na;jb=eb?na:cb;cb=Hb<<16>>16<qb<<16>>16;na=(cb?Hb:qb)<<16>>16;eb=cb?qb:Hb;Hb=lb<<16>>16<va<<16>>16;qb=Hb?lb:va;cb=Hb?va:lb;lb=eb<<16>>16<qb<<16>>16;va=lb?eb:qb;Hb=lb?qb:eb;eb=Fb<<16>>16<Oa<<16>>16;qb=eb?Fb:Oa;lb=eb?Oa:Fb;Fb=jb<<16>>16<lb<<16>>16;Oa=Fb?jb:lb;eb=Fb?lb:jb;jb=va<<16>>16<qb<<16>>16;lb=jb?va:qb;Fb=jb?qb:va;va=Oa<<16>>16<Hb<<16>>16;qb=va?Oa:Hb;jb=va?Hb:Oa;Oa=eb<<16>>16<cb<<16>>16;Hb=Oa?eb:cb;va=Oa?cb:eb;eb=fb<<16>>16<pb<<16>>16;cb=eb?fb:pb;Oa=eb?pb:fb;fb=sa<<16>>16<bb<<16>>16;pb=fb?sa:bb;eb=fb?bb:sa;sa=Oa<<16>>16<pb<<16>>16;bb=sa?Oa:pb;fb=sa?pb:Oa;Oa=Ra<<16>>16<db<<16>>16;pb=Oa?Ra:db;sa=Oa?db:Ra;Ra=bb<<16>>16<pb<<16>>16;db=Ra?bb:pb;Oa=Ra?pb:bb;bb=sa<<16>>16<fb<<16>>16;pb=bb?sa:fb;Ra=bb?fb:sa;sa=lb<<16>>16<cb<<16>>16;fb=(sa?lb:cb)<<16>>16;bb=(sa?cb:lb)<<16>>16;lb=Fb<<16>>16<db<<16>>16;cb=(lb?Fb:db)<<16>>16;sa=(lb?db:Fb)<<16>>16;Fb=qb<<16>>16<Oa<<16>>16;db=(Fb?qb:Oa)<<16>>16;lb=(Fb?Oa:qb)<<16>>16;qb=jb<<16>>16<pb<<16>>16;Oa=(qb?jb:pb)<<16>>16;Fb=(qb?pb:jb)<<16>>16;jb=Hb<<16>>16<Ra<<16>>16;pb=(jb?Hb:Ra)<<16>>16;qb=(jb?Ra:Hb)<<16>>16;Hb=va<<16>>16<eb<<16>>16;Ra=(Hb?va:eb)<<16>>16;jb=(Hb?eb:va)<<16>>16;va=(na|0)<(ya|0)?ya:na;na=(Fb|0)<(pa|0)?Fb:pa;pa=(va|0)<(na|0)?na:va;va=(sa|0)<(xa|0)?xa:sa;sa=(jb|0)<(va|0)?jb:va;va=(sa|0)<(pa|0)?sa:pa;pa=(bb|0)<(ab|0)?ab:bb;bb=(qb|0)<(wa|0)?qb:wa;wa=(pa|0)<(bb|0)?pa:bb;bb=(lb|0)<(Gb|0)?lb:Gb;Gb=(wa|0)<(bb|0)?bb:wa;wa=(va|0)<(Gb|0)?Gb:va;va=(fb|0)<(Na|0)?Na:fb;fb=(pb|0)<(ia|0)?pb:ia;ia=(va|0)<(fb|0)?fb:va;va=(db|0)<(ob|0)?ob:db;db=(va|0)<(ia|0)?va:ia;ia=(cb|0)<(_a|0)?_a:cb;cb=(Ra|0)<(Za|0)?Ra:Za;Za=(ia|0)<(cb|0)?ia:cb;cb=(Oa|0)<(mb|0)?Oa:mb;mb=(Za|0)<(cb|0)?cb:Za;Za=(db|0)<(mb|0)?db:mb;d[ka+(lc<<1)>>1]=(wa|0)<(Za|0)?Za:wa;wa=lc+1|0;if((lc|0)<(Ha|0))lc=wa;else{ra=la;Eb=wa;continue k}}}if((Ea|0)==(Ja|0))break;else ka=ka+(Aa<<1)|0}}break}default:{}}while(0);break a;break}case 5:{Aa=f[Q+16>>2]|0;Ja=f[ca>>2]|0;La=(f[X>>2]|0)>>>2;ta=(f[P+48>>2]|0)>>>2;Da=f[P+40>>2]|0;Ka=f[Da+4>>2]|0;Ba=f[Da>>2]|0;Da=Fa>>>3;ma=Da&511;fa=ma+1|0;b[i>>0]=0;l:do switch(e|0){case 3:{ka=(Ba|0)==1;if((Ka|0)==1|ka){Ea=Ba+Ka|0;la=Ea+-1|0;Ha=ka?fa:La;ea=ka?0:La-fa|0;ua=ka?fa:ta;if((Ea|0)<=1)break l;ka=0-Ha|0;za=Ea+-2|0;Ea=Aa;Ma=Ja;Qa=0;while(1){Ia=(Qa|0)>0?ka:0;Eb=(Qa|0)<(za|0)?Ha:0;ra=0;Wa=Ea;while(1){nb=f[Wa+(Ia<<2)>>2]|0;f[k>>2]=nb;Pa=f[Wa>>2]|0;f[l>>2]=Pa;oa=+n[Wa+(Eb<<2)>>2];mc=(f[s>>2]=nb,+n[s>>2]);nc=(f[s>>2]=Pa,+n[s>>2]);Pa=nc<mc;oc=+n[(Pa?l:k)>>2];pc=Pa?mc:nc;nc=oa<pc?oa:pc;n[Ma+(ra<<2)>>2]=nc<oc?oc:nc;ra=ra+1|0;if((ra|0)==(fa|0))break;else Wa=Wa+4|0}Qa=Qa+1|0;if((Qa|0)>=(la|0))break l;else{Ea=Ea+(fa<<2)+(ea<<2)|0;Ma=Ma+(ua<<2)|0}}}ua=Y(Ka,fa)|0;if((Ba|0)>0){Ma=Ba+-1|0;ea=(Da|-512)^511;Ea=ea+-1+ua|0;la=ua-fa|0;Qa=Ja;Ha=0;while(1){za=Ha+-1|0;ka=Aa+((Y((za|0)>0?za:0,La)|0)<<2)|0;za=Aa+((Y(Ha,La)|0)<<2)|0;Ha=Ha+1|0;Wa=Aa+((Y((Ma|0)<(Ha|0)?Ma:Ha,La)|0)<<2)|0;ra=b[i>>0]&1?fa:ua;Eb=0;m:while(1){if((Eb|0)<(ra|0)){Ia=Eb;do{Pa=Ia-((Ia|0)>(ma|0)?fa:0)|0;nb=((Ia|0)<(la|0)?fa:0)+Ia|0;Ca=f[ka+(Pa<<2)>>2]|0;Ga=f[ka+(Ia<<2)>>2]|0;f[k>>2]=Ga;wa=f[ka+(nb<<2)>>2]|0;f[l>>2]=wa;Za=f[za+(Pa<<2)>>2]|0;mb=f[za+(Ia<<2)>>2]|0;f[m>>2]=mb;db=f[za+(nb<<2)>>2]|0;f[o>>2]=db;cb=f[Wa+(Pa<<2)>>2]|0;Pa=f[Wa+(Ia<<2)>>2]|0;f[p>>2]=Pa;Oa=f[Wa+(nb<<2)>>2]|0;f[q>>2]=Oa;nc=(f[s>>2]=Ga,+n[s>>2]);oc=(f[s>>2]=wa,+n[s>>2]);wa=oc<nc;Ga=f[(wa?l:k)>>2]|0;pc=wa?nc:oc;n[l>>2]=pc;oc=(f[s>>2]=mb,+n[s>>2]);nc=(f[s>>2]=db,+n[s>>2]);db=nc<oc;mb=f[(db?o:m)>>2]|0;oa=db?oc:nc;n[o>>2]=oa;nc=(f[s>>2]=Pa,+n[s>>2]);oc=(f[s>>2]=Oa,+n[s>>2]);Oa=oc<nc;Pa=f[(Oa?q:p)>>2]|0;mc=Oa?nc:oc;n[q>>2]=mc;oc=(f[s>>2]=Ca,+n[s>>2]);nc=(f[s>>2]=Ga,+n[s>>2]);Oa=nc<oc;qc=Oa?oc:nc;n[k>>2]=qc;nc=(f[s>>2]=Za,+n[s>>2]);oc=(f[s>>2]=mb,+n[s>>2]);db=oc<nc;rc=db?nc:oc;n[m>>2]=rc;oc=(f[s>>2]=cb,+n[s>>2]);nc=(f[s>>2]=Pa,+n[s>>2]);wa=nc<oc;sc=wa?oc:nc;n[p>>2]=sc;nb=pc<qc;nc=nb?+n[l>>2]:+n[k>>2];oc=nb?qc:pc;n[l>>2]=oc;nb=oa<rc;ia=f[(nb?o:m)>>2]|0;f[m>>2]=ia;pc=nb?rc:oa;n[o>>2]=pc;nb=mc<sc;Ra=f[(nb?q:p)>>2]|0;f[p>>2]=Ra;oa=nb?sc:mc;n[q>>2]=oa;mc=(f[s>>2]=Oa?Ga:Ca,+n[s>>2]);sc=(f[s>>2]=db?mb:Za,+n[s>>2]);rc=sc<mc?mc:sc;Za=f[(oa<pc?q:o)>>2]|0;f[o>>2]=Za;pc=(f[s>>2]=ia,+n[s>>2]);oa=(f[s>>2]=Ra,+n[s>>2]);Ra=oa<pc;sc=Ra?+n[p>>2]:+n[m>>2];mc=Ra?pc:oa;n[p>>2]=mc;oa=(f[s>>2]=wa?Pa:cb,+n[s>>2]);pc=oa<rc?rc:oa;oa=sc<nc?nc:sc;n[m>>2]=oa;cb=f[((f[s>>2]=Za,+n[s>>2])<oc?o:l)>>2]|0;f[l>>2]=cb;Za=f[(mc<oa?p:m)>>2]|0;f[m>>2]=Za;oa=(f[s>>2]=Za,+n[s>>2]);mc=(f[s>>2]=cb,+n[s>>2]);cb=mc<oa;oc=cb?+n[l>>2]:(f[s>>2]=Za,+n[s>>2]);sc=cb?oa:mc;n[l>>2]=sc;mc=oc<pc?pc:oc;n[m>>2]=mc;f[Qa+(Ia<<2)>>2]=f[(sc<mc?l:m)>>2];Ia=Ia+1|0}while((Ia|0)!=(ra|0));tc=ra}else tc=Eb;if((ra|0)==(ua|0))break;if((tc|0)>(Ea|0)){ra=ua;Eb=tc;continue}else uc=tc;while(1){Ia=ka+(uc<<2)|0;cb=f[Ia+(ea<<2)>>2]|0;Za=f[Ia>>2]|0;f[k>>2]=Za;Pa=f[Ia+(fa<<2)>>2]|0;f[l>>2]=Pa;Ia=za+(uc<<2)|0;wa=f[Ia+(ea<<2)>>2]|0;Ra=f[Ia>>2]|0;f[m>>2]=Ra;ia=f[Ia+(fa<<2)>>2]|0;f[o>>2]=ia;Ia=Wa+(uc<<2)|0;mb=f[Ia+(ea<<2)>>2]|0;db=f[Ia>>2]|0;f[p>>2]=db;Ca=f[Ia+(fa<<2)>>2]|0;f[q>>2]=Ca;mc=(f[s>>2]=Za,+n[s>>2]);sc=(f[s>>2]=Pa,+n[s>>2]);Pa=sc<mc;Za=f[(Pa?l:k)>>2]|0;oc=Pa?mc:sc;n[l>>2]=oc;sc=(f[s>>2]=Ra,+n[s>>2]);mc=(f[s>>2]=ia,+n[s>>2]);ia=mc<sc;Ra=f[(ia?o:m)>>2]|0;pc=ia?sc:mc;n[o>>2]=pc;mc=(f[s>>2]=db,+n[s>>2]);sc=(f[s>>2]=Ca,+n[s>>2]);Ca=sc<mc;db=f[(Ca?q:p)>>2]|0;oa=Ca?mc:sc;n[q>>2]=oa;sc=(f[s>>2]=cb,+n[s>>2]);mc=(f[s>>2]=Za,+n[s>>2]);Ca=mc<sc;nc=Ca?sc:mc;n[k>>2]=nc;mc=(f[s>>2]=wa,+n[s>>2]);sc=(f[s>>2]=Ra,+n[s>>2]);ia=sc<mc;rc=ia?mc:sc;n[m>>2]=rc;sc=(f[s>>2]=mb,+n[s>>2]);mc=(f[s>>2]=db,+n[s>>2]);Pa=mc<sc;qc=Pa?sc:mc;n[p>>2]=qc;Ia=oc<nc;mc=Ia?+n[l>>2]:+n[k>>2];sc=Ia?nc:oc;n[l>>2]=sc;Ia=pc<rc;Ga=f[(Ia?o:m)>>2]|0;f[m>>2]=Ga;oc=Ia?rc:pc;n[o>>2]=oc;Ia=oa<qc;Oa=f[(Ia?q:p)>>2]|0;f[p>>2]=Oa;pc=Ia?qc:oa;n[q>>2]=pc;oa=(f[s>>2]=Ca?Za:cb,+n[s>>2]);qc=(f[s>>2]=ia?Ra:wa,+n[s>>2]);rc=qc<oa?oa:qc;wa=f[(pc<oc?q:o)>>2]|0;f[o>>2]=wa;oc=(f[s>>2]=Ga,+n[s>>2]);pc=(f[s>>2]=Oa,+n[s>>2]);Oa=pc<oc;qc=Oa?+n[p>>2]:+n[m>>2];oa=Oa?oc:pc;n[p>>2]=oa;pc=(f[s>>2]=Pa?db:mb,+n[s>>2]);oc=pc<rc?rc:pc;pc=qc<mc?mc:qc;n[m>>2]=pc;mb=f[((f[s>>2]=wa,+n[s>>2])<sc?o:l)>>2]|0;f[l>>2]=mb;wa=f[(oa<pc?p:m)>>2]|0;f[m>>2]=wa;pc=(f[s>>2]=wa,+n[s>>2]);oa=(f[s>>2]=mb,+n[s>>2]);mb=oa<pc;sc=mb?+n[l>>2]:(f[s>>2]=wa,+n[s>>2]);qc=mb?pc:oa;n[l>>2]=qc;oa=sc<oc?oc:sc;n[m>>2]=oa;f[Qa+(uc<<2)>>2]=f[(qc<oa?l:m)>>2];mb=uc+1|0;if((uc|0)<(Ea|0))uc=mb;else{ra=ua;Eb=mb;continue m}}}if((Ha|0)==(Ba|0))break;else Qa=Qa+(ta<<2)|0}}break}case 5:{Qa=(Ba|0)==1;if((Ka|0)==1|Qa){Ha=Ba+Ka|0;ua=Ha+-1|0;Ea=Qa?fa:La;ea=Qa?0:La-fa|0;la=Qa?fa:ta;if((Ha|0)<=1)break l;Qa=0-Ea|0;Ma=Qa<<1;Eb=Ha+-2|0;ra=Ha+-3|0;Ha=Ea<<1;Wa=Aa;za=Ja;ka=0;while(1){mb=(ka|0)>0?Qa:0;wa=(ka|0)>1?Ma:mb;db=(ka|0)<(Eb|0)?Ea:0;Pa=(ka|0)<(ra|0)?Ha:db;Oa=Wa;Ga=0;while(1){Ra=f[Oa+(wa<<2)>>2]|0;f[k>>2]=Ra;ia=f[Oa+(mb<<2)>>2]|0;f[l>>2]=ia;cb=f[Oa>>2]|0;f[m>>2]=cb;Za=f[Oa+(db<<2)>>2]|0;f[o>>2]=Za;Ca=f[Oa+(Pa<<2)>>2]|0;f[p>>2]=Ca;oa=(f[s>>2]=Ra,+n[s>>2]);qc=(f[s>>2]=ia,+n[s>>2]);ia=qc<oa;sc=+n[(ia?l:k)>>2];oc=ia?oa:qc;qc=(f[s>>2]=Za,+n[s>>2]);oa=(f[s>>2]=Ca,+n[s>>2]);Ca=oa<qc;Za=f[(Ca?p:o)>>2]|0;f[o>>2]=Za;pc=Ca?qc:oa;n[p>>2]=pc;oa=(f[s>>2]=cb,+n[s>>2]);qc=(f[s>>2]=Za,+n[s>>2]);cb=qc<oa;mc=cb?(f[s>>2]=Za,+n[s>>2]):+n[m>>2];rc=cb?oa:qc;n[o>>2]=rc;cb=pc<rc;qc=cb?+n[p>>2]:rc;oa=cb?rc:pc;n[p>>2]=oa;pc=mc<sc?sc:mc;n[m>>2]=pc;mc=oa<pc?oa:pc;pc=qc<oc?qc:oc;n[za+(Ga<<2)>>2]=mc<pc?pc:mc;Ga=Ga+1|0;if((Ga|0)==(fa|0))break;else Oa=Oa+4|0}ka=ka+1|0;if((ka|0)>=(ua|0))break l;else{Wa=Wa+(fa<<2)+(ea<<2)|0;za=za+(la<<2)|0}}}la=Y(Ka,fa)|0;if((Ba|0)>0){za=Ba+-1|0;ea=fa<<1;Wa=0-ea|0;ua=la+~ea|0;ka=(Da|-512)^511;Ha=la-fa|0;ra=la-ea|0;Ea=Ja;Eb=0;while(1){Ma=Eb+-2|0;Qa=Aa+((Y((Ma|0)>0?Ma:0,La)|0)<<2)|0;Ma=Eb+-1|0;Oa=Aa+((Y((Ma|0)>0?Ma:0,La)|0)<<2)|0;Ma=Aa+((Y(Eb,La)|0)<<2)|0;Ga=Eb;Eb=Eb+1|0;Pa=Aa+((Y((za|0)<(Eb|0)?za:Eb,La)|0)<<2)|0;db=Ga+2|0;Ga=Aa+((Y((za|0)<(db|0)?za:db,La)|0)<<2)|0;db=b[i>>0]&1?ea:la;mb=0;n:while(1){if((mb|0)<(db|0)){wa=mb;do{cb=wa-((wa|0)>(ma|0)?fa:0)|0;Za=(wa|0)<(ea|0)?cb:wa-ea|0;Ca=((wa|0)<(Ha|0)?fa:0)+wa|0;ia=(wa|0)<(ra|0)?wa+ea|0:Ca;f[k>>2]=f[Qa+(Za<<2)>>2];Ra=f[Qa+(cb<<2)>>2]|0;f[l>>2]=Ra;Ia=f[Qa+(wa<<2)>>2]|0;f[m>>2]=Ia;f[o>>2]=f[Qa+(Ca<<2)>>2];f[p>>2]=f[Qa+(ia<<2)>>2];f[q>>2]=f[Oa+(Za<<2)>>2];f[r>>2]=f[Oa+(cb<<2)>>2];f[t>>2]=f[Oa+(wa<<2)>>2];f[v>>2]=f[Oa+(Ca<<2)>>2];f[w>>2]=f[Oa+(ia<<2)>>2];f[x>>2]=f[Ma+(Za<<2)>>2];f[y>>2]=f[Ma+(cb<<2)>>2];f[z>>2]=f[Ma+(wa<<2)>>2];f[A>>2]=f[Ma+(Ca<<2)>>2];f[B>>2]=f[Ma+(ia<<2)>>2];f[C>>2]=f[Pa+(Za<<2)>>2];f[D>>2]=f[Pa+(cb<<2)>>2];f[E>>2]=f[Pa+(wa<<2)>>2];f[F>>2]=f[Pa+(Ca<<2)>>2];f[G>>2]=f[Pa+(ia<<2)>>2];f[H>>2]=f[Ga+(Za<<2)>>2];f[I>>2]=f[Ga+(cb<<2)>>2];f[J>>2]=f[Ga+(wa<<2)>>2];f[K>>2]=f[Ga+(Ca<<2)>>2];f[L>>2]=f[Ga+(ia<<2)>>2];mc=(f[s>>2]=Ra,+n[s>>2]);pc=(f[s>>2]=Ia,+n[s>>2]);Ia=pc<mc;Ra=f[(Ia?m:l)>>2]|0;f[l>>2]=Ra;oc=Ia?mc:pc;n[m>>2]=oc;pc=+n[k>>2];mc=(f[s>>2]=Ra,+n[s>>2]);Ra=mc<pc;Ia=f[(Ra?l:k)>>2]|0;f[k>>2]=Ia;qc=Ra?pc:mc;n[l>>2]=qc;Ra=oc<qc;ia=f[(Ra?m:l)>>2]|0;f[l>>2]=ia;mc=Ra?qc:oc;n[m>>2]=mc;oc=+n[p>>2];qc=+n[q>>2];Ra=qc<oc;Ca=f[(Ra?q:p)>>2]|0;f[p>>2]=Ca;pc=Ra?oc:qc;n[q>>2]=pc;qc=+n[o>>2];oc=(f[s>>2]=Ca,+n[s>>2]);Ca=oc<qc;Ra=f[(Ca?p:o)>>2]|0;f[o>>2]=Ra;oa=Ca?qc:oc;n[p>>2]=oa;Ca=pc<oa;cb=f[(Ca?q:p)>>2]|0;f[p>>2]=cb;oc=Ca?oa:pc;n[q>>2]=oc;pc=(f[s>>2]=Ia,+n[s>>2]);oa=(f[s>>2]=Ra,+n[s>>2]);Ra=oa<pc;f[k>>2]=f[(Ra?o:k)>>2];qc=Ra?pc:oa;n[o>>2]=qc;Ra=oc<mc;Ia=f[(Ra?q:m)>>2]|0;f[m>>2]=Ia;n[q>>2]=Ra?mc:oc;oc=(f[s>>2]=Ia,+n[s>>2]);Ia=qc<oc;Ra=f[(Ia?o:m)>>2]|0;f[m>>2]=Ra;mc=Ia?oc:qc;n[o>>2]=mc;qc=(f[s>>2]=ia,+n[s>>2]);oc=(f[s>>2]=cb,+n[s>>2]);cb=oc<qc;ia=f[(cb?p:l)>>2]|0;f[l>>2]=ia;oa=cb?qc:oc;n[p>>2]=oa;oc=(f[s>>2]=ia,+n[s>>2]);qc=(f[s>>2]=Ra,+n[s>>2]);Ra=qc<oc;f[l>>2]=f[(Ra?m:l)>>2];n[m>>2]=Ra?oc:qc;Ra=oa<mc;f[o>>2]=f[(Ra?p:o)>>2];n[p>>2]=Ra?mc:oa;oa=+n[t>>2];mc=+n[v>>2];Ra=mc<oa;ia=f[(Ra?v:t)>>2]|0;f[t>>2]=ia;qc=Ra?oa:mc;n[v>>2]=qc;mc=+n[r>>2];oa=(f[s>>2]=ia,+n[s>>2]);ia=oa<mc;Ra=f[(ia?t:r)>>2]|0;f[r>>2]=Ra;oc=ia?mc:oa;n[t>>2]=oc;ia=qc<oc;cb=f[(ia?v:t)>>2]|0;f[t>>2]=cb;oa=ia?oc:qc;n[v>>2]=oa;qc=+n[x>>2];oc=+n[y>>2];ia=oc<qc;Ia=f[(ia?y:x)>>2]|0;f[x>>2]=Ia;mc=ia?qc:oc;n[y>>2]=mc;oc=+n[w>>2];qc=(f[s>>2]=Ia,+n[s>>2]);Ia=qc<oc;ia=f[(Ia?x:w)>>2]|0;f[w>>2]=ia;pc=Ia?oc:qc;n[x>>2]=pc;Ia=mc<pc;Ca=f[(Ia?y:x)>>2]|0;f[x>>2]=Ca;qc=Ia?pc:mc;n[y>>2]=qc;mc=(f[s>>2]=Ra,+n[s>>2]);pc=(f[s>>2]=ia,+n[s>>2]);ia=pc<mc;Ra=f[(ia?w:r)>>2]|0;f[r>>2]=Ra;oc=ia?mc:pc;n[w>>2]=oc;ia=qc<oa;Ia=f[(ia?y:v)>>2]|0;f[v>>2]=Ia;pc=ia?oa:qc;n[y>>2]=pc;qc=(f[s>>2]=Ia,+n[s>>2]);Ia=oc<qc;ia=f[(Ia?w:v)>>2]|0;f[v>>2]=ia;oa=Ia?qc:oc;n[w>>2]=oa;oc=(f[s>>2]=cb,+n[s>>2]);qc=(f[s>>2]=Ca,+n[s>>2]);Ca=qc<oc;cb=f[(Ca?x:t)>>2]|0;f[t>>2]=cb;mc=Ca?oc:qc;n[x>>2]=mc;qc=(f[s>>2]=cb,+n[s>>2]);oc=(f[s>>2]=ia,+n[s>>2]);ia=oc<qc;cb=f[(ia?v:t)>>2]|0;f[t>>2]=cb;sc=ia?qc:oc;n[v>>2]=sc;ia=mc<oa;Ca=f[(ia?x:w)>>2]|0;f[w>>2]=Ca;oc=ia?oa:mc;n[x>>2]=oc;mc=+n[k>>2];oa=(f[s>>2]=Ra,+n[s>>2]);Ra=oa<mc;f[k>>2]=f[(Ra?r:k)>>2];qc=Ra?mc:oa;n[r>>2]=qc;oa=+n[p>>2];Ra=oc<oa;ia=f[(Ra?x:p)>>2]|0;f[p>>2]=ia;n[x>>2]=Ra?oa:oc;oc=(f[s>>2]=ia,+n[s>>2]);ia=qc<oc;Ra=f[(ia?r:p)>>2]|0;f[p>>2]=Ra;oa=ia?oc:qc;n[r>>2]=oa;qc=+n[m>>2];ia=sc<qc;Ia=f[(ia?v:m)>>2]|0;f[m>>2]=Ia;oc=ia?qc:sc;n[v>>2]=oc;sc=(f[s>>2]=Ia,+n[s>>2]);qc=(f[s>>2]=Ra,+n[s>>2]);Ra=qc<sc;Ia=f[(Ra?p:m)>>2]|0;f[m>>2]=Ia;mc=Ra?sc:qc;n[p>>2]=mc;Ra=oc<oa;ia=f[(Ra?v:r)>>2]|0;f[r>>2]=ia;qc=Ra?oa:oc;n[v>>2]=qc;oc=+n[l>>2];oa=(f[s>>2]=cb,+n[s>>2]);cb=oa<oc;Ra=f[(cb?t:l)>>2]|0;f[l>>2]=Ra;sc=cb?oc:oa;n[t>>2]=sc;oa=+n[q>>2];cb=pc<oa;Za=f[(cb?y:q)>>2]|0;f[q>>2]=Za;n[y>>2]=cb?oa:pc;pc=(f[s>>2]=Za,+n[s>>2]);Za=sc<pc;cb=f[(Za?t:q)>>2]|0;f[q>>2]=cb;oa=Za?pc:sc;n[t>>2]=oa;sc=+n[o>>2];pc=(f[s>>2]=Ca,+n[s>>2]);Ca=pc<sc;Za=f[(Ca?w:o)>>2]|0;f[o>>2]=Za;oc=Ca?sc:pc;n[w>>2]=oc;pc=(f[s>>2]=Za,+n[s>>2]);sc=(f[s>>2]=cb,+n[s>>2]);cb=sc<pc;Za=f[(cb?q:o)>>2]|0;f[o>>2]=Za;rc=cb?pc:sc;n[q>>2]=rc;cb=oc<oa;Ca=f[(cb?w:t)>>2]|0;f[t>>2]=Ca;sc=cb?oa:oc;n[w>>2]=sc;oc=(f[s>>2]=Ra,+n[s>>2]);oa=(f[s>>2]=Ia,+n[s>>2]);Ia=oa<oc;f[l>>2]=f[(Ia?m:l)>>2];n[m>>2]=Ia?oc:oa;oa=(f[s>>2]=Za,+n[s>>2]);Za=mc<oa;f[o>>2]=f[(Za?p:o)>>2];n[p>>2]=Za?oa:mc;mc=(f[s>>2]=ia,+n[s>>2]);ia=mc<rc;f[q>>2]=f[(ia?r:q)>>2];n[r>>2]=ia?rc:mc;mc=(f[s>>2]=Ca,+n[s>>2]);Ca=qc<mc;f[t>>2]=f[(Ca?v:t)>>2];n[v>>2]=Ca?mc:qc;qc=+n[x>>2];Ca=qc<sc;f[w>>2]=f[(Ca?x:w)>>2];n[x>>2]=Ca?sc:qc;qc=+n[A>>2];sc=+n[B>>2];Ca=sc<qc;ia=f[(Ca?B:A)>>2]|0;f[A>>2]=ia;mc=Ca?qc:sc;n[B>>2]=mc;sc=+n[z>>2];qc=(f[s>>2]=ia,+n[s>>2]);ia=qc<sc;Ca=f[(ia?A:z)>>2]|0;f[z>>2]=Ca;rc=ia?sc:qc;n[A>>2]=rc;ia=mc<rc;Za=f[(ia?B:A)>>2]|0;f[A>>2]=Za;qc=ia?rc:mc;n[B>>2]=qc;mc=+n[D>>2];rc=+n[E>>2];ia=rc<mc;Ia=f[(ia?E:D)>>2]|0;f[D>>2]=Ia;sc=ia?mc:rc;n[E>>2]=sc;rc=+n[C>>2];mc=(f[s>>2]=Ia,+n[s>>2]);Ia=mc<rc;ia=f[(Ia?D:C)>>2]|0;f[C>>2]=ia;oa=Ia?rc:mc;n[D>>2]=oa;Ia=sc<oa;Ra=f[(Ia?E:D)>>2]|0;f[D>>2]=Ra;mc=Ia?oa:sc;n[E>>2]=mc;sc=(f[s>>2]=Ca,+n[s>>2]);oa=(f[s>>2]=ia,+n[s>>2]);ia=oa<sc;f[z>>2]=f[(ia?C:z)>>2];rc=ia?sc:oa;n[C>>2]=rc;ia=mc<qc;Ca=f[(ia?E:B)>>2]|0;f[B>>2]=Ca;n[E>>2]=ia?qc:mc;mc=(f[s>>2]=Ca,+n[s>>2]);Ca=rc<mc;ia=f[(Ca?C:B)>>2]|0;f[B>>2]=ia;qc=Ca?mc:rc;n[C>>2]=qc;rc=(f[s>>2]=Za,+n[s>>2]);mc=(f[s>>2]=Ra,+n[s>>2]);Ra=mc<rc;Za=f[(Ra?D:A)>>2]|0;f[A>>2]=Za;oa=Ra?rc:mc;n[D>>2]=oa;mc=(f[s>>2]=Za,+n[s>>2]);rc=(f[s>>2]=ia,+n[s>>2]);ia=rc<mc;f[A>>2]=f[(ia?B:A)>>2];n[B>>2]=ia?mc:rc;ia=oa<qc;f[C>>2]=f[(ia?D:C)>>2];n[D>>2]=ia?qc:oa;oa=+n[G>>2];qc=+n[H>>2];ia=qc<oa;Za=f[(ia?H:G)>>2]|0;f[G>>2]=Za;rc=ia?oa:qc;n[H>>2]=rc;qc=+n[F>>2];oa=(f[s>>2]=Za,+n[s>>2]);Za=oa<qc;ia=f[(Za?G:F)>>2]|0;f[F>>2]=ia;mc=Za?qc:oa;n[G>>2]=mc;Za=rc<mc;Ra=f[(Za?H:G)>>2]|0;f[G>>2]=Ra;oa=Za?mc:rc;n[H>>2]=oa;rc=+n[I>>2];mc=+n[J>>2];Za=mc<rc;Ca=f[(Za?J:I)>>2]|0;f[I>>2]=Ca;qc=Za?rc:mc;n[J>>2]=qc;mc=+n[K>>2];rc=+n[L>>2];Za=rc<mc;Ia=f[(Za?L:K)>>2]|0;f[K>>2]=Ia;sc=Za?mc:rc;n[L>>2]=sc;rc=(f[s>>2]=Ca,+n[s>>2]);mc=(f[s>>2]=Ia,+n[s>>2]);Ia=mc<rc;Ca=f[(Ia?K:I)>>2]|0;f[I>>2]=Ca;oc=Ia?rc:mc;n[K>>2]=oc;Ia=sc<qc;Za=f[(Ia?L:J)>>2]|0;f[J>>2]=Za;mc=Ia?qc:sc;n[L>>2]=mc;sc=(f[s>>2]=Za,+n[s>>2]);Za=oc<sc;Ia=f[(Za?K:J)>>2]|0;f[J>>2]=Ia;qc=Za?sc:oc;n[K>>2]=qc;oc=(f[s>>2]=ia,+n[s>>2]);sc=(f[s>>2]=Ca,+n[s>>2]);Ca=sc<oc;ia=f[(Ca?I:F)>>2]|0;f[F>>2]=ia;rc=Ca?oc:sc;n[I>>2]=rc;Ca=qc<oa;Za=f[(Ca?K:H)>>2]|0;f[H>>2]=Za;sc=Ca?oa:qc;n[K>>2]=sc;qc=(f[s>>2]=Za,+n[s>>2]);Za=rc<qc;Ca=f[(Za?I:H)>>2]|0;f[H>>2]=Ca;oa=Za?qc:rc;n[I>>2]=oa;rc=(f[s>>2]=Ra,+n[s>>2]);qc=(f[s>>2]=Ia,+n[s>>2]);Ia=qc<rc;Ra=f[(Ia?J:G)>>2]|0;f[G>>2]=Ra;oc=Ia?rc:qc;n[J>>2]=oc;Ia=mc<oc;Za=f[(Ia?L:J)>>2]|0;f[J>>2]=Za;qc=Ia?oc:mc;n[L>>2]=qc;mc=(f[s>>2]=Ra,+n[s>>2]);oc=(f[s>>2]=Ca,+n[s>>2]);Ca=oc<mc;Ra=f[(Ca?H:G)>>2]|0;f[G>>2]=Ra;rc=Ca?mc:oc;n[H>>2]=rc;oc=(f[s>>2]=Za,+n[s>>2]);Za=oc<oa;f[I>>2]=f[(Za?J:I)>>2];mc=Za?oa:oc;n[J>>2]=mc;Za=qc<sc;Ca=f[(Za?L:K)>>2]|0;f[K>>2]=Ca;oc=Za?sc:qc;n[L>>2]=oc;qc=+n[z>>2];sc=(f[s>>2]=ia,+n[s>>2]);ia=sc<qc;f[z>>2]=f[(ia?F:z)>>2];oa=ia?qc:sc;n[F>>2]=oa;sc=+n[D>>2];ia=mc<sc;Za=f[(ia?J:D)>>2]|0;f[D>>2]=Za;qc=ia?sc:mc;n[J>>2]=qc;mc=(f[s>>2]=Za,+n[s>>2]);Za=oa<mc;ia=f[(Za?F:D)>>2]|0;f[D>>2]=ia;sc=Za?mc:oa;n[F>>2]=sc;oa=+n[B>>2];Za=rc<oa;Ia=f[(Za?H:B)>>2]|0;f[B>>2]=Ia;mc=Za?oa:rc;n[H>>2]=mc;Za=oc<mc;cb=f[(Za?L:H)>>2]|0;f[H>>2]=cb;rc=Za?mc:oc;n[L>>2]=rc;oc=(f[s>>2]=Ia,+n[s>>2]);mc=(f[s>>2]=ia,+n[s>>2]);ia=mc<oc;Ia=f[(ia?D:B)>>2]|0;f[B>>2]=Ia;oa=ia?oc:mc;n[D>>2]=oa;mc=(f[s>>2]=cb,+n[s>>2]);cb=mc<sc;ia=f[(cb?H:F)>>2]|0;f[F>>2]=ia;oc=cb?sc:mc;n[H>>2]=oc;cb=rc<qc;Za=f[(cb?L:J)>>2]|0;f[J>>2]=Za;mc=cb?qc:rc;n[L>>2]=mc;rc=+n[A>>2];qc=(f[s>>2]=Ra,+n[s>>2]);Ra=qc<rc;cb=f[(Ra?G:A)>>2]|0;f[A>>2]=cb;sc=Ra?rc:qc;n[G>>2]=sc;qc=+n[E>>2];rc=(f[s>>2]=Ca,+n[s>>2]);Ca=rc<qc;Ra=f[(Ca?K:E)>>2]|0;f[E>>2]=Ra;pc=Ca?qc:rc;n[K>>2]=pc;rc=(f[s>>2]=Ra,+n[s>>2]);Ra=sc<rc;Ca=f[(Ra?G:E)>>2]|0;f[E>>2]=Ca;qc=Ra?rc:sc;n[G>>2]=qc;sc=+n[C>>2];rc=+n[I>>2];Ra=rc<sc;nb=f[(Ra?I:C)>>2]|0;f[C>>2]=nb;nc=Ra?sc:rc;n[I>>2]=nc;rc=(f[s>>2]=nb,+n[s>>2]);sc=(f[s>>2]=Ca,+n[s>>2]);Ca=sc<rc;nb=f[(Ca?E:C)>>2]|0;f[C>>2]=nb;vc=Ca?rc:sc;n[E>>2]=vc;Ca=nc<qc;Ra=f[(Ca?I:G)>>2]|0;f[G>>2]=Ra;sc=Ca?qc:nc;n[I>>2]=sc;nc=(f[s>>2]=cb,+n[s>>2]);qc=(f[s>>2]=Ia,+n[s>>2]);Ia=qc<nc;f[A>>2]=f[(Ia?B:A)>>2];rc=Ia?nc:qc;n[B>>2]=rc;qc=(f[s>>2]=nb,+n[s>>2]);nb=oa<qc;f[C>>2]=f[(nb?D:C)>>2];nc=nb?qc:oa;n[D>>2]=nc;oa=(f[s>>2]=ia,+n[s>>2]);ia=oa<vc;f[E>>2]=f[(ia?F:E)>>2];qc=ia?vc:oa;n[F>>2]=qc;oa=(f[s>>2]=Ra,+n[s>>2]);Ra=oc<oa;f[G>>2]=f[(Ra?H:G)>>2];vc=Ra?oa:oc;n[H>>2]=vc;oc=(f[s>>2]=Za,+n[s>>2]);Za=oc<sc;f[I>>2]=f[(Za?J:I)>>2];oa=Za?sc:oc;n[J>>2]=oa;Za=mc<pc;f[K>>2]=f[(Za?L:K)>>2];oc=Za?pc:mc;n[L>>2]=oc;mc=+n[k>>2];pc=+n[z>>2];Za=pc<mc;f[k>>2]=f[(Za?z:k)>>2];sc=Za?mc:pc;n[z>>2]=sc;pc=+n[v>>2];Za=vc<pc;Ra=f[(Za?H:v)>>2]|0;f[v>>2]=Ra;n[H>>2]=Za?pc:vc;vc=(f[s>>2]=Ra,+n[s>>2]);Ra=sc<vc;f[v>>2]=f[(Ra?z:v)>>2];pc=Ra?vc:sc;n[z>>2]=pc;sc=+n[p>>2];Ra=nc<sc;f[p>>2]=f[(Ra?D:p)>>2];vc=Ra?sc:nc;n[D>>2]=vc;Ra=oc<vc;Za=f[(Ra?L:D)>>2]|0;f[D>>2]=Za;n[L>>2]=Ra?vc:oc;oc=(f[s>>2]=Za,+n[s>>2]);Za=oc<pc;Ra=f[(Za?D:z)>>2]|0;f[z>>2]=Ra;n[D>>2]=Za?pc:oc;oc=+n[m>>2];Za=rc<oc;f[m>>2]=f[(Za?B:m)>>2];pc=Za?oc:rc;n[B>>2]=pc;Za=f[(oa<+n[x>>2]?J:x)>>2]|0;f[x>>2]=Za;ia=f[(pc<(f[s>>2]=Za,+n[s>>2])?B:x)>>2]|0;f[x>>2]=ia;Za=f[(qc<+n[r>>2]?F:r)>>2]|0;f[r>>2]=Za;qc=(f[s>>2]=Za,+n[s>>2]);pc=(f[s>>2]=ia,+n[s>>2]);oa=pc<qc?qc:pc;n[x>>2]=oa;pc=(f[s>>2]=Ra,+n[s>>2]);qc=pc<oa?oa:pc;pc=+n[l>>2];oa=+n[A>>2];rc=oa<pc?pc:oa;n[A>>2]=rc;Ra=f[(+n[I>>2]<+n[w>>2]?I:w)>>2]|0;f[w>>2]=Ra;oa=(f[s>>2]=Ra,+n[s>>2]);pc=rc<oa?oa:rc;n[A>>2]=pc;rc=+n[q>>2];oa=+n[E>>2];oc=oa<rc?rc:oa;n[E>>2]=oc;oa=oc<pc?oc:+n[A>>2];oc=+n[o>>2];pc=+n[C>>2];rc=pc<oc?oc:pc;n[C>>2]=rc;Ra=f[(+n[K>>2]<+n[y>>2]?K:y)>>2]|0;f[y>>2]=Ra;ia=rc<(f[s>>2]=Ra,+n[s>>2]);rc=ia?+n[C>>2]:(f[s>>2]=Ra,+n[s>>2]);pc=+n[t>>2];oc=+n[G>>2];vc=oc<pc?oc:pc;pc=rc<vc?vc:rc;rc=oa<pc?oa:pc;n[Ea+(wa<<2)>>2]=qc<rc?rc:qc;wa=wa+1|0}while((wa|0)!=(db|0));wc=db}else wc=mb;if((db|0)==(la|0))break;if((wc|0)>(ua|0)){db=la;mb=wc;continue}else xc=wc;while(1){wa=Qa+(xc<<2)|0;f[k>>2]=f[wa+(Wa<<2)>>2];Ra=f[wa+(ka<<2)>>2]|0;f[l>>2]=Ra;ia=f[wa>>2]|0;f[m>>2]=ia;f[o>>2]=f[wa+(fa<<2)>>2];f[p>>2]=f[wa+(ea<<2)>>2];wa=Oa+(xc<<2)|0;f[q>>2]=f[wa+(Wa<<2)>>2];f[r>>2]=f[wa+(ka<<2)>>2];f[t>>2]=f[wa>>2];f[v>>2]=f[wa+(fa<<2)>>2];f[w>>2]=f[wa+(ea<<2)>>2];wa=Ma+(xc<<2)|0;f[x>>2]=f[wa+(Wa<<2)>>2];f[y>>2]=f[wa+(ka<<2)>>2];f[z>>2]=f[wa>>2];f[A>>2]=f[wa+(fa<<2)>>2];f[B>>2]=f[wa+(ea<<2)>>2];wa=Pa+(xc<<2)|0;f[C>>2]=f[wa+(Wa<<2)>>2];f[D>>2]=f[wa+(ka<<2)>>2];f[E>>2]=f[wa>>2];f[F>>2]=f[wa+(fa<<2)>>2];f[G>>2]=f[wa+(ea<<2)>>2];wa=Ga+(xc<<2)|0;f[H>>2]=f[wa+(Wa<<2)>>2];f[I>>2]=f[wa+(ka<<2)>>2];f[J>>2]=f[wa>>2];f[K>>2]=f[wa+(fa<<2)>>2];f[L>>2]=f[wa+(ea<<2)>>2];qc=(f[s>>2]=Ra,+n[s>>2]);rc=(f[s>>2]=ia,+n[s>>2]);ia=rc<qc;Ra=f[(ia?m:l)>>2]|0;f[l>>2]=Ra;pc=ia?qc:rc;n[m>>2]=pc;rc=+n[k>>2];qc=(f[s>>2]=Ra,+n[s>>2]);Ra=qc<rc;ia=f[(Ra?l:k)>>2]|0;f[k>>2]=ia;oa=Ra?rc:qc;n[l>>2]=oa;Ra=pc<oa;wa=f[(Ra?m:l)>>2]|0;f[l>>2]=wa;qc=Ra?oa:pc;n[m>>2]=qc;pc=+n[p>>2];oa=+n[q>>2];Ra=oa<pc;Za=f[(Ra?q:p)>>2]|0;f[p>>2]=Za;rc=Ra?pc:oa;n[q>>2]=rc;oa=+n[o>>2];pc=(f[s>>2]=Za,+n[s>>2]);Za=pc<oa;Ra=f[(Za?p:o)>>2]|0;f[o>>2]=Ra;vc=Za?oa:pc;n[p>>2]=vc;Za=rc<vc;nb=f[(Za?q:p)>>2]|0;f[p>>2]=nb;pc=Za?vc:rc;n[q>>2]=pc;rc=(f[s>>2]=ia,+n[s>>2]);vc=(f[s>>2]=Ra,+n[s>>2]);Ra=vc<rc;f[k>>2]=f[(Ra?o:k)>>2];oa=Ra?rc:vc;n[o>>2]=oa;Ra=pc<qc;ia=f[(Ra?q:m)>>2]|0;f[m>>2]=ia;n[q>>2]=Ra?qc:pc;pc=(f[s>>2]=ia,+n[s>>2]);ia=oa<pc;Ra=f[(ia?o:m)>>2]|0;f[m>>2]=Ra;qc=ia?pc:oa;n[o>>2]=qc;oa=(f[s>>2]=wa,+n[s>>2]);pc=(f[s>>2]=nb,+n[s>>2]);nb=pc<oa;wa=f[(nb?p:l)>>2]|0;f[l>>2]=wa;vc=nb?oa:pc;n[p>>2]=vc;pc=(f[s>>2]=wa,+n[s>>2]);oa=(f[s>>2]=Ra,+n[s>>2]);Ra=oa<pc;f[l>>2]=f[(Ra?m:l)>>2];n[m>>2]=Ra?pc:oa;Ra=vc<qc;f[o>>2]=f[(Ra?p:o)>>2];n[p>>2]=Ra?qc:vc;vc=+n[t>>2];qc=+n[v>>2];Ra=qc<vc;wa=f[(Ra?v:t)>>2]|0;f[t>>2]=wa;oa=Ra?vc:qc;n[v>>2]=oa;qc=+n[r>>2];vc=(f[s>>2]=wa,+n[s>>2]);wa=vc<qc;Ra=f[(wa?t:r)>>2]|0;f[r>>2]=Ra;pc=wa?qc:vc;n[t>>2]=pc;wa=oa<pc;nb=f[(wa?v:t)>>2]|0;f[t>>2]=nb;vc=wa?pc:oa;n[v>>2]=vc;oa=+n[x>>2];pc=+n[y>>2];wa=pc<oa;ia=f[(wa?y:x)>>2]|0;f[x>>2]=ia;qc=wa?oa:pc;n[y>>2]=qc;pc=+n[w>>2];oa=(f[s>>2]=ia,+n[s>>2]);ia=oa<pc;wa=f[(ia?x:w)>>2]|0;f[w>>2]=wa;rc=ia?pc:oa;n[x>>2]=rc;ia=qc<rc;Za=f[(ia?y:x)>>2]|0;f[x>>2]=Za;oa=ia?rc:qc;n[y>>2]=oa;qc=(f[s>>2]=Ra,+n[s>>2]);rc=(f[s>>2]=wa,+n[s>>2]);wa=rc<qc;Ra=f[(wa?w:r)>>2]|0;f[r>>2]=Ra;pc=wa?qc:rc;n[w>>2]=pc;wa=oa<vc;ia=f[(wa?y:v)>>2]|0;f[v>>2]=ia;rc=wa?vc:oa;n[y>>2]=rc;oa=(f[s>>2]=ia,+n[s>>2]);ia=pc<oa;wa=f[(ia?w:v)>>2]|0;f[v>>2]=wa;vc=ia?oa:pc;n[w>>2]=vc;pc=(f[s>>2]=nb,+n[s>>2]);oa=(f[s>>2]=Za,+n[s>>2]);Za=oa<pc;nb=f[(Za?x:t)>>2]|0;f[t>>2]=nb;qc=Za?pc:oa;n[x>>2]=qc;oa=(f[s>>2]=nb,+n[s>>2]);pc=(f[s>>2]=wa,+n[s>>2]);wa=pc<oa;nb=f[(wa?v:t)>>2]|0;f[t>>2]=nb;oc=wa?oa:pc;n[v>>2]=oc;wa=qc<vc;Za=f[(wa?x:w)>>2]|0;f[w>>2]=Za;pc=wa?vc:qc;n[x>>2]=pc;qc=+n[k>>2];vc=(f[s>>2]=Ra,+n[s>>2]);Ra=vc<qc;f[k>>2]=f[(Ra?r:k)>>2];oa=Ra?qc:vc;n[r>>2]=oa;vc=+n[p>>2];Ra=pc<vc;wa=f[(Ra?x:p)>>2]|0;f[p>>2]=wa;n[x>>2]=Ra?vc:pc;pc=(f[s>>2]=wa,+n[s>>2]);wa=oa<pc;Ra=f[(wa?r:p)>>2]|0;f[p>>2]=Ra;vc=wa?pc:oa;n[r>>2]=vc;oa=+n[m>>2];wa=oc<oa;ia=f[(wa?v:m)>>2]|0;f[m>>2]=ia;pc=wa?oa:oc;n[v>>2]=pc;oc=(f[s>>2]=ia,+n[s>>2]);oa=(f[s>>2]=Ra,+n[s>>2]);Ra=oa<oc;ia=f[(Ra?p:m)>>2]|0;f[m>>2]=ia;qc=Ra?oc:oa;n[p>>2]=qc;Ra=pc<vc;wa=f[(Ra?v:r)>>2]|0;f[r>>2]=wa;oa=Ra?vc:pc;n[v>>2]=oa;pc=+n[l>>2];vc=(f[s>>2]=nb,+n[s>>2]);nb=vc<pc;Ra=f[(nb?t:l)>>2]|0;f[l>>2]=Ra;oc=nb?pc:vc;n[t>>2]=oc;vc=+n[q>>2];nb=rc<vc;Ia=f[(nb?y:q)>>2]|0;f[q>>2]=Ia;n[y>>2]=nb?vc:rc;rc=(f[s>>2]=Ia,+n[s>>2]);Ia=oc<rc;nb=f[(Ia?t:q)>>2]|0;f[q>>2]=nb;vc=Ia?rc:oc;n[t>>2]=vc;oc=+n[o>>2];rc=(f[s>>2]=Za,+n[s>>2]);Za=rc<oc;Ia=f[(Za?w:o)>>2]|0;f[o>>2]=Ia;pc=Za?oc:rc;n[w>>2]=pc;rc=(f[s>>2]=Ia,+n[s>>2]);oc=(f[s>>2]=nb,+n[s>>2]);nb=oc<rc;Ia=f[(nb?q:o)>>2]|0;f[o>>2]=Ia;nc=nb?rc:oc;n[q>>2]=nc;nb=pc<vc;Za=f[(nb?w:t)>>2]|0;f[t>>2]=Za;oc=nb?vc:pc;n[w>>2]=oc;pc=(f[s>>2]=Ra,+n[s>>2]);vc=(f[s>>2]=ia,+n[s>>2]);ia=vc<pc;f[l>>2]=f[(ia?m:l)>>2];n[m>>2]=ia?pc:vc;vc=(f[s>>2]=Ia,+n[s>>2]);Ia=qc<vc;f[o>>2]=f[(Ia?p:o)>>2];n[p>>2]=Ia?vc:qc;qc=(f[s>>2]=wa,+n[s>>2]);wa=qc<nc;f[q>>2]=f[(wa?r:q)>>2];n[r>>2]=wa?nc:qc;qc=(f[s>>2]=Za,+n[s>>2]);Za=oa<qc;f[t>>2]=f[(Za?v:t)>>2];n[v>>2]=Za?qc:oa;oa=+n[x>>2];Za=oa<oc;f[w>>2]=f[(Za?x:w)>>2];n[x>>2]=Za?oc:oa;oa=+n[A>>2];oc=+n[B>>2];Za=oc<oa;wa=f[(Za?B:A)>>2]|0;f[A>>2]=wa;qc=Za?oa:oc;n[B>>2]=qc;oc=+n[z>>2];oa=(f[s>>2]=wa,+n[s>>2]);wa=oa<oc;Za=f[(wa?A:z)>>2]|0;f[z>>2]=Za;nc=wa?oc:oa;n[A>>2]=nc;wa=qc<nc;Ia=f[(wa?B:A)>>2]|0;f[A>>2]=Ia;oa=wa?nc:qc;n[B>>2]=oa;qc=+n[D>>2];nc=+n[E>>2];wa=nc<qc;ia=f[(wa?E:D)>>2]|0;f[D>>2]=ia;oc=wa?qc:nc;n[E>>2]=oc;nc=+n[C>>2];qc=(f[s>>2]=ia,+n[s>>2]);ia=qc<nc;wa=f[(ia?D:C)>>2]|0;f[C>>2]=wa;vc=ia?nc:qc;n[D>>2]=vc;ia=oc<vc;Ra=f[(ia?E:D)>>2]|0;f[D>>2]=Ra;qc=ia?vc:oc;n[E>>2]=qc;oc=(f[s>>2]=Za,+n[s>>2]);vc=(f[s>>2]=wa,+n[s>>2]);wa=vc<oc;f[z>>2]=f[(wa?C:z)>>2];nc=wa?oc:vc;n[C>>2]=nc;wa=qc<oa;Za=f[(wa?E:B)>>2]|0;f[B>>2]=Za;n[E>>2]=wa?oa:qc;qc=(f[s>>2]=Za,+n[s>>2]);Za=nc<qc;wa=f[(Za?C:B)>>2]|0;f[B>>2]=wa;oa=Za?qc:nc;n[C>>2]=oa;nc=(f[s>>2]=Ia,+n[s>>2]);qc=(f[s>>2]=Ra,+n[s>>2]);Ra=qc<nc;Ia=f[(Ra?D:A)>>2]|0;f[A>>2]=Ia;vc=Ra?nc:qc;n[D>>2]=vc;qc=(f[s>>2]=Ia,+n[s>>2]);nc=(f[s>>2]=wa,+n[s>>2]);wa=nc<qc;f[A>>2]=f[(wa?B:A)>>2];n[B>>2]=wa?qc:nc;wa=vc<oa;f[C>>2]=f[(wa?D:C)>>2];n[D>>2]=wa?oa:vc;vc=+n[G>>2];oa=+n[H>>2];wa=oa<vc;Ia=f[(wa?H:G)>>2]|0;f[G>>2]=Ia;nc=wa?vc:oa;n[H>>2]=nc;oa=+n[F>>2];vc=(f[s>>2]=Ia,+n[s>>2]);Ia=vc<oa;wa=f[(Ia?G:F)>>2]|0;f[F>>2]=wa;qc=Ia?oa:vc;n[G>>2]=qc;Ia=nc<qc;Ra=f[(Ia?H:G)>>2]|0;f[G>>2]=Ra;vc=Ia?qc:nc;n[H>>2]=vc;nc=+n[I>>2];qc=+n[J>>2];Ia=qc<nc;Za=f[(Ia?J:I)>>2]|0;f[I>>2]=Za;oa=Ia?nc:qc;n[J>>2]=oa;qc=+n[K>>2];nc=+n[L>>2];Ia=nc<qc;ia=f[(Ia?L:K)>>2]|0;f[K>>2]=ia;oc=Ia?qc:nc;n[L>>2]=oc;nc=(f[s>>2]=Za,+n[s>>2]);qc=(f[s>>2]=ia,+n[s>>2]);ia=qc<nc;Za=f[(ia?K:I)>>2]|0;f[I>>2]=Za;pc=ia?nc:qc;n[K>>2]=pc;ia=oc<oa;Ia=f[(ia?L:J)>>2]|0;f[J>>2]=Ia;qc=ia?oa:oc;n[L>>2]=qc;oc=(f[s>>2]=Ia,+n[s>>2]);Ia=pc<oc;ia=f[(Ia?K:J)>>2]|0;f[J>>2]=ia;oa=Ia?oc:pc;n[K>>2]=oa;pc=(f[s>>2]=wa,+n[s>>2]);oc=(f[s>>2]=Za,+n[s>>2]);Za=oc<pc;wa=f[(Za?I:F)>>2]|0;f[F>>2]=wa;nc=Za?pc:oc;n[I>>2]=nc;Za=oa<vc;Ia=f[(Za?K:H)>>2]|0;f[H>>2]=Ia;oc=Za?vc:oa;n[K>>2]=oc;oa=(f[s>>2]=Ia,+n[s>>2]);Ia=nc<oa;Za=f[(Ia?I:H)>>2]|0;f[H>>2]=Za;vc=Ia?oa:nc;n[I>>2]=vc;nc=(f[s>>2]=Ra,+n[s>>2]);oa=(f[s>>2]=ia,+n[s>>2]);ia=oa<nc;Ra=f[(ia?J:G)>>2]|0;f[G>>2]=Ra;pc=ia?nc:oa;n[J>>2]=pc;ia=qc<pc;Ia=f[(ia?L:J)>>2]|0;f[J>>2]=Ia;oa=ia?pc:qc;n[L>>2]=oa;qc=(f[s>>2]=Ra,+n[s>>2]);pc=(f[s>>2]=Za,+n[s>>2]);Za=pc<qc;Ra=f[(Za?H:G)>>2]|0;f[G>>2]=Ra;nc=Za?qc:pc;n[H>>2]=nc;pc=(f[s>>2]=Ia,+n[s>>2]);Ia=pc<vc;f[I>>2]=f[(Ia?J:I)>>2];qc=Ia?vc:pc;n[J>>2]=qc;Ia=oa<oc;Za=f[(Ia?L:K)>>2]|0;f[K>>2]=Za;pc=Ia?oc:oa;n[L>>2]=pc;oa=+n[z>>2];oc=(f[s>>2]=wa,+n[s>>2]);wa=oc<oa;f[z>>2]=f[(wa?F:z)>>2];vc=wa?oa:oc;n[F>>2]=vc;oc=+n[D>>2];wa=qc<oc;Ia=f[(wa?J:D)>>2]|0;f[D>>2]=Ia;oa=wa?oc:qc;n[J>>2]=oa;qc=(f[s>>2]=Ia,+n[s>>2]);Ia=vc<qc;wa=f[(Ia?F:D)>>2]|0;f[D>>2]=wa;oc=Ia?qc:vc;n[F>>2]=oc;vc=+n[B>>2];Ia=nc<vc;ia=f[(Ia?H:B)>>2]|0;f[B>>2]=ia;qc=Ia?vc:nc;n[H>>2]=qc;Ia=pc<qc;nb=f[(Ia?L:H)>>2]|0;f[H>>2]=nb;nc=Ia?qc:pc;n[L>>2]=nc;pc=(f[s>>2]=ia,+n[s>>2]);qc=(f[s>>2]=wa,+n[s>>2]);wa=qc<pc;ia=f[(wa?D:B)>>2]|0;f[B>>2]=ia;vc=wa?pc:qc;n[D>>2]=vc;qc=(f[s>>2]=nb,+n[s>>2]);nb=qc<oc;wa=f[(nb?H:F)>>2]|0;f[F>>2]=wa;pc=nb?oc:qc;n[H>>2]=pc;nb=nc<oa;Ia=f[(nb?L:J)>>2]|0;f[J>>2]=Ia;qc=nb?oa:nc;n[L>>2]=qc;nc=+n[A>>2];oa=(f[s>>2]=Ra,+n[s>>2]);Ra=oa<nc;nb=f[(Ra?G:A)>>2]|0;f[A>>2]=nb;oc=Ra?nc:oa;n[G>>2]=oc;oa=+n[E>>2];nc=(f[s>>2]=Za,+n[s>>2]);Za=nc<oa;Ra=f[(Za?K:E)>>2]|0;f[E>>2]=Ra;rc=Za?oa:nc;n[K>>2]=rc;nc=(f[s>>2]=Ra,+n[s>>2]);Ra=oc<nc;Za=f[(Ra?G:E)>>2]|0;f[E>>2]=Za;oa=Ra?nc:oc;n[G>>2]=oa;oc=+n[C>>2];nc=+n[I>>2];Ra=nc<oc;cb=f[(Ra?I:C)>>2]|0;f[C>>2]=cb;sc=Ra?oc:nc;n[I>>2]=sc;nc=(f[s>>2]=cb,+n[s>>2]);oc=(f[s>>2]=Za,+n[s>>2]);Za=oc<nc;cb=f[(Za?E:C)>>2]|0;f[C>>2]=cb;mc=Za?nc:oc;n[E>>2]=mc;Za=sc<oa;Ra=f[(Za?I:G)>>2]|0;f[G>>2]=Ra;oc=Za?oa:sc;n[I>>2]=oc;sc=(f[s>>2]=nb,+n[s>>2]);oa=(f[s>>2]=ia,+n[s>>2]);ia=oa<sc;f[A>>2]=f[(ia?B:A)>>2];nc=ia?sc:oa;n[B>>2]=nc;oa=(f[s>>2]=cb,+n[s>>2]);cb=vc<oa;f[C>>2]=f[(cb?D:C)>>2];sc=cb?oa:vc;n[D>>2]=sc;vc=(f[s>>2]=wa,+n[s>>2]);wa=vc<mc;f[E>>2]=f[(wa?F:E)>>2];oa=wa?mc:vc;n[F>>2]=oa;vc=(f[s>>2]=Ra,+n[s>>2]);Ra=pc<vc;f[G>>2]=f[(Ra?H:G)>>2];mc=Ra?vc:pc;n[H>>2]=mc;pc=(f[s>>2]=Ia,+n[s>>2]);Ia=pc<oc;f[I>>2]=f[(Ia?J:I)>>2];vc=Ia?oc:pc;n[J>>2]=vc;Ia=qc<rc;f[K>>2]=f[(Ia?L:K)>>2];pc=Ia?rc:qc;n[L>>2]=pc;qc=+n[k>>2];rc=+n[z>>2];Ia=rc<qc;f[k>>2]=f[(Ia?z:k)>>2];oc=Ia?qc:rc;n[z>>2]=oc;rc=+n[v>>2];Ia=mc<rc;Ra=f[(Ia?H:v)>>2]|0;f[v>>2]=Ra;n[H>>2]=Ia?rc:mc;mc=(f[s>>2]=Ra,+n[s>>2]);Ra=oc<mc;f[v>>2]=f[(Ra?z:v)>>2];rc=Ra?mc:oc;n[z>>2]=rc;oc=+n[p>>2];Ra=sc<oc;f[p>>2]=f[(Ra?D:p)>>2];mc=Ra?oc:sc;n[D>>2]=mc;Ra=pc<mc;Ia=f[(Ra?L:D)>>2]|0;f[D>>2]=Ia;n[L>>2]=Ra?mc:pc;pc=(f[s>>2]=Ia,+n[s>>2]);Ia=pc<rc;Ra=f[(Ia?D:z)>>2]|0;f[z>>2]=Ra;n[D>>2]=Ia?rc:pc;pc=+n[m>>2];Ia=nc<pc;f[m>>2]=f[(Ia?B:m)>>2];rc=Ia?pc:nc;n[B>>2]=rc;Ia=f[(vc<+n[x>>2]?J:x)>>2]|0;f[x>>2]=Ia;wa=f[(rc<(f[s>>2]=Ia,+n[s>>2])?B:x)>>2]|0;f[x>>2]=wa;Ia=f[(oa<+n[r>>2]?F:r)>>2]|0;f[r>>2]=Ia;oa=(f[s>>2]=Ia,+n[s>>2]);rc=(f[s>>2]=wa,+n[s>>2]);vc=rc<oa?oa:rc;n[x>>2]=vc;rc=(f[s>>2]=Ra,+n[s>>2]);oa=rc<vc?vc:rc;rc=+n[l>>2];vc=+n[A>>2];nc=vc<rc?rc:vc;n[A>>2]=nc;Ra=f[(+n[I>>2]<+n[w>>2]?I:w)>>2]|0;f[w>>2]=Ra;vc=(f[s>>2]=Ra,+n[s>>2]);rc=nc<vc?vc:nc;n[A>>2]=rc;nc=+n[q>>2];vc=+n[E>>2];pc=vc<nc?nc:vc;n[E>>2]=pc;vc=pc<rc?pc:+n[A>>2];pc=+n[o>>2];rc=+n[C>>2];nc=rc<pc?pc:rc;n[C>>2]=nc;Ra=f[(+n[K>>2]<+n[y>>2]?K:y)>>2]|0;f[y>>2]=Ra;wa=nc<(f[s>>2]=Ra,+n[s>>2]);nc=wa?+n[C>>2]:(f[s>>2]=Ra,+n[s>>2]);rc=+n[t>>2];pc=+n[G>>2];mc=pc<rc?pc:rc;rc=nc<mc?mc:nc;nc=vc<rc?vc:rc;n[Ea+(xc<<2)>>2]=oa<nc?nc:oa;Ra=xc+1|0;if((xc|0)<(ua|0))xc=Ra;else{db=la;mb=Ra;continue n}}}if((Eb|0)==(Ba|0))break;else Ea=Ea+(ta<<2)|0}}break}default:{}}while(0);break a;break}default:{f[i>>2]=0;f[i+4>>2]=0;p8(-210,i,259155,5189)}}}while(0);i=Q+36|0;xc=f[i>>2]|0;if(xc|0?(G=xc+12|0,xc=f[G>>2]|0,f[G>>2]=xc+-1,(xc|0)==1):0)lP(Q);f[i>>2]=0;i=Q+16|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[R>>2]|0)>0){i=f[$>>2]|0;$=0;do{f[i+($<<2)>>2]=0;$=$+1|0}while(($|0)<(f[R>>2]|0))}R=f[Z>>2]|0;if((R|0)!=(X|0))tE(R);R=P+36|0;X=f[R>>2]|0;if(X|0?(Z=X+12|0,X=f[Z>>2]|0,f[Z>>2]=X+-1,(X|0)==1):0)lP(P);f[R>>2]=0;R=P+4|0;f[ca>>2]=0;f[ca+4>>2]=0;f[ca+8>>2]=0;f[ca+12>>2]=0;if((f[R>>2]|0)>0){ca=f[P+40>>2]|0;X=0;do{f[ca+(X<<2)>>2]=0;X=X+1|0}while((X|0)<(f[R>>2]|0))}R=f[P+44>>2]|0;if((R|0)!=(P+48|0))tE(R);R=N+36|0;P=f[R>>2]|0;if(P|0?(X=P+12|0,P=f[X>>2]|0,f[X>>2]=P+-1,(P|0)==1):0)lP(N);f[R>>2]=0;R=N+4|0;f[W>>2]=0;f[W+4>>2]=0;f[W+8>>2]=0;f[W+12>>2]=0;if((f[R>>2]|0)>0){W=f[ba>>2]|0;ba=0;do{f[W+(ba<<2)>>2]=0;ba=ba+1|0}while((ba|0)<(f[R>>2]|0))}R=f[N+44>>2]|0;if((R|0)!=(N+48|0))tE(R)}else FD(a,c);if(!(f[M+4>>2]|0)){u=g;return}u=g;return}
function e7(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0;g=u;u=u+16|0;a=g;h=f[c+8>>2]|0;i=d+8|0;if((h|0)!=(f[i>>2]|0)){f[a>>2]=0;f[a+4>>2]=0;j=YG(a,26)|0;k=253836;l=j+26|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));$6(-215,a,523657,2589)}m=f[c+12>>2]|0;n=d+12|0;if((m|0)!=(f[n>>2]|0)){f[a>>2]=0;f[a+4>>2]=0;j=YG(a,26)|0;k=253863;l=j+26|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));$6(-215,a,523657,2590)}if((e|0)!=8){f[a>>2]=0;f[a+4>>2]=0;j=YG(a,17)|0;k=253890;l=j+17|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));$6(-215,a,523657,2591)}a=sE((Y(((h+1|0)/2|0)<<2,(m+1|0)/2|0)|0)+4|0)|0;f[a>>2]=0;if((h|0)>0){k=c+16|0;j=c+44|0;l=d+16|0;e=d+44|0;o=(m|0)>0;p=1;q=0;while(1){r=f[f[j>>2]>>2]|0;s=(f[k>>2]|0)+(Y(r,q)|0)|0;t=0-r|0;v=s+t|0;w=v+t|0;t=s+r|0;r=f[f[e>>2]>>2]|0;x=(f[l>>2]|0)+(Y(r,q)|0)|0;y=0-r|0;r=x+y+y|0;if(o){y=(q|1|0)<(h|0);z=(q|0)>0;A=z^1;B=(q+-2|0)>-1;C=0;D=p;while(1){a:do if(!(b[s+C>>0]|0)){E=C|1;F=(E|0)<(m|0);if(y?b[t+C>>0]|0:0){G=C+-1|0;H=(C|0)>0;if(F?b[s+E>>0]|0:0){do if(H){if(b[s+G>>0]|0){do if(z){if(b[v+E>>0]|0){if(b[v+C>>0]|0){f[x+(C<<2)>>2]=f[x+(C+-2<<2)>>2];I=D;break a}do if(B){if(!(b[w+C>>0]|0))break;J=C+-2|0;if(b[v+G>>0]|0){f[x+(C<<2)>>2]=f[x+(J<<2)>>2];I=D;break a}do if((J|0)>-1){if(!(b[v+J>>0]|0))break;if(b[w+G>>0]|0){f[x+(C<<2)>>2]=f[x+(J<<2)>>2];I=D;break a}K=f[r+(C<<2)>>2]|0;L=f[x+(J<<2)>>2]|0;M=K;while(1){N=f[a+(M<<2)>>2]|0;if((N|0)<(M|0))M=N;else break}if((K|0)==(L|0))O=M;else{N=L;while(1){P=f[a+(N<<2)>>2]|0;if((P|0)<(N|0))N=P;else break}P=(M|0)>(N|0)?N:M;Q=L;do{R=a+(Q<<2)|0;S=Q;Q=f[R>>2]|0;f[R>>2]=P}while((Q|0)<(S|0));O=P}P=K;do{Q=a+(P<<2)|0;L=P;P=f[Q>>2]|0;f[Q>>2]=O}while((P|0)<(L|0));f[x+(C<<2)>>2]=O;I=D;break a}while(0);P=f[r+(C<<2)>>2]|0;K=f[x+(J<<2)>>2]|0;L=P;while(1){Q=f[a+(L<<2)>>2]|0;if((Q|0)<(L|0))L=Q;else break}if((P|0)==(K|0))T=L;else{J=K;while(1){Q=f[a+(J<<2)>>2]|0;if((Q|0)<(J|0))J=Q;else break}Q=(L|0)>(J|0)?J:L;M=K;do{N=a+(M<<2)|0;S=M;M=f[N>>2]|0;f[N>>2]=Q}while((M|0)<(S|0));T=Q}Q=P;do{M=a+(Q<<2)|0;K=Q;Q=f[M>>2]|0;f[M>>2]=T}while((Q|0)<(K|0));f[x+(C<<2)>>2]=T;I=D;break a}while(0);Q=f[r+(C<<2)>>2]|0;P=f[x+(C+-2<<2)>>2]|0;K=Q;while(1){M=f[a+(K<<2)>>2]|0;if((M|0)<(K|0))K=M;else break}if((Q|0)==(P|0))U=K;else{M=P;while(1){L=f[a+(M<<2)>>2]|0;if((L|0)<(M|0))M=L;else break}L=(K|0)>(M|0)?M:K;J=P;do{S=a+(J<<2)|0;N=J;J=f[S>>2]|0;f[S>>2]=L}while((J|0)<(N|0));U=L}L=Q;do{J=a+(L<<2)|0;P=L;L=f[J>>2]|0;f[J>>2]=U}while((L|0)<(P|0));f[x+(C<<2)>>2]=U;I=D;break a}L=C+2|0;if((L|0)>=(m|0))break;if(!(b[v+L>>0]|0))break;do if(B){if(!(b[w+E>>0]|0))break;if(b[v+C>>0]|0){f[x+(C<<2)>>2]=f[x+(C+-2<<2)>>2];I=D;break a}if(!(b[w+C>>0]|0)){Q=f[r+(L<<2)>>2]|0;P=f[x+(C+-2<<2)>>2]|0;J=Q;while(1){K=f[a+(J<<2)>>2]|0;if((K|0)<(J|0))J=K;else break}if((Q|0)==(P|0))V=J;else{K=P;while(1){M=f[a+(K<<2)>>2]|0;if((M|0)<(K|0))K=M;else break}M=(J|0)>(K|0)?K:J;N=P;do{S=a+(N<<2)|0;R=N;N=f[S>>2]|0;f[S>>2]=M}while((N|0)<(R|0));V=M}M=Q;do{N=a+(M<<2)|0;P=M;M=f[N>>2]|0;f[N>>2]=V}while((M|0)<(P|0));f[x+(C<<2)>>2]=V;I=D;break a}M=C+-2|0;if(b[v+G>>0]|0){f[x+(C<<2)>>2]=f[x+(M<<2)>>2];I=D;break a}do if((M|0)>-1){if(!(b[v+M>>0]|0))break;if(b[w+G>>0]|0){f[x+(C<<2)>>2]=f[x+(M<<2)>>2];I=D;break a}Q=f[r+(L<<2)>>2]|0;P=f[x+(M<<2)>>2]|0;N=Q;while(1){J=f[a+(N<<2)>>2]|0;if((J|0)<(N|0))N=J;else break}if((Q|0)==(P|0))W=N;else{J=P;while(1){K=f[a+(J<<2)>>2]|0;if((K|0)<(J|0))J=K;else break}K=(N|0)>(J|0)?J:N;R=P;do{S=a+(R<<2)|0;X=R;R=f[S>>2]|0;f[S>>2]=K}while((R|0)<(X|0));W=K}K=Q;do{R=a+(K<<2)|0;P=K;K=f[R>>2]|0;f[R>>2]=W}while((K|0)<(P|0));f[x+(C<<2)>>2]=W;I=D;break a}while(0);K=f[r+(L<<2)>>2]|0;Q=f[x+(M<<2)>>2]|0;P=K;while(1){R=f[a+(P<<2)>>2]|0;if((R|0)<(P|0))P=R;else break}if((K|0)==(Q|0))Z=P;else{M=Q;while(1){R=f[a+(M<<2)>>2]|0;if((R|0)<(M|0))M=R;else break}R=(P|0)>(M|0)?M:P;N=Q;do{J=a+(N<<2)|0;X=N;N=f[J>>2]|0;f[J>>2]=R}while((N|0)<(X|0));Z=R}R=K;do{N=a+(R<<2)|0;Q=R;R=f[N>>2]|0;f[N>>2]=Z}while((R|0)<(Q|0));f[x+(C<<2)>>2]=Z;I=D;break a}while(0);R=f[r+(L<<2)>>2]|0;K=f[x+(C+-2<<2)>>2]|0;Q=R;while(1){N=f[a+(Q<<2)>>2]|0;if((N|0)<(Q|0))Q=N;else break}if((R|0)==(K|0))_=Q;else{L=K;while(1){N=f[a+(L<<2)>>2]|0;if((N|0)<(L|0))L=N;else break}N=(Q|0)>(L|0)?L:Q;P=K;do{M=a+(P<<2)|0;X=P;P=f[M>>2]|0;f[M>>2]=N}while((P|0)<(X|0));_=N}N=R;do{P=a+(N<<2)|0;K=N;N=f[P>>2]|0;f[P>>2]=_}while((N|0)<(K|0));f[x+(C<<2)>>2]=_;I=D;break a}while(0);f[x+(C<<2)>>2]=f[x+(C+-2<<2)>>2];I=D;break a}if(!(b[t+G>>0]|0))break;do if(z){if(b[v+E>>0]|0){N=C+-2|0;do if((N|0)>-1){if(!(b[s+N>>0]|0))break;if(b[v+G>>0]|0){R=f[x+(N<<2)>>2]|0;if(b[v+C>>0]|0){f[x+(C<<2)>>2]=R;I=D;break a}do if(B){if(!(b[w+C>>0]|0))break;f[x+(C<<2)>>2]=R;I=D;break a}while(0);K=f[r+(C<<2)>>2]|0;P=K;while(1){Q=f[a+(P<<2)>>2]|0;if((Q|0)<(P|0))P=Q;else break}if((K|0)==(R|0))$=P;else{Q=R;while(1){L=f[a+(Q<<2)>>2]|0;if((L|0)<(Q|0))Q=L;else break}L=(P|0)>(Q|0)?Q:P;X=R;do{M=a+(X<<2)|0;J=X;X=f[M>>2]|0;f[M>>2]=L}while((X|0)<(J|0));$=L}L=K;do{X=a+(L<<2)|0;R=L;L=f[X>>2]|0;f[X>>2]=$}while((L|0)<(R|0));f[x+(C<<2)>>2]=$;I=D;break a}if(!(b[v+N>>0]|0)){L=f[r+(C<<2)>>2]|0;K=f[x+(N<<2)>>2]|0;R=L;while(1){X=f[a+(R<<2)>>2]|0;if((X|0)<(R|0))R=X;else break}if((L|0)==(K|0))aa=R;else{X=K;while(1){P=f[a+(X<<2)>>2]|0;if((P|0)<(X|0))X=P;else break}P=(R|0)>(X|0)?X:R;Q=K;do{J=a+(Q<<2)|0;M=Q;Q=f[J>>2]|0;f[J>>2]=P}while((Q|0)<(M|0));aa=P}P=L;do{Q=a+(P<<2)|0;K=P;P=f[Q>>2]|0;f[Q>>2]=aa}while((P|0)<(K|0));f[x+(C<<2)>>2]=aa;I=D;break a}do if(B){if(!(b[w+G>>0]|0))break;P=f[x+(N<<2)>>2]|0;if(b[v+C>>0]|0){f[x+(C<<2)>>2]=P;I=D;break a}if(b[w+C>>0]|0){f[x+(C<<2)>>2]=P;I=D;break a}L=f[r+(C<<2)>>2]|0;K=L;while(1){Q=f[a+(K<<2)>>2]|0;if((Q|0)<(K|0))K=Q;else break}if((L|0)==(P|0))ba=K;else{Q=P;while(1){R=f[a+(Q<<2)>>2]|0;if((R|0)<(Q|0))Q=R;else break}R=(K|0)>(Q|0)?Q:K;X=P;do{M=a+(X<<2)|0;J=X;X=f[M>>2]|0;f[M>>2]=R}while((X|0)<(J|0));ba=R}R=L;do{X=a+(R<<2)|0;P=R;R=f[X>>2]|0;f[X>>2]=ba}while((R|0)<(P|0));f[x+(C<<2)>>2]=ba;I=D;break a}while(0);R=f[r+(C<<2)>>2]|0;L=f[x+(N<<2)>>2]|0;P=R;while(1){X=f[a+(P<<2)>>2]|0;if((X|0)<(P|0))P=X;else break}if((R|0)==(L|0))ca=P;else{X=L;while(1){K=f[a+(X<<2)>>2]|0;if((K|0)<(X|0))X=K;else break}K=(P|0)>(X|0)?X:P;Q=L;do{J=a+(Q<<2)|0;M=Q;Q=f[J>>2]|0;f[J>>2]=K}while((Q|0)<(M|0));ca=K}K=R;do{Q=a+(K<<2)|0;L=K;K=f[Q>>2]|0;f[Q>>2]=ca}while((K|0)<(L|0));f[x+(C<<2)>>2]=ca;I=D;break a}while(0);K=f[r+(C<<2)>>2]|0;R=f[x+(N<<2)>>2]|0;L=K;while(1){Q=f[a+(L<<2)>>2]|0;if((Q|0)<(L|0))L=Q;else break}if((K|0)==(R|0))da=L;else{N=R;while(1){Q=f[a+(N<<2)>>2]|0;if((Q|0)<(N|0))N=Q;else break}Q=(L|0)>(N|0)?N:L;P=R;do{X=a+(P<<2)|0;M=P;P=f[X>>2]|0;f[X>>2]=Q}while((P|0)<(M|0));da=Q}Q=K;do{P=a+(Q<<2)|0;R=Q;Q=f[P>>2]|0;f[P>>2]=da}while((Q|0)<(R|0));f[x+(C<<2)>>2]=da;I=D;break a}Q=C+2|0;do if(!((Q|0)>=(m|0)|A)){if(!(b[v+Q>>0]|0))break;do if(B){if(!(b[w+E>>0]|0))break;K=C+-2|0;do if((K|0)>-1){if(!(b[s+K>>0]|0))break;if(b[v+G>>0]|0){R=f[x+(K<<2)>>2]|0;if(b[v+C>>0]|0){f[x+(C<<2)>>2]=R;I=D;break a}if(b[w+C>>0]|0){f[x+(C<<2)>>2]=R;I=D;break a}P=f[r+(Q<<2)>>2]|0;L=P;while(1){N=f[a+(L<<2)>>2]|0;if((N|0)<(L|0))L=N;else break}if((P|0)==(R|0))ea=L;else{N=R;while(1){M=f[a+(N<<2)>>2]|0;if((M|0)<(N|0))N=M;else break}M=(L|0)>(N|0)?N:L;X=R;do{J=a+(X<<2)|0;S=X;X=f[J>>2]|0;f[J>>2]=M}while((X|0)<(S|0));ea=M}M=P;do{X=a+(M<<2)|0;R=M;M=f[X>>2]|0;f[X>>2]=ea}while((M|0)<(R|0));f[x+(C<<2)>>2]=ea;I=D;break a}if(!(b[v+K>>0]|0)){M=f[r+(Q<<2)>>2]|0;P=f[x+(K<<2)>>2]|0;R=M;while(1){X=f[a+(R<<2)>>2]|0;if((X|0)<(R|0))R=X;else break}if((M|0)==(P|0))fa=R;else{X=P;while(1){L=f[a+(X<<2)>>2]|0;if((L|0)<(X|0))X=L;else break}L=(R|0)>(X|0)?X:R;N=P;do{S=a+(N<<2)|0;J=N;N=f[S>>2]|0;f[S>>2]=L}while((N|0)<(J|0));fa=L}L=M;do{N=a+(L<<2)|0;P=L;L=f[N>>2]|0;f[N>>2]=fa}while((L|0)<(P|0));f[x+(C<<2)>>2]=fa;I=D;break a}if(!(b[w+G>>0]|0)){L=f[r+(Q<<2)>>2]|0;M=f[x+(K<<2)>>2]|0;P=L;while(1){N=f[a+(P<<2)>>2]|0;if((N|0)<(P|0))P=N;else break}if((L|0)==(M|0))ga=P;else{N=M;while(1){R=f[a+(N<<2)>>2]|0;if((R|0)<(N|0))N=R;else break}R=(P|0)>(N|0)?N:P;X=M;do{J=a+(X<<2)|0;S=X;X=f[J>>2]|0;f[J>>2]=R}while((X|0)<(S|0));ga=R}R=L;do{X=a+(R<<2)|0;M=R;R=f[X>>2]|0;f[X>>2]=ga}while((R|0)<(M|0));f[x+(C<<2)>>2]=ga;I=D;break a}R=f[x+(K<<2)>>2]|0;if(b[v+C>>0]|0){f[x+(C<<2)>>2]=R;I=D;break a}if(b[w+C>>0]|0){f[x+(C<<2)>>2]=R;I=D;break a}L=f[r+(Q<<2)>>2]|0;M=L;while(1){X=f[a+(M<<2)>>2]|0;if((X|0)<(M|0))M=X;else break}if((L|0)==(R|0))ha=M;else{X=R;while(1){P=f[a+(X<<2)>>2]|0;if((P|0)<(X|0))X=P;else break}P=(M|0)>(X|0)?X:M;N=R;do{S=a+(N<<2)|0;J=N;N=f[S>>2]|0;f[S>>2]=P}while((N|0)<(J|0));ha=P}P=L;do{N=a+(P<<2)|0;R=P;P=f[N>>2]|0;f[N>>2]=ha}while((P|0)<(R|0));f[x+(C<<2)>>2]=ha;I=D;break a}while(0);P=f[r+(Q<<2)>>2]|0;L=f[x+(K<<2)>>2]|0;R=P;while(1){N=f[a+(R<<2)>>2]|0;if((N|0)<(R|0))R=N;else break}if((P|0)==(L|0))ia=R;else{K=L;while(1){N=f[a+(K<<2)>>2]|0;if((N|0)<(K|0))K=N;else break}N=(R|0)>(K|0)?K:R;M=L;do{X=a+(M<<2)|0;J=M;M=f[X>>2]|0;f[X>>2]=N}while((M|0)<(J|0));ia=N}N=P;do{M=a+(N<<2)|0;L=N;N=f[M>>2]|0;f[M>>2]=ia}while((N|0)<(L|0));f[x+(C<<2)>>2]=ia;I=D;break a}while(0);N=C+-2|0;if(!(b[v+C>>0]|0)){P=f[r+(Q<<2)>>2]|0;L=f[x+(N<<2)>>2]|0;M=P;while(1){R=f[a+(M<<2)>>2]|0;if((R|0)<(M|0))M=R;else break}if((P|0)==(L|0))ja=M;else{R=L;while(1){K=f[a+(R<<2)>>2]|0;if((K|0)<(R|0))R=K;else break}K=(M|0)>(R|0)?R:M;J=L;do{X=a+(J<<2)|0;S=J;J=f[X>>2]|0;f[X>>2]=K}while((J|0)<(S|0));ja=K}K=P;do{J=a+(K<<2)|0;L=K;K=f[J>>2]|0;f[J>>2]=ja}while((K|0)<(L|0));f[x+(C<<2)>>2]=ja;I=D;break a}do if((N|0)>-1){if(!(b[s+N>>0]|0))break;if(b[v+G>>0]|0){K=f[r+(Q<<2)>>2]|0;P=f[x+(N<<2)>>2]|0;L=K;while(1){J=f[a+(L<<2)>>2]|0;if((J|0)<(L|0))L=J;else break}if((K|0)==(P|0))ka=L;else{J=P;while(1){M=f[a+(J<<2)>>2]|0;if((M|0)<(J|0))J=M;else break}M=(L|0)>(J|0)?J:L;R=P;do{S=a+(R<<2)|0;X=R;R=f[S>>2]|0;f[S>>2]=M}while((R|0)<(X|0));ka=M}M=K;do{R=a+(M<<2)|0;P=M;M=f[R>>2]|0;f[R>>2]=ka}while((M|0)<(P|0));f[x+(C<<2)>>2]=ka;I=D;break a}if(!(b[v+N>>0]|0)){M=f[r+(C<<2)>>2]|0;K=f[r+(Q<<2)>>2]|0;P=M;while(1){R=f[a+(P<<2)>>2]|0;if((R|0)<(P|0))P=R;else break}if((M|0)==(K|0))la=P;else{R=K;while(1){L=f[a+(R<<2)>>2]|0;if((L|0)<(R|0))R=L;else break}L=(P|0)>(R|0)?R:P;J=K;do{X=a+(J<<2)|0;S=J;J=f[X>>2]|0;f[X>>2]=L}while((J|0)<(S|0));la=L}L=M;do{J=a+(L<<2)|0;K=L;L=f[J>>2]|0;f[J>>2]=la}while((L|0)<(K|0));L=f[x+(N<<2)>>2]|0;M=la;while(1){K=f[a+(M<<2)>>2]|0;if((K|0)<(M|0))M=K;else break}if((la|0)==(L|0))ma=M;else{K=L;while(1){J=f[a+(K<<2)>>2]|0;if((J|0)<(K|0))K=J;else break}J=(M|0)>(K|0)?K:M;P=L;do{R=a+(P<<2)|0;S=P;P=f[R>>2]|0;f[R>>2]=J}while((P|0)<(S|0));ma=J}J=la;do{P=a+(J<<2)|0;L=J;J=f[P>>2]|0;f[P>>2]=ma}while((J|0)<(L|0));f[x+(C<<2)>>2]=ma;I=D;break a}do if(B){if(!(b[w+G>>0]|0))break;J=f[r+(Q<<2)>>2]|0;L=f[x+(N<<2)>>2]|0;P=J;while(1){M=f[a+(P<<2)>>2]|0;if((M|0)<(P|0))P=M;else break}if((J|0)==(L|0))na=P;else{M=L;while(1){K=f[a+(M<<2)>>2]|0;if((K|0)<(M|0))M=K;else break}K=(P|0)>(M|0)?M:P;S=L;do{R=a+(S<<2)|0;X=S;S=f[R>>2]|0;f[R>>2]=K}while((S|0)<(X|0));na=K}K=J;do{S=a+(K<<2)|0;L=K;K=f[S>>2]|0;f[S>>2]=na}while((K|0)<(L|0));f[x+(C<<2)>>2]=na;I=D;break a}while(0);K=f[r+(C<<2)>>2]|0;J=f[r+(Q<<2)>>2]|0;L=K;while(1){S=f[a+(L<<2)>>2]|0;if((S|0)<(L|0))L=S;else break}if((K|0)==(J|0))oa=L;else{S=J;while(1){P=f[a+(S<<2)>>2]|0;if((P|0)<(S|0))S=P;else break}P=(L|0)>(S|0)?S:L;M=J;do{X=a+(M<<2)|0;R=M;M=f[X>>2]|0;f[X>>2]=P}while((M|0)<(R|0));oa=P}P=K;do{M=a+(P<<2)|0;J=P;P=f[M>>2]|0;f[M>>2]=oa}while((P|0)<(J|0));P=f[x+(N<<2)>>2]|0;K=oa;while(1){J=f[a+(K<<2)>>2]|0;if((J|0)<(K|0))K=J;else break}if((oa|0)==(P|0))pa=K;else{J=P;while(1){M=f[a+(J<<2)>>2]|0;if((M|0)<(J|0))J=M;else break}M=(K|0)>(J|0)?J:K;L=P;do{S=a+(L<<2)|0;R=L;L=f[S>>2]|0;f[S>>2]=M}while((L|0)<(R|0));pa=M}M=oa;do{L=a+(M<<2)|0;P=M;M=f[L>>2]|0;f[L>>2]=pa}while((M|0)<(P|0));f[x+(C<<2)>>2]=pa;I=D;break a}while(0);M=f[r+(C<<2)>>2]|0;P=f[r+(Q<<2)>>2]|0;L=M;while(1){K=f[a+(L<<2)>>2]|0;if((K|0)<(L|0))L=K;else break}if((M|0)==(P|0))qa=L;else{K=P;while(1){J=f[a+(K<<2)>>2]|0;if((J|0)<(K|0))K=J;else break}J=(L|0)>(K|0)?K:L;R=P;do{S=a+(R<<2)|0;X=R;R=f[S>>2]|0;f[S>>2]=J}while((R|0)<(X|0));qa=J}J=M;do{R=a+(J<<2)|0;P=J;J=f[R>>2]|0;f[R>>2]=qa}while((J|0)<(P|0));J=f[x+(N<<2)>>2]|0;M=qa;while(1){P=f[a+(M<<2)>>2]|0;if((P|0)<(M|0))M=P;else break}if((qa|0)==(J|0))ra=M;else{N=J;while(1){P=f[a+(N<<2)>>2]|0;if((P|0)<(N|0))N=P;else break}P=(M|0)>(N|0)?N:M;R=J;do{L=a+(R<<2)|0;K=R;R=f[L>>2]|0;f[L>>2]=P}while((R|0)<(K|0));ra=P}P=qa;do{R=a+(P<<2)|0;J=P;P=f[R>>2]|0;f[R>>2]=ra}while((P|0)<(J|0));f[x+(C<<2)>>2]=ra;I=D;break a}while(0);Q=C+-2|0;if(!(b[v+C>>0]|0)){sa=Q;break}do if((Q|0)>-1){if(!(b[s+Q>>0]|0))break;if(b[v+G>>0]|0){f[x+(C<<2)>>2]=f[x+(Q<<2)>>2];I=D;break a}if(!(b[v+Q>>0]|0)){P=f[r+(C<<2)>>2]|0;J=f[x+(Q<<2)>>2]|0;R=P;while(1){M=f[a+(R<<2)>>2]|0;if((M|0)<(R|0))R=M;else break}if((P|0)==(J|0))ta=R;else{M=J;while(1){N=f[a+(M<<2)>>2]|0;if((N|0)<(M|0))M=N;else break}N=(R|0)>(M|0)?M:R;K=J;do{L=a+(K<<2)|0;X=K;K=f[L>>2]|0;f[L>>2]=N}while((K|0)<(X|0));ta=N}N=P;do{K=a+(N<<2)|0;J=N;N=f[K>>2]|0;f[K>>2]=ta}while((N|0)<(J|0));f[x+(C<<2)>>2]=ta;I=D;break a}do if(B){if(!(b[w+G>>0]|0))break;f[x+(C<<2)>>2]=f[x+(Q<<2)>>2];I=D;break a}while(0);N=f[r+(C<<2)>>2]|0;P=f[x+(Q<<2)>>2]|0;J=N;while(1){K=f[a+(J<<2)>>2]|0;if((K|0)<(J|0))J=K;else break}if((N|0)==(P|0))ua=J;else{K=P;while(1){R=f[a+(K<<2)>>2]|0;if((R|0)<(K|0))K=R;else break}R=(J|0)>(K|0)?K:J;M=P;do{X=a+(M<<2)|0;L=M;M=f[X>>2]|0;f[X>>2]=R}while((M|0)<(L|0));ua=R}R=N;do{M=a+(R<<2)|0;P=R;R=f[M>>2]|0;f[M>>2]=ua}while((R|0)<(P|0));f[x+(C<<2)>>2]=ua;I=D;break a}while(0);R=f[r+(C<<2)>>2]|0;N=f[x+(Q<<2)>>2]|0;P=R;while(1){M=f[a+(P<<2)>>2]|0;if((M|0)<(P|0))P=M;else break}if((R|0)==(N|0))va=P;else{Q=N;while(1){M=f[a+(Q<<2)>>2]|0;if((M|0)<(Q|0))Q=M;else break}M=(P|0)>(Q|0)?Q:P;J=N;do{K=a+(J<<2)|0;L=J;J=f[K>>2]|0;f[K>>2]=M}while((J|0)<(L|0));va=M}M=R;do{J=a+(M<<2)|0;N=M;M=f[J>>2]|0;f[J>>2]=va}while((M|0)<(N|0));f[x+(C<<2)>>2]=va;I=D;break a}else sa=C+-2|0;while(0);f[x+(C<<2)>>2]=f[x+(sa<<2)>>2];I=D;break a}while(0);do if(z){if(b[v+E>>0]|0){f[x+(C<<2)>>2]=f[r+(C<<2)>>2];I=D;break a}M=C+2|0;do if(!((M|0)>=(m|0)|A)){if(!(b[v+M>>0]|0))break;if(!(b[v+C>>0]|0)){f[x+(C<<2)>>2]=f[r+(M<<2)>>2];I=D;break a}do if(B){if(!(b[w+E>>0]|0))break;f[x+(C<<2)>>2]=f[r+(M<<2)>>2];I=D;break a}while(0);R=f[r+(C<<2)>>2]|0;N=f[r+(M<<2)>>2]|0;J=R;while(1){P=f[a+(J<<2)>>2]|0;if((P|0)<(J|0))J=P;else break}if((R|0)==(N|0))wa=J;else{P=N;while(1){Q=f[a+(P<<2)>>2]|0;if((Q|0)<(P|0))P=Q;else break}Q=(J|0)>(P|0)?P:J;L=N;do{K=a+(L<<2)|0;X=L;L=f[K>>2]|0;f[K>>2]=Q}while((L|0)<(X|0));wa=Q}Q=R;do{L=a+(Q<<2)|0;N=Q;Q=f[L>>2]|0;f[L>>2]=wa}while((Q|0)<(N|0));f[x+(C<<2)>>2]=wa;I=D;break a}while(0);if(!(b[v+C>>0]|0))break;f[x+(C<<2)>>2]=f[r+(C<<2)>>2];I=D;break a}while(0);f[x+(C<<2)>>2]=D;f[a+(D<<2)>>2]=D;I=D+1|0;break}if(H){if(b[t+G>>0]|0){f[x+(C<<2)>>2]=f[x+(C+-2<<2)>>2];I=D;break}if(b[s+G>>0]|0){f[x+(C<<2)>>2]=f[x+(C+-2<<2)>>2];I=D;break}}f[x+(C<<2)>>2]=D;f[a+(D<<2)>>2]=D;I=D+1|0;break}do if(F){if(!(b[s+E>>0]|0)){if(!y)break;if(!(b[t+E>>0]|0))break;f[x+(C<<2)>>2]=D;f[a+(D<<2)>>2]=D;I=D+1|0;break a}if(z){if(b[v+E>>0]|0){f[x+(C<<2)>>2]=f[r+(C<<2)>>2];I=D;break a}M=C+2|0;do if(!((M|0)>=(m|0)|A)){if(!(b[v+M>>0]|0))break;if(!(b[v+C>>0]|0)){f[x+(C<<2)>>2]=f[r+(M<<2)>>2];I=D;break a}do if(B){if(!(b[w+E>>0]|0))break;f[x+(C<<2)>>2]=f[r+(M<<2)>>2];I=D;break a}while(0);Q=f[r+(C<<2)>>2]|0;R=f[r+(M<<2)>>2]|0;N=Q;while(1){L=f[a+(N<<2)>>2]|0;if((L|0)<(N|0))N=L;else break}if((Q|0)==(R|0))xa=N;else{L=R;while(1){J=f[a+(L<<2)>>2]|0;if((J|0)<(L|0))L=J;else break}J=(N|0)>(L|0)?L:N;P=R;do{X=a+(P<<2)|0;K=P;P=f[X>>2]|0;f[X>>2]=J}while((P|0)<(K|0));xa=J}J=Q;do{P=a+(J<<2)|0;R=J;J=f[P>>2]|0;f[P>>2]=xa}while((J|0)<(R|0));f[x+(C<<2)>>2]=xa;I=D;break a}while(0);if(b[v+C>>0]|0){f[x+(C<<2)>>2]=f[r+(C<<2)>>2];I=D;break a}}f[x+(C<<2)>>2]=D;f[a+(D<<2)>>2]=D;I=D+1|0;break a}while(0);f[x+(C<<2)>>2]=0;I=D}else{E=C+-1|0;F=(C|0)>0;if(F){if(b[s+E>>0]|0){G=C|1;H=(G|0)<(m|0);if(z&H?b[v+G>>0]|0:0){if(b[v+C>>0]|0){f[x+(C<<2)>>2]=f[x+(C+-2<<2)>>2];I=D;break}do if(B){if(!(b[w+C>>0]|0))break;M=C+-2|0;if(b[v+E>>0]|0){f[x+(C<<2)>>2]=f[x+(M<<2)>>2];I=D;break a}do if((M|0)>-1){if(!(b[v+M>>0]|0))break;if(b[w+E>>0]|0){f[x+(C<<2)>>2]=f[x+(M<<2)>>2];I=D;break a}J=f[r+(C<<2)>>2]|0;Q=f[x+(M<<2)>>2]|0;R=J;while(1){P=f[a+(R<<2)>>2]|0;if((P|0)<(R|0))R=P;else break}if((J|0)==(Q|0))ya=R;else{P=Q;while(1){N=f[a+(P<<2)>>2]|0;if((N|0)<(P|0))P=N;else break}N=(R|0)>(P|0)?P:R;L=Q;do{K=a+(L<<2)|0;X=L;L=f[K>>2]|0;f[K>>2]=N}while((L|0)<(X|0));ya=N}N=J;do{L=a+(N<<2)|0;Q=N;N=f[L>>2]|0;f[L>>2]=ya}while((N|0)<(Q|0));f[x+(C<<2)>>2]=ya;I=D;break a}while(0);N=f[r+(C<<2)>>2]|0;J=f[x+(M<<2)>>2]|0;Q=N;while(1){L=f[a+(Q<<2)>>2]|0;if((L|0)<(Q|0))Q=L;else break}if((N|0)==(J|0))za=Q;else{M=J;while(1){L=f[a+(M<<2)>>2]|0;if((L|0)<(M|0))M=L;else break}L=(Q|0)>(M|0)?M:Q;R=J;do{P=a+(R<<2)|0;X=R;R=f[P>>2]|0;f[P>>2]=L}while((R|0)<(X|0));za=L}L=N;do{R=a+(L<<2)|0;J=L;L=f[R>>2]|0;f[R>>2]=za}while((L|0)<(J|0));f[x+(C<<2)>>2]=za;I=D;break a}while(0);L=f[r+(C<<2)>>2]|0;N=f[x+(C+-2<<2)>>2]|0;J=L;while(1){R=f[a+(J<<2)>>2]|0;if((R|0)<(J|0))J=R;else break}if((L|0)==(N|0))Aa=J;else{R=N;while(1){Q=f[a+(R<<2)>>2]|0;if((Q|0)<(R|0))R=Q;else break}Q=(J|0)>(R|0)?R:J;M=N;do{X=a+(M<<2)|0;P=M;M=f[X>>2]|0;f[X>>2]=Q}while((M|0)<(P|0));Aa=Q}Q=L;do{M=a+(Q<<2)|0;N=Q;Q=f[M>>2]|0;f[M>>2]=Aa}while((Q|0)<(N|0));f[x+(C<<2)>>2]=Aa;I=D;break}if(H?b[s+G>>0]|0:0){Q=C+2|0;do if(z&(Q|0)<(m|0)){if(!(b[v+Q>>0]|0))break;do if(B){if(!(b[w+G>>0]|0))break;if(b[v+C>>0]|0){f[x+(C<<2)>>2]=f[x+(C+-2<<2)>>2];I=D;break a}if(!(b[w+C>>0]|0)){L=f[r+(Q<<2)>>2]|0;N=f[x+(C+-2<<2)>>2]|0;M=L;while(1){J=f[a+(M<<2)>>2]|0;if((J|0)<(M|0))M=J;else break}if((L|0)==(N|0))Ba=M;else{J=N;while(1){R=f[a+(J<<2)>>2]|0;if((R|0)<(J|0))J=R;else break}R=(M|0)>(J|0)?J:M;P=N;do{X=a+(P<<2)|0;K=P;P=f[X>>2]|0;f[X>>2]=R}while((P|0)<(K|0));Ba=R}R=L;do{P=a+(R<<2)|0;N=R;R=f[P>>2]|0;f[P>>2]=Ba}while((R|0)<(N|0));f[x+(C<<2)>>2]=Ba;I=D;break a}R=C+-2|0;if(b[v+E>>0]|0){f[x+(C<<2)>>2]=f[x+(R<<2)>>2];I=D;break a}do if((R|0)>-1){if(!(b[v+R>>0]|0))break;if(b[w+E>>0]|0){f[x+(C<<2)>>2]=f[x+(R<<2)>>2];I=D;break a}L=f[r+(Q<<2)>>2]|0;N=f[x+(R<<2)>>2]|0;P=L;while(1){M=f[a+(P<<2)>>2]|0;if((M|0)<(P|0))P=M;else break}if((L|0)==(N|0))Ca=P;else{M=N;while(1){J=f[a+(M<<2)>>2]|0;if((J|0)<(M|0))M=J;else break}J=(P|0)>(M|0)?M:P;K=N;do{X=a+(K<<2)|0;S=K;K=f[X>>2]|0;f[X>>2]=J}while((K|0)<(S|0));Ca=J}J=L;do{K=a+(J<<2)|0;N=J;J=f[K>>2]|0;f[K>>2]=Ca}while((J|0)<(N|0));f[x+(C<<2)>>2]=Ca;I=D;break a}while(0);J=f[r+(Q<<2)>>2]|0;L=f[x+(R<<2)>>2]|0;N=J;while(1){K=f[a+(N<<2)>>2]|0;if((K|0)<(N|0))N=K;else break}if((J|0)==(L|0))Da=N;else{R=L;while(1){K=f[a+(R<<2)>>2]|0;if((K|0)<(R|0))R=K;else break}K=(N|0)>(R|0)?R:N;P=L;do{M=a+(P<<2)|0;S=P;P=f[M>>2]|0;f[M>>2]=K}while((P|0)<(S|0));Da=K}K=J;do{P=a+(K<<2)|0;L=K;K=f[P>>2]|0;f[P>>2]=Da}while((K|0)<(L|0));f[x+(C<<2)>>2]=Da;I=D;break a}while(0);K=f[r+(Q<<2)>>2]|0;J=f[x+(C+-2<<2)>>2]|0;L=K;while(1){P=f[a+(L<<2)>>2]|0;if((P|0)<(L|0))L=P;else break}if((K|0)==(J|0))Ea=L;else{P=J;while(1){N=f[a+(P<<2)>>2]|0;if((N|0)<(P|0))P=N;else break}N=(L|0)>(P|0)?P:L;R=J;do{S=a+(R<<2)|0;M=R;R=f[S>>2]|0;f[S>>2]=N}while((R|0)<(M|0));Ea=N}N=K;do{R=a+(N<<2)|0;J=N;N=f[R>>2]|0;f[R>>2]=Ea}while((N|0)<(J|0));f[x+(C<<2)>>2]=Ea;I=D;break a}while(0);f[x+(C<<2)>>2]=f[x+(C+-2<<2)>>2];I=D;break}f[x+(C<<2)>>2]=f[x+(C+-2<<2)>>2];I=D;break}if(y?b[t+E>>0]|0:0){Q=C|1;G=(Q|0)<(m|0);if(!(A|G^1)?b[v+Q>>0]|0:0){H=C+-2|0;do if((H|0)>-1){if(!(b[s+H>>0]|0))break;if(b[v+E>>0]|0){N=f[x+(H<<2)>>2]|0;if(b[v+C>>0]|0){f[x+(C<<2)>>2]=N;I=D;break a}do if(B){if(!(b[w+C>>0]|0))break;f[x+(C<<2)>>2]=N;I=D;break a}while(0);K=f[r+(C<<2)>>2]|0;J=K;while(1){R=f[a+(J<<2)>>2]|0;if((R|0)<(J|0))J=R;else break}if((K|0)==(N|0))Fa=J;else{R=N;while(1){L=f[a+(R<<2)>>2]|0;if((L|0)<(R|0))R=L;else break}L=(J|0)>(R|0)?R:J;P=N;do{M=a+(P<<2)|0;S=P;P=f[M>>2]|0;f[M>>2]=L}while((P|0)<(S|0));Fa=L}L=K;do{P=a+(L<<2)|0;N=L;L=f[P>>2]|0;f[P>>2]=Fa}while((L|0)<(N|0));f[x+(C<<2)>>2]=Fa;I=D;break a}if(!(b[v+H>>0]|0)){L=f[r+(C<<2)>>2]|0;K=f[x+(H<<2)>>2]|0;N=L;while(1){P=f[a+(N<<2)>>2]|0;if((P|0)<(N|0))N=P;else break}if((L|0)==(K|0))Ga=N;else{P=K;while(1){J=f[a+(P<<2)>>2]|0;if((J|0)<(P|0))P=J;else break}J=(N|0)>(P|0)?P:N;R=K;do{S=a+(R<<2)|0;M=R;R=f[S>>2]|0;f[S>>2]=J}while((R|0)<(M|0));Ga=J}J=L;do{R=a+(J<<2)|0;K=J;J=f[R>>2]|0;f[R>>2]=Ga}while((J|0)<(K|0));f[x+(C<<2)>>2]=Ga;I=D;break a}do if(B){if(!(b[w+E>>0]|0))break;J=f[x+(H<<2)>>2]|0;if(b[v+C>>0]|0){f[x+(C<<2)>>2]=J;I=D;break a}if(b[w+C>>0]|0){f[x+(C<<2)>>2]=J;I=D;break a}L=f[r+(C<<2)>>2]|0;K=L;while(1){R=f[a+(K<<2)>>2]|0;if((R|0)<(K|0))K=R;else break}if((L|0)==(J|0))Ha=K;else{R=J;while(1){N=f[a+(R<<2)>>2]|0;if((N|0)<(R|0))R=N;else break}N=(K|0)>(R|0)?R:K;P=J;do{M=a+(P<<2)|0;S=P;P=f[M>>2]|0;f[M>>2]=N}while((P|0)<(S|0));Ha=N}N=L;do{P=a+(N<<2)|0;J=N;N=f[P>>2]|0;f[P>>2]=Ha}while((N|0)<(J|0));f[x+(C<<2)>>2]=Ha;I=D;break a}while(0);N=f[r+(C<<2)>>2]|0;L=f[x+(H<<2)>>2]|0;J=N;while(1){P=f[a+(J<<2)>>2]|0;if((P|0)<(J|0))J=P;else break}if((N|0)==(L|0))Ia=J;else{P=L;while(1){K=f[a+(P<<2)>>2]|0;if((K|0)<(P|0))P=K;else break}K=(J|0)>(P|0)?P:J;R=L;do{S=a+(R<<2)|0;M=R;R=f[S>>2]|0;f[S>>2]=K}while((R|0)<(M|0));Ia=K}K=N;do{R=a+(K<<2)|0;L=K;K=f[R>>2]|0;f[R>>2]=Ia}while((K|0)<(L|0));f[x+(C<<2)>>2]=Ia;I=D;break a}while(0);if(b[v+C>>0]|0){K=f[r+(C<<2)>>2]|0;N=f[x+(H<<2)>>2]|0;L=K;while(1){R=f[a+(L<<2)>>2]|0;if((R|0)<(L|0))L=R;else break}if((K|0)==(N|0))Ja=L;else{R=N;while(1){J=f[a+(R<<2)>>2]|0;if((J|0)<(R|0))R=J;else break}J=(L|0)>(R|0)?R:L;P=N;do{M=a+(P<<2)|0;S=P;P=f[M>>2]|0;f[M>>2]=J}while((P|0)<(S|0));Ja=J}J=K;do{P=a+(J<<2)|0;N=J;J=f[P>>2]|0;f[P>>2]=Ja}while((J|0)<(N|0));f[x+(C<<2)>>2]=Ja;I=D;break}J=f[r+(C<<2)>>2]|0;if(!(b[v+E>>0]|0)){K=f[x+(H<<2)>>2]|0;N=J;while(1){P=f[a+(N<<2)>>2]|0;if((P|0)<(N|0))N=P;else break}if((J|0)==(K|0))Ka=N;else{P=K;while(1){L=f[a+(P<<2)>>2]|0;if((L|0)<(P|0))P=L;else break}L=(N|0)>(P|0)?P:N;R=K;do{S=a+(R<<2)|0;M=R;R=f[S>>2]|0;f[S>>2]=L}while((R|0)<(M|0));Ka=L}L=J;do{R=a+(L<<2)|0;K=L;L=f[R>>2]|0;f[R>>2]=Ka}while((L|0)<(K|0));f[x+(C<<2)>>2]=Ka;I=D;break}do if(B){if(!(b[w+C>>0]|0))break;L=f[x+(H<<2)>>2]|0;K=J;while(1){R=f[a+(K<<2)>>2]|0;if((R|0)<(K|0))K=R;else break}if((J|0)==(L|0))La=K;else{R=L;while(1){N=f[a+(R<<2)>>2]|0;if((N|0)<(R|0))R=N;else break}N=(K|0)>(R|0)?R:K;P=L;do{M=a+(P<<2)|0;S=P;P=f[M>>2]|0;f[M>>2]=N}while((P|0)<(S|0));La=N}N=J;do{P=a+(N<<2)|0;L=N;N=f[P>>2]|0;f[P>>2]=La}while((N|0)<(L|0));f[x+(C<<2)>>2]=La;I=D;break a}while(0);N=f[r+(H<<2)>>2]|0;L=N;while(1){P=f[a+(L<<2)>>2]|0;if((P|0)<(L|0))L=P;else break}if((N|0)==(J|0))Ma=L;else{P=J;while(1){K=f[a+(P<<2)>>2]|0;if((K|0)<(P|0))P=K;else break}K=(L|0)>(P|0)?P:L;R=J;do{S=a+(R<<2)|0;M=R;R=f[S>>2]|0;f[S>>2]=K}while((R|0)<(M|0));Ma=K}K=N;do{R=a+(K<<2)|0;J=K;K=f[R>>2]|0;f[R>>2]=Ma}while((K|0)<(J|0));K=f[x+(H<<2)>>2]|0;N=Ma;while(1){J=f[a+(N<<2)>>2]|0;if((J|0)<(N|0))N=J;else break}if((Ma|0)==(K|0))Na=N;else{H=K;while(1){J=f[a+(H<<2)>>2]|0;if((J|0)<(H|0))H=J;else break}J=(N|0)>(H|0)?H:N;R=K;do{L=a+(R<<2)|0;P=R;R=f[L>>2]|0;f[L>>2]=J}while((R|0)<(P|0));Na=J}J=Ma;do{R=a+(J<<2)|0;K=J;J=f[R>>2]|0;f[R>>2]=Na}while((J|0)<(K|0));f[x+(C<<2)>>2]=Na;I=D;break}if(G?b[s+Q>>0]|0:0){J=C+2|0;do if(!((J|0)>=(m|0)|A)){if(!(b[v+J>>0]|0))break;K=C+-2|0;do if((K|0)>-1){if(!(b[s+K>>0]|0))break;if(b[v+E>>0]|0){do if(B){if(!(b[w+Q>>0]|0))break;R=f[x+(K<<2)>>2]|0;if(b[v+C>>0]|0){f[x+(C<<2)>>2]=R;I=D;break a}if(b[w+C>>0]|0){f[x+(C<<2)>>2]=R;I=D;break a}N=f[r+(J<<2)>>2]|0;H=N;while(1){P=f[a+(H<<2)>>2]|0;if((P|0)<(H|0))H=P;else break}if((N|0)==(R|0))Oa=H;else{P=R;while(1){L=f[a+(P<<2)>>2]|0;if((L|0)<(P|0))P=L;else break}L=(H|0)>(P|0)?P:H;M=R;do{S=a+(M<<2)|0;X=M;M=f[S>>2]|0;f[S>>2]=L}while((M|0)<(X|0));Oa=L}L=N;do{M=a+(L<<2)|0;R=L;L=f[M>>2]|0;f[M>>2]=Oa}while((L|0)<(R|0));f[x+(C<<2)>>2]=Oa;I=D;break a}while(0);L=f[r+(J<<2)>>2]|0;N=f[x+(K<<2)>>2]|0;R=L;while(1){M=f[a+(R<<2)>>2]|0;if((M|0)<(R|0))R=M;else break}if((L|0)==(N|0))Pa=R;else{M=N;while(1){H=f[a+(M<<2)>>2]|0;if((H|0)<(M|0))M=H;else break}H=(R|0)>(M|0)?M:R;P=N;do{X=a+(P<<2)|0;S=P;P=f[X>>2]|0;f[X>>2]=H}while((P|0)<(S|0));Pa=H}H=L;do{P=a+(H<<2)|0;N=H;H=f[P>>2]|0;f[P>>2]=Pa}while((H|0)<(N|0));f[x+(C<<2)>>2]=Pa;I=D;break a}do if(B){if(!(b[w+Q>>0]|0))break;if(!(b[v+K>>0]|0)){H=f[r+(J<<2)>>2]|0;L=f[x+(K<<2)>>2]|0;N=H;while(1){P=f[a+(N<<2)>>2]|0;if((P|0)<(N|0))N=P;else break}if((H|0)==(L|0))Qa=N;else{P=L;while(1){R=f[a+(P<<2)>>2]|0;if((R|0)<(P|0))P=R;else break}R=(N|0)>(P|0)?P:N;M=L;do{S=a+(M<<2)|0;X=M;M=f[S>>2]|0;f[S>>2]=R}while((M|0)<(X|0));Qa=R}R=H;do{M=a+(R<<2)|0;L=R;R=f[M>>2]|0;f[M>>2]=Qa}while((R|0)<(L|0));f[x+(C<<2)>>2]=Qa;I=D;break a}if(!(b[w+E>>0]|0)){R=f[r+(J<<2)>>2]|0;H=f[x+(K<<2)>>2]|0;L=R;while(1){M=f[a+(L<<2)>>2]|0;if((M|0)<(L|0))L=M;else break}if((R|0)==(H|0))Ra=L;else{M=H;while(1){N=f[a+(M<<2)>>2]|0;if((N|0)<(M|0))M=N;else break}N=(L|0)>(M|0)?M:L;P=H;do{X=a+(P<<2)|0;S=P;P=f[X>>2]|0;f[X>>2]=N}while((P|0)<(S|0));Ra=N}N=R;do{P=a+(N<<2)|0;H=N;N=f[P>>2]|0;f[P>>2]=Ra}while((N|0)<(H|0));f[x+(C<<2)>>2]=Ra;I=D;break a}N=f[x+(K<<2)>>2]|0;if(b[v+C>>0]|0){f[x+(C<<2)>>2]=N;I=D;break a}if(b[w+C>>0]|0){f[x+(C<<2)>>2]=N;I=D;break a}R=f[r+(J<<2)>>2]|0;H=R;while(1){P=f[a+(H<<2)>>2]|0;if((P|0)<(H|0))H=P;else break}if((R|0)==(N|0))Sa=H;else{P=N;while(1){L=f[a+(P<<2)>>2]|0;if((L|0)<(P|0))P=L;else break}L=(H|0)>(P|0)?P:H;M=N;do{S=a+(M<<2)|0;X=M;M=f[S>>2]|0;f[S>>2]=L}while((M|0)<(X|0));Sa=L}L=R;do{M=a+(L<<2)|0;N=L;L=f[M>>2]|0;f[M>>2]=Sa}while((L|0)<(N|0));f[x+(C<<2)>>2]=Sa;I=D;break a}while(0);if(!(b[v+C>>0]|0)){L=f[r+(J<<2)>>2]|0;R=f[x+(K<<2)>>2]|0;N=L;while(1){M=f[a+(N<<2)>>2]|0;if((M|0)<(N|0))N=M;else break}if((L|0)==(R|0))Ta=N;else{M=R;while(1){H=f[a+(M<<2)>>2]|0;if((H|0)<(M|0))M=H;else break}H=(N|0)>(M|0)?M:N;P=R;do{X=a+(P<<2)|0;S=P;P=f[X>>2]|0;f[X>>2]=H}while((P|0)<(S|0));Ta=H}H=L;do{P=a+(H<<2)|0;R=H;H=f[P>>2]|0;f[P>>2]=Ta}while((H|0)<(R|0));f[x+(C<<2)>>2]=Ta;I=D;break a}if(!(b[v+K>>0]|0)){H=f[r+(C<<2)>>2]|0;L=f[r+(J<<2)>>2]|0;R=H;while(1){P=f[a+(R<<2)>>2]|0;if((P|0)<(R|0))R=P;else break}if((H|0)==(L|0))Ua=R;else{P=L;while(1){N=f[a+(P<<2)>>2]|0;if((N|0)<(P|0))P=N;else break}N=(R|0)>(P|0)?P:R;M=L;do{S=a+(M<<2)|0;X=M;M=f[S>>2]|0;f[S>>2]=N}while((M|0)<(X|0));Ua=N}N=H;do{M=a+(N<<2)|0;L=N;N=f[M>>2]|0;f[M>>2]=Ua}while((N|0)<(L|0));N=f[x+(K<<2)>>2]|0;H=Ua;while(1){L=f[a+(H<<2)>>2]|0;if((L|0)<(H|0))H=L;else break}if((Ua|0)==(N|0))Va=H;else{L=N;while(1){M=f[a+(L<<2)>>2]|0;if((M|0)<(L|0))L=M;else break}M=(H|0)>(L|0)?L:H;R=N;do{P=a+(R<<2)|0;X=R;R=f[P>>2]|0;f[P>>2]=M}while((R|0)<(X|0));Va=M}M=Ua;do{R=a+(M<<2)|0;N=M;M=f[R>>2]|0;f[R>>2]=Va}while((M|0)<(N|0));f[x+(C<<2)>>2]=Va;I=D;break a}do if(B){if(!(b[w+E>>0]|0))break;M=f[r+(J<<2)>>2]|0;N=f[x+(K<<2)>>2]|0;R=M;while(1){H=f[a+(R<<2)>>2]|0;if((H|0)<(R|0))R=H;else break}if((M|0)==(N|0))Wa=R;else{H=N;while(1){L=f[a+(H<<2)>>2]|0;if((L|0)<(H|0))H=L;else break}L=(R|0)>(H|0)?H:R;X=N;do{P=a+(X<<2)|0;S=X;X=f[P>>2]|0;f[P>>2]=L}while((X|0)<(S|0));Wa=L}L=M;do{X=a+(L<<2)|0;N=L;L=f[X>>2]|0;f[X>>2]=Wa}while((L|0)<(N|0));f[x+(C<<2)>>2]=Wa;I=D;break a}while(0);L=f[r+(C<<2)>>2]|0;M=f[r+(J<<2)>>2]|0;N=L;while(1){X=f[a+(N<<2)>>2]|0;if((X|0)<(N|0))N=X;else break}if((L|0)==(M|0))Xa=N;else{X=M;while(1){R=f[a+(X<<2)>>2]|0;if((R|0)<(X|0))X=R;else break}R=(N|0)>(X|0)?X:N;H=M;do{S=a+(H<<2)|0;P=H;H=f[S>>2]|0;f[S>>2]=R}while((H|0)<(P|0));Xa=R}R=L;do{H=a+(R<<2)|0;M=R;R=f[H>>2]|0;f[H>>2]=Xa}while((R|0)<(M|0));R=f[x+(K<<2)>>2]|0;L=Xa;while(1){M=f[a+(L<<2)>>2]|0;if((M|0)<(L|0))L=M;else break}if((Xa|0)==(R|0))Ya=L;else{M=R;while(1){H=f[a+(M<<2)>>2]|0;if((H|0)<(M|0))M=H;else break}H=(L|0)>(M|0)?M:L;N=R;do{X=a+(N<<2)|0;P=N;N=f[X>>2]|0;f[X>>2]=H}while((N|0)<(P|0));Ya=H}H=Xa;do{N=a+(H<<2)|0;R=H;H=f[N>>2]|0;f[N>>2]=Ya}while((H|0)<(R|0));f[x+(C<<2)>>2]=Ya;I=D;break a}while(0);if(b[v+C>>0]|0){do if(B){if(!(b[w+Q>>0]|0))break;H=f[r+(J<<2)>>2]|0;R=f[x+(K<<2)>>2]|0;N=H;while(1){L=f[a+(N<<2)>>2]|0;if((L|0)<(N|0))N=L;else break}if((H|0)==(R|0))Za=N;else{L=R;while(1){M=f[a+(L<<2)>>2]|0;if((M|0)<(L|0))L=M;else break}M=(N|0)>(L|0)?L:N;P=R;do{X=a+(P<<2)|0;S=P;P=f[X>>2]|0;f[X>>2]=M}while((P|0)<(S|0));Za=M}M=H;do{P=a+(M<<2)|0;R=M;M=f[P>>2]|0;f[P>>2]=Za}while((M|0)<(R|0));f[x+(C<<2)>>2]=Za;I=D;break a}while(0);M=f[r+(C<<2)>>2]|0;H=f[r+(J<<2)>>2]|0;R=M;while(1){P=f[a+(R<<2)>>2]|0;if((P|0)<(R|0))R=P;else break}if((M|0)==(H|0))_a=R;else{P=H;while(1){N=f[a+(P<<2)>>2]|0;if((N|0)<(P|0))P=N;else break}N=(R|0)>(P|0)?P:R;L=H;do{S=a+(L<<2)|0;X=L;L=f[S>>2]|0;f[S>>2]=N}while((L|0)<(X|0));_a=N}N=M;do{L=a+(N<<2)|0;H=N;N=f[L>>2]|0;f[L>>2]=_a}while((N|0)<(H|0));N=f[x+(K<<2)>>2]|0;M=_a;while(1){H=f[a+(M<<2)>>2]|0;if((H|0)<(M|0))M=H;else break}if((_a|0)==(N|0))$a=M;else{H=N;while(1){L=f[a+(H<<2)>>2]|0;if((L|0)<(H|0))H=L;else break}L=(M|0)>(H|0)?H:M;R=N;do{P=a+(R<<2)|0;X=R;R=f[P>>2]|0;f[P>>2]=L}while((R|0)<(X|0));$a=L}L=_a;do{R=a+(L<<2)|0;N=L;L=f[R>>2]|0;f[R>>2]=$a}while((L|0)<(N|0));f[x+(C<<2)>>2]=$a;I=D;break a}if(!(b[v+E>>0]|0)){L=f[r+(J<<2)>>2]|0;N=f[x+(K<<2)>>2]|0;R=L;while(1){M=f[a+(R<<2)>>2]|0;if((M|0)<(R|0))R=M;else break}if((L|0)==(N|0))ab=R;else{M=N;while(1){H=f[a+(M<<2)>>2]|0;if((H|0)<(M|0))M=H;else break}H=(R|0)>(M|0)?M:R;X=N;do{P=a+(X<<2)|0;S=X;X=f[P>>2]|0;f[P>>2]=H}while((X|0)<(S|0));ab=H}H=L;do{X=a+(H<<2)|0;N=H;H=f[X>>2]|0;f[X>>2]=ab}while((H|0)<(N|0));f[x+(C<<2)>>2]=ab;I=D;break a}do if(B){if(!(b[w+Q>>0]|0))break;H=f[r+(J<<2)>>2]|0;if(b[w+C>>0]|0){L=f[x+(K<<2)>>2]|0;N=H;while(1){X=f[a+(N<<2)>>2]|0;if((X|0)<(N|0))N=X;else break}if((H|0)==(L|0))bb=N;else{X=L;while(1){R=f[a+(X<<2)>>2]|0;if((R|0)<(X|0))X=R;else break}R=(N|0)>(X|0)?X:N;M=L;do{S=a+(M<<2)|0;P=M;M=f[S>>2]|0;f[S>>2]=R}while((M|0)<(P|0));bb=R}R=H;do{M=a+(R<<2)|0;L=R;R=f[M>>2]|0;f[M>>2]=bb}while((R|0)<(L|0));f[x+(C<<2)>>2]=bb;I=D;break a}R=f[r+(K<<2)>>2]|0;L=R;while(1){M=f[a+(L<<2)>>2]|0;if((M|0)<(L|0))L=M;else break}if((R|0)==(H|0))cb=L;else{M=H;while(1){N=f[a+(M<<2)>>2]|0;if((N|0)<(M|0))M=N;else break}N=(L|0)>(M|0)?M:L;X=H;do{P=a+(X<<2)|0;S=X;X=f[P>>2]|0;f[P>>2]=N}while((X|0)<(S|0));cb=N}N=R;do{X=a+(N<<2)|0;H=N;N=f[X>>2]|0;f[X>>2]=cb}while((N|0)<(H|0));N=f[x+(K<<2)>>2]|0;R=cb;while(1){H=f[a+(R<<2)>>2]|0;if((H|0)<(R|0))R=H;else break}if((cb|0)==(N|0))db=R;else{H=N;while(1){X=f[a+(H<<2)>>2]|0;if((X|0)<(H|0))H=X;else break}X=(R|0)>(H|0)?H:R;L=N;do{M=a+(L<<2)|0;S=L;L=f[M>>2]|0;f[M>>2]=X}while((L|0)<(S|0));db=X}X=cb;do{L=a+(X<<2)|0;N=X;X=f[L>>2]|0;f[L>>2]=db}while((X|0)<(N|0));f[x+(C<<2)>>2]=db;I=D;break a}while(0);X=f[r+(K<<2)>>2]|0;N=f[r+(J<<2)>>2]|0;L=X;while(1){R=f[a+(L<<2)>>2]|0;if((R|0)<(L|0))L=R;else break}if((X|0)==(N|0))eb=L;else{R=N;while(1){H=f[a+(R<<2)>>2]|0;if((H|0)<(R|0))R=H;else break}H=(L|0)>(R|0)?R:L;S=N;do{M=a+(S<<2)|0;P=S;S=f[M>>2]|0;f[M>>2]=H}while((S|0)<(P|0));eb=H}H=X;do{S=a+(H<<2)|0;N=H;H=f[S>>2]|0;f[S>>2]=eb}while((H|0)<(N|0));H=f[x+(K<<2)>>2]|0;X=eb;while(1){N=f[a+(X<<2)>>2]|0;if((N|0)<(X|0))X=N;else break}if((eb|0)==(H|0))fb=X;else{K=H;while(1){N=f[a+(K<<2)>>2]|0;if((N|0)<(K|0))K=N;else break}N=(X|0)>(K|0)?K:X;S=H;do{L=a+(S<<2)|0;R=S;S=f[L>>2]|0;f[L>>2]=N}while((S|0)<(R|0));fb=N}N=eb;do{S=a+(N<<2)|0;H=N;N=f[S>>2]|0;f[S>>2]=fb}while((N|0)<(H|0));f[x+(C<<2)>>2]=fb;I=D;break a}while(0);do if(z){J=C+-2|0;if(b[v+E>>0]|0){Q=f[x+(J<<2)>>2]|0;do if((J|0)>-1){if(!(b[s+J>>0]|0))break;f[x+(C<<2)>>2]=Q;I=D;break a}while(0);G=f[r+(J<<2)>>2]|0;N=G;while(1){H=f[a+(N<<2)>>2]|0;if((H|0)<(N|0))N=H;else break}if((G|0)==(Q|0))gb=N;else{H=Q;while(1){S=f[a+(H<<2)>>2]|0;if((S|0)<(H|0))H=S;else break}S=(N|0)>(H|0)?H:N;X=Q;do{K=a+(X<<2)|0;R=X;X=f[K>>2]|0;f[K>>2]=S}while((X|0)<(R|0));gb=S}S=G;do{X=a+(S<<2)|0;Q=S;S=f[X>>2]|0;f[X>>2]=gb}while((S|0)<(Q|0));f[x+(C<<2)>>2]=gb;I=D;break a}if(!(b[v+C>>0]|0)){hb=J;break}do if((J|0)>-1){if(!(b[s+J>>0]|0))break;if(!(b[v+J>>0]|0)){S=f[r+(C<<2)>>2]|0;G=f[x+(J<<2)>>2]|0;Q=S;while(1){X=f[a+(Q<<2)>>2]|0;if((X|0)<(Q|0))Q=X;else break}if((S|0)==(G|0))ib=Q;else{X=G;while(1){N=f[a+(X<<2)>>2]|0;if((N|0)<(X|0))X=N;else break}N=(Q|0)>(X|0)?X:Q;H=G;do{R=a+(H<<2)|0;K=H;H=f[R>>2]|0;f[R>>2]=N}while((H|0)<(K|0));ib=N}N=S;do{H=a+(N<<2)|0;G=N;N=f[H>>2]|0;f[H>>2]=ib}while((N|0)<(G|0));f[x+(C<<2)>>2]=ib;I=D;break a}do if(B){if(!(b[w+E>>0]|0))break;f[x+(C<<2)>>2]=f[x+(J<<2)>>2];I=D;break a}while(0);N=f[r+(C<<2)>>2]|0;S=f[x+(J<<2)>>2]|0;G=N;while(1){H=f[a+(G<<2)>>2]|0;if((H|0)<(G|0))G=H;else break}if((N|0)==(S|0))jb=G;else{H=S;while(1){Q=f[a+(H<<2)>>2]|0;if((Q|0)<(H|0))H=Q;else break}Q=(G|0)>(H|0)?H:G;X=S;do{K=a+(X<<2)|0;R=X;X=f[K>>2]|0;f[K>>2]=Q}while((X|0)<(R|0));jb=Q}Q=N;do{X=a+(Q<<2)|0;S=Q;Q=f[X>>2]|0;f[X>>2]=jb}while((Q|0)<(S|0));f[x+(C<<2)>>2]=jb;I=D;break a}while(0);Q=f[r+(C<<2)>>2]|0;N=f[x+(J<<2)>>2]|0;S=Q;while(1){X=f[a+(S<<2)>>2]|0;if((X|0)<(S|0))S=X;else break}if((Q|0)==(N|0))kb=S;else{J=N;while(1){X=f[a+(J<<2)>>2]|0;if((X|0)<(J|0))J=X;else break}X=(S|0)>(J|0)?J:S;G=N;do{H=a+(G<<2)|0;R=G;G=f[H>>2]|0;f[H>>2]=X}while((G|0)<(R|0));kb=X}X=Q;do{G=a+(X<<2)|0;N=X;X=f[G>>2]|0;f[G>>2]=kb}while((X|0)<(N|0));f[x+(C<<2)>>2]=kb;I=D;break a}else hb=C+-2|0;while(0);f[x+(C<<2)>>2]=f[x+(hb<<2)>>2];I=D;break}do if(z){X=C+-2|0;if(b[v+E>>0]|0){Q=f[x+(X<<2)>>2]|0;do if((X|0)>-1){if(!(b[s+X>>0]|0))break;f[x+(C<<2)>>2]=Q;I=D;break a}while(0);N=f[r+(X<<2)>>2]|0;G=N;while(1){S=f[a+(G<<2)>>2]|0;if((S|0)<(G|0))G=S;else break}if((N|0)==(Q|0))lb=G;else{S=Q;while(1){J=f[a+(S<<2)>>2]|0;if((J|0)<(S|0))S=J;else break}J=(G|0)>(S|0)?S:G;R=Q;do{H=a+(R<<2)|0;K=R;R=f[H>>2]|0;f[H>>2]=J}while((R|0)<(K|0));lb=J}J=N;do{R=a+(J<<2)|0;Q=J;J=f[R>>2]|0;f[R>>2]=lb}while((J|0)<(Q|0));f[x+(C<<2)>>2]=lb;I=D;break a}if(!(b[v+C>>0]|0)){mb=X;break}do if((X|0)>-1){if(!(b[s+X>>0]|0))break;if(!(b[v+X>>0]|0)){J=f[r+(C<<2)>>2]|0;N=f[x+(X<<2)>>2]|0;Q=J;while(1){R=f[a+(Q<<2)>>2]|0;if((R|0)<(Q|0))Q=R;else break}if((J|0)==(N|0))nb=Q;else{R=N;while(1){G=f[a+(R<<2)>>2]|0;if((G|0)<(R|0))R=G;else break}G=(Q|0)>(R|0)?R:Q;S=N;do{K=a+(S<<2)|0;H=S;S=f[K>>2]|0;f[K>>2]=G}while((S|0)<(H|0));nb=G}G=J;do{S=a+(G<<2)|0;N=G;G=f[S>>2]|0;f[S>>2]=nb}while((G|0)<(N|0));f[x+(C<<2)>>2]=nb;I=D;break a}do if(B){if(!(b[w+E>>0]|0))break;f[x+(C<<2)>>2]=f[x+(X<<2)>>2];I=D;break a}while(0);G=f[r+(C<<2)>>2]|0;J=f[x+(X<<2)>>2]|0;N=G;while(1){S=f[a+(N<<2)>>2]|0;if((S|0)<(N|0))N=S;else break}if((G|0)==(J|0))ob=N;else{S=J;while(1){Q=f[a+(S<<2)>>2]|0;if((Q|0)<(S|0))S=Q;else break}Q=(N|0)>(S|0)?S:N;R=J;do{H=a+(R<<2)|0;K=R;R=f[H>>2]|0;f[H>>2]=Q}while((R|0)<(K|0));ob=Q}Q=G;do{R=a+(Q<<2)|0;J=Q;Q=f[R>>2]|0;f[R>>2]=ob}while((Q|0)<(J|0));f[x+(C<<2)>>2]=ob;I=D;break a}while(0);Q=f[r+(C<<2)>>2]|0;G=f[x+(X<<2)>>2]|0;J=Q;while(1){R=f[a+(J<<2)>>2]|0;if((R|0)<(J|0))J=R;else break}if((Q|0)==(G|0))pb=J;else{X=G;while(1){R=f[a+(X<<2)>>2]|0;if((R|0)<(X|0))X=R;else break}R=(J|0)>(X|0)?X:J;N=G;do{S=a+(N<<2)|0;K=N;N=f[S>>2]|0;f[S>>2]=R}while((N|0)<(K|0));pb=R}R=Q;do{N=a+(R<<2)|0;G=R;R=f[N>>2]|0;f[N>>2]=pb}while((R|0)<(G|0));f[x+(C<<2)>>2]=pb;I=D;break a}else mb=C+-2|0;while(0);f[x+(C<<2)>>2]=f[x+(mb<<2)>>2];I=D;break}}R=C|1;Q=(R|0)<(m|0);if(!(A|Q^1)?b[v+R>>0]|0:0){if(b[v+C>>0]|0){f[x+(C<<2)>>2]=f[r+(C<<2)>>2];I=D;break}if(F?b[v+E>>0]|0:0){G=f[r+(C<<2)>>2]|0;do if(B){if(!(b[w+C>>0]|0))break;f[x+(C<<2)>>2]=G;I=D;break a}while(0);N=f[r+(C+-2<<2)>>2]|0;J=N;while(1){X=f[a+(J<<2)>>2]|0;if((X|0)<(J|0))J=X;else break}if((N|0)==(G|0))qb=J;else{X=G;while(1){K=f[a+(X<<2)>>2]|0;if((K|0)<(X|0))X=K;else break}K=(J|0)>(X|0)?X:J;S=G;do{H=a+(S<<2)|0;L=S;S=f[H>>2]|0;f[H>>2]=K}while((S|0)<(L|0));qb=K}K=N;do{S=a+(K<<2)|0;G=K;K=f[S>>2]|0;f[S>>2]=qb}while((K|0)<(G|0));f[x+(C<<2)>>2]=qb;I=D;break}f[x+(C<<2)>>2]=f[r+(C<<2)>>2];I=D;break}if(Q?b[s+R>>0]|0:0){K=C+2|0;if(!((K|0)>=(m|0)|A)?b[v+K>>0]|0:0){if(b[v+C>>0]|0){do if(B){if(!(b[w+R>>0]|0))break;f[x+(C<<2)>>2]=f[r+(K<<2)>>2];I=D;break a}while(0);Q=f[r+(C<<2)>>2]|0;N=f[r+(K<<2)>>2]|0;G=Q;while(1){S=f[a+(G<<2)>>2]|0;if((S|0)<(G|0))G=S;else break}if((Q|0)==(N|0))rb=G;else{S=N;while(1){J=f[a+(S<<2)>>2]|0;if((J|0)<(S|0))S=J;else break}J=(G|0)>(S|0)?S:G;X=N;do{L=a+(X<<2)|0;H=X;X=f[L>>2]|0;f[L>>2]=J}while((X|0)<(H|0));rb=J}J=Q;do{X=a+(J<<2)|0;N=J;J=f[X>>2]|0;f[X>>2]=rb}while((J|0)<(N|0));f[x+(C<<2)>>2]=rb;I=D;break}do if(F){if(!(b[v+E>>0]|0))break;do if(B){if(!(b[w+R>>0]|0))break;J=f[r+(K<<2)>>2]|0;if(b[w+C>>0]|0){f[x+(C<<2)>>2]=J;I=D;break a}Q=f[r+(C+-2<<2)>>2]|0;N=Q;while(1){X=f[a+(N<<2)>>2]|0;if((X|0)<(N|0))N=X;else break}if((Q|0)==(J|0))sb=N;else{X=J;while(1){G=f[a+(X<<2)>>2]|0;if((G|0)<(X|0))X=G;else break}G=(N|0)>(X|0)?X:N;S=J;do{H=a+(S<<2)|0;L=S;S=f[H>>2]|0;f[H>>2]=G}while((S|0)<(L|0));sb=G}G=Q;do{S=a+(G<<2)|0;J=G;G=f[S>>2]|0;f[S>>2]=sb}while((G|0)<(J|0));f[x+(C<<2)>>2]=sb;I=D;break a}while(0);G=f[r+(C+-2<<2)>>2]|0;Q=f[r+(K<<2)>>2]|0;J=G;while(1){S=f[a+(J<<2)>>2]|0;if((S|0)<(J|0))J=S;else break}if((G|0)==(Q|0))tb=J;else{S=Q;while(1){N=f[a+(S<<2)>>2]|0;if((N|0)<(S|0))S=N;else break}N=(J|0)>(S|0)?S:J;X=Q;do{L=a+(X<<2)|0;H=X;X=f[L>>2]|0;f[L>>2]=N}while((X|0)<(H|0));tb=N}N=G;do{X=a+(N<<2)|0;Q=N;N=f[X>>2]|0;f[X>>2]=tb}while((N|0)<(Q|0));f[x+(C<<2)>>2]=tb;I=D;break a}while(0);f[x+(C<<2)>>2]=f[r+(K<<2)>>2];I=D;break}if(z?b[v+C>>0]|0:0){f[x+(C<<2)>>2]=f[r+(C<<2)>>2];I=D;break}do if(!(A|F^1)){if(!(b[v+E>>0]|0))break;f[x+(C<<2)>>2]=f[r+(C+-2<<2)>>2];I=D;break a}while(0);f[x+(C<<2)>>2]=D;f[a+(D<<2)>>2]=D;I=D+1|0;break}if(z?b[v+C>>0]|0:0){f[x+(C<<2)>>2]=f[r+(C<<2)>>2];I=D;break}if(!(A|F^1)?b[v+E>>0]|0:0){f[x+(C<<2)>>2]=f[r+(C+-2<<2)>>2];I=D;break}f[x+(C<<2)>>2]=D;f[a+(D<<2)>>2]=D;I=D+1|0}while(0);C=C+2|0;if((C|0)>=(m|0)){ub=I;break}else D=I}}else ub=p;q=q+2|0;if((q|0)>=(h|0))break;else p=ub}if((ub|0)>1){p=1;h=1;while(1){q=a+(h<<2)|0;I=f[q>>2]|0;if((I|0)<(h|0)){f[q>>2]=f[a+(I<<2)>>2];vb=p}else{f[q>>2]=p;vb=p+1|0}h=h+1|0;if((h|0)==(ub|0)){wb=vb;break}else p=vb}}else wb=1}else wb=1;vb=f[i>>2]|0;p=f[n>>2]|0;ub=(p&1|0)!=0;h=(vb|0)>0;if(!(vb&1)){if(!ub){if(!h){tE(a);u=g;return wb|0}q=f[c+16>>2]|0;I=f[c+44>>2]|0;m=f[d+16>>2]|0;tb=f[d+44>>2]|0;sb=0;rb=p;qb=vb;while(1){mb=f[I>>2]|0;pb=q+(Y(mb,sb)|0)|0;ob=pb+mb|0;mb=f[tb>>2]|0;nb=m+(Y(mb,sb)|0)|0;lb=nb+mb|0;if((rb|0)>0){mb=0;do{hb=nb+(mb<<2)|0;kb=f[hb>>2]|0;do if((kb|0)>0){jb=f[a+(kb<<2)>>2]|0;f[hb>>2]=(b[pb+mb>>0]|0)==0?0:jb;ib=mb|1;f[nb+(ib<<2)>>2]=(b[pb+ib>>0]|0)==0?0:jb;f[lb+(mb<<2)>>2]=(b[ob+mb>>0]|0)==0?0:jb;gb=lb+(ib<<2)|0;if(!(b[ob+ib>>0]|0)){f[gb>>2]=0;break}else{f[gb>>2]=jb;break}}else{f[hb>>2]=0;jb=mb|1;f[nb+(jb<<2)>>2]=0;f[lb+(mb<<2)>>2]=0;f[lb+(jb<<2)>>2]=0}while(0);mb=mb+2|0;xb=f[n>>2]|0}while((mb|0)<(xb|0));yb=f[i>>2]|0;zb=xb}else{yb=qb;zb=rb}sb=sb+2|0;if((sb|0)>=(yb|0))break;else{rb=zb;qb=yb}}tE(a);u=g;return wb|0}if(!h){tE(a);u=g;return wb|0}yb=f[c+16>>2]|0;qb=f[c+44>>2]|0;zb=f[d+16>>2]|0;rb=f[d+44>>2]|0;sb=0;xb=p;m=vb;while(1){tb=f[qb>>2]|0;q=yb+(Y(tb,sb)|0)|0;I=q+tb|0;tb=f[rb>>2]|0;mb=zb+(Y(tb,sb)|0)|0;lb=mb+tb|0;if((xb|0)>0){tb=0;do{nb=mb+(tb<<2)|0;ob=f[nb>>2]|0;do if((ob|0)>0){pb=f[a+(ob<<2)>>2]|0;f[nb>>2]=(b[q+tb>>0]|0)==0?0:pb;f[lb+(tb<<2)>>2]=(b[I+tb>>0]|0)==0?0:pb;hb=tb|1;if((hb|0)<(f[n>>2]|0)){f[mb+(hb<<2)>>2]=(b[q+hb>>0]|0)==0?0:pb;kb=lb+(hb<<2)|0;if(!(b[I+hb>>0]|0)){f[kb>>2]=0;break}else{f[kb>>2]=pb;break}}}else{f[nb>>2]=0;f[lb+(tb<<2)>>2]=0;pb=tb|1;if((pb|0)<(f[n>>2]|0)){f[mb+(pb<<2)>>2]=0;f[lb+(pb<<2)>>2]=0}}while(0);tb=tb+2|0;Ab=f[n>>2]|0}while((tb|0)<(Ab|0));Bb=f[i>>2]|0;Cb=Ab}else{Bb=m;Cb=xb}sb=sb+2|0;if((sb|0)>=(Bb|0))break;else{xb=Cb;m=Bb}}tE(a);u=g;return wb|0}if(!ub){if(!h){tE(a);u=g;return wb|0}ub=f[c+16>>2]|0;Bb=f[c+44>>2]|0;m=f[d+16>>2]|0;Cb=f[d+44>>2]|0;xb=0;sb=p;Ab=vb;while(1){zb=f[Bb>>2]|0;rb=ub+(Y(zb,xb)|0)|0;yb=rb+zb|0;zb=f[Cb>>2]|0;qb=m+(Y(zb,xb)|0)|0;tb=qb+zb|0;if((sb|0)>0){zb=xb|1;lb=0;do{mb=qb+(lb<<2)|0;I=f[mb>>2]|0;do if((I|0)>0){q=f[a+(I<<2)>>2]|0;f[mb>>2]=(b[rb+lb>>0]|0)==0?0:q;nb=lb|1;f[qb+(nb<<2)>>2]=(b[rb+nb>>0]|0)==0?0:q;if((zb|0)<(f[i>>2]|0)){f[tb+(lb<<2)>>2]=(b[yb+lb>>0]|0)==0?0:q;ob=tb+(nb<<2)|0;if(!(b[yb+nb>>0]|0)){f[ob>>2]=0;break}else{f[ob>>2]=q;break}}}else{f[mb>>2]=0;q=lb|1;f[qb+(q<<2)>>2]=0;if((zb|0)<(f[i>>2]|0)){f[tb+(lb<<2)>>2]=0;f[tb+(q<<2)>>2]=0}}while(0);lb=lb+2|0;Db=f[n>>2]|0}while((lb|0)<(Db|0));Eb=f[i>>2]|0;Fb=Db}else{Eb=Ab;Fb=sb}xb=xb+2|0;if((xb|0)>=(Eb|0))break;else{sb=Fb;Ab=Eb}}tE(a);u=g;return wb|0}if(!h){tE(a);u=g;return wb|0}h=f[c+16>>2]|0;Eb=f[c+44>>2]|0;c=f[d+16>>2]|0;Ab=f[d+44>>2]|0;d=0;Fb=p;p=vb;while(1){vb=f[Eb>>2]|0;sb=h+(Y(vb,d)|0)|0;xb=sb+vb|0;vb=f[Ab>>2]|0;Db=c+(Y(vb,d)|0)|0;m=Db+vb|0;if((Fb|0)>0){vb=d|1;Cb=0;do{ub=Db+(Cb<<2)|0;Bb=f[ub>>2]|0;do if((Bb|0)>0){lb=f[a+(Bb<<2)>>2]|0;f[ub>>2]=(b[sb+Cb>>0]|0)==0?0:lb;tb=Cb|1;if((tb|0)<(f[n>>2]|0)){f[Db+(tb<<2)>>2]=(b[sb+tb>>0]|0)==0?0:lb;if((vb|0)>=(f[i>>2]|0))break;f[m+(Cb<<2)>>2]=(b[xb+Cb>>0]|0)==0?0:lb;zb=m+(tb<<2)|0;if(!(b[xb+tb>>0]|0)){f[zb>>2]=0;break}else{f[zb>>2]=lb;break}}else{if((vb|0)>=(f[i>>2]|0))break;zb=m+(Cb<<2)|0;if(!(b[xb+Cb>>0]|0)){f[zb>>2]=0;break}else{f[zb>>2]=lb;break}}}else{f[ub>>2]=0;lb=Cb|1;if((lb|0)<(f[n>>2]|0)){f[Db+(lb<<2)>>2]=0;if((vb|0)>=(f[i>>2]|0))break;f[m+(Cb<<2)>>2]=0;f[m+(lb<<2)>>2]=0;break}else{if((vb|0)>=(f[i>>2]|0))break;f[m+(Cb<<2)>>2]=0;break}}while(0);Cb=Cb+2|0;Gb=f[n>>2]|0}while((Cb|0)<(Gb|0));Hb=f[i>>2]|0;Ib=Gb}else{Hb=p;Ib=Fb}d=d+2|0;if((d|0)>=(Hb|0))break;else{Fb=Ib;p=Hb}}tE(a);u=g;return wb|0}function f7(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;a=u;u=u+64|0;h=a+48|0;i=a+28|0;j=a;k=f[c+8>>2]|0;if((k|0)!=(f[d+8>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;l=YG(h,26)|0;m=253836;n=l+26|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));$6(-215,h,523657,2526)}o=f[c+12>>2]|0;if((o|0)!=(f[d+12>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;l=YG(h,26)|0;m=253863;n=l+26|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));$6(-215,h,523657,2527)}if((e|0)!=8){f[h>>2]=0;f[h+4>>2]=0;l=YG(h,17)|0;m=253890;n=l+17|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));$6(-215,h,523657,2528)}m=(o+1|0)/2|0;o=sE(k<<2)|0;l=sE((Y(((k+1|0)/2|0)<<2,m)|0)+4|0)|0;f[l>>2]=0;f[h>>2]=0;f[h+4>>2]=k;n=(k|0)/2|0;e=(pU()|0)<<2;p=(e|0)<(n|0)?e:n;q=+(((p|0)>1?p:1)|0);f[i>>2]=54268;f[i+4>>2]=c;f[i+8>>2]=d;f[i+12>>2]=l;f[i+16>>2]=o;oU(h,i,q);g7(c,d,l,o);f[i>>2]=1;if((k|0)>0)r=0;else{s=(k|0)>-1;t=s?k:-1;v=Dmc(t)|0;f[j>>2]=54288;w=j+4|0;f[w>>2]=c;x=j+8|0;f[x>>2]=d;y=j+12|0;f[y>>2]=l;z=j+16|0;f[z>>2]=g;A=j+20|0;f[A>>2]=v;B=j+24|0;f[B>>2]=i;oU(h,j,q);Fmc(v);tE(o);tE(l);C=f[i>>2]|0;u=a;return C|0}do{p=r+1|0;n=(Y((p|0)/2|0,m)|0)+1|0;e=f[o+(p<<2)>>2]|0;p=e+n|0;if((e|0)>0){e=n;do{n=l+(e<<2)|0;D=f[n>>2]|0;if((D|0)<(e|0))f[n>>2]=f[l+(D<<2)>>2];else{f[n>>2]=f[i>>2];f[i>>2]=(f[i>>2]|0)+1}e=e+1|0}while((e|0)<(p|0))}r=f[o+(r<<2)>>2]|0}while((r|0)<(k|0));s=(k|0)>-1;t=s?k:-1;v=Dmc(t)|0;f[j>>2]=54288;w=j+4|0;f[w>>2]=c;x=j+8|0;f[x>>2]=d;y=j+12|0;f[y>>2]=l;z=j+16|0;f[z>>2]=g;A=j+20|0;f[A>>2]=v;B=j+24|0;f[B>>2]=i;oU(h,j,q);Fmc(v);tE(o);tE(l);C=f[i>>2]|0;u=a;return C|0}function g7(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;g=f[c+12>>2]|0;h=f[c+8>>2]|0;i=f[e>>2]|0;if((i|0)>=(h|0))return;j=(g|0)>0;k=g+-1|0;l=g+-2|0;m=f[c+16>>2]|0;n=f[c+44>>2]|0;c=f[a+16>>2]|0;o=f[a+44>>2]|0;a=i;do{i=f[n>>2]|0;p=m+(Y(i,a)|0)|0;q=0-i|0;i=p+q+q|0;q=f[o>>2]|0;r=c+(Y(q,a)|0)|0;s=r+(0-q)|0;if(j){q=0;do{t=p+(q<<2)|0;u=f[t>>2]|0;if((u|0)>0){if((((q|0)>1?(v=f[i+(q+-2<<2)>>2]|0,(v|0)>0):0)?(b[r+q>>0]|0)!=0:0)?(b[s+(q+-1)>>0]|0)!=0:0){w=v;while(1){x=f[d+(w<<2)>>2]|0;if((x|0)<(w|0))w=x;else break}if((v|0)==(u|0))y=w;else{x=u;while(1){z=f[d+(x<<2)>>2]|0;if((z|0)<(x|0))x=z;else break}z=(w|0)>(x|0)?x:w;A=u;do{B=d+(A<<2)|0;C=A;A=f[B>>2]|0;f[B>>2]=z}while((A|0)<(C|0));y=z}z=v;do{A=d+(z<<2)|0;w=z;z=f[A>>2]|0;f[A>>2]=y}while((z|0)<(w|0));f[t>>2]=y;D=y}else D=u;z=f[i+(q<<2)>>2]|0;a:do if((z|0)>0){v=b[r+q>>0]|0;w=v<<24>>24!=0;if((q|0)>=(k|0)){if(!w){E=D;break}if(!(b[s+q>>0]|0)){E=D;break}else F=z;while(1){A=f[d+(F<<2)>>2]|0;if((A|0)<(F|0))F=A;else break}if((z|0)==(D|0))G=F;else{A=D;while(1){x=f[d+(A<<2)>>2]|0;if((x|0)<(A|0))A=x;else break}x=(F|0)>(A|0)?A:F;C=D;do{B=d+(C<<2)|0;H=C;C=f[B>>2]|0;f[B>>2]=x}while((C|0)<(H|0));G=x}x=z;do{C=d+(x<<2)|0;A=x;x=f[C>>2]|0;f[C>>2]=G}while((x|0)<(A|0));f[t>>2]=G;E=G;break}if(w?(b[s+q>>0]|0)!=0:0)I=z;else J=23;do if((J|0)==23){J=0;x=q|1;A=(b[r+x>>0]|0)!=0;if(A?b[s+q>>0]|0:0){I=z;break}if(v<<24>>24?b[s+x>>0]|0:0){I=z;break}if(!A){E=D;break a}if(!(b[s+x>>0]|0)){E=D;break a}else I=z}while(0);while(1){v=f[d+(I<<2)>>2]|0;if((v|0)<(I|0))I=v;else break}if((z|0)==(D|0))K=I;else{v=D;while(1){w=f[d+(v<<2)>>2]|0;if((w|0)<(v|0))v=w;else break}w=(I|0)>(v|0)?v:I;x=D;do{A=d+(x<<2)|0;C=x;x=f[A>>2]|0;f[A>>2]=w}while((x|0)<(C|0));K=w}w=z;do{x=d+(w<<2)|0;v=w;w=f[x>>2]|0;f[x>>2]=K}while((w|0)<(v|0));f[t>>2]=K;E=K}else E=D;while(0);if((((q|0)<(l|0)?(z=q+2|0,u=f[i+(z<<2)>>2]|0,(u|0)>0):0)?b[r+(q|1)>>0]|0:0)?b[s+z>>0]|0:0){z=u;while(1){w=f[d+(z<<2)>>2]|0;if((w|0)<(z|0))z=w;else break}if((u|0)==(E|0))L=z;else{w=E;while(1){v=f[d+(w<<2)>>2]|0;if((v|0)<(w|0))w=v;else break}v=(z|0)>(w|0)?w:z;x=E;do{C=d+(x<<2)|0;A=x;x=f[C>>2]|0;f[C>>2]=v}while((x|0)<(A|0));L=v}v=u;do{x=d+(v<<2)|0;z=v;v=f[x>>2]|0;f[x>>2]=L}while((v|0)<(z|0));f[t>>2]=L}}q=q+2|0}while((q|0)<(g|0))}a=f[e+(a<<2)>>2]|0}while((a|0)<(h|0));return}function h7(a){a=a|0;Emc(a);return}function i7(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;d=f[c>>2]|0;e=((d|0)%2|0)+d|0;d=f[c+4>>2]|0;c=((d|0)%2|0)+d|0;d=a+8|0;g=f[d>>2]|0;h=(f[g+8>>2]&1|0)==0;i=f[g+12>>2]|0;j=(i&1|0)!=0;k=(e|0)<(c|0);if((e|0)>0){if(h){if(!j){if(!k)return;l=a+4|0;m=a+12|0;n=e;o=g;p=i;while(1){q=f[l>>2]|0;r=f[f[q+44>>2]>>2]|0;s=(f[q+16>>2]|0)+(Y(r,n)|0)|0;q=s+r|0;r=f[f[o+44>>2]>>2]|0;t=(f[o+16>>2]|0)+(Y(r,n)|0)|0;u=t+r|0;if((p|0)>0){r=0;do{v=t+(r<<2)|0;w=f[v>>2]|0;do if((w|0)>0){x=f[(f[m>>2]|0)+(w<<2)>>2]|0;f[v>>2]=(b[s+r>>0]|0)==0?0:x;y=r|1;f[t+(y<<2)>>2]=(b[s+y>>0]|0)==0?0:x;f[u+(r<<2)>>2]=(b[q+r>>0]|0)==0?0:x;z=u+(y<<2)|0;if(!(b[q+y>>0]|0)){f[z>>2]=0;break}else{f[z>>2]=x;break}}else{f[v>>2]=0;x=r|1;f[t+(x<<2)>>2]=0;f[u+(r<<2)>>2]=0;f[u+(x<<2)>>2]=0}while(0);r=r+2|0;v=f[d>>2]|0;w=f[v+12>>2]|0}while((r|0)<(w|0));A=w;B=v}else{A=p;B=o}n=n+2|0;if((n|0)>=(c|0))break;else{o=B;p=A}}return}if(!k)return;A=a+4|0;p=a+12|0;B=e;o=g;n=i;while(1){m=f[A>>2]|0;l=f[f[m+44>>2]>>2]|0;r=(f[m+16>>2]|0)+(Y(l,B)|0)|0;m=r+l|0;l=f[f[o+44>>2]>>2]|0;u=(f[o+16>>2]|0)+(Y(l,B)|0)|0;t=u+l|0;if((n|0)>0){l=0;do{q=u+(l<<2)|0;s=f[q>>2]|0;do if((s|0)>0){v=f[(f[p>>2]|0)+(s<<2)>>2]|0;f[q>>2]=(b[r+l>>0]|0)==0?0:v;f[t+(l<<2)>>2]=(b[m+l>>0]|0)==0?0:v;w=l|1;if((w|0)<(f[(f[d>>2]|0)+12>>2]|0)){f[u+(w<<2)>>2]=(b[r+w>>0]|0)==0?0:v;x=t+(w<<2)|0;if(!(b[m+w>>0]|0)){f[x>>2]=0;break}else{f[x>>2]=v;break}}}else{f[q>>2]=0;f[t+(l<<2)>>2]=0;v=l|1;if((v|0)<(f[(f[d>>2]|0)+12>>2]|0)){f[u+(v<<2)>>2]=0;f[t+(v<<2)>>2]=0}}while(0);l=l+2|0;q=f[d>>2]|0;s=f[q+12>>2]|0}while((l|0)<(s|0));C=s;D=q}else{C=n;D=o}B=B+2|0;if((B|0)>=(c|0))break;else{o=D;n=C}}return}if(!j){if(!k)return;C=a+4|0;n=a+12|0;D=e;o=g;B=i;while(1){p=f[C>>2]|0;A=f[f[p+44>>2]>>2]|0;l=(f[p+16>>2]|0)+(Y(A,D)|0)|0;p=l+A|0;A=f[f[o+44>>2]>>2]|0;t=(f[o+16>>2]|0)+(Y(A,D)|0)|0;u=t+A|0;if((B|0)>0){A=D+1|0;m=0;do{r=t+(m<<2)|0;q=f[r>>2]|0;do if((q|0)>0){s=f[(f[n>>2]|0)+(q<<2)>>2]|0;f[r>>2]=(b[l+m>>0]|0)==0?0:s;v=m|1;f[t+(v<<2)>>2]=(b[l+v>>0]|0)==0?0:s;if((A|0)<(f[(f[d>>2]|0)+8>>2]|0)){f[u+(m<<2)>>2]=(b[p+m>>0]|0)==0?0:s;x=u+(v<<2)|0;if(!(b[p+v>>0]|0)){f[x>>2]=0;break}else{f[x>>2]=s;break}}}else{f[r>>2]=0;s=m|1;f[t+(s<<2)>>2]=0;if((A|0)<(f[(f[d>>2]|0)+8>>2]|0)){f[u+(m<<2)>>2]=0;f[u+(s<<2)>>2]=0}}while(0);m=m+2|0;r=f[d>>2]|0;q=f[r+12>>2]|0}while((m|0)<(q|0));E=q;F=r}else{E=B;F=o}D=D+2|0;if((D|0)>=(c|0))break;else{o=F;B=E}}return}if(!k)return;E=a+4|0;B=a+12|0;F=e;o=g;D=i;while(1){n=f[E>>2]|0;C=f[f[n+44>>2]>>2]|0;m=(f[n+16>>2]|0)+(Y(C,F)|0)|0;n=m+C|0;C=f[f[o+44>>2]>>2]|0;u=(f[o+16>>2]|0)+(Y(C,F)|0)|0;A=u+C|0;if((D|0)>0){C=F+1|0;t=0;do{p=u+(t<<2)|0;l=f[p>>2]|0;do if((l|0)>0){r=f[(f[B>>2]|0)+(l<<2)>>2]|0;f[p>>2]=(b[m+t>>0]|0)==0?0:r;q=t|1;s=f[d>>2]|0;if((q|0)<(f[s+12>>2]|0)){f[u+(q<<2)>>2]=(b[m+q>>0]|0)==0?0:r;if((C|0)>=(f[(f[d>>2]|0)+8>>2]|0))break;f[A+(t<<2)>>2]=(b[n+t>>0]|0)==0?0:r;x=A+(q<<2)|0;if(!(b[n+q>>0]|0)){f[x>>2]=0;break}else{f[x>>2]=r;break}}else{if((C|0)>=(f[s+8>>2]|0))break;s=A+(t<<2)|0;if(!(b[n+t>>0]|0)){f[s>>2]=0;break}else{f[s>>2]=r;break}}}else{f[p>>2]=0;r=t|1;s=f[d>>2]|0;if((r|0)<(f[s+12>>2]|0)){f[u+(r<<2)>>2]=0;if((C|0)>=(f[(f[d>>2]|0)+8>>2]|0))break;f[A+(t<<2)>>2]=0;f[A+(r<<2)>>2]=0;break}else{if((C|0)>=(f[s+8>>2]|0))break;f[A+(t<<2)>>2]=0;break}}while(0);t=t+2|0;p=f[d>>2]|0;l=f[p+12>>2]|0}while((t|0)<(l|0));G=l;H=p}else{G=D;H=o}F=F+2|0;if((F|0)>=(c|0))break;else{o=H;D=G}}return}else{if(h){if(!j){if(!k)return;h=a+4|0;G=a+12|0;D=e;H=g;o=i;while(1){F=f[h>>2]|0;B=f[f[F+44>>2]>>2]|0;E=(f[F+16>>2]|0)+(Y(B,D)|0)|0;F=E+B|0;B=f[f[H+44>>2]>>2]|0;t=(f[H+16>>2]|0)+(Y(B,D)|0)|0;A=t+B|0;if((o|0)>0){B=0;do{C=t+(B<<2)|0;u=f[C>>2]|0;do if((u|0)>0){n=f[(f[G>>2]|0)+(u<<2)>>2]|0;f[C>>2]=(b[E+B>>0]|0)==0?0:n;m=B|1;f[t+(m<<2)>>2]=(b[E+m>>0]|0)==0?0:n;f[A+(B<<2)>>2]=(b[F+B>>0]|0)==0?0:n;p=A+(m<<2)|0;if(!(b[F+m>>0]|0)){f[p>>2]=0;break}else{f[p>>2]=n;break}}else{f[C>>2]=0;n=B|1;f[t+(n<<2)>>2]=0;f[A+(B<<2)>>2]=0;f[A+(n<<2)>>2]=0}while(0);B=B+2|0;C=f[d>>2]|0;u=f[C+12>>2]|0}while((B|0)<(u|0));I=u;J=C}else{I=o;J=H}D=D+2|0;if((D|0)>=(c|0))break;else{H=J;o=I}}return}if(!k)return;I=a+4|0;o=a+12|0;J=e;H=g;D=i;while(1){G=f[I>>2]|0;h=f[f[G+44>>2]>>2]|0;B=(f[G+16>>2]|0)+(Y(h,J)|0)|0;G=B+h|0;h=f[f[H+44>>2]>>2]|0;A=(f[H+16>>2]|0)+(Y(h,J)|0)|0;t=A+h|0;if((D|0)>0){h=0;do{F=A+(h<<2)|0;E=f[F>>2]|0;do if((E|0)>0){C=f[(f[o>>2]|0)+(E<<2)>>2]|0;f[F>>2]=(b[B+h>>0]|0)==0?0:C;f[t+(h<<2)>>2]=(b[G+h>>0]|0)==0?0:C;u=h|1;if((u|0)<(f[(f[d>>2]|0)+12>>2]|0)){f[A+(u<<2)>>2]=(b[B+u>>0]|0)==0?0:C;n=t+(u<<2)|0;if(!(b[G+u>>0]|0)){f[n>>2]=0;break}else{f[n>>2]=C;break}}}else{f[F>>2]=0;f[t+(h<<2)>>2]=0;C=h|1;if((C|0)<(f[(f[d>>2]|0)+12>>2]|0)){f[A+(C<<2)>>2]=0;f[t+(C<<2)>>2]=0}}while(0);h=h+2|0;F=f[d>>2]|0;E=f[F+12>>2]|0}while((h|0)<(E|0));K=E;L=F}else{K=D;L=H}J=J+2|0;if((J|0)>=(c|0))break;else{H=L;D=K}}return}if(!j){if(!k)return;j=a+4|0;K=a+12|0;D=e;L=g;H=i;while(1){J=f[j>>2]|0;o=f[f[J+44>>2]>>2]|0;I=(f[J+16>>2]|0)+(Y(o,D)|0)|0;J=I+o|0;o=f[f[L+44>>2]>>2]|0;h=(f[L+16>>2]|0)+(Y(o,D)|0)|0;t=h+o|0;if((H|0)>0){o=D+1|0;A=0;do{G=h+(A<<2)|0;B=f[G>>2]|0;do if((B|0)>0){F=f[(f[K>>2]|0)+(B<<2)>>2]|0;f[G>>2]=(b[I+A>>0]|0)==0?0:F;E=A|1;f[h+(E<<2)>>2]=(b[I+E>>0]|0)==0?0:F;if((o|0)<(f[(f[d>>2]|0)+8>>2]|0)){f[t+(A<<2)>>2]=(b[J+A>>0]|0)==0?0:F;C=t+(E<<2)|0;if(!(b[J+E>>0]|0)){f[C>>2]=0;break}else{f[C>>2]=F;break}}}else{f[G>>2]=0;F=A|1;f[h+(F<<2)>>2]=0;if((o|0)<(f[(f[d>>2]|0)+8>>2]|0)){f[t+(A<<2)>>2]=0;f[t+(F<<2)>>2]=0}}while(0);A=A+2|0;G=f[d>>2]|0;B=f[G+12>>2]|0}while((A|0)<(B|0));M=B;N=G}else{M=H;N=L}D=D+2|0;if((D|0)>=(c|0))break;else{L=N;H=M}}return}if(!k)return;k=a+4|0;M=a+12|0;a=e;e=g;g=i;while(1){i=f[k>>2]|0;H=f[f[i+44>>2]>>2]|0;N=(f[i+16>>2]|0)+(Y(H,a)|0)|0;i=N+H|0;H=f[f[e+44>>2]>>2]|0;L=(f[e+16>>2]|0)+(Y(H,a)|0)|0;D=L+H|0;if((g|0)>0){H=a+1|0;K=0;do{j=L+(K<<2)|0;A=f[j>>2]|0;do if((A|0)>0){t=f[(f[M>>2]|0)+(A<<2)>>2]|0;f[j>>2]=(b[N+K>>0]|0)==0?0:t;o=K|1;h=f[d>>2]|0;if((o|0)<(f[h+12>>2]|0)){f[L+(o<<2)>>2]=(b[N+o>>0]|0)==0?0:t;if((H|0)>=(f[(f[d>>2]|0)+8>>2]|0))break;f[D+(K<<2)>>2]=(b[i+K>>0]|0)==0?0:t;J=D+(o<<2)|0;if(!(b[i+o>>0]|0)){f[J>>2]=0;break}else{f[J>>2]=t;break}}else{if((H|0)>=(f[h+8>>2]|0))break;h=D+(K<<2)|0;if(!(b[i+K>>0]|0)){f[h>>2]=0;break}else{f[h>>2]=t;break}}}else{f[j>>2]=0;t=K|1;h=f[d>>2]|0;if((t|0)<(f[h+12>>2]|0)){f[L+(t<<2)>>2]=0;if((H|0)>=(f[(f[d>>2]|0)+8>>2]|0))break;f[D+(K<<2)>>2]=0;f[D+(t<<2)>>2]=0;break}else{if((H|0)>=(f[h+8>>2]|0))break;f[D+(K<<2)>>2]=0;break}}while(0);K=K+2|0;j=f[d>>2]|0;A=f[j+12>>2]|0}while((K|0)<(A|0));O=A;P=j}else{O=g;P=e}a=a+2|0;if((a|0)>=(c|0))break;else{e=P;g=O}}return}}function j7(a){a=a|0;Emc(a);return}function k7(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0;d=f[c>>2]|0;e=((d|0)%2|0)+d|0;d=c+4|0;c=f[d>>2]|0;g=a+16|0;h=f[g>>2]|0;f[h+(e<<2)>>2]=((c|0)%2|0)+c;c=e+1|0;i=a+8|0;j=(Y(((f[(f[i>>2]|0)+12>>2]|0)+1|0)/2|0,(c|0)/2|0)|0)+1|0;k=a+4|0;l=f[k>>2]|0;m=f[l+8>>2]|0;n=f[l+12>>2]|0;if((e|0)>=(f[d>>2]|0)){o=j;p=h;q=o-j|0;r=p+(c<<2)|0;f[r>>2]=q;return}h=(n|0)>0;l=a+12|0;a=e;s=j;while(1){t=f[k>>2]|0;u=f[f[t+44>>2]>>2]|0;v=(f[t+16>>2]|0)+(Y(u,a)|0)|0;t=0-u|0;w=v+t|0;x=w+t|0;t=v+u|0;u=f[i>>2]|0;y=f[f[u+44>>2]>>2]|0;z=(f[u+16>>2]|0)+(Y(y,a)|0)|0;u=0-y|0;y=z+u+u|0;if(h){u=(a+1|0)<(m|0);A=(a|0)>(e|0);B=A^1;C=(a|0)>(c|0);D=0;E=s;while(1){a:do if(!(b[v+D>>0]|0)){F=D|1;G=(F|0)<(n|0);if(u?b[t+D>>0]|0:0){H=D+-1|0;I=(D|0)>0;if(G?b[v+F>>0]|0:0){if(I){if(b[v+H>>0]|0){do if(A){if(b[w+F>>0]|0){if(b[w+D>>0]|0){f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break a}do if(C){if(!(b[x+D>>0]|0))break;K=D+-2|0;if(b[w+H>>0]|0){f[z+(D<<2)>>2]=f[z+(K<<2)>>2];J=E;break a}do if((K|0)>-1){if(!(b[w+K>>0]|0))break;if(b[x+H>>0]|0){f[z+(D<<2)>>2]=f[z+(K<<2)>>2];J=E;break a}L=f[l>>2]|0;M=f[y+(D<<2)>>2]|0;N=f[z+(K<<2)>>2]|0;O=M;while(1){P=f[L+(O<<2)>>2]|0;if((P|0)<(O|0))O=P;else break}if((M|0)==(N|0))Q=O;else{P=N;while(1){R=f[L+(P<<2)>>2]|0;if((R|0)<(P|0))P=R;else break}R=(O|0)>(P|0)?P:O;S=N;do{T=L+(S<<2)|0;U=S;S=f[T>>2]|0;f[T>>2]=R}while((S|0)<(U|0));Q=R}R=M;do{S=L+(R<<2)|0;N=R;R=f[S>>2]|0;f[S>>2]=Q}while((R|0)<(N|0));f[z+(D<<2)>>2]=Q;J=E;break a}while(0);R=f[l>>2]|0;L=f[y+(D<<2)>>2]|0;M=f[z+(K<<2)>>2]|0;N=L;while(1){S=f[R+(N<<2)>>2]|0;if((S|0)<(N|0))N=S;else break}if((L|0)==(M|0))V=N;else{K=M;while(1){S=f[R+(K<<2)>>2]|0;if((S|0)<(K|0))K=S;else break}S=(N|0)>(K|0)?K:N;O=M;do{P=R+(O<<2)|0;U=O;O=f[P>>2]|0;f[P>>2]=S}while((O|0)<(U|0));V=S}S=L;do{O=R+(S<<2)|0;M=S;S=f[O>>2]|0;f[O>>2]=V}while((S|0)<(M|0));f[z+(D<<2)>>2]=V;J=E;break a}while(0);S=f[l>>2]|0;R=f[y+(D<<2)>>2]|0;L=f[z+(D+-2<<2)>>2]|0;M=R;while(1){O=f[S+(M<<2)>>2]|0;if((O|0)<(M|0))M=O;else break}if((R|0)==(L|0))W=M;else{O=L;while(1){N=f[S+(O<<2)>>2]|0;if((N|0)<(O|0))O=N;else break}N=(M|0)>(O|0)?O:M;K=L;do{U=S+(K<<2)|0;P=K;K=f[U>>2]|0;f[U>>2]=N}while((K|0)<(P|0));W=N}N=R;do{K=S+(N<<2)|0;L=N;N=f[K>>2]|0;f[K>>2]=W}while((N|0)<(L|0));f[z+(D<<2)>>2]=W;J=E;break a}N=D+2|0;if((N|0)>=(n|0))break;if(!(b[w+N>>0]|0))break;do if(C){if(!(b[x+F>>0]|0))break;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break a}if(!(b[x+D>>0]|0)){S=f[l>>2]|0;R=f[y+(N<<2)>>2]|0;L=f[z+(D+-2<<2)>>2]|0;K=R;while(1){M=f[S+(K<<2)>>2]|0;if((M|0)<(K|0))K=M;else break}if((R|0)==(L|0))X=K;else{M=L;while(1){O=f[S+(M<<2)>>2]|0;if((O|0)<(M|0))M=O;else break}O=(K|0)>(M|0)?M:K;P=L;do{U=S+(P<<2)|0;T=P;P=f[U>>2]|0;f[U>>2]=O}while((P|0)<(T|0));X=O}O=R;do{P=S+(O<<2)|0;L=O;O=f[P>>2]|0;f[P>>2]=X}while((O|0)<(L|0));f[z+(D<<2)>>2]=X;J=E;break a}O=D+-2|0;if(b[w+H>>0]|0){f[z+(D<<2)>>2]=f[z+(O<<2)>>2];J=E;break a}do if((O|0)>-1){if(!(b[w+O>>0]|0))break;if(b[x+H>>0]|0){f[z+(D<<2)>>2]=f[z+(O<<2)>>2];J=E;break a}S=f[l>>2]|0;R=f[y+(N<<2)>>2]|0;L=f[z+(O<<2)>>2]|0;P=R;while(1){K=f[S+(P<<2)>>2]|0;if((K|0)<(P|0))P=K;else break}if((R|0)==(L|0))Z=P;else{K=L;while(1){M=f[S+(K<<2)>>2]|0;if((M|0)<(K|0))K=M;else break}M=(P|0)>(K|0)?K:P;T=L;do{U=S+(T<<2)|0;_=T;T=f[U>>2]|0;f[U>>2]=M}while((T|0)<(_|0));Z=M}M=R;do{T=S+(M<<2)|0;L=M;M=f[T>>2]|0;f[T>>2]=Z}while((M|0)<(L|0));f[z+(D<<2)>>2]=Z;J=E;break a}while(0);M=f[l>>2]|0;S=f[y+(N<<2)>>2]|0;R=f[z+(O<<2)>>2]|0;L=S;while(1){T=f[M+(L<<2)>>2]|0;if((T|0)<(L|0))L=T;else break}if((S|0)==(R|0))$=L;else{O=R;while(1){T=f[M+(O<<2)>>2]|0;if((T|0)<(O|0))O=T;else break}T=(L|0)>(O|0)?O:L;P=R;do{K=M+(P<<2)|0;_=P;P=f[K>>2]|0;f[K>>2]=T}while((P|0)<(_|0));$=T}T=S;do{P=M+(T<<2)|0;R=T;T=f[P>>2]|0;f[P>>2]=$}while((T|0)<(R|0));f[z+(D<<2)>>2]=$;J=E;break a}while(0);T=f[l>>2]|0;M=f[y+(N<<2)>>2]|0;S=f[z+(D+-2<<2)>>2]|0;R=M;while(1){P=f[T+(R<<2)>>2]|0;if((P|0)<(R|0))R=P;else break}if((M|0)==(S|0))aa=R;else{N=S;while(1){P=f[T+(N<<2)>>2]|0;if((P|0)<(N|0))N=P;else break}P=(R|0)>(N|0)?N:R;L=S;do{O=T+(L<<2)|0;_=L;L=f[O>>2]|0;f[O>>2]=P}while((L|0)<(_|0));aa=P}P=M;do{L=T+(P<<2)|0;S=P;P=f[L>>2]|0;f[L>>2]=aa}while((P|0)<(S|0));f[z+(D<<2)>>2]=aa;J=E;break a}while(0);f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break}if(b[t+H>>0]|0){do if(A){if(b[w+F>>0]|0){P=D+-2|0;do if((P|0)>-1){if(!(b[v+P>>0]|0))break;if(b[w+H>>0]|0){T=f[z+(P<<2)>>2]|0;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=T;J=E;break a}do if(C){if(!(b[x+D>>0]|0))break;f[z+(D<<2)>>2]=T;J=E;break a}while(0);M=f[l>>2]|0;S=f[y+(D<<2)>>2]|0;L=S;while(1){R=f[M+(L<<2)>>2]|0;if((R|0)<(L|0))L=R;else break}if((S|0)==(T|0))ba=L;else{R=T;while(1){N=f[M+(R<<2)>>2]|0;if((N|0)<(R|0))R=N;else break}N=(L|0)>(R|0)?R:L;_=T;do{O=M+(_<<2)|0;K=_;_=f[O>>2]|0;f[O>>2]=N}while((_|0)<(K|0));ba=N}N=S;do{_=M+(N<<2)|0;T=N;N=f[_>>2]|0;f[_>>2]=ba}while((N|0)<(T|0));f[z+(D<<2)>>2]=ba;J=E;break a}if(!(b[w+P>>0]|0)){N=f[l>>2]|0;M=f[y+(D<<2)>>2]|0;S=f[z+(P<<2)>>2]|0;T=M;while(1){_=f[N+(T<<2)>>2]|0;if((_|0)<(T|0))T=_;else break}if((M|0)==(S|0))ca=T;else{_=S;while(1){L=f[N+(_<<2)>>2]|0;if((L|0)<(_|0))_=L;else break}L=(T|0)>(_|0)?_:T;R=S;do{K=N+(R<<2)|0;O=R;R=f[K>>2]|0;f[K>>2]=L}while((R|0)<(O|0));ca=L}L=M;do{R=N+(L<<2)|0;S=L;L=f[R>>2]|0;f[R>>2]=ca}while((L|0)<(S|0));f[z+(D<<2)>>2]=ca;J=E;break a}do if(C){if(!(b[x+H>>0]|0))break;L=f[z+(P<<2)>>2]|0;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=L;J=E;break a}if(b[x+D>>0]|0){f[z+(D<<2)>>2]=L;J=E;break a}N=f[l>>2]|0;M=f[y+(D<<2)>>2]|0;S=M;while(1){R=f[N+(S<<2)>>2]|0;if((R|0)<(S|0))S=R;else break}if((M|0)==(L|0))da=S;else{R=L;while(1){T=f[N+(R<<2)>>2]|0;if((T|0)<(R|0))R=T;else break}T=(S|0)>(R|0)?R:S;_=L;do{O=N+(_<<2)|0;K=_;_=f[O>>2]|0;f[O>>2]=T}while((_|0)<(K|0));da=T}T=M;do{_=N+(T<<2)|0;L=T;T=f[_>>2]|0;f[_>>2]=da}while((T|0)<(L|0));f[z+(D<<2)>>2]=da;J=E;break a}while(0);T=f[l>>2]|0;N=f[y+(D<<2)>>2]|0;M=f[z+(P<<2)>>2]|0;L=N;while(1){_=f[T+(L<<2)>>2]|0;if((_|0)<(L|0))L=_;else break}if((N|0)==(M|0))ea=L;else{_=M;while(1){S=f[T+(_<<2)>>2]|0;if((S|0)<(_|0))_=S;else break}S=(L|0)>(_|0)?_:L;R=M;do{K=T+(R<<2)|0;O=R;R=f[K>>2]|0;f[K>>2]=S}while((R|0)<(O|0));ea=S}S=N;do{R=T+(S<<2)|0;M=S;S=f[R>>2]|0;f[R>>2]=ea}while((S|0)<(M|0));f[z+(D<<2)>>2]=ea;J=E;break a}while(0);S=f[l>>2]|0;T=f[y+(D<<2)>>2]|0;N=f[z+(P<<2)>>2]|0;M=T;while(1){R=f[S+(M<<2)>>2]|0;if((R|0)<(M|0))M=R;else break}if((T|0)==(N|0))fa=M;else{P=N;while(1){R=f[S+(P<<2)>>2]|0;if((R|0)<(P|0))P=R;else break}R=(M|0)>(P|0)?P:M;L=N;do{_=S+(L<<2)|0;O=L;L=f[_>>2]|0;f[_>>2]=R}while((L|0)<(O|0));fa=R}R=T;do{L=S+(R<<2)|0;N=R;R=f[L>>2]|0;f[L>>2]=fa}while((R|0)<(N|0));f[z+(D<<2)>>2]=fa;J=E;break a}R=D+2|0;do if(!((R|0)>=(n|0)|B)){if(!(b[w+R>>0]|0))break;do if(C){if(!(b[x+F>>0]|0))break;S=D+-2|0;do if((S|0)>-1){if(!(b[v+S>>0]|0))break;if(b[w+H>>0]|0){T=f[z+(S<<2)>>2]|0;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=T;J=E;break a}if(b[x+D>>0]|0){f[z+(D<<2)>>2]=T;J=E;break a}N=f[l>>2]|0;L=f[y+(R<<2)>>2]|0;M=L;while(1){P=f[N+(M<<2)>>2]|0;if((P|0)<(M|0))M=P;else break}if((L|0)==(T|0))ga=M;else{P=T;while(1){O=f[N+(P<<2)>>2]|0;if((O|0)<(P|0))P=O;else break}O=(M|0)>(P|0)?P:M;_=T;do{K=N+(_<<2)|0;U=_;_=f[K>>2]|0;f[K>>2]=O}while((_|0)<(U|0));ga=O}O=L;do{_=N+(O<<2)|0;T=O;O=f[_>>2]|0;f[_>>2]=ga}while((O|0)<(T|0));f[z+(D<<2)>>2]=ga;J=E;break a}if(!(b[w+S>>0]|0)){O=f[l>>2]|0;N=f[y+(R<<2)>>2]|0;L=f[z+(S<<2)>>2]|0;T=N;while(1){_=f[O+(T<<2)>>2]|0;if((_|0)<(T|0))T=_;else break}if((N|0)==(L|0))ha=T;else{_=L;while(1){M=f[O+(_<<2)>>2]|0;if((M|0)<(_|0))_=M;else break}M=(T|0)>(_|0)?_:T;P=L;do{U=O+(P<<2)|0;K=P;P=f[U>>2]|0;f[U>>2]=M}while((P|0)<(K|0));ha=M}M=N;do{P=O+(M<<2)|0;L=M;M=f[P>>2]|0;f[P>>2]=ha}while((M|0)<(L|0));f[z+(D<<2)>>2]=ha;J=E;break a}if(!(b[x+H>>0]|0)){M=f[l>>2]|0;O=f[y+(R<<2)>>2]|0;N=f[z+(S<<2)>>2]|0;L=O;while(1){P=f[M+(L<<2)>>2]|0;if((P|0)<(L|0))L=P;else break}if((O|0)==(N|0))ia=L;else{P=N;while(1){T=f[M+(P<<2)>>2]|0;if((T|0)<(P|0))P=T;else break}T=(L|0)>(P|0)?P:L;_=N;do{K=M+(_<<2)|0;U=_;_=f[K>>2]|0;f[K>>2]=T}while((_|0)<(U|0));ia=T}T=O;do{_=M+(T<<2)|0;N=T;T=f[_>>2]|0;f[_>>2]=ia}while((T|0)<(N|0));f[z+(D<<2)>>2]=ia;J=E;break a}T=f[z+(S<<2)>>2]|0;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=T;J=E;break a}if(b[x+D>>0]|0){f[z+(D<<2)>>2]=T;J=E;break a}M=f[l>>2]|0;O=f[y+(R<<2)>>2]|0;N=O;while(1){_=f[M+(N<<2)>>2]|0;if((_|0)<(N|0))N=_;else break}if((O|0)==(T|0))ja=N;else{_=T;while(1){L=f[M+(_<<2)>>2]|0;if((L|0)<(_|0))_=L;else break}L=(N|0)>(_|0)?_:N;P=T;do{U=M+(P<<2)|0;K=P;P=f[U>>2]|0;f[U>>2]=L}while((P|0)<(K|0));ja=L}L=O;do{P=M+(L<<2)|0;T=L;L=f[P>>2]|0;f[P>>2]=ja}while((L|0)<(T|0));f[z+(D<<2)>>2]=ja;J=E;break a}while(0);L=f[l>>2]|0;M=f[y+(R<<2)>>2]|0;O=f[z+(S<<2)>>2]|0;T=M;while(1){P=f[L+(T<<2)>>2]|0;if((P|0)<(T|0))T=P;else break}if((M|0)==(O|0))ka=T;else{S=O;while(1){P=f[L+(S<<2)>>2]|0;if((P|0)<(S|0))S=P;else break}P=(T|0)>(S|0)?S:T;N=O;do{_=L+(N<<2)|0;K=N;N=f[_>>2]|0;f[_>>2]=P}while((N|0)<(K|0));ka=P}P=M;do{N=L+(P<<2)|0;O=P;P=f[N>>2]|0;f[N>>2]=ka}while((P|0)<(O|0));f[z+(D<<2)>>2]=ka;J=E;break a}while(0);P=D+-2|0;if(!(b[w+D>>0]|0)){L=f[l>>2]|0;M=f[y+(R<<2)>>2]|0;O=f[z+(P<<2)>>2]|0;N=M;while(1){T=f[L+(N<<2)>>2]|0;if((T|0)<(N|0))N=T;else break}if((M|0)==(O|0))la=N;else{T=O;while(1){S=f[L+(T<<2)>>2]|0;if((S|0)<(T|0))T=S;else break}S=(N|0)>(T|0)?T:N;K=O;do{_=L+(K<<2)|0;U=K;K=f[_>>2]|0;f[_>>2]=S}while((K|0)<(U|0));la=S}S=M;do{K=L+(S<<2)|0;O=S;S=f[K>>2]|0;f[K>>2]=la}while((S|0)<(O|0));f[z+(D<<2)>>2]=la;J=E;break a}do if((P|0)>-1){if(!(b[v+P>>0]|0))break;if(b[w+H>>0]|0){S=f[l>>2]|0;L=f[y+(R<<2)>>2]|0;M=f[z+(P<<2)>>2]|0;O=L;while(1){K=f[S+(O<<2)>>2]|0;if((K|0)<(O|0))O=K;else break}if((L|0)==(M|0))ma=O;else{K=M;while(1){N=f[S+(K<<2)>>2]|0;if((N|0)<(K|0))K=N;else break}N=(O|0)>(K|0)?K:O;T=M;do{U=S+(T<<2)|0;_=T;T=f[U>>2]|0;f[U>>2]=N}while((T|0)<(_|0));ma=N}N=L;do{T=S+(N<<2)|0;M=N;N=f[T>>2]|0;f[T>>2]=ma}while((N|0)<(M|0));f[z+(D<<2)>>2]=ma;J=E;break a}if(!(b[w+P>>0]|0)){N=f[l>>2]|0;S=f[y+(D<<2)>>2]|0;L=f[y+(R<<2)>>2]|0;M=S;while(1){T=f[N+(M<<2)>>2]|0;if((T|0)<(M|0))M=T;else break}if((S|0)==(L|0))na=M;else{T=L;while(1){O=f[N+(T<<2)>>2]|0;if((O|0)<(T|0))T=O;else break}O=(M|0)>(T|0)?T:M;K=L;do{_=N+(K<<2)|0;U=K;K=f[_>>2]|0;f[_>>2]=O}while((K|0)<(U|0));na=O}O=S;do{K=N+(O<<2)|0;L=O;O=f[K>>2]|0;f[K>>2]=na}while((O|0)<(L|0));O=f[z+(P<<2)>>2]|0;S=na;while(1){L=f[N+(S<<2)>>2]|0;if((L|0)<(S|0))S=L;else break}if((na|0)==(O|0))oa=S;else{L=O;while(1){K=f[N+(L<<2)>>2]|0;if((K|0)<(L|0))L=K;else break}K=(S|0)>(L|0)?L:S;M=O;do{T=N+(M<<2)|0;U=M;M=f[T>>2]|0;f[T>>2]=K}while((M|0)<(U|0));oa=K}K=na;do{M=N+(K<<2)|0;O=K;K=f[M>>2]|0;f[M>>2]=oa}while((K|0)<(O|0));f[z+(D<<2)>>2]=oa;J=E;break a}do if(C){if(!(b[x+H>>0]|0))break;K=f[l>>2]|0;N=f[y+(R<<2)>>2]|0;O=f[z+(P<<2)>>2]|0;M=N;while(1){S=f[K+(M<<2)>>2]|0;if((S|0)<(M|0))M=S;else break}if((N|0)==(O|0))pa=M;else{S=O;while(1){L=f[K+(S<<2)>>2]|0;if((L|0)<(S|0))S=L;else break}L=(M|0)>(S|0)?S:M;U=O;do{T=K+(U<<2)|0;_=U;U=f[T>>2]|0;f[T>>2]=L}while((U|0)<(_|0));pa=L}L=N;do{U=K+(L<<2)|0;O=L;L=f[U>>2]|0;f[U>>2]=pa}while((L|0)<(O|0));f[z+(D<<2)>>2]=pa;J=E;break a}while(0);L=f[l>>2]|0;K=f[y+(D<<2)>>2]|0;N=f[y+(R<<2)>>2]|0;O=K;while(1){U=f[L+(O<<2)>>2]|0;if((U|0)<(O|0))O=U;else break}if((K|0)==(N|0))qa=O;else{U=N;while(1){M=f[L+(U<<2)>>2]|0;if((M|0)<(U|0))U=M;else break}M=(O|0)>(U|0)?U:O;S=N;do{_=L+(S<<2)|0;T=S;S=f[_>>2]|0;f[_>>2]=M}while((S|0)<(T|0));qa=M}M=K;do{S=L+(M<<2)|0;N=M;M=f[S>>2]|0;f[S>>2]=qa}while((M|0)<(N|0));M=f[z+(P<<2)>>2]|0;K=qa;while(1){N=f[L+(K<<2)>>2]|0;if((N|0)<(K|0))K=N;else break}if((qa|0)==(M|0))ra=K;else{N=M;while(1){S=f[L+(N<<2)>>2]|0;if((S|0)<(N|0))N=S;else break}S=(K|0)>(N|0)?N:K;O=M;do{U=L+(O<<2)|0;T=O;O=f[U>>2]|0;f[U>>2]=S}while((O|0)<(T|0));ra=S}S=qa;do{O=L+(S<<2)|0;M=S;S=f[O>>2]|0;f[O>>2]=ra}while((S|0)<(M|0));f[z+(D<<2)>>2]=ra;J=E;break a}while(0);S=f[l>>2]|0;L=f[y+(D<<2)>>2]|0;M=f[y+(R<<2)>>2]|0;O=L;while(1){K=f[S+(O<<2)>>2]|0;if((K|0)<(O|0))O=K;else break}if((L|0)==(M|0))sa=O;else{K=M;while(1){N=f[S+(K<<2)>>2]|0;if((N|0)<(K|0))K=N;else break}N=(O|0)>(K|0)?K:O;T=M;do{U=S+(T<<2)|0;_=T;T=f[U>>2]|0;f[U>>2]=N}while((T|0)<(_|0));sa=N}N=L;do{T=S+(N<<2)|0;M=N;N=f[T>>2]|0;f[T>>2]=sa}while((N|0)<(M|0));N=f[z+(P<<2)>>2]|0;L=sa;while(1){M=f[S+(L<<2)>>2]|0;if((M|0)<(L|0))L=M;else break}if((sa|0)==(N|0))ta=L;else{P=N;while(1){M=f[S+(P<<2)>>2]|0;if((M|0)<(P|0))P=M;else break}M=(L|0)>(P|0)?P:L;T=N;do{O=S+(T<<2)|0;K=T;T=f[O>>2]|0;f[O>>2]=M}while((T|0)<(K|0));ta=M}M=sa;do{T=S+(M<<2)|0;N=M;M=f[T>>2]|0;f[T>>2]=ta}while((M|0)<(N|0));f[z+(D<<2)>>2]=ta;J=E;break a}while(0);R=D+-2|0;if(!(b[w+D>>0]|0)){ua=R;break}do if((R|0)>-1){if(!(b[v+R>>0]|0))break;if(b[w+H>>0]|0){f[z+(D<<2)>>2]=f[z+(R<<2)>>2];J=E;break a}if(!(b[w+R>>0]|0)){M=f[l>>2]|0;S=f[y+(D<<2)>>2]|0;N=f[z+(R<<2)>>2]|0;T=S;while(1){L=f[M+(T<<2)>>2]|0;if((L|0)<(T|0))T=L;else break}if((S|0)==(N|0))va=T;else{L=N;while(1){P=f[M+(L<<2)>>2]|0;if((P|0)<(L|0))L=P;else break}P=(T|0)>(L|0)?L:T;K=N;do{O=M+(K<<2)|0;_=K;K=f[O>>2]|0;f[O>>2]=P}while((K|0)<(_|0));va=P}P=S;do{K=M+(P<<2)|0;N=P;P=f[K>>2]|0;f[K>>2]=va}while((P|0)<(N|0));f[z+(D<<2)>>2]=va;J=E;break a}do if(C){if(!(b[x+H>>0]|0))break;f[z+(D<<2)>>2]=f[z+(R<<2)>>2];J=E;break a}while(0);P=f[l>>2]|0;M=f[y+(D<<2)>>2]|0;S=f[z+(R<<2)>>2]|0;N=M;while(1){K=f[P+(N<<2)>>2]|0;if((K|0)<(N|0))N=K;else break}if((M|0)==(S|0))wa=N;else{K=S;while(1){T=f[P+(K<<2)>>2]|0;if((T|0)<(K|0))K=T;else break}T=(N|0)>(K|0)?K:N;L=S;do{_=P+(L<<2)|0;O=L;L=f[_>>2]|0;f[_>>2]=T}while((L|0)<(O|0));wa=T}T=M;do{L=P+(T<<2)|0;S=T;T=f[L>>2]|0;f[L>>2]=wa}while((T|0)<(S|0));f[z+(D<<2)>>2]=wa;J=E;break a}while(0);T=f[l>>2]|0;P=f[y+(D<<2)>>2]|0;M=f[z+(R<<2)>>2]|0;S=P;while(1){L=f[T+(S<<2)>>2]|0;if((L|0)<(S|0))S=L;else break}if((P|0)==(M|0))xa=S;else{R=M;while(1){L=f[T+(R<<2)>>2]|0;if((L|0)<(R|0))R=L;else break}L=(S|0)>(R|0)?R:S;N=M;do{K=T+(N<<2)|0;O=N;N=f[K>>2]|0;f[K>>2]=L}while((N|0)<(O|0));xa=L}L=P;do{N=T+(L<<2)|0;M=L;L=f[N>>2]|0;f[N>>2]=xa}while((L|0)<(M|0));f[z+(D<<2)>>2]=xa;J=E;break a}else ua=D+-2|0;while(0);f[z+(D<<2)>>2]=f[z+(ua<<2)>>2];J=E;break}}if(A){if(b[w+F>>0]|0){f[z+(D<<2)>>2]=f[y+(D<<2)>>2];J=E;break}L=D+2|0;if(!((L|0)>=(n|0)|B)?b[w+L>>0]|0:0){if(!(b[w+D>>0]|0)){f[z+(D<<2)>>2]=f[y+(L<<2)>>2];J=E;break}do if(C){if(!(b[x+F>>0]|0))break;f[z+(D<<2)>>2]=f[y+(L<<2)>>2];J=E;break a}while(0);T=f[l>>2]|0;P=f[y+(D<<2)>>2]|0;M=f[y+(L<<2)>>2]|0;N=P;while(1){S=f[T+(N<<2)>>2]|0;if((S|0)<(N|0))N=S;else break}if((P|0)==(M|0))ya=N;else{L=M;while(1){S=f[T+(L<<2)>>2]|0;if((S|0)<(L|0))L=S;else break}S=(N|0)>(L|0)?L:N;R=M;do{O=T+(R<<2)|0;K=R;R=f[O>>2]|0;f[O>>2]=S}while((R|0)<(K|0));ya=S}S=P;do{R=T+(S<<2)|0;M=S;S=f[R>>2]|0;f[R>>2]=ya}while((S|0)<(M|0));f[z+(D<<2)>>2]=ya;J=E;break}if(b[w+D>>0]|0){f[z+(D<<2)>>2]=f[y+(D<<2)>>2];J=E;break}}f[z+(D<<2)>>2]=E;f[(f[l>>2]|0)+(E<<2)>>2]=E;J=E+1|0;break}if(I){if(b[t+H>>0]|0){f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break}if(b[v+H>>0]|0){f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break}}f[z+(D<<2)>>2]=E;f[(f[l>>2]|0)+(E<<2)>>2]=E;J=E+1|0;break}do if(G){if(!(b[v+F>>0]|0)){if(!u)break;if(!(b[t+F>>0]|0))break;f[z+(D<<2)>>2]=E;f[(f[l>>2]|0)+(E<<2)>>2]=E;J=E+1|0;break a}if(A){if(b[w+F>>0]|0){f[z+(D<<2)>>2]=f[y+(D<<2)>>2];J=E;break a}S=D+2|0;if(!((S|0)>=(n|0)|B)?b[w+S>>0]|0:0){if(!(b[w+D>>0]|0)){f[z+(D<<2)>>2]=f[y+(S<<2)>>2];J=E;break a}do if(C){if(!(b[x+F>>0]|0))break;f[z+(D<<2)>>2]=f[y+(S<<2)>>2];J=E;break a}while(0);T=f[l>>2]|0;P=f[y+(D<<2)>>2]|0;M=f[y+(S<<2)>>2]|0;R=P;while(1){N=f[T+(R<<2)>>2]|0;if((N|0)<(R|0))R=N;else break}if((P|0)==(M|0))za=R;else{S=M;while(1){N=f[T+(S<<2)>>2]|0;if((N|0)<(S|0))S=N;else break}N=(R|0)>(S|0)?S:R;L=M;do{K=T+(L<<2)|0;O=L;L=f[K>>2]|0;f[K>>2]=N}while((L|0)<(O|0));za=N}N=P;do{L=T+(N<<2)|0;M=N;N=f[L>>2]|0;f[L>>2]=za}while((N|0)<(M|0));f[z+(D<<2)>>2]=za;J=E;break a}if(b[w+D>>0]|0){f[z+(D<<2)>>2]=f[y+(D<<2)>>2];J=E;break a}}f[z+(D<<2)>>2]=E;f[(f[l>>2]|0)+(E<<2)>>2]=E;J=E+1|0;break a}while(0);f[z+(D<<2)>>2]=0;J=E}else{F=D+-1|0;G=(D|0)>0;if(G){if(b[v+F>>0]|0){H=D|1;I=(H|0)<(n|0);if(A&I?b[w+H>>0]|0:0){if(b[w+D>>0]|0){f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break}if(C?b[x+D>>0]|0:0){N=D+-2|0;if(b[w+F>>0]|0){f[z+(D<<2)>>2]=f[z+(N<<2)>>2];J=E;break}do if((N|0)>-1){if(!(b[w+N>>0]|0))break;if(b[x+F>>0]|0){f[z+(D<<2)>>2]=f[z+(N<<2)>>2];J=E;break a}T=f[l>>2]|0;P=f[y+(D<<2)>>2]|0;M=f[z+(N<<2)>>2]|0;L=P;while(1){R=f[T+(L<<2)>>2]|0;if((R|0)<(L|0))L=R;else break}if((P|0)==(M|0))Aa=L;else{R=M;while(1){S=f[T+(R<<2)>>2]|0;if((S|0)<(R|0))R=S;else break}S=(L|0)>(R|0)?R:L;O=M;do{K=T+(O<<2)|0;_=O;O=f[K>>2]|0;f[K>>2]=S}while((O|0)<(_|0));Aa=S}S=P;do{O=T+(S<<2)|0;M=S;S=f[O>>2]|0;f[O>>2]=Aa}while((S|0)<(M|0));f[z+(D<<2)>>2]=Aa;J=E;break a}while(0);S=f[l>>2]|0;T=f[y+(D<<2)>>2]|0;P=f[z+(N<<2)>>2]|0;M=T;while(1){O=f[S+(M<<2)>>2]|0;if((O|0)<(M|0))M=O;else break}if((T|0)==(P|0))Ba=M;else{N=P;while(1){O=f[S+(N<<2)>>2]|0;if((O|0)<(N|0))N=O;else break}O=(M|0)>(N|0)?N:M;L=P;do{R=S+(L<<2)|0;_=L;L=f[R>>2]|0;f[R>>2]=O}while((L|0)<(_|0));Ba=O}O=T;do{L=S+(O<<2)|0;P=O;O=f[L>>2]|0;f[L>>2]=Ba}while((O|0)<(P|0));f[z+(D<<2)>>2]=Ba;J=E;break}O=f[l>>2]|0;S=f[y+(D<<2)>>2]|0;T=f[z+(D+-2<<2)>>2]|0;P=S;while(1){L=f[O+(P<<2)>>2]|0;if((L|0)<(P|0))P=L;else break}if((S|0)==(T|0))Ca=P;else{L=T;while(1){M=f[O+(L<<2)>>2]|0;if((M|0)<(L|0))L=M;else break}M=(P|0)>(L|0)?L:P;N=T;do{_=O+(N<<2)|0;R=N;N=f[_>>2]|0;f[_>>2]=M}while((N|0)<(R|0));Ca=M}M=S;do{N=O+(M<<2)|0;T=M;M=f[N>>2]|0;f[N>>2]=Ca}while((M|0)<(T|0));f[z+(D<<2)>>2]=Ca;J=E;break}if(I?b[v+H>>0]|0:0){M=D+2|0;if(A&(M|0)<(n|0)?b[w+M>>0]|0:0){do if(C){if(!(b[x+H>>0]|0))break;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break a}if(!(b[x+D>>0]|0)){O=f[l>>2]|0;S=f[y+(M<<2)>>2]|0;T=f[z+(D+-2<<2)>>2]|0;N=S;while(1){P=f[O+(N<<2)>>2]|0;if((P|0)<(N|0))N=P;else break}if((S|0)==(T|0))Da=N;else{P=T;while(1){L=f[O+(P<<2)>>2]|0;if((L|0)<(P|0))P=L;else break}L=(N|0)>(P|0)?P:N;R=T;do{_=O+(R<<2)|0;K=R;R=f[_>>2]|0;f[_>>2]=L}while((R|0)<(K|0));Da=L}L=S;do{R=O+(L<<2)|0;T=L;L=f[R>>2]|0;f[R>>2]=Da}while((L|0)<(T|0));f[z+(D<<2)>>2]=Da;J=E;break a}L=D+-2|0;if(b[w+F>>0]|0){f[z+(D<<2)>>2]=f[z+(L<<2)>>2];J=E;break a}do if((L|0)>-1){if(!(b[w+L>>0]|0))break;if(b[x+F>>0]|0){f[z+(D<<2)>>2]=f[z+(L<<2)>>2];J=E;break a}O=f[l>>2]|0;S=f[y+(M<<2)>>2]|0;T=f[z+(L<<2)>>2]|0;R=S;while(1){N=f[O+(R<<2)>>2]|0;if((N|0)<(R|0))R=N;else break}if((S|0)==(T|0))Ea=R;else{N=T;while(1){P=f[O+(N<<2)>>2]|0;if((P|0)<(N|0))N=P;else break}P=(R|0)>(N|0)?N:R;K=T;do{_=O+(K<<2)|0;U=K;K=f[_>>2]|0;f[_>>2]=P}while((K|0)<(U|0));Ea=P}P=S;do{K=O+(P<<2)|0;T=P;P=f[K>>2]|0;f[K>>2]=Ea}while((P|0)<(T|0));f[z+(D<<2)>>2]=Ea;J=E;break a}while(0);P=f[l>>2]|0;O=f[y+(M<<2)>>2]|0;S=f[z+(L<<2)>>2]|0;T=O;while(1){K=f[P+(T<<2)>>2]|0;if((K|0)<(T|0))T=K;else break}if((O|0)==(S|0))Fa=T;else{L=S;while(1){K=f[P+(L<<2)>>2]|0;if((K|0)<(L|0))L=K;else break}K=(T|0)>(L|0)?L:T;R=S;do{N=P+(R<<2)|0;U=R;R=f[N>>2]|0;f[N>>2]=K}while((R|0)<(U|0));Fa=K}K=O;do{R=P+(K<<2)|0;S=K;K=f[R>>2]|0;f[R>>2]=Fa}while((K|0)<(S|0));f[z+(D<<2)>>2]=Fa;J=E;break a}while(0);H=f[l>>2]|0;I=f[y+(M<<2)>>2]|0;K=f[z+(D+-2<<2)>>2]|0;P=I;while(1){O=f[H+(P<<2)>>2]|0;if((O|0)<(P|0))P=O;else break}if((I|0)==(K|0))Ga=P;else{M=K;while(1){O=f[H+(M<<2)>>2]|0;if((O|0)<(M|0))M=O;else break}O=(P|0)>(M|0)?M:P;S=K;do{R=H+(S<<2)|0;T=S;S=f[R>>2]|0;f[R>>2]=O}while((S|0)<(T|0));Ga=O}O=I;do{S=H+(O<<2)|0;K=O;O=f[S>>2]|0;f[S>>2]=Ga}while((O|0)<(K|0));f[z+(D<<2)>>2]=Ga;J=E;break}f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break}f[z+(D<<2)>>2]=f[z+(D+-2<<2)>>2];J=E;break}if(u?b[t+F>>0]|0:0){O=D|1;H=(O|0)<(n|0);if(!(B|H^1)?b[w+O>>0]|0:0){I=D+-2|0;if((I|0)>-1?b[v+I>>0]|0:0){if(b[w+F>>0]|0){K=f[z+(I<<2)>>2]|0;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=K;J=E;break}do if(C){if(!(b[x+D>>0]|0))break;f[z+(D<<2)>>2]=K;J=E;break a}while(0);S=f[l>>2]|0;P=f[y+(D<<2)>>2]|0;M=P;while(1){T=f[S+(M<<2)>>2]|0;if((T|0)<(M|0))M=T;else break}if((P|0)==(K|0))Ha=M;else{T=K;while(1){R=f[S+(T<<2)>>2]|0;if((R|0)<(T|0))T=R;else break}R=(M|0)>(T|0)?T:M;L=K;do{U=S+(L<<2)|0;N=L;L=f[U>>2]|0;f[U>>2]=R}while((L|0)<(N|0));Ha=R}R=P;do{L=S+(R<<2)|0;K=R;R=f[L>>2]|0;f[L>>2]=Ha}while((R|0)<(K|0));f[z+(D<<2)>>2]=Ha;J=E;break}if(!(b[w+I>>0]|0)){R=f[l>>2]|0;S=f[y+(D<<2)>>2]|0;P=f[z+(I<<2)>>2]|0;K=S;while(1){L=f[R+(K<<2)>>2]|0;if((L|0)<(K|0))K=L;else break}if((S|0)==(P|0))Ia=K;else{L=P;while(1){M=f[R+(L<<2)>>2]|0;if((M|0)<(L|0))L=M;else break}M=(K|0)>(L|0)?L:K;T=P;do{N=R+(T<<2)|0;U=T;T=f[N>>2]|0;f[N>>2]=M}while((T|0)<(U|0));Ia=M}M=S;do{T=R+(M<<2)|0;P=M;M=f[T>>2]|0;f[T>>2]=Ia}while((M|0)<(P|0));f[z+(D<<2)>>2]=Ia;J=E;break}do if(C){if(!(b[x+F>>0]|0))break;M=f[z+(I<<2)>>2]|0;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=M;J=E;break a}if(b[x+D>>0]|0){f[z+(D<<2)>>2]=M;J=E;break a}R=f[l>>2]|0;S=f[y+(D<<2)>>2]|0;P=S;while(1){T=f[R+(P<<2)>>2]|0;if((T|0)<(P|0))P=T;else break}if((S|0)==(M|0))Ja=P;else{T=M;while(1){K=f[R+(T<<2)>>2]|0;if((K|0)<(T|0))T=K;else break}K=(P|0)>(T|0)?T:P;L=M;do{U=R+(L<<2)|0;N=L;L=f[U>>2]|0;f[U>>2]=K}while((L|0)<(N|0));Ja=K}K=S;do{L=R+(K<<2)|0;M=K;K=f[L>>2]|0;f[L>>2]=Ja}while((K|0)<(M|0));f[z+(D<<2)>>2]=Ja;J=E;break a}while(0);K=f[l>>2]|0;R=f[y+(D<<2)>>2]|0;S=f[z+(I<<2)>>2]|0;M=R;while(1){L=f[K+(M<<2)>>2]|0;if((L|0)<(M|0))M=L;else break}if((R|0)==(S|0))Ka=M;else{L=S;while(1){P=f[K+(L<<2)>>2]|0;if((P|0)<(L|0))L=P;else break}P=(M|0)>(L|0)?L:M;T=S;do{N=K+(T<<2)|0;U=T;T=f[N>>2]|0;f[N>>2]=P}while((T|0)<(U|0));Ka=P}P=R;do{T=K+(P<<2)|0;S=P;P=f[T>>2]|0;f[T>>2]=Ka}while((P|0)<(S|0));f[z+(D<<2)>>2]=Ka;J=E;break}if(b[w+D>>0]|0){P=f[l>>2]|0;K=f[y+(D<<2)>>2]|0;R=f[z+(I<<2)>>2]|0;S=K;while(1){T=f[P+(S<<2)>>2]|0;if((T|0)<(S|0))S=T;else break}if((K|0)==(R|0))La=S;else{T=R;while(1){M=f[P+(T<<2)>>2]|0;if((M|0)<(T|0))T=M;else break}M=(S|0)>(T|0)?T:S;L=R;do{U=P+(L<<2)|0;N=L;L=f[U>>2]|0;f[U>>2]=M}while((L|0)<(N|0));La=M}M=K;do{L=P+(M<<2)|0;R=M;M=f[L>>2]|0;f[L>>2]=La}while((M|0)<(R|0));f[z+(D<<2)>>2]=La;J=E;break}if(!(b[w+F>>0]|0)){M=f[l>>2]|0;P=f[y+(D<<2)>>2]|0;K=f[z+(I<<2)>>2]|0;R=P;while(1){L=f[M+(R<<2)>>2]|0;if((L|0)<(R|0))R=L;else break}if((P|0)==(K|0))Ma=R;else{L=K;while(1){S=f[M+(L<<2)>>2]|0;if((S|0)<(L|0))L=S;else break}S=(R|0)>(L|0)?L:R;T=K;do{N=M+(T<<2)|0;U=T;T=f[N>>2]|0;f[N>>2]=S}while((T|0)<(U|0));Ma=S}S=P;do{T=M+(S<<2)|0;K=S;S=f[T>>2]|0;f[T>>2]=Ma}while((S|0)<(K|0));f[z+(D<<2)>>2]=Ma;J=E;break}S=f[y+(D<<2)>>2]|0;M=f[l>>2]|0;do if(C){if(!(b[x+D>>0]|0))break;P=f[z+(I<<2)>>2]|0;K=S;while(1){T=f[M+(K<<2)>>2]|0;if((T|0)<(K|0))K=T;else break}if((S|0)==(P|0))Na=K;else{T=P;while(1){R=f[M+(T<<2)>>2]|0;if((R|0)<(T|0))T=R;else break}R=(K|0)>(T|0)?T:K;L=P;do{U=M+(L<<2)|0;N=L;L=f[U>>2]|0;f[U>>2]=R}while((L|0)<(N|0));Na=R}R=S;do{L=M+(R<<2)|0;P=R;R=f[L>>2]|0;f[L>>2]=Na}while((R|0)<(P|0));f[z+(D<<2)>>2]=Na;J=E;break a}while(0);R=f[y+(I<<2)>>2]|0;P=R;while(1){L=f[M+(P<<2)>>2]|0;if((L|0)<(P|0))P=L;else break}if((R|0)==(S|0))Oa=P;else{L=S;while(1){K=f[M+(L<<2)>>2]|0;if((K|0)<(L|0))L=K;else break}K=(P|0)>(L|0)?L:P;T=S;do{N=M+(T<<2)|0;U=T;T=f[N>>2]|0;f[N>>2]=K}while((T|0)<(U|0));Oa=K}K=R;do{T=M+(K<<2)|0;S=K;K=f[T>>2]|0;f[T>>2]=Oa}while((K|0)<(S|0));K=f[z+(I<<2)>>2]|0;R=Oa;while(1){S=f[M+(R<<2)>>2]|0;if((S|0)<(R|0))R=S;else break}if((Oa|0)==(K|0))Pa=R;else{I=K;while(1){S=f[M+(I<<2)>>2]|0;if((S|0)<(I|0))I=S;else break}S=(R|0)>(I|0)?I:R;T=K;do{P=M+(T<<2)|0;L=T;T=f[P>>2]|0;f[P>>2]=S}while((T|0)<(L|0));Pa=S}S=Oa;do{T=M+(S<<2)|0;K=S;S=f[T>>2]|0;f[T>>2]=Pa}while((S|0)<(K|0));f[z+(D<<2)>>2]=Pa;J=E;break}if(H?b[v+O>>0]|0:0){S=D+2|0;if(!((S|0)>=(n|0)|B)?b[w+S>>0]|0:0){M=D+-2|0;do if((M|0)>-1){if(!(b[v+M>>0]|0))break;if(b[w+F>>0]|0){do if(C){if(!(b[x+O>>0]|0))break;K=f[z+(M<<2)>>2]|0;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=K;J=E;break a}if(b[x+D>>0]|0){f[z+(D<<2)>>2]=K;J=E;break a}T=f[l>>2]|0;R=f[y+(S<<2)>>2]|0;I=R;while(1){L=f[T+(I<<2)>>2]|0;if((L|0)<(I|0))I=L;else break}if((R|0)==(K|0))Qa=I;else{L=K;while(1){P=f[T+(L<<2)>>2]|0;if((P|0)<(L|0))L=P;else break}P=(I|0)>(L|0)?L:I;U=K;do{N=T+(U<<2)|0;_=U;U=f[N>>2]|0;f[N>>2]=P}while((U|0)<(_|0));Qa=P}P=R;do{U=T+(P<<2)|0;K=P;P=f[U>>2]|0;f[U>>2]=Qa}while((P|0)<(K|0));f[z+(D<<2)>>2]=Qa;J=E;break a}while(0);P=f[l>>2]|0;T=f[y+(S<<2)>>2]|0;R=f[z+(M<<2)>>2]|0;K=T;while(1){U=f[P+(K<<2)>>2]|0;if((U|0)<(K|0))K=U;else break}if((T|0)==(R|0))Ra=K;else{U=R;while(1){I=f[P+(U<<2)>>2]|0;if((I|0)<(U|0))U=I;else break}I=(K|0)>(U|0)?U:K;L=R;do{_=P+(L<<2)|0;N=L;L=f[_>>2]|0;f[_>>2]=I}while((L|0)<(N|0));Ra=I}I=T;do{L=P+(I<<2)|0;R=I;I=f[L>>2]|0;f[L>>2]=Ra}while((I|0)<(R|0));f[z+(D<<2)>>2]=Ra;J=E;break a}do if(C){if(!(b[x+O>>0]|0))break;if(!(b[w+M>>0]|0)){I=f[l>>2]|0;P=f[y+(S<<2)>>2]|0;T=f[z+(M<<2)>>2]|0;R=P;while(1){L=f[I+(R<<2)>>2]|0;if((L|0)<(R|0))R=L;else break}if((P|0)==(T|0))Sa=R;else{L=T;while(1){K=f[I+(L<<2)>>2]|0;if((K|0)<(L|0))L=K;else break}K=(R|0)>(L|0)?L:R;U=T;do{N=I+(U<<2)|0;_=U;U=f[N>>2]|0;f[N>>2]=K}while((U|0)<(_|0));Sa=K}K=P;do{U=I+(K<<2)|0;T=K;K=f[U>>2]|0;f[U>>2]=Sa}while((K|0)<(T|0));f[z+(D<<2)>>2]=Sa;J=E;break a}if(!(b[x+F>>0]|0)){K=f[l>>2]|0;I=f[y+(S<<2)>>2]|0;P=f[z+(M<<2)>>2]|0;T=I;while(1){U=f[K+(T<<2)>>2]|0;if((U|0)<(T|0))T=U;else break}if((I|0)==(P|0))Ta=T;else{U=P;while(1){R=f[K+(U<<2)>>2]|0;if((R|0)<(U|0))U=R;else break}R=(T|0)>(U|0)?U:T;L=P;do{_=K+(L<<2)|0;N=L;L=f[_>>2]|0;f[_>>2]=R}while((L|0)<(N|0));Ta=R}R=I;do{L=K+(R<<2)|0;P=R;R=f[L>>2]|0;f[L>>2]=Ta}while((R|0)<(P|0));f[z+(D<<2)>>2]=Ta;J=E;break a}R=f[z+(M<<2)>>2]|0;if(b[w+D>>0]|0){f[z+(D<<2)>>2]=R;J=E;break a}if(b[x+D>>0]|0){f[z+(D<<2)>>2]=R;J=E;break a}K=f[l>>2]|0;I=f[y+(S<<2)>>2]|0;P=I;while(1){L=f[K+(P<<2)>>2]|0;if((L|0)<(P|0))P=L;else break}if((I|0)==(R|0))Ua=P;else{L=R;while(1){T=f[K+(L<<2)>>2]|0;if((T|0)<(L|0))L=T;else break}T=(P|0)>(L|0)?L:P;U=R;do{N=K+(U<<2)|0;_=U;U=f[N>>2]|0;f[N>>2]=T}while((U|0)<(_|0));Ua=T}T=I;do{U=K+(T<<2)|0;R=T;T=f[U>>2]|0;f[U>>2]=Ua}while((T|0)<(R|0));f[z+(D<<2)>>2]=Ua;J=E;break a}while(0);if(!(b[w+D>>0]|0)){T=f[l>>2]|0;K=f[y+(S<<2)>>2]|0;I=f[z+(M<<2)>>2]|0;R=K;while(1){U=f[T+(R<<2)>>2]|0;if((U|0)<(R|0))R=U;else break}if((K|0)==(I|0))Va=R;else{U=I;while(1){P=f[T+(U<<2)>>2]|0;if((P|0)<(U|0))U=P;else break}P=(R|0)>(U|0)?U:R;L=I;do{_=T+(L<<2)|0;N=L;L=f[_>>2]|0;f[_>>2]=P}while((L|0)<(N|0));Va=P}P=K;do{L=T+(P<<2)|0;I=P;P=f[L>>2]|0;f[L>>2]=Va}while((P|0)<(I|0));f[z+(D<<2)>>2]=Va;J=E;break a}if(!(b[w+M>>0]|0)){P=f[l>>2]|0;T=f[y+(D<<2)>>2]|0;K=f[y+(S<<2)>>2]|0;I=T;while(1){L=f[P+(I<<2)>>2]|0;if((L|0)<(I|0))I=L;else break}if((T|0)==(K|0))Wa=I;else{L=K;while(1){R=f[P+(L<<2)>>2]|0;if((R|0)<(L|0))L=R;else break}R=(I|0)>(L|0)?L:I;U=K;do{N=P+(U<<2)|0;_=U;U=f[N>>2]|0;f[N>>2]=R}while((U|0)<(_|0));Wa=R}R=T;do{U=P+(R<<2)|0;K=R;R=f[U>>2]|0;f[U>>2]=Wa}while((R|0)<(K|0));R=f[z+(M<<2)>>2]|0;T=Wa;while(1){K=f[P+(T<<2)>>2]|0;if((K|0)<(T|0))T=K;else break}if((Wa|0)==(R|0))Xa=T;else{K=R;while(1){U=f[P+(K<<2)>>2]|0;if((U|0)<(K|0))K=U;else break}U=(T|0)>(K|0)?K:T;I=R;do{L=P+(I<<2)|0;_=I;I=f[L>>2]|0;f[L>>2]=U}while((I|0)<(_|0));Xa=U}U=Wa;do{I=P+(U<<2)|0;R=U;U=f[I>>2]|0;f[I>>2]=Xa}while((U|0)<(R|0));f[z+(D<<2)>>2]=Xa;J=E;break a}do if(C){if(!(b[x+F>>0]|0))break;U=f[l>>2]|0;P=f[y+(S<<2)>>2]|0;R=f[z+(M<<2)>>2]|0;I=P;while(1){T=f[U+(I<<2)>>2]|0;if((T|0)<(I|0))I=T;else break}if((P|0)==(R|0))Ya=I;else{T=R;while(1){K=f[U+(T<<2)>>2]|0;if((K|0)<(T|0))T=K;else break}K=(I|0)>(T|0)?T:I;_=R;do{L=U+(_<<2)|0;N=_;_=f[L>>2]|0;f[L>>2]=K}while((_|0)<(N|0));Ya=K}K=P;do{_=U+(K<<2)|0;R=K;K=f[_>>2]|0;f[_>>2]=Ya}while((K|0)<(R|0));f[z+(D<<2)>>2]=Ya;J=E;break a}while(0);K=f[l>>2]|0;U=f[y+(D<<2)>>2]|0;P=f[y+(S<<2)>>2]|0;R=U;while(1){_=f[K+(R<<2)>>2]|0;if((_|0)<(R|0))R=_;else break}if((U|0)==(P|0))Za=R;else{_=P;while(1){I=f[K+(_<<2)>>2]|0;if((I|0)<(_|0))_=I;else break}I=(R|0)>(_|0)?_:R;T=P;do{N=K+(T<<2)|0;L=T;T=f[N>>2]|0;f[N>>2]=I}while((T|0)<(L|0));Za=I}I=U;do{T=K+(I<<2)|0;P=I;I=f[T>>2]|0;f[T>>2]=Za}while((I|0)<(P|0));I=f[z+(M<<2)>>2]|0;U=Za;while(1){P=f[K+(U<<2)>>2]|0;if((P|0)<(U|0))U=P;else break}if((Za|0)==(I|0))_a=U;else{P=I;while(1){T=f[K+(P<<2)>>2]|0;if((T|0)<(P|0))P=T;else break}T=(U|0)>(P|0)?P:U;R=I;do{_=K+(R<<2)|0;L=R;R=f[_>>2]|0;f[_>>2]=T}while((R|0)<(L|0));_a=T}T=Za;do{R=K+(T<<2)|0;I=T;T=f[R>>2]|0;f[R>>2]=_a}while((T|0)<(I|0));f[z+(D<<2)>>2]=_a;J=E;break a}while(0);if(b[w+D>>0]|0){do if(C){if(!(b[x+O>>0]|0))break;H=f[l>>2]|0;T=f[y+(S<<2)>>2]|0;K=f[z+(M<<2)>>2]|0;I=T;while(1){R=f[H+(I<<2)>>2]|0;if((R|0)<(I|0))I=R;else break}if((T|0)==(K|0))$a=I;else{R=K;while(1){U=f[H+(R<<2)>>2]|0;if((U|0)<(R|0))R=U;else break}U=(I|0)>(R|0)?R:I;P=K;do{L=H+(P<<2)|0;_=P;P=f[L>>2]|0;f[L>>2]=U}while((P|0)<(_|0));$a=U}U=T;do{P=H+(U<<2)|0;K=U;U=f[P>>2]|0;f[P>>2]=$a}while((U|0)<(K|0));f[z+(D<<2)>>2]=$a;J=E;break a}while(0);U=f[l>>2]|0;H=f[y+(D<<2)>>2]|0;T=f[y+(S<<2)>>2]|0;K=H;while(1){P=f[U+(K<<2)>>2]|0;if((P|0)<(K|0))K=P;else break}if((H|0)==(T|0))ab=K;else{P=T;while(1){I=f[U+(P<<2)>>2]|0;if((I|0)<(P|0))P=I;else break}I=(K|0)>(P|0)?P:K;R=T;do{_=U+(R<<2)|0;L=R;R=f[_>>2]|0;f[_>>2]=I}while((R|0)<(L|0));ab=I}I=H;do{R=U+(I<<2)|0;T=I;I=f[R>>2]|0;f[R>>2]=ab}while((I|0)<(T|0));I=f[z+(M<<2)>>2]|0;H=ab;while(1){T=f[U+(H<<2)>>2]|0;if((T|0)<(H|0))H=T;else break}if((ab|0)==(I|0))bb=H;else{T=I;while(1){R=f[U+(T<<2)>>2]|0;if((R|0)<(T|0))T=R;else break}R=(H|0)>(T|0)?T:H;K=I;do{P=U+(K<<2)|0;L=K;K=f[P>>2]|0;f[P>>2]=R}while((K|0)<(L|0));bb=R}R=ab;do{K=U+(R<<2)|0;I=R;R=f[K>>2]|0;f[K>>2]=bb}while((R|0)<(I|0));f[z+(D<<2)>>2]=bb;J=E;break}if(!(b[w+F>>0]|0)){R=f[l>>2]|0;U=f[y+(S<<2)>>2]|0;I=f[z+(M<<2)>>2]|0;K=U;while(1){H=f[R+(K<<2)>>2]|0;if((H|0)<(K|0))K=H;else break}if((U|0)==(I|0))cb=K;else{H=I;while(1){T=f[R+(H<<2)>>2]|0;if((T|0)<(H|0))H=T;else break}T=(K|0)>(H|0)?H:K;L=I;do{P=R+(L<<2)|0;_=L;L=f[P>>2]|0;f[P>>2]=T}while((L|0)<(_|0));cb=T}T=U;do{L=R+(T<<2)|0;I=T;T=f[L>>2]|0;f[L>>2]=cb}while((T|0)<(I|0));f[z+(D<<2)>>2]=cb;J=E;break}do if(C){if(!(b[x+O>>0]|0))break;T=f[y+(S<<2)>>2]|0;R=f[l>>2]|0;if(b[x+D>>0]|0){U=f[z+(M<<2)>>2]|0;I=T;while(1){L=f[R+(I<<2)>>2]|0;if((L|0)<(I|0))I=L;else break}if((T|0)==(U|0))db=I;else{L=U;while(1){K=f[R+(L<<2)>>2]|0;if((K|0)<(L|0))L=K;else break}K=(I|0)>(L|0)?L:I;H=U;do{_=R+(H<<2)|0;P=H;H=f[_>>2]|0;f[_>>2]=K}while((H|0)<(P|0));db=K}K=T;do{H=R+(K<<2)|0;U=K;K=f[H>>2]|0;f[H>>2]=db}while((K|0)<(U|0));f[z+(D<<2)>>2]=db;J=E;break a}K=f[y+(M<<2)>>2]|0;U=K;while(1){H=f[R+(U<<2)>>2]|0;if((H|0)<(U|0))U=H;else break}if((K|0)==(T|0))eb=U;else{H=T;while(1){I=f[R+(H<<2)>>2]|0;if((I|0)<(H|0))H=I;else break}I=(U|0)>(H|0)?H:U;L=T;do{P=R+(L<<2)|0;_=L;L=f[P>>2]|0;f[P>>2]=I}while((L|0)<(_|0));eb=I}I=K;do{L=R+(I<<2)|0;T=I;I=f[L>>2]|0;f[L>>2]=eb}while((I|0)<(T|0));I=f[z+(M<<2)>>2]|0;K=eb;while(1){T=f[R+(K<<2)>>2]|0;if((T|0)<(K|0))K=T;else break}if((eb|0)==(I|0))fb=K;else{T=I;while(1){L=f[R+(T<<2)>>2]|0;if((L|0)<(T|0))T=L;else break}L=(K|0)>(T|0)?T:K;U=I;do{H=R+(U<<2)|0;_=U;U=f[H>>2]|0;f[H>>2]=L}while((U|0)<(_|0));fb=L}L=eb;do{U=R+(L<<2)|0;I=L;L=f[U>>2]|0;f[U>>2]=fb}while((L|0)<(I|0));f[z+(D<<2)>>2]=fb;J=E;break a}while(0);O=f[l>>2]|0;L=f[y+(M<<2)>>2]|0;R=f[y+(S<<2)>>2]|0;I=L;while(1){U=f[O+(I<<2)>>2]|0;if((U|0)<(I|0))I=U;else break}if((L|0)==(R|0))gb=I;else{S=R;while(1){U=f[O+(S<<2)>>2]|0;if((U|0)<(S|0))S=U;else break}U=(I|0)>(S|0)?S:I;K=R;do{T=O+(K<<2)|0;_=K;K=f[T>>2]|0;f[T>>2]=U}while((K|0)<(_|0));gb=U}U=L;do{K=O+(U<<2)|0;R=U;U=f[K>>2]|0;f[K>>2]=gb}while((U|0)<(R|0));U=f[z+(M<<2)>>2]|0;L=gb;while(1){R=f[O+(L<<2)>>2]|0;if((R|0)<(L|0))L=R;else break}if((gb|0)==(U|0))hb=L;else{M=U;while(1){R=f[O+(M<<2)>>2]|0;if((R|0)<(M|0))M=R;else break}R=(L|0)>(M|0)?M:L;K=U;do{I=O+(K<<2)|0;S=K;K=f[I>>2]|0;f[I>>2]=R}while((K|0)<(S|0));hb=R}R=gb;do{K=O+(R<<2)|0;U=R;R=f[K>>2]|0;f[K>>2]=hb}while((R|0)<(U|0));f[z+(D<<2)>>2]=hb;J=E;break}do if(A){R=D+-2|0;if(b[w+F>>0]|0){O=f[z+(R<<2)>>2]|0;do if((R|0)>-1){if(!(b[v+R>>0]|0))break;f[z+(D<<2)>>2]=O;J=E;break a}while(0);U=f[l>>2]|0;K=f[y+(R<<2)>>2]|0;L=K;while(1){M=f[U+(L<<2)>>2]|0;if((M|0)<(L|0))L=M;else break}if((K|0)==(O|0))ib=L;else{M=O;while(1){S=f[U+(M<<2)>>2]|0;if((S|0)<(M|0))M=S;else break}S=(L|0)>(M|0)?M:L;I=O;do{_=U+(I<<2)|0;T=I;I=f[_>>2]|0;f[_>>2]=S}while((I|0)<(T|0));ib=S}S=K;do{I=U+(S<<2)|0;O=S;S=f[I>>2]|0;f[I>>2]=ib}while((S|0)<(O|0));f[z+(D<<2)>>2]=ib;J=E;break a}if(!(b[w+D>>0]|0)){jb=R;break}do if((R|0)>-1){if(!(b[v+R>>0]|0))break;if(!(b[w+R>>0]|0)){S=f[l>>2]|0;U=f[y+(D<<2)>>2]|0;K=f[z+(R<<2)>>2]|0;O=U;while(1){I=f[S+(O<<2)>>2]|0;if((I|0)<(O|0))O=I;else break}if((U|0)==(K|0))kb=O;else{I=K;while(1){L=f[S+(I<<2)>>2]|0;if((L|0)<(I|0))I=L;else break}L=(O|0)>(I|0)?I:O;M=K;do{T=S+(M<<2)|0;_=M;M=f[T>>2]|0;f[T>>2]=L}while((M|0)<(_|0));kb=L}L=U;do{M=S+(L<<2)|0;K=L;L=f[M>>2]|0;f[M>>2]=kb}while((L|0)<(K|0));f[z+(D<<2)>>2]=kb;J=E;break a}do if(C){if(!(b[x+F>>0]|0))break;f[z+(D<<2)>>2]=f[z+(R<<2)>>2];J=E;break a}while(0);L=f[l>>2]|0;S=f[y+(D<<2)>>2]|0;U=f[z+(R<<2)>>2]|0;K=S;while(1){M=f[L+(K<<2)>>2]|0;if((M|0)<(K|0))K=M;else break}if((S|0)==(U|0))lb=K;else{M=U;while(1){O=f[L+(M<<2)>>2]|0;if((O|0)<(M|0))M=O;else break}O=(K|0)>(M|0)?M:K;I=U;do{_=L+(I<<2)|0;T=I;I=f[_>>2]|0;f[_>>2]=O}while((I|0)<(T|0));lb=O}O=S;do{I=L+(O<<2)|0;U=O;O=f[I>>2]|0;f[I>>2]=lb}while((O|0)<(U|0));f[z+(D<<2)>>2]=lb;J=E;break a}while(0);O=f[l>>2]|0;L=f[y+(D<<2)>>2]|0;S=f[z+(R<<2)>>2]|0;U=L;while(1){I=f[O+(U<<2)>>2]|0;if((I|0)<(U|0))U=I;else break}if((L|0)==(S|0))mb=U;else{R=S;while(1){I=f[O+(R<<2)>>2]|0;if((I|0)<(R|0))R=I;else break}I=(U|0)>(R|0)?R:U;K=S;do{M=O+(K<<2)|0;T=K;K=f[M>>2]|0;f[M>>2]=I}while((K|0)<(T|0));mb=I}I=L;do{K=O+(I<<2)|0;S=I;I=f[K>>2]|0;f[K>>2]=mb}while((I|0)<(S|0));f[z+(D<<2)>>2]=mb;J=E;break a}else jb=D+-2|0;while(0);f[z+(D<<2)>>2]=f[z+(jb<<2)>>2];J=E;break}if(A){I=D+-2|0;if(b[w+F>>0]|0){O=f[z+(I<<2)>>2]|0;do if((I|0)>-1){if(!(b[v+I>>0]|0))break;f[z+(D<<2)>>2]=O;J=E;break a}while(0);L=f[l>>2]|0;S=f[y+(I<<2)>>2]|0;K=S;while(1){U=f[L+(K<<2)>>2]|0;if((U|0)<(K|0))K=U;else break}if((S|0)==(O|0))nb=K;else{U=O;while(1){R=f[L+(U<<2)>>2]|0;if((R|0)<(U|0))U=R;else break}R=(K|0)>(U|0)?U:K;T=O;do{M=L+(T<<2)|0;_=T;T=f[M>>2]|0;f[M>>2]=R}while((T|0)<(_|0));nb=R}R=S;do{T=L+(R<<2)|0;O=R;R=f[T>>2]|0;f[T>>2]=nb}while((R|0)<(O|0));f[z+(D<<2)>>2]=nb;J=E;break}if(!(b[w+D>>0]|0))ob=I;else{do if((I|0)>-1){if(!(b[v+I>>0]|0))break;if(!(b[w+I>>0]|0)){R=f[l>>2]|0;L=f[y+(D<<2)>>2]|0;S=f[z+(I<<2)>>2]|0;O=L;while(1){T=f[R+(O<<2)>>2]|0;if((T|0)<(O|0))O=T;else break}if((L|0)==(S|0))pb=O;else{T=S;while(1){K=f[R+(T<<2)>>2]|0;if((K|0)<(T|0))T=K;else break}K=(O|0)>(T|0)?T:O;U=S;do{_=R+(U<<2)|0;M=U;U=f[_>>2]|0;f[_>>2]=K}while((U|0)<(M|0));pb=K}K=L;do{U=R+(K<<2)|0;S=K;K=f[U>>2]|0;f[U>>2]=pb}while((K|0)<(S|0));f[z+(D<<2)>>2]=pb;J=E;break a}do if(C){if(!(b[x+F>>0]|0))break;f[z+(D<<2)>>2]=f[z+(I<<2)>>2];J=E;break a}while(0);K=f[l>>2]|0;R=f[y+(D<<2)>>2]|0;L=f[z+(I<<2)>>2]|0;S=R;while(1){U=f[K+(S<<2)>>2]|0;if((U|0)<(S|0))S=U;else break}if((R|0)==(L|0))qb=S;else{U=L;while(1){O=f[K+(U<<2)>>2]|0;if((O|0)<(U|0))U=O;else break}O=(S|0)>(U|0)?U:S;T=L;do{M=K+(T<<2)|0;_=T;T=f[M>>2]|0;f[M>>2]=O}while((T|0)<(_|0));qb=O}O=R;do{T=K+(O<<2)|0;L=O;O=f[T>>2]|0;f[T>>2]=qb}while((O|0)<(L|0));f[z+(D<<2)>>2]=qb;J=E;break a}while(0);O=f[l>>2]|0;K=f[y+(D<<2)>>2]|0;R=f[z+(I<<2)>>2]|0;L=K;while(1){T=f[O+(L<<2)>>2]|0;if((T|0)<(L|0))L=T;else break}if((K|0)==(R|0))rb=L;else{I=R;while(1){T=f[O+(I<<2)>>2]|0;if((T|0)<(I|0))I=T;else break}T=(L|0)>(I|0)?I:L;S=R;do{U=O+(S<<2)|0;_=S;S=f[U>>2]|0;f[U>>2]=T}while((S|0)<(_|0));rb=T}T=K;do{S=O+(T<<2)|0;R=T;T=f[S>>2]|0;f[S>>2]=rb}while((T|0)<(R|0));f[z+(D<<2)>>2]=rb;J=E;break}}else ob=D+-2|0;f[z+(D<<2)>>2]=f[z+(ob<<2)>>2];J=E;break}}T=D|1;O=(T|0)<(n|0);if(!(B|O^1)?b[w+T>>0]|0:0){if(b[w+D>>0]|0){f[z+(D<<2)>>2]=f[y+(D<<2)>>2];J=E;break}if(G?b[w+F>>0]|0:0){K=f[y+(D<<2)>>2]|0;if(C?b[x+D>>0]|0:0){f[z+(D<<2)>>2]=K;J=E;break}R=f[l>>2]|0;S=f[y+(D+-2<<2)>>2]|0;L=S;while(1){I=f[R+(L<<2)>>2]|0;if((I|0)<(L|0))L=I;else break}if((S|0)==(K|0))sb=L;else{I=K;while(1){_=f[R+(I<<2)>>2]|0;if((_|0)<(I|0))I=_;else break}_=(L|0)>(I|0)?I:L;U=K;do{M=R+(U<<2)|0;H=U;U=f[M>>2]|0;f[M>>2]=_}while((U|0)<(H|0));sb=_}_=S;do{U=R+(_<<2)|0;K=_;_=f[U>>2]|0;f[U>>2]=sb}while((_|0)<(K|0));f[z+(D<<2)>>2]=sb;J=E;break}f[z+(D<<2)>>2]=f[y+(D<<2)>>2];J=E;break}if(O?b[v+T>>0]|0:0){_=D+2|0;if(!((_|0)>=(n|0)|B)?b[w+_>>0]|0:0){if(b[w+D>>0]|0){if(C?b[x+T>>0]|0:0){f[z+(D<<2)>>2]=f[y+(_<<2)>>2];J=E;break}R=f[l>>2]|0;S=f[y+(D<<2)>>2]|0;K=f[y+(_<<2)>>2]|0;U=S;while(1){L=f[R+(U<<2)>>2]|0;if((L|0)<(U|0))U=L;else break}if((S|0)==(K|0))tb=U;else{O=K;while(1){L=f[R+(O<<2)>>2]|0;if((L|0)<(O|0))O=L;else break}L=(U|0)>(O|0)?O:U;I=K;do{H=R+(I<<2)|0;M=I;I=f[H>>2]|0;f[H>>2]=L}while((I|0)<(M|0));tb=L}L=S;do{I=R+(L<<2)|0;K=L;L=f[I>>2]|0;f[I>>2]=tb}while((L|0)<(K|0));f[z+(D<<2)>>2]=tb;J=E;break}if(G?b[w+F>>0]|0:0){do if(C){if(!(b[x+T>>0]|0))break;L=f[y+(_<<2)>>2]|0;if(b[x+D>>0]|0){f[z+(D<<2)>>2]=L;J=E;break a}R=f[l>>2]|0;S=f[y+(D+-2<<2)>>2]|0;K=S;while(1){I=f[R+(K<<2)>>2]|0;if((I|0)<(K|0))K=I;else break}if((S|0)==(L|0))ub=K;else{I=L;while(1){U=f[R+(I<<2)>>2]|0;if((U|0)<(I|0))I=U;else break}U=(K|0)>(I|0)?I:K;O=L;do{M=R+(O<<2)|0;H=O;O=f[M>>2]|0;f[M>>2]=U}while((O|0)<(H|0));ub=U}U=S;do{O=R+(U<<2)|0;L=U;U=f[O>>2]|0;f[O>>2]=ub}while((U|0)<(L|0));f[z+(D<<2)>>2]=ub;J=E;break a}while(0);T=f[l>>2]|0;U=f[y+(D+-2<<2)>>2]|0;R=f[y+(_<<2)>>2]|0;S=U;while(1){L=f[T+(S<<2)>>2]|0;if((L|0)<(S|0))S=L;else break}if((U|0)==(R|0))vb=S;else{L=R;while(1){O=f[T+(L<<2)>>2]|0;if((O|0)<(L|0))L=O;else break}O=(S|0)>(L|0)?L:S;K=R;do{I=T+(K<<2)|0;H=K;K=f[I>>2]|0;f[I>>2]=O}while((K|0)<(H|0));vb=O}O=U;do{K=T+(O<<2)|0;R=O;O=f[K>>2]|0;f[K>>2]=vb}while((O|0)<(R|0));f[z+(D<<2)>>2]=vb;J=E;break}f[z+(D<<2)>>2]=f[y+(_<<2)>>2];J=E;break}if(A?b[w+D>>0]|0:0){f[z+(D<<2)>>2]=f[y+(D<<2)>>2];J=E;break}if(!(B|G^1)?b[w+F>>0]|0:0){f[z+(D<<2)>>2]=f[y+(D+-2<<2)>>2];J=E;break}f[z+(D<<2)>>2]=E;f[(f[l>>2]|0)+(E<<2)>>2]=E;J=E+1|0;break}if(A?b[w+D>>0]|0:0){f[z+(D<<2)>>2]=f[y+(D<<2)>>2];J=E;break}if(!(B|G^1)?b[w+F>>0]|0:0){f[z+(D<<2)>>2]=f[y+(D+-2<<2)>>2];J=E;break}f[z+(D<<2)>>2]=E;f[(f[l>>2]|0)+(E<<2)>>2]=E;J=E+1|0}while(0);D=D+2|0;if((D|0)>=(n|0)){wb=J;break}else E=J}}else wb=s;a=a+2|0;if((a|0)>=(f[d>>2]|0))break;else s=wb}o=wb;p=f[g>>2]|0;q=o-j|0;r=p+(c<<2)|0;f[r>>2]=q;return}function l7(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;d=f[a+12>>2]|0;e=f[a+8>>2]|0;g=f[c>>2]|0;if((g|0)>=(e|0))return;h=f[a+16>>2]|0;i=f[a+44>>2]|0;a=(d|0)>0;j=d+-1|0;k=g;do{g=f[i>>2]|0;l=h+(Y(g,k)|0)|0;m=l+(0-g)|0;if(a){g=0;do{n=l+(g<<2)|0;o=f[n>>2]|0;if((o|0)>0){if((g|0)>0?(p=f[m+(g+-1<<2)>>2]|0,(p|0)>0):0){q=p;while(1){r=f[b+(q<<2)>>2]|0;if((r|0)<(q|0))q=r;else break}if((p|0)==(o|0))s=q;else{r=o;while(1){t=f[b+(r<<2)>>2]|0;if((t|0)<(r|0))r=t;else break}t=(q|0)>(r|0)?r:q;u=o;do{v=b+(u<<2)|0;w=u;u=f[v>>2]|0;f[v>>2]=t}while((u|0)<(w|0));s=t}t=p;do{u=b+(t<<2)|0;q=t;t=f[u>>2]|0;f[u>>2]=s}while((t|0)<(q|0));f[n>>2]=s;x=s}else x=o;if((g|0)<(j|0)?(t=f[m+(g+1<<2)>>2]|0,(t|0)>0):0){p=t;while(1){q=f[b+(p<<2)>>2]|0;if((q|0)<(p|0))p=q;else break}if((t|0)==(x|0))y=p;else{o=x;while(1){q=f[b+(o<<2)>>2]|0;if((q|0)<(o|0))o=q;else break}q=(p|0)>(o|0)?o:p;u=x;do{r=b+(u<<2)|0;w=u;u=f[r>>2]|0;f[r>>2]=q}while((u|0)<(w|0));y=q}q=t;do{u=b+(q<<2)|0;p=q;q=f[u>>2]|0;f[u>>2]=y}while((q|0)<(p|0));f[n>>2]=y;z=y}else z=x;q=f[m+(g<<2)>>2]|0;if((q|0)>0){t=q;while(1){p=f[b+(t<<2)>>2]|0;if((p|0)<(t|0))t=p;else break}if((q|0)==(z|0))A=t;else{p=z;while(1){u=f[b+(p<<2)>>2]|0;if((u|0)<(p|0))p=u;else break}u=(t|0)>(p|0)?p:t;o=z;do{w=b+(o<<2)|0;r=o;o=f[w>>2]|0;f[w>>2]=u}while((o|0)<(r|0));A=u}u=q;do{o=b+(u<<2)|0;t=u;u=f[o>>2]|0;f[o>>2]=A}while((u|0)<(t|0));f[n>>2]=A}}g=g+1|0}while((g|0)!=(d|0))}k=f[c+(k<<2)>>2]|0}while((k|0)<(e|0));return}function m7(a){a=a|0;Emc(a);return}function n7(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=f[b>>2]|0;d=f[b+4>>2]|0;b=(c|0)<(d|0);if((c|0)>0){if(!b)return;e=a+4|0;g=a+8|0;h=c;do{i=f[e>>2]|0;j=(f[i+16>>2]|0)+(Y(f[f[i+44>>2]>>2]|0,h)|0)|0;k=j+(f[i+12>>2]<<2)|0;if((j|0)!=(k|0)){i=f[g>>2]|0;l=j;do{f[l>>2]=f[i+(f[l>>2]<<2)>>2];l=l+4|0}while((l|0)!=(k|0))}h=h+1|0}while((h|0)!=(d|0));return}else{if(!b)return;b=a+4|0;h=a+8|0;a=c;do{c=f[b>>2]|0;g=(f[c+16>>2]|0)+(Y(f[f[c+44>>2]>>2]|0,a)|0)|0;e=g+(f[c+12>>2]<<2)|0;if((g|0)!=(e|0)){c=f[h>>2]|0;k=g;do{f[k>>2]=f[c+(f[k>>2]<<2)>>2];k=k+4|0}while((k|0)!=(e|0))}a=a+1|0}while((a|0)!=(d|0));return}}function o7(a){a=a|0;Emc(a);return}function p7(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;d=f[c>>2]|0;e=c+4|0;c=f[a+16>>2]|0;f[c+(d<<2)>>2]=f[e>>2];g=a+8|0;h=f[g>>2]|0;i=(((Y(f[h+12>>2]|0,d)|0)+1|0)/2|0)+1|0;j=a+4|0;k=f[j>>2]|0;l=f[k+12>>2]|0;if((d|0)==(f[e>>2]|0)){m=i;n=m-i|0;o=d+1|0;p=c+(o<<2)|0;f[p>>2]=n;return}q=(l|0)>0;r=a+12|0;a=d;s=i;t=k;k=h;while(1){h=f[f[t+44>>2]>>2]|0;u=(f[t+16>>2]|0)+(Y(h,a)|0)|0;v=u+(0-h)|0;h=f[f[k+44>>2]>>2]|0;w=(f[k+16>>2]|0)+(Y(h,a)|0)|0;x=w+(0-h)|0;a:do if(q){if((a|0)>(d|0)){y=0;z=s}else{h=0;A=s;while(1){do if(!(b[u+h>>0]|0)){f[w+(h<<2)>>2]=0;B=A}else{if((h|0)>0?(C=h+-1|0,b[u+C>>0]|0):0){f[w+(h<<2)>>2]=f[w+(C<<2)>>2];B=A;break}f[w+(h<<2)>>2]=A;f[(f[r>>2]|0)+(A<<2)>>2]=A;B=A+1|0}while(0);h=h+1|0;if((h|0)==(l|0)){D=B;break a}else A=B}}while(1){do if(!(b[u+y>>0]|0)){f[w+(y<<2)>>2]=0;E=z}else{A=(y|0)>0;if(!(b[v+y>>0]|0)){if(A?(h=y+-1|0,b[u+h>>0]|0):0){f[w+(y<<2)>>2]=f[w+(h<<2)>>2];E=z;break}f[w+(y<<2)>>2]=z;f[(f[r>>2]|0)+(z<<2)>>2]=z;E=z+1|0;break}h=f[x+(y<<2)>>2]|0;if(A?(A=y+-1|0,(b[u+A>>0]|0)!=0):0){C=f[r>>2]|0;F=f[w+(A<<2)>>2]|0;A=F;while(1){G=f[C+(A<<2)>>2]|0;if((G|0)<(A|0))A=G;else break}if((F|0)==(h|0))H=A;else{G=h;while(1){I=f[C+(G<<2)>>2]|0;if((I|0)<(G|0))G=I;else break}I=(A|0)>(G|0)?G:A;J=h;do{K=C+(J<<2)|0;L=J;J=f[K>>2]|0;f[K>>2]=I}while((J|0)<(L|0));H=I}I=F;do{J=C+(I<<2)|0;A=I;I=f[J>>2]|0;f[J>>2]=H}while((I|0)<(A|0));M=H}else M=h;f[w+(y<<2)>>2]=M;E=z}while(0);y=y+1|0;if((y|0)==(l|0)){D=E;break}else z=E}}else D=s;while(0);w=a+1|0;if((w|0)==(f[e>>2]|0)){m=D;break}a=w;s=D;t=f[j>>2]|0;k=f[g>>2]|0}n=m-i|0;o=d+1|0;p=c+(o<<2)|0;f[p>>2]=n;return}function q7(a){a=a|0;Emc(a);return}function r7(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;d=f[c>>2]|0;e=c+4|0;c=f[a+16>>2]|0;f[c+(d<<2)>>2]=f[e>>2];g=d+1|0;h=a+8|0;i=f[h>>2]|0;j=(Y(((f[i+12>>2]|0)+1|0)/2|0,(g|0)/2|0)|0)+1|0;k=a+4|0;l=f[k>>2]|0;m=f[l+12>>2]|0;n=f[e>>2]|0;if((d|0)==(n|0)){o=j;p=o-j|0;q=c+(g<<2)|0;f[q>>2]=p;return}r=(m|0)>0;s=m+-1|0;t=a+12|0;a=d;u=j;v=n;n=l;l=i;while(1){i=f[f[n+44>>2]>>2]|0;w=(f[n+16>>2]|0)+(Y(i,a)|0)|0;x=w+(0-i)|0;i=f[f[l+44>>2]>>2]|0;y=(f[l+16>>2]|0)+(Y(i,a)|0)|0;z=y+(0-i)|0;if(r){i=(a|0)>(d|0);A=i^1;B=0;C=u;while(1){a:do if(!(b[w+B>>0]|0)){f[y+(B<<2)>>2]=0;D=C}else{if(i){if(b[x+B>>0]|0){f[y+(B<<2)>>2]=f[z+(B<<2)>>2];D=C;break}if(!((B|0)>=(s|0)|A)){E=B+1|0;if(!(b[x+E>>0]|0))F=0;else{do if((B|0)>0){G=B+-1|0;if(!(b[x+G>>0]|0)){H=f[z+(E<<2)>>2]|0;if(!(b[w+G>>0]|0)){I=H;break}J=f[t>>2]|0;K=f[y+(G<<2)>>2]|0;L=K;while(1){M=f[J+(L<<2)>>2]|0;if((M|0)<(L|0))L=M;else break}if((K|0)==(H|0))N=L;else{M=H;while(1){O=f[J+(M<<2)>>2]|0;if((O|0)<(M|0))M=O;else break}O=(L|0)>(M|0)?M:L;P=H;do{Q=J+(P<<2)|0;R=P;P=f[Q>>2]|0;f[Q>>2]=O}while((P|0)<(R|0));N=O}O=K;do{P=J+(O<<2)|0;H=O;O=f[P>>2]|0;f[P>>2]=N}while((O|0)<(H|0));I=N}else{O=f[t>>2]|0;J=f[z+(G<<2)>>2]|0;K=f[z+(E<<2)>>2]|0;H=J;while(1){P=f[O+(H<<2)>>2]|0;if((P|0)<(H|0))H=P;else break}if((J|0)==(K|0))S=H;else{G=K;while(1){P=f[O+(G<<2)>>2]|0;if((P|0)<(G|0))G=P;else break}P=(H|0)>(G|0)?G:H;L=K;do{M=O+(L<<2)|0;R=L;L=f[M>>2]|0;f[M>>2]=P}while((L|0)<(R|0));S=P}P=J;do{L=O+(P<<2)|0;K=P;P=f[L>>2]|0;f[L>>2]=S}while((P|0)<(K|0));f[y+(B<<2)>>2]=S;D=C;break a}}else I=f[z+(E<<2)>>2]|0;while(0);f[y+(B<<2)>>2]=I;D=C;break}}else F=A}else F=A;E=(B|0)>0;if(!(F|E^1)?(P=B+-1|0,b[x+P>>0]|0):0){f[y+(B<<2)>>2]=f[z+(P<<2)>>2];D=C;break}if(E?(E=B+-1|0,b[w+E>>0]|0):0){f[y+(B<<2)>>2]=f[y+(E<<2)>>2];D=C;break}f[y+(B<<2)>>2]=C;f[(f[t>>2]|0)+(C<<2)>>2]=C;D=C+1|0}while(0);B=B+1|0;if((B|0)==(m|0))break;else C=D}T=D;U=f[e>>2]|0}else{T=u;U=v}C=a+1|0;if((C|0)==(U|0)){o=T;break}a=C;u=T;v=U;n=f[k>>2]|0;l=f[h>>2]|0}p=o-j|0;q=c+(g<<2)|0;f[q>>2]=p;return}function s7(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return t7(a,b,c,d,e,f,-1)|0}function t7(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;j=u;u=u+272|0;k=j+208|0;l=j+144|0;m=j+152|0;n=j+8|0;o=j;do if((pD(a)|0)==65536){p=f[a+4>>2]|0;f[k>>2]=f[p>>2];q=k+4|0;r=p+4|0;f[q>>2]=f[r>>2];s=k+8|0;f[s>>2]=f[p+8>>2];f[k+12>>2]=f[p+12>>2];f[k+16>>2]=f[p+16>>2];f[k+20>>2]=f[p+20>>2];f[k+24>>2]=f[p+24>>2];f[k+28>>2]=f[p+28>>2];f[k+32>>2]=f[p+32>>2];t=f[p+36>>2]|0;f[k+36>>2]=t;v=k+40|0;f[v>>2]=s;s=k+48|0;w=k+44|0;f[w>>2]=s;f[s>>2]=0;f[k+52>>2]=0;if(t|0){s=t+12|0;f[s>>2]=(f[s>>2]|0)+1}if((f[r>>2]|0)<3){r=f[p+44>>2]|0;s=f[w>>2]|0;f[s>>2]=f[r>>2];f[s+4>>2]=f[r+4>>2];x=v;break}else{f[q>>2]=0;kP(k,p);x=v;break}}else{lD(k,a,-1);x=k+40|0}while(0);a=f[x>>2]|0;v=f[a>>2]|0;f[l>>2]=f[a+4>>2];f[l+4>>2]=v;HD(c,l,h&7,-1,0,0);do if((pD(c)|0)==65536){l=f[c+4>>2]|0;f[m>>2]=f[l>>2];v=m+4|0;a=l+4|0;f[v>>2]=f[a>>2];p=m+8|0;f[p>>2]=f[l+8>>2];f[m+12>>2]=f[l+12>>2];f[m+16>>2]=f[l+16>>2];f[m+20>>2]=f[l+20>>2];f[m+24>>2]=f[l+24>>2];f[m+28>>2]=f[l+28>>2];f[m+32>>2]=f[l+32>>2];q=f[l+36>>2]|0;f[m+36>>2]=q;f[m+40>>2]=p;p=m+48|0;r=m+44|0;f[r>>2]=p;f[p>>2]=0;f[m+52>>2]=0;if(q|0){p=q+12|0;f[p>>2]=(f[p>>2]|0)+1}if((f[a>>2]|0)<3){a=f[l+44>>2]|0;p=f[r>>2]|0;f[p>>2]=f[a>>2];f[p+4>>2]=f[a+4>>2];break}else{f[v>>2]=0;kP(m,l);break}}else lD(m,c,-1);while(0);f[n>>2]=d;f[n+4>>2]=1124007936;d=n+12|0;c=n+44|0;l=n+8|0;v=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(v|0));f[c>>2]=d;d=n+52|0;f[n+48>>2]=d;f[d>>2]=0;f[n+56>>2]=0;f[n+60>>2]=e;f[n+64>>2]=1124007936;e=n+72|0;d=n+104|0;l=n+68|0;v=l+36|0;do{f[l>>2]=0;l=l+4|0}while((l|0)<(v|0));f[d>>2]=e;e=n+112|0;f[n+108>>2]=e;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;switch(h|0){case 4:case 2:break;default:{f[o>>2]=0;f[o+4>>2]=0;l=YG(o,37)|0;h=253501;v=l+37|0;do{b[l>>0]=b[h>>0]|0;l=l+1|0;h=h+1|0}while((l|0)<(v|0));$6(-210,o,254355,4029)}}o=u7(k,m,g,i,n)|0;v7(n);n=m+36|0;i=f[n>>2]|0;if(i|0?(g=i+12|0,i=f[g>>2]|0,f[g>>2]=i+-1,(i|0)==1):0)lP(m);f[n>>2]=0;n=m+16|0;i=m+4|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[i>>2]|0)>0){n=f[m+40>>2]|0;g=0;do{f[n+(g<<2)>>2]=0;g=g+1|0}while((g|0)<(f[i>>2]|0))}i=f[m+44>>2]|0;if((i|0)!=(m+48|0))tE(i);i=k+36|0;m=f[i>>2]|0;if(m|0?(g=m+12|0,m=f[g>>2]|0,f[g>>2]=m+-1,(m|0)==1):0)lP(k);f[i>>2]=0;i=k+16|0;m=k+4|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[m>>2]|0)>0){i=f[x>>2]|0;x=0;do{f[i+(x<<2)>>2]=0;x=x+1|0}while((x|0)<(f[m>>2]|0))}m=f[k+44>>2]|0;if((m|0)==(k+48|0)){u=j;return o|0}tE(m);u=j;return o|0}function u7(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;h=u;u=u+16|0;i=h;j=h+13|0;k=h+12|0;l=h+11|0;m=h+10|0;n=h+9|0;o=h+8|0;p=f[c>>2]|0;if(p&4088|0){f[i>>2]=0;q=i+4|0;f[q>>2]=0;r=YG(i,38)|0;s=r;t=253640;v=s+38|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));$6(-215,i,253679,3927)}w=f[a>>2]|0;if(w&4088|0){f[i>>2]=0;q=i+4|0;f[q>>2]=0;r=YG(i,38)|0;s=r;t=253640;v=s+38|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));$6(-215,i,253679,3927)}r=(d|0)==8;q=(d|0)==4;switch(d|0){case 4:case 8:break;default:{f[i>>2]=0;f[i+4>>2]=0;s=YG(i,38)|0;t=290876;v=s+38|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));$6(-215,i,253679,3928)}}x=(e|0)==1;y=(e|0)==0;z=(e|0)==-1;switch(e|0){case 0:case 1:case -1:break;default:{f[i>>2]=0;f[i+4>>2]=0;s=YG(i,67)|0;t=253704;v=s+67|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));$6(-215,i,253679,3929)}}e=p&7;A=rU()|0;B=pU()|0;if((w&6|1|0)!=1){f[i>>2]=0;f[i+4>>2]=0;s=YG(i,34)|0;t=253772;v=s+34|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));$6(-215,i,253679,3936)}if((A|0)!=0&(B|0)>1)C=((f[c+8>>2]|0)/(B|0)|0|0)>1;else C=0;B=(e|0)==0;a:do if(q|y){if(!B){switch(p&7){case 2:{D=(w7(j,a,c,d,g)|0)&65535;u=h;return D|0}case 4:break;default:break a}if(C){D=y7(l,a,c,d,g)|0;u=h;return D|0}else{D=x7(k,a,c,d,g)|0;u=h;return D|0}}}else if(!(B|r&(x|z)^1)){switch(p&7){case 2:{D=(z7(m,a,c,d,g)|0)&65535;u=h;return D|0}case 4:break;default:break a}if(C){D=B7(o,a,c,d,g)|0;u=h;return D|0}else{D=A7(n,a,c,d,g)|0;u=h;return D|0}}while(0);f[i>>2]=0;f[i+4>>2]=0;s=YG(i,28)|0;t=253807;v=s+28|0;do{b[s>>0]=b[t>>0]|0;s=s+1|0;t=t+1|0}while((s|0)<(v|0));$6(-210,i,253679,3982);return 0}function v7(a){a=a|0;var b=0,c=0,d=0,e=0;b=f[a+120>>2]|0;if(b|0){c=a+124|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-16-b|0)>>>4)<<4);Emc(b)}b=a+64|0;d=a+100|0;c=f[d>>2]|0;if(c|0?(e=c+12|0,c=f[e>>2]|0,f[e>>2]=c+-1,(c|0)==1):0)lP(b);f[d>>2]=0;d=a+80|0;b=a+68|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[b>>2]|0)>0){d=f[a+104>>2]|0;c=0;do{f[d+(c<<2)>>2]=0;c=c+1|0}while((c|0)<(f[b>>2]|0))}b=f[a+108>>2]|0;if((b|0)!=(a+112|0))tE(b);b=a+4|0;c=a+40|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(b);f[c>>2]=0;c=a+20|0;b=a+8|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[b>>2]|0)>0){c=f[a+44>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[b>>2]|0))}b=f[a+48>>2]|0;if((b|0)==(a+52|0))return;tE(b);return}function w7(a,c,e,g,h){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0.0;a=u;u=u+16|0;i=a;k=f[e+8>>2]|0;if((k|0)!=(f[c+8>>2]|0)){f[i>>2]=0;f[i+4>>2]=0;l=YG(i,26)|0;m=254301;n=l+26|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));$6(-215,i,523657,656)}o=f[e+12>>2]|0;if((o|0)!=(f[c+12>>2]|0)){f[i>>2]=0;f[i+4>>2]=0;l=YG(i,26)|0;m=254328;n=l+26|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));$6(-215,i,523657,657)}switch(g|0){case 4:case 8:break;default:{f[i>>2]=0;f[i+4>>2]=0;l=YG(i,38)|0;m=290876;n=l+38|0;do{b[l>>0]=b[m>>0]|0;l=l+1|0;m=m+1|0}while((l|0)<(n|0));$6(-215,i,523657,658)}}i=sE((Y(o,k)|0)+3&-2)|0;d[i>>1]=0;m=(k|0)>0;if((g|0)==8)if(m){g=(o|0)>0;l=o+-1|0;n=f[c+16>>2]|0;q=f[f[c+44>>2]>>2]|0;r=f[e+16>>2]|0;s=f[f[e+44>>2]>>2]|0;t=0-q|0;v=0-s|0;w=1;x=0;while(1){y=n+(Y(q,x)|0)|0;z=y+t|0;A=r+(Y(s,x)|0)|0;B=A+v|0;if(g){C=(x|0)>0;D=0;E=w;while(1){a:do if(!(b[y+D>>0]|0)){d[A+(D<<1)>>1]=0;F=E}else{if(C){if(b[z+D>>0]|0){d[A+(D<<1)>>1]=d[B+(D<<1)>>1]|0;F=E;break}G=(D|0)>0;if((D|0)<(l|0)?(H=D+1|0,b[z+H>>0]|0):0){I=d[B+(H<<1)>>1]|0;do if(G){H=D+-1|0;if(!(b[z+H>>0]|0)){K=D+-1|0;if(!(b[y+K>>0]|0)){L=I;break}M=d[A+(K<<1)>>1]|0;K=M;while(1){N=d[i+((K&65535)<<1)>>1]|0;if((N&65535)<(K&65535))K=N;else break}if(M<<16>>16==I<<16>>16)O=K;else{N=I;while(1){P=d[i+((N&65535)<<1)>>1]|0;if((P&65535)<(N&65535))N=P;else break}P=(K&65535)>(N&65535)?N:K;Q=I;do{R=i+((Q&65535)<<1)|0;S=Q;Q=d[R>>1]|0;d[R>>1]=P}while((Q&65535)<(S&65535));O=P}P=M;do{Q=i+((P&65535)<<1)|0;K=P;P=d[Q>>1]|0;d[Q>>1]=O}while((P&65535)<(K&65535));L=O}else{P=d[B+(H<<1)>>1]|0;M=P;while(1){K=d[i+((M&65535)<<1)>>1]|0;if((K&65535)<(M&65535))M=K;else break}if(P<<16>>16==I<<16>>16)T=M;else{H=I;while(1){K=d[i+((H&65535)<<1)>>1]|0;if((K&65535)<(H&65535))H=K;else break}K=(M&65535)>(H&65535)?H:M;Q=I;do{N=i+((Q&65535)<<1)|0;S=Q;Q=d[N>>1]|0;d[N>>1]=K}while((Q&65535)<(S&65535));T=K}K=P;do{Q=i+((K&65535)<<1)|0;M=K;K=d[Q>>1]|0;d[Q>>1]=T}while((K&65535)<(M&65535));d[A+(D<<1)>>1]=T;F=E;break a}}else L=I;while(0);d[A+(D<<1)>>1]=L;F=E;break}if(G){I=D+-1|0;if(!(b[z+I>>0]|0))U=46;else{d[A+(D<<1)>>1]=d[B+(I<<1)>>1]|0;F=E;break}}}else if((D|0)>0)U=46;if((U|0)==46?(U=0,I=D+-1|0,b[y+I>>0]|0):0){d[A+(D<<1)>>1]=d[A+(I<<1)>>1]|0;F=E;break}d[A+(D<<1)>>1]=E;I=E&65535;d[i+(I<<1)>>1]=E;F=I+1&65535}while(0);D=D+1|0;if((D|0)==(o|0)){V=F;break}else E=F}}else V=w;x=x+1|0;if((x|0)==(k|0)){W=V;U=81;break}else w=V}}else U=80;else if(m){V=(o|0)>0;w=f[c+16>>2]|0;x=f[f[c+44>>2]>>2]|0;c=f[e+16>>2]|0;F=f[f[e+44>>2]>>2]|0;L=0-x|0;T=0-F|0;O=0;l=1;while(1){g=w+(Y(x,O)|0)|0;v=g+L|0;s=c+(Y(F,O)|0)|0;r=s+T|0;b:do if(V){if((O|0)>0){X=0;Z=l}else{t=0;q=l;while(1){do if(!(b[g+t>>0]|0)){d[s+(t<<1)>>1]=0;_=q}else{if((t|0)>0?(n=t+-1|0,b[g+n>>0]|0):0){d[s+(t<<1)>>1]=d[s+(n<<1)>>1]|0;_=q;break}d[s+(t<<1)>>1]=q;n=q&65535;d[i+(n<<1)>>1]=q;_=n+1&65535}while(0);t=t+1|0;if((t|0)==(o|0)){$=_;break b}else q=_}}while(1){do if(!(b[g+X>>0]|0)){d[s+(X<<1)>>1]=0;aa=Z}else{q=(X|0)>0;if(!(b[v+X>>0]|0)){if(q?(t=X+-1|0,b[g+t>>0]|0):0){d[s+(X<<1)>>1]=d[s+(t<<1)>>1]|0;aa=Z;break}d[s+(X<<1)>>1]=Z;t=Z&65535;d[i+(t<<1)>>1]=Z;aa=t+1&65535;break}t=d[r+(X<<1)>>1]|0;if(q?(q=X+-1|0,(b[g+q>>0]|0)!=0):0){G=d[s+(q<<1)>>1]|0;q=G;while(1){n=d[i+((q&65535)<<1)>>1]|0;if((n&65535)<(q&65535))q=n;else break}if(G<<16>>16==t<<16>>16)ba=q;else{n=t;while(1){E=d[i+((n&65535)<<1)>>1]|0;if((E&65535)<(n&65535))n=E;else break}E=(q&65535)>(n&65535)?n:q;D=t;do{A=i+((D&65535)<<1)|0;y=D;D=d[A>>1]|0;d[A>>1]=E}while((D&65535)<(y&65535));ba=E}E=G;do{D=i+((E&65535)<<1)|0;q=E;E=d[D>>1]|0;d[D>>1]=ba}while((E&65535)<(q&65535));ca=ba}else ca=t;d[s+(X<<1)>>1]=ca;aa=Z}while(0);X=X+1|0;if((X|0)==(o|0)){$=aa;break}else Z=aa}}else $=l;while(0);O=O+1|0;if((O|0)==(k|0)){W=$;U=81;break}else l=$}}else U=80;if((U|0)==80){D7(h,1);da=1}else if((U|0)==81){if((W&65535)>1){U=W&65535;W=1;$=1;while(1){l=i+($<<1)|0;O=j[l>>1]|0;if(O>>>0<$>>>0){d[l>>1]=d[i+(O<<1)>>1]|0;ea=W}else{d[l>>1]=W;ea=(W&65535)+1&65535}$=$+1|0;if(($|0)==(U|0)){fa=ea;break}else W=ea}}else fa=1;D7(h,fa&65535);if(m){m=f[e+16>>2]|0;ea=f[e+44>>2]|0;e=f[h+20>>2]|0;W=f[h+48>>2]|0;U=f[h+120>>2]|0;$=0;do{l=m+(Y(f[ea>>2]|0,$)|0)|0;O=l+(o<<1)|0;if((l|0)!=(O|0)){aa=(($|0)<0)<<31>>31;Z=l;l=0;while(1){X=d[i+(j[Z>>1]<<1)>>1]|0;d[Z>>1]=X;ca=X&65535;X=e+(Y(f[W>>2]|0,ca)|0)|0;ba=f[X>>2]|0;f[X>>2]=(ba|0)>(l|0)?l:ba;ba=X+8|0;_=f[ba>>2]|0;f[ba>>2]=(_|0)<(l|0)?l:_;_=X+4|0;ba=f[_>>2]|0;f[_>>2]=(ba|0)>($|0)?$:ba;ba=X+12|0;_=f[ba>>2]|0;f[ba>>2]=(_|0)<($|0)?$:_;_=X+16|0;f[_>>2]=(f[_>>2]|0)+1;_=U+(ca<<4)|0;X=_;ba=Arc(f[X>>2]|0,f[X+4>>2]|0,l|0,((l|0)<0)<<31>>31|0)|0;X=_;f[X>>2]=ba;f[X+4>>2]=J;X=U+(ca<<4)+8|0;ca=X;ba=Arc(f[ca>>2]|0,f[ca+4>>2]|0,$|0,aa|0)|0;ca=X;f[ca>>2]=ba;f[ca+4>>2]=J;Z=Z+2|0;if((Z|0)==(O|0))break;else l=l+1|0}}$=$+1|0}while(($|0)!=(k|0));da=fa}else da=fa}fa=h+12|0;if((f[fa>>2]|0)<=0){tE(i);u=a;return da|0}k=f[h+20>>2]|0;$=f[h+48>>2]|0;U=f[h+120>>2]|0;W=f[h+80>>2]|0;e=f[h+108>>2]|0;h=0;do{o=k+(Y(f[$>>2]|0,h)|0)|0;ea=o+8|0;f[ea>>2]=(f[ea>>2]|0)+1-(f[o>>2]|0);ea=o+12|0;f[ea>>2]=(f[ea>>2]|0)+1-(f[o+4>>2]|0);ea=W+(Y(f[e>>2]|0,h)|0)|0;ga=+((f[o+16>>2]|0)>>>0);o=U+(h<<4)|0;p[ea>>3]=(+((f[o>>2]|0)>>>0)+4294967296.0*+((f[o+4>>2]|0)>>>0))/ga;o=U+(h<<4)+8|0;p[ea+8>>3]=(+((f[o>>2]|0)>>>0)+4294967296.0*+((f[o+4>>2]|0)>>>0))/ga;h=h+1|0}while((h|0)<(f[fa>>2]|0));tE(i);u=a;return da|0}function x7(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0.0;a=u;u=u+16|0;h=a;i=f[d+8>>2]|0;if((i|0)!=(f[c+8>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;j=YG(h,26)|0;k=254301;l=j+26|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));$6(-215,h,523657,656)}m=f[d+12>>2]|0;if((m|0)!=(f[c+12>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;j=YG(h,26)|0;k=254328;l=j+26|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));$6(-215,h,523657,657)}switch(e|0){case 4:case 8:break;default:{f[h>>2]=0;f[h+4>>2]=0;j=YG(h,38)|0;k=290876;l=j+38|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));$6(-215,h,523657,658)}}h=sE((((Y(m,i)|0)+1|0)>>>1<<2)+4|0)|0;f[h>>2]=0;k=(i|0)>0;if((e|0)==8)if(k){e=(m|0)>0;j=m+-1|0;l=f[c+16>>2]|0;n=f[c+44>>2]|0;o=f[d+16>>2]|0;q=f[d+44>>2]|0;r=1;s=0;while(1){t=f[n>>2]|0;v=l+(Y(t,s)|0)|0;w=v+(0-t)|0;t=f[q>>2]|0;x=o+(Y(t,s)|0)|0;y=x+(0-t)|0;if(e){t=(s|0)>0;z=0;A=r;while(1){a:do if(!(b[v+z>>0]|0)){f[x+(z<<2)>>2]=0;B=A}else{if(t){if(b[w+z>>0]|0){f[x+(z<<2)>>2]=f[y+(z<<2)>>2];B=A;break}C=(z|0)>0;if((z|0)<(j|0)?(D=z+1|0,b[w+D>>0]|0):0){E=f[y+(D<<2)>>2]|0;do if(C){D=z+-1|0;if(!(b[w+D>>0]|0)){F=z+-1|0;if(!(b[v+F>>0]|0)){G=E;break}H=f[x+(F<<2)>>2]|0;F=H;while(1){I=f[h+(F<<2)>>2]|0;if((I|0)<(F|0))F=I;else break}if((H|0)==(E|0))K=F;else{I=E;while(1){L=f[h+(I<<2)>>2]|0;if((L|0)<(I|0))I=L;else break}L=(F|0)>(I|0)?I:F;M=E;do{N=h+(M<<2)|0;O=M;M=f[N>>2]|0;f[N>>2]=L}while((M|0)<(O|0));K=L}L=H;do{M=h+(L<<2)|0;F=L;L=f[M>>2]|0;f[M>>2]=K}while((L|0)<(F|0));G=K}else{L=f[y+(D<<2)>>2]|0;H=L;while(1){F=f[h+(H<<2)>>2]|0;if((F|0)<(H|0))H=F;else break}if((L|0)==(E|0))P=H;else{D=E;while(1){F=f[h+(D<<2)>>2]|0;if((F|0)<(D|0))D=F;else break}F=(H|0)>(D|0)?D:H;M=E;do{I=h+(M<<2)|0;O=M;M=f[I>>2]|0;f[I>>2]=F}while((M|0)<(O|0));P=F}F=L;do{M=h+(F<<2)|0;H=F;F=f[M>>2]|0;f[M>>2]=P}while((F|0)<(H|0));f[x+(z<<2)>>2]=P;B=A;break a}}else G=E;while(0);f[x+(z<<2)>>2]=G;B=A;break}if(C){E=z+-1|0;if(!(b[w+E>>0]|0))Q=46;else{f[x+(z<<2)>>2]=f[y+(E<<2)>>2];B=A;break}}}else if((z|0)>0)Q=46;if((Q|0)==46?(Q=0,E=z+-1|0,b[v+E>>0]|0):0){f[x+(z<<2)>>2]=f[x+(E<<2)>>2];B=A;break}f[x+(z<<2)>>2]=A;f[h+(A<<2)>>2]=A;B=A+1|0}while(0);z=z+1|0;if((z|0)==(m|0)){R=B;break}else A=B}}else R=r;s=s+1|0;if((s|0)==(i|0)){S=R;Q=81;break}else r=R}}else Q=80;else if(k){R=(m|0)>0;r=f[c+16>>2]|0;s=f[c+44>>2]|0;c=f[d+16>>2]|0;B=f[d+44>>2]|0;G=0;P=1;while(1){K=f[s>>2]|0;j=r+(Y(K,G)|0)|0;e=j+(0-K)|0;K=f[B>>2]|0;o=c+(Y(K,G)|0)|0;q=o+(0-K)|0;b:do if(R){if((G|0)>0){T=0;U=P}else{K=0;l=P;while(1){do if(!(b[j+K>>0]|0)){f[o+(K<<2)>>2]=0;V=l}else{if((K|0)>0?(n=K+-1|0,b[j+n>>0]|0):0){f[o+(K<<2)>>2]=f[o+(n<<2)>>2];V=l;break}f[o+(K<<2)>>2]=l;f[h+(l<<2)>>2]=l;V=l+1|0}while(0);K=K+1|0;if((K|0)==(m|0)){W=V;break b}else l=V}}while(1){do if(!(b[j+T>>0]|0)){f[o+(T<<2)>>2]=0;X=U}else{l=(T|0)>0;if(!(b[e+T>>0]|0)){if(l?(K=T+-1|0,b[j+K>>0]|0):0){f[o+(T<<2)>>2]=f[o+(K<<2)>>2];X=U;break}f[o+(T<<2)>>2]=U;f[h+(U<<2)>>2]=U;X=U+1|0;break}K=f[q+(T<<2)>>2]|0;if(l?(l=T+-1|0,(b[j+l>>0]|0)!=0):0){C=f[o+(l<<2)>>2]|0;l=C;while(1){n=f[h+(l<<2)>>2]|0;if((n|0)<(l|0))l=n;else break}if((C|0)==(K|0))Z=l;else{n=K;while(1){A=f[h+(n<<2)>>2]|0;if((A|0)<(n|0))n=A;else break}A=(l|0)>(n|0)?n:l;z=K;do{x=h+(z<<2)|0;v=z;z=f[x>>2]|0;f[x>>2]=A}while((z|0)<(v|0));Z=A}A=C;do{z=h+(A<<2)|0;l=A;A=f[z>>2]|0;f[z>>2]=Z}while((A|0)<(l|0));_=Z}else _=K;f[o+(T<<2)>>2]=_;X=U}while(0);T=T+1|0;if((T|0)==(m|0)){W=X;break}else U=X}}else W=P;while(0);G=G+1|0;if((G|0)==(i|0)){S=W;Q=81;break}else P=W}}else Q=80;if((Q|0)==80){D7(g,1);$=1}else if((Q|0)==81){if((S|0)>1){Q=1;W=1;while(1){P=h+(W<<2)|0;G=f[P>>2]|0;if((G|0)<(W|0)){f[P>>2]=f[h+(G<<2)>>2];aa=Q}else{f[P>>2]=Q;aa=Q+1|0}W=W+1|0;if((W|0)==(S|0)){ba=aa;break}else Q=aa}}else ba=1;D7(g,ba);if(k){k=f[d+16>>2]|0;aa=f[d+44>>2]|0;d=f[g+20>>2]|0;Q=f[g+48>>2]|0;S=f[g+120>>2]|0;W=0;do{P=k+(Y(f[aa>>2]|0,W)|0)|0;G=P+(m<<2)|0;if((P|0)!=(G|0)){X=((W|0)<0)<<31>>31;U=P;P=0;while(1){T=f[h+(f[U>>2]<<2)>>2]|0;f[U>>2]=T;_=d+(Y(f[Q>>2]|0,T)|0)|0;Z=f[_>>2]|0;f[_>>2]=(Z|0)>(P|0)?P:Z;Z=_+8|0;V=f[Z>>2]|0;f[Z>>2]=(V|0)<(P|0)?P:V;V=_+4|0;Z=f[V>>2]|0;f[V>>2]=(Z|0)>(W|0)?W:Z;Z=_+12|0;V=f[Z>>2]|0;f[Z>>2]=(V|0)<(W|0)?W:V;V=_+16|0;f[V>>2]=(f[V>>2]|0)+1;V=S+(T<<4)|0;_=V;Z=Arc(f[_>>2]|0,f[_+4>>2]|0,P|0,((P|0)<0)<<31>>31|0)|0;_=V;f[_>>2]=Z;f[_+4>>2]=J;_=S+(T<<4)+8|0;T=_;Z=Arc(f[T>>2]|0,f[T+4>>2]|0,W|0,X|0)|0;T=_;f[T>>2]=Z;f[T+4>>2]=J;U=U+4|0;if((U|0)==(G|0))break;else P=P+1|0}}W=W+1|0}while((W|0)!=(i|0));$=ba}else $=ba}ba=g+12|0;if((f[ba>>2]|0)<=0){tE(h);u=a;return $|0}i=f[g+20>>2]|0;W=f[g+48>>2]|0;S=f[g+120>>2]|0;Q=f[g+80>>2]|0;d=f[g+108>>2]|0;g=0;do{m=i+(Y(f[W>>2]|0,g)|0)|0;aa=m+8|0;f[aa>>2]=(f[aa>>2]|0)+1-(f[m>>2]|0);aa=m+12|0;f[aa>>2]=(f[aa>>2]|0)+1-(f[m+4>>2]|0);aa=Q+(Y(f[d>>2]|0,g)|0)|0;ca=+((f[m+16>>2]|0)>>>0);m=S+(g<<4)|0;p[aa>>3]=(+((f[m>>2]|0)>>>0)+4294967296.0*+((f[m+4>>2]|0)>>>0))/ca;m=S+(g<<4)+8|0;p[aa+8>>3]=(+((f[m>>2]|0)>>>0)+4294967296.0*+((f[m+4>>2]|0)>>>0))/ca;g=g+1|0}while((g|0)<(f[ba>>2]|0));tE(h);u=a;return $|0}function y7(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0;a=u;u=u+48|0;h=a+32|0;i=a+24|0;j=a;k=f[c+8>>2]|0;l=d+8|0;if((k|0)!=(f[l>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,26)|0;n=253836;o=m+26|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));$6(-215,h,523657,578)}q=f[c+12>>2]|0;r=d+12|0;if((q|0)!=(f[r>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,26)|0;n=253863;o=m+26|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));$6(-215,h,523657,579)}switch(e|0){case 4:case 8:break;default:{f[h>>2]=0;f[h+4>>2]=0;m=YG(h,38)|0;n=290876;o=m+38|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));$6(-215,h,523657,580)}}n=((Y(q,k)|0)+1|0)>>>1;s=sE(k<<2)|0;t=sE((n<<2)+4|0)|0;f[t>>2]=0;f[h>>2]=0;f[h+4>>2]=k;n=(k|0)/2|0;v=(pU()|0)<<2;w=(v|0)<(n|0)?v:n;x=+(((w|0)>1?w:1)|0);f[i>>2]=1;if((e|0)==8){f[j>>2]=54408;f[j+4>>2]=c;f[j+8>>2]=d;f[j+12>>2]=t;f[j+16>>2]=s;oU(h,j,x);K7(d,t,s);if((k|0)>0){e=(q+1|0)/2|0;w=0;do{n=w+1|0;v=(Y((n|0)/2|0,e)|0)+1|0;y=f[s+(n<<2)>>2]|0;n=y+v|0;if((y|0)>0){y=v;do{v=t+(y<<2)|0;z=f[v>>2]|0;if((z|0)<(y|0))f[v>>2]=f[t+(z<<2)>>2];else{f[v>>2]=f[i>>2];f[i>>2]=(f[i>>2]|0)+1}y=y+1|0}while((y|0)<(n|0))}w=f[s+(w<<2)>>2]|0}while((w|0)<(k|0))}}else{f[j>>2]=54428;f[j+4>>2]=c;f[j+8>>2]=d;f[j+12>>2]=t;f[j+16>>2]=s;oU(h,j,x);c=f[r>>2]|0;r=f[l>>2]|0;w=f[s>>2]|0;a:do if((w|0)<(r|0)){e=f[d+16>>2]|0;n=f[d+44>>2]|0;if((c|0)>0)A=w;else{y=w;while(1){y=f[s+(y<<2)>>2]|0;if((y|0)>=(r|0))break a}}do{y=f[n>>2]|0;v=e+(Y(y,A)|0)|0;z=v+(0-y)|0;y=0;do{B=v+(y<<2)|0;C=f[B>>2]|0;if((C|0)>0?(D=f[z+(y<<2)>>2]|0,(D|0)>0):0){E=D;while(1){F=f[t+(E<<2)>>2]|0;if((F|0)<(E|0))E=F;else break}if((D|0)==(C|0))G=E;else{F=C;while(1){H=f[t+(F<<2)>>2]|0;if((H|0)<(F|0))F=H;else break}H=(E|0)>(F|0)?F:E;I=C;do{K=t+(I<<2)|0;L=I;I=f[K>>2]|0;f[K>>2]=H}while((I|0)<(L|0));G=H}H=D;do{I=t+(H<<2)|0;C=H;H=f[I>>2]|0;f[I>>2]=G}while((H|0)<(C|0));f[B>>2]=G}y=y+1|0}while((y|0)!=(c|0));A=f[s+(A<<2)>>2]|0}while((A|0)<(r|0))}while(0);if((k|0)>0){r=0;do{A=(((Y(r,q)|0)+1|0)/2|0)+1|0;c=f[s+(r+1<<2)>>2]|0;G=c+A|0;if((c|0)>0){c=A;do{A=t+(c<<2)|0;w=f[A>>2]|0;if((w|0)<(c|0))f[A>>2]=f[t+(w<<2)>>2];else{f[A>>2]=f[i>>2];f[i>>2]=(f[i>>2]|0)+1}c=c+1|0}while((c|0)<(G|0))}r=f[s+(r<<2)>>2]|0}while((r|0)<(k|0))}}r=k*136|0;q=Dmc(k>>>0>31580641|r>>>0>4294967291?-1:r+4|0)|0;f[q>>2]=k;r=q+4|0;if(k|0){G=r+(k*136|0)|0;k=r;do{f[k>>2]=0;f[k+4>>2]=1124007936;c=k+12|0;A=k+44|0;m=k+8|0;o=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(o|0));f[A>>2]=c;w=k+52|0;f[k+48>>2]=w;f[w>>2]=0;f[k+56>>2]=0;f[k+60>>2]=0;f[k+64>>2]=1124007936;w=k+72|0;e=k+104|0;m=k+68|0;o=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(o|0));f[e>>2]=w;c=k+112|0;f[k+108>>2]=c;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;f[c+16>>2]=0;f[c+20>>2]=0;k=k+136|0}while((k|0)!=(G|0))}D7(g,f[i>>2]|0);f[j>>2]=54448;f[j+4>>2]=d;f[j+8>>2]=t;f[j+12>>2]=g;f[j+16>>2]=r;f[j+20>>2]=i;oU(h,j,x);j=f[l>>2]|0;l=f[g+132>>2]|0;if((l|0)<(j|0)){h=g+20|0;d=g+48|0;G=g+120|0;k=l;l=f[i>>2]|0;while(1){if((l|0)>0){m=r+(k*136|0)+120|0;o=f[r+(k*136|0)+20>>2]|0;c=f[r+(k*136|0)+48>>2]|0;A=0;n=l;while(1){y=o+(Y(f[c>>2]|0,A)|0)|0;z=y+16|0;if((f[z>>2]|0)>0){v=(f[h>>2]|0)+(Y(f[f[d>>2]>>2]|0,A)|0)|0;H=f[v>>2]|0;D=f[y>>2]|0;f[v>>2]=(H|0)>(D|0)?D:H;H=v+8|0;f[H>>2]=f[((f[H>>2]|0)<(f[y+8>>2]|0)?y:v)+8>>2];H=v+4|0;f[H>>2]=f[((f[H>>2]|0)>(f[y+4>>2]|0)?y:v)+4>>2];H=v+12|0;f[H>>2]=f[((f[H>>2]|0)<(f[y+12>>2]|0)?y:v)+12>>2];y=v+16|0;f[y>>2]=(f[y>>2]|0)+(f[z>>2]|0);z=f[m>>2]|0;y=z+(A<<4)|0;v=f[G>>2]|0;H=v+(A<<4)|0;D=H;C=Arc(f[D>>2]|0,f[D+4>>2]|0,f[y>>2]|0,f[y+4>>2]|0)|0;y=H;f[y>>2]=C;f[y+4>>2]=J;y=z+(A<<4)+8|0;z=v+(A<<4)+8|0;v=z;C=Arc(f[v>>2]|0,f[v+4>>2]|0,f[y>>2]|0,f[y+4>>2]|0)|0;y=z;f[y>>2]=C;f[y+4>>2]=J;M=f[i>>2]|0}else M=n;A=A+1|0;if((A|0)>=(M|0)){N=M;break}else n=M}}else N=l;k=f[r+(k*136|0)+132>>2]|0;if((k|0)>=(j|0))break;else l=N}}N=g+12|0;if((f[N>>2]|0)>0){l=f[g+20>>2]|0;j=f[g+48>>2]|0;k=f[g+120>>2]|0;M=f[g+80>>2]|0;G=f[g+108>>2]|0;g=0;do{d=l+(Y(f[j>>2]|0,g)|0)|0;h=d+8|0;f[h>>2]=(f[h>>2]|0)+1-(f[d>>2]|0);h=d+12|0;f[h>>2]=(f[h>>2]|0)+1-(f[d+4>>2]|0);h=M+(Y(f[G>>2]|0,g)|0)|0;x=+((f[d+16>>2]|0)>>>0);d=k+(g<<4)|0;p[h>>3]=(+((f[d>>2]|0)>>>0)+4294967296.0*+((f[d+4>>2]|0)>>>0))/x;d=k+(g<<4)+8|0;p[h+8>>3]=(+((f[d>>2]|0)>>>0)+4294967296.0*+((f[d+4>>2]|0)>>>0))/x;g=g+1|0}while((g|0)<(f[N>>2]|0))}N=r+((f[q>>2]|0)*136|0)|0;if((r|0)==(N|0)){Fmc(q);tE(s);tE(t);O=f[i>>2]|0;u=a;return O|0}else P=N;do{P=P+-136|0;v7(P)}while((P|0)!=(r|0));Fmc(q);tE(s);tE(t);O=f[i>>2]|0;u=a;return O|0}function z7(a,c,e,g,h){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0.0;a=u;u=u+16|0;i=a;k=f[c+8>>2]|0;l=e+8|0;if((k|0)!=(f[l>>2]|0)){f[i>>2]=0;f[i+4>>2]=0;m=YG(i,26)|0;n=253836;o=m+26|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));$6(-215,i,523657,2589)}q=f[c+12>>2]|0;r=e+12|0;if((q|0)!=(f[r>>2]|0)){f[i>>2]=0;f[i+4>>2]=0;m=YG(i,26)|0;n=253863;o=m+26|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));$6(-215,i,523657,2590)}if((g|0)!=8){f[i>>2]=0;f[i+4>>2]=0;m=YG(i,17)|0;n=253890;o=m+17|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));$6(-215,i,523657,2591)}i=sE((Y(((k+1|0)/2|0)<<1,(q+1|0)/2|0)|0)+2|0)|0;d[i>>1]=0;if((k|0)>0){n=c+16|0;m=c+44|0;o=e+16|0;g=e+44|0;s=(q|0)>0;t=1;v=0;while(1){w=f[f[m>>2]>>2]|0;x=(f[n>>2]|0)+(Y(w,v)|0)|0;y=0-w|0;z=x+y|0;A=z+y|0;y=x+w|0;w=f[f[g>>2]>>2]|0;B=(f[o>>2]|0)+(Y(w,v)|0)|0;C=0-w|0;w=B+C+C|0;if(s){C=(v|1|0)<(k|0);D=(v|0)>0;E=D^1;F=(v+-2|0)>-1;G=0;H=t;while(1){a:do if(!(b[x+G>>0]|0)){I=G|1;K=(I|0)<(q|0);if(C?b[y+G>>0]|0:0){L=G+-1|0;M=(G|0)>0;if(K?b[x+I>>0]|0:0){do if(M){if(b[x+L>>0]|0){do if(D){if(b[z+I>>0]|0){if(b[z+G>>0]|0){d[B+(G<<1)>>1]=d[B+(G+-2<<1)>>1]|0;N=H;break a}do if(F){if(!(b[A+G>>0]|0))break;O=G+-2|0;if(b[z+L>>0]|0){d[B+(G<<1)>>1]=d[B+(O<<1)>>1]|0;N=H;break a}do if((O|0)>-1){if(!(b[z+O>>0]|0))break;if(b[A+L>>0]|0){d[B+(G<<1)>>1]=d[B+(O<<1)>>1]|0;N=H;break a}P=d[w+(G<<1)>>1]|0;Q=d[B+(O<<1)>>1]|0;R=P;while(1){S=d[i+((R&65535)<<1)>>1]|0;if((S&65535)<(R&65535))R=S;else break}if(P<<16>>16==Q<<16>>16)T=R;else{S=Q;while(1){U=d[i+((S&65535)<<1)>>1]|0;if((U&65535)<(S&65535))S=U;else break}U=(R&65535)>(S&65535)?S:R;V=Q;do{W=i+((V&65535)<<1)|0;X=V;V=d[W>>1]|0;d[W>>1]=U}while((V&65535)<(X&65535));T=U}U=P;do{V=i+((U&65535)<<1)|0;Q=U;U=d[V>>1]|0;d[V>>1]=T}while((U&65535)<(Q&65535));d[B+(G<<1)>>1]=T;N=H;break a}while(0);U=d[w+(G<<1)>>1]|0;P=d[B+(O<<1)>>1]|0;Q=U;while(1){V=d[i+((Q&65535)<<1)>>1]|0;if((V&65535)<(Q&65535))Q=V;else break}if(U<<16>>16==P<<16>>16)Z=Q;else{O=P;while(1){V=d[i+((O&65535)<<1)>>1]|0;if((V&65535)<(O&65535))O=V;else break}V=(Q&65535)>(O&65535)?O:Q;R=P;do{S=i+((R&65535)<<1)|0;X=R;R=d[S>>1]|0;d[S>>1]=V}while((R&65535)<(X&65535));Z=V}V=U;do{R=i+((V&65535)<<1)|0;P=V;V=d[R>>1]|0;d[R>>1]=Z}while((V&65535)<(P&65535));d[B+(G<<1)>>1]=Z;N=H;break a}while(0);V=d[w+(G<<1)>>1]|0;U=d[B+(G+-2<<1)>>1]|0;P=V;while(1){R=d[i+((P&65535)<<1)>>1]|0;if((R&65535)<(P&65535))P=R;else break}if(V<<16>>16==U<<16>>16)_=P;else{R=U;while(1){Q=d[i+((R&65535)<<1)>>1]|0;if((Q&65535)<(R&65535))R=Q;else break}Q=(P&65535)>(R&65535)?R:P;O=U;do{X=i+((O&65535)<<1)|0;S=O;O=d[X>>1]|0;d[X>>1]=Q}while((O&65535)<(S&65535));_=Q}Q=V;do{O=i+((Q&65535)<<1)|0;U=Q;Q=d[O>>1]|0;d[O>>1]=_}while((Q&65535)<(U&65535));d[B+(G<<1)>>1]=_;N=H;break a}Q=G+2|0;if((Q|0)>=(q|0))break;if(!(b[z+Q>>0]|0))break;do if(F){if(!(b[A+I>>0]|0))break;if(b[z+G>>0]|0){d[B+(G<<1)>>1]=d[B+(G+-2<<1)>>1]|0;N=H;break a}if(!(b[A+G>>0]|0)){V=d[w+(Q<<1)>>1]|0;U=d[B+(G+-2<<1)>>1]|0;O=V;while(1){P=d[i+((O&65535)<<1)>>1]|0;if((P&65535)<(O&65535))O=P;else break}if(V<<16>>16==U<<16>>16)$=O;else{P=U;while(1){R=d[i+((P&65535)<<1)>>1]|0;if((R&65535)<(P&65535))P=R;else break}R=(O&65535)>(P&65535)?P:O;S=U;do{X=i+((S&65535)<<1)|0;W=S;S=d[X>>1]|0;d[X>>1]=R}while((S&65535)<(W&65535));$=R}R=V;do{S=i+((R&65535)<<1)|0;U=R;R=d[S>>1]|0;d[S>>1]=$}while((R&65535)<(U&65535));d[B+(G<<1)>>1]=$;N=H;break a}R=G+-2|0;if(b[z+L>>0]|0){d[B+(G<<1)>>1]=d[B+(R<<1)>>1]|0;N=H;break a}do if((R|0)>-1){if(!(b[z+R>>0]|0))break;if(b[A+L>>0]|0){d[B+(G<<1)>>1]=d[B+(R<<1)>>1]|0;N=H;break a}V=d[w+(Q<<1)>>1]|0;U=d[B+(R<<1)>>1]|0;S=V;while(1){O=d[i+((S&65535)<<1)>>1]|0;if((O&65535)<(S&65535))S=O;else break}if(V<<16>>16==U<<16>>16)aa=S;else{O=U;while(1){P=d[i+((O&65535)<<1)>>1]|0;if((P&65535)<(O&65535))O=P;else break}P=(S&65535)>(O&65535)?O:S;W=U;do{X=i+((W&65535)<<1)|0;ba=W;W=d[X>>1]|0;d[X>>1]=P}while((W&65535)<(ba&65535));aa=P}P=V;do{W=i+((P&65535)<<1)|0;U=P;P=d[W>>1]|0;d[W>>1]=aa}while((P&65535)<(U&65535));d[B+(G<<1)>>1]=aa;N=H;break a}while(0);P=d[w+(Q<<1)>>1]|0;V=d[B+(R<<1)>>1]|0;U=P;while(1){W=d[i+((U&65535)<<1)>>1]|0;if((W&65535)<(U&65535))U=W;else break}if(P<<16>>16==V<<16>>16)ca=U;else{R=V;while(1){W=d[i+((R&65535)<<1)>>1]|0;if((W&65535)<(R&65535))R=W;else break}W=(U&65535)>(R&65535)?R:U;S=V;do{O=i+((S&65535)<<1)|0;ba=S;S=d[O>>1]|0;d[O>>1]=W}while((S&65535)<(ba&65535));ca=W}W=P;do{S=i+((W&65535)<<1)|0;V=W;W=d[S>>1]|0;d[S>>1]=ca}while((W&65535)<(V&65535));d[B+(G<<1)>>1]=ca;N=H;break a}while(0);W=d[w+(Q<<1)>>1]|0;P=d[B+(G+-2<<1)>>1]|0;V=W;while(1){S=d[i+((V&65535)<<1)>>1]|0;if((S&65535)<(V&65535))V=S;else break}if(W<<16>>16==P<<16>>16)da=V;else{Q=P;while(1){S=d[i+((Q&65535)<<1)>>1]|0;if((S&65535)<(Q&65535))Q=S;else break}S=(V&65535)>(Q&65535)?Q:V;U=P;do{R=i+((U&65535)<<1)|0;ba=U;U=d[R>>1]|0;d[R>>1]=S}while((U&65535)<(ba&65535));da=S}S=W;do{U=i+((S&65535)<<1)|0;P=S;S=d[U>>1]|0;d[U>>1]=da}while((S&65535)<(P&65535));d[B+(G<<1)>>1]=da;N=H;break a}while(0);d[B+(G<<1)>>1]=d[B+(G+-2<<1)>>1]|0;N=H;break a}if(!(b[y+L>>0]|0))break;do if(D){if(b[z+I>>0]|0){S=G+-2|0;do if((S|0)>-1){if(!(b[x+S>>0]|0))break;if(b[z+L>>0]|0){W=d[B+(S<<1)>>1]|0;if(b[z+G>>0]|0){d[B+(G<<1)>>1]=W;N=H;break a}do if(F){if(!(b[A+G>>0]|0))break;d[B+(G<<1)>>1]=W;N=H;break a}while(0);P=d[w+(G<<1)>>1]|0;U=P;while(1){V=d[i+((U&65535)<<1)>>1]|0;if((V&65535)<(U&65535))U=V;else break}if(P<<16>>16==W<<16>>16)ea=U;else{V=W;while(1){Q=d[i+((V&65535)<<1)>>1]|0;if((Q&65535)<(V&65535))V=Q;else break}Q=(U&65535)>(V&65535)?V:U;ba=W;do{R=i+((ba&65535)<<1)|0;O=ba;ba=d[R>>1]|0;d[R>>1]=Q}while((ba&65535)<(O&65535));ea=Q}Q=P;do{ba=i+((Q&65535)<<1)|0;W=Q;Q=d[ba>>1]|0;d[ba>>1]=ea}while((Q&65535)<(W&65535));d[B+(G<<1)>>1]=ea;N=H;break a}if(!(b[z+S>>0]|0)){Q=d[w+(G<<1)>>1]|0;P=d[B+(S<<1)>>1]|0;W=Q;while(1){ba=d[i+((W&65535)<<1)>>1]|0;if((ba&65535)<(W&65535))W=ba;else break}if(Q<<16>>16==P<<16>>16)fa=W;else{ba=P;while(1){U=d[i+((ba&65535)<<1)>>1]|0;if((U&65535)<(ba&65535))ba=U;else break}U=(W&65535)>(ba&65535)?ba:W;V=P;do{O=i+((V&65535)<<1)|0;R=V;V=d[O>>1]|0;d[O>>1]=U}while((V&65535)<(R&65535));fa=U}U=Q;do{V=i+((U&65535)<<1)|0;P=U;U=d[V>>1]|0;d[V>>1]=fa}while((U&65535)<(P&65535));d[B+(G<<1)>>1]=fa;N=H;break a}do if(F){if(!(b[A+L>>0]|0))break;U=d[B+(S<<1)>>1]|0;if(b[z+G>>0]|0){d[B+(G<<1)>>1]=U;N=H;break a}if(b[A+G>>0]|0){d[B+(G<<1)>>1]=U;N=H;break a}Q=d[w+(G<<1)>>1]|0;P=Q;while(1){V=d[i+((P&65535)<<1)>>1]|0;if((V&65535)<(P&65535))P=V;else break}if(Q<<16>>16==U<<16>>16)ga=P;else{V=U;while(1){W=d[i+((V&65535)<<1)>>1]|0;if((W&65535)<(V&65535))V=W;else break}W=(P&65535)>(V&65535)?V:P;ba=U;do{R=i+((ba&65535)<<1)|0;O=ba;ba=d[R>>1]|0;d[R>>1]=W}while((ba&65535)<(O&65535));ga=W}W=Q;do{ba=i+((W&65535)<<1)|0;U=W;W=d[ba>>1]|0;d[ba>>1]=ga}while((W&65535)<(U&65535));d[B+(G<<1)>>1]=ga;N=H;break a}while(0);W=d[w+(G<<1)>>1]|0;Q=d[B+(S<<1)>>1]|0;U=W;while(1){ba=d[i+((U&65535)<<1)>>1]|0;if((ba&65535)<(U&65535))U=ba;else break}if(W<<16>>16==Q<<16>>16)ha=U;else{ba=Q;while(1){P=d[i+((ba&65535)<<1)>>1]|0;if((P&65535)<(ba&65535))ba=P;else break}P=(U&65535)>(ba&65535)?ba:U;V=Q;do{O=i+((V&65535)<<1)|0;R=V;V=d[O>>1]|0;d[O>>1]=P}while((V&65535)<(R&65535));ha=P}P=W;do{V=i+((P&65535)<<1)|0;Q=P;P=d[V>>1]|0;d[V>>1]=ha}while((P&65535)<(Q&65535));d[B+(G<<1)>>1]=ha;N=H;break a}while(0);P=d[w+(G<<1)>>1]|0;W=d[B+(S<<1)>>1]|0;Q=P;while(1){V=d[i+((Q&65535)<<1)>>1]|0;if((V&65535)<(Q&65535))Q=V;else break}if(P<<16>>16==W<<16>>16)ia=Q;else{S=W;while(1){V=d[i+((S&65535)<<1)>>1]|0;if((V&65535)<(S&65535))S=V;else break}V=(Q&65535)>(S&65535)?S:Q;U=W;do{ba=i+((U&65535)<<1)|0;R=U;U=d[ba>>1]|0;d[ba>>1]=V}while((U&65535)<(R&65535));ia=V}V=P;do{U=i+((V&65535)<<1)|0;W=V;V=d[U>>1]|0;d[U>>1]=ia}while((V&65535)<(W&65535));d[B+(G<<1)>>1]=ia;N=H;break a}V=G+2|0;do if(!((V|0)>=(q|0)|E)){if(!(b[z+V>>0]|0))break;do if(F){if(!(b[A+I>>0]|0))break;P=G+-2|0;do if((P|0)>-1){if(!(b[x+P>>0]|0))break;if(b[z+L>>0]|0){W=d[B+(P<<1)>>1]|0;if(b[z+G>>0]|0){d[B+(G<<1)>>1]=W;N=H;break a}if(b[A+G>>0]|0){d[B+(G<<1)>>1]=W;N=H;break a}U=d[w+(V<<1)>>1]|0;Q=U;while(1){S=d[i+((Q&65535)<<1)>>1]|0;if((S&65535)<(Q&65535))Q=S;else break}if(U<<16>>16==W<<16>>16)ja=Q;else{S=W;while(1){R=d[i+((S&65535)<<1)>>1]|0;if((R&65535)<(S&65535))S=R;else break}R=(Q&65535)>(S&65535)?S:Q;ba=W;do{O=i+((ba&65535)<<1)|0;X=ba;ba=d[O>>1]|0;d[O>>1]=R}while((ba&65535)<(X&65535));ja=R}R=U;do{ba=i+((R&65535)<<1)|0;W=R;R=d[ba>>1]|0;d[ba>>1]=ja}while((R&65535)<(W&65535));d[B+(G<<1)>>1]=ja;N=H;break a}if(!(b[z+P>>0]|0)){R=d[w+(V<<1)>>1]|0;U=d[B+(P<<1)>>1]|0;W=R;while(1){ba=d[i+((W&65535)<<1)>>1]|0;if((ba&65535)<(W&65535))W=ba;else break}if(R<<16>>16==U<<16>>16)ka=W;else{ba=U;while(1){Q=d[i+((ba&65535)<<1)>>1]|0;if((Q&65535)<(ba&65535))ba=Q;else break}Q=(W&65535)>(ba&65535)?ba:W;S=U;do{X=i+((S&65535)<<1)|0;O=S;S=d[X>>1]|0;d[X>>1]=Q}while((S&65535)<(O&65535));ka=Q}Q=R;do{S=i+((Q&65535)<<1)|0;U=Q;Q=d[S>>1]|0;d[S>>1]=ka}while((Q&65535)<(U&65535));d[B+(G<<1)>>1]=ka;N=H;break a}if(!(b[A+L>>0]|0)){Q=d[w+(V<<1)>>1]|0;R=d[B+(P<<1)>>1]|0;U=Q;while(1){S=d[i+((U&65535)<<1)>>1]|0;if((S&65535)<(U&65535))U=S;else break}if(Q<<16>>16==R<<16>>16)la=U;else{S=R;while(1){W=d[i+((S&65535)<<1)>>1]|0;if((W&65535)<(S&65535))S=W;else break}W=(U&65535)>(S&65535)?S:U;ba=R;do{O=i+((ba&65535)<<1)|0;X=ba;ba=d[O>>1]|0;d[O>>1]=W}while((ba&65535)<(X&65535));la=W}W=Q;do{ba=i+((W&65535)<<1)|0;R=W;W=d[ba>>1]|0;d[ba>>1]=la}while((W&65535)<(R&65535));d[B+(G<<1)>>1]=la;N=H;break a}W=d[B+(P<<1)>>1]|0;if(b[z+G>>0]|0){d[B+(G<<1)>>1]=W;N=H;break a}if(b[A+G>>0]|0){d[B+(G<<1)>>1]=W;N=H;break a}Q=d[w+(V<<1)>>1]|0;R=Q;while(1){ba=d[i+((R&65535)<<1)>>1]|0;if((ba&65535)<(R&65535))R=ba;else break}if(Q<<16>>16==W<<16>>16)ma=R;else{ba=W;while(1){U=d[i+((ba&65535)<<1)>>1]|0;if((U&65535)<(ba&65535))ba=U;else break}U=(R&65535)>(ba&65535)?ba:R;S=W;do{X=i+((S&65535)<<1)|0;O=S;S=d[X>>1]|0;d[X>>1]=U}while((S&65535)<(O&65535));ma=U}U=Q;do{S=i+((U&65535)<<1)|0;W=U;U=d[S>>1]|0;d[S>>1]=ma}while((U&65535)<(W&65535));d[B+(G<<1)>>1]=ma;N=H;break a}while(0);U=d[w+(V<<1)>>1]|0;Q=d[B+(P<<1)>>1]|0;W=U;while(1){S=d[i+((W&65535)<<1)>>1]|0;if((S&65535)<(W&65535))W=S;else break}if(U<<16>>16==Q<<16>>16)na=W;else{P=Q;while(1){S=d[i+((P&65535)<<1)>>1]|0;if((S&65535)<(P&65535))P=S;else break}S=(W&65535)>(P&65535)?P:W;R=Q;do{ba=i+((R&65535)<<1)|0;O=R;R=d[ba>>1]|0;d[ba>>1]=S}while((R&65535)<(O&65535));na=S}S=U;do{R=i+((S&65535)<<1)|0;Q=S;S=d[R>>1]|0;d[R>>1]=na}while((S&65535)<(Q&65535));d[B+(G<<1)>>1]=na;N=H;break a}while(0);S=G+-2|0;if(!(b[z+G>>0]|0)){U=d[w+(V<<1)>>1]|0;Q=d[B+(S<<1)>>1]|0;R=U;while(1){W=d[i+((R&65535)<<1)>>1]|0;if((W&65535)<(R&65535))R=W;else break}if(U<<16>>16==Q<<16>>16)oa=R;else{W=Q;while(1){P=d[i+((W&65535)<<1)>>1]|0;if((P&65535)<(W&65535))W=P;else break}P=(R&65535)>(W&65535)?W:R;O=Q;do{ba=i+((O&65535)<<1)|0;X=O;O=d[ba>>1]|0;d[ba>>1]=P}while((O&65535)<(X&65535));oa=P}P=U;do{O=i+((P&65535)<<1)|0;Q=P;P=d[O>>1]|0;d[O>>1]=oa}while((P&65535)<(Q&65535));d[B+(G<<1)>>1]=oa;N=H;break a}do if((S|0)>-1){if(!(b[x+S>>0]|0))break;if(b[z+L>>0]|0){P=d[w+(V<<1)>>1]|0;U=d[B+(S<<1)>>1]|0;Q=P;while(1){O=d[i+((Q&65535)<<1)>>1]|0;if((O&65535)<(Q&65535))Q=O;else break}if(P<<16>>16==U<<16>>16)pa=Q;else{O=U;while(1){R=d[i+((O&65535)<<1)>>1]|0;if((R&65535)<(O&65535))O=R;else break}R=(Q&65535)>(O&65535)?O:Q;W=U;do{X=i+((W&65535)<<1)|0;ba=W;W=d[X>>1]|0;d[X>>1]=R}while((W&65535)<(ba&65535));pa=R}R=P;do{W=i+((R&65535)<<1)|0;U=R;R=d[W>>1]|0;d[W>>1]=pa}while((R&65535)<(U&65535));d[B+(G<<1)>>1]=pa;N=H;break a}if(!(b[z+S>>0]|0)){R=d[w+(G<<1)>>1]|0;P=d[w+(V<<1)>>1]|0;U=R;while(1){W=d[i+((U&65535)<<1)>>1]|0;if((W&65535)<(U&65535))U=W;else break}if(R<<16>>16==P<<16>>16)qa=U;else{W=P;while(1){Q=d[i+((W&65535)<<1)>>1]|0;if((Q&65535)<(W&65535))W=Q;else break}Q=(U&65535)>(W&65535)?W:U;O=P;do{ba=i+((O&65535)<<1)|0;X=O;O=d[ba>>1]|0;d[ba>>1]=Q}while((O&65535)<(X&65535));qa=Q}Q=R;do{O=i+((Q&65535)<<1)|0;P=Q;Q=d[O>>1]|0;d[O>>1]=qa}while((Q&65535)<(P&65535));Q=d[B+(S<<1)>>1]|0;R=qa;while(1){P=d[i+((R&65535)<<1)>>1]|0;if((P&65535)<(R&65535))R=P;else break}if(qa<<16>>16==Q<<16>>16)ra=R;else{P=Q;while(1){O=d[i+((P&65535)<<1)>>1]|0;if((O&65535)<(P&65535))P=O;else break}O=(R&65535)>(P&65535)?P:R;U=Q;do{W=i+((U&65535)<<1)|0;X=U;U=d[W>>1]|0;d[W>>1]=O}while((U&65535)<(X&65535));ra=O}O=qa;do{U=i+((O&65535)<<1)|0;Q=O;O=d[U>>1]|0;d[U>>1]=ra}while((O&65535)<(Q&65535));d[B+(G<<1)>>1]=ra;N=H;break a}do if(F){if(!(b[A+L>>0]|0))break;O=d[w+(V<<1)>>1]|0;Q=d[B+(S<<1)>>1]|0;U=O;while(1){R=d[i+((U&65535)<<1)>>1]|0;if((R&65535)<(U&65535))U=R;else break}if(O<<16>>16==Q<<16>>16)sa=U;else{R=Q;while(1){P=d[i+((R&65535)<<1)>>1]|0;if((P&65535)<(R&65535))R=P;else break}P=(U&65535)>(R&65535)?R:U;X=Q;do{W=i+((X&65535)<<1)|0;ba=X;X=d[W>>1]|0;d[W>>1]=P}while((X&65535)<(ba&65535));sa=P}P=O;do{X=i+((P&65535)<<1)|0;Q=P;P=d[X>>1]|0;d[X>>1]=sa}while((P&65535)<(Q&65535));d[B+(G<<1)>>1]=sa;N=H;break a}while(0);P=d[w+(G<<1)>>1]|0;O=d[w+(V<<1)>>1]|0;Q=P;while(1){X=d[i+((Q&65535)<<1)>>1]|0;if((X&65535)<(Q&65535))Q=X;else break}if(P<<16>>16==O<<16>>16)ta=Q;else{X=O;while(1){U=d[i+((X&65535)<<1)>>1]|0;if((U&65535)<(X&65535))X=U;else break}U=(Q&65535)>(X&65535)?X:Q;R=O;do{ba=i+((R&65535)<<1)|0;W=R;R=d[ba>>1]|0;d[ba>>1]=U}while((R&65535)<(W&65535));ta=U}U=P;do{R=i+((U&65535)<<1)|0;O=U;U=d[R>>1]|0;d[R>>1]=ta}while((U&65535)<(O&65535));U=d[B+(S<<1)>>1]|0;P=ta;while(1){O=d[i+((P&65535)<<1)>>1]|0;if((O&65535)<(P&65535))P=O;else break}if(ta<<16>>16==U<<16>>16)ua=P;else{O=U;while(1){R=d[i+((O&65535)<<1)>>1]|0;if((R&65535)<(O&65535))O=R;else break}R=(P&65535)>(O&65535)?O:P;Q=U;do{X=i+((Q&65535)<<1)|0;W=Q;Q=d[X>>1]|0;d[X>>1]=R}while((Q&65535)<(W&65535));ua=R}R=ta;do{Q=i+((R&65535)<<1)|0;U=R;R=d[Q>>1]|0;d[Q>>1]=ua}while((R&65535)<(U&65535));d[B+(G<<1)>>1]=ua;N=H;break a}while(0);R=d[w+(G<<1)>>1]|0;U=d[w+(V<<1)>>1]|0;Q=R;while(1){P=d[i+((Q&65535)<<1)>>1]|0;if((P&65535)<(Q&65535))Q=P;else break}if(R<<16>>16==U<<16>>16)va=Q;else{P=U;while(1){O=d[i+((P&65535)<<1)>>1]|0;if((O&65535)<(P&65535))P=O;else break}O=(Q&65535)>(P&65535)?P:Q;W=U;do{X=i+((W&65535)<<1)|0;ba=W;W=d[X>>1]|0;d[X>>1]=O}while((W&65535)<(ba&65535));va=O}O=R;do{W=i+((O&65535)<<1)|0;U=O;O=d[W>>1]|0;d[W>>1]=va}while((O&65535)<(U&65535));O=d[B+(S<<1)>>1]|0;R=va;while(1){U=d[i+((R&65535)<<1)>>1]|0;if((U&65535)<(R&65535))R=U;else break}if(va<<16>>16==O<<16>>16)wa=R;else{S=O;while(1){U=d[i+((S&65535)<<1)>>1]|0;if((U&65535)<(S&65535))S=U;else break}U=(R&65535)>(S&65535)?S:R;W=O;do{Q=i+((W&65535)<<1)|0;P=W;W=d[Q>>1]|0;d[Q>>1]=U}while((W&65535)<(P&65535));wa=U}U=va;do{W=i+((U&65535)<<1)|0;O=U;U=d[W>>1]|0;d[W>>1]=wa}while((U&65535)<(O&65535));d[B+(G<<1)>>1]=wa;N=H;break a}while(0);V=G+-2|0;if(!(b[z+G>>0]|0)){xa=V;break}do if((V|0)>-1){if(!(b[x+V>>0]|0))break;if(b[z+L>>0]|0){d[B+(G<<1)>>1]=d[B+(V<<1)>>1]|0;N=H;break a}if(!(b[z+V>>0]|0)){U=d[w+(G<<1)>>1]|0;O=d[B+(V<<1)>>1]|0;W=U;while(1){R=d[i+((W&65535)<<1)>>1]|0;if((R&65535)<(W&65535))W=R;else break}if(U<<16>>16==O<<16>>16)ya=W;else{R=O;while(1){S=d[i+((R&65535)<<1)>>1]|0;if((S&65535)<(R&65535))R=S;else break}S=(W&65535)>(R&65535)?R:W;P=O;do{Q=i+((P&65535)<<1)|0;ba=P;P=d[Q>>1]|0;d[Q>>1]=S}while((P&65535)<(ba&65535));ya=S}S=U;do{P=i+((S&65535)<<1)|0;O=S;S=d[P>>1]|0;d[P>>1]=ya}while((S&65535)<(O&65535));d[B+(G<<1)>>1]=ya;N=H;break a}do if(F){if(!(b[A+L>>0]|0))break;d[B+(G<<1)>>1]=d[B+(V<<1)>>1]|0;N=H;break a}while(0);S=d[w+(G<<1)>>1]|0;U=d[B+(V<<1)>>1]|0;O=S;while(1){P=d[i+((O&65535)<<1)>>1]|0;if((P&65535)<(O&65535))O=P;else break}if(S<<16>>16==U<<16>>16)za=O;else{P=U;while(1){W=d[i+((P&65535)<<1)>>1]|0;if((W&65535)<(P&65535))P=W;else break}W=(O&65535)>(P&65535)?P:O;R=U;do{ba=i+((R&65535)<<1)|0;Q=R;R=d[ba>>1]|0;d[ba>>1]=W}while((R&65535)<(Q&65535));za=W}W=S;do{R=i+((W&65535)<<1)|0;U=W;W=d[R>>1]|0;d[R>>1]=za}while((W&65535)<(U&65535));d[B+(G<<1)>>1]=za;N=H;break a}while(0);W=d[w+(G<<1)>>1]|0;S=d[B+(V<<1)>>1]|0;U=W;while(1){R=d[i+((U&65535)<<1)>>1]|0;if((R&65535)<(U&65535))U=R;else break}if(W<<16>>16==S<<16>>16)Aa=U;else{V=S;while(1){R=d[i+((V&65535)<<1)>>1]|0;if((R&65535)<(V&65535))V=R;else break}R=(U&65535)>(V&65535)?V:U;O=S;do{P=i+((O&65535)<<1)|0;Q=O;O=d[P>>1]|0;d[P>>1]=R}while((O&65535)<(Q&65535));Aa=R}R=W;do{O=i+((R&65535)<<1)|0;S=R;R=d[O>>1]|0;d[O>>1]=Aa}while((R&65535)<(S&65535));d[B+(G<<1)>>1]=Aa;N=H;break a}else xa=G+-2|0;while(0);d[B+(G<<1)>>1]=d[B+(xa<<1)>>1]|0;N=H;break a}while(0);do if(D){if(b[z+I>>0]|0){d[B+(G<<1)>>1]=d[w+(G<<1)>>1]|0;N=H;break a}R=G+2|0;do if(!((R|0)>=(q|0)|E)){if(!(b[z+R>>0]|0))break;if(!(b[z+G>>0]|0)){d[B+(G<<1)>>1]=d[w+(R<<1)>>1]|0;N=H;break a}do if(F){if(!(b[A+I>>0]|0))break;d[B+(G<<1)>>1]=d[w+(R<<1)>>1]|0;N=H;break a}while(0);W=d[w+(G<<1)>>1]|0;S=d[w+(R<<1)>>1]|0;O=W;while(1){U=d[i+((O&65535)<<1)>>1]|0;if((U&65535)<(O&65535))O=U;else break}if(W<<16>>16==S<<16>>16)Ba=O;else{U=S;while(1){V=d[i+((U&65535)<<1)>>1]|0;if((V&65535)<(U&65535))U=V;else break}V=(O&65535)>(U&65535)?U:O;Q=S;do{P=i+((Q&65535)<<1)|0;ba=Q;Q=d[P>>1]|0;d[P>>1]=V}while((Q&65535)<(ba&65535));Ba=V}V=W;do{Q=i+((V&65535)<<1)|0;S=V;V=d[Q>>1]|0;d[Q>>1]=Ba}while((V&65535)<(S&65535));d[B+(G<<1)>>1]=Ba;N=H;break a}while(0);if(!(b[z+G>>0]|0))break;d[B+(G<<1)>>1]=d[w+(G<<1)>>1]|0;N=H;break a}while(0);d[B+(G<<1)>>1]=H;R=H&65535;d[i+(R<<1)>>1]=H;N=R+1&65535;break}if(M){if(b[y+L>>0]|0){d[B+(G<<1)>>1]=d[B+(G+-2<<1)>>1]|0;N=H;break}if(b[x+L>>0]|0){d[B+(G<<1)>>1]=d[B+(G+-2<<1)>>1]|0;N=H;break}}d[B+(G<<1)>>1]=H;R=H&65535;d[i+(R<<1)>>1]=H;N=R+1&65535;break}do if(K){if(!(b[x+I>>0]|0)){if(!C)break;if(!(b[y+I>>0]|0))break;d[B+(G<<1)>>1]=H;R=H&65535;d[i+(R<<1)>>1]=H;N=R+1&65535;break a}if(D){if(b[z+I>>0]|0){d[B+(G<<1)>>1]=d[w+(G<<1)>>1]|0;N=H;break a}R=G+2|0;do if(!((R|0)>=(q|0)|E)){if(!(b[z+R>>0]|0))break;if(!(b[z+G>>0]|0)){d[B+(G<<1)>>1]=d[w+(R<<1)>>1]|0;N=H;break a}do if(F){if(!(b[A+I>>0]|0))break;d[B+(G<<1)>>1]=d[w+(R<<1)>>1]|0;N=H;break a}while(0);V=d[w+(G<<1)>>1]|0;W=d[w+(R<<1)>>1]|0;S=V;while(1){Q=d[i+((S&65535)<<1)>>1]|0;if((Q&65535)<(S&65535))S=Q;else break}if(V<<16>>16==W<<16>>16)Ca=S;else{Q=W;while(1){O=d[i+((Q&65535)<<1)>>1]|0;if((O&65535)<(Q&65535))Q=O;else break}O=(S&65535)>(Q&65535)?Q:S;U=W;do{ba=i+((U&65535)<<1)|0;P=U;U=d[ba>>1]|0;d[ba>>1]=O}while((U&65535)<(P&65535));Ca=O}O=V;do{U=i+((O&65535)<<1)|0;W=O;O=d[U>>1]|0;d[U>>1]=Ca}while((O&65535)<(W&65535));d[B+(G<<1)>>1]=Ca;N=H;break a}while(0);if(b[z+G>>0]|0){d[B+(G<<1)>>1]=d[w+(G<<1)>>1]|0;N=H;break a}}d[B+(G<<1)>>1]=H;R=H&65535;d[i+(R<<1)>>1]=H;N=R+1&65535;break a}while(0);d[B+(G<<1)>>1]=0;N=H}else{I=G+-1|0;K=(G|0)>0;if(K){if(b[x+I>>0]|0){L=G|1;M=(L|0)<(q|0);if(D&M?b[z+L>>0]|0:0){if(b[z+G>>0]|0){d[B+(G<<1)>>1]=d[B+(G+-2<<1)>>1]|0;N=H;break}do if(F){if(!(b[A+G>>0]|0))break;R=G+-2|0;if(b[z+I>>0]|0){d[B+(G<<1)>>1]=d[B+(R<<1)>>1]|0;N=H;break a}do if((R|0)>-1){if(!(b[z+R>>0]|0))break;if(b[A+I>>0]|0){d[B+(G<<1)>>1]=d[B+(R<<1)>>1]|0;N=H;break a}O=d[w+(G<<1)>>1]|0;V=d[B+(R<<1)>>1]|0;W=O;while(1){U=d[i+((W&65535)<<1)>>1]|0;if((U&65535)<(W&65535))W=U;else break}if(O<<16>>16==V<<16>>16)Da=W;else{U=V;while(1){S=d[i+((U&65535)<<1)>>1]|0;if((S&65535)<(U&65535))U=S;else break}S=(W&65535)>(U&65535)?U:W;Q=V;do{P=i+((Q&65535)<<1)|0;ba=Q;Q=d[P>>1]|0;d[P>>1]=S}while((Q&65535)<(ba&65535));Da=S}S=O;do{Q=i+((S&65535)<<1)|0;V=S;S=d[Q>>1]|0;d[Q>>1]=Da}while((S&65535)<(V&65535));d[B+(G<<1)>>1]=Da;N=H;break a}while(0);S=d[w+(G<<1)>>1]|0;O=d[B+(R<<1)>>1]|0;V=S;while(1){Q=d[i+((V&65535)<<1)>>1]|0;if((Q&65535)<(V&65535))V=Q;else break}if(S<<16>>16==O<<16>>16)Ea=V;else{R=O;while(1){Q=d[i+((R&65535)<<1)>>1]|0;if((Q&65535)<(R&65535))R=Q;else break}Q=(V&65535)>(R&65535)?R:V;W=O;do{U=i+((W&65535)<<1)|0;ba=W;W=d[U>>1]|0;d[U>>1]=Q}while((W&65535)<(ba&65535));Ea=Q}Q=S;do{W=i+((Q&65535)<<1)|0;O=Q;Q=d[W>>1]|0;d[W>>1]=Ea}while((Q&65535)<(O&65535));d[B+(G<<1)>>1]=Ea;N=H;break a}while(0);Q=d[w+(G<<1)>>1]|0;S=d[B+(G+-2<<1)>>1]|0;O=Q;while(1){W=d[i+((O&65535)<<1)>>1]|0;if((W&65535)<(O&65535))O=W;else break}if(Q<<16>>16==S<<16>>16)Fa=O;else{W=S;while(1){V=d[i+((W&65535)<<1)>>1]|0;if((V&65535)<(W&65535))W=V;else break}V=(O&65535)>(W&65535)?W:O;R=S;do{ba=i+((R&65535)<<1)|0;U=R;R=d[ba>>1]|0;d[ba>>1]=V}while((R&65535)<(U&65535));Fa=V}V=Q;do{R=i+((V&65535)<<1)|0;S=V;V=d[R>>1]|0;d[R>>1]=Fa}while((V&65535)<(S&65535));d[B+(G<<1)>>1]=Fa;N=H;break}if(M?b[x+L>>0]|0:0){V=G+2|0;do if(D&(V|0)<(q|0)){if(!(b[z+V>>0]|0))break;do if(F){if(!(b[A+L>>0]|0))break;if(b[z+G>>0]|0){d[B+(G<<1)>>1]=d[B+(G+-2<<1)>>1]|0;N=H;break a}if(!(b[A+G>>0]|0)){Q=d[w+(V<<1)>>1]|0;S=d[B+(G+-2<<1)>>1]|0;R=Q;while(1){O=d[i+((R&65535)<<1)>>1]|0;if((O&65535)<(R&65535))R=O;else break}if(Q<<16>>16==S<<16>>16)Ga=R;else{O=S;while(1){W=d[i+((O&65535)<<1)>>1]|0;if((W&65535)<(O&65535))O=W;else break}W=(R&65535)>(O&65535)?O:R;U=S;do{ba=i+((U&65535)<<1)|0;P=U;U=d[ba>>1]|0;d[ba>>1]=W}while((U&65535)<(P&65535));Ga=W}W=Q;do{U=i+((W&65535)<<1)|0;S=W;W=d[U>>1]|0;d[U>>1]=Ga}while((W&65535)<(S&65535));d[B+(G<<1)>>1]=Ga;N=H;break a}W=G+-2|0;if(b[z+I>>0]|0){d[B+(G<<1)>>1]=d[B+(W<<1)>>1]|0;N=H;break a}do if((W|0)>-1){if(!(b[z+W>>0]|0))break;if(b[A+I>>0]|0){d[B+(G<<1)>>1]=d[B+(W<<1)>>1]|0;N=H;break a}Q=d[w+(V<<1)>>1]|0;S=d[B+(W<<1)>>1]|0;U=Q;while(1){R=d[i+((U&65535)<<1)>>1]|0;if((R&65535)<(U&65535))U=R;else break}if(Q<<16>>16==S<<16>>16)Ha=U;else{R=S;while(1){O=d[i+((R&65535)<<1)>>1]|0;if((O&65535)<(R&65535))R=O;else break}O=(U&65535)>(R&65535)?R:U;P=S;do{ba=i+((P&65535)<<1)|0;X=P;P=d[ba>>1]|0;d[ba>>1]=O}while((P&65535)<(X&65535));Ha=O}O=Q;do{P=i+((O&65535)<<1)|0;S=O;O=d[P>>1]|0;d[P>>1]=Ha}while((O&65535)<(S&65535));d[B+(G<<1)>>1]=Ha;N=H;break a}while(0);O=d[w+(V<<1)>>1]|0;Q=d[B+(W<<1)>>1]|0;S=O;while(1){P=d[i+((S&65535)<<1)>>1]|0;if((P&65535)<(S&65535))S=P;else break}if(O<<16>>16==Q<<16>>16)Ia=S;else{W=Q;while(1){P=d[i+((W&65535)<<1)>>1]|0;if((P&65535)<(W&65535))W=P;else break}P=(S&65535)>(W&65535)?W:S;U=Q;do{R=i+((U&65535)<<1)|0;X=U;U=d[R>>1]|0;d[R>>1]=P}while((U&65535)<(X&65535));Ia=P}P=O;do{U=i+((P&65535)<<1)|0;Q=P;P=d[U>>1]|0;d[U>>1]=Ia}while((P&65535)<(Q&65535));d[B+(G<<1)>>1]=Ia;N=H;break a}while(0);P=d[w+(V<<1)>>1]|0;O=d[B+(G+-2<<1)>>1]|0;Q=P;while(1){U=d[i+((Q&65535)<<1)>>1]|0;if((U&65535)<(Q&65535))Q=U;else break}if(P<<16>>16==O<<16>>16)Ja=Q;else{U=O;while(1){S=d[i+((U&65535)<<1)>>1]|0;if((S&65535)<(U&65535))U=S;else break}S=(Q&65535)>(U&65535)?U:Q;W=O;do{X=i+((W&65535)<<1)|0;R=W;W=d[X>>1]|0;d[X>>1]=S}while((W&65535)<(R&65535));Ja=S}S=P;do{W=i+((S&65535)<<1)|0;O=S;S=d[W>>1]|0;d[W>>1]=Ja}while((S&65535)<(O&65535));d[B+(G<<1)>>1]=Ja;N=H;break a}while(0);d[B+(G<<1)>>1]=d[B+(G+-2<<1)>>1]|0;N=H;break}d[B+(G<<1)>>1]=d[B+(G+-2<<1)>>1]|0;N=H;break}if(C?b[y+I>>0]|0:0){V=G|1;L=(V|0)<(q|0);if(!(E|L^1)?b[z+V>>0]|0:0){M=G+-2|0;do if((M|0)>-1){if(!(b[x+M>>0]|0))break;if(b[z+I>>0]|0){S=d[B+(M<<1)>>1]|0;if(b[z+G>>0]|0){d[B+(G<<1)>>1]=S;N=H;break a}do if(F){if(!(b[A+G>>0]|0))break;d[B+(G<<1)>>1]=S;N=H;break a}while(0);P=d[w+(G<<1)>>1]|0;O=P;while(1){W=d[i+((O&65535)<<1)>>1]|0;if((W&65535)<(O&65535))O=W;else break}if(P<<16>>16==S<<16>>16)Ka=O;else{W=S;while(1){Q=d[i+((W&65535)<<1)>>1]|0;if((Q&65535)<(W&65535))W=Q;else break}Q=(O&65535)>(W&65535)?W:O;U=S;do{R=i+((U&65535)<<1)|0;X=U;U=d[R>>1]|0;d[R>>1]=Q}while((U&65535)<(X&65535));Ka=Q}Q=P;do{U=i+((Q&65535)<<1)|0;S=Q;Q=d[U>>1]|0;d[U>>1]=Ka}while((Q&65535)<(S&65535));d[B+(G<<1)>>1]=Ka;N=H;break a}if(!(b[z+M>>0]|0)){Q=d[w+(G<<1)>>1]|0;P=d[B+(M<<1)>>1]|0;S=Q;while(1){U=d[i+((S&65535)<<1)>>1]|0;if((U&65535)<(S&65535))S=U;else break}if(Q<<16>>16==P<<16>>16)La=S;else{U=P;while(1){O=d[i+((U&65535)<<1)>>1]|0;if((O&65535)<(U&65535))U=O;else break}O=(S&65535)>(U&65535)?U:S;W=P;do{X=i+((W&65535)<<1)|0;R=W;W=d[X>>1]|0;d[X>>1]=O}while((W&65535)<(R&65535));La=O}O=Q;do{W=i+((O&65535)<<1)|0;P=O;O=d[W>>1]|0;d[W>>1]=La}while((O&65535)<(P&65535));d[B+(G<<1)>>1]=La;N=H;break a}do if(F){if(!(b[A+I>>0]|0))break;O=d[B+(M<<1)>>1]|0;if(b[z+G>>0]|0){d[B+(G<<1)>>1]=O;N=H;break a}if(b[A+G>>0]|0){d[B+(G<<1)>>1]=O;N=H;break a}Q=d[w+(G<<1)>>1]|0;P=Q;while(1){W=d[i+((P&65535)<<1)>>1]|0;if((W&65535)<(P&65535))P=W;else break}if(Q<<16>>16==O<<16>>16)Ma=P;else{W=O;while(1){S=d[i+((W&65535)<<1)>>1]|0;if((S&65535)<(W&65535))W=S;else break}S=(P&65535)>(W&65535)?W:P;U=O;do{R=i+((U&65535)<<1)|0;X=U;U=d[R>>1]|0;d[R>>1]=S}while((U&65535)<(X&65535));Ma=S}S=Q;do{U=i+((S&65535)<<1)|0;O=S;S=d[U>>1]|0;d[U>>1]=Ma}while((S&65535)<(O&65535));d[B+(G<<1)>>1]=Ma;N=H;break a}while(0);S=d[w+(G<<1)>>1]|0;Q=d[B+(M<<1)>>1]|0;O=S;while(1){U=d[i+((O&65535)<<1)>>1]|0;if((U&65535)<(O&65535))O=U;else break}if(S<<16>>16==Q<<16>>16)Na=O;else{U=Q;while(1){P=d[i+((U&65535)<<1)>>1]|0;if((P&65535)<(U&65535))U=P;else break}P=(O&65535)>(U&65535)?U:O;W=Q;do{X=i+((W&65535)<<1)|0;R=W;W=d[X>>1]|0;d[X>>1]=P}while((W&65535)<(R&65535));Na=P}P=S;do{W=i+((P&65535)<<1)|0;Q=P;P=d[W>>1]|0;d[W>>1]=Na}while((P&65535)<(Q&65535));d[B+(G<<1)>>1]=Na;N=H;break a}while(0);if(b[z+G>>0]|0){P=d[w+(G<<1)>>1]|0;S=d[B+(M<<1)>>1]|0;Q=P;while(1){W=d[i+((Q&65535)<<1)>>1]|0;if((W&65535)<(Q&65535))Q=W;else break}if(P<<16>>16==S<<16>>16)Oa=Q;else{W=S;while(1){O=d[i+((W&65535)<<1)>>1]|0;if((O&65535)<(W&65535))W=O;else break}O=(Q&65535)>(W&65535)?W:Q;U=S;do{R=i+((U&65535)<<1)|0;X=U;U=d[R>>1]|0;d[R>>1]=O}while((U&65535)<(X&65535));Oa=O}O=P;do{U=i+((O&65535)<<1)|0;S=O;O=d[U>>1]|0;d[U>>1]=Oa}while((O&65535)<(S&65535));d[B+(G<<1)>>1]=Oa;N=H;break}O=d[w+(G<<1)>>1]|0;if(!(b[z+I>>0]|0)){P=d[B+(M<<1)>>1]|0;S=O;while(1){U=d[i+((S&65535)<<1)>>1]|0;if((U&65535)<(S&65535))S=U;else break}if(O<<16>>16==P<<16>>16)Pa=S;else{U=P;while(1){Q=d[i+((U&65535)<<1)>>1]|0;if((Q&65535)<(U&65535))U=Q;else break}Q=(S&65535)>(U&65535)?U:S;W=P;do{X=i+((W&65535)<<1)|0;R=W;W=d[X>>1]|0;d[X>>1]=Q}while((W&65535)<(R&65535));Pa=Q}Q=O;do{W=i+((Q&65535)<<1)|0;P=Q;Q=d[W>>1]|0;d[W>>1]=Pa}while((Q&65535)<(P&65535));d[B+(G<<1)>>1]=Pa;N=H;break}do if(F){if(!(b[A+G>>0]|0))break;Q=d[B+(M<<1)>>1]|0;P=O;while(1){W=d[i+((P&65535)<<1)>>1]|0;if((W&65535)<(P&65535))P=W;else break}if(O<<16>>16==Q<<16>>16)Qa=P;else{W=Q;while(1){S=d[i+((W&65535)<<1)>>1]|0;if((S&65535)<(W&65535))W=S;else break}S=(P&65535)>(W&65535)?W:P;U=Q;do{R=i+((U&65535)<<1)|0;X=U;U=d[R>>1]|0;d[R>>1]=S}while((U&65535)<(X&65535));Qa=S}S=O;do{U=i+((S&65535)<<1)|0;Q=S;S=d[U>>1]|0;d[U>>1]=Qa}while((S&65535)<(Q&65535));d[B+(G<<1)>>1]=Qa;N=H;break a}while(0);S=d[w+(M<<1)>>1]|0;Q=S;while(1){U=d[i+((Q&65535)<<1)>>1]|0;if((U&65535)<(Q&65535))Q=U;else break}if(S<<16>>16==O<<16>>16)Ra=Q;else{U=O;while(1){P=d[i+((U&65535)<<1)>>1]|0;if((P&65535)<(U&65535))U=P;else break}P=(Q&65535)>(U&65535)?U:Q;W=O;do{X=i+((W&65535)<<1)|0;R=W;W=d[X>>1]|0;d[X>>1]=P}while((W&65535)<(R&65535));Ra=P}P=S;do{W=i+((P&65535)<<1)|0;O=P;P=d[W>>1]|0;d[W>>1]=Ra}while((P&65535)<(O&65535));P=d[B+(M<<1)>>1]|0;S=Ra;while(1){O=d[i+((S&65535)<<1)>>1]|0;if((O&65535)<(S&65535))S=O;else break}if(Ra<<16>>16==P<<16>>16)Sa=S;else{M=P;while(1){O=d[i+((M&65535)<<1)>>1]|0;if((O&65535)<(M&65535))M=O;else break}O=(S&65535)>(M&65535)?M:S;W=P;do{Q=i+((W&65535)<<1)|0;U=W;W=d[Q>>1]|0;d[Q>>1]=O}while((W&65535)<(U&65535));Sa=O}O=Ra;do{W=i+((O&65535)<<1)|0;P=O;O=d[W>>1]|0;d[W>>1]=Sa}while((O&65535)<(P&65535));d[B+(G<<1)>>1]=Sa;N=H;break}if(L?b[x+V>>0]|0:0){O=G+2|0;do if(!((O|0)>=(q|0)|E)){if(!(b[z+O>>0]|0))break;P=G+-2|0;do if((P|0)>-1){if(!(b[x+P>>0]|0))break;if(b[z+I>>0]|0){do if(F){if(!(b[A+V>>0]|0))break;W=d[B+(P<<1)>>1]|0;if(b[z+G>>0]|0){d[B+(G<<1)>>1]=W;N=H;break a}if(b[A+G>>0]|0){d[B+(G<<1)>>1]=W;N=H;break a}S=d[w+(O<<1)>>1]|0;M=S;while(1){U=d[i+((M&65535)<<1)>>1]|0;if((U&65535)<(M&65535))M=U;else break}if(S<<16>>16==W<<16>>16)Ta=M;else{U=W;while(1){Q=d[i+((U&65535)<<1)>>1]|0;if((Q&65535)<(U&65535))U=Q;else break}Q=(M&65535)>(U&65535)?U:M;R=W;do{X=i+((R&65535)<<1)|0;ba=R;R=d[X>>1]|0;d[X>>1]=Q}while((R&65535)<(ba&65535));Ta=Q}Q=S;do{R=i+((Q&65535)<<1)|0;W=Q;Q=d[R>>1]|0;d[R>>1]=Ta}while((Q&65535)<(W&65535));d[B+(G<<1)>>1]=Ta;N=H;break a}while(0);Q=d[w+(O<<1)>>1]|0;S=d[B+(P<<1)>>1]|0;W=Q;while(1){R=d[i+((W&65535)<<1)>>1]|0;if((R&65535)<(W&65535))W=R;else break}if(Q<<16>>16==S<<16>>16)Ua=W;else{R=S;while(1){M=d[i+((R&65535)<<1)>>1]|0;if((M&65535)<(R&65535))R=M;else break}M=(W&65535)>(R&65535)?R:W;U=S;do{ba=i+((U&65535)<<1)|0;X=U;U=d[ba>>1]|0;d[ba>>1]=M}while((U&65535)<(X&65535));Ua=M}M=Q;do{U=i+((M&65535)<<1)|0;S=M;M=d[U>>1]|0;d[U>>1]=Ua}while((M&65535)<(S&65535));d[B+(G<<1)>>1]=Ua;N=H;break a}do if(F){if(!(b[A+V>>0]|0))break;if(!(b[z+P>>0]|0)){M=d[w+(O<<1)>>1]|0;Q=d[B+(P<<1)>>1]|0;S=M;while(1){U=d[i+((S&65535)<<1)>>1]|0;if((U&65535)<(S&65535))S=U;else break}if(M<<16>>16==Q<<16>>16)Va=S;else{U=Q;while(1){W=d[i+((U&65535)<<1)>>1]|0;if((W&65535)<(U&65535))U=W;else break}W=(S&65535)>(U&65535)?U:S;R=Q;do{X=i+((R&65535)<<1)|0;ba=R;R=d[X>>1]|0;d[X>>1]=W}while((R&65535)<(ba&65535));Va=W}W=M;do{R=i+((W&65535)<<1)|0;Q=W;W=d[R>>1]|0;d[R>>1]=Va}while((W&65535)<(Q&65535));d[B+(G<<1)>>1]=Va;N=H;break a}if(!(b[A+I>>0]|0)){W=d[w+(O<<1)>>1]|0;M=d[B+(P<<1)>>1]|0;Q=W;while(1){R=d[i+((Q&65535)<<1)>>1]|0;if((R&65535)<(Q&65535))Q=R;else break}if(W<<16>>16==M<<16>>16)Wa=Q;else{R=M;while(1){S=d[i+((R&65535)<<1)>>1]|0;if((S&65535)<(R&65535))R=S;else break}S=(Q&65535)>(R&65535)?R:Q;U=M;do{ba=i+((U&65535)<<1)|0;X=U;U=d[ba>>1]|0;d[ba>>1]=S}while((U&65535)<(X&65535));Wa=S}S=W;do{U=i+((S&65535)<<1)|0;M=S;S=d[U>>1]|0;d[U>>1]=Wa}while((S&65535)<(M&65535));d[B+(G<<1)>>1]=Wa;N=H;break a}S=d[B+(P<<1)>>1]|0;if(b[z+G>>0]|0){d[B+(G<<1)>>1]=S;N=H;break a}if(b[A+G>>0]|0){d[B+(G<<1)>>1]=S;N=H;break a}W=d[w+(O<<1)>>1]|0;M=W;while(1){U=d[i+((M&65535)<<1)>>1]|0;if((U&65535)<(M&65535))M=U;else break}if(W<<16>>16==S<<16>>16)Xa=M;else{U=S;while(1){Q=d[i+((U&65535)<<1)>>1]|0;if((Q&65535)<(U&65535))U=Q;else break}Q=(M&65535)>(U&65535)?U:M;R=S;do{X=i+((R&65535)<<1)|0;ba=R;R=d[X>>1]|0;d[X>>1]=Q}while((R&65535)<(ba&65535));Xa=Q}Q=W;do{R=i+((Q&65535)<<1)|0;S=Q;Q=d[R>>1]|0;d[R>>1]=Xa}while((Q&65535)<(S&65535));d[B+(G<<1)>>1]=Xa;N=H;break a}while(0);if(!(b[z+G>>0]|0)){Q=d[w+(O<<1)>>1]|0;W=d[B+(P<<1)>>1]|0;S=Q;while(1){R=d[i+((S&65535)<<1)>>1]|0;if((R&65535)<(S&65535))S=R;else break}if(Q<<16>>16==W<<16>>16)Ya=S;else{R=W;while(1){M=d[i+((R&65535)<<1)>>1]|0;if((M&65535)<(R&65535))R=M;else break}M=(S&65535)>(R&65535)?R:S;U=W;do{ba=i+((U&65535)<<1)|0;X=U;U=d[ba>>1]|0;d[ba>>1]=M}while((U&65535)<(X&65535));Ya=M}M=Q;do{U=i+((M&65535)<<1)|0;W=M;M=d[U>>1]|0;d[U>>1]=Ya}while((M&65535)<(W&65535));d[B+(G<<1)>>1]=Ya;N=H;break a}if(!(b[z+P>>0]|0)){M=d[w+(G<<1)>>1]|0;Q=d[w+(O<<1)>>1]|0;W=M;while(1){U=d[i+((W&65535)<<1)>>1]|0;if((U&65535)<(W&65535))W=U;else break}if(M<<16>>16==Q<<16>>16)Za=W;else{U=Q;while(1){S=d[i+((U&65535)<<1)>>1]|0;if((S&65535)<(U&65535))U=S;else break}S=(W&65535)>(U&65535)?U:W;R=Q;do{X=i+((R&65535)<<1)|0;ba=R;R=d[X>>1]|0;d[X>>1]=S}while((R&65535)<(ba&65535));Za=S}S=M;do{R=i+((S&65535)<<1)|0;Q=S;S=d[R>>1]|0;d[R>>1]=Za}while((S&65535)<(Q&65535));S=d[B+(P<<1)>>1]|0;M=Za;while(1){Q=d[i+((M&65535)<<1)>>1]|0;if((Q&65535)<(M&65535))M=Q;else break}if(Za<<16>>16==S<<16>>16)_a=M;else{Q=S;while(1){R=d[i+((Q&65535)<<1)>>1]|0;if((R&65535)<(Q&65535))Q=R;else break}R=(M&65535)>(Q&65535)?Q:M;W=S;do{U=i+((W&65535)<<1)|0;ba=W;W=d[U>>1]|0;d[U>>1]=R}while((W&65535)<(ba&65535));_a=R}R=Za;do{W=i+((R&65535)<<1)|0;S=R;R=d[W>>1]|0;d[W>>1]=_a}while((R&65535)<(S&65535));d[B+(G<<1)>>1]=_a;N=H;break a}do if(F){if(!(b[A+I>>0]|0))break;R=d[w+(O<<1)>>1]|0;S=d[B+(P<<1)>>1]|0;W=R;while(1){M=d[i+((W&65535)<<1)>>1]|0;if((M&65535)<(W&65535))W=M;else break}if(R<<16>>16==S<<16>>16)$a=W;else{M=S;while(1){Q=d[i+((M&65535)<<1)>>1]|0;if((Q&65535)<(M&65535))M=Q;else break}Q=(W&65535)>(M&65535)?M:W;ba=S;do{U=i+((ba&65535)<<1)|0;X=ba;ba=d[U>>1]|0;d[U>>1]=Q}while((ba&65535)<(X&65535));$a=Q}Q=R;do{ba=i+((Q&65535)<<1)|0;S=Q;Q=d[ba>>1]|0;d[ba>>1]=$a}while((Q&65535)<(S&65535));d[B+(G<<1)>>1]=$a;N=H;break a}while(0);Q=d[w+(G<<1)>>1]|0;R=d[w+(O<<1)>>1]|0;S=Q;while(1){ba=d[i+((S&65535)<<1)>>1]|0;if((ba&65535)<(S&65535))S=ba;else break}if(Q<<16>>16==R<<16>>16)ab=S;else{ba=R;while(1){W=d[i+((ba&65535)<<1)>>1]|0;if((W&65535)<(ba&65535))ba=W;else break}W=(S&65535)>(ba&65535)?ba:S;M=R;do{X=i+((M&65535)<<1)|0;U=M;M=d[X>>1]|0;d[X>>1]=W}while((M&65535)<(U&65535));ab=W}W=Q;do{M=i+((W&65535)<<1)|0;R=W;W=d[M>>1]|0;d[M>>1]=ab}while((W&65535)<(R&65535));W=d[B+(P<<1)>>1]|0;Q=ab;while(1){R=d[i+((Q&65535)<<1)>>1]|0;if((R&65535)<(Q&65535))Q=R;else break}if(ab<<16>>16==W<<16>>16)bb=Q;else{R=W;while(1){M=d[i+((R&65535)<<1)>>1]|0;if((M&65535)<(R&65535))R=M;else break}M=(Q&65535)>(R&65535)?R:Q;S=W;do{ba=i+((S&65535)<<1)|0;U=S;S=d[ba>>1]|0;d[ba>>1]=M}while((S&65535)<(U&65535));bb=M}M=ab;do{S=i+((M&65535)<<1)|0;W=M;M=d[S>>1]|0;d[S>>1]=bb}while((M&65535)<(W&65535));d[B+(G<<1)>>1]=bb;N=H;break a}while(0);if(b[z+G>>0]|0){do if(F){if(!(b[A+V>>0]|0))break;M=d[w+(O<<1)>>1]|0;W=d[B+(P<<1)>>1]|0;S=M;while(1){Q=d[i+((S&65535)<<1)>>1]|0;if((Q&65535)<(S&65535))S=Q;else break}if(M<<16>>16==W<<16>>16)cb=S;else{Q=W;while(1){R=d[i+((Q&65535)<<1)>>1]|0;if((R&65535)<(Q&65535))Q=R;else break}R=(S&65535)>(Q&65535)?Q:S;U=W;do{ba=i+((U&65535)<<1)|0;X=U;U=d[ba>>1]|0;d[ba>>1]=R}while((U&65535)<(X&65535));cb=R}R=M;do{U=i+((R&65535)<<1)|0;W=R;R=d[U>>1]|0;d[U>>1]=cb}while((R&65535)<(W&65535));d[B+(G<<1)>>1]=cb;N=H;break a}while(0);R=d[w+(G<<1)>>1]|0;M=d[w+(O<<1)>>1]|0;W=R;while(1){U=d[i+((W&65535)<<1)>>1]|0;if((U&65535)<(W&65535))W=U;else break}if(R<<16>>16==M<<16>>16)db=W;else{U=M;while(1){S=d[i+((U&65535)<<1)>>1]|0;if((S&65535)<(U&65535))U=S;else break}S=(W&65535)>(U&65535)?U:W;Q=M;do{X=i+((Q&65535)<<1)|0;ba=Q;Q=d[X>>1]|0;d[X>>1]=S}while((Q&65535)<(ba&65535));db=S}S=R;do{Q=i+((S&65535)<<1)|0;M=S;S=d[Q>>1]|0;d[Q>>1]=db}while((S&65535)<(M&65535));S=d[B+(P<<1)>>1]|0;R=db;while(1){M=d[i+((R&65535)<<1)>>1]|0;if((M&65535)<(R&65535))R=M;else break}if(db<<16>>16==S<<16>>16)eb=R;else{M=S;while(1){Q=d[i+((M&65535)<<1)>>1]|0;if((Q&65535)<(M&65535))M=Q;else break}Q=(R&65535)>(M&65535)?M:R;W=S;do{U=i+((W&65535)<<1)|0;ba=W;W=d[U>>1]|0;d[U>>1]=Q}while((W&65535)<(ba&65535));eb=Q}Q=db;do{W=i+((Q&65535)<<1)|0;S=Q;Q=d[W>>1]|0;d[W>>1]=eb}while((Q&65535)<(S&65535));d[B+(G<<1)>>1]=eb;N=H;break a}if(!(b[z+I>>0]|0)){Q=d[w+(O<<1)>>1]|0;S=d[B+(P<<1)>>1]|0;W=Q;while(1){R=d[i+((W&65535)<<1)>>1]|0;if((R&65535)<(W&65535))W=R;else break}if(Q<<16>>16==S<<16>>16)fb=W;else{R=S;while(1){M=d[i+((R&65535)<<1)>>1]|0;if((M&65535)<(R&65535))R=M;else break}M=(W&65535)>(R&65535)?R:W;ba=S;do{U=i+((ba&65535)<<1)|0;X=ba;ba=d[U>>1]|0;d[U>>1]=M}while((ba&65535)<(X&65535));fb=M}M=Q;do{ba=i+((M&65535)<<1)|0;S=M;M=d[ba>>1]|0;d[ba>>1]=fb}while((M&65535)<(S&65535));d[B+(G<<1)>>1]=fb;N=H;break a}do if(F){if(!(b[A+V>>0]|0))break;M=d[w+(O<<1)>>1]|0;if(b[A+G>>0]|0){Q=d[B+(P<<1)>>1]|0;S=M;while(1){ba=d[i+((S&65535)<<1)>>1]|0;if((ba&65535)<(S&65535))S=ba;else break}if(M<<16>>16==Q<<16>>16)gb=S;else{ba=Q;while(1){W=d[i+((ba&65535)<<1)>>1]|0;if((W&65535)<(ba&65535))ba=W;else break}W=(S&65535)>(ba&65535)?ba:S;R=Q;do{X=i+((R&65535)<<1)|0;U=R;R=d[X>>1]|0;d[X>>1]=W}while((R&65535)<(U&65535));gb=W}W=M;do{R=i+((W&65535)<<1)|0;Q=W;W=d[R>>1]|0;d[R>>1]=gb}while((W&65535)<(Q&65535));d[B+(G<<1)>>1]=gb;N=H;break a}W=d[w+(P<<1)>>1]|0;Q=W;while(1){R=d[i+((Q&65535)<<1)>>1]|0;if((R&65535)<(Q&65535))Q=R;else break}if(W<<16>>16==M<<16>>16)hb=Q;else{R=M;while(1){S=d[i+((R&65535)<<1)>>1]|0;if((S&65535)<(R&65535))R=S;else break}S=(Q&65535)>(R&65535)?R:Q;ba=M;do{U=i+((ba&65535)<<1)|0;X=ba;ba=d[U>>1]|0;d[U>>1]=S}while((ba&65535)<(X&65535));hb=S}S=W;do{ba=i+((S&65535)<<1)|0;M=S;S=d[ba>>1]|0;d[ba>>1]=hb}while((S&65535)<(M&65535));S=d[B+(P<<1)>>1]|0;W=hb;while(1){M=d[i+((W&65535)<<1)>>1]|0;if((M&65535)<(W&65535))W=M;else break}if(hb<<16>>16==S<<16>>16)ib=W;else{M=S;while(1){ba=d[i+((M&65535)<<1)>>1]|0;if((ba&65535)<(M&65535))M=ba;else break}ba=(W&65535)>(M&65535)?M:W;Q=S;do{R=i+((Q&65535)<<1)|0;X=Q;Q=d[R>>1]|0;d[R>>1]=ba}while((Q&65535)<(X&65535));ib=ba}ba=hb;do{Q=i+((ba&65535)<<1)|0;S=ba;ba=d[Q>>1]|0;d[Q>>1]=ib}while((ba&65535)<(S&65535));d[B+(G<<1)>>1]=ib;N=H;break a}while(0);ba=d[w+(P<<1)>>1]|0;S=d[w+(O<<1)>>1]|0;Q=ba;while(1){W=d[i+((Q&65535)<<1)>>1]|0;if((W&65535)<(Q&65535))Q=W;else break}if(ba<<16>>16==S<<16>>16)jb=Q;else{W=S;while(1){M=d[i+((W&65535)<<1)>>1]|0;if((M&65535)<(W&65535))W=M;else break}M=(Q&65535)>(W&65535)?W:Q;X=S;do{R=i+((X&65535)<<1)|0;U=X;X=d[R>>1]|0;d[R>>1]=M}while((X&65535)<(U&65535));jb=M}M=ba;do{X=i+((M&65535)<<1)|0;S=M;M=d[X>>1]|0;d[X>>1]=jb}while((M&65535)<(S&65535));M=d[B+(P<<1)>>1]|0;ba=jb;while(1){S=d[i+((ba&65535)<<1)>>1]|0;if((S&65535)<(ba&65535))ba=S;else break}if(jb<<16>>16==M<<16>>16)kb=ba;else{P=M;while(1){S=d[i+((P&65535)<<1)>>1]|0;if((S&65535)<(P&65535))P=S;else break}S=(ba&65535)>(P&65535)?P:ba;X=M;do{Q=i+((X&65535)<<1)|0;W=X;X=d[Q>>1]|0;d[Q>>1]=S}while((X&65535)<(W&65535));kb=S}S=jb;do{X=i+((S&65535)<<1)|0;M=S;S=d[X>>1]|0;d[X>>1]=kb}while((S&65535)<(M&65535));d[B+(G<<1)>>1]=kb;N=H;break a}while(0);do if(D){O=G+-2|0;if(b[z+I>>0]|0){V=d[B+(O<<1)>>1]|0;do if((O|0)>-1){if(!(b[x+O>>0]|0))break;d[B+(G<<1)>>1]=V;N=H;break a}while(0);L=d[w+(O<<1)>>1]|0;S=L;while(1){M=d[i+((S&65535)<<1)>>1]|0;if((M&65535)<(S&65535))S=M;else break}if(L<<16>>16==V<<16>>16)lb=S;else{M=V;while(1){X=d[i+((M&65535)<<1)>>1]|0;if((X&65535)<(M&65535))M=X;else break}X=(S&65535)>(M&65535)?M:S;ba=V;do{P=i+((ba&65535)<<1)|0;W=ba;ba=d[P>>1]|0;d[P>>1]=X}while((ba&65535)<(W&65535));lb=X}X=L;do{ba=i+((X&65535)<<1)|0;V=X;X=d[ba>>1]|0;d[ba>>1]=lb}while((X&65535)<(V&65535));d[B+(G<<1)>>1]=lb;N=H;break a}if(!(b[z+G>>0]|0)){mb=O;break}do if((O|0)>-1){if(!(b[x+O>>0]|0))break;if(!(b[z+O>>0]|0)){X=d[w+(G<<1)>>1]|0;L=d[B+(O<<1)>>1]|0;V=X;while(1){ba=d[i+((V&65535)<<1)>>1]|0;if((ba&65535)<(V&65535))V=ba;else break}if(X<<16>>16==L<<16>>16)nb=V;else{ba=L;while(1){S=d[i+((ba&65535)<<1)>>1]|0;if((S&65535)<(ba&65535))ba=S;else break}S=(V&65535)>(ba&65535)?ba:V;M=L;do{W=i+((M&65535)<<1)|0;P=M;M=d[W>>1]|0;d[W>>1]=S}while((M&65535)<(P&65535));nb=S}S=X;do{M=i+((S&65535)<<1)|0;L=S;S=d[M>>1]|0;d[M>>1]=nb}while((S&65535)<(L&65535));d[B+(G<<1)>>1]=nb;N=H;break a}do if(F){if(!(b[A+I>>0]|0))break;d[B+(G<<1)>>1]=d[B+(O<<1)>>1]|0;N=H;break a}while(0);S=d[w+(G<<1)>>1]|0;X=d[B+(O<<1)>>1]|0;L=S;while(1){M=d[i+((L&65535)<<1)>>1]|0;if((M&65535)<(L&65535))L=M;else break}if(S<<16>>16==X<<16>>16)ob=L;else{M=X;while(1){V=d[i+((M&65535)<<1)>>1]|0;if((V&65535)<(M&65535))M=V;else break}V=(L&65535)>(M&65535)?M:L;ba=X;do{P=i+((ba&65535)<<1)|0;W=ba;ba=d[P>>1]|0;d[P>>1]=V}while((ba&65535)<(W&65535));ob=V}V=S;do{ba=i+((V&65535)<<1)|0;X=V;V=d[ba>>1]|0;d[ba>>1]=ob}while((V&65535)<(X&65535));d[B+(G<<1)>>1]=ob;N=H;break a}while(0);V=d[w+(G<<1)>>1]|0;S=d[B+(O<<1)>>1]|0;X=V;while(1){ba=d[i+((X&65535)<<1)>>1]|0;if((ba&65535)<(X&65535))X=ba;else break}if(V<<16>>16==S<<16>>16)pb=X;else{O=S;while(1){ba=d[i+((O&65535)<<1)>>1]|0;if((ba&65535)<(O&65535))O=ba;else break}ba=(X&65535)>(O&65535)?O:X;L=S;do{M=i+((L&65535)<<1)|0;W=L;L=d[M>>1]|0;d[M>>1]=ba}while((L&65535)<(W&65535));pb=ba}ba=V;do{L=i+((ba&65535)<<1)|0;S=ba;ba=d[L>>1]|0;d[L>>1]=pb}while((ba&65535)<(S&65535));d[B+(G<<1)>>1]=pb;N=H;break a}else mb=G+-2|0;while(0);d[B+(G<<1)>>1]=d[B+(mb<<1)>>1]|0;N=H;break}do if(D){ba=G+-2|0;if(b[z+I>>0]|0){V=d[B+(ba<<1)>>1]|0;do if((ba|0)>-1){if(!(b[x+ba>>0]|0))break;d[B+(G<<1)>>1]=V;N=H;break a}while(0);S=d[w+(ba<<1)>>1]|0;L=S;while(1){X=d[i+((L&65535)<<1)>>1]|0;if((X&65535)<(L&65535))L=X;else break}if(S<<16>>16==V<<16>>16)qb=L;else{X=V;while(1){O=d[i+((X&65535)<<1)>>1]|0;if((O&65535)<(X&65535))X=O;else break}O=(L&65535)>(X&65535)?X:L;W=V;do{M=i+((W&65535)<<1)|0;P=W;W=d[M>>1]|0;d[M>>1]=O}while((W&65535)<(P&65535));qb=O}O=S;do{W=i+((O&65535)<<1)|0;V=O;O=d[W>>1]|0;d[W>>1]=qb}while((O&65535)<(V&65535));d[B+(G<<1)>>1]=qb;N=H;break a}if(!(b[z+G>>0]|0)){rb=ba;break}do if((ba|0)>-1){if(!(b[x+ba>>0]|0))break;if(!(b[z+ba>>0]|0)){O=d[w+(G<<1)>>1]|0;S=d[B+(ba<<1)>>1]|0;V=O;while(1){W=d[i+((V&65535)<<1)>>1]|0;if((W&65535)<(V&65535))V=W;else break}if(O<<16>>16==S<<16>>16)sb=V;else{W=S;while(1){L=d[i+((W&65535)<<1)>>1]|0;if((L&65535)<(W&65535))W=L;else break}L=(V&65535)>(W&65535)?W:V;X=S;do{P=i+((X&65535)<<1)|0;M=X;X=d[P>>1]|0;d[P>>1]=L}while((X&65535)<(M&65535));sb=L}L=O;do{X=i+((L&65535)<<1)|0;S=L;L=d[X>>1]|0;d[X>>1]=sb}while((L&65535)<(S&65535));d[B+(G<<1)>>1]=sb;N=H;break a}do if(F){if(!(b[A+I>>0]|0))break;d[B+(G<<1)>>1]=d[B+(ba<<1)>>1]|0;N=H;break a}while(0);L=d[w+(G<<1)>>1]|0;O=d[B+(ba<<1)>>1]|0;S=L;while(1){X=d[i+((S&65535)<<1)>>1]|0;if((X&65535)<(S&65535))S=X;else break}if(L<<16>>16==O<<16>>16)tb=S;else{X=O;while(1){V=d[i+((X&65535)<<1)>>1]|0;if((V&65535)<(X&65535))X=V;else break}V=(S&65535)>(X&65535)?X:S;W=O;do{M=i+((W&65535)<<1)|0;P=W;W=d[M>>1]|0;d[M>>1]=V}while((W&65535)<(P&65535));tb=V}V=L;do{W=i+((V&65535)<<1)|0;O=V;V=d[W>>1]|0;d[W>>1]=tb}while((V&65535)<(O&65535));d[B+(G<<1)>>1]=tb;N=H;break a}while(0);V=d[w+(G<<1)>>1]|0;L=d[B+(ba<<1)>>1]|0;O=V;while(1){W=d[i+((O&65535)<<1)>>1]|0;if((W&65535)<(O&65535))O=W;else break}if(V<<16>>16==L<<16>>16)ub=O;else{ba=L;while(1){W=d[i+((ba&65535)<<1)>>1]|0;if((W&65535)<(ba&65535))ba=W;else break}W=(O&65535)>(ba&65535)?ba:O;S=L;do{X=i+((S&65535)<<1)|0;P=S;S=d[X>>1]|0;d[X>>1]=W}while((S&65535)<(P&65535));ub=W}W=V;do{S=i+((W&65535)<<1)|0;L=W;W=d[S>>1]|0;d[S>>1]=ub}while((W&65535)<(L&65535));d[B+(G<<1)>>1]=ub;N=H;break a}else rb=G+-2|0;while(0);d[B+(G<<1)>>1]=d[B+(rb<<1)>>1]|0;N=H;break}}W=G|1;V=(W|0)<(q|0);if(!(E|V^1)?b[z+W>>0]|0:0){if(b[z+G>>0]|0){d[B+(G<<1)>>1]=d[w+(G<<1)>>1]|0;N=H;break}if(K?b[z+I>>0]|0:0){L=d[w+(G<<1)>>1]|0;do if(F){if(!(b[A+G>>0]|0))break;d[B+(G<<1)>>1]=L;N=H;break a}while(0);S=d[w+(G+-2<<1)>>1]|0;O=S;while(1){ba=d[i+((O&65535)<<1)>>1]|0;if((ba&65535)<(O&65535))O=ba;else break}if(S<<16>>16==L<<16>>16)vb=O;else{ba=L;while(1){P=d[i+((ba&65535)<<1)>>1]|0;if((P&65535)<(ba&65535))ba=P;else break}P=(O&65535)>(ba&65535)?ba:O;X=L;do{M=i+((X&65535)<<1)|0;Q=X;X=d[M>>1]|0;d[M>>1]=P}while((X&65535)<(Q&65535));vb=P}P=S;do{X=i+((P&65535)<<1)|0;L=P;P=d[X>>1]|0;d[X>>1]=vb}while((P&65535)<(L&65535));d[B+(G<<1)>>1]=vb;N=H;break}d[B+(G<<1)>>1]=d[w+(G<<1)>>1]|0;N=H;break}if(V?b[x+W>>0]|0:0){P=G+2|0;if(!((P|0)>=(q|0)|E)?b[z+P>>0]|0:0){if(b[z+G>>0]|0){do if(F){if(!(b[A+W>>0]|0))break;d[B+(G<<1)>>1]=d[w+(P<<1)>>1]|0;N=H;break a}while(0);V=d[w+(G<<1)>>1]|0;S=d[w+(P<<1)>>1]|0;L=V;while(1){X=d[i+((L&65535)<<1)>>1]|0;if((X&65535)<(L&65535))L=X;else break}if(V<<16>>16==S<<16>>16)wb=L;else{X=S;while(1){O=d[i+((X&65535)<<1)>>1]|0;if((O&65535)<(X&65535))X=O;else break}O=(L&65535)>(X&65535)?X:L;ba=S;do{Q=i+((ba&65535)<<1)|0;M=ba;ba=d[Q>>1]|0;d[Q>>1]=O}while((ba&65535)<(M&65535));wb=O}O=V;do{ba=i+((O&65535)<<1)|0;S=O;O=d[ba>>1]|0;d[ba>>1]=wb}while((O&65535)<(S&65535));d[B+(G<<1)>>1]=wb;N=H;break}do if(K){if(!(b[z+I>>0]|0))break;do if(F){if(!(b[A+W>>0]|0))break;O=d[w+(P<<1)>>1]|0;if(b[A+G>>0]|0){d[B+(G<<1)>>1]=O;N=H;break a}V=d[w+(G+-2<<1)>>1]|0;S=V;while(1){ba=d[i+((S&65535)<<1)>>1]|0;if((ba&65535)<(S&65535))S=ba;else break}if(V<<16>>16==O<<16>>16)xb=S;else{ba=O;while(1){L=d[i+((ba&65535)<<1)>>1]|0;if((L&65535)<(ba&65535))ba=L;else break}L=(S&65535)>(ba&65535)?ba:S;X=O;do{M=i+((X&65535)<<1)|0;Q=X;X=d[M>>1]|0;d[M>>1]=L}while((X&65535)<(Q&65535));xb=L}L=V;do{X=i+((L&65535)<<1)|0;O=L;L=d[X>>1]|0;d[X>>1]=xb}while((L&65535)<(O&65535));d[B+(G<<1)>>1]=xb;N=H;break a}while(0);L=d[w+(G+-2<<1)>>1]|0;V=d[w+(P<<1)>>1]|0;O=L;while(1){X=d[i+((O&65535)<<1)>>1]|0;if((X&65535)<(O&65535))O=X;else break}if(L<<16>>16==V<<16>>16)yb=O;else{X=V;while(1){S=d[i+((X&65535)<<1)>>1]|0;if((S&65535)<(X&65535))X=S;else break}S=(O&65535)>(X&65535)?X:O;ba=V;do{Q=i+((ba&65535)<<1)|0;M=ba;ba=d[Q>>1]|0;d[Q>>1]=S}while((ba&65535)<(M&65535));yb=S}S=L;do{ba=i+((S&65535)<<1)|0;V=S;S=d[ba>>1]|0;d[ba>>1]=yb}while((S&65535)<(V&65535));d[B+(G<<1)>>1]=yb;N=H;break a}while(0);d[B+(G<<1)>>1]=d[w+(P<<1)>>1]|0;N=H;break}if(D?b[z+G>>0]|0:0){d[B+(G<<1)>>1]=d[w+(G<<1)>>1]|0;N=H;break}do if(!(E|K^1)){if(!(b[z+I>>0]|0))break;d[B+(G<<1)>>1]=d[w+(G+-2<<1)>>1]|0;N=H;break a}while(0);d[B+(G<<1)>>1]=H;P=H&65535;d[i+(P<<1)>>1]=H;N=P+1&65535;break}if(D?b[z+G>>0]|0:0){d[B+(G<<1)>>1]=d[w+(G<<1)>>1]|0;N=H;break}if(!(E|K^1)?b[z+I>>0]|0:0){d[B+(G<<1)>>1]=d[w+(G+-2<<1)>>1]|0;N=H;break}d[B+(G<<1)>>1]=H;P=H&65535;d[i+(P<<1)>>1]=H;N=P+1&65535}while(0);G=G+2|0;if((G|0)>=(q|0)){zb=N;break}else H=N}}else zb=t;v=v+2|0;if((v|0)>=(k|0))break;else t=zb}if((zb&65535)>1){t=zb&65535;zb=1;k=1;while(1){v=i+(k<<1)|0;N=j[v>>1]|0;if(N>>>0<k>>>0){d[v>>1]=d[i+(N<<1)>>1]|0;Ab=zb}else{d[v>>1]=zb;Ab=(zb&65535)+1&65535}k=k+1|0;if((k|0)==(t|0)){Bb=Ab;break}else zb=Ab}}else Bb=1}else Bb=1;D7(h,Bb&65535);Ab=f[l>>2]|0;zb=f[r>>2]|0;t=(zb&1|0)!=0;k=(Ab|0)>0;b:do if(!(Ab&1)){if(!t){if(!k)break;v=c+16|0;N=c+44|0;q=e+16|0;yb=e+44|0;xb=h+20|0;wb=h+120|0;vb=h+48|0;rb=0;ub=zb;tb=Ab;while(1){sb=f[f[N>>2]>>2]|0;qb=(f[v>>2]|0)+(Y(sb,rb)|0)|0;mb=qb+sb|0;sb=f[f[yb>>2]>>2]|0;pb=(f[q>>2]|0)+(Y(sb,rb)|0)|0;ob=pb+sb|0;if((ub|0)>0){sb=((rb|0)<0)<<31>>31;nb=rb|1;lb=((nb|0)<0)<<31>>31;kb=0;do{jb=pb+(kb<<1)|0;ib=d[jb>>1]|0;do if(ib<<16>>16){hb=d[i+((ib&65535)<<1)>>1]|0;if(!(b[qb+kb>>0]|0)){d[jb>>1]=0;gb=f[xb>>2]|0;fb=f[gb>>2]|0;f[gb>>2]=(fb|0)>(kb|0)?kb:fb;fb=gb+8|0;eb=f[fb>>2]|0;f[fb>>2]=(eb|0)<(kb|0)?kb:eb;eb=gb+4|0;fb=f[eb>>2]|0;f[eb>>2]=(fb|0)>(rb|0)?rb:fb;fb=gb+12|0;eb=f[fb>>2]|0;f[fb>>2]=(eb|0)<(rb|0)?rb:eb;eb=gb+16|0;f[eb>>2]=(f[eb>>2]|0)+1;eb=f[wb>>2]|0;fb=eb;db=Arc(f[fb>>2]|0,f[fb+4>>2]|0,kb|0,((kb|0)<0)<<31>>31|0)|0;fb=eb;f[fb>>2]=db;f[fb+4>>2]=J;Cb=eb+8|0;Db=gb;Eb=eb}else{d[jb>>1]=hb;eb=hb&65535;gb=f[xb>>2]|0;fb=gb+(Y(f[f[vb>>2]>>2]|0,eb)|0)|0;db=f[fb>>2]|0;f[fb>>2]=(db|0)>(kb|0)?kb:db;db=fb+8|0;cb=f[db>>2]|0;f[db>>2]=(cb|0)<(kb|0)?kb:cb;cb=fb+4|0;db=f[cb>>2]|0;f[cb>>2]=(db|0)>(rb|0)?rb:db;db=fb+12|0;cb=f[db>>2]|0;f[db>>2]=(cb|0)<(rb|0)?rb:cb;cb=fb+16|0;f[cb>>2]=(f[cb>>2]|0)+1;cb=f[wb>>2]|0;fb=cb+(eb<<4)|0;db=fb;bb=Arc(f[db>>2]|0,f[db+4>>2]|0,kb|0,((kb|0)<0)<<31>>31|0)|0;db=fb;f[db>>2]=bb;f[db+4>>2]=J;Cb=cb+(eb<<4)+8|0;Db=gb;Eb=cb}cb=Cb;gb=Arc(f[cb>>2]|0,f[cb+4>>2]|0,rb|0,sb|0)|0;cb=Cb;f[cb>>2]=gb;f[cb+4>>2]=J;cb=kb|1;gb=pb+(cb<<1)|0;if(!(b[qb+cb>>0]|0)){d[gb>>1]=0;Fb=0;Gb=Db}else{d[gb>>1]=hb;gb=hb&65535;Fb=gb;Gb=Db+(Y(f[f[vb>>2]>>2]|0,gb)|0)|0}gb=f[Gb>>2]|0;f[Gb>>2]=(gb|0)>(cb|0)?cb:gb;gb=Gb+8|0;eb=f[gb>>2]|0;f[gb>>2]=(eb|0)<(cb|0)?cb:eb;eb=Gb+4|0;gb=f[eb>>2]|0;f[eb>>2]=(gb|0)>(rb|0)?rb:gb;gb=Gb+12|0;eb=f[gb>>2]|0;f[gb>>2]=(eb|0)<(rb|0)?rb:eb;eb=Gb+16|0;f[eb>>2]=(f[eb>>2]|0)+1;eb=Eb+(Fb<<4)|0;gb=eb;db=Arc(f[gb>>2]|0,f[gb+4>>2]|0,cb|0,((cb|0)<0)<<31>>31|0)|0;gb=eb;f[gb>>2]=db;f[gb+4>>2]=J;gb=Eb+(Fb<<4)+8|0;db=gb;eb=Arc(f[db>>2]|0,f[db+4>>2]|0,rb|0,sb|0)|0;db=gb;f[db>>2]=eb;f[db+4>>2]=J;db=ob+(kb<<1)|0;if(!(b[mb+kb>>0]|0)){d[db>>1]=0;Hb=0;Ib=Db}else{d[db>>1]=hb;db=hb&65535;Hb=db;Ib=Db+(Y(f[f[vb>>2]>>2]|0,db)|0)|0}db=f[Ib>>2]|0;f[Ib>>2]=(db|0)>(kb|0)?kb:db;db=Ib+8|0;eb=f[db>>2]|0;f[db>>2]=(eb|0)<(kb|0)?kb:eb;eb=Ib+4|0;db=f[eb>>2]|0;f[eb>>2]=(db|0)>(nb|0)?nb:db;db=Ib+12|0;eb=f[db>>2]|0;f[db>>2]=(eb|0)<(nb|0)?nb:eb;eb=Ib+16|0;f[eb>>2]=(f[eb>>2]|0)+1;eb=Eb+(Hb<<4)|0;db=eb;gb=Arc(f[db>>2]|0,f[db+4>>2]|0,kb|0,((kb|0)<0)<<31>>31|0)|0;db=eb;f[db>>2]=gb;f[db+4>>2]=J;db=Eb+(Hb<<4)+8|0;gb=db;eb=Arc(f[gb>>2]|0,f[gb+4>>2]|0,nb|0,lb|0)|0;gb=db;f[gb>>2]=eb;f[gb+4>>2]=J;gb=ob+(cb<<1)|0;if(!(b[mb+cb>>0]|0)){d[gb>>1]=0;eb=f[Db>>2]|0;f[Db>>2]=(eb|0)>(cb|0)?cb:eb;eb=Db+8|0;db=f[eb>>2]|0;f[eb>>2]=(db|0)<(cb|0)?cb:db;db=Db+4|0;eb=f[db>>2]|0;f[db>>2]=(eb|0)>(nb|0)?nb:eb;eb=Db+12|0;db=f[eb>>2]|0;f[eb>>2]=(db|0)<(nb|0)?nb:db;db=Db+16|0;f[db>>2]=(f[db>>2]|0)+1;db=Eb;eb=Arc(f[db>>2]|0,f[db+4>>2]|0,cb|0,((cb|0)<0)<<31>>31|0)|0;db=Eb;f[db>>2]=eb;f[db+4>>2]=J;Jb=Eb+8|0;break}else{d[gb>>1]=hb;gb=hb&65535;hb=Db+(Y(f[f[vb>>2]>>2]|0,gb)|0)|0;db=f[hb>>2]|0;f[hb>>2]=(db|0)>(cb|0)?cb:db;db=hb+8|0;eb=f[db>>2]|0;f[db>>2]=(eb|0)<(cb|0)?cb:eb;eb=hb+4|0;db=f[eb>>2]|0;f[eb>>2]=(db|0)>(nb|0)?nb:db;db=hb+12|0;eb=f[db>>2]|0;f[db>>2]=(eb|0)<(nb|0)?nb:eb;eb=hb+16|0;f[eb>>2]=(f[eb>>2]|0)+1;eb=Eb+(gb<<4)|0;hb=eb;db=Arc(f[hb>>2]|0,f[hb+4>>2]|0,cb|0,((cb|0)<0)<<31>>31|0)|0;cb=eb;f[cb>>2]=db;f[cb+4>>2]=J;Jb=Eb+(gb<<4)+8|0;break}}else{d[jb>>1]=0;gb=kb|1;d[pb+(gb<<1)>>1]=0;d[ob+(kb<<1)>>1]=0;d[ob+(gb<<1)>>1]=0;cb=f[xb>>2]|0;db=f[cb>>2]|0;eb=(db|0)>(kb|0)?kb:db;db=cb+8|0;hb=f[db>>2]|0;bb=(hb|0)<(kb|0)?kb:hb;hb=cb+4|0;fb=f[hb>>2]|0;ab=(fb|0)>(rb|0)?rb:fb;fb=cb+12|0;$a=f[fb>>2]|0;_a=($a|0)<(rb|0)?rb:$a;$a=cb+16|0;Za=f[$a>>2]|0;Ya=f[wb>>2]|0;Xa=((kb|0)<0)<<31>>31;Wa=Ya;Va=Arc(f[Wa>>2]|0,f[Wa+4>>2]|0,kb|0,Xa|0)|0;Wa=J;Ua=Ya+8|0;Ta=Ua;Sa=Arc(f[Ta>>2]|0,f[Ta+4>>2]|0,rb|0,sb|0)|0;Ta=J;Ra=(eb|0)>(gb|0)?gb:eb;eb=((gb|0)<0)<<31>>31;Qa=Arc(Va|0,Wa|0,gb|0,eb|0)|0;Wa=J;Va=Arc(Sa|0,Ta|0,rb|0,sb|0)|0;Ta=J;Sa=Arc(Qa|0,Wa|0,kb|0,Xa|0)|0;Xa=J;Wa=Arc(Va|0,Ta|0,nb|0,lb|0)|0;Ta=Ua;f[Ta>>2]=Wa;f[Ta+4>>2]=J;f[cb>>2]=(Ra|0)>(kb|0)?kb:Ra;f[db>>2]=(bb|0)<(gb|0)?gb:bb;f[hb>>2]=(ab|0)>(nb|0)?nb:ab;f[fb>>2]=(_a|0)<(nb|0)?nb:_a;f[$a>>2]=Za+4;Za=Arc(Sa|0,Xa|0,gb|0,eb|0)|0;eb=Ya;f[eb>>2]=Za;f[eb+4>>2]=J;Jb=Ua}while(0);jb=Jb;ib=Arc(f[jb>>2]|0,f[jb+4>>2]|0,nb|0,lb|0)|0;jb=Jb;f[jb>>2]=ib;f[jb+4>>2]=J;kb=kb+2|0;Kb=f[r>>2]|0}while((kb|0)<(Kb|0));Lb=f[l>>2]|0;Mb=Kb}else{Lb=tb;Mb=ub}rb=rb+2|0;if((rb|0)>=(Lb|0))break b;else{ub=Mb;tb=Lb}}}if(k){tb=h+20|0;ub=h+120|0;rb=h+48|0;wb=f[c+16>>2]|0;xb=f[c+44>>2]|0;vb=f[e+16>>2]|0;q=f[e+44>>2]|0;yb=0;v=zb;N=Ab;while(1){kb=f[xb>>2]|0;lb=wb+(Y(kb,yb)|0)|0;nb=lb+kb|0;kb=f[q>>2]|0;sb=vb+(Y(kb,yb)|0)|0;ob=sb+kb|0;if((v|0)>0){kb=((yb|0)<0)<<31>>31;pb=yb|1;mb=((pb|0)<0)<<31>>31;qb=0;do{jb=sb+(qb<<1)|0;ib=d[jb>>1]|0;do if(!(ib<<16>>16)){d[jb>>1]=0;d[ob+(qb<<1)>>1]=0;I=f[tb>>2]|0;K=f[I>>2]|0;Ua=(K|0)>(qb|0)?qb:K;K=I+8|0;eb=f[K>>2]|0;Za=(eb|0)<(qb|0)?qb:eb;eb=I+4|0;Ya=f[eb>>2]|0;gb=(Ya|0)>(yb|0)?yb:Ya;Ya=I+12|0;Xa=f[Ya>>2]|0;Sa=(Xa|0)<(yb|0)?yb:Xa;Xa=I+16|0;$a=f[Xa>>2]|0;_a=f[ub>>2]|0;fb=((qb|0)<0)<<31>>31;ab=_a;hb=Arc(f[ab>>2]|0,f[ab+4>>2]|0,qb|0,fb|0)|0;ab=J;bb=_a+8|0;db=bb;Ra=Arc(f[db>>2]|0,f[db+4>>2]|0,yb|0,kb|0)|0;db=J;f[I>>2]=Ua;f[K>>2]=Za;cb=(gb|0)>(pb|0)?pb:gb;f[eb>>2]=cb;gb=(Sa|0)<(pb|0)?pb:Sa;f[Ya>>2]=gb;f[Xa>>2]=$a+2;Sa=Arc(hb|0,ab|0,qb|0,fb|0)|0;fb=J;ab=_a;f[ab>>2]=Sa;f[ab+4>>2]=fb;ab=Arc(Ra|0,db|0,pb|0,mb|0)|0;db=J;Ra=bb;f[Ra>>2]=ab;f[Ra+4>>2]=db;Ra=qb|1;if((Ra|0)<(f[r>>2]|0)){d[sb+(Ra<<1)>>1]=0;d[ob+(Ra<<1)>>1]=0;hb=((Ra|0)<0)<<31>>31;Ta=Arc(Sa|0,fb|0,Ra|0,hb|0)|0;fb=J;Sa=Arc(ab|0,db|0,yb|0,kb|0)|0;db=J;f[I>>2]=(Ua|0)>(Ra|0)?Ra:Ua;f[K>>2]=(Za|0)<(Ra|0)?Ra:Za;f[eb>>2]=(cb|0)>(yb|0)?yb:cb;f[Ya>>2]=gb;f[Xa>>2]=$a+4;$a=Arc(Ta|0,fb|0,Ra|0,hb|0)|0;hb=_a;f[hb>>2]=$a;f[hb+4>>2]=J;hb=Arc(Sa|0,db|0,pb|0,mb|0)|0;db=bb;f[db>>2]=hb;f[db+4>>2]=J}}else{db=d[i+((ib&65535)<<1)>>1]|0;if(!(b[lb+qb>>0]|0)){d[jb>>1]=0;hb=f[tb>>2]|0;bb=f[hb>>2]|0;f[hb>>2]=(bb|0)>(qb|0)?qb:bb;bb=hb+8|0;Sa=f[bb>>2]|0;f[bb>>2]=(Sa|0)<(qb|0)?qb:Sa;Sa=hb+4|0;bb=f[Sa>>2]|0;f[Sa>>2]=(bb|0)>(yb|0)?yb:bb;bb=hb+12|0;Sa=f[bb>>2]|0;f[bb>>2]=(Sa|0)<(yb|0)?yb:Sa;Sa=hb+16|0;f[Sa>>2]=(f[Sa>>2]|0)+1;Sa=f[ub>>2]|0;bb=Sa;$a=Arc(f[bb>>2]|0,f[bb+4>>2]|0,qb|0,((qb|0)<0)<<31>>31|0)|0;bb=Sa;f[bb>>2]=$a;f[bb+4>>2]=J;Nb=Sa+8|0;Ob=hb;Pb=Sa}else{d[jb>>1]=db;Sa=db&65535;hb=f[tb>>2]|0;bb=hb+(Y(f[f[rb>>2]>>2]|0,Sa)|0)|0;$a=f[bb>>2]|0;f[bb>>2]=($a|0)>(qb|0)?qb:$a;$a=bb+8|0;_a=f[$a>>2]|0;f[$a>>2]=(_a|0)<(qb|0)?qb:_a;_a=bb+4|0;$a=f[_a>>2]|0;f[_a>>2]=($a|0)>(yb|0)?yb:$a;$a=bb+12|0;_a=f[$a>>2]|0;f[$a>>2]=(_a|0)<(yb|0)?yb:_a;_a=bb+16|0;f[_a>>2]=(f[_a>>2]|0)+1;_a=f[ub>>2]|0;bb=_a+(Sa<<4)|0;$a=bb;Ra=Arc(f[$a>>2]|0,f[$a+4>>2]|0,qb|0,((qb|0)<0)<<31>>31|0)|0;$a=bb;f[$a>>2]=Ra;f[$a+4>>2]=J;Nb=_a+(Sa<<4)+8|0;Ob=hb;Pb=_a}_a=Nb;hb=Arc(f[_a>>2]|0,f[_a+4>>2]|0,yb|0,kb|0)|0;_a=Nb;f[_a>>2]=hb;f[_a+4>>2]=J;_a=ob+(qb<<1)|0;if(!(b[nb+qb>>0]|0)){d[_a>>1]=0;Qb=0;Rb=Ob}else{d[_a>>1]=db;_a=db&65535;Qb=_a;Rb=Ob+(Y(f[f[rb>>2]>>2]|0,_a)|0)|0}_a=f[Rb>>2]|0;f[Rb>>2]=(_a|0)>(qb|0)?qb:_a;_a=Rb+8|0;hb=f[_a>>2]|0;f[_a>>2]=(hb|0)<(qb|0)?qb:hb;hb=Rb+4|0;_a=f[hb>>2]|0;f[hb>>2]=(_a|0)>(pb|0)?pb:_a;_a=Rb+12|0;hb=f[_a>>2]|0;f[_a>>2]=(hb|0)<(pb|0)?pb:hb;hb=Rb+16|0;f[hb>>2]=(f[hb>>2]|0)+1;hb=Pb+(Qb<<4)|0;_a=hb;Sa=Arc(f[_a>>2]|0,f[_a+4>>2]|0,qb|0,((qb|0)<0)<<31>>31|0)|0;_a=hb;f[_a>>2]=Sa;f[_a+4>>2]=J;_a=Pb+(Qb<<4)+8|0;Sa=_a;hb=Arc(f[Sa>>2]|0,f[Sa+4>>2]|0,pb|0,mb|0)|0;Sa=_a;f[Sa>>2]=hb;f[Sa+4>>2]=J;Sa=qb|1;if((Sa|0)<(f[r>>2]|0)){hb=sb+(Sa<<1)|0;if(!(b[lb+Sa>>0]|0)){d[hb>>1]=0;Sb=0;Tb=Ob}else{d[hb>>1]=db;hb=db&65535;Sb=hb;Tb=Ob+(Y(f[f[rb>>2]>>2]|0,hb)|0)|0}hb=f[Tb>>2]|0;f[Tb>>2]=(hb|0)>(Sa|0)?Sa:hb;hb=Tb+8|0;_a=f[hb>>2]|0;f[hb>>2]=(_a|0)<(Sa|0)?Sa:_a;_a=Tb+4|0;hb=f[_a>>2]|0;f[_a>>2]=(hb|0)>(yb|0)?yb:hb;hb=Tb+12|0;_a=f[hb>>2]|0;f[hb>>2]=(_a|0)<(yb|0)?yb:_a;_a=Tb+16|0;f[_a>>2]=(f[_a>>2]|0)+1;_a=Pb+(Sb<<4)|0;hb=_a;$a=Arc(f[hb>>2]|0,f[hb+4>>2]|0,Sa|0,((Sa|0)<0)<<31>>31|0)|0;hb=_a;f[hb>>2]=$a;f[hb+4>>2]=J;hb=Pb+(Sb<<4)+8|0;$a=hb;_a=Arc(f[$a>>2]|0,f[$a+4>>2]|0,yb|0,kb|0)|0;$a=hb;f[$a>>2]=_a;f[$a+4>>2]=J;$a=ob+(Sa<<1)|0;if(!(b[nb+Sa>>0]|0)){d[$a>>1]=0;_a=f[Ob>>2]|0;f[Ob>>2]=(_a|0)>(Sa|0)?Sa:_a;_a=Ob+8|0;hb=f[_a>>2]|0;f[_a>>2]=(hb|0)<(Sa|0)?Sa:hb;hb=Ob+4|0;_a=f[hb>>2]|0;f[hb>>2]=(_a|0)>(pb|0)?pb:_a;_a=Ob+12|0;hb=f[_a>>2]|0;f[_a>>2]=(hb|0)<(pb|0)?pb:hb;hb=Ob+16|0;f[hb>>2]=(f[hb>>2]|0)+1;hb=Pb;_a=Arc(f[hb>>2]|0,f[hb+4>>2]|0,Sa|0,((Sa|0)<0)<<31>>31|0)|0;hb=Pb;f[hb>>2]=_a;f[hb+4>>2]=J;hb=Pb+8|0;_a=hb;Ra=Arc(f[_a>>2]|0,f[_a+4>>2]|0,pb|0,mb|0)|0;_a=hb;f[_a>>2]=Ra;f[_a+4>>2]=J;break}else{d[$a>>1]=db;$a=db&65535;db=Ob+(Y(f[f[rb>>2]>>2]|0,$a)|0)|0;_a=f[db>>2]|0;f[db>>2]=(_a|0)>(Sa|0)?Sa:_a;_a=db+8|0;Ra=f[_a>>2]|0;f[_a>>2]=(Ra|0)<(Sa|0)?Sa:Ra;Ra=db+4|0;_a=f[Ra>>2]|0;f[Ra>>2]=(_a|0)>(pb|0)?pb:_a;_a=db+12|0;Ra=f[_a>>2]|0;f[_a>>2]=(Ra|0)<(pb|0)?pb:Ra;Ra=db+16|0;f[Ra>>2]=(f[Ra>>2]|0)+1;Ra=Pb+($a<<4)|0;db=Ra;_a=Arc(f[db>>2]|0,f[db+4>>2]|0,Sa|0,((Sa|0)<0)<<31>>31|0)|0;Sa=Ra;f[Sa>>2]=_a;f[Sa+4>>2]=J;Sa=Pb+($a<<4)+8|0;$a=Sa;_a=Arc(f[$a>>2]|0,f[$a+4>>2]|0,pb|0,mb|0)|0;$a=Sa;f[$a>>2]=_a;f[$a+4>>2]=J;break}}}while(0);qb=qb+2|0;Ub=f[r>>2]|0}while((qb|0)<(Ub|0));Vb=f[l>>2]|0;Wb=Ub}else{Vb=N;Wb=v}yb=yb+2|0;if((yb|0)>=(Vb|0))break;else{v=Wb;N=Vb}}}}else{if(!t){if(!k)break;N=h+20|0;v=h+120|0;yb=h+48|0;rb=f[c+16>>2]|0;ub=f[c+44>>2]|0;tb=f[e+16>>2]|0;vb=f[e+44>>2]|0;q=0;wb=zb;xb=Ab;while(1){qb=f[ub>>2]|0;mb=rb+(Y(qb,q)|0)|0;pb=mb+qb|0;qb=f[vb>>2]|0;nb=tb+(Y(qb,q)|0)|0;ob=nb+qb|0;if((wb|0)>0){qb=((q|0)<0)<<31>>31;kb=q|1;lb=((kb|0)<0)<<31>>31;sb=0;do{jb=nb+(sb<<1)|0;ib=d[jb>>1]|0;do if(!(ib<<16>>16)){d[jb>>1]=0;$a=sb|1;d[nb+($a<<1)>>1]=0;_a=f[N>>2]|0;Sa=f[_a>>2]|0;Ra=(Sa|0)>(sb|0)?sb:Sa;Sa=_a+8|0;db=f[Sa>>2]|0;hb=(db|0)<(sb|0)?sb:db;db=_a+4|0;bb=f[db>>2]|0;fb=(bb|0)>(q|0)?q:bb;bb=_a+12|0;Ta=f[bb>>2]|0;Xa=(Ta|0)<(q|0)?q:Ta;Ta=_a+16|0;gb=f[Ta>>2]|0;Ya=f[v>>2]|0;cb=((sb|0)<0)<<31>>31;eb=Ya;Za=Arc(f[eb>>2]|0,f[eb+4>>2]|0,sb|0,cb|0)|0;eb=J;K=Ya+8|0;Ua=K;I=Arc(f[Ua>>2]|0,f[Ua+4>>2]|0,q|0,qb|0)|0;Ua=J;ab=(Ra|0)>($a|0)?$a:Ra;f[_a>>2]=ab;Ra=(hb|0)<($a|0)?$a:hb;f[Sa>>2]=Ra;f[db>>2]=fb;f[bb>>2]=Xa;f[Ta>>2]=gb+2;hb=(($a|0)<0)<<31>>31;Wa=Arc(Za|0,eb|0,$a|0,hb|0)|0;eb=J;Za=Ya;f[Za>>2]=Wa;f[Za+4>>2]=eb;Za=Arc(I|0,Ua|0,q|0,qb|0)|0;Ua=J;I=K;f[I>>2]=Za;f[I+4>>2]=Ua;if((kb|0)<(f[l>>2]|0)){d[ob+(sb<<1)>>1]=0;d[ob+($a<<1)>>1]=0;I=Arc(Wa|0,eb|0,sb|0,cb|0)|0;cb=J;eb=Arc(Za|0,Ua|0,kb|0,lb|0)|0;Ua=J;f[_a>>2]=(ab|0)>(sb|0)?sb:ab;f[Sa>>2]=Ra;f[db>>2]=(fb|0)>(kb|0)?kb:fb;f[bb>>2]=(Xa|0)<(kb|0)?kb:Xa;f[Ta>>2]=gb+4;gb=Arc(I|0,cb|0,$a|0,hb|0)|0;hb=Ya;f[hb>>2]=gb;f[hb+4>>2]=J;hb=Arc(eb|0,Ua|0,kb|0,lb|0)|0;Ua=K;f[Ua>>2]=hb;f[Ua+4>>2]=J}}else{Ua=d[i+((ib&65535)<<1)>>1]|0;if(!(b[mb+sb>>0]|0)){d[jb>>1]=0;hb=f[N>>2]|0;K=f[hb>>2]|0;f[hb>>2]=(K|0)>(sb|0)?sb:K;K=hb+8|0;eb=f[K>>2]|0;f[K>>2]=(eb|0)<(sb|0)?sb:eb;eb=hb+4|0;K=f[eb>>2]|0;f[eb>>2]=(K|0)>(q|0)?q:K;K=hb+12|0;eb=f[K>>2]|0;f[K>>2]=(eb|0)<(q|0)?q:eb;eb=hb+16|0;f[eb>>2]=(f[eb>>2]|0)+1;eb=f[v>>2]|0;K=eb;gb=Arc(f[K>>2]|0,f[K+4>>2]|0,sb|0,((sb|0)<0)<<31>>31|0)|0;K=eb;f[K>>2]=gb;f[K+4>>2]=J;Xb=eb+8|0;Yb=hb;Zb=eb}else{d[jb>>1]=Ua;eb=Ua&65535;hb=f[N>>2]|0;K=hb+(Y(f[f[yb>>2]>>2]|0,eb)|0)|0;gb=f[K>>2]|0;f[K>>2]=(gb|0)>(sb|0)?sb:gb;gb=K+8|0;Ya=f[gb>>2]|0;f[gb>>2]=(Ya|0)<(sb|0)?sb:Ya;Ya=K+4|0;gb=f[Ya>>2]|0;f[Ya>>2]=(gb|0)>(q|0)?q:gb;gb=K+12|0;Ya=f[gb>>2]|0;f[gb>>2]=(Ya|0)<(q|0)?q:Ya;Ya=K+16|0;f[Ya>>2]=(f[Ya>>2]|0)+1;Ya=f[v>>2]|0;K=Ya+(eb<<4)|0;gb=K;$a=Arc(f[gb>>2]|0,f[gb+4>>2]|0,sb|0,((sb|0)<0)<<31>>31|0)|0;gb=K;f[gb>>2]=$a;f[gb+4>>2]=J;Xb=Ya+(eb<<4)+8|0;Yb=hb;Zb=Ya}Ya=Xb;hb=Arc(f[Ya>>2]|0,f[Ya+4>>2]|0,q|0,qb|0)|0;Ya=Xb;f[Ya>>2]=hb;f[Ya+4>>2]=J;Ya=sb|1;hb=nb+(Ya<<1)|0;if(!(b[mb+Ya>>0]|0)){d[hb>>1]=0;_b=0;$b=Yb}else{d[hb>>1]=Ua;hb=Ua&65535;_b=hb;$b=Yb+(Y(f[f[yb>>2]>>2]|0,hb)|0)|0}hb=f[$b>>2]|0;f[$b>>2]=(hb|0)>(Ya|0)?Ya:hb;hb=$b+8|0;eb=f[hb>>2]|0;f[hb>>2]=(eb|0)<(Ya|0)?Ya:eb;eb=$b+4|0;hb=f[eb>>2]|0;f[eb>>2]=(hb|0)>(q|0)?q:hb;hb=$b+12|0;eb=f[hb>>2]|0;f[hb>>2]=(eb|0)<(q|0)?q:eb;eb=$b+16|0;f[eb>>2]=(f[eb>>2]|0)+1;eb=Zb+(_b<<4)|0;hb=eb;gb=Arc(f[hb>>2]|0,f[hb+4>>2]|0,Ya|0,((Ya|0)<0)<<31>>31|0)|0;hb=eb;f[hb>>2]=gb;f[hb+4>>2]=J;hb=Zb+(_b<<4)+8|0;gb=hb;eb=Arc(f[gb>>2]|0,f[gb+4>>2]|0,q|0,qb|0)|0;gb=hb;f[gb>>2]=eb;f[gb+4>>2]=J;if((kb|0)<(f[l>>2]|0)){gb=ob+(sb<<1)|0;if(!(b[pb+sb>>0]|0)){d[gb>>1]=0;ac=0;bc=Yb}else{d[gb>>1]=Ua;gb=Ua&65535;ac=gb;bc=Yb+(Y(f[f[yb>>2]>>2]|0,gb)|0)|0}gb=f[bc>>2]|0;f[bc>>2]=(gb|0)>(sb|0)?sb:gb;gb=bc+8|0;eb=f[gb>>2]|0;f[gb>>2]=(eb|0)<(sb|0)?sb:eb;eb=bc+4|0;gb=f[eb>>2]|0;f[eb>>2]=(gb|0)>(kb|0)?kb:gb;gb=bc+12|0;eb=f[gb>>2]|0;f[gb>>2]=(eb|0)<(kb|0)?kb:eb;eb=bc+16|0;f[eb>>2]=(f[eb>>2]|0)+1;eb=Zb+(ac<<4)|0;gb=eb;hb=Arc(f[gb>>2]|0,f[gb+4>>2]|0,sb|0,((sb|0)<0)<<31>>31|0)|0;gb=eb;f[gb>>2]=hb;f[gb+4>>2]=J;gb=Zb+(ac<<4)+8|0;hb=gb;eb=Arc(f[hb>>2]|0,f[hb+4>>2]|0,kb|0,lb|0)|0;hb=gb;f[hb>>2]=eb;f[hb+4>>2]=J;hb=ob+(Ya<<1)|0;if(!(b[pb+Ya>>0]|0)){d[hb>>1]=0;eb=f[Yb>>2]|0;f[Yb>>2]=(eb|0)>(Ya|0)?Ya:eb;eb=Yb+8|0;gb=f[eb>>2]|0;f[eb>>2]=(gb|0)<(Ya|0)?Ya:gb;gb=Yb+4|0;eb=f[gb>>2]|0;f[gb>>2]=(eb|0)>(kb|0)?kb:eb;eb=Yb+12|0;gb=f[eb>>2]|0;f[eb>>2]=(gb|0)<(kb|0)?kb:gb;gb=Yb+16|0;f[gb>>2]=(f[gb>>2]|0)+1;gb=Zb;eb=Arc(f[gb>>2]|0,f[gb+4>>2]|0,Ya|0,((Ya|0)<0)<<31>>31|0)|0;gb=Zb;f[gb>>2]=eb;f[gb+4>>2]=J;gb=Zb+8|0;eb=gb;$a=Arc(f[eb>>2]|0,f[eb+4>>2]|0,kb|0,lb|0)|0;eb=gb;f[eb>>2]=$a;f[eb+4>>2]=J;break}else{d[hb>>1]=Ua;hb=Ua&65535;Ua=Yb+(Y(f[f[yb>>2]>>2]|0,hb)|0)|0;eb=f[Ua>>2]|0;f[Ua>>2]=(eb|0)>(Ya|0)?Ya:eb;eb=Ua+8|0;$a=f[eb>>2]|0;f[eb>>2]=($a|0)<(Ya|0)?Ya:$a;$a=Ua+4|0;eb=f[$a>>2]|0;f[$a>>2]=(eb|0)>(kb|0)?kb:eb;eb=Ua+12|0;$a=f[eb>>2]|0;f[eb>>2]=($a|0)<(kb|0)?kb:$a;$a=Ua+16|0;f[$a>>2]=(f[$a>>2]|0)+1;$a=Zb+(hb<<4)|0;Ua=$a;eb=Arc(f[Ua>>2]|0,f[Ua+4>>2]|0,Ya|0,((Ya|0)<0)<<31>>31|0)|0;Ya=$a;f[Ya>>2]=eb;f[Ya+4>>2]=J;Ya=Zb+(hb<<4)+8|0;hb=Ya;eb=Arc(f[hb>>2]|0,f[hb+4>>2]|0,kb|0,lb|0)|0;hb=Ya;f[hb>>2]=eb;f[hb+4>>2]=J;break}}}while(0);sb=sb+2|0;cc=f[r>>2]|0}while((sb|0)<(cc|0));dc=f[l>>2]|0;ec=cc}else{dc=xb;ec=wb}q=q+2|0;if((q|0)>=(dc|0))break b;else{wb=ec;xb=dc}}}if(k){xb=h+20|0;wb=h+120|0;q=h+48|0;yb=f[c+16>>2]|0;v=f[c+44>>2]|0;N=f[e+16>>2]|0;tb=f[e+44>>2]|0;vb=0;rb=zb;ub=Ab;while(1){sb=f[v>>2]|0;lb=yb+(Y(sb,vb)|0)|0;kb=lb+sb|0;sb=f[tb>>2]|0;pb=N+(Y(sb,vb)|0)|0;ob=pb+sb|0;if((rb|0)>0){sb=((vb|0)<0)<<31>>31;qb=vb|1;mb=((qb|0)<0)<<31>>31;nb=0;do{jb=pb+(nb<<1)|0;ib=d[jb>>1]|0;do if(!(ib<<16>>16)){d[jb>>1]=0;hb=f[xb>>2]|0;eb=f[hb>>2]|0;Ya=(eb|0)>(nb|0)?nb:eb;f[hb>>2]=Ya;eb=hb+8|0;$a=f[eb>>2]|0;Ua=($a|0)<(nb|0)?nb:$a;f[eb>>2]=Ua;$a=hb+4|0;gb=f[$a>>2]|0;K=(gb|0)>(vb|0)?vb:gb;f[$a>>2]=K;gb=hb+12|0;cb=f[gb>>2]|0;I=(cb|0)<(vb|0)?vb:cb;f[gb>>2]=I;cb=hb+16|0;Ta=f[cb>>2]|0;f[cb>>2]=Ta+1;Xa=f[wb>>2]|0;bb=((nb|0)<0)<<31>>31;fb=Xa;db=Arc(f[fb>>2]|0,f[fb+4>>2]|0,nb|0,bb|0)|0;fb=J;Ra=Xa;f[Ra>>2]=db;f[Ra+4>>2]=fb;Ra=Xa+8|0;Sa=Ra;ab=Arc(f[Sa>>2]|0,f[Sa+4>>2]|0,vb|0,sb|0)|0;Sa=J;_a=Ra;f[_a>>2]=ab;f[_a+4>>2]=Sa;_a=nb|1;if((_a|0)<(f[r>>2]|0)){d[pb+(_a<<1)>>1]=0;Za=(Ya|0)>(_a|0)?_a:Ya;f[hb>>2]=Za;Wa=(Ua|0)<(_a|0)?_a:Ua;f[eb>>2]=Wa;f[$a>>2]=K;f[gb>>2]=I;f[cb>>2]=Ta+2;Va=((_a|0)<0)<<31>>31;Qa=Arc(db|0,fb|0,_a|0,Va|0)|0;Pa=J;Oa=Xa;f[Oa>>2]=Qa;f[Oa+4>>2]=Pa;Oa=Arc(ab|0,Sa|0,vb|0,sb|0)|0;Na=J;Ma=Ra;f[Ma>>2]=Oa;f[Ma+4>>2]=Na;if((qb|0)>=(f[l>>2]|0))break;d[ob+(nb<<1)>>1]=0;d[ob+(_a<<1)>>1]=0;Ma=Arc(Qa|0,Pa|0,nb|0,bb|0)|0;Pa=J;Qa=Arc(Oa|0,Na|0,qb|0,mb|0)|0;Na=J;f[hb>>2]=(Za|0)>(nb|0)?nb:Za;f[eb>>2]=Wa;f[$a>>2]=(K|0)>(qb|0)?qb:K;f[gb>>2]=(I|0)<(qb|0)?qb:I;f[cb>>2]=Ta+4;Wa=Arc(Ma|0,Pa|0,_a|0,Va|0)|0;Va=Xa;f[Va>>2]=Wa;f[Va+4>>2]=J;Va=Arc(Qa|0,Na|0,qb|0,mb|0)|0;Na=Ra;f[Na>>2]=Va;f[Na+4>>2]=J;break}else{if((qb|0)>=(f[l>>2]|0))break;d[ob+(nb<<1)>>1]=0;f[hb>>2]=Ya;f[eb>>2]=Ua;f[$a>>2]=(K|0)>(qb|0)?qb:K;f[gb>>2]=(I|0)<(qb|0)?qb:I;f[cb>>2]=Ta+2;Ta=Arc(db|0,fb|0,nb|0,bb|0)|0;bb=Xa;f[bb>>2]=Ta;f[bb+4>>2]=J;bb=Arc(ab|0,Sa|0,qb|0,mb|0)|0;Sa=Ra;f[Sa>>2]=bb;f[Sa+4>>2]=J;break}}else{Sa=d[i+((ib&65535)<<1)>>1]|0;if(!(b[lb+nb>>0]|0)){d[jb>>1]=0;bb=f[xb>>2]|0;Ra=f[bb>>2]|0;f[bb>>2]=(Ra|0)>(nb|0)?nb:Ra;Ra=bb+8|0;ab=f[Ra>>2]|0;f[Ra>>2]=(ab|0)<(nb|0)?nb:ab;ab=bb+4|0;Ra=f[ab>>2]|0;f[ab>>2]=(Ra|0)>(vb|0)?vb:Ra;Ra=bb+12|0;ab=f[Ra>>2]|0;f[Ra>>2]=(ab|0)<(vb|0)?vb:ab;ab=bb+16|0;f[ab>>2]=(f[ab>>2]|0)+1;ab=f[wb>>2]|0;Ra=ab;Ta=Arc(f[Ra>>2]|0,f[Ra+4>>2]|0,nb|0,((nb|0)<0)<<31>>31|0)|0;Ra=ab;f[Ra>>2]=Ta;f[Ra+4>>2]=J;fc=ab+8|0;gc=bb;hc=ab}else{d[jb>>1]=Sa;ab=Sa&65535;bb=f[xb>>2]|0;Ra=bb+(Y(f[f[q>>2]>>2]|0,ab)|0)|0;Ta=f[Ra>>2]|0;f[Ra>>2]=(Ta|0)>(nb|0)?nb:Ta;Ta=Ra+8|0;Xa=f[Ta>>2]|0;f[Ta>>2]=(Xa|0)<(nb|0)?nb:Xa;Xa=Ra+4|0;Ta=f[Xa>>2]|0;f[Xa>>2]=(Ta|0)>(vb|0)?vb:Ta;Ta=Ra+12|0;Xa=f[Ta>>2]|0;f[Ta>>2]=(Xa|0)<(vb|0)?vb:Xa;Xa=Ra+16|0;f[Xa>>2]=(f[Xa>>2]|0)+1;Xa=f[wb>>2]|0;Ra=Xa+(ab<<4)|0;Ta=Ra;fb=Arc(f[Ta>>2]|0,f[Ta+4>>2]|0,nb|0,((nb|0)<0)<<31>>31|0)|0;Ta=Ra;f[Ta>>2]=fb;f[Ta+4>>2]=J;fc=Xa+(ab<<4)+8|0;gc=bb;hc=Xa}Xa=fc;bb=Arc(f[Xa>>2]|0,f[Xa+4>>2]|0,vb|0,sb|0)|0;Xa=fc;f[Xa>>2]=bb;f[Xa+4>>2]=J;Xa=nb|1;if((Xa|0)>=(f[r>>2]|0)){if((qb|0)>=(f[l>>2]|0))break;bb=ob+(nb<<1)|0;if(!(b[kb+nb>>0]|0)){d[bb>>1]=0;ab=f[gc>>2]|0;f[gc>>2]=(ab|0)>(nb|0)?nb:ab;ab=gc+8|0;Ta=f[ab>>2]|0;f[ab>>2]=(Ta|0)<(nb|0)?nb:Ta;Ta=gc+4|0;ab=f[Ta>>2]|0;f[Ta>>2]=(ab|0)>(qb|0)?qb:ab;ab=gc+12|0;Ta=f[ab>>2]|0;f[ab>>2]=(Ta|0)<(qb|0)?qb:Ta;Ta=gc+16|0;f[Ta>>2]=(f[Ta>>2]|0)+1;Ta=hc;ab=Arc(f[Ta>>2]|0,f[Ta+4>>2]|0,nb|0,((nb|0)<0)<<31>>31|0)|0;Ta=hc;f[Ta>>2]=ab;f[Ta+4>>2]=J;Ta=hc+8|0;ab=Ta;fb=Arc(f[ab>>2]|0,f[ab+4>>2]|0,qb|0,mb|0)|0;ab=Ta;f[ab>>2]=fb;f[ab+4>>2]=J;break}else{d[bb>>1]=Sa;bb=Sa&65535;ab=gc+(Y(f[f[q>>2]>>2]|0,bb)|0)|0;fb=f[ab>>2]|0;f[ab>>2]=(fb|0)>(nb|0)?nb:fb;fb=ab+8|0;Ta=f[fb>>2]|0;f[fb>>2]=(Ta|0)<(nb|0)?nb:Ta;Ta=ab+4|0;fb=f[Ta>>2]|0;f[Ta>>2]=(fb|0)>(qb|0)?qb:fb;fb=ab+12|0;Ta=f[fb>>2]|0;f[fb>>2]=(Ta|0)<(qb|0)?qb:Ta;Ta=ab+16|0;f[Ta>>2]=(f[Ta>>2]|0)+1;Ta=hc+(bb<<4)|0;ab=Ta;fb=Arc(f[ab>>2]|0,f[ab+4>>2]|0,nb|0,((nb|0)<0)<<31>>31|0)|0;ab=Ta;f[ab>>2]=fb;f[ab+4>>2]=J;ab=hc+(bb<<4)+8|0;bb=ab;fb=Arc(f[bb>>2]|0,f[bb+4>>2]|0,qb|0,mb|0)|0;bb=ab;f[bb>>2]=fb;f[bb+4>>2]=J;break}}bb=pb+(Xa<<1)|0;if(!(b[lb+Xa>>0]|0)){d[bb>>1]=0;ic=0;jc=gc}else{d[bb>>1]=Sa;bb=Sa&65535;ic=bb;jc=gc+(Y(f[f[q>>2]>>2]|0,bb)|0)|0}bb=f[jc>>2]|0;f[jc>>2]=(bb|0)>(Xa|0)?Xa:bb;bb=jc+8|0;fb=f[bb>>2]|0;f[bb>>2]=(fb|0)<(Xa|0)?Xa:fb;fb=jc+4|0;bb=f[fb>>2]|0;f[fb>>2]=(bb|0)>(vb|0)?vb:bb;bb=jc+12|0;fb=f[bb>>2]|0;f[bb>>2]=(fb|0)<(vb|0)?vb:fb;fb=jc+16|0;f[fb>>2]=(f[fb>>2]|0)+1;fb=hc+(ic<<4)|0;bb=fb;ab=Arc(f[bb>>2]|0,f[bb+4>>2]|0,Xa|0,((Xa|0)<0)<<31>>31|0)|0;bb=fb;f[bb>>2]=ab;f[bb+4>>2]=J;bb=hc+(ic<<4)+8|0;ab=bb;fb=Arc(f[ab>>2]|0,f[ab+4>>2]|0,vb|0,sb|0)|0;ab=bb;f[ab>>2]=fb;f[ab+4>>2]=J;if((qb|0)<(f[l>>2]|0)){ab=ob+(nb<<1)|0;if(!(b[kb+nb>>0]|0)){d[ab>>1]=0;kc=0;lc=gc}else{d[ab>>1]=Sa;ab=Sa&65535;kc=ab;lc=gc+(Y(f[f[q>>2]>>2]|0,ab)|0)|0}ab=f[lc>>2]|0;f[lc>>2]=(ab|0)>(nb|0)?nb:ab;ab=lc+8|0;fb=f[ab>>2]|0;f[ab>>2]=(fb|0)<(nb|0)?nb:fb;fb=lc+4|0;ab=f[fb>>2]|0;f[fb>>2]=(ab|0)>(qb|0)?qb:ab;ab=lc+12|0;fb=f[ab>>2]|0;f[ab>>2]=(fb|0)<(qb|0)?qb:fb;fb=lc+16|0;f[fb>>2]=(f[fb>>2]|0)+1;fb=hc+(kc<<4)|0;ab=fb;bb=Arc(f[ab>>2]|0,f[ab+4>>2]|0,nb|0,((nb|0)<0)<<31>>31|0)|0;ab=fb;f[ab>>2]=bb;f[ab+4>>2]=J;ab=hc+(kc<<4)+8|0;bb=ab;fb=Arc(f[bb>>2]|0,f[bb+4>>2]|0,qb|0,mb|0)|0;bb=ab;f[bb>>2]=fb;f[bb+4>>2]=J;bb=ob+(Xa<<1)|0;if(!(b[kb+Xa>>0]|0)){d[bb>>1]=0;fb=f[gc>>2]|0;f[gc>>2]=(fb|0)>(Xa|0)?Xa:fb;fb=gc+8|0;ab=f[fb>>2]|0;f[fb>>2]=(ab|0)<(Xa|0)?Xa:ab;ab=gc+4|0;fb=f[ab>>2]|0;f[ab>>2]=(fb|0)>(qb|0)?qb:fb;fb=gc+12|0;ab=f[fb>>2]|0;f[fb>>2]=(ab|0)<(qb|0)?qb:ab;ab=gc+16|0;f[ab>>2]=(f[ab>>2]|0)+1;ab=hc;fb=Arc(f[ab>>2]|0,f[ab+4>>2]|0,Xa|0,((Xa|0)<0)<<31>>31|0)|0;ab=hc;f[ab>>2]=fb;f[ab+4>>2]=J;ab=hc+8|0;fb=ab;Ta=Arc(f[fb>>2]|0,f[fb+4>>2]|0,qb|0,mb|0)|0;fb=ab;f[fb>>2]=Ta;f[fb+4>>2]=J;break}else{d[bb>>1]=Sa;bb=Sa&65535;Sa=gc+(Y(f[f[q>>2]>>2]|0,bb)|0)|0;fb=f[Sa>>2]|0;f[Sa>>2]=(fb|0)>(Xa|0)?Xa:fb;fb=Sa+8|0;Ta=f[fb>>2]|0;f[fb>>2]=(Ta|0)<(Xa|0)?Xa:Ta;Ta=Sa+4|0;fb=f[Ta>>2]|0;f[Ta>>2]=(fb|0)>(qb|0)?qb:fb;fb=Sa+12|0;Ta=f[fb>>2]|0;f[fb>>2]=(Ta|0)<(qb|0)?qb:Ta;Ta=Sa+16|0;f[Ta>>2]=(f[Ta>>2]|0)+1;Ta=hc+(bb<<4)|0;Sa=Ta;fb=Arc(f[Sa>>2]|0,f[Sa+4>>2]|0,Xa|0,((Xa|0)<0)<<31>>31|0)|0;Xa=Ta;f[Xa>>2]=fb;f[Xa+4>>2]=J;Xa=hc+(bb<<4)+8|0;bb=Xa;fb=Arc(f[bb>>2]|0,f[bb+4>>2]|0,qb|0,mb|0)|0;bb=Xa;f[bb>>2]=fb;f[bb+4>>2]=J;break}}}while(0);nb=nb+2|0;mc=f[r>>2]|0}while((nb|0)<(mc|0));nc=f[l>>2]|0;oc=mc}else{nc=ub;oc=rb}vb=vb+2|0;if((vb|0)>=(nc|0))break;else{rb=oc;ub=nc}}}}while(0);nc=h+12|0;if((f[nc>>2]|0)<=0){tE(i);u=a;return Bb|0}oc=f[h+20>>2]|0;mc=f[h+48>>2]|0;l=f[h+120>>2]|0;r=f[h+80>>2]|0;hc=f[h+108>>2]|0;h=0;do{gc=oc+(Y(f[mc>>2]|0,h)|0)|0;kc=gc+8|0;f[kc>>2]=(f[kc>>2]|0)+1-(f[gc>>2]|0);kc=gc+12|0;f[kc>>2]=(f[kc>>2]|0)+1-(f[gc+4>>2]|0);kc=r+(Y(f[hc>>2]|0,h)|0)|0;pc=+((f[gc+16>>2]|0)>>>0);gc=l+(h<<4)|0;p[kc>>3]=(+((f[gc>>2]|0)>>>0)+4294967296.0*+((f[gc+4>>2]|0)>>>0))/pc;gc=l+(h<<4)+8|0;p[kc+8>>3]=(+((f[gc>>2]|0)>>>0)+4294967296.0*+((f[gc+4>>2]|0)>>>0))/pc;h=h+1|0}while((h|0)<(f[nc>>2]|0));tE(i);u=a;return Bb|0}function A7(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0.0;a=u;u=u+16|0;h=a;i=f[c+8>>2]|0;j=d+8|0;if((i|0)!=(f[j>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;k=YG(h,26)|0;l=253836;m=k+26|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));$6(-215,h,523657,2589)}n=f[c+12>>2]|0;o=d+12|0;if((n|0)!=(f[o>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;k=YG(h,26)|0;l=253863;m=k+26|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));$6(-215,h,523657,2590)}if((e|0)!=8){f[h>>2]=0;f[h+4>>2]=0;k=YG(h,17)|0;l=253890;m=k+17|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(m|0));$6(-215,h,523657,2591)}h=sE((Y(((i+1|0)/2|0)<<2,(n+1|0)/2|0)|0)+4|0)|0;f[h>>2]=0;if((i|0)>0){l=c+16|0;k=c+44|0;m=d+16|0;e=d+44|0;q=(n|0)>0;r=1;s=0;while(1){t=f[f[k>>2]>>2]|0;v=(f[l>>2]|0)+(Y(t,s)|0)|0;w=0-t|0;x=v+w|0;y=x+w|0;w=v+t|0;t=f[f[e>>2]>>2]|0;z=(f[m>>2]|0)+(Y(t,s)|0)|0;A=0-t|0;t=z+A+A|0;if(q){A=(s|1|0)<(i|0);B=(s|0)>0;C=B^1;D=(s+-2|0)>-1;E=0;F=r;while(1){a:do if(!(b[v+E>>0]|0)){G=E|1;H=(G|0)<(n|0);if(A?b[w+E>>0]|0:0){I=E+-1|0;K=(E|0)>0;if(H?b[v+G>>0]|0:0){do if(K){if(b[v+I>>0]|0){do if(B){if(b[x+G>>0]|0){if(b[x+E>>0]|0){f[z+(E<<2)>>2]=f[z+(E+-2<<2)>>2];L=F;break a}do if(D){if(!(b[y+E>>0]|0))break;M=E+-2|0;if(b[x+I>>0]|0){f[z+(E<<2)>>2]=f[z+(M<<2)>>2];L=F;break a}do if((M|0)>-1){if(!(b[x+M>>0]|0))break;if(b[y+I>>0]|0){f[z+(E<<2)>>2]=f[z+(M<<2)>>2];L=F;break a}N=f[t+(E<<2)>>2]|0;O=f[z+(M<<2)>>2]|0;P=N;while(1){Q=f[h+(P<<2)>>2]|0;if((Q|0)<(P|0))P=Q;else break}if((N|0)==(O|0))R=P;else{Q=O;while(1){S=f[h+(Q<<2)>>2]|0;if((S|0)<(Q|0))Q=S;else break}S=(P|0)>(Q|0)?Q:P;T=O;do{U=h+(T<<2)|0;V=T;T=f[U>>2]|0;f[U>>2]=S}while((T|0)<(V|0));R=S}S=N;do{T=h+(S<<2)|0;O=S;S=f[T>>2]|0;f[T>>2]=R}while((S|0)<(O|0));f[z+(E<<2)>>2]=R;L=F;break a}while(0);S=f[t+(E<<2)>>2]|0;N=f[z+(M<<2)>>2]|0;O=S;while(1){T=f[h+(O<<2)>>2]|0;if((T|0)<(O|0))O=T;else break}if((S|0)==(N|0))W=O;else{M=N;while(1){T=f[h+(M<<2)>>2]|0;if((T|0)<(M|0))M=T;else break}T=(O|0)>(M|0)?M:O;P=N;do{Q=h+(P<<2)|0;V=P;P=f[Q>>2]|0;f[Q>>2]=T}while((P|0)<(V|0));W=T}T=S;do{P=h+(T<<2)|0;N=T;T=f[P>>2]|0;f[P>>2]=W}while((T|0)<(N|0));f[z+(E<<2)>>2]=W;L=F;break a}while(0);T=f[t+(E<<2)>>2]|0;S=f[z+(E+-2<<2)>>2]|0;N=T;while(1){P=f[h+(N<<2)>>2]|0;if((P|0)<(N|0))N=P;else break}if((T|0)==(S|0))X=N;else{P=S;while(1){O=f[h+(P<<2)>>2]|0;if((O|0)<(P|0))P=O;else break}O=(N|0)>(P|0)?P:N;M=S;do{V=h+(M<<2)|0;Q=M;M=f[V>>2]|0;f[V>>2]=O}while((M|0)<(Q|0));X=O}O=T;do{M=h+(O<<2)|0;S=O;O=f[M>>2]|0;f[M>>2]=X}while((O|0)<(S|0));f[z+(E<<2)>>2]=X;L=F;break a}O=E+2|0;if((O|0)>=(n|0))break;if(!(b[x+O>>0]|0))break;do if(D){if(!(b[y+G>>0]|0))break;if(b[x+E>>0]|0){f[z+(E<<2)>>2]=f[z+(E+-2<<2)>>2];L=F;break a}if(!(b[y+E>>0]|0)){T=f[t+(O<<2)>>2]|0;S=f[z+(E+-2<<2)>>2]|0;M=T;while(1){N=f[h+(M<<2)>>2]|0;if((N|0)<(M|0))M=N;else break}if((T|0)==(S|0))Z=M;else{N=S;while(1){P=f[h+(N<<2)>>2]|0;if((P|0)<(N|0))N=P;else break}P=(M|0)>(N|0)?N:M;Q=S;do{V=h+(Q<<2)|0;U=Q;Q=f[V>>2]|0;f[V>>2]=P}while((Q|0)<(U|0));Z=P}P=T;do{Q=h+(P<<2)|0;S=P;P=f[Q>>2]|0;f[Q>>2]=Z}while((P|0)<(S|0));f[z+(E<<2)>>2]=Z;L=F;break a}P=E+-2|0;if(b[x+I>>0]|0){f[z+(E<<2)>>2]=f[z+(P<<2)>>2];L=F;break a}do if((P|0)>-1){if(!(b[x+P>>0]|0))break;if(b[y+I>>0]|0){f[z+(E<<2)>>2]=f[z+(P<<2)>>2];L=F;break a}T=f[t+(O<<2)>>2]|0;S=f[z+(P<<2)>>2]|0;Q=T;while(1){M=f[h+(Q<<2)>>2]|0;if((M|0)<(Q|0))Q=M;else break}if((T|0)==(S|0))_=Q;else{M=S;while(1){N=f[h+(M<<2)>>2]|0;if((N|0)<(M|0))M=N;else break}N=(Q|0)>(M|0)?M:Q;U=S;do{V=h+(U<<2)|0;$=U;U=f[V>>2]|0;f[V>>2]=N}while((U|0)<($|0));_=N}N=T;do{U=h+(N<<2)|0;S=N;N=f[U>>2]|0;f[U>>2]=_}while((N|0)<(S|0));f[z+(E<<2)>>2]=_;L=F;break a}while(0);N=f[t+(O<<2)>>2]|0;T=f[z+(P<<2)>>2]|0;S=N;while(1){U=f[h+(S<<2)>>2]|0;if((U|0)<(S|0))S=U;else break}if((N|0)==(T|0))aa=S;else{P=T;while(1){U=f[h+(P<<2)>>2]|0;if((U|0)<(P|0))P=U;else break}U=(S|0)>(P|0)?P:S;Q=T;do{M=h+(Q<<2)|0;$=Q;Q=f[M>>2]|0;f[M>>2]=U}while((Q|0)<($|0));aa=U}U=N;do{Q=h+(U<<2)|0;T=U;U=f[Q>>2]|0;f[Q>>2]=aa}while((U|0)<(T|0));f[z+(E<<2)>>2]=aa;L=F;break a}while(0);U=f[t+(O<<2)>>2]|0;N=f[z+(E+-2<<2)>>2]|0;T=U;while(1){Q=f[h+(T<<2)>>2]|0;if((Q|0)<(T|0))T=Q;else break}if((U|0)==(N|0))ba=T;else{O=N;while(1){Q=f[h+(O<<2)>>2]|0;if((Q|0)<(O|0))O=Q;else break}Q=(T|0)>(O|0)?O:T;S=N;do{P=h+(S<<2)|0;$=S;S=f[P>>2]|0;f[P>>2]=Q}while((S|0)<($|0));ba=Q}Q=U;do{S=h+(Q<<2)|0;N=Q;Q=f[S>>2]|0;f[S>>2]=ba}while((Q|0)<(N|0));f[z+(E<<2)>>2]=ba;L=F;break a}while(0);f[z+(E<<2)>>2]=f[z+(E+-2<<2)>>2];L=F;break a}if(!(b[w+I>>0]|0))break;do if(B){if(b[x+G>>0]|0){Q=E+-2|0;do if((Q|0)>-1){if(!(b[v+Q>>0]|0))break;if(b[x+I>>0]|0){U=f[z+(Q<<2)>>2]|0;if(b[x+E>>0]|0){f[z+(E<<2)>>2]=U;L=F;break a}do if(D){if(!(b[y+E>>0]|0))break;f[z+(E<<2)>>2]=U;L=F;break a}while(0);N=f[t+(E<<2)>>2]|0;S=N;while(1){T=f[h+(S<<2)>>2]|0;if((T|0)<(S|0))S=T;else break}if((N|0)==(U|0))ca=S;else{T=U;while(1){O=f[h+(T<<2)>>2]|0;if((O|0)<(T|0))T=O;else break}O=(S|0)>(T|0)?T:S;$=U;do{P=h+($<<2)|0;M=$;$=f[P>>2]|0;f[P>>2]=O}while(($|0)<(M|0));ca=O}O=N;do{$=h+(O<<2)|0;U=O;O=f[$>>2]|0;f[$>>2]=ca}while((O|0)<(U|0));f[z+(E<<2)>>2]=ca;L=F;break a}if(!(b[x+Q>>0]|0)){O=f[t+(E<<2)>>2]|0;N=f[z+(Q<<2)>>2]|0;U=O;while(1){$=f[h+(U<<2)>>2]|0;if(($|0)<(U|0))U=$;else break}if((O|0)==(N|0))da=U;else{$=N;while(1){S=f[h+($<<2)>>2]|0;if((S|0)<($|0))$=S;else break}S=(U|0)>($|0)?$:U;T=N;do{M=h+(T<<2)|0;P=T;T=f[M>>2]|0;f[M>>2]=S}while((T|0)<(P|0));da=S}S=O;do{T=h+(S<<2)|0;N=S;S=f[T>>2]|0;f[T>>2]=da}while((S|0)<(N|0));f[z+(E<<2)>>2]=da;L=F;break a}do if(D){if(!(b[y+I>>0]|0))break;S=f[z+(Q<<2)>>2]|0;if(b[x+E>>0]|0){f[z+(E<<2)>>2]=S;L=F;break a}if(b[y+E>>0]|0){f[z+(E<<2)>>2]=S;L=F;break a}O=f[t+(E<<2)>>2]|0;N=O;while(1){T=f[h+(N<<2)>>2]|0;if((T|0)<(N|0))N=T;else break}if((O|0)==(S|0))ea=N;else{T=S;while(1){U=f[h+(T<<2)>>2]|0;if((U|0)<(T|0))T=U;else break}U=(N|0)>(T|0)?T:N;$=S;do{P=h+($<<2)|0;M=$;$=f[P>>2]|0;f[P>>2]=U}while(($|0)<(M|0));ea=U}U=O;do{$=h+(U<<2)|0;S=U;U=f[$>>2]|0;f[$>>2]=ea}while((U|0)<(S|0));f[z+(E<<2)>>2]=ea;L=F;break a}while(0);U=f[t+(E<<2)>>2]|0;O=f[z+(Q<<2)>>2]|0;S=U;while(1){$=f[h+(S<<2)>>2]|0;if(($|0)<(S|0))S=$;else break}if((U|0)==(O|0))fa=S;else{$=O;while(1){N=f[h+($<<2)>>2]|0;if((N|0)<($|0))$=N;else break}N=(S|0)>($|0)?$:S;T=O;do{M=h+(T<<2)|0;P=T;T=f[M>>2]|0;f[M>>2]=N}while((T|0)<(P|0));fa=N}N=U;do{T=h+(N<<2)|0;O=N;N=f[T>>2]|0;f[T>>2]=fa}while((N|0)<(O|0));f[z+(E<<2)>>2]=fa;L=F;break a}while(0);N=f[t+(E<<2)>>2]|0;U=f[z+(Q<<2)>>2]|0;O=N;while(1){T=f[h+(O<<2)>>2]|0;if((T|0)<(O|0))O=T;else break}if((N|0)==(U|0))ga=O;else{Q=U;while(1){T=f[h+(Q<<2)>>2]|0;if((T|0)<(Q|0))Q=T;else break}T=(O|0)>(Q|0)?Q:O;S=U;do{$=h+(S<<2)|0;P=S;S=f[$>>2]|0;f[$>>2]=T}while((S|0)<(P|0));ga=T}T=N;do{S=h+(T<<2)|0;U=T;T=f[S>>2]|0;f[S>>2]=ga}while((T|0)<(U|0));f[z+(E<<2)>>2]=ga;L=F;break a}T=E+2|0;do if(!((T|0)>=(n|0)|C)){if(!(b[x+T>>0]|0))break;do if(D){if(!(b[y+G>>0]|0))break;N=E+-2|0;do if((N|0)>-1){if(!(b[v+N>>0]|0))break;if(b[x+I>>0]|0){U=f[z+(N<<2)>>2]|0;if(b[x+E>>0]|0){f[z+(E<<2)>>2]=U;L=F;break a}if(b[y+E>>0]|0){f[z+(E<<2)>>2]=U;L=F;break a}S=f[t+(T<<2)>>2]|0;O=S;while(1){Q=f[h+(O<<2)>>2]|0;if((Q|0)<(O|0))O=Q;else break}if((S|0)==(U|0))ha=O;else{Q=U;while(1){P=f[h+(Q<<2)>>2]|0;if((P|0)<(Q|0))Q=P;else break}P=(O|0)>(Q|0)?Q:O;$=U;do{M=h+($<<2)|0;V=$;$=f[M>>2]|0;f[M>>2]=P}while(($|0)<(V|0));ha=P}P=S;do{$=h+(P<<2)|0;U=P;P=f[$>>2]|0;f[$>>2]=ha}while((P|0)<(U|0));f[z+(E<<2)>>2]=ha;L=F;break a}if(!(b[x+N>>0]|0)){P=f[t+(T<<2)>>2]|0;S=f[z+(N<<2)>>2]|0;U=P;while(1){$=f[h+(U<<2)>>2]|0;if(($|0)<(U|0))U=$;else break}if((P|0)==(S|0))ia=U;else{$=S;while(1){O=f[h+($<<2)>>2]|0;if((O|0)<($|0))$=O;else break}O=(U|0)>($|0)?$:U;Q=S;do{V=h+(Q<<2)|0;M=Q;Q=f[V>>2]|0;f[V>>2]=O}while((Q|0)<(M|0));ia=O}O=P;do{Q=h+(O<<2)|0;S=O;O=f[Q>>2]|0;f[Q>>2]=ia}while((O|0)<(S|0));f[z+(E<<2)>>2]=ia;L=F;break a}if(!(b[y+I>>0]|0)){O=f[t+(T<<2)>>2]|0;P=f[z+(N<<2)>>2]|0;S=O;while(1){Q=f[h+(S<<2)>>2]|0;if((Q|0)<(S|0))S=Q;else break}if((O|0)==(P|0))ja=S;else{Q=P;while(1){U=f[h+(Q<<2)>>2]|0;if((U|0)<(Q|0))Q=U;else break}U=(S|0)>(Q|0)?Q:S;$=P;do{M=h+($<<2)|0;V=$;$=f[M>>2]|0;f[M>>2]=U}while(($|0)<(V|0));ja=U}U=O;do{$=h+(U<<2)|0;P=U;U=f[$>>2]|0;f[$>>2]=ja}while((U|0)<(P|0));f[z+(E<<2)>>2]=ja;L=F;break a}U=f[z+(N<<2)>>2]|0;if(b[x+E>>0]|0){f[z+(E<<2)>>2]=U;L=F;break a}if(b[y+E>>0]|0){f[z+(E<<2)>>2]=U;L=F;break a}O=f[t+(T<<2)>>2]|0;P=O;while(1){$=f[h+(P<<2)>>2]|0;if(($|0)<(P|0))P=$;else break}if((O|0)==(U|0))ka=P;else{$=U;while(1){S=f[h+($<<2)>>2]|0;if((S|0)<($|0))$=S;else break}S=(P|0)>($|0)?$:P;Q=U;do{V=h+(Q<<2)|0;M=Q;Q=f[V>>2]|0;f[V>>2]=S}while((Q|0)<(M|0));ka=S}S=O;do{Q=h+(S<<2)|0;U=S;S=f[Q>>2]|0;f[Q>>2]=ka}while((S|0)<(U|0));f[z+(E<<2)>>2]=ka;L=F;break a}while(0);S=f[t+(T<<2)>>2]|0;O=f[z+(N<<2)>>2]|0;U=S;while(1){Q=f[h+(U<<2)>>2]|0;if((Q|0)<(U|0))U=Q;else break}if((S|0)==(O|0))la=U;else{N=O;while(1){Q=f[h+(N<<2)>>2]|0;if((Q|0)<(N|0))N=Q;else break}Q=(U|0)>(N|0)?N:U;P=O;do{$=h+(P<<2)|0;M=P;P=f[$>>2]|0;f[$>>2]=Q}while((P|0)<(M|0));la=Q}Q=S;do{P=h+(Q<<2)|0;O=Q;Q=f[P>>2]|0;f[P>>2]=la}while((Q|0)<(O|0));f[z+(E<<2)>>2]=la;L=F;break a}while(0);Q=E+-2|0;if(!(b[x+E>>0]|0)){S=f[t+(T<<2)>>2]|0;O=f[z+(Q<<2)>>2]|0;P=S;while(1){U=f[h+(P<<2)>>2]|0;if((U|0)<(P|0))P=U;else break}if((S|0)==(O|0))ma=P;else{U=O;while(1){N=f[h+(U<<2)>>2]|0;if((N|0)<(U|0))U=N;else break}N=(P|0)>(U|0)?U:P;M=O;do{$=h+(M<<2)|0;V=M;M=f[$>>2]|0;f[$>>2]=N}while((M|0)<(V|0));ma=N}N=S;do{M=h+(N<<2)|0;O=N;N=f[M>>2]|0;f[M>>2]=ma}while((N|0)<(O|0));f[z+(E<<2)>>2]=ma;L=F;break a}do if((Q|0)>-1){if(!(b[v+Q>>0]|0))break;if(b[x+I>>0]|0){N=f[t+(T<<2)>>2]|0;S=f[z+(Q<<2)>>2]|0;O=N;while(1){M=f[h+(O<<2)>>2]|0;if((M|0)<(O|0))O=M;else break}if((N|0)==(S|0))na=O;else{M=S;while(1){P=f[h+(M<<2)>>2]|0;if((P|0)<(M|0))M=P;else break}P=(O|0)>(M|0)?M:O;U=S;do{V=h+(U<<2)|0;$=U;U=f[V>>2]|0;f[V>>2]=P}while((U|0)<($|0));na=P}P=N;do{U=h+(P<<2)|0;S=P;P=f[U>>2]|0;f[U>>2]=na}while((P|0)<(S|0));f[z+(E<<2)>>2]=na;L=F;break a}if(!(b[x+Q>>0]|0)){P=f[t+(E<<2)>>2]|0;N=f[t+(T<<2)>>2]|0;S=P;while(1){U=f[h+(S<<2)>>2]|0;if((U|0)<(S|0))S=U;else break}if((P|0)==(N|0))oa=S;else{U=N;while(1){O=f[h+(U<<2)>>2]|0;if((O|0)<(U|0))U=O;else break}O=(S|0)>(U|0)?U:S;M=N;do{$=h+(M<<2)|0;V=M;M=f[$>>2]|0;f[$>>2]=O}while((M|0)<(V|0));oa=O}O=P;do{M=h+(O<<2)|0;N=O;O=f[M>>2]|0;f[M>>2]=oa}while((O|0)<(N|0));O=f[z+(Q<<2)>>2]|0;P=oa;while(1){N=f[h+(P<<2)>>2]|0;if((N|0)<(P|0))P=N;else break}if((oa|0)==(O|0))pa=P;else{N=O;while(1){M=f[h+(N<<2)>>2]|0;if((M|0)<(N|0))N=M;else break}M=(P|0)>(N|0)?N:P;S=O;do{U=h+(S<<2)|0;V=S;S=f[U>>2]|0;f[U>>2]=M}while((S|0)<(V|0));pa=M}M=oa;do{S=h+(M<<2)|0;O=M;M=f[S>>2]|0;f[S>>2]=pa}while((M|0)<(O|0));f[z+(E<<2)>>2]=pa;L=F;break a}do if(D){if(!(b[y+I>>0]|0))break;M=f[t+(T<<2)>>2]|0;O=f[z+(Q<<2)>>2]|0;S=M;while(1){P=f[h+(S<<2)>>2]|0;if((P|0)<(S|0))S=P;else break}if((M|0)==(O|0))qa=S;else{P=O;while(1){N=f[h+(P<<2)>>2]|0;if((N|0)<(P|0))P=N;else break}N=(S|0)>(P|0)?P:S;V=O;do{U=h+(V<<2)|0;$=V;V=f[U>>2]|0;f[U>>2]=N}while((V|0)<($|0));qa=N}N=M;do{V=h+(N<<2)|0;O=N;N=f[V>>2]|0;f[V>>2]=qa}while((N|0)<(O|0));f[z+(E<<2)>>2]=qa;L=F;break a}while(0);N=f[t+(E<<2)>>2]|0;M=f[t+(T<<2)>>2]|0;O=N;while(1){V=f[h+(O<<2)>>2]|0;if((V|0)<(O|0))O=V;else break}if((N|0)==(M|0))ra=O;else{V=M;while(1){S=f[h+(V<<2)>>2]|0;if((S|0)<(V|0))V=S;else break}S=(O|0)>(V|0)?V:O;P=M;do{$=h+(P<<2)|0;U=P;P=f[$>>2]|0;f[$>>2]=S}while((P|0)<(U|0));ra=S}S=N;do{P=h+(S<<2)|0;M=S;S=f[P>>2]|0;f[P>>2]=ra}while((S|0)<(M|0));S=f[z+(Q<<2)>>2]|0;N=ra;while(1){M=f[h+(N<<2)>>2]|0;if((M|0)<(N|0))N=M;else break}if((ra|0)==(S|0))sa=N;else{M=S;while(1){P=f[h+(M<<2)>>2]|0;if((P|0)<(M|0))M=P;else break}P=(N|0)>(M|0)?M:N;O=S;do{V=h+(O<<2)|0;U=O;O=f[V>>2]|0;f[V>>2]=P}while((O|0)<(U|0));sa=P}P=ra;do{O=h+(P<<2)|0;S=P;P=f[O>>2]|0;f[O>>2]=sa}while((P|0)<(S|0));f[z+(E<<2)>>2]=sa;L=F;break a}while(0);P=f[t+(E<<2)>>2]|0;S=f[t+(T<<2)>>2]|0;O=P;while(1){N=f[h+(O<<2)>>2]|0;if((N|0)<(O|0))O=N;else break}if((P|0)==(S|0))ta=O;else{N=S;while(1){M=f[h+(N<<2)>>2]|0;if((M|0)<(N|0))N=M;else break}M=(O|0)>(N|0)?N:O;U=S;do{V=h+(U<<2)|0;$=U;U=f[V>>2]|0;f[V>>2]=M}while((U|0)<($|0));ta=M}M=P;do{U=h+(M<<2)|0;S=M;M=f[U>>2]|0;f[U>>2]=ta}while((M|0)<(S|0));M=f[z+(Q<<2)>>2]|0;P=ta;while(1){S=f[h+(P<<2)>>2]|0;if((S|0)<(P|0))P=S;else break}if((ta|0)==(M|0))ua=P;else{Q=M;while(1){S=f[h+(Q<<2)>>2]|0;if((S|0)<(Q|0))Q=S;else break}S=(P|0)>(Q|0)?Q:P;U=M;do{O=h+(U<<2)|0;N=U;U=f[O>>2]|0;f[O>>2]=S}while((U|0)<(N|0));ua=S}S=ta;do{U=h+(S<<2)|0;M=S;S=f[U>>2]|0;f[U>>2]=ua}while((S|0)<(M|0));f[z+(E<<2)>>2]=ua;L=F;break a}while(0);T=E+-2|0;if(!(b[x+E>>0]|0)){va=T;break}do if((T|0)>-1){if(!(b[v+T>>0]|0))break;if(b[x+I>>0]|0){f[z+(E<<2)>>2]=f[z+(T<<2)>>2];L=F;break a}if(!(b[x+T>>0]|0)){S=f[t+(E<<2)>>2]|0;M=f[z+(T<<2)>>2]|0;U=S;while(1){P=f[h+(U<<2)>>2]|0;if((P|0)<(U|0))U=P;else break}if((S|0)==(M|0))wa=U;else{P=M;while(1){Q=f[h+(P<<2)>>2]|0;if((Q|0)<(P|0))P=Q;else break}Q=(U|0)>(P|0)?P:U;N=M;do{O=h+(N<<2)|0;$=N;N=f[O>>2]|0;f[O>>2]=Q}while((N|0)<($|0));wa=Q}Q=S;do{N=h+(Q<<2)|0;M=Q;Q=f[N>>2]|0;f[N>>2]=wa}while((Q|0)<(M|0));f[z+(E<<2)>>2]=wa;L=F;break a}do if(D){if(!(b[y+I>>0]|0))break;f[z+(E<<2)>>2]=f[z+(T<<2)>>2];L=F;break a}while(0);Q=f[t+(E<<2)>>2]|0;S=f[z+(T<<2)>>2]|0;M=Q;while(1){N=f[h+(M<<2)>>2]|0;if((N|0)<(M|0))M=N;else break}if((Q|0)==(S|0))xa=M;else{N=S;while(1){U=f[h+(N<<2)>>2]|0;if((U|0)<(N|0))N=U;else break}U=(M|0)>(N|0)?N:M;P=S;do{$=h+(P<<2)|0;O=P;P=f[$>>2]|0;f[$>>2]=U}while((P|0)<(O|0));xa=U}U=Q;do{P=h+(U<<2)|0;S=U;U=f[P>>2]|0;f[P>>2]=xa}while((U|0)<(S|0));f[z+(E<<2)>>2]=xa;L=F;break a}while(0);U=f[t+(E<<2)>>2]|0;Q=f[z+(T<<2)>>2]|0;S=U;while(1){P=f[h+(S<<2)>>2]|0;if((P|0)<(S|0))S=P;else break}if((U|0)==(Q|0))ya=S;else{T=Q;while(1){P=f[h+(T<<2)>>2]|0;if((P|0)<(T|0))T=P;else break}P=(S|0)>(T|0)?T:S;M=Q;do{N=h+(M<<2)|0;O=M;M=f[N>>2]|0;f[N>>2]=P}while((M|0)<(O|0));ya=P}P=U;do{M=h+(P<<2)|0;Q=P;P=f[M>>2]|0;f[M>>2]=ya}while((P|0)<(Q|0));f[z+(E<<2)>>2]=ya;L=F;break a}else va=E+-2|0;while(0);f[z+(E<<2)>>2]=f[z+(va<<2)>>2];L=F;break a}while(0);do if(B){if(b[x+G>>0]|0){f[z+(E<<2)>>2]=f[t+(E<<2)>>2];L=F;break a}P=E+2|0;do if(!((P|0)>=(n|0)|C)){if(!(b[x+P>>0]|0))break;if(!(b[x+E>>0]|0)){f[z+(E<<2)>>2]=f[t+(P<<2)>>2];L=F;break a}do if(D){if(!(b[y+G>>0]|0))break;f[z+(E<<2)>>2]=f[t+(P<<2)>>2];L=F;break a}while(0);U=f[t+(E<<2)>>2]|0;Q=f[t+(P<<2)>>2]|0;M=U;while(1){S=f[h+(M<<2)>>2]|0;if((S|0)<(M|0))M=S;else break}if((U|0)==(Q|0))za=M;else{S=Q;while(1){T=f[h+(S<<2)>>2]|0;if((T|0)<(S|0))S=T;else break}T=(M|0)>(S|0)?S:M;O=Q;do{N=h+(O<<2)|0;$=O;O=f[N>>2]|0;f[N>>2]=T}while((O|0)<($|0));za=T}T=U;do{O=h+(T<<2)|0;Q=T;T=f[O>>2]|0;f[O>>2]=za}while((T|0)<(Q|0));f[z+(E<<2)>>2]=za;L=F;break a}while(0);if(!(b[x+E>>0]|0))break;f[z+(E<<2)>>2]=f[t+(E<<2)>>2];L=F;break a}while(0);f[z+(E<<2)>>2]=F;f[h+(F<<2)>>2]=F;L=F+1|0;break}if(K){if(b[w+I>>0]|0){f[z+(E<<2)>>2]=f[z+(E+-2<<2)>>2];L=F;break}if(b[v+I>>0]|0){f[z+(E<<2)>>2]=f[z+(E+-2<<2)>>2];L=F;break}}f[z+(E<<2)>>2]=F;f[h+(F<<2)>>2]=F;L=F+1|0;break}do if(H){if(!(b[v+G>>0]|0)){if(!A)break;if(!(b[w+G>>0]|0))break;f[z+(E<<2)>>2]=F;f[h+(F<<2)>>2]=F;L=F+1|0;break a}if(B){if(b[x+G>>0]|0){f[z+(E<<2)>>2]=f[t+(E<<2)>>2];L=F;break a}P=E+2|0;do if(!((P|0)>=(n|0)|C)){if(!(b[x+P>>0]|0))break;if(!(b[x+E>>0]|0)){f[z+(E<<2)>>2]=f[t+(P<<2)>>2];L=F;break a}do if(D){if(!(b[y+G>>0]|0))break;f[z+(E<<2)>>2]=f[t+(P<<2)>>2];L=F;break a}while(0);T=f[t+(E<<2)>>2]|0;U=f[t+(P<<2)>>2]|0;Q=T;while(1){O=f[h+(Q<<2)>>2]|0;if((O|0)<(Q|0))Q=O;else break}if((T|0)==(U|0))Aa=Q;else{O=U;while(1){M=f[h+(O<<2)>>2]|0;if((M|0)<(O|0))O=M;else break}M=(Q|0)>(O|0)?O:Q;S=U;do{$=h+(S<<2)|0;N=S;S=f[$>>2]|0;f[$>>2]=M}while((S|0)<(N|0));Aa=M}M=T;do{S=h+(M<<2)|0;U=M;M=f[S>>2]|0;f[S>>2]=Aa}while((M|0)<(U|0));f[z+(E<<2)>>2]=Aa;L=F;break a}while(0);if(b[x+E>>0]|0){f[z+(E<<2)>>2]=f[t+(E<<2)>>2];L=F;break a}}f[z+(E<<2)>>2]=F;f[h+(F<<2)>>2]=F;L=F+1|0;break a}while(0);f[z+(E<<2)>>2]=0;L=F}else{G=E+-1|0;H=(E|0)>0;if(H){if(b[v+G>>0]|0){I=E|1;K=(I|0)<(n|0);if(B&K?b[x+I>>0]|0:0){if(b[x+E>>0]|0){f[z+(E<<2)>>2]=f[z+(E+-2<<2)>>2];L=F;break}do if(D){if(!(b[y+E>>0]|0))break;P=E+-2|0;if(b[x+G>>0]|0){f[z+(E<<2)>>2]=f[z+(P<<2)>>2];L=F;break a}do if((P|0)>-1){if(!(b[x+P>>0]|0))break;if(b[y+G>>0]|0){f[z+(E<<2)>>2]=f[z+(P<<2)>>2];L=F;break a}M=f[t+(E<<2)>>2]|0;T=f[z+(P<<2)>>2]|0;U=M;while(1){S=f[h+(U<<2)>>2]|0;if((S|0)<(U|0))U=S;else break}if((M|0)==(T|0))Ba=U;else{S=T;while(1){Q=f[h+(S<<2)>>2]|0;if((Q|0)<(S|0))S=Q;else break}Q=(U|0)>(S|0)?S:U;O=T;do{N=h+(O<<2)|0;$=O;O=f[N>>2]|0;f[N>>2]=Q}while((O|0)<($|0));Ba=Q}Q=M;do{O=h+(Q<<2)|0;T=Q;Q=f[O>>2]|0;f[O>>2]=Ba}while((Q|0)<(T|0));f[z+(E<<2)>>2]=Ba;L=F;break a}while(0);Q=f[t+(E<<2)>>2]|0;M=f[z+(P<<2)>>2]|0;T=Q;while(1){O=f[h+(T<<2)>>2]|0;if((O|0)<(T|0))T=O;else break}if((Q|0)==(M|0))Ca=T;else{P=M;while(1){O=f[h+(P<<2)>>2]|0;if((O|0)<(P|0))P=O;else break}O=(T|0)>(P|0)?P:T;U=M;do{S=h+(U<<2)|0;$=U;U=f[S>>2]|0;f[S>>2]=O}while((U|0)<($|0));Ca=O}O=Q;do{U=h+(O<<2)|0;M=O;O=f[U>>2]|0;f[U>>2]=Ca}while((O|0)<(M|0));f[z+(E<<2)>>2]=Ca;L=F;break a}while(0);O=f[t+(E<<2)>>2]|0;Q=f[z+(E+-2<<2)>>2]|0;M=O;while(1){U=f[h+(M<<2)>>2]|0;if((U|0)<(M|0))M=U;else break}if((O|0)==(Q|0))Da=M;else{U=Q;while(1){T=f[h+(U<<2)>>2]|0;if((T|0)<(U|0))U=T;else break}T=(M|0)>(U|0)?U:M;P=Q;do{$=h+(P<<2)|0;S=P;P=f[$>>2]|0;f[$>>2]=T}while((P|0)<(S|0));Da=T}T=O;do{P=h+(T<<2)|0;Q=T;T=f[P>>2]|0;f[P>>2]=Da}while((T|0)<(Q|0));f[z+(E<<2)>>2]=Da;L=F;break}if(K?b[v+I>>0]|0:0){T=E+2|0;do if(B&(T|0)<(n|0)){if(!(b[x+T>>0]|0))break;do if(D){if(!(b[y+I>>0]|0))break;if(b[x+E>>0]|0){f[z+(E<<2)>>2]=f[z+(E+-2<<2)>>2];L=F;break a}if(!(b[y+E>>0]|0)){O=f[t+(T<<2)>>2]|0;Q=f[z+(E+-2<<2)>>2]|0;P=O;while(1){M=f[h+(P<<2)>>2]|0;if((M|0)<(P|0))P=M;else break}if((O|0)==(Q|0))Ea=P;else{M=Q;while(1){U=f[h+(M<<2)>>2]|0;if((U|0)<(M|0))M=U;else break}U=(P|0)>(M|0)?M:P;S=Q;do{$=h+(S<<2)|0;N=S;S=f[$>>2]|0;f[$>>2]=U}while((S|0)<(N|0));Ea=U}U=O;do{S=h+(U<<2)|0;Q=U;U=f[S>>2]|0;f[S>>2]=Ea}while((U|0)<(Q|0));f[z+(E<<2)>>2]=Ea;L=F;break a}U=E+-2|0;if(b[x+G>>0]|0){f[z+(E<<2)>>2]=f[z+(U<<2)>>2];L=F;break a}do if((U|0)>-1){if(!(b[x+U>>0]|0))break;if(b[y+G>>0]|0){f[z+(E<<2)>>2]=f[z+(U<<2)>>2];L=F;break a}O=f[t+(T<<2)>>2]|0;Q=f[z+(U<<2)>>2]|0;S=O;while(1){P=f[h+(S<<2)>>2]|0;if((P|0)<(S|0))S=P;else break}if((O|0)==(Q|0))Fa=S;else{P=Q;while(1){M=f[h+(P<<2)>>2]|0;if((M|0)<(P|0))P=M;else break}M=(S|0)>(P|0)?P:S;N=Q;do{$=h+(N<<2)|0;V=N;N=f[$>>2]|0;f[$>>2]=M}while((N|0)<(V|0));Fa=M}M=O;do{N=h+(M<<2)|0;Q=M;M=f[N>>2]|0;f[N>>2]=Fa}while((M|0)<(Q|0));f[z+(E<<2)>>2]=Fa;L=F;break a}while(0);M=f[t+(T<<2)>>2]|0;O=f[z+(U<<2)>>2]|0;Q=M;while(1){N=f[h+(Q<<2)>>2]|0;if((N|0)<(Q|0))Q=N;else break}if((M|0)==(O|0))Ga=Q;else{U=O;while(1){N=f[h+(U<<2)>>2]|0;if((N|0)<(U|0))U=N;else break}N=(Q|0)>(U|0)?U:Q;S=O;do{P=h+(S<<2)|0;V=S;S=f[P>>2]|0;f[P>>2]=N}while((S|0)<(V|0));Ga=N}N=M;do{S=h+(N<<2)|0;O=N;N=f[S>>2]|0;f[S>>2]=Ga}while((N|0)<(O|0));f[z+(E<<2)>>2]=Ga;L=F;break a}while(0);N=f[t+(T<<2)>>2]|0;M=f[z+(E+-2<<2)>>2]|0;O=N;while(1){S=f[h+(O<<2)>>2]|0;if((S|0)<(O|0))O=S;else break}if((N|0)==(M|0))Ha=O;else{S=M;while(1){Q=f[h+(S<<2)>>2]|0;if((Q|0)<(S|0))S=Q;else break}Q=(O|0)>(S|0)?S:O;U=M;do{V=h+(U<<2)|0;P=U;U=f[V>>2]|0;f[V>>2]=Q}while((U|0)<(P|0));Ha=Q}Q=N;do{U=h+(Q<<2)|0;M=Q;Q=f[U>>2]|0;f[U>>2]=Ha}while((Q|0)<(M|0));f[z+(E<<2)>>2]=Ha;L=F;break a}while(0);f[z+(E<<2)>>2]=f[z+(E+-2<<2)>>2];L=F;break}f[z+(E<<2)>>2]=f[z+(E+-2<<2)>>2];L=F;break}if(A?b[w+G>>0]|0:0){T=E|1;I=(T|0)<(n|0);if(!(C|I^1)?b[x+T>>0]|0:0){K=E+-2|0;do if((K|0)>-1){if(!(b[v+K>>0]|0))break;if(b[x+G>>0]|0){Q=f[z+(K<<2)>>2]|0;if(b[x+E>>0]|0){f[z+(E<<2)>>2]=Q;L=F;break a}do if(D){if(!(b[y+E>>0]|0))break;f[z+(E<<2)>>2]=Q;L=F;break a}while(0);N=f[t+(E<<2)>>2]|0;M=N;while(1){U=f[h+(M<<2)>>2]|0;if((U|0)<(M|0))M=U;else break}if((N|0)==(Q|0))Ia=M;else{U=Q;while(1){O=f[h+(U<<2)>>2]|0;if((O|0)<(U|0))U=O;else break}O=(M|0)>(U|0)?U:M;S=Q;do{P=h+(S<<2)|0;V=S;S=f[P>>2]|0;f[P>>2]=O}while((S|0)<(V|0));Ia=O}O=N;do{S=h+(O<<2)|0;Q=O;O=f[S>>2]|0;f[S>>2]=Ia}while((O|0)<(Q|0));f[z+(E<<2)>>2]=Ia;L=F;break a}if(!(b[x+K>>0]|0)){O=f[t+(E<<2)>>2]|0;N=f[z+(K<<2)>>2]|0;Q=O;while(1){S=f[h+(Q<<2)>>2]|0;if((S|0)<(Q|0))Q=S;else break}if((O|0)==(N|0))Ja=Q;else{S=N;while(1){M=f[h+(S<<2)>>2]|0;if((M|0)<(S|0))S=M;else break}M=(Q|0)>(S|0)?S:Q;U=N;do{V=h+(U<<2)|0;P=U;U=f[V>>2]|0;f[V>>2]=M}while((U|0)<(P|0));Ja=M}M=O;do{U=h+(M<<2)|0;N=M;M=f[U>>2]|0;f[U>>2]=Ja}while((M|0)<(N|0));f[z+(E<<2)>>2]=Ja;L=F;break a}do if(D){if(!(b[y+G>>0]|0))break;M=f[z+(K<<2)>>2]|0;if(b[x+E>>0]|0){f[z+(E<<2)>>2]=M;L=F;break a}if(b[y+E>>0]|0){f[z+(E<<2)>>2]=M;L=F;break a}O=f[t+(E<<2)>>2]|0;N=O;while(1){U=f[h+(N<<2)>>2]|0;if((U|0)<(N|0))N=U;else break}if((O|0)==(M|0))Ka=N;else{U=M;while(1){Q=f[h+(U<<2)>>2]|0;if((Q|0)<(U|0))U=Q;else break}Q=(N|0)>(U|0)?U:N;S=M;do{P=h+(S<<2)|0;V=S;S=f[P>>2]|0;f[P>>2]=Q}while((S|0)<(V|0));Ka=Q}Q=O;do{S=h+(Q<<2)|0;M=Q;Q=f[S>>2]|0;f[S>>2]=Ka}while((Q|0)<(M|0));f[z+(E<<2)>>2]=Ka;L=F;break a}while(0);Q=f[t+(E<<2)>>2]|0;O=f[z+(K<<2)>>2]|0;M=Q;while(1){S=f[h+(M<<2)>>2]|0;if((S|0)<(M|0))M=S;else break}if((Q|0)==(O|0))La=M;else{S=O;while(1){N=f[h+(S<<2)>>2]|0;if((N|0)<(S|0))S=N;else break}N=(M|0)>(S|0)?S:M;U=O;do{V=h+(U<<2)|0;P=U;U=f[V>>2]|0;f[V>>2]=N}while((U|0)<(P|0));La=N}N=Q;do{U=h+(N<<2)|0;O=N;N=f[U>>2]|0;f[U>>2]=La}while((N|0)<(O|0));f[z+(E<<2)>>2]=La;L=F;break a}while(0);if(b[x+E>>0]|0){N=f[t+(E<<2)>>2]|0;Q=f[z+(K<<2)>>2]|0;O=N;while(1){U=f[h+(O<<2)>>2]|0;if((U|0)<(O|0))O=U;else break}if((N|0)==(Q|0))Ma=O;else{U=Q;while(1){M=f[h+(U<<2)>>2]|0;if((M|0)<(U|0))U=M;else break}M=(O|0)>(U|0)?U:O;S=Q;do{P=h+(S<<2)|0;V=S;S=f[P>>2]|0;f[P>>2]=M}while((S|0)<(V|0));Ma=M}M=N;do{S=h+(M<<2)|0;Q=M;M=f[S>>2]|0;f[S>>2]=Ma}while((M|0)<(Q|0));f[z+(E<<2)>>2]=Ma;L=F;break}M=f[t+(E<<2)>>2]|0;if(!(b[x+G>>0]|0)){N=f[z+(K<<2)>>2]|0;Q=M;while(1){S=f[h+(Q<<2)>>2]|0;if((S|0)<(Q|0))Q=S;else break}if((M|0)==(N|0))Na=Q;else{S=N;while(1){O=f[h+(S<<2)>>2]|0;if((O|0)<(S|0))S=O;else break}O=(Q|0)>(S|0)?S:Q;U=N;do{V=h+(U<<2)|0;P=U;U=f[V>>2]|0;f[V>>2]=O}while((U|0)<(P|0));Na=O}O=M;do{U=h+(O<<2)|0;N=O;O=f[U>>2]|0;f[U>>2]=Na}while((O|0)<(N|0));f[z+(E<<2)>>2]=Na;L=F;break}do if(D){if(!(b[y+E>>0]|0))break;O=f[z+(K<<2)>>2]|0;N=M;while(1){U=f[h+(N<<2)>>2]|0;if((U|0)<(N|0))N=U;else break}if((M|0)==(O|0))Oa=N;else{U=O;while(1){Q=f[h+(U<<2)>>2]|0;if((Q|0)<(U|0))U=Q;else break}Q=(N|0)>(U|0)?U:N;S=O;do{P=h+(S<<2)|0;V=S;S=f[P>>2]|0;f[P>>2]=Q}while((S|0)<(V|0));Oa=Q}Q=M;do{S=h+(Q<<2)|0;O=Q;Q=f[S>>2]|0;f[S>>2]=Oa}while((Q|0)<(O|0));f[z+(E<<2)>>2]=Oa;L=F;break a}while(0);Q=f[t+(K<<2)>>2]|0;O=Q;while(1){S=f[h+(O<<2)>>2]|0;if((S|0)<(O|0))O=S;else break}if((Q|0)==(M|0))Pa=O;else{S=M;while(1){N=f[h+(S<<2)>>2]|0;if((N|0)<(S|0))S=N;else break}N=(O|0)>(S|0)?S:O;U=M;do{V=h+(U<<2)|0;P=U;U=f[V>>2]|0;f[V>>2]=N}while((U|0)<(P|0));Pa=N}N=Q;do{U=h+(N<<2)|0;M=N;N=f[U>>2]|0;f[U>>2]=Pa}while((N|0)<(M|0));N=f[z+(K<<2)>>2]|0;Q=Pa;while(1){M=f[h+(Q<<2)>>2]|0;if((M|0)<(Q|0))Q=M;else break}if((Pa|0)==(N|0))Qa=Q;else{K=N;while(1){M=f[h+(K<<2)>>2]|0;if((M|0)<(K|0))K=M;else break}M=(Q|0)>(K|0)?K:Q;U=N;do{O=h+(U<<2)|0;S=U;U=f[O>>2]|0;f[O>>2]=M}while((U|0)<(S|0));Qa=M}M=Pa;do{U=h+(M<<2)|0;N=M;M=f[U>>2]|0;f[U>>2]=Qa}while((M|0)<(N|0));f[z+(E<<2)>>2]=Qa;L=F;break}if(I?b[v+T>>0]|0:0){M=E+2|0;do if(!((M|0)>=(n|0)|C)){if(!(b[x+M>>0]|0))break;N=E+-2|0;do if((N|0)>-1){if(!(b[v+N>>0]|0))break;if(b[x+G>>0]|0){do if(D){if(!(b[y+T>>0]|0))break;U=f[z+(N<<2)>>2]|0;if(b[x+E>>0]|0){f[z+(E<<2)>>2]=U;L=F;break a}if(b[y+E>>0]|0){f[z+(E<<2)>>2]=U;L=F;break a}Q=f[t+(M<<2)>>2]|0;K=Q;while(1){S=f[h+(K<<2)>>2]|0;if((S|0)<(K|0))K=S;else break}if((Q|0)==(U|0))Ra=K;else{S=U;while(1){O=f[h+(S<<2)>>2]|0;if((O|0)<(S|0))S=O;else break}O=(K|0)>(S|0)?S:K;P=U;do{V=h+(P<<2)|0;$=P;P=f[V>>2]|0;f[V>>2]=O}while((P|0)<($|0));Ra=O}O=Q;do{P=h+(O<<2)|0;U=O;O=f[P>>2]|0;f[P>>2]=Ra}while((O|0)<(U|0));f[z+(E<<2)>>2]=Ra;L=F;break a}while(0);O=f[t+(M<<2)>>2]|0;Q=f[z+(N<<2)>>2]|0;U=O;while(1){P=f[h+(U<<2)>>2]|0;if((P|0)<(U|0))U=P;else break}if((O|0)==(Q|0))Sa=U;else{P=Q;while(1){K=f[h+(P<<2)>>2]|0;if((K|0)<(P|0))P=K;else break}K=(U|0)>(P|0)?P:U;S=Q;do{$=h+(S<<2)|0;V=S;S=f[$>>2]|0;f[$>>2]=K}while((S|0)<(V|0));Sa=K}K=O;do{S=h+(K<<2)|0;Q=K;K=f[S>>2]|0;f[S>>2]=Sa}while((K|0)<(Q|0));f[z+(E<<2)>>2]=Sa;L=F;break a}do if(D){if(!(b[y+T>>0]|0))break;if(!(b[x+N>>0]|0)){K=f[t+(M<<2)>>2]|0;O=f[z+(N<<2)>>2]|0;Q=K;while(1){S=f[h+(Q<<2)>>2]|0;if((S|0)<(Q|0))Q=S;else break}if((K|0)==(O|0))Ta=Q;else{S=O;while(1){U=f[h+(S<<2)>>2]|0;if((U|0)<(S|0))S=U;else break}U=(Q|0)>(S|0)?S:Q;P=O;do{V=h+(P<<2)|0;$=P;P=f[V>>2]|0;f[V>>2]=U}while((P|0)<($|0));Ta=U}U=K;do{P=h+(U<<2)|0;O=U;U=f[P>>2]|0;f[P>>2]=Ta}while((U|0)<(O|0));f[z+(E<<2)>>2]=Ta;L=F;break a}if(!(b[y+G>>0]|0)){U=f[t+(M<<2)>>2]|0;K=f[z+(N<<2)>>2]|0;O=U;while(1){P=f[h+(O<<2)>>2]|0;if((P|0)<(O|0))O=P;else break}if((U|0)==(K|0))Ua=O;else{P=K;while(1){Q=f[h+(P<<2)>>2]|0;if((Q|0)<(P|0))P=Q;else break}Q=(O|0)>(P|0)?P:O;S=K;do{$=h+(S<<2)|0;V=S;S=f[$>>2]|0;f[$>>2]=Q}while((S|0)<(V|0));Ua=Q}Q=U;do{S=h+(Q<<2)|0;K=Q;Q=f[S>>2]|0;f[S>>2]=Ua}while((Q|0)<(K|0));f[z+(E<<2)>>2]=Ua;L=F;break a}Q=f[z+(N<<2)>>2]|0;if(b[x+E>>0]|0){f[z+(E<<2)>>2]=Q;L=F;break a}if(b[y+E>>0]|0){f[z+(E<<2)>>2]=Q;L=F;break a}U=f[t+(M<<2)>>2]|0;K=U;while(1){S=f[h+(K<<2)>>2]|0;if((S|0)<(K|0))K=S;else break}if((U|0)==(Q|0))Va=K;else{S=Q;while(1){O=f[h+(S<<2)>>2]|0;if((O|0)<(S|0))S=O;else break}O=(K|0)>(S|0)?S:K;P=Q;do{V=h+(P<<2)|0;$=P;P=f[V>>2]|0;f[V>>2]=O}while((P|0)<($|0));Va=O}O=U;do{P=h+(O<<2)|0;Q=O;O=f[P>>2]|0;f[P>>2]=Va}while((O|0)<(Q|0));f[z+(E<<2)>>2]=Va;L=F;break a}while(0);if(!(b[x+E>>0]|0)){O=f[t+(M<<2)>>2]|0;U=f[z+(N<<2)>>2]|0;Q=O;while(1){P=f[h+(Q<<2)>>2]|0;if((P|0)<(Q|0))Q=P;else break}if((O|0)==(U|0))Wa=Q;else{P=U;while(1){K=f[h+(P<<2)>>2]|0;if((K|0)<(P|0))P=K;else break}K=(Q|0)>(P|0)?P:Q;S=U;do{$=h+(S<<2)|0;V=S;S=f[$>>2]|0;f[$>>2]=K}while((S|0)<(V|0));Wa=K}K=O;do{S=h+(K<<2)|0;U=K;K=f[S>>2]|0;f[S>>2]=Wa}while((K|0)<(U|0));f[z+(E<<2)>>2]=Wa;L=F;break a}if(!(b[x+N>>0]|0)){K=f[t+(E<<2)>>2]|0;O=f[t+(M<<2)>>2]|0;U=K;while(1){S=f[h+(U<<2)>>2]|0;if((S|0)<(U|0))U=S;else break}if((K|0)==(O|0))Xa=U;else{S=O;while(1){Q=f[h+(S<<2)>>2]|0;if((Q|0)<(S|0))S=Q;else break}Q=(U|0)>(S|0)?S:U;P=O;do{V=h+(P<<2)|0;$=P;P=f[V>>2]|0;f[V>>2]=Q}while((P|0)<($|0));Xa=Q}Q=K;do{P=h+(Q<<2)|0;O=Q;Q=f[P>>2]|0;f[P>>2]=Xa}while((Q|0)<(O|0));Q=f[z+(N<<2)>>2]|0;K=Xa;while(1){O=f[h+(K<<2)>>2]|0;if((O|0)<(K|0))K=O;else break}if((Xa|0)==(Q|0))Ya=K;else{O=Q;while(1){P=f[h+(O<<2)>>2]|0;if((P|0)<(O|0))O=P;else break}P=(K|0)>(O|0)?O:K;U=Q;do{S=h+(U<<2)|0;$=U;U=f[S>>2]|0;f[S>>2]=P}while((U|0)<($|0));Ya=P}P=Xa;do{U=h+(P<<2)|0;Q=P;P=f[U>>2]|0;f[U>>2]=Ya}while((P|0)<(Q|0));f[z+(E<<2)>>2]=Ya;L=F;break a}do if(D){if(!(b[y+G>>0]|0))break;P=f[t+(M<<2)>>2]|0;Q=f[z+(N<<2)>>2]|0;U=P;while(1){K=f[h+(U<<2)>>2]|0;if((K|0)<(U|0))U=K;else break}if((P|0)==(Q|0))Za=U;else{K=Q;while(1){O=f[h+(K<<2)>>2]|0;if((O|0)<(K|0))K=O;else break}O=(U|0)>(K|0)?K:U;$=Q;do{S=h+($<<2)|0;V=$;$=f[S>>2]|0;f[S>>2]=O}while(($|0)<(V|0));Za=O}O=P;do{$=h+(O<<2)|0;Q=O;O=f[$>>2]|0;f[$>>2]=Za}while((O|0)<(Q|0));f[z+(E<<2)>>2]=Za;L=F;break a}while(0);O=f[t+(E<<2)>>2]|0;P=f[t+(M<<2)>>2]|0;Q=O;while(1){$=f[h+(Q<<2)>>2]|0;if(($|0)<(Q|0))Q=$;else break}if((O|0)==(P|0))_a=Q;else{$=P;while(1){U=f[h+($<<2)>>2]|0;if((U|0)<($|0))$=U;else break}U=(Q|0)>($|0)?$:Q;K=P;do{V=h+(K<<2)|0;S=K;K=f[V>>2]|0;f[V>>2]=U}while((K|0)<(S|0));_a=U}U=O;do{K=h+(U<<2)|0;P=U;U=f[K>>2]|0;f[K>>2]=_a}while((U|0)<(P|0));U=f[z+(N<<2)>>2]|0;O=_a;while(1){P=f[h+(O<<2)>>2]|0;if((P|0)<(O|0))O=P;else break}if((_a|0)==(U|0))$a=O;else{P=U;while(1){K=f[h+(P<<2)>>2]|0;if((K|0)<(P|0))P=K;else break}K=(O|0)>(P|0)?P:O;Q=U;do{$=h+(Q<<2)|0;S=Q;Q=f[$>>2]|0;f[$>>2]=K}while((Q|0)<(S|0));$a=K}K=_a;do{Q=h+(K<<2)|0;U=K;K=f[Q>>2]|0;f[Q>>2]=$a}while((K|0)<(U|0));f[z+(E<<2)>>2]=$a;L=F;break a}while(0);if(b[x+E>>0]|0){do if(D){if(!(b[y+T>>0]|0))break;K=f[t+(M<<2)>>2]|0;U=f[z+(N<<2)>>2]|0;Q=K;while(1){O=f[h+(Q<<2)>>2]|0;if((O|0)<(Q|0))Q=O;else break}if((K|0)==(U|0))ab=Q;else{O=U;while(1){P=f[h+(O<<2)>>2]|0;if((P|0)<(O|0))O=P;else break}P=(Q|0)>(O|0)?O:Q;S=U;do{$=h+(S<<2)|0;V=S;S=f[$>>2]|0;f[$>>2]=P}while((S|0)<(V|0));ab=P}P=K;do{S=h+(P<<2)|0;U=P;P=f[S>>2]|0;f[S>>2]=ab}while((P|0)<(U|0));f[z+(E<<2)>>2]=ab;L=F;break a}while(0);P=f[t+(E<<2)>>2]|0;K=f[t+(M<<2)>>2]|0;U=P;while(1){S=f[h+(U<<2)>>2]|0;if((S|0)<(U|0))U=S;else break}if((P|0)==(K|0))bb=U;else{S=K;while(1){Q=f[h+(S<<2)>>2]|0;if((Q|0)<(S|0))S=Q;else break}Q=(U|0)>(S|0)?S:U;O=K;do{V=h+(O<<2)|0;$=O;O=f[V>>2]|0;f[V>>2]=Q}while((O|0)<($|0));bb=Q}Q=P;do{O=h+(Q<<2)|0;K=Q;Q=f[O>>2]|0;f[O>>2]=bb}while((Q|0)<(K|0));Q=f[z+(N<<2)>>2]|0;P=bb;while(1){K=f[h+(P<<2)>>2]|0;if((K|0)<(P|0))P=K;else break}if((bb|0)==(Q|0))cb=P;else{K=Q;while(1){O=f[h+(K<<2)>>2]|0;if((O|0)<(K|0))K=O;else break}O=(P|0)>(K|0)?K:P;U=Q;do{S=h+(U<<2)|0;$=U;U=f[S>>2]|0;f[S>>2]=O}while((U|0)<($|0));cb=O}O=bb;do{U=h+(O<<2)|0;Q=O;O=f[U>>2]|0;f[U>>2]=cb}while((O|0)<(Q|0));f[z+(E<<2)>>2]=cb;L=F;break a}if(!(b[x+G>>0]|0)){O=f[t+(M<<2)>>2]|0;Q=f[z+(N<<2)>>2]|0;U=O;while(1){P=f[h+(U<<2)>>2]|0;if((P|0)<(U|0))U=P;else break}if((O|0)==(Q|0))db=U;else{P=Q;while(1){K=f[h+(P<<2)>>2]|0;if((K|0)<(P|0))P=K;else break}K=(U|0)>(P|0)?P:U;$=Q;do{S=h+($<<2)|0;V=$;$=f[S>>2]|0;f[S>>2]=K}while(($|0)<(V|0));db=K}K=O;do{$=h+(K<<2)|0;Q=K;K=f[$>>2]|0;f[$>>2]=db}while((K|0)<(Q|0));f[z+(E<<2)>>2]=db;L=F;break a}do if(D){if(!(b[y+T>>0]|0))break;K=f[t+(M<<2)>>2]|0;if(b[y+E>>0]|0){O=f[z+(N<<2)>>2]|0;Q=K;while(1){$=f[h+(Q<<2)>>2]|0;if(($|0)<(Q|0))Q=$;else break}if((K|0)==(O|0))eb=Q;else{$=O;while(1){U=f[h+($<<2)>>2]|0;if((U|0)<($|0))$=U;else break}U=(Q|0)>($|0)?$:Q;P=O;do{V=h+(P<<2)|0;S=P;P=f[V>>2]|0;f[V>>2]=U}while((P|0)<(S|0));eb=U}U=K;do{P=h+(U<<2)|0;O=U;U=f[P>>2]|0;f[P>>2]=eb}while((U|0)<(O|0));f[z+(E<<2)>>2]=eb;L=F;break a}U=f[t+(N<<2)>>2]|0;O=U;while(1){P=f[h+(O<<2)>>2]|0;if((P|0)<(O|0))O=P;else break}if((U|0)==(K|0))fb=O;else{P=K;while(1){Q=f[h+(P<<2)>>2]|0;if((Q|0)<(P|0))P=Q;else break}Q=(O|0)>(P|0)?P:O;$=K;do{S=h+($<<2)|0;V=$;$=f[S>>2]|0;f[S>>2]=Q}while(($|0)<(V|0));fb=Q}Q=U;do{$=h+(Q<<2)|0;K=Q;Q=f[$>>2]|0;f[$>>2]=fb}while((Q|0)<(K|0));Q=f[z+(N<<2)>>2]|0;U=fb;while(1){K=f[h+(U<<2)>>2]|0;if((K|0)<(U|0))U=K;else break}if((fb|0)==(Q|0))gb=U;else{K=Q;while(1){$=f[h+(K<<2)>>2]|0;if(($|0)<(K|0))K=$;else break}$=(U|0)>(K|0)?K:U;O=Q;do{P=h+(O<<2)|0;V=O;O=f[P>>2]|0;f[P>>2]=$}while((O|0)<(V|0));gb=$}$=fb;do{O=h+($<<2)|0;Q=$;$=f[O>>2]|0;f[O>>2]=gb}while(($|0)<(Q|0));f[z+(E<<2)>>2]=gb;L=F;break a}while(0);$=f[t+(N<<2)>>2]|0;Q=f[t+(M<<2)>>2]|0;O=$;while(1){U=f[h+(O<<2)>>2]|0;if((U|0)<(O|0))O=U;else break}if(($|0)==(Q|0))hb=O;else{U=Q;while(1){K=f[h+(U<<2)>>2]|0;if((K|0)<(U|0))U=K;else break}K=(O|0)>(U|0)?U:O;V=Q;do{P=h+(V<<2)|0;S=V;V=f[P>>2]|0;f[P>>2]=K}while((V|0)<(S|0));hb=K}K=$;do{V=h+(K<<2)|0;Q=K;K=f[V>>2]|0;f[V>>2]=hb}while((K|0)<(Q|0));K=f[z+(N<<2)>>2]|0;$=hb;while(1){Q=f[h+($<<2)>>2]|0;if((Q|0)<($|0))$=Q;else break}if((hb|0)==(K|0))ib=$;else{N=K;while(1){Q=f[h+(N<<2)>>2]|0;if((Q|0)<(N|0))N=Q;else break}Q=($|0)>(N|0)?N:$;V=K;do{O=h+(V<<2)|0;U=V;V=f[O>>2]|0;f[O>>2]=Q}while((V|0)<(U|0));ib=Q}Q=hb;do{V=h+(Q<<2)|0;K=Q;Q=f[V>>2]|0;f[V>>2]=ib}while((Q|0)<(K|0));f[z+(E<<2)>>2]=ib;L=F;break a}while(0);do if(B){M=E+-2|0;if(b[x+G>>0]|0){T=f[z+(M<<2)>>2]|0;do if((M|0)>-1){if(!(b[v+M>>0]|0))break;f[z+(E<<2)>>2]=T;L=F;break a}while(0);I=f[t+(M<<2)>>2]|0;Q=I;while(1){K=f[h+(Q<<2)>>2]|0;if((K|0)<(Q|0))Q=K;else break}if((I|0)==(T|0))jb=Q;else{K=T;while(1){V=f[h+(K<<2)>>2]|0;if((V|0)<(K|0))K=V;else break}V=(Q|0)>(K|0)?K:Q;$=T;do{N=h+($<<2)|0;U=$;$=f[N>>2]|0;f[N>>2]=V}while(($|0)<(U|0));jb=V}V=I;do{$=h+(V<<2)|0;T=V;V=f[$>>2]|0;f[$>>2]=jb}while((V|0)<(T|0));f[z+(E<<2)>>2]=jb;L=F;break a}if(!(b[x+E>>0]|0)){kb=M;break}do if((M|0)>-1){if(!(b[v+M>>0]|0))break;if(!(b[x+M>>0]|0)){V=f[t+(E<<2)>>2]|0;I=f[z+(M<<2)>>2]|0;T=V;while(1){$=f[h+(T<<2)>>2]|0;if(($|0)<(T|0))T=$;else break}if((V|0)==(I|0))lb=T;else{$=I;while(1){Q=f[h+($<<2)>>2]|0;if((Q|0)<($|0))$=Q;else break}Q=(T|0)>($|0)?$:T;K=I;do{U=h+(K<<2)|0;N=K;K=f[U>>2]|0;f[U>>2]=Q}while((K|0)<(N|0));lb=Q}Q=V;do{K=h+(Q<<2)|0;I=Q;Q=f[K>>2]|0;f[K>>2]=lb}while((Q|0)<(I|0));f[z+(E<<2)>>2]=lb;L=F;break a}do if(D){if(!(b[y+G>>0]|0))break;f[z+(E<<2)>>2]=f[z+(M<<2)>>2];L=F;break a}while(0);Q=f[t+(E<<2)>>2]|0;V=f[z+(M<<2)>>2]|0;I=Q;while(1){K=f[h+(I<<2)>>2]|0;if((K|0)<(I|0))I=K;else break}if((Q|0)==(V|0))mb=I;else{K=V;while(1){T=f[h+(K<<2)>>2]|0;if((T|0)<(K|0))K=T;else break}T=(I|0)>(K|0)?K:I;$=V;do{N=h+($<<2)|0;U=$;$=f[N>>2]|0;f[N>>2]=T}while(($|0)<(U|0));mb=T}T=Q;do{$=h+(T<<2)|0;V=T;T=f[$>>2]|0;f[$>>2]=mb}while((T|0)<(V|0));f[z+(E<<2)>>2]=mb;L=F;break a}while(0);T=f[t+(E<<2)>>2]|0;Q=f[z+(M<<2)>>2]|0;V=T;while(1){$=f[h+(V<<2)>>2]|0;if(($|0)<(V|0))V=$;else break}if((T|0)==(Q|0))nb=V;else{M=Q;while(1){$=f[h+(M<<2)>>2]|0;if(($|0)<(M|0))M=$;else break}$=(V|0)>(M|0)?M:V;I=Q;do{K=h+(I<<2)|0;U=I;I=f[K>>2]|0;f[K>>2]=$}while((I|0)<(U|0));nb=$}$=T;do{I=h+($<<2)|0;Q=$;$=f[I>>2]|0;f[I>>2]=nb}while(($|0)<(Q|0));f[z+(E<<2)>>2]=nb;L=F;break a}else kb=E+-2|0;while(0);f[z+(E<<2)>>2]=f[z+(kb<<2)>>2];L=F;break}do if(B){$=E+-2|0;if(b[x+G>>0]|0){T=f[z+($<<2)>>2]|0;do if(($|0)>-1){if(!(b[v+$>>0]|0))break;f[z+(E<<2)>>2]=T;L=F;break a}while(0);Q=f[t+($<<2)>>2]|0;I=Q;while(1){V=f[h+(I<<2)>>2]|0;if((V|0)<(I|0))I=V;else break}if((Q|0)==(T|0))ob=I;else{V=T;while(1){M=f[h+(V<<2)>>2]|0;if((M|0)<(V|0))V=M;else break}M=(I|0)>(V|0)?V:I;U=T;do{K=h+(U<<2)|0;N=U;U=f[K>>2]|0;f[K>>2]=M}while((U|0)<(N|0));ob=M}M=Q;do{U=h+(M<<2)|0;T=M;M=f[U>>2]|0;f[U>>2]=ob}while((M|0)<(T|0));f[z+(E<<2)>>2]=ob;L=F;break a}if(!(b[x+E>>0]|0)){pb=$;break}do if(($|0)>-1){if(!(b[v+$>>0]|0))break;if(!(b[x+$>>0]|0)){M=f[t+(E<<2)>>2]|0;Q=f[z+($<<2)>>2]|0;T=M;while(1){U=f[h+(T<<2)>>2]|0;if((U|0)<(T|0))T=U;else break}if((M|0)==(Q|0))qb=T;else{U=Q;while(1){I=f[h+(U<<2)>>2]|0;if((I|0)<(U|0))U=I;else break}I=(T|0)>(U|0)?U:T;V=Q;do{N=h+(V<<2)|0;K=V;V=f[N>>2]|0;f[N>>2]=I}while((V|0)<(K|0));qb=I}I=M;do{V=h+(I<<2)|0;Q=I;I=f[V>>2]|0;f[V>>2]=qb}while((I|0)<(Q|0));f[z+(E<<2)>>2]=qb;L=F;break a}do if(D){if(!(b[y+G>>0]|0))break;f[z+(E<<2)>>2]=f[z+($<<2)>>2];L=F;break a}while(0);I=f[t+(E<<2)>>2]|0;M=f[z+($<<2)>>2]|0;Q=I;while(1){V=f[h+(Q<<2)>>2]|0;if((V|0)<(Q|0))Q=V;else break}if((I|0)==(M|0))rb=Q;else{V=M;while(1){T=f[h+(V<<2)>>2]|0;if((T|0)<(V|0))V=T;else break}T=(Q|0)>(V|0)?V:Q;U=M;do{K=h+(U<<2)|0;N=U;U=f[K>>2]|0;f[K>>2]=T}while((U|0)<(N|0));rb=T}T=I;do{U=h+(T<<2)|0;M=T;T=f[U>>2]|0;f[U>>2]=rb}while((T|0)<(M|0));f[z+(E<<2)>>2]=rb;L=F;break a}while(0);T=f[t+(E<<2)>>2]|0;I=f[z+($<<2)>>2]|0;M=T;while(1){U=f[h+(M<<2)>>2]|0;if((U|0)<(M|0))M=U;else break}if((T|0)==(I|0))sb=M;else{$=I;while(1){U=f[h+($<<2)>>2]|0;if((U|0)<($|0))$=U;else break}U=(M|0)>($|0)?$:M;Q=I;do{V=h+(Q<<2)|0;N=Q;Q=f[V>>2]|0;f[V>>2]=U}while((Q|0)<(N|0));sb=U}U=T;do{Q=h+(U<<2)|0;I=U;U=f[Q>>2]|0;f[Q>>2]=sb}while((U|0)<(I|0));f[z+(E<<2)>>2]=sb;L=F;break a}else pb=E+-2|0;while(0);f[z+(E<<2)>>2]=f[z+(pb<<2)>>2];L=F;break}}U=E|1;T=(U|0)<(n|0);if(!(C|T^1)?b[x+U>>0]|0:0){if(b[x+E>>0]|0){f[z+(E<<2)>>2]=f[t+(E<<2)>>2];L=F;break}if(H?b[x+G>>0]|0:0){I=f[t+(E<<2)>>2]|0;do if(D){if(!(b[y+E>>0]|0))break;f[z+(E<<2)>>2]=I;L=F;break a}while(0);Q=f[t+(E+-2<<2)>>2]|0;M=Q;while(1){$=f[h+(M<<2)>>2]|0;if(($|0)<(M|0))M=$;else break}if((Q|0)==(I|0))tb=M;else{$=I;while(1){N=f[h+($<<2)>>2]|0;if((N|0)<($|0))$=N;else break}N=(M|0)>($|0)?$:M;V=I;do{K=h+(V<<2)|0;O=V;V=f[K>>2]|0;f[K>>2]=N}while((V|0)<(O|0));tb=N}N=Q;do{V=h+(N<<2)|0;I=N;N=f[V>>2]|0;f[V>>2]=tb}while((N|0)<(I|0));f[z+(E<<2)>>2]=tb;L=F;break}f[z+(E<<2)>>2]=f[t+(E<<2)>>2];L=F;break}if(T?b[v+U>>0]|0:0){N=E+2|0;if(!((N|0)>=(n|0)|C)?b[x+N>>0]|0:0){if(b[x+E>>0]|0){do if(D){if(!(b[y+U>>0]|0))break;f[z+(E<<2)>>2]=f[t+(N<<2)>>2];L=F;break a}while(0);T=f[t+(E<<2)>>2]|0;Q=f[t+(N<<2)>>2]|0;I=T;while(1){V=f[h+(I<<2)>>2]|0;if((V|0)<(I|0))I=V;else break}if((T|0)==(Q|0))ub=I;else{V=Q;while(1){M=f[h+(V<<2)>>2]|0;if((M|0)<(V|0))V=M;else break}M=(I|0)>(V|0)?V:I;$=Q;do{O=h+($<<2)|0;K=$;$=f[O>>2]|0;f[O>>2]=M}while(($|0)<(K|0));ub=M}M=T;do{$=h+(M<<2)|0;Q=M;M=f[$>>2]|0;f[$>>2]=ub}while((M|0)<(Q|0));f[z+(E<<2)>>2]=ub;L=F;break}do if(H){if(!(b[x+G>>0]|0))break;do if(D){if(!(b[y+U>>0]|0))break;M=f[t+(N<<2)>>2]|0;if(b[y+E>>0]|0){f[z+(E<<2)>>2]=M;L=F;break a}T=f[t+(E+-2<<2)>>2]|0;Q=T;while(1){$=f[h+(Q<<2)>>2]|0;if(($|0)<(Q|0))Q=$;else break}if((T|0)==(M|0))vb=Q;else{$=M;while(1){I=f[h+($<<2)>>2]|0;if((I|0)<($|0))$=I;else break}I=(Q|0)>($|0)?$:Q;V=M;do{K=h+(V<<2)|0;O=V;V=f[K>>2]|0;f[K>>2]=I}while((V|0)<(O|0));vb=I}I=T;do{V=h+(I<<2)|0;M=I;I=f[V>>2]|0;f[V>>2]=vb}while((I|0)<(M|0));f[z+(E<<2)>>2]=vb;L=F;break a}while(0);I=f[t+(E+-2<<2)>>2]|0;T=f[t+(N<<2)>>2]|0;M=I;while(1){V=f[h+(M<<2)>>2]|0;if((V|0)<(M|0))M=V;else break}if((I|0)==(T|0))wb=M;else{V=T;while(1){Q=f[h+(V<<2)>>2]|0;if((Q|0)<(V|0))V=Q;else break}Q=(M|0)>(V|0)?V:M;$=T;do{O=h+($<<2)|0;K=$;$=f[O>>2]|0;f[O>>2]=Q}while(($|0)<(K|0));wb=Q}Q=I;do{$=h+(Q<<2)|0;T=Q;Q=f[$>>2]|0;f[$>>2]=wb}while((Q|0)<(T|0));f[z+(E<<2)>>2]=wb;L=F;break a}while(0);f[z+(E<<2)>>2]=f[t+(N<<2)>>2];L=F;break}if(B?b[x+E>>0]|0:0){f[z+(E<<2)>>2]=f[t+(E<<2)>>2];L=F;break}do if(!(C|H^1)){if(!(b[x+G>>0]|0))break;f[z+(E<<2)>>2]=f[t+(E+-2<<2)>>2];L=F;break a}while(0);f[z+(E<<2)>>2]=F;f[h+(F<<2)>>2]=F;L=F+1|0;break}if(B?b[x+E>>0]|0:0){f[z+(E<<2)>>2]=f[t+(E<<2)>>2];L=F;break}if(!(C|H^1)?b[x+G>>0]|0:0){f[z+(E<<2)>>2]=f[t+(E+-2<<2)>>2];L=F;break}f[z+(E<<2)>>2]=F;f[h+(F<<2)>>2]=F;L=F+1|0}while(0);E=E+2|0;if((E|0)>=(n|0)){xb=L;break}else F=L}}else xb=r;s=s+2|0;if((s|0)>=(i|0))break;else r=xb}if((xb|0)>1){r=1;i=1;while(1){s=h+(i<<2)|0;L=f[s>>2]|0;if((L|0)<(i|0)){f[s>>2]=f[h+(L<<2)>>2];yb=r}else{f[s>>2]=r;yb=r+1|0}i=i+1|0;if((i|0)==(xb|0)){zb=yb;break}else r=yb}}else zb=1}else zb=1;D7(g,zb);yb=f[j>>2]|0;r=f[o>>2]|0;xb=(r&1|0)!=0;i=(yb|0)>0;b:do if(!(yb&1)){if(!xb){if(!i)break;s=c+16|0;L=c+44|0;n=d+16|0;wb=d+44|0;vb=g+20|0;ub=g+120|0;tb=g+48|0;pb=0;sb=r;rb=yb;while(1){qb=f[f[L>>2]>>2]|0;ob=(f[s>>2]|0)+(Y(qb,pb)|0)|0;kb=ob+qb|0;qb=f[f[wb>>2]>>2]|0;nb=(f[n>>2]|0)+(Y(qb,pb)|0)|0;mb=nb+qb|0;if((sb|0)>0){qb=((pb|0)<0)<<31>>31;lb=pb|1;jb=((lb|0)<0)<<31>>31;ib=0;do{hb=nb+(ib<<2)|0;gb=f[hb>>2]|0;do if((gb|0)>0){fb=f[h+(gb<<2)>>2]|0;if(!(b[ob+ib>>0]|0)){f[hb>>2]=0;eb=f[vb>>2]|0;db=f[eb>>2]|0;f[eb>>2]=(db|0)>(ib|0)?ib:db;db=eb+8|0;cb=f[db>>2]|0;f[db>>2]=(cb|0)<(ib|0)?ib:cb;cb=eb+4|0;db=f[cb>>2]|0;f[cb>>2]=(db|0)>(pb|0)?pb:db;db=eb+12|0;cb=f[db>>2]|0;f[db>>2]=(cb|0)<(pb|0)?pb:cb;cb=eb+16|0;f[cb>>2]=(f[cb>>2]|0)+1;cb=f[ub>>2]|0;db=cb;bb=Arc(f[db>>2]|0,f[db+4>>2]|0,ib|0,((ib|0)<0)<<31>>31|0)|0;db=cb;f[db>>2]=bb;f[db+4>>2]=J;Ab=cb+8|0;Bb=eb;Cb=cb}else{f[hb>>2]=fb;cb=f[vb>>2]|0;eb=cb+(Y(f[f[tb>>2]>>2]|0,fb)|0)|0;db=f[eb>>2]|0;f[eb>>2]=(db|0)>(ib|0)?ib:db;db=eb+8|0;bb=f[db>>2]|0;f[db>>2]=(bb|0)<(ib|0)?ib:bb;bb=eb+4|0;db=f[bb>>2]|0;f[bb>>2]=(db|0)>(pb|0)?pb:db;db=eb+12|0;bb=f[db>>2]|0;f[db>>2]=(bb|0)<(pb|0)?pb:bb;bb=eb+16|0;f[bb>>2]=(f[bb>>2]|0)+1;bb=f[ub>>2]|0;eb=bb+(fb<<4)|0;db=eb;ab=Arc(f[db>>2]|0,f[db+4>>2]|0,ib|0,((ib|0)<0)<<31>>31|0)|0;db=eb;f[db>>2]=ab;f[db+4>>2]=J;Ab=bb+(fb<<4)+8|0;Bb=cb;Cb=bb}bb=Ab;cb=Arc(f[bb>>2]|0,f[bb+4>>2]|0,pb|0,qb|0)|0;bb=Ab;f[bb>>2]=cb;f[bb+4>>2]=J;bb=ib|1;cb=nb+(bb<<2)|0;if(!(b[ob+bb>>0]|0)){f[cb>>2]=0;Db=0;Eb=Bb}else{f[cb>>2]=fb;Db=fb;Eb=Bb+(Y(f[f[tb>>2]>>2]|0,fb)|0)|0}cb=f[Eb>>2]|0;f[Eb>>2]=(cb|0)>(bb|0)?bb:cb;cb=Eb+8|0;db=f[cb>>2]|0;f[cb>>2]=(db|0)<(bb|0)?bb:db;db=Eb+4|0;cb=f[db>>2]|0;f[db>>2]=(cb|0)>(pb|0)?pb:cb;cb=Eb+12|0;db=f[cb>>2]|0;f[cb>>2]=(db|0)<(pb|0)?pb:db;db=Eb+16|0;f[db>>2]=(f[db>>2]|0)+1;db=Cb+(Db<<4)|0;cb=db;ab=Arc(f[cb>>2]|0,f[cb+4>>2]|0,bb|0,((bb|0)<0)<<31>>31|0)|0;cb=db;f[cb>>2]=ab;f[cb+4>>2]=J;cb=Cb+(Db<<4)+8|0;ab=cb;db=Arc(f[ab>>2]|0,f[ab+4>>2]|0,pb|0,qb|0)|0;ab=cb;f[ab>>2]=db;f[ab+4>>2]=J;ab=mb+(ib<<2)|0;if(!(b[kb+ib>>0]|0)){f[ab>>2]=0;Fb=0;Gb=Bb}else{f[ab>>2]=fb;Fb=fb;Gb=Bb+(Y(f[f[tb>>2]>>2]|0,fb)|0)|0}ab=f[Gb>>2]|0;f[Gb>>2]=(ab|0)>(ib|0)?ib:ab;ab=Gb+8|0;db=f[ab>>2]|0;f[ab>>2]=(db|0)<(ib|0)?ib:db;db=Gb+4|0;ab=f[db>>2]|0;f[db>>2]=(ab|0)>(lb|0)?lb:ab;ab=Gb+12|0;db=f[ab>>2]|0;f[ab>>2]=(db|0)<(lb|0)?lb:db;db=Gb+16|0;f[db>>2]=(f[db>>2]|0)+1;db=Cb+(Fb<<4)|0;ab=db;cb=Arc(f[ab>>2]|0,f[ab+4>>2]|0,ib|0,((ib|0)<0)<<31>>31|0)|0;ab=db;f[ab>>2]=cb;f[ab+4>>2]=J;ab=Cb+(Fb<<4)+8|0;cb=ab;db=Arc(f[cb>>2]|0,f[cb+4>>2]|0,lb|0,jb|0)|0;cb=ab;f[cb>>2]=db;f[cb+4>>2]=J;cb=mb+(bb<<2)|0;if(!(b[kb+bb>>0]|0)){f[cb>>2]=0;db=f[Bb>>2]|0;f[Bb>>2]=(db|0)>(bb|0)?bb:db;db=Bb+8|0;ab=f[db>>2]|0;f[db>>2]=(ab|0)<(bb|0)?bb:ab;ab=Bb+4|0;db=f[ab>>2]|0;f[ab>>2]=(db|0)>(lb|0)?lb:db;db=Bb+12|0;ab=f[db>>2]|0;f[db>>2]=(ab|0)<(lb|0)?lb:ab;ab=Bb+16|0;f[ab>>2]=(f[ab>>2]|0)+1;ab=Cb;db=Arc(f[ab>>2]|0,f[ab+4>>2]|0,bb|0,((bb|0)<0)<<31>>31|0)|0;ab=Cb;f[ab>>2]=db;f[ab+4>>2]=J;Hb=Cb+8|0;break}else{f[cb>>2]=fb;cb=Bb+(Y(f[f[tb>>2]>>2]|0,fb)|0)|0;ab=f[cb>>2]|0;f[cb>>2]=(ab|0)>(bb|0)?bb:ab;ab=cb+8|0;db=f[ab>>2]|0;f[ab>>2]=(db|0)<(bb|0)?bb:db;db=cb+4|0;ab=f[db>>2]|0;f[db>>2]=(ab|0)>(lb|0)?lb:ab;ab=cb+12|0;db=f[ab>>2]|0;f[ab>>2]=(db|0)<(lb|0)?lb:db;db=cb+16|0;f[db>>2]=(f[db>>2]|0)+1;db=Cb+(fb<<4)|0;cb=db;ab=Arc(f[cb>>2]|0,f[cb+4>>2]|0,bb|0,((bb|0)<0)<<31>>31|0)|0;bb=db;f[bb>>2]=ab;f[bb+4>>2]=J;Hb=Cb+(fb<<4)+8|0;break}}else{f[hb>>2]=0;fb=ib|1;f[nb+(fb<<2)>>2]=0;f[mb+(ib<<2)>>2]=0;f[mb+(fb<<2)>>2]=0;bb=f[vb>>2]|0;ab=f[bb>>2]|0;db=(ab|0)>(ib|0)?ib:ab;ab=bb+8|0;cb=f[ab>>2]|0;eb=(cb|0)<(ib|0)?ib:cb;cb=bb+4|0;$a=f[cb>>2]|0;_a=($a|0)>(pb|0)?pb:$a;$a=bb+12|0;Za=f[$a>>2]|0;Ya=(Za|0)<(pb|0)?pb:Za;Za=bb+16|0;Xa=f[Za>>2]|0;Wa=f[ub>>2]|0;Va=((ib|0)<0)<<31>>31;Ua=Wa;Ta=Arc(f[Ua>>2]|0,f[Ua+4>>2]|0,ib|0,Va|0)|0;Ua=J;Sa=Wa+8|0;Ra=Sa;Qa=Arc(f[Ra>>2]|0,f[Ra+4>>2]|0,pb|0,qb|0)|0;Ra=J;Pa=(db|0)>(fb|0)?fb:db;db=((fb|0)<0)<<31>>31;Oa=Arc(Ta|0,Ua|0,fb|0,db|0)|0;Ua=J;Ta=Arc(Qa|0,Ra|0,pb|0,qb|0)|0;Ra=J;Qa=Arc(Oa|0,Ua|0,ib|0,Va|0)|0;Va=J;Ua=Arc(Ta|0,Ra|0,lb|0,jb|0)|0;Ra=Sa;f[Ra>>2]=Ua;f[Ra+4>>2]=J;f[bb>>2]=(Pa|0)>(ib|0)?ib:Pa;f[ab>>2]=(eb|0)<(fb|0)?fb:eb;f[cb>>2]=(_a|0)>(lb|0)?lb:_a;f[$a>>2]=(Ya|0)<(lb|0)?lb:Ya;f[Za>>2]=Xa+4;Xa=Arc(Qa|0,Va|0,fb|0,db|0)|0;db=Wa;f[db>>2]=Xa;f[db+4>>2]=J;Hb=Sa}while(0);hb=Hb;gb=Arc(f[hb>>2]|0,f[hb+4>>2]|0,lb|0,jb|0)|0;hb=Hb;f[hb>>2]=gb;f[hb+4>>2]=J;ib=ib+2|0;Ib=f[o>>2]|0}while((ib|0)<(Ib|0));Jb=f[j>>2]|0;Kb=Ib}else{Jb=rb;Kb=sb}pb=pb+2|0;if((pb|0)>=(Jb|0))break b;else{sb=Kb;rb=Jb}}}if(i){rb=g+20|0;sb=g+120|0;pb=g+48|0;ub=f[c+16>>2]|0;vb=f[c+44>>2]|0;tb=f[d+16>>2]|0;n=f[d+44>>2]|0;wb=0;s=r;L=yb;while(1){ib=f[vb>>2]|0;jb=ub+(Y(ib,wb)|0)|0;lb=jb+ib|0;ib=f[n>>2]|0;qb=tb+(Y(ib,wb)|0)|0;mb=qb+ib|0;if((s|0)>0){ib=((wb|0)<0)<<31>>31;nb=wb|1;kb=((nb|0)<0)<<31>>31;ob=0;do{hb=qb+(ob<<2)|0;gb=f[hb>>2]|0;do if((gb|0)>0){G=f[h+(gb<<2)>>2]|0;if(!(b[jb+ob>>0]|0)){f[hb>>2]=0;H=f[rb>>2]|0;Sa=f[H>>2]|0;f[H>>2]=(Sa|0)>(ob|0)?ob:Sa;Sa=H+8|0;db=f[Sa>>2]|0;f[Sa>>2]=(db|0)<(ob|0)?ob:db;db=H+4|0;Sa=f[db>>2]|0;f[db>>2]=(Sa|0)>(wb|0)?wb:Sa;Sa=H+12|0;db=f[Sa>>2]|0;f[Sa>>2]=(db|0)<(wb|0)?wb:db;db=H+16|0;f[db>>2]=(f[db>>2]|0)+1;db=f[sb>>2]|0;Sa=db;Xa=Arc(f[Sa>>2]|0,f[Sa+4>>2]|0,ob|0,((ob|0)<0)<<31>>31|0)|0;Sa=db;f[Sa>>2]=Xa;f[Sa+4>>2]=J;Lb=db+8|0;Mb=H;Nb=db}else{f[hb>>2]=G;db=f[rb>>2]|0;H=db+(Y(f[f[pb>>2]>>2]|0,G)|0)|0;Sa=f[H>>2]|0;f[H>>2]=(Sa|0)>(ob|0)?ob:Sa;Sa=H+8|0;Xa=f[Sa>>2]|0;f[Sa>>2]=(Xa|0)<(ob|0)?ob:Xa;Xa=H+4|0;Sa=f[Xa>>2]|0;f[Xa>>2]=(Sa|0)>(wb|0)?wb:Sa;Sa=H+12|0;Xa=f[Sa>>2]|0;f[Sa>>2]=(Xa|0)<(wb|0)?wb:Xa;Xa=H+16|0;f[Xa>>2]=(f[Xa>>2]|0)+1;Xa=f[sb>>2]|0;H=Xa+(G<<4)|0;Sa=H;Wa=Arc(f[Sa>>2]|0,f[Sa+4>>2]|0,ob|0,((ob|0)<0)<<31>>31|0)|0;Sa=H;f[Sa>>2]=Wa;f[Sa+4>>2]=J;Lb=Xa+(G<<4)+8|0;Mb=db;Nb=Xa}Xa=Lb;db=Arc(f[Xa>>2]|0,f[Xa+4>>2]|0,wb|0,ib|0)|0;Xa=Lb;f[Xa>>2]=db;f[Xa+4>>2]=J;Xa=mb+(ob<<2)|0;if(!(b[lb+ob>>0]|0)){f[Xa>>2]=0;Ob=0;Pb=Mb}else{f[Xa>>2]=G;Ob=G;Pb=Mb+(Y(f[f[pb>>2]>>2]|0,G)|0)|0}Xa=f[Pb>>2]|0;f[Pb>>2]=(Xa|0)>(ob|0)?ob:Xa;Xa=Pb+8|0;db=f[Xa>>2]|0;f[Xa>>2]=(db|0)<(ob|0)?ob:db;db=Pb+4|0;Xa=f[db>>2]|0;f[db>>2]=(Xa|0)>(nb|0)?nb:Xa;Xa=Pb+12|0;db=f[Xa>>2]|0;f[Xa>>2]=(db|0)<(nb|0)?nb:db;db=Pb+16|0;f[db>>2]=(f[db>>2]|0)+1;db=Nb+(Ob<<4)|0;Xa=db;Sa=Arc(f[Xa>>2]|0,f[Xa+4>>2]|0,ob|0,((ob|0)<0)<<31>>31|0)|0;Xa=db;f[Xa>>2]=Sa;f[Xa+4>>2]=J;Xa=Nb+(Ob<<4)+8|0;Sa=Xa;db=Arc(f[Sa>>2]|0,f[Sa+4>>2]|0,nb|0,kb|0)|0;Sa=Xa;f[Sa>>2]=db;f[Sa+4>>2]=J;Sa=ob|1;if((Sa|0)<(f[o>>2]|0)){db=qb+(Sa<<2)|0;if(!(b[jb+Sa>>0]|0)){f[db>>2]=0;Qb=0;Rb=Mb}else{f[db>>2]=G;Qb=G;Rb=Mb+(Y(f[f[pb>>2]>>2]|0,G)|0)|0}db=f[Rb>>2]|0;f[Rb>>2]=(db|0)>(Sa|0)?Sa:db;db=Rb+8|0;Xa=f[db>>2]|0;f[db>>2]=(Xa|0)<(Sa|0)?Sa:Xa;Xa=Rb+4|0;db=f[Xa>>2]|0;f[Xa>>2]=(db|0)>(wb|0)?wb:db;db=Rb+12|0;Xa=f[db>>2]|0;f[db>>2]=(Xa|0)<(wb|0)?wb:Xa;Xa=Rb+16|0;f[Xa>>2]=(f[Xa>>2]|0)+1;Xa=Nb+(Qb<<4)|0;db=Xa;Wa=Arc(f[db>>2]|0,f[db+4>>2]|0,Sa|0,((Sa|0)<0)<<31>>31|0)|0;db=Xa;f[db>>2]=Wa;f[db+4>>2]=J;db=Nb+(Qb<<4)+8|0;Wa=db;Xa=Arc(f[Wa>>2]|0,f[Wa+4>>2]|0,wb|0,ib|0)|0;Wa=db;f[Wa>>2]=Xa;f[Wa+4>>2]=J;Wa=mb+(Sa<<2)|0;if(!(b[lb+Sa>>0]|0)){f[Wa>>2]=0;Xa=f[Mb>>2]|0;f[Mb>>2]=(Xa|0)>(Sa|0)?Sa:Xa;Xa=Mb+8|0;db=f[Xa>>2]|0;f[Xa>>2]=(db|0)<(Sa|0)?Sa:db;db=Mb+4|0;Xa=f[db>>2]|0;f[db>>2]=(Xa|0)>(nb|0)?nb:Xa;Xa=Mb+12|0;db=f[Xa>>2]|0;f[Xa>>2]=(db|0)<(nb|0)?nb:db;db=Mb+16|0;f[db>>2]=(f[db>>2]|0)+1;db=Nb;Xa=Arc(f[db>>2]|0,f[db+4>>2]|0,Sa|0,((Sa|0)<0)<<31>>31|0)|0;db=Nb;f[db>>2]=Xa;f[db+4>>2]=J;db=Nb+8|0;Xa=db;H=Arc(f[Xa>>2]|0,f[Xa+4>>2]|0,nb|0,kb|0)|0;Xa=db;f[Xa>>2]=H;f[Xa+4>>2]=J;break}else{f[Wa>>2]=G;Wa=Mb+(Y(f[f[pb>>2]>>2]|0,G)|0)|0;Xa=f[Wa>>2]|0;f[Wa>>2]=(Xa|0)>(Sa|0)?Sa:Xa;Xa=Wa+8|0;H=f[Xa>>2]|0;f[Xa>>2]=(H|0)<(Sa|0)?Sa:H;H=Wa+4|0;Xa=f[H>>2]|0;f[H>>2]=(Xa|0)>(nb|0)?nb:Xa;Xa=Wa+12|0;H=f[Xa>>2]|0;f[Xa>>2]=(H|0)<(nb|0)?nb:H;H=Wa+16|0;f[H>>2]=(f[H>>2]|0)+1;H=Nb+(G<<4)|0;Wa=H;Xa=Arc(f[Wa>>2]|0,f[Wa+4>>2]|0,Sa|0,((Sa|0)<0)<<31>>31|0)|0;Sa=H;f[Sa>>2]=Xa;f[Sa+4>>2]=J;Sa=Nb+(G<<4)+8|0;G=Sa;Xa=Arc(f[G>>2]|0,f[G+4>>2]|0,nb|0,kb|0)|0;G=Sa;f[G>>2]=Xa;f[G+4>>2]=J;break}}}else{f[hb>>2]=0;f[mb+(ob<<2)>>2]=0;G=f[rb>>2]|0;Xa=f[G>>2]|0;Sa=G+8|0;H=f[Sa>>2]|0;Wa=G+4|0;db=f[Wa>>2]|0;fb=(db|0)>(wb|0)?wb:db;db=G+12|0;Va=f[db>>2]|0;Qa=(Va|0)<(wb|0)?wb:Va;Va=G+16|0;Za=f[Va>>2]|0;Ya=f[sb>>2]|0;$a=((ob|0)<0)<<31>>31;_a=Ya;cb=Arc(f[_a>>2]|0,f[_a+4>>2]|0,ob|0,$a|0)|0;_a=J;eb=Ya+8|0;ab=eb;Pa=Arc(f[ab>>2]|0,f[ab+4>>2]|0,wb|0,ib|0)|0;ab=J;f[G>>2]=(Xa|0)>(ob|0)?ob:Xa;f[Sa>>2]=(H|0)<(ob|0)?ob:H;f[Wa>>2]=(fb|0)>(nb|0)?nb:fb;f[db>>2]=(Qa|0)<(nb|0)?nb:Qa;f[Va>>2]=Za+2;Za=Arc(cb|0,_a|0,ob|0,$a|0)|0;$a=J;_a=Ya;f[_a>>2]=Za;f[_a+4>>2]=$a;_a=Arc(Pa|0,ab|0,nb|0,kb|0)|0;ab=J;Pa=eb;f[Pa>>2]=_a;f[Pa+4>>2]=ab;Pa=ob|1;if((Pa|0)<(f[o>>2]|0)){f[qb+(Pa<<2)>>2]=0;f[mb+(Pa<<2)>>2]=0;cb=f[G>>2]|0;Qa=f[Sa>>2]|0;fb=f[Wa>>2]|0;H=(fb|0)>(wb|0)?wb:fb;fb=f[db>>2]|0;Xa=(fb|0)<(wb|0)?wb:fb;fb=f[Va>>2]|0;bb=((Pa|0)<0)<<31>>31;Ra=Arc(Za|0,$a|0,Pa|0,bb|0)|0;$a=J;Za=Arc(_a|0,ab|0,wb|0,ib|0)|0;ab=J;f[G>>2]=(cb|0)>(Pa|0)?Pa:cb;f[Sa>>2]=(Qa|0)<(Pa|0)?Pa:Qa;f[Wa>>2]=(H|0)>(nb|0)?nb:H;f[db>>2]=(Xa|0)<(nb|0)?nb:Xa;f[Va>>2]=fb+2;fb=Arc(Ra|0,$a|0,Pa|0,bb|0)|0;bb=Ya;f[bb>>2]=fb;f[bb+4>>2]=J;bb=Arc(Za|0,ab|0,nb|0,kb|0)|0;ab=eb;f[ab>>2]=bb;f[ab+4>>2]=J}}while(0);ob=ob+2|0;Sb=f[o>>2]|0}while((ob|0)<(Sb|0));Tb=f[j>>2]|0;Ub=Sb}else{Tb=L;Ub=s}wb=wb+2|0;if((wb|0)>=(Tb|0))break;else{s=Ub;L=Tb}}}}else{if(!xb){if(!i)break;L=g+20|0;s=g+120|0;wb=g+48|0;sb=f[c+16>>2]|0;rb=f[c+44>>2]|0;pb=f[d+16>>2]|0;tb=f[d+44>>2]|0;n=0;ub=r;vb=yb;while(1){ob=f[rb>>2]|0;kb=sb+(Y(ob,n)|0)|0;nb=kb+ob|0;ob=f[tb>>2]|0;ib=pb+(Y(ob,n)|0)|0;mb=ib+ob|0;if((ub|0)>0){ob=((n|0)<0)<<31>>31;qb=n|1;lb=((qb|0)<0)<<31>>31;jb=0;do{hb=ib+(jb<<2)|0;gb=f[hb>>2]|0;do if((gb|0)>0){ab=f[h+(gb<<2)>>2]|0;if(!(b[kb+jb>>0]|0)){f[hb>>2]=0;bb=f[L>>2]|0;eb=f[bb>>2]|0;f[bb>>2]=(eb|0)>(jb|0)?jb:eb;eb=bb+8|0;Za=f[eb>>2]|0;f[eb>>2]=(Za|0)<(jb|0)?jb:Za;Za=bb+4|0;eb=f[Za>>2]|0;f[Za>>2]=(eb|0)>(n|0)?n:eb;eb=bb+12|0;Za=f[eb>>2]|0;f[eb>>2]=(Za|0)<(n|0)?n:Za;Za=bb+16|0;f[Za>>2]=(f[Za>>2]|0)+1;Za=f[s>>2]|0;eb=Za;fb=Arc(f[eb>>2]|0,f[eb+4>>2]|0,jb|0,((jb|0)<0)<<31>>31|0)|0;eb=Za;f[eb>>2]=fb;f[eb+4>>2]=J;Vb=Za+8|0;Wb=bb;Xb=Za}else{f[hb>>2]=ab;Za=f[L>>2]|0;bb=Za+(Y(f[f[wb>>2]>>2]|0,ab)|0)|0;eb=f[bb>>2]|0;f[bb>>2]=(eb|0)>(jb|0)?jb:eb;eb=bb+8|0;fb=f[eb>>2]|0;f[eb>>2]=(fb|0)<(jb|0)?jb:fb;fb=bb+4|0;eb=f[fb>>2]|0;f[fb>>2]=(eb|0)>(n|0)?n:eb;eb=bb+12|0;fb=f[eb>>2]|0;f[eb>>2]=(fb|0)<(n|0)?n:fb;fb=bb+16|0;f[fb>>2]=(f[fb>>2]|0)+1;fb=f[s>>2]|0;bb=fb+(ab<<4)|0;eb=bb;Ya=Arc(f[eb>>2]|0,f[eb+4>>2]|0,jb|0,((jb|0)<0)<<31>>31|0)|0;eb=bb;f[eb>>2]=Ya;f[eb+4>>2]=J;Vb=fb+(ab<<4)+8|0;Wb=Za;Xb=fb}fb=Vb;Za=Arc(f[fb>>2]|0,f[fb+4>>2]|0,n|0,ob|0)|0;fb=Vb;f[fb>>2]=Za;f[fb+4>>2]=J;fb=jb|1;Za=ib+(fb<<2)|0;if(!(b[kb+fb>>0]|0)){f[Za>>2]=0;Yb=0;Zb=Wb}else{f[Za>>2]=ab;Yb=ab;Zb=Wb+(Y(f[f[wb>>2]>>2]|0,ab)|0)|0}Za=f[Zb>>2]|0;f[Zb>>2]=(Za|0)>(fb|0)?fb:Za;Za=Zb+8|0;eb=f[Za>>2]|0;f[Za>>2]=(eb|0)<(fb|0)?fb:eb;eb=Zb+4|0;Za=f[eb>>2]|0;f[eb>>2]=(Za|0)>(n|0)?n:Za;Za=Zb+12|0;eb=f[Za>>2]|0;f[Za>>2]=(eb|0)<(n|0)?n:eb;eb=Zb+16|0;f[eb>>2]=(f[eb>>2]|0)+1;eb=Xb+(Yb<<4)|0;Za=eb;Ya=Arc(f[Za>>2]|0,f[Za+4>>2]|0,fb|0,((fb|0)<0)<<31>>31|0)|0;Za=eb;f[Za>>2]=Ya;f[Za+4>>2]=J;Za=Xb+(Yb<<4)+8|0;Ya=Za;eb=Arc(f[Ya>>2]|0,f[Ya+4>>2]|0,n|0,ob|0)|0;Ya=Za;f[Ya>>2]=eb;f[Ya+4>>2]=J;if((qb|0)<(f[j>>2]|0)){Ya=mb+(jb<<2)|0;if(!(b[nb+jb>>0]|0)){f[Ya>>2]=0;_b=0;$b=Wb}else{f[Ya>>2]=ab;_b=ab;$b=Wb+(Y(f[f[wb>>2]>>2]|0,ab)|0)|0}Ya=f[$b>>2]|0;f[$b>>2]=(Ya|0)>(jb|0)?jb:Ya;Ya=$b+8|0;eb=f[Ya>>2]|0;f[Ya>>2]=(eb|0)<(jb|0)?jb:eb;eb=$b+4|0;Ya=f[eb>>2]|0;f[eb>>2]=(Ya|0)>(qb|0)?qb:Ya;Ya=$b+12|0;eb=f[Ya>>2]|0;f[Ya>>2]=(eb|0)<(qb|0)?qb:eb;eb=$b+16|0;f[eb>>2]=(f[eb>>2]|0)+1;eb=Xb+(_b<<4)|0;Ya=eb;Za=Arc(f[Ya>>2]|0,f[Ya+4>>2]|0,jb|0,((jb|0)<0)<<31>>31|0)|0;Ya=eb;f[Ya>>2]=Za;f[Ya+4>>2]=J;Ya=Xb+(_b<<4)+8|0;Za=Ya;eb=Arc(f[Za>>2]|0,f[Za+4>>2]|0,qb|0,lb|0)|0;Za=Ya;f[Za>>2]=eb;f[Za+4>>2]=J;Za=mb+(fb<<2)|0;if(!(b[nb+fb>>0]|0)){f[Za>>2]=0;eb=f[Wb>>2]|0;f[Wb>>2]=(eb|0)>(fb|0)?fb:eb;eb=Wb+8|0;Ya=f[eb>>2]|0;f[eb>>2]=(Ya|0)<(fb|0)?fb:Ya;Ya=Wb+4|0;eb=f[Ya>>2]|0;f[Ya>>2]=(eb|0)>(qb|0)?qb:eb;eb=Wb+12|0;Ya=f[eb>>2]|0;f[eb>>2]=(Ya|0)<(qb|0)?qb:Ya;Ya=Wb+16|0;f[Ya>>2]=(f[Ya>>2]|0)+1;Ya=Xb;eb=Arc(f[Ya>>2]|0,f[Ya+4>>2]|0,fb|0,((fb|0)<0)<<31>>31|0)|0;Ya=Xb;f[Ya>>2]=eb;f[Ya+4>>2]=J;Ya=Xb+8|0;eb=Ya;bb=Arc(f[eb>>2]|0,f[eb+4>>2]|0,qb|0,lb|0)|0;eb=Ya;f[eb>>2]=bb;f[eb+4>>2]=J;break}else{f[Za>>2]=ab;Za=Wb+(Y(f[f[wb>>2]>>2]|0,ab)|0)|0;eb=f[Za>>2]|0;f[Za>>2]=(eb|0)>(fb|0)?fb:eb;eb=Za+8|0;bb=f[eb>>2]|0;f[eb>>2]=(bb|0)<(fb|0)?fb:bb;bb=Za+4|0;eb=f[bb>>2]|0;f[bb>>2]=(eb|0)>(qb|0)?qb:eb;eb=Za+12|0;bb=f[eb>>2]|0;f[eb>>2]=(bb|0)<(qb|0)?qb:bb;bb=Za+16|0;f[bb>>2]=(f[bb>>2]|0)+1;bb=Xb+(ab<<4)|0;Za=bb;eb=Arc(f[Za>>2]|0,f[Za+4>>2]|0,fb|0,((fb|0)<0)<<31>>31|0)|0;fb=bb;f[fb>>2]=eb;f[fb+4>>2]=J;fb=Xb+(ab<<4)+8|0;ab=fb;eb=Arc(f[ab>>2]|0,f[ab+4>>2]|0,qb|0,lb|0)|0;ab=fb;f[ab>>2]=eb;f[ab+4>>2]=J;break}}}else{f[hb>>2]=0;ab=jb|1;f[ib+(ab<<2)>>2]=0;eb=f[L>>2]|0;fb=f[eb>>2]|0;bb=(fb|0)>(jb|0)?jb:fb;fb=eb+8|0;Za=f[fb>>2]|0;Ya=(Za|0)<(jb|0)?jb:Za;Za=eb+4|0;Pa=f[Za>>2]|0;$a=eb+12|0;Ra=f[$a>>2]|0;Va=eb+16|0;Xa=f[Va>>2]|0;db=f[s>>2]|0;H=((jb|0)<0)<<31>>31;Wa=db;Qa=Arc(f[Wa>>2]|0,f[Wa+4>>2]|0,jb|0,H|0)|0;Wa=J;Sa=db+8|0;cb=Sa;G=Arc(f[cb>>2]|0,f[cb+4>>2]|0,n|0,ob|0)|0;cb=J;f[eb>>2]=(bb|0)>(ab|0)?ab:bb;f[fb>>2]=(Ya|0)<(ab|0)?ab:Ya;f[Za>>2]=(Pa|0)>(n|0)?n:Pa;f[$a>>2]=(Ra|0)<(n|0)?n:Ra;f[Va>>2]=Xa+2;Xa=((ab|0)<0)<<31>>31;Ra=Arc(Qa|0,Wa|0,ab|0,Xa|0)|0;Wa=J;Qa=db;f[Qa>>2]=Ra;f[Qa+4>>2]=Wa;Qa=Arc(G|0,cb|0,n|0,ob|0)|0;cb=J;G=Sa;f[G>>2]=Qa;f[G+4>>2]=cb;if((qb|0)<(f[j>>2]|0)){f[mb+(jb<<2)>>2]=0;f[mb+(ab<<2)>>2]=0;G=f[eb>>2]|0;Pa=(G|0)>(jb|0)?jb:G;G=f[fb>>2]|0;Ya=(G|0)<(jb|0)?jb:G;G=f[Za>>2]|0;bb=f[$a>>2]|0;_a=f[Va>>2]|0;Ua=Arc(Ra|0,Wa|0,jb|0,H|0)|0;H=J;Wa=Arc(Qa|0,cb|0,qb|0,lb|0)|0;cb=J;f[eb>>2]=(Pa|0)>(ab|0)?ab:Pa;f[fb>>2]=(Ya|0)<(ab|0)?ab:Ya;f[Za>>2]=(G|0)>(qb|0)?qb:G;f[$a>>2]=(bb|0)<(qb|0)?qb:bb;f[Va>>2]=_a+2;_a=Arc(Ua|0,H|0,ab|0,Xa|0)|0;Xa=db;f[Xa>>2]=_a;f[Xa+4>>2]=J;Xa=Arc(Wa|0,cb|0,qb|0,lb|0)|0;cb=Sa;f[cb>>2]=Xa;f[cb+4>>2]=J}}while(0);jb=jb+2|0;ac=f[o>>2]|0}while((jb|0)<(ac|0));bc=f[j>>2]|0;cc=ac}else{bc=vb;cc=ub}n=n+2|0;if((n|0)>=(bc|0))break b;else{ub=cc;vb=bc}}}if(i){vb=g+20|0;ub=g+120|0;n=g+48|0;s=f[c+16>>2]|0;L=f[c+44>>2]|0;wb=f[d+16>>2]|0;pb=f[d+44>>2]|0;tb=0;sb=r;rb=yb;while(1){jb=f[L>>2]|0;lb=s+(Y(jb,tb)|0)|0;qb=lb+jb|0;jb=f[pb>>2]|0;mb=wb+(Y(jb,tb)|0)|0;ob=mb+jb|0;if((sb|0)>0){jb=((tb|0)<0)<<31>>31;ib=tb|1;nb=((ib|0)<0)<<31>>31;kb=0;do{hb=mb+(kb<<2)|0;gb=f[hb>>2]|0;do if((gb|0)>0){cb=f[h+(gb<<2)>>2]|0;if(!(b[lb+kb>>0]|0)){f[hb>>2]=0;Xa=f[vb>>2]|0;Sa=f[Xa>>2]|0;f[Xa>>2]=(Sa|0)>(kb|0)?kb:Sa;Sa=Xa+8|0;Wa=f[Sa>>2]|0;f[Sa>>2]=(Wa|0)<(kb|0)?kb:Wa;Wa=Xa+4|0;Sa=f[Wa>>2]|0;f[Wa>>2]=(Sa|0)>(tb|0)?tb:Sa;Sa=Xa+12|0;Wa=f[Sa>>2]|0;f[Sa>>2]=(Wa|0)<(tb|0)?tb:Wa;Wa=Xa+16|0;f[Wa>>2]=(f[Wa>>2]|0)+1;Wa=f[ub>>2]|0;Sa=Wa;_a=Arc(f[Sa>>2]|0,f[Sa+4>>2]|0,kb|0,((kb|0)<0)<<31>>31|0)|0;Sa=Wa;f[Sa>>2]=_a;f[Sa+4>>2]=J;dc=Wa+8|0;ec=Xa;fc=Wa}else{f[hb>>2]=cb;Wa=f[vb>>2]|0;Xa=Wa+(Y(f[f[n>>2]>>2]|0,cb)|0)|0;Sa=f[Xa>>2]|0;f[Xa>>2]=(Sa|0)>(kb|0)?kb:Sa;Sa=Xa+8|0;_a=f[Sa>>2]|0;f[Sa>>2]=(_a|0)<(kb|0)?kb:_a;_a=Xa+4|0;Sa=f[_a>>2]|0;f[_a>>2]=(Sa|0)>(tb|0)?tb:Sa;Sa=Xa+12|0;_a=f[Sa>>2]|0;f[Sa>>2]=(_a|0)<(tb|0)?tb:_a;_a=Xa+16|0;f[_a>>2]=(f[_a>>2]|0)+1;_a=f[ub>>2]|0;Xa=_a+(cb<<4)|0;Sa=Xa;db=Arc(f[Sa>>2]|0,f[Sa+4>>2]|0,kb|0,((kb|0)<0)<<31>>31|0)|0;Sa=Xa;f[Sa>>2]=db;f[Sa+4>>2]=J;dc=_a+(cb<<4)+8|0;ec=Wa;fc=_a}_a=dc;Wa=Arc(f[_a>>2]|0,f[_a+4>>2]|0,tb|0,jb|0)|0;_a=dc;f[_a>>2]=Wa;f[_a+4>>2]=J;_a=kb|1;if((_a|0)>=(f[o>>2]|0)){if((ib|0)>=(f[j>>2]|0))break;Wa=ob+(kb<<2)|0;if(!(b[qb+kb>>0]|0)){f[Wa>>2]=0;Sa=f[ec>>2]|0;f[ec>>2]=(Sa|0)>(kb|0)?kb:Sa;Sa=ec+8|0;db=f[Sa>>2]|0;f[Sa>>2]=(db|0)<(kb|0)?kb:db;db=ec+4|0;Sa=f[db>>2]|0;f[db>>2]=(Sa|0)>(ib|0)?ib:Sa;Sa=ec+12|0;db=f[Sa>>2]|0;f[Sa>>2]=(db|0)<(ib|0)?ib:db;db=ec+16|0;f[db>>2]=(f[db>>2]|0)+1;db=fc;Sa=Arc(f[db>>2]|0,f[db+4>>2]|0,kb|0,((kb|0)<0)<<31>>31|0)|0;db=fc;f[db>>2]=Sa;f[db+4>>2]=J;db=fc+8|0;Sa=db;Xa=Arc(f[Sa>>2]|0,f[Sa+4>>2]|0,ib|0,nb|0)|0;Sa=db;f[Sa>>2]=Xa;f[Sa+4>>2]=J;break}else{f[Wa>>2]=cb;Wa=ec+(Y(f[f[n>>2]>>2]|0,cb)|0)|0;Sa=f[Wa>>2]|0;f[Wa>>2]=(Sa|0)>(kb|0)?kb:Sa;Sa=Wa+8|0;Xa=f[Sa>>2]|0;f[Sa>>2]=(Xa|0)<(kb|0)?kb:Xa;Xa=Wa+4|0;Sa=f[Xa>>2]|0;f[Xa>>2]=(Sa|0)>(ib|0)?ib:Sa;Sa=Wa+12|0;Xa=f[Sa>>2]|0;f[Sa>>2]=(Xa|0)<(ib|0)?ib:Xa;Xa=Wa+16|0;f[Xa>>2]=(f[Xa>>2]|0)+1;Xa=fc+(cb<<4)|0;Wa=Xa;Sa=Arc(f[Wa>>2]|0,f[Wa+4>>2]|0,kb|0,((kb|0)<0)<<31>>31|0)|0;Wa=Xa;f[Wa>>2]=Sa;f[Wa+4>>2]=J;Wa=fc+(cb<<4)+8|0;Sa=Wa;Xa=Arc(f[Sa>>2]|0,f[Sa+4>>2]|0,ib|0,nb|0)|0;Sa=Wa;f[Sa>>2]=Xa;f[Sa+4>>2]=J;break}}Sa=mb+(_a<<2)|0;if(!(b[lb+_a>>0]|0)){f[Sa>>2]=0;gc=0;hc=ec}else{f[Sa>>2]=cb;gc=cb;hc=ec+(Y(f[f[n>>2]>>2]|0,cb)|0)|0}Sa=f[hc>>2]|0;f[hc>>2]=(Sa|0)>(_a|0)?_a:Sa;Sa=hc+8|0;Xa=f[Sa>>2]|0;f[Sa>>2]=(Xa|0)<(_a|0)?_a:Xa;Xa=hc+4|0;Sa=f[Xa>>2]|0;f[Xa>>2]=(Sa|0)>(tb|0)?tb:Sa;Sa=hc+12|0;Xa=f[Sa>>2]|0;f[Sa>>2]=(Xa|0)<(tb|0)?tb:Xa;Xa=hc+16|0;f[Xa>>2]=(f[Xa>>2]|0)+1;Xa=fc+(gc<<4)|0;Sa=Xa;Wa=Arc(f[Sa>>2]|0,f[Sa+4>>2]|0,_a|0,((_a|0)<0)<<31>>31|0)|0;Sa=Xa;f[Sa>>2]=Wa;f[Sa+4>>2]=J;Sa=fc+(gc<<4)+8|0;Wa=Sa;Xa=Arc(f[Wa>>2]|0,f[Wa+4>>2]|0,tb|0,jb|0)|0;Wa=Sa;f[Wa>>2]=Xa;f[Wa+4>>2]=J;if((ib|0)<(f[j>>2]|0)){Wa=ob+(kb<<2)|0;if(!(b[qb+kb>>0]|0)){f[Wa>>2]=0;ic=0;jc=ec}else{f[Wa>>2]=cb;ic=cb;jc=ec+(Y(f[f[n>>2]>>2]|0,cb)|0)|0}Wa=f[jc>>2]|0;f[jc>>2]=(Wa|0)>(kb|0)?kb:Wa;Wa=jc+8|0;Xa=f[Wa>>2]|0;f[Wa>>2]=(Xa|0)<(kb|0)?kb:Xa;Xa=jc+4|0;Wa=f[Xa>>2]|0;f[Xa>>2]=(Wa|0)>(ib|0)?ib:Wa;Wa=jc+12|0;Xa=f[Wa>>2]|0;f[Wa>>2]=(Xa|0)<(ib|0)?ib:Xa;Xa=jc+16|0;f[Xa>>2]=(f[Xa>>2]|0)+1;Xa=fc+(ic<<4)|0;Wa=Xa;Sa=Arc(f[Wa>>2]|0,f[Wa+4>>2]|0,kb|0,((kb|0)<0)<<31>>31|0)|0;Wa=Xa;f[Wa>>2]=Sa;f[Wa+4>>2]=J;Wa=fc+(ic<<4)+8|0;Sa=Wa;Xa=Arc(f[Sa>>2]|0,f[Sa+4>>2]|0,ib|0,nb|0)|0;Sa=Wa;f[Sa>>2]=Xa;f[Sa+4>>2]=J;Sa=ob+(_a<<2)|0;if(!(b[qb+_a>>0]|0)){f[Sa>>2]=0;Xa=f[ec>>2]|0;f[ec>>2]=(Xa|0)>(_a|0)?_a:Xa;Xa=ec+8|0;Wa=f[Xa>>2]|0;f[Xa>>2]=(Wa|0)<(_a|0)?_a:Wa;Wa=ec+4|0;Xa=f[Wa>>2]|0;f[Wa>>2]=(Xa|0)>(ib|0)?ib:Xa;Xa=ec+12|0;Wa=f[Xa>>2]|0;f[Xa>>2]=(Wa|0)<(ib|0)?ib:Wa;Wa=ec+16|0;f[Wa>>2]=(f[Wa>>2]|0)+1;Wa=fc;Xa=Arc(f[Wa>>2]|0,f[Wa+4>>2]|0,_a|0,((_a|0)<0)<<31>>31|0)|0;Wa=fc;f[Wa>>2]=Xa;f[Wa+4>>2]=J;Wa=fc+8|0;Xa=Wa;db=Arc(f[Xa>>2]|0,f[Xa+4>>2]|0,ib|0,nb|0)|0;Xa=Wa;f[Xa>>2]=db;f[Xa+4>>2]=J;break}else{f[Sa>>2]=cb;Sa=ec+(Y(f[f[n>>2]>>2]|0,cb)|0)|0;Xa=f[Sa>>2]|0;f[Sa>>2]=(Xa|0)>(_a|0)?_a:Xa;Xa=Sa+8|0;db=f[Xa>>2]|0;f[Xa>>2]=(db|0)<(_a|0)?_a:db;db=Sa+4|0;Xa=f[db>>2]|0;f[db>>2]=(Xa|0)>(ib|0)?ib:Xa;Xa=Sa+12|0;db=f[Xa>>2]|0;f[Xa>>2]=(db|0)<(ib|0)?ib:db;db=Sa+16|0;f[db>>2]=(f[db>>2]|0)+1;db=fc+(cb<<4)|0;Sa=db;Xa=Arc(f[Sa>>2]|0,f[Sa+4>>2]|0,_a|0,((_a|0)<0)<<31>>31|0)|0;_a=db;f[_a>>2]=Xa;f[_a+4>>2]=J;_a=fc+(cb<<4)+8|0;cb=_a;Xa=Arc(f[cb>>2]|0,f[cb+4>>2]|0,ib|0,nb|0)|0;cb=_a;f[cb>>2]=Xa;f[cb+4>>2]=J;break}}}else{f[hb>>2]=0;cb=f[vb>>2]|0;Xa=f[cb>>2]|0;f[cb>>2]=(Xa|0)>(kb|0)?kb:Xa;Xa=cb+8|0;_a=f[Xa>>2]|0;f[Xa>>2]=(_a|0)<(kb|0)?kb:_a;_a=cb+4|0;db=f[_a>>2]|0;f[_a>>2]=(db|0)>(tb|0)?tb:db;db=cb+12|0;Sa=f[db>>2]|0;f[db>>2]=(Sa|0)<(tb|0)?tb:Sa;Sa=cb+16|0;f[Sa>>2]=(f[Sa>>2]|0)+1;Wa=f[ub>>2]|0;ab=((kb|0)<0)<<31>>31;H=Wa;Ua=Arc(f[H>>2]|0,f[H+4>>2]|0,kb|0,ab|0)|0;H=J;Va=Wa;f[Va>>2]=Ua;f[Va+4>>2]=H;Va=Wa+8|0;bb=Va;$a=Arc(f[bb>>2]|0,f[bb+4>>2]|0,tb|0,jb|0)|0;bb=J;G=Va;f[G>>2]=$a;f[G+4>>2]=bb;G=kb|1;if((G|0)<(f[o>>2]|0)){f[mb+(G<<2)>>2]=0;Za=f[cb>>2]|0;f[cb>>2]=(Za|0)>(G|0)?G:Za;Za=f[Xa>>2]|0;f[Xa>>2]=(Za|0)<(G|0)?G:Za;Za=f[_a>>2]|0;f[_a>>2]=(Za|0)>(tb|0)?tb:Za;Za=f[db>>2]|0;f[db>>2]=(Za|0)<(tb|0)?tb:Za;f[Sa>>2]=(f[Sa>>2]|0)+1;Za=((G|0)<0)<<31>>31;Ya=Arc(Ua|0,H|0,G|0,Za|0)|0;fb=J;Pa=Wa;f[Pa>>2]=Ya;f[Pa+4>>2]=fb;Pa=Arc($a|0,bb|0,tb|0,jb|0)|0;eb=J;Qa=Va;f[Qa>>2]=Pa;f[Qa+4>>2]=eb;if((ib|0)>=(f[j>>2]|0))break;f[ob+(kb<<2)>>2]=0;f[ob+(G<<2)>>2]=0;Qa=f[cb>>2]|0;Ra=(Qa|0)>(kb|0)?kb:Qa;Qa=f[Xa>>2]|0;Ta=(Qa|0)<(kb|0)?kb:Qa;Qa=f[_a>>2]|0;Oa=f[db>>2]|0;Na=f[Sa>>2]|0;Ma=Arc(Ya|0,fb|0,kb|0,ab|0)|0;fb=J;Ya=Arc(Pa|0,eb|0,ib|0,nb|0)|0;eb=J;f[cb>>2]=(Ra|0)>(G|0)?G:Ra;f[Xa>>2]=(Ta|0)<(G|0)?G:Ta;f[_a>>2]=(Qa|0)>(ib|0)?ib:Qa;f[db>>2]=(Oa|0)<(ib|0)?ib:Oa;f[Sa>>2]=Na+2;Na=Arc(Ma|0,fb|0,G|0,Za|0)|0;Za=Wa;f[Za>>2]=Na;f[Za+4>>2]=J;Za=Arc(Ya|0,eb|0,ib|0,nb|0)|0;eb=Va;f[eb>>2]=Za;f[eb+4>>2]=J;break}else{if((ib|0)>=(f[j>>2]|0))break;f[ob+(kb<<2)>>2]=0;eb=f[cb>>2]|0;f[cb>>2]=(eb|0)>(kb|0)?kb:eb;eb=f[Xa>>2]|0;f[Xa>>2]=(eb|0)<(kb|0)?kb:eb;eb=f[_a>>2]|0;f[_a>>2]=(eb|0)>(ib|0)?ib:eb;eb=f[db>>2]|0;f[db>>2]=(eb|0)<(ib|0)?ib:eb;f[Sa>>2]=(f[Sa>>2]|0)+1;Sa=Arc(Ua|0,H|0,kb|0,ab|0)|0;ab=Wa;f[ab>>2]=Sa;f[ab+4>>2]=J;ab=Arc($a|0,bb|0,ib|0,nb|0)|0;bb=Va;f[bb>>2]=ab;f[bb+4>>2]=J;break}}while(0);kb=kb+2|0;kc=f[o>>2]|0}while((kb|0)<(kc|0));lc=f[j>>2]|0;mc=kc}else{lc=rb;mc=sb}tb=tb+2|0;if((tb|0)>=(lc|0))break;else{sb=mc;rb=lc}}}}while(0);lc=g+12|0;if((f[lc>>2]|0)<=0){tE(h);u=a;return zb|0}mc=f[g+20>>2]|0;kc=f[g+48>>2]|0;j=f[g+120>>2]|0;o=f[g+80>>2]|0;fc=f[g+108>>2]|0;g=0;do{ec=mc+(Y(f[kc>>2]|0,g)|0)|0;ic=ec+8|0;f[ic>>2]=(f[ic>>2]|0)+1-(f[ec>>2]|0);ic=ec+12|0;f[ic>>2]=(f[ic>>2]|0)+1-(f[ec+4>>2]|0);ic=o+(Y(f[fc>>2]|0,g)|0)|0;nc=+((f[ec+16>>2]|0)>>>0);ec=j+(g<<4)|0;p[ic>>3]=(+((f[ec>>2]|0)>>>0)+4294967296.0*+((f[ec+4>>2]|0)>>>0))/nc;ec=j+(g<<4)+8|0;p[ic+8>>3]=(+((f[ec>>2]|0)>>>0)+4294967296.0*+((f[ec+4>>2]|0)>>>0))/nc;g=g+1|0}while((g|0)<(f[lc>>2]|0));tE(h);u=a;return zb|0}function B7(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;a=u;u=u+64|0;h=a+48|0;i=a+28|0;j=a;k=f[c+8>>2]|0;l=d+8|0;if((k|0)!=(f[l>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,26)|0;n=253836;o=m+26|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));$6(-215,h,523657,2526)}q=f[c+12>>2]|0;if((q|0)!=(f[d+12>>2]|0)){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,26)|0;n=253863;o=m+26|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));$6(-215,h,523657,2527)}if((e|0)!=8){f[h>>2]=0;f[h+4>>2]=0;m=YG(h,17)|0;n=253890;o=m+17|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(o|0));$6(-215,h,523657,2528)}n=(q+1|0)/2|0;q=sE(k<<2)|0;e=sE((Y(((k+1|0)/2|0)<<2,n)|0)+4|0)|0;f[e>>2]=0;f[h>>2]=0;f[h+4>>2]=k;r=(k|0)/2|0;s=(pU()|0)<<2;t=(s|0)<(r|0)?s:r;v=+(((t|0)>1?t:1)|0);f[i>>2]=54368;f[i+4>>2]=c;f[i+8>>2]=d;f[i+12>>2]=e;f[i+16>>2]=q;oU(h,i,v);C7(c,d,e,q);f[i>>2]=1;if((k|0)>0){t=0;do{r=t+1|0;s=(Y((r|0)/2|0,n)|0)+1|0;w=f[q+(r<<2)>>2]|0;r=w+s|0;if((w|0)>0){w=s;do{s=e+(w<<2)|0;x=f[s>>2]|0;if((x|0)<(w|0))f[s>>2]=f[e+(x<<2)>>2];else{f[s>>2]=f[i>>2];f[i>>2]=(f[i>>2]|0)+1}w=w+1|0}while((w|0)<(r|0))}t=f[q+(t<<2)>>2]|0}while((t|0)<(k|0))}t=k*136|0;n=Dmc(k>>>0>31580641|t>>>0>4294967291?-1:t+4|0)|0;f[n>>2]=k;t=n+4|0;if(k|0){r=t+(k*136|0)|0;k=t;do{f[k>>2]=0;f[k+4>>2]=1124007936;w=k+12|0;s=k+44|0;m=k+8|0;o=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(o|0));f[s>>2]=w;x=k+52|0;f[k+48>>2]=x;f[x>>2]=0;f[k+56>>2]=0;f[k+60>>2]=0;f[k+64>>2]=1124007936;x=k+72|0;y=k+104|0;m=k+68|0;o=m+36|0;do{f[m>>2]=0;m=m+4|0}while((m|0)<(o|0));f[y>>2]=x;w=k+112|0;f[k+108>>2]=w;f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=0;f[w+16>>2]=0;f[w+20>>2]=0;k=k+136|0}while((k|0)!=(r|0))}D7(g,f[i>>2]|0);f[j>>2]=54388;f[j+4>>2]=c;f[j+8>>2]=d;f[j+12>>2]=e;f[j+16>>2]=g;f[j+20>>2]=t;f[j+24>>2]=i;oU(h,j,v);j=f[l>>2]|0;l=f[g+132>>2]|0;if((l|0)<(j|0)){h=g+20|0;d=g+48|0;c=g+120|0;r=l;l=f[i>>2]|0;while(1){if((l|0)>0){k=t+(r*136|0)+120|0;m=f[t+(r*136|0)+20>>2]|0;o=f[t+(r*136|0)+48>>2]|0;w=0;s=l;while(1){z=m+(Y(f[o>>2]|0,w)|0)|0;A=z+16|0;if((f[A>>2]|0)>0){B=(f[h>>2]|0)+(Y(f[f[d>>2]>>2]|0,w)|0)|0;C=f[B>>2]|0;D=f[z>>2]|0;f[B>>2]=(C|0)>(D|0)?D:C;C=B+8|0;f[C>>2]=f[((f[C>>2]|0)<(f[z+8>>2]|0)?z:B)+8>>2];C=B+4|0;f[C>>2]=f[((f[C>>2]|0)>(f[z+4>>2]|0)?z:B)+4>>2];C=B+12|0;f[C>>2]=f[((f[C>>2]|0)<(f[z+12>>2]|0)?z:B)+12>>2];z=B+16|0;f[z>>2]=(f[z>>2]|0)+(f[A>>2]|0);A=f[k>>2]|0;z=A+(w<<4)|0;B=f[c>>2]|0;C=B+(w<<4)|0;D=C;E=Arc(f[D>>2]|0,f[D+4>>2]|0,f[z>>2]|0,f[z+4>>2]|0)|0;z=C;f[z>>2]=E;f[z+4>>2]=J;z=A+(w<<4)+8|0;A=B+(w<<4)+8|0;B=A;E=Arc(f[B>>2]|0,f[B+4>>2]|0,f[z>>2]|0,f[z+4>>2]|0)|0;z=A;f[z>>2]=E;f[z+4>>2]=J;F=f[i>>2]|0}else F=s;w=w+1|0;if((w|0)>=(F|0)){G=F;break}else s=F}}else G=l;r=f[t+(r*136|0)+132>>2]|0;if((r|0)>=(j|0))break;else l=G}}G=g+12|0;if((f[G>>2]|0)>0){l=f[g+20>>2]|0;j=f[g+48>>2]|0;r=f[g+120>>2]|0;F=f[g+80>>2]|0;c=f[g+108>>2]|0;g=0;do{d=l+(Y(f[j>>2]|0,g)|0)|0;h=d+8|0;f[h>>2]=(f[h>>2]|0)+1-(f[d>>2]|0);h=d+12|0;f[h>>2]=(f[h>>2]|0)+1-(f[d+4>>2]|0);h=F+(Y(f[c>>2]|0,g)|0)|0;v=+((f[d+16>>2]|0)>>>0);d=r+(g<<4)|0;p[h>>3]=(+((f[d>>2]|0)>>>0)+4294967296.0*+((f[d+4>>2]|0)>>>0))/v;d=r+(g<<4)+8|0;p[h+8>>3]=(+((f[d>>2]|0)>>>0)+4294967296.0*+((f[d+4>>2]|0)>>>0))/v;g=g+1|0}while((g|0)<(f[G>>2]|0))}G=t+((f[n>>2]|0)*136|0)|0;if((t|0)==(G|0)){Fmc(n);tE(q);tE(e);H=f[i>>2]|0;u=a;return H|0}else I=G;do{I=I+-136|0;v7(I)}while((I|0)!=(t|0));Fmc(n);tE(q);tE(e);H=f[i>>2]|0;u=a;return H|0}function C7(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;g=f[c+12>>2]|0;h=f[c+8>>2]|0;i=f[e>>2]|0;if((i|0)>=(h|0))return;j=(g|0)>0;k=g+-1|0;l=g+-2|0;m=f[c+16>>2]|0;n=f[c+44>>2]|0;c=f[a+16>>2]|0;o=f[a+44>>2]|0;a=i;do{i=f[n>>2]|0;p=m+(Y(i,a)|0)|0;q=0-i|0;i=p+q+q|0;q=f[o>>2]|0;r=c+(Y(q,a)|0)|0;s=r+(0-q)|0;if(j){q=0;do{t=p+(q<<2)|0;u=f[t>>2]|0;if((u|0)>0){if((((q|0)>1?(v=f[i+(q+-2<<2)>>2]|0,(v|0)>0):0)?(b[r+q>>0]|0)!=0:0)?(b[s+(q+-1)>>0]|0)!=0:0){w=v;while(1){x=f[d+(w<<2)>>2]|0;if((x|0)<(w|0))w=x;else break}if((v|0)==(u|0))y=w;else{x=u;while(1){z=f[d+(x<<2)>>2]|0;if((z|0)<(x|0))x=z;else break}z=(w|0)>(x|0)?x:w;A=u;do{B=d+(A<<2)|0;C=A;A=f[B>>2]|0;f[B>>2]=z}while((A|0)<(C|0));y=z}z=v;do{A=d+(z<<2)|0;w=z;z=f[A>>2]|0;f[A>>2]=y}while((z|0)<(w|0));f[t>>2]=y;D=y}else D=u;z=f[i+(q<<2)>>2]|0;a:do if((z|0)>0){v=b[r+q>>0]|0;w=v<<24>>24!=0;if((q|0)>=(k|0)){if(!w){E=D;break}if(!(b[s+q>>0]|0)){E=D;break}else F=z;while(1){A=f[d+(F<<2)>>2]|0;if((A|0)<(F|0))F=A;else break}if((z|0)==(D|0))G=F;else{A=D;while(1){x=f[d+(A<<2)>>2]|0;if((x|0)<(A|0))A=x;else break}x=(F|0)>(A|0)?A:F;C=D;do{B=d+(C<<2)|0;H=C;C=f[B>>2]|0;f[B>>2]=x}while((C|0)<(H|0));G=x}x=z;do{C=d+(x<<2)|0;A=x;x=f[C>>2]|0;f[C>>2]=G}while((x|0)<(A|0));f[t>>2]=G;E=G;break}if(w?(b[s+q>>0]|0)!=0:0)I=z;else J=23;do if((J|0)==23){J=0;x=q|1;A=(b[r+x>>0]|0)!=0;if(A?b[s+q>>0]|0:0){I=z;break}if(v<<24>>24?b[s+x>>0]|0:0){I=z;break}if(!A){E=D;break a}if(!(b[s+x>>0]|0)){E=D;break a}else I=z}while(0);while(1){v=f[d+(I<<2)>>2]|0;if((v|0)<(I|0))I=v;else break}if((z|0)==(D|0))K=I;else{v=D;while(1){w=f[d+(v<<2)>>2]|0;if((w|0)<(v|0))v=w;else break}w=(I|0)>(v|0)?v:I;x=D;do{A=d+(x<<2)|0;C=x;x=f[A>>2]|0;f[A>>2]=w}while((x|0)<(C|0));K=w}w=z;do{x=d+(w<<2)|0;v=w;w=f[x>>2]|0;f[x>>2]=K}while((w|0)<(v|0));f[t>>2]=K;E=K}else E=D;while(0);if((((q|0)<(l|0)?(z=q+2|0,u=f[i+(z<<2)>>2]|0,(u|0)>0):0)?b[r+(q|1)>>0]|0:0)?b[s+z>>0]|0:0){z=u;while(1){w=f[d+(z<<2)>>2]|0;if((w|0)<(z|0))z=w;else break}if((u|0)==(E|0))L=z;else{w=E;while(1){v=f[d+(w<<2)>>2]|0;if((v|0)<(w|0))w=v;else break}v=(z|0)>(w|0)?w:z;x=E;do{C=d+(x<<2)|0;A=x;x=f[C>>2]|0;f[C>>2]=v}while((x|0)<(A|0));L=v}v=u;do{x=d+(v<<2)|0;z=v;v=f[x>>2]|0;f[x>>2]=L}while((v|0)<(z|0));f[t>>2]=L}}q=q+2|0}while((q|0)<(g|0))}a=f[e+(a<<2)>>2]|0}while((a|0)<(h|0));return}function D7(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+80|0;d=c+64|0;e=c;g=c+56|0;h=f[a>>2]|0;f[d>>2]=5;f[d+4>>2]=b;HD(h,d,4,-1,0,0);d=f[a>>2]|0;do if((pD(d)|0)==65536){h=f[d+4>>2]|0;f[e>>2]=f[h>>2];i=e+4|0;j=h+4|0;f[i>>2]=f[j>>2];k=e+8|0;f[k>>2]=f[h+8>>2];f[e+12>>2]=f[h+12>>2];f[e+16>>2]=f[h+16>>2];f[e+20>>2]=f[h+20>>2];f[e+24>>2]=f[h+24>>2];f[e+28>>2]=f[h+28>>2];f[e+32>>2]=f[h+32>>2];l=f[h+36>>2]|0;f[e+36>>2]=l;f[e+40>>2]=k;k=e+48|0;m=e+44|0;f[m>>2]=k;f[k>>2]=0;f[e+52>>2]=0;if(l|0){k=l+12|0;f[k>>2]=(f[k>>2]|0)+1}if((f[j>>2]|0)<3){j=f[h+44>>2]|0;k=f[m>>2]|0;f[k>>2]=f[j>>2];f[k+4>>2]=f[j+4>>2];break}else{f[i>>2]=0;kP(e,h);break}}else lD(e,d,-1);while(0);d=a+4|0;h=e+36|0;i=f[h>>2]|0;if((d|0)==(e|0))n=i;else{if(i|0){j=i+12|0;f[j>>2]=(f[j>>2]|0)+1}j=a+40|0;i=f[j>>2]|0;if(i|0?(k=i+12|0,i=f[k>>2]|0,f[k>>2]=i+-1,(i|0)==1):0)lP(d);f[j>>2]=0;i=a+20|0;k=a+8|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[k>>2]|0)>0){m=f[a+44>>2]|0;l=0;do{f[m+(l<<2)>>2]=0;l=l+1|0;o=f[k>>2]|0}while((l|0)<(o|0));f[d>>2]=f[e>>2];if((o|0)<3)p=19;else p=21}else{f[d>>2]=f[e>>2];p=19}if((p|0)==19){o=f[e+4>>2]|0;if((o|0)<3){f[k>>2]=o;f[a+12>>2]=f[e+8>>2];f[a+16>>2]=f[e+12>>2];o=f[e+44>>2]|0;k=f[a+48>>2]|0;f[k>>2]=f[o>>2];f[k+4>>2]=f[o+4>>2]}else p=21}if((p|0)==21)kP(d,e);f[i>>2]=f[e+16>>2];f[a+24>>2]=f[e+20>>2];f[a+28>>2]=f[e+24>>2];f[a+32>>2]=f[e+28>>2];f[a+36>>2]=f[e+32>>2];i=f[h>>2]|0;f[j>>2]=i;n=i}if(n|0?(i=n+12|0,n=f[i>>2]|0,f[i>>2]=n+-1,(n|0)==1):0)lP(e);f[h>>2]=0;h=e+16|0;n=e+4|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;if((f[n>>2]|0)>0){h=f[e+40>>2]|0;i=0;do{f[h+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[n>>2]|0))}n=f[e+44>>2]|0;if((n|0)!=(e+48|0))tE(n);n=a+60|0;i=f[n>>2]|0;f[g>>2]=2;f[g+4>>2]=b;HD(i,g,6,-1,0,0);g=f[n>>2]|0;do if((pD(g)|0)==65536){n=f[g+4>>2]|0;f[e>>2]=f[n>>2];i=e+4|0;h=n+4|0;f[i>>2]=f[h>>2];j=e+8|0;f[j>>2]=f[n+8>>2];f[e+12>>2]=f[n+12>>2];f[e+16>>2]=f[n+16>>2];f[e+20>>2]=f[n+20>>2];f[e+24>>2]=f[n+24>>2];f[e+28>>2]=f[n+28>>2];f[e+32>>2]=f[n+32>>2];d=f[n+36>>2]|0;f[e+36>>2]=d;f[e+40>>2]=j;j=e+48|0;o=e+44|0;f[o>>2]=j;f[j>>2]=0;f[e+52>>2]=0;if(d|0){j=d+12|0;f[j>>2]=(f[j>>2]|0)+1}if((f[h>>2]|0)<3){h=f[n+44>>2]|0;j=f[o>>2]|0;f[j>>2]=f[h>>2];f[j+4>>2]=f[h+4>>2];break}else{f[i>>2]=0;kP(e,n);break}}else lD(e,g,-1);while(0);g=a+64|0;n=e+36|0;i=f[n>>2]|0;if((g|0)==(e|0))q=i;else{if(i|0){h=i+12|0;f[h>>2]=(f[h>>2]|0)+1}h=a+100|0;i=f[h>>2]|0;if(i|0?(j=i+12|0,i=f[j>>2]|0,f[j>>2]=i+-1,(i|0)==1):0)lP(g);f[h>>2]=0;i=a+80|0;j=a+68|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;if((f[j>>2]|0)>0){o=f[a+104>>2]|0;d=0;do{f[o+(d<<2)>>2]=0;d=d+1|0;r=f[j>>2]|0}while((d|0)<(r|0));f[g>>2]=f[e>>2];if((r|0)<3)p=49;else p=51}else{f[g>>2]=f[e>>2];p=49}if((p|0)==49){r=f[e+4>>2]|0;if((r|0)<3){f[j>>2]=r;f[a+72>>2]=f[e+8>>2];f[a+76>>2]=f[e+12>>2];r=f[e+44>>2]|0;j=f[a+108>>2]|0;f[j>>2]=f[r>>2];f[j+4>>2]=f[r+4>>2]}else p=51}if((p|0)==51)kP(g,e);f[i>>2]=f[e+16>>2];f[a+84>>2]=f[e+20>>2];f[a+88>>2]=f[e+24>>2];f[a+92>>2]=f[e+28>>2];f[a+96>>2]=f[e+32>>2];i=f[n>>2]|0;f[h>>2]=i;q=i}if(q|0?(i=q+12|0,q=f[i>>2]|0,f[i>>2]=q+-1,(q|0)==1):0)lP(e);f[n>>2]=0;n=e+16|0;q=e+4|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[q>>2]|0)>0){n=f[e+40>>2]|0;i=0;do{f[n+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[q>>2]|0))}q=f[e+44>>2]|0;if((q|0)!=(e+48|0))tE(q);if((b|0)>0){q=f[a+20>>2]|0;i=f[a+48>>2]|0;n=0;do{h=q+(Y(f[i>>2]|0,n)|0)|0;f[h>>2]=2147483647;f[h+4>>2]=2147483647;f[h+8>>2]=-2147483648;f[h+12>>2]=-2147483648;f[h+16>>2]=0;n=n+1|0}while((n|0)!=(b|0))}n=a+120|0;i=a+124|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;a=f[i>>2]|0;q=f[n>>2]|0;h=a-q>>4;g=a;if(h>>>0<b>>>0){H7(n,b-h|0,e);u=c;return}if(h>>>0<=b>>>0){u=c;return}h=q+(b<<4)|0;if((g|0)==(h|0)){u=c;return}f[i>>2]=g+(~((g+-16-h|0)>>>4)<<4);u=c;return}function E7(a){a=a|0;Emc(a);return}function F7(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0;d=f[c>>2]|0;e=((d|0)%2|0)+d|0;d=f[c+4>>2]|0;c=((d|0)%2|0)+d|0;if((e|0)>0){d=a+20|0;G7((f[d>>2]|0)+(e*136|0)|0,f[f[a+24>>2]>>2]|0);g=f[d>>2]|0;f[g+(e*136|0)+132>>2]=c;d=a+8|0;h=f[d>>2]|0;i=f[h+12>>2]|0;j=(i&1|0)!=0;k=(e|0)<(c|0);if(!(f[h+8>>2]&1)){if(!j){if(!k)return;l=a+4|0;m=a+12|0;n=g+(e*136|0)+20|0;o=g+(e*136|0)+120|0;p=g+(e*136|0)+20|0;q=g+(e*136|0)+48|0;r=g+(e*136|0)+48|0;s=g+(e*136|0)+48|0;t=g+(e*136|0)+20|0;u=g+(e*136|0)+48|0;v=g+(e*136|0)+120|0;w=g+(e*136|0)+20|0;x=g+(e*136|0)+120|0;y=e;z=h;A=i;while(1){B=f[l>>2]|0;C=f[f[B+44>>2]>>2]|0;D=(f[B+16>>2]|0)+(Y(C,y)|0)|0;B=D+C|0;C=f[f[z+44>>2]>>2]|0;E=(f[z+16>>2]|0)+(Y(C,y)|0)|0;F=E+C|0;if((A|0)>0){C=((y|0)<0)<<31>>31;G=y+1|0;H=((G|0)<0)<<31>>31;I=0;do{K=E+(I<<2)|0;L=f[K>>2]|0;do if((L|0)>0){M=f[(f[m>>2]|0)+(L<<2)>>2]|0;if(!(b[D+I>>0]|0)){f[K>>2]=0;N=f[n>>2]|0;O=f[N>>2]|0;f[N>>2]=(O|0)>(I|0)?I:O;O=N+8|0;P=f[O>>2]|0;f[O>>2]=(P|0)<(I|0)?I:P;P=N+4|0;O=f[P>>2]|0;f[P>>2]=(O|0)>(y|0)?y:O;O=N+12|0;P=f[O>>2]|0;f[O>>2]=(P|0)<(y|0)?y:P;P=N+16|0;f[P>>2]=(f[P>>2]|0)+1;P=f[o>>2]|0;O=P;Q=Arc(f[O>>2]|0,f[O+4>>2]|0,I|0,((I|0)<0)<<31>>31|0)|0;O=P;f[O>>2]=Q;f[O+4>>2]=J;R=P+8|0;S=N;T=P}else{f[K>>2]=M;P=f[t>>2]|0;N=P+(Y(f[f[u>>2]>>2]|0,M)|0)|0;O=f[N>>2]|0;f[N>>2]=(O|0)>(I|0)?I:O;O=N+8|0;Q=f[O>>2]|0;f[O>>2]=(Q|0)<(I|0)?I:Q;Q=N+4|0;O=f[Q>>2]|0;f[Q>>2]=(O|0)>(y|0)?y:O;O=N+12|0;Q=f[O>>2]|0;f[O>>2]=(Q|0)<(y|0)?y:Q;Q=N+16|0;f[Q>>2]=(f[Q>>2]|0)+1;Q=f[v>>2]|0;N=Q+(M<<4)|0;O=N;U=Arc(f[O>>2]|0,f[O+4>>2]|0,I|0,((I|0)<0)<<31>>31|0)|0;O=N;f[O>>2]=U;f[O+4>>2]=J;R=Q+(M<<4)+8|0;S=P;T=Q}Q=R;P=Arc(f[Q>>2]|0,f[Q+4>>2]|0,y|0,C|0)|0;Q=R;f[Q>>2]=P;f[Q+4>>2]=J;Q=I|1;P=E+(Q<<2)|0;if(!(b[D+Q>>0]|0)){f[P>>2]=0;V=0;W=S}else{f[P>>2]=M;V=M;W=S+(Y(f[f[s>>2]>>2]|0,M)|0)|0}P=f[W>>2]|0;f[W>>2]=(P|0)>(Q|0)?Q:P;P=W+8|0;O=f[P>>2]|0;f[P>>2]=(O|0)<(Q|0)?Q:O;O=W+4|0;P=f[O>>2]|0;f[O>>2]=(P|0)>(y|0)?y:P;P=W+12|0;O=f[P>>2]|0;f[P>>2]=(O|0)<(y|0)?y:O;O=W+16|0;f[O>>2]=(f[O>>2]|0)+1;O=T+(V<<4)|0;P=O;U=Arc(f[P>>2]|0,f[P+4>>2]|0,Q|0,((Q|0)<0)<<31>>31|0)|0;P=O;f[P>>2]=U;f[P+4>>2]=J;P=T+(V<<4)+8|0;U=P;O=Arc(f[U>>2]|0,f[U+4>>2]|0,y|0,C|0)|0;U=P;f[U>>2]=O;f[U+4>>2]=J;U=F+(I<<2)|0;if(!(b[B+I>>0]|0)){f[U>>2]=0;X=0;Z=S}else{f[U>>2]=M;X=M;Z=S+(Y(f[f[r>>2]>>2]|0,M)|0)|0}U=f[Z>>2]|0;f[Z>>2]=(U|0)>(I|0)?I:U;U=Z+8|0;O=f[U>>2]|0;f[U>>2]=(O|0)<(I|0)?I:O;O=Z+4|0;U=f[O>>2]|0;f[O>>2]=(U|0)>(G|0)?G:U;U=Z+12|0;O=f[U>>2]|0;f[U>>2]=(O|0)<(G|0)?G:O;O=Z+16|0;f[O>>2]=(f[O>>2]|0)+1;O=T+(X<<4)|0;U=O;P=Arc(f[U>>2]|0,f[U+4>>2]|0,I|0,((I|0)<0)<<31>>31|0)|0;U=O;f[U>>2]=P;f[U+4>>2]=J;U=T+(X<<4)+8|0;P=U;O=Arc(f[P>>2]|0,f[P+4>>2]|0,G|0,H|0)|0;P=U;f[P>>2]=O;f[P+4>>2]=J;P=F+(Q<<2)|0;O=f[p>>2]|0;if(!(b[B+Q>>0]|0)){f[P>>2]=0;U=f[O>>2]|0;f[O>>2]=(U|0)>(Q|0)?Q:U;U=O+8|0;N=f[U>>2]|0;f[U>>2]=(N|0)<(Q|0)?Q:N;N=O+4|0;U=f[N>>2]|0;f[N>>2]=(U|0)>(G|0)?G:U;U=O+12|0;N=f[U>>2]|0;f[U>>2]=(N|0)<(G|0)?G:N;N=O+16|0;f[N>>2]=(f[N>>2]|0)+1;N=T;U=Arc(f[N>>2]|0,f[N+4>>2]|0,Q|0,((Q|0)<0)<<31>>31|0)|0;N=T;f[N>>2]=U;f[N+4>>2]=J;_=T+8|0;break}else{f[P>>2]=M;P=O+(Y(f[f[q>>2]>>2]|0,M)|0)|0;O=f[P>>2]|0;f[P>>2]=(O|0)>(Q|0)?Q:O;O=P+8|0;N=f[O>>2]|0;f[O>>2]=(N|0)<(Q|0)?Q:N;N=P+4|0;O=f[N>>2]|0;f[N>>2]=(O|0)>(G|0)?G:O;O=P+12|0;N=f[O>>2]|0;f[O>>2]=(N|0)<(G|0)?G:N;N=P+16|0;f[N>>2]=(f[N>>2]|0)+1;N=T+(M<<4)|0;P=N;O=Arc(f[P>>2]|0,f[P+4>>2]|0,Q|0,((Q|0)<0)<<31>>31|0)|0;Q=N;f[Q>>2]=O;f[Q+4>>2]=J;_=T+(M<<4)+8|0;break}}else{f[K>>2]=0;M=I|1;f[E+(M<<2)>>2]=0;f[F+(I<<2)>>2]=0;f[F+(M<<2)>>2]=0;Q=f[w>>2]|0;O=f[Q>>2]|0;N=(O|0)>(I|0)?I:O;O=Q+8|0;P=f[O>>2]|0;U=(P|0)<(I|0)?I:P;P=Q+4|0;$=f[P>>2]|0;aa=($|0)>(y|0)?y:$;$=Q+12|0;ba=f[$>>2]|0;ca=(ba|0)<(y|0)?y:ba;ba=Q+16|0;da=f[ba>>2]|0;ea=f[x>>2]|0;fa=((I|0)<0)<<31>>31;ga=ea;ha=Arc(f[ga>>2]|0,f[ga+4>>2]|0,I|0,fa|0)|0;ga=J;ia=ea+8|0;ja=ia;ka=Arc(f[ja>>2]|0,f[ja+4>>2]|0,y|0,C|0)|0;ja=J;la=(N|0)>(M|0)?M:N;N=((M|0)<0)<<31>>31;ma=Arc(ha|0,ga|0,M|0,N|0)|0;ga=J;ha=Arc(ka|0,ja|0,y|0,C|0)|0;ja=J;ka=Arc(ma|0,ga|0,I|0,fa|0)|0;fa=J;ga=Arc(ha|0,ja|0,G|0,H|0)|0;ja=ia;f[ja>>2]=ga;f[ja+4>>2]=J;f[Q>>2]=(la|0)>(I|0)?I:la;f[O>>2]=(U|0)<(M|0)?M:U;f[P>>2]=(aa|0)>(G|0)?G:aa;f[$>>2]=(ca|0)<(G|0)?G:ca;f[ba>>2]=da+4;da=Arc(ka|0,fa|0,M|0,N|0)|0;N=ea;f[N>>2]=da;f[N+4>>2]=J;_=ia}while(0);K=_;L=Arc(f[K>>2]|0,f[K+4>>2]|0,G|0,H|0)|0;K=_;f[K>>2]=L;f[K+4>>2]=J;I=I+2|0;K=f[d>>2]|0;L=f[K+12>>2]|0}while((I|0)<(L|0));na=L;oa=K}else{na=A;oa=z}y=y+2|0;if((y|0)>=(c|0))break;else{z=oa;A=na}}return}if(!k)return;na=a+4|0;A=a+12|0;oa=g+(e*136|0)+20|0;z=g+(e*136|0)+120|0;y=g+(e*136|0)+20|0;_=g+(e*136|0)+48|0;x=g+(e*136|0)+48|0;w=g+(e*136|0)+48|0;T=g+(e*136|0)+20|0;q=g+(e*136|0)+48|0;p=g+(e*136|0)+120|0;X=g+(e*136|0)+20|0;Z=g+(e*136|0)+120|0;r=e;S=h;V=i;while(1){W=f[na>>2]|0;s=f[f[W+44>>2]>>2]|0;R=(f[W+16>>2]|0)+(Y(s,r)|0)|0;W=R+s|0;s=f[f[S+44>>2]>>2]|0;v=(f[S+16>>2]|0)+(Y(s,r)|0)|0;u=v+s|0;if((V|0)>0){s=((r|0)<0)<<31>>31;t=r+1|0;o=((t|0)<0)<<31>>31;n=0;do{m=v+(n<<2)|0;l=f[m>>2]|0;do if((l|0)>0){I=f[(f[A>>2]|0)+(l<<2)>>2]|0;if(!(b[R+n>>0]|0)){f[m>>2]=0;H=f[oa>>2]|0;G=f[H>>2]|0;f[H>>2]=(G|0)>(n|0)?n:G;G=H+8|0;C=f[G>>2]|0;f[G>>2]=(C|0)<(n|0)?n:C;C=H+4|0;G=f[C>>2]|0;f[C>>2]=(G|0)>(r|0)?r:G;G=H+12|0;C=f[G>>2]|0;f[G>>2]=(C|0)<(r|0)?r:C;C=H+16|0;f[C>>2]=(f[C>>2]|0)+1;C=f[z>>2]|0;G=C;F=Arc(f[G>>2]|0,f[G+4>>2]|0,n|0,((n|0)<0)<<31>>31|0)|0;G=C;f[G>>2]=F;f[G+4>>2]=J;pa=C+8|0;qa=H;ra=C}else{f[m>>2]=I;C=f[T>>2]|0;H=C+(Y(f[f[q>>2]>>2]|0,I)|0)|0;G=f[H>>2]|0;f[H>>2]=(G|0)>(n|0)?n:G;G=H+8|0;F=f[G>>2]|0;f[G>>2]=(F|0)<(n|0)?n:F;F=H+4|0;G=f[F>>2]|0;f[F>>2]=(G|0)>(r|0)?r:G;G=H+12|0;F=f[G>>2]|0;f[G>>2]=(F|0)<(r|0)?r:F;F=H+16|0;f[F>>2]=(f[F>>2]|0)+1;F=f[p>>2]|0;H=F+(I<<4)|0;G=H;E=Arc(f[G>>2]|0,f[G+4>>2]|0,n|0,((n|0)<0)<<31>>31|0)|0;G=H;f[G>>2]=E;f[G+4>>2]=J;pa=F+(I<<4)+8|0;qa=C;ra=F}F=pa;C=Arc(f[F>>2]|0,f[F+4>>2]|0,r|0,s|0)|0;F=pa;f[F>>2]=C;f[F+4>>2]=J;F=u+(n<<2)|0;if(!(b[W+n>>0]|0)){f[F>>2]=0;sa=0;ta=qa}else{f[F>>2]=I;sa=I;ta=qa+(Y(f[f[w>>2]>>2]|0,I)|0)|0}F=f[ta>>2]|0;f[ta>>2]=(F|0)>(n|0)?n:F;F=ta+8|0;C=f[F>>2]|0;f[F>>2]=(C|0)<(n|0)?n:C;C=ta+4|0;F=f[C>>2]|0;f[C>>2]=(F|0)>(t|0)?t:F;F=ta+12|0;C=f[F>>2]|0;f[F>>2]=(C|0)<(t|0)?t:C;C=ta+16|0;f[C>>2]=(f[C>>2]|0)+1;C=ra+(sa<<4)|0;F=C;G=Arc(f[F>>2]|0,f[F+4>>2]|0,n|0,((n|0)<0)<<31>>31|0)|0;F=C;f[F>>2]=G;f[F+4>>2]=J;F=ra+(sa<<4)+8|0;G=F;C=Arc(f[G>>2]|0,f[G+4>>2]|0,t|0,o|0)|0;G=F;f[G>>2]=C;f[G+4>>2]=J;G=n|1;if((G|0)<(f[(f[d>>2]|0)+12>>2]|0)){C=v+(G<<2)|0;if(!(b[R+G>>0]|0)){f[C>>2]=0;ua=0;va=qa}else{f[C>>2]=I;ua=I;va=qa+(Y(f[f[x>>2]>>2]|0,I)|0)|0}C=f[va>>2]|0;f[va>>2]=(C|0)>(G|0)?G:C;C=va+8|0;F=f[C>>2]|0;f[C>>2]=(F|0)<(G|0)?G:F;F=va+4|0;C=f[F>>2]|0;f[F>>2]=(C|0)>(r|0)?r:C;C=va+12|0;F=f[C>>2]|0;f[C>>2]=(F|0)<(r|0)?r:F;F=va+16|0;f[F>>2]=(f[F>>2]|0)+1;F=ra+(ua<<4)|0;C=F;E=Arc(f[C>>2]|0,f[C+4>>2]|0,G|0,((G|0)<0)<<31>>31|0)|0;C=F;f[C>>2]=E;f[C+4>>2]=J;C=ra+(ua<<4)+8|0;E=C;F=Arc(f[E>>2]|0,f[E+4>>2]|0,r|0,s|0)|0;E=C;f[E>>2]=F;f[E+4>>2]=J;E=u+(G<<2)|0;F=f[y>>2]|0;if(!(b[W+G>>0]|0)){f[E>>2]=0;C=f[F>>2]|0;f[F>>2]=(C|0)>(G|0)?G:C;C=F+8|0;H=f[C>>2]|0;f[C>>2]=(H|0)<(G|0)?G:H;H=F+4|0;C=f[H>>2]|0;f[H>>2]=(C|0)>(t|0)?t:C;C=F+12|0;H=f[C>>2]|0;f[C>>2]=(H|0)<(t|0)?t:H;H=F+16|0;f[H>>2]=(f[H>>2]|0)+1;H=ra;C=Arc(f[H>>2]|0,f[H+4>>2]|0,G|0,((G|0)<0)<<31>>31|0)|0;H=ra;f[H>>2]=C;f[H+4>>2]=J;H=ra+8|0;C=H;B=Arc(f[C>>2]|0,f[C+4>>2]|0,t|0,o|0)|0;C=H;f[C>>2]=B;f[C+4>>2]=J;break}else{f[E>>2]=I;E=F+(Y(f[f[_>>2]>>2]|0,I)|0)|0;F=f[E>>2]|0;f[E>>2]=(F|0)>(G|0)?G:F;F=E+8|0;C=f[F>>2]|0;f[F>>2]=(C|0)<(G|0)?G:C;C=E+4|0;F=f[C>>2]|0;f[C>>2]=(F|0)>(t|0)?t:F;F=E+12|0;C=f[F>>2]|0;f[F>>2]=(C|0)<(t|0)?t:C;C=E+16|0;f[C>>2]=(f[C>>2]|0)+1;C=ra+(I<<4)|0;E=C;F=Arc(f[E>>2]|0,f[E+4>>2]|0,G|0,((G|0)<0)<<31>>31|0)|0;G=C;f[G>>2]=F;f[G+4>>2]=J;G=ra+(I<<4)+8|0;I=G;F=Arc(f[I>>2]|0,f[I+4>>2]|0,t|0,o|0)|0;I=G;f[I>>2]=F;f[I+4>>2]=J;break}}}else{f[m>>2]=0;f[u+(n<<2)>>2]=0;I=f[X>>2]|0;F=f[I>>2]|0;G=I+8|0;C=f[G>>2]|0;E=I+4|0;B=f[E>>2]|0;H=(B|0)>(r|0)?r:B;B=I+12|0;D=f[B>>2]|0;K=(D|0)<(r|0)?r:D;D=I+16|0;L=f[D>>2]|0;ia=f[Z>>2]|0;N=((n|0)<0)<<31>>31;da=ia;ea=Arc(f[da>>2]|0,f[da+4>>2]|0,n|0,N|0)|0;da=J;M=ia+8|0;fa=M;ka=Arc(f[fa>>2]|0,f[fa+4>>2]|0,r|0,s|0)|0;fa=J;f[I>>2]=(F|0)>(n|0)?n:F;f[G>>2]=(C|0)<(n|0)?n:C;f[E>>2]=(H|0)>(t|0)?t:H;f[B>>2]=(K|0)<(t|0)?t:K;f[D>>2]=L+2;L=Arc(ea|0,da|0,n|0,N|0)|0;N=J;da=ia;f[da>>2]=L;f[da+4>>2]=N;da=Arc(ka|0,fa|0,t|0,o|0)|0;fa=J;ka=M;f[ka>>2]=da;f[ka+4>>2]=fa;ka=n|1;if((ka|0)<(f[(f[d>>2]|0)+12>>2]|0)){f[v+(ka<<2)>>2]=0;f[u+(ka<<2)>>2]=0;ea=f[I>>2]|0;K=f[G>>2]|0;H=f[E>>2]|0;C=(H|0)>(r|0)?r:H;H=f[B>>2]|0;F=(H|0)<(r|0)?r:H;H=f[D>>2]|0;ba=((ka|0)<0)<<31>>31;ca=Arc(L|0,N|0,ka|0,ba|0)|0;N=J;L=Arc(da|0,fa|0,r|0,s|0)|0;fa=J;f[I>>2]=(ea|0)>(ka|0)?ka:ea;f[G>>2]=(K|0)<(ka|0)?ka:K;f[E>>2]=(C|0)>(t|0)?t:C;f[B>>2]=(F|0)<(t|0)?t:F;f[D>>2]=H+2;H=Arc(ca|0,N|0,ka|0,ba|0)|0;ba=ia;f[ba>>2]=H;f[ba+4>>2]=J;ba=Arc(L|0,fa|0,t|0,o|0)|0;fa=M;f[fa>>2]=ba;f[fa+4>>2]=J}}while(0);n=n+2|0;m=f[d>>2]|0;l=f[m+12>>2]|0}while((n|0)<(l|0));wa=l;xa=m}else{wa=V;xa=S}r=r+2|0;if((r|0)>=(c|0))break;else{S=xa;V=wa}}return}if(!j){if(!k)return;j=a+4|0;wa=a+12|0;V=g+(e*136|0)+20|0;xa=g+(e*136|0)+120|0;S=g+(e*136|0)+20|0;r=g+(e*136|0)+48|0;Z=g+(e*136|0)+48|0;X=g+(e*136|0)+48|0;ra=g+(e*136|0)+20|0;_=g+(e*136|0)+48|0;y=g+(e*136|0)+120|0;ua=g+(e*136|0)+20|0;va=g+(e*136|0)+120|0;x=e;qa=h;sa=i;while(1){ta=f[j>>2]|0;w=f[f[ta+44>>2]>>2]|0;pa=(f[ta+16>>2]|0)+(Y(w,x)|0)|0;ta=pa+w|0;w=f[f[qa+44>>2]>>2]|0;p=(f[qa+16>>2]|0)+(Y(w,x)|0)|0;q=p+w|0;if((sa|0)>0){w=((x|0)<0)<<31>>31;T=x+1|0;z=((T|0)<0)<<31>>31;oa=0;do{A=p+(oa<<2)|0;na=f[A>>2]|0;do if((na|0)>0){n=f[(f[wa>>2]|0)+(na<<2)>>2]|0;if(!(b[pa+oa>>0]|0)){f[A>>2]=0;o=f[V>>2]|0;t=f[o>>2]|0;f[o>>2]=(t|0)>(oa|0)?oa:t;t=o+8|0;s=f[t>>2]|0;f[t>>2]=(s|0)<(oa|0)?oa:s;s=o+4|0;t=f[s>>2]|0;f[s>>2]=(t|0)>(x|0)?x:t;t=o+12|0;s=f[t>>2]|0;f[t>>2]=(s|0)<(x|0)?x:s;s=o+16|0;f[s>>2]=(f[s>>2]|0)+1;s=f[xa>>2]|0;t=s;u=Arc(f[t>>2]|0,f[t+4>>2]|0,oa|0,((oa|0)<0)<<31>>31|0)|0;t=s;f[t>>2]=u;f[t+4>>2]=J;ya=s+8|0;za=o;Aa=s}else{f[A>>2]=n;s=f[ra>>2]|0;o=s+(Y(f[f[_>>2]>>2]|0,n)|0)|0;t=f[o>>2]|0;f[o>>2]=(t|0)>(oa|0)?oa:t;t=o+8|0;u=f[t>>2]|0;f[t>>2]=(u|0)<(oa|0)?oa:u;u=o+4|0;t=f[u>>2]|0;f[u>>2]=(t|0)>(x|0)?x:t;t=o+12|0;u=f[t>>2]|0;f[t>>2]=(u|0)<(x|0)?x:u;u=o+16|0;f[u>>2]=(f[u>>2]|0)+1;u=f[y>>2]|0;o=u+(n<<4)|0;t=o;v=Arc(f[t>>2]|0,f[t+4>>2]|0,oa|0,((oa|0)<0)<<31>>31|0)|0;t=o;f[t>>2]=v;f[t+4>>2]=J;ya=u+(n<<4)+8|0;za=s;Aa=u}u=ya;s=Arc(f[u>>2]|0,f[u+4>>2]|0,x|0,w|0)|0;u=ya;f[u>>2]=s;f[u+4>>2]=J;u=oa|1;s=p+(u<<2)|0;if(!(b[pa+u>>0]|0)){f[s>>2]=0;Ba=0;Ca=za}else{f[s>>2]=n;Ba=n;Ca=za+(Y(f[f[X>>2]>>2]|0,n)|0)|0}s=f[Ca>>2]|0;f[Ca>>2]=(s|0)>(u|0)?u:s;s=Ca+8|0;t=f[s>>2]|0;f[s>>2]=(t|0)<(u|0)?u:t;t=Ca+4|0;s=f[t>>2]|0;f[t>>2]=(s|0)>(x|0)?x:s;s=Ca+12|0;t=f[s>>2]|0;f[s>>2]=(t|0)<(x|0)?x:t;t=Ca+16|0;f[t>>2]=(f[t>>2]|0)+1;t=Aa+(Ba<<4)|0;s=t;v=Arc(f[s>>2]|0,f[s+4>>2]|0,u|0,((u|0)<0)<<31>>31|0)|0;s=t;f[s>>2]=v;f[s+4>>2]=J;s=Aa+(Ba<<4)+8|0;v=s;t=Arc(f[v>>2]|0,f[v+4>>2]|0,x|0,w|0)|0;v=s;f[v>>2]=t;f[v+4>>2]=J;if((T|0)<(f[(f[d>>2]|0)+8>>2]|0)){v=q+(oa<<2)|0;if(!(b[ta+oa>>0]|0)){f[v>>2]=0;Da=0;Ea=za}else{f[v>>2]=n;Da=n;Ea=za+(Y(f[f[Z>>2]>>2]|0,n)|0)|0}v=f[Ea>>2]|0;f[Ea>>2]=(v|0)>(oa|0)?oa:v;v=Ea+8|0;t=f[v>>2]|0;f[v>>2]=(t|0)<(oa|0)?oa:t;t=Ea+4|0;v=f[t>>2]|0;f[t>>2]=(v|0)>(T|0)?T:v;v=Ea+12|0;t=f[v>>2]|0;f[v>>2]=(t|0)<(T|0)?T:t;t=Ea+16|0;f[t>>2]=(f[t>>2]|0)+1;t=Aa+(Da<<4)|0;v=t;s=Arc(f[v>>2]|0,f[v+4>>2]|0,oa|0,((oa|0)<0)<<31>>31|0)|0;v=t;f[v>>2]=s;f[v+4>>2]=J;v=Aa+(Da<<4)+8|0;s=v;t=Arc(f[s>>2]|0,f[s+4>>2]|0,T|0,z|0)|0;s=v;f[s>>2]=t;f[s+4>>2]=J;s=q+(u<<2)|0;t=f[S>>2]|0;if(!(b[ta+u>>0]|0)){f[s>>2]=0;v=f[t>>2]|0;f[t>>2]=(v|0)>(u|0)?u:v;v=t+8|0;o=f[v>>2]|0;f[v>>2]=(o|0)<(u|0)?u:o;o=t+4|0;v=f[o>>2]|0;f[o>>2]=(v|0)>(T|0)?T:v;v=t+12|0;o=f[v>>2]|0;f[v>>2]=(o|0)<(T|0)?T:o;o=t+16|0;f[o>>2]=(f[o>>2]|0)+1;o=Aa;v=Arc(f[o>>2]|0,f[o+4>>2]|0,u|0,((u|0)<0)<<31>>31|0)|0;o=Aa;f[o>>2]=v;f[o+4>>2]=J;o=Aa+8|0;v=o;W=Arc(f[v>>2]|0,f[v+4>>2]|0,T|0,z|0)|0;v=o;f[v>>2]=W;f[v+4>>2]=J;break}else{f[s>>2]=n;s=t+(Y(f[f[r>>2]>>2]|0,n)|0)|0;t=f[s>>2]|0;f[s>>2]=(t|0)>(u|0)?u:t;t=s+8|0;v=f[t>>2]|0;f[t>>2]=(v|0)<(u|0)?u:v;v=s+4|0;t=f[v>>2]|0;f[v>>2]=(t|0)>(T|0)?T:t;t=s+12|0;v=f[t>>2]|0;f[t>>2]=(v|0)<(T|0)?T:v;v=s+16|0;f[v>>2]=(f[v>>2]|0)+1;v=Aa+(n<<4)|0;s=v;t=Arc(f[s>>2]|0,f[s+4>>2]|0,u|0,((u|0)<0)<<31>>31|0)|0;u=v;f[u>>2]=t;f[u+4>>2]=J;u=Aa+(n<<4)+8|0;n=u;t=Arc(f[n>>2]|0,f[n+4>>2]|0,T|0,z|0)|0;n=u;f[n>>2]=t;f[n+4>>2]=J;break}}}else{f[A>>2]=0;n=oa|1;f[p+(n<<2)>>2]=0;t=f[ua>>2]|0;u=f[t>>2]|0;v=(u|0)>(oa|0)?oa:u;u=t+8|0;s=f[u>>2]|0;W=(s|0)<(oa|0)?oa:s;s=t+4|0;o=f[s>>2]|0;R=t+12|0;m=f[R>>2]|0;l=t+16|0;fa=f[l>>2]|0;ba=f[va>>2]|0;M=((oa|0)<0)<<31>>31;L=ba;H=Arc(f[L>>2]|0,f[L+4>>2]|0,oa|0,M|0)|0;L=J;ia=ba+8|0;ka=ia;N=Arc(f[ka>>2]|0,f[ka+4>>2]|0,x|0,w|0)|0;ka=J;f[t>>2]=(v|0)>(n|0)?n:v;f[u>>2]=(W|0)<(n|0)?n:W;f[s>>2]=(o|0)>(x|0)?x:o;f[R>>2]=(m|0)<(x|0)?x:m;f[l>>2]=fa+2;fa=((n|0)<0)<<31>>31;m=Arc(H|0,L|0,n|0,fa|0)|0;L=J;H=ba;f[H>>2]=m;f[H+4>>2]=L;H=Arc(N|0,ka|0,x|0,w|0)|0;ka=J;N=ia;f[N>>2]=H;f[N+4>>2]=ka;if((T|0)<(f[(f[d>>2]|0)+8>>2]|0)){f[q+(oa<<2)>>2]=0;f[q+(n<<2)>>2]=0;N=f[t>>2]|0;o=(N|0)>(oa|0)?oa:N;N=f[u>>2]|0;W=(N|0)<(oa|0)?oa:N;N=f[s>>2]|0;v=f[R>>2]|0;ca=f[l>>2]|0;D=Arc(m|0,L|0,oa|0,M|0)|0;M=J;L=Arc(H|0,ka|0,T|0,z|0)|0;ka=J;f[t>>2]=(o|0)>(n|0)?n:o;f[u>>2]=(W|0)<(n|0)?n:W;f[s>>2]=(N|0)>(T|0)?T:N;f[R>>2]=(v|0)<(T|0)?T:v;f[l>>2]=ca+2;ca=Arc(D|0,M|0,n|0,fa|0)|0;fa=ba;f[fa>>2]=ca;f[fa+4>>2]=J;fa=Arc(L|0,ka|0,T|0,z|0)|0;ka=ia;f[ka>>2]=fa;f[ka+4>>2]=J}}while(0);oa=oa+2|0;A=f[d>>2]|0;na=f[A+12>>2]|0}while((oa|0)<(na|0));Fa=na;Ga=A}else{Fa=sa;Ga=qa}x=x+2|0;if((x|0)>=(c|0))break;else{qa=Ga;sa=Fa}}return}if(!k)return;k=a+4|0;Fa=a+12|0;sa=g+(e*136|0)+20|0;Ga=g+(e*136|0)+120|0;qa=g+(e*136|0)+20|0;x=g+(e*136|0)+48|0;va=g+(e*136|0)+48|0;ua=g+(e*136|0)+48|0;Aa=g+(e*136|0)+20|0;r=g+(e*136|0)+48|0;S=g+(e*136|0)+20|0;Da=g+(e*136|0)+48|0;Ea=g+(e*136|0)+120|0;Z=g+(e*136|0)+20|0;za=g+(e*136|0)+120|0;g=e;Ba=h;h=i;while(1){i=f[k>>2]|0;Ca=f[f[i+44>>2]>>2]|0;X=(f[i+16>>2]|0)+(Y(Ca,g)|0)|0;i=X+Ca|0;Ca=f[f[Ba+44>>2]>>2]|0;ya=(f[Ba+16>>2]|0)+(Y(Ca,g)|0)|0;y=ya+Ca|0;if((h|0)>0){Ca=((g|0)<0)<<31>>31;_=g+1|0;ra=((_|0)<0)<<31>>31;xa=0;do{V=ya+(xa<<2)|0;wa=f[V>>2]|0;do if((wa|0)>0){j=f[(f[Fa>>2]|0)+(wa<<2)>>2]|0;if(!(b[X+xa>>0]|0)){f[V>>2]=0;oa=f[sa>>2]|0;z=f[oa>>2]|0;f[oa>>2]=(z|0)>(xa|0)?xa:z;z=oa+8|0;T=f[z>>2]|0;f[z>>2]=(T|0)<(xa|0)?xa:T;T=oa+4|0;z=f[T>>2]|0;f[T>>2]=(z|0)>(g|0)?g:z;z=oa+12|0;T=f[z>>2]|0;f[z>>2]=(T|0)<(g|0)?g:T;T=oa+16|0;f[T>>2]=(f[T>>2]|0)+1;T=f[Ga>>2]|0;z=T;q=Arc(f[z>>2]|0,f[z+4>>2]|0,xa|0,((xa|0)<0)<<31>>31|0)|0;z=T;f[z>>2]=q;f[z+4>>2]=J;Ha=T+8|0;Ia=oa;Ja=T}else{f[V>>2]=j;T=f[S>>2]|0;oa=T+(Y(f[f[Da>>2]>>2]|0,j)|0)|0;z=f[oa>>2]|0;f[oa>>2]=(z|0)>(xa|0)?xa:z;z=oa+8|0;q=f[z>>2]|0;f[z>>2]=(q|0)<(xa|0)?xa:q;q=oa+4|0;z=f[q>>2]|0;f[q>>2]=(z|0)>(g|0)?g:z;z=oa+12|0;q=f[z>>2]|0;f[z>>2]=(q|0)<(g|0)?g:q;q=oa+16|0;f[q>>2]=(f[q>>2]|0)+1;q=f[Ea>>2]|0;oa=q+(j<<4)|0;z=oa;w=Arc(f[z>>2]|0,f[z+4>>2]|0,xa|0,((xa|0)<0)<<31>>31|0)|0;z=oa;f[z>>2]=w;f[z+4>>2]=J;Ha=q+(j<<4)+8|0;Ia=T;Ja=q}q=Ha;T=Arc(f[q>>2]|0,f[q+4>>2]|0,g|0,Ca|0)|0;q=Ha;f[q>>2]=T;f[q+4>>2]=J;q=xa|1;T=f[d>>2]|0;if((q|0)>=(f[T+12>>2]|0)){if((_|0)>=(f[T+8>>2]|0))break;T=y+(xa<<2)|0;z=f[Aa>>2]|0;if(!(b[i+xa>>0]|0)){f[T>>2]=0;w=f[z>>2]|0;f[z>>2]=(w|0)>(xa|0)?xa:w;w=z+8|0;oa=f[w>>2]|0;f[w>>2]=(oa|0)<(xa|0)?xa:oa;oa=z+4|0;w=f[oa>>2]|0;f[oa>>2]=(w|0)>(_|0)?_:w;w=z+12|0;oa=f[w>>2]|0;f[w>>2]=(oa|0)<(_|0)?_:oa;oa=z+16|0;f[oa>>2]=(f[oa>>2]|0)+1;oa=Ja;w=Arc(f[oa>>2]|0,f[oa+4>>2]|0,xa|0,((xa|0)<0)<<31>>31|0)|0;oa=Ja;f[oa>>2]=w;f[oa+4>>2]=J;oa=Ja+8|0;w=oa;p=Arc(f[w>>2]|0,f[w+4>>2]|0,_|0,ra|0)|0;w=oa;f[w>>2]=p;f[w+4>>2]=J;break}else{f[T>>2]=j;T=z+(Y(f[f[r>>2]>>2]|0,j)|0)|0;z=f[T>>2]|0;f[T>>2]=(z|0)>(xa|0)?xa:z;z=T+8|0;w=f[z>>2]|0;f[z>>2]=(w|0)<(xa|0)?xa:w;w=T+4|0;z=f[w>>2]|0;f[w>>2]=(z|0)>(_|0)?_:z;z=T+12|0;w=f[z>>2]|0;f[z>>2]=(w|0)<(_|0)?_:w;w=T+16|0;f[w>>2]=(f[w>>2]|0)+1;w=Ja+(j<<4)|0;T=w;z=Arc(f[T>>2]|0,f[T+4>>2]|0,xa|0,((xa|0)<0)<<31>>31|0)|0;T=w;f[T>>2]=z;f[T+4>>2]=J;T=Ja+(j<<4)+8|0;z=T;w=Arc(f[z>>2]|0,f[z+4>>2]|0,_|0,ra|0)|0;z=T;f[z>>2]=w;f[z+4>>2]=J;break}}z=ya+(q<<2)|0;if(!(b[X+q>>0]|0)){f[z>>2]=0;Ka=0;La=Ia}else{f[z>>2]=j;Ka=j;La=Ia+(Y(f[f[ua>>2]>>2]|0,j)|0)|0}z=f[La>>2]|0;f[La>>2]=(z|0)>(q|0)?q:z;z=La+8|0;w=f[z>>2]|0;f[z>>2]=(w|0)<(q|0)?q:w;w=La+4|0;z=f[w>>2]|0;f[w>>2]=(z|0)>(g|0)?g:z;z=La+12|0;w=f[z>>2]|0;f[z>>2]=(w|0)<(g|0)?g:w;w=La+16|0;f[w>>2]=(f[w>>2]|0)+1;w=Ja+(Ka<<4)|0;z=w;T=Arc(f[z>>2]|0,f[z+4>>2]|0,q|0,((q|0)<0)<<31>>31|0)|0;z=w;f[z>>2]=T;f[z+4>>2]=J;z=Ja+(Ka<<4)+8|0;T=z;w=Arc(f[T>>2]|0,f[T+4>>2]|0,g|0,Ca|0)|0;T=z;f[T>>2]=w;f[T+4>>2]=J;if((_|0)<(f[(f[d>>2]|0)+8>>2]|0)){T=y+(xa<<2)|0;if(!(b[i+xa>>0]|0)){f[T>>2]=0;Ma=0;Na=Ia}else{f[T>>2]=j;Ma=j;Na=Ia+(Y(f[f[va>>2]>>2]|0,j)|0)|0}T=f[Na>>2]|0;f[Na>>2]=(T|0)>(xa|0)?xa:T;T=Na+8|0;w=f[T>>2]|0;f[T>>2]=(w|0)<(xa|0)?xa:w;w=Na+4|0;T=f[w>>2]|0;f[w>>2]=(T|0)>(_|0)?_:T;T=Na+12|0;w=f[T>>2]|0;f[T>>2]=(w|0)<(_|0)?_:w;w=Na+16|0;f[w>>2]=(f[w>>2]|0)+1;w=Ja+(Ma<<4)|0;T=w;z=Arc(f[T>>2]|0,f[T+4>>2]|0,xa|0,((xa|0)<0)<<31>>31|0)|0;T=w;f[T>>2]=z;f[T+4>>2]=J;T=Ja+(Ma<<4)+8|0;z=T;w=Arc(f[z>>2]|0,f[z+4>>2]|0,_|0,ra|0)|0;z=T;f[z>>2]=w;f[z+4>>2]=J;z=y+(q<<2)|0;w=f[qa>>2]|0;if(!(b[i+q>>0]|0)){f[z>>2]=0;T=f[w>>2]|0;f[w>>2]=(T|0)>(q|0)?q:T;T=w+8|0;p=f[T>>2]|0;f[T>>2]=(p|0)<(q|0)?q:p;p=w+4|0;T=f[p>>2]|0;f[p>>2]=(T|0)>(_|0)?_:T;T=w+12|0;p=f[T>>2]|0;f[T>>2]=(p|0)<(_|0)?_:p;p=w+16|0;f[p>>2]=(f[p>>2]|0)+1;p=Ja;T=Arc(f[p>>2]|0,f[p+4>>2]|0,q|0,((q|0)<0)<<31>>31|0)|0;p=Ja;f[p>>2]=T;f[p+4>>2]=J;p=Ja+8|0;T=p;oa=Arc(f[T>>2]|0,f[T+4>>2]|0,_|0,ra|0)|0;T=p;f[T>>2]=oa;f[T+4>>2]=J;break}else{f[z>>2]=j;z=w+(Y(f[f[x>>2]>>2]|0,j)|0)|0;w=f[z>>2]|0;f[z>>2]=(w|0)>(q|0)?q:w;w=z+8|0;T=f[w>>2]|0;f[w>>2]=(T|0)<(q|0)?q:T;T=z+4|0;w=f[T>>2]|0;f[T>>2]=(w|0)>(_|0)?_:w;w=z+12|0;T=f[w>>2]|0;f[w>>2]=(T|0)<(_|0)?_:T;T=z+16|0;f[T>>2]=(f[T>>2]|0)+1;T=Ja+(j<<4)|0;z=T;w=Arc(f[z>>2]|0,f[z+4>>2]|0,q|0,((q|0)<0)<<31>>31|0)|0;q=T;f[q>>2]=w;f[q+4>>2]=J;q=Ja+(j<<4)+8|0;j=q;w=Arc(f[j>>2]|0,f[j+4>>2]|0,_|0,ra|0)|0;j=q;f[j>>2]=w;f[j+4>>2]=J;break}}}else{f[V>>2]=0;j=f[Z>>2]|0;w=f[j>>2]|0;f[j>>2]=(w|0)>(xa|0)?xa:w;w=j+8|0;q=f[w>>2]|0;f[w>>2]=(q|0)<(xa|0)?xa:q;q=j+4|0;T=f[q>>2]|0;f[q>>2]=(T|0)>(g|0)?g:T;T=j+12|0;z=f[T>>2]|0;f[T>>2]=(z|0)<(g|0)?g:z;z=j+16|0;f[z>>2]=(f[z>>2]|0)+1;oa=f[za>>2]|0;p=((xa|0)<0)<<31>>31;ta=oa;pa=Arc(f[ta>>2]|0,f[ta+4>>2]|0,xa|0,p|0)|0;ta=J;A=oa;f[A>>2]=pa;f[A+4>>2]=ta;A=oa+8|0;na=A;ka=Arc(f[na>>2]|0,f[na+4>>2]|0,g|0,Ca|0)|0;na=J;fa=A;f[fa>>2]=ka;f[fa+4>>2]=na;fa=xa|1;ia=f[d>>2]|0;if((fa|0)<(f[ia+12>>2]|0)){f[ya+(fa<<2)>>2]=0;L=f[j>>2]|0;f[j>>2]=(L|0)>(fa|0)?fa:L;L=f[w>>2]|0;f[w>>2]=(L|0)<(fa|0)?fa:L;L=f[q>>2]|0;f[q>>2]=(L|0)>(g|0)?g:L;L=f[T>>2]|0;f[T>>2]=(L|0)<(g|0)?g:L;f[z>>2]=(f[z>>2]|0)+1;L=((fa|0)<0)<<31>>31;ca=Arc(pa|0,ta|0,fa|0,L|0)|0;ba=J;n=oa;f[n>>2]=ca;f[n+4>>2]=ba;n=Arc(ka|0,na|0,g|0,Ca|0)|0;M=J;D=A;f[D>>2]=n;f[D+4>>2]=M;if((_|0)>=(f[(f[d>>2]|0)+8>>2]|0))break;f[y+(xa<<2)>>2]=0;f[y+(fa<<2)>>2]=0;D=f[j>>2]|0;l=(D|0)>(xa|0)?xa:D;D=f[w>>2]|0;v=(D|0)<(xa|0)?xa:D;D=f[q>>2]|0;R=f[T>>2]|0;N=f[z>>2]|0;s=Arc(ca|0,ba|0,xa|0,p|0)|0;ba=J;ca=Arc(n|0,M|0,_|0,ra|0)|0;M=J;f[j>>2]=(l|0)>(fa|0)?fa:l;f[w>>2]=(v|0)<(fa|0)?fa:v;f[q>>2]=(D|0)>(_|0)?_:D;f[T>>2]=(R|0)<(_|0)?_:R;f[z>>2]=N+2;N=Arc(s|0,ba|0,fa|0,L|0)|0;L=oa;f[L>>2]=N;f[L+4>>2]=J;L=Arc(ca|0,M|0,_|0,ra|0)|0;M=A;f[M>>2]=L;f[M+4>>2]=J;break}else{if((_|0)>=(f[ia+8>>2]|0))break;f[y+(xa<<2)>>2]=0;ia=f[j>>2]|0;f[j>>2]=(ia|0)>(xa|0)?xa:ia;ia=f[w>>2]|0;f[w>>2]=(ia|0)<(xa|0)?xa:ia;ia=f[q>>2]|0;f[q>>2]=(ia|0)>(_|0)?_:ia;ia=f[T>>2]|0;f[T>>2]=(ia|0)<(_|0)?_:ia;f[z>>2]=(f[z>>2]|0)+1;z=Arc(pa|0,ta|0,xa|0,p|0)|0;p=oa;f[p>>2]=z;f[p+4>>2]=J;p=Arc(ka|0,na|0,_|0,ra|0)|0;na=A;f[na>>2]=p;f[na+4>>2]=J;break}}while(0);xa=xa+2|0;V=f[d>>2]|0;wa=f[V+12>>2]|0}while((xa|0)<(wa|0));Oa=wa;Pa=V}else{Oa=h;Pa=Ba}g=g+2|0;if((g|0)>=(c|0))break;else{Ba=Pa;h=Oa}}return}else{Oa=a+16|0;f[(f[Oa>>2]|0)+132>>2]=c;h=a+8|0;Pa=f[h>>2]|0;Ba=f[Pa+12>>2]|0;g=(Ba&1|0)!=0;d=(e|0)<(c|0);if(!(f[Pa+8>>2]&1)){if(!g){if(!d)return;za=a+4|0;Z=a+12|0;Ja=e;x=Pa;qa=Ba;while(1){Ma=f[za>>2]|0;Na=f[f[Ma+44>>2]>>2]|0;va=(f[Ma+16>>2]|0)+(Y(Na,Ja)|0)|0;Ma=va+Na|0;Na=f[f[x+44>>2]>>2]|0;Ia=(f[x+16>>2]|0)+(Y(Na,Ja)|0)|0;Ka=Ia+Na|0;if((qa|0)>0){Na=((Ja|0)<0)<<31>>31;La=Ja+1|0;ua=((La|0)<0)<<31>>31;r=0;do{Aa=Ia+(r<<2)|0;Ha=f[Aa>>2]|0;do if((Ha|0)>0){Ea=f[(f[Z>>2]|0)+(Ha<<2)>>2]|0;if(!(b[va+r>>0]|0)){f[Aa>>2]=0;Da=f[Oa>>2]|0;S=f[Da+20>>2]|0;Ga=f[S>>2]|0;f[S>>2]=(Ga|0)>(r|0)?r:Ga;Ga=S+8|0;sa=f[Ga>>2]|0;f[Ga>>2]=(sa|0)<(r|0)?r:sa;sa=S+4|0;Ga=f[sa>>2]|0;f[sa>>2]=(Ga|0)>(Ja|0)?Ja:Ga;Ga=S+12|0;sa=f[Ga>>2]|0;f[Ga>>2]=(sa|0)<(Ja|0)?Ja:sa;sa=S+16|0;f[sa>>2]=(f[sa>>2]|0)+1;sa=f[Da+120>>2]|0;Da=sa;S=Arc(f[Da>>2]|0,f[Da+4>>2]|0,r|0,((r|0)<0)<<31>>31|0)|0;Da=sa;f[Da>>2]=S;f[Da+4>>2]=J;Qa=sa+8|0}else{f[Aa>>2]=Ea;sa=f[Oa>>2]|0;Da=(f[sa+20>>2]|0)+(Y(f[f[sa+48>>2]>>2]|0,Ea)|0)|0;S=f[Da>>2]|0;f[Da>>2]=(S|0)>(r|0)?r:S;S=Da+8|0;Ga=f[S>>2]|0;f[S>>2]=(Ga|0)<(r|0)?r:Ga;Ga=Da+4|0;S=f[Ga>>2]|0;f[Ga>>2]=(S|0)>(Ja|0)?Ja:S;S=Da+12|0;Ga=f[S>>2]|0;f[S>>2]=(Ga|0)<(Ja|0)?Ja:Ga;Ga=Da+16|0;f[Ga>>2]=(f[Ga>>2]|0)+1;Ga=f[sa+120>>2]|0;sa=Ga+(Ea<<4)|0;Da=sa;S=Arc(f[Da>>2]|0,f[Da+4>>2]|0,r|0,((r|0)<0)<<31>>31|0)|0;Da=sa;f[Da>>2]=S;f[Da+4>>2]=J;Qa=Ga+(Ea<<4)+8|0}Ga=Qa;Da=Arc(f[Ga>>2]|0,f[Ga+4>>2]|0,Ja|0,Na|0)|0;Ga=Qa;f[Ga>>2]=Da;f[Ga+4>>2]=J;Ga=r|1;Da=Ia+(Ga<<2)|0;if(!(b[va+Ga>>0]|0)){f[Da>>2]=0;S=f[Oa>>2]|0;sa=f[S+20>>2]|0;Fa=f[sa>>2]|0;f[sa>>2]=(Fa|0)>(Ga|0)?Ga:Fa;Fa=sa+8|0;k=f[Fa>>2]|0;f[Fa>>2]=(k|0)<(Ga|0)?Ga:k;k=sa+4|0;Fa=f[k>>2]|0;f[k>>2]=(Fa|0)>(Ja|0)?Ja:Fa;Fa=sa+12|0;k=f[Fa>>2]|0;f[Fa>>2]=(k|0)<(Ja|0)?Ja:k;k=sa+16|0;f[k>>2]=(f[k>>2]|0)+1;k=f[S+120>>2]|0;S=k;sa=Arc(f[S>>2]|0,f[S+4>>2]|0,Ga|0,((Ga|0)<0)<<31>>31|0)|0;S=k;f[S>>2]=sa;f[S+4>>2]=J;Ra=k+8|0}else{f[Da>>2]=Ea;Da=f[Oa>>2]|0;k=(f[Da+20>>2]|0)+(Y(f[f[Da+48>>2]>>2]|0,Ea)|0)|0;S=f[k>>2]|0;f[k>>2]=(S|0)>(Ga|0)?Ga:S;S=k+8|0;sa=f[S>>2]|0;f[S>>2]=(sa|0)<(Ga|0)?Ga:sa;sa=k+4|0;S=f[sa>>2]|0;f[sa>>2]=(S|0)>(Ja|0)?Ja:S;S=k+12|0;sa=f[S>>2]|0;f[S>>2]=(sa|0)<(Ja|0)?Ja:sa;sa=k+16|0;f[sa>>2]=(f[sa>>2]|0)+1;sa=f[Da+120>>2]|0;Da=sa+(Ea<<4)|0;k=Da;S=Arc(f[k>>2]|0,f[k+4>>2]|0,Ga|0,((Ga|0)<0)<<31>>31|0)|0;k=Da;f[k>>2]=S;f[k+4>>2]=J;Ra=sa+(Ea<<4)+8|0}sa=Ra;k=Arc(f[sa>>2]|0,f[sa+4>>2]|0,Ja|0,Na|0)|0;sa=Ra;f[sa>>2]=k;f[sa+4>>2]=J;sa=Ka+(r<<2)|0;if(!(b[Ma+r>>0]|0)){f[sa>>2]=0;k=f[Oa>>2]|0;S=f[k+20>>2]|0;Da=f[S>>2]|0;f[S>>2]=(Da|0)>(r|0)?r:Da;Da=S+8|0;Fa=f[Da>>2]|0;f[Da>>2]=(Fa|0)<(r|0)?r:Fa;Fa=S+4|0;Da=f[Fa>>2]|0;f[Fa>>2]=(Da|0)>(La|0)?La:Da;Da=S+12|0;Fa=f[Da>>2]|0;f[Da>>2]=(Fa|0)<(La|0)?La:Fa;Fa=S+16|0;f[Fa>>2]=(f[Fa>>2]|0)+1;Fa=f[k+120>>2]|0;k=Fa;S=Arc(f[k>>2]|0,f[k+4>>2]|0,r|0,((r|0)<0)<<31>>31|0)|0;k=Fa;f[k>>2]=S;f[k+4>>2]=J;Sa=Fa+8|0}else{f[sa>>2]=Ea;sa=f[Oa>>2]|0;Fa=(f[sa+20>>2]|0)+(Y(f[f[sa+48>>2]>>2]|0,Ea)|0)|0;k=f[Fa>>2]|0;f[Fa>>2]=(k|0)>(r|0)?r:k;k=Fa+8|0;S=f[k>>2]|0;f[k>>2]=(S|0)<(r|0)?r:S;S=Fa+4|0;k=f[S>>2]|0;f[S>>2]=(k|0)>(La|0)?La:k;k=Fa+12|0;S=f[k>>2]|0;f[k>>2]=(S|0)<(La|0)?La:S;S=Fa+16|0;f[S>>2]=(f[S>>2]|0)+1;S=f[sa+120>>2]|0;sa=S+(Ea<<4)|0;Fa=sa;k=Arc(f[Fa>>2]|0,f[Fa+4>>2]|0,r|0,((r|0)<0)<<31>>31|0)|0;Fa=sa;f[Fa>>2]=k;f[Fa+4>>2]=J;Sa=S+(Ea<<4)+8|0}S=Sa;Fa=Arc(f[S>>2]|0,f[S+4>>2]|0,La|0,ua|0)|0;S=Sa;f[S>>2]=Fa;f[S+4>>2]=J;S=Ka+(Ga<<2)|0;if(!(b[Ma+Ga>>0]|0)){f[S>>2]=0;Fa=f[Oa>>2]|0;k=f[Fa+20>>2]|0;sa=f[k>>2]|0;f[k>>2]=(sa|0)>(Ga|0)?Ga:sa;sa=k+8|0;Da=f[sa>>2]|0;f[sa>>2]=(Da|0)<(Ga|0)?Ga:Da;Da=k+4|0;sa=f[Da>>2]|0;f[Da>>2]=(sa|0)>(La|0)?La:sa;sa=k+12|0;Da=f[sa>>2]|0;f[sa>>2]=(Da|0)<(La|0)?La:Da;Da=k+16|0;f[Da>>2]=(f[Da>>2]|0)+1;Da=f[Fa+120>>2]|0;Fa=Da;k=Arc(f[Fa>>2]|0,f[Fa+4>>2]|0,Ga|0,((Ga|0)<0)<<31>>31|0)|0;Fa=Da;f[Fa>>2]=k;f[Fa+4>>2]=J;Ta=Da+8|0;break}else{f[S>>2]=Ea;S=f[Oa>>2]|0;Da=(f[S+20>>2]|0)+(Y(f[f[S+48>>2]>>2]|0,Ea)|0)|0;Fa=f[Da>>2]|0;f[Da>>2]=(Fa|0)>(Ga|0)?Ga:Fa;Fa=Da+8|0;k=f[Fa>>2]|0;f[Fa>>2]=(k|0)<(Ga|0)?Ga:k;k=Da+4|0;Fa=f[k>>2]|0;f[k>>2]=(Fa|0)>(La|0)?La:Fa;Fa=Da+12|0;k=f[Fa>>2]|0;f[Fa>>2]=(k|0)<(La|0)?La:k;k=Da+16|0;f[k>>2]=(f[k>>2]|0)+1;k=f[S+120>>2]|0;S=k+(Ea<<4)|0;Da=S;Fa=Arc(f[Da>>2]|0,f[Da+4>>2]|0,Ga|0,((Ga|0)<0)<<31>>31|0)|0;Ga=S;f[Ga>>2]=Fa;f[Ga+4>>2]=J;Ta=k+(Ea<<4)+8|0;break}}else{f[Aa>>2]=0;Ea=r|1;f[Ia+(Ea<<2)>>2]=0;f[Ka+(r<<2)>>2]=0;f[Ka+(Ea<<2)>>2]=0;k=f[Oa>>2]|0;Ga=f[k+20>>2]|0;Fa=f[Ga>>2]|0;f[Ga>>2]=(Fa|0)>(r|0)?r:Fa;Fa=Ga+8|0;S=f[Fa>>2]|0;f[Fa>>2]=(S|0)<(r|0)?r:S;S=Ga+4|0;Fa=f[S>>2]|0;f[S>>2]=(Fa|0)>(Ja|0)?Ja:Fa;Fa=Ga+12|0;S=f[Fa>>2]|0;f[Fa>>2]=(S|0)<(Ja|0)?Ja:S;S=Ga+16|0;f[S>>2]=(f[S>>2]|0)+1;S=f[k+120>>2]|0;k=((r|0)<0)<<31>>31;Ga=S;Fa=Arc(f[Ga>>2]|0,f[Ga+4>>2]|0,r|0,k|0)|0;Ga=S;f[Ga>>2]=Fa;f[Ga+4>>2]=J;Ga=S+8|0;S=Ga;Fa=Arc(f[S>>2]|0,f[S+4>>2]|0,Ja|0,Na|0)|0;S=Ga;f[S>>2]=Fa;f[S+4>>2]=J;S=f[Oa>>2]|0;Fa=f[S+20>>2]|0;Ga=f[Fa>>2]|0;f[Fa>>2]=(Ga|0)>(Ea|0)?Ea:Ga;Ga=Fa+8|0;Da=f[Ga>>2]|0;f[Ga>>2]=(Da|0)<(Ea|0)?Ea:Da;Da=Fa+4|0;Ga=f[Da>>2]|0;f[Da>>2]=(Ga|0)>(Ja|0)?Ja:Ga;Ga=Fa+12|0;Da=f[Ga>>2]|0;f[Ga>>2]=(Da|0)<(Ja|0)?Ja:Da;Da=Fa+16|0;f[Da>>2]=(f[Da>>2]|0)+1;Da=f[S+120>>2]|0;S=((Ea|0)<0)<<31>>31;Fa=Da;Ga=Arc(f[Fa>>2]|0,f[Fa+4>>2]|0,Ea|0,S|0)|0;Fa=Da;f[Fa>>2]=Ga;f[Fa+4>>2]=J;Fa=Da+8|0;Da=Fa;Ga=Arc(f[Da>>2]|0,f[Da+4>>2]|0,Ja|0,Na|0)|0;Da=Fa;f[Da>>2]=Ga;f[Da+4>>2]=J;Da=f[Oa>>2]|0;Ga=f[Da+20>>2]|0;Fa=f[Ga>>2]|0;f[Ga>>2]=(Fa|0)>(r|0)?r:Fa;Fa=Ga+8|0;sa=f[Fa>>2]|0;f[Fa>>2]=(sa|0)<(r|0)?r:sa;sa=Ga+4|0;Fa=f[sa>>2]|0;f[sa>>2]=(Fa|0)>(La|0)?La:Fa;Fa=Ga+12|0;sa=f[Fa>>2]|0;f[Fa>>2]=(sa|0)<(La|0)?La:sa;sa=Ga+16|0;f[sa>>2]=(f[sa>>2]|0)+1;sa=f[Da+120>>2]|0;Da=sa;Ga=Arc(f[Da>>2]|0,f[Da+4>>2]|0,r|0,k|0)|0;k=sa;f[k>>2]=Ga;f[k+4>>2]=J;k=sa+8|0;sa=k;Ga=Arc(f[sa>>2]|0,f[sa+4>>2]|0,La|0,ua|0)|0;sa=k;f[sa>>2]=Ga;f[sa+4>>2]=J;sa=f[Oa>>2]|0;Ga=f[sa+20>>2]|0;k=f[Ga>>2]|0;f[Ga>>2]=(k|0)>(Ea|0)?Ea:k;k=Ga+8|0;Da=f[k>>2]|0;f[k>>2]=(Da|0)<(Ea|0)?Ea:Da;Da=Ga+4|0;k=f[Da>>2]|0;f[Da>>2]=(k|0)>(La|0)?La:k;k=Ga+12|0;Da=f[k>>2]|0;f[k>>2]=(Da|0)<(La|0)?La:Da;Da=Ga+16|0;f[Da>>2]=(f[Da>>2]|0)+1;Da=f[sa+120>>2]|0;sa=Da;Ga=Arc(f[sa>>2]|0,f[sa+4>>2]|0,Ea|0,S|0)|0;S=Da;f[S>>2]=Ga;f[S+4>>2]=J;Ta=Da+8|0}while(0);Aa=Ta;Ha=Arc(f[Aa>>2]|0,f[Aa+4>>2]|0,La|0,ua|0)|0;Aa=Ta;f[Aa>>2]=Ha;f[Aa+4>>2]=J;r=r+2|0;Aa=f[h>>2]|0;Ha=f[Aa+12>>2]|0}while((r|0)<(Ha|0));Ua=Ha;Va=Aa}else{Ua=qa;Va=x}Ja=Ja+2|0;if((Ja|0)>=(c|0))break;else{x=Va;qa=Ua}}return}if(!d)return;Ua=a+4|0;qa=a+12|0;Va=e;x=Pa;Ja=Ba;while(1){Ta=f[Ua>>2]|0;Sa=f[f[Ta+44>>2]>>2]|0;Ra=(f[Ta+16>>2]|0)+(Y(Sa,Va)|0)|0;Ta=Ra+Sa|0;Sa=f[f[x+44>>2]>>2]|0;Qa=(f[x+16>>2]|0)+(Y(Sa,Va)|0)|0;Z=Qa+Sa|0;if((Ja|0)>0){Sa=((Va|0)<0)<<31>>31;za=Va+1|0;r=((za|0)<0)<<31>>31;ua=0;do{La=Qa+(ua<<2)|0;Na=f[La>>2]|0;do if((Na|0)>0){Ka=f[(f[qa>>2]|0)+(Na<<2)>>2]|0;if(!(b[Ra+ua>>0]|0)){f[La>>2]=0;Ia=f[Oa>>2]|0;Ma=f[Ia+20>>2]|0;va=f[Ma>>2]|0;f[Ma>>2]=(va|0)>(ua|0)?ua:va;va=Ma+8|0;Aa=f[va>>2]|0;f[va>>2]=(Aa|0)<(ua|0)?ua:Aa;Aa=Ma+4|0;va=f[Aa>>2]|0;f[Aa>>2]=(va|0)>(Va|0)?Va:va;va=Ma+12|0;Aa=f[va>>2]|0;f[va>>2]=(Aa|0)<(Va|0)?Va:Aa;Aa=Ma+16|0;f[Aa>>2]=(f[Aa>>2]|0)+1;Aa=f[Ia+120>>2]|0;Ia=Aa;Ma=Arc(f[Ia>>2]|0,f[Ia+4>>2]|0,ua|0,((ua|0)<0)<<31>>31|0)|0;Ia=Aa;f[Ia>>2]=Ma;f[Ia+4>>2]=J;Wa=Aa+8|0}else{f[La>>2]=Ka;Aa=f[Oa>>2]|0;Ia=(f[Aa+20>>2]|0)+(Y(f[f[Aa+48>>2]>>2]|0,Ka)|0)|0;Ma=f[Ia>>2]|0;f[Ia>>2]=(Ma|0)>(ua|0)?ua:Ma;Ma=Ia+8|0;va=f[Ma>>2]|0;f[Ma>>2]=(va|0)<(ua|0)?ua:va;va=Ia+4|0;Ma=f[va>>2]|0;f[va>>2]=(Ma|0)>(Va|0)?Va:Ma;Ma=Ia+12|0;va=f[Ma>>2]|0;f[Ma>>2]=(va|0)<(Va|0)?Va:va;va=Ia+16|0;f[va>>2]=(f[va>>2]|0)+1;va=f[Aa+120>>2]|0;Aa=va+(Ka<<4)|0;Ia=Aa;Ma=Arc(f[Ia>>2]|0,f[Ia+4>>2]|0,ua|0,((ua|0)<0)<<31>>31|0)|0;Ia=Aa;f[Ia>>2]=Ma;f[Ia+4>>2]=J;Wa=va+(Ka<<4)+8|0}va=Wa;Ia=Arc(f[va>>2]|0,f[va+4>>2]|0,Va|0,Sa|0)|0;va=Wa;f[va>>2]=Ia;f[va+4>>2]=J;va=Z+(ua<<2)|0;if(!(b[Ta+ua>>0]|0)){f[va>>2]=0;Ia=f[Oa>>2]|0;Ma=f[Ia+20>>2]|0;Aa=f[Ma>>2]|0;f[Ma>>2]=(Aa|0)>(ua|0)?ua:Aa;Aa=Ma+8|0;Ha=f[Aa>>2]|0;f[Aa>>2]=(Ha|0)<(ua|0)?ua:Ha;Ha=Ma+4|0;Aa=f[Ha>>2]|0;f[Ha>>2]=(Aa|0)>(za|0)?za:Aa;Aa=Ma+12|0;Ha=f[Aa>>2]|0;f[Aa>>2]=(Ha|0)<(za|0)?za:Ha;Ha=Ma+16|0;f[Ha>>2]=(f[Ha>>2]|0)+1;Ha=f[Ia+120>>2]|0;Ia=Ha;Ma=Arc(f[Ia>>2]|0,f[Ia+4>>2]|0,ua|0,((ua|0)<0)<<31>>31|0)|0;Ia=Ha;f[Ia>>2]=Ma;f[Ia+4>>2]=J;Xa=Ha+8|0}else{f[va>>2]=Ka;va=f[Oa>>2]|0;Ha=(f[va+20>>2]|0)+(Y(f[f[va+48>>2]>>2]|0,Ka)|0)|0;Ia=f[Ha>>2]|0;f[Ha>>2]=(Ia|0)>(ua|0)?ua:Ia;Ia=Ha+8|0;Ma=f[Ia>>2]|0;f[Ia>>2]=(Ma|0)<(ua|0)?ua:Ma;Ma=Ha+4|0;Ia=f[Ma>>2]|0;f[Ma>>2]=(Ia|0)>(za|0)?za:Ia;Ia=Ha+12|0;Ma=f[Ia>>2]|0;f[Ia>>2]=(Ma|0)<(za|0)?za:Ma;Ma=Ha+16|0;f[Ma>>2]=(f[Ma>>2]|0)+1;Ma=f[va+120>>2]|0;va=Ma+(Ka<<4)|0;Ha=va;Ia=Arc(f[Ha>>2]|0,f[Ha+4>>2]|0,ua|0,((ua|0)<0)<<31>>31|0)|0;Ha=va;f[Ha>>2]=Ia;f[Ha+4>>2]=J;Xa=Ma+(Ka<<4)+8|0}Ma=Xa;Ha=Arc(f[Ma>>2]|0,f[Ma+4>>2]|0,za|0,r|0)|0;Ma=Xa;f[Ma>>2]=Ha;f[Ma+4>>2]=J;Ma=ua|1;if((Ma|0)<(f[(f[h>>2]|0)+12>>2]|0)){Ha=Qa+(Ma<<2)|0;if(!(b[Ra+Ma>>0]|0)){f[Ha>>2]=0;Ia=f[Oa>>2]|0;va=f[Ia+20>>2]|0;Aa=f[va>>2]|0;f[va>>2]=(Aa|0)>(Ma|0)?Ma:Aa;Aa=va+8|0;Da=f[Aa>>2]|0;f[Aa>>2]=(Da|0)<(Ma|0)?Ma:Da;Da=va+4|0;Aa=f[Da>>2]|0;f[Da>>2]=(Aa|0)>(Va|0)?Va:Aa;Aa=va+12|0;Da=f[Aa>>2]|0;f[Aa>>2]=(Da|0)<(Va|0)?Va:Da;Da=va+16|0;f[Da>>2]=(f[Da>>2]|0)+1;Da=f[Ia+120>>2]|0;Ia=Da;va=Arc(f[Ia>>2]|0,f[Ia+4>>2]|0,Ma|0,((Ma|0)<0)<<31>>31|0)|0;Ia=Da;f[Ia>>2]=va;f[Ia+4>>2]=J;Ya=Da+8|0}else{f[Ha>>2]=Ka;Ha=f[Oa>>2]|0;Da=(f[Ha+20>>2]|0)+(Y(f[f[Ha+48>>2]>>2]|0,Ka)|0)|0;Ia=f[Da>>2]|0;f[Da>>2]=(Ia|0)>(Ma|0)?Ma:Ia;Ia=Da+8|0;va=f[Ia>>2]|0;f[Ia>>2]=(va|0)<(Ma|0)?Ma:va;va=Da+4|0;Ia=f[va>>2]|0;f[va>>2]=(Ia|0)>(Va|0)?Va:Ia;Ia=Da+12|0;va=f[Ia>>2]|0;f[Ia>>2]=(va|0)<(Va|0)?Va:va;va=Da+16|0;f[va>>2]=(f[va>>2]|0)+1;va=f[Ha+120>>2]|0;Ha=va+(Ka<<4)|0;Da=Ha;Ia=Arc(f[Da>>2]|0,f[Da+4>>2]|0,Ma|0,((Ma|0)<0)<<31>>31|0)|0;Da=Ha;f[Da>>2]=Ia;f[Da+4>>2]=J;Ya=va+(Ka<<4)+8|0}va=Ya;Da=Arc(f[va>>2]|0,f[va+4>>2]|0,Va|0,Sa|0)|0;va=Ya;f[va>>2]=Da;f[va+4>>2]=J;va=Z+(Ma<<2)|0;if(!(b[Ta+Ma>>0]|0)){f[va>>2]=0;Da=f[Oa>>2]|0;Ia=f[Da+20>>2]|0;Ha=f[Ia>>2]|0;f[Ia>>2]=(Ha|0)>(Ma|0)?Ma:Ha;Ha=Ia+8|0;Aa=f[Ha>>2]|0;f[Ha>>2]=(Aa|0)<(Ma|0)?Ma:Aa;Aa=Ia+4|0;Ha=f[Aa>>2]|0;f[Aa>>2]=(Ha|0)>(za|0)?za:Ha;Ha=Ia+12|0;Aa=f[Ha>>2]|0;f[Ha>>2]=(Aa|0)<(za|0)?za:Aa;Aa=Ia+16|0;f[Aa>>2]=(f[Aa>>2]|0)+1;Aa=f[Da+120>>2]|0;Da=Aa;Ia=Arc(f[Da>>2]|0,f[Da+4>>2]|0,Ma|0,((Ma|0)<0)<<31>>31|0)|0;Da=Aa;f[Da>>2]=Ia;f[Da+4>>2]=J;Da=Aa+8|0;Aa=Da;Ia=Arc(f[Aa>>2]|0,f[Aa+4>>2]|0,za|0,r|0)|0;Aa=Da;f[Aa>>2]=Ia;f[Aa+4>>2]=J;break}else{f[va>>2]=Ka;va=f[Oa>>2]|0;Aa=(f[va+20>>2]|0)+(Y(f[f[va+48>>2]>>2]|0,Ka)|0)|0;Ia=f[Aa>>2]|0;f[Aa>>2]=(Ia|0)>(Ma|0)?Ma:Ia;Ia=Aa+8|0;Da=f[Ia>>2]|0;f[Ia>>2]=(Da|0)<(Ma|0)?Ma:Da;Da=Aa+4|0;Ia=f[Da>>2]|0;f[Da>>2]=(Ia|0)>(za|0)?za:Ia;Ia=Aa+12|0;Da=f[Ia>>2]|0;f[Ia>>2]=(Da|0)<(za|0)?za:Da;Da=Aa+16|0;f[Da>>2]=(f[Da>>2]|0)+1;Da=f[va+120>>2]|0;va=Da+(Ka<<4)|0;Aa=va;Ia=Arc(f[Aa>>2]|0,f[Aa+4>>2]|0,Ma|0,((Ma|0)<0)<<31>>31|0)|0;Ma=va;f[Ma>>2]=Ia;f[Ma+4>>2]=J;Ma=Da+(Ka<<4)+8|0;Ka=Ma;Da=Arc(f[Ka>>2]|0,f[Ka+4>>2]|0,za|0,r|0)|0;Ka=Ma;f[Ka>>2]=Da;f[Ka+4>>2]=J;break}}}else{f[La>>2]=0;f[Z+(ua<<2)>>2]=0;Ka=f[Oa>>2]|0;Da=f[Ka+20>>2]|0;Ma=f[Da>>2]|0;f[Da>>2]=(Ma|0)>(ua|0)?ua:Ma;Ma=Da+8|0;Ia=f[Ma>>2]|0;f[Ma>>2]=(Ia|0)<(ua|0)?ua:Ia;Ia=Da+4|0;Ma=f[Ia>>2]|0;f[Ia>>2]=(Ma|0)>(Va|0)?Va:Ma;Ma=Da+12|0;Ia=f[Ma>>2]|0;f[Ma>>2]=(Ia|0)<(Va|0)?Va:Ia;Ia=Da+16|0;f[Ia>>2]=(f[Ia>>2]|0)+1;Ia=f[Ka+120>>2]|0;Ka=((ua|0)<0)<<31>>31;Da=Ia;Ma=Arc(f[Da>>2]|0,f[Da+4>>2]|0,ua|0,Ka|0)|0;Da=Ia;f[Da>>2]=Ma;f[Da+4>>2]=J;Da=Ia+8|0;Ia=Da;Ma=Arc(f[Ia>>2]|0,f[Ia+4>>2]|0,Va|0,Sa|0)|0;Ia=Da;f[Ia>>2]=Ma;f[Ia+4>>2]=J;Ia=f[Oa>>2]|0;Ma=f[Ia+20>>2]|0;Da=f[Ma>>2]|0;f[Ma>>2]=(Da|0)>(ua|0)?ua:Da;Da=Ma+8|0;va=f[Da>>2]|0;f[Da>>2]=(va|0)<(ua|0)?ua:va;va=Ma+4|0;Da=f[va>>2]|0;f[va>>2]=(Da|0)>(za|0)?za:Da;Da=Ma+12|0;va=f[Da>>2]|0;f[Da>>2]=(va|0)<(za|0)?za:va;va=Ma+16|0;f[va>>2]=(f[va>>2]|0)+1;va=f[Ia+120>>2]|0;Ia=va;Ma=Arc(f[Ia>>2]|0,f[Ia+4>>2]|0,ua|0,Ka|0)|0;Ka=va;f[Ka>>2]=Ma;f[Ka+4>>2]=J;Ka=va+8|0;va=Ka;Ma=Arc(f[va>>2]|0,f[va+4>>2]|0,za|0,r|0)|0;va=Ka;f[va>>2]=Ma;f[va+4>>2]=J;va=ua|1;if((va|0)<(f[(f[h>>2]|0)+12>>2]|0)){f[Qa+(va<<2)>>2]=0;f[Z+(va<<2)>>2]=0;Ma=f[Oa>>2]|0;Ka=f[Ma+20>>2]|0;Ia=f[Ka>>2]|0;f[Ka>>2]=(Ia|0)>(va|0)?va:Ia;Ia=Ka+8|0;Da=f[Ia>>2]|0;f[Ia>>2]=(Da|0)<(va|0)?va:Da;Da=Ka+4|0;Ia=f[Da>>2]|0;f[Da>>2]=(Ia|0)>(Va|0)?Va:Ia;Ia=Ka+12|0;Da=f[Ia>>2]|0;f[Ia>>2]=(Da|0)<(Va|0)?Va:Da;Da=Ka+16|0;f[Da>>2]=(f[Da>>2]|0)+1;Da=f[Ma+120>>2]|0;Ma=((va|0)<0)<<31>>31;Ka=Da;Ia=Arc(f[Ka>>2]|0,f[Ka+4>>2]|0,va|0,Ma|0)|0;Ka=Da;f[Ka>>2]=Ia;f[Ka+4>>2]=J;Ka=Da+8|0;Da=Ka;Ia=Arc(f[Da>>2]|0,f[Da+4>>2]|0,Va|0,Sa|0)|0;Da=Ka;f[Da>>2]=Ia;f[Da+4>>2]=J;Da=f[Oa>>2]|0;Ia=f[Da+20>>2]|0;Ka=f[Ia>>2]|0;f[Ia>>2]=(Ka|0)>(va|0)?va:Ka;Ka=Ia+8|0;Aa=f[Ka>>2]|0;f[Ka>>2]=(Aa|0)<(va|0)?va:Aa;Aa=Ia+4|0;Ka=f[Aa>>2]|0;f[Aa>>2]=(Ka|0)>(za|0)?za:Ka;Ka=Ia+12|0;Aa=f[Ka>>2]|0;f[Ka>>2]=(Aa|0)<(za|0)?za:Aa;Aa=Ia+16|0;f[Aa>>2]=(f[Aa>>2]|0)+1;Aa=f[Da+120>>2]|0;Da=Aa;Ia=Arc(f[Da>>2]|0,f[Da+4>>2]|0,va|0,Ma|0)|0;Ma=Aa;f[Ma>>2]=Ia;f[Ma+4>>2]=J;Ma=Aa+8|0;Aa=Ma;Ia=Arc(f[Aa>>2]|0,f[Aa+4>>2]|0,za|0,r|0)|0;Aa=Ma;f[Aa>>2]=Ia;f[Aa+4>>2]=J}}while(0);ua=ua+2|0;La=f[h>>2]|0;Na=f[La+12>>2]|0}while((ua|0)<(Na|0));Za=Na;_a=La}else{Za=Ja;_a=x}Va=Va+2|0;if((Va|0)>=(c|0))break;else{x=_a;Ja=Za}}return}if(!g){if(!d)return;g=a+4|0;Za=a+12|0;Ja=e;_a=Pa;x=Ba;while(1){Va=f[g>>2]|0;Ya=f[f[Va+44>>2]>>2]|0;Xa=(f[Va+16>>2]|0)+(Y(Ya,Ja)|0)|0;Va=Xa+Ya|0;Ya=f[f[_a+44>>2]>>2]|0;Wa=(f[_a+16>>2]|0)+(Y(Ya,Ja)|0)|0;qa=Wa+Ya|0;if((x|0)>0){Ya=((Ja|0)<0)<<31>>31;Ua=Ja+1|0;ua=((Ua|0)<0)<<31>>31;r=0;do{za=Wa+(r<<2)|0;Sa=f[za>>2]|0;do if((Sa|0)>0){Z=f[(f[Za>>2]|0)+(Sa<<2)>>2]|0;if(!(b[Xa+r>>0]|0)){f[za>>2]=0;Qa=f[Oa>>2]|0;Ta=f[Qa+20>>2]|0;Ra=f[Ta>>2]|0;f[Ta>>2]=(Ra|0)>(r|0)?r:Ra;Ra=Ta+8|0;La=f[Ra>>2]|0;f[Ra>>2]=(La|0)<(r|0)?r:La;La=Ta+4|0;Ra=f[La>>2]|0;f[La>>2]=(Ra|0)>(Ja|0)?Ja:Ra;Ra=Ta+12|0;La=f[Ra>>2]|0;f[Ra>>2]=(La|0)<(Ja|0)?Ja:La;La=Ta+16|0;f[La>>2]=(f[La>>2]|0)+1;La=f[Qa+120>>2]|0;Qa=La;Ta=Arc(f[Qa>>2]|0,f[Qa+4>>2]|0,r|0,((r|0)<0)<<31>>31|0)|0;Qa=La;f[Qa>>2]=Ta;f[Qa+4>>2]=J;$a=La+8|0}else{f[za>>2]=Z;La=f[Oa>>2]|0;Qa=(f[La+20>>2]|0)+(Y(f[f[La+48>>2]>>2]|0,Z)|0)|0;Ta=f[Qa>>2]|0;f[Qa>>2]=(Ta|0)>(r|0)?r:Ta;Ta=Qa+8|0;Ra=f[Ta>>2]|0;f[Ta>>2]=(Ra|0)<(r|0)?r:Ra;Ra=Qa+4|0;Ta=f[Ra>>2]|0;f[Ra>>2]=(Ta|0)>(Ja|0)?Ja:Ta;Ta=Qa+12|0;Ra=f[Ta>>2]|0;f[Ta>>2]=(Ra|0)<(Ja|0)?Ja:Ra;Ra=Qa+16|0;f[Ra>>2]=(f[Ra>>2]|0)+1;Ra=f[La+120>>2]|0;La=Ra+(Z<<4)|0;Qa=La;Ta=Arc(f[Qa>>2]|0,f[Qa+4>>2]|0,r|0,((r|0)<0)<<31>>31|0)|0;Qa=La;f[Qa>>2]=Ta;f[Qa+4>>2]=J;$a=Ra+(Z<<4)+8|0}Ra=$a;Qa=Arc(f[Ra>>2]|0,f[Ra+4>>2]|0,Ja|0,Ya|0)|0;Ra=$a;f[Ra>>2]=Qa;f[Ra+4>>2]=J;Ra=r|1;Qa=Wa+(Ra<<2)|0;if(!(b[Xa+Ra>>0]|0)){f[Qa>>2]=0;Ta=f[Oa>>2]|0;La=f[Ta+20>>2]|0;Na=f[La>>2]|0;f[La>>2]=(Na|0)>(Ra|0)?Ra:Na;Na=La+8|0;Aa=f[Na>>2]|0;f[Na>>2]=(Aa|0)<(Ra|0)?Ra:Aa;Aa=La+4|0;Na=f[Aa>>2]|0;f[Aa>>2]=(Na|0)>(Ja|0)?Ja:Na;Na=La+12|0;Aa=f[Na>>2]|0;f[Na>>2]=(Aa|0)<(Ja|0)?Ja:Aa;Aa=La+16|0;f[Aa>>2]=(f[Aa>>2]|0)+1;Aa=f[Ta+120>>2]|0;Ta=Aa;La=Arc(f[Ta>>2]|0,f[Ta+4>>2]|0,Ra|0,((Ra|0)<0)<<31>>31|0)|0;Ta=Aa;f[Ta>>2]=La;f[Ta+4>>2]=J;ab=Aa+8|0}else{f[Qa>>2]=Z;Qa=f[Oa>>2]|0;Aa=(f[Qa+20>>2]|0)+(Y(f[f[Qa+48>>2]>>2]|0,Z)|0)|0;Ta=f[Aa>>2]|0;f[Aa>>2]=(Ta|0)>(Ra|0)?Ra:Ta;Ta=Aa+8|0;La=f[Ta>>2]|0;f[Ta>>2]=(La|0)<(Ra|0)?Ra:La;La=Aa+4|0;Ta=f[La>>2]|0;f[La>>2]=(Ta|0)>(Ja|0)?Ja:Ta;Ta=Aa+12|0;La=f[Ta>>2]|0;f[Ta>>2]=(La|0)<(Ja|0)?Ja:La;La=Aa+16|0;f[La>>2]=(f[La>>2]|0)+1;La=f[Qa+120>>2]|0;Qa=La+(Z<<4)|0;Aa=Qa;Ta=Arc(f[Aa>>2]|0,f[Aa+4>>2]|0,Ra|0,((Ra|0)<0)<<31>>31|0)|0;Aa=Qa;f[Aa>>2]=Ta;f[Aa+4>>2]=J;ab=La+(Z<<4)+8|0}La=ab;Aa=Arc(f[La>>2]|0,f[La+4>>2]|0,Ja|0,Ya|0)|0;La=ab;f[La>>2]=Aa;f[La+4>>2]=J;if((Ua|0)<(f[(f[h>>2]|0)+8>>2]|0)){La=qa+(r<<2)|0;if(!(b[Va+r>>0]|0)){f[La>>2]=0;Aa=f[Oa>>2]|0;Ta=f[Aa+20>>2]|0;Qa=f[Ta>>2]|0;f[Ta>>2]=(Qa|0)>(r|0)?r:Qa;Qa=Ta+8|0;Na=f[Qa>>2]|0;f[Qa>>2]=(Na|0)<(r|0)?r:Na;Na=Ta+4|0;Qa=f[Na>>2]|0;f[Na>>2]=(Qa|0)>(Ua|0)?Ua:Qa;Qa=Ta+12|0;Na=f[Qa>>2]|0;f[Qa>>2]=(Na|0)<(Ua|0)?Ua:Na;Na=Ta+16|0;f[Na>>2]=(f[Na>>2]|0)+1;Na=f[Aa+120>>2]|0;Aa=Na;Ta=Arc(f[Aa>>2]|0,f[Aa+4>>2]|0,r|0,((r|0)<0)<<31>>31|0)|0;Aa=Na;f[Aa>>2]=Ta;f[Aa+4>>2]=J;bb=Na+8|0}else{f[La>>2]=Z;La=f[Oa>>2]|0;Na=(f[La+20>>2]|0)+(Y(f[f[La+48>>2]>>2]|0,Z)|0)|0;Aa=f[Na>>2]|0;f[Na>>2]=(Aa|0)>(r|0)?r:Aa;Aa=Na+8|0;Ta=f[Aa>>2]|0;f[Aa>>2]=(Ta|0)<(r|0)?r:Ta;Ta=Na+4|0;Aa=f[Ta>>2]|0;f[Ta>>2]=(Aa|0)>(Ua|0)?Ua:Aa;Aa=Na+12|0;Ta=f[Aa>>2]|0;f[Aa>>2]=(Ta|0)<(Ua|0)?Ua:Ta;Ta=Na+16|0;f[Ta>>2]=(f[Ta>>2]|0)+1;Ta=f[La+120>>2]|0;La=Ta+(Z<<4)|0;Na=La;Aa=Arc(f[Na>>2]|0,f[Na+4>>2]|0,r|0,((r|0)<0)<<31>>31|0)|0;Na=La;f[Na>>2]=Aa;f[Na+4>>2]=J;bb=Ta+(Z<<4)+8|0}Ta=bb;Na=Arc(f[Ta>>2]|0,f[Ta+4>>2]|0,Ua|0,ua|0)|0;Ta=bb;f[Ta>>2]=Na;f[Ta+4>>2]=J;Ta=qa+(Ra<<2)|0;if(!(b[Va+Ra>>0]|0)){f[Ta>>2]=0;Na=f[Oa>>2]|0;Aa=f[Na+20>>2]|0;La=f[Aa>>2]|0;f[Aa>>2]=(La|0)>(Ra|0)?Ra:La;La=Aa+8|0;Qa=f[La>>2]|0;f[La>>2]=(Qa|0)<(Ra|0)?Ra:Qa;Qa=Aa+4|0;La=f[Qa>>2]|0;f[Qa>>2]=(La|0)>(Ua|0)?Ua:La;La=Aa+12|0;Qa=f[La>>2]|0;f[La>>2]=(Qa|0)<(Ua|0)?Ua:Qa;Qa=Aa+16|0;f[Qa>>2]=(f[Qa>>2]|0)+1;Qa=f[Na+120>>2]|0;Na=Qa;Aa=Arc(f[Na>>2]|0,f[Na+4>>2]|0,Ra|0,((Ra|0)<0)<<31>>31|0)|0;Na=Qa;f[Na>>2]=Aa;f[Na+4>>2]=J;Na=Qa+8|0;Qa=Na;Aa=Arc(f[Qa>>2]|0,f[Qa+4>>2]|0,Ua|0,ua|0)|0;Qa=Na;f[Qa>>2]=Aa;f[Qa+4>>2]=J;break}else{f[Ta>>2]=Z;Ta=f[Oa>>2]|0;Qa=(f[Ta+20>>2]|0)+(Y(f[f[Ta+48>>2]>>2]|0,Z)|0)|0;Aa=f[Qa>>2]|0;f[Qa>>2]=(Aa|0)>(Ra|0)?Ra:Aa;Aa=Qa+8|0;Na=f[Aa>>2]|0;f[Aa>>2]=(Na|0)<(Ra|0)?Ra:Na;Na=Qa+4|0;Aa=f[Na>>2]|0;f[Na>>2]=(Aa|0)>(Ua|0)?Ua:Aa;Aa=Qa+12|0;Na=f[Aa>>2]|0;f[Aa>>2]=(Na|0)<(Ua|0)?Ua:Na;Na=Qa+16|0;f[Na>>2]=(f[Na>>2]|0)+1;Na=f[Ta+120>>2]|0;Ta=Na+(Z<<4)|0;Qa=Ta;Aa=Arc(f[Qa>>2]|0,f[Qa+4>>2]|0,Ra|0,((Ra|0)<0)<<31>>31|0)|0;Ra=Ta;f[Ra>>2]=Aa;f[Ra+4>>2]=J;Ra=Na+(Z<<4)+8|0;Z=Ra;Na=Arc(f[Z>>2]|0,f[Z+4>>2]|0,Ua|0,ua|0)|0;Z=Ra;f[Z>>2]=Na;f[Z+4>>2]=J;break}}}else{f[za>>2]=0;Z=r|1;f[Wa+(Z<<2)>>2]=0;Na=f[Oa>>2]|0;Ra=f[Na+20>>2]|0;Aa=f[Ra>>2]|0;f[Ra>>2]=(Aa|0)>(r|0)?r:Aa;Aa=Ra+8|0;Ta=f[Aa>>2]|0;f[Aa>>2]=(Ta|0)<(r|0)?r:Ta;Ta=Ra+4|0;Aa=f[Ta>>2]|0;f[Ta>>2]=(Aa|0)>(Ja|0)?Ja:Aa;Aa=Ra+12|0;Ta=f[Aa>>2]|0;f[Aa>>2]=(Ta|0)<(Ja|0)?Ja:Ta;Ta=Ra+16|0;f[Ta>>2]=(f[Ta>>2]|0)+1;Ta=f[Na+120>>2]|0;Na=((r|0)<0)<<31>>31;Ra=Ta;Aa=Arc(f[Ra>>2]|0,f[Ra+4>>2]|0,r|0,Na|0)|0;Ra=Ta;f[Ra>>2]=Aa;f[Ra+4>>2]=J;Ra=Ta+8|0;Ta=Ra;Aa=Arc(f[Ta>>2]|0,f[Ta+4>>2]|0,Ja|0,Ya|0)|0;Ta=Ra;f[Ta>>2]=Aa;f[Ta+4>>2]=J;Ta=f[Oa>>2]|0;Aa=f[Ta+20>>2]|0;Ra=f[Aa>>2]|0;f[Aa>>2]=(Ra|0)>(Z|0)?Z:Ra;Ra=Aa+8|0;Qa=f[Ra>>2]|0;f[Ra>>2]=(Qa|0)<(Z|0)?Z:Qa;Qa=Aa+4|0;Ra=f[Qa>>2]|0;f[Qa>>2]=(Ra|0)>(Ja|0)?Ja:Ra;Ra=Aa+12|0;Qa=f[Ra>>2]|0;f[Ra>>2]=(Qa|0)<(Ja|0)?Ja:Qa;Qa=Aa+16|0;f[Qa>>2]=(f[Qa>>2]|0)+1;Qa=f[Ta+120>>2]|0;Ta=((Z|0)<0)<<31>>31;Aa=Qa;Ra=Arc(f[Aa>>2]|0,f[Aa+4>>2]|0,Z|0,Ta|0)|0;Aa=Qa;f[Aa>>2]=Ra;f[Aa+4>>2]=J;Aa=Qa+8|0;Qa=Aa;Ra=Arc(f[Qa>>2]|0,f[Qa+4>>2]|0,Ja|0,Ya|0)|0;Qa=Aa;f[Qa>>2]=Ra;f[Qa+4>>2]=J;if((Ua|0)<(f[(f[h>>2]|0)+8>>2]|0)){f[qa+(r<<2)>>2]=0;f[qa+(Z<<2)>>2]=0;Qa=f[Oa>>2]|0;Ra=f[Qa+20>>2]|0;Aa=f[Ra>>2]|0;f[Ra>>2]=(Aa|0)>(r|0)?r:Aa;Aa=Ra+8|0;La=f[Aa>>2]|0;f[Aa>>2]=(La|0)<(r|0)?r:La;La=Ra+4|0;Aa=f[La>>2]|0;f[La>>2]=(Aa|0)>(Ua|0)?Ua:Aa;Aa=Ra+12|0;La=f[Aa>>2]|0;f[Aa>>2]=(La|0)<(Ua|0)?Ua:La;La=Ra+16|0;f[La>>2]=(f[La>>2]|0)+1;La=f[Qa+120>>2]|0;Qa=La;Ra=Arc(f[Qa>>2]|0,f[Qa+4>>2]|0,r|0,Na|0)|0;Na=La;f[Na>>2]=Ra;f[Na+4>>2]=J;Na=La+8|0;La=Na;Ra=Arc(f[La>>2]|0,f[La+4>>2]|0,Ua|0,ua|0)|0;La=Na;f[La>>2]=Ra;f[La+4>>2]=J;La=f[Oa>>2]|0;Ra=f[La+20>>2]|0;Na=f[Ra>>2]|0;f[Ra>>2]=(Na|0)>(Z|0)?Z:Na;Na=Ra+8|0;Qa=f[Na>>2]|0;f[Na>>2]=(Qa|0)<(Z|0)?Z:Qa;Qa=Ra+4|0;Na=f[Qa>>2]|0;f[Qa>>2]=(Na|0)>(Ua|0)?Ua:Na;Na=Ra+12|0;Qa=f[Na>>2]|0;f[Na>>2]=(Qa|0)<(Ua|0)?Ua:Qa;Qa=Ra+16|0;f[Qa>>2]=(f[Qa>>2]|0)+1;Qa=f[La+120>>2]|0;La=Qa;Ra=Arc(f[La>>2]|0,f[La+4>>2]|0,Z|0,Ta|0)|0;Ta=Qa;f[Ta>>2]=Ra;f[Ta+4>>2]=J;Ta=Qa+8|0;Qa=Ta;Ra=Arc(f[Qa>>2]|0,f[Qa+4>>2]|0,Ua|0,ua|0)|0;Qa=Ta;f[Qa>>2]=Ra;f[Qa+4>>2]=J}}while(0);r=r+2|0;za=f[h>>2]|0;Sa=f[za+12>>2]|0}while((r|0)<(Sa|0));cb=Sa;db=za}else{cb=x;db=_a}Ja=Ja+2|0;if((Ja|0)>=(c|0))break;else{_a=db;x=cb}}return}if(!d)return;d=a+4|0;cb=a+12|0;a=e;e=Pa;Pa=Ba;while(1){Ba=f[d>>2]|0;x=f[f[Ba+44>>2]>>2]|0;db=(f[Ba+16>>2]|0)+(Y(x,a)|0)|0;Ba=db+x|0;x=f[f[e+44>>2]>>2]|0;_a=(f[e+16>>2]|0)+(Y(x,a)|0)|0;Ja=_a+x|0;if((Pa|0)>0){x=((a|0)<0)<<31>>31;bb=a+1|0;ab=((bb|0)<0)<<31>>31;$a=0;do{Za=_a+($a<<2)|0;g=f[Za>>2]|0;do if((g|0)>0){r=f[(f[cb>>2]|0)+(g<<2)>>2]|0;if(!(b[db+$a>>0]|0)){f[Za>>2]=0;ua=f[Oa>>2]|0;Ua=f[ua+20>>2]|0;qa=f[Ua>>2]|0;f[Ua>>2]=(qa|0)>($a|0)?$a:qa;qa=Ua+8|0;Ya=f[qa>>2]|0;f[qa>>2]=(Ya|0)<($a|0)?$a:Ya;Ya=Ua+4|0;qa=f[Ya>>2]|0;f[Ya>>2]=(qa|0)>(a|0)?a:qa;qa=Ua+12|0;Ya=f[qa>>2]|0;f[qa>>2]=(Ya|0)<(a|0)?a:Ya;Ya=Ua+16|0;f[Ya>>2]=(f[Ya>>2]|0)+1;Ya=f[ua+120>>2]|0;ua=Ya;Ua=Arc(f[ua>>2]|0,f[ua+4>>2]|0,$a|0,(($a|0)<0)<<31>>31|0)|0;ua=Ya;f[ua>>2]=Ua;f[ua+4>>2]=J;eb=Ya+8|0}else{f[Za>>2]=r;Ya=f[Oa>>2]|0;ua=(f[Ya+20>>2]|0)+(Y(f[f[Ya+48>>2]>>2]|0,r)|0)|0;Ua=f[ua>>2]|0;f[ua>>2]=(Ua|0)>($a|0)?$a:Ua;Ua=ua+8|0;qa=f[Ua>>2]|0;f[Ua>>2]=(qa|0)<($a|0)?$a:qa;qa=ua+4|0;Ua=f[qa>>2]|0;f[qa>>2]=(Ua|0)>(a|0)?a:Ua;Ua=ua+12|0;qa=f[Ua>>2]|0;f[Ua>>2]=(qa|0)<(a|0)?a:qa;qa=ua+16|0;f[qa>>2]=(f[qa>>2]|0)+1;qa=f[Ya+120>>2]|0;Ya=qa+(r<<4)|0;ua=Ya;Ua=Arc(f[ua>>2]|0,f[ua+4>>2]|0,$a|0,(($a|0)<0)<<31>>31|0)|0;ua=Ya;f[ua>>2]=Ua;f[ua+4>>2]=J;eb=qa+(r<<4)+8|0}qa=eb;ua=Arc(f[qa>>2]|0,f[qa+4>>2]|0,a|0,x|0)|0;qa=eb;f[qa>>2]=ua;f[qa+4>>2]=J;qa=$a|1;ua=f[h>>2]|0;if((qa|0)>=(f[ua+12>>2]|0)){if((bb|0)>=(f[ua+8>>2]|0))break;ua=Ja+($a<<2)|0;if(!(b[Ba+$a>>0]|0)){f[ua>>2]=0;Ua=f[Oa>>2]|0;Ya=f[Ua+20>>2]|0;Wa=f[Ya>>2]|0;f[Ya>>2]=(Wa|0)>($a|0)?$a:Wa;Wa=Ya+8|0;Va=f[Wa>>2]|0;f[Wa>>2]=(Va|0)<($a|0)?$a:Va;Va=Ya+4|0;Wa=f[Va>>2]|0;f[Va>>2]=(Wa|0)>(bb|0)?bb:Wa;Wa=Ya+12|0;Va=f[Wa>>2]|0;f[Wa>>2]=(Va|0)<(bb|0)?bb:Va;Va=Ya+16|0;f[Va>>2]=(f[Va>>2]|0)+1;Va=f[Ua+120>>2]|0;Ua=Va;Ya=Arc(f[Ua>>2]|0,f[Ua+4>>2]|0,$a|0,(($a|0)<0)<<31>>31|0)|0;Ua=Va;f[Ua>>2]=Ya;f[Ua+4>>2]=J;Ua=Va+8|0;Va=Ua;Ya=Arc(f[Va>>2]|0,f[Va+4>>2]|0,bb|0,ab|0)|0;Va=Ua;f[Va>>2]=Ya;f[Va+4>>2]=J;break}else{f[ua>>2]=r;ua=f[Oa>>2]|0;Va=(f[ua+20>>2]|0)+(Y(f[f[ua+48>>2]>>2]|0,r)|0)|0;Ya=f[Va>>2]|0;f[Va>>2]=(Ya|0)>($a|0)?$a:Ya;Ya=Va+8|0;Ua=f[Ya>>2]|0;f[Ya>>2]=(Ua|0)<($a|0)?$a:Ua;Ua=Va+4|0;Ya=f[Ua>>2]|0;f[Ua>>2]=(Ya|0)>(bb|0)?bb:Ya;Ya=Va+12|0;Ua=f[Ya>>2]|0;f[Ya>>2]=(Ua|0)<(bb|0)?bb:Ua;Ua=Va+16|0;f[Ua>>2]=(f[Ua>>2]|0)+1;Ua=f[ua+120>>2]|0;ua=Ua+(r<<4)|0;Va=ua;Ya=Arc(f[Va>>2]|0,f[Va+4>>2]|0,$a|0,(($a|0)<0)<<31>>31|0)|0;Va=ua;f[Va>>2]=Ya;f[Va+4>>2]=J;Va=Ua+(r<<4)+8|0;Ua=Va;Ya=Arc(f[Ua>>2]|0,f[Ua+4>>2]|0,bb|0,ab|0)|0;Ua=Va;f[Ua>>2]=Ya;f[Ua+4>>2]=J;break}}Ua=_a+(qa<<2)|0;if(!(b[db+qa>>0]|0)){f[Ua>>2]=0;Ya=f[Oa>>2]|0;Va=f[Ya+20>>2]|0;ua=f[Va>>2]|0;f[Va>>2]=(ua|0)>(qa|0)?qa:ua;ua=Va+8|0;Wa=f[ua>>2]|0;f[ua>>2]=(Wa|0)<(qa|0)?qa:Wa;Wa=Va+4|0;ua=f[Wa>>2]|0;f[Wa>>2]=(ua|0)>(a|0)?a:ua;ua=Va+12|0;Wa=f[ua>>2]|0;f[ua>>2]=(Wa|0)<(a|0)?a:Wa;Wa=Va+16|0;f[Wa>>2]=(f[Wa>>2]|0)+1;Wa=f[Ya+120>>2]|0;Ya=Wa;Va=Arc(f[Ya>>2]|0,f[Ya+4>>2]|0,qa|0,((qa|0)<0)<<31>>31|0)|0;Ya=Wa;f[Ya>>2]=Va;f[Ya+4>>2]=J;fb=Wa+8|0}else{f[Ua>>2]=r;Ua=f[Oa>>2]|0;Wa=(f[Ua+20>>2]|0)+(Y(f[f[Ua+48>>2]>>2]|0,r)|0)|0;Ya=f[Wa>>2]|0;f[Wa>>2]=(Ya|0)>(qa|0)?qa:Ya;Ya=Wa+8|0;Va=f[Ya>>2]|0;f[Ya>>2]=(Va|0)<(qa|0)?qa:Va;Va=Wa+4|0;Ya=f[Va>>2]|0;f[Va>>2]=(Ya|0)>(a|0)?a:Ya;Ya=Wa+12|0;Va=f[Ya>>2]|0;f[Ya>>2]=(Va|0)<(a|0)?a:Va;Va=Wa+16|0;f[Va>>2]=(f[Va>>2]|0)+1;Va=f[Ua+120>>2]|0;Ua=Va+(r<<4)|0;Wa=Ua;Ya=Arc(f[Wa>>2]|0,f[Wa+4>>2]|0,qa|0,((qa|0)<0)<<31>>31|0)|0;Wa=Ua;f[Wa>>2]=Ya;f[Wa+4>>2]=J;fb=Va+(r<<4)+8|0}Va=fb;Wa=Arc(f[Va>>2]|0,f[Va+4>>2]|0,a|0,x|0)|0;Va=fb;f[Va>>2]=Wa;f[Va+4>>2]=J;if((bb|0)<(f[(f[h>>2]|0)+8>>2]|0)){Va=Ja+($a<<2)|0;if(!(b[Ba+$a>>0]|0)){f[Va>>2]=0;Wa=f[Oa>>2]|0;Ya=f[Wa+20>>2]|0;Ua=f[Ya>>2]|0;f[Ya>>2]=(Ua|0)>($a|0)?$a:Ua;Ua=Ya+8|0;ua=f[Ua>>2]|0;f[Ua>>2]=(ua|0)<($a|0)?$a:ua;ua=Ya+4|0;Ua=f[ua>>2]|0;f[ua>>2]=(Ua|0)>(bb|0)?bb:Ua;Ua=Ya+12|0;ua=f[Ua>>2]|0;f[Ua>>2]=(ua|0)<(bb|0)?bb:ua;ua=Ya+16|0;f[ua>>2]=(f[ua>>2]|0)+1;ua=f[Wa+120>>2]|0;Wa=ua;Ya=Arc(f[Wa>>2]|0,f[Wa+4>>2]|0,$a|0,(($a|0)<0)<<31>>31|0)|0;Wa=ua;f[Wa>>2]=Ya;f[Wa+4>>2]=J;gb=ua+8|0}else{f[Va>>2]=r;Va=f[Oa>>2]|0;ua=(f[Va+20>>2]|0)+(Y(f[f[Va+48>>2]>>2]|0,r)|0)|0;Wa=f[ua>>2]|0;f[ua>>2]=(Wa|0)>($a|0)?$a:Wa;Wa=ua+8|0;Ya=f[Wa>>2]|0;f[Wa>>2]=(Ya|0)<($a|0)?$a:Ya;Ya=ua+4|0;Wa=f[Ya>>2]|0;f[Ya>>2]=(Wa|0)>(bb|0)?bb:Wa;Wa=ua+12|0;Ya=f[Wa>>2]|0;f[Wa>>2]=(Ya|0)<(bb|0)?bb:Ya;Ya=ua+16|0;f[Ya>>2]=(f[Ya>>2]|0)+1;Ya=f[Va+120>>2]|0;Va=Ya+(r<<4)|0;ua=Va;Wa=Arc(f[ua>>2]|0,f[ua+4>>2]|0,$a|0,(($a|0)<0)<<31>>31|0)|0;ua=Va;f[ua>>2]=Wa;f[ua+4>>2]=J;gb=Ya+(r<<4)+8|0}Ya=gb;ua=Arc(f[Ya>>2]|0,f[Ya+4>>2]|0,bb|0,ab|0)|0;Ya=gb;f[Ya>>2]=ua;f[Ya+4>>2]=J;Ya=Ja+(qa<<2)|0;if(!(b[Ba+qa>>0]|0)){f[Ya>>2]=0;ua=f[Oa>>2]|0;Wa=f[ua+20>>2]|0;Va=f[Wa>>2]|0;f[Wa>>2]=(Va|0)>(qa|0)?qa:Va;Va=Wa+8|0;Ua=f[Va>>2]|0;f[Va>>2]=(Ua|0)<(qa|0)?qa:Ua;Ua=Wa+4|0;Va=f[Ua>>2]|0;f[Ua>>2]=(Va|0)>(bb|0)?bb:Va;Va=Wa+12|0;Ua=f[Va>>2]|0;f[Va>>2]=(Ua|0)<(bb|0)?bb:Ua;Ua=Wa+16|0;f[Ua>>2]=(f[Ua>>2]|0)+1;Ua=f[ua+120>>2]|0;ua=Ua;Wa=Arc(f[ua>>2]|0,f[ua+4>>2]|0,qa|0,((qa|0)<0)<<31>>31|0)|0;ua=Ua;f[ua>>2]=Wa;f[ua+4>>2]=J;ua=Ua+8|0;Ua=ua;Wa=Arc(f[Ua>>2]|0,f[Ua+4>>2]|0,bb|0,ab|0)|0;Ua=ua;f[Ua>>2]=Wa;f[Ua+4>>2]=J;break}else{f[Ya>>2]=r;Ya=f[Oa>>2]|0;Ua=(f[Ya+20>>2]|0)+(Y(f[f[Ya+48>>2]>>2]|0,r)|0)|0;Wa=f[Ua>>2]|0;f[Ua>>2]=(Wa|0)>(qa|0)?qa:Wa;Wa=Ua+8|0;ua=f[Wa>>2]|0;f[Wa>>2]=(ua|0)<(qa|0)?qa:ua;ua=Ua+4|0;Wa=f[ua>>2]|0;f[ua>>2]=(Wa|0)>(bb|0)?bb:Wa;Wa=Ua+12|0;ua=f[Wa>>2]|0;f[Wa>>2]=(ua|0)<(bb|0)?bb:ua;ua=Ua+16|0;f[ua>>2]=(f[ua>>2]|0)+1;ua=f[Ya+120>>2]|0;Ya=ua+(r<<4)|0;Ua=Ya;Wa=Arc(f[Ua>>2]|0,f[Ua+4>>2]|0,qa|0,((qa|0)<0)<<31>>31|0)|0;qa=Ya;f[qa>>2]=Wa;f[qa+4>>2]=J;qa=ua+(r<<4)+8|0;r=qa;ua=Arc(f[r>>2]|0,f[r+4>>2]|0,bb|0,ab|0)|0;r=qa;f[r>>2]=ua;f[r+4>>2]=J;break}}}else{f[Za>>2]=0;r=f[Oa>>2]|0;ua=f[r+20>>2]|0;qa=f[ua>>2]|0;f[ua>>2]=(qa|0)>($a|0)?$a:qa;qa=ua+8|0;Wa=f[qa>>2]|0;f[qa>>2]=(Wa|0)<($a|0)?$a:Wa;Wa=ua+4|0;qa=f[Wa>>2]|0;f[Wa>>2]=(qa|0)>(a|0)?a:qa;qa=ua+12|0;Wa=f[qa>>2]|0;f[qa>>2]=(Wa|0)<(a|0)?a:Wa;Wa=ua+16|0;f[Wa>>2]=(f[Wa>>2]|0)+1;Wa=f[r+120>>2]|0;r=(($a|0)<0)<<31>>31;ua=Wa;qa=Arc(f[ua>>2]|0,f[ua+4>>2]|0,$a|0,r|0)|0;ua=Wa;f[ua>>2]=qa;f[ua+4>>2]=J;ua=Wa+8|0;Wa=ua;qa=Arc(f[Wa>>2]|0,f[Wa+4>>2]|0,a|0,x|0)|0;Wa=ua;f[Wa>>2]=qa;f[Wa+4>>2]=J;Wa=$a|1;qa=f[h>>2]|0;if((Wa|0)<(f[qa+12>>2]|0)){f[_a+(Wa<<2)>>2]=0;ua=f[Oa>>2]|0;Ya=f[ua+20>>2]|0;Ua=f[Ya>>2]|0;f[Ya>>2]=(Ua|0)>(Wa|0)?Wa:Ua;Ua=Ya+8|0;Va=f[Ua>>2]|0;f[Ua>>2]=(Va|0)<(Wa|0)?Wa:Va;Va=Ya+4|0;Ua=f[Va>>2]|0;f[Va>>2]=(Ua|0)>(a|0)?a:Ua;Ua=Ya+12|0;Va=f[Ua>>2]|0;f[Ua>>2]=(Va|0)<(a|0)?a:Va;Va=Ya+16|0;f[Va>>2]=(f[Va>>2]|0)+1;Va=f[ua+120>>2]|0;ua=((Wa|0)<0)<<31>>31;Ya=Va;Ua=Arc(f[Ya>>2]|0,f[Ya+4>>2]|0,Wa|0,ua|0)|0;Ya=Va;f[Ya>>2]=Ua;f[Ya+4>>2]=J;Ya=Va+8|0;Va=Ya;Ua=Arc(f[Va>>2]|0,f[Va+4>>2]|0,a|0,x|0)|0;Va=Ya;f[Va>>2]=Ua;f[Va+4>>2]=J;if((bb|0)>=(f[(f[h>>2]|0)+8>>2]|0))break;f[Ja+($a<<2)>>2]=0;f[Ja+(Wa<<2)>>2]=0;Va=f[Oa>>2]|0;Ua=f[Va+20>>2]|0;Ya=f[Ua>>2]|0;f[Ua>>2]=(Ya|0)>($a|0)?$a:Ya;Ya=Ua+8|0;Xa=f[Ya>>2]|0;f[Ya>>2]=(Xa|0)<($a|0)?$a:Xa;Xa=Ua+4|0;Ya=f[Xa>>2]|0;f[Xa>>2]=(Ya|0)>(bb|0)?bb:Ya;Ya=Ua+12|0;Xa=f[Ya>>2]|0;f[Ya>>2]=(Xa|0)<(bb|0)?bb:Xa;Xa=Ua+16|0;f[Xa>>2]=(f[Xa>>2]|0)+1;Xa=f[Va+120>>2]|0;Va=Xa;Ua=Arc(f[Va>>2]|0,f[Va+4>>2]|0,$a|0,r|0)|0;Va=Xa;f[Va>>2]=Ua;f[Va+4>>2]=J;Va=Xa+8|0;Xa=Va;Ua=Arc(f[Xa>>2]|0,f[Xa+4>>2]|0,bb|0,ab|0)|0;Xa=Va;f[Xa>>2]=Ua;f[Xa+4>>2]=J;Xa=f[Oa>>2]|0;Ua=f[Xa+20>>2]|0;Va=f[Ua>>2]|0;f[Ua>>2]=(Va|0)>(Wa|0)?Wa:Va;Va=Ua+8|0;Ya=f[Va>>2]|0;f[Va>>2]=(Ya|0)<(Wa|0)?Wa:Ya;Ya=Ua+4|0;Va=f[Ya>>2]|0;f[Ya>>2]=(Va|0)>(bb|0)?bb:Va;Va=Ua+12|0;Ya=f[Va>>2]|0;f[Va>>2]=(Ya|0)<(bb|0)?bb:Ya;Ya=Ua+16|0;f[Ya>>2]=(f[Ya>>2]|0)+1;Ya=f[Xa+120>>2]|0;Xa=Ya;Ua=Arc(f[Xa>>2]|0,f[Xa+4>>2]|0,Wa|0,ua|0)|0;ua=Ya;f[ua>>2]=Ua;f[ua+4>>2]=J;ua=Ya+8|0;Ya=ua;Ua=Arc(f[Ya>>2]|0,f[Ya+4>>2]|0,bb|0,ab|0)|0;Ya=ua;f[Ya>>2]=Ua;f[Ya+4>>2]=J;break}else{if((bb|0)>=(f[qa+8>>2]|0))break;f[Ja+($a<<2)>>2]=0;qa=f[Oa>>2]|0;Ya=f[qa+20>>2]|0;Ua=f[Ya>>2]|0;f[Ya>>2]=(Ua|0)>($a|0)?$a:Ua;Ua=Ya+8|0;ua=f[Ua>>2]|0;f[Ua>>2]=(ua|0)<($a|0)?$a:ua;ua=Ya+4|0;Ua=f[ua>>2]|0;f[ua>>2]=(Ua|0)>(bb|0)?bb:Ua;Ua=Ya+12|0;ua=f[Ua>>2]|0;f[Ua>>2]=(ua|0)<(bb|0)?bb:ua;ua=Ya+16|0;f[ua>>2]=(f[ua>>2]|0)+1;ua=f[qa+120>>2]|0;qa=ua;Ya=Arc(f[qa>>2]|0,f[qa+4>>2]|0,$a|0,r|0)|0;r=ua;f[r>>2]=Ya;f[r+4>>2]=J;r=ua+8|0;ua=r;Ya=Arc(f[ua>>2]|0,f[ua+4>>2]|0,bb|0,ab|0)|0;ua=r;f[ua>>2]=Ya;f[ua+4>>2]=J;break}}while(0);$a=$a+2|0;Za=f[h>>2]|0;g=f[Za+12>>2]|0}while(($a|0)<(g|0));hb=g;ib=Za}else{hb=Pa;ib=e}a=a+2|0;if((a|0)>=(c|0))break;else{e=ib;Pa=hb}}return}}function G7(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;c=u;u=u+80|0;d=c;e=c+16|0;f[e>>2]=1124007936;g=e+4|0;h=e+8|0;i=e+40|0;j=g;k=j+36|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));f[i>>2]=h;j=e+48|0;k=e+44|0;f[k>>2]=j;f[j>>2]=0;f[e+52>>2]=0;f[d>>2]=b;f[d+4>>2]=5;iP(e,2,d,4);l=a+4|0;m=e+36|0;n=f[m>>2]|0;if((l|0)==(e|0))o=n;else{if(n|0){p=n+12|0;f[p>>2]=(f[p>>2]|0)+1}p=a+40|0;n=f[p>>2]|0;if(n|0?(q=n+12|0,n=f[q>>2]|0,f[q>>2]=n+-1,(n|0)==1):0)lP(l);f[p>>2]=0;n=a+20|0;q=a+8|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;if((f[q>>2]|0)>0){r=f[a+44>>2]|0;s=0;do{f[r+(s<<2)>>2]=0;s=s+1|0;t=f[q>>2]|0}while((s|0)<(t|0));f[l>>2]=f[e>>2];if((t|0)<3)v=12;else v=14}else{f[l>>2]=f[e>>2];v=12}if((v|0)==12){t=f[g>>2]|0;if((t|0)<3){f[q>>2]=t;f[a+12>>2]=f[h>>2];f[a+16>>2]=f[e+12>>2];h=f[k>>2]|0;t=f[a+48>>2]|0;f[t>>2]=f[h>>2];f[t+4>>2]=f[h+4>>2]}else v=14}if((v|0)==14)kP(l,e);f[n>>2]=f[e+16>>2];f[a+24>>2]=f[e+20>>2];f[a+28>>2]=f[e+24>>2];f[a+32>>2]=f[e+28>>2];f[a+36>>2]=f[e+32>>2];n=f[m>>2]|0;f[p>>2]=n;o=n}if(o|0?(n=o+12|0,o=f[n>>2]|0,f[n>>2]=o+-1,(o|0)==1):0)lP(e);f[m>>2]=0;m=e+16|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;if((f[g>>2]|0)>0){m=f[i>>2]|0;i=0;do{f[m+(i<<2)>>2]=0;i=i+1|0}while((i|0)<(f[g>>2]|0))}g=f[k>>2]|0;if((g|0)!=(j|0))tE(g);if((b|0)>0){g=f[a+20>>2]|0;j=f[a+48>>2]|0;k=0;do{i=g+(Y(f[j>>2]|0,k)|0)|0;f[i>>2]=2147483647;f[i+4>>2]=2147483647;f[i+8>>2]=-2147483648;f[i+12>>2]=-2147483648;f[i+16>>2]=0;k=k+1|0}while((k|0)!=(b|0))}k=a+120|0;j=a+124|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;a=f[j>>2]|0;g=f[k>>2]|0;i=a-g>>4;m=a;if(i>>>0<b>>>0){H7(k,b-i|0,d);u=c;return}if(i>>>0<=b>>>0){u=c;return}i=g+(b<<4)|0;if((m|0)==(i|0)){u=c;return}f[j>>2]=m+(~((m+-16-i|0)>>>4)<<4);u=c;return}function H7(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a+8|0;e=f[d>>2]|0;g=a+4|0;h=f[g>>2]|0;if(e-h>>4>>>0>=b>>>0){i=b;j=h;do{f[j>>2]=f[c>>2];f[j+4>>2]=f[c+4>>2];f[j+8>>2]=f[c+8>>2];f[j+12>>2]=f[c+12>>2];j=(f[g>>2]|0)+16|0;f[g>>2]=j;i=i+-1|0}while((i|0)!=0);return}i=f[a>>2]|0;j=h-i>>4;h=j+b|0;if(h>>>0>268435455)Ukc(a);k=e-i|0;i=k>>3;e=k>>4>>>0<134217727?(i>>>0<h>>>0?h:i):268435455;do if(e)if(e>>>0>268435455){i=ye(8)|0;Jmc(i,511852);f[i>>2]=165276;Gf(i|0,26776,1555)}else{l=Bmc(e<<4)|0;break}else l=0;while(0);i=l+(j<<4)|0;j=l+(e<<4)|0;e=b;b=i;l=i;do{f[b>>2]=f[c>>2];f[b+4>>2]=f[c+4>>2];f[b+8>>2]=f[c+8>>2];f[b+12>>2]=f[c+12>>2];b=l+16|0;l=b;e=e+-1|0}while((e|0)!=0);e=f[a>>2]|0;b=(f[g>>2]|0)-e|0;c=i+(0-(b>>4)<<4)|0;if((b|0)>0)Krc(c|0,e|0,b|0)|0;f[a>>2]=c;f[g>>2]=l;f[d>>2]=j;if(!e)return;Emc(e);return}function I7(a){a=a|0;Emc(a);return}
function CCa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0,Zd=0,_d=0,$d=0,ae=0,be=0,ce=0,de=0,ee=0,fe=0,ge=0,he=0,ie=0,je=0,ke=0,le=0,me=0,ne=0,oe=0,pe=0,qe=0,re=0,se=0,te=0,ue=0,ve=0,we=0,xe=0,ye=0,ze=0,Ae=0,Be=0,Ce=0,De=0,Ee=0,Fe=0,Ge=0,He=0,Ie=0,Je=0,Ke=0,Le=0,Me=0,Ne=0,Oe=0,Pe=0,Qe=0,Re=0,Se=0,Te=0,Ue=0,Ve=0,We=0,Xe=0,Ye=0,Ze=0,_e=0,$e=0,af=0,bf=0,cf=0,df=0,ef=0,ff=0,gf=0,hf=0,jf=0,kf=0,lf=0,mf=0,nf=0,of=0,pf=0,qf=0,rf=0,sf=0,tf=0,uf=0,vf=0,wf=0,xf=0,yf=0,zf=0,Af=0,Bf=0,Cf=0,Df=0,Ef=0,Ff=0,Gf=0,Hf=0,If=0,Jf=0,Kf=0,Lf=0,Mf=0,Nf=0,Of=0,Pf=0,Qf=0,Rf=0,Sf=0,Tf=0,Uf=0,Vf=0,Wf=0,Xf=0,Yf=0,Zf=0,_f=0,$f=0,ag=0,bg=0,cg=0,dg=0,eg=0,fg=0,gg=0,hg=0,ig=0,jg=0,kg=0,lg=0,mg=0,ng=0,og=0,pg=0,qg=0,rg=0,sg=0,tg=0,ug=0,vg=0,wg=0,xg=0,yg=0,zg=0,Ag=0,Bg=0,Cg=0,Dg=0,Eg=0,Fg=0,Gg=0,Hg=0,Ig=0,Jg=0,Kg=0,Lg=0,Mg=0,Ng=0,Og=0,Pg=0,Qg=0,Rg=0,Sg=0,Tg=0,Ug=0,Vg=0,Wg=0,Xg=0,Yg=0,Zg=0,_g=0,$g=0,ah=0,bh=0,ch=0,dh=0,eh=0,fh=0,gh=0,hh=0,ih=0,jh=0,kh=0,lh=0,mh=0,nh=0,oh=0,ph=0,qh=0,sh=0,th=0,uh=0,vh=0,wh=0,xh=0,yh=0,zh=0,Ah=0,Bh=0,Ch=0,Dh=0,Eh=0,Fh=0,Gh=0,Hh=0,Ih=0,Jh=0,Kh=0,Lh=0,Mh=0,Nh=0,Oh=0,Ph=0,Qh=0,Rh=0,Sh=0,Th=0,Uh=0,Vh=0,Wh=0,Xh=0,Yh=0,Zh=0,_h=0,$h=0,ai=0,bi=0,di=0,ei=0,fi=0,gi=0,hi=0,ii=0,ji=0,ki=0,li=0,mi=0,ni=0,oi=0,pi=0,qi=0,ri=0,si=0,ti=0,ui=0,vi=0,wi=0,xi=0,yi=0,zi=0,Ai=0,Bi=0,Ci=0,Di=0,Ei=0,Fi=0,Gi=0,Hi=0,Ii=0,Ji=0,Ki=0,Li=0,Mi=0,Ni=0,Oi=0,Pi=0,Qi=0,Si=0,Ti=0,Ui=0,Vi=0,Wi=0,Yi=0,Zi=0,_i=0,$i=0,aj=0,bj=0,cj=0,dj=0,ej=0,fj=0,gj=0,hj=0,ij=0,jj=0,kj=0,lj=0,mj=0,nj=0,oj=0,pj=0,qj=0,rj=0,sj=0,tj=0,uj=0,vj=0,wj=0,xj=0,yj=0,zj=0,Aj=0,Bj=0,Cj=0,Dj=0,Ej=0,Fj=0,Gj=0,Hj=0,Ij=0,Jj=0,Kj=0,Lj=0,Mj=0,Nj=0,Oj=0,Pj=0,Qj=0,Rj=0,Sj=0,Tj=0,Uj=0,Vj=0,Wj=0,Xj=0,Yj=0,Zj=0,_j=0,$j=0,ak=0,bk=0,ck=0,dk=0,ek=0,fk=0,gk=0,hk=0,ik=0,jk=0,kk=0,lk=0,mk=0,nk=0,ok=0,pk=0,qk=0,rk=0,sk=0,tk=0,uk=0,vk=0,wk=0,xk=0,yk=0,zk=0,Ak=0,Bk=0,Ck=0,Dk=0,Ek=0,Fk=0,Gk=0,Hk=0,Ik=0,Jk=0,Kk=0,Lk=0,Mk=0,Nk=0,Ok=0,Pk=0,Qk=0,Rk=0,Sk=0,Tk=0,Uk=0,Vk=0,Wk=0,Xk=0,Yk=0,Zk=0,_k=0,$k=0,al=0,bl=0,cl=0,dl=0,el=0,fl=0,gl=0,hl=0,il=0,jl=0,kl=0,ll=0,ml=0,nl=0,ol=0,pl=0,ql=0,rl=0,sl=0,tl=0,ul=0,vl=0,wl=0,xl=0,yl=0,zl=0,Al=0,Bl=0,Cl=0,Dl=0,El=0,Fl=0,Gl=0,Hl=0,Il=0,Jl=0,Kl=0,Ll=0,Ml=0,Nl=0,Ol=0,Pl=0,Ql=0,Rl=0,Sl=0,Tl=0,Ul=0,Vl=0,Wl=0,Xl=0,Yl=0,Zl=0,_l=0,$l=0,am=0,bm=0,cm=0,dm=0,em=0,fm=0,gm=0,hm=0,im=0,jm=0,km=0,lm=0,mm=0,nm=0,om=0,pm=0,qm=0,rm=0,sm=0,tm=0,um=0,vm=0,wm=0,xm=0,ym=0,zm=0,Am=0,Bm=0,Cm=0,Dm=0,Em=0,Fm=0,Gm=0,Hm=0,Im=0,Jm=0,Km=0,Lm=0,Mm=0,Nm=0,Om=0,Pm=0,Qm=0,Rm=0,Sm=0,Tm=0,Um=0,Vm=0,Wm=0,Xm=0,Ym=0,Zm=0,_m=0,$m=0,an=0,bn=0,cn=0,dn=0,en=0,fn=0,gn=0,hn=0,jn=0,kn=0,ln=0,mn=0,nn=0,on=0,pn=0,qn=0,rn=0,sn=0,tn=0,un=0,vn=0,wn=0,xn=0,yn=0,zn=0,An=0,Bn=0,Cn=0,Dn=0,En=0,Fn=0,Gn=0,Hn=0,In=0,Jn=0,Kn=0,Ln=0,Mn=0,Nn=0,On=0,Pn=0,Qn=0,Rn=0,Sn=0,Tn=0,Un=0,Vn=0,Wn=0,Xn=0,Yn=0,Zn=0,_n=0,$n=0,ao=0,bo=0,co=0,eo=0,fo=0,go=0,ho=0,io=0,jo=0,ko=0,lo=0,mo=0,no=0,oo=0,po=0,qo=0,ro=0,so=0,to=0,uo=0,vo=0,wo=0,xo=0,yo=0,zo=0,Ao=0,Bo=0,Co=0,Do=0,Eo=0,Fo=0,Go=0,Ho=0,Io=0,Jo=0,Ko=0,Lo=0,Mo=0,No=0,Oo=0,Po=0,Qo=0,Ro=0,So=0,To=0,Uo=0,Vo=0,Wo=0,Xo=0,Yo=0,Zo=0,_o=0,$o=0,ap=0,bp=0,cp=0,dp=0,ep=0,fp=0,gp=0,hp=0,ip=0,jp=0,kp=0,lp=0,mp=0,np=0,op=0,pp=0,qp=0,rp=0,sp=0,tp=0,up=0,vp=0,wp=0,xp=0,yp=0,zp=0,Ap=0,Bp=0,Cp=0,Dp=0,Ep=0,Fp=0,Gp=0,Hp=0,Ip=0,Jp=0,Kp=0,Lp=0,Mp=0,Np=0,Op=0,Pp=0,Qp=0,Rp=0,Sp=0,Tp=0,Up=0,Vp=0,Wp=0,Xp=0,Yp=0,Zp=0,_p=0,$p=0,aq=0,bq=0,cq=0,dq=0,eq=0,fq=0,gq=0,hq=0,iq=0,jq=0,kq=0,lq=0,mq=0,nq=0,oq=0,pq=0,qq=0,rq=0,sq=0,tq=0,uq=0,vq=0,wq=0,xq=0,yq=0,zq=0,Aq=0,Bq=0,Cq=0,Dq=0,Eq=0,Fq=0,Gq=0,Hq=0,Iq=0,Jq=0,Kq=0,Lq=0,Mq=0,Nq=0,Oq=0,Pq=0,Qq=0,Rq=0,Sq=0,Tq=0,Uq=0,Vq=0,Wq=0,Xq=0,Yq=0,Zq=0,_q=0,$q=0,ar=0,br=0,cr=0,dr=0,er=0,fr=0,gr=0,hr=0,ir=0,jr=0,kr=0,lr=0,mr=0,nr=0,or=0,pr=0,qr=0,rr=0,sr=0,tr=0,ur=0,vr=0,wr=0,xr=0,yr=0,zr=0,Ar=0,Br=0,Cr=0,Dr=0,Er=0,Fr=0,Gr=0,Hr=0,Ir=0,Jr=0,Kr=0,Lr=0,Mr=0,Nr=0,Or=0,Pr=0,Qr=0,Rr=0,Sr=0,Tr=0,Ur=0,Vr=0,Wr=0,Xr=0,Yr=0,Zr=0,_r=0,$r=0,as=0,bs=0,cs=0,ds=0,es=0,fs=0,gs=0,hs=0,is=0,js=0,ks=0,ls=0,ms=0,ns=0,os=0,ps=0,qs=0,rs=0,ss=0,ts=0,us=0,vs=0,ws=0,xs=0,ys=0,zs=0,As=0,Bs=0,Cs=0,Ds=0,Es=0,Fs=0,Gs=0,Hs=0,Is=0,Js=0,Ks=0,Ls=0,Ms=0,Ns=0,Os=0,Ps=0,Qs=0,Rs=0,Ss=0,Ts=0,Us=0,Vs=0,Ws=0,Xs=0,Ys=0,Zs=0,_s=0,$s=0,at=0,bt=0,ct=0,dt=0,et=0,ft=0,gt=0,it=0,jt=0,kt=0,lt=0,mt=0,nt=0,ot=0,pt=0,qt=0,rt=0,st=0,tt=0,ut=0,vt=0,wt=0,xt=0,yt=0,zt=0,At=0,Bt=0,Ct=0,Dt=0,Et=0,Ft=0,Gt=0,Ht=0,It=0,Jt=0,Kt=0,Lt=0,Mt=0,Nt=0,Ot=0,Pt=0,Qt=0,Rt=0,St=0,Tt=0,Ut=0,Vt=0,Wt=0,Xt=0,Yt=0,Zt=0,_t=0,$t=0,au=0,bu=0,cu=0,du=0,eu=0,fu=0,gu=0,hu=0,iu=0,ju=0,ku=0,lu=0,mu=0,nu=0,ou=0,pu=0,qu=0,ru=0,su=0,tu=0,uu=0,vu=0,wu=0,xu=0,yu=0,zu=0,Au=0,Bu=0,Cu=0,Du=0,Eu=0,Fu=0,Gu=0,Hu=0,Iu=0,Ju=0,Ku=0,Lu=0,Mu=0,Nu=0.0,Ou=0,Pu=0,Qu=0,Ru=0,Su=0,Tu=0,Uu=0,Vu=0,Wu=0,Xu=0,Yu=0,Zu=0,_u=0,$u=0,av=0,bv=0,cv=0,dv=0,ev=0,fv=0,gv=0,hv=0,iv=0,jv=0,kv=0,lv=0,mv=0,nv=0,ov=0,pv=0,qv=0,rv=0,sv=0,tv=0,uv=0,vv=0,wv=0,xv=0,yv=0,zv=0,Av=0,Bv=0,Cv=0,Dv=0,Ev=0,Fv=0,Gv=0,Hv=0,Iv=0,Jv=0,Kv=0,Lv=0,Mv=0,Nv=0,Ov=0,Pv=0,Qv=0,Rv=0,Sv=0,Tv=0,Uv=0,Vv=0,Wv=0,Xv=0,Yv=0,Zv=0,_v=0,$v=0,aw=0,bw=0,cw=0,dw=0,ew=0,fw=0,gw=0,hw=0,iw=0,jw=0,kw=0,lw=0,mw=0,nw=0,ow=0,pw=0,qw=0,rw=0,sw=0,tw=0,uw=0,vw=0,ww=0,xw=0,yw=0,zw=0,Aw=0,Bw=0,Cw=0.0,Dw=0,Ew=0,Fw=0,Gw=0,Hw=0,Iw=0,Jw=0,Kw=0,Lw=0,Mw=0,Nw=0,Ow=0,Pw=0,Qw=0,Rw=0,Sw=0,Tw=0,Uw=0,Vw=0,Ww=0,Xw=0,Yw=0,Zw=0,_w=0,$w=0,ax=0,bx=0,cx=0,dx=0,ex=0,fx=0,gx=0,hx=0,ix=0,jx=0,kx=0,lx=0,mx=0,nx=0,ox=0,px=0,qx=0,rx=0,sx=0,tx=0,ux=0,vx=0,wx=0,xx=0,yx=0,zx=0,Ax=0,Bx=0,Cx=0,Dx=0,Ex=0,Fx=0,Gx=0,Hx=0,Ix=0,Jx=0,Kx=0,Lx=0,Mx=0,Nx=0,Ox=0,Px=0,Qx=0,Rx=0,Sx=0,Tx=0,Ux=0,Vx=0,Wx=0,Xx=0,Yx=0,Zx=0,_x=0,$x=0,ay=0,by=0,cy=0,dy=0,ey=0,fy=0,gy=0,hy=0,iy=0,jy=0,ky=0,ly=0,my=0,ny=0,oy=0,py=0,qy=0,ry=0,sy=0,ty=0,uy=0,vy=0,wy=0,xy=0,yy=0,zy=0,Ay=0,By=0,Cy=0,Dy=0,Ey=0,Fy=0,Gy=0,Hy=0,Iy=0,Jy=0,Ky=0,Ly=0,My=0,Ny=0,Oy=0,Py=0,Qy=0,Ry=0,Sy=0,Ty=0,Uy=0,Vy=0,Wy=0,Xy=0,Yy=0,Zy=0,_y=0,$y=0,az=0,bz=0,cz=0,dz=0,ez=0,fz=0,gz=0,hz=0,iz=0,jz=0,kz=0,lz=0,mz=0,nz=0,oz=0,pz=0,qz=0,rz=0,sz=0,tz=0,uz=0,vz=0,wz=0,xz=0,yz=0,zz=0,Az=0,Bz=0,Cz=0,Dz=0,Ez=0,Fz=0,Gz=0,Hz=0,Iz=0,Jz=0,Kz=0,Lz=0,Mz=0,Nz=0,Oz=0,Pz=0,Qz=0,Rz=0,Sz=0,Tz=0,Uz=0,Vz=0,Wz=0,Xz=0,Yz=0,Zz=0,_z=0,$z=0,aA=0,bA=0,cA=0,dA=0,eA=0,fA=0,gA=0,hA=0,iA=0,jA=0,kA=0,lA=0,mA=0,nA=0,oA=0,pA=0,qA=0,rA=0,sA=0,tA=0,uA=0,vA=0,wA=0,xA=0,yA=0,zA=0,AA=0,BA=0,CA=0,DA=0,EA=0,FA=0,GA=0,HA=0,IA=0,JA=0,KA=0,LA=0,MA=0,NA=0,OA=0,PA=0,QA=0,RA=0,SA=0,TA=0,UA=0,VA=0,WA=0,XA=0,YA=0,ZA=0,_A=0,$A=0,aB=0,bB=0,cB=0,dB=0,eB=0,fB=0,gB=0,hB=0,iB=0,jB=0,kB=0,lB=0,mB=0,nB=0,oB=0,pB=0,qB=0,rB=0,sB=0,tB=0,uB=0,vB=0,wB=0,xB=0,yB=0,zB=0,AB=0,BB=0,CB=0,DB=0,EB=0,FB=0,GB=0,HB=0,IB=0,JB=0,KB=0,LB=0,MB=0,NB=0,OB=0,PB=0,QB=0,RB=0,SB=0,TB=0,UB=0,VB=0,WB=0,XB=0,YB=0,ZB=0,_B=0,$B=0,aC=0,bC=0,cC=0,dC=0,eC=0,fC=0,gC=0,hC=0,iC=0,jC=0,kC=0,lC=0,mC=0,nC=0,oC=0,pC=0,qC=0,rC=0,sC=0,tC=0,uC=0,vC=0,wC=0,xC=0,yC=0,zC=0,AC=0,BC=0,CC=0,DC=0,EC=0,FC=0,GC=0,HC=0,IC=0,JC=0,KC=0,LC=0,MC=0,NC=0,OC=0,PC=0,QC=0,RC=0,SC=0,TC=0,UC=0,VC=0;d=u;u=u+1968|0;e=d+504|0;g=d+224|0;h=d;i=d+1616|0;j=d+1188|0;k=d+1176|0;l=d+1164|0;m=d+1152|0;o=d+1140|0;q=d+1064|0;r=d+1056|0;s=d+1048|0;t=d+1008|0;v=d+952|0;w=d+896|0;x=d+840|0;y=d+1956|0;z=d+784|0;A=d+1944|0;B=d+1932|0;C=d+1920|0;D=d+1908|0;E=d+1888|0;F=d+1868|0;G=d+1848|0;H=d+1836|0;I=d+1824|0;J=d+1812|0;K=d+1800|0;L=d+280|0;M=d+1780|0;N=d+1760|0;O=d+1740|0;P=d+1728|0;Q=d+1720|0;R=d+1712|0;S=d+1696|0;T=d+1684|0;U=d+1672|0;V=d+1604|0;W=d+1592|0;X=d+1580|0;Z=d+1568|0;_=d+1556|0;$=d+1544|0;aa=d+1536|0;ba=d+1520|0;ca=d+1508|0;da=d+1496|0;ea=d+1484|0;fa=d+1472|0;ga=d+1460|0;ha=d+1448|0;ia=d+1392|0;ja=d+1336|0;ka=d+728|0;la=d+1320|0;ma=d+1308|0;na=d+1296|0;oa=d+1284|0;pa=d+1272|0;qa=d+1260|0;ra=d+1248|0;sa=d+1240|0;ta=d+1224|0;ua=d+1212|0;va=d+1200|0;lmb(a);wa=a+40|0;lmb(wa);if(!(ci[f[(f[wa>>2]|0)+48>>2]&1023](wa)|0))clb(a);xa=j+4|0;f[xa>>2]=0;ya=j+8|0;f[ya>>2]=0;za=j+4|0;f[j>>2]=za;Aa=(ci[f[(f[wa>>2]|0)+48>>2]&1023](wa)|0)!=0;Ba=Aa?wa:a;Aa=f[Ba+12>>2]|0;f[k+4>>2]=0;f[k+8>>2]=0;Ca=k+4|0;f[k>>2]=Ca;Da=(Aa|0)>0;if(Da){Ea=Ba+20|0;Fa=g+4|0;Ga=e+11|0;Ha=e+4|0;Ia=g+4|0;Ja=g+11|0;Ka=g+4|0;La=g+4|0;Ma=Aa;do{Na=Ma;Ma=Ma+-1|0;Oa=f[(f[Ea>>2]|0)+4+(Ma<<2)>>2]|0;Nmc(e,f[Oa+60>>2]|0);Pa=DCa(Oa)|0;f[g>>2]=0;f[Fa>>2]=0;Qa=b[Ga>>0]|0;Ra=Qa<<24>>24<0?f[Ha>>2]|0:Qa&255;if(Ra|0){Qa=YG(g,Ra)|0;Krc(Qa|0,((b[Ga>>0]|0)<0?f[e>>2]|0:e)|0,Ra|0)|0}Ra=f[Ca>>2]|0;if(Ra){Qa=f[g>>2]|0;Sa=(Qa|0)==0?1163146:Qa;Ta=Ca;Ua=Ra;a:while(1){Ra=Ua;while(1){Va=f[Ra+16>>2]|0;if((Va|0)==(Qa|0))break;if((o7b((Va|0)==0?1163146:Va,Sa)|0)>=0)break;Va=f[Ra+4>>2]|0;if(!Va){Wa=Ta;break a}else Ra=Va}Ua=f[Ra>>2]|0;if(!Ua){Wa=Ra;break}else Ta=Ra}if((Wa|0)!=(Ca|0)){Ta=f[Wa+16>>2]|0;if((Qa|0)!=(Ta|0)?(o7b(Sa,(Ta|0)==0?1163146:Ta)|0)<0:0)Xa=17;else Ya=Wa}else Xa=17}else Xa=17;if((Xa|0)==17){Xa=0;Ya=Ca}ZG(g);do if((Ya|0)!=(Ca|0)){Ta=Ya+24|0;Ua=f[Ta>>2]|0;if((Pa|0)!=2){if((Ua|0)==2){f[Ta>>2]=Pa;Za=Pa;break}if((Ua|0)==(Pa|0))Za=Pa;else{f[Ta>>2]=2;Za=2}}else Za=Ua}else{f[g>>2]=0;f[Ia>>2]=0;Ua=b[Ga>>0]|0;Ta=Ua<<24>>24<0?f[Ha>>2]|0:Ua&255;if(Ta|0){Ua=YG(g,Ta)|0;Krc(Ua|0,((b[Ga>>0]|0)<0?f[e>>2]|0:e)|0,Ta|0)|0}Ta=oza(k,g)|0;f[Ta>>2]=Pa;ZG(g);Za=Pa}while(0);Pa=Oa+12|0;if((f[Pa>>2]|0)>0){Sa=Oa+20|0;Qa=(Za|0)==2;Ta=0;do{Ua=f[(f[Sa>>2]|0)+4+(Ta<<2)>>2]|0;Omc(g,Ua,0,jnc(Ua,58,-1)|0,Ua);Qmc(e,g)|0;if((b[Ja>>0]|0)<0)Emc(f[g>>2]|0);f[g>>2]=0;f[Ka>>2]=0;Ua=b[Ga>>0]|0;Va=Ua<<24>>24<0?f[Ha>>2]|0:Ua&255;if(Va|0){Ua=YG(g,Va)|0;Krc(Ua|0,((b[Ga>>0]|0)<0?f[e>>2]|0:e)|0,Va|0)|0}Va=f[Ca>>2]|0;if(Va){Ua=f[g>>2]|0;_a=(Ua|0)==0?1163146:Ua;$a=Ca;ab=Va;b:while(1){Va=ab;while(1){bb=f[Va+16>>2]|0;if((bb|0)==(Ua|0))break;if((o7b((bb|0)==0?1163146:bb,_a)|0)>=0)break;bb=f[Va+4>>2]|0;if(!bb){cb=$a;break b}else Va=bb}ab=f[Va>>2]|0;if(!ab){cb=Va;break}else $a=Va}if((cb|0)!=(Ca|0)){$a=f[cb+16>>2]|0;if((Ua|0)!=($a|0)?(o7b(_a,($a|0)==0?1163146:$a)|0)<0:0)Xa=46;else db=cb}else Xa=46}else Xa=46;if((Xa|0)==46){Xa=0;db=Ca}ZG(g);do if((db|0)!=(Ca|0)){if(!Qa){$a=db+24|0;ab=f[$a>>2]|0;if((ab|0)==2){f[$a>>2]=Za;break}if((ab|0)!=(Za|0))f[$a>>2]=2}}else{f[g>>2]=0;f[La>>2]=0;$a=b[Ga>>0]|0;ab=$a<<24>>24<0?f[Ha>>2]|0:$a&255;if(ab|0){$a=YG(g,ab)|0;Krc($a|0,((b[Ga>>0]|0)<0?f[e>>2]|0:e)|0,ab|0)|0}ab=oza(k,g)|0;f[ab>>2]=Za;ZG(g)}while(0);Ta=Ta+1|0}while((Ta|0)<(f[Pa>>2]|0))}if((b[Ga>>0]|0)<0)Emc(f[e>>2]|0)}while((Na|0)>1)}f[l+4>>2]=0;f[l+8>>2]=0;Ga=l+4|0;f[l>>2]=Ga;f[m+4>>2]=0;f[m+8>>2]=0;Za=m+4|0;f[m>>2]=Za;ECa(a,l,j);ECa(wa,l,j);f[o+4>>2]=0;f[o+8>>2]=0;wa=o+4|0;f[o>>2]=wa;if(!Da){eb=a+80|0;nCa(c,eb);fb=f[wa>>2]|0;fza(o,fb);gb=f[Za>>2]|0;iDa(m,gb);hb=f[Ga>>2]|0;fza(l,hb);ib=f[Ca>>2]|0;fza(k,ib);jb=f[za>>2]|0;jDa(j,jb);u=d;return}Da=Ba+20|0;Ha=q+60|0;La=r+4|0;db=q+64|0;cb=s+4|0;Ka=t+4|0;Ja=t+8|0;Ia=t+4|0;Ya=t+12|0;Wa=q+12|0;Fa=q+20|0;Ma=e+4|0;Ea=g+11|0;Pa=g+4|0;Ta=e+4|0;Qa=w+4|0;Sa=w+8|0;Oa=g+4|0;_a=e+4|0;Ua=g+4|0;ab=e+4|0;$a=y+4|0;Ra=y+8|0;bb=y+4|0;kb=e+4|0;lb=e+8|0;mb=g+16|0;nb=g+4|0;ob=g+8|0;pb=g+12|0;qb=x+4|0;rb=g+36|0;sb=g+40|0;tb=g+44|0;ub=g+48|0;vb=x+4|0;wb=e+4|0;xb=e+4|0;yb=z+4|0;zb=z+8|0;Ab=z+40|0;Bb=z+48|0;Cb=z+44|0;Db=z+52|0;Eb=A+4|0;Fb=A+8|0;Gb=A+4|0;Hb=e+4|0;Ib=e+8|0;Jb=g+4|0;Kb=g+8|0;Lb=g+12|0;Mb=z+12|0;Nb=z+16|0;Ob=g+16|0;Pb=g+36|0;Qb=g+40|0;Rb=g+44|0;Sb=g+48|0;Tb=e+4|0;Ub=e+4|0;Vb=z+36|0;Wb=Gb;Xb=bb;Yb=h+8|0;Zb=h+4|0;_b=q+24|0;$b=q+48|0;ac=g+8|0;bc=h+11|0;cc=e+4|0;dc=t+12|0;ec=g+4|0;fc=e+4|0;gc=e+4|0;hc=C+4|0;ic=C+8|0;jc=C+4|0;kc=jc;lc=D+4|0;mc=D+8|0;nc=D+4|0;oc=g+4|0;pc=h+4|0;qc=h+8|0;rc=h+40|0;sc=h+48|0;tc=h+44|0;uc=h+52|0;vc=e+8|0;wc=e+4|0;xc=h+16|0;yc=h+36|0;zc=E+4|0;Ac=e+4|0;Bc=e+44|0;Cc=E+8|0;Dc=E+12|0;Ec=E+16|0;Fc=F+4|0;Gc=F+8|0;Hc=F+12|0;Ic=F+16|0;Jc=e+8|0;Kc=e+12|0;Lc=G+4|0;Mc=h+4|0;Nc=h+44|0;Oc=G+8|0;Pc=G+12|0;Qc=G+16|0;Rc=h+36|0;Sc=h+16|0;Tc=h+40|0;Uc=h+48|0;Vc=e+36|0;Wc=e+16|0;Xc=e+40|0;Yc=e+48|0;Zc=h+8|0;_c=h+12|0;$c=e+4|0;ad=e+4|0;bd=e+4|0;cd=e+4|0;dd=h+4|0;ed=h+4|0;fd=e+4|0;gd=e+4|0;hd=e+11|0;id=e+11|0;jd=e+8|0;kd=e+4|0;ld=nc;md=e+8|0;nd=e+4|0;od=e+11|0;pd=v+11|0;qd=B+4|0;rd=B+8|0;sd=B+4|0;td=x+4|0;ud=x+8|0;vd=x+12|0;wd=x+16|0;xd=x+40|0;yd=x+44|0;zd=e+4|0;Ad=g+4|0;Bd=e+4|0;Cd=e+11|0;Dd=x+36|0;Ed=x+48|0;Fd=e+4|0;Gd=e+4|0;Hd=sd;Id=g+4|0;Jd=e+11|0;Kd=e+4|0;Ld=H+4|0;Md=H+8|0;Nd=H+4|0;Od=v+4|0;Pd=v+8|0;Qd=v+12|0;Rd=e+4|0;Sd=v+16|0;Td=e+4|0;Ud=e+11|0;Vd=v+36|0;Wd=v+40|0;Xd=v+44|0;Yd=v+48|0;Zd=e+4|0;_d=Nd;$d=e+4|0;ae=e+4|0;be=g+4|0;ce=e+11|0;de=e+4|0;ee=g+4|0;fe=e+11|0;ge=e+4|0;he=I+4|0;ie=I+8|0;je=I+4|0;ke=e+8|0;le=e+4|0;me=v+4|0;ne=v+8|0;oe=v+12|0;pe=e+4|0;qe=v+16|0;re=e+4|0;se=e+11|0;te=v+36|0;ue=v+40|0;ve=v+44|0;we=v+48|0;xe=e+4|0;ye=je;ze=h+8|0;Ae=h+4|0;Be=g+8|0;Ce=h+11|0;De=e+4|0;Ee=e+4|0;Fe=v+4|0;Ge=g+4|0;He=e+4|0;Ie=e+4|0;Je=J+4|0;Ke=J+8|0;Le=J+4|0;Me=Le;Ne=K+4|0;Oe=K+8|0;Pe=K+4|0;Qe=g+4|0;Re=g+8|0;Se=g+40|0;Te=g+48|0;Ue=g+44|0;Ve=g+52|0;We=h+4|0;Xe=h+8|0;Ye=h+40|0;Ze=h+48|0;_e=h+44|0;$e=h+52|0;af=e+8|0;bf=e+4|0;cf=h+36|0;df=h+16|0;ef=g+36|0;ff=g+16|0;gf=h+12|0;hf=h+20|0;jf=h+24|0;kf=h+28|0;lf=h+32|0;mf=e+4|0;nf=e+4|0;of=g+4|0;pf=e+4|0;qf=g+4|0;rf=M+4|0;sf=h+4|0;tf=h+44|0;uf=M+8|0;vf=M+12|0;wf=M+16|0;xf=N+4|0;yf=N+8|0;zf=N+12|0;Af=N+16|0;Bf=h+8|0;Cf=h+12|0;Df=O+4|0;Ef=i+4|0;Ff=i+44|0;Gf=O+8|0;Hf=O+12|0;If=O+16|0;Jf=i+36|0;Kf=i+16|0;Lf=i+40|0;Mf=i+48|0;Nf=h+36|0;Of=h+16|0;Pf=h+40|0;Qf=h+48|0;Rf=i+8|0;Sf=i+12|0;Tf=e+4|0;Uf=e+11|0;Vf=Pe;Wf=e+8|0;Xf=e+4|0;Yf=e+11|0;Zf=e+4|0;_f=e+4|0;$f=e+11|0;ag=v+11|0;bg=P+4|0;cg=P+8|0;dg=P+4|0;eg=w+4|0;fg=w+8|0;gg=w+12|0;hg=e+4|0;ig=e+8|0;jg=e+4|0;kg=e+12|0;lg=g+4|0;mg=h+4|0;ng=Q+4|0;og=g+11|0;pg=h+4|0;qg=g+4|0;rg=h+4|0;sg=i+4|0;tg=h+4|0;ug=h+12|0;vg=v+12|0;wg=h+11|0;xg=g+8|0;yg=e+4|0;zg=w+16|0;Ag=w+44|0;Bg=g+4|0;Cg=e+4|0;Dg=w+36|0;Eg=w+40|0;Fg=w+48|0;Gg=dg;Hg=i+8|0;Ig=i+4|0;Jg=g+8|0;Kg=i+11|0;Lg=e+8|0;Mg=e+4|0;Ng=e+11|0;Og=e+4|0;Pg=e+8|0;Qg=e+4|0;Rg=e+12|0;Sg=g+4|0;Tg=i+4|0;Ug=R+4|0;Vg=g+11|0;Wg=i+4|0;Xg=g+4|0;Yg=i+4|0;Zg=v+4|0;_g=i+4|0;$g=i+12|0;ah=h+12|0;bh=i+11|0;ch=g+8|0;dh=e+4|0;eh=h+11|0;fh=S+4|0;gh=S+8|0;hh=S+4|0;ih=v+16|0;jh=v+4|0;kh=v+8|0;lh=v+12|0;mh=e+4|0;nh=e+11|0;oh=v+36|0;ph=v+40|0;qh=v+44|0;sh=v+48|0;th=e+4|0;uh=g+4|0;vh=e+4|0;wh=e+11|0;xh=hh;yh=h+11|0;zh=h+5|0;Ah=g+8|0;Bh=h+11|0;Ch=h+4|0;Dh=g+8|0;Eh=h+8|0;Fh=h+4|0;Gh=g+8|0;Hh=h+11|0;Ih=h+11|0;Jh=h+4|0;Kh=g+8|0;Lh=e+4|0;Mh=e+4|0;Nh=e+11|0;Oh=e+4|0;Ph=h+11|0;Qh=h+4|0;Rh=e+8|0;Sh=e+4|0;Th=e+11|0;Uh=e+4|0;Vh=e+4|0;Wh=h+11|0;Xh=h+4|0;Yh=e+4|0;Zh=h+11|0;_h=h+5|0;$h=T+4|0;ai=T+8|0;bi=T+4|0;di=e+11|0;ei=e+4|0;fi=e+4|0;gi=g+4|0;hi=e+11|0;ii=e+4|0;ji=e+8|0;ki=e+4|0;li=bi;mi=e+4|0;ni=e+4|0;oi=e+11|0;pi=e+4|0;qi=e+4|0;ri=e+4|0;si=e+11|0;ti=h+11|0;ui=h+5|0;vi=g+8|0;wi=a+84|0;xi=a+88|0;yi=a+80|0;zi=e+11|0;Ai=e+5|0;Bi=U+4|0;Ci=U+8|0;Di=U+4|0;Ei=g+4|0;Fi=e+4|0;Gi=e+11|0;Hi=Di;Ii=V+4|0;Ji=V+8|0;Ki=V+4|0;Li=W+4|0;Mi=W+8|0;Ni=W+4|0;Oi=v+16|0;Pi=v+4|0;Qi=v+8|0;Si=v+12|0;Ti=w+16|0;Ui=w+4|0;Vi=w+8|0;Wi=w+12|0;Yi=e+11|0;Zi=v+44|0;_i=w+44|0;$i=e+8|0;aj=e+4|0;bj=e+4|0;cj=g+4|0;dj=e+4|0;ej=g+4|0;fj=e+4|0;gj=e+11|0;hj=w+36|0;ij=w+40|0;jj=w+48|0;kj=v+36|0;lj=v+40|0;mj=v+48|0;nj=Ni;oj=Ki;pj=g+4|0;qj=e+11|0;rj=e+4|0;sj=X+4|0;tj=X+8|0;uj=X+4|0;vj=v+4|0;wj=v+8|0;xj=v+12|0;yj=g+4|0;zj=e+4|0;Aj=g+4|0;Bj=v+16|0;Cj=g+4|0;Dj=g+4|0;Ej=g+4|0;Fj=g+4|0;Gj=g+4|0;Hj=e+11|0;Ij=e+4|0;Jj=g+11|0;Kj=v+36|0;Lj=v+40|0;Mj=v+44|0;Nj=v+48|0;Oj=g+11|0;Pj=e+4|0;Qj=w+4|0;Rj=h+11|0;Sj=h+4|0;Tj=g+8|0;Uj=e+4|0;Vj=e+4|0;Wj=h+11|0;Xj=h+4|0;Yj=e+4|0;Zj=Z+4|0;_j=Z+8|0;$j=Z+4|0;ak=t+16|0;bk=$j;ck=uj;dk=e+4|0;ek=e+4|0;fk=g+4|0;gk=e+11|0;hk=e+4|0;ik=h+8|0;jk=h+4|0;kk=g+8|0;lk=h+11|0;mk=_+4|0;nk=_+8|0;ok=_+4|0;pk=e+4|0;qk=$+4|0;rk=$+8|0;sk=$+4|0;tk=e+4|0;uk=w+4|0;vk=w+8|0;wk=w+40|0;xk=w+48|0;yk=w+44|0;zk=w+52|0;Ak=x+4|0;Bk=x+8|0;Ck=x+40|0;Dk=x+48|0;Ek=x+44|0;Fk=x+52|0;Gk=e+4|0;Hk=e+8|0;Ik=e+4|0;Jk=e+12|0;Kk=aa+4|0;Lk=g+11|0;Mk=h+4|0;Nk=g+4|0;Ok=h+4|0;Pk=i+4|0;Qk=h+4|0;Rk=h+12|0;Sk=v+12|0;Tk=h+11|0;Uk=g+8|0;Vk=h+11|0;Wk=h+7|0;Xk=g+8|0;Yk=e+4|0;Zk=x+36|0;_k=x+16|0;$k=w+36|0;al=w+16|0;bl=v+11|0;cl=e+4|0;dl=h+11|0;el=h+7|0;fl=x+12|0;gl=x+20|0;hl=x+24|0;il=x+28|0;jl=x+32|0;kl=w+12|0;ll=w+20|0;ml=w+24|0;nl=w+28|0;ol=w+32|0;pl=ba+4|0;ql=ba+8|0;rl=ba+4|0;sl=ca+4|0;tl=ca+8|0;ul=ca+4|0;vl=ul;wl=rl;xl=e+4|0;yl=sk;zl=e+4|0;Al=ok;Bl=e+8|0;Cl=e+4|0;Dl=e+11|0;El=e+4|0;Fl=e+4|0;Gl=v+4|0;Hl=e+4|0;Il=da+4|0;Jl=da+8|0;Kl=da+4|0;Ll=Kl;Ml=ea+4|0;Nl=ea+8|0;Ol=ea+4|0;Pl=e+4|0;Ql=e+4|0;Rl=e+4|0;Sl=e+4|0;Tl=e+4|0;Ul=fa+4|0;Vl=fa+8|0;Wl=fa+4|0;Xl=z+16|0;Yl=z+40|0;Zl=z+44|0;_l=z+12|0;$l=g+4|0;am=e+4|0;bm=e+4|0;cm=e+4|0;dm=e+11|0;em=z+36|0;fm=z+4|0;gm=z+48|0;hm=g+4|0;im=e+4|0;jm=e+4|0;km=Wl;lm=Ol;mm=h+8|0;nm=h+4|0;om=g+8|0;pm=h+11|0;qm=h+8|0;rm=h+4|0;sm=g+8|0;tm=h+11|0;um=v+4|0;vm=v+8|0;wm=v+40|0;xm=v+48|0;ym=v+44|0;zm=v+52|0;Am=w+4|0;Bm=w+8|0;Cm=w+40|0;Dm=w+48|0;Em=w+44|0;Fm=w+52|0;Gm=x+4|0;Hm=x+8|0;Im=x+40|0;Jm=x+48|0;Km=x+44|0;Lm=x+52|0;Mm=z+4|0;Nm=z+8|0;Om=z+40|0;Pm=z+48|0;Qm=z+44|0;Rm=z+52|0;Sm=ga+4|0;Tm=ga+8|0;Um=ga+4|0;Vm=ha+4|0;Wm=ha+8|0;Xm=ha+4|0;Ym=v+12|0;Zm=v+16|0;_m=e+4|0;$m=g+4|0;an=ia+36|0;bn=ia+16|0;cn=ia+4|0;dn=ia+40|0;en=ia+44|0;fn=ia+48|0;gn=e+4|0;hn=g+4|0;jn=ja+36|0;kn=ja+16|0;ln=ja+4|0;mn=ja+40|0;nn=ja+44|0;on=ja+48|0;pn=h+8|0;qn=h+4|0;rn=g+8|0;sn=h+11|0;tn=e+4|0;un=e+11|0;vn=z+36|0;wn=z+16|0;xn=x+36|0;yn=x+16|0;zn=w+36|0;An=w+16|0;Bn=v+36|0;Cn=e+8|0;Dn=e+4|0;En=e+11|0;Fn=e+4|0;Gn=ka+4|0;Hn=ka+8|0;In=ka+40|0;Jn=ka+48|0;Kn=ka+44|0;Ln=ka+52|0;Mn=la+4|0;Nn=la+8|0;On=la+4|0;Pn=ka+12|0;Qn=e+36|0;Rn=ka+36|0;Sn=ka+16|0;Tn=e+4|0;Un=e+8|0;Vn=e+12|0;Wn=e+44|0;Xn=e+16|0;Yn=e+20|0;Zn=ka+20|0;_n=e+24|0;$n=ka+24|0;ao=e+28|0;bo=ka+28|0;co=e+32|0;eo=ka+32|0;fo=e+40|0;go=e+48|0;ho=e+36|0;io=e+4|0;jo=e+8|0;ko=e+12|0;lo=e+44|0;mo=e+16|0;no=e+20|0;oo=e+24|0;po=e+28|0;qo=e+32|0;ro=e+40|0;so=e+48|0;to=On;uo=z+12|0;vo=z+20|0;wo=z+24|0;xo=z+28|0;yo=z+32|0;zo=x+12|0;Ao=x+20|0;Bo=x+24|0;Co=x+28|0;Do=x+32|0;Eo=w+12|0;Fo=w+20|0;Go=w+24|0;Ho=w+28|0;Io=w+32|0;Jo=Xm;Ko=Um;Lo=g+11|0;Mo=g+9|0;No=g+4|0;Oo=g+4|0;Po=e+4|0;Qo=h+8|0;Ro=h+4|0;So=h+11|0;To=ma+4|0;Uo=ma+8|0;Vo=ma+4|0;Wo=v+4|0;Xo=v+8|0;Yo=v+12|0;Zo=e+4|0;_o=v+16|0;$o=v+44|0;ap=e+4|0;bp=v+36|0;cp=v+40|0;dp=v+48|0;ep=Vo;fp=e+4|0;gp=h+8|0;hp=h+4|0;ip=g+8|0;jp=h+11|0;kp=e+4|0;lp=e+11|0;mp=e+4|0;np=h+8|0;op=h+4|0;pp=h+11|0;qp=e+4|0;rp=na+4|0;sp=na+8|0;tp=na+4|0;up=oa+4|0;vp=oa+8|0;wp=oa+4|0;xp=v+4|0;yp=v+8|0;zp=v+12|0;Ap=w+4|0;Bp=w+8|0;Cp=w+12|0;Dp=e+4|0;Ep=w+16|0;Fp=e+4|0;Gp=v+16|0;Hp=w+36|0;Ip=w+40|0;Jp=w+44|0;Kp=w+48|0;Lp=v+36|0;Mp=v+40|0;Np=v+44|0;Op=v+48|0;Pp=wp;Qp=tp;Rp=pa+4|0;Sp=pa+8|0;Tp=pa+4|0;Up=v+4|0;Vp=v+8|0;Wp=v+12|0;Xp=e+11|0;Yp=v+16|0;Zp=v+40|0;_p=v+44|0;$p=e+8|0;aq=e+12|0;bq=e+4|0;cq=g+8|0;dq=g+4|0;eq=e+4|0;fq=e+4|0;gq=e+4|0;hq=e+11|0;iq=v+36|0;jq=v+48|0;kq=e+8|0;lq=e+4|0;mq=Tp;nq=h+11|0;oq=h+8|0;pq=g+8|0;qq=h+11|0;rq=h+8|0;sq=g+8|0;tq=h+11|0;uq=h+4|0;vq=g+8|0;wq=h+11|0;xq=h+4|0;yq=g+8|0;zq=h+11|0;Aq=h+6|0;Bq=g+8|0;Cq=h+11|0;Dq=h+4|0;Eq=g+8|0;Fq=h+11|0;Gq=h+8|0;Hq=h+12|0;Iq=h+20|0;Jq=h+16|0;Kq=h+24|0;Lq=Kq+11|0;Mq=Kq+6|0;Nq=h+36|0;Oq=Nq+11|0;Pq=Nq+5|0;Qq=h+48|0;Rq=Qq+11|0;Sq=Qq+6|0;Tq=g+8|0;Uq=g+4|0;Vq=e+16|0;Wq=e+4|0;Xq=e+8|0;Yq=e+12|0;Zq=i+4|0;_q=e+36|0;$q=e+40|0;ar=e+44|0;br=e+48|0;cr=e+4|0;dr=e+11|0;er=e+11|0;fr=e+4|0;gr=h+11|0;hr=h+4|0;ir=e+4|0;jr=h+11|0;kr=h+6|0;lr=e+4|0;mr=h+11|0;nr=h+4|0;or=e+4|0;pr=h+11|0;qr=h+4|0;rr=e+4|0;sr=h+11|0;tr=h+8|0;ur=e+4|0;vr=h+11|0;wr=h+8|0;xr=h+11|0;yr=h+4|0;zr=g+8|0;Ar=e+4|0;Br=e+11|0;Cr=e+4|0;Dr=h+11|0;Er=h+4|0;Fr=qa+4|0;Gr=qa+8|0;Hr=qa+4|0;Ir=v+4|0;Jr=v+8|0;Kr=v+12|0;Lr=e+4|0;Mr=v+16|0;Nr=e+4|0;Or=v+40|0;Pr=v+44|0;Qr=e+4|0;Rr=e+11|0;Sr=e+11|0;Tr=v+36|0;Ur=v+48|0;Vr=Hr;Wr=ra+4|0;Xr=ra+8|0;Yr=ra+4|0;Zr=v+4|0;_r=v+8|0;$r=v+12|0;as=v+16|0;bs=v+40|0;cs=v+44|0;ds=e+4|0;es=e+4|0;fs=e+4|0;gs=e+11|0;hs=h+11|0;is=h+8|0;js=g+8|0;ks=h+11|0;ls=h+9|0;ms=g+8|0;ns=e+11|0;os=e+9|0;ps=e+4|0;qs=e+8|0;rs=e+4|0;ss=e+12|0;ts=sa+4|0;us=g+11|0;vs=h+4|0;ws=g+4|0;xs=h+4|0;ys=i+4|0;zs=h+4|0;As=i+11|0;Bs=h+12|0;Cs=h+11|0;Ds=i+8|0;Es=i+4|0;Fs=g+8|0;Gs=v+36|0;Hs=v+48|0;Is=e+11|0;Js=e+8|0;Ks=Yr;Ls=ta+4|0;Ms=ta+8|0;Ns=ta+4|0;Os=ua+4|0;Ps=ua+8|0;Qs=ua+4|0;Rs=v+4|0;Ss=v+8|0;Ts=v+12|0;Us=w+4|0;Vs=w+8|0;Ws=w+12|0;Xs=e+4|0;Ys=v+16|0;Zs=e+4|0;_s=w+16|0;$s=e+4|0;at=e+11|0;bt=w+36|0;ct=w+40|0;dt=w+44|0;et=w+48|0;ft=v+36|0;gt=v+40|0;it=v+44|0;jt=v+48|0;kt=Qs;lt=Ns;mt=e+11|0;nt=g+4|0;ot=e+4|0;pt=g+11|0;qt=e+8|0;rt=v+8|0;st=e+4|0;tt=e+8|0;ut=g+4|0;vt=g+4|0;wt=g+4|0;xt=g+4|0;yt=w+4|0;zt=w+8|0;At=e+4|0;Bt=w+8|0;Ct=va+4|0;Dt=va+8|0;Et=va+4|0;Ft=t+20|0;Gt=x+36|0;Ht=x+16|0;It=x+4|0;Jt=x+40|0;Kt=x+44|0;Lt=x+48|0;Mt=x+8|0;Nt=x+12|0;Ot=x+20|0;Pt=x+24|0;Qt=x+28|0;Rt=x+32|0;St=Et;Tt=e+11|0;Ut=h+8|0;Vt=h+8|0;Wt=h+48|0;Xt=Wt+11|0;Yt=h+36|0;Zt=Yt+11|0;_t=h+24|0;$t=_t+11|0;au=h+12|0;bu=au+11|0;cu=h+11|0;du=0;c:while(1){cIa(q,f[(f[Da>>2]|0)+4+(du<<2)>>2]|0);eu=f[Ha>>2]|0;f[r>>2]=0;f[La>>2]=0;fu=eu+11|0;gu=b[fu>>0]|0;hu=gu<<24>>24<0?f[eu+4>>2]|0:gu&255;if(hu|0){gu=YG(r,hu)|0;Krc(gu|0,((b[fu>>0]|0)<0?f[eu>>2]|0:eu)|0,hu|0)|0}hu=f[db>>2]|0;f[s>>2]=0;f[cb>>2]=0;eu=hu+11|0;fu=b[eu>>0]|0;gu=fu<<24>>24<0?f[hu+4>>2]|0:fu&255;if(gu|0){fu=YG(s,gu)|0;Krc(fu|0,((b[eu>>0]|0)<0?f[hu>>2]|0:hu)|0,gu|0)|0}f[Ka>>2]=0;f[Ja>>2]=0;f[t>>2]=Ia;f[Ya>>2]=0;f[Ya+4>>2]=0;f[Ya+8>>2]=0;f[Ya+12>>2]=0;f[Ya+16>>2]=0;f[Ya+20>>2]=0;f[Ya+24>>2]=0;gu=f[za>>2]|0;if(gu){hu=f[r>>2]|0;eu=(hu|0)==0?1163146:hu;fu=za;iu=gu;d:while(1){gu=iu;while(1){ju=f[gu+16>>2]|0;if((ju|0)==(hu|0))break;if((o7b((ju|0)==0?1163146:ju,eu)|0)>=0)break;ju=f[gu+4>>2]|0;if(!ju){ku=fu;break d}else gu=ju}iu=f[gu>>2]|0;if(!iu){ku=gu;break}else fu=gu}if((ku|0)!=(za|0)){fu=f[ku+16>>2]|0;if((hu|0)!=(fu|0)?(o7b(eu,(fu|0)==0?1163146:fu)|0)<=-1:0)Xa=75}else Xa=75}else Xa=75;e:do if((Xa|0)==75){Xa=0;fu=DCa(q)|0;f:do if((fu|0)==2){iu=f[Wa>>2]|0;if((iu|0)>0){Na=2;ju=0;while(1){lu=f[(f[Fa>>2]|0)+4+(ju<<2)>>2]|0;Omc(g,lu,0,jnc(lu,58,-1)|0,lu);f[e>>2]=0;f[Ma>>2]=0;lu=b[Ea>>0]|0;mu=lu<<24>>24<0?f[Pa>>2]|0:lu&255;if(mu|0){lu=YG(e,mu)|0;Krc(lu|0,((b[Ea>>0]|0)<0?f[g>>2]|0:g)|0,mu|0)|0}mu=f[Ca>>2]|0;if(mu){lu=f[e>>2]|0;nu=(lu|0)==0?1163146:lu;ou=Ca;pu=mu;g:while(1){mu=pu;while(1){qu=f[mu+16>>2]|0;if((qu|0)==(lu|0))break;if((o7b((qu|0)==0?1163146:qu,nu)|0)>=0)break;qu=f[mu+4>>2]|0;if(!qu){ru=ou;break g}else mu=qu}pu=f[mu>>2]|0;if(!pu){ru=mu;break}else ou=mu}if((ru|0)!=(Ca|0)){ou=f[ru+16>>2]|0;if((lu|0)!=(ou|0)?(o7b(nu,(ou|0)==0?1163146:ou)|0)<0:0)Xa=89;else su=ru}else Xa=89}else Xa=89;if((Xa|0)==89){Xa=0;su=Ca}ZG(e);if((b[Ea>>0]|0)<0)Emc(f[g>>2]|0);if((su|0)!=(Ca|0)){ou=f[su+24>>2]|0;if((Na|0)!=2)if((ou|0)==(Na|0)|(ou|0)==2)tu=Na;else{uu=2;break f}else tu=ou}else tu=Na;ju=ju+1|0;if((ju|0)>=(iu|0))break;else Na=tu}if((tu|0)!=2){uu=tu;break}}Na=f[Ha>>2]|0;f[e>>2]=0;f[Ta>>2]=0;iu=Na+11|0;ju=b[iu>>0]|0;Va=ju<<24>>24<0?f[Na+4>>2]|0:ju&255;if(Va|0){ju=YG(e,Va)|0;Krc(ju|0,((b[iu>>0]|0)<0?f[Na>>2]|0:Na)|0,Va|0)|0}Va=f[Ca>>2]|0;if(Va){Na=f[e>>2]|0;iu=(Na|0)==0?1163146:Na;ju=Ca;ou=Va;h:while(1){Va=ou;while(1){pu=f[Va+16>>2]|0;if((pu|0)==(Na|0))break;if((o7b((pu|0)==0?1163146:pu,iu)|0)>=0)break;pu=f[Va+4>>2]|0;if(!pu){vu=ju;break h}else Va=pu}ou=f[Va>>2]|0;if(!ou){vu=Va;break}else ju=Va}if((vu|0)!=(Ca|0)){ju=f[vu+16>>2]|0;if((Na|0)!=(ju|0)?(o7b(iu,(ju|0)==0?1163146:ju)|0)<0:0)Xa=109;else wu=vu}else Xa=109}else Xa=109;if((Xa|0)==109){Xa=0;wu=Ca}ZG(e);if((wu|0)==(Ca|0)){Xa=111;break c}uu=f[wu+24>>2]|0}else uu=fu;while(0);fu=oza(k,r)|0;f[fu>>2]=uu;fu=f[s>>2]|0;if(((((fu|0)!=396018?(gu=(fu|0)==0?1163146:fu,!((o7b(gu,396018)|0)==0|(fu|0)==396025)):0)?!((o7b(gu,396025)|0)==0|(fu|0)==396040):0)?!((o7b(gu,396040)|0)==0|(fu|0)==396062):0)?o7b(gu,396062)|0:0){if(((fu|0)!=396317?!((o7b(gu,396317)|0)==0|(fu|0)==445824):0)?o7b(gu,445824)|0:0){do if((fu|0)==446591)xu=0;else{if(!(o7b(gu,446591)|0)){xu=0;break}do if((fu|0)!=396477){if(!(o7b(gu,396477)|0))break;do if((fu|0)!=444586){if(!(o7b(gu,444586)|0))break;do if((fu|0)!=446779){if((o7b(gu,446779)|0)==0|(fu|0)==396556)break;if(!(o7b(gu,396556)|0))break;do if((fu|0)!=396647){if(!(o7b(gu,396647)|0))break;if((fu|0)==444421)break e;if(!(o7b(gu,444421)|0))break e;do if((fu|0)!=442704){if(!(o7b(gu,442704)|0))break;do if((fu|0)==443891)yu=0;else{do if(!(o7b(gu,443891)|0))zu=gu;else{if((fu|0)==396739){zu=396739;break}if(!(o7b(gu,396739)|0)){zu=gu;break}do if((fu|0)!=396776){if(!(o7b(gu,396776)|0))break;do if((fu|0)!=396784){if(!(o7b(gu,396784)|0))break;do if((fu|0)!=396792){if(!(o7b(gu,396792)|0))break;do if((fu|0)!=442639){if(!(o7b(gu,442639)|0))break;do if((fu|0)!=442633){if(!(o7b(gu,442633)|0))break;do if((fu|0)!=444869){if(!(o7b(gu,444869)|0))break;do if((fu|0)!=447109){if(!(o7b(gu,447109)|0))break;do if((fu|0)!=445571){if(!(o7b(gu,445571)|0))break;do if((fu|0)!=397117){if(!(o7b(gu,397117)|0))break;do if((fu|0)!=444873){if((o7b(gu,444873)|0)==0|(fu|0)==445380)break;if(!(o7b(gu,445380)|0))break;do if((fu|0)!=446074){if(!(o7b(gu,446074)|0))break;do if((fu|0)!=397381){if(!(o7b(gu,397381)|0))break;do if((fu|0)!=446607){if(!(o7b(gu,446607)|0))break;do if((fu|0)!=442652){if(!(o7b(gu,442652)|0))break;do if((fu|0)!=397397){if(!(o7b(gu,397397)|0))break;do if((fu|0)!=397527){if(!(o7b(gu,397527)|0))break;do if((fu|0)!=397539){if((o7b(gu,397539)|0)==0|(fu|0)==400417)break;if((o7b(gu,400417)|0)==0|(fu|0)==442751)break;if((o7b(gu,442751)|0)==0|(fu|0)==397543)break;if((o7b(gu,397543)|0)==0|(fu|0)==397548)break;if((o7b(gu,397548)|0)==0|(fu|0)==447711)break;if((o7b(gu,447711)|0)==0|(fu|0)==446419)break;if(!(o7b(gu,446419)|0))break;v_b(_b);PCa(v,$b);ju=f[rt>>2]|0;ou=f[ju+12>>2]|0;nu=f[ju+4>>2]|0;i:do if(nu>>>0>ou>>>0){lu=f[ju+16>>2]|0;pu=ou;while(1){Au=f[lu+(pu<<2)>>2]|0;if(Au|0)break;qu=pu+1|0;if(qu>>>0<nu>>>0)pu=qu;else{Bu=0;Cu=qu;break i}}if((Au|0)==(f[lu+((pu^1)<<2)>>2]|0)){Bu=f[(f[Au>>2]|0)+16>>2]|0;Cu=pu;break}else{Bu=Au;Cu=pu;break}}else{Bu=0;Cu=ou}while(0);f[e>>2]=Bu;f[st>>2]=ju;f[tt>>2]=Cu;if(Bu|0){ou=Bu;do{if((f[(f[ou+12>>2]|0)+36>>2]|0)==2){nu=f[ou+12>>2]|0;f[g>>2]=0;f[ut>>2]=0;qu=nu+11|0;Du=b[qu>>0]|0;Eu=Du<<24>>24<0?f[nu+4>>2]|0:Du&255;if(!Eu)Fu=ou;else{Du=YG(g,Eu)|0;Krc(Du|0,((b[qu>>0]|0)<0?f[nu>>2]|0:nu)|0,Eu|0)|0;Fu=f[e>>2]|0}Eu=f[Fu+12>>2]|0;if((f[Eu+36>>2]|0)==2)Gu=f[Eu+24>>2]|0;else Gu=535416;gDa(t,g,Gu)|0;ZG(g);Hu=f[e>>2]|0}else Hu=ou;if((f[(f[Hu+12>>2]|0)+36>>2]|0)==3){Eu=f[Hu+12>>2]|0;f[g>>2]=0;f[vt>>2]=0;nu=Eu+11|0;qu=b[nu>>0]|0;Du=qu<<24>>24<0?f[Eu+4>>2]|0:qu&255;if(!Du)Iu=Hu;else{qu=YG(g,Du)|0;Krc(qu|0,((b[nu>>0]|0)<0?f[Eu>>2]|0:Eu)|0,Du|0)|0;Iu=f[e>>2]|0}Du=f[Iu+12>>2]|0;if((f[Du+36>>2]|0)==3){Eu=Du+24|0;Ju=f[Eu>>2]|0;Ku=f[Eu+4>>2]|0}else{Ju=0;Ku=0}Eu=h;f[Eu>>2]=Ju;f[Eu+4>>2]=Ku;bDa(t,g,h)|0;ZG(g);Lu=f[e>>2]|0}else Lu=Hu;if((f[(f[Lu+12>>2]|0)+36>>2]|0)==4){Eu=f[Lu+12>>2]|0;f[g>>2]=0;f[wt>>2]=0;Du=Eu+11|0;nu=b[Du>>0]|0;qu=nu<<24>>24<0?f[Eu+4>>2]|0:nu&255;if(!qu)Mu=Lu;else{nu=YG(g,qu)|0;Krc(nu|0,((b[Du>>0]|0)<0?f[Eu>>2]|0:Eu)|0,qu|0)|0;Mu=f[e>>2]|0}qu=f[Mu+12>>2]|0;if((f[qu+36>>2]|0)==4)Nu=+n[qu+24>>2];else Nu=0.0;n[h>>2]=Nu;LCa(t,g,h)|0;ZG(g);Ou=f[e>>2]|0}else Ou=Lu;if((f[(f[Ou+12>>2]|0)+36>>2]|0)==5){qu=f[Ou+12>>2]|0;f[g>>2]=0;f[xt>>2]=0;Eu=qu+11|0;Du=b[Eu>>0]|0;nu=Du<<24>>24<0?f[qu+4>>2]|0:Du&255;if(!nu)Pu=Ou;else{Du=YG(g,nu)|0;Krc(Du|0,((b[Eu>>0]|0)<0?f[qu>>2]|0:qu)|0,nu|0)|0;Pu=f[e>>2]|0}nu=f[Pu+12>>2]|0;if((f[nu+36>>2]|0)==5)Qu=(b[nu+24>>0]|0)!=0;else Qu=0;b[h>>0]=Qu&1;TCa(t,g,h)|0;ZG(g)}hDa(e)|0;ou=f[e>>2]|0}while((ou|0)!=0)}f[w>>2]=0;f[yt>>2]=0;f[zt>>2]=0;if((f[Wa>>2]|0)>0){ou=0;do{ju=f[(f[Fa>>2]|0)+4+(ou<<2)>>2]|0;f[e>>2]=0;f[At>>2]=0;nu=ju+11|0;qu=b[nu>>0]|0;Eu=qu<<24>>24<0?f[ju+4>>2]|0:qu&255;if(Eu|0){qu=YG(e,Eu)|0;Krc(qu|0,((b[nu>>0]|0)<0?f[ju>>2]|0:ju)|0,Eu|0)|0}Eu=f[Ga>>2]|0;do if(Eu){ju=f[e>>2]|0;nu=(ju|0)==0?1163146:ju;qu=Ga;Du=Eu;j:while(1){Ru=Du;while(1){Su=f[Ru+16>>2]|0;if((Su|0)==(ju|0))break;if((o7b((Su|0)==0?1163146:Su,nu)|0)>=0)break;Su=f[Ru+4>>2]|0;if(!Su){Tu=qu;break j}else Ru=Su}Du=f[Ru>>2]|0;if(!Du){Tu=Ru;break}else qu=Ru}if((Tu|0)==(Ga|0)){Xa=2711;break}qu=f[Tu+16>>2]|0;if((ju|0)==(qu|0)){Uu=Tu;break}if((o7b(nu,(qu|0)==0?1163146:qu)|0)>=0)Uu=Tu;else Xa=2711}else Xa=2711;while(0);if((Xa|0)==2711){Xa=0;Uu=Ga}ZG(e);do if((Uu|0)==(Ga|0)){Eu=f[(f[Fa>>2]|0)+4+(ou<<2)>>2]|0;pu=f[yt>>2]|0;if((pu|0)==(f[Bt>>2]|0)){LY(w,Eu);break}else{Nmc(pu,Eu);f[yt>>2]=(f[yt>>2]|0)+12;break}}else{f[Ct>>2]=0;f[Dt>>2]=0;f[va>>2]=Et;Eu=f[l>>2]|0;if((Eu|0)!=(Ga|0)){pu=Eu;while(1){Eu=pu+16|0;f[i>>2]=St;f[e>>2]=f[i>>2];lu=HCa(va,e,g,h,Eu)|0;if(!(f[lu>>2]|0)){qu=Bmc(28)|0;Du=f[Eu>>2]|0;f[qu+16>>2]=Du;f[qu+20>>2]=f[pu+20>>2];if(Du|0){Eu=Du+-4|0;f[Eu>>2]=(f[Eu>>2]|0)+1}f[qu+24>>2]=f[pu+24>>2];Eu=f[g>>2]|0;f[qu>>2]=0;f[qu+4>>2]=0;f[qu+8>>2]=Eu;f[lu>>2]=qu;Eu=f[f[va>>2]>>2]|0;if(!Eu)Vu=qu;else{f[va>>2]=Eu;Vu=f[lu>>2]|0}RS(f[Ct>>2]|0,Vu);f[Dt>>2]=(f[Dt>>2]|0)+1}lu=f[pu+4>>2]|0;do if(!lu){Eu=pu+8|0;qu=f[Eu>>2]|0;if((f[qu>>2]|0)==(pu|0)){Wu=qu;break}else Xu=Eu;do{Eu=f[Xu>>2]|0;Xu=Eu+8|0;qu=f[Xu>>2]|0}while((f[qu>>2]|0)!=(Eu|0));Wu=qu}else{qu=lu;while(1){Eu=f[qu>>2]|0;if(!Eu)break;else qu=Eu}Wu=qu}while(0);if((Wu|0)==(Ga|0))break;else pu=Wu}}Glb(x,ICa(a,q,va,ou,0)|0);fza(va,f[Et>>2]|0);pu=f[ak>>2]|0;if((pu|0)==(f[Ft>>2]|0))g2(dc,x);else{f[pu>>2]=f[x>>2];nu=pu+4|0;f[nu>>2]=f[It>>2];ju=pu+8|0;f[ju>>2]=f[Mt>>2];f[pu+12>>2]=f[Nt>>2];f[pu+16>>2]=f[Ht>>2];f[pu+20>>2]=f[Ot>>2];f[pu+24>>2]=f[Pt>>2];f[pu+28>>2]=f[Qt>>2];f[pu+32>>2]=f[Rt>>2];lu=f[Gt>>2]|0;f[pu+36>>2]=lu;f[pu+40>>2]=ju;ju=pu+48|0;Ru=pu+44|0;f[Ru>>2]=ju;f[ju>>2]=0;f[pu+52>>2]=0;if(lu|0){ju=lu+12|0;f[ju>>2]=(f[ju>>2]|0)+1}if((f[It>>2]|0)<3){ju=f[Kt>>2]|0;lu=f[Ru>>2]|0;f[lu>>2]=f[ju>>2];f[lu+4>>2]=f[ju+4>>2]}else{f[nu>>2]=0;kP(pu,x)}f[ak>>2]=(f[ak>>2]|0)+56}pu=f[Gt>>2]|0;do if(pu|0){nu=pu+12|0;ju=f[nu>>2]|0;f[nu>>2]=ju+-1;if((ju|0)!=1)break;lP(x)}while(0);f[Gt>>2]=0;f[Ht>>2]=0;f[Ht+4>>2]=0;f[Ht+8>>2]=0;f[Ht+12>>2]=0;if((f[It>>2]|0)>0){pu=f[Jt>>2]|0;ju=0;do{f[pu+(ju<<2)>>2]=0;ju=ju+1|0}while((ju|0)<(f[It>>2]|0))}ju=f[Kt>>2]|0;if((ju|0)!=(Lt|0))tE(ju)}while(0);ou=ou+1|0}while((ou|0)<(f[Wa>>2]|0))}ou=UAa(c,r,s,t)|0;ju=oza(o,r)|0;f[ju>>2]=ou;ju=f[yt>>2]|0;pu=f[w>>2]|0;nu=pu;if((ju|0)==(pu|0)){Yu=ju;Zu=nu}else{ju=0;pu=nu;while(1){NCa(e,pu+(ju*12|0)|0);OCa(a,o,c,e,ou,ju);if((b[Tt>>0]|0)<0)Emc(f[e>>2]|0);ju=ju+1|0;nu=f[yt>>2]|0;lu=f[w>>2]|0;Ru=lu;if(ju>>>0>=((nu-lu|0)/12|0)>>>0){Yu=nu;Zu=Ru;break}else pu=Ru}}pu=Yu;if(Zu|0){if((pu|0)==(Zu|0))_u=Zu;else{ju=pu;while(1){pu=ju+-12|0;f[yt>>2]=pu;if((b[pu+11>>0]|0)<0){Emc(f[pu>>2]|0);$u=f[yt>>2]|0}else $u=pu;if(($u|0)==(Zu|0))break;else ju=$u}_u=f[w>>2]|0}Emc(_u)}RCa(v);break e}while(0);ju=f[cb>>2]|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;if(ju>>>0>4294967279){Xa=2634;break c}if(ju>>>0<11){b[mt>>0]=ju;if(!ju)av=e;else{bv=e;Xa=2638}}else{pu=ju+16&-16;ou=Bmc(pu)|0;f[e>>2]=ou;f[qt>>2]=pu|-2147483648;f[ot>>2]=ju;bv=ou;Xa=2638}if((Xa|0)==2638){Xa=0;Krc(bv|0,fu|0,ju|0)|0;av=bv}b[av+ju>>0]=0;ju=f[s>>2]|0;k:do if((ju|0)==397539)Xa=2641;else{ou=(ju|0)==0?1163146:ju;if(!(o7b(ou,397539)|0)){Xa=2641;break}do if((ju|0)!=400417){if(!(o7b(ou,400417)|0))break;do if((ju|0)!=397543){if(!(o7b(ou,397543)|0))break;do if((ju|0)!=446419){if(!(o7b(ou,446419)|0))break;if((ju|0)!=397548?o7b(ou,397548)|0:0)break k;Vmc(e,442759)|0;break k}while(0);Vmc(e,442725)|0;break k}while(0);Vmc(e,407436)|0;break k}while(0);Vmc(e,407391)|0}while(0);if((Xa|0)==2641){Xa=0;Vmc(e,442763)|0}f[g>>2]=0;f[nt>>2]=0;ju=b[mt>>0]|0;ou=ju<<24>>24<0?f[ot>>2]|0:ju&255;if(ou|0){ju=YG(g,ou)|0;Krc(ju|0,((b[mt>>0]|0)<0?f[e>>2]|0:e)|0,ou|0)|0}ou=UAa(c,r,g,t)|0;ZG(g);ju=oza(o,r)|0;f[ju>>2]=ou;NCa(g,f[(f[Fa>>2]|0)+4>>2]|0);ju=f[Wa>>2]|0;if((ju|0)>0){pu=0;do{OCa(a,o,c,g,ou,pu);pu=pu+1|0}while((pu|0)!=(ju|0))}if((b[pt>>0]|0)<0)Emc(f[g>>2]|0);if((b[mt>>0]|0)<0)Emc(f[e>>2]|0);break e}while(0);if((f[Wa>>2]|0)!=3){Xa=2555;break c}f[Ls>>2]=0;f[Ms>>2]=0;f[ta>>2]=Ns;ju=f[l>>2]|0;if((ju|0)!=(Ga|0)){pu=ju;while(1){ju=pu+16|0;f[i>>2]=lt;f[e>>2]=f[i>>2];ou=HCa(ta,e,g,h,ju)|0;if(!(f[ou>>2]|0)){Ru=Bmc(28)|0;nu=f[ju>>2]|0;f[Ru+16>>2]=nu;f[Ru+20>>2]=f[pu+20>>2];if(nu|0){ju=nu+-4|0;f[ju>>2]=(f[ju>>2]|0)+1}f[Ru+24>>2]=f[pu+24>>2];ju=f[g>>2]|0;f[Ru>>2]=0;f[Ru+4>>2]=0;f[Ru+8>>2]=ju;f[ou>>2]=Ru;ju=f[f[ta>>2]>>2]|0;if(!ju)cv=Ru;else{f[ta>>2]=ju;cv=f[ou>>2]|0}RS(f[Ls>>2]|0,cv);f[Ms>>2]=(f[Ms>>2]|0)+1}ou=f[pu+4>>2]|0;do if(!ou){ju=pu+8|0;Ru=f[ju>>2]|0;if((f[Ru>>2]|0)==(pu|0)){dv=Ru;break}else ev=ju;do{ju=f[ev>>2]|0;ev=ju+8|0;Ru=f[ev>>2]|0}while((f[Ru>>2]|0)!=(ju|0));dv=Ru}else{Ru=ou;while(1){ju=f[Ru>>2]|0;if(!ju)break;else Ru=ju}dv=Ru}while(0);if((dv|0)==(Ga|0))break;else pu=dv}}Glb(v,ICa(a,q,ta,1,0)|0);fza(ta,f[Ns>>2]|0);f[Os>>2]=0;f[Ps>>2]=0;f[ua>>2]=Qs;pu=f[l>>2]|0;if((pu|0)!=(Ga|0)){ou=pu;while(1){pu=ou+16|0;f[i>>2]=kt;f[e>>2]=f[i>>2];ju=HCa(ua,e,g,h,pu)|0;if(!(f[ju>>2]|0)){nu=Bmc(28)|0;lu=f[pu>>2]|0;f[nu+16>>2]=lu;f[nu+20>>2]=f[ou+20>>2];if(lu|0){pu=lu+-4|0;f[pu>>2]=(f[pu>>2]|0)+1}f[nu+24>>2]=f[ou+24>>2];pu=f[g>>2]|0;f[nu>>2]=0;f[nu+4>>2]=0;f[nu+8>>2]=pu;f[ju>>2]=nu;pu=f[f[ua>>2]>>2]|0;if(!pu)fv=nu;else{f[ua>>2]=pu;fv=f[ju>>2]|0}RS(f[Os>>2]|0,fv);f[Ps>>2]=(f[Ps>>2]|0)+1}ju=f[ou+4>>2]|0;do if(!ju){pu=ou+8|0;nu=f[pu>>2]|0;if((f[nu>>2]|0)==(ou|0)){gv=nu;break}else hv=pu;do{pu=f[hv>>2]|0;hv=pu+8|0;nu=f[hv>>2]|0}while((f[nu>>2]|0)!=(pu|0));gv=nu}else{Ru=ju;while(1){nu=f[Ru>>2]|0;if(!nu)break;else Ru=nu}gv=Ru}while(0);if((gv|0)==(Ga|0))break;else ou=gv}}Glb(w,ICa(a,q,ua,2,0)|0);fza(ua,f[Qs>>2]|0);iv=f[Rs>>2]|0;jv=(iv|0)<3;if(jv)kv=Y(f[Ts>>2]|0,f[Ss>>2]|0)|0;else{ou=f[gt>>2]|0;ju=0;nu=1;while(1){pu=Y(f[ou+(ju<<2)>>2]|0,nu)|0;ju=ju+1|0;if((ju|0)==(iv|0)){kv=pu;break}else nu=pu}}if((kv|0)!=1){Xa=2587;break c}lv=f[v>>2]&4095;if((lv|0)!=5){Xa=2593;break c}mv=f[Us>>2]|0;nv=(mv|0)<3;if(nv)ov=Y(f[Ws>>2]|0,f[Vs>>2]|0)|0;else{nu=f[ct>>2]|0;ju=0;ou=1;while(1){pu=Y(f[nu+(ju<<2)>>2]|0,ou)|0;ju=ju+1|0;if((ju|0)==(mv|0)){ov=pu;break}else ou=pu}}if((ov|0)!=1){Xa=2599;break c}pv=f[w>>2]&4095;if((pv|0)!=5){Xa=2605;break c}f[e>>2]=0;f[Xs>>2]=0;qv=YG(e,9)|0;rv=469550;sv=qv+9|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));LCa(t,e,f[Ys>>2]|0)|0;ZG(e);f[e>>2]=0;f[Zs>>2]=0;qv=YG(e,9)|0;rv=469560;sv=qv+9|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));LCa(t,e,f[_s>>2]|0)|0;ZG(e);f[e>>2]=0;f[$s>>2]=0;ou=YG(e,5)|0;b[ou>>0]=b[442725]|0;b[ou+1>>0]=b[442726]|0;b[ou+2>>0]=b[442727]|0;b[ou+3>>0]=b[442728]|0;b[ou+4>>0]=b[442729]|0;ou=UAa(c,r,e,t)|0;ZG(e);ju=oza(o,r)|0;f[ju>>2]=ou;NCa(e,f[(f[Fa>>2]|0)+4>>2]|0);OCa(a,o,c,e,ou,0);if((b[at>>0]|0)<0)Emc(f[e>>2]|0);ou=f[bt>>2]|0;do if(ou|0){ju=ou+12|0;nu=f[ju>>2]|0;f[ju>>2]=nu+-1;if((nu|0)!=1)break;lP(w)}while(0);f[bt>>2]=0;f[_s>>2]=0;f[_s+4>>2]=0;f[_s+8>>2]=0;f[_s+12>>2]=0;if((f[Us>>2]|0)>0){ou=f[ct>>2]|0;nu=0;do{f[ou+(nu<<2)>>2]=0;nu=nu+1|0}while((nu|0)<(f[Us>>2]|0))}nu=f[dt>>2]|0;if((nu|0)!=(et|0))tE(nu);nu=f[ft>>2]|0;do if(nu|0){ou=nu+12|0;ju=f[ou>>2]|0;f[ou>>2]=ju+-1;if((ju|0)!=1)break;lP(v)}while(0);f[ft>>2]=0;f[Ys>>2]=0;f[Ys+4>>2]=0;f[Ys+8>>2]=0;f[Ys+12>>2]=0;if((f[Rs>>2]|0)>0){nu=f[gt>>2]|0;ju=0;do{f[nu+(ju<<2)>>2]=0;ju=ju+1|0}while((ju|0)<(f[Rs>>2]|0))}ju=f[it>>2]|0;if((ju|0)!=(jt|0))tE(ju);break e}while(0);f[Wr>>2]=0;f[Xr>>2]=0;f[ra>>2]=Yr;ju=f[l>>2]|0;if((ju|0)!=(Ga|0)){nu=ju;while(1){ju=nu+16|0;f[i>>2]=Ks;f[e>>2]=f[i>>2];ou=HCa(ra,e,g,h,ju)|0;if(!(f[ou>>2]|0)){pu=Bmc(28)|0;lu=f[ju>>2]|0;f[pu+16>>2]=lu;f[pu+20>>2]=f[nu+20>>2];if(lu|0){ju=lu+-4|0;f[ju>>2]=(f[ju>>2]|0)+1}f[pu+24>>2]=f[nu+24>>2];ju=f[g>>2]|0;f[pu>>2]=0;f[pu+4>>2]=0;f[pu+8>>2]=ju;f[ou>>2]=pu;ju=f[f[ra>>2]>>2]|0;if(!ju)tv=pu;else{f[ra>>2]=ju;tv=f[ou>>2]|0}RS(f[Wr>>2]|0,tv);f[Xr>>2]=(f[Xr>>2]|0)+1}ou=f[nu+4>>2]|0;do if(!ou){ju=nu+8|0;pu=f[ju>>2]|0;if((f[pu>>2]|0)==(nu|0)){uv=pu;break}else vv=ju;do{ju=f[vv>>2]|0;vv=ju+8|0;pu=f[vv>>2]|0}while((f[pu>>2]|0)!=(ju|0));uv=pu}else{pu=ou;while(1){ju=f[pu>>2]|0;if(!ju)break;else pu=ju}uv=pu}while(0);if((uv|0)==(Ga|0))break;else nu=uv}}Glb(v,ICa(a,q,ra,1,0)|0);fza(ra,f[Yr>>2]|0);nu=f[v>>2]|0;if((nu&4095|0)!=4){Xa=2474;break c}ou=f[Zr>>2]|0;if((ou|0)<3)wv=Y(f[$r>>2]|0,f[_r>>2]|0)|0;else{ju=f[bs>>2]|0;lu=0;Eu=1;while(1){Du=Y(f[ju+(lu<<2)>>2]|0,Eu)|0;lu=lu+1|0;if((lu|0)==(ou|0)){wv=Du;break}else Eu=Du}}if((wv|0)!=2){Xa=2488;break c}Eu=f[as>>2]|0;if((f[Eu>>2]|0)!=1){Xa=2488;break c}do if(!(nu&16384)){ou=f[bs>>2]|0;if((f[ou>>2]|0)==1){Xa=2483;break}lu=f[f[cs>>2]>>2]|0;if((f[ou+4>>2]|0)==1){xv=Eu+lu|0;break}else{ou=f[$r>>2]|0;ju=(ou+1|0)>>>0<3?ou:0;xv=Eu+(Y(ju,lu)|0)+(1-(Y(ju,ou)|0)<<2)|0;break}}else Xa=2483;while(0);if((Xa|0)==2483){Xa=0;xv=Eu+4|0}if((f[xv>>2]|0)!=2){Xa=2488;break c}f[e>>2]=0;f[ds>>2]=0;nu=YG(e,4)|0;b[nu>>0]=112;b[nu+1>>0]=111;b[nu+2>>0]=111;b[nu+3>>0]=108;$Ca(t,e,474854)|0;ZG(e);f[e>>2]=0;f[es>>2]=0;qv=YG(e,14)|0;rv=452614;sv=qv+14|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));b[g>>0]=1;TCa(t,e,g)|0;ZG(e);f[e>>2]=0;f[fs>>2]=0;Eu=YG(e,7)|0;b[Eu>>0]=b[443971]|0;b[Eu+1>>0]=b[443972]|0;b[Eu+2>>0]=b[443973]|0;b[Eu+3>>0]=b[443974]|0;b[Eu+4>>0]=b[443975]|0;b[Eu+5>>0]=b[443976]|0;b[Eu+6>>0]=b[443977]|0;Eu=UAa(c,r,e,t)|0;ZG(e);nu=oza(o,r)|0;f[nu>>2]=Eu;NCa(e,f[(f[Fa>>2]|0)+4>>2]|0);OCa(a,o,c,e,Eu,0);if((b[gs>>0]|0)<0)Emc(f[e>>2]|0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[hs>>0]=8;Eu=h;f[Eu>>2]=1885693291;f[Eu+4>>2]=1936550244;b[is>>0]=0;v_b(_b);PCa(g,$b);QCa(e,f[js>>2]|0,h,0);Eu=(f[e>>2]|0)==0;RCa(g);if((b[hs>>0]|0)<0)Emc(f[h>>2]|0);do if(Eu){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[ks>>0]=9;qv=h;rv=397472;sv=qv+9|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));b[ls>>0]=0;v_b(_b);PCa(g,$b);QCa(e,f[ms>>2]|0,h,0);nu=(f[e>>2]|0)==0;RCa(g);if((b[ks>>0]|0)<0)Emc(f[h>>2]|0);if(nu){Xa=2503;break};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[ns>>0]=9;qv=e;rv=397472;sv=qv+9|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));b[os>>0]=0;v_b(_b);nu=SCa($b,e)|0;ou=b[nu+8>>0]|0?(f[nu+20>>2]|0)==5:0;if((b[ns>>0]|0)<0)Emc(f[e>>2]|0);if(!ou)Xa=2503}else{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[Is>>0]=8;ou=e;f[ou>>2]=1885693291;f[ou+4>>2]=1936550244;b[Js>>0]=0;v_b(_b);ou=SCa($b,e)|0;nu=b[ou+8>>0]|0?(f[ou+20>>2]|0)==5:0;if((b[Is>>0]|0)<0)Emc(f[e>>2]|0);if(!nu)Xa=2503}while(0);if((Xa|0)==2503){Xa=0;f[ps>>2]=0;f[qs>>2]=0;f[e>>2]=rs;f[ss>>2]=0;f[ss+4>>2]=0;f[ss+8>>2]=0;f[ss+12>>2]=0;f[ss+16>>2]=0;f[ss+20>>2]=0;f[ss+24>>2]=0;f[sa>>2]=0;f[ts>>2]=0;YG(sa,(f[La>>2]|0)+8|0)|0;Eu=f[La>>2]|0;if(!Eu)yv=0;else{Krc(f[sa>>2]|0,f[r>>2]|0,Eu|0)|0;yv=f[La>>2]|0}Eu=(f[sa>>2]|0)+yv|0;nu=Eu;b[nu>>0]=47;b[nu+1>>0]=102;b[nu+2>>0]=108;b[nu+3>>0]=97;nu=Eu+4|0;b[nu>>0]=116;b[nu+1>>0]=116;b[nu+2>>0]=101;b[nu+3>>0]=110;nu=f[sa>>2]|0;Eu=f[ts>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;if(Eu>>>0>4294967279){Xa=2506;break c}if(Eu>>>0<11){b[us>>0]=Eu;if(!Eu)zv=g;else{Av=g;Xa=2510}}else{ou=Eu+16&-16;ju=Bmc(ou)|0;f[g>>2]=ju;f[Fs>>2]=ou|-2147483648;f[ws>>2]=Eu;Av=ju;Xa=2510}if((Xa|0)==2510){Xa=0;Krc(Av|0,nu|0,Eu|0)|0;zv=Av}b[zv+Eu>>0]=0;ZG(sa);f[h>>2]=0;f[vs>>2]=0;Eu=b[us>>0]|0;nu=Eu<<24>>24<0?f[ws>>2]|0:Eu&255;if(nu|0){Eu=YG(h,nu)|0;Krc(Eu|0,((b[us>>0]|0)<0?f[g>>2]|0:g)|0,nu|0)|0}nu=f[wa>>2]|0;do if(nu){Eu=f[h>>2]|0;ju=(Eu|0)==0?1163146:Eu;ou=wa;lu=nu;l:while(1){Du=lu;while(1){Su=f[Du+16>>2]|0;if((Su|0)==(Eu|0))break;if((o7b((Su|0)==0?1163146:Su,ju)|0)>=0)break;Su=f[Du+4>>2]|0;if(!Su){Bv=ou;break l}else Du=Su}lu=f[Du>>2]|0;if(!lu){Bv=Du;break}else ou=Du}if((Bv|0)==(wa|0)){Xa=2523;break}ou=f[Bv+16>>2]|0;if((Eu|0)==(ou|0)){Cv=Bv;break}if((o7b(ju,(ou|0)==0?1163146:ou)|0)>=0)Cv=Bv;else Xa=2523}else Xa=2523;while(0);if((Xa|0)==2523){Xa=0;Cv=wa}ZG(h);if((Cv|0)!=(wa|0)){Xa=2525;break c}f[h>>2]=0;f[xs>>2]=0;nu=b[us>>0]|0;ou=nu<<24>>24<0?f[ws>>2]|0:nu&255;if(ou|0){nu=YG(h,ou)|0;Krc(nu|0,((b[us>>0]|0)<0?f[g>>2]|0:g)|0,ou|0)|0}f[i>>2]=0;f[ys>>2]=0;ou=YG(i,7)|0;b[ou>>0]=b[446779]|0;b[ou+1>>0]=b[446780]|0;b[ou+2>>0]=b[446781]|0;b[ou+3>>0]=b[446782]|0;b[ou+4>>0]=b[446783]|0;b[ou+5>>0]=b[446784]|0;b[ou+6>>0]=b[446785]|0;ou=UAa(c,h,i,e)|0;ZG(i);ZG(h);f[h>>2]=0;f[zs>>2]=0;nu=b[us>>0]|0;lu=nu<<24>>24<0?f[ws>>2]|0:nu&255;if(lu|0){nu=YG(h,lu)|0;Krc(nu|0,((b[us>>0]|0)<0?f[g>>2]|0:g)|0,lu|0)|0}lu=oza(o,h)|0;f[lu>>2]=ou;ZG(h);lu=f[r>>2]|0;nu=f[La>>2]|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;if(nu>>>0>4294967279){Xa=2531;break c}if(nu>>>0<11){b[As>>0]=nu;if(!nu)Dv=i;else{Ev=i;Xa=2535}}else{pu=nu+16&-16;Su=Bmc(pu)|0;f[i>>2]=Su;f[Ds>>2]=pu|-2147483648;f[Es>>2]=nu;Ev=Su;Xa=2535}if((Xa|0)==2535){Xa=0;Krc(Ev|0,lu|0,nu|0)|0;Dv=Ev}b[Dv+nu>>0]=0;Nmc(h,i);f[Bs>>2]=0;OCa(a,o,c,h,ou,0);if((b[Cs>>0]|0)<0)Emc(f[h>>2]|0);if((b[As>>0]|0)<0)Emc(f[i>>2]|0);if((b[us>>0]|0)<0)Emc(f[g>>2]|0);qza(e)}ou=f[Gs>>2]|0;do if(ou|0){nu=ou+12|0;lu=f[nu>>2]|0;f[nu>>2]=lu+-1;if((lu|0)!=1)break;lP(v)}while(0);f[Gs>>2]=0;f[as>>2]=0;f[as+4>>2]=0;f[as+8>>2]=0;f[as+12>>2]=0;if((f[Zr>>2]|0)>0){ou=f[bs>>2]|0;lu=0;do{f[ou+(lu<<2)>>2]=0;lu=lu+1|0}while((lu|0)<(f[Zr>>2]|0))}lu=f[cs>>2]|0;if((lu|0)!=(Hs|0))tE(lu);break e}while(0);if((f[Wa>>2]|0)!=3){Xa=2413;break c}f[Fr>>2]=0;f[Gr>>2]=0;f[qa>>2]=Hr;lu=f[l>>2]|0;if((lu|0)!=(Ga|0)){ou=lu;while(1){lu=ou+16|0;f[i>>2]=Vr;f[e>>2]=f[i>>2];nu=HCa(qa,e,g,h,lu)|0;if(!(f[nu>>2]|0)){Su=Bmc(28)|0;pu=f[lu>>2]|0;f[Su+16>>2]=pu;f[Su+20>>2]=f[ou+20>>2];if(pu|0){lu=pu+-4|0;f[lu>>2]=(f[lu>>2]|0)+1}f[Su+24>>2]=f[ou+24>>2];lu=f[g>>2]|0;f[Su>>2]=0;f[Su+4>>2]=0;f[Su+8>>2]=lu;f[nu>>2]=Su;lu=f[f[qa>>2]>>2]|0;if(!lu)Fv=Su;else{f[qa>>2]=lu;Fv=f[nu>>2]|0}RS(f[Fr>>2]|0,Fv);f[Gr>>2]=(f[Gr>>2]|0)+1}nu=f[ou+4>>2]|0;do if(!nu){lu=ou+8|0;Su=f[lu>>2]|0;if((f[Su>>2]|0)==(ou|0)){Gv=Su;break}else Hv=lu;do{lu=f[Hv>>2]|0;Hv=lu+8|0;Su=f[Hv>>2]|0}while((f[Su>>2]|0)!=(lu|0));Gv=Su}else{ju=nu;while(1){Eu=f[ju>>2]|0;if(!Eu)break;else ju=Eu}Gv=ju}while(0);if((Gv|0)==(Ga|0))break;else ou=Gv}}Glb(v,ICa(a,q,qa,2,0)|0);fza(qa,f[Hr>>2]|0);Iv=f[v>>2]&4095;if((Iv|0)!=4){Xa=2428;break c}Jv=f[Ir>>2]|0;Kv=(Jv|0)<3;if(Kv)Lv=Y(f[Kr>>2]|0,f[Jr>>2]|0)|0;else{ou=f[Or>>2]|0;nu=0;Eu=1;while(1){Su=Y(f[ou+(nu<<2)>>2]|0,Eu)|0;nu=nu+1|0;if((nu|0)==(Jv|0)){Lv=Su;break}else Eu=Su}}if((Lv|0)!=2){Xa=2434;break c}f[e>>2]=0;f[Lr>>2]=0;Eu=YG(e,6)|0;b[Eu>>0]=b[473280]|0;b[Eu+1>>0]=b[473281]|0;b[Eu+2>>0]=b[473282]|0;b[Eu+3>>0]=b[473283]|0;b[Eu+4>>0]=b[473284]|0;b[Eu+5>>0]=b[473285]|0;KCa(t,e,f[Mr>>2]|0)|0;ZG(e);f[e>>2]=0;f[Nr>>2]=0;Eu=YG(e,5)|0;b[Eu>>0]=b[473145]|0;b[Eu+1>>0]=b[473146]|0;b[Eu+2>>0]=b[473147]|0;b[Eu+3>>0]=b[473148]|0;b[Eu+4>>0]=b[473149]|0;Eu=f[Mr>>2]|0;do if(!(f[v>>2]&16384)){nu=f[Or>>2]|0;if((f[nu>>2]|0)==1){Xa=2441;break}ou=f[f[Pr>>2]>>2]|0;if((f[nu+4>>2]|0)==1){Mv=Eu+ou|0;break}else{nu=f[Kr>>2]|0;Su=(nu+1|0)>>>0<3?nu:0;Mv=Eu+(Y(Su,ou)|0)+(1-(Y(Su,nu)|0)<<2)|0;break}}else Xa=2441;while(0);if((Xa|0)==2441){Xa=0;Mv=Eu+4|0}KCa(t,e,Mv)|0;ZG(e);f[e>>2]=0;f[Qr>>2]=0;qv=YG(e,13)|0;rv=442652;sv=qv+13|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));Eu=UAa(c,r,e,t)|0;ZG(e);nu=oza(o,r)|0;f[nu>>2]=Eu;NCa(e,f[(f[Fa>>2]|0)+4>>2]|0);OCa(a,o,c,e,Eu,0);if((b[Rr>>0]|0)<0)Emc(f[e>>2]|0);NCa(e,f[(f[Fa>>2]|0)+8>>2]|0);OCa(a,o,c,e,Eu,1);if((b[Sr>>0]|0)<0)Emc(f[e>>2]|0);Eu=f[Tr>>2]|0;do if(Eu|0){nu=Eu+12|0;Su=f[nu>>2]|0;f[nu>>2]=Su+-1;if((Su|0)!=1)break;lP(v)}while(0);f[Tr>>2]=0;f[Mr>>2]=0;f[Mr+4>>2]=0;f[Mr+8>>2]=0;f[Mr+12>>2]=0;if((f[Ir>>2]|0)>0){Eu=f[Or>>2]|0;Su=0;do{f[Eu+(Su<<2)>>2]=0;Su=Su+1|0}while((Su|0)<(f[Ir>>2]|0))}Su=f[Pr>>2]|0;if((Su|0)!=(Ur|0))tE(Su);break e}while(0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[xr>>0]=4;f[h>>2]=1936291937;b[yr>>0]=0;v_b(_b);PCa(g,$b);QCa(e,f[zr>>2]|0,h,0);Su=(f[e>>2]|0)==0;RCa(g);if((b[xr>>0]|0)<0)Emc(f[h>>2]|0);if(!Su){f[e>>2]=0;f[Cr>>2]=0;Su=YG(e,4)|0;b[Su>>0]=97;b[Su+1>>0]=120;b[Su+2>>0]=105;b[Su+3>>0]=115;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[Dr>>0]=4;f[h>>2]=1936291937;b[Er>>0]=0;v_b(_b);Su=SCa($b,h)|0;Eu=(f[Su+20>>2]|0)==3;nu=Su+8|0;Su=Eu?f[nu+4>>2]|0:0;ou=g;f[ou>>2]=Eu?f[nu>>2]|0:0;f[ou+4>>2]=Su;bDa(t,e,g)|0;if((b[Dr>>0]|0)<0)Emc(f[h>>2]|0);ZG(e)}f[e>>2]=0;f[Ar>>2]=0;Su=YG(e,7)|0;b[Su>>0]=b[446607]|0;b[Su+1>>0]=b[446608]|0;b[Su+2>>0]=b[446609]|0;b[Su+3>>0]=b[446610]|0;b[Su+4>>0]=b[446611]|0;b[Su+5>>0]=b[446612]|0;b[Su+6>>0]=b[446613]|0;Su=UAa(c,r,e,t)|0;ZG(e);ou=oza(o,r)|0;f[ou>>2]=Su;NCa(e,f[(f[Fa>>2]|0)+4>>2]|0);ou=f[Wa>>2]|0;if((ou|0)>0){nu=0;do{OCa(a,o,c,e,Su,nu);nu=nu+1|0}while((nu|0)!=(ou|0))}if((b[Br>>0]|0)<0)Emc(f[e>>2]|0);break e}while(0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[nq>>0]=8;ou=h;f[ou>>2]=1601071469;f[ou+4>>2]=1702521203;b[oq>>0]=0;v_b(_b);PCa(g,$b);QCa(e,f[pq>>2]|0,h,0);ou=(f[e>>2]|0)==0;RCa(g);if((b[nq>>0]|0)<0)Emc(f[h>>2]|0);if(!ou){f[e>>2]=0;f[ur>>2]=0;ou=YG(e,8)|0;nu=ou;b[nu>>0]=109;b[nu+1>>0]=105;b[nu+2>>0]=110;b[nu+3>>0]=95;nu=ou+4|0;b[nu>>0]=115;b[nu+1>>0]=105;b[nu+2>>0]=122;b[nu+3>>0]=101;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[vr>>0]=8;nu=h;f[nu>>2]=1601071469;f[nu+4>>2]=1702521203;b[wr>>0]=0;v_b(_b);nu=SCa($b,h)|0;ou=(f[nu+20>>2]|0)==3;Su=nu+8|0;nu=ou?f[Su+4>>2]|0:0;Eu=g;f[Eu>>2]=ou?f[Su>>2]|0:0;f[Eu+4>>2]=nu;bDa(t,e,g)|0;if((b[vr>>0]|0)<0)Emc(f[h>>2]|0);ZG(e)};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[qq>>0]=8;nu=h;f[nu>>2]=1601724781;f[nu+4>>2]=1702521203;b[rq>>0]=0;v_b(_b);PCa(g,$b);QCa(e,f[sq>>2]|0,h,0);nu=(f[e>>2]|0)==0;RCa(g);if((b[qq>>0]|0)<0)Emc(f[h>>2]|0);if(!nu){f[e>>2]=0;f[rr>>2]=0;nu=YG(e,8)|0;Eu=nu;b[Eu>>0]=109;b[Eu+1>>0]=97;b[Eu+2>>0]=120;b[Eu+3>>0]=95;Eu=nu+4|0;b[Eu>>0]=115;b[Eu+1>>0]=105;b[Eu+2>>0]=122;b[Eu+3>>0]=101;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[sr>>0]=8;Eu=h;f[Eu>>2]=1601724781;f[Eu+4>>2]=1702521203;b[tr>>0]=0;v_b(_b);Eu=SCa($b,h)|0;nu=(f[Eu+20>>2]|0)==3;Su=Eu+8|0;Eu=nu?f[Su+4>>2]|0:0;ou=g;f[ou>>2]=nu?f[Su>>2]|0:0;f[ou+4>>2]=Eu;bDa(t,e,g)|0;if((b[sr>>0]|0)<0)Emc(f[h>>2]|0);ZG(e)};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[tq>>0]=4;f[h>>2]=1885957222;b[uq>>0]=0;v_b(_b);PCa(g,$b);QCa(e,f[vq>>2]|0,h,0);Eu=(f[e>>2]|0)==0;RCa(g);if((b[tq>>0]|0)<0)Emc(f[h>>2]|0);if(!Eu){f[e>>2]=0;f[or>>2]=0;Eu=YG(e,4)|0;b[Eu>>0]=102;b[Eu+1>>0]=108;b[Eu+2>>0]=105;b[Eu+3>>0]=112;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[pr>>0]=4;f[h>>2]=1885957222;b[qr>>0]=0;v_b(_b);Eu=SCa($b,h)|0;b[g>>0]=(b[Eu+8>>0]|0?(f[Eu+20>>2]|0)==5:0)&1;TCa(t,e,g)|0;if((b[pr>>0]|0)<0)Emc(f[h>>2]|0);ZG(e)};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[wq>>0]=4;f[h>>2]=1885957219;b[xq>>0]=0;v_b(_b);PCa(g,$b);QCa(e,f[yq>>2]|0,h,0);Eu=(f[e>>2]|0)==0;RCa(g);if((b[wq>>0]|0)<0)Emc(f[h>>2]|0);if(!Eu){f[e>>2]=0;f[lr>>2]=0;Eu=YG(e,4)|0;b[Eu>>0]=99;b[Eu+1>>0]=108;b[Eu+2>>0]=105;b[Eu+3>>0]=112;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[mr>>0]=4;f[h>>2]=1885957219;b[nr>>0]=0;v_b(_b);Eu=SCa($b,h)|0;b[g>>0]=(b[Eu+8>>0]|0?(f[Eu+20>>2]|0)==5:0)&1;TCa(t,e,g)|0;if((b[mr>>0]|0)<0)Emc(f[h>>2]|0);ZG(e)};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[zq>>0]=6;b[h>>0]=b[462904]|0;b[h+1>>0]=b[462905]|0;b[h+2>>0]=b[462906]|0;b[h+3>>0]=b[462907]|0;b[h+4>>0]=b[462908]|0;b[h+5>>0]=b[462909]|0;b[Aq>>0]=0;v_b(_b);PCa(g,$b);QCa(e,f[Bq>>2]|0,h,0);Eu=(f[e>>2]|0)==0;RCa(g);if((b[zq>>0]|0)<0)Emc(f[h>>2]|0);if(!Eu){f[e>>2]=0;f[ir>>2]=0;Eu=YG(e,6)|0;b[Eu>>0]=b[462904]|0;b[Eu+1>>0]=b[462905]|0;b[Eu+2>>0]=b[462906]|0;b[Eu+3>>0]=b[462907]|0;b[Eu+4>>0]=b[462908]|0;b[Eu+5>>0]=b[462909]|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[jr>>0]=6;b[h>>0]=b[462904]|0;b[h+1>>0]=b[462905]|0;b[h+2>>0]=b[462906]|0;b[h+3>>0]=b[462907]|0;b[h+4>>0]=b[462908]|0;b[h+5>>0]=b[462909]|0;b[kr>>0]=0;v_b(_b);Eu=SCa($b,h)|0;n[g>>2]=(f[Eu+20>>2]|0)==4?+n[Eu+8>>2]:0.0;LCa(t,e,g)|0;if((b[jr>>0]|0)<0)Emc(f[h>>2]|0);ZG(e)};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[Cq>>0]=4;f[h>>2]=1885697139;b[Dq>>0]=0;v_b(_b);PCa(g,$b);QCa(e,f[Eq>>2]|0,h,0);Eu=(f[e>>2]|0)==0;RCa(g);if((b[Cq>>0]|0)<0)Emc(f[h>>2]|0);if(!Eu){f[e>>2]=0;f[fr>>2]=0;Eu=YG(e,4)|0;b[Eu>>0]=115;b[Eu+1>>0]=116;b[Eu+2>>0]=101;b[Eu+3>>0]=112;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[gr>>0]=4;f[h>>2]=1885697139;b[hr>>0]=0;v_b(_b);Eu=SCa($b,h)|0;n[g>>2]=(f[Eu+20>>2]|0)==4?+n[Eu+8>>2]:0.0;LCa(t,e,g)|0;if((b[gr>>0]|0)<0)Emc(f[h>>2]|0);ZG(e)};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[Fq>>0]=8;Eu=h;f[Eu>>2]=1769103734;f[Eu+4>>2]=1701015137;b[Gq>>0]=0;f[Hq>>2]=0;f[Hq+4>>2]=0;f[Hq+8>>2]=0;Eu=Bmc(16)|0;f[Hq>>2]=Eu;f[Iq>>2]=-2147483632;f[Jq>>2]=12;qv=Eu;rv=460534;sv=qv+12|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));b[Eu+12>>0]=0;f[Kq>>2]=0;f[Kq+4>>2]=0;f[Kq+8>>2]=0;b[Lq>>0]=6;b[Kq>>0]=b[397390]|0;b[Kq+1>>0]=b[397391]|0;b[Kq+2>>0]=b[397392]|0;b[Kq+3>>0]=b[397393]|0;b[Kq+4>>0]=b[397394]|0;b[Kq+5>>0]=b[397395]|0;b[Mq>>0]=0;f[Nq>>2]=0;f[Nq+4>>2]=0;f[Nq+8>>2]=0;b[Oq>>0]=5;b[Nq>>0]=b[473145]|0;b[Nq+1>>0]=b[473146]|0;b[Nq+2>>0]=b[473147]|0;b[Nq+3>>0]=b[473148]|0;b[Nq+4>>0]=b[473149]|0;b[Pq>>0]=0;f[Qq>>2]=0;f[Qq+4>>2]=0;f[Qq+8>>2]=0;b[Rq>>0]=6;b[Qq>>0]=b[473280]|0;b[Qq+1>>0]=b[473281]|0;b[Qq+2>>0]=b[473282]|0;b[Qq+3>>0]=b[473283]|0;b[Qq+4>>0]=b[473284]|0;b[Qq+5>>0]=b[473285]|0;b[Sq>>0]=0;ou=0;do{Su=h+(ou*12|0)|0;v_b(_b);PCa(g,$b);QCa(e,f[Tq>>2]|0,Su,0);nu=f[e>>2]|0;RCa(g);if(nu|0){v_b(_b);nu=SCa($b,Su)|0;Glb(e,(f[nu+20>>2]|0)==8?f[nu+8>>2]|0:528536);f[g>>2]=0;f[Uq>>2]=0;nu=Su+11|0;lu=b[nu>>0]|0;pu=lu<<24>>24<0?f[h+(ou*12|0)+4>>2]|0:lu&255;if(pu|0){lu=YG(g,pu)|0;Krc(lu|0,((b[nu>>0]|0)<0?f[Su>>2]|0:Su)|0,pu|0)|0}pu=f[Vq>>2]|0;Su=f[Wq>>2]|0;if((Su|0)<3)Nv=Y(f[Yq>>2]|0,f[Xq>>2]|0)|0;else{nu=f[$q>>2]|0;lu=0;Ov=1;while(1){Pv=Y(f[nu+(lu<<2)>>2]|0,Ov)|0;lu=lu+1|0;if((lu|0)==(Su|0)){Nv=Pv;break}else Ov=Pv}}Ov=Bmc(16)|0;Su=Ov+8|0;f[Ov>>2]=Su;f[Ov+4>>2]=Nv;if(Nv>>>0>1){lu=Dmc(Nv>>>0>536870911?-1:Nv<<3)|0;f[Ov>>2]=lu;Qv=lu}else Qv=Su;f[i>>2]=2;f[Zq>>2]=Ov;if((Nv|0)>0){Ov=pu;Su=0;while(1){p[Qv+(Su<<3)>>3]=+n[Ov>>2];Su=Su+1|0;if((Su|0)==(Nv|0))break;else Ov=Ov+4|0}}MCa(t,g,i)|0;rza(i);ZG(g);Ov=f[_q>>2]|0;do if(Ov|0){Su=Ov+12|0;pu=f[Su>>2]|0;f[Su>>2]=pu+-1;if((pu|0)!=1)break;lP(e)}while(0);f[_q>>2]=0;f[Vq>>2]=0;f[Vq+4>>2]=0;f[Vq+8>>2]=0;f[Vq+12>>2]=0;if((f[Wq>>2]|0)>0){Ov=f[$q>>2]|0;pu=0;do{f[Ov+(pu<<2)>>2]=0;pu=pu+1|0}while((pu|0)<(f[Wq>>2]|0))}pu=f[ar>>2]|0;if((pu|0)!=(br|0))tE(pu)}ou=ou+1|0}while((ou|0)<5);f[e>>2]=0;f[cr>>2]=0;ou=YG(e,8)|0;Eu=ou;b[Eu>>0]=80;b[Eu+1>>0]=114;b[Eu+2>>0]=105;b[Eu+3>>0]=111;Eu=ou+4|0;b[Eu>>0]=114;b[Eu+1>>0]=66;b[Eu+2>>0]=111;b[Eu+3>>0]=120;Eu=UAa(c,r,e,t)|0;ZG(e);ou=oza(o,r)|0;f[ou>>2]=Eu;NCa(e,f[(f[Fa>>2]|0)+4>>2]|0);OCa(a,o,c,e,Eu,0);if((b[dr>>0]|0)<0)Emc(f[e>>2]|0);NCa(e,f[(f[Fa>>2]|0)+8>>2]|0);OCa(a,o,c,e,Eu,1);if((b[er>>0]|0)<0)Emc(f[e>>2]|0);Eu=oza(k,r)|0;f[Eu>>2]=2;if((b[Xt>>0]|0)<0)Emc(f[Wt>>2]|0);if((b[Zt>>0]|0)<0)Emc(f[Yt>>2]|0);if((b[$t>>0]|0)<0)Emc(f[_t>>2]|0);if((b[bu>>0]|0)<0)Emc(f[au>>2]|0);if((b[cu>>0]|0)<0)Emc(f[h>>2]|0);break e}while(0);if((f[Wa>>2]|0)!=2){Xa=2233;break c}f[Rp>>2]=0;f[Sp>>2]=0;f[pa>>2]=Tp;Eu=f[l>>2]|0;if((Eu|0)!=(Ga|0)){ou=Eu;while(1){Eu=ou+16|0;f[i>>2]=mq;f[e>>2]=f[i>>2];pu=HCa(pa,e,g,h,Eu)|0;if(!(f[pu>>2]|0)){Ov=Bmc(28)|0;Su=f[Eu>>2]|0;f[Ov+16>>2]=Su;f[Ov+20>>2]=f[ou+20>>2];if(Su|0){Eu=Su+-4|0;f[Eu>>2]=(f[Eu>>2]|0)+1}f[Ov+24>>2]=f[ou+24>>2];Eu=f[g>>2]|0;f[Ov>>2]=0;f[Ov+4>>2]=0;f[Ov+8>>2]=Eu;f[pu>>2]=Ov;Eu=f[f[pa>>2]>>2]|0;if(!Eu)Rv=Ov;else{f[pa>>2]=Eu;Rv=f[pu>>2]|0}RS(f[Rp>>2]|0,Rv);f[Sp>>2]=(f[Sp>>2]|0)+1}pu=f[ou+4>>2]|0;do if(!pu){Eu=ou+8|0;Ov=f[Eu>>2]|0;if((f[Ov>>2]|0)==(ou|0)){Sv=Ov;break}else Tv=Eu;do{Eu=f[Tv>>2]|0;Tv=Eu+8|0;Ov=f[Tv>>2]|0}while((f[Ov>>2]|0)!=(Eu|0));Sv=Ov}else{Ov=pu;while(1){Eu=f[Ov>>2]|0;if(!Eu)break;else Ov=Eu}Sv=Ov}while(0);if((Sv|0)==(Ga|0))break;else ou=Sv}}Glb(v,ICa(a,q,pa,1,0)|0);fza(pa,f[Tp>>2]|0);if((f[v>>2]&4095|0)!=4){Xa=2248;break c}ou=f[Up>>2]|0;if((ou|0)<3)Uv=Y(f[Wp>>2]|0,f[Vp>>2]|0)|0;else{pu=f[Zp>>2]|0;Eu=0;Su=1;while(1){lu=Y(f[pu+(Eu<<2)>>2]|0,Su)|0;Eu=Eu+1|0;if((Eu|0)==(ou|0)){Uv=lu;break}else Su=lu}}Su=f[r>>2]|0;ou=f[La>>2]|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;if(ou>>>0>4294967279){Xa=2254;break c}if(ou>>>0<11){b[Xp>>0]=ou;if(!ou)Vv=e;else{Wv=e;Xa=2258}}else{Eu=ou+16&-16;pu=Bmc(Eu)|0;f[e>>2]=pu;f[kq>>2]=Eu|-2147483648;f[lq>>2]=ou;Wv=pu;Xa=2258}if((Xa|0)==2258){Xa=0;Krc(Wv|0,Su|0,ou|0)|0;Vv=Wv}b[Vv+ou>>0]=0;ou=(_Ca(e,k)|0)==0;if((b[Xp>>0]|0)<0)Emc(f[e>>2]|0);if(ou&(Uv|0)>0){ou=f[Yp>>2]|0;Su=f[Zp>>2]|0;pu=Su+4|0;Eu=f[_p>>2]|0;lu=0;do{nu=(f[v>>2]&16384|0)==0;do if(nu){if((f[Su>>2]|0)==1){Xa=2265;break}Pv=f[Eu>>2]|0;if((f[pu>>2]|0)==1){Xv=ou+(Y(Pv,lu)|0)|0;break}else{Yv=f[Wp>>2]|0;Zv=(lu|0)/(Yv|0)|0;Xv=ou+(Y(Zv,Pv)|0)+(lu-(Y(Zv,Yv)|0)<<2)|0;break}}else Xa=2265;while(0);if((Xa|0)==2265){Xa=0;Xv=ou+(lu<<2)|0}Yv=f[Xv>>2]|0;Zv=Yv+4|0;if(Zv>>>0>=8){Xa=2270;break c}do if(Yv)if((Yv|0)>0){_v=((Yv>>>0)%3|0)+1|0;break}else{_v=((Zv>>>0)%3|0)+1|0;break}else _v=0;while(0);do if(nu){if((f[Su>>2]|0)==1){Xa=2277;break}Zv=f[Eu>>2]|0;if((f[pu>>2]|0)==1){$v=ou+(Y(Zv,lu)|0)|0;break}else{Yv=f[Wp>>2]|0;Pv=(lu|0)/(Yv|0)|0;$v=ou+(Y(Pv,Zv)|0)+(lu-(Y(Pv,Yv)|0)<<2)|0;break}}else Xa=2277;while(0);if((Xa|0)==2277){Xa=0;$v=ou+(lu<<2)|0}f[$v>>2]=_v;lu=lu+1|0}while((lu|0)<(Uv|0))}f[$p>>2]=0;f[aq>>2]=0;f[e>>2]=16842752;f[bq>>2]=v;lu=cq;f[lu>>2]=0;f[lu+4>>2]=0;f[g>>2]=33619968;f[dq>>2]=v;$K(e,g,0);m:do if((Uv|0)>1){lu=f[Yp>>2]|0;ou=f[Zp>>2]|0;pu=ou+4|0;Eu=f[_p>>2]|0;Su=f[Wp>>2]|0;if(f[v>>2]&16384|0){nu=1;while(1){Yv=f[lu+(nu<<2)>>2]|0;Pv=nu+-1|0;if((Yv|0)!=((f[lu+(Pv<<2)>>2]|0)+1|0)){Xa=2311;break c}nu=nu+1|0;if((Y(f[lu+(Pv<<2)>>2]|0,Yv)|0)<=-1){Xa=2313;break c}if((nu|0)>=(Uv|0))break m}}nu=1;Yv=f[ou>>2]|0;while(1){do if((Yv|0)!=1){Pv=f[Eu>>2]|0;if((f[pu>>2]|0)==1){aw=lu+(Y(Pv,nu)|0)|0;break}else{Zv=(nu|0)/(Su|0)|0;aw=lu+(Y(Zv,Pv)|0)+(nu-(Y(Zv,Su)|0)<<2)|0;break}}else aw=lu+(nu<<2)|0;while(0);Ov=f[aw>>2]|0;Zv=nu+-1|0;do if((Yv|0)!=1){Pv=f[Eu>>2]|0;if((f[pu>>2]|0)==1){bw=lu+(Y(Pv,Zv)|0)|0;break}else{cw=(Zv|0)/(Su|0)|0;bw=lu+(Y(cw,Pv)|0)+(Zv-(Y(cw,Su)|0)<<2)|0;break}}else bw=lu+(Zv<<2)|0;while(0);if((Ov|0)!=((f[bw>>2]|0)+1|0)){Xa=2311;break c}do if((Yv|0)!=1){cw=f[Eu>>2]|0;if((f[pu>>2]|0)==1){dw=lu+(Y(cw,nu)|0)|0;break}else{Pv=(nu|0)/(Su|0)|0;dw=lu+(Y(Pv,cw)|0)+(nu-(Y(Pv,Su)|0)<<2)|0;break}}else dw=lu+(nu<<2)|0;while(0);Ov=f[dw>>2]|0;do if((Yv|0)!=1){Pv=f[Eu>>2]|0;if((f[pu>>2]|0)==1){ew=lu+(Y(Pv,Zv)|0)|0;fw=Yv;break}else{cw=(Zv|0)/(Su|0)|0;ew=lu+(Y(cw,Pv)|0)+(Zv-(Y(cw,Su)|0)<<2)|0;fw=Yv;break}}else{ew=lu+(Zv<<2)|0;fw=1}while(0);nu=nu+1|0;if((Y(f[ew>>2]|0,Ov)|0)<=-1){Xa=2313;break c}if((nu|0)>=(Uv|0))break;else Yv=fw}}while(0);f[e>>2]=0;f[eq>>2]=0;qv=YG(e,10)|0;rv=448866;sv=qv+10|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));KCa(t,e,f[Yp>>2]|0)|0;ZG(e);f[e>>2]=0;f[fq>>2]=0;Yv=YG(e,8)|0;nu=Yv;b[nu>>0]=101;b[nu+1>>0]=110;b[nu+2>>0]=100;b[nu+3>>0]=95;nu=Yv+4|0;b[nu>>0]=97;b[nu+1>>0]=120;b[nu+2>>0]=105;b[nu+3>>0]=115;nu=Uv+-1|0;Yv=f[Yp>>2]|0;do if(!(f[v>>2]&16384)){lu=f[Zp>>2]|0;if((f[lu>>2]|0)==1){Xa=2315;break}Su=f[f[_p>>2]>>2]|0;if((f[lu+4>>2]|0)==1){gw=Yv+(Y(Su,nu)|0)|0;break}else{lu=f[Wp>>2]|0;pu=(nu|0)/(lu|0)|0;gw=Yv+(Y(pu,Su)|0)+(nu-(Y(pu,lu)|0)<<2)|0;break}}else Xa=2315;while(0);if((Xa|0)==2315){Xa=0;gw=Yv+(nu<<2)|0}KCa(t,e,gw)|0;ZG(e);f[e>>2]=0;f[gq>>2]=0;qv=YG(e,9)|0;rv=442835;sv=qv+9|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));nu=UAa(c,r,e,t)|0;ZG(e);Yv=oza(o,r)|0;f[Yv>>2]=nu;NCa(e,f[(f[Fa>>2]|0)+4>>2]|0);OCa(a,o,c,e,nu,0);if((b[hq>>0]|0)<0)Emc(f[e>>2]|0);nu=f[iq>>2]|0;do if(nu|0){Yv=nu+12|0;lu=f[Yv>>2]|0;f[Yv>>2]=lu+-1;if((lu|0)!=1)break;lP(v)}while(0);f[iq>>2]=0;f[Yp>>2]=0;f[Yp+4>>2]=0;f[Yp+8>>2]=0;f[Yp+12>>2]=0;if((f[Up>>2]|0)>0){nu=f[Zp>>2]|0;lu=0;do{f[nu+(lu<<2)>>2]=0;lu=lu+1|0}while((lu|0)<(f[Up>>2]|0))}lu=f[_p>>2]|0;if((lu|0)!=(jq|0))tE(lu);break e}while(0);switch(f[Wa>>2]|0){case 2:{f[To>>2]=0;f[Uo>>2]=0;f[ma>>2]=Vo;lu=f[l>>2]|0;if((lu|0)!=(Ga|0)){nu=lu;while(1){lu=nu+16|0;f[i>>2]=ep;f[e>>2]=f[i>>2];Yv=HCa(ma,e,g,h,lu)|0;if(!(f[Yv>>2]|0)){pu=Bmc(28)|0;Su=f[lu>>2]|0;f[pu+16>>2]=Su;f[pu+20>>2]=f[nu+20>>2];if(Su|0){lu=Su+-4|0;f[lu>>2]=(f[lu>>2]|0)+1}f[pu+24>>2]=f[nu+24>>2];lu=f[g>>2]|0;f[pu>>2]=0;f[pu+4>>2]=0;f[pu+8>>2]=lu;f[Yv>>2]=pu;lu=f[f[ma>>2]>>2]|0;if(!lu)hw=pu;else{f[ma>>2]=lu;hw=f[Yv>>2]|0}RS(f[To>>2]|0,hw);f[Uo>>2]=(f[Uo>>2]|0)+1}Yv=f[nu+4>>2]|0;do if(!Yv){lu=nu+8|0;pu=f[lu>>2]|0;if((f[pu>>2]|0)==(nu|0)){iw=pu;break}else jw=lu;do{lu=f[jw>>2]|0;jw=lu+8|0;pu=f[jw>>2]|0}while((f[pu>>2]|0)!=(lu|0));iw=pu}else{pu=Yv;while(1){lu=f[pu>>2]|0;if(!lu)break;else pu=lu}iw=pu}while(0);if((iw|0)==(Ga|0))break;else nu=iw}}Glb(v,ICa(a,q,ma,1,0)|0);fza(ma,f[Vo>>2]|0);kw=f[v>>2]&4095;if((kw|0)!=4){Xa=2129;break c}lw=f[Wo>>2]|0;mw=(lw|0)<3;if(mw)nw=Y(f[Yo>>2]|0,f[Xo>>2]|0)|0;else{nu=f[cp>>2]|0;Yv=0;lu=1;while(1){Su=Y(f[nu+(Yv<<2)>>2]|0,lu)|0;Yv=Yv+1|0;if((Yv|0)==(lw|0)){nw=Su;break}else lu=Su}}if((nw|0)!=2){Xa=2135;break c}f[e>>2]=0;f[Zo>>2]=0;lu=YG(e,6)|0;b[lu>>0]=b[473280]|0;b[lu+1>>0]=b[473281]|0;b[lu+2>>0]=b[473282]|0;b[lu+3>>0]=b[473283]|0;b[lu+4>>0]=b[473284]|0;b[lu+5>>0]=b[473285]|0;KCa(t,e,f[_o>>2]|0)|0;ZG(e);f[e>>2]=0;f[ap>>2]=0;lu=YG(e,5)|0;b[lu>>0]=b[473145]|0;b[lu+1>>0]=b[473146]|0;b[lu+2>>0]=b[473147]|0;b[lu+3>>0]=b[473148]|0;b[lu+4>>0]=b[473149]|0;KCa(t,e,(f[_o>>2]|0)+4|0)|0;ZG(e);lu=f[bp>>2]|0;do if(lu|0){Yv=lu+12|0;nu=f[Yv>>2]|0;f[Yv>>2]=nu+-1;if((nu|0)!=1)break;lP(v)}while(0);f[bp>>2]=0;f[_o>>2]=0;f[_o+4>>2]=0;f[_o+8>>2]=0;f[_o+12>>2]=0;if((f[Wo>>2]|0)>0){lu=f[cp>>2]|0;nu=0;do{f[lu+(nu<<2)>>2]=0;nu=nu+1|0}while((nu|0)<(f[Wo>>2]|0))}nu=f[$o>>2]|0;if((nu|0)!=(dp|0))tE(nu);break}case 3:{f[rp>>2]=0;f[sp>>2]=0;f[na>>2]=tp;nu=f[l>>2]|0;if((nu|0)!=(Ga|0)){lu=nu;while(1){nu=lu+16|0;f[i>>2]=Qp;f[e>>2]=f[i>>2];Yv=HCa(na,e,g,h,nu)|0;if(!(f[Yv>>2]|0)){Su=Bmc(28)|0;Eu=f[nu>>2]|0;f[Su+16>>2]=Eu;f[Su+20>>2]=f[lu+20>>2];if(Eu|0){nu=Eu+-4|0;f[nu>>2]=(f[nu>>2]|0)+1}f[Su+24>>2]=f[lu+24>>2];nu=f[g>>2]|0;f[Su>>2]=0;f[Su+4>>2]=0;f[Su+8>>2]=nu;f[Yv>>2]=Su;nu=f[f[na>>2]>>2]|0;if(!nu)ow=Su;else{f[na>>2]=nu;ow=f[Yv>>2]|0}RS(f[rp>>2]|0,ow);f[sp>>2]=(f[sp>>2]|0)+1}Yv=f[lu+4>>2]|0;do if(!Yv){nu=lu+8|0;Su=f[nu>>2]|0;if((f[Su>>2]|0)==(lu|0)){pw=Su;break}else qw=nu;do{nu=f[qw>>2]|0;qw=nu+8|0;Su=f[qw>>2]|0}while((f[Su>>2]|0)!=(nu|0));pw=Su}else{pu=Yv;while(1){Su=f[pu>>2]|0;if(!Su)break;else pu=Su}pw=pu}while(0);if((pw|0)==(Ga|0))break;else lu=pw}}Glb(v,ICa(a,q,na,1,0)|0);fza(na,f[tp>>2]|0);f[up>>2]=0;f[vp>>2]=0;f[oa>>2]=wp;lu=f[l>>2]|0;if((lu|0)!=(Ga|0)){Yv=lu;while(1){lu=Yv+16|0;f[i>>2]=Pp;f[e>>2]=f[i>>2];Su=HCa(oa,e,g,h,lu)|0;if(!(f[Su>>2]|0)){nu=Bmc(28)|0;Eu=f[lu>>2]|0;f[nu+16>>2]=Eu;f[nu+20>>2]=f[Yv+20>>2];if(Eu|0){lu=Eu+-4|0;f[lu>>2]=(f[lu>>2]|0)+1}f[nu+24>>2]=f[Yv+24>>2];lu=f[g>>2]|0;f[nu>>2]=0;f[nu+4>>2]=0;f[nu+8>>2]=lu;f[Su>>2]=nu;lu=f[f[oa>>2]>>2]|0;if(!lu)rw=nu;else{f[oa>>2]=lu;rw=f[Su>>2]|0}RS(f[up>>2]|0,rw);f[vp>>2]=(f[vp>>2]|0)+1}Su=f[Yv+4>>2]|0;do if(!Su){lu=Yv+8|0;nu=f[lu>>2]|0;if((f[nu>>2]|0)==(Yv|0)){sw=nu;break}else tw=lu;do{lu=f[tw>>2]|0;tw=lu+8|0;nu=f[tw>>2]|0}while((f[nu>>2]|0)!=(lu|0));sw=nu}else{pu=Su;while(1){nu=f[pu>>2]|0;if(!nu)break;else pu=nu}sw=pu}while(0);if((sw|0)==(Ga|0))break;else Yv=sw}}Glb(w,ICa(a,q,oa,2,0)|0);fza(oa,f[wp>>2]|0);uw=f[v>>2]&4095;if((uw|0)!=4){Xa=2176;break c}vw=f[xp>>2]|0;ww=(vw|0)<3;if(ww)xw=Y(f[zp>>2]|0,f[yp>>2]|0)|0;else{Yv=f[Mp>>2]|0;Su=0;nu=1;while(1){lu=Y(f[Yv+(Su<<2)>>2]|0,nu)|0;Su=Su+1|0;if((Su|0)==(vw|0)){xw=lu;break}else nu=lu}}if((xw|0)!=1){Xa=2182;break c}yw=f[w>>2]&4095;if((yw|0)!=4){Xa=2188;break c}zw=f[Ap>>2]|0;Aw=(zw|0)<3;if(Aw)Bw=Y(f[Cp>>2]|0,f[Bp>>2]|0)|0;else{nu=f[Ip>>2]|0;Su=0;Yv=1;while(1){lu=Y(f[nu+(Su<<2)>>2]|0,Yv)|0;Su=Su+1|0;if((Su|0)==(zw|0)){Bw=lu;break}else Yv=lu}}if((Bw|0)!=1){Xa=2194;break c}f[e>>2]=0;f[Dp>>2]=0;qv=YG(e,13)|0;rv=454292;sv=qv+13|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));KCa(t,e,f[Ep>>2]|0)|0;ZG(e);f[e>>2]=0;f[Fp>>2]=0;qv=YG(e,13)|0;rv=454306;sv=qv+13|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));KCa(t,e,f[Gp>>2]|0)|0;ZG(e);Yv=f[Hp>>2]|0;do if(Yv|0){Su=Yv+12|0;nu=f[Su>>2]|0;f[Su>>2]=nu+-1;if((nu|0)!=1)break;lP(w)}while(0);f[Hp>>2]=0;f[Ep>>2]=0;f[Ep+4>>2]=0;f[Ep+8>>2]=0;f[Ep+12>>2]=0;if((f[Ap>>2]|0)>0){Yv=f[Ip>>2]|0;nu=0;do{f[Yv+(nu<<2)>>2]=0;nu=nu+1|0}while((nu|0)<(f[Ap>>2]|0))}nu=f[Jp>>2]|0;if((nu|0)!=(Kp|0))tE(nu);nu=f[Lp>>2]|0;do if(nu|0){Yv=nu+12|0;Su=f[Yv>>2]|0;f[Yv>>2]=Su+-1;if((Su|0)!=1)break;lP(v)}while(0);f[Lp>>2]=0;f[Gp>>2]=0;f[Gp+4>>2]=0;f[Gp+8>>2]=0;f[Gp+12>>2]=0;if((f[xp>>2]|0)>0){nu=f[Mp>>2]|0;Su=0;do{f[nu+(Su<<2)>>2]=0;Su=Su+1|0}while((Su|0)<(f[xp>>2]|0))}Su=f[Np>>2]|0;if((Su|0)!=(Op|0))tE(Su);break}default:{Xa=2216;break c}}Su=f[s>>2]|0;do if((Su|0)==444873)Xa=2219;else{if(!(o7b((Su|0)==0?1163146:Su,444873)|0)){Xa=2219;break}f[e>>2]=0;f[qp>>2]=0;qv=YG(e,13)|0;rv=454533;sv=qv+13|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));fDa(t,e,454555)|0;ZG(e)}while(0);if((Xa|0)==2219){Xa=0;f[e>>2]=0;f[fp>>2]=0;qv=YG(e,13)|0;rv=454533;sv=qv+13|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));eDa(t,e,454547)|0;ZG(e)};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Su=Bmc(16)|0;f[h>>2]=Su;f[gp>>2]=-2147483632;f[hp>>2]=13;qv=Su;rv=454622;sv=qv+13|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));b[Su+13>>0]=0;v_b(_b);PCa(g,$b);QCa(e,f[ip>>2]|0,h,0);nu=(f[e>>2]|0)==0;RCa(g);if((b[jp>>0]|0)<0)Emc(f[h>>2]|0);if(!nu){f[e>>2]=0;f[mp>>2]=0;qv=YG(e,13)|0;rv=454622;sv=qv+13|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Su=Bmc(16)|0;f[h>>2]=Su;f[np>>2]=-2147483632;f[op>>2]=13;qv=Su;rv=454622;sv=qv+13|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));b[Su+13>>0]=0;v_b(_b);nu=SCa($b,h)|0;b[g>>0]=(b[nu+8>>0]|0?(f[nu+20>>2]|0)==5:0)&1;TCa(t,e,g)|0;if((b[pp>>0]|0)<0)Emc(f[h>>2]|0);ZG(e)}f[e>>2]=0;f[kp>>2]=0;nu=YG(e,6)|0;b[nu>>0]=b[443754]|0;b[nu+1>>0]=b[443755]|0;b[nu+2>>0]=b[443756]|0;b[nu+3>>0]=b[443757]|0;b[nu+4>>0]=b[443758]|0;b[nu+5>>0]=b[443759]|0;nu=UAa(c,r,e,t)|0;ZG(e);Yv=oza(o,r)|0;f[Yv>>2]=nu;NCa(e,f[(f[Fa>>2]|0)+4>>2]|0);OCa(a,o,c,e,nu,0);if((b[lp>>0]|0)<0)Emc(f[e>>2]|0);break e}while(0);if((f[Wa>>2]|0)!=9){Xa=1879;break c};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;nu=Bmc(16)|0;f[h>>2]=nu;f[mm>>2]=-2147483632;f[nm>>2]=11;qv=nu;rv=458207;sv=qv+11|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));b[nu+11>>0]=0;v_b(_b);PCa(g,$b);QCa(e,f[om>>2]|0,h,0);Yv=(f[e>>2]|0)==0;RCa(g);if((b[pm>>0]|0)<0)Emc(f[h>>2]|0);if(!Yv){f[e>>2]=0;f[Po>>2]=0;qv=YG(e,11)|0;rv=458207;sv=qv+11|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;nu=Bmc(16)|0;f[h>>2]=nu;f[Qo>>2]=-2147483632;f[Ro>>2]=11;qv=nu;rv=458207;sv=qv+11|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));b[nu+11>>0]=0;v_b(_b);Yv=SCa($b,h)|0;n[g>>2]=(f[Yv+20>>2]|0)==4?+n[Yv+8>>2]:0.0;LCa(t,e,g)|0;if((b[So>>0]|0)<0)Emc(f[h>>2]|0);ZG(e)};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Yv=Bmc(16)|0;f[h>>2]=Yv;f[qm>>2]=-2147483632;f[rm>>2]=11;qv=Yv;rv=458207;sv=qv+11|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));b[Yv+11>>0]=0;v_b(_b);PCa(g,$b);QCa(e,f[sm>>2]|0,h,0);nu=(f[e>>2]|0)==0;RCa(g);if((b[tm>>0]|0)<0)Emc(f[h>>2]|0);if(!nu){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[Lo>>0]=9;qv=g;rv=458219;sv=qv+9|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));b[Mo>>0]=0;v_b(_b);Yv=SCa($b,g)|0;Cw=(f[Yv+20>>2]|0)==4?+n[Yv+8>>2]:0.0;if((b[Lo>>0]|0)<0)Emc(f[g>>2]|0);n[e>>2]=Cw;if(Cw>=0.0){f[g>>2]=0;f[No>>2]=0;qv=YG(g,13)|0;rv=458229;sv=qv+13|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));b[h>>0]=1;TCa(t,g,h)|0;ZG(g);f[g>>2]=0;f[Oo>>2]=0;qv=YG(g,9)|0;rv=458219;sv=qv+9|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));LCa(t,g,e)|0;ZG(g)}}f[v>>2]=1124007936;qv=um;sv=qv+36|0;do{f[qv>>2]=0;qv=qv+4|0}while((qv|0)<(sv|0));f[wm>>2]=vm;f[ym>>2]=xm;f[xm>>2]=0;f[zm>>2]=0;f[w>>2]=1124007936;qv=Am;sv=qv+36|0;do{f[qv>>2]=0;qv=qv+4|0}while((qv|0)<(sv|0));f[Cm>>2]=Bm;f[Em>>2]=Dm;f[Dm>>2]=0;f[Fm>>2]=0;f[x>>2]=1124007936;qv=Gm;sv=qv+36|0;do{f[qv>>2]=0;qv=qv+4|0}while((qv|0)<(sv|0));f[Im>>2]=Hm;f[Km>>2]=Jm;f[Jm>>2]=0;f[Lm>>2]=0;f[z>>2]=1124007936;qv=Mm;sv=qv+36|0;do{f[qv>>2]=0;qv=qv+4|0}while((qv|0)<(sv|0));f[Om>>2]=Nm;f[Qm>>2]=Pm;f[Pm>>2]=0;f[Rm>>2]=0;f[Sm>>2]=0;f[Tm>>2]=0;f[ga>>2]=Um;Yv=f[l>>2]|0;if((Yv|0)!=(Ga|0)){nu=Yv;while(1){Yv=nu+16|0;f[i>>2]=Ko;f[e>>2]=f[i>>2];lu=HCa(ga,e,g,h,Yv)|0;if(!(f[lu>>2]|0)){Eu=Bmc(28)|0;ou=f[Yv>>2]|0;f[Eu+16>>2]=ou;f[Eu+20>>2]=f[nu+20>>2];if(ou|0){Yv=ou+-4|0;f[Yv>>2]=(f[Yv>>2]|0)+1}f[Eu+24>>2]=f[nu+24>>2];Yv=f[g>>2]|0;f[Eu>>2]=0;f[Eu+4>>2]=0;f[Eu+8>>2]=Yv;f[lu>>2]=Eu;Yv=f[f[ga>>2]>>2]|0;if(!Yv)Dw=Eu;else{f[ga>>2]=Yv;Dw=f[lu>>2]|0}RS(f[Sm>>2]|0,Dw);f[Tm>>2]=(f[Tm>>2]|0)+1}lu=f[nu+4>>2]|0;do if(!lu){Yv=nu+8|0;Eu=f[Yv>>2]|0;if((f[Eu>>2]|0)==(nu|0)){Ew=Eu;break}else Fw=Yv;do{Yv=f[Fw>>2]|0;Fw=Yv+8|0;Eu=f[Fw>>2]|0}while((f[Eu>>2]|0)!=(Yv|0));Ew=Eu}else{Eu=lu;while(1){Yv=f[Eu>>2]|0;if(!Yv)break;else Eu=Yv}Ew=Eu}while(0);if((Ew|0)==(Ga|0))break;else nu=Ew}}UCa(ICa(a,q,ga,4,0)|0,v);fza(ga,f[Um>>2]|0);f[Vm>>2]=0;f[Wm>>2]=0;f[ha>>2]=Xm;nu=f[l>>2]|0;if((nu|0)!=(Ga|0)){lu=nu;while(1){nu=lu+16|0;f[i>>2]=Jo;f[e>>2]=f[i>>2];Su=HCa(ha,e,g,h,nu)|0;if(!(f[Su>>2]|0)){Yv=Bmc(28)|0;ou=f[nu>>2]|0;f[Yv+16>>2]=ou;f[Yv+20>>2]=f[lu+20>>2];if(ou|0){nu=ou+-4|0;f[nu>>2]=(f[nu>>2]|0)+1}f[Yv+24>>2]=f[lu+24>>2];nu=f[g>>2]|0;f[Yv>>2]=0;f[Yv+4>>2]=0;f[Yv+8>>2]=nu;f[Su>>2]=Yv;nu=f[f[ha>>2]>>2]|0;if(!nu)Gw=Yv;else{f[ha>>2]=nu;Gw=f[Su>>2]|0}RS(f[Vm>>2]|0,Gw);f[Wm>>2]=(f[Wm>>2]|0)+1}Su=f[lu+4>>2]|0;do if(!Su){nu=lu+8|0;Yv=f[nu>>2]|0;if((f[Yv>>2]|0)==(lu|0)){Hw=Yv;break}else Iw=nu;do{nu=f[Iw>>2]|0;Iw=nu+8|0;Yv=f[Iw>>2]|0}while((f[Yv>>2]|0)!=(nu|0));Hw=Yv}else{Eu=Su;while(1){Yv=f[Eu>>2]|0;if(!Yv)break;else Eu=Yv}Hw=Eu}while(0);if((Hw|0)==(Ga|0))break;else lu=Hw}}UCa(ICa(a,q,ha,8,0)|0,z);fza(ha,f[Xm>>2]|0);lu=f[Ym>>2]|0;Su=(lu|0)/4|0;Yv=f[Zm>>2]|0;nu=f[vm>>2]|0;do if((nu|0)>0){ou=Su<<1;Zv=Su*3|0;if((lu|0)>3)Jw=0;else break;do{cw=Y(lu,Jw)|0;Pv=0;do{Kw=Yv+(Pv+Su+cw<<2)|0;Lw=Yv+(Pv+ou+cw<<2)|0;Mw=f[Kw>>2]|0;f[Kw>>2]=f[Lw>>2];f[Lw>>2]=Mw;Kw=Yv+(Pv+Zv+cw<<2)|0;f[Lw>>2]=f[Kw>>2];f[Kw>>2]=Mw;Pv=Pv+1|0}while((Pv|0)<(Su|0));Jw=Jw+1|0}while((Jw|0)<(nu|0))}while(0);f[e>>2]=0;f[_m>>2]=nu-Su;f[g>>2]=-2147483648;f[$m>>2]=2147483647;mP(ia,v,e,g);mG(h,ia);Yv=f[h>>2]|0;rh[f[(f[Yv>>2]|0)+12>>2]&255](Yv,h,x,-1);Xi(h);Yv=f[an>>2]|0;do if(Yv|0){lu=Yv+12|0;Zv=f[lu>>2]|0;f[lu>>2]=Zv+-1;if((Zv|0)!=1)break;lP(ia)}while(0);f[an>>2]=0;f[bn>>2]=0;f[bn+4>>2]=0;f[bn+8>>2]=0;f[bn+12>>2]=0;if((f[cn>>2]|0)>0){Yv=f[dn>>2]|0;nu=0;do{f[Yv+(nu<<2)>>2]=0;nu=nu+1|0}while((nu|0)<(f[cn>>2]|0))}nu=f[en>>2]|0;if((nu|0)!=(fn|0))tE(nu);nu=f[vm>>2]|0;f[e>>2]=nu-Su;f[gn>>2]=nu;f[g>>2]=-2147483648;f[hn>>2]=2147483647;mP(ja,v,e,g);mG(h,ja);nu=f[h>>2]|0;rh[f[(f[nu>>2]|0)+12>>2]&255](nu,h,w,-1);Xi(h);nu=f[jn>>2]|0;do if(nu|0){Yv=nu+12|0;Zv=f[Yv>>2]|0;f[Yv>>2]=Zv+-1;if((Zv|0)!=1)break;lP(ja)}while(0);f[jn>>2]=0;f[kn>>2]=0;f[kn+4>>2]=0;f[kn+8>>2]=0;f[kn+12>>2]=0;if((f[ln>>2]|0)>0){nu=f[mn>>2]|0;Su=0;do{f[nu+(Su<<2)>>2]=0;Su=Su+1|0}while((Su|0)<(f[ln>>2]|0))}Su=f[nn>>2]|0;if((Su|0)!=(on|0))tE(Su);sD(dc,3);Su=f[dc>>2]|0;if((Su|0)==(w|0))Nw=w;else{nu=f[zn>>2]|0;if(nu|0){Zv=nu+12|0;f[Zv>>2]=(f[Zv>>2]|0)+1}Zv=Su+36|0;nu=f[Zv>>2]|0;do if(nu|0){Yv=nu+12|0;lu=f[Yv>>2]|0;f[Yv>>2]=lu+-1;if((lu|0)!=1)break;lP(Su)}while(0);f[Zv>>2]=0;nu=Su+16|0;lu=Su+4|0;f[nu>>2]=0;f[nu+4>>2]=0;f[nu+8>>2]=0;f[nu+12>>2]=0;if((f[lu>>2]|0)>0){Yv=f[Su+40>>2]|0;ou=0;do{f[Yv+(ou<<2)>>2]=0;ou=ou+1|0;Ow=f[lu>>2]|0}while((ou|0)<(Ow|0));f[Su>>2]=f[w>>2];if((Ow|0)<3)Xa=1952;else Xa=1954}else{f[Su>>2]=f[w>>2];Xa=1952}do if((Xa|0)==1952){Xa=0;ou=f[Am>>2]|0;if((ou|0)>=3){Xa=1954;break}f[lu>>2]=ou;f[Su+8>>2]=f[Bm>>2];f[Su+12>>2]=f[Eo>>2];ou=f[Em>>2]|0;Yv=f[Su+44>>2]|0;f[Yv>>2]=f[ou>>2];f[Yv+4>>2]=f[ou+4>>2]}while(0);if((Xa|0)==1954){Xa=0;kP(Su,w)}f[nu>>2]=f[An>>2];f[Su+20>>2]=f[Fo>>2];f[Su+24>>2]=f[Go>>2];f[Su+28>>2]=f[Ho>>2];f[Su+32>>2]=f[Io>>2];f[Zv>>2]=f[zn>>2];Nw=f[dc>>2]|0}lu=Nw+56|0;if((lu|0)==(x|0))Pw=Nw;else{ou=f[xn>>2]|0;if(ou|0){Yv=ou+12|0;f[Yv>>2]=(f[Yv>>2]|0)+1}Yv=Nw+92|0;ou=f[Yv>>2]|0;do if(ou|0){Pv=ou+12|0;cw=f[Pv>>2]|0;f[Pv>>2]=cw+-1;if((cw|0)!=1)break;lP(lu)}while(0);f[Yv>>2]=0;ou=Nw+72|0;Zv=Nw+60|0;f[ou>>2]=0;f[ou+4>>2]=0;f[ou+8>>2]=0;f[ou+12>>2]=0;if((f[Zv>>2]|0)>0){Su=f[Nw+96>>2]|0;nu=0;do{f[Su+(nu<<2)>>2]=0;nu=nu+1|0;Qw=f[Zv>>2]|0}while((nu|0)<(Qw|0));f[lu>>2]=f[x>>2];if((Qw|0)<3)Xa=1967;else Xa=1969}else{f[lu>>2]=f[x>>2];Xa=1967}do if((Xa|0)==1967){Xa=0;nu=f[Gm>>2]|0;if((nu|0)>=3){Xa=1969;break}f[Zv>>2]=nu;f[Nw+64>>2]=f[Hm>>2];f[Nw+68>>2]=f[zo>>2];nu=f[Km>>2]|0;Su=f[Nw+100>>2]|0;f[Su>>2]=f[nu>>2];f[Su+4>>2]=f[nu+4>>2]}while(0);if((Xa|0)==1969){Xa=0;kP(lu,x)}f[ou>>2]=f[yn>>2];f[Nw+76>>2]=f[Ao>>2];f[Nw+80>>2]=f[Bo>>2];f[Nw+84>>2]=f[Co>>2];f[Nw+88>>2]=f[Do>>2];f[Yv>>2]=f[xn>>2];Pw=f[dc>>2]|0}Zv=Pw+112|0;if((Zv|0)!=(z|0)){nu=f[vn>>2]|0;if(nu|0){Su=nu+12|0;f[Su>>2]=(f[Su>>2]|0)+1}Su=Pw+148|0;nu=f[Su>>2]|0;do if(nu|0){cw=nu+12|0;Pv=f[cw>>2]|0;f[cw>>2]=Pv+-1;if((Pv|0)!=1)break;lP(Zv)}while(0);f[Su>>2]=0;nu=Pw+128|0;Yv=Pw+116|0;f[nu>>2]=0;f[nu+4>>2]=0;f[nu+8>>2]=0;f[nu+12>>2]=0;if((f[Yv>>2]|0)>0){ou=f[Pw+152>>2]|0;lu=0;do{f[ou+(lu<<2)>>2]=0;lu=lu+1|0;Rw=f[Yv>>2]|0}while((lu|0)<(Rw|0));f[Zv>>2]=f[z>>2];if((Rw|0)<3)Xa=1982;else Xa=1984}else{f[Zv>>2]=f[z>>2];Xa=1982}do if((Xa|0)==1982){Xa=0;lu=f[Mm>>2]|0;if((lu|0)>=3){Xa=1984;break}f[Yv>>2]=lu;f[Pw+120>>2]=f[Nm>>2];f[Pw+124>>2]=f[uo>>2];lu=f[Qm>>2]|0;ou=f[Pw+156>>2]|0;f[ou>>2]=f[lu>>2];f[ou+4>>2]=f[lu+4>>2]}while(0);if((Xa|0)==1984){Xa=0;kP(Zv,z)}f[nu>>2]=f[wn>>2];f[Pw+132>>2]=f[vo>>2];f[Pw+136>>2]=f[wo>>2];f[Pw+140>>2]=f[xo>>2];f[Pw+144>>2]=f[yo>>2];f[Su>>2]=f[vn>>2]};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Yv=Bmc(16)|0;f[h>>2]=Yv;f[pn>>2]=-2147483632;f[qn>>2]=12;qv=Yv;rv=458243;sv=qv+12|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));b[Yv+12>>0]=0;v_b(_b);PCa(g,$b);QCa(e,f[rn>>2]|0,h,0);Su=(f[e>>2]|0)==0;RCa(g);if((b[sn>>0]|0)<0)Emc(f[h>>2]|0);do if(!Su){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;nu=Bmc(16)|0;f[e>>2]=nu;f[Cn>>2]=-2147483632;f[Dn>>2]=12;qv=nu;rv=458243;sv=qv+12|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));b[nu+12>>0]=0;v_b(_b);Zv=SCa($b,e)|0;lu=b[Zv+8>>0]|0?(f[Zv+20>>2]|0)==5:0;if((b[En>>0]|0)<0)Emc(f[e>>2]|0);if(!lu)break;f[e>>2]=0;f[Fn>>2]=0;qv=YG(e,12)|0;rv=458243;sv=qv+12|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));b[g>>0]=1;TCa(t,e,g)|0;ZG(e);sD(dc,6);nu=0;do{f[ka>>2]=1124007936;qv=Gn;sv=qv+36|0;do{f[qv>>2]=0;qv=qv+4|0}while((qv|0)<(sv|0));f[In>>2]=Hn;f[Kn>>2]=Jn;f[Jn>>2]=0;f[Ln>>2]=0;f[Mn>>2]=0;f[Nn>>2]=0;f[la>>2]=On;lu=f[l>>2]|0;if((lu|0)!=(Ga|0)){Zv=lu;while(1){lu=Zv+16|0;f[i>>2]=to;f[e>>2]=f[i>>2];ou=HCa(la,e,g,h,lu)|0;if(!(f[ou>>2]|0)){Pv=Bmc(28)|0;cw=f[lu>>2]|0;f[Pv+16>>2]=cw;f[Pv+20>>2]=f[Zv+20>>2];if(cw|0){lu=cw+-4|0;f[lu>>2]=(f[lu>>2]|0)+1}f[Pv+24>>2]=f[Zv+24>>2];lu=f[g>>2]|0;f[Pv>>2]=0;f[Pv+4>>2]=0;f[Pv+8>>2]=lu;f[ou>>2]=Pv;lu=f[f[la>>2]>>2]|0;if(!lu)Sw=Pv;else{f[la>>2]=lu;Sw=f[ou>>2]|0}RS(f[Mn>>2]|0,Sw);f[Nn>>2]=(f[Nn>>2]|0)+1}ou=f[Zv+4>>2]|0;do if(!ou){lu=Zv+8|0;Pv=f[lu>>2]|0;if((f[Pv>>2]|0)==(Zv|0)){Tw=Pv;break}else Uw=lu;do{lu=f[Uw>>2]|0;Uw=lu+8|0;Pv=f[Uw>>2]|0}while((f[Pv>>2]|0)!=(lu|0));Tw=Pv}else{Ov=ou;while(1){Pv=f[Ov>>2]|0;if(!Pv)break;else Ov=Pv}Tw=Ov}while(0);if((Tw|0)==(Ga|0))break;else Zv=Tw}}UCa(ICa(a,q,la,nu+5|0,0)|0,ka);fza(la,f[On>>2]|0);Zv=f[Gn>>2]|0;if((Zv|0)<3)Vw=Y(f[Pn>>2]|0,f[Hn>>2]|0)|0;else{ou=f[In>>2]|0;pu=0;Pv=1;while(1){lu=Y(f[ou+(pu<<2)>>2]|0,Pv)|0;pu=pu+1|0;if((pu|0)==(Zv|0)){Vw=lu;break}else Pv=lu}}xP(e,ka,1,Vw);Pv=f[Qn>>2]|0;if(Pv|0){Zv=Pv+12|0;f[Zv>>2]=(f[Zv>>2]|0)+1}Zv=f[Rn>>2]|0;do if(Zv|0){Pv=Zv+12|0;pu=f[Pv>>2]|0;f[Pv>>2]=pu+-1;if((pu|0)!=1)break;lP(ka)}while(0);f[Rn>>2]=0;f[Sn>>2]=0;f[Sn+4>>2]=0;f[Sn+8>>2]=0;f[Sn+12>>2]=0;if((f[Gn>>2]|0)>0){Zv=f[In>>2]|0;pu=0;do{f[Zv+(pu<<2)>>2]=0;pu=pu+1|0;Ww=f[Gn>>2]|0}while((pu|0)<(Ww|0));f[ka>>2]=f[e>>2];if((Ww|0)<3)Xa=2020;else Xa=2022}else{f[ka>>2]=f[e>>2];Xa=2020}do if((Xa|0)==2020){Xa=0;pu=f[Tn>>2]|0;if((pu|0)>=3){Xa=2022;break}f[Gn>>2]=pu;f[Hn>>2]=f[Un>>2];f[Pn>>2]=f[Vn>>2];pu=f[Wn>>2]|0;Zv=f[Kn>>2]|0;f[Zv>>2]=f[pu>>2];f[Zv+4>>2]=f[pu+4>>2]}while(0);if((Xa|0)==2022){Xa=0;kP(ka,e)}f[Sn>>2]=f[Xn>>2];f[Zn>>2]=f[Yn>>2];f[$n>>2]=f[_n>>2];f[bo>>2]=f[ao>>2];f[eo>>2]=f[co>>2];pu=f[Qn>>2]|0;f[Rn>>2]=pu;do if(pu|0){Zv=pu+12|0;Pv=f[Zv>>2]|0;f[Zv>>2]=Pv+-1;if((Pv|0)!=1)break;lP(e)}while(0);f[Qn>>2]=0;f[Xn>>2]=0;f[Xn+4>>2]=0;f[Xn+8>>2]=0;f[Xn+12>>2]=0;if((f[Tn>>2]|0)>0){pu=f[fo>>2]|0;Pv=0;do{f[pu+(Pv<<2)>>2]=0;Pv=Pv+1|0}while((Pv|0)<(f[Tn>>2]|0))}Pv=f[Wn>>2]|0;if((Pv|0)!=(go|0))tE(Pv);AP(e,ka);Pv=f[ho>>2]|0;if(Pv|0){pu=Pv+12|0;f[pu>>2]=(f[pu>>2]|0)+1}pu=f[Rn>>2]|0;do if(pu|0){Pv=pu+12|0;Zv=f[Pv>>2]|0;f[Pv>>2]=Zv+-1;if((Zv|0)!=1)break;lP(ka)}while(0);f[Rn>>2]=0;f[Sn>>2]=0;f[Sn+4>>2]=0;f[Sn+8>>2]=0;f[Sn+12>>2]=0;if((f[Gn>>2]|0)>0){pu=f[In>>2]|0;Zv=0;do{f[pu+(Zv<<2)>>2]=0;Zv=Zv+1|0;Xw=f[Gn>>2]|0}while((Zv|0)<(Xw|0));f[ka>>2]=f[e>>2];if((Xw|0)<3)Xa=2041;else Xa=2043}else{f[ka>>2]=f[e>>2];Xa=2041}do if((Xa|0)==2041){Xa=0;Zv=f[io>>2]|0;if((Zv|0)>=3){Xa=2043;break}f[Gn>>2]=Zv;f[Hn>>2]=f[jo>>2];f[Pn>>2]=f[ko>>2];Zv=f[lo>>2]|0;pu=f[Kn>>2]|0;f[pu>>2]=f[Zv>>2];f[pu+4>>2]=f[Zv+4>>2]}while(0);if((Xa|0)==2043){Xa=0;kP(ka,e)}f[Sn>>2]=f[mo>>2];f[Zn>>2]=f[no>>2];f[$n>>2]=f[oo>>2];f[bo>>2]=f[po>>2];f[eo>>2]=f[qo>>2];Zv=f[ho>>2]|0;f[Rn>>2]=Zv;do if(Zv|0){pu=Zv+12|0;Pv=f[pu>>2]|0;f[pu>>2]=Pv+-1;if((Pv|0)!=1)break;lP(e)}while(0);f[ho>>2]=0;f[mo>>2]=0;f[mo+4>>2]=0;f[mo+8>>2]=0;f[mo+12>>2]=0;if((f[io>>2]|0)>0){Zv=f[ro>>2]|0;Pv=0;do{f[Zv+(Pv<<2)>>2]=0;Pv=Pv+1|0}while((Pv|0)<(f[io>>2]|0))}Pv=f[lo>>2]|0;if((Pv|0)!=(so|0))tE(Pv);Pv=nu+3|0;Zv=f[dc>>2]|0;pu=Zv+(Pv*56|0)|0;if((pu|0)!=(ka|0)){ou=f[Rn>>2]|0;if(ou|0){lu=ou+12|0;f[lu>>2]=(f[lu>>2]|0)+1}lu=Zv+(Pv*56|0)+36|0;ou=f[lu>>2]|0;do if(ou|0){cw=ou+12|0;Eu=f[cw>>2]|0;f[cw>>2]=Eu+-1;if((Eu|0)!=1)break;lP(pu)}while(0);f[lu>>2]=0;ou=Zv+(Pv*56|0)+16|0;Eu=Zv+(Pv*56|0)+4|0;f[ou>>2]=0;f[ou+4>>2]=0;f[ou+8>>2]=0;f[ou+12>>2]=0;if((f[Eu>>2]|0)>0){cw=f[Zv+(Pv*56|0)+40>>2]|0;Mw=0;do{f[cw+(Mw<<2)>>2]=0;Mw=Mw+1|0;Yw=f[Eu>>2]|0}while((Mw|0)<(Yw|0));f[pu>>2]=f[ka>>2];if((Yw|0)<3)Xa=2063;else Xa=2065}else{f[pu>>2]=f[ka>>2];Xa=2063}do if((Xa|0)==2063){Xa=0;Mw=f[Gn>>2]|0;if((Mw|0)>=3){Xa=2065;break}f[Eu>>2]=Mw;f[Zv+(Pv*56|0)+8>>2]=f[Hn>>2];f[Zv+(Pv*56|0)+12>>2]=f[Pn>>2];Mw=f[Kn>>2]|0;cw=f[Zv+(Pv*56|0)+44>>2]|0;f[cw>>2]=f[Mw>>2];f[cw+4>>2]=f[Mw+4>>2]}while(0);if((Xa|0)==2065){Xa=0;kP(pu,ka)}f[ou>>2]=f[Sn>>2];f[Zv+(Pv*56|0)+20>>2]=f[Zn>>2];f[Zv+(Pv*56|0)+24>>2]=f[$n>>2];f[Zv+(Pv*56|0)+28>>2]=f[bo>>2];f[Zv+(Pv*56|0)+32>>2]=f[eo>>2];f[lu>>2]=f[Rn>>2]}Eu=f[Rn>>2]|0;do if(Eu|0){Mw=Eu+12|0;cw=f[Mw>>2]|0;f[Mw>>2]=cw+-1;if((cw|0)!=1)break;lP(ka)}while(0);f[Rn>>2]=0;f[Sn>>2]=0;f[Sn+4>>2]=0;f[Sn+8>>2]=0;f[Sn+12>>2]=0;if((f[Gn>>2]|0)>0){Eu=f[In>>2]|0;lu=0;do{f[Eu+(lu<<2)>>2]=0;lu=lu+1|0}while((lu|0)<(f[Gn>>2]|0))}lu=f[Kn>>2]|0;if((lu|0)!=(Jn|0))tE(lu);nu=nu+1|0}while((nu|0)<3)}while(0);f[e>>2]=0;f[tn>>2]=0;Su=YG(e,4)|0;b[Su>>0]=76;b[Su+1>>0]=83;b[Su+2>>0]=84;b[Su+3>>0]=77;Su=UAa(c,r,e,t)|0;ZG(e);Yv=oza(o,r)|0;f[Yv>>2]=Su;NCa(e,f[(f[Fa>>2]|0)+8>>2]|0);OCa(a,o,c,e,Su,0);if((b[un>>0]|0)<0)Emc(f[e>>2]|0);Su=oza(k,r)|0;f[Su>>2]=2;Su=f[vn>>2]|0;do if(Su|0){Yv=Su+12|0;nu=f[Yv>>2]|0;f[Yv>>2]=nu+-1;if((nu|0)!=1)break;lP(z)}while(0);f[vn>>2]=0;f[wn>>2]=0;f[wn+4>>2]=0;f[wn+8>>2]=0;f[wn+12>>2]=0;if((f[Mm>>2]|0)>0){Su=f[Om>>2]|0;nu=0;do{f[Su+(nu<<2)>>2]=0;nu=nu+1|0}while((nu|0)<(f[Mm>>2]|0))}nu=f[Qm>>2]|0;if((nu|0)!=(Pm|0))tE(nu);nu=f[xn>>2]|0;do if(nu|0){Su=nu+12|0;Yv=f[Su>>2]|0;f[Su>>2]=Yv+-1;if((Yv|0)!=1)break;lP(x)}while(0);f[xn>>2]=0;f[yn>>2]=0;f[yn+4>>2]=0;f[yn+8>>2]=0;f[yn+12>>2]=0;if((f[Gm>>2]|0)>0){nu=f[Im>>2]|0;Yv=0;do{f[nu+(Yv<<2)>>2]=0;Yv=Yv+1|0}while((Yv|0)<(f[Gm>>2]|0))}Yv=f[Km>>2]|0;if((Yv|0)!=(Jm|0))tE(Yv);Yv=f[zn>>2]|0;do if(Yv|0){nu=Yv+12|0;Su=f[nu>>2]|0;f[nu>>2]=Su+-1;if((Su|0)!=1)break;lP(w)}while(0);f[zn>>2]=0;f[An>>2]=0;f[An+4>>2]=0;f[An+8>>2]=0;f[An+12>>2]=0;if((f[Am>>2]|0)>0){Yv=f[Cm>>2]|0;Su=0;do{f[Yv+(Su<<2)>>2]=0;Su=Su+1|0}while((Su|0)<(f[Am>>2]|0))}Su=f[Em>>2]|0;if((Su|0)!=(Dm|0))tE(Su);Su=f[Bn>>2]|0;do if(Su|0){Yv=Su+12|0;nu=f[Yv>>2]|0;f[Yv>>2]=nu+-1;if((nu|0)!=1)break;lP(v)}while(0);f[Bn>>2]=0;f[Zm>>2]=0;f[Zm+4>>2]=0;f[Zm+8>>2]=0;f[Zm+12>>2]=0;if((f[um>>2]|0)>0){Su=f[wm>>2]|0;nu=0;do{f[Su+(nu<<2)>>2]=0;nu=nu+1|0}while((nu|0)<(f[um>>2]|0))}nu=f[ym>>2]|0;if((nu|0)!=(xm|0))tE(nu);break e}while(0);if((f[Wa>>2]|0)!=3){Xa=1784;break c}f[e>>2]=0;f[El>>2]=0;qv=YG(e,9)|0;rv=468376;sv=qv+9|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));b[g>>0]=0;TCa(t,e,g)|0;ZG(e);sD(dc,1);f[e>>2]=0;f[Fl>>2]=0;nu=YG(e,7)|0;b[nu>>0]=b[396317]|0;b[nu+1>>0]=b[396318]|0;b[nu+2>>0]=b[396319]|0;b[nu+3>>0]=b[396320]|0;b[nu+4>>0]=b[396321]|0;b[nu+5>>0]=b[396322]|0;b[nu+6>>0]=b[396323]|0;FCa(v,Ba,r,e);ZG(e);do if(((f[Gl>>2]|0)-(f[v>>2]|0)|0)==12){f[e>>2]=0;f[Hl>>2]=0;qv=YG(e,9)|0;rv=468376;sv=qv+9|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));b[g>>0]=1;TCa(t,e,g)|0;ZG(e);sD(dc,2);nu=f[(f[v>>2]|0)+8>>2]|0;Su=f[(f[Da>>2]|0)+4+(nu<<2)>>2]|0;f[Il>>2]=0;f[Jl>>2]=0;f[da>>2]=Kl;Yv=f[l>>2]|0;if((Yv|0)!=(Ga|0)){lu=Yv;while(1){Yv=lu+16|0;f[i>>2]=Ll;f[e>>2]=f[i>>2];Eu=HCa(da,e,g,h,Yv)|0;if(!(f[Eu>>2]|0)){Pv=Bmc(28)|0;Zv=f[Yv>>2]|0;f[Pv+16>>2]=Zv;f[Pv+20>>2]=f[lu+20>>2];if(Zv|0){Yv=Zv+-4|0;f[Yv>>2]=(f[Yv>>2]|0)+1}f[Pv+24>>2]=f[lu+24>>2];Yv=f[g>>2]|0;f[Pv>>2]=0;f[Pv+4>>2]=0;f[Pv+8>>2]=Yv;f[Eu>>2]=Pv;Yv=f[f[da>>2]>>2]|0;if(!Yv)Zw=Pv;else{f[da>>2]=Yv;Zw=f[Eu>>2]|0}RS(f[Il>>2]|0,Zw);f[Jl>>2]=(f[Jl>>2]|0)+1}Eu=f[lu+4>>2]|0;do if(!Eu){Yv=lu+8|0;Pv=f[Yv>>2]|0;if((f[Pv>>2]|0)==(lu|0)){_w=Pv;break}else $w=Yv;do{Yv=f[$w>>2]|0;$w=Yv+8|0;Pv=f[$w>>2]|0}while((f[Pv>>2]|0)!=(Yv|0));_w=Pv}else{Pv=Eu;while(1){Yv=f[Pv>>2]|0;if(!Yv)break;else Pv=Yv}_w=Pv}while(0);if((_w|0)==(Ga|0))break;else lu=_w}}lu=ICa(a,Su,da,-1,0)|0;UCa(lu,(f[dc>>2]|0)+56|0);fza(da,f[Kl>>2]|0);VCa(Ba,nu,0);lu=f[v>>2]|0;Eu=f[za>>2]|0;n:do if(!Eu){ax=za;bx=za}else{Yv=f[lu>>2]|0;Zv=(Yv|0)==0?1163146:Yv;ou=f[Eu+16>>2]|0;o:do if((Yv|0)!=(ou|0)){pu=xa;cw=Eu;Mw=ou;while(1){Kw=(Mw|0)==0?1163146:Mw;if((o7b(Zv,Kw)|0)<0){Lw=f[cw>>2]|0;if(!Lw){Xa=1804;break}else{cx=cw;dx=Lw}}else{if((o7b(Kw,Zv)|0)>=0){ex=pu;fx=cw;break o}gx=cw+4|0;Kw=f[gx>>2]|0;if(!Kw){Xa=1807;break}else{cx=gx;dx=Kw}}Mw=f[dx+16>>2]|0;if((Yv|0)==(Mw|0)){ex=cx;fx=dx;break o}else{pu=cx;cw=dx}}if((Xa|0)==1804){Xa=0;ax=cw;bx=cw;break n}else if((Xa|0)==1807){Xa=0;ax=gx;bx=cw;break n}}else{ex=xa;fx=Eu}while(0);ax=ex;bx=fx}while(0);if(f[ax>>2]|0)break;Eu=Bmc(24)|0;nu=f[lu>>2]|0;f[Eu+16>>2]=nu;f[Eu+20>>2]=f[lu+4>>2];if(nu|0){Su=nu+-4|0;f[Su>>2]=(f[Su>>2]|0)+1}f[Eu>>2]=0;f[Eu+4>>2]=0;f[Eu+8>>2]=bx;f[ax>>2]=Eu;Su=f[f[j>>2]>>2]|0;if(!Su)hx=Eu;else{f[j>>2]=Su;hx=f[ax>>2]|0}RS(f[xa>>2]|0,hx);f[ya>>2]=(f[ya>>2]|0)+1}while(0);f[Ml>>2]=0;f[Nl>>2]=0;f[ea>>2]=Ol;Su=f[l>>2]|0;if((Su|0)!=(Ga|0)){Eu=Su;while(1){Su=Eu+16|0;f[i>>2]=lm;f[e>>2]=f[i>>2];nu=HCa(ea,e,g,h,Su)|0;if(!(f[nu>>2]|0)){Yv=Bmc(28)|0;Zv=f[Su>>2]|0;f[Yv+16>>2]=Zv;f[Yv+20>>2]=f[Eu+20>>2];if(Zv|0){Su=Zv+-4|0;f[Su>>2]=(f[Su>>2]|0)+1}f[Yv+24>>2]=f[Eu+24>>2];Su=f[g>>2]|0;f[Yv>>2]=0;f[Yv+4>>2]=0;f[Yv+8>>2]=Su;f[nu>>2]=Yv;Su=f[f[ea>>2]>>2]|0;if(!Su)ix=Yv;else{f[ea>>2]=Su;ix=f[nu>>2]|0}RS(f[Ml>>2]|0,ix);f[Nl>>2]=(f[Nl>>2]|0)+1}nu=f[Eu+4>>2]|0;do if(!nu){Su=Eu+8|0;Yv=f[Su>>2]|0;if((f[Yv>>2]|0)==(Eu|0)){jx=Yv;break}else kx=Su;do{Su=f[kx>>2]|0;kx=Su+8|0;Yv=f[kx>>2]|0}while((f[Yv>>2]|0)!=(Su|0));jx=Yv}else{Yv=nu;while(1){Su=f[Yv>>2]|0;if(!Su)break;else Yv=Su}jx=Yv}while(0);if((jx|0)==(Ga|0))break;else Eu=jx}}Eu=ICa(a,q,ea,1,0)|0;WCa(Eu,f[dc>>2]|0);fza(ea,f[Ol>>2]|0);Eu=f[(f[dc>>2]|0)+40>>2]|0;f[w>>2]=f[Eu+8>>2];f[x>>2]=f[Eu+12>>2];f[e>>2]=0;f[Pl>>2]=0;nu=YG(e,8)|0;lu=nu;b[lu>>0]=107;b[lu+1>>0]=101;b[lu+2>>0]=114;b[lu+3>>0]=110;lu=nu+4|0;b[lu>>0]=101;b[lu+1>>0]=108;b[lu+2>>0]=95;b[lu+3>>0]=104;KCa(t,e,w)|0;ZG(e);f[e>>2]=0;f[Ql>>2]=0;lu=YG(e,8)|0;nu=lu;b[nu>>0]=107;b[nu+1>>0]=101;b[nu+2>>0]=114;b[nu+3>>0]=110;nu=lu+4|0;b[nu>>0]=101;b[nu+1>>0]=108;b[nu+2>>0]=95;b[nu+3>>0]=119;KCa(t,e,x)|0;ZG(e);f[e>>2]=0;f[Rl>>2]=0;qv=YG(e,10)|0;rv=459141;sv=qv+10|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));KCa(t,e,Eu+4|0)|0;ZG(e);YCa(t,q);ZCa(t,q);f[e>>2]=0;f[Sl>>2]=0;nu=YG(e,8)|0;lu=nu;b[lu>>0]=115;b[lu+1>>0]=116;b[lu+2>>0]=114;b[lu+3>>0]=105;lu=nu+4|0;b[lu>>0]=100;b[lu+1>>0]=101;b[lu+2>>0]=95;b[lu+3>>0]=104;lu=rCa(dDa(t,e)|0,-1)|0;ZG(e);f[e>>2]=0;f[Tl>>2]=0;nu=YG(e,8)|0;Su=nu;b[Su>>0]=115;b[Su+1>>0]=116;b[Su+2>>0]=114;b[Su+3>>0]=105;Su=nu+4|0;b[Su>>0]=100;b[Su+1>>0]=101;b[Su+2>>0]=95;b[Su+3>>0]=119;Su=rCa(dDa(t,e)|0,-1)|0;ZG(e);f[Ul>>2]=0;f[Vl>>2]=0;f[fa>>2]=Wl;nu=f[l>>2]|0;if((nu|0)!=(Ga|0)){Zv=nu;while(1){nu=Zv+16|0;f[i>>2]=km;f[e>>2]=f[i>>2];ou=HCa(fa,e,g,h,nu)|0;if(!(f[ou>>2]|0)){pu=Bmc(28)|0;Mw=f[nu>>2]|0;f[pu+16>>2]=Mw;f[pu+20>>2]=f[Zv+20>>2];if(Mw|0){nu=Mw+-4|0;f[nu>>2]=(f[nu>>2]|0)+1}f[pu+24>>2]=f[Zv+24>>2];nu=f[g>>2]|0;f[pu>>2]=0;f[pu+4>>2]=0;f[pu+8>>2]=nu;f[ou>>2]=pu;nu=f[f[fa>>2]>>2]|0;if(!nu)lx=pu;else{f[fa>>2]=nu;lx=f[ou>>2]|0}RS(f[Ul>>2]|0,lx);f[Vl>>2]=(f[Vl>>2]|0)+1}ou=f[Zv+4>>2]|0;do if(!ou){nu=Zv+8|0;pu=f[nu>>2]|0;if((f[pu>>2]|0)==(Zv|0)){mx=pu;break}else nx=nu;do{nu=f[nx>>2]|0;nx=nu+8|0;pu=f[nx>>2]|0}while((f[pu>>2]|0)!=(nu|0));mx=pu}else{Yv=ou;while(1){pu=f[Yv>>2]|0;if(!pu)break;else Yv=pu}mx=Yv}while(0);if((mx|0)==(Ga|0))break;else Zv=mx}}Glb(z,ICa(a,q,fa,0,0)|0);fza(fa,f[Wl>>2]|0);Zv=f[Xl>>2]|0;do if(!(f[z>>2]&16384)){Eu=f[Yl>>2]|0;do if((f[Eu>>2]|0)!=1){ou=f[f[Zl>>2]>>2]|0;if((f[Eu+4>>2]|0)==1){ox=Zv+ou|0;break}else{pu=f[_l>>2]|0;nu=(pu+1|0)>>>0<3?pu:0;ox=Zv+(Y(nu,ou)|0)+(1-(Y(nu,pu)|0)<<2)|0;break}}else ox=Zv+4|0;while(0);Eu=f[ox>>2]|0;pu=f[Yl>>2]|0;if((f[pu>>2]|0)==1){px=Eu;Xa=1849;break}nu=f[f[Zl>>2]>>2]|0;if((f[pu+4>>2]|0)==1){qx=Zv+(nu<<1)|0;rx=Eu;break}else{pu=f[_l>>2]|0;ou=2/(pu|0)|0;qx=Zv+(Y(ou,nu)|0)+(2-(Y(ou,pu)|0)<<2)|0;rx=Eu;break}}else{px=f[Zv+4>>2]|0;Xa=1849}while(0);if((Xa|0)==1849){Xa=0;qx=Zv+8|0;rx=px}Eu=f[qx>>2]|0;f[g>>2]=0;f[$l>>2]=0;pu=YG(g,8)|0;ou=pu;b[ou>>0]=112;b[ou+1>>0]=97;b[ou+2>>0]=100;b[ou+3>>0]=95;ou=pu+4|0;b[ou>>0]=109;b[ou+1>>0]=111;b[ou+2>>0]=100;b[ou+3>>0]=101;sCa(e,dDa(t,g)|0,-1);ou=f[e>>2]|0;do if((ou|0)==452879){ZG(e);ZG(g);Xa=1856}else{pu=(o7b((ou|0)==0?1163146:ou,452879)|0)==0;ZG(e);ZG(g);if(pu){Xa=1856;break}f[g>>2]=0;f[hm>>2]=0;pu=YG(g,8)|0;nu=pu;b[nu>>0]=112;b[nu+1>>0]=97;b[nu+2>>0]=100;b[nu+3>>0]=95;nu=pu+4|0;b[nu>>0]=109;b[nu+1>>0]=111;b[nu+2>>0]=100;b[nu+3>>0]=101;sCa(e,dDa(t,g)|0,-1);nu=f[e>>2]|0;if((nu|0)!=452873){pu=(o7b((nu|0)==0?1163146:nu,452873)|0)==0;ZG(e);ZG(g);if(!pu)break}else{ZG(e);ZG(g)}f[e>>2]=0;f[im>>2]=0;pu=YG(e,5)|0;b[pu>>0]=b[451213]|0;b[pu+1>>0]=b[451214]|0;b[pu+2>>0]=b[451215]|0;b[pu+3>>0]=b[451216]|0;b[pu+4>>0]=b[451217]|0;f[g>>2]=(Eu-(f[x>>2]|0)|0)%(Su|0)|0;KCa(t,e,g)|0;ZG(e);f[e>>2]=0;f[jm>>2]=0;pu=YG(e,5)|0;b[pu>>0]=b[451207]|0;b[pu+1>>0]=b[451208]|0;b[pu+2>>0]=b[451209]|0;b[pu+3>>0]=b[451210]|0;b[pu+4>>0]=b[451211]|0;f[g>>2]=(rx-(f[w>>2]|0)|0)%(lu|0)|0;KCa(t,e,g)|0;ZG(e)}while(0);if((Xa|0)==1856){Xa=0;f[e>>2]=0;f[am>>2]=0;ou=YG(e,5)|0;b[ou>>0]=b[451213]|0;b[ou+1>>0]=b[451214]|0;b[ou+2>>0]=b[451215]|0;b[ou+3>>0]=b[451216]|0;b[ou+4>>0]=b[451217]|0;f[g>>2]=(Eu+-1|0)%(Su|0)|0;KCa(t,e,g)|0;ZG(e);f[e>>2]=0;f[bm>>2]=0;ou=YG(e,5)|0;b[ou>>0]=b[451207]|0;b[ou+1>>0]=b[451208]|0;b[ou+2>>0]=b[451209]|0;b[ou+3>>0]=b[451210]|0;b[ou+4>>0]=b[451211]|0;f[g>>2]=(rx+-1|0)%(lu|0)|0;KCa(t,e,g)|0;ZG(e)}f[e>>2]=0;f[cm>>2]=0;qv=YG(e,13)|0;rv=442666;sv=qv+13|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));lu=UAa(c,r,e,t)|0;ZG(e);Su=oza(o,r)|0;f[Su>>2]=lu;NCa(e,f[(f[Fa>>2]|0)+12>>2]|0);OCa(a,o,c,e,lu,0);if((b[dm>>0]|0)<0)Emc(f[e>>2]|0);lu=f[em>>2]|0;do if(lu|0){Su=lu+12|0;Eu=f[Su>>2]|0;f[Su>>2]=Eu+-1;if((Eu|0)!=1)break;lP(z)}while(0);f[em>>2]=0;f[Xl>>2]=0;f[Xl+4>>2]=0;f[Xl+8>>2]=0;f[Xl+12>>2]=0;if((f[fm>>2]|0)>0){lu=f[Yl>>2]|0;Eu=0;do{f[lu+(Eu<<2)>>2]=0;Eu=Eu+1|0}while((Eu|0)<(f[fm>>2]|0))}Eu=f[Zl>>2]|0;if((Eu|0)!=(gm|0))tE(Eu);Eu=f[v>>2]|0;if(Eu|0){while(1){lu=f[Gl>>2]|0;if((lu|0)==(Eu|0))break;Su=lu+-12|0;f[Gl>>2]=Su;ZG(Su)}Emc(f[v>>2]|0)}break e}while(0);if((f[Wa>>2]|0)!=5){Xa=1611;break c}NCa(v,f[(f[Fa>>2]|0)+4>>2]|0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Eu=Bmc(16)|0;f[h>>2]=Eu;f[ik>>2]=-2147483632;f[jk>>2]=11;qv=Eu;rv=396948;sv=qv+11|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));b[Eu+11>>0]=0;v_b(_b);PCa(g,$b);QCa(e,f[kk>>2]|0,h,0);Su=f[e>>2]|0;RCa(g);if(!Su)sx=0;else{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;Su=Bmc(16)|0;f[e>>2]=Su;f[Bl>>2]=-2147483632;f[Cl>>2]=11;qv=Su;rv=396948;sv=qv+11|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));b[Su+11>>0]=0;v_b(_b);Eu=SCa($b,e)|0;lu=b[Eu+8>>0]|0?(f[Eu+20>>2]|0)==5:0;if((b[Dl>>0]|0)<0)Emc(f[e>>2]|0);sx=lu}if((b[lk>>0]|0)<0)Emc(f[h>>2]|0);sD(dc,2);f[mk>>2]=0;f[nk>>2]=0;f[_>>2]=ok;lu=f[l>>2]|0;if((lu|0)!=(Ga|0)){Eu=lu;while(1){lu=Eu+16|0;f[i>>2]=Al;f[e>>2]=f[i>>2];ou=HCa(_,e,g,h,lu)|0;if(!(f[ou>>2]|0)){Zv=Bmc(28)|0;pu=f[lu>>2]|0;f[Zv+16>>2]=pu;f[Zv+20>>2]=f[Eu+20>>2];if(pu|0){lu=pu+-4|0;f[lu>>2]=(f[lu>>2]|0)+1}f[Zv+24>>2]=f[Eu+24>>2];lu=f[g>>2]|0;f[Zv>>2]=0;f[Zv+4>>2]=0;f[Zv+8>>2]=lu;f[ou>>2]=Zv;lu=f[f[_>>2]>>2]|0;if(!lu)tx=Zv;else{f[_>>2]=lu;tx=f[ou>>2]|0}RS(f[mk>>2]|0,tx);f[nk>>2]=(f[nk>>2]|0)+1}ou=f[Eu+4>>2]|0;do if(!ou){lu=Eu+8|0;Zv=f[lu>>2]|0;if((f[Zv>>2]|0)==(Eu|0)){ux=Zv;break}else vx=lu;do{lu=f[vx>>2]|0;vx=lu+8|0;Zv=f[vx>>2]|0}while((f[Zv>>2]|0)!=(lu|0));ux=Zv}else{Zv=ou;while(1){lu=f[Zv>>2]|0;if(!lu)break;else Zv=lu}ux=Zv}while(0);if((ux|0)==(Ga|0))break;else Eu=ux}}Eu=ICa(a,q,_,1,0)|0;fza(_,f[ok>>2]|0);Su=f[Eu+152>>2]|0;ou=b[Su+11>>0]|0;if(ou<<24>>24<0)wx=f[Su+4>>2]|0;else wx=ou&255;if(!wx){f[e>>2]=0;f[pk>>2]=0;qv=YG(e,10)|0;rv=456886;sv=qv+10|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));b[g>>0]=0;TCa(t,e,g)|0;ZG(e)}else{sD(dc,(((f[ak>>2]|0)-(f[dc>>2]|0)|0)/56|0)+1|0);f[e>>2]=0;f[zl>>2]=0;qv=YG(e,10)|0;rv=456886;sv=qv+10|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));b[g>>0]=1;TCa(t,e,g)|0;ZG(e);UCa(Eu,(f[ak>>2]|0)+-56|0)}f[qk>>2]=0;f[rk>>2]=0;f[$>>2]=sk;ou=f[l>>2]|0;if((ou|0)!=(Ga|0)){Su=ou;while(1){ou=Su+16|0;f[i>>2]=yl;f[e>>2]=f[i>>2];lu=HCa($,e,g,h,ou)|0;if(!(f[lu>>2]|0)){pu=Bmc(28)|0;nu=f[ou>>2]|0;f[pu+16>>2]=nu;f[pu+20>>2]=f[Su+20>>2];if(nu|0){ou=nu+-4|0;f[ou>>2]=(f[ou>>2]|0)+1}f[pu+24>>2]=f[Su+24>>2];ou=f[g>>2]|0;f[pu>>2]=0;f[pu+4>>2]=0;f[pu+8>>2]=ou;f[lu>>2]=pu;ou=f[f[$>>2]>>2]|0;if(!ou)xx=pu;else{f[$>>2]=ou;xx=f[lu>>2]|0}RS(f[qk>>2]|0,xx);f[rk>>2]=(f[rk>>2]|0)+1}lu=f[Su+4>>2]|0;do if(!lu){ou=Su+8|0;pu=f[ou>>2]|0;if((f[pu>>2]|0)==(Su|0)){yx=pu;break}else zx=ou;do{ou=f[zx>>2]|0;zx=ou+8|0;pu=f[zx>>2]|0}while((f[pu>>2]|0)!=(ou|0));yx=pu}else{Zv=lu;while(1){pu=f[Zv>>2]|0;if(!pu)break;else Zv=pu}yx=Zv}while(0);if((yx|0)==(Ga|0))break;else Su=yx}}Su=ICa(a,q,$,2,0)|0;fza($,f[sk>>2]|0);Eu=f[Su+152>>2]|0;lu=b[Eu+11>>0]|0;if(lu<<24>>24<0)Ax=f[Eu+4>>2]|0;else Ax=lu&255;if(!Ax){f[e>>2]=0;f[tk>>2]=0;lu=YG(e,8)|0;Eu=lu;b[Eu>>0]=104;b[Eu+1>>0]=97;b[Eu+2>>0]=115;b[Eu+3>>0]=95;Eu=lu+4|0;b[Eu>>0]=98;b[Eu+1>>0]=105;b[Eu+2>>0]=97;b[Eu+3>>0]=115;b[g>>0]=0;TCa(t,e,g)|0;ZG(e)}else{sD(dc,(((f[ak>>2]|0)-(f[dc>>2]|0)|0)/56|0)+1|0);f[e>>2]=0;f[xl>>2]=0;Eu=YG(e,8)|0;lu=Eu;b[lu>>0]=104;b[lu+1>>0]=97;b[lu+2>>0]=115;b[lu+3>>0]=95;lu=Eu+4|0;b[lu>>0]=98;b[lu+1>>0]=105;b[lu+2>>0]=97;b[lu+3>>0]=115;b[g>>0]=1;TCa(t,e,g)|0;ZG(e);UCa(Su,(f[ak>>2]|0)+-56|0)}f[w>>2]=1124007936;qv=uk;sv=qv+36|0;do{f[qv>>2]=0;qv=qv+4|0}while((qv|0)<(sv|0));f[wk>>2]=vk;f[yk>>2]=xk;f[xk>>2]=0;f[zk>>2]=0;f[x>>2]=1124007936;qv=Ak;sv=qv+36|0;do{f[qv>>2]=0;qv=qv+4|0}while((qv|0)<(sv|0));f[Ck>>2]=Bk;f[Ek>>2]=Dk;f[Dk>>2]=0;f[Fk>>2]=0;if(sx){Su=f[dc>>2]|0;lu=Su;if(((f[ak>>2]|0)-Su|0)==112){Xa=1658;break c}Su=f[lu+172>>2]|0;if((Su|0)<3)Bx=Y(f[lu+180>>2]|0,f[lu+176>>2]|0)|0;else{Eu=f[lu+208>>2]|0;lu=0;pu=1;while(1){ou=Y(f[Eu+(lu<<2)>>2]|0,pu)|0;lu=lu+1|0;if((lu|0)==(Su|0)){Bx=ou;break}else pu=ou}}pG(e,1,Bx,5);pu=f[e>>2]|0;rh[f[(f[pu>>2]|0)+12>>2]&255](pu,e,w,-1);Xi(e);pu=f[dc>>2]|0;Su=f[pu+172>>2]|0;if((Su|0)<3)Cx=Y(f[pu+180>>2]|0,f[pu+176>>2]|0)|0;else{lu=f[pu+208>>2]|0;pu=0;Eu=1;while(1){ou=Y(f[lu+(pu<<2)>>2]|0,Eu)|0;pu=pu+1|0;if((pu|0)==(Su|0)){Cx=ou;break}else Eu=ou}}sG(e,1,Cx,5);Eu=f[e>>2]|0;rh[f[(f[Eu>>2]|0)+12>>2]&255](Eu,e,x,-1);Xi(e);f[Gk>>2]=0;f[Hk>>2]=0;f[e>>2]=Ik;f[Jk>>2]=0;f[Jk+4>>2]=0;f[Jk+8>>2]=0;f[Jk+12>>2]=0;f[Jk+16>>2]=0;f[Jk+20>>2]=0;f[Jk+24>>2]=0;f[aa>>2]=0;f[Kk>>2]=0;YG(aa,(f[La>>2]|0)+4|0)|0;Eu=f[La>>2]|0;if(!Eu)Dx=0;else{Krc(f[aa>>2]|0,f[r>>2]|0,Eu|0)|0;Dx=f[La>>2]|0}Eu=(f[aa>>2]|0)+Dx|0;b[Eu>>0]=47;b[Eu+1>>0]=77;b[Eu+2>>0]=86;b[Eu+3>>0]=78;Eu=f[aa>>2]|0;Su=f[Kk>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;if(Su>>>0>4294967279){Xa=1670;break c}if(Su>>>0<11){b[Lk>>0]=Su;if(!Su)Ex=g;else{Fx=g;Xa=1674}}else{pu=Su+16&-16;lu=Bmc(pu)|0;f[g>>2]=lu;f[Uk>>2]=pu|-2147483648;f[Nk>>2]=Su;Fx=lu;Xa=1674}if((Xa|0)==1674){Xa=0;Krc(Fx|0,Eu|0,Su|0)|0;Ex=Fx}b[Ex+Su>>0]=0;ZG(aa);f[h>>2]=0;f[Mk>>2]=0;Su=b[Lk>>0]|0;Eu=Su<<24>>24<0?f[Nk>>2]|0:Su&255;if(Eu|0){Su=YG(h,Eu)|0;Krc(Su|0,((b[Lk>>0]|0)<0?f[g>>2]|0:g)|0,Eu|0)|0}Eu=f[wa>>2]|0;do if(Eu){Su=f[h>>2]|0;lu=(Su|0)==0?1163146:Su;pu=wa;ou=Eu;p:while(1){nu=ou;while(1){Mw=f[nu+16>>2]|0;if((Mw|0)==(Su|0))break;if((o7b((Mw|0)==0?1163146:Mw,lu)|0)>=0)break;Mw=f[nu+4>>2]|0;if(!Mw){Gx=pu;break p}else nu=Mw}ou=f[nu>>2]|0;if(!ou){Gx=nu;break}else pu=nu}if((Gx|0)==(wa|0)){Xa=1687;break}pu=f[Gx+16>>2]|0;if((Su|0)==(pu|0)){Hx=Gx;break}if((o7b(lu,(pu|0)==0?1163146:pu)|0)>=0)Hx=Gx;else Xa=1687}else Xa=1687;while(0);if((Xa|0)==1687){Xa=0;Hx=wa}ZG(h);if((Hx|0)!=(wa|0)){Xa=1689;break c}f[h>>2]=0;f[Ok>>2]=0;Eu=b[Lk>>0]|0;pu=Eu<<24>>24<0?f[Nk>>2]|0:Eu&255;if(pu|0){Eu=YG(h,pu)|0;Krc(Eu|0,((b[Lk>>0]|0)<0?f[g>>2]|0:g)|0,pu|0)|0}f[i>>2]=0;f[Pk>>2]=0;pu=YG(i,3)|0;b[pu>>0]=b[442721]|0;b[pu+1>>0]=b[442722]|0;b[pu+2>>0]=b[442723]|0;pu=UAa(c,h,i,e)|0;ZG(i);ZG(h);f[h>>2]=0;f[Qk>>2]=0;Eu=b[Lk>>0]|0;ou=Eu<<24>>24<0?f[Nk>>2]|0:Eu&255;if(ou|0){Eu=YG(h,ou)|0;Krc(Eu|0,((b[Lk>>0]|0)<0?f[g>>2]|0:g)|0,ou|0)|0}ou=oza(o,h)|0;f[ou>>2]=pu;ZG(h);OCa(a,o,c,v,pu,0);Nmc(h,g);f[Rk>>2]=0;Qmc(v,h)|0;f[Sk>>2]=f[Rk>>2];if((b[Tk>>0]|0)<0)Emc(f[h>>2]|0);if((b[Lk>>0]|0)<0)Emc(f[g>>2]|0);qza(e)}else{f[pl>>2]=0;f[ql>>2]=0;f[ba>>2]=rl;pu=f[l>>2]|0;if((pu|0)!=(Ga|0)){ou=pu;while(1){pu=ou+16|0;f[i>>2]=wl;f[e>>2]=f[i>>2];Eu=HCa(ba,e,g,h,pu)|0;if(!(f[Eu>>2]|0)){Zv=Bmc(28)|0;Mw=f[pu>>2]|0;f[Zv+16>>2]=Mw;f[Zv+20>>2]=f[ou+20>>2];if(Mw|0){pu=Mw+-4|0;f[pu>>2]=(f[pu>>2]|0)+1}f[Zv+24>>2]=f[ou+24>>2];pu=f[g>>2]|0;f[Zv>>2]=0;f[Zv+4>>2]=0;f[Zv+8>>2]=pu;f[Eu>>2]=Zv;pu=f[f[ba>>2]>>2]|0;if(!pu)Ix=Zv;else{f[ba>>2]=pu;Ix=f[Eu>>2]|0}RS(f[pl>>2]|0,Ix);f[ql>>2]=(f[ql>>2]|0)+1}Eu=f[ou+4>>2]|0;do if(!Eu){pu=ou+8|0;Zv=f[pu>>2]|0;if((f[Zv>>2]|0)==(ou|0)){Jx=Zv;break}else Kx=pu;do{pu=f[Kx>>2]|0;Kx=pu+8|0;Zv=f[Kx>>2]|0}while((f[Zv>>2]|0)!=(pu|0));Jx=Zv}else{nu=Eu;while(1){Zv=f[nu>>2]|0;if(!Zv)break;else nu=Zv}Jx=nu}while(0);if((Jx|0)==(Ga|0))break;else ou=Jx}}UCa(ICa(a,q,ba,3,0)|0,w);fza(ba,f[rl>>2]|0);f[sl>>2]=0;f[tl>>2]=0;f[ca>>2]=ul;ou=f[l>>2]|0;if((ou|0)!=(Ga|0)){Eu=ou;while(1){ou=Eu+16|0;f[i>>2]=vl;f[e>>2]=f[i>>2];lu=HCa(ca,e,g,h,ou)|0;if(!(f[lu>>2]|0)){Su=Bmc(28)|0;Zv=f[ou>>2]|0;f[Su+16>>2]=Zv;f[Su+20>>2]=f[Eu+20>>2];if(Zv|0){ou=Zv+-4|0;f[ou>>2]=(f[ou>>2]|0)+1}f[Su+24>>2]=f[Eu+24>>2];ou=f[g>>2]|0;f[Su>>2]=0;f[Su+4>>2]=0;f[Su+8>>2]=ou;f[lu>>2]=Su;ou=f[f[ca>>2]>>2]|0;if(!ou)Lx=Su;else{f[ca>>2]=ou;Lx=f[lu>>2]|0}RS(f[sl>>2]|0,Lx);f[tl>>2]=(f[tl>>2]|0)+1}lu=f[Eu+4>>2]|0;do if(!lu){ou=Eu+8|0;Su=f[ou>>2]|0;if((f[Su>>2]|0)==(Eu|0)){Mx=Su;break}else Nx=ou;do{ou=f[Nx>>2]|0;Nx=ou+8|0;Su=f[Nx>>2]|0}while((f[Su>>2]|0)!=(ou|0));Mx=Su}else{nu=lu;while(1){Su=f[nu>>2]|0;if(!Su)break;else nu=Su}Mx=nu}while(0);if((Mx|0)==(Ga|0))break;else Eu=Mx}}UCa(ICa(a,q,ca,4,0)|0,x);fza(ca,f[ul>>2]|0)}Eu=f[dc>>2]|0;if((Eu|0)==(w|0))Ox=w;else{lu=f[$k>>2]|0;if(lu|0){Su=lu+12|0;f[Su>>2]=(f[Su>>2]|0)+1}Su=Eu+36|0;lu=f[Su>>2]|0;do if(lu|0){ou=lu+12|0;Zv=f[ou>>2]|0;f[ou>>2]=Zv+-1;if((Zv|0)!=1)break;lP(Eu)}while(0);f[Su>>2]=0;lu=Eu+16|0;Zv=Eu+4|0;f[lu>>2]=0;f[lu+4>>2]=0;f[lu+8>>2]=0;f[lu+12>>2]=0;if((f[Zv>>2]|0)>0){ou=f[Eu+40>>2]|0;pu=0;do{f[ou+(pu<<2)>>2]=0;pu=pu+1|0;Px=f[Zv>>2]|0}while((pu|0)<(Px|0));f[Eu>>2]=f[w>>2];if((Px|0)<3)Xa=1737;else Xa=1739}else{f[Eu>>2]=f[w>>2];Xa=1737}do if((Xa|0)==1737){Xa=0;pu=f[uk>>2]|0;if((pu|0)>=3){Xa=1739;break}f[Zv>>2]=pu;f[Eu+8>>2]=f[vk>>2];f[Eu+12>>2]=f[kl>>2];pu=f[yk>>2]|0;ou=f[Eu+44>>2]|0;f[ou>>2]=f[pu>>2];f[ou+4>>2]=f[pu+4>>2]}while(0);if((Xa|0)==1739){Xa=0;kP(Eu,w)}f[lu>>2]=f[al>>2];f[Eu+20>>2]=f[ll>>2];f[Eu+24>>2]=f[ml>>2];f[Eu+28>>2]=f[nl>>2];f[Eu+32>>2]=f[ol>>2];f[Su>>2]=f[$k>>2];Ox=f[dc>>2]|0}Zv=Ox+56|0;if((Zv|0)!=(x|0)){pu=f[Zk>>2]|0;if(pu|0){ou=pu+12|0;f[ou>>2]=(f[ou>>2]|0)+1}ou=Ox+92|0;pu=f[ou>>2]|0;do if(pu|0){Mw=pu+12|0;Pv=f[Mw>>2]|0;f[Mw>>2]=Pv+-1;if((Pv|0)!=1)break;lP(Zv)}while(0);f[ou>>2]=0;pu=Ox+72|0;Su=Ox+60|0;f[pu>>2]=0;f[pu+4>>2]=0;f[pu+8>>2]=0;f[pu+12>>2]=0;if((f[Su>>2]|0)>0){Eu=f[Ox+96>>2]|0;lu=0;do{f[Eu+(lu<<2)>>2]=0;lu=lu+1|0;Qx=f[Su>>2]|0}while((lu|0)<(Qx|0));f[Zv>>2]=f[x>>2];if((Qx|0)<3)Xa=1752;else Xa=1754}else{f[Zv>>2]=f[x>>2];Xa=1752}do if((Xa|0)==1752){Xa=0;lu=f[Ak>>2]|0;if((lu|0)>=3){Xa=1754;break}f[Su>>2]=lu;f[Ox+64>>2]=f[Bk>>2];f[Ox+68>>2]=f[fl>>2];lu=f[Ek>>2]|0;Eu=f[Ox+100>>2]|0;f[Eu>>2]=f[lu>>2];f[Eu+4>>2]=f[lu+4>>2]}while(0);if((Xa|0)==1754){Xa=0;kP(Zv,x)}f[pu>>2]=f[_k>>2];f[Ox+76>>2]=f[gl>>2];f[Ox+80>>2]=f[hl>>2];f[Ox+84>>2]=f[il>>2];f[Ox+88>>2]=f[jl>>2];f[ou>>2]=f[Zk>>2]}f[Ut>>2]=0;b[Vk>>0]=7;b[h>>0]=b[447124]|0;b[h+1>>0]=b[447125]|0;b[h+2>>0]=b[447126]|0;b[h+3>>0]=b[447127]|0;b[h+4>>0]=b[447128]|0;b[h+5>>0]=b[447129]|0;b[h+6>>0]=b[447130]|0;b[Wk>>0]=0;v_b(_b);PCa(g,$b);QCa(e,f[Xk>>2]|0,h,0);Su=(f[e>>2]|0)==0;RCa(g);if((b[Vk>>0]|0)<0)Emc(f[h>>2]|0);if(!Su){f[e>>2]=0;f[cl>>2]=0;Su=YG(e,3)|0;b[Su>>0]=b[468047]|0;b[Su+1>>0]=b[468048]|0;b[Su+2>>0]=b[468049]|0;f[Vt>>2]=0;b[dl>>0]=7;b[h>>0]=b[447124]|0;b[h+1>>0]=b[447125]|0;b[h+2>>0]=b[447126]|0;b[h+3>>0]=b[447127]|0;b[h+4>>0]=b[447128]|0;b[h+5>>0]=b[447129]|0;b[h+6>>0]=b[447130]|0;b[el>>0]=0;v_b(_b);Su=SCa($b,h)|0;n[g>>2]=(f[Su+20>>2]|0)==4?+n[Su+8>>2]:0.0;LCa(t,e,g)|0;if((b[dl>>0]|0)<0)Emc(f[h>>2]|0);ZG(e)}f[e>>2]=0;f[Yk>>2]=0;qv=YG(e,9)|0;rv=444021;sv=qv+9|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));ou=UAa(c,r,e,t)|0;ZG(e);pu=oza(o,r)|0;f[pu>>2]=ou;OCa(a,o,c,v,ou,0);ou=f[Zk>>2]|0;do if(ou|0){pu=ou+12|0;Zv=f[pu>>2]|0;f[pu>>2]=Zv+-1;if((Zv|0)!=1)break;lP(x)}while(0);f[Zk>>2]=0;f[_k>>2]=0;f[_k+4>>2]=0;f[_k+8>>2]=0;f[_k+12>>2]=0;if((f[Ak>>2]|0)>0){ou=f[Ck>>2]|0;Zv=0;do{f[ou+(Zv<<2)>>2]=0;Zv=Zv+1|0}while((Zv|0)<(f[Ak>>2]|0))}Zv=f[Ek>>2]|0;if((Zv|0)!=(Dk|0))tE(Zv);Zv=f[$k>>2]|0;do if(Zv|0){ou=Zv+12|0;pu=f[ou>>2]|0;f[ou>>2]=pu+-1;if((pu|0)!=1)break;lP(w)}while(0);f[$k>>2]=0;f[al>>2]=0;f[al+4>>2]=0;f[al+8>>2]=0;f[al+12>>2]=0;if((f[uk>>2]|0)>0){Zv=f[wk>>2]|0;pu=0;do{f[Zv+(pu<<2)>>2]=0;pu=pu+1|0}while((pu|0)<(f[uk>>2]|0))}pu=f[yk>>2]|0;if((pu|0)!=(xk|0))tE(pu);if((b[bl>>0]|0)<0)Emc(f[v>>2]|0);break e}while(0);pu=0;Zv=f[Wa>>2]|0;while(1){if((pu|0)>=(Zv|0)){Xa=1587;break}NCa(e,f[(f[Fa>>2]|0)+4+(pu<<2)>>2]|0);f[g>>2]=0;f[pj>>2]=0;ou=b[qj>>0]|0;Su=ou<<24>>24<0?f[rj>>2]|0:ou&255;if(Su|0){ou=YG(g,Su)|0;Krc(ou|0,((b[qj>>0]|0)<0?f[e>>2]|0:e)|0,Su|0)|0}Su=f[Ga>>2]|0;do if(Su){ou=f[g>>2]|0;lu=(ou|0)==0?1163146:ou;Eu=Ga;Pv=Su;q:while(1){Mw=Pv;while(1){Kw=f[Mw+16>>2]|0;if((Kw|0)==(ou|0))break;if((o7b((Kw|0)==0?1163146:Kw,lu)|0)>=0)break;Kw=f[Mw+4>>2]|0;if(!Kw){Rx=Eu;break q}else Mw=Kw}Pv=f[Mw>>2]|0;if(!Pv){Rx=Mw;break}else Eu=Mw}if((Rx|0)==(Ga|0)){Xa=1459;break}Eu=f[Rx+16>>2]|0;if((ou|0)==(Eu|0)){Sx=Rx;break}if((o7b(lu,(Eu|0)==0?1163146:Eu)|0)>=0)Sx=Rx;else Xa=1459}else Xa=1459;while(0);if((Xa|0)==1459){Xa=0;Sx=Ga}ZG(g);if((b[qj>>0]|0)<0)Emc(f[e>>2]|0);Zv=f[Wa>>2]|0;if((Sx|0)!=(Ga|0))break;else pu=pu+1|0}if((Xa|0)==1587){Xa=0;f[e>>2]=0;f[dk>>2]=0;qv=YG(e,9)|0;rv=461792;sv=qv+9|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));cDa(t,e,461802)|0;ZG(e);f[e>>2]=0;f[ek>>2]=0;pu=YG(e,7)|0;b[pu>>0]=b[443787]|0;b[pu+1>>0]=b[443788]|0;b[pu+2>>0]=b[443789]|0;b[pu+3>>0]=b[443790]|0;b[pu+4>>0]=b[443791]|0;b[pu+5>>0]=b[443792]|0;b[pu+6>>0]=b[443793]|0;pu=UAa(c,r,e,t)|0;ZG(e);Su=oza(o,r)|0;f[Su>>2]=pu;if((f[Wa>>2]|0)>0)Tx=0;else break e;while(1){NCa(e,f[(f[Fa>>2]|0)+4+(Tx<<2)>>2]|0);f[g>>2]=0;f[fk>>2]=0;Su=b[gk>>0]|0;Eu=Su<<24>>24<0?f[hk>>2]|0:Su&255;if(Eu|0){Su=YG(g,Eu)|0;Krc(Su|0,((b[gk>>0]|0)<0?f[e>>2]|0:e)|0,Eu|0)|0}Eu=f[wa>>2]|0;do if(Eu){Su=f[g>>2]|0;Pv=(Su|0)==0?1163146:Su;nu=wa;Kw=Eu;r:while(1){Lw=Kw;while(1){Ux=f[Lw+16>>2]|0;if((Ux|0)==(Su|0))break;if((o7b((Ux|0)==0?1163146:Ux,Pv)|0)>=0)break;Ux=f[Lw+4>>2]|0;if(!Ux){Vx=nu;break r}else Lw=Ux}Kw=f[Lw>>2]|0;if(!Kw){Vx=Lw;break}else nu=Lw}if((Vx|0)==(wa|0)){Xa=1600;break}nu=f[Vx+16>>2]|0;if((Su|0)==(nu|0)){Wx=Vx;break}if((o7b(Pv,(nu|0)==0?1163146:nu)|0)>=0)Wx=Vx;else Xa=1600}else Xa=1600;while(0);if((Xa|0)==1600){Xa=0;Wx=wa}ZG(g);if((Wx|0)==(wa|0)){Xa=1602;break c}OCa(a,o,c,e,pu,Tx);if((b[gk>>0]|0)<0)Emc(f[e>>2]|0);Tx=Tx+1|0;if((Tx|0)>=(f[Wa>>2]|0))break e}}if((Zv|0)!=2){Xa=1464;break c}f[sj>>2]=0;f[tj>>2]=0;f[X>>2]=uj;pu=f[l>>2]|0;if((pu|0)!=(Ga|0)){Eu=pu;while(1){pu=Eu+16|0;f[i>>2]=ck;f[e>>2]=f[i>>2];nu=HCa(X,e,g,h,pu)|0;if(!(f[nu>>2]|0)){Kw=Bmc(28)|0;lu=f[pu>>2]|0;f[Kw+16>>2]=lu;f[Kw+20>>2]=f[Eu+20>>2];if(lu|0){pu=lu+-4|0;f[pu>>2]=(f[pu>>2]|0)+1}f[Kw+24>>2]=f[Eu+24>>2];pu=f[g>>2]|0;f[Kw>>2]=0;f[Kw+4>>2]=0;f[Kw+8>>2]=pu;f[nu>>2]=Kw;pu=f[f[X>>2]>>2]|0;if(!pu)Xx=Kw;else{f[X>>2]=pu;Xx=f[nu>>2]|0}RS(f[sj>>2]|0,Xx);f[tj>>2]=(f[tj>>2]|0)+1}nu=f[Eu+4>>2]|0;do if(!nu){pu=Eu+8|0;Kw=f[pu>>2]|0;if((f[Kw>>2]|0)==(Eu|0)){Yx=Kw;break}else Zx=pu;do{pu=f[Zx>>2]|0;Zx=pu+8|0;Kw=f[Zx>>2]|0}while((f[Kw>>2]|0)!=(pu|0));Yx=Kw}else{Pv=nu;while(1){Su=f[Pv>>2]|0;if(!Su)break;else Pv=Su}Yx=Pv}while(0);if((Yx|0)==(Ga|0))break;else Eu=Yx}}Glb(v,ICa(a,q,X,-1,0)|0);fza(X,f[uj>>2]|0);if((f[v>>2]&4095|0)!=5){Xa=1479;break c}Eu=f[vj>>2]|0;if((Eu|0)<3)_x=Y(f[xj>>2]|0,f[wj>>2]|0)|0;else{Zv=f[Lj>>2]|0;nu=0;Su=1;while(1){Kw=Y(f[Zv+(nu<<2)>>2]|0,Su)|0;nu=nu+1|0;if((nu|0)==(Eu|0)){_x=Kw;break}else Su=Kw}}if((_x|0)==1){f[g>>2]=0;f[yj>>2]=0;Su=YG(g,7)|0;b[Su>>0]=b[446060]|0;b[Su+1>>0]=b[446061]|0;b[Su+2>>0]=b[446062]|0;b[Su+3>>0]=b[446063]|0;b[Su+4>>0]=b[446064]|0;b[Su+5>>0]=b[446065]|0;b[Su+6>>0]=b[446066]|0;FCa(e,Ba,r,g);ZG(g);Su=f[e>>2]|0;if((Su|0)==(f[zj>>2]|0)){f[g>>2]=0;f[Aj>>2]=0;Eu=YG(g,5)|0;b[Eu>>0]=b[472087]|0;b[Eu+1>>0]=b[472088]|0;b[Eu+2>>0]=b[472089]|0;b[Eu+3>>0]=b[472090]|0;b[Eu+4>>0]=b[472091]|0;LCa(t,g,f[Bj>>2]|0)|0;ZG(g);f[g>>2]=0;f[Cj>>2]=0;Eu=YG(g,5)|0;b[Eu>>0]=b[467672]|0;b[Eu+1>>0]=b[467673]|0;b[Eu+2>>0]=b[467674]|0;b[Eu+3>>0]=b[467675]|0;b[Eu+4>>0]=b[467676]|0;Eu=UAa(c,r,g,t)|0;ZG(g);$x=Eu}else{Eu=f[Su+8>>2]|0;Su=f[(f[Da>>2]|0)+4+(Eu<<2)>>2]|0;if((f[Su+12>>2]|0)!=2){Xa=1487;break c}nu=f[(f[Su+20>>2]|0)+4>>2]|0;f[g>>2]=0;f[Dj>>2]=0;Su=nu+11|0;Zv=b[Su>>0]|0;Kw=Zv<<24>>24<0?f[nu+4>>2]|0:Zv&255;if(!Kw)ay=0;else{Zv=YG(g,Kw)|0;Krc(Zv|0,((b[Su>>0]|0)<0?f[nu>>2]|0:nu)|0,Kw|0)|0;ay=f[g>>2]|0}Kw=f[r>>2]|0;if((ay|0)==(Kw|0))by=1;else by=(o7b((ay|0)==0?1163146:ay,(Kw|0)==0?1163146:Kw)|0)==0;ZG(g);VCa(Ba,Eu,(by^1)&1);Eu=f[e>>2]|0;Kw=f[za>>2]|0;s:do if(!Kw){cy=za;dy=za}else{nu=f[Eu>>2]|0;Su=(nu|0)==0?1163146:nu;Zv=f[Kw+16>>2]|0;t:do if((nu|0)!=(Zv|0)){pu=xa;lu=Kw;ou=Zv;while(1){Mw=(ou|0)==0?1163146:ou;if((o7b(Su,Mw)|0)<0){Ux=f[lu>>2]|0;if(!Ux){Xa=1497;break}else{ey=lu;fy=Ux}}else{if((o7b(Mw,Su)|0)>=0){gy=pu;hy=lu;break t}iy=lu+4|0;Mw=f[iy>>2]|0;if(!Mw){Xa=1500;break}else{ey=iy;fy=Mw}}ou=f[fy+16>>2]|0;if((nu|0)==(ou|0)){gy=ey;hy=fy;break t}else{pu=ey;lu=fy}}if((Xa|0)==1497){Xa=0;cy=lu;dy=lu;break s}else if((Xa|0)==1500){Xa=0;cy=iy;dy=lu;break s}}else{gy=xa;hy=Kw}while(0);cy=gy;dy=hy}while(0);if(!(f[cy>>2]|0)){Kw=Bmc(24)|0;nu=f[Eu>>2]|0;f[Kw+16>>2]=nu;f[Kw+20>>2]=f[Eu+4>>2];if(nu|0){Su=nu+-4|0;f[Su>>2]=(f[Su>>2]|0)+1}f[Kw>>2]=0;f[Kw+4>>2]=0;f[Kw+8>>2]=dy;f[cy>>2]=Kw;Su=f[f[j>>2]>>2]|0;if(!Su)jy=Kw;else{f[j>>2]=Su;jy=f[cy>>2]|0}RS(f[xa>>2]|0,jy);f[ya>>2]=(f[ya>>2]|0)+1}f[g>>2]=0;f[Ej>>2]=0;qv=YG(g,14)|0;rv=468971;sv=qv+14|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));LCa(t,g,f[Bj>>2]|0)|0;ZG(g);f[g>>2]=0;f[Fj>>2]=0;Eu=YG(g,4)|0;b[Eu>>0]=82;b[Eu+1>>0]=101;b[Eu+2>>0]=76;b[Eu+3>>0]=85;Eu=UAa(c,r,g,t)|0;ZG(g);$x=Eu}Eu=f[e>>2]|0;if(Eu|0){while(1){Su=f[zj>>2]|0;if((Su|0)==(Eu|0))break;Kw=Su+-12|0;f[zj>>2]=Kw;ZG(Kw)}Emc(f[e>>2]|0)}ky=$x}else{ht(dc,1,v);f[e>>2]=0;f[Pj>>2]=0;Eu=YG(e,3)|0;b[Eu>>0]=b[445824]|0;b[Eu+1>>0]=b[445825]|0;b[Eu+2>>0]=b[445826]|0;FCa(w,Ba,r,e);ZG(e);do if((f[w>>2]|0)!=(f[Qj>>2]|0)){f[e>>2]=0;f[Yj>>2]=0;qv=YG(e,9)|0;rv=468376;sv=qv+9|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));b[g>>0]=1;TCa(t,e,g)|0;ZG(e);sD(dc,2);Eu=f[(f[w>>2]|0)+8>>2]|0;Kw=f[(f[Da>>2]|0)+4+(Eu<<2)>>2]|0;f[Zj>>2]=0;f[_j>>2]=0;f[Z>>2]=$j;Su=f[l>>2]|0;if((Su|0)!=(Ga|0)){nu=Su;while(1){Su=nu+16|0;f[i>>2]=bk;f[e>>2]=f[i>>2];Zv=HCa(Z,e,g,h,Su)|0;if(!(f[Zv>>2]|0)){pu=Bmc(28)|0;ou=f[Su>>2]|0;f[pu+16>>2]=ou;f[pu+20>>2]=f[nu+20>>2];if(ou|0){Su=ou+-4|0;f[Su>>2]=(f[Su>>2]|0)+1}f[pu+24>>2]=f[nu+24>>2];Su=f[g>>2]|0;f[pu>>2]=0;f[pu+4>>2]=0;f[pu+8>>2]=Su;f[Zv>>2]=pu;Su=f[f[Z>>2]>>2]|0;if(!Su)ly=pu;else{f[Z>>2]=Su;ly=f[Zv>>2]|0}RS(f[Zj>>2]|0,ly);f[_j>>2]=(f[_j>>2]|0)+1}Zv=f[nu+4>>2]|0;do if(!Zv){Su=nu+8|0;pu=f[Su>>2]|0;if((f[pu>>2]|0)==(nu|0)){my=pu;break}else ny=Su;do{Su=f[ny>>2]|0;ny=Su+8|0;pu=f[ny>>2]|0}while((f[pu>>2]|0)!=(Su|0));my=pu}else{Lw=Zv;while(1){pu=f[Lw>>2]|0;if(!pu)break;else Lw=pu}my=Lw}while(0);if((my|0)==(Ga|0))break;else nu=my}}nu=ICa(a,Kw,Z,-1,0)|0;UCa(nu,(f[ak>>2]|0)+-56|0);fza(Z,f[$j>>2]|0);VCa(Ba,Eu,0);nu=f[w>>2]|0;Zv=f[za>>2]|0;u:do if(!Zv){oy=za;py=za}else{lu=f[nu>>2]|0;pu=(lu|0)==0?1163146:lu;Su=f[Zv+16>>2]|0;v:do if((lu|0)!=(Su|0)){ou=xa;Pv=Zv;Mw=Su;while(1){Ux=(Mw|0)==0?1163146:Mw;if((o7b(pu,Ux)|0)<0){qy=f[Pv>>2]|0;if(!qy){Xa=1534;break}else{ry=Pv;sy=qy}}else{if((o7b(Ux,pu)|0)>=0){ty=ou;uy=Pv;break v}vy=Pv+4|0;Ux=f[vy>>2]|0;if(!Ux){Xa=1537;break}else{ry=vy;sy=Ux}}Mw=f[sy+16>>2]|0;if((lu|0)==(Mw|0)){ty=ry;uy=sy;break v}else{ou=ry;Pv=sy}}if((Xa|0)==1534){Xa=0;oy=Pv;py=Pv;break u}else if((Xa|0)==1537){Xa=0;oy=vy;py=Pv;break u}}else{ty=xa;uy=Zv}while(0);oy=ty;py=uy}while(0);if(f[oy>>2]|0)break;Zv=Bmc(24)|0;Eu=f[nu>>2]|0;f[Zv+16>>2]=Eu;f[Zv+20>>2]=f[nu+4>>2];if(Eu|0){Kw=Eu+-4|0;f[Kw>>2]=(f[Kw>>2]|0)+1}f[Zv>>2]=0;f[Zv+4>>2]=0;f[Zv+8>>2]=py;f[oy>>2]=Zv;Kw=f[f[j>>2]>>2]|0;if(!Kw)wy=Zv;else{f[j>>2]=Kw;wy=f[oy>>2]|0}RS(f[xa>>2]|0,wy);f[ya>>2]=(f[ya>>2]|0)+1}while(0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[Rj>>0]=4;f[h>>2]=1936291937;b[Sj>>0]=0;v_b(_b);PCa(g,$b);QCa(e,f[Tj>>2]|0,h,0);Kw=(f[e>>2]|0)==0;RCa(g);if((b[Rj>>0]|0)<0)Emc(f[h>>2]|0);if(!Kw){f[e>>2]=0;f[Vj>>2]=0;Kw=YG(e,4)|0;b[Kw>>0]=97;b[Kw+1>>0]=120;b[Kw+2>>0]=105;b[Kw+3>>0]=115;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[Wj>>0]=4;f[h>>2]=1936291937;b[Xj>>0]=0;v_b(_b);Kw=SCa($b,h)|0;Zv=(f[Kw+20>>2]|0)==3;Eu=Kw+8|0;Kw=Zv?f[Eu+4>>2]|0:0;lu=g;f[lu>>2]=Zv?f[Eu>>2]|0:0;f[lu+4>>2]=Kw;bDa(t,e,g)|0;if((b[Wj>>0]|0)<0)Emc(f[h>>2]|0);ZG(e)}f[e>>2]=0;f[Uj>>2]=0;Kw=YG(e,5)|0;b[Kw>>0]=b[468965]|0;b[Kw+1>>0]=b[468966]|0;b[Kw+2>>0]=b[468967]|0;b[Kw+3>>0]=b[468968]|0;b[Kw+4>>0]=b[468969]|0;Kw=UAa(c,r,e,t)|0;ZG(e);lu=f[w>>2]|0;if(lu|0){while(1){Eu=f[Qj>>2]|0;if((Eu|0)==(lu|0))break;Zv=Eu+-12|0;f[Qj>>2]=Zv;ZG(Zv)}Emc(f[w>>2]|0)}ky=Kw}lu=oza(o,r)|0;f[lu>>2]=ky;NCa(e,f[(f[Fa>>2]|0)+4>>2]|0);f[g>>2]=0;f[Gj>>2]=0;lu=b[Hj>>0]|0;Zv=lu<<24>>24<0?f[Ij>>2]|0:lu&255;if(Zv|0){lu=YG(g,Zv)|0;Krc(lu|0,((b[Hj>>0]|0)<0?f[e>>2]|0:e)|0,Zv|0)|0}Zv=f[wa>>2]|0;do if(Zv){lu=f[g>>2]|0;Eu=(lu|0)==0?1163146:lu;pu=wa;Su=Zv;w:while(1){ou=Su;while(1){Mw=f[ou+16>>2]|0;if((Mw|0)==(lu|0))break;if((o7b((Mw|0)==0?1163146:Mw,Eu)|0)>=0)break;Mw=f[ou+4>>2]|0;if(!Mw){xy=pu;break w}else ou=Mw}Su=f[ou>>2]|0;if(!Su){xy=ou;break}else pu=ou}if((xy|0)==(wa|0)){Xa=1568;break}pu=f[xy+16>>2]|0;if((lu|0)==(pu|0)){yy=xy;break}if((o7b(Eu,(pu|0)==0?1163146:pu)|0)>=0)yy=xy;else Xa=1568}else Xa=1568;while(0);if((Xa|0)==1568){Xa=0;yy=wa}ZG(g);if((yy|0)==(wa|0)){NCa(g,f[(f[Fa>>2]|0)+8>>2]|0);OCa(a,o,c,g,ky,0);if((b[Jj>>0]|0)<0)Emc(f[g>>2]|0)}else{NCa(g,f[(f[Fa>>2]|0)+4>>2]|0);OCa(a,o,c,g,ky,0);if((b[Oj>>0]|0)<0)Emc(f[g>>2]|0)}if((b[Hj>>0]|0)<0)Emc(f[e>>2]|0);Zv=f[Kj>>2]|0;do if(Zv|0){Kw=Zv+12|0;pu=f[Kw>>2]|0;f[Kw>>2]=pu+-1;if((pu|0)!=1)break;lP(v)}while(0);f[Kj>>2]=0;f[Bj>>2]=0;f[Bj+4>>2]=0;f[Bj+8>>2]=0;f[Bj+12>>2]=0;if((f[vj>>2]|0)>0){Zv=f[Lj>>2]|0;pu=0;do{f[Zv+(pu<<2)>>2]=0;pu=pu+1|0}while((pu|0)<(f[vj>>2]|0))}pu=f[Mj>>2]|0;if((pu|0)!=(Nj|0))tE(pu);break e}while(0);if((f[Wa>>2]|0)!=3){Xa=1348;break c}f[Ii>>2]=0;f[Ji>>2]=0;f[V>>2]=Ki;pu=f[l>>2]|0;if((pu|0)!=(Ga|0)){Zv=pu;while(1){pu=Zv+16|0;f[i>>2]=oj;f[e>>2]=f[i>>2];Kw=HCa(V,e,g,h,pu)|0;if(!(f[Kw>>2]|0)){Su=Bmc(28)|0;nu=f[pu>>2]|0;f[Su+16>>2]=nu;f[Su+20>>2]=f[Zv+20>>2];if(nu|0){pu=nu+-4|0;f[pu>>2]=(f[pu>>2]|0)+1}f[Su+24>>2]=f[Zv+24>>2];pu=f[g>>2]|0;f[Su>>2]=0;f[Su+4>>2]=0;f[Su+8>>2]=pu;f[Kw>>2]=Su;pu=f[f[V>>2]>>2]|0;if(!pu)zy=Su;else{f[V>>2]=pu;zy=f[Kw>>2]|0}RS(f[Ii>>2]|0,zy);f[Ji>>2]=(f[Ji>>2]|0)+1}Kw=f[Zv+4>>2]|0;do if(!Kw){pu=Zv+8|0;Su=f[pu>>2]|0;if((f[Su>>2]|0)==(Zv|0)){Ay=Su;break}else By=pu;do{pu=f[By>>2]|0;By=pu+8|0;Su=f[By>>2]|0}while((f[Su>>2]|0)!=(pu|0));Ay=Su}else{Eu=Kw;while(1){lu=f[Eu>>2]|0;if(!lu)break;else Eu=lu}Ay=Eu}while(0);if((Ay|0)==(Ga|0))break;else Zv=Ay}}Glb(v,ICa(a,q,V,1,0)|0);fza(V,f[Ki>>2]|0);f[Li>>2]=0;f[Mi>>2]=0;f[W>>2]=Ni;Zv=f[l>>2]|0;if((Zv|0)!=(Ga|0)){Kw=Zv;while(1){Zv=Kw+16|0;f[i>>2]=nj;f[e>>2]=f[i>>2];lu=HCa(W,e,g,h,Zv)|0;if(!(f[lu>>2]|0)){Su=Bmc(28)|0;pu=f[Zv>>2]|0;f[Su+16>>2]=pu;f[Su+20>>2]=f[Kw+20>>2];if(pu|0){Zv=pu+-4|0;f[Zv>>2]=(f[Zv>>2]|0)+1}f[Su+24>>2]=f[Kw+24>>2];Zv=f[g>>2]|0;f[Su>>2]=0;f[Su+4>>2]=0;f[Su+8>>2]=Zv;f[lu>>2]=Su;Zv=f[f[W>>2]>>2]|0;if(!Zv)Cy=Su;else{f[W>>2]=Zv;Cy=f[lu>>2]|0}RS(f[Li>>2]|0,Cy);f[Mi>>2]=(f[Mi>>2]|0)+1}lu=f[Kw+4>>2]|0;do if(!lu){Zv=Kw+8|0;Su=f[Zv>>2]|0;if((f[Su>>2]|0)==(Kw|0)){Dy=Su;break}else Ey=Zv;do{Zv=f[Ey>>2]|0;Ey=Zv+8|0;Su=f[Ey>>2]|0}while((f[Su>>2]|0)!=(Zv|0));Dy=Su}else{Eu=lu;while(1){Su=f[Eu>>2]|0;if(!Su)break;else Eu=Su}Dy=Eu}while(0);if((Dy|0)==(Ga|0))break;else Kw=Dy}}Glb(w,ICa(a,q,W,2,0)|0);fza(W,f[Ni>>2]|0);if(!(f[Oi>>2]|0)){Xa=1381;break c}Kw=f[Pi>>2]|0;lu=(Kw|0)<3;if(lu)Fy=Y(f[Si>>2]|0,f[Qi>>2]|0)|0;else{Su=f[lj>>2]|0;Zv=0;pu=1;while(1){nu=Y(f[Su+(Zv<<2)>>2]|0,pu)|0;Zv=Zv+1|0;if((Zv|0)==(Kw|0)){Fy=nu;break}else pu=nu}}if((Kw|0)==0|(Fy|0)==0){Xa=1381;break c}if(!(f[Ti>>2]|0)){Xa=1388;break c}pu=f[Ui>>2]|0;if((pu|0)<3)Gy=Y(f[Wi>>2]|0,f[Vi>>2]|0)|0;else{Zv=f[ij>>2]|0;Su=0;nu=1;while(1){Mw=Y(f[Zv+(Su<<2)>>2]|0,nu)|0;Su=Su+1|0;if((Su|0)==(pu|0)){Gy=Mw;break}else nu=Mw}}if((pu|0)==0|(Gy|0)==0){Xa=1388;break c}Hy=f[v>>2]&4095;if((Hy|0)!=4){Xa=1390;break c}Iy=f[w>>2]&4095;if((Iy|0)!=4){Xa=1392;break c}if(lu)Jy=Y(f[Si>>2]|0,f[Qi>>2]|0)|0;else{nu=f[lj>>2]|0;Su=0;Zv=1;while(1){Mw=Y(f[nu+(Su<<2)>>2]|0,Zv)|0;Su=Su+1|0;if((Su|0)==(Kw|0)){Jy=Mw;break}else Zv=Mw}}do if((Jy|0)==4){Zv=f[r>>2]|0;Kw=f[La>>2]|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;if(Kw>>>0>4294967279){Xa=1399;break c}if(Kw>>>0<11){b[Yi>>0]=Kw;if(!Kw)Ky=e;else{Ly=e;Xa=1403}}else{Su=Kw+16&-16;nu=Bmc(Su)|0;f[e>>2]=nu;f[$i>>2]=Su|-2147483648;f[aj>>2]=Kw;Ly=nu;Xa=1403}if((Xa|0)==1403){Xa=0;Krc(Ly|0,Zv|0,Kw|0)|0;Ky=Ly}b[Ky+Kw>>0]=0;Kw=(_Ca(e,k)|0)==0;if((b[Yi>>0]|0)<0)Emc(f[e>>2]|0);if(!Kw)break;Kw=f[Oi>>2]|0;Zv=(f[Zi>>2]|0)+4|0;nu=f[Zv>>2]|0;Su=Kw+(nu<<1)|0;lu=Kw+(nu*3|0)|0;nu=f[Su>>2]|0;f[Su>>2]=f[lu>>2];f[lu>>2]=nu;nu=f[Zv>>2]|0;Zv=Kw+nu|0;lu=Kw+(nu<<1)|0;nu=f[Zv>>2]|0;f[Zv>>2]=f[lu>>2];f[lu>>2]=nu;nu=f[Ti>>2]|0;lu=(f[_i>>2]|0)+4|0;Zv=f[lu>>2]|0;Kw=nu+(Zv<<1)|0;Su=nu+(Zv*3|0)|0;Zv=f[Kw>>2]|0;f[Kw>>2]=f[Su>>2];f[Su>>2]=Zv;Zv=f[lu>>2]|0;lu=nu+Zv|0;Su=nu+(Zv<<1)|0;Zv=f[lu>>2]|0;f[lu>>2]=f[Su>>2];f[Su>>2]=Zv}while(0);f[e>>2]=0;f[bj>>2]=0;Zv=YG(e,5)|0;b[Zv>>0]=b[460959]|0;b[Zv+1>>0]=b[460960]|0;b[Zv+2>>0]=b[460961]|0;b[Zv+3>>0]=b[460962]|0;b[Zv+4>>0]=b[460963]|0;Zv=f[Oi>>2]|0;Su=f[Pi>>2]|0;if((Su|0)<3)My=Y(f[Si>>2]|0,f[Qi>>2]|0)|0;else{lu=f[lj>>2]|0;nu=0;Kw=1;while(1){pu=Y(f[lu+(nu<<2)>>2]|0,Kw)|0;nu=nu+1|0;if((nu|0)==(Su|0)){My=pu;break}else Kw=pu}}Kw=Bmc(16)|0;Su=Kw+8|0;f[Kw>>2]=Su;f[Kw+4>>2]=My;if(My>>>0>1){nu=Dmc(My>>>0>536870911?-1:My<<3)|0;f[Kw>>2]=nu;Ny=nu}else Ny=Su;f[g>>2]=0;f[cj>>2]=Kw;if((My|0)>0){Kw=Zv;Su=0;while(1){nu=f[Kw>>2]|0;lu=Ny+(Su<<3)|0;f[lu>>2]=nu;f[lu+4>>2]=((nu|0)<0)<<31>>31;Su=Su+1|0;if((Su|0)==(My|0))break;else Kw=Kw+4|0}}MCa(t,e,g)|0;rza(g);ZG(e);f[e>>2]=0;f[dj>>2]=0;Kw=YG(e,4)|0;b[Kw>>0]=115;b[Kw+1>>0]=105;b[Kw+2>>0]=122;b[Kw+3>>0]=101;Kw=f[Ti>>2]|0;Su=f[Ui>>2]|0;if((Su|0)<3)Oy=Y(f[Wi>>2]|0,f[Vi>>2]|0)|0;else{Zv=f[ij>>2]|0;nu=0;lu=1;while(1){pu=Y(f[Zv+(nu<<2)>>2]|0,lu)|0;nu=nu+1|0;if((nu|0)==(Su|0)){Oy=pu;break}else lu=pu}}lu=Bmc(16)|0;Su=lu+8|0;f[lu>>2]=Su;f[lu+4>>2]=Oy;if(Oy>>>0>1){nu=Dmc(Oy>>>0>536870911?-1:Oy<<3)|0;f[lu>>2]=nu;Py=nu}else Py=Su;f[g>>2]=0;f[ej>>2]=lu;if((Oy|0)>0){lu=Kw;Su=0;while(1){nu=f[lu>>2]|0;Zv=Py+(Su<<3)|0;f[Zv>>2]=nu;f[Zv+4>>2]=((nu|0)<0)<<31>>31;Su=Su+1|0;if((Su|0)==(Oy|0))break;else lu=lu+4|0}}MCa(t,e,g)|0;rza(g);ZG(e);f[e>>2]=0;f[fj>>2]=0;lu=YG(e,5)|0;b[lu>>0]=b[442633]|0;b[lu+1>>0]=b[442634]|0;b[lu+2>>0]=b[442635]|0;b[lu+3>>0]=b[442636]|0;b[lu+4>>0]=b[442637]|0;lu=UAa(c,r,e,t)|0;ZG(e);Su=oza(o,r)|0;f[Su>>2]=lu;NCa(e,f[(f[Fa>>2]|0)+4>>2]|0);OCa(a,o,c,e,lu,0);if((b[gj>>0]|0)<0)Emc(f[e>>2]|0);lu=f[hj>>2]|0;do if(lu|0){Su=lu+12|0;Kw=f[Su>>2]|0;f[Su>>2]=Kw+-1;if((Kw|0)!=1)break;lP(w)}while(0);f[hj>>2]=0;f[Ti>>2]=0;f[Ti+4>>2]=0;f[Ti+8>>2]=0;f[Ti+12>>2]=0;if((f[Ui>>2]|0)>0){lu=f[ij>>2]|0;Kw=0;do{f[lu+(Kw<<2)>>2]=0;Kw=Kw+1|0}while((Kw|0)<(f[Ui>>2]|0))}Kw=f[_i>>2]|0;if((Kw|0)!=(jj|0))tE(Kw);Kw=f[kj>>2]|0;do if(Kw|0){lu=Kw+12|0;Su=f[lu>>2]|0;f[lu>>2]=Su+-1;if((Su|0)!=1)break;lP(v)}while(0);f[kj>>2]=0;f[Oi>>2]=0;f[Oi+4>>2]=0;f[Oi+8>>2]=0;f[Oi+12>>2]=0;if((f[Pi>>2]|0)>0){Kw=f[lj>>2]|0;Su=0;do{f[Kw+(Su<<2)>>2]=0;Su=Su+1|0}while((Su|0)<(f[Pi>>2]|0))}Su=f[Zi>>2]|0;if((Su|0)!=(mj|0))tE(Su);break e}while(0);if((f[Wa>>2]|0)!=2){Xa=1322;break c}f[Bi>>2]=0;f[Ci>>2]=0;f[U>>2]=Di;Su=f[l>>2]|0;if((Su|0)!=(Ga|0)){Kw=Su;while(1){Su=Kw+16|0;f[i>>2]=Hi;f[e>>2]=f[i>>2];lu=HCa(U,e,g,h,Su)|0;if(!(f[lu>>2]|0)){nu=Bmc(28)|0;Zv=f[Su>>2]|0;f[nu+16>>2]=Zv;f[nu+20>>2]=f[Kw+20>>2];if(Zv|0){Su=Zv+-4|0;f[Su>>2]=(f[Su>>2]|0)+1}f[nu+24>>2]=f[Kw+24>>2];Su=f[g>>2]|0;f[nu>>2]=0;f[nu+4>>2]=0;f[nu+8>>2]=Su;f[lu>>2]=nu;Su=f[f[U>>2]>>2]|0;if(!Su)Qy=nu;else{f[U>>2]=Su;Qy=f[lu>>2]|0}RS(f[Bi>>2]|0,Qy);f[Ci>>2]=(f[Ci>>2]|0)+1}lu=f[Kw+4>>2]|0;do if(!lu){Su=Kw+8|0;nu=f[Su>>2]|0;if((f[nu>>2]|0)==(Kw|0)){Ry=nu;break}else Sy=Su;do{Su=f[Sy>>2]|0;Sy=Su+8|0;nu=f[Sy>>2]|0}while((f[nu>>2]|0)!=(Su|0));Ry=nu}else{nu=lu;while(1){Su=f[nu>>2]|0;if(!Su)break;else nu=Su}Ry=nu}while(0);if((Ry|0)==(Ga|0))break;else Kw=Ry}}Kw=(ICa(a,q,U,0,0)|0)+48|0;lu=f[(f[Kw>>2]|0)+4>>2]|0;fza(U,f[Di>>2]|0);f[g>>2]=0;f[Ei>>2]=0;Kw=YG(g,4)|0;b[Kw>>0]=97;b[Kw+1>>0]=120;b[Kw+2>>0]=105;b[Kw+3>>0]=115;Kw=lu+4|0;if(Kw>>>0>=8){Xa=1337;break c}do if(lu)if((lu|0)>0){Ty=((lu>>>0)%3|0)+1|0;break}else{Ty=((Kw>>>0)%3|0)+1|0;break}else Ty=0;while(0);f[h>>2]=Ty;KCa(t,g,h)|0;ZG(g);f[e>>2]=0;f[Fi>>2]=0;Kw=YG(e,5)|0;b[Kw>>0]=b[442633]|0;b[Kw+1>>0]=b[442634]|0;b[Kw+2>>0]=b[442635]|0;b[Kw+3>>0]=b[442636]|0;b[Kw+4>>0]=b[442637]|0;Kw=UAa(c,r,e,t)|0;ZG(e);lu=oza(o,r)|0;f[lu>>2]=Kw;NCa(e,f[(f[Fa>>2]|0)+8>>2]|0);OCa(a,o,c,e,Kw,0);if((b[Gi>>0]|0)<0)Emc(f[e>>2]|0);break e}while(0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[ti>>0]=5;b[h>>0]=b[396804]|0;b[h+1>>0]=b[396805]|0;b[h+2>>0]=b[396806]|0;b[h+3>>0]=b[396807]|0;b[h+4>>0]=b[396808]|0;b[ui>>0]=0;v_b(_b);PCa(g,$b);QCa(e,f[vi>>2]|0,h,0);Kw=f[e>>2]|0;RCa(g);if(!Kw)Uy=1;else{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;b[zi>>0]=5;b[e>>0]=b[396804]|0;b[e+1>>0]=b[396805]|0;b[e+2>>0]=b[396806]|0;b[e+3>>0]=b[396807]|0;b[e+4>>0]=b[396808]|0;b[Ai>>0]=0;v_b(_b);Kw=SCa($b,e)|0;lu=(f[Kw+20>>2]|0)!=6?1:(f[Kw+8>>2]|0)!=10;if((b[zi>>0]|0)<0)Emc(f[e>>2]|0);Uy=lu}if((b[ti>>0]|0)<0)Emc(f[h>>2]|0);if(!Uy)break e;lu=f[wi>>2]|0;if((lu|0)==(f[xi>>2]|0))kCa(yi,r);else{Kw=f[r>>2]|0;f[lu>>2]=Kw;f[lu+4>>2]=f[La>>2];if(!Kw)Vy=lu;else{lu=Kw+-4|0;f[lu>>2]=(f[lu>>2]|0)+1;Vy=f[wi>>2]|0}f[wi>>2]=Vy+8}lu=oza(o,r)|0;f[lu>>2]=0;break e}while(0);f[e>>2]=0;f[pi>>2]=0;lu=YG(e,4)|0;b[lu>>0]=112;b[lu+1>>0]=111;b[lu+2>>0]=111;b[lu+3>>0]=108;$Ca(t,e,474854)|0;ZG(e);f[e>>2]=0;f[qi>>2]=0;qv=YG(e,20)|0;rv=475063;sv=qv+20|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));b[g>>0]=0;TCa(t,e,g)|0;ZG(e);aDa(t,q);YCa(t,q);ZCa(t,q);f[e>>2]=0;f[ri>>2]=0;lu=YG(e,7)|0;b[lu>>0]=b[443971]|0;b[lu+1>>0]=b[443972]|0;b[lu+2>>0]=b[443973]|0;b[lu+3>>0]=b[443974]|0;b[lu+4>>0]=b[443975]|0;b[lu+5>>0]=b[443976]|0;b[lu+6>>0]=b[443977]|0;lu=UAa(c,r,e,t)|0;ZG(e);Kw=oza(o,r)|0;f[Kw>>2]=lu;NCa(e,f[(f[Fa>>2]|0)+4>>2]|0);Kw=f[Wa>>2]|0;if((Kw|0)>0){Su=0;do{OCa(a,o,c,e,lu,Su);Su=Su+1|0}while((Su|0)!=(Kw|0))}if((b[si>>0]|0)<0)Emc(f[e>>2]|0);break e}while(0);f[e>>2]=0;f[mi>>2]=0;Kw=YG(e,4)|0;b[Kw>>0]=112;b[Kw+1>>0]=111;b[Kw+2>>0]=111;b[Kw+3>>0]=108;$Ca(t,e,474850)|0;ZG(e);aDa(t,q);YCa(t,q);ZCa(t,q);f[e>>2]=0;f[ni>>2]=0;Kw=YG(e,7)|0;b[Kw>>0]=b[443971]|0;b[Kw+1>>0]=b[443972]|0;b[Kw+2>>0]=b[443973]|0;b[Kw+3>>0]=b[443974]|0;b[Kw+4>>0]=b[443975]|0;b[Kw+5>>0]=b[443976]|0;b[Kw+6>>0]=b[443977]|0;Kw=UAa(c,r,e,t)|0;ZG(e);Su=oza(o,r)|0;f[Su>>2]=Kw;NCa(e,f[(f[Fa>>2]|0)+4>>2]|0);Su=f[Wa>>2]|0;if((Su|0)>0){lu=0;do{OCa(a,o,c,e,Kw,lu);lu=lu+1|0}while((lu|0)!=(Su|0))}if((b[oi>>0]|0)<0)Emc(f[e>>2]|0);break e}while(0);if(!(o7b(zu,443891)|0)){yu=0;break}yu=(f[Wa>>2]|0)+-1|0}while(0);f[$h>>2]=0;f[ai>>2]=0;f[T>>2]=bi;Su=f[l>>2]|0;if((Su|0)!=(Ga|0)){lu=Su;while(1){Su=lu+16|0;f[i>>2]=li;f[e>>2]=f[i>>2];Kw=HCa(T,e,g,h,Su)|0;if(!(f[Kw>>2]|0)){Zv=Bmc(28)|0;pu=f[Su>>2]|0;f[Zv+16>>2]=pu;f[Zv+20>>2]=f[lu+20>>2];if(pu|0){Su=pu+-4|0;f[Su>>2]=(f[Su>>2]|0)+1}f[Zv+24>>2]=f[lu+24>>2];Su=f[g>>2]|0;f[Zv>>2]=0;f[Zv+4>>2]=0;f[Zv+8>>2]=Su;f[Kw>>2]=Zv;Su=f[f[T>>2]>>2]|0;if(!Su)Wy=Zv;else{f[T>>2]=Su;Wy=f[Kw>>2]|0}RS(f[$h>>2]|0,Wy);f[ai>>2]=(f[ai>>2]|0)+1}Kw=f[lu+4>>2]|0;do if(!Kw){Su=lu+8|0;Zv=f[Su>>2]|0;if((f[Zv>>2]|0)==(lu|0)){Xy=Zv;break}else Yy=Su;do{Su=f[Yy>>2]|0;Yy=Su+8|0;Zv=f[Yy>>2]|0}while((f[Zv>>2]|0)!=(Su|0));Xy=Zv}else{Zv=Kw;while(1){Su=f[Zv>>2]|0;if(!Su)break;else Zv=Su}Xy=Zv}while(0);if((Xy|0)==(Ga|0))break;else lu=Xy}}lu=(ICa(a,q,T,yu,0)|0)+48|0;Kw=f[(f[lu>>2]|0)+4>>2]|0;fza(T,f[bi>>2]|0);f[v>>2]=Kw;Kw=f[r>>2]|0;lu=f[La>>2]|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;if(lu>>>0>4294967279){Xa=1249;break c}if(lu>>>0<11){b[di>>0]=lu;if(!lu)Zy=e;else{_y=e;Xa=1253}}else{Su=lu+16&-16;pu=Bmc(Su)|0;f[e>>2]=pu;f[ji>>2]=Su|-2147483648;f[ki>>2]=lu;_y=pu;Xa=1253}if((Xa|0)==1253){Xa=0;Krc(_y|0,Kw|0,lu|0)|0;Zy=_y}b[Zy+lu>>0]=0;lu=(_Ca(e,k)|0)==0;if((b[di>>0]|0)<0)Emc(f[e>>2]|0);if(lu){lu=f[v>>2]|0;Kw=lu+4|0;if(Kw>>>0>=8){Xa=1258;break c}do if(lu)if((lu|0)>0){$y=((lu>>>0)%3|0)+1|0;break}else{$y=((Kw>>>0)%3|0)+1|0;break}else $y=0;while(0);f[v>>2]=$y}f[e>>2]=0;f[ei>>2]=0;Kw=YG(e,4)|0;b[Kw>>0]=97;b[Kw+1>>0]=120;b[Kw+2>>0]=105;b[Kw+3>>0]=115;KCa(t,e,v)|0;ZG(e);f[e>>2]=0;f[fi>>2]=0;Kw=YG(e,6)|0;b[Kw>>0]=b[443891]|0;b[Kw+1>>0]=b[443892]|0;b[Kw+2>>0]=b[443893]|0;b[Kw+3>>0]=b[443894]|0;b[Kw+4>>0]=b[443895]|0;b[Kw+5>>0]=b[443896]|0;Kw=UAa(c,r,e,t)|0;ZG(e);lu=oza(o,r)|0;f[lu>>2]=Kw;lu=f[s>>2]|0;do if((lu|0)==443891){az=1;Xa=1266}else{pu=(o7b((lu|0)==0?1163146:lu,443891)|0)==0;Su=pu&1;if(pu){az=Su;Xa=1266;break}bz=Su;cz=(f[Wa>>2]|0)+-1|0}while(0);if((Xa|0)==1266){Xa=0;bz=az;cz=f[Wa>>2]|0}if((bz|0)<(cz|0)){lu=bz;do{NCa(e,f[(f[Fa>>2]|0)+4+(lu<<2)>>2]|0);f[g>>2]=0;f[gi>>2]=0;Su=b[hi>>0]|0;pu=Su<<24>>24<0?f[ii>>2]|0:Su&255;if(pu|0){Su=YG(g,pu)|0;Krc(Su|0,((b[hi>>0]|0)<0?f[e>>2]|0:e)|0,pu|0)|0}pu=f[wa>>2]|0;do if(pu){Su=f[g>>2]|0;Mw=(Su|0)==0?1163146:Su;Lw=wa;Ux=pu;x:while(1){qy=Ux;while(1){dz=f[qy+16>>2]|0;if((dz|0)==(Su|0))break;if((o7b((dz|0)==0?1163146:dz,Mw)|0)>=0)break;dz=f[qy+4>>2]|0;if(!dz){ez=Lw;break x}else qy=dz}Ux=f[qy>>2]|0;if(!Ux){ez=qy;break}else Lw=qy}if((ez|0)==(wa|0)){Xa=1282;break}Lw=f[ez+16>>2]|0;if((Su|0)==(Lw|0)){fz=ez;break}if((o7b(Mw,(Lw|0)==0?1163146:Lw)|0)>=0)fz=ez;else Xa=1282}else Xa=1282;while(0);if((Xa|0)==1282){Xa=0;fz=wa}ZG(g);if((fz|0)==(wa|0)){Xa=1284;break c}OCa(a,o,c,e,Kw,lu-bz|0);if((b[hi>>0]|0)<0)Emc(f[e>>2]|0);lu=lu+1|0}while((lu|0)<(cz|0))}break e}while(0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[yh>>0]=5;b[h>>0]=b[448026]|0;b[h+1>>0]=b[448027]|0;b[h+2>>0]=b[448028]|0;b[h+3>>0]=b[448029]|0;b[h+4>>0]=b[448030]|0;b[zh>>0]=0;v_b(_b);PCa(g,$b);QCa(e,f[Ah>>2]|0,h,0);lu=(f[e>>2]|0)==0;RCa(g);if((b[yh>>0]|0)<0)Emc(f[h>>2]|0);if(!lu){f[e>>2]=0;f[Yh>>2]=0;lu=YG(e,5)|0;b[lu>>0]=b[448026]|0;b[lu+1>>0]=b[448027]|0;b[lu+2>>0]=b[448028]|0;b[lu+3>>0]=b[448029]|0;b[lu+4>>0]=b[448030]|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[Zh>>0]=5;b[h>>0]=b[448026]|0;b[h+1>>0]=b[448027]|0;b[h+2>>0]=b[448028]|0;b[h+3>>0]=b[448029]|0;b[h+4>>0]=b[448030]|0;b[_h>>0]=0;v_b(_b);lu=SCa($b,h)|0;n[g>>2]=(f[lu+20>>2]|0)==4?+n[lu+8>>2]:0.0;LCa(t,e,g)|0;if((b[Zh>>0]|0)<0)Emc(f[h>>2]|0);ZG(e)};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[Bh>>0]=4;f[h>>2]=1635018082;b[Ch>>0]=0;v_b(_b);PCa(g,$b);QCa(e,f[Dh>>2]|0,h,0);lu=(f[e>>2]|0)==0;RCa(g);if((b[Bh>>0]|0)<0)Emc(f[h>>2]|0);if(!lu){f[e>>2]=0;f[Vh>>2]=0;lu=YG(e,4)|0;b[lu>>0]=98;b[lu+1>>0]=101;b[lu+2>>0]=116;b[lu+3>>0]=97;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[Wh>>0]=4;f[h>>2]=1635018082;b[Xh>>0]=0;v_b(_b);lu=SCa($b,h)|0;n[g>>2]=(f[lu+20>>2]|0)==4?+n[lu+8>>2]:0.0;LCa(t,e,g)|0;if((b[Wh>>0]|0)<0)Emc(f[h>>2]|0);ZG(e)};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;lu=Bmc(16)|0;f[h>>2]=lu;f[Eh>>2]=-2147483632;f[Fh>>2]=12;qv=lu;rv=396726;sv=qv+12|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));b[lu+12>>0]=0;v_b(_b);PCa(g,$b);QCa(e,f[Gh>>2]|0,h,0);Kw=(f[e>>2]|0)==0;RCa(g);if((b[Hh>>0]|0)<0)Emc(f[h>>2]|0);if(!Kw){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;Kw=Bmc(16)|0;f[e>>2]=Kw;f[Rh>>2]=-2147483632;f[Sh>>2]=12;qv=Kw;rv=396726;sv=qv+12|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));b[Kw+12>>0]=0;v_b(_b);lu=SCa($b,e)|0;pu=(f[lu+20>>2]|0)==3;Lw=f[lu+8>>2]|0;if((b[Th>>0]|0)<0)Emc(f[e>>2]|0);f[e>>2]=0;f[Uh>>2]=0;qv=YG(e,10)|0;rv=447956;sv=qv+10|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));f[g>>2]=pu?Lw<<1|1:1;KCa(t,e,g)|0;ZG(e)};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[Ih>>0]=4;f[h>>2]=1935763810;b[Jh>>0]=0;v_b(_b);PCa(g,$b);QCa(e,f[Kh>>2]|0,h,0);Kw=(f[e>>2]|0)==0;RCa(g);if((b[Ih>>0]|0)<0)Emc(f[h>>2]|0);if(!Kw){f[e>>2]=0;f[Oh>>2]=0;Kw=YG(e,4)|0;b[Kw>>0]=98;b[Kw+1>>0]=105;b[Kw+2>>0]=97;b[Kw+3>>0]=115;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[Ph>>0]=4;f[h>>2]=1935763810;b[Qh>>0]=0;v_b(_b);Kw=SCa($b,h)|0;n[g>>2]=(f[Kw+20>>2]|0)==4?+n[Kw+8>>2]:0.0;LCa(t,e,g)|0;if((b[Ph>>0]|0)<0)Emc(f[h>>2]|0);ZG(e)}f[e>>2]=0;f[Lh>>2]=0;qv=YG(e,12)|0;rv=448032;sv=qv+12|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));b[g>>0]=0;TCa(t,e,g)|0;ZG(e);f[e>>2]=0;f[Mh>>2]=0;Lw=YG(e,3)|0;b[Lw>>0]=b[442704]|0;b[Lw+1>>0]=b[442705]|0;b[Lw+2>>0]=b[442706]|0;Lw=UAa(c,r,e,t)|0;ZG(e);pu=oza(o,r)|0;f[pu>>2]=Lw;NCa(e,f[(f[Fa>>2]|0)+4>>2]|0);pu=f[Wa>>2]|0;if((pu|0)>0){Kw=0;do{OCa(a,o,c,e,Lw,Kw);Kw=Kw+1|0}while((Kw|0)!=(pu|0))}if((b[Nh>>0]|0)<0)Emc(f[e>>2]|0);break e}while(0);f[fh>>2]=0;f[gh>>2]=0;f[S>>2]=hh;pu=f[l>>2]|0;if((pu|0)!=(Ga|0)){Kw=pu;while(1){pu=Kw+16|0;f[i>>2]=xh;f[e>>2]=f[i>>2];Lw=HCa(S,e,g,h,pu)|0;if(!(f[Lw>>2]|0)){lu=Bmc(28)|0;Ux=f[pu>>2]|0;f[lu+16>>2]=Ux;f[lu+20>>2]=f[Kw+20>>2];if(Ux|0){pu=Ux+-4|0;f[pu>>2]=(f[pu>>2]|0)+1}f[lu+24>>2]=f[Kw+24>>2];pu=f[g>>2]|0;f[lu>>2]=0;f[lu+4>>2]=0;f[lu+8>>2]=pu;f[Lw>>2]=lu;pu=f[f[S>>2]>>2]|0;if(!pu)gz=lu;else{f[S>>2]=pu;gz=f[Lw>>2]|0}RS(f[fh>>2]|0,gz);f[gh>>2]=(f[gh>>2]|0)+1}Lw=f[Kw+4>>2]|0;do if(!Lw){pu=Kw+8|0;lu=f[pu>>2]|0;if((f[lu>>2]|0)==(Kw|0)){hz=lu;break}else iz=pu;do{pu=f[iz>>2]|0;iz=pu+8|0;lu=f[iz>>2]|0}while((f[lu>>2]|0)!=(pu|0));hz=lu}else{lu=Lw;while(1){pu=f[lu>>2]|0;if(!pu)break;else lu=pu}hz=lu}while(0);if((hz|0)==(Ga|0))break;else Kw=hz}}Glb(v,ICa(a,q,S,1,0)|0);fza(S,f[hh>>2]|0);if((f[v>>2]&4095|0)!=4){Xa=1151;break c}Kw=f[ih>>2]|0;Lw=f[jh>>2]|0;if((Lw|0)<3)jz=Y(f[lh>>2]|0,f[kh>>2]|0)|0;else{pu=f[ph>>2]|0;Ux=0;Zv=1;while(1){dz=Y(f[pu+(Ux<<2)>>2]|0,Zv)|0;Ux=Ux+1|0;if((Ux|0)==(Lw|0)){jz=dz;break}else Zv=dz}}if((jz|0)==4){y:do switch(_Ca(f[(f[Fa>>2]|0)+4>>2]|0,k)|0){case 0:{if(f[Kw>>2]|0){Xa=1164;break c}switch(f[Kw+4>>2]|0){case 3:{if((f[Kw+8>>2]|0)!=1){Xa=1164;break c}if((f[Kw+12>>2]|0)==2){kz=1;Xa=1172;break y}else{Xa=1164;break c}break}case 1:{if((f[Kw+8>>2]|0)!=2){Xa=1164;break c}if((f[Kw+12>>2]|0)==3){kz=0;Xa=1172;break y}else{Xa=1164;break c}break}default:{Xa=1164;break c}}break}case 1:{if(f[Kw>>2]|0){Xa=1171;break c}switch(f[Kw+4>>2]|0){case 2:{if((f[Kw+8>>2]|0)!=3){Xa=1171;break c}if((f[Kw+12>>2]|0)==1){kz=0;Xa=1172;break y}else{Xa=1171;break c}break}case 1:{if((f[Kw+8>>2]|0)!=2){Xa=1171;break c}if((f[Kw+12>>2]|0)==3){kz=1;Xa=1172;break y}else{Xa=1171;break c}break}default:{Xa=1171;break c}}break}default:{}}while(0);if((Xa|0)==1172){Xa=0;Zv=oza(k,r)|0;f[Zv>>2]=kz}f[e>>2]=0;f[mh>>2]=0;Zv=YG(e,8)|0;Lw=Zv;b[Lw>>0]=73;b[Lw+1>>0]=100;b[Lw+2>>0]=101;b[Lw+3>>0]=110;Lw=Zv+4|0;b[Lw>>0]=116;b[Lw+1>>0]=105;b[Lw+2>>0]=116;b[Lw+3>>0]=121;Lw=UAa(c,r,e,t)|0;ZG(e);Zv=oza(o,r)|0;f[Zv>>2]=Lw;NCa(e,f[(f[Fa>>2]|0)+4>>2]|0);OCa(a,o,c,e,Lw,0);if((b[nh>>0]|0)<0)Emc(f[e>>2]|0)}else{f[e>>2]=0;f[th>>2]=0;Lw=YG(e,5)|0;b[Lw>>0]=b[467464]|0;b[Lw+1>>0]=b[467465]|0;b[Lw+2>>0]=b[467466]|0;b[Lw+3>>0]=b[467467]|0;b[Lw+4>>0]=b[467468]|0;Lw=f[jh>>2]|0;if((Lw|0)<3)lz=Y(f[lh>>2]|0,f[kh>>2]|0)|0;else{Zv=f[ph>>2]|0;Ux=0;pu=1;while(1){dz=Y(f[Zv+(Ux<<2)>>2]|0,pu)|0;Ux=Ux+1|0;if((Ux|0)==(Lw|0)){lz=dz;break}else pu=dz}}pu=Bmc(16)|0;Lw=pu+8|0;f[pu>>2]=Lw;f[pu+4>>2]=lz;if(lz>>>0>1){Ux=Dmc(lz>>>0>536870911?-1:lz<<3)|0;f[pu>>2]=Ux;mz=Ux}else mz=Lw;f[g>>2]=0;f[uh>>2]=pu;if((lz|0)>0){pu=Kw;Lw=0;while(1){Ux=f[pu>>2]|0;Zv=mz+(Lw<<3)|0;f[Zv>>2]=Ux;f[Zv+4>>2]=((Ux|0)<0)<<31>>31;Lw=Lw+1|0;if((Lw|0)==(lz|0))break;else pu=pu+4|0}}MCa(t,e,g)|0;rza(g);ZG(e);f[e>>2]=0;f[vh>>2]=0;pu=YG(e,7)|0;b[pu>>0]=b[443834]|0;b[pu+1>>0]=b[443835]|0;b[pu+2>>0]=b[443836]|0;b[pu+3>>0]=b[443837]|0;b[pu+4>>0]=b[443838]|0;b[pu+5>>0]=b[443839]|0;b[pu+6>>0]=b[443840]|0;pu=UAa(c,r,e,t)|0;ZG(e);Lw=oza(o,r)|0;f[Lw>>2]=pu;NCa(e,f[(f[Fa>>2]|0)+4>>2]|0);OCa(a,o,c,e,pu,0);if((b[wh>>0]|0)<0)Emc(f[e>>2]|0);pu=oza(k,r)|0;f[pu>>2]=2}pu=f[oh>>2]|0;do if(pu|0){Lw=pu+12|0;Kw=f[Lw>>2]|0;f[Lw>>2]=Kw+-1;if((Kw|0)!=1)break;lP(v)}while(0);f[oh>>2]=0;f[ih>>2]=0;f[ih+4>>2]=0;f[ih+8>>2]=0;f[ih+12>>2]=0;if((f[jh>>2]|0)>0){pu=f[ph>>2]|0;Kw=0;do{f[pu+(Kw<<2)>>2]=0;Kw=Kw+1|0}while((Kw|0)<(f[jh>>2]|0))}Kw=f[qh>>2]|0;if((Kw|0)!=(sh|0))tE(Kw);break e}while(0);NCa(h,f[(f[Fa>>2]|0)+4>>2]|0);mu=_Ca(f[(f[Fa>>2]|0)+4>>2]|0,k)|0;Kw=f[s>>2]|0;do if((Kw|0)!=396556){if(!(o7b((Kw|0)==0?1163146:Kw,396556)|0)){Xa=1083;break}if(!mu)Xa=1100}else Xa=1083;while(0);z:do if((Xa|0)==1083){Xa=0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;Kw=Bmc(16)|0;f[i>>2]=Kw;f[Hg>>2]=-2147483632;f[Ig>>2]=12;qv=Kw;rv=396564;sv=qv+12|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));b[Kw+12>>0]=0;v_b(_b);PCa(g,$b);QCa(e,f[Jg>>2]|0,i,0);pu=(f[e>>2]|0)==0;RCa(g);if((b[Kg>>0]|0)<0)Emc(f[i>>2]|0);if(pu){Xa=1086;break c};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;pu=Bmc(16)|0;f[e>>2]=pu;f[Lg>>2]=-2147483632;f[Mg>>2]=12;qv=pu;rv=396564;sv=qv+12|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));b[pu+12>>0]=0;v_b(_b);Kw=SCa($b,e)|0;if((b[Ng>>0]|0)<0)Emc(f[e>>2]|0);switch(mu|0){case 0:{Lw=(f[Kw+20>>2]|0)==1?f[Kw+8>>2]|0:528720;if((f[Lw+24>>2]|0)!=2){Xa=1093;break c}Ux=f[Lw+32>>2]|0;Lw=Ux+8|0;if(!((f[Lw>>2]|0)==1&(f[Lw+4>>2]|0)==0)){Xa=1093;break c}Lw=Ux+16|0;if((f[Lw>>2]|0)==2&(f[Lw+4>>2]|0)==0){Xa=1100;break z}else{Xa=1093;break c}break}case 1:{Lw=(f[Kw+20>>2]|0)==1?f[Kw+8>>2]|0:528720;if((f[Lw+24>>2]|0)!=2){Xa=1097;break c}Kw=f[Lw+32>>2]|0;Lw=Kw+8|0;if(!((f[Lw>>2]|0)==2&(f[Lw+4>>2]|0)==0)){Xa=1097;break c}Lw=Kw+16|0;if((f[Lw>>2]|0)==3&(f[Lw+4>>2]|0)==0)break z;else{Xa=1097;break c}break}default:{Xa=1098;break c}}}while(0);if((Xa|0)==1100){Xa=0;f[Og>>2]=0;f[Pg>>2]=0;f[e>>2]=Qg;f[Rg>>2]=0;f[Rg+4>>2]=0;f[Rg+8>>2]=0;f[Rg+12>>2]=0;f[Rg+16>>2]=0;f[Rg+20>>2]=0;f[Rg+24>>2]=0;f[g>>2]=0;f[Sg>>2]=0;mu=YG(g,5)|0;b[mu>>0]=b[467464]|0;b[mu+1>>0]=b[467465]|0;b[mu+2>>0]=b[467466]|0;b[mu+3>>0]=b[467467]|0;b[mu+4>>0]=b[467468]|0;mu=Bmc(16)|0;f[mu>>2]=mu+8;f[mu+4>>2]=4;Lw=Dmc(32)|0;f[mu>>2]=Lw;f[i>>2]=0;f[Tg>>2]=mu;mu=Lw;f[mu>>2]=0;f[mu+4>>2]=0;mu=Lw+8|0;f[mu>>2]=2;f[mu+4>>2]=0;mu=Lw+16|0;f[mu>>2]=3;f[mu+4>>2]=0;mu=Lw+24|0;f[mu>>2]=1;f[mu+4>>2]=0;MCa(e,g,i)|0;rza(i);ZG(g);f[R>>2]=0;f[Ug>>2]=0;YG(R,(f[La>>2]|0)+5|0)|0;mu=f[La>>2]|0;if(!mu)nz=0;else{Krc(f[R>>2]|0,f[r>>2]|0,mu|0)|0;nz=f[La>>2]|0}mu=(f[R>>2]|0)+nz|0;b[mu>>0]=b[396508]|0;b[mu+1>>0]=b[396509]|0;b[mu+2>>0]=b[396510]|0;b[mu+3>>0]=b[396511]|0;b[mu+4>>0]=b[396512]|0;mu=f[R>>2]|0;Lw=f[Ug>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;if(Lw>>>0>4294967279){Xa=1103;break c}if(Lw>>>0<11){b[Vg>>0]=Lw;if(!Lw)oz=g;else{pz=g;Xa=1107}}else{Kw=Lw+16&-16;Ux=Bmc(Kw)|0;f[g>>2]=Ux;f[ch>>2]=Kw|-2147483648;f[Xg>>2]=Lw;pz=Ux;Xa=1107}if((Xa|0)==1107){Xa=0;Krc(pz|0,mu|0,Lw|0)|0;oz=pz}b[oz+Lw>>0]=0;ZG(R);f[i>>2]=0;f[Wg>>2]=0;Lw=b[Vg>>0]|0;mu=Lw<<24>>24<0?f[Xg>>2]|0:Lw&255;if(mu|0){Lw=YG(i,mu)|0;Krc(Lw|0,((b[Vg>>0]|0)<0?f[g>>2]|0:g)|0,mu|0)|0}mu=f[wa>>2]|0;do if(mu){Lw=f[i>>2]|0;Ux=(Lw|0)==0?1163146:Lw;Kw=wa;Zv=mu;A:while(1){dz=Zv;while(1){qz=f[dz+16>>2]|0;if((qz|0)==(Lw|0))break;if((o7b((qz|0)==0?1163146:qz,Ux)|0)>=0)break;qz=f[dz+4>>2]|0;if(!qz){rz=Kw;break A}else dz=qz}Zv=f[dz>>2]|0;if(!Zv){rz=dz;break}else Kw=dz}if((rz|0)==(wa|0)){Xa=1120;break}Kw=f[rz+16>>2]|0;if((Lw|0)==(Kw|0)){sz=rz;break}if((o7b(Ux,(Kw|0)==0?1163146:Kw)|0)>=0)sz=rz;else Xa=1120}else Xa=1120;while(0);if((Xa|0)==1120){Xa=0;sz=wa}ZG(i);if((sz|0)!=(wa|0)){Xa=1122;break c}f[i>>2]=0;f[Yg>>2]=0;mu=b[Vg>>0]|0;Kw=mu<<24>>24<0?f[Xg>>2]|0:mu&255;if(Kw|0){mu=YG(i,Kw)|0;Krc(mu|0,((b[Vg>>0]|0)<0?f[g>>2]|0:g)|0,Kw|0)|0}f[v>>2]=0;f[Zg>>2]=0;Kw=YG(v,7)|0;b[Kw>>0]=b[443834]|0;b[Kw+1>>0]=b[443835]|0;b[Kw+2>>0]=b[443836]|0;b[Kw+3>>0]=b[443837]|0;b[Kw+4>>0]=b[443838]|0;b[Kw+5>>0]=b[443839]|0;b[Kw+6>>0]=b[443840]|0;Kw=UAa(c,i,v,e)|0;ZG(v);ZG(i);f[i>>2]=0;f[_g>>2]=0;mu=b[Vg>>0]|0;Zv=mu<<24>>24<0?f[Xg>>2]|0:mu&255;if(Zv|0){mu=YG(i,Zv)|0;Krc(mu|0,((b[Vg>>0]|0)<0?f[g>>2]|0:g)|0,Zv|0)|0}Zv=oza(o,i)|0;f[Zv>>2]=Kw;ZG(i);OCa(a,o,c,h,Kw,0);Nmc(i,g);f[$g>>2]=0;Qmc(h,i)|0;f[ah>>2]=f[$g>>2];if((b[bh>>0]|0)<0)Emc(f[i>>2]|0);if((b[Vg>>0]|0)<0)Emc(f[g>>2]|0);qza(e)}f[e>>2]=0;f[dh>>2]=0;Kw=YG(e,7)|0;b[Kw>>0]=b[446779]|0;b[Kw+1>>0]=b[446780]|0;b[Kw+2>>0]=b[446781]|0;b[Kw+3>>0]=b[446782]|0;b[Kw+4>>0]=b[446783]|0;b[Kw+5>>0]=b[446784]|0;b[Kw+6>>0]=b[446785]|0;Kw=UAa(c,r,e,t)|0;ZG(e);Zv=oza(o,r)|0;f[Zv>>2]=Kw;OCa(a,o,c,h,Kw,0);Kw=oza(k,r)|0;f[Kw>>2]=3;if((b[eh>>0]|0)<0)Emc(f[h>>2]|0);break e}while(0);NCa(v,f[(f[Fa>>2]|0)+4>>2]|0);Va=_Ca(f[(f[Fa>>2]|0)+4>>2]|0,k)|0;Kw=f[(f[Fa>>2]|0)+8>>2]|0;f[e>>2]=0;f[Zf>>2]=0;Zv=Kw+11|0;mu=b[Zv>>0]|0;pu=mu<<24>>24<0?f[Kw+4>>2]|0:mu&255;if(pu|0){mu=YG(e,pu)|0;Krc(mu|0,((b[Zv>>0]|0)<0?f[Kw>>2]|0:Kw)|0,pu|0)|0}pu=f[Ga>>2]|0;do if(pu){Kw=f[e>>2]|0;Zv=(Kw|0)==0?1163146:Kw;mu=Ga;qz=pu;B:while(1){tz=qz;while(1){uz=f[tz+16>>2]|0;if((uz|0)==(Kw|0))break;if((o7b((uz|0)==0?1163146:uz,Zv)|0)>=0)break;uz=f[tz+4>>2]|0;if(!uz){vz=mu;break B}else tz=uz}qz=f[tz>>2]|0;if(!qz){vz=tz;break}else mu=tz}if((vz|0)==(Ga|0)){Xa=993;break}mu=f[vz+16>>2]|0;if((Kw|0)==(mu|0)){wz=vz;break}if((o7b(Zv,(mu|0)==0?1163146:mu)|0)>=0)wz=vz;else Xa=993}else Xa=993;while(0);if((Xa|0)==993){Xa=0;wz=Ga}ZG(e);if((wz|0)!=(Ga|0)){f[bg>>2]=0;f[cg>>2]=0;f[P>>2]=dg;pu=f[l>>2]|0;if((pu|0)!=(Ga|0)){mu=pu;while(1){pu=mu+16|0;f[i>>2]=Gg;f[e>>2]=f[i>>2];qz=HCa(P,e,g,h,pu)|0;if(!(f[qz>>2]|0)){Ux=Bmc(28)|0;Lw=f[pu>>2]|0;f[Ux+16>>2]=Lw;f[Ux+20>>2]=f[mu+20>>2];if(Lw|0){pu=Lw+-4|0;f[pu>>2]=(f[pu>>2]|0)+1}f[Ux+24>>2]=f[mu+24>>2];pu=f[g>>2]|0;f[Ux>>2]=0;f[Ux+4>>2]=0;f[Ux+8>>2]=pu;f[qz>>2]=Ux;pu=f[f[P>>2]>>2]|0;if(!pu)xz=Ux;else{f[P>>2]=pu;xz=f[qz>>2]|0}RS(f[bg>>2]|0,xz);f[cg>>2]=(f[cg>>2]|0)+1}qz=f[mu+4>>2]|0;do if(!qz){pu=mu+8|0;Ux=f[pu>>2]|0;if((f[Ux>>2]|0)==(mu|0)){yz=Ux;break}else zz=pu;do{pu=f[zz>>2]|0;zz=pu+8|0;Ux=f[zz>>2]|0}while((f[Ux>>2]|0)!=(pu|0));yz=Ux}else{tz=qz;while(1){Ux=f[tz>>2]|0;if(!Ux)break;else tz=Ux}yz=tz}while(0);if((yz|0)==(Ga|0))break;else mu=yz}}Glb(w,ICa(a,q,P,1,0)|0);fza(P,f[dg>>2]|0);mu=f[eg>>2]|0;qz=(mu|0)<3;if(qz)Az=Y(f[gg>>2]|0,f[fg>>2]|0)|0;else{Zv=f[Eg>>2]|0;Kw=0;Ux=1;while(1){pu=Y(f[Zv+(Kw<<2)>>2]|0,Ux)|0;Kw=Kw+1|0;if((Kw|0)==(mu|0)){Az=pu;break}else Ux=pu}}Ux=(Va|0)==0;do if(Ux&(Az|0)!=4){f[hg>>2]=0;f[ig>>2]=0;f[e>>2]=jg;f[kg>>2]=0;f[kg+4>>2]=0;f[kg+8>>2]=0;f[kg+12>>2]=0;f[kg+16>>2]=0;f[kg+20>>2]=0;f[kg+24>>2]=0;f[g>>2]=0;f[lg>>2]=0;Kw=YG(g,5)|0;b[Kw>>0]=b[467464]|0;b[Kw+1>>0]=b[467465]|0;b[Kw+2>>0]=b[467466]|0;b[Kw+3>>0]=b[467467]|0;b[Kw+4>>0]=b[467468]|0;Kw=Bmc(16)|0;f[Kw>>2]=Kw+8;f[Kw+4>>2]=4;Zv=Dmc(32)|0;f[Kw>>2]=Zv;f[h>>2]=0;f[mg>>2]=Kw;Kw=Zv;f[Kw>>2]=0;f[Kw+4>>2]=0;Kw=Zv+8|0;f[Kw>>2]=2;f[Kw+4>>2]=0;Kw=Zv+16|0;f[Kw>>2]=3;f[Kw+4>>2]=0;Kw=Zv+24|0;f[Kw>>2]=1;f[Kw+4>>2]=0;MCa(e,g,h)|0;rza(h);ZG(g);f[Q>>2]=0;f[ng>>2]=0;YG(Q,(f[La>>2]|0)+5|0)|0;Kw=f[La>>2]|0;if(!Kw)Bz=0;else{Krc(f[Q>>2]|0,f[r>>2]|0,Kw|0)|0;Bz=f[La>>2]|0}Kw=(f[Q>>2]|0)+Bz|0;b[Kw>>0]=b[396508]|0;b[Kw+1>>0]=b[396509]|0;b[Kw+2>>0]=b[396510]|0;b[Kw+3>>0]=b[396511]|0;b[Kw+4>>0]=b[396512]|0;Kw=f[Q>>2]|0;Zv=f[ng>>2]|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;if(Zv>>>0>4294967279){Xa=1016;break c}if(Zv>>>0<11){b[og>>0]=Zv;if(!Zv)Cz=g;else{Dz=g;Xa=1020}}else{pu=Zv+16&-16;Lw=Bmc(pu)|0;f[g>>2]=Lw;f[xg>>2]=pu|-2147483648;f[qg>>2]=Zv;Dz=Lw;Xa=1020}if((Xa|0)==1020){Xa=0;Krc(Dz|0,Kw|0,Zv|0)|0;Cz=Dz}b[Cz+Zv>>0]=0;ZG(Q);f[h>>2]=0;f[pg>>2]=0;Zv=b[og>>0]|0;Kw=Zv<<24>>24<0?f[qg>>2]|0:Zv&255;if(Kw|0){Zv=YG(h,Kw)|0;Krc(Zv|0,((b[og>>0]|0)<0?f[g>>2]|0:g)|0,Kw|0)|0}Kw=f[wa>>2]|0;do if(Kw){Zv=f[h>>2]|0;Lw=(Zv|0)==0?1163146:Zv;pu=wa;uz=Kw;C:while(1){Ez=uz;while(1){Fz=f[Ez+16>>2]|0;if((Fz|0)==(Zv|0))break;if((o7b((Fz|0)==0?1163146:Fz,Lw)|0)>=0)break;Fz=f[Ez+4>>2]|0;if(!Fz){Gz=pu;break C}else Ez=Fz}uz=f[Ez>>2]|0;if(!uz){Gz=Ez;break}else pu=Ez}if((Gz|0)==(wa|0)){Xa=1033;break}pu=f[Gz+16>>2]|0;if((Zv|0)==(pu|0)){Hz=Gz;break}if((o7b(Lw,(pu|0)==0?1163146:pu)|0)>=0)Hz=Gz;else Xa=1033}else Xa=1033;while(0);if((Xa|0)==1033){Xa=0;Hz=wa}ZG(h);if((Hz|0)!=(wa|0)){Xa=1035;break c}f[h>>2]=0;f[rg>>2]=0;Kw=b[og>>0]|0;pu=Kw<<24>>24<0?f[qg>>2]|0:Kw&255;if(pu|0){Kw=YG(h,pu)|0;Krc(Kw|0,((b[og>>0]|0)<0?f[g>>2]|0:g)|0,pu|0)|0}f[i>>2]=0;f[sg>>2]=0;pu=YG(i,7)|0;b[pu>>0]=b[443834]|0;b[pu+1>>0]=b[443835]|0;b[pu+2>>0]=b[443836]|0;b[pu+3>>0]=b[443837]|0;b[pu+4>>0]=b[443838]|0;b[pu+5>>0]=b[443839]|0;b[pu+6>>0]=b[443840]|0;pu=UAa(c,h,i,e)|0;ZG(i);ZG(h);f[h>>2]=0;f[tg>>2]=0;Kw=b[og>>0]|0;uz=Kw<<24>>24<0?f[qg>>2]|0:Kw&255;if(uz|0){Kw=YG(h,uz)|0;Krc(Kw|0,((b[og>>0]|0)<0?f[g>>2]|0:g)|0,uz|0)|0}uz=oza(o,h)|0;f[uz>>2]=pu;ZG(h);OCa(a,o,c,v,pu,0);Nmc(h,g);f[ug>>2]=0;Qmc(v,h)|0;f[vg>>2]=f[ug>>2];if((b[wg>>0]|0)<0)Emc(f[h>>2]|0);if((b[og>>0]|0)<0)Emc(f[g>>2]|0);qza(e);Iz=1}else{if(qz)Jz=Y(f[gg>>2]|0,f[fg>>2]|0)|0;else{pu=f[Eg>>2]|0;uz=0;Kw=1;while(1){tz=Y(f[pu+(uz<<2)>>2]|0,Kw)|0;uz=uz+1|0;if((uz|0)==(mu|0)){Jz=tz;break}else Kw=tz}}if(!(Ux&(Jz|0)==4)){Iz=Va;break}Kw=f[zg>>2]|0;uz=(f[Ag>>2]|0)+4|0;pu=f[uz>>2]|0;tz=Kw+(pu<<1)|0;dz=Kw+(pu*3|0)|0;pu=f[tz>>2]|0;f[tz>>2]=f[dz>>2];f[dz>>2]=pu;pu=f[uz>>2]|0;uz=Kw+pu|0;dz=Kw+(pu<<1)|0;pu=f[uz>>2]|0;f[uz>>2]=f[dz>>2];f[dz>>2]=pu;Iz=0}while(0);f[e>>2]=0;f[yg>>2]=0;Ux=YG(e,3)|0;b[Ux>>0]=b[463628]|0;b[Ux+1>>0]=b[463629]|0;b[Ux+2>>0]=b[463630]|0;Ux=f[zg>>2]|0;mu=f[eg>>2]|0;if((mu|0)<3)Kz=Y(f[gg>>2]|0,f[fg>>2]|0)|0;else{qz=f[Eg>>2]|0;pu=0;dz=1;while(1){uz=Y(f[qz+(pu<<2)>>2]|0,dz)|0;pu=pu+1|0;if((pu|0)==(mu|0)){Kz=uz;break}else dz=uz}}dz=Bmc(16)|0;mu=dz+8|0;f[dz>>2]=mu;f[dz+4>>2]=Kz;if(Kz>>>0>1){pu=Dmc(Kz>>>0>536870911?-1:Kz<<3)|0;f[dz>>2]=pu;Lz=pu}else Lz=mu;f[g>>2]=0;f[Bg>>2]=dz;if((Kz|0)>0){dz=Ux;mu=0;while(1){pu=f[dz>>2]|0;qz=Lz+(mu<<3)|0;f[qz>>2]=pu;f[qz+4>>2]=((pu|0)<0)<<31>>31;mu=mu+1|0;if((mu|0)==(Kz|0))break;else dz=dz+4|0}}MCa(t,e,g)|0;rza(g);ZG(e);f[e>>2]=0;f[Cg>>2]=0;dz=YG(e,7)|0;b[dz>>0]=b[444586]|0;b[dz+1>>0]=b[444587]|0;b[dz+2>>0]=b[444588]|0;b[dz+3>>0]=b[444589]|0;b[dz+4>>0]=b[444590]|0;b[dz+5>>0]=b[444591]|0;b[dz+6>>0]=b[444592]|0;dz=UAa(c,r,e,t)|0;ZG(e);mu=oza(o,r)|0;f[mu>>2]=dz;OCa(a,o,c,v,dz,0);dz=f[eg>>2]|0;if((dz|0)<3)Mz=Y(f[gg>>2]|0,f[fg>>2]|0)|0;else{mu=f[Eg>>2]|0;Ux=0;pu=1;while(1){qz=Y(f[mu+(Ux<<2)>>2]|0,pu)|0;Ux=Ux+1|0;if((Ux|0)==(dz|0)){Mz=qz;break}else pu=qz}}pu=oza(k,r)|0;f[pu>>2]=(Mz|0)==2?3:Iz;pu=f[Dg>>2]|0;do if(pu|0){dz=pu+12|0;Ux=f[dz>>2]|0;f[dz>>2]=Ux+-1;if((Ux|0)!=1)break;lP(w)}while(0);f[Dg>>2]=0;f[zg>>2]=0;f[zg+4>>2]=0;f[zg+8>>2]=0;f[zg+12>>2]=0;if((f[eg>>2]|0)>0){pu=f[Eg>>2]|0;Ux=0;do{f[pu+(Ux<<2)>>2]=0;Ux=Ux+1|0}while((Ux|0)<(f[eg>>2]|0))}Ux=f[Ag>>2]|0;if((Ux|0)!=(Fg|0))tE(Ux)}else{f[e>>2]=0;f[_f>>2]=0;Ux=YG(e,7)|0;b[Ux>>0]=b[444586]|0;b[Ux+1>>0]=b[444587]|0;b[Ux+2>>0]=b[444588]|0;b[Ux+3>>0]=b[444589]|0;b[Ux+4>>0]=b[444590]|0;b[Ux+5>>0]=b[444591]|0;b[Ux+6>>0]=b[444592]|0;Ux=UAa(c,r,e,t)|0;ZG(e);pu=oza(o,r)|0;f[pu>>2]=Ux;OCa(a,o,c,v,Ux,0);NCa(e,f[(f[Fa>>2]|0)+8>>2]|0);OCa(a,o,c,e,Ux,1);if((b[$f>>0]|0)<0)Emc(f[e>>2]|0);Ux=oza(k,r)|0;f[Ux>>2]=Va}if((b[ag>>0]|0)<0)Emc(f[v>>2]|0);break e}while(0);if((f[Wa>>2]|0)!=2){Xa=812;break c};f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;iu=Bmc(32)|0;f[h>>2]=iu;f[ze>>2]=-2147483616;f[Ae>>2]=19;qv=iu;rv=465783;sv=qv+19|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));b[iu+19>>0]=0;v_b(_b);PCa(g,$b);QCa(e,f[Be>>2]|0,h,0);Na=f[e>>2]|0;RCa(g);if(!Na)Nz=0;else{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;Na=Bmc(32)|0;f[e>>2]=Na;f[Wf>>2]=-2147483616;f[Xf>>2]=19;qv=Na;rv=465783;sv=qv+19|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));b[Na+19>>0]=0;v_b(_b);iu=SCa($b,e)|0;Ux=b[iu+8>>0]|0?(f[iu+20>>2]|0)==5:0;if((b[Yf>>0]|0)<0)Emc(f[e>>2]|0);Nz=Ux}if((b[Ce>>0]|0)<0)Emc(f[h>>2]|0);f[e>>2]=0;f[De>>2]=0;qv=YG(e,9)|0;rv=468376;sv=qv+9|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));b[g>>0]=0;TCa(t,e,g)|0;ZG(e);sD(dc,1);f[e>>2]=0;f[Ee>>2]=0;Na=YG(e,7)|0;b[Na>>0]=b[396317]|0;b[Na+1>>0]=b[396318]|0;b[Na+2>>0]=b[396319]|0;b[Na+3>>0]=b[396320]|0;b[Na+4>>0]=b[396321]|0;b[Na+5>>0]=b[396322]|0;b[Na+6>>0]=b[396323]|0;FCa(v,Ba,r,e);ZG(e);Na=f[v>>2]|0;Ux=f[Fe>>2]|0;iu=Ux;pu=Na;if((Na|0)==(Ux|0)){f[g>>2]=0;f[Ge>>2]=0;Ux=YG(g,3)|0;b[Ux>>0]=b[445824]|0;b[Ux+1>>0]=b[445825]|0;b[Ux+2>>0]=b[445826]|0;FCa(e,Ba,r,g);GCa(v,f[e>>2]|0,f[He>>2]|0);Ux=f[e>>2]|0;if(Ux|0){while(1){Na=f[He>>2]|0;if((Na|0)==(Ux|0))break;dz=Na+-12|0;f[He>>2]=dz;ZG(dz)}Emc(f[e>>2]|0)}ZG(g);Oz=f[v>>2]|0;Pz=f[Fe>>2]|0}else{Oz=pu;Pz=iu}do if((Pz-Oz|0)==12){f[e>>2]=0;f[Ie>>2]=0;qv=YG(e,9)|0;rv=468376;sv=qv+9|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));b[g>>0]=1;TCa(t,e,g)|0;ZG(e);sD(dc,2);Va=f[(f[v>>2]|0)+8>>2]|0;Ux=f[(f[Da>>2]|0)+4+(Va<<2)>>2]|0;f[Je>>2]=0;f[Ke>>2]=0;f[J>>2]=Le;dz=f[l>>2]|0;if((dz|0)!=(Ga|0)){Na=dz;while(1){dz=Na+16|0;f[i>>2]=Me;f[e>>2]=f[i>>2];mu=HCa(J,e,g,h,dz)|0;if(!(f[mu>>2]|0)){qz=Bmc(28)|0;uz=f[dz>>2]|0;f[qz+16>>2]=uz;f[qz+20>>2]=f[Na+20>>2];if(uz|0){dz=uz+-4|0;f[dz>>2]=(f[dz>>2]|0)+1}f[qz+24>>2]=f[Na+24>>2];dz=f[g>>2]|0;f[qz>>2]=0;f[qz+4>>2]=0;f[qz+8>>2]=dz;f[mu>>2]=qz;dz=f[f[J>>2]>>2]|0;if(!dz)Qz=qz;else{f[J>>2]=dz;Qz=f[mu>>2]|0}RS(f[Je>>2]|0,Qz);f[Ke>>2]=(f[Ke>>2]|0)+1}mu=f[Na+4>>2]|0;do if(!mu){dz=Na+8|0;qz=f[dz>>2]|0;if((f[qz>>2]|0)==(Na|0)){Rz=qz;break}else Sz=dz;do{dz=f[Sz>>2]|0;Sz=dz+8|0;qz=f[Sz>>2]|0}while((f[qz>>2]|0)!=(dz|0));Rz=qz}else{Lw=mu;while(1){Zv=f[Lw>>2]|0;if(!Zv)break;else Lw=Zv}Rz=Lw}while(0);if((Rz|0)==(Ga|0))break;else Na=Rz}}Na=ICa(a,Ux,J,-1,0)|0;UCa(Na,(f[dc>>2]|0)+56|0);fza(J,f[Le>>2]|0);VCa(Ba,Va,0);Na=f[v>>2]|0;mu=f[za>>2]|0;D:do if(!mu){Tz=za;Uz=za}else{Zv=f[Na>>2]|0;qz=(Zv|0)==0?1163146:Zv;dz=f[mu+16>>2]|0;E:do if((Zv|0)!=(dz|0)){uz=xa;Kw=mu;tz=dz;while(1){Fz=(tz|0)==0?1163146:tz;if((o7b(qz,Fz)|0)<0){Vz=f[Kw>>2]|0;if(!Vz){Xa=844;break}else{Wz=Kw;Xz=Vz}}else{if((o7b(Fz,qz)|0)>=0){Yz=uz;Zz=Kw;break E}_z=Kw+4|0;Fz=f[_z>>2]|0;if(!Fz){Xa=847;break}else{Wz=_z;Xz=Fz}}tz=f[Xz+16>>2]|0;if((Zv|0)==(tz|0)){Yz=Wz;Zz=Xz;break E}else{uz=Wz;Kw=Xz}}if((Xa|0)==844){Xa=0;Tz=Kw;Uz=Kw;break D}else if((Xa|0)==847){Xa=0;Tz=_z;Uz=Kw;break D}}else{Yz=xa;Zz=mu}while(0);Tz=Yz;Uz=Zz}while(0);if(!(f[Tz>>2]|0)){mu=Bmc(24)|0;Va=f[Na>>2]|0;f[mu+16>>2]=Va;f[mu+20>>2]=f[Na+4>>2];if(Va|0){Ux=Va+-4|0;f[Ux>>2]=(f[Ux>>2]|0)+1}f[mu>>2]=0;f[mu+4>>2]=0;f[mu+8>>2]=Uz;f[Tz>>2]=mu;Ux=f[f[j>>2]>>2]|0;if(!Ux)$z=mu;else{f[j>>2]=Ux;$z=f[Tz>>2]|0}RS(f[xa>>2]|0,$z);f[ya>>2]=(f[ya>>2]|0)+1}if(!Nz){aA=0;break}Ux=f[dc>>2]|0;mu=f[Ux+60>>2]|0;if((mu|0)<3)bA=Y(f[Ux+68>>2]|0,f[Ux+64>>2]|0)|0;else{Va=f[Ux+96>>2]|0;Zv=0;qz=1;while(1){dz=Y(f[Va+(Zv<<2)>>2]|0,qz)|0;Zv=Zv+1|0;if((Zv|0)==(mu|0)){bA=dz;break}else qz=dz}}qz=f[Ux+72>>2]|0;if(bA&3|0){Xa=862;break c}if((bA|0)>0)cA=0;else{aA=1;break}do{mu=qz+(cA<<2)|0;Zv=qz+((cA|1)<<2)|0;Va=f[mu>>2]|0;f[mu>>2]=f[Zv>>2];f[Zv>>2]=Va;cA=cA+2|0}while((cA|0)<(bA|0));aA=1}else aA=Nz;while(0);f[w>>2]=-1;f[Ne>>2]=0;f[Oe>>2]=0;f[K>>2]=Pe;iu=f[l>>2]|0;if((iu|0)!=(Ga|0)){pu=iu;while(1){iu=pu+16|0;f[i>>2]=Vf;f[e>>2]=f[i>>2];qz=HCa(K,e,g,h,iu)|0;if(!(f[qz>>2]|0)){Ux=Bmc(28)|0;Va=f[iu>>2]|0;f[Ux+16>>2]=Va;f[Ux+20>>2]=f[pu+20>>2];if(Va|0){iu=Va+-4|0;f[iu>>2]=(f[iu>>2]|0)+1}f[Ux+24>>2]=f[pu+24>>2];iu=f[g>>2]|0;f[Ux>>2]=0;f[Ux+4>>2]=0;f[Ux+8>>2]=iu;f[qz>>2]=Ux;iu=f[f[K>>2]>>2]|0;if(!iu)dA=Ux;else{f[K>>2]=iu;dA=f[qz>>2]|0}RS(f[Ne>>2]|0,dA);f[Oe>>2]=(f[Oe>>2]|0)+1}qz=f[pu+4>>2]|0;do if(!qz){iu=pu+8|0;Ux=f[iu>>2]|0;if((f[Ux>>2]|0)==(pu|0)){eA=Ux;break}else fA=iu;do{iu=f[fA>>2]|0;fA=iu+8|0;Ux=f[fA>>2]|0}while((f[Ux>>2]|0)!=(iu|0));eA=Ux}else{Ux=qz;while(1){iu=f[Ux>>2]|0;if(!iu)break;else Ux=iu}eA=Ux}while(0);if((eA|0)==(Ga|0))break;else pu=eA}}pu=ICa(a,q,K,-1,w)|0;fza(K,f[Pe>>2]|0);UCa(pu,f[dc>>2]|0);omb(pu);if((f[w>>2]|0)==1){mG(L,f[dc>>2]|0);f[g>>2]=1124007936;qv=Qe;sv=qv+36|0;do{f[qv>>2]=0;qv=qv+4|0}while((qv|0)<(sv|0));f[Se>>2]=Re;f[Ue>>2]=Te;f[Te>>2]=0;f[Ve>>2]=0;pu=f[L>>2]|0;rh[f[(f[pu>>2]|0)+12>>2]&255](pu,L,g,-1);Xi(L);f[h>>2]=1124007936;qv=We;sv=qv+36|0;do{f[qv>>2]=0;qv=qv+4|0}while((qv|0)<(sv|0));f[Ye>>2]=Xe;f[_e>>2]=Ze;f[Ze>>2]=0;f[$e>>2]=0;pu=af;f[pu>>2]=0;f[pu+4>>2]=0;f[e>>2]=33619968;f[bf>>2]=h;kT(g,e);pu=f[dc>>2]|0;if((pu|0)!=(h|0)){qz=f[cf>>2]|0;if(qz|0){iu=qz+12|0;f[iu>>2]=(f[iu>>2]|0)+1}iu=pu+36|0;qz=f[iu>>2]|0;do if(qz|0){Va=qz+12|0;Zv=f[Va>>2]|0;f[Va>>2]=Zv+-1;if((Zv|0)!=1)break;lP(pu)}while(0);f[iu>>2]=0;qz=pu+16|0;Zv=pu+4|0;f[qz>>2]=0;f[qz+4>>2]=0;f[qz+8>>2]=0;f[qz+12>>2]=0;if((f[Zv>>2]|0)>0){Va=f[pu+40>>2]|0;mu=0;do{f[Va+(mu<<2)>>2]=0;mu=mu+1|0;gA=f[Zv>>2]|0}while((mu|0)<(gA|0));f[pu>>2]=f[h>>2];if((gA|0)<3)Xa=889;else Xa=891}else{f[pu>>2]=f[h>>2];Xa=889}do if((Xa|0)==889){Xa=0;mu=f[We>>2]|0;if((mu|0)>=3){Xa=891;break}f[Zv>>2]=mu;f[pu+8>>2]=f[Xe>>2];f[pu+12>>2]=f[gf>>2];mu=f[_e>>2]|0;Va=f[pu+44>>2]|0;f[Va>>2]=f[mu>>2];f[Va+4>>2]=f[mu+4>>2]}while(0);if((Xa|0)==891){Xa=0;kP(pu,h)}f[qz>>2]=f[df>>2];f[pu+20>>2]=f[hf>>2];f[pu+24>>2]=f[jf>>2];f[pu+28>>2]=f[kf>>2];f[pu+32>>2]=f[lf>>2];f[iu>>2]=f[cf>>2]}Zv=f[cf>>2]|0;do if(Zv|0){mu=Zv+12|0;Va=f[mu>>2]|0;f[mu>>2]=Va+-1;if((Va|0)!=1)break;lP(h)}while(0);f[cf>>2]=0;f[df>>2]=0;f[df+4>>2]=0;f[df+8>>2]=0;f[df+12>>2]=0;if((f[We>>2]|0)>0){Zv=f[Ye>>2]|0;iu=0;do{f[Zv+(iu<<2)>>2]=0;iu=iu+1|0}while((iu|0)<(f[We>>2]|0))}iu=f[_e>>2]|0;if((iu|0)!=(Ze|0))tE(iu);iu=f[ef>>2]|0;do if(iu|0){Zv=iu+12|0;pu=f[Zv>>2]|0;f[Zv>>2]=pu+-1;if((pu|0)!=1)break;lP(g)}while(0);f[ef>>2]=0;f[ff>>2]=0;f[ff+4>>2]=0;f[ff+8>>2]=0;f[ff+12>>2]=0;if((f[Qe>>2]|0)>0){iu=f[Se>>2]|0;pu=0;do{f[iu+(pu<<2)>>2]=0;pu=pu+1|0}while((pu|0)<(f[Qe>>2]|0))}pu=f[Ue>>2]|0;if((pu|0)!=(Te|0))tE(pu)}f[e>>2]=0;f[mf>>2]=0;qv=YG(e,10)|0;rv=459141;sv=qv+10|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));KCa(t,e,f[(f[dc>>2]|0)+40>>2]|0)|0;ZG(e);do if(aA){pu=f[dc>>2]|0;if((f[pu+4>>2]|0)!=2){Xa=913;break c}if((f[f[pu+40>>2]>>2]|0)>0){hA=0;iA=pu}else break;do{pu=hA|1;f[e>>2]=hA;f[nf>>2]=pu;f[g>>2]=-2147483648;f[of>>2]=2147483647;mP(h,iA,e,g);iu=f[dc>>2]|0;f[e>>2]=pu;f[pf>>2]=pu+1;f[g>>2]=-2147483648;f[qf>>2]=2147483647;mP(i,iu,e,g);f[M>>2]=h;iu=f[sf>>2]|0;if((iu|0)>0)jA=f[(f[tf>>2]|0)+(iu+-1<<2)>>2]|0;else jA=0;f[rf>>2]=jA;f[uf>>2]=0;f[vf>>2]=0;f[wf>>2]=0;if(f[h>>2]&16384|0){pu=f[Of>>2]|0;f[vf>>2]=pu;if((iu|0)<3)kA=Y(f[Cf>>2]|0,f[Bf>>2]|0)|0;else{Zv=f[Pf>>2]|0;qz=0;Va=1;while(1){mu=Y(f[Zv+(qz<<2)>>2]|0,Va)|0;qz=qz+1|0;if((qz|0)==(iu|0)){kA=mu;break}else Va=mu}}Va=pu+(Y(kA,jA)|0)|0;f[wf>>2]=Va}LN(M,0,0);f[N>>2]=h;Va=f[sf>>2]|0;if((Va|0)>0)lA=f[(f[tf>>2]|0)+(Va+-1<<2)>>2]|0;else lA=0;f[xf>>2]=lA;f[yf>>2]=0;f[zf>>2]=0;f[Af>>2]=0;if(f[h>>2]&16384|0){iu=f[Of>>2]|0;f[zf>>2]=iu;if((Va|0)<3)mA=Y(f[Cf>>2]|0,f[Bf>>2]|0)|0;else{qz=f[Pf>>2]|0;Zv=0;Ux=1;while(1){mu=Y(f[qz+(Zv<<2)>>2]|0,Ux)|0;Zv=Zv+1|0;if((Zv|0)==(Va|0)){mA=mu;break}else Ux=mu}}Ux=iu+(Y(mA,lA)|0)|0;f[Af>>2]=Ux}LN(N,0,0);Ux=f[sf>>2]|0;if((Ux|0)<3)nA=Y(f[Cf>>2]|0,f[Bf>>2]|0)|0;else{Va=f[Pf>>2]|0;Zv=0;qz=1;while(1){pu=Y(f[Va+(Zv<<2)>>2]|0,qz)|0;Zv=Zv+1|0;if((Zv|0)==(Ux|0)){nA=pu;break}else qz=pu}}do if(!((nA|0)==0|(f[N>>2]|0)==0)){qz=Y(f[xf>>2]|0,nA)|0;Ux=(f[yf>>2]|0)+qz|0;f[yf>>2]=Ux;if(Ux>>>0>=(f[zf>>2]|0)>>>0?(f[Af>>2]|0)>>>0>Ux>>>0:0)break;f[yf>>2]=Ux+(0-qz);KN(N,nA,1)}while(0);f[O>>2]=i;qz=f[Ef>>2]|0;if((qz|0)>0)oA=f[(f[Ff>>2]|0)+(qz+-1<<2)>>2]|0;else oA=0;f[Df>>2]=oA;f[Gf>>2]=0;f[Hf>>2]=0;f[If>>2]=0;if(f[i>>2]&16384|0){Ux=f[Kf>>2]|0;f[Hf>>2]=Ux;if((qz|0)<3)pA=Y(f[Sf>>2]|0,f[Rf>>2]|0)|0;else{Zv=f[Lf>>2]|0;Va=0;iu=1;while(1){pu=Y(f[Zv+(Va<<2)>>2]|0,iu)|0;Va=Va+1|0;if((Va|0)==(qz|0)){pA=pu;break}else iu=pu}}iu=Ux+(Y(pA,oA)|0)|0;f[If>>2]=iu}LN(O,0,0);while(1){iu=f[M>>2]|0;if((iu|0)==(f[N>>2]|0)){qz=f[uf>>2]|0;if((qz|0)==(f[yf>>2]|0))break;else{qA=qz;rA=qz}}else{qz=f[uf>>2]|0;qA=qz;rA=qz}qz=f[Gf>>2]|0;Va=f[qA>>2]|0;f[qA>>2]=f[qz>>2];f[qz>>2]=Va;do if(iu|0){Va=f[rf>>2]|0;qz=rA+Va|0;f[uf>>2]=qz;if(qz>>>0<(f[wf>>2]|0)>>>0)break;f[uf>>2]=qz+(0-Va);KN(M,1,1)}while(0);if(!(f[O>>2]|0))continue;iu=f[Df>>2]|0;Kw=(f[Gf>>2]|0)+iu|0;f[Gf>>2]=Kw;if(Kw>>>0<(f[If>>2]|0)>>>0)continue;f[Gf>>2]=Kw+(0-iu);KN(O,1,1)}Ux=f[Jf>>2]|0;do if(Ux|0){iu=Ux+12|0;Kw=f[iu>>2]|0;f[iu>>2]=Kw+-1;if((Kw|0)!=1)break;lP(i)}while(0);f[Jf>>2]=0;f[Kf>>2]=0;f[Kf+4>>2]=0;f[Kf+8>>2]=0;f[Kf+12>>2]=0;if((f[Ef>>2]|0)>0){Ux=f[Lf>>2]|0;Kw=0;do{f[Ux+(Kw<<2)>>2]=0;Kw=Kw+1|0}while((Kw|0)<(f[Ef>>2]|0))}Kw=f[Ff>>2]|0;if((Kw|0)!=(Mf|0))tE(Kw);Kw=f[Nf>>2]|0;do if(Kw|0){Ux=Kw+12|0;iu=f[Ux>>2]|0;f[Ux>>2]=iu+-1;if((iu|0)!=1)break;lP(h)}while(0);f[Nf>>2]=0;f[Of>>2]=0;f[Of+4>>2]=0;f[Of+8>>2]=0;f[Of+12>>2]=0;if((f[sf>>2]|0)>0){Kw=f[Pf>>2]|0;iu=0;do{f[Kw+(iu<<2)>>2]=0;iu=iu+1|0}while((iu|0)<(f[sf>>2]|0))}iu=f[tf>>2]|0;if((iu|0)!=(Qf|0))tE(iu);hA=hA+2|0;iA=f[dc>>2]|0}while((hA|0)<(f[f[iA+40>>2]>>2]|0))}while(0);f[e>>2]=0;f[Tf>>2]=0;qv=YG(e,12)|0;rv=442708;sv=qv+12|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));iu=UAa(c,r,e,t)|0;ZG(e);Kw=oza(o,r)|0;f[Kw>>2]=iu;NCa(e,f[(f[Fa>>2]|0)+4+(((f[w>>2]|0)==0&1)<<2)>>2]|0);OCa(a,o,c,e,iu,0);if((b[Uf>>0]|0)<0)Emc(f[e>>2]|0);iu=oza(k,r)|0;f[iu>>2]=3;iu=f[v>>2]|0;if(iu|0){while(1){Kw=f[Fe>>2]|0;if((Kw|0)==(iu|0))break;Ux=Kw+-12|0;f[Fe>>2]=Ux;ZG(Ux)}Emc(f[v>>2]|0)}break e}while(0);while(1){if((xu|0)>=(f[Wa>>2]|0)){Xa=775;break c}NCa(e,f[(f[Fa>>2]|0)+4+(xu<<2)>>2]|0);f[g>>2]=0;f[ee>>2]=0;fu=b[fe>>0]|0;gu=fu<<24>>24<0?f[ge>>2]|0:fu&255;if(gu|0){fu=YG(g,gu)|0;Krc(fu|0,((b[fe>>0]|0)<0?f[e>>2]|0:e)|0,gu|0)|0}gu=f[Ga>>2]|0;do if(gu){fu=f[g>>2]|0;iu=(fu|0)==0?1163146:fu;Ux=Ga;Kw=gu;F:while(1){Va=Kw;while(1){qz=f[Va+16>>2]|0;if((qz|0)==(fu|0))break;if((o7b((qz|0)==0?1163146:qz,iu)|0)>=0)break;qz=f[Va+4>>2]|0;if(!qz){sA=Ux;break F}else Va=qz}Kw=f[Va>>2]|0;if(!Kw){sA=Va;break}else Ux=Va}if((sA|0)==(Ga|0)){Xa=771;break}Ux=f[sA+16>>2]|0;if((fu|0)==(Ux|0)){tA=sA;break}if((o7b(iu,(Ux|0)==0?1163146:Ux)|0)>=0)tA=sA;else Xa=771}else Xa=771;while(0);if((Xa|0)==771){Xa=0;tA=Ga}ZG(g);if((b[fe>>0]|0)<0)Emc(f[e>>2]|0);if((tA|0)==(Ga|0))xu=xu+1|0;else break}f[he>>2]=0;f[ie>>2]=0;f[I>>2]=je;gu=f[l>>2]|0;if((gu|0)!=(Ga|0)){Ux=gu;while(1){gu=Ux+16|0;f[i>>2]=ye;f[e>>2]=f[i>>2];Kw=HCa(I,e,g,h,gu)|0;if(!(f[Kw>>2]|0)){qz=Bmc(28)|0;Zv=f[gu>>2]|0;f[qz+16>>2]=Zv;f[qz+20>>2]=f[Ux+20>>2];if(Zv|0){gu=Zv+-4|0;f[gu>>2]=(f[gu>>2]|0)+1}f[qz+24>>2]=f[Ux+24>>2];gu=f[g>>2]|0;f[qz>>2]=0;f[qz+4>>2]=0;f[qz+8>>2]=gu;f[Kw>>2]=qz;gu=f[f[I>>2]>>2]|0;if(!gu)uA=qz;else{f[I>>2]=gu;uA=f[Kw>>2]|0}RS(f[he>>2]|0,uA);f[ie>>2]=(f[ie>>2]|0)+1}Kw=f[Ux+4>>2]|0;do if(!Kw){gu=Ux+8|0;qz=f[gu>>2]|0;if((f[qz>>2]|0)==(Ux|0)){vA=qz;break}else wA=gu;do{gu=f[wA>>2]|0;wA=gu+8|0;qz=f[wA>>2]|0}while((f[qz>>2]|0)!=(gu|0));vA=qz}else{iu=Kw;while(1){fu=f[iu>>2]|0;if(!fu)break;else iu=fu}vA=iu}while(0);if((vA|0)==(Ga|0))break;else Ux=vA}}Glb(v,ICa(a,q,I,-1,0)|0);fza(I,f[je>>2]|0);if((f[v>>2]&4095|0)!=5){Xa=790;break c}Ux=ke;f[Ux>>2]=0;f[Ux+4>>2]=0;f[e>>2]=33619968;f[le>>2]=v;IO(v,e,-1,-1.0,0.0);Ux=f[me>>2]|0;if((Ux|0)<3)xA=Y(f[oe>>2]|0,f[ne>>2]|0)|0;else{Kw=f[ue>>2]|0;fu=0;qz=1;while(1){gu=Y(f[Kw+(fu<<2)>>2]|0,qz)|0;fu=fu+1|0;if((fu|0)==(Ux|0)){xA=gu;break}else qz=gu}}if((xA|0)==1){f[e>>2]=0;f[pe>>2]=0;qz=YG(e,5)|0;b[qz>>0]=b[472093]|0;b[qz+1>>0]=b[472094]|0;b[qz+2>>0]=b[472095]|0;b[qz+3>>0]=b[472096]|0;b[qz+4>>0]=b[472097]|0;LCa(t,e,f[qe>>2]|0)|0;ZG(e);f[e>>2]=0;f[re>>2]=0;qz=YG(e,5)|0;b[qz>>0]=b[467672]|0;b[qz+1>>0]=b[467673]|0;b[qz+2>>0]=b[467674]|0;b[qz+3>>0]=b[467675]|0;b[qz+4>>0]=b[467676]|0;qz=UAa(c,r,e,t)|0;ZG(e);yA=qz}else{ht(dc,1,v);f[e>>2]=0;f[xe>>2]=0;qz=YG(e,5)|0;b[qz>>0]=b[442845]|0;b[qz+1>>0]=b[442846]|0;b[qz+2>>0]=b[442847]|0;b[qz+3>>0]=b[442848]|0;b[qz+4>>0]=b[442849]|0;qz=UAa(c,r,e,t)|0;ZG(e);yA=qz}qz=oza(o,r)|0;f[qz>>2]=yA;NCa(e,f[(f[Fa>>2]|0)+4>>2]|0);OCa(a,o,c,e,yA,0);if((b[se>>0]|0)<0)Emc(f[e>>2]|0);qz=f[te>>2]|0;do if(qz|0){Ux=qz+12|0;fu=f[Ux>>2]|0;f[Ux>>2]=fu+-1;if((fu|0)!=1)break;lP(v)}while(0);f[te>>2]=0;f[qe>>2]=0;f[qe+4>>2]=0;f[qe+8>>2]=0;f[qe+12>>2]=0;if((f[me>>2]|0)>0){qz=f[ue>>2]|0;fu=0;do{f[qz+(fu<<2)>>2]=0;fu=fu+1|0}while((fu|0)<(f[me>>2]|0))}fu=f[ve>>2]|0;if((fu|0)!=(we|0))tE(fu);break}fu=0;qz=f[Wa>>2]|0;while(1){if((fu|0)>=(qz|0)){Xa=735;break}NCa(e,f[(f[Fa>>2]|0)+4+(fu<<2)>>2]|0);f[g>>2]=0;f[Id>>2]=0;Ux=b[Jd>>0]|0;Kw=Ux<<24>>24<0?f[Kd>>2]|0:Ux&255;if(Kw|0){Ux=YG(g,Kw)|0;Krc(Ux|0,((b[Jd>>0]|0)<0?f[e>>2]|0:e)|0,Kw|0)|0}Kw=f[Ga>>2]|0;do if(Kw){Ux=f[g>>2]|0;gu=(Ux|0)==0?1163146:Ux;Zv=Ga;pu=Kw;G:while(1){mu=pu;while(1){Na=f[mu+16>>2]|0;if((Na|0)==(Ux|0))break;if((o7b((Na|0)==0?1163146:Na,gu)|0)>=0)break;Na=f[mu+4>>2]|0;if(!Na){zA=Zv;break G}else mu=Na}pu=f[mu>>2]|0;if(!pu){zA=mu;break}else Zv=mu}if((zA|0)==(Ga|0)){Xa=696;break}Zv=f[zA+16>>2]|0;if((Ux|0)==(Zv|0)){AA=zA;break}if((o7b(gu,(Zv|0)==0?1163146:Zv)|0)>=0)AA=zA;else Xa=696}else Xa=696;while(0);if((Xa|0)==696){Xa=0;AA=Ga}ZG(g);if((b[Jd>>0]|0)<0)Emc(f[e>>2]|0);qz=f[Wa>>2]|0;if((AA|0)!=(Ga|0))break;else fu=fu+1|0}if((Xa|0)==735){Xa=0;f[e>>2]=0;f[$d>>2]=0;qv=YG(e,9)|0;rv=461792;sv=qv+9|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));$Ca(t,e,461807)|0;ZG(e);f[e>>2]=0;f[ae>>2]=0;fu=YG(e,7)|0;b[fu>>0]=b[443787]|0;b[fu+1>>0]=b[443788]|0;b[fu+2>>0]=b[443789]|0;b[fu+3>>0]=b[443790]|0;b[fu+4>>0]=b[443791]|0;b[fu+5>>0]=b[443792]|0;b[fu+6>>0]=b[443793]|0;fu=UAa(c,r,e,t)|0;ZG(e);Kw=oza(o,r)|0;f[Kw>>2]=fu;if((f[Wa>>2]|0)>0)BA=0;else break;while(1){NCa(e,f[(f[Fa>>2]|0)+4+(BA<<2)>>2]|0);f[g>>2]=0;f[be>>2]=0;Kw=b[ce>>0]|0;Zv=Kw<<24>>24<0?f[de>>2]|0:Kw&255;if(Zv|0){Kw=YG(g,Zv)|0;Krc(Kw|0,((b[ce>>0]|0)<0?f[e>>2]|0:e)|0,Zv|0)|0}Zv=f[wa>>2]|0;do if(Zv){Kw=f[g>>2]|0;pu=(Kw|0)==0?1163146:Kw;iu=wa;Va=Zv;H:while(1){Na=Va;while(1){dz=f[Na+16>>2]|0;if((dz|0)==(Kw|0))break;if((o7b((dz|0)==0?1163146:dz,pu)|0)>=0)break;dz=f[Na+4>>2]|0;if(!dz){CA=iu;break H}else Na=dz}Va=f[Na>>2]|0;if(!Va){CA=Na;break}else iu=Na}if((CA|0)==(wa|0)){Xa=748;break}iu=f[CA+16>>2]|0;if((Kw|0)==(iu|0)){DA=CA;break}if((o7b(pu,(iu|0)==0?1163146:iu)|0)>=0)DA=CA;else Xa=748}else Xa=748;while(0);if((Xa|0)==748){Xa=0;DA=wa}ZG(g);if((DA|0)==(wa|0)){Xa=750;break c}OCa(a,o,c,e,fu,BA);if((b[ce>>0]|0)<0)Emc(f[e>>2]|0);BA=BA+1|0;if((BA|0)>=(f[Wa>>2]|0))break e}}if((qz|0)!=2){Xa=701;break c}f[Ld>>2]=0;f[Md>>2]=0;f[H>>2]=Nd;fu=f[l>>2]|0;if((fu|0)!=(Ga|0)){Zv=fu;while(1){fu=Zv+16|0;f[i>>2]=_d;f[e>>2]=f[i>>2];iu=HCa(H,e,g,h,fu)|0;if(!(f[iu>>2]|0)){Va=Bmc(28)|0;gu=f[fu>>2]|0;f[Va+16>>2]=gu;f[Va+20>>2]=f[Zv+20>>2];if(gu|0){fu=gu+-4|0;f[fu>>2]=(f[fu>>2]|0)+1}f[Va+24>>2]=f[Zv+24>>2];fu=f[g>>2]|0;f[Va>>2]=0;f[Va+4>>2]=0;f[Va+8>>2]=fu;f[iu>>2]=Va;fu=f[f[H>>2]>>2]|0;if(!fu)EA=Va;else{f[H>>2]=fu;EA=f[iu>>2]|0}RS(f[Ld>>2]|0,EA);f[Md>>2]=(f[Md>>2]|0)+1}iu=f[Zv+4>>2]|0;do if(!iu){fu=Zv+8|0;Va=f[fu>>2]|0;if((f[Va>>2]|0)==(Zv|0)){FA=Va;break}else GA=fu;do{fu=f[GA>>2]|0;GA=fu+8|0;Va=f[GA>>2]|0}while((f[Va>>2]|0)!=(fu|0));FA=Va}else{pu=iu;while(1){Kw=f[pu>>2]|0;if(!Kw)break;else pu=Kw}FA=pu}while(0);if((FA|0)==(Ga|0))break;else Zv=FA}}Glb(v,ICa(a,q,H,-1,0)|0);fza(H,f[Nd>>2]|0);if((f[v>>2]&4095|0)!=5){Xa=716;break c}Zv=f[Od>>2]|0;if((Zv|0)<3)HA=Y(f[Qd>>2]|0,f[Pd>>2]|0)|0;else{qz=f[Wd>>2]|0;iu=0;Kw=1;while(1){Va=Y(f[qz+(iu<<2)>>2]|0,Kw)|0;iu=iu+1|0;if((iu|0)==(Zv|0)){HA=Va;break}else Kw=Va}}if((HA|0)==1){f[e>>2]=0;f[Rd>>2]=0;Kw=YG(e,5)|0;b[Kw>>0]=b[472093]|0;b[Kw+1>>0]=b[472094]|0;b[Kw+2>>0]=b[472095]|0;b[Kw+3>>0]=b[472096]|0;b[Kw+4>>0]=b[472097]|0;LCa(t,e,f[Sd>>2]|0)|0;ZG(e);f[e>>2]=0;f[Td>>2]=0;Kw=YG(e,5)|0;b[Kw>>0]=b[467672]|0;b[Kw+1>>0]=b[467673]|0;b[Kw+2>>0]=b[467674]|0;b[Kw+3>>0]=b[467675]|0;b[Kw+4>>0]=b[467676]|0;Kw=UAa(c,r,e,t)|0;ZG(e);IA=Kw}else{ht(dc,1,v);f[e>>2]=0;f[Zd>>2]=0;Kw=YG(e,5)|0;b[Kw>>0]=b[442845]|0;b[Kw+1>>0]=b[442846]|0;b[Kw+2>>0]=b[442847]|0;b[Kw+3>>0]=b[442848]|0;b[Kw+4>>0]=b[442849]|0;Kw=UAa(c,r,e,t)|0;ZG(e);IA=Kw}Kw=oza(o,r)|0;f[Kw>>2]=IA;NCa(e,f[(f[Fa>>2]|0)+4>>2]|0);OCa(a,o,c,e,IA,0);if((b[Ud>>0]|0)<0)Emc(f[e>>2]|0);Kw=f[Vd>>2]|0;do if(Kw|0){Zv=Kw+12|0;iu=f[Zv>>2]|0;f[Zv>>2]=iu+-1;if((iu|0)!=1)break;lP(v)}while(0);f[Vd>>2]=0;f[Sd>>2]=0;f[Sd+4>>2]=0;f[Sd+8>>2]=0;f[Sd+12>>2]=0;if((f[Od>>2]|0)>0){Kw=f[Wd>>2]|0;iu=0;do{f[Kw+(iu<<2)>>2]=0;iu=iu+1|0}while((iu|0)<(f[Od>>2]|0))}iu=f[Xd>>2]|0;if((iu|0)!=(Yd|0))tE(iu);break}Nmc(v,f[(f[Fa>>2]|0)+4>>2]|0);f[w>>2]=0;f[Qa>>2]=0;f[Sa>>2]=0;iu=f[s>>2]|0;if(!(((iu|0)!=396025?(Kw=(iu|0)==0?1163146:iu,!((o7b(Kw,396025)|0)==0|(iu|0)==396062)):0)?(o7b(Kw,396062)|0)!=0:0)){f[g>>2]=0;f[Oa>>2]=0;Kw=YG(g,6)|0;b[Kw>>0]=b[396018]|0;b[Kw+1>>0]=b[396019]|0;b[Kw+2>>0]=b[396020]|0;b[Kw+3>>0]=b[396021]|0;b[Kw+4>>0]=b[396022]|0;b[Kw+5>>0]=b[396023]|0;FCa(e,Ba,r,g);GCa(w,f[e>>2]|0,f[_a>>2]|0);Kw=f[e>>2]|0;if(Kw|0){while(1){iu=f[_a>>2]|0;if((iu|0)==(Kw|0))break;Zv=iu+-12|0;f[_a>>2]=Zv;ZG(Zv)}Emc(f[e>>2]|0)}ZG(g);if((f[w>>2]|0)==(f[Qa>>2]|0)){f[g>>2]=0;f[Ua>>2]=0;qv=YG(g,21)|0;rv=396040;sv=qv+21|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));FCa(e,Ba,r,g);GCa(w,f[e>>2]|0,f[ab>>2]|0);Kw=f[e>>2]|0;if(Kw|0){while(1){Zv=f[ab>>2]|0;if((Zv|0)==(Kw|0))break;iu=Zv+-12|0;f[ab>>2]=iu;ZG(iu)}Emc(f[e>>2]|0)}ZG(g)}}Kw=f[s>>2]|0;do if((Kw|0)!=396025?(iu=(Kw|0)==0?1163146:Kw,(o7b(iu,396025)|0)!=0):0){if((Kw|0)!=396062?o7b(iu,396062)|0:0){Xa=429;break}f[qd>>2]=0;f[rd>>2]=0;f[B>>2]=sd;iu=f[l>>2]|0;if((iu|0)!=(Ga|0)){Zv=iu;while(1){iu=Zv+16|0;f[i>>2]=Hd;f[e>>2]=f[i>>2];qz=HCa(B,e,g,h,iu)|0;if(!(f[qz>>2]|0)){Va=Bmc(28)|0;fu=f[iu>>2]|0;f[Va+16>>2]=fu;f[Va+20>>2]=f[Zv+20>>2];if(fu|0){iu=fu+-4|0;f[iu>>2]=(f[iu>>2]|0)+1}f[Va+24>>2]=f[Zv+24>>2];iu=f[g>>2]|0;f[Va>>2]=0;f[Va+4>>2]=0;f[Va+8>>2]=iu;f[qz>>2]=Va;iu=f[f[B>>2]>>2]|0;if(!iu)JA=Va;else{f[B>>2]=iu;JA=f[qz>>2]|0}RS(f[qd>>2]|0,JA);f[rd>>2]=(f[rd>>2]|0)+1}qz=f[Zv+4>>2]|0;do if(!qz){iu=Zv+8|0;Va=f[iu>>2]|0;if((f[Va>>2]|0)==(Zv|0)){KA=Va;break}else LA=iu;do{iu=f[LA>>2]|0;LA=iu+8|0;Va=f[LA>>2]|0}while((f[Va>>2]|0)!=(iu|0));KA=Va}else{Na=qz;while(1){Va=f[Na>>2]|0;if(!Va)break;else Na=Va}KA=Na}while(0);if((KA|0)==(Ga|0))break;else Zv=KA}}Glb(x,ICa(a,q,B,1,0)|0);fza(B,f[sd>>2]|0);Zv=f[x>>2]|0;if((Zv&4095|0)!=4){Xa=288;break c}qz=f[td>>2]|0;if((qz|0)<3)MA=Y(f[vd>>2]|0,f[ud>>2]|0)|0;else{pu=f[xd>>2]|0;Va=0;iu=1;while(1){fu=Y(f[pu+(Va<<2)>>2]|0,iu)|0;Va=Va+1|0;if((Va|0)==(qz|0)){MA=fu;break}else iu=fu}}if((MA|0)==8){iu=f[wd>>2]|0;do if(!(Zv&16384)){qz=f[xd>>2]|0;do if((f[qz>>2]|0)!=1){Va=f[f[yd>>2]>>2]|0;if((f[qz+4>>2]|0)==1){NA=iu+(Va<<1)|0;break}else{pu=f[vd>>2]|0;fu=2/(pu|0)|0;NA=iu+(Y(fu,Va)|0)+(2-(Y(fu,pu)|0)<<2)|0;break}}else NA=iu+8|0;while(0);qz=f[xd>>2]|0;if((f[qz>>2]|0)==1){OA=NA;Xa=302;break}pu=f[f[yd>>2]>>2]|0;if((f[qz+4>>2]|0)==1){PA=NA;QA=iu+(pu*6|0)|0;break}else{qz=f[vd>>2]|0;fu=6/(qz|0)|0;PA=NA;QA=iu+(Y(fu,pu)|0)+(6-(Y(fu,qz)|0)<<2)|0;break}}else{OA=iu+8|0;Xa=302}while(0);if((Xa|0)==302){Xa=0;PA=OA;QA=iu+24|0}Zv=f[PA>>2]|0;f[PA>>2]=f[QA>>2];f[QA>>2]=Zv;do if(!(f[x>>2]&16384)){Zv=f[xd>>2]|0;do if((f[Zv>>2]|0)!=1){qz=f[f[yd>>2]>>2]|0;if((f[Zv+4>>2]|0)==1){RA=iu+(qz*3|0)|0;break}else{fu=f[vd>>2]|0;pu=3/(fu|0)|0;RA=iu+(Y(pu,qz)|0)+(3-(Y(pu,fu)|0)<<2)|0;break}}else RA=iu+12|0;while(0);Zv=f[xd>>2]|0;if((f[Zv>>2]|0)==1){SA=RA;Xa=314;break}fu=f[f[yd>>2]>>2]|0;if((f[Zv+4>>2]|0)==1){TA=RA;UA=iu+(fu*7|0)|0;break}else{Zv=f[vd>>2]|0;pu=7/(Zv|0)|0;TA=RA;UA=iu+(Y(pu,fu)|0)+(7-(Y(pu,Zv)|0)<<2)|0;break}}else{SA=iu+12|0;Xa=314}while(0);if((Xa|0)==314){Xa=0;TA=SA;UA=iu+28|0}Zv=f[TA>>2]|0;f[TA>>2]=f[UA>>2];f[UA>>2]=Zv;do if(!(f[x>>2]&16384)){Zv=f[xd>>2]|0;do if((f[Zv>>2]|0)!=1){pu=f[f[yd>>2]>>2]|0;if((f[Zv+4>>2]|0)==1){VA=iu+(pu<<2)|0;break}else{fu=f[vd>>2]|0;qz=4/(fu|0)|0;VA=iu+(Y(qz,pu)|0)+(4-(Y(qz,fu)|0)<<2)|0;break}}else VA=iu+16|0;while(0);Zv=f[xd>>2]|0;if((f[Zv>>2]|0)==1){WA=VA;Xa=326;break}fu=f[f[yd>>2]>>2]|0;if((f[Zv+4>>2]|0)==1){XA=VA;YA=iu+(fu*6|0)|0;break}else{Zv=f[vd>>2]|0;qz=6/(Zv|0)|0;XA=VA;YA=iu+(Y(qz,fu)|0)+(6-(Y(qz,Zv)|0)<<2)|0;break}}else{WA=iu+16|0;Xa=326}while(0);if((Xa|0)==326){Xa=0;XA=WA;YA=iu+24|0}Zv=f[XA>>2]|0;f[XA>>2]=f[YA>>2];f[YA>>2]=Zv;do if(!(f[x>>2]&16384)){Zv=f[xd>>2]|0;do if((f[Zv>>2]|0)!=1){qz=f[f[yd>>2]>>2]|0;if((f[Zv+4>>2]|0)==1){ZA=iu+(qz*5|0)|0;break}else{fu=f[vd>>2]|0;pu=5/(fu|0)|0;ZA=iu+(Y(pu,qz)|0)+(5-(Y(pu,fu)|0)<<2)|0;break}}else ZA=iu+20|0;while(0);Zv=f[xd>>2]|0;if((f[Zv>>2]|0)==1){_A=ZA;Xa=338;break}fu=f[f[yd>>2]>>2]|0;if((f[Zv+4>>2]|0)==1){$A=ZA;aB=iu+(fu*7|0)|0;break}else{Zv=f[vd>>2]|0;pu=7/(Zv|0)|0;$A=ZA;aB=iu+(Y(pu,fu)|0)+(7-(Y(pu,Zv)|0)<<2)|0;break}}else{_A=iu+20|0;Xa=338}while(0);if((Xa|0)==338){Xa=0;$A=_A;aB=iu+28|0}Zv=f[$A>>2]|0;f[$A>>2]=f[aB>>2];f[aB>>2]=Zv}Zv=f[w>>2]|0;pu=f[Qa>>2]|0;fu=pu;qz=Zv;do if((Zv|0)==(pu|0))Xa=375;else{Va=f[td>>2]|0;if((Va|0)<3)bB=Y(f[vd>>2]|0,f[ud>>2]|0)|0;else{gu=f[xd>>2]|0;Ux=0;mu=1;while(1){dz=Y(f[gu+(Ux<<2)>>2]|0,mu)|0;Ux=Ux+1|0;if((Ux|0)==(Va|0)){bB=dz;break}else mu=dz}}if((bB|0)!=8){Xa=375;break}mu=(f[x>>2]&16384|0)==0;Va=f[wd>>2]|0;do if(mu){Ux=f[xd>>2]|0;do if((f[Ux>>2]|0)!=1){gu=f[f[yd>>2]>>2]|0;if((f[Ux+4>>2]|0)==1){cB=Va+(gu<<2)|0;break}else{dz=f[vd>>2]|0;uz=4/(dz|0)|0;cB=Va+(Y(uz,gu)|0)+(4-(Y(uz,dz)|0)<<2)|0;break}}else cB=Va+16|0;while(0);Ux=f[cB>>2]|0;Na=f[xd>>2]|0;if((f[Na>>2]|0)==1){dB=Ux;Xa=357;break}dz=f[f[yd>>2]>>2]|0;if((f[Na+4>>2]|0)==1){eB=Va+(dz*5|0)|0;fB=Ux;break}else{Na=f[vd>>2]|0;uz=5/(Na|0)|0;eB=Va+(Y(uz,dz)|0)+(5-(Y(uz,Na)|0)<<2)|0;fB=Ux;break}}else{dB=f[Va+16>>2]|0;Xa=357}while(0);if((Xa|0)==357){Xa=0;eB=Va+20|0;fB=dB}if((fB|0)!=(f[eB>>2]|0)){Xa=375;break}do if(mu){Ux=f[xd>>2]|0;do if((f[Ux>>2]|0)!=1){Na=f[f[yd>>2]>>2]|0;if((f[Ux+4>>2]|0)==1){gB=Va+(Na*6|0)|0;break}else{uz=f[vd>>2]|0;dz=6/(uz|0)|0;gB=Va+(Y(dz,Na)|0)+(6-(Y(dz,uz)|0)<<2)|0;break}}else gB=Va+24|0;while(0);Ux=f[gB>>2]|0;uz=f[xd>>2]|0;if((f[uz>>2]|0)==1){hB=Ux;Xa=370;break}dz=f[f[yd>>2]>>2]|0;if((f[uz+4>>2]|0)==1){iB=Va+(dz*7|0)|0;jB=Ux;break}else{uz=f[vd>>2]|0;Na=7/(uz|0)|0;iB=Va+(Y(Na,dz)|0)+(7-(Y(Na,uz)|0)<<2)|0;jB=Ux;break}}else{hB=f[Va+24>>2]|0;Xa=370}while(0);if((Xa|0)==370){Xa=0;iB=Va+28|0;jB=hB}if((jB|0)!=(f[iB>>2]|0)){Xa=375;break}if((fu-qz|0)!=12){Xa=387;break c}f[e>>2]=0;f[Fd>>2]=0;mu=YG(e,5)|0;b[mu>>0]=b[401157]|0;b[mu+1>>0]=b[401158]|0;b[mu+2>>0]=b[401159]|0;b[mu+3>>0]=b[401160]|0;b[mu+4>>0]=b[401161]|0;mu=f[wd>>2]|0;do if(!(f[x>>2]&16384)){Ux=f[xd>>2]|0;if((f[Ux>>2]|0)==1){Xa=390;break}uz=f[f[yd>>2]>>2]|0;if((f[Ux+4>>2]|0)==1){kB=mu+(uz<<2)|0;break}else{Ux=f[vd>>2]|0;Na=4/(Ux|0)|0;kB=mu+(Y(Na,uz)|0)+(4-(Y(Na,Ux)|0)<<2)|0;break}}else Xa=390;while(0);if((Xa|0)==390){Xa=0;kB=mu+16|0}KCa(t,e,kB)|0;ZG(e);f[e>>2]=0;f[Gd>>2]=0;Va=YG(e,5)|0;b[Va>>0]=b[401151]|0;b[Va+1>>0]=b[401152]|0;b[Va+2>>0]=b[401153]|0;b[Va+3>>0]=b[401154]|0;b[Va+4>>0]=b[401155]|0;Va=f[wd>>2]|0;do if(!(f[x>>2]&16384)){Ux=f[xd>>2]|0;if((f[Ux>>2]|0)==1){Xa=396;break}Na=f[f[yd>>2]>>2]|0;if((f[Ux+4>>2]|0)==1){lB=Va+(Na*6|0)|0;break}else{Ux=f[vd>>2]|0;uz=6/(Ux|0)|0;lB=Va+(Y(uz,Na)|0)+(6-(Y(uz,Ux)|0)<<2)|0;break}}else Xa=396;while(0);if((Xa|0)==396){Xa=0;lB=Va+24|0}KCa(t,e,lB)|0;ZG(e);dIa(q,f[(f[Da>>2]|0)+4+(f[(f[w>>2]|0)+8>>2]<<2)>>2]|0);mu=f[w>>2]|0;Ux=f[za>>2]|0;I:do if(!Ux){mB=za;nB=za}else{uz=f[mu>>2]|0;Na=(uz|0)==0?1163146:uz;dz=f[Ux+16>>2]|0;J:do if((uz|0)!=(dz|0)){gu=xa;tz=Ux;Lw=dz;while(1){Fz=(Lw|0)==0?1163146:Lw;if((o7b(Na,Fz)|0)<0){Vz=f[tz>>2]|0;if(!Vz){Xa=405;break}else{oB=tz;pB=Vz}}else{if((o7b(Fz,Na)|0)>=0){qB=gu;rB=tz;break J}sB=tz+4|0;Fz=f[sB>>2]|0;if(!Fz){Xa=408;break}else{oB=sB;pB=Fz}}Lw=f[pB+16>>2]|0;if((uz|0)==(Lw|0)){qB=oB;rB=pB;break J}else{gu=oB;tz=pB}}if((Xa|0)==405){Xa=0;mB=tz;nB=tz;break I}else if((Xa|0)==408){Xa=0;mB=sB;nB=tz;break I}}else{qB=xa;rB=Ux}while(0);mB=qB;nB=rB}while(0);if(!(f[mB>>2]|0)){Ux=Bmc(24)|0;Va=f[mu>>2]|0;f[Ux+16>>2]=Va;f[Ux+20>>2]=f[mu+4>>2];if(Va|0){uz=Va+-4|0;f[uz>>2]=(f[uz>>2]|0)+1}f[Ux>>2]=0;f[Ux+4>>2]=0;f[Ux+8>>2]=nB;f[mB>>2]=Ux;uz=f[f[j>>2]>>2]|0;if(!uz)tB=Ux;else{f[j>>2]=uz;tB=f[mB>>2]|0}RS(f[xa>>2]|0,tB);f[ya>>2]=(f[ya>>2]|0)+1}uz=f[Ha>>2]|0;ZG(r);Ux=uz+11|0;Va=b[Ux>>0]|0;Na=Va<<24>>24<0?f[uz+4>>2]|0:Va&255;if(Na|0){Va=YG(r,Na)|0;Krc(Va|0,((b[Ux>>0]|0)<0?f[uz>>2]|0:uz)|0,Na|0)|0}Na=f[db>>2]|0;ZG(s);uz=Na+11|0;Ux=b[uz>>0]|0;Va=Ux<<24>>24<0?f[Na+4>>2]|0:Ux&255;if(!Va){uB=0;break}Ux=YG(s,Va)|0;Krc(Ux|0,((b[uz>>0]|0)<0?f[Na>>2]|0:Na)|0,Va|0)|0;uB=0}while(0);if((Xa|0)==375){Xa=0;f[e>>2]=0;f[zd>>2]=0;qz=YG(e,8)|0;fu=qz;b[fu>>0]=112;b[fu+1>>0]=97;b[fu+2>>0]=100;b[fu+3>>0]=100;fu=qz+4|0;b[fu>>0]=105;b[fu+1>>0]=110;b[fu+2>>0]=103;b[fu+3>>0]=115;fu=f[wd>>2]|0;qz=f[td>>2]|0;if((qz|0)<3)vB=Y(f[vd>>2]|0,f[ud>>2]|0)|0;else{pu=f[xd>>2]|0;Zv=0;iu=1;while(1){Va=Y(f[pu+(Zv<<2)>>2]|0,iu)|0;Zv=Zv+1|0;if((Zv|0)==(qz|0)){vB=Va;break}else iu=Va}}iu=Bmc(16)|0;qz=iu+8|0;f[iu>>2]=qz;f[iu+4>>2]=vB;if(vB>>>0>1){Zv=Dmc(vB>>>0>536870911?-1:vB<<3)|0;f[iu>>2]=Zv;wB=Zv}else wB=qz;f[g>>2]=0;f[Ad>>2]=iu;if((vB|0)>0){iu=fu;qz=0;while(1){Zv=f[iu>>2]|0;pu=wB+(qz<<3)|0;f[pu>>2]=Zv;f[pu+4>>2]=((Zv|0)<0)<<31>>31;qz=qz+1|0;if((qz|0)==(vB|0))break;else iu=iu+4|0}}MCa(t,e,g)|0;rza(g);ZG(e);f[e>>2]=0;f[Bd>>2]=0;iu=YG(e,7)|0;b[iu>>0]=b[442851]|0;b[iu+1>>0]=b[442852]|0;b[iu+2>>0]=b[442853]|0;b[iu+3>>0]=b[442854]|0;b[iu+4>>0]=b[442855]|0;b[iu+5>>0]=b[442856]|0;b[iu+6>>0]=b[442857]|0;iu=UAa(c,r,e,t)|0;ZG(e);qz=oza(o,r)|0;f[qz>>2]=iu;NCa(e,v);OCa(a,o,c,e,iu,0);if((b[Cd>>0]|0)<0)Emc(f[e>>2]|0);uB=10}iu=f[Dd>>2]|0;do if(iu|0){qz=iu+12|0;fu=f[qz>>2]|0;f[qz>>2]=fu+-1;if((fu|0)!=1)break;lP(x)}while(0);f[Dd>>2]=0;f[wd>>2]=0;f[wd+4>>2]=0;f[wd+8>>2]=0;f[wd+12>>2]=0;if((f[td>>2]|0)>0){iu=f[xd>>2]|0;fu=0;do{f[iu+(fu<<2)>>2]=0;fu=fu+1|0}while((fu|0)<(f[td>>2]|0))}fu=f[yd>>2]|0;if((fu|0)!=(Ed|0))tE(fu);if(!uB)Xa=429}else Xa=133;while(0);if((Xa|0)==133){Xa=0;if((f[Wa>>2]|0)!=3){Xa=134;break c}f[$a>>2]=0;f[Ra>>2]=0;f[y>>2]=bb;Kw=f[l>>2]|0;if((Kw|0)!=(Ga|0)){fu=Kw;while(1){Kw=fu+16|0;f[i>>2]=Xb;f[e>>2]=f[i>>2];iu=HCa(y,e,g,h,Kw)|0;if(!(f[iu>>2]|0)){qz=Bmc(28)|0;Zv=f[Kw>>2]|0;f[qz+16>>2]=Zv;f[qz+20>>2]=f[fu+20>>2];if(Zv|0){Kw=Zv+-4|0;f[Kw>>2]=(f[Kw>>2]|0)+1}f[qz+24>>2]=f[fu+24>>2];Kw=f[g>>2]|0;f[qz>>2]=0;f[qz+4>>2]=0;f[qz+8>>2]=Kw;f[iu>>2]=qz;Kw=f[f[y>>2]>>2]|0;if(!Kw)xB=qz;else{f[y>>2]=Kw;xB=f[iu>>2]|0}RS(f[$a>>2]|0,xB);f[Ra>>2]=(f[Ra>>2]|0)+1}iu=f[fu+4>>2]|0;do if(!iu){Kw=fu+8|0;qz=f[Kw>>2]|0;if((f[qz>>2]|0)==(fu|0)){yB=qz;break}else zB=Kw;do{Kw=f[zB>>2]|0;zB=Kw+8|0;qz=f[zB>>2]|0}while((f[qz>>2]|0)!=(Kw|0));yB=qz}else{mu=iu;while(1){qz=f[mu>>2]|0;if(!qz)break;else mu=qz}yB=mu}while(0);if((yB|0)==(Ga|0))break;else fu=yB}}fu=ICa(a,q,y,1,0)|0;f[e>>2]=0;f[kb>>2]=0;f[lb>>2]=0;JCa(fu,e);if((f[fu+160>>2]|0)!=3){Xa=149;break c}if(((f[kb>>2]|0)-(f[e>>2]|0)|0)!=4){Xa=151;break c}Glb(g,fu);if((f[g>>2]&4095|0)!=4){Xa=153;break c}fu=f[mb>>2]|0;iu=f[nb>>2]|0;if((iu|0)<3)AB=Y(f[pb>>2]|0,f[ob>>2]|0)|0;else{qz=f[sb>>2]|0;Kw=0;Zv=1;while(1){pu=Y(f[qz+(Kw<<2)>>2]|0,Zv)|0;Kw=Kw+1|0;if((Kw|0)==(iu|0)){AB=pu;break}else Zv=pu}}Zv=Bmc(16)|0;iu=Zv+8|0;f[Zv>>2]=iu;f[Zv+4>>2]=AB;if(AB>>>0>1){Kw=Dmc(AB>>>0>536870911?-1:AB<<3)|0;f[Zv>>2]=Kw;BB=Kw}else BB=iu;f[x>>2]=0;f[qb>>2]=Zv;if((AB|0)>0){Zv=fu;iu=0;while(1){Kw=f[Zv>>2]|0;qz=BB+(iu<<3)|0;f[qz>>2]=Kw;f[qz+4>>2]=((Kw|0)<0)<<31>>31;iu=iu+1|0;if((iu|0)==(AB|0))break;else Zv=Zv+4|0}}Zv=f[rb>>2]|0;do if(Zv|0){iu=Zv+12|0;fu=f[iu>>2]|0;f[iu>>2]=fu+-1;if((fu|0)!=1)break;lP(g)}while(0);f[rb>>2]=0;f[mb>>2]=0;f[mb+4>>2]=0;f[mb+8>>2]=0;f[mb+12>>2]=0;if((f[nb>>2]|0)>0){Zv=f[sb>>2]|0;fu=0;do{f[Zv+(fu<<2)>>2]=0;fu=fu+1|0}while((fu|0)<(f[nb>>2]|0))}fu=f[tb>>2]|0;if((fu|0)!=(ub|0))tE(fu);fu=f[e>>2]|0;if(fu|0){Zv=f[kb>>2]|0;if((Zv|0)!=(fu|0))f[kb>>2]=Zv+(~((Zv+-4-fu|0)>>>2)<<2);Emc(fu)}fza(y,f[bb>>2]|0);switch(f[x>>2]|0){case 0:{CB=(f[vb>>2]|0)+4|0;break}case 3:{CB=(f[qb>>2]|0)+4|0;break}case 2:{CB=(f[qb>>2]|0)+4|0;break}default:{Xa=178;break c}}if((f[CB>>2]|0)!=2){Xa=180;break c}f[e>>2]=0;f[wb>>2]=0;qv=YG(e,10)|0;rv=401174;sv=qv+10|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));fu=rCa(x,0)|0;f[g>>2]=fu;KCa(t,e,g)|0;ZG(e);f[e>>2]=0;f[xb>>2]=0;qv=YG(e,10)|0;rv=401163;sv=qv+10|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));fu=rCa(x,1)|0;f[g>>2]=fu;KCa(t,e,g)|0;ZG(e);f[z>>2]=1124007936;qv=yb;sv=qv+36|0;do{f[qv>>2]=0;qv=qv+4|0}while((qv|0)<(sv|0));f[Ab>>2]=zb;f[Cb>>2]=Bb;f[Bb>>2]=0;f[Db>>2]=0;f[Eb>>2]=0;f[Fb>>2]=0;f[A>>2]=Gb;fu=f[l>>2]|0;if((fu|0)!=(Ga|0)){Zv=fu;while(1){fu=Zv+16|0;f[i>>2]=Wb;f[e>>2]=f[i>>2];iu=HCa(A,e,g,h,fu)|0;if(!(f[iu>>2]|0)){Kw=Bmc(28)|0;qz=f[fu>>2]|0;f[Kw+16>>2]=qz;f[Kw+20>>2]=f[Zv+20>>2];if(qz|0){fu=qz+-4|0;f[fu>>2]=(f[fu>>2]|0)+1}f[Kw+24>>2]=f[Zv+24>>2];fu=f[g>>2]|0;f[Kw>>2]=0;f[Kw+4>>2]=0;f[Kw+8>>2]=fu;f[iu>>2]=Kw;fu=f[f[A>>2]>>2]|0;if(!fu)DB=Kw;else{f[A>>2]=fu;DB=f[iu>>2]|0}RS(f[Eb>>2]|0,DB);f[Fb>>2]=(f[Fb>>2]|0)+1}iu=f[Zv+4>>2]|0;do if(!iu){fu=Zv+8|0;Kw=f[fu>>2]|0;if((f[Kw>>2]|0)==(Zv|0)){EB=Kw;break}else FB=fu;do{fu=f[FB>>2]|0;FB=fu+8|0;Kw=f[FB>>2]|0}while((f[Kw>>2]|0)!=(fu|0));EB=Kw}else{mu=iu;while(1){Kw=f[mu>>2]|0;if(!Kw)break;else mu=Kw}EB=mu}while(0);if((EB|0)==(Ga|0))break;else Zv=EB}}Zv=ICa(a,q,A,2,0)|0;f[e>>2]=0;f[Hb>>2]=0;f[Ib>>2]=0;JCa(Zv,e);iu=f[e>>2]|0;Kw=((f[Hb>>2]|0)-iu|0)==16;fu=iu;if(Kw){iu=fu+8|0;qz=fu+12|0;pu=f[qz>>2]|0;f[qz>>2]=f[iu>>2];qz=fu+4|0;fu=f[qz>>2]|0;f[qz>>2]=pu;f[iu>>2]=fu}jP(z,e,5);Glb(g,Zv);Zv=f[Jb>>2]|0;if((Zv|0)<3)GB=Y(f[Lb>>2]|0,f[Kb>>2]|0)|0;else{fu=f[Qb>>2]|0;iu=0;pu=1;while(1){qz=Y(f[fu+(iu<<2)>>2]|0,pu)|0;iu=iu+1|0;if((iu|0)==(Zv|0)){GB=qz;break}else pu=qz}}pu=f[yb>>2]|0;if((pu|0)<3)HB=Y(f[Mb>>2]|0,f[zb>>2]|0)|0;else{Zv=f[Ab>>2]|0;iu=0;fu=1;while(1){qz=Y(f[Zv+(iu<<2)>>2]|0,fu)|0;iu=iu+1|0;if((iu|0)==(pu|0)){HB=qz;break}else fu=qz}}if((GB|0)!=(HB|0)){Xa=205;break c}fu=f[Nb>>2]|0;pu=f[Ob>>2]|0;do if(Kw){iu=f[e>>2]|0;Zv=f[iu>>2]|0;qz=f[iu+4>>2]|0;Va=f[iu+8>>2]|0;Na=f[iu+12>>2]|0;iu=Y(Y(Y(qz,Zv)|0,Va)|0,Na)|0;if((Zv|0)<=0)break;uz=Y(Y(Va,qz)|0,Na)|0;Ux=(qz|0)>0;dz=(Va|0)>0;gu=(Na|0)>0;Lw=0;do{do if(Ux){Fz=Y(uz,Lw)|0;if(dz)IB=0;else break;do{Vz=Y(IB,Va)|0;JB=IB+Fz|0;if(gu){KB=0;do{LB=(Y(KB+Vz|0,Na)|0)+Fz|0;MB=Y(KB,Na)|0;NB=0;do{OB=LB+NB|0;PB=JB+(Y(NB+MB|0,qz)|0)|0;if((OB|0)>=(iu|0)){Xa=220;break c}if((PB|0)>=(iu|0)){Xa=221;break c}n[fu+(OB<<2)>>2]=+(f[pu+(PB<<2)>>2]|0);NB=NB+1|0}while((NB|0)<(Na|0));KB=KB+1|0}while((KB|0)<(Va|0))}IB=IB+1|0}while((IB|0)<(qz|0))}while(0);Lw=Lw+1|0}while((Lw|0)<(Zv|0))}else{if((GB|0)>0)QB=0;else break;do{n[fu+(QB<<2)>>2]=+(f[pu+(QB<<2)>>2]|0);QB=QB+1|0}while((QB|0)!=(GB|0))}while(0);pu=f[Pb>>2]|0;do if(pu|0){fu=pu+12|0;Kw=f[fu>>2]|0;f[fu>>2]=Kw+-1;if((Kw|0)!=1)break;lP(g)}while(0);f[Pb>>2]=0;f[Ob>>2]=0;f[Ob+4>>2]=0;f[Ob+8>>2]=0;f[Ob+12>>2]=0;if((f[Jb>>2]|0)>0){pu=f[Qb>>2]|0;Kw=0;do{f[pu+(Kw<<2)>>2]=0;Kw=Kw+1|0}while((Kw|0)<(f[Jb>>2]|0))}Kw=f[Rb>>2]|0;if((Kw|0)!=(Sb|0))tE(Kw);Kw=f[e>>2]|0;if(Kw|0){pu=f[Hb>>2]|0;if((pu|0)!=(Kw|0))f[Hb>>2]=pu+(~((pu+-4-Kw|0)>>>2)<<2);Emc(Kw)}fza(A,f[Gb>>2]|0);f[e>>2]=0;f[Tb>>2]=0;Kw=YG(e,5)|0;b[Kw>>0]=b[401157]|0;b[Kw+1>>0]=b[401158]|0;b[Kw+2>>0]=b[401159]|0;b[Kw+3>>0]=b[401160]|0;b[Kw+4>>0]=b[401161]|0;LCa(t,e,f[Nb>>2]|0)|0;ZG(e);f[e>>2]=0;f[Ub>>2]=0;Kw=YG(e,5)|0;b[Kw>>0]=b[401151]|0;b[Kw+1>>0]=b[401152]|0;b[Kw+2>>0]=b[401153]|0;b[Kw+3>>0]=b[401154]|0;b[Kw+4>>0]=b[401155]|0;Kw=f[Nb>>2]|0;do if(!(f[z>>2]&16384)){pu=f[Ab>>2]|0;if((f[pu>>2]|0)==1){Xa=237;break}fu=f[f[Cb>>2]>>2]|0;if((f[pu+4>>2]|0)==1){RB=Kw+(fu<<1)|0;break}else{pu=f[Mb>>2]|0;Zv=2/(pu|0)|0;RB=Kw+(Y(Zv,fu)|0)+(2-(Y(Zv,pu)|0)<<2)|0;break}}else Xa=237;while(0);if((Xa|0)==237){Xa=0;RB=Kw+8|0}LCa(t,e,RB)|0;ZG(e);pu=f[w>>2]|0;if(((f[Qa>>2]|0)-pu|0)!=12){Xa=242;break c}dIa(q,f[(f[Da>>2]|0)+4+(f[pu+8>>2]<<2)>>2]|0);pu=f[w>>2]|0;Zv=f[za>>2]|0;K:do if(!Zv){SB=za;TB=za}else{fu=f[pu>>2]|0;Lw=(fu|0)==0?1163146:fu;qz=f[Zv+16>>2]|0;L:do if((fu|0)!=(qz|0)){Va=xa;Na=Zv;iu=qz;while(1){gu=(iu|0)==0?1163146:iu;if((o7b(Lw,gu)|0)<0){dz=f[Na>>2]|0;if(!dz){Xa=248;break}else{UB=Na;VB=dz}}else{if((o7b(gu,Lw)|0)>=0){WB=Va;XB=Na;break L}YB=Na+4|0;gu=f[YB>>2]|0;if(!gu){Xa=251;break}else{UB=YB;VB=gu}}iu=f[VB+16>>2]|0;if((fu|0)==(iu|0)){WB=UB;XB=VB;break L}else{Va=UB;Na=VB}}if((Xa|0)==248){Xa=0;SB=Na;TB=Na;break K}else if((Xa|0)==251){Xa=0;SB=YB;TB=Na;break K}}else{WB=xa;XB=Zv}while(0);SB=WB;TB=XB}while(0);if(!(f[SB>>2]|0)){Zv=Bmc(24)|0;Kw=f[pu>>2]|0;f[Zv+16>>2]=Kw;f[Zv+20>>2]=f[pu+4>>2];if(Kw|0){fu=Kw+-4|0;f[fu>>2]=(f[fu>>2]|0)+1}f[Zv>>2]=0;f[Zv+4>>2]=0;f[Zv+8>>2]=TB;f[SB>>2]=Zv;fu=f[f[j>>2]>>2]|0;if(!fu)ZB=Zv;else{f[j>>2]=fu;ZB=f[SB>>2]|0}RS(f[xa>>2]|0,ZB);f[ya>>2]=(f[ya>>2]|0)+1}fu=f[Ha>>2]|0;ZG(r);Zv=fu+11|0;Kw=b[Zv>>0]|0;Lw=Kw<<24>>24<0?f[fu+4>>2]|0:Kw&255;if(Lw|0){Kw=YG(r,Lw)|0;Krc(Kw|0,((b[Zv>>0]|0)<0?f[fu>>2]|0:fu)|0,Lw|0)|0}Lw=f[db>>2]|0;ZG(s);fu=Lw+11|0;Zv=b[fu>>0]|0;Kw=Zv<<24>>24<0?f[Lw+4>>2]|0:Zv&255;if(Kw|0){Zv=YG(s,Kw)|0;Krc(Zv|0,((b[fu>>0]|0)<0?f[Lw>>2]|0:Lw)|0,Kw|0)|0}Kw=f[Vb>>2]|0;do if(Kw|0){Lw=Kw+12|0;fu=f[Lw>>2]|0;f[Lw>>2]=fu+-1;if((fu|0)!=1)break;lP(z)}while(0);f[Vb>>2]=0;f[Nb>>2]=0;f[Nb+4>>2]=0;f[Nb+8>>2]=0;f[Nb+12>>2]=0;if((f[yb>>2]|0)>0){Kw=f[Ab>>2]|0;pu=0;do{f[Kw+(pu<<2)>>2]=0;pu=pu+1|0}while((pu|0)<(f[yb>>2]|0))}pu=f[Cb>>2]|0;if((pu|0)!=(Bb|0))tE(pu);rza(x);Xa=429}if((Xa|0)==429){Xa=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;pu=Bmc(32)|0;f[h>>2]=pu;f[Yb>>2]=-2147483616;f[Zb>>2]=19;qv=pu;rv=465783;sv=qv+19|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));b[pu+19>>0]=0;v_b(_b);PCa(g,$b);QCa(e,f[ac>>2]|0,h,0);Kw=f[e>>2]|0;RCa(g);if(!Kw)_B=0;else{f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;Kw=Bmc(32)|0;f[e>>2]=Kw;f[md>>2]=-2147483616;f[nd>>2]=19;qv=Kw;rv=465783;sv=qv+19|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));b[Kw+19>>0]=0;v_b(_b);pu=SCa($b,e)|0;fu=b[pu+8>>0]|0?(f[pu+20>>2]|0)==5:0;if((b[od>>0]|0)<0)Emc(f[e>>2]|0);_B=fu}if((b[bc>>0]|0)<0)Emc(f[h>>2]|0);f[e>>2]=0;f[cc>>2]=0;qv=YG(e,9)|0;rv=468376;sv=qv+9|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));b[g>>0]=0;TCa(t,e,g)|0;ZG(e);sD(dc,1);f[g>>2]=0;f[ec>>2]=0;Kw=YG(g,7)|0;b[Kw>>0]=b[396317]|0;b[Kw+1>>0]=b[396318]|0;b[Kw+2>>0]=b[396319]|0;b[Kw+3>>0]=b[396320]|0;b[Kw+4>>0]=b[396321]|0;b[Kw+5>>0]=b[396322]|0;b[Kw+6>>0]=b[396323]|0;FCa(e,Ba,r,g);GCa(w,f[e>>2]|0,f[fc>>2]|0);Kw=f[e>>2]|0;if(Kw|0){while(1){fu=f[fc>>2]|0;if((fu|0)==(Kw|0))break;pu=fu+-12|0;f[fc>>2]=pu;ZG(pu)}Emc(f[e>>2]|0)}ZG(g);do if(((f[Qa>>2]|0)-(f[w>>2]|0)|0)==12){f[e>>2]=0;f[gc>>2]=0;qv=YG(e,9)|0;rv=468376;sv=qv+9|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));b[g>>0]=1;TCa(t,e,g)|0;ZG(e);sD(dc,2);Kw=f[(f[w>>2]|0)+8>>2]|0;pu=f[(f[Da>>2]|0)+4+(Kw<<2)>>2]|0;f[hc>>2]=0;f[ic>>2]=0;f[C>>2]=jc;fu=f[l>>2]|0;if((fu|0)!=(Ga|0)){Lw=fu;while(1){fu=Lw+16|0;f[i>>2]=kc;f[e>>2]=f[i>>2];Zv=HCa(C,e,g,h,fu)|0;if(!(f[Zv>>2]|0)){qz=Bmc(28)|0;Va=f[fu>>2]|0;f[qz+16>>2]=Va;f[qz+20>>2]=f[Lw+20>>2];if(Va|0){fu=Va+-4|0;f[fu>>2]=(f[fu>>2]|0)+1}f[qz+24>>2]=f[Lw+24>>2];fu=f[g>>2]|0;f[qz>>2]=0;f[qz+4>>2]=0;f[qz+8>>2]=fu;f[Zv>>2]=qz;fu=f[f[C>>2]>>2]|0;if(!fu)$B=qz;else{f[C>>2]=fu;$B=f[Zv>>2]|0}RS(f[hc>>2]|0,$B);f[ic>>2]=(f[ic>>2]|0)+1}Zv=f[Lw+4>>2]|0;do if(!Zv){fu=Lw+8|0;qz=f[fu>>2]|0;if((f[qz>>2]|0)==(Lw|0)){aC=qz;break}else bC=fu;do{fu=f[bC>>2]|0;bC=fu+8|0;qz=f[bC>>2]|0}while((f[qz>>2]|0)!=(fu|0));aC=qz}else{qz=Zv;while(1){fu=f[qz>>2]|0;if(!fu)break;else qz=fu}aC=qz}while(0);if((aC|0)==(Ga|0))break;else Lw=aC}}Lw=ICa(a,pu,C,-1,0)|0;UCa(Lw,(f[dc>>2]|0)+56|0);fza(C,f[jc>>2]|0);VCa(Ba,Kw,0);Lw=f[w>>2]|0;Zv=f[za>>2]|0;M:do if(!Zv){cC=za;dC=za}else{Na=f[Lw>>2]|0;fu=(Na|0)==0?1163146:Na;Va=f[Zv+16>>2]|0;N:do if((Na|0)!=(Va|0)){iu=xa;gu=Zv;dz=Va;while(1){uz=(dz|0)==0?1163146:dz;if((o7b(fu,uz)|0)<0){Ux=f[gu>>2]|0;if(!Ux){Xa=458;break}else{eC=gu;fC=Ux}}else{if((o7b(uz,fu)|0)>=0){gC=iu;hC=gu;break N}iC=gu+4|0;uz=f[iC>>2]|0;if(!uz){Xa=461;break}else{eC=iC;fC=uz}}dz=f[fC+16>>2]|0;if((Na|0)==(dz|0)){gC=eC;hC=fC;break N}else{iu=eC;gu=fC}}if((Xa|0)==458){Xa=0;cC=gu;dC=gu;break M}else if((Xa|0)==461){Xa=0;cC=iC;dC=gu;break M}}else{gC=xa;hC=Zv}while(0);cC=gC;dC=hC}while(0);if(!(f[cC>>2]|0)){Zv=Bmc(24)|0;Kw=f[Lw>>2]|0;f[Zv+16>>2]=Kw;f[Zv+20>>2]=f[Lw+4>>2];if(Kw|0){pu=Kw+-4|0;f[pu>>2]=(f[pu>>2]|0)+1}f[Zv>>2]=0;f[Zv+4>>2]=0;f[Zv+8>>2]=dC;f[cC>>2]=Zv;pu=f[f[j>>2]>>2]|0;if(!pu)jC=Zv;else{f[j>>2]=pu;jC=f[cC>>2]|0}RS(f[xa>>2]|0,jC);f[ya>>2]=(f[ya>>2]|0)+1}if(!_B){kC=0;break}pu=f[dc>>2]|0;Zv=f[pu+60>>2]|0;if((Zv|0)<3)lC=Y(f[pu+68>>2]|0,f[pu+64>>2]|0)|0;else{Kw=f[pu+96>>2]|0;Na=0;fu=1;while(1){Va=Y(f[Kw+(Na<<2)>>2]|0,fu)|0;Na=Na+1|0;if((Na|0)==(Zv|0)){lC=Va;break}else fu=Va}}fu=f[pu+72>>2]|0;if(lC&3|0){Xa=476;break c}if((lC|0)>0)mC=0;else{kC=1;break}do{Zv=fu+(mC<<2)|0;Na=fu+((mC|1)<<2)|0;Kw=f[Zv>>2]|0;f[Zv>>2]=f[Na>>2];f[Na>>2]=Kw;mC=mC+2|0}while((mC|0)<(lC|0));kC=1}else kC=_B;while(0);f[x>>2]=-1;f[lc>>2]=0;f[mc>>2]=0;f[D>>2]=nc;fu=f[l>>2]|0;if((fu|0)!=(Ga|0)){pu=fu;while(1){fu=pu+16|0;f[i>>2]=ld;f[e>>2]=f[i>>2];Kw=HCa(D,e,g,h,fu)|0;if(!(f[Kw>>2]|0)){Na=Bmc(28)|0;Zv=f[fu>>2]|0;f[Na+16>>2]=Zv;f[Na+20>>2]=f[pu+20>>2];if(Zv|0){fu=Zv+-4|0;f[fu>>2]=(f[fu>>2]|0)+1}f[Na+24>>2]=f[pu+24>>2];fu=f[g>>2]|0;f[Na>>2]=0;f[Na+4>>2]=0;f[Na+8>>2]=fu;f[Kw>>2]=Na;fu=f[f[D>>2]>>2]|0;if(!fu)nC=Na;else{f[D>>2]=fu;nC=f[Kw>>2]|0}RS(f[lc>>2]|0,nC);f[mc>>2]=(f[mc>>2]|0)+1}Kw=f[pu+4>>2]|0;do if(!Kw){fu=pu+8|0;Na=f[fu>>2]|0;if((f[Na>>2]|0)==(pu|0)){oC=Na;break}else pC=fu;do{fu=f[pC>>2]|0;pC=fu+8|0;Na=f[pC>>2]|0}while((f[Na>>2]|0)!=(fu|0));oC=Na}else{Na=Kw;while(1){fu=f[Na>>2]|0;if(!fu)break;else Na=fu}oC=Na}while(0);if((oC|0)==(Ga|0))break;else pu=oC}}pu=ICa(a,q,D,-1,x)|0;fza(D,f[nc>>2]|0);Kw=f[(f[Fa>>2]|0)+4+(f[x>>2]<<2)>>2]|0;f[g>>2]=0;f[oc>>2]=0;fu=Kw+11|0;Zv=b[fu>>0]|0;Lw=Zv<<24>>24<0?f[Kw+4>>2]|0:Zv&255;if(Lw|0){Zv=YG(g,Lw)|0;Krc(Zv|0,((b[fu>>0]|0)<0?f[Kw>>2]|0:Kw)|0,Lw|0)|0}Lw=f[Za>>2]|0;do if(!Lw)Xa=503;else{Kw=f[g>>2]|0;fu=(Kw|0)==0?1163146:Kw;Zv=Za;Va=Lw;O:while(1){iu=Va;while(1){dz=f[iu+16>>2]|0;if((dz|0)==(Kw|0))break;if((o7b((dz|0)==0?1163146:dz,fu)|0)>=0)break;dz=f[iu+4>>2]|0;if(!dz){qC=Zv;break O}else iu=dz}Va=f[iu>>2]|0;if(!Va){qC=iu;break}else Zv=iu}if((qC|0)==(Za|0)){Xa=503;break}Zv=f[qC+16>>2]|0;if((Kw|0)!=(Zv|0)?(o7b(fu,(Zv|0)==0?1163146:Zv)|0)<0:0){Xa=503;break}Zv=qC+24|0;Va=f[dc>>2]|0;if((Va|0)==(Zv|0))break;Na=qC+60|0;dz=f[Na>>2]|0;if(dz|0){qz=dz+12|0;f[qz>>2]=(f[qz>>2]|0)+1}qz=Va+36|0;dz=f[qz>>2]|0;do if(dz|0){uz=dz+12|0;Ux=f[uz>>2]|0;f[uz>>2]=Ux+-1;if((Ux|0)!=1)break;lP(Va)}while(0);f[qz>>2]=0;dz=Va+16|0;fu=Va+4|0;f[dz>>2]=0;f[dz+4>>2]=0;f[dz+8>>2]=0;f[dz+12>>2]=0;if((f[fu>>2]|0)>0){Kw=f[Va+40>>2]|0;Ux=0;do{f[Kw+(Ux<<2)>>2]=0;Ux=Ux+1|0;rC=f[fu>>2]|0}while((Ux|0)<(rC|0));f[Va>>2]=f[Zv>>2];if((rC|0)<3)Xa=609;else Xa=611}else{f[Va>>2]=f[Zv>>2];Xa=609}do if((Xa|0)==609){Xa=0;Ux=f[qC+28>>2]|0;if((Ux|0)>=3){Xa=611;break}f[fu>>2]=Ux;f[Va+8>>2]=f[qC+32>>2];f[Va+12>>2]=f[qC+36>>2];Ux=f[qC+68>>2]|0;Kw=f[Va+44>>2]|0;f[Kw>>2]=f[Ux>>2];f[Kw+4>>2]=f[Ux+4>>2]}while(0);if((Xa|0)==611){Xa=0;kP(Va,Zv)}f[dz>>2]=f[qC+40>>2];f[Va+20>>2]=f[qC+44>>2];f[Va+24>>2]=f[qC+48>>2];f[Va+28>>2]=f[qC+52>>2];f[Va+32>>2]=f[qC+56>>2];f[qz>>2]=f[Na>>2]}while(0);do if((Xa|0)==503){Xa=0;WCa(pu,f[dc>>2]|0);omb(pu);Lw=f[dc>>2]|0;fu=f[Lw+40>>2]|0;Ux=f[fu>>2]|0;Kw=fu+4|0;uz=f[Kw>>2]|0;mu=f[fu+8>>2]|0;Fz=f[fu+12>>2]|0;KB=f[s>>2]|0;if(!((KB|0)!=396040?(o7b((KB|0)==0?1163146:KB,396040)|0)!=0:0)){if(kC){Xa=506;break c}f[h>>2]=1124007936;qv=pc;sv=qv+36|0;do{f[qv>>2]=0;qv=qv+4|0}while((qv|0)<(sv|0));f[rc>>2]=qc;f[tc>>2]=sc;f[sc>>2]=0;f[uc>>2]=0;Na=vc;f[Na>>2]=0;f[Na+4>>2]=0;f[e>>2]=33619968;f[wc>>2]=h;kT(Lw,e);Na=f[xc>>2]|0;qz=f[dc>>2]|0;Va=f[qz+16>>2]|0;do if((Ux|0)>0){dz=Y(Fz,mu)|0;Zv=(dz|0)>0;if((uz|0)>0)sC=0;else break;do{KB=Y(sC,uz)|0;if(Zv){JB=0;do{Vz=Y(dz,JB+KB|0)|0;tz=Y(dz,(Y(JB,Ux)|0)+sC|0)|0;NB=0;do{f[Va+(NB+tz<<2)>>2]=f[Na+(NB+Vz<<2)>>2];NB=NB+1|0}while((NB|0)!=(dz|0));JB=JB+1|0}while((JB|0)!=(uz|0))}sC=sC+1|0}while((sC|0)!=(Ux|0))}while(0);Na=Y(Ux,uz)|0;f[fu>>2]=Na;f[Kw>>2]=1;Na=f[qz+44>>2]|0;f[Na>>2]=f[Na+4>>2];Na=f[yc>>2]|0;do if(Na|0){Va=Na+12|0;Lw=f[Va>>2]|0;f[Va>>2]=Lw+-1;if((Lw|0)!=1)break;lP(h)}while(0);f[yc>>2]=0;f[xc>>2]=0;f[xc+4>>2]=0;f[xc+8>>2]=0;f[xc+12>>2]=0;if((f[pc>>2]|0)>0){Na=f[rc>>2]|0;qz=0;do{f[Na+(qz<<2)>>2]=0;qz=qz+1|0}while((qz|0)<(f[pc>>2]|0))}qz=f[tc>>2]|0;if((qz|0)!=(sc|0))tE(qz)}do if(kC){qz=Y(Y(mu,uz)|0,Fz)|0;if((Ux|0)>0)tC=0;else break;do{Na=f[dc>>2]|0;Ri(e,1,qz,5,(f[Na+16>>2]|0)+(Y(f[f[Na+44>>2]>>2]|0,tC)|0)|0,0);Na=f[dc>>2]|0;Ri(h,1,qz,5,(f[Na+16>>2]|0)+(Y(f[f[Na+44>>2]>>2]|0,tC|1)|0)|0,0);f[E>>2]=e;Na=f[Ac>>2]|0;if((Na|0)>0)uC=f[(f[Bc>>2]|0)+(Na+-1<<2)>>2]|0;else uC=0;f[zc>>2]=uC;f[Cc>>2]=0;f[Dc>>2]=0;f[Ec>>2]=0;if(f[e>>2]&16384|0){Kw=f[Wc>>2]|0;f[Dc>>2]=Kw;if((Na|0)<3)vC=Y(f[Kc>>2]|0,f[Jc>>2]|0)|0;else{fu=f[Xc>>2]|0;Lw=0;Va=1;while(1){dz=Y(f[fu+(Lw<<2)>>2]|0,Va)|0;Lw=Lw+1|0;if((Lw|0)==(Na|0)){vC=dz;break}else Va=dz}}Va=Kw+(Y(vC,uC)|0)|0;f[Ec>>2]=Va}LN(E,0,0);f[F>>2]=e;Va=f[Ac>>2]|0;if((Va|0)>0)wC=f[(f[Bc>>2]|0)+(Va+-1<<2)>>2]|0;else wC=0;f[Fc>>2]=wC;f[Gc>>2]=0;f[Hc>>2]=0;f[Ic>>2]=0;if(f[e>>2]&16384|0){Na=f[Wc>>2]|0;f[Hc>>2]=Na;if((Va|0)<3)xC=Y(f[Kc>>2]|0,f[Jc>>2]|0)|0;else{Lw=f[Xc>>2]|0;fu=0;dz=1;while(1){Zv=Y(f[Lw+(fu<<2)>>2]|0,dz)|0;fu=fu+1|0;if((fu|0)==(Va|0)){xC=Zv;break}else dz=Zv}}dz=Na+(Y(xC,wC)|0)|0;f[Ic>>2]=dz}LN(F,0,0);dz=f[Ac>>2]|0;if((dz|0)<3)yC=Y(f[Kc>>2]|0,f[Jc>>2]|0)|0;else{Va=f[Xc>>2]|0;fu=0;Lw=1;while(1){Kw=Y(f[Va+(fu<<2)>>2]|0,Lw)|0;fu=fu+1|0;if((fu|0)==(dz|0)){yC=Kw;break}else Lw=Kw}}do if(!((yC|0)==0|(f[F>>2]|0)==0)){Lw=Y(f[Fc>>2]|0,yC)|0;dz=(f[Gc>>2]|0)+Lw|0;f[Gc>>2]=dz;if(dz>>>0>=(f[Hc>>2]|0)>>>0?(f[Ic>>2]|0)>>>0>dz>>>0:0)break;f[Gc>>2]=dz+(0-Lw);KN(F,yC,1)}while(0);f[G>>2]=h;Lw=f[Mc>>2]|0;if((Lw|0)>0)zC=f[(f[Nc>>2]|0)+(Lw+-1<<2)>>2]|0;else zC=0;f[Lc>>2]=zC;f[Oc>>2]=0;f[Pc>>2]=0;f[Qc>>2]=0;if(f[h>>2]&16384|0){dz=f[Sc>>2]|0;f[Pc>>2]=dz;if((Lw|0)<3)AC=Y(f[_c>>2]|0,f[Zc>>2]|0)|0;else{fu=f[Tc>>2]|0;Va=0;Na=1;while(1){Kw=Y(f[fu+(Va<<2)>>2]|0,Na)|0;Va=Va+1|0;if((Va|0)==(Lw|0)){AC=Kw;break}else Na=Kw}}Na=dz+(Y(AC,zC)|0)|0;f[Qc>>2]=Na}LN(G,0,0);while(1){Na=f[E>>2]|0;if((Na|0)==(f[F>>2]|0)){Lw=f[Cc>>2]|0;if((Lw|0)==(f[Gc>>2]|0))break;else{BC=Lw;CC=Lw}}else{Lw=f[Cc>>2]|0;BC=Lw;CC=Lw}Lw=f[Oc>>2]|0;Va=f[BC>>2]|0;f[BC>>2]=f[Lw>>2];f[Lw>>2]=Va;do if(Na|0){Va=f[zc>>2]|0;Lw=CC+Va|0;f[Cc>>2]=Lw;if(Lw>>>0<(f[Ec>>2]|0)>>>0)break;f[Cc>>2]=Lw+(0-Va);KN(E,1,1)}while(0);if(!(f[G>>2]|0))continue;Na=f[Lc>>2]|0;Va=(f[Oc>>2]|0)+Na|0;f[Oc>>2]=Va;if(Va>>>0<(f[Qc>>2]|0)>>>0)continue;f[Oc>>2]=Va+(0-Na);KN(G,1,1)}dz=f[Rc>>2]|0;do if(dz|0){Na=dz+12|0;Va=f[Na>>2]|0;f[Na>>2]=Va+-1;if((Va|0)!=1)break;lP(h)}while(0);f[Rc>>2]=0;f[Sc>>2]=0;f[Sc+4>>2]=0;f[Sc+8>>2]=0;f[Sc+12>>2]=0;if((f[Mc>>2]|0)>0){dz=f[Tc>>2]|0;Va=0;do{f[dz+(Va<<2)>>2]=0;Va=Va+1|0}while((Va|0)<(f[Mc>>2]|0))}Va=f[Nc>>2]|0;if((Va|0)!=(Uc|0))tE(Va);Va=f[Vc>>2]|0;do if(Va|0){dz=Va+12|0;Na=f[dz>>2]|0;f[dz>>2]=Na+-1;if((Na|0)!=1)break;lP(e)}while(0);f[Vc>>2]=0;f[Wc>>2]=0;f[Wc+4>>2]=0;f[Wc+8>>2]=0;f[Wc+12>>2]=0;if((f[Ac>>2]|0)>0){Va=f[Xc>>2]|0;Na=0;do{f[Va+(Na<<2)>>2]=0;Na=Na+1|0}while((Na|0)<(f[Ac>>2]|0))}Na=f[Bc>>2]|0;if((Na|0)!=(Yc|0))tE(Na);tC=tC+2|0}while((tC|0)<(Ux|0))}while(0);Ux=f[dc>>2]|0;Fz=XCa(m,g)|0;if((Fz|0)==(Ux|0))break;uz=Ux+36|0;mu=f[uz>>2]|0;if(mu|0){qz=mu+12|0;f[qz>>2]=(f[qz>>2]|0)+1}qz=Fz+36|0;mu=f[qz>>2]|0;do if(mu|0){Na=mu+12|0;Va=f[Na>>2]|0;f[Na>>2]=Va+-1;if((Va|0)!=1)break;lP(Fz)}while(0);f[qz>>2]=0;mu=Fz+16|0;Va=Fz+4|0;f[mu>>2]=0;f[mu+4>>2]=0;f[mu+8>>2]=0;f[mu+12>>2]=0;if((f[Va>>2]|0)>0){Na=f[Fz+40>>2]|0;dz=0;do{f[Na+(dz<<2)>>2]=0;dz=dz+1|0;DC=f[Va>>2]|0}while((dz|0)<(DC|0));f[Fz>>2]=f[Ux>>2];if((DC|0)<3)Xa=594;else Xa=596}else{f[Fz>>2]=f[Ux>>2];Xa=594}do if((Xa|0)==594){Xa=0;dz=f[Ux+4>>2]|0;if((dz|0)>=3){Xa=596;break}f[Va>>2]=dz;f[Fz+8>>2]=f[Ux+8>>2];f[Fz+12>>2]=f[Ux+12>>2];dz=f[Ux+44>>2]|0;Na=f[Fz+44>>2]|0;f[Na>>2]=f[dz>>2];f[Na+4>>2]=f[dz+4>>2]}while(0);if((Xa|0)==596){Xa=0;kP(Fz,Ux)}f[mu>>2]=f[Ux+16>>2];f[Fz+20>>2]=f[Ux+20>>2];f[Fz+24>>2]=f[Ux+24>>2];f[Fz+28>>2]=f[Ux+28>>2];f[Fz+32>>2]=f[Ux+32>>2];f[qz>>2]=f[uz>>2]}while(0);f[e>>2]=0;f[$c>>2]=0;pu=YG(e,8)|0;Va=pu;b[Va>>0]=107;b[Va+1>>0]=101;b[Va+2>>0]=114;b[Va+3>>0]=110;Va=pu+4|0;b[Va>>0]=101;b[Va+1>>0]=108;b[Va+2>>0]=95;b[Va+3>>0]=104;KCa(t,e,(f[(f[dc>>2]|0)+40>>2]|0)+8|0)|0;ZG(e);f[e>>2]=0;f[ad>>2]=0;Va=YG(e,8)|0;pu=Va;b[pu>>0]=107;b[pu+1>>0]=101;b[pu+2>>0]=114;b[pu+3>>0]=110;pu=Va+4|0;b[pu>>0]=101;b[pu+1>>0]=108;b[pu+2>>0]=95;b[pu+3>>0]=119;KCa(t,e,(f[(f[dc>>2]|0)+40>>2]|0)+12|0)|0;ZG(e);f[e>>2]=0;f[bd>>2]=0;qv=YG(e,10)|0;rv=459141;sv=qv+10|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));KCa(t,e,f[(f[dc>>2]|0)+40>>2]|0)|0;ZG(e);YCa(t,q);f[e>>2]=0;f[cd>>2]=0;pu=YG(e,5)|0;b[pu>>0]=b[401151]|0;b[pu+1>>0]=b[401152]|0;b[pu+2>>0]=b[401153]|0;b[pu+3>>0]=b[401154]|0;b[pu+4>>0]=b[401155]|0;pu=f[Ia>>2]|0;P:do if(pu){Va=f[e>>2]|0;dz=(Va|0)==0?1163146:Va;Na=pu;while(1){Lw=f[Na+16>>2]|0;if((Va|0)==(Lw|0)){Xa=633;break}fu=(Lw|0)==0?1163146:Lw;if((o7b(dz,fu)|0)<0)EC=Na;else{if((o7b(fu,dz)|0)>=0){Xa=634;break}EC=Na+4|0}Na=f[EC>>2]|0;if(!Na){Xa=621;break P}}if((Xa|0)==633){Xa=0;ZG(e);break}else if((Xa|0)==634){Xa=0;ZG(e);break}}else Xa=621;while(0);Q:do if((Xa|0)==621){Xa=0;f[h>>2]=0;f[dd>>2]=0;pu=YG(h,5)|0;b[pu>>0]=b[401157]|0;b[pu+1>>0]=b[401158]|0;b[pu+2>>0]=b[401159]|0;b[pu+3>>0]=b[401160]|0;b[pu+4>>0]=b[401161]|0;pu=f[Ia>>2]|0;do if(pu){Na=f[h>>2]|0;dz=(Na|0)==0?1163146:Na;Va=pu;while(1){uz=f[Va+16>>2]|0;if((Na|0)==(uz|0)){Xa=629;break}qz=(uz|0)==0?1163146:uz;if((o7b(dz,qz)|0)<0)FC=Va;else{if((o7b(qz,dz)|0)>=0){Xa=635;break}FC=Va+4|0}Va=f[FC>>2]|0;if(!Va){Xa=631;break}}if((Xa|0)==629){Xa=0;ZG(h);ZG(e);break Q}else if((Xa|0)==631){Xa=0;ZG(h);ZG(e);break}else if((Xa|0)==635){Xa=0;ZG(h);ZG(e);break Q}}else{ZG(h);ZG(e)}while(0);ZCa(t,q)}while(0);f[h>>2]=0;f[ed>>2]=0;qv=YG(h,14)|0;rv=396364;sv=qv+14|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));FCa(e,Ba,r,h);GCa(w,f[e>>2]|0,f[fd>>2]|0);pu=f[e>>2]|0;if(pu|0){while(1){Va=f[fd>>2]|0;if((Va|0)==(pu|0))break;dz=Va+-12|0;f[fd>>2]=dz;ZG(dz)}Emc(f[e>>2]|0)}ZG(h);pu=f[w>>2]|0;dz=f[Qa>>2]|0;do if((pu|0)!=(dz|0)){if((dz-pu|0)!=12){Xa=642;break c}VCa(Ba,f[pu+8>>2]|0,0);Va=f[w>>2]|0;Na=f[za>>2]|0;R:do if(!Na){GC=za;HC=za}else{qz=f[Va>>2]|0;uz=(qz|0)==0?1163146:qz;Ux=f[Na+16>>2]|0;S:do if((qz|0)!=(Ux|0)){Fz=xa;mu=Na;fu=Ux;while(1){Lw=(fu|0)==0?1163146:fu;if((o7b(uz,Lw)|0)<0){Kw=f[mu>>2]|0;if(!Kw){Xa=648;break}else{IC=mu;JC=Kw}}else{if((o7b(Lw,uz)|0)>=0){KC=Fz;LC=mu;break S}MC=mu+4|0;Lw=f[MC>>2]|0;if(!Lw){Xa=651;break}else{IC=MC;JC=Lw}}fu=f[JC+16>>2]|0;if((qz|0)==(fu|0)){KC=IC;LC=JC;break S}else{Fz=IC;mu=JC}}if((Xa|0)==648){Xa=0;GC=mu;HC=mu;break R}else if((Xa|0)==651){Xa=0;GC=MC;HC=mu;break R}}else{KC=xa;LC=Na}while(0);GC=KC;HC=LC}while(0);if(f[GC>>2]|0)break;Na=Bmc(24)|0;qz=f[Va>>2]|0;f[Na+16>>2]=qz;f[Na+20>>2]=f[Va+4>>2];if(qz|0){uz=qz+-4|0;f[uz>>2]=(f[uz>>2]|0)+1}f[Na>>2]=0;f[Na+4>>2]=0;f[Na+8>>2]=HC;f[GC>>2]=Na;uz=f[f[j>>2]>>2]|0;if(!uz)NC=Na;else{f[j>>2]=uz;NC=f[GC>>2]|0}RS(f[xa>>2]|0,NC);f[ya>>2]=(f[ya>>2]|0)+1}while(0);f[e>>2]=0;f[gd>>2]=0;qv=YG(e,11)|0;rv=444072;sv=qv+11|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));pu=UAa(c,r,e,t)|0;ZG(e);dz=oza(o,r)|0;f[dz>>2]=pu;NCa(e,v);OCa(a,o,c,e,pu,0);if((b[hd>>0]|0)<0)Emc(f[e>>2]|0);pu=f[r>>2]|0;dz=f[La>>2]|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;if(dz>>>0>4294967279){Xa=662;break c}if(dz>>>0<11){b[id>>0]=dz;if(!dz)OC=e;else{PC=e;Xa=666}}else{uz=dz+16&-16;Na=Bmc(uz)|0;f[e>>2]=Na;f[jd>>2]=uz|-2147483648;f[kd>>2]=dz;PC=Na;Xa=666}if((Xa|0)==666){Xa=0;Krc(PC|0,pu|0,dz|0)|0;OC=PC}b[OC+dz>>0]=0;dz=(_Ca(e,k)|0)==2;if((b[id>>0]|0)<0)Emc(f[e>>2]|0);if(dz){dz=oza(k,r)|0;f[dz>>2]=0}ZG(g)}dz=f[w>>2]|0;if(dz|0){while(1){pu=f[Qa>>2]|0;if((pu|0)==(dz|0))break;Na=pu+-12|0;f[Qa>>2]=Na;ZG(Na)}Emc(f[w>>2]|0)}if((b[pd>>0]|0)<0)Emc(f[v>>2]|0)}while(0);qza(t);ZG(s);ZG(r);iHa(q);du=du+1|0;if((du|0)>=(Aa|0)){eb=yi;Xa=60;break}}switch(Xa|0){case 60:{nCa(c,eb);fb=f[wa>>2]|0;fza(o,fb);gb=f[Za>>2]|0;iDa(m,gb);hb=f[Ga>>2]|0;fza(l,hb);ib=f[Ca>>2]|0;fza(k,ib);jb=f[za>>2]|0;jDa(j,jb);u=d;return}case 111:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,24)|0;rv=395889;sv=qv+24|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,e,395914,395938,652);break}case 134:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,23)|0;rv=396066;sv=qv+23|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,e,403432,395938,758);break}case 149:{f[g>>2]=0;f[g+4>>2]=0;qv=YG(g,38)|0;rv=396090;sv=qv+38|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,g,396129,395938,305);break}case 151:{f[g>>2]=0;f[g+4>>2]=0;qv=YG(g,9)|0;rv=396139;sv=qv+9|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,g,396129,395938,306);break}case 153:{f[h>>2]=0;f[h+4>>2]=0;qv=YG(h,25)|0;rv=396149;sv=qv+25|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,h,396129,395938,309);break}case 178:{f[e>>2]=0;f[e+4>>2]=0;SQ(-3,e,463632,463637,278);break}case 180:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,20)|0;rv=396175;sv=qv+20|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,e,403432,395938,761);break}case 205:{f[h>>2]=0;f[h+4>>2]=0;qv=YG(h,28)|0;rv=396196;sv=qv+28|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,h,396225,395938,113);break}case 220:{f[h>>2]=0;f[h+4>>2]=0;qv=YG(h,13)|0;rv=396237;sv=qv+13|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,h,396225,395938,129);break}case 221:{f[h>>2]=0;f[h+4>>2]=0;qv=YG(h,13)|0;rv=396251;sv=qv+13|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,h,396225,395938,130);break}case 242:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,23)|0;rv=396265;sv=qv+23|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,e,403432,395938,772);break}case 288:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,27)|0;rv=396289;sv=qv+27|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,e,403432,395938,781);break}case 387:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,23)|0;rv=396265;sv=qv+23|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,e,403432,395938,812);break}case 476:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,19)|0;rv=396325;sv=qv+19|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,e,403432,395938,850);break}case 506:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,18)|0;rv=396345;sv=qv+18|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,e,403432,395938,874);break}case 642:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,23)|0;rv=396265;sv=qv+23|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,e,403432,395938,925);break}case 662:{Lmc(e);break}case 701:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,37)|0;rv=396379;sv=qv+37|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,e,403432,395938,948);break}case 716:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,25)|0;rv=396417;sv=qv+25|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,e,403432,395938,953);break}case 750:{bza(h,396443,e);f[g>>2]=0;f[g+4>>2]=0;d=h+11|0;jb=b[d>>0]|0;j=jb<<24>>24<0?f[h+4>>2]|0:jb&255;if(!j)SQ(-2,g,403432,395938,981);Krc(YG(g,j)|0,((b[d>>0]|0)<0?f[h>>2]|0:h)|0,j|0)|0;SQ(-2,g,403432,395938,981);break}case 775:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,9)|0;rv=396467;sv=qv+9|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,e,403432,395938,994);break}case 790:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,25)|0;rv=396417;sv=qv+25|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,e,403432,395938,997);break}case 812:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,23)|0;rv=396484;sv=qv+23|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,e,403432,395938,1018);break}case 862:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,19)|0;rv=396325;sv=qv+19|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,e,403432,395938,1048);break}case 913:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,30)|0;rv=400202;sv=qv+30|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,e,403432,395938,1069);break}case 1016:{Lmc(g);break}case 1035:{f[h>>2]=0;f[h+4>>2]=0;qv=YG(h,41)|0;rv=396514;sv=qv+41|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,h,403432,395938,1103);break}case 1086:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,35)|0;rv=396577;sv=qv+35|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,e,403432,395938,1140);break}case 1093:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,33)|0;rv=396613;sv=qv+33|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-213,e,403432,395938,1145);break}case 1097:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,33)|0;rv=396613;sv=qv+33|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-213,e,403432,395938,1150);break}case 1098:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,33)|0;rv=396613;sv=qv+33|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-213,e,403432,395938,1153);break}case 1103:{Lmc(g);break}case 1122:{f[i>>2]=0;f[i+4>>2]=0;qv=YG(i,41)|0;rv=396514;sv=qv+41|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,i,403432,395938,1162);break}case 1151:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,23)|0;rv=396657;sv=qv+23|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,e,403432,395938,1176);break}case 1164:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,44)|0;rv=396681;sv=qv+44|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-212,e,403432,395938,1198);break}case 1171:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,44)|0;rv=396681;sv=qv+44|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-212,e,403432,395938,1215);break}case 1249:{Lmc(e);break}case 1258:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,20)|0;rv=396748;sv=qv+20|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,e,396769,395938,43);break}case 1284:{bza(h,396443,e);f[g>>2]=0;f[g+4>>2]=0;j=h+11|0;d=b[j>>0]|0;jb=d<<24>>24<0?f[h+4>>2]|0:d&255;if(!jb)SQ(-2,g,403432,395938,1279);Krc(YG(g,jb)|0,((b[j>>0]|0)<0?f[h>>2]|0:h)|0,jb|0)|0;SQ(-2,g,403432,395938,1279);break}case 1322:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,23)|0;rv=396484;sv=qv+23|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,e,403432,395938,1324);break}case 1337:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,20)|0;rv=396748;sv=qv+20|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,e,396769,395938,43);break}case 1348:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,23)|0;rv=396066;sv=qv+23|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,e,403432,395938,1342);break}case 1381:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,15)|0;rv=396810;sv=qv+15|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,e,403432,395938,1345);break}case 1388:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,14)|0;rv=396826;sv=qv+14|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,e,403432,395938,1345);break}case 1390:{BY(Hy,4,110308);break}case 1392:{BY(Iy,4,110336);break}case 1399:{Lmc(e);break}case 1464:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,37)|0;rv=396379;sv=qv+37|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,e,403432,395938,1373);break}case 1479:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,27)|0;rv=396841;sv=qv+27|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,e,403432,395938,1380);break}case 1487:{f[g>>2]=0;f[g+4>>2]=0;qv=YG(g,43)|0;rv=396869;sv=qv+43|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,g,403432,395938,1403);break}case 1602:{bza(h,396443,e);f[g>>2]=0;f[g+4>>2]=0;Iy=h+11|0;Hy=b[Iy>>0]|0;jb=Hy<<24>>24<0?f[h+4>>2]|0:Hy&255;if(!jb)SQ(-2,g,403432,395938,1461);Krc(YG(g,jb)|0,((b[Iy>>0]|0)<0?f[h>>2]|0:h)|0,jb|0)|0;SQ(-2,g,403432,395938,1461);break}case 1611:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,34)|0;rv=396913;sv=qv+34|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-213,e,403432,395938,1476);break}case 1658:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,68)|0;rv=396960;sv=qv+68|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-213,e,403432,395938,1508);break}case 1670:{Lmc(g);break}case 1689:{f[h>>2]=0;f[h+4>>2]=0;qv=YG(h,40)|0;rv=397029;sv=qv+40|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,h,403432,395938,1515);break}case 1784:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,46)|0;rv=397070;sv=qv+46|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-213,e,403432,395938,1546);break}case 1879:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,32)|0;rv=397127;sv=qv+32|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-213,e,403432,395938,1622);break}case 2129:{BY(kw,4,110364);break}case 2135:{if(mw){QC=Y(f[Yo>>2]|0,f[Xo>>2]|0)|0;EY(QC,2,110392)}Xo=f[cp>>2]|0;cp=0;Yo=1;while(1){mw=Y(f[Xo+(cp<<2)>>2]|0,Yo)|0;cp=cp+1|0;if((cp|0)==(lw|0)){QC=mw;break}else Yo=mw}EY(QC,2,110392);break}case 2176:{BY(uw,4,110420);break}case 2182:{if(ww){RC=Y(f[zp>>2]|0,f[yp>>2]|0)|0;EY(RC,1,110448)}yp=f[Mp>>2]|0;Mp=0;zp=1;while(1){ww=Y(f[yp+(Mp<<2)>>2]|0,zp)|0;Mp=Mp+1|0;if((Mp|0)==(vw|0)){RC=ww;break}else zp=ww}EY(RC,1,110448);break}case 2188:{BY(yw,4,110476);break}case 2194:{if(Aw){SC=Y(f[Cp>>2]|0,f[Bp>>2]|0)|0;EY(SC,1,110504)}Bp=f[Ip>>2]|0;Ip=0;Cp=1;while(1){Aw=Y(f[Bp+(Ip<<2)>>2]|0,Cp)|0;Ip=Ip+1|0;if((Ip|0)==(zw|0)){SC=Aw;break}else Cp=Aw}EY(SC,1,110504);break}case 2216:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,50)|0;rv=397160;sv=qv+50|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,e,403432,395938,1705);break}case 2233:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,23)|0;rv=396484;sv=qv+23|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,e,403432,395938,1725);break}case 2248:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,35)|0;rv=397211;sv=qv+35|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,e,403432,395938,1727);break}case 2254:{Lmc(e);break}case 2270:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,20)|0;rv=396748;sv=qv+20|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,e,396769,395938,43);break}case 2311:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,66)|0;rv=397247;sv=qv+66|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,e,403432,395938,1737);break}case 2313:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,66)|0;rv=397314;sv=qv+66|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,e,403432,395938,1739);break}case 2413:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,23)|0;rv=396066;sv=qv+23|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,e,403432,395938,1795);break}case 2428:{BY(Iv,4,110532);break}case 2434:{if(Kv){TC=Y(f[Kr>>2]|0,f[Jr>>2]|0)|0;EY(TC,2,110560)}Jr=f[Or>>2]|0;Or=0;Kr=1;while(1){Kv=Y(f[Jr+(Or<<2)>>2]|0,Kr)|0;Or=Or+1|0;if((Or|0)==(Jv|0)){TC=Kv;break}else Kr=Kv}EY(TC,2,110560);break}case 2474:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,26)|0;rv=397402;sv=qv+26|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,e,403432,395938,1812);break}case 2488:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,42)|0;rv=397429;sv=qv+42|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-213,e,403432,395938,1815);break}case 2506:{Lmc(g);break}case 2525:{f[h>>2]=0;f[h+4>>2]=0;qv=YG(h,44)|0;rv=397482;sv=qv+44|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,h,403432,395938,1836);break}case 2531:{Lmc(i);break}case 2555:{f[e>>2]=0;f[e+4>>2]=0;qv=YG(e,23)|0;rv=396066;sv=qv+23|0;do{b[qv>>0]=b[rv>>0]|0;qv=qv+1|0;rv=rv+1|0}while((qv|0)<(sv|0));SQ(-215,e,403432,395938,1848);break}case 2587:{if(jv){UC=Y(f[Ts>>2]|0,f[Ss>>2]|0)|0;EY(UC,1,110588)}Ss=f[gt>>2]|0;gt=0;Ts=1;while(1){jv=Y(f[Ss+(gt<<2)>>2]|0,Ts)|0;gt=gt+1|0;if((gt|0)==(iv|0)){UC=jv;break}else Ts=jv}EY(UC,1,110588);break}case 2593:{BY(lv,5,110616);break}case 2599:{if(nv){VC=Y(f[Ws>>2]|0,f[Vs>>2]|0)|0;EY(VC,1,110644)}Vs=f[ct>>2]|0;ct=0;Ws=1;while(1){nv=Y(f[Vs+(ct<<2)>>2]|0,Ws)|0;ct=ct+1|0;if((ct|0)==(mv|0)){VC=nv;break}else Ws=nv}EY(VC,1,110644);break}case 2605:{BY(pv,5,110672);break}case 2634:{Lmc(e);break}}}function DCa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;c=u;u=u+48|0;d=c+24|0;e=c+12|0;g=c;h=Bmc(16)|0;f[g>>2]=h;f[g+8>>2]=-2147483632;f[g+4>>2]=11;i=h;j=399278;k=i+11|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[h+11>>0]=0;h=a+24|0;v_b(h);l=a+48|0;PCa(e,l);QCa(d,f[e+8>>2]|0,g,0);a=(f[d>>2]|0)==0;RCa(e);if((b[g+11>>0]|0)<0)Emc(f[g>>2]|0);if(a){m=2;u=c;return m|0}a=Bmc(16)|0;f[e>>2]=a;f[e+8>>2]=-2147483632;f[e+4>>2]=11;i=a;j=399278;k=i+11|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));b[a+11>>0]=0;v_b(h);h=SCa(l,e)|0;Nmc(d,(f[h+20>>2]|0)==2?f[h+8>>2]|0:535416);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);h=d+11|0;l=b[h>>0]|0;a=d+4|0;j=f[a>>2]|0;if(((l<<24>>24<0?j:l&255)|0)==4)if(!(knc(d,0,-1,399290,4)|0))n=0;else{o=b[h>>0]|0;p=f[a>>2]|0;q=9}else{o=l;p=j;q=9}do if((q|0)==9){if(((o<<24>>24<0?p:o&255)|0)==13){if(!(knc(d,0,-1,399295,13)|0)){n=0;break}r=b[h>>0]|0;s=f[a>>2]|0}else{r=o;s=p}if(((r<<24>>24<0?s:r&255)|0)==4){if(!(knc(d,0,-1,399309,4)|0)){n=1;break}t=b[h>>0]|0;v=f[a>>2]|0}else{t=r;v=s}if(((t<<24>>24<0?v:t&255)|0)==14?(knc(d,0,-1,399314,14)|0)==0:0){n=1;break}bza(g,399329,d);f[e>>2]=0;f[e+4>>2]=0;j=g+11|0;l=b[j>>0]|0;i=l<<24>>24<0?f[g+4>>2]|0:l&255;if(!i)SQ(-212,e,399357,395938,260);l=YG(e,i)|0;Krc(l|0,((b[j>>0]|0)<0?f[g>>2]|0:g)|0,i|0)|0;SQ(-212,e,399357,395938,260)}while(0);if((b[h>>0]|0)<0)Emc(f[d>>2]|0);m=n;u=c;return m|0}function ECa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0.0,sb=0.0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0;e=u;u=u+240|0;g=e+176|0;h=e+120|0;i=e+112|0;j=e+104|0;k=e+32|0;l=e+16|0;m=e;o=e+96|0;p=e+88|0;q=a+12|0;if((f[q>>2]|0)<=0){u=e;return}r=a+20|0;a=i+4|0;s=j+4|0;t=g+4|0;v=c+4|0;w=k+11|0;x=k+4|0;y=h+8|0;z=g+4|0;A=g+4|0;B=g+4|0;C=g+11|0;D=g+5|0;E=h+11|0;F=h+5|0;G=k+11|0;H=k+5|0;I=g+4|0;J=g+8|0;K=g+12|0;L=h+4|0;M=h+8|0;N=h+12|0;O=g+16|0;P=h+16|0;Q=l+8|0;R=l+4|0;S=k+16|0;T=k+4|0;U=k+8|0;V=k+12|0;W=l+11|0;X=o+4|0;Z=m+4|0;_=m+8|0;$=l+4|0;aa=l+8|0;ba=c+4|0;ca=c+8|0;da=d+4|0;ea=d+4|0;fa=d+8|0;ga=k+36|0;ha=k+40|0;ia=k+44|0;ja=k+48|0;ka=h+36|0;la=h+40|0;ma=h+44|0;na=h+48|0;oa=g+36|0;pa=g+40|0;qa=g+44|0;ra=g+48|0;sa=l+8|0;ta=l+4|0;ua=g+11|0;va=g+4|0;wa=h+11|0;xa=h+5|0;ya=p+4|0;za=h+4|0;Aa=h+8|0;Ba=g+4|0;Ca=g+8|0;Da=0;a:while(1){Ea=f[(f[r>>2]|0)+4+(Da<<2)>>2]|0;Fa=f[Ea+60>>2]|0;f[i>>2]=0;f[a>>2]=0;Ga=Fa+11|0;Ha=b[Ga>>0]|0;Ia=Ha<<24>>24<0?f[Fa+4>>2]|0:Ha&255;if(Ia|0){Ha=YG(i,Ia)|0;Krc(Ha|0,((b[Ga>>0]|0)<0?f[Fa>>2]|0:Fa)|0,Ia|0)|0}Ia=f[Ea+64>>2]|0;f[j>>2]=0;f[s>>2]=0;Fa=Ia+11|0;Ga=b[Fa>>0]|0;Ha=Ga<<24>>24<0?f[Ia+4>>2]|0:Ga&255;if(Ha){Ga=YG(j,Ha)|0;Krc(Ga|0,((b[Fa>>0]|0)<0?f[Ia>>2]|0:Ia)|0,Ha|0)|0;Ha=f[j>>2]|0;if((Ha|0)==398790)Ja=9;else{Ka=Ha;Ja=8}}else{Ka=0;Ja=8}do if((Ja|0)==8){Ja=0;Ha=(Ka|0)==0?1163146:Ka;if(o7b(Ha,398790)|0){if((Ka|0)!=444421?o7b(Ha,444421)|0:0)break;Ha=Ea+24|0;v_b(Ha);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[wa>>0]=5;b[h>>0]=b[506389]|0;b[h+1>>0]=b[506390]|0;b[h+2>>0]=b[506391]|0;b[h+3>>0]=b[506392]|0;b[h+4>>0]=b[506393]|0;b[xa>>0]=0;QCa(g,f[Ea+56>>2]|0,h,0);Ia=f[g>>2]|0;v_b(Ha);if((b[wa>>0]|0)<0)Emc(f[h>>2]|0);if(Ia|0){Ia=f[i>>2]|0;f[p>>2]=Ia;Ha=f[a>>2]|0;f[ya>>2]=Ha;if(Ia){Fa=Ia+-4|0;f[Fa>>2]=(f[Fa>>2]|0)+1;Fa=f[p>>2]|0;Ia=f[ya>>2]|0;f[h>>2]=Fa;f[za>>2]=Ia;if(Fa){Ga=Fa+-4|0;f[Ga>>2]=(f[Ga>>2]|0)+1;Ga=f[h>>2]|0;Fa=f[za>>2]|0;f[Aa>>2]=Da;f[g>>2]=Ga;f[Ba>>2]=Fa;if(!Ga)La=Da;else{Fa=Ga+-4|0;f[Fa>>2]=(f[Fa>>2]|0)+1;La=f[Aa>>2]|0}}else{Ma=Ia;Ja=159}}else{f[h>>2]=0;f[za>>2]=Ha;Ma=Ha;Ja=159}if((Ja|0)==159){Ja=0;f[Aa>>2]=Da;f[g>>2]=0;f[Ba>>2]=Ma;La=Da}f[Ca>>2]=La;Ha=f[v>>2]|0;b:do if(!Ha){Na=v;Oa=v}else{Ia=f[g>>2]|0;Fa=(Ia|0)==0?1163146:Ia;Ga=f[Ha+16>>2]|0;c:do if((Ia|0)!=(Ga|0)){Pa=ba;Qa=Ha;Ra=Ga;while(1){Sa=(Ra|0)==0?1163146:Ra;if((o7b(Fa,Sa)|0)<0){Ta=f[Qa>>2]|0;if(!Ta){Ja=167;break}else{Ua=Qa;Va=Ta}}else{if((o7b(Sa,Fa)|0)>=0){Wa=Pa;Xa=Qa;break c}Ya=Qa+4|0;Sa=f[Ya>>2]|0;if(!Sa){Ja=170;break}else{Ua=Ya;Va=Sa}}Ra=f[Va+16>>2]|0;if((Ia|0)==(Ra|0)){Wa=Ua;Xa=Va;break c}else{Pa=Ua;Qa=Va}}if((Ja|0)==167){Ja=0;Na=Qa;Oa=Qa;break b}else if((Ja|0)==170){Ja=0;Na=Ya;Oa=Qa;break b}}else{Wa=ba;Xa=Ha}while(0);Na=Wa;Oa=Xa}while(0);if(f[Na>>2]|0){Ja=178;break a}Ha=Bmc(28)|0;Ia=f[g>>2]|0;f[Ha+16>>2]=Ia;f[Ha+20>>2]=f[Ba>>2];if(!Ia)Za=La;else{Fa=Ia+-4|0;f[Fa>>2]=(f[Fa>>2]|0)+1;Za=f[Ca>>2]|0}f[Ha+24>>2]=Za;f[Ha>>2]=0;f[Ha+4>>2]=0;f[Ha+8>>2]=Oa;f[Na>>2]=Ha;Fa=f[f[c>>2]>>2]|0;if(!Fa)_a=Ha;else{f[c>>2]=Fa;_a=f[Na>>2]|0}RS(f[ba>>2]|0,_a);f[ca>>2]=(f[ca>>2]|0)+1;ZG(g);ZG(h);ZG(p)}Fa=f[da>>2]|0;d:do if(!Fa){$a=da;ab=da}else{Ha=f[i>>2]|0;Ia=(Ha|0)==0?1163146:Ha;Ga=f[Fa+16>>2]|0;e:do if((Ha|0)!=(Ga|0)){Pa=ea;Ra=Fa;Sa=Ga;while(1){Ta=(Sa|0)==0?1163146:Sa;if((o7b(Ia,Ta)|0)<0){bb=f[Ra>>2]|0;if(!bb){Ja=184;break}else{cb=Ra;db=bb}}else{if((o7b(Ta,Ia)|0)>=0){eb=Pa;fb=Ra;break e}gb=Ra+4|0;Ta=f[gb>>2]|0;if(!Ta){Ja=187;break}else{cb=gb;db=Ta}}Sa=f[db+16>>2]|0;if((Ha|0)==(Sa|0)){eb=cb;fb=db;break e}else{Pa=cb;Ra=db}}if((Ja|0)==184){Ja=0;$a=Ra;ab=Ra;break d}else if((Ja|0)==187){Ja=0;$a=gb;ab=Ra;break d}}else{eb=ea;fb=Fa}while(0);$a=eb;ab=fb}while(0);if(!(f[$a>>2]|0)){Fa=Bmc(24)|0;Ha=f[i>>2]|0;f[Fa+16>>2]=Ha;f[Fa+20>>2]=f[a>>2];if(Ha|0){Ia=Ha+-4|0;f[Ia>>2]=(f[Ia>>2]|0)+1}f[Fa>>2]=0;f[Fa+4>>2]=0;f[Fa+8>>2]=ab;f[$a>>2]=Fa;Ia=f[f[d>>2]>>2]|0;if(!Ia)hb=Fa;else{f[d>>2]=Ia;hb=f[$a>>2]|0}RS(f[ea>>2]|0,hb);f[fa>>2]=(f[fa>>2]|0)+1}}else Ja=9}while(0);if((Ja|0)==9){Ja=0;if((f[Ea+12>>2]|0)!=3){Ja=11;break}Ia=Ea+20|0;Fa=0;do{Ha=f[(f[Ia>>2]|0)+4+(Fa<<2)>>2]|0;f[g>>2]=0;f[t>>2]=0;Ga=Ha+11|0;Pa=b[Ga>>0]|0;Sa=Pa<<24>>24<0?f[Ha+4>>2]|0:Pa&255;if(Sa|0){Pa=YG(g,Sa)|0;Krc(Pa|0,((b[Ga>>0]|0)<0?f[Ha>>2]|0:Ha)|0,Sa|0)|0}Sa=f[v>>2]|0;if(Sa){Ha=f[g>>2]|0;Ga=(Ha|0)==0?1163146:Ha;Pa=v;Qa=Sa;f:while(1){Sa=Qa;while(1){Ta=f[Sa+16>>2]|0;if((Ta|0)==(Ha|0))break;if((o7b((Ta|0)==0?1163146:Ta,Ga)|0)>=0)break;Ta=f[Sa+4>>2]|0;if(!Ta){ib=Pa;break f}else Sa=Ta}Qa=f[Sa>>2]|0;if(!Qa){ib=Sa;break}else Pa=Sa}if((ib|0)!=(v|0)){Pa=f[ib+16>>2]|0;if((Ha|0)!=(Pa|0)?(o7b(Ga,(Pa|0)==0?1163146:Pa)|0)<0:0)Ja=26;else jb=ib}else Ja=26}else Ja=26;if((Ja|0)==26){Ja=0;jb=v}ZG(g);Fa=Fa+1|0;if((jb|0)==(v|0)){Ja=28;break a}}while((Fa|0)<3);f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;b[w>>0]=4;f[k>>2]=1701080941;b[x>>0]=0;Fa=Ea+24|0;v_b(Fa);Pa=Ea+48|0;PCa(h,Pa);QCa(g,f[y>>2]|0,k,0);Qa=f[g>>2]|0;RCa(h);if(!Qa)kb=0;else{f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[ua>>0]=4;f[g>>2]=1701080941;b[va>>0]=0;v_b(Fa);Fa=SCa(Pa,g)|0;Pa=(f[Fa+20>>2]|0)==2?f[Fa+8>>2]|0:535416;Fa=b[Pa+11>>0]|0;if(((Fa<<24>>24<0?f[Pa+4>>2]|0:Fa&255)|0)==9)lb=(knc(Pa,0,-1,398871,9)|0)==0;else lb=0;if((b[ua>>0]|0)<0)Emc(f[g>>2]|0);kb=lb}if((b[w>>0]|0)<0)Emc(f[k>>2]|0);if(!kb){Ja=37;break}Pa=f[(f[Ia>>2]|0)+4>>2]|0;f[g>>2]=0;f[z>>2]=0;Fa=Pa+11|0;Qa=b[Fa>>0]|0;Ta=Qa<<24>>24<0?f[Pa+4>>2]|0:Qa&255;if(Ta|0){Qa=YG(g,Ta)|0;Krc(Qa|0,((b[Fa>>0]|0)<0?f[Pa>>2]|0:Pa)|0,Ta|0)|0}Ta=oza(c,g)|0;Pa=f[Ta>>2]|0;ZG(g);Ta=f[(f[Ia>>2]|0)+8>>2]|0;f[g>>2]=0;f[A>>2]=0;Fa=Ta+11|0;Qa=b[Fa>>0]|0;bb=Qa<<24>>24<0?f[Ta+4>>2]|0:Qa&255;if(bb|0){Qa=YG(g,bb)|0;Krc(Qa|0,((b[Fa>>0]|0)<0?f[Ta>>2]|0:Ta)|0,bb|0)|0}bb=oza(c,g)|0;Ta=f[bb>>2]|0;ZG(g);bb=f[(f[Ia>>2]|0)+12>>2]|0;f[g>>2]=0;f[B>>2]=0;Fa=bb+11|0;Qa=b[Fa>>0]|0;mb=Qa<<24>>24<0?f[bb+4>>2]|0:Qa&255;if(mb|0){Qa=YG(g,mb)|0;Krc(Qa|0,((b[Fa>>0]|0)<0?f[bb>>2]|0:bb)|0,mb|0)|0}mb=oza(c,g)|0;bb=f[mb>>2]|0;ZG(g);mb=f[(f[r>>2]|0)+4+(Pa<<2)>>2]|0;Fa=mb+24|0;v_b(Fa);u_b(Fa);f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;b[C>>0]=5;b[g>>0]=b[506389]|0;b[g+1>>0]=b[506390]|0;b[g+2>>0]=b[506391]|0;b[g+3>>0]=b[506392]|0;b[g+4>>0]=b[506393]|0;b[D>>0]=0;Fa=NDa(MDa(mb+48|0,g)|0)|0;if((b[C>>0]|0)<0)Emc(f[g>>2]|0);mb=Fa+160|0;if((f[mb>>2]|0)!=12){Ja=47;break}Qa=f[(f[r>>2]|0)+4+(Ta<<2)>>2]|0;v_b(Qa+24|0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;b[E>>0]=5;b[h>>0]=b[506389]|0;b[h+1>>0]=b[506390]|0;b[h+2>>0]=b[506391]|0;b[h+3>>0]=b[506392]|0;b[h+4>>0]=b[506393]|0;b[F>>0]=0;Ta=SCa(Qa+48|0,h)|0;Glb(g,(f[Ta+20>>2]|0)==8?f[Ta+8>>2]|0:528536);if((b[E>>0]|0)<0)Emc(f[h>>2]|0);Ta=f[(f[r>>2]|0)+4+(bb<<2)>>2]|0;v_b(Ta+24|0);f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;b[G>>0]=5;b[k>>0]=b[506389]|0;b[k+1>>0]=b[506390]|0;b[k+2>>0]=b[506391]|0;b[k+3>>0]=b[506392]|0;b[k+4>>0]=b[506393]|0;b[H>>0]=0;bb=SCa(Ta+48|0,k)|0;Glb(h,(f[bb+20>>2]|0)==8?f[bb+8>>2]|0:528536);if((b[G>>0]|0)<0)Emc(f[k>>2]|0);bb=f[I>>2]|0;if((bb|0)<3)nb=Y(f[K>>2]|0,f[J>>2]|0)|0;else{Ta=f[pa>>2]|0;Qa=0;ob=1;while(1){pb=Y(f[Ta+(Qa<<2)>>2]|0,ob)|0;Qa=Qa+1|0;if((Qa|0)==(bb|0)){nb=pb;break}else ob=pb}}if((nb|0)!=1){Ja=57;break}if((f[g>>2]&4095|0)!=5){Ja=59;break}ob=f[L>>2]|0;if((ob|0)<3)qb=Y(f[N>>2]|0,f[M>>2]|0)|0;else{bb=f[la>>2]|0;Qa=0;Ta=1;while(1){Ia=Y(f[bb+(Qa<<2)>>2]|0,Ta)|0;Qa=Qa+1|0;if((Qa|0)==(ob|0)){qb=Ia;break}else Ta=Ia}}if((qb|0)!=1){Ja=65;break}if((f[h>>2]&4095|0)!=5){Ja=67;break}Glb(k,Fa);rb=+n[f[O>>2]>>2];sb=(+n[f[P>>2]>>2]-rb)/255.0;if(!(sb>=0.0)){Ja=69;break}Ta=Q;f[Ta>>2]=0;f[Ta+4>>2]=0;f[l>>2]=33619968;f[R>>2]=k;IO(k,l,5,sb,sb*+(U9b(rb/sb)|0));f[mb>>2]=1;Ta=f[S>>2]|0;ob=f[T>>2]|0;if((ob|0)<3)tb=Y(f[V>>2]|0,f[U>>2]|0)|0;else{Qa=f[ha>>2]|0;bb=0;Ia=1;while(1){Ea=Y(f[Qa+(bb<<2)>>2]|0,Ia)|0;bb=bb+1|0;if((bb|0)==(ob|0)){tb=Ea;break}else Ia=Ea}}ODa(Fa,Ta,Y(1212424721>>>(f[k>>2]<<2&28)&15,tb)|0);Ia=f[(f[r>>2]|0)+4+(Pa<<2)>>2]|0;ob=f[i>>2]|0;bb=f[a>>2]|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;if(bb>>>0>4294967279){Ja=75;break}if(bb>>>0<11){b[W>>0]=bb;if(!bb)ub=l;else{vb=l;Ja=79}}else{Qa=bb+16&-16;mb=Bmc(Qa)|0;f[l>>2]=mb;f[sa>>2]=Qa|-2147483648;f[ta>>2]=bb;vb=mb;Ja=79}if((Ja|0)==79){Ja=0;Krc(vb|0,ob|0,bb|0)|0;ub=vb}b[ub+bb>>0]=0;bb=Ia+60|0;ob=f[Ia+4>>2]|0;Ia=ob&-2;if(!(ob&1))wb=Ia;else wb=f[Ia+4>>2]|0;Ia=f[bb>>2]|0;if((Ia|0)==535416)PDa(bb,wb,l);else Qmc(Ia,l)|0;if((b[W>>0]|0)<0)Emc(f[l>>2]|0);Ia=f[i>>2]|0;f[o>>2]=Ia;bb=f[a>>2]|0;f[X>>2]=bb;do if(!Ia){f[m>>2]=0;f[Z>>2]=bb;xb=bb;Ja=91}else{ob=Ia+-4|0;f[ob>>2]=(f[ob>>2]|0)+1;ob=f[o>>2]|0;mb=f[X>>2]|0;f[m>>2]=ob;f[Z>>2]=mb;if(!ob){xb=mb;Ja=91;break}mb=ob+-4|0;f[mb>>2]=(f[mb>>2]|0)+1;mb=f[m>>2]|0;ob=f[Z>>2]|0;f[_>>2]=Pa;f[l>>2]=mb;f[$>>2]=ob;if(!mb){yb=Pa;break}ob=mb+-4|0;f[ob>>2]=(f[ob>>2]|0)+1;yb=f[_>>2]|0}while(0);if((Ja|0)==91){Ja=0;f[_>>2]=Pa;f[l>>2]=0;f[$>>2]=xb;yb=Pa}f[aa>>2]=yb;Ia=f[v>>2]|0;g:do if(!Ia){zb=v;Ab=v}else{bb=f[l>>2]|0;Ta=(bb|0)==0?1163146:bb;Fa=f[Ia+16>>2]|0;h:do if((bb|0)!=(Fa|0)){ob=ba;mb=Ia;Qa=Fa;while(1){Ea=(Qa|0)==0?1163146:Qa;if((o7b(Ta,Ea)|0)<0){pb=f[mb>>2]|0;if(!pb){Ja=99;break}else{Bb=mb;Cb=pb}}else{if((o7b(Ea,Ta)|0)>=0){Db=ob;Eb=mb;break h}Fb=mb+4|0;Ea=f[Fb>>2]|0;if(!Ea){Ja=102;break}else{Bb=Fb;Cb=Ea}}Qa=f[Cb+16>>2]|0;if((bb|0)==(Qa|0)){Db=Bb;Eb=Cb;break h}else{ob=Bb;mb=Cb}}if((Ja|0)==99){Ja=0;zb=mb;Ab=mb;break g}else if((Ja|0)==102){Ja=0;zb=Fb;Ab=mb;break g}}else{Db=ba;Eb=Ia}while(0);zb=Db;Ab=Eb}while(0);if(f[zb>>2]|0){Ja=110;break}Ia=Bmc(28)|0;Pa=f[l>>2]|0;f[Ia+16>>2]=Pa;f[Ia+20>>2]=f[$>>2];if(!Pa)Gb=yb;else{bb=Pa+-4|0;f[bb>>2]=(f[bb>>2]|0)+1;Gb=f[aa>>2]|0}f[Ia+24>>2]=Gb;f[Ia>>2]=0;f[Ia+4>>2]=0;f[Ia+8>>2]=Ab;f[zb>>2]=Ia;bb=f[f[c>>2]>>2]|0;if(!bb)Hb=Ia;else{f[c>>2]=bb;Hb=f[zb>>2]|0}RS(f[ba>>2]|0,Hb);f[ca>>2]=(f[ca>>2]|0)+1;ZG(l);ZG(m);ZG(o);bb=f[da>>2]|0;i:do if(!bb){Ib=da;Jb=da}else{Ia=f[i>>2]|0;Pa=(Ia|0)==0?1163146:Ia;Ta=f[bb+16>>2]|0;j:do if((Ia|0)!=(Ta|0)){Fa=ea;Ga=bb;Ha=Ta;while(1){ob=(Ha|0)==0?1163146:Ha;if((o7b(Pa,ob)|0)<0){Qa=f[Ga>>2]|0;if(!Qa){Ja=115;break}else{Kb=Ga;Lb=Qa}}else{if((o7b(ob,Pa)|0)>=0){Mb=Fa;Nb=Ga;break j}Ob=Ga+4|0;ob=f[Ob>>2]|0;if(!ob){Ja=118;break}else{Kb=Ob;Lb=ob}}Ha=f[Lb+16>>2]|0;if((Ia|0)==(Ha|0)){Mb=Kb;Nb=Lb;break j}else{Fa=Kb;Ga=Lb}}if((Ja|0)==115){Ja=0;Ib=Ga;Jb=Ga;break i}else if((Ja|0)==118){Ja=0;Ib=Ob;Jb=Ga;break i}}else{Mb=ea;Nb=bb}while(0);Ib=Mb;Jb=Nb}while(0);if(!(f[Ib>>2]|0)){bb=Bmc(24)|0;Ia=f[i>>2]|0;f[bb+16>>2]=Ia;f[bb+20>>2]=f[a>>2];if(Ia|0){Pa=Ia+-4|0;f[Pa>>2]=(f[Pa>>2]|0)+1}f[bb>>2]=0;f[bb+4>>2]=0;f[bb+8>>2]=Jb;f[Ib>>2]=bb;Pa=f[f[d>>2]>>2]|0;if(!Pa)Pb=bb;else{f[d>>2]=Pa;Pb=f[Ib>>2]|0}RS(f[ea>>2]|0,Pb);f[fa>>2]=(f[fa>>2]|0)+1}Pa=f[ga>>2]|0;do if(Pa|0){bb=Pa+12|0;Ia=f[bb>>2]|0;f[bb>>2]=Ia+-1;if((Ia|0)!=1)break;lP(k)}while(0);f[ga>>2]=0;f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;if((f[T>>2]|0)>0){Pa=f[ha>>2]|0;Ia=0;do{f[Pa+(Ia<<2)>>2]=0;Ia=Ia+1|0}while((Ia|0)<(f[T>>2]|0))}Ia=f[ia>>2]|0;if((Ia|0)!=(ja|0))tE(Ia);Ia=f[ka>>2]|0;do if(Ia|0){Pa=Ia+12|0;bb=f[Pa>>2]|0;f[Pa>>2]=bb+-1;if((bb|0)!=1)break;lP(h)}while(0);f[ka>>2]=0;f[P>>2]=0;f[P+4>>2]=0;f[P+8>>2]=0;f[P+12>>2]=0;if((f[L>>2]|0)>0){Ia=f[la>>2]|0;bb=0;do{f[Ia+(bb<<2)>>2]=0;bb=bb+1|0}while((bb|0)<(f[L>>2]|0))}bb=f[ma>>2]|0;if((bb|0)!=(na|0))tE(bb);bb=f[oa>>2]|0;do if(bb|0){Ia=bb+12|0;Pa=f[Ia>>2]|0;f[Ia>>2]=Pa+-1;if((Pa|0)!=1)break;lP(g)}while(0);f[oa>>2]=0;f[O>>2]=0;f[O+4>>2]=0;f[O+8>>2]=0;f[O+12>>2]=0;if((f[I>>2]|0)>0){bb=f[pa>>2]|0;Pa=0;do{f[bb+(Pa<<2)>>2]=0;Pa=Pa+1|0}while((Pa|0)<(f[I>>2]|0))}Pa=f[qa>>2]|0;if((Pa|0)!=(ra|0))tE(Pa)}ZG(j);ZG(i);Da=Da+1|0;if((Da|0)>=(f[q>>2]|0)){Ja=3;break}}switch(Ja|0){case 3:{u=e;return}case 11:{f[g>>2]=0;f[g+4>>2]=0;Qb=YG(g,23)|0;Rb=396066;Sb=Qb+23|0;do{b[Qb>>0]=b[Rb>>0]|0;Qb=Qb+1|0;Rb=Rb+1|0}while((Qb|0)<(Sb|0));SQ(-215,g,398801,395938,573);break}case 28:{f[g>>2]=0;f[g+4>>2]=0;Qb=YG(g,55)|0;Rb=398815;Sb=Qb+55|0;do{b[Qb>>0]=b[Rb>>0]|0;Qb=Qb+1|0;Rb=Rb+1|0}while((Qb|0)<(Sb|0));SQ(-215,g,398801,395938,575);break}case 37:{f[g>>2]=0;f[g+4>>2]=0;Qb=YG(g,77)|0;Rb=398881;Sb=Qb+77|0;do{b[Qb>>0]=b[Rb>>0]|0;Qb=Qb+1|0;Rb=Rb+1|0}while((Qb|0)<(Sb|0));SQ(-215,g,398801,395938,577);break}case 47:{f[g>>2]=0;f[g+4>>2]=0;Qb=YG(g,40)|0;Rb=398959;Sb=Qb+40|0;do{b[Qb>>0]=b[Rb>>0]|0;Qb=Qb+1|0;Rb=Rb+1|0}while((Qb|0)<(Sb|0));SQ(-215,g,398801,395938,586);break}case 57:{f[k>>2]=0;f[k+4>>2]=0;Qb=YG(k,17)|0;Rb=399e3;Sb=Qb+17|0;do{b[Qb>>0]=b[Rb>>0]|0;Qb=Qb+1|0;Rb=Rb+1|0}while((Qb|0)<(Sb|0));SQ(-215,k,398801,395938,591);break}case 59:{f[k>>2]=0;f[k+4>>2]=0;Qb=YG(k,56)|0;Rb=399018;Sb=Qb+56|0;do{b[Qb>>0]=b[Rb>>0]|0;Qb=Qb+1|0;Rb=Rb+1|0}while((Qb|0)<(Sb|0));SQ(-215,k,398801,395938,591);break}case 65:{f[k>>2]=0;f[k+4>>2]=0;Qb=YG(k,17)|0;Rb=399075;Sb=Qb+17|0;do{b[Qb>>0]=b[Rb>>0]|0;Qb=Qb+1|0;Rb=Rb+1|0}while((Qb|0)<(Sb|0));SQ(-215,k,398801,395938,591);break}case 67:{f[k>>2]=0;f[k+4>>2]=0;Qb=YG(k,56)|0;Rb=399093;Sb=Qb+56|0;do{b[Qb>>0]=b[Rb>>0]|0;Qb=Qb+1|0;Rb=Rb+1|0}while((Qb|0)<(Sb|0));SQ(-215,k,398801,395938,591);break}case 69:{f[l>>2]=0;f[l+4>>2]=0;Qb=YG(l,15)|0;Rb=399150;Sb=Qb+15|0;do{b[Qb>>0]=b[Rb>>0]|0;Qb=Qb+1|0;Rb=Rb+1|0}while((Qb|0)<(Sb|0));SQ(-215,l,398801,395938,597);break}case 75:{Lmc(l);break}case 110:{ZG(l);ZG(m);ZG(o);f[l>>2]=0;f[l+4>>2]=0;Qb=YG(l,58)|0;Rb=399166;Sb=Qb+58|0;do{b[Qb>>0]=b[Rb>>0]|0;Qb=Qb+1|0;Rb=Rb+1|0}while((Qb|0)<(Sb|0));SQ(-215,l,398801,395938,605);break}case 178:{ZG(g);ZG(h);ZG(p);f[g>>2]=0;f[g+4>>2]=0;Qb=YG(g,52)|0;Rb=399225;Sb=Qb+52|0;do{b[Qb>>0]=b[Rb>>0]|0;Qb=Qb+1|0;Rb=Rb+1|0}while((Qb|0)<(Sb|0));SQ(-215,g,398801,395938,614);break}}}function FCa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;g=u;u=u+64|0;h=g+48|0;i=g+32|0;j=g;k=g+16|0;f[a>>2]=0;l=a+4|0;f[l>>2]=0;f[a+8>>2]=0;m=c+12|0;n=f[m>>2]|0;if((n|0)<=0){u=g;return}o=c+20|0;c=h+4|0;p=i+11|0;q=i+4|0;r=e+4|0;s=j+12|0;t=i+4|0;v=j+11|0;w=j+4|0;x=i+8|0;y=a+8|0;z=k+11|0;A=i+4|0;B=0;C=n;while(1){n=f[(f[o>>2]|0)+4+(B<<2)>>2]|0;D=n+12|0;if((f[D>>2]|0)>0){E=n+20|0;F=n+60|0;G=n+64|0;n=0;do{NCa(i,f[(f[E>>2]|0)+4+(n<<2)>>2]|0);f[h>>2]=0;f[c>>2]=0;H=b[p>>0]|0;I=H<<24>>24<0?f[q>>2]|0:H&255;if(!I)J=H;else{H=YG(h,I)|0;Krc(H|0,((b[p>>0]|0)<0?f[i>>2]|0:i)|0,I|0)|0;J=b[p>>0]|0}if(J<<24>>24<0)Emc(f[i>>2]|0);if(!(f[r>>2]|0))K=1;else{I=f[G>>2]|0;f[i>>2]=0;f[A>>2]=0;H=I+11|0;L=b[H>>0]|0;M=L<<24>>24<0?f[I+4>>2]|0:L&255;if(!M)N=0;else{L=YG(i,M)|0;Krc(L|0,((b[H>>0]|0)<0?f[I>>2]|0:I)|0,M|0)|0;N=f[i>>2]|0}M=f[e>>2]|0;if((M|0)==(N|0))O=1;else O=(o7b((M|0)==0?1163146:M,(N|0)==0?1163146:N)|0)==0;ZG(i);K=O}M=f[h>>2]|0;I=f[d>>2]|0;if((M|0)==(I|0))P=1;else P=(o7b((M|0)==0?1163146:M,(I|0)==0?1163146:I)|0)==0;if(K&P){Nmc(k,f[F>>2]|0);Nmc(j,k);f[s>>2]=B;f[i>>2]=0;f[t>>2]=0;I=b[v>>0]|0;M=I<<24>>24<0?f[w>>2]|0:I&255;if(!M)Q=B;else{I=YG(i,M)|0;Krc(I|0,((b[v>>0]|0)<0?f[j>>2]|0:j)|0,M|0)|0;Q=f[s>>2]|0}f[x>>2]=Q;M=f[l>>2]|0;if((M|0)==(f[y>>2]|0))LDa(a,i);else{I=f[i>>2]|0;f[M>>2]=I;f[M+4>>2]=f[t>>2];if(!I){R=Q;S=M}else{H=I+-4|0;f[H>>2]=(f[H>>2]|0)+1;R=f[x>>2]|0;S=f[l>>2]|0}f[M+8>>2]=R;f[l>>2]=S+12}ZG(i);if((b[v>>0]|0)<0)Emc(f[j>>2]|0);if((b[z>>0]|0)<0)Emc(f[k>>2]|0)}ZG(h);n=n+1|0}while((n|0)<(f[D>>2]|0));T=f[m>>2]|0}else T=C;B=B+1|0;if((B|0)>=(T|0))break;else C=T}u=g;return}function GCa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;d=(c-b|0)/12|0;e=a+8|0;g=f[e>>2]|0;h=f[a>>2]|0;i=h;if(d>>>0>((g-h|0)/12|0)>>>0){if(!h)j=g;else{g=a+4|0;while(1){k=f[g>>2]|0;if((k|0)==(i|0))break;l=k+-12|0;f[g>>2]=l;ZG(l)}Emc(f[a>>2]|0);f[e>>2]=0;f[g>>2]=0;f[a>>2]=0;j=0}if(d>>>0>357913941)Ukc(a);g=(j|0)/12|0;j=g<<1;l=g>>>0<178956970?(j>>>0<d>>>0?d:j):357913941;if(l>>>0>357913941)Ukc(a);j=Bmc(l*12|0)|0;g=a+4|0;f[g>>2]=j;f[a>>2]=j;f[e>>2]=j+(l*12|0);if((b|0)==(c|0))return;l=b;e=j;do{j=f[l>>2]|0;f[e>>2]=j;f[e+4>>2]=f[l+4>>2];if(j|0){k=j+-4|0;f[k>>2]=(f[k>>2]|0)+1}f[e+8>>2]=f[l+8>>2];l=l+12|0;e=(f[g>>2]|0)+12|0;f[g>>2]=e}while((l|0)!=(c|0));return}l=a+4|0;a=((f[l>>2]|0)-h|0)/12|0;h=d>>>0>a>>>0;d=b+(a*12|0)|0;a=h?d:c;if((a|0)==(b|0))m=i;else{e=b;b=i;while(1){if((e|0)!=(b|0)){ZG(b);i=f[e>>2]|0;if(!i)n=0;else{g=i+-4|0;f[g>>2]=(f[g>>2]|0)+1;n=f[e>>2]|0}f[b>>2]=n;f[b+4>>2]=f[e+4>>2]}f[b+8>>2]=f[e+8>>2];e=e+12|0;g=b+12|0;if((e|0)==(a|0)){m=g;break}else b=g}}if(!h){while(1){h=f[l>>2]|0;if((h|0)==(m|0))break;b=h+-12|0;f[l>>2]=b;ZG(b)}return}if((a|0)==(c|0))return;a=d;d=f[l>>2]|0;do{m=f[a>>2]|0;f[d>>2]=m;f[d+4>>2]=f[a+4>>2];if(m|0){b=m+-4|0;f[b>>2]=(f[b>>2]|0)+1}f[d+8>>2]=f[a+8>>2];a=a+12|0;d=(f[l>>2]|0)+12|0;f[l>>2]=d}while((a|0)!=(c|0));return}function HCa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;g=a+4|0;h=f[b>>2]|0;b=h;do if((h|0)!=(g|0)){i=f[e>>2]|0;j=f[h+16>>2]|0;if((i|0)!=(j|0)){if((o7b((i|0)==0?1163146:i,(j|0)==0?1163146:j)|0)<0)break;k=(i|0)==0?1163146:i;if((o7b((j|0)==0?1163146:j,k)|0)<0){j=h+4|0;l=f[j>>2]|0;if(!l){m=h+8|0;n=f[m>>2]|0;if((f[n>>2]|0)==(h|0))o=n;else{n=m;do{m=f[n>>2]|0;n=m+8|0;p=f[n>>2]|0}while((f[p>>2]|0)!=(m|0));o=p}}else{n=l;while(1){p=f[n>>2]|0;if(!p)break;else n=p}o=n}do if((o|0)!=(g|0)){l=f[o+16>>2]|0;if((i|0)!=(l|0)?(o7b(k,(l|0)==0?1163146:l)|0)<0:0)break;l=f[g>>2]|0;if(!l){f[c>>2]=g;q=g;return q|0}p=a+4|0;m=f[l+16>>2]|0;a:do if((i|0)!=(m|0)){r=p;s=l;t=m;while(1){u=(t|0)==0?1163146:t;if((o7b(k,u)|0)<0){v=f[s>>2]|0;if(!v){w=41;break}else{x=s;y=v}}else{if((o7b(u,k)|0)>=0){z=r;A=s;break a}B=s+4|0;u=f[B>>2]|0;if(!u){w=44;break}else{x=B;y=u}}t=f[y+16>>2]|0;if((i|0)==(t|0)){z=x;A=y;break a}else{r=x;s=y}}if((w|0)==41){f[c>>2]=s;q=s;return q|0}else if((w|0)==44){f[c>>2]=s;q=B;return q|0}}else{z=p;A=l}while(0);f[c>>2]=A;q=z;return q|0}while(0);if(!(f[h+4>>2]|0)){f[c>>2]=b;q=j;return q|0}else{f[c>>2]=o;q=o;return q|0}}}f[c>>2]=b;f[d>>2]=b;q=d;return q|0}while(0);d=f[h>>2]|0;do if((h|0)==(f[a>>2]|0))C=b;else{if(!d){o=h;while(1){z=f[o+8>>2]|0;if((f[z>>2]|0)==(o|0))o=z;else{D=z;break}}}else{o=d;while(1){j=f[o+4>>2]|0;if(!j){D=o;break}else o=j}}o=f[D+16>>2]|0;j=f[e>>2]|0;if((o|0)!=(j|0)?(o7b((o|0)==0?1163146:o,(j|0)==0?1163146:j)|0)<0:0){C=D;break}o=f[g>>2]|0;if(!o){f[c>>2]=g;q=g;return q|0}z=a+4|0;A=(j|0)==0?1163146:j;B=f[o+16>>2]|0;b:do if((j|0)!=(B|0)){y=z;x=o;i=B;while(1){k=(i|0)==0?1163146:i;if((o7b(A,k)|0)<0){n=f[x>>2]|0;if(!n){w=18;break}else{E=x;F=n}}else{if((o7b(k,A)|0)>=0){G=y;H=x;break b}I=x+4|0;k=f[I>>2]|0;if(!k){w=21;break}else{E=I;F=k}}i=f[F+16>>2]|0;if((j|0)==(i|0)){G=E;H=F;break b}else{y=E;x=F}}if((w|0)==18){f[c>>2]=x;q=x;return q|0}else if((w|0)==21){f[c>>2]=x;q=I;return q|0}}else{G=z;H=o}while(0);f[c>>2]=H;q=G;return q|0}while(0);if(!d){f[c>>2]=h;q=h;return q|0}else{h=C;f[c>>2]=h;q=h+4|0;return q|0}return 0}function ICa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;h=u;u=u+80|0;i=h+64|0;j=h+48|0;k=h+36|0;l=h+24|0;m=h+12|0;n=h;if((e|0)==-1){o=c+12|0;if((f[o>>2]|0)<=0){f[i>>2]=0;p=i+4|0;f[p>>2]=0;q=YG(i,38)|0;r=q;s=398593;t=r+38|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-2,i,398580,395938,528)}v=c+20|0;w=j+4|0;x=i+11|0;y=i+4|0;z=d+4|0;A=0;B=-1;while(1){NCa(i,f[(f[v>>2]|0)+4+(A<<2)>>2]|0);f[j>>2]=0;f[w>>2]=0;C=b[x>>0]|0;D=C<<24>>24<0?f[y>>2]|0:C&255;if(D|0){C=YG(j,D)|0;Krc(C|0,((b[x>>0]|0)<0?f[i>>2]|0:i)|0,D|0)|0}D=f[z>>2]|0;if(D){C=f[j>>2]|0;E=(C|0)==0?1163146:C;F=z;G=D;a:while(1){D=G;while(1){H=f[D+16>>2]|0;if((H|0)==(C|0))break;if((o7b((H|0)==0?1163146:H,E)|0)>=0)break;H=f[D+4>>2]|0;if(!H){I=F;break a}else D=H}G=f[D>>2]|0;if(!G){I=D;break}else F=D}if((I|0)!=(z|0)){F=f[I+16>>2]|0;if((C|0)!=(F|0)?(o7b(E,(F|0)==0?1163146:F)|0)<0:0)J=16;else K=I}else J=16}else J=16;if((J|0)==16){J=0;K=z}ZG(j);if((K|0)!=(z|0))if((B|0)==-1)L=A;else{J=19;break}else L=B;if((b[x>>0]|0)<0)Emc(f[i>>2]|0);A=A+1|0;if((A|0)>=(f[o>>2]|0))break;else B=L}if((J|0)==19){f[j>>2]=0;f[j+4>>2]=0;r=YG(j,31)|0;s=398548;t=r+31|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-2,j,398580,395938,520)}if((L|0)==-1){f[i>>2]=0;p=i+4|0;f[p>>2]=0;q=YG(i,38)|0;r=q;s=398593;t=r+38|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-2,i,398580,395938,528)}else M=L}else M=e;e=c+20|0;NCa(i,f[(f[e>>2]|0)+4+(M<<2)>>2]|0);f[j>>2]=0;f[j+4>>2]=0;L=i+11|0;q=b[L>>0]|0;p=i+4|0;B=q<<24>>24<0?f[p>>2]|0:q&255;if(B|0){q=YG(j,B)|0;Krc(q|0,((b[L>>0]|0)<0?f[i>>2]|0:i)|0,B|0)|0}B=d+4|0;q=f[B>>2]|0;if(q){o=f[j>>2]|0;A=(o|0)==0?1163146:o;x=B;z=q;b:while(1){q=z;while(1){K=f[q+16>>2]|0;if((K|0)==(o|0))break;if((o7b((K|0)==0?1163146:K,A)|0)>=0)break;K=f[q+4>>2]|0;if(!K){N=x;break b}else q=K}z=f[q>>2]|0;if(!z){N=q;break}else x=q}if((N|0)!=(B|0)){x=f[N+16>>2]|0;if((o|0)!=(x|0)?(o7b(A,(x|0)==0?1163146:x)|0)<0:0)J=37;else O=N}else J=37}else J=37;if((J|0)==37)O=B;ZG(j);if((O|0)==(B|0)){bza(n,398632,f[(f[e>>2]|0)+4+(M<<2)>>2]|0);pza(m,n,398640);JDa(l,m,f[c+60>>2]|0);pza(k,l,398653);f[j>>2]=0;f[j+4>>2]=0;l=k+11|0;c=b[l>>0]|0;m=c<<24>>24<0?f[k+4>>2]|0:c&255;if(!m)SQ(-2,j,398580,395938,533);c=YG(j,m)|0;Krc(c|0,((b[l>>0]|0)<0?f[k>>2]|0:k)|0,m|0)|0;SQ(-2,j,398580,395938,533)}if(f[i+12>>2]|0){f[j>>2]=0;f[j+4>>2]=0;r=YG(j,24)|0;s=398665;t=r+24|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-2,j,398580,395938,535)}if(g|0)f[g>>2]=M;f[j>>2]=0;f[j+4>>2]=0;M=b[L>>0]|0;g=M<<24>>24<0?f[p>>2]|0:M&255;if(g|0){M=YG(j,g)|0;Krc(M|0,((b[L>>0]|0)<0?f[i>>2]|0:i)|0,g|0)|0}g=KDa(d,j)|0;d=f[g>>2]|0;ZG(j);c:do if((d|0)<(f[a+12>>2]|0)?(g=f[(f[a+20>>2]|0)+4+(d<<2)>>2]|0,M=f[g+60>>2]|0,m=b[M+11>>0]|0,k=m<<24>>24<0,l=m&255,m=k?f[M+4>>2]|0:l,c=b[L>>0]|0,n=c<<24>>24<0,(m|0)==((n?f[p>>2]|0:c&255)|0)):0){c=f[M>>2]|0;e=k?c:M;B=n?f[i>>2]|0:i;n=(m|0)==0;d:do if(k){if(!n?gac(e,B,m)|0:0){J=60;break c}}else if(!n){if((c&255)<<24>>24==(b[B>>0]|0)){P=M;Q=l;R=B}else{J=60;break c}while(1){Q=Q+-1|0;P=P+1|0;if(!Q)break d;R=R+1|0;if((b[P>>0]|0)!=(b[R>>0]|0)){J=60;break c}}}while(0);v_b(g+24|0);f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;B=j+11|0;b[B>>0]=5;b[j>>0]=b[506389]|0;b[j+1>>0]=b[506390]|0;b[j+2>>0]=b[506391]|0;b[j+3>>0]=b[506392]|0;b[j+4>>0]=b[506393]|0;b[j+5>>0]=0;l=SCa(g+48|0,j)|0;M=(f[l+20>>2]|0)==8?f[l+8>>2]|0:528536;if((b[B>>0]|0)<0)Emc(f[j>>2]|0);S=M}else J=60;while(0);if((J|0)==60){if((d|0)>=(f[a+52>>2]|0)){f[j>>2]=0;f[j+4>>2]=0;r=YG(j,28)|0;s=398690;t=r+28|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,j,398580,395938,549)}J=f[(f[a+60>>2]|0)+4+(d<<2)>>2]|0;d=f[J+60>>2]|0;a=b[d+11>>0]|0;R=a<<24>>24<0;P=a&255;a=R?f[d+4>>2]|0:P;Q=b[L>>0]|0;M=Q<<24>>24<0;if((a|0)!=((M?f[p>>2]|0:Q&255)|0)){f[j>>2]=0;T=j+4|0;f[T>>2]=0;U=YG(j,46)|0;r=U;s=398719;t=r+46|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,j,398580,395938,549)}Q=f[d>>2]|0;p=R?Q:d;B=M?f[i>>2]|0:i;M=(a|0)==0;e:do if(R){if(!M?gac(p,B,a)|0:0){f[j>>2]=0;T=j+4|0;f[T>>2]=0;U=YG(j,46)|0;r=U;s=398719;t=r+46|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,j,398580,395938,549)}}else if(!M){if((Q&255)<<24>>24==(b[B>>0]|0)){V=d;W=P;X=B}else{f[j>>2]=0;T=j+4|0;f[T>>2]=0;U=YG(j,46)|0;r=U;s=398719;t=r+46|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,j,398580,395938,549)}do{W=W+-1|0;V=V+1|0;if(!W)break e;X=X+1|0}while((b[V>>0]|0)==(b[X>>0]|0));f[j>>2]=0;T=j+4|0;f[T>>2]=0;U=YG(j,46)|0;r=U;s=398719;t=r+46|0;do{b[r>>0]=b[s>>0]|0;r=r+1|0;s=s+1|0}while((r|0)<(t|0));SQ(-215,j,398580,395938,549)}while(0);v_b(J+24|0);f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;s=j+11|0;b[s>>0]=5;b[j>>0]=b[506389]|0;b[j+1>>0]=b[506390]|0;b[j+2>>0]=b[506391]|0;b[j+3>>0]=b[506392]|0;b[j+4>>0]=b[506393]|0;b[j+5>>0]=0;r=SCa(J+48|0,j)|0;J=(f[r+20>>2]|0)==8?f[r+8>>2]|0:528536;if((b[s>>0]|0)<0)Emc(f[j>>2]|0);S=J}if((b[L>>0]|0)>=0){u=h;return S|0}Emc(f[i>>2]|0);u=h;return S|0}function JCa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+16|0;e=d;g=f[c>>2]|0;h=c+4|0;i=f[h>>2]|0;j=g;if((i|0)==(g|0))k=i;else{l=i+(~((i+-4-j|0)>>>2)<<2)|0;f[h>>2]=l;k=l}l=k;if((a|0)==528536){f[e>>2]=0;m=e+4|0;f[m>>2]=0;n=YG(e,29)|0;o=n;p=398498;q=o+29|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-2,e,398528,395938,91)}i=f[a+156>>2]|0;if(!i){f[e>>2]=0;m=e+4|0;f[m>>2]=0;n=YG(e,29)|0;o=n;p=398498;q=o+29|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-2,e,398528,395938,91)}p=f[i+12>>2]|0;if(!p){f[e>>2]=1;switch(l-j>>2|0){case 0:{cs(c,1,e);break}case 1:break;default:{e=g+4|0;if((k|0)!=(e|0))f[h>>2]=k+(~((k+-4-e|0)>>>2)<<2)}}u=d;return}e=l-j>>2;if(p>>>0<=e>>>0){if(p>>>0<e>>>0?(j=g+(p<<2)|0,(k|0)!=(j|0)):0)f[h>>2]=k+(~((k+-4-j|0)>>>2)<<2)}else $C(c,p-e|0);if((p|0)<=0){u=d;return}e=f[i+20>>2]|0;i=f[c>>2]|0;c=0;do{f[i+(c<<2)>>2]=f[(f[e+4+(c<<2)>>2]|0)+16>>2];c=c+1|0}while((c|0)!=(p|0));u=d;return}function KCa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=u;u=u+48|0;e=d+32|0;g=d+8|0;h=d+24|0;i=d;j=a+4|0;k=f[j>>2]|0;do if(k){l=f[b>>2]|0;m=(l|0)==0?1163146:l;n=l;o=j;p=k;a:while(1){q=p;while(1){r=f[q+16>>2]|0;if((r|0)==(l|0))break;if((o7b((r|0)==0?1163146:r,m)|0)>=0)break;r=f[q+4>>2]|0;if(!r){s=o;break a}else q=r}p=f[q>>2]|0;if(!p){s=q;break}else o=q}if((s|0)==(j|0))t=n;else{o=f[s+16>>2]|0;if((l|0)!=(o|0)?(o7b(m,(o|0)==0?1163146:o)|0)<=-1:0){t=n;break}o=f[c>>2]|0;f[e>>2]=0;p=Bmc(16)|0;r=p+8|0;f[p>>2]=r;f[p+4>>2]=1;f[e+4>>2]=p;p=r;f[p>>2]=o;f[p+4>>2]=((o|0)<0)<<31>>31;kDa(s+24|0,e)|0;rza(e);u=d;return c|0}}else t=f[b>>2]|0;while(0);f[h>>2]=t;s=h+4|0;f[s>>2]=f[b+4>>2];if(t|0){b=t+-4|0;f[b>>2]=(f[b>>2]|0)+1}b=f[c>>2]|0;f[i>>2]=0;t=Bmc(16)|0;k=t+8|0;f[t>>2]=k;f[t+4>>2]=1;f[i+4>>2]=t;t=k;f[t>>2]=b;f[t+4>>2]=((b|0)<0)<<31>>31;b=f[h>>2]|0;f[g>>2]=b;t=g+4|0;f[t>>2]=f[s>>2];if(b|0){s=b+-4|0;f[s>>2]=(f[s>>2]|0)+1}s=g+8|0;tza(s,i);b=f[g>>2]|0;f[e>>2]=b;k=e+4|0;f[k>>2]=f[t>>2];if(b|0){t=b+-4|0;f[t>>2]=(f[t>>2]|0)+1}t=e+8|0;tza(t,s);b=f[j>>2]|0;b:do if(!b){v=j;w=j}else{o=a+4|0;p=f[e>>2]|0;r=(p|0)==0?1163146:p;x=f[b+16>>2]|0;c:do if((p|0)!=(x|0)){y=o;z=b;A=x;while(1){B=(A|0)==0?1163146:A;if((o7b(r,B)|0)<0){C=f[z>>2]|0;if(!C){D=24;break}else{E=z;F=C}}else{if((o7b(B,r)|0)>=0){G=y;H=z;break c}I=z+4|0;B=f[I>>2]|0;if(!B){D=27;break}else{E=I;F=B}}A=f[F+16>>2]|0;if((p|0)==(A|0)){G=E;H=F;break c}else{y=E;z=F}}if((D|0)==24){v=z;w=z;break b}else if((D|0)==27){v=I;w=z;break b}}else{G=o;H=b}while(0);v=G;w=H}while(0);if(!(f[v>>2]|0)){H=Bmc(32)|0;G=f[e>>2]|0;f[H+16>>2]=G;f[H+20>>2]=f[k>>2];if(G|0){k=G+-4|0;f[k>>2]=(f[k>>2]|0)+1}tza(H+24|0,t);f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=w;f[v>>2]=H;w=f[f[a>>2]>>2]|0;if(!w)J=H;else{f[a>>2]=w;J=f[v>>2]|0}RS(f[a+4>>2]|0,J);J=a+8|0;f[J>>2]=(f[J>>2]|0)+1}rza(t);ZG(e);rza(s);ZG(g);rza(i);ZG(h);u=d;return c|0}function LCa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;d=u;u=u+48|0;e=d+32|0;g=d+8|0;h=d+24|0;i=d;j=a+4|0;k=f[j>>2]|0;do if(k){l=f[b>>2]|0;m=(l|0)==0?1163146:l;o=l;q=j;r=k;a:while(1){s=r;while(1){t=f[s+16>>2]|0;if((t|0)==(l|0))break;if((o7b((t|0)==0?1163146:t,m)|0)>=0)break;t=f[s+4>>2]|0;if(!t){v=q;break a}else s=t}r=f[s>>2]|0;if(!r){v=s;break}else q=s}if((v|0)==(j|0))w=o;else{q=f[v+16>>2]|0;if((l|0)!=(q|0)?(o7b(m,(q|0)==0?1163146:q)|0)<=-1:0){w=o;break}x=+n[c>>2];f[e>>2]=2;q=Bmc(16)|0;r=q+8|0;f[q>>2]=r;f[q+4>>2]=1;f[e+4>>2]=q;p[r>>3]=x;kDa(v+24|0,e)|0;rza(e);u=d;return c|0}}else w=f[b>>2]|0;while(0);f[h>>2]=w;v=h+4|0;f[v>>2]=f[b+4>>2];if(w|0){b=w+-4|0;f[b>>2]=(f[b>>2]|0)+1}x=+n[c>>2];f[i>>2]=2;b=Bmc(16)|0;w=b+8|0;f[b>>2]=w;f[b+4>>2]=1;f[i+4>>2]=b;p[w>>3]=x;w=f[h>>2]|0;f[g>>2]=w;b=g+4|0;f[b>>2]=f[v>>2];if(w|0){v=w+-4|0;f[v>>2]=(f[v>>2]|0)+1}v=g+8|0;tza(v,i);w=f[g>>2]|0;f[e>>2]=w;k=e+4|0;f[k>>2]=f[b>>2];if(w|0){b=w+-4|0;f[b>>2]=(f[b>>2]|0)+1}b=e+8|0;tza(b,v);w=f[j>>2]|0;b:do if(!w){y=j;z=j}else{r=a+4|0;q=f[e>>2]|0;t=(q|0)==0?1163146:q;A=f[w+16>>2]|0;c:do if((q|0)!=(A|0)){B=r;C=w;D=A;while(1){E=(D|0)==0?1163146:D;if((o7b(t,E)|0)<0){F=f[C>>2]|0;if(!F){G=24;break}else{H=C;I=F}}else{if((o7b(E,t)|0)>=0){J=B;K=C;break c}L=C+4|0;E=f[L>>2]|0;if(!E){G=27;break}else{H=L;I=E}}D=f[I+16>>2]|0;if((q|0)==(D|0)){J=H;K=I;break c}else{B=H;C=I}}if((G|0)==24){y=C;z=C;break b}else if((G|0)==27){y=L;z=C;break b}}else{J=r;K=w}while(0);y=J;z=K}while(0);if(!(f[y>>2]|0)){K=Bmc(32)|0;J=f[e>>2]|0;f[K+16>>2]=J;f[K+20>>2]=f[k>>2];if(J|0){k=J+-4|0;f[k>>2]=(f[k>>2]|0)+1}tza(K+24|0,b);f[K>>2]=0;f[K+4>>2]=0;f[K+8>>2]=z;f[y>>2]=K;z=f[f[a>>2]>>2]|0;if(!z)M=K;else{f[a>>2]=z;M=f[y>>2]|0}RS(f[a+4>>2]|0,M);M=a+8|0;f[M>>2]=(f[M>>2]|0)+1}rza(b);ZG(e);rza(v);ZG(g);rza(i);ZG(h);u=d;return c|0}function MCa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=u;u=u+48|0;e=d+32|0;g=d+8|0;h=d+24|0;i=d;j=a+4|0;k=f[j>>2]|0;do if(k){l=f[b>>2]|0;m=(l|0)==0?1163146:l;n=l;o=j;p=k;a:while(1){q=p;while(1){r=f[q+16>>2]|0;if((r|0)==(l|0))break;if((o7b((r|0)==0?1163146:r,m)|0)>=0)break;r=f[q+4>>2]|0;if(!r){s=o;break a}else q=r}p=f[q>>2]|0;if(!p){s=q;break}else o=q}if((s|0)==(j|0))t=n;else{o=f[s+16>>2]|0;if((l|0)!=(o|0)?(o7b(m,(o|0)==0?1163146:o)|0)<=-1:0){t=n;break}tza(e,c);kDa(s+24|0,e)|0;rza(e);u=d;return c|0}}else t=f[b>>2]|0;while(0);f[h>>2]=t;s=h+4|0;f[s>>2]=f[b+4>>2];if(t|0){b=t+-4|0;f[b>>2]=(f[b>>2]|0)+1}tza(i,c);b=f[h>>2]|0;f[g>>2]=b;t=g+4|0;f[t>>2]=f[s>>2];if(b|0){s=b+-4|0;f[s>>2]=(f[s>>2]|0)+1}s=g+8|0;tza(s,i);b=f[g>>2]|0;f[e>>2]=b;k=e+4|0;f[k>>2]=f[t>>2];if(b|0){t=b+-4|0;f[t>>2]=(f[t>>2]|0)+1}t=e+8|0;tza(t,s);b=f[j>>2]|0;b:do if(!b){v=j;w=j}else{o=a+4|0;p=f[e>>2]|0;r=(p|0)==0?1163146:p;x=f[b+16>>2]|0;c:do if((p|0)!=(x|0)){y=o;z=b;A=x;while(1){B=(A|0)==0?1163146:A;if((o7b(r,B)|0)<0){C=f[z>>2]|0;if(!C){D=24;break}else{E=z;F=C}}else{if((o7b(B,r)|0)>=0){G=y;H=z;break c}I=z+4|0;B=f[I>>2]|0;if(!B){D=27;break}else{E=I;F=B}}A=f[F+16>>2]|0;if((p|0)==(A|0)){G=E;H=F;break c}else{y=E;z=F}}if((D|0)==24){v=z;w=z;break b}else if((D|0)==27){v=I;w=z;break b}}else{G=o;H=b}while(0);v=G;w=H}while(0);if(!(f[v>>2]|0)){H=Bmc(32)|0;G=f[e>>2]|0;f[H+16>>2]=G;f[H+20>>2]=f[k>>2];if(G|0){k=G+-4|0;f[k>>2]=(f[k>>2]|0)+1}tza(H+24|0,t);f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=w;f[v>>2]=H;w=f[f[a>>2]>>2]|0;if(!w)J=H;else{f[a>>2]=w;J=f[v>>2]|0}RS(f[a+4>>2]|0,J);J=a+8|0;f[J>>2]=(f[J>>2]|0)+1}rza(t);ZG(e);rza(s);ZG(g);rza(i);ZG(h);u=d;return c|0}function NCa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=u;u=u+160|0;e=d+140|0;g=d;Nmc(a,c);h=a+12|0;f[h>>2]=0;i=b[c+11>>0]|0;j=i<<24>>24<0;k=j?f[c>>2]|0:c;l=j?f[c+4>>2]|0:i&255;if(!l){u=d;return}i=k+l|0;l=k;while(1){if((b[l>>0]|0)==58)break;j=l+1|0;if((j|0)==(i|0)){m=11;break}else l=j}if((m|0)==11){u=d;return}m=l-k|0;if((l|0)==(i|0)|(m|0)==-1){u=d;return}Omc(e,c,0,m,c);Qmc(a,e)|0;if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);Omc(e,c,m+1|0,-1,c);c=g+60|0;m=g+8|0;f[g>>2]=11980;f[c>>2]=12e3;f[g+4>>2]=0;Icc(g+60|0,m);f[g+132>>2]=0;f[g+136>>2]=-1;f[g>>2]=50224;f[c>>2]=50244;Ncc(m);f[m>>2]=46200;c=g+40|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;f[g+56>>2]=8;YQ(m,e);Tcc(g,h)|0;IZ(g);if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);u=d;return}function OCa(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;i=u;u=u+32|0;j=i+16|0;k=i;f[j>>2]=0;f[j+4>>2]=0;l=e+11|0;m=b[l>>0]|0;n=e+4|0;o=m<<24>>24<0?f[n>>2]|0:m&255;if(o|0){m=YG(j,o)|0;Krc(m|0,((b[l>>0]|0)<0?f[e>>2]|0:e)|0,o|0)|0}o=c+4|0;c=f[o>>2]|0;if(c){m=f[j>>2]|0;p=(m|0)==0?1163146:m;q=o;r=c;a:while(1){c=r;while(1){s=f[c+16>>2]|0;if((s|0)==(m|0))break;if((o7b((s|0)==0?1163146:s,p)|0)>=0)break;s=f[c+4>>2]|0;if(!s){t=q;break a}else c=s}r=f[c>>2]|0;if(!r){t=c;break}else q=c}if((t|0)!=(o|0)){q=f[t+16>>2]|0;if((m|0)!=(q|0)?(o7b(p,(q|0)==0?1163146:q)|0)<0:0)v=13;else w=t}else v=13}else v=13;if((v|0)==13)w=o;ZG(j);if((w|0)==(o|0)){bza(k,396443,e);f[j>>2]=0;f[j+4>>2]=0;o=k+11|0;v=b[o>>0]|0;t=v<<24>>24<0?f[k+4>>2]|0:v&255;if(!t)SQ(-2,j,398490,395938,495);v=YG(j,t)|0;Krc(v|0,((b[o>>0]|0)<0?f[k>>2]|0:k)|0,t|0)|0;SQ(-2,j,398490,395938,495)}t=a+80|0;k=f[t>>2]|0;o=a+84|0;a=f[o>>2]|0;b:do if((k|0)==(a|0))x=k;else{v=j+4|0;q=k;while(1){f[j>>2]=0;f[v>>2]=0;p=b[l>>0]|0;m=p<<24>>24<0?f[n>>2]|0:p&255;if(!m)y=0;else{p=YG(j,m)|0;Krc(p|0,((b[l>>0]|0)<0?f[e>>2]|0:e)|0,m|0)|0;y=f[j>>2]|0}m=f[q>>2]|0;if((m|0)==(y|0))break;p=(o7b((m|0)==0?1163146:m,(y|0)==0?1163146:y)|0)==0;ZG(j);if(p){x=q;break b}p=q+8|0;if((p|0)==(a|0)){x=a;break b}else q=p}ZG(j);x=q}while(0);if((x|0)==(f[o>>2]|0)){z=f[e+12>>2]|0;A=w+24|0;B=f[A>>2]|0;_Aa(d,B,z,g,h);u=i;return}else{z=x-(f[t>>2]|0)>>3;A=w+24|0;B=f[A>>2]|0;_Aa(d,B,z,g,h);u=i;return}}function PCa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+32|0;d=c+16|0;e=c;f[a>>2]=0;f[a+4>>2]=f[b+4>>2];tDa(a);g=f[b+8>>2]|0;b=f[g+12>>2]|0;h=f[g+4>>2]|0;a:do if(h>>>0>b>>>0){i=f[g+16>>2]|0;j=b;while(1){k=f[i+(j<<2)>>2]|0;if(k|0)break;l=j+1|0;if(l>>>0<h>>>0)j=l;else{m=0;n=l;break a}}if((k|0)==(f[i+((j^1)<<2)>>2]|0)){m=f[(f[k>>2]|0)+16>>2]|0;n=j;break}else{m=k;n=j;break}}else{m=0;n=b}while(0);f[e>>2]=m;f[e+4>>2]=g;f[e+8>>2]=n;if(!m){u=c;return}n=a+8|0;g=m;do{QCa(d,f[n>>2]|0,f[g+12>>2]|0,0);if(!(f[d>>2]|0)){m=f[(f[e>>2]|0)+12>>2]|0;CLa(uDa(a,m)|0,m+16|0)}hDa(e)|0;g=f[e>>2]|0}while((g|0)!=0);u=c;return}function QCa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;g=u;u=u+16|0;h=g;i=b[d+11>>0]|0;j=i<<24>>24<0;k=j?f[d>>2]|0:d;l=b[k>>0]|0;if(!(l<<24>>24))m=0;else{n=k;o=0;p=l;while(1){q=(o*5|0)+(p<<24>>24)|0;n=n+1|0;p=b[n>>0]|0;if(!(p<<24>>24)){m=q;break}else o=q}}o=(f[c+4>>2]|0)+-1&(f[c+8>>2]|0)+m;m=f[c+16>>2]|0;p=f[m+(o<<2)>>2]|0;a:do if(!p)r=o;else{if((p|0)==(f[m+((o^1)<<2)>>2]|0)){if((p|0)!=(f[m+((o^1)<<2)>>2]|0)){r=o;break}n=o&-2;q=f[m+(n<<2)>>2]|0;f[h>>2]=d;s=q+4|0;t=sDa(q,h,f[s>>2]|0,s)|0;do if((t|0)!=(s|0)){q=f[h>>2]|0;v=t+16|0;w=f[v>>2]|0;x=b[w+11>>0]|0;y=x<<24>>24<0;z=y?f[w+4>>2]|0:x&255;x=b[q+11>>0]|0;A=x<<24>>24<0;B=A?f[q+4>>2]|0:x&255;x=z>>>0<B>>>0?z:B;C=w;if((x|0)!=0?(D=gac(A?f[q>>2]|0:q,y?f[w>>2]|0:w,x)|0,(D|0)!=0):0){if((D|0)<0)break}else E=20;if((E|0)==20?B>>>0<z>>>0:0)break;if(!e)F=C;else{f[e>>2]=t;F=f[v>>2]|0}f[a>>2]=F;f[a+4>>2]=c;f[a+8>>2]=n;f[a+12>>2]=n;u=g;return}while(0);r=n;break}t=j?f[d+4>>2]|0:i&255;s=(t|0)==0;v=p;b:while(1){C=b[v+11>>0]|0;z=C<<24>>24<0;B=C&255;do if(((z?f[v+4>>2]|0:B)|0)==(t|0)){C=f[v>>2]|0;D=z?C:v;if(z){if(s)break b;if(!(gac(D,k,t)|0))break b;else break}if(s)break b;if((C&255)<<24>>24==l<<24>>24){C=v;D=B;x=k;do{D=D+-1|0;C=C+1|0;if(!D)break b;x=x+1|0}while((b[C>>0]|0)==(b[x>>0]|0))}}while(0);B=f[v+16>>2]|0;if(!B){r=o;break a}else v=B}f[a>>2]=v;f[a+4>>2]=c;f[a+8>>2]=o;f[a+12>>2]=o;u=g;return}while(0);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=r;u=g;return}function RCa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=u;u=u+48|0;c=b+24|0;d=b+12|0;e=b;g=a+8|0;h=f[g>>2]|0;i=f[h+12>>2]|0;j=f[h+4>>2]|0;a:do if(j>>>0>i>>>0){k=f[h+16>>2]|0;l=i;while(1){m=f[k+(l<<2)>>2]|0;if(m|0)break;n=l+1|0;if(n>>>0<j>>>0)l=n;else{o=0;p=n;break a}}if((m|0)==(f[k+((l^1)<<2)>>2]|0)){o=f[(f[m>>2]|0)+16>>2]|0;p=l;break}else{o=m;p=l;break}}else{o=0;p=i}while(0);f[e>>2]=o;f[e+4>>2]=h;f[e+8>>2]=p;if(o|0)do{f[c>>2]=f[e>>2];f[c+4>>2]=f[e+4>>2];f[c+8>>2]=f[e+8>>2];lDa(d,a,c);f[e>>2]=f[d>>2];f[e+4>>2]=f[d+4>>2];f[e+8>>2]=f[d+8>>2]}while((f[e>>2]|0)!=0);if(f[a>>2]|0){u=b;return}a=f[g>>2]|0;if(!a){u=b;return}g=a+16|0;if(f[g>>2]|0?(mDa(a),(f[a+20>>2]|0)==0):0)Emc(f[g>>2]|0);Emc(a);u=b;return}function SCa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+48|0;d=c+24|0;e=c;QCa(d,f[a+8>>2]|0,b,0);a=f[d>>2]|0;if(a|0){g=a+12|0;h=f[g>>2]|0;i=h+16|0;u=c;return i|0}TDb(e,3,398146,1059);QDb(c+40|0,PDb(ODb(ODb(e,398227)|0,398255)|0,b)|0);UDb(e);g=a+12|0;h=f[g>>2]|0;i=h+16|0;u=c;return i|0}function TCa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;e=u;u=u+48|0;g=e+32|0;h=e+8|0;i=e+24|0;j=e;k=a+4|0;l=f[k>>2]|0;do if(l){m=f[c>>2]|0;n=(m|0)==0?1163146:m;o=m;p=k;q=l;a:while(1){r=q;while(1){s=f[r+16>>2]|0;if((s|0)==(m|0))break;if((o7b((s|0)==0?1163146:s,n)|0)>=0)break;s=f[r+4>>2]|0;if(!s){t=p;break a}else r=s}q=f[r>>2]|0;if(!q){t=r;break}else p=r}if((t|0)==(k|0))v=o;else{p=f[t+16>>2]|0;if((m|0)!=(p|0)?(o7b(n,(p|0)==0?1163146:p)|0)<=-1:0){v=o;break}p=b[d>>0]|0;f[g>>2]=0;q=Bmc(16)|0;s=q+8|0;f[q>>2]=s;f[q+4>>2]=1;f[g+4>>2]=q;q=s;f[q>>2]=p&255;f[q+4>>2]=0;kDa(t+24|0,g)|0;rza(g);u=e;return d|0}}else v=f[c>>2]|0;while(0);f[i>>2]=v;t=i+4|0;f[t>>2]=f[c+4>>2];if(v|0){c=v+-4|0;f[c>>2]=(f[c>>2]|0)+1}c=b[d>>0]|0;f[j>>2]=0;v=Bmc(16)|0;l=v+8|0;f[v>>2]=l;f[v+4>>2]=1;f[j+4>>2]=v;v=l;f[v>>2]=c&255;f[v+4>>2]=0;v=f[i>>2]|0;f[h>>2]=v;c=h+4|0;f[c>>2]=f[t>>2];if(v|0){t=v+-4|0;f[t>>2]=(f[t>>2]|0)+1}t=h+8|0;tza(t,j);v=f[h>>2]|0;f[g>>2]=v;l=g+4|0;f[l>>2]=f[c>>2];if(v|0){c=v+-4|0;f[c>>2]=(f[c>>2]|0)+1}c=g+8|0;tza(c,t);v=f[k>>2]|0;b:do if(!v){w=k;x=k}else{q=a+4|0;p=f[g>>2]|0;s=(p|0)==0?1163146:p;y=f[v+16>>2]|0;c:do if((p|0)!=(y|0)){z=q;A=v;B=y;while(1){C=(B|0)==0?1163146:B;if((o7b(s,C)|0)<0){D=f[A>>2]|0;if(!D){E=24;break}else{F=A;G=D}}else{if((o7b(C,s)|0)>=0){H=z;I=A;break c}J=A+4|0;C=f[J>>2]|0;if(!C){E=27;break}else{F=J;G=C}}B=f[G+16>>2]|0;if((p|0)==(B|0)){H=F;I=G;break c}else{z=F;A=G}}if((E|0)==24){w=A;x=A;break b}else if((E|0)==27){w=J;x=A;break b}}else{H=q;I=v}while(0);w=H;x=I}while(0);if(!(f[w>>2]|0)){I=Bmc(32)|0;H=f[g>>2]|0;f[I+16>>2]=H;f[I+20>>2]=f[l>>2];if(H|0){l=H+-4|0;f[l>>2]=(f[l>>2]|0)+1}tza(I+24|0,c);f[I>>2]=0;f[I+4>>2]=0;f[I+8>>2]=x;f[w>>2]=I;x=f[f[a>>2]>>2]|0;if(!x)K=I;else{f[a>>2]=x;K=f[w>>2]|0}RS(f[a+4>>2]|0,K);K=a+8|0;f[K>>2]=(f[K>>2]|0)+1}rza(c);ZG(g);rza(t);ZG(h);rza(j);ZG(i);u=e;return d|0}function UCa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;d=u;u=u+80|0;e=d+64|0;g=d+8|0;h=d;switch(f[a+160>>2]|0){case 19:case 1:{f[e>>2]=0;i=e+4|0;f[i>>2]=0;f[e+8>>2]=0;JCa(a,e);j=f[e>>2]|0;k=((f[i>>2]|0)-j|0)==16;l=j;if(k){j=l+8|0;m=l+12|0;o=f[m>>2]|0;f[m>>2]=f[j>>2];m=l+4|0;l=f[m>>2]|0;f[m>>2]=o;f[j>>2]=l}jP(c,e,5);Glb(g,a);l=g+4|0;j=f[l>>2]|0;if((j|0)<3)q=Y(f[g+12>>2]|0,f[g+8>>2]|0)|0;else{o=f[g+40>>2]|0;m=0;r=1;while(1){s=Y(f[o+(m<<2)>>2]|0,r)|0;m=m+1|0;if((m|0)==(j|0)){q=s;break}else r=s}}r=f[c+4>>2]|0;if((r|0)<3)t=Y(f[c+12>>2]|0,f[c+8>>2]|0)|0;else{j=f[c+40>>2]|0;m=0;o=1;while(1){s=Y(f[j+(m<<2)>>2]|0,o)|0;m=m+1|0;if((m|0)==(r|0)){t=s;break}else o=s}}if((q|0)!=(t|0)){f[h>>2]=0;f[h+4>>2]=0;v=YG(h,28)|0;w=396196;x=v+28|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-215,h,396225,395938,113)}t=f[c+16>>2]|0;o=g+16|0;r=f[o>>2]|0;a:do if(k){m=f[e>>2]|0;j=f[m>>2]|0;s=f[m+4>>2]|0;y=f[m+8>>2]|0;z=f[m+12>>2]|0;m=Y(Y(Y(s,j)|0,y)|0,z)|0;if((j|0)>0?(A=Y(Y(y,s)|0,z)|0,(s|0)>0):0){B=(y|0)<1|(z|0)<1;C=0;b:while(1){D=Y(A,C)|0;if(!B){E=0;do{F=Y(E,y)|0;G=E+D|0;H=0;do{I=(Y(H+F|0,z)|0)+D|0;J=Y(H,z)|0;K=0;do{L=I+K|0;M=G+(Y(K+J|0,s)|0)|0;if((L|0)>=(m|0)){N=28;break b}if((M|0)>=(m|0)){N=29;break b}f[t+(L<<2)>>2]=f[r+(M<<2)>>2];K=K+1|0}while((K|0)<(z|0));H=H+1|0}while((H|0)<(y|0));E=E+1|0}while((E|0)<(s|0))}C=C+1|0;if((C|0)>=(j|0))break a}if((N|0)==28){f[h>>2]=0;f[h+4>>2]=0;v=YG(h,13)|0;w=396237;x=v+13|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-215,h,396225,395938,129)}else if((N|0)==29){f[h>>2]=0;f[h+4>>2]=0;v=YG(h,13)|0;w=396251;x=v+13|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-215,h,396225,395938,130)}}}else if((q|0)>0){j=0;do{f[t+(j<<2)>>2]=f[r+(j<<2)>>2];j=j+1|0}while((j|0)!=(q|0))}while(0);q=g+36|0;r=f[q>>2]|0;if(r|0?(t=r+12|0,r=f[t>>2]|0,f[t>>2]=r+-1,(r|0)==1):0)lP(g);f[q>>2]=0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;if((f[l>>2]|0)>0){o=f[g+40>>2]|0;q=0;do{f[o+(q<<2)>>2]=0;q=q+1|0}while((q|0)<(f[l>>2]|0))}l=f[g+44>>2]|0;if((l|0)!=(g+48|0))tE(l);l=f[e>>2]|0;if(l|0){q=f[i>>2]|0;if((q|0)!=(l|0))f[i>>2]=q+(~((q+-4-l|0)>>>2)<<2);Emc(l)}u=d;return}case 2:{f[e>>2]=0;l=e+4|0;f[l>>2]=0;f[e+8>>2]=0;JCa(a,e);q=f[e>>2]|0;i=((f[l>>2]|0)-q|0)==16;o=q;if(i){q=o+8|0;r=o+12|0;t=f[r>>2]|0;f[r>>2]=f[q>>2];r=o+4|0;o=f[r>>2]|0;f[r>>2]=t;f[q>>2]=o}jP(c,e,5);Glb(g,a);a=g+4|0;o=f[a>>2]|0;if((o|0)<3)O=Y(f[g+12>>2]|0,f[g+8>>2]|0)|0;else{q=f[g+40>>2]|0;t=0;r=1;while(1){k=Y(f[q+(t<<2)>>2]|0,r)|0;t=t+1|0;if((t|0)==(o|0)){O=k;break}else r=k}}r=f[c+4>>2]|0;if((r|0)<3)P=Y(f[c+12>>2]|0,f[c+8>>2]|0)|0;else{o=f[c+40>>2]|0;t=0;q=1;while(1){k=Y(f[o+(t<<2)>>2]|0,q)|0;t=t+1|0;if((t|0)==(r|0)){P=k;break}else q=k}}if((O|0)!=(P|0)){f[h>>2]=0;f[h+4>>2]=0;v=YG(h,28)|0;w=396196;x=v+28|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-215,h,396225,395938,113)}P=f[c+16>>2]|0;c=g+16|0;q=f[c>>2]|0;c:do if(i){r=f[e>>2]|0;t=f[r>>2]|0;o=f[r+4>>2]|0;k=f[r+8>>2]|0;j=f[r+12>>2]|0;r=Y(Y(Y(o,t)|0,k)|0,j)|0;if((t|0)>0?(C=Y(Y(k,o)|0,j)|0,(o|0)>0):0){s=(k|0)<1|(j|0)<1;y=0;d:while(1){z=Y(C,y)|0;if(!s){m=0;do{B=Y(m,k)|0;A=m+z|0;E=0;do{D=(Y(E+B|0,j)|0)+z|0;H=Y(E,j)|0;G=0;do{F=D+G|0;K=A+(Y(G+H|0,o)|0)|0;if((F|0)>=(r|0)){N=70;break d}if((K|0)>=(r|0)){N=71;break d}n[P+(F<<2)>>2]=+p[q+(K<<3)>>3];G=G+1|0}while((G|0)<(j|0));E=E+1|0}while((E|0)<(k|0));m=m+1|0}while((m|0)<(o|0))}y=y+1|0;if((y|0)>=(t|0))break c}if((N|0)==70){f[h>>2]=0;f[h+4>>2]=0;v=YG(h,13)|0;w=396237;x=v+13|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-215,h,396225,395938,129)}else if((N|0)==71){f[h>>2]=0;f[h+4>>2]=0;v=YG(h,13)|0;w=396251;x=v+13|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-215,h,396225,395938,130)}}}else if((O|0)>0){t=0;do{n[P+(t<<2)>>2]=+p[q+(t<<3)>>3];t=t+1|0}while((t|0)!=(O|0))}while(0);O=g+36|0;q=f[O>>2]|0;if(q|0?(P=q+12|0,q=f[P>>2]|0,f[P>>2]=q+-1,(q|0)==1):0)lP(g);f[O>>2]=0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[a>>2]|0)>0){c=f[g+40>>2]|0;O=0;do{f[c+(O<<2)>>2]=0;O=O+1|0}while((O|0)<(f[a>>2]|0))}a=f[g+44>>2]|0;if((a|0)!=(g+48|0))tE(a);a=f[e>>2]|0;if(a|0){g=f[l>>2]|0;if((g|0)!=(a|0))f[l>>2]=g+(~((g+-4-a|0)>>>2)<<2);Emc(a)}u=d;return}default:{f[e>>2]=0;f[e+4>>2]=0;v=YG(e,35)|0;w=445175;x=v+35|0;do{b[v>>0]=b[w>>0]|0;v=v+1|0;w=w+1|0}while((v|0)<(x|0));SQ(-2,e,398131,395938,154)}}}function VCa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;e=u;u=u+64|0;g=e+48|0;h=e+32|0;i=e+24|0;j=e+16|0;k=e;l=a+20|0;m=f[(f[(f[l>>2]|0)+4+(c<<2)>>2]|0)+60>>2]|0;f[g>>2]=0;f[g+4>>2]=0;n=m+11|0;o=b[n>>0]|0;p=o<<24>>24<0?f[m+4>>2]|0:o&255;if(p|0){o=YG(g,p)|0;Krc(o|0,((b[n>>0]|0)<0?f[m>>2]|0:m)|0,p|0)|0}f[i>>2]=0;f[i+4>>2]=0;FCa(h,a,g,i);ZG(i);a=f[(f[(f[(f[l>>2]|0)+4+(c<<2)>>2]|0)+20>>2]|0)+4+(d<<2)>>2]|0;f[i>>2]=0;d=i+4|0;f[d>>2]=0;c=a+11|0;p=b[c>>0]|0;m=p<<24>>24<0?f[a+4>>2]|0:p&255;if(m|0){p=YG(i,m)|0;Krc(p|0,((b[c>>0]|0)<0?f[a>>2]|0:a)|0,m|0)|0}m=h+4|0;a=f[m>>2]|0;c=f[h>>2]|0;a:do if((a|0)!=(c|0)){p=j+4|0;n=k+11|0;o=k+8|0;q=k+4|0;r=0;s=a;t=c;b:while(1){v=f[(f[l>>2]|0)+4+(f[t+(r*12|0)+8>>2]<<2)>>2]|0;w=v+12|0;if((f[w>>2]|0)>0){x=v+20|0;v=0;do{y=f[(f[x>>2]|0)+4+(v<<2)>>2]|0;f[j>>2]=0;f[p>>2]=0;z=y+11|0;A=b[z>>0]|0;B=A<<24>>24<0?f[y+4>>2]|0:A&255;if(!B)C=0;else{A=YG(j,B)|0;Krc(A|0,((b[z>>0]|0)<0?f[y>>2]|0:y)|0,B|0)|0;C=f[j>>2]|0}B=f[g>>2]|0;if(!((C|0)!=(B|0)?(o7b((C|0)==0?1163146:C,(B|0)==0?1163146:B)|0)!=0:0)){B=f[i>>2]|0;y=f[d>>2]|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;if(y>>>0>4294967279)break b;if(y>>>0<11){b[n>>0]=y;if(!y)D=k;else{E=k;F=20}}else{z=y+16&-16;A=Bmc(z)|0;f[k>>2]=A;f[o>>2]=z|-2147483648;f[q>>2]=y;E=A;F=20}if((F|0)==20){F=0;Krc(E|0,B|0,y|0)|0;D=E}b[D+y>>0]=0;Qmc(f[(f[x>>2]|0)+4+(v<<2)>>2]|0,k)|0;if((b[n>>0]|0)<0)Emc(f[k>>2]|0)}ZG(j);v=v+1|0}while((v|0)<(f[w>>2]|0));G=f[h>>2]|0;H=f[m>>2]|0}else{G=t;H=s}r=r+1|0;if(r>>>0>=((H-G|0)/12|0)>>>0)break a;else{s=H;t=G}}Lmc(k)}while(0);ZG(i);i=f[h>>2]|0;if(!i){ZG(g);u=e;return}while(1){k=f[m>>2]|0;if((k|0)==(i|0))break;G=k+-12|0;f[m>>2]=G;ZG(G)}Emc(f[h>>2]|0);ZG(g);u=e;return}function WCa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=u;u=u+80|0;e=d+64|0;g=d+8|0;h=d;f[e>>2]=0;i=e+4|0;f[i>>2]=0;f[e+8>>2]=0;JCa(a,e);switch(f[a+160>>2]|0){case 19:case 1:break;default:{f[g>>2]=0;f[g+4>>2]=0;j=YG(g,79)|0;k=398024;l=j+79|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,g,398104,395938,456)}}m=f[e>>2]|0;n=m;if(((f[i>>2]|0)-m|0)!=16){f[g>>2]=0;f[g+4>>2]=0;j=YG(g,9)|0;k=398121;l=j+9|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,g,398104,395938,457)}m=n+8|0;o=f[n>>2]|0;f[n>>2]=f[m>>2];f[m>>2]=o;o=n+4|0;m=n+12|0;p=f[m>>2]|0;f[m>>2]=f[o>>2];m=f[n>>2]|0;f[n>>2]=p;f[o>>2]=m;jP(c,e,5);Glb(g,a);a=g+4|0;m=f[a>>2]|0;if((m|0)<3)q=Y(f[g+12>>2]|0,f[g+8>>2]|0)|0;else{o=f[g+40>>2]|0;p=0;n=1;while(1){r=Y(f[o+(p<<2)>>2]|0,n)|0;p=p+1|0;if((p|0)==(m|0)){q=r;break}else n=r}}n=f[c+4>>2]|0;if((n|0)<3)s=Y(f[c+12>>2]|0,f[c+8>>2]|0)|0;else{m=f[c+40>>2]|0;p=0;o=1;while(1){r=Y(f[m+(p<<2)>>2]|0,o)|0;p=p+1|0;if((p|0)==(n|0)){s=r;break}else o=r}}if((q|0)!=(s|0)){f[h>>2]=0;f[h+4>>2]=0;j=YG(h,28)|0;k=396196;l=j+28|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,h,398104,395938,468)}s=f[c+16>>2]|0;c=g+16|0;q=f[c>>2]|0;o=f[e>>2]|0;n=f[o>>2]|0;p=f[o+4>>2]|0;m=f[o+8>>2]|0;r=f[o+12>>2]|0;o=Y(p,n)|0;t=Y(Y(o,m)|0,r)|0;a:do if((n|0)>0){v=(p|0)>0;w=(m|0)>0;x=(r|0)>0;y=0;b:while(1){if(v?(z=Y(y,p)|0,w):0){A=0;do{B=Y(A+z|0,m)|0;C=(Y(A,n)|0)+y|0;if(x){D=0;do{E=Y(B+D|0,r)|0;F=Y(D,r)|0;G=0;do{H=G+E|0;I=C+(Y(G+F|0,o)|0)|0;if((H|0)>=(t|0)){J=35;break b}if((I|0)>=(t|0)){J=36;break b}f[s+(H<<2)>>2]=f[q+(I<<2)>>2];G=G+1|0}while((G|0)<(r|0));D=D+1|0}while((D|0)<(m|0))}A=A+1|0}while((A|0)<(p|0))}y=y+1|0;if((y|0)>=(n|0))break a}if((J|0)==35){f[h>>2]=0;f[h+4>>2]=0;j=YG(h,13)|0;k=396237;l=j+13|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,h,398104,395938,481)}else if((J|0)==36){f[h>>2]=0;f[h+4>>2]=0;j=YG(h,13)|0;k=396251;l=j+13|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));SQ(-215,h,398104,395938,482)}}while(0);h=g+36|0;k=f[h>>2]|0;if(k|0?(j=k+12|0,k=f[j>>2]|0,f[j>>2]=k+-1,(k|0)==1):0)lP(g);f[h>>2]=0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[a>>2]|0)>0){c=f[g+40>>2]|0;h=0;do{f[c+(h<<2)>>2]=0;h=h+1|0}while((h|0)<(f[a>>2]|0))}a=f[g+44>>2]|0;if((a|0)!=(g+48|0))tE(a);a=f[e>>2]|0;if(!a){u=d;return}e=f[i>>2]|0;if((e|0)!=(a|0))f[i>>2]=e+(~((e+-4-a|0)>>>2)<<2);Emc(a);u=d;return}function XCa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;c=a+4|0;d=f[c>>2]|0;a:do if(!d){e=c;g=c;h=d;i=12}else{j=a+4|0;k=f[b>>2]|0;l=(k|0)==0?1163146:k;m=f[d+16>>2]|0;b:do if((k|0)!=(m|0)){n=j;o=d;p=m;q=d;while(1){r=(p|0)==0?1163146:p;if((o7b(l,r)|0)<0){s=f[o>>2]|0;if(!s){i=6;break}else{t=o;u=s}}else{if((o7b(r,l)|0)>=0){v=n;w=o;x=q;break b}y=o+4|0;r=f[y>>2]|0;if(!r){i=9;break}else{t=y;u=r}}p=f[u+16>>2]|0;if((k|0)==(p|0)){v=t;w=u;x=u;break b}else{n=t;o=u;q=u}}if((i|0)==6){z=o;A=o;break a}else if((i|0)==9){z=y;A=o;break a}}else{v=j;w=d;x=d}while(0);e=v;g=w;h=x;i=12}while(0);if((i|0)==12)if(!h){z=e;A=g}else{B=h;C=B+24|0;return C|0}h=Bmc(80)|0;g=f[b>>2]|0;f[h+16>>2]=g;f[h+20>>2]=f[b+4>>2];if(g|0){b=g+-4|0;f[b>>2]=(f[b>>2]|0)+1}f[h+24>>2]=1124007936;b=h+32|0;g=h+64|0;e=h+28|0;i=e+36|0;do{f[e>>2]=0;e=e+4|0}while((e|0)<(i|0));f[g>>2]=b;b=h+72|0;f[h+68>>2]=b;f[b>>2]=0;f[h+76>>2]=0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=A;f[z>>2]=h;A=f[f[a>>2]>>2]|0;if(!A)D=h;else{f[a>>2]=A;D=f[z>>2]|0}RS(f[a+4>>2]|0,D);D=a+8|0;f[D>>2]=(f[D>>2]|0)+1;B=h;C=B+24|0;return C|0}function YCa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=u;u=u+48|0;e=d+24|0;g=d+12|0;h=d;f[h+8>>2]=0;i=h+11|0;b[i>>0]=7;b[h>>0]=b[445609]|0;b[h+1>>0]=b[445610]|0;b[h+2>>0]=b[445611]|0;b[h+3>>0]=b[445612]|0;b[h+4>>0]=b[445613]|0;b[h+5>>0]=b[445614]|0;b[h+6>>0]=b[445615]|0;b[h+7>>0]=0;j=c+24|0;v_b(j);k=c+48|0;PCa(g,k);QCa(e,f[g+8>>2]|0,h,0);l=(f[e>>2]|0)==0;RCa(g);if((b[i>>0]|0)<0)Emc(f[h>>2]|0);if(l){u=d;return}f[e+8>>2]=0;l=e+11|0;b[l>>0]=7;b[e>>0]=b[445609]|0;b[e+1>>0]=b[445610]|0;b[e+2>>0]=b[445611]|0;b[e+3>>0]=b[445612]|0;b[e+4>>0]=b[445613]|0;b[e+5>>0]=b[445614]|0;b[e+6>>0]=b[445615]|0;b[e+7>>0]=0;v_b(j);j=SCa(k,e)|0;if((b[l>>0]|0)<0)Emc(f[e>>2]|0);l=(DCa(c)|0)==1;c=l?3:2;k=l?2:1;h=l?1:3;l=j+20|0;i=j+8|0;j=(f[l>>2]|0)==1?f[i>>2]|0:528720;if((f[j+24>>2]|0)!=4){f[e>>2]=0;m=e+4|0;f[m>>2]=0;n=YG(e,19)|0;o=n;p=397993;q=o+19|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-2,e,398013,395938,294)}r=f[j+32>>2]|0;j=r+8|0;if(!((f[j>>2]|0)==1&(f[j+4>>2]|0)==0)){f[e>>2]=0;m=e+4|0;f[m>>2]=0;n=YG(e,19)|0;o=n;p=397993;q=o+19|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-2,e,398013,395938,294)}j=r+8+(h<<3)|0;if(!((f[j>>2]|0)==1&(f[j+4>>2]|0)==0)){f[e>>2]=0;m=e+4|0;f[m>>2]=0;n=YG(e,19)|0;o=n;p=397993;q=o+19|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-2,e,398013,395938,294)}f[e>>2]=0;f[e+4>>2]=0;p=YG(e,8)|0;o=p;b[o>>0]=115;b[o+1>>0]=116;b[o+2>>0]=114;b[o+3>>0]=105;o=p+4|0;b[o>>0]=100;b[o+1>>0]=101;b[o+2>>0]=95;b[o+3>>0]=104;f[g>>2]=f[(f[((f[l>>2]|0)==1?f[i>>2]|0:528720)+32>>2]|0)+8+(k<<3)>>2];KCa(a,e,g)|0;ZG(e);f[e>>2]=0;f[e+4>>2]=0;k=YG(e,8)|0;o=k;b[o>>0]=115;b[o+1>>0]=116;b[o+2>>0]=114;b[o+3>>0]=105;o=k+4|0;b[o>>0]=100;b[o+1>>0]=101;b[o+2>>0]=95;b[o+3>>0]=119;f[g>>2]=f[(f[((f[l>>2]|0)==1?f[i>>2]|0:528720)+32>>2]|0)+8+(c<<3)>>2];KCa(a,e,g)|0;ZG(e);u=d;return}function ZCa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+48|0;e=d+24|0;g=d+12|0;h=d;f[h+8>>2]=0;i=h+11|0;b[i>>0]=7;b[h>>0]=b[473651]|0;b[h+1>>0]=b[473652]|0;b[h+2>>0]=b[473653]|0;b[h+3>>0]=b[473654]|0;b[h+4>>0]=b[473655]|0;b[h+5>>0]=b[473656]|0;b[h+6>>0]=b[473657]|0;b[h+7>>0]=0;j=c+24|0;v_b(j);k=c+48|0;PCa(g,k);QCa(e,f[g+8>>2]|0,h,0);c=(f[e>>2]|0)==0;RCa(g);if((b[i>>0]|0)<0)Emc(f[h>>2]|0);if(c){u=d;return}f[e>>2]=0;f[e+4>>2]=0;c=YG(e,8)|0;h=c;b[h>>0]=112;b[h+1>>0]=97;b[h+2>>0]=100;b[h+3>>0]=95;h=c+4|0;b[h>>0]=109;b[h+1>>0]=111;b[h+2>>0]=100;b[h+3>>0]=101;f[g+8>>2]=0;h=g+11|0;b[h>>0]=7;b[g>>0]=b[473651]|0;b[g+1>>0]=b[473652]|0;b[g+2>>0]=b[473653]|0;b[g+3>>0]=b[473654]|0;b[g+4>>0]=b[473655]|0;b[g+5>>0]=b[473656]|0;b[g+6>>0]=b[473657]|0;b[g+7>>0]=0;v_b(j);j=SCa(k,g)|0;gDa(a,e,(f[j+20>>2]|0)==2?f[j+8>>2]|0:535416)|0;if((b[h>>0]|0)<0)Emc(f[g>>2]|0);ZG(e);u=d;return}function _Ca(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=u;u=u+32|0;e=d+16|0;g=d;Omc(g,a,0,jnc(a,58,-1)|0,a);f[e>>2]=0;f[e+4>>2]=0;a=g+11|0;h=b[a>>0]|0;i=h<<24>>24<0?f[g+4>>2]|0:h&255;if(i|0){h=YG(e,i)|0;Krc(h|0,((b[a>>0]|0)<0?f[g>>2]|0:g)|0,i|0)|0}i=c+4|0;c=f[i>>2]|0;if(c){h=f[e>>2]|0;j=(h|0)==0?1163146:h;k=i;l=c;a:while(1){c=l;while(1){m=f[c+16>>2]|0;if((m|0)==(h|0))break;if((o7b((m|0)==0?1163146:m,j)|0)>=0)break;m=f[c+4>>2]|0;if(!m){n=k;break a}else c=m}l=f[c>>2]|0;if(!l){n=c;break}else k=c}if((n|0)!=(i|0)){k=f[n+16>>2]|0;if((h|0)!=(k|0)?(o7b(j,(k|0)==0?1163146:k)|0)<0:0)o=13;else p=n}else o=13}else o=13;if((o|0)==13)p=i;ZG(e);if((b[a>>0]|0)<0)Emc(f[g>>2]|0);if((p|0)==(i|0)){q=2;u=d;return q|0}q=f[p+24>>2]|0;u=d;return q|0}function $Ca(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=u;u=u+48|0;e=d+32|0;g=d+8|0;h=d+24|0;i=d;j=a+4|0;k=f[j>>2]|0;do if(k){l=f[b>>2]|0;m=(l|0)==0?1163146:l;n=l;o=j;p=k;a:while(1){q=p;while(1){r=f[q+16>>2]|0;if((r|0)==(l|0))break;if((o7b((r|0)==0?1163146:r,m)|0)>=0)break;r=f[q+4>>2]|0;if(!r){s=o;break a}else q=r}p=f[q>>2]|0;if(!p){s=q;break}else o=q}if((s|0)==(j|0))t=n;else{o=f[s+16>>2]|0;if((l|0)!=(o|0)?(o7b(m,(o|0)==0?1163146:o)|0)<=-1:0){t=n;break}f[e>>2]=3;o=Bmc(16)|0;p=o+8|0;f[p>>2]=0;f[o+12>>2]=0;f[o>>2]=p;f[o+4>>2]=1;f[e+4>>2]=o;ZG(p);o=s8b(c)|0;if(o|0)Krc(YG(p,o)|0,c|0,o|0)|0;kDa(s+24|0,e)|0;rza(e);u=d;return c|0}}else t=f[b>>2]|0;while(0);f[h>>2]=t;s=h+4|0;f[s>>2]=f[b+4>>2];if(t|0){b=t+-4|0;f[b>>2]=(f[b>>2]|0)+1}f[i>>2]=3;b=Bmc(16)|0;t=b+8|0;f[t>>2]=0;f[b+12>>2]=0;f[b>>2]=t;f[b+4>>2]=1;f[i+4>>2]=b;ZG(t);b=s8b(c)|0;if(b|0)Krc(YG(t,b)|0,c|0,b|0)|0;b=f[h>>2]|0;f[g>>2]=b;t=g+4|0;f[t>>2]=f[s>>2];if(b|0){s=b+-4|0;f[s>>2]=(f[s>>2]|0)+1}s=g+8|0;tza(s,i);b=f[g>>2]|0;f[e>>2]=b;k=e+4|0;f[k>>2]=f[t>>2];if(b|0){t=b+-4|0;f[t>>2]=(f[t>>2]|0)+1}t=e+8|0;tza(t,s);b=f[j>>2]|0;b:do if(!b){v=j;w=j}else{o=a+4|0;p=f[e>>2]|0;r=(p|0)==0?1163146:p;x=f[b+16>>2]|0;c:do if((p|0)!=(x|0)){y=o;z=b;A=x;while(1){B=(A|0)==0?1163146:A;if((o7b(r,B)|0)<0){C=f[z>>2]|0;if(!C){D=28;break}else{E=z;F=C}}else{if((o7b(B,r)|0)>=0){G=y;H=z;break c}I=z+4|0;B=f[I>>2]|0;if(!B){D=31;break}else{E=I;F=B}}A=f[F+16>>2]|0;if((p|0)==(A|0)){G=E;H=F;break c}else{y=E;z=F}}if((D|0)==28){v=z;w=z;break b}else if((D|0)==31){v=I;w=z;break b}}else{G=o;H=b}while(0);v=G;w=H}while(0);if(!(f[v>>2]|0)){H=Bmc(32)|0;G=f[e>>2]|0;f[H+16>>2]=G;f[H+20>>2]=f[k>>2];if(G|0){k=G+-4|0;f[k>>2]=(f[k>>2]|0)+1}tza(H+24|0,t);f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=w;f[v>>2]=H;w=f[f[a>>2]>>2]|0;if(!w)J=H;else{f[a>>2]=w;J=f[v>>2]|0}RS(f[a+4>>2]|0,J);J=a+8|0;f[J>>2]=(f[J>>2]|0)+1}rza(t);ZG(e);rza(s);ZG(g);rza(i);ZG(h);u=d;return c|0}function aDa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=u;u=u+48|0;e=d+24|0;g=d+12|0;h=d;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;i=h+11|0;b[i>>0]=5;b[h>>0]=b[397960]|0;b[h+1>>0]=b[397961]|0;b[h+2>>0]=b[397962]|0;b[h+3>>0]=b[397963]|0;b[h+4>>0]=b[397964]|0;b[h+5>>0]=0;j=c+24|0;v_b(j);k=c+48|0;PCa(g,k);QCa(e,f[g+8>>2]|0,h,0);l=(f[e>>2]|0)==0;RCa(g);if((b[i>>0]|0)<0)Emc(f[h>>2]|0);if(l){f[e>>2]=0;f[e+4>>2]=0;l=YG(e,8)|0;h=l;b[h>>0]=107;b[h+1>>0]=101;b[h+2>>0]=114;b[h+3>>0]=110;h=l+4|0;b[h>>0]=101;b[h+1>>0]=108;b[h+2>>0]=95;b[h+3>>0]=104;f[g>>2]=1;KCa(a,e,g)|0;ZG(e);f[e>>2]=0;f[e+4>>2]=0;h=YG(e,8)|0;l=h;b[l>>0]=107;b[l+1>>0]=101;b[l+2>>0]=114;b[l+3>>0]=110;l=h+4|0;b[l>>0]=101;b[l+1>>0]=108;b[l+2>>0]=95;b[l+3>>0]=119;f[g>>2]=1;KCa(a,e,g)|0;ZG(e);u=d;return};f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;l=e+11|0;b[l>>0]=5;b[e>>0]=b[397960]|0;b[e+1>>0]=b[397961]|0;b[e+2>>0]=b[397962]|0;b[e+3>>0]=b[397963]|0;b[e+4>>0]=b[397964]|0;b[e+5>>0]=0;v_b(j);j=SCa(k,e)|0;if((b[l>>0]|0)<0)Emc(f[e>>2]|0);l=(DCa(c)|0)==1;c=l?3:2;k=l?2:1;h=l?1:3;l=j+20|0;i=j+8|0;j=(f[l>>2]|0)==1?f[i>>2]|0:528720;if((f[j+24>>2]|0)!=4){f[e>>2]=0;m=e+4|0;f[m>>2]=0;n=YG(e,17)|0;o=n;p=397966;q=o+17|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-2,e,397984,395938,331)}r=f[j+32>>2]|0;j=r+8|0;if(!((f[j>>2]|0)==1&(f[j+4>>2]|0)==0)){f[e>>2]=0;m=e+4|0;f[m>>2]=0;n=YG(e,17)|0;o=n;p=397966;q=o+17|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-2,e,397984,395938,331)}j=r+8+(h<<3)|0;if(!((f[j>>2]|0)==1&(f[j+4>>2]|0)==0)){f[e>>2]=0;m=e+4|0;f[m>>2]=0;n=YG(e,17)|0;o=n;p=397966;q=o+17|0;do{b[o>>0]=b[p>>0]|0;o=o+1|0;p=p+1|0}while((o|0)<(q|0));SQ(-2,e,397984,395938,331)}f[e>>2]=0;f[e+4>>2]=0;p=YG(e,8)|0;o=p;b[o>>0]=107;b[o+1>>0]=101;b[o+2>>0]=114;b[o+3>>0]=110;o=p+4|0;b[o>>0]=101;b[o+1>>0]=108;b[o+2>>0]=95;b[o+3>>0]=104;f[g>>2]=f[(f[((f[l>>2]|0)==1?f[i>>2]|0:528720)+32>>2]|0)+8+(k<<3)>>2];KCa(a,e,g)|0;ZG(e);f[e>>2]=0;f[e+4>>2]=0;k=YG(e,8)|0;o=k;b[o>>0]=107;b[o+1>>0]=101;b[o+2>>0]=114;b[o+3>>0]=110;o=k+4|0;b[o>>0]=101;b[o+1>>0]=108;b[o+2>>0]=95;b[o+3>>0]=119;f[g>>2]=f[(f[((f[l>>2]|0)==1?f[i>>2]|0:528720)+32>>2]|0)+8+(c<<3)>>2];KCa(a,e,g)|0;ZG(e);u=d;return}function bDa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=u;u=u+48|0;e=d+32|0;g=d+8|0;h=d+24|0;i=d;j=a+4|0;k=f[j>>2]|0;do if(k){l=f[b>>2]|0;m=(l|0)==0?1163146:l;n=l;o=j;p=k;a:while(1){q=p;while(1){r=f[q+16>>2]|0;if((r|0)==(l|0))break;if((o7b((r|0)==0?1163146:r,m)|0)>=0)break;r=f[q+4>>2]|0;if(!r){s=o;break a}else q=r}p=f[q>>2]|0;if(!p){s=q;break}else o=q}if((s|0)==(j|0))t=n;else{o=f[s+16>>2]|0;if((l|0)!=(o|0)?(o7b(m,(o|0)==0?1163146:o)|0)<=-1:0){t=n;break}o=c;p=f[o>>2]|0;r=f[o+4>>2]|0;f[e>>2]=0;o=Bmc(16)|0;v=o+8|0;f[o>>2]=v;f[o+4>>2]=1;f[e+4>>2]=o;o=v;f[o>>2]=p;f[o+4>>2]=r;kDa(s+24|0,e)|0;rza(e);u=d;return c|0}}else t=f[b>>2]|0;while(0);f[h>>2]=t;s=h+4|0;f[s>>2]=f[b+4>>2];if(t|0){b=t+-4|0;f[b>>2]=(f[b>>2]|0)+1}b=c;t=f[b>>2]|0;k=f[b+4>>2]|0;f[i>>2]=0;b=Bmc(16)|0;r=b+8|0;f[b>>2]=r;f[b+4>>2]=1;f[i+4>>2]=b;b=r;f[b>>2]=t;f[b+4>>2]=k;k=f[h>>2]|0;f[g>>2]=k;b=g+4|0;f[b>>2]=f[s>>2];if(k|0){s=k+-4|0;f[s>>2]=(f[s>>2]|0)+1}s=g+8|0;tza(s,i);k=f[g>>2]|0;f[e>>2]=k;t=e+4|0;f[t>>2]=f[b>>2];if(k|0){b=k+-4|0;f[b>>2]=(f[b>>2]|0)+1}b=e+8|0;tza(b,s);k=f[j>>2]|0;b:do if(!k){w=j;x=j}else{r=a+4|0;o=f[e>>2]|0;p=(o|0)==0?1163146:o;v=f[k+16>>2]|0;c:do if((o|0)!=(v|0)){y=r;z=k;A=v;while(1){B=(A|0)==0?1163146:A;if((o7b(p,B)|0)<0){C=f[z>>2]|0;if(!C){D=24;break}else{E=z;F=C}}else{if((o7b(B,p)|0)>=0){G=y;H=z;break c}I=z+4|0;B=f[I>>2]|0;if(!B){D=27;break}else{E=I;F=B}}A=f[F+16>>2]|0;if((o|0)==(A|0)){G=E;H=F;break c}else{y=E;z=F}}if((D|0)==24){w=z;x=z;break b}else if((D|0)==27){w=I;x=z;break b}}else{G=r;H=k}while(0);w=G;x=H}while(0);if(!(f[w>>2]|0)){H=Bmc(32)|0;G=f[e>>2]|0;f[H+16>>2]=G;f[H+20>>2]=f[t>>2];if(G|0){t=G+-4|0;f[t>>2]=(f[t>>2]|0)+1}tza(H+24|0,b);f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=x;f[w>>2]=H;x=f[f[a>>2]>>2]|0;if(!x)J=H;else{f[a>>2]=x;J=f[w>>2]|0}RS(f[a+4>>2]|0,J);J=a+8|0;f[J>>2]=(f[J>>2]|0)+1}rza(b);ZG(e);rza(s);ZG(g);rza(i);ZG(h);u=d;return c|0}function cDa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=u;u=u+48|0;e=d+32|0;g=d+8|0;h=d+24|0;i=d;j=a+4|0;k=f[j>>2]|0;do if(k){l=f[b>>2]|0;m=(l|0)==0?1163146:l;n=l;o=j;p=k;a:while(1){q=p;while(1){r=f[q+16>>2]|0;if((r|0)==(l|0))break;if((o7b((r|0)==0?1163146:r,m)|0)>=0)break;r=f[q+4>>2]|0;if(!r){s=o;break a}else q=r}p=f[q>>2]|0;if(!p){s=q;break}else o=q}if((s|0)==(j|0))t=n;else{o=f[s+16>>2]|0;if((l|0)!=(o|0)?(o7b(m,(o|0)==0?1163146:o)|0)<=-1:0){t=n;break}f[e>>2]=3;o=Bmc(16)|0;p=o+8|0;f[p>>2]=0;f[o+12>>2]=0;f[o>>2]=p;f[o+4>>2]=1;f[e+4>>2]=o;ZG(p);o=s8b(c)|0;if(o|0)Krc(YG(p,o)|0,c|0,o|0)|0;kDa(s+24|0,e)|0;rza(e);u=d;return c|0}}else t=f[b>>2]|0;while(0);f[h>>2]=t;s=h+4|0;f[s>>2]=f[b+4>>2];if(t|0){b=t+-4|0;f[b>>2]=(f[b>>2]|0)+1}f[i>>2]=3;b=Bmc(16)|0;t=b+8|0;f[t>>2]=0;f[b+12>>2]=0;f[b>>2]=t;f[b+4>>2]=1;f[i+4>>2]=b;ZG(t);b=s8b(c)|0;if(b|0)Krc(YG(t,b)|0,c|0,b|0)|0;b=f[h>>2]|0;f[g>>2]=b;t=g+4|0;f[t>>2]=f[s>>2];if(b|0){s=b+-4|0;f[s>>2]=(f[s>>2]|0)+1}s=g+8|0;tza(s,i);b=f[g>>2]|0;f[e>>2]=b;k=e+4|0;f[k>>2]=f[t>>2];if(b|0){t=b+-4|0;f[t>>2]=(f[t>>2]|0)+1}t=e+8|0;tza(t,s);b=f[j>>2]|0;b:do if(!b){v=j;w=j}else{o=a+4|0;p=f[e>>2]|0;r=(p|0)==0?1163146:p;x=f[b+16>>2]|0;c:do if((p|0)!=(x|0)){y=o;z=b;A=x;while(1){B=(A|0)==0?1163146:A;if((o7b(r,B)|0)<0){C=f[z>>2]|0;if(!C){D=28;break}else{E=z;F=C}}else{if((o7b(B,r)|0)>=0){G=y;H=z;break c}I=z+4|0;B=f[I>>2]|0;if(!B){D=31;break}else{E=I;F=B}}A=f[F+16>>2]|0;if((p|0)==(A|0)){G=E;H=F;break c}else{y=E;z=F}}if((D|0)==28){v=z;w=z;break b}else if((D|0)==31){v=I;w=z;break b}}else{G=o;H=b}while(0);v=G;w=H}while(0);if(!(f[v>>2]|0)){H=Bmc(32)|0;G=f[e>>2]|0;f[H+16>>2]=G;f[H+20>>2]=f[k>>2];if(G|0){k=G+-4|0;f[k>>2]=(f[k>>2]|0)+1}tza(H+24|0,t);f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=w;f[v>>2]=H;w=f[f[a>>2]>>2]|0;if(!w)J=H;else{f[a>>2]=w;J=f[v>>2]|0}RS(f[a+4>>2]|0,J);J=a+8|0;f[J>>2]=(f[J>>2]|0)+1}rza(t);ZG(e);rza(s);ZG(g);rza(i);ZG(h);u=d;return c|0}function dDa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=u;u=u+16|0;e=d+8|0;g=d;h=a+4|0;a=f[h>>2]|0;if(a|0){i=f[c>>2]|0;j=(i|0)==0?1163146:i;k=h;l=a;a:while(1){a=l;while(1){m=f[a+16>>2]|0;if((m|0)==(i|0))break;if((o7b((m|0)==0?1163146:m,j)|0)>=0)break;m=f[a+4>>2]|0;if(!m){n=k;break a}else a=m}l=f[a>>2]|0;if(!l){n=a;break}else k=a}if((n|0)!=(h|0)){h=f[n+16>>2]|0;if((i|0)==(h|0)){o=n+24|0;u=d;return o|0}if((o7b(j,(h|0)==0?1163146:h)|0)>=0){o=n+24|0;u=d;return o|0}}}f[g>>2]=0;o=g+4|0;f[o>>2]=0;d=c+4|0;YG(g,(f[d>>2]|0)+19|0)|0;n=f[g>>2]|0;h=n;j=397885;i=h+19|0;do{b[h>>0]=b[j>>0]|0;h=h+1|0;j=j+1|0}while((h|0)<(i|0));k=f[d>>2]|0;if(k|0)Krc(n+19|0,f[c>>2]|0,k|0)|0;f[e>>2]=0;f[e+4>>2]=0;YG(e,(f[o>>2]|0)+27|0)|0;k=f[o>>2]|0;if(!k){p=0;q=f[e>>2]|0;r=q+p|0;h=r;j=397905;i=h+27|0;do{b[h>>0]=b[j>>0]|0;h=h+1|0;j=j+1|0}while((h|0)<(i|0));SQ(-204,e,399810,463637,333)}Krc(f[e>>2]|0,f[g>>2]|0,k|0)|0;p=f[o>>2]|0;q=f[e>>2]|0;r=q+p|0;h=r;j=397905;i=h+27|0;do{b[h>>0]=b[j>>0]|0;h=h+1|0;j=j+1|0}while((h|0)<(i|0));SQ(-204,e,399810,463637,333);return 0}function eDa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=u;u=u+48|0;e=d+32|0;g=d+8|0;h=d+24|0;i=d;j=a+4|0;k=f[j>>2]|0;do if(k){l=f[b>>2]|0;m=(l|0)==0?1163146:l;n=l;o=j;p=k;a:while(1){q=p;while(1){r=f[q+16>>2]|0;if((r|0)==(l|0))break;if((o7b((r|0)==0?1163146:r,m)|0)>=0)break;r=f[q+4>>2]|0;if(!r){s=o;break a}else q=r}p=f[q>>2]|0;if(!p){s=q;break}else o=q}if((s|0)==(j|0))t=n;else{o=f[s+16>>2]|0;if((l|0)!=(o|0)?(o7b(m,(o|0)==0?1163146:o)|0)<=-1:0){t=n;break}f[e>>2]=3;o=Bmc(16)|0;p=o+8|0;f[p>>2]=0;f[o+12>>2]=0;f[o>>2]=p;f[o+4>>2]=1;f[e+4>>2]=o;ZG(p);o=s8b(c)|0;if(o|0)Krc(YG(p,o)|0,c|0,o|0)|0;kDa(s+24|0,e)|0;rza(e);u=d;return c|0}}else t=f[b>>2]|0;while(0);f[h>>2]=t;s=h+4|0;f[s>>2]=f[b+4>>2];if(t|0){b=t+-4|0;f[b>>2]=(f[b>>2]|0)+1}f[i>>2]=3;b=Bmc(16)|0;t=b+8|0;f[t>>2]=0;f[b+12>>2]=0;f[b>>2]=t;f[b+4>>2]=1;f[i+4>>2]=b;ZG(t);b=s8b(c)|0;if(b|0)Krc(YG(t,b)|0,c|0,b|0)|0;b=f[h>>2]|0;f[g>>2]=b;t=g+4|0;f[t>>2]=f[s>>2];if(b|0){s=b+-4|0;f[s>>2]=(f[s>>2]|0)+1}s=g+8|0;tza(s,i);b=f[g>>2]|0;f[e>>2]=b;k=e+4|0;f[k>>2]=f[t>>2];if(b|0){t=b+-4|0;f[t>>2]=(f[t>>2]|0)+1}t=e+8|0;tza(t,s);b=f[j>>2]|0;b:do if(!b){v=j;w=j}else{o=a+4|0;p=f[e>>2]|0;r=(p|0)==0?1163146:p;x=f[b+16>>2]|0;c:do if((p|0)!=(x|0)){y=o;z=b;A=x;while(1){B=(A|0)==0?1163146:A;if((o7b(r,B)|0)<0){C=f[z>>2]|0;if(!C){D=28;break}else{E=z;F=C}}else{if((o7b(B,r)|0)>=0){G=y;H=z;break c}I=z+4|0;B=f[I>>2]|0;if(!B){D=31;break}else{E=I;F=B}}A=f[F+16>>2]|0;if((p|0)==(A|0)){G=E;H=F;break c}else{y=E;z=F}}if((D|0)==28){v=z;w=z;break b}else if((D|0)==31){v=I;w=z;break b}}else{G=o;H=b}while(0);v=G;w=H}while(0);if(!(f[v>>2]|0)){H=Bmc(32)|0;G=f[e>>2]|0;f[H+16>>2]=G;f[H+20>>2]=f[k>>2];if(G|0){k=G+-4|0;f[k>>2]=(f[k>>2]|0)+1}tza(H+24|0,t);f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=w;f[v>>2]=H;w=f[f[a>>2]>>2]|0;if(!w)J=H;else{f[a>>2]=w;J=f[v>>2]|0}RS(f[a+4>>2]|0,J);J=a+8|0;f[J>>2]=(f[J>>2]|0)+1}rza(t);ZG(e);rza(s);ZG(g);rza(i);ZG(h);u=d;return c|0}function fDa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=u;u=u+48|0;e=d+32|0;g=d+8|0;h=d+24|0;i=d;j=a+4|0;k=f[j>>2]|0;do if(k){l=f[b>>2]|0;m=(l|0)==0?1163146:l;n=l;o=j;p=k;a:while(1){q=p;while(1){r=f[q+16>>2]|0;if((r|0)==(l|0))break;if((o7b((r|0)==0?1163146:r,m)|0)>=0)break;r=f[q+4>>2]|0;if(!r){s=o;break a}else q=r}p=f[q>>2]|0;if(!p){s=q;break}else o=q}if((s|0)==(j|0))t=n;else{o=f[s+16>>2]|0;if((l|0)!=(o|0)?(o7b(m,(o|0)==0?1163146:o)|0)<=-1:0){t=n;break}f[e>>2]=3;o=Bmc(16)|0;p=o+8|0;f[p>>2]=0;f[o+12>>2]=0;f[o>>2]=p;f[o+4>>2]=1;f[e+4>>2]=o;ZG(p);o=s8b(c)|0;if(o|0)Krc(YG(p,o)|0,c|0,o|0)|0;kDa(s+24|0,e)|0;rza(e);u=d;return c|0}}else t=f[b>>2]|0;while(0);f[h>>2]=t;s=h+4|0;f[s>>2]=f[b+4>>2];if(t|0){b=t+-4|0;f[b>>2]=(f[b>>2]|0)+1}f[i>>2]=3;b=Bmc(16)|0;t=b+8|0;f[t>>2]=0;f[b+12>>2]=0;f[b>>2]=t;f[b+4>>2]=1;f[i+4>>2]=b;ZG(t);b=s8b(c)|0;if(b|0)Krc(YG(t,b)|0,c|0,b|0)|0;b=f[h>>2]|0;f[g>>2]=b;t=g+4|0;f[t>>2]=f[s>>2];if(b|0){s=b+-4|0;f[s>>2]=(f[s>>2]|0)+1}s=g+8|0;tza(s,i);b=f[g>>2]|0;f[e>>2]=b;k=e+4|0;f[k>>2]=f[t>>2];if(b|0){t=b+-4|0;f[t>>2]=(f[t>>2]|0)+1}t=e+8|0;tza(t,s);b=f[j>>2]|0;b:do if(!b){v=j;w=j}else{o=a+4|0;p=f[e>>2]|0;r=(p|0)==0?1163146:p;x=f[b+16>>2]|0;c:do if((p|0)!=(x|0)){y=o;z=b;A=x;while(1){B=(A|0)==0?1163146:A;if((o7b(r,B)|0)<0){C=f[z>>2]|0;if(!C){D=28;break}else{E=z;F=C}}else{if((o7b(B,r)|0)>=0){G=y;H=z;break c}I=z+4|0;B=f[I>>2]|0;if(!B){D=31;break}else{E=I;F=B}}A=f[F+16>>2]|0;if((p|0)==(A|0)){G=E;H=F;break c}else{y=E;z=F}}if((D|0)==28){v=z;w=z;break b}else if((D|0)==31){v=I;w=z;break b}}else{G=o;H=b}while(0);v=G;w=H}while(0);if(!(f[v>>2]|0)){H=Bmc(32)|0;G=f[e>>2]|0;f[H+16>>2]=G;f[H+20>>2]=f[k>>2];if(G|0){k=G+-4|0;f[k>>2]=(f[k>>2]|0)+1}tza(H+24|0,t);f[H>>2]=0;f[H+4>>2]=0;f[H+8>>2]=w;f[v>>2]=H;w=f[f[a>>2]>>2]|0;if(!w)J=H;else{f[a>>2]=w;J=f[v>>2]|0}RS(f[a+4>>2]|0,J);J=a+8|0;f[J>>2]=(f[J>>2]|0)+1}rza(t);ZG(e);rza(s);ZG(g);rza(i);ZG(h);u=d;return c|0}function gDa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;e=u;u=u+64|0;g=e+40|0;h=e+24|0;i=e+16|0;j=e+8|0;k=e;l=a+4|0;m=f[l>>2]|0;do if(m){n=f[c>>2]|0;o=(n|0)==0?1163146:n;p=n;q=l;r=m;a:while(1){s=r;while(1){t=f[s+16>>2]|0;if((t|0)==(n|0))break;if((o7b((t|0)==0?1163146:t,o)|0)>=0)break;t=f[s+4>>2]|0;if(!t){v=q;break a}else s=t}r=f[s>>2]|0;if(!r){v=s;break}else q=s}if((v|0)==(l|0))w=p;else{q=f[v+16>>2]|0;if((n|0)!=(q|0)?(o7b(o,(q|0)==0?1163146:q)|0)<=-1:0){w=p;break}f[h>>2]=0;q=h+4|0;f[q>>2]=0;r=d+11|0;t=b[r>>0]|0;x=t<<24>>24<0?f[d+4>>2]|0:t&255;if(x|0){t=YG(h,x)|0;Krc(t|0,((b[r>>0]|0)<0?f[d>>2]|0:d)|0,x|0)|0}f[g>>2]=3;x=Bmc(16)|0;r=x+8|0;f[r>>2]=0;t=x+12|0;f[t>>2]=0;f[x>>2]=r;f[x+4>>2]=1;f[g+4>>2]=x;ZG(r);x=f[h>>2]|0;if(!x)y=0;else{z=x+-4|0;f[z>>2]=(f[z>>2]|0)+1;y=f[h>>2]|0}f[r>>2]=y;f[t>>2]=f[q>>2];kDa(v+24|0,g)|0;rza(g);ZG(h);u=e;return d|0}}else w=f[c>>2]|0;while(0);f[i>>2]=w;v=i+4|0;f[v>>2]=f[c+4>>2];if(w|0){c=w+-4|0;f[c>>2]=(f[c>>2]|0)+1}f[k>>2]=0;c=k+4|0;f[c>>2]=0;w=d+11|0;y=b[w>>0]|0;m=y<<24>>24<0?f[d+4>>2]|0:y&255;if(m|0){y=YG(k,m)|0;Krc(y|0,((b[w>>0]|0)<0?f[d>>2]|0:d)|0,m|0)|0}f[j>>2]=3;m=Bmc(16)|0;w=m+8|0;f[w>>2]=0;y=m+12|0;f[y>>2]=0;f[m>>2]=w;f[m+4>>2]=1;f[j+4>>2]=m;ZG(w);m=f[k>>2]|0;if(!m)A=0;else{q=m+-4|0;f[q>>2]=(f[q>>2]|0)+1;A=f[k>>2]|0}f[w>>2]=A;f[y>>2]=f[c>>2];c=f[i>>2]|0;f[h>>2]=c;y=h+4|0;f[y>>2]=f[v>>2];if(c|0){v=c+-4|0;f[v>>2]=(f[v>>2]|0)+1}v=h+8|0;tza(v,j);c=f[h>>2]|0;f[g>>2]=c;A=g+4|0;f[A>>2]=f[y>>2];if(c|0){y=c+-4|0;f[y>>2]=(f[y>>2]|0)+1}y=g+8|0;tza(y,v);c=f[l>>2]|0;b:do if(!c){B=l;C=l}else{w=a+4|0;q=f[g>>2]|0;m=(q|0)==0?1163146:q;t=f[c+16>>2]|0;c:do if((q|0)!=(t|0)){r=w;z=c;x=t;while(1){D=(x|0)==0?1163146:x;if((o7b(m,D)|0)<0){E=f[z>>2]|0;if(!E){F=32;break}else{G=z;H=E}}else{if((o7b(D,m)|0)>=0){I=r;J=z;break c}K=z+4|0;D=f[K>>2]|0;if(!D){F=35;break}else{G=K;H=D}}x=f[H+16>>2]|0;if((q|0)==(x|0)){I=G;J=H;break c}else{r=G;z=H}}if((F|0)==32){B=z;C=z;break b}else if((F|0)==35){B=K;C=z;break b}}else{I=w;J=c}while(0);B=I;C=J}while(0);if(!(f[B>>2]|0)){J=Bmc(32)|0;I=f[g>>2]|0;f[J+16>>2]=I;f[J+20>>2]=f[A>>2];if(I|0){A=I+-4|0;f[A>>2]=(f[A>>2]|0)+1}tza(J+24|0,y);f[J>>2]=0;f[J+4>>2]=0;f[J+8>>2]=C;f[B>>2]=J;C=f[f[a>>2]>>2]|0;if(!C)L=J;else{f[a>>2]=C;L=f[B>>2]|0}RS(f[a+4>>2]|0,L);L=a+8|0;f[L>>2]=(f[L>>2]|0)+1}rza(y);ZG(g);rza(v);ZG(h);rza(j);ZG(k);ZG(i);u=e;return d|0}function hDa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;b=u;u=u+32|0;c=b+8|0;d=b;e=f[a>>2]|0;g=f[e+16>>2]|0;if(g|0){f[a>>2]=g;u=b;return a|0}g=a+4|0;h=f[g>>2]|0;i=a+8|0;j=f[i>>2]&(f[h+4>>2]|0)+-1;f[i>>2]=j;k=f[h+16>>2]|0;l=f[k+(j<<2)>>2]|0;a:do if((l|0)!=(e|0)){b:do if(l|0?(l|0)!=(f[k+((j^1)<<2)>>2]|0):0){m=l;while(1){m=f[m+16>>2]|0;if(!m)break b;if((m|0)==(e|0)){n=j;o=h;p=9;break a}}}while(0);QCa(c,h,e,d);m=f[c+8>>2]|0;f[i>>2]=m;q=f[g>>2]|0;r=f[q+16>>2]|0;s=f[r+(m<<2)>>2]|0;if((s|0)!=0?(s|0)==(f[r+((m^1)<<2)>>2]|0):0){t=f[d>>2]|0;v=f[t+4>>2]|0;if(!v){w=t+8|0;x=f[w>>2]|0;if((f[x>>2]|0)==(t|0))y=x;else{x=w;do{w=f[x>>2]|0;x=w+8|0;t=f[x>>2]|0}while((f[t>>2]|0)!=(w|0));y=t}}else{x=v;while(1){t=f[x>>2]|0;if(!t)break;else x=t}y=x}f[d>>2]=y;if((y|0)!=(s+4|0)){f[a>>2]=f[y+16>>2];break}v=m+2|0;f[a>>2]=0;f[i>>2]=v;t=f[q+4>>2]|0;if(t>>>0>v>>>0){w=v;while(1){z=f[r+(w<<2)>>2]|0;if(z|0)break;v=w+1|0;f[i>>2]=v;if(v>>>0<t>>>0)w=v;else break a}if((z|0)==(f[r+((w^1)<<2)>>2]|0))A=f[(f[z>>2]|0)+16>>2]|0;else A=z;f[a>>2]=A}}else{n=m;o=q;p=9}}else{n=j;o=h;p=9}while(0);c:do if((p|0)==9?(h=n+1|0,f[a>>2]=0,f[i>>2]=h,j=f[o+4>>2]|0,j>>>0>h>>>0):0){A=f[o+16>>2]|0;z=h;while(1){B=f[A+(z<<2)>>2]|0;if(B|0)break;h=z+1|0;f[i>>2]=h;if(h>>>0<j>>>0)z=h;else break c}if((B|0)==(f[A+((z^1)<<2)>>2]|0))C=f[(f[B>>2]|0)+16>>2]|0;else C=B;f[a>>2]=C}while(0);u=b;return a|0}function iDa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;if(!b)return;iDa(a,f[b>>2]|0);iDa(a,f[b+4>>2]|0);a=b+16|0;c=b+24|0;d=b+60|0;e=f[d>>2]|0;if(e|0?(g=e+12|0,e=f[g>>2]|0,f[g>>2]=e+-1,(e|0)==1):0)lP(c);f[d>>2]=0;d=b+40|0;c=b+28|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;if((f[c>>2]|0)>0){d=f[b+64>>2]|0;e=0;do{f[d+(e<<2)>>2]=0;e=e+1|0}while((e|0)<(f[c>>2]|0))}c=f[b+68>>2]|0;if((c|0)!=(b+72|0))tE(c);ZG(a);Emc(b);return}function jDa(a,b){a=a|0;b=b|0;if(!b)return;jDa(a,f[b>>2]|0);jDa(a,f[b+4>>2]|0);ZG(b+16|0);Emc(b);return}function kDa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;if((b|0)==(a|0))return a|0;switch(f[b>>2]|0){case 0:{c=Bmc(16)|0;d=f[b+4>>2]|0;e=c+8|0;f[c>>2]=e;g=c+4|0;f[g>>2]=1;h=f[d+4>>2]|0;f[g>>2]=h;if(h>>>0<=1){if(h|0){i=e;j=6}}else{e=Dmc(h>>>0>536870911?-1:h<<3)|0;f[c>>2]=e;i=e;j=6}if((j|0)==6){e=f[d>>2]|0;d=0;do{g=e+(d<<3)|0;k=f[g+4>>2]|0;l=i+(d<<3)|0;f[l>>2]=f[g>>2];f[l+4>>2]=k;d=d+1|0}while(d>>>0<h>>>0)}rza(a);f[a+4>>2]=c;break}case 3:{c=Bmc(16)|0;uza(c,f[b+4>>2]|0);rza(a);f[a+4>>2]=c;break}case 2:{c=Bmc(16)|0;h=f[b+4>>2]|0;d=c+8|0;f[c>>2]=d;i=c+4|0;f[i>>2]=1;e=f[h+4>>2]|0;f[i>>2]=e;if(e>>>0<=1){if(e|0){m=d;j=13}}else{d=Dmc(e>>>0>536870911?-1:e<<3)|0;f[c>>2]=d;m=d;j=13}if((j|0)==13){j=f[h>>2]|0;h=0;do{p[m+(h<<3)>>3]=+p[j+(h<<3)>>3];h=h+1|0}while(h>>>0<e>>>0)}rza(a);f[a+4>>2]=c;break}default:{}}f[a>>2]=f[b>>2];return a|0}function lDa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=u;u=u+32|0;g=e+12|0;h=e;if((f[c>>2]|0)==0?(i=f[(f[d>>2]|0)+12>>2]|0,i|0):0){jLa(i+16|0);if((b[i+11>>0]|0)<0)Emc(f[i>>2]|0);Emc(i)};f[h>>2]=f[d>>2];f[h+4>>2]=f[d+4>>2];f[h+8>>2]=f[d+8>>2];oDa(d)|0;i=f[c+8>>2]|0;f[g>>2]=f[h>>2];f[g+4>>2]=f[h+4>>2];f[g+8>>2]=f[h+8>>2];pDa(i,g);f[a>>2]=f[d>>2];f[a+4>>2]=f[d+4>>2];f[a+8>>2]=f[d+8>>2];u=e;return}function mDa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;c=a+4|0;if(!(f[c>>2]|0)){d=0;f[a>>2]=0;e=a+12|0;f[e>>2]=d;return}g=a+16|0;h=a+20|0;i=0;while(1){j=f[g>>2]|0;k=j+(i<<2)|0;l=f[k>>2]|0;a:do if(l){if((l|0)!=(f[j+((i^1)<<2)>>2]|0)){f[k>>2]=0;m=l;while(1){n=m;m=f[m+16>>2]|0;if((b[n+11>>0]|0)<0)Emc(f[n>>2]|0);if(!(f[h>>2]|0))Emc(n);if(!m){o=i;break a}}}if((l|0)==(f[j+((i^1)<<2)>>2]|0)){m=i+1|0;f[j+(m<<2)>>2]=0;f[(f[g>>2]|0)+(i<<2)>>2]=0;n=l+12|0;p=l+4|0;q=l+8|0;r=l+4|0;s=f[l>>2]|0;do{t=s;u=f[t+16>>2]|0;v=s;w=f[v+4>>2]|0;if(!w){x=v+8|0;y=f[x>>2]|0;if((f[y>>2]|0)==(v|0))z=y;else{y=x;do{x=f[y>>2]|0;y=x+8|0;A=f[y>>2]|0}while((f[A>>2]|0)!=(x|0));z=A}}else{y=w;while(1){A=f[y>>2]|0;if(!A)break;else y=A}z=y}w=f[t+4>>2]|0;if(!w){A=t+8|0;x=f[A>>2]|0;if((f[x>>2]|0)==(v|0))B=x;else{x=A;do{A=f[x>>2]|0;x=A+8|0;C=f[x>>2]|0}while((f[C>>2]|0)!=(A|0));B=C}}else{x=w;while(1){y=f[x>>2]|0;if(!y)break;else x=y}B=x}if((f[l>>2]|0)==(t|0))f[l>>2]=B;f[n>>2]=(f[n>>2]|0)+-1;gCa(f[p>>2]|0,v);if(!(f[q>>2]|0))Emc(s);s=z;if((b[u+11>>0]|0)<0)Emc(f[u>>2]|0);if(!(f[h>>2]|0))Emc(u)}while((z|0)!=(r|0));s=f[h>>2]|0;nDa(l,f[r>>2]|0);if(!s){Emc(l);o=m}else o=m}else o=i}else o=i;while(0);i=o+1|0;l=f[c>>2]|0;if(i>>>0>=l>>>0){d=l;break}}f[a>>2]=0;e=a+12|0;f[e>>2]=d;return}function nDa(a,b){a=a|0;b=b|0;if(!b)return;nDa(a,f[b>>2]|0);nDa(a,f[b+4>>2]|0);if(f[a+8>>2]|0)return;Emc(b);return}function oDa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;b=u;u=u+32|0;c=b+8|0;d=b;e=f[a>>2]|0;g=f[e+16>>2]|0;if(g|0){f[a>>2]=g;u=b;return a|0}g=a+4|0;h=f[g>>2]|0;i=a+8|0;j=f[i>>2]&(f[h+4>>2]|0)+-1;f[i>>2]=j;k=f[h+16>>2]|0;l=f[k+(j<<2)>>2]|0;a:do if((l|0)!=(e|0)){b:do if(l|0?(l|0)!=(f[k+((j^1)<<2)>>2]|0):0){m=l;while(1){m=f[m+16>>2]|0;if(!m)break b;if((m|0)==(e|0)){n=j;o=h;p=9;break a}}}while(0);QCa(c,h,e,d);m=f[c+8>>2]|0;f[i>>2]=m;q=f[g>>2]|0;r=f[q+16>>2]|0;s=f[r+(m<<2)>>2]|0;if((s|0)!=0?(s|0)==(f[r+((m^1)<<2)>>2]|0):0){t=f[d>>2]|0;v=f[t+4>>2]|0;if(!v){w=t+8|0;x=f[w>>2]|0;if((f[x>>2]|0)==(t|0))y=x;else{x=w;do{w=f[x>>2]|0;x=w+8|0;t=f[x>>2]|0}while((f[t>>2]|0)!=(w|0));y=t}}else{x=v;while(1){t=f[x>>2]|0;if(!t)break;else x=t}y=x}f[d>>2]=y;if((y|0)!=(s+4|0)){f[a>>2]=f[y+16>>2];break}v=m+2|0;f[a>>2]=0;f[i>>2]=v;t=f[q+4>>2]|0;if(t>>>0>v>>>0){w=v;while(1){z=f[r+(w<<2)>>2]|0;if(z|0)break;v=w+1|0;f[i>>2]=v;if(v>>>0<t>>>0)w=v;else break a}if((z|0)==(f[r+((w^1)<<2)>>2]|0))A=f[(f[z>>2]|0)+16>>2]|0;else A=z;f[a>>2]=A}}else{n=m;o=q;p=9}}else{n=j;o=h;p=9}while(0);c:do if((p|0)==9?(h=n+1|0,f[a>>2]=0,f[i>>2]=h,j=f[o+4>>2]|0,j>>>0>h>>>0):0){A=f[o+16>>2]|0;z=h;while(1){B=f[A+(z<<2)>>2]|0;if(B|0)break;h=z+1|0;f[i>>2]=h;if(h>>>0<j>>>0)z=h;else break c}if((B|0)==(f[A+((z^1)<<2)>>2]|0))C=f[(f[B>>2]|0)+16>>2]|0;else C=B;f[a>>2]=C}while(0);u=b;return a|0}function pDa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;d=u;u=u+32|0;e=d+8|0;g=d;h=f[c+4>>2]|0;i=c+8|0;j=f[i>>2]&(f[h+4>>2]|0)+-1;f[i>>2]=j;k=h+16|0;l=f[k>>2]|0;m=f[l+(j<<2)>>2]|0;n=f[c>>2]|0;a:do if((m|0)!=(n|0)){b:do if(m|0?(m|0)!=(f[l+((j^1)<<2)>>2]|0):0){c=m;while(1){c=f[c+16>>2]|0;if(!c)break b;if((c|0)==(n|0)){o=j;p=7;break a}}}while(0);QCa(e,h,n,g);c=f[e+8>>2]|0;f[i>>2]=c;q=f[k>>2]|0;r=f[q+(c<<2)>>2]|0;if(r){s=a+16|0;t=(f[s>>2]|0)+(c<<2)|0;if((r|0)==(f[q+((c^1)<<2)>>2]|0)){q=f[t>>2]|0;rDa(q,(f[g>>2]|0)+16|0)|0;if(!(f[q+12>>2]|0)){r=c&-2;v=f[a+20>>2]|0;nDa(q,f[q+4>>2]|0);if(!v)Emc(q);f[(f[s>>2]|0)+((c|1)<<2)>>2]=0;f[(f[s>>2]|0)+(r<<2)>>2]=0;w=r;x=s}else{w=c;x=s}}else{y=t;z=s;A=c;p=9}}else{o=c;p=7}}else{o=j;p=7}while(0);if((p|0)==7){j=a+16|0;y=(f[j>>2]|0)+(o<<2)|0;z=j;A=o;p=9}if((p|0)==9){o=qDa(a,n,f[y>>2]|0)|0;f[(f[z>>2]|0)+(A<<2)>>2]=o;w=A;x=z}if((b[n+11>>0]|0)<0)Emc(f[n>>2]|0);if(!(f[a+20>>2]|0))Emc(n);f[a>>2]=(f[a>>2]|0)+-1;n=a+12|0;if((w|0)!=(f[n>>2]|0)){u=d;return}z=f[a+4>>2]|0;if(w>>>0>=z>>>0){u=d;return}a=f[x>>2]|0;x=w;while(1){if(f[a+(x<<2)>>2]|0){p=23;break}x=x+1|0;f[n>>2]=x;if(x>>>0>=z>>>0){p=23;break}}if((p|0)==23){u=d;return}}function qDa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=c+16|0;e=f[d>>2]|0;if((c|0)==(b|0))return e|0;else{g=qDa(a,b,e)|0;f[d>>2]=g;return c|0}return 0}function rDa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=a+4|0;e=sDa(a,c,f[d>>2]|0,d)|0;if((e|0)==(d|0)){g=0;return g|0}d=f[c>>2]|0;c=f[e+16>>2]|0;h=b[c+11>>0]|0;i=h<<24>>24<0;j=i?f[c+4>>2]|0:h&255;h=b[d+11>>0]|0;k=h<<24>>24<0;l=k?f[d+4>>2]|0:h&255;h=j>>>0<l>>>0?j:l;if((h|0)!=0?(m=gac(k?f[d>>2]|0:d,i?f[c>>2]|0:c,h)|0,(m|0)!=0):0){if((m|0)<0){g=0;return g|0}}else n=4;if((n|0)==4?l>>>0<j>>>0:0){g=0;return g|0}j=f[e+4>>2]|0;if(!j){l=e+8|0;n=f[l>>2]|0;if((f[n>>2]|0)==(e|0))o=n;else{n=l;do{l=f[n>>2]|0;n=l+8|0;m=f[n>>2]|0}while((f[m>>2]|0)!=(l|0));o=m}}else{n=j;while(1){j=f[n>>2]|0;if(!j)break;else n=j}o=n}if((f[a>>2]|0)==(e|0))f[a>>2]=o;o=a+12|0;f[o>>2]=(f[o>>2]|0)+-1;gCa(f[a+4>>2]|0,e);if(f[a+8>>2]|0){g=1;return g|0}Emc(e);g=1;return g|0}function sDa(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(!d){g=e;return g|0}a=f[c>>2]|0;c=b[a+11>>0]|0;h=c<<24>>24<0;i=h?f[a+4>>2]|0:c&255;if(h){h=e;c=d;a:while(1){j=c;while(1){k=f[j+16>>2]|0;l=b[k+11>>0]|0;m=l<<24>>24<0;n=m?f[k+4>>2]|0:l&255;l=i>>>0<n>>>0?i:n;if((l|0)!=0?(o=gac(m?f[k>>2]|0:k,f[a>>2]|0,l)|0,(o|0)!=0):0){if((o|0)>=0)break}else p=7;if((p|0)==7?(p=0,n>>>0>=i>>>0):0)break;n=f[j+4>>2]|0;if(!n){g=h;p=17;break a}else j=n}c=f[j>>2]|0;if(!c){g=j;p=17;break}else h=j}if((p|0)==17)return g|0}else{h=e;e=d;b:while(1){d=e;while(1){c=f[d+16>>2]|0;n=b[c+11>>0]|0;o=n<<24>>24<0;l=o?f[c+4>>2]|0:n&255;n=i>>>0<l>>>0?i:l;if((n|0)!=0?(k=gac(o?f[c>>2]|0:c,a,n)|0,(k|0)!=0):0){if((k|0)>=0)break}else p=13;if((p|0)==13?(p=0,l>>>0>=i>>>0):0)break;l=f[d+4>>2]|0;if(!l){g=h;p=17;break b}else d=l}e=f[d>>2]|0;if(!e){g=d;p=17;break}else h=d}if((p|0)==17)return g|0}return 0}function tDa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;b=f[a>>2]|0;c=b;if(!b){d=Bmc(24)|0;f[d>>2]=0;f[d+8>>2]=d;e=d+16|0;f[e>>2]=0;f[d+20>>2]=c;g=Bmc(32)|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[g+24>>2]=0;f[g+28>>2]=0;h=g;i=d;j=e;f[j>>2]=h;k=i+12|0;f[k>>2]=8;l=i+4|0;f[l>>2]=8;m=a+8|0;f[m>>2]=i;return}e=b+64|0;if(f[e>>2]|0)pBb(b,18648,24);d=oBb(b,24,1629)|0;f[d>>2]=0;f[d+8>>2]=d;g=d+16|0;f[g>>2]=0;f[d+20>>2]=c;if(f[e>>2]|0)pBb(b,26904,32);e=nBb(b,32)|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[e+28>>2]=0;h=e;i=d;j=g;f[j>>2]=h;k=i+12|0;f[k>>2]=8;l=i+4|0;f[l>>2]=8;m=a+8|0;f[m>>2]=i;return}function uDa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+32|0;e=d+16|0;g=d;h=f[a+8>>2]|0;Nmc(e,c);f[e+12>>2]=0;vDa(g,h,e);h=(f[g>>2]|0)+12|0;if((b[e+11>>0]|0)<0)Emc(f[e>>2]|0);e=f[h>>2]|0;if(e|0){i=e;j=i+16|0;u=d;return j|0}e=wDa(a,c)|0;f[h>>2]=e;i=e;j=i+16|0;u=d;return j|0}function vDa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+32|0;g=e+16|0;h=e;QCa(g,c,d,0);i=f[g>>2]|0;if(i|0){j=f[g+4>>2]|0;k=f[g+8>>2]|0;f[a>>2]=i;f[a+4>>2]=j;f[a+8>>2]=k;b[a+12>>0]=0;u=e;return}k=(f[c>>2]|0)+1|0;j=f[c+4>>2]|0;i=j*12|0;l=i>>>4;if(l>>>0>k>>>0){if(j>>>0>8&i>>>6>>>0>=k>>>0){i=((k*5|0)>>>2)+1|0;k=1;while(1)if(i<<k>>>0<l>>>0)k=k+1|0;else break;l=j>>>k;k=l>>>0>8?l:8;if((k|0)!=(j|0)){zDa(c,k);m=11}}}else if(j>>>0<=134217728){zDa(c,j<<1);m=11}if((m|0)==11){QCa(h,c,d,0);f[g>>2]=f[h>>2];f[g+4>>2]=f[h+4>>2];f[g+8>>2]=f[h+8>>2];f[g+12>>2]=f[h+12>>2]}m=f[g+12>>2]|0;g=f[c+20>>2]|0;if(!g)n=Bmc(20)|0;else{if(f[g+64>>2]|0)pBb(g,26904,24);n=nBb(g,24)|0}Nmc(n,d);f[n+12>>2]=f[d+12>>2];ADa(h,c,m,n);f[c>>2]=(f[c>>2]|0)+1;f[a>>2]=f[h>>2];f[a+4>>2]=f[h+4>>2];f[a+8>>2]=f[h+8>>2];b[a+12>>0]=1;u=e;return}function wDa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[a>>2]|0;if(!c){d=Bmc(40)|0;Nmc(d,b);kKa(d+16|0);e=d;return e|0}if(f[c+64>>2]|0)pBb(c,26904,40);d=nBb(c,40)|0;c=f[a>>2]|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;xDa(c,d);lKa(d+16|0,f[a>>2]|0);Qmc(d,b)|0;e=d;return e|0}function xDa(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1630);return}function yDa(a){a=a|0;if((b[a+11>>0]|0)>=0)return;Emc(f[a>>2]|0);return}function zDa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=u;u=u+16|0;e=d;g=a+16|0;h=f[g>>2]|0;i=a+4|0;j=f[i>>2]|0;f[i>>2]=c;k=a+20|0;l=f[k>>2]|0;m=c<<2;if(!l)n=Bmc(m)|0;else{c=m+7&-8;if(f[l+64>>2]|0)pBb(l,26904,c);n=nBb(l,c)|0}Drc(n|0,0,m|0)|0;f[g>>2]=n;n=a+12|0;g=f[n>>2]|0;f[n>>2]=f[i>>2];if(g>>>0<j>>>0){n=a+8|0;m=g;do{g=f[h+(m<<2)>>2]|0;do if(!g)o=m;else{if((g|0)==(f[h+((m^1)<<2)>>2]|0)){HDa(a,h,m);o=m+1|0;break}c=g;do{l=c;c=f[c+16>>2]|0;p=(b[l+11>>0]|0)<0?f[l>>2]|0:l;q=b[p>>0]|0;if(!(q<<24>>24))r=0;else{s=p;p=0;t=q;while(1){q=(p*5|0)+(t<<24>>24)|0;s=s+1|0;t=b[s>>0]|0;if(!(t<<24>>24)){r=q;break}else p=q}}ADa(e,a,(f[i>>2]|0)+-1&(f[n>>2]|0)+r,l)}while((c|0)!=0);o=m}while(0);m=o+1|0}while(m>>>0<j>>>0)}if(f[k>>2]|0){u=d;return}Emc(h);u=d;return}function ADa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=u;u=u+16|0;g=e;h=f[b+16>>2]|0;i=h+(c<<2)|0;j=f[i>>2]|0;k=j;do if(!j){f[d+16>>2]=k;f[i>>2]=d;l=d;m=b;n=c}else{if((j|0)==(f[h+((c^1)<<2)>>2]|0)){CDa(a,b,c,d);u=e;return}o=j;p=0;do{p=p+1|0;o=f[o+16>>2]|0}while((o|0)!=0);if(p>>>0>7){BDa(b,c);CDa(g,b,c,d);l=f[g>>2]|0;m=f[g+4>>2]|0;n=f[g+8>>2]|0;break}f[d+16>>2]=k;f[i>>2]=d;f[a>>2]=d;f[a+4>>2]=b;f[a+8>>2]=c;u=e;return}while(0);c=b+12|0;b=f[c>>2]|0;f[c>>2]=n>>>0<b>>>0?n:b;f[a>>2]=l;f[a+4>>2]=m;f[a+8>>2]=n;u=e;return}function BDa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=u;u=u+32|0;d=c+16|0;e=c;g=a+20|0;h=f[g>>2]|0;f[d>>2]=h;i=h;if(!h)j=Bmc(16)|0;else{if(f[i+64>>2]|0)pBb(i,26904,16);j=nBb(i,16)|0}i=f[g>>2]|0;f[e+4>>2]=0;f[e+8>>2]=i;f[e+12>>2]=0;i=e+4|0;f[e>>2]=i;EDa(d,j,e);nDa(e,f[i>>2]|0);FDa(a,b,j)|0;i=b^1;FDa(a,i,j)|0;e=a+16|0;f[(f[e>>2]|0)+(i<<2)>>2]=j;f[(f[e>>2]|0)+(b<<2)>>2]=j;u=c;return}function CDa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+16|0;g=e+4|0;h=e;f[d+16>>2]=0;i=f[(f[b+16>>2]|0)+(c<<2)>>2]|0;f[h>>2]=d;d=DDa(i,g,h)|0;j=f[d>>2]|0;if(j|0){k=j;l=c&-2;m=k+16|0;n=f[m>>2]|0;f[a>>2]=n;o=a+4|0;f[o>>2]=b;p=a+8|0;f[p>>2]=l;u=e;return}j=f[i+8>>2]|0;if(!j)q=Bmc(20)|0;else{if(f[j+64>>2]|0)pBb(j,26904,24);q=nBb(j,24)|0}f[q+16>>2]=f[h>>2];h=f[g>>2]|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=h;f[d>>2]=q;h=f[f[i>>2]>>2]|0;if(!h)r=q;else{f[i>>2]=h;r=f[d>>2]|0}RS(f[i+4>>2]|0,r);r=i+12|0;f[r>>2]=(f[r>>2]|0)+1;k=q;l=c&-2;m=k+16|0;n=f[m>>2]|0;f[a>>2]=n;o=a+4|0;f[o>>2]=b;p=a+8|0;f[p>>2]=l;u=e;return}function DDa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;e=a+4|0;g=f[e>>2]|0;h=a+4|0;if(!g){f[c>>2]=e;i=e;return i|0}e=f[d>>2]|0;d=b[e+11>>0]|0;a=d<<24>>24<0;j=f[e+4>>2]|0;k=d&255;d=a?j:k;a:do if(a){l=h;m=g;while(1){n=f[m+16>>2]|0;o=b[n+11>>0]|0;p=o<<24>>24<0;q=p?f[n+4>>2]|0:o&255;o=q>>>0<d>>>0?q:d;if((o|0)!=0?(r=gac(f[e>>2]|0,p?f[n>>2]|0:n,o)|0,(r|0)!=0):0)if((r|0)<0)s=12;else s=7;else if(d>>>0<q>>>0)s=12;else s=7;if((s|0)==7){s=0;r=j>>>0<q>>>0?j:q;if((r|0)!=0?(o=gac(p?f[n>>2]|0:n,f[e>>2]|0,r)|0,(o|0)!=0):0){if((o|0)>=0){t=l;u=m;s=27;break a}}else s=10;if((s|0)==10?(s=0,q>>>0>=j>>>0):0){t=l;u=m;s=27;break a}q=m+4|0;o=f[q>>2]|0;if(!o){v=m;w=q;s=26;break a}else{x=q;y=o}}else if((s|0)==12){s=0;o=f[m>>2]|0;if(!o){z=m;A=m;s=20;break a}else{x=m;y=o}}l=x;m=y}}else{m=h;l=g;while(1){o=f[l+16>>2]|0;q=b[o+11>>0]|0;r=q<<24>>24<0;n=r?f[o+4>>2]|0:q&255;q=n>>>0<d>>>0?n:d;if((q|0)!=0?(p=gac(e,r?f[o>>2]|0:o,q)|0,(p|0)!=0):0)if((p|0)<0)s=19;else s=21;else if(d>>>0<n>>>0)s=19;else s=21;if((s|0)==19){s=0;p=f[l>>2]|0;if(!p){z=l;A=l;s=20;break a}else{B=l;C=p}}else if((s|0)==21){s=0;p=k>>>0<n>>>0?k:n;if((p|0)!=0?(q=gac(r?f[o>>2]|0:o,e,p)|0,(q|0)!=0):0){if((q|0)>=0){t=m;u=l;s=27;break a}}else s=23;if((s|0)==23?(s=0,n>>>0>=k>>>0):0){t=m;u=l;s=27;break a}n=l+4|0;q=f[n>>2]|0;if(!q){v=l;w=n;s=26;break a}else{B=n;C=q}}m=B;l=C}}while(0);if((s|0)==20){f[c>>2]=z;i=A;return i|0}else if((s|0)==26){f[c>>2]=v;i=w;return i|0}else if((s|0)==27){f[c>>2]=u;i=t;return i|0}return 0}function EDa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;a=u;u=u+16|0;d=a+12|0;e=a+8|0;g=a+4|0;h=a;f[b>>2]=0;i=f[c+8>>2]|0;j=b+4|0;f[j>>2]=0;f[b+8>>2]=i;i=b+12|0;f[i>>2]=0;k=b+4|0;f[b>>2]=k;l=f[c>>2]|0;m=c+4|0;if((l|0)==(m|0)){u=a;return}c=k;k=b+8|0;n=l;while(1){l=n+16|0;f[h>>2]=c;f[d>>2]=f[h>>2];o=GDa(b,d,e,g,l)|0;if(!(f[o>>2]|0)){p=f[k>>2]|0;if(!p)q=Bmc(20)|0;else{if(f[p+64>>2]|0)pBb(p,26904,24);q=nBb(p,24)|0}f[q+16>>2]=f[l>>2];l=f[e>>2]|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=l;f[o>>2]=q;l=f[f[b>>2]>>2]|0;if(!l)r=q;else{f[b>>2]=l;r=f[o>>2]|0}RS(f[j>>2]|0,r);f[i>>2]=(f[i>>2]|0)+1}o=f[n+4>>2]|0;if(!o){l=n+8|0;p=f[l>>2]|0;if((f[p>>2]|0)==(n|0))s=p;else{p=l;do{l=f[p>>2]|0;p=l+8|0;t=f[p>>2]|0}while((f[t>>2]|0)!=(l|0));s=t}}else{p=o;while(1){t=f[p>>2]|0;if(!t)break;else p=t}s=p}if((s|0)==(m|0))break;else n=s}u=a;return}function FDa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+16|0;e=d+4|0;g=d;h=f[(f[a+16>>2]|0)+(b<<2)>>2]|0;if(!h){i=0;u=d;return i|0}b=c+8|0;a=c+4|0;j=c+12|0;k=h;h=0;while(1){f[g>>2]=k;l=DDa(c,e,g)|0;if(!(f[l>>2]|0)){m=f[b>>2]|0;if(!m)n=Bmc(20)|0;else{if(f[m+64>>2]|0)pBb(m,26904,24);n=nBb(m,24)|0}f[n+16>>2]=f[g>>2];m=f[e>>2]|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=m;f[l>>2]=n;m=f[f[c>>2]>>2]|0;if(!m)o=n;else{f[c>>2]=m;o=f[l>>2]|0}RS(f[a>>2]|0,o);f[j>>2]=(f[j>>2]|0)+1}l=h+1|0;m=k+16|0;k=f[m>>2]|0;f[m>>2]=0;if(!k){i=l;break}else h=l}u=d;return i|0}function GDa(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;h=a+4|0;i=f[c>>2]|0;c=i;do if((i|0)!=(h|0)){j=f[g>>2]|0;k=f[i+16>>2]|0;l=b[k+11>>0]|0;m=l<<24>>24<0;n=m?f[k+4>>2]|0:l&255;l=b[j+11>>0]|0;o=l<<24>>24<0;p=o?f[j+4>>2]|0:l&255;l=n>>>0<p>>>0;q=l?n:p;if((q|0)!=0?(r=gac(o?f[j>>2]|0:j,m?f[k>>2]|0:k,q)|0,(r|0)!=0):0){if((r|0)<0)break}else s=4;if((s|0)==4?p>>>0<n>>>0:0)break;r=p>>>0<n>>>0?p:n;if((r|0)!=0?(n=gac(m?f[k>>2]|0:k,o?f[j>>2]|0:j,r)|0,(n|0)!=0):0){if((n|0)>=0)s=36}else s=20;if((s|0)==20?!l:0)s=36;if((s|0)==36){f[d>>2]=c;f[e>>2]=c;t=e;return t|0}l=i+4|0;n=f[l>>2]|0;if(!n){r=i+8|0;k=f[r>>2]|0;if((f[k>>2]|0)==(i|0))u=k;else{k=r;do{r=f[k>>2]|0;k=r+8|0;m=f[k>>2]|0}while((f[m>>2]|0)!=(r|0));u=m}}else{k=n;while(1){m=f[k>>2]|0;if(!m)break;else k=m}u=k}do if((u|0)!=(h|0)){n=f[u+16>>2]|0;m=b[n+11>>0]|0;r=m<<24>>24<0;q=r?f[n+4>>2]|0:m&255;m=q>>>0<p>>>0?q:p;if((m|0)!=0?(v=gac(o?f[j>>2]|0:j,r?f[n>>2]|0:n,m)|0,(v|0)!=0):0){if((v|0)<0)break}else s=30;if((s|0)==30?p>>>0<q>>>0:0)break;t=DDa(a,d,g)|0;return t|0}while(0);if(!(f[i+4>>2]|0)){f[d>>2]=c;t=l;return t|0}else{f[d>>2]=u;t=u;return t|0}}while(0);u=f[i>>2]|0;do if((i|0)==(f[a>>2]|0))w=c;else{if(!u){h=i;while(1){e=f[h+8>>2]|0;if((f[e>>2]|0)==(h|0))h=e;else{x=e;break}}}else{h=u;while(1){l=f[h+4>>2]|0;if(!l){x=h;break}else h=l}}h=x;l=f[x+16>>2]|0;e=f[g>>2]|0;p=b[e+11>>0]|0;j=p<<24>>24<0;o=j?f[e+4>>2]|0:p&255;p=b[l+11>>0]|0;k=p<<24>>24<0;q=k?f[l+4>>2]|0:p&255;p=o>>>0<q>>>0?o:q;if((p|0)!=0?(v=gac(k?f[l>>2]|0:l,j?f[e>>2]|0:e,p)|0,(v|0)!=0):0){if((v|0)<0){w=h;break}}else s=12;if((s|0)==12?q>>>0<o>>>0:0){w=h;break}t=DDa(a,d,g)|0;return t|0}while(0);if(!u){f[d>>2]=i;t=i;return t|0}else{i=w;f[d>>2]=i;t=i+4|0;return t|0}return 0}function HDa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=u;u=u+16|0;g=e;h=f[c+(d<<2)>>2]|0;d=a+8|0;c=a+4|0;i=h+4|0;j=f[h>>2]|0;while(1){k=f[j+16>>2]|0;l=(b[k+11>>0]|0)<0?f[k>>2]|0:k;m=b[l>>0]|0;if(!(m<<24>>24))n=0;else{o=l;l=0;p=m;while(1){m=(l*5|0)+(p<<24>>24)|0;o=o+1|0;p=b[o>>0]|0;if(!(p<<24>>24)){n=m;break}else l=m}}ADa(g,a,(f[c>>2]|0)+-1&(f[d>>2]|0)+n,k);l=f[j+4>>2]|0;if(!l){p=j+8|0;o=f[p>>2]|0;if((f[o>>2]|0)==(j|0))q=o;else{o=p;do{p=f[o>>2]|0;o=p+8|0;m=f[o>>2]|0}while((f[m>>2]|0)!=(p|0));q=m}}else{o=l;while(1){k=f[o>>2]|0;if(!k)break;else o=k}q=o}if((q|0)==(i|0))break;else j=q}q=f[a+20>>2]|0;nDa(h,f[i>>2]|0);if(q|0){u=e;return}Emc(h);u=e;return}function IDa(a){a=a|0;var b=0;b=a+16|0;if(!(f[b>>2]|0))return;mDa(a);if(f[a+20>>2]|0)return;Emc(f[b>>2]|0);return}function JDa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;e=b[c+11>>0]|0;g=e<<24>>24<0;h=g?f[c+4>>2]|0:e&255;e=b[d+11>>0]|0;i=e<<24>>24<0;j=i?f[d+4>>2]|0:e&255;e=g?f[c>>2]|0:c;c=j+h|0;if(c>>>0>4294967279)Lmc(a);if(c>>>0<11){b[a+11>>0]=h;k=a}else{g=c+16&-16;c=Bmc(g)|0;f[a>>2]=c;f[a+8>>2]=g|-2147483648;f[a+4>>2]=h;k=c}if(!h){l=k+h|0;b[l>>0]=0;m=f[d>>2]|0;n=i?m:d;$mc(a,n,j)|0;return}Krc(k|0,e|0,h|0)|0;l=k+h|0;b[l>>0]=0;m=f[d>>2]|0;n=i?m:d;$mc(a,n,j)|0;return}function KDa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=f[a+4>>2]|0;a:do if(c|0){d=a+4|0;e=f[b>>2]|0;g=(e|0)==0?1163146:e;h=f[c+16>>2]|0;if((e|0)==(h|0)){i=d;j=f[i>>2]|0;k=j+24|0;return k|0}else{l=d;m=c;n=h}while(1){h=(n|0)==0?1163146:n;if((o7b(g,h)|0)<0){d=f[m>>2]|0;if(!d)break a;else{o=m;p=d}}else{if((o7b(h,g)|0)>=0){i=l;q=9;break}h=m+4|0;d=f[h>>2]|0;if(!d)break a;else{o=h;p=d}}n=f[p+16>>2]|0;if((e|0)==(n|0)){i=o;q=9;break}else{l=o;m=p}}if((q|0)==9){j=f[i>>2]|0;k=j+24|0;return k|0}}while(0);k=ye(8)|0;Jmc(k,398766);f[k>>2]=165296;Gf(k|0,26792,1555);return 0}function LDa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=(d-e|0)/12|0;h=g+1|0;i=e;j=d;if(h>>>0>357913941)Ukc(a);k=a+8|0;l=((f[k>>2]|0)-e|0)/12|0;e=l<<1;m=l>>>0<178956970?(e>>>0<h>>>0?h:e):357913941;do if(m)if(m>>>0>357913941){e=ye(8)|0;Jmc(e,511852);f[e>>2]=165276;Gf(e|0,26776,1555)}else{n=Bmc(m*12|0)|0;break}else n=0;while(0);e=n+(g*12|0)|0;h=e;l=n+(m*12|0)|0;m=f[b>>2]|0;f[e>>2]=m;f[n+(g*12|0)+4>>2]=f[b+4>>2];if(!m){o=j;p=i;q=d}else{d=m+-4|0;f[d>>2]=(f[d>>2]|0)+1;d=f[c>>2]|0;o=d;p=f[a>>2]|0;q=d}f[n+(g*12|0)+8>>2]=f[b+8>>2];b=e+12|0;if((o|0)==(p|0)){r=h;s=o;t=q}else{q=o;o=h;h=e;do{e=q;q=q+-12|0;g=f[q>>2]|0;f[h+-12>>2]=g;f[h+-8>>2]=f[e+-8>>2];if(g|0){n=g+-4|0;f[n>>2]=(f[n>>2]|0)+1}f[h+-4>>2]=f[e+-4>>2];h=o+-12|0;o=h}while((q|0)!=(p|0));r=o;s=f[a>>2]|0;t=f[c>>2]|0}f[a>>2]=r;f[c>>2]=b;f[k>>2]=l;l=s;k=t;while(1){t=k;if((t|0)==(l|0))break;b=t+-12|0;ZG(b);k=b}if(!s)return;Emc(s);return}function MDa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;c=u;u=u+48|0;d=c+24|0;e=c;QCa(d,f[a+8>>2]|0,b,0);a=f[d>>2]|0;if(a|0){g=a+12|0;h=f[g>>2]|0;i=h+16|0;u=c;return i|0}TDb(e,3,398146,1064);QDb(c+40|0,PDb(ODb(ODb(e,398227)|0,398255)|0,b)|0);UDb(e);g=a+12|0;h=f[g>>2]|0;i=h+16|0;u=c;return i|0}function NDa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=a+20|0;if((f[b>>2]|0)==8){c=f[a+8>>2]|0;return c|0}WJa(a);f[b>>2]=8;b=f[a+4>>2]|0;d=b&-2;if(!(b&1))e=d;else e=f[d+4>>2]|0;if(!e){d=Bmc(172)|0;gJa(d);g=d}else{if(f[e+64>>2]|0)pBb(e,18904,176);d=nBb(e,176)|0;hJa(d,e);g=d}f[a+8>>2]=g;c=g;return c|0}function ODa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;if(d>>>0>4294967279)Lmc(g);if(d>>>0<11){b[g+11>>0]=d;if(!d)h=g;else{i=g;j=6}}else{k=d+16&-16;l=Bmc(k)|0;f[g>>2]=l;f[g+8>>2]=k|-2147483648;f[g+4>>2]=d;i=l;j=6}if((j|0)==6){Krc(i|0,c|0,d|0)|0;h=i}b[h+d>>0]=0;d=f[a+4>>2]|0;h=d&-2;if(!(d&1))m=h;else m=f[h+4>>2]|0;h=a+152|0;a=f[h>>2]|0;if((a|0)==535416)PDa(h,m,g);else Qmc(a,g)|0;if((b[g+11>>0]|0)>=0){u=e;return}Emc(f[g>>2]|0);u=e;return}function PDa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=Bmc(12)|0;Nmc(d,c);f[a>>2]=d;if(!b)return;QDa(b,d);return}function QDa(a,b){a=a|0;b=b|0;if(!b)return;mBb(a,b,1631);return}function RDa(a){a=a|0;if(!a)return;if((b[a+11>>0]|0)<0)Emc(f[a>>2]|0);Emc(a);return}function SDa(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0;g=u;u=u+112|0;h=g+8|0;i=g;_Ha(h);j=h+40|0;_Ha(j);f[h+80>>2]=0;k=h+84|0;f[k>>2]=0;f[h+88>>2]=0;if((b|0)!=0&(c|0)!=0)XDa(b,c,h);if((d|0)!=0&(e|0)!=0)ZDa(d,e,j);pAa(a);e=f[a>>2]|0;f[i>>2]=e;f[i+4>>2]=f[a+4>>2];if(e|0){a=e+4|0;f[a>>2]=(f[a>>2]|0)+1}CCa(h,i);TAa(i);i=h+80|0;a=f[i>>2]|0;if(!a){NFa(j);NFa(h);u=g;return}while(1){e=f[k>>2]|0;if((e|0)==(a|0))break;d=e+-8|0;f[k>>2]=d;ZG(d)}Emc(f[i>>2]|0);NFa(j);NFa(h);u=g;return}function TDa(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=f[b>>2]|0;e=f[c>>2]|0;g=f[c+4>>2]|0;SDa(a,d,(f[b+4>>2]|0)-d|0,(e|0)==(g|0)?0:e,g-e|0);return}function UDa(a,c){a=a|0;c=c|0;var d=0,e=0,f=0,g=0;d=u;u=u+176|0;e=d;VDa(e,399371,399445,44,405763,407942,GFa(a,c)|0);c=e+21|0;f=e+32|0;while(1){if(!(b[c>>0]|0))break;g=ZQ(f,399480,31)|0;ZQ(g,a,s8b(a)|0)|0;WDa(e)}$Q(e+24|0);u=d;return}function VDa(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0;j=u;u=u+16|0;k=j;f[a>>2]=c;f[a+4>>2]=d;f[a+8>>2]=g;f[a+12>>2]=h;f[a+16>>2]=e;b[a+20>>0]=i&1;b[a+21>>0]=1;i=a+24|0;e=a+88|0;h=a+32|0;f[h>>2]=46164;g=a+36|0;f[i>>2]=10956;f[e>>2]=10976;f[a+28>>2]=0;Icc(a+88|0,g);f[a+160>>2]=0;f[a+164>>2]=-1;f[i>>2]=46144;f[e>>2]=46184;f[h>>2]=46164;Ncc(g);f[g>>2]=46200;h=a+68|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[a+84>>2]=24;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;YQ(g,k);if((b[k+11>>0]|0)>=0){u=j;return}Emc(f[k>>2]|0);u=j;return}function WDa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;c=u;u=u+48|0;d=c+40|0;e=c+32|0;g=c+24|0;h=c+16|0;i=c;b[a+21>>0]=0;j=f[a+12>>2]|0;if(!j){u=c;return}if(b[a+20>>0]|0){u=c;return}f[h>>2]=0;k=h+4|0;f[k>>2]=0;l=s8b(j)|0;if(!l)m=0;else{Krc(YG(h,l)|0,j|0,l|0)|0;m=f[k>>2]|0}f[g>>2]=0;l=g+4|0;f[l>>2]=0;YG(g,m+8|0)|0;m=f[g>>2]|0;j=m;b[j>>0]=70;b[j+1>>0]=65;b[j+2>>0]=73;b[j+3>>0]=76;j=m+4|0;b[j>>0]=69;b[j+1>>0]=68;b[j+2>>0]=58;b[j+3>>0]=32;j=f[k>>2]|0;if(j|0)Krc((f[g>>2]|0)+8|0,f[h>>2]|0,j|0)|0;f[e>>2]=0;j=e+4|0;f[j>>2]=0;YG(e,(f[l>>2]|0)+2|0)|0;k=f[l>>2]|0;if(!k)n=0;else{Krc(f[e>>2]|0,f[g>>2]|0,k|0)|0;n=f[l>>2]|0}l=(f[e>>2]|0)+n|0;b[l>>0]=46;b[l+1>>0]=32;_Q(i,a+36|0);f[d>>2]=0;f[d+4>>2]=0;l=i+11|0;n=b[l>>0]|0;k=n<<24>>24<0?f[i+4>>2]|0:n&255;YG(d,(f[j>>2]|0)+k|0)|0;n=f[j>>2]|0;if(n|0)Krc(f[d>>2]|0,f[e>>2]|0,n|0)|0;if(k|0)Krc((f[d>>2]|0)+(f[j>>2]|0)|0,((b[l>>0]|0)<0?f[i>>2]|0:i)|0,k|0)|0;SQ(-2,d,f[a+4>>2]|0,f[a>>2]|0,f[a+16>>2]|0);ZG(d);if((b[l>>0]|0)<0)Emc(f[i>>2]|0);ZG(e);ZG(g);ZG(h);u=c;return}function XDa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0;e=u;u=u+176|0;f=e;VDa(f,399371,399512,50,405763,408020,IFa(a,c,d)|0);d=f+21|0;c=f+32|0;while(1){if(!(b[d>>0]|0))break;ZQ(c,399549,31)|0;WDa(f)}$Q(f+24|0);u=e;return}function YDa(a,c){a=a|0;c=c|0;var d=0,e=0,f=0,g=0;d=u;u=u+176|0;e=d;VDa(e,399371,399581,56,405763,407707,FFa(a,c)|0);c=e+21|0;f=e+32|0;while(1){if(!(b[c>>0]|0))break;g=ZQ(f,399480,31)|0;ZQ(g,a,s8b(a)|0)|0;WDa(e)}$Q(e+24|0);u=d;return}function ZDa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0;e=u;u=u+176|0;f=e;VDa(f,399371,399614,62,405763,407817,HFa(a,c,d)|0);d=f+21|0;c=f+32|0;while(1){if(!(b[d>>0]|0))break;ZQ(c,399549,31)|0;WDa(f)}$Q(f+24|0);u=e;return}function _Da(){return 0}function $Da(a){a=a|0;var c=0,d=0,e=0;a=u;u=u+16|0;c=a;f[c>>2]=0;f[c+4>>2]=0;a=YG(c,15)|0;d=399649;e=a+15|0;do{b[a>>0]=b[d>>0]|0;a=a+1|0;d=d+1|0}while((a|0)<(e|0));SQ(-215,c,399665,399682,584)}function aEa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+4|0;d=f[c>>2]|0;if((d|0)>=(b|0))return;e=a+8|0;g=f[e>>2]|0;h=(g|0)==0;if(h)i=0;else i=f[g>>2]|0;j=d<<1;d=(j|0)<(b|0)?b:j;j=(d|0)>4?d:4;d=j<<2;if(!i)k=Bmc(d+4|0)|0;else{b=d+11&-8;if(f[i+64>>2]|0)pBb(i,26896,b);k=nBb(i,b)|0}f[e>>2]=k;f[k>>2]=i;f[c>>2]=j;j=f[a>>2]|0;if((j|0)>0)Krc(k+4|0,g+4|0,j<<2|0)|0;if(h)return;if(f[g>>2]|0)return;Emc(g);return}function bEa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+4|0;d=f[c>>2]|0;if((d|0)>=(b|0))return;e=a+8|0;g=f[e>>2]|0;h=(g|0)==0;if(h)i=0;else i=f[g>>2]|0;j=d<<1;d=(j|0)<(b|0)?b:j;j=(d|0)>4?d:4;d=j<<3;if(!i)k=Bmc(d+8|0)|0;else{b=d+15&-8;if(f[i+64>>2]|0)pBb(i,26896,b);k=nBb(i,b)|0}f[e>>2]=k;f[k>>2]=i;f[c>>2]=j;j=f[a>>2]|0;if((j|0)>0)Krc(k+8|0,g+8|0,j<<3|0)|0;if(h)return;if(f[g>>2]|0)return;Emc(g);return}function cEa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=a+4|0;d=f[c>>2]|0;if((d|0)>=(b|0))return;e=a+8|0;g=f[e>>2]|0;h=(g|0)==0;if(h)i=0;else i=f[g>>2]|0;j=d<<1;d=(j|0)<(b|0)?b:j;j=(d|0)>4?d:4;d=j<<3;if(!i)k=Bmc(d+8|0)|0;else{b=d+15&-8;if(f[i+64>>2]|0)pBb(i,26896,b);k=nBb(i,b)|0}f[e>>2]=k;f[k>>2]=i;f[c>>2]=j;j=f[a>>2]|0;if((j|0)>0)Krc(k+8|0,g+8|0,j<<3|0)|0;if(h)return;if(f[g>>2]|0)return;Emc(g);return}function dEa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=u;u=u+16|0;d=c+12|0;e=c+8|0;g=c+4|0;h=c;if((a|0)==(b|0)){u=c;return a|0}i=a+4|0;nza(a,f[i>>2]|0);j=a+8|0;f[j>>2]=0;f[a>>2]=i;f[i>>2]=0;k=f[b>>2]|0;l=b+4|0;if((k|0)==(l|0)){u=c;return a|0}b=i;i=a+4|0;m=k;while(1){k=m+16|0;f[h>>2]=b;f[d>>2]=f[h>>2];n=sza(a,d,e,g,k)|0;if(!(f[n>>2]|0)){o=Bmc(32)|0;p=f[k>>2]|0;f[o+16>>2]=p;f[o+20>>2]=f[m+20>>2];if(p|0){k=p+-4|0;f[k>>2]=(f[k>>2]|0)+1}tza(o+24|0,m+24|0);k=f[e>>2]|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=k;f[n>>2]=o;k=f[f[a>>2]>>2]|0;if(!k)q=o;else{f[a>>2]=k;q=f[n>>2]|0}RS(f[i>>2]|0,q);f[j>>2]=(f[j>>2]|0)+1}n=f[m+4>>2]|0;if(!n){k=m+8|0;o=f[k>>2]|0;if((f[o>>2]|0)==(m|0))r=o;else{o=k;do{k=f[o>>2]|0;o=k+8|0;p=f[o>>2]|0}while((f[p>>2]|0)!=(k|0));r=p}}else{o=n;while(1){p=f[o>>2]|0;if(!p)break;else o=p}r=o}if((r|0)==(l|0))break;else m=r}u=c;return a|0}function eEa(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0;d=u;u=u+16|0;e=d;g=(c|0)==-1;if(g){h=f[a>>2]|0;switch(h|0){case 0:{i=f[a+4>>2]|0;j=i+4|0;k=i;l=i;m=i;break}case 3:{i=f[a+4>>2]|0;j=i+4|0;k=i;l=i;m=i;break}case 2:{i=f[a+4>>2]|0;j=i+4|0;k=i;l=i;m=i;break}default:{f[e>>2]=0;f[e+4>>2]=0;SQ(-3,e,463632,463637,278)}}if((f[j>>2]|0)==1){n=h;o=k;q=l;r=m}else s=15}else if((c|0)>-1){m=f[a>>2]|0;switch(m|0){case 0:{l=f[a+4>>2]|0;t=l+4|0;v=l;w=l;x=l;break}case 3:{l=f[a+4>>2]|0;t=l+4|0;v=l;w=l;x=l;break}case 2:{l=f[a+4>>2]|0;t=l+4|0;v=l;w=l;x=l;break}default:{f[e>>2]=0;f[e+4>>2]=0;SQ(-3,e,463632,463637,278)}}if((f[t>>2]|0)>(c|0)){n=m;o=v;q=w;r=x}else s=15}else s=15;if((s|0)==15){f[e>>2]=0;f[e+4>>2]=0;y=YG(e,56)|0;z=399753;A=y+56|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,e,399810,463637,142)}s=g?0:c;switch(n|0){case 2:{B=+p[(f[o>>2]|0)+(s<<3)>>3];u=d;return +B}case 0:{o=(f[q>>2]|0)+(s<<3)|0;B=+((f[o>>2]|0)>>>0)+4294967296.0*+(f[o+4>>2]|0);u=d;return +B}case 3:{o=f[(f[r>>2]|0)+(s<<3)>>2]|0;B=+fac((o|0)==0?1163146:o);u=d;return +B}default:{f[e>>2]=0;f[e+4>>2]=0;y=YG(e,33)|0;z=399814;A=y+33|0;do{b[y>>0]=b[z>>0]|0;y=y+1|0;z=z+1|0}while((y|0)<(A|0));SQ(-215,e,399810,463637,159)}}return +(0.0)}function fEa(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;e=u;u=u+32|0;g=e+16|0;h=e;pAa(a);i=a+8|0;f[i>>2]=0;j=a+12|0;f[j>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+16>>2]=a+20;f[a+32>>2]=0;f[a+36>>2]=0;f[a+28>>2]=a+32;f[a+44>>2]=0;f[a+48>>2]=0;f[a+40>>2]=a+44;f[a+52>>2]=0;f[a+56>>2]=0;f[a+60>>2]=0;zT(g,110740);f[a+68>>2]=0;f[a+64>>2]=0;f[a+72>>2]=0;a=f[c>>2]|0;k=f[c+4>>2]|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(k>>>0>4294967279)Lmc(h);if(k>>>0<11){b[h+11>>0]=k;if(!k)l=h;else{m=h;n=6}}else{c=k+16&-16;o=Bmc(c)|0;f[h>>2]=o;f[h+8>>2]=c|-2147483648;f[h+4>>2]=k;m=o;n=6}if((n|0)==6){Krc(m|0,a|0,k|0)|0;l=m}b[l+k>>0]=0;k=ryb(h,407602,0)|0;if(!k){p=0;q=0;r=0;s=1}else{l=Bmc(16)|0;f[l+4>>2]=1;f[l>>2]=110768;f[l+8>>2]=k;f[l+12>>2]=1632;m=l+4|0;f[m>>2]=(f[m>>2]|0)+1;p=l;q=l;r=l;s=0}l=f[i>>2]|0;f[i>>2]=p;f[j>>2]=k;if(l|0?(k=l+4|0,p=f[k>>2]|0,f[k>>2]=p+-1,(p|0)==1):0)ai[f[(f[l>>2]|0)+8>>2]&2047](l);if(!s?(s=q+4|0,l=f[s>>2]|0,f[s>>2]=l+-1,(l|0)==1):0)ai[f[(f[q>>2]|0)+8>>2]&2047](r);if((b[h+11>>0]|0)<0)Emc(f[h>>2]|0);r=f[j>>2]|0;if(!r){f[h>>2]=0;t=h+4|0;f[t>>2]=0;v=YG(h,29)|0;w=v;x=402482;y=w+29|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,h,402512,399848,141)}if(!(kyb(r)|0)){f[h>>2]=0;t=h+4|0;f[t>>2]=0;v=YG(h,29)|0;w=v;x=402482;y=w+29|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));SQ(-215,h,402512,399848,141)}h=f[j>>2]|0;if(d)lyb(h);else myb(h);if(!(f[g+4>>2]|0)){u=e;return}u=e;return}function gEa(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;c=u;u=u+16|0;d=c;e=c+8|0;g=a+12|0;switch(nyb(f[g>>2]|0)|0){case 4:{h=nyb(f[g>>2]|0)|0;jEa(a,h);i=a+16|0;j=a+20|0;k=f[j>>2]|0;do if(k){l=a+20|0;m=k;while(1){n=f[m+16>>2]|0;if((h|0)<(n|0)){o=f[m>>2]|0;if(!o){p=7;break}else{q=m;r=o}}else{if((n|0)>=(h|0)){p=11;break}s=m+4|0;n=f[s>>2]|0;if(!n){p=10;break}else{q=s;r=n}}l=q;m=r}if((p|0)==7){t=m;v=m;break}else if((p|0)==10){t=s;v=m;break}else if((p|0)==11){t=l;v=m;break}}else{t=j;v=j}while(0);if(f[t>>2]|0){u=c;return}j=Bmc(20)|0;f[j+16>>2]=h;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=v;f[t>>2]=j;v=f[f[i>>2]>>2]|0;if(!v)w=j;else{f[i>>2]=v;w=f[t>>2]|0}RS(f[a+20>>2]|0,w);w=a+24|0;f[w>>2]=(f[w>>2]|0)+1;u=c;return}case 1:{+pyb(f[g>>2]|0);u=c;return}case 5:{nyb(f[g>>2]|0)|0;u=c;return}case 2:{w=nyb(f[g>>2]|0)|0;f[d>>2]=0;f[d+4>>2]=0;if(!w)x=0;else{Drc(YG(d,w)|0,0,w|0)|0;x=f[d>>2]|0}byb(f[g>>2]|0,(x|0)==0?1163146:x,w)|0;ZG(d);u=c;return}case 3:{kEa(a,-1);u=c;return}case 0:{u=c;return}default:{f[e>>2]=0;f[e+4>>2]=0;c=YG(e,20)|0;a=399926;d=c+20|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));SQ(-213,e,399947,399848,1019)}}}function hEa(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;b=f[a+52>>2]|0;if(b|0){c=a+56|0;d=f[c>>2]|0;if((d|0)!=(b|0))f[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);Emc(b)}iEa(a+40|0,f[a+44>>2]|0);iEa(a+28|0,f[a+32>>2]|0);BAa(a+16|0,f[a+20>>2]|0);b=a+8|0;d=f[b>>2]|0;if(!d){f[b>>2]=0;e=a+12|0;f[e>>2]=0;TAa(a);return}c=d+4|0;g=f[c>>2]|0;f[c>>2]=g+-1;if((g|0)!=1){f[b>>2]=0;e=a+12|0;f[e>>2]=0;TAa(a);return}ai[f[(f[d>>2]|0)+8>>2]&2047](d);f[b>>2]=0;e=a+12|0;f[e>>2]=0;TAa(a);return}function iEa(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if(!b)return;iEa(a,f[b>>2]|0);iEa(a,f[b+4>>2]|0);a=b+20|0;c=b+56|0;d=f[c>>2]|0;if(d|0?(e=d+12|0,d=f[e>>2]|0,f[e>>2]=d+-1,(d|0)==1):0)lP(a);f[c>>2]=0;c=b+36|0;a=b+24|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;if((f[a>>2]|0)>0){c=f[b+60>>2]|0;d=0;do{f[c+(d<<2)>>2]=0;d=d+1|0}while((d|0)<(f[a>>2]|0))}a=f[b+64>>2]|0;if((a|0)!=(b+68|0))tE(a);Emc(b);return}
function Gic(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;m=u;u=u+16|0;n=m+12|0;o=m;if(a){a=nec(c,895364)|0;xh[f[(f[a>>2]|0)+44>>2]&2047](n,a);p=f[n>>2]|0;b[d>>0]=p;b[d+1>>0]=p>>8;b[d+2>>0]=p>>16;b[d+3>>0]=p>>24;xh[f[(f[a>>2]|0)+32>>2]&2047](o,a);p=k+11|0;if((b[p>>0]|0)<0){q=f[k>>2]|0;b[n>>0]=0;Gcc(q,n);f[k+4>>2]=0;r=k}else{b[n>>0]=0;Gcc(k,n);b[p>>0]=0;r=k}Umc(k,0);f[r>>2]=f[o>>2];f[r+4>>2]=f[o+4>>2];f[r+8>>2]=f[o+8>>2];r=0;while(1){if((r|0)==3)break;f[o+(r<<2)>>2]=0;r=r+1|0}Pmc(o);xh[f[(f[a>>2]|0)+28>>2]&2047](o,a);r=j+11|0;if((b[r>>0]|0)<0){p=f[j>>2]|0;b[n>>0]=0;Gcc(p,n);f[j+4>>2]=0;s=j}else{b[n>>0]=0;Gcc(j,n);b[r>>0]=0;s=j}Umc(j,0);f[s>>2]=f[o>>2];f[s+4>>2]=f[o+4>>2];f[s+8>>2]=f[o+8>>2];s=0;while(1){if((s|0)==3)break;f[o+(s<<2)>>2]=0;s=s+1|0}Pmc(o);s=ci[f[(f[a>>2]|0)+12>>2]&1023](a)|0;b[e>>0]=s;s=ci[f[(f[a>>2]|0)+16>>2]&1023](a)|0;b[g>>0]=s;xh[f[(f[a>>2]|0)+20>>2]&2047](o,a);s=h+11|0;if((b[s>>0]|0)<0){r=f[h>>2]|0;b[n>>0]=0;Gcc(r,n);f[h+4>>2]=0;t=h}else{b[n>>0]=0;Gcc(h,n);b[s>>0]=0;t=h}Umc(h,0);f[t>>2]=f[o>>2];f[t+4>>2]=f[o+4>>2];f[t+8>>2]=f[o+8>>2];t=0;while(1){if((t|0)==3)break;f[o+(t<<2)>>2]=0;t=t+1|0}Pmc(o);xh[f[(f[a>>2]|0)+24>>2]&2047](o,a);t=i+11|0;if((b[t>>0]|0)<0){s=f[i>>2]|0;b[n>>0]=0;Gcc(s,n);f[i+4>>2]=0;v=i}else{b[n>>0]=0;Gcc(i,n);b[t>>0]=0;v=i}Umc(i,0);f[v>>2]=f[o>>2];f[v+4>>2]=f[o+4>>2];f[v+8>>2]=f[o+8>>2];v=0;while(1){if((v|0)==3)break;f[o+(v<<2)>>2]=0;v=v+1|0}Pmc(o);w=ci[f[(f[a>>2]|0)+36>>2]&1023](a)|0}else{a=nec(c,895356)|0;xh[f[(f[a>>2]|0)+44>>2]&2047](n,a);c=f[n>>2]|0;b[d>>0]=c;b[d+1>>0]=c>>8;b[d+2>>0]=c>>16;b[d+3>>0]=c>>24;xh[f[(f[a>>2]|0)+32>>2]&2047](o,a);c=k+11|0;if((b[c>>0]|0)<0){d=f[k>>2]|0;b[n>>0]=0;Gcc(d,n);f[k+4>>2]=0;x=k}else{b[n>>0]=0;Gcc(k,n);b[c>>0]=0;x=k}Umc(k,0);f[x>>2]=f[o>>2];f[x+4>>2]=f[o+4>>2];f[x+8>>2]=f[o+8>>2];x=0;while(1){if((x|0)==3)break;f[o+(x<<2)>>2]=0;x=x+1|0}Pmc(o);xh[f[(f[a>>2]|0)+28>>2]&2047](o,a);x=j+11|0;if((b[x>>0]|0)<0){k=f[j>>2]|0;b[n>>0]=0;Gcc(k,n);f[j+4>>2]=0;y=j}else{b[n>>0]=0;Gcc(j,n);b[x>>0]=0;y=j}Umc(j,0);f[y>>2]=f[o>>2];f[y+4>>2]=f[o+4>>2];f[y+8>>2]=f[o+8>>2];y=0;while(1){if((y|0)==3)break;f[o+(y<<2)>>2]=0;y=y+1|0}Pmc(o);y=ci[f[(f[a>>2]|0)+12>>2]&1023](a)|0;b[e>>0]=y;y=ci[f[(f[a>>2]|0)+16>>2]&1023](a)|0;b[g>>0]=y;xh[f[(f[a>>2]|0)+20>>2]&2047](o,a);y=h+11|0;if((b[y>>0]|0)<0){g=f[h>>2]|0;b[n>>0]=0;Gcc(g,n);f[h+4>>2]=0;z=h}else{b[n>>0]=0;Gcc(h,n);b[y>>0]=0;z=h}Umc(h,0);f[z>>2]=f[o>>2];f[z+4>>2]=f[o+4>>2];f[z+8>>2]=f[o+8>>2];z=0;while(1){if((z|0)==3)break;f[o+(z<<2)>>2]=0;z=z+1|0}Pmc(o);xh[f[(f[a>>2]|0)+24>>2]&2047](o,a);z=i+11|0;if((b[z>>0]|0)<0){h=f[i>>2]|0;b[n>>0]=0;Gcc(h,n);f[i+4>>2]=0;A=i}else{b[n>>0]=0;Gcc(i,n);b[z>>0]=0;A=i}Umc(i,0);f[A>>2]=f[o>>2];f[A+4>>2]=f[o+4>>2];f[A+8>>2]=f[o+8>>2];A=0;while(1){if((A|0)==3)break;f[o+(A<<2)>>2]=0;A=A+1|0}Pmc(o);w=ci[f[(f[a>>2]|0)+36>>2]&1023](a)|0}f[l>>2]=w;u=m;return}function Hic(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=a+4|0;e=(f[d>>2]|0)!=1697;g=f[a>>2]|0;h=(f[c>>2]|0)-g|0;i=h>>>0<2147483647?h<<1:-1;h=(i|0)==0?1:i;i=(f[b>>2]|0)-g|0;j=Y6b(e?g:0,h)|0;if(!j)Gmc();if(!e){e=f[a>>2]|0;f[a>>2]=j;if(!e)k=j;else{ai[f[d>>2]&2047](e);k=f[a>>2]|0}}else{f[a>>2]=j;k=j}f[d>>2]=1698;f[b>>2]=k+i;f[c>>2]=(f[a>>2]|0)+h;return}function Iic(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=a+4|0;e=(f[d>>2]|0)!=1697;g=f[a>>2]|0;h=(f[c>>2]|0)-g|0;i=h>>>0<2147483647?h<<1:-1;h=(i|0)==0?4:i;i=(f[b>>2]|0)-g>>2;j=Y6b(e?g:0,h)|0;if(!j)Gmc();if(!e){e=f[a>>2]|0;f[a>>2]=j;if(!e)k=j;else{ai[f[d>>2]&2047](e);k=f[a>>2]|0}}else{f[a>>2]=j;k=j}f[d>>2]=1698;f[b>>2]=k+(i<<2);f[c>>2]=(f[a>>2]|0)+(h>>>2<<2);return}function Jic(a){a=a|0;Vdc(a);return}function Kic(a){a=a|0;Vdc(a);Emc(a);return}function Lic(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;a=u;u=u+576|0;j=a+424|0;k=a;l=a+24|0;m=a+16|0;n=a+12|0;o=a+8|0;p=a+564|0;q=a+4|0;r=a+464|0;f[m>>2]=l;s=m+4|0;f[s>>2]=1697;Kcc(o,g);t=nec(o,893676)|0;b[p>>0]=0;f[q>>2]=f[d>>2];v=f[g+4>>2]|0;f[j>>2]=f[q>>2];if(Nic(c,j,e,o,v,h,p,t,m,n,l+400|0)|0){Bg[f[(f[t>>2]|0)+48>>2]&127](t,521806,521816,j)|0;t=f[n>>2]|0;l=f[m>>2]|0;v=t-l|0;e=l;l=t;if((v|0)>392){t=W6b((v>>>2)+2|0)|0;if(!t)Gmc();else{w=t;x=t}}else{w=r;x=0}if(!(b[p>>0]|0))y=w;else{b[w>>0]=45;y=w+1|0}w=j+40|0;p=j;t=e;e=y;y=l;while(1){if(t>>>0>=y>>>0)break;l=f[t>>2]|0;v=j;while(1){if((v|0)==(w|0)){z=w;break}if((f[v>>2]|0)==(l|0)){z=v;break}v=v+4|0}b[e>>0]=b[521806+(z-p>>2)>>0]|0;t=t+4|0;e=e+1|0;y=f[n>>2]|0}b[e>>0]=0;f[k>>2]=i;if((Z8b(r,521707,k)|0)!=1)Ihc(0);if(x|0)X6b(x)}x=f[c>>2]|0;do if(x){k=f[x+12>>2]|0;if((k|0)==(f[x+16>>2]|0))A=ci[f[(f[x>>2]|0)+36>>2]&1023](x)|0;else A=bcc(f[k>>2]|0)|0;if(Lcc(A,acc()|0)|0){f[c>>2]=0;B=1;break}else{B=(f[c>>2]|0)==0;break}}else B=1;while(0);A=f[d>>2]|0;do if(A){x=f[A+12>>2]|0;if((x|0)==(f[A+16>>2]|0))C=ci[f[(f[A>>2]|0)+36>>2]&1023](A)|0;else C=bcc(f[x>>2]|0)|0;if(!(Lcc(C,acc()|0)|0))if(B)break;else{D=34;break}else{f[d>>2]=0;D=32;break}}else D=32;while(0);if((D|0)==32?B:0)D=34;if((D|0)==34)f[h>>2]=f[h>>2]|2;h=f[c>>2]|0;oec(o);o=f[m>>2]|0;f[m>>2]=0;if(o|0)ai[f[s>>2]&2047](o);u=a;return h|0}function Mic(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;a=u;u=u+432|0;j=a+424|0;k=a+24|0;l=a+16|0;m=a+8|0;n=a;o=a+428|0;p=a+4|0;f[l>>2]=k;q=l+4|0;f[q>>2]=1697;Kcc(n,g);r=nec(n,893676)|0;b[o>>0]=0;s=f[d>>2]|0;f[p>>2]=s;t=f[g+4>>2]|0;f[j>>2]=f[p>>2];p=s;if(Nic(c,j,e,n,t,h,o,r,l,m,k+400|0)|0){k=i+8+3|0;if((b[k>>0]|0)<0){t=f[i>>2]|0;f[j>>2]=0;$dc(t,j);f[i+4>>2]=0}else{f[j>>2]=0;$dc(i,j);b[k>>0]=0}if(b[o>>0]|0)tnc(i,Sh[f[(f[r>>2]|0)+44>>2]&511](r,45)|0);o=Sh[f[(f[r>>2]|0)+44>>2]&511](r,48)|0;r=f[m>>2]|0;m=r+-4|0;k=f[l>>2]|0;while(1){if(k>>>0>=m>>>0)break;if((f[k>>2]|0)!=(o|0))break;k=k+4|0}Oic(i,k,r)|0}r=f[c>>2]|0;do if(r){k=f[r+12>>2]|0;if((k|0)==(f[r+16>>2]|0))v=ci[f[(f[r>>2]|0)+36>>2]&1023](r)|0;else v=bcc(f[k>>2]|0)|0;if(Lcc(v,acc()|0)|0){f[c>>2]=0;w=1;break}else{w=(f[c>>2]|0)==0;break}}else w=1;while(0);do if(s){v=f[p+12>>2]|0;if((v|0)==(f[p+16>>2]|0))x=ci[f[(f[s>>2]|0)+36>>2]&1023](p)|0;else x=bcc(f[v>>2]|0)|0;if(!(Lcc(x,acc()|0)|0))if(w)break;else{y=27;break}else{f[d>>2]=0;y=25;break}}else y=25;while(0);if((y|0)==25?w:0)y=27;if((y|0)==27)f[h>>2]=f[h>>2]|2;h=f[c>>2]|0;oec(n);n=f[l>>2]|0;f[l>>2]=0;if(n|0)ai[f[q>>2]&2047](n);u=a;return h|0}function Nic(a,c,d,e,g,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0;o=u;u=u+512|0;p=o+96|0;q=o+104|0;r=o+88|0;s=o+80|0;t=o+76|0;v=o+504|0;w=o+72|0;x=o+68|0;y=o+56|0;z=o+44|0;A=o+32|0;B=o+20|0;C=o+8|0;D=o+4|0;E=o;f[p>>2]=n;f[r>>2]=q;n=r+4|0;f[n>>2]=1697;f[s>>2]=q;f[t>>2]=q+400;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;q=0;while(1){if((q|0)==3)break;f[y+(q<<2)>>2]=0;q=q+1|0}f[z>>2]=0;f[z+4>>2]=0;f[z+8>>2]=0;q=0;while(1){if((q|0)==3)break;f[z+(q<<2)>>2]=0;q=q+1|0}f[A>>2]=0;f[A+4>>2]=0;f[A+8>>2]=0;q=0;while(1){if((q|0)==3)break;f[A+(q<<2)>>2]=0;q=q+1|0}f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;q=0;while(1){if((q|0)==3)break;f[B+(q<<2)>>2]=0;q=q+1|0}f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;q=0;while(1){if((q|0)==3)break;f[C+(q<<2)>>2]=0;q=q+1|0}Qic(d,e,v,w,x,y,z,A,B,D);f[m>>2]=f[l>>2];e=A+8+3|0;d=A+4|0;q=B+8+3|0;F=B+4|0;G=(g&512|0)!=0;g=z+8+3|0;H=z+4|0;I=C+8+3|0;J=C+4|0;K=v+3|0;L=y+11|0;M=y+4|0;N=0;O=0;a:while(1){P=(N|0)!=0;if(O>>>0>=4){Q=229;break}R=f[a>>2]|0;do if(R){S=f[R+12>>2]|0;if((S|0)==(f[R+16>>2]|0))T=ci[f[(f[R>>2]|0)+36>>2]&1023](R)|0;else T=bcc(f[S>>2]|0)|0;if(Lcc(T,acc()|0)|0){f[a>>2]=0;U=1;break}else{U=(f[a>>2]|0)==0;break}}else U=1;while(0);R=f[c>>2]|0;do if(R){S=f[R+12>>2]|0;if((S|0)==(f[R+16>>2]|0))V=ci[f[(f[R>>2]|0)+36>>2]&1023](R)|0;else V=bcc(f[S>>2]|0)|0;if(!(Lcc(V,acc()|0)|0))if(U){W=R;break}else{Q=229;break a}else{f[c>>2]=0;Q=31;break}}else Q=31;while(0);if((Q|0)==31){Q=0;if(U){Q=229;break}else W=0}R=(O|0)!=3;b:do switch(b[v+O>>0]|0){case 1:{if(R){S=f[a>>2]|0;X=f[S+12>>2]|0;if((X|0)==(f[S+16>>2]|0))Y=ci[f[(f[S>>2]|0)+36>>2]&1023](S)|0;else Y=bcc(f[X>>2]|0)|0;if(!(ki[f[(f[k>>2]|0)+12>>2]&511](k,8192,Y)|0)){Q=43;break a}X=f[a>>2]|0;S=X+12|0;Z=f[S>>2]|0;if((Z|0)==(f[X+16>>2]|0))_=ci[f[(f[X>>2]|0)+40>>2]&1023](X)|0;else{f[S>>2]=Z+4;_=bcc(f[Z>>2]|0)|0}tnc(C,_);$=W;aa=W;Q=45}else ba=N;break}case 0:{if(R){$=W;aa=W;Q=45}else ba=N;break}case 3:{Z=b[e>>0]|0;S=Z<<24>>24<0?f[d>>2]|0:Z&255;Z=b[q>>0]|0;X=Z<<24>>24<0?f[F>>2]|0:Z&255;if((S|0)==(0-X|0))ba=N;else{Z=(S|0)==0;S=f[a>>2]|0;ca=f[S+12>>2]|0;da=(ca|0)==(f[S+16>>2]|0);if(Z|(X|0)==0){if(da)ea=ci[f[(f[S>>2]|0)+36>>2]&1023](S)|0;else ea=bcc(f[ca>>2]|0)|0;if(Z){if((ea|0)!=(f[((b[q>>0]|0)<0?f[B>>2]|0:B)>>2]|0)){ba=N;break b}Z=f[a>>2]|0;X=Z+12|0;fa=f[X>>2]|0;if((fa|0)==(f[Z+16>>2]|0))ci[f[(f[Z>>2]|0)+40>>2]&1023](Z)|0;else{f[X>>2]=fa+4;bcc(f[fa>>2]|0)|0}b[j>>0]=1;fa=b[q>>0]|0;ba=(fa<<24>>24<0?f[F>>2]|0:fa&255)>>>0>1?B:N;break b}if((ea|0)!=(f[((b[e>>0]|0)<0?f[A>>2]|0:A)>>2]|0)){b[j>>0]=1;ba=N;break b}fa=f[a>>2]|0;X=fa+12|0;Z=f[X>>2]|0;if((Z|0)==(f[fa+16>>2]|0))ci[f[(f[fa>>2]|0)+40>>2]&1023](fa)|0;else{f[X>>2]=Z+4;bcc(f[Z>>2]|0)|0}Z=b[e>>0]|0;ba=(Z<<24>>24<0?f[d>>2]|0:Z&255)>>>0>1?A:N;break b}if(da)ga=ci[f[(f[S>>2]|0)+36>>2]&1023](S)|0;else ga=bcc(f[ca>>2]|0)|0;ca=f[a>>2]|0;S=ca+12|0;da=f[S>>2]|0;Z=(da|0)==(f[ca+16>>2]|0);if((ga|0)==(f[((b[e>>0]|0)<0?f[A>>2]|0:A)>>2]|0)){if(Z)ci[f[(f[ca>>2]|0)+40>>2]&1023](ca)|0;else{f[S>>2]=da+4;bcc(f[da>>2]|0)|0}S=b[e>>0]|0;ba=(S<<24>>24<0?f[d>>2]|0:S&255)>>>0>1?A:N;break b}if(Z)ha=ci[f[(f[ca>>2]|0)+36>>2]&1023](ca)|0;else ha=bcc(f[da>>2]|0)|0;if((ha|0)!=(f[((b[q>>0]|0)<0?f[B>>2]|0:B)>>2]|0)){Q=101;break a}da=f[a>>2]|0;ca=da+12|0;Z=f[ca>>2]|0;if((Z|0)==(f[da+16>>2]|0))ci[f[(f[da>>2]|0)+40>>2]&1023](da)|0;else{f[ca>>2]=Z+4;bcc(f[Z>>2]|0)|0}b[j>>0]=1;Z=b[q>>0]|0;ba=(Z<<24>>24<0?f[F>>2]|0:Z&255)>>>0>1?B:N}break}case 2:{if(!(O>>>0<2|P)?!(G|(O|0)==2&(b[K>>0]|0)!=0):0){ba=0;break b}Z=b[g>>0]|0;ca=f[z>>2]|0;da=Z<<24>>24<0?ca:z;c:do if((O|0)!=0?(h[v+(O+-1)>>0]|0)<2:0){S=da;X=Z;fa=ca;while(1){ia=X<<24>>24<0;ja=S;if((ja|0)==((ia?fa:z)+((ia?f[H>>2]|0:X&255)<<2)|0)){ka=X;la=fa;break}if(!(ki[f[(f[k>>2]|0)+12>>2]&511](k,8192,f[ja>>2]|0)|0)){Q=108;break}S=ja+4|0;X=b[g>>0]|0;fa=f[z>>2]|0}if((Q|0)==108){Q=0;ka=b[g>>0]|0;la=f[z>>2]|0}fa=ka<<24>>24<0?la:z;X=fa;ja=S-X>>2;ia=b[I>>0]|0;ma=ia<<24>>24<0;na=ma?f[J>>2]|0:ia&255;if(ja>>>0>na>>>0){oa=W;pa=X;qa=ka;ra=la;sa=W}else{ia=(ma?f[C>>2]|0:C)+(na<<2)|0;na=fa;fa=ia+(0-ja<<2)|0;while(1){if((fa|0)==(ia|0)){oa=W;pa=S;qa=ka;ra=la;sa=W;break c}if((f[fa>>2]|0)!=(f[na>>2]|0)){oa=W;pa=X;qa=ka;ra=la;sa=W;break c}na=na+4|0;fa=fa+4|0}}}else{oa=W;pa=da;qa=Z;ra=ca;sa=W}while(0);d:while(1){ca=qa<<24>>24<0;Z=(ca?ra:z)+((ca?f[H>>2]|0:qa&255)<<2)|0;ca=pa;if((ca|0)==(Z|0)){ta=Z;break}Z=f[a>>2]|0;do if(Z){da=f[Z+12>>2]|0;if((da|0)==(f[Z+16>>2]|0))ua=ci[f[(f[Z>>2]|0)+36>>2]&1023](Z)|0;else ua=bcc(f[da>>2]|0)|0;if(Lcc(ua,acc()|0)|0){f[a>>2]=0;va=1;break}else{va=(f[a>>2]|0)==0;break}}else va=1;while(0);do if(sa){Z=f[sa+12>>2]|0;if((Z|0)==(f[sa+16>>2]|0))wa=ci[f[(f[sa>>2]|0)+36>>2]&1023](sa)|0;else wa=bcc(f[Z>>2]|0)|0;if(!(Lcc(wa,acc()|0)|0))if(va^(oa|0)==0){xa=oa;ya=oa;break}else{ta=ca;break d}else{f[c>>2]=0;za=0;Q=129;break}}else{za=oa;Q=129}while(0);if((Q|0)==129){Q=0;if(va){ta=ca;break}else{xa=za;ya=0}}Z=f[a>>2]|0;da=f[Z+12>>2]|0;if((da|0)==(f[Z+16>>2]|0))Aa=ci[f[(f[Z>>2]|0)+36>>2]&1023](Z)|0;else Aa=bcc(f[da>>2]|0)|0;if((Aa|0)!=(f[ca>>2]|0)){ta=ca;break}da=f[a>>2]|0;Z=da+12|0;fa=f[Z>>2]|0;if((fa|0)==(f[da+16>>2]|0))ci[f[(f[da>>2]|0)+40>>2]&1023](da)|0;else{f[Z>>2]=fa+4;bcc(f[fa>>2]|0)|0}oa=xa;pa=ca+4|0;qa=b[g>>0]|0;ra=f[z>>2]|0;sa=ya}if(G?(fa=b[g>>0]|0,Z=fa<<24>>24<0,(ta|0)!=((Z?f[z>>2]|0:z)+((Z?f[H>>2]|0:fa&255)<<2)|0)):0){Q=141;break a}else ba=N;break}case 4:{fa=0;Z=W;da=W;e:while(1){na=f[a>>2]|0;do if(na){X=f[na+12>>2]|0;if((X|0)==(f[na+16>>2]|0))Ba=ci[f[(f[na>>2]|0)+36>>2]&1023](na)|0;else Ba=bcc(f[X>>2]|0)|0;if(Lcc(Ba,acc()|0)|0){f[a>>2]=0;Ca=1;break}else{Ca=(f[a>>2]|0)==0;break}}else Ca=1;while(0);do if(da){na=f[da+12>>2]|0;if((na|0)==(f[da+16>>2]|0))Da=ci[f[(f[da>>2]|0)+36>>2]&1023](da)|0;else Da=bcc(f[na>>2]|0)|0;if(!(Lcc(Da,acc()|0)|0))if(Ca^(Z|0)==0){Ea=Z;Fa=Z;break}else{Ga=Z;break e}else{f[c>>2]=0;Ha=0;Q=155;break}}else{Ha=Z;Q=155}while(0);if((Q|0)==155){Q=0;if(Ca){Ga=Ha;break}else{Ea=Ha;Fa=0}}na=f[a>>2]|0;ca=f[na+12>>2]|0;if((ca|0)==(f[na+16>>2]|0))Ia=ci[f[(f[na>>2]|0)+36>>2]&1023](na)|0;else Ia=bcc(f[ca>>2]|0)|0;if(ki[f[(f[k>>2]|0)+12>>2]&511](k,2048,Ia)|0){ca=f[m>>2]|0;if((ca|0)==(f[p>>2]|0)){Ric(l,m,p);Ja=f[m>>2]|0}else Ja=ca;f[m>>2]=Ja+4;f[Ja>>2]=Ia;Ka=fa+1|0}else{ca=b[L>>0]|0;if(!((Ia|0)==(f[x>>2]|0)&(fa|0?((ca<<24>>24<0?f[M>>2]|0:ca&255)|0)!=0:0))){Ga=Ea;break}ca=f[s>>2]|0;if((ca|0)==(f[t>>2]|0)){Iic(r,s,t);La=f[s>>2]|0}else La=ca;f[s>>2]=La+4;f[La>>2]=fa;Ka=0}ca=f[a>>2]|0;na=ca+12|0;X=f[na>>2]|0;if((X|0)==(f[ca+16>>2]|0)){ci[f[(f[ca>>2]|0)+40>>2]&1023](ca)|0;fa=Ka;Z=Ea;da=Fa;continue}else{f[na>>2]=X+4;bcc(f[X>>2]|0)|0;fa=Ka;Z=Ea;da=Fa;continue}}da=f[s>>2]|0;if(fa|0?(f[r>>2]|0)!=(da|0):0){if((da|0)==(f[t>>2]|0)){Iic(r,s,t);Ma=f[s>>2]|0}else Ma=da;f[s>>2]=Ma+4;f[Ma>>2]=fa}f:do if((f[D>>2]|0)>0){da=f[a>>2]|0;do if(da){Z=f[da+12>>2]|0;if((Z|0)==(f[da+16>>2]|0))Na=ci[f[(f[da>>2]|0)+36>>2]&1023](da)|0;else Na=bcc(f[Z>>2]|0)|0;if(Lcc(Na,acc()|0)|0){f[a>>2]=0;Oa=1;break}else{Oa=(f[a>>2]|0)==0;break}}else Oa=1;while(0);do if(Ga){da=f[Ga+12>>2]|0;if((da|0)==(f[Ga+16>>2]|0))Pa=ci[f[(f[Ga>>2]|0)+36>>2]&1023](Ga)|0;else Pa=bcc(f[da>>2]|0)|0;if(!(Lcc(Pa,acc()|0)|0))if(Oa){Qa=Ga;break}else{Q=227;break a}else{f[c>>2]=0;Q=189;break}}else Q=189;while(0);if((Q|0)==189){Q=0;if(Oa){Q=227;break a}else Qa=0}da=f[a>>2]|0;Z=f[da+12>>2]|0;if((Z|0)==(f[da+16>>2]|0))Ra=ci[f[(f[da>>2]|0)+36>>2]&1023](da)|0;else Ra=bcc(f[Z>>2]|0)|0;if((Ra|0)!=(f[w>>2]|0)){Q=227;break a}Z=f[a>>2]|0;da=Z+12|0;X=f[da>>2]|0;if((X|0)==(f[Z+16>>2]|0)){ci[f[(f[Z>>2]|0)+40>>2]&1023](Z)|0;Sa=Qa;Ta=Qa}else{f[da>>2]=X+4;bcc(f[X>>2]|0)|0;Sa=Qa;Ta=Qa}while(1){if((f[D>>2]|0)<=0)break f;X=f[a>>2]|0;do if(X){da=f[X+12>>2]|0;if((da|0)==(f[X+16>>2]|0))Ua=ci[f[(f[X>>2]|0)+36>>2]&1023](X)|0;else Ua=bcc(f[da>>2]|0)|0;if(Lcc(Ua,acc()|0)|0){f[a>>2]=0;Va=1;break}else{Va=(f[a>>2]|0)==0;break}}else Va=1;while(0);do if(Ta){X=f[Ta+12>>2]|0;if((X|0)==(f[Ta+16>>2]|0))Wa=ci[f[(f[Ta>>2]|0)+36>>2]&1023](Ta)|0;else Wa=bcc(f[X>>2]|0)|0;if(!(Lcc(Wa,acc()|0)|0))if(Va^(Sa|0)==0){Xa=Sa;Ya=Sa;break}else{Q=227;break a}else{f[c>>2]=0;Za=0;Q=212;break}}else{Za=Sa;Q=212}while(0);if((Q|0)==212){Q=0;if(Va){Q=227;break a}else{Xa=Za;Ya=0}}X=f[a>>2]|0;da=f[X+12>>2]|0;if((da|0)==(f[X+16>>2]|0))_a=ci[f[(f[X>>2]|0)+36>>2]&1023](X)|0;else _a=bcc(f[da>>2]|0)|0;if(!(ki[f[(f[k>>2]|0)+12>>2]&511](k,2048,_a)|0)){Q=227;break a}if((f[m>>2]|0)==(f[p>>2]|0))Ric(l,m,p);da=f[a>>2]|0;X=f[da+12>>2]|0;if((X|0)==(f[da+16>>2]|0))$a=ci[f[(f[da>>2]|0)+36>>2]&1023](da)|0;else $a=bcc(f[X>>2]|0)|0;X=f[m>>2]|0;f[m>>2]=X+4;f[X>>2]=$a;f[D>>2]=(f[D>>2]|0)+-1;X=f[a>>2]|0;da=X+12|0;Z=f[da>>2]|0;if((Z|0)==(f[X+16>>2]|0)){ci[f[(f[X>>2]|0)+40>>2]&1023](X)|0;Sa=Xa;Ta=Ya;continue}else{f[da>>2]=Z+4;bcc(f[Z>>2]|0)|0;Sa=Xa;Ta=Ya;continue}}}while(0);if((f[m>>2]|0)==(f[l>>2]|0)){Q=227;break a}else ba=N;break}default:ba=N}while(0);g:do if((Q|0)==45)while(1){Q=0;R=f[a>>2]|0;do if(R){fa=f[R+12>>2]|0;if((fa|0)==(f[R+16>>2]|0))ab=ci[f[(f[R>>2]|0)+36>>2]&1023](R)|0;else ab=bcc(f[fa>>2]|0)|0;if(Lcc(ab,acc()|0)|0){f[a>>2]=0;bb=1;break}else{bb=(f[a>>2]|0)==0;break}}else bb=1;while(0);do if(aa){R=f[aa+12>>2]|0;if((R|0)==(f[aa+16>>2]|0))cb=ci[f[(f[aa>>2]|0)+36>>2]&1023](aa)|0;else cb=bcc(f[R>>2]|0)|0;if(!(Lcc(cb,acc()|0)|0))if(bb^($|0)==0){db=$;eb=$;break}else{ba=N;break g}else{f[c>>2]=0;fb=0;Q=58;break}}else{fb=$;Q=58}while(0);if((Q|0)==58){Q=0;if(bb){ba=N;break g}else{db=fb;eb=0}}R=f[a>>2]|0;fa=f[R+12>>2]|0;if((fa|0)==(f[R+16>>2]|0))gb=ci[f[(f[R>>2]|0)+36>>2]&1023](R)|0;else gb=bcc(f[fa>>2]|0)|0;if(!(ki[f[(f[k>>2]|0)+12>>2]&511](k,8192,gb)|0)){ba=N;break g}fa=f[a>>2]|0;R=fa+12|0;Z=f[R>>2]|0;if((Z|0)==(f[fa+16>>2]|0))hb=ci[f[(f[fa>>2]|0)+40>>2]&1023](fa)|0;else{f[R>>2]=Z+4;hb=bcc(f[Z>>2]|0)|0}tnc(C,hb);$=db;aa=eb;Q=45}while(0);N=ba;O=O+1|0}h:do if((Q|0)==43){f[i>>2]=f[i>>2]|4;ib=0}else if((Q|0)==101){f[i>>2]=f[i>>2]|4;ib=0}else if((Q|0)==141){f[i>>2]=f[i>>2]|4;ib=0}else if((Q|0)==227){f[i>>2]=f[i>>2]|4;ib=0}else if((Q|0)==229){i:do if(P){O=N+8+3|0;ba=N+4|0;eb=1;j:while(1){aa=b[O>>0]|0;if(aa<<24>>24<0)jb=f[ba>>2]|0;else jb=aa&255;if(eb>>>0>=jb>>>0)break i;aa=f[a>>2]|0;do if(aa){db=f[aa+12>>2]|0;if((db|0)==(f[aa+16>>2]|0))kb=ci[f[(f[aa>>2]|0)+36>>2]&1023](aa)|0;else kb=bcc(f[db>>2]|0)|0;if(Lcc(kb,acc()|0)|0){f[a>>2]=0;lb=1;break}else{lb=(f[a>>2]|0)==0;break}}else lb=1;while(0);aa=f[c>>2]|0;do if(aa){db=f[aa+12>>2]|0;if((db|0)==(f[aa+16>>2]|0))mb=ci[f[(f[aa>>2]|0)+36>>2]&1023](aa)|0;else mb=bcc(f[db>>2]|0)|0;if(!(Lcc(mb,acc()|0)|0))if(lb)break;else break j;else{f[c>>2]=0;Q=248;break}}else Q=248;while(0);if((Q|0)==248?(Q=0,lb):0)break;aa=f[a>>2]|0;db=f[aa+12>>2]|0;if((db|0)==(f[aa+16>>2]|0))nb=ci[f[(f[aa>>2]|0)+36>>2]&1023](aa)|0;else nb=bcc(f[db>>2]|0)|0;if((b[O>>0]|0)<0)ob=f[N>>2]|0;else ob=N;if((nb|0)!=(f[ob+(eb<<2)>>2]|0))break;db=eb+1|0;aa=f[a>>2]|0;$=aa+12|0;hb=f[$>>2]|0;if((hb|0)==(f[aa+16>>2]|0)){ci[f[(f[aa>>2]|0)+40>>2]&1023](aa)|0;eb=db;continue}else{f[$>>2]=hb+4;bcc(f[hb>>2]|0)|0;eb=db;continue}}f[i>>2]=f[i>>2]|4;ib=0;break h}while(0);eb=f[r>>2]|0;O=f[s>>2]|0;if((eb|0)!=(O|0)){f[E>>2]=0;Cec(y,eb,O,E);if(!(f[E>>2]|0)){ib=1;break}else{f[i>>2]=f[i>>2]|4;ib=0;break}}else ib=1}while(0);lnc(C);lnc(B);lnc(A);lnc(z);Pmc(y);y=f[r>>2]|0;f[r>>2]=0;if(y|0)ai[f[n>>2]&2047](y);u=o;return ib|0}function Oic(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;e=u;u=u+16|0;g=e+12|0;h=e;i=a+8|0;j=i+3|0;k=b[j>>0]|0;l=k<<24>>24<0;if(l){m=f[a+4>>2]|0;n=(f[i>>2]&2147483647)+-1|0}else{m=k&255;n=1}i=d-c>>2;do if(i|0){if(l){o=f[a>>2]|0;p=o;q=f[a+4>>2]|0;r=o}else{p=a;q=k&255;r=a}if(Pic(c,r,p+(q<<2)|0)|0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(i>>>0>1073741807)Lmc(h);do if(i>>>0>=2){o=i+4&-4;if(o>>>0>1073741823)Qe();else{s=Bmc(o<<2)|0;f[h>>2]=s;f[h+8>>2]=o|-2147483648;f[h+4>>2]=i;t=c;v=s;break}}else{b[h+8+3>>0]=i;t=c;v=h}while(0);while(1){if((t|0)==(d|0))break;$dc(v,t);t=t+4|0;v=v+4|0}f[g>>2]=0;$dc(v,g);s=b[h+8+3>>0]|0;o=s<<24>>24<0;snc(a,o?f[h>>2]|0:h,o?f[h+4>>2]|0:s&255)|0;lnc(h);break}s=m+i|0;if((n-m|0)>>>0<i>>>0)rnc(a,n,s-n|0,m,m,0,0);if((b[j>>0]|0)<0)w=f[a>>2]|0;else w=a;o=w+(m<<2)|0;x=c;while(1){if((x|0)==(d|0))break;$dc(o,x);o=o+4|0;x=x+4|0}f[g>>2]=0;$dc(o,g);if((b[j>>0]|0)<0){f[a+4>>2]=s;break}else{b[j>>0]=s;break}}while(0);u=e;return a|0}function Pic(a,b,c){a=a|0;b=b|0;c=c|0;return b>>>0<=a>>>0&a>>>0<c>>>0|0}function Qic(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;m=u;u=u+16|0;n=m+12|0;o=m;if(a){a=nec(c,895380)|0;xh[f[(f[a>>2]|0)+44>>2]&2047](n,a);p=f[n>>2]|0;b[d>>0]=p;b[d+1>>0]=p>>8;b[d+2>>0]=p>>16;b[d+3>>0]=p>>24;xh[f[(f[a>>2]|0)+32>>2]&2047](o,a);p=k+8+3|0;if((b[p>>0]|0)<0){q=f[k>>2]|0;f[n>>2]=0;$dc(q,n);f[k+4>>2]=0}else{f[n>>2]=0;$dc(k,n);b[p>>0]=0}pnc(k,0);f[k>>2]=f[o>>2];f[k+4>>2]=f[o+4>>2];f[k+8>>2]=f[o+8>>2];p=0;while(1){if((p|0)==3)break;f[o+(p<<2)>>2]=0;p=p+1|0}lnc(o);xh[f[(f[a>>2]|0)+28>>2]&2047](o,a);p=j+8+3|0;if((b[p>>0]|0)<0){q=f[j>>2]|0;f[n>>2]=0;$dc(q,n);f[j+4>>2]=0}else{f[n>>2]=0;$dc(j,n);b[p>>0]=0}pnc(j,0);f[j>>2]=f[o>>2];f[j+4>>2]=f[o+4>>2];f[j+8>>2]=f[o+8>>2];p=0;while(1){if((p|0)==3)break;f[o+(p<<2)>>2]=0;p=p+1|0}lnc(o);p=ci[f[(f[a>>2]|0)+12>>2]&1023](a)|0;f[e>>2]=p;p=ci[f[(f[a>>2]|0)+16>>2]&1023](a)|0;f[g>>2]=p;xh[f[(f[a>>2]|0)+20>>2]&2047](o,a);p=h+11|0;if((b[p>>0]|0)<0){q=f[h>>2]|0;b[n>>0]=0;Gcc(q,n);f[h+4>>2]=0;r=h}else{b[n>>0]=0;Gcc(h,n);b[p>>0]=0;r=h}Umc(h,0);f[r>>2]=f[o>>2];f[r+4>>2]=f[o+4>>2];f[r+8>>2]=f[o+8>>2];r=0;while(1){if((r|0)==3)break;f[o+(r<<2)>>2]=0;r=r+1|0}Pmc(o);xh[f[(f[a>>2]|0)+24>>2]&2047](o,a);r=i+8+3|0;if((b[r>>0]|0)<0){p=f[i>>2]|0;f[n>>2]=0;$dc(p,n);f[i+4>>2]=0}else{f[n>>2]=0;$dc(i,n);b[r>>0]=0}pnc(i,0);f[i>>2]=f[o>>2];f[i+4>>2]=f[o+4>>2];f[i+8>>2]=f[o+8>>2];r=0;while(1){if((r|0)==3)break;f[o+(r<<2)>>2]=0;r=r+1|0}lnc(o);s=ci[f[(f[a>>2]|0)+36>>2]&1023](a)|0}else{a=nec(c,895372)|0;xh[f[(f[a>>2]|0)+44>>2]&2047](n,a);c=f[n>>2]|0;b[d>>0]=c;b[d+1>>0]=c>>8;b[d+2>>0]=c>>16;b[d+3>>0]=c>>24;xh[f[(f[a>>2]|0)+32>>2]&2047](o,a);c=k+8+3|0;if((b[c>>0]|0)<0){d=f[k>>2]|0;f[n>>2]=0;$dc(d,n);f[k+4>>2]=0}else{f[n>>2]=0;$dc(k,n);b[c>>0]=0}pnc(k,0);f[k>>2]=f[o>>2];f[k+4>>2]=f[o+4>>2];f[k+8>>2]=f[o+8>>2];k=0;while(1){if((k|0)==3)break;f[o+(k<<2)>>2]=0;k=k+1|0}lnc(o);xh[f[(f[a>>2]|0)+28>>2]&2047](o,a);k=j+8+3|0;if((b[k>>0]|0)<0){c=f[j>>2]|0;f[n>>2]=0;$dc(c,n);f[j+4>>2]=0}else{f[n>>2]=0;$dc(j,n);b[k>>0]=0}pnc(j,0);f[j>>2]=f[o>>2];f[j+4>>2]=f[o+4>>2];f[j+8>>2]=f[o+8>>2];j=0;while(1){if((j|0)==3)break;f[o+(j<<2)>>2]=0;j=j+1|0}lnc(o);j=ci[f[(f[a>>2]|0)+12>>2]&1023](a)|0;f[e>>2]=j;j=ci[f[(f[a>>2]|0)+16>>2]&1023](a)|0;f[g>>2]=j;xh[f[(f[a>>2]|0)+20>>2]&2047](o,a);j=h+11|0;if((b[j>>0]|0)<0){g=f[h>>2]|0;b[n>>0]=0;Gcc(g,n);f[h+4>>2]=0;t=h}else{b[n>>0]=0;Gcc(h,n);b[j>>0]=0;t=h}Umc(h,0);f[t>>2]=f[o>>2];f[t+4>>2]=f[o+4>>2];f[t+8>>2]=f[o+8>>2];t=0;while(1){if((t|0)==3)break;f[o+(t<<2)>>2]=0;t=t+1|0}Pmc(o);xh[f[(f[a>>2]|0)+24>>2]&2047](o,a);t=i+8+3|0;if((b[t>>0]|0)<0){h=f[i>>2]|0;f[n>>2]=0;$dc(h,n);f[i+4>>2]=0}else{f[n>>2]=0;$dc(i,n);b[t>>0]=0}pnc(i,0);f[i>>2]=f[o>>2];f[i+4>>2]=f[o+4>>2];f[i+8>>2]=f[o+8>>2];i=0;while(1){if((i|0)==3)break;f[o+(i<<2)>>2]=0;i=i+1|0}lnc(o);s=ci[f[(f[a>>2]|0)+36>>2]&1023](a)|0}f[l>>2]=s;u=m;return}function Ric(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=a+4|0;e=(f[d>>2]|0)!=1697;g=f[a>>2]|0;h=(f[c>>2]|0)-g|0;i=h>>>0<2147483647?h<<1:-1;h=(i|0)==0?4:i;i=(f[b>>2]|0)-g>>2;j=Y6b(e?g:0,h)|0;if(!j)Gmc();if(!e){e=f[a>>2]|0;f[a>>2]=j;if(!e)k=j;else{ai[f[d>>2]&2047](e);k=f[a>>2]|0}}else{f[a>>2]=j;k=j}f[d>>2]=1698;f[b>>2]=k+(i<<2);f[c>>2]=(f[a>>2]|0)+(h>>>2<<2);return}function Sic(a){a=a|0;Vdc(a);return}function Tic(a){a=a|0;Vdc(a);Emc(a);return}function Uic(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;a=u;u=u+384|0;i=a+8|0;j=a;k=a+284|0;l=a+72|0;m=a+184|0;n=a+68|0;o=a+180|0;q=a+177|0;r=a+176|0;s=a+56|0;t=a+44|0;v=a+32|0;w=a+28|0;x=a+76|0;y=a+24|0;z=a+16|0;A=a+20|0;f[l>>2]=k;p[i>>3]=h;B=O8b(k,100,521912,i)|0;if(B>>>0>99){k=qec()|0;p[j>>3]=h;C=Ifc(l,k,521912,j)|0;j=f[l>>2]|0;if(!j)Gmc();k=W6b(C)|0;if(!k)Gmc();else{D=k;E=C;F=k;G=j}}else{D=m;E=B;F=0;G=0}Kcc(n,e);B=nec(n,893644)|0;m=f[l>>2]|0;Bg[f[(f[B>>2]|0)+32>>2]&127](B,m,m+E|0,D)|0;if(!E)H=0;else H=(b[f[l>>2]>>0]|0)==45;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;l=0;while(1){if((l|0)==3)break;f[s+(l<<2)>>2]=0;l=l+1|0}f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;l=0;while(1){if((l|0)==3)break;f[t+(l<<2)>>2]=0;l=l+1|0}f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;l=0;while(1){if((l|0)==3)break;f[v+(l<<2)>>2]=0;l=l+1|0}Wic(d,H,n,o,q,r,s,t,v,w);d=f[w>>2]|0;if((E|0)>(d|0)){w=b[v+11>>0]|0;l=b[t+11>>0]|0;I=1;J=(w<<24>>24<0?f[v+4>>2]|0:w&255)+(E-d<<1)|0;K=l<<24>>24<0?f[t+4>>2]|0:l&255}else{l=b[v+11>>0]|0;w=b[t+11>>0]|0;I=2;J=w<<24>>24<0?f[t+4>>2]|0:w&255;K=l<<24>>24<0?f[v+4>>2]|0:l&255}l=K+d+J+I|0;if(l>>>0>100){I=W6b(l)|0;if(!I)Gmc();else{L=I;M=I}}else{L=x;M=0}Xic(L,y,z,f[e+4>>2]|0,D,D+E|0,B,H,o,b[q>>0]|0,b[r>>0]|0,s,t,v,d);f[A>>2]=f[c>>2];c=f[y>>2]|0;y=f[z>>2]|0;f[i>>2]=f[A>>2];A=bR(i,L,c,y,e,g)|0;if(M|0)X6b(M);Pmc(v);Pmc(t);Pmc(s);oec(n);if(F|0)X6b(F);if(G|0)X6b(G);u=a;return A|0}function Vic(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;a=u;u=u+176|0;i=a+56|0;j=a+52|0;k=a+164|0;l=a+161|0;m=a+160|0;n=a+40|0;o=a+28|0;p=a+16|0;q=a+12|0;r=a+60|0;s=a+8|0;t=a+4|0;v=a;Kcc(j,e);w=nec(j,893644)|0;x=h+11|0;y=b[x>>0]|0;z=y<<24>>24<0;A=h+4|0;if(!((z?f[A>>2]|0:y&255)|0))B=0;else{y=b[(z?f[h>>2]|0:h)>>0]|0;B=y<<24>>24==(Sh[f[(f[w>>2]|0)+28>>2]&511](w,45)|0)<<24>>24};f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;y=0;while(1){if((y|0)==3)break;f[n+(y<<2)>>2]=0;y=y+1|0}f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;y=0;while(1){if((y|0)==3)break;f[o+(y<<2)>>2]=0;y=y+1|0}f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;y=0;while(1){if((y|0)==3)break;f[p+(y<<2)>>2]=0;y=y+1|0}Wic(d,B,j,k,l,m,n,o,p,q);d=b[x>>0]|0;x=d<<24>>24<0;y=x?f[A>>2]|0:d&255;d=f[q>>2]|0;if((y|0)>(d|0)){q=b[p+11>>0]|0;A=b[o+11>>0]|0;C=1;D=(q<<24>>24<0?f[p+4>>2]|0:q&255)+(y-d<<1)|0;E=A<<24>>24<0?f[o+4>>2]|0:A&255}else{A=b[p+11>>0]|0;q=b[o+11>>0]|0;C=2;D=q<<24>>24<0?f[o+4>>2]|0:q&255;E=A<<24>>24<0?f[p+4>>2]|0:A&255}A=E+d+D+C|0;if(A>>>0>100){C=W6b(A)|0;if(!C)Gmc();else{F=C;G=C}}else{F=r;G=0}r=x?f[h>>2]|0:h;Xic(F,s,t,f[e+4>>2]|0,r,r+y|0,w,B,k,b[l>>0]|0,b[m>>0]|0,n,o,p,d);f[v>>2]=f[c>>2];c=f[s>>2]|0;s=f[t>>2]|0;f[i>>2]=f[v>>2];v=bR(i,F,c,s,e,g)|0;if(G|0)X6b(G);Pmc(p);Pmc(o);Pmc(n);oec(j);u=a;return v|0}function Wic(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;m=u;u=u+16|0;n=m+12|0;o=m;if(a){a=nec(d,895364)|0;if(c){xh[f[(f[a>>2]|0)+44>>2]&2047](n,a);p=f[n>>2]|0;b[e>>0]=p;b[e+1>>0]=p>>8;b[e+2>>0]=p>>16;b[e+3>>0]=p>>24;xh[f[(f[a>>2]|0)+32>>2]&2047](o,a);p=k+11|0;if((b[p>>0]|0)<0){q=f[k>>2]|0;b[n>>0]=0;Gcc(q,n);f[k+4>>2]=0;r=k}else{b[n>>0]=0;Gcc(k,n);b[p>>0]=0;r=k}Umc(k,0);f[r>>2]=f[o>>2];f[r+4>>2]=f[o+4>>2];f[r+8>>2]=f[o+8>>2];r=0;while(1){if((r|0)==3)break;f[o+(r<<2)>>2]=0;r=r+1|0}Pmc(o);s=a}else{xh[f[(f[a>>2]|0)+40>>2]&2047](n,a);r=f[n>>2]|0;b[e>>0]=r;b[e+1>>0]=r>>8;b[e+2>>0]=r>>16;b[e+3>>0]=r>>24;xh[f[(f[a>>2]|0)+28>>2]&2047](o,a);r=k+11|0;if((b[r>>0]|0)<0){p=f[k>>2]|0;b[n>>0]=0;Gcc(p,n);f[k+4>>2]=0;t=k}else{b[n>>0]=0;Gcc(k,n);b[r>>0]=0;t=k}Umc(k,0);f[t>>2]=f[o>>2];f[t+4>>2]=f[o+4>>2];f[t+8>>2]=f[o+8>>2];t=0;while(1){if((t|0)==3)break;f[o+(t<<2)>>2]=0;t=t+1|0}Pmc(o);s=a}t=ci[f[(f[a>>2]|0)+12>>2]&1023](a)|0;b[g>>0]=t;t=ci[f[(f[a>>2]|0)+16>>2]&1023](a)|0;b[h>>0]=t;xh[f[(f[s>>2]|0)+20>>2]&2047](o,a);t=i+11|0;if((b[t>>0]|0)<0){r=f[i>>2]|0;b[n>>0]=0;Gcc(r,n);f[i+4>>2]=0;v=i}else{b[n>>0]=0;Gcc(i,n);b[t>>0]=0;v=i}Umc(i,0);f[v>>2]=f[o>>2];f[v+4>>2]=f[o+4>>2];f[v+8>>2]=f[o+8>>2];v=0;while(1){if((v|0)==3)break;f[o+(v<<2)>>2]=0;v=v+1|0}Pmc(o);xh[f[(f[s>>2]|0)+24>>2]&2047](o,a);s=j+11|0;if((b[s>>0]|0)<0){v=f[j>>2]|0;b[n>>0]=0;Gcc(v,n);f[j+4>>2]=0;w=j}else{b[n>>0]=0;Gcc(j,n);b[s>>0]=0;w=j}Umc(j,0);f[w>>2]=f[o>>2];f[w+4>>2]=f[o+4>>2];f[w+8>>2]=f[o+8>>2];w=0;while(1){if((w|0)==3)break;f[o+(w<<2)>>2]=0;w=w+1|0}Pmc(o);x=ci[f[(f[a>>2]|0)+36>>2]&1023](a)|0}else{a=nec(d,895356)|0;if(c){xh[f[(f[a>>2]|0)+44>>2]&2047](n,a);c=f[n>>2]|0;b[e>>0]=c;b[e+1>>0]=c>>8;b[e+2>>0]=c>>16;b[e+3>>0]=c>>24;xh[f[(f[a>>2]|0)+32>>2]&2047](o,a);c=k+11|0;if((b[c>>0]|0)<0){d=f[k>>2]|0;b[n>>0]=0;Gcc(d,n);f[k+4>>2]=0;y=k}else{b[n>>0]=0;Gcc(k,n);b[c>>0]=0;y=k}Umc(k,0);f[y>>2]=f[o>>2];f[y+4>>2]=f[o+4>>2];f[y+8>>2]=f[o+8>>2];y=0;while(1){if((y|0)==3)break;f[o+(y<<2)>>2]=0;y=y+1|0}Pmc(o);z=a}else{xh[f[(f[a>>2]|0)+40>>2]&2047](n,a);y=f[n>>2]|0;b[e>>0]=y;b[e+1>>0]=y>>8;b[e+2>>0]=y>>16;b[e+3>>0]=y>>24;xh[f[(f[a>>2]|0)+28>>2]&2047](o,a);y=k+11|0;if((b[y>>0]|0)<0){e=f[k>>2]|0;b[n>>0]=0;Gcc(e,n);f[k+4>>2]=0;A=k}else{b[n>>0]=0;Gcc(k,n);b[y>>0]=0;A=k}Umc(k,0);f[A>>2]=f[o>>2];f[A+4>>2]=f[o+4>>2];f[A+8>>2]=f[o+8>>2];A=0;while(1){if((A|0)==3)break;f[o+(A<<2)>>2]=0;A=A+1|0}Pmc(o);z=a}A=ci[f[(f[a>>2]|0)+12>>2]&1023](a)|0;b[g>>0]=A;A=ci[f[(f[a>>2]|0)+16>>2]&1023](a)|0;b[h>>0]=A;xh[f[(f[z>>2]|0)+20>>2]&2047](o,a);A=i+11|0;if((b[A>>0]|0)<0){h=f[i>>2]|0;b[n>>0]=0;Gcc(h,n);f[i+4>>2]=0;B=i}else{b[n>>0]=0;Gcc(i,n);b[A>>0]=0;B=i}Umc(i,0);f[B>>2]=f[o>>2];f[B+4>>2]=f[o+4>>2];f[B+8>>2]=f[o+8>>2];B=0;while(1){if((B|0)==3)break;f[o+(B<<2)>>2]=0;B=B+1|0}Pmc(o);xh[f[(f[z>>2]|0)+24>>2]&2047](o,a);z=j+11|0;if((b[z>>0]|0)<0){B=f[j>>2]|0;b[n>>0]=0;Gcc(B,n);f[j+4>>2]=0;C=j}else{b[n>>0]=0;Gcc(j,n);b[z>>0]=0;C=j}Umc(j,0);f[C>>2]=f[o>>2];f[C+4>>2]=f[o+4>>2];f[C+8>>2]=f[o+8>>2];C=0;while(1){if((C|0)==3)break;f[o+(C<<2)>>2]=0;C=C+1|0}Pmc(o);x=ci[f[(f[a>>2]|0)+36>>2]&1023](a)|0}f[l>>2]=x;u=m;return}function Xic(a,c,e,g,h,i,j,k,l,m,n,o,p,q,r){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;var s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;f[e>>2]=a;s=q+11|0;t=q+4|0;u=p+11|0;v=p+4|0;w=(g&512|0)==0;x=j+8|0;y=(r|0)>0;z=o+11|0;A=o+4|0;B=0;C=h;while(1){if((B|0)==4)break;a:do switch(b[l+B>>0]|0){case 0:{f[c>>2]=f[e>>2];D=C;break}case 1:{f[c>>2]=f[e>>2];h=Sh[f[(f[j>>2]|0)+28>>2]&511](j,32)|0;E=f[e>>2]|0;f[e>>2]=E+1;b[E>>0]=h;D=C;break}case 3:{h=b[s>>0]|0;E=h<<24>>24<0;if(!((E?f[t>>2]|0:h&255)|0))D=C;else{h=b[(E?f[q>>2]|0:q)>>0]|0;E=f[e>>2]|0;f[e>>2]=E+1;b[E>>0]=h;D=C}break}case 2:{h=b[u>>0]|0;E=h<<24>>24<0;F=E?f[v>>2]|0:h&255;if(w|(F|0)==0)D=C;else{h=E?f[p>>2]|0:p;E=h+F|0;F=f[e>>2]|0;G=h;while(1){if((G|0)==(E|0))break;b[F>>0]=b[G>>0]|0;F=F+1|0;G=G+1|0}f[e>>2]=F;D=C}break}case 4:{G=f[e>>2]|0;E=k?C+1|0:C;h=E;while(1){if(h>>>0>=i>>>0)break;H=b[h>>0]|0;if(H<<24>>24<=-1)break;if(!(d[(f[x>>2]|0)+(H<<24>>24<<1)>>1]&2048))break;h=h+1|0}if(y){F=r;H=h;while(1){I=(F|0)>0;if(!(H>>>0>E>>>0&I))break;J=H+-1|0;K=b[J>>0]|0;L=f[e>>2]|0;f[e>>2]=L+1;b[L>>0]=K;F=F+-1|0;H=J}if(I)M=Sh[f[(f[j>>2]|0)+28>>2]&511](j,48)|0;else M=0;J=F;while(1){N=f[e>>2]|0;f[e>>2]=N+1;if((J|0)<=0)break;b[N>>0]=M;J=J+-1|0}b[N>>0]=m;O=H}else O=h;b:do if((O|0)==(E|0)){J=Sh[f[(f[j>>2]|0)+28>>2]&511](j,48)|0;F=f[e>>2]|0;f[e>>2]=F+1;b[F>>0]=J}else{J=b[z>>0]|0;F=J<<24>>24<0;if(!((F?f[A>>2]|0:J&255)|0)){P=-1;Q=0;R=0;S=O}else{P=b[(F?f[o>>2]|0:o)>>0]|0;Q=0;R=0;S=O}while(1){if((S|0)==(E|0))break b;if((R|0)==(P|0)){F=f[e>>2]|0;f[e>>2]=F+1;b[F>>0]=n;F=Q+1|0;J=b[z>>0]|0;K=J<<24>>24<0;if(F>>>0<(K?f[A>>2]|0:J&255)>>>0){J=b[(K?f[o>>2]|0:o)+F>>0]|0;T=J<<24>>24==127?-1:J<<24>>24;U=F;V=0}else{T=R;U=F;V=0}}else{T=P;U=Q;V=R}F=S+-1|0;J=b[F>>0]|0;K=f[e>>2]|0;f[e>>2]=K+1;b[K>>0]=J;P=T;Q=U;R=V+1|0;S=F}}while(0);h=f[e>>2]|0;if((G|0)==(h|0))D=E;else{H=h;h=G;while(1){F=H+-1|0;if(h>>>0>=F>>>0){D=E;break a}J=b[h>>0]|0;b[h>>0]=b[F>>0]|0;b[F>>0]=J;H=F;h=h+1|0}}break}default:D=C}while(0);B=B+1|0;C=D}D=b[s>>0]|0;s=D<<24>>24<0;C=s?f[t>>2]|0:D&255;if(C>>>0>1){D=s?f[q>>2]|0:q;q=D+C|0;C=f[e>>2]|0;s=D;while(1){D=s+1|0;if((D|0)==(q|0))break;b[C>>0]=b[D>>0]|0;C=C+1|0;s=D}f[e>>2]=C}switch((g&176)<<24>>24){case 32:{f[c>>2]=f[e>>2];break}case 16:break;default:f[c>>2]=a}return}function Yic(a){a=a|0;Vdc(a);return}function Zic(a){a=a|0;Vdc(a);Emc(a);return}function _ic(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;a=u;u=u+1008|0;i=a+8|0;j=a;k=a+896|0;l=a+888|0;m=a+488|0;n=a+480|0;o=a+892|0;q=a+476|0;r=a+472|0;s=a+460|0;t=a+448|0;v=a+436|0;w=a+432|0;x=a+32|0;y=a+24|0;z=a+16|0;A=a+20|0;f[l>>2]=k;p[i>>3]=h;B=O8b(k,100,521912,i)|0;if(B>>>0>99){k=qec()|0;p[j>>3]=h;C=Ifc(l,k,521912,j)|0;j=f[l>>2]|0;if(!j)Gmc();k=W6b(C<<2)|0;if(!k)Gmc();else{D=k;E=C;F=k;G=j}}else{D=m;E=B;F=0;G=0}Kcc(n,e);B=nec(n,893676)|0;m=f[l>>2]|0;Bg[f[(f[B>>2]|0)+48>>2]&127](B,m,m+E|0,D)|0;if(!E)H=0;else H=(b[f[l>>2]>>0]|0)==45;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;l=0;while(1){if((l|0)==3)break;f[s+(l<<2)>>2]=0;l=l+1|0}f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;l=0;while(1){if((l|0)==3)break;f[t+(l<<2)>>2]=0;l=l+1|0}f[v>>2]=0;f[v+4>>2]=0;f[v+8>>2]=0;l=0;while(1){if((l|0)==3)break;f[v+(l<<2)>>2]=0;l=l+1|0}ajc(d,H,n,o,q,r,s,t,v,w);d=f[w>>2]|0;if((E|0)>(d|0)){w=b[v+8+3>>0]|0;l=b[t+8+3>>0]|0;I=1;J=(w<<24>>24<0?f[v+4>>2]|0:w&255)+(E-d<<1)|0;K=l<<24>>24<0?f[t+4>>2]|0:l&255}else{l=b[v+8+3>>0]|0;w=b[t+8+3>>0]|0;I=2;J=w<<24>>24<0?f[t+4>>2]|0:w&255;K=l<<24>>24<0?f[v+4>>2]|0:l&255}l=K+d+J+I|0;if(l>>>0>100){I=W6b(l<<2)|0;if(!I)Gmc();else{L=I;M=I}}else{L=x;M=0}bjc(L,y,z,f[e+4>>2]|0,D,D+(E<<2)|0,B,H,o,f[q>>2]|0,f[r>>2]|0,s,t,v,d);f[A>>2]=f[c>>2];c=f[y>>2]|0;y=f[z>>2]|0;f[i>>2]=f[A>>2];A=Wfc(i,L,c,y,e,g)|0;if(M|0)X6b(M);lnc(v);lnc(t);Pmc(s);oec(n);if(F|0)X6b(F);if(G|0)X6b(G);u=a;return A|0}function $ic(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;a=u;u=u+480|0;i=a+468|0;j=a+464|0;k=a+472|0;l=a+460|0;m=a+456|0;n=a+444|0;o=a+432|0;p=a+420|0;q=a+416|0;r=a+16|0;s=a+8|0;t=a+4|0;v=a;Kcc(j,e);w=nec(j,893676)|0;x=h+8+3|0;y=b[x>>0]|0;z=y<<24>>24<0;A=h+4|0;if(!((z?f[A>>2]|0:y&255)|0))B=0;else{y=f[(z?f[h>>2]|0:h)>>2]|0;B=(y|0)==(Sh[f[(f[w>>2]|0)+44>>2]&511](w,45)|0)};f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;y=0;while(1){if((y|0)==3)break;f[n+(y<<2)>>2]=0;y=y+1|0}f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;y=0;while(1){if((y|0)==3)break;f[o+(y<<2)>>2]=0;y=y+1|0}f[p>>2]=0;f[p+4>>2]=0;f[p+8>>2]=0;y=0;while(1){if((y|0)==3)break;f[p+(y<<2)>>2]=0;y=y+1|0}ajc(d,B,j,k,l,m,n,o,p,q);d=b[x>>0]|0;x=d<<24>>24<0;y=x?f[A>>2]|0:d&255;d=f[q>>2]|0;if((y|0)>(d|0)){q=b[p+8+3>>0]|0;A=b[o+8+3>>0]|0;C=1;D=(q<<24>>24<0?f[p+4>>2]|0:q&255)+(y-d<<1)|0;E=A<<24>>24<0?f[o+4>>2]|0:A&255}else{A=b[p+8+3>>0]|0;q=b[o+8+3>>0]|0;C=2;D=q<<24>>24<0?f[o+4>>2]|0:q&255;E=A<<24>>24<0?f[p+4>>2]|0:A&255}A=E+d+D+C|0;if(A>>>0>100){C=W6b(A<<2)|0;if(!C)Gmc();else{F=C;G=C}}else{F=r;G=0}r=x?f[h>>2]|0:h;bjc(F,s,t,f[e+4>>2]|0,r,r+(y<<2)|0,w,B,k,f[l>>2]|0,f[m>>2]|0,n,o,p,d);f[v>>2]=f[c>>2];c=f[s>>2]|0;s=f[t>>2]|0;f[i>>2]=f[v>>2];v=Wfc(i,F,c,s,e,g)|0;if(G|0)X6b(G);lnc(p);lnc(o);Pmc(n);oec(j);u=a;return v|0}function ajc(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;m=u;u=u+16|0;n=m+12|0;o=m;if(a){a=nec(d,895380)|0;if(c){xh[f[(f[a>>2]|0)+44>>2]&2047](n,a);p=f[n>>2]|0;b[e>>0]=p;b[e+1>>0]=p>>8;b[e+2>>0]=p>>16;b[e+3>>0]=p>>24;xh[f[(f[a>>2]|0)+32>>2]&2047](o,a);p=k+8+3|0;if((b[p>>0]|0)<0){q=f[k>>2]|0;f[n>>2]=0;$dc(q,n);f[k+4>>2]=0}else{f[n>>2]=0;$dc(k,n);b[p>>0]=0}pnc(k,0);f[k>>2]=f[o>>2];f[k+4>>2]=f[o+4>>2];f[k+8>>2]=f[o+8>>2];p=0;while(1){if((p|0)==3)break;f[o+(p<<2)>>2]=0;p=p+1|0}lnc(o)}else{xh[f[(f[a>>2]|0)+40>>2]&2047](n,a);p=f[n>>2]|0;b[e>>0]=p;b[e+1>>0]=p>>8;b[e+2>>0]=p>>16;b[e+3>>0]=p>>24;xh[f[(f[a>>2]|0)+28>>2]&2047](o,a);p=k+8+3|0;if((b[p>>0]|0)<0){q=f[k>>2]|0;f[n>>2]=0;$dc(q,n);f[k+4>>2]=0}else{f[n>>2]=0;$dc(k,n);b[p>>0]=0}pnc(k,0);f[k>>2]=f[o>>2];f[k+4>>2]=f[o+4>>2];f[k+8>>2]=f[o+8>>2];p=0;while(1){if((p|0)==3)break;f[o+(p<<2)>>2]=0;p=p+1|0}lnc(o)}p=ci[f[(f[a>>2]|0)+12>>2]&1023](a)|0;f[g>>2]=p;p=ci[f[(f[a>>2]|0)+16>>2]&1023](a)|0;f[h>>2]=p;xh[f[(f[a>>2]|0)+20>>2]&2047](o,a);p=i+11|0;if((b[p>>0]|0)<0){q=f[i>>2]|0;b[n>>0]=0;Gcc(q,n);f[i+4>>2]=0;r=i}else{b[n>>0]=0;Gcc(i,n);b[p>>0]=0;r=i}Umc(i,0);f[r>>2]=f[o>>2];f[r+4>>2]=f[o+4>>2];f[r+8>>2]=f[o+8>>2];r=0;while(1){if((r|0)==3)break;f[o+(r<<2)>>2]=0;r=r+1|0}Pmc(o);xh[f[(f[a>>2]|0)+24>>2]&2047](o,a);r=j+8+3|0;if((b[r>>0]|0)<0){p=f[j>>2]|0;f[n>>2]=0;$dc(p,n);f[j+4>>2]=0}else{f[n>>2]=0;$dc(j,n);b[r>>0]=0}pnc(j,0);f[j>>2]=f[o>>2];f[j+4>>2]=f[o+4>>2];f[j+8>>2]=f[o+8>>2];r=0;while(1){if((r|0)==3)break;f[o+(r<<2)>>2]=0;r=r+1|0}lnc(o);s=ci[f[(f[a>>2]|0)+36>>2]&1023](a)|0}else{a=nec(d,895372)|0;if(c){xh[f[(f[a>>2]|0)+44>>2]&2047](n,a);c=f[n>>2]|0;b[e>>0]=c;b[e+1>>0]=c>>8;b[e+2>>0]=c>>16;b[e+3>>0]=c>>24;xh[f[(f[a>>2]|0)+32>>2]&2047](o,a);c=k+8+3|0;if((b[c>>0]|0)<0){d=f[k>>2]|0;f[n>>2]=0;$dc(d,n);f[k+4>>2]=0}else{f[n>>2]=0;$dc(k,n);b[c>>0]=0}pnc(k,0);f[k>>2]=f[o>>2];f[k+4>>2]=f[o+4>>2];f[k+8>>2]=f[o+8>>2];c=0;while(1){if((c|0)==3)break;f[o+(c<<2)>>2]=0;c=c+1|0}lnc(o)}else{xh[f[(f[a>>2]|0)+40>>2]&2047](n,a);c=f[n>>2]|0;b[e>>0]=c;b[e+1>>0]=c>>8;b[e+2>>0]=c>>16;b[e+3>>0]=c>>24;xh[f[(f[a>>2]|0)+28>>2]&2047](o,a);c=k+8+3|0;if((b[c>>0]|0)<0){e=f[k>>2]|0;f[n>>2]=0;$dc(e,n);f[k+4>>2]=0}else{f[n>>2]=0;$dc(k,n);b[c>>0]=0}pnc(k,0);f[k>>2]=f[o>>2];f[k+4>>2]=f[o+4>>2];f[k+8>>2]=f[o+8>>2];k=0;while(1){if((k|0)==3)break;f[o+(k<<2)>>2]=0;k=k+1|0}lnc(o)}k=ci[f[(f[a>>2]|0)+12>>2]&1023](a)|0;f[g>>2]=k;k=ci[f[(f[a>>2]|0)+16>>2]&1023](a)|0;f[h>>2]=k;xh[f[(f[a>>2]|0)+20>>2]&2047](o,a);k=i+11|0;if((b[k>>0]|0)<0){h=f[i>>2]|0;b[n>>0]=0;Gcc(h,n);f[i+4>>2]=0;t=i}else{b[n>>0]=0;Gcc(i,n);b[k>>0]=0;t=i}Umc(i,0);f[t>>2]=f[o>>2];f[t+4>>2]=f[o+4>>2];f[t+8>>2]=f[o+8>>2];t=0;while(1){if((t|0)==3)break;f[o+(t<<2)>>2]=0;t=t+1|0}Pmc(o);xh[f[(f[a>>2]|0)+24>>2]&2047](o,a);t=j+8+3|0;if((b[t>>0]|0)<0){i=f[j>>2]|0;f[n>>2]=0;$dc(i,n);f[j+4>>2]=0}else{f[n>>2]=0;$dc(j,n);b[t>>0]=0}pnc(j,0);f[j>>2]=f[o>>2];f[j+4>>2]=f[o+4>>2];f[j+8>>2]=f[o+8>>2];j=0;while(1){if((j|0)==3)break;f[o+(j<<2)>>2]=0;j=j+1|0}lnc(o);s=ci[f[(f[a>>2]|0)+36>>2]&1023](a)|0}f[l>>2]=s;u=m;return}function bjc(a,c,d,e,g,h,i,j,k,l,m,n,o,p,q){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;f[d>>2]=a;r=p+8+3|0;s=p+4|0;t=o+8+3|0;u=o+4|0;v=(e&512|0)==0;w=(q|0)>0;x=n+11|0;y=n+4|0;z=0;A=g;while(1){if((z|0)==4)break;a:do switch(b[k+z>>0]|0){case 0:{f[c>>2]=f[d>>2];B=A;break}case 1:{f[c>>2]=f[d>>2];g=Sh[f[(f[i>>2]|0)+44>>2]&511](i,32)|0;C=f[d>>2]|0;f[d>>2]=C+4;f[C>>2]=g;B=A;break}case 3:{g=b[r>>0]|0;C=g<<24>>24<0;if(!((C?f[s>>2]|0:g&255)|0))B=A;else{g=f[(C?f[p>>2]|0:p)>>2]|0;C=f[d>>2]|0;f[d>>2]=C+4;f[C>>2]=g;B=A}break}case 2:{g=b[t>>0]|0;C=g<<24>>24<0;D=C?f[u>>2]|0:g&255;if(v|(D|0)==0)B=A;else{g=C?f[o>>2]|0:o;C=g+(D<<2)|0;E=f[d>>2]|0;F=E;G=g;while(1){if((G|0)==(C|0))break;f[F>>2]=f[G>>2];F=F+4|0;G=G+4|0}f[d>>2]=E+(D<<2);B=A}break}case 4:{G=f[d>>2]|0;F=j?A+4|0:A;C=F;while(1){if(C>>>0>=h>>>0)break;if(!(ki[f[(f[i>>2]|0)+12>>2]&511](i,2048,f[C>>2]|0)|0))break;C=C+4|0}if(w){D=q;E=C;while(1){H=(D|0)>0;if(!(E>>>0>F>>>0&H))break;g=E+-4|0;I=f[g>>2]|0;J=f[d>>2]|0;f[d>>2]=J+4;f[J>>2]=I;D=D+-1|0;E=g}if(H)K=Sh[f[(f[i>>2]|0)+44>>2]&511](i,48)|0;else K=0;g=D;I=f[d>>2]|0;while(1){L=I+4|0;if((g|0)<=0)break;f[I>>2]=K;g=g+-1|0;I=L}f[d>>2]=L;f[I>>2]=l;M=E}else M=C;if((M|0)==(F|0)){g=Sh[f[(f[i>>2]|0)+44>>2]&511](i,48)|0;D=f[d>>2]|0;J=D+4|0;f[d>>2]=J;f[D>>2]=g;N=J}else{J=b[x>>0]|0;g=J<<24>>24<0;D=J&255;if(!((g?f[y>>2]|0:D)|0)){O=-1;P=0;Q=0;R=M}else{O=b[(g?f[n>>2]|0:n)>>0]|0;P=0;Q=0;R=M}while(1){if((R|0)==(F|0))break;J=f[d>>2]|0;if((Q|0)==(O|0)){S=J+4|0;f[d>>2]=S;f[J>>2]=m;T=P+1|0;if(T>>>0<(g?f[y>>2]|0:D)>>>0){U=b[(g?f[n>>2]|0:n)+T>>0]|0;V=U<<24>>24==127?-1:U<<24>>24;W=T;X=0;Y=S}else{V=Q;W=T;X=0;Y=S}}else{V=O;W=P;X=Q;Y=J}J=R+-4|0;S=f[J>>2]|0;f[d>>2]=Y+4;f[Y>>2]=S;O=V;P=W;Q=X+1|0;R=J}N=f[d>>2]|0}if((G|0)==(N|0))B=F;else{g=N;D=G;while(1){C=g+-4|0;if(D>>>0>=C>>>0){B=F;break a}E=f[D>>2]|0;f[D>>2]=f[C>>2];f[C>>2]=E;g=C;D=D+4|0}}break}default:B=A}while(0);z=z+1|0;A=B}B=b[r>>0]|0;r=B<<24>>24<0;A=r?f[s>>2]|0:B&255;if(A>>>0>1){B=r?f[p>>2]|0:p;p=B+4|0;r=B+(A<<2)|0;A=f[d>>2]|0;B=r-p|0;s=A;z=p;while(1){if((z|0)==(r|0))break;f[s>>2]=f[z>>2];s=s+4|0;z=z+4|0}f[d>>2]=A+(B>>>2<<2)}switch((e&176)<<24>>24){case 32:{f[c>>2]=f[d>>2];break}case 16:break;default:f[c>>2]=a}return}function cjc(a){a=a|0;Vdc(a);return}function djc(a){a=a|0;Vdc(a);Emc(a);return}function ejc(a,c,d){a=a|0;c=c|0;d=d|0;d=w9b((b[c+11>>0]|0)<0?f[c>>2]|0:c,1)|0;return d>>>((d|0)!=(-1|0)&1)|0}function fjc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;c=u;u=u+16|0;i=c;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;j=0;while(1){if((j|0)==3)break;f[i+(j<<2)>>2]=0;j=j+1|0}j=b[h+11>>0]|0;k=j<<24>>24<0;l=k?f[h>>2]|0:h;m=l+(k?f[h+4>>2]|0:j&255)|0;j=l;while(1){if(j>>>0>=m>>>0)break;bnc(i,b[j>>0]|0);j=j+1|0}j=(b[i+11>>0]|0)<0?f[i>>2]|0:i;m=D9b((d|0)==-1?-1:d<<1,e,g,j)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;g=0;while(1){if((g|0)==3)break;f[a+(g<<2)>>2]=0;g=g+1|0}g=j+(s8b(m)|0)|0;m=j;while(1){if(m>>>0>=g>>>0)break;bnc(a,b[m>>0]|0);m=m+1|0}Pmc(i);u=c;return}function gjc(a,b){a=a|0;b=b|0;return}function hjc(a){a=a|0;Vdc(a);return}function ijc(a){a=a|0;Vdc(a);Emc(a);return}function jjc(a,c,d){a=a|0;c=c|0;d=d|0;d=w9b((b[c+11>>0]|0)<0?f[c>>2]|0:c,1)|0;return d>>>((d|0)!=(-1|0)&1)|0}function kjc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;c=u;u=u+176|0;i=c+168|0;j=c+40|0;k=c+36|0;l=c+32|0;m=c;n=c+24|0;o=c+16|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;p=0;while(1){if((p|0)==3)break;f[m+(p<<2)>>2]=0;p=p+1|0}f[n+4>>2]=0;f[n>>2]=164524;p=b[h+8+3>>0]|0;q=p<<24>>24<0;r=q?f[h>>2]|0:h;s=r+((q?f[h+4>>2]|0:p&255)<<2)|0;p=j+32|0;h=r;r=0;while(1){if(!((r|0)!=2&h>>>0<s>>>0))break;f[l>>2]=h;q=Ei[f[(f[n>>2]|0)+12>>2]&15](n,i,h,s,l,j,p,k)|0;if((q|0)==2?1:(f[l>>2]|0)==(h|0)){t=7;break}else v=j;while(1){if(v>>>0>=(f[k>>2]|0)>>>0)break;bnc(m,b[v>>0]|0);v=v+1|0}h=f[l>>2]|0;r=q}if((t|0)==7)Ihc(0);Vdc(n);n=(b[m+11>>0]|0)<0?f[m>>2]|0:m;r=D9b((d|0)==-1?-1:d<<1,e,g,n)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;g=0;while(1){if((g|0)==3)break;f[a+(g<<2)>>2]=0;g=g+1|0}f[o+4>>2]=0;f[o>>2]=164572;g=n+(s8b(r)|0)|0;r=g;e=j+128|0;d=n;n=0;while(1){if(!((n|0)!=2&d>>>0<g>>>0)){t=21;break}f[l>>2]=d;h=Ei[f[(f[o>>2]|0)+16>>2]&15](o,i,d,(r-d|0)>32?d+32|0:g,l,j,e,k)|0;if((h|0)==2?1:(f[l>>2]|0)==(d|0)){t=17;break}else w=j;while(1){if(w>>>0>=(f[k>>2]|0)>>>0)break;tnc(a,f[w>>2]|0);w=w+4|0}d=f[l>>2]|0;n=h}if((t|0)==17)Ihc(0);else if((t|0)==21){Vdc(o);Pmc(m);u=c;return}}function ljc(a,b){a=a|0;b=b|0;return}function mjc(a){a=a|0;Vdc(a);Emc(a);return}function njc(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0;b=u;u=u+16|0;a=b+4|0;j=b;f[a>>2]=c;f[j>>2]=g;k=wjc(c,d,a,g,h,j,1114111,0)|0;f[e>>2]=f[a>>2];f[i>>2]=f[j>>2];u=b;return k|0}function ojc(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0;b=u;u=u+16|0;a=b+4|0;j=b;f[a>>2]=c;f[j>>2]=g;k=vjc(c,d,a,g,h,j,1114111,0)|0;f[e>>2]=f[a>>2];f[i>>2]=f[j>>2];u=b;return k|0}function pjc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f[e>>2]=c;return 3}function qjc(a){a=a|0;return 0}function rjc(a){a=a|0;return 0}function sjc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return ujc(c,d,e,1114111,0)|0}function tjc(a){a=a|0;return 4}function ujc(a,c,d,e,f){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;g=c;i=a;if(((g-i|0)>2&(f&4|0)!=0?(b[a>>0]|0)==-17:0)?(b[a+1>>0]|0)==-69:0){j=0;k=(b[a+2>>0]|0)==-65?a+3|0:a}else{j=0;k=a}a:while(1){if(!(j>>>0<d>>>0&k>>>0<c>>>0)){l=30;break}a=b[k>>0]|0;f=a&255;m=k+1|0;do if(a<<24>>24>-1)if(f>>>0>e>>>0){l=30;break a}else n=m;else{if((a&255)<194){l=30;break a}o=k+2|0;p=k;q=g-p|0;if((a&255)<224){if((q|0)<2){l=30;break a}r=h[m>>0]|0;if((r&192|0)!=128){l=30;break a}if((r&63|f<<6&1984)>>>0>e>>>0){l=30;break a}else{n=o;break}}r=k+3|0;if((a&255)<240){if((q|0)<3){l=30;break a}s=b[o>>0]|0;t=h[m>>0]|0;u=t&224;switch(a<<24>>24){case -32:{if((u|0)!=160){v=p;break a}break}case -19:{if((u|0)!=128){v=p;break a}break}default:if((t&192|0)!=128){v=p;break a}}u=s&255;if((u&192|0)!=128){l=30;break a}if((t<<6&4032|f<<12&61440|u&63)>>>0>e>>>0){l=30;break a}else{n=r;break}}if((q|0)<4|(a&255)>244){l=30;break a}q=b[m>>0]|0;u=b[o>>0]|0;o=b[r>>0]|0;r=q&255;switch(a<<24>>24){case -16:{if((q+112&255)>=48){v=p;break a}break}case -12:{if((r&240|0)!=128){v=p;break a}break}default:if((r&192|0)!=128){v=p;break a}}p=u&255;if((p&192|0)!=128){l=30;break a}u=o&255;if((u&192|0)!=128){l=30;break a}if((r<<12&258048|f<<18&1835008|p<<6&4032|u&63)>>>0>e>>>0){l=30;break a}else n=k+4|0}while(0);j=j+1|0;k=n}if((l|0)==30)v=k;return v-i|0}function vjc(a,c,d,e,g,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;f[d>>2]=a;f[i>>2]=e;e=c;if((((k&4|0?(k=f[d>>2]|0,(e-k|0)>2):0)?(b[k>>0]|0)==-17:0)?(b[k+1>>0]|0)==-69:0)?(b[k+2>>0]|0)==-65:0)f[d>>2]=k+3;a:while(1){k=f[d>>2]|0;if(k>>>0>=c>>>0){l=0;break}a=f[i>>2]|0;if(a>>>0>=g>>>0){l=1;break}m=b[k>>0]|0;n=m&255;o=k+1|0;do if(m<<24>>24>-1){if(n>>>0>j>>>0){l=2;break a}f[a>>2]=n;p=o}else{if((m&255)<194){l=2;break a}q=k+2|0;r=e-k|0;if((m&255)<224){if((r|0)<2){l=1;break a}s=h[o>>0]|0;if((s&192|0)!=128){l=2;break a}t=s&63|n<<6&1984;if(t>>>0>j>>>0){l=2;break a}f[a>>2]=t;p=q;break}t=k+3|0;if((m&255)<240){if((r|0)<3){l=1;break a}s=b[q>>0]|0;u=h[o>>0]|0;v=u&224;switch(m<<24>>24){case -32:{if((v|0)!=160){l=2;break a}break}case -19:{if((v|0)!=128){l=2;break a}break}default:if((u&192|0)!=128){l=2;break a}}v=s&255;if((v&192|0)!=128){l=2;break a}s=u<<6&4032|n<<12&61440|v&63;if(s>>>0>j>>>0){l=2;break a}f[a>>2]=s;p=t;break}if((m&255)>=245){l=2;break a}if((r|0)<4){l=1;break a}r=b[o>>0]|0;s=b[q>>0]|0;q=b[t>>0]|0;t=r&255;switch(m<<24>>24){case -16:{if((r+112&255)>=48){l=2;break a}break}case -12:{if((t&240|0)!=128){l=2;break a}break}default:if((t&192|0)!=128){l=2;break a}}r=s&255;if((r&192|0)!=128){l=2;break a}s=q&255;if((s&192|0)!=128){l=2;break a}q=t<<12&258048|n<<18&1835008|r<<6&4032|s&63;if(q>>>0>j>>>0){l=2;break a}f[a>>2]=q;p=k+4|0}while(0);f[d>>2]=p;f[i>>2]=(f[i>>2]|0)+4}return l|0}function wjc(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0;f[d>>2]=a;f[h>>2]=e;a=g;if(j&2)if((a-e|0)<3)k=1;else{f[h>>2]=e+1;b[e>>0]=-17;e=f[h>>2]|0;f[h>>2]=e+1;b[e>>0]=-69;e=f[h>>2]|0;f[h>>2]=e+1;b[e>>0]=-65;l=4}else l=4;a:do if((l|0)==4){e=f[d>>2]|0;while(1){if(e>>>0>=c>>>0){k=0;break a}j=f[e>>2]|0;if(j>>>0>i>>>0|(j&-2048|0)==55296){k=2;break a}do if(j>>>0>=128){g=(j&63|128)&255;if(j>>>0<2048){m=f[h>>2]|0;if((a-m|0)<2){k=1;break a}f[h>>2]=m+1;b[m>>0]=j>>>6|192;m=f[h>>2]|0;f[h>>2]=m+1;b[m>>0]=g;break}m=f[h>>2]|0;n=a-m|0;o=m+1|0;p=(j>>>6&63|128)&255;if(j>>>0<65536){if((n|0)<3){k=1;break a}f[h>>2]=o;b[m>>0]=j>>>12|224;q=f[h>>2]|0;f[h>>2]=q+1;b[q>>0]=p;q=f[h>>2]|0;f[h>>2]=q+1;b[q>>0]=g;break}else{if((n|0)<4){k=1;break a}f[h>>2]=o;b[m>>0]=j>>>18|240;m=f[h>>2]|0;f[h>>2]=m+1;b[m>>0]=j>>>12&63|128;m=f[h>>2]|0;f[h>>2]=m+1;b[m>>0]=p;p=f[h>>2]|0;f[h>>2]=p+1;b[p>>0]=g;break}}else{g=f[h>>2]|0;if((a-g|0)<1){k=1;break a}f[h>>2]=g+1;b[g>>0]=j}while(0);j=(f[d>>2]|0)+4|0;f[d>>2]=j;e=j}}while(0);return k|0}function xjc(a){a=a|0;Vdc(a);Emc(a);return}function yjc(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;f[e>>2]=c;f[i>>2]=g;return 3}function zjc(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;f[e>>2]=c;f[i>>2]=g;return 3}function Ajc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f[e>>2]=c;return 3}function Bjc(a){a=a|0;return 1}function Cjc(a){a=a|0;return 1}function Djc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;b=d-c|0;return (b>>>0<e>>>0?b:e)|0}function Ejc(a){a=a|0;return 1}function Fjc(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;k=u;u=u+16|0;l=k;m=k+8|0;n=d;while(1){if((n|0)==(e|0)){o=e;break}if(!(f[n>>2]|0)){o=n;break}n=n+4|0}f[j>>2]=h;f[g>>2]=d;n=i;p=a+8|0;a=d;d=h;h=o;a:while(1){if((d|0)==(i|0)|(a|0)==(e|0)){q=a;r=35;break}o=c;s=f[o+4>>2]|0;t=l;f[t>>2]=f[o>>2];f[t+4>>2]=s;s=x9b(f[p>>2]|0)|0;t=rac(d,g,h-a>>2,n-d|0,c)|0;if(s|0)x9b(s)|0;switch(t|0){case -1:{r=10;break a;break}case 0:{v=1;r=32;break a;break}default:{}}s=(f[j>>2]|0)+t|0;f[j>>2]=s;if((s|0)==(i|0)){r=33;break}if((h|0)==(e|0)){w=e;x=s;y=f[g>>2]|0}else{s=x9b(f[p>>2]|0)|0;t=M7b(m,0,c)|0;if(s|0)x9b(s)|0;if((t|0)==-1){z=2;r=31;break}if(t>>>0>(n-(f[j>>2]|0)|0)>>>0){z=1;r=31;break}else{A=m;B=t}while(1){if(!B)break;t=b[A>>0]|0;s=f[j>>2]|0;f[j>>2]=s+1;b[s>>0]=t;A=A+1|0;B=B+-1|0}t=(f[g>>2]|0)+4|0;f[g>>2]=t;s=t;while(1){if((s|0)==(e|0)){C=e;break}if(!(f[s>>2]|0)){C=s;break}s=s+4|0}w=C;x=f[j>>2]|0;y=t}a=y;d=x;h=w}if((r|0)==10){f[j>>2]=d;w=a;a=d;while(1){if((w|0)==(f[g>>2]|0))break;d=f[w>>2]|0;h=x9b(f[p>>2]|0)|0;x=M7b(a,d,l)|0;if(h|0)x9b(h)|0;if((x|0)==-1)break;h=(f[j>>2]|0)+x|0;f[j>>2]=h;w=w+4|0;a=h}f[g>>2]=w;v=2;r=32}else if((r|0)==31){v=z;r=32}else if((r|0)==33){q=f[g>>2]|0;r=35}if((r|0)==32)D=v;else if((r|0)==35)D=(q|0)!=(e|0)&1;u=k;return D|0}function Gjc(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;k=u;u=u+16|0;l=k;m=d;while(1){if((m|0)==(e|0)){n=e;break}if(!(b[m>>0]|0)){n=m;break}m=m+1|0}f[j>>2]=h;f[g>>2]=d;m=i;o=a+8|0;a=d;d=h;h=n;while(1){if((d|0)==(i|0)|(a|0)==(e|0)){p=a;q=32;break}n=c;r=f[n+4>>2]|0;s=l;f[s>>2]=f[n>>2];f[s+4>>2]=r;t=h;r=x9b(f[o>>2]|0)|0;s=i9b(d,g,t-a|0,m-d>>2,c)|0;if(r|0)x9b(r)|0;if((s|0)==-1){v=a;w=d;q=10;break}r=(f[j>>2]|0)+(s<<2)|0;f[j>>2]=r;if((r|0)==(i|0)){q=29;break}s=f[g>>2]|0;if((h|0)==(e|0)){x=e;y=r;z=s}else{n=x9b(f[o>>2]|0)|0;A=b8b(r,s,1,c)|0;if(n|0)x9b(n)|0;if(A|0){B=2;q=28;break}f[j>>2]=(f[j>>2]|0)+4;A=(f[g>>2]|0)+1|0;f[g>>2]=A;n=A;while(1){if((n|0)==(e|0)){C=e;break}if(!(b[n>>0]|0)){C=n;break}n=n+1|0}x=C;y=f[j>>2]|0;z=A}a=z;d=y;h=x}do if((q|0)==10){a:while(1){q=0;f[j>>2]=w;if((v|0)==(f[g>>2]|0)){q=18;break}x=x9b(f[o>>2]|0)|0;h=b8b(w,v,t-v|0,l)|0;if(x|0)x9b(x)|0;switch(h|0){case -1:{q=15;break a;break}case -2:{q=16;break a;break}case 0:{D=1;break}default:D=h}v=v+D|0;w=(f[j>>2]|0)+4|0;q=10}if((q|0)==15){f[g>>2]=v;B=2;q=28;break}else if((q|0)==16){f[g>>2]=v;B=1;q=28;break}else if((q|0)==18){f[g>>2]=v;B=(v|0)!=(e|0)&1;q=28;break}}else if((q|0)==29){p=f[g>>2]|0;q=32}while(0);if((q|0)==28)E=B;else if((q|0)==32)E=(p|0)!=(e|0)&1;u=k;return E|0}function Hjc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;h=u;u=u+16|0;i=h;f[g>>2]=d;d=x9b(f[a+8>>2]|0)|0;a=M7b(i,0,c)|0;if(d|0)x9b(d)|0;a:do switch(a|0){case 0:case -1:{j=2;break}default:{d=a+-1|0;if(d>>>0>(e-(f[g>>2]|0)|0)>>>0)j=1;else{c=i;k=d;while(1){if(!k){j=0;break a}d=b[c>>0]|0;l=f[g>>2]|0;f[g>>2]=l+1;b[l>>0]=d;c=c+1|0;k=k+-1|0}}}}while(0);u=h;return j|0}function Ijc(a){a=a|0;var b=0,c=0,d=0;b=a+8|0;a=x9b(f[b>>2]|0)|0;c=N8b(0,0,4)|0;if(a|0)x9b(a)|0;if(!c){c=f[b>>2]|0;if(!c)d=1;else{b=x9b(c)|0;c=zac()|0;if(b|0)x9b(b)|0;return (c|0)==1|0}}else d=-1;return d|0}function Jjc(a){a=a|0;return 0}function Kjc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;g=d;h=a+8|0;a=0;i=0;j=c;a:while(1){if((j|0)==(d|0)|a>>>0>=e>>>0)break;c=x9b(f[h>>2]|0)|0;k=qac(j,g-j|0,b)|0;if(c|0)x9b(c)|0;switch(k|0){case -2:case -1:{break a;break}case 0:{l=1;break}default:l=k}a=a+1|0;i=l+i|0;j=j+l|0}return i|0}function Ljc(a){a=a|0;var b=0,c=0;b=f[a+8>>2]|0;if(b){a=x9b(b)|0;b=zac()|0;if(!a)c=b;else{x9b(a)|0;c=b}}else c=1;return c|0}function Mjc(a){a=a|0;var b=0,c=0;f[a>>2]=164620;b=a+8|0;c=f[b>>2]|0;if((c|0)!=(qec()|0))u9b(f[b>>2]|0);Vdc(a);return}function Njc(a){a=a|0;Mjc(a);Emc(a);return}function Ojc(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0;b=u;u=u+16|0;a=b+4|0;j=b;f[a>>2]=c;f[j>>2]=g;k=Xjc(c,d,a,g,h,j,1114111,0)|0;f[e>>2]=f[a>>2];f[i>>2]=f[j>>2];u=b;return k|0}function Pjc(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0;b=u;u=u+16|0;a=b+4|0;j=b;f[a>>2]=c;f[j>>2]=g;k=Wjc(c,d,a,g,h,j,1114111,0)|0;f[e>>2]=f[a>>2];f[i>>2]=f[j>>2];u=b;return k|0}function Qjc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f[e>>2]=c;return 3}function Rjc(a){a=a|0;return 0}function Sjc(a){a=a|0;return 0}function Tjc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return Vjc(c,d,e,1114111,0)|0}function Ujc(a){a=a|0;return 4}function Vjc(a,c,d,e,f){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;g=c;i=a;if(((g-i|0)>2&(f&4|0)!=0?(b[a>>0]|0)==-17:0)?(b[a+1>>0]|0)==-69:0){j=0;k=(b[a+2>>0]|0)==-65?a+3|0:a}else{j=0;k=a}a:while(1){if(!(j>>>0<d>>>0&k>>>0<c>>>0)){l=31;break}a=b[k>>0]|0;f=a&255;if(f>>>0>e>>>0){l=31;break}m=k+1|0;do if(a<<24>>24<=-1){if((a&255)<194){l=31;break a}n=k+2|0;o=k;p=g-o|0;if((a&255)<224){if((p|0)<2){l=31;break a}q=h[m>>0]|0;if((q&192|0)!=128){l=31;break a}if((q&63|f<<6&1984)>>>0>e>>>0){l=31;break a}else{r=j;s=n;break}}q=k+3|0;if((a&255)<240){if((p|0)<3){l=31;break a}t=b[n>>0]|0;u=h[m>>0]|0;v=u&224;switch(a<<24>>24){case -32:{if((v|0)!=160){w=o;break a}break}case -19:{if((v|0)!=128){w=o;break a}break}default:if((u&192|0)!=128){w=o;break a}}v=t&255;if((v&192|0)!=128){l=31;break a}if((u<<6&4032|f<<12&61440|v&63)>>>0>e>>>0){l=31;break a}else{r=j;s=q;break}}if((a&255)>=245){l=31;break a}if((d-j|0)>>>0<2|(p|0)<4){l=31;break a}p=b[m>>0]|0;v=b[n>>0]|0;n=b[q>>0]|0;q=p&255;switch(a<<24>>24){case -16:{if((p+112&255)>=48){w=o;break a}break}case -12:{if((q&240|0)!=128){w=o;break a}break}default:if((q&192|0)!=128){w=o;break a}}o=v&255;if((o&192|0)!=128){l=31;break a}v=n&255;if((v&192|0)!=128){l=31;break a}if((q<<12&258048|f<<18&1835008|o<<6&4032|v&63)>>>0>e>>>0){l=31;break a}else{r=j+1|0;s=k+4|0}}else{r=j;s=m}while(0);j=r+1|0;k=s}if((l|0)==31)w=k;return w-i|0}function Wjc(a,c,e,g,i,j,k,l){a=a|0;c=c|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;f[e>>2]=a;f[j>>2]=g;g=c;if((((l&4|0?(l=f[e>>2]|0,(g-l|0)>2):0)?(b[l>>0]|0)==-17:0)?(b[l+1>>0]|0)==-69:0)?(b[l+2>>0]|0)==-65:0)f[e>>2]=l+3;l=i;a:while(1){a=f[e>>2]|0;m=a>>>0<c>>>0;if(!m){n=40;break}o=f[j>>2]|0;if(o>>>0>=i>>>0){n=40;break}p=b[a>>0]|0;q=p&255;if(q>>>0>k>>>0){r=2;break}s=a+1|0;do if(p<<24>>24>-1){d[o>>1]=p&255;t=s}else{if((p&255)<194){r=2;break a}u=g-a|0;v=a+2|0;if((p&255)<224){if((u|0)<2){r=1;break a}w=h[s>>0]|0;if((w&192|0)!=128){r=2;break a}x=w&63|q<<6&1984;if(x>>>0>k>>>0){r=2;break a}d[o>>1]=x;t=v;break}x=a+3|0;if((p&255)<240){if((u|0)<3){r=1;break a}w=b[v>>0]|0;y=h[s>>0]|0;z=y&224;switch(p<<24>>24){case -32:{if((z|0)!=160){r=2;break a}break}case -19:{if((z|0)!=128){r=2;break a}break}default:if((y&192|0)!=128){r=2;break a}}z=w&255;if((z&192|0)!=128){r=2;break a}w=y<<6&4032|q<<12|z&63;if((w&65535)>>>0>k>>>0){r=2;break a}d[o>>1]=w;t=x;break}if((p&255)>=245){r=2;break a}if((u|0)<4){r=1;break a}u=b[s>>0]|0;w=b[v>>0]|0;v=b[x>>0]|0;x=u&255;switch(p<<24>>24){case -16:{if((u+112&255)>=48){r=2;break a}break}case -12:{if((x&240|0)!=128){r=2;break a}break}default:if((x&192|0)!=128){r=2;break a}}u=w&255;if((u&192|0)!=128){r=2;break a}w=v&255;if((w&192|0)!=128){r=2;break a}if((l-o|0)<4){r=1;break a}v=q&7;z=u<<6;y=w&63;if((x<<12&258048|v<<18|z&4032|y)>>>0>k>>>0){r=2;break a}d[o>>1]=x<<2&60|u>>>4&3|((x>>>4&3|v<<2)<<6)+16320|55296;v=o+2|0;f[j>>2]=v;d[v>>1]=y|z&960|56320;t=(f[e>>2]|0)+4|0}while(0);f[e>>2]=t;f[j>>2]=(f[j>>2]|0)+2}if((n|0)==40)r=m&1;return r|0}function Xjc(a,c,e,g,h,i,k,l){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;f[e>>2]=a;f[i>>2]=g;a=h;if(l&2)if((a-g|0)<3)m=1;else{f[i>>2]=g+1;b[g>>0]=-17;g=f[i>>2]|0;f[i>>2]=g+1;b[g>>0]=-69;g=f[i>>2]|0;f[i>>2]=g+1;b[g>>0]=-65;n=4}else n=4;a:do if((n|0)==4){g=c;l=f[e>>2]|0;while(1){if(l>>>0>=c>>>0){m=0;break a}h=d[l>>1]|0;o=h&65535;if(o>>>0>k>>>0){m=2;break a}do if((h&65535)<128){p=f[i>>2]|0;if((a-p|0)<1){m=1;break a}f[i>>2]=p+1;b[p>>0]=h}else{p=o&63;q=(p|128)&255;if((h&65535)<2048){r=f[i>>2]|0;if((a-r|0)<2){m=1;break a}f[i>>2]=r+1;b[r>>0]=o>>>6|192;r=f[i>>2]|0;f[i>>2]=r+1;b[r>>0]=q;break}r=(o>>>12|224)&255;s=(o>>>6&63|128)&255;if((h&65535)<55296){t=f[i>>2]|0;if((a-t|0)<3){m=1;break a}f[i>>2]=t+1;b[t>>0]=r;t=f[i>>2]|0;f[i>>2]=t+1;b[t>>0]=s;t=f[i>>2]|0;f[i>>2]=t+1;b[t>>0]=q;break}if((h&65535)>=56320){if((h&65535)<57344){m=2;break a}t=f[i>>2]|0;if((a-t|0)<3){m=1;break a}f[i>>2]=t+1;b[t>>0]=r;r=f[i>>2]|0;f[i>>2]=r+1;b[r>>0]=s;s=f[i>>2]|0;f[i>>2]=s+1;b[s>>0]=q;break}if((g-l|0)<4){m=1;break a}q=l+2|0;s=j[q>>1]|0;if((s&64512|0)!=56320){m=2;break a}if((a-(f[i>>2]|0)|0)<4){m=1;break a}r=o&960;if(((r<<10)+65536|p<<10|s&1023)>>>0>k>>>0){m=2;break a}f[e>>2]=q;q=(r>>>6)+1|0;r=f[i>>2]|0;f[i>>2]=r+1;b[r>>0]=q>>>2|240;r=f[i>>2]|0;f[i>>2]=r+1;b[r>>0]=o>>>2&15|q<<4&48|128;q=f[i>>2]|0;f[i>>2]=q+1;b[q>>0]=o<<4&48|s>>>6&15|128;q=f[i>>2]|0;f[i>>2]=q+1;b[q>>0]=s&63|128}while(0);o=(f[e>>2]|0)+2|0;f[e>>2]=o;l=o}}while(0);return m|0}function Yjc(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;f[a>>2]=164668;b=a+8|0;c=a+12|0;d=0;while(1){e=f[b>>2]|0;if(d>>>0>=(f[c>>2]|0)-e>>2>>>0)break;g=f[e+(d<<2)>>2]|0;if(g|0)ymc(g)|0;d=d+1|0}Pmc(a+144|0);_jc(b);Vdc(a);return}function Zjc(a){a=a|0;Yjc(a);Emc(a);return}function _jc(a){a=a|0;var c=0,d=0,e=0,g=0;c=f[a>>2]|0;do if(c|0){d=a+4|0;e=f[d>>2]|0;while(1){if((e|0)==(c|0))break;g=e+-4|0;f[d>>2]=g;e=g}if((a+16|0)==(c|0)){b[a+128>>0]=0;break}else{Emc(c);break}}while(0);return}function $jc(a){a=a|0;var c=0;f[a>>2]=164688;c=f[a+8>>2]|0;if(c|0?b[a+12>>0]|0:0)Fmc(c);Vdc(a);return}function akc(a){a=a|0;$jc(a);Emc(a);return}function bkc(a,b){a=a|0;b=b|0;var c=0;if(b<<24>>24>-1){a=(kkc()|0)+((b&255)<<2)|0;c=f[a>>2]&255}else c=b;return c|0}function ckc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0;a=c;while(1){if((a|0)==(d|0))break;c=b[a>>0]|0;if(c<<24>>24>-1){e=kkc()|0;g=f[e+(b[a>>0]<<2)>>2]&255}else g=c;b[a>>0]=g;a=a+1|0}return d|0}function dkc(a,b){a=a|0;b=b|0;var c=0;if(b<<24>>24>-1){a=(jkc()|0)+(b<<24>>24<<2)|0;c=f[a>>2]&255}else c=b;return c|0}function ekc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0;a=c;while(1){if((a|0)==(d|0))break;c=b[a>>0]|0;if(c<<24>>24>-1){e=jkc()|0;g=f[e+(b[a>>0]<<2)>>2]&255}else g=c;b[a>>0]=g;a=a+1|0}return d|0}function fkc(a,b){a=a|0;b=b|0;return b|0}function gkc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;a=e;e=c;while(1){if((e|0)==(d|0))break;b[a>>0]=b[e>>0]|0;a=a+1|0;e=e+1|0}return d|0}function hkc(a,b,c){a=a|0;b=b|0;c=c|0;return (b<<24>>24>-1?b:c)|0}function ikc(a,c,d,e,f){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;a=f;f=c;while(1){if((f|0)==(d|0))break;c=b[f>>0]|0;b[a>>0]=c<<24>>24>-1?c:e;a=a+1|0;f=f+1|0}return d|0}function jkc(){var a=0;a=yac()|0;return f[a>>2]|0}function kkc(){var a=0;a=xac()|0;return f[a>>2]|0}function lkc(){var a=0;a=wac()|0;return f[a>>2]|0}function mkc(a){a=a|0;f[a>>2]=164740;Pmc(a+12|0);Vdc(a);return}function nkc(a){a=a|0;mkc(a);Emc(a);return}function okc(a){a=a|0;return b[a+8>>0]|0}function pkc(a){a=a|0;return b[a+9>>0]|0}function qkc(a,b){a=a|0;b=b|0;Nmc(a,b+12|0);return}function rkc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;c=u;u=u+16|0;d=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;e=Fcc(524521)|0;if(e>>>0>4294967279)Lmc(a);if(e>>>0<11){b[a+11>>0]=e;g=a}else{h=e+16&-16;i=Bmc(h)|0;f[a>>2]=i;f[a+8>>2]=h|-2147483648;f[a+4>>2]=e;g=i}Mbc(g,524521,e)|0;b[d>>0]=0;Gcc(g+e|0,d);u=c;return}function skc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;c=u;u=u+16|0;d=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;e=Fcc(524515)|0;if(e>>>0>4294967279)Lmc(a);if(e>>>0<11){b[a+11>>0]=e;g=a}else{h=e+16&-16;i=Bmc(h)|0;f[a>>2]=i;f[a+8>>2]=h|-2147483648;f[a+4>>2]=e;g=i}Mbc(g,524515,e)|0;b[d>>0]=0;Gcc(g+e|0,d);u=c;return}function tkc(a){a=a|0;f[a>>2]=164780;Pmc(a+16|0);Vdc(a);return}function ukc(a){a=a|0;tkc(a);Emc(a);return}function vkc(a){a=a|0;return f[a+8>>2]|0}function wkc(a){a=a|0;return f[a+12>>2]|0}function xkc(a,b){a=a|0;b=b|0;Nmc(a,b+16|0);return}function ykc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;c=u;u=u+16|0;d=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;e=$gc(164836)|0;if(e>>>0>1073741807)Lmc(a);do if(e>>>0>=2){g=e+4&-4;if(g>>>0>1073741823)Qe();else{h=Bmc(g<<2)|0;f[a>>2]=h;f[a+8>>2]=g|-2147483648;f[a+4>>2]=e;i=h;break}}else{b[a+8+3>>0]=e;i=a}while(0);ccc(i,164836,e)|0;f[d>>2]=0;$dc(i+(e<<2)|0,d);u=c;return}function zkc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;c=u;u=u+16|0;d=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;e=$gc(164812)|0;if(e>>>0>1073741807)Lmc(a);do if(e>>>0>=2){g=e+4&-4;if(g>>>0>1073741823)Qe();else{h=Bmc(g<<2)|0;f[a>>2]=h;f[a+8>>2]=g|-2147483648;f[a+4>>2]=e;i=h;break}}else{b[a+8+3>>0]=e;i=a}while(0);ccc(i,164812,e)|0;f[d>>2]=0;$dc(i+(e<<2)|0,d);u=c;return}function Akc(a){a=a|0;Vdc(a);Emc(a);return}function Bkc(a){a=a|0;Vdc(a);Emc(a);return}function Ckc(a,b,c){a=a|0;b=b|0;c=c|0;var e=0;if(c>>>0<128){a=(lkc()|0)+(c<<1)|0;e=(d[a>>1]&b)<<16>>16!=0}else e=0;return e|0}function Dkc(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var g=0;a=e;e=b;while(1){if((e|0)==(c|0))break;if((f[e>>2]|0)>>>0<128){b=lkc()|0;g=j[b+(f[e>>2]<<1)>>1]|0}else g=0;d[a>>1]=g;a=a+2|0;e=e+4|0}return c|0}function Ekc(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var g=0;a=c;while(1){if((a|0)==(e|0)){g=e;break}if((f[a>>2]|0)>>>0<128?(c=lkc()|0,(d[c+(f[a>>2]<<1)>>1]&b)<<16>>16):0){g=a;break}a=a+4|0}return g|0}function Fkc(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var g=0;a=c;while(1){if((a|0)==(e|0)){g=e;break}if((f[a>>2]|0)>>>0>=128){g=a;break}c=lkc()|0;if(!((d[c+(f[a>>2]<<1)>>1]&b)<<16>>16)){g=a;break}a=a+4|0}return g|0}function Gkc(a,b){a=a|0;b=b|0;var c=0;if(b>>>0<128){a=(kkc()|0)+(b<<2)|0;c=f[a>>2]|0}else c=b;return c|0}function Hkc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;a=b;while(1){if((a|0)==(c|0))break;b=f[a>>2]|0;if(b>>>0<128){d=kkc()|0;e=f[d+(f[a>>2]<<2)>>2]|0}else e=b;f[a>>2]=e;a=a+4|0}return c|0}function Ikc(a,b){a=a|0;b=b|0;var c=0;if(b>>>0<128){a=(jkc()|0)+(b<<2)|0;c=f[a>>2]|0}else c=b;return c|0}function Jkc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;a=b;while(1){if((a|0)==(c|0))break;b=f[a>>2]|0;if(b>>>0<128){d=jkc()|0;e=f[d+(f[a>>2]<<2)>>2]|0}else e=b;f[a>>2]=e;a=a+4|0}return c|0}function Kkc(a,b){a=a|0;b=b|0;return b<<24>>24|0}function Lkc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;a=e;e=c;while(1){if((e|0)==(d|0))break;f[a>>2]=b[e>>0];a=a+4|0;e=e+1|0}return d|0}function Mkc(a,b,c){a=a|0;b=b|0;c=c|0;return (b>>>0<128?b&255:c)|0}function Nkc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;a=(d-c|0)>>>2;h=g;g=c;while(1){if((g|0)==(d|0))break;i=f[g>>2]|0;b[h>>0]=i>>>0<128?i&255:e;h=h+1|0;g=g+4|0}return c+(a<<2)|0}function Okc(a){a=a|0;Vdc(a);Emc(a);return}function Pkc(a){a=a|0;Vdc(a);Emc(a);return}function Qkc(a){a=a|0;Vdc(a);Emc(a);return}function Rkc(a){a=a|0;f[a>>2]=165096;return}function Skc(a){a=a|0;f[a>>2]=165132;return}function Tkc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;f[a+4>>2]=e+-1;f[a>>2]=164688;e=a+8|0;f[e>>2]=c;b[a+12>>0]=d&1;if(!c){c=lkc()|0;f[e>>2]=c}return}function Ukc(a){a=a|0;Qe()}function Vkc(a){a=a|0;Qe()}function Wkc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d;f[a+4>>2]=c+-1;f[a>>2]=164668;c=a+8|0;Xkc(c,28);g=a+144|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;h=Fcc(520433)|0;if(h>>>0>4294967279)Lmc(g);if(h>>>0<11){b[g+11>>0]=h;i=g}else{j=h+16&-16;k=Bmc(j)|0;f[g>>2]=k;f[a+152>>2]=j|-2147483648;f[a+148>>2]=h;i=k}Mbc(i,520433,h)|0;b[e>>0]=0;Gcc(i+h|0,e);e=f[c>>2]|0;c=a+12|0;h=f[c>>2]|0;while(1){if((h|0)==(e|0))break;i=h+-4|0;f[c>>2]=i;h=i}Ykc();Zkc(a,537312);_kc();$kc(a,537320);alc();blc(a,537328);clc();dlc(a,537344);elc();flc(a,537352);glc();hlc(a,537360);ilc();jlc(a,537376);klc();llc(a,537384);mlc();nlc(a,537392);olc();plc(a,537416);qlc();rlc(a,537448);slc();tlc(a,537456);ulc();vlc(a,537464);wlc();xlc(a,537472);ylc();zlc(a,537480);Alc();Blc(a,537488);Clc();Dlc(a,537496);Elc();Flc(a,537504);Glc();Hlc(a,537512);Ilc();Jlc(a,537520);Klc();Llc(a,537528);Mlc();Nlc(a,537536);Olc();Plc(a,537544);Qlc();Rlc(a,537560);Slc();Tlc(a,537576);Ulc();Vlc(a,537592);Wlc();Xlc(a,537608);Ylc();Zlc(a,537616);u=d;return}function Xkc(a,c){a=a|0;c=c|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b[a+128>>0]=0;if(c|0){kmc(a,c);bmc(a,c)}return}function Ykc(){f[134329]=0;f[134328]=162332;return}function Zkc(a,b){a=a|0;b=b|0;_lc(a,b,sec(893628)|0);return}function _kc(){f[134331]=0;f[134330]=162364;return}function $kc(a,b){a=a|0;b=b|0;_lc(a,b,sec(893636)|0);return}function alc(){Tkc(537328,0,0,1);return}function blc(a,b){a=a|0;b=b|0;_lc(a,b,sec(893644)|0);return}function clc(){f[134337]=0;f[134336]=164884;return}function dlc(a,b){a=a|0;b=b|0;_lc(a,b,sec(893676)|0);return}function elc(){f[134339]=0;f[134338]=164952;return}function flc(a,b){a=a|0;b=b|0;_lc(a,b,sec(895436)|0);return}function glc(){jmc(537360,1);return}function hlc(a,b){a=a|0;b=b|0;_lc(a,b,sec(895444)|0);return}function ilc(){f[134345]=0;f[134344]=165e3;return}function jlc(a,b){a=a|0;b=b|0;_lc(a,b,sec(895452)|0);return}function klc(){f[134347]=0;f[134346]=165048;return}function llc(a,b){a=a|0;b=b|0;_lc(a,b,sec(895460)|0);return}function mlc(){imc(537392,1);return}function nlc(a,b){a=a|0;b=b|0;_lc(a,b,sec(893660)|0);return}function olc(){hmc(537416,1);return}function plc(a,b){a=a|0;b=b|0;_lc(a,b,sec(893684)|0);return}function qlc(){f[134363]=0;f[134362]=162396;return}function rlc(a,b){a=a|0;b=b|0;_lc(a,b,sec(893668)|0);return}function slc(){f[134365]=0;f[134364]=162460;return}function tlc(a,b){a=a|0;b=b|0;_lc(a,b,sec(893692)|0);return}function ulc(){f[134367]=0;f[134366]=162524;return}function vlc(a,b){a=a|0;b=b|0;_lc(a,b,sec(893700)|0);return}function wlc(){f[134369]=0;f[134368]=162576;return}function xlc(a,b){a=a|0;b=b|0;_lc(a,b,sec(893708)|0);return}function ylc(){f[134371]=0;f[134370]=164124;return}function zlc(a,b){a=a|0;b=b|0;_lc(a,b,sec(895356)|0);return}function Alc(){f[134373]=0;f[134372]=164180;return}function Blc(a,b){a=a|0;b=b|0;_lc(a,b,sec(895364)|0);return}function Clc(){f[134375]=0;f[134374]=164236;return}function Dlc(a,b){a=a|0;b=b|0;_lc(a,b,sec(895372)|0);return}function Elc(){f[134377]=0;f[134376]=164292;return}function Flc(a,b){a=a|0;b=b|0;_lc(a,b,sec(895380)|0);return}function Glc(){f[134379]=0;f[134378]=164348;return}function Hlc(a,b){a=a|0;b=b|0;_lc(a,b,sec(895388)|0);return}function Ilc(){f[134381]=0;f[134380]=164376;return}function Jlc(a,b){a=a|0;b=b|0;_lc(a,b,sec(895396)|0);return}function Klc(){f[134383]=0;f[134382]=164404;return}function Llc(a,b){a=a|0;b=b|0;_lc(a,b,sec(895404)|0);return}function Mlc(){f[134385]=0;f[134384]=164432;return}function Nlc(a,b){a=a|0;b=b|0;_lc(a,b,sec(895412)|0);return}function Olc(){f[134387]=0;f[134386]=164864;Rkc(537552);f[134386]=162628;f[134388]=162676;return}function Plc(a,b){a=a|0;b=b|0;_lc(a,b,sec(894520)|0);return}function Qlc(){f[134391]=0;f[134390]=164864;Skc(537568);f[134390]=162712;f[134392]=162760;return}function Rlc(a,b){a=a|0;b=b|0;_lc(a,b,sec(895332)|0);return}function Slc(){var a=0;f[134395]=0;f[134394]=164864;a=qec()|0;f[134396]=a;f[134394]=164076;return}function Tlc(a,b){a=a|0;b=b|0;_lc(a,b,sec(895340)|0);return}function Ulc(){var a=0;f[134399]=0;f[134398]=164864;a=qec()|0;f[134400]=a;f[134398]=164100;return}function Vlc(a,b){a=a|0;b=b|0;_lc(a,b,sec(895348)|0);return}function Wlc(){f[134403]=0;f[134402]=164460;return}function Xlc(a,b){a=a|0;b=b|0;_lc(a,b,sec(895420)|0);return}function Ylc(){f[134405]=0;f[134404]=164492;return}function Zlc(a,b){a=a|0;b=b|0;_lc(a,b,sec(895428)|0);return}function _lc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;wmc(b);d=a+8|0;e=f[d>>2]|0;if((f[a+12>>2]|0)-e>>2>>>0>c>>>0){g=d;h=e}else{$lc(d,c+1|0);g=d;h=f[d>>2]|0}d=f[h+(c<<2)>>2]|0;if(d|0)ymc(d)|0;f[(f[g>>2]|0)+(c<<2)>>2]=b;return}function $lc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=a+4|0;d=f[c>>2]|0;e=f[a>>2]|0;g=d-e>>2;h=e;e=d;a:do if(g>>>0>=b>>>0){if(g>>>0>b>>>0){d=h+(b<<2)|0;i=e;while(1){if((i|0)==(d|0))break a;j=i+-4|0;f[c>>2]=j;i=j}}}else amc(a,b-g|0);while(0);return}function amc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;c=u;u=u+32|0;d=c;e=a+8|0;g=a+4|0;h=f[g>>2]|0;do if((f[e>>2]|0)-h>>2>>>0<b>>>0){i=(h-(f[a>>2]|0)>>2)+b|0;j=cmc(a)|0;if(j>>>0<i>>>0)Ukc(a);else{k=f[a>>2]|0;l=(f[e>>2]|0)-k|0;m=l>>1;dmc(d,l>>2>>>0<j>>>1>>>0?(m>>>0<i>>>0?i:m):j,(f[g>>2]|0)-k>>2,a+16|0);emc(d,b);fmc(a,d);gmc(d);break}}else bmc(a,b);while(0);u=c;return}function bmc(a,b){a=a|0;b=b|0;var c=0;c=a+4|0;a=b;b=f[c>>2]|0;do{f[b>>2]=0;b=(f[c>>2]|0)+4|0;f[c>>2]=b;a=a+-1|0}while((a|0)!=0);return}function cmc(a){a=a|0;return 1073741823}function dmc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;f[a+12>>2]=0;f[a+16>>2]=e;do if(c){g=e+112|0;if(c>>>0<29&(b[g>>0]|0)==0){b[g>>0]=1;h=e;break}else{h=Bmc(c<<2)|0;break}}else h=0;while(0);f[a>>2]=h;e=h+(d<<2)|0;f[a+8>>2]=e;f[a+4>>2]=e;f[a+12>>2]=h+(c<<2);return}function emc(a,b){a=a|0;b=b|0;var c=0;c=a+8|0;a=b;b=f[c>>2]|0;do{f[b>>2]=0;b=(f[c>>2]|0)+4|0;f[c>>2]=b;a=a+-1|0}while((a|0)!=0);return}function fmc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;c=f[a>>2]|0;d=a+4|0;e=b+4|0;g=(f[d>>2]|0)-c|0;h=(f[e>>2]|0)+(0-(g>>2)<<2)|0;f[e>>2]=h;if((g|0)>0){Krc(h|0,c|0,g|0)|0;i=e;j=f[e>>2]|0}else{i=e;j=h}h=f[a>>2]|0;f[a>>2]=j;f[i>>2]=h;h=b+8|0;j=f[d>>2]|0;f[d>>2]=f[h>>2];f[h>>2]=j;j=a+8|0;a=b+12|0;h=f[j>>2]|0;f[j>>2]=f[a>>2];f[a>>2]=h;f[b>>2]=f[i>>2];return}function gmc(a){a=a|0;var c=0,d=0,e=0,g=0;c=f[a+4>>2]|0;d=a+8|0;e=f[d>>2]|0;while(1){if((e|0)==(c|0))break;g=e+-4|0;f[d>>2]=g;e=g}e=f[a>>2]|0;do if(e|0){d=f[a+16>>2]|0;if((d|0)==(e|0)){b[d+112>>0]=0;break}else{Emc(e);break}}while(0);return}function hmc(a,b){a=a|0;b=b|0;f[a+4>>2]=b+-1;f[a>>2]=164780;f[a+8>>2]=46;f[a+12>>2]=44;b=a+16|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[b+(a<<2)>>2]=0;a=a+1|0}return}function imc(a,c){a=a|0;c=c|0;f[a+4>>2]=c+-1;f[a>>2]=164740;b[a+8>>0]=46;b[a+9>>0]=44;c=a+12|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[c+(a<<2)>>2]=0;a=a+1|0}return}function jmc(a,b){a=a|0;b=b|0;f[a+4>>2]=b+-1;f[a>>2]=164620;b=qec()|0;f[a+8>>2]=b;return}function kmc(a,c){a=a|0;c=c|0;var d=0,e=0;if((cmc(a)|0)>>>0<c>>>0)Ukc(a);d=a+128|0;if(c>>>0<29&(b[d>>0]|0)==0){b[d>>0]=1;e=a+16|0}else e=Bmc(c<<2)|0;f[a+4>>2]=e;f[a>>2]=e;f[a+8>>2]=e+(c<<2);return}function lmc(){if((b[537624]|0)==0?src(537624)|0:0){mmc()|0;f[223868]=895468}return f[223868]|0}function mmc(){nmc();f[223867]=537632;return 895468}function nmc(){Wkc(537632,1);return}function omc(){pmc(895476,lmc()|0);return 895476}function pmc(a,b){a=a|0;b=b|0;var c=0;c=f[b>>2]|0;f[a>>2]=c;wmc(c);return}function qmc(){if((b[537792]|0)==0?src(537792)|0:0){omc()|0;f[223870]=895476}return f[223870]|0}function rmc(a){a=a|0;var b=0,c=0;b=qmc()|0;c=f[b>>2]|0;f[a>>2]=c;wmc(c);return}function smc(a,b){a=a|0;b=b|0;var c=0;c=f[a>>2]|0;return tmc(c,sec(b)|0)|0}function tmc(a,b){a=a|0;b=b|0;var c=0,d=0;c=f[a+8>>2]|0;if((f[a+12>>2]|0)-c>>2>>>0>b>>>0)d=(f[c+(b<<2)>>2]|0)!=0;else d=0;return d|0}function umc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if(!c)d=0;else d=gac(a,b,c)|0;return d|0}function vmc(a){a=a|0;return}function wmc(a){a=a|0;xmc(a+4|0);return}function xmc(a){a=a|0;f[a>>2]=(f[a>>2]|0)+1;return}function ymc(a){a=a|0;var b=0;if((zmc(a+4|0)|0)==-1){ai[f[(f[a>>2]|0)+8>>2]&2047](a);b=1}else b=0;return b|0}function zmc(a){a=a|0;var b=0;b=f[a>>2]|0;f[a>>2]=b+-1;return b+-1|0}function Amc(a,b,c){a=a|0;b=b|0;c=c|0;Crc(895484)|0;while(1){if((f[a>>2]|0)!=1)break;Ze(895512,895484)|0}if(!(f[a>>2]|0)){f[a>>2]=1;Brc(895484)|0;ai[c&2047](b);Crc(895484)|0;f[a>>2]=-1;Brc(895484)|0;Jrc(895512)|0}else Brc(895484)|0;return}function Bmc(a){a=a|0;var b=0,c=0;b=(a|0)==0?1:a;while(1){a=W6b(b)|0;if(a|0){c=a;break}a=vrc()|0;if(!a){c=0;break}Zh[a&255]()}return c|0}function Cmc(a,b){a=a|0;b=b|0;return Bmc(a)|0}function Dmc(a){a=a|0;return Bmc(a)|0}function Emc(a){a=a|0;X6b(a);return}function Fmc(a){a=a|0;Emc(a);return}function Gmc(){Qe()}function Hmc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=s8b(b)|0;d=Bmc(c+13|0)|0;f[d>>2]=c;f[d+4>>2]=c;f[d+8>>2]=0;e=Imc(d)|0;Krc(e|0,b|0,c+1|0)|0;f[a>>2]=e;return}function Imc(a){a=a|0;return a+12|0}function Jmc(a,b){a=a|0;b=b|0;f[a>>2]=165256;Hmc(a+4|0,b);return}function Kmc(a){a=a|0;return 1}function Lmc(a){a=a|0;Qe()}function Mmc(a){a=a|0;Qe()}function Nmc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;if((b[c+11>>0]|0)<0){g=f[c>>2]|0;h=f[c+4>>2]|0;if(h>>>0>4294967279)Lmc(a);if(h>>>0<11){b[a+11>>0]=h;i=a}else{j=h+16&-16;k=Bmc(j)|0;f[a>>2]=k;f[a+8>>2]=j|-2147483648;f[a+4>>2]=h;i=k}Mbc(i,g,h)|0;b[e>>0]=0;Gcc(i+h|0,e)}else{f[a>>2]=f[c>>2];f[a+4>>2]=f[c+4>>2];f[a+8>>2]=f[c+8>>2]}u=d;return}function Omc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;g=u;u=u+16|0;h=g;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;i=b[c+11>>0]|0;j=i<<24>>24<0;k=j?f[c+4>>2]|0:i&255;if(k>>>0<d>>>0)Mmc(a);i=(j?f[c>>2]|0:c)+d|0;c=k-d|0;d=c>>>0<e>>>0?c:e;if(d>>>0>4294967279)Lmc(a);if(d>>>0<11){b[a+11>>0]=d;l=a}else{e=d+16&-16;c=Bmc(e)|0;f[a>>2]=c;f[a+8>>2]=e|-2147483648;f[a+4>>2]=d;l=c}Mbc(l,i,d)|0;b[h>>0]=0;Gcc(l+d|0,h);u=g;return}function Pmc(a){a=a|0;if((b[a+11>>0]|0)<0)Emc(f[a>>2]|0);return}function Qmc(a,c){a=a|0;c=c|0;var d=0,e=0;if((a|0)!=(c|0)){d=b[c+11>>0]|0;e=d<<24>>24<0;Rmc(a,e?f[c>>2]|0:c,e?f[c+4>>2]|0:d&255)|0}return a|0}function Rmc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;h=a+11|0;i=b[h>>0]|0;j=i<<24>>24<0;if(j)k=(f[a+8>>2]&2147483647)+-1|0;else k=10;do if(k>>>0>=d>>>0){if(j)l=f[a>>2]|0;else l=a;Smc(l,c,d)|0;b[g>>0]=0;Gcc(l+d|0,g);if((b[h>>0]|0)<0){f[a+4>>2]=d;break}else{b[h>>0]=d;break}}else{if(j)m=f[a+4>>2]|0;else m=i&255;Tmc(a,k,d-k|0,m,0,m,d,c)}while(0);u=e;return a|0}function Smc(a,b,c){a=a|0;b=b|0;c=c|0;if(c|0)Mrc(a|0,b|0,c|0)|0;return a|0}function Tmc(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0;k=u;u=u+16|0;l=k;if((-18-c|0)>>>0<d>>>0)Lmc(a);if((b[a+11>>0]|0)<0)m=f[a>>2]|0;else m=a;if(c>>>0<2147483623){n=d+c|0;d=c<<1;o=n>>>0<d>>>0?d:n;p=o>>>0<11?11:o+16&-16}else p=-17;o=Bmc(p)|0;if(g|0)Mbc(o,m,g)|0;if(i|0)Mbc(o+g|0,j,i)|0;j=e-h|0;e=j-g|0;if(e|0)Mbc(o+g+i|0,m+g+h|0,e)|0;if((c|0)!=10)Emc(m);f[a>>2]=o;f[a+8>>2]=p|-2147483648;p=j+i|0;f[a+4>>2]=p;b[l>>0]=0;Gcc(o+p|0,l);u=k;return}function Umc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(c>>>0>4294967279)Lmc(a);d=a+11|0;e=b[d>>0]|0;g=e<<24>>24<0;if(g){h=f[a+4>>2]|0;i=(f[a+8>>2]&2147483647)+-1|0}else{h=e&255;i=10}j=h>>>0>c>>>0?h:c;c=j>>>0<11;k=c?10:(j+16&-16)+-1|0;do if((k|0)!=(i|0)){do if(c){j=f[a>>2]|0;if(g){l=0;m=j;n=a;o=13}else{Mbc(a,j,(e&255)+1|0)|0;Emc(j);o=15}}else{j=Bmc(k+1|0)|0;if(g){l=1;m=f[a>>2]|0;n=j;o=13;break}else{Mbc(j,a,(e&255)+1|0)|0;p=j;o=14;break}}while(0);if((o|0)==13){Mbc(n,m,(f[a+4>>2]|0)+1|0)|0;Emc(m);if(l){p=n;o=14}else o=15}if((o|0)==14){f[a+8>>2]=k+1|-2147483648;f[a+4>>2]=h;f[a>>2]=p;break}else if((o|0)==15){b[d>>0]=h;break}}while(0);return}function Vmc(a,b){a=a|0;b=b|0;return Rmc(a,b,Fcc(b)|0)|0}function Wmc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+16|0;g=e;h=a+11|0;i=b[h>>0]|0;j=i<<24>>24<0;if(j)k=f[a+4>>2]|0;else k=i&255;do if(k>>>0>=c>>>0)if(j){i=(f[a>>2]|0)+c|0;b[g>>0]=0;Gcc(i,g);f[a+4>>2]=c;break}else{b[g>>0]=0;Gcc(a+c|0,g);b[h>>0]=c;break}else Xmc(a,c-k|0,d)|0;while(0);u=e;return}function Xmc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+16|0;g=e;if(c|0){h=a+11|0;i=b[h>>0]|0;if(i<<24>>24<0){j=f[a+4>>2]|0;k=(f[a+8>>2]&2147483647)+-1|0}else{j=i&255;k=10}l=j+c|0;if((k-j|0)>>>0<c>>>0){Ymc(a,k,l-k|0,j,j,0,0);m=b[h>>0]|0}else m=i;if(m<<24>>24<0)n=f[a>>2]|0;else n=a;Uhc(n+j|0,c,d)|0;if((b[h>>0]|0)<0)f[a+4>>2]=l;else b[h>>0]=l;b[g>>0]=0;Gcc(n+l|0,g)}u=e;return a|0}function Ymc(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0;if((-17-c|0)>>>0<d>>>0)Lmc(a);if((b[a+11>>0]|0)<0)j=f[a>>2]|0;else j=a;if(c>>>0<2147483623){k=d+c|0;d=c<<1;l=k>>>0<d>>>0?d:k;m=l>>>0<11?11:l+16&-16}else m=-17;l=Bmc(m)|0;if(g|0)Mbc(l,j,g)|0;k=e-h-g|0;if(k|0)Mbc(l+g+i|0,j+g+h|0,k)|0;if((c|0)!=10)Emc(j);f[a>>2]=l;f[a+8>>2]=m|-2147483648;return}function Zmc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=b[a+11>>0]|0;e=d<<24>>24<0;if(e)g=f[a+4>>2]|0;else g=d&255;if(g>>>0<=c>>>0)Mmc(a);if(e)h=f[a>>2]|0;else h=a;return h+c|0}function _mc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;d=b[a+11>>0]|0;e=d<<24>>24<0;if(e)g=f[a+4>>2]|0;else g=d&255;if(g>>>0<=c>>>0)Mmc(a);if(e)h=f[a>>2]|0;else h=a;return h+c|0}function $mc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;h=a+11|0;i=b[h>>0]|0;j=i<<24>>24<0;if(j){k=f[a+4>>2]|0;l=(f[a+8>>2]&2147483647)+-1|0}else{k=i&255;l=10}i=k+d|0;if((l-k|0)>>>0>=d>>>0){if(d|0){if(j)m=f[a>>2]|0;else m=a;Mbc(m+k|0,c,d)|0;if((b[h>>0]|0)<0)f[a+4>>2]=i;else b[h>>0]=i;b[g>>0]=0;Gcc(m+i|0,g)}}else Tmc(a,l,i-l|0,k,k,0,d,c);u=e;return a|0}function anc(a,b){a=a|0;b=b|0;return $mc(a,b,Fcc(b)|0)|0}function bnc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+16|0;e=d;g=d+1|0;b[e>>0]=c;c=a+11|0;h=b[c>>0]|0;i=h<<24>>24<0;if(i){j=f[a+4>>2]|0;k=(f[a+8>>2]&2147483647)+-1|0}else{j=h&255;k=10}if((j|0)==(k|0)){Ymc(a,k,1,k,k,0,0);h=k+1|0;if((b[c>>0]|0)<0){l=h;m=8}else{n=h;m=7}}else{h=j+1|0;if(i){l=h;m=8}else{n=h;m=7}}if((m|0)==7){b[c>>0]=n;o=a}else if((m|0)==8){m=f[a>>2]|0;f[a+4>>2]=l;o=m}m=o+j|0;Gcc(m,e);b[g>>0]=0;Gcc(m+1|0,g);u=d;return}function cnc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=b[c+11>>0]|0;h=g<<24>>24<0;i=h?f[c+4>>2]|0:g&255;if(i>>>0<d>>>0)Mmc(a);else{g=i-d|0;return $mc(a,(h?f[c>>2]|0:c)+d|0,g>>>0<e>>>0?g:e)|0}return 0}function dnc(a,b,c){a=a|0;b=b|0;c=c|0;return b>>>0<=a>>>0&a>>>0<c>>>0|0}function enc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+16|0;g=e;h=a+11|0;i=b[h>>0]|0;j=i<<24>>24<0;if(j)k=f[a+4>>2]|0;else k=i&255;if(k>>>0<c>>>0)Mmc(a);if(d|0){if(j)l=f[a>>2]|0;else l=a;j=k-c|0;m=j>>>0<d>>>0?j:d;d=j-m|0;if(!d)n=i;else{i=l+c|0;Smc(i,i+m|0,d)|0;n=b[h>>0]|0}d=k-m|0;if(n<<24>>24<0)f[a+4>>2]=d;else b[h>>0]=d;b[g>>0]=0;Gcc(l+d|0,g)}u=e;return a|0}function fnc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;h=u;u=u+16|0;i=h;j=a+11|0;k=b[j>>0]|0;l=k<<24>>24<0;if(l)m=f[a+4>>2]|0;else m=k&255;if(m>>>0<c>>>0)Mmc(a);k=m-c|0;n=k>>>0<d>>>0?k:d;if(l)o=(f[a+8>>2]&2147483647)+-1|0;else o=10;if((n-m+o|0)>>>0<g>>>0)Tmc(a,o,m+g-n-o|0,m,c,n,g,e);else{if(l)p=f[a>>2]|0;else p=a;do if((n|0)!=(g|0)){l=k-n|0;if(!l){q=n;r=c;s=e;t=g;v=21}else{o=p+c|0;if(n>>>0>g>>>0){Smc(o,e,g)|0;Smc(o+g|0,o+n|0,l)|0;w=n;x=g;break}do if(o>>>0<e>>>0&(p+m|0)>>>0>e>>>0)if((o+n|0)>>>0>e>>>0){Smc(o,e,n)|0;y=n+c|0;z=e+g|0;A=g-n|0;B=0;break}else{y=c;z=e+(g-n)|0;A=g;B=n;break}else{y=c;z=e;A=g;B=n}while(0);o=p+y|0;Smc(o+A|0,o+B|0,l)|0;q=B;r=y;s=z;t=A;v=21}}else{q=g;r=c;s=e;t=g;v=21}while(0);if((v|0)==21){Smc(p+r|0,s,t)|0;w=q;x=t}t=x-w+m|0;if((b[j>>0]|0)<0)f[a+4>>2]=t;else b[j>>0]=t;b[i>>0]=0;Gcc(p+t|0,i)}u=h;return a|0}function gnc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return fnc(a,b,c,d,Fcc(d)|0)|0}function hnc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0;if(!c)e=0;else e=F7b(a,Lbc(b[d>>0]|0)|0,c)|0;return e|0}function inc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+16|0;g=e;h=b[a+11>>0]|0;if(h<<24>>24<0){i=f[a+4>>2]|0;j=f[a>>2]|0}else{i=h&255;j=a}b[g>>0]=c;if(i>>>0>d>>>0){c=hnc(j+d|0,i-d|0,g)|0;k=(c|0)==0?-1:c-j|0}else k=-1;u=e;return k|0}function jnc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=b[a+11>>0]|0;if(e<<24>>24<0){g=f[a+4>>2]|0;h=f[a>>2]|0}else{g=e&255;h=a}a:do if(!g)i=-1;else{a=h+(g>>>0>d>>>0?d+1|0:g)|0;do{if((a|0)==(h|0)){i=-1;break a}a=a+-1|0}while(!(Mcc(b[a>>0]|0,c)|0));i=a-h|0}while(0);return i|0}function knc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;h=b[a+11>>0]|0;i=h<<24>>24<0;if(i)j=f[a+4>>2]|0;else j=h&255;if((g|0)==-1|j>>>0<c>>>0)Mmc(a);h=j-c|0;j=h>>>0<d>>>0?h:d;if(i)k=f[a>>2]|0;else k=a;a=j>>>0>g>>>0;i=umc(k+c|0,e,a?g:j)|0;if(!i)return (j>>>0<g>>>0?-1:a&1)|0;else return i|0;return 0}function lnc(a){a=a|0;if((b[a+8+3>>0]|0)<0)Emc(f[a>>2]|0);return}function mnc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+16|0;g=e;h=a+8|0;i=h+3|0;j=b[i>>0]|0;k=j<<24>>24<0;if(k)l=(f[h>>2]&2147483647)+-1|0;else l=1;do if(l>>>0>=d>>>0){if(k)m=f[a>>2]|0;else m=a;nnc(m,c,d)|0;f[g>>2]=0;$dc(m+(d<<2)|0,g);if((b[i>>0]|0)<0){f[a+4>>2]=d;break}else{b[i>>0]=d;break}}else{if(k)n=f[a+4>>2]|0;else n=j&255;onc(a,l,d-l|0,n,0,n,d,c)}while(0);u=e;return a|0}function nnc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if(!c)d=a;else{pac(a,b,c)|0;d=a}return d|0}function onc(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0;k=u;u=u+16|0;l=k;if((1073741806-c|0)>>>0<d>>>0)Lmc(a);m=a+8|0;if((b[m+3>>0]|0)<0)n=f[a>>2]|0;else n=a;if(c>>>0<536870887){o=d+c|0;d=c<<1;p=o>>>0<d>>>0?d:o;o=p>>>0<2?2:p+4&-4;if(o>>>0>1073741823)Qe();else q=o}else q=1073741807;o=Bmc(q<<2)|0;if(g|0)ccc(o,n,g)|0;if(i|0)ccc(o+(g<<2)|0,j,i)|0;j=e-h|0;e=j-g|0;if(e|0)ccc(o+(g<<2)+(i<<2)|0,n+(g<<2)+(h<<2)|0,e)|0;if((c|0)!=1)Emc(n);f[a>>2]=o;f[m>>2]=q|-2147483648;q=j+i|0;f[a+4>>2]=q;f[l>>2]=0;$dc(o+(q<<2)|0,l);u=k;return}function pnc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;if(c>>>0>1073741807)Lmc(a);d=a+8|0;e=d+3|0;g=b[e>>0]|0;h=g<<24>>24<0;if(h){i=f[a+4>>2]|0;j=(f[d>>2]&2147483647)+-1|0}else{i=g&255;j=1}k=i>>>0>c>>>0?i:c;c=k>>>0<2;l=c?1:(k+4&-4)+-1|0;do if((l|0)!=(j|0)){do if(c){k=f[a>>2]|0;if(h){m=0;n=k;o=a;p=15}else{ccc(a,k,(g&255)+1|0)|0;Emc(k);p=17}}else{k=l+1|0;if(k>>>0>1073741823)Qe();q=Bmc(k<<2)|0;if(h){m=1;n=f[a>>2]|0;o=q;p=15;break}else{ccc(q,a,(g&255)+1|0)|0;r=q;p=16;break}}while(0);if((p|0)==15){ccc(o,n,(f[a+4>>2]|0)+1|0)|0;Emc(n);if(m){r=o;p=16}else p=17}if((p|0)==16){f[d>>2]=l+1|-2147483648;f[a+4>>2]=i;f[a>>2]=r;break}else if((p|0)==17){b[e>>0]=i;break}}while(0);return}function qnc(a,b){a=a|0;b=b|0;return mnc(a,b,$gc(b)|0)|0}function rnc(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0;if((1073741807-c|0)>>>0<d>>>0)Lmc(a);j=a+8|0;if((b[j+3>>0]|0)<0)k=f[a>>2]|0;else k=a;if(c>>>0<536870887){l=d+c|0;d=c<<1;m=l>>>0<d>>>0?d:l;l=m>>>0<2?2:m+4&-4;if(l>>>0>1073741823)Qe();else n=l}else n=1073741807;l=Bmc(n<<2)|0;if(g|0)ccc(l,k,g)|0;m=e-h-g|0;if(m|0)ccc(l+(g<<2)+(i<<2)|0,k+(g<<2)+(h<<2)|0,m)|0;if((c|0)!=1)Emc(k);f[a>>2]=l;f[j>>2]=n|-2147483648;return}function snc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+16|0;g=e;h=a+8|0;i=h+3|0;j=b[i>>0]|0;k=j<<24>>24<0;if(k){l=f[a+4>>2]|0;m=(f[h>>2]&2147483647)+-1|0}else{l=j&255;m=1}j=l+d|0;if((m-l|0)>>>0>=d>>>0){if(d|0){if(k)n=f[a>>2]|0;else n=a;ccc(n+(l<<2)|0,c,d)|0;if((b[i>>0]|0)<0)f[a+4>>2]=j;else b[i>>0]=j;f[g>>2]=0;$dc(n+(j<<2)|0,g)}}else onc(a,m,j-m|0,l,l,0,d,c);u=e;return a|0}function tnc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=u;u=u+16|0;e=d;g=d+4|0;f[e>>2]=c;c=a+8|0;h=c+3|0;i=b[h>>0]|0;j=i<<24>>24<0;if(j){k=f[a+4>>2]|0;l=(f[c>>2]&2147483647)+-1|0}else{k=i&255;l=1}if((k|0)==(l|0)){rnc(a,l,1,l,l,0,0);i=l+1|0;if((b[h>>0]|0)<0){m=i;n=8}else{o=i;n=7}}else{i=k+1|0;if(j){m=i;n=8}else{o=i;n=7}}if((n|0)==7){b[h>>0]=o;p=a}else if((n|0)==8){n=f[a>>2]|0;f[a+4>>2]=m;p=n}n=p+(k<<2)|0;$dc(n,e);f[g>>2]=0;$dc(n+4|0,g);u=d;return}function unc(){var a=0,b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;a=u;u=u+48|0;b=a+32|0;c=a+24|0;d=a+16|0;e=a;g=a+36|0;a=vnc()|0;if(a|0?(h=f[a>>2]|0,h|0):0){a=h+48|0;i=f[a>>2]|0;j=f[a+4>>2]|0;if(!((i&-256|0)==1126902528&(j|0)==1129074247)){f[c>>2]=f[41291];wnc(522636,c)}if((i|0)==1126902529&(j|0)==1129074247)k=f[h+44>>2]|0;else k=h+80|0;f[g>>2]=k;k=f[h>>2]|0;h=f[k+4>>2]|0;j=ki[f[(f[6674]|0)+16>>2]&511](26696,k,g)|0;k=f[41291]|0;if(j){j=f[g>>2]|0;g=ci[f[(f[j>>2]|0)+8>>2]&1023](j)|0;f[e>>2]=k;f[e+4>>2]=h;f[e+8>>2]=g;wnc(522550,e)}else{f[d>>2]=k;f[d+4>>2]=h;wnc(522595,d)}}wnc(522674,b)}function vnc(){var a=0,b=0;a=u;u=u+16|0;if(!(_d(895560,180)|0)){b=Ye(f[223891]|0)|0;u=a;return b|0}else wnc(522825,a);return 0}function wnc(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[d>>2]=b;b=f[39286]|0;w7b(b,a,d)|0;_8b(10,b)|0;Qe()}function xnc(a){a=a|0;return}function ync(a){a=a|0;xnc(a);Emc(a);return}function znc(a){a=a|0;return}function Anc(a){a=a|0;return}function Bnc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+64|0;e=d;if(!(Fnc(a,b,0)|0))if((b|0)!=0?(g=Jnc(b,26720,26704,0)|0,(g|0)!=0):0){b=e+4|0;h=b+52|0;do{f[b>>2]=0;b=b+4|0}while((b|0)<(h|0));f[e>>2]=g;f[e+8>>2]=a;f[e+12>>2]=-1;f[e+48>>2]=1;rh[f[(f[g>>2]|0)+28>>2]&255](g,e,f[c>>2]|0,1);if((f[e+24>>2]|0)==1){f[c>>2]=f[e+16>>2];i=1}else i=0;j=i}else j=0;else j=1;u=d;return j|0}function Cnc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;if(Fnc(a,f[b+8>>2]|0,g)|0)Inc(0,b,c,d,e);return}function Dnc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;do if(!(Fnc(a,f[c+8>>2]|0,g)|0)){if(Fnc(a,f[c>>2]|0,g)|0){h=c+32|0;if((f[c+16>>2]|0)!=(d|0)?(i=c+20|0,(f[i>>2]|0)!=(d|0)):0){f[h>>2]=e;f[i>>2]=d;i=c+40|0;f[i>>2]=(f[i>>2]|0)+1;if((f[c+36>>2]|0)==1?(f[c+24>>2]|0)==2:0)b[c+54>>0]=1;f[c+44>>2]=4;break}if((e|0)==1)f[h>>2]=1}}else Hnc(0,c,d,e);while(0);return}function Enc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;if(Fnc(a,f[b+8>>2]|0,0)|0)Gnc(0,b,c,d);return}function Fnc(a,b,c){a=a|0;b=b|0;c=c|0;return (a|0)==(b|0)|0}function Gnc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;a=c+16|0;g=f[a>>2]|0;h=c+36|0;i=c+24|0;do if(g){if((g|0)!=(d|0)){f[h>>2]=(f[h>>2]|0)+1;f[i>>2]=2;b[c+54>>0]=1;break}if((f[i>>2]|0)==2)f[i>>2]=e}else{f[a>>2]=d;f[i>>2]=e;f[h>>2]=1}while(0);return}function Hnc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;if((f[b+4>>2]|0)==(c|0)?(c=b+28|0,(f[c>>2]|0)!=1):0)f[c>>2]=d;return}function Inc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;b[c+53>>0]=1;do if((f[c+4>>2]|0)==(e|0)){b[c+52>>0]=1;a=c+16|0;h=f[a>>2]|0;i=c+54|0;j=c+48|0;k=c+24|0;l=c+36|0;if(!h){f[a>>2]=d;f[k>>2]=g;f[l>>2]=1;if(!((f[j>>2]|0)==1&(g|0)==1))break;b[i>>0]=1;break}if((h|0)!=(d|0)){f[l>>2]=(f[l>>2]|0)+1;b[i>>0]=1;break}l=f[k>>2]|0;if((l|0)==2){f[k>>2]=g;m=g}else m=l;if((f[j>>2]|0)==1&(m|0)==1)b[i>>0]=1}while(0);return}function Jnc(a,c,e,g){a=a|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=u;u=u+64|0;i=h;j=f[a>>2]|0;k=a+(f[j+-8>>2]|0)|0;l=f[j+-4>>2]|0;f[i>>2]=e;f[i+4>>2]=a;f[i+8>>2]=c;f[i+12>>2]=g;g=i+16|0;c=i+20|0;a=i+24|0;j=i+28|0;m=i+32|0;n=i+40|0;o=g;p=o+36|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(p|0));d[g+36>>1]=0;b[g+38>>0]=0;a:do if(Fnc(l,e,0)|0){f[i+48>>2]=1;Ug[f[(f[l>>2]|0)+20>>2]&127](l,i,k,k,1,0);q=(f[a>>2]|0)==1?k:0}else{sh[f[(f[l>>2]|0)+24>>2]&255](l,i,k,1,0);switch(f[i+36>>2]|0){case 0:{q=(f[n>>2]|0)==1&(f[j>>2]|0)==1&(f[m>>2]|0)==1?f[c>>2]|0:0;break a;break}case 1:break;default:{q=0;break a}}if((f[a>>2]|0)!=1?!((f[n>>2]|0)==0&(f[j>>2]|0)==1&(f[m>>2]|0)==1):0){q=0;break}q=f[g>>2]|0}while(0);u=h;return q|0}function Knc(a){a=a|0;xnc(a);Emc(a);return}function Lnc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0;if(Fnc(a,f[b+8>>2]|0,g)|0)Inc(0,b,c,d,e);else{h=f[a+8>>2]|0;Ug[f[(f[h>>2]|0)+20>>2]&127](h,b,c,d,e,g)}return}function Mnc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;do if(!(Fnc(a,f[c+8>>2]|0,g)|0)){h=a+8|0;if(!(Fnc(a,f[c>>2]|0,g)|0)){i=f[h>>2]|0;sh[f[(f[i>>2]|0)+24>>2]&255](i,c,d,e,g);break}i=c+32|0;if((f[c+16>>2]|0)!=(d|0)?(j=c+20|0,(f[j>>2]|0)!=(d|0)):0){f[i>>2]=e;k=c+44|0;if((f[k>>2]|0)==4)break;l=c+52|0;b[l>>0]=0;m=c+53|0;b[m>>0]=0;n=f[h>>2]|0;Ug[f[(f[n>>2]|0)+20>>2]&127](n,c,d,d,1,g);if(b[m>>0]|0)if(!(b[l>>0]|0)){o=3;p=11}else q=3;else{o=4;p=11}if((p|0)==11){f[j>>2]=d;j=c+40|0;f[j>>2]=(f[j>>2]|0)+1;if((f[c+36>>2]|0)==1?(f[c+24>>2]|0)==2:0){b[c+54>>0]=1;q=o}else q=o}f[k>>2]=q;break}if((e|0)==1)f[i>>2]=1}else Hnc(0,c,d,e);while(0);return}function Nnc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;if(Fnc(a,f[b+8>>2]|0,0)|0)Gnc(0,b,c,d);else{e=f[a+8>>2]|0;rh[f[(f[e>>2]|0)+28>>2]&255](e,b,c,d)}return}function Onc(a){a=a|0;return}function Pnc(){var a=0;a=u;u=u+16|0;if(!(Ke(895564,1699)|0)){u=a;return}else wnc(522874,a)}function Qnc(a){a=a|0;var b=0;b=u;u=u+16|0;X6b(a);if(!(Df(f[223891]|0,0)|0)){u=b;return}else wnc(522924,b)}function Rnc(){var a=0,b=0;a=vnc()|0;if((a|0?(b=f[a>>2]|0,b|0):0)?(a=b+48|0,(f[a>>2]&-256|0)==1126902528?(f[a+4>>2]|0)==1129074247:0):0)Snc(f[b+12>>2]|0);Snc(Tnc()|0)}function Snc(a){a=a|0;var b=0;b=u;u=u+16|0;Zh[a&255]();wnc(522977,b)}function Tnc(){var a=0;a=f[41290]|0;f[41290]=a+0;return a|0}function Unc(a){a=a|0;return}function Vnc(a){a=a|0;f[a>>2]=165256;Znc(a+4|0);return}function Wnc(a){a=a|0;Vnc(a);Emc(a);return}function Xnc(a){a=a|0;return Ync(a+4|0)|0}function Ync(a){a=a|0;return f[a>>2]|0}function Znc(a){a=a|0;var b=0,c=0;if(Kmc(a)|0?(b=_nc(f[a>>2]|0)|0,a=b+8|0,c=f[a>>2]|0,f[a>>2]=c+-1,(c+-1|0)<0):0)Emc(b);return}function _nc(a){a=a|0;return a+-12|0}function $nc(a){a=a|0;Vnc(a);Emc(a);return}function aoc(a){a=a|0;Vnc(a);Emc(a);return}function boc(a){a=a|0;return}function coc(a){a=a|0;boc(a);Emc(a);return}function doc(a){a=a|0;return 523067}function eoc(a){a=a|0;xnc(a);Emc(a);return}function foc(a,b,c){a=a|0;b=b|0;c=c|0;return Fnc(a,b,0)|0}function goc(a){a=a|0;xnc(a);Emc(a);return}function hoc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;d=u;u=u+64|0;e=d;f[c>>2]=f[f[c>>2]>>2];if(!(ioc(a,b,0)|0))if(((b|0)!=0?(g=Jnc(b,26720,26840,0)|0,(g|0)!=0):0)?(f[g+8>>2]&~f[a+8>>2]|0)==0:0){b=a+12|0;a=g+12|0;if(!(Fnc(f[b>>2]|0,f[a>>2]|0,0)|0)?!(Fnc(f[b>>2]|0,26872,0)|0):0){g=f[b>>2]|0;if((((g|0)!=0?(b=Jnc(g,26720,26704,0)|0,(b|0)!=0):0)?(g=f[a>>2]|0,(g|0)!=0):0)?(a=Jnc(g,26720,26704,0)|0,(a|0)!=0):0){g=e+4|0;h=g+52|0;do{f[g>>2]=0;g=g+4|0}while((g|0)<(h|0));f[e>>2]=a;f[e+8>>2]=b;f[e+12>>2]=-1;f[e+48>>2]=1;rh[f[(f[a>>2]|0)+28>>2]&255](a,e,f[c>>2]|0,1);if((f[e+24>>2]|0)==1){f[c>>2]=f[e+16>>2];i=1}else i=0;j=i}else j=0}else j=1}else j=0;else j=1;u=d;return j|0}function ioc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if(Fnc(a,b,0)|0)d=1;else d=Fnc(b,26880,0)|0;return d|0}function joc(a){a=a|0;xnc(a);Emc(a);return}function koc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;if(Fnc(a,f[c+8>>2]|0,h)|0)Inc(0,c,d,e,g);else{i=c+52|0;j=b[i>>0]|0;k=c+53|0;l=b[k>>0]|0;m=f[a+12>>2]|0;n=a+16+(m<<3)|0;b[i>>0]=0;b[k>>0]=0;ooc(a+16|0,c,d,e,g,h);a:do if((m|0)>1){o=c+24|0;p=c+54|0;q=a+8|0;r=a+24|0;do{if(b[p>>0]|0)break a;if(!(b[i>>0]|0)){if(b[k>>0]|0?(f[q>>2]&1|0)==0:0)break a}else{if((f[o>>2]|0)==1)break a;if(!(f[q>>2]&2))break a}b[i>>0]=0;b[k>>0]=0;ooc(r,c,d,e,g,h);r=r+8|0}while(r>>>0<n>>>0)}while(0);b[i>>0]=j;b[k>>0]=l}return}function loc(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;a:do if(!(Fnc(a,f[c+8>>2]|0,g)|0)){h=a+12|0;i=c+24|0;j=c+36|0;k=c+54|0;l=a+8|0;m=a+16|0;if(!(Fnc(a,f[c>>2]|0,g)|0)){n=f[h>>2]|0;o=a+16+(n<<3)|0;poc(m,c,d,e,g);p=a+24|0;if((n|0)<=1)break;n=f[l>>2]|0;if((n&2|0)==0?(f[j>>2]|0)!=1:0){if(!(n&1)){n=p;while(1){if(b[k>>0]|0)break a;if((f[j>>2]|0)==1)break a;poc(n,c,d,e,g);n=n+8|0;if(n>>>0>=o>>>0)break a}}else q=p;while(1){if(b[k>>0]|0)break a;if((f[j>>2]|0)==1?(f[i>>2]|0)==1:0)break a;poc(q,c,d,e,g);q=q+8|0;if(q>>>0>=o>>>0)break a}}else r=p;while(1){if(b[k>>0]|0)break a;poc(r,c,d,e,g);r=r+8|0;if(r>>>0>=o>>>0)break a}}o=c+32|0;if((f[c+16>>2]|0)!=(d|0)?(p=c+20|0,(f[p>>2]|0)!=(d|0)):0){f[o>>2]=e;n=c+44|0;if((f[n>>2]|0)==4)break;s=a+16+(f[h>>2]<<3)|0;t=c+52|0;u=c+53|0;v=0;w=m;x=0;b:while(1){if(w>>>0>=s>>>0){y=v;z=18;break}b[t>>0]=0;b[u>>0]=0;ooc(w,c,d,d,1,g);if(b[k>>0]|0){y=v;z=18;break}do if(b[u>>0]|0){if(!(b[t>>0]|0))if(!(f[l>>2]&1)){y=1;z=18;break b}else{A=1;B=x;break}if((f[i>>2]|0)==1){z=23;break b}if(!(f[l>>2]&2)){z=23;break b}else{A=1;B=1}}else{A=v;B=x}while(0);v=A;w=w+8|0;x=B}do if((z|0)==18){if((!x?(f[p>>2]=d,w=c+40|0,f[w>>2]=(f[w>>2]|0)+1,(f[j>>2]|0)==1):0)?(f[i>>2]|0)==2:0){b[k>>0]=1;if(y){z=23;break}else{C=4;break}}if(y)z=23;else C=4}while(0);if((z|0)==23)C=3;f[n>>2]=C;break}if((e|0)==1)f[o>>2]=1}else Hnc(0,c,d,e);while(0);return}function moc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;a:do if(!(Fnc(a,f[c+8>>2]|0,0)|0)){g=f[a+12>>2]|0;h=a+16+(g<<3)|0;noc(a+16|0,c,d,e);if((g|0)>1){g=c+54|0;i=a+24|0;do{noc(i,c,d,e);if(b[g>>0]|0)break a;i=i+8|0}while(i>>>0<h>>>0)}}else Gnc(0,c,d,e);while(0);return}function noc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=f[a+4>>2]|0;g=e>>8;if(!(e&1))h=g;else h=f[(f[c>>2]|0)+g>>2]|0;g=f[a>>2]|0;rh[f[(f[g>>2]|0)+28>>2]&255](g,b,c+h|0,e&2|0?d:2);return}function ooc(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=f[a+4>>2]|0;i=h>>8;if(!(h&1))j=i;else j=f[(f[d>>2]|0)+i>>2]|0;i=f[a>>2]|0;Ug[f[(f[i>>2]|0)+20>>2]&127](i,b,c,d+j|0,h&2|0?e:2,g);return}function poc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=f[a+4>>2]|0;h=g>>8;if(!(g&1))i=h;else i=f[(f[c>>2]|0)+h>>2]|0;h=f[a>>2]|0;sh[f[(f[h>>2]|0)+24>>2]&255](h,b,c+i|0,g&2|0?d:2,e);return}function qoc(a){a=a|0;f[a>>2]=165316;return}function roc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;g=u;u=u+4192|0;h=g+4176|0;i=g;j=g+4112|0;k=(e|0)!=0;if((a|0)!=0?(l=(c|0)!=0,m=(d|0)==0,!(l&m)):0){if(l)n=f[d>>2]|0;else n=0;soc(i);toc(j,i);l=j+48|0;o=j+61|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;b[l+12>>0]=0;b[o>>0]=1;l=j+32|0;p=j+36|0;q=f[p>>2]|0;if(q>>>0<(f[j+40>>2]|0)>>>0){uoc(h,i);f[q>>2]=0;f[q+4>>2]=0;r=f[h>>2]|0;f[q+8>>2]=0;f[q+12>>2]=r;f[p>>2]=(f[p>>2]|0)+16}else voc(l,i);r=j+62|0;b[r>>0]=0;b[j+63>>0]=1;f[h>>2]=0;q=a+(s8b(a)|0)|0;woc(a,q,j,h);s=f[h>>2]|0;do if(!((s|0)!=0|(b[r>>0]|0)==0)){t=f[l>>2]|0;if((t|0)!=(f[p>>2]|0)?(f[t>>2]|0)!=(f[t+4>>2]|0):0){b[r>>0]=0;b[o>>0]=0;t=f[j>>2]|0;v=j+4|0;while(1){w=f[v>>2]|0;if((w|0)==(t|0))break;x=w+-24|0;f[v>>2]=x;xoc(x)}v=f[j+16>>2]|0;t=j+20|0;while(1){x=f[t>>2]|0;if((x|0)==(v|0))break;w=x+-16|0;f[t>>2]=w;yoc(w)}woc(a,q,j,h);if(!(b[r>>0]|0)){y=f[h>>2]|0;z=22;break}else{f[h>>2]=-2;A=0;B=-2;break}}else z=23}else{y=s;z=22}while(0);if((z|0)==22)if(!y)z=23;else{A=0;B=y}do if((z|0)==23){y=j+4|0;s=zoc((f[y>>2]|0)+-24|0)|0;r=s+1|0;if(r>>>0>n>>>0){q=Y6b(c,r)|0;if(!q){f[h>>2]=-1;A=0;B=-1;break}if(m)C=q;else{f[d>>2]=r;C=q}}else if(!c){A=0;B=0;break}else C=c;q=f[y>>2]|0;r=q+-12|0;a=b[r+11>>0]|0;o=a<<24>>24<0;Aoc(q+-24|0,o?f[r>>2]|0:r,o?f[q+-8>>2]|0:a&255)|0;a=(f[y>>2]|0)+-24|0;if((b[a+11>>0]|0)<0)D=f[a>>2]|0;else D=a;Krc(C|0,D|0,s|0)|0;b[C+s>>0]=0;A=C;B=0}while(0);if(k)f[e>>2]=B;Boc(j);Coc(i);E=A}else if(k){f[e>>2]=-3;E=0}else E=0;u=g;return E|0}function soc(a){a=a|0;f[a+4096>>2]=a;return}function toc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;orc(d,b);f[a>>2]=0;f[a+4>>2]=0;e=f[d>>2]|0;f[a+8>>2]=0;f[a+12>>2]=e;uoc(d,b);prc(a+16|0,d);qrc(d,b);rrc(a+32|0,d);u=c;return}function uoc(a,b){a=a|0;b=b|0;f[a>>2]=b;return}function voc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+32|0;d=c+20|0;e=c;g=a+4|0;h=((f[g>>2]|0)-(f[a>>2]|0)>>4)+1|0;i=Qqc(a)|0;if(i>>>0<h>>>0)Ukc(a);else{j=f[a>>2]|0;k=(f[a+8>>2]|0)-j|0;l=k>>3;Rqc(e,k>>4>>>0<i>>>1>>>0?(l>>>0<h>>>0?h:l):i,(f[g>>2]|0)-j>>4,a+12|0);j=e+8|0;g=f[j>>2]|0;uoc(d,b);f[g>>2]=0;f[g+4>>2]=0;b=f[d>>2]|0;f[g+8>>2]=0;f[g+12>>2]=b;f[j>>2]=g+16;Sqc(a,e);Tqc(e);u=c;return}}function woc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;a:do if(a>>>0<c>>>0){b:do if((b[a>>0]|0)!=95){if((Soc(a,c,d)|0)!=(c|0)){f[e>>2]=-2;break a}}else{if((c-a|0)<=3){f[e>>2]=-2;break a}g=a+2|0;switch(b[a+1>>0]|0){case 90:{h=Poc(g,c,d)|0;if(!((h|0)==(g|0)|(h|0)==(c|0))?(b[h>>0]|0)==46:0)i=Qoc(h,c,d)|0;else i=h;if((i|0)==(c|0))break b;f[e>>2]=-2;break a;break}case 95:{if((b[g>>0]|0)==95?(b[a+3>>0]|0)==90:0){g=a+4|0;h=Poc(g,c,d)|0;if(!((h|0)==(g|0)|(h|0)==(c|0))?(Roc(h,c,d)|0)==(c|0):0)break b;f[e>>2]=-2;break a}break}default:{}}f[e>>2]=-2;break a}while(0);if((f[e>>2]|0)==0?(f[d>>2]|0)==(f[d+4>>2]|0):0)f[e>>2]=-2}else f[e>>2]=-2;while(0);return}function xoc(a){a=a|0;Ooc(a+12|0);Ooc(a);return}function yoc(a){a=a|0;var b=0,c=0,d=0,e=0;b=f[a>>2]|0;if(b|0){c=a+4|0;while(1){d=f[c>>2]|0;if((d|0)==(b|0))break;e=d+-24|0;f[c>>2]=e;xoc(e)}c=f[a>>2]|0;Noc(a+12|0,c,((f[a+8>>2]|0)-c|0)/24|0)}return}function zoc(a){a=a|0;var c=0,d=0,e=0;c=b[a+11>>0]|0;if(c<<24>>24<0)d=f[a+4>>2]|0;else d=c&255;c=b[a+12+11>>0]|0;if(c<<24>>24<0)e=f[a+16>>2]|0;else e=c&255;return e+d|0}function Aoc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;h=a+11|0;i=b[h>>0]|0;j=i<<24>>24<0;if(j){k=f[a+4>>2]|0;l=(f[a+8>>2]&2147483647)+-1|0}else{k=i&255;l=10}i=k+d|0;if((l-k|0)>>>0>=d>>>0){if(d|0){if(j)m=f[a>>2]|0;else m=a;Mbc(m+k|0,c,d)|0;if((b[h>>0]|0)<0)f[a+4>>2]=i;else b[h>>0]=i;b[g>>0]=0;Gcc(m+i|0,g)}}else Koc(a,l,i-l|0,k,k,0,d,c);u=e;return a|0}function Boc(a){a=a|0;Doc(a+32|0);Eoc(a+16|0);yoc(a);return}function Coc(a){a=a|0;f[a+4096>>2]=0;return}function Doc(a){a=a|0;var b=0,c=0,d=0,e=0;b=f[a>>2]|0;if(b|0){c=a+4|0;while(1){d=f[c>>2]|0;if((d|0)==(b|0))break;e=d+-16|0;f[c>>2]=e;Eoc(e)}c=f[a>>2]|0;Joc(a+12|0,c,(f[a+8>>2]|0)-c>>4)}return}function Eoc(a){a=a|0;var b=0,c=0,d=0,e=0;b=f[a>>2]|0;if(b|0){c=a+4|0;while(1){d=f[c>>2]|0;if((d|0)==(b|0))break;e=d+-16|0;f[c>>2]=e;yoc(e)}c=f[a>>2]|0;Foc(a+12|0,c,(f[a+8>>2]|0)-c>>4)}return}function Foc(a,b,c){a=a|0;b=b|0;c=c|0;Goc(f[a>>2]|0,b,c<<4);return}function Goc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if(Hoc(a,b)|0){d=b+(Ioc(c)|0)|0;c=a+4096|0;if((d|0)==(f[c>>2]|0))f[c>>2]=b}else X6b(b);return}function Hoc(a,b){a=a|0;b=b|0;return a>>>0<=b>>>0&(a+4096|0)>>>0>=b>>>0|0}function Ioc(a){a=a|0;return a+15&-16|0}function Joc(a,b,c){a=a|0;b=b|0;c=c|0;Goc(f[a>>2]|0,b,c<<4);return}function Koc(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0;k=u;u=u+16|0;l=k;if((-18-c|0)>>>0<d>>>0)Lmc(a);if((b[a+11>>0]|0)<0)m=f[a>>2]|0;else m=a;if(c>>>0<2147483623){n=d+c|0;d=c<<1;o=n>>>0<d>>>0?d:n;p=o>>>0<11?11:o+16&-16}else p=-17;o=Loc(p)|0;if(g|0)Mbc(o,m,g)|0;if(i|0)Mbc(o+g|0,j,i)|0;j=e-h|0;e=j-g|0;if(e|0)Mbc(o+g+i|0,m+g+h|0,e)|0;if((c|0)!=10)Moc(m);f[a>>2]=o;f[a+8>>2]=p|-2147483648;p=j+i|0;f[a+4>>2]=p;b[l>>0]=0;Gcc(o+p|0,l);u=k;return}function Loc(a){a=a|0;return W6b(a)|0}function Moc(a){a=a|0;X6b(a);return}function Noc(a,b,c){a=a|0;b=b|0;c=c|0;Goc(f[a>>2]|0,b,c*24|0);return}function Ooc(a){a=a|0;if((b[a+11>>0]|0)<0)Moc(f[a>>2]|0);return}function Poc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;e=u;u=u+64|0;g=e+48|0;h=e+40|0;i=e+32|0;j=e+24|0;k=e+12|0;l=e;if((a|0)!=(c|0)){m=d+56|0;irc(h,m);f[m>>2]=(f[m>>2]|0)+1;n=d+61|0;jrc(i,n);if((f[m>>2]|0)>>>0>1)b[n>>0]=1;a:do switch(b[a>>0]|0){case 84:case 71:{o=krc(a,c,d)|0;p=1;break}default:{m=ppc(a,c,d)|0;q=f[d+48>>2]|0;r=f[d+52>>2]|0;b:do if((m|0)!=(a|0))if((m|0)!=(c|0)){switch(b[m>>0]|0){case 46:case 69:{s=m;break b;break}default:{}}jrc(j,n);b[n>>0]=0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;t=0;while(1){if((t|0)==3)break;f[k+(t<<2)>>2]=0;t=t+1|0}t=d+4|0;v=f[t>>2]|0;c:do if((f[d>>2]|0)!=(v|0)){w=v+-24|0;x=b[w+11>>0]|0;y=x<<24>>24<0;if(y)z=f[v+-20>>2]|0;else z=x&255;if(z){if(!(b[d+60>>0]|0)){if(y){A=f[w>>2]|0;B=f[v+-20>>2]|0}else{A=w;B=x&255}if((b[A+B+-1>>0]|0)==62){if(y){C=f[v+-20>>2]|0;D=f[w>>2]|0}else{C=x&255;D=w}if((b[D+(C+-2)>>0]|0)!=45){if(y){E=f[v+-20>>2]|0;F=f[w>>2]|0}else{E=x&255;F=w}if((b[F+(E+-2)>>0]|0)!=62){w=Soc(m,c,d)|0;if((w|0)==(m|0)){G=a;H=0;break}x=f[t>>2]|0;y=x;if(((x-(f[d>>2]|0)|0)/24|0)>>>0<2){G=a;H=0;break}x=y+-24|0;f[l>>2]=f[x>>2];f[l+4>>2]=f[x+4>>2];f[l+8>>2]=f[x+8>>2];I=0;while(1){if((I|0)==3)break;f[x+(I<<2)>>2]=0;I=I+1|0}I=y+-12|0;x=k+11|0;if((b[x>>0]|0)<0){J=f[k>>2]|0;b[g>>0]=0;Gcc(J,g);f[k+4>>2]=0}else{b[g>>0]=0;Gcc(k,g);b[x>>0]=0}vpc(k);f[k>>2]=f[I>>2];f[k+4>>2]=f[I+4>>2];f[k+8>>2]=f[I+8>>2];J=0;while(1){if((J|0)==3)break;f[I+(J<<2)>>2]=0;J=J+1|0}J=b[x>>0]|0;if(!((J<<24>>24<0?f[k+4>>2]|0:J&255)|0))nqc(l,32);J=f[t>>2]|0;I=J+-24|0;y=J;while(1){if((y|0)==(I|0))break;K=y+-24|0;f[t>>2]=K;xoc(K);y=f[t>>2]|0}y=b[l+11>>0]|0;I=y<<24>>24<0;Xqc(J+-48|0,0,I?f[l>>2]|0:l,I?f[l+4>>2]|0:y&255)|0;Ooc(l);L=w;M=f[t>>2]|0}else{L=m;M=v}}else{L=m;M=v}}else{L=m;M=v}}else{L=m;M=v}nqc(M+-24|0,40);if((L|0)!=(c|0)?(b[L>>0]|0)==118:0){N=L+1|0;O=f[d>>2]|0;P=f[t>>2]|0}else Q=49;do if((Q|0)==49){y=g+11|0;I=g+4|0;x=l+11|0;K=l+4|0;R=1;S=L;d:while(1){T=S;U=f[d>>2]|0;V=f[t>>2]|0;while(1){W=(V-U|0)/24|0;X=Soc(T,c,d)|0;V=f[t>>2]|0;U=f[d>>2]|0;Y=(V-U|0)/24|0;if((X|0)==(T|0)){Q=72;break d}if(Y>>>0>W>>>0)break;else T=X}f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;Z=0;while(1){if((Z|0)==3){_=W;break}f[g+(Z<<2)>>2]=0;Z=Z+1|0}while(1){if(_>>>0>=Y>>>0){$=W;break}Z=b[y>>0]|0;if((Z<<24>>24<0?f[I>>2]|0:Z&255)|0)Woc(g,523537)|0;ipc(l,(f[d>>2]|0)+(_*24|0)|0);Z=b[x>>0]|0;aa=Z<<24>>24<0;Aoc(g,aa?f[l>>2]|0:l,aa?f[K>>2]|0:Z&255)|0;Ooc(l);_=_+1|0}while(1){if($>>>0>=Y>>>0)break;Z=f[t>>2]|0;aa=Z+-24|0;ba=Z;while(1){if((ba|0)==(aa|0))break;Z=ba+-24|0;f[t>>2]=Z;xoc(Z);ba=f[t>>2]|0}$=$+1|0}ba=b[y>>0]|0;aa=f[I>>2]|0;if(!((ba<<24>>24<0?aa:ba&255)|0))ca=R;else{Z=f[t>>2]|0;if((f[d>>2]|0)==(Z|0)){Q=84;break}if(R){da=Z;ea=ba;fa=aa}else{Woc(Z+-24|0,523537)|0;da=f[t>>2]|0;ea=b[y>>0]|0;fa=f[I>>2]|0}Z=ea<<24>>24<0;Aoc(da+-24|0,Z?f[g>>2]|0:g,Z?fa:ea&255)|0;ca=0}Ooc(g);R=ca;S=X}if((Q|0)==72){N=T;O=U;P=V;break}else if((Q|0)==84){Ooc(g);G=a;H=0;break c}}while(0);if((O|0)!=(P|0)){nqc(P+-24|0,41);if(q&1|0)Woc((f[t>>2]|0)+-24|0,523260)|0;if(q&2|0)Woc((f[t>>2]|0)+-24|0,523267)|0;if(q&4|0)Woc((f[t>>2]|0)+-24|0,523277)|0;switch(r|0){case 1:{Woc((f[t>>2]|0)+-24|0,524741)|0;break}case 2:{Woc((f[t>>2]|0)+-24|0,524744)|0;break}default:{}}w=b[k+11>>0]|0;J=w<<24>>24<0;Aoc((f[t>>2]|0)+-24|0,J?f[k>>2]|0:k,J?f[k+4>>2]|0:w&255)|0;G=N;H=1}else{G=a;H=0}}else{G=a;H=0}}else{G=a;H=0}while(0);Ooc(k);lrc(j);if(H)s=G;else{o=G;p=0;break a}}else s=c;else s=a;while(0);o=s;p=1}}while(0);lrc(i);mrc(h);if(p){ga=o;Q=88}else ha=a}else{ga=a;Q=88}if((Q|0)==88)ha=ga;u=e;return ha|0}function Qoc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=u;u=u+48|0;g=e+36|0;h=e+24|0;i=e+12|0;j=e;if(((a|0)!=(c|0)?(b[a>>0]|0)==46:0)?(k=d+4|0,(f[d>>2]|0)!=(f[k>>2]|0)):0){f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;d=c-a|0;if(d>>>0>4294967279)Lmc(j);if(d>>>0<11){b[j+11>>0]=d;l=j}else{m=d+16&-16;n=Loc(m)|0;f[j>>2]=n;f[j+8>>2]=m|-2147483648;f[j+4>>2]=d;l=n}n=a;m=l;while(1){if((n|0)==(c|0))break;Gcc(m,n);n=n+1|0;m=m+1|0}b[g>>0]=0;Gcc(l+d|0,g);Voc(j,0,523310)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];g=0;while(1){if((g|0)==3)break;f[j+(g<<2)>>2]=0;g=g+1|0}Woc(i,523313)|0;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];g=0;while(1){if((g|0)==3)break;f[i+(g<<2)>>2]=0;g=g+1|0}g=b[h+11>>0]|0;d=g<<24>>24<0;Aoc((f[k>>2]|0)+-24|0,d?f[h>>2]|0:h,d?f[h+4>>2]|0:g&255)|0;Ooc(h);Ooc(i);Ooc(j);o=c}else o=a;u=e;return o|0}function Roc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;a:do if((c-a|0)>12){e=0;g=a;while(1){h=g+1|0;if((e|0)>=13)break;if((b[g>>0]|0)==(b[524946+e>>0]|0)){e=e+1|0;g=h}else{i=a;break a}}b:do if((g|0)==(c|0))j=c;else{if((b[g>>0]|0)==95){if((h|0)==(c|0)){i=a;break a}if(((b[h>>0]|0)+-48|0)>>>0>=10){i=a;break a}k=g+2|0}else k=g;while(1){if((k|0)==(c|0)){j=c;break b}if(((b[k>>0]|0)+-48|0)>>>0>=10){j=k;break b}k=k+1|0}}while(0);g=f[d+4>>2]|0;if((f[d>>2]|0)!=(g|0)){Voc(g+-24|0,0,524960)|0;i=j}else i=a}else i=a;while(0);return i|0}function Soc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;e=u;u=u+144|0;g=e+128|0;h=e+104|0;i=e+40|0;j=e+88|0;k=e+24|0;l=e+76|0;m=e+12|0;n=e;o=e+64|0;a:do if((a|0)!=(c|0)){p=d+16|0;switch(b[a>>0]|0){case 75:case 86:case 114:{f[g>>2]=0;q=Toc(a,c,g)|0;b:do if((q|0)!=(a|0)?(r=(b[q>>0]|0)==70,s=d+4|0,t=((f[s>>2]|0)-(f[d>>2]|0)|0)/24|0,v=Soc(q,c,d)|0,w=((f[s>>2]|0)-(f[d>>2]|0)|0)/24|0,(v|0)!=(q|0)):0){s=d+20|0;x=f[s>>2]|0;c:do if(r){y=x+-16|0;z=x;while(1){if((z|0)==(y|0)){A=y;break c}B=z+-16|0;f[s>>2]=B;yoc(B);z=f[s>>2]|0}}else A=x;while(0);f[h>>2]=f[d+12>>2];if(A>>>0<(f[d+24>>2]|0)>>>0){f[A>>2]=0;f[A+4>>2]=0;x=f[h>>2]|0;f[A+8>>2]=0;f[A+12>>2]=x;f[s>>2]=(f[s>>2]|0)+16}else Uoc(p,h);x=f[g>>2]|0;z=(x&1|0)==0;y=(x&2|0)==0;B=(x&4|0)==0;x=t;while(1){if(x>>>0>=w>>>0){C=v;break b}if(r){D=f[d>>2]|0;E=D+(x*24|0)+12|0;F=b[E+11>>0]|0;G=F<<24>>24<0;if(G){H=f[D+(x*24|0)+16>>2]|0;I=f[E>>2]|0}else{H=F&255;I=E}J=H+-2|0;if((b[I+J>>0]|0)==38)K=H+-3|0;else{if(G){L=f[E>>2]|0;M=f[D+(x*24|0)+16>>2]|0}else{L=E;M=F&255}K=(b[L+M+-1>>0]|0)==38?J:H}if(z)N=K;else{Voc(E,K,523260)|0;N=K+6|0}if(y)O=N;else{Voc((f[d>>2]|0)+(x*24|0)+12|0,N,523267)|0;O=N+9|0}if(!B)Voc((f[d>>2]|0)+(x*24|0)+12|0,O,523277)|0}else{if(!z)Woc((f[d>>2]|0)+(x*24|0)|0,523260)|0;if(!y)Woc((f[d>>2]|0)+(x*24|0)|0,523267)|0;if(!B)Woc((f[d>>2]|0)+(x*24|0)|0,523277)|0}E=f[s>>2]|0;J=(f[d>>2]|0)+(x*24|0)|0;F=E+-12|0;D=f[F>>2]|0;if((D|0)==(f[E+-8>>2]|0))Yoc(E+-16|0,J);else{Xoc(D,J);f[F>>2]=(f[F>>2]|0)+24}x=x+1|0}}else C=a;while(0);P=C;break a;break}default:{}}q=Zoc(a,c,d)|0;if((q|0)==(a|0)){x=a+1|0;s=(x|0)!=(c|0);d:do switch(b[a>>0]|0){case 65:{B=_oc(a,c,d)|0;if((B|0)==(a|0)){P=a;break a}y=f[d+4>>2]|0;if((f[d>>2]|0)==(y|0)){P=a;break a}f[h>>2]=f[d+12>>2];$oc(g,y+-24|0,h);y=d+20|0;z=f[y>>2]|0;if(z>>>0<(f[d+24>>2]|0)>>>0){f[z>>2]=0;r=z+4|0;f[r>>2]=0;v=f[g+12>>2]|0;f[z+8>>2]=0;f[z+12>>2]=v;f[z>>2]=f[g>>2];v=g+4|0;f[r>>2]=f[v>>2];r=g+8|0;f[z+8>>2]=f[r>>2];f[r>>2]=0;f[v>>2]=0;f[g>>2]=0;f[y>>2]=(f[y>>2]|0)+16}else apc(p,g);yoc(g);P=B;break a;break}case 67:{B=Soc(x,c,d)|0;if((B|0)==(x|0)){P=a;break a}y=d+4|0;v=f[y>>2]|0;if((f[d>>2]|0)==(v|0)){P=a;break a}Woc(v+-24|0,523287)|0;v=(f[y>>2]|0)+-24|0;f[h>>2]=f[d+12>>2];$oc(g,v,h);v=d+20|0;y=f[v>>2]|0;if(y>>>0<(f[d+24>>2]|0)>>>0){f[y>>2]=0;r=y+4|0;f[r>>2]=0;z=f[g+12>>2]|0;f[y+8>>2]=0;f[y+12>>2]=z;f[y>>2]=f[g>>2];z=g+4|0;f[r>>2]=f[z>>2];r=g+8|0;f[y+8>>2]=f[r>>2];f[r>>2]=0;f[z>>2]=0;f[g>>2]=0;f[v>>2]=(f[v>>2]|0)+16}else apc(p,g);yoc(g);P=B;break a;break}case 70:{B=bpc(a,c,d)|0;if((B|0)==(a|0)){P=a;break a}v=f[d+4>>2]|0;if((f[d>>2]|0)==(v|0)){P=a;break a}f[h>>2]=f[d+12>>2];$oc(g,v+-24|0,h);v=d+20|0;z=f[v>>2]|0;if(z>>>0<(f[d+24>>2]|0)>>>0){f[z>>2]=0;r=z+4|0;f[r>>2]=0;y=f[g+12>>2]|0;f[z+8>>2]=0;f[z+12>>2]=y;f[z>>2]=f[g>>2];y=g+4|0;f[r>>2]=f[y>>2];r=g+8|0;f[z+8>>2]=f[r>>2];f[r>>2]=0;f[y>>2]=0;f[g>>2]=0;f[v>>2]=(f[v>>2]|0)+16}else apc(p,g);yoc(g);P=B;break a;break}case 71:{B=Soc(x,c,d)|0;if((B|0)==(x|0)){P=a;break a}v=d+4|0;y=f[v>>2]|0;if((f[d>>2]|0)==(y|0)){P=a;break a}Woc(y+-24|0,523296)|0;y=(f[v>>2]|0)+-24|0;f[h>>2]=f[d+12>>2];$oc(g,y,h);y=d+20|0;v=f[y>>2]|0;if(v>>>0<(f[d+24>>2]|0)>>>0){f[v>>2]=0;r=v+4|0;f[r>>2]=0;z=f[g+12>>2]|0;f[v+8>>2]=0;f[v+12>>2]=z;f[v>>2]=f[g>>2];z=g+4|0;f[r>>2]=f[z>>2];r=g+8|0;f[v+8>>2]=f[r>>2];f[r>>2]=0;f[z>>2]=0;f[g>>2]=0;f[y>>2]=(f[y>>2]|0)+16}else apc(p,g);yoc(g);P=B;break a;break}case 77:{B=cpc(a,c,d)|0;if((B|0)==(a|0)){P=a;break a}y=f[d+4>>2]|0;if((f[d>>2]|0)==(y|0)){P=a;break a}f[h>>2]=f[d+12>>2];$oc(g,y+-24|0,h);y=d+20|0;z=f[y>>2]|0;if(z>>>0<(f[d+24>>2]|0)>>>0){f[z>>2]=0;r=z+4|0;f[r>>2]=0;v=f[g+12>>2]|0;f[z+8>>2]=0;f[z+12>>2]=v;f[z>>2]=f[g>>2];v=g+4|0;f[r>>2]=f[v>>2];r=g+8|0;f[z+8>>2]=f[r>>2];f[r>>2]=0;f[v>>2]=0;f[g>>2]=0;f[y>>2]=(f[y>>2]|0)+16}else apc(p,g);yoc(g);P=B;break a;break}case 79:{B=d+4|0;y=((f[B>>2]|0)-(f[d>>2]|0)|0)/24|0;v=Soc(x,c,d)|0;r=((f[B>>2]|0)-(f[d>>2]|0)|0)/24|0;if((v|0)==(x|0)){P=a;break a}B=f[d+12>>2]|0;f[g>>2]=B;z=d+20|0;w=f[z>>2]|0;if(w>>>0<(f[d+24>>2]|0)>>>0){f[w>>2]=0;f[w+4>>2]=0;f[w+8>>2]=0;f[w+12>>2]=B;f[z>>2]=(f[z>>2]|0)+16}else Uoc(p,g);B=g+11|0;w=g+4|0;t=y;while(1){if(t>>>0>=r>>>0){P=v;break a}dpc(g,(f[d>>2]|0)+(t*24|0)+12|0,2);y=Fcc(523307)|0;F=b[B>>0]|0;if((y|0)==((F<<24>>24<0?f[w>>2]|0:F&255)|0))Q=(epc(g,523307,y)|0)==0;else Q=0;Ooc(g);y=f[d>>2]|0;if(!Q){F=y+(t*24|0)+12|0;if((b[F+11>>0]|0)<0)R=f[F>>2]|0;else R=F;if((b[R>>0]|0)==40){Woc(y+(t*24|0)|0,523315)|0;Voc((f[d>>2]|0)+(t*24|0)+12|0,0,523313)|0}}else{Woc(y+(t*24|0)|0,523310)|0;Voc((f[d>>2]|0)+(t*24|0)+12|0,0,523313)|0}Woc((f[d>>2]|0)+(t*24|0)|0,523317)|0;y=f[z>>2]|0;F=(f[d>>2]|0)+(t*24|0)|0;J=y+-12|0;D=f[J>>2]|0;if((D|0)==(f[y+-8>>2]|0))Yoc(y+-16|0,F);else{Xoc(D,F);f[J>>2]=(f[J>>2]|0)+24}t=t+1|0}break}case 80:{t=d+4|0;z=((f[t>>2]|0)-(f[d>>2]|0)|0)/24|0;w=Soc(x,c,d)|0;B=((f[t>>2]|0)-(f[d>>2]|0)|0)/24|0;if((w|0)==(x|0)){P=a;break a}t=f[d+12>>2]|0;f[g>>2]=t;v=d+20|0;r=f[v>>2]|0;if(r>>>0<(f[d+24>>2]|0)>>>0){f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=t;f[v>>2]=(f[v>>2]|0)+16}else Uoc(p,g);t=g+11|0;r=g+4|0;J=g+11|0;F=g+4|0;D=z;while(1){if(D>>>0>=B>>>0){P=w;break a}dpc(g,(f[d>>2]|0)+(D*24|0)+12|0,2);z=Fcc(523307)|0;y=b[t>>0]|0;if((z|0)==((y<<24>>24<0?f[r>>2]|0:y&255)|0))S=(epc(g,523307,z)|0)==0;else S=0;Ooc(g);z=f[d>>2]|0;if(!S){y=z+(D*24|0)+12|0;if((b[y+11>>0]|0)<0)T=f[y>>2]|0;else T=y;if((b[T>>0]|0)==40){Woc(z+(D*24|0)|0,523315)|0;Voc((f[d>>2]|0)+(D*24|0)+12|0,0,523313)|0}}else{Woc(z+(D*24|0)|0,523310)|0;Voc((f[d>>2]|0)+(D*24|0)+12|0,0,523313)|0}if((b[x>>0]|0)==85){dpc(g,(f[d>>2]|0)+(D*24|0)|0,12);z=Fcc(523320)|0;y=b[J>>0]|0;if((z|0)==((y<<24>>24<0?f[F>>2]|0:y&255)|0))U=(epc(g,523320,z)|0)!=0;else U=1;Ooc(g);z=(f[d>>2]|0)+(D*24|0)|0;if(U){V=z;W=112}else fpc(z)}else{V=(f[d>>2]|0)+(D*24|0)|0;W=112}if((W|0)==112){W=0;Woc(V,523333)|0}z=f[v>>2]|0;y=(f[d>>2]|0)+(D*24|0)|0;E=z+-12|0;G=f[E>>2]|0;if((G|0)==(f[z+-8>>2]|0))Yoc(z+-16|0,y);else{Xoc(G,y);f[E>>2]=(f[E>>2]|0)+24}D=D+1|0}break}case 82:{D=d+4|0;v=((f[D>>2]|0)-(f[d>>2]|0)|0)/24|0;F=Soc(x,c,d)|0;J=((f[D>>2]|0)-(f[d>>2]|0)|0)/24|0;if((F|0)==(x|0)){P=a;break a}D=f[d+12>>2]|0;f[g>>2]=D;r=d+20|0;t=f[r>>2]|0;if(t>>>0<(f[d+24>>2]|0)>>>0){f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=D;f[r>>2]=(f[r>>2]|0)+16}else Uoc(p,g);D=g+11|0;t=g+4|0;w=v;while(1){if(w>>>0>=J>>>0){P=F;break a}dpc(g,(f[d>>2]|0)+(w*24|0)+12|0,2);v=Fcc(523307)|0;B=b[D>>0]|0;if((v|0)==((B<<24>>24<0?f[t>>2]|0:B&255)|0))X=(epc(g,523307,v)|0)==0;else X=0;Ooc(g);v=f[d>>2]|0;if(!X){B=v+(w*24|0)+12|0;if((b[B+11>>0]|0)<0)Y=f[B>>2]|0;else Y=B;if((b[Y>>0]|0)==40){Woc(v+(w*24|0)|0,523315)|0;Voc((f[d>>2]|0)+(w*24|0)+12|0,0,523313)|0}}else{Woc(v+(w*24|0)|0,523310)|0;Voc((f[d>>2]|0)+(w*24|0)+12|0,0,523313)|0}Woc((f[d>>2]|0)+(w*24|0)|0,523335)|0;v=f[r>>2]|0;B=(f[d>>2]|0)+(w*24|0)|0;E=v+-12|0;y=f[E>>2]|0;if((y|0)==(f[v+-8>>2]|0))Yoc(v+-16|0,B);else{Xoc(y,B);f[E>>2]=(f[E>>2]|0)+24}w=w+1|0}break}case 84:{w=d+4|0;r=((f[w>>2]|0)-(f[d>>2]|0)|0)/24|0;t=gpc(a,c,d)|0;D=((f[w>>2]|0)-(f[d>>2]|0)|0)/24|0;if((t|0)==(a|0)){P=a;break a}F=d+12|0;J=f[F>>2]|0;f[g>>2]=J;E=d+20|0;B=f[E>>2]|0;y=d+24|0;if(B>>>0<(f[y>>2]|0)>>>0){f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=J;f[E>>2]=(f[E>>2]|0)+16}else Uoc(p,g);J=r;while(1){if(J>>>0>=D>>>0)break;B=f[E>>2]|0;v=(f[d>>2]|0)+(J*24|0)|0;G=B+-12|0;z=f[G>>2]|0;if((z|0)==(f[B+-8>>2]|0))Yoc(B+-16|0,v);else{Xoc(z,v);f[G>>2]=(f[G>>2]|0)+24}J=J+1|0}if(!((D|0)==(r+1|0)&(b[d+63>>0]|0)!=0)){P=t;break a}J=hpc(t,c,d)|0;if((J|0)==(t|0)){P=t;break a}ipc(g,(f[w>>2]|0)+-24|0);G=f[w>>2]|0;v=G+-24|0;z=G;while(1){if((z|0)==(v|0))break;B=z+-24|0;f[w>>2]=B;xoc(B);z=f[w>>2]|0}z=b[g+11>>0]|0;v=z<<24>>24<0;Aoc(G+-48|0,v?f[g>>2]|0:g,v?f[g+4>>2]|0:z&255)|0;z=(f[w>>2]|0)+-24|0;f[i>>2]=f[F>>2];$oc(h,z,i);z=f[E>>2]|0;if(z>>>0<(f[y>>2]|0)>>>0){f[z>>2]=0;v=z+4|0;f[v>>2]=0;t=f[h+12>>2]|0;f[z+8>>2]=0;f[z+12>>2]=t;f[z>>2]=f[h>>2];t=h+4|0;f[v>>2]=f[t>>2];v=h+8|0;f[z+8>>2]=f[v>>2];f[v>>2]=0;f[t>>2]=0;f[h>>2]=0;f[E>>2]=(f[E>>2]|0)+16}else apc(p,h);yoc(h);Ooc(g);P=J;break a;break}case 85:{if(!s){P=a;break a}t=jpc(x,c,d)|0;if((t|0)==(x|0)){P=a;break a}v=Soc(t,c,d)|0;if((v|0)==(t|0)){P=a;break a}t=d+4|0;z=f[t>>2]|0;if(((z-(f[d>>2]|0)|0)/24|0)>>>0<2){P=a;break a}ipc(g,z+-24|0);z=f[t>>2]|0;r=z+-24|0;D=z;while(1){if((D|0)==(r|0))break;B=D+-24|0;f[t>>2]=B;xoc(B);D=f[t>>2]|0}dpc(h,z+-48|0,9);D=Fcc(523337)|0;r=b[h+11>>0]|0;if((D|0)==((r<<24>>24<0?f[h+4>>2]|0:r&255)|0)){r=(epc(h,523337,D)|0)==0;Ooc(h);if(r){ipc(h,(f[t>>2]|0)+-24|0);r=f[t>>2]|0;D=r+-24|0;J=r;while(1){if((J|0)==(D|0))break;r=J+-24|0;f[t>>2]=r;xoc(r);J=f[t>>2]|0}J=h+11|0;D=b[J>>0]|0;z=D<<24>>24<0;r=f[h>>2]|0;E=jpc(z?r+9|0:h+9|0,(z?r:h)+(z?f[h+4>>2]|0:D&255)|0,d)|0;if((E|0)==(((b[J>>0]|0)<0?f[h>>2]|0:h)+9|0)){kpc(k,g,523347);E=b[J>>0]|0;J=E<<24>>24<0;Aoc(k,J?f[h>>2]|0:h,J?f[h+4>>2]|0:E&255)|0;f[o>>2]=f[k>>2];f[o+4>>2]=f[k+4>>2];f[o+8>>2]=f[k+8>>2];E=0;while(1){if((E|0)==3)break;f[k+(E<<2)>>2]=0;E=E+1|0}lpc(i,o);E=f[t>>2]|0;if(E>>>0<(f[d+8>>2]|0)>>>0){npc(E,i);f[t>>2]=(f[t>>2]|0)+24}else opc(d,i);xoc(i);Ooc(o);Ooc(k)}else{kpc(m,g,523349);ipc(n,(f[t>>2]|0)+-24|0);E=b[n+11>>0]|0;J=E<<24>>24<0;Aoc(m,J?f[n>>2]|0:n,J?f[n+4>>2]|0:E&255)|0;f[k>>2]=f[m>>2];f[k+4>>2]=f[m+4>>2];f[k+8>>2]=f[m+8>>2];E=0;while(1){if((E|0)==3)break;f[m+(E<<2)>>2]=0;E=E+1|0}Woc(k,523351)|0;f[l>>2]=f[k>>2];f[l+4>>2]=f[k+4>>2];f[l+8>>2]=f[k+8>>2];E=0;while(1){if((E|0)==3)break;f[k+(E<<2)>>2]=0;E=E+1|0}lpc(i,l);mpc((f[t>>2]|0)+-24|0,i);xoc(i);Ooc(l);Ooc(k);Ooc(n);Ooc(m)}Ooc(h)}else W=166}else{Ooc(h);W=166}if((W|0)==166){kpc(i,g,523347);ipc(k,(f[t>>2]|0)+-24|0);E=b[k+11>>0]|0;J=E<<24>>24<0;Aoc(i,J?f[k>>2]|0:k,J?f[k+4>>2]|0:E&255)|0;f[j>>2]=f[i>>2];f[j+4>>2]=f[i+4>>2];f[j+8>>2]=f[i+8>>2];E=0;while(1){if((E|0)==3)break;f[i+(E<<2)>>2]=0;E=E+1|0}lpc(h,j);mpc((f[t>>2]|0)+-24|0,h);xoc(h);Ooc(j);Ooc(k);Ooc(i)}E=(f[t>>2]|0)+-24|0;f[i>>2]=f[d+12>>2];$oc(h,E,i);E=d+20|0;J=f[E>>2]|0;if(J>>>0<(f[d+24>>2]|0)>>>0){f[J>>2]=0;D=J+4|0;f[D>>2]=0;z=f[h+12>>2]|0;f[J+8>>2]=0;f[J+12>>2]=z;f[J>>2]=f[h>>2];z=h+4|0;f[D>>2]=f[z>>2];D=h+8|0;f[J+8>>2]=f[D>>2];f[D>>2]=0;f[z>>2]=0;f[h>>2]=0;f[E>>2]=(f[E>>2]|0)+16}else apc(p,h);yoc(h);Ooc(g);P=v;break a;break}case 83:{if(s?(b[x>>0]|0)==116:0){E=ppc(a,c,d)|0;if((E|0)==(a|0)){P=a;break a}z=f[d+4>>2]|0;if((f[d>>2]|0)==(z|0)){P=a;break a}f[h>>2]=f[d+12>>2];$oc(g,z+-24|0,h);z=d+20|0;D=f[z>>2]|0;if(D>>>0<(f[d+24>>2]|0)>>>0){f[D>>2]=0;J=D+4|0;f[J>>2]=0;r=f[g+12>>2]|0;f[D+8>>2]=0;f[D+12>>2]=r;f[D>>2]=f[g>>2];r=g+4|0;f[J>>2]=f[r>>2];J=g+8|0;f[D+8>>2]=f[J>>2];f[J>>2]=0;f[r>>2]=0;f[g>>2]=0;f[z>>2]=(f[z>>2]|0)+16}else apc(p,g);yoc(g);P=E;break a}E=qpc(a,c,d)|0;if((E|0)==(a|0)){P=a;break a}z=hpc(E,c,d)|0;if((z|0)==(E|0)){P=E;break a}r=d+4|0;J=f[r>>2]|0;if(((J-(f[d>>2]|0)|0)/24|0)>>>0<2){P=E;break a}ipc(g,J+-24|0);J=f[r>>2]|0;E=J+-24|0;D=J;while(1){if((D|0)==(E|0))break;y=D+-24|0;f[r>>2]=y;xoc(y);D=f[r>>2]|0}D=b[g+11>>0]|0;E=D<<24>>24<0;Aoc(J+-48|0,E?f[g>>2]|0:g,E?f[g+4>>2]|0:D&255)|0;D=(f[r>>2]|0)+-24|0;f[i>>2]=f[d+12>>2];$oc(h,D,i);D=d+20|0;E=f[D>>2]|0;if(E>>>0<(f[d+24>>2]|0)>>>0){f[E>>2]=0;v=E+4|0;f[v>>2]=0;t=f[h+12>>2]|0;f[E+8>>2]=0;f[E+12>>2]=t;f[E>>2]=f[h>>2];t=h+4|0;f[v>>2]=f[t>>2];v=h+8|0;f[E+8>>2]=f[v>>2];f[v>>2]=0;f[t>>2]=0;f[h>>2]=0;f[D>>2]=(f[D>>2]|0)+16}else apc(p,h);yoc(h);Ooc(g);P=z;break a;break}case 68:{if(s)switch(b[x>>0]|0){case 112:{D=d+4|0;t=((f[D>>2]|0)-(f[d>>2]|0)|0)/24|0;v=a+2|0;E=Soc(v,c,d)|0;y=((f[D>>2]|0)-(f[d>>2]|0)|0)/24|0;if((E|0)==(v|0))break d;v=f[d+12>>2]|0;f[g>>2]=v;D=d+20|0;F=f[D>>2]|0;if(F>>>0<(f[d+24>>2]|0)>>>0){f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=v;f[D>>2]=(f[D>>2]|0)+16}else Uoc(p,g);v=t;while(1){if(v>>>0>=y>>>0){P=E;break a}t=f[D>>2]|0;F=(f[d>>2]|0)+(v*24|0)|0;w=t+-12|0;G=f[w>>2]|0;if((G|0)==(f[t+-8>>2]|0))Yoc(t+-16|0,F);else{Xoc(G,F);f[w>>2]=(f[w>>2]|0)+24}v=v+1|0}break}case 84:case 116:{v=rpc(a,c,d)|0;if((v|0)==(a|0))break d;D=f[d+4>>2]|0;if((f[d>>2]|0)==(D|0)){P=a;break a}f[h>>2]=f[d+12>>2];$oc(g,D+-24|0,h);D=d+20|0;E=f[D>>2]|0;if(E>>>0<(f[d+24>>2]|0)>>>0){f[E>>2]=0;y=E+4|0;f[y>>2]=0;z=f[g+12>>2]|0;f[E+8>>2]=0;f[E+12>>2]=z;f[E>>2]=f[g>>2];z=g+4|0;f[y>>2]=f[z>>2];y=g+8|0;f[E+8>>2]=f[y>>2];f[y>>2]=0;f[z>>2]=0;f[g>>2]=0;f[D>>2]=(f[D>>2]|0)+16}else apc(p,g);yoc(g);P=v;break a;break}case 118:{v=spc(a,c,d)|0;if((v|0)==(a|0))break d;D=f[d+4>>2]|0;if((f[d>>2]|0)==(D|0)){P=a;break a}f[h>>2]=f[d+12>>2];$oc(g,D+-24|0,h);D=d+20|0;z=f[D>>2]|0;if(z>>>0<(f[d+24>>2]|0)>>>0){f[z>>2]=0;y=z+4|0;f[y>>2]=0;E=f[g+12>>2]|0;f[z+8>>2]=0;f[z+12>>2]=E;f[z>>2]=f[g>>2];E=g+4|0;f[y>>2]=f[E>>2];y=g+8|0;f[z+8>>2]=f[y>>2];f[y>>2]=0;f[E>>2]=0;f[g>>2]=0;f[D>>2]=(f[D>>2]|0)+16}else apc(p,g);yoc(g);P=v;break a;break}default:break d}break}default:{}}while(0);x=Zoc(a,c,d)|0;if((x|0)==(a|0)){s=ppc(a,c,d)|0;if((s|0)!=(a|0)?(v=f[d+4>>2]|0,(f[d>>2]|0)!=(v|0)):0){f[h>>2]=f[d+12>>2];$oc(g,v+-24|0,h);v=d+20|0;D=f[v>>2]|0;if(D>>>0<(f[d+24>>2]|0)>>>0){f[D>>2]=0;E=D+4|0;f[E>>2]=0;y=f[g+12>>2]|0;f[D+8>>2]=0;f[D+12>>2]=y;f[D>>2]=f[g>>2];y=g+4|0;f[E>>2]=f[y>>2];E=g+8|0;f[D+8>>2]=f[E>>2];f[E>>2]=0;f[y>>2]=0;f[g>>2]=0;f[v>>2]=(f[v>>2]|0)+16}else apc(p,g);yoc(g);P=s}else P=a}else P=x}else P=q}else P=a;while(0);u=e;return P|0}function Toc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f[d>>2]=0;if((a|0)!=(c|0)){c=b[a>>0]|0;if(c<<24>>24==114){f[d>>2]=4;e=a+1|0;g=e;h=4;i=b[e>>0]|0}else{g=a;h=0;i=c}if(i<<24>>24==86){c=h|2;f[d>>2]=c;e=g+1|0;j=e;k=b[e>>0]|0;l=c}else{j=g;k=i;l=h}if(k<<24>>24==75){f[d>>2]=l|1;m=j+1|0}else m=j}else m=a;return m|0}function Uoc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=u;u=u+32|0;d=c;e=a+4|0;g=((f[e>>2]|0)-(f[a>>2]|0)>>4)+1|0;h=Yqc(a)|0;if(h>>>0<g>>>0)Ukc(a);else{i=f[a>>2]|0;j=(f[a+8>>2]|0)-i|0;k=j>>3;Zqc(d,j>>4>>>0<h>>>1>>>0?(k>>>0<g>>>0?g:k):h,(f[e>>2]|0)-i>>4,a+12|0);i=d+8|0;e=f[i>>2]|0;f[e>>2]=0;f[e+4>>2]=0;h=f[b>>2]|0;f[e+8>>2]=0;f[e+12>>2]=h;f[i>>2]=e+16;_qc(a,d);$qc(d);u=c;return}}function Voc(a,b,c){a=a|0;b=b|0;c=c|0;return Xqc(a,b,c,Fcc(c)|0)|0}function Woc(a,b){a=a|0;b=b|0;return Aoc(a,b,Fcc(b)|0)|0}function Xoc(a,b){a=a|0;b=b|0;rqc(a,b);rqc(a+12|0,b+12|0);return}function Yoc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=u;u=u+32|0;d=c;e=a+4|0;g=(((f[e>>2]|0)-(f[a>>2]|0)|0)/24|0)+1|0;h=vqc(a)|0;if(h>>>0<g>>>0)Ukc(a);else{i=f[a>>2]|0;j=((f[a+8>>2]|0)-i|0)/24|0;k=j<<1;wqc(d,j>>>0<h>>>1>>>0?(k>>>0<g>>>0?g:k):h,((f[e>>2]|0)-i|0)/24|0,a+12|0);i=d+8|0;e=f[i>>2]|0;Xoc(e,b);f[i>>2]=e+24;xqc(a,d);yqc(d);u=c;return}}function Zoc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+32|0;g=e;a:do if((a|0)==(c|0))h=a;else{i=a+1|0;do switch(b[a>>0]|0){case 118:{Cqc(g,524752);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[j>>2]=(f[j>>2]|0)+24}else opc(d,g);xoc(g);h=i;break a;break}case 119:{drc(g);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[j>>2]=(f[j>>2]|0)+24}else opc(d,g);xoc(g);h=i;break a;break}case 98:{Cqc(g,524757);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[j>>2]=(f[j>>2]|0)+24}else opc(d,g);xoc(g);h=i;break a;break}case 99:{Cqc(g,524526);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[j>>2]=(f[j>>2]|0)+24}else opc(d,g);xoc(g);h=i;break a;break}case 97:{jqc(g,524531);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[j>>2]=(f[j>>2]|0)+24}else opc(d,g);xoc(g);h=i;break a;break}case 104:{Gqc(g,524543);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[j>>2]=(f[j>>2]|0)+24}else opc(d,g);xoc(g);h=i;break a;break}case 115:{Vpc(g,524557);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[j>>2]=(f[j>>2]|0)+24}else opc(d,g);xoc(g);h=i;break a;break}case 116:{kqc(g,524563);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[j>>2]=(f[j>>2]|0)+24}else opc(d,g);xoc(g);h=i;break a;break}case 105:{erc(g,524762);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[j>>2]=(f[j>>2]|0)+24}else opc(d,g);xoc(g);h=i;break a;break}case 106:{lqc(g,524766);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[j>>2]=(f[j>>2]|0)+24}else opc(d,g);xoc(g);h=i;break a;break}case 108:{Cqc(g,524779);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[j>>2]=(f[j>>2]|0)+24}else opc(d,g);xoc(g);h=i;break a;break}case 109:{Gqc(g,524784);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[j>>2]=(f[j>>2]|0)+24}else opc(d,g);xoc(g);h=i;break a;break}case 120:{gqc(g,524798);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[j>>2]=(f[j>>2]|0)+24}else opc(d,g);xoc(g);h=i;break a;break}case 121:{frc(g);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[j>>2]=(f[j>>2]|0)+24}else opc(d,g);xoc(g);h=i;break a;break}case 110:{grc(g,524592);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[j>>2]=(f[j>>2]|0)+24}else opc(d,g);xoc(g);h=i;break a;break}case 111:{hqc(g,524601);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[j>>2]=(f[j>>2]|0)+24}else opc(d,g);xoc(g);h=i;break a;break}case 102:{Vpc(g,524808);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[j>>2]=(f[j>>2]|0)+24}else opc(d,g);xoc(g);h=i;break a;break}case 100:{hrc(g);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[j>>2]=(f[j>>2]|0)+24}else opc(d,g);xoc(g);h=i;break a;break}case 101:{jqc(g,524814);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[j>>2]=(f[j>>2]|0)+24}else opc(d,g);xoc(g);h=i;break a;break}case 103:{fqc(g,524826);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[j>>2]=(f[j>>2]|0)+24}else opc(d,g);xoc(g);h=i;break a;break}case 122:{erc(g,524837);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[j>>2]=(f[j>>2]|0)+24}else opc(d,g);xoc(g);h=i;break a;break}case 117:{j=jpc(i,c,d)|0;h=(j|0)==(i|0)?a:j;break a;break}case 68:{if((i|0)==(c|0)){h=a;break a}j=a+2|0;switch(b[i>>0]|0){case 100:{gqc(g,524841);k=d+4|0;l=f[k>>2]|0;if(l>>>0<(f[d+8>>2]|0)>>>0){npc(l,g);f[k>>2]=(f[k>>2]|0)+24}else opc(d,g);xoc(g);h=j;break a;break}case 101:{fqc(g,524851);k=d+4|0;l=f[k>>2]|0;if(l>>>0<(f[d+8>>2]|0)>>>0){npc(l,g);f[k>>2]=(f[k>>2]|0)+24}else opc(d,g);xoc(g);h=j;break a;break}case 102:{gqc(g,524862);k=d+4|0;l=f[k>>2]|0;if(l>>>0<(f[d+8>>2]|0)>>>0){npc(l,g);f[k>>2]=(f[k>>2]|0)+24}else opc(d,g);xoc(g);h=j;break a;break}case 104:{gqc(g,524872);k=d+4|0;l=f[k>>2]|0;if(l>>>0<(f[d+8>>2]|0)>>>0){npc(l,g);f[k>>2]=(f[k>>2]|0)+24}else opc(d,g);xoc(g);h=j;break a;break}case 105:{grc(g,524882);k=d+4|0;l=f[k>>2]|0;if(l>>>0<(f[d+8>>2]|0)>>>0){npc(l,g);f[k>>2]=(f[k>>2]|0)+24}else opc(d,g);xoc(g);h=j;break a;break}case 115:{grc(g,524891);k=d+4|0;l=f[k>>2]|0;if(l>>>0<(f[d+8>>2]|0)>>>0){npc(l,g);f[k>>2]=(f[k>>2]|0)+24}else opc(d,g);xoc(g);h=j;break a;break}case 97:{Cqc(g,524900);k=d+4|0;l=f[k>>2]|0;if(l>>>0<(f[d+8>>2]|0)>>>0){npc(l,g);f[k>>2]=(f[k>>2]|0)+24}else opc(d,g);xoc(g);h=j;break a;break}case 110:{kqc(g,524905);k=d+4|0;l=f[k>>2]|0;if(l>>>0<(f[d+8>>2]|0)>>>0){npc(l,g);f[k>>2]=(f[k>>2]|0)+24}else opc(d,g);xoc(g);h=j;break a;break}default:{h=a;break a}}break}default:{h=a;break a}}while(0)}while(0);u=e;return h|0}function _oc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;e=u;u=u+112|0;g=e+96|0;h=e+72|0;i=e+48|0;j=e+36|0;k=e+24|0;l=e+12|0;m=e;do if(((a|0)!=(c|0)?(b[a>>0]|0)==65:0)?(n=a+1|0,(n|0)!=(c|0)):0){o=b[n>>0]|0;if(o<<24>>24==95){p=a+2|0;q=Soc(p,c,d)|0;if((q|0)==(p|0)){r=a;break}p=d+4|0;s=f[p>>2]|0;if((f[d>>2]|0)==(s|0)){r=a;break}dpc(g,s+-12|0,2);s=Fcc(523307)|0;t=b[g+11>>0]|0;if((s|0)==((t<<24>>24<0?f[g+4>>2]|0:t&255)|0)){t=(epc(g,523307,s)|0)==0;Ooc(g);if(t)crc((f[p>>2]|0)+-12|0)}else Ooc(g);Voc((f[p>>2]|0)+-12|0,0,524748)|0;r=q;break}if((o+-49&255)<9){o=tpc(n,c)|0;if((o|0)==(c|0)){r=a;break}if((b[o>>0]|0)!=95){r=a;break}q=o+1|0;p=Soc(q,c,d)|0;if((p|0)==(q|0)){r=a;break}q=d+4|0;t=f[q>>2]|0;if((f[d>>2]|0)==(t|0)){r=a;break}dpc(g,t+-12|0,2);t=Fcc(523307)|0;s=b[g+11>>0]|0;if((t|0)==((s<<24>>24<0?f[g+4>>2]|0:s&255)|0)){s=(epc(g,523307,t)|0)==0;Ooc(g);if(s)crc((f[q>>2]|0)+-12|0)}else Ooc(g);s=(f[q>>2]|0)+-12|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;q=o-n|0;if(q>>>0>4294967279)Lmc(j);if(q>>>0<11){b[j+11>>0]=q;v=j}else{t=q+16&-16;w=Loc(t)|0;f[j>>2]=w;f[j+8>>2]=t|-2147483648;f[j+4>>2]=q;v=w}w=n;t=v;while(1){if((w|0)==(o|0))break;Gcc(t,w);w=w+1|0;t=t+1|0}b[g>>0]=0;Gcc(v+q|0,g);Voc(j,0,523307)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];t=0;while(1){if((t|0)==3)break;f[j+(t<<2)>>2]=0;t=t+1|0}Woc(i,523362)|0;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];t=0;while(1){if((t|0)==3)break;f[i+(t<<2)>>2]=0;t=t+1|0}t=b[h+11>>0]|0;q=t<<24>>24<0;Xqc(s,0,q?f[h>>2]|0:h,q?f[h+4>>2]|0:t&255)|0;Ooc(h);Ooc(i);Ooc(j);r=p;break}t=upc(n,c,d)|0;if(((!((t|0)==(n|0)|(t|0)==(c|0))?(b[t>>0]|0)==95:0)?(q=t+1|0,t=Soc(q,c,d)|0,(t|0)!=(q|0)):0)?(q=d+4|0,w=f[q>>2]|0,((w-(f[d>>2]|0)|0)/24|0)>>>0>=2):0){npc(h,w+-24|0);w=f[q>>2]|0;o=w+-24|0;x=w;while(1){if((x|0)==(o|0))break;y=x+-24|0;f[q>>2]=y;xoc(y);x=f[q>>2]|0}npc(i,w+-48|0);x=f[q>>2]|0;o=x+-24|0;n=o+11|0;if((b[n>>0]|0)<0){p=f[o>>2]|0;b[g>>0]=0;Gcc(p,g);f[x+-20>>2]=0}else{b[g>>0]=0;Gcc(o,g);b[n>>0]=0}vpc(o);f[o>>2]=f[h>>2];f[o+4>>2]=f[h+4>>2];f[o+8>>2]=f[h+8>>2];o=0;while(1){if((o|0)==3)break;f[h+(o<<2)>>2]=0;o=o+1|0}o=h+12|0;dpc(g,o,2);w=Fcc(523307)|0;n=b[g+11>>0]|0;if((w|0)==((n<<24>>24<0?f[g+4>>2]|0:n&255)|0)){n=(epc(g,523307,w)|0)==0;Ooc(g);if(n)crc(o)}else Ooc(g);ipc(m,i);Voc(m,0,523307)|0;f[l>>2]=f[m>>2];f[l+4>>2]=f[m+4>>2];f[l+8>>2]=f[m+8>>2];n=0;while(1){if((n|0)==3)break;f[m+(n<<2)>>2]=0;n=n+1|0}Woc(l,523362)|0;f[k>>2]=f[l>>2];f[k+4>>2]=f[l+4>>2];f[k+8>>2]=f[l+8>>2];n=0;while(1){if((n|0)==3)break;f[l+(n<<2)>>2]=0;n=n+1|0}n=b[o+11>>0]|0;w=n<<24>>24<0;Aoc(k,w?f[o>>2]|0:o,w?f[h+16>>2]|0:n&255)|0;f[j>>2]=f[k>>2];f[j+4>>2]=f[k+4>>2];f[j+8>>2]=f[k+8>>2];n=0;while(1){if((n|0)==3)break;f[k+(n<<2)>>2]=0;n=n+1|0}n=f[q>>2]|0;o=n+-12|0;w=o+11|0;if((b[w>>0]|0)<0){x=f[o>>2]|0;b[g>>0]=0;Gcc(x,g);f[n+-8>>2]=0}else{b[g>>0]=0;Gcc(o,g);b[w>>0]=0}vpc(o);f[o>>2]=f[j>>2];f[o+4>>2]=f[j+4>>2];f[o+8>>2]=f[j+8>>2];o=0;while(1){if((o|0)==3)break;f[j+(o<<2)>>2]=0;o=o+1|0}Ooc(j);Ooc(k);Ooc(l);Ooc(m);xoc(i);xoc(h);r=t}else r=a}else r=a;while(0);u=e;return r|0}function $oc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;f[a>>2]=0;d=a+4|0;f[d>>2]=0;e=f[c>>2]|0;f[a+8>>2]=0;f[a+12>>2]=e;brc(a);Xoc(f[d>>2]|0,b);f[d>>2]=(f[d>>2]|0)+24;return}function apc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=u;u=u+32|0;d=c;e=a+4|0;g=((f[e>>2]|0)-(f[a>>2]|0)>>4)+1|0;h=Yqc(a)|0;if(h>>>0<g>>>0)Ukc(a);else{i=f[a>>2]|0;j=(f[a+8>>2]|0)-i|0;k=j>>3;Zqc(d,j>>4>>>0<h>>>1>>>0?(k>>>0<g>>>0?g:k):h,(f[e>>2]|0)-i>>4,a+12|0);i=d+8|0;e=f[i>>2]|0;f[e>>2]=0;h=e+4|0;f[h>>2]=0;k=f[b+12>>2]|0;f[e+8>>2]=0;f[e+12>>2]=k;f[e>>2]=f[b>>2];k=b+4|0;f[h>>2]=f[k>>2];h=b+8|0;f[e+8>>2]=f[h>>2];f[h>>2]=0;f[k>>2]=0;f[b>>2]=0;f[i>>2]=e+16;_qc(a,d);$qc(d);u=c;return}}function bpc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;e=u;u=u+32|0;g=e+12|0;h=e;a:do if(((a|0)!=(c|0)?(b[a>>0]|0)==70:0)?(i=a+1|0,(i|0)!=(c|0)):0){if((b[i>>0]|0)==89){j=a+2|0;if((j|0)==(c|0)){k=a;break}else l=j}else l=i;i=Soc(l,c,d)|0;if((i|0)!=(l|0)){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;j=Fcc(523315)|0;if(j>>>0>4294967279)Lmc(h);if(j>>>0<11){m=h+11|0;b[m>>0]=j;n=h;o=m;p=h+4|0}else{m=j+16&-16;q=Loc(m)|0;f[h>>2]=q;f[h+8>>2]=m|-2147483648;m=h+4|0;f[m>>2]=j;n=q;o=h+11|0;p=m}Mbc(n,523315,j)|0;b[g>>0]=0;Gcc(n+j|0,g);j=d+4|0;m=g+11|0;q=g+4|0;r=0;s=i;b:while(1){i=s;c:while(1){if((i|0)==(c|0)){t=15;break b}v=b[i>>0]|0;w=i+1|0;switch(v<<24>>24){case 69:{t=19;break b;break}case 118:{i=w;continue c;break}default:{}}x=(w|0)==(c|0);if(!(x|v<<24>>24!=82)?(b[w>>0]|0)==69:0){r=1;s=w;continue b}if(!(x|v<<24>>24!=79)?(b[w>>0]|0)==69:0){r=2;s=w;continue b}v=((f[j>>2]|0)-(f[d>>2]|0)|0)/24|0;x=Soc(i,c,d)|0;y=((f[j>>2]|0)-(f[d>>2]|0)|0)/24|0;if((x|0)==(i|0)|(x|0)==(c|0))break b;else z=v;while(1){if(z>>>0>=y>>>0){A=v;break}B=b[o>>0]|0;if((B<<24>>24<0?f[p>>2]|0:B&255)>>>0>1)Woc(h,523537)|0;ipc(g,(f[d>>2]|0)+(z*24|0)|0);B=b[m>>0]|0;C=B<<24>>24<0;Aoc(h,C?f[g>>2]|0:g,C?f[q>>2]|0:B&255)|0;Ooc(g);z=z+1|0}while(1){if(A>>>0>=y>>>0){i=x;continue c}v=f[j>>2]|0;B=v+-24|0;C=v;while(1){if((C|0)==(B|0))break;v=C+-24|0;f[j>>2]=v;xoc(v);C=f[j>>2]|0}A=A+1|0}}}d:do if((t|0)==15){q=f[j>>2]|0;m=q+-24|0;s=q;while(1){if((s|0)==(m|0))break d;q=s+-24|0;f[j>>2]=q;xoc(q);s=f[j>>2]|0}}else if((t|0)==19){Woc(h,523313)|0;switch(r&3){case 1:{Woc(h,524741)|0;break}case 2:{Woc(h,524744)|0;break}default:{}}s=f[j>>2]|0;if((f[d>>2]|0)!=(s|0)){Woc(s+-24|0,523347)|0;s=b[o>>0]|0;m=s<<24>>24<0;Xqc((f[j>>2]|0)+-12|0,0,m?f[h>>2]|0:h,m?f[p>>2]|0:s&255)|0;Ooc(h);k=w;break a}}while(0);Ooc(h);k=a}else k=a}else k=a;while(0);u=e;return k|0}function cpc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=u;u=u+112|0;g=e+96|0;h=e+72|0;i=e+48|0;j=e+36|0;k=e+24|0;l=e+12|0;m=e;if(((((a|0)!=(c|0)?(b[a>>0]|0)==77:0)?(n=a+1|0,o=Soc(n,c,d)|0,(o|0)!=(n|0)):0)?(n=Soc(o,c,d)|0,(n|0)!=(o|0)):0)?(o=d+4|0,c=f[o>>2]|0,((c-(f[d>>2]|0)|0)/24|0)>>>0>=2):0){npc(h,c+-24|0);c=f[o>>2]|0;d=c+-24|0;p=c;while(1){if((p|0)==(d|0))break;q=p+-24|0;f[o>>2]=q;xoc(q);p=f[o>>2]|0}npc(i,c+-48|0);c=h+12|0;a:do if((b[((b[c+11>>0]|0)<0?f[c>>2]|0:c)>>0]|0)==40){Woc(h,523315)|0;f[l>>2]=f[h>>2];f[l+4>>2]=f[h+4>>2];f[l+8>>2]=f[h+8>>2];p=0;while(1){if((p|0)==3)break;f[h+(p<<2)>>2]=0;p=p+1|0}ipc(m,i);p=b[m+11>>0]|0;d=p<<24>>24<0;Aoc(l,d?f[m>>2]|0:m,d?f[m+4>>2]|0:p&255)|0;f[k>>2]=f[l>>2];f[k+4>>2]=f[l+4>>2];f[k+8>>2]=f[l+8>>2];p=0;while(1){if((p|0)==3)break;f[l+(p<<2)>>2]=0;p=p+1|0}Woc(k,524737)|0;f[j>>2]=f[k>>2];f[j+4>>2]=f[k+4>>2];f[j+8>>2]=f[k+8>>2];p=0;while(1){if((p|0)==3)break;f[k+(p<<2)>>2]=0;p=p+1|0}p=f[o>>2]|0;d=p+-24|0;q=d+11|0;if((b[q>>0]|0)<0){r=f[d>>2]|0;b[g>>0]=0;Gcc(r,g);f[p+-20>>2]=0}else{b[g>>0]=0;Gcc(d,g);b[q>>0]=0}vpc(d);f[d>>2]=f[j>>2];f[d+4>>2]=f[j+4>>2];f[d+8>>2]=f[j+8>>2];d=0;while(1){if((d|0)==3)break;f[j+(d<<2)>>2]=0;d=d+1|0}Ooc(j);Ooc(k);Ooc(m);Ooc(l);Voc(c,0,523313)|0;f[j>>2]=f[c>>2];f[j+4>>2]=f[c+4>>2];f[j+8>>2]=f[c+8>>2];d=0;while(1){if((d|0)==3)break;f[c+(d<<2)>>2]=0;d=d+1|0}d=f[o>>2]|0;q=d+-12|0;p=q+11|0;if((b[p>>0]|0)<0){r=f[q>>2]|0;b[g>>0]=0;Gcc(r,g);f[d+-8>>2]=0}else{b[g>>0]=0;Gcc(q,g);b[p>>0]=0}vpc(q);f[q>>2]=f[j>>2];f[q+4>>2]=f[j+4>>2];f[q+8>>2]=f[j+8>>2];q=0;while(1){if((q|0)==3)break;f[j+(q<<2)>>2]=0;q=q+1|0}Ooc(j)}else{Woc(h,523347)|0;f[l>>2]=f[h>>2];f[l+4>>2]=f[h+4>>2];f[l+8>>2]=f[h+8>>2];q=0;while(1){if((q|0)==3)break;f[h+(q<<2)>>2]=0;q=q+1|0}ipc(m,i);q=b[m+11>>0]|0;p=q<<24>>24<0;Aoc(l,p?f[m>>2]|0:m,p?f[m+4>>2]|0:q&255)|0;f[k>>2]=f[l>>2];f[k+4>>2]=f[l+4>>2];f[k+8>>2]=f[l+8>>2];q=0;while(1){if((q|0)==3)break;f[l+(q<<2)>>2]=0;q=q+1|0}Woc(k,524737)|0;f[j>>2]=f[k>>2];f[j+4>>2]=f[k+4>>2];f[j+8>>2]=f[k+8>>2];q=0;while(1){if((q|0)==3)break;f[k+(q<<2)>>2]=0;q=q+1|0}q=f[o>>2]|0;p=q+-24|0;d=p+11|0;if((b[d>>0]|0)<0){r=f[p>>2]|0;b[g>>0]=0;Gcc(r,g);f[q+-20>>2]=0}else{b[g>>0]=0;Gcc(p,g);b[d>>0]=0}vpc(p);f[p>>2]=f[j>>2];f[p+4>>2]=f[j+4>>2];f[p+8>>2]=f[j+8>>2];p=0;while(1){if((p|0)==3)break;f[j+(p<<2)>>2]=0;p=p+1|0}Ooc(j);Ooc(k);Ooc(m);Ooc(l);p=f[o>>2]|0;d=p+-12|0;q=d+11|0;if((b[q>>0]|0)<0){r=f[d>>2]|0;b[g>>0]=0;Gcc(r,g);f[p+-8>>2]=0}else{b[g>>0]=0;Gcc(d,g);b[q>>0]=0}vpc(d);f[d>>2]=f[c>>2];f[d+4>>2]=f[c+4>>2];f[d+8>>2]=f[c+8>>2];d=0;while(1){if((d|0)==3)break a;f[c+(d<<2)>>2]=0;d=d+1|0}}while(0);xoc(i);xoc(h);s=n}else s=a;u=e;return s|0}function dpc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+16|0;g=e;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;h=b[c+11>>0]|0;i=h<<24>>24<0;j=i?f[c+4>>2]|0:h&255;h=i?f[c>>2]|0:c;c=j>>>0<d>>>0?j:d;if(c>>>0>4294967279)Lmc(a);if(c>>>0<11){b[a+11>>0]=c;k=a}else{d=c+16&-16;j=Loc(d)|0;f[a>>2]=j;f[a+8>>2]=d|-2147483648;f[a+4>>2]=c;k=j}Mbc(k,h,c)|0;b[g>>0]=0;Gcc(k+c|0,g);u=e;return}function epc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=b[a+11>>0]|0;g=e<<24>>24<0;if(g)h=f[a+4>>2]|0;else h=e&255;if((d|0)==-1)Mmc(a);if(g)i=f[a>>2]|0;else i=a;a=h>>>0>d>>>0;g=umc(i,c,a?d:h)|0;if(!g)return (h>>>0<d>>>0?-1:a&1)|0;else return g|0;return 0}function fpc(a){a=a|0;Wqc(a,Fcc(524734)|0);return}function gpc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;e=u;u=u+64|0;g=e+40|0;h=e;i=e+24|0;j=a;a:do if((c-j|0)>1?(b[a>>0]|0)==84:0){k=b[a+1>>0]|0;l=d+62|0;m=d+32|0;if(k<<24>>24==95){n=f[d+36>>2]|0;if((f[m>>2]|0)==(n|0)){o=a;break}p=f[n+-16>>2]|0;q=a+2|0;if((p|0)==(f[n+-12>>2]|0)){Vqc(g);n=d+4|0;r=f[n>>2]|0;if(r>>>0<(f[d+8>>2]|0)>>>0){npc(r,g);f[n>>2]=(f[n>>2]|0)+24}else opc(d,g);xoc(g);b[l>>0]=1;o=q;break}n=f[p+4>>2]|0;r=d+4|0;s=d+8|0;t=f[p>>2]|0;while(1){if((t|0)==(n|0)){o=q;break a}p=f[r>>2]|0;if((p|0)==(f[s>>2]|0))Yoc(d,t);else{Xoc(p,t);f[r>>2]=(f[r>>2]|0)+24}t=t+24|0}}t=(k<<24>>24)+-48|0;if(t>>>0<10){r=t;t=a+2|0;while(1){v=t+1|0;if((t|0)==(c|0)){o=a;break a}w=b[t>>0]|0;s=(w<<24>>24)+-48|0;if(s>>>0>=10)break;r=s+(r*10|0)|0;t=v}if(w<<24>>24==95?(t=f[d+36>>2]|0,(f[m>>2]|0)!=(t|0)):0){k=r+1|0;s=f[t+-16>>2]|0;q=s;if(k>>>0<(f[t+-12>>2]|0)-s>>4>>>0){s=f[q+(k<<4)+4>>2]|0;t=d+4|0;n=d+8|0;p=f[q+(k<<4)>>2]|0;while(1){if((p|0)==(s|0)){o=v;break a}k=f[t>>2]|0;if((k|0)==(f[n>>2]|0))Yoc(d,p);else{Xoc(k,p);f[t>>2]=(f[t>>2]|0)+24}p=p+24|0}};f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;p=v-j|0;if(p>>>0>4294967279)Lmc(i);if(p>>>0<11){b[i+11>>0]=p;x=i}else{t=p+16&-16;n=Loc(t)|0;f[i>>2]=n;f[i+8>>2]=t|-2147483648;f[i+4>>2]=p;x=n}n=a;t=x;while(1){if((n|0)==(v|0))break;Gcc(t,n);n=n+1|0;t=t+1|0}b[g>>0]=0;Gcc(x+p|0,g);lpc(h,i);t=d+4|0;n=f[t>>2]|0;if(n>>>0<(f[d+8>>2]|0)>>>0){npc(n,h);f[t>>2]=(f[t>>2]|0)+24}else opc(d,h);xoc(h);Ooc(i);b[l>>0]=1;o=v}else o=a}else o=a}else o=a;while(0);u=e;return o|0}function hpc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;e=u;u=u+64|0;g=e+32|0;h=e+16|0;i=e;j=e+4|0;do if((c-a|0)>1?(b[a>>0]|0)==73:0){k=d+61|0;l=d+32|0;a:do if(b[k>>0]|0){m=f[d+36>>2]|0;n=f[m+-16>>2]|0;o=m+-12|0;while(1){m=f[o>>2]|0;if((m|0)==(n|0))break a;p=m+-16|0;f[o>>2]=p;yoc(p)}}while(0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;o=Fcc(523349)|0;if(o>>>0>4294967279)Lmc(h);if(o>>>0<11){n=h+11|0;b[n>>0]=o;q=h;r=n;s=h+4|0}else{n=o+16&-16;p=Loc(n)|0;f[h>>2]=p;f[h+8>>2]=n|-2147483648;n=h+4|0;f[n>>2]=o;q=p;r=h+11|0;s=n}Mbc(q,523349,o)|0;b[g>>0]=0;Gcc(q+o|0,g);o=d+4|0;n=d+36|0;p=d+12|0;m=g+11|0;t=g+4|0;v=d+40|0;w=a+1|0;b:while(1){if((b[w>>0]|0)==69)break;if(b[k>>0]|0){f[i>>2]=f[p>>2];x=f[n>>2]|0;if(x>>>0<(f[v>>2]|0)>>>0){Nqc(g,i);f[x>>2]=0;f[x+4>>2]=0;y=f[g>>2]|0;f[x+8>>2]=0;f[x+12>>2]=y;f[n>>2]=(f[n>>2]|0)+16}else Oqc(l,i)}y=((f[o>>2]|0)-(f[d>>2]|0)|0)/24|0;x=Pqc(w,c,d)|0;z=((f[o>>2]|0)-(f[d>>2]|0)|0)/24|0;c:do if(b[k>>0]|0){A=f[n>>2]|0;B=A+-16|0;C=A;while(1){if((C|0)==(B|0))break c;A=C+-16|0;f[n>>2]=A;Eoc(A);C=f[n>>2]|0}}while(0);if((x|0)==(w|0)|(x|0)==(c|0)){D=53;break}d:do if(!(b[k>>0]|0))E=y;else{C=f[n>>2]|0;B=f[p>>2]|0;f[g>>2]=B;A=C+-12|0;F=f[A>>2]|0;if(F>>>0<(f[C+-8>>2]|0)>>>0){f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=B;f[A>>2]=(f[A>>2]|0)+16}else Uoc(C+-16|0,g);C=y;while(1){if(C>>>0>=z>>>0){E=y;break d}A=f[(f[n>>2]|0)+-12>>2]|0;B=(f[d>>2]|0)+(C*24|0)|0;F=A+-12|0;G=f[F>>2]|0;if((G|0)==(f[A+-8>>2]|0))Yoc(A+-16|0,B);else{Xoc(G,B);f[F>>2]=(f[F>>2]|0)+24}C=C+1|0}}while(0);while(1){if(E>>>0>=z>>>0){H=z;break}C=b[r>>0]|0;if((C<<24>>24<0?f[s>>2]|0:C&255)>>>0>1)Woc(h,523537)|0;ipc(g,(f[d>>2]|0)+(E*24|0)|0);C=b[m>>0]|0;F=C<<24>>24<0;Aoc(h,F?f[g>>2]|0:g,F?f[t>>2]|0:C&255)|0;Ooc(g);E=E+1|0}while(1){if((H|0)==(y|0)){w=x;continue b}z=f[o>>2]|0;C=z+-24|0;F=z;while(1){if((F|0)==(C|0))break;z=F+-24|0;f[o>>2]=z;xoc(z);F=f[o>>2]|0}H=H+-1|0}}if((D|0)==53){Ooc(h);I=a;break}t=w+1|0;m=b[r>>0]|0;n=m<<24>>24<0;if((b[(n?f[h>>2]|0:h)+(n?f[s>>2]|0:m&255)+-1>>0]|0)==62)Woc(h,524728)|0;else Woc(h,523351)|0;f[j>>2]=f[h>>2];f[j+4>>2]=f[h+4>>2];f[j+8>>2]=f[h+8>>2];m=0;while(1){if((m|0)==3)break;f[h+(m<<2)>>2]=0;m=m+1|0}lpc(g,j);m=f[o>>2]|0;if(m>>>0<(f[d+8>>2]|0)>>>0){npc(m,g);f[o>>2]=(f[o>>2]|0)+24}else opc(d,g);xoc(g);Ooc(j);Ooc(h);I=t}else I=a;while(0);u=e;return I|0}function ipc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=c+12|0;e=b[d+11>>0]|0;g=e<<24>>24<0;Aoc(c,g?f[d>>2]|0:d,g?f[c+16>>2]|0:e&255)|0;f[a>>2]=f[c>>2];f[a+4>>2]=f[c+4>>2];f[a+8>>2]=f[c+8>>2];a=0;while(1){if((a|0)==3)break;f[c+(a<<2)>>2]=0;a=a+1|0}return}function jpc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=u;u=u+48|0;g=e+24|0;h=e+12|0;i=e;a:do if(((a|0)!=(c|0)?(j=(b[a>>0]|0)+-48|0,j>>>0<10):0)?(k=a+1|0,(k|0)!=(c|0)):0){l=j;j=k;while(1){k=(b[j>>0]|0)+-48|0;if(k>>>0>=10)break;m=j+1|0;if((m|0)==(c|0)){n=a;break a}l=k+(l*10|0)|0;j=m}if((c-j|0)>>>0>=l>>>0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;if(l>>>0>4294967279)Lmc(h);if(l>>>0<11){b[h+11>>0]=l;o=h}else{m=l+16&-16;k=Loc(m)|0;f[h>>2]=k;f[h+8>>2]=m|-2147483648;f[h+4>>2]=l;o=k}Mbc(o,j,l)|0;b[g>>0]=0;Gcc(o+l|0,g);dpc(g,h,10);k=Fcc(524695)|0;m=b[g+11>>0]|0;if((k|0)==((m<<24>>24<0?f[g+4>>2]|0:m&255)|0))p=(epc(g,524695,k)|0)==0;else p=0;Ooc(g);if(p){Mqc(g);k=d+4|0;m=f[k>>2]|0;if(m>>>0<(f[d+8>>2]|0)>>>0){npc(m,g);f[k>>2]=(f[k>>2]|0)+24}else opc(d,g);xoc(g)}else{f[i>>2]=f[h>>2];f[i+4>>2]=f[h+4>>2];f[i+8>>2]=f[h+8>>2];k=0;while(1){if((k|0)==3)break;f[h+(k<<2)>>2]=0;k=k+1|0}lpc(g,i);k=d+4|0;m=f[k>>2]|0;if(m>>>0<(f[d+8>>2]|0)>>>0){npc(m,g);f[k>>2]=(f[k>>2]|0)+24}else opc(d,g);xoc(g);Ooc(i)}Ooc(h);n=j+l|0}else n=a}else n=a;while(0);u=e;return n|0}function kpc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;h=0;while(1){if((h|0)==3)break;f[a+(h<<2)>>2]=0;h=h+1|0}h=c+11|0;i=b[h>>0]|0;j=i<<24>>24<0?f[c+4>>2]|0:i&255;i=Fcc(d)|0;k=(b[h>>0]|0)<0?f[c>>2]|0:c;c=j+i|0;if(c>>>0>4294967279)Lmc(a);if(c>>>0<11){b[a+11>>0]=j;l=a}else{h=c+16&-16;c=Loc(h)|0;f[a>>2]=c;f[a+8>>2]=h|-2147483648;f[a+4>>2]=j;l=c}Mbc(l,k,j)|0;b[g>>0]=0;Gcc(l+j|0,g);Aoc(a,d,i)|0;u=e;return}function lpc(a,b){a=a|0;b=b|0;var c=0;f[a>>2]=f[b>>2];f[a+4>>2]=f[b+4>>2];f[a+8>>2]=f[b+8>>2];c=0;while(1){if((c|0)==3)break;f[b+(c<<2)>>2]=0;c=c+1|0}c=a+12|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[c+(a<<2)>>2]=0;a=a+1|0}return}function mpc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;d=u;u=u+16|0;e=d;g=a+11|0;if((b[g>>0]|0)<0){h=f[a>>2]|0;b[e>>0]=0;Gcc(h,e);f[a+4>>2]=0}else{b[e>>0]=0;Gcc(a,e);b[g>>0]=0}vpc(a);f[a>>2]=f[c>>2];f[a+4>>2]=f[c+4>>2];f[a+8>>2]=f[c+8>>2];g=0;while(1){if((g|0)==3)break;f[c+(g<<2)>>2]=0;g=g+1|0}g=a+12|0;h=c+12|0;c=g+11|0;if((b[c>>0]|0)<0){i=f[g>>2]|0;b[e>>0]=0;Gcc(i,e);f[a+16>>2]=0}else{b[e>>0]=0;Gcc(g,e);b[c>>0]=0}vpc(g);f[g>>2]=f[h>>2];f[g+4>>2]=f[h+4>>2];f[g+8>>2]=f[h+8>>2];g=0;while(1){if((g|0)==3)break;f[h+(g<<2)>>2]=0;g=g+1|0}u=d;return}function npc(a,b){a=a|0;b=b|0;var c=0;f[a>>2]=f[b>>2];f[a+4>>2]=f[b+4>>2];f[a+8>>2]=f[b+8>>2];c=0;while(1){if((c|0)==3)break;f[b+(c<<2)>>2]=0;c=c+1|0}c=a+12|0;a=b+12|0;f[c>>2]=f[a>>2];f[c+4>>2]=f[a+4>>2];f[c+8>>2]=f[a+8>>2];c=0;while(1){if((c|0)==3)break;f[a+(c<<2)>>2]=0;c=c+1|0}return}function opc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=u;u=u+32|0;d=c;e=a+4|0;g=(((f[e>>2]|0)-(f[a>>2]|0)|0)/24|0)+1|0;h=vqc(a)|0;if(h>>>0<g>>>0)Ukc(a);else{i=f[a>>2]|0;j=((f[a+8>>2]|0)-i|0)/24|0;k=j<<1;wqc(d,j>>>0<h>>>1>>>0?(k>>>0<g>>>0?g:k):h,((f[e>>2]|0)-i|0)/24|0,a+12|0);i=d+8|0;e=f[i>>2]|0;npc(e,b);f[i>>2]=e+24;xqc(a,d);yqc(d);u=c;return}}function ppc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+32|0;g=e+8|0;h=e;a:do if((c-a|0)>1){i=(b[a>>0]|0)==76?a+1|0:a;switch(b[i>>0]|0){case 78:{j=Hqc(i,c,d)|0;k=(j|0)==(i|0)?a:j;break a;break}case 90:{j=Iqc(i,c,d)|0;k=(j|0)==(i|0)?a:j;break a;break}default:{j=Jqc(i,c,d)|0;if((j|0)==(i|0)){l=qpc(i,c,d)|0;if((l|0)==(i|0)|(l|0)==(c|0)){k=a;break a}if((b[l>>0]|0)!=73){k=a;break a}i=hpc(l,c,d)|0;if((i|0)==(l|0)){k=a;break a}l=d+4|0;m=f[l>>2]|0;if(((m-(f[d>>2]|0)|0)/24|0)>>>0<2){k=a;break a}ipc(g,m+-24|0);m=f[l>>2]|0;n=m+-24|0;o=m;while(1){if((o|0)==(n|0))break;p=o+-24|0;f[l>>2]=p;xoc(p);o=f[l>>2]|0}l=b[g+11>>0]|0;o=l<<24>>24<0;Aoc(m+-48|0,o?f[g>>2]|0:g,o?f[g+4>>2]|0:l&255)|0;Ooc(g);k=i;break a}if((j|0)==(c|0)){k=c;break a}if((b[j>>0]|0)!=73){k=j;break a}l=d+4|0;o=f[l>>2]|0;if((f[d>>2]|0)==(o|0)){k=a;break a}f[h>>2]=f[d+12>>2];$oc(g,o+-24|0,h);o=d+20|0;n=f[o>>2]|0;if(n>>>0<(f[d+24>>2]|0)>>>0){f[n>>2]=0;p=n+4|0;f[p>>2]=0;q=f[g+12>>2]|0;f[n+8>>2]=0;f[n+12>>2]=q;f[n>>2]=f[g>>2];q=g+4|0;f[p>>2]=f[q>>2];p=g+8|0;f[n+8>>2]=f[p>>2];f[p>>2]=0;f[q>>2]=0;f[g>>2]=0;f[o>>2]=(f[o>>2]|0)+16}else apc(d+16|0,g);yoc(g);o=hpc(j,c,d)|0;if((o|0)==(j|0)){k=a;break a}q=f[l>>2]|0;if(((q-(f[d>>2]|0)|0)/24|0)>>>0<2){k=a;break a}ipc(g,q+-24|0);q=f[l>>2]|0;p=q+-24|0;n=q;while(1){if((n|0)==(p|0))break;r=n+-24|0;f[l>>2]=r;xoc(r);n=f[l>>2]|0}l=b[g+11>>0]|0;n=l<<24>>24<0;Aoc(q+-48|0,n?f[g>>2]|0:g,n?f[g+4>>2]|0:l&255)|0;Ooc(g);k=o;break a}}}else k=a;while(0);u=e;return k|0}function qpc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+32|0;g=e;a:do if((c-a|0)>1?(b[a>>0]|0)==83:0){h=b[a+1>>0]|0;i=a+2|0;j=d+16|0;switch(h|0){case 97:{kqc(g,524641);k=d+4|0;l=f[k>>2]|0;if(l>>>0<(f[d+8>>2]|0)>>>0){npc(l,g);f[k>>2]=(f[k>>2]|0)+24}else opc(d,g);xoc(g);m=i;break a;break}case 98:{hqc(g,524656);k=d+4|0;l=f[k>>2]|0;if(l>>>0<(f[d+8>>2]|0)>>>0){npc(l,g);f[k>>2]=(f[k>>2]|0)+24}else opc(d,g);xoc(g);m=i;break a;break}case 115:{jqc(g,524135);k=d+4|0;l=f[k>>2]|0;if(l>>>0<(f[d+8>>2]|0)>>>0){npc(l,g);f[k>>2]=(f[k>>2]|0)+24}else opc(d,g);xoc(g);m=i;break a;break}case 105:{lqc(g,524231);k=d+4|0;l=f[k>>2]|0;if(l>>>0<(f[d+8>>2]|0)>>>0){npc(l,g);f[k>>2]=(f[k>>2]|0)+24}else opc(d,g);xoc(g);m=i;break a;break}case 111:{lqc(g,524308);k=d+4|0;l=f[k>>2]|0;if(l>>>0<(f[d+8>>2]|0)>>>0){npc(l,g);f[k>>2]=(f[k>>2]|0)+24}else opc(d,g);xoc(g);m=i;break a;break}case 100:{Gqc(g,524385);k=d+4|0;l=f[k>>2]|0;if(l>>>0<(f[d+8>>2]|0)>>>0){npc(l,g);f[k>>2]=(f[k>>2]|0)+24}else opc(d,g);xoc(g);m=i;break a;break}case 95:{k=f[j>>2]|0;if((k|0)==(f[d+20>>2]|0)){m=a;break a}l=f[k+4>>2]|0;n=d+4|0;o=d+8|0;p=f[k>>2]|0;while(1){if((p|0)==(l|0)){m=i;break a}k=f[n>>2]|0;if((k|0)==(f[o>>2]|0))Yoc(d,p);else{Xoc(k,p);f[n>>2]=(f[n>>2]|0)+24}p=p+24|0}break}default:{p=(h+-48|0)>>>0<10;if(!p?(q9b(h)|0)==0:0){m=a;break a}n=i;o=(p?-48:-55)+h|0;while(1){q=n+1|0;if((n|0)==(c|0)){m=a;break a}r=b[n>>0]|0;p=r<<24>>24;l=(p+-48|0)>>>0<10;if(!l?(q9b(p)|0)==0:0)break;n=q;o=p+(o*36|0)+(l?-48:-55)|0}if(r<<24>>24!=95){m=a;break a}n=o+1|0;h=f[j>>2]|0;i=h;if(n>>>0>=(f[d+20>>2]|0)-h>>4>>>0){m=a;break a}h=f[i+(n<<4)+4>>2]|0;l=d+4|0;p=d+8|0;k=f[i+(n<<4)>>2]|0;while(1){if((k|0)==(h|0)){m=q;break a}n=f[l>>2]|0;if((n|0)==(f[p>>2]|0))Yoc(d,k);else{Xoc(n,k);f[l>>2]=(f[l>>2]|0)+24}k=k+24|0}}}}else m=a;while(0);u=e;return m|0}function rpc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+64|0;g=e+40|0;h=e+12|0;i=e+24|0;j=e;a:do if((c-a|0)>3?(b[a>>0]|0)==68:0){switch(b[a+1>>0]|0){case 84:case 116:break;default:{k=a;break a}}l=a+2|0;m=upc(l,c,d)|0;if((!((m|0)==(l|0)|(m|0)==(c|0))?(b[m>>0]|0)==69:0)?(l=d+4|0,n=f[l>>2]|0,(f[d>>2]|0)!=(n|0)):0){ipc(j,n+-24|0);Voc(j,0,524631)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];n=0;while(1){if((n|0)==3)break;f[j+(n<<2)>>2]=0;n=n+1|0}Woc(i,523313)|0;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];n=0;while(1){if((n|0)==3)break;f[i+(n<<2)>>2]=0;n=n+1|0}lpc(g,h);mpc((f[l>>2]|0)+-24|0,g);xoc(g);Ooc(h);Ooc(i);Ooc(j);k=m+1|0}else k=a}else k=a;while(0);u=e;return k|0}function spc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=u;u=u+80|0;g=e+60|0;h=e+24|0;i=e+12|0;j=e;k=e+48|0;a:do if(((c-a|0)>3?(b[a>>0]|0)==68:0)?(b[a+1>>0]|0)==118:0){l=a+2|0;m=b[l>>0]|0;if((m+-49&255)>=9){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;n=0;while(1){if((n|0)==3)break;f[h+(n<<2)>>2]=0;n=n+1|0}b:do if(m<<24>>24!=95?(n=upc(l,c,d)|0,(n|0)!=(l|0)):0){o=d+4|0;p=f[o>>2]|0;if((f[d>>2]|0)!=(p|0)){ipc(i,p+-24|0);p=h+11|0;if((b[p>>0]|0)<0){q=f[h>>2]|0;b[g>>0]=0;Gcc(q,g);f[h+4>>2]=0}else{b[g>>0]=0;Gcc(h,g);b[p>>0]=0}vpc(h);f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];p=0;while(1){if((p|0)==3)break;f[i+(p<<2)>>2]=0;p=p+1|0}Ooc(i);p=f[o>>2]|0;q=p+-24|0;r=p;while(1){if((r|0)==(q|0)){s=n;t=53;break b}p=r+-24|0;f[o>>2]=p;xoc(p);r=f[o>>2]|0}}}else{s=l;t=53}while(0);do if((t|0)==53){if((((s|0)!=(c|0)?(b[s>>0]|0)==95:0)?(m=s+1|0,(m|0)!=(c|0)):0)?(o=Soc(m,c,d)|0,(o|0)!=(m|0)):0){m=d+4|0;if((f[d>>2]|0)==(f[m>>2]|0))break;wpc(i,523353,h);Woc(i,523362)|0;f[g>>2]=f[i>>2];f[g+4>>2]=f[i+4>>2];f[g+8>>2]=f[i+8>>2];r=0;while(1){if((r|0)==3)break;f[i+(r<<2)>>2]=0;r=r+1|0}r=b[g+11>>0]|0;n=r<<24>>24<0;Aoc((f[m>>2]|0)+-24|0,n?f[g>>2]|0:g,n?f[g+4>>2]|0:r&255)|0;Ooc(g);Ooc(i);v=o}else v=a;Ooc(h);w=v;break a}while(0);Ooc(h);w=a;break}r=tpc(l,c)|0;if(((r|0)!=(c|0)?(b[r>>0]|0)==95:0)?(n=r-l|0,q=r+1|0,(q|0)!=(c|0)):0){if((b[q>>0]|0)!=112){p=Soc(q,c,d)|0;if((p|0)==(q|0)){w=a;break}q=d+4|0;if((f[d>>2]|0)==(f[q>>2]|0)){w=a;break};f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;if(n>>>0>4294967279)Lmc(j);if(n>>>0<11){b[j+11>>0]=n;x=j}else{y=n+16&-16;z=Loc(y)|0;f[j>>2]=z;f[j+8>>2]=y|-2147483648;f[j+4>>2]=n;x=z}Mbc(x,l,n)|0;b[g>>0]=0;Gcc(x+n|0,g);Voc(j,0,523353)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];z=0;while(1){if((z|0)==3)break;f[j+(z<<2)>>2]=0;z=z+1|0}Woc(i,523362)|0;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];z=0;while(1){if((z|0)==3)break;f[i+(z<<2)>>2]=0;z=z+1|0}z=b[h+11>>0]|0;y=z<<24>>24<0;Aoc((f[q>>2]|0)+-24|0,y?f[h>>2]|0:h,y?f[h+4>>2]|0:z&255)|0;Ooc(h);Ooc(i);Ooc(j);w=p;break}z=r+2|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;if(n>>>0>4294967279)Lmc(j);if(n>>>0<11){b[j+11>>0]=n;A=j}else{y=n+16&-16;B=Loc(y)|0;f[j>>2]=B;f[j+8>>2]=y|-2147483648;f[j+4>>2]=n;A=B}Mbc(A,l,n)|0;b[g>>0]=0;Gcc(A+n|0,g);Voc(j,0,523364)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];B=0;while(1){if((B|0)==3)break;f[j+(B<<2)>>2]=0;B=B+1|0}Woc(i,523362)|0;f[k>>2]=f[i>>2];f[k+4>>2]=f[i+4>>2];f[k+8>>2]=f[i+8>>2];B=0;while(1){if((B|0)==3)break;f[i+(B<<2)>>2]=0;B=B+1|0}lpc(h,k);B=d+4|0;n=f[B>>2]|0;if(n>>>0<(f[d+8>>2]|0)>>>0){npc(n,h);f[B>>2]=(f[B>>2]|0)+24}else opc(d,h);xoc(h);Ooc(k);Ooc(i);Ooc(j);w=z}else w=a}else w=a;while(0);u=e;return w|0}function tpc(a,c){a=a|0;c=c|0;var d=0,e=0,f=0,g=0;a:do if((a|0)!=(c|0)?(d=(b[a>>0]|0)==110?a+1|0:a,(d|0)!=(c|0)):0){e=b[d>>0]|0;f=d+1|0;if(e<<24>>24!=48)if((e+-49&255)<9){e=f;while(1){if((e|0)==(c|0)){g=c;break a}if(((b[e>>0]|0)+-48|0)>>>0>=10){g=e;break a}e=e+1|0}}else g=a;else g=f}else g=a;while(0);return g|0}function upc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0;e=u;u=u+208|0;g=e+176|0;h=e+112|0;i=e+88|0;j=e+64|0;k=e+48|0;l=e+160|0;m=e+36|0;n=e+148|0;o=e+136|0;p=e+124|0;q=e+24|0;r=e+12|0;s=e;t=c;v=t-a|0;a:do if((v|0)>1){w=a+2|0;if((v|0)>3?(b[a>>0]|0)==103:0){x=(b[a+1>>0]|0)==115;y=x?w:a;z=x}else{y=a;z=0}x=y+1|0;A=a+3|0;B=(w|0)!=(c|0);C=y+2|0;do switch(b[y>>0]|0){case 76:{D=xpc(a,c,d)|0;break a;break}case 84:{D=gpc(a,c,d)|0;break a;break}case 102:{D=ypc(a,c,d)|0;break a;break}case 97:{switch(b[x>>0]|0){case 97:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;E=Fcc(523317)|0;if(E>>>0>4294967279)Lmc(h);if(E>>>0<11){b[h+11>>0]=E;F=h}else{G=E+16&-16;H=Loc(G)|0;f[h>>2]=H;f[h+8>>2]=G|-2147483648;f[h+4>>2]=E;F=H}Mbc(F,523317,E)|0;b[g>>0]=0;Gcc(F+E|0,g);E=zpc(w,c,h,d)|0;Ooc(h);D=(E|0)==(w|0)?a:E;break a;break}case 100:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;E=Fcc(523335)|0;if(E>>>0>4294967279)Lmc(h);if(E>>>0<11){b[h+11>>0]=E;I=h}else{H=E+16&-16;G=Loc(H)|0;f[h>>2]=G;f[h+8>>2]=H|-2147483648;f[h+4>>2]=E;I=G}Mbc(I,523335,E)|0;b[g>>0]=0;Gcc(I+E|0,g);E=Apc(w,c,h,d)|0;Ooc(h);D=(E|0)==(w|0)?a:E;break a;break}case 110:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;E=Fcc(523335)|0;if(E>>>0>4294967279)Lmc(h);if(E>>>0<11){b[h+11>>0]=E;J=h}else{G=E+16&-16;H=Loc(G)|0;f[h>>2]=H;f[h+8>>2]=G|-2147483648;f[h+4>>2]=E;J=H}Mbc(J,523335,E)|0;b[g>>0]=0;Gcc(J+E|0,g);E=zpc(w,c,h,d)|0;Ooc(h);D=(E|0)==(w|0)?a:E;break a;break}case 78:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;E=Fcc(523378)|0;if(E>>>0>4294967279)Lmc(h);if(E>>>0<11){b[h+11>>0]=E;K=h}else{H=E+16&-16;G=Loc(H)|0;f[h>>2]=G;f[h+8>>2]=H|-2147483648;f[h+4>>2]=E;K=G}Mbc(K,523378,E)|0;b[g>>0]=0;Gcc(K+E|0,g);E=zpc(w,c,h,d)|0;Ooc(h);D=(E|0)==(w|0)?a:E;break a;break}case 83:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;E=Fcc(523381)|0;if(E>>>0>4294967279)Lmc(h);if(E>>>0<11){b[h+11>>0]=E;L=h}else{G=E+16&-16;H=Loc(G)|0;f[h>>2]=H;f[h+8>>2]=G|-2147483648;f[h+4>>2]=E;L=H}Mbc(L,523381,E)|0;b[g>>0]=0;Gcc(L+E|0,g);E=zpc(w,c,h,d)|0;Ooc(h);D=(E|0)==(w|0)?a:E;break a;break}case 116:{D=Bpc(a,c,d)|0;break a;break}case 122:{D=Cpc(a,c,d)|0;break a;break}default:{D=a;break a}}break}case 99:{switch(b[x>>0]|0){case 99:{D=Dpc(a,c,d)|0;break a;break}case 108:{D=Epc(a,c,d)|0;break a;break}case 109:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;E=Fcc(523383)|0;if(E>>>0>4294967279)Lmc(h);if(E>>>0<11){b[h+11>>0]=E;M=h}else{H=E+16&-16;G=Loc(H)|0;f[h>>2]=G;f[h+8>>2]=H|-2147483648;f[h+4>>2]=E;M=G}Mbc(M,523383,E)|0;b[g>>0]=0;Gcc(M+E|0,g);E=zpc(w,c,h,d)|0;Ooc(h);D=(E|0)==(w|0)?a:E;break a;break}case 111:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;E=Fcc(523385)|0;if(E>>>0>4294967279)Lmc(h);if(E>>>0<11){b[h+11>>0]=E;N=h}else{G=E+16&-16;H=Loc(G)|0;f[h>>2]=H;f[h+8>>2]=G|-2147483648;f[h+4>>2]=E;N=H}Mbc(N,523385,E)|0;b[g>>0]=0;Gcc(N+E|0,g);E=Apc(w,c,h,d)|0;Ooc(h);D=(E|0)==(w|0)?a:E;break a;break}case 118:{D=Fpc(a,c,d)|0;break a;break}default:{D=a;break a}}break}case 100:{switch(b[x>>0]|0){case 97:{E=upc(C,c,d)|0;if((E|0)==(C|0)){D=a;break a}H=d+4|0;if((f[d>>2]|0)==(f[H>>2]|0)){D=a;break a};f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;b:do if(z){G=Fcc(523387)|0;if(G>>>0>4294967279)Lmc(j);if(G>>>0<11){b[j+11>>0]=G;O=j}else{P=G+16&-16;Q=Loc(P)|0;f[j>>2]=Q;f[j+8>>2]=P|-2147483648;f[j+4>>2]=G;O=Q}Mbc(O,523387,G)|0;b[g>>0]=0;Gcc(O+G|0,g)}else{G=0;while(1){if((G|0)==3)break b;f[j+(G<<2)>>2]=0;G=G+1|0}}while(0);Woc(j,523390)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];G=0;while(1){if((G|0)==3)break;f[j+(G<<2)>>2]=0;G=G+1|0}ipc(k,(f[H>>2]|0)+-24|0);G=b[k+11>>0]|0;Q=G<<24>>24<0;Aoc(i,Q?f[k>>2]|0:k,Q?f[k+4>>2]|0:G&255)|0;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];G=0;while(1){if((G|0)==3)break;f[i+(G<<2)>>2]=0;G=G+1|0}G=f[H>>2]|0;Q=G+-24|0;P=Q+11|0;if((b[P>>0]|0)<0){R=f[Q>>2]|0;b[g>>0]=0;Gcc(R,g);f[G+-20>>2]=0}else{b[g>>0]=0;Gcc(Q,g);b[P>>0]=0}vpc(Q);f[Q>>2]=f[h>>2];f[Q+4>>2]=f[h+4>>2];f[Q+8>>2]=f[h+8>>2];Q=0;while(1){if((Q|0)==3)break;f[h+(Q<<2)>>2]=0;Q=Q+1|0}Ooc(h);Ooc(k);Ooc(i);Ooc(j);D=E;break a;break}case 99:{D=Gpc(a,c,d)|0;break a;break}case 101:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Q=Fcc(523333)|0;if(Q>>>0>4294967279)Lmc(h);if(Q>>>0<11){b[h+11>>0]=Q;S=h}else{H=Q+16&-16;P=Loc(H)|0;f[h>>2]=P;f[h+8>>2]=H|-2147483648;f[h+4>>2]=Q;S=P}Mbc(S,523333,Q)|0;b[g>>0]=0;Gcc(S+Q|0,g);Q=Apc(w,c,h,d)|0;Ooc(h);D=(Q|0)==(w|0)?a:Q;break a;break}case 108:{Q=upc(C,c,d)|0;if((Q|0)==(C|0)){D=a;break a}P=d+4|0;if((f[d>>2]|0)==(f[P>>2]|0)){D=a;break a};f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;c:do if(z){H=Fcc(523387)|0;if(H>>>0>4294967279)Lmc(j);if(H>>>0<11){b[j+11>>0]=H;T=j}else{G=H+16&-16;R=Loc(G)|0;f[j>>2]=R;f[j+8>>2]=G|-2147483648;f[j+4>>2]=H;T=R}Mbc(T,523387,H)|0;b[g>>0]=0;Gcc(T+H|0,g)}else{H=0;while(1){if((H|0)==3)break c;f[j+(H<<2)>>2]=0;H=H+1|0}}while(0);Woc(j,523400)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];E=0;while(1){if((E|0)==3)break;f[j+(E<<2)>>2]=0;E=E+1|0}ipc(k,(f[P>>2]|0)+-24|0);E=b[k+11>>0]|0;H=E<<24>>24<0;Aoc(i,H?f[k>>2]|0:k,H?f[k+4>>2]|0:E&255)|0;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];E=0;while(1){if((E|0)==3)break;f[i+(E<<2)>>2]=0;E=E+1|0}E=f[P>>2]|0;H=E+-24|0;R=H+11|0;if((b[R>>0]|0)<0){G=f[H>>2]|0;b[g>>0]=0;Gcc(G,g);f[E+-20>>2]=0}else{b[g>>0]=0;Gcc(H,g);b[R>>0]=0}vpc(H);f[H>>2]=f[h>>2];f[H+4>>2]=f[h+4>>2];f[H+8>>2]=f[h+8>>2];H=0;while(1){if((H|0)==3)break;f[h+(H<<2)>>2]=0;H=H+1|0}Ooc(h);Ooc(k);Ooc(i);Ooc(j);D=Q;break a;break}case 110:{D=Hpc(a,c,d)|0;break a;break}case 115:{D=Ipc(a,c,d)|0;break a;break}case 116:{D=Jpc(a,c,d)|0;break a;break}case 118:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;H=Fcc(523408)|0;if(H>>>0>4294967279)Lmc(h);if(H>>>0<11){b[h+11>>0]=H;U=h}else{P=H+16&-16;R=Loc(P)|0;f[h>>2]=R;f[h+8>>2]=P|-2147483648;f[h+4>>2]=H;U=R}Mbc(U,523408,H)|0;b[g>>0]=0;Gcc(U+H|0,g);H=zpc(w,c,h,d)|0;Ooc(h);D=(H|0)==(w|0)?a:H;break a;break}case 86:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;H=Fcc(523410)|0;if(H>>>0>4294967279)Lmc(h);if(H>>>0<11){b[h+11>>0]=H;V=h}else{R=H+16&-16;P=Loc(R)|0;f[h>>2]=P;f[h+8>>2]=R|-2147483648;f[h+4>>2]=H;V=P}Mbc(V,523410,H)|0;b[g>>0]=0;Gcc(V+H|0,g);H=zpc(w,c,h,d)|0;Ooc(h);D=(H|0)==(w|0)?a:H;break a;break}default:{D=a;break a}}break}case 101:{switch(b[x>>0]|0){case 111:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;H=Fcc(523413)|0;if(H>>>0>4294967279)Lmc(h);if(H>>>0<11){b[h+11>>0]=H;W=h}else{P=H+16&-16;R=Loc(P)|0;f[h>>2]=R;f[h+8>>2]=P|-2147483648;f[h+4>>2]=H;W=R}Mbc(W,523413,H)|0;b[g>>0]=0;Gcc(W+H|0,g);H=zpc(w,c,h,d)|0;Ooc(h);D=(H|0)==(w|0)?a:H;break a;break}case 79:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;H=Fcc(523415)|0;if(H>>>0>4294967279)Lmc(h);if(H>>>0<11){b[h+11>>0]=H;X=h}else{R=H+16&-16;P=Loc(R)|0;f[h>>2]=P;f[h+8>>2]=R|-2147483648;f[h+4>>2]=H;X=P}Mbc(X,523415,H)|0;b[g>>0]=0;Gcc(X+H|0,g);H=zpc(w,c,h,d)|0;Ooc(h);D=(H|0)==(w|0)?a:H;break a;break}case 113:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;H=Fcc(523418)|0;if(H>>>0>4294967279)Lmc(h);if(H>>>0<11){b[h+11>>0]=H;Y=h}else{P=H+16&-16;R=Loc(P)|0;f[h>>2]=R;f[h+8>>2]=P|-2147483648;f[h+4>>2]=H;Y=R}Mbc(Y,523418,H)|0;b[g>>0]=0;Gcc(Y+H|0,g);H=zpc(w,c,h,d)|0;Ooc(h);D=(H|0)==(w|0)?a:H;break a;break}default:{D=a;break a}}break}case 103:{switch(b[x>>0]|0){case 101:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;H=Fcc(523421)|0;if(H>>>0>4294967279)Lmc(h);if(H>>>0<11){b[h+11>>0]=H;Z=h}else{R=H+16&-16;P=Loc(R)|0;f[h>>2]=P;f[h+8>>2]=R|-2147483648;f[h+4>>2]=H;Z=P}Mbc(Z,523421,H)|0;b[g>>0]=0;Gcc(Z+H|0,g);H=zpc(w,c,h,d)|0;Ooc(h);D=(H|0)==(w|0)?a:H;break a;break}case 116:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;H=Fcc(523351)|0;if(H>>>0>4294967279)Lmc(h);if(H>>>0<11){b[h+11>>0]=H;_=h}else{P=H+16&-16;R=Loc(P)|0;f[h>>2]=R;f[h+8>>2]=P|-2147483648;f[h+4>>2]=H;_=R}Mbc(_,523351,H)|0;b[g>>0]=0;Gcc(_+H|0,g);H=zpc(w,c,h,d)|0;Ooc(h);D=(H|0)==(w|0)?a:H;break a;break}default:{D=a;break a}}break}case 105:{if((b[x>>0]|0)!=120){D=a;break a}H=upc(w,c,d)|0;if((H|0)==(w|0)){D=a;break a}R=upc(H,c,d)|0;P=d+4|0;if((R|0)==(H|0)){H=f[P>>2]|0;E=H+-24|0;G=H;while(1){if((G|0)==(E|0)){D=a;break a}H=G+-24|0;f[P>>2]=H;xoc(H);G=f[P>>2]|0}}G=f[P>>2]|0;if(((G-(f[d>>2]|0)|0)/24|0)>>>0<2){D=a;break a}ipc(g,G+-24|0);G=f[P>>2]|0;E=G+-24|0;Q=G;while(1){if((Q|0)==(E|0))break;H=Q+-24|0;f[P>>2]=H;xoc(H);Q=f[P>>2]|0}ipc(h,G+-48|0);wpc(m,523315,h);Woc(m,523424)|0;f[k>>2]=f[m>>2];f[k+4>>2]=f[m+4>>2];f[k+8>>2]=f[m+8>>2];Q=0;while(1){if((Q|0)==3)break;f[m+(Q<<2)>>2]=0;Q=Q+1|0}Q=b[g+11>>0]|0;G=Q<<24>>24<0;Aoc(k,G?f[g>>2]|0:g,G?f[g+4>>2]|0:Q&255)|0;f[j>>2]=f[k>>2];f[j+4>>2]=f[k+4>>2];f[j+8>>2]=f[k+8>>2];Q=0;while(1){if((Q|0)==3)break;f[k+(Q<<2)>>2]=0;Q=Q+1|0}Woc(j,523362)|0;f[l>>2]=f[j>>2];f[l+4>>2]=f[j+4>>2];f[l+8>>2]=f[j+8>>2];Q=0;while(1){if((Q|0)==3)break;f[j+(Q<<2)>>2]=0;Q=Q+1|0}lpc(i,l);mpc((f[P>>2]|0)+-24|0,i);xoc(i);Ooc(l);Ooc(j);Ooc(k);Ooc(m);Ooc(h);Ooc(g);D=R;break a;break}case 108:{switch(b[x>>0]|0){case 101:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Q=Fcc(523427)|0;if(Q>>>0>4294967279)Lmc(h);if(Q>>>0<11){b[h+11>>0]=Q;$=h}else{G=Q+16&-16;E=Loc(G)|0;f[h>>2]=E;f[h+8>>2]=G|-2147483648;f[h+4>>2]=Q;$=E}Mbc($,523427,Q)|0;b[g>>0]=0;Gcc($+Q|0,g);Q=zpc(w,c,h,d)|0;Ooc(h);D=(Q|0)==(w|0)?a:Q;break a;break}case 115:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Q=Fcc(523430)|0;if(Q>>>0>4294967279)Lmc(h);if(Q>>>0<11){b[h+11>>0]=Q;aa=h}else{E=Q+16&-16;G=Loc(E)|0;f[h>>2]=G;f[h+8>>2]=E|-2147483648;f[h+4>>2]=Q;aa=G}Mbc(aa,523430,Q)|0;b[g>>0]=0;Gcc(aa+Q|0,g);Q=zpc(w,c,h,d)|0;Ooc(h);D=(Q|0)==(w|0)?a:Q;break a;break}case 83:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Q=Fcc(523433)|0;if(Q>>>0>4294967279)Lmc(h);if(Q>>>0<11){b[h+11>>0]=Q;ba=h}else{G=Q+16&-16;E=Loc(G)|0;f[h>>2]=E;f[h+8>>2]=G|-2147483648;f[h+4>>2]=Q;ba=E}Mbc(ba,523433,Q)|0;b[g>>0]=0;Gcc(ba+Q|0,g);Q=zpc(w,c,h,d)|0;Ooc(h);D=(Q|0)==(w|0)?a:Q;break a;break}case 116:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Q=Fcc(523349)|0;if(Q>>>0>4294967279)Lmc(h);if(Q>>>0<11){b[h+11>>0]=Q;ca=h}else{E=Q+16&-16;G=Loc(E)|0;f[h>>2]=G;f[h+8>>2]=E|-2147483648;f[h+4>>2]=Q;ca=G}Mbc(ca,523349,Q)|0;b[g>>0]=0;Gcc(ca+Q|0,g);Q=zpc(w,c,h,d)|0;Ooc(h);D=(Q|0)==(w|0)?a:Q;break a;break}default:{D=a;break a}}break}case 109:{switch(b[x>>0]|0){case 105:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Q=Fcc(523437)|0;if(Q>>>0>4294967279)Lmc(h);if(Q>>>0<11){b[h+11>>0]=Q;da=h}else{G=Q+16&-16;E=Loc(G)|0;f[h>>2]=E;f[h+8>>2]=G|-2147483648;f[h+4>>2]=Q;da=E}Mbc(da,523437,Q)|0;b[g>>0]=0;Gcc(da+Q|0,g);Q=zpc(w,c,h,d)|0;Ooc(h);D=(Q|0)==(w|0)?a:Q;break a;break}case 73:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Q=Fcc(523439)|0;if(Q>>>0>4294967279)Lmc(h);if(Q>>>0<11){b[h+11>>0]=Q;ea=h}else{E=Q+16&-16;G=Loc(E)|0;f[h>>2]=G;f[h+8>>2]=E|-2147483648;f[h+4>>2]=Q;ea=G}Mbc(ea,523439,Q)|0;b[g>>0]=0;Gcc(ea+Q|0,g);Q=zpc(w,c,h,d)|0;Ooc(h);D=(Q|0)==(w|0)?a:Q;break a;break}case 108:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Q=Fcc(523333)|0;if(Q>>>0>4294967279)Lmc(h);if(Q>>>0<11){b[h+11>>0]=Q;fa=h}else{G=Q+16&-16;E=Loc(G)|0;f[h>>2]=E;f[h+8>>2]=G|-2147483648;f[h+4>>2]=Q;fa=E}Mbc(fa,523333,Q)|0;b[g>>0]=0;Gcc(fa+Q|0,g);Q=zpc(w,c,h,d)|0;Ooc(h);D=(Q|0)==(w|0)?a:Q;break a;break}case 76:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Q=Fcc(523442)|0;if(Q>>>0>4294967279)Lmc(h);if(Q>>>0<11){b[h+11>>0]=Q;ga=h}else{E=Q+16&-16;G=Loc(E)|0;f[h>>2]=G;f[h+8>>2]=E|-2147483648;f[h+4>>2]=Q;ga=G}Mbc(ga,523442,Q)|0;b[g>>0]=0;Gcc(ga+Q|0,g);Q=zpc(w,c,h,d)|0;Ooc(h);D=(Q|0)==(w|0)?a:Q;break a;break}case 109:{if(B?(b[w>>0]|0)==95:0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;Q=Fcc(523445)|0;if(Q>>>0>4294967279)Lmc(h);if(Q>>>0<11){b[h+11>>0]=Q;ha=h}else{G=Q+16&-16;E=Loc(G)|0;f[h>>2]=E;f[h+8>>2]=G|-2147483648;f[h+4>>2]=Q;ha=E}Mbc(ha,523445,Q)|0;b[g>>0]=0;Gcc(ha+Q|0,g);Q=Apc(A,c,h,d)|0;Ooc(h);D=(Q|0)==(A|0)?a:Q;break a}Q=upc(w,c,d)|0;if((Q|0)==(w|0)){D=a;break a}E=d+4|0;G=f[E>>2]|0;if((f[d>>2]|0)==(G|0)){D=a;break a}ipc(i,G+-24|0);Voc(i,0,523315)|0;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];G=0;while(1){if((G|0)==3)break;f[i+(G<<2)>>2]=0;G=G+1|0}Woc(h,523448)|0;f[n>>2]=f[h>>2];f[n+4>>2]=f[h+4>>2];f[n+8>>2]=f[h+8>>2];G=0;while(1){if((G|0)==3)break;f[h+(G<<2)>>2]=0;G=G+1|0}lpc(g,n);mpc((f[E>>2]|0)+-24|0,g);xoc(g);Ooc(n);Ooc(h);Ooc(i);D=Q;break a;break}default:{D=a;break a}}break}case 110:{switch(b[x>>0]|0){case 119:case 97:{D=Kpc(a,c,d)|0;break a;break}case 101:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;G=Fcc(523452)|0;if(G>>>0>4294967279)Lmc(h);if(G>>>0<11){b[h+11>>0]=G;ia=h}else{R=G+16&-16;P=Loc(R)|0;f[h>>2]=P;f[h+8>>2]=R|-2147483648;f[h+4>>2]=G;ia=P}Mbc(ia,523452,G)|0;b[g>>0]=0;Gcc(ia+G|0,g);G=zpc(w,c,h,d)|0;Ooc(h);D=(G|0)==(w|0)?a:G;break a;break}case 103:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;G=Fcc(523437)|0;if(G>>>0>4294967279)Lmc(h);if(G>>>0<11){b[h+11>>0]=G;ja=h}else{P=G+16&-16;R=Loc(P)|0;f[h>>2]=R;f[h+8>>2]=P|-2147483648;f[h+4>>2]=G;ja=R}Mbc(ja,523437,G)|0;b[g>>0]=0;Gcc(ja+G|0,g);G=Apc(w,c,h,d)|0;Ooc(h);D=(G|0)==(w|0)?a:G;break a;break}case 116:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;G=Fcc(523455)|0;if(G>>>0>4294967279)Lmc(h);if(G>>>0<11){b[h+11>>0]=G;ka=h}else{R=G+16&-16;P=Loc(R)|0;f[h>>2]=P;f[h+8>>2]=R|-2147483648;f[h+4>>2]=G;ka=P}Mbc(ka,523455,G)|0;b[g>>0]=0;Gcc(ka+G|0,g);G=Apc(w,c,h,d)|0;Ooc(h);D=(G|0)==(w|0)?a:G;break a;break}case 120:{G=Lpc(w,c,d)|0;D=(G|0)==(w|0)?a:G;break a;break}default:{D=a;break a}}break}case 111:{switch(b[x>>0]|0){case 110:{D=Hpc(a,c,d)|0;break a;break}case 111:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;G=Fcc(523457)|0;if(G>>>0>4294967279)Lmc(h);if(G>>>0<11){b[h+11>>0]=G;la=h}else{P=G+16&-16;R=Loc(P)|0;f[h>>2]=R;f[h+8>>2]=P|-2147483648;f[h+4>>2]=G;la=R}Mbc(la,523457,G)|0;b[g>>0]=0;Gcc(la+G|0,g);G=zpc(w,c,h,d)|0;Ooc(h);D=(G|0)==(w|0)?a:G;break a;break}case 114:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;G=Fcc(523460)|0;if(G>>>0>4294967279)Lmc(h);if(G>>>0<11){b[h+11>>0]=G;ma=h}else{R=G+16&-16;P=Loc(R)|0;f[h>>2]=P;f[h+8>>2]=R|-2147483648;f[h+4>>2]=G;ma=P}Mbc(ma,523460,G)|0;b[g>>0]=0;Gcc(ma+G|0,g);G=zpc(w,c,h,d)|0;Ooc(h);D=(G|0)==(w|0)?a:G;break a;break}case 82:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;G=Fcc(523462)|0;if(G>>>0>4294967279)Lmc(h);if(G>>>0<11){b[h+11>>0]=G;na=h}else{P=G+16&-16;R=Loc(P)|0;f[h>>2]=R;f[h+8>>2]=P|-2147483648;f[h+4>>2]=G;na=R}Mbc(na,523462,G)|0;b[g>>0]=0;Gcc(na+G|0,g);G=zpc(w,c,h,d)|0;Ooc(h);D=(G|0)==(w|0)?a:G;break a;break}default:{D=a;break a}}break}case 112:{switch(b[x>>0]|0){case 109:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;G=Fcc(523465)|0;if(G>>>0>4294967279)Lmc(h);if(G>>>0<11){b[h+11>>0]=G;oa=h}else{R=G+16&-16;P=Loc(R)|0;f[h>>2]=P;f[h+8>>2]=R|-2147483648;f[h+4>>2]=G;oa=P}Mbc(oa,523465,G)|0;b[g>>0]=0;Gcc(oa+G|0,g);G=zpc(w,c,h,d)|0;Ooc(h);D=(G|0)==(w|0)?a:G;break a;break}case 108:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;G=Fcc(523469)|0;if(G>>>0>4294967279)Lmc(h);if(G>>>0<11){b[h+11>>0]=G;pa=h}else{P=G+16&-16;R=Loc(P)|0;f[h>>2]=R;f[h+8>>2]=P|-2147483648;f[h+4>>2]=G;pa=R}Mbc(pa,523469,G)|0;b[g>>0]=0;Gcc(pa+G|0,g);G=zpc(w,c,h,d)|0;Ooc(h);D=(G|0)==(w|0)?a:G;break a;break}case 76:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;G=Fcc(523471)|0;if(G>>>0>4294967279)Lmc(h);if(G>>>0<11){b[h+11>>0]=G;qa=h}else{R=G+16&-16;P=Loc(R)|0;f[h>>2]=P;f[h+8>>2]=R|-2147483648;f[h+4>>2]=G;qa=P}Mbc(qa,523471,G)|0;b[g>>0]=0;Gcc(qa+G|0,g);G=zpc(w,c,h,d)|0;Ooc(h);D=(G|0)==(w|0)?a:G;break a;break}case 112:{if(B?(b[w>>0]|0)==95:0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;G=Fcc(523474)|0;if(G>>>0>4294967279)Lmc(h);if(G>>>0<11){b[h+11>>0]=G;ra=h}else{P=G+16&-16;R=Loc(P)|0;f[h>>2]=R;f[h+8>>2]=P|-2147483648;f[h+4>>2]=G;ra=R}Mbc(ra,523474,G)|0;b[g>>0]=0;Gcc(ra+G|0,g);G=Apc(A,c,h,d)|0;Ooc(h);D=(G|0)==(A|0)?a:G;break a}G=upc(w,c,d)|0;if((G|0)==(w|0)){D=a;break a}R=d+4|0;P=f[R>>2]|0;if((f[d>>2]|0)==(P|0)){D=a;break a}ipc(i,P+-24|0);Voc(i,0,523315)|0;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];P=0;while(1){if((P|0)==3)break;f[i+(P<<2)>>2]=0;P=P+1|0}Woc(h,523477)|0;f[o>>2]=f[h>>2];f[o+4>>2]=f[h+4>>2];f[o+8>>2]=f[h+8>>2];P=0;while(1){if((P|0)==3)break;f[h+(P<<2)>>2]=0;P=P+1|0}lpc(g,o);mpc((f[R>>2]|0)+-24|0,g);xoc(g);Ooc(o);Ooc(h);Ooc(i);D=G;break a;break}case 115:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;P=Fcc(523469)|0;if(P>>>0>4294967279)Lmc(h);if(P>>>0<11){b[h+11>>0]=P;sa=h}else{Q=P+16&-16;E=Loc(Q)|0;f[h>>2]=E;f[h+8>>2]=Q|-2147483648;f[h+4>>2]=P;sa=E}Mbc(sa,523469,P)|0;b[g>>0]=0;Gcc(sa+P|0,g);P=Apc(w,c,h,d)|0;Ooc(h);D=(P|0)==(w|0)?a:P;break a;break}case 116:{D=Mpc(a,c,d)|0;break a;break}default:{D=a;break a}}break}case 113:{if((b[x>>0]|0)!=117){D=a;break a}P=upc(w,c,d)|0;if((P|0)==(w|0)){D=a;break a}E=upc(P,c,d)|0;if((E|0)==(P|0)){P=d+4|0;Q=f[P>>2]|0;H=Q+-24|0;ta=Q;while(1){if((ta|0)==(H|0)){D=a;break a}Q=ta+-24|0;f[P>>2]=Q;xoc(Q);ta=f[P>>2]|0}}P=upc(E,c,d)|0;ta=d+4|0;if((P|0)==(E|0)){H=f[ta>>2]|0;G=H+-24|0;R=H;while(1){if((R|0)==(G|0))break;Q=R+-24|0;f[ta>>2]=Q;xoc(Q);R=f[ta>>2]|0}R=H+-48|0;E=G;while(1){if((E|0)==(R|0)){D=a;break a}Q=E+-24|0;f[ta>>2]=Q;xoc(Q);E=f[ta>>2]|0}}E=f[ta>>2]|0;if(((E-(f[d>>2]|0)|0)/24|0)>>>0<3){D=a;break a}ipc(g,E+-24|0);E=f[ta>>2]|0;R=E+-24|0;G=E;while(1){if((G|0)==(R|0))break;H=G+-24|0;f[ta>>2]=H;xoc(H);G=f[ta>>2]|0}ipc(h,E+-48|0);G=f[ta>>2]|0;R=G+-24|0;H=G;while(1){if((H|0)==(R|0))break;Q=H+-24|0;f[ta>>2]=Q;xoc(Q);H=f[ta>>2]|0}ipc(i,G+-48|0);wpc(s,523315,i);Woc(s,523481)|0;f[r>>2]=f[s>>2];f[r+4>>2]=f[s+4>>2];f[r+8>>2]=f[s+8>>2];H=0;while(1){if((H|0)==3)break;f[s+(H<<2)>>2]=0;H=H+1|0}H=b[h+11>>0]|0;G=H<<24>>24<0;Aoc(r,G?f[h>>2]|0:h,G?f[h+4>>2]|0:H&255)|0;f[q>>2]=f[r>>2];f[q+4>>2]=f[r+4>>2];f[q+8>>2]=f[r+8>>2];H=0;while(1){if((H|0)==3)break;f[r+(H<<2)>>2]=0;H=H+1|0}Woc(q,523487)|0;f[m>>2]=f[q>>2];f[m+4>>2]=f[q+4>>2];f[m+8>>2]=f[q+8>>2];H=0;while(1){if((H|0)==3)break;f[q+(H<<2)>>2]=0;H=H+1|0}H=b[g+11>>0]|0;G=H<<24>>24<0;Aoc(m,G?f[g>>2]|0:g,G?f[g+4>>2]|0:H&255)|0;f[k>>2]=f[m>>2];f[k+4>>2]=f[m+4>>2];f[k+8>>2]=f[m+8>>2];H=0;while(1){if((H|0)==3)break;f[m+(H<<2)>>2]=0;H=H+1|0}Woc(k,523313)|0;f[p>>2]=f[k>>2];f[p+4>>2]=f[k+4>>2];f[p+8>>2]=f[k+8>>2];H=0;while(1){if((H|0)==3)break;f[k+(H<<2)>>2]=0;H=H+1|0}lpc(j,p);mpc((f[ta>>2]|0)+-24|0,j);xoc(j);Ooc(p);Ooc(k);Ooc(m);Ooc(q);Ooc(r);Ooc(s);Ooc(i);Ooc(h);Ooc(g);D=P;break a;break}case 114:{switch(b[x>>0]|0){case 99:{D=Npc(a,c,d)|0;break a;break}case 109:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;H=Fcc(523493)|0;if(H>>>0>4294967279)Lmc(h);if(H>>>0<11){b[h+11>>0]=H;ua=h}else{G=H+16&-16;R=Loc(G)|0;f[h>>2]=R;f[h+8>>2]=G|-2147483648;f[h+4>>2]=H;ua=R}Mbc(ua,523493,H)|0;b[g>>0]=0;Gcc(ua+H|0,g);H=zpc(w,c,h,d)|0;Ooc(h);D=(H|0)==(w|0)?a:H;break a;break}case 77:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;H=Fcc(523495)|0;if(H>>>0>4294967279)Lmc(h);if(H>>>0<11){b[h+11>>0]=H;va=h}else{R=H+16&-16;G=Loc(R)|0;f[h>>2]=G;f[h+8>>2]=R|-2147483648;f[h+4>>2]=H;va=G}Mbc(va,523495,H)|0;b[g>>0]=0;Gcc(va+H|0,g);H=zpc(w,c,h,d)|0;Ooc(h);D=(H|0)==(w|0)?a:H;break a;break}case 115:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;H=Fcc(523498)|0;if(H>>>0>4294967279)Lmc(h);if(H>>>0<11){b[h+11>>0]=H;wa=h}else{G=H+16&-16;R=Loc(G)|0;f[h>>2]=R;f[h+8>>2]=G|-2147483648;f[h+4>>2]=H;wa=R}Mbc(wa,523498,H)|0;b[g>>0]=0;Gcc(wa+H|0,g);H=zpc(w,c,h,d)|0;Ooc(h);D=(H|0)==(w|0)?a:H;break a;break}case 83:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;H=Fcc(523501)|0;if(H>>>0>4294967279)Lmc(h);if(H>>>0<11){b[h+11>>0]=H;xa=h}else{R=H+16&-16;G=Loc(R)|0;f[h>>2]=G;f[h+8>>2]=R|-2147483648;f[h+4>>2]=H;xa=G}Mbc(xa,523501,H)|0;b[g>>0]=0;Gcc(xa+H|0,g);H=zpc(w,c,h,d)|0;Ooc(h);D=(H|0)==(w|0)?a:H;break a;break}default:{D=a;break a}}break}case 115:{switch(b[x>>0]|0){case 99:{D=Opc(a,c,d)|0;break a;break}case 112:{D=Ppc(a,c,d)|0;break a;break}case 114:{D=Hpc(a,c,d)|0;break a;break}case 116:{D=Qpc(a,c,d)|0;break a;break}case 122:{D=Rpc(a,c,d)|0;break a;break}case 90:{if((t-y|0)<=2){D=a;break a}switch(b[C>>0]|0){case 84:{D=Spc(a,c,d)|0;break a;break}case 102:{D=Tpc(a,c,d)|0;break a;break}default:{D=a;break a}}break}default:{D=a;break a}}break}case 116:{switch(b[x>>0]|0){case 105:case 101:{D=Upc(a,c,d)|0;break a;break}case 114:{Vpc(g,523505);H=d+4|0;G=f[H>>2]|0;if(G>>>0<(f[d+8>>2]|0)>>>0){npc(G,g);f[H>>2]=(f[H>>2]|0)+24}else opc(d,g);xoc(g);D=w;break a;break}case 119:{D=Wpc(a,c,d)|0;break a;break}default:{D=a;break a}}break}case 57:case 56:case 55:case 54:case 53:case 52:case 51:case 50:case 49:{D=Hpc(a,c,d)|0;break a;break}default:{D=a;break a}}while(0)}else D=a;while(0);u=e;return D|0}function vpc(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;c=a+11|0;d=b[c>>0]|0;if(d<<24>>24<0){e=f[a+4>>2]|0;g=(f[a+8>>2]&2147483647)+-1|0}else{e=d&255;g=10}h=e>>>0<11;i=h?10:(e+16&-16)+-1|0;a:do if((i|0)!=(g|0)){do if(h){j=f[a>>2]|0;if(d<<24>>24<0){k=0;l=j;m=a;n=12}else{Mbc(a,j,(d&255)+1|0)|0;Moc(j);n=14}}else{j=Loc(i+1|0)|0;if(i>>>0<=g>>>0&(j|0)==0)break a;o=b[c>>0]|0;if(o<<24>>24<0){k=1;l=f[a>>2]|0;m=j;n=12;break}else{Mbc(j,a,(o&255)+1|0)|0;p=j;n=13;break}}while(0);if((n|0)==12){Mbc(m,l,(f[a+4>>2]|0)+1|0)|0;Moc(l);if(k){p=m;n=13}else n=14}if((n|0)==13){f[a+8>>2]=i+1|-2147483648;f[a+4>>2]=e;f[a>>2]=p;break}else if((n|0)==14){b[c>>0]=e;break}}while(0);return}function wpc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;h=0;while(1){if((h|0)==3)break;f[a+(h<<2)>>2]=0;h=h+1|0}h=Fcc(c)|0;i=d+11|0;j=b[i>>0]|0;k=j<<24>>24<0?f[d+4>>2]|0:j&255;j=k+h|0;if(j>>>0>4294967279)Lmc(a);if(j>>>0<11){b[a+11>>0]=h;l=a}else{m=j+16&-16;j=Loc(m)|0;f[a>>2]=j;f[a+8>>2]=m|-2147483648;f[a+4>>2]=h;l=j}Mbc(l,c,h)|0;b[g>>0]=0;Gcc(l+h|0,g);Aoc(a,(b[i>>0]|0)<0?f[d>>2]|0:d,k)|0;u=e;return}function xpc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;e=u;u=u+112|0;g=e+88|0;h=e+48|0;i=e+72|0;j=e+36|0;k=e+24|0;l=e+12|0;m=e;a:do if((c-a|0)>3?(b[a>>0]|0)==76:0){n=a+1|0;o=a+3|0;p=a+2|0;do switch(b[n>>0]|0){case 84:{q=a;break a;break}case 119:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=Fcc(524507)|0;if(r>>>0>4294967279)Lmc(h);if(r>>>0<11){b[h+11>>0]=r;s=h}else{t=r+16&-16;v=Loc(t)|0;f[h>>2]=v;f[h+8>>2]=t|-2147483648;f[h+4>>2]=r;s=v}Mbc(s,524507,r)|0;b[g>>0]=0;Gcc(s+r|0,g);r=Bqc(p,c,h,d)|0;Ooc(h);q=(r|0)==(p|0)?a:r;break a;break}case 98:{if((b[o>>0]|0)!=69){q=a;break a}r=a+4|0;switch(b[p>>0]|0){case 48:{Vpc(g,524515);v=d+4|0;t=f[v>>2]|0;if(t>>>0<(f[d+8>>2]|0)>>>0){npc(t,g);f[v>>2]=(f[v>>2]|0)+24}else opc(d,g);xoc(g);q=r;break a;break}case 49:{Cqc(g,524521);v=d+4|0;t=f[v>>2]|0;if(t>>>0<(f[d+8>>2]|0)>>>0){npc(t,g);f[v>>2]=(f[v>>2]|0)+24}else opc(d,g);xoc(g);q=r;break a;break}default:{q=a;break a}}break}case 99:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=Fcc(524526)|0;if(r>>>0>4294967279)Lmc(h);if(r>>>0<11){b[h+11>>0]=r;w=h}else{v=r+16&-16;t=Loc(v)|0;f[h>>2]=t;f[h+8>>2]=v|-2147483648;f[h+4>>2]=r;w=t}Mbc(w,524526,r)|0;b[g>>0]=0;Gcc(w+r|0,g);r=Bqc(p,c,h,d)|0;Ooc(h);q=(r|0)==(p|0)?a:r;break a;break}case 97:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=Fcc(524531)|0;if(r>>>0>4294967279)Lmc(h);if(r>>>0<11){b[h+11>>0]=r;x=h}else{t=r+16&-16;v=Loc(t)|0;f[h>>2]=v;f[h+8>>2]=t|-2147483648;f[h+4>>2]=r;x=v}Mbc(x,524531,r)|0;b[g>>0]=0;Gcc(x+r|0,g);r=Bqc(p,c,h,d)|0;Ooc(h);q=(r|0)==(p|0)?a:r;break a;break}case 104:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=Fcc(524543)|0;if(r>>>0>4294967279)Lmc(h);if(r>>>0<11){b[h+11>>0]=r;y=h}else{v=r+16&-16;t=Loc(v)|0;f[h>>2]=t;f[h+8>>2]=v|-2147483648;f[h+4>>2]=r;y=t}Mbc(y,524543,r)|0;b[g>>0]=0;Gcc(y+r|0,g);r=Bqc(p,c,h,d)|0;Ooc(h);q=(r|0)==(p|0)?a:r;break a;break}case 115:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=Fcc(524557)|0;if(r>>>0>4294967279)Lmc(h);if(r>>>0<11){b[h+11>>0]=r;z=h}else{t=r+16&-16;v=Loc(t)|0;f[h>>2]=v;f[h+8>>2]=t|-2147483648;f[h+4>>2]=r;z=v}Mbc(z,524557,r)|0;b[g>>0]=0;Gcc(z+r|0,g);r=Bqc(p,c,h,d)|0;Ooc(h);q=(r|0)==(p|0)?a:r;break a;break}case 116:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=Fcc(524563)|0;if(r>>>0>4294967279)Lmc(h);if(r>>>0<11){b[h+11>>0]=r;A=h}else{v=r+16&-16;t=Loc(v)|0;f[h>>2]=t;f[h+8>>2]=v|-2147483648;f[h+4>>2]=r;A=t}Mbc(A,524563,r)|0;b[g>>0]=0;Gcc(A+r|0,g);r=Bqc(p,c,h,d)|0;Ooc(h);q=(r|0)==(p|0)?a:r;break a;break}case 105:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=Fcc(1163146)|0;if(r>>>0>4294967279)Lmc(h);if(r>>>0<11){b[h+11>>0]=r;B=h}else{t=r+16&-16;v=Loc(t)|0;f[h>>2]=v;f[h+8>>2]=t|-2147483648;f[h+4>>2]=r;B=v}Mbc(B,1163146,r)|0;b[g>>0]=0;Gcc(B+r|0,g);r=Bqc(p,c,h,d)|0;Ooc(h);q=(r|0)==(p|0)?a:r;break a;break}case 106:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=Fcc(524578)|0;if(r>>>0>4294967279)Lmc(h);if(r>>>0<11){b[h+11>>0]=r;C=h}else{v=r+16&-16;t=Loc(v)|0;f[h>>2]=t;f[h+8>>2]=v|-2147483648;f[h+4>>2]=r;C=t}Mbc(C,524578,r)|0;b[g>>0]=0;Gcc(C+r|0,g);r=Bqc(p,c,h,d)|0;Ooc(h);q=(r|0)==(p|0)?a:r;break a;break}case 108:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=Fcc(524580)|0;if(r>>>0>4294967279)Lmc(h);if(r>>>0<11){b[h+11>>0]=r;D=h}else{t=r+16&-16;v=Loc(t)|0;f[h>>2]=v;f[h+8>>2]=t|-2147483648;f[h+4>>2]=r;D=v}Mbc(D,524580,r)|0;b[g>>0]=0;Gcc(D+r|0,g);r=Bqc(p,c,h,d)|0;Ooc(h);q=(r|0)==(p|0)?a:r;break a;break}case 109:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=Fcc(524582)|0;if(r>>>0>4294967279)Lmc(h);if(r>>>0<11){b[h+11>>0]=r;E=h}else{v=r+16&-16;t=Loc(v)|0;f[h>>2]=t;f[h+8>>2]=v|-2147483648;f[h+4>>2]=r;E=t}Mbc(E,524582,r)|0;b[g>>0]=0;Gcc(E+r|0,g);r=Bqc(p,c,h,d)|0;Ooc(h);q=(r|0)==(p|0)?a:r;break a;break}case 120:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=Fcc(524585)|0;if(r>>>0>4294967279)Lmc(h);if(r>>>0<11){b[h+11>>0]=r;F=h}else{t=r+16&-16;v=Loc(t)|0;f[h>>2]=v;f[h+8>>2]=t|-2147483648;f[h+4>>2]=r;F=v}Mbc(F,524585,r)|0;b[g>>0]=0;Gcc(F+r|0,g);r=Bqc(p,c,h,d)|0;Ooc(h);q=(r|0)==(p|0)?a:r;break a;break}case 121:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=Fcc(524588)|0;if(r>>>0>4294967279)Lmc(h);if(r>>>0<11){b[h+11>>0]=r;G=h}else{v=r+16&-16;t=Loc(v)|0;f[h>>2]=t;f[h+8>>2]=v|-2147483648;f[h+4>>2]=r;G=t}Mbc(G,524588,r)|0;b[g>>0]=0;Gcc(G+r|0,g);r=Bqc(p,c,h,d)|0;Ooc(h);q=(r|0)==(p|0)?a:r;break a;break}case 110:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=Fcc(524592)|0;if(r>>>0>4294967279)Lmc(h);if(r>>>0<11){b[h+11>>0]=r;H=h}else{t=r+16&-16;v=Loc(t)|0;f[h>>2]=v;f[h+8>>2]=t|-2147483648;f[h+4>>2]=r;H=v}Mbc(H,524592,r)|0;b[g>>0]=0;Gcc(H+r|0,g);r=Bqc(p,c,h,d)|0;Ooc(h);q=(r|0)==(p|0)?a:r;break a;break}case 111:{f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;r=Fcc(524601)|0;if(r>>>0>4294967279)Lmc(h);if(r>>>0<11){b[h+11>>0]=r;I=h}else{v=r+16&-16;t=Loc(v)|0;f[h>>2]=t;f[h+8>>2]=v|-2147483648;f[h+4>>2]=r;I=t}Mbc(I,524601,r)|0;b[g>>0]=0;Gcc(I+r|0,g);r=Bqc(p,c,h,d)|0;Ooc(h);q=(r|0)==(p|0)?a:r;break a;break}case 102:{r=Dqc(p,c,d)|0;q=(r|0)==(p|0)?a:r;break a;break}case 100:{r=Eqc(p,c,d)|0;q=(r|0)==(p|0)?a:r;break a;break}case 101:{r=Fqc(p,c,d)|0;q=(r|0)==(p|0)?a:r;break a;break}case 95:{if((b[p>>0]|0)!=90){q=a;break a}r=Poc(o,c,d)|0;if((r|0)==(o|0)|(r|0)==(c|0)){q=a;break a}q=(b[r>>0]|0)==69?r+1|0:a;break a;break}default:{r=Soc(n,c,d)|0;if((r|0)==(n|0)|(r|0)==(c|0)){q=a;break a}if((b[r>>0]|0)==69){q=r+1|0;break a}else J=r;while(1){K=J+1|0;if((J|0)==(c|0)){q=a;break a}L=b[J>>0]|0;if(((L<<24>>24)+-48|0)>>>0<10)J=K;else break}if(!((J|0)!=(r|0)&L<<24>>24==69)){q=a;break a}t=d+4|0;v=f[t>>2]|0;if((f[d>>2]|0)==(v|0)){q=a;break a}ipc(l,v+-24|0);Voc(l,0,523315)|0;f[k>>2]=f[l>>2];f[k+4>>2]=f[l+4>>2];f[k+8>>2]=f[l+8>>2];v=0;while(1){if((v|0)==3)break;f[l+(v<<2)>>2]=0;v=v+1|0}Woc(k,523313)|0;f[j>>2]=f[k>>2];f[j+4>>2]=f[k+4>>2];f[j+8>>2]=f[k+8>>2];v=0;while(1){if((v|0)==3)break;f[k+(v<<2)>>2]=0;v=v+1|0}f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;v=J-r|0;if(v>>>0>4294967279)Lmc(m);if(v>>>0<11){b[m+11>>0]=v;M=m}else{N=v+16&-16;O=Loc(N)|0;f[m>>2]=O;f[m+8>>2]=N|-2147483648;f[m+4>>2]=v;M=O}O=r;N=M;while(1){if((O|0)==(J|0))break;Gcc(N,O);O=O+1|0;N=N+1|0}b[g>>0]=0;Gcc(M+v|0,g);N=b[m+11>>0]|0;O=N<<24>>24<0;Aoc(j,O?f[m>>2]|0:m,O?f[m+4>>2]|0:N&255)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];N=0;while(1){if((N|0)==3)break;f[j+(N<<2)>>2]=0;N=N+1|0}lpc(h,i);mpc((f[t>>2]|0)+-24|0,h);xoc(h);Ooc(i);Ooc(m);Ooc(j);Ooc(k);Ooc(l);q=K;break a}}while(0)}else q=a;while(0);u=e;return q|0}function ypc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;e=u;u=u+80|0;g=e+64|0;h=e+60|0;i=e+24|0;j=e+48|0;k=e+12|0;l=e;a:do if((c-a|0)>2?(b[a>>0]|0)==102:0){m=a+2|0;switch(b[a+1>>0]|0){case 112:{n=Toc(m,c,h)|0;o=tpc(n,c)|0;if((o|0)!=(c|0)?(b[o>>0]|0)==95:0){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;p=o-n|0;if(p>>>0>4294967279)Lmc(k);if(p>>>0<11){b[k+11>>0]=p;q=k}else{r=p+16&-16;s=Loc(r)|0;f[k>>2]=s;f[k+8>>2]=r|-2147483648;f[k+4>>2]=p;q=s}s=n;n=q;while(1){if((s|0)==(o|0))break;Gcc(n,s);s=s+1|0;n=n+1|0}b[g>>0]=0;Gcc(q+p|0,g);Voc(k,0,524504)|0;f[j>>2]=f[k>>2];f[j+4>>2]=f[k+4>>2];f[j+8>>2]=f[k+8>>2];n=0;while(1){if((n|0)==3)break;f[k+(n<<2)>>2]=0;n=n+1|0}lpc(i,j);n=d+4|0;p=f[n>>2]|0;if(p>>>0<(f[d+8>>2]|0)>>>0){npc(p,i);f[n>>2]=(f[n>>2]|0)+24}else opc(d,i);xoc(i);Ooc(j);Ooc(k);t=o+1|0}else t=a;v=t;break a;break}case 76:break;default:{v=a;break a}}n=tpc(m,c)|0;if((((n|0)!=(c|0)?(b[n>>0]|0)==112:0)?(p=Toc(n+1|0,c,h)|0,n=tpc(p,c)|0,(n|0)!=(c|0)):0)?(b[n>>0]|0)==95:0){f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;s=n-p|0;if(s>>>0>4294967279)Lmc(k);if(s>>>0<11){b[k+11>>0]=s;w=k}else{r=s+16&-16;x=Loc(r)|0;f[k>>2]=x;f[k+8>>2]=r|-2147483648;f[k+4>>2]=s;w=x}x=p;p=w;while(1){if((x|0)==(n|0))break;Gcc(p,x);x=x+1|0;p=p+1|0}b[g>>0]=0;Gcc(w+s|0,g);Voc(k,0,524504)|0;f[l>>2]=f[k>>2];f[l+4>>2]=f[k+4>>2];f[l+8>>2]=f[k+8>>2];p=0;while(1){if((p|0)==3)break;f[k+(p<<2)>>2]=0;p=p+1|0}lpc(i,l);p=d+4|0;s=f[p>>2]|0;if(s>>>0<(f[d+8>>2]|0)>>>0){npc(s,i);f[p>>2]=(f[p>>2]|0)+24}else opc(d,i);xoc(i);Ooc(l);Ooc(k);y=n+1|0}else y=a;v=y}else v=a;while(0);u=e;return v|0}function zpc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;g=u;u=u+96|0;h=g+84|0;i=g+72|0;j=g+60|0;k=g+48|0;l=g+36|0;m=g+24|0;n=g+12|0;o=g;p=upc(a,c,e)|0;a:do if((p|0)!=(a|0)){q=upc(p,c,e)|0;r=e+4|0;if((q|0)==(p|0)){s=f[r>>2]|0;t=s+-24|0;v=s;while(1){if((v|0)==(t|0)){w=a;break a}s=v+-24|0;f[r>>2]=s;xoc(s);v=f[r>>2]|0}}v=f[r>>2]|0;if(((v-(f[e>>2]|0)|0)/24|0)>>>0>=2){ipc(i,v+-24|0);v=f[r>>2]|0;t=v+-24|0;s=v;while(1){if((s|0)==(t|0))break;x=s+-24|0;f[r>>2]=x;xoc(x);s=f[r>>2]|0}ipc(j,v+-48|0);s=f[r>>2]|0;t=s+-24|0;x=t+11|0;if((b[x>>0]|0)<0){y=f[t>>2]|0;b[h>>0]=0;Gcc(y,h);f[s+-20>>2]=0}else{b[h>>0]=0;Gcc(t,h);b[x>>0]=0}x=Fcc(523351)|0;s=d+11|0;y=b[s>>0]|0;z=d+4|0;if((x|0)==((y<<24>>24<0?f[z>>2]|0:y&255)|0)?(epc(d,523351,x)|0)==0:0)nqc(t,40);wpc(o,523315,j);Woc(o,523601)|0;f[n>>2]=f[o>>2];f[n+4>>2]=f[o+4>>2];f[n+8>>2]=f[o+8>>2];x=0;while(1){if((x|0)==3)break;f[o+(x<<2)>>2]=0;x=x+1|0}x=b[s>>0]|0;r=x<<24>>24<0;Aoc(n,r?f[d>>2]|0:d,r?f[z>>2]|0:x&255)|0;f[m>>2]=f[n>>2];f[m+4>>2]=f[n+4>>2];f[m+8>>2]=f[n+8>>2];x=0;while(1){if((x|0)==3)break;f[n+(x<<2)>>2]=0;x=x+1|0}Woc(m,523310)|0;f[l>>2]=f[m>>2];f[l+4>>2]=f[m+4>>2];f[l+8>>2]=f[m+8>>2];x=0;while(1){if((x|0)==3)break;f[m+(x<<2)>>2]=0;x=x+1|0}x=b[i+11>>0]|0;r=x<<24>>24<0;Aoc(l,r?f[i>>2]|0:i,r?f[i+4>>2]|0:x&255)|0;f[k>>2]=f[l>>2];f[k+4>>2]=f[l+4>>2];f[k+8>>2]=f[l+8>>2];x=0;while(1){if((x|0)==3)break;f[l+(x<<2)>>2]=0;x=x+1|0}Woc(k,523313)|0;f[h>>2]=f[k>>2];f[h+4>>2]=f[k+4>>2];f[h+8>>2]=f[k+8>>2];x=0;while(1){if((x|0)==3)break;f[k+(x<<2)>>2]=0;x=x+1|0}x=b[h+11>>0]|0;r=x<<24>>24<0;Aoc(t,r?f[h>>2]|0:h,r?f[h+4>>2]|0:x&255)|0;Ooc(h);Ooc(k);Ooc(l);Ooc(m);Ooc(n);Ooc(o);x=Fcc(523351)|0;r=b[s>>0]|0;if((x|0)==((r<<24>>24<0?f[z>>2]|0:r&255)|0)?(epc(d,523351,x)|0)==0:0)nqc(t,41);Ooc(j);Ooc(i);w=q}else w=a}else w=a;while(0);u=g;return w|0}function Apc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=u;u=u+64|0;h=g+48|0;i=g+36|0;j=g+24|0;k=g+12|0;l=g;m=upc(a,c,e)|0;if((m|0)!=(a|0)?(c=e+4|0,(f[e>>2]|0)!=(f[c>>2]|0)):0){kpc(k,d,523315);ipc(l,(f[c>>2]|0)+-24|0);d=b[l+11>>0]|0;e=d<<24>>24<0;Aoc(k,e?f[l>>2]|0:l,e?f[l+4>>2]|0:d&255)|0;f[j>>2]=f[k>>2];f[j+4>>2]=f[k+4>>2];f[j+8>>2]=f[k+8>>2];d=0;while(1){if((d|0)==3)break;f[k+(d<<2)>>2]=0;d=d+1|0}Woc(j,523313)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];d=0;while(1){if((d|0)==3)break;f[j+(d<<2)>>2]=0;d=d+1|0}d=f[c>>2]|0;c=d+-24|0;e=c+11|0;if((b[e>>0]|0)<0){n=f[c>>2]|0;b[h>>0]=0;Gcc(n,h);f[d+-20>>2]=0}else{b[h>>0]=0;Gcc(c,h);b[e>>0]=0}vpc(c);f[c>>2]=f[i>>2];f[c+4>>2]=f[i+4>>2];f[c+8>>2]=f[i+8>>2];c=0;while(1){if((c|0)==3)break;f[i+(c<<2)>>2]=0;c=c+1|0}Ooc(i);Ooc(j);Ooc(l);Ooc(k);o=m}else o=a;u=g;return o|0}function Bpc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+48|0;g=e+36|0;h=e+24|0;i=e+12|0;j=e;if(((((c-a|0)>2?(b[a>>0]|0)==97:0)?(b[a+1>>0]|0)==116:0)?(k=a+2|0,l=Soc(k,c,d)|0,(l|0)!=(k|0)):0)?(k=d+4|0,c=f[k>>2]|0,(f[d>>2]|0)!=(c|0)):0){ipc(j,c+-24|0);Voc(j,0,524494)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];c=0;while(1){if((c|0)==3)break;f[j+(c<<2)>>2]=0;c=c+1|0}Woc(i,523313)|0;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];c=0;while(1){if((c|0)==3)break;f[i+(c<<2)>>2]=0;c=c+1|0}c=f[k>>2]|0;k=c+-24|0;d=k+11|0;if((b[d>>0]|0)<0){m=f[k>>2]|0;b[g>>0]=0;Gcc(m,g);f[c+-20>>2]=0}else{b[g>>0]=0;Gcc(k,g);b[d>>0]=0}vpc(k);f[k>>2]=f[h>>2];f[k+4>>2]=f[h+4>>2];f[k+8>>2]=f[h+8>>2];k=0;while(1){if((k|0)==3)break;f[h+(k<<2)>>2]=0;k=k+1|0}Ooc(h);Ooc(i);Ooc(j);n=l}else n=a;u=e;return n|0}function Cpc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+48|0;g=e+36|0;h=e+24|0;i=e+12|0;j=e;if(((((c-a|0)>2?(b[a>>0]|0)==97:0)?(b[a+1>>0]|0)==122:0)?(k=a+2|0,l=upc(k,c,d)|0,(l|0)!=(k|0)):0)?(k=d+4|0,c=f[k>>2]|0,(f[d>>2]|0)!=(c|0)):0){ipc(j,c+-24|0);Voc(j,0,524494)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];c=0;while(1){if((c|0)==3)break;f[j+(c<<2)>>2]=0;c=c+1|0}Woc(i,523313)|0;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];c=0;while(1){if((c|0)==3)break;f[i+(c<<2)>>2]=0;c=c+1|0}c=f[k>>2]|0;k=c+-24|0;d=k+11|0;if((b[d>>0]|0)<0){m=f[k>>2]|0;b[g>>0]=0;Gcc(m,g);f[c+-20>>2]=0}else{b[g>>0]=0;Gcc(k,g);b[d>>0]=0}vpc(k);f[k>>2]=f[h>>2];f[k+4>>2]=f[h+4>>2];f[k+8>>2]=f[h+8>>2];k=0;while(1){if((k|0)==3)break;f[h+(k<<2)>>2]=0;k=k+1|0}Ooc(h);Ooc(i);Ooc(j);n=l}else n=a;u=e;return n|0}function Dpc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+112|0;g=e+88|0;h=e+64|0;i=e+36|0;j=e+48|0;k=e+24|0;l=e+12|0;m=e;if((((((c-a|0)>2?(b[a>>0]|0)==99:0)?(b[a+1>>0]|0)==99:0)?(n=a+2|0,o=Soc(n,c,d)|0,(o|0)!=(n|0)):0)?(n=upc(o,c,d)|0,(n|0)!=(o|0)):0)?(o=d+4|0,c=f[o>>2]|0,((c-(f[d>>2]|0)|0)/24|0)>>>0>=2):0){ipc(g,c+-24|0);c=f[o>>2]|0;d=c+-24|0;p=c;while(1){if((p|0)==(d|0))break;q=p+-24|0;f[o>>2]=q;xoc(q);p=f[o>>2]|0}ipc(m,c+-48|0);Voc(m,0,524482)|0;f[l>>2]=f[m>>2];f[l+4>>2]=f[m+4>>2];f[l+8>>2]=f[m+8>>2];c=0;while(1){if((c|0)==3)break;f[m+(c<<2)>>2]=0;c=c+1|0}Woc(l,523562)|0;f[k>>2]=f[l>>2];f[k+4>>2]=f[l+4>>2];f[k+8>>2]=f[l+8>>2];c=0;while(1){if((c|0)==3)break;f[l+(c<<2)>>2]=0;c=c+1|0}c=b[g+11>>0]|0;p=c<<24>>24<0;Aoc(k,p?f[g>>2]|0:g,p?f[g+4>>2]|0:c&255)|0;f[j>>2]=f[k>>2];f[j+4>>2]=f[k+4>>2];f[j+8>>2]=f[k+8>>2];c=0;while(1){if((c|0)==3)break;f[k+(c<<2)>>2]=0;c=c+1|0}Woc(j,523313)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];c=0;while(1){if((c|0)==3)break;f[j+(c<<2)>>2]=0;c=c+1|0}lpc(h,i);mpc((f[o>>2]|0)+-24|0,h);xoc(h);Ooc(i);Ooc(j);Ooc(k);Ooc(l);Ooc(m);Ooc(g);r=n}else r=a;u=e;return r|0}function Epc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;e=u;u=u+32|0;g=e+12|0;h=e;a:do if(((((c-a|0)>3?(b[a>>0]|0)==99:0)?(b[a+1>>0]|0)==108:0)?(i=a+2|0,j=upc(i,c,d)|0,!((j|0)==(i|0)|(j|0)==(c|0))):0)?(i=d+4|0,k=f[i>>2]|0,(f[d>>2]|0)!=(k|0)):0){l=k+-12|0;m=b[l+11>>0]|0;n=m<<24>>24<0;Aoc(k+-24|0,n?f[l>>2]|0:l,n?f[k+-8>>2]|0:m&255)|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;m=0;while(1){if((m|0)==3)break;f[h+(m<<2)>>2]=0;m=m+1|0}m=f[i>>2]|0;k=m+-12|0;n=k+11|0;if((b[n>>0]|0)<0){l=f[k>>2]|0;b[g>>0]=0;Gcc(l,g);f[m+-8>>2]=0}else{b[g>>0]=0;Gcc(k,g);b[n>>0]=0}vpc(k);f[k>>2]=f[h>>2];f[k+4>>2]=f[h+4>>2];f[k+8>>2]=f[h+8>>2];k=0;while(1){if((k|0)==3)break;f[h+(k<<2)>>2]=0;k=k+1|0}Ooc(h);Woc((f[i>>2]|0)+-24|0,523315)|0;k=g+11|0;n=g+4|0;m=j;while(1){if((b[m>>0]|0)==69)break;l=upc(m,c,d)|0;if((l|0)==(m|0)|(l|0)==(c|0)){o=a;break a}p=f[i>>2]|0;if((f[d>>2]|0)==(p|0)){o=a;break a}ipc(g,p+-24|0);p=f[i>>2]|0;q=p+-24|0;r=p;while(1){if((r|0)==(q|0))break;s=r+-24|0;f[i>>2]=s;xoc(s);r=f[i>>2]|0}r=b[k>>0]|0;s=r<<24>>24<0;t=s?f[n>>2]|0:r&255;if(t|0){if((f[d>>2]|0)==(q|0)){v=26;break}Aoc(p+-48|0,s?f[g>>2]|0:g,t)|0}Ooc(g);m=l}if((v|0)==26){Ooc(g);o=a;break}n=f[i>>2]|0;if((f[d>>2]|0)!=(n|0)){Woc(n+-24|0,523313)|0;o=m+1|0}else o=a}else o=a;while(0);u=e;return o|0}function Fpc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;e=u;u=u+112|0;g=e+88|0;h=e+64|0;i=e+36|0;j=e+48|0;k=e+24|0;l=e+12|0;m=e;a:do if((((c-a|0)>2?(b[a>>0]|0)==99:0)?(b[a+1>>0]|0)==118:0)?(n=d+63|0,o=b[n>>0]|0,b[n>>0]=0,p=a+2|0,q=Soc(p,c,d)|0,b[n>>0]=o,!((q|0)==(p|0)|(q|0)==(c|0))):0){if((b[q>>0]|0)!=95){p=upc(q,c,d)|0;if((p|0)==(q|0)){r=a;break}else s=p}else{p=q+1|0;if((p|0)==(c|0)){r=a;break}q=b[p>>0]|0;b:do if(q<<24>>24==69){o=d+4|0;n=f[o>>2]|0;if(n>>>0<(f[d+8>>2]|0)>>>0){f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;f[n+16>>2]=0;f[n+20>>2]=0;tqc(n);f[o>>2]=(f[o>>2]|0)+24;t=p;break}else{uqc(d);t=p;break}}else{o=p;n=q;while(1){if(n<<24>>24==69){t=o;break b}v=upc(o,c,d)|0;w=(v|0)==(o|0)|(v|0)==(c|0);if(w){r=a;break a}x=b[(w?o:v)>>0]|0;o=v;n=x}}while(0);s=t+1|0}q=d+4|0;p=f[q>>2]|0;if(((p-(f[d>>2]|0)|0)/24|0)>>>0>=2){ipc(g,p+-24|0);p=f[q>>2]|0;n=p+-24|0;o=p;while(1){if((o|0)==(n|0))break;x=o+-24|0;f[q>>2]=x;xoc(x);o=f[q>>2]|0}ipc(m,p+-48|0);Voc(m,0,523315)|0;f[l>>2]=f[m>>2];f[l+4>>2]=f[m+4>>2];f[l+8>>2]=f[m+8>>2];o=0;while(1){if((o|0)==3)break;f[m+(o<<2)>>2]=0;o=o+1|0}Woc(l,524479)|0;f[k>>2]=f[l>>2];f[k+4>>2]=f[l+4>>2];f[k+8>>2]=f[l+8>>2];o=0;while(1){if((o|0)==3)break;f[l+(o<<2)>>2]=0;o=o+1|0}o=b[g+11>>0]|0;p=o<<24>>24<0;Aoc(k,p?f[g>>2]|0:g,p?f[g+4>>2]|0:o&255)|0;f[j>>2]=f[k>>2];f[j+4>>2]=f[k+4>>2];f[j+8>>2]=f[k+8>>2];o=0;while(1){if((o|0)==3)break;f[k+(o<<2)>>2]=0;o=o+1|0}Woc(j,523313)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];o=0;while(1){if((o|0)==3)break;f[j+(o<<2)>>2]=0;o=o+1|0}lpc(h,i);mpc((f[q>>2]|0)+-24|0,h);xoc(h);Ooc(i);Ooc(j);Ooc(k);Ooc(l);Ooc(m);Ooc(g);r=s}else r=a}else r=a;while(0);u=e;return r|0}function Gpc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+112|0;g=e+88|0;h=e+64|0;i=e+36|0;j=e+48|0;k=e+24|0;l=e+12|0;m=e;if((((((c-a|0)>2?(b[a>>0]|0)==100:0)?(b[a+1>>0]|0)==99:0)?(n=a+2|0,o=Soc(n,c,d)|0,(o|0)!=(n|0)):0)?(n=upc(o,c,d)|0,(n|0)!=(o|0)):0)?(o=d+4|0,c=f[o>>2]|0,((c-(f[d>>2]|0)|0)/24|0)>>>0>=2):0){ipc(g,c+-24|0);c=f[o>>2]|0;d=c+-24|0;p=c;while(1){if((p|0)==(d|0))break;q=p+-24|0;f[o>>2]=q;xoc(q);p=f[o>>2]|0}ipc(m,c+-48|0);Voc(m,0,524465)|0;f[l>>2]=f[m>>2];f[l+4>>2]=f[m+4>>2];f[l+8>>2]=f[m+8>>2];c=0;while(1){if((c|0)==3)break;f[m+(c<<2)>>2]=0;c=c+1|0}Woc(l,523562)|0;f[k>>2]=f[l>>2];f[k+4>>2]=f[l+4>>2];f[k+8>>2]=f[l+8>>2];c=0;while(1){if((c|0)==3)break;f[l+(c<<2)>>2]=0;c=c+1|0}c=b[g+11>>0]|0;p=c<<24>>24<0;Aoc(k,p?f[g>>2]|0:g,p?f[g+4>>2]|0:c&255)|0;f[j>>2]=f[k>>2];f[j+4>>2]=f[k+4>>2];f[j+8>>2]=f[k+8>>2];c=0;while(1){if((c|0)==3)break;f[k+(c<<2)>>2]=0;c=c+1|0}Woc(j,523313)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];c=0;while(1){if((c|0)==3)break;f[j+(c<<2)>>2]=0;c=c+1|0}lpc(h,i);mpc((f[o>>2]|0)+-24|0,h);xoc(h);Ooc(i);Ooc(j);Ooc(k);Ooc(l);Ooc(m);Ooc(g);r=n}else r=a;u=e;return r|0}function Hpc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=u;u=u+32|0;g=e+12|0;h=e;i=c;a:do if((i-a|0)>2){if((b[a>>0]|0)==103){j=(b[a+1>>0]|0)==115;k=j;l=j?a+2|0:a}else{k=0;l=a}j=Zpc(l,c,d)|0;if((j|0)!=(l|0)){if(!k){m=j;break}n=f[d+4>>2]|0;if((f[d>>2]|0)==(n|0)){m=a;break}Voc(n+-24|0,0,523387)|0;m=j;break}if(((i-l|0)>2?(b[l>>0]|0)==115:0)?(b[l+1>>0]|0)==114:0){j=l+2|0;if((b[j>>0]|0)==78){n=l+3|0;o=_pc(n,c,d)|0;if((o|0)==(n|0)|(o|0)==(c|0)){m=a;break}n=hpc(o,c,d)|0;p=d+4|0;do if((n|0)==(o|0)){q=o;r=d}else{s=f[p>>2]|0;if(((s-(f[d>>2]|0)|0)/24|0)>>>0<2){m=a;break a}ipc(g,s+-24|0);s=f[p>>2]|0;t=s+-24|0;v=s;while(1){if((v|0)==(t|0))break;w=v+-24|0;f[p>>2]=w;xoc(w);v=f[p>>2]|0}v=b[g+11>>0]|0;t=v<<24>>24<0;Aoc(s+-48|0,t?f[g>>2]|0:g,t?f[g+4>>2]|0:v&255)|0;if((n|0)!=(c|0)){Ooc(g);q=n;r=d;break}v=f[p>>2]|0;t=v+-24|0;w=v;while(1){if((w|0)==(t|0))break;v=w+-24|0;f[p>>2]=v;xoc(v);w=f[p>>2]|0}Ooc(g);m=a;break a}while(0);n=h+11|0;o=h+4|0;w=q;while(1){if((b[w>>0]|0)==69)break;t=$pc(w,c,d)|0;if((t|0)==(w|0)|(t|0)==(c|0)){m=a;break a}s=f[p>>2]|0;if(((s-(f[r>>2]|0)|0)/24|0)>>>0<2){m=a;break a}ipc(g,s+-24|0);s=f[p>>2]|0;v=s+-24|0;x=s;while(1){if((x|0)==(v|0))break;s=x+-24|0;f[p>>2]=s;xoc(s);x=f[p>>2]|0}Voc(g,0,523387)|0;f[h>>2]=f[g>>2];f[h+4>>2]=f[g+4>>2];f[h+8>>2]=f[g+8>>2];x=0;while(1){if((x|0)==3)break;f[g+(x<<2)>>2]=0;x=x+1|0}x=b[n>>0]|0;v=x<<24>>24<0;Aoc((f[p>>2]|0)+-24|0,v?f[h>>2]|0:h,v?f[o>>2]|0:x&255)|0;Ooc(h);Ooc(g);w=t}o=w+1|0;n=Zpc(o,c,d)|0;if((n|0)==(o|0)){o=f[p>>2]|0;if((f[d>>2]|0)==(o|0)){m=a;break}x=o+-24|0;v=o;while(1){if((v|0)==(x|0)){m=a;break a}o=v+-24|0;f[p>>2]=o;xoc(o);v=f[p>>2]|0}}v=f[p>>2]|0;if(((v-(f[r>>2]|0)|0)/24|0)>>>0<2){m=a;break}ipc(g,v+-24|0);v=f[p>>2]|0;x=v+-24|0;w=v;while(1){if((w|0)==(x|0))break;v=w+-24|0;f[p>>2]=v;xoc(v);w=f[p>>2]|0}Voc(g,0,523387)|0;f[h>>2]=f[g>>2];f[h+4>>2]=f[g+4>>2];f[h+8>>2]=f[g+8>>2];w=0;while(1){if((w|0)==3)break;f[g+(w<<2)>>2]=0;w=w+1|0}w=b[h+11>>0]|0;x=w<<24>>24<0;Aoc((f[p>>2]|0)+-24|0,x?f[h>>2]|0:h,x?f[h+4>>2]|0:w&255)|0;Ooc(h);Ooc(g);m=n;break}w=_pc(j,c,d)|0;if((w|0)!=(j|0)){x=hpc(w,c,d)|0;if((x|0)==(w|0))y=w;else{w=d+4|0;v=f[w>>2]|0;if(((v-(f[d>>2]|0)|0)/24|0)>>>0<2){m=a;break}ipc(g,v+-24|0);v=f[w>>2]|0;o=v+-24|0;s=v;while(1){if((s|0)==(o|0))break;z=s+-24|0;f[w>>2]=z;xoc(z);s=f[w>>2]|0}w=b[g+11>>0]|0;s=w<<24>>24<0;Aoc(v+-48|0,s?f[g>>2]|0:g,s?f[g+4>>2]|0:w&255)|0;Ooc(g);y=x}w=Zpc(y,c,d)|0;if((w|0)==(y|0)){s=d+4|0;o=f[s>>2]|0;if((f[d>>2]|0)==(o|0)){m=a;break}n=o+-24|0;p=o;while(1){if((p|0)==(n|0)){m=a;break a}o=p+-24|0;f[s>>2]=o;xoc(o);p=f[s>>2]|0}}s=d+4|0;p=f[s>>2]|0;if(((p-(f[d>>2]|0)|0)/24|0)>>>0<2){m=a;break}ipc(g,p+-24|0);p=f[s>>2]|0;n=p+-24|0;x=p;while(1){if((x|0)==(n|0))break;p=x+-24|0;f[s>>2]=p;xoc(p);x=f[s>>2]|0}Voc(g,0,523387)|0;f[h>>2]=f[g>>2];f[h+4>>2]=f[g+4>>2];f[h+8>>2]=f[g+8>>2];x=0;while(1){if((x|0)==3)break;f[g+(x<<2)>>2]=0;x=x+1|0}x=b[h+11>>0]|0;n=x<<24>>24<0;Aoc((f[s>>2]|0)+-24|0,n?f[h>>2]|0:h,n?f[h+4>>2]|0:x&255)|0;Ooc(h);Ooc(g);m=w;break}x=$pc(j,c,d)|0;if(!((x|0)==(j|0)|(x|0)==(c|0))){if(k){n=d+4|0;p=f[n>>2]|0;if((f[d>>2]|0)==(p|0)){m=a;break}Voc(p+-24|0,0,523387)|0;A=n}else A=d+4|0;n=h+11|0;p=h+4|0;v=x;while(1){if((b[v>>0]|0)==69)break;x=$pc(v,c,d)|0;if((x|0)==(v|0)|(x|0)==(c|0)){m=a;break a}o=f[A>>2]|0;if(((o-(f[d>>2]|0)|0)/24|0)>>>0<2){m=a;break a}ipc(g,o+-24|0);o=f[A>>2]|0;z=o+-24|0;B=o;while(1){if((B|0)==(z|0))break;o=B+-24|0;f[A>>2]=o;xoc(o);B=f[A>>2]|0}Voc(g,0,523387)|0;f[h>>2]=f[g>>2];f[h+4>>2]=f[g+4>>2];f[h+8>>2]=f[g+8>>2];B=0;while(1){if((B|0)==3)break;f[g+(B<<2)>>2]=0;B=B+1|0}B=b[n>>0]|0;z=B<<24>>24<0;Aoc((f[A>>2]|0)+-24|0,z?f[h>>2]|0:h,z?f[p>>2]|0:B&255)|0;Ooc(h);Ooc(g);v=x}p=v+1|0;n=Zpc(p,c,d)|0;if((n|0)==(p|0)){p=f[A>>2]|0;if((f[d>>2]|0)==(p|0)){m=a;break}j=p+-24|0;w=p;while(1){if((w|0)==(j|0)){m=a;break a}p=w+-24|0;f[A>>2]=p;xoc(p);w=f[A>>2]|0}}w=f[A>>2]|0;if(((w-(f[d>>2]|0)|0)/24|0)>>>0>=2){ipc(g,w+-24|0);w=f[A>>2]|0;j=w+-24|0;v=w;while(1){if((v|0)==(j|0))break;w=v+-24|0;f[A>>2]=w;xoc(w);v=f[A>>2]|0}Voc(g,0,523387)|0;f[h>>2]=f[g>>2];f[h+4>>2]=f[g+4>>2];f[h+8>>2]=f[g+8>>2];v=0;while(1){if((v|0)==3)break;f[g+(v<<2)>>2]=0;v=v+1|0}v=b[h+11>>0]|0;j=v<<24>>24<0;Aoc((f[A>>2]|0)+-24|0,j?f[h>>2]|0:h,j?f[h+4>>2]|0:v&255)|0;Ooc(h);Ooc(g);m=n}else m=a}else m=a}else m=a}else m=a;while(0);u=e;return m|0}function Ipc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+32|0;g=e+12|0;h=e;if((((((c-a|0)>2?(b[a>>0]|0)==100:0)?(b[a+1>>0]|0)==115:0)?(i=a+2|0,j=upc(i,c,d)|0,(j|0)!=(i|0)):0)?(i=upc(j,c,d)|0,(i|0)!=(j|0)):0)?(j=d+4|0,c=f[j>>2]|0,((c-(f[d>>2]|0)|0)/24|0)>>>0>=2):0){ipc(g,c+-24|0);c=f[j>>2]|0;d=c+-24|0;k=c;while(1){if((k|0)==(d|0))break;c=k+-24|0;f[j>>2]=c;xoc(c);k=f[j>>2]|0}wpc(h,523606,g);k=b[h+11>>0]|0;d=k<<24>>24<0;Aoc((f[j>>2]|0)+-24|0,d?f[h>>2]|0:h,d?f[h+4>>2]|0:k&255)|0;Ooc(h);Ooc(g);l=i}else l=a;u=e;return l|0}function Jpc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+32|0;g=e+12|0;h=e;if((((((c-a|0)>2?(b[a>>0]|0)==100:0)?(b[a+1>>0]|0)==116:0)?(i=a+2|0,j=upc(i,c,d)|0,(j|0)!=(i|0)):0)?(i=Hpc(j,c,d)|0,(i|0)!=(j|0)):0)?(j=d+4|0,c=f[j>>2]|0,((c-(f[d>>2]|0)|0)/24|0)>>>0>=2):0){ipc(g,c+-24|0);c=f[j>>2]|0;d=c+-24|0;k=c;while(1){if((k|0)==(d|0))break;c=k+-24|0;f[j>>2]=c;xoc(c);k=f[j>>2]|0}wpc(h,523604,g);k=b[h+11>>0]|0;d=k<<24>>24<0;Aoc((f[j>>2]|0)+-24|0,d?f[h>>2]|0:h,d?f[h+4>>2]|0:k&255)|0;Ooc(h);Ooc(g);l=i}else l=a;u=e;return l|0}function Kpc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;e=u;u=u+112|0;g=e+88|0;h=e+76|0;i=e+64|0;j=e+40|0;k=e+16|0;l=e;m=e+52|0;n=c;a:do if((n-a|0)>3){o=b[a>>0]|0;if(o<<24>>24==103){p=(b[a+1>>0]|0)==115;q=p?a+2|0:a;r=p;s=q;t=b[q>>0]|0}else{r=0;s=a;t=o}if(t<<24>>24==110){o=b[s+1>>0]|0;q=o<<24>>24==97;switch(o<<24>>24){case 97:case 119:break;default:{v=a;break a}}o=s+2|0;b:do if((o|0)!=(c|0)){p=0;w=o;while(1){if((b[w>>0]|0)==95)break;x=upc(w,c,d)|0;y=(x|0)==(w|0);z=(x|0)==(c|0);if(y|z)break b;else{p=p|(y|z)^1;w=x}}x=w+1|0;z=Soc(x,c,d)|0;if(!((z|0)==(x|0)|(z|0)==(c|0))){x=b[z>>0]|0;c:do if(!((n-z|0)>2&x<<24>>24==112))if(x<<24>>24==69){A=0;B=z}else break b;else{if((b[z+1>>0]|0)!=105)break b;y=z+2|0;while(1){if((b[y>>0]|0)==69){A=1;B=y;break c}C=y;y=upc(y,c,d)|0;if((y|0)==(C|0)|(y|0)==(c|0))break b}}while(0);f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;z=0;while(1){if((z|0)==3)break;f[h+(z<<2)>>2]=0;z=z+1|0}d:do if(A){z=d+4|0;x=f[z>>2]|0;if((f[d>>2]|0)==(x|0)){D=a;E=1}else{ipc(i,x+-24|0);x=h+11|0;if((b[x>>0]|0)<0){w=f[h>>2]|0;b[g>>0]=0;Gcc(w,g);f[h+4>>2]=0}else{b[g>>0]=0;Gcc(h,g);b[x>>0]=0}vpc(h);f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];x=0;while(1){if((x|0)==3)break;f[i+(x<<2)>>2]=0;x=x+1|0}Ooc(i);x=f[z>>2]|0;w=x+-24|0;y=x;while(1){if((y|0)==(w|0)){F=z;G=d;H=w;I=31;break d}x=y+-24|0;f[z>>2]=x;xoc(x);y=f[z>>2]|0}}}else{z=d+4|0;F=z;G=d;H=f[z>>2]|0;I=31}while(0);if((I|0)==31)if((f[G>>2]|0)==(H|0)){D=a;E=1}else{ipc(i,H+-24|0);z=f[F>>2]|0;y=z+-24|0;w=z;while(1){if((w|0)==(y|0))break;x=w+-24|0;f[F>>2]=x;xoc(x);w=f[F>>2]|0}f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;w=0;while(1){if((w|0)==3)break;f[j+(w<<2)>>2]=0;w=w+1|0}e:do if(p)if((f[G>>2]|0)==(y|0)){J=a;K=1}else{ipc(k,z+-48|0);w=j+11|0;if((b[w>>0]|0)<0){x=f[j>>2]|0;b[g>>0]=0;Gcc(x,g);f[j+4>>2]=0}else{b[g>>0]=0;Gcc(j,g);b[w>>0]=0}vpc(j);f[j>>2]=f[k>>2];f[j+4>>2]=f[k+4>>2];f[j+8>>2]=f[k+8>>2];w=0;while(1){if((w|0)==3)break;f[k+(w<<2)>>2]=0;w=w+1|0}Ooc(k);w=f[F>>2]|0;x=w+-24|0;C=w;while(1){if((C|0)==(x|0)){I=49;break e}w=C+-24|0;f[F>>2]=w;xoc(w);C=f[F>>2]|0}}else I=49;while(0);if((I|0)==49){f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;z=0;while(1){if((z|0)==3)break;f[g+(z<<2)>>2]=0;z=z+1|0}if(r)Xpc(g,523387);if(q)Woc(g,523597)|0;else Woc(g,523347)|0;if(p){wpc(l,523315,j);Woc(l,523601)|0;f[k>>2]=f[l>>2];f[k+4>>2]=f[l+4>>2];f[k+8>>2]=f[l+8>>2];z=0;while(1){if((z|0)==3)break;f[l+(z<<2)>>2]=0;z=z+1|0}z=b[k+11>>0]|0;p=z<<24>>24<0;Aoc(g,p?f[k>>2]|0:k,p?f[k+4>>2]|0:z&255)|0;Ooc(k);Ooc(l)}z=b[i+11>>0]|0;p=z<<24>>24<0;Aoc(g,p?f[i>>2]|0:i,p?f[i+4>>2]|0:z&255)|0;if(A){wpc(l,523310,h);Woc(l,523313)|0;f[k>>2]=f[l>>2];f[k+4>>2]=f[l+4>>2];f[k+8>>2]=f[l+8>>2];z=0;while(1){if((z|0)==3)break;f[l+(z<<2)>>2]=0;z=z+1|0}z=b[k+11>>0]|0;p=z<<24>>24<0;Aoc(g,p?f[k>>2]|0:k,p?f[k+4>>2]|0:z&255)|0;Ooc(k);Ooc(l)};f[m>>2]=f[g>>2];f[m+4>>2]=f[g+4>>2];f[m+8>>2]=f[g+8>>2];z=0;while(1){if((z|0)==3)break;f[g+(z<<2)>>2]=0;z=z+1|0}lpc(k,m);z=f[F>>2]|0;if(z>>>0<(f[d+8>>2]|0)>>>0){npc(z,k);f[F>>2]=(f[F>>2]|0)+24}else opc(d,k);xoc(k);Ooc(m);Ooc(g);J=B+1|0;K=0}Ooc(j);Ooc(i);D=J;E=K}Ooc(h);if(!E){v=D;break a}}}while(0);v=a}else v=a}else v=a;while(0);u=e;return v|0}function Lpc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+48|0;g=e+36|0;h=e+24|0;i=e+12|0;j=e;k=upc(a,c,d)|0;if((k|0)!=(a|0)?(c=d+4|0,l=f[c>>2]|0,(f[d>>2]|0)!=(l|0)):0){ipc(j,l+-24|0);Voc(j,0,523586)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];l=0;while(1){if((l|0)==3)break;f[j+(l<<2)>>2]=0;l=l+1|0}Woc(i,523313)|0;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];l=0;while(1){if((l|0)==3)break;f[i+(l<<2)>>2]=0;l=l+1|0}l=f[c>>2]|0;c=l+-24|0;d=c+11|0;if((b[d>>0]|0)<0){m=f[c>>2]|0;b[g>>0]=0;Gcc(m,g);f[l+-20>>2]=0}else{b[g>>0]=0;Gcc(c,g);b[d>>0]=0}vpc(c);f[c>>2]=f[h>>2];f[c+4>>2]=f[h+4>>2];f[c+8>>2]=f[h+8>>2];c=0;while(1){if((c|0)==3)break;f[h+(c<<2)>>2]=0;c=c+1|0}Ooc(h);Ooc(i);Ooc(j);n=k}else n=a;u=e;return n|0}function Mpc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e;if((((((c-a|0)>2?(b[a>>0]|0)==112:0)?(b[a+1>>0]|0)==116:0)?(h=a+2|0,i=upc(h,c,d)|0,(i|0)!=(h|0)):0)?(h=upc(i,c,d)|0,(h|0)!=(i|0)):0)?(i=d+4|0,c=f[i>>2]|0,((c-(f[d>>2]|0)|0)/24|0)>>>0>=2):0){ipc(g,c+-24|0);c=f[i>>2]|0;d=c+-24|0;j=c;while(1){if((j|0)==(d|0))break;k=j+-24|0;f[i>>2]=k;xoc(k);j=f[i>>2]|0}Woc(c+-48|0,523583)|0;c=b[g+11>>0]|0;j=c<<24>>24<0;Aoc((f[i>>2]|0)+-24|0,j?f[g>>2]|0:g,j?f[g+4>>2]|0:c&255)|0;Ooc(g);l=h}else l=a;u=e;return l|0}function Npc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+112|0;g=e+88|0;h=e+64|0;i=e+36|0;j=e+48|0;k=e+24|0;l=e+12|0;m=e;if((((((c-a|0)>2?(b[a>>0]|0)==114:0)?(b[a+1>>0]|0)==99:0)?(n=a+2|0,o=Soc(n,c,d)|0,(o|0)!=(n|0)):0)?(n=upc(o,c,d)|0,(n|0)!=(o|0)):0)?(o=d+4|0,c=f[o>>2]|0,((c-(f[d>>2]|0)|0)/24|0)>>>0>=2):0){ipc(g,c+-24|0);c=f[o>>2]|0;d=c+-24|0;p=c;while(1){if((p|0)==(d|0))break;q=p+-24|0;f[o>>2]=q;xoc(q);p=f[o>>2]|0}ipc(m,c+-48|0);Voc(m,0,523565)|0;f[l>>2]=f[m>>2];f[l+4>>2]=f[m+4>>2];f[l+8>>2]=f[m+8>>2];c=0;while(1){if((c|0)==3)break;f[m+(c<<2)>>2]=0;c=c+1|0}Woc(l,523562)|0;f[k>>2]=f[l>>2];f[k+4>>2]=f[l+4>>2];f[k+8>>2]=f[l+8>>2];c=0;while(1){if((c|0)==3)break;f[l+(c<<2)>>2]=0;c=c+1|0}c=b[g+11>>0]|0;p=c<<24>>24<0;Aoc(k,p?f[g>>2]|0:g,p?f[g+4>>2]|0:c&255)|0;f[j>>2]=f[k>>2];f[j+4>>2]=f[k+4>>2];f[j+8>>2]=f[k+8>>2];c=0;while(1){if((c|0)==3)break;f[k+(c<<2)>>2]=0;c=c+1|0}Woc(j,523313)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];c=0;while(1){if((c|0)==3)break;f[j+(c<<2)>>2]=0;c=c+1|0}lpc(h,i);mpc((f[o>>2]|0)+-24|0,h);xoc(h);Ooc(i);Ooc(j);Ooc(k);Ooc(l);Ooc(m);Ooc(g);r=n}else r=a;u=e;return r|0}function Opc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+112|0;g=e+88|0;h=e+64|0;i=e+36|0;j=e+48|0;k=e+24|0;l=e+12|0;m=e;if((((((c-a|0)>2?(b[a>>0]|0)==115:0)?(b[a+1>>0]|0)==99:0)?(n=a+2|0,o=Soc(n,c,d)|0,(o|0)!=(n|0)):0)?(n=upc(o,c,d)|0,(n|0)!=(o|0)):0)?(o=d+4|0,c=f[o>>2]|0,((c-(f[d>>2]|0)|0)/24|0)>>>0>=2):0){ipc(g,c+-24|0);c=f[o>>2]|0;d=c+-24|0;p=c;while(1){if((p|0)==(d|0))break;q=p+-24|0;f[o>>2]=q;xoc(q);p=f[o>>2]|0}ipc(m,c+-48|0);Voc(m,0,523549)|0;f[l>>2]=f[m>>2];f[l+4>>2]=f[m+4>>2];f[l+8>>2]=f[m+8>>2];c=0;while(1){if((c|0)==3)break;f[m+(c<<2)>>2]=0;c=c+1|0}Woc(l,523562)|0;f[k>>2]=f[l>>2];f[k+4>>2]=f[l+4>>2];f[k+8>>2]=f[l+8>>2];c=0;while(1){if((c|0)==3)break;f[l+(c<<2)>>2]=0;c=c+1|0}c=b[g+11>>0]|0;p=c<<24>>24<0;Aoc(k,p?f[g>>2]|0:g,p?f[g+4>>2]|0:c&255)|0;f[j>>2]=f[k>>2];f[j+4>>2]=f[k+4>>2];f[j+8>>2]=f[k+8>>2];c=0;while(1){if((c|0)==3)break;f[k+(c<<2)>>2]=0;c=c+1|0}Woc(j,523313)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];c=0;while(1){if((c|0)==3)break;f[j+(c<<2)>>2]=0;c=c+1|0}lpc(h,i);mpc((f[o>>2]|0)+-24|0,h);xoc(h);Ooc(i);Ooc(j);Ooc(k);Ooc(l);Ooc(m);Ooc(g);r=n}else r=a;u=e;return r|0}function Ppc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0;if(((c-a|0)>2?(b[a>>0]|0)==115:0)?(b[a+1>>0]|0)==112:0){e=a+2|0;f=upc(e,c,d)|0;g=(f|0)==(e|0)?a:f}else g=a;return g|0}function Qpc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+64|0;g=e+40|0;h=e+12|0;i=e+24|0;j=e;if(((((c-a|0)>2?(b[a>>0]|0)==115:0)?(b[a+1>>0]|0)==116:0)?(k=a+2|0,l=Soc(k,c,d)|0,(l|0)!=(k|0)):0)?(k=d+4|0,c=f[k>>2]|0,(f[d>>2]|0)!=(c|0)):0){ipc(j,c+-24|0);Voc(j,0,523540)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];c=0;while(1){if((c|0)==3)break;f[j+(c<<2)>>2]=0;c=c+1|0}Woc(i,523313)|0;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];c=0;while(1){if((c|0)==3)break;f[i+(c<<2)>>2]=0;c=c+1|0}lpc(g,h);mpc((f[k>>2]|0)+-24|0,g);xoc(g);Ooc(h);Ooc(i);Ooc(j);m=l}else m=a;u=e;return m|0}function Rpc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+64|0;g=e+40|0;h=e+12|0;i=e+24|0;j=e;if(((((c-a|0)>2?(b[a>>0]|0)==115:0)?(b[a+1>>0]|0)==122:0)?(k=a+2|0,l=upc(k,c,d)|0,(l|0)!=(k|0)):0)?(k=d+4|0,c=f[k>>2]|0,(f[d>>2]|0)!=(c|0)):0){ipc(j,c+-24|0);Voc(j,0,523540)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];c=0;while(1){if((c|0)==3)break;f[j+(c<<2)>>2]=0;c=c+1|0}Woc(i,523313)|0;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];c=0;while(1){if((c|0)==3)break;f[i+(c<<2)>>2]=0;c=c+1|0}lpc(g,h);mpc((f[k>>2]|0)+-24|0,g);xoc(g);Ooc(h);Ooc(i);Ooc(j);m=l}else m=a;u=e;return m|0}function Spc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=u;u=u+64|0;g=e+40|0;h=e+24|0;i=e;j=e+12|0;if(((((c-a|0)>2?(b[a>>0]|0)==115:0)?(b[a+1>>0]|0)==90:0)?(k=a+2|0,(b[k>>0]|0)==84):0)?(l=d+4|0,m=((f[l>>2]|0)-(f[d>>2]|0)|0)/24|0,n=gpc(k,c,d)|0,c=((f[l>>2]|0)-(f[d>>2]|0)|0)/24|0,(n|0)!=(k|0)):0){f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;k=Fcc(523526)|0;if(k>>>0>4294967279)Lmc(h);if(k>>>0<11){b[h+11>>0]=k;o=h}else{p=k+16&-16;q=Loc(p)|0;f[h>>2]=q;f[h+8>>2]=p|-2147483648;f[h+4>>2]=k;o=q}Mbc(o,523526,k)|0;b[g>>0]=0;Gcc(o+k|0,g);a:do if((m|0)!=(c|0)){ipc(g,(f[d>>2]|0)+(m*24|0)|0);k=b[g+11>>0]|0;o=k<<24>>24<0;Aoc(h,o?f[g>>2]|0:g,o?f[g+4>>2]|0:k&255)|0;Ooc(g);k=g+11|0;o=g+4|0;q=m;while(1){p=q+1|0;if((p|0)==(c|0))break a;ipc(i,(f[d>>2]|0)+(p*24|0)|0);Voc(i,0,523537)|0;f[g>>2]=f[i>>2];f[g+4>>2]=f[i+4>>2];f[g+8>>2]=f[i+8>>2];r=0;while(1){if((r|0)==3)break;f[i+(r<<2)>>2]=0;r=r+1|0}r=b[k>>0]|0;s=r<<24>>24<0;Aoc(h,s?f[g>>2]|0:g,s?f[o>>2]|0:r&255)|0;Ooc(g);Ooc(i);q=p}}while(0);Woc(h,523313)|0;i=c;while(1){if((i|0)==(m|0))break;c=f[l>>2]|0;q=c+-24|0;o=c;while(1){if((o|0)==(q|0))break;c=o+-24|0;f[l>>2]=c;xoc(c);o=f[l>>2]|0}i=i+-1|0}f[j>>2]=f[h>>2];f[j+4>>2]=f[h+4>>2];f[j+8>>2]=f[h+8>>2];i=0;while(1){if((i|0)==3)break;f[h+(i<<2)>>2]=0;i=i+1|0}lpc(g,j);i=f[l>>2]|0;if(i>>>0<(f[d+8>>2]|0)>>>0){npc(i,g);f[l>>2]=(f[l>>2]|0)+24}else opc(d,g);xoc(g);Ooc(j);Ooc(h);t=n}else t=a;u=e;return t|0}function Tpc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+64|0;g=e+40|0;h=e+12|0;i=e+24|0;j=e;if((((((c-a|0)>2?(b[a>>0]|0)==115:0)?(b[a+1>>0]|0)==90:0)?(k=a+2|0,(b[k>>0]|0)==102):0)?(l=ypc(k,c,d)|0,(l|0)!=(k|0)):0)?(k=d+4|0,c=f[k>>2]|0,(f[d>>2]|0)!=(c|0)):0){ipc(j,c+-24|0);Voc(j,0,523526)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];c=0;while(1){if((c|0)==3)break;f[j+(c<<2)>>2]=0;c=c+1|0}Woc(i,523313)|0;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];c=0;while(1){if((c|0)==3)break;f[i+(c<<2)>>2]=0;c=c+1|0}lpc(g,h);mpc((f[k>>2]|0)+-24|0,g);xoc(g);Ooc(h);Ooc(i);Ooc(j);m=l}else m=a;u=e;return m|0}function Upc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=u;u=u+64|0;g=e+40|0;h=e+12|0;i=e+24|0;j=e;a:do if((c-a|0)>2?(b[a>>0]|0)==116:0){k=b[a+1>>0]|0;switch(k<<24>>24){case 101:case 105:break;default:{l=a;break a}}m=a+2|0;if(k<<24>>24==101)n=upc(m,c,d)|0;else n=Soc(m,c,d)|0;if((n|0)!=(m|0)?(m=d+4|0,k=f[m>>2]|0,(f[d>>2]|0)!=(k|0)):0){ipc(j,k+-24|0);Voc(j,0,523518)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];k=0;while(1){if((k|0)==3)break;f[j+(k<<2)>>2]=0;k=k+1|0}Woc(i,523313)|0;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];k=0;while(1){if((k|0)==3)break;f[i+(k<<2)>>2]=0;k=k+1|0}lpc(g,h);mpc((f[m>>2]|0)+-24|0,g);xoc(g);Ooc(h);Ooc(i);Ooc(j);l=n}else l=a}else l=a;while(0);u=e;return l|0}function Vpc(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b[a+11>>0]=5;Mbc(a,c,5)|0;b[e>>0]=0;Gcc(a+5|0,e);e=a+12|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[e+(a<<2)>>2]=0;a=a+1|0}u=d;return}function Wpc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+48|0;g=e+24|0;h=e;i=e+12|0;if(((((c-a|0)>2?(b[a>>0]|0)==116:0)?(b[a+1>>0]|0)==119:0)?(j=a+2|0,k=upc(j,c,d)|0,(k|0)!=(j|0)):0)?(j=d+4|0,c=f[j>>2]|0,(f[d>>2]|0)!=(c|0)):0){ipc(i,c+-24|0);Voc(i,0,523511)|0;f[h>>2]=f[i>>2];f[h+4>>2]=f[i+4>>2];f[h+8>>2]=f[i+8>>2];c=0;while(1){if((c|0)==3)break;f[i+(c<<2)>>2]=0;c=c+1|0}lpc(g,h);mpc((f[j>>2]|0)+-24|0,g);xoc(g);Ooc(h);Ooc(i);l=k}else l=a;u=e;return l|0}function Xpc(a,b){a=a|0;b=b|0;Ypc(a,b,Fcc(b)|0);return}function Ypc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;h=a+11|0;i=b[h>>0]|0;j=i<<24>>24<0;if(j)k=(f[a+8>>2]&2147483647)+-1|0;else k=10;do if(k>>>0>=d>>>0){if(j)l=f[a>>2]|0;else l=a;Smc(l,c,d)|0;b[g>>0]=0;Gcc(l+d|0,g);if((b[h>>0]|0)<0){f[a+4>>2]=d;break}else{b[h>>0]=d;break}}else{if(j)m=f[a+4>>2]|0;else m=i&255;Koc(a,k,d-k|0,m,0,m,d,c)}while(0);u=e;return}function Zpc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=u;u=u+16|0;g=e;a:do if((c-a|0)>1){h=b[a>>0]|0;i=h<<24>>24==111;switch(h<<24>>24){case 100:case 111:{if((b[a+1>>0]|0)==110){h=a+2|0;if(!i){i=sqc(h,c,d)|0;j=(i|0)==(h|0)?a:i;break a}i=eqc(h,c,d)|0;if((i|0)==(h|0)){j=a;break a}h=hpc(i,c,d)|0;if((h|0)==(i|0)){j=i;break a}i=d+4|0;k=f[i>>2]|0;if(((k-(f[d>>2]|0)|0)/24|0)>>>0<2){j=h;break a}ipc(g,k+-24|0);k=f[i>>2]|0;l=k+-24|0;m=k;while(1){if((m|0)==(l|0))break;n=m+-24|0;f[i>>2]=n;xoc(n);m=f[i>>2]|0}i=b[g+11>>0]|0;m=i<<24>>24<0;Aoc(k+-48|0,m?f[g>>2]|0:g,m?f[g+4>>2]|0:i&255)|0;Ooc(g);j=h;break a}break}default:{}}i=aqc(a,c,d)|0;if((i|0)==(a|0)){m=eqc(a,c,d)|0;if((m|0)!=(a|0)){l=hpc(m,c,d)|0;if((l|0)!=(m|0)){n=d+4|0;o=f[n>>2]|0;if(((o-(f[d>>2]|0)|0)/24|0)>>>0<2)j=l;else{ipc(g,o+-24|0);o=f[n>>2]|0;p=o+-24|0;q=o;while(1){if((q|0)==(p|0))break;r=q+-24|0;f[n>>2]=r;xoc(r);q=f[n>>2]|0}n=b[g+11>>0]|0;q=n<<24>>24<0;Aoc(o+-48|0,q?f[g>>2]|0:g,q?f[g+4>>2]|0:n&255)|0;Ooc(g);j=l}}else j=m}else j=a}else j=i}else j=a;while(0);u=e;return j|0}function _pc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;e=u;u=u+32|0;g=e+8|0;h=e;a:do if((a|0)==(c|0))i=a;else{j=d+16|0;switch(b[a>>0]|0){case 84:{k=d+4|0;l=((f[k>>2]|0)-(f[d>>2]|0)|0)/24|0;m=gpc(a,c,d)|0;n=f[k>>2]|0;o=(n-(f[d>>2]|0)|0)/24|0;p=n;if((m|0)!=(a|0)&(o|0)==(l+1|0)){f[h>>2]=f[d+12>>2];$oc(g,p+-24|0,h);n=d+20|0;q=f[n>>2]|0;if(q>>>0<(f[d+24>>2]|0)>>>0){f[q>>2]=0;r=q+4|0;f[r>>2]=0;s=f[g+12>>2]|0;f[q+8>>2]=0;f[q+12>>2]=s;f[q>>2]=f[g>>2];s=g+4|0;f[r>>2]=f[s>>2];r=g+8|0;f[q+8>>2]=f[r>>2];f[r>>2]=0;f[s>>2]=0;f[g>>2]=0;f[n>>2]=(f[n>>2]|0)+16}else apc(j,g);yoc(g);i=m;break a}else{t=o;v=p}while(1){if((t|0)==(l|0)){i=a;break a}p=v+-24|0;o=v;while(1){if((o|0)==(p|0))break;m=o+-24|0;f[k>>2]=m;xoc(m);o=f[k>>2]|0}t=t+-1|0;v=p}break}case 68:{k=rpc(a,c,d)|0;if((k|0)==(a|0)){i=a;break a}l=f[d+4>>2]|0;if((f[d>>2]|0)==(l|0)){i=a;break a}f[h>>2]=f[d+12>>2];$oc(g,l+-24|0,h);l=d+20|0;o=f[l>>2]|0;if(o>>>0<(f[d+24>>2]|0)>>>0){f[o>>2]=0;m=o+4|0;f[m>>2]=0;n=f[g+12>>2]|0;f[o+8>>2]=0;f[o+12>>2]=n;f[o>>2]=f[g>>2];n=g+4|0;f[m>>2]=f[n>>2];m=g+8|0;f[o+8>>2]=f[m>>2];f[m>>2]=0;f[n>>2]=0;f[g>>2]=0;f[l>>2]=(f[l>>2]|0)+16}else apc(j,g);yoc(g);i=k;break a;break}case 83:{k=qpc(a,c,d)|0;if((k|0)!=(a|0)){i=k;break a}if((c-a|0)<=2){i=a;break a}if((b[a+1>>0]|0)!=116){i=a;break a}k=a+2|0;l=bqc(k,c,d)|0;if((l|0)==(k|0)){i=a;break a}k=d+4|0;n=f[k>>2]|0;if((f[d>>2]|0)==(n|0)){i=a;break a}Voc(n+-24|0,0,523609)|0;n=(f[k>>2]|0)+-24|0;f[h>>2]=f[d+12>>2];$oc(g,n,h);n=d+20|0;k=f[n>>2]|0;if(k>>>0<(f[d+24>>2]|0)>>>0){f[k>>2]=0;m=k+4|0;f[m>>2]=0;o=f[g+12>>2]|0;f[k+8>>2]=0;f[k+12>>2]=o;f[k>>2]=f[g>>2];o=g+4|0;f[m>>2]=f[o>>2];m=g+8|0;f[k+8>>2]=f[m>>2];f[m>>2]=0;f[o>>2]=0;f[g>>2]=0;f[n>>2]=(f[n>>2]|0)+16}else apc(j,g);yoc(g);i=l;break a;break}default:{i=a;break a}}}while(0);u=e;return i|0}function $pc(a,b,c){a=a|0;b=b|0;c=c|0;return aqc(a,b,c)|0}function aqc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+16|0;g=e;if((a|0)!=(c|0)?(h=jpc(a,c,d)|0,(h|0)!=(a|0)):0){i=hpc(h,c,d)|0;if((i|0)!=(h|0)){c=d+4|0;j=f[c>>2]|0;if(((j-(f[d>>2]|0)|0)/24|0)>>>0<2)k=a;else{ipc(g,j+-24|0);j=f[c>>2]|0;d=j+-24|0;l=j;while(1){if((l|0)==(d|0))break;m=l+-24|0;f[c>>2]=m;xoc(m);l=f[c>>2]|0}c=b[g+11>>0]|0;l=c<<24>>24<0;Aoc(j+-48|0,l?f[g>>2]|0:g,l?f[g+4>>2]|0:c&255)|0;Ooc(g);k=i}}else k=h}else k=a;u=e;return k|0}function bqc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0;a:do if((a|0)==(c|0))e=a;else switch(b[a>>0]|0){case 68:case 67:{e=cqc(a,c,d)|0;break a;break}case 85:{e=dqc(a,c,d)|0;break a;break}case 57:case 56:case 55:case 54:case 53:case 52:case 51:case 50:case 49:{e=jpc(a,c,d)|0;break a;break}default:return eqc(a,c,d)|0}while(0);return e|0}function cqc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=u;u=u+64|0;g=e+40|0;h=e+24|0;i=e;j=e+12|0;a:do if((c-a|0)>1?(k=d+4|0,l=f[k>>2]|0,(f[d>>2]|0)!=(l|0)):0){m=a+2|0;n=d+60|0;o=a+1|0;switch(b[a>>0]|0){case 67:{switch(b[o>>0]|0){case 53:case 51:case 50:case 49:break;default:{p=a;break a}}qqc(h,l+-24|0);lpc(g,h);q=f[k>>2]|0;if(q>>>0<(f[d+8>>2]|0)>>>0){npc(q,g);f[k>>2]=(f[k>>2]|0)+24}else opc(d,g);xoc(g);Ooc(h);b[n>>0]=1;p=m;break a;break}case 68:break;default:{p=a;break a}}switch(b[o>>0]|0){case 53:case 50:case 49:case 48:break;default:{p=a;break a}}qqc(j,l+-24|0);Voc(j,0,523385)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];l=0;while(1){if((l|0)==3)break;f[j+(l<<2)>>2]=0;l=l+1|0}lpc(g,i);l=f[k>>2]|0;if(l>>>0<(f[d+8>>2]|0)>>>0){npc(l,g);f[k>>2]=(f[k>>2]|0)+24}else opc(d,g);xoc(g);Ooc(i);Ooc(j);b[n>>0]=1;p=m}else p=a;while(0);u=e;return p|0}function dqc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;e=u;u=u+80|0;g=e+68|0;h=e+16|0;i=e+56|0;j=e+44|0;k=e;l=e+40|0;a:do if((c-a|0)>2?(b[a>>0]|0)==85:0){m=a+2|0;switch(b[a+1>>0]|0){case 116:{f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;n=Fcc(524116)|0;if(n>>>0>4294967279)Lmc(i);if(n>>>0<11){b[i+11>>0]=n;o=i}else{p=n+16&-16;q=Loc(p)|0;f[i>>2]=q;f[i+8>>2]=p|-2147483648;f[i+4>>2]=n;o=q}Mbc(o,524116,n)|0;b[g>>0]=0;Gcc(o+n|0,g);lpc(h,i);n=d+4|0;q=f[n>>2]|0;if(q>>>0<(f[d+8>>2]|0)>>>0){npc(q,h);f[n>>2]=(f[n>>2]|0)+24}else opc(d,h);xoc(h);Ooc(i);if((m|0)==(c|0)){q=f[n>>2]|0;p=q+-24|0;r=q;while(1){if((r|0)==(p|0)){s=a;break a}q=r+-24|0;f[n>>2]=q;xoc(q);r=f[n>>2]|0}}if(((b[m>>0]|0)+-48|0)>>>0<10){r=a+3|0;while(1){if((r|0)==(c|0)){t=c;break}if(((b[r>>0]|0)+-48|0)>>>0>=10){t=r;break}r=r+1|0}mqc((f[n>>2]|0)+-24|0,m,t);v=t}else v=m;nqc((f[n>>2]|0)+-24|0,39);if((v|0)!=(c|0)?(b[v>>0]|0)==95:0){s=v+1|0;break a}r=f[n>>2]|0;p=r+-24|0;q=r;while(1){if((q|0)==(p|0)){s=a;break a}r=q+-24|0;f[n>>2]=r;xoc(r);q=f[n>>2]|0}break}case 108:break;default:{s=a;break a}}f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;n=Fcc(524125)|0;if(n>>>0>4294967279)Lmc(j);if(n>>>0<11){b[j+11>>0]=n;w=j}else{q=n+16&-16;p=Loc(q)|0;f[j>>2]=p;f[j+8>>2]=q|-2147483648;f[j+4>>2]=n;w=p}Mbc(w,524125,n)|0;b[g>>0]=0;Gcc(w+n|0,g);lpc(h,j);n=d+4|0;p=f[n>>2]|0;if(p>>>0<(f[d+8>>2]|0)>>>0){npc(p,h);f[n>>2]=(f[n>>2]|0)+24}else opc(d,h);xoc(h);Ooc(j);do if((b[m>>0]|0)!=118){p=Soc(m,c,d)|0;if((p|0)==(m|0)){q=f[n>>2]|0;r=q+-24|0;x=q;while(1){if((x|0)==(r|0)){s=a;break a}q=x+-24|0;f[n>>2]=q;xoc(q);x=f[n>>2]|0}}x=f[n>>2]|0;if(((x-(f[d>>2]|0)|0)/24|0)>>>0<2){s=a;break a}ipc(h,x+-24|0);x=f[n>>2]|0;r=x+-24|0;q=x;while(1){if((q|0)==(r|0))break;y=q+-24|0;f[n>>2]=y;xoc(y);q=f[n>>2]|0}q=h+11|0;r=b[q>>0]|0;y=r<<24>>24<0;z=h+4|0;Aoc(x+-48|0,y?f[h>>2]|0:h,y?f[z>>2]|0:r&255)|0;r=p;while(1){y=Soc(r,c,d)|0;if((y|0)==(r|0)){A=60;break}B=f[n>>2]|0;if(((B-(f[d>>2]|0)|0)/24|0)>>>0<2){A=85;break}ipc(k,B+-24|0);if((b[q>>0]|0)<0){B=f[h>>2]|0;b[g>>0]=0;Gcc(B,g);f[z>>2]=0}else{b[g>>0]=0;Gcc(h,g);b[q>>0]=0}vpc(h);f[h>>2]=f[k>>2];f[h+4>>2]=f[k+4>>2];f[h+8>>2]=f[k+8>>2];B=0;while(1){if((B|0)==3)break;f[k+(B<<2)>>2]=0;B=B+1|0}Ooc(k);B=f[n>>2]|0;C=B+-24|0;D=B;while(1){if((D|0)==(C|0))break;E=D+-24|0;f[n>>2]=E;xoc(E);D=f[n>>2]|0}D=b[q>>0]|0;if(!((D<<24>>24<0?f[z>>2]|0:D&255)|0)){r=y;continue}Woc(B+-48|0,523537)|0;D=b[q>>0]|0;C=D<<24>>24<0;Aoc((f[n>>2]|0)+-24|0,C?f[h>>2]|0:h,C?f[z>>2]|0:D&255)|0;r=y}if((A|0)==60){Woc((f[n>>2]|0)+-24|0,523313)|0;Ooc(h);F=r;break}else if((A|0)==85){Ooc(h);s=a;break a}}else{nqc((f[n>>2]|0)+-24|0,41);F=a+3|0}while(0);if((F|0)!=(c|0)?(b[F>>0]|0)==69:0){m=F+1|0;if((m|0)==(c|0)){z=f[n>>2]|0;q=z+-24|0;p=z;while(1){if((p|0)==(q|0)){s=a;break a}z=p+-24|0;f[n>>2]=z;xoc(z);p=f[n>>2]|0}}if(((b[m>>0]|0)+-48|0)>>>0<10){p=F+2|0;while(1){if((p|0)==(c|0)){G=c;break}if(((b[p>>0]|0)+-48|0)>>>0>=10){G=p;break}p=p+1|0}p=(f[n>>2]|0)+-24|0;if((b[p+11>>0]|0)<0)H=f[p>>2]|0;else H=p;f[l>>2]=H+7;f[g>>2]=f[l>>2];oqc(p,g,m,G)|0;I=G}else I=m;if((I|0)!=(c|0)?(b[I>>0]|0)==95:0){s=I+1|0;break}p=f[n>>2]|0;q=p+-24|0;z=p;while(1){if((z|0)==(q|0)){s=a;break a}p=z+-24|0;f[n>>2]=p;xoc(p);z=f[n>>2]|0}}z=f[n>>2]|0;q=z+-24|0;m=z;while(1){if((m|0)==(q|0)){s=a;break a}z=m+-24|0;f[n>>2]=z;xoc(z);m=f[n>>2]|0}}else s=a;while(0);u=e;return s|0}function eqc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;e=u;u=u+32|0;g=e;a:do if((c-a|0)>1){h=a+2|0;i=a+1|0;do switch(b[a>>0]|0){case 97:{switch(b[i>>0]|0){case 97:{fqc(g,523615);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[j>>2]=(f[j>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 110:case 100:{gqc(g,523626);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[j>>2]=(f[j>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 78:{fqc(g,523636);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[j>>2]=(f[j>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 83:{gqc(g,523647);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[j>>2]=(f[j>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}default:{l=a;break a}}break}case 99:{switch(b[i>>0]|0){case 108:{fqc(g,523657);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[j>>2]=(f[j>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 109:{gqc(g,523668);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[j>>2]=(f[j>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 111:{gqc(g,523678);j=d+4|0;k=f[j>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[j>>2]=(f[j>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 118:{j=d+63|0;k=b[j>>0]|0;b[j>>0]=0;m=Soc(h,c,d)|0;b[j>>0]=k;if((m|0)==(h|0)){l=a;break a}k=f[d+4>>2]|0;if((f[d>>2]|0)==(k|0)){l=a;break a}Voc(k+-24|0,0,523688)|0;b[d+60>>0]=1;l=m;break a;break}default:{l=a;break a}}break}case 100:{switch(b[i>>0]|0){case 97:{hqc(g,523698);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 101:{gqc(g,523716);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 108:{iqc(g);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 118:{gqc(g,523726);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 86:{fqc(g,523736);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}default:{l=a;break a}}break}case 101:{switch(b[i>>0]|0){case 111:{gqc(g,523747);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 79:{fqc(g,523757);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 113:{fqc(g,523768);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}default:{l=a;break a}}break}case 103:{switch(b[i>>0]|0){case 101:{fqc(g,523779);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 116:{gqc(g,523790);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}default:{l=a;break a}}break}case 105:{if((b[i>>0]|0)!=120){l=a;break a}fqc(g,523800);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 108:{switch(b[i>>0]|0){case 101:{fqc(g,523811);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 105:{m=jpc(h,c,d)|0;if((m|0)==(h|0)){l=a;break a}k=f[d+4>>2]|0;if((f[d>>2]|0)==(k|0)){l=a;break a}Voc(k+-24|0,0,523822)|0;l=m;break a;break}case 115:{fqc(g,523834);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 83:{jqc(g,523845);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 116:{gqc(g,523857);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}default:{l=a;break a}}break}case 109:{switch(b[i>>0]|0){case 105:{gqc(g,523867);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 73:{fqc(g,523877);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 108:{gqc(g,523716);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 76:{fqc(g,523888);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 109:{fqc(g,523899);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}default:{l=a;break a}}break}case 110:{switch(b[i>>0]|0){case 97:{kqc(g,523910);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 101:{fqc(g,523925);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 103:{gqc(g,523867);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 116:{gqc(g,523936);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 119:{lqc(g,523946);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}default:{l=a;break a}}break}case 111:{switch(b[i>>0]|0){case 111:{fqc(g,523959);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 114:{gqc(g,523970);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 82:{fqc(g,523980);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}default:{l=a;break a}}break}case 112:{switch(b[i>>0]|0){case 109:{jqc(g,523991);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 108:{gqc(g,524003);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 76:{fqc(g,524013);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 112:{fqc(g,524024);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 115:{gqc(g,524003);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 116:{fqc(g,524035);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}default:{l=a;break a}}break}case 113:{if((b[i>>0]|0)!=117){l=a;break a}gqc(g,524046);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 114:{switch(b[i>>0]|0){case 109:{gqc(g,524056);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 77:{fqc(g,524066);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 115:{fqc(g,524077);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}case 83:{jqc(g,524088);m=d+4|0;k=f[m>>2]|0;if(k>>>0<(f[d+8>>2]|0)>>>0){npc(k,g);f[m>>2]=(f[m>>2]|0)+24}else opc(d,g);xoc(g);l=h;break a;break}default:{l=a;break a}}break}case 118:{if(((b[i>>0]|0)+-48|0)>>>0>=10){l=a;break a}m=jpc(h,c,d)|0;if((m|0)==(h|0)){l=a;break a}k=f[d+4>>2]|0;if((f[d>>2]|0)==(k|0)){l=a;break a}Voc(k+-24|0,0,523688)|0;l=m;break a;break}default:{l=a;break a}}while(0)}else l=a;while(0);u=e;return l|0}function fqc(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b[a+11>>0]=10;Mbc(a,c,10)|0;b[e>>0]=0;Gcc(a+10|0,e);e=a+12|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[e+(a<<2)>>2]=0;a=a+1|0}u=d;return}function gqc(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b[a+11>>0]=9;Mbc(a,c,9)|0;b[e>>0]=0;Gcc(a+9|0,e);e=a+12|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[e+(a<<2)>>2]=0;a=a+1|0}u=d;return}function hqc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;g=Loc(32)|0;f[a>>2]=g;f[a+8>>2]=-2147483616;f[a+4>>2]=17;Mbc(g,c,17)|0;b[e>>0]=0;Gcc(g+17|0,e);e=a+12|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[e+(a<<2)>>2]=0;a=a+1|0}u=d;return}function iqc(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;e=Loc(16)|0;f[a>>2]=e;f[a+8>>2]=-2147483632;f[a+4>>2]=15;Mbc(e,524100,15)|0;b[d>>0]=0;Gcc(e+15|0,d);d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[d+(a<<2)>>2]=0;a=a+1|0}u=c;return}function jqc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;g=Loc(16)|0;f[a>>2]=g;f[a+8>>2]=-2147483632;f[a+4>>2]=11;Mbc(g,c,11)|0;b[e>>0]=0;Gcc(g+11|0,e);e=a+12|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[e+(a<<2)>>2]=0;a=a+1|0}u=d;return}function kqc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;g=Loc(16)|0;f[a>>2]=g;f[a+8>>2]=-2147483632;f[a+4>>2]=14;Mbc(g,c,14)|0;b[e>>0]=0;Gcc(g+14|0,e);e=a+12|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[e+(a<<2)>>2]=0;a=a+1|0}u=d;return}function lqc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;g=Loc(16)|0;f[a>>2]=g;f[a+8>>2]=-2147483632;f[a+4>>2]=12;Mbc(g,c,12)|0;b[e>>0]=0;Gcc(g+12|0,e);e=a+12|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[e+(a<<2)>>2]=0;a=a+1|0}u=d;return}function mqc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;e=u;u=u+16|0;g=c;h=e+12|0;i=e;j=a+11|0;k=b[j>>0]|0;l=k<<24>>24<0;if(l){m=f[a+4>>2]|0;n=(f[a+8>>2]&2147483647)+-1|0}else{m=k&255;n=10}o=d-g|0;do if(o|0){if(l){p=f[a>>2]|0;q=p;r=f[a+4>>2]|0;s=p}else{q=a;r=k&255;s=a}if(dnc(c,s,q+r|0)|0){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;if(o>>>0>4294967279)Lmc(i);if(o>>>0<11){b[i+11>>0]=o;t=i}else{p=o+16&-16;v=Loc(p)|0;f[i>>2]=v;f[i+8>>2]=p|-2147483648;f[i+4>>2]=o;t=v}v=c;p=t;while(1){if((v|0)==(d|0))break;Gcc(p,v);v=v+1|0;p=p+1|0}b[h>>0]=0;Gcc(t+o|0,h);p=b[i+11>>0]|0;v=p<<24>>24<0;Aoc(a,v?f[i>>2]|0:i,v?f[i+4>>2]|0:p&255)|0;Ooc(i);break}p=m+o|0;if((n-m|0)>>>0<o>>>0)pqc(a,n,p-n|0,m,m,0);if((b[j>>0]|0)<0)w=f[a>>2]|0;else w=a;v=d+(m-g)|0;x=w+m|0;y=c;while(1){if((y|0)==(d|0))break;Gcc(x,y);x=x+1|0;y=y+1|0}b[h>>0]=0;Gcc(w+v|0,h);if((b[j>>0]|0)<0){f[a+4>>2]=p;break}else{b[j>>0]=p;break}}while(0);u=e;return}function nqc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;d=u;u=u+16|0;e=d;g=d+1|0;b[e>>0]=c;c=a+11|0;h=b[c>>0]|0;i=h<<24>>24<0;if(i){j=f[a+4>>2]|0;k=(f[a+8>>2]&2147483647)+-1|0}else{j=h&255;k=10}if((j|0)==(k|0)){pqc(a,k,1,k,k,0);h=k+1|0;if((b[c>>0]|0)<0){l=h;m=8}else{n=h;m=7}}else{h=j+1|0;if(i){l=h;m=8}else{n=h;m=7}}if((m|0)==7){b[c>>0]=n;o=a}else if((m|0)==8){m=f[a>>2]|0;f[a+4>>2]=l;o=m}m=o+j|0;Gcc(m,e);b[g>>0]=0;Gcc(m+1|0,g);u=d;return}function oqc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;g=u;u=u+32|0;h=g+16|0;i=g;j=g+12|0;k=a+11|0;l=b[k>>0]|0;m=l<<24>>24<0;if(m)n=f[a>>2]|0;else n=a;o=f[c>>2]|0;c=o-n|0;n=e-d|0;do if(!n){p=l;q=35}else{if(m){r=f[a>>2]|0;s=r;t=f[a+4>>2]|0;v=r}else{s=a;t=l&255;v=a}if(dnc(d,v,s+t|0)|0){f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;if(n>>>0>4294967279)Lmc(i);if(n>>>0<11){b[i+11>>0]=n;w=i}else{r=n+16&-16;x=Loc(r)|0;f[i>>2]=x;f[i+8>>2]=r|-2147483648;f[i+4>>2]=n;w=x}x=d;r=w;while(1){if((x|0)==(e|0))break;Gcc(r,x);x=x+1|0;r=r+1|0}b[h>>0]=0;Gcc(w+n|0,h);f[j>>2]=o;r=b[i+11>>0]|0;x=r<<24>>24<0;y=x?f[i>>2]|0:i;z=y+(x?f[i+4>>2]|0:r&255)|0;f[h>>2]=f[j>>2];r=oqc(a,h,y,z)|0;Ooc(i);A=r;break}r=b[k>>0]|0;z=r<<24>>24<0;if(z){B=f[a+4>>2]|0;C=(f[a+8>>2]&2147483647)+-1|0}else{B=r&255;C=10}r=B+n|0;if((C-B|0)>>>0>=n>>>0){if(z)D=f[a>>2]|0;else D=a;z=B-c|0;if(!z)E=D;else{y=D+c|0;Smc(y+n|0,y,z)|0;E=D}}else{pqc(a,C,r-C|0,B,c,n);E=f[a>>2]|0}if((b[k>>0]|0)<0)f[a+4>>2]=r;else b[k>>0]=r;b[h>>0]=0;Gcc(E+r|0,h);r=d;z=E+c|0;while(1){if((r|0)==(e|0))break;Gcc(z,r);r=r+1|0;z=z+1|0}p=b[k>>0]|0;q=35}while(0);if((q|0)==35){if(p<<24>>24<0)F=f[a>>2]|0;else F=a;A=F+c|0}u=g;return A|0}function pqc(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0;if((-17-c|0)>>>0<d>>>0)Lmc(a);if((b[a+11>>0]|0)<0)i=f[a>>2]|0;else i=a;if(c>>>0<2147483623){j=d+c|0;d=c<<1;k=j>>>0<d>>>0?d:j;l=k>>>0<11?11:k+16&-16}else l=-17;k=Loc(l)|0;if(g|0)Mbc(k,i,g)|0;j=e-g|0;if(j|0)Mbc(k+g+h|0,i+g|0,j)|0;if((c|0)!=10)Moc(i);f[a>>2]=k;f[a+8>>2]=l|-2147483648;return}function qqc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;d=u;u=u+16|0;e=d;g=c+11|0;h=b[g>>0]|0;i=c+4|0;a:do if(!((h<<24>>24<0?f[i>>2]|0:h&255)|0))rqc(a,c);else{j=Fcc(524135)|0;k=b[g>>0]|0;if((j|0)==((k<<24>>24<0?f[i>>2]|0:k&255)|0)?(epc(c,524135,j)|0)==0:0){Xpc(c,524147);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;j=Fcc(524218)|0;if(j>>>0>4294967279)Lmc(a);if(j>>>0<11){b[a+11>>0]=j;l=a}else{k=j+16&-16;m=Loc(k)|0;f[a>>2]=m;f[a+8>>2]=k|-2147483648;f[a+4>>2]=j;l=m}Mbc(l,524218,j)|0;b[e>>0]=0;Gcc(l+j|0,e);break}j=Fcc(524231)|0;m=b[g>>0]|0;if((j|0)==((m<<24>>24<0?f[i>>2]|0:m&255)|0)?(epc(c,524231,j)|0)==0:0){Xpc(c,524244);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;j=Fcc(524294)|0;if(j>>>0>4294967279)Lmc(a);if(j>>>0<11){b[a+11>>0]=j;n=a}else{m=j+16&-16;k=Loc(m)|0;f[a>>2]=k;f[a+8>>2]=m|-2147483648;f[a+4>>2]=j;n=k}Mbc(n,524294,j)|0;b[e>>0]=0;Gcc(n+j|0,e);break}j=Fcc(524308)|0;k=b[g>>0]|0;if((j|0)==((k<<24>>24<0?f[i>>2]|0:k&255)|0)?(epc(c,524308,j)|0)==0:0){Xpc(c,524321);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;j=Fcc(524371)|0;if(j>>>0>4294967279)Lmc(a);if(j>>>0<11){b[a+11>>0]=j;o=a}else{k=j+16&-16;m=Loc(k)|0;f[a>>2]=m;f[a+8>>2]=k|-2147483648;f[a+4>>2]=j;o=m}Mbc(o,524371,j)|0;b[e>>0]=0;Gcc(o+j|0,e);break}j=Fcc(524385)|0;m=b[g>>0]|0;k=f[i>>2]|0;do if((j|0)==((m<<24>>24<0?k:m&255)|0)){if(epc(c,524385,j)|0){p=f[i>>2]|0;q=b[g>>0]|0;break}Xpc(c,524399);f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;r=Fcc(524450)|0;if(r>>>0>4294967279)Lmc(a);if(r>>>0<11){b[a+11>>0]=r;s=a}else{t=r+16&-16;v=Loc(t)|0;f[a>>2]=v;f[a+8>>2]=t|-2147483648;f[a+4>>2]=r;s=v}Mbc(s,524450,r)|0;b[e>>0]=0;Gcc(s+r|0,e);break a}else{p=k;q=m}while(0);m=q<<24>>24<0;k=m?f[c>>2]|0:c;j=k+(m?p:q&255)|0;b:do if((b[j+-1>>0]|0)==62){m=1;r=j;c:while(1){v=r;d:while(1){w=v+-1|0;if((w|0)==(k|0))break c;x=v+-2|0;switch(b[x>>0]|0){case 60:{y=43;break d;break}case 62:{y=44;break d;break}default:v=w}}if((y|0)==43){y=0;v=m+-1|0;if(!v){z=x;break b}else{m=v;r=w;continue}}else if((y|0)==44){y=0;m=m+1|0;r=w;continue}}f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;r=0;while(1){if((r|0)==3)break a;f[a+(r<<2)>>2]=0;r=r+1|0}}else z=j;while(0);j=z;while(1){r=j+-1|0;if((r|0)==(k|0)){A=k;break}if((b[r>>0]|0)==58){A=j;break}else j=r}f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;j=z-A|0;if(j>>>0>4294967279)Lmc(a);if(j>>>0<11){b[a+11>>0]=j;B=a}else{k=j+16&-16;r=Loc(k)|0;f[a>>2]=r;f[a+8>>2]=k|-2147483648;f[a+4>>2]=j;B=r}r=A;k=B;while(1){if((r|0)==(z|0))break;Gcc(k,r);r=r+1|0;k=k+1|0}b[e>>0]=0;Gcc(B+j|0,e)}while(0);u=d;return}function rqc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;d=u;u=u+16|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;if((b[c+11>>0]|0)<0){g=f[c>>2]|0;h=f[c+4>>2]|0;if(h>>>0>4294967279)Lmc(a);if(h>>>0<11){b[a+11>>0]=h;i=a}else{j=h+16&-16;k=Loc(j)|0;f[a>>2]=k;f[a+8>>2]=j|-2147483648;f[a+4>>2]=h;i=k}Mbc(i,g,h)|0;b[e>>0]=0;Gcc(i+h|0,e)}else{f[a>>2]=f[c>>2];f[a+4>>2]=f[c+4>>2];f[a+8>>2]=f[c+8>>2]}u=d;return}function sqc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;if((a|0)!=(b|0)){d=_pc(a,b,c)|0;if((d|0)==(a|0))e=aqc(a,b,c)|0;else e=d;if((e|0)!=(a|0)?(d=f[c+4>>2]|0,(f[c>>2]|0)!=(d|0)):0){Voc(d+-24|0,0,523385)|0;g=e}else g=a}else g=a;return g|0}function tqc(a){a=a|0;var b=0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;f[a+(b<<2)>>2]=0;b=b+1|0}b=a+12|0;f[b>>2]=0;f[b+4>>2]=0;f[b+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[b+(a<<2)>>2]=0;a=a+1|0}return}function uqc(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;b=u;u=u+32|0;c=b;d=a+4|0;e=(((f[d>>2]|0)-(f[a>>2]|0)|0)/24|0)+1|0;g=vqc(a)|0;if(g>>>0<e>>>0)Ukc(a);else{h=f[a>>2]|0;i=((f[a+8>>2]|0)-h|0)/24|0;j=i<<1;wqc(c,i>>>0<g>>>1>>>0?(j>>>0<e>>>0?e:j):g,((f[d>>2]|0)-h|0)/24|0,a+12|0);h=c+8|0;d=f[h>>2]|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[d+16>>2]=0;f[d+20>>2]=0;tqc(d);f[h>>2]=d+24;xqc(a,c);yqc(c);u=b;return}}function vqc(a){a=a|0;return 178956970}function wqc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;f[a+12>>2]=0;f[a+16>>2]=d;if(!b)e=0;else e=zqc(d,b)|0;f[a>>2]=e;d=e+(c*24|0)|0;f[a+8>>2]=d;f[a+4>>2]=d;f[a+12>>2]=e+(b*24|0);return}function xqc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;c=f[a>>2]|0;d=a+4|0;e=b+4|0;g=f[d>>2]|0;while(1){if((g|0)==(c|0))break;h=g+-24|0;npc((f[e>>2]|0)+-24|0,h);f[e>>2]=(f[e>>2]|0)+-24;g=h}g=f[a>>2]|0;f[a>>2]=f[e>>2];f[e>>2]=g;g=b+8|0;c=f[d>>2]|0;f[d>>2]=f[g>>2];f[g>>2]=c;c=a+8|0;a=b+12|0;g=f[c>>2]|0;f[c>>2]=f[a>>2];f[a>>2]=g;f[b>>2]=f[e>>2];return}function yqc(a){a=a|0;var b=0,c=0,d=0,e=0;b=f[a+4>>2]|0;c=a+8|0;while(1){d=f[c>>2]|0;if((d|0)==(b|0))break;e=d+-24|0;f[c>>2]=e;xoc(e)}c=f[a>>2]|0;if(c|0)Noc(f[a+16>>2]|0,c,((f[a+12>>2]|0)-c|0)/24|0);return}function zqc(a,b){a=a|0;b=b|0;return Aqc(f[a>>2]|0,b*24|0)|0}function Aqc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=Ioc(b)|0;b=a+4096|0;d=f[b>>2]|0;if((a+4096-d|0)>>>0<c>>>0)e=W6b(c)|0;else{f[b>>2]=d+c;e=d}return e|0}function Bqc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=u;u=u+48|0;h=g+24|0;i=g;j=g+12|0;k=tpc(a,c)|0;if(!((k|0)==(a|0)|(k|0)==(c|0))?(b[k>>0]|0)==69:0){c=d+11|0;l=b[c>>0]|0;m=d+4|0;do if((l<<24>>24<0?f[m>>2]|0:l&255)>>>0<=3){n=e+4|0;o=f[n>>2]|0;if(o>>>0<(f[e+8>>2]|0)>>>0){f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;f[o+16>>2]=0;f[o+20>>2]=0;tqc(o);f[n>>2]=(f[n>>2]|0)+24;break}else{uqc(e);break}}else{wpc(j,523315,d);Woc(j,523313)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];n=0;while(1){if((n|0)==3)break;f[j+(n<<2)>>2]=0;n=n+1|0}lpc(h,i);n=e+4|0;o=f[n>>2]|0;if(o>>>0<(f[e+8>>2]|0)>>>0){npc(o,h);f[n>>2]=(f[n>>2]|0)+24}else opc(e,h);xoc(h);Ooc(i);Ooc(j)}while(0);j=e+4|0;if((b[a>>0]|0)==110){nqc((f[j>>2]|0)+-24|0,45);p=a+1|0}else p=a;mqc((f[j>>2]|0)+-24|0,p,k);p=b[c>>0]|0;c=p<<24>>24<0;e=c?f[m>>2]|0:p&255;if(e>>>0<4)Aoc((f[j>>2]|0)+-24|0,c?f[d>>2]|0:d,e)|0;q=k+1|0}else q=a;u=g;return q|0}function Cqc(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b[a+11>>0]=4;Mbc(a,c,4)|0;b[e>>0]=0;Gcc(a+4|0,e);e=a+12|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[e+(a<<2)>>2]=0;a=a+1|0}u=d;return}function Dqc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;e=u;u=u+80|0;g=e;h=e+44|0;i=e+48|0;j=e+8|0;k=e+32|0;a:do if((c-a|0)>>>0>8){l=0;m=h;while(1){o=b[a+l>>0]|0;q=o<<24>>24;r=a+(l|1)|0;if((l|0)==8){s=6;break}if(!(F9b(q)|0))break;t=b[r>>0]|0;b[m>>0]=t+(((q+-48|0)>>>0<10?0:9)+q<<4)+((t+-48|0)>>>0<10?208:169);l=l+2|0;m=m+1|0}do if((s|0)==6){if(o<<24>>24==69){b:do if((h|0)!=(m|0)){l=m;t=h;while(1){q=l+-1|0;if(t>>>0>=q>>>0)break b;v=b[t>>0]|0;b[t>>0]=b[q>>0]|0;b[q>>0]=v;l=q;t=t+1|0}}while(0);t=i;l=t+24|0;do{b[t>>0]=0;t=t+1|0}while((t|0)<(l|0));p[g>>3]=+n[h>>2];t=O8b(i,24,524627,g)|0;if(t>>>0>23)break;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;if(t>>>0<11){b[k+11>>0]=t;w=k}else{l=t+16&-16;q=Loc(l)|0;f[k>>2]=q;f[k+8>>2]=l|-2147483648;f[k+4>>2]=t;w=q}Mbc(w,i,t)|0;b[g>>0]=0;Gcc(w+t|0,g);lpc(j,k);t=d+4|0;q=f[t>>2]|0;if(q>>>0<(f[d+8>>2]|0)>>>0){npc(q,j);f[t>>2]=(f[t>>2]|0)+24}else opc(d,j);xoc(j);Ooc(k);x=r}else x=a;y=x;break a}while(0);y=a}else y=a;while(0);u=e;return y|0}function Eqc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;e=u;u=u+96|0;g=e+8|0;h=e;i=e+56|0;j=e+16|0;k=e+40|0;a:do if((c-a|0)>>>0>16){l=0;m=h;while(1){n=b[a+l>>0]|0;o=n<<24>>24;q=a+(l|1)|0;if((l|0)==16){r=6;break}if(!(F9b(o)|0))break;s=b[q>>0]|0;b[m>>0]=s+(((o+-48|0)>>>0<10?0:9)+o<<4)+((s+-48|0)>>>0<10?208:169);l=l+2|0;m=m+1|0}do if((r|0)==6){if(n<<24>>24==69){b:do if((h|0)!=(m|0)){l=m;s=h;while(1){o=l+-1|0;if(s>>>0>=o>>>0)break b;t=b[s>>0]|0;b[s>>0]=b[o>>0]|0;b[o>>0]=t;l=o;s=s+1|0}}while(0);s=i;l=s+32|0;do{b[s>>0]=0;s=s+1|0}while((s|0)<(l|0));p[g>>3]=+p[h>>3];s=O8b(i,32,524624,g)|0;if(s>>>0>31)break;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;if(s>>>0<11){b[k+11>>0]=s;v=k}else{l=s+16&-16;o=Loc(l)|0;f[k>>2]=o;f[k+8>>2]=l|-2147483648;f[k+4>>2]=s;v=o}Mbc(v,i,s)|0;b[g>>0]=0;Gcc(v+s|0,g);lpc(j,k);s=d+4|0;o=f[s>>2]|0;if(o>>>0<(f[d+8>>2]|0)>>>0){npc(o,j);f[s>>2]=(f[s>>2]|0)+24}else opc(d,j);xoc(j);Ooc(k);w=q}else w=a;x=w;break a}while(0);x=a}else x=a;while(0);u=e;return x|0}function Fqc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;e=u;u=u+96|0;g=e+8|0;h=e;i=e+56|0;j=e+16|0;k=e+40|0;a:do if((c-a|0)>>>0>20){l=0;m=h;while(1){n=b[a+l>>0]|0;o=n<<24>>24;q=a+(l|1)|0;if((l|0)==20){r=6;break}if(!(F9b(o)|0))break;s=b[q>>0]|0;b[m>>0]=s+(((o+-48|0)>>>0<10?0:9)+o<<4)+((s+-48|0)>>>0<10?208:169);l=l+2|0;m=m+1|0}do if((r|0)==6){if(n<<24>>24==69){b:do if((h|0)!=(m|0)){l=m;s=h;while(1){o=l+-1|0;if(s>>>0>=o>>>0)break b;t=b[s>>0]|0;b[s>>0]=b[o>>0]|0;b[o>>0]=t;l=o;s=s+1|0}}while(0);s=i;l=s+40|0;do{b[s>>0]=0;s=s+1|0}while((s|0)<(l|0));p[g>>3]=+p[h>>3];s=O8b(i,40,524619,g)|0;if(s>>>0>39)break;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;if(s>>>0<11){b[k+11>>0]=s;v=k}else{l=s+16&-16;o=Loc(l)|0;f[k>>2]=o;f[k+8>>2]=l|-2147483648;f[k+4>>2]=s;v=o}Mbc(v,i,s)|0;b[g>>0]=0;Gcc(v+s|0,g);lpc(j,k);s=d+4|0;o=f[s>>2]|0;if(o>>>0<(f[d+8>>2]|0)>>>0){npc(o,j);f[s>>2]=(f[s>>2]|0)+24}else opc(d,j);xoc(j);Ooc(k);w=q}else w=a;x=w;break a}while(0);x=a}else x=a;while(0);u=e;return x|0}function Gqc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;g=Loc(16)|0;f[a>>2]=g;f[a+8>>2]=-2147483632;f[a+4>>2]=13;Mbc(g,c,13)|0;b[e>>0]=0;Gcc(g+13|0,e);e=a+12|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[e+(a<<2)>>2]=0;a=a+1|0}u=d;return}function Hqc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;e=u;u=u+48|0;g=e+36|0;h=e+24|0;i=e+8|0;j=e;a:do if((a|0)!=(c|0)?(b[a>>0]|0)==78:0){k=Toc(a+1|0,c,g)|0;b:do if((k|0)!=(c|0)){l=d+52|0;f[l>>2]=0;m=k+1|0;switch(b[k>>0]|0){case 82:{n=1;o=6;break}case 79:{n=2;o=6;break}default:p=k}if((o|0)==6){f[l>>2]=n;p=m}m=d+4|0;l=f[m>>2]|0;if(l>>>0<(f[d+8>>2]|0)>>>0){f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;tqc(l);f[m>>2]=(f[m>>2]|0)+24}else uqc(d);if(((c-p|0)>1?(b[p>>0]|0)==83:0)?(b[p+1>>0]|0)==116:0){Xpc((f[m>>2]|0)+-24|0,524691);q=p+2|0}else q=p;if((q|0)==(c|0)){l=f[m>>2]|0;r=l+-24|0;s=l;while(1){if((s|0)==(r|0))break b;l=s+-24|0;f[m>>2]=l;xoc(l);s=f[m>>2]|0}}s=d+16|0;r=h+11|0;l=h+4|0;t=d+12|0;v=d+20|0;w=d+24|0;x=i+12|0;y=i+4|0;z=i+8|0;A=i+12|0;B=i+4|0;C=i+8|0;D=i+11|0;E=i+4|0;F=i+11|0;G=i+4|0;H=i+12|0;I=i+4|0;J=i+8|0;K=i+12|0;L=i+4|0;M=i+8|0;N=i+11|0;O=i+4|0;P=i+12|0;Q=i+4|0;R=i+8|0;S=i+11|0;T=i+4|0;U=0;V=q;c:while(1){W=V;d:while(1){X=b[W>>0]|0;Y=W+1|0;if(X<<24>>24==69)break c;switch(X<<24>>24|0){case 83:{o=21;break d;break}case 84:{o=37;break d;break}case 68:{o=51;break d;break}case 73:break;case 76:{if((Y|0)==(c|0))break b;else{W=Y;continue d}break}default:break d}X=hpc(W,c,d)|0;if((X|0)==(W|0)|(X|0)==(c|0))break b;ipc(h,(f[m>>2]|0)+-24|0);Z=f[m>>2]|0;_=Z+-24|0;$=Z;while(1){if(($|0)==(_|0))break;aa=$+-24|0;f[m>>2]=aa;xoc(aa);$=f[m>>2]|0}$=b[r>>0]|0;_=$<<24>>24<0;Aoc(Z+-48|0,_?f[h>>2]|0:h,_?f[l>>2]|0:$&255)|0;$=(f[m>>2]|0)+-24|0;f[j>>2]=f[t>>2];$oc(i,$,j);$=f[v>>2]|0;if($>>>0<(f[w>>2]|0)>>>0){f[$>>2]=0;_=$+4|0;f[_>>2]=0;aa=f[x>>2]|0;f[$+8>>2]=0;f[$+12>>2]=aa;f[$>>2]=f[i>>2];f[_>>2]=f[y>>2];f[$+8>>2]=f[z>>2];f[z>>2]=0;f[y>>2]=0;f[i>>2]=0;f[v>>2]=(f[v>>2]|0)+16}else apc(s,i);yoc(i);Ooc(h);W=X}e:do if((o|0)==21){o=0;if((Y|0)!=(c|0)?(b[Y>>0]|0)==116:0)break;$=qpc(W,c,d)|0;if(($|0)==(W|0)|($|0)==(c|0))break b;ipc(h,(f[m>>2]|0)+-24|0);_=f[m>>2]|0;aa=_+-24|0;ba=_;while(1){if((ba|0)==(aa|0))break;ca=ba+-24|0;f[m>>2]=ca;xoc(ca);ba=f[m>>2]|0}ba=_+-48|0;aa=b[ba+11>>0]|0;if(aa<<24>>24<0)da=f[_+-44>>2]|0;else da=aa&255;if(!da)Lqc(ba,h);else{wpc(i,523387,h);ba=b[F>>0]|0;aa=ba<<24>>24<0;Aoc((f[m>>2]|0)+-24|0,aa?f[i>>2]|0:i,aa?f[G>>2]|0:ba&255)|0;Ooc(i);ba=(f[m>>2]|0)+-24|0;f[j>>2]=f[t>>2];$oc(i,ba,j);ba=f[v>>2]|0;if(ba>>>0<(f[w>>2]|0)>>>0){f[ba>>2]=0;aa=ba+4|0;f[aa>>2]=0;X=f[H>>2]|0;f[ba+8>>2]=0;f[ba+12>>2]=X;f[ba>>2]=f[i>>2];f[aa>>2]=f[I>>2];f[ba+8>>2]=f[J>>2];f[J>>2]=0;f[I>>2]=0;f[i>>2]=0;f[v>>2]=(f[v>>2]|0)+16}else apc(s,i);yoc(i)}Ooc(h);U=1;V=$;continue c}else if((o|0)==37){o=0;ba=gpc(W,c,d)|0;if((ba|0)==(W|0)|(ba|0)==(c|0))break b;ipc(h,(f[m>>2]|0)+-24|0);aa=f[m>>2]|0;X=aa+-24|0;Z=aa;while(1){if((Z|0)==(X|0))break;ca=Z+-24|0;f[m>>2]=ca;xoc(ca);Z=f[m>>2]|0}Z=aa+-48|0;X=b[Z+11>>0]|0;if(X<<24>>24<0)ea=f[aa+-44>>2]|0;else ea=X&255;if(!ea)Lqc(Z,h);else{wpc(i,523387,h);Z=b[N>>0]|0;X=Z<<24>>24<0;Aoc((f[m>>2]|0)+-24|0,X?f[i>>2]|0:i,X?f[O>>2]|0:Z&255)|0;Ooc(i)}Z=(f[m>>2]|0)+-24|0;f[j>>2]=f[t>>2];$oc(i,Z,j);Z=f[v>>2]|0;if(Z>>>0<(f[w>>2]|0)>>>0){f[Z>>2]=0;X=Z+4|0;f[X>>2]=0;$=f[K>>2]|0;f[Z+8>>2]=0;f[Z+12>>2]=$;f[Z>>2]=f[i>>2];f[X>>2]=f[L>>2];f[Z+8>>2]=f[M>>2];f[M>>2]=0;f[L>>2]=0;f[i>>2]=0;f[v>>2]=(f[v>>2]|0)+16}else apc(s,i);yoc(i);Ooc(h);U=1;V=ba;continue c}else if((o|0)==51){o=0;if((Y|0)!=(c|0))switch(b[Y>>0]|0){case 84:case 116:break;default:break e}Z=rpc(W,c,d)|0;if((Z|0)==(W|0)|(Z|0)==(c|0))break b;ipc(h,(f[m>>2]|0)+-24|0);X=f[m>>2]|0;$=X+-24|0;_=X;while(1){if((_|0)==($|0))break;ca=_+-24|0;f[m>>2]=ca;xoc(ca);_=f[m>>2]|0}_=X+-48|0;$=b[_+11>>0]|0;if($<<24>>24<0)fa=f[X+-44>>2]|0;else fa=$&255;if(!fa)Lqc(_,h);else{wpc(i,523387,h);_=b[S>>0]|0;$=_<<24>>24<0;Aoc((f[m>>2]|0)+-24|0,$?f[i>>2]|0:i,$?f[T>>2]|0:_&255)|0;Ooc(i)}_=(f[m>>2]|0)+-24|0;f[j>>2]=f[t>>2];$oc(i,_,j);_=f[v>>2]|0;if(_>>>0<(f[w>>2]|0)>>>0){f[_>>2]=0;$=_+4|0;f[$>>2]=0;ba=f[P>>2]|0;f[_+8>>2]=0;f[_+12>>2]=ba;f[_>>2]=f[i>>2];f[$>>2]=f[Q>>2];f[_+8>>2]=f[R>>2];f[R>>2]=0;f[Q>>2]=0;f[i>>2]=0;f[v>>2]=(f[v>>2]|0)+16}else apc(s,i);yoc(i);Ooc(h);U=1;V=Z;continue c}while(0);_=bqc(W,c,d)|0;if((_|0)==(W|0)|(_|0)==(c|0))break b;ipc(h,(f[m>>2]|0)+-24|0);$=f[m>>2]|0;ba=$+-24|0;aa=$;while(1){if((aa|0)==(ba|0))break;ca=aa+-24|0;f[m>>2]=ca;xoc(ca);aa=f[m>>2]|0}aa=$+-48|0;ba=b[aa+11>>0]|0;if(ba<<24>>24<0)ga=f[$+-44>>2]|0;else ga=ba&255;if(!ga)Lqc(aa,h);else{wpc(i,523387,h);aa=b[D>>0]|0;ba=aa<<24>>24<0;Aoc((f[m>>2]|0)+-24|0,ba?f[i>>2]|0:i,ba?f[E>>2]|0:aa&255)|0;Ooc(i)}aa=(f[m>>2]|0)+-24|0;f[j>>2]=f[t>>2];$oc(i,aa,j);aa=f[v>>2]|0;if(aa>>>0<(f[w>>2]|0)>>>0){f[aa>>2]=0;ba=aa+4|0;f[ba>>2]=0;W=f[A>>2]|0;f[aa+8>>2]=0;f[aa+12>>2]=W;f[aa>>2]=f[i>>2];f[ba>>2]=f[B>>2];f[aa+8>>2]=f[C>>2];f[C>>2]=0;f[B>>2]=0;f[i>>2]=0;f[v>>2]=(f[v>>2]|0)+16}else apc(s,i);yoc(i);Ooc(h);U=1;V=_}f[d+48>>2]=f[g>>2];f:do if(U?(V=f[v>>2]|0,(f[s>>2]|0)!=(V|0)):0){B=V+-16|0;C=V;while(1){if((C|0)==(B|0))break f;V=C+-16|0;f[v>>2]=V;yoc(V);C=f[v>>2]|0}}while(0);ha=Y;break a}while(0);ha=a}else ha=a;while(0);u=e;return ha|0}function Iqc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=u;u=u+16|0;g=e;a:do if(((((a|0)!=(c|0)?(b[a>>0]|0)==90:0)?(h=a+1|0,i=Poc(h,c,d)|0,!((i|0)==(h|0)|(i|0)==(c|0))):0)?(b[i>>0]|0)==69:0)?(h=i+1|0,(h|0)!=(c|0)):0){j=i+2|0;switch(b[h>>0]|0){case 115:{i=Kqc(j,c)|0;k=f[d+4>>2]|0;if((f[d>>2]|0)==(k|0)){l=i;break a}Woc(k+-24|0,524674)|0;l=i;break a;break}case 100:{if((j|0)==(c|0)){l=a;break a}i=tpc(j,c)|0;if((i|0)==(c|0)){l=a;break a}if((b[i>>0]|0)!=95){l=a;break a}j=i+1|0;i=ppc(j,c,d)|0;k=d+4|0;if((i|0)==(j|0)){j=f[k>>2]|0;m=j+-24|0;n=j;while(1){if((n|0)==(m|0)){l=a;break a}j=n+-24|0;f[k>>2]=j;xoc(j);n=f[k>>2]|0}}n=f[k>>2]|0;if(((n-(f[d>>2]|0)|0)/24|0)>>>0<2){l=a;break a}ipc(g,n+-24|0);n=f[k>>2]|0;m=n+-24|0;j=n;while(1){if((j|0)==(m|0))break;o=j+-24|0;f[k>>2]=o;xoc(o);j=f[k>>2]|0}Woc(n+-48|0,523387)|0;j=b[g+11>>0]|0;m=j<<24>>24<0;Aoc((f[k>>2]|0)+-24|0,m?f[g>>2]|0:g,m?f[g+4>>2]|0:j&255)|0;Ooc(g);l=i;break a;break}default:{j=ppc(h,c,d)|0;if((j|0)==(h|0)){m=d+4|0;o=f[m>>2]|0;p=o+-24|0;q=o;while(1){if((q|0)==(p|0)){l=a;break a}o=q+-24|0;f[m>>2]=o;xoc(o);q=f[m>>2]|0}}m=Kqc(j,c)|0;q=d+4|0;p=f[q>>2]|0;if(((p-(f[d>>2]|0)|0)/24|0)>>>0<2){l=m;break a}ipc(g,p+-24|0);p=f[q>>2]|0;h=p+-24|0;i=p;while(1){if((i|0)==(h|0))break;k=i+-24|0;f[q>>2]=k;xoc(k);i=f[q>>2]|0}Woc(p+-48|0,523387)|0;i=b[g+11>>0]|0;h=i<<24>>24<0;Aoc((f[q>>2]|0)+-24|0,h?f[g>>2]|0:g,h?f[g+4>>2]|0:i&255)|0;Ooc(g);l=m;break a}}}else l=a;while(0);u=e;return l|0}function Jqc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;if((c-a|0)>1){if((b[a>>0]|0)==83?(b[a+1>>0]|0)==116:0){e=a+2|0;if((e|0)==(c|0)){g=0;h=c}else{g=0;h=(b[e>>0]|0)==76?a+3|0:e}}else{g=1;h=a}e=bqc(h,c,d)|0;c=(e|0)==(h|0);if(!(g|c)){g=f[d+4>>2]|0;if((f[d>>2]|0)==(g|0))i=a;else{Voc(g+-24|0,0,523609)|0;i=e}}else i=c?a:e}else i=a;return i|0}function Kqc(a,c){a=a|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;a:do if((a|0)!=(c|0)){d=b[a>>0]|0;e=a+1|0;if(d<<24>>24!=95){if(((d<<24>>24)+-48|0)>>>0<10)f=e;else{g=a;break}while(1){if((f|0)==(c|0)){g=c;break a}if(((b[f>>0]|0)+-48|0)>>>0>=10){g=f;break a}f=f+1|0}}if((e|0)!=(c|0)){d=b[e>>0]|0;h=a+2|0;if(((d<<24>>24)+-48|0)>>>0>=10)if(d<<24>>24==95){d=h;do{i=d;d=d+1|0;if((i|0)==(c|0)){g=a;break a}j=b[i>>0]|0}while(((j<<24>>24)+-48|0)>>>0<10);return (j<<24>>24==95?d:a)|0}else g=a;else g=h}else g=a}else g=a;while(0);return g|0}function Lqc(a,c){a=a|0;c=c|0;var d=0,e=0;if((a|0)!=(c|0)){d=b[c+11>>0]|0;e=d<<24>>24<0;Ypc(a,e?f[c>>2]|0:c,e?f[c+4>>2]|0:d&255)}return}function Mqc(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;e=Loc(32)|0;f[a>>2]=e;f[a+8>>2]=-2147483616;f[a+4>>2]=21;Mbc(e,524706,21)|0;b[d>>0]=0;Gcc(e+21|0,d);d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[d+(a<<2)>>2]=0;a=a+1|0}u=c;return}function Nqc(a,b){a=a|0;b=b|0;f[a>>2]=f[b>>2];return}function Oqc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+32|0;d=c+20|0;e=c;g=a+4|0;h=((f[g>>2]|0)-(f[a>>2]|0)>>4)+1|0;i=Qqc(a)|0;if(i>>>0<h>>>0)Ukc(a);else{j=f[a>>2]|0;k=(f[a+8>>2]|0)-j|0;l=k>>3;Rqc(e,k>>4>>>0<i>>>1>>>0?(l>>>0<h>>>0?h:l):i,(f[g>>2]|0)-j>>4,a+12|0);j=e+8|0;g=f[j>>2]|0;Nqc(d,b);f[g>>2]=0;f[g+4>>2]=0;b=f[d>>2]|0;f[g+8>>2]=0;f[g+12>>2]=b;f[j>>2]=g+16;Sqc(a,e);Tqc(e);u=c;return}}function Pqc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;a:do if((a|0)==(c|0))e=a;else{f=a+1|0;switch(b[a>>0]|0){case 88:{g=upc(f,c,d)|0;if((g|0)==(f|0)|(g|0)==(c|0)){e=a;break a}e=(b[g>>0]|0)==69?g+1|0:a;break a;break}case 74:{if((f|0)==(c|0)){e=a;break a}else h=f;while(1){if((b[h>>0]|0)==69)break;g=Pqc(h,c,d)|0;if((g|0)==(h|0)){e=a;break a}else h=g}e=h+1|0;break a;break}case 76:{if((f|0)!=(c|0)?(b[f>>0]|0)==90:0){g=a+2|0;i=Poc(g,c,d)|0;if((i|0)==(g|0)|(i|0)==(c|0)){e=a;break a}e=(b[i>>0]|0)==69?i+1|0:a;break a}e=xpc(a,c,d)|0;break a;break}default:{e=Soc(a,c,d)|0;break a}}}while(0);return e|0}function Qqc(a){a=a|0;return 268435455}function Rqc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;f[a+12>>2]=0;f[a+16>>2]=d;if(!b)e=0;else e=Uqc(d,b)|0;f[a>>2]=e;d=e+(c<<4)|0;f[a+8>>2]=d;f[a+4>>2]=d;f[a+12>>2]=e+(b<<4);return}function Sqc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=f[a>>2]|0;d=a+4|0;e=b+4|0;g=f[d>>2]|0;while(1){if((g|0)==(c|0))break;h=f[e>>2]|0;i=h+-16|0;j=g+-16|0;f[i>>2]=0;k=h+-12|0;f[k>>2]=0;l=f[g+-4>>2]|0;f[h+-8>>2]=0;f[h+-4>>2]=l;f[i>>2]=f[j>>2];i=g+-12|0;f[k>>2]=f[i>>2];k=g+-8|0;f[h+-8>>2]=f[k>>2];f[k>>2]=0;f[i>>2]=0;f[j>>2]=0;f[e>>2]=(f[e>>2]|0)+-16;g=j}g=f[a>>2]|0;f[a>>2]=f[e>>2];f[e>>2]=g;g=b+8|0;c=f[d>>2]|0;f[d>>2]=f[g>>2];f[g>>2]=c;c=a+8|0;a=b+12|0;g=f[c>>2]|0;f[c>>2]=f[a>>2];f[a>>2]=g;f[b>>2]=f[e>>2];return}function Tqc(a){a=a|0;var b=0,c=0,d=0,e=0;b=f[a+4>>2]|0;c=a+8|0;while(1){d=f[c>>2]|0;if((d|0)==(b|0))break;e=d+-16|0;f[c>>2]=e;Eoc(e)}c=f[a>>2]|0;if(c|0)Joc(f[a+16>>2]|0,c,(f[a+12>>2]|0)-c>>4);return}function Uqc(a,b){a=a|0;b=b|0;return Aqc(f[a>>2]|0,b<<4)|0}function Vqc(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b[a+11>>0]=2;Mbc(a,524731,2)|0;b[d>>0]=0;Gcc(a+2|0,d);d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[d+(a<<2)>>2]=0;a=a+1|0}u=c;return}function Wqc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;d=u;u=u+16|0;e=d;g=a+11|0;h=b[g>>0]|0;i=h<<24>>24<0;if(i){j=f[a+4>>2]|0;k=j>>>0<11?j:11;l=j;m=(f[a+8>>2]&2147483647)+-1|0}else{j=h&255;k=j>>>0<11?j:11;l=j;m=10}if((k-l+m|0)>>>0<c>>>0)Koc(a,m,l+c-k-m|0,l,0,k,c,524734);else{if(i)n=f[a>>2]|0;else n=a;do if((k|0)!=(c|0)){i=l-k|0;if(!i){o=k;p=0;q=524734;r=c;s=17}else{if(k>>>0>c>>>0){Smc(n,524734,c)|0;Smc(n+c|0,n+k|0,i)|0;t=k;v=c;break}do if(n>>>0<524734>>>0&(n+l|0)>>>0>524734>>>0)if((n+k|0)>>>0>524734>>>0){Smc(n,524734,k)|0;w=0;x=k;y=524734+c|0;z=c-k|0;break}else{w=k;x=0;y=524734+(c-k)|0;z=c;break}else{w=k;x=0;y=524734;z=c}while(0);m=n+x|0;Smc(m+z|0,m+w|0,i)|0;o=w;p=x;q=y;r=z;s=17}}else{o=c;p=0;q=524734;r=c;s=17}while(0);if((s|0)==17){Smc(n+p|0,q,r)|0;t=o;v=r}r=v-t+l|0;if((b[g>>0]|0)<0)f[a+4>>2]=r;else b[g>>0]=r;b[e>>0]=0;Gcc(n+r|0,e)}u=d;return}function Xqc(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=u;u=u+16|0;h=g;i=a+11|0;j=b[i>>0]|0;k=j<<24>>24<0;if(k)l=f[a+4>>2]|0;else l=j&255;if(l>>>0<c>>>0)Mmc(a);if(k)m=(f[a+8>>2]&2147483647)+-1|0;else m=10;j=l+e|0;if((m-l|0)>>>0>=e>>>0){if(e|0){if(k)n=f[a>>2]|0;else n=a;k=l-c|0;o=n+c|0;if(!k)p=d;else{Smc(o+e|0,o,k)|0;p=o>>>0<=d>>>0&(n+l|0)>>>0>d>>>0?d+e|0:d}Smc(o,p,e)|0;if((b[i>>0]|0)<0)f[a+4>>2]=j;else b[i>>0]=j;b[h>>0]=0;Gcc(n+j|0,h)}}else Koc(a,m,j-m|0,l,c,0,e,d);u=g;return a|0}function Yqc(a){a=a|0;return 268435455}function Zqc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;f[a+12>>2]=0;f[a+16>>2]=d;if(!b)e=0;else e=arc(d,b)|0;f[a>>2]=e;d=e+(c<<4)|0;f[a+8>>2]=d;f[a+4>>2]=d;f[a+12>>2]=e+(b<<4);return}function _qc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=f[a>>2]|0;d=a+4|0;e=b+4|0;g=f[d>>2]|0;while(1){if((g|0)==(c|0))break;h=f[e>>2]|0;i=h+-16|0;j=g+-16|0;f[i>>2]=0;k=h+-12|0;f[k>>2]=0;l=f[g+-4>>2]|0;f[h+-8>>2]=0;f[h+-4>>2]=l;f[i>>2]=f[j>>2];i=g+-12|0;f[k>>2]=f[i>>2];k=g+-8|0;f[h+-8>>2]=f[k>>2];f[k>>2]=0;f[i>>2]=0;f[j>>2]=0;f[e>>2]=(f[e>>2]|0)+-16;g=j}g=f[a>>2]|0;f[a>>2]=f[e>>2];f[e>>2]=g;g=b+8|0;c=f[d>>2]|0;f[d>>2]=f[g>>2];f[g>>2]=c;c=a+8|0;a=b+12|0;g=f[c>>2]|0;f[c>>2]=f[a>>2];f[a>>2]=g;f[b>>2]=f[e>>2];return}function $qc(a){a=a|0;var b=0,c=0,d=0,e=0;b=f[a+4>>2]|0;c=a+8|0;while(1){d=f[c>>2]|0;if((d|0)==(b|0))break;e=d+-16|0;f[c>>2]=e;yoc(e)}c=f[a>>2]|0;if(c|0)Foc(f[a+16>>2]|0,c,(f[a+12>>2]|0)-c>>4);return}function arc(a,b){a=a|0;b=b|0;return Aqc(f[a>>2]|0,b<<4)|0}function brc(a){a=a|0;var b=0;if(!(vqc(a)|0))Ukc(a);else{b=zqc(a+12|0,1)|0;f[a+4>>2]=b;f[a>>2]=b;f[a+8>>2]=b+24;return}}function crc(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;c=u;u=u+16|0;d=c;e=a+11|0;g=b[e>>0]|0;if(g<<24>>24<0){h=f[a>>2]|0;i=f[a+4>>2]|0}else{h=a;i=g&255}j=(i|0)!=0&1;k=i-j|0;if(!k)l=g;else{Smc(h,h+j|0,k)|0;l=b[e>>0]|0}if(l<<24>>24<0)f[a+4>>2]=k;else b[e>>0]=k;b[d>>0]=0;Gcc(h+k|0,d);u=c;return}function drc(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b[a+11>>0]=7;Mbc(a,524507,7)|0;b[d>>0]=0;Gcc(a+7|0,d);d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[d+(a<<2)>>2]=0;a=a+1|0}u=c;return}function erc(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b[a+11>>0]=3;Mbc(a,c,3)|0;b[e>>0]=0;Gcc(a+3|0,e);e=a+12|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[e+(a<<2)>>2]=0;a=a+1|0}u=d;return}function frc(a){a=a|0;var c=0,d=0,e=0;c=u;u=u+16|0;d=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;e=Loc(32)|0;f[a>>2]=e;f[a+8>>2]=-2147483616;f[a+4>>2]=18;Mbc(e,524927,18)|0;b[d>>0]=0;Gcc(e+18|0,d);d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[d+(a<<2)>>2]=0;a=a+1|0}u=c;return}function grc(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b[a+11>>0]=8;Mbc(a,c,8)|0;b[e>>0]=0;Gcc(a+8|0,e);e=a+12|0;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[e+(a<<2)>>2]=0;a=a+1|0}u=d;return}function hrc(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;b[a+11>>0]=6;Mbc(a,524920,6)|0;b[d>>0]=0;Gcc(a+6|0,d);d=a+12|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;a=0;while(1){if((a|0)==3)break;f[d+(a<<2)>>2]=0;a=a+1|0}u=c;return}function irc(a,b){a=a|0;b=b|0;f[a>>2]=b;f[a+4>>2]=f[b>>2];return}function jrc(a,c){a=a|0;c=c|0;f[a>>2]=c;b[a+4>>0]=b[c>>0]|0;return}function krc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;e=u;u=u+64|0;g=e+60|0;h=e+48|0;i=e+36|0;j=e+24|0;k=e+12|0;l=e;a:do if((c-a|0)>2){m=a+2|0;n=a+1|0;switch(b[a>>0]|0){case 84:break;case 71:{switch(b[n>>0]|0){case 86:{o=ppc(m,c,d)|0;if((o|0)==(m|0)){p=a;q=60;break a}r=f[d+4>>2]|0;if((f[d>>2]|0)==(r|0)){s=a;break a}Voc(r+-24|0,0,525145)|0;p=o;q=60;break a;break}case 82:{o=ppc(m,c,d)|0;if((o|0)==(m|0)){p=a;q=60;break a}r=f[d+4>>2]|0;if((f[d>>2]|0)==(r|0)){s=a;break a}Voc(r+-24|0,0,525165)|0;p=o;q=60;break a;break}default:{p=a;q=60;break a}}break}default:{p=a;q=60;break a}}switch(b[n>>0]|0){case 86:{o=Soc(m,c,d)|0;if((o|0)==(m|0)){p=a;q=60;break a}r=f[d+4>>2]|0;if((f[d>>2]|0)==(r|0)){s=a;break a}Voc(r+-24|0,0,524994)|0;p=o;q=60;break a;break}case 84:{o=Soc(m,c,d)|0;if((o|0)==(m|0)){p=a;q=60;break a}r=f[d+4>>2]|0;if((f[d>>2]|0)==(r|0)){s=a;break a}Voc(r+-24|0,0,525006)|0;p=o;q=60;break a;break}case 73:{o=Soc(m,c,d)|0;if((o|0)==(m|0)){p=a;q=60;break a}r=f[d+4>>2]|0;if((f[d>>2]|0)==(r|0)){s=a;break a}Voc(r+-24|0,0,525015)|0;p=o;q=60;break a;break}case 83:{o=Soc(m,c,d)|0;if((o|0)==(m|0)){p=a;q=60;break a}r=f[d+4>>2]|0;if((f[d>>2]|0)==(r|0)){s=a;break a}Voc(r+-24|0,0,525029)|0;p=o;q=60;break a;break}case 99:{o=nrc(m,c)|0;if((o|0)==(m|0)){p=a;q=60;break a}r=nrc(o,c)|0;if((r|0)==(o|0)){p=a;q=60;break a}o=Poc(r,c,d)|0;if((o|0)==(r|0)){p=a;q=60;break a}r=f[d+4>>2]|0;if((f[d>>2]|0)==(r|0)){s=a;break a}Voc(r+-24|0,0,525048)|0;p=o;q=60;break a;break}case 67:{o=Soc(m,c,d)|0;if((o|0)==(m|0)){p=a;q=60;break a}r=tpc(o,c)|0;if((r|0)==(o|0)|(r|0)==(c|0)){p=a;q=60;break a}if((b[r>>0]|0)!=95){p=a;q=60;break a}o=r+1|0;r=Soc(o,c,d)|0;if((r|0)==(o|0)){p=a;q=60;break a}o=d+4|0;t=f[o>>2]|0;if(((t-(f[d>>2]|0)|0)/24|0)>>>0<2){s=a;break a}ipc(h,t+-24|0);t=f[o>>2]|0;v=t+-24|0;w=t;while(1){if((w|0)==(v|0))break;t=w+-24|0;f[o>>2]=t;xoc(t);w=f[o>>2]|0}Voc(h,0,525075)|0;f[k>>2]=f[h>>2];f[k+4>>2]=f[h+4>>2];f[k+8>>2]=f[h+8>>2];w=0;while(1){if((w|0)==3)break;f[h+(w<<2)>>2]=0;w=w+1|0}Woc(k,525100)|0;f[j>>2]=f[k>>2];f[j+4>>2]=f[k+4>>2];f[j+8>>2]=f[k+8>>2];w=0;while(1){if((w|0)==3)break;f[k+(w<<2)>>2]=0;w=w+1|0}ipc(l,(f[o>>2]|0)+-24|0);w=b[l+11>>0]|0;v=w<<24>>24<0;Aoc(j,v?f[l>>2]|0:l,v?f[l+4>>2]|0:w&255)|0;f[i>>2]=f[j>>2];f[i+4>>2]=f[j+4>>2];f[i+8>>2]=f[j+8>>2];w=0;while(1){if((w|0)==3)break;f[j+(w<<2)>>2]=0;w=w+1|0}w=f[o>>2]|0;v=w+-24|0;t=v+11|0;if((b[t>>0]|0)<0){x=f[v>>2]|0;b[g>>0]=0;Gcc(x,g);f[w+-20>>2]=0}else{b[g>>0]=0;Gcc(v,g);b[t>>0]=0}vpc(v);f[v>>2]=f[i>>2];f[v+4>>2]=f[i+4>>2];f[v+8>>2]=f[i+8>>2];v=0;while(1){if((v|0)==3)break;f[i+(v<<2)>>2]=0;v=v+1|0}Ooc(i);Ooc(l);Ooc(j);Ooc(k);Ooc(h);p=r;q=60;break a;break}default:{v=nrc(n,c)|0;do if((v|0)!=(n|0)){o=Poc(v,c,d)|0;if((o|0)!=(v|0)){t=f[d+4>>2]|0;if((f[d>>2]|0)!=(t|0)){w=t+-24|0;if((b[m>>0]|0)==118){Voc(w,0,525105)|0;y=0;z=o;break}else{Voc(w,0,525123)|0;y=0;z=o;break}}else{y=1;z=a}}else{y=0;z=a}}else{y=3;z=a}while(0);switch(y&3){case 3:case 0:{p=z;q=60;break a;break}default:{}}if(!y){p=z;q=60;break a}else{s=a;break a}}}}else{p=a;q=60}while(0);if((q|0)==60)s=p;u=e;return s|0}function lrc(a){a=a|0;b[f[a>>2]>>0]=b[a+4>>0]|0;return}function mrc(a){a=a|0;f[f[a>>2]>>2]=f[a+4>>2];return}function nrc(a,c){a=a|0;c=c|0;var d=0,e=0,f=0;a:do if((a|0)!=(c|0)){d=a+1|0;switch(b[a>>0]|0){case 104:{e=tpc(d,c)|0;if((e|0)==(d|0)|(e|0)==(c|0)){f=a;break a}return ((b[e>>0]|0)==95?e+1|0:a)|0}case 118:break;default:{f=a;break a}}e=tpc(d,c)|0;if((!((e|0)==(d|0)|(e|0)==(c|0))?(b[e>>0]|0)==95:0)?(d=e+1|0,e=tpc(d,c)|0,!((e|0)==(d|0)|(e|0)==(c|0))):0)f=(b[e>>0]|0)==95?e+1|0:a;else f=a}else f=a;while(0);return f|0}function orc(a,b){a=a|0;b=b|0;f[a>>2]=b;return}function prc(a,b){a=a|0;b=b|0;var c=0;f[a>>2]=0;f[a+4>>2]=0;c=f[b>>2]|0;f[a+8>>2]=0;f[a+12>>2]=c;return}function qrc(a,b){a=a|0;b=b|0;f[a>>2]=b;return}function rrc(a,b){a=a|0;b=b|0;var c=0;f[a>>2]=0;f[a+4>>2]=0;c=f[b>>2]|0;f[a+8>>2]=0;f[a+12>>2]=c;return}function src(a){a=a|0;var c=0;if((b[a>>0]|0)==1)c=0;else{b[a>>0]=1;c=1}return c|0}function trc(a){a=a|0;return}function urc(a){a=a|0;return}function vrc(){var a=0;a=f[223892]|0;f[223892]=a+0;return a|0}function wrc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+16|0;e=d;f[e>>2]=f[c>>2];g=ki[f[(f[a>>2]|0)+16>>2]&511](a,b,e)|0;if(g)f[c>>2]=f[e>>2];u=d;return g&1|0}function xrc(a){a=a|0;var b=0;if(!a)b=0;else b=(Jnc(a,26720,26840,0)|0)!=0;return b&1|0}function yrc(){}function zrc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=b-d>>>0;e=b-d-(c>>>0>a>>>0|0)>>>0;return (J=e,a-c>>>0|0)|0}function Arc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=a+c>>>0;return (J=b+d+(e>>>0<a>>>0|0)>>>0,e|0)|0}function Brc(a){a=a|0;return 0}function Crc(a){a=a|0;return 0}function Drc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=a+d|0;c=c&255;if((d|0)>=67){while(a&3){b[a>>0]=c;a=a+1|0}g=e&-4|0;h=g-64|0;i=c|c<<8|c<<16|c<<24;while((a|0)<=(h|0)){f[a>>2]=i;f[a+4>>2]=i;f[a+8>>2]=i;f[a+12>>2]=i;f[a+16>>2]=i;f[a+20>>2]=i;f[a+24>>2]=i;f[a+28>>2]=i;f[a+32>>2]=i;f[a+36>>2]=i;f[a+40>>2]=i;f[a+44>>2]=i;f[a+48>>2]=i;f[a+52>>2]=i;f[a+56>>2]=i;f[a+60>>2]=i;a=a+64|0}while((a|0)<(g|0)){f[a>>2]=i;a=a+4|0}}while((a|0)<(e|0)){b[a>>0]=c;a=a+1|0}return e-d|0}function Erc(a){a=a|0;var c=0;c=b[w+(a&255)>>0]|0;if((c|0)<8)return c|0;c=b[w+(a>>8&255)>>0]|0;if((c|0)<8)return c+8|0;c=b[w+(a>>16&255)>>0]|0;if((c|0)<8)return c+16|0;return (b[w+(a>>>24)>>0]|0)+24|0}function Frc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;g=a;h=b;i=h;j=c;k=d;l=k;if(!i){m=(e|0)!=0;if(!l){if(m){f[e>>2]=(g>>>0)%(j>>>0);f[e+4>>2]=0}n=0;o=(g>>>0)/(j>>>0)>>>0;return (J=n,o)|0}else{if(!m){n=0;o=0;return (J=n,o)|0}f[e>>2]=a|0;f[e+4>>2]=b&0;n=0;o=0;return (J=n,o)|0}}m=(l|0)==0;do if(j){if(!m){p=($(l|0)|0)-($(i|0)|0)|0;if(p>>>0<=31){q=p+1|0;r=31-p|0;s=p-31>>31;t=q;u=g>>>(q>>>0)&s|i<<r;v=i>>>(q>>>0)&s;w=0;x=g<<r;break}if(!e){n=0;o=0;return (J=n,o)|0}f[e>>2]=a|0;f[e+4>>2]=h|b&0;n=0;o=0;return (J=n,o)|0}r=j-1|0;if(r&j|0){s=($(j|0)|0)+33-($(i|0)|0)|0;q=64-s|0;p=32-s|0;y=p>>31;z=s-32|0;A=z>>31;t=s;u=p-1>>31&i>>>(z>>>0)|(i<<p|g>>>(s>>>0))&A;v=A&i>>>(s>>>0);w=g<<q&y;x=(i<<q|g>>>(z>>>0))&y|g<<p&s-33>>31;break}if(e|0){f[e>>2]=r&g;f[e+4>>2]=0}if((j|0)==1){n=h|b&0;o=a|0|0;return (J=n,o)|0}else{r=Erc(j|0)|0;n=i>>>(r>>>0)|0;o=i<<32-r|g>>>(r>>>0)|0;return (J=n,o)|0}}else{if(m){if(e|0){f[e>>2]=(i>>>0)%(j>>>0);f[e+4>>2]=0}n=0;o=(i>>>0)/(j>>>0)>>>0;return (J=n,o)|0}if(!g){if(e|0){f[e>>2]=0;f[e+4>>2]=(i>>>0)%(l>>>0)}n=0;o=(i>>>0)/(l>>>0)>>>0;return (J=n,o)|0}r=l-1|0;if(!(r&l)){if(e|0){f[e>>2]=a|0;f[e+4>>2]=r&i|b&0}n=0;o=i>>>((Erc(l|0)|0)>>>0);return (J=n,o)|0}r=($(l|0)|0)-($(i|0)|0)|0;if(r>>>0<=30){s=r+1|0;p=31-r|0;t=s;u=i<<p|g>>>(s>>>0);v=i>>>(s>>>0);w=0;x=g<<p;break}if(!e){n=0;o=0;return (J=n,o)|0}f[e>>2]=a|0;f[e+4>>2]=h|b&0;n=0;o=0;return (J=n,o)|0}while(0);if(!t){B=x;C=w;D=v;E=u;F=0;G=0}else{b=c|0|0;c=k|d&0;d=Arc(b|0,c|0,-1,-1)|0;k=J;h=x;x=w;w=v;v=u;u=t;t=0;do{a=h;h=x>>>31|h<<1;x=t|x<<1;g=v<<1|a>>>31|0;a=v>>>31|w<<1|0;zrc(d|0,k|0,g|0,a|0)|0;i=J;l=i>>31|((i|0)<0?-1:0)<<1;t=l&1;v=zrc(g|0,a|0,l&b|0,(((i|0)<0?-1:0)>>31|((i|0)<0?-1:0)<<1)&c|0)|0;w=J;u=u-1|0}while((u|0)!=0);B=h;C=x;D=w;E=v;F=0;G=t}t=C;C=0;if(e|0){f[e>>2]=E;f[e+4>>2]=D}n=(t|0)>>>31|(B|C)<<1|(C<<1|t>>>31)&0|F;o=(t<<1|0>>>31)&-2|G;return (J=n,o)|0}function Grc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;e=u;u=u+16|0;g=e|0;h=b>>31|((b|0)<0?-1:0)<<1;i=((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1;j=d>>31|((d|0)<0?-1:0)<<1;k=((d|0)<0?-1:0)>>31|((d|0)<0?-1:0)<<1;l=zrc(h^a|0,i^b|0,h|0,i|0)|0;b=J;Frc(l,b,zrc(j^c|0,k^d|0,j|0,k|0)|0,J,g)|0;k=zrc(f[g>>2]^h|0,f[g+4>>2]^i|0,h|0,i|0)|0;i=J;u=e;return (J=i,k)|0}function Hrc(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){J=b>>c;return a>>>c|(b&(1<<c)-1)<<32-c}J=(b|0)<0?-1:0;return b>>c-32|0}function Irc(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){J=b>>>c;return a>>>c|(b&(1<<c)-1)<<32-c}J=0;return b>>>c-32|0}function Jrc(a){a=a|0;return 0}function Krc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0;if((d|0)>=8192)return pd(a|0,c|0,d|0)|0;e=a|0;g=a+d|0;if((a&3)==(c&3)){while(a&3){if(!d)return e|0;b[a>>0]=b[c>>0]|0;a=a+1|0;c=c+1|0;d=d-1|0}h=g&-4|0;d=h-64|0;while((a|0)<=(d|0)){f[a>>2]=f[c>>2];f[a+4>>2]=f[c+4>>2];f[a+8>>2]=f[c+8>>2];f[a+12>>2]=f[c+12>>2];f[a+16>>2]=f[c+16>>2];f[a+20>>2]=f[c+20>>2];f[a+24>>2]=f[c+24>>2];f[a+28>>2]=f[c+28>>2];f[a+32>>2]=f[c+32>>2];f[a+36>>2]=f[c+36>>2];f[a+40>>2]=f[c+40>>2];f[a+44>>2]=f[c+44>>2];f[a+48>>2]=f[c+48>>2];f[a+52>>2]=f[c+52>>2];f[a+56>>2]=f[c+56>>2];f[a+60>>2]=f[c+60>>2];a=a+64|0;c=c+64|0}while((a|0)<(h|0)){f[a>>2]=f[c>>2];a=a+4|0;c=c+4|0}}else{h=g-4|0;while((a|0)<(h|0)){b[a>>0]=b[c>>0]|0;b[a+1>>0]=b[c+1>>0]|0;b[a+2>>0]=b[c+2>>0]|0;b[a+3>>0]=b[c+3>>0]|0;a=a+4|0;c=c+4|0}}while((a|0)<(g|0)){b[a>>0]=b[c>>0]|0;a=a+1|0;c=c+1|0}return e|0}function Lrc(a){a=a|0;var b=0,c=0;a=a+15&-16|0;b=f[r>>2]|0;c=b+a|0;if((a|0)>0&(c|0)<(b|0)|(c|0)<0){ea()|0;Pd(12);return -1}f[r>>2]=c;if((c|0)>(da()|0)?(ca()|0)==0:0){f[r>>2]=b;Pd(12);return -1}return b|0}function Mrc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0;if((c|0)<(a|0)&(a|0)<(c+d|0)){e=a;c=c+d|0;a=a+d|0;while((d|0)>0){a=a-1|0;c=c-1|0;d=d-1|0;b[a>>0]=b[c>>0]|0}a=e}else Krc(a,c,d)|0;return a|0}function Nrc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+16|0;g=e|0;Frc(a,b,c,d,g)|0;u=e;return (J=f[g+4>>2]|0,f[g>>2]|0)|0}function Orc(a){a=a|0;return (a&255)<<24|(a>>8&255)<<16|(a>>16&255)<<8|a>>>24|0}function Prc(a,b,c){a=a|0;b=b|0;c=c|0;c=$(b)|0;if((c|0)==32)c=c+($(a)|0)|0;J=0;return c|0}function Qrc(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){J=b<<c|(a&(1<<c)-1<<32-c)>>>32-c;return a<<c}J=a<<c-32;return 0}function Rrc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=b>>31|((b|0)<0?-1:0)<<1;f=((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1;g=d>>31|((d|0)<0?-1:0)<<1;h=((d|0)<0?-1:0)>>31|((d|0)<0?-1:0)<<1;i=zrc(e^a|0,f^b|0,e|0,f|0)|0;b=J;a=g^e;e=h^f;return zrc((Frc(i,b,zrc(g^c|0,h^d|0,g|0,h|0)|0,J,0)|0)^a|0,J^e|0,a|0,e|0)|0}function Src(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return Frc(a,b,c,d,0)|0}function Trc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=a&65535;d=b&65535;e=Y(d,c)|0;f=a>>>16;a=(e>>>16)+(Y(d,f)|0)|0;d=b>>>16;b=Y(d,c)|0;return (J=(a>>>16)+(Y(d,f)|0)+(((a&65535)+b|0)>>>16)|0,a+b<<16|e&65535|0)|0}function Urc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=a;a=c;c=Trc(e,a)|0;f=J;return (J=(Y(b,a)|0)+(Y(d,e)|0)+f|f&0,c|0|0)|0}function Vrc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;return Pf[a&3](b|0,c|0,d|0,e|0,f|0,+g)|0}function Wrc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=+h;Qf[a&1](b|0,c|0,d|0,e|0,+f,+g,+h)}function Xrc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;h=h|0;i=i|0;Rf[a&7](b|0,c|0,d|0,e|0,+f,g|0,h|0,i|0)}function Yrc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=+h;i=i|0;Sf[a&3](b|0,c|0,d|0,e|0,f|0,+g,+h,i|0)}function Zrc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;g=g|0;h=h|0;Tf[a&3](b|0,c|0,d|0,+e,f|0,g|0,h|0)}function _rc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;h=h|0;i=+i;Uf[a&1](b|0,c|0,d|0,e|0,+f,g|0,h|0,+i)}function $rc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return Vf[a&127](b|0,c|0,d|0,e|0,f|0,g|0)|0}function asc(a,b,c,d,e,f,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=+h;i=i|0;j=j|0;k=k|0;l=l|0;Wf[a&1](b|0,c|0,d|0,e|0,+f,+g,+h,i|0,j|0,k|0,l|0)}function bsc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=h|0;Xf[a&7](b|0,c|0,d|0,e|0,+f,+g,h|0)}function csc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=+h;i=i|0;Yf[a&1](b|0,c|0,d|0,+e,+f,+g,+h,i|0)}function dsc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;g=g|0;Zf[a&1](b|0,c|0,+d,e|0,f|0,g|0)}function esc(a,b,c,d,e,f,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;_f[a&1](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0,l|0)}function fsc(a,b,c,d,e,f,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=+l;$f[a&1](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0,+l)}function gsc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=+h;ag[a&1](b|0,c|0,d|0,+e,+f,+g,+h)}function hsc(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;return bg[a&1](b|0,+c,d|0)|0}function isc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=+g;h=+h;cg[a&3](b|0,c|0,+d,+e,f|0,+g,+h)}function jsc(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;dg[a&7](b|0,+c,d|0)}function ksc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=g|0;eg[a&3](b|0,c|0,+d,+e,f|0,g|0)}function lsc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=+g;fg[a&3](b|0,c|0,+d,+e,f|0,+g)}function msc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;gg[a&7](b|0,c|0,d|0,e|0,f|0,+g,h|0)}function nsc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=+g;h=+h;i=+i;j=+j;hg[a&1](b|0,c|0,+d,+e,f|0,+g,+h,+i,+j)}function osc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;ig[a&1](b|0,c|0,d|0,e|0,+f,+g,h|0,i|0,j|0,k|0)}function psc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=+i;j=+j;jg[a&1](b|0,c|0,d|0,e|0,f|0,g|0,h|0,+i,+j)}function qsc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=h|0;i=i|0;j=j|0;k=+k;kg[a&1](b|0,c|0,d|0,e|0,+f,+g,h|0,i|0,j|0,+k)}function rsc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=+i;j=j|0;lg[a&1](b|0,c|0,d|0,e|0,f|0,g|0,h|0,+i,j|0)}function ssc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;mg[a&7](b|0,c|0,+d,+e,f|0)}function tsc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;g=g|0;ng[a&1](b|0,c|0,d|0,+e,f|0,g|0)}function usc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=+h;og[a&3](b|0,c|0,d|0,e|0,f|0,+g,+h)}function vsc(a,b){a=a|0;b=b|0;return +pg[a&15](b|0)}function wsc(a,b,c,d,e,f,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;i=i|0;j=j|0;k=k|0;l=l|0;qg[a&1](b|0,c|0,d|0,e|0,f|0,g|0,+h,i|0,j|0,k|0,l|0)}function xsc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;h=h|0;i=+i;j=+j;k=k|0;rg[a&3](b|0,c|0,d|0,e|0,+f,g|0,h|0,+i,+j,k|0)}function ysc(a,b,c,d,e,f,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=+l;sg[a&1](b|0,c|0,d|0,e|0,+f,+g,h|0,i|0,j|0,k|0,+l)}function zsc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=h|0;i=i|0;j=j|0;tg[a&3](b|0,c|0,d|0,e|0,+f,+g,h|0,i|0,j|0)}function Asc(a,b,c,d){a=a|0;b=+b;c=c|0;d=d|0;ug[a&1](+b,c|0,d|0)}function Bsc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;return +vg[a&3](b|0,c|0,d|0,e|0,f|0,g|0,h|0)}function Csc(a,b,c){a=a|0;b=b|0;c=c|0;return +wg[a&31](b|0,c|0)}function Dsc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=h|0;i=i|0;j=j|0;xg[a&1](b|0,c|0,d|0,+e,+f,g|0,h|0,i|0,j|0)}function Esc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=h|0;i=i|0;j=+j;yg[a&1](b|0,c|0,d|0,+e,+f,g|0,h|0,i|0,+j)}function Fsc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;h=h|0;i=+i;j=+j;zg[a&1](b|0,c|0,d|0,e|0,+f,g|0,h|0,+i,+j)}function Gsc(a,b,c,d,e,f,g,h,i,j,k,l,m,n){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=+l;m=+m;n=n|0;Ag[a&7](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0,+l,+m,n|0)}function Hsc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return Bg[a&127](b|0,c|0,d|0,e|0)|0}function Isc(a,b,c,d,e,f,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;Cg[a&3](b|0,c|0,d|0,e|0,f|0,+g,h|0,i|0,j|0,k|0,l|0)}function Jsc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=h|0;Dg[a&1](b|0,c|0,d|0,+e,+f,+g,h|0)}function Ksc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;i=i|0;j=+j;k=+k;Eg[a&1](b|0,c|0,d|0,e|0,f|0,+g,h|0,i|0,+j,+k)}function Lsc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;return Fg[a&3](b|0,c|0,d|0,+e)|0}function Msc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;return Gg[a&7](b|0,c|0,d|0,e|0,f|0,g|0,h|0)|0}function Nsc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=g|0;h=h|0;Hg[a&1](b|0,c|0,+d,+e,f|0,g|0,h|0)}function Osc(a,b,c,d,e,f,g,h,i,j,k,l,m,n){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=+i;j=j|0;k=+k;l=l|0;m=m|0;n=n|0;return Ig[a&1](b|0,c|0,d|0,e|0,f|0,g|0,h|0,+i,j|0,+k,l|0,m|0,n|0)|0}function Psc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=h|0;i=i|0;j=j|0;Jg[a&1](b|0,c|0,d|0,+e,+f,+g,h|0,i|0,j|0)}function Qsc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;g=g|0;h=+h;Kg[a&1](b|0,c|0,+d,e|0,f|0,g|0,+h)}function Rsc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;Lg[a&3](b|0,c|0,d|0,e|0,f|0,+g,h|0,i|0,j|0,k|0)}function Ssc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;g=g|0;h=h|0;Mg[a&1](b|0,c|0,+d,e|0,f|0,g|0,h|0)}function Tsc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;return +Ng[a&1](b|0,c|0,d|0,+e,+f,g|0)}function Usc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;g=+g;h=h|0;i=i|0;Og[a&1](b|0,c|0,d|0,+e,f|0,+g,h|0,i|0)}function Vsc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return +Pg[a&1](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0)}function Wsc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;g=g|0;h=h|0;i=+i;Qg[a&1](b|0,c|0,d|0,+e,f|0,g|0,h|0,+i)}function Xsc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=+h;i=i|0;j=j|0;Rg[a&1](b|0,c|0,d|0,+e,+f,+g,+h,i|0,j|0)}function Ysc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;Sg[a&7](b|0,c|0,d|0,e|0,f|0,+g)}function Zsc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=+h;i=+i;j=j|0;k=k|0;Tg[a&1](b|0,c|0,d|0,e|0,+f,+g,+h,+i,j|0,k|0)}function _sc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;Ug[a&127](b|0,c|0,d|0,e|0,f|0,g|0)}function $sc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;g=g|0;h=h|0;i=i|0;Vg[a&3](b|0,c|0,d|0,+e,f|0,g|0,h|0,i|0)}function atc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;i=i|0;Wg[a&3](b|0,c|0,d|0,e|0,f|0,g|0,+h,i|0)}function btc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;i=i|0;j=j|0;k=k|0;Xg[a&1](b|0,c|0,d|0,e|0,f|0,g|0,+h,i|0,j|0,k|0)}function ctc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=+h;i=i|0;j=j|0;Yg[a&1](b|0,c|0,d|0,e|0,+f,+g,+h,i|0,j|0)}function dtc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;Zg[a&15](b|0,c|0,d|0,+e,+f)}function etc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;_g[a&7](b|0,c|0,d|0,+e,f|0)}function ftc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;g=g|0;h=h|0;return $g[a&1](b|0,c|0,+d,e|0,f|0,g|0,h|0)|0}function gtc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=+g;h=+h;i=+i;ah[a&1](b|0,c|0,+d,+e,f|0,+g,+h,+i)}function htc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;bh[a&7](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0)}function itc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;return +ch[a&1](b|0,c|0,+d,+e,f|0)}function jtc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return +dh[a&31](b|0,c|0,d|0)}function ktc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;eh[a&3](b|0,c|0,d|0,+e,+f,+g)}function ltc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=+h;i=+i;j=+j;k=+k;fh[a&1](b|0,c|0,d|0,+e,+f,g|0,+h,+i,+j,+k)}function mtc(a,b,c,d,e,f,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=+m;gh[a&1](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0,l|0,+m)}function ntc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=+h;i=+i;hh[a&1](b|0,c|0,d|0,+e,+f,g|0,+h,+i)}function otc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;g=g|0;h=h|0;i=i|0;j=+j;k=k|0;ih[a&1](b|0,c|0,d|0,+e,f|0,g|0,h|0,i|0,+j,k|0)}function ptc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=h|0;i=i|0;j=j|0;k=+k;jh[a&1](b|0,c|0,d|0,+e,+f,g|0,h|0,i|0,j|0,+k)}function qtc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;kh[a&7](b|0,c|0,d|0,+e,+f,g|0)}function rtc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return lh[a&127](b|0,c|0,d|0,e|0,f|0)|0}function stc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;mh[a&63](b|0,c|0,d|0,+e)}function ttc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=+h;i=+i;nh[a&1](b|0,c|0,d|0,e|0,+f,+g,+h,+i)}function utc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;oh[a&1](b|0,c|0,+d,e|0,f|0)}function vtc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;return ph[a&7](b|0,c|0,d|0,e|0,+f)|0}function wtc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=+h;i=i|0;qh[a&1](b|0,c|0,d|0,e|0,+f,+g,+h,i|0)}function xtc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;rh[a&255](b|0,c|0,d|0,e|0)}function ytc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;sh[a&255](b|0,c|0,d|0,e|0,f|0)}function ztc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;h=h|0;i=i|0;j=j|0;th[a&7](b|0,c|0,d|0,e|0,+f,g|0,h|0,i|0,j|0)}function Atc(a,b,c){a=a|0;b=b|0;c=+c;uh[a&15](b|0,+c)}function Btc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;return vh[a&3](b|0,c|0,+d,e|0)|0}function Ctc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=+e;return wh[a&1](b|0,c|0,+d,+e)|0}function Dtc(a,b,c){a=a|0;b=b|0;c=c|0;xh[a&2047](b|0,c|0)}function Etc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;yh[a&31](b|0,c|0,d|0,e|0,+f)}function Ftc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=+h;i=+i;j=j|0;zh[a&1](b|0,c|0,d|0,e|0,+f,+g,+h,+i,j|0)}function Gtc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=+e;Ah[a&7](b|0,c|0,+d,+e)}function Htc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;Bh[a&15](b|0,c|0,+d,e|0)}function Itc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;g=g|0;h=+h;i=+i;j=j|0;Ch[a&1](b|0,c|0,d|0,+e,f|0,g|0,+h,+i,j|0)}function Jtc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;return +Dh[a&1](b|0,c|0,d|0,+e)}function Ktc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=h|0;i=i|0;Eh[a&1](b|0,c|0,d|0,+e,+f,+g,h|0,i|0)}function Ltc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;Fh[a&255](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0)}function Mtc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;Gh[a&1](b|0,c|0,d|0,+e,+f,+g,h|0,i|0,j|0,k|0)}function Ntc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=+i;Hh[a&3](b|0,c|0,d|0,e|0,f|0,g|0,h|0,+i)}function Otc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return +Ih[a&15](b|0,c|0,d|0,e|0)}function Ptc(a,b,c,d,e,f,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;i=i|0;j=+j;k=+k;l=l|0;Jh[a&1](b|0,c|0,d|0,e|0,f|0,+g,h|0,i|0,+j,+k,l|0)}function Qtc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;i=i|0;Kh[a&7](b|0,c|0,d|0,e|0,f|0,+g,h|0,i|0)}function Rtc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=+h;i=+i;j=+j;Lh[a&1](b|0,c|0,d|0,+e,+f,g|0,+h,+i,+j)}function Stc(a,b,c){a=a|0;b=b|0;c=+c;return Mh[a&1](b|0,+c)|0}function Ttc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=+h;Nh[a&1](b|0,c|0,d|0,+e,+f,g|0,+h)}function Utc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;Oh[a&127](b|0,c|0,d|0,e|0,f|0,g|0,h|0)}function Vtc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=+f;g=+g;h=h|0;Ph[a&1](b|0,c|0,+d,e|0,+f,+g,h|0)}function Wtc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;Qh[a&7](b|0,c|0,d|0,e|0,f|0,g|0,+h)}function Xtc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;Rh[a&127](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0)}function Ytc(a,b,c){a=a|0;b=b|0;c=c|0;return Sh[a&511](b|0,c|0)|0}function Ztc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=h|0;Th[a&3](b|0,c|0,d|0,+e,+f,g|0,h|0)}function _tc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;g=+g;h=h|0;Uh[a&1](b|0,c|0,d|0,+e,f|0,+g,h|0)}function $tc(a,b,c,d,e){a=a|0;b=+b;c=c|0;d=d|0;e=e|0;Vh[a&1](+b,c|0,d|0,e|0)}function auc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;i=i|0;j=j|0;Wh[a&1](b|0,c|0,d|0,e|0,f|0,g|0,+h,i|0,j|0)}function buc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=+h;i=i|0;j=j|0;k=k|0;Xh[a&1](b|0,c|0,d|0,e|0,+f,+g,+h,i|0,j|0,k|0)}function cuc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Yh[a&511](b|0,c|0,d|0)}function duc(a){a=a|0;Zh[a&255]()}function euc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;_h[a&31](b|0,c|0,+d)}function fuc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;$h[a&1](b|0,c|0,+d,e|0,f|0,g|0,h|0,i|0)}function guc(a,b){a=a|0;b=b|0;ai[a&2047](b|0)}function huc(a,b,c,d,e,f,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;h=h|0;i=i|0;j=j|0;k=+k;l=l|0;bi[a&1](b|0,c|0,d|0,e|0,+f,g|0,h|0,i|0,j|0,+k,l|0)}function iuc(a,b){a=a|0;b=b|0;return ci[a&1023](b|0)|0}function juc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=+i;j=+j;k=k|0;di[a&7](b|0,c|0,d|0,e|0,f|0,g|0,h|0,+i,+j,k|0)}function kuc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=+c;d=d|0;e=+e;f=+f;g=g|0;ei[a&1](b|0,+c,d|0,+e,+f,g|0)}function luc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;i=+i;fi[a&3](b|0,c|0,d|0,e|0,f|0,g|0,+h,+i)}function muc(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;gi[a&7](b|0,+c,d|0,e|0)}function nuc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;hi[a&15](b|0,c|0,d|0,e|0,+f,g|0)}function ouc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=h|0;i=i|0;ii[a&3](b|0,c|0,d|0,+e,+f,g|0,h|0,i|0)}function puc(a,b,c,d,e,f,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;ji[a&1](b|0,c|0,d|0,e|0,f|0,g|0,+h,i|0,j|0,k|0,l|0,m|0)}function quc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return ki[a&511](b|0,c|0,d|0)|0}function ruc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=+f;g=g|0;h=h|0;li[a&1](b|0,c|0,+d,e|0,+f,g|0,h|0)}function suc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=h|0;i=i|0;mi[a&1](b|0,c|0,d|0,e|0,+f,+g,h|0,i|0)}function tuc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;return ni[a&3](b|0,c|0,+d)|0}function uuc(a,b,c,d,e,f,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=+k;l=+l;oi[a&7](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,+k,+l)}function vuc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;h=h|0;pi[a&7](b|0,c|0,d|0,e|0,+f,g|0,h|0)}function wuc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return +qi[a&7](b|0,c|0,d|0,e|0,f|0)}function xuc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;return +ri[a&1](b|0,c|0,d|0,e|0,+f)}function yuc(a,b,c,d,e,f,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;return si[a&1](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0,l|0,m|0)|0}function zuc(a,b,c,d,e,f,g,h,i,j,k,l,m,n,o){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;return ti[a&0](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0,l|0,m|0,n|0,o|0)|0}function Auc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;i=+i;j=j|0;ui[a&3](b|0,c|0,d|0,e|0,f|0,g|0,+h,+i,j|0)}function Buc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;g=g|0;return vi[a&1](b|0,c|0,+d,e|0,f|0,g|0)|0}function Cuc(a){a=a|0;return wi[a&31]()|0}function Duc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;return xi[a&1](b|0,c|0,+d,e|0,f|0)|0}function Euc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return +yi[a&3](b|0,c|0,d|0,e|0,f|0,g|0)}function Fuc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return zi[a&1](b|0,c|0,+d,e|0,f|0,g|0,h|0,i|0)|0}function Guc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=+c;d=d|0;e=+e;f=+f;g=g|0;h=h|0;Ai[a&1](b|0,+c,d|0,+e,+f,g|0,h|0)}function Huc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;return Bi[a&1](b|0,c|0,d|0,e|0,f|0,+g,h|0)|0}function Iuc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;i=i|0;j=j|0;Ci[a&3](b|0,c|0,d|0,e|0,f|0,+g,h|0,i|0,j|0)}function Juc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=+f;g=g|0;Di[a&1](b|0,c|0,+d,e|0,+f,g|0)}function Kuc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return Ei[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0)|0}function Luc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=+f;g=+g;h=h|0;i=i|0;Fi[a&1](b|0,c|0,+d,e|0,+f,+g,h|0,i|0)}function Muc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;i=i|0;j=+j;Gi[a&1](b|0,c|0,d|0,e|0,f|0,+g,h|0,i|0,+j)}function Nuc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;Hi[a&7](b|0,c|0,d|0,e|0,+f,+g)}function Ouc(a,b,c,d,e,f){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;f=f|0;Ii[a&1](b|0,+c,d|0,e|0,f|0)}function Puc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;aa(0);return 0}function Quc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;aa(1)}function Ruc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;g=g|0;h=h|0;aa(2)}function Suc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=h|0;aa(3)}function Tuc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;g=g|0;aa(4)}function Uuc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;g=g|0;h=+h;aa(5)}function Vuc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;aa(6);return 0}function Wuc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;aa(7)}function Xuc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;aa(8)}function Yuc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=+f;g=+g;h=h|0;aa(9)}function Zuc(a,b,c,d,e,f){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;f=f|0;aa(10)}function _uc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;aa(11)}function $uc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=+k;aa(12)}function avc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=+f;g=+g;aa(13)}function bvc(a,b,c){a=a|0;b=+b;c=c|0;aa(14);return 0}function cvc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=+c;d=+d;e=e|0;f=+f;g=+g;aa(15)}function dvc(a,b,c){a=a|0;b=+b;c=c|0;aa(16)}function evc(a,b,c,d,e,f){a=a|0;b=b|0;c=+c;d=+d;e=e|0;f=f|0;aa(17)}function fvc(a,b,c,d,e,f){a=a|0;b=b|0;c=+c;d=+d;e=e|0;f=+f;aa(18)}function gvc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;aa(19)}function hvc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=+c;d=+d;e=e|0;f=+f;g=+g;h=+h;i=+i;aa(20)}function ivc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=h|0;i=i|0;j=j|0;aa(21)}function jvc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;i=+i;aa(22)}function kvc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=h|0;i=i|0;j=+j;aa(23)}function lvc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;i=i|0;aa(24)}function mvc(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=+d;e=e|0;aa(25)}function nvc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;aa(26)}function ovc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;aa(27)}function pvc(a){a=a|0;aa(28);return 0.0}function qvc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;aa(29)}function rvc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;g=g|0;h=+h;i=+i;j=j|0;aa(30)}function svc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=h|0;i=i|0;j=j|0;k=+k;aa(31)}function tvc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=h|0;i=i|0;aa(32)}function uvc(a,b,c){a=+a;b=b|0;c=c|0;aa(33)}function vvc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;aa(34);return 0.0}function wvc(a,b){a=a|0;b=b|0;aa(35);return 0.0}function xvc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=g|0;h=h|0;i=i|0;aa(36)}function yvc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=g|0;h=h|0;i=+i;aa(37)}function zvc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;g=g|0;h=+h;i=+i;aa(38)}function Avc(a,b,c,d,e,f,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=+k;l=+l;m=m|0;aa(39)}function Bvc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;aa(40);return 0}function Cvc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;aa(41)}function Dvc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=+f;g=g|0;aa(42)}function Evc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;h=h|0;i=+i;j=+j;aa(43)}function Fvc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;aa(44);return 0}function Gvc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;aa(45);return 0}function Hvc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=+c;d=+d;e=e|0;f=f|0;g=g|0;aa(46)}function Ivc(a,b,c,d,e,f,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;i=i|0;j=+j;k=k|0;l=l|0;m=m|0;aa(47);return 0}function Jvc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=+f;g=g|0;h=h|0;i=i|0;aa(48)}function Kvc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;f=f|0;g=+g;aa(49)}function Lvc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;h=h|0;i=i|0;j=j|0;aa(50)}function Mvc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;f=f|0;g=g|0;aa(51)}function Nvc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;aa(52);return 0.0}function Ovc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=+f;g=g|0;h=h|0;aa(53)}function Pvc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;aa(54);return 0.0}function Qvc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;g=g|0;h=+h;aa(55)}function Rvc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=+f;g=+g;h=h|0;i=i|0;aa(56)}function Svc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;aa(57)}function Tvc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=+h;i=i|0;j=j|0;aa(58)}function Uvc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;aa(59)}function Vvc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;g=g|0;h=h|0;aa(60)}function Wvc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;aa(61)}function Xvc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;i=i|0;j=j|0;aa(62)}function Yvc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=h|0;i=i|0;aa(63)}function Zvc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=+e;aa(64)}function _vc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;aa(65)}function $vc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;f=f|0;g=g|0;aa(66);return 0}function awc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=+c;d=+d;e=e|0;f=+f;g=+g;h=+h;aa(67)}function bwc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;aa(68)}function cwc(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=+d;e=e|0;aa(69);return 0.0}function dwc(a,b,c){a=a|0;b=b|0;c=c|0;aa(70);return 0.0}function ewc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=+f;aa(71)}function fwc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=+g;h=+h;i=+i;j=+j;aa(72)}function gwc(a,b,c,d,e,f,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=+l;aa(73)}function hwc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=+g;h=+h;aa(74)}function iwc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;g=g|0;h=h|0;i=+i;j=j|0;aa(75)}function jwc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=g|0;h=h|0;i=i|0;j=+j;aa(76)}function kwc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;aa(77)}function lwc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;aa(78);return 0}function mwc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;aa(79)}function nwc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=+h;aa(80)}function owc(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;aa(81)}function pwc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;aa(82);return 0}function qwc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=h|0;aa(83)}function rwc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;aa(84)}function swc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;aa(85)}function twc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;g=g|0;h=h|0;i=i|0;aa(86)}function uwc(a,b){a=a|0;b=+b;aa(87)}function vwc(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;aa(88);return 0}function wwc(a,b,c,d){a=a|0;b=b|0;c=+c;d=+d;aa(89);return 0}function xwc(a,b){a=a|0;b=b|0;aa(90)}function ywc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;aa(91)}function zwc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=+h;i=i|0;aa(92)}function Awc(a,b,c,d){a=a|0;b=b|0;c=+c;d=+d;aa(93)}function Bwc(a,b,c,d){a=a|0;b=b|0;c=+c;d=d|0;aa(94)}function Cwc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;g=+g;h=+h;i=i|0;aa(95)}function Dwc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=+d;aa(96);return 0.0}function Ewc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=+f;g=g|0;h=h|0;aa(97)}function Fwc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;aa(98)}function Gwc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=+f;g=g|0;h=h|0;i=i|0;j=j|0;aa(99)}function Hwc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;aa(100)}function Iwc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;aa(101);return 0.0}function Jwc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;h=h|0;i=+i;j=+j;k=k|0;aa(102)}function Kwc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;h=h|0;aa(103)}function Lwc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=+g;h=+h;i=+i;aa(104)}function Mwc(a,b){a=a|0;b=+b;aa(105);return 0}function Nwc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=+g;aa(106)}function Owc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;aa(107)}function Pwc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=+c;d=d|0;e=+e;f=+f;g=g|0;aa(108)}function Qwc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;aa(109)}function Rwc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;aa(110)}function Swc(a,b){a=a|0;b=b|0;aa(111);return 0}function Twc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=g|0;aa(112)}function Uwc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=+f;g=g|0;aa(113)}function Vwc(a,b,c,d){a=+a;b=b|0;c=c|0;d=d|0;aa(114)}function Wwc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;i=i|0;aa(115)}function Xwc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=+g;h=h|0;i=i|0;j=j|0;aa(116)}function Ywc(a,b,c){a=a|0;b=b|0;c=c|0;aa(117)}function Zwc(){aa(118)}function _wc(){We()}function $wc(a,b,c){a=a|0;b=b|0;c=+c;aa(119)}function axc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;aa(120)}function bxc(a){a=a|0;aa(121)}function cxc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;g=g|0;h=h|0;i=i|0;j=+j;k=k|0;aa(122)}function dxc(a){a=a|0;aa(123);return 0}function exc(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;i=+i;j=j|0;aa(124)}function fxc(a,b,c,d,e,f){a=a|0;b=+b;c=c|0;d=+d;e=+e;f=f|0;aa(125)}function gxc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=+h;aa(126)}function hxc(a,b,c,d){a=a|0;b=+b;c=c|0;d=d|0;aa(127)}function ixc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;aa(128)}function jxc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=+d;e=+e;f=f|0;g=g|0;h=h|0;aa(129)}function kxc(a,b,c,d,e,f,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;aa(130)}function lxc(a,b,c){a=a|0;b=b|0;c=c|0;aa(131);return 0}function mxc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=+c;d=d|0;e=+e;f=f|0;g=g|0;aa(132)}function nxc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;h=h|0;aa(133)}function oxc(a,b,c){a=a|0;b=b|0;c=+c;aa(134);return 0}function pxc(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=+j;k=+k;aa(135)}function qxc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;g=g|0;aa(136)}function rxc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;aa(137);return 0.0}function sxc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;aa(138);return 0.0}function txc(a,b,c,d,e,f,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;aa(139);return 0}function uxc(a,b,c,d,e,f,g,h,i,j,k,l,m,n){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;aa(140);return 0}function vxc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=+h;i=i|0;aa(141)}function wxc(a,b,c,d,e,f){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;f=f|0;aa(142);return 0}function xxc(){aa(143);return 0}function yxc(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;aa(144);return 0}function zxc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;aa(145);return 0.0}function Axc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;aa(146);return 0}function Bxc(a,b,c,d,e,f,g){a=a|0;b=+b;c=c|0;d=+d;e=+e;f=f|0;g=g|0;aa(147)}function Cxc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;aa(148);return 0}function Dxc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;h=h|0;i=i|0;aa(149)}function Exc(a,b,c,d,e,f){a=a|0;b=b|0;c=+c;d=d|0;e=+e;f=f|0;aa(150)}function Fxc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;aa(151);return 0}function Gxc(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=+c;d=d|0;e=+e;f=+f;g=g|0;h=h|0;aa(152)}function Hxc(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;h=h|0;i=+i;aa(153)}function Ixc(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;aa(154)}function Jxc(a,b,c,d,e){a=a|0;b=+b;c=c|0;d=d|0;e=e|0;aa(155)}

// EMSCRIPTEN_END_FUNCS
var Pf=[Puc,Uic,_ic,Puc];var Qf=[Quc,Lw];var Rf=[Ruc,Mta,sp,Ar,rC,Ruc,Ruc,Ruc];var Sf=[Suc,Rw,nl,Suc];var Tf=[Tuc,Nta,Nr,Tuc];var Uf=[Uuc,Wq];var Vf=[Vuc,wM,xM,yM,zM,AM,BM,CM,DM,EM,FM,GM,HM,IM,JM,KM,LM,MM,NM,OM,PM,QM,dS,eS,fS,gS,hS,iS,jS,Mba,DXb,EXb,cec,dec,eec,fec,gec,hec,iec,jec,kec,lec,mec,Yec,Zec,_ec,$ec,afc,bfc,cfc,dfc,efc,ffc,gfc,zfc,Bfc,Qfc,Sfc,bgc,cgc,dgc,egc,fgc,Ogc,Pgc,Qgc,Rgc,Sgc,Vic,$ic,au,sm,Rx,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc,Vuc];var Wf=[Wuc,ry];var Xf=[Xuc,Dw,Fw,il,kx,Vy,Xuc,Xuc];var Yf=[Yuc,Yk];var Zf=[Zuc,xq];var _f=[_uc,Ax];var $f=[$uc,bm];var ag=[avc,Zk];var bg=[bvc,yB];var cg=[cvc,cl,fl,cvc];var dg=[dvc,r2b,s2b,qp,jr,dvc,dvc,dvc];var eg=[evc,Pk,hp,evc];var fg=[fvc,dl,gl,fvc];var gg=[gvc,Zx,En,Gn,Lz,LA,bC,Jr];var hg=[hvc,al];var ig=[ivc,Xy];var jg=[jvc,$w];var kg=[kvc,Sy];var lg=[lvc,Tz];var mg=[mvc,Qk,el,hl,ip,mvc,mvc,mvc];var ng=[nvc,Or];var og=[ovc,Sw,ol,ovc];var pg=[pvc,Vra,uxa,Exa,bya,vya,xya,zya,Bya,Dya,Fya,Hya,Nya,wm,Qm,cp];var qg=[qvc,jC];var rg=[rvc,Ota,Uq,rvc];var sg=[svc,Wy];var tg=[tvc,Ty,Yy,tvc];var ug=[uvc,fn];var vg=[vvc,Hy,xo,kz];var wg=[wvc,Dua,Tua,q0b,C0b,$i,gv,ov,wv,Ev,Mv,Tv,Xv,dw,hw,El,vm,Tx,vo,bp,fp,$p,SA,EB,wvc,wvc,wvc,wvc,wvc,wvc,wvc,wvc];var xg=[xvc,go];var yg=[yvc,$n];var zg=[zvc,Vq];var Ag=[Avc,KW,HW,IW,JW,Avc,Avc,Avc];var Bg=[Bvc,eP,kS,lS,mS,nS,oS,E_,Kba,Lba,xlb,_lb,VUb,DWb,EWb,PWb,RWb,SWb,TWb,UWb,VWb,YWb,_Wb,$Wb,aXb,mXb,xXb,GXb,IXb,a$b,l$b,n$b,w$b,J$b,Z$b,j0b,v0b,H0b,T0b,d1b,p1b,gkc,Dkc,Ekc,Fkc,Lkc,Zt,_t,cu,ou,Eu,Gu,vk,Ju,yk,Mu,Bk,Pu,Ek,Su,Hk,Kk,Lk,vw,ls,ft,zt,Pt,pm,Ox,um,py,zy,Qy,Yp,$z,wA,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc,Bvc];var Cg=[Cvc,Jva,Fr,Cvc];var Dg=[Dvc,sn];var Eg=[Evc,IA];var Fg=[Fvc,wu,Bs,Rs];var Gg=[Gvc,zhc,Fhc,Cic,Dic,Lic,Mic,Qx];var Hg=[Hvc,gp];var Ig=[Ivc,BA];var Jg=[Jvc,qn];var Kg=[Kvc,xl];var Lg=[Lvc,Iz,_B,Gr];var Mg=[Mvc,wq];var Ng=[Nvc,bA];var Og=[Ovc,My];var Pg=[Pvc,jz];var Qg=[Qvc,dx];var Rg=[Rvc,Xk];var Sg=[Svc,Tw,pl,Xl,Hn,MA,cC,Kr];var Tg=[Tvc,Iw];var Ug=[Uvc,yG,zG,AG,BG,eR,bX,cX,dX,eX,fX,gX,hX,WW,XW,YW,ZW,_W,$W,aX,uaa,naa,haa,baa,X9,R9,L9,F9,z9,t9,n9,h9,Uda,Sda,$da,Zda,gea,eea,nea,lea,vea,tea,Cea,Aea,Jea,Hea,Qea,Oea,Xea,Vea,cfa,afa,kfa,ifa,nfa,vfa,tfa,yfa,Cfa,Eka,Fka,Gka,Hka,Ika,$na,Xna,Tna,Pna,Lna,Hna,Dna,zna,vna,rna,Lta,Qta,Aza,Abc,dXb,fXb,w2b,x2b,Sbc,fjc,kjc,Cnc,Lnc,koc,Zw,ul,ex,nx,Ul,tx,$l,gm,Fx,km,Jx,Vm,by,$m,ey,kn,ny,vy,zn,Dy,Kn,Gy,jo,Ao,nz,qz,Wo,Ep,Kp,Rz,Tp,Wz,cA,nq,gA,rq,oC,kX,jX,Uvc];var Vg=[Vvc,Hva,Mr,Vvc];var Wg=[Wvc,By,Rp,mC];var Xg=[Xvc,kC];var Yg=[Yvc,ty];var Zg=[Zvc,Si,Cw,Tk,Vk,$k,Gl,eo,Op,Zvc,Zvc,Zvc,Zvc,Zvc,Zvc,Zvc];var _g=[_vc,ix,bn,Zo,or,Pr,_vc,_vc];var $g=[$vc,jA];var ah=[awc,bl];var bh=[bwc,SO,cm,Bx,jy,bwc,bwc,bwc];var ch=[cwc,fq];var dh=[dwc,IX,JX,KX,LX,MX,NX,OX,xWb,yWb,vu,Uu,Yu,jx,om,Pn,uo,hz,ap,Bz,ep,Dz,np,_p,dwc,dwc,dwc,dwc,dwc,dwc,dwc,dwc];var eh=[ewc,_k,Rn,ewc];var fh=[fwc,Nw];var gh=[gwc,zx];var hh=[hwc,Pw];var ih=[iwc,am];var jh=[jwc,fo];var kh=[kwc,Bw,Sk,Uk,Fl,co,Np,kwc];var lh=[lwc,QG,RG,SG,TG,UG,VG,WG,SL,TL,UL,VL,WL,XL,YL,ZL,_L,$L,aM,bM,cM,dM,eM,fM,gM,hM,iM,jM,kM,cAa,RAa,Lmb,Vmb,jnb,Hnb,_nb,sob,Gob,Tob,apb,lpb,ypb,Mpb,Zpb,sqb,Oqb,drb,qrb,Grb,Urb,$rb,lsb,Dsb,Btb,Jtb,gub,uub,Kub,_ub,ovb,Evb,Uvb,iwb,ywb,Vwb,fxb,pxb,Dxb,Rxb,bXb,FXb,HXb,Sdc,Ydc,xfc,yfc,Afc,Efc,Ofc,Pfc,Rfc,Vfc,pjc,sjc,Hjc,Kjc,ikc,Nkc,Ajc,Djc,Qjc,Tjc,$t,Qi,Hu,Ku,Nu,Qu,Tu,Nx,tm,Sx,_z,lwc,lwc,lwc,lwc,lwc,lwc,lwc,lwc,lwc,lwc,lwc,lwc,lwc,lwc,lwc,lwc,lwc,lwc,lwc,lwc,lwc,lwc,lwc,lwc,lwc];var mh=[mwc,pya,JWb,KWb,rXb,sXb,Ui,aj,ys,Os,Wk,Ux,cn,ko,_o,Pp,$q,gr,pr,Qr,qX,pX,sX,rX,uX,tX,wX,vX,yX,xX,AX,zX,CX,BX,EX,DX,GX,FX,A6,z6,y6,mwc,mwc,mwc,mwc,mwc,mwc,mwc,mwc,mwc,mwc,mwc,mwc,mwc,mwc,mwc,mwc,mwc,mwc,mwc,mwc,mwc,mwc,mwc];var nh=[nwc,Kw];var oh=[owc,yq];var ph=[pwc,Cfc,Dfc,Tfc,Ufc,pwc,pwc,pwc];var qh=[qwc,uy];var rh=[rwc,ZE,yE,GE,HE,IE,JE,_E,RE,cF,QE,fF,iF,jF,kF,pF,qF,rF,BF,HF,NF,QF,DJ,EJ,FJ,GJ,hL,iL,jL,kL,fR,wS,xS,yS,zS,AS,BS,CS,qxa,Bza,Bbc,Rza,Sza,NAa,ylb,Flb,Plb,Slb,Xlb,hmb,kmb,umb,Kmb,Smb,cnb,lnb,Dnb,Jnb,Xnb,pob,Dob,Qob,ipb,vpb,Fpb,Ypb,_pb,nqb,Lqb,arb,lrb,Drb,Rrb,_rb,hsb,Asb,Atb,Gtb,Rtb,aub,nub,Dub,Tub,hvb,xvb,Nvb,bwb,rwb,Owb,exb,lxb,Axb,Mxb,IDb,ZGb,_Gb,qWb,AWb,FWb,HWb,LWb,MWb,NWb,OWb,QWb,nXb,pXb,tXb,uXb,vXb,wXb,yXb,JXb,KXb,c$b,f$b,g$b,y$b,B$b,C$b,L$b,O$b,P$b,$$b,c0b,d0b,l0b,o0b,p0b,x0b,A0b,B0b,J0b,M0b,N0b,V0b,Y0b,Z0b,f1b,i1b,j1b,r1b,u1b,v1b,p2b,q2b,v2b,B3b,C3b,Tbc,Tdc,Zdc,Enc,Nnc,moc,Ej,Zi,Wi,ju,Tj,nu,Vj,ru,Zj,Bu,gk,ik,kk,mk,ok,qk,sk,qj,rj,is,ct,vt,Mt,ll,Vw,cx,zl,Hl,lx,Ll,Nl,Ql,px,Wl,im,mm,nm,Am,Wx,Jm,Mm,Om,Rm,Xm,_m,mn,un,xy,Bn,Dn,Jn,Zn,az,no,so,fz,Co,Ho,Lo,uz,Yo,pp,vp,Nz,yp,Oz,Gp,Ip,Mp,dq,kq,pq,tq,_q,dB,oB,FB,QB,UB,WB,Er,vC,pZ,wZ,w$,B$,v_,A_,h0,o0,r0,u0,x0,B0,c6,pua,Wwa,rwc,rwc,rwc,rwc];var sh=[swc,gD,aD,xE,TJ,UJ,VJ,WJ,XJ,YJ,ZJ,_J,$J,aK,xL,yL,zL,AL,BL,CL,DL,EL,FL,GL,HL,IL,b9,Z8,V8,R8,N8,J8,F8,B8,x8,t8,Vaa,Raa,Naa,Jaa,Faa,Nba,jca,oca,tca,yca,Dca,Ica,Nca,Sca,Xca,ada,ida,gda,qda,oda,mna,ina,ena,ana,Yma,Uma,Qma,Mma,Ima,Ema,Msa,Nsa,Osa,Psa,Qsa,Rsa,Ssa,Yza,ymb,gnb,Qxb,rWb,GWb,IWb,ZWb,cXb,eXb,iXb,jXb,kXb,lXb,oXb,qXb,j2b,Dnc,Mnc,loc,mu,Uw,ql,vl,yl,fx,Pl,ox,Vl,ux,hm,Gx,lm,Kx,Lx,Vx,Im,Wm,cy,Zm,an,ln,oy,tn,wy,An,In,Ey,Ln,cz,ro,ez,Bo,oz,Go,tz,Xo,op,Mz,Fp,Hp,Lp,Sz,Up,cq,jq,dA,oq,hA,sq,NA,dC,Lr,nX,mX,jba,iba,lba,kba,nba,mba,oba,pba,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc,swc];var th=[twc,Iva,rp,zr,qC,twc,twc,twc];var uh=[uwc,Ura,vxa,Fxa,cya,wya,yya,Aya,Cya,Eya,Gya,Iya,Oya,kr,mr,uwc];var vh=[vwc,mA,jB,vwc];var wh=[wwc,Py];var xh=[xwc,OG,MG,KG,mN,WO,fP,PO,ybc,IR,ZR,PU,QU,RU,ZX,_X,aY,bY,H_,d1,f2,b2,X1,$1,D2,A2,y2,N2,K2,H2,Q2,R2,S2,T2,U2,V2,W2,X2,f3,g3,h3,i3,o3,r3,s3,t3,u3,v3,w3,x3,y3,z3,A3,B3,C3,q4,o4,l4,j4,C4,A4,x4,u4,U4,R4,P4,c5,$4,Y4,y5,v5,n5,k5,R5,O5,J5,G5,s6,t6,k7,i7,r7,p7,n7,J7,F7,Q7,O7,M7,d8,_7,rba,yba,wba,dia,Fia,Kia,Pia,Uia,Zia,hja,nja,tja,zja,Fja,Qja,Wja,aka,gka,mka,vka,xka,zka,Bka,Dka,Mka,Qka,Uka,Zka,cla,fla,xla,Kla,Xla,ima,vma,Epa,Gpa,Ipa,Mpa,Opa,Qpa,Zpa,Wpa,Tpa,bqa,fqa,nqa,lqa,jqa,uqa,sqa,qqa,xqa,Aqa,Dqa,Gqa,Wra,Xra,rsa,msa,hsa,csa,wsa,Xsa,bta,vta,tta,Ata,Fta,Kta,Xta,gua,xua,Bua,Qua,lva,Eva,Lva,Ova,Pva,Wva,fxa,ixa,txa,xxa,zxa,Bxa,Dxa,Hxa,Oxa,Vxa,Wxa,Yxa,Zxa,_xa,aya,nya,oya,qya,sya,uya,Kya,Mya,Vya,yza,z_b,C_b,D_b,XFa,$Fa,aGa,bGa,dGa,sHa,vHa,wHa,xHa,yHa,sGa,tGa,yGa,zGa,BGa,EGa,NGa,UGa,XGa,H_b,_Ga,L_b,aHa,I_b,oIa,rIa,sIa,tIa,uIa,QIa,TIa,UIa,VIa,WIa,vJa,yJa,zJa,AJa,BJa,rLa,uLa,vLa,wLa,xLa,IKa,OKa,RKa,UKa,WKa,zKa,CKa,DKa,EKa,FKa,UJa,NLa,QLa,RLa,SLa,TLa,lMa,oMa,pMa,qMa,rMa,FMa,IMa,JMa,KMa,LMa,NNa,QNa,RNa,SNa,TNa,cNa,jNa,pNa,sNa,vNa,xNa,BOa,EOa,FOa,GOa,HOa,$Oa,cPa,dPa,ePa,fPa,uPa,xPa,yPa,zPa,APa,SPa,VPa,WPa,XPa,YPa,kQa,nQa,oQa,pQa,qQa,QQa,TQa,UQa,VQa,WQa,ySa,BSa,CSa,DSa,ESa,PSa,SSa,TSa,USa,VSa,gTa,jTa,kTa,lTa,mTa,xTa,ATa,BTa,CTa,DTa,PTa,STa,TTa,UTa,VTa,fUa,iUa,jUa,kUa,lUa,xUa,AUa,BUa,CUa,DUa,OUa,RUa,SUa,TUa,UUa,eVa,hVa,iVa,jVa,kVa,zVa,CVa,DVa,EVa,FVa,DWa,GWa,HWa,IWa,JWa,TWa,WWa,XWa,YWa,ZWa,hXa,kXa,lXa,mXa,nXa,xXa,AXa,BXa,CXa,DXa,NXa,QXa,RXa,SXa,TXa,bYa,eYa,fYa,gYa,hYa,rYa,uYa,vYa,wYa,xYa,HYa,KYa,LYa,MYa,NYa,XYa,_Ya,$Ya,aZa,bZa,mZa,pZa,qZa,rZa,sZa,CZa,FZa,GZa,HZa,IZa,SZa,VZa,WZa,XZa,YZa,m_a,p_a,q_a,r_a,s_a,D_a,G_a,H_a,I_a,J_a,T_a,W_a,X_a,Y_a,Z_a,h$a,k$a,l$a,m$a,n$a,x$a,A$a,B$a,C$a,D$a,N$a,Q$a,R$a,S$a,T$a,b0a,e0a,f0a,g0a,h0a,s0a,v0a,w0a,x0a,y0a,I0a,L0a,M0a,N0a,O0a,Y0a,$0a,a1a,b1a,c1a,m1a,p1a,q1a,r1a,s1a,C1a,F1a,G1a,H1a,I1a,T1a,W1a,X1a,Y1a,Z1a,h2a,k2a,l2a,m2a,n2a,x2a,A2a,B2a,C2a,D2a,N2a,Q2a,R2a,S2a,T2a,b3a,e3a,f3a,g3a,h3a,u3a,x3a,y3a,z3a,A3a,O3a,R3a,S3a,T3a,U3a,d4a,g4a,h4a,i4a,j4a,u4a,x4a,y4a,z4a,A4a,M4a,P4a,Q4a,R4a,S4a,c5a,f5a,g5a,h5a,i5a,t5a,w5a,x5a,y5a,z5a,L5a,O5a,P5a,Q5a,R5a,c6a,f6a,g6a,h6a,i6a,u6a,x6a,y6a,z6a,A6a,L6a,O6a,P6a,Q6a,R6a,a7a,d7a,e7a,f7a,g7a,r7a,u7a,v7a,w7a,x7a,J7a,M7a,N7a,O7a,P7a,_7a,b8a,c8a,d8a,e8a,r8a,u8a,v8a,w8a,x8a,I8a,L8a,M8a,N8a,O8a,_8a,b9a,c9a,d9a,e9a,q9a,t9a,u9a,v9a,w9a,H9a,K9a,L9a,M9a,N9a,dab,gab,hab,iab,jab,tab,wab,xab,yab,zab,Jab,Mab,Nab,Oab,Pab,Zab,abb,bbb,cbb,dbb,qbb,tbb,ubb,vbb,wbb,Kbb,Nbb,Obb,Pbb,Qbb,$bb,ccb,dcb,ecb,fcb,rcb,ucb,vcb,wcb,xcb,Pcb,Scb,Tcb,Ucb,Vcb,ldb,odb,pdb,qdb,rdb,Ddb,Gdb,Hdb,Idb,Jdb,Heb,Keb,Leb,Meb,Neb,jfb,mfb,nfb,ofb,pfb,Bfb,Efb,Ffb,Gfb,Hfb,Zfb,agb,bgb,cgb,dgb,ngb,qgb,rgb,sgb,tgb,Dgb,Ggb,Hgb,Igb,Jgb,Vgb,Ygb,Zgb,_gb,$gb,lhb,ohb,phb,qhb,rhb,Ghb,Jhb,Khb,Lhb,Mhb,Yhb,$hb,aib,bib,cib,xib,Aib,Bib,Cib,Dib,$ib,cjb,djb,ejb,fjb,qjb,tjb,ujb,vjb,wjb,Emb,rnb,Nnb,Lnb,opb,$pb,aqb,bqb,wqb,urb,yub,Oub,cvb,svb,Ivb,Yvb,mwb,Ewb,_wb,uxb,$xb,Byb,Qyb,Tyb,Uyb,Vyb,Wyb,lzb,ozb,pzb,qzb,rzb,KCb,QCb,VCb,_Cb,qJb,tJb,uJb,vJb,wJb,kKb,nKb,oKb,pKb,qKb,FKb,IKb,JKb,KKb,LKb,ZKb,aLb,bLb,cLb,dLb,sLb,vLb,wLb,xLb,yLb,MLb,PLb,QLb,RLb,SLb,gMb,jMb,kMb,lMb,mMb,BMb,EMb,FMb,GMb,HMb,YMb,$Mb,aNb,bNb,cNb,pNb,sNb,tNb,uNb,vNb,INb,LNb,MNb,NNb,ONb,aOb,dOb,eOb,fOb,gOb,tOb,wOb,xOb,yOb,zOb,NOb,QOb,ROb,SOb,TOb,fPb,iPb,jPb,kPb,lPb,APb,DPb,EPb,FPb,GPb,WPb,ZPb,_Pb,$Pb,aQb,rQb,uQb,vQb,wQb,xQb,MQb,PQb,QQb,RQb,SQb,iRb,lRb,mRb,nRb,oRb,CRb,FRb,GRb,HRb,IRb,XRb,_Rb,$Rb,aSb,bSb,rSb,uSb,vSb,wSb,xSb,KSb,NSb,OSb,PSb,QSb,kTb,nTb,oTb,pTb,qTb,FTb,ITb,JTb,KTb,LTb,bUb,eUb,fUb,gUb,hUb,G_b,wVb,xVb,VYb,lZb,mZb,rZb,sZb,uZb,xZb,b$b,e$b,x$b,A$b,K$b,N$b,_$b,b0b,k0b,n0b,w0b,z0b,I0b,L0b,U0b,X0b,e1b,h1b,q1b,t1b,Qbc,pdc,wdc,Ddc,Kdc,Nhc,Ohc,Phc,Qhc,Shc,Thc,Zhc,_hc,$hc,aic,cic,dic,iic,jic,kic,lic,nic,oic,tic,uic,vic,wic,yic,zic,gjc,ljc,qkc,rkc,skc,xkc,ykc,zkc,Fj,Gj,Hj,Ij,Jj,Kj,Lj,Mj,Nj,dj,ak,bj,gj,hj,Vi,jj,kj,lj,sj,tj,uj,pj,oj,Yr,ms,Cs,Ss,gt,At,Kl,Sl,zm,Cm,Tm,xn,Fn,Qn,mo,qo,Do,Ko,Oo,Qo,To,lp,xp,Ap,Vp,Yz,Zz,aq,bq,gq,iq,lq,uq,Bq,Dq,Gq,Iq,Kq,Mq,Oq,Qq,Tq,br,er,ir,BB,rr,tr,vr,nK,oK,pK,qK,rK,sK,_K,ZK,YK,XK,WK,VK,UK,TK,SK,RK,QK,PK,OK,NK,MK,LK,KK,JK,IK,HK,GK,FK,EK,DK,CK,BK,AK,zK,yK,xK,wK,vK,uK,tK,nta,ota,kta,lta,mta,Ojb,Pjb,Qjb,Rjb,Sjb,Tjb,Ujb,Vjb,Wjb,Xjb,Yjb,Zjb,_jb,$jb,akb,bkb,ckb,dkb,ekb,fkb,gkb,hkb,ikb,jkb,kkb,lkb,mkb,nkb,okb,pkb,qkb,rkb,skb,tkb,ukb,vkb,wkb,xkb,ykb,zkb,Akb,OAb,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc,xwc];var yh=[ywc,KE,ME,gXb,hXb,ku,Hw,kl,Hm,gy,$y,Zq,cB,nB,PB,Dr,uC,ywc,ywc,ywc,ywc,ywc,ywc,ywc,ywc,ywc,ywc,ywc,ywc,ywc,ywc,ywc];var zh=[zwc,Jw];var Ah=[Awc,Rk,xm,Yn,jp,Awc,Awc,Awc];var Bh=[Bwc,LE,lF,sF,CF,IF,RF,Dl,Hz,zq,cr,Bwc,Bwc,Bwc,Bwc,Bwc];var Ch=[Cwc,Pta];var Dh=[Dwc,Fo];var Eh=[Ewc,rn];var Fh=[Fwc,QN,RN,SN,TN,UN,VN,WN,XN,YN,ZN,_N,$N,aO,bO,cO,dO,eO,fO,gO,hO,iO,jO,kO,lO,mO,nO,oO,pO,qO,rO,sO,tO,uO,vO,wO,xO,yO,zO,AO,BO,CO,DO,EO,FO,GO,HO,QO,RO,DP,EP,FP,GP,HP,IP,JP,KP,LP,MP,NP,OP,PP,QP,RP,SP,TP,UP,VP,WP,XP,YP,ZP,_P,$P,aQ,bQ,cQ,dQ,eQ,fQ,gQ,hQ,iQ,jQ,kQ,lQ,mQ,nQ,oQ,pQ,qQ,rQ,sQ,tQ,uQ,vQ,wQ,xQ,AQ,BQ,CQ,DQ,EQ,FQ,GQ,_S,$S,aT,bT,cT,dT,eT,fT,gT,hT,JV,KV,LV,MV,NV,OV,PV,rx,wx,em,Dx,Hx,Em,Yx,$x,hn,ly,yy,Zy,oo,lz,Uo,yz,Pz,eA,MO,LO,jT,kma,jma,mma,lma,oma,nma,qma,pma,sma,rma,Zla,Yla,$la,_la,bma,ama,dma,cma,fma,ema,Mla,Lla,Ola,Nla,Qla,Pla,Sla,Rla,Ula,Tla,zla,yla,Bla,Ala,Dla,Cla,Fla,Ela,Hla,Gla,mla,lla,ola,nla,qla,pla,sla,rla,ula,tla,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc,Fwc];var Gh=[Gwc,pn];var Hh=[Hwc,ax,Uz,Hwc];var Ih=[Iwc,WWb,XWb,Vu,Zu,Mx,On,Ky,gz,Az,dp,Gz,Iwc,Iwc,Iwc,Iwc];var Jh=[Jwc,HA];var Kh=[Kwc,Rta,Kz,KA,aC,Ir,Kwc,Kwc];var Lh=[Lwc,Ow];var Mh=[Mwc,zB];var Nh=[Nwc,Qw];var Oh=[Owc,qL,rL,sL,tL,uL,vL,wL,oga,tga,yga,Dga,Iga,Nga,Sga,Xga,aha,fha,kha,pha,uha,pka,qka,rka,ska,tka,poa,uoa,zoa,Eoa,Joa,Ooa,Toa,Yoa,bpa,gpa,Hsa,Isa,Jsa,Ksa,Lsa,Csa,Dsa,Esa,Fsa,Gsa,xsa,ysa,zsa,Asa,Bsa,zta,Uxa,Opb,wub,Mub,avb,qvb,Gvb,Wvb,kwb,Awb,Xwb,bx,Tl,sx,_l,xx,fm,Ex,jm,Ix,Fm,Um,ay,dy,jn,my,wn,yn,Fy,io,_y,zo,mz,Vo,zz,Dp,Jp,Qz,Vz,mq,fA,qq,$aa,_aa,bba,aba,eba,dba,gba,hba,cba,fba,Owc,Owc,Owc,Owc,Owc,Owc,Owc,Owc,Owc,Owc,Owc,Owc,Owc,Owc,Owc,Owc,Owc,Owc,Owc,Owc,Owc,Owc,Owc,Owc];var Ph=[Pwc,hx];var Qh=[Qwc,Yw,tl,vx,Cy,Sp,nC,Qwc];var Rh=[Rwc,mH,nH,oH,pH,qH,rH,sH,BH,CH,DH,EH,FH,GH,HH,TH,UH,VH,WH,XH,YH,ZH,gI,hI,iI,jI,kI,lI,mI,vI,wI,xI,yI,zI,AI,BI,KI,LI,MI,NI,OI,PI,QI,SI,TI,UI,VI,WI,XI,YI,_I,$I,aJ,bJ,cJ,dJ,eJ,gJ,hJ,iJ,jJ,kJ,lJ,mJ,oJ,pJ,qJ,rJ,sJ,tJ,uJ,wJ,xJ,yJ,zJ,AJ,BJ,CJ,Ija,Jja,Kja,Lja,Mja,$ia,aja,bja,cja,dja,xia,yia,zia,Aia,Bia,dm,Cx,Xx,gn,ky,dz,xz,aH,eH,hH,kH,OW,LW,MW,NW,Rwc,Rwc,Rwc,Rwc,Rwc,Rwc,Rwc,Rwc,Rwc,Rwc,Rwc,Rwc,Rwc,Rwc,Rwc,Rwc,Rwc,Rwc,Rwc,Rwc];var Sh=[Swc,YE,TE,bF,eF,hF,oF,AF,GF,MF,PF,TO,hR,iR,RX,SX,TX,UX,VX,Gta,Eua,ova,Gva,Dza,Eza,Hbc,Jbc,Tza,Uza,Vza,_za,$za,OAa,PAa,QFa,VFa,hDb,lHa,qHa,oGa,qGa,PGa,VGa,hIa,mIa,JIa,OIa,oJa,tJa,mLa,_Ka,KKa,PKa,sKa,xKa,LJa,NJa,GLa,LLa,eMa,jMa,yMa,DMa,GNa,LNa,VMa,XMa,lNa,qNa,uOa,zOa,UOa,ZOa,nPa,sPa,LPa,QPa,dQa,iQa,KQa,OQa,tSa,wSa,KSa,NSa,bTa,eTa,sTa,vTa,KTa,NTa,aUa,dUa,sUa,vUa,JUa,MUa,$Ua,cVa,uVa,xVa,yWa,BWa,OWa,RWa,cXa,fXa,sXa,vXa,IXa,LXa,YXa,$Xa,mYa,pYa,CYa,FYa,SYa,VYa,hZa,kZa,xZa,AZa,NZa,QZa,h_a,k_a,y_a,B_a,O_a,R_a,c$a,f$a,s$a,v$a,I$a,L$a,Y$a,$$a,n0a,q0a,D0a,G0a,T0a,W0a,h1a,k1a,x1a,A1a,O1a,R1a,c2a,f2a,s2a,v2a,I2a,L2a,Y2a,$2a,p3a,s3a,J3a,M3a,_3a,b4a,p4a,s4a,H4a,K4a,Z4a,a5a,o5a,r5a,G5a,J5a,Z5a,a6a,p6a,s6a,G6a,J6a,X6a,_6a,m7a,p7a,E7a,H7a,V7a,Y7a,m8a,p8a,D8a,G8a,V8a,Y8a,l9a,o9a,C9a,F9a,_9a,bab,oab,rab,Eab,Hab,Uab,Xab,lbb,obb,Fbb,Ibb,Wbb,Zbb,mcb,pcb,Kcb,Ncb,gdb,jdb,ydb,Bdb,Ceb,Feb,efb,hfb,wfb,zfb,Ufb,Xfb,igb,lgb,ygb,Bgb,Qgb,Tgb,ghb,jhb,Bhb,Ehb,Thb,Whb,sib,vib,Wib,Zib,ljb,ojb,vmb,Tmb,dnb,hnb,inb,Enb,Ynb,qob,Eob,Rob,_ob,jpb,wpb,Gpb,Kpb,Ppb,Qpb,oqb,rqb,Mqb,brb,mrb,prb,Erb,Srb,isb,Bsb,Htb,Stb,Utb,bub,oub,sub,Eub,Iub,Uub,Yub,ivb,mvb,yvb,Cvb,Ovb,Svb,cwb,gwb,swb,wwb,Pwb,Twb,mxb,Bxb,Nxb,Jyb,Oyb,ezb,jzb,WAb,XAb,YAb,LCb,$Cb,jJb,oJb,dKb,iKb,yKb,DKb,SKb,XKb,lLb,qLb,FLb,KLb,$Lb,eMb,uMb,zMb,RMb,WMb,iNb,nNb,BNb,GNb,VNb,_Nb,mOb,rOb,GOb,LOb,_Ob,dPb,tPb,yPb,PPb,UPb,kQb,pQb,FQb,KQb,bRb,gRb,vRb,ARb,QRb,VRb,kSb,pSb,DSb,ISb,dTb,iTb,yTb,DTb,WTb,$Tb,QUb,tVb,E_b,JVb,eWb,fWb,gWb,zXb,AXb,N_b,WYb,cDb,hZb,jZb,__b,$_b,h$b,i$b,o$b,u$b,v$b,D$b,H$b,I$b,Q$b,X$b,Y$b,e0b,h0b,i0b,t0b,u0b,F0b,G0b,O0b,R0b,S0b,_0b,b1b,c1b,k1b,n1b,o1b,w1b,P1b,$3b,Zbc,$bc,sdc,zdc,Gdc,Ndc,bkc,dkc,fkc,Gkc,Ikc,Kkc,Vt,Wt,du,fu,gu,hu,su,$j,uu,yu,Cu,tk,wk,zk,Ck,Fk,Ik,Mk,av,ev,kv,sv,Av,Iv,Kv,Ov,Pv,Qv,Zv,bw,lw,nw,pw,qw,sw,uw,js,zs,Ps,dt,wt,Nt,qx,rm,_x,on,Ly,iz,sz,wz,oA,qA,sA,Sq,DA,OA,QA,UA,WA,lB,DB,TB,yr,hC,pC,a_,$Z,_Z,ZZ,YZ,h_,i_,j_,l_,k_,g0,j0,n0,q0,t0,w0,A0,O1,b6,oua,Vwa,Vsb,Nsb,etb,PVb,Swc,Swc];var Th=[Twc,Aw,bo,Fz];var Uh=[Uwc,Ny];var Vh=[Vwc,en];var Wh=[Wwc,lC];var Xh=[Xwc,sy];var Yh=[Ywc,UC,RC,EC,FC,GC,HC,IC,JC,zE,AE,BE,CE,DE,EE,FE,OE,PE,SE,mF,uF,vF,JF,bK,cK,dK,eK,fK,gK,hK,iK,jK,kK,aL,bL,cL,dL,eL,fL,gL,OO,CV,xV,sV,oV,jV,OU,Tra,Hta,Jta,Fua,Uua,pva,Pza,Qza,Wza,Xza,Zza,aAa,MAa,QAa,AGa,wmb,xmb,Rmb,Umb,bnb,enb,fnb,snb,Cnb,Fnb,Gnb,Wnb,Znb,oob,rob,Cob,Fob,Pob,Sob,Zob,$ob,hpb,kpb,xpb,Hpb,Ipb,Jpb,Lpb,Xpb,pqb,qqb,Kqb,Nqb,$qb,crb,nrb,orb,Crb,Frb,Trb,jsb,ksb,Csb,ztb,Itb,Qtb,Ttb,$tb,cub,dub,eub,fub,pub,qub,rub,tub,Fub,Gub,Hub,Jub,Vub,Wub,Xub,Zub,jvb,kvb,lvb,nvb,zvb,Avb,Bvb,Dvb,Pvb,Qvb,Rvb,Tvb,dwb,ewb,fwb,hwb,twb,uwb,vwb,xwb,Qwb,Rwb,Swb,Uwb,nxb,oxb,Cxb,Lxb,Oxb,Pxb,Txb,Uxb,jWb,lWb,nWb,pWb,sWb,tZb,d$b,m$b,p$b,z$b,E$b,M$b,R$b,a0b,m0b,y0b,K0b,W0b,g1b,s1b,m2b,n2b,o2b,t2b,u2b,X2b,a4b,Dj,_i,Yi,eu,Ti,Sj,Uj,Wj,qu,ej,_j,ck,cj,dk,fj,Au,ij,fk,hk,jk,lk,nk,pk,rk,bv,fv,lv,tv,Bv,Jv,Lv,_v,cw,mw,ow,nj,hs,Zr,$r,ns,ps,Ds,Fs,bt,Ts,Vs,ut,ht,jt,Lt,Bt,Dt,ml,wl,Al,Il,Jl,mx,Ml,Ol,Rl,Bm,Dm,Km,Nm,Pm,Sm,Ym,dn,vn,Cn,Sn,Vn,Xn,_n,lo,bz,po,to,Eo,Io,Jo,Mo,No,Po,Ro,So,$o,mp,wp,zp,Bp,Cp,Qp,Xz,aA,eq,hq,Cq,Eq,Hq,Jq,Lq,Nq,Pq,GA,PA,RA,VA,XA,ar,eB,hr,xB,nr,qr,RB,sr,ur,VB,wr,Rr,pY,oY,rY,qY,uZ,xZ,z$,C$,y_,B_,o1,k1,l1,m1,n1,u1,q1,r1,s1,t1,C6,B6,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc,Ywc];var Zh=[Zwc,_wc,unc,eGa,fGa,iGa,jGa,kGa,vIa,wIa,xIa,XIa,YIa,ZIa,CJa,DJa,GJa,HJa,ULa,VLa,YLa,ZLa,_La,$La,aMa,nOa,pOa,IOa,JOa,MOa,NOa,OOa,POa,QOa,XQa,YQa,$Qa,aRa,bRa,cRa,dRa,eRa,fRa,gRa,hRa,iRa,jRa,kRa,lRa,mRa,nRa,oRa,pRa,qRa,rRa,sRa,tRa,uRa,vRa,wRa,xRa,yRa,zRa,ARa,BRa,CRa,DRa,ERa,FRa,GRa,HRa,IRa,JRa,KRa,LRa,MRa,NRa,ORa,PRa,QRa,RRa,SRa,TRa,URa,VRa,WRa,XRa,YRa,ZRa,_Ra,$Ra,aSa,bSa,cSa,dSa,eSa,fSa,gSa,hSa,iSa,jSa,kSa,lSa,mSa,nSa,oSa,pSa,Oeb,Peb,Seb,Teb,Ueb,Veb,Web,Xeb,Yeb,Zeb,_eb,$eb,afb,Xyb,Yyb,$yb,azb,qBb,rBb,EDb,JDb,LDb,rIb,yGb,CGb,SGb,GHb,sIb,xJb,yJb,BJb,CJb,DJb,EJb,FJb,GJb,HJb,IJb,JJb,KJb,LJb,MJb,NJb,OJb,PJb,QJb,RJb,SJb,TJb,UJb,VJb,WJb,XJb,YJb,ZJb,_Jb,$Jb,AYb,O_b,P_b,Q_b,R_b,S_b,T_b,U_b,V_b,W_b,X_b,A1b,L1b,M1b,J3b,K3b,Pnc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc,Zwc];var _h=[$wc,hv,pv,xv,Fv,Nv,Uv,Yv,ew,iw,xs,Ns,ym,kp,Aq,TA,dr,CB,vZ,A$,z_,$wc,$wc,$wc,$wc,$wc,$wc,$wc,$wc,$wc,$wc,$wc];var $h=[axc,vq];var ai=[bxc,yC,VC,SC,TC,AC,BC,CC,XC,hD,bD,cD,ZC,_C,wE,XE,aF,dF,gF,nF,zF,FF,LF,OF,nU,NG,LG,JG,jN,kN,XO,YO,ZO,NO,cP,MQ,NQ,PQ,QQ,$Q,jR,kR,lR,mR,nR,ecc,fcc,gcc,hcc,cR,dR,ycc,zcc,Acc,Bcc,Ccc,Dcc,FR,GR,WR,XR,occ,pcc,qcc,rcc,VS,WS,XS,YS,JU,BV,zV,AV,wV,uV,vV,rV,pV,qV,nV,lV,mV,iV,gV,hV,NU,LU,MU,UU,VU,dV,eV,fV,WX,XX,YX,IZ,JZ,KZ,LZ,C_,D_,G_,I_,J_,c1,e2,a2,W1,_1,C2,z2,x2,M2,J2,G2,d3,c3,b3,a3,$2,_2,Z2,Y2,m3,l3,k3,j3,p3,O3,N3,M3,L3,K3,J3,I3,H3,G3,F3,E3,D3,p4,n4,k4,i4,B4,z4,w4,t4,T4,Q4,O4,b5,_4,X4,x5,u5,m5,j5,Q5,N5,I5,F5,v6,u6,j7,h7,q7,o7,m7,I7,E7,P7,N7,L7,b8,c8,Z7,Aba,a9,_8,$8,Y8,W8,X8,U8,S8,T8,Q8,O8,P8,M8,K8,L8,I8,G8,H8,E8,C8,D8,A8,y8,z8,w8,u8,v8,s8,q8,r8,saa,taa,vaa,qaa,raa,laa,maa,oaa,jaa,kaa,faa,gaa,iaa,daa,eaa,$9,aaa,caa,Z9,_9,V9,W9,Y9,T9,U9,P9,Q9,S9,N9,O9,J9,K9,M9,H9,I9,D9,E9,G9,B9,C9,x9,y9,A9,v9,w9,r9,s9,u9,p9,q9,l9,m9,o9,j9,k9,f9,g9,i9,d9,e9,xaa,yaa,Uaa,Saa,Taa,Qaa,Oaa,Paa,Maa,Kaa,Laa,Iaa,Gaa,Haa,Eaa,Caa,Daa,qba,xba,vba,Bba,Cba,Dba,Eba,Fba,Gba,Hba,Iba,Jba,jda,kda,bda,cda,Yca,Zca,Tca,Uca,Oca,Pca,Jca,Kca,Eca,Fca,zca,Aca,uca,vca,pca,qca,kca,lca,fca,gca,hca,ica,mca,nca,rca,sca,wca,xca,Bca,Cca,Gca,Hca,Lca,Mca,Qca,Rca,Vca,Wca,_ca,$ca,eda,hda,fda,mda,pda,nda,Tfa,Ufa,Rfa,Sfa,Pfa,Qfa,Nfa,Ofa,Lfa,Mfa,Jfa,Kfa,Hfa,Ifa,Ffa,Gfa,Dfa,Efa,zfa,Afa,ofa,pfa,dfa,efa,Yea,Zea,Rea,Sea,Kea,Lea,Dea,Eea,wea,xea,oea,pea,hea,iea,aea,bea,Vda,Wda,Oda,Pda,Qda,Tda,Rda,Xda,_da,Yda,cea,fea,dea,jea,mea,kea,rea,uea,sea,yea,Bea,zea,Fea,Iea,Gea,Mea,Pea,Nea,Tea,Wea,Uea,_ea,bfa,$ea,gfa,jfa,hfa,mfa,rfa,ufa,sfa,xfa,Bfa,qha,rha,lha,mha,gha,hha,bha,cha,Yga,Zga,Tga,Uga,Oga,Pga,Jga,Kga,Ega,Fga,zga,Aga,uga,vga,pga,qga,kga,lga,mga,nga,rga,sga,wga,xga,Bga,Cga,Gga,Hga,Lga,Mga,Qga,Rga,Vga,Wga,_ga,$ga,dha,eha,iha,jha,nha,oha,sha,tha,bia,cia,pia,qia,Dia,Eia,Iia,Jia,Nia,Oia,Sia,Tia,Xia,Yia,fja,gja,lja,mja,rja,sja,xja,yja,Dja,Eja,Oja,Pja,Uja,Vja,_ja,$ja,eka,fka,kka,lka,uka,wka,yka,Aka,Cka,Kka,Lka,Oka,Pka,Ska,Tka,Xka,Yka,ala,bla,uia,ela,wla,Jla,Wla,hma,uma,lna,jna,kna,hna,fna,gna,dna,bna,cna,$ma,Zma,_ma,Xma,Vma,Wma,Tma,Rma,Sma,Pma,Nma,Oma,Lma,Jma,Kma,Hma,Fma,Gma,Dma,Bma,Cma,_na,Yna,Zna,Wna,Una,Vna,Sna,Qna,Rna,Ona,Mna,Nna,Kna,Ina,Jna,Gna,Ena,Fna,Cna,Ana,Bna,yna,wna,xna,una,sna,tna,qna,ona,pna,cpa,dpa,Zoa,_oa,Uoa,Voa,Poa,Qoa,Koa,Loa,Foa,Goa,Aoa,Boa,voa,woa,qoa,roa,loa,moa,noa,ooa,soa,toa,xoa,yoa,Coa,Doa,Hoa,Ioa,Moa,Noa,Roa,Soa,Woa,Xoa,$oa,apa,epa,fpa,Cpa,Dpa,Apa,Fpa,ypa,Hpa,Kpa,Lpa,vpa,Npa,tpa,Ppa,Ypa,Vpa,Spa,aqa,eqa,mqa,kqa,iqa,tqa,rqa,pqa,wqa,zqa,Cqa,Fqa,Rra,Sra,Yra,Pra,Qra,psa,qsa,nsa,osa,ksa,lsa,isa,jsa,fsa,gsa,dsa,esa,asa,bsa,_ra,$ra,vsa,Vsa,Wsa,$sa,ata,uta,sta,xta,yta,Dta,Eta,Vta,Wta,eua,fua,uua,vua,Cua,Gua,Lua,Mua,Nua,Oua,Vua,ava,bva,gva,hva,eva,fva,iva,jva,qva,uva,vva,yva,zva,wva,xva,Cva,Dva,Uva,Vva,hwa,iwa,Kwa,Lwa,kxa,lxa,exa,dxa,hxa,pxa,rxa,nxa,oxa,Nxa,Txa,Rxa,Sxa,lya,mya,Uya,Yya,Zya,Fza,Gza,Hza,Iza,aza,xza,Kza,Lza,Nza,Oza,bAa,rAa,sAa,KAa,LAa,IAa,JAa,TBa,UBa,PBa,QBa,RBa,SBa,zEa,AEa,DEa,EEa,zDb,WEa,XEa,NFa,OFa,TFa,J_b,iHa,jHa,oHa,mGa,nGa,wGa,xGa,LGa,MGa,SGa,fHa,dHa,eHa,FHa,eIa,fIa,kIa,GIa,HIa,MIa,lJa,mJa,rJa,jLa,kLa,pLa,GKa,iLa,MKa,pKa,qKa,vKa,JJa,KJa,QJa,RJa,HKa,dLa,$Ka,aLa,DLa,ELa,JLa,bMa,cMa,hMa,vMa,wMa,BMa,DNa,ENa,JNa,TMa,UMa,_Ma,$Ma,hNa,iNa,nNa,CNa,ANa,BNa,WNa,rOa,sOa,xOa,ROa,SOa,XOa,kPa,lPa,qPa,IPa,JPa,OPa,aQa,bQa,gQa,HQa,IQa,MQa,qSa,rSa,uSa,HSa,ISa,LSa,_Sa,$Sa,cTa,pTa,qTa,tTa,HTa,ITa,LTa,ZTa,_Ta,bUa,pUa,qUa,tUa,GUa,HUa,KUa,YUa,ZUa,aVa,rVa,sVa,vVa,vWa,wWa,zWa,LWa,MWa,PWa,$Wa,aXa,dXa,pXa,qXa,tXa,FXa,GXa,JXa,VXa,WXa,ZXa,jYa,kYa,nYa,zYa,AYa,DYa,PYa,QYa,TYa,eZa,fZa,iZa,uZa,vZa,yZa,KZa,LZa,OZa,e_a,f_a,i_a,v_a,w_a,z_a,L_a,M_a,P_a,$_a,a$a,d$a,p$a,q$a,t$a,F$a,G$a,J$a,V$a,W$a,Z$a,k0a,l0a,o0a,A0a,B0a,E0a,Q0a,R0a,U0a,e1a,f1a,i1a,u1a,v1a,y1a,L1a,M1a,P1a,$1a,a2a,d2a,p2a,q2a,t2a,F2a,G2a,J2a,V2a,W2a,Z2a,m3a,n3a,q3a,G3a,H3a,K3a,X3a,Y3a,$3a,m4a,n4a,q4a,E4a,F4a,I4a,W4a,X4a,_4a,l5a,m5a,p5a,D5a,E5a,H5a,W5a,X5a,_5a,m6a,n6a,q6a,D6a,E6a,H6a,U6a,V6a,Y6a,j7a,k7a,n7a,B7a,C7a,F7a,S7a,T7a,W7a,j8a,k8a,n8a,A8a,B8a,E8a,S8a,T8a,W8a,i9a,j9a,m9a,z9a,A9a,D9a,X9a,Y9a,$9a,lab,mab,pab,Bab,Cab,Fab,Rab,Sab,Vab,ibb,jbb,mbb,Cbb,Dbb,Gbb,Tbb,Ubb,Xbb,jcb,kcb,ncb,Hcb,Icb,Lcb,ddb,edb,hdb,vdb,wdb,zdb,zeb,Aeb,Deb,bfb,cfb,ffb,tfb,ufb,xfb,Rfb,Sfb,Vfb,fgb,ggb,jgb,vgb,wgb,zgb,Ngb,Ogb,Rgb,dhb,ehb,hhb,yhb,zhb,Chb,Qhb,Rhb,Uhb,pib,qib,tib,Tib,Uib,Xib,ijb,jjb,mjb,imb,jmb,fmb,gmb,dmb,emb,bmb,cmb,$lb,amb,Ylb,Zlb,Vlb,Wlb,Tlb,Ulb,Qlb,Rlb,Nlb,Olb,Llb,Mlb,Dlb,Elb,ulb,vlb,rmb,smb,tmb,Dmb,Hmb,Imb,Jmb,Omb,Pmb,Qmb,$mb,anb,Zmb,_mb,pnb,qnb,unb,vnb,wnb,Anb,Bnb,ynb,znb,Mnb,Knb,Qnb,Rnb,Unb,Vnb,Snb,Tnb,job,kob,mob,nob,yob,zob,Aob,Bob,Lob,Mob,Nob,Oob,Yob,Wob,Xob,dpb,epb,fpb,gpb,npb,spb,tpb,upb,Bpb,Cpb,Dpb,Epb,Tpb,Upb,Vpb,Wpb,jqb,kqb,lqb,mqb,vqb,Aqb,Bqb,Iqb,Jqb,Sqb,Tqb,Xqb,_qb,Yqb,hrb,irb,jrb,krb,trb,xrb,yrb,Arb,Brb,Mrb,Nrb,Orb,Qrb,Prb,Xrb,Yrb,Zrb,esb,fsb,gsb,qsb,rsb,ysb,zsb,vtb,wtb,xtb,ytb,Ftb,Dtb,Etb,Mtb,Ntb,Otb,Ptb,Ytb,Ztb,_tb,mub,kub,lub,xub,Cub,Aub,Bub,Nub,Sub,Qub,Rub,bvb,gvb,evb,fvb,rvb,wvb,uvb,vvb,Hvb,Mvb,Kvb,Lvb,Xvb,awb,_vb,$vb,lwb,qwb,owb,pwb,Dwb,Jwb,Kwb,Mwb,Nwb,Zwb,bxb,cxb,dxb,ixb,jxb,kxb,sxb,txb,xxb,yxb,zxb,Gxb,Hxb,Ixb,Kxb,Jxb,Zxb,_xb,Cyb,Eyb,Fyb,Gyb,Hyb,Myb,bzb,czb,hzb,HCb,ICb,NCb,OCb,TCb,XCb,YCb,wDb,xDb,ADb,BDb,pIb,qIb,XGb,YGb,y2b,VGb,wHb,xHb,HIb,IIb,UIb,VIb,gJb,hJb,mJb,aKb,bKb,gKb,vKb,wKb,BKb,PKb,QKb,VKb,iLb,jLb,oLb,CLb,DLb,ILb,YLb,ZLb,cMb,rMb,sMb,xMb,OMb,PMb,UMb,fNb,gNb,lNb,yNb,zNb,ENb,SNb,TNb,YNb,jOb,kOb,pOb,DOb,EOb,JOb,XOb,YOb,bPb,qPb,rPb,wPb,MPb,NPb,SPb,hQb,iQb,nQb,CQb,DQb,IQb,_Qb,$Qb,eRb,sRb,tRb,yRb,NRb,ORb,TRb,hSb,iSb,nSb,ASb,BSb,GSb,aTb,bTb,gTb,vTb,wTb,BTb,TTb,UTb,ZTb,RUb,SUb,qVb,rVb,A_b,HVb,IVb,E4b,NVb,cWb,dWb,SYb,TYb,YYb,ZYb,aZb,bZb,dZb,eZb,fZb,gZb,pZb,qZb,Y_b,Z_b,t$b,G$b,W$b,g0b,s0b,E0b,Q0b,a1b,m1b,N1b,O1b,k2b,l2b,V2b,W2b,FYb,A3b,hEb,Z3b,F4b,sbc,ubc,wbc,xbc,Obc,Pbc,jcc,kcc,lcc,mcc,tcc,ucc,vcc,wcc,ndc,odc,udc,vdc,Bdc,Cdc,Idc,Jdc,Pdc,Qdc,Rdc,Wdc,Xdc,aec,bec,Wec,Xec,vfc,wfc,Mfc,Nfc,_fc,$fc,Lgc,Mgc,xhc,yhc,Dhc,Ehc,Jhc,Khc,Vhc,Whc,eic,fic,pic,qic,Aic,Bic,Jic,Kic,Sic,Tic,Yic,Zic,cjc,djc,hjc,ijc,Vdc,xjc,mjc,Mjc,Njc,Yjc,Zjc,$jc,akc,mkc,nkc,tkc,ukc,Akc,Bkc,Okc,Pkc,Qkc,xnc,ync,znc,Anc,Knc,Vnc,Wnc,$nc,aoc,boc,coc,eoc,goc,joc,Rt,$u,dv,jv,nv,rv,vv,zv,Dv,Hv,Sv,Wv,aw,gw,kw,Ok,vj,es,us,Ks,_s,qt,It,Wp,Xp,vA,rua,sua,$A,gB,fr,sB,uB,lr,JB,LB,NB,YB,eN,sR,bV,aV,$U,_U,ZU,YU,XU,WU,rZ,sZ,x$,y$,w_,x_,e0,i0,l0,ST,dU,HT,z0,a6,nua,Uwa,eBa,IDa,yDa,RDa,jyb,Pmc,zGb,mFa,lFa,wFa,DFa,CFa,hGa,GGa,gHa,DHa,THa,yIa,_Ia,FJa,XLa,oOa,LOa,_Qa,d_a,b_a,$cb,Zcb,Sib,Reb,Pfb,Djb,Bjb,Jib,Gib,nib,Oib,Njb,Ekb,_yb,fEb,XFb,sHb,DIb,LIb,AJb,VVb,RZb,QZb,y_b,K4b,Z4b,d5b,j5b,p5b,v5b,B5b,H5b,J5b,idc,uec,wec,pgc,rgc,tgc,lnc,bhc,dhc,fhc,Eic,X6b,Qnc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc,bxc];var bi=[cxc,yx];var ci=[dxc,lN,UO,VO,OQ,Cbc,Dbc,gR,Gbc,HR,YR,cV,$X,F_,yua,Rua,mva,Fva,Kva,Mva,Nva,sxa,wxa,yxa,Axa,Cxa,Gxa,Xxa,$xa,rya,tya,Jya,Lya,wza,Cza,Fbc,PFa,RFa,SFa,UFa,WFa,YFa,_Fa,K_b,cGa,kHa,mHa,nHa,pHa,rHa,tHa,uGa,vGa,CGa,DGa,OGa,QGa,RGa,TGa,WGa,YGa,$Ga,bHa,cHa,GHa,HHa,gIa,iIa,jIa,lIa,nIa,pIa,IIa,KIa,LIa,NIa,PIa,RIa,nJa,pJa,qJa,sJa,uJa,wJa,lLa,nLa,oLa,qLa,ZKa,sLa,JKa,LKa,NKa,QKa,SKa,VKa,bLa,cLa,rKa,tKa,uKa,wKa,yKa,AKa,OJa,PJa,SJa,TJa,XKa,YKa,FLa,HLa,ILa,KLa,MLa,OLa,dMa,fMa,gMa,iMa,kMa,mMa,xMa,zMa,AMa,CMa,EMa,GMa,FNa,HNa,INa,KNa,MNa,ONa,YMa,ZMa,aNa,bNa,kNa,mNa,oNa,rNa,tNa,wNa,yNa,zNa,XNa,YNa,tOa,vOa,wOa,yOa,AOa,COa,TOa,VOa,WOa,YOa,_Oa,aPa,mPa,oPa,pPa,rPa,tPa,vPa,KPa,MPa,NPa,PPa,RPa,TPa,cQa,eQa,fQa,hQa,jQa,lQa,JQa,LQa,NQa,PQa,RQa,sSa,vSa,xSa,zSa,JSa,MSa,OSa,QSa,aTa,dTa,fTa,hTa,rTa,uTa,wTa,yTa,JTa,MTa,OTa,QTa,$Ta,cUa,eUa,gUa,rUa,uUa,wUa,yUa,IUa,LUa,NUa,PUa,_Ua,bVa,dVa,fVa,tVa,wVa,yVa,AVa,xWa,AWa,CWa,EWa,NWa,QWa,SWa,UWa,bXa,eXa,gXa,iXa,rXa,uXa,wXa,yXa,HXa,KXa,MXa,OXa,XXa,_Xa,aYa,cYa,lYa,oYa,qYa,sYa,BYa,EYa,GYa,IYa,RYa,UYa,WYa,YYa,gZa,jZa,lZa,nZa,wZa,zZa,BZa,DZa,MZa,PZa,RZa,TZa,g_a,j_a,l_a,n_a,x_a,A_a,C_a,E_a,N_a,Q_a,S_a,U_a,b$a,e$a,g$a,i$a,r$a,u$a,w$a,y$a,H$a,K$a,M$a,O$a,X$a,_$a,a0a,c0a,m0a,p0a,r0a,t0a,C0a,F0a,H0a,J0a,S0a,V0a,X0a,Z0a,g1a,j1a,l1a,n1a,w1a,z1a,B1a,D1a,N1a,Q1a,S1a,U1a,b2a,e2a,g2a,i2a,r2a,u2a,w2a,y2a,H2a,K2a,M2a,O2a,X2a,_2a,a3a,c3a,o3a,r3a,t3a,v3a,I3a,L3a,N3a,P3a,Z3a,a4a,c4a,e4a,o4a,r4a,t4a,v4a,G4a,J4a,L4a,N4a,Y4a,$4a,b5a,d5a,n5a,q5a,s5a,u5a,F5a,I5a,K5a,M5a,Y5a,$5a,b6a,d6a,o6a,r6a,t6a,v6a,F6a,I6a,K6a,M6a,W6a,Z6a,$6a,b7a,l7a,o7a,q7a,s7a,D7a,G7a,I7a,K7a,U7a,X7a,Z7a,$7a,l8a,o8a,q8a,s8a,C8a,F8a,H8a,J8a,U8a,X8a,Z8a,$8a,k9a,n9a,p9a,r9a,B9a,E9a,G9a,I9a,Z9a,aab,cab,eab,nab,qab,sab,uab,Dab,Gab,Iab,Kab,Tab,Wab,Yab,_ab,kbb,nbb,pbb,rbb,Ebb,Hbb,Jbb,Lbb,Vbb,Ybb,_bb,acb,lcb,ocb,qcb,scb,Jcb,Mcb,Ocb,Qcb,fdb,idb,kdb,mdb,xdb,Adb,Cdb,Edb,Beb,Eeb,Geb,Ieb,dfb,gfb,ifb,kfb,vfb,yfb,Afb,Cfb,Tfb,Wfb,Yfb,_fb,hgb,kgb,mgb,ogb,xgb,Agb,Cgb,Egb,Pgb,Sgb,Ugb,Wgb,fhb,ihb,khb,mhb,Ahb,Dhb,Fhb,Hhb,Shb,Vhb,Xhb,Zhb,rib,uib,wib,yib,Vib,Yib,_ib,ajb,kjb,njb,pjb,rjb,syb,Dyb,Iyb,Kyb,Lyb,Nyb,Pyb,Ryb,dzb,fzb,gzb,izb,kzb,mzb,MCb,RCb,SCb,WCb,aDb,yDb,iJb,kJb,lJb,nJb,pJb,rJb,cKb,eKb,fKb,hKb,jKb,lKb,xKb,zKb,AKb,CKb,EKb,GKb,RKb,TKb,UKb,WKb,YKb,_Kb,kLb,mLb,nLb,pLb,rLb,tLb,ELb,GLb,HLb,JLb,LLb,NLb,_Lb,aMb,bMb,dMb,fMb,hMb,tMb,vMb,wMb,yMb,AMb,CMb,QMb,SMb,TMb,VMb,XMb,ZMb,hNb,jNb,kNb,mNb,oNb,qNb,ANb,CNb,DNb,FNb,HNb,JNb,UNb,WNb,XNb,ZNb,$Nb,bOb,lOb,nOb,oOb,qOb,sOb,uOb,FOb,HOb,IOb,KOb,MOb,OOb,ZOb,$Ob,aPb,cPb,ePb,gPb,sPb,uPb,vPb,xPb,zPb,BPb,OPb,QPb,RPb,TPb,VPb,XPb,jQb,lQb,mQb,oQb,qQb,sQb,EQb,GQb,HQb,JQb,LQb,NQb,aRb,cRb,dRb,fRb,hRb,jRb,uRb,wRb,xRb,zRb,BRb,DRb,PRb,RRb,SRb,URb,WRb,YRb,jSb,lSb,mSb,oSb,qSb,sSb,CSb,ESb,FSb,HSb,JSb,LSb,cTb,eTb,fTb,hTb,jTb,lTb,xTb,zTb,ATb,CTb,ETb,GTb,VTb,XTb,YTb,_Tb,aUb,cUb,sVb,uVb,B_b,F_b,vVb,BXb,CXb,XYb,cZb,nZb,oZb,vZb,wZb,b7b,Ubc,Vbc,Xbc,Ybc,qdc,xdc,Edc,Fdc,Ldc,Mdc,agc,hgc,igc,jgc,kgc,lgc,mgc,ngc,Ngc,Ugc,Vgc,Wgc,Xgc,Ygc,Zgc,_gc,Lhc,Mhc,Rhc,Xhc,Yhc,bic,gic,hic,mic,ric,sic,xic,qjc,rjc,tjc,Ijc,Jjc,Ljc,okc,pkc,vkc,wkc,Bjc,Cjc,Ejc,Rjc,Sjc,Ujc,Xnc,doc,Qt,Tt,Ut,Oj,Pj,Qj,Rj,Xj,Yj,bk,ek,tw,mj,ww,ds,gs,_r,ts,ws,os,Js,Ms,Es,Zs,at,Us,pt,tt,it,Ht,Kt,Ct,Lm,Wn,wo,uA,zA,CA,FA,_A,aB,bB,fB,hB,iB,mB,pB,rB,tB,vB,wB,AB,GB,IB,KB,MB,XB,fC,gC,Nwa,d0,f0,k0,m0,p0,TT,s0,hU,v0,IT,y0,MT,$5,d6,mua,qua,Twa,Xwa,C3a,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc,dxc];var di=[exc,_w,SW,PW,QW,RW,exc,exc];var ei=[fxc,Cl];var fi=[gxc,Xw,sl,gxc];var gi=[hxc,NE,tF,DF,iy,hxc,hxc,hxc];var hi=[ixc,Sta,Gm,fy,up,Yq,OB,Cr,tC,ixc,ixc,ixc,ixc,ixc,ixc,ixc];var ii=[jxc,ao,ho,Ez];var ji=[kxc,iC];var ki=[lxc,zbc,Ebc,Ibc,Ita,wua,zua,Aua,Pua,Sua,kva,nva,zza,dAa,ZFa,uHa,pGa,rGa,ZGa,qIa,SIa,xJa,tLa,TKa,BKa,MJa,PLa,nMa,HMa,PNa,WMa,uNa,DOa,bPa,wPa,UPa,mQa,SQa,ASa,RSa,iTa,zTa,RTa,hUa,zUa,QUa,gVa,BVa,FWa,VWa,jXa,zXa,PXa,dYa,tYa,JYa,ZYa,oZa,EZa,UZa,o_a,F_a,V_a,j$a,z$a,P$a,d0a,u0a,K0a,_0a,o1a,E1a,V1a,j2a,z2a,P2a,d3a,w3a,Q3a,f4a,w4a,O4a,e5a,v5a,N5a,e6a,w6a,N6a,c7a,t7a,L7a,a8a,t8a,K8a,a9a,s9a,J9a,fab,vab,Lab,$ab,sbb,Mbb,bcb,tcb,Rcb,ndb,Fdb,Jeb,lfb,Dfb,$fb,pgb,Fgb,Xgb,nhb,Ihb,_hb,zib,bjb,sjb,zmb,knb,Inb,Hob,Npb,tqb,Pqb,rrb,asb,msb,Vtb,hub,vub,Lub,$ub,pvb,Fvb,Vvb,jwb,zwb,Wwb,Sxb,tyb,uyb,vyb,wyb,xyb,yyb,zyb,Ayb,Syb,nzb,JCb,PCb,n6b,UCb,ZCb,WGb,sJb,mKb,HKb,$Kb,uLb,OLb,iMb,DMb,_Mb,rNb,KNb,cOb,vOb,POb,hPb,CPb,YPb,tQb,OQb,kRb,ERb,ZRb,tSb,MSb,mTb,HTb,dUb,TUb,UUb,WUb,iDb,OVb,hWb,iWb,kWb,mWb,oWb,tWb,uWb,vWb,wWb,zWb,BWb,CWb,LXb,MXb,UYb,_Yb,iZb,kZb,j$b,k$b,q$b,F$b,S$b,f0b,r0b,D0b,P0b,$0b,l1b,x1b,_3b,G4b,c7b,d7b,j7b,k7b,v8b,Rbc,Wbc,_bc,rdc,ydc,Udc,_dc,ejc,jjc,ckc,ekc,hkc,Ckc,Hkc,Jkc,Mkc,Bnc,foc,hoc,Xt,Yt,bu,lu,pu,tu,xu,zu,Du,Fu,uk,Iu,xk,Lu,Ak,Ou,Dk,Ru,Gk,Jk,Nk,rw,ks,as,As,qs,Qs,Gs,et,Ws,xt,kt,Ot,Et,qm,Px,nn,qy,Oy,Ry,rz,vz,Zp,pA,rA,tA,Rq,xA,SB,ZB,D0,NAb,X8b,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc,lxc];var li=[mxc,Tn];var mi=[nxc,Uy];var ni=[oxc,nA,kB,oxc];var oi=[pxc,gla,hla,ila,jla,kla,pxc,pxc];var pi=[qxc,tp,Xq,Br,sC,qxc,qxc,qxc];var qi=[rxc,Wu,Xu,Nn,Jy,Cz,rxc,rxc];var ri=[sxc,pz];var si=[txc,AA];var ti=[uxc];var ui=[vxc,Ww,rl,vxc];var vi=[wxc,kA];var wi=[xxc,St,_u,cv,iv,mv,qv,uv,yv,Cv,Gv,Rv,Vv,$v,fw,jw,fs,vs,Ls,$s,st,Jt,yA,qB,HB,eC,xxc,xxc,xxc,xxc,xxc,xxc];var xi=[yxc,lA];var yi=[zxc,Mn,Iy,yo];var zi=[Axc,iA];var Ai=[Bxc,Bl];var Bi=[Cxc,Ay];var Ci=[Dxc,Jz,$B,Hr];var Di=[Exc,Un];var Ei=[Fxc,dP,ggc,Tgc,njc,ojc,Fjc,Gjc,yjc,zjc,Ojc,Pjc,Fxc,Fxc,Fxc,Fxc];var Fi=[Gxc,gx];var Gi=[Hxc,JA];var Hi=[Ixc,iu,Ew,Gw,Mw,jl,Ixc,Ixc];var Ii=[Jxc,hy];return{dynCall_vididdi:kuc,dynCall_iiidii:Duc,dynCall_viiiidiidd:Fsc,dynCall_viiiddiiid:Esc,dynCall_viiiiidi:msc,dynCall_viiidiiiidi:otc,_bitshift64Lshr:Irc,__GLOBAL__sub_I_opencv_caffe_pb_cc:Ndb,dynCall_viiiiidd:usc,dynCall_viiididi:_tc,__GLOBAL__sub_I_versions_pb_cc:CIa,dynCall_viiidddii:Ktc,dynCall_viiiiiiiiiid:fsc,dynCall_diii:jtc,dynCall_viiiiiiiiiii:esc,_bitshift64Ashr:Hrc,dynCall_viiiiidiiddi:Ptc,_sbrk:Lrc,__GLOBAL__sub_I_imgwarp_cpp:ssa,_memcpy:Krc,dynCall_viiiiddii:suc,dynCall_vi:guc,dynCall_iiid:tuc,__GLOBAL__sub_I_bind_cpp:T6b,dynCall_viiiiddiiid:qsc,dynCall_viiidiiii:$sc,dynCall_viiiiiidd:luc,dynCall_viiiiddiiii:osc,dynCall_vidiii:Ouc,dynCall_viiidiiid:Wsc,dynCall_iiii:quc,dynCall_iiidd:Ctc,__GLOBAL__I_000101:edc,dynCall_viidiiid:Qsc,_emscripten_get_global_libc:l7b,dynCall_viiiiiiddi:Auc,dynCall_iiidiiiii:Fuc,dynCall_iiiiiiii:Msc,dynCall_viidiiii:Ssc,dynCall_viiddidd:isc,stackSave:Ki,dynCall_viiiii:ytc,___cxa_can_catch:wrc,_free:X6b,runPostSets:yrc,dynCall_viiiiii:_sc,dynCall_viiiid:Etc,dynCall_viiiiid:Ysc,dynCall_diiiddi:Tsc,dynCall_iiidiiii:ftc,dynCall_iiiiii:rtc,dynCall_viiiiiiidi:rsc,dynCall_viiiiddd:Wrc,dynCall_diiiiiiii:Vsc,dynCall_viiiidiiddi:xsc,dynCall_viiiiddi:bsc,__GLOBAL__sub_I_persistence_types_cpp:c0,__GLOBAL__sub_I_system_cpp:oR,dynCall_viiidddd:gsc,dynCall_viiiddddi:csc,dynCall_viiidddi:Jsc,dynCall_vidii:muc,dynCall_viiiddiii:ouc,setThrew:Ni,dynCall_viiiiiiiddi:juc,dynCall_viiiiiddi:Yrc,dynCall_viid:euc,dynCall_viiiiidiiiii:Isc,dynCall_viiiddiiiid:ptc,dynCall_viiddi:ssc,dynCall_iiiii:Hsc,dynCall_viiiddidddd:ltc,___cxa_is_pointer_type:xrc,_llvm_ctlz_i64:Prc,dynCall_iiiid:Lsc,dynCall_viididdi:Vtc,dynCall_viiiiidiid:Muc,__GLOBAL__sub_I_status_cc:eEb,dynCall_iiidiii:Buc,dynCall_viiiiidiidd:Ksc,dynCall_viiiiddddii:Zsc,dynCall_viiiiiiidd:psc,dynCall_viiiddd:ktc,stackAlloc:Ji,dynCall_viiiddi:qtc,dynCall_viiiiidiii:Iuc,__GLOBAL__sub_I_color_lab_cpp:M4,___divdi3:Rrc,getTempRet0:Pi,dynCall_viiiidddd:ttc,dynCall_viiiidddi:wtc,dynCall_viididii:ruc,dynCall_diiii:Otc,dynCall_viiiidi:nuc,dynCall_viiid:stc,dynCall_viiiiddddi:Ftc,dynCall_vdii:Asc,__GLOBAL__sub_I_dnn_cpp:jAa,dynCall_viiii:xtc,_llvm_bswap_i32:Orc,dynCall_iid:Stc,__GLOBAL__sub_I_message_cc:z1b,dynCall_diiiiiii:Bsc,dynCall_vididdii:Guc,establishStackSpace:Mi,dynCall_viiiidddiii:buc,dynCall_viiidddiiii:Mtc,dynCall_viiiidii:vuc,__GLOBAL__sub_I_haar_cpp:Swa,__GLOBAL__sub_I_kmeans_cpp:HG,___getTypeName:V6b,dynCall_viiiiiiiiidd:uuc,dynCall_diiiid:xuc,__GLOBAL__sub_I_umatrix_cpp:dN,dynCall_viiidiiddi:Itc,dynCall_viiiiiidiiiii:puc,dynCall_viiiiiiiiii:htc,dynCall_iiiiiii:$rc,__GLOBAL__sub_I_graph_pb_cc:aIa,dynCall_diiiiii:Euc,dynCall_vdiii:$tc,dynCall_iiiiiid:Vrc,dynCall_viiididii:Usc,dynCall_viiddii:ksc,dynCall_diiiii:wuc,dynCall_iiiiiiiii:Kuc,dynCall_viiiiiiiiiiid:mtc,dynCall_iii:Ytc,dynCall_viiiidddii:ctc,dynCall_viiddid:lsc,_memset:Drc,dynCall_diiddi:itc,dynCall_viididi:Juc,__GLOBAL__sub_I_darknet_io_cpp:Bkb,dynCall_viiidi:etc,__GLOBAL__sub_I_prior_box_layer_cpp:xqb,dynCall_viiidd:dtc,dynCall_viiiiiii:Utc,_i64Subtract:zrc,dynCall_viiiiddiii:zsc,__GLOBAL__sub_I_init_cpp:Kjb,setTempRet0:Oi,dynCall_viiiddiddd:Rtc,dynCall_i:Cuc,dynCall_viiiiiid:Wtc,__GLOBAL__sub_I_op_def_pb_cc:EQa,dynCall_iiiiiiiiiiiiiii:zuc,___remdi3:Grc,__GLOBAL__sub_I_iostream_cpp:fdc,dynCall_viiiddddii:Xsc,dynCall_viiidddiii:Psc,_pthread_cond_broadcast:Jrc,__GLOBAL__sub_I_descriptor_pb_cc:uUb,dynCall_viiiiiidiii:btc,__GLOBAL__sub_I_tensor_shape_pb_cc:zzb,dynCall_iiidi:Btc,dynCall_viiiiiidiiii:wsc,__GLOBAL__sub_I_hog_cpp:lua,dynCall_viiiiiidi:atc,dynCall_vidi:jsc,dynCall_iidi:hsc,_malloc:W6b,__GLOBAL__sub_I_histogram_cpp:_5,dynCall_viiddiii:Nsc,_emscripten_replace_memory:Of,dynCall_viidiii:dsc,dynCall_dii:Csc,dynCall_v:duc,__GLOBAL__sub_I_attr_value_pb_cc:yLa,dynCall_viidii:utc,dynCall_viiiiidiiii:Rsc,dynCall_iiiiiiiididiii:Osc,dynCall_viidi:Htc,___udivdi3:Src,dynCall_vid:Atc,dynCall_di:vsc,dynCall_diiid:Jtc,__GLOBAL__sub_I_tensor_pb_cc:iJa,__GLOBAL__sub_I_opencv_onnx_pb_cc:Jjb,dynCall_viidiiiii:fuc,_bitshift64Shl:Qrc,dynCall_viiiiiiiiiiddi:Gsc,_fflush:I8b,dynCall_viiiiiiid:Ntc,__GLOBAL__sub_I_types_pb_cc:mOa,_pthread_mutex_lock:Crc,___cxa_demangle:roc,__GLOBAL__sub_I_detection_output_layer_cpp:nsb,___muldi3:Urc,dynCall_viiiidd:Nuc,dynCall_vii:Dtc,___uremdi3:Nrc,dynCall_viiiiiiiii:Xtc,dynCall_viiiiiiii:Ltc,_i64Add:Arc,dynCall_viiiiiidii:auc,_pthread_mutex_unlock:Brc,dynCall_viiidii:tsc,dynCall_iiiiiidi:Huc,dynCall_viiiidiii:Xrc,stackRestore:Li,dynCall_viiiddiiii:Dsc,__GLOBAL__sub_I_function_pb_cc:iOa,dynCall_viiiddid:Ttc,dynCall_viii:cuc,dynCall_iiiiiiiiiiiii:yuc,dynCall_viiiddii:Ztc,dynCall_viiiidiid:_rc,___errno_location:f7b,dynCall_viididdii:Luc,dynCall_viidd:Gtc,dynCall_ii:iuc,dynCall_iiiiid:vtc,_memmove:Mrc,dynCall_viiiiidii:Qtc,dynCall_viiiddidd:ntc,__GLOBAL__sub_I_bindings_cpp:wC,dynCall_viiddiddd:gtc,dynCall_viiiidiiiidi:huc,dynCall_viiiiddiiiid:ysc,dynCall_viiiidiiii:ztc,dynCall_viiidiii:Zrc,dynCall_viiiidddiiii:asc,dynCall_viiddidddd:nsc}})


// EMSCRIPTEN_END_ASM
(Module.asmGlobalArg,Module.asmLibraryArg,buffer);var __GLOBAL__sub_I_attr_value_pb_cc=Module["__GLOBAL__sub_I_attr_value_pb_cc"]=asm["__GLOBAL__sub_I_attr_value_pb_cc"];var __GLOBAL__sub_I_op_def_pb_cc=Module["__GLOBAL__sub_I_op_def_pb_cc"]=asm["__GLOBAL__sub_I_op_def_pb_cc"];var __GLOBAL__sub_I_system_cpp=Module["__GLOBAL__sub_I_system_cpp"]=asm["__GLOBAL__sub_I_system_cpp"];var __GLOBAL__sub_I_umatrix_cpp=Module["__GLOBAL__sub_I_umatrix_cpp"]=asm["__GLOBAL__sub_I_umatrix_cpp"];var stackSave=Module["stackSave"]=asm["stackSave"];var getTempRet0=Module["getTempRet0"]=asm["getTempRet0"];var ___udivdi3=Module["___udivdi3"]=asm["___udivdi3"];var setThrew=Module["setThrew"]=asm["setThrew"];var __GLOBAL__sub_I_graph_pb_cc=Module["__GLOBAL__sub_I_graph_pb_cc"]=asm["__GLOBAL__sub_I_graph_pb_cc"];var __GLOBAL__sub_I_tensor_pb_cc=Module["__GLOBAL__sub_I_tensor_pb_cc"]=asm["__GLOBAL__sub_I_tensor_pb_cc"];var _bitshift64Lshr=Module["_bitshift64Lshr"]=asm["_bitshift64Lshr"];var __GLOBAL__sub_I_opencv_onnx_pb_cc=Module["__GLOBAL__sub_I_opencv_onnx_pb_cc"]=asm["__GLOBAL__sub_I_opencv_onnx_pb_cc"];var _bitshift64Shl=Module["_bitshift64Shl"]=asm["_bitshift64Shl"];var _sbrk=Module["_sbrk"]=asm["_sbrk"];var _fflush=Module["_fflush"]=asm["_fflush"];var __GLOBAL__sub_I_types_pb_cc=Module["__GLOBAL__sub_I_types_pb_cc"]=asm["__GLOBAL__sub_I_types_pb_cc"];var ___cxa_is_pointer_type=Module["___cxa_is_pointer_type"]=asm["___cxa_is_pointer_type"];var _llvm_ctlz_i64=Module["_llvm_ctlz_i64"]=asm["_llvm_ctlz_i64"];var __GLOBAL__sub_I_haar_cpp=Module["__GLOBAL__sub_I_haar_cpp"]=asm["__GLOBAL__sub_I_haar_cpp"];var _bitshift64Ashr=Module["_bitshift64Ashr"]=asm["_bitshift64Ashr"];var _memset=Module["_memset"]=asm["_memset"];var __GLOBAL__sub_I_status_cc=Module["__GLOBAL__sub_I_status_cc"]=asm["__GLOBAL__sub_I_status_cc"];var ___cxa_demangle=Module["___cxa_demangle"]=asm["___cxa_demangle"];var __GLOBAL__sub_I_detection_output_layer_cpp=Module["__GLOBAL__sub_I_detection_output_layer_cpp"]=asm["__GLOBAL__sub_I_detection_output_layer_cpp"];var __GLOBAL__sub_I_imgwarp_cpp=Module["__GLOBAL__sub_I_imgwarp_cpp"]=asm["__GLOBAL__sub_I_imgwarp_cpp"];var _memcpy=Module["_memcpy"]=asm["_memcpy"];var __GLOBAL__sub_I_darknet_io_cpp=Module["__GLOBAL__sub_I_darknet_io_cpp"]=asm["__GLOBAL__sub_I_darknet_io_cpp"];var _llvm_bswap_i32=Module["_llvm_bswap_i32"]=asm["_llvm_bswap_i32"];var ___muldi3=Module["___muldi3"]=asm["___muldi3"];var __GLOBAL__sub_I_prior_box_layer_cpp=Module["__GLOBAL__sub_I_prior_box_layer_cpp"]=asm["__GLOBAL__sub_I_prior_box_layer_cpp"];var __GLOBAL__sub_I_versions_pb_cc=Module["__GLOBAL__sub_I_versions_pb_cc"]=asm["__GLOBAL__sub_I_versions_pb_cc"];var ___uremdi3=Module["___uremdi3"]=asm["___uremdi3"];var __GLOBAL__sub_I_color_lab_cpp=Module["__GLOBAL__sub_I_color_lab_cpp"]=asm["__GLOBAL__sub_I_color_lab_cpp"];var ___divdi3=Module["___divdi3"]=asm["___divdi3"];var stackAlloc=Module["stackAlloc"]=asm["stackAlloc"];var _i64Subtract=Module["_i64Subtract"]=asm["_i64Subtract"];var __GLOBAL__sub_I_bind_cpp=Module["__GLOBAL__sub_I_bind_cpp"]=asm["__GLOBAL__sub_I_bind_cpp"];var __GLOBAL__sub_I_init_cpp=Module["__GLOBAL__sub_I_init_cpp"]=asm["__GLOBAL__sub_I_init_cpp"];var setTempRet0=Module["setTempRet0"]=asm["setTempRet0"];var _i64Add=Module["_i64Add"]=asm["_i64Add"];var __GLOBAL__sub_I_function_pb_cc=Module["__GLOBAL__sub_I_function_pb_cc"]=asm["__GLOBAL__sub_I_function_pb_cc"];var _pthread_mutex_unlock=Module["_pthread_mutex_unlock"]=asm["_pthread_mutex_unlock"];var __GLOBAL__I_000101=Module["__GLOBAL__I_000101"]=asm["__GLOBAL__I_000101"];var _emscripten_get_global_libc=Module["_emscripten_get_global_libc"]=asm["_emscripten_get_global_libc"];var ___getTypeName=Module["___getTypeName"]=asm["___getTypeName"];var __GLOBAL__sub_I_iostream_cpp=Module["__GLOBAL__sub_I_iostream_cpp"]=asm["__GLOBAL__sub_I_iostream_cpp"];var __GLOBAL__sub_I_dnn_cpp=Module["__GLOBAL__sub_I_dnn_cpp"]=asm["__GLOBAL__sub_I_dnn_cpp"];var _pthread_cond_broadcast=Module["_pthread_cond_broadcast"]=asm["_pthread_cond_broadcast"];var __GLOBAL__sub_I_descriptor_pb_cc=Module["__GLOBAL__sub_I_descriptor_pb_cc"]=asm["__GLOBAL__sub_I_descriptor_pb_cc"];var ___errno_location=Module["___errno_location"]=asm["___errno_location"];var __GLOBAL__sub_I_message_cc=Module["__GLOBAL__sub_I_message_cc"]=asm["__GLOBAL__sub_I_message_cc"];var __GLOBAL__sub_I_tensor_shape_pb_cc=Module["__GLOBAL__sub_I_tensor_shape_pb_cc"]=asm["__GLOBAL__sub_I_tensor_shape_pb_cc"];var ___cxa_can_catch=Module["___cxa_can_catch"]=asm["___cxa_can_catch"];var _free=Module["_free"]=asm["_free"];var runPostSets=Module["runPostSets"]=asm["runPostSets"];var __GLOBAL__sub_I_hog_cpp=Module["__GLOBAL__sub_I_hog_cpp"]=asm["__GLOBAL__sub_I_hog_cpp"];var establishStackSpace=Module["establishStackSpace"]=asm["establishStackSpace"];var _memmove=Module["_memmove"]=asm["_memmove"];var __GLOBAL__sub_I_bindings_cpp=Module["__GLOBAL__sub_I_bindings_cpp"]=asm["__GLOBAL__sub_I_bindings_cpp"];var stackRestore=Module["stackRestore"]=asm["stackRestore"];var _malloc=Module["_malloc"]=asm["_malloc"];var __GLOBAL__sub_I_histogram_cpp=Module["__GLOBAL__sub_I_histogram_cpp"]=asm["__GLOBAL__sub_I_histogram_cpp"];var _pthread_mutex_lock=Module["_pthread_mutex_lock"]=asm["_pthread_mutex_lock"];var __GLOBAL__sub_I_kmeans_cpp=Module["__GLOBAL__sub_I_kmeans_cpp"]=asm["__GLOBAL__sub_I_kmeans_cpp"];var _emscripten_replace_memory=Module["_emscripten_replace_memory"]=asm["_emscripten_replace_memory"];var ___remdi3=Module["___remdi3"]=asm["___remdi3"];var __GLOBAL__sub_I_opencv_caffe_pb_cc=Module["__GLOBAL__sub_I_opencv_caffe_pb_cc"]=asm["__GLOBAL__sub_I_opencv_caffe_pb_cc"];var __GLOBAL__sub_I_persistence_types_cpp=Module["__GLOBAL__sub_I_persistence_types_cpp"]=asm["__GLOBAL__sub_I_persistence_types_cpp"];var dynCall_iiiiiid=Module["dynCall_iiiiiid"]=asm["dynCall_iiiiiid"];var dynCall_viiiiddd=Module["dynCall_viiiiddd"]=asm["dynCall_viiiiddd"];var dynCall_viiiidiii=Module["dynCall_viiiidiii"]=asm["dynCall_viiiidiii"];var dynCall_viiiiiddi=Module["dynCall_viiiiiddi"]=asm["dynCall_viiiiiddi"];var dynCall_viiidiii=Module["dynCall_viiidiii"]=asm["dynCall_viiidiii"];var dynCall_viiiidiid=Module["dynCall_viiiidiid"]=asm["dynCall_viiiidiid"];var dynCall_iiiiiii=Module["dynCall_iiiiiii"]=asm["dynCall_iiiiiii"];var dynCall_viiiidddiiii=Module["dynCall_viiiidddiiii"]=asm["dynCall_viiiidddiiii"];var dynCall_viiiiddi=Module["dynCall_viiiiddi"]=asm["dynCall_viiiiddi"];var dynCall_viiiddddi=Module["dynCall_viiiddddi"]=asm["dynCall_viiiddddi"];var dynCall_viidiii=Module["dynCall_viidiii"]=asm["dynCall_viidiii"];var dynCall_viiiiiiiiiii=Module["dynCall_viiiiiiiiiii"]=asm["dynCall_viiiiiiiiiii"];var dynCall_viiiiiiiiiid=Module["dynCall_viiiiiiiiiid"]=asm["dynCall_viiiiiiiiiid"];var dynCall_viiidddd=Module["dynCall_viiidddd"]=asm["dynCall_viiidddd"];var dynCall_iidi=Module["dynCall_iidi"]=asm["dynCall_iidi"];var dynCall_viiddidd=Module["dynCall_viiddidd"]=asm["dynCall_viiddidd"];var dynCall_vidi=Module["dynCall_vidi"]=asm["dynCall_vidi"];var dynCall_viiddii=Module["dynCall_viiddii"]=asm["dynCall_viiddii"];var dynCall_viiddid=Module["dynCall_viiddid"]=asm["dynCall_viiddid"];var dynCall_viiiiidi=Module["dynCall_viiiiidi"]=asm["dynCall_viiiiidi"];var dynCall_viiddidddd=Module["dynCall_viiddidddd"]=asm["dynCall_viiddidddd"];var dynCall_viiiiddiiii=Module["dynCall_viiiiddiiii"]=asm["dynCall_viiiiddiiii"];var dynCall_viiiiiiidd=Module["dynCall_viiiiiiidd"]=asm["dynCall_viiiiiiidd"];var dynCall_viiiiddiiid=Module["dynCall_viiiiddiiid"]=asm["dynCall_viiiiddiiid"];var dynCall_viiiiiiidi=Module["dynCall_viiiiiiidi"]=asm["dynCall_viiiiiiidi"];var dynCall_viiddi=Module["dynCall_viiddi"]=asm["dynCall_viiddi"];var dynCall_viiidii=Module["dynCall_viiidii"]=asm["dynCall_viiidii"];var dynCall_viiiiidd=Module["dynCall_viiiiidd"]=asm["dynCall_viiiiidd"];var dynCall_di=Module["dynCall_di"]=asm["dynCall_di"];var dynCall_viiiiiidiiii=Module["dynCall_viiiiiidiiii"]=asm["dynCall_viiiiiidiiii"];var dynCall_viiiidiiddi=Module["dynCall_viiiidiiddi"]=asm["dynCall_viiiidiiddi"];var dynCall_viiiiddiiiid=Module["dynCall_viiiiddiiiid"]=asm["dynCall_viiiiddiiiid"];var dynCall_viiiiddiii=Module["dynCall_viiiiddiii"]=asm["dynCall_viiiiddiii"];var dynCall_vdii=Module["dynCall_vdii"]=asm["dynCall_vdii"];var dynCall_diiiiiii=Module["dynCall_diiiiiii"]=asm["dynCall_diiiiiii"];var dynCall_dii=Module["dynCall_dii"]=asm["dynCall_dii"];var dynCall_viiiddiiii=Module["dynCall_viiiddiiii"]=asm["dynCall_viiiddiiii"];var dynCall_viiiddiiid=Module["dynCall_viiiddiiid"]=asm["dynCall_viiiddiiid"];var dynCall_viiiidiidd=Module["dynCall_viiiidiidd"]=asm["dynCall_viiiidiidd"];var dynCall_viiiiiiiiiiddi=Module["dynCall_viiiiiiiiiiddi"]=asm["dynCall_viiiiiiiiiiddi"];var dynCall_iiiii=Module["dynCall_iiiii"]=asm["dynCall_iiiii"];var dynCall_viiiiidiiiii=Module["dynCall_viiiiidiiiii"]=asm["dynCall_viiiiidiiiii"];var dynCall_viiidddi=Module["dynCall_viiidddi"]=asm["dynCall_viiidddi"];var dynCall_viiiiidiidd=Module["dynCall_viiiiidiidd"]=asm["dynCall_viiiiidiidd"];var dynCall_iiiid=Module["dynCall_iiiid"]=asm["dynCall_iiiid"];var dynCall_iiiiiiii=Module["dynCall_iiiiiiii"]=asm["dynCall_iiiiiiii"];var dynCall_viiddiii=Module["dynCall_viiddiii"]=asm["dynCall_viiddiii"];var dynCall_iiiiiiiididiii=Module["dynCall_iiiiiiiididiii"]=asm["dynCall_iiiiiiiididiii"];var dynCall_viiidddiii=Module["dynCall_viiidddiii"]=asm["dynCall_viiidddiii"];var dynCall_viidiiid=Module["dynCall_viidiiid"]=asm["dynCall_viidiiid"];var dynCall_viiiiidiiii=Module["dynCall_viiiiidiiii"]=asm["dynCall_viiiiidiiii"];var dynCall_viidiiii=Module["dynCall_viidiiii"]=asm["dynCall_viidiiii"];var dynCall_diiiddi=Module["dynCall_diiiddi"]=asm["dynCall_diiiddi"];var dynCall_viiididii=Module["dynCall_viiididii"]=asm["dynCall_viiididii"];var dynCall_diiiiiiii=Module["dynCall_diiiiiiii"]=asm["dynCall_diiiiiiii"];var dynCall_viiidiiid=Module["dynCall_viiidiiid"]=asm["dynCall_viiidiiid"];var dynCall_viiiddddii=Module["dynCall_viiiddddii"]=asm["dynCall_viiiddddii"];var dynCall_viiiiid=Module["dynCall_viiiiid"]=asm["dynCall_viiiiid"];var dynCall_viiiiddddii=Module["dynCall_viiiiddddii"]=asm["dynCall_viiiiddddii"];var dynCall_viiiiii=Module["dynCall_viiiiii"]=asm["dynCall_viiiiii"];var dynCall_viiidiiii=Module["dynCall_viiidiiii"]=asm["dynCall_viiidiiii"];var dynCall_viiiiiidi=Module["dynCall_viiiiiidi"]=asm["dynCall_viiiiiidi"];var dynCall_viiiiiidiii=Module["dynCall_viiiiiidiii"]=asm["dynCall_viiiiiidiii"];var dynCall_viiiidddii=Module["dynCall_viiiidddii"]=asm["dynCall_viiiidddii"];var dynCall_viiidd=Module["dynCall_viiidd"]=asm["dynCall_viiidd"];var dynCall_viiidi=Module["dynCall_viiidi"]=asm["dynCall_viiidi"];var dynCall_iiidiiii=Module["dynCall_iiidiiii"]=asm["dynCall_iiidiiii"];var dynCall_viiddiddd=Module["dynCall_viiddiddd"]=asm["dynCall_viiddiddd"];var dynCall_viiiiiiiiii=Module["dynCall_viiiiiiiiii"]=asm["dynCall_viiiiiiiiii"];var dynCall_diiddi=Module["dynCall_diiddi"]=asm["dynCall_diiddi"];var dynCall_diii=Module["dynCall_diii"]=asm["dynCall_diii"];var dynCall_viiiddd=Module["dynCall_viiiddd"]=asm["dynCall_viiiddd"];var dynCall_viiiddidddd=Module["dynCall_viiiddidddd"]=asm["dynCall_viiiddidddd"];var dynCall_viiiiiiiiiiid=Module["dynCall_viiiiiiiiiiid"]=asm["dynCall_viiiiiiiiiiid"];var dynCall_viiiddidd=Module["dynCall_viiiddidd"]=asm["dynCall_viiiddidd"];var dynCall_viiidiiiidi=Module["dynCall_viiidiiiidi"]=asm["dynCall_viiidiiiidi"];var dynCall_viiiddiiiid=Module["dynCall_viiiddiiiid"]=asm["dynCall_viiiddiiiid"];var dynCall_viiiddi=Module["dynCall_viiiddi"]=asm["dynCall_viiiddi"];var dynCall_iiiiii=Module["dynCall_iiiiii"]=asm["dynCall_iiiiii"];var dynCall_viiid=Module["dynCall_viiid"]=asm["dynCall_viiid"];var dynCall_viiiidddd=Module["dynCall_viiiidddd"]=asm["dynCall_viiiidddd"];var dynCall_viidii=Module["dynCall_viidii"]=asm["dynCall_viidii"];var dynCall_iiiiid=Module["dynCall_iiiiid"]=asm["dynCall_iiiiid"];var dynCall_viiiidddi=Module["dynCall_viiiidddi"]=asm["dynCall_viiiidddi"];var dynCall_viiii=Module["dynCall_viiii"]=asm["dynCall_viiii"];var dynCall_viiiii=Module["dynCall_viiiii"]=asm["dynCall_viiiii"];var dynCall_viiiidiiii=Module["dynCall_viiiidiiii"]=asm["dynCall_viiiidiiii"];var dynCall_vid=Module["dynCall_vid"]=asm["dynCall_vid"];var dynCall_iiidi=Module["dynCall_iiidi"]=asm["dynCall_iiidi"];var dynCall_iiidd=Module["dynCall_iiidd"]=asm["dynCall_iiidd"];var dynCall_vii=Module["dynCall_vii"]=asm["dynCall_vii"];var dynCall_viiiid=Module["dynCall_viiiid"]=asm["dynCall_viiiid"];var dynCall_viiiiddddi=Module["dynCall_viiiiddddi"]=asm["dynCall_viiiiddddi"];var dynCall_viidd=Module["dynCall_viidd"]=asm["dynCall_viidd"];var dynCall_viidi=Module["dynCall_viidi"]=asm["dynCall_viidi"];var dynCall_viiidiiddi=Module["dynCall_viiidiiddi"]=asm["dynCall_viiidiiddi"];var dynCall_diiid=Module["dynCall_diiid"]=asm["dynCall_diiid"];var dynCall_viiidddii=Module["dynCall_viiidddii"]=asm["dynCall_viiidddii"];var dynCall_viiiiiiii=Module["dynCall_viiiiiiii"]=asm["dynCall_viiiiiiii"];var dynCall_viiidddiiii=Module["dynCall_viiidddiiii"]=asm["dynCall_viiidddiiii"];var dynCall_viiiiiiid=Module["dynCall_viiiiiiid"]=asm["dynCall_viiiiiiid"];var dynCall_diiii=Module["dynCall_diiii"]=asm["dynCall_diiii"];var dynCall_viiiiidiiddi=Module["dynCall_viiiiidiiddi"]=asm["dynCall_viiiiidiiddi"];var dynCall_viiiiidii=Module["dynCall_viiiiidii"]=asm["dynCall_viiiiidii"];var dynCall_viiiddiddd=Module["dynCall_viiiddiddd"]=asm["dynCall_viiiddiddd"];var dynCall_iid=Module["dynCall_iid"]=asm["dynCall_iid"];var dynCall_viiiddid=Module["dynCall_viiiddid"]=asm["dynCall_viiiddid"];var dynCall_viiiiiii=Module["dynCall_viiiiiii"]=asm["dynCall_viiiiiii"];var dynCall_viididdi=Module["dynCall_viididdi"]=asm["dynCall_viididdi"];var dynCall_viiiiiid=Module["dynCall_viiiiiid"]=asm["dynCall_viiiiiid"];var dynCall_viiiiiiiii=Module["dynCall_viiiiiiiii"]=asm["dynCall_viiiiiiiii"];var dynCall_iii=Module["dynCall_iii"]=asm["dynCall_iii"];var dynCall_viiiddii=Module["dynCall_viiiddii"]=asm["dynCall_viiiddii"];var dynCall_viiididi=Module["dynCall_viiididi"]=asm["dynCall_viiididi"];var dynCall_vdiii=Module["dynCall_vdiii"]=asm["dynCall_vdiii"];var dynCall_viiiiiidii=Module["dynCall_viiiiiidii"]=asm["dynCall_viiiiiidii"];var dynCall_viiiidddiii=Module["dynCall_viiiidddiii"]=asm["dynCall_viiiidddiii"];var dynCall_viii=Module["dynCall_viii"]=asm["dynCall_viii"];var dynCall_v=Module["dynCall_v"]=asm["dynCall_v"];var dynCall_viid=Module["dynCall_viid"]=asm["dynCall_viid"];var dynCall_viidiiiii=Module["dynCall_viidiiiii"]=asm["dynCall_viidiiiii"];var dynCall_vi=Module["dynCall_vi"]=asm["dynCall_vi"];var dynCall_viiiidiiiidi=Module["dynCall_viiiidiiiidi"]=asm["dynCall_viiiidiiiidi"];var dynCall_ii=Module["dynCall_ii"]=asm["dynCall_ii"];var dynCall_viiiiiiiddi=Module["dynCall_viiiiiiiddi"]=asm["dynCall_viiiiiiiddi"];var dynCall_vididdi=Module["dynCall_vididdi"]=asm["dynCall_vididdi"];var dynCall_viiiiiidd=Module["dynCall_viiiiiidd"]=asm["dynCall_viiiiiidd"];var dynCall_vidii=Module["dynCall_vidii"]=asm["dynCall_vidii"];var dynCall_viiiidi=Module["dynCall_viiiidi"]=asm["dynCall_viiiidi"];var dynCall_viiiddiii=Module["dynCall_viiiddiii"]=asm["dynCall_viiiddiii"];var dynCall_viiiiiidiiiii=Module["dynCall_viiiiiidiiiii"]=asm["dynCall_viiiiiidiiiii"];var dynCall_iiii=Module["dynCall_iiii"]=asm["dynCall_iiii"];var dynCall_viididii=Module["dynCall_viididii"]=asm["dynCall_viididii"];var dynCall_viiiiddii=Module["dynCall_viiiiddii"]=asm["dynCall_viiiiddii"];var dynCall_iiid=Module["dynCall_iiid"]=asm["dynCall_iiid"];var dynCall_viiiiiiiiidd=Module["dynCall_viiiiiiiiidd"]=asm["dynCall_viiiiiiiiidd"];var dynCall_viiiidii=Module["dynCall_viiiidii"]=asm["dynCall_viiiidii"];var dynCall_diiiii=Module["dynCall_diiiii"]=asm["dynCall_diiiii"];var dynCall_diiiid=Module["dynCall_diiiid"]=asm["dynCall_diiiid"];var dynCall_iiiiiiiiiiiii=Module["dynCall_iiiiiiiiiiiii"]=asm["dynCall_iiiiiiiiiiiii"];var dynCall_iiiiiiiiiiiiiii=Module["dynCall_iiiiiiiiiiiiiii"]=asm["dynCall_iiiiiiiiiiiiiii"];var dynCall_viiiiiiddi=Module["dynCall_viiiiiiddi"]=asm["dynCall_viiiiiiddi"];var dynCall_iiidiii=Module["dynCall_iiidiii"]=asm["dynCall_iiidiii"];var dynCall_i=Module["dynCall_i"]=asm["dynCall_i"];var dynCall_iiidii=Module["dynCall_iiidii"]=asm["dynCall_iiidii"];var dynCall_diiiiii=Module["dynCall_diiiiii"]=asm["dynCall_diiiiii"];var dynCall_iiidiiiii=Module["dynCall_iiidiiiii"]=asm["dynCall_iiidiiiii"];var dynCall_vididdii=Module["dynCall_vididdii"]=asm["dynCall_vididdii"];var dynCall_iiiiiidi=Module["dynCall_iiiiiidi"]=asm["dynCall_iiiiiidi"];var dynCall_viiiiidiii=Module["dynCall_viiiiidiii"]=asm["dynCall_viiiiidiii"];var dynCall_viididi=Module["dynCall_viididi"]=asm["dynCall_viididi"];var dynCall_iiiiiiiii=Module["dynCall_iiiiiiiii"]=asm["dynCall_iiiiiiiii"];var dynCall_viididdii=Module["dynCall_viididdii"]=asm["dynCall_viididdii"];var dynCall_viiiiidiid=Module["dynCall_viiiiidiid"]=asm["dynCall_viiiiidiid"];var dynCall_viiiidd=Module["dynCall_viiiidd"]=asm["dynCall_viiiidd"];var dynCall_vidiii=Module["dynCall_vidiii"]=asm["dynCall_vidiii"];Runtime.stackAlloc=Module["stackAlloc"];Runtime.stackSave=Module["stackSave"];Runtime.stackRestore=Module["stackRestore"];Runtime.establishStackSpace=Module["establishStackSpace"];Runtime.setTempRet0=Module["setTempRet0"];Runtime.getTempRet0=Module["getTempRet0"];Module["asm"]=asm;Module["then"]=(function(func){if(Module["calledRun"]){func(Module)}else{var old=Module["onRuntimeInitialized"];Module["onRuntimeInitialized"]=(function(){if(old)old();func(Module)})}return Module});function ExitStatus(status){this.name="ExitStatus";this.message="Program terminated with exit("+status+")";this.status=status}ExitStatus.prototype=new Error;ExitStatus.prototype.constructor=ExitStatus;var initialStackTop;var preloadStartTime=null;var calledMain=false;dependenciesFulfilled=function runCaller(){if(!Module["calledRun"])run();if(!Module["calledRun"])dependenciesFulfilled=runCaller};Module["callMain"]=Module.callMain=function callMain(args){args=args||[];ensureInitRuntime();var argc=args.length+1;function pad(){for(var i=0;i<4-1;i++){argv.push(0)}}var argv=[allocate(intArrayFromString(Module["thisProgram"]),"i8",ALLOC_NORMAL)];pad();for(var i=0;i<argc-1;i=i+1){argv.push(allocate(intArrayFromString(args[i]),"i8",ALLOC_NORMAL));pad()}argv.push(0);argv=allocate(argv,"i32",ALLOC_NORMAL);try{var ret=Module["_main"](argc,argv,0);exit(ret,true)}catch(e){if(e instanceof ExitStatus){return}else if(e=="SimulateInfiniteLoop"){Module["noExitRuntime"]=true;return}else{var toLog=e;if(e&&typeof e==="object"&&e.stack){toLog=[e,e.stack]}Module.printErr("exception thrown: "+toLog);Module["quit"](1,e)}}finally{calledMain=true}};function run(args){args=args||Module["arguments"];if(preloadStartTime===null)preloadStartTime=Date.now();if(runDependencies>0){return}preRun();if(runDependencies>0)return;if(Module["calledRun"])return;function doRun(){if(Module["calledRun"])return;Module["calledRun"]=true;if(ABORT)return;ensureInitRuntime();preMain();if(Module["onRuntimeInitialized"])Module["onRuntimeInitialized"]();if(Module["_main"]&&shouldRunNow)Module["callMain"](args);postRun()}if(Module["setStatus"]){Module["setStatus"]("Running...");setTimeout((function(){setTimeout((function(){Module["setStatus"]("")}),1);doRun()}),1)}else{doRun()}}Module["run"]=Module.run=run;function exit(status,implicit){if(implicit&&Module["noExitRuntime"]){return}if(Module["noExitRuntime"]){}else{ABORT=true;EXITSTATUS=status;STACKTOP=initialStackTop;exitRuntime();if(Module["onExit"])Module["onExit"](status)}if(ENVIRONMENT_IS_NODE){process["exit"](status)}Module["quit"](status,new ExitStatus(status))}Module["exit"]=Module.exit=exit;var abortDecorators=[];function abort(what){if(Module["onAbort"]){Module["onAbort"](what)}if(what!==undefined){Module.print(what);Module.printErr(what);what=JSON.stringify(what)}else{what=""}ABORT=true;EXITSTATUS=1;var extra="\nIf this abort() is unexpected, build with -s ASSERTIONS=1 which can give more information.";var output="abort("+what+") at "+stackTrace()+extra;if(abortDecorators){abortDecorators.forEach((function(decorator){output=decorator(output,what)}))}throw output}Module["abort"]=Module.abort=abort;if(Module["preInit"]){if(typeof Module["preInit"]=="function")Module["preInit"]=[Module["preInit"]];while(Module["preInit"].length>0){Module["preInit"].pop()()}}var shouldRunNow=true;if(Module["noInitialRun"]){shouldRunNow=false}run();Module["imread"]=(function(imageSource){var img=null;if(typeof imageSource==="string"){img=document.getElementById(imageSource)}else{img=imageSource}var canvas=null;var ctx=null;if(img instanceof HTMLImageElement){canvas=document.createElement("canvas");canvas.width=img.width;canvas.height=img.height;ctx=canvas.getContext("2d");ctx.drawImage(img,0,0,img.width,img.height)}else if(img instanceof HTMLCanvasElement){canvas=img;ctx=canvas.getContext("2d")}else{throw new Error("Please input the valid canvas or img id.");return}var imgData=ctx.getImageData(0,0,canvas.width,canvas.height);return cv.matFromImageData(imgData)});Module["imshow"]=(function(canvasSource,mat){var canvas=null;if(typeof canvasSource==="string"){canvas=document.getElementById(canvasSource)}else{canvas=canvasSource}if(!(canvas instanceof HTMLCanvasElement)){throw new Error("Please input the valid canvas element or id.");return}if(!(mat instanceof cv.Mat)){throw new Error("Please input the valid cv.Mat instance.");return}var img=new cv.Mat;var depth=mat.type()%8;var scale=depth<=cv.CV_8S?1:depth<=cv.CV_32S?1/256:255;var shift=depth===cv.CV_8S||depth===cv.CV_16S?128:0;mat.convertTo(img,cv.CV_8U,scale,shift);switch(img.type()){case cv.CV_8UC1:cv.cvtColor(img,img,cv.COLOR_GRAY2RGBA);break;case cv.CV_8UC3:cv.cvtColor(img,img,cv.COLOR_RGB2RGBA);break;case cv.CV_8UC4:break;default:throw new Error("Bad number of channels (Source image must have 1, 3 or 4 channels)");return}var imgData=new ImageData(new Uint8ClampedArray(img.data),img.cols,img.rows);var ctx=canvas.getContext("2d");ctx.clearRect(0,0,canvas.width,canvas.height);canvas.width=imgData.width;canvas.height=imgData.height;ctx.putImageData(imgData,0,0);img.delete()});Module["VideoCapture"]=(function(videoSource){var video=null;if(typeof videoSource==="string"){video=document.getElementById(videoSource)}else{video=videoSource}if(!(video instanceof HTMLVideoElement)){throw new Error("Please input the valid video element or id.");return}var canvas=document.createElement("canvas");canvas.width=video.width;canvas.height=video.height;var ctx=canvas.getContext("2d");this.video=video;this.read=(function(frame){if(!(frame instanceof cv.Mat)){throw new Error("Please input the valid cv.Mat instance.");return}if(frame.type()!==cv.CV_8UC4){throw new Error("Bad type of input mat: the type should be cv.CV_8UC4.");return}if(frame.cols!==video.width||frame.rows!==video.height){throw new Error("Bad size of input mat: the size should be same as the video.");return}ctx.drawImage(video,0,0,video.width,video.height);frame.data.set(ctx.getImageData(0,0,video.width,video.height).data)})});function Range(start,end){this.start=typeof start==="undefined"?0:start;this.end=typeof end==="undefined"?0:end}Module["Range"]=Range;function Point(x,y){this.x=typeof x==="undefined"?0:x;this.y=typeof y==="undefined"?0:y}Module["Point"]=Point;function Size(width,height){this.width=typeof width==="undefined"?0:width;this.height=typeof height==="undefined"?0:height}Module["Size"]=Size;function Rect(){switch(arguments.length){case 0:{this.x=0;this.y=0;this.width=0;this.height=0;break};case 1:{var rect=arguments[0];this.x=rect.x;this.y=rect.y;this.width=rect.width;this.height=rect.height;break};case 2:{var point=arguments[0];var size=arguments[1];this.x=point.x;this.y=point.y;this.width=size.width;this.height=size.height;break};case 4:{this.x=arguments[0];this.y=arguments[1];this.width=arguments[2];this.height=arguments[3];break};default:{throw new Error("Invalid arguments")}}}Module["Rect"]=Rect;function RotatedRect(){switch(arguments.length){case 0:{this.center={x:0,y:0};this.size={width:0,height:0};this.angle=0;break};case 3:{this.center=arguments[0];this.size=arguments[1];this.angle=arguments[2];break};default:{throw new Error("Invalid arguments")}}}RotatedRect.points=(function(obj){return Module.rotatedRectPoints(obj)});RotatedRect.boundingRect=(function(obj){return Module.rotatedRectBoundingRect(obj)});RotatedRect.boundingRect2f=(function(obj){return Module.rotatedRectBoundingRect2f(obj)});Module["RotatedRect"]=RotatedRect;function Scalar(v0,v1,v2,v3){this.push(typeof v0==="undefined"?0:v0);this.push(typeof v1==="undefined"?0:v1);this.push(typeof v2==="undefined"?0:v2);this.push(typeof v3==="undefined"?0:v3)}Scalar.prototype=new Array;Scalar.all=(function(v){return new Scalar(v,v,v,v)});Module["Scalar"]=Scalar;function MinMaxLoc(){switch(arguments.length){case 0:{this.minVal=0;this.maxVal=0;this.minLoc=new Point;this.maxLoc=new Point;break};case 4:{this.minVal=arguments[0];this.maxVal=arguments[1];this.minLoc=arguments[2];this.maxLoc=arguments[3];break};default:{throw new Error("Invalid arguments")}}}Module["MinMaxLoc"]=MinMaxLoc;function Circle(){switch(arguments.length){case 0:{this.center=new Point;this.radius=0;break};case 2:{this.center=arguments[0];this.radius=arguments[1];break};default:{throw new Error("Invalid arguments")}}}Module["Circle"]=Circle;function TermCriteria(){switch(arguments.length){case 0:{this.type=0;this.maxCount=0;this.epsilon=0;break};case 3:{this.type=arguments[0];this.maxCount=arguments[1];this.epsilon=arguments[2];break};default:{throw new Error("Invalid arguments")}}}Module["TermCriteria"]=TermCriteria;Module["matFromArray"]=(function(rows,cols,type,array){var mat=new cv.Mat(rows,cols,type);switch(type){case cv.CV_8U:case cv.CV_8UC1:case cv.CV_8UC2:case cv.CV_8UC3:case cv.CV_8UC4:{mat.data.set(array);break};case cv.CV_8S:case cv.CV_8SC1:case cv.CV_8SC2:case cv.CV_8SC3:case cv.CV_8SC4:{mat.data8S.set(array);break};case cv.CV_16U:case cv.CV_16UC1:case cv.CV_16UC2:case cv.CV_16UC3:case cv.CV_16UC4:{mat.data16U.set(array);break};case cv.CV_16S:case cv.CV_16SC1:case cv.CV_16SC2:case cv.CV_16SC3:case cv.CV_16SC4:{mat.data16S.set(array);break};case cv.CV_32S:case cv.CV_32SC1:case cv.CV_32SC2:case cv.CV_32SC3:case cv.CV_32SC4:{mat.data32S.set(array);break};case cv.CV_32F:case cv.CV_32FC1:case cv.CV_32FC2:case cv.CV_32FC3:case cv.CV_32FC4:{mat.data32F.set(array);break};case cv.CV_64F:case cv.CV_64FC1:case cv.CV_64FC2:case cv.CV_64FC3:case cv.CV_64FC4:{mat.data64F.set(array);break};default:{throw new Error("Type is unsupported")}}return mat});Module["matFromImageData"]=(function(imageData){var mat=new cv.Mat(imageData.height,imageData.width,cv.CV_8UC4);mat.data.set(imageData.data);return mat})





  return cv;
};
if (typeof module === "object" && module.exports) {
  module['exports'] = cv;
};

  if (typeof Module === 'undefined')
    Module = {};
  return cv(Module);
}));
    